// Copyright 2023 xensik. All rights reserved.
//
// Use of this source code is governed by a GNU GPLv3 license
// that can be found in the LICENSE file.

#include "xsk/gsc/engine/h1.hpp"

namespace xsk::gsc::h1
{

extern std::array<std::pair<u16, char const*>, func_count> const func_list
{{
    { 0x001, "precacheturret" },
    { 0x002, "getweaponarray" },
    { 0x003, "createprintchannel" },
    { 0x004, "updategamerprofileall" },
    { 0x005, "clearlocalizedstrings" },
    { 0x006, "setphysicsgravitydir" },
    { 0x007, "gettimescale" },
    { 0x008, "settimescale" },
    { 0x009, "setslowmotionview" },
    { 0x00A, "teleportscene" },
    { 0x00B, "forcesharedammo" },
    { 0x00C, "refreshhudcompass" },
    { 0x00D, "refreshhudammocounter" },
    { 0x00E, "notifyoncommand" },
    { 0x00F, "setprintchannel" },
    { 0x010, "print" },
    { 0x011, "println" },
    { 0x012, "print3d" },
    { 0x013, "line" },
    { 0x014, "box" },
    { 0x015, "orientedbox" },
    { 0x016, "sphere" },
    { 0x017, "cylinder" },
    { 0x018, "spawnturret" },
    { 0x019, "canspawnturret" },
    { 0x01A, "assert" },
    { 0x01B, "pausecinematicingame" },
    { 0x01C, "drawcompassfriendlies" },
    { 0x01D, "bulletspread" },
    { 0x01E, "bullettracer" },
    { 0x01F, "badplace_delete" },
    { 0x020, "badplace_cylinder" },
    { 0x021, "badplace_arc" },
    { 0x022, "badplace_brush" },
    { 0x023, "clearallcorpses" },
    { 0x024, "setturretnode" },
    { 0x025, "unsetturretnode" },
    { 0x026, "setnodepriority" },
    { 0x027, "_func_027" },
    { 0x028, "_func_028" },
    { 0x029, "_func_029" },
    { 0x02A, "setdebugorigin" },
    { 0x02B, "setdebugangles" },
    { 0x02C, "updategamerprofile" },
    { 0x02D, "assertex" },
    { 0x02E, "assertmsg" },
    { 0x02F, "isdefined" },
    { 0x030, "isvalidmissile" },
    { 0x031, "isstring" },
    { 0x032, "setomnvar" },
    { 0x033, "getomnvar" },
    { 0x034, "setdvar" },
    { 0x035, "setdynamicdvar" },
    { 0x036, "setdvarifuninitialized" },
    { 0x037, "setdevdvar" },
    { 0x038, "setdevdvarifuninitialized" },
    { 0x039, "getdvar" },
    { 0x03A, "getdvarint" },
    { 0x03B, "getdvarfloat" },
    { 0x03C, "getdvarvector" },
    { 0x03D, "gettime" },
    { 0x03E, "gettimeutc" },
    { 0x03F, "getradiometricunit" },
    { 0x040, "getentbynum" },
    { 0x041, "getscreenwidth" },
    { 0x042, "getscreenheight" },
    { 0x043, "getweaponmodel" },
    { 0x044, "getculldist" },
    { 0x045, "sethalfresparticles" },
    { 0x046, "getmapsunlight" },
    { 0x047, "setsunlight" },
    { 0x048, "resetsunlight" },
    { 0x049, "getmapsundirection" },
    { 0x04A, "getmapsunangles" },
    { 0x04B, "setsundirection" },
    { 0x04C, "lerpsundirection" },
    { 0x04D, "lerpsunangles" },
    { 0x04E, "resetsundirection" },
    { 0x04F, "enableforcedsunshadows" },
    { 0x050, "enableforcednosunshadows" },
    { 0x051, "disableforcedsunshadows" },
    { 0x052, "enableouterspacemodellighting" },
    { 0x053, "disableouterspacemodellighting" },
    { 0x054, "remapstage" },
    { 0x055, "changelevel" },
    { 0x056, "missionsuccess" },
    { 0x057, "missionfailed" },
    { 0x058, "cinematic" },
    { 0x059, "cinematicingame" },
    { 0x05A, "cinematicingamesync" },
    { 0x05B, "cinematicingameloop" },
    { 0x05C, "cinematicingameloopresident" },
    { 0x05D, "iscinematicplaying" },
    { 0x05E, "stopcinematicingame" },
    { 0x05F, "getweapondisplayname" },
    { 0x060, "getweaponbasename" },
    { 0x061, "getweaponattachments" },
    { 0x062, "getweaponattachmentdisplaynames" },
    { 0x063, "getweaponcamoname" },
    { 0x064, "getweaponreticlename" },
    { 0x065, "getanimlength" },
    { 0x066, "animhasnotetrack" },
    { 0x067, "getnotetracktimes" },
    { 0x068, "spawn" },
    { 0x069, "spawnloopsound" },
    { 0x06A, "spawnloopingsound" },
    { 0x06B, "bullettrace" },
    { 0x06C, "target_setmaxsize" },
    { 0x06D, "target_setcolor" },
    { 0x06E, "target_setdelay" },
    { 0x06F, "getstartorigin" },
    { 0x070, "getstartangles" },
    { 0x071, "getcycleoriginoffset" },
    { 0x072, "magicgrenade" },
    { 0x073, "magicgrenademanual" },
    { 0x074, "setblur" },
    { 0x075, "musicplay" },
    { 0x076, "musicstop" },
    { 0x077, "soundfade" },
    { 0x078, "addsoundsubmix" },
    { 0x079, "clearsoundsubmix" },
    { 0x07A, "clearallsubmixes" },
    { 0x07B, "blendsoundsubmix" },
    { 0x07C, "makesoundsubmixsticky" },
    { 0x07D, "makesoundsubmixunsticky" },
    { 0x07E, "soundsettimescalefactor" },
    { 0x07F, "soundresettimescale" },
    { 0x080, "levelsoundfade" },
    { 0x081, "precachenightvisioncodeassets" },
    { 0x082, "precachedigitaldistortcodeassets" },
    { 0x083, "precachesonarvisioncodeassets" },
    { 0x084, "precacheminimapsentrycodeassets" },
    { 0x085, "savegame" },
    { 0x086, "issavesuccessful" },
    { 0x087, "issaverecentlyloaded" },
    { 0x088, "savegamenocommit" },
    { 0x089, "commitsave" },
    { 0x08A, "commitwouldbevalid" },
    { 0x08B, "getfxvisibility" },
    { 0x08C, "setculldist" },
    { 0x08D, "bullettracepassed" },
    { 0x08E, "sighttracepassed" },
    { 0x08F, "physicstrace" },
    { 0x090, "playerphysicstrace" },
    { 0x091, "getgroundposition" },
    { 0x092, "getmovedelta" },
    { 0x093, "getangledelta" },
    { 0x094, "getnorthyaw" },
    { 0x095, "getcommandfromkey" },
    { 0x096, "getsticksconfig" },
    { 0x097, "weaponfightdist" },
    { 0x098, "weaponmaxdist" },
    { 0x099, "isturretactive" },
    { 0x09A, "getturretfov" },
    { 0x09B, "target_alloc" },
    { 0x09C, "target_flush" },
    { 0x09D, "target_set" },
    { 0x09E, "target_remove" },
    { 0x09F, "target_setshader" },
    { 0x0A0, "target_setoffscreenshader" },
    { 0x0A1, "target_isinrect" },
    { 0x0A2, "target_isincircle" },
    { 0x0A3, "target_startreticlelockon" },
    { 0x0A4, "target_clearreticlelockon" },
    { 0x0A5, "target_getarray" },
    { 0x0A6, "target_istarget" },
    { 0x0A7, "target_setattackmode" },
    { 0x0A8, "target_setjavelinonly" },
    { 0x0A9, "target_hidefromplayer" },
    { 0x0AA, "target_showtoplayer" },
    { 0x0AB, "target_setscaledrendermode" },
    { 0x0AC, "target_drawcornersonly" },
    { 0x0AD, "target_drawsquare" },
    { 0x0AE, "target_drawsingle" },
    { 0x0AF, "target_setminsize" },
    { 0x0B0, "setnorthyaw" },
    { 0x0B1, "setslowmotion" },
    { 0x0B2, "randomint" },
    { 0x0B3, "randomfloat" },
    { 0x0B4, "randomintrange" },
    { 0x0B5, "randomfloatrange" },
    { 0x0B6, "sin" },
    { 0x0B7, "cos" },
    { 0x0B8, "tan" },
    { 0x0B9, "asin" },
    { 0x0BA, "acos" },
    { 0x0BB, "atan" },
    { 0x0BC, "int" },
    { 0x0BD, "float" },
    { 0x0BE, "abs" },
    { 0x0BF, "min" },
    { 0x0C0, "objective_additionalcurrent" },
    { 0x0C1, "objective_ring" },
    { 0x0C2, "objective_setpointertextoverride" },
    { 0x0C3, "getnode" },
    { 0x0C4, "getnodearray" },
    { 0x0C5, "getallnodes" },
    { 0x0C6, "getnodesinradius" },
    { 0x0C7, "getnodesinradiussorted" },
    { 0x0C8, "getclosestnodeinsight" },
    { 0x0C9, "getreflectionlocs" },
    { 0x0CA, "getreflectionreferencelocs" },
    { 0x0CB, "getvehicletracksegment" },
    { 0x0CC, "getvehicletracksegmentarray" },
    { 0x0CD, "getallvehicletracksegments" },
    { 0x0CE, "isarray" },
    { 0x0CF, "isai" },
    { 0x0D0, "getindexforluincstring" },
    { 0x0D1, "issentient" },
    { 0x0D2, "isgodmode" },
    { 0x0D3, "getdebugdvar" },
    { 0x0D4, "getdebugdvarint" },
    { 0x0D5, "getdebugdvarfloat" },
    { 0x0D6, "setsaveddvar" },
    { 0x0D7, "getfreeaicount" },
    { 0x0D8, "getaicount" },
    { 0x0D9, "getaiarray" },
    { 0x0DA, "getaispeciesarray" },
    { 0x0DB, "getspawnerarray" },
    { 0x0DC, "getcorpsearray" },
    { 0x0DD, "getspawnerteamarray" },
    { 0x0DE, "getweaponclipmodel" },
    { 0x0DF, "getbrushmodelcenter" },
    { 0x0E0, "getkeybinding" },
    { 0x0E1, "max" },
    { 0x0E2, "floor" },
    { 0x0E3, "ceil" },
    { 0x0E4, "exp" },
    { 0x0E5, "_func_0E5" },
    { 0x0E6, "log" },
    { 0x0E7, "sqrt" },
    { 0x0E8, "squared" },
    { 0x0E9, "clamp" },
    { 0x0EA, "angleclamp" },
    { 0x0EB, "angleclamp180" },
    { 0x0EC, "vectorfromlinetopoint" },
    { 0x0ED, "pointonsegmentnearesttopoint" },
    { 0x0EE, "distance" },
    { 0x0EF, "distance2d" },
    { 0x0F0, "distancesquared" },
    { 0x0F1, "length" },
    { 0x0F2, "length2d" },
    { 0x0F3, "lengthsquared" },
    { 0x0F4, "length2dsquared" },
    { 0x0F5, "closer" },
    { 0x0F6, "vectordot" },
    { 0x0F7, "vectorcross" },
    { 0x0F8, "axistoangles" },
    { 0x0F9, "visionsetthermal" },
    { 0x0FA, "visionsetpain" },
    { 0x0FB, "endlobby" },
    { 0x0FC, "setac130ambience" },
    { 0x0FD, "getmapcustom" },
    { 0x0FE, "spawnsighttrace" },
    { 0x0FF, "incrementcounter" },
    { 0x100, "getcountertotal" },
    { 0x101, "getlevelticks" },
    { 0x102, "perlinnoise2d" },
    { 0x103, "calcrockingangles" },
    { 0x104, "reconevent" },
    { 0x105, "reconspatialevent" },
    { 0x106, "setsunflareposition" },
    { 0x107, "createthreatbiasgroup" },
    { 0x108, "threatbiasgroupexists" },
    { 0x109, "getthreatbias" },
    { 0x10A, "setthreatbias" },
    { 0x10B, "setthreatbiasagainstall" },
    { 0x10C, "setignoremegroup" },
    { 0x10D, "isenemyteam" },
    { 0x10E, "objective_additionalentity" },
    { 0x10F, "objective_state_nomessage" },
    { 0x110, "objective_string" },
    { 0x111, "objective_string_nomessage" },
    { 0x112, "objective_additionalposition" },
    { 0x113, "objective_current_nomessage" },
    { 0x114, "vectornormalize" },
    { 0x115, "vectortoangles" },
    { 0x116, "vectortoyaw" },
    { 0x117, "vectorlerp" },
    { 0x118, "anglestoup" },
    { 0x119, "anglestoright" },
    { 0x11A, "anglestoforward" },
    { 0x11B, "anglesdelta" },
    { 0x11C, "combineangles" },
    { 0x11D, "transformmove" },
    { 0x11E, "rotatevector" },
    { 0x11F, "rotatepointaroundvector" },
    { 0x120, "issubstr" },
    { 0x121, "isendstr" },
    { 0x122, "getsubstr" },
    { 0x123, "tolower" },
    { 0x124, "strtok" },
    { 0x125, "stricmp" },
    { 0x126, "ambientplay" },
    { 0x127, "getuavstrengthmax" },
    { 0x128, "getuavstrengthlevelneutral" },
    { 0x129, "getuavstrengthlevelshowenemyfastsweep" },
    { 0x12A, "getuavstrengthlevelshowenemydirectional" },
    { 0x12B, "blockteamradar" },
    { 0x12C, "unblockteamradar" },
    { 0x12D, "isteamradarblocked" },
    { 0x12E, "getassignedteam" },
    { 0x12F, "setmatchdata" },
    { 0x130, "getmatchdata" },
    { 0x131, "sendmatchdata" },
    { 0x132, "clearmatchdata" },
    { 0x133, "setmatchdatadef" },
    { 0x134, "setmatchclientip" },
    { 0x135, "setmatchdataid" },
    { 0x136, "setclientmatchdata" },
    { 0x137, "getclientmatchdata" },
    { 0x138, "setclientmatchdatadef" },
    { 0x139, "sendclientmatchdata" },
    { 0x13A, "getbuildversion" },
    { 0x13B, "getbuildnumber" },
    { 0x13C, "getsystemtime" },
    { 0x13D, "getmatchrulesdata" },
    { 0x13E, "isusingmatchrulesdata" },
    { 0x13F, "kick" },
    { 0x140, "issplitscreen" },
    { 0x141, "setmapcenter" },
    { 0x142, "setgameendtime" },
    { 0x143, "visionsetnaked" },
    { 0x144, "visionsetnight" },
    { 0x145, "visionsetmissilecam" },
    { 0x146, "ambientstop" },
    { 0x147, "precachemodel" },
    { 0x148, "precacheshellshock" },
    { 0x149, "precacheitem" },
    { 0x14A, "precacheshader" },
    { 0x14B, "precachestring" },
    { 0x14C, "precachemenu" },
    { 0x14D, "precacherumble" },
    { 0x14E, "precachelocationselector" },
    { 0x14F, "precacheleaderboards" },
    { 0x150, "loadfx" },
    { 0x151, "playfx" },
    { 0x152, "playfxontag" },
    { 0x153, "stopfxontag" },
    { 0x154, "killfxontag" },
    { 0x155, "playloopedfx" },
    { 0x156, "spawnfx" },
    { 0x157, "triggerfx" },
    { 0x158, "playfxontagforclients" },
    { 0x159, "setfxkillondelete" },
    { 0x15A, "playimpactheadfatalfx" },
    { 0x15B, "setwinningteam" },
    { 0x15C, "announcement" },
    { 0x15D, "clientannouncement" },
    { 0x15E, "setteammode" },
    { 0x15F, "getteamscore" },
    { 0x160, "setteamscore" },
    { 0x161, "setclientnamemode" },
    { 0x162, "updateclientnames" },
    { 0x163, "getteamplayersalive" },
    { 0x164, "logprint" },
    { 0x165, "worldentnumber" },
    { 0x166, "obituary" },
    { 0x167, "positionwouldtelefrag" },
    { 0x168, "canspawn" },
    { 0x169, "getstarttime" },
    { 0x16A, "precacheheadicon" },
    { 0x16B, "precacheminimapicon" },
    { 0x16C, "precachempanim" },
    { 0x16D, "map_restart" },
    { 0x16E, "exitlevel" },
    { 0x16F, "addtestclient" },
    { 0x170, "addagent" },
    { 0x171, "setarchive" },
    { 0x172, "allclientsprint" },
    { 0x173, "clientprint" },
    { 0x174, "mapexists" },
    { 0x175, "isvalidgametype" },
    { 0x176, "matchend" },
    { 0x177, "setplayerteamrank" },
    { 0x178, "endparty" },
    { 0x179, "setteamradar" },
    { 0x17A, "getteamradar" },
    { 0x17B, "setteamradarstrength" },
    { 0x17C, "getteamradarstrength" },
    { 0x17D, "getuavstrengthmin" },
    { 0x17E, "physicsexplosionsphere" },
    { 0x17F, "physicsexplosioncylinder" },
    { 0x180, "physicsjolt" },
    { 0x181, "physicsjitter" },
    { 0x182, "setexpfog" },
    { 0x183, "setexpfogext" },
    { 0x184, "setexpfogdvarsonly" },
    { 0x185, "setexpfogextdvarsonly" },
    { 0x186, "setatmosfog" },
    { 0x187, "setatmosfogdvarsonly" },
    { 0x188, "isexplosivedamagemod" },
    { 0x189, "radiusdamage" },
    { 0x18A, "setplayerignoreradiusdamage" },
    { 0x18B, "glassradiusdamage" },
    { 0x18C, "earthquake" },
    { 0x18D, "getnumparts" },
    { 0x18E, "objective_onentity" },
    { 0x18F, "objective_onentitywithrotation" },
    { 0x190, "objective_team" },
    { 0x191, "objective_player" },
    { 0x192, "objective_playerteam" },
    { 0x193, "objective_playerenemyteam" },
    { 0x194, "objective_playermask_hidefromall" },
    { 0x195, "objective_playermask_hidefrom" },
    { 0x196, "objective_playermask_showtoall" },
    { 0x197, "objective_playermask_showto" },
    { 0x198, "iprintln" },
    { 0x199, "iprintlnbold" },
    { 0x19A, "logstring" },
    { 0x19B, "getent" },
    { 0x19C, "getentarray" },
    { 0x19D, "getspawnarray" },
    { 0x19E, "spawnplane" },
    { 0x19F, "spawnstruct" },
    { 0x1A0, "spawnhelicopter" },
    { 0x1A1, "isalive" },
    { 0x1A2, "isspawner" },
    { 0x1A3, "missile_createattractorent" },
    { 0x1A4, "missile_createattractororigin" },
    { 0x1A5, "missile_createrepulsorent" },
    { 0x1A6, "missile_createrepulsororigin" },
    { 0x1A7, "missile_deleteattractor" },
    { 0x1A8, "playsoundatpos" },
    { 0x1A9, "newhudelem" },
    { 0x1AA, "newclienthudelem" },
    { 0x1AB, "newteamhudelem" },
    { 0x1AC, "resettimeout" },
    { 0x1AD, "isplayer" },
    { 0x1AE, "isplayernumber" },
    { 0x1AF, "getpartname" },
    { 0x1B0, "weaponfiretime" },
    { 0x1B1, "weaponclipsize" },
    { 0x1B2, "weaponisauto" },
    { 0x1B3, "weaponissemiauto" },
    { 0x1B4, "weaponisboltaction" },
    { 0x1B5, "weaponinheritsperks" },
    { 0x1B6, "weaponburstcount" },
    { 0x1B7, "weapontype" },
    { 0x1B8, "weaponclass" },
    { 0x1B9, "getnextarraykey" },
    { 0x1BA, "sortbydistance" },
    { 0x1BB, "tablelookup" },
    { 0x1BC, "tablelookupbyrow" },
    { 0x1BD, "tablelookupistring" },
    { 0x1BE, "tablelookupistringbyrow" },
    { 0x1BF, "tablelookuprownum" },
    { 0x1C0, "tableexists" },
    { 0x1C1, "getmissileowner" },
    { 0x1C2, "magicbullet" },
    { 0x1C3, "getweaponflashtagname" },
    { 0x1C4, "averagepoint" },
    { 0x1C5, "averagenormal" },
    { 0x1C6, "vehicle_getspawnerarray" },
    { 0x1C7, "playrumbleonposition" },
    { 0x1C8, "playrumblelooponposition" },
    { 0x1C9, "stopallrumbles" },
    { 0x1CA, "soundexists" },
    { 0x1CB, "openfile" },
    { 0x1CC, "closefile" },
    { 0x1CD, "fprintln" },
    { 0x1CE, "fprintfields" },
    { 0x1CF, "freadln" },
    { 0x1D0, "fgetarg" },
    { 0x1D1, "setminimap" },
    { 0x1D2, "setthermalbodymaterial" },
    { 0x1D3, "getarraykeys" },
    { 0x1D4, "getfirstarraykey" },
    { 0x1D5, "getglass" },
    { 0x1D6, "getglassarray" },
    { 0x1D7, "getglassorigin" },
    { 0x1D8, "isglassdestroyed" },
    { 0x1D9, "destroyglass" },
    { 0x1DA, "deleteglass" },
    { 0x1DB, "getentchannelscount" },
    { 0x1DC, "getentchannelname" },
    { 0x1DD, "objective_add" },
    { 0x1DE, "objective_delete" },
    { 0x1DF, "objective_state" },
    { 0x1E0, "objective_icon" },
    { 0x1E1, "objective_indentlevel" },
    { 0x1E2, "objective_position" },
    { 0x1E3, "objective_current" },
    { 0x1E4, "weaponinventorytype" },
    { 0x1E5, "weaponstartammo" },
    { 0x1E6, "weaponmaxammo" },
    { 0x1E7, "weaponaltweaponname" },
    { 0x1E8, "isweaponcliponly" },
    { 0x1E9, "isweapondetonationtimed" },
    { 0x1EA, "isweaponmanuallydetonatedbyemptythrow" },
    { 0x1EB, "weaponhasthermalscope" },
    { 0x1EC, "getvehiclenode" },
    { 0x1ED, "getvehiclenodearray" },
    { 0x1EE, "getallvehiclenodes" },
    { 0x1EF, "getnumvehicles" },
    { 0x1F0, "precachevehicle" },
    { 0x1F1, "spawnvehicle" },
    { 0x1F2, "vehicle_getarray" },
    { 0x1F3, "pow" },
    { 0x1F4, "atan2" },
    { 0x1F5, "botgetmemoryevents" },
    { 0x1F6, "botautoconnectenabled" },
    { 0x1F7, "botzonegetcount" },
    { 0x1F8, "botzonesetteam" },
    { 0x1F9, "botzonenearestcount" },
    { 0x1FA, "botmemoryflags" },
    { 0x1FB, "botflagmemoryevents" },
    { 0x1FC, "botzonegetindoorpercent" },
    { 0x1FD, "botsentientswap" },
    { 0x1FE, "isbot" },
    { 0x1FF, "isagent" },
    { 0x200, "getmaxagents" },
    { 0x201, "botdebugdrawtrigger" },
    { 0x202, "botgetclosestnavigablepoint" },
    { 0x203, "getnodesintrigger" },
    { 0x204, "nodesvisible" },
    { 0x205, "getnodesonpath" },
    { 0x206, "getzonecount" },
    { 0x207, "getzonenearest" },
    { 0x208, "getzonenodes" },
    { 0x209, "getzonepath" },
    { 0x20A, "getzoneorigin" },
    { 0x20B, "getnodezone" },
    { 0x20C, "getzonenodesbydist" },
    { 0x20D, "getzonenodeforindex" },
    { 0x20E, "getweaponexplosionradius" },
    { 0x20F, "markdangerousnodes" },
    { 0x210, "markdangerousnodesintrigger" },
    { 0x211, "nodeexposedtosky" },
    { 0x212, "findentrances" },
    { 0x213, "badplace_global" },
    { 0x214, "getpathdist" },
    { 0x215, "getlinkednodes" },
    { 0x216, "disconnectnodepair" },
    { 0x217, "connectnodepair" },
    { 0x218, "gettimesincelastpaused" },
    { 0x219, "precachefxontag" },
    { 0x21A, "precachetag" },
    { 0x21B, "precachesound" },
    { 0x21C, "devsetminimapdvarsettings" },
    { 0x21D, "loadtransient" },
    { 0x21E, "unloadtransient" },
    { 0x21F, "unloadalltransients" },
    { 0x220, "synctransients" },
    { 0x221, "aretransientsbusy" },
    { 0x222, "istransientqueued" },
    { 0x223, "istransientloaded" },
    { 0x224, "loadstartpointtransient" },
    { 0x225, "distance2dsquared" },
    { 0x226, "getangledelta3d" },
    { 0x227, "activateclientexploder" },
    { 0x228, "trajectorycalculateinitialvelocity" },
    { 0x229, "trajectorycalculateminimumvelocity" },
    { 0x22A, "trajectorycalculateexitangle" },
    { 0x22B, "trajectoryestimatedesiredinairtime" },
    { 0x22C, "trajectorycomputedeltaheightattime" },
    { 0x22D, "trajectorycanattemptaccuratejump" },
    { 0x22E, "adddebugcommand" },
    { 0x22F, "ispointinvolume" },
    { 0x230, "cinematicgettimeinmsec" },
    { 0x231, "cinematicgetframe" },
    { 0x232, "iscinematicloaded" },
    { 0x233, "bbprint" },
    { 0x234, "getenemysquaddata" },
    { 0x235, "lookupsoundlength" },
    { 0x236, "getscriptablearray" },
    { 0x237, "clearfog" },
    { 0x238, "setleveldopplerpreset" },
    { 0x239, "screenshake" },
    { 0x23A, "isusinghdr" },
    { 0x23B, "isusingssao" },
    { 0x23C, "grantloot" },
    { 0x23D, "playerphysicstraceinfo" },
    { 0x23E, "_func_23E" },
    { 0x23F, "getminchargetime" },
    { 0x240, "getchargetimepershot" },
    { 0x241, "getmaxchargeshots" },
    { 0x242, "weaponischargeable" },
    { 0x243, "weaponusesheat" },
    { 0x244, "lootserviceonendgame" },
    { 0x245, "luinotifyevent" },
    { 0x246, "lootserviceonstartgame" },
    { 0x247, "tournamentreportplayerspm" },
    { 0x248, "tournamentreportwinningteam" },
    { 0x249, "tournamentreportendofgame" },
    { 0x24A, "wakeupphysicssphere" },
    { 0x24B, "wakeupragdollsphere" },
    { 0x24C, "dopplerpitch" },
    { 0x24D, "piecewiselinearlookup" },
    { 0x24E, "anglestoaxis" },
    { 0x24F, "visionsetwater" },
    { 0x250, "sendscriptusageanalysisdata" },
    { 0x251, "resetscriptusageanalysisdata" },
    { 0x252, "instantlylogusageanalysisdata" },
    { 0x253, "invertangles" },
    { 0x254, "rotatevectorinverted" },
    { 0x255, "calculatestartorientation" },
    { 0x256, "droptoground" },
    { 0x257, "setdemigodmode" },
    { 0x258, "precachelaser" },
    { 0x259, "_func_259" },
    { 0x25A, "getcsplinecount" },
    { 0x25B, "getcsplinepointcount" },
    { 0x25C, "getcsplinelength" },
    { 0x25D, "getcsplinepointid" },
    { 0x25E, "getcsplinepointlabel" },
    { 0x25F, "getcsplinepointtension" },
    { 0x260, "getcsplinepointposition" },
    { 0x261, "getcsplinepointcorridordims" },
    { 0x262, "getcsplinepointtangent" },
    { 0x263, "getcsplinepointdisttonextpoint" },
    { 0x264, "calccsplineposition" },
    { 0x265, "calccsplinetangent" },
    { 0x266, "calccsplinecorridor" },
    { 0x267, "setnojipscore" },
    { 0x268, "setnojiptime" },
    { 0x269, "getpredictedentityposition" },
    { 0x26A, "gamedvrprohibitrecording" },
    { 0x26B, "gamedvrstartrecording" },
    { 0x26C, "gamedvrstoprecording" },
    { 0x26D, "gamedvrsetvideometadata" },
    { 0x26E, "gamedvrprohibitscreenshots" },
    { 0x26F, "gamedvrsetscreenshotmetadata" },
    { 0x270, "queuedialog" },
    { 0x271, "speechenablegrammar" },
    { 0x272, "speechenable" },
    { 0x273, "livestreamingenable" },
    { 0x274, "livestreamingsetbitrate" },
    { 0x275, "livestreamingsetmetadata" },
    { 0x276, "livestreamingenablearchiving" },
    { 0x277, "triggerportableradarping" },
    { 0x278, "setglaregrimematerial" },
    { 0x279, "botgetteamlimit" },
    { 0x27A, "spawnfxforclient" },
    { 0x27B, "botgetteamdifficulty" },
    { 0x27C, "debugstar" },
    { 0x27D, "newdebughudelem" },
    { 0x27E, "printlightsetsettings" },
    { 0x27F, "lightsetdumpstate" },
    { 0x280, "getsquadassaultelo" },
    { 0x281, "loadluifile" },
    { 0x282, "isdedicatedserver" },
    { 0x283, "getplaylistversion" },
    { 0x284, "getplaylistid" },
    { 0x285, "getactiveclientcount" },
    { 0x286, "issquadsmode" },
    { 0x287, "getsquadassaultsquadindex" },
    { 0x288, "visionsetpostapply" },
    { 0x289, "addbot" },
    { 0x28A, "ishairrunning" },
    { 0x28B, "getnearbyarrayelements" },
    { 0x28C, "vectorclamp" },
    { 0x28D, "isalliedsentient" },
    { 0x28E, "istestclient" },
    { 0x28F, "getrandomnodedestination" },
    { 0x290, "debuglocalizestring" },
    { 0x291, "enablesoundcontextoverride" },
    { 0x292, "disablesoundcontextoverride" },
    { 0x293, "notifyoncommandremove" },
    { 0x294, "getsndaliasvalue" },
    { 0x295, "setsndaliasvalue" },
    { 0x296, "packedtablelookup" },
    { 0x297, "packedtablesectionlookup" },
    { 0x298, "packedtablelookupwithrange" },
    { 0x299, "grappletrace" },
    { 0x29A, "stopclientexploder" },
    { 0x29B, "closestpointstwosegs" },
    { 0x29C, "isremovedentity" },
    { 0x29D, "tablegetrowcount" },
    { 0x29E, "tablegetcolumncount" },
    { 0x29F, "batteryusepershot" },
    { 0x2A0, "batteryreqtouse" },
    { 0x2A1, "isweaponmanuallydetonatedbydoubletap" },
    { 0x2A2, "grapplegetmagnets" },
    { 0x2A3, "getweaponname" },
    { 0x2A4, "activatepersistentclientexploder" },
    { 0x2A5, "deployriotshield" },
    { 0x2A6, "validatecostume" },
    { 0x2A7, "randomcostume" },
    { 0x2A8, "shootblank" },
    { 0x2A9, "boidflockupdate" },
    { 0x2AA, "debuggetanimname" },
    { 0x2AB, "setspmatchdata" },
    { 0x2AC, "getspmatchdata" },
    { 0x2AD, "sendspmatchdata" },
    { 0x2AE, "clearspmatchdata" },
    { 0x2AF, "setspmatchdatadef" },
    { 0x2B0, "playcinematicforall" },
    { 0x2B1, "preloadcinematicforall" },
    { 0x2B2, "stopcinematicforall" },
    { 0x2B3, "capsuletracepassed" },
    { 0x2B4, "stopfxontagforclient" },
    { 0x2B5, "killfxontagforclient" },
    { 0x2B6, "isvector" },
    { 0x2B7, "notifychallengecomplete" },
    { 0x2B8, "lootservicestarttrackingplaytime" },
    { 0x2B9, "lootservicestoptrackingplaytime" },
    { 0x2BA, "lootservicevalidateplaytime" },
    { 0x2BB, "recordbreadcrumbdataforplayer" },
    { 0x2BC, "getweaponandattachmentmodels" },
    { 0x2BD, "changewhizbyautosimparams" },
    { 0x2BE, "sysprint" },
    { 0x2BF, "objective_mlgspectator" },
    { 0x2C0, "setspcheckpointdata" },
    { 0x2C1, "getspcheckpointdata" },
    { 0x2C2, "isnumber" },
    { 0x2C3, "isonlinegame" },
    { 0x2C4, "issystemlink" },
    { 0x2C5, "setsoundmasteringfadetime" },
    { 0x2C6, "getstanceandmotionstateforplayer" },
    { 0x2C7, "nodeisnotusable" },
    { 0x2C8, "nodesetnotusable" },
    { 0x2C9, "spawnlinkedfx" },
    { 0x2CA, "spawnlinkedfxforclient" },
    { 0x2CB, "getplaylistname" },
    { 0x2CC, "getlocaltimestring" },
    { 0x2CD, "isonwifi" },
    { 0x2CE, "getbuttonsconfig" },
    { 0x2CF, "getchallengeid" },
    { 0x2D0, "nodehasremotemissileset" },
    { 0x2D1, "nodegetremotemissilename" },
    { 0x2D2, "remotemissileenttracetooriginpassed" },
    { 0x2D3, "bombingruntracepassed" },
    { 0x2D4, "soundsettraceflags" },
    { 0x2D5, "handlepickupdeployedriotshield" },
    { 0x2D6, "getcodanywherecurrentplatform" },
    { 0x2D7, "getcostumefromtable" },
    { 0x2D8, "visionsetoverdrive" },
    { 0x2D9, "nodegetsplitgroup" },
    { 0x2DA, "recordbreadcrumbdataforplayersp" },
    { 0x2DB, "getchallengerewarditem" },
    { 0x2DC, "setentplayerxuidforemblem" },
    { 0x2DD, "resetentplayerxuidforemblems" },
    { 0x2DE, "nodesetremotemissilename" },
    { 0x2DF, "isshipbuild" },
    { 0x2E0, "strinsertnumericdelimiters" },
    { 0x2E1, "isscriptedagent" },
    { 0x2E2, "playfxonweapon" },
    { 0x2E3, "stopfxonweapon" },
    { 0x2E4, "killfxonweapon" },
    { 0x2E5, "getdefaultmaxfaceenemydistance" },
    { 0x2E6, "applyaccelerationonentity" },
    { 0x2E7, "applyimpulseonentity" },
    { 0x2E8, "setshaderconstant" },
    { 0x2E9, "getinventoryitemtype" },
    { 0x2EA, "getweaponmodelbounds" },
    { 0x2EB, "weaponitemplayidleanim" },
    { 0x2EC, "_func_2EC" },
    { 0x2ED, "getstaticmodelcount" },
    { 0x2EE, "getstaticmodelname" },
    { 0x2EF, "getstaticmodelbounds" },
    { 0x2F0, "findstaticmodelindex" },
    { 0x2F1, "getdynentcount" },
    { 0x2F2, "getdynentmodelname" },
    { 0x2F3, "getdynentmodelbounds" },
    { 0x2F4, "finddynentwithmodelindex" },
    { 0x2F5, "getentitymodelname" },
    { 0x2F6, "getentitymodelbounds" },
    { 0x2F7, "findentitywithmodelindex" },
    { 0x2F8, "_func_2F8" },
    { 0x2F9, "_func_2F9" },
    { 0x2FA, "_func_2FA" },
    { 0x2FB, "_func_2FB" },
    { 0x2FC, "_func_2FC" },
    { 0x2FD, "_func_2FD" },
    { 0x2FE, "_func_2FE" },
    { 0x2FF, "_func_2FF" },
    { 0x300, "_func_300" },
    { 0x301, "_func_301" },
    { 0x302, "_func_302" },
    { 0x303, "_func_303" },
    { 0x304, "_func_304" },
    { 0x305, "_func_305" },
    { 0x306, "_func_306" },
    { 0x307, "_func_307" },
    { 0x308, "_func_308" },
    { 0x309, "_func_309" },
    { 0x30A, "_func_30A" },
}};

} // namespace xsk::gsc::h1
