// Copyright 2023 xensik. All rights reserved.
//
// Use of this source code is governed by a GNU GPLv3 license
// that can be found in the LICENSE file.

#include "xsk/gsc/engine/iw5_pc.hpp"

namespace xsk::gsc::iw5_pc
{

extern std::array<std::pair<u32, char const*>, token_count> const token_list
{{
    { 0x0000, "" },
    { 0x0001, "pl#" },
    { 0x0002, "-" },
    { 0x0003, "radius`" },
    { 0x0004, "note:" },
//  { 0x0005, "" },
//  { 0x0006, "" },
//  { 0x0007, "" },
    { 0x0008, "street_dialogue_callouts" },
    { 0x0009, "missile_chain_delay_custom" },
    { 0x000A, "ride_in_dialogue" },
    { 0x000B, "landing_enableweapon" },
    { 0x000C, "addcreditmw3_3f" },
    { 0x000D, "formats" },
    { 0x000E, "applyformattype" },
    { 0x000F, "intro_yelling_enemies" },
    { 0x0010, "pulse" },
    { 0x0011, "exceededmaxremoteuavs" },
    { 0x0012, "soundent" },
    { 0x0013, "bombsquadmodel" },
    { 0x0014, "zonescycling" },
    { 0x0015, "aud_price_gun_sweetener" },
    { 0x0016, "aud_price_gun_sweetener_burst" },
//  { 0x0017, "" },
//  { 0x0018, "" },
    { 0x0019, "aud_river_sequence_heli_fade_in" },
//  { 0x001A, "" },
    { 0x001B, "uaz_on_death_set_flags" },
    { 0x001C, "delay_color_node_on" },
    { 0x001D, "maps/mp/gametypes/_tweakables" },
    { 0x001E, "common_scripts/utility" },
    { 0x001F, "common_scripts/_createfxmenu" },
    { 0x0020, "common_scripts/_fx" },
    { 0x0021, "aud_cleanup_chase_hind_turret" },
    { 0x0022, "chase_hind_turret" },
    { 0x0023, "aud_chase_hind_fire_control" },
    { 0x0024, "aud_chase_hind_bullet_impact" },
    { 0x0025, "aud_fade_out_chase_hind_loop" },
    { 0x0026, "brt_destroyed_with_rpg_dialogue" },
//  { 0x0027, "" },
    { 0x0028, "btr_monitor_damage" },
    { 0x0029, "addcreditmw3_3" },
    { 0x002A, "initmw3additionalcredits" },
    { 0x002B, "initmw3thankscredits" },
    { 0x002C, "initmw3atvicredits" },
    { 0x002D, "addcenteredmw3" },
    { 0x002E, "centered" },
    { 0x002F, "addcreditmw3_4" },
    { 0x0030, "credits" },
    { 0x0031, "reload_garage" },
    { 0x0032, "outside_reveal_chatter" },
//  { 0x0033, "" },
//  { 0x0034, "" },
//  { 0x0035, "" },
    { 0x0036, "xpscalar" },
    { 0x0037, "isbuffequippedonweapon" },
    { 0x0038, "ondisconnect" },
    { 0x0039, "aud_play_door_kick_subtitle" },
//  { 0x003A, "" },
//  { 0x003B, "" },
    { 0x003C, "shootmg" },
//  { 0x003D, "" },
    { 0x003E, "takedown_index" },
    { 0x003F, "wallcroft_exit_badass" },
//  { 0x0040, "" },
    { 0x0041, "maps/_utility" },
    { 0x0042, "maps/_mgturret" },
    { 0x0043, "maps/_bcs_location_trigs" },
    { 0x0044, "maps/_anim" },
    { 0x0045, "maps/_gameskill" },
    { 0x0046, "common_scripts/_destructible" },
//  { 0x0047, "" },
//  { 0x0048, "" },
//  { 0x0049, "" },
//  { 0x004A, "" },
//  { 0x004B, "" },
    { 0x004C, "setup_mak_gun_light_fail" },
//  { 0x004D, "" },
//  { 0x004E, "" },
//  { 0x004F, "" },
//  { 0x0050, "" },
//  { 0x0051, "" },
//  { 0x0052, "" },
//  { 0x0053, "" },
//  { 0x0054, "" },
//  { 0x0055, "" },
//  { 0x0056, "" },
//  { 0x0057, "" },
//  { 0x0058, "" },
//  { 0x0059, "" },
//  { 0x005A, "" },
//  { 0x005B, "" },
//  { 0x005C, "" },
//  { 0x005D, "" },
    { 0x005E, "common_scripts/_destructible_types" },
    { 0x005F, "maps/_vehicle" },
    { 0x0060, "maps/_mg_penetration" },
    { 0x0061, "maps/_rank" },
    { 0x0062, "maps/_hud_util" },
    { 0x0063, "maps/_hud" },
    { 0x0064, "maps/_missions" },
    { 0x0065, "maps/_colors" },
    { 0x0066, "maps/_spawner" },
    { 0x0067, "maps/_audio" },
    { 0x0068, "maps/_audio_stream_manager" },
//  { 0x0069, "" },
//  { 0x006A, "" },
//  { 0x006B, "" },
//  { 0x006C, "" },
//  { 0x006D, "" },
//  { 0x006E, "" },
//  { 0x006F, "" },
//  { 0x0070, "" },
//  { 0x0071, "" },
//  { 0x0072, "" },
//  { 0x0073, "" },
//  { 0x0074, "" },
//  { 0x0075, "" },
//  { 0x0076, "" },
//  { 0x0077, "" },
//  { 0x0078, "" },
//  { 0x0079, "" },
//  { 0x007A, "" },
//  { 0x007B, "" },
//  { 0x007C, "" },
//  { 0x007D, "" },
//  { 0x007E, "" },
//  { 0x007F, "" },
//  { 0x0080, "" },
//  { 0x0081, "" },
//  { 0x0082, "" },
//  { 0x0083, "" },
//  { 0x0084, "" },
    { 0x0085, "maps/_audio_dynamic_ambi" },
    { 0x0086, "maps/_audio_reverb" },
    { 0x0087, "maps/_audio_mix_manager" },
    { 0x0088, "maps/_audio_presets_vehicles" },
    { 0x0089, "maps/_specialops" },
    { 0x008A, "maps/_lights" },
    { 0x008B, "maps/_audio_zone_manager" },
//  { 0x008C, "" },
//  { 0x008D, "" },
//  { 0x008E, "" },
//  { 0x008F, "" },
//  { 0x0090, "" },
//  { 0x0091, "" },
//  { 0x0092, "" },
//  { 0x0093, "" },
//  { 0x0094, "" },
//  { 0x0095, "" },
//  { 0x0096, "" },
//  { 0x0097, "" },
//  { 0x0098, "" },
//  { 0x0099, "" },
//  { 0x009A, "" },
//  { 0x009B, "" },
//  { 0x009C, "" },
//  { 0x009D, "" },
//  { 0x009E, "" },
//  { 0x009F, "" },
//  { 0x00A0, "" },
//  { 0x00A1, "" },
//  { 0x00A2, "" },
//  { 0x00A3, "" },
//  { 0x00A4, "" },
//  { 0x00A5, "" },
//  { 0x00A6, "" },
//  { 0x00A7, "" },
//  { 0x00A8, "" },
//  { 0x00A9, "" },
//  { 0x00AA, "" },
//  { 0x00AB, "" },
//  { 0x00AC, "" },
//  { 0x00AD, "" },
//  { 0x00AE, "" },
//  { 0x00AF, "" },
    { 0x00B0, "maps/_audio_music" },
    { 0x00B1, "maps/_audio_whizby" },
    { 0x00B2, "maps/_audio_vehicles" },
    { 0x00B3, "maps/_specialops_code" },
    { 0x00B4, "maps/_specialops_battlechatter" },
    { 0x00B5, "maps/_endmission" },
    { 0x00B6, "maps/_utility_code" },
    { 0x00B7, "maps/_load" },
    { 0x00B8, "maps/_quotes" },
    { 0x00B9, "maps/_ambient" },
//  { 0x00BA, "" },
//  { 0x00BB, "" },
//  { 0x00BC, "" },
//  { 0x00BD, "" },
//  { 0x00BE, "" },
//  { 0x00BF, "" },
//  { 0x00C0, "" },
//  { 0x00C1, "" },
//  { 0x00C2, "" },
//  { 0x00C3, "" },
    { 0x00C4, "character/character_hero_europe_price_cc" },
//  { 0x00C5, "" },
//  { 0x00C6, "" },
//  { 0x00C7, "" },
//  { 0x00C8, "" },
//  { 0x00C9, "" },
//  { 0x00CA, "" },
//  { 0x00CB, "" },
//  { 0x00CC, "" },
//  { 0x00CD, "" },
//  { 0x00CE, "" },
//  { 0x00CF, "" },
//  { 0x00D0, "" },
//  { 0x00D1, "" },
//  { 0x00D2, "" },
//  { 0x00D3, "" },
//  { 0x00D4, "" },
//  { 0x00D5, "" },
//  { 0x00D6, "" },
//  { 0x00D7, "" },
//  { 0x00D8, "" },
//  { 0x00D9, "" },
//  { 0x00DA, "" },
//  { 0x00DB, "" },
//  { 0x00DC, "" },
//  { 0x00DD, "" },
//  { 0x00DE, "" },
//  { 0x00DF, "" },
    { 0x00E0, "maps/_coop" },
    { 0x00E1, "common_scripts/_artcommon" },
    { 0x00E2, "maps/_arcademode" },
    { 0x00E3, "maps/_damagefeedback" },
    { 0x00E4, "maps/_laststand" },
    { 0x00E5, "maps/_player_stats" },
    { 0x00E6, "maps/_art" },
//  { 0x00E7, "" },
//  { 0x00E8, "" },
//  { 0x00E9, "" },
    { 0x00EA, "character/character_tank_crew_a" },
    { 0x00EB, "character/character_tank_crew_b" },
//  { 0x00EC, "" },
//  { 0x00ED, "" },
//  { 0x00EE, "" },
//  { 0x00EF, "" },
//  { 0x00F0, "" },
//  { 0x00F1, "" },
//  { 0x00F2, "" },
//  { 0x00F3, "" },
//  { 0x00F4, "" },
//  { 0x00F5, "" },
//  { 0x00F6, "" },
//  { 0x00F7, "" },
//  { 0x00F8, "" },
//  { 0x00F9, "" },
//  { 0x00FA, "" },
//  { 0x00FB, "" },
//  { 0x00FC, "" },
//  { 0x00FD, "" },
//  { 0x00FE, "" },
//  { 0x00FF, "" },
//  { 0x0100, "" },
//  { 0x0101, "" },
//  { 0x0102, "" },
//  { 0x0103, "" },
//  { 0x0104, "" },
//  { 0x0105, "" },
//  { 0x0106, "" },
    { 0x0107, "truck_trigger_by_use" },
    { 0x0108, "maps/_noder" },
    { 0x0109, "common_scripts/_painter" },
    { 0x010A, "maps/_createfx" },
    { 0x010B, "maps/_global_fx" },
    { 0x010C, "maps/_detonategrenades" },
    { 0x010D, "maps/_names" },
    { 0x010E, "maps/_autosave" },
    { 0x010F, "maps/_debug" },
    { 0x0110, "maps/_loadout" },
    { 0x0111, "common_scripts/_elevator" },
//  { 0x0112, "" },
//  { 0x0113, "" },
//  { 0x0114, "" },
//  { 0x0115, "" },
//  { 0x0116, "" },
//  { 0x0117, "" },
//  { 0x0118, "" },
//  { 0x0119, "" },
//  { 0x011A, "" },
//  { 0x011B, "" },
//  { 0x011C, "" },
//  { 0x011D, "" },
//  { 0x011E, "" },
//  { 0x011F, "" },
//  { 0x0120, "" },
//  { 0x0121, "" },
//  { 0x0122, "" },
//  { 0x0123, "" },
//  { 0x0124, "" },
//  { 0x0125, "" },
//  { 0x0126, "" },
//  { 0x0127, "" },
//  { 0x0128, "" },
//  { 0x0129, "" },
//  { 0x012A, "" },
//  { 0x012B, "" },
//  { 0x012C, "" },
//  { 0x012D, "" },
//  { 0x012E, "" },
//  { 0x012F, "" },
//  { 0x0130, "" },
//  { 0x0131, "" },
//  { 0x0132, "" },
//  { 0x0133, "" },
//  { 0x0134, "" },
//  { 0x0135, "" },
//  { 0x0136, "" },
//  { 0x0137, "" },
//  { 0x0138, "" },
//  { 0x0139, "" },
    { 0x013A, "common_scripts/_pipes" },
    { 0x013B, "common_scripts/_dynamic_world" },
    { 0x013C, "maps/_introscreen" },
    { 0x013D, "maps/_shutter" },
    { 0x013E, "maps/_escalator" },
    { 0x013F, "maps/_friendlyfire" },
    { 0x0140, "maps/_interactive_objects" },
    { 0x0141, "maps/_intelligence" },
    { 0x0142, "maps/_animatedmodels" },
    { 0x0143, "maps/_fx" },
    { 0x0144, "codescripts/character" },
    { 0x0145, "maps/_compass" },
    { 0x0146, "maps/_hiding_door" },
//  { 0x0147, "" },
//  { 0x0148, "" },
//  { 0x0149, "" },
    { 0x014A, "character/character_opforce_henchmen_lmg_a" },
    { 0x014B, "character/character_opforce_henchmen_lmg_b" },
    { 0x014C, "character/character_hero_europe_price_a" },
//  { 0x014D, "" },
//  { 0x014E, "" },
//  { 0x014F, "" },
//  { 0x0150, "" },
//  { 0x0151, "" },
//  { 0x0152, "" },
//  { 0x0153, "" },
//  { 0x0154, "" },
//  { 0x0155, "" },
//  { 0x0156, "" },
//  { 0x0157, "" },
//  { 0x0158, "" },
//  { 0x0159, "" },
//  { 0x015A, "" },
//  { 0x015B, "" },
//  { 0x015C, "" },
//  { 0x015D, "" },
//  { 0x015E, "" },
//  { 0x015F, "" },
//  { 0x0160, "" },
//  { 0x0161, "" },
//  { 0x0162, "" },
//  { 0x0163, "" },
//  { 0x0164, "" },
//  { 0x0165, "" },
    { 0x0166, "maps/_drone" },
    { 0x0167, "maps/_patrol" },
    { 0x0168, "maps/_vehicle_aianim" },
    { 0x0169, "maps/_helicopter_ai" },
    { 0x016A, "maps/_helicopter_globals" },
    { 0x016B, "vehicle_scripts/_attack_heli" },
//  { 0x016C, "" }, //  maps/vehiclenames??
    { 0x016D, "maps/_treadfx" },
    { 0x016E, "maps/mp/_utility" },
    { 0x016F, "maps/mp/gametypes/_rank" },
    { 0x0170, "maps/mp/gametypes/_persistence" },
    { 0x0171, "gun_prevguns" },
    { 0x0172, "gun_curgun" },
    { 0x0173, "getnextgun" },
    { 0x0174, "addattachments" },
    { 0x0175, "gun_attachments" },
//  { 0x0176, "" },
    { 0x0177, "character/character_hero_europe_price_aa" },
//  { 0x0178, "" },
//  { 0x0179, "" },
//  { 0x017A, "" },
//  { 0x017B, "" },
//  { 0x017C, "" },
//  { 0x017D, "" },
//  { 0x017E, "" },
//  { 0x017F, "" },
//  { 0x0180, "" },
//  { 0x0181, "" },
//  { 0x0182, "" },
//  { 0x0183, "" },
//  { 0x0184, "" },
//  { 0x0185, "" },
//  { 0x0186, "" },
//  { 0x0187, "" },
//  { 0x0188, "" },
//  { 0x0189, "" },
//  { 0x018A, "" },
//  { 0x018B, "" },
    { 0x018C, "maps/_dshk_player_rescue" },
//  { 0x018D, "" },
//  { 0x018E, "" },
//  { 0x018F, "" },
    { 0x0190, "maps/mp/gametypes/_gamelogic" },
    { 0x0191, "maps/mp/killstreaks/_killstreaks" },
    { 0x0192, "maps/mp/gametypes/_missions" },
    { 0x0193, "maps/mp/gametypes/_hud_message" },
    { 0x0194, "characters/mp_character_ally_ghillie_desert" },
    { 0x0195, "characters/mp_character_op_ghillie_desert" },
    { 0x0196, "character/mp_character_ally_ghillie_arctic" },
    { 0x0197, "character/mp_character_op_ghillie_arctic" },
    { 0x0198, "character/mp_character_ally_ghillie_urban" },
    { 0x0199, "character/mp_character_op_ghillie_urban" },
    { 0x019A, "character/mp_character_ally_ghillie_forest" },
    { 0x019B, "character/mp_character_op_ghillie_forest" },
    { 0x019C, "character/mp_character_op_ghillie_militia" },
    { 0x019D, "xmodelalias/alias_delta_elite_heads" },
//  { 0x019E, "" },
//  { 0x019F, "" },
    { 0x01A0, "logkillsconfirmed" },
    { 0x01A1, "logkillsdenied" },
    { 0x01A2, "ispainted" },
    { 0x01A3, "lightweightscalar" },
    { 0x01A4, "painted" },
    { 0x01A5, "hidecarryiconongameend" },
    { 0x01A6, "emptimeremaining" },
    { 0x01A7, "juggremoveradarongameended" },
    { 0x01A8, "airstrikessfx" },
    { 0x01A9, "airstrikeexplosion" },
    { 0x01AA, "keepemptimeremaining" },
    { 0x01AB, "nukeemptimeremaining" },
    { 0x01AC, "keepnukeemptimeremaining" },
    { 0x01AD, "handletogglezoom" },
    { 0x01AE, "remote_mortar_togglezoom" },
    { 0x01AF, "hintpickup" },
    { 0x01B0, "pickup_message_deleted" },
    { 0x01B1, "getcustomclassloc" },
    { 0x01B2, "isinunlocktable" },
    { 0x01B3, "getchallengefilter" },
    { 0x01B4, "getchallengetable" },
    { 0x01B5, "gettierfromtable" },
    { 0x01B6, "getweaponfromchallenge" },
    { 0x01B7, "getweaponattachmentfromchallenge" },
    { 0x01B8, "iskillstreakchallenge" },
    { 0x01B9, "getkillstreakfromchallenge" },
    { 0x01BA, "cac_getcustomclassloc" },
    { 0x01BB, "reinitializematchrulesonmigration" },
    { 0x01BC, "initializematchrules" },
    { 0x01BD, "matchrules_oneshotkill" },
//  { 0x01BE, "" },
    { 0x01BF, "matchrules_randomize" },
    { 0x01C0, "reinitializescorelimitonmigration" },
    { 0x01C1, "gun_nextguns" },
    { 0x01C2, "xmodelalias/alias_delta_elite_heads_longsleeves" },
    { 0x01C3, "character/mp_character_delta_elite_assault_aa" },
    { 0x01C4, "character/mp_character_delta_elite_assault_ab" },
    { 0x01C5, "character/mp_character_delta_elite_assault_ba" },
    { 0x01C6, "character/mp_character_delta_elite_assault_bb" },
    { 0x01C7, "character/mp_character_delta_elite_lmg_a" },
    { 0x01C8, "character/mp_character_delta_elite_lmg_b" },
    { 0x01C9, "character/mp_character_delta_elite_smg_a" },
    { 0x01CA, "character/mp_character_delta_elite_smg_b" },
//  { 0x01CB, "" },
//  { 0x01CC, "" },
//  { 0x01CD, "" },
//  { 0x01CE, "" },
//  { 0x01CF, "" },
    { 0x01D0, "grnd_wasspectator" },
//  { 0x01D1, "" },
//  { 0x01D2, "" },
    { 0x01D3, "grnd_previouscratetypes" },
//  { 0x01D4, "" },
//  { 0x01D5, "" },
//  { 0x01D6, "" },
//  { 0x01D7, "" },
//  { 0x01D8, "" },
//  { 0x01D9, "" },
//  { 0x01DA, "" },
//  { 0x01DB, "" },
//  { 0x01DC, "" },
//  { 0x01DD, "" },
//  { 0x01DE, "" },
//  { 0x01DF, "" },
//  { 0x01E0, "" },
//  { 0x01E1, "" },
//  { 0x01E2, "" },
//  { 0x01E3, "" },
//  { 0x01E4, "" },
//  { 0x01E5, "" },
//  { 0x01E6, "" },
//  { 0x01E7, "" },
    { 0x01E8, "character/mp_character_delta_elite_shotgun_a" },
    { 0x01E9, "character/mp_character_delta_elite_sniper" },
    { 0x01EA, "xmodelalias/alias_sas_heads" },
    { 0x01EB, "character/mp_character_sas_urban_assault" },
//  { 0x01EC, "" },
//  { 0x01ED, "" },
//  { 0x01EE, "" },
//  { 0x01EF, "" },
//  { 0x01F0, "" },
//  { 0x01F1, "" },
//  { 0x01F2, "" },
//  { 0x01F3, "" },
//  { 0x01F4, "" },
    { 0x01F5, "character/character_hero_europe_soap_injured" },
//  { 0x01F6, "" },
//  { 0x01F7, "" },
//  { 0x01F8, "" },
//  { 0x01F9, "" },
//  { 0x01FA, "" },
//  { 0x01FB, "" },
//  { 0x01FC, "" },
//  { 0x01FD, "" },
//  { 0x01FE, "" },
//  { 0x01FF, "" },
    { 0x0200, "common_scripts/_createfx" },
//  { 0x0201, "" },
//  { 0x0202, "" },
//  { 0x0203, "" },
//  { 0x0204, "" },
//  { 0x0205, "" },
//  { 0x0206, "" },
//  { 0x0207, "" },
    { 0x0208, "spawningafterremotedeath" },
    { 0x0209, "hideworldiconongameend" },
    { 0x020A, "fauxvehiclecount" },
    { 0x020B, "incrementfauxvehiclecount" },
    { 0x020C, "decrementfauxvehiclecount" },
    { 0x020D, "crateteammodelupdater" },
//  { 0x020E, "" },
//  { 0x020F, "" },
    { 0x0210, "maps/so_survival_mp_paris_precache" },
//  { 0x0211, "" },
//  { 0x0212, "" },
//  { 0x0213, "" },
    { 0x0214, "character/mp_character_sas_urban_lmg" },
    { 0x0215, "character/mp_character_sas_urban_shotgun" },
    { 0x0216, "character/mp_character_sas_urban_smg" },
    { 0x0217, "character/mp_character_sas_urban_sniper" },
    { 0x0218, "character/mp_character_gign_paris_assault" },
    { 0x0219, "character/mp_character_gign_paris_lmg" },
    { 0x021A, "character/mp_character_gign_paris_shotgun" },
    { 0x021B, "character/mp_character_gign_paris_smg" },
    { 0x021C, "character/mp_character_gign_paris_riot" },
    { 0x021D, "xmodelalias/alias_pmc_africa_heads" },
    { 0x021E, "character/mp_character_pmc_africa_assault_a" },
    { 0x021F, "character/mp_character_pmc_africa_assault_aa" },
    { 0x0220, "character/character_mp_ally_juggernaut" },
    { 0x0221, "character/mp_character_pmc_africa_lmg_a" },
    { 0x0222, "character/mp_character_pmc_africa_lmg_aa" },
    { 0x0223, "character/mp_character_pmc_africa_smg_aa" },
    { 0x0224, "character/mp_character_pmc_africa_shotgun_a" },
//  { 0x0225, "" },
//  { 0x0226, "" },
//  { 0x0227, "" },
//  { 0x0228, "" },
//  { 0x0229, "" },
//  { 0x022A, "" },
//  { 0x022B, "" },
//  { 0x022C, "" },
//  { 0x022D, "" },
//  { 0x022E, "" },
//  { 0x022F, "" },
//  { 0x0230, "" },
//  { 0x0231, "" },
//  { 0x0232, "" },
//  { 0x0233, "" },
//  { 0x0234, "" },
//  { 0x0235, "" },
    { 0x0236, "maps/castle_fx" },
    { 0x0237, "maps/castle_precache" },
//  { 0x0238, "" },
//  { 0x0239, "" },
//  { 0x023A, "" },
//  { 0x023B, "" },
//  { 0x023C, "" },
//  { 0x023D, "" },
//  { 0x023E, "" },
//  { 0x023F, "" },
//  { 0x0240, "" },
//  { 0x0241, "" },
//  { 0x0242, "" },
//  { 0x0243, "" },
//  { 0x0244, "" },
//  { 0x0245, "" },
//  { 0x0246, "" },
//  { 0x0247, "" },
//  { 0x0248, "" },
//  { 0x0249, "" },
//  { 0x024A, "" },
//  { 0x024B, "" },
//  { 0x024C, "" },
//  { 0x024D, "" },
//  { 0x024E, "" },
    { 0x024F, "character/mp_character_pmc_africa_sniper" },
    { 0x0250, "character/mp_character_opforce_air_assault" },
    { 0x0251, "character/mp_character_opforce_air_lmg" },
    { 0x0252, "character/mp_character_opforce_air_shotgun" },
    { 0x0253, "character/mp_character_opforce_air_smg" },
    { 0x0254, "character/mp_character_opforce_air_sniper" },
    { 0x0255, "character/character_mp_opforce_juggernaut" },
    { 0x0256, "xmodelalias/alias_russian_military_arctic_heads" },
    { 0x0257, "character/mp_character_opforce_snow_assault" },
    { 0x0258, "character/mp_character_opforce_snow_lmg" },
//  { 0x0259, "" },
//  { 0x025A, "" },
//  { 0x025B, "" },
//  { 0x025C, "" },
//  { 0x025D, "" },
//  { 0x025E, "" },
//  { 0x025F, "" },
//  { 0x0260, "" },
//  { 0x0261, "" },
    { 0x0262, "maps/so_survival_mp_plaza2_precache" },
    { 0x0263, "maps/so_survival_mp_hardhat_precache" },
//  { 0x0264, "" },
//  { 0x0265, "" },
//  { 0x0266, "" },
//  { 0x0267, "" },
//  { 0x0268, "" },
//  { 0x0269, "" },
//  { 0x026A, "" },
//  { 0x026B, "" },
//  { 0x026C, "" },
    { 0x026D, "character/mp_character_opforce_snow_shotgun" },
    { 0x026E, "character/mp_character_opforce_snow_smg" },
    { 0x026F, "character/mp_character_opforce_snow_sniper" },
    { 0x0270, "character/mp_character_opforce_urban_assault" },
    { 0x0271, "character/mp_character_opforce_urban_lmg" },
    { 0x0272, "character/mp_character_opforce_urban_shotgun" },
    { 0x0273, "character/mp_character_opforce_urban_smg" },
    { 0x0274, "character/mp_character_opforce_urban_sniper" },
    { 0x0275, "character/mp_character_opforce_woods_assault" },
//  { 0x0276, "" },
//  { 0x0277, "" },
//  { 0x0278, "" },
//  { 0x0279, "" },
//  { 0x027A, "" },
//  { 0x027B, "" },
//  { 0x027C, "" },
//  { 0x027D, "" },
//  { 0x027E, "" },
//  { 0x027F, "" },
//  { 0x0280, "" },
//  { 0x0281, "" },
//  { 0x0282, "" },
//  { 0x0283, "" },
//  { 0x0284, "" },
//  { 0x0285, "" },
//  { 0x0286, "" },
//  { 0x0287, "" },
//  { 0x0288, "" },
//  { 0x0289, "" },
//  { 0x028A, "" },
    { 0x028B, "character/mp_character_opforce_woods_lmg" },
    { 0x028C, "character/mp_character_opforce_woods_shotgun" },
    { 0x028D, "character/mp_character_opforce_woods_smg" },
    { 0x028E, "character/mp_character_opforce_woods_sniper" },
    { 0x028F, "xmodelalias/alias_africa_militia_heads_mp" },
    { 0x0290, "character/mp_character_africa_militia_assault_a" },
//  { 0x0291, "" },
//  { 0x0292, "" },
//  { 0x0293, "" },
    { 0x0294, "character/mp_character_africa_militia_lmg_b" },
//  { 0x0295, "" },
    { 0x0296, "character/mp_character_africa_militia_shotgun_b" },
//  { 0x0297, "" },
    { 0x0298, "character/mp_character_africa_militia_smg_b" },
//  { 0x0299, "" },
    { 0x029A, "character/mp_character_africa_militia_sniper" },
    { 0x029B, "xmodelalias/alias_henchmen_heads_mp" },
    { 0x029C, "character/mp_character_opforce_hench_assault_a" },
    { 0x029D, "character/mp_character_opforce_hench_assault_b" },
    { 0x029E, "character/mp_character_opforce_hench_assault_c" },
    { 0x029F, "character/mp_character_opforce_hench_assault_d" },
    { 0x02A0, "character/mp_character_opforce_hench_lmg_a" },
    { 0x02A1, "character/mp_character_opforce_hench_lmg_b" },
    { 0x02A2, "character/mp_character_opforce_hench_shgn_a" },
    { 0x02A3, "character/mp_character_opforce_hench_shgn_b" },
//  { 0x02A4, "" },
//  { 0x02A5, "" },
//  { 0x02A6, "" },
//  { 0x02A7, "" },
//  { 0x02A8, "" },
//  { 0x02A9, "" },
//  { 0x02AA, "" },
//  { 0x02AB, "" },
//  { 0x02AC, "" },
//  { 0x02AD, "" },
//  { 0x02AE, "" },
//  { 0x02AF, "" },
//  { 0x02B0, "" },
//  { 0x02B1, "" },
    { 0x02B2, "character/mp_character_pmc_africa_smg_a" },
//  { 0x02B3, "" },
    { 0x02B4, "maps/westminster_station_precache" },
    { 0x02B5, "maps/innocent_fx" },
    { 0x02B6, "maps/innocent_precache" },
//  { 0x02B7, "" },
//  { 0x02B8, "" },
//  { 0x02B9, "" },
//  { 0x02BA, "" },
//  { 0x02BB, "" },
//  { 0x02BC, "" },
//  { 0x02BD, "" },
//  { 0x02BE, "" },
//  { 0x02BF, "" },
    { 0x02C0, "maps/rescue_2_precache" },
    { 0x02C1, "maps/rescue_2_cavern_fx" },
//  { 0x02C2, "" },
//  { 0x02C3, "" },
    { 0x02C4, "maps/rescue_2_fx" },
    { 0x02C5, "character/mp_character_opforce_hench_smg_a" },
    { 0x02C6, "character/mp_character_opforce_hench_smg_b" },
    { 0x02C7, "character/mp_character_opforce_hench_sniper" },
    { 0x02C8, "maps/mp/gametypes/_hostmigration" },
    { 0x02C9, "mptype/mptype_ally_ghillie_desert" },
    { 0x02CA, "mptype/mptype_opforce_ghillie_desert" },
    { 0x02CB, "mptype/mptype_ally_ghillie_arctic" },
    { 0x02CC, "mptype/mptype_opforce_ghillie_arctic" },
    { 0x02CD, "mptype/mptype_ally_ghillie_urban" },
    { 0x02CE, "mptype/mptype_opforce_ghillie_urban" },
    { 0x02CF, "mptype/mptype_ally_ghillie_forest" },
    { 0x02D0, "mptype/mptype_opforce_ghillie_forest" },
    { 0x02D1, "mptype/mptype_opforce_ghillie_militia" },
    { 0x02D2, "mptype/mptype_delta_multicam_assault" },
    { 0x02D3, "mptype/mptype_delta_multicam_lmg" },
    { 0x02D4, "mptype/mptype_delta_multicam_smg" },
    { 0x02D5, "mptype/mptype_delta_multicam_shotgun" },
    { 0x02D6, "mptype/mptype_delta_multicam_riot" },
    { 0x02D7, "mptype/mptype_ally_juggernaut" },
    { 0x02D8, "mptype/mptype_sas_urban_assault" },
    { 0x02D9, "mptype/mptype_sas_urban_lmg" },
    { 0x02DA, "mptype/mptype_sas_urban_shotgun" },
    { 0x02DB, "mptype/mptype_sas_urban_smg" },
    { 0x02DC, "mptype/mptype_sas_urban_sniper" },
    { 0x02DD, "mptype/mptype_gign_paris_assault" },
    { 0x02DE, "mptype/mptype_gign_paris_lmg" },
    { 0x02DF, "mptype/mptype_gign_paris_shotgun" },
    { 0x02E0, "mptype/mptype_gign_paris_smg" },
    { 0x02E1, "maps/so_survival_mp_alpha_precache" },
    { 0x02E2, "maps/so_survival_mp_carbon_precache" },
    { 0x02E3, "maps/so_survival_mp_village_precache" },
    { 0x02E4, "maps/so_survival_mp_seatown_precache" },
    { 0x02E5, "maps/so_survival_mp_lambeth_precache" },
    { 0x02E6, "maps/so_survival_mp_bootleg_precache" },
    { 0x02E7, "maps/so_survival_mp_exchange_precache" },
    { 0x02E8, "maps/so_survival_mp_mogadishu_precache" },
    { 0x02E9, "maps/hamburg_fx" },
//  { 0x02EA, "" },
//  { 0x02EB, "" },
//  { 0x02EC, "" },
//  { 0x02ED, "" },
    { 0x02EE, "maps/so_survival_mp_underground_precache" },
    { 0x02EF, "maps/so_survival_mp_interchange_precache" },
//  { 0x02F0, "" },
//  { 0x02F1, "" },
//  { 0x02F2, "" },
//  { 0x02F3, "" },
//  { 0x02F4, "" },
    { 0x02F5, "maps/prague_scape_fx" },
    { 0x02F6, "maps/prague_escape_precache" },
    { 0x02F7, "maps/london_fx" },
    { 0x02F8, "maps/westminster_tunnels_fx" },
    { 0x02F9, "maps/westminster_precache" },
    { 0x02FA, "maps/london_docks_precache" },
    { 0x02FB, "maps/london_precache" },
//  { 0x02FC, "" },
//  { 0x02FD, "" },
//  { 0x02FE, "" },
    { 0x02FF, "mptype/mptype_gign_paris_sniper" },
    { 0x0300, "mptype/mptype_gign_paris_riot" },
    { 0x0301, "mptype/mptype_pmc_africa_assault" },
    { 0x0302, "mptype/mptype_pmc_africa_lmg" },
    { 0x0303, "mptype/mptype_pmc_africa_smg" },
    { 0x0304, "mptype/mptype_pmc_africa_shotgun" },
    { 0x0305, "mptype/mptype_pmc_africa_sniper" },
    { 0x0306, "mptype/mptype_pmc_africa_riot" },
    { 0x0307, "mptype/mptype_opforce_air_assault" },
    { 0x0308, "mptype/mptype_opforce_air_lmg" },
    { 0x0309, "mptype/mptype_opforce_air_shotgun" },
    { 0x030A, "mptype/mptype_opforce_air_smg" },
    { 0x030B, "mptype/mptype_opforce_air_sniper" },
    { 0x030C, "mptype/mptype_opforce_air_riot" },
    { 0x030D, "mptype/mptype_opforce_juggernaut" },
    { 0x030E, "mptype/mptype_opforce_snow_assault" },
    { 0x030F, "mptype/mptype_opforce_snow_lmg" },
    { 0x0310, "mptype/mptype_opforce_snow_shotgun" },
    { 0x0311, "mptype/mptype_opforce_snow_smg" },
    { 0x0312, "mptype/mptype_opforce_snow_sniper" },
    { 0x0313, "mptype/mptype_opforce_snow_riot" },
    { 0x0314, "mptype/mptype_opforce_urban_assault" },
    { 0x0315, "mptype/mptype_opforce_urban_lmg" },
    { 0x0316, "mptype/mptype_opforce_urban_shotgun" },
    { 0x0317, "mptype/mptype_opforce_urban_smg" },
    { 0x0318, "mptype/mptype_opforce_urban_sniper" },
    { 0x0319, "mptype/mptype_opforce_urban_riot" },
    { 0x031A, "mptype/mptype_opforce_woodland_assault" },
    { 0x031B, "mptype/mptype_opforce_woodland_lmg" },
    { 0x031C, "mptype/mptype_opforce_woodland_shotgun" },
//  { 0x031D, "" },
//  { 0x031E, "" },
//  { 0x031F, "" },
    { 0x0320, "maps/hijack_crash_fx" },
//  { 0x0321, "" },
    { 0x0322, "maps/hijack_fx" },
    { 0x0323, "maps/hijack_precache" },
//  { 0x0324, "" },
    { 0x0325, "maps/payback_fx" },
//  { 0x0326, "" },
    { 0x0327, "maps/payback_precache" },
//  { 0x0328, "" },
//  { 0x0329, "" },
//  { 0x032A, "" },
//  { 0x032B, "" },
//  { 0x032C, "" },
//  { 0x032D, "" },
//  { 0x032E, "" },
//  { 0x032F, "" },
    { 0x0330, "maps/so_survival_mp_dome_precache" },
    { 0x0331, "maps/so_survival_mp_radar_precache" },
    { 0x0332, "maps/so_survival_mp_bravo_precache" },
    { 0x0333, "mptype/mptype_opforce_woodland_smg" },
    { 0x0334, "mptype/mptype_opforce_woodland_sniper" },
    { 0x0335, "mptype/mptype_opforce_woodland_riot" },
    { 0x0336, "mptype/mptype_opforce_africa_assault" },
    { 0x0337, "mptype/mptype_opforce_africa_lmg" },
    { 0x0338, "mptype/mptype_opforce_africa_shotgun" },
    { 0x0339, "mptype/mptype_opforce_africa_smg" },
    { 0x033A, "mptype/mptype_opforce_africa_sniper" },
    { 0x033B, "mptype/mptype_opforce_africa_riot" },
    { 0x033C, "mptype/mptype_opforce_henchmen_assault" },
    { 0x033D, "mptype/mptype_delta_multicam_sniper" },
    { 0x033E, "mptype/mptype_opforce_henchmen_lmg" },
    { 0x033F, "mptype/mptype_opforce_henchmen_shotgun" },
    { 0x0340, "mptype/mptype_opforce_henchmen_smg" },
    { 0x0341, "mptype/mptype_opforce_henchmen_sniper" },
    { 0x0342, "mptype/mptype_opforce_henchmen_riot" },
    { 0x0343, "maps/mp/gametypes/_weapons" },
    { 0x0344, "maps/mp/_entityheadicons" },
    { 0x0345, "maps/mp/gametypes/_damagefeedback" },
    { 0x0346, "maps/mp/_stinger" },
    { 0x0347, "maps/mp/_flashgrenades" },
    { 0x0348, "maps/mp/_empgrenade" },
    { 0x0349, "maps/mp/gametypes/_class" },
    { 0x034A, "maps/mp/_equipment" },
    { 0x034B, "maps/mp/_javelin" },
    { 0x034C, "maps/mp/gametypes/_shellshock" },
    { 0x034D, "maps/mp/_matchdata" },
    { 0x034E, "maps/mp/killstreaks/_perkstreaks" },
    { 0x034F, "maps/mp/perks/_perkfunctions" },
    { 0x0350, "maps/mp/gametypes/_scrambler" },
    { 0x0351, "maps/mp/gametypes/_portable_radar" },
    { 0x0352, "maps/mp/gametypes/_objpoints" },
    { 0x0353, "maps/mp/gametypes/_hud_util" },
    { 0x0354, "maps/mp/gametypes/_gameobjects" },
    { 0x0355, "maps/paris_precache" },
    { 0x0356, "maps/paris_fx" },
//  { 0x0357, "" },
//  { 0x0358, "" },
//  { 0x0359, "" },
//  { 0x035A, "" },
//  { 0x035B, "" },
//  { 0x035C, "" },
    { 0x035D, "maps/paris_a_precache" },
//  { 0x035E, "" },
//  { 0x035F, "" },
//  { 0x0360, "" },
//  { 0x0361, "" },
    { 0x0362, "maps/intro_fx" },
//  { 0x0363, "" },
    { 0x0364, "maps/intro_precache" },
//  { 0x0365, "" },
//  { 0x0366, "" },
//  { 0x0367, "" },
//  { 0x0368, "" },
    { 0x0369, "maps/mp/gametypes/_quickmessages" },
    { 0x036A, "maps/mp/gametypes/_playerlogic" },
    { 0x036B, "maps/mp/gametypes/_spectating" },
    { 0x036C, "maps/mp/gametypes/_spawnlogic" },
    { 0x036D, "maps/mp/_events" },
    { 0x036E, "maps/mp/gametypes/_gamescore" },
    { 0x036F, "maps/mp/gametypes/_menus" },
    { 0x0370, "maps/mp/_minefields" },
    { 0x0371, "maps/mp/_radiation" },
    { 0x0372, "maps/mp/_shutter" },
    { 0x0373, "maps/mp/_destructables" },
    { 0x0374, "maps/mp/_audio" },
    { 0x0375, "maps/mp/_art" },
    { 0x0376, "maps/mp/_createfx" },
    { 0x0377, "maps/mp/_global_fx" },
    { 0x0378, "maps/mp/_animatedmodels" },
    { 0x0379, "maps/mp/killstreaks/_helicopter" },
    { 0x037A, "maps/mp/_skill" },
    { 0x037B, "maps/mp/killstreaks/_remoteuav" },
    { 0x037C, "maps/mp/gametypes/_battlechatter_mp" },
    { 0x037D, "maps/mp/gametypes/_deathicons" },
    { 0x037E, "maps/mp/gametypes/_killcam" },
    { 0x037F, "maps/mp/perks/_perks" },
    { 0x0380, "maps/mp/gametypes/_damage" },
    { 0x0381, "maps/mp/_highlights" },
    { 0x0382, "maps/mp/killstreaks/_escortairdrop" },
    { 0x0383, "maps/mp/killstreaks/_juggernaut" },
    { 0x0384, "maps/mp/killstreaks/_autosentry" },
    { 0x0385, "maps/mp/killstreaks/_airdrop" },
    { 0x0386, "maps/mp/gametypes/_hud" },
    { 0x0387, "maps/mp/_load" },
    { 0x0388, "maps/mp/gametypes/_serversettings" },
//  { 0x0389, "" },
    { 0x038A, "maps/mp/mp_plaza2_precache" },
    { 0x038B, "maps/mp/mp_plaza2_fx" },
    { 0x038C, "maps/mp/mp_carbon_precache" },
    { 0x038D, "maps/mp/mp_carbon_fx" },
//  { 0x038E, "" },
    { 0x038F, "maps/paris_a_fx" },
    { 0x0390, "maps/mp/mp_village_precache" },
    { 0x0391, "maps/mp/mp_village_fx" },
    { 0x0392, "maps/mp/mp_seatown_precache" },
    { 0x0393, "maps/mp/mp_seatown_fx" },
    { 0x0394, "maps/mp/mp_lambeth_precache" },
    { 0x0395, "maps/mp/mp_lambeth_fx" },
    { 0x0396, "maps/mp/mp_hardhat_precache" },
    { 0x0397, "maps/mp/mp_hardhat_fx" },
    { 0x0398, "maps/mp/mp_bootleg_precache" },
    { 0x0399, "maps/mp/mp_bootleg_fx" },
    { 0x039A, "maps/mp/mp_exchange_precache" },
    { 0x039B, "maps/mp/mp_exchange_fx" },
    { 0x039C, "maps/mp/mp_mogadishu_precache" },
    { 0x039D, "maps/mp/mp_mogadishu_fx" },
    { 0x039E, "maps/mp/mp_underground_precache" },
    { 0x039F, "maps/mp/mp_underground_fx" },
    { 0x03A0, "maps/mp/mp_interchange_precache" },
    { 0x03A1, "maps/mp/mp_interchange_fx" },
//  { 0x03A2, "" },
    { 0x03A3, "maps/dubai_fx" },
    { 0x03A4, "maps/dubai_precache" },
//  { 0x03A5, "" },
    { 0x03A6, "maps/mp/gametypes/_healthoverlay" },
    { 0x03A7, "maps/mp/gametypes/_music_and_dialog" },
    { 0x03A8, "maps/mp/_awards" },
    { 0x03A9, "maps/mp/_areas" },
    { 0x03AA, "maps/mp/_defcon" },
    { 0x03AB, "maps/mp/_matchevents" },
    { 0x03AC, "maps/mp/gametypes/_friendicons" },
    { 0x03AD, "maps/mp/gametypes/_scoreboard" },
    { 0x03AE, "maps/mp/killstreaks/_harrier" },
    { 0x03AF, "maps/mp/gametypes/_callbacksetup" },
    { 0x03B0, "maps/mp/killstreaks/_airstrike" },
    { 0x03B1, "maps/mp/killstreaks/_emp" },
    { 0x03B2, "maps/mp/killstreaks/_uav" },
    { 0x03B3, "maps/mp/killstreaks/_ac130" },
    { 0x03B4, "maps/mp/killstreaks/_remotemissile" },
    { 0x03B5, "maps/mp/killstreaks/_helicopter_flock" },
    { 0x03B6, "gethighestprogressedplayers" },
    { 0x03B7, "gun_progressdisplay" },
//  { 0x03B8, "" },
//  { 0x03B9, "" },
//  { 0x03BA, "" },
//  { 0x03BB, "" },
//  { 0x03BC, "" },
//  { 0x03BD, "" },
//  { 0x03BE, "" },
    { 0x03BF, "maps/berlin_fx" },
    { 0x03C0, "maps/sp_berlin_precache" },
    { 0x03C1, "maps/warlord_fx" },
    { 0x03C2, "maps/warlord_precache" },
//  { 0x03C3, "" },
//  { 0x03C4, "" },
//  { 0x03C5, "" },
//  { 0x03C6, "" },
    { 0x03C7, "maps/mp/mp_dome_precache" },
    { 0x03C8, "maps/mp/mp_dome_fx" },
//  { 0x03C9, "" },
//  { 0x03CA, "" },
    { 0x03CB, "maps/mp/mp_radar_precache" },
    { 0x03CC, "maps/mp/mp_radar_fx" },
    { 0x03CD, "maps/mp/mp_paris_precache" },
    { 0x03CE, "maps/mp/mp_paris_fx" },
    { 0x03CF, "maps/mp/mp_bravo_precache" },
    { 0x03D0, "maps/mp/mp_bravo_fx" },
    { 0x03D1, "maps/mp/mp_alpha_precache" },
    { 0x03D2, "maps/mp/mp_alpha_fx" },
    { 0x03D3, "maps/mp/killstreaks/_helicopter_guard" },
    { 0x03D4, "maps/mp/killstreaks/_nuke" },
    { 0x03D5, "maps/mp/killstreaks/_remotemortar" },
    { 0x03D6, "maps/mp/killstreaks/_deployablebox" },
    { 0x03D7, "maps/mp/killstreaks/_ims" },
    { 0x03D8, "maps/mp/killstreaks/_remoteturret" },
    { 0x03D9, "maps/mp/killstreaks/_remotetank" },
    { 0x03DA, "maps/mp/gametypes/_playercards" },
    { 0x03DB, "maps/mp/gametypes/_globallogic" },
//  { 0x03DC, "" },
//  { 0x03DD, "" },
//  { 0x03DE, "" },
//  { 0x03DF, "" },
//  { 0x03E0, "" },
//  { 0x03E1, "" },
//  { 0x03E2, "" },
//  { 0x03E3, "" },
    { 0x03E4, "vehicle_scripts/_bus" },
    { 0x03E5, "vehicle_scripts/_coupe" },
    { 0x03E6, "maps/mp/gametypes/_teams" },
    { 0x03E7, "vehicle_scripts/_london_cab" },
    { 0x03E8, "vehicle_scripts/_uk_police_estate" },
//  { 0x03E9, "" },
//  { 0x03EA, "" },
//  { 0x03EB, "" },
//  { 0x03EC, "" },
//  { 0x03ED, "" },
//  { 0x03EE, "" },
//  { 0x03EF, "" },
//  { 0x03F0, "" },
//  { 0x03F1, "" },
//  { 0x03F2, "" },
//  { 0x03F3, "" },
//  { 0x03F4, "" },
//  { 0x03F5, "" },
//  { 0x03F6, "" },
//  { 0x03F7, "" },
//  { 0x03F8, "" },
//  { 0x03F9, "" },
//  { 0x03FA, "" },
//  { 0x03FB, "" },
//  { 0x03FC, "" },
//  { 0x03FD, "" },
//  { 0x03FE, "" },
    { 0x03FF, "delay_createfx_seconds" },
//  { 0x0400, "" },
//  { 0x0401, "" },
//  { 0x0402, "" },
    { 0x0403, "lastvectotarget" },
    { 0x0404, "markfordetete" },
//  { 0x0405, "" },
//  { 0x0406, "" },
//  { 0x0407, "" },
//  { 0x0408, "" },
//  { 0x0409, "" },
//  { 0x040A, "" },
//  { 0x040B, "" },
//  { 0x040C, "" },
//  { 0x040D, "" },
//  { 0x040E, "" },
//  { 0x040F, "" },
//  { 0x0410, "" },
//  { 0x0411, "" },
//  { 0x0412, "" },
//  { 0x0413, "" },
//  { 0x0414, "" },
//  { 0x0415, "" },
//  { 0x0416, "" },
//  { 0x0417, "" },
//  { 0x0418, "" },
//  { 0x0419, "" },
//  { 0x041A, "" },
//  { 0x041B, "" },
//  { 0x041C, "" },
//  { 0x041D, "" },
//  { 0x041E, "" },
//  { 0x041F, "" },
//  { 0x0420, "" },
//  { 0x0421, "" },
//  { 0x0422, "" },
//  { 0x0423, "" },
//  { 0x0424, "" },
//  { 0x0425, "" },
//  { 0x0426, "" },
//  { 0x0427, "" },
//  { 0x0428, "" },
//  { 0x0429, "" },
//  { 0x042A, "" },
//  { 0x042B, "" },
//  { 0x042C, "" },
//  { 0x042D, "" },
//  { 0x042E, "" },
//  { 0x042F, "" },
//  { 0x0430, "" },
//  { 0x0431, "" },
//  { 0x0432, "" },
//  { 0x0433, "" },
//  { 0x0434, "" },
//  { 0x0435, "" },
//  { 0x0436, "" },
//  { 0x0437, "" },
//  { 0x0438, "" },
//  { 0x0439, "" },
//  { 0x043A, "" },
//  { 0x043B, "" },
//  { 0x043C, "" },
//  { 0x043D, "" },
//  { 0x043E, "" },
//  { 0x043F, "" },
//  { 0x0440, "" },
//  { 0x0441, "" },
//  { 0x0442, "" },
//  { 0x0443, "" },
//  { 0x0444, "" },
//  { 0x0445, "" },
    { 0x0446, "maps/createfx/innocent_fx" },
//  { 0x0447, "" },
//  { 0x0448, "" },
//  { 0x0449, "" },
//  { 0x044A, "" },
//  { 0x044B, "" },
//  { 0x044C, "" },
//  { 0x044D, "" },
//  { 0x044E, "" },
//  { 0x044F, "" },
//  { 0x0450, "" },
//  { 0x0451, "" },
//  { 0x0452, "" },
//  { 0x0453, "" },
//  { 0x0454, "" },
//  { 0x0455, "" },
//  { 0x0456, "" },
//  { 0x0457, "" },
//  { 0x0458, "" },
//  { 0x0459, "" },
//  { 0x045A, "" },
//  { 0x045B, "" },
//  { 0x045C, "" },
//  { 0x045D, "" },
//  { 0x045E, "" },
//  { 0x045F, "" },
//  { 0x0460, "" },
//  { 0x0461, "" },
//  { 0x0462, "" },
//  { 0x0463, "" },
//  { 0x0464, "" },
//  { 0x0465, "" },
//  { 0x0466, "" },
//  { 0x0467, "" },
//  { 0x0468, "" },
//  { 0x0469, "" },
//  { 0x046A, "" },
//  { 0x046B, "" },
//  { 0x046C, "" },
//  { 0x046D, "" },
//  { 0x046E, "" },
//  { 0x046F, "" },
//  { 0x0470, "" },
//  { 0x0471, "" },
//  { 0x0472, "" },
//  { 0x0473, "" },
//  { 0x0474, "" },
//  { 0x0475, "" },
//  { 0x0476, "" },
//  { 0x0477, "" },
//  { 0x0478, "" },
//  { 0x0479, "" },
//  { 0x047A, "" },
//  { 0x047B, "" },
//  { 0x047C, "" },
//  { 0x047D, "" },
//  { 0x047E, "" },
//  { 0x047F, "" },
//  { 0x0480, "" },
//  { 0x0481, "" },
//  { 0x0482, "" },
//  { 0x0483, "" },
//  { 0x0484, "" },
//  { 0x0485, "" },
//  { 0x0486, "" },
//  { 0x0487, "" },
//  { 0x0488, "" },
//  { 0x0489, "" },
//  { 0x048A, "" },
//  { 0x048B, "" },
//  { 0x048C, "" },
//  { 0x048D, "" },
//  { 0x048E, "" },
//  { 0x048F, "" },
//  { 0x0490, "" },
//  { 0x0491, "" },
//  { 0x0492, "" },
//  { 0x0493, "" },
//  { 0x0494, "" },
//  { 0x0495, "" },
//  { 0x0496, "" },
//  { 0x0497, "" },
//  { 0x0498, "" },
//  { 0x0499, "" },
//  { 0x049A, "" },
//  { 0x049B, "" },
//  { 0x049C, "" },
//  { 0x049D, "" },
//  { 0x049E, "" },
//  { 0x049F, "" },
//  { 0x04A0, "" },
//  { 0x04A1, "" },
//  { 0x04A2, "" },
//  { 0x04A3, "" },
//  { 0x04A4, "" },
//  { 0x04A5, "" },
//  { 0x04A6, "" },
//  { 0x04A7, "" },
//  { 0x04A8, "" },
//  { 0x04A9, "" },
//  { 0x04AA, "" },
//  { 0x04AB, "" },
//  { 0x04AC, "" },
//  { 0x04AD, "" },
//  { 0x04AE, "" },
//  { 0x04AF, "" },
//  { 0x04B0, "" },
//  { 0x04B1, "" },
//  { 0x04B2, "" },
//  { 0x04B3, "" },
//  { 0x04B4, "" },
//  { 0x04B5, "" },
//  { 0x04B6, "" },
//  { 0x04B7, "" },
//  { 0x04B8, "" },
//  { 0x04B9, "" },
//  { 0x04BA, "" },
//  { 0x04BB, "" },
//  { 0x04BC, "" },
//  { 0x04BD, "" },
//  { 0x04BE, "" },
//  { 0x04BF, "" },
    { 0x04C0, "vehicle_scripts/_pavelow_noai" },
    { 0x04C1, "maps/mp/_fx" },
    { 0x04C2, "maps/mp/_compass" },
    { 0x04C3, "maps/mp/_menus" },
    { 0x04C4, "maps/mp/_crib" },
    { 0x04C5, "maps/mp/killstreaks/_autoshotgun" },
    { 0x04C6, "maps/mp/killstreaks/_tank" },
    { 0x04C7, "maps/mp/killstreaks/_mobilemortar" },
    { 0x04C8, "maps/mp/killstreaks/_a10" },
    { 0x04C9, "maps/mp/killstreaks/_teamammorefill" },
//  { 0x04CA, "" }, // maps/mp/gametypes/_clientids maybe
    { 0x04CB, "maps/mp/gametypes/_dev" },
//  { 0x04CC, "" }, // maps/mp/gametypes/_globalentities maybe
//  { 0x04CD, "" }, // maps/mp/gametypes/_hardpoints maybe
    { 0x04CE, "maps/mp/killstreaks/_aamissile" },
    { 0x04CF, "maps/mp/killstreaks/_aastrike" },
//  { 0x04D0, "" },
//  { 0x04D1, "" },
//  { 0x04D2, "" },
//  { 0x04D3, "" },
//  { 0x04D4, "" },
//  { 0x04D5, "" },
//  { 0x04D6, "" },
//  { 0x04D7, "" },
//  { 0x04D8, "" },
//  { 0x04D9, "" },
//  { 0x04DA, "" },
//  { 0x04DB, "" },
//  { 0x04DC, "" },
//  { 0x04DD, "" },
//  { 0x04DE, "" },
//  { 0x04DF, "" },
//  { 0x04E0, "" },
//  { 0x04E1, "" },
//  { 0x04E2, "" },
//  { 0x04E3, "" },
//  { 0x04E4, "" },
//  { 0x04E5, "" },
//  { 0x04E6, "" },
//  { 0x04E7, "" },
//  { 0x04E8, "" },
//  { 0x04E9, "" },
//  { 0x04EA, "" },
//  { 0x04EB, "" },
//  { 0x04EC, "" },
//  { 0x04ED, "" },
//  { 0x04EE, "" },
//  { 0x04EF, "" },
//  { 0x04F0, "" },
//  { 0x04F1, "" },
//  { 0x04F2, "" },
//  { 0x04F3, "" },
//  { 0x04F4, "" },
//  { 0x04F5, "" },
//  { 0x04F6, "" },
//  { 0x04F7, "" },
//  { 0x04F8, "" },
//  { 0x04F9, "" },
//  { 0x04FA, "" },
//  { 0x04FB, "" },
//  { 0x04FC, "" },
//  { 0x04FD, "" },
//  { 0x04FE, "" },
//  { 0x04FF, "" },
//  { 0x0500, "" },
//  { 0x0501, "" },
//  { 0x0502, "" },
//  { 0x0503, "" },
//  { 0x0504, "" },
//  { 0x0505, "" },
//  { 0x0506, "" },
//  { 0x0507, "" },
//  { 0x0508, "" },
//  { 0x0509, "" },
//  { 0x050A, "" },
//  { 0x050B, "" },
//  { 0x050C, "" },
//  { 0x050D, "" },
//  { 0x050E, "" },
//  { 0x050F, "" },
//  { 0x0510, "" },
//  { 0x0511, "" },
//  { 0x0512, "" },
//  { 0x0513, "" },
//  { 0x0514, "" },
//  { 0x0515, "" },
//  { 0x0516, "" },
//  { 0x0517, "" },
//  { 0x0518, "" },
//  { 0x0519, "" },
//  { 0x051A, "" },
//  { 0x051B, "" },
//  { 0x051C, "" },
//  { 0x051D, "" },
//  { 0x051E, "" },
//  { 0x051F, "" },
//  { 0x0520, "" },
//  { 0x0521, "" },
//  { 0x0522, "" },
//  { 0x0523, "" },
//  { 0x0524, "" },
//  { 0x0525, "" },
//  { 0x0526, "" },
//  { 0x0527, "" },
//  { 0x0528, "" },
//  { 0x0529, "" },
//  { 0x052A, "" },
//  { 0x052B, "" },
//  { 0x052C, "" },
//  { 0x052D, "" },
//  { 0x052E, "" },
//  { 0x052F, "" },
//  { 0x0530, "" },
//  { 0x0531, "" },
//  { 0x0532, "" },
//  { 0x0533, "" },
//  { 0x0534, "" },
//  { 0x0535, "" },
//  { 0x0536, "" },
//  { 0x0537, "" },
//  { 0x0538, "" },
//  { 0x0539, "" },
//  { 0x053A, "" },
//  { 0x053B, "" },
//  { 0x053C, "" },
//  { 0x053D, "" },
//  { 0x053E, "" },
    { 0x053F, "xmodelalias/alias_gign_heads" },
    { 0x0540, "codescripts/delete" },
    { 0x0541, "codescripts/struct" },
//  { 0x0542, "" },
    { 0x0543, "maps/_breach" },
//  { 0x0544, "" },
//  { 0x0545, "" },
//  { 0x0546, "" },
//  { 0x0547, "" },
    { 0x0548, "maps/_drone_ai" },
    { 0x0549, "maps/_drone_civilian" },
    { 0x054A, "maps/_flare" },
//  { 0x054B, "" },
//  { 0x054C, "" },
//  { 0x054D, "" },
//  { 0x054E, "" },
//  { 0x054F, "" },
//  { 0x0550, "" },
//  { 0x0551, "" },
//  { 0x0552, "" },
//  { 0x0553, "" },
    { 0x0554, "maps/_mortar" },
//  { 0x0555, "" },
    { 0x0556, "maps/_props" },
//  { 0x0557, "" },
//  { 0x0558, "" },
    { 0x0559, "maps/_stealth_utility" },
    { 0x055A, "maps/_stealth_shared_utilities" },
//  { 0x055B, "" },
    { 0x055C, "maps/_stealth_threat_enemy" },
//  { 0x055D, "" },
//  { 0x055E, "" },
//  { 0x055F, "" },
//  { 0x0560, "" },
//  { 0x0561, "" },
//  { 0x0562, "" },
//  { 0x0563, "" },
//  { 0x0564, "" },
//  { 0x0565, "" },
//  { 0x0566, "" },
    { 0x0567, "maps/_stealth_visibility_system" },
//  { 0x0568, "" },
//  { 0x0569, "" },
//  { 0x056A, "" },
//  { 0x056B, "" },
//  { 0x056C, "" },
//  { 0x056D, "" },
//  { 0x056E, "" },
//  { 0x056F, "" },
//  { 0x0570, "" },
//  { 0x0571, "" },
//  { 0x0572, "" },
//  { 0x0573, "" },
//  { 0x0574, "" },
//  { 0x0575, "" },
//  { 0x0576, "" },
//  { 0x0577, "" },
//  { 0x0578, "" },
//  { 0x0579, "" },
//  { 0x057A, "" },
//  { 0x057B, "" },
//  { 0x057C, "" },
//  { 0x057D, "" },
//  { 0x057E, "" },
//  { 0x057F, "" },
//  { 0x0580, "" },
//  { 0x0581, "" },
//  { 0x0582, "" },
//  { 0x0583, "" },
//  { 0x0584, "" },
//  { 0x0585, "" },
//  { 0x0586, "" },
//  { 0x0587, "" },
//  { 0x0588, "" },
//  { 0x0589, "" },
//  { 0x058A, "" },
//  { 0x058B, "" },
//  { 0x058C, "" },
//  { 0x058D, "" },
//  { 0x058E, "" },
//  { 0x058F, "" },
//  { 0x0590, "" },
//  { 0x0591, "" },
//  { 0x0592, "" },
//  { 0x0593, "" },
//  { 0x0594, "" },
//  { 0x0595, "" },
//  { 0x0596, "" },
//  { 0x0597, "" },
//  { 0x0598, "" },
//  { 0x0599, "" },
//  { 0x059A, "" },
//  { 0x059B, "" },
//  { 0x059C, "" },
//  { 0x059D, "" },
//  { 0x059E, "" },
//  { 0x059F, "" },
//  { 0x05A0, "" },
//  { 0x05A1, "" },
    { 0x05A2, "maps/_shg_common" },
    { 0x05A3, "common_scripts/_destructible_types_anim_airconditioner" },
    { 0x05A4, "maps/animated_models/fence_tarp_107x56_med_01" },
    { 0x05A5, "maps/animated_models/fence_tarp_130x56_med_01" },
    { 0x05A6, "maps/animated_models/fence_tarp_134x56_med_01" },
    { 0x05A7, "maps/animated_models/fence_tarp_134x76_med_01" },
    { 0x05A8, "maps/animated_models/fence_tarp_134x76_med_02" },
    { 0x05A9, "maps/animated_models/fence_tarp_140x56_med_01" },
    { 0x05AA, "maps/animated_models/fence_tarp_151x56_med_01" },
    { 0x05AB, "maps/animated_models/fence_tarp_167x56_med_01" },
    { 0x05AC, "maps/animated_models/foliage_desertbrush_1_sway" },
    { 0x05AD, "maps/animated_models/foliage_pacific_bushtree01" },
    { 0x05AE, "maps/animated_models/foliage_pacific_flowers06_sway" },
    { 0x05AF, "maps/animated_models/oil_pump_jack01" },
    { 0x05B0, "maps/animated_models/oil_pump_jack02" },
    { 0x05B1, "maps/animated_models/windmill_spin_med" },
    { 0x05B2, "maps/animated_models/windsock_large_wind_medium" },
    { 0x05B3, "maps/createart/mp_dome_art" },
    { 0x05B4, "maps/mp/_explosive_barrels" },
    { 0x05B5, "maps/createfx/mp_dome_fx" },
    { 0x05B6, "maps/createart/mp_dome_fog" },
//  { 0x05B7, "" },
//  { 0x05B8, "" },
//  { 0x05B9, "" },
//  { 0x05BA, "" },
//  { 0x05BB, "" },
//  { 0x05BC, "" },
//  { 0x05BD, "" },
//  { 0x05BE, "" },
//  { 0x05BF, "" },
//  { 0x05C0, "" },
//  { 0x05C1, "" },
//  { 0x05C2, "" },
//  { 0x05C3, "" },
//  { 0x05C4, "" },
//  { 0x05C5, "" },
//  { 0x05C6, "" },
//  { 0x05C7, "" },
//  { 0x05C8, "" },
//  { 0x05C9, "" },
//  { 0x05CA, "" },
//  { 0x05CB, "" },
//  { 0x05CC, "" },
//  { 0x05CD, "" },
//  { 0x05CE, "" },
//  { 0x05CF, "" },
//  { 0x05D0, "" },
//  { 0x05D1, "" },
//  { 0x05D2, "" },
//  { 0x05D3, "" },
//  { 0x05D4, "" },
//  { 0x05D5, "" },
//  { 0x05D6, "" },
//  { 0x05D7, "" },
//  { 0x05D8, "" },
//  { 0x05D9, "" },
//  { 0x05DA, "" },
//  { 0x05DB, "" },
//  { 0x05DC, "" },
//  { 0x05DD, "" },
//  { 0x05DE, "" },
//  { 0x05DF, "" },
//  { 0x05E0, "" },
//  { 0x05E1, "" },
//  { 0x05E2, "" },
//  { 0x05E3, "" },
//  { 0x05E4, "" },
//  { 0x05E5, "" },
//  { 0x05E6, "" },
    { 0x05E7, "maps/createart/innocent_art" },
//  { 0x05E8, "" },
//  { 0x05E9, "" },
//  { 0x05EA, "" },
//  { 0x05EB, "" },
//  { 0x05EC, "" },
//  { 0x05ED, "" },
//  { 0x05EE, "" },
//  { 0x05EF, "" },
//  { 0x05F0, "" },
//  { 0x05F1, "" },
//  { 0x05F2, "" },
//  { 0x05F3, "" },
//  { 0x05F4, "" },
//  { 0x05F5, "" },
//  { 0x05F6, "" },
//  { 0x05F7, "" },
//  { 0x05F8, "" },
//  { 0x05F9, "" },
//  { 0x05FA, "" },
//  { 0x05FB, "" },
//  { 0x05FC, "" },
//  { 0x05FD, "" },
//  { 0x05FE, "" },
//  { 0x05FF, "" },
//  { 0x0600, "" },
//  { 0x0601, "" },
//  { 0x0602, "" },
//  { 0x0603, "" },
//  { 0x0604, "" },
//  { 0x0605, "" },
//  { 0x0606, "" },
//  { 0x0607, "" },
//  { 0x0608, "" },
//  { 0x0609, "" },
//  { 0x060A, "" },
//  { 0x060B, "" },
//  { 0x060C, "" },
//  { 0x060D, "" },
//  { 0x060E, "" },
//  { 0x060F, "" },
//  { 0x0610, "" },
//  { 0x0611, "" },
//  { 0x0612, "" },
    { 0x0613, "maps/_remotemissile" },
//  { 0x0614, "" },
//  { 0x0615, "" },
//  { 0x0616, "" },
//  { 0x0617, "" },
//  { 0x0618, "" },
//  { 0x0619, "" },
//  { 0x061A, "" },
//  { 0x061B, "" },
//  { 0x061C, "" },
//  { 0x061D, "" },
    { 0x061E, "vehicle_scripts/_littlebird" },
    { 0x061F, "vehicle_scripts/_ucav" },
    { 0x0620, "vehicle_scripts/_mi17" },
    { 0x0621, "vehicle_scripts/_blackhawk" },
//  { 0x0622, "" },
    { 0x0623, "maps/_so_survival" },
//  { 0x0624, "" },
//  { 0x0625, "" },
//  { 0x0626, "" },
//  { 0x0627, "" },
//  { 0x0628, "" },
//  { 0x0629, "" },
    { 0x062A, "maps/_shg_fx" },
//  { 0x062B, "" },
//  { 0x062C, "" },
//  { 0x062D, "" },
//  { 0x062E, "" },
    { 0x062F, "maps/_c4" },
//  { 0x0630, "" },
//  { 0x0631, "" },
//  { 0x0632, "" },
//  { 0x0633, "" },
//  { 0x0634, "" },
//  { 0x0635, "" },
//  { 0x0636, "" },
//  { 0x0637, "" },
//  { 0x0638, "" },
//  { 0x0639, "" },
//  { 0x063A, "" },
//  { 0x063B, "" },
//  { 0x063C, "" },
//  { 0x063D, "" },
//  { 0x063E, "" },
//  { 0x063F, "" },
//  { 0x0640, "" },
//  { 0x0641, "" },
//  { 0x0642, "" },
//  { 0x0643, "" },
//  { 0x0644, "" },
//  { 0x0645, "" },
//  { 0x0646, "" },
//  { 0x0647, "" },
//  { 0x0648, "" },
//  { 0x0649, "" },
//  { 0x064A, "" },
//  { 0x064B, "" },
//  { 0x064C, "" },
//  { 0x064D, "" },
//  { 0x064E, "" },
//  { 0x064F, "" },
//  { 0x0650, "" },
//  { 0x0651, "" },
//  { 0x0652, "" },
//  { 0x0653, "" },
//  { 0x0654, "" },
//  { 0x0655, "" },
//  { 0x0656, "" },
//  { 0x0657, "" },
//  { 0x0658, "" },
//  { 0x0659, "" },
//  { 0x065A, "" },
//  { 0x065B, "" },
//  { 0x065C, "" },
//  { 0x065D, "" },
//  { 0x065E, "" },
//  { 0x065F, "" },
//  { 0x0660, "" },
//  { 0x0661, "" },
//  { 0x0662, "" },
//  { 0x0663, "" },
//  { 0x0664, "" },
//  { 0x0665, "" },
//  { 0x0666, "" },
    { 0x0667, "vehicle_scripts/_gaz_dshk" },
    { 0x0668, "vehicle_scripts/_hind" },
//  { 0x0669, "" },
    { 0x066A, "maps/animated_models/fence_tarp_108x76_med_01" },
//  { 0x066B, "" }, // "maps/animated_models/fence_tarp_132x82_med_01"
    { 0x066C, "maps/_predator2" },
//  { 0x066D, "" }, // "maps/_xm25"
    { 0x066E, "vehicle_scripts/_blackhawk_minigun" },
//  { 0x066F, "" }, // "vehicle_scripts/_stryker50cal"
    { 0x0670, "initfx" },
    { 0x0671, "func" },
    { 0x0672, "main" },
    { 0x0673, "codecallback_startgametype" },
    { 0x0674, "codecallback_playerconnect" },
    { 0x0675, "codecallback_playerdisconnect" },
    { 0x0676, "codecallback_playerdamage" },
    { 0x0677, "codecallback_playerkilled" },
    { 0x0678, "codecallback_vehicledamage" },
    { 0x0679, "codecallback_codeendgame" },
    { 0x067A, "codecallback_playerlaststand" },
    { 0x067B, "codecallback_playermigrated" },
    { 0x067C, "codecallback_hostmigration" },
    { 0x067D, "initstructs" },
    { 0x067E, "createstruct" },
    { 0x067F, "end_script" },
    { 0x0680, "init" },
    { 0x0681, "precache" },
    { 0x0682, "spawner" },
    { 0x0683, "code_classname" },
    { 0x0684, "classname" },
    { 0x0685, "origin" },
    { 0x0686, "model" },
    { 0x0687, "spawnflags" },
    { 0x0688, "target" },
    { 0x0689, "targetname" },
    { 0x068A, "count" },
    { 0x068B, "health" },
    { 0x068C, "dmg" },
    { 0x068D, "angles" },
    { 0x068E, "birthtime" },
    { 0x068F, "script_linkname" },
    { 0x0690, "slidevelocity" },
    { 0x0691, "name" },
    { 0x0692, "sessionteam" },
    { 0x0693, "sessionstate" },
    { 0x0694, "maxhealth" },
//  { 0x0695, "" },
//  { 0x0696, "" },
//  { 0x0697, "" },
//  { 0x0698, "" },
//  { 0x0699, "" },
//  { 0x069A, "" },
//  { 0x069B, "" },
//  { 0x069C, "" },
//  { 0x069D, "" },
//  { 0x069E, "" },
//  { 0x069F, "" },
//  { 0x06A0, "" },
//  { 0x06A1, "" },
//  { 0x06A2, "" },
//  { 0x06A3, "" },
//  { 0x06A4, "" },
//  { 0x06A5, "" },
//  { 0x06A6, "" },
//  { 0x06A7, "" },
//  { 0x06A8, "" },
    { 0x06A9, "bouncefraction" },
//  { 0x06AA, "" },
//  { 0x06AB, "" },
//  { 0x06AC, "" },
//  { 0x06AD, "" },
//  { 0x06AE, "" },
//  { 0x06AF, "" },
//  { 0x06B0, "" },
//  { 0x06B1, "" },
//  { 0x06B2, "" },
//  { 0x06B3, "" },
//  { 0x06B4, "" },
//  { 0x06B5, "" },
//  { 0x06B6, "" },
//  { 0x06B7, "" },
//  { 0x06B8, "" },
//  { 0x06B9, "" },
//  { 0x06BA, "" },
//  { 0x06BB, "" },
//  { 0x06BC, "" },
    { 0x06BD, "score" },
    { 0x06BE, "deaths" },
    { 0x06BF, "statusicon" },
    { 0x06C0, "headicon" },
    { 0x06C1, "headiconteam" },
    { 0x06C2, "canclimbladders" },
    { 0x06C3, "kills" },
    { 0x06C4, "assists" },
    { 0x06C5, "hasradar" },
    { 0x06C6, "isradarblocked" },
    { 0x06C7, "radarstrength" },
    { 0x06C8, "radarshowenemydirection" },
    { 0x06C9, "radarmode" },
    { 0x06CA, "forcespectatorclient" },
    { 0x06CB, "killcamentity" },
    { 0x06CC, "archivetime" },
    { 0x06CD, "psoffsettime" },
    { 0x06CE, "pers" },
    { 0x06CF, "x" },
    { 0x06D0, "y" },
    { 0x06D1, "z" },
    { 0x06D2, "fontscale" },
    { 0x06D3, "font" },
    { 0x06D4, "alignx" },
    { 0x06D5, "aligny" },
    { 0x06D6, "horzalign" },
    { 0x06D7, "vertalign" },
    { 0x06D8, "color" },
    { 0x06D9, "alpha" },
    { 0x06DA, "label" },
    { 0x06DB, "sort" },
    { 0x06DC, "foreground" },
    { 0x06DD, "lowresbackground" },
    { 0x06DE, "hidewhendead" },
    { 0x06DF, "hidewheninmenu" },
    { 0x06E0, "splatter" },
    { 0x06E1, "glowcolor" },
    { 0x06E2, "glowalpha" },
    { 0x06E3, "archived" },
    { 0x06E4, "hidein3rdperson" },
    { 0x06E5, "hidewhenindemo" },
    { 0x06E6, "veh_speed" },
    { 0x06E7, "veh_pathspeed" },
    { 0x06E8, "veh_transmission" },
    { 0x06E9, "veh_pathdir" },
    { 0x06EA, "veh_pathtype" },
    { 0x06EB, "veh_topspeed" },
    { 0x06EC, "veh_brake" },
    { 0x06ED, "veh_throttle" },
    { 0x06EE, "script_noteworthy" },
    { 0x06EF, "speed" },
    { 0x06F0, "lookahead" },
    { 0x06F1, "ambienttrack" },
    { 0x06F2, "ambienttrack_ac130" },
    { 0x06F3, "message" },
    { 0x06F4, "northyaw" },
    { 0x06F5, "wait" },
    { 0x06F6, "radius" },
    { 0x06F7, "height" },
    { 0x06F8, "accumulate" },
    { 0x06F9, "threshold" },
    { 0x06FA, "cursorhint" },
    { 0x06FB, "hintstring" },
    { 0x06FC, "script_delay" },
    { 0x06FD, "script_visionset" },
    { 0x06FE, "script_zone" },
    { 0x06FF, "rightarc" },
    { 0x0700, "leftarc" },
    { 0x0701, "toparc" },
    { 0x0702, "bottomarc" },
    { 0x0703, "yawconvergencetime" },
    { 0x0704, "pitchconvergencetime" },
    { 0x0705, "suppressiontime" },
    { 0x0706, "maxrange" },
    { 0x0707, "aispread" },
    { 0x0708, "damage" },
    { 0x0709, "playerspread" },
    { 0x070A, "convergencetime" },
    { 0x070B, "weaponinfo" },
    { 0x070C, "vehicletype" },
    { 0x070D, "type" },
    { 0x070E, "accuracy" },
    { 0x070F, "lookforward" },
    { 0x0710, "lookright" },
    { 0x0711, "lookup" },
    { 0x0712, "fovcosine" },
    { 0x0713, "fovcosinebusy" },
    { 0x0714, "upaimlimit" },
    { 0x0715, "downaimlimit" },
    { 0x0716, "rightaimlimit" },
    { 0x0717, "leftaimlimit" },
    { 0x0718, "maxsightdistsqrd" },
    { 0x0719, "sightlatency" },
    { 0x071A, "ignoreclosefoliage" },
    { 0x071B, "followmin" },
    { 0x071C, "followmax" },
    { 0x071D, "chainfallback" },
    { 0x071E, "chainnode" },
    { 0x071F, "interval" },
    { 0x0720, "teammovewaittime" },
    { 0x0721, "damagetaken" },
    { 0x0722, "damagedir" },
    { 0x0723, "damageyaw" },
    { 0x0724, "damagelocation" },
    { 0x0725, "damageweapon" },
    { 0x0726, "damagemod" },
    { 0x0727, "proneok" },
    { 0x0728, "walkdistfacingmotion" },
    { 0x0729, "killcamentitylookat" },
    { 0x072A, "walkdist" },
    { 0x072B, "desiredangle" },
    { 0x072C, "pacifist" },
    { 0x072D, "pacifistwait" },
    { 0x072E, "footstepdetectdist" },
    { 0x072F, "footstepdetectdistwalk" },
    { 0x0730, "footstepdetectdistsprint" },
    { 0x0731, "reactiontargetpos" },
    { 0x0732, "newenemyreactiondistsq" },
    { 0x0733, "ignoreexplosionevents" },
    { 0x0734, "ignoresuppression" },
    { 0x0735, "suppressionwait" },
    { 0x0736, "suppressionduration" },
    { 0x0737, "suppressionstarttime" },
    { 0x0738, "suppressionmeter" },
    { 0x0739, "weapon" },
    { 0x073A, "dontavoidplayer" },
    { 0x073B, "grenadeawareness" },
    { 0x073C, "grenade" },
    { 0x073D, "grenadeweapon" },
    { 0x073E, "grenadeammo" },
    { 0x073F, "favoriteenemy" },
    { 0x0740, "highlyawareradius" },
    { 0x0741, "minpaindamage" },
    { 0x0742, "allowpain" },
    { 0x0743, "allowdeath" },
    { 0x0744, "delayeddeath" },
    { 0x0745, "diequietly" },
    { 0x0746, "forceragdollimmediate" },
    { 0x0747, "providecoveringfire" },
    { 0x0748, "doingambush" },
    { 0x0749, "combatmode" },
    { 0x074A, "alertlevel" },
    { 0x074B, "alertlevelint" },
    { 0x074C, "useable" },
    { 0x074D, "ignoretriggers" },
    { 0x074E, "pushable" },
    { 0x074F, "script_pushable" },
    { 0x0750, "dropweapon" },
    { 0x0751, "drawoncompass" },
    { 0x0752, "groundtype" },
    { 0x0753, "anim_pose" },
    { 0x0754, "goalradius" },
    { 0x0755, "goalheight" },
    { 0x0756, "goalpos" },
    { 0x0757, "nodeoffsetpos" },
    { 0x0758, "ignoreforfixednodesafecheck" },
    { 0x0759, "fixednode" },
    { 0x075A, "fixednodesaferadius" },
    { 0x075B, "pathgoalpos" },
    { 0x075C, "pathrandompercent" },
    { 0x075D, "usechokepoints" },
    { 0x075E, "stopanimdistsq" },
    { 0x075F, "lastenemysightpos" },
    { 0x0760, "pathenemylookahead" },
    { 0x0761, "pathenemyfightdist" },
    { 0x0762, "meleeattackdist" },
    { 0x0763, "movemode" },
    { 0x0764, "usecombatscriptatcover" },
    { 0x0765, "safetochangescript" },
    { 0x0766, "keepclaimednode" },
    { 0x0767, "keepclaimednodeifvalid" },
    { 0x0768, "keepnodeduringscriptedanim" },
    { 0x0769, "dodangerreact" },
    { 0x076A, "dangerreactduration" },
    { 0x076B, "nododgemove" },
    { 0x076C, "leanamount" },
    { 0x076D, "turnrate" },
    { 0x076E, "badplaceawareness" },
    { 0x076F, "damageshield" },
    { 0x0770, "nogrenadereturnthrow" },
    { 0x0771, "noattackeraccuracymod" },
    { 0x0772, "frontshieldanglecos" },
    { 0x0773, "lookaheaddir" },
    { 0x0774, "lookaheaddist" },
    { 0x0775, "lookaheadhitsstairs" },
    { 0x0776, "velocity" },
    { 0x0777, "prevanimdelta" },
    { 0x0778, "exposedduration" },
    { 0x0779, "requestarrivalnotify" },
    { 0x077A, "scriptedarrivalent" },
    { 0x077B, "goingtoruntopos" },
    { 0x077C, "engagemindist" },
    { 0x077D, "engageminfalloffdist" },
    { 0x077E, "engagemaxdist" },
    { 0x077F, "engagemaxfalloffdist" },
    { 0x0780, "finalaccuracy" },
    { 0x0781, "facemotion" },
    { 0x0782, "gunblockedbywall" },
    { 0x0783, "relativedir" },
    { 0x0784, "lockorientation" },
    { 0x0785, "maxfaceenemydist" },
    { 0x0786, "stairsstate" },
    { 0x0787, "script" },
    { 0x0788, "prevscript" },
    { 0x0789, "threatbias" },
    { 0x078A, "syncedmeleetarget" },
    { 0x078B, "ignoreme" },
    { 0x078C, "ignoreall" },
    { 0x078D, "maxvisibledist" },
    { 0x078E, "surprisedbymedistsq" },
    { 0x078F, "ignorerandombulletdamage" },
    { 0x0790, "dodamagetoall" },
    { 0x0791, "turretinvulnerability" },
    { 0x0792, "onlygoodnearestnodes" },
    { 0x0793, "takedamage" },
    { 0x0794, "playername" },
    { 0x0795, "deathinvulnerabletime" },
    { 0x0796, "criticalbulletdamagedist" },
    { 0x0797, "attackercount" },
    { 0x0798, "damagemultiplier" },
    { 0x0799, "laststand" },
    { 0x079A, "motiontrackerenabled" },
    { 0x079B, "team" },
    { 0x079C, "threatbiasgroup" },
    { 0x079D, "node" },
    { 0x079E, "prevnode" },
    { 0x079F, "enemy" },
    { 0x07A0, "lastattacker" },
    { 0x07A1, "attackeraccuracy" },
    { 0x07A2, "width" },
    { 0x07A3, "enable" },
    { 0x07A4, "freecamera" },
    { 0x07A5, "fov" },
    { 0x07A6, "dofnear" },
    { 0x07A7, "doffar" },
    { 0x07A8, "look" },
    { 0x07A9, "up" },
    { 0x07AA, "right" },
    { 0x07AB, "thermalbodymaterial" },
    { 0x07AC, "entity" },
    { 0x07AD, "tag" },
    { 0x07AE, "nearz" },
    { 0x07AF, "blurradius" },
    { 0x07B0, "lod" },
    { 0x07B1, "clipdistance" },
    { 0x07B2, "enableshadows" },
    { 0x07B3, "visionsetnakedduration" },
    { 0x07B4, "visionsetnaked" },
    { 0x07B5, "visionsetnightduration" },
    { 0x07B6, "visionsetnight" },
    { 0x07B7, "visionsetmissilecamduration" },
    { 0x07B8, "visionsetmissilecam" },
    { 0x07B9, "visionsetthermalduration" },
    { 0x07BA, "visionsetthermal" },
    { 0x07BB, "visionsetpainduration" },
    { 0x07BC, "visionsetpain" },
    { 0x07BD, "activevisionset" },
    { 0x07BE, "activevisionsetduration" },
    { 0x07BF, "animscript" },
    { 0x07C0, "anglelerprate" },
    { 0x07C1, "activator" },
    { 0x07C2, "gravity" },
    { 0x07C3, "ambient" },
    { 0x07C4, "diffusefraction" },
    { 0x07C5, "sunlight" },
    { 0x07C6, "suncolor" },
    { 0x07C7, "sundirection" },
    { 0x07C8, "reflection_clear_color" },
    { 0x07C9, "minusedistsq" },
    { 0x07CA, "owner" },
    { 0x07CB, "create_lock" },
    { 0x07CC, "exploder_before_load" },
    { 0x07CD, "exploderfunction" },
    { 0x07CE, "exploder_after_load" },
    { 0x07CF, "server_culled_sounds" },
    { 0x07D0, "createfx_enabled" },
    { 0x07D1, "createfxent" },
    { 0x07D2, "set_forward_and_up_vectors" },
    { 0x07D3, "v" },
    { 0x07D4, "print_org" },
    { 0x07D5, "oneshotfx" },
    { 0x07D6, "exploderfx" },
    { 0x07D7, "createexploder" },
    { 0x07D8, "createfxexploders" },
    { 0x07D9, "script_exploder" },
    { 0x07DA, "script_fxid" },
    { 0x07DB, "script_firefx" },
    { 0x07DC, "script_firefxdelay" },
    { 0x07DD, "script_firefxsound" },
    { 0x07DE, "script_sound" },
    { 0x07DF, "script_earthquake" },
    { 0x07E0, "script_damage" },
    { 0x07E1, "script_radius" },
    { 0x07E2, "script_soundalias" },
    { 0x07E3, "script_firefxtimeout" },
    { 0x07E4, "script_repeat" },
    { 0x07E5, "script_delay_min" },
    { 0x07E6, "script_delay_max" },
    { 0x07E7, "script_exploder_group" },
    { 0x07E8, "targetpos" },
    { 0x07E9, "_script_exploders" },
    { 0x07EA, "createfx_showorigin" },
    { 0x07EB, "loopfx" },
    { 0x07EC, "createloopeffect" },
    { 0x07ED, "create_looper" },
    { 0x07EE, "_effect" },
    { 0x07EF, "looper" },
    { 0x07F0, "create_loopsound" },
    { 0x07F1, "loop_fx_sound" },
    { 0x07F2, "create_interval_sound" },
    { 0x07F3, "loop_fx_sound_interval" },
    { 0x07F4, "loopfxthread" },
    { 0x07F5, "waitframe" },
    { 0x07F6, "fxstart" },
    { 0x07F7, "timeout" },
    { 0x07F8, "fxstop" },
    { 0x07F9, "loopfxchangeid" },
    { 0x07FA, "loopfxchangeorg" },
    { 0x07FB, "loopfxchangedelay" },
    { 0x07FC, "loopfxdeletion" },
    { 0x07FD, "loopfxstop" },
    { 0x07FE, "loopsound" },
    { 0x07FF, "loopsoundthread" },
    { 0x0800, "gunfireloopfx" },
    { 0x0801, "gunfireloopfxthread" },
    { 0x0802, "gunfireloopfxvec" },
    { 0x0803, "gunfireloopfxvecthread" },
    { 0x0804, "fxfireloopmod" },
    { 0x0805, "setfireloopmod" },
    { 0x0806, "setup_fx" },
    { 0x0807, "script_fxcommand" },
    { 0x0808, "script_fxstart" },
    { 0x0809, "script_fxstop" },
    { 0x080A, "burnville_paratrooper_hack" },
    { 0x080B, "burnville_paratrooper_hack_loop" },
    { 0x080C, "create_triggerfx" },
    { 0x080D, "verify_effects_assignment" },
    { 0x080E, "_missing_fx" },
    { 0x080F, "verify_effects_assignment_print" },
    { 0x0810, "oneshotfxthread" },
    { 0x0811, "menu" },
    { 0x0812, "create_fx_menu" },
    { 0x0813, "setmenu" },
    { 0x0814, "button_is_clicked" },
    { 0x0815, "createloopsound" },
    { 0x0816, "createnewexploder" },
    { 0x0817, "createintervalsound" },
    { 0x0818, "last_displayed_ent" },
    { 0x0819, "clear_settable_fx" },
    { 0x081A, "clear_fx_hudelements" },
    { 0x081B, "_exit_menu" },
    { 0x081C, "clear_entity_selection" },
    { 0x081D, "update_selected_entities" },
    { 0x081E, "get_last_selected_entity" },
    { 0x081F, "selected_fx_ents" },
    { 0x0820, "menu_fx_creation" },
    { 0x0821, "func_get_level_fx" },
    { 0x0822, "effect_list_offset" },
    { 0x0823, "effect_list_offset_max" },
    { 0x0824, "createoneshoteffect" },
    { 0x0825, "finish_creating_entity" },
    { 0x0826, "post_entity_creation_function" },
    { 0x0827, "select_last_entity" },
    { 0x0828, "move_selection_to_cursor" },
    { 0x0829, "menu_init" },
    { 0x082A, "createfx_options" },
    { 0x082B, "mp_createfx" },
    { 0x082C, "createfxmasks" },
    { 0x082D, "get_last_selected_ent" },
    { 0x082E, "entities_are_selected" },
    { 0x082F, "menu_change_selected_fx" },
    { 0x0830, "prepare_option_for_change" },
    { 0x0831, "createfx_centerprint" },
    { 0x0832, "createfx_inputlocked" },
    { 0x0833, "createfxhudelements" },
    { 0x0834, "menu_fx_option_set" },
    { 0x0835, "apply_option_to_selected_fx" },
    { 0x0836, "set_option_index" },
    { 0x0837, "selected_fx_option_index" },
    { 0x0838, "get_selected_option" },
    { 0x0839, "mask" },
    { 0x083A, "addoption" },
    { 0x083B, "get_option" },
    { 0x083C, "display_fx_info" },
    { 0x083D, "set_fx_hudelement" },
    { 0x083E, "createfx_hudelements" },
    { 0x083F, "display_fx_add_options" },
    { 0x0840, "add_option_to_selected_entities" },
    { 0x0841, "menunone" },
    { 0x0842, "draw_effects_list" },
    { 0x0843, "increment_list_offset" },
    { 0x0844, "createeffect" },
    { 0x0845, "drawn" },
    { 0x0846, "createfxbyfxid" },
    { 0x0847, "getloopeffectdelaydefault" },
    { 0x0848, "getoneshoteffectdelaydefault" },
    { 0x0849, "getexploderdelaydefault" },
    { 0x084A, "getintervalsounddelaymindefault" },
    { 0x084B, "getintervalsounddelaymaxdefault" },
    { 0x084C, "add_effect" },
    { 0x084D, "createexploderex" },
    { 0x084E, "set_origin_and_angles" },
    { 0x084F, "createfx_common" },
    { 0x0850, "flag_init" },
    { 0x0851, "createfx" },
    { 0x0852, "createfx_loopcounter" },
    { 0x0853, "createfxlogic" },
    { 0x0854, "get_template_level" },
    { 0x0855, "func_position_player" },
    { 0x0856, "location" },
    { 0x0857, "cleartextmarker" },
    { 0x0858, "selectedmove_up" },
    { 0x0859, "selectedmove_forward" },
    { 0x085A, "selectedmove_right" },
    { 0x085B, "selectedrotate_pitch" },
    { 0x085C, "selectedrotate_roll" },
    { 0x085D, "selectedrotate_yaw" },
    { 0x085E, "selected_fx" },
    { 0x085F, "createfx_lockedlist" },
    { 0x0860, "createfx_draw_enabled" },
    { 0x0861, "buttonisheld" },
    { 0x0862, "player" },
    { 0x0863, "fx_rotating" },
    { 0x0864, "createfx_selecting" },
    { 0x0865, "createfxcursor" },
    { 0x0866, "buttonclick" },
    { 0x0867, "button_is_kb" },
    { 0x0868, "fx_highlightedent" },
    { 0x0869, "func_process_fx_rotater" },
    { 0x086A, "func_position_player_get" },
    { 0x086B, "copy_angles_of_selected_ents" },
    { 0x086C, "reset_axis_of_selected_ents" },
    { 0x086D, "last_selected_entity_has_changed" },
    { 0x086E, "drop_selection_to_ground" },
    { 0x086F, "set_off_exploders" },
    { 0x0870, "exploder" },
    { 0x0871, "draw_distance" },
    { 0x0872, "createfx_autosave" },
    { 0x0873, "flag_waitopen" },
    { 0x0874, "rotate_over_time" },
    { 0x0875, "delete_pressed" },
    { 0x0876, "remove_selected_option" },
    { 0x0877, "remove_option" },
    { 0x0878, "delete_selection" },
    { 0x0879, "insert_effect" },
    { 0x087A, "show_help" },
    { 0x087B, "select_all_exploders_of_currently_selected" },
    { 0x087C, "copy_ents" },
    { 0x087D, "stored_ents" },
    { 0x087E, "textalpha" },
    { 0x087F, "paste_ents" },
    { 0x0880, "add_and_select_entity" },
    { 0x0881, "get_center_of_array" },
    { 0x0882, "ent_draw_axis" },
    { 0x0883, "rotation_is_occuring" },
    { 0x0884, "print_fx_options" },
    { 0x0885, "createfxdefaults" },
    { 0x0886, "entity_highlight_disable" },
    { 0x0887, "entity_highlight_enable" },
    { 0x0888, "toggle_createfx_drawing" },
    { 0x0889, "manipulate_createfx_ents" },
    { 0x088A, "reset_fx_hud_colors" },
    { 0x088B, "button_is_held" },
    { 0x088C, "toggle_entity_selection" },
    { 0x088D, "select_entity" },
    { 0x088E, "ent_is_highlighted" },
    { 0x088F, "deselect_entity" },
    { 0x0890, "index_is_selected" },
    { 0x0891, "ent_is_selected" },
    { 0x0892, "draw_axis" },
    { 0x0893, "fxhudelements" },
    { 0x0894, "createfx_centerprint_thread" },
    { 0x0895, "buttondown" },
    { 0x0896, "buttonpressed_internal" },
    { 0x0897, "get_selected_move_vector" },
    { 0x0898, "process_button_held_and_clicked" },
    { 0x0899, "locked" },
    { 0x089A, "kb_locked" },
    { 0x089B, "add_button" },
    { 0x089C, "add_kb_button" },
    { 0x089D, "set_anglemod_move_vector" },
    { 0x089E, "cfxprintlnstart" },
    { 0x089F, "fileprint_launcher_start_file" },
    { 0x08A0, "cfxprintln" },
    { 0x08A1, "fileprint_launcher" },
    { 0x08A2, "cfxprintlnend" },
    { 0x08A3, "fileprint_launcher_end_file" },
    { 0x08A4, "func_updatefx" },
    { 0x08A5, "hack_start" },
    { 0x08A6, "get_player" },
    { 0x08A7, "createfx_orgranize_array" },
    { 0x08A8, "stop_fx_looper" },
    { 0x08A9, "stop_loopsound" },
    { 0x08AA, "_effect_keys" },
    { 0x08AB, "alphabetize" },
    { 0x08AC, "restart_fx_looper" },
    { 0x08AD, "process_fx_rotater" },
    { 0x08AE, "generate_fx_log" },
    { 0x08AF, "scriptprintln" },
    { 0x08B0, "debugprintln" },
    { 0x08B1, "draw_debug_line" },
    { 0x08B2, "waittillend" },
    { 0x08B3, "noself_func" },
    { 0x08B4, "self_func" },
    { 0x08B5, "randomvector" },
    { 0x08B6, "randomvectorrange" },
    { 0x08B7, "angle_dif" },
    { 0x08B8, "sign" },
    { 0x08B9, "track" },
    { 0x08BA, "current_target" },
    { 0x08BB, "get_enemy_team" },
    { 0x08BC, "clear_exception" },
    { 0x08BD, "exception" },
    { 0x08BE, "defaultexception" },
    { 0x08BF, "set_exception" },
    { 0x08C0, "set_all_exceptions" },
    { 0x08C1, "cointoss" },
    { 0x08C2, "choose_from_weighted_array" },
    { 0x08C3, "get_cumulative_weights" },
    { 0x08C4, "waittill_string" },
    { 0x08C5, "waittill_multiple" },
    { 0x08C6, "threads" },
    { 0x08C7, "waittill_multiple_ents" },
    { 0x08C8, "waittill_any_return" },
    { 0x08C9, "waittill_any_timeout" },
    { 0x08CA, "_timeout" },
    { 0x08CB, "waittill_any" },
    { 0x08CC, "waittill_any_ents" },
    { 0x08CD, "isflashed" },
    { 0x08CE, "flashendtime" },
    { 0x08CF, "flag_exist" },
    { 0x08D0, "flag" },
    { 0x08D1, "init_flags" },
    { 0x08D2, "flags_lock" },
    { 0x08D3, "generic_index" },
    { 0x08D4, "sp_stat_tracking_func" },
    { 0x08D5, "flag_struct" },
    { 0x08D6, "trigger_flags" },
    { 0x08D7, "empty_init_func" },
    { 0x08D8, "issuffix" },
    { 0x08D9, "flag_set" },
    { 0x08DA, "assign_unique_id" },
    { 0x08DB, "unique_id" },
    { 0x08DC, "flag_wait" },
    { 0x08DD, "flag_clear" },
    { 0x08DE, "waittill_either" },
    { 0x08DF, "array_thread" },
    { 0x08E0, "array_call" },
    { 0x08E1, "array_thread4" },
    { 0x08E2, "array_thread5" },
    { 0x08E3, "trigger_on" },
    { 0x08E4, "trigger_on_proc" },
    { 0x08E5, "realorigin" },
    { 0x08E6, "trigger_off" },
    { 0x08E7, "trigger_off_proc" },
    { 0x08E8, "set_trigger_flag_permissions" },
    { 0x08E9, "update_trigger_based_on_flags" },
    { 0x08EA, "script_flag_true" },
    { 0x08EB, "script_flag_false" },
    { 0x08EC, "trigger_func" },
    { 0x08ED, "create_flags_and_return_tokens" },
    { 0x08EE, "init_trigger_flags" },
    { 0x08EF, "getstruct" },
    { 0x08F0, "struct_class_names" },
    { 0x08F1, "getstructarray" },
    { 0x08F2, "struct_class_init" },
    { 0x08F3, "struct" },
    { 0x08F4, "fileprint_start" },
    { 0x08F5, "fileprint_map_start" },
    { 0x08F6, "fileprint_map_header" },
    { 0x08F7, "fileprint_map_keypairprint" },
    { 0x08F8, "fileprint_map_entity_start" },
    { 0x08F9, "fileprint_map_entity_end" },
    { 0x08FA, "fileprint_radiant_vec" },
    { 0x08FB, "array_remove" },
    { 0x08FC, "array_remove_array" },
    { 0x08FD, "array_removeundefined" },
    { 0x08FE, "array_levelthread" },
    { 0x08FF, "array_levelcall" },
    { 0x0900, "add_to_array" },
    { 0x0901, "flag_assert" },
    { 0x0902, "flag_wait_either" },
    { 0x0903, "flag_wait_either_return" },
    { 0x0904, "flag_wait_any" },
    { 0x0905, "flag_wait_any_return" },
    { 0x0906, "flag_wait_all" },
    { 0x0907, "flag_wait_or_timeout" },
    { 0x0908, "flag_waitopen_or_timeout" },
    { 0x0909, "wait_for_flag_or_time_elapses" },
    { 0x090A, "delaycall" },
    { 0x090B, "delaycall_proc" },
    { 0x090C, "noself_delaycall" },
    { 0x090D, "noself_delaycall_proc" },
    { 0x090E, "issp" },
    { 0x090F, "issp_towerdefense" },
    { 0x0910, "string_starts_with" },
    { 0x0911, "plot_points" },
    { 0x0912, "draw_line_for_time" },
    { 0x0913, "array_combine" },
    { 0x0914, "flat_angle" },
    { 0x0915, "flat_origin" },
    { 0x0916, "draw_arrow_time" },
    { 0x0917, "get_linked_ents" },
    { 0x0918, "script_linkto" },
    { 0x0919, "get_linked_vehicle_nodes" },
    { 0x091A, "get_linked_ent" },
    { 0x091B, "get_linked_vehicle_node" },
    { 0x091C, "get_links" },
    { 0x091D, "run_thread_on_targetname" },
    { 0x091E, "getnodearrayfunction" },
    { 0x091F, "run_thread_on_noteworthy" },
    { 0x0920, "draw_arrow" },
    { 0x0921, "getfx" },
    { 0x0922, "fxexists" },
    { 0x0923, "print_csv_asset" },
    { 0x0924, "csv_lines" },
    { 0x0925, "fileprint_csv_start" },
    { 0x0926, "_loadfx" },
    { 0x0927, "getlastweapon" },
    { 0x0928, "saved_lastweapon" },
    { 0x0929, "playerunlimitedammothread" },
    { 0x092A, "isusabilityenabled" },
    { 0x092B, "disabledusability" },
    { 0x092C, "_disableusability" },
    { 0x092D, "_enableusability" },
    { 0x092E, "resetusability" },
    { 0x092F, "_disableweapon" },
    { 0x0930, "disabledweapon" },
    { 0x0931, "_enableweapon" },
    { 0x0932, "isweaponenabled" },
    { 0x0933, "_disableweaponswitch" },
    { 0x0934, "disabledweaponswitch" },
    { 0x0935, "_enableweaponswitch" },
    { 0x0936, "isweaponswitchenabled" },
    { 0x0937, "_disableoffhandweapons" },
    { 0x0938, "disabledoffhandweapons" },
    { 0x0939, "_enableoffhandweapons" },
    { 0x093A, "isoffhandweaponenabled" },
    { 0x093B, "random" },
    { 0x093C, "spawn_tag_origin" },
    { 0x093D, "waittill_notify_or_timeout" },
    { 0x093E, "fileprintlauncher_linecount" },
    { 0x093F, "launcher_write_clipboard" },
    { 0x0940, "isdestructible" },
    { 0x0941, "destructible_type" },
    { 0x0942, "pauseeffect" },
    { 0x0943, "activate_individual_exploder" },
    { 0x0944, "brush_delete" },
    { 0x0945, "connectpathsfunction" },
    { 0x0946, "exploded" },
    { 0x0947, "brush_throw" },
    { 0x0948, "get_target_ent" },
    { 0x0949, "getnodefunction" },
    { 0x094A, "brush_show" },
    { 0x094B, "script_modelname" },
    { 0x094C, "brush_shown" },
    { 0x094D, "disconnect_paths" },
    { 0x094E, "disconnectpathsfunction" },
    { 0x094F, "exploder_earthquake" },
    { 0x0950, "do_earthquake" },
    { 0x0951, "earthquake" },
    { 0x0952, "exploder_rumble" },
    { 0x0953, "exploder_delay" },
    { 0x0954, "exploder_damage" },
    { 0x0955, "effect_loopsound" },
    { 0x0956, "loopsound_ent" },
    { 0x0957, "play_loopsound_in_space" },
    { 0x0958, "sound_effect" },
    { 0x0959, "effect_soundalias" },
    { 0x095A, "play_sound_in_space" },
    { 0x095B, "cannon_effect" },
    { 0x095C, "exploder_playsound" },
    { 0x095D, "fire_effect" },
    { 0x095E, "first_frame" },
    { 0x095F, "loop_sound_delete" },
    { 0x0960, "activate_exploder" },
    { 0x0961, "is_later_in_alphabet" },
    { 0x0962, "alphabet_compare" },
    { 0x0963, "play_loop_sound_on_entity" },
    { 0x0964, "stop_loop_sound_on_entity" },
    { 0x0965, "delete_on_death" },
    { 0x0966, "error" },
    { 0x0967, "create_dvar" },
    { 0x0968, "void" },
    { 0x0969, "tag_project" },
    { 0x096A, "ter_op" },
    { 0x096B, "lock" },
    { 0x096C, "max_count" },
    { 0x096D, "is_locked" },
    { 0x096E, "unlock_wait" },
    { 0x096F, "unlock" },
    { 0x0970, "unlock_thread" },
    { 0x0971, "template_script" },
    { 0x0972, "setparent" },
    { 0x0973, "parent" },
    { 0x0974, "point" },
    { 0x0975, "yoffset" },
    { 0x0976, "xoffset" },
    { 0x0977, "relativepoint" },
    { 0x0978, "getparent" },
    { 0x0979, "addchild" },
    { 0x097A, "children" },
    { 0x097B, "index" },
    { 0x097C, "removechild" },
    { 0x097D, "setpoint" },
    { 0x097E, "uiparent" },
    { 0x097F, "elemtype" },
    { 0x0980, "setpointbar" },
    { 0x0981, "bar" },
    { 0x0982, "padding" },
    { 0x0983, "frac" },
    { 0x0984, "updatebar" },
    { 0x0985, "shader" },
    { 0x0986, "hidebar" },
    { 0x0987, "orig_alpha" },
    { 0x0988, "createfontstring" },
    { 0x0989, "fontheight" },
    { 0x098A, "createserverclientfontstring" },
    { 0x098B, "createclienttimer" },
    { 0x098C, "createserverfontstring" },
    { 0x098D, "createservertimer" },
    { 0x098E, "createicon" },
    { 0x098F, "createclienticon" },
    { 0x0990, "createicon_hudelem" },
    { 0x0991, "createbar" },
    { 0x0992, "flashfrac" },
    { 0x0993, "createclientprogressbar" },
    { 0x0994, "createclientbar" },
    { 0x0995, "setflashfrac" },
    { 0x0996, "fade_over_time" },
    { 0x0997, "flashthread" },
    { 0x0998, "destroyelem" },
    { 0x0999, "seticonshader" },
    { 0x099A, "setwidth" },
    { 0x099B, "setheight" },
    { 0x099C, "setsize" },
    { 0x099D, "updatechildren" },
    { 0x099E, "stance_carry_icon_enamble" },
    { 0x099F, "stance_carry" },
    { 0x09A0, "console" },
    { 0x09A1, "stance_carry_icon_disable" },
//  { 0x09A2, "" },
//  { 0x09A3, "" },
//  { 0x09A4, "" },
//  { 0x09A5, "" },
//  { 0x09A6, "" },
//  { 0x09A7, "" },
//  { 0x09A8, "" },
//  { 0x09A9, "" },
//  { 0x09AA, "" },
//  { 0x09AB, "" },
//  { 0x09AC, "" },
//  { 0x09AD, "" },
//  { 0x09AE, "" },
//  { 0x09AF, "" },
//  { 0x09B0, "" },
//  { 0x09B1, "" },
//  { 0x09B2, "" },
//  { 0x09B3, "" },
//  { 0x09B4, "" },
//  { 0x09B5, "" },
//  { 0x09B6, "" },
//  { 0x09B7, "" },
//  { 0x09B8, "" },
//  { 0x09B9, "" },
//  { 0x09BA, "" },
//  { 0x09BB, "" },
//  { 0x09BC, "" },
//  { 0x09BD, "" },
//  { 0x09BE, "" },
//  { 0x09BF, "" },
//  { 0x09C0, "" },
//  { 0x09C1, "" },
//  { 0x09C2, "" },
//  { 0x09C3, "" },
//  { 0x09C4, "" },
//  { 0x09C5, "" },
//  { 0x09C6, "" },
//  { 0x09C7, "" },
//  { 0x09C8, "" },
//  { 0x09C9, "" },
//  { 0x09CA, "" },
//  { 0x09CB, "" },
//  { 0x09CC, "" },
//  { 0x09CD, "" },
//  { 0x09CE, "" },
//  { 0x09CF, "" },
//  { 0x09D0, "" },
//  { 0x09D1, "" },
//  { 0x09D2, "" },
//  { 0x09D3, "" },
//  { 0x09D4, "" },
//  { 0x09D5, "" },
//  { 0x09D6, "" },
//  { 0x09D7, "" },
//  { 0x09D8, "" },
//  { 0x09D9, "" },
//  { 0x09DA, "" },
//  { 0x09DB, "" },
//  { 0x09DC, "" },
//  { 0x09DD, "" },
//  { 0x09DE, "" },
//  { 0x09DF, "" },
//  { 0x09E0, "" },
//  { 0x09E1, "" },
//  { 0x09E2, "" },
//  { 0x09E3, "" },
//  { 0x09E4, "" },
//  { 0x09E5, "" },
//  { 0x09E6, "" },
//  { 0x09E7, "" },
//  { 0x09E8, "" },
//  { 0x09E9, "" },
//  { 0x09EA, "" },
//  { 0x09EB, "" },
//  { 0x09EC, "" },
//  { 0x09ED, "" },
//  { 0x09EE, "" },
//  { 0x09EF, "" },
//  { 0x09F0, "" },
//  { 0x09F1, "" },
//  { 0x09F2, "" },
//  { 0x09F3, "" },
//  { 0x09F4, "" },
//  { 0x09F5, "" },
//  { 0x09F6, "" },
//  { 0x09F7, "" },
//  { 0x09F8, "" },
//  { 0x09F9, "" },
//  { 0x09FA, "" },
//  { 0x09FB, "" },
    { 0x09FC, "delaythread" },
//  { 0x09FD, "" },
//  { 0x09FE, "" },
//  { 0x09FF, "" },
//  { 0x0A00, "" },
//  { 0x0A01, "" },
    { 0x0A02, "gameskill" },
//  { 0x0A03, "" },
//  { 0x0A04, "" },
//  { 0x0A05, "" },
//  { 0x0A06, "" },
//  { 0x0A07, "" },
//  { 0x0A08, "" },
//  { 0x0A09, "" },
//  { 0x0A0A, "" },
//  { 0x0A0B, "" },
//  { 0x0A0C, "" },
//  { 0x0A0D, "" },
    { 0x0A0E, "player_damage" },
//  { 0x0A0F, "" },
//  { 0x0A10, "" },
    { 0x0A11, "players" },
//  { 0x0A12, "" },
//  { 0x0A13, "" },
//  { 0x0A14, "" },
//  { 0x0A15, "" },
//  { 0x0A16, "" },
//  { 0x0A17, "" },
//  { 0x0A18, "" },
//  { 0x0A19, "" },
//  { 0x0A1A, "" },
//  { 0x0A1B, "" },
//  { 0x0A1C, "" },
//  { 0x0A1D, "" },
//  { 0x0A1E, "" },
//  { 0x0A1F, "" },
//  { 0x0A20, "" },
//  { 0x0A21, "" },
//  { 0x0A22, "" },
//  { 0x0A23, "" },
//  { 0x0A24, "" },
//  { 0x0A25, "" },
//  { 0x0A26, "" },
//  { 0x0A27, "" },
//  { 0x0A28, "" },
//  { 0x0A29, "" },
//  { 0x0A2A, "" },
//  { 0x0A2B, "" },
//  { 0x0A2C, "" },
//  { 0x0A2D, "" },
//  { 0x0A2E, "" },
//  { 0x0A2F, "" },
//  { 0x0A30, "" },
    { 0x0A31, "stats" },
//  { 0x0A32, "" },
//  { 0x0A33, "" },
//  { 0x0A34, "" },
//  { 0x0A35, "" },
//  { 0x0A36, "" },
//  { 0x0A37, "" },
//  { 0x0A38, "" },
//  { 0x0A39, "" },
//  { 0x0A3A, "" },
//  { 0x0A3B, "" },
//  { 0x0A3C, "" },
//  { 0x0A3D, "" },
//  { 0x0A3E, "" },
    { 0x0A3F, "isprimaryweapon" },
//  { 0x0A40, "" },
//  { 0x0A41, "" },
//  { 0x0A42, "" },
//  { 0x0A43, "" },
//  { 0x0A44, "" },
//  { 0x0A45, "" },
//  { 0x0A46, "" },
//  { 0x0A47, "" },
//  { 0x0A48, "" },
//  { 0x0A49, "" },
//  { 0x0A4A, "" },
//  { 0x0A4B, "" },
//  { 0x0A4C, "" },
//  { 0x0A4D, "" },
//  { 0x0A4E, "" },
//  { 0x0A4F, "" },
//  { 0x0A50, "" },
//  { 0x0A51, "" },
//  { 0x0A52, "" },
//  { 0x0A53, "" },
//  { 0x0A54, "" },
//  { 0x0A55, "" },
//  { 0x0A56, "" },
//  { 0x0A57, "" },
//  { 0x0A58, "" },
//  { 0x0A59, "" },
//  { 0x0A5A, "" },
//  { 0x0A5B, "" },
//  { 0x0A5C, "" },
//  { 0x0A5D, "" },
//  { 0x0A5E, "" },
//  { 0x0A5F, "" },
//  { 0x0A60, "" },
//  { 0x0A61, "" },
//  { 0x0A62, "" },
//  { 0x0A63, "" },
//  { 0x0A64, "" },
//  { 0x0A65, "" },
//  { 0x0A66, "" },
//  { 0x0A67, "" },
    { 0x0A68, "forward" },
//  { 0x0A69, "" },
//  { 0x0A6A, "" },
//  { 0x0A6B, "" },
//  { 0x0A6C, "" },
//  { 0x0A6D, "" },
//  { 0x0A6E, "" },
//  { 0x0A6F, "" },
//  { 0x0A70, "" },
//  { 0x0A71, "" },
//  { 0x0A72, "" },
//  { 0x0A73, "" },
//  { 0x0A74, "" },
//  { 0x0A75, "" },
//  { 0x0A76, "" },
//  { 0x0A77, "" },
//  { 0x0A78, "" },
//  { 0x0A79, "" },
//  { 0x0A7A, "" },
//  { 0x0A7B, "" },
//  { 0x0A7C, "" },
//  { 0x0A7D, "" },
//  { 0x0A7E, "" },
//  { 0x0A7F, "" },
//  { 0x0A80, "" },
//  { 0x0A81, "" },
//  { 0x0A82, "" },
//  { 0x0A83, "" },
//  { 0x0A84, "" },
//  { 0x0A85, "" },
//  { 0x0A86, "" },
//  { 0x0A87, "" },
//  { 0x0A88, "" },
//  { 0x0A89, "" },
//  { 0x0A8A, "" },
//  { 0x0A8B, "" },
    { 0x0A8C, "attacker" },
//  { 0x0A8D, "" },
//  { 0x0A8E, "" },
    { 0x0A8F, "updateorigin" },
//  { 0x0A90, "" },
//  { 0x0A91, "" },
//  { 0x0A92, "" },
//  { 0x0A93, "" },
//  { 0x0A94, "" },
//  { 0x0A95, "" },
//  { 0x0A96, "" },
    { 0x0A97, "a" },
//  { 0x0A98, "" },
//  { 0x0A99, "" },
//  { 0x0A9A, "" },
//  { 0x0A9B, "" },
//  { 0x0A9C, "" },
//  { 0x0A9D, "" },
//  { 0x0A9E, "" },
//  { 0x0A9F, "" },
//  { 0x0AA0, "" },
//  { 0x0AA1, "" },
//  { 0x0AA2, "" },
//  { 0x0AA3, "" },
//  { 0x0AA4, "" },
//  { 0x0AA5, "" },
//  { 0x0AA6, "" },
//  { 0x0AA7, "" },
//  { 0x0AA8, "" },
//  { 0x0AA9, "" },
//  { 0x0AAA, "" },
//  { 0x0AAB, "" },
//  { 0x0AAC, "" },
//  { 0x0AAD, "" },
//  { 0x0AAE, "" },
//  { 0x0AAF, "" },
//  { 0x0AB0, "" },
//  { 0x0AB1, "" },
    { 0x0AB2, "voice" },
//  { 0x0AB3, "" },
//  { 0x0AB4, "" },
//  { 0x0AB5, "" },
//  { 0x0AB6, "" },
//  { 0x0AB7, "" },
//  { 0x0AB8, "" },
//  { 0x0AB9, "" },
//  { 0x0ABA, "" },
//  { 0x0ABB, "" },
//  { 0x0ABC, "" },
//  { 0x0ABD, "" },
//  { 0x0ABE, "" },
//  { 0x0ABF, "" },
//  { 0x0AC0, "" },
//  { 0x0AC1, "" },
//  { 0x0AC2, "" },
    { 0x0AC3, "getrank" },
//  { 0x0AC4, "" },
//  { 0x0AC5, "" },
//  { 0x0AC6, "" },
//  { 0x0AC7, "" },
//  { 0x0AC8, "" },
//  { 0x0AC9, "" },
//  { 0x0ACA, "" },
//  { 0x0ACB, "" },
    { 0x0ACC, "priority" },
//  { 0x0ACD, "" },
//  { 0x0ACE, "" },
//  { 0x0ACF, "" },
//  { 0x0AD0, "" },
//  { 0x0AD1, "" },
//  { 0x0AD2, "" },
//  { 0x0AD3, "" },
//  { 0x0AD4, "" },
//  { 0x0AD5, "" },
//  { 0x0AD6, "" },
//  { 0x0AD7, "" },
//  { 0x0AD8, "" },
//  { 0x0AD9, "" },
//  { 0x0ADA, "" },
//  { 0x0ADB, "" },
//  { 0x0ADC, "" },
//  { 0x0ADD, "" },
//  { 0x0ADE, "" },
//  { 0x0ADF, "" },
//  { 0x0AE0, "" },
//  { 0x0AE1, "" },
//  { 0x0AE2, "" },
//  { 0x0AE3, "" },
//  { 0x0AE4, "" },
//  { 0x0AE5, "" },
//  { 0x0AE6, "" },
//  { 0x0AE7, "" },
//  { 0x0AE8, "" },
//  { 0x0AE9, "" },
//  { 0x0AEA, "" },
//  { 0x0AEB, "" },
//  { 0x0AEC, "" },
//  { 0x0AED, "" },
//  { 0x0AEE, "" },
//  { 0x0AEF, "" },
//  { 0x0AF0, "" },
//  { 0x0AF1, "" },
//  { 0x0AF2, "" },
//  { 0x0AF3, "" },
//  { 0x0AF4, "" },
//  { 0x0AF5, "" },
//  { 0x0AF6, "" },
//  { 0x0AF7, "" },
//  { 0x0AF8, "" },
//  { 0x0AF9, "" },
    { 0x0AFA, "sunradiosity" },
    { 0x0AFB, "skycolor" },
    { 0x0AFC, "skylight" },
    { 0x0AFD, "_color" },
    { 0x0AFE, "ltorigin" },
    { 0x0AFF, "gndlt" },
    { 0x0B00, "sound_csv_include" },
    { 0x0B01, "csv_include" },
    { 0x0B02, "precache_script" },
//  { 0x0B03, "" },
    { 0x0B04, "maxbounces" },
    { 0x0B05, "radiosityscale" },
//  { 0x0B06, "" },
    { 0x0B07, "def" },
    { 0x0B08, "exponent" },
    { 0x0B09, "fov_inner" },
    { 0x0B0A, "fov_outer" },
    { 0x0B0B, "__smorigin" },
    { 0x0B0C, "__smangles" },
    { 0x0B0D, "__smname" },
    { 0x0B0E, "__smid" },
//  { 0x0B0F, "" },
//  { 0x0B10, "" },
//  { 0x0B11, "" },
//  { 0x0B12, "" },
//  { 0x0B13, "" },
    { 0x0B14, "contrastgain" },
//  { 0x0B15, "" },
//  { 0x0B16, "" },
//  { 0x0B17, "" },
//  { 0x0B18, "" },
//  { 0x0B19, "" },
//  { 0x0B1A, "" },
//  { 0x0B1B, "" },
//  { 0x0B1C, "" },
//  { 0x0B1D, "" },
//  { 0x0B1E, "" },
//  { 0x0B1F, "" },
//  { 0x0B20, "" },
//  { 0x0B21, "" },
//  { 0x0B22, "" },
//  { 0x0B23, "" },
//  { 0x0B24, "" },
//  { 0x0B25, "" },
//  { 0x0B26, "" },
//  { 0x0B27, "" },
//  { 0x0B28, "" },
//  { 0x0B29, "" },
//  { 0x0B2A, "" },
//  { 0x0B2B, "" },
//  { 0x0B2C, "" },
//  { 0x0B2D, "" },
//  { 0x0B2E, "" },
//  { 0x0B2F, "" },
//  { 0x0B30, "" },
//  { 0x0B31, "" },
//  { 0x0B32, "" },
//  { 0x0B33, "" },
//  { 0x0B34, "" },
//  { 0x0B35, "" },
//  { 0x0B36, "" },
//  { 0x0B37, "" },
//  { 0x0B38, "" },
//  { 0x0B39, "" },
//  { 0x0B3A, "" },
//  { 0x0B3B, "" },
//  { 0x0B3C, "" },
//  { 0x0B3D, "" },
//  { 0x0B3E, "" },
//  { 0x0B3F, "" },
//  { 0x0B40, "" },
//  { 0x0B41, "" },
//  { 0x0B42, "" },
//  { 0x0B43, "" },
//  { 0x0B44, "" },
//  { 0x0B45, "" },
//  { 0x0B46, "" },
//  { 0x0B47, "" },
//  { 0x0B48, "" },
//  { 0x0B49, "" },
//  { 0x0B4A, "" },
//  { 0x0B4B, "" },
//  { 0x0B4C, "" },
//  { 0x0B4D, "" },
//  { 0x0B4E, "" },
//  { 0x0B4F, "" },
//  { 0x0B50, "" },
//  { 0x0B51, "" },
//  { 0x0B52, "" },
//  { 0x0B53, "" },
//  { 0x0B54, "" },
//  { 0x0B55, "" },
//  { 0x0B56, "" },
//  { 0x0B57, "" },
//  { 0x0B58, "" },
//  { 0x0B59, "" },
//  { 0x0B5A, "" },
//  { 0x0B5B, "" },
//  { 0x0B5C, "" },
//  { 0x0B5D, "" },
//  { 0x0B5E, "" },
//  { 0x0B5F, "" },
//  { 0x0B60, "" },
//  { 0x0B61, "" },
//  { 0x0B62, "" },
//  { 0x0B63, "" },
//  { 0x0B64, "" },
//  { 0x0B65, "" },
//  { 0x0B66, "" },
//  { 0x0B67, "" },
//  { 0x0B68, "" },
//  { 0x0B69, "" },
//  { 0x0B6A, "" },
//  { 0x0B6B, "" },
//  { 0x0B6C, "" },
//  { 0x0B6D, "" },
//  { 0x0B6E, "" },
//  { 0x0B6F, "" },
//  { 0x0B70, "" },
//  { 0x0B71, "" },
//  { 0x0B72, "" },
//  { 0x0B73, "" },
//  { 0x0B74, "" },
//  { 0x0B75, "" },
//  { 0x0B76, "" },
//  { 0x0B77, "" },
//  { 0x0B78, "" },
//  { 0x0B79, "" },
//  { 0x0B7A, "" },
//  { 0x0B7B, "" },
//  { 0x0B7C, "" },
//  { 0x0B7D, "" },
//  { 0x0B7E, "" },
//  { 0x0B7F, "" },
    { 0x0B80, "isteamspeaking" },
//  { 0x0B81, "" },
//  { 0x0B82, "" },
//  { 0x0B83, "" },
//  { 0x0B84, "" },
//  { 0x0B85, "" },
//  { 0x0B86, "" },
//  { 0x0B87, "" },
//  { 0x0B88, "" },
//  { 0x0B89, "" },
//  { 0x0B8A, "" },
//  { 0x0B8B, "" },
//  { 0x0B8C, "" },
//  { 0x0B8D, "" },
//  { 0x0B8E, "" },
//  { 0x0B8F, "" },
//  { 0x0B90, "" },
    { 0x0B91, "string" },
//  { 0x0B92, "" },
//  { 0x0B93, "" },
//  { 0x0B94, "" },
//  { 0x0B95, "" },
//  { 0x0B96, "" },
//  { 0x0B97, "" },
//  { 0x0B98, "" },
//  { 0x0B99, "" },
//  { 0x0B9A, "" },
//  { 0x0B9B, "" },
//  { 0x0B9C, "" },
//  { 0x0B9D, "" },
//  { 0x0B9E, "" },
//  { 0x0B9F, "" },
//  { 0x0BA0, "" },
//  { 0x0BA1, "" },
//  { 0x0BA2, "" },
//  { 0x0BA3, "" },
//  { 0x0BA4, "" },
//  { 0x0BA5, "" },
//  { 0x0BA6, "" },
//  { 0x0BA7, "" },
//  { 0x0BA8, "" },
//  { 0x0BA9, "" },
//  { 0x0BAA, "" },
//  { 0x0BAB, "" },
//  { 0x0BAC, "" },
//  { 0x0BAD, "" },
//  { 0x0BAE, "" },
//  { 0x0BAF, "" },
//  { 0x0BB0, "" },
//  { 0x0BB1, "" },
//  { 0x0BB2, "" },
//  { 0x0BB3, "" },
//  { 0x0BB4, "" },
//  { 0x0BB5, "" },
//  { 0x0BB6, "" },
//  { 0x0BB7, "" },
//  { 0x0BB8, "" },
//  { 0x0BB9, "" },
//  { 0x0BBA, "" },
//  { 0x0BBB, "" },
//  { 0x0BBC, "" },
//  { 0x0BBD, "" },
//  { 0x0BBE, "" },
//  { 0x0BBF, "" },
//  { 0x0BC0, "" },
//  { 0x0BC1, "" },
//  { 0x0BC2, "" },
//  { 0x0BC3, "" },
//  { 0x0BC4, "" },
//  { 0x0BC5, "" },
//  { 0x0BC6, "" },
//  { 0x0BC7, "" },
//  { 0x0BC8, "" },
//  { 0x0BC9, "" },
//  { 0x0BCA, "" },
//  { 0x0BCB, "" },
//  { 0x0BCC, "" },
//  { 0x0BCD, "" },
//  { 0x0BCE, "" },
//  { 0x0BCF, "" },
//  { 0x0BD0, "" },
//  { 0x0BD1, "" },
//  { 0x0BD2, "" },
//  { 0x0BD3, "" },
//  { 0x0BD4, "" },
//  { 0x0BD5, "" },
//  { 0x0BD6, "" },
//  { 0x0BD7, "" },
//  { 0x0BD8, "" },
//  { 0x0BD9, "" },
//  { 0x0BDA, "" },
//  { 0x0BDB, "" },
//  { 0x0BDC, "" },
//  { 0x0BDD, "" },
//  { 0x0BDE, "" },
//  { 0x0BDF, "" },
//  { 0x0BE0, "" },
//  { 0x0BE1, "" },
//  { 0x0BE2, "" },
//  { 0x0BE3, "" },
//  { 0x0BE4, "" },
//  { 0x0BE5, "" },
//  { 0x0BE6, "" },
//  { 0x0BE7, "" },
//  { 0x0BE8, "" },
//  { 0x0BE9, "" },
//  { 0x0BEA, "" },
//  { 0x0BEB, "" },
//  { 0x0BEC, "" },
//  { 0x0BED, "" },
//  { 0x0BEE, "" },
//  { 0x0BEF, "" },
//  { 0x0BF0, "" },
//  { 0x0BF1, "" },
//  { 0x0BF2, "" },
//  { 0x0BF3, "" },
//  { 0x0BF4, "" },
//  { 0x0BF5, "" },
//  { 0x0BF6, "" },
//  { 0x0BF7, "" },
//  { 0x0BF8, "" },
//  { 0x0BF9, "" },
//  { 0x0BFA, "" },
//  { 0x0BFB, "" },
//  { 0x0BFC, "" },
//  { 0x0BFD, "" },
//  { 0x0BFE, "" },
//  { 0x0BFF, "" },
//  { 0x0C00, "" },
//  { 0x0C01, "" },
//  { 0x0C02, "" },
    { 0x0C03, "getvectorrightangle" },
//  { 0x0C04, "" },
//  { 0x0C05, "" },
//  { 0x0C06, "" },
//  { 0x0C07, "" },
//  { 0x0C08, "" },
//  { 0x0C09, "" },
//  { 0x0C0A, "" },
//  { 0x0C0B, "" },
//  { 0x0C0C, "" },
//  { 0x0C0D, "" },
//  { 0x0C0E, "" },
//  { 0x0C0F, "" },
//  { 0x0C10, "" },
//  { 0x0C11, "" },
//  { 0x0C12, "" },
//  { 0x0C13, "" },
//  { 0x0C14, "" },
//  { 0x0C15, "" },
//  { 0x0C16, "" },
//  { 0x0C17, "" },
//  { 0x0C18, "" },
//  { 0x0C19, "" },
//  { 0x0C1A, "" },
//  { 0x0C1B, "" },
//  { 0x0C1C, "" },
//  { 0x0C1D, "" },
//  { 0x0C1E, "" },
//  { 0x0C1F, "" },
//  { 0x0C20, "" },
    { 0x0C21, "within_fov" },
//  { 0x0C22, "" },
//  { 0x0C23, "" },
//  { 0x0C24, "" },
//  { 0x0C25, "" },
//  { 0x0C26, "" },
//  { 0x0C27, "" },
//  { 0x0C28, "" },
//  { 0x0C29, "" },
//  { 0x0C2A, "" },
//  { 0x0C2B, "" },
//  { 0x0C2C, "" },
//  { 0x0C2D, "" },
//  { 0x0C2E, "" },
//  { 0x0C2F, "" },
//  { 0x0C30, "" },
//  { 0x0C31, "" },
//  { 0x0C32, "" },
//  { 0x0C33, "" },
//  { 0x0C34, "" },
//  { 0x0C35, "" },
//  { 0x0C36, "" },
//  { 0x0C37, "" },
//  { 0x0C38, "" },
//  { 0x0C39, "" },
//  { 0x0C3A, "" },
//  { 0x0C3B, "" },
//  { 0x0C3C, "" },
//  { 0x0C3D, "" },
//  { 0x0C3E, "" },
//  { 0x0C3F, "" },
//  { 0x0C40, "" },
//  { 0x0C41, "" },
//  { 0x0C42, "" },
//  { 0x0C43, "" },
//  { 0x0C44, "" },
//  { 0x0C45, "" },
//  { 0x0C46, "" },
//  { 0x0C47, "" },
//  { 0x0C48, "" },
//  { 0x0C49, "" },
//  { 0x0C4A, "" },
//  { 0x0C4B, "" },
//  { 0x0C4C, "" },
//  { 0x0C4D, "" },
//  { 0x0C4E, "" },
//  { 0x0C4F, "" },
//  { 0x0C50, "" },
//  { 0x0C51, "" },
//  { 0x0C52, "" },
//  { 0x0C53, "" },
//  { 0x0C54, "" },
//  { 0x0C55, "" },
//  { 0x0C56, "" },
//  { 0x0C57, "" },
//  { 0x0C58, "" },
//  { 0x0C59, "" },
//  { 0x0C5A, "" },
//  { 0x0C5B, "" },
//  { 0x0C5C, "" },
//  { 0x0C5D, "" },
//  { 0x0C5E, "" },
//  { 0x0C5F, "" },
//  { 0x0C60, "" },
//  { 0x0C61, "" },
//  { 0x0C62, "" },
//  { 0x0C63, "" },
//  { 0x0C64, "" },
//  { 0x0C65, "" },
//  { 0x0C66, "" },
//  { 0x0C67, "" },
//  { 0x0C68, "" },
//  { 0x0C69, "" },
//  { 0x0C6A, "" },
//  { 0x0C6B, "" },
//  { 0x0C6C, "" },
//  { 0x0C6D, "" },
//  { 0x0C6E, "" },
//  { 0x0C6F, "" },
//  { 0x0C70, "" },
//  { 0x0C71, "" },
//  { 0x0C72, "" },
//  { 0x0C73, "" },
//  { 0x0C74, "" },
//  { 0x0C75, "" },
//  { 0x0C76, "" },
//  { 0x0C77, "" },
//  { 0x0C78, "" },
//  { 0x0C79, "" },
//  { 0x0C7A, "" },
//  { 0x0C7B, "" },
//  { 0x0C7C, "" },
//  { 0x0C7D, "" },
//  { 0x0C7E, "" },
//  { 0x0C7F, "" },
//  { 0x0C80, "" },
//  { 0x0C81, "" },
//  { 0x0C82, "" },
//  { 0x0C83, "" },
//  { 0x0C84, "" },
//  { 0x0C85, "" },
//  { 0x0C86, "" },
//  { 0x0C87, "" },
//  { 0x0C88, "" },
//  { 0x0C89, "" },
//  { 0x0C8A, "" },
//  { 0x0C8B, "" },
//  { 0x0C8C, "" },
//  { 0x0C8D, "" },
//  { 0x0C8E, "" },
//  { 0x0C8F, "" },
//  { 0x0C90, "" },
//  { 0x0C91, "" },
//  { 0x0C92, "" },
//  { 0x0C93, "" },
//  { 0x0C94, "" },
//  { 0x0C95, "" },
//  { 0x0C96, "" },
//  { 0x0C97, "" },
//  { 0x0C98, "" },
//  { 0x0C99, "" },
    { 0x0C9A, "primaryweapon" },
//  { 0x0C9B, "" },
//  { 0x0C9C, "" },
//  { 0x0C9D, "" },
//  { 0x0C9E, "" },
//  { 0x0C9F, "" },
//  { 0x0CA0, "" },
//  { 0x0CA1, "" },
//  { 0x0CA2, "" },
//  { 0x0CA3, "" },
//  { 0x0CA4, "" },
//  { 0x0CA5, "" },
//  { 0x0CA6, "" },
//  { 0x0CA7, "" },
//  { 0x0CA8, "" },
//  { 0x0CA9, "" },
//  { 0x0CAA, "" },
//  { 0x0CAB, "" },
//  { 0x0CAC, "" },
//  { 0x0CAD, "" },
//  { 0x0CAE, "" },
//  { 0x0CAF, "" },
//  { 0x0CB0, "" },
//  { 0x0CB1, "" },
//  { 0x0CB2, "" },
//  { 0x0CB3, "" },
//  { 0x0CB4, "" },
//  { 0x0CB5, "" },
//  { 0x0CB6, "" },
//  { 0x0CB7, "" },
//  { 0x0CB8, "" },
//  { 0x0CB9, "" },
//  { 0x0CBA, "" },
//  { 0x0CBB, "" },
//  { 0x0CBC, "" },
//  { 0x0CBD, "" },
//  { 0x0CBE, "" },
//  { 0x0CBF, "" },
//  { 0x0CC0, "" },
//  { 0x0CC1, "" },
//  { 0x0CC2, "" },
//  { 0x0CC3, "" },
//  { 0x0CC4, "" },
//  { 0x0CC5, "" },
//  { 0x0CC6, "" },
//  { 0x0CC7, "" },
//  { 0x0CC8, "" },
//  { 0x0CC9, "" },
//  { 0x0CCA, "" },
//  { 0x0CCB, "" },
//  { 0x0CCC, "" },
//  { 0x0CCD, "" },
//  { 0x0CCE, "" },
//  { 0x0CCF, "" },
//  { 0x0CD0, "" },
//  { 0x0CD1, "" },
//  { 0x0CD2, "" },
//  { 0x0CD3, "" },
//  { 0x0CD4, "" },
//  { 0x0CD5, "" },
//  { 0x0CD6, "" },
//  { 0x0CD7, "" },
//  { 0x0CD8, "" },
//  { 0x0CD9, "" },
//  { 0x0CDA, "" },
//  { 0x0CDB, "" },
//  { 0x0CDC, "" },
//  { 0x0CDD, "" },
//  { 0x0CDE, "" },
//  { 0x0CDF, "" },
//  { 0x0CE0, "" },
    { 0x0CE1, "issniper" },
//  { 0x0CE2, "" },
//  { 0x0CE3, "" },
//  { 0x0CE4, "" },
//  { 0x0CE5, "" },
//  { 0x0CE6, "" },
//  { 0x0CE7, "" },
//  { 0x0CE8, "" },
//  { 0x0CE9, "" },
//  { 0x0CEA, "" },
//  { 0x0CEB, "" },
//  { 0x0CEC, "" },
//  { 0x0CED, "" },
//  { 0x0CEE, "" },
//  { 0x0CEF, "" },
//  { 0x0CF0, "" },
//  { 0x0CF1, "" },
//  { 0x0CF2, "" },
//  { 0x0CF3, "" },
//  { 0x0CF4, "" },
//  { 0x0CF5, "" },
//  { 0x0CF6, "" },
//  { 0x0CF7, "" },
//  { 0x0CF8, "" },
//  { 0x0CF9, "" },
//  { 0x0CFA, "" },
//  { 0x0CFB, "" },
//  { 0x0CFC, "" },
//  { 0x0CFD, "" },
//  { 0x0CFE, "" },
//  { 0x0CFF, "" },
//  { 0x0D00, "" },
//  { 0x0D01, "" },
//  { 0x0D02, "" },
//  { 0x0D03, "" },
//  { 0x0D04, "" },
//  { 0x0D05, "" },
//  { 0x0D06, "" },
//  { 0x0D07, "" },
//  { 0x0D08, "" },
//  { 0x0D09, "" },
//  { 0x0D0A, "" },
//  { 0x0D0B, "" },
//  { 0x0D0C, "" },
//  { 0x0D0D, "" },
//  { 0x0D0E, "" },
//  { 0x0D0F, "" },
//  { 0x0D10, "" },
//  { 0x0D11, "" },
//  { 0x0D12, "" },
//  { 0x0D13, "" },
//  { 0x0D14, "" },
//  { 0x0D15, "" },
//  { 0x0D16, "" },
//  { 0x0D17, "" },
//  { 0x0D18, "" },
//  { 0x0D19, "" },
//  { 0x0D1A, "" },
//  { 0x0D1B, "" },
//  { 0x0D1C, "" },
//  { 0x0D1D, "" },
//  { 0x0D1E, "" },
//  { 0x0D1F, "" },
    { 0x0D20, "lastcarexplosiontime" },
    { 0x0D21, "lastcarexplosionrange" },
    { 0x0D22, "lastcarexplosiondamagelocation" },
    { 0x0D23, "lastcarexplosionlocation" },
//  { 0x0D24, "" },
//  { 0x0D25, "" },
//  { 0x0D26, "" },
//  { 0x0D27, "" },
//  { 0x0D28, "" },
//  { 0x0D29, "" },
//  { 0x0D2A, "" },
//  { 0x0D2B, "" },
//  { 0x0D2C, "" },
//  { 0x0D2D, "" },
//  { 0x0D2E, "" },
//  { 0x0D2F, "" },
//  { 0x0D30, "" },
//  { 0x0D31, "" },
//  { 0x0D32, "" },
//  { 0x0D33, "" },
//  { 0x0D34, "" },
//  { 0x0D35, "" },
//  { 0x0D36, "" },
//  { 0x0D37, "" },
//  { 0x0D38, "" },
//  { 0x0D39, "" },
//  { 0x0D3A, "" },
//  { 0x0D3B, "" },
//  { 0x0D3C, "" },
//  { 0x0D3D, "" },
//  { 0x0D3E, "" },
//  { 0x0D3F, "" },
//  { 0x0D40, "" },
//  { 0x0D41, "" },
//  { 0x0D42, "" },
//  { 0x0D43, "" },
//  { 0x0D44, "" },
//  { 0x0D45, "" },
//  { 0x0D46, "" },
//  { 0x0D47, "" },
//  { 0x0D48, "" },
//  { 0x0D49, "" },
//  { 0x0D4A, "" },
//  { 0x0D4B, "" },
//  { 0x0D4C, "" },
//  { 0x0D4D, "" },
//  { 0x0D4E, "" },
//  { 0x0D4F, "" },
//  { 0x0D50, "" },
//  { 0x0D51, "" },
//  { 0x0D52, "" },
//  { 0x0D53, "" },
//  { 0x0D54, "" },
//  { 0x0D55, "" },
//  { 0x0D56, "" },
//  { 0x0D57, "" },
//  { 0x0D58, "" },
//  { 0x0D59, "" },
//  { 0x0D5A, "" },
//  { 0x0D5B, "" },
//  { 0x0D5C, "" },
//  { 0x0D5D, "" },
//  { 0x0D5E, "" },
//  { 0x0D5F, "" },
//  { 0x0D60, "" },
//  { 0x0D61, "" },
//  { 0x0D62, "" },
//  { 0x0D63, "" },
//  { 0x0D64, "" },
//  { 0x0D65, "" },
//  { 0x0D66, "" },
//  { 0x0D67, "" },
//  { 0x0D68, "" },
//  { 0x0D69, "" },
//  { 0x0D6A, "" },
//  { 0x0D6B, "" },
//  { 0x0D6C, "" },
//  { 0x0D6D, "" },
//  { 0x0D6E, "" },
//  { 0x0D6F, "" },
//  { 0x0D70, "" },
//  { 0x0D71, "" },
//  { 0x0D72, "" },
//  { 0x0D73, "" },
//  { 0x0D74, "" },
    { 0x0D75, "playdeathsound" },
//  { 0x0D76, "" },
//  { 0x0D77, "" },
//  { 0x0D78, "" },
//  { 0x0D79, "" },
//  { 0x0D7A, "" },
//  { 0x0D7B, "" },
//  { 0x0D7C, "" },
//  { 0x0D7D, "" },
//  { 0x0D7E, "" },
//  { 0x0D7F, "" },
//  { 0x0D80, "" },
//  { 0x0D81, "" },
//  { 0x0D82, "" },
//  { 0x0D83, "" },
    { 0x0D84, "maketype" },
    { 0x0D85, "getinfoindex" },
    { 0x0D86, "prop_ac_prs_enm_barge_a_1" },
    { 0x0D87, "destructible_create" },
    { 0x0D88, "destructible_state" },
    { 0x0D89, "destructible_anim" },
    { 0x0D8A, "destructible_fx" },
    { 0x0D8B, "destructible_explode" },
    { 0x0D8C, "prop_ac_prs_enm_barge_a_2" },
    { 0x0D8D, "prop_ac_prs_enm_con_digger_a" },
    { 0x0D8E, "prop_ac_prs_enm_con_dump_truck_a" },
    { 0x0D8F, "prop_ac_prs_enm_fuel_tank_a" },
    { 0x0D90, "prop_ac_prs_enm_hanger_a" },
    { 0x0D91, "prop_ac_prs_enm_maz_a" },
    { 0x0D92, "prop_ac_prs_enm_mi26_halo_a" },
    { 0x0D93, "prop_ac_prs_enm_mstas_a" },
    { 0x0D94, "prop_ac_prs_enm_radar_maz_a" },
    { 0x0D95, "prop_ac_prs_enm_s300v_a" },
//  { 0x0D96, "" },
//  { 0x0D97, "" },
//  { 0x0D98, "" },
//  { 0x0D99, "" },
//  { 0x0D9A, "" },
//  { 0x0D9B, "" },
    { 0x0D9C, "prop_ac_prs_enm_truck_a" },
//  { 0x0D9D, "" },
//  { 0x0D9E, "" },
//  { 0x0D9F, "" },
//  { 0x0DA0, "" },
//  { 0x0DA1, "" },
//  { 0x0DA2, "" },
    { 0x0DA3, "prop_ac_prs_enm_mobile_crane_a" },
    { 0x0DA4, "prop_ac_prs_enm_landing_craft_a" },
    { 0x0DA5, "prop_ac_prs_enm_speed_boat_a" },
    { 0x0DA6, "prop_ac_prs_prp_satellite_dish_a_dish" },
//  { 0x0DA7, "" },
//  { 0x0DA8, "" },
//  { 0x0DA9, "" },
//  { 0x0DAA, "" },
//  { 0x0DAB, "" },
//  { 0x0DAC, "" },
//  { 0x0DAD, "" },
//  { 0x0DAE, "" },
//  { 0x0DAF, "" },
//  { 0x0DB0, "" },
//  { 0x0DB1, "" },
//  { 0x0DB2, "" },
//  { 0x0DB3, "" },
//  { 0x0DB4, "" },
    { 0x0DB5, "prop_ac_prs_enm_missile_boat_a" },
    { 0x0DB6, "toy_glass" },
    { 0x0DB7, "destructible_splash_damage_scaler" },
    { 0x0DB8, "destructible_sound" },
    { 0x0DB9, "destructible_part" },
    { 0x0DBA, "toy_dt_mirror" },
    { 0x0DBB, "toy_icbm_consolemonitor" },
    { 0x0DBC, "toy_tubetv_" },
    { 0x0DBD, "toy_tvs_flatscreen" },
    { 0x0DBE, "toy_tvs_flatscreen_sturdy" },
    { 0x0DBF, "toy_transformer_ratnest01" },
    { 0x0DC0, "destructible_loopfx" },
    { 0x0DC1, "destructible_loopsound" },
    { 0x0DC2, "destructible_healthdrain" },
    { 0x0DC3, "toy_transformer_small01" },
    { 0x0DC4, "toy_generator" },
    { 0x0DC5, "toy_generator_on" },
    { 0x0DC6, "toy_oxygen_tank" },
    { 0x0DC7, "toy_electricbox2" },
    { 0x0DC8, "toy_electricbox4" },
    { 0x0DC9, "toy_airconditioner" },
    { 0x0DCA, "toy_ceiling_fan" },
    { 0x0DCB, "toy_wall_fan" },
    { 0x0DCC, "toy_propane_tank02" },
    { 0x0DCD, "destructible_physics" },
    { 0x0DCE, "toy_propane_tank02_small" },
    { 0x0DCF, "toy_copier" },
    { 0x0DD0, "toy_firehydrant" },
    { 0x0DD1, "toy_parkingmeter" },
    { 0x0DD2, "damage_not" },
    { 0x0DD3, "toy_mailbox" },
    { 0x0DD4, "toy_mailbox2" },
    { 0x0DD5, "toy_newspaper_stand_red" },
    { 0x0DD6, "toy_newspaper_stand_blue" },
    { 0x0DD7, "toy_filecabinet" },
    { 0x0DD8, "toy_trashbin_01" },
    { 0x0DD9, "toy_trashbin_02" },
    { 0x0DDA, "toy_trashbag1" },
    { 0x0DDB, "toy_recyclebin_01" },
    { 0x0DDC, "toy_trashcan_metal_closed" },
    { 0x0DDD, "toy_water_collector" },
    { 0x0DDE, "toy_foliage_tree_oak_1" },
    { 0x0DDF, "toy_paris_tree_plane_large" },
    { 0x0DE0, "toy_usa_gas_station_trash_bin_01" },
    { 0x0DE1, "toy_usa_gas_station_trash_bin_02" },
    { 0x0DE2, "toy_light_ceiling_round" },
    { 0x0DE3, "destructible_lights_out" },
    { 0x0DE4, "toy_light_ceiling_fluorescent" },
    { 0x0DE5, "toy_light_ceiling_fluorescent_spotlight" },
    { 0x0DE6, "destructible_spotlight" },
    { 0x0DE7, "toy_light_ceiling_fluorescent_single" },
    { 0x0DE8, "toy_light_ceiling_fluorescent_single_spotlight" },
    { 0x0DE9, "toy_bookstore_bookstand4_books" },
    { 0x0DEA, "toy_locker_double" },
    { 0x0DEB, "toy_dubai_fish_sculpture" },
    { 0x0DEC, "toy_intro_concrete_chipaway" },
    { 0x0DED, "toy_chicken" },
    { 0x0DEE, "toy_hide_with_fx" },
    { 0x0DEF, "vehicle_ac130_80s_sedan1" },
    { 0x0DF0, "vehicle_bus_destructible" },
    { 0x0DF1, "vehicle_80s_sedan1" },
    { 0x0DF2, "vehicle_80s_hatch1" },
    { 0x0DF3, "vehicle_80s_hatch2" },
    { 0x0DF4, "vehicle_80s_wagon1" },
    { 0x0DF5, "vehicle_civ_car_a" },
    { 0x0DF6, "vehicle_small_hatch" },
    { 0x0DF7, "vehicle_london_cab_black" },
    { 0x0DF8, "vehicle_pickup" },
    { 0x0DF9, "vehicle_hummer" },
    { 0x0DFA, "vehicle_gaz" },
    { 0x0DFB, "vehicle_gaz_harbor" },
    { 0x0DFC, "vehicle_bm21" },
    { 0x0DFD, "vehicle_moving_truck" },
    { 0x0DFE, "vehicle_subway_cart" },
    { 0x0DFF, "create_vehicle_subway_cart_window_single" },
    { 0x0E00, "vehicle_subway_cart_windows" },
    { 0x0E01, "vehicle_subway_cart_windows_small" },
    { 0x0E02, "vehicle_luxurysedan" },
    { 0x0E03, "destructible_car_alarm" },
    { 0x0E04, "vehicle_mig29_landed" },
    { 0x0E05, "vehicle_mack_truck_short" },
    { 0x0E06, "vehicle_semi_truck" },
    { 0x0E07, "vehicle_motorcycle" },
    { 0x0E08, "vehicle_scooter" },
    { 0x0E09, "vehicle_subcompact" },
    { 0x0E0A, "vehicle_van" },
    { 0x0E0B, "vehicle_uaz_van" },
    { 0x0E0C, "vehicle_van_iw5" },
    { 0x0E0D, "vehicle_delivery_theme_park_truck_destructible" },
    { 0x0E0E, "vehicle_suburban" },
    { 0x0E0F, "vehicle_snowmobile" },
    { 0x0E10, "destructible_gaspump" },
    { 0x0E11, "destructible_electrical_transformer_large" },
    { 0x0E12, "get_precached_anim" },
    { 0x0E13, "_destructible_preanims" },
    { 0x0E14, "get_precached_animtree" },
    { 0x0E15, "_destructible_preanimtree" },
    { 0x0E16, "vehicle_coupe" },
    { 0x0E17, "vehicle_mini" },
    { 0x0E18, "vehicle_uk_truck" },
    { 0x0E19, "vehicle_uk_police_estate" },
    { 0x0E1A, "vehicle_uaz_winter" },
    { 0x0E1B, "vehicle_uaz_fabric" },
    { 0x0E1C, "vehicle_uaz_hardtop" },
    { 0x0E1D, "vehicle_jeep" },
    { 0x0E1E, "vehicle_jeep_dusty" },
    { 0x0E1F, "vehicle_uaz_open" },
    { 0x0E20, "vehicle_india_compact_destructible" },
    { 0x0E21, "vehicle_india_rickshaw" },
    { 0x0E22, "vehicle_tuk_tuk" },
    { 0x0E23, "vehicle_india_suv" },
    { 0x0E24, "vehicle_policecar" },
    { 0x0E25, "vehicle_policecar_russia" },
    { 0x0E26, "vehicle_taxi" },
    { 0x0E27, "random_dynamic_attachment" },
    { 0x0E28, "vehicle_taxi_dubai" },
    { 0x0E29, "toy_security_camera" },
    { 0x0E2A, "toy_building_collapse_paris_ac130" },
    { 0x0E2B, "toy_poison_gas_attack" },
    { 0x0E2C, "toy_arcade_machine" },
    { 0x0E2D, "toy_pinball_machine" },
    { 0x0E2E, "toy_fortune_machine" },
    { 0x0E2F, "toy_trashcan_clown" },
    { 0x0E30, "toy_afrshanty1" },
    { 0x0E31, "vehicle_slava_ny_harbor_zonea" },
    { 0x0E32, "rooftop_skylight_destructible" },
    { 0x0E33, "satellite_dish_big_destructible" },
    { 0x0E34, "dest_onestate" },
    { 0x0E35, "dest_pb_planter" },
    { 0x0E36, "berlin_hotel_lights_ceiling1" },
    { 0x0E37, "rus_vx_gas_canister" },
    { 0x0E38, "destructiblespawnedentslimit" },
    { 0x0E39, "destructiblespawnedents" },
    { 0x0E3A, "currentcaralarms" },
    { 0x0E3B, "commonstarttime" },
    { 0x0E3C, "fast_destructible_explode" },
    { 0x0E3D, "warn_about_old_destructible" },
    { 0x0E3E, "find_destructibles" },
    { 0x0E3F, "setup_destructibles" },
    { 0x0E40, "modeldummyon" },
    { 0x0E41, "destructibleinfo" },
    { 0x0E42, "parts" },
    { 0x0E43, "destructible_parts" },
    { 0x0E44, "modeldummy" },
    { 0x0E45, "add_key_to_destructible" },
    { 0x0E46, "add_keypairs_to_destructible" },
    { 0x0E47, "add_array_to_destructible" },
    { 0x0E48, "destructible_info" },
    { 0x0E49, "precache_destructibles" },
    { 0x0E4A, "add_destructible_fx" },
    { 0x0E4B, "candamagedestructible" },
    { 0x0E4C, "destructibles" },
    { 0x0E4D, "destructible_think" },
    { 0x0E4E, "damageowner" },
    { 0x0E4F, "gunner" },
    { 0x0E50, "is_shotgun_damage" },
    { 0x0E51, "enable_ai_shotgun_destructible_damage" },
    { 0x0E52, "getpartandstateindex" },
    { 0x0E53, "destructible_update_part" },
    { 0x0E54, "non_player_damage" },
    { 0x0E55, "waiting_for_queue" },
    { 0x0E56, "exploding" },
    { 0x0E57, "loopingsoundstopnotifies" },
    { 0x0E58, "damage_type" },
    { 0x0E59, "destructible_splash_rotatation" },
    { 0x0E5A, "destructible_splash_damage" },
    { 0x0E5B, "getallactiveparts" },
    { 0x0E5C, "setdistanceonparts" },
    { 0x0E5D, "getlowestpartdistance" },
    { 0x0E5E, "isvalidsoundcause" },
    { 0x0E5F, "isattackervalid" },
    { 0x0E60, "forceexploding" },
    { 0x0E61, "dontallowexplode" },
    { 0x0E62, "damageisfromplayer" },
    { 0x0E63, "isaifunc" },
    { 0x0E64, "isvaliddamagecause" },
    { 0x0E65, "godmode" },
    { 0x0E66, "script_bulletshield" },
    { 0x0E67, "getdamagetype" },
    { 0x0E68, "damage_mirror" },
    { 0x0E69, "add_damage_owner_recorder" },
    { 0x0E6A, "car_damage_owner_recorder" },
    { 0x0E6B, "loopfx_ontag" },
    { 0x0E6C, "health_drain" },
    { 0x0E6D, "destructible_badplace_radius_multiplier" },
    { 0x0E6E, "destructible_health_drain_amount_multiplier" },
    { 0x0E6F, "healthdrain" },
    { 0x0E70, "disable_destructible_bad_places" },
    { 0x0E71, "disablebadplace" },
    { 0x0E72, "badplace_cylinder_func" },
    { 0x0E73, "badplace_remove" },
    { 0x0E74, "badplace_delete_func" },
    { 0x0E75, "physics_launch" },
    { 0x0E76, "physics_object_remove" },
    { 0x0E77, "explode" },
    { 0x0E78, "destructible_explosion_radius_multiplier" },
    { 0x0E79, "destructible_protection_func" },
    { 0x0E7A, "cleanupvars" },
    { 0x0E7B, "animsapplied" },
    { 0x0E7C, "caralarm" },
    { 0x0E7D, "destructible_cleans_up_more" },
    { 0x0E7E, "script_noflip" },
    { 0x0E7F, "car_alarm_org" },
    { 0x0E80, "set_disable_friendlyfire_value_delayed" },
    { 0x0E81, "friendlyfiredisabledfordestructible" },
    { 0x0E82, "connecttraverses" },
    { 0x0E83, "disconnecttraverses" },
    { 0x0E84, "get_traverse_disconnect_brush" },
    { 0x0E85, "script_destruct_collision" },
    { 0x0E86, "hideapart" },
    { 0x0E87, "showapart" },
    { 0x0E88, "disable_explosion" },
    { 0x0E89, "force_explosion" },
    { 0x0E8A, "get_dummy" },
    { 0x0E8B, "play_loop_sound_on_destructible" },
    { 0x0E8C, "force_stop_sound" },
    { 0x0E8D, "notifydamageafterframe" },
    { 0x0E8E, "play_sound" },
    { 0x0E8F, "tostring" },
    { 0x0E90, "do_car_alarm" },
    { 0x0E91, "lastcaralarmtime" },
    { 0x0E92, "car_alarm_timeout" },
    { 0x0E93, "should_do_car_alarm" },
    { 0x0E94, "do_random_dynamic_attachment" },
    { 0x0E95, "get_closest_with_targetname" },
    { 0x0E96, "player_touching_post_clip" },
    { 0x0E97, "get_player_touching" },
    { 0x0E98, "is_so" },
    { 0x0E99, "destructible_handles_collision_brushes" },
    { 0x0E9A, "collision_brush_pre_explosion" },
    { 0x0E9B, "collision_brush_post_explosion" },
    { 0x0E9C, "func_destructible_crush_player" },
    { 0x0E9D, "debug_player_in_post_clip" },
    { 0x0E9E, "destructible_get_my_breakable_light" },
    { 0x0E9F, "breakable_light" },
    { 0x0EA0, "break_nearest_light" },
    { 0x0EA1, "debug_radiusdamage_circle" },
    { 0x0EA2, "debug_circle_drawlines" },
    { 0x0EA3, "debug_line" },
    { 0x0EA4, "spotlight_tag_origin_cleanup" },
    { 0x0EA5, "spotlight_fizzles_out" },
    { 0x0EA6, "destructible_spotlight_think" },
    { 0x0EA7, "is_valid_damagetype" },
    { 0x0EA8, "destructible_sound_think" },
    { 0x0EA9, "destructible_fx_think" },
    { 0x0EAA, "destructible_animation_think" },
    { 0x0EAB, "no_destructible_animation" },
    { 0x0EAC, "clear_anims" },
    { 0x0EAD, "init_destroyed_count" },
    { 0x0EAE, "destroyedcount" },
    { 0x0EAF, "destroyedcounttimeout" },
    { 0x0EB0, "init_destroyed_count" },
    { 0x0EB1, "add_to_destroyed_count" },
    { 0x0EB2, "get_destroyed_count" },
    { 0x0EB3, "get_max_destroyed_count" },
    { 0x0EB4, "init_destructible_frame_queue" },
    { 0x0EB5, "destructibleframequeue" },
    { 0x0EB6, "add_destructible_to_frame_queue" },
    { 0x0EB7, "entnum" },
    { 0x0EB8, "destructible" },
    { 0x0EB9, "totaldamage" },
    { 0x0EBA, "neardistance" },
    { 0x0EBB, "fxcost" },
    { 0x0EBC, "handle_destructible_frame_queue" },
    { 0x0EBD, "sort_destructible_frame_queue" },
    { 0x0EBE, "get_better_destructible" },
    { 0x0EBF, "get_part_fx_cost_for_action_state" },
//  { 0x0EC0, "" },
//  { 0x0EC1, "" },
//  { 0x0EC2, "" },
//  { 0x0EC3, "" },
//  { 0x0EC4, "" },
//  { 0x0EC5, "" },
//  { 0x0EC6, "" },
//  { 0x0EC7, "" },
//  { 0x0EC8, "" },
//  { 0x0EC9, "" },
//  { 0x0ECA, "" },
//  { 0x0ECB, "" },
//  { 0x0ECC, "" },
//  { 0x0ECD, "" },
//  { 0x0ECE, "" },
    { 0x0ECF, "hatmodel" },
//  { 0x0ED0, "" },
//  { 0x0ED1, "" },
//  { 0x0ED2, "" },
//  { 0x0ED3, "" },
//  { 0x0ED4, "" },
//  { 0x0ED5, "" },
//  { 0x0ED6, "" },
//  { 0x0ED7, "" },
//  { 0x0ED8, "" },
//  { 0x0ED9, "" },
//  { 0x0EDA, "" },
//  { 0x0EDB, "" },
//  { 0x0EDC, "" },
//  { 0x0EDD, "" },
//  { 0x0EDE, "" },
//  { 0x0EDF, "" },
//  { 0x0EE0, "" },
//  { 0x0EE1, "" },
//  { 0x0EE2, "" },
//  { 0x0EE3, "" },
//  { 0x0EE4, "" },
//  { 0x0EE5, "" },
//  { 0x0EE6, "" },
//  { 0x0EE7, "" },
//  { 0x0EE8, "" },
//  { 0x0EE9, "" },
//  { 0x0EEA, "" },
//  { 0x0EEB, "" },
//  { 0x0EEC, "" },
//  { 0x0EED, "" },
//  { 0x0EEE, "" },
//  { 0x0EEF, "" },
//  { 0x0EF0, "" },
//  { 0x0EF1, "" },
//  { 0x0EF2, "" },
//  { 0x0EF3, "" },
//  { 0x0EF4, "" },
//  { 0x0EF5, "" },
//  { 0x0EF6, "" },
//  { 0x0EF7, "" },
//  { 0x0EF8, "" },
//  { 0x0EF9, "" },
//  { 0x0EFA, "" },
//  { 0x0EFB, "" },
//  { 0x0EFC, "" },
//  { 0x0EFD, "" },
//  { 0x0EFE, "" },
//  { 0x0EFF, "" },
//  { 0x0F00, "" },
//  { 0x0F01, "" },
//  { 0x0F02, "" },
//  { 0x0F03, "" },
    { 0x0F04, "vehicle" },
//  { 0x0F05, "" },
//  { 0x0F06, "" },
//  { 0x0F07, "" },
//  { 0x0F08, "" },
//  { 0x0F09, "" },
//  { 0x0F0A, "" },
//  { 0x0F0B, "" },
//  { 0x0F0C, "" },
//  { 0x0F0D, "" },
//  { 0x0F0E, "" },
//  { 0x0F0F, "" },
//  { 0x0F10, "" },
//  { 0x0F11, "" },
//  { 0x0F12, "" },
//  { 0x0F13, "" },
//  { 0x0F14, "" },
//  { 0x0F15, "" },
//  { 0x0F16, "" },
//  { 0x0F17, "" },
//  { 0x0F18, "" },
//  { 0x0F19, "" },
//  { 0x0F1A, "" },
//  { 0x0F1B, "" },
//  { 0x0F1C, "" },
//  { 0x0F1D, "" },
//  { 0x0F1E, "" },
//  { 0x0F1F, "" },
//  { 0x0F20, "" },
//  { 0x0F21, "" },
//  { 0x0F22, "" },
//  { 0x0F23, "" },
//  { 0x0F24, "" },
//  { 0x0F25, "" },
//  { 0x0F26, "" },
//  { 0x0F27, "" },
//  { 0x0F28, "" },
//  { 0x0F29, "" },
//  { 0x0F2A, "" },
//  { 0x0F2B, "" },
//  { 0x0F2C, "" },
//  { 0x0F2D, "" },
//  { 0x0F2E, "" },
//  { 0x0F2F, "" },
//  { 0x0F30, "" },
//  { 0x0F31, "" },
//  { 0x0F32, "" },
//  { 0x0F33, "" },
//  { 0x0F34, "" },
//  { 0x0F35, "" },
//  { 0x0F36, "" },
//  { 0x0F37, "" },
//  { 0x0F38, "" },
//  { 0x0F39, "" },
//  { 0x0F3A, "" },
//  { 0x0F3B, "" },
//  { 0x0F3C, "" },
//  { 0x0F3D, "" },
//  { 0x0F3E, "" },
//  { 0x0F3F, "" },
//  { 0x0F40, "" },
//  { 0x0F41, "" },
//  { 0x0F42, "" },
//  { 0x0F43, "" },
//  { 0x0F44, "" },
//  { 0x0F45, "" },
//  { 0x0F46, "" },
//  { 0x0F47, "" },
//  { 0x0F48, "" },
//  { 0x0F49, "" },
//  { 0x0F4A, "" },
//  { 0x0F4B, "" },
//  { 0x0F4C, "" },
//  { 0x0F4D, "" },
//  { 0x0F4E, "" },
//  { 0x0F4F, "" },
//  { 0x0F50, "" },
//  { 0x0F51, "" },
//  { 0x0F52, "" },
//  { 0x0F53, "" },
//  { 0x0F54, "" },
//  { 0x0F55, "" },
//  { 0x0F56, "" },
//  { 0x0F57, "" },
//  { 0x0F58, "" },
//  { 0x0F59, "" },
//  { 0x0F5A, "" },
//  { 0x0F5B, "" },
//  { 0x0F5C, "" },
//  { 0x0F5D, "" },
//  { 0x0F5E, "" },
//  { 0x0F5F, "" },
//  { 0x0F60, "" },
//  { 0x0F61, "" },
//  { 0x0F62, "" },
//  { 0x0F63, "" },
//  { 0x0F64, "" },
//  { 0x0F65, "" },
//  { 0x0F66, "" },
//  { 0x0F67, "" },
//  { 0x0F68, "" },
//  { 0x0F69, "" },
//  { 0x0F6A, "" },
//  { 0x0F6B, "" },
//  { 0x0F6C, "" },
//  { 0x0F6D, "" },
//  { 0x0F6E, "" },
//  { 0x0F6F, "" },
//  { 0x0F70, "" },
//  { 0x0F71, "" },
//  { 0x0F72, "" },
//  { 0x0F73, "" },
//  { 0x0F74, "" },
//  { 0x0F75, "" },
//  { 0x0F76, "" },
//  { 0x0F77, "" },
//  { 0x0F78, "" },
//  { 0x0F79, "" },
//  { 0x0F7A, "" },
//  { 0x0F7B, "" },
//  { 0x0F7C, "" },
//  { 0x0F7D, "" },
//  { 0x0F7E, "" },
//  { 0x0F7F, "" },
//  { 0x0F80, "" },
//  { 0x0F81, "" },
//  { 0x0F82, "" },
//  { 0x0F83, "" },
//  { 0x0F84, "" },
//  { 0x0F85, "" },
    { 0x0F86, "rockets" },
//  { 0x0F87, "" },
//  { 0x0F88, "" },
//  { 0x0F89, "" },
//  { 0x0F8A, "" },
//  { 0x0F8B, "" },
//  { 0x0F8C, "" },
//  { 0x0F8D, "" },
//  { 0x0F8E, "" },
//  { 0x0F8F, "" },
//  { 0x0F90, "" },
//  { 0x0F91, "" },
//  { 0x0F92, "" },
//  { 0x0F93, "" },
//  { 0x0F94, "" },
//  { 0x0F95, "" },
//  { 0x0F96, "" },
//  { 0x0F97, "" },
//  { 0x0F98, "" },
//  { 0x0F99, "" },
//  { 0x0F9A, "" },
//  { 0x0F9B, "" },
//  { 0x0F9C, "" },
//  { 0x0F9D, "" },
//  { 0x0F9E, "" },
//  { 0x0F9F, "" },
//  { 0x0FA0, "" },
//  { 0x0FA1, "" },
//  { 0x0FA2, "" },
//  { 0x0FA3, "" },
//  { 0x0FA4, "" },
//  { 0x0FA5, "" },
//  { 0x0FA6, "" },
//  { 0x0FA7, "" },
//  { 0x0FA8, "" },
//  { 0x0FA9, "" },
//  { 0x0FAA, "" },
//  { 0x0FAB, "" },
//  { 0x0FAC, "" },
//  { 0x0FAD, "" },
//  { 0x0FAE, "" },
//  { 0x0FAF, "" },
//  { 0x0FB0, "" },
//  { 0x0FB1, "" },
//  { 0x0FB2, "" },
//  { 0x0FB3, "" },
//  { 0x0FB4, "" },
//  { 0x0FB5, "" },
//  { 0x0FB6, "" },
//  { 0x0FB7, "" },
//  { 0x0FB8, "" },
//  { 0x0FB9, "" },
//  { 0x0FBA, "" },
//  { 0x0FBB, "" },
//  { 0x0FBC, "" },
//  { 0x0FBD, "" },
//  { 0x0FBE, "" },
//  { 0x0FBF, "" },
//  { 0x0FC0, "" },
//  { 0x0FC1, "" },
//  { 0x0FC2, "" },
//  { 0x0FC3, "" },
//  { 0x0FC4, "" },
//  { 0x0FC5, "" },
//  { 0x0FC6, "" },
//  { 0x0FC7, "" },
//  { 0x0FC8, "" },
//  { 0x0FC9, "" },
//  { 0x0FCA, "" },
//  { 0x0FCB, "" },
//  { 0x0FCC, "" },
//  { 0x0FCD, "" },
//  { 0x0FCE, "" },
//  { 0x0FCF, "" },
//  { 0x0FD0, "" },
//  { 0x0FD1, "" },
//  { 0x0FD2, "" },
//  { 0x0FD3, "" },
//  { 0x0FD4, "" },
//  { 0x0FD5, "" },
//  { 0x0FD6, "" },
//  { 0x0FD7, "" },
//  { 0x0FD8, "" },
//  { 0x0FD9, "" },
//  { 0x0FDA, "" },
//  { 0x0FDB, "" },
//  { 0x0FDC, "" },
//  { 0x0FDD, "" },
//  { 0x0FDE, "" },
//  { 0x0FDF, "" },
//  { 0x0FE0, "" },
//  { 0x0FE1, "" },
//  { 0x0FE2, "" },
//  { 0x0FE3, "" },
//  { 0x0FE4, "" },
//  { 0x0FE5, "" },
//  { 0x0FE6, "" },
//  { 0x0FE7, "" },
//  { 0x0FE8, "" },
//  { 0x0FE9, "" },
//  { 0x0FEA, "" },
//  { 0x0FEB, "" },
//  { 0x0FEC, "" },
//  { 0x0FED, "" },
//  { 0x0FEE, "" },
//  { 0x0FEF, "" },
//  { 0x0FF0, "" },
//  { 0x0FF1, "" },
//  { 0x0FF2, "" },
//  { 0x0FF3, "" },
//  { 0x0FF4, "" },
//  { 0x0FF5, "" },
//  { 0x0FF6, "" },
//  { 0x0FF7, "" },
//  { 0x0FF8, "" },
//  { 0x0FF9, "" },
//  { 0x0FFA, "" },
//  { 0x0FFB, "" },
//  { 0x0FFC, "" },
//  { 0x0FFD, "" },
//  { 0x0FFE, "" },
    { 0x0FFF, "secondaryweapon" },
//  { 0x1000, "" },
//  { 0x1001, "" },
//  { 0x1002, "" },
//  { 0x1003, "" },
//  { 0x1004, "" },
//  { 0x1005, "" },
//  { 0x1006, "" },
//  { 0x1007, "" },
//  { 0x1008, "" },
//  { 0x1009, "" },
//  { 0x100A, "" },
//  { 0x100B, "" },
//  { 0x100C, "" },
//  { 0x100D, "" },
//  { 0x100E, "" },
//  { 0x100F, "" },
//  { 0x1010, "" },
//  { 0x1011, "" },
//  { 0x1012, "" },
//  { 0x1013, "" },
    { 0x1014, "startpos" },
//  { 0x1015, "" },
//  { 0x1016, "" },
//  { 0x1017, "" },
//  { 0x1018, "" },
//  { 0x1019, "" },
//  { 0x101A, "" },
//  { 0x101B, "" },
//  { 0x101C, "" },
//  { 0x101D, "" },
//  { 0x101E, "" },
//  { 0x101F, "" },
//  { 0x1020, "" },
//  { 0x1021, "" },
//  { 0x1022, "" },
//  { 0x1023, "" },
//  { 0x1024, "" },
//  { 0x1025, "" },
//  { 0x1026, "" },
//  { 0x1027, "" },
//  { 0x1028, "" },
//  { 0x1029, "" },
//  { 0x102A, "" },
//  { 0x102B, "" },
//  { 0x102C, "" },
//  { 0x102D, "" },
//  { 0x102E, "" },
//  { 0x102F, "" },
//  { 0x1030, "" },
    { 0x1031, "winner" },
//  { 0x1032, "" },
//  { 0x1033, "" },
//  { 0x1034, "" },
//  { 0x1035, "" },
//  { 0x1036, "" },
//  { 0x1037, "" },
//  { 0x1038, "" },
//  { 0x1039, "" },
//  { 0x103A, "" },
//  { 0x103B, "" },
//  { 0x103C, "" },
//  { 0x103D, "" },
//  { 0x103E, "" },
//  { 0x103F, "" },
//  { 0x1040, "" },
//  { 0x1041, "" },
//  { 0x1042, "" },
//  { 0x1043, "" },
//  { 0x1044, "" },
//  { 0x1045, "" },
//  { 0x1046, "" },
//  { 0x1047, "" },
//  { 0x1048, "" },
//  { 0x1049, "" },
//  { 0x104A, "" },
//  { 0x104B, "" },
//  { 0x104C, "" },
//  { 0x104D, "" },
//  { 0x104E, "" },
//  { 0x104F, "" },
//  { 0x1050, "" },
//  { 0x1051, "" },
//  { 0x1052, "" },
//  { 0x1053, "" },
//  { 0x1054, "" },
//  { 0x1055, "" },
//  { 0x1056, "" },
//  { 0x1057, "" },
//  { 0x1058, "" },
//  { 0x1059, "" },
//  { 0x105A, "" },
//  { 0x105B, "" },
//  { 0x105C, "" },
//  { 0x105D, "" },
//  { 0x105E, "" },
//  { 0x105F, "" },
//  { 0x1060, "" },
//  { 0x1061, "" },
//  { 0x1062, "" },
//  { 0x1063, "" },
//  { 0x1064, "" },
//  { 0x1065, "" },
//  { 0x1066, "" },
//  { 0x1067, "" },
//  { 0x1068, "" },
//  { 0x1069, "" },
//  { 0x106A, "" },
//  { 0x106B, "" },
//  { 0x106C, "" },
//  { 0x106D, "" },
//  { 0x106E, "" },
//  { 0x106F, "" },
//  { 0x1070, "" },
//  { 0x1071, "" },
//  { 0x1072, "" },
//  { 0x1073, "" },
//  { 0x1074, "" },
//  { 0x1075, "" },
//  { 0x1076, "" },
//  { 0x1077, "" },
//  { 0x1078, "" },
//  { 0x1079, "" },
//  { 0x107A, "" },
//  { 0x107B, "" },
//  { 0x107C, "" },
//  { 0x107D, "" },
//  { 0x107E, "" },
//  { 0x107F, "" },
//  { 0x1080, "" },
//  { 0x1081, "" },
//  { 0x1082, "" },
//  { 0x1083, "" },
//  { 0x1084, "" },
//  { 0x1085, "" },
//  { 0x1086, "" },
//  { 0x1087, "" },
//  { 0x1088, "" },
//  { 0x1089, "" },
//  { 0x108A, "" },
//  { 0x108B, "" },
//  { 0x108C, "" },
//  { 0x108D, "" },
//  { 0x108E, "" },
//  { 0x108F, "" },
//  { 0x1090, "" },
//  { 0x1091, "" },
//  { 0x1092, "" },
//  { 0x1093, "" },
//  { 0x1094, "" },
//  { 0x1095, "" },
//  { 0x1096, "" },
//  { 0x1097, "" },
//  { 0x1098, "" },
//  { 0x1099, "" },
//  { 0x109A, "" },
//  { 0x109B, "" },
//  { 0x109C, "" },
//  { 0x109D, "" },
//  { 0x109E, "" },
//  { 0x109F, "" },
//  { 0x10A0, "" },
//  { 0x10A1, "" },
//  { 0x10A2, "" },
//  { 0x10A3, "" },
//  { 0x10A4, "" },
//  { 0x10A5, "" },
//  { 0x10A6, "" },
//  { 0x10A7, "" },
//  { 0x10A8, "" },
//  { 0x10A9, "" },
//  { 0x10AA, "" },
//  { 0x10AB, "" },
//  { 0x10AC, "" },
//  { 0x10AD, "" },
//  { 0x10AE, "" },
//  { 0x10AF, "" },
//  { 0x10B0, "" },
//  { 0x10B1, "" },
//  { 0x10B2, "" },
//  { 0x10B3, "" },
//  { 0x10B4, "" },
//  { 0x10B5, "" },
//  { 0x10B6, "" },
//  { 0x10B7, "" },
//  { 0x10B8, "" },
//  { 0x10B9, "" },
//  { 0x10BA, "" },
//  { 0x10BB, "" },
//  { 0x10BC, "" },
//  { 0x10BD, "" },
//  { 0x10BE, "" },
//  { 0x10BF, "" },
//  { 0x10C0, "" },
//  { 0x10C1, "" },
//  { 0x10C2, "" },
//  { 0x10C3, "" },
//  { 0x10C4, "" },
//  { 0x10C5, "" },
//  { 0x10C6, "" },
//  { 0x10C7, "" },
//  { 0x10C8, "" },
//  { 0x10C9, "" },
//  { 0x10CA, "" },
//  { 0x10CB, "" },
//  { 0x10CC, "" },
//  { 0x10CD, "" },
//  { 0x10CE, "" },
//  { 0x10CF, "" },
//  { 0x10D0, "" },
//  { 0x10D1, "" },
//  { 0x10D2, "" },
//  { 0x10D3, "" },
//  { 0x10D4, "" },
//  { 0x10D5, "" },
//  { 0x10D6, "" },
//  { 0x10D7, "" },
//  { 0x10D8, "" },
//  { 0x10D9, "" },
//  { 0x10DA, "" },
//  { 0x10DB, "" },
//  { 0x10DC, "" },
//  { 0x10DD, "" },
//  { 0x10DE, "" },
//  { 0x10DF, "" },
//  { 0x10E0, "" },
//  { 0x10E1, "" },
//  { 0x10E2, "" },
//  { 0x10E3, "" },
//  { 0x10E4, "" },
//  { 0x10E5, "" },
//  { 0x10E6, "" },
//  { 0x10E7, "" },
//  { 0x10E8, "" },
//  { 0x10E9, "" },
//  { 0x10EA, "" },
//  { 0x10EB, "" },
//  { 0x10EC, "" },
//  { 0x10ED, "" },
//  { 0x10EE, "" },
//  { 0x10EF, "" },
//  { 0x10F0, "" },
//  { 0x10F1, "" },
//  { 0x10F2, "" },
//  { 0x10F3, "" },
//  { 0x10F4, "" },
//  { 0x10F5, "" },
//  { 0x10F6, "" },
//  { 0x10F7, "" },
//  { 0x10F8, "" },
//  { 0x10F9, "" },
//  { 0x10FA, "" },
//  { 0x10FB, "" },
//  { 0x10FC, "" },
//  { 0x10FD, "" },
//  { 0x10FE, "" },
//  { 0x10FF, "" },
//  { 0x1100, "" },
//  { 0x1101, "" },
//  { 0x1102, "" },
//  { 0x1103, "" },
//  { 0x1104, "" },
//  { 0x1105, "" },
//  { 0x1106, "" },
//  { 0x1107, "" },
//  { 0x1108, "" },
//  { 0x1109, "" },
//  { 0x110A, "" },
//  { 0x110B, "" },
//  { 0x110C, "" },
//  { 0x110D, "" },
//  { 0x110E, "" },
//  { 0x110F, "" },
//  { 0x1110, "" },
//  { 0x1111, "" },
//  { 0x1112, "" },
//  { 0x1113, "" },
//  { 0x1114, "" },
//  { 0x1115, "" },
//  { 0x1116, "" },
//  { 0x1117, "" },
//  { 0x1118, "" },
//  { 0x1119, "" },
//  { 0x111A, "" },
//  { 0x111B, "" },
//  { 0x111C, "" },
//  { 0x111D, "" },
//  { 0x111E, "" },
//  { 0x111F, "" },
//  { 0x1120, "" },
//  { 0x1121, "" },
//  { 0x1122, "" },
//  { 0x1123, "" },
//  { 0x1124, "" },
//  { 0x1125, "" },
//  { 0x1126, "" },
//  { 0x1127, "" },
//  { 0x1128, "" },
//  { 0x1129, "" },
//  { 0x112A, "" },
//  { 0x112B, "" },
//  { 0x112C, "" },
//  { 0x112D, "" },
//  { 0x112E, "" },
//  { 0x112F, "" },
//  { 0x1130, "" },
//  { 0x1131, "" },
//  { 0x1132, "" },
//  { 0x1133, "" },
//  { 0x1134, "" },
//  { 0x1135, "" },
//  { 0x1136, "" },
//  { 0x1137, "" },
//  { 0x1138, "" },
//  { 0x1139, "" },
//  { 0x113A, "" },
//  { 0x113B, "" },
//  { 0x113C, "" },
//  { 0x113D, "" },
//  { 0x113E, "" },
//  { 0x113F, "" },
//  { 0x1140, "" },
//  { 0x1141, "" },
//  { 0x1142, "" },
//  { 0x1143, "" },
//  { 0x1144, "" },
//  { 0x1145, "" },
//  { 0x1146, "" },
//  { 0x1147, "" },
//  { 0x1148, "" },
//  { 0x1149, "" },
//  { 0x114A, "" },
//  { 0x114B, "" },
//  { 0x114C, "" },
//  { 0x114D, "" },
//  { 0x114E, "" },
//  { 0x114F, "" },
//  { 0x1150, "" },
//  { 0x1151, "" },
//  { 0x1152, "" },
//  { 0x1153, "" },
//  { 0x1154, "" },
//  { 0x1155, "" },
//  { 0x1156, "" },
//  { 0x1157, "" },
//  { 0x1158, "" },
//  { 0x1159, "" },
//  { 0x115A, "" },
//  { 0x115B, "" },
//  { 0x115C, "" },
//  { 0x115D, "" },
//  { 0x115E, "" },
//  { 0x115F, "" },
//  { 0x1160, "" },
//  { 0x1161, "" },
//  { 0x1162, "" },
//  { 0x1163, "" },
//  { 0x1164, "" },
//  { 0x1165, "" },
//  { 0x1166, "" },
//  { 0x1167, "" },
//  { 0x1168, "" },
//  { 0x1169, "" },
//  { 0x116A, "" },
//  { 0x116B, "" },
//  { 0x116C, "" },
//  { 0x116D, "" },
//  { 0x116E, "" },
//  { 0x116F, "" },
//  { 0x1170, "" },
//  { 0x1171, "" },
//  { 0x1172, "" },
//  { 0x1173, "" },
//  { 0x1174, "" },
//  { 0x1175, "" },
//  { 0x1176, "" },
//  { 0x1177, "" },
//  { 0x1178, "" },
//  { 0x1179, "" },
//  { 0x117A, "" },
//  { 0x117B, "" },
//  { 0x117C, "" },
//  { 0x117D, "" },
//  { 0x117E, "" },
//  { 0x117F, "" },
//  { 0x1180, "" },
//  { 0x1181, "" },
//  { 0x1182, "" },
//  { 0x1183, "" },
//  { 0x1184, "" },
//  { 0x1185, "" },
//  { 0x1186, "" },
//  { 0x1187, "" },
//  { 0x1188, "" },
//  { 0x1189, "" },
//  { 0x118A, "" },
//  { 0x118B, "" },
//  { 0x118C, "" },
//  { 0x118D, "" },
//  { 0x118E, "" },
//  { 0x118F, "" },
//  { 0x1190, "" },
//  { 0x1191, "" },
//  { 0x1192, "" },
//  { 0x1193, "" },
//  { 0x1194, "" },
//  { 0x1195, "" },
//  { 0x1196, "" },
//  { 0x1197, "" },
//  { 0x1198, "" },
//  { 0x1199, "" },
//  { 0x119A, "" },
//  { 0x119B, "" },
//  { 0x119C, "" },
//  { 0x119D, "" },
//  { 0x119E, "" },
//  { 0x119F, "" },
//  { 0x11A0, "" },
//  { 0x11A1, "" },
//  { 0x11A2, "" },
//  { 0x11A3, "" },
//  { 0x11A4, "" },
//  { 0x11A5, "" },
//  { 0x11A6, "" },
//  { 0x11A7, "" },
//  { 0x11A8, "" },
//  { 0x11A9, "" },
//  { 0x11AA, "" },
//  { 0x11AB, "" },
//  { 0x11AC, "" },
//  { 0x11AD, "" },
//  { 0x11AE, "" },
//  { 0x11AF, "" },
//  { 0x11B0, "" },
//  { 0x11B1, "" },
//  { 0x11B2, "" },
//  { 0x11B3, "" },
//  { 0x11B4, "" },
//  { 0x11B5, "" },
//  { 0x11B6, "" },
//  { 0x11B7, "" },
//  { 0x11B8, "" },
//  { 0x11B9, "" },
    { 0x11BA, "scr_sound" },
//  { 0x11BB, "" },
//  { 0x11BC, "" },
//  { 0x11BD, "" },
//  { 0x11BE, "" },
//  { 0x11BF, "" },
//  { 0x11C0, "" },
//  { 0x11C1, "" },
//  { 0x11C2, "" },
//  { 0x11C3, "" },
//  { 0x11C4, "" },
//  { 0x11C5, "" },
//  { 0x11C6, "" },
//  { 0x11C7, "" },
//  { 0x11C8, "" },
//  { 0x11C9, "" },
//  { 0x11CA, "" },
//  { 0x11CB, "" },
//  { 0x11CC, "" },
//  { 0x11CD, "" },
//  { 0x11CE, "" },
//  { 0x11CF, "" },
//  { 0x11D0, "" },
//  { 0x11D1, "" },
//  { 0x11D2, "" },
//  { 0x11D3, "" },
//  { 0x11D4, "" },
//  { 0x11D5, "" },
//  { 0x11D6, "" },
//  { 0x11D7, "" },
//  { 0x11D8, "" },
//  { 0x11D9, "" },
    { 0x11DA, "play_sound_on_entity" },
//  { 0x11DB, "" },
//  { 0x11DC, "" },
//  { 0x11DD, "" },
//  { 0x11DE, "" },
//  { 0x11DF, "" },
//  { 0x11E0, "" },
//  { 0x11E1, "" },
//  { 0x11E2, "" },
//  { 0x11E3, "" },
//  { 0x11E4, "" },
//  { 0x11E5, "" },
//  { 0x11E6, "" },
//  { 0x11E7, "" },
//  { 0x11E8, "" },
//  { 0x11E9, "" },
//  { 0x11EA, "" },
//  { 0x11EB, "" },
//  { 0x11EC, "" },
//  { 0x11ED, "" },
//  { 0x11EE, "" },
//  { 0x11EF, "" },
//  { 0x11F0, "" },
//  { 0x11F1, "" },
//  { 0x11F2, "" },
    { 0x11F3, "play_sound_on_tag" },
//  { 0x11F4, "" },
//  { 0x11F5, "" },
//  { 0x11F6, "" },
//  { 0x11F7, "" },
//  { 0x11F8, "" },
//  { 0x11F9, "" },
//  { 0x11FA, "" },
//  { 0x11FB, "" },
//  { 0x11FC, "" },
//  { 0x11FD, "" },
//  { 0x11FE, "" },
//  { 0x11FF, "" },
//  { 0x1200, "" },
//  { 0x1201, "" },
//  { 0x1202, "" },
//  { 0x1203, "" },
//  { 0x1204, "" },
//  { 0x1205, "" },
//  { 0x1206, "" },
//  { 0x1207, "" },
//  { 0x1208, "" },
//  { 0x1209, "" },
//  { 0x120A, "" },
//  { 0x120B, "" },
//  { 0x120C, "" },
//  { 0x120D, "" },
//  { 0x120E, "" },
//  { 0x120F, "" },
//  { 0x1210, "" },
//  { 0x1211, "" },
//  { 0x1212, "" },
//  { 0x1213, "" },
//  { 0x1214, "" },
//  { 0x1215, "" },
    { 0x1216, "script_bombmode_original" },
//  { 0x1217, "" },
//  { 0x1218, "" },
//  { 0x1219, "" },
//  { 0x121A, "" },
//  { 0x121B, "" },
//  { 0x121C, "" },
//  { 0x121D, "" },
//  { 0x121E, "" },
//  { 0x121F, "" },
//  { 0x1220, "" },
//  { 0x1221, "" },
//  { 0x1222, "" },
//  { 0x1223, "" },
//  { 0x1224, "" },
//  { 0x1225, "" },
//  { 0x1226, "" },
//  { 0x1227, "" },
//  { 0x1228, "" },
//  { 0x1229, "" },
//  { 0x122A, "" },
//  { 0x122B, "" },
//  { 0x122C, "" },
//  { 0x122D, "" },
//  { 0x122E, "" },
//  { 0x122F, "" },
//  { 0x1230, "" },
//  { 0x1231, "" },
//  { 0x1232, "" },
//  { 0x1233, "" },
//  { 0x1234, "" },
//  { 0x1235, "" },
//  { 0x1236, "" },
//  { 0x1237, "" },
//  { 0x1238, "" },
//  { 0x1239, "" },
//  { 0x123A, "" },
//  { 0x123B, "" },
//  { 0x123C, "" },
//  { 0x123D, "" },
//  { 0x123E, "" },
//  { 0x123F, "" },
//  { 0x1240, "" },
//  { 0x1241, "" },
//  { 0x1242, "" },
//  { 0x1243, "" },
//  { 0x1244, "" },
//  { 0x1245, "" },
//  { 0x1246, "" },
//  { 0x1247, "" },
//  { 0x1248, "" },
//  { 0x1249, "" },
//  { 0x124A, "" },
//  { 0x124B, "" },
//  { 0x124C, "" },
//  { 0x124D, "" },
//  { 0x124E, "" },
//  { 0x124F, "" },
//  { 0x1250, "" },
//  { 0x1251, "" },
//  { 0x1252, "" },
//  { 0x1253, "" },
//  { 0x1254, "" },
//  { 0x1255, "" },
//  { 0x1256, "" },
//  { 0x1257, "" },
//  { 0x1258, "" },
//  { 0x1259, "" },
//  { 0x125A, "" },
//  { 0x125B, "" },
//  { 0x125C, "" },
//  { 0x125D, "" },
//  { 0x125E, "" },
//  { 0x125F, "" },
//  { 0x1260, "" },
//  { 0x1261, "" },
//  { 0x1262, "" },
//  { 0x1263, "" },
//  { 0x1264, "" },
//  { 0x1265, "" },
//  { 0x1266, "" },
//  { 0x1267, "" },
//  { 0x1268, "" },
//  { 0x1269, "" },
//  { 0x126A, "" },
//  { 0x126B, "" },
//  { 0x126C, "" },
//  { 0x126D, "" },
//  { 0x126E, "" },
//  { 0x126F, "" },
//  { 0x1270, "" },
//  { 0x1271, "" },
//  { 0x1272, "" },
//  { 0x1273, "" },
//  { 0x1274, "" },
//  { 0x1275, "" },
//  { 0x1276, "" },
//  { 0x1277, "" },
//  { 0x1278, "" },
//  { 0x1279, "" },
//  { 0x127A, "" },
//  { 0x127B, "" },
//  { 0x127C, "" },
//  { 0x127D, "" },
//  { 0x127E, "" },
//  { 0x127F, "" },
//  { 0x1280, "" },
//  { 0x1281, "" },
//  { 0x1282, "" },
//  { 0x1283, "" },
//  { 0x1284, "" },
//  { 0x1285, "" },
//  { 0x1286, "" },
//  { 0x1287, "" },
//  { 0x1288, "" },
    { 0x1289, "add_spawn_function" },
//  { 0x128A, "" },
//  { 0x128B, "" },
//  { 0x128C, "" },
//  { 0x128D, "" },
//  { 0x128E, "" },
//  { 0x128F, "" },
//  { 0x1290, "" },
//  { 0x1291, "" },
//  { 0x1292, "" },
//  { 0x1293, "" },
//  { 0x1294, "" },
//  { 0x1295, "" },
//  { 0x1296, "" },
//  { 0x1297, "" },
//  { 0x1298, "" },
//  { 0x1299, "" },
//  { 0x129A, "" },
//  { 0x129B, "" },
//  { 0x129C, "" },
//  { 0x129D, "" },
//  { 0x129E, "" },
//  { 0x129F, "" },
//  { 0x12A0, "" },
//  { 0x12A1, "" },
//  { 0x12A2, "" },
//  { 0x12A3, "" },
//  { 0x12A4, "" },
//  { 0x12A5, "" },
//  { 0x12A6, "" },
//  { 0x12A7, "" },
//  { 0x12A8, "" },
//  { 0x12A9, "" },
    { 0x12AA, "challenge_targetval" },
    { 0x12AB, "challenge_rewardval" },
    { 0x12AC, "getchallengestatus" },
    { 0x12AD, "challengedata" },
    { 0x12AE, "ch_getprogress" },
    { 0x12AF, "ch_getstate" },
    { 0x12B0, "ch_setprogress" },
    { 0x12B1, "ch_setstate" },
    { 0x12B2, "ch_gettarget" },
    { 0x12B3, "buildchallengetableinfo" },
    { 0x12B4, "challengeinfo" },
//  { 0x12B5, "" },
    { 0x12B6, "challengesplashnotify" },
    { 0x12B7, "optionalnumber" },
    { 0x12B8, "sound" },
    { 0x12B9, "slot" },
    { 0x12BA, "actionnotify" },
    { 0x12BB, "updatechallenges" },
//  { 0x12BC, "" },
    { 0x12BD, "giverankxpafterwait" },
//  { 0x12BE, "" },
    { 0x12BF, "processchallenge" },
    { 0x12C0, "initnotifymessage" },
//  { 0x12C1, "" },
    { 0x12C2, "notifytitle" },
    { 0x12C3, "notifytext" },
    { 0x12C4, "notifytext2" },
    { 0x12C5, "notifyicon" },
//  { 0x12C6, "" },
//  { 0x12C7, "" },
    { 0x12C8, "doingsplash" },
    { 0x12C9, "splashqueue" },
    { 0x12CA, "maxrank" },
    { 0x12CB, "ranktable" },
//  { 0x12CC, "" },
//  { 0x12CD, "" },
//  { 0x12CE, "" },
//  { 0x12CF, "" },
//  { 0x12D0, "" },
//  { 0x12D1, "" },
//  { 0x12D2, "" },
//  { 0x12D3, "" },
//  { 0x12D4, "" },
//  { 0x12D5, "" },
//  { 0x12D6, "" },
    { 0x12D7, "scoreinfo" },
    { 0x12D8, "xpscale" },
//  { 0x12D9, "" },
//  { 0x12DA, "" },
//  { 0x12DB, "" },
//  { 0x12DC, "" },
//  { 0x12DD, "" },
//  { 0x12DE, "" },
//  { 0x12DF, "" },
//  { 0x12E0, "" },
//  { 0x12E1, "" },
//  { 0x12E2, "" },
//  { 0x12E3, "" },
//  { 0x12E4, "" },
//  { 0x12E5, "" },
//  { 0x12E6, "" },
    { 0x12E7, "fontpulseinit" },
    { 0x12E8, "basefontscale" },
    { 0x12E9, "maxfontscale" },
    { 0x12EA, "inframes" },
    { 0x12EB, "outframes" },
    { 0x12EC, "fontpulse" },
    { 0x12ED, "updaterank" },
//  { 0x12EE, "" },
    { 0x12EF, "updaterankannouncehud" },
    { 0x12F0, "titletext" },
    { 0x12F1, "iconname" },
    { 0x12F2, "duration" },
    { 0x12F3, "textlabel" },
//  { 0x12F4, "" },
//  { 0x12F5, "" },
    { 0x12F6, "notifymessage" },
    { 0x12F7, "stringtofloat" },
    { 0x12F8, "actionnotifymessage" },
    { 0x12F9, "removetypefromqueue" },
    { 0x12FA, "shownotifymessage" },
    { 0x12FB, "titlelabel" },
    { 0x12FC, "titleisstring" },
    { 0x12FD, "text2label" },
    { 0x12FE, "resetoncancel" },
    { 0x12FF, "waitrequirevisibility" },
    { 0x1300, "canreadtext" },
    { 0x1301, "isflashbanged" },
    { 0x1302, "dispatchnotify" },
    { 0x1303, "registerscoreinfo" },
    { 0x1304, "getscoreinfovalue" },
    { 0x1305, "getrankinfominxp" },
    { 0x1306, "getrankinfoxpamt" },
    { 0x1307, "getrankinfomaxxp" },
    { 0x1308, "getrankinfofull" },
    { 0x1309, "getrankinfoicon" },
    { 0x130A, "getrankforxp" },
    { 0x130B, "getrankxp" },
//  { 0x130C, "" },
//  { 0x130D, "" },
//  { 0x130E, "" },
//  { 0x130F, "" },
//  { 0x1310, "" },
//  { 0x1311, "" },
//  { 0x1312, "" },
//  { 0x1313, "" },
//  { 0x1314, "" },
//  { 0x1315, "" },
//  { 0x1316, "" },
//  { 0x1317, "" },
//  { 0x1318, "" },
//  { 0x1319, "" },
//  { 0x131A, "" },
//  { 0x131B, "" },
//  { 0x131C, "" },
//  { 0x131D, "" },
//  { 0x131E, "" },
//  { 0x131F, "" },
//  { 0x1320, "" },
//  { 0x1321, "" },
//  { 0x1322, "" },
//  { 0x1323, "" },
//  { 0x1324, "" },
//  { 0x1325, "" },
//  { 0x1326, "" },
//  { 0x1327, "" },
//  { 0x1328, "" },
//  { 0x1329, "" },
//  { 0x132A, "" },
//  { 0x132B, "" },
//  { 0x132C, "" },
//  { 0x132D, "" },
//  { 0x132E, "" },
//  { 0x132F, "" },
//  { 0x1330, "" },
//  { 0x1331, "" },
//  { 0x1332, "" },
//  { 0x1333, "" },
//  { 0x1334, "" },
//  { 0x1335, "" },
//  { 0x1336, "" },
//  { 0x1337, "" },
//  { 0x1338, "" },
//  { 0x1339, "" },
//  { 0x133A, "" },
//  { 0x133B, "" },
//  { 0x133C, "" },
//  { 0x133D, "" },
//  { 0x133E, "" },
//  { 0x133F, "" },
//  { 0x1340, "" },
//  { 0x1341, "" },
//  { 0x1342, "" },
//  { 0x1343, "" },
//  { 0x1344, "" },
//  { 0x1345, "" },
//  { 0x1346, "" },
//  { 0x1347, "" },
//  { 0x1348, "" },
//  { 0x1349, "" },
//  { 0x134A, "" },
//  { 0x134B, "" },
//  { 0x134C, "" },
//  { 0x134D, "" },
//  { 0x134E, "" },
//  { 0x134F, "" },
//  { 0x1350, "" },
//  { 0x1351, "" },
//  { 0x1352, "" },
//  { 0x1353, "" },
//  { 0x1354, "" },
//  { 0x1355, "" },
//  { 0x1356, "" },
//  { 0x1357, "" },
//  { 0x1358, "" },
//  { 0x1359, "" },
//  { 0x135A, "" },
//  { 0x135B, "" },
//  { 0x135C, "" },
//  { 0x135D, "" },
//  { 0x135E, "" },
//  { 0x135F, "" },
//  { 0x1360, "" },
//  { 0x1361, "" },
//  { 0x1362, "" },
//  { 0x1363, "" },
//  { 0x1364, "" },
//  { 0x1365, "" },
//  { 0x1366, "" },
//  { 0x1367, "" },
//  { 0x1368, "" },
//  { 0x1369, "" },
//  { 0x136A, "" },
//  { 0x136B, "" },
//  { 0x136C, "" },
//  { 0x136D, "" },
//  { 0x136E, "" },
//  { 0x136F, "" },
//  { 0x1370, "" },
//  { 0x1371, "" },
//  { 0x1372, "" },
//  { 0x1373, "" },
//  { 0x1374, "" },
//  { 0x1375, "" },
//  { 0x1376, "" },
//  { 0x1377, "" },
//  { 0x1378, "" },
//  { 0x1379, "" },
//  { 0x137A, "" },
//  { 0x137B, "" },
//  { 0x137C, "" },
//  { 0x137D, "" },
//  { 0x137E, "" },
//  { 0x137F, "" },
//  { 0x1380, "" },
//  { 0x1381, "" },
//  { 0x1382, "" },
//  { 0x1383, "" },
//  { 0x1384, "" },
//  { 0x1385, "" },
//  { 0x1386, "" },
//  { 0x1387, "" },
//  { 0x1388, "" },
//  { 0x1389, "" },
//  { 0x138A, "" },
//  { 0x138B, "" },
//  { 0x138C, "" },
//  { 0x138D, "" },
//  { 0x138E, "" },
//  { 0x138F, "" },
//  { 0x1390, "" },
//  { 0x1391, "" },
//  { 0x1392, "" },
//  { 0x1393, "" },
//  { 0x1394, "" },
//  { 0x1395, "" },
//  { 0x1396, "" },
//  { 0x1397, "" },
//  { 0x1398, "" },
//  { 0x1399, "" },
//  { 0x139A, "" },
//  { 0x139B, "" },
//  { 0x139C, "" },
//  { 0x139D, "" },
//  { 0x139E, "" },
//  { 0x139F, "" },
//  { 0x13A0, "" },
//  { 0x13A1, "" },
//  { 0x13A2, "" },
//  { 0x13A3, "" },
//  { 0x13A4, "" },
//  { 0x13A5, "" },
//  { 0x13A6, "" },
//  { 0x13A7, "" },
//  { 0x13A8, "" },
//  { 0x13A9, "" },
//  { 0x13AA, "" },
//  { 0x13AB, "" },
//  { 0x13AC, "" },
//  { 0x13AD, "" },
//  { 0x13AE, "" },
//  { 0x13AF, "" },
//  { 0x13B0, "" },
//  { 0x13B1, "" },
//  { 0x13B2, "" },
//  { 0x13B3, "" },
//  { 0x13B4, "" },
//  { 0x13B5, "" },
//  { 0x13B6, "" },
//  { 0x13B7, "" },
//  { 0x13B8, "" },
//  { 0x13B9, "" },
//  { 0x13BA, "" },
//  { 0x13BB, "" },
//  { 0x13BC, "" },
//  { 0x13BD, "" },
//  { 0x13BE, "" },
//  { 0x13BF, "" },
//  { 0x13C0, "" },
//  { 0x13C1, "" },
//  { 0x13C2, "" },
//  { 0x13C3, "" },
//  { 0x13C4, "" },
//  { 0x13C5, "" },
//  { 0x13C6, "" },
//  { 0x13C7, "" },
//  { 0x13C8, "" },
//  { 0x13C9, "" },
//  { 0x13CA, "" },
//  { 0x13CB, "" },
//  { 0x13CC, "" },
//  { 0x13CD, "" },
//  { 0x13CE, "" },
//  { 0x13CF, "" },
//  { 0x13D0, "" },
//  { 0x13D1, "" },
//  { 0x13D2, "" },
//  { 0x13D3, "" },
//  { 0x13D4, "" },
//  { 0x13D5, "" },
//  { 0x13D6, "" },
//  { 0x13D7, "" },
//  { 0x13D8, "" },
//  { 0x13D9, "" },
//  { 0x13DA, "" },
//  { 0x13DB, "" },
//  { 0x13DC, "" },
//  { 0x13DD, "" },
//  { 0x13DE, "" },
//  { 0x13DF, "" },
//  { 0x13E0, "" },
//  { 0x13E1, "" },
//  { 0x13E2, "" },
//  { 0x13E3, "" },
//  { 0x13E4, "" },
//  { 0x13E5, "" },
//  { 0x13E6, "" },
//  { 0x13E7, "" },
//  { 0x13E8, "" },
//  { 0x13E9, "" },
//  { 0x13EA, "" },
//  { 0x13EB, "" },
//  { 0x13EC, "" },
//  { 0x13ED, "" },
//  { 0x13EE, "" },
//  { 0x13EF, "" },
//  { 0x13F0, "" },
//  { 0x13F1, "" },
//  { 0x13F2, "" },
//  { 0x13F3, "" },
//  { 0x13F4, "" },
//  { 0x13F5, "" },
//  { 0x13F6, "" },
//  { 0x13F7, "" },
//  { 0x13F8, "" },
//  { 0x13F9, "" },
//  { 0x13FA, "" },
//  { 0x13FB, "" },
//  { 0x13FC, "" },
//  { 0x13FD, "" },
//  { 0x13FE, "" },
//  { 0x13FF, "" },
//  { 0x1400, "" },
//  { 0x1401, "" },
//  { 0x1402, "" },
//  { 0x1403, "" },
//  { 0x1404, "" },
//  { 0x1405, "" },
//  { 0x1406, "" },
//  { 0x1407, "" },
//  { 0x1408, "" },
//  { 0x1409, "" },
//  { 0x140A, "" },
//  { 0x140B, "" },
//  { 0x140C, "" },
//  { 0x140D, "" },
//  { 0x140E, "" },
//  { 0x140F, "" },
//  { 0x1410, "" },
//  { 0x1411, "" },
//  { 0x1412, "" },
//  { 0x1413, "" },
//  { 0x1414, "" },
//  { 0x1415, "" },
//  { 0x1416, "" },
//  { 0x1417, "" },
//  { 0x1418, "" },
//  { 0x1419, "" },
//  { 0x141A, "" },
//  { 0x141B, "" },
//  { 0x141C, "" },
//  { 0x141D, "" },
//  { 0x141E, "" },
//  { 0x141F, "" },
//  { 0x1420, "" },
//  { 0x1421, "" },
//  { 0x1422, "" },
//  { 0x1423, "" },
//  { 0x1424, "" },
//  { 0x1425, "" },
//  { 0x1426, "" },
//  { 0x1427, "" },
//  { 0x1428, "" },
//  { 0x1429, "" },
//  { 0x142A, "" },
//  { 0x142B, "" },
//  { 0x142C, "" },
//  { 0x142D, "" },
//  { 0x142E, "" },
//  { 0x142F, "" },
//  { 0x1430, "" },
//  { 0x1431, "" },
    { 0x1432, "intensity" },
//  { 0x1433, "" },
//  { 0x1434, "" },
//  { 0x1435, "" },
//  { 0x1436, "" },
//  { 0x1437, "" },
    { 0x1438, "start" },
    { 0x1439, "end" },
//  { 0x143A, "" },
    { 0x143B, "time" },
//  { 0x143C, "" },
//  { 0x143D, "" },
    { 0x143E, "fx" },
//  { 0x143F, "" },
//  { 0x1440, "" },
//  { 0x1441, "" },
//  { 0x1442, "" },
//  { 0x1443, "" },
//  { 0x1444, "" },
//  { 0x1445, "" },
//  { 0x1446, "" },
//  { 0x1447, "" },
    { 0x1448, "delaythread_proc" },
//  { 0x1449, "" },
//  { 0x144A, "" },
//  { 0x144B, "" },
//  { 0x144C, "" },
    { 0x144D, "currentnode" },
//  { 0x144E, "" },
//  { 0x144F, "" },
//  { 0x1450, "" },
//  { 0x1451, "" },
//  { 0x1452, "" },
//  { 0x1453, "" },
//  { 0x1454, "" },
//  { 0x1455, "" },
//  { 0x1456, "" },
//  { 0x1457, "" },
//  { 0x1458, "" },
//  { 0x1459, "" },
//  { 0x145A, "" },
//  { 0x145B, "" },
//  { 0x145C, "" },
//  { 0x145D, "" },
//  { 0x145E, "" },
//  { 0x145F, "" },
//  { 0x1460, "" },
//  { 0x1461, "" },
//  { 0x1462, "" },
//  { 0x1463, "" },
//  { 0x1464, "" },
//  { 0x1465, "" },
//  { 0x1466, "" },
//  { 0x1467, "" },
//  { 0x1468, "" },
//  { 0x1469, "" },
//  { 0x146A, "" },
//  { 0x146B, "" },
//  { 0x146C, "" },
//  { 0x146D, "" },
//  { 0x146E, "" },
//  { 0x146F, "" },
//  { 0x1470, "" },
//  { 0x1471, "" },
//  { 0x1472, "" },
//  { 0x1473, "" },
//  { 0x1474, "" },
//  { 0x1475, "" },
//  { 0x1476, "" },
//  { 0x1477, "" },
//  { 0x1478, "" },
//  { 0x1479, "" },
//  { 0x147A, "" },
    { 0x147B, "prev" },
//  { 0x147C, "" },
//  { 0x147D, "" },
//  { 0x147E, "" },
//  { 0x147F, "" },
//  { 0x1480, "" },
//  { 0x1481, "" },
//  { 0x1482, "" },
//  { 0x1483, "" },
//  { 0x1484, "" },
//  { 0x1485, "" },
//  { 0x1486, "" },
//  { 0x1487, "" },
//  { 0x1488, "" },
//  { 0x1489, "" },
//  { 0x148A, "" },
//  { 0x148B, "" },
//  { 0x148C, "" },
//  { 0x148D, "" },
//  { 0x148E, "" },
//  { 0x148F, "" },
//  { 0x1490, "" },
//  { 0x1491, "" },
//  { 0x1492, "" },
//  { 0x1493, "" },
//  { 0x1494, "" },
//  { 0x1495, "" },
//  { 0x1496, "" },
//  { 0x1497, "" },
//  { 0x1498, "" },
//  { 0x1499, "" },
//  { 0x149A, "" },
//  { 0x149B, "" },
//  { 0x149C, "" },
//  { 0x149D, "" },
//  { 0x149E, "" },
//  { 0x149F, "" },
//  { 0x14A0, "" },
//  { 0x14A1, "" },
//  { 0x14A2, "" },
//  { 0x14A3, "" },
//  { 0x14A4, "" },
//  { 0x14A5, "" },
//  { 0x14A6, "" },
//  { 0x14A7, "" },
//  { 0x14A8, "" },
//  { 0x14A9, "" },
//  { 0x14AA, "" },
//  { 0x14AB, "" },
    { 0x14AC, "callback" },
//  { 0x14AD, "" },
//  { 0x14AE, "" },
//  { 0x14AF, "" },
//  { 0x14B0, "" },
//  { 0x14B1, "" },
//  { 0x14B2, "" },
//  { 0x14B3, "" },
//  { 0x14B4, "" },
//  { 0x14B5, "" },
//  { 0x14B6, "" },
//  { 0x14B7, "" },
//  { 0x14B8, "" },
//  { 0x14B9, "" },
//  { 0x14BA, "" },
//  { 0x14BB, "" },
//  { 0x14BC, "" },
//  { 0x14BD, "" },
//  { 0x14BE, "" },
//  { 0x14BF, "" },
//  { 0x14C0, "" },
//  { 0x14C1, "" },
//  { 0x14C2, "" },
//  { 0x14C3, "" },
//  { 0x14C4, "" },
//  { 0x14C5, "" },
//  { 0x14C6, "" },
//  { 0x14C7, "" },
//  { 0x14C8, "" },
//  { 0x14C9, "" },
//  { 0x14CA, "" },
//  { 0x14CB, "" },
//  { 0x14CC, "" },
//  { 0x14CD, "" },
//  { 0x14CE, "" },
//  { 0x14CF, "" },
//  { 0x14D0, "" },
    { 0x14D1, "mode" },
//  { 0x14D2, "" },
//  { 0x14D3, "" },
//  { 0x14D4, "" },
//  { 0x14D5, "" },
//  { 0x14D6, "" },
//  { 0x14D7, "" },
//  { 0x14D8, "" },
//  { 0x14D9, "" },
//  { 0x14DA, "" },
//  { 0x14DB, "" },
//  { 0x14DC, "" },
//  { 0x14DD, "" },
//  { 0x14DE, "" },
//  { 0x14DF, "" },
//  { 0x14E0, "" },
//  { 0x14E1, "" },
//  { 0x14E2, "" },
//  { 0x14E3, "" },
//  { 0x14E4, "" },
//  { 0x14E5, "" },
//  { 0x14E6, "" },
//  { 0x14E7, "" },
//  { 0x14E8, "" },
//  { 0x14E9, "" },
//  { 0x14EA, "" },
//  { 0x14EB, "" },
//  { 0x14EC, "" },
//  { 0x14ED, "" },
//  { 0x14EE, "" },
//  { 0x14EF, "" },
//  { 0x14F0, "" },
//  { 0x14F1, "" },
//  { 0x14F2, "" },
//  { 0x14F3, "" },
//  { 0x14F4, "" },
//  { 0x14F5, "" },
//  { 0x14F6, "" },
//  { 0x14F7, "" },
//  { 0x14F8, "" },
//  { 0x14F9, "" },
//  { 0x14FA, "" },
//  { 0x14FB, "" },
//  { 0x14FC, "" },
//  { 0x14FD, "" },
//  { 0x14FE, "" },
//  { 0x14FF, "" },
//  { 0x1500, "" },
//  { 0x1501, "" },
//  { 0x1502, "" },
//  { 0x1503, "" },
//  { 0x1504, "" },
//  { 0x1505, "" },
//  { 0x1506, "" },
//  { 0x1507, "" },
//  { 0x1508, "" },
//  { 0x1509, "" },
//  { 0x150A, "" },
//  { 0x150B, "" },
//  { 0x150C, "" },
//  { 0x150D, "" },
//  { 0x150E, "" },
//  { 0x150F, "" },
//  { 0x1510, "" },
//  { 0x1511, "" },
//  { 0x1512, "" },
//  { 0x1513, "" },
//  { 0x1514, "" },
//  { 0x1515, "" },
//  { 0x1516, "" },
//  { 0x1517, "" },
//  { 0x1518, "" },
//  { 0x1519, "" },
//  { 0x151A, "" },
//  { 0x151B, "" },
//  { 0x151C, "" },
//  { 0x151D, "" },
//  { 0x151E, "" },
//  { 0x151F, "" },
//  { 0x1520, "" },
//  { 0x1521, "" },
//  { 0x1522, "" },
//  { 0x1523, "" },
//  { 0x1524, "" },
//  { 0x1525, "" },
//  { 0x1526, "" },
//  { 0x1527, "" },
//  { 0x1528, "" },
//  { 0x1529, "" },
//  { 0x152A, "" },
//  { 0x152B, "" },
//  { 0x152C, "" },
//  { 0x152D, "" },
//  { 0x152E, "" },
//  { 0x152F, "" },
//  { 0x1530, "" },
//  { 0x1531, "" },
//  { 0x1532, "" },
//  { 0x1533, "" },
//  { 0x1534, "" },
//  { 0x1535, "" },
//  { 0x1536, "" },
//  { 0x1537, "" },
//  { 0x1538, "" },
//  { 0x1539, "" },
//  { 0x153A, "" },
//  { 0x153B, "" },
//  { 0x153C, "" },
//  { 0x153D, "" },
//  { 0x153E, "" },
//  { 0x153F, "" },
//  { 0x1540, "" },
//  { 0x1541, "" },
//  { 0x1542, "" },
//  { 0x1543, "" },
//  { 0x1544, "" },
//  { 0x1545, "" },
//  { 0x1546, "" },
//  { 0x1547, "" },
//  { 0x1548, "" },
//  { 0x1549, "" },
//  { 0x154A, "" },
//  { 0x154B, "" },
//  { 0x154C, "" },
//  { 0x154D, "" },
//  { 0x154E, "" },
//  { 0x154F, "" },
//  { 0x1550, "" },
//  { 0x1551, "" },
//  { 0x1552, "" },
//  { 0x1553, "" },
//  { 0x1554, "" },
//  { 0x1555, "" },
//  { 0x1556, "" },
//  { 0x1557, "" },
//  { 0x1558, "" },
//  { 0x1559, "" },
//  { 0x155A, "" },
//  { 0x155B, "" },
//  { 0x155C, "" },
//  { 0x155D, "" },
//  { 0x155E, "" },
//  { 0x155F, "" },
//  { 0x1560, "" },
//  { 0x1561, "" },
//  { 0x1562, "" },
//  { 0x1563, "" },
//  { 0x1564, "" },
//  { 0x1565, "" },
//  { 0x1566, "" },
//  { 0x1567, "" },
//  { 0x1568, "" },
//  { 0x1569, "" },
//  { 0x156A, "" },
//  { 0x156B, "" },
//  { 0x156C, "" },
//  { 0x156D, "" },
//  { 0x156E, "" },
//  { 0x156F, "" },
//  { 0x1570, "" },
//  { 0x1571, "" },
//  { 0x1572, "" },
//  { 0x1573, "" },
//  { 0x1574, "" },
//  { 0x1575, "" },
//  { 0x1576, "" },
//  { 0x1577, "" },
//  { 0x1578, "" },
//  { 0x1579, "" },
//  { 0x157A, "" },
//  { 0x157B, "" },
//  { 0x157C, "" },
//  { 0x157D, "" },
//  { 0x157E, "" },
//  { 0x157F, "" },
//  { 0x1580, "" },
//  { 0x1581, "" },
//  { 0x1582, "" },
//  { 0x1583, "" },
//  { 0x1584, "" },
//  { 0x1585, "" },
//  { 0x1586, "" },
//  { 0x1587, "" },
//  { 0x1588, "" },
//  { 0x1589, "" },
//  { 0x158A, "" },
//  { 0x158B, "" },
//  { 0x158C, "" },
//  { 0x158D, "" },
//  { 0x158E, "" },
//  { 0x158F, "" },
//  { 0x1590, "" },
//  { 0x1591, "" },
//  { 0x1592, "" },
//  { 0x1593, "" },
//  { 0x1594, "" },
//  { 0x1595, "" },
//  { 0x1596, "" },
//  { 0x1597, "" },
//  { 0x1598, "" },
//  { 0x1599, "" },
//  { 0x159A, "" },
//  { 0x159B, "" },
//  { 0x159C, "" },
//  { 0x159D, "" },
//  { 0x159E, "" },
//  { 0x159F, "" },
//  { 0x15A0, "" },
//  { 0x15A1, "" },
//  { 0x15A2, "" },
//  { 0x15A3, "" },
//  { 0x15A4, "" },
//  { 0x15A5, "" },
//  { 0x15A6, "" },
//  { 0x15A7, "" },
//  { 0x15A8, "" },
//  { 0x15A9, "" },
//  { 0x15AA, "" },
//  { 0x15AB, "" },
//  { 0x15AC, "" },
//  { 0x15AD, "" },
//  { 0x15AE, "" },
//  { 0x15AF, "" },
//  { 0x15B0, "" },
//  { 0x15B1, "" },
//  { 0x15B2, "" },
//  { 0x15B3, "" },
//  { 0x15B4, "" },
//  { 0x15B5, "" },
//  { 0x15B6, "" },
//  { 0x15B7, "" },
//  { 0x15B8, "" },
//  { 0x15B9, "" },
//  { 0x15BA, "" },
//  { 0x15BB, "" },
//  { 0x15BC, "" },
//  { 0x15BD, "" },
//  { 0x15BE, "" },
//  { 0x15BF, "" },
//  { 0x15C0, "" },
//  { 0x15C1, "" },
//  { 0x15C2, "" },
//  { 0x15C3, "" },
//  { 0x15C4, "" },
//  { 0x15C5, "" },
//  { 0x15C6, "" },
//  { 0x15C7, "" },
//  { 0x15C8, "" },
//  { 0x15C9, "" },
//  { 0x15CA, "" },
//  { 0x15CB, "" },
//  { 0x15CC, "" },
//  { 0x15CD, "" },
//  { 0x15CE, "" },
//  { 0x15CF, "" },
//  { 0x15D0, "" },
//  { 0x15D1, "" },
//  { 0x15D2, "" },
//  { 0x15D3, "" },
//  { 0x15D4, "" },
//  { 0x15D5, "" },
//  { 0x15D6, "" },
//  { 0x15D7, "" },
//  { 0x15D8, "" },
//  { 0x15D9, "" },
//  { 0x15DA, "" },
//  { 0x15DB, "" },
//  { 0x15DC, "" },
//  { 0x15DD, "" },
//  { 0x15DE, "" },
//  { 0x15DF, "" },
//  { 0x15E0, "" },
//  { 0x15E1, "" },
//  { 0x15E2, "" },
//  { 0x15E3, "" },
//  { 0x15E4, "" },
//  { 0x15E5, "" },
//  { 0x15E6, "" },
//  { 0x15E7, "" },
//  { 0x15E8, "" },
//  { 0x15E9, "" },
//  { 0x15EA, "" },
//  { 0x15EB, "" },
//  { 0x15EC, "" },
//  { 0x15ED, "" },
    { 0x15EE, "offset" },
//  { 0x15EF, "" },
//  { 0x15F0, "" },
//  { 0x15F1, "" },
//  { 0x15F2, "" },
//  { 0x15F3, "" },
//  { 0x15F4, "" },
//  { 0x15F5, "" },
//  { 0x15F6, "" },
//  { 0x15F7, "" },
//  { 0x15F8, "" },
//  { 0x15F9, "" },
//  { 0x15FA, "" },
//  { 0x15FB, "" },
//  { 0x15FC, "" },
//  { 0x15FD, "" },
//  { 0x15FE, "" },
//  { 0x15FF, "" },
//  { 0x1600, "" },
//  { 0x1601, "" },
//  { 0x1602, "" },
//  { 0x1603, "" },
//  { 0x1604, "" },
//  { 0x1605, "" },
//  { 0x1606, "" },
//  { 0x1607, "" },
//  { 0x1608, "" },
//  { 0x1609, "" },
//  { 0x160A, "" },
//  { 0x160B, "" },
//  { 0x160C, "" },
//  { 0x160D, "" },
//  { 0x160E, "" },
//  { 0x160F, "" },
//  { 0x1610, "" },
//  { 0x1611, "" },
//  { 0x1612, "" },
//  { 0x1613, "" },
//  { 0x1614, "" },
//  { 0x1615, "" },
//  { 0x1616, "" },
//  { 0x1617, "" },
//  { 0x1618, "" },
//  { 0x1619, "" },
//  { 0x161A, "" },
//  { 0x161B, "" },
//  { 0x161C, "" },
//  { 0x161D, "" },
//  { 0x161E, "" },
//  { 0x161F, "" },
//  { 0x1620, "" },
//  { 0x1621, "" },
//  { 0x1622, "" },
//  { 0x1623, "" },
//  { 0x1624, "" },
//  { 0x1625, "" },
//  { 0x1626, "" },
//  { 0x1627, "" },
//  { 0x1628, "" },
//  { 0x1629, "" },
//  { 0x162A, "" },
//  { 0x162B, "" },
//  { 0x162C, "" },
//  { 0x162D, "" },
//  { 0x162E, "" },
//  { 0x162F, "" },
//  { 0x1630, "" },
//  { 0x1631, "" },
//  { 0x1632, "" },
//  { 0x1633, "" },
//  { 0x1634, "" },
//  { 0x1635, "" },
//  { 0x1636, "" },
//  { 0x1637, "" },
//  { 0x1638, "" },
//  { 0x1639, "" },
//  { 0x163A, "" },
//  { 0x163B, "" },
//  { 0x163C, "" },
//  { 0x163D, "" },
//  { 0x163E, "" },
//  { 0x163F, "" },
//  { 0x1640, "" },
//  { 0x1641, "" },
//  { 0x1642, "" },
//  { 0x1643, "" },
//  { 0x1644, "" },
//  { 0x1645, "" },
//  { 0x1646, "" },
//  { 0x1647, "" },
//  { 0x1648, "" },
//  { 0x1649, "" },
//  { 0x164A, "" },
//  { 0x164B, "" },
//  { 0x164C, "" },
//  { 0x164D, "" },
//  { 0x164E, "" },
//  { 0x164F, "" },
//  { 0x1650, "" },
//  { 0x1651, "" },
//  { 0x1652, "" },
//  { 0x1653, "" },
//  { 0x1654, "" },
//  { 0x1655, "" },
//  { 0x1656, "" },
    { 0x1657, "aud_send_msg" },
//  { 0x1658, "" },
//  { 0x1659, "" },
//  { 0x165A, "" },
//  { 0x165B, "" },
//  { 0x165C, "" },
//  { 0x165D, "" },
//  { 0x165E, "" },
//  { 0x165F, "" },
//  { 0x1660, "" },
//  { 0x1661, "" },
//  { 0x1662, "" },
//  { 0x1663, "" },
//  { 0x1664, "" },
//  { 0x1665, "" },
//  { 0x1666, "" },
//  { 0x1667, "" },
//  { 0x1668, "" },
//  { 0x1669, "" },
    { 0x166A, "move_player_to_start" },
//  { 0x166B, "" },
//  { 0x166C, "" },
//  { 0x166D, "" },
//  { 0x166E, "" },
//  { 0x166F, "" },
//  { 0x1670, "" },
//  { 0x1671, "" },
//  { 0x1672, "" },
//  { 0x1673, "" },
//  { 0x1674, "" },
//  { 0x1675, "" },
//  { 0x1676, "" },
//  { 0x1677, "" },
//  { 0x1678, "" },
//  { 0x1679, "" },
//  { 0x167A, "" },
    { 0x167B, "variable_scope_weapons" },
//  { 0x167C, "" },
//  { 0x167D, "" },
//  { 0x167E, "" },
//  { 0x167F, "" },
//  { 0x1680, "" },
//  { 0x1681, "" },
//  { 0x1682, "" },
//  { 0x1683, "" },
//  { 0x1684, "" },
//  { 0x1685, "" },
//  { 0x1686, "" },
//  { 0x1687, "" },
//  { 0x1688, "" },
//  { 0x1689, "" },
//  { 0x168A, "" },
//  { 0x168B, "" },
//  { 0x168C, "" },
//  { 0x168D, "" },
//  { 0x168E, "" },
//  { 0x168F, "" },
//  { 0x1690, "" },
//  { 0x1691, "" },
//  { 0x1692, "" },
//  { 0x1693, "" },
//  { 0x1694, "" },
//  { 0x1695, "" },
//  { 0x1696, "" },
//  { 0x1697, "" },
//  { 0x1698, "" },
//  { 0x1699, "" },
//  { 0x169A, "" },
//  { 0x169B, "" },
//  { 0x169C, "" },
//  { 0x169D, "" },
//  { 0x169E, "" },
//  { 0x169F, "" },
//  { 0x16A0, "" },
//  { 0x16A1, "" },
//  { 0x16A2, "" },
//  { 0x16A3, "" },
//  { 0x16A4, "" },
//  { 0x16A5, "" },
//  { 0x16A6, "" },
//  { 0x16A7, "" },
//  { 0x16A8, "" },
    { 0x16A9, "inuse" },
//  { 0x16AA, "" },
//  { 0x16AB, "" },
//  { 0x16AC, "" },
//  { 0x16AD, "" },
//  { 0x16AE, "" },
//  { 0x16AF, "" },
//  { 0x16B0, "" },
//  { 0x16B1, "" },
//  { 0x16B2, "" },
//  { 0x16B3, "" },
//  { 0x16B4, "" },
//  { 0x16B5, "" },
//  { 0x16B6, "" },
//  { 0x16B7, "" },
//  { 0x16B8, "" },
//  { 0x16B9, "" },
//  { 0x16BA, "" },
//  { 0x16BB, "" },
//  { 0x16BC, "" },
//  { 0x16BD, "" },
//  { 0x16BE, "" },
//  { 0x16BF, "" },
//  { 0x16C0, "" },
//  { 0x16C1, "" },
//  { 0x16C2, "" },
//  { 0x16C3, "" },
//  { 0x16C4, "" },
//  { 0x16C5, "" },
//  { 0x16C6, "" },
//  { 0x16C7, "" },
//  { 0x16C8, "" },
//  { 0x16C9, "" },
//  { 0x16CA, "" },
//  { 0x16CB, "" },
//  { 0x16CC, "" },
//  { 0x16CD, "" },
//  { 0x16CE, "" },
//  { 0x16CF, "" },
//  { 0x16D0, "" },
//  { 0x16D1, "" },
//  { 0x16D2, "" },
//  { 0x16D3, "" },
//  { 0x16D4, "" },
//  { 0x16D5, "" },
//  { 0x16D6, "" },
//  { 0x16D7, "" },
//  { 0x16D8, "" },
//  { 0x16D9, "" },
//  { 0x16DA, "" },
//  { 0x16DB, "" },
//  { 0x16DC, "" },
//  { 0x16DD, "" },
//  { 0x16DE, "" },
//  { 0x16DF, "" },
//  { 0x16E0, "" },
//  { 0x16E1, "" },
//  { 0x16E2, "" },
//  { 0x16E3, "" },
//  { 0x16E4, "" },
//  { 0x16E5, "" },
//  { 0x16E6, "" },
//  { 0x16E7, "" },
//  { 0x16E8, "" },
//  { 0x16E9, "" },
//  { 0x16EA, "" },
//  { 0x16EB, "" },
//  { 0x16EC, "" },
//  { 0x16ED, "" },
//  { 0x16EE, "" },
//  { 0x16EF, "" },
//  { 0x16F0, "" },
//  { 0x16F1, "" },
//  { 0x16F2, "" },
//  { 0x16F3, "" },
//  { 0x16F4, "" },
//  { 0x16F5, "" },
//  { 0x16F6, "" },
//  { 0x16F7, "" },
//  { 0x16F8, "" },
//  { 0x16F9, "" },
//  { 0x16FA, "" },
//  { 0x16FB, "" },
//  { 0x16FC, "" },
//  { 0x16FD, "" },
//  { 0x16FE, "" },
//  { 0x16FF, "" },
//  { 0x1700, "" },
//  { 0x1701, "" },
//  { 0x1702, "" },
//  { 0x1703, "" },
//  { 0x1704, "" },
//  { 0x1705, "" },
//  { 0x1706, "" },
//  { 0x1707, "" },
//  { 0x1708, "" },
//  { 0x1709, "" },
//  { 0x170A, "" },
//  { 0x170B, "" },
//  { 0x170C, "" },
//  { 0x170D, "" },
//  { 0x170E, "" },
//  { 0x170F, "" },
//  { 0x1710, "" },
//  { 0x1711, "" },
//  { 0x1712, "" },
//  { 0x1713, "" },
//  { 0x1714, "" },
//  { 0x1715, "" },
//  { 0x1716, "" },
//  { 0x1717, "" },
//  { 0x1718, "" },
//  { 0x1719, "" },
//  { 0x171A, "" },
//  { 0x171B, "" },
//  { 0x171C, "" },
//  { 0x171D, "" },
//  { 0x171E, "" },
//  { 0x171F, "" },
//  { 0x1720, "" },
//  { 0x1721, "" },
//  { 0x1722, "" },
//  { 0x1723, "" },
//  { 0x1724, "" },
//  { 0x1725, "" },
//  { 0x1726, "" },
//  { 0x1727, "" },
//  { 0x1728, "" },
//  { 0x1729, "" },
//  { 0x172A, "" },
//  { 0x172B, "" },
//  { 0x172C, "" },
//  { 0x172D, "" },
//  { 0x172E, "" },
//  { 0x172F, "" },
//  { 0x1730, "" },
//  { 0x1731, "" },
//  { 0x1732, "" },
//  { 0x1733, "" },
//  { 0x1734, "" },
//  { 0x1735, "" },
//  { 0x1736, "" },
//  { 0x1737, "" },
//  { 0x1738, "" },
//  { 0x1739, "" },
//  { 0x173A, "" },
//  { 0x173B, "" },
//  { 0x173C, "" },
//  { 0x173D, "" },
//  { 0x173E, "" },
//  { 0x173F, "" },
//  { 0x1740, "" },
//  { 0x1741, "" },
//  { 0x1742, "" },
//  { 0x1743, "" },
//  { 0x1744, "" },
//  { 0x1745, "" },
//  { 0x1746, "" },
//  { 0x1747, "" },
//  { 0x1748, "" },
//  { 0x1749, "" },
//  { 0x174A, "" },
//  { 0x174B, "" },
//  { 0x174C, "" },
//  { 0x174D, "" },
//  { 0x174E, "" },
//  { 0x174F, "" },
//  { 0x1750, "" },
//  { 0x1751, "" },
//  { 0x1752, "" },
//  { 0x1753, "" },
    { 0x1754, "pos" },
//  { 0x1755, "" },
//  { 0x1756, "" },
//  { 0x1757, "" },
//  { 0x1758, "" },
//  { 0x1759, "" },
//  { 0x175A, "" },
//  { 0x175B, "" },
    { 0x175C, "delay" },
//  { 0x175D, "" },
//  { 0x175E, "" },
//  { 0x175F, "" },
//  { 0x1760, "" },
//  { 0x1761, "" },
//  { 0x1762, "" },
//  { 0x1763, "" },
//  { 0x1764, "" },
//  { 0x1765, "" },
//  { 0x1766, "" },
//  { 0x1767, "" },
//  { 0x1768, "" },
//  { 0x1769, "" },
//  { 0x176A, "" },
//  { 0x176B, "" },
//  { 0x176C, "" },
//  { 0x176D, "" },
//  { 0x176E, "" },
//  { 0x176F, "" },
//  { 0x1770, "" },
//  { 0x1771, "" },
//  { 0x1772, "" },
//  { 0x1773, "" },
//  { 0x1774, "" },
//  { 0x1775, "" },
//  { 0x1776, "" },
//  { 0x1777, "" },
//  { 0x1778, "" },
//  { 0x1779, "" },
//  { 0x177A, "" },
//  { 0x177B, "" },
//  { 0x177C, "" },
//  { 0x177D, "" },
//  { 0x177E, "" },
//  { 0x177F, "" },
//  { 0x1780, "" },
//  { 0x1781, "" },
//  { 0x1782, "" },
//  { 0x1783, "" },
//  { 0x1784, "" },
//  { 0x1785, "" },
//  { 0x1786, "" },
//  { 0x1787, "" },
//  { 0x1788, "" },
//  { 0x1789, "" },
//  { 0x178A, "" },
//  { 0x178B, "" },
//  { 0x178C, "" },
//  { 0x178D, "" },
//  { 0x178E, "" },
//  { 0x178F, "" },
//  { 0x1790, "" },
//  { 0x1791, "" },
//  { 0x1792, "" },
//  { 0x1793, "" },
//  { 0x1794, "" },
//  { 0x1795, "" },
//  { 0x1796, "" },
//  { 0x1797, "" },
//  { 0x1798, "" },
//  { 0x1799, "" },
//  { 0x179A, "" },
//  { 0x179B, "" },
//  { 0x179C, "" },
//  { 0x179D, "" },
//  { 0x179E, "" },
//  { 0x179F, "" },
//  { 0x17A0, "" },
//  { 0x17A1, "" },
//  { 0x17A2, "" },
//  { 0x17A3, "" },
//  { 0x17A4, "" },
//  { 0x17A5, "" },
//  { 0x17A6, "" },
//  { 0x17A7, "" },
//  { 0x17A8, "" },
//  { 0x17A9, "" },
//  { 0x17AA, "" },
//  { 0x17AB, "" },
//  { 0x17AC, "" },
//  { 0x17AD, "" },
//  { 0x17AE, "" },
//  { 0x17AF, "" },
//  { 0x17B0, "" },
//  { 0x17B1, "" },
//  { 0x17B2, "" },
//  { 0x17B3, "" },
//  { 0x17B4, "" },
//  { 0x17B5, "" },
    { 0x17B6, "points" },
//  { 0x17B7, "" },
//  { 0x17B8, "" },
//  { 0x17B9, "" },
//  { 0x17BA, "" },
//  { 0x17BB, "" },
//  { 0x17BC, "" },
//  { 0x17BD, "" },
//  { 0x17BE, "" },
//  { 0x17BF, "" },
//  { 0x17C0, "" },
//  { 0x17C1, "" },
//  { 0x17C2, "" },
//  { 0x17C3, "" },
//  { 0x17C4, "" },
//  { 0x17C5, "" },
//  { 0x17C6, "" },
//  { 0x17C7, "" },
//  { 0x17C8, "" },
//  { 0x17C9, "" },
//  { 0x17CA, "" },
//  { 0x17CB, "" },
//  { 0x17CC, "" },
//  { 0x17CD, "" },
//  { 0x17CE, "" },
//  { 0x17CF, "" },
//  { 0x17D0, "" },
//  { 0x17D1, "" },
//  { 0x17D2, "" },
//  { 0x17D3, "" },
//  { 0x17D4, "" },
//  { 0x17D5, "" },
//  { 0x17D6, "" },
//  { 0x17D7, "" },
//  { 0x17D8, "" },
//  { 0x17D9, "" },
//  { 0x17DA, "" },
//  { 0x17DB, "" },
//  { 0x17DC, "" },
//  { 0x17DD, "" },
//  { 0x17DE, "" },
//  { 0x17DF, "" },
//  { 0x17E0, "" },
//  { 0x17E1, "" },
//  { 0x17E2, "" },
//  { 0x17E3, "" },
//  { 0x17E4, "" },
//  { 0x17E5, "" },
//  { 0x17E6, "" },
//  { 0x17E7, "" },
//  { 0x17E8, "" },
//  { 0x17E9, "" },
//  { 0x17EA, "" },
//  { 0x17EB, "" },
//  { 0x17EC, "" },
//  { 0x17ED, "" },
//  { 0x17EE, "" },
//  { 0x17EF, "" },
//  { 0x17F0, "" },
//  { 0x17F1, "" },
//  { 0x17F2, "" },
//  { 0x17F3, "" },
//  { 0x17F4, "" },
//  { 0x17F5, "" },
//  { 0x17F6, "" },
//  { 0x17F7, "" },
//  { 0x17F8, "" },
//  { 0x17F9, "" },
//  { 0x17FA, "" },
//  { 0x17FB, "" },
//  { 0x17FC, "" },
//  { 0x17FD, "" },
//  { 0x17FE, "" },
//  { 0x17FF, "" },
//  { 0x1800, "" },
//  { 0x1801, "" },
//  { 0x1802, "" },
//  { 0x1803, "" },
//  { 0x1804, "" },
//  { 0x1805, "" },
//  { 0x1806, "" },
//  { 0x1807, "" },
//  { 0x1808, "" },
//  { 0x1809, "" },
//  { 0x180A, "" },
//  { 0x180B, "" },
//  { 0x180C, "" },
//  { 0x180D, "" },
//  { 0x180E, "" },
//  { 0x180F, "" },
//  { 0x1810, "" },
//  { 0x1811, "" },
//  { 0x1812, "" },
//  { 0x1813, "" },
//  { 0x1814, "" },
//  { 0x1815, "" },
//  { 0x1816, "" },
//  { 0x1817, "" },
//  { 0x1818, "" },
//  { 0x1819, "" },
//  { 0x181A, "" },
//  { 0x181B, "" },
//  { 0x181C, "" },
//  { 0x181D, "" },
//  { 0x181E, "" },
//  { 0x181F, "" },
    { 0x1820, "add_hint_string" },
//  { 0x1821, "" },
//  { 0x1822, "" },
//  { 0x1823, "" },
//  { 0x1824, "" },
//  { 0x1825, "" },
//  { 0x1826, "" },
//  { 0x1827, "" },
//  { 0x1828, "" },
//  { 0x1829, "" },
//  { 0x182A, "" },
//  { 0x182B, "" },
//  { 0x182C, "" },
//  { 0x182D, "" },
//  { 0x182E, "" },
//  { 0x182F, "" },
//  { 0x1830, "" },
//  { 0x1831, "" },
//  { 0x1832, "" },
//  { 0x1833, "" },
//  { 0x1834, "" },
//  { 0x1835, "" },
//  { 0x1836, "" },
//  { 0x1837, "" },
//  { 0x1838, "" },
//  { 0x1839, "" },
//  { 0x183A, "" },
//  { 0x183B, "" },
//  { 0x183C, "" },
//  { 0x183D, "" },
//  { 0x183E, "" },
//  { 0x183F, "" },
//  { 0x1840, "" },
//  { 0x1841, "" },
//  { 0x1842, "" },
//  { 0x1843, "" },
//  { 0x1844, "" },
//  { 0x1845, "" },
//  { 0x1846, "" },
//  { 0x1847, "" },
//  { 0x1848, "" },
//  { 0x1849, "" },
//  { 0x184A, "" },
//  { 0x184B, "" },
//  { 0x184C, "" },
//  { 0x184D, "" },
//  { 0x184E, "" },
//  { 0x184F, "" },
//  { 0x1850, "" },
//  { 0x1851, "" },
//  { 0x1852, "" },
//  { 0x1853, "" },
//  { 0x1854, "" },
//  { 0x1855, "" },
//  { 0x1856, "" },
//  { 0x1857, "" },
//  { 0x1858, "" },
//  { 0x1859, "" },
//  { 0x185A, "" },
//  { 0x185B, "" },
//  { 0x185C, "" },
//  { 0x185D, "" },
//  { 0x185E, "" },
//  { 0x185F, "" },
//  { 0x1860, "" },
//  { 0x1861, "" },
//  { 0x1862, "" },
//  { 0x1863, "" },
//  { 0x1864, "" },
//  { 0x1865, "" },
//  { 0x1866, "" },
//  { 0x1867, "" },
//  { 0x1868, "" },
//  { 0x1869, "" },
//  { 0x186A, "" },
//  { 0x186B, "" },
//  { 0x186C, "" },
//  { 0x186D, "" },
//  { 0x186E, "" },
//  { 0x186F, "" },
//  { 0x1870, "" },
//  { 0x1871, "" },
//  { 0x1872, "" },
//  { 0x1873, "" },
//  { 0x1874, "" },
//  { 0x1875, "" },
//  { 0x1876, "" },
//  { 0x1877, "" },
//  { 0x1878, "" },
//  { 0x1879, "" },
//  { 0x187A, "" },
//  { 0x187B, "" },
//  { 0x187C, "" },
//  { 0x187D, "" },
//  { 0x187E, "" },
//  { 0x187F, "" },
//  { 0x1880, "" },
//  { 0x1881, "" },
//  { 0x1882, "" },
//  { 0x1883, "" },
//  { 0x1884, "" },
//  { 0x1885, "" },
//  { 0x1886, "" },
//  { 0x1887, "" },
//  { 0x1888, "" },
//  { 0x1889, "" },
//  { 0x188A, "" },
//  { 0x188B, "" },
//  { 0x188C, "" },
//  { 0x188D, "" },
//  { 0x188E, "" },
//  { 0x188F, "" },
//  { 0x1890, "" },
//  { 0x1891, "" },
//  { 0x1892, "" },
//  { 0x1893, "" },
//  { 0x1894, "" },
//  { 0x1895, "" },
//  { 0x1896, "" },
//  { 0x1897, "" },
    { 0x1898, "icon" },
//  { 0x1899, "" },
//  { 0x189A, "" },
//  { 0x189B, "" },
//  { 0x189C, "" },
//  { 0x189D, "" },
//  { 0x189E, "" },
//  { 0x189F, "" },
//  { 0x18A0, "" },
//  { 0x18A1, "" },
//  { 0x18A2, "" },
//  { 0x18A3, "" },
//  { 0x18A4, "" },
//  { 0x18A5, "" },
//  { 0x18A6, "" },
//  { 0x18A7, "" },
//  { 0x18A8, "" },
//  { 0x18A9, "" },
//  { 0x18AA, "" },
//  { 0x18AB, "" },
//  { 0x18AC, "" },
//  { 0x18AD, "" },
//  { 0x18AE, "" },
//  { 0x18AF, "" },
//  { 0x18B0, "" },
//  { 0x18B1, "" },
//  { 0x18B2, "" },
//  { 0x18B3, "" },
//  { 0x18B4, "" },
//  { 0x18B5, "" },
//  { 0x18B6, "" },
//  { 0x18B7, "" },
//  { 0x18B8, "" },
//  { 0x18B9, "" },
//  { 0x18BA, "" },
//  { 0x18BB, "" },
//  { 0x18BC, "" },
//  { 0x18BD, "" },
//  { 0x18BE, "" },
//  { 0x18BF, "" },
//  { 0x18C0, "" },
//  { 0x18C1, "" },
//  { 0x18C2, "" },
//  { 0x18C3, "" },
//  { 0x18C4, "" },
//  { 0x18C5, "" },
//  { 0x18C6, "" },
//  { 0x18C7, "" },
//  { 0x18C8, "" },
//  { 0x18C9, "" },
//  { 0x18CA, "" },
//  { 0x18CB, "" },
//  { 0x18CC, "" },
//  { 0x18CD, "" },
//  { 0x18CE, "" },
//  { 0x18CF, "" },
//  { 0x18D0, "" },
//  { 0x18D1, "" },
//  { 0x18D2, "" },
//  { 0x18D3, "" },
//  { 0x18D4, "" },
//  { 0x18D5, "" },
    { 0x18D6, "maps/createart/so_survival_mp_plaza2_art" },
    { 0x18D7, "maps/createart/so_survival_mp_seatown_fog" },
    { 0x18D8, "maps/createart/so_survival_mp_seatown_art" },
    { 0x18D9, "maps/createart/so_survival_mp_underground_fog" },
    { 0x18DA, "maps/createart/so_survival_mp_underground_art" },
    { 0x18DB, "maps/createart/so_survival_mp_village_fog" },
    { 0x18DC, "maps/createart/so_survival_mp_village_art" },
//  { 0x18DD, "" },
//  { 0x18DE, "" },
//  { 0x18DF, "" },
//  { 0x18E0, "" },
//  { 0x18E1, "" },
//  { 0x18E2, "" },
//  { 0x18E3, "" },
//  { 0x18E4, "" },
//  { 0x18E5, "" },
//  { 0x18E6, "" },
//  { 0x18E7, "" },
//  { 0x18E8, "" },
//  { 0x18E9, "" },
//  { 0x18EA, "" },
//  { 0x18EB, "" },
//  { 0x18EC, "" },
//  { 0x18ED, "" },
//  { 0x18EE, "" },
//  { 0x18EF, "" },
//  { 0x18F0, "" },
//  { 0x18F1, "" },
//  { 0x18F2, "" },
//  { 0x18F3, "" },
//  { 0x18F4, "" },
//  { 0x18F5, "" },
//  { 0x18F6, "" },
//  { 0x18F7, "" },
//  { 0x18F8, "" },
//  { 0x18F9, "" },
//  { 0x18FA, "" },
//  { 0x18FB, "" },
//  { 0x18FC, "" },
//  { 0x18FD, "" },
//  { 0x18FE, "" },
//  { 0x18FF, "" },
//  { 0x1900, "" },
//  { 0x1901, "" },
//  { 0x1902, "" },
//  { 0x1903, "" },
//  { 0x1904, "" },
//  { 0x1905, "" },
//  { 0x1906, "" },
//  { 0x1907, "" },
//  { 0x1908, "" },
//  { 0x1909, "" },
//  { 0x190A, "" },
//  { 0x190B, "" },
//  { 0x190C, "" },
//  { 0x190D, "" },
//  { 0x190E, "" },
    { 0x190F, "ps3" },
//  { 0x1910, "" },
//  { 0x1911, "" },
//  { 0x1912, "" },
//  { 0x1913, "" },
//  { 0x1914, "" },
//  { 0x1915, "" },
//  { 0x1916, "" },
//  { 0x1917, "" },
//  { 0x1918, "" },
//  { 0x1919, "" },
//  { 0x191A, "" },
//  { 0x191B, "" },
//  { 0x191C, "" },
//  { 0x191D, "" },
//  { 0x191E, "" },
//  { 0x191F, "" },
//  { 0x1920, "" },
//  { 0x1921, "" },
//  { 0x1922, "" },
//  { 0x1923, "" },
//  { 0x1924, "" },
//  { 0x1925, "" },
//  { 0x1926, "" },
//  { 0x1927, "" },
//  { 0x1928, "" },
//  { 0x1929, "" },
//  { 0x192A, "" },
//  { 0x192B, "" },
//  { 0x192C, "" },
//  { 0x192D, "" },
//  { 0x192E, "" },
//  { 0x192F, "" },
//  { 0x1930, "" },
//  { 0x1931, "" },
//  { 0x1932, "" },
//  { 0x1933, "" },
//  { 0x1934, "" },
//  { 0x1935, "" },
//  { 0x1936, "" },
//  { 0x1937, "" },
//  { 0x1938, "" },
//  { 0x1939, "" },
//  { 0x193A, "" },
//  { 0x193B, "" },
//  { 0x193C, "" },
//  { 0x193D, "" },
//  { 0x193E, "" },
//  { 0x193F, "" },
//  { 0x1940, "" },
//  { 0x1941, "" },
//  { 0x1942, "" },
//  { 0x1943, "" },
//  { 0x1944, "" },
//  { 0x1945, "" },
//  { 0x1946, "" },
//  { 0x1947, "" },
//  { 0x1948, "" },
//  { 0x1949, "" },
//  { 0x194A, "" },
//  { 0x194B, "" },
//  { 0x194C, "" },
//  { 0x194D, "" },
//  { 0x194E, "" },
//  { 0x194F, "" },
//  { 0x1950, "" },
//  { 0x1951, "" },
//  { 0x1952, "" },
//  { 0x1953, "" },
//  { 0x1954, "" },
//  { 0x1955, "" },
//  { 0x1956, "" },
//  { 0x1957, "" },
//  { 0x1958, "" },
//  { 0x1959, "" },
//  { 0x195A, "" },
//  { 0x195B, "" },
//  { 0x195C, "" },
//  { 0x195D, "" },
//  { 0x195E, "" },
//  { 0x195F, "" },
//  { 0x1960, "" },
//  { 0x1961, "" },
//  { 0x1962, "" },
//  { 0x1963, "" },
//  { 0x1964, "" },
//  { 0x1965, "" },
//  { 0x1966, "" },
//  { 0x1967, "" },
//  { 0x1968, "" },
//  { 0x1969, "" },
//  { 0x196A, "" },
//  { 0x196B, "" },
//  { 0x196C, "" },
//  { 0x196D, "" },
//  { 0x196E, "" },
//  { 0x196F, "" },
//  { 0x1970, "" },
//  { 0x1971, "" },
//  { 0x1972, "" },
//  { 0x1973, "" },
//  { 0x1974, "" },
//  { 0x1975, "" },
//  { 0x1976, "" },
//  { 0x1977, "" },
//  { 0x1978, "" },
//  { 0x1979, "" },
//  { 0x197A, "" },
//  { 0x197B, "" },
//  { 0x197C, "" },
//  { 0x197D, "" },
//  { 0x197E, "" },
//  { 0x197F, "" },
//  { 0x1980, "" },
//  { 0x1981, "" },
//  { 0x1982, "" },
//  { 0x1983, "" },
//  { 0x1984, "" },
//  { 0x1985, "" },
//  { 0x1986, "" },
//  { 0x1987, "" },
//  { 0x1988, "" },
//  { 0x1989, "" },
//  { 0x198A, "" },
//  { 0x198B, "" },
//  { 0x198C, "" },
//  { 0x198D, "" },
//  { 0x198E, "" },
//  { 0x198F, "" },
//  { 0x1990, "" },
//  { 0x1991, "" },
//  { 0x1992, "" },
//  { 0x1993, "" },
//  { 0x1994, "" },
//  { 0x1995, "" },
//  { 0x1996, "" },
//  { 0x1997, "" },
//  { 0x1998, "" },
//  { 0x1999, "" },
//  { 0x199A, "" },
//  { 0x199B, "" },
//  { 0x199C, "" },
//  { 0x199D, "" },
//  { 0x199E, "" },
//  { 0x199F, "" },
//  { 0x19A0, "" },
//  { 0x19A1, "" },
//  { 0x19A2, "" },
//  { 0x19A3, "" },
//  { 0x19A4, "" },
//  { 0x19A5, "" },
//  { 0x19A6, "" },
//  { 0x19A7, "" },
//  { 0x19A8, "" },
//  { 0x19A9, "" },
//  { 0x19AA, "" },
//  { 0x19AB, "" },
//  { 0x19AC, "" },
//  { 0x19AD, "" },
//  { 0x19AE, "" },
//  { 0x19AF, "" },
//  { 0x19B0, "" },
//  { 0x19B1, "" },
//  { 0x19B2, "" },
//  { 0x19B3, "" },
//  { 0x19B4, "" },
//  { 0x19B5, "" },
//  { 0x19B6, "" },
//  { 0x19B7, "" },
//  { 0x19B8, "" },
//  { 0x19B9, "" },
//  { 0x19BA, "" },
//  { 0x19BB, "" },
//  { 0x19BC, "" },
//  { 0x19BD, "" },
//  { 0x19BE, "" },
//  { 0x19BF, "" },
//  { 0x19C0, "" },
//  { 0x19C1, "" },
//  { 0x19C2, "" },
//  { 0x19C3, "" },
//  { 0x19C4, "" },
//  { 0x19C5, "" },
//  { 0x19C6, "" },
//  { 0x19C7, "" },
//  { 0x19C8, "" },
//  { 0x19C9, "" },
//  { 0x19CA, "" },
//  { 0x19CB, "" },
//  { 0x19CC, "" },
//  { 0x19CD, "" },
//  { 0x19CE, "" },
//  { 0x19CF, "" },
//  { 0x19D0, "" },
//  { 0x19D1, "" },
//  { 0x19D2, "" },
//  { 0x19D3, "" },
//  { 0x19D4, "" },
//  { 0x19D5, "" },
//  { 0x19D6, "" },
//  { 0x19D7, "" },
//  { 0x19D8, "" },
//  { 0x19D9, "" },
//  { 0x19DA, "" },
//  { 0x19DB, "" },
//  { 0x19DC, "" },
//  { 0x19DD, "" },
//  { 0x19DE, "" },
//  { 0x19DF, "" },
//  { 0x19E0, "" },
//  { 0x19E1, "" },
//  { 0x19E2, "" },
//  { 0x19E3, "" },
//  { 0x19E4, "" },
//  { 0x19E5, "" },
//  { 0x19E6, "" },
//  { 0x19E7, "" },
//  { 0x19E8, "" },
//  { 0x19E9, "" },
//  { 0x19EA, "" },
//  { 0x19EB, "" },
//  { 0x19EC, "" },
//  { 0x19ED, "" },
//  { 0x19EE, "" },
//  { 0x19EF, "" },
//  { 0x19F0, "" },
//  { 0x19F1, "" },
//  { 0x19F2, "" },
//  { 0x19F3, "" },
//  { 0x19F4, "" },
//  { 0x19F5, "" },
//  { 0x19F6, "" },
//  { 0x19F7, "" },
//  { 0x19F8, "" },
//  { 0x19F9, "" },
//  { 0x19FA, "" },
//  { 0x19FB, "" },
//  { 0x19FC, "" },
//  { 0x19FD, "" },
//  { 0x19FE, "" },
//  { 0x19FF, "" },
//  { 0x1A00, "" },
//  { 0x1A01, "" },
//  { 0x1A02, "" },
//  { 0x1A03, "" },
//  { 0x1A04, "" },
//  { 0x1A05, "" },
//  { 0x1A06, "" },
//  { 0x1A07, "" },
//  { 0x1A08, "" },
//  { 0x1A09, "" },
//  { 0x1A0A, "" },
//  { 0x1A0B, "" },
//  { 0x1A0C, "" },
//  { 0x1A0D, "" },
//  { 0x1A0E, "" },
//  { 0x1A0F, "" },
//  { 0x1A10, "" },
//  { 0x1A11, "" },
//  { 0x1A12, "" },
//  { 0x1A13, "" },
//  { 0x1A14, "" },
//  { 0x1A15, "" },
//  { 0x1A16, "" },
//  { 0x1A17, "" },
//  { 0x1A18, "" },
//  { 0x1A19, "" },
//  { 0x1A1A, "" },
//  { 0x1A1B, "" },
//  { 0x1A1C, "" },
//  { 0x1A1D, "" },
//  { 0x1A1E, "" },
//  { 0x1A1F, "" },
//  { 0x1A20, "" },
//  { 0x1A21, "" },
//  { 0x1A22, "" },
//  { 0x1A23, "" },
//  { 0x1A24, "" },
//  { 0x1A25, "" },
//  { 0x1A26, "" },
    { 0x1A27, "hud_damagefeedback" },
//  { 0x1A28, "" },
//  { 0x1A29, "" },
//  { 0x1A2A, "" },
//  { 0x1A2B, "" },
//  { 0x1A2C, "" },
//  { 0x1A2D, "" },
    { 0x1A2E, "updatedamagefeedback" },
//  { 0x1A2F, "" },
//  { 0x1A30, "" },
//  { 0x1A31, "" },
//  { 0x1A32, "" },
//  { 0x1A33, "" },
//  { 0x1A34, "" },
//  { 0x1A35, "" },
//  { 0x1A36, "" },
//  { 0x1A37, "" },
//  { 0x1A38, "" },
//  { 0x1A39, "" },
//  { 0x1A3A, "" },
//  { 0x1A3B, "" },
//  { 0x1A3C, "" },
//  { 0x1A3D, "" },
//  { 0x1A3E, "" },
//  { 0x1A3F, "" },
//  { 0x1A40, "" },
//  { 0x1A41, "" },
//  { 0x1A42, "" },
//  { 0x1A43, "" },
//  { 0x1A44, "" },
//  { 0x1A45, "" },
//  { 0x1A46, "" },
//  { 0x1A47, "" },
//  { 0x1A48, "" },
//  { 0x1A49, "" },
//  { 0x1A4A, "" },
//  { 0x1A4B, "" },
//  { 0x1A4C, "" },
//  { 0x1A4D, "" },
//  { 0x1A4E, "" },
//  { 0x1A4F, "" },
//  { 0x1A50, "" },
//  { 0x1A51, "" },
//  { 0x1A52, "" },
//  { 0x1A53, "" },
//  { 0x1A54, "" },
//  { 0x1A55, "" },
//  { 0x1A56, "" },
//  { 0x1A57, "" },
//  { 0x1A58, "" },
//  { 0x1A59, "" },
//  { 0x1A5A, "" },
//  { 0x1A5B, "" },
//  { 0x1A5C, "" },
//  { 0x1A5D, "" },
//  { 0x1A5E, "" },
//  { 0x1A5F, "" },
//  { 0x1A60, "" },
//  { 0x1A61, "" },
//  { 0x1A62, "" },
//  { 0x1A63, "" },
//  { 0x1A64, "" },
//  { 0x1A65, "" },
//  { 0x1A66, "" },
//  { 0x1A67, "" },
//  { 0x1A68, "" },
//  { 0x1A69, "" },
//  { 0x1A6A, "" },
//  { 0x1A6B, "" },
//  { 0x1A6C, "" },
//  { 0x1A6D, "" },
//  { 0x1A6E, "" },
//  { 0x1A6F, "" },
//  { 0x1A70, "" },
//  { 0x1A71, "" },
//  { 0x1A72, "" },
//  { 0x1A73, "" },
//  { 0x1A74, "" },
//  { 0x1A75, "" },
//  { 0x1A76, "" },
//  { 0x1A77, "" },
//  { 0x1A78, "" },
//  { 0x1A79, "" },
//  { 0x1A7A, "" },
//  { 0x1A7B, "" },
//  { 0x1A7C, "" },
//  { 0x1A7D, "" },
//  { 0x1A7E, "" },
//  { 0x1A7F, "" },
//  { 0x1A80, "" },
//  { 0x1A81, "" },
//  { 0x1A82, "" },
//  { 0x1A83, "" },
//  { 0x1A84, "" },
//  { 0x1A85, "" },
//  { 0x1A86, "" },
//  { 0x1A87, "" },
//  { 0x1A88, "" },
//  { 0x1A89, "" },
//  { 0x1A8A, "" },
//  { 0x1A8B, "" },
//  { 0x1A8C, "" },
    { 0x1A8D, "hidden" },
//  { 0x1A8E, "" },
//  { 0x1A8F, "" },
//  { 0x1A90, "" },
//  { 0x1A91, "" },
//  { 0x1A92, "" },
//  { 0x1A93, "" },
//  { 0x1A94, "" },
//  { 0x1A95, "" },
//  { 0x1A96, "" },
//  { 0x1A97, "" },
//  { 0x1A98, "" },
//  { 0x1A99, "" },
//  { 0x1A9A, "" },
//  { 0x1A9B, "" },
//  { 0x1A9C, "" },
//  { 0x1A9D, "" },
//  { 0x1A9E, "" },
//  { 0x1A9F, "" },
//  { 0x1AA0, "" },
//  { 0x1AA1, "" },
//  { 0x1AA2, "" },
//  { 0x1AA3, "" },
//  { 0x1AA4, "" },
//  { 0x1AA5, "" },
//  { 0x1AA6, "" },
//  { 0x1AA7, "" },
//  { 0x1AA8, "" },
//  { 0x1AA9, "" },
//  { 0x1AAA, "" },
//  { 0x1AAB, "" },
//  { 0x1AAC, "" },
//  { 0x1AAD, "" },
//  { 0x1AAE, "" },
//  { 0x1AAF, "" },
//  { 0x1AB0, "" },
//  { 0x1AB1, "" },
//  { 0x1AB2, "" },
//  { 0x1AB3, "" },
//  { 0x1AB4, "" },
//  { 0x1AB5, "" },
//  { 0x1AB6, "" },
//  { 0x1AB7, "" },
//  { 0x1AB8, "" },
//  { 0x1AB9, "" },
//  { 0x1ABA, "" },
//  { 0x1ABB, "" },
//  { 0x1ABC, "" },
//  { 0x1ABD, "" },
//  { 0x1ABE, "" },
//  { 0x1ABF, "" },
//  { 0x1AC0, "" },
//  { 0x1AC1, "" },
//  { 0x1AC2, "" },
//  { 0x1AC3, "" },
//  { 0x1AC4, "" },
//  { 0x1AC5, "" },
//  { 0x1AC6, "" },
//  { 0x1AC7, "" },
//  { 0x1AC8, "" },
//  { 0x1AC9, "" },
    { 0x1ACA, "artstartvisionfileexport" },
    { 0x1ACB, "artendvisionfileexport" },
    { 0x1ACC, "artstartfogfileexport" },
    { 0x1ACD, "artendfogfileexport" },
    { 0x1ACE, "artcommonfxprintln" },
    { 0x1ACF, "setfogsliders" },
    { 0x1AD0, "translatefogsliderstoscript" },
    { 0x1AD1, "fogexphalfplane" },
    { 0x1AD2, "fognearplane" },
    { 0x1AD3, "fogcolor" },
    { 0x1AD4, "fogmaxopacity" },
    { 0x1AD5, "sunfogenabled" },
    { 0x1AD6, "sunfogcolor" },
    { 0x1AD7, "sunfogdir" },
    { 0x1AD8, "sunfogbeginfadeangle" },
    { 0x1AD9, "sunfogendfadeangle" },
    { 0x1ADA, "sunfogscale" },
    { 0x1ADB, "limit" },
    { 0x1ADC, "updatefogfromscript" },
    { 0x1ADD, "artfxprintlnfog" },
//  { 0x1ADE, "" },
//  { 0x1ADF, "" },
//  { 0x1AE0, "" },
//  { 0x1AE1, "" },
//  { 0x1AE2, "" },
//  { 0x1AE3, "" },
//  { 0x1AE4, "" },
//  { 0x1AE5, "" },
    { 0x1AE6, "tweakart" },
//  { 0x1AE7, "" },
//  { 0x1AE8, "" },
//  { 0x1AE9, "" },
    { 0x1AEA, "startdist" },
    { 0x1AEB, "halfwaydist" },
    { 0x1AEC, "red" },
    { 0x1AED, "green" },
    { 0x1AEE, "blue" },
    { 0x1AEF, "maxopacity" },
//  { 0x1AF0, "" },
//  { 0x1AF1, "" },
//  { 0x1AF2, "" },
//  { 0x1AF3, "" },
//  { 0x1AF4, "" },
//  { 0x1AF5, "" },
//  { 0x1AF6, "" },
//  { 0x1AF7, "" },
//  { 0x1AF8, "" },
//  { 0x1AF9, "" },
//  { 0x1AFA, "" },
//  { 0x1AFB, "" },
//  { 0x1AFC, "" },
//  { 0x1AFD, "" },
//  { 0x1AFE, "" },
//  { 0x1AFF, "" },
//  { 0x1B00, "" },
//  { 0x1B01, "" },
//  { 0x1B02, "" },
//  { 0x1B03, "" },
//  { 0x1B04, "" },
//  { 0x1B05, "" },
//  { 0x1B06, "" },
//  { 0x1B07, "" },
//  { 0x1B08, "" },
//  { 0x1B09, "" },
//  { 0x1B0A, "" },
    { 0x1B0B, "fovslidercheck" },
//  { 0x1B0C, "" },
//  { 0x1B0D, "" },
//  { 0x1B0E, "" },
//  { 0x1B0F, "" },
//  { 0x1B10, "" },
//  { 0x1B11, "" },
    { 0x1B12, "create_vision_set_fog" },
    { 0x1B13, "transitiontime" },
    { 0x1B14, "dumpsettings" },
//  { 0x1B15, "" },
//  { 0x1B16, "" },
//  { 0x1B17, "" },
//  { 0x1B18, "" },
//  { 0x1B19, "" },
//  { 0x1B1A, "" },
//  { 0x1B1B, "" },
//  { 0x1B1C, "" },
//  { 0x1B1D, "" },
//  { 0x1B1E, "" },
    { 0x1B1F, "scale" },
//  { 0x1B20, "" },
//  { 0x1B21, "" },
//  { 0x1B22, "" },
//  { 0x1B23, "" },
//  { 0x1B24, "" },
//  { 0x1B25, "" },
//  { 0x1B26, "" },
//  { 0x1B27, "" },
//  { 0x1B28, "" },
//  { 0x1B29, "" },
//  { 0x1B2A, "" },
//  { 0x1B2B, "" },
//  { 0x1B2C, "" },
//  { 0x1B2D, "" },
//  { 0x1B2E, "" },
//  { 0x1B2F, "" },
//  { 0x1B30, "" },
//  { 0x1B31, "" },
//  { 0x1B32, "" },
//  { 0x1B33, "" },
//  { 0x1B34, "" },
//  { 0x1B35, "" },
//  { 0x1B36, "" },
//  { 0x1B37, "" },
//  { 0x1B38, "" },
//  { 0x1B39, "" },
//  { 0x1B3A, "" },
//  { 0x1B3B, "" },
//  { 0x1B3C, "" },
    { 0x1B3D, "vision_set_fog_changes" },
//  { 0x1B3E, "" },
//  { 0x1B3F, "" },
//  { 0x1B40, "" },
//  { 0x1B41, "" },
//  { 0x1B42, "" },
//  { 0x1B43, "" },
//  { 0x1B44, "" },
//  { 0x1B45, "" },
//  { 0x1B46, "" },
//  { 0x1B47, "" },
//  { 0x1B48, "" },
//  { 0x1B49, "" },
//  { 0x1B4A, "" },
//  { 0x1B4B, "" },
//  { 0x1B4C, "" },
//  { 0x1B4D, "" },
//  { 0x1B4E, "" },
//  { 0x1B4F, "" },
//  { 0x1B50, "" },
//  { 0x1B51, "" },
//  { 0x1B52, "" },
//  { 0x1B53, "" },
//  { 0x1B54, "" },
//  { 0x1B55, "" },
//  { 0x1B56, "" },
//  { 0x1B57, "" },
//  { 0x1B58, "" },
//  { 0x1B59, "" },
//  { 0x1B5A, "" },
//  { 0x1B5B, "" },
//  { 0x1B5C, "" },
//  { 0x1B5D, "" },
//  { 0x1B5E, "" },
//  { 0x1B5F, "" },
//  { 0x1B60, "" },
//  { 0x1B61, "" },
//  { 0x1B62, "" },
//  { 0x1B63, "" },
//  { 0x1B64, "" },
//  { 0x1B65, "" },
//  { 0x1B66, "" },
//  { 0x1B67, "" },
//  { 0x1B68, "" },
//  { 0x1B69, "" },
//  { 0x1B6A, "" },
//  { 0x1B6B, "" },
//  { 0x1B6C, "" },
//  { 0x1B6D, "" },
//  { 0x1B6E, "" },
//  { 0x1B6F, "" },
//  { 0x1B70, "" },
//  { 0x1B71, "" },
//  { 0x1B72, "" },
//  { 0x1B73, "" },
//  { 0x1B74, "" },
//  { 0x1B75, "" },
//  { 0x1B76, "" },
//  { 0x1B77, "" },
//  { 0x1B78, "" },
//  { 0x1B79, "" },
//  { 0x1B7A, "" },
//  { 0x1B7B, "" },
//  { 0x1B7C, "" },
//  { 0x1B7D, "" },
//  { 0x1B7E, "" },
//  { 0x1B7F, "" },
//  { 0x1B80, "" },
//  { 0x1B81, "" },
//  { 0x1B82, "" },
//  { 0x1B83, "" },
//  { 0x1B84, "" },
//  { 0x1B85, "" },
//  { 0x1B86, "" },
//  { 0x1B87, "" },
//  { 0x1B88, "" },
//  { 0x1B89, "" },
//  { 0x1B8A, "" },
//  { 0x1B8B, "" },
//  { 0x1B8C, "" },
//  { 0x1B8D, "" },
//  { 0x1B8E, "" },
//  { 0x1B8F, "" },
//  { 0x1B90, "" },
//  { 0x1B91, "" },
//  { 0x1B92, "" },
//  { 0x1B93, "" },
//  { 0x1B94, "" },
//  { 0x1B95, "" },
//  { 0x1B96, "" },
//  { 0x1B97, "" },
//  { 0x1B98, "" },
//  { 0x1B99, "" },
//  { 0x1B9A, "" },
//  { 0x1B9B, "" },
//  { 0x1B9C, "" },
//  { 0x1B9D, "" },
//  { 0x1B9E, "" },
//  { 0x1B9F, "" },
//  { 0x1BA0, "" },
//  { 0x1BA1, "" },
//  { 0x1BA2, "" },
//  { 0x1BA3, "" },
//  { 0x1BA4, "" },
//  { 0x1BA5, "" },
//  { 0x1BA6, "" },
//  { 0x1BA7, "" },
//  { 0x1BA8, "" },
//  { 0x1BA9, "" },
//  { 0x1BAA, "" },
//  { 0x1BAB, "" },
//  { 0x1BAC, "" },
//  { 0x1BAD, "" },
//  { 0x1BAE, "" },
//  { 0x1BAF, "" },
//  { 0x1BB0, "" },
//  { 0x1BB1, "" },
//  { 0x1BB2, "" },
//  { 0x1BB3, "" },
//  { 0x1BB4, "" },
//  { 0x1BB5, "" },
//  { 0x1BB6, "" },
//  { 0x1BB7, "" },
//  { 0x1BB8, "" },
//  { 0x1BB9, "" },
//  { 0x1BBA, "" },
//  { 0x1BBB, "" },
//  { 0x1BBC, "" },
//  { 0x1BBD, "" },
//  { 0x1BBE, "" },
//  { 0x1BBF, "" },
//  { 0x1BC0, "" },
//  { 0x1BC1, "" },
//  { 0x1BC2, "" },
//  { 0x1BC3, "" },
//  { 0x1BC4, "" },
//  { 0x1BC5, "" },
//  { 0x1BC6, "" },
//  { 0x1BC7, "" },
//  { 0x1BC8, "" },
//  { 0x1BC9, "" },
//  { 0x1BCA, "" },
//  { 0x1BCB, "" },
//  { 0x1BCC, "" },
//  { 0x1BCD, "" },
//  { 0x1BCE, "" },
//  { 0x1BCF, "" },
//  { 0x1BD0, "" },
//  { 0x1BD1, "" },
    { 0x1BD2, "timelimitoverride" },
//  { 0x1BD3, "" },
//  { 0x1BD4, "" },
//  { 0x1BD5, "" },
//  { 0x1BD6, "" },
//  { 0x1BD7, "" },
//  { 0x1BD8, "" },
//  { 0x1BD9, "" },
//  { 0x1BDA, "" },
//  { 0x1BDB, "" },
//  { 0x1BDC, "" },
//  { 0x1BDD, "" },
//  { 0x1BDE, "" },
//  { 0x1BDF, "" },
//  { 0x1BE0, "" },
//  { 0x1BE1, "" },
//  { 0x1BE2, "" },
//  { 0x1BE3, "" },
//  { 0x1BE4, "" },
//  { 0x1BE5, "" },
//  { 0x1BE6, "" },
//  { 0x1BE7, "" },
//  { 0x1BE8, "" },
//  { 0x1BE9, "" },
//  { 0x1BEA, "" },
//  { 0x1BEB, "" },
//  { 0x1BEC, "" },
//  { 0x1BED, "" },
//  { 0x1BEE, "" },
//  { 0x1BEF, "" },
//  { 0x1BF0, "" },
//  { 0x1BF1, "" },
//  { 0x1BF2, "" },
//  { 0x1BF3, "" },
    { 0x1BF4, "func_loopfxthread" },
    { 0x1BF5, "func_oneshotfxthread" },
    { 0x1BF6, "func_create_loopsound" },
    { 0x1BF7, "global_fx" },
//  { 0x1BF8, "" },
//  { 0x1BF9, "" },
    { 0x1BFA, "global_fx_create" },
    { 0x1BFB, "watchgrenadeusage" },
    { 0x1BFC, "c4explodethisframe" },
    { 0x1BFD, "c4array" },
    { 0x1BFE, "throwinggrenade" },
//  { 0x1BFF, "" },
//  { 0x1C00, "" },
//  { 0x1C01, "" },
//  { 0x1C02, "" },
//  { 0x1C03, "" },
//  { 0x1C04, "" },
//  { 0x1C05, "" },
//  { 0x1C06, "" },
//  { 0x1C07, "" },
//  { 0x1C08, "" },
    { 0x1C09, "begingrenadetracking" },
    { 0x1C0A, "grenade_earthquake" },
//  { 0x1C0B, "" },
    { 0x1C0C, "beginc4tracking" },
    { 0x1C0D, "watchc4" },
    { 0x1C0E, "c4death" },
    { 0x1C0F, "array_remove_nokeys" },
    { 0x1C10, "watchclaymores" },
//  { 0x1C11, "" },
//  { 0x1C12, "" },
    { 0x1C13, "claymoredetonation" },
//  { 0x1C14, "" },
//  { 0x1C15, "" },
    { 0x1C16, "deleteondeath" },
    { 0x1C17, "watchc4detonation" },
    { 0x1C18, "watchc4altdetonation" },
    { 0x1C19, "waitanddetonate" },
    { 0x1C1A, "c4damage" },
    { 0x1C1B, "resetc4explodethisframe" },
    { 0x1C1C, "saydamaged" },
//  { 0x1C1D, "" },
//  { 0x1C1E, "" },
//  { 0x1C1F, "" },
    { 0x1C20, "getdamageableents" },
    { 0x1C21, "isplayer" },
    { 0x1C22, "isadestructable" },
    { 0x1C23, "damagecenter" },
    { 0x1C24, "weapondamagetracepassed" },
    { 0x1C25, "damageent" },
    { 0x1C26, "damageorigin" },
    { 0x1C27, "callbackplayerdamage" },
    { 0x1C28, "debugline" },
    { 0x1C29, "onweapondamage" },
    { 0x1C2A, "watchc4altdetonate" },
//  { 0x1C2B, "" },
//  { 0x1C2C, "" },
//  { 0x1C2D, "" },
//  { 0x1C2E, "" },
//  { 0x1C2F, "" },
//  { 0x1C30, "" },
//  { 0x1C31, "" },
//  { 0x1C32, "" },
//  { 0x1C33, "" },
//  { 0x1C34, "" },
//  { 0x1C35, "" },
//  { 0x1C36, "" },
//  { 0x1C37, "" },
//  { 0x1C38, "" },
//  { 0x1C39, "" },
//  { 0x1C3A, "" },
//  { 0x1C3B, "" },
//  { 0x1C3C, "" },
//  { 0x1C3D, "" },
//  { 0x1C3E, "" },
//  { 0x1C3F, "" },
//  { 0x1C40, "" },
//  { 0x1C41, "" },
//  { 0x1C42, "" },
//  { 0x1C43, "" },
//  { 0x1C44, "" },
//  { 0x1C45, "" },
//  { 0x1C46, "" },
//  { 0x1C47, "" },
//  { 0x1C48, "" },
//  { 0x1C49, "" },
//  { 0x1C4A, "" },
//  { 0x1C4B, "" },
//  { 0x1C4C, "" },
//  { 0x1C4D, "" },
//  { 0x1C4E, "" },
//  { 0x1C4F, "" },
//  { 0x1C50, "" },
//  { 0x1C51, "" },
//  { 0x1C52, "" },
//  { 0x1C53, "" },
//  { 0x1C54, "" },
//  { 0x1C55, "" },
//  { 0x1C56, "" },
//  { 0x1C57, "" },
//  { 0x1C58, "" },
//  { 0x1C59, "" },
//  { 0x1C5A, "" },
//  { 0x1C5B, "" },
//  { 0x1C5C, "" },
//  { 0x1C5D, "" },
//  { 0x1C5E, "" },
//  { 0x1C5F, "" },
//  { 0x1C60, "" },
//  { 0x1C61, "" },
//  { 0x1C62, "" },
//  { 0x1C63, "" },
//  { 0x1C64, "" },
//  { 0x1C65, "" },
//  { 0x1C66, "" },
//  { 0x1C67, "" },
//  { 0x1C68, "" },
//  { 0x1C69, "" },
//  { 0x1C6A, "" },
//  { 0x1C6B, "" },
//  { 0x1C6C, "" },
//  { 0x1C6D, "" },
//  { 0x1C6E, "" },
//  { 0x1C6F, "" },
//  { 0x1C70, "" },
//  { 0x1C71, "" },
//  { 0x1C72, "" },
//  { 0x1C73, "" },
//  { 0x1C74, "" },
//  { 0x1C75, "" },
//  { 0x1C76, "" },
//  { 0x1C77, "" },
//  { 0x1C78, "" },
//  { 0x1C79, "" },
//  { 0x1C7A, "" },
//  { 0x1C7B, "" },
//  { 0x1C7C, "" },
//  { 0x1C7D, "" },
//  { 0x1C7E, "" },
//  { 0x1C7F, "" },
//  { 0x1C80, "" },
//  { 0x1C81, "" },
//  { 0x1C82, "" },
//  { 0x1C83, "" },
//  { 0x1C84, "" },
//  { 0x1C85, "" },
//  { 0x1C86, "" },
//  { 0x1C87, "" },
//  { 0x1C88, "" },
//  { 0x1C89, "" },
//  { 0x1C8A, "" },
//  { 0x1C8B, "" },
//  { 0x1C8C, "" },
//  { 0x1C8D, "" },
//  { 0x1C8E, "" },
//  { 0x1C8F, "" },
//  { 0x1C90, "" },
//  { 0x1C91, "" },
//  { 0x1C92, "" },
//  { 0x1C93, "" },
//  { 0x1C94, "" },
//  { 0x1C95, "" },
//  { 0x1C96, "" },
//  { 0x1C97, "" },
//  { 0x1C98, "" },
//  { 0x1C99, "" },
//  { 0x1C9A, "" },
//  { 0x1C9B, "" },
//  { 0x1C9C, "" },
//  { 0x1C9D, "" },
//  { 0x1C9E, "" },
//  { 0x1C9F, "" },
//  { 0x1CA0, "" },
//  { 0x1CA1, "" },
//  { 0x1CA2, "" },
//  { 0x1CA3, "" },
//  { 0x1CA4, "" },
//  { 0x1CA5, "" },
//  { 0x1CA6, "" },
//  { 0x1CA7, "" },
//  { 0x1CA8, "" },
//  { 0x1CA9, "" },
//  { 0x1CAA, "" },
//  { 0x1CAB, "" },
//  { 0x1CAC, "" },
//  { 0x1CAD, "" },
//  { 0x1CAE, "" },
//  { 0x1CAF, "" },
//  { 0x1CB0, "" },
//  { 0x1CB1, "" },
//  { 0x1CB2, "" },
//  { 0x1CB3, "" },
//  { 0x1CB4, "" },
//  { 0x1CB5, "" },
//  { 0x1CB6, "" },
//  { 0x1CB7, "" },
    { 0x1CB8, "elevators" },
    { 0x1CB9, "elevator_callbutton_link_v" },
    { 0x1CBA, "elevator_callbutton_link_h" },
    { 0x1CBB, "elevator_update_global_dvars" },
    { 0x1CBC, "elevator_accel" },
    { 0x1CBD, "elevator_decel" },
    { 0x1CBE, "elevator_music" },
    { 0x1CBF, "elevator_speed" },
    { 0x1CC0, "elevator_innerdoorspeed" },
    { 0x1CC1, "elevator_outterdoorspeed" },
    { 0x1CC2, "elevator_return" },
    { 0x1CC3, "elevator_waittime" },
    { 0x1CC4, "elevator_aggressive_call" },
    { 0x1CC5, "elevator_debug" },
    { 0x1CC6, "elevator_motion_detection" },
    { 0x1CC7, "elevator_think" },
    { 0x1CC8, "elevator_call" },
    { 0x1CC9, "elevator_callbuttons" },
    { 0x1CCA, "floor_override" },
    { 0x1CCB, "overrider" },
    { 0x1CCC, "elevator_fsm" },
    { 0x1CCD, "estate" },
    { 0x1CCE, "moveto_floor" },
    { 0x1CCF, "motion_trigger" },
    { 0x1CD0, "elevator_interrupted" },
    { 0x1CD1, "monitor_callbutton" },
    { 0x1CD2, "e" },
    { 0x1CD3, "call_elevator" },
    { 0x1CD4, "get_floor" },
    { 0x1CD5, "elevator_interrupt" },
    { 0x1CD6, "elevator_floor_update" },
    { 0x1CD7, "elevator_sound_think" },
    { 0x1CD8, "listen_for" },
    { 0x1CD9, "position_elevators" },
    { 0x1CDA, "elevator_move" },
    { 0x1CDB, "close_inner_doors" },
    { 0x1CDC, "open_inner_doors" },
    { 0x1CDD, "close_outer_doors" },
    { 0x1CDE, "open_outer_doors" },
    { 0x1CDF, "build_elevators" },
    { 0x1CE0, "build_call_buttons" },
    { 0x1CE1, "setup_hints" },
    { 0x1CE2, "make_discrete_trigger" },
    { 0x1CE3, "enabled" },
    { 0x1CE4, "discrete_waittill" },
    { 0x1CE5, "discrete_enable_triggerwaittill" },
    { 0x1CE6, "disable_trigger" },
    { 0x1CE7, "disable_trigger_helper" },
    { 0x1CE8, "get_outer_doorset" },
    { 0x1CE9, "get_outer_doorsets" },
    { 0x1CEA, "get_outer_closedpos" },
    { 0x1CEB, "get_outer_leftdoor" },
    { 0x1CEC, "get_outer_rightdoor" },
    { 0x1CED, "get_outer_leftdoor_openedpos" },
    { 0x1CEE, "get_outer_rightdoor_openedpos" },
    { 0x1CEF, "get_housing_children" },
    { 0x1CF0, "get_housing_mainframe" },
    { 0x1CF1, "get_housing_models" },
    { 0x1CF2, "get_housing_primarylight" },
    { 0x1CF3, "get_housing_musak_model" },
    { 0x1CF4, "get_housing_door_trigger" },
    { 0x1CF5, "get_housing_inside_trigger" },
    { 0x1CF6, "get_housing_closedpos" },
    { 0x1CF7, "get_housing_leftdoor" },
    { 0x1CF8, "get_housing_rightdoor" },
    { 0x1CF9, "get_housing_leftdoor_opened_pos" },
    { 0x1CFA, "get_housing_rightdoor_opened_pos" },
    { 0x1CFB, "get_curfloor" },
    { 0x1CFC, "get_initfloor" },
    { 0x1CFD, "waittill_finish_moving" },
    { 0x1CFE, "isinbound" },
    { 0x1CFF, "isinboundingspere" },
    { 0x1D00, "waittill_or_timeout" },
    { 0x1D01, "elevator_get_dvar_int" },
    { 0x1D02, "elevator_get_dvar" },
    { 0x1D03, "_pipe_fx_time" },
    { 0x1D04, "_pipes" },
    { 0x1D05, "num_pipe_fx" },
    { 0x1D06, "pipesetup" },
    { 0x1D07, "pipe_fx_array" },
    { 0x1D08, "b" },
    { 0x1D09, "pipe_wait_loop" },
    { 0x1D0A, "pipe_logic" },
    { 0x1D0B, "_pipe_methods" },
    { 0x1D0C, "pipefx" },
    { 0x1D0D, "fx_time" },
    { 0x1D0E, "_sound" },
    { 0x1D0F, "pipe_damage" },
    { 0x1D10, "_dmg" },
    { 0x1D11, "allow_pipe_damage" },
    { 0x1D12, "pipesdamage" },
    { 0x1D13, "methodsinit" },
    { 0x1D14, "pipe_calc_ballistic" },
    { 0x1D15, "pipe_calc_splash" },
    { 0x1D16, "pipe_calc_nofx" },
    { 0x1D17, "precachefx" },
    { 0x1D18, "onplayerconnect" },
    { 0x1D19, "player_init" },
    { 0x1D1A, "touchtriggers" },
    { 0x1D1B, "ai_init" },
    { 0x1D1C, "civilian_jet_flyby" },
    { 0x1D1D, "jet_init" },
    { 0x1D1E, "jet_parts" },
    { 0x1D1F, "jet_flyto" },
    { 0x1D20, "engine_fxs" },
    { 0x1D21, "flash_fxs" },
    { 0x1D22, "jet_engine_fx" },
    { 0x1D23, "jet_flash_fx_red" },
    { 0x1D24, "jet_flash_fx_green" },
    { 0x1D25, "jet_flash_fx_blink" },
    { 0x1D26, "civilianjetflyby" },
    { 0x1D27, "old_origin" },
    { 0x1D28, "jet_fly_vec" },
    { 0x1D29, "jet_flight_time" },
    { 0x1D2A, "jet_reset" },
    { 0x1D2B, "jet_timer" },
    { 0x1D2C, "civilianjetflyby_timer" },
    { 0x1D2D, "airstrikeinprogress" },
    { 0x1D2E, "ac130player" },
    { 0x1D2F, "chopper" },
    { 0x1D30, "remotemissileinprogress" },
    { 0x1D31, "gettimeinterval" },
    { 0x1D32, "getwatcheddvar" },
    { 0x1D33, "gametype" },
    { 0x1D34, "overridewatchdvars" },
    { 0x1D35, "watchdvars" },
    { 0x1D36, "value" },
    { 0x1D37, "jet_flyby" },
    { 0x1D38, "mapcenter" },
    { 0x1D39, "jet_planesound" },
    { 0x1D3A, "playsound_float" },
    { 0x1D3B, "playsound_loop_on_ent" },
    { 0x1D3C, "targetisinfront" },
    { 0x1D3D, "targetisclose" },
    { 0x1D3E, "vending_machine" },
    { 0x1D3F, "vm_normal" },
    { 0x1D40, "vm_launch_from" },
    { 0x1D41, "vm_launch_to" },
    { 0x1D42, "vm_fx_loc" },
    { 0x1D43, "vm_normal_model" },
    { 0x1D44, "vm_damaged_model" },
    { 0x1D45, "vm_soda_model" },
    { 0x1D46, "vm_soda_start_pos" },
    { 0x1D47, "vm_soda_start_angle" },
    { 0x1D48, "vm_soda_stop_pos" },
    { 0x1D49, "vm_soda_stop_angle" },
    { 0x1D4A, "soda_array" },
    { 0x1D4B, "soda_count" },
    { 0x1D4C, "soda_slot" },
    { 0x1D4D, "hp" },
    { 0x1D4E, "vending_machine_damage_monitor" },
    { 0x1D4F, "spawn_soda" },
    { 0x1D50, "soda_can_drop" },
    { 0x1D51, "soda_can_eject" },
    { 0x1D52, "ejected" },
    { 0x1D53, "freefall" },
    { 0x1D54, "metal_detector" },
    { 0x1D55, "alarm_interval" },
    { 0x1D56, "alarm_playing" },
    { 0x1D57, "alarm_annoyance" },
    { 0x1D58, "tolerance" },
    { 0x1D59, "playsound_and_light" },
    { 0x1D5A, "annoyance_tracker" },
    { 0x1D5B, "waittill_any_or_timeout" },
    { 0x1D5C, "metal_detector_weapons" },
    { 0x1D5D, "waittill_weapon_placed" },
    { 0x1D5E, "weapon_notify_loop" },
    { 0x1D5F, "isinbound_single" },
    { 0x1D60, "metal_detector_dmg_monitor" },
    { 0x1D61, "metal_detector_touch_monitor" },
    { 0x1D62, "alarm_validate_damage" },
    { 0x1D63, "creaky_board" },
    { 0x1D64, "do_creak" },
    { 0x1D65, "motion_light" },
    { 0x1D66, "movetracker" },
    { 0x1D67, "lightson" },
    { 0x1D68, "lightrigs" },
    { 0x1D69, "touchlist" },
    { 0x1D6A, "distmoved" },
    { 0x1D6B, "motion_light_timeout" },
    { 0x1D6C, "outdoor_motion_dlight" },
    { 0x1D6D, "outdoor_motion_light" },
    { 0x1D6E, "lightent" },
    { 0x1D6F, "outdoor_motion_dlight_timeout" },
    { 0x1D70, "dog_bark" },
    { 0x1D71, "trigger_door" },
    { 0x1D72, "doorent" },
    { 0x1D73, "doorangle" },
    { 0x1D74, "baseyaw" },
    { 0x1D75, "dooropen" },
    { 0x1D76, "doorclose" },
    { 0x1D77, "getdoorside" },
    { 0x1D78, "use_toggle" },
    { 0x1D79, "bird_startle" },
    { 0x1D7A, "photo_copier_init" },
    { 0x1D7B, "copier" },
    { 0x1D7C, "copy_bar" },
    { 0x1D7D, "start_pos" },
    { 0x1D7E, "light" },
    { 0x1D7F, "end_pos" },
    { 0x1D80, "get_photo_copier" },
    { 0x1D81, "waittill_copier_copies" },
    { 0x1D82, "photo_copier" },
    { 0x1D83, "photo_copier_no_light" },
    { 0x1D84, "reset_copier" },
    { 0x1D85, "photo_copier_copy_bar_goes" },
    { 0x1D86, "photo_copier_light_on" },
    { 0x1D87, "photo_copier_stop" },
    { 0x1D88, "photo_light_flicker" },
    { 0x1D89, "fan_blade_rotate" },
    { 0x1D8A, "triggertouchthink" },
    { 0x1D8B, "finished_spawning" },
    { 0x1D8C, "playertouchtriggerthink" },
    { 0x1D8D, "guid" },
    { 0x1D8E, "movetrackers" },
    { 0x1D8F, "gameended" },
    { 0x1D90, "movementtracker" },
    { 0x1D91, "disablemovementtracker" },
    { 0x1D92, "anythingtouchingtrigger" },
    { 0x1D93, "playertouchingtrigger" },
//  { 0x1D94, "" },
//  { 0x1D95, "" },
//  { 0x1D96, "" },
//  { 0x1D97, "" },
//  { 0x1D98, "" },
//  { 0x1D99, "" },
//  { 0x1D9A, "" },
//  { 0x1D9B, "" },
//  { 0x1D9C, "" },
//  { 0x1D9D, "" },
//  { 0x1D9E, "" },
//  { 0x1D9F, "" },
//  { 0x1DA0, "" },
//  { 0x1DA1, "" },
//  { 0x1DA2, "" },
//  { 0x1DA3, "" },
//  { 0x1DA4, "" },
//  { 0x1DA5, "" },
//  { 0x1DA6, "" },
//  { 0x1DA7, "" },
//  { 0x1DA8, "" },
//  { 0x1DA9, "" },
//  { 0x1DAA, "" },
//  { 0x1DAB, "" },
//  { 0x1DAC, "" },
//  { 0x1DAD, "" },
//  { 0x1DAE, "" },
//  { 0x1DAF, "" },
//  { 0x1DB0, "" },
//  { 0x1DB1, "" },
//  { 0x1DB2, "" },
//  { 0x1DB3, "" },
//  { 0x1DB4, "" },
//  { 0x1DB5, "" },
//  { 0x1DB6, "" },
//  { 0x1DB7, "" },
//  { 0x1DB8, "" },
//  { 0x1DB9, "" },
//  { 0x1DBA, "" },
//  { 0x1DBB, "" },
//  { 0x1DBC, "" },
//  { 0x1DBD, "" },
//  { 0x1DBE, "" },
//  { 0x1DBF, "" },
//  { 0x1DC0, "" },
//  { 0x1DC1, "" },
//  { 0x1DC2, "" },
//  { 0x1DC3, "" },
//  { 0x1DC4, "" },
    { 0x1DC5, "inc" },
    { 0x1DC6, "startyaw" },
    { 0x1DC7, "windcontroller" },
//  { 0x1DC8, "" },
//  { 0x1DC9, "" },
//  { 0x1DCA, "" },
//  { 0x1DCB, "" },
//  { 0x1DCC, "" },
    { 0x1DCD, "shutterwanderleft" },
    { 0x1DCE, "shutterwanderright" },
//  { 0x1DCF, "" },
    { 0x1DD0, "wirewander" },
//  { 0x1DD1, "" },
//  { 0x1DD2, "" },
//  { 0x1DD3, "" },
//  { 0x1DD4, "" },
//  { 0x1DD5, "" },
//  { 0x1DD6, "" },
//  { 0x1DD7, "" },
//  { 0x1DD8, "" },
//  { 0x1DD9, "" },
//  { 0x1DDA, "" },
//  { 0x1DDB, "" },
    { 0x1DDC, "breakables_fx" },
//  { 0x1DDD, "" },
//  { 0x1DDE, "" },
    { 0x1DDF, "barrelexpsound" },
//  { 0x1DE0, "" },
    { 0x1DE1, "barrelhealth" },
    { 0x1DE2, "precachemodeltype" },
    { 0x1DE3, "barrelexplodingthisframe" },
    { 0x1DE4, "breakables_clip" },
//  { 0x1DE5, "" },
//  { 0x1DE6, "" },
//  { 0x1DE7, "" },
    { 0x1DE8, "_breakable_utility_modelarray" },
    { 0x1DE9, "_breakable_utility_modelindex" },
    { 0x1DEA, "_breakable_utility_maxnum" },
//  { 0x1DEB, "" },
//  { 0x1DEC, "" },
//  { 0x1DED, "" },
//  { 0x1DEE, "" },
//  { 0x1DEF, "" },
//  { 0x1DF0, "" },
//  { 0x1DF1, "" },
//  { 0x1DF2, "" },
//  { 0x1DF3, "" },
//  { 0x1DF4, "" },
//  { 0x1DF5, "" },
//  { 0x1DF6, "" },
//  { 0x1DF7, "" },
//  { 0x1DF8, "" },
//  { 0x1DF9, "" },
    { 0x1DFA, "oil_spill_think" },
    { 0x1DFB, "barrel" },
    { 0x1DFC, "oilspill" },
    { 0x1DFD, "extra" },
    { 0x1DFE, "oil_spill_burn_after" },
    { 0x1DFF, "oil_spill_burn" },
    { 0x1E00, "oil_spill_burn_section" },
    { 0x1E01, "explodable_barrel_think" },
    { 0x1E02, "explodable_barrel_burn" },
    { 0x1E03, "explodable_barrel_explode" },
    { 0x1E04, "remove" },
//  { 0x1E05, "" },
//  { 0x1E06, "" },
//  { 0x1E07, "" },
//  { 0x1E08, "" },
//  { 0x1E09, "" },
//  { 0x1E0A, "" },
//  { 0x1E0B, "" },
//  { 0x1E0C, "" },
//  { 0x1E0D, "" },
//  { 0x1E0E, "" },
//  { 0x1E0F, "" },
//  { 0x1E10, "" },
    { 0x1E11, "flags" },
//  { 0x1E12, "" },
//  { 0x1E13, "" },
//  { 0x1E14, "" },
//  { 0x1E15, "" },
//  { 0x1E16, "" },
//  { 0x1E17, "" },
//  { 0x1E18, "" },
//  { 0x1E19, "" },
    { 0x1E1A, "breakable_clip" },
//  { 0x1E1B, "" },
//  { 0x1E1C, "" },
//  { 0x1E1D, "" },
//  { 0x1E1E, "" },
//  { 0x1E1F, "" },
    { 0x1E20, "modelscale" },
//  { 0x1E21, "" },
    { 0x1E22, "getclosestent" },
//  { 0x1E23, "" },
//  { 0x1E24, "" },
//  { 0x1E25, "" },
//  { 0x1E26, "" },
//  { 0x1E27, "" },
//  { 0x1E28, "" },
//  { 0x1E29, "" },
//  { 0x1E2A, "" },
//  { 0x1E2B, "" },
    { 0x1E2C, "item" },
//  { 0x1E2D, "" },
//  { 0x1E2E, "" },
//  { 0x1E2F, "" },
//  { 0x1E30, "" },
//  { 0x1E31, "" },
//  { 0x1E32, "" },
//  { 0x1E33, "" },
//  { 0x1E34, "" },
//  { 0x1E35, "" },
//  { 0x1E36, "" },
//  { 0x1E37, "" },
//  { 0x1E38, "" },
//  { 0x1E39, "" },
//  { 0x1E3A, "" },
//  { 0x1E3B, "" },
//  { 0x1E3C, "" },
//  { 0x1E3D, "" },
//  { 0x1E3E, "" },
    { 0x1E3F, "anim_prop_models" },
//  { 0x1E40, "" },
//  { 0x1E41, "" },
//  { 0x1E42, "" },
//  { 0x1E43, "" },
    { 0x1E44, "weight" },
//  { 0x1E45, "" },
//  { 0x1E46, "" },
//  { 0x1E47, "" },
    { 0x1E48, "animatemodel" },
//  { 0x1E49, "" },
//  { 0x1E4A, "" },
    { 0x1E4B, "script_print_fx" },
    { 0x1E4C, "script_playfx" },
    { 0x1E4D, "script_playfxontag" },
    { 0x1E4E, "grenadeexplosionfx" },
    { 0x1E4F, "soundfx" },
    { 0x1E50, "soundfxdelete" },
//  { 0x1E51, "" },
//  { 0x1E52, "" },
    { 0x1E53, "blenddelete" },
//  { 0x1E54, "" },
    { 0x1E55, "setmodelfromarray" },
    { 0x1E56, "precachemodelarray" },
    { 0x1E57, "attachhead" },
    { 0x1E58, "character_head_index" },
    { 0x1E59, "script_char_index" },
    { 0x1E5A, "headmodel" },
    { 0x1E5B, "attachhat" },
    { 0x1E5C, "character_hat_index" },
    { 0x1E5D, "new" },
    { 0x1E5E, "anim_gunhand" },
    { 0x1E5F, "putguninhand" },
    { 0x1E60, "save" },
    { 0x1E61, "anim_guninhand" },
    { 0x1E62, "load" },
    { 0x1E63, "get_random_character" },
    { 0x1E64, "script_char_group" },
    { 0x1E65, "character_index_cache" },
    { 0x1E66, "get_least_used_index" },
    { 0x1E67, "initialize_character_group" },
    { 0x1E68, "get_random_weapon" },
    { 0x1E69, "setupminimap" },
//  { 0x1E6A, "" },
    { 0x1E6B, "_loadstarted" },
//  { 0x1E6C, "" },
//  { 0x1E6D, "" },
//  { 0x1E6E, "" },
    { 0x1E6F, "mapsize" },
//  { 0x1E70, "" },
//  { 0x1E71, "" },
//  { 0x1E72, "" },
//  { 0x1E73, "" },
//  { 0x1E74, "" },
//  { 0x1E75, "" },
//  { 0x1E76, "" },
//  { 0x1E77, "" },
//  { 0x1E78, "" },
//  { 0x1E79, "" },
//  { 0x1E7A, "" },
//  { 0x1E7B, "" },
//  { 0x1E7C, "" },
//  { 0x1E7D, "" },
//  { 0x1E7E, "" },
//  { 0x1E7F, "" },
//  { 0x1E80, "" },
    { 0x1E81, "createclientfontstring_func" },
    { 0x1E82, "hudsetpoint_func" },
//  { 0x1E83, "" },
//  { 0x1E84, "" },
    { 0x1E85, "laseron_func" },
    { 0x1E86, "laseroff_func" },
//  { 0x1E87, "" },
//  { 0x1E88, "" },
//  { 0x1E89, "" },
//  { 0x1E8A, "" },
//  { 0x1E8B, "" },
//  { 0x1E8C, "" },
//  { 0x1E8D, "" },
//  { 0x1E8E, "" },
//  { 0x1E8F, "" },
//  { 0x1E90, "" },
//  { 0x1E91, "" },
//  { 0x1E92, "" },
//  { 0x1E93, "" },
//  { 0x1E94, "" },
    { 0x1E95, "playerhealthregen" },
//  { 0x1E96, "" },
//  { 0x1E97, "" },
//  { 0x1E98, "" },
//  { 0x1E99, "" },
//  { 0x1E9A, "" },
//  { 0x1E9B, "" },
//  { 0x1E9C, "" },
//  { 0x1E9D, "" },
//  { 0x1E9E, "" },
//  { 0x1E9F, "" },
//  { 0x1EA0, "" },
//  { 0x1EA1, "" },
//  { 0x1EA2, "" },
//  { 0x1EA3, "" },
//  { 0x1EA4, "" },
//  { 0x1EA5, "" },
//  { 0x1EA6, "" },
//  { 0x1EA7, "" },
//  { 0x1EA8, "" },
//  { 0x1EA9, "" },
//  { 0x1EAA, "" },
//  { 0x1EAB, "" },
//  { 0x1EAC, "" },
//  { 0x1EAD, "" },
//  { 0x1EAE, "" },
//  { 0x1EAF, "" },
//  { 0x1EB0, "" },
//  { 0x1EB1, "" },
//  { 0x1EB2, "" },
//  { 0x1EB3, "" },
//  { 0x1EB4, "" },
//  { 0x1EB5, "" },
//  { 0x1EB6, "" },
//  { 0x1EB7, "" },
    { 0x1EB8, "script_prefab_exploder" },
//  { 0x1EB9, "" },
//  { 0x1EBA, "" },
//  { 0x1EBB, "" },
//  { 0x1EBC, "" },
//  { 0x1EBD, "" },
//  { 0x1EBE, "" },
//  { 0x1EBF, "" },
//  { 0x1EC0, "" },
//  { 0x1EC1, "" },
//  { 0x1EC2, "" },
//  { 0x1EC3, "" },
    { 0x1EC4, "script_accel" },
//  { 0x1EC5, "" },
//  { 0x1EC6, "" },
//  { 0x1EC7, "" },
//  { 0x1EC8, "" },
//  { 0x1EC9, "" },
//  { 0x1ECA, "" },
//  { 0x1ECB, "" },
//  { 0x1ECC, "" },
//  { 0x1ECD, "" },
//  { 0x1ECE, "" },
//  { 0x1ECF, "" },
//  { 0x1ED0, "" },
    { 0x1ED1, "exploder_load" },
    { 0x1ED2, "script_chance" },
//  { 0x1ED3, "" },
//  { 0x1ED4, "" },
//  { 0x1ED5, "" },
//  { 0x1ED6, "" },
//  { 0x1ED7, "" },
//  { 0x1ED8, "" },
//  { 0x1ED9, "" },
//  { 0x1EDA, "" },
//  { 0x1EDB, "" },
    { 0x1EDC, "script_disconnectpaths" },
//  { 0x1EDD, "" },
    { 0x1EDE, "setupexploders" },
//  { 0x1EDF, "" },
//  { 0x1EE0, "" },
//  { 0x1EE1, "" },
//  { 0x1EE2, "" },
    { 0x1EE3, "script_ender" },
//  { 0x1EE4, "" },
//  { 0x1EE5, "" },
//  { 0x1EE6, "" },
//  { 0x1EE7, "" },
//  { 0x1EE8, "" },
//  { 0x1EE9, "" },
//  { 0x1EEA, "" },
//  { 0x1EEB, "" },
//  { 0x1EEC, "" },
//  { 0x1EED, "" },
//  { 0x1EEE, "" },
//  { 0x1EEF, "" },
//  { 0x1EF0, "" },
//  { 0x1EF1, "" },
//  { 0x1EF2, "" },
//  { 0x1EF3, "" },
//  { 0x1EF4, "" },
//  { 0x1EF5, "" },
//  { 0x1EF6, "" },
//  { 0x1EF7, "" },
//  { 0x1EF8, "" },
//  { 0x1EF9, "" },
//  { 0x1EFA, "" },
//  { 0x1EFB, "" },
//  { 0x1EFC, "" },
//  { 0x1EFD, "" },
//  { 0x1EFE, "" },
//  { 0x1EFF, "" },
//  { 0x1F00, "" },
//  { 0x1F01, "" },
//  { 0x1F02, "" },
//  { 0x1F03, "" },
//  { 0x1F04, "" },
//  { 0x1F05, "" },
//  { 0x1F06, "" },
//  { 0x1F07, "" },
//  { 0x1F08, "" },
//  { 0x1F09, "" },
//  { 0x1F0A, "" },
//  { 0x1F0B, "" },
//  { 0x1F0C, "" },
//  { 0x1F0D, "" },
//  { 0x1F0E, "" },
//  { 0x1F0F, "" },
//  { 0x1F10, "" },
    { 0x1F11, "set_vision_set" },
//  { 0x1F12, "" },
//  { 0x1F13, "" },
//  { 0x1F14, "" },
//  { 0x1F15, "" },
//  { 0x1F16, "" },
//  { 0x1F17, "" },
//  { 0x1F18, "" },
//  { 0x1F19, "" },
//  { 0x1F1A, "" },
//  { 0x1F1B, "" },
//  { 0x1F1C, "" },
//  { 0x1F1D, "" },
//  { 0x1F1E, "" },
//  { 0x1F1F, "" },
//  { 0x1F20, "" },
//  { 0x1F21, "" },
//  { 0x1F22, "" },
//  { 0x1F23, "" },
//  { 0x1F24, "" },
//  { 0x1F25, "" },
//  { 0x1F26, "" },
//  { 0x1F27, "" },
//  { 0x1F28, "" },
//  { 0x1F29, "" },
//  { 0x1F2A, "" },
//  { 0x1F2B, "" },
//  { 0x1F2C, "" },
//  { 0x1F2D, "" },
//  { 0x1F2E, "" },
//  { 0x1F2F, "" },
//  { 0x1F30, "" },
//  { 0x1F31, "" },
//  { 0x1F32, "" },
//  { 0x1F33, "" },
//  { 0x1F34, "" },
//  { 0x1F35, "" },
//  { 0x1F36, "" },
//  { 0x1F37, "" },
//  { 0x1F38, "" },
//  { 0x1F39, "" },
//  { 0x1F3A, "" },
//  { 0x1F3B, "" },
//  { 0x1F3C, "" },
//  { 0x1F3D, "" },
//  { 0x1F3E, "" },
//  { 0x1F3F, "" },
//  { 0x1F40, "" },
//  { 0x1F41, "" },
//  { 0x1F42, "" },
//  { 0x1F43, "" },
//  { 0x1F44, "" },
//  { 0x1F45, "" },
//  { 0x1F46, "" },
//  { 0x1F47, "" },
//  { 0x1F48, "" },
//  { 0x1F49, "" },
//  { 0x1F4A, "" },
//  { 0x1F4B, "" },
//  { 0x1F4C, "" },
//  { 0x1F4D, "" },
//  { 0x1F4E, "" },
//  { 0x1F4F, "" },
//  { 0x1F50, "" },
//  { 0x1F51, "" },
//  { 0x1F52, "" },
//  { 0x1F53, "" },
//  { 0x1F54, "" },
//  { 0x1F55, "" },
//  { 0x1F56, "" },
//  { 0x1F57, "" },
//  { 0x1F58, "" },
//  { 0x1F59, "" },
//  { 0x1F5A, "" },
//  { 0x1F5B, "" },
//  { 0x1F5C, "" },
//  { 0x1F5D, "" },
//  { 0x1F5E, "" },
//  { 0x1F5F, "" },
//  { 0x1F60, "" },
//  { 0x1F61, "" },
//  { 0x1F62, "" },
//  { 0x1F63, "" },
//  { 0x1F64, "" },
//  { 0x1F65, "" },
//  { 0x1F66, "" },
//  { 0x1F67, "" },
//  { 0x1F68, "" },
//  { 0x1F69, "" },
//  { 0x1F6A, "" },
//  { 0x1F6B, "" },
//  { 0x1F6C, "" },
//  { 0x1F6D, "" },
//  { 0x1F6E, "" },
//  { 0x1F6F, "" },
//  { 0x1F70, "" },
//  { 0x1F71, "" },
//  { 0x1F72, "" },
//  { 0x1F73, "" },
//  { 0x1F74, "" },
//  { 0x1F75, "" },
//  { 0x1F76, "" },
//  { 0x1F77, "" },
//  { 0x1F78, "" },
//  { 0x1F79, "" },
//  { 0x1F7A, "" },
//  { 0x1F7B, "" },
//  { 0x1F7C, "" },
//  { 0x1F7D, "" },
//  { 0x1F7E, "" },
//  { 0x1F7F, "" },
//  { 0x1F80, "" },
//  { 0x1F81, "" },
//  { 0x1F82, "" },
//  { 0x1F83, "" },
//  { 0x1F84, "" },
//  { 0x1F85, "" },
//  { 0x1F86, "" },
//  { 0x1F87, "" },
//  { 0x1F88, "" },
//  { 0x1F89, "" },
//  { 0x1F8A, "" },
//  { 0x1F8B, "" },
//  { 0x1F8C, "" },
//  { 0x1F8D, "" },
//  { 0x1F8E, "" },
//  { 0x1F8F, "" },
//  { 0x1F90, "" },
//  { 0x1F91, "" },
//  { 0x1F92, "" },
//  { 0x1F93, "" },
//  { 0x1F94, "" },
//  { 0x1F95, "" },
//  { 0x1F96, "" },
//  { 0x1F97, "" },
//  { 0x1F98, "" },
//  { 0x1F99, "" },
//  { 0x1F9A, "" },
//  { 0x1F9B, "" },
//  { 0x1F9C, "" },
//  { 0x1F9D, "" },
//  { 0x1F9E, "" },
//  { 0x1F9F, "" },
//  { 0x1FA0, "" },
//  { 0x1FA1, "" },
//  { 0x1FA2, "" },
//  { 0x1FA3, "" },
//  { 0x1FA4, "" },
//  { 0x1FA5, "" },
//  { 0x1FA6, "" },
//  { 0x1FA7, "" },
//  { 0x1FA8, "" },
//  { 0x1FA9, "" },
    { 0x1FAA, "watchweaponchange" },
//  { 0x1FAB, "" },
//  { 0x1FAC, "" },
//  { 0x1FAD, "" },
//  { 0x1FAE, "" },
//  { 0x1FAF, "" },
//  { 0x1FB0, "" },
//  { 0x1FB1, "" },
//  { 0x1FB2, "" },
//  { 0x1FB3, "" },
//  { 0x1FB4, "" },
//  { 0x1FB5, "" },
//  { 0x1FB6, "" },
//  { 0x1FB7, "" },
//  { 0x1FB8, "" },
//  { 0x1FB9, "" },
//  { 0x1FBA, "" },
//  { 0x1FBB, "" },
//  { 0x1FBC, "" },
//  { 0x1FBD, "" },
//  { 0x1FBE, "" },
//  { 0x1FBF, "" },
//  { 0x1FC0, "" },
//  { 0x1FC1, "" },
//  { 0x1FC2, "" },
//  { 0x1FC3, "" },
//  { 0x1FC4, "" },
//  { 0x1FC5, "" },
//  { 0x1FC6, "" },
//  { 0x1FC7, "" },
//  { 0x1FC8, "" },
//  { 0x1FC9, "" },
//  { 0x1FCA, "" },
//  { 0x1FCB, "" },
//  { 0x1FCC, "" },
//  { 0x1FCD, "" },
//  { 0x1FCE, "" },
//  { 0x1FCF, "" },
//  { 0x1FD0, "" },
//  { 0x1FD1, "" },
//  { 0x1FD2, "" },
//  { 0x1FD3, "" },
//  { 0x1FD4, "" },
//  { 0x1FD5, "" },
//  { 0x1FD6, "" },
//  { 0x1FD7, "" },
//  { 0x1FD8, "" },
//  { 0x1FD9, "" },
//  { 0x1FDA, "" },
//  { 0x1FDB, "" },
//  { 0x1FDC, "" },
//  { 0x1FDD, "" },
//  { 0x1FDE, "" },
//  { 0x1FDF, "" },
    { 0x1FE0, "friendlyfire" },
//  { 0x1FE1, "" },
    { 0x1FE2, "friendlyfiredisabled" },
//  { 0x1FE3, "" },
//  { 0x1FE4, "" },
//  { 0x1FE5, "" },
//  { 0x1FE6, "" },
//  { 0x1FE7, "" },
//  { 0x1FE8, "" },
//  { 0x1FE9, "" },
//  { 0x1FEA, "" },
//  { 0x1FEB, "" },
//  { 0x1FEC, "" },
//  { 0x1FED, "" },
//  { 0x1FEE, "" },
//  { 0x1FEF, "" },
//  { 0x1FF0, "" },
//  { 0x1FF1, "" },
//  { 0x1FF2, "" },
//  { 0x1FF3, "" },
//  { 0x1FF4, "" },
//  { 0x1FF5, "" },
//  { 0x1FF6, "" },
//  { 0x1FF7, "" },
//  { 0x1FF8, "" },
//  { 0x1FF9, "" },
//  { 0x1FFA, "" },
//  { 0x1FFB, "" },
//  { 0x1FFC, "" },
//  { 0x1FFD, "" },
//  { 0x1FFE, "" },
//  { 0x1FFF, "" },
//  { 0x2000, "" },
//  { 0x2001, "" },
//  { 0x2002, "" },
//  { 0x2003, "" },
//  { 0x2004, "" },
//  { 0x2005, "" },
//  { 0x2006, "" },
//  { 0x2007, "" },
//  { 0x2008, "" },
//  { 0x2009, "" },
//  { 0x200A, "" },
//  { 0x200B, "" },
//  { 0x200C, "" },
//  { 0x200D, "" },
//  { 0x200E, "" },
//  { 0x200F, "" },
//  { 0x2010, "" },
//  { 0x2011, "" },
//  { 0x2012, "" },
//  { 0x2013, "" },
//  { 0x2014, "" },
//  { 0x2015, "" },
//  { 0x2016, "" },
//  { 0x2017, "" },
//  { 0x2018, "" },
//  { 0x2019, "" },
//  { 0x201A, "" },
//  { 0x201B, "" },
//  { 0x201C, "" },
//  { 0x201D, "" },
//  { 0x201E, "" },
//  { 0x201F, "" },
    { 0x2020, "maps/createart/so_survival_mp_hardhat_fog" },
    { 0x2021, "maps/createart/so_survival_mp_hardhat_art" },
    { 0x2022, "maps/createart/so_survival_mp_alpha_fog" },
    { 0x2023, "maps/createart/so_survival_mp_alpha_art" },
    { 0x2024, "maps/createart/so_survival_mp_bootleg_fog" },
    { 0x2025, "maps/createart/so_survival_mp_bootleg_art" },
    { 0x2026, "maps/createart/so_survival_mp_bravo_fog" },
    { 0x2027, "maps/createart/so_survival_mp_bravo_art" },
    { 0x2028, "maps/createart/so_survival_mp_carbon_fog" },
    { 0x2029, "maps/createart/so_survival_mp_carbon_art" },
    { 0x202A, "maps/createart/so_survival_mp_exchange_fog" },
    { 0x202B, "maps/createart/so_survival_mp_exchange_art" },
    { 0x202C, "maps/createart/so_survival_mp_interchange_fog" },
    { 0x202D, "maps/createart/so_survival_mp_interchange_art" },
    { 0x202E, "maps/createart/so_survival_mp_lambeth_fog" },
    { 0x202F, "maps/createart/so_survival_mp_lambeth_art" },
    { 0x2030, "maps/createart/so_survival_mp_mogadishu_fog" },
    { 0x2031, "maps/createart/so_survival_mp_mogadishu_art" },
    { 0x2032, "maps/createart/so_survival_mp_paris_fog" },
    { 0x2033, "maps/createart/so_survival_mp_paris_art" },
    { 0x2034, "maps/createart/so_survival_mp_plaza2_fog" },
//  { 0x2035, "" },
//  { 0x2036, "" },
//  { 0x2037, "" },
//  { 0x2038, "" },
//  { 0x2039, "" },
//  { 0x203A, "" },
//  { 0x203B, "" },
//  { 0x203C, "" },
//  { 0x203D, "" },
//  { 0x203E, "" },
//  { 0x203F, "" },
//  { 0x2040, "" },
//  { 0x2041, "" },
//  { 0x2042, "" },
//  { 0x2043, "" },
//  { 0x2044, "" },
//  { 0x2045, "" },
//  { 0x2046, "" },
//  { 0x2047, "" },
//  { 0x2048, "" },
//  { 0x2049, "" },
//  { 0x204A, "" },
//  { 0x204B, "" },
//  { 0x204C, "" },
//  { 0x204D, "" },
//  { 0x204E, "" },
//  { 0x204F, "" },
//  { 0x2050, "" },
//  { 0x2051, "" },
//  { 0x2052, "" },
//  { 0x2053, "" },
//  { 0x2054, "" },
//  { 0x2055, "" },
//  { 0x2056, "" },
//  { 0x2057, "" },
//  { 0x2058, "" },
//  { 0x2059, "" },
//  { 0x205A, "" },
//  { 0x205B, "" },
//  { 0x205C, "" },
//  { 0x205D, "" },
//  { 0x205E, "" },
//  { 0x205F, "" },
//  { 0x2060, "" },
//  { 0x2061, "" },
//  { 0x2062, "" },
//  { 0x2063, "" },
//  { 0x2064, "" },
//  { 0x2065, "" },
//  { 0x2066, "" },
//  { 0x2067, "" },
//  { 0x2068, "" },
//  { 0x2069, "" },
//  { 0x206A, "" },
//  { 0x206B, "" },
//  { 0x206C, "" },
//  { 0x206D, "" },
//  { 0x206E, "" },
//  { 0x206F, "" },
//  { 0x2070, "" },
//  { 0x2071, "" },
//  { 0x2072, "" },
//  { 0x2073, "" },
//  { 0x2074, "" },
//  { 0x2075, "" },
//  { 0x2076, "" },
//  { 0x2077, "" },
//  { 0x2078, "" },
//  { 0x2079, "" },
//  { 0x207A, "" },
//  { 0x207B, "" },
//  { 0x207C, "" },
//  { 0x207D, "" },
//  { 0x207E, "" },
//  { 0x207F, "" },
//  { 0x2080, "" },
//  { 0x2081, "" },
//  { 0x2082, "" },
//  { 0x2083, "" },
//  { 0x2084, "" },
//  { 0x2085, "" },
//  { 0x2086, "" },
//  { 0x2087, "" },
//  { 0x2088, "" },
//  { 0x2089, "" },
//  { 0x208A, "" },
//  { 0x208B, "" },
//  { 0x208C, "" },
//  { 0x208D, "" },
//  { 0x208E, "" },
//  { 0x208F, "" },
//  { 0x2090, "" },
//  { 0x2091, "" },
//  { 0x2092, "" },
//  { 0x2093, "" },
//  { 0x2094, "" },
//  { 0x2095, "" },
//  { 0x2096, "" },
//  { 0x2097, "" },
//  { 0x2098, "" },
//  { 0x2099, "" },
//  { 0x209A, "" },
//  { 0x209B, "" },
//  { 0x209C, "" },
//  { 0x209D, "" },
//  { 0x209E, "" },
//  { 0x209F, "" },
//  { 0x20A0, "" },
//  { 0x20A1, "" },
//  { 0x20A2, "" },
//  { 0x20A3, "" },
//  { 0x20A4, "" },
//  { 0x20A5, "" },
//  { 0x20A6, "" },
//  { 0x20A7, "" },
//  { 0x20A8, "" },
//  { 0x20A9, "" },
//  { 0x20AA, "" },
//  { 0x20AB, "" },
//  { 0x20AC, "" },
//  { 0x20AD, "" },
    { 0x20AE, "stance" },
//  { 0x20AF, "" },
//  { 0x20B0, "" },
//  { 0x20B1, "" },
//  { 0x20B2, "" },
//  { 0x20B3, "" },
//  { 0x20B4, "" },
//  { 0x20B5, "" },
//  { 0x20B6, "" },
//  { 0x20B7, "" },
//  { 0x20B8, "" },
    { 0x20B9, "monitorflash" },
//  { 0x20BA, "" },
//  { 0x20BB, "" },
//  { 0x20BC, "" },
//  { 0x20BD, "" },
//  { 0x20BE, "" },
//  { 0x20BF, "" },
//  { 0x20C0, "" },
//  { 0x20C1, "" },
//  { 0x20C2, "" },
//  { 0x20C3, "" },
//  { 0x20C4, "" },
//  { 0x20C5, "" },
//  { 0x20C6, "" },
//  { 0x20C7, "" },
//  { 0x20C8, "" },
//  { 0x20C9, "" },
//  { 0x20CA, "" },
//  { 0x20CB, "" },
//  { 0x20CC, "" },
//  { 0x20CD, "" },
//  { 0x20CE, "" },
//  { 0x20CF, "" },
//  { 0x20D0, "" },
//  { 0x20D1, "" },
//  { 0x20D2, "" },
//  { 0x20D3, "" },
//  { 0x20D4, "" },
//  { 0x20D5, "" },
//  { 0x20D6, "" },
//  { 0x20D7, "" },
//  { 0x20D8, "" },
//  { 0x20D9, "" },
//  { 0x20DA, "" },
//  { 0x20DB, "" },
//  { 0x20DC, "" },
//  { 0x20DD, "" },
//  { 0x20DE, "" },
//  { 0x20DF, "" },
//  { 0x20E0, "" },
//  { 0x20E1, "" },
//  { 0x20E2, "" },
//  { 0x20E3, "" },
//  { 0x20E4, "" },
//  { 0x20E5, "" },
//  { 0x20E6, "" },
//  { 0x20E7, "" },
//  { 0x20E8, "" },
//  { 0x20E9, "" },
//  { 0x20EA, "" },
//  { 0x20EB, "" },
//  { 0x20EC, "" },
//  { 0x20ED, "" },
//  { 0x20EE, "" },
//  { 0x20EF, "" },
//  { 0x20F0, "" },
//  { 0x20F1, "" },
//  { 0x20F2, "" },
//  { 0x20F3, "" },
//  { 0x20F4, "" },
//  { 0x20F5, "" },
//  { 0x20F6, "" },
//  { 0x20F7, "" },
    { 0x20F8, "ondeath" },
//  { 0x20F9, "" },
//  { 0x20FA, "" },
//  { 0x20FB, "" },
//  { 0x20FC, "" },
//  { 0x20FD, "" },
//  { 0x20FE, "" },
//  { 0x20FF, "" },
//  { 0x2100, "" },
//  { 0x2101, "" },
//  { 0x2102, "" },
//  { 0x2103, "" },
//  { 0x2104, "" },
//  { 0x2105, "" },
//  { 0x2106, "" },
//  { 0x2107, "" },
//  { 0x2108, "" },
//  { 0x2109, "" },
//  { 0x210A, "" },
//  { 0x210B, "" },
//  { 0x210C, "" },
//  { 0x210D, "" },
//  { 0x210E, "" },
//  { 0x210F, "" },
//  { 0x2110, "" },
//  { 0x2111, "" },
//  { 0x2112, "" },
//  { 0x2113, "" },
//  { 0x2114, "" },
//  { 0x2115, "" },
//  { 0x2116, "" },
//  { 0x2117, "" },
//  { 0x2118, "" },
//  { 0x2119, "" },
//  { 0x211A, "" },
//  { 0x211B, "" },
//  { 0x211C, "" },
//  { 0x211D, "" },
//  { 0x211E, "" },
//  { 0x211F, "" },
//  { 0x2120, "" },
//  { 0x2121, "" },
//  { 0x2122, "" },
//  { 0x2123, "" },
//  { 0x2124, "" },
//  { 0x2125, "" },
//  { 0x2126, "" },
//  { 0x2127, "" },
//  { 0x2128, "" },
//  { 0x2129, "" },
//  { 0x212A, "" },
//  { 0x212B, "" },
//  { 0x212C, "" },
//  { 0x212D, "" },
//  { 0x212E, "" },
//  { 0x212F, "" },
//  { 0x2130, "" },
//  { 0x2131, "" },
//  { 0x2132, "" },
//  { 0x2133, "" },
//  { 0x2134, "" },
//  { 0x2135, "" },
//  { 0x2136, "" },
//  { 0x2137, "" },
//  { 0x2138, "" },
//  { 0x2139, "" },
//  { 0x213A, "" },
//  { 0x213B, "" },
//  { 0x213C, "" },
//  { 0x213D, "" },
//  { 0x213E, "" },
//  { 0x213F, "" },
//  { 0x2140, "" },
//  { 0x2141, "" },
//  { 0x2142, "" },
//  { 0x2143, "" },
//  { 0x2144, "" },
//  { 0x2145, "" },
//  { 0x2146, "" },
//  { 0x2147, "" },
//  { 0x2148, "" },
//  { 0x2149, "" },
//  { 0x214A, "" },
//  { 0x214B, "" },
//  { 0x214C, "" },
//  { 0x214D, "" },
//  { 0x214E, "" },
//  { 0x214F, "" },
//  { 0x2150, "" },
//  { 0x2151, "" },
//  { 0x2152, "" },
//  { 0x2153, "" },
//  { 0x2154, "" },
//  { 0x2155, "" },
//  { 0x2156, "" },
//  { 0x2157, "" },
//  { 0x2158, "" },
//  { 0x2159, "" },
//  { 0x215A, "" },
//  { 0x215B, "" },
//  { 0x215C, "" },
//  { 0x215D, "" },
//  { 0x215E, "" },
//  { 0x215F, "" },
//  { 0x2160, "" },
//  { 0x2161, "" },
//  { 0x2162, "" },
//  { 0x2163, "" },
//  { 0x2164, "" },
//  { 0x2165, "" },
//  { 0x2166, "" },
//  { 0x2167, "" },
//  { 0x2168, "" },
//  { 0x2169, "" },
//  { 0x216A, "" },
//  { 0x216B, "" },
//  { 0x216C, "" },
//  { 0x216D, "" },
//  { 0x216E, "" },
//  { 0x216F, "" },
//  { 0x2170, "" },
//  { 0x2171, "" },
//  { 0x2172, "" },
//  { 0x2173, "" },
//  { 0x2174, "" },
//  { 0x2175, "" },
//  { 0x2176, "" },
//  { 0x2177, "" },
//  { 0x2178, "" },
//  { 0x2179, "" },
//  { 0x217A, "" },
//  { 0x217B, "" },
//  { 0x217C, "" },
//  { 0x217D, "" },
//  { 0x217E, "" },
//  { 0x217F, "" },
//  { 0x2180, "" },
//  { 0x2181, "" },
//  { 0x2182, "" },
//  { 0x2183, "" },
//  { 0x2184, "" },
//  { 0x2185, "" },
//  { 0x2186, "" },
//  { 0x2187, "" },
//  { 0x2188, "" },
//  { 0x2189, "" },
//  { 0x218A, "" },
//  { 0x218B, "" },
//  { 0x218C, "" },
//  { 0x218D, "" },
//  { 0x218E, "" },
//  { 0x218F, "" },
//  { 0x2190, "" },
//  { 0x2191, "" },
//  { 0x2192, "" },
//  { 0x2193, "" },
//  { 0x2194, "" },
//  { 0x2195, "" },
//  { 0x2196, "" },
//  { 0x2197, "" },
//  { 0x2198, "" },
//  { 0x2199, "" },
//  { 0x219A, "" },
//  { 0x219B, "" },
//  { 0x219C, "" },
//  { 0x219D, "" },
//  { 0x219E, "" },
//  { 0x219F, "" },
//  { 0x21A0, "" },
//  { 0x21A1, "" },
//  { 0x21A2, "" },
//  { 0x21A3, "" },
//  { 0x21A4, "" },
//  { 0x21A5, "" },
//  { 0x21A6, "" },
//  { 0x21A7, "" },
//  { 0x21A8, "" },
//  { 0x21A9, "" },
//  { 0x21AA, "" },
//  { 0x21AB, "" },
//  { 0x21AC, "" },
//  { 0x21AD, "" },
//  { 0x21AE, "" },
//  { 0x21AF, "" },
//  { 0x21B0, "" },
//  { 0x21B1, "" },
//  { 0x21B2, "" },
//  { 0x21B3, "" },
//  { 0x21B4, "" },
//  { 0x21B5, "" },
//  { 0x21B6, "" },
//  { 0x21B7, "" },
//  { 0x21B8, "" },
//  { 0x21B9, "" },
//  { 0x21BA, "" },
//  { 0x21BB, "" },
//  { 0x21BC, "" },
//  { 0x21BD, "" },
//  { 0x21BE, "" },
//  { 0x21BF, "" },
//  { 0x21C0, "" },
//  { 0x21C1, "" },
//  { 0x21C2, "" },
//  { 0x21C3, "" },
//  { 0x21C4, "" },
//  { 0x21C5, "" },
//  { 0x21C6, "" },
//  { 0x21C7, "" },
//  { 0x21C8, "" },
//  { 0x21C9, "" },
//  { 0x21CA, "" },
//  { 0x21CB, "" },
//  { 0x21CC, "" },
//  { 0x21CD, "" },
//  { 0x21CE, "" },
//  { 0x21CF, "" },
//  { 0x21D0, "" },
//  { 0x21D1, "" },
//  { 0x21D2, "" },
//  { 0x21D3, "" },
//  { 0x21D4, "" },
//  { 0x21D5, "" },
//  { 0x21D6, "" },
//  { 0x21D7, "" },
//  { 0x21D8, "" },
//  { 0x21D9, "" },
//  { 0x21DA, "" },
//  { 0x21DB, "" },
//  { 0x21DC, "" },
//  { 0x21DD, "" },
//  { 0x21DE, "" },
//  { 0x21DF, "" },
//  { 0x21E0, "" },
//  { 0x21E1, "" },
//  { 0x21E2, "" },
//  { 0x21E3, "" },
//  { 0x21E4, "" },
    { 0x21E5, "oldradius" },
//  { 0x21E6, "" },
//  { 0x21E7, "" },
//  { 0x21E8, "" },
//  { 0x21E9, "" },
//  { 0x21EA, "" },
//  { 0x21EB, "" },
//  { 0x21EC, "" },
//  { 0x21ED, "" },
//  { 0x21EE, "" },
//  { 0x21EF, "" },
//  { 0x21F0, "" },
//  { 0x21F1, "" },
//  { 0x21F2, "" },
//  { 0x21F3, "" },
//  { 0x21F4, "" },
//  { 0x21F5, "" },
//  { 0x21F6, "" },
//  { 0x21F7, "" },
//  { 0x21F8, "" },
//  { 0x21F9, "" },
//  { 0x21FA, "" },
//  { 0x21FB, "" },
//  { 0x21FC, "" },
//  { 0x21FD, "" },
//  { 0x21FE, "" },
//  { 0x21FF, "" },
//  { 0x2200, "" },
//  { 0x2201, "" },
//  { 0x2202, "" },
//  { 0x2203, "" },
//  { 0x2204, "" },
//  { 0x2205, "" },
//  { 0x2206, "" },
//  { 0x2207, "" },
//  { 0x2208, "" },
//  { 0x2209, "" },
//  { 0x220A, "" },
//  { 0x220B, "" },
//  { 0x220C, "" },
//  { 0x220D, "" },
//  { 0x220E, "" },
//  { 0x220F, "" },
//  { 0x2210, "" },
//  { 0x2211, "" },
//  { 0x2212, "" },
//  { 0x2213, "" },
//  { 0x2214, "" },
//  { 0x2215, "" },
//  { 0x2216, "" },
//  { 0x2217, "" },
//  { 0x2218, "" },
//  { 0x2219, "" },
//  { 0x221A, "" },
//  { 0x221B, "" },
//  { 0x221C, "" },
//  { 0x221D, "" },
//  { 0x221E, "" },
//  { 0x221F, "" },
//  { 0x2220, "" },
//  { 0x2221, "" },
//  { 0x2222, "" },
//  { 0x2223, "" },
//  { 0x2224, "" },
//  { 0x2225, "" },
//  { 0x2226, "" },
//  { 0x2227, "" },
//  { 0x2228, "" },
    { 0x2229, "debugprint" },
//  { 0x222A, "" },
//  { 0x222B, "" },
//  { 0x222C, "" },
//  { 0x222D, "" },
//  { 0x222E, "" },
//  { 0x222F, "" },
//  { 0x2230, "" },
//  { 0x2231, "" },
//  { 0x2232, "" },
//  { 0x2233, "" },
//  { 0x2234, "" },
//  { 0x2235, "" },
//  { 0x2236, "" },
//  { 0x2237, "" },
//  { 0x2238, "" },
//  { 0x2239, "" },
//  { 0x223A, "" },
//  { 0x223B, "" },
//  { 0x223C, "" },
//  { 0x223D, "" },
//  { 0x223E, "" },
//  { 0x223F, "" },
//  { 0x2240, "" },
//  { 0x2241, "" },
//  { 0x2242, "" },
//  { 0x2243, "" },
//  { 0x2244, "" },
//  { 0x2245, "" },
//  { 0x2246, "" },
//  { 0x2247, "" },
//  { 0x2248, "" },
//  { 0x2249, "" },
//  { 0x224A, "" },
//  { 0x224B, "" },
//  { 0x224C, "" },
//  { 0x224D, "" },
//  { 0x224E, "" },
//  { 0x224F, "" },
//  { 0x2250, "" },
//  { 0x2251, "" },
//  { 0x2252, "" },
//  { 0x2253, "" },
//  { 0x2254, "" },
//  { 0x2255, "" },
//  { 0x2256, "" },
//  { 0x2257, "" },
//  { 0x2258, "" },
//  { 0x2259, "" },
//  { 0x225A, "" },
//  { 0x225B, "" },
//  { 0x225C, "" },
//  { 0x225D, "" },
//  { 0x225E, "" },
//  { 0x225F, "" },
//  { 0x2260, "" },
//  { 0x2261, "" },
//  { 0x2262, "" },
//  { 0x2263, "" },
//  { 0x2264, "" },
//  { 0x2265, "" },
//  { 0x2266, "" },
//  { 0x2267, "" },
//  { 0x2268, "" },
    { 0x2269, "export" },
//  { 0x226A, "" },
//  { 0x226B, "" },
//  { 0x226C, "" },
    { 0x226D, "deathtime" },
//  { 0x226E, "" },
//  { 0x226F, "" },
//  { 0x2270, "" },
//  { 0x2271, "" },
//  { 0x2272, "" },
//  { 0x2273, "" },
//  { 0x2274, "" },
//  { 0x2275, "" },
//  { 0x2276, "" },
//  { 0x2277, "" },
//  { 0x2278, "" },
//  { 0x2279, "" },
//  { 0x227A, "" },
//  { 0x227B, "" },
//  { 0x227C, "" },
//  { 0x227D, "" },
//  { 0x227E, "" },
//  { 0x227F, "" },
//  { 0x2280, "" },
//  { 0x2281, "" },
//  { 0x2282, "" },
//  { 0x2283, "" },
//  { 0x2284, "" },
//  { 0x2285, "" },
//  { 0x2286, "" },
//  { 0x2287, "" },
//  { 0x2288, "" },
//  { 0x2289, "" },
//  { 0x228A, "" },
//  { 0x228B, "" },
//  { 0x228C, "" },
//  { 0x228D, "" },
//  { 0x228E, "" },
//  { 0x228F, "" },
//  { 0x2290, "" },
//  { 0x2291, "" },
//  { 0x2292, "" },
//  { 0x2293, "" },
//  { 0x2294, "" },
//  { 0x2295, "" },
//  { 0x2296, "" },
//  { 0x2297, "" },
//  { 0x2298, "" },
//  { 0x2299, "" },
//  { 0x229A, "" },
//  { 0x229B, "" },
//  { 0x229C, "" },
//  { 0x229D, "" },
//  { 0x229E, "" },
//  { 0x229F, "" },
//  { 0x22A0, "" },
//  { 0x22A1, "" },
//  { 0x22A2, "" },
//  { 0x22A3, "" },
//  { 0x22A4, "" },
//  { 0x22A5, "" },
//  { 0x22A6, "" },
//  { 0x22A7, "" },
//  { 0x22A8, "" },
//  { 0x22A9, "" },
//  { 0x22AA, "" },
//  { 0x22AB, "" },
//  { 0x22AC, "" },
//  { 0x22AD, "" },
//  { 0x22AE, "" },
//  { 0x22AF, "" },
//  { 0x22B0, "" },
//  { 0x22B1, "" },
//  { 0x22B2, "" },
//  { 0x22B3, "" },
//  { 0x22B4, "" },
//  { 0x22B5, "" },
//  { 0x22B6, "" },
//  { 0x22B7, "" },
//  { 0x22B8, "" },
//  { 0x22B9, "" },
//  { 0x22BA, "" },
//  { 0x22BB, "" },
//  { 0x22BC, "" },
//  { 0x22BD, "" },
//  { 0x22BE, "" },
//  { 0x22BF, "" },
//  { 0x22C0, "" },
//  { 0x22C1, "" },
//  { 0x22C2, "" },
//  { 0x22C3, "" },
//  { 0x22C4, "" },
//  { 0x22C5, "" },
//  { 0x22C6, "" },
//  { 0x22C7, "" },
//  { 0x22C8, "" },
//  { 0x22C9, "" },
//  { 0x22CA, "" },
//  { 0x22CB, "" },
    { 0x22CC, "is_in_array" },
//  { 0x22CD, "" },
//  { 0x22CE, "" },
//  { 0x22CF, "" },
//  { 0x22D0, "" },
//  { 0x22D1, "" },
//  { 0x22D2, "" },
//  { 0x22D3, "" },
//  { 0x22D4, "" },
//  { 0x22D5, "" },
//  { 0x22D6, "" },
//  { 0x22D7, "" },
//  { 0x22D8, "" },
//  { 0x22D9, "" },
//  { 0x22DA, "" },
//  { 0x22DB, "" },
//  { 0x22DC, "" },
//  { 0x22DD, "" },
//  { 0x22DE, "" },
//  { 0x22DF, "" },
//  { 0x22E0, "" },
//  { 0x22E1, "" },
//  { 0x22E2, "" },
//  { 0x22E3, "" },
//  { 0x22E4, "" },
//  { 0x22E5, "" },
//  { 0x22E6, "" },
//  { 0x22E7, "" },
//  { 0x22E8, "" },
//  { 0x22E9, "" },
//  { 0x22EA, "" },
//  { 0x22EB, "" },
//  { 0x22EC, "" },
//  { 0x22ED, "" },
//  { 0x22EE, "" },
//  { 0x22EF, "" },
//  { 0x22F0, "" },
//  { 0x22F1, "" },
//  { 0x22F2, "" },
//  { 0x22F3, "" },
//  { 0x22F4, "" },
//  { 0x22F5, "" },
//  { 0x22F6, "" },
    { 0x22F7, "playerhealth_regularregendelay" },
//  { 0x22F8, "" },
//  { 0x22F9, "" },
    { 0x22FA, "healthoverlaycutoff" },
//  { 0x22FB, "" },
//  { 0x22FC, "" },
//  { 0x22FD, "" },
//  { 0x22FE, "" },
//  { 0x22FF, "" },
//  { 0x2300, "" },
//  { 0x2301, "" },
//  { 0x2302, "" },
//  { 0x2303, "" },
//  { 0x2304, "" },
//  { 0x2305, "" },
//  { 0x2306, "" },
//  { 0x2307, "" },
//  { 0x2308, "" },
//  { 0x2309, "" },
//  { 0x230A, "" },
//  { 0x230B, "" },
//  { 0x230C, "" },
//  { 0x230D, "" },
//  { 0x230E, "" },
//  { 0x230F, "" },
//  { 0x2310, "" },
//  { 0x2311, "" },
//  { 0x2312, "" },
//  { 0x2313, "" },
//  { 0x2314, "" },
//  { 0x2315, "" },
//  { 0x2316, "" },
//  { 0x2317, "" },
//  { 0x2318, "" },
//  { 0x2319, "" },
//  { 0x231A, "" },
//  { 0x231B, "" },
//  { 0x231C, "" },
//  { 0x231D, "" },
//  { 0x231E, "" },
//  { 0x231F, "" },
//  { 0x2320, "" },
//  { 0x2321, "" },
//  { 0x2322, "" },
//  { 0x2323, "" },
//  { 0x2324, "" },
//  { 0x2325, "" },
//  { 0x2326, "" },
//  { 0x2327, "" },
//  { 0x2328, "" },
//  { 0x2329, "" },
//  { 0x232A, "" },
//  { 0x232B, "" },
//  { 0x232C, "" },
    { 0x232D, "text" },
//  { 0x232E, "" },
//  { 0x232F, "" },
//  { 0x2330, "" },
//  { 0x2331, "" },
//  { 0x2332, "" },
//  { 0x2333, "" },
//  { 0x2334, "" },
//  { 0x2335, "" },
//  { 0x2336, "" },
//  { 0x2337, "" },
//  { 0x2338, "" },
//  { 0x2339, "" },
//  { 0x233A, "" },
//  { 0x233B, "" },
//  { 0x233C, "" },
//  { 0x233D, "" },
//  { 0x233E, "" },
//  { 0x233F, "" },
//  { 0x2340, "" },
//  { 0x2341, "" },
//  { 0x2342, "" },
//  { 0x2343, "" },
//  { 0x2344, "" },
//  { 0x2345, "" },
//  { 0x2346, "" },
//  { 0x2347, "" },
//  { 0x2348, "" },
//  { 0x2349, "" },
//  { 0x234A, "" },
//  { 0x234B, "" },
//  { 0x234C, "" },
//  { 0x234D, "" },
//  { 0x234E, "" },
//  { 0x234F, "" },
//  { 0x2350, "" },
//  { 0x2351, "" },
//  { 0x2352, "" },
//  { 0x2353, "" },
//  { 0x2354, "" },
//  { 0x2355, "" },
//  { 0x2356, "" },
//  { 0x2357, "" },
//  { 0x2358, "" },
//  { 0x2359, "" },
//  { 0x235A, "" },
//  { 0x235B, "" },
//  { 0x235C, "" },
//  { 0x235D, "" },
//  { 0x235E, "" },
//  { 0x235F, "" },
//  { 0x2360, "" },
//  { 0x2361, "" },
//  { 0x2362, "" },
//  { 0x2363, "" },
//  { 0x2364, "" },
//  { 0x2365, "" },
//  { 0x2366, "" },
//  { 0x2367, "" },
//  { 0x2368, "" },
//  { 0x2369, "" },
//  { 0x236A, "" },
//  { 0x236B, "" },
//  { 0x236C, "" },
//  { 0x236D, "" },
//  { 0x236E, "" },
//  { 0x236F, "" },
//  { 0x2370, "" },
//  { 0x2371, "" },
//  { 0x2372, "" },
//  { 0x2373, "" },
//  { 0x2374, "" },
//  { 0x2375, "" },
//  { 0x2376, "" },
//  { 0x2377, "" },
//  { 0x2378, "" },
//  { 0x2379, "" },
//  { 0x237A, "" },
//  { 0x237B, "" },
//  { 0x237C, "" },
//  { 0x237D, "" },
//  { 0x237E, "" },
//  { 0x237F, "" },
//  { 0x2380, "" },
//  { 0x2381, "" },
//  { 0x2382, "" },
//  { 0x2383, "" },
//  { 0x2384, "" },
//  { 0x2385, "" },
//  { 0x2386, "" },
//  { 0x2387, "" },
//  { 0x2388, "" },
//  { 0x2389, "" },
//  { 0x238A, "" },
//  { 0x238B, "" },
//  { 0x238C, "" },
//  { 0x238D, "" },
//  { 0x238E, "" },
//  { 0x238F, "" },
//  { 0x2390, "" },
//  { 0x2391, "" },
//  { 0x2392, "" },
//  { 0x2393, "" },
//  { 0x2394, "" },
//  { 0x2395, "" },
//  { 0x2396, "" },
//  { 0x2397, "" },
//  { 0x2398, "" },
//  { 0x2399, "" },
//  { 0x239A, "" },
//  { 0x239B, "" },
//  { 0x239C, "" },
//  { 0x239D, "" },
//  { 0x239E, "" },
//  { 0x239F, "" },
//  { 0x23A0, "" },
//  { 0x23A1, "" },
//  { 0x23A2, "" },
//  { 0x23A3, "" },
//  { 0x23A4, "" },
//  { 0x23A5, "" },
//  { 0x23A6, "" },
//  { 0x23A7, "" },
//  { 0x23A8, "" },
//  { 0x23A9, "" },
//  { 0x23AA, "" },
//  { 0x23AB, "" },
//  { 0x23AC, "" },
//  { 0x23AD, "" },
//  { 0x23AE, "" },
//  { 0x23AF, "" },
//  { 0x23B0, "" },
//  { 0x23B1, "" },
//  { 0x23B2, "" },
//  { 0x23B3, "" },
//  { 0x23B4, "" },
//  { 0x23B5, "" },
//  { 0x23B6, "" },
//  { 0x23B7, "" },
//  { 0x23B8, "" },
//  { 0x23B9, "" },
//  { 0x23BA, "" },
//  { 0x23BB, "" },
//  { 0x23BC, "" },
//  { 0x23BD, "" },
//  { 0x23BE, "" },
//  { 0x23BF, "" },
//  { 0x23C0, "" },
//  { 0x23C1, "" },
//  { 0x23C2, "" },
//  { 0x23C3, "" },
//  { 0x23C4, "" },
//  { 0x23C5, "" },
//  { 0x23C6, "" },
//  { 0x23C7, "" },
//  { 0x23C8, "" },
//  { 0x23C9, "" },
//  { 0x23CA, "" },
//  { 0x23CB, "" },
//  { 0x23CC, "" },
//  { 0x23CD, "" },
//  { 0x23CE, "" },
//  { 0x23CF, "" },
//  { 0x23D0, "" },
//  { 0x23D1, "" },
//  { 0x23D2, "" },
//  { 0x23D3, "" },
//  { 0x23D4, "" },
//  { 0x23D5, "" },
//  { 0x23D6, "" },
//  { 0x23D7, "" },
//  { 0x23D8, "" },
//  { 0x23D9, "" },
//  { 0x23DA, "" },
//  { 0x23DB, "" },
//  { 0x23DC, "" },
//  { 0x23DD, "" },
//  { 0x23DE, "" },
//  { 0x23DF, "" },
//  { 0x23E0, "" },
//  { 0x23E1, "" },
//  { 0x23E2, "" },
//  { 0x23E3, "" },
//  { 0x23E4, "" },
//  { 0x23E5, "" },
//  { 0x23E6, "" },
//  { 0x23E7, "" },
//  { 0x23E8, "" },
//  { 0x23E9, "" },
//  { 0x23EA, "" },
//  { 0x23EB, "" },
//  { 0x23EC, "" },
//  { 0x23ED, "" },
//  { 0x23EE, "" },
//  { 0x23EF, "" },
//  { 0x23F0, "" },
//  { 0x23F1, "" },
//  { 0x23F2, "" },
//  { 0x23F3, "" },
//  { 0x23F4, "" },
//  { 0x23F5, "" },
//  { 0x23F6, "" },
//  { 0x23F7, "" },
//  { 0x23F8, "" },
//  { 0x23F9, "" },
//  { 0x23FA, "" },
//  { 0x23FB, "" },
//  { 0x23FC, "" },
//  { 0x23FD, "" },
//  { 0x23FE, "" },
//  { 0x23FF, "" },
//  { 0x2400, "" },
//  { 0x2401, "" },
//  { 0x2402, "" },
//  { 0x2403, "" },
//  { 0x2404, "" },
//  { 0x2405, "" },
//  { 0x2406, "" },
//  { 0x2407, "" },
//  { 0x2408, "" },
//  { 0x2409, "" },
//  { 0x240A, "" },
//  { 0x240B, "" },
//  { 0x240C, "" },
//  { 0x240D, "" },
//  { 0x240E, "" },
//  { 0x240F, "" },
//  { 0x2410, "" },
//  { 0x2411, "" },
//  { 0x2412, "" },
//  { 0x2413, "" },
//  { 0x2414, "" },
//  { 0x2415, "" },
//  { 0x2416, "" },
//  { 0x2417, "" },
//  { 0x2418, "" },
//  { 0x2419, "" },
//  { 0x241A, "" },
//  { 0x241B, "" },
//  { 0x241C, "" },
//  { 0x241D, "" },
//  { 0x241E, "" },
//  { 0x241F, "" },
//  { 0x2420, "" },
//  { 0x2421, "" },
//  { 0x2422, "" },
//  { 0x2423, "" },
//  { 0x2424, "" },
//  { 0x2425, "" },
//  { 0x2426, "" },
//  { 0x2427, "" },
//  { 0x2428, "" },
//  { 0x2429, "" },
//  { 0x242A, "" },
//  { 0x242B, "" },
//  { 0x242C, "" },
//  { 0x242D, "" },
//  { 0x242E, "" },
//  { 0x242F, "" },
//  { 0x2430, "" },
//  { 0x2431, "" },
//  { 0x2432, "" },
//  { 0x2433, "" },
//  { 0x2434, "" },
//  { 0x2435, "" },
//  { 0x2436, "" },
//  { 0x2437, "" },
//  { 0x2438, "" },
//  { 0x2439, "" },
//  { 0x243A, "" },
//  { 0x243B, "" },
//  { 0x243C, "" },
//  { 0x243D, "" },
//  { 0x243E, "" },
//  { 0x243F, "" },
//  { 0x2440, "" },
//  { 0x2441, "" },
//  { 0x2442, "" },
//  { 0x2443, "" },
//  { 0x2444, "" },
//  { 0x2445, "" },
//  { 0x2446, "" },
//  { 0x2447, "" },
//  { 0x2448, "" },
//  { 0x2449, "" },
//  { 0x244A, "" },
//  { 0x244B, "" },
//  { 0x244C, "" },
//  { 0x244D, "" },
//  { 0x244E, "" },
//  { 0x244F, "" },
//  { 0x2450, "" },
//  { 0x2451, "" },
//  { 0x2452, "" },
//  { 0x2453, "" },
//  { 0x2454, "" },
//  { 0x2455, "" },
//  { 0x2456, "" },
//  { 0x2457, "" },
//  { 0x2458, "" },
//  { 0x2459, "" },
//  { 0x245A, "" },
//  { 0x245B, "" },
//  { 0x245C, "" },
//  { 0x245D, "" },
//  { 0x245E, "" },
//  { 0x245F, "" },
//  { 0x2460, "" },
//  { 0x2461, "" },
//  { 0x2462, "" },
//  { 0x2463, "" },
//  { 0x2464, "" },
//  { 0x2465, "" },
//  { 0x2466, "" },
//  { 0x2467, "" },
//  { 0x2468, "" },
//  { 0x2469, "" },
//  { 0x246A, "" },
//  { 0x246B, "" },
//  { 0x246C, "" },
//  { 0x246D, "" },
//  { 0x246E, "" },
//  { 0x246F, "" },
//  { 0x2470, "" },
//  { 0x2471, "" },
//  { 0x2472, "" },
//  { 0x2473, "" },
//  { 0x2474, "" },
//  { 0x2475, "" },
//  { 0x2476, "" },
//  { 0x2477, "" },
//  { 0x2478, "" },
//  { 0x2479, "" },
//  { 0x247A, "" },
//  { 0x247B, "" },
//  { 0x247C, "" },
//  { 0x247D, "" },
//  { 0x247E, "" },
//  { 0x247F, "" },
//  { 0x2480, "" },
//  { 0x2481, "" },
//  { 0x2482, "" },
//  { 0x2483, "" },
//  { 0x2484, "" },
//  { 0x2485, "" },
//  { 0x2486, "" },
//  { 0x2487, "" },
//  { 0x2488, "" },
//  { 0x2489, "" },
//  { 0x248A, "" },
//  { 0x248B, "" },
//  { 0x248C, "" },
//  { 0x248D, "" },
//  { 0x248E, "" },
//  { 0x248F, "" },
//  { 0x2490, "" },
//  { 0x2491, "" },
//  { 0x2492, "" },
//  { 0x2493, "" },
//  { 0x2494, "" },
//  { 0x2495, "" },
//  { 0x2496, "" },
//  { 0x2497, "" },
//  { 0x2498, "" },
//  { 0x2499, "" },
//  { 0x249A, "" },
//  { 0x249B, "" },
//  { 0x249C, "" },
//  { 0x249D, "" },
//  { 0x249E, "" },
//  { 0x249F, "" },
//  { 0x24A0, "" },
//  { 0x24A1, "" },
//  { 0x24A2, "" },
//  { 0x24A3, "" },
//  { 0x24A4, "" },
//  { 0x24A5, "" },
//  { 0x24A6, "" },
//  { 0x24A7, "" },
//  { 0x24A8, "" },
//  { 0x24A9, "" },
//  { 0x24AA, "" },
//  { 0x24AB, "" },
//  { 0x24AC, "" },
//  { 0x24AD, "" },
//  { 0x24AE, "" },
//  { 0x24AF, "" },
//  { 0x24B0, "" },
//  { 0x24B1, "" },
//  { 0x24B2, "" },
//  { 0x24B3, "" },
//  { 0x24B4, "" },
//  { 0x24B5, "" },
//  { 0x24B6, "" },
//  { 0x24B7, "" },
//  { 0x24B8, "" },
//  { 0x24B9, "" },
//  { 0x24BA, "" },
//  { 0x24BB, "" },
//  { 0x24BC, "" },
//  { 0x24BD, "" },
//  { 0x24BE, "" },
//  { 0x24BF, "" },
//  { 0x24C0, "" },
//  { 0x24C1, "" },
//  { 0x24C2, "" },
//  { 0x24C3, "" },
//  { 0x24C4, "" },
//  { 0x24C5, "" },
//  { 0x24C6, "" },
//  { 0x24C7, "" },
//  { 0x24C8, "" },
//  { 0x24C9, "" },
//  { 0x24CA, "" },
//  { 0x24CB, "" },
//  { 0x24CC, "" },
//  { 0x24CD, "" },
//  { 0x24CE, "" },
//  { 0x24CF, "" },
//  { 0x24D0, "" },
//  { 0x24D1, "" },
//  { 0x24D2, "" },
//  { 0x24D3, "" },
//  { 0x24D4, "" },
//  { 0x24D5, "" },
//  { 0x24D6, "" },
//  { 0x24D7, "" },
//  { 0x24D8, "" },
//  { 0x24D9, "" },
//  { 0x24DA, "" },
//  { 0x24DB, "" },
//  { 0x24DC, "" },
//  { 0x24DD, "" },
//  { 0x24DE, "" },
//  { 0x24DF, "" },
//  { 0x24E0, "" },
//  { 0x24E1, "" },
//  { 0x24E2, "" },
//  { 0x24E3, "" },
//  { 0x24E4, "" },
//  { 0x24E5, "" },
//  { 0x24E6, "" },
//  { 0x24E7, "" },
//  { 0x24E8, "" },
//  { 0x24E9, "" },
//  { 0x24EA, "" },
//  { 0x24EB, "" },
//  { 0x24EC, "" },
//  { 0x24ED, "" },
//  { 0x24EE, "" },
//  { 0x24EF, "" },
//  { 0x24F0, "" },
//  { 0x24F1, "" },
//  { 0x24F2, "" },
//  { 0x24F3, "" },
//  { 0x24F4, "" },
//  { 0x24F5, "" },
//  { 0x24F6, "" },
//  { 0x24F7, "" },
//  { 0x24F8, "" },
//  { 0x24F9, "" },
//  { 0x24FA, "" },
//  { 0x24FB, "" },
//  { 0x24FC, "" },
    { 0x24FD, "mgturret" },
//  { 0x24FE, "" },
//  { 0x24FF, "" },
//  { 0x2500, "" },
//  { 0x2501, "" },
//  { 0x2502, "" },
//  { 0x2503, "" },
//  { 0x2504, "" },
//  { 0x2505, "" },
//  { 0x2506, "" },
//  { 0x2507, "" },
//  { 0x2508, "" },
//  { 0x2509, "" },
    { 0x250A, "script_team" },
//  { 0x250B, "" },
//  { 0x250C, "" },
//  { 0x250D, "" },
//  { 0x250E, "" },
//  { 0x250F, "" },
//  { 0x2510, "" },
//  { 0x2511, "" },
//  { 0x2512, "" },
//  { 0x2513, "" },
//  { 0x2514, "" },
//  { 0x2515, "" },
//  { 0x2516, "" },
//  { 0x2517, "" },
//  { 0x2518, "" },
//  { 0x2519, "" },
//  { 0x251A, "" },
//  { 0x251B, "" },
//  { 0x251C, "" },
//  { 0x251D, "" },
//  { 0x251E, "" },
//  { 0x251F, "" },
//  { 0x2520, "" },
//  { 0x2521, "" },
//  { 0x2522, "" },
//  { 0x2523, "" },
//  { 0x2524, "" },
//  { 0x2525, "" },
//  { 0x2526, "" },
//  { 0x2527, "" },
//  { 0x2528, "" },
//  { 0x2529, "" },
//  { 0x252A, "" },
//  { 0x252B, "" },
//  { 0x252C, "" },
//  { 0x252D, "" },
//  { 0x252E, "" },
//  { 0x252F, "" },
//  { 0x2530, "" },
//  { 0x2531, "" },
//  { 0x2532, "" },
//  { 0x2533, "" },
//  { 0x2534, "" },
//  { 0x2535, "" },
//  { 0x2536, "" },
//  { 0x2537, "" },
//  { 0x2538, "" },
//  { 0x2539, "" },
//  { 0x253A, "" },
//  { 0x253B, "" },
//  { 0x253C, "" },
//  { 0x253D, "" },
//  { 0x253E, "" },
//  { 0x253F, "" },
//  { 0x2540, "" },
//  { 0x2541, "" },
//  { 0x2542, "" },
//  { 0x2543, "" },
//  { 0x2544, "" },
//  { 0x2545, "" },
//  { 0x2546, "" },
//  { 0x2547, "" },
//  { 0x2548, "" },
//  { 0x2549, "" },
//  { 0x254A, "" },
//  { 0x254B, "" },
//  { 0x254C, "" },
//  { 0x254D, "" },
//  { 0x254E, "" },
//  { 0x254F, "" },
//  { 0x2550, "" },
//  { 0x2551, "" },
//  { 0x2552, "" },
//  { 0x2553, "" },
//  { 0x2554, "" },
//  { 0x2555, "" },
//  { 0x2556, "" },
//  { 0x2557, "" },
//  { 0x2558, "" },
//  { 0x2559, "" },
//  { 0x255A, "" },
//  { 0x255B, "" },
//  { 0x255C, "" },
//  { 0x255D, "" },
//  { 0x255E, "" },
//  { 0x255F, "" },
//  { 0x2560, "" },
//  { 0x2561, "" },
//  { 0x2562, "" },
//  { 0x2563, "" },
//  { 0x2564, "" },
//  { 0x2565, "" },
//  { 0x2566, "" },
//  { 0x2567, "" },
//  { 0x2568, "" },
//  { 0x2569, "" },
//  { 0x256A, "" },
//  { 0x256B, "" },
//  { 0x256C, "" },
//  { 0x256D, "" },
//  { 0x256E, "" },
//  { 0x256F, "" },
//  { 0x2570, "" },
//  { 0x2571, "" },
//  { 0x2572, "" },
//  { 0x2573, "" },
//  { 0x2574, "" },
//  { 0x2575, "" },
//  { 0x2576, "" },
//  { 0x2577, "" },
//  { 0x2578, "" },
//  { 0x2579, "" },
//  { 0x257A, "" },
//  { 0x257B, "" },
//  { 0x257C, "" },
//  { 0x257D, "" },
//  { 0x257E, "" },
//  { 0x257F, "" },
//  { 0x2580, "" },
//  { 0x2581, "" },
//  { 0x2582, "" },
//  { 0x2583, "" },
//  { 0x2584, "" },
//  { 0x2585, "" },
//  { 0x2586, "" },
//  { 0x2587, "" },
//  { 0x2588, "" },
//  { 0x2589, "" },
//  { 0x258A, "" },
//  { 0x258B, "" },
//  { 0x258C, "" },
//  { 0x258D, "" },
//  { 0x258E, "" },
//  { 0x258F, "" },
//  { 0x2590, "" },
//  { 0x2591, "" },
//  { 0x2592, "" },
//  { 0x2593, "" },
//  { 0x2594, "" },
//  { 0x2595, "" },
//  { 0x2596, "" },
//  { 0x2597, "" },
//  { 0x2598, "" },
//  { 0x2599, "" },
//  { 0x259A, "" },
//  { 0x259B, "" },
//  { 0x259C, "" },
//  { 0x259D, "" },
//  { 0x259E, "" },
//  { 0x259F, "" },
//  { 0x25A0, "" },
//  { 0x25A1, "" },
//  { 0x25A2, "" },
//  { 0x25A3, "" },
//  { 0x25A4, "" },
//  { 0x25A5, "" },
//  { 0x25A6, "" },
//  { 0x25A7, "" },
//  { 0x25A8, "" },
//  { 0x25A9, "" },
//  { 0x25AA, "" },
//  { 0x25AB, "" },
//  { 0x25AC, "" },
//  { 0x25AD, "" },
//  { 0x25AE, "" },
//  { 0x25AF, "" },
//  { 0x25B0, "" },
//  { 0x25B1, "" },
//  { 0x25B2, "" },
//  { 0x25B3, "" },
//  { 0x25B4, "" },
//  { 0x25B5, "" },
//  { 0x25B6, "" },
//  { 0x25B7, "" },
//  { 0x25B8, "" },
//  { 0x25B9, "" },
//  { 0x25BA, "" },
//  { 0x25BB, "" },
//  { 0x25BC, "" },
//  { 0x25BD, "" },
//  { 0x25BE, "" },
//  { 0x25BF, "" },
//  { 0x25C0, "" },
//  { 0x25C1, "" },
//  { 0x25C2, "" },
//  { 0x25C3, "" },
//  { 0x25C4, "" },
//  { 0x25C5, "" },
//  { 0x25C6, "" },
//  { 0x25C7, "" },
//  { 0x25C8, "" },
//  { 0x25C9, "" },
//  { 0x25CA, "" },
//  { 0x25CB, "" },
//  { 0x25CC, "" },
//  { 0x25CD, "" },
//  { 0x25CE, "" },
//  { 0x25CF, "" },
//  { 0x25D0, "" },
//  { 0x25D1, "" },
//  { 0x25D2, "" },
//  { 0x25D3, "" },
//  { 0x25D4, "" },
//  { 0x25D5, "" },
//  { 0x25D6, "" },
//  { 0x25D7, "" },
//  { 0x25D8, "" },
//  { 0x25D9, "" },
//  { 0x25DA, "" },
//  { 0x25DB, "" },
//  { 0x25DC, "" },
//  { 0x25DD, "" },
//  { 0x25DE, "" },
//  { 0x25DF, "" },
//  { 0x25E0, "" },
//  { 0x25E1, "" },
//  { 0x25E2, "" },
//  { 0x25E3, "" },
//  { 0x25E4, "" },
//  { 0x25E5, "" },
//  { 0x25E6, "" },
//  { 0x25E7, "" },
//  { 0x25E8, "" },
//  { 0x25E9, "" },
//  { 0x25EA, "" },
//  { 0x25EB, "" },
//  { 0x25EC, "" },
//  { 0x25ED, "" },
//  { 0x25EE, "" },
//  { 0x25EF, "" },
//  { 0x25F0, "" },
//  { 0x25F1, "" },
//  { 0x25F2, "" },
//  { 0x25F3, "" },
//  { 0x25F4, "" },
//  { 0x25F5, "" },
//  { 0x25F6, "" },
//  { 0x25F7, "" },
//  { 0x25F8, "" },
//  { 0x25F9, "" },
//  { 0x25FA, "" },
//  { 0x25FB, "" },
//  { 0x25FC, "" },
//  { 0x25FD, "" },
//  { 0x25FE, "" },
//  { 0x25FF, "" },
//  { 0x2600, "" },
//  { 0x2601, "" },
//  { 0x2602, "" },
//  { 0x2603, "" },
//  { 0x2604, "" },
//  { 0x2605, "" },
//  { 0x2606, "" },
//  { 0x2607, "" },
//  { 0x2608, "" },
//  { 0x2609, "" },
//  { 0x260A, "" },
//  { 0x260B, "" },
//  { 0x260C, "" },
//  { 0x260D, "" },
//  { 0x260E, "" },
//  { 0x260F, "" },
//  { 0x2610, "" },
//  { 0x2611, "" },
//  { 0x2612, "" },
//  { 0x2613, "" },
//  { 0x2614, "" },
//  { 0x2615, "" },
//  { 0x2616, "" },
//  { 0x2617, "" },
//  { 0x2618, "" },
//  { 0x2619, "" },
//  { 0x261A, "" },
//  { 0x261B, "" },
//  { 0x261C, "" },
//  { 0x261D, "" },
//  { 0x261E, "" },
//  { 0x261F, "" },
//  { 0x2620, "" },
//  { 0x2621, "" },
//  { 0x2622, "" },
//  { 0x2623, "" },
//  { 0x2624, "" },
//  { 0x2625, "" },
//  { 0x2626, "" },
//  { 0x2627, "" },
//  { 0x2628, "" },
//  { 0x2629, "" },
//  { 0x262A, "" },
//  { 0x262B, "" },
//  { 0x262C, "" },
//  { 0x262D, "" },
//  { 0x262E, "" },
//  { 0x262F, "" },
//  { 0x2630, "" },
//  { 0x2631, "" },
//  { 0x2632, "" },
//  { 0x2633, "" },
//  { 0x2634, "" },
//  { 0x2635, "" },
//  { 0x2636, "" },
//  { 0x2637, "" },
//  { 0x2638, "" },
//  { 0x2639, "" },
//  { 0x263A, "" },
//  { 0x263B, "" },
//  { 0x263C, "" },
//  { 0x263D, "" },
//  { 0x263E, "" },
//  { 0x263F, "" },
//  { 0x2640, "" },
//  { 0x2641, "" },
//  { 0x2642, "" },
//  { 0x2643, "" },
//  { 0x2644, "" },
//  { 0x2645, "" },
//  { 0x2646, "" },
//  { 0x2647, "" },
//  { 0x2648, "" },
//  { 0x2649, "" },
//  { 0x264A, "" },
//  { 0x264B, "" },
//  { 0x264C, "" },
//  { 0x264D, "" },
//  { 0x264E, "" },
//  { 0x264F, "" },
    { 0x2650, "draw_line" },
//  { 0x2651, "" },
//  { 0x2652, "" },
//  { 0x2653, "" },
//  { 0x2654, "" },
//  { 0x2655, "" },
//  { 0x2656, "" },
//  { 0x2657, "" },
//  { 0x2658, "" },
//  { 0x2659, "" },
//  { 0x265A, "" },
//  { 0x265B, "" },
//  { 0x265C, "" },
//  { 0x265D, "" },
//  { 0x265E, "" },
//  { 0x265F, "" },
//  { 0x2660, "" },
//  { 0x2661, "" },
//  { 0x2662, "" },
//  { 0x2663, "" },
//  { 0x2664, "" },
//  { 0x2665, "" },
//  { 0x2666, "" },
//  { 0x2667, "" },
//  { 0x2668, "" },
//  { 0x2669, "" },
//  { 0x266A, "" },
//  { 0x266B, "" },
//  { 0x266C, "" },
//  { 0x266D, "" },
//  { 0x266E, "" },
//  { 0x266F, "" },
//  { 0x2670, "" },
//  { 0x2671, "" },
//  { 0x2672, "" },
//  { 0x2673, "" },
    { 0x2674, "array_remove_index" },
//  { 0x2675, "" },
//  { 0x2676, "" },
//  { 0x2677, "" },
//  { 0x2678, "" },
//  { 0x2679, "" },
//  { 0x267A, "" },
//  { 0x267B, "" },
//  { 0x267C, "" },
//  { 0x267D, "" },
//  { 0x267E, "" },
//  { 0x267F, "" },
//  { 0x2680, "" },
//  { 0x2681, "" },
//  { 0x2682, "" },
//  { 0x2683, "" },
//  { 0x2684, "" },
//  { 0x2685, "" },
//  { 0x2686, "" },
//  { 0x2687, "" },
//  { 0x2688, "" },
//  { 0x2689, "" },
//  { 0x268A, "" },
//  { 0x268B, "" },
//  { 0x268C, "" },
//  { 0x268D, "" },
    { 0x268E, "flashrumbleloop" },
//  { 0x268F, "" },
//  { 0x2690, "" },
//  { 0x2691, "" },
//  { 0x2692, "" },
//  { 0x2693, "" },
//  { 0x2694, "" },
//  { 0x2695, "" },
//  { 0x2696, "" },
//  { 0x2697, "" },
//  { 0x2698, "" },
//  { 0x2699, "" },
//  { 0x269A, "" },
//  { 0x269B, "" },
//  { 0x269C, "" },
//  { 0x269D, "" },
//  { 0x269E, "" },
//  { 0x269F, "" },
//  { 0x26A0, "" },
//  { 0x26A1, "" },
//  { 0x26A2, "" },
//  { 0x26A3, "" },
//  { 0x26A4, "" },
//  { 0x26A5, "" },
//  { 0x26A6, "" },
//  { 0x26A7, "" },
//  { 0x26A8, "" },
//  { 0x26A9, "" },
//  { 0x26AA, "" },
//  { 0x26AB, "" },
//  { 0x26AC, "" },
//  { 0x26AD, "" },
//  { 0x26AE, "" },
//  { 0x26AF, "" },
//  { 0x26B0, "" },
//  { 0x26B1, "" },
//  { 0x26B2, "" },
//  { 0x26B3, "" },
//  { 0x26B4, "" },
//  { 0x26B5, "" },
//  { 0x26B6, "" },
//  { 0x26B7, "" },
//  { 0x26B8, "" },
//  { 0x26B9, "" },
//  { 0x26BA, "" },
//  { 0x26BB, "" },
//  { 0x26BC, "" },
//  { 0x26BD, "" },
//  { 0x26BE, "" },
//  { 0x26BF, "" },
//  { 0x26C0, "" },
//  { 0x26C1, "" },
//  { 0x26C2, "" },
//  { 0x26C3, "" },
//  { 0x26C4, "" },
//  { 0x26C5, "" },
//  { 0x26C6, "" },
//  { 0x26C7, "" },
//  { 0x26C8, "" },
//  { 0x26C9, "" },
//  { 0x26CA, "" },
//  { 0x26CB, "" },
//  { 0x26CC, "" },
//  { 0x26CD, "" },
//  { 0x26CE, "" },
//  { 0x26CF, "" },
//  { 0x26D0, "" },
//  { 0x26D1, "" },
//  { 0x26D2, "" },
//  { 0x26D3, "" },
//  { 0x26D4, "" },
//  { 0x26D5, "" },
//  { 0x26D6, "" },
//  { 0x26D7, "" },
//  { 0x26D8, "" },
//  { 0x26D9, "" },
//  { 0x26DA, "" },
//  { 0x26DB, "" },
//  { 0x26DC, "" },
//  { 0x26DD, "" },
//  { 0x26DE, "" },
//  { 0x26DF, "" },
//  { 0x26E0, "" },
//  { 0x26E1, "" },
//  { 0x26E2, "" },
//  { 0x26E3, "" },
//  { 0x26E4, "" },
//  { 0x26E5, "" },
//  { 0x26E6, "" },
//  { 0x26E7, "" },
//  { 0x26E8, "" },
//  { 0x26E9, "" },
//  { 0x26EA, "" },
//  { 0x26EB, "" },
//  { 0x26EC, "" },
//  { 0x26ED, "" },
//  { 0x26EE, "" },
//  { 0x26EF, "" },
//  { 0x26F0, "" },
//  { 0x26F1, "" },
//  { 0x26F2, "" },
//  { 0x26F3, "" },
//  { 0x26F4, "" },
//  { 0x26F5, "" },
//  { 0x26F6, "" },
//  { 0x26F7, "" },
//  { 0x26F8, "" },
//  { 0x26F9, "" },
//  { 0x26FA, "" },
//  { 0x26FB, "" },
//  { 0x26FC, "" },
//  { 0x26FD, "" },
//  { 0x26FE, "" },
//  { 0x26FF, "" },
//  { 0x2700, "" },
//  { 0x2701, "" },
//  { 0x2702, "" },
//  { 0x2703, "" },
//  { 0x2704, "" },
//  { 0x2705, "" },
//  { 0x2706, "" },
//  { 0x2707, "" },
//  { 0x2708, "" },
//  { 0x2709, "" },
//  { 0x270A, "" },
//  { 0x270B, "" },
//  { 0x270C, "" },
//  { 0x270D, "" },
//  { 0x270E, "" },
//  { 0x270F, "" },
//  { 0x2710, "" },
//  { 0x2711, "" },
//  { 0x2712, "" },
//  { 0x2713, "" },
//  { 0x2714, "" },
//  { 0x2715, "" },
//  { 0x2716, "" },
//  { 0x2717, "" },
//  { 0x2718, "" },
//  { 0x2719, "" },
//  { 0x271A, "" },
//  { 0x271B, "" },
//  { 0x271C, "" },
//  { 0x271D, "" },
//  { 0x271E, "" },
//  { 0x271F, "" },
//  { 0x2720, "" },
//  { 0x2721, "" },
//  { 0x2722, "" },
//  { 0x2723, "" },
//  { 0x2724, "" },
//  { 0x2725, "" },
//  { 0x2726, "" },
//  { 0x2727, "" },
//  { 0x2728, "" },
//  { 0x2729, "" },
//  { 0x272A, "" },
//  { 0x272B, "" },
//  { 0x272C, "" },
//  { 0x272D, "" },
//  { 0x272E, "" },
//  { 0x272F, "" },
//  { 0x2730, "" },
//  { 0x2731, "" },
//  { 0x2732, "" },
//  { 0x2733, "" },
//  { 0x2734, "" },
//  { 0x2735, "" },
//  { 0x2736, "" },
    { 0x2737, "xenon" },
//  { 0x2738, "" },
//  { 0x2739, "" },
//  { 0x273A, "" },
//  { 0x273B, "" },
//  { 0x273C, "" },
//  { 0x273D, "" },
//  { 0x273E, "" },
//  { 0x273F, "" },
//  { 0x2740, "" },
//  { 0x2741, "" },
//  { 0x2742, "" },
//  { 0x2743, "" },
//  { 0x2744, "" },
//  { 0x2745, "" },
//  { 0x2746, "" },
//  { 0x2747, "" },
//  { 0x2748, "" },
//  { 0x2749, "" },
//  { 0x274A, "" },
//  { 0x274B, "" },
//  { 0x274C, "" },
//  { 0x274D, "" },
//  { 0x274E, "" },
//  { 0x274F, "" },
//  { 0x2750, "" },
//  { 0x2751, "" },
//  { 0x2752, "" },
//  { 0x2753, "" },
//  { 0x2754, "" },
//  { 0x2755, "" },
//  { 0x2756, "" },
//  { 0x2757, "" },
//  { 0x2758, "" },
//  { 0x2759, "" },
//  { 0x275A, "" },
//  { 0x275B, "" },
//  { 0x275C, "" },
//  { 0x275D, "" },
//  { 0x275E, "" },
//  { 0x275F, "" },
//  { 0x2760, "" },
//  { 0x2761, "" },
//  { 0x2762, "" },
//  { 0x2763, "" },
//  { 0x2764, "" },
//  { 0x2765, "" },
//  { 0x2766, "" },
//  { 0x2767, "" },
//  { 0x2768, "" },
//  { 0x2769, "" },
//  { 0x276A, "" },
//  { 0x276B, "" },
//  { 0x276C, "" },
//  { 0x276D, "" },
//  { 0x276E, "" },
//  { 0x276F, "" },
//  { 0x2770, "" },
//  { 0x2771, "" },
//  { 0x2772, "" },
//  { 0x2773, "" },
//  { 0x2774, "" },
//  { 0x2775, "" },
//  { 0x2776, "" },
//  { 0x2777, "" },
//  { 0x2778, "" },
//  { 0x2779, "" },
//  { 0x277A, "" },
//  { 0x277B, "" },
//  { 0x277C, "" },
//  { 0x277D, "" },
//  { 0x277E, "" },
//  { 0x277F, "" },
//  { 0x2780, "" },
//  { 0x2781, "" },
//  { 0x2782, "" },
//  { 0x2783, "" },
//  { 0x2784, "" },
//  { 0x2785, "" },
//  { 0x2786, "" },
//  { 0x2787, "" },
//  { 0x2788, "" },
//  { 0x2789, "" },
//  { 0x278A, "" },
//  { 0x278B, "" },
//  { 0x278C, "" },
//  { 0x278D, "" },
//  { 0x278E, "" },
//  { 0x278F, "" },
//  { 0x2790, "" },
//  { 0x2791, "" },
//  { 0x2792, "" },
//  { 0x2793, "" },
//  { 0x2794, "" },
//  { 0x2795, "" },
//  { 0x2796, "" },
//  { 0x2797, "" },
//  { 0x2798, "" },
//  { 0x2799, "" },
//  { 0x279A, "" },
//  { 0x279B, "" },
//  { 0x279C, "" },
//  { 0x279D, "" },
//  { 0x279E, "" },
//  { 0x279F, "" },
//  { 0x27A0, "" },
//  { 0x27A1, "" },
//  { 0x27A2, "" },
//  { 0x27A3, "" },
//  { 0x27A4, "" },
//  { 0x27A5, "" },
//  { 0x27A6, "" },
//  { 0x27A7, "" },
//  { 0x27A8, "" },
//  { 0x27A9, "" },
//  { 0x27AA, "" },
//  { 0x27AB, "" },
//  { 0x27AC, "" },
//  { 0x27AD, "" },
//  { 0x27AE, "" },
//  { 0x27AF, "" },
//  { 0x27B0, "" },
//  { 0x27B1, "" },
//  { 0x27B2, "" },
//  { 0x27B3, "" },
//  { 0x27B4, "" },
//  { 0x27B5, "" },
//  { 0x27B6, "" },
//  { 0x27B7, "" },
//  { 0x27B8, "" },
//  { 0x27B9, "" },
//  { 0x27BA, "" },
//  { 0x27BB, "" },
//  { 0x27BC, "" },
//  { 0x27BD, "" },
//  { 0x27BE, "" },
//  { 0x27BF, "" },
//  { 0x27C0, "" },
//  { 0x27C1, "" },
//  { 0x27C2, "" },
//  { 0x27C3, "" },
//  { 0x27C4, "" },
//  { 0x27C5, "" },
//  { 0x27C6, "" },
//  { 0x27C7, "" },
//  { 0x27C8, "" },
//  { 0x27C9, "" },
//  { 0x27CA, "" },
//  { 0x27CB, "" },
//  { 0x27CC, "" },
//  { 0x27CD, "" },
//  { 0x27CE, "" },
//  { 0x27CF, "" },
//  { 0x27D0, "" },
//  { 0x27D1, "" },
//  { 0x27D2, "" },
//  { 0x27D3, "" },
//  { 0x27D4, "" },
//  { 0x27D5, "" },
//  { 0x27D6, "" },
//  { 0x27D7, "" },
//  { 0x27D8, "" },
//  { 0x27D9, "" },
//  { 0x27DA, "" },
//  { 0x27DB, "" },
//  { 0x27DC, "" },
//  { 0x27DD, "" },
//  { 0x27DE, "" },
//  { 0x27DF, "" },
//  { 0x27E0, "" },
//  { 0x27E1, "" },
//  { 0x27E2, "" },
//  { 0x27E3, "" },
//  { 0x27E4, "" },
//  { 0x27E5, "" },
//  { 0x27E6, "" },
//  { 0x27E7, "" },
//  { 0x27E8, "" },
//  { 0x27E9, "" },
//  { 0x27EA, "" },
//  { 0x27EB, "" },
//  { 0x27EC, "" },
//  { 0x27ED, "" },
//  { 0x27EE, "" },
//  { 0x27EF, "" },
//  { 0x27F0, "" },
//  { 0x27F1, "" },
    { 0x27F2, "endondeath" },
//  { 0x27F3, "" },
//  { 0x27F4, "" },
//  { 0x27F5, "" },
//  { 0x27F6, "" },
//  { 0x27F7, "" },
//  { 0x27F8, "" },
//  { 0x27F9, "" },
    { 0x27FA, "dirteffect" },
//  { 0x27FB, "" },
//  { 0x27FC, "" },
//  { 0x27FD, "" },
//  { 0x27FE, "" },
//  { 0x27FF, "" },
//  { 0x2800, "" },
//  { 0x2801, "" },
//  { 0x2802, "" },
//  { 0x2803, "" },
//  { 0x2804, "" },
//  { 0x2805, "" },
//  { 0x2806, "" },
//  { 0x2807, "" },
//  { 0x2808, "" },
//  { 0x2809, "" },
//  { 0x280A, "" },
//  { 0x280B, "" },
//  { 0x280C, "" },
//  { 0x280D, "" },
//  { 0x280E, "" },
//  { 0x280F, "" },
//  { 0x2810, "" },
//  { 0x2811, "" },
//  { 0x2812, "" },
//  { 0x2813, "" },
//  { 0x2814, "" },
//  { 0x2815, "" },
//  { 0x2816, "" },
//  { 0x2817, "" },
//  { 0x2818, "" },
//  { 0x2819, "" },
//  { 0x281A, "" },
//  { 0x281B, "" },
//  { 0x281C, "" },
//  { 0x281D, "" },
    { 0x281E, "define_loadout" },
    { 0x281F, "template_level" },
//  { 0x2820, "" },
//  { 0x2821, "" },
//  { 0x2822, "" },
//  { 0x2823, "" },
//  { 0x2824, "" },
//  { 0x2825, "" },
//  { 0x2826, "" },
//  { 0x2827, "" },
//  { 0x2828, "" },
//  { 0x2829, "" },
//  { 0x282A, "" },
//  { 0x282B, "" },
//  { 0x282C, "" },
//  { 0x282D, "" },
//  { 0x282E, "" },
//  { 0x282F, "" },
//  { 0x2830, "" },
//  { 0x2831, "" },
//  { 0x2832, "" },
//  { 0x2833, "" },
//  { 0x2834, "" },
//  { 0x2835, "" },
//  { 0x2836, "" },
//  { 0x2837, "" },
//  { 0x2838, "" },
//  { 0x2839, "" },
//  { 0x283A, "" },
//  { 0x283B, "" },
//  { 0x283C, "" },
//  { 0x283D, "" },
    { 0x283E, "entityheadiconoffset" },
//  { 0x283F, "" },
    { 0x2840, "entityheadicon" },
//  { 0x2841, "" },
//  { 0x2842, "" },
//  { 0x2843, "" },
//  { 0x2844, "" },
//  { 0x2845, "" },
//  { 0x2846, "" },
//  { 0x2847, "" },
//  { 0x2848, "" },
//  { 0x2849, "" },
//  { 0x284A, "" },
//  { 0x284B, "" },
//  { 0x284C, "" },
//  { 0x284D, "" },
//  { 0x284E, "" },
//  { 0x284F, "" },
//  { 0x2850, "" },
//  { 0x2851, "" },
//  { 0x2852, "" },
//  { 0x2853, "" },
//  { 0x2854, "" },
//  { 0x2855, "" },
//  { 0x2856, "" },
//  { 0x2857, "" },
//  { 0x2858, "" },
//  { 0x2859, "" },
//  { 0x285A, "" },
//  { 0x285B, "" },
//  { 0x285C, "" },
//  { 0x285D, "" },
//  { 0x285E, "" },
//  { 0x285F, "" },
//  { 0x2860, "" },
//  { 0x2861, "" },
    { 0x2862, "script_targetoffset_z" },
//  { 0x2863, "" },
//  { 0x2864, "" },
//  { 0x2865, "" },
//  { 0x2866, "" },
//  { 0x2867, "" },
//  { 0x2868, "" },
//  { 0x2869, "" },
    { 0x286A, "currentweapon" },
//  { 0x286B, "" },
//  { 0x286C, "" },
//  { 0x286D, "" },
//  { 0x286E, "" },
    { 0x286F, "cobra_missile_models" },
    { 0x2870, "fire_missile" },
//  { 0x2871, "" },
//  { 0x2872, "" },
//  { 0x2873, "" },
//  { 0x2874, "" },
//  { 0x2875, "" },
//  { 0x2876, "" },
    { 0x2877, "cosine" },
//  { 0x2878, "" },
//  { 0x2879, "" },
//  { 0x287A, "" },
//  { 0x287B, "" },
//  { 0x287C, "" },
//  { 0x287D, "" },
//  { 0x287E, "" },
//  { 0x287F, "" },
//  { 0x2880, "" },
//  { 0x2881, "" },
//  { 0x2882, "" },
//  { 0x2883, "" },
    { 0x2884, "attractor" },
//  { 0x2885, "" },
//  { 0x2886, "" },
//  { 0x2887, "" },
//  { 0x2888, "" },
//  { 0x2889, "" },
//  { 0x288A, "" },
//  { 0x288B, "" },
//  { 0x288C, "" },
    { 0x288D, "turrettype" },
//  { 0x288E, "" },
//  { 0x288F, "" },
//  { 0x2890, "" },
//  { 0x2891, "" },
//  { 0x2892, "" },
//  { 0x2893, "" },
//  { 0x2894, "" },
    { 0x2895, "turrets" },
//  { 0x2896, "" },
//  { 0x2897, "" },
//  { 0x2898, "" },
//  { 0x2899, "" },
//  { 0x289A, "" },
//  { 0x289B, "" },
    { 0x289C, "script_airspeed" },
//  { 0x289D, "" },
//  { 0x289E, "" },
//  { 0x289F, "" },
//  { 0x28A0, "" },
//  { 0x28A1, "" },
//  { 0x28A2, "" },
//  { 0x28A3, "" },
//  { 0x28A4, "" },
//  { 0x28A5, "" },
//  { 0x28A6, "" },
//  { 0x28A7, "" },
//  { 0x28A8, "" },
//  { 0x28A9, "" },
//  { 0x28AA, "" },
//  { 0x28AB, "" },
//  { 0x28AC, "" },
//  { 0x28AD, "" },
//  { 0x28AE, "" },
//  { 0x28AF, "" },
//  { 0x28B0, "" },
//  { 0x28B1, "" },
//  { 0x28B2, "" },
//  { 0x28B3, "" },
//  { 0x28B4, "" },
//  { 0x28B5, "" },
//  { 0x28B6, "" },
//  { 0x28B7, "" },
//  { 0x28B8, "" },
//  { 0x28B9, "" },
//  { 0x28BA, "" },
//  { 0x28BB, "" },
//  { 0x28BC, "" },
//  { 0x28BD, "" },
//  { 0x28BE, "" },
//  { 0x28BF, "" },
//  { 0x28C0, "" },
//  { 0x28C1, "" },
//  { 0x28C2, "" },
//  { 0x28C3, "" },
//  { 0x28C4, "" },
    { 0x28C5, "heli_damage_monitor" },
//  { 0x28C6, "" },
//  { 0x28C7, "" },
//  { 0x28C8, "" },
//  { 0x28C9, "" },
//  { 0x28CA, "" },
//  { 0x28CB, "" },
//  { 0x28CC, "" },
//  { 0x28CD, "" },
//  { 0x28CE, "" },
//  { 0x28CF, "" },
//  { 0x28D0, "" },
//  { 0x28D1, "" },
//  { 0x28D2, "" },
//  { 0x28D3, "" },
//  { 0x28D4, "" },
//  { 0x28D5, "" },
//  { 0x28D6, "" },
//  { 0x28D7, "" },
//  { 0x28D8, "" },
//  { 0x28D9, "" },
//  { 0x28DA, "" },
//  { 0x28DB, "" },
//  { 0x28DC, "" },
//  { 0x28DD, "" },
//  { 0x28DE, "" },
//  { 0x28DF, "" },
//  { 0x28E0, "" },
//  { 0x28E1, "" },
//  { 0x28E2, "" },
//  { 0x28E3, "" },
//  { 0x28E4, "" },
//  { 0x28E5, "" },
//  { 0x28E6, "" },
//  { 0x28E7, "" },
//  { 0x28E8, "" },
//  { 0x28E9, "" },
//  { 0x28EA, "" },
//  { 0x28EB, "" },
//  { 0x28EC, "" },
//  { 0x28ED, "" },
//  { 0x28EE, "" },
//  { 0x28EF, "" },
//  { 0x28F0, "" },
//  { 0x28F1, "" },
//  { 0x28F2, "" },
//  { 0x28F3, "" },
//  { 0x28F4, "" },
//  { 0x28F5, "" },
//  { 0x28F6, "" },
//  { 0x28F7, "" },
//  { 0x28F8, "" },
//  { 0x28F9, "" },
//  { 0x28FA, "" },
//  { 0x28FB, "" },
//  { 0x28FC, "" },
//  { 0x28FD, "" },
//  { 0x28FE, "" },
//  { 0x28FF, "" },
//  { 0x2900, "" },
//  { 0x2901, "" },
//  { 0x2902, "" },
//  { 0x2903, "" },
//  { 0x2904, "" },
//  { 0x2905, "" },
//  { 0x2906, "" },
//  { 0x2907, "" },
//  { 0x2908, "" },
//  { 0x2909, "" },
//  { 0x290A, "" },
//  { 0x290B, "" },
//  { 0x290C, "" },
//  { 0x290D, "" },
//  { 0x290E, "" },
//  { 0x290F, "" },
//  { 0x2910, "" },
//  { 0x2911, "" },
//  { 0x2912, "" },
//  { 0x2913, "" },
//  { 0x2914, "" },
//  { 0x2915, "" },
//  { 0x2916, "" },
//  { 0x2917, "" },
//  { 0x2918, "" },
//  { 0x2919, "" },
//  { 0x291A, "" },
//  { 0x291B, "" },
//  { 0x291C, "" },
//  { 0x291D, "" },
//  { 0x291E, "" },
//  { 0x291F, "" },
//  { 0x2920, "" },
//  { 0x2921, "" },
//  { 0x2922, "" },
//  { 0x2923, "" },
//  { 0x2924, "" },
//  { 0x2925, "" },
//  { 0x2926, "" },
//  { 0x2927, "" },
//  { 0x2928, "" },
//  { 0x2929, "" },
//  { 0x292A, "" },
//  { 0x292B, "" },
//  { 0x292C, "" },
//  { 0x292D, "" },
//  { 0x292E, "" },
//  { 0x292F, "" },
//  { 0x2930, "" },
//  { 0x2931, "" },
//  { 0x2932, "" },
//  { 0x2933, "" },
//  { 0x2934, "" },
//  { 0x2935, "" },
//  { 0x2936, "" },
//  { 0x2937, "" },
//  { 0x2938, "" },
//  { 0x2939, "" },
//  { 0x293A, "" },
//  { 0x293B, "" },
//  { 0x293C, "" },
//  { 0x293D, "" },
//  { 0x293E, "" },
//  { 0x293F, "" },
//  { 0x2940, "" },
//  { 0x2941, "" },
//  { 0x2942, "" },
//  { 0x2943, "" },
//  { 0x2944, "" },
//  { 0x2945, "" },
//  { 0x2946, "" },
//  { 0x2947, "" },
//  { 0x2948, "" },
//  { 0x2949, "" },
//  { 0x294A, "" },
//  { 0x294B, "" },
//  { 0x294C, "" },
//  { 0x294D, "" },
//  { 0x294E, "" },
//  { 0x294F, "" },
//  { 0x2950, "" },
//  { 0x2951, "" },
//  { 0x2952, "" },
//  { 0x2953, "" },
//  { 0x2954, "" },
//  { 0x2955, "" },
//  { 0x2956, "" },
//  { 0x2957, "" },
//  { 0x2958, "" },
//  { 0x2959, "" },
//  { 0x295A, "" },
//  { 0x295B, "" },
//  { 0x295C, "" },
//  { 0x295D, "" },
//  { 0x295E, "" },
//  { 0x295F, "" },
//  { 0x2960, "" },
//  { 0x2961, "" },
//  { 0x2962, "" },
//  { 0x2963, "" },
//  { 0x2964, "" },
//  { 0x2965, "" },
//  { 0x2966, "" },
//  { 0x2967, "" },
//  { 0x2968, "" },
//  { 0x2969, "" },
//  { 0x296A, "" },
//  { 0x296B, "" },
//  { 0x296C, "" },
//  { 0x296D, "" },
//  { 0x296E, "" },
//  { 0x296F, "" },
//  { 0x2970, "" },
//  { 0x2971, "" },
//  { 0x2972, "" },
//  { 0x2973, "" },
//  { 0x2974, "" },
//  { 0x2975, "" },
//  { 0x2976, "" },
//  { 0x2977, "" },
//  { 0x2978, "" },
//  { 0x2979, "" },
//  { 0x297A, "" },
//  { 0x297B, "" },
//  { 0x297C, "" },
//  { 0x297D, "" },
//  { 0x297E, "" },
//  { 0x297F, "" },
//  { 0x2980, "" },
//  { 0x2981, "" },
//  { 0x2982, "" },
//  { 0x2983, "" },
//  { 0x2984, "" },
//  { 0x2985, "" },
//  { 0x2986, "" },
//  { 0x2987, "" },
//  { 0x2988, "" },
//  { 0x2989, "" },
//  { 0x298A, "" },
//  { 0x298B, "" },
//  { 0x298C, "" },
//  { 0x298D, "" },
//  { 0x298E, "" },
//  { 0x298F, "" },
//  { 0x2990, "" },
//  { 0x2991, "" },
//  { 0x2992, "" },
//  { 0x2993, "" },
//  { 0x2994, "" },
//  { 0x2995, "" },
//  { 0x2996, "" },
//  { 0x2997, "" },
//  { 0x2998, "" },
//  { 0x2999, "" },
//  { 0x299A, "" },
//  { 0x299B, "" },
//  { 0x299C, "" },
//  { 0x299D, "" },
//  { 0x299E, "" },
//  { 0x299F, "" },
//  { 0x29A0, "" },
//  { 0x29A1, "" },
//  { 0x29A2, "" },
//  { 0x29A3, "" },
//  { 0x29A4, "" },
//  { 0x29A5, "" },
//  { 0x29A6, "" },
//  { 0x29A7, "" },
//  { 0x29A8, "" },
//  { 0x29A9, "" },
//  { 0x29AA, "" },
//  { 0x29AB, "" },
//  { 0x29AC, "" },
//  { 0x29AD, "" },
//  { 0x29AE, "" },
//  { 0x29AF, "" },
//  { 0x29B0, "" },
//  { 0x29B1, "" },
//  { 0x29B2, "" },
//  { 0x29B3, "" },
//  { 0x29B4, "" },
//  { 0x29B5, "" },
//  { 0x29B6, "" },
//  { 0x29B7, "" },
//  { 0x29B8, "" },
//  { 0x29B9, "" },
//  { 0x29BA, "" },
//  { 0x29BB, "" },
//  { 0x29BC, "" },
//  { 0x29BD, "" },
//  { 0x29BE, "" },
//  { 0x29BF, "" },
//  { 0x29C0, "" },
//  { 0x29C1, "" },
//  { 0x29C2, "" },
//  { 0x29C3, "" },
//  { 0x29C4, "" },
//  { 0x29C5, "" },
//  { 0x29C6, "" },
//  { 0x29C7, "" },
//  { 0x29C8, "" },
//  { 0x29C9, "" },
//  { 0x29CA, "" },
//  { 0x29CB, "" },
//  { 0x29CC, "" },
//  { 0x29CD, "" },
//  { 0x29CE, "" },
//  { 0x29CF, "" },
//  { 0x29D0, "" },
//  { 0x29D1, "" },
//  { 0x29D2, "" },
//  { 0x29D3, "" },
//  { 0x29D4, "" },
//  { 0x29D5, "" },
//  { 0x29D6, "" },
//  { 0x29D7, "" },
//  { 0x29D8, "" },
//  { 0x29D9, "" },
//  { 0x29DA, "" },
//  { 0x29DB, "" },
//  { 0x29DC, "" },
//  { 0x29DD, "" },
//  { 0x29DE, "" },
//  { 0x29DF, "" },
//  { 0x29E0, "" },
//  { 0x29E1, "" },
//  { 0x29E2, "" },
//  { 0x29E3, "" },
//  { 0x29E4, "" },
//  { 0x29E5, "" },
//  { 0x29E6, "" },
//  { 0x29E7, "" },
//  { 0x29E8, "" },
//  { 0x29E9, "" },
//  { 0x29EA, "" },
//  { 0x29EB, "" },
    { 0x29EC, "notifystring" },
//  { 0x29ED, "" },
//  { 0x29EE, "" },
//  { 0x29EF, "" },
//  { 0x29F0, "" },
//  { 0x29F1, "" },
//  { 0x29F2, "" },
//  { 0x29F3, "" },
//  { 0x29F4, "" },
//  { 0x29F5, "" },
//  { 0x29F6, "" },
//  { 0x29F7, "" },
//  { 0x29F8, "" },
//  { 0x29F9, "" },
//  { 0x29FA, "" },
//  { 0x29FB, "" },
//  { 0x29FC, "" },
//  { 0x29FD, "" },
//  { 0x29FE, "" },
//  { 0x29FF, "" },
//  { 0x2A00, "" },
//  { 0x2A01, "" },
//  { 0x2A02, "" },
//  { 0x2A03, "" },
//  { 0x2A04, "" },
//  { 0x2A05, "" },
//  { 0x2A06, "" },
//  { 0x2A07, "" },
//  { 0x2A08, "" },
//  { 0x2A09, "" },
//  { 0x2A0A, "" },
//  { 0x2A0B, "" },
//  { 0x2A0C, "" },
//  { 0x2A0D, "" },
//  { 0x2A0E, "" },
//  { 0x2A0F, "" },
//  { 0x2A10, "" },
//  { 0x2A11, "" },
//  { 0x2A12, "" },
//  { 0x2A13, "" },
//  { 0x2A14, "" },
//  { 0x2A15, "" },
//  { 0x2A16, "" },
//  { 0x2A17, "" },
//  { 0x2A18, "" },
//  { 0x2A19, "" },
//  { 0x2A1A, "" },
//  { 0x2A1B, "" },
//  { 0x2A1C, "" },
//  { 0x2A1D, "" },
//  { 0x2A1E, "" },
//  { 0x2A1F, "" },
//  { 0x2A20, "" },
//  { 0x2A21, "" },
//  { 0x2A22, "" },
//  { 0x2A23, "" },
//  { 0x2A24, "" },
//  { 0x2A25, "" },
//  { 0x2A26, "" },
//  { 0x2A27, "" },
//  { 0x2A28, "" },
//  { 0x2A29, "" },
//  { 0x2A2A, "" },
//  { 0x2A2B, "" },
//  { 0x2A2C, "" },
//  { 0x2A2D, "" },
//  { 0x2A2E, "" },
//  { 0x2A2F, "" },
//  { 0x2A30, "" },
//  { 0x2A31, "" },
//  { 0x2A32, "" },
//  { 0x2A33, "" },
//  { 0x2A34, "" },
//  { 0x2A35, "" },
//  { 0x2A36, "" },
//  { 0x2A37, "" },
//  { 0x2A38, "" },
//  { 0x2A39, "" },
//  { 0x2A3A, "" },
//  { 0x2A3B, "" },
//  { 0x2A3C, "" },
//  { 0x2A3D, "" },
//  { 0x2A3E, "" },
//  { 0x2A3F, "" },
//  { 0x2A40, "" },
//  { 0x2A41, "" },
//  { 0x2A42, "" },
//  { 0x2A43, "" },
//  { 0x2A44, "" },
//  { 0x2A45, "" },
//  { 0x2A46, "" },
//  { 0x2A47, "" },
//  { 0x2A48, "" },
//  { 0x2A49, "" },
//  { 0x2A4A, "" },
//  { 0x2A4B, "" },
//  { 0x2A4C, "" },
//  { 0x2A4D, "" },
//  { 0x2A4E, "" },
//  { 0x2A4F, "" },
//  { 0x2A50, "" },
//  { 0x2A51, "" },
//  { 0x2A52, "" },
//  { 0x2A53, "" },
//  { 0x2A54, "" },
//  { 0x2A55, "" },
//  { 0x2A56, "" },
//  { 0x2A57, "" },
//  { 0x2A58, "" },
//  { 0x2A59, "" },
//  { 0x2A5A, "" },
//  { 0x2A5B, "" },
//  { 0x2A5C, "" },
//  { 0x2A5D, "" },
//  { 0x2A5E, "" },
//  { 0x2A5F, "" },
//  { 0x2A60, "" },
//  { 0x2A61, "" },
//  { 0x2A62, "" },
//  { 0x2A63, "" },
//  { 0x2A64, "" },
//  { 0x2A65, "" },
//  { 0x2A66, "" },
//  { 0x2A67, "" },
//  { 0x2A68, "" },
//  { 0x2A69, "" },
//  { 0x2A6A, "" },
//  { 0x2A6B, "" },
//  { 0x2A6C, "" },
//  { 0x2A6D, "" },
//  { 0x2A6E, "" },
//  { 0x2A6F, "" },
//  { 0x2A70, "" },
//  { 0x2A71, "" },
//  { 0x2A72, "" },
//  { 0x2A73, "" },
//  { 0x2A74, "" },
//  { 0x2A75, "" },
//  { 0x2A76, "" },
//  { 0x2A77, "" },
//  { 0x2A78, "" },
//  { 0x2A79, "" },
//  { 0x2A7A, "" },
//  { 0x2A7B, "" },
//  { 0x2A7C, "" },
//  { 0x2A7D, "" },
//  { 0x2A7E, "" },
//  { 0x2A7F, "" },
//  { 0x2A80, "" },
//  { 0x2A81, "" },
//  { 0x2A82, "" },
//  { 0x2A83, "" },
//  { 0x2A84, "" },
//  { 0x2A85, "" },
//  { 0x2A86, "" },
//  { 0x2A87, "" },
//  { 0x2A88, "" },
//  { 0x2A89, "" },
//  { 0x2A8A, "" },
//  { 0x2A8B, "" },
//  { 0x2A8C, "" },
//  { 0x2A8D, "" },
//  { 0x2A8E, "" },
//  { 0x2A8F, "" },
//  { 0x2A90, "" },
//  { 0x2A91, "" },
//  { 0x2A92, "" },
//  { 0x2A93, "" },
//  { 0x2A94, "" },
//  { 0x2A95, "" },
//  { 0x2A96, "" },
//  { 0x2A97, "" },
//  { 0x2A98, "" },
//  { 0x2A99, "" },
//  { 0x2A9A, "" },
//  { 0x2A9B, "" },
//  { 0x2A9C, "" },
//  { 0x2A9D, "" },
//  { 0x2A9E, "" },
//  { 0x2A9F, "" },
//  { 0x2AA0, "" },
//  { 0x2AA1, "" },
//  { 0x2AA2, "" },
//  { 0x2AA3, "" },
//  { 0x2AA4, "" },
//  { 0x2AA5, "" },
//  { 0x2AA6, "" },
//  { 0x2AA7, "" },
//  { 0x2AA8, "" },
//  { 0x2AA9, "" },
//  { 0x2AAA, "" },
//  { 0x2AAB, "" },
//  { 0x2AAC, "" },
//  { 0x2AAD, "" },
//  { 0x2AAE, "" },
//  { 0x2AAF, "" },
//  { 0x2AB0, "" },
//  { 0x2AB1, "" },
//  { 0x2AB2, "" },
//  { 0x2AB3, "" },
//  { 0x2AB4, "" },
//  { 0x2AB5, "" },
//  { 0x2AB6, "" },
//  { 0x2AB7, "" },
//  { 0x2AB8, "" },
//  { 0x2AB9, "" },
//  { 0x2ABA, "" },
//  { 0x2ABB, "" },
//  { 0x2ABC, "" },
//  { 0x2ABD, "" },
//  { 0x2ABE, "" },
//  { 0x2ABF, "" },
//  { 0x2AC0, "" },
//  { 0x2AC1, "" },
//  { 0x2AC2, "" },
//  { 0x2AC3, "" },
//  { 0x2AC4, "" },
//  { 0x2AC5, "" },
//  { 0x2AC6, "" },
//  { 0x2AC7, "" },
//  { 0x2AC8, "" },
//  { 0x2AC9, "" },
//  { 0x2ACA, "" },
//  { 0x2ACB, "" },
//  { 0x2ACC, "" },
//  { 0x2ACD, "" },
//  { 0x2ACE, "" },
//  { 0x2ACF, "" },
//  { 0x2AD0, "" },
//  { 0x2AD1, "" },
//  { 0x2AD2, "" },
//  { 0x2AD3, "" },
//  { 0x2AD4, "" },
//  { 0x2AD5, "" },
//  { 0x2AD6, "" },
//  { 0x2AD7, "" },
//  { 0x2AD8, "" },
//  { 0x2AD9, "" },
//  { 0x2ADA, "" },
//  { 0x2ADB, "" },
//  { 0x2ADC, "" },
//  { 0x2ADD, "" },
//  { 0x2ADE, "" },
//  { 0x2ADF, "" },
//  { 0x2AE0, "" },
//  { 0x2AE1, "" },
//  { 0x2AE2, "" },
//  { 0x2AE3, "" },
//  { 0x2AE4, "" },
//  { 0x2AE5, "" },
//  { 0x2AE6, "" },
//  { 0x2AE7, "" },
//  { 0x2AE8, "" },
//  { 0x2AE9, "" },
//  { 0x2AEA, "" },
//  { 0x2AEB, "" },
//  { 0x2AEC, "" },
//  { 0x2AED, "" },
//  { 0x2AEE, "" },
//  { 0x2AEF, "" },
//  { 0x2AF0, "" },
//  { 0x2AF1, "" },
//  { 0x2AF2, "" },
//  { 0x2AF3, "" },
//  { 0x2AF4, "" },
//  { 0x2AF5, "" },
//  { 0x2AF6, "" },
//  { 0x2AF7, "" },
//  { 0x2AF8, "" },
//  { 0x2AF9, "" },
//  { 0x2AFA, "" },
//  { 0x2AFB, "" },
//  { 0x2AFC, "" },
//  { 0x2AFD, "" },
//  { 0x2AFE, "" },
//  { 0x2AFF, "" },
//  { 0x2B00, "" },
//  { 0x2B01, "" },
//  { 0x2B02, "" },
//  { 0x2B03, "" },
//  { 0x2B04, "" },
//  { 0x2B05, "" },
//  { 0x2B06, "" },
//  { 0x2B07, "" },
//  { 0x2B08, "" },
//  { 0x2B09, "" },
//  { 0x2B0A, "" },
//  { 0x2B0B, "" },
//  { 0x2B0C, "" },
//  { 0x2B0D, "" },
//  { 0x2B0E, "" },
//  { 0x2B0F, "" },
//  { 0x2B10, "" },
//  { 0x2B11, "" },
//  { 0x2B12, "" },
//  { 0x2B13, "" },
//  { 0x2B14, "" },
//  { 0x2B15, "" },
//  { 0x2B16, "" },
//  { 0x2B17, "" },
//  { 0x2B18, "" },
//  { 0x2B19, "" },
//  { 0x2B1A, "" },
//  { 0x2B1B, "" },
//  { 0x2B1C, "" },
//  { 0x2B1D, "" },
    { 0x2B1E, "init_animatedmodels" },
    { 0x2B1F, "animation" },
//  { 0x2B20, "" },
//  { 0x2B21, "" },
//  { 0x2B22, "" },
//  { 0x2B23, "" },
//  { 0x2B24, "" },
//  { 0x2B25, "" },
//  { 0x2B26, "" },
//  { 0x2B27, "" },
//  { 0x2B28, "" },
//  { 0x2B29, "" },
//  { 0x2B2A, "" },
//  { 0x2B2B, "" },
//  { 0x2B2C, "" },
//  { 0x2B2D, "" },
//  { 0x2B2E, "" },
//  { 0x2B2F, "" },
//  { 0x2B30, "" },
//  { 0x2B31, "" },
//  { 0x2B32, "" },
//  { 0x2B33, "" },
//  { 0x2B34, "" },
    { 0x2B35, "character/character_prague_civilian_fem_drone_d" },
//  { 0x2B36, "" },
//  { 0x2B37, "" },
//  { 0x2B38, "" },
//  { 0x2B39, "" },
//  { 0x2B3A, "" },
//  { 0x2B3B, "" },
//  { 0x2B3C, "" },
//  { 0x2B3D, "" },
//  { 0x2B3E, "" },
//  { 0x2B3F, "" },
//  { 0x2B40, "" },
//  { 0x2B41, "" },
//  { 0x2B42, "" },
//  { 0x2B43, "" },
//  { 0x2B44, "" },
//  { 0x2B45, "" },
//  { 0x2B46, "" },
//  { 0x2B47, "" },
//  { 0x2B48, "" },
//  { 0x2B49, "" },
    { 0x2B4A, "strip_suffix" },
    { 0x2B4B, "updatebarscale" },
    { 0x2B4C, "rateofchange" },
    { 0x2B4D, "lastupdatetime" },
    { 0x2B4E, "createtimer" },
    { 0x2B4F, "basewidth" },
    { 0x2B50, "baseheight" },
    { 0x2B51, "createservericon" },
    { 0x2B52, "createserverbar" },
    { 0x2B53, "getcurrentfraction" },
    { 0x2B54, "createprimaryprogressbar" },
    { 0x2B55, "primaryprogressbarheight" },
    { 0x2B56, "primaryprogressbarwidth" },
    { 0x2B57, "primaryprogressbary" },
    { 0x2B58, "primaryprogressbarx" },
    { 0x2B59, "createprimaryprogressbartext" },
    { 0x2B5A, "primaryprogressbarfontsize" },
    { 0x2B5B, "primaryprogressbartexty" },
    { 0x2B5C, "primaryprogressbartextx" },
    { 0x2B5D, "createteamprogressbar" },
    { 0x2B5E, "teamprogressbarheight" },
    { 0x2B5F, "teamprogressbarwidth" },
    { 0x2B60, "teamprogressbary" },
    { 0x2B61, "createteamprogressbartext" },
    { 0x2B62, "teamprogressbarfontsize" },
    { 0x2B63, "teamprogressbartexty" },
    { 0x2B64, "hideelem" },
    { 0x2B65, "showelem" },
    { 0x2B66, "geticonshader" },
    { 0x2B67, "seticonsize" },
    { 0x2B68, "transitionreset" },
    { 0x2B69, "transitionzoomin" },
    { 0x2B6A, "transitionpulsefxin" },
    { 0x2B6B, "transitionslidein" },
    { 0x2B6C, "transitionslideout" },
    { 0x2B6D, "transitionzoomout" },
    { 0x2B6E, "transitionfadein" },
    { 0x2B6F, "maxalpha" },
    { 0x2B70, "transitionfadeout" },
    { 0x2B71, "getweeklyref" },
    { 0x2B72, "getdailyref" },
    { 0x2B73, "hud" },
    { 0x2B74, "splitscreen" },
    { 0x2B75, "lowertextyalign" },
    { 0x2B76, "lowertexty" },
    { 0x2B77, "lowertextfontsize" },
    { 0x2B78, "gethighestscoringplayer" },
    { 0x2B79, "placement" },
    { 0x2B7A, "getlosingplayers" },
    { 0x2B7B, "giveplayerscore" },
    { 0x2B7C, "rankingenabled" },
    { 0x2B7D, "hardcoremode" },
    { 0x2B7E, "xppointspopup" },
    { 0x2B7F, "statadd" },
    { 0x2B80, "statsetchild" },
    { 0x2B81, "teambased" },
    { 0x2B82, "checkplayerscorelimitsoon" },
    { 0x2B83, "checkscorelimit" },
    { 0x2B84, "onplayerscore" },
    { 0x2B85, "objectivepointsmod" },
    { 0x2B86, "_getplayerscore" },
    { 0x2B87, "_setplayerscore" },
    { 0x2B88, "giveteamscoreforobjective" },
    { 0x2B89, "otherteam" },
    { 0x2B8A, "waswinning" },
    { 0x2B8B, "laststatustime" },
    { 0x2B8C, "getscorelimit" },
    { 0x2B8D, "leaderdialog" },
    { 0x2B8E, "getwinningteam" },
    { 0x2B8F, "_setteamscore" },
    { 0x2B90, "overtimescorewinoverride" },
    { 0x2B91, "onscorelimit" },
    { 0x2B92, "checkteamscorelimitsoon" },
    { 0x2B93, "updateteamscore" },
    { 0x2B94, "isroundbased" },
    { 0x2B95, "isobjectivebased" },
    { 0x2B96, "_getteamscore" },
    { 0x2B97, "sendupdatedteamscores" },
    { 0x2B98, "waittillslowprocessallowed" },
    { 0x2B99, "sendupdateddmscores" },
    { 0x2B9A, "updateddmscores" },
    { 0x2B9B, "removedisconnectedplayerfromplacement" },
    { 0x2B9C, "updateplacement" },
    { 0x2B9D, "connectedpostgame" },
    { 0x2B9E, "getbetterplayer" },
    { 0x2B9F, "updateteamplacement" },
    { 0x2BA0, "initialdmscoreupdate" },
    { 0x2BA1, "processassist" },
    { 0x2BA2, "onxpevent" },
    { 0x2BA3, "incpersstat" },
    { 0x2BA4, "getpersstat" },
    { 0x2BA5, "incplayerstat" },
    { 0x2BA6, "giveadrenaline" },
    { 0x2BA7, "playerassist" },
    { 0x2BA8, "processshieldassist" },
    { 0x2BA9, "splashnotifydelayed" },
    { 0x2BAA, "gettweakabledvarvalue" },
    { 0x2BAB, "rules" },
    { 0x2BAC, "dvar" },
    { 0x2BAD, "gametweaks" },
    { 0x2BAE, "teamtweaks" },
    { 0x2BAF, "playertweaks" },
    { 0x2BB0, "classtweaks" },
    { 0x2BB1, "weapontweaks" },
    { 0x2BB2, "hardpointtweaks" },
    { 0x2BB3, "hudtweaks" },
    { 0x2BB4, "gettweakabledvar" },
    { 0x2BB5, "gettweakablevalue" },
    { 0x2BB6, "gettweakablelastvalue" },
    { 0x2BB7, "lastvalue" },
    { 0x2BB8, "settweakablevalue" },
    { 0x2BB9, "settweakablelastvalue" },
    { 0x2BBA, "registertweakable" },
    { 0x2BBB, "clienttweakables" },
    { 0x2BBC, "tweakablesinitialized" },
    { 0x2BBD, "minefields" },
    { 0x2BBE, "minefield_think" },
    { 0x2BBF, "minefield_kill" },
    { 0x2BC0, "minefield" },
    { 0x2BC1, "radiation" },
    { 0x2BC2, "numareas" },
    { 0x2BC3, "playerenterarea" },
    { 0x2BC4, "playerleavearea" },
    { 0x2BC5, "poison" },
    { 0x2BC6, "radiationoverlay" },
    { 0x2BC7, "soundwatcher" },
    { 0x2BC8, "radiationeffect" },
    { 0x2BC9, "radiationsound" },
    { 0x2BCA, "blackout" },
    { 0x2BCB, "doradiationdamage" },
    { 0x2BCC, "fadeinblackout" },
    { 0x2BCD, "fadeoutblackout" },
    { 0x2BCE, "destructable_think" },
    { 0x2BCF, "script_accumulate" },
    { 0x2BD0, "script_threshold" },
    { 0x2BD1, "script_destructable_area" },
    { 0x2BD2, "destructable_destruct" },
    { 0x2BD3, "blockarea" },
    { 0x2BD4, "blockentsinarea" },
    { 0x2BD5, "blockedoff" },
    { 0x2BD6, "unblockarea" },
    { 0x2BD7, "unblockentsinarea" },
    { 0x2BD8, "callback_hostmigration" },
    { 0x2BD9, "hostmigrationreturnedplayercount" },
    { 0x2BDA, "hostmigrationtimer" },
    { 0x2BDB, "updatetimerpausedness" },
    { 0x2BDC, "updategameevents" },
    { 0x2BDD, "hostmigrationwait" },
    { 0x2BDE, "ingraceperiod" },
    { 0x2BDF, "matchstarttimer" },
    { 0x2BE0, "hostmigrationwaitforplayers" },
    { 0x2BE1, "hostmigrationtimerthink_internal" },
    { 0x2BE2, "hostmigrationcontrolsfrozen" },
    { 0x2BE3, "isreallyalive" },
    { 0x2BE4, "freezecontrolswrapper" },
    { 0x2BE5, "hostmigrationtimerthink" },
    { 0x2BE6, "waittillhostmigrationdone" },
    { 0x2BE7, "waittillhostmigrationdone" },
    { 0x2BE8, "waitlongdurationwithhostmigrationpause" },
    { 0x2BE9, "waitlongdurationwithgameendtimeupdate" },
    { 0x2BEA, "teambalance" },
    { 0x2BEB, "maxclients" },
    { 0x2BEC, "freeplayers" },
    { 0x2BED, "initscoreboard" },
    { 0x2BEE, "onfreeplayerconnect" },
    { 0x2BEF, "onjoinedteam" },
    { 0x2BF0, "onjoinedspectators" },
    { 0x2BF1, "trackplayedtime" },
    { 0x2BF2, "timeplayed" },
    { 0x2BF3, "gameflagwait" },
    { 0x2BF4, "updateplayertimes" },
    { 0x2BF5, "rankedmatch" },
    { 0x2BF6, "updateplayedtime" },
    { 0x2BF7, "stataddbuffered" },
    { 0x2BF8, "stataddchildbuffered" },
    { 0x2BF9, "bufferedchildstatsmax" },
    { 0x2BFA, "stataddchildbufferedwithmax" },
    { 0x2BFB, "bufferedstatsmax" },
    { 0x2BFC, "stataddbufferedwithmax" },
    { 0x2BFD, "updateteamtime" },
    { 0x2BFE, "updateteambalancedvar" },
    { 0x2BFF, "updateteambalance" },
    { 0x2C00, "teamlimit" },
    { 0x2C01, "getteambalance" },
    { 0x2C02, "balanceteams" },
    { 0x2C03, "dont_auto_balance" },
    { 0x2C04, "axis" },
    { 0x2C05, "allies" },
    { 0x2C06, "setghilliemodels" },
    { 0x2C07, "environment" },
    { 0x2C08, "setteammodels" },
    { 0x2C09, "setplayermodels" },
    { 0x2C0A, "playermodelforweapon" },
    { 0x2C0B, "isjuggernaut" },
    { 0x2C0C, "countplayers" },
    { 0x2C0D, "trackfreeplayedtime" },
    { 0x2C0E, "updatefreeplayertimes" },
    { 0x2C0F, "updatefreeplayedtime" },
    { 0x2C10, "getjointeampermissions" },
    { 0x2C11, "onplayerspawned" },
    { 0x2C12, "getteamname" },
    { 0x2C13, "getteamshortname" },
    { 0x2C14, "getteamforfeitedstring" },
    { 0x2C15, "getteameliminatedstring" },
    { 0x2C16, "getteamicon" },
    { 0x2C17, "getteamhudicon" },
    { 0x2C18, "getteamheadicon" },
    { 0x2C19, "getteamvoiceprefix" },
    { 0x2C1A, "getteamspawnmusic" },
    { 0x2C1B, "getteamwinmusic" },
    { 0x2C1C, "getteamflagmodel" },
    { 0x2C1D, "getteamflagcarrymodel" },
    { 0x2C1E, "getteamflagicon" },
    { 0x2C1F, "getteamflagfx" },
    { 0x2C20, "getteamcolor" },
    { 0x2C21, "getteamcratemodel" },
    { 0x2C22, "getteamdeploymodel" },
    { 0x2C23, "initedentityheadicons" },
    { 0x2C24, "setheadicon" },
    { 0x2C25, "entityheadicons" },
    { 0x2C26, "getplayerforguid" },
    { 0x2C27, "destroyonownerdisconnect" },
    { 0x2C28, "destroyiconsondeath" },
    { 0x2C29, "keeppositioned" },
    { 0x2C2A, "setteamheadicon" },
    { 0x2C2B, "entityheadiconteam" },
    { 0x2C2C, "setplayerheadicon" },
    { 0x2C2D, "keepiconpositioned" },
    { 0x2C2E, "destroyheadiconsondeath" },
    { 0x2C2F, "updateheadiconorigin" },
    { 0x2C30, "watchtrophyusage" },
    { 0x2C31, "trophyarray" },
    { 0x2C32, "maxperplayerexplosives" },
    { 0x2C33, "createbombsquadmodel" },
    { 0x2C34, "weaponname" },
    { 0x2C35, "trophyremainingammo" },
    { 0x2C36, "ammo" },
    { 0x2C37, "trigger" },
    { 0x2C38, "c4empkillstreakwait" },
    { 0x2C39, "trophyuselistener" },
    { 0x2C3A, "setselfusable" },
    { 0x2C3B, "notusableforjoiningplayers" },
    { 0x2C3C, "giveperk" },
    { 0x2C3D, "trophyplayerspawnwaiter" },
    { 0x2C3E, "trophydisconnectwaiter" },
    { 0x2C3F, "trophyactive" },
    { 0x2C40, "grenades" },
    { 0x2C41, "missiles" },
    { 0x2C42, "disabled" },
    { 0x2C43, "combinearrays" },
    { 0x2C44, "sentry_fire" },
    { 0x2C45, "projectileexplode" },
    { 0x2C46, "empgrenadeexplode" },
    { 0x2C47, "mine_explode" },
    { 0x2C48, "trophydamage" },
    { 0x2C49, "friendlyfirecheck" },
    { 0x2C4A, "idflags_penetration" },
    { 0x2C4B, "wasdamagedfrombulletpenetration" },
    { 0x2C4C, "wasdamaged" },
    { 0x2C4D, "trophybreak" },
    { 0x2C4E, "startmonitoringflash" },
    { 0x2C4F, "stopmonitoringflash" },
    { 0x2C50, "usingremote" },
    { 0x2C51, "stunscaler" },
    { 0x2C52, "applyflash" },
    { 0x2C53, "flashduration" },
    { 0x2C54, "flashrumbleduration" },
    { 0x2C55, "monitorempgrenade" },
    { 0x2C56, "empendtime" },
    { 0x2C57, "_hasperk" },
    { 0x2C58, "applyemp" },
    { 0x2C59, "empduration" },
    { 0x2C5A, "empgrenaded" },
    { 0x2C5B, "empgrenadedeathwaiter" },
    { 0x2C5C, "checktoturnoffemp" },
    { 0x2C5D, "teamemped" },
    { 0x2C5E, "empplayer" },
    { 0x2C5F, "emprumbleloop" },
    { 0x2C60, "isempgrenaded" },
    { 0x2C61, "initstingerusage" },
    { 0x2C62, "stingerstage" },
    { 0x2C63, "stingertarget" },
    { 0x2C64, "stingerlockstarttime" },
    { 0x2C65, "stingerlostsightlinetime" },
    { 0x2C66, "stingertargets" },
    { 0x2C67, "resetstingerlocking" },
    { 0x2C68, "stingeruseentered" },
    { 0x2C69, "resetstingerlockingondeath" },
    { 0x2C6A, "stillvalidstingerlock" },
    { 0x2C6B, "ac130" },
    { 0x2C6C, "planemodel" },
    { 0x2C6D, "loopstingerlockingfeedback" },
    { 0x2C6E, "loopstingerlockedfeedback" },
    { 0x2C6F, "locksighttest" },
    { 0x2C70, "stingerdebugdraw" },
    { 0x2C71, "softsighttest" },
    { 0x2C72, "gettargetlist" },
    { 0x2C73, "harriers" },
    { 0x2C74, "uavmodels" },
    { 0x2C75, "littlebirds" },
    { 0x2C76, "ugvs" },
    { 0x2C77, "stingerusageloop" },
    { 0x2C78, "initjavelinusage" },
    { 0x2C79, "javelinstage" },
    { 0x2C7A, "javelinpoints" },
    { 0x2C7B, "javelinnormals" },
    { 0x2C7C, "javelinlockmisses" },
    { 0x2C7D, "javelintargetpoint" },
    { 0x2C7E, "javelintargetnormal" },
    { 0x2C7F, "javelinlockstarttime" },
    { 0x2C80, "resetjavelinlocking" },
    { 0x2C81, "javelinuseentered" },
    { 0x2C82, "currentlylocking" },
    { 0x2C83, "currentlylocked" },
    { 0x2C84, "javelintarget" },
    { 0x2C85, "eyetraceforward" },
    { 0x2C86, "lockmissesreset" },
    { 0x2C87, "lockmissesincr" },
    { 0x2C88, "lockmissespassedthreshold" },
    { 0x2C89, "targetpointtooclose" },
    { 0x2C8A, "looplocalseeksound" },
    { 0x2C8B, "topattackpasses" },
    { 0x2C8C, "javelinusageloop" },
    { 0x2C8D, "isemped" },
    { 0x2C8E, "javelinlostsightlinetime" },
    { 0x2C8F, "debugsightline" },
    { 0x2C90, "vehiclelocksighttest" },
    { 0x2C91, "javelinlockvehicle" },
    { 0x2C92, "stillvalidjavelinlock" },
    { 0x2C93, "shellshockondamage" },
    { 0x2C94, "shellshockreduction" },
    { 0x2C95, "isusingremote" },
    { 0x2C96, "bloodeffect" },
    { 0x2C97, "c4_earthquake" },
    { 0x2C98, "barrel_earthquake" },
    { 0x2C99, "artillery_earthquake" },
    { 0x2C9A, "attachmentgroup" },
    { 0x2C9B, "getattachmentlist" },
    { 0x2C9C, "scavenger_altmode" },
    { 0x2C9D, "scavenger_secondary" },
    { 0x2C9E, "getintproperty" },
    { 0x2C9F, "riotshieldxpbullets" },
    { 0x2CA0, "weaponlist" },
    { 0x2CA1, "claymoredetectiondot" },
    { 0x2CA2, "claymoredetectionmindist" },
    { 0x2CA3, "claymoredetectiongraceperiod" },
    { 0x2CA4, "claymoredetonateradius" },
    { 0x2CA5, "minedetectiongraceperiod" },
    { 0x2CA6, "minedetectionradius" },
    { 0x2CA7, "minedetectionheight" },
    { 0x2CA8, "minedamageradius" },
    { 0x2CA9, "minedamagemin" },
    { 0x2CAA, "minedamagemax" },
    { 0x2CAB, "minedamagehalfheight" },
    { 0x2CAC, "mineselfdestructtime" },
    { 0x2CAD, "mine_launch" },
    { 0x2CAE, "mine_spin" },
    { 0x2CAF, "mine_beacon" },
    { 0x2CB0, "delayminetime" },
    { 0x2CB1, "stingerfxid" },
    { 0x2CB2, "primary_weapon_array" },
    { 0x2CB3, "side_arm_array" },
    { 0x2CB4, "grenade_array" },
    { 0x2CB5, "missile_array" },
    { 0x2CB6, "inventory_array" },
    { 0x2CB7, "mines" },
    { 0x2CB8, "dumpit" },
    { 0x2CB9, "bombsquadwaiter" },
    { 0x2CBA, "bombsquadvisibilityupdater" },
    { 0x2CBB, "hits" },
    { 0x2CBC, "hasdonecombat" },
    { 0x2CBD, "currentweaponatspawn" },
    { 0x2CBE, "concussionendtime" },
    { 0x2CBF, "trackingweaponname" },
    { 0x2CC0, "trackingweaponshots" },
    { 0x2CC1, "trackingweaponkills" },
    { 0x2CC2, "trackingweaponhits" },
    { 0x2CC3, "trackingweaponheadshots" },
    { 0x2CC4, "trackingweapondeaths" },
    { 0x2CC5, "trackriotshield" },
    { 0x2CC6, "lasthittime" },
    { 0x2CC7, "droppeddeathweapon" },
    { 0x2CC8, "tookweaponfrom" },
    { 0x2CC9, "sniperdustwatcher" },
    { 0x2CCA, "getweaponclass" },
    { 0x2CCB, "watchstingerusage" },
    { 0x2CCC, "watchjavelinusage" },
    { 0x2CCD, "lastdroppableweapon" },
    { 0x2CCE, "hitsthismag" },
    { 0x2CCF, "iscacprimaryweapon" },
    { 0x2CD0, "bothbarrels" },
    { 0x2CD1, "iskillstreakweapon" },
    { 0x2CD2, "changingweapon" },
    { 0x2CD3, "class_num" },
    { 0x2CD4, "loadoutprimarybuff" },
    { 0x2CD5, "cac_getweapon" },
    { 0x2CD6, "_unsetperk" },
    { 0x2CD7, "loadoutsecondarybuff" },
    { 0x2CD8, "watchstartweaponchange" },
    { 0x2CD9, "watchweaponreload" },
    { 0x2CDA, "watchrangerusage" },
    { 0x2CDB, "ishackweapon" },
    { 0x2CDC, "maydropweapon" },
    { 0x2CDD, "dropweaponfordeath" },
    { 0x2CDE, "blockweapondrops" },
    { 0x2CDF, "ownersattacker" },
    { 0x2CE0, "detachifattached" },
    { 0x2CE1, "deletepickupafterawhile" },
    { 0x2CE2, "getitemweaponname" },
    { 0x2CE3, "watchpickup" },
    { 0x2CE4, "itemremoveammofromaltmodes" },
    { 0x2CE5, "handlescavengerbagpickup" },
    { 0x2CE6, "dropscavengerfordeath" },
    { 0x2CE7, "getweaponbasedgrenadecount" },
    { 0x2CE8, "getweaponbasedsmokegrenadecount" },
    { 0x2CE9, "getfraggrenadecount" },
    { 0x2CEA, "getsmokegrenadecount" },
    { 0x2CEB, "setweaponstat" },
    { 0x2CEC, "watchweaponusage" },
    { 0x2CED, "statgetbuffered" },
    { 0x2CEE, "statsetbuffered" },
    { 0x2CEF, "laststandparams" },
    { 0x2CF0, "laststandstarttime" },
    { 0x2CF1, "updatemagshots" },
    { 0x2CF2, "checkhitsthismag" },
    { 0x2CF3, "genericchallenge" },
    { 0x2CF4, "checkhit" },
    { 0x2CF5, "attackercandamageitem" },
    { 0x2CF6, "gotpullbacknotify" },
    { 0x2CF7, "claymorearray" },
    { 0x2CF8, "bouncingbettyarray" },
    { 0x2CF9, "iscooked" },
    { 0x2CFA, "originalowner" },
    { 0x2CFB, "watchsmokeexplode" },
    { 0x2CFC, "inplayersmokescreen" },
    { 0x2CFD, "waitsmoketime" },
    { 0x2CFE, "addmissiletosighttraces" },
    { 0x2CFF, "missilesforsighttraces" },
    { 0x2D00, "watchmissileusage" },
    { 0x2D01, "setaltsceneobj" },
    { 0x2D02, "watchsentryusage" },
    { 0x2D03, "empexplodewaiter" },
    { 0x2D04, "watchforthrowbacks" },
    { 0x2D05, "threwback" },
    { 0x2D06, "activated" },
    { 0x2D07, "c4empdamage" },
    { 0x2D08, "setclaymoreteamheadicon" },
    { 0x2D09, "equipmentwatchuse" },
    { 0x2D0A, "shouldaffectclaymore" },
    { 0x2D0B, "c4activate" },
    { 0x2D0C, "deletec4andclaymoresondisconnect" },
    { 0x2D0D, "waschained" },
    { 0x2D0E, "waittillenabled" },
    { 0x2D0F, "c4detectiontrigger" },
    { 0x2D10, "detectid" },
    { 0x2D11, "bombsquadicon" },
    { 0x2D12, "claymoredetectiontrigger" },
    { 0x2D13, "detecticonwaiter" },
    { 0x2D14, "detectexplosives" },
    { 0x2D15, "bombsquadids" },
    { 0x2D16, "setupbombsquad" },
    { 0x2D17, "bombsquadicons" },
    { 0x2D18, "showheadicon" },
    { 0x2D19, "get_damageable_player_pos" },
    { 0x2D1A, "get_damageable_player" },
    { 0x2D1B, "get_damageable_grenade_pos" },
    { 0x2D1C, "get_damageable_grenade" },
    { 0x2D1D, "get_damageable_sentry" },
    { 0x2D1E, "get_damageable_mine" },
    { 0x2D1F, "getempdamageents" },
    { 0x2D20, "debugcircle" },
    { 0x2D21, "isaltmodeweapon" },
    { 0x2D22, "isinventoryweapon" },
    { 0x2D23, "isriotshield" },
    { 0x2D24, "isoffhandweapon" },
    { 0x2D25, "issidearm" },
    { 0x2D26, "isgrenade" },
    { 0x2D27, "updatesavedlastweapon" },
    { 0x2D28, "updateweaponrank" },
    { 0x2D29, "getweaponrank" },
    { 0x2D2A, "isdeathstreakweapon" },
    { 0x2D2B, "clearempondeath" },
    { 0x2D2C, "updatemovespeedscale" },
    { 0x2D2D, "getbaseweaponname" },
    { 0x2D2E, "weaponspeed" },
    { 0x2D2F, "movespeedscaler" },
    { 0x2D30, "stancerecoiladjuster" },
    { 0x2D31, "setrecoilscale" },
    { 0x2D32, "buildweapondata" },
    { 0x2D33, "basename" },
    { 0x2D34, "assetname" },
    { 0x2D35, "variants" },
    { 0x2D36, "monitorsemtex" },
    { 0x2D37, "isstuck" },
    { 0x2D38, "stuckenemyentity" },
    { 0x2D39, "playercardsplashnotify" },
    { 0x2D3A, "splashnotify" },
    { 0x2D3B, "turret_monitoruse" },
    { 0x2D3C, "turret_playerthread" },
    { 0x2D3D, "spawnmine" },
    { 0x2D3E, "killcamoffset" },
    { 0x2D3F, "killcament" },
    { 0x2D40, "equipmentmines" },
    { 0x2D41, "killstreakmines" },
    { 0x2D42, "minedamagemonitor" },
    { 0x2D43, "mineproximitytrigger" },
    { 0x2D44, "minedeletetrigger" },
    { 0x2D45, "mineselfdestruct" },
    { 0x2D46, "minebounce" },
    { 0x2D47, "mineexplode" },
    { 0x2D48, "playspinnerfx" },
    { 0x2D49, "minedamagedebug" },
    { 0x2D4A, "minedamageheightpassed" },
    { 0x2D4B, "getstancecenter" },
    { 0x2D4C, "watchmineusage" },
//  { 0x2D4D, "" },
    { 0x2D4E, "minethrown" },
    { 0x2D4F, "minebeacon" },
    { 0x2D50, "minebeaconteamupdater" },
    { 0x2D51, "maxlives" },
    { 0x2D52, "maxnamelength" },
    { 0x2D53, "maxevents" },
    { 0x2D54, "maxkillstreaks" },
    { 0x2D55, "maxlogclients" },
    { 0x2D56, "maxnumchallengesperplayer" },
    { 0x2D57, "maxnumawardsperplayer" },
    { 0x2D58, "getmatchdatetime" },
    { 0x2D59, "logkillstreakevent" },
    { 0x2D5A, "clientid" },
    { 0x2D5B, "loggameevent" },
    { 0x2D5C, "logkillevent" },
    { 0x2D5D, "logmultikill" },
    { 0x2D5E, "logplayerlife" },
    { 0x2D5F, "spawnpos" },
    { 0x2D60, "wasti" },
    { 0x2D61, "spawntime" },
    { 0x2D62, "logplayerxp" },
    { 0x2D63, "logloadout" },
    { 0x2D64, "curclass" },
    { 0x2D65, "getclassindex" },
    { 0x2D66, "cac_getweaponattachment" },
    { 0x2D67, "cac_getweaponattachmenttwo" },
    { 0x2D68, "cac_getoffhand" },
    { 0x2D69, "cac_getperk" },
    { 0x2D6A, "cac_getdeathstreak" },
    { 0x2D6B, "cac_getweaponbuff" },
    { 0x2D6C, "cac_getkillstreak" },
    { 0x2D6D, "classtablename" },
    { 0x2D6E, "table_getweapon" },
    { 0x2D6F, "table_getweaponattachment" },
    { 0x2D70, "table_getoffhand" },
    { 0x2D71, "table_getequipment" },
    { 0x2D72, "table_getperk" },
    { 0x2D73, "table_getdeathstreak" },
    { 0x2D74, "table_getweaponbuff" },
    { 0x2D75, "table_getkillstreak" },
    { 0x2D76, "validateattachment" },
    { 0x2D77, "logplayerdeath" },
    { 0x2D78, "isattachment" },
    { 0x2D79, "logplayerdata" },
    { 0x2D7A, "endofgamesummarylogger" },
    { 0x2D7B, "weaponsused" },
    { 0x2D7C, "weaponxpearned" },
    { 0x2D7D, "challengescompleted" },
    { 0x2D7E, "doublebubblesort" },
    { 0x2D7F, "gameendlistener" },
    { 0x2D80, "getnextlifeid" },
    { 0x2D81, "canlogclient" },
    { 0x2D82, "canlogevent" },
    { 0x2D83, "canlogkillstreak" },
    { 0x2D84, "canloglife" },
    { 0x2D85, "logweaponstat" },
    { 0x2D86, "logattachmentstat" },
    { 0x2D87, "buildbaseweaponlist" },
    { 0x2D88, "logchallenge" },
    { 0x2D89, "logaward" },
    { 0x2D8A, "killstreakfuncs" },
    { 0x2D8B, "tryuseallperks" },
    { 0x2D8C, "tryuseblindeye" },
    { 0x2D8D, "tryusepaint" },
    { 0x2D8E, "tryuseassists" },
    { 0x2D8F, "tryusesteadyaim" },
    { 0x2D90, "tryusestalker" },
    { 0x2D91, "tryuseextremeconditioning" },
    { 0x2D92, "tryusesleightofhand" },
    { 0x2D93, "tryusescavenger" },
    { 0x2D94, "tryusehardline" },
    { 0x2D95, "setstreakcounttonext" },
    { 0x2D96, "tryusecoldblooded" },
    { 0x2D97, "tryusequickdraw" },
    { 0x2D98, "tryuseblastshield" },
    { 0x2D99, "tryusesitrep" },
    { 0x2D9A, "tryuseironlungs" },
    { 0x2D9B, "tryuseassassin" },
    { 0x2D9C, "tryusedeadsilence" },
    { 0x2D9D, "doperkfunctions" },
    { 0x2D9E, "watchdeath" },
    { 0x2D9F, "_unsetextraperks" },
    { 0x2DA0, "checkforperkupgrade" },
    { 0x2DA1, "getperkupgrade" },
    { 0x2DA2, "isperkstreakon" },
    { 0x2DA3, "streakname" },
    { 0x2DA4, "available" },
    { 0x2DA5, "setscrambler" },
    { 0x2DA6, "_giveweapon" },
    { 0x2DA7, "unsetscrambler" },
    { 0x2DA8, "deletescrambler" },
    { 0x2DA9, "inplayerscrambler" },
    { 0x2DAA, "deployedscrambler" },
    { 0x2DAB, "scramblers" },
    { 0x2DAC, "cleanarray" },
    { 0x2DAD, "monitorscrambleruse" },
    { 0x2DAE, "scramblersetup" },
    { 0x2DAF, "scramblerwatchowner" },
    { 0x2DB0, "scramblerbeepsounds" },
    { 0x2DB1, "scramblerdamagelistener" },
    { 0x2DB2, "deatheffect" },
    { 0x2DB3, "scrambleruselistener" },
    { 0x2DB4, "scramblerproximitytracker" },
    { 0x2DB5, "scramproxyactive" },
    { 0x2DB6, "scramproxyperk" },
    { 0x2DB7, "setportableradar" },
    { 0x2DB8, "unsetportableradar" },
    { 0x2DB9, "deleteportableradar" },
    { 0x2DBA, "inplayerportableradar" },
    { 0x2DBB, "deployedportableradar" },
    { 0x2DBC, "monitorportableradaruse" },
    { 0x2DBD, "portableradarsetup" },
    { 0x2DBE, "portableradarwatchowner" },
    { 0x2DBF, "portableradarbeepsounds" },
    { 0x2DC0, "portableradardamagelistener" },
    { 0x2DC1, "portableradaruselistener" },
    { 0x2DC2, "portableradarproximitytracker" },
    { 0x2DC3, "perkfuncs" },
    { 0x2DC4, "precachemodel" },
    { 0x2DC5, "spawnglow" },
    { 0x2DC6, "spawnfire" },
    { 0x2DC7, "scriptperks" },
    { 0x2DC8, "perksetfuncs" },
    { 0x2DC9, "perkunsetfuncs" },
    { 0x2DCA, "fauxperks" },
    { 0x2DCB, "setblastshield" },
    { 0x2DCC, "unsetblastshield" },
    { 0x2DCD, "setsiege" },
    { 0x2DCE, "unsetsiege" },
    { 0x2DCF, "setfreefall" },
    { 0x2DD0, "unsetfreefall" },
    { 0x2DD1, "setlocaljammer" },
    { 0x2DD2, "unsetlocaljammer" },
    { 0x2DD3, "setthermal" },
    { 0x2DD4, "unsetthermal" },
    { 0x2DD5, "setblackbox" },
    { 0x2DD6, "unsetblackbox" },
    { 0x2DD7, "setlightweight" },
    { 0x2DD8, "unsetlightweight" },
    { 0x2DD9, "setsteelnerves" },
    { 0x2DDA, "unsetsteelnerves" },
    { 0x2DDB, "setdelaymine" },
    { 0x2DDC, "unsetdelaymine" },
    { 0x2DDD, "setchallenger" },
    { 0x2DDE, "unsetchallenger" },
    { 0x2DDF, "setsaboteur" },
    { 0x2DE0, "unsetsaboteur" },
    { 0x2DE1, "setendgame" },
    { 0x2DE2, "unsetendgame" },
    { 0x2DE3, "setrearview" },
    { 0x2DE4, "unsetrearview" },
    { 0x2DE5, "setac130" },
    { 0x2DE6, "unsetac130" },
    { 0x2DE7, "setsentryminigun" },
    { 0x2DE8, "unsetsentryminigun" },
    { 0x2DE9, "setpredatormissile" },
    { 0x2DEA, "unsetpredatormissile" },
    { 0x2DEB, "settank" },
    { 0x2DEC, "unsettank" },
    { 0x2DED, "setprecision_airstrike" },
    { 0x2DEE, "unsetprecision_airstrike" },
    { 0x2DEF, "sethelicopterminigun" },
    { 0x2DF0, "unsethelicopterminigun" },
    { 0x2DF1, "setonemanarmy" },
    { 0x2DF2, "unsetonemanarmy" },
    { 0x2DF3, "setlittlebirdsupport" },
    { 0x2DF4, "unsetlittlebirdsupport" },
    { 0x2DF5, "settacticalinsertion" },
    { 0x2DF6, "unsettacticalinsertion" },
    { 0x2DF7, "setsteadyaimpro" },
    { 0x2DF8, "unsetsteadyaimpro" },
    { 0x2DF9, "setstunresistance" },
    { 0x2DFA, "unsetstunresistance" },
    { 0x2DFB, "setmarksman" },
    { 0x2DFC, "unsetmarksman" },
    { 0x2DFD, "setdoubleload" },
    { 0x2DFE, "unsetdoubleload" },
    { 0x2DFF, "setsharpfocus" },
    { 0x2E00, "unsetsharpfocus" },
    { 0x2E01, "sethardshell" },
    { 0x2E02, "unsethardshell" },
    { 0x2E03, "setregenspeed" },
    { 0x2E04, "unsetregenspeed" },
    { 0x2E05, "setautospot" },
    { 0x2E06, "unsetautospot" },
    { 0x2E07, "setempimmune" },
    { 0x2E08, "unsetempimmune" },
    { 0x2E09, "setoverkillpro" },
    { 0x2E0A, "unsetoverkillpro" },
    { 0x2E0B, "setcombathigh" },
    { 0x2E0C, "unsetcombathigh" },
    { 0x2E0D, "setlightarmor" },
    { 0x2E0E, "unsetlightarmor" },
    { 0x2E0F, "setrevenge" },
    { 0x2E10, "unsetrevenge" },
    { 0x2E11, "setc4death" },
    { 0x2E12, "unsetc4death" },
    { 0x2E13, "setfinalstand" },
    { 0x2E14, "unsetfinalstand" },
    { 0x2E15, "setjuiced" },
    { 0x2E16, "unsetjuiced" },
    { 0x2E17, "setcarepackage" },
    { 0x2E18, "unsetcarepackage" },
    { 0x2E19, "setstoppingpower" },
    { 0x2E1A, "unsetstoppingpower" },
    { 0x2E1B, "setuav" },
    { 0x2E1C, "unsetuav" },
    { 0x2E1D, "precacheshaders" },
    { 0x2E1E, "validateperk" },
    { 0x2E1F, "perks" },
    { 0x2E20, "omaclasschanged" },
    { 0x2E21, "playerproximitytracker" },
    { 0x2E22, "proximityactive" },
    { 0x2E23, "drawline" },
    { 0x2E24, "cac_modified_damage" },
    { 0x2E25, "xpscaler" },
    { 0x2E26, "isbulletdamage" },
//  { 0x2E27, "" },
    { 0x2E28, "setpainted" },
    { 0x2E29, "bulletdamagemod" },
    { 0x2E2A, "armorvestmod" },
    { 0x2E2B, "explosivedamagemod" },
    { 0x2E2C, "blastshieldmod" },
    { 0x2E2D, "dangerclosemod" },
    { 0x2E2E, "haslightarmor" },
    { 0x2E2F, "damageblockedtotal" },
    { 0x2E30, "initperkdvars" },
    { 0x2E31, "armorvestdefmod" },
    { 0x2E32, "armorpiercingmod" },
    { 0x2E33, "riotshieldmod" },
    { 0x2E34, "cac_selector" },
    { 0x2E35, "specialty" },
    { 0x2E36, "gambitusetracker" },
    { 0x2E37, "giveblindeyeafterspawn" },
    { 0x2E38, "avoidkillstreakonspawntimer" },
    { 0x2E39, "objpointnames" },
    { 0x2E3A, "objpoints" },
    { 0x2E3B, "objpointsize" },
    { 0x2E3C, "objpoint_alpha_default" },
    { 0x2E3D, "objpointscale" },
    { 0x2E3E, "createteamobjpoint" },
    { 0x2E3F, "isflashing" },
    { 0x2E40, "isshown" },
    { 0x2E41, "basealpha" },
    { 0x2E42, "deleteobjpoint" },
    { 0x2E43, "setoriginbyname" },
    { 0x2E44, "getobjpointbyname" },
    { 0x2E45, "getobjpointbyindex" },
    { 0x2E46, "startflashing" },
    { 0x2E47, "stopflashing" },
    { 0x2E48, "script_gameobjectname" },
    { 0x2E49, "numgametypereservedobjectives" },
    { 0x2E4A, "objidstart" },
    { 0x2E4B, "carryobject" },
    { 0x2E4C, "claimtrigger" },
    { 0x2E4D, "canpickupobject" },
    { 0x2E4E, "killedinuse" },
    { 0x2E4F, "onplayerdisconnect" },
    { 0x2E50, "createcarryobject" },
    { 0x2E51, "curorigin" },
    { 0x2E52, "ownerteam" },
    { 0x2E53, "triggertype" },
    { 0x2E54, "baseorigin" },
    { 0x2E55, "useweapon" },
    { 0x2E56, "offset3d" },
    { 0x2E57, "baseangles" },
    { 0x2E58, "visuals" },
    { 0x2E59, "compassicons" },
    { 0x2E5A, "objidallies" },
    { 0x2E5B, "objidaxis" },
    { 0x2E5C, "objidpingfriendly" },
    { 0x2E5D, "objidpingenemy" },
    { 0x2E5E, "carrier" },
    { 0x2E5F, "isresetting" },
    { 0x2E60, "interactteam" },
    { 0x2E61, "allowweapons" },
    { 0x2E62, "worldicons" },
    { 0x2E63, "carriervisible" },
    { 0x2E64, "visibleteam" },
    { 0x2E65, "carryicon" },
    { 0x2E66, "ondrop" },
    { 0x2E67, "onpickup" },
    { 0x2E68, "onreset" },
    { 0x2E69, "curprogress" },
    { 0x2E6A, "usetime" },
    { 0x2E6B, "userate" },
    { 0x2E6C, "teamusetimes" },
    { 0x2E6D, "teamusetexts" },
    { 0x2E6E, "numtouching" },
    { 0x2E6F, "claimteam" },
    { 0x2E70, "claimplayer" },
    { 0x2E71, "lastclaimteam" },
    { 0x2E72, "lastclaimtime" },
    { 0x2E73, "carryobjectusethink" },
    { 0x2E74, "carryobjectproxthink" },
    { 0x2E75, "carryobjectproxthinkinstant" },
    { 0x2E76, "carryobjectproxthinkdelayed" },
    { 0x2E77, "onenduse" },
    { 0x2E78, "onuseupdate" },
    { 0x2E79, "pickupobjectdelay" },
    { 0x2E7A, "setpickedup" },
    { 0x2E7B, "onpickupfailed" },
    { 0x2E7C, "updatecarryobjectorigin" },
    { 0x2E7D, "wait_endon" },
    { 0x2E7E, "giveobject" },
    { 0x2E7F, "returnhome" },
    { 0x2E80, "ishome" },
    { 0x2E81, "setposition" },
    { 0x2E82, "onplayerlaststand" },
    { 0x2E83, "setdropped" },
    { 0x2E84, "body" },
    { 0x2E85, "safeorigin" },
    { 0x2E86, "setcarrier" },
    { 0x2E87, "clearcarrier" },
    { 0x2E88, "pickuptimeout" },
    { 0x2E89, "autoresettime" },
    { 0x2E8A, "takeobject" },
    { 0x2E8B, "trackcarrier" },
    { 0x2E8C, "manualdropthink" },
    { 0x2E8D, "deleteuseobject" },
    { 0x2E8E, "_objective_delete" },
    { 0x2E8F, "createuseobject" },
    { 0x2E90, "keyobject" },
    { 0x2E91, "onuse" },
    { 0x2E92, "oncantuse" },
    { 0x2E93, "usetext" },
    { 0x2E94, "setkeyobject" },
    { 0x2E95, "useobjectusethink" },
    { 0x2E96, "onbeginuse" },
    { 0x2E97, "cantusehintthink" },
    { 0x2E98, "getearliestclaimplayer" },
    { 0x2E99, "starttime" },
    { 0x2E9A, "useobjectproxthink" },
    { 0x2E9B, "proxtriggerthink" },
    { 0x2E9C, "carryflag" },
    { 0x2E9D, "proxtriggerlos" },
    { 0x2E9E, "requireslos" },
    { 0x2E9F, "setclaimteam" },
    { 0x2EA0, "getclaimteam" },
    { 0x2EA1, "nousebar" },
    { 0x2EA2, "updateproxbar" },
    { 0x2EA3, "proxbar" },
    { 0x2EA4, "proxbartext" },
    { 0x2EA5, "lastuserate" },
    { 0x2EA6, "lasthostmigrationstate" },
    { 0x2EA7, "updateuserate" },
    { 0x2EA8, "objectivescaler" },
    { 0x2EA9, "isarena" },
    { 0x2EAA, "attachusemodel" },
    { 0x2EAB, "attachedusemodel" },
    { 0x2EAC, "useholdthink" },
    { 0x2EAD, "lastnonuseweapon" },
    { 0x2EAE, "detachusemodels" },
    { 0x2EAF, "takeuseweapon" },
    { 0x2EB0, "useholdthinkloop" },
    { 0x2EB1, "personalusebar" },
    { 0x2EB2, "updatetrigger" },
    { 0x2EB3, "updateworldicons" },
    { 0x2EB4, "updateworldicon" },
    { 0x2EB5, "updatetimer" },
    { 0x2EB6, "updatecompassicons" },
    { 0x2EB7, "updatecompassicon" },
    { 0x2EB8, "shouldpingobject" },
    { 0x2EB9, "getupdateteams" },
    { 0x2EBA, "shouldshowcompassduetoradar" },
    { 0x2EBB, "updatevisibilityaccordingtoradar" },
    { 0x2EBC, "setownerteam" },
    { 0x2EBD, "getownerteam" },
    { 0x2EBE, "setusetime" },
    { 0x2EBF, "setusetext" },
    { 0x2EC0, "setteamusetime" },
    { 0x2EC1, "setteamusetext" },
    { 0x2EC2, "setusehinttext" },
    { 0x2EC3, "allowcarry" },
    { 0x2EC4, "allowuse" },
    { 0x2EC5, "setvisibleteam" },
    { 0x2EC6, "setmodelvisibility" },
    { 0x2EC7, "_suicide" },
    { 0x2EC8, "makesolid" },
    { 0x2EC9, "setcarriervisible" },
    { 0x2ECA, "setcanuse" },
    { 0x2ECB, "useteam" },
    { 0x2ECC, "set2dicon" },
    { 0x2ECD, "set3dicon" },
    { 0x2ECE, "set3duseicon" },
    { 0x2ECF, "worlduseicons" },
    { 0x2ED0, "setcarryicon" },
    { 0x2ED1, "disableobject" },
    { 0x2ED2, "enableobject" },
    { 0x2ED3, "getrelativeteam" },
    { 0x2ED4, "isfriendlyteam" },
    { 0x2ED5, "caninteractwith" },
    { 0x2ED6, "isteam" },
    { 0x2ED7, "isrelativeteam" },
    { 0x2ED8, "getenemyteam" },
    { 0x2ED9, "getnextobjid" },
    { 0x2EDA, "reclaimedreservedobjectives" },
    { 0x2EDB, "getlabel" },
    { 0x2EDC, "script_label" },
    { 0x2EDD, "autospotdeathwatcher" },
    { 0x2EDE, "autospotadswatcher" },
    { 0x2EDF, "recoilscale" },
    { 0x2EE0, "blastshieldusetracker" },
    { 0x2EE1, "perkusedeathtracker" },
    { 0x2EE2, "_useperkenabled" },
    { 0x2EE3, "endgame" },
    { 0x2EE4, "attackertable" },
    { 0x2EE5, "endgametimer" },
    { 0x2EE6, "endgameicon" },
    { 0x2EE7, "revertvisionset" },
    { 0x2EE8, "nukedetonated" },
    { 0x2EE9, "nukevisionset" },
    { 0x2EEA, "endgamedeath" },
    { 0x2EEB, "tracksiegeenable" },
    { 0x2EEC, "tracksiegedissable" },
    { 0x2EED, "stancestatelistener" },
    { 0x2EEE, "jumpstatelistener" },
    { 0x2EEF, "killstreakscaler" },
    { 0x2EF0, "setbackshield" },
    { 0x2EF1, "unsetbackshield" },
    { 0x2EF2, "killstreakthink" },
    { 0x2EF3, "givekillstreak" },
    { 0x2EF4, "killstreaksplashnotify" },
    { 0x2EF5, "onemanarmyweaponchangetracker" },
    { 0x2EF6, "isonemanarmymenu" },
    { 0x2EF7, "selectonemanarmyclass" },
    { 0x2EF8, "closeomamenuondeath" },
    { 0x2EF9, "giveonemanarmyclass" },
    { 0x2EFA, "giveloadout" },
    { 0x2EFB, "omausebar" },
    { 0x2EFC, "clearprevioustispawnpoint" },
    { 0x2EFD, "setspawnpoint" },
    { 0x2EFE, "updatetispawnposition" },
    { 0x2EFF, "tispawnposition" },
    { 0x2F00, "isvalidtispawnposition" },
    { 0x2F01, "monitortiuse" },
    { 0x2F02, "touchingbadtrigger" },
    { 0x2F03, "enemytrigger" },
    { 0x2F04, "playerspawnpos" },
    { 0x2F05, "glowsticksetupandwaitfordeath" },
    { 0x2F06, "glowstickteamupdater" },
    { 0x2F07, "glowstickdamagelistener" },
    { 0x2F08, "leaderdialogonplayer" },
    { 0x2F09, "glowstickuselistener" },
    { 0x2F0A, "updateenemyuse" },
    { 0x2F0B, "deleteti" },
    { 0x2F0C, "dummyglowstickdelete" },
    { 0x2F0D, "glowstickenemyuselistener" },
    { 0x2F0E, "makeenemyusable" },
    { 0x2F0F, "getotherteam" },
    { 0x2F10, "watchpainteddeath" },
    { 0x2F11, "unsetpainted" },
    { 0x2F12, "watchstoppingpowerkill" },
//  { 0x2F13, "" },
    { 0x2F14, "juicedtimer" },
    { 0x2F15, "juicedicon" },
    { 0x2F16, "unsetjuicedonride" },
    { 0x2F17, "unsetjuicedondeath" },
    { 0x2F18, "combathighoverlay" },
    { 0x2F19, "combathightimer" },
    { 0x2F1A, "combathighicon" },
    { 0x2F1B, "unsetcombathighondeath" },
    { 0x2F1C, "unsetcombathighonride" },
    { 0x2F1D, "givelightarmor" },
    { 0x2F1E, "previousmaxhealth" },
    { 0x2F1F, "removelightarmorondeath" },
    { 0x2F20, "removelightarmor" },
    { 0x2F21, "lastkilledby" },
    { 0x2F22, "showto" },
    { 0x2F23, "constantsize" },
    { 0x2F24, "pintoscreenedge" },
    { 0x2F25, "fadeoutpinnedicon" },
    { 0x2F26, "is3d" },
    { 0x2F27, "revengeparams" },
    { 0x2F28, "watchrevengedeath" },
    { 0x2F29, "watchrevengekill" },
    { 0x2F2A, "watchrevengedisconnected" },
    { 0x2F2B, "watchstoprevenge" },
    { 0x2F2C, "watchrevengevictimdisconnected" },
    { 0x2F2D, "objidfriendly" },
    { 0x2F2E, "spectateoverride" },
    { 0x2F2F, "onspectatingclient" },
    { 0x2F30, "updatespectatesettings" },
    { 0x2F31, "setspectatepermissions" },
    { 0x2F32, "gameendtime" },
    { 0x2F33, "allowfreespectate" },
    { 0x2F34, "allowenemyspectate" },
    { 0x2F35, "registeradrenalineinfo" },
    { 0x2F36, "numkills" },
    { 0x2F37, "killedplayers" },
    { 0x2F38, "killedplayerscurrent" },
    { 0x2F39, "killedby" },
    { 0x2F3A, "greatestuniqueplayerkills" },
    { 0x2F3B, "recentkillcount" },
    { 0x2F3C, "lastkilltime" },
    { 0x2F3D, "damagedplayers" },
    { 0x2F3E, "damagedplayer" },
    { 0x2F3F, "killedplayer" },
    { 0x2F40, "lastkilledplayer" },
    { 0x2F41, "modifiers" },
    { 0x2F42, "attackers" },
    { 0x2F43, "attackerdata" },
    { 0x2F44, "firsttimedamaged" },
    { 0x2F45, "xpeventpopup" },
    { 0x2F46, "assistedsuicide" },
    { 0x2F47, "attackerposition" },
    { 0x2F48, "killstreaks" },
    { 0x2F49, "setplayerstat" },
    { 0x2F4A, "islongshot" },
    { 0x2F4B, "checkmatchdatakills" },
    { 0x2F4C, "idflags" },
    { 0x2F4D, "infinalstand" },
    { 0x2F4E, "loadoutprimary" },
    { 0x2F4F, "loadoutsecondary" },
    { 0x2F50, "matchmakinggame" },
    { 0x2F51, "setplayerstatiflower" },
    { 0x2F52, "setplayerstatifgreater" },
    { 0x2F53, "checkmatchdataweaponkills" },
    { 0x2F54, "checkmatchdataequipmentkills" },
    { 0x2F55, "campercheck" },
    { 0x2F56, "lastkillwascamping" },
    { 0x2F57, "lastkilllocation" },
    { 0x2F58, "lastcampkilltime" },
    { 0x2F59, "consolation" },
    { 0x2F5A, "proximityassist" },
    { 0x2F5B, "giverankxp" },
    { 0x2F5C, "proximitykill" },
    { 0x2F5D, "longshot" },
    { 0x2F5E, "execution" },
    { 0x2F5F, "headshot" },
    { 0x2F60, "avengedplayer" },
    { 0x2F61, "defendedplayer" },
    { 0x2F62, "postdeathkill" },
    { 0x2F63, "backstab" },
    { 0x2F64, "revenge" },
    { 0x2F65, "multikill" },
    { 0x2F66, "teamplayercardsplash" },
    { 0x2F67, "firstblood" },
    { 0x2F68, "winningshot" },
    { 0x2F69, "buzzkill" },
    { 0x2F6A, "comeback" },
    { 0x2F6B, "disconnected" },
    { 0x2F6C, "monitorhealed" },
    { 0x2F6D, "updaterecentkills" },
    { 0x2F6E, "monitorcratejacking" },
    { 0x2F6F, "monitorobjectives" },
    { 0x2F70, "quickcommands" },
    { 0x2F71, "spamdelay" },
    { 0x2F72, "quickstatements" },
    { 0x2F73, "quickresponses" },
    { 0x2F74, "doquickmessage" },
    { 0x2F75, "quickmessagetoall" },
    { 0x2F76, "saveheadicon" },
    { 0x2F77, "oldheadicon" },
    { 0x2F78, "oldheadiconteam" },
    { 0x2F79, "restoreheadicon" },
    { 0x2F7A, "isoptionsmenu" },
    { 0x2F7B, "onmenuresponse" },
    { 0x2F7C, "forceend" },
    { 0x2F7D, "autoassign" },
    { 0x2F7E, "spectator" },
    { 0x2F7F, "selectedclass" },
    { 0x2F80, "class" },
    { 0x2F81, "getteamassignment" },
    { 0x2F82, "menuautoassign" },
    { 0x2F83, "closemenus" },
    { 0x2F84, "switching_teams" },
    { 0x2F85, "joining_team" },
    { 0x2F86, "leaving_team" },
    { 0x2F87, "beginclasschoice" },
    { 0x2F88, "allowclasschoice" },
    { 0x2F89, "predictabouttospawnplayerovertime" },
    { 0x2F8A, "bypassclasschoice" },
    { 0x2F8B, "beginteamchoice" },
    { 0x2F8C, "showmainmenuforteam" },
    { 0x2F8D, "menuallies" },
    { 0x2F8E, "hasspawned" },
    { 0x2F8F, "menuaxis" },
    { 0x2F90, "menuspectator" },
    { 0x2F91, "spawnspectator" },
    { 0x2F92, "menuclass" },
    { 0x2F93, "getclasschoice" },
    { 0x2F94, "getweaponchoice" },
    { 0x2F95, "lastclass" },
    { 0x2F96, "setclass" },
    { 0x2F97, "tag_stowed_back" },
    { 0x2F98, "tag_stowed_hip" },
    { 0x2F99, "isinkillcam" },
    { 0x2F9A, "spawnclient" },
    { 0x2F9B, "addtoteam" },
    { 0x2F9C, "removefromteamcount" },
    { 0x2F9D, "allowteamchoice" },
    { 0x2F9E, "addtoteamcount" },
    { 0x2F9F, "updateobjectivetext" },
    { 0x2FA0, "updatemainmenu" },
    { 0x2FA1, "timeuntilwavespawn" },
    { 0x2FA2, "lastwave" },
    { 0x2FA3, "wavedelay" },
    { 0x2FA4, "respawntimerstarttime" },
    { 0x2FA5, "wavespawnindex" },
    { 0x2FA6, "teamkilldelay" },
    { 0x2FA7, "maxallowedteamkills" },
    { 0x2FA8, "timeuntilspawn" },
    { 0x2FA9, "onrespawndelay" },
    { 0x2FAA, "tispawndelay" },
    { 0x2FAB, "mayspawn" },
    { 0x2FAC, "getgametypenumlives" },
    { 0x2FAD, "disablespawning" },
    { 0x2FAE, "gamehasstarted" },
    { 0x2FAF, "setlowermessage" },
    { 0x2FB0, "islastround" },
    { 0x2FB1, "waitingtospawn" },
    { 0x2FB2, "waitandspawnclient" },
    { 0x2FB3, "clearlowermessage" },
    { 0x2FB4, "waveplayerspawnindex" },
    { 0x2FB5, "waitfortimeornotify" },
    { 0x2FB6, "wantsafespawn" },
    { 0x2FB7, "waitrespawnbutton" },
    { 0x2FB8, "removespawnmessageshortly" },
    { 0x2FB9, "laststandrespawnplayer" },
    { 0x2FBA, "diehardmode" },
    { 0x2FBB, "revived" },
    { 0x2FBC, "standardmaxhealth" },
    { 0x2FBD, "freezeplayerforroundend" },
    { 0x2FBE, "getdeathspawnpoint" },
    { 0x2FBF, "showspawnnotifies" },
    { 0x2FC0, "defconsplashnotify" },
    { 0x2FC1, "isrested" },
    { 0x2FC2, "predictedspawnpoint" },
    { 0x2FC3, "predictedspawnpointtime" },
    { 0x2FC4, "predictabouttospawnplayer" },
    { 0x2FC5, "getspawnpoint_random" },
    { 0x2FC6, "getspawnpoint" },
    { 0x2FC7, "checkpredictedspawnpointcorrectness" },
    { 0x2FC8, "percentage" },
    { 0x2FC9, "printpredictedspawnpointcorrectness" },
    { 0x2FCA, "getspawnorigin" },
    { 0x2FCB, "alternates" },
    { 0x2FCC, "tivalidationcheck" },
    { 0x2FCD, "spawnplayer" },
    { 0x2FCE, "fauxdead" },
    { 0x2FCF, "killsthislife" },
    { 0x2FD0, "clearkillcamstate" },
    { 0x2FD1, "cancelkillcam" },
    { 0x2FD2, "friendlydamage" },
    { 0x2FD3, "afk" },
    { 0x2FD4, "inc4death" },
    { 0x2FD5, "inlaststand" },
    { 0x2FD6, "clampedhealth" },
    { 0x2FD7, "shielddamage" },
    { 0x2FD8, "shieldbullethits" },
    { 0x2FD9, "recentshieldxp" },
    { 0x2FDA, "wasaliveatmatchstart" },
    { 0x2FDB, "gettimelimit" },
    { 0x2FDC, "gettimepassed" },
    { 0x2FDD, "finalizespawnpointchoice" },
    { 0x2FDE, "lastspawntime" },
    { 0x2FDF, "onspawnplayer" },
    { 0x2FE0, "playerspawned" },
    { 0x2FE1, "setthirdpersondof" },
    { 0x2FE2, "gameflag" },
    { 0x2FE3, "getobjectivehinttext" },
    { 0x2FE4, "oldnotifymessage" },
    { 0x2FE5, "hideperksaftertime" },
    { 0x2FE6, "hideperksondeath" },
    { 0x2FE7, "hideperksonkill" },
    { 0x2FE8, "respawn_asspectator" },
    { 0x2FE9, "in_spawnspectator" },
    { 0x2FEA, "getplayerfromclientnum" },
    { 0x2FEB, "onspawnspectator" },
    { 0x2FEC, "spawnintermission" },
    { 0x2FED, "clearlowermessages" },
    { 0x2FEE, "postgamepromotion" },
    { 0x2FEF, "postgamenotifies" },
    { 0x2FF0, "spawnendofgame" },
    { 0x2FF1, "setspawnvariables" },
    { 0x2FF2, "notifyconnecting" },
    { 0x2FF3, "callback_playerdisconnect" },
    { 0x2FF4, "connected" },
    { 0x2FF5, "removeplayerondisconnect" },
    { 0x2FF6, "initclientdvars" },
    { 0x2FF7, "hitlocinited" },
    { 0x2FF8, "getlowestavailableclientid" },
    { 0x2FF9, "callback_playerconnect" },
    { 0x2FFA, "usingonlinedataoffline" },
    { 0x2FFB, "resetadrenaline" },
    { 0x2FFC, "leaderdialogqueue" },
    { 0x2FFD, "leaderdialogactive" },
    { 0x2FFE, "leaderdialoggroups" },
    { 0x2FFF, "leaderdialoggroup" },
    { 0x3000, "statget" },
    { 0x3001, "kill_streak" },
    { 0x3002, "lastgrenadesuicidetime" },
    { 0x3003, "teamkillsthisround" },
    { 0x3004, "saved_actionslotdata" },
    { 0x3005, "updatelossstats" },
    { 0x3006, "onplayerconnectaudioinit" },
    { 0x3007, "isvalidclass" },
    { 0x3008, "callback_playermigrated" },
    { 0x3009, "addlevelstoexperience" },
    { 0x300A, "getrestxpcap" },
    { 0x300B, "setrestxpgoal" },
    { 0x300C, "forcespawn" },
    { 0x300D, "kickifdontspawn" },
    { 0x300E, "kickwait" },
    { 0x300F, "updatesessionstate" },
    { 0x3010, "initplayerstats" },
    { 0x3011, "initbufferedstats" },
    { 0x3012, "initpersstat" },
    { 0x3013, "suicides" },
    { 0x3014, "headshots" },
    { 0x3015, "captures" },
    { 0x3016, "returns" },
    { 0x3017, "defends" },
    { 0x3018, "plants" },
    { 0x3019, "defuses" },
    { 0x301A, "destructions" },
    { 0x301B, "confirmed" },
    { 0x301C, "denied" },
    { 0x301D, "statsetchildbuffered" },
    { 0x301E, "teamcount" },
    { 0x301F, "addtoalivecount" },
    { 0x3020, "alivecount" },
    { 0x3021, "maxplayercount" },
    { 0x3022, "removefromalivecount" },
    { 0x3023, "addtolivescount" },
    { 0x3024, "livescount" },
    { 0x3025, "removefromlivescount" },
    { 0x3026, "removeallfromlivescount" },
    { 0x3027, "callbackstartgametype" },
    { 0x3028, "callbackplayerconnect" },
    { 0x3029, "callbackplayerdisconnect" },
    { 0x302A, "callbackplayerkilled" },
    { 0x302B, "callbackcodeendgame" },
    { 0x302C, "callbackplayerlaststand" },
    { 0x302D, "callbackplayermigrated" },
    { 0x302E, "ufo_mode" },
    { 0x302F, "initgameflags" },
    { 0x3030, "initlevelflags" },
    { 0x3031, "requiredmapaspectratio" },
    { 0x3032, "leaderdialogonplayer_func" },
    { 0x3033, "init_audio" },
    { 0x3034, "setmapcenterforreflections" },
    { 0x3035, "lanterns" },
    { 0x3036, "hurtplayersthink" },
    { 0x3037, "setupdestructiblekillcaments" },
    { 0x3038, "deletedestructiblekillcament" },
    { 0x3039, "sendmatchdata" },
    { 0x303A, "allowvote" },
    { 0x303B, "updateserversettings" },
    { 0x303C, "constraingametype" },
    { 0x303D, "script_gametype_dm" },
    { 0x303E, "script_gametype_tdm" },
    { 0x303F, "script_gametype_ctf" },
    { 0x3040, "script_gametype_hq" },
    { 0x3041, "script_gametype_sd" },
    { 0x3042, "script_gametype_koth" },
    { 0x3043, "killcam" },
    { 0x3044, "showingfinalkillcam" },
    { 0x3045, "killcamlength" },
    { 0x3046, "kc_timer" },
    { 0x3047, "kc_skiptext" },
    { 0x3048, "kc_othertext" },
    { 0x3049, "kc_icon" },
    { 0x304A, "dofinalkillcamfx" },
    { 0x304B, "doingfinalkillcamfx" },
    { 0x304C, "calculatekillcamtime" },
    { 0x304D, "waittillkillcamover" },
    { 0x304E, "setkillcamentity" },
    { 0x304F, "waitskipkillcambutton" },
    { 0x3050, "waitkccopycatbutton" },
    { 0x3051, "waitdeathcopycatbutton" },
    { 0x3052, "waitcopycatbutton" },
    { 0x3053, "waitskipkillcamsafespawnbutton" },
    { 0x3054, "endkillcamifnothingtoshow" },
    { 0x3055, "spawnedkillcamcleanup" },
    { 0x3056, "endedkillcamcleanup" },
    { 0x3057, "killcamcleanup" },
    { 0x3058, "cancelkillcamonuse" },
    { 0x3059, "cancelkillcamusebutton" },
    { 0x305A, "cancelkillcamsafespawnbutton" },
    { 0x305B, "cancelkillcamcallback" },
    { 0x305C, "cancelkillcamsafespawncallback" },
    { 0x305D, "cancelkillcamonuse_specificbutton" },
    { 0x305E, "initkcelements" },
    { 0x305F, "selfdeathicons" },
    { 0x3060, "updatedeathiconsenabled" },
    { 0x3061, "adddeathicon" },
    { 0x3062, "lastdeathicon" },
    { 0x3063, "destroyslowly" },
    { 0x3064, "connecttime" },
    { 0x3065, "targets" },
    { 0x3066, "onplayerdisconnect" },
    { 0x3067, "onweaponfired" },
    { 0x3068, "processkill" },
    { 0x3069, "heli_types" },
    { 0x306A, "heli_start_nodes" },
    { 0x306B, "heli_loop_nodes" },
    { 0x306C, "heli_leave_nodes" },
    { 0x306D, "heli_crash_nodes" },
    { 0x306E, "heli_missile_rof" },
    { 0x306F, "heli_maxhealth" },
    { 0x3070, "heli_debug" },
    { 0x3071, "heli_targeting_delay" },
    { 0x3072, "heli_turretreloadtime" },
    { 0x3073, "heli_turretclipsize" },
    { 0x3074, "heli_visual_range" },
    { 0x3075, "heli_target_spawnprotection" },
    { 0x3076, "heli_target_recognition" },
    { 0x3077, "heli_missile_friendlycare" },
    { 0x3078, "heli_missile_target_cone" },
    { 0x3079, "heli_armor_bulletdamage" },
    { 0x307A, "heli_attract_strength " },
    { 0x307B, "heli_attract_range" },
    { 0x307C, "heli_angle_offset" },
    { 0x307D, "heli_forced_wait" },
    { 0x307E, "chopper_fx" },
    { 0x307F, "fx_heli_dust" },
    { 0x3080, "fx_heli_water" },
    { 0x3081, "helidialog" },
    { 0x3082, "lasthelidialogtime" },
    { 0x3083, "queuecreate" },
    { 0x3084, "makehelitype" },
    { 0x3085, "lightfxfunc" },
    { 0x3086, "addairexplosion" },
    { 0x3087, "pavelowlightfx" },
    { 0x3088, "defaultlightfx" },
    { 0x3089, "usehelicopter" },
    { 0x308A, "usehelicopterblackbox" },
    { 0x308B, "usehelicopterflares" },
    { 0x308C, "usehelicopterminigun" },
    { 0x308D, "usehelicoptermk19" },
    { 0x308E, "tryusehelicopter" },
    { 0x308F, "isairdenied" },
    { 0x3090, "updatekillstreaks" },
    { 0x3091, "lifeid" },
    { 0x3092, "helitype" },
    { 0x3093, "queueadd" },
    { 0x3094, "currentactivevehiclecount" },
    { 0x3095, "maxvehiclesallowed" },
    { 0x3096, "setusingremote" },
    { 0x3097, "initridekillstreak" },
    { 0x3098, "clearusingremote" },
    { 0x3099, "deleteonentnotify" },
    { 0x309A, "starthelicopter" },
    { 0x309B, "precachehelicopter" },
    { 0x309C, "heli_sound" },
    { 0x309D, "spawn_helicopter" },
    { 0x309E, "heli_type" },
    { 0x309F, "zoffset" },
    { 0x30A0, "heliride" },
    { 0x30A1, "heliridelifeid" },
    { 0x30A2, "thermalvision" },
    { 0x30A3, "enhanced_vision" },
    { 0x30A4, "thermal_vision" },
    { 0x30A5, "weaponlockthink" },
    { 0x30A6, "helitargetorigin" },
    { 0x30A7, "remotehelilos" },
    { 0x30A8, "endride" },
    { 0x30A9, "getkillstreakweapon" },
    { 0x30AA, "endrideonhelicopterdone" },
    { 0x30AB, "getposnearenemies" },
    { 0x30AC, "remotehelidist" },
    { 0x30AD, "updateareanodes" },
    { 0x30AE, "validplayers" },
    { 0x30AF, "nodescore" },
    { 0x30B0, "heli_think" },
    { 0x30B1, "targeting_delay" },
    { 0x30B2, "primarytarget" },
    { 0x30B3, "secondarytarget" },
    { 0x30B4, "currentstate" },
    { 0x30B5, "makegunship" },
    { 0x30B6, "mgturretleft" },
    { 0x30B7, "mgturretright" },
    { 0x30B8, "deleteturretswhendone" },
    { 0x30B9, "sentry_attacktargets" },
    { 0x30BA, "sentry_burstfirestart" },
    { 0x30BB, "sentry_burstfirestop" },
    { 0x30BC, "heli_existance" },
    { 0x30BD, "queueremovefirst" },
    { 0x30BE, "usedkillstreak" },
    { 0x30BF, "heli_targeting" },
    { 0x30C0, "cantarget_turret" },
    { 0x30C1, "getbestprimarytarget" },
    { 0x30C2, "threatlevel" },
    { 0x30C3, "update_player_threat" },
    { 0x30C4, "antithreat" },
    { 0x30C5, "heli_reset" },
    { 0x30C6, "addrecentdamage" },
    { 0x30C7, "recentdamageamount" },
    { 0x30C8, "largeprojectiledamage" },
    { 0x30C9, "vehiclekilled" },
    { 0x30CA, "heli_health" },
    { 0x30CB, "laststate" },
    { 0x30CC, "heli_crash" },
    { 0x30CD, "heli_secondary_explosions" },
    { 0x30CE, "heli_spin" },
    { 0x30CF, "spinsoundshortly" },
    { 0x30D0, "heli_explode" },
    { 0x30D1, "check_owner" },
    { 0x30D2, "heli_leave_on_disconnect" },
    { 0x30D3, "heli_leave_on_changeteams" },
    { 0x30D4, "heli_leave_on_spawned" },
    { 0x30D5, "heli_leave_on_gameended" },
    { 0x30D6, "heli_leave_on_timeout" },
    { 0x30D7, "attack_targets" },
    { 0x30D8, "attack_secondary" },
    { 0x30D9, "missiletarget" },
    { 0x30DA, "missile_target_sight_check" },
    { 0x30DB, "missile_support" },
    { 0x30DC, "attack_primary" },
    { 0x30DD, "waitontargetordeath" },
    { 0x30DE, "firemissile" },
    { 0x30DF, "getoriginoffsets" },
    { 0x30E0, "traveltonode" },
    { 0x30E1, "heli_fly_simple_path" },
    { 0x30E2, "heli_fly_loop_path" },
    { 0x30E3, "desired_speed" },
    { 0x30E4, "desired_accel" },
    { 0x30E5, "heli_loop_speed_control" },
    { 0x30E6, "heli_is_threatened" },
    { 0x30E7, "heli_fly_well" },
    { 0x30E8, "get_best_area_attack_node" },
    { 0x30E9, "heli_leave" },
    { 0x30EA, "pathgoal" },
    { 0x30EB, "wait_and_delete" },
    { 0x30EC, "debug_print3d" },
    { 0x30ED, "debug_print3d_simple" },
    { 0x30EE, "draw_text" },
    { 0x30EF, "addtohelilist" },
    { 0x30F0, "helis" },
    { 0x30F1, "removefromhelilist" },
    { 0x30F2, "addtolittlebirdlist" },
    { 0x30F3, "removefromlittlebirdlistondeath" },
    { 0x30F4, "exceededmaxlittlebirds" },
    { 0x30F5, "playflarefx" },
    { 0x30F6, "deployflares" },
    { 0x30F7, "heli_flares_monitor" },
    { 0x30F8, "numflares" },
    { 0x30F9, "handleincomingstinger" },
    { 0x30FA, "watchstingerproximity" },
    { 0x30FB, "handleincomingsam" },
    { 0x30FC, "watchsamproximity" },
    { 0x30FD, "deleteaftertime" },
    { 0x30FE, "pavelowmadeselectionvo" },
    { 0x30FF, "remoteuav_fx" },
    { 0x3100, "remoteuav_dialog" },
    { 0x3101, "remoteuav_lastdialogtime" },
    { 0x3102, "remoteuav_nodeployzones" },
    { 0x3103, "remote_uav" },
    { 0x3104, "useremoteuav" },
    { 0x3105, "tryuseremoteuav" },
    { 0x3106, "nukeincoming" },
    { 0x3107, "iscarrying" },
    { 0x3108, "givecarryremoteuav" },
    { 0x3109, "createcarryremoteuav" },
    { 0x310A, "sentrytype" },
    { 0x310B, "canbeplaced" },
    { 0x310C, "inheliproximity" },
    { 0x310D, "rangetrigger" },
    { 0x310E, "maxheight" },
    { 0x310F, "maxdistance" },
    { 0x3110, "setcarryingremoteuav" },
    { 0x3111, "carriedby" },
    { 0x3112, "carryremoteuav_setcarried" },
    { 0x3113, "isinremotenodeploy" },
    { 0x3114, "updatecarryremoteuavplacement" },
    { 0x3115, "carryremoteuav_handleexistence" },
    { 0x3116, "removeremoteweapon" },
    { 0x3117, "startremoteuav" },
    { 0x3118, "remoteuav_clearrideintro" },
    { 0x3119, "lockplayerforremoteuavlaunch" },
    { 0x311A, "clearplayerlockfromremoteuavlaunch" },
    { 0x311B, "createremoteuav" },
    { 0x311C, "destroyed" },
    { 0x311D, "specialdamagecallback" },
    { 0x311E, "scrambler" },
    { 0x311F, "smoking" },
    { 0x3120, "markedplayers" },
    { 0x3121, "hasincoming" },
    { 0x3122, "incomingmissiles" },
    { 0x3123, "remoteuav_ride" },
    { 0x3124, "playerlinked" },
    { 0x3125, "restoreangles" },
    { 0x3126, "juggernautoverlay" },
    { 0x3127, "remote_uav_ridelifeid" },
    { 0x3128, "remoteuav" },
    { 0x3129, "remoteuav_delaylaunchdialog" },
    { 0x312A, "remoteuav_endride" },
    { 0x312B, "remoteuav_freezebuffer" },
    { 0x312C, "remoteuav_playerexit" },
    { 0x312D, "remoteuav_track" },
    { 0x312E, "lasttrackingdialogtime" },
    { 0x312F, "lockedtarget" },
    { 0x3130, "trace" },
    { 0x3131, "remoteuav_trackentities" },
    { 0x3132, "uavtype" },
    { 0x3133, "uavremotemarkedby" },
    { 0x3134, "isleaving" },
    { 0x3135, "remoteuav_cantargetuav" },
    { 0x3136, "remoteuav_fire" },
    { 0x3137, "remoteuav_rumble" },
    { 0x3138, "remoteuav_markplayer" },
    { 0x3139, "birth_time" },
    { 0x313A, "remoteuavmarkedobjid01" },
    { 0x313B, "remoteuavmarkedobjid02" },
    { 0x313C, "remoteuavmarkedobjid03" },
    { 0x313D, "remoteuav_processtaggedassist" },
    { 0x313E, "remoteuav_unmarkremovedplayer" },
    { 0x313F, "remoteuav_clearmarkedforowner" },
    { 0x3140, "remoteuav_operationrumble" },
    { 0x3141, "remoteuav_watch_distance" },
    { 0x3142, "centerref" },
    { 0x3143, "rangecountdownactive" },
    { 0x3144, "heliinproximity" },
    { 0x3145, "remoteuav_in_range" },
    { 0x3146, "remoteuav_staticfade" },
    { 0x3147, "remoteuav_rangecountdown" },
    { 0x3148, "remoteuav_explode_on_disconnect" },
    { 0x3149, "remoteuav_explode_on_changeteams" },
    { 0x314A, "remoteuav_clear_marked_on_gameended" },
    { 0x314B, "remoteuav_leave_on_timeout" },
    { 0x314C, "remoteuav_leave" },
    { 0x314D, "remoteuav_explode_on_death" },
    { 0x314E, "remoteuav_cleanup" },
    { 0x314F, "remoteuav_light_fx" },
    { 0x3150, "remoteuav_handleincomingstinger" },
    { 0x3151, "remoteuav_handleincomingsam" },
    { 0x3152, "remoteuav_clearincomingwarning" },
    { 0x3153, "missile_isincoming" },
    { 0x3154, "remoteuav_watchheliproximity" },
    { 0x3155, "remoteuav_handledamage" },
    { 0x3156, "callback_vehicledamage" },
    { 0x3157, "speakers" },
    { 0x3158, "bcsounds" },
    { 0x3159, "grenadeproximitytracking" },
    { 0x315A, "suppressingfiretracking" },
    { 0x315B, "suppresswaiter" },
    { 0x315C, "claymoretracking" },
    { 0x315D, "reloadtracking" },
    { 0x315E, "grenadetracking" },
    { 0x315F, "saylocalsounddelayed" },
    { 0x3160, "saylocalsound" },
    { 0x3161, "dosound" },
    { 0x3162, "timehack" },
    { 0x3163, "isspeakerinrange" },
    { 0x3164, "addspeaker" },
    { 0x3165, "removespeaker" },
    { 0x3166, "isswitchingteams" },
    { 0x3167, "isteamswitchbalanced" },
    { 0x3168, "isfriendlyfire" },
    { 0x3169, "killedself" },
    { 0x316A, "isheadshot" },
    { 0x316B, "isenvironmentweapon" },
    { 0x316C, "handleteamchangedeath" },
    { 0x316D, "handleworlddeath" },
    { 0x316E, "onnormaldeath" },
    { 0x316F, "handlesuicidedeath" },
    { 0x3170, "handlefriendlyfiredeath" },
    { 0x3171, "graceperiod" },
    { 0x3172, "handlenormaldeath" },
    { 0x3173, "updatepersratio" },
    { 0x3174, "cloneloadout" },
    { 0x3175, "streaktype" },
    { 0x3176, "killshouldaddtokillstreak" },
    { 0x3177, "setpersstat" },
    { 0x3178, "statgetchild" },
    { 0x3179, "statset" },
    { 0x317A, "lastattackedshieldplayer" },
    { 0x317B, "lastattackedshieldtime" },
    { 0x317C, "isplayerweapon" },
    { 0x317D, "callback_playerkilled" },
    { 0x317E, "queueshieldforremoval" },
    { 0x317F, "shieldtrasharray" },
    { 0x3180, "launchshield" },
    { 0x3181, "hasriotshield" },
    { 0x3182, "hasriotshieldequipped" },
    { 0x3183, "playerkilled_internal" },
    { 0x3184, "uselaststandparams" },
    { 0x3185, "einflictor" },
    { 0x3186, "idamage" },
    { 0x3187, "smeansofdeath" },
    { 0x3188, "sweapon" },
    { 0x3189, "sprimaryweapon" },
    { 0x318A, "vdir" },
    { 0x318B, "shitloc" },
    { 0x318C, "lasttimedamaged" },
    { 0x318D, "nuked" },
    { 0x318E, "playerkilled" },
    { 0x318F, "previousprimary" },
    { 0x3190, "trackleaderboarddeathstats" },
    { 0x3191, "trackattackerleaderboarddeathstats" },
    { 0x3192, "lastdeathpos" },
    { 0x3193, "sameshotdamage" },
    { 0x3194, "streaktyperesetsondeath" },
    { 0x3195, "onplayerkilled" },
    { 0x3196, "timeuntilroundend" },
    { 0x3197, "checkforcebleedout" },
    { 0x3198, "checkkillsteal" },
    { 0x3199, "attackerent" },
    { 0x319A, "initfinalkillcam" },
    { 0x319B, "finalkillcam_delay" },
    { 0x319C, "finalkillcam_victim" },
    { 0x319D, "finalkillcam_attacker" },
    { 0x319E, "finalkillcam_attackernum" },
    { 0x319F, "finalkillcam_killcamentityindex" },
    { 0x31A0, "finalkillcam_killcamentitystarttime" },
    { 0x31A1, "finalkillcam_sweapon" },
    { 0x31A2, "finalkillcam_deathtimeoffset" },
    { 0x31A3, "finalkillcam_psoffsettime" },
    { 0x31A4, "finalkillcam_timerecorded" },
    { 0x31A5, "finalkillcam_timegameended" },
    { 0x31A6, "finalkillcam_winner" },
    { 0x31A7, "recordfinalkillcam" },
    { 0x31A8, "getsecondspassed" },
    { 0x31A9, "erasefinalkillcam" },
    { 0x31AA, "dofinalkillcam" },
    { 0x31AB, "finalkill" },
    { 0x31AC, "anyplayersinkillcam" },
    { 0x31AD, "resetplayervariables" },
    { 0x31AE, "getkillcamentity" },
    { 0x31AF, "samturret" },
    { 0x31B0, "imskillcament" },
    { 0x31B1, "attackerinremotekillstreak" },
    { 0x31B2, "remote_mortar" },
    { 0x31B3, "using_remote_turret" },
    { 0x31B4, "using_remote_tank" },
    { 0x31B5, "hitlocdebug" },
    { 0x31B6, "damageinfo" },
    { 0x31B7, "hitloc" },
    { 0x31B8, "bp" },
    { 0x31B9, "jugg" },
    { 0x31BA, "colorindex" },
    { 0x31BB, "damageinfocolorindex" },
    { 0x31BC, "damageinfovictim" },
    { 0x31BD, "giverecentshieldxp" },
    { 0x31BE, "callback_playerdamage_internal" },
    { 0x31BF, "idflags_stun" },
    { 0x31C0, "idflags_shield_explosive_impact" },
    { 0x31C1, "idflags_shield_explosive_impact_huge" },
    { 0x31C2, "idflags_shield_explosive_splash" },
    { 0x31C3, "modifyplayerdamage" },
    { 0x31C4, "idflagstime" },
    { 0x31C5, "candocombat" },
    { 0x31C6, "idflags_no_knockback" },
    { 0x31C7, "killstreakspawnshield" },
    { 0x31C8, "idflags_no_protection" },
    { 0x31C9, "lastspawnpoint" },
    { 0x31CA, "explosiveinfo" },
    { 0x31CB, "setinflictorstat" },
    { 0x31CC, "lastdamagewasfromenemy" },
    { 0x31CD, "lastlegitimateattacker" },
    { 0x31CE, "wascooked" },
    { 0x31CF, "playerdamaged" },
    { 0x31D0, "usestartspawn" },
    { 0x31D1, "shouldweaponfeedback" },
    { 0x31D2, "checkvictimstutter" },
    { 0x31D3, "findisfacing" },
    { 0x31D4, "stutterstep" },
    { 0x31D5, "instutter" },
    { 0x31D6, "addattacker" },
    { 0x31D7, "isprimary" },
    { 0x31D8, "vpoint" },
    { 0x31D9, "resetattackerlist" },
    { 0x31DA, "callback_playerdamage" },
    { 0x31DB, "finishplayerdamagewrapper" },
    { 0x31DC, "callback_playerlaststand" },
    { 0x31DD, "dieaftertime" },
    { 0x31DE, "detonateonuse" },
    { 0x31DF, "detonateondeath" },
    { 0x31E0, "c4deathdetonate" },
    { 0x31E1, "c4deatheffect" },
    { 0x31E2, "enablelaststandweapons" },
    { 0x31E3, "laststandtimer" },
    { 0x31E4, "maxhealthoverlay" },
    { 0x31E5, "laststandbleedout" },
    { 0x31E6, "beingrevived" },
    { 0x31E7, "laststandallowsuicide" },
    { 0x31E8, "laststandkeepoverlay" },
    { 0x31E9, "laststandwaittilldeath" },
    { 0x31EA, "maydolaststand" },
    { 0x31EB, "ensurelaststandparamsvalidity" },
    { 0x31EC, "gethitlocheight" },
    { 0x31ED, "delaystartragdoll" },
    { 0x31EE, "noragdollents" },
    { 0x31EF, "getmostkilledby" },
    { 0x31F0, "getmostkilled" },
    { 0x31F1, "damageshellshockandrumble" },
    { 0x31F2, "revivesetup" },
    { 0x31F3, "deleteonreviveordeathordisconnect" },
    { 0x31F4, "updateusablebyteam" },
    { 0x31F5, "trackteamchanges" },
    { 0x31F6, "tracklaststandchanges" },
    { 0x31F7, "revivetriggerthink" },
    { 0x31F8, "callback_killingblow" },
    { 0x31F9, "combathigh" },
    { 0x31FA, "emitfalldamage" },
    { 0x31FB, "isflankkill" },
    { 0x31FC, "_obituary" },
    { 0x31FD, "logprintplayerdeath" },
    { 0x31FE, "destroyonreviveentdeath" },
    { 0x31FF, "gamemodemodifyplayerdamage" },
    { 0x3200, "matchrules_damagemultiplier" },
    { 0x3201, "matchrules_vampirism" },
    { 0x3202, "healthregendisabled" },
    { 0x3203, "healthregenlevel" },
    { 0x3204, "regenspeed" },
    { 0x3205, "atbrinkofdeath" },
    { 0x3206, "breathingmanager" },
    { 0x3207, "breathingstoptime" },
    { 0x3208, "healthregeneration" },
    { 0x3209, "healthregenerated" },
    { 0x320A, "wait_for_not_using_remote" },
    { 0x320B, "playerpainbreathingsound" },
    { 0x320C, "playedstartingmusic" },
    { 0x320D, "onlastalive" },
    { 0x320E, "onroundswitch" },
    { 0x320F, "ongameended" },
    { 0x3210, "playsoundonplayers" },
    { 0x3211, "roundwinnerdialog" },
    { 0x3212, "roundenddelay" },
    { 0x3213, "gamewinnerdialog" },
    { 0x3214, "postroundtime" },
    { 0x3215, "musiccontroller" },
    { 0x3216, "leaderdialogonplayers" },
    { 0x3217, "suspensemusic" },
    { 0x3218, "finalkillcammusic" },
    { 0x3219, "givehighlight" },
    { 0x321A, "clientmatchdataid" },
    { 0x321B, "awards" },
    { 0x321C, "defaultvalue" },
    { 0x321D, "initplayerstat" },
    { 0x321E, "prevpos" },
    { 0x321F, "previousdeaths" },
    { 0x3220, "altitudepolls" },
    { 0x3221, "totalaltitudesum" },
    { 0x3222, "usedweapons" },
    { 0x3223, "initawards" },
    { 0x3224, "initgametypeawards" },
    { 0x3225, "initbaseaward" },
    { 0x3226, "winners" },
    { 0x3227, "exclusive" },
    { 0x3228, "initawardprocess" },
    { 0x3229, "process" },
    { 0x322A, "var1" },
    { 0x322B, "var2" },
    { 0x322C, "initstat" },
    { 0x322D, "initstataward" },
    { 0x322E, "initderivedaward" },
    { 0x322F, "initawardflag" },
    { 0x3230, "initmultiaward" },
    { 0x3231, "award1_ref" },
    { 0x3232, "award2_ref" },
    { 0x3233, "initthresholdaward" },
    { 0x3234, "setmatchrecordifgreater" },
    { 0x3235, "getplayerstat" },
    { 0x3236, "getplayerstattime" },
    { 0x3237, "setmatchrecordiflower" },
    { 0x3238, "getdecodedratio" },
    { 0x3239, "setpersonalbestifgreater" },
    { 0x323A, "setpersonalbestiflower" },
    { 0x323B, "incplayerrecord" },
    { 0x323C, "addawardwinner" },
    { 0x323D, "getawardwinners" },
    { 0x323E, "clearawardwinners" },
    { 0x323F, "setawardrecord" },
    { 0x3240, "getawardrecord" },
    { 0x3241, "getawardrecordtime" },
    { 0x3242, "assignawards" },
    { 0x3243, "playerforclientid" },
    { 0x3244, "assignaward" },
    { 0x3245, "getawardtype" },
    { 0x3246, "ismultiaward" },
    { 0x3247, "isstataward" },
    { 0x3248, "isthresholdaward" },
    { 0x3249, "isawardflag" },
    { 0x324A, "isawardexclusive" },
    { 0x324B, "hasdisplayvalue" },
    { 0x324C, "giveaward" },
    { 0x324D, "getformattedvalue" },
    { 0x324E, "limitdecimalplaces" },
    { 0x324F, "highestwins" },
    { 0x3250, "lowestwins" },
    { 0x3251, "lowestwithhalfplayedtime" },
    { 0x3252, "statvaluechanged" },
    { 0x3253, "isatleast" },
    { 0x3254, "isatmost" },
    { 0x3255, "isatmostwithhalfplayedtime" },
    { 0x3256, "setratio" },
    { 0x3257, "getkillstreakawardref" },
    { 0x3258, "monitorreloads" },
    { 0x3259, "monitorshotsfired" },
    { 0x325A, "monitorswaps" },
    { 0x325B, "monitormovementdistance" },
    { 0x325C, "monitorpositioncamping" },
    { 0x325D, "lastcampchecked" },
    { 0x325E, "positionarray" },
    { 0x325F, "encoderatio" },
    { 0x3260, "getratiohival" },
    { 0x3261, "getratioloval" },
    { 0x3262, "monitorenemydistance" },
//  { 0x3263, "" },
    { 0x3264, "monitorexplosionssurvived" },
    { 0x3265, "monitorshieldblocks" },
    { 0x3266, "monitorflashhits" },
    { 0x3267, "monitorstunhits" },
    { 0x3268, "monitorstancetime" },
    { 0x3269, "softlandingtriggers" },
    { 0x326A, "script_type" },
    { 0x326B, "softlanding" },
    { 0x326C, "playerentersoftlanding" },
    { 0x326D, "playerleavesoftlanding" },
    { 0x326E, "softlandingwaiter" },
    { 0x326F, "defconmode" },
    { 0x3270, "defconstreakadd" },
    { 0x3271, "defconpointmod" },
    { 0x3272, "defconkillstreakwait" },
    { 0x3273, "defconkillstreakthread" },
    { 0x3274, "updatedefcon" },
    { 0x3275, "juggsettings" },
    { 0x3276, "splashusedname" },
//  { 0x3277, "" },
    { 0x3278, "overlay" },
    { 0x3279, "givejuggernaut" },
    { 0x327A, "isjuggernautrecon" },
    { 0x327B, "personalradar" },
    { 0x327C, "matchrules_showjuggradaricon" },
    { 0x327D, "objidenemy" },
    { 0x327E, "clearkillstreaks" },
    { 0x327F, "juggernautsounds" },
    { 0x3280, "radarmover" },
    { 0x3281, "juggremover" },
    { 0x3282, "isjuggernautdef" },
    { 0x3283, "isjuggernautgl" },
    { 0x3284, "juggremoveongameended" },
    { 0x3285, "sentrysettings" },
    { 0x3286, "burstmin" },
    { 0x3287, "burstmax" },
    { 0x3288, "pausemin" },
    { 0x3289, "pausemax" },
    { 0x328A, "sentrymodeon" },
    { 0x328B, "sentrymodeoff" },
    { 0x328C, "spinuptime" },
    { 0x328D, "overheattime" },
    { 0x328E, "cooldowntime" },
    { 0x328F, "fxtime" },
    { 0x3290, "modelbase" },
    { 0x3291, "modelplacement" },
    { 0x3292, "modelplacementfailed" },
    { 0x3293, "modeldestroyed" },
    { 0x3294, "teamsplash" },
    { 0x3295, "shouldsplash" },
    { 0x3296, "vodestroyed" },
    { 0x3297, "ownerhintstring" },
    { 0x3298, "tryuseautosentry" },
    { 0x3299, "tryusesam" },
    { 0x329A, "givesentry" },
    { 0x329B, "validateusestreak" },
    { 0x329C, "last_sentry" },
    { 0x329D, "setcarryingsentry" },
    { 0x329E, "removeweapons" },
    { 0x329F, "restoreweapon" },
    { 0x32A0, "removeperks" },
    { 0x32A1, "restoreperk" },
    { 0x32A2, "restoreweapons" },
    { 0x32A3, "restoreperks" },
    { 0x32A4, "waitrestoreperks" },
    { 0x32A5, "createsentryforplayer" },
    { 0x32A6, "sentry_initsentry" },
    { 0x32A7, "laser_on" },
    { 0x32A8, "momentum" },
    { 0x32A9, "heatlevel" },
    { 0x32AA, "overheated" },
    { 0x32AB, "cooldownwaittime" },
    { 0x32AC, "sentry_handledamage" },
    { 0x32AD, "sentry_watchdisabled" },
    { 0x32AE, "sentry_handledeath" },
    { 0x32AF, "ownertrigger" },
    { 0x32B0, "forcedisable" },
    { 0x32B1, "inuseby" },
    { 0x32B2, "turret_overheat_bar" },
    { 0x32B3, "sentry_handleuse" },
    { 0x32B4, "turret_handlepickup" },
    { 0x32B5, "turret_handleuse" },
    { 0x32B6, "sentry_handleownerdisconnect" },
    { 0x32B7, "sentry_setowner" },
    { 0x32B8, "sentry_setplaced" },
    { 0x32B9, "sentry_setcancelled" },
    { 0x32BA, "sentry_setcarried" },
    { 0x32BB, "updatesentryplacement" },
    { 0x32BC, "sentry_oncarrierdeath" },
    { 0x32BD, "sentry_oncarrierdisconnect" },
    { 0x32BE, "sentry_oncarrierchangedteam" },
    { 0x32BF, "sentry_ongameended" },
    { 0x32C0, "sentry_setactive" },
    { 0x32C1, "sentry_setinactive" },
    { 0x32C2, "sentry_makesolid" },
    { 0x32C3, "sentry_makenotsolid" },
    { 0x32C4, "isfriendlytosentry" },
    { 0x32C5, "addtoturretlist" },
    { 0x32C6, "removefromturretlist" },
    { 0x32C7, "sentry_timeout" },
    { 0x32C8, "sentry_targetlocksound" },
    { 0x32C9, "sentry_spinup" },
    { 0x32CA, "sentry_spindown" },
    { 0x32CB, "turret_shotmonitor" },
    { 0x32CC, "sentry_heatmonitor" },
    { 0x32CD, "turret_heatmonitor" },
    { 0x32CE, "turret_coolmonitor" },
    { 0x32CF, "playheatfx" },
    { 0x32D0, "playsmokefx" },
    { 0x32D1, "sentry_beepsounds" },
    { 0x32D2, "sam_attacktargets" },
    { 0x32D3, "samtargetent" },
    { 0x32D4, "sammissilegroups" },
    { 0x32D5, "sam_acquiretarget" },
    { 0x32D6, "ac130inuse" },
    { 0x32D7, "sam_fireontarget" },
    { 0x32D8, "sammissilegroup" },
    { 0x32D9, "sam_watchlineofsight" },
    { 0x32DA, "sam_watchlaser" },
    { 0x32DB, "sam_watchcrashing" },
    { 0x32DC, "sam_watchleaving" },
    { 0x32DD, "airdropcrates" },
    { 0x32DE, "oldairdropcrates" },
    { 0x32DF, "airdropcratecollision" },
    { 0x32E0, "numdropcrates" },
    { 0x32E1, "cratetypes" },
    { 0x32E2, "cratemaxval" },
    { 0x32E3, "lowspawn" },
    { 0x32E4, "addcratetype" },
    { 0x32E5, "cratefuncs" },
    { 0x32E6, "getrandomcratetype" },
    { 0x32E7, "getcratetypefordroptype" },
    { 0x32E8, "tryuseassaultairdrop" },
    { 0x32E9, "tryusesupportairdrop" },
    { 0x32EA, "tryuseairdroppredatormissile" },
    { 0x32EB, "tryuseairdropsentryminigun" },
    { 0x32EC, "tryusejuggernautairdrop" },
    { 0x32ED, "tryusejuggernautglairdrop" },
    { 0x32EE, "tryusejuggernautreconairdrop" },
    { 0x32EF, "tryusejuggernautdefairdrop" },
    { 0x32F0, "tryusetrophyairdrop" },
    { 0x32F1, "tryusemegaairdrop" },
    { 0x32F2, "tryuseairdroptrap" },
    { 0x32F3, "tryuseairdropremotetank" },
    { 0x32F4, "tryuseammo" },
    { 0x32F5, "tryuseexplosiveammo" },
    { 0x32F6, "tryuselightarmor" },
    { 0x32F7, "tryuseairdrop" },
    { 0x32F8, "watchdisconnect" },
    { 0x32F9, "beginairdropviamarker" },
    { 0x32FA, "threwairdropmarker" },
    { 0x32FB, "watchairdropweaponchange" },
    { 0x32FC, "ischangingweapon" },
    { 0x32FD, "watchairdropmarkerusage" },
    { 0x32FE, "watchairdropmarker" },
    { 0x32FF, "beginairdropmarkertracking" },
    { 0x3300, "airdropmarkeractivate" },
    { 0x3301, "finishsupportescortusage" },
    { 0x3302, "initairdropcrate" },
    { 0x3303, "collision" },
    { 0x3304, "deleteonownerdeath" },
    { 0x3305, "cratemodelteamupdater" },
    { 0x3306, "cratemodelplayerupdater" },
    { 0x3307, "crateuseteamupdater" },
    { 0x3308, "crateusejuggernautupdater" },
    { 0x3309, "cratetype" },
    { 0x330A, "crateusepostjuggernautupdater" },
    { 0x330B, "createairdropcrate" },
    { 0x330C, "droptype" },
    { 0x330D, "friendlymodel" },
    { 0x330E, "enemymodel" },
    { 0x330F, "dropcrateexistence" },
    { 0x3310, "trap_createbombsquadmodel" },
    { 0x3311, "cratesetupforuse" },
    { 0x3312, "setusablebyteam" },
    { 0x3313, "dropthecrate" },
    { 0x3314, "waitfordropcratemsg" },
    { 0x3315, "physicswaiter" },
    { 0x3316, "droptimeout" },
    { 0x3317, "getpathstart" },
    { 0x3318, "getpathend" },
    { 0x3319, "getflyheightoffset" },
    { 0x331A, "airstrikeheightscale" },
    { 0x331B, "doflyby" },
    { 0x331C, "leaving" },
    { 0x331D, "domegaflyby" },
    { 0x331E, "doc130flyby" },
    { 0x331F, "domegac130flyby" },
    { 0x3320, "dropnuke" },
    { 0x3321, "stoploopafter" },
    { 0x3322, "playlooponent" },
    { 0x3323, "c130setup" },
    { 0x3324, "c130" },
    { 0x3325, "helisetup" },
    { 0x3326, "isairdrop" },
    { 0x3327, "watchtimeout" },
    { 0x3328, "heli_existence" },
    { 0x3329, "heli_handledamage" },
    { 0x332A, "alreadydead" },
    { 0x332B, "helidestroyed" },
    { 0x332C, "lbexplode" },
    { 0x332D, "lbspin" },
    { 0x332E, "nukecapturethink" },
    { 0x332F, "crateothercapturethink" },
    { 0x3330, "iscapturingcrate" },
    { 0x3331, "crateownercapturethink" },
    { 0x3332, "validateopenconditions" },
    { 0x3333, "killstreakcratethink" },
    { 0x3334, "getkillstreakcrateicon" },
    { 0x3335, "getstreakcost" },
    { 0x3336, "nukecratethink" },
    { 0x3337, "gtnw" },
    { 0x3338, "capturednuke" },
    { 0x3339, "trophycratethink" },
    { 0x333A, "juggernautcratethink" },
    { 0x333B, "sentrycratethink" },
    { 0x333C, "trapnullfunc" },
    { 0x333D, "trapcratethink" },
    { 0x333E, "bomb" },
    { 0x333F, "detonatetrap" },
    { 0x3340, "deletecrate" },
    { 0x3341, "sentryusetracker" },
    { 0x3342, "givelocaltrophy" },
    { 0x3343, "activetrophy" },
    { 0x3344, "trophyammo" },
    { 0x3345, "hijacknotify" },
    { 0x3346, "refillammo" },
    { 0x3347, "isairdropmarker" },
    { 0x3348, "createuseent" },
    { 0x3349, "deleteuseent" },
    { 0x334A, "airdropdetonateonstuck" },
    { 0x334B, "personaltrophyactive" },
    { 0x334C, "ospreysettings" },
    { 0x334D, "modelblades" },
    { 0x334E, "taghatchl" },
    { 0x334F, "taghatchr" },
    { 0x3350, "tagdropcrates" },
    { 0x3351, "prompt" },
    { 0x3352, "air_support_locs" },
    { 0x3353, "tryuseescortairdrop" },
    { 0x3354, "tryuseospreygunner" },
    { 0x3355, "finishospreygunnerusage" },
    { 0x3356, "stopselectionwatcher" },
    { 0x3357, "selectdroplocation" },
    { 0x3358, "_beginlocationselection" },
    { 0x3359, "stoplocationselection" },
    { 0x335A, "showicons" },
    { 0x335B, "locationobjectives" },
    { 0x335C, "createairship" },
    { 0x335D, "ospreytype" },
    { 0x335E, "airshipfx" },
    { 0x335F, "usesupportescortairdrop" },
    { 0x3360, "useospreygunner" },
    { 0x3361, "ridegunner" },
    { 0x3362, "waitsetthermal" },
    { 0x3363, "showdefendprompt" },
    { 0x3364, "escort_prompt" },
    { 0x3365, "airshippitchpropsup" },
    { 0x3366, "airshippitchpropsdown" },
    { 0x3367, "airshippitchhatchup" },
    { 0x3368, "airshippitchhatchdown" },
    { 0x3369, "getbestheight" },
    { 0x336A, "bestheight" },
    { 0x336B, "airshipflydefense" },
    { 0x336C, "killguysnearcrates" },
    { 0x336D, "aishootplayer" },
    { 0x336E, "targetdeathwaiter" },
    { 0x336F, "waitforconfirmation" },
    { 0x3370, "airshipflygunner" },
    { 0x3371, "ospreydropcrateslowimpulse" },
    { 0x3372, "ospreydropcrates" },
    { 0x3373, "endrideonairshipdone" },
    { 0x3374, "match_events_fx" },
    { 0x3375, "matchevents" },
    { 0x3376, "matcheventstarted" },
    { 0x3377, "getmapcenter" },
    { 0x3378, "getstartspawns" },
    { 0x3379, "domortar" },
    { 0x337A, "playsoundinspace" },
    { 0x337B, "dosmoke" },
    { 0x337C, "doairstrike" },
    { 0x337D, "doairstrikeflyby" },
    { 0x337E, "spawnpoints" },
    { 0x337F, "playplanefx" },
    { 0x3380, "fx_airstrike_afterburner" },
    { 0x3381, "fx_airstrike_contrail" },
    { 0x3382, "dopavelow" },
    { 0x3383, "doheliinsertion" },
    { 0x3384, "doospreyinsertion" },
    { 0x3385, "drawfriend" },
    { 0x3386, "showfriendicon" },
    { 0x3387, "updatefriendiconsettings" },
    { 0x3388, "updatefriendicons" },
    { 0x3389, "processlobbyscoreboards" },
    { 0x338A, "setplayerscoreboardinfo" },
    { 0x338B, "buildscoreboardtype" },
    { 0x338C, "onforfeit" },
    { 0x338D, "forfeitinprogress" },
    { 0x338E, "forfeit_aborted" },
    { 0x338F, "forcedend" },
    { 0x3390, "forfeitwaitforabort" },
    { 0x3391, "matchforfeittimer" },
    { 0x3392, "matchforfeittext" },
    { 0x3393, "matchforfeittimer_internal" },
    { 0x3394, "default_ondeadevent" },
    { 0x3395, "default_ononeleftevent" },
    { 0x3396, "getlastlivingplayer" },
    { 0x3397, "default_ontimelimit" },
    { 0x3398, "default_onhalftime" },
    { 0x3399, "hostforcedend" },
    { 0x339A, "ondeadevent" },
    { 0x339B, "onelefttime" },
    { 0x339C, "ononeleftevent" },
    { 0x339D, "getpotentiallivingplayers" },
    { 0x339E, "waittillfinalkillcamdone" },
    { 0x339F, "timelimitclock_intermission" },
    { 0x33A0, "waitforplayers" },
    { 0x33A1, "prematchperiod" },
    { 0x33A2, "hintmessage" },
    { 0x33A3, "gameflagset" },
    { 0x33A4, "updatewinstats" },
    { 0x33A5, "updatetiestats" },
    { 0x33A6, "updatewinlossstats" },
    { 0x33A7, "privatematch" },
    { 0x33A8, "waslastround" },
    { 0x33A9, "updatematchbonusscores" },
    { 0x33AA, "endgameupdate" },
    { 0x33AB, "getspm" },
    { 0x33AC, "matchbonus" },
    { 0x33AD, "givematchbonus" },
    { 0x33AE, "setxenonranks" },
    { 0x33AF, "checktimelimit" },
    { 0x33B0, "gethalftime" },
    { 0x33B1, "onhalftime" },
    { 0x33B2, "ontimelimit" },
    { 0x33B3, "checkhalftime" },
    { 0x33B4, "gettimeremaining" },
    { 0x33B5, "scorelimitoverride" },
    { 0x33B6, "updategametypedvars" },
    { 0x33B7, "matchstarttimerpc" },
    { 0x33B8, "prematchperiodend" },
    { 0x33B9, "matchstarttimer_internal" },
    { 0x33BA, "matchstarttimerskip" },
    { 0x33BB, "halftimesubcaption" },
    { 0x33BC, "halftimetype" },
    { 0x33BD, "checkroundswitch" },
    { 0x33BE, "roundswitch" },
    { 0x33BF, "timepaused" },
    { 0x33C0, "freegameplayhudelems" },
    { 0x33C1, "perkicon" },
    { 0x33C2, "perkname" },
    { 0x33C3, "lowermessage" },
    { 0x33C4, "lowertimer" },
    { 0x33C5, "gethostplayer" },
    { 0x33C6, "hostidledout" },
    { 0x33C7, "roundendwait" },
    { 0x33C8, "isdoingsplash" },
    { 0x33C9, "roundenddof" },
    { 0x33CA, "callback_startgametype" },
    { 0x33CB, "levelflaginit" },
    { 0x33CC, "intermission" },
    { 0x33CD, "onprecachegametype" },
    { 0x33CE, "killstreakrewards" },
    { 0x33CF, "aliveplayers" },
    { 0x33D0, "activeplayers" },
    { 0x33D1, "gameflaginit" },
    { 0x33D2, "halftimeroundenddelay" },
    { 0x33D3, "onstartgametype" },
    { 0x33D4, "updatewatcheddvars" },
    { 0x33D5, "callback_codeendgame" },
    { 0x33D6, "timelimitthread" },
    { 0x33D7, "updateuiscorelimit" },
    { 0x33D8, "playtickingsound" },
    { 0x33D9, "bombtimer" },
    { 0x33DA, "stoptickingsound" },
    { 0x33DB, "timelimitclock" },
    { 0x33DC, "timerstopped" },
    { 0x33DD, "gametimer" },
    { 0x33DE, "discardtime" },
    { 0x33DF, "timerstoppedforgamemode" },
    { 0x33E0, "timerpausetime" },
    { 0x33E1, "pausetimer" },
    { 0x33E2, "resumetimer" },
    { 0x33E3, "startgame" },
    { 0x33E4, "spawnperframeupdate" },
    { 0x33E5, "roundbegin" },
    { 0x33E6, "wavespawntimer" },
    { 0x33E7, "getbetterteam" },
    { 0x33E8, "rankedmatchupdates" },
    { 0x33E9, "displayroundend" },
    { 0x33EA, "teamoutcomenotify" },
    { 0x33EB, "outcomenotify" },
    { 0x33EC, "displaygameend" },
    { 0x33ED, "displayroundswitch" },
    { 0x33EE, "endgameovertime" },
    { 0x33EF, "endgamehalftime" },
    { 0x33F0, "levelflagset" },
    { 0x33F1, "wasonlyround" },
    { 0x33F2, "levelflagclear" },
    { 0x33F3, "roundend" },
    { 0x33F4, "updateendreasontext" },
    { 0x33F5, "hitroundlimit" },
    { 0x33F6, "hitwinlimit" },
    { 0x33F7, "estimatedtimetillscorelimit" },
    { 0x33F8, "getscoreperminute" },
    { 0x33F9, "getscoreperremaining" },
    { 0x33FA, "givelastonteamwarning" },
    { 0x33FB, "waittillrecoveredhealth" },
    { 0x33FC, "processlobbydata" },
    { 0x33FD, "incrementweaponstat" },
    { 0x33FE, "updateweaponbufferedstats" },
    { 0x33FF, "incrementattachmentstat" },
    { 0x3400, "playeraffectedarray" },
    { 0x3401, "threadedsetweaponstatbyname" },
    { 0x3402, "checkforpersonalbests" },
    { 0x3403, "xpgains" },
    { 0x3404, "checkforbestweapon" },
    { 0x3405, "gametypestarted" },
    { 0x3406, "damagecallback" },
    { 0x3407, "callbackhostmigration" },
    { 0x3408, "setupdamageflags" },
    { 0x3409, "idflags_radius" },
    { 0x340A, "idflags_no_armor" },
    { 0x340B, "idflags_no_team_protection" },
    { 0x340C, "idflags_passthru" },
    { 0x340D, "setupcallbacks" },
    { 0x340E, "setdefaultcallbacks" },
    { 0x340F, "abortlevel" },
    { 0x3410, "callbackvoid" },
    { 0x3411, "beginharrier" },
    { 0x3412, "getcorrectheight" },
    { 0x3413, "spawndefensiveharrier" },
    { 0x3414, "accel" },
    { 0x3415, "defendloc" },
    { 0x3416, "defendlocation" },
    { 0x3417, "closetogoalcheck" },
    { 0x3418, "engageground" },
    { 0x3419, "harrierleave" },
    { 0x341A, "airplane" },
    { 0x341B, "harrierdelete" },
    { 0x341C, "harriertimer" },
    { 0x341D, "randomharriermovement" },
    { 0x341E, "getnewpoint" },
    { 0x341F, "besttarget" },
    { 0x3420, "tracenewpoint" },
    { 0x3421, "tracegroundpoint" },
    { 0x3422, "playharrierfx" },
    { 0x3423, "harrier_afterburnerfx" },
    { 0x3424, "stopharrierwingfx" },
    { 0x3425, "startharrierwingfx" },
    { 0x3426, "fireontarget" },
    { 0x3427, "isreadytofire" },
    { 0x3428, "acquiregroundtarget" },
    { 0x3429, "backtodefendlocation" },
    { 0x342A, "wouldcollide" },
    { 0x342B, "watchtargetdeath" },
    { 0x342C, "watchtargetlos" },
    { 0x342D, "breaktarget" },
    { 0x342E, "harriergettargets" },
    { 0x342F, "nontarget" },
    { 0x3430, "istarget" },
    { 0x3431, "getbesttarget" },
    { 0x3432, "targetent" },
    { 0x3433, "checkforfriendlies" },
    { 0x3434, "playdamageefx" },
    { 0x3435, "harrier_smoke" },
    { 0x3436, "harrierdestroyed" },
    { 0x3437, "harrierexplode" },
    { 0x3438, "harrier_deathfx" },
    { 0x3439, "harrierspin" },
    { 0x343A, "engagevehicle" },
    { 0x343B, "fireonvehicletarget" },
    { 0x343C, "acquirevehicletarget" },
    { 0x343D, "watchvehtargetcrash" },
    { 0x343E, "watchvehtargetdeath" },
    { 0x343F, "breakvehtarget" },
    { 0x3440, "evasivemanuverone" },
    { 0x3441, "removefromhelilistondeath" },
    { 0x3442, "onfirefx" },
    { 0x3443, "airstrikefx" },
    { 0x3444, "mortareffect" },
    { 0x3445, "bombstrike" },
    { 0x3446, "stealthbombfx" },
    { 0x3447, "planes" },
    { 0x3448, "dangermaxradius" },
    { 0x3449, "dangerminradius" },
    { 0x344A, "dangerforwardpush" },
    { 0x344B, "dangerovalscale" },
    { 0x344C, "artillerydangercenters" },
    { 0x344D, "tryusedefaultairstrike" },
    { 0x344E, "tryuseprecisionairstrike" },
    { 0x344F, "tryusesuperairstrike" },
    { 0x3450, "tryuseharrierairstrike" },
    { 0x3451, "tryusestealthairstrike" },
    { 0x3452, "tryuseairstrike" },
    { 0x3453, "clearprogress" },
    { 0x3454, "getairstrikedanger" },
    { 0x3455, "getsingleairstrikedanger" },
    { 0x3456, "pointisinairstrikearea" },
    { 0x3457, "losradiusdamage" },
    { 0x3458, "issentry" },
    { 0x3459, "airstrikedamagedentscount" },
    { 0x345A, "airstrikedamagedents" },
    { 0x345B, "airstrikedamageentsthread" },
    { 0x345C, "airstrikedamagedentsindex" },
    { 0x345D, "radiusartilleryshellshock" },
    { 0x345E, "artilleryshellshock" },
    { 0x345F, "beingartilleryshellshocked" },
    { 0x3460, "dobomberstrike" },
    { 0x3461, "bomberdropbombs" },
    { 0x3462, "playbombfx" },
    { 0x3463, "stealthbomber_killcam" },
    { 0x3464, "airstriketype" },
    { 0x3465, "callstrike_bomb" },
    { 0x3466, "doplanestrike" },
    { 0x3467, "handledeath" },
    { 0x3468, "addplanetolist" },
    { 0x3469, "removeplanefromlist" },
    { 0x346A, "callstrike_bombeffect" },
    { 0x346B, "spawnbomb" },
    { 0x346C, "callstrike" },
    { 0x346D, "getexplodedistance" },
    { 0x346E, "targetgetdist" },
    { 0x346F, "waitforairstrikecancel" },
    { 0x3470, "selectairstrikelocation" },
    { 0x3471, "finishairstrikeusage" },
    { 0x3472, "useairstrike" },
    { 0x3473, "handleemp" },
    { 0x3474, "airstrikemadeselectionvo" },
    { 0x3475, "findboxcenter" },
    { 0x3476, "expandmins" },
    { 0x3477, "expandmaxs" },
    { 0x3478, "addspawnpoints" },
    { 0x3479, "teamspawnpoints" },
    { 0x347A, "inited" },
    { 0x347B, "spawnmins" },
    { 0x347C, "spawnmaxs" },
    { 0x347D, "placespawnpoints" },
    { 0x347E, "startspawnpoints" },
    { 0x347F, "getspawnpointarray" },
    { 0x3480, "extraspawnpoints" },
    { 0x3481, "expandspawnpointbounds" },
    { 0x3482, "spawnpointinit" },
    { 0x3483, "sighttracepoint" },
    { 0x3484, "lastspawnedplayer" },
    { 0x3485, "outside" },
    { 0x3486, "addalternatespawnpoint" },
    { 0x3487, "getteamspawnpoints" },
    { 0x3488, "getspawnpoint_final" },
    { 0x3489, "getbestweightedspawnpoint" },
    { 0x348A, "sights" },
    { 0x348B, "lastsighttracetime" },
    { 0x348C, "getallotherplayers" },
    { 0x348D, "initweights" },
    { 0x348E, "getspawnpoint_nearteam" },
    { 0x348F, "numplayersatlastupdate" },
    { 0x3490, "weighteddistsum" },
    { 0x3491, "distsum" },
    { 0x3492, "favorclosespawnent" },
    { 0x3493, "favorclosespawnscalar" },
    { 0x3494, "getspawnpoint_safespawn" },
    { 0x3495, "mindist" },
    { 0x3496, "safespawndangerdist" },
    { 0x3497, "getspawnpoint_dm" },
    { 0x3498, "spawnlogic_begin" },
    { 0x3499, "spawnlogic_deaths" },
    { 0x349A, "spawnlogic_spawnkills" },
    { 0x349B, "pipebombs" },
    { 0x349C, "tanks" },
    { 0x349D, "ims" },
    { 0x349E, "safespawns" },
    { 0x349F, "sightcheckcost" },
    { 0x34A0, "watchspawnprofile" },
    { 0x34A1, "spawnprofile" },
    { 0x34A2, "spawngraphcheck" },
    { 0x34A3, "spawngraph" },
    { 0x34A4, "secondfloor" },
    { 0x34A5, "fake" },
    { 0x34A6, "drawspawngraph" },
    { 0x34A7, "setupspawngraphpoint" },
    { 0x34A8, "visible" },
    { 0x34A9, "spawngraphline" },
    { 0x34AA, "loopbotspawns" },
    { 0x34AB, "trackgrenades" },
    { 0x34AC, "trackmissiles" },
    { 0x34AD, "ispointvulnerable" },
    { 0x34AE, "claymoremodelcenteroffset" },
    { 0x34AF, "claymoredetectionradius" },
    { 0x34B0, "claymoredetectionconeangle" },
    { 0x34B1, "avoidweapondamage" },
    { 0x34B2, "adjustsightvalue" },
    { 0x34B3, "spawnpointupdate" },
    { 0x34B4, "getfloatproperty" },
    { 0x34B5, "nearbypenalty" },
    { 0x34B6, "attackheightpos" },
    { 0x34B7, "getlospenalty" },
    { 0x34B8, "lastminutesighttraces" },
    { 0x34B9, "getrevengespawnpenalty" },
    { 0x34BA, "getrevengespawndistancesq" },
    { 0x34BB, "avoidrevengespawn" },
    { 0x34BC, "avoidrevengespawnstage2" },
    { 0x34BD, "avoidvisibleenemies" },
    { 0x34BE, "forcespawnnearteammates" },
    { 0x34BF, "avoidspawnreuse" },
    { 0x34C0, "avoidsamespawn" },
    { 0x34C1, "setupkillstreakspawnshield" },
    { 0x34C2, "ac130_use_duration" },
    { 0x34C3, "ac130_num_flares" },
    { 0x34C4, "radioforcedtransmissionqueue" },
    { 0x34C5, "enemieskilledintimewindow" },
    { 0x34C6, "lastradiotransmission" },
    { 0x34C7, "huditem" },
    { 0x34C8, "physicssphereradius" },
    { 0x34C9, "physicssphereforce" },
    { 0x34CA, "weaponreloadtime" },
    { 0x34CB, "ac130_speed" },
    { 0x34CC, "ac130queue" },
    { 0x34CD, "tryuseac130" },
//  { 0x34CE, "" },
//  { 0x34CF, "" },
//  { 0x34D0, "" },
//  { 0x34D1, "" },
//  { 0x34D2, "" },
//  { 0x34D3, "" },
//  { 0x34D4, "" },
//  { 0x34D5, "" },
//  { 0x34D6, "" },
//  { 0x34D7, "" },
//  { 0x34D8, "" },
//  { 0x34D9, "" },
//  { 0x34DA, "" },
//  { 0x34DB, "" },
//  { 0x34DC, "" },
//  { 0x34DD, "" },
//  { 0x34DE, "" },
//  { 0x34DF, "" },
//  { 0x34E0, "" },
//  { 0x34E1, "" },
//  { 0x34E2, "" },
//  { 0x34E3, "" },
//  { 0x34E4, "" },
//  { 0x34E5, "" },
//  { 0x34E6, "" },
//  { 0x34E7, "" },
//  { 0x34E8, "" },
//  { 0x34E9, "" },
//  { 0x34EA, "" },
//  { 0x34EB, "" },
//  { 0x34EC, "" },
//  { 0x34ED, "" },
//  { 0x34EE, "" },
//  { 0x34EF, "" },
//  { 0x34F0, "" },
//  { 0x34F1, "" },
//  { 0x34F2, "" },
//  { 0x34F3, "" },
//  { 0x34F4, "" },
//  { 0x34F5, "" },
//  { 0x34F6, "" },
//  { 0x34F7, "" },
//  { 0x34F8, "" },
//  { 0x34F9, "" },
//  { 0x34FA, "" },
//  { 0x34FB, "" },
    { 0x34FC, "crashed" },
    { 0x34FD, "init_sounds" },
    { 0x34FE, "add_context_sensative_dialog" },
    { 0x34FF, "played" },
    { 0x3500, "sounds" },
    { 0x3501, "add_context_sensative_timeout" },
    { 0x3502, "context_sensative_dialog_timeouts" },
    { 0x3503, "groups" },
    { 0x3504, "deleteonac130playerremoved" },
    { 0x3505, "setac130player" },
    { 0x3506, "incomingmissile" },
    { 0x3507, "playac130effects" },
    { 0x3508, "ac130_altscene" },
    { 0x3509, "cameramodel" },
    { 0x350A, "removeac130playerongameend" },
    { 0x350B, "removeac130playerongamecleanup" },
    { 0x350C, "removeac130playerondeath" },
    { 0x350D, "removeac130playeroncrash" },
    { 0x350E, "removeac130playerondisconnect" },
    { 0x350F, "removeac130playeronchangeteams" },
    { 0x3510, "removeac130playeronspectate" },
    { 0x3511, "removeac130playeraftertime" },
    { 0x3512, "removeac130player" },
    { 0x3513, "darkscreenoverlay" },
    { 0x3514, "damagetracker" },
    { 0x3515, "ac130_spawn" },
    { 0x3516, "overlay_coords" },
    { 0x3517, "updateaimingcoords" },
    { 0x3518, "ac130shellshock" },
    { 0x3519, "rotateplane" },
    { 0x351A, "attachplayer" },
    { 0x351B, "changeweapons" },
    { 0x351C, "weaponfiredthread" },
    { 0x351D, "weaponreload" },
    { 0x351E, "clouds" },
    { 0x351F, "clouds_create" },
    { 0x3520, "playerweapon" },
    { 0x3521, "gun_fired_and_ready_105mm" },
    { 0x3522, "shotfired" },
    { 0x3523, "shotfiredphysicssphere" },
    { 0x3524, "shotfireddarkscreenoverlay" },
    { 0x3525, "add_beacon_effect" },
    { 0x3526, "context_sensative_dialog" },
    { 0x3527, "context_sensative_dialog_guy_in_sight" },
    { 0x3528, "context_sensative_dialog_guy_in_sight_check" },
    { 0x3529, "context_sensative_dialog_guy_crawling" },
    { 0x352A, "context_sensative_dialog_guy_pain" },
    { 0x352B, "context_sensative_dialog_secondary_explosion_vehicle" },
    { 0x352C, "enemy_killed_thread" },
    { 0x352D, "context_sensative_dialog_kill" },
    { 0x352E, "context_sensative_dialog_kill_thread" },
    { 0x352F, "context_sensative_dialog_locations" },
    { 0x3530, "context_sensative_dialog_locations_thread" },
    { 0x3531, "context_sensative_dialog_locations_add_notify_event" },
    { 0x3532, "context_sensative_dialog_vehiclespawn" },
    { 0x3533, "context_sensative_dialog_vehicledeath" },
    { 0x3534, "context_sensative_dialog_filler" },
    { 0x3535, "radio_in_use" },
    { 0x3536, "context_sensative_dialog_play_random_group_sound" },
    { 0x3537, "context_sensative_dialog_timedout" },
    { 0x3538, "playsoundoverradio" },
    { 0x3539, "playaliasoverradio" },
    { 0x353A, "debug_circle" },
    { 0x353B, "stingerproximitydetonate" },
    { 0x353C, "samproximitydetonate" },
    { 0x353D, "crashplane" },
    { 0x353E, "angelflareprecache" },
    { 0x353F, "angel_flare" },
    { 0x3540, "missileremotelaunchvert" },
    { 0x3541, "missileremotelaunchhorz" },
    { 0x3542, "missileremotelaunchtargetdist" },
    { 0x3543, "remotemissile_fx" },
    { 0x3544, "tryusepredatormissile" },
    { 0x3545, "getbestspawnpoint" },
    { 0x3546, "spawnscore" },
    { 0x3547, "_fire" },
    { 0x3548, "handledamage" },
    { 0x3549, "missileeyes" },
    { 0x354A, "delayedfofoverlay" },
    { 0x354B, "staticeffect" },
    { 0x354C, "archive" },
    { 0x354D, "player_cleanuponteamchange" },
    { 0x354E, "rocket_cleanupondeath" },
    { 0x354F, "player_cleanupongameended" },
    { 0x3550, "radarviewtime" },
    { 0x3551, "uavblocktime" },
    { 0x3552, "uav_fx" },
    { 0x3553, "killstreaksetupfuncs" },
    { 0x3554, "uavrig" },
    { 0x3555, "activeuavs" },
    { 0x3556, "activecounteruavs" },
    { 0x3557, "rotateuavrig" },
    { 0x3558, "launchuav" },
    { 0x3559, "timetoadd" },
    { 0x355A, "spawnfxdelay" },
    { 0x355B, "monitoruavstrike" },
    { 0x355C, "showlazemessage" },
    { 0x355D, "waitforlazediscard" },
    { 0x355E, "waitforlazedtarget" },
    { 0x355F, "waitfxentdie" },
    { 0x3560, "waittill_notify_or_timeout_hostmigration_pause" },
    { 0x3561, "updateuavmodelvisibility" },
    { 0x3562, "tryuseuav" },
    { 0x3563, "tryuseuavsupport" },
    { 0x3564, "tryusedoubleuav" },
    { 0x3565, "tryusetripleuav" },
    { 0x3566, "tryusecounteruav" },
    { 0x3567, "uavstrikesetup" },
    { 0x3568, "usedstrikeuav" },
    { 0x3569, "tryuseuavstrike" },
    { 0x356A, "tryusedirectionaluav" },
    { 0x356B, "useuav" },
    { 0x356C, "uavtracker" },
    { 0x356D, "_getradarstrength" },
    { 0x356E, "updateteamuavstatus" },
    { 0x356F, "updateplayersuavstatus" },
    { 0x3570, "blockplayeruav" },
    { 0x3571, "updateteamuavtype" },
    { 0x3572, "useplayeruav" },
    { 0x3573, "setteamradarwrapper" },
    { 0x3574, "adduavmodel" },
    { 0x3575, "removeuavmodel" },
    { 0x3576, "addactiveuav" },
    { 0x3577, "addactivecounteruav" },
    { 0x3578, "removeactiveuav" },
    { 0x3579, "removeactivecounteruav" },
    { 0x357A, "tryuselbflock" },
    { 0x357B, "selectlbstrikelocation" },
    { 0x357C, "littlebirdmadeselectionvo" },
    { 0x357D, "finishlbstrikeusage" },
//  { 0x357E, "" },
    { 0x357F, "getflightpath" },
    { 0x3580, "dolbstrike" },
    { 0x3581, "spawnattacklittlebird" },
    { 0x3582, "killcount" },
    { 0x3583, "mgturret1" },
    { 0x3584, "monitorkills" },
    { 0x3585, "startlbfiring1" },
    { 0x3586, "flock_handledamage" },
    { 0x3587, "trail_fx" },
    { 0x3588, "removelittlebird" },
    { 0x3589, "lbstrike" },
    { 0x358A, "heliguardsettings" },
    { 0x358B, "weaponinfo" },
    { 0x358C, "weaponmodelleft" },
    { 0x358D, "weaponmodelright" },
    { 0x358E, "weapontagleft" },
    { 0x358F, "weapontagright" },
    { 0x3590, "sentrymode" },
    { 0x3591, "tryuselbsupport" },
    { 0x3592, "littlebirdguard" },
    { 0x3593, "air_node_mesh" },
    { 0x3594, "createlbguard" },
    { 0x3595, "followspeed" },
    { 0x3596, "heliguardtype" },
    { 0x3597, "targettingradius" },
    { 0x3598, "attract_strength" },
    { 0x3599, "attract_range" },
    { 0x359A, "hasdodged" },
    { 0x359B, "lbsupport_lightfx" },
    { 0x359C, "startlbsupport" },
    { 0x359D, "lbsupport_followplayer" },
    { 0x359E, "lbsupport_movetoplayer" },
    { 0x359F, "intransit" },
    { 0x35A0, "lbsupport_watchdeath" },
    { 0x35A1, "lbsupport_watchtimeout" },
    { 0x35A2, "lbsupport_watchownerloss" },
    { 0x35A3, "lbsupport_watchownerdamage" },
    { 0x35A4, "lbsupport_watchroundend" },
    { 0x35A5, "lbsupport_leave" },
    { 0x35A6, "lbsupport_handledamage" },
    { 0x35A7, "marker" },
    { 0x35A8, "lbsupport_watchsamproximity" },
    { 0x35A9, "lbsupport_getcloseststartnode" },
    { 0x35AA, "air_start_nodes" },
    { 0x35AB, "lbsupport_getclosestnode" },
    { 0x35AC, "lbsupport_getclosestlinkednode" },
    { 0x35AD, "neighbors" },
    { 0x35AE, "lbsupport_arraycontains" },
    { 0x35AF, "lbsupport_getlinkedstructs" },
    { 0x35B0, "lbsupport_setairstartnodes" },
    { 0x35B1, "lbsupport_setairnodemesh" },
    { 0x35B2, "lbsupport_attacktargets" },
    { 0x35B3, "lbsupport_burstfirestart" },
    { 0x35B4, "lbsupport_burstfirestop" },
    { 0x35B5, "emptimeout" },
    { 0x35B6, "emp_use" },
    { 0x35B7, "emp_jamteam" },
    { 0x35B8, "emp_jamplayers" },
    { 0x35B9, "empplayerffadisconnect" },
    { 0x35BA, "empeffects" },
    { 0x35BB, "empeffect" },
    { 0x35BC, "emp_teamtracker" },
    { 0x35BD, "emp_playertracker" },
    { 0x35BE, "destroyactivevehicles" },
    { 0x35BF, "nuketimer" },
    { 0x35C0, "cancelmode" },
    { 0x35C1, "teamnukeemped" },
    { 0x35C2, "nukeemptimeout" },
    { 0x35C3, "nukeinfo" },
    { 0x35C4, "tryusenuke" },
    { 0x35C5, "delaythread_nuke" },
    { 0x35C6, "donuke" },
    { 0x35C7, "cancelnukeondeath" },
    { 0x35C8, "nukesoundincoming" },
    { 0x35C9, "nukesoundexplosion" },
    { 0x35CA, "nukeeffects" },
    { 0x35CB, "nukeeffect" },
    { 0x35CC, "nukeaftermatheffect" },
    { 0x35CD, "nukeslowmo" },
    { 0x35CE, "nukevision" },
    { 0x35CF, "nukevisioninprogress" },
    { 0x35D0, "nukedeath" },
    { 0x35D1, "nukeearthquake" },
    { 0x35D2, "nuke_empjam" },
    { 0x35D3, "nuke_empteamtracker" },
    { 0x35D4, "update_ui_timers" },
    { 0x35D5, "remote_mortar_fx" },
    { 0x35D6, "tryuseremotemortar" },
    { 0x35D7, "startremotemortar" },
    { 0x35D8, "spawnremote" },
    { 0x35D9, "lookcenter" },
    { 0x35DA, "remoteride" },
    { 0x35DB, "remotetargeting" },
    { 0x35DC, "remotefiring" },
    { 0x35DD, "firingreaper" },
    { 0x35DE, "remotezoom" },
    { 0x35DF, "zoomed" },
    { 0x35E0, "remotemissiledistance" },
    { 0x35E1, "remotemissilelife" },
    { 0x35E2, "remoteendride" },
    { 0x35E3, "handletimeout" },
    { 0x35E4, "handleownerchangeteam" },
    { 0x35E5, "handleownerdisconnect" },
    { 0x35E6, "removeremote" },
    { 0x35E7, "remoteleave" },
    { 0x35E8, "boxsettings" },
    { 0x35E9, "capturingstring" },
    { 0x35EA, "eventstring" },
    { 0x35EB, "splashname" },
    { 0x35EC, "shadername" },
    { 0x35ED, "lifespan" },
    { 0x35EE, "xp" },
    { 0x35EF, "tryusedeployablevest" },
    { 0x35F0, "begindeployableviamarker" },
    { 0x35F1, "watchmarkerusage" },
    { 0x35F2, "watchmarker" },
    { 0x35F3, "takeweapononstuck" },
    { 0x35F4, "beginmarkertracking" },
    { 0x35F5, "markeractivate" },
    { 0x35F6, "ismarker" },
    { 0x35F7, "createboxforplayer" },
    { 0x35F8, "boxtype" },
    { 0x35F9, "box_setactive" },
    { 0x35FA, "isusable" },
    { 0x35FB, "box_playerconnected" },
    { 0x35FC, "box_playerjoinedteam" },
    { 0x35FD, "box_setinactive" },
    { 0x35FE, "box_handledamage" },
    { 0x35FF, "box_handledeath" },
    { 0x3600, "box_handleownerdisconnect" },
    { 0x3601, "boxthink" },
    { 0x3602, "doubledip" },
    { 0x3603, "boxcapturethink" },
    { 0x3604, "isfriendlytobox" },
    { 0x3605, "box_timeout" },
    { 0x3606, "box_modelteamupdater" },
    { 0x3607, "boxparams" },
    { 0x3608, "disablewhenjuggernaut" },
    { 0x3609, "imssettings" },
    { 0x360A, "modelbombsquad" },
    { 0x360B, "placestring" },
    { 0x360C, "cannotplacestring" },
    { 0x360D, "attacks" },
    { 0x360E, "modelexplosive1" },
    { 0x360F, "modelexplosive2" },
    { 0x3610, "modelexplosive3" },
    { 0x3611, "modelexplosive4" },
    { 0x3612, "modellid1" },
    { 0x3613, "modellid2" },
    { 0x3614, "modellid3" },
    { 0x3615, "modellid4" },
    { 0x3616, "tagexplosive1" },
    { 0x3617, "tagexplosive2" },
    { 0x3618, "tagexplosive3" },
    { 0x3619, "tagexplosive4" },
    { 0x361A, "taglid1" },
    { 0x361B, "taglid2" },
    { 0x361C, "taglid3" },
    { 0x361D, "taglid4" },
    { 0x361E, "tryuseims" },
    { 0x361F, "imslist" },
    { 0x3620, "giveims" },
    { 0x3621, "setcarryingims" },
    { 0x3622, "createimsforplayer" },
    { 0x3623, "imstype" },
    { 0x3624, "createims" },
    { 0x3625, "lid1" },
    { 0x3626, "lid2" },
    { 0x3627, "lid3" },
    { 0x3628, "lid4" },
    { 0x3629, "explosive1" },
    { 0x362A, "explosive2" },
    { 0x362B, "explosive3" },
    { 0x362C, "explosive4" },
    { 0x362D, "ims_createbombsquadmodel" },
    { 0x362E, "ims_handledamage" },
    { 0x362F, "ims_handledeath" },
    { 0x3630, "ims_handleuse" },
    { 0x3631, "ims_handleownerdisconnect" },
    { 0x3632, "ims_setplaced" },
    { 0x3633, "ims_setcancelled" },
    { 0x3634, "ims_setcarried" },
    { 0x3635, "updateimsplacement" },
    { 0x3636, "ims_oncarrierdeath" },
    { 0x3637, "ims_oncarrierdisconnect" },
    { 0x3638, "ims_ongameended" },
    { 0x3639, "ims_setactive" },
    { 0x363A, "attacktrigger" },
    { 0x363B, "attackmovetime" },
    { 0x363C, "ims_playerconnected" },
    { 0x363D, "ims_playerjoinedteam" },
    { 0x363E, "ims_blinky_light" },
    { 0x363F, "ims_setinactive" },
    { 0x3640, "isfriendlytoims" },
    { 0x3641, "ims_attacktargets" },
    { 0x3642, "fire_sensor" },
    { 0x3643, "ims_timeout" },
    { 0x3644, "addtoimslist" },
    { 0x3645, "removefromimslist" },
    { 0x3646, "ims_hideallparts" },
    { 0x3647, "ims_showallparts" },
    { 0x3648, "turretsettings" },
    { 0x3649, "hintenter" },
    { 0x364A, "hintexit" },
    { 0x364B, "laptopinfo" },
    { 0x364C, "remoteinfo" },
    { 0x364D, "tryuseremotemgturret" },
    { 0x364E, "takekillstreakweapons" },
    { 0x364F, "takekillstreakweaponifnodupe" },
    { 0x3650, "tryuseremoteturret" },
    { 0x3651, "setcarryingturret" },
    { 0x3652, "restoreweaponclipammo" },
    { 0x3653, "restoreweaponstockammo" },
    { 0x3654, "waitrestoreweapons" },
    { 0x3655, "turret_setplaced" },
    { 0x3656, "turret_setcancelled" },
    { 0x3657, "turret_setcarried" },
    { 0x3658, "updateturretplacement" },
    { 0x3659, "turret_oncarrierdeath" },
    { 0x365A, "turret_oncarrierdisconnect" },
    { 0x365B, "turret_oncarrierchangedteam" },
    { 0x365C, "turret_ongameended" },
    { 0x365D, "createturretforplayer" },
    { 0x365E, "stunned" },
    { 0x365F, "stunnedtime" },
    { 0x3660, "damagefade" },
    { 0x3661, "turret_setactive" },
    { 0x3662, "remoteturretlist" },
    { 0x3663, "startusingremoteturret" },
    { 0x3664, "stopusingremoteturret" },
    { 0x3665, "using_remote_turret_when_died" },
    { 0x3666, "watchownermessageondeath" },
    { 0x3667, "watchenterandexit" },
    { 0x3668, "enter_message_deleted" },
    { 0x3669, "turret_blinky_light" },
    { 0x366A, "turret_setinactive" },
    { 0x366B, "clearrideintro" },
    { 0x366C, "turret_handleownerdisconnect" },
    { 0x366D, "turret_timeout" },
    { 0x366E, "turret_handledeath" },
    { 0x366F, "target_ent" },
    { 0x3670, "turret_handledamage" },
    { 0x3671, "turret_incrementdamagefade" },
    { 0x3672, "turret_watchlowhealth" },
    { 0x3673, "turret_stun" },
    { 0x3674, "tanksettings" },
    { 0x3675, "mgturretinfo" },
    { 0x3676, "glturretinfo" },
    { 0x3677, "modelmgturret" },
    { 0x3678, "stringplace" },
    { 0x3679, "stringcannotplace" },
    { 0x367A, "remote_tank_armor_bulletdamage" },
    { 0x367B, "tryuseremotetank" },
    { 0x367C, "givetank" },
    { 0x367D, "createtankforplayer" },
    { 0x367E, "tanktype" },
    { 0x367F, "setcarryingtank" },
    { 0x3680, "tank_setcarried" },
    { 0x3681, "updatetankplacement" },
    { 0x3682, "tank_oncarrierdeath" },
    { 0x3683, "tank_oncarrierdisconnect" },
    { 0x3684, "tank_ongameended" },
    { 0x3685, "tank_setcancelled" },
    { 0x3686, "tank_setplaced" },
    { 0x3687, "tank_giveweapononplaced" },
    { 0x3688, "createtank" },
    { 0x3689, "tank" },
    { 0x368A, "tank_setactive" },
    { 0x368B, "startusingtank" },
    { 0x368C, "tank_blinkylightantenna" },
    { 0x368D, "tank_blinkylightcamera" },
    { 0x368E, "tank_setinactive" },
    { 0x368F, "tank_freezebuffer" },
    { 0x3690, "tank_handledisconnect" },
    { 0x3691, "tank_handlechangeteams" },
    { 0x3692, "tank_handletimeout" },
    { 0x3693, "tank_handledeath" },
    { 0x3694, "tank_incrementdamagefade" },
    { 0x3695, "tank_watchlowhealth" },
    { 0x3696, "tank_handledamage" },
    { 0x3697, "tank_turret_handledamage" },
    { 0x3698, "tank_watchfiring" },
    { 0x3699, "tank_firemissiles" },
    { 0x369A, "tank_earthquake" },
    { 0x369B, "addtougvlist" },
    { 0x369C, "removefromugvlist" },
    { 0x369D, "tank_playerexit" },
    { 0x369E, "killstreakweapons" },
    { 0x369F, "killstreakweildweapons" },
    { 0x36A0, "killstreakchainingweapons" },
    { 0x36A1, "killstreakrounddelay" },
    { 0x36A2, "initkillstreakdata" },
    { 0x36A3, "curdefvalue" },
    { 0x36A4, "spupdatetotal" },
    { 0x36A5, "earnedstreaklevel" },
    { 0x36A6, "adrenaline" },
    { 0x36A7, "initplayerkillstreaks" },
    { 0x36A8, "earned" },
    { 0x36A9, "awardxp" },
    { 0x36AA, "kid" },
    { 0x36AB, "isgimme" },
    { 0x36AC, "isspecialist" },
    { 0x36AD, "nextslot" },
    { 0x36AE, "updatestreakcount" },
    { 0x36AF, "previousadrenaline" },
    { 0x36B0, "resetstreakcount" },
    { 0x36B1, "getnextstreakname" },
    { 0x36B2, "getmaxstreakcost" },
    { 0x36B3, "updatestreakslots" },
    { 0x36B4, "killstreakindexweapon" },
    { 0x36B5, "waitforchangeteam" },
    { 0x36B6, "isridekillstreak" },
    { 0x36B7, "iscarrykillstreak" },
    { 0x36B8, "deadlykillstreak" },
    { 0x36B9, "killstreakusepressed" },
    { 0x36BA, "selectinglocation" },
    { 0x36BB, "usehardpoint" },
    { 0x36BC, "updatespecialistkillstreaks" },
    { 0x36BD, "getfirstprimaryweapon" },
    { 0x36BE, "killstreakusewaiter" },
    { 0x36BF, "lastkillstreak" },
    { 0x36C0, "waittakekillstreakweapon" },
    { 0x36C1, "shouldswitchweaponpostkillstreak" },
    { 0x36C2, "finishdeathwaiter" },
    { 0x36C3, "checkstreakreward" },
    { 0x36C4, "killstreakearned" },
    { 0x36C5, "firstkillstreakearned" },
    { 0x36C6, "earnkillstreak" },
    { 0x36C7, "isperkupgraded" },
    { 0x36C8, "givekillstreakweapon" },
    { 0x36C9, "_setactionslot" },
    { 0x36CA, "isassaultkillstreak" },
    { 0x36CB, "issupportkillstreak" },
    { 0x36CC, "isspecialistkillstreak" },
    { 0x36CD, "getkillstreakhint" },
    { 0x36CE, "getkillstreakinformenemy" },
    { 0x36CF, "getkillstreaksound" },
    { 0x36D0, "getkillstreakdialog" },
    { 0x36D1, "getkillstreakicon" },
    { 0x36D2, "getkillstreakdpadicon" },
    { 0x36D3, "getkillstreakindex" },
    { 0x36D4, "giveownedkillstreakitem" },
    { 0x36D5, "initridekillstreak_internal" },
    { 0x36D6, "isnuked" },
    { 0x36D7, "giveselectedkillstreakitem" },
    { 0x36D8, "showselectedstreakhint" },
    { 0x36D9, "leadersound" },
    { 0x36DA, "leadersoundgroup" },
    { 0x36DB, "getkillstreakcount" },
    { 0x36DC, "shufflekillstreaksup" },
    { 0x36DD, "shufflekillstreaksdown" },
    { 0x36DE, "streakselectuptracker" },
    { 0x36DF, "streakselectdowntracker" },
    { 0x36E0, "streaknotifytracker" },
    { 0x36E1, "adrenalineinfo" },
    { 0x36E2, "giveallperks" },
    { 0x36E3, "setadrenaline" },
    { 0x36E4, "notifyoverlay" },
    { 0x36E5, "promotionsplashnotify" },
    { 0x36E6, "weaponpromotionsplashnotify" },
    { 0x36E7, "textglowcolor" },
    { 0x36E8, "iconoverlay" },
//  { 0x36E9, "" },
    { 0x36EA, "playercardplayer" },
    { 0x36EB, "resetondeath" },
    { 0x36EC, "resetnotify" },
    { 0x36ED, "hintmessagedeaththink" },
    { 0x36EE, "lowermessagethink" },
    { 0x36EF, "lowermessages" },
    { 0x36F0, "outcomeoverlay" },
    { 0x36F1, "matchoutcomenotify" },
    { 0x36F2, "resetoutcomenotify" },
    { 0x36F3, "resetteamoutcomenotify" },
    { 0x36F4, "updateoutcome" },
    { 0x36F5, "canshowsplash" },
    { 0x36F6, "missioncallbacks" },
    { 0x36F7, "createperkmap" },
    { 0x36F8, "perkmap" },
    { 0x36F9, "mayprocesschallenges" },
    { 0x36FA, "patientzeroname" },
    { 0x36FB, "infected" },
    { 0x36FC, "plague" },
    { 0x36FD, "monitorscavengerpickup" },
    { 0x36FE, "monitorstreakreward" },
    { 0x36FF, "monitorblastshieldsurvival" },
    { 0x3700, "monitortacinsertionsdestroyed" },
    { 0x3701, "monitorfinalstandsurvival" },
    { 0x3702, "initmissiondata" },
    { 0x3703, "registermissioncallback" },
    { 0x3704, "ch_assists" },
    { 0x3705, "ch_hardpoints" },
    { 0x3706, "hardpointtype" },
    { 0x3707, "ch_vehicle_kills" },
    { 0x3708, "victim" },
    { 0x3709, "ch_vehicle_killed" },
    { 0x370A, "clearidshortly" },
    { 0x370B, "explosivekills" },
    { 0x370C, "mgkill" },
    { 0x370D, "endmgstreakwhenleavemg" },
    { 0x370E, "endmgstreak" },
    { 0x370F, "killedbestenemyplayer" },
    { 0x3710, "ishighestscoringplayer" },
    { 0x3711, "ch_kills" },
    { 0x3712, "iscacsecondaryweapon" },
    { 0x3713, "brinkofdeathkillstreak" },
    { 0x3714, "isstrstart" },
    { 0x3715, "getweaponattachments" },
    { 0x3716, "anglesondeath" },
    { 0x3717, "anglesonkill" },
    { 0x3718, "isbuffunlockedforweapon" },
    { 0x3719, "holdingbreath" },
    { 0x371A, "adstime" },
    { 0x371B, "isplanting" },
    { 0x371C, "isdefusing" },
    { 0x371D, "isbombcarrier" },
    { 0x371E, "dd" },
    { 0x371F, "lastprimaryweaponswaptime" },
    { 0x3720, "lastflashedtime" },
    { 0x3721, "lastconcussedtime" },
    { 0x3722, "lastsprintendtime" },
    { 0x3723, "ch_bulletdamagecommon" },
    { 0x3724, "victimonground" },
    { 0x3725, "attackeronground" },
    { 0x3726, "attackerstance" },
    { 0x3727, "ch_roundplayed" },
    { 0x3728, "place" },
    { 0x3729, "ch_roundwin" },
    { 0x372A, "attackerinlaststand" },
    { 0x372B, "waitandprocessplayerkilledcallback" },
    { 0x372C, "processingkilledchallenges" },
    { 0x372D, "domissioncallback" },
    { 0x372E, "monitorsprintdistance" },
    { 0x372F, "sprintdistthissprint" },
    { 0x3730, "monitorsinglesprintdistance" },
    { 0x3731, "monitorsprinttime" },
    { 0x3732, "monitorfalldistance" },
    { 0x3733, "lastmansd" },
    { 0x3734, "monitorbombuse" },
    { 0x3735, "monitorlivetime" },
    { 0x3736, "survivalistchallenge" },
    { 0x3737, "monitorstreaks" },
    { 0x3738, "monitormisc" },
    { 0x3739, "monitormiscsingle" },
    { 0x373A, "monitormisccallback" },
    { 0x373B, "healthregenerationstreak" },
    { 0x373C, "resetbrinkofdeathkillstreakshortly" },
    { 0x373D, "playerdied" },
    { 0x373E, "isatbrinkofdeath" },
    { 0x373F, "getmarksmanunlockattachment" },
    { 0x3740, "getweaponattachment" },
    { 0x3741, "masterychallengeprocess" },
    { 0x3742, "isattachmentunlocked" },
    { 0x3743, "buildchallegeinfo" },
    { 0x3744, "monitorprocesschallenge" },
    { 0x3745, "monitorkillstreakprogress" },
    { 0x3746, "monitorkilledkillstreak" },
    { 0x3747, "playerhasammo" },
    { 0x3748, "monitoradstime" },
    { 0x3749, "monitorholdbreath" },
    { 0x374A, "monitormantle" },
    { 0x374B, "mantling" },
    { 0x374C, "monitorweaponswap" },
    { 0x374D, "monitorflashbang" },
    { 0x374E, "monitorconcussion" },
    { 0x374F, "monitorminetriggering" },
    { 0x3750, "waitdelayminetime" },
    { 0x3751, "weaponranktable" },
    { 0x3752, "maxprestige" },
    { 0x3753, "patientzerowaiter" },
    { 0x3754, "isregisteredevent" },
    { 0x3755, "getscoreinfolabel" },
    { 0x3756, "getweaponrankinfominxp" },
    { 0x3757, "getweaponrankinfoxpamt" },
    { 0x3758, "getweaponrankinfomaxxp" },
    { 0x3759, "getrankinfolevel" },
    { 0x375A, "xpupdatetotal" },
    { 0x375B, "bonusupdatetotal" },
    { 0x375C, "hud_xppointspopup" },
    { 0x375D, "hud_xpeventpopup" },
    { 0x375E, "prestigedoublexp" },
    { 0x375F, "prestigedoubleweaponxp" },
    { 0x3760, "setgamesplayed" },
    { 0x3761, "roundup" },
    { 0x3762, "weaponshouldgetxp" },
    { 0x3763, "levelflag" },
    { 0x3764, "updateweaponrankannouncehud" },
    { 0x3765, "createxppointspopup" },
    { 0x3766, "createxpeventpopup" },
    { 0x3767, "removerankhud" },
    { 0x3768, "levelforexperience" },
    { 0x3769, "weaponlevelforexperience" },
    { 0x376A, "getcurrentweaponxp" },
    { 0x376B, "getweaponrankforxp" },
    { 0x376C, "getprestigelevel" },
    { 0x376D, "getweaponrankxp" },
    { 0x376E, "getweaponmaxrankxp" },
    { 0x376F, "isweaponmaxrank" },
    { 0x3770, "incrankxp" },
    { 0x3771, "ischeater" },
    { 0x3772, "getrestxpaward" },
    { 0x3773, "islastrestxpaward" },
    { 0x3774, "syncxpstat" },
    { 0x3775, "isweaponchallenge" },
    { 0x3776, "isvalidprimary" },
    { 0x3777, "isvalidsecondary" },
    { 0x3778, "classmap" },
    { 0x3779, "defaultclass" },
    { 0x377A, "logclasschoice" },
    { 0x377B, "cac_getweaponcamo" },
    { 0x377C, "cac_getweaponreticle" },
    { 0x377D, "recipe_getkillstreak" },
    { 0x377E, "table_getweaponcamo" },
    { 0x377F, "table_getweaponreticle" },
    { 0x3780, "table_getteamperk" },
    { 0x3781, "loadoutfakeperks" },
    { 0x3782, "getloadoutstreaktypefromstreaktype" },
    { 0x3783, "recipeclassapplyjuggernaut" },
    { 0x3784, "classtablenum" },
    { 0x3785, "loadoutprimarycamo" },
    { 0x3786, "loadoutsecondarycamo" },
    { 0x3787, "loadoutprimaryreticle" },
    { 0x3788, "loadoutsecondaryreticle" },
    { 0x3789, "_clearperks" },
    { 0x378A, "_detachall" },
    { 0x378B, "loadoutallperks" },
    { 0x378C, "loadoutperk1" },
    { 0x378D, "loadoutperk2" },
    { 0x378E, "loadoutperk3" },
    { 0x378F, "loadoutperkequipment" },
    { 0x3790, "tryattach" },
    { 0x3791, "trydetach" },
    { 0x3792, "buildweaponname" },
    { 0x3793, "lettertonumber" },
    { 0x3794, "getattachmenttype" },
    { 0x3795, "buildweaponnamecamo" },
    { 0x3796, "buildweaponnamereticle" },
    { 0x3797, "makeletterstonumbers" },
    { 0x3798, "setkillstreaks" },
    { 0x3799, "replenishloadout" },
    { 0x379A, "classgrenades" },
    { 0x379B, "onplayerconnecting" },
    { 0x379C, "fadeaway" },
    { 0x379D, "getperkforclass" },
    { 0x379E, "classhasperk" },
    { 0x379F, "isvalidattachment" },
    { 0x37A0, "isvalidweaponbuff" },
    { 0x37A1, "isweaponbuffunlocked" },
    { 0x37A2, "isvalidcamo" },
    { 0x37A3, "isvalidreticle" },
    { 0x37A4, "iscamounlocked" },
    { 0x37A5, "isvalidequipment" },
    { 0x37A6, "isvalidoffhand" },
    { 0x37A7, "isvalidperk1" },
    { 0x37A8, "isvalidperk2" },
    { 0x37A9, "isvalidperk3" },
    { 0x37AA, "isvaliddeathstreak" },
    { 0x37AB, "isvalidweapon" },
    { 0x37AC, "weaponrefs" },
    { 0x37AD, "isvalidkillstreak" },
    { 0x37AE, "persistentdatainfo" },
    { 0x37AF, "bufferedstats" },
    { 0x37B0, "bufferedchildstats" },
    { 0x37B1, "stataddchild" },
    { 0x37B2, "statgetchildbuffered" },
    { 0x37B3, "updatebufferedstats" },
    { 0x37B4, "writebufferedstats" },
    { 0x37B5, "uploadglobalstatcounters" },
    { 0x37B6, "exploder_sound" },
    { 0x37B7, "streakmsg" },
    { 0x37B8, "endselectiononemp" },
    { 0x37B9, "endselectiononaction" },
    { 0x37BA, "endselectiononendgame" },
    { 0x37BB, "getplant" },
    { 0x37BC, "orienttonormal" },
    { 0x37BD, "deleteplacedentity" },
    { 0x37BE, "sortlowermessages" },
    { 0x37BF, "addlowermessage" },
    { 0x37C0, "addtime" },
    { 0x37C1, "showtimer" },
    { 0x37C2, "shouldfade" },
    { 0x37C3, "fadetoalpha" },
    { 0x37C4, "fadetoalphatime" },
    { 0x37C5, "removelowermessage" },
    { 0x37C6, "getlowermessage" },
    { 0x37C7, "updatelowermessage" },
    { 0x37C8, "clearondeath" },
    { 0x37C9, "clearafterfade" },
    { 0x37CA, "printonteam" },
    { 0x37CB, "printboldonteam" },
    { 0x37CC, "printboldonteamarg" },
    { 0x37CD, "printonteamarg" },
    { 0x37CE, "printonplayers" },
    { 0x37CF, "printandsoundoneveryone" },
    { 0x37D0, "printandsoundonteam" },
    { 0x37D1, "printandsoundonplayer" },
    { 0x37D2, "_playlocalsound" },
    { 0x37D3, "dvarintvalue" },
    { 0x37D4, "dvarfloatvalue" },
    { 0x37D5, "updatepersratiobuffered" },
    { 0x37D6, "lastslowprocessframe" },
    { 0x37D7, "isexcluded" },
    { 0x37D8, "leaderdialogbothteams" },
    { 0x37D9, "playleaderdialogonplayer" },
    { 0x37DA, "leaderdialoglocalsound" },
    { 0x37DB, "setobjectivetext" },
    { 0x37DC, "setobjectivescoretext" },
    { 0x37DD, "setobjectivehinttext" },
    { 0x37DE, "getobjectivetext" },
    { 0x37DF, "getobjectivescoretext" },
    { 0x37E0, "getminutespassed" },
    { 0x37E1, "getvalueinrange" },
    { 0x37E2, "waitfortimeornotifies" },
    { 0x37E3, "logxpgains" },
    { 0x37E4, "registerroundswitchdvar" },
    { 0x37E5, "roundswitchdvar" },
    { 0x37E6, "roundswitchmin" },
    { 0x37E7, "roundswitchmax" },
    { 0x37E8, "registerroundlimitdvar" },
    { 0x37E9, "registerwinlimitdvar" },
    { 0x37EA, "registerscorelimitdvar" },
    { 0x37EB, "registertimelimitdvar" },
    { 0x37EC, "registerhalftimedvar" },
    { 0x37ED, "registernumlivesdvar" },
    { 0x37EE, "setovertimelimitdvar" },
    { 0x37EF, "getdvarvec" },
    { 0x37F0, "_takeweaponsexcept" },
    { 0x37F1, "savedata" },
    { 0x37F2, "offhandclass" },
    { 0x37F3, "actionslots" },
    { 0x37F4, "weapons" },
    { 0x37F5, "clipammor" },
    { 0x37F6, "clipammol" },
    { 0x37F7, "stockammo" },
    { 0x37F8, "script_savedata" },
    { 0x37F9, "restoredata" },
    { 0x37FA, "isfloat" },
    { 0x37FB, "registerwatchdvarint" },
    { 0x37FC, "registerwatchdvarfloat" },
    { 0x37FD, "registerwatchdvar" },
    { 0x37FE, "setoverridewatchdvar" },
    { 0x37FF, "onlyroundoverride" },
    { 0x3800, "hitscorelimit" },
    { 0x3801, "getroundswon" },
    { 0x3802, "objectivebased" },
    { 0x3803, "bombexploded" },
    { 0x3804, "ddtimetoadd" },
    { 0x3805, "inovertime" },
    { 0x3806, "getaverageorigin" },
    { 0x3807, "getlivingplayers" },
    { 0x3808, "getremotename" },
    { 0x3809, "queues" },
    { 0x380A, "_setperk" },
    { 0x380B, "_setextraperks" },
    { 0x380C, "quicksort" },
    { 0x380D, "quicksortmid" },
    { 0x380E, "swap" },
    { 0x380F, "onlinegame" },
    { 0x3810, "endsceneondeath" },
    { 0x3811, "givecombathigh" },
    { 0x3812, "arrayinsertion" },
    { 0x3813, "getproperty" },
    { 0x3814, "statusmenu" },
    { 0x3815, "_statusmenu" }, // typo by IW
    { 0x3816, "streakshouldchain" },
    { 0x3817, "fixakimbostring" },
    { 0x3818, "rounddecimalplaces" },
    { 0x3819, "maketeamusable" },
    { 0x381A, "_updateteamusable" },
    { 0x381B, "_updateenemyusable" },
    { 0x381C, "gameflagclear" },
    { 0x381D, "isprimarydamage" },
    { 0x381E, "levelflags" },
    { 0x381F, "levelflagwait" },
    { 0x3820, "levelflagwaitopen" },
    { 0x3821, "killtrigger" },
    { 0x3822, "setcommonrulesfrommatchrulesdata" },
    { 0x3823, "matchrules_allowcustomclasses" },
    { 0x3824, "getmatchrulesspecialclass" },
//  { 0x3825, "" },
    { 0x3826, "audio" },
    { 0x3827, "init_reverb" },
    { 0x3828, "add_reverb" },
    { 0x3829, "reverb_settings" },
    { 0x382A, "is_roomtype_valid" },
    { 0x382B, "apply_reverb" },
    { 0x382C, "init_whizby" },
    { 0x382D, "whizby_settings" },
    { 0x382E, "set_whizby_radius" },
    { 0x382F, "set_whizby_spread" },
    { 0x3830, "apply_whizby" },
    { 0x3831, "radial_button_definitions" },
    { 0x3832, "radial_init" },
    { 0x3833, "radial_button_group" },
    { 0x3834, "pos_angle" },
    { 0x3835, "end_angle" },
    { 0x3836, "start_angle" },
    { 0x3837, "debug_toggle" },
    { 0x3838, "crib_debug" },
    { 0x3839, "observer" },
    { 0x383A, "return_hud" },
    { 0x383B, "readyplayer" },
    { 0x383C, "get_right_stick_angle" },
    { 0x383D, "rs_angle" },
    { 0x383E, "newradialbuttongroup" },
    { 0x383F, "radial_button_group_info" },
    { 0x3840, "newradialbutton" },
    { 0x3841, "font_size" },
    { 0x3842, "font_color" },
    { 0x3843, "action_func" },
    { 0x3844, "radius_pos" },
    { 0x3845, "updateselectedbutton" },
    { 0x3846, "radial_button_current_group" },
    { 0x3847, "active_button" },
    { 0x3848, "watchselectbuttonpress" },
    { 0x3849, "watchbackbuttonpress" },
    { 0x384A, "sort_buttons_by_angle" },
    { 0x384B, "button_switch" },
    { 0x384C, "draw_radial_buttons" },
    { 0x384D, "draw_radial_button" },
    { 0x384E, "zoom_to_radial_menu" },
    { 0x384F, "radial_button_previous_group" },
    { 0x3850, "getradialanglefroment" },
    { 0x3851, "radial_angle_to_vector" },
    { 0x3852, "getmidangle" },
    { 0x3853, "isinrange" },
    { 0x3854, "action_back" },
    { 0x3855, "action_weapons_primary" },
    { 0x3856, "action_weapons_secondary" },
    { 0x3857, "action_gears" },
    { 0x3858, "action_killstreak" },
    { 0x3859, "action_leaderboards" },
    { 0x385A, "view_path_setup" },
    { 0x385B, "view_paths" },
    { 0x385C, "build_path_by_targetname" },
    { 0x385D, "go_path_by_targetname" },
    { 0x385E, "dummy_mover" },
    { 0x385F, "go_path_by_targetname_reverse" },
    { 0x3860, "travel_view_fx" },
    { 0x3861, "blur_sine" },
    { 0x3862, "force_player_angles" },
    { 0x3863, "shotgunsetup" },
    { 0x3864, "tryuseautoshotgun" },
    { 0x3865, "thumpersetup" },
    { 0x3866, "tryusethumper" },
    { 0x3867, "saveweaponammoondeath" },
    { 0x3868, "removeweapononoutofammo" },
    { 0x3869, "spawnarmor" },
    { 0x386A, "standardspeed" },
    { 0x386B, "deleteonz" },
    { 0x386C, "usetank" },
    { 0x386D, "tryusetank" },
    { 0x386E, "tankinuse" },
    { 0x386F, "tankspawner" },
    { 0x3870, "starttank" },
    { 0x3871, "nodes" },
    { 0x3872, "objid" },
    { 0x3873, "timelastfired" },
    { 0x3874, "neutraltarget" },
    { 0x3875, "waitforchangeteams" },
    { 0x3876, "waitfordisco" },
    { 0x3877, "setdirection" },
    { 0x3878, "setengagementspeed" },
    { 0x3879, "changingdirection" },
    { 0x387A, "speedtype" },
    { 0x387B, "setminiengagementspeed" },
    { 0x387C, "setstandardspeed" },
    { 0x387D, "setevadespeed" },
    { 0x387E, "setdangerspeed" },
    { 0x387F, "stoptoreverse" },
    { 0x3880, "stoptoforward" },
    { 0x3881, "checkdanger" },
    { 0x3882, "numenemiesclose" },
    { 0x3883, "tankupdate" },
    { 0x3884, "graphnodes" },
    { 0x3885, "endnode" },
    { 0x3886, "tankdamagemonitor" },
    { 0x3887, "forcedtarget" },
    { 0x3888, "handlethreat" },
    { 0x3889, "tankcover" },
    { 0x388A, "handlepossiblethreat" },
    { 0x388B, "relativeangle" },
    { 0x388C, "watchforthreat" },
    { 0x388D, "checkowner" },
    { 0x388E, "modifydamage" },
    { 0x388F, "destroytank" },
    { 0x3890, "tankfire" },
    { 0x3891, "onhitpitchclamp" },
    { 0x3892, "waitforturretready" },
    { 0x3893, "tankgettargets" },
    { 0x3894, "harrier" },
    { 0x3895, "acquiretarget" },
    { 0x3896, "setnotarget" },
    { 0x3897, "explicitabandontarget" },
    { 0x3898, "badtarget" },
    { 0x3899, "badtargetreset" },
    { 0x389A, "removetarget" },
    { 0x389B, "lastlosttime" },
    { 0x389C, "isvehicletarget" },
    { 0x389D, "turretsighttrace" },
    { 0x389E, "isminitarget" },
    { 0x389F, "tankgetminitargets" },
    { 0x38A0, "getbestminitarget" },
    { 0x38A1, "acquireminitarget" },
    { 0x38A2, "bestminitarget" },
    { 0x38A3, "fireminiontarget" },
    { 0x38A4, "watchminitargetdeath" },
    { 0x38A5, "watchminitargetdistance" },
    { 0x38A6, "watchminitargetthreat" },
    { 0x38A7, "explicitabandonminitarget" },
    { 0x38A8, "addtotanklist" },
    { 0x38A9, "removefromtanklist" },
    { 0x38AA, "getnodenearenemies" },
    { 0x38AB, "dist" },
    { 0x38AC, "setuppaths" },
    { 0x38AD, "branchnodes" },
    { 0x38AE, "next" },
    { 0x38AF, "length" },
    { 0x38B0, "graphid" },
    { 0x38B1, "getrandombranchnode" },
    { 0x38B2, "links" },
    { 0x38B3, "linkdirs" },
    { 0x38B4, "getnextnodeforendnode" },
    { 0x38B5, "g" },
    { 0x38B6, "otherdir" },
    { 0x38B7, "handlebranchnode" },
    { 0x38B8, "linkstartnodes" },
    { 0x38B9, "handlecapnode" },
    { 0x38BA, "nodetracker" },
    { 0x38BB, "forwardgraphid" },
    { 0x38BC, "reversegraphid" },
    { 0x38BD, "forcetrigger" },
    { 0x38BE, "getforwardgraphnode" },
    { 0x38BF, "getreversegraphnode" },
    { 0x38C0, "getnextnode" },
    { 0x38C1, "getprevnode" },
    { 0x38C2, "initnodegraph" },
    { 0x38C3, "linkinfos" },
    { 0x38C4, "linklengths" },
    { 0x38C5, "addlinknode" },
    { 0x38C6, "tographnode" },
    { 0x38C7, "tographid" },
    { 0x38C8, "direction" },
    { 0x38C9, "startnode" },
    { 0x38CA, "generatepath" },
    { 0x38CB, "openlist" },
    { 0x38CC, "closedlist" },
    { 0x38CD, "h" },
    { 0x38CE, "f" },
    { 0x38CF, "parentnode" },
    { 0x38D0, "addtoopenlist" },
    { 0x38D1, "openlistid" },
    { 0x38D2, "closedlistid" },
    { 0x38D3, "addtoclosedlist" },
    { 0x38D4, "gethvalue" },
    { 0x38D5, "getgvalue" },
    { 0x38D6, "drawpath" },
    { 0x38D7, "drawgraph" },
    { 0x38D8, "drawlink" },
    { 0x38D9, "debugprintln2" },
    { 0x38DA, "debugprint3d" },
    { 0x38DB, "drawtankgraphids" },
    { 0x38DC, "tankexplode" },
    { 0x38DD, "tankflash" },
    { 0x38DE, "tankdust1" },
    { 0x38DF, "tankdust2" },
    { 0x38E0, "ground_support_locs" },
    { 0x38E1, "tryusemobilemortar" },
    { 0x38E2, "mobilemortar" },
    { 0x38E3, "selectentrancelocation" },
    { 0x38E4, "createmobilemortar" },
    { 0x38E5, "playersattacked" },
    { 0x38E6, "lasttarget" },
    { 0x38E7, "lowx" },
    { 0x38E8, "highx" },
    { 0x38E9, "lowy" },
    { 0x38EA, "highy" },
    { 0x38EB, "movetoposition" },
    { 0x38EC, "fxent" },
    { 0x38ED, "findtarget" },
    { 0x38EE, "findrandomtarget" },
    { 0x38EF, "mortarattack" },
    { 0x38F0, "firemortar" },
    { 0x38F1, "watchprojectileonminimap" },
    { 0x38F2, "mortarrecoil" },
    { 0x38F3, "watchproximity" },
    { 0x38F4, "watchdamage" },
    { 0x38F5, "a10_fx" },
    { 0x38F6, "a10maxhealth" },
    { 0x38F7, "a10speed" },
    { 0x38F8, "a10speedreduction" },
    { 0x38F9, "a10startpointoffset" },
    { 0x38FA, "a10impactfxdelay" },
    { 0x38FB, "a10damage" },
    { 0x38FC, "a10damageradius" },
    { 0x38FD, "a10damagedelay" },
    { 0x38FE, "a10bulletraindelay" },
    { 0x38FF, "a10bulletimpactsdelay" },
    { 0x3900, "a10earthquakemagnitude" },
    { 0x3901, "a10earthquakeduration" },
    { 0x3902, "a10earthquakedelay" },
    { 0x3903, "a10dirteffectradius" },
    { 0x3904, "a10shootinggroundsounddelay" },
    { 0x3905, "a10startpositionscalar" },
    { 0x3906, "a10supportsetup" },
    { 0x3907, "useduava10" },
    { 0x3908, "tryusea10strike" },
    { 0x3909, "selecta10strikelocation" },
    { 0x390A, "finisha10strikeusage" },
    { 0x390B, "calla10strike" },
    { 0x390C, "doa10strike" },
    { 0x390D, "a10" },
    { 0x390E, "a10startmove" },
    { 0x390F, "initialdelay" },
    { 0x3910, "startpoint" },
    { 0x3911, "attackpoint" },
    { 0x3912, "endpoint" },
    { 0x3913, "a10playenginefx" },
    { 0x3914, "spawna10" },
    { 0x3915, "fakea10" },
    { 0x3916, "starta10shooting" },
    { 0x3917, "a10shootingpos" },
    { 0x3918, "playbulletrain" },
    { 0x3919, "manageshootingloopsound" },
    { 0x391A, "manageshootinggroundsound" },
    { 0x391B, "a10earthquake" },
    { 0x391C, "a10destroyed" },
    { 0x391D, "a10explode" },
    { 0x391E, "removea10" },
    { 0x391F, "tryuseteamammorefill" },
    { 0x3920, "giveteamammorefill" },
    { 0x3921, "showspawnpoint" },
    { 0x3922, "showspawnpoints" },
    { 0x3923, "print3duntilnotified" },
    { 0x3924, "lineuntilnotified" },
    { 0x3925, "hidespawnpoints" },
    { 0x3926, "updatereflectionprobe" },
    { 0x3927, "reflectionprobebuttons" },
    { 0x3928, "gotonextspawn" },
    { 0x3929, "gotoprevspawn" },
    { 0x392A, "endgameontimelimit" },
    { 0x392B, "playerslookingforsafespawn" },
    { 0x392C, "registerdvars" },
    { 0x392D, "blank" },
    { 0x392E, "testmenu" },
    { 0x392F, "testshock" },
    { 0x3930, "fakelag" },
    { 0x3931, "spawn_all" },
    { 0x3932, "spawn_axis_start" },
    { 0x3933, "spawn_allies_start" },
    { 0x3934, "flagbasefxid" },
    { 0x3935, "bestspawnflag" },
    { 0x3936, "nearbyspawns" },
    { 0x3937, "domflags" },
    { 0x3938, "laststatus" },
    { 0x3939, "baseeffectforward" },
    { 0x393A, "baseeffectright" },
    { 0x393B, "baseeffectpos" },
    { 0x393C, "useobj" },
    { 0x393D, "adjflags" },
    { 0x393E, "getunownedflagneareststart" },
    { 0x393F, "didstatusnotify" },
    { 0x3940, "statusdialog" },
    { 0x3941, "resetflagbaseeffect" },
    { 0x3942, "baseeffect" },
    { 0x3943, "capturetime" },
    { 0x3944, "giveflagcapturexp" },
    { 0x3945, "delayedleaderdialog" },
    { 0x3946, "delayedleaderdialogbothteams" },
    { 0x3947, "updatedomscores" },
    { 0x3948, "getowneddomflags" },
    { 0x3949, "getteamflagcount" },
    { 0x394A, "getflagteam" },
    { 0x394B, "getboundaryflags" },
    { 0x394C, "getboundaryflagspawns" },
    { 0x394D, "getspawnsboundingflag" },
    { 0x394E, "getownedandboundingflagspawns" },
    { 0x394F, "getownedflagspawns" },
    { 0x3950, "flagsetup" },
    { 0x3951, "descriptor" },
    { 0x3952, "updatecpm" },
    { 0x3953, "cpm" },
    { 0x3954, "numcaps" },
    { 0x3955, "getcapxpscale" },
    { 0x3956, "multibomb" },
    { 0x3957, "bombplanted" },
    { 0x3958, "sd_loadout" },
    { 0x3959, "checkallowspectating" },
    { 0x395A, "sd_endgame" },
    { 0x395B, "bombzones" },
    { 0x395C, "killcamentnum" },
    { 0x395D, "bombdefused" },
    { 0x395E, "planttime" },
    { 0x395F, "defusetime" },
    { 0x3960, "removebombzonec" },
    { 0x3961, "relatedbrushmodel" },
    { 0x3962, "bombs" },
    { 0x3963, "sdbomb" },
    { 0x3964, "exploderindex" },
    { 0x3965, "bombdefusetrig" },
    { 0x3966, "otherbombzones" },
    { 0x3967, "setupkillcament" },
    { 0x3968, "sdbombmodel" },
    { 0x3969, "onuseplantobject" },
    { 0x396A, "bombowner" },
    { 0x396B, "bombplantedtime" },
    { 0x396C, "applybombcarrierclass" },
    { 0x396D, "removebombcarrierclass" },
    { 0x396E, "onusedefuseobject" },
    { 0x396F, "tickingobject" },
    { 0x3970, "bombtimerwait" },
    { 0x3971, "handlehostmigration" },
    { 0x3972, "setspecialloadout" },
    { 0x3973, "spawn_axis" },
    { 0x3974, "spawn_axis_planted" },
    { 0x3975, "spawn_allies" },
    { 0x3976, "spawn_allies_planted" },
    { 0x3977, "otspawned" },
    { 0x3978, "sab_loadouts" },
    { 0x3979, "printothint" },
    { 0x397A, "hotpotato" },
    { 0x397B, "scoremode" },
    { 0x397C, "sabotage" },
    { 0x397D, "sabbomb" },
    { 0x397E, "getclosestsite" },
    { 0x397F, "distancetosite" },
    { 0x3980, "scorethread" },
    { 0x3981, "bombdistance" },
    { 0x3982, "createbombzone" },
    { 0x3983, "abandonmentthink" },
    { 0x3984, "overtimethread" },
    { 0x3985, "bombdistancethread" },
    { 0x3986, "dangerteam" },
    { 0x3987, "resetbombsite" },
    { 0x3988, "setupfordefusing" },
    { 0x3989, "setspecialloadouts" },
    { 0x398A, "doprematch" },
    { 0x398B, "hqautodestroytime" },
    { 0x398C, "hqspawntime" },
    { 0x398D, "kothmode" },
    { 0x398E, "destroytime" },
    { 0x398F, "delayplayer" },
    { 0x3990, "spawndelay" },
    { 0x3991, "extradelay" },
    { 0x3992, "promode" },
    { 0x3993, "iconoffset" },
    { 0x3994, "updateobjectivehintmessages" },
    { 0x3995, "getrespawndelay" },
    { 0x3996, "radioobject" },
    { 0x3997, "hqdestroytime" },
    { 0x3998, "objectivehintpreparehq" },
    { 0x3999, "objectivehintcapturehq" },
    { 0x399A, "objectivehintdestroyhq" },
    { 0x399B, "objectivehintdefendhq" },
    { 0x399C, "hqmainloop" },
    { 0x399D, "hqrevealtime" },
    { 0x399E, "timerdisplay" },
    { 0x399F, "gameobject" },
    { 0x39A0, "trigorigin" },
    { 0x39A1, "hqdestroyedbytimer" },
    { 0x39A2, "hidetimerdisplayongameend" },
    { 0x39A3, "forcespawnteam" },
    { 0x39A4, "onradiocapture" },
    { 0x39A5, "onradiodestroy" },
    { 0x39A6, "destroyhqaftertime" },
    { 0x39A7, "awardhqpoints" },
    { 0x39A8, "nearspawns" },
    { 0x39A9, "outerspawns" },
    { 0x39AA, "setupradios" },
    { 0x39AB, "trig" },
    { 0x39AC, "radios" },
    { 0x39AD, "prevradio" },
    { 0x39AE, "prevradio2" },
    { 0x39AF, "makeradioactive" },
    { 0x39B0, "makeradioinactive" },
    { 0x39B1, "setupnearbyspawns" },
    { 0x39B2, "distsq" },
    { 0x39B3, "pickradiotospawn" },
    { 0x39B4, "flagreturntime" },
    { 0x39B5, "usingobj" },
    { 0x39B6, "oneflag_ctf" },
    { 0x39B7, "flagmodel" },
    { 0x39B8, "icon2d" },
    { 0x39B9, "iconcapture3d" },
    { 0x39BA, "iconcapture2d" },
    { 0x39BB, "icondefend3d" },
    { 0x39BC, "icondefend2d" },
    { 0x39BD, "icontarget3d" },
    { 0x39BE, "icontarget2d" },
    { 0x39BF, "teamflags" },
    { 0x39C0, "capzones" },
    { 0x39C1, "flagcaptured" },
    { 0x39C2, "createteamflag" },
    { 0x39C3, "createcapzone" },
    { 0x39C4, "returnflag" },
    { 0x39C5, "attachflag" },
    { 0x39C6, "detachflag" },
    { 0x39C7, "ctf_loadouts" },
    { 0x39C8, "ctf" },
    { 0x39C9, "iconescort3d" },
    { 0x39CA, "iconescort2d" },
    { 0x39CB, "iconkill3d" },
    { 0x39CC, "iconkill2d" },
    { 0x39CD, "iconcaptureflag3d" },
    { 0x39CE, "iconcaptureflag2d" },
    { 0x39CF, "icondefendflag3d" },
    { 0x39D0, "icondefendflag2d" },
    { 0x39D1, "iconreturnflag3d" },
    { 0x39D2, "iconreturnflag2d" },
    { 0x39D3, "iconwaitforflag3d" },
    { 0x39D4, "iconwaitforflag2d" },
    { 0x39D5, "friendlyflagstatusicon" },
    { 0x39D6, "friendlyflagstatustext" },
    { 0x39D7, "enemyflagstatusicon" },
    { 0x39D8, "enemyflagstatustext" },
    { 0x39D9, "returnaftertime" },
    { 0x39DA, "applyflagcarrierclass" },
    { 0x39DB, "removeflagcarrierclass" },
    { 0x39DC, "ctfpro" },
    { 0x39DD, "iconflagbase2d" },
    { 0x39DE, "iconflagbase3d" },
    { 0x39DF, "createteamflags" },
    { 0x39E0, "athome" },
    { 0x39E1, "createcapzones" },
    { 0x39E2, "zoneheadicon" },
    { 0x39E3, "zonemapicon" },
    { 0x39E4, "cappedflag" },
    { 0x39E5, "givescore" },
    { 0x39E6, "matchrules_initialammo" },
    { 0x39E7, "matchrules_rewardammo" },
    { 0x39E8, "oic_firstspawn" },
    { 0x39E9, "oic_rewardammo" },
    { 0x39EA, "oic_loadouts" },
    { 0x39EB, "waitloadoutdone" },
    { 0x39EC, "oic_gun" },
    { 0x39ED, "waitgiveammo" },
    { 0x39EE, "giveammo" },
    { 0x39EF, "watchelimination" },
    { 0x39F0, "setgun" },
    { 0x39F1, "matchrules_droptime" },
    { 0x39F2, "matchrules_zoneswitchtime" },
    { 0x39F3, "grnd_fx" },
    { 0x39F4, "grnd_centerloc" },
//  { 0x39F5, "" },
    { 0x39F6, "initfirstzone" },
    { 0x39F7, "zonescycling" },
    { 0x39F8, "grnd_dropzones" },
    { 0x39F9, "grnd_initialindex" },
    { 0x39FA, "grnd_zone" },
    { 0x39FB, "initzones" },
    { 0x39FC, "grnd_zones" },
    { 0x39FD, "ingrindzone" },
    { 0x39FE, "setplayermessages" },
    { 0x39FF, "ingrindzonepoints" },
//  { 0x3A00, "" },
    { 0x3A01, "grndheadicon" },
    { 0x3A02, "grndobjid" },
    { 0x3A03, "getnextzone" },
    { 0x3A04, "disttozone" },
    { 0x3A05, "cyclezones" },
    { 0x3A06, "grndtracking" },
    { 0x3A07, "locationscoring" },
    { 0x3A08, "randomdrops" },
    { 0x3A09, "getbestplayer" },
    { 0x3A0A, "getdropzonecratetype" },
    { 0x3A0B, "hidehudelementongameend" },
    { 0x3A0C, "createzones" },
    { 0x3A0D, "matchrules_enemyflagradar" },
    { 0x3A0E, "tdef" },
    { 0x3A0F, "tdef_loadouts" },
    { 0x3A10, "tdef_flagtime" },
    { 0x3A11, "portable_radar" },
    { 0x3A12, "currentcarrier" },
    { 0x3A13, "currentteam" },
    { 0x3A14, "watchforendgame" },
    { 0x3A15, "createflag" },
    { 0x3A16, "flagattachradar" },
    { 0x3A17, "getflagradarowner" },
    { 0x3A18, "flagradarmover" },
    { 0x3A19, "flagwatchradarownerlost" },
    { 0x3A1A, "conf_fx" },
    { 0x3A1B, "dogtags" },
    { 0x3A1C, "spawndogtags" },
    { 0x3A1D, "victimteam" },
    { 0x3A1E, "showtoteam" },
    { 0x3A1F, "bounce" },
    { 0x3A20, "clearonvictimdisconnect" },
    { 0x3A21, "matchrules_numinitialinfected" },
    { 0x3A22, "infect_timerdisplay" },
    { 0x3A23, "infect_chosefirstinfected" },
    { 0x3A24, "infect_choosingfirstinfected" },
    { 0x3A25, "infect_firstspawn" },
    { 0x3A26, "isinitialinfected" },
    { 0x3A27, "infect_loadouts" },
    { 0x3A28, "choosefirstinfected" },
    { 0x3A29, "infect_isbeingchosen" },
    { 0x3A2A, "setinitialtonormalinfected" },
    { 0x3A2B, "updateteamscores" },
//  { 0x3A2C, "" },
//  { 0x3A2D, "" },
    { 0x3A2E, "matchrules_respawnnewjugg" },
    { 0x3A2F, "matchrules_showjuggworldicon" },
    { 0x3A30, "jugg_juggernaut" },
    { 0x3A31, "jugg_choosingjugg" },
    { 0x3A32, "jugg_timerdisplay" },
    { 0x3A33, "chooseinitialjugg" },
    { 0x3A34, "jugg_juggscore" },
    { 0x3A35, "jugg_firstspawn" },
    { 0x3A36, "jugg_loadouts" },
    { 0x3A37, "jugg_headicon" },
    { 0x3A38, "resetjugg" },
    { 0x3A39, "givejuggloadout" },
    { 0x3A3A, "updatejuggscores" },
    { 0x3A3B, "gun_firstspawn" },
    { 0x3A3C, "gungamegunindex" },
    { 0x3A3D, "gungameprevgunindex" },
    { 0x3A3E, "gun_loadouts" },
    { 0x3A3F, "givenextgun" },
    { 0x3A40, "gun_guns" },
//  { 0x3A41, "" },
    { 0x3A42, "refillsinglecountammo" },
    { 0x3A43, "initgunhud" },
//  { 0x3A44, "" },
    { 0x3A45, "updategunhud" },
//  { 0x3A46, "" },
    { 0x3A47, "hideongameend" },
    { 0x3A48, "setguns" },
    { 0x3A49, "matchrules_juggswitchtime" },
    { 0x3A4A, "jugg_available" },
    { 0x3A4B, "jugg_attackers" },
    { 0x3A4C, "jugg_currjugg" },
    { 0x3A4D, "tjugg_timerdisplay" },
    { 0x3A4E, "jugg_alligience" },
    { 0x3A4F, "isjuggmodejuggernaut" },
    { 0x3A50, "tjugg_loadouts" },
    { 0x3A51, "nextjuggtimeout" },
    { 0x3A52, "respawnoldjugg" },
    { 0x3A53, "rewardteammateproximity" },
    { 0x3A54, "logattackers" },
    { 0x3A55, "resetjuggloadoutondisconnect" },
    { 0x3A56, "getbestteammate" },
    { 0x3A57, "precacheflag" },
    { 0x3A58, "arenatimeflagwaiter" },
    { 0x3A59, "arenaflagwaiter" },
    { 0x3A5A, "arenaflag" },
    { 0x3A5B, "setupdomflag" },
    { 0x3A5C, "arena_endgame" },
    { 0x3A5D, "bombsplanted" },
    { 0x3A5E, "ddbombmodel" },
    { 0x3A5F, "spawn_defenders" },
    { 0x3A60, "spawn_defenders_a" },
    { 0x3A61, "spawn_defenders_b" },
    { 0x3A62, "spawn_attackers" },
    { 0x3A63, "spawn_attackers_a" },
    { 0x3A64, "spawn_attackers_b" },
    { 0x3A65, "spawn_defenders_start" },
    { 0x3A66, "spawn_attackers_start" },
    { 0x3A67, "aplanted" },
    { 0x3A68, "bplanted" },
    { 0x3A69, "waittoprocess" },
    { 0x3A6A, "dd_endgame" },
    { 0x3A6B, "verifybombzones" },
    { 0x3A6C, "ddbomb" },
    { 0x3A6D, "onuseobject" },
    { 0x3A6E, "resetbombzone" },
    { 0x3A6F, "defusing" },
    { 0x3A70, "timepausestart" },
    { 0x3A71, "destroyedobject" },
    { 0x3A72, "bombhandler" },
    { 0x3A73, "playdemolitiontickingsound" },
    { 0x3A74, "waittime" },
    { 0x3A75, "setbombtimerdvar" },
    { 0x3A76, "dropbombmodel" },
    { 0x3A77, "restarttimer" },
    { 0x3A78, "skipwait" },
    { 0x3A79, "isvip" },
    { 0x3A7A, "vip_endgame" },
    { 0x3A7B, "vipselection" },
    { 0x3A7C, "setupvip" },
    { 0x3A7D, "extractionzone" },
    { 0x3A7E, "setvipuse" },
    { 0x3A7F, "handletimer" },
    { 0x3A80, "extractiontime" },
    { 0x3A81, "forcevipspawn" },
    { 0x3A82, "gtnw_endgame" },
    { 0x3A83, "usebar" },
    { 0x3A84, "usebartext" },
    { 0x3A85, "setupnukesite" },
    { 0x3A86, "nukesite" },
    { 0x3A87, "endgametime" },
    { 0x3A88, "scorecounter" },
    { 0x3A89, "activatenuke" },
    { 0x3A8A, "setusebarscore" },
    { 0x3A8B, "updatehudelems" },
    { 0x3A8C, "aamissilelaunchvert" },
    { 0x3A8D, "aamissilelaunchhorz" },
    { 0x3A8E, "aamissilelaunchtargetdist" },
    { 0x3A8F, "tryuseaamissile" },
    { 0x3A90, "gettargets" },
    { 0x3A91, "aa_missile_fire" },
    { 0x3A92, "aammissilelaunchtargetdist" },
    { 0x3A93, "teamairdenied" },
    { 0x3A94, "tryuseaastrike" },
    { 0x3A95, "cycletargets" },
    { 0x3A96, "findtargets" },
    { 0x3A97, "earlyabortwatcher" },
    { 0x3A98, "airdeniedplayer" },
    { 0x3A99, "finishaastrike" },
    { 0x3A9A, "fireattarget" },
    { 0x3A9B, "aasoundmanager" },
//  { 0x3A9C, "" },
//  { 0x3A9D, "" },
    { 0x3A9E, "tweakfile" },
    { 0x3A9F, "damagetype" },
    { 0x3AA0, "audio_settings" },
//  { 0x3AA1, "" },
//  { 0x3AA2, "" },
//  { 0x3AA3, "" },
//  { 0x3AA4, "" },
//  { 0x3AA5, "" },
//  { 0x3AA6, "" },
//  { 0x3AA7, "" },
//  { 0x3AA8, "" },
//  { 0x3AA9, "" },
//  { 0x3AAA, "" },
//  { 0x3AAB, "" },
//  { 0x3AAC, "" },
//  { 0x3AAD, "" },
//  { 0x3AAE, "" },
//  { 0x3AAF, "" },
//  { 0x3AB0, "" },
//  { 0x3AB1, "" },
//  { 0x3AB2, "" },
//  { 0x3AB3, "" },
//  { 0x3AB4, "" },
//  { 0x3AB5, "" },
//  { 0x3AB6, "" },
//  { 0x3AB7, "" },
//  { 0x3AB8, "" },
//  { 0x3AB9, "" },
//  { 0x3ABA, "" },
//  { 0x3ABB, "" },
//  { 0x3ABC, "" },
//  { 0x3ABD, "" },
//  { 0x3ABE, "" },
//  { 0x3ABF, "" },
//  { 0x3AC0, "" },
//  { 0x3AC1, "" },
//  { 0x3AC2, "" },
//  { 0x3AC3, "" },
//  { 0x3AC4, "" },
//  { 0x3AC5, "" },
//  { 0x3AC6, "" },
//  { 0x3AC7, "" },
//  { 0x3AC8, "" },
//  { 0x3AC9, "" },
//  { 0x3ACA, "" },
//  { 0x3ACB, "" },
//  { 0x3ACC, "" },
//  { 0x3ACD, "" },
//  { 0x3ACE, "" },
//  { 0x3ACF, "" },
//  { 0x3AD0, "" },
//  { 0x3AD1, "" },
//  { 0x3AD2, "" },
//  { 0x3AD3, "" },
//  { 0x3AD4, "" },
//  { 0x3AD5, "" },
//  { 0x3AD6, "" },
//  { 0x3AD7, "" },
//  { 0x3AD8, "" },
//  { 0x3AD9, "" },
//  { 0x3ADA, "" },
//  { 0x3ADB, "" },
//  { 0x3ADC, "" },
//  { 0x3ADD, "" },
//  { 0x3ADE, "" },
//  { 0x3ADF, "" },
//  { 0x3AE0, "" },
//  { 0x3AE1, "" },
//  { 0x3AE2, "" },
//  { 0x3AE3, "" },
//  { 0x3AE4, "" },
//  { 0x3AE5, "" },
//  { 0x3AE6, "" },
//  { 0x3AE7, "" },
//  { 0x3AE8, "" },
//  { 0x3AE9, "" },
//  { 0x3AEA, "" },
//  { 0x3AEB, "" },
//  { 0x3AEC, "" },
//  { 0x3AED, "" },
//  { 0x3AEE, "" },
//  { 0x3AEF, "" },
//  { 0x3AF0, "" },
//  { 0x3AF1, "" },
//  { 0x3AF2, "" },
//  { 0x3AF3, "" },
//  { 0x3AF4, "" },
//  { 0x3AF5, "" },
//  { 0x3AF6, "" },
//  { 0x3AF7, "" },
//  { 0x3AF8, "" },
//  { 0x3AF9, "" },
//  { 0x3AFA, "" },
//  { 0x3AFB, "" },
//  { 0x3AFC, "" },
//  { 0x3AFD, "" },
//  { 0x3AFE, "" },
//  { 0x3AFF, "" },
//  { 0x3B00, "" },
//  { 0x3B01, "" },
//  { 0x3B02, "" },
    { 0x3B03, "meleeingplayer" },
//  { 0x3B04, "" },
//  { 0x3B05, "" },
//  { 0x3B06, "" },
//  { 0x3B07, "" },
//  { 0x3B08, "" },
//  { 0x3B09, "" },
//  { 0x3B0A, "" },
//  { 0x3B0B, "" },
//  { 0x3B0C, "" },
//  { 0x3B0D, "" },
//  { 0x3B0E, "" },
//  { 0x3B0F, "" },
//  { 0x3B10, "" },
//  { 0x3B11, "" },
//  { 0x3B12, "" },
//  { 0x3B13, "" },
//  { 0x3B14, "" },
//  { 0x3B15, "" },
//  { 0x3B16, "" },
//  { 0x3B17, "" },
//  { 0x3B18, "" },
//  { 0x3B19, "" },
//  { 0x3B1A, "" },
//  { 0x3B1B, "" },
//  { 0x3B1C, "" },
//  { 0x3B1D, "" },
//  { 0x3B1E, "" },
//  { 0x3B1F, "" },
//  { 0x3B20, "" },
//  { 0x3B21, "" },
//  { 0x3B22, "" },
//  { 0x3B23, "" },
//  { 0x3B24, "" },
//  { 0x3B25, "" },
//  { 0x3B26, "" },
//  { 0x3B27, "" },
//  { 0x3B28, "" },
//  { 0x3B29, "" },
//  { 0x3B2A, "" },
//  { 0x3B2B, "" },
//  { 0x3B2C, "" },
//  { 0x3B2D, "" },
//  { 0x3B2E, "" },
//  { 0x3B2F, "" },
//  { 0x3B30, "" },
//  { 0x3B31, "" },
//  { 0x3B32, "" },
//  { 0x3B33, "" },
//  { 0x3B34, "" },
//  { 0x3B35, "" },
//  { 0x3B36, "" },
//  { 0x3B37, "" },
//  { 0x3B38, "" },
//  { 0x3B39, "" },
//  { 0x3B3A, "" },
//  { 0x3B3B, "" },
//  { 0x3B3C, "" },
//  { 0x3B3D, "" },
//  { 0x3B3E, "" },
//  { 0x3B3F, "" },
//  { 0x3B40, "" },
//  { 0x3B41, "" },
//  { 0x3B42, "" },
//  { 0x3B43, "" },
//  { 0x3B44, "" },
//  { 0x3B45, "" },
//  { 0x3B46, "" },
//  { 0x3B47, "" },
//  { 0x3B48, "" },
//  { 0x3B49, "" },
//  { 0x3B4A, "" },
//  { 0x3B4B, "" },
//  { 0x3B4C, "" },
//  { 0x3B4D, "" },
//  { 0x3B4E, "" },
//  { 0x3B4F, "" },
//  { 0x3B50, "" },
//  { 0x3B51, "" },
//  { 0x3B52, "" },
//  { 0x3B53, "" },
//  { 0x3B54, "" },
//  { 0x3B55, "" },
//  { 0x3B56, "" },
//  { 0x3B57, "" },
//  { 0x3B58, "" },
//  { 0x3B59, "" },
//  { 0x3B5A, "" },
//  { 0x3B5B, "" },
//  { 0x3B5C, "" },
//  { 0x3B5D, "" },
//  { 0x3B5E, "" },
//  { 0x3B5F, "" },
//  { 0x3B60, "" },
//  { 0x3B61, "" },
//  { 0x3B62, "" },
//  { 0x3B63, "" },
//  { 0x3B64, "" },
//  { 0x3B65, "" },
//  { 0x3B66, "" },
//  { 0x3B67, "" },
//  { 0x3B68, "" },
//  { 0x3B69, "" },
//  { 0x3B6A, "" },
//  { 0x3B6B, "" },
//  { 0x3B6C, "" },
//  { 0x3B6D, "" },
//  { 0x3B6E, "" },
//  { 0x3B6F, "" },
//  { 0x3B70, "" },
//  { 0x3B71, "" },
//  { 0x3B72, "" },
//  { 0x3B73, "" },
//  { 0x3B74, "" },
//  { 0x3B75, "" },
//  { 0x3B76, "" },
//  { 0x3B77, "" },
//  { 0x3B78, "" },
//  { 0x3B79, "" },
//  { 0x3B7A, "" },
//  { 0x3B7B, "" },
//  { 0x3B7C, "" },
//  { 0x3B7D, "" },
//  { 0x3B7E, "" },
//  { 0x3B7F, "" },
//  { 0x3B80, "" },
//  { 0x3B81, "" },
//  { 0x3B82, "" },
//  { 0x3B83, "" },
//  { 0x3B84, "" },
//  { 0x3B85, "" },
//  { 0x3B86, "" },
//  { 0x3B87, "" },
//  { 0x3B88, "" },
//  { 0x3B89, "" },
//  { 0x3B8A, "" },
//  { 0x3B8B, "" },
//  { 0x3B8C, "" },
//  { 0x3B8D, "" },
//  { 0x3B8E, "" },
//  { 0x3B8F, "" },
//  { 0x3B90, "" },
//  { 0x3B91, "" },
//  { 0x3B92, "" },
//  { 0x3B93, "" },
//  { 0x3B94, "" },
//  { 0x3B95, "" },
//  { 0x3B96, "" },
//  { 0x3B97, "" },
//  { 0x3B98, "" },
//  { 0x3B99, "" },
//  { 0x3B9A, "" },
//  { 0x3B9B, "" },
//  { 0x3B9C, "" },
//  { 0x3B9D, "" },
//  { 0x3B9E, "" },
//  { 0x3B9F, "" },
//  { 0x3BA0, "" },
//  { 0x3BA1, "" },
//  { 0x3BA2, "" },
//  { 0x3BA3, "" },
//  { 0x3BA4, "" },
//  { 0x3BA5, "" },
//  { 0x3BA6, "" },
//  { 0x3BA7, "" },
//  { 0x3BA8, "" },
//  { 0x3BA9, "" },
//  { 0x3BAA, "" },
//  { 0x3BAB, "" },
//  { 0x3BAC, "" },
//  { 0x3BAD, "" },
//  { 0x3BAE, "" },
//  { 0x3BAF, "" },
//  { 0x3BB0, "" },
//  { 0x3BB1, "" },
//  { 0x3BB2, "" },
//  { 0x3BB3, "" },
//  { 0x3BB4, "" },
//  { 0x3BB5, "" },
//  { 0x3BB6, "" },
//  { 0x3BB7, "" },
//  { 0x3BB8, "" },
//  { 0x3BB9, "" },
//  { 0x3BBA, "" },
//  { 0x3BBB, "" },
//  { 0x3BBC, "" },
//  { 0x3BBD, "" },
//  { 0x3BBE, "" },
//  { 0x3BBF, "" },
//  { 0x3BC0, "" },
//  { 0x3BC1, "" },
//  { 0x3BC2, "" },
//  { 0x3BC3, "" },
//  { 0x3BC4, "" },
//  { 0x3BC5, "" },
//  { 0x3BC6, "" },
//  { 0x3BC7, "" },
//  { 0x3BC8, "" },
//  { 0x3BC9, "" },
//  { 0x3BCA, "" },
//  { 0x3BCB, "" },
//  { 0x3BCC, "" },
//  { 0x3BCD, "" },
//  { 0x3BCE, "" },
//  { 0x3BCF, "" },
//  { 0x3BD0, "" },
//  { 0x3BD1, "" },
//  { 0x3BD2, "" },
//  { 0x3BD3, "" },
//  { 0x3BD4, "" },
//  { 0x3BD5, "" },
//  { 0x3BD6, "" },
//  { 0x3BD7, "" },
//  { 0x3BD8, "" },
//  { 0x3BD9, "" },
//  { 0x3BDA, "" },
    { 0x3BDB, "vision_uav" },
//  { 0x3BDC, "" },
//  { 0x3BDD, "" },
//  { 0x3BDE, "" },
//  { 0x3BDF, "" },
//  { 0x3BE0, "" },
//  { 0x3BE1, "" },
//  { 0x3BE2, "" },
//  { 0x3BE3, "" },
//  { 0x3BE4, "" },
//  { 0x3BE5, "" },
//  { 0x3BE6, "" },
//  { 0x3BE7, "" },
//  { 0x3BE8, "" },
//  { 0x3BE9, "" },
//  { 0x3BEA, "" },
//  { 0x3BEB, "" },
//  { 0x3BEC, "" },
//  { 0x3BED, "" },
//  { 0x3BEE, "" },
//  { 0x3BEF, "" },
//  { 0x3BF0, "" },
//  { 0x3BF1, "" },
//  { 0x3BF2, "" },
//  { 0x3BF3, "" },
//  { 0x3BF4, "" },
//  { 0x3BF5, "" },
//  { 0x3BF6, "" },
//  { 0x3BF7, "" },
//  { 0x3BF8, "" },
//  { 0x3BF9, "" },
//  { 0x3BFA, "" },
//  { 0x3BFB, "" },
//  { 0x3BFC, "" },
//  { 0x3BFD, "" },
//  { 0x3BFE, "" },
//  { 0x3BFF, "" },
//  { 0x3C00, "" },
//  { 0x3C01, "" },
//  { 0x3C02, "" },
//  { 0x3C03, "" },
//  { 0x3C04, "" },
//  { 0x3C05, "" },
//  { 0x3C06, "" },
//  { 0x3C07, "" },
//  { 0x3C08, "" },
//  { 0x3C09, "" },
//  { 0x3C0A, "" },
//  { 0x3C0B, "" },
//  { 0x3C0C, "" },
//  { 0x3C0D, "" },
//  { 0x3C0E, "" },
//  { 0x3C0F, "" },
//  { 0x3C10, "" },
//  { 0x3C11, "" },
//  { 0x3C12, "" },
//  { 0x3C13, "" },
//  { 0x3C14, "" },
//  { 0x3C15, "" },
//  { 0x3C16, "" },
//  { 0x3C17, "" },
//  { 0x3C18, "" },
//  { 0x3C19, "" },
//  { 0x3C1A, "" },
//  { 0x3C1B, "" },
//  { 0x3C1C, "" },
//  { 0x3C1D, "" },
//  { 0x3C1E, "" },
//  { 0x3C1F, "" },
//  { 0x3C20, "" },
//  { 0x3C21, "" },
//  { 0x3C22, "" },
//  { 0x3C23, "" },
//  { 0x3C24, "" },
//  { 0x3C25, "" },
//  { 0x3C26, "" },
//  { 0x3C27, "" },
//  { 0x3C28, "" },
//  { 0x3C29, "" },
//  { 0x3C2A, "" },
//  { 0x3C2B, "" },
//  { 0x3C2C, "" },
//  { 0x3C2D, "" },
//  { 0x3C2E, "" },
//  { 0x3C2F, "" },
//  { 0x3C30, "" },
//  { 0x3C31, "" },
//  { 0x3C32, "" },
//  { 0x3C33, "" },
//  { 0x3C34, "" },
//  { 0x3C35, "" },
//  { 0x3C36, "" },
//  { 0x3C37, "" },
//  { 0x3C38, "" },
//  { 0x3C39, "" },
//  { 0x3C3A, "" },
//  { 0x3C3B, "" },
//  { 0x3C3C, "" },
//  { 0x3C3D, "" },
//  { 0x3C3E, "" },
//  { 0x3C3F, "" },
//  { 0x3C40, "" },
//  { 0x3C41, "" },
//  { 0x3C42, "" },
//  { 0x3C43, "" },
//  { 0x3C44, "" },
//  { 0x3C45, "" },
//  { 0x3C46, "" },
//  { 0x3C47, "" },
//  { 0x3C48, "" },
//  { 0x3C49, "" },
//  { 0x3C4A, "" },
//  { 0x3C4B, "" },
//  { 0x3C4C, "" },
//  { 0x3C4D, "" },
//  { 0x3C4E, "" },
//  { 0x3C4F, "" },
//  { 0x3C50, "" },
//  { 0x3C51, "" },
//  { 0x3C52, "" },
//  { 0x3C53, "" },
//  { 0x3C54, "" },
//  { 0x3C55, "" },
//  { 0x3C56, "" },
//  { 0x3C57, "" },
//  { 0x3C58, "" },
//  { 0x3C59, "" },
//  { 0x3C5A, "" },
//  { 0x3C5B, "" },
//  { 0x3C5C, "" },
//  { 0x3C5D, "" },
//  { 0x3C5E, "" },
//  { 0x3C5F, "" },
//  { 0x3C60, "" },
//  { 0x3C61, "" },
//  { 0x3C62, "" },
//  { 0x3C63, "" },
//  { 0x3C64, "" },
//  { 0x3C65, "" },
//  { 0x3C66, "" },
//  { 0x3C67, "" },
//  { 0x3C68, "" },
//  { 0x3C69, "" },
//  { 0x3C6A, "" },
//  { 0x3C6B, "" },
//  { 0x3C6C, "" },
//  { 0x3C6D, "" },
//  { 0x3C6E, "" },
//  { 0x3C6F, "" },
//  { 0x3C70, "" },
//  { 0x3C71, "" },
//  { 0x3C72, "" },
//  { 0x3C73, "" },
//  { 0x3C74, "" },
//  { 0x3C75, "" },
//  { 0x3C76, "" },
//  { 0x3C77, "" },
//  { 0x3C78, "" },
//  { 0x3C79, "" },
//  { 0x3C7A, "" },
//  { 0x3C7B, "" },
//  { 0x3C7C, "" },
//  { 0x3C7D, "" },
//  { 0x3C7E, "" },
//  { 0x3C7F, "" },
//  { 0x3C80, "" },
//  { 0x3C81, "" },
//  { 0x3C82, "" },
//  { 0x3C83, "" },
//  { 0x3C84, "" },
//  { 0x3C85, "" },
//  { 0x3C86, "" },
//  { 0x3C87, "" },
//  { 0x3C88, "" },
//  { 0x3C89, "" },
//  { 0x3C8A, "" },
//  { 0x3C8B, "" },
//  { 0x3C8C, "" },
//  { 0x3C8D, "" },
//  { 0x3C8E, "" },
//  { 0x3C8F, "" },
//  { 0x3C90, "" },
//  { 0x3C91, "" },
//  { 0x3C92, "" },
//  { 0x3C93, "" },
//  { 0x3C94, "" },
//  { 0x3C95, "" },
//  { 0x3C96, "" },
//  { 0x3C97, "" },
//  { 0x3C98, "" },
//  { 0x3C99, "" },
//  { 0x3C9A, "" },
//  { 0x3C9B, "" },
//  { 0x3C9C, "" },
//  { 0x3C9D, "" },
//  { 0x3C9E, "" },
//  { 0x3C9F, "" },
//  { 0x3CA0, "" },
//  { 0x3CA1, "" },
//  { 0x3CA2, "" },
//  { 0x3CA3, "" },
//  { 0x3CA4, "" },
//  { 0x3CA5, "" },
//  { 0x3CA6, "" },
//  { 0x3CA7, "" },
//  { 0x3CA8, "" },
//  { 0x3CA9, "" },
//  { 0x3CAA, "" },
//  { 0x3CAB, "" },
//  { 0x3CAC, "" },
//  { 0x3CAD, "" },
//  { 0x3CAE, "" },
//  { 0x3CAF, "" },
//  { 0x3CB0, "" },
//  { 0x3CB1, "" },
//  { 0x3CB2, "" },
//  { 0x3CB3, "" },
//  { 0x3CB4, "" },
//  { 0x3CB5, "" },
//  { 0x3CB6, "" },
//  { 0x3CB7, "" },
//  { 0x3CB8, "" },
//  { 0x3CB9, "" },
//  { 0x3CBA, "" },
//  { 0x3CBB, "" },
//  { 0x3CBC, "" },
//  { 0x3CBD, "" },
//  { 0x3CBE, "" },
//  { 0x3CBF, "" },
//  { 0x3CC0, "" },
//  { 0x3CC1, "" },
//  { 0x3CC2, "" },
//  { 0x3CC3, "" },
//  { 0x3CC4, "" },
//  { 0x3CC5, "" },
//  { 0x3CC6, "" },
//  { 0x3CC7, "" },
//  { 0x3CC8, "" },
//  { 0x3CC9, "" },
//  { 0x3CCA, "" },
//  { 0x3CCB, "" },
//  { 0x3CCC, "" },
//  { 0x3CCD, "" },
//  { 0x3CCE, "" },
//  { 0x3CCF, "" },
//  { 0x3CD0, "" },
//  { 0x3CD1, "" },
//  { 0x3CD2, "" },
//  { 0x3CD3, "" },
//  { 0x3CD4, "" },
//  { 0x3CD5, "" },
//  { 0x3CD6, "" },
//  { 0x3CD7, "" },
//  { 0x3CD8, "" },
//  { 0x3CD9, "" },
//  { 0x3CDA, "" },
//  { 0x3CDB, "" },
//  { 0x3CDC, "" },
//  { 0x3CDD, "" },
//  { 0x3CDE, "" },
//  { 0x3CDF, "" },
//  { 0x3CE0, "" },
//  { 0x3CE1, "" },
//  { 0x3CE2, "" },
//  { 0x3CE3, "" },
//  { 0x3CE4, "" },
//  { 0x3CE5, "" },
//  { 0x3CE6, "" },
//  { 0x3CE7, "" },
//  { 0x3CE8, "" },
//  { 0x3CE9, "" },
//  { 0x3CEA, "" },
//  { 0x3CEB, "" },
//  { 0x3CEC, "" },
//  { 0x3CED, "" },
//  { 0x3CEE, "" },
//  { 0x3CEF, "" },
//  { 0x3CF0, "" },
//  { 0x3CF1, "" },
//  { 0x3CF2, "" },
//  { 0x3CF3, "" },
//  { 0x3CF4, "" },
//  { 0x3CF5, "" },
//  { 0x3CF6, "" },
//  { 0x3CF7, "" },
//  { 0x3CF8, "" },
//  { 0x3CF9, "" },
//  { 0x3CFA, "" },
//  { 0x3CFB, "" },
//  { 0x3CFC, "" },
//  { 0x3CFD, "" },
//  { 0x3CFE, "" },
//  { 0x3CFF, "" },
//  { 0x3D00, "" },
//  { 0x3D01, "" },
//  { 0x3D02, "" },
//  { 0x3D03, "" },
//  { 0x3D04, "" },
//  { 0x3D05, "" },
//  { 0x3D06, "" },
//  { 0x3D07, "" },
//  { 0x3D08, "" },
//  { 0x3D09, "" },
//  { 0x3D0A, "" },
//  { 0x3D0B, "" },
//  { 0x3D0C, "" },
//  { 0x3D0D, "" },
//  { 0x3D0E, "" },
//  { 0x3D0F, "" },
//  { 0x3D10, "" },
//  { 0x3D11, "" },
//  { 0x3D12, "" },
//  { 0x3D13, "" },
//  { 0x3D14, "" },
//  { 0x3D15, "" },
//  { 0x3D16, "" },
//  { 0x3D17, "" },
//  { 0x3D18, "" },
//  { 0x3D19, "" },
//  { 0x3D1A, "" },
//  { 0x3D1B, "" },
//  { 0x3D1C, "" },
//  { 0x3D1D, "" },
//  { 0x3D1E, "" },
//  { 0x3D1F, "" },
//  { 0x3D20, "" },
//  { 0x3D21, "" },
//  { 0x3D22, "" },
//  { 0x3D23, "" },
//  { 0x3D24, "" },
//  { 0x3D25, "" },
//  { 0x3D26, "" },
//  { 0x3D27, "" },
//  { 0x3D28, "" },
//  { 0x3D29, "" },
//  { 0x3D2A, "" },
//  { 0x3D2B, "" },
//  { 0x3D2C, "" },
//  { 0x3D2D, "" },
//  { 0x3D2E, "" },
//  { 0x3D2F, "" },
//  { 0x3D30, "" },
//  { 0x3D31, "" },
//  { 0x3D32, "" },
//  { 0x3D33, "" },
//  { 0x3D34, "" },
//  { 0x3D35, "" },
//  { 0x3D36, "" },
//  { 0x3D37, "" },
//  { 0x3D38, "" },
//  { 0x3D39, "" },
//  { 0x3D3A, "" },
//  { 0x3D3B, "" },
//  { 0x3D3C, "" },
//  { 0x3D3D, "" },
//  { 0x3D3E, "" },
//  { 0x3D3F, "" },
//  { 0x3D40, "" },
//  { 0x3D41, "" },
    { 0x3D42, "wave_table" },
//  { 0x3D43, "" },
//  { 0x3D44, "" },
//  { 0x3D45, "" },
//  { 0x3D46, "" },
//  { 0x3D47, "" },
//  { 0x3D48, "" },
//  { 0x3D49, "" },
//  { 0x3D4A, "" },
//  { 0x3D4B, "" },
//  { 0x3D4C, "" },
//  { 0x3D4D, "" },
//  { 0x3D4E, "" },
//  { 0x3D4F, "" },
//  { 0x3D50, "" },
//  { 0x3D51, "" },
//  { 0x3D52, "" },
//  { 0x3D53, "" },
//  { 0x3D54, "" },
//  { 0x3D55, "" },
//  { 0x3D56, "" },
//  { 0x3D57, "" },
//  { 0x3D58, "" },
//  { 0x3D59, "" },
//  { 0x3D5A, "" },
//  { 0x3D5B, "" },
//  { 0x3D5C, "" },
//  { 0x3D5D, "" },
//  { 0x3D5E, "" },
//  { 0x3D5F, "" },
//  { 0x3D60, "" },
//  { 0x3D61, "" },
//  { 0x3D62, "" },
//  { 0x3D63, "" },
//  { 0x3D64, "" },
//  { 0x3D65, "" },
//  { 0x3D66, "" },
//  { 0x3D67, "" },
//  { 0x3D68, "" },
//  { 0x3D69, "" },
//  { 0x3D6A, "" },
//  { 0x3D6B, "" },
//  { 0x3D6C, "" },
//  { 0x3D6D, "" },
//  { 0x3D6E, "" },
//  { 0x3D6F, "" },
//  { 0x3D70, "" },
//  { 0x3D71, "" },
//  { 0x3D72, "" },
//  { 0x3D73, "" },
//  { 0x3D74, "" },
//  { 0x3D75, "" },
//  { 0x3D76, "" },
//  { 0x3D77, "" },
//  { 0x3D78, "" },
//  { 0x3D79, "" },
//  { 0x3D7A, "" },
//  { 0x3D7B, "" },
//  { 0x3D7C, "" },
//  { 0x3D7D, "" },
//  { 0x3D7E, "" },
//  { 0x3D7F, "" },
//  { 0x3D80, "" },
//  { 0x3D81, "" },
//  { 0x3D82, "" },
//  { 0x3D83, "" },
//  { 0x3D84, "" },
//  { 0x3D85, "" },
//  { 0x3D86, "" },
//  { 0x3D87, "" },
//  { 0x3D88, "" },
//  { 0x3D89, "" },
//  { 0x3D8A, "" },
//  { 0x3D8B, "" },
//  { 0x3D8C, "" },
//  { 0x3D8D, "" },
//  { 0x3D8E, "" },
//  { 0x3D8F, "" },
//  { 0x3D90, "" },
//  { 0x3D91, "" },
//  { 0x3D92, "" },
//  { 0x3D93, "" },
//  { 0x3D94, "" },
//  { 0x3D95, "" },
//  { 0x3D96, "" },
//  { 0x3D97, "" },
//  { 0x3D98, "" },
//  { 0x3D99, "" },
//  { 0x3D9A, "" },
//  { 0x3D9B, "" },
//  { 0x3D9C, "" },
//  { 0x3D9D, "" },
//  { 0x3D9E, "" },
//  { 0x3D9F, "" },
//  { 0x3DA0, "" },
//  { 0x3DA1, "" },
//  { 0x3DA2, "" },
//  { 0x3DA3, "" },
//  { 0x3DA4, "" },
//  { 0x3DA5, "" },
//  { 0x3DA6, "" },
//  { 0x3DA7, "" },
//  { 0x3DA8, "" },
//  { 0x3DA9, "" },
//  { 0x3DAA, "" },
//  { 0x3DAB, "" },
//  { 0x3DAC, "" },
//  { 0x3DAD, "" },
//  { 0x3DAE, "" },
//  { 0x3DAF, "" },
//  { 0x3DB0, "" },
//  { 0x3DB1, "" },
//  { 0x3DB2, "" },
//  { 0x3DB3, "" },
//  { 0x3DB4, "" },
//  { 0x3DB5, "" },
//  { 0x3DB6, "" },
//  { 0x3DB7, "" },
//  { 0x3DB8, "" },
//  { 0x3DB9, "" },
//  { 0x3DBA, "" },
//  { 0x3DBB, "" },
//  { 0x3DBC, "" },
//  { 0x3DBD, "" },
//  { 0x3DBE, "" },
//  { 0x3DBF, "" },
//  { 0x3DC0, "" },
//  { 0x3DC1, "" },
//  { 0x3DC2, "" },
//  { 0x3DC3, "" },
//  { 0x3DC4, "" },
//  { 0x3DC5, "" },
//  { 0x3DC6, "" },
//  { 0x3DC7, "" },
//  { 0x3DC8, "" },
//  { 0x3DC9, "" },
//  { 0x3DCA, "" },
//  { 0x3DCB, "" },
//  { 0x3DCC, "" },
//  { 0x3DCD, "" },
//  { 0x3DCE, "" },
//  { 0x3DCF, "" },
//  { 0x3DD0, "" },
//  { 0x3DD1, "" },
//  { 0x3DD2, "" },
//  { 0x3DD3, "" },
//  { 0x3DD4, "" },
//  { 0x3DD5, "" },
//  { 0x3DD6, "" },
//  { 0x3DD7, "" },
//  { 0x3DD8, "" },
//  { 0x3DD9, "" },
//  { 0x3DDA, "" },
//  { 0x3DDB, "" },
//  { 0x3DDC, "" },
//  { 0x3DDD, "" },
//  { 0x3DDE, "" },
//  { 0x3DDF, "" },
//  { 0x3DE0, "" },
//  { 0x3DE1, "" },
//  { 0x3DE2, "" },
//  { 0x3DE3, "" },
//  { 0x3DE4, "" },
//  { 0x3DE5, "" },
//  { 0x3DE6, "" },
//  { 0x3DE7, "" },
//  { 0x3DE8, "" },
//  { 0x3DE9, "" },
//  { 0x3DEA, "" },
//  { 0x3DEB, "" },
//  { 0x3DEC, "" },
//  { 0x3DED, "" },
//  { 0x3DEE, "" },
//  { 0x3DEF, "" },
//  { 0x3DF0, "" },
//  { 0x3DF1, "" },
//  { 0x3DF2, "" },
//  { 0x3DF3, "" },
//  { 0x3DF4, "" },
//  { 0x3DF5, "" },
//  { 0x3DF6, "" },
//  { 0x3DF7, "" },
//  { 0x3DF8, "" },
//  { 0x3DF9, "" },
//  { 0x3DFA, "" },
//  { 0x3DFB, "" },
//  { 0x3DFC, "" },
//  { 0x3DFD, "" },
//  { 0x3DFE, "" },
//  { 0x3DFF, "" },
//  { 0x3E00, "" },
//  { 0x3E01, "" },
//  { 0x3E02, "" },
//  { 0x3E03, "" },
//  { 0x3E04, "" },
//  { 0x3E05, "" },
//  { 0x3E06, "" },
//  { 0x3E07, "" },
//  { 0x3E08, "" },
//  { 0x3E09, "" },
//  { 0x3E0A, "" },
//  { 0x3E0B, "" },
//  { 0x3E0C, "" },
//  { 0x3E0D, "" },
//  { 0x3E0E, "" },
//  { 0x3E0F, "" },
//  { 0x3E10, "" },
//  { 0x3E11, "" },
//  { 0x3E12, "" },
//  { 0x3E13, "" },
//  { 0x3E14, "" },
//  { 0x3E15, "" },
//  { 0x3E16, "" },
//  { 0x3E17, "" },
//  { 0x3E18, "" },
//  { 0x3E19, "" },
//  { 0x3E1A, "" },
//  { 0x3E1B, "" },
//  { 0x3E1C, "" },
//  { 0x3E1D, "" },
//  { 0x3E1E, "" },
//  { 0x3E1F, "" },
//  { 0x3E20, "" },
//  { 0x3E21, "" },
//  { 0x3E22, "" },
//  { 0x3E23, "" },
//  { 0x3E24, "" },
//  { 0x3E25, "" },
//  { 0x3E26, "" },
//  { 0x3E27, "" },
//  { 0x3E28, "" },
//  { 0x3E29, "" },
//  { 0x3E2A, "" },
//  { 0x3E2B, "" },
//  { 0x3E2C, "" },
//  { 0x3E2D, "" },
//  { 0x3E2E, "" },
//  { 0x3E2F, "" },
//  { 0x3E30, "" },
//  { 0x3E31, "" },
//  { 0x3E32, "" },
//  { 0x3E33, "" },
//  { 0x3E34, "" },
//  { 0x3E35, "" },
//  { 0x3E36, "" },
//  { 0x3E37, "" },
//  { 0x3E38, "" },
//  { 0x3E39, "" },
//  { 0x3E3A, "" },
//  { 0x3E3B, "" },
//  { 0x3E3C, "" },
//  { 0x3E3D, "" },
//  { 0x3E3E, "" },
//  { 0x3E3F, "" },
//  { 0x3E40, "" },
//  { 0x3E41, "" },
//  { 0x3E42, "" },
//  { 0x3E43, "" },
//  { 0x3E44, "" },
//  { 0x3E45, "" },
//  { 0x3E46, "" },
//  { 0x3E47, "" },
//  { 0x3E48, "" },
//  { 0x3E49, "" },
//  { 0x3E4A, "" },
//  { 0x3E4B, "" },
//  { 0x3E4C, "" },
//  { 0x3E4D, "" },
//  { 0x3E4E, "" },
//  { 0x3E4F, "" },
//  { 0x3E50, "" },
//  { 0x3E51, "" },
//  { 0x3E52, "" },
//  { 0x3E53, "" },
//  { 0x3E54, "" },
//  { 0x3E55, "" },
//  { 0x3E56, "" },
//  { 0x3E57, "" },
//  { 0x3E58, "" },
//  { 0x3E59, "" },
//  { 0x3E5A, "" },
//  { 0x3E5B, "" },
//  { 0x3E5C, "" },
//  { 0x3E5D, "" },
//  { 0x3E5E, "" },
//  { 0x3E5F, "" },
//  { 0x3E60, "" },
//  { 0x3E61, "" },
//  { 0x3E62, "" },
//  { 0x3E63, "" },
//  { 0x3E64, "" },
    { 0x3E65, "maps/createfx/rescue_2_fx" },
//  { 0x3E66, "" },
//  { 0x3E67, "" },
//  { 0x3E68, "" },
//  { 0x3E69, "" },
//  { 0x3E6A, "" },
//  { 0x3E6B, "" },
//  { 0x3E6C, "" },
//  { 0x3E6D, "" },
//  { 0x3E6E, "" },
//  { 0x3E6F, "" },
//  { 0x3E70, "" },
//  { 0x3E71, "" },
//  { 0x3E72, "" },
//  { 0x3E73, "" },
//  { 0x3E74, "" },
//  { 0x3E75, "" },
//  { 0x3E76, "" },
//  { 0x3E77, "" },
    { 0x3E78, "maps/_readystand_anims" },
//  { 0x3E79, "" },
//  { 0x3E7A, "" },
//  { 0x3E7B, "" },
//  { 0x3E7C, "" },
//  { 0x3E7D, "" },
//  { 0x3E7E, "" },
//  { 0x3E7F, "" },
//  { 0x3E80, "" },
//  { 0x3E81, "" },
//  { 0x3E82, "" },
//  { 0x3E83, "" },
//  { 0x3E84, "" },
//  { 0x3E85, "" },
//  { 0x3E86, "" },
//  { 0x3E87, "" },
//  { 0x3E88, "" },
//  { 0x3E89, "" },
//  { 0x3E8A, "" },
//  { 0x3E8B, "" },
//  { 0x3E8C, "" },
//  { 0x3E8D, "" },
//  { 0x3E8E, "" },
//  { 0x3E8F, "" },
//  { 0x3E90, "" },
//  { 0x3E91, "" },
//  { 0x3E92, "" },
//  { 0x3E93, "" },
//  { 0x3E94, "" },
//  { 0x3E95, "" },
//  { 0x3E96, "" },
//  { 0x3E97, "" },
//  { 0x3E98, "" },
//  { 0x3E99, "" },
//  { 0x3E9A, "" },
//  { 0x3E9B, "" },
//  { 0x3E9C, "" },
//  { 0x3E9D, "" },
//  { 0x3E9E, "" },
//  { 0x3E9F, "" },
//  { 0x3EA0, "" },
//  { 0x3EA1, "" },
//  { 0x3EA2, "" },
//  { 0x3EA3, "" },
//  { 0x3EA4, "" },
//  { 0x3EA5, "" },
//  { 0x3EA6, "" },
//  { 0x3EA7, "" },
//  { 0x3EA8, "" },
//  { 0x3EA9, "" },
//  { 0x3EAA, "" },
//  { 0x3EAB, "" },
//  { 0x3EAC, "" },
//  { 0x3EAD, "" },
//  { 0x3EAE, "" },
//  { 0x3EAF, "" },
//  { 0x3EB0, "" },
//  { 0x3EB1, "" },
//  { 0x3EB2, "" },
//  { 0x3EB3, "" },
//  { 0x3EB4, "" },
//  { 0x3EB5, "" },
//  { 0x3EB6, "" },
//  { 0x3EB7, "" },
//  { 0x3EB8, "" },
//  { 0x3EB9, "" },
//  { 0x3EBA, "" },
//  { 0x3EBB, "" },
//  { 0x3EBC, "" },
//  { 0x3EBD, "" },
//  { 0x3EBE, "" },
//  { 0x3EBF, "" },
//  { 0x3EC0, "" },
//  { 0x3EC1, "" },
//  { 0x3EC2, "" },
//  { 0x3EC3, "" },
//  { 0x3EC4, "" },
//  { 0x3EC5, "" },
//  { 0x3EC6, "" },
//  { 0x3EC7, "" },
//  { 0x3EC8, "" },
//  { 0x3EC9, "" },
//  { 0x3ECA, "" },
//  { 0x3ECB, "" },
//  { 0x3ECC, "" },
//  { 0x3ECD, "" },
//  { 0x3ECE, "" },
//  { 0x3ECF, "" },
//  { 0x3ED0, "" },
//  { 0x3ED1, "" },
//  { 0x3ED2, "" },
//  { 0x3ED3, "" },
//  { 0x3ED4, "" },
//  { 0x3ED5, "" },
//  { 0x3ED6, "" },
//  { 0x3ED7, "" },
//  { 0x3ED8, "" },
//  { 0x3ED9, "" },
//  { 0x3EDA, "" },
//  { 0x3EDB, "" },
//  { 0x3EDC, "" },
//  { 0x3EDD, "" },
//  { 0x3EDE, "" },
//  { 0x3EDF, "" },
//  { 0x3EE0, "" },
//  { 0x3EE1, "" },
//  { 0x3EE2, "" },
//  { 0x3EE3, "" },
//  { 0x3EE4, "" },
//  { 0x3EE5, "" },
//  { 0x3EE6, "" },
//  { 0x3EE7, "" },
//  { 0x3EE8, "" },
//  { 0x3EE9, "" },
//  { 0x3EEA, "" },
//  { 0x3EEB, "" },
//  { 0x3EEC, "" },
//  { 0x3EED, "" },
//  { 0x3EEE, "" },
//  { 0x3EEF, "" },
//  { 0x3EF0, "" },
//  { 0x3EF1, "" },
//  { 0x3EF2, "" },
//  { 0x3EF3, "" },
//  { 0x3EF4, "" },
//  { 0x3EF5, "" },
//  { 0x3EF6, "" },
//  { 0x3EF7, "" },
//  { 0x3EF8, "" },
//  { 0x3EF9, "" },
//  { 0x3EFA, "" },
//  { 0x3EFB, "" },
//  { 0x3EFC, "" },
//  { 0x3EFD, "" },
//  { 0x3EFE, "" },
//  { 0x3EFF, "" },
//  { 0x3F00, "" },
//  { 0x3F01, "" },
//  { 0x3F02, "" },
//  { 0x3F03, "" },
//  { 0x3F04, "" },
//  { 0x3F05, "" },
//  { 0x3F06, "" },
//  { 0x3F07, "" },
//  { 0x3F08, "" },
//  { 0x3F09, "" },
//  { 0x3F0A, "" },
//  { 0x3F0B, "" },
//  { 0x3F0C, "" },
//  { 0x3F0D, "" },
//  { 0x3F0E, "" },
//  { 0x3F0F, "" },
//  { 0x3F10, "" },
//  { 0x3F11, "" },
//  { 0x3F12, "" },
//  { 0x3F13, "" },
//  { 0x3F14, "" },
//  { 0x3F15, "" },
//  { 0x3F16, "" },
//  { 0x3F17, "" },
//  { 0x3F18, "" },
//  { 0x3F19, "" },
//  { 0x3F1A, "" },
//  { 0x3F1B, "" },
//  { 0x3F1C, "" },
//  { 0x3F1D, "" },
//  { 0x3F1E, "" },
//  { 0x3F1F, "" },
//  { 0x3F20, "" },
//  { 0x3F21, "" },
//  { 0x3F22, "" },
//  { 0x3F23, "" },
//  { 0x3F24, "" },
//  { 0x3F25, "" },
//  { 0x3F26, "" },
//  { 0x3F27, "" },
//  { 0x3F28, "" },
//  { 0x3F29, "" },
//  { 0x3F2A, "" },
//  { 0x3F2B, "" },
//  { 0x3F2C, "" },
//  { 0x3F2D, "" },
//  { 0x3F2E, "" },
//  { 0x3F2F, "" },
//  { 0x3F30, "" },
//  { 0x3F31, "" },
//  { 0x3F32, "" },
//  { 0x3F33, "" },
//  { 0x3F34, "" },
//  { 0x3F35, "" },
//  { 0x3F36, "" },
//  { 0x3F37, "" },
//  { 0x3F38, "" },
//  { 0x3F39, "" },
//  { 0x3F3A, "" },
//  { 0x3F3B, "" },
//  { 0x3F3C, "" },
//  { 0x3F3D, "" },
//  { 0x3F3E, "" },
//  { 0x3F3F, "" },
//  { 0x3F40, "" },
//  { 0x3F41, "" },
//  { 0x3F42, "" },
//  { 0x3F43, "" },
//  { 0x3F44, "" },
//  { 0x3F45, "" },
//  { 0x3F46, "" },
//  { 0x3F47, "" },
//  { 0x3F48, "" },
//  { 0x3F49, "" },
//  { 0x3F4A, "" },
//  { 0x3F4B, "" },
//  { 0x3F4C, "" },
//  { 0x3F4D, "" },
//  { 0x3F4E, "" },
//  { 0x3F4F, "" },
//  { 0x3F50, "" },
//  { 0x3F51, "" },
//  { 0x3F52, "" },
//  { 0x3F53, "" },
//  { 0x3F54, "" },
//  { 0x3F55, "" },
//  { 0x3F56, "" },
//  { 0x3F57, "" },
//  { 0x3F58, "" },
//  { 0x3F59, "" },
//  { 0x3F5A, "" },
//  { 0x3F5B, "" },
//  { 0x3F5C, "" },
//  { 0x3F5D, "" },
//  { 0x3F5E, "" },
//  { 0x3F5F, "" },
//  { 0x3F60, "" },
//  { 0x3F61, "" },
//  { 0x3F62, "" },
    { 0x3F63, "loadout_table" },
//  { 0x3F64, "" },
//  { 0x3F65, "" },
//  { 0x3F66, "" },
//  { 0x3F67, "" },
//  { 0x3F68, "" },
//  { 0x3F69, "" },
//  { 0x3F6A, "" },
//  { 0x3F6B, "" },
//  { 0x3F6C, "" },
//  { 0x3F6D, "" },
//  { 0x3F6E, "" },
//  { 0x3F6F, "" },
//  { 0x3F70, "" },
//  { 0x3F71, "" },
//  { 0x3F72, "" },
//  { 0x3F73, "" },
//  { 0x3F74, "" },
//  { 0x3F75, "" },
//  { 0x3F76, "" },
//  { 0x3F77, "" },
//  { 0x3F78, "" },
//  { 0x3F79, "" },
//  { 0x3F7A, "" },
//  { 0x3F7B, "" },
//  { 0x3F7C, "" },
//  { 0x3F7D, "" },
//  { 0x3F7E, "" },
//  { 0x3F7F, "" },
//  { 0x3F80, "" },
//  { 0x3F81, "" },
//  { 0x3F82, "" },
//  { 0x3F83, "" },
//  { 0x3F84, "" },
//  { 0x3F85, "" },
//  { 0x3F86, "" },
//  { 0x3F87, "" },
//  { 0x3F88, "" },
//  { 0x3F89, "" },
//  { 0x3F8A, "" },
//  { 0x3F8B, "" },
//  { 0x3F8C, "" },
//  { 0x3F8D, "" },
//  { 0x3F8E, "" },
//  { 0x3F8F, "" },
//  { 0x3F90, "" },
//  { 0x3F91, "" },
//  { 0x3F92, "" },
//  { 0x3F93, "" },
//  { 0x3F94, "" },
//  { 0x3F95, "" },
//  { 0x3F96, "" },
//  { 0x3F97, "" },
//  { 0x3F98, "" },
//  { 0x3F99, "" },
//  { 0x3F9A, "" },
//  { 0x3F9B, "" },
//  { 0x3F9C, "" },
//  { 0x3F9D, "" },
//  { 0x3F9E, "" },
//  { 0x3F9F, "" },
//  { 0x3FA0, "" },
//  { 0x3FA1, "" },
//  { 0x3FA2, "" },
//  { 0x3FA3, "" },
//  { 0x3FA4, "" },
//  { 0x3FA5, "" },
//  { 0x3FA6, "" },
//  { 0x3FA7, "" },
//  { 0x3FA8, "" },
//  { 0x3FA9, "" },
//  { 0x3FAA, "" },
//  { 0x3FAB, "" },
//  { 0x3FAC, "" },
//  { 0x3FAD, "" },
//  { 0x3FAE, "" },
//  { 0x3FAF, "" },
//  { 0x3FB0, "" },
//  { 0x3FB1, "" },
//  { 0x3FB2, "" },
//  { 0x3FB3, "" },
//  { 0x3FB4, "" },
//  { 0x3FB5, "" },
//  { 0x3FB6, "" },
//  { 0x3FB7, "" },
//  { 0x3FB8, "" },
//  { 0x3FB9, "" },
//  { 0x3FBA, "" },
//  { 0x3FBB, "" },
//  { 0x3FBC, "" },
//  { 0x3FBD, "" },
//  { 0x3FBE, "" },
//  { 0x3FBF, "" },
//  { 0x3FC0, "" },
//  { 0x3FC1, "" },
//  { 0x3FC2, "" },
//  { 0x3FC3, "" },
//  { 0x3FC4, "" },
//  { 0x3FC5, "" },
//  { 0x3FC6, "" },
//  { 0x3FC7, "" },
//  { 0x3FC8, "" },
//  { 0x3FC9, "" },
//  { 0x3FCA, "" },
//  { 0x3FCB, "" },
//  { 0x3FCC, "" },
//  { 0x3FCD, "" },
//  { 0x3FCE, "" },
//  { 0x3FCF, "" },
//  { 0x3FD0, "" },
//  { 0x3FD1, "" },
//  { 0x3FD2, "" },
//  { 0x3FD3, "" },
//  { 0x3FD4, "" },
//  { 0x3FD5, "" },
//  { 0x3FD6, "" },
//  { 0x3FD7, "" },
//  { 0x3FD8, "" },
//  { 0x3FD9, "" },
//  { 0x3FDA, "" },
//  { 0x3FDB, "" },
//  { 0x3FDC, "" },
//  { 0x3FDD, "" },
//  { 0x3FDE, "" },
//  { 0x3FDF, "" },
//  { 0x3FE0, "" },
//  { 0x3FE1, "" },
//  { 0x3FE2, "" },
//  { 0x3FE3, "" },
//  { 0x3FE4, "" },
//  { 0x3FE5, "" },
//  { 0x3FE6, "" },
//  { 0x3FE7, "" },
//  { 0x3FE8, "" },
//  { 0x3FE9, "" },
//  { 0x3FEA, "" },
//  { 0x3FEB, "" },
//  { 0x3FEC, "" },
//  { 0x3FED, "" },
//  { 0x3FEE, "" },
//  { 0x3FEF, "" },
//  { 0x3FF0, "" },
//  { 0x3FF1, "" },
//  { 0x3FF2, "" },
//  { 0x3FF3, "" },
//  { 0x3FF4, "" },
//  { 0x3FF5, "" },
//  { 0x3FF6, "" },
//  { 0x3FF7, "" },
//  { 0x3FF8, "" },
//  { 0x3FF9, "" },
//  { 0x3FFA, "" },
//  { 0x3FFB, "" },
//  { 0x3FFC, "" },
//  { 0x3FFD, "" },
//  { 0x3FFE, "" },
//  { 0x3FFF, "" },
//  { 0x4000, "" },
//  { 0x4001, "" },
//  { 0x4002, "" },
//  { 0x4003, "" },
//  { 0x4004, "" },
//  { 0x4005, "" },
//  { 0x4006, "" },
//  { 0x4007, "" },
//  { 0x4008, "" },
//  { 0x4009, "" },
//  { 0x400A, "" },
//  { 0x400B, "" },
//  { 0x400C, "" },
//  { 0x400D, "" },
//  { 0x400E, "" },
//  { 0x400F, "" },
//  { 0x4010, "" },
//  { 0x4011, "" },
//  { 0x4012, "" },
//  { 0x4013, "" },
//  { 0x4014, "" },
//  { 0x4015, "" },
//  { 0x4016, "" },
//  { 0x4017, "" },
//  { 0x4018, "" },
//  { 0x4019, "" },
//  { 0x401A, "" },
//  { 0x401B, "" },
//  { 0x401C, "" },
//  { 0x401D, "" },
//  { 0x401E, "" },
//  { 0x401F, "" },
//  { 0x4020, "" },
//  { 0x4021, "" },
//  { 0x4022, "" },
//  { 0x4023, "" },
//  { 0x4024, "" },
//  { 0x4025, "" },
//  { 0x4026, "" },
//  { 0x4027, "" },
//  { 0x4028, "" },
//  { 0x4029, "" },
//  { 0x402A, "" },
//  { 0x402B, "" },
//  { 0x402C, "" },
//  { 0x402D, "" },
//  { 0x402E, "" },
//  { 0x402F, "" },
//  { 0x4030, "" },
//  { 0x4031, "" },
//  { 0x4032, "" },
//  { 0x4033, "" },
//  { 0x4034, "" },
//  { 0x4035, "" },
//  { 0x4036, "" },
//  { 0x4037, "" },
//  { 0x4038, "" },
//  { 0x4039, "" },
//  { 0x403A, "" },
//  { 0x403B, "" },
//  { 0x403C, "" },
//  { 0x403D, "" },
//  { 0x403E, "" },
//  { 0x403F, "" },
//  { 0x4040, "" },
//  { 0x4041, "" },
//  { 0x4042, "" },
//  { 0x4043, "" },
//  { 0x4044, "" },
//  { 0x4045, "" },
//  { 0x4046, "" },
//  { 0x4047, "" },
//  { 0x4048, "" },
//  { 0x4049, "" },
//  { 0x404A, "" },
//  { 0x404B, "" },
//  { 0x404C, "" },
//  { 0x404D, "" },
//  { 0x404E, "" },
//  { 0x404F, "" },
//  { 0x4050, "" },
//  { 0x4051, "" },
//  { 0x4052, "" },
//  { 0x4053, "" },
//  { 0x4054, "" },
//  { 0x4055, "" },
//  { 0x4056, "" },
//  { 0x4057, "" },
//  { 0x4058, "" },
//  { 0x4059, "" },
//  { 0x405A, "" },
//  { 0x405B, "" },
//  { 0x405C, "" },
//  { 0x405D, "" },
//  { 0x405E, "" },
//  { 0x405F, "" },
//  { 0x4060, "" },
//  { 0x4061, "" },
//  { 0x4062, "" },
//  { 0x4063, "" },
//  { 0x4064, "" },
//  { 0x4065, "" },
//  { 0x4066, "" },
//  { 0x4067, "" },
//  { 0x4068, "" },
//  { 0x4069, "" },
//  { 0x406A, "" },
//  { 0x406B, "" },
//  { 0x406C, "" },
//  { 0x406D, "" },
//  { 0x406E, "" },
//  { 0x406F, "" },
//  { 0x4070, "" },
//  { 0x4071, "" },
//  { 0x4072, "" },
//  { 0x4073, "" },
//  { 0x4074, "" },
//  { 0x4075, "" },
//  { 0x4076, "" },
//  { 0x4077, "" },
//  { 0x4078, "" },
//  { 0x4079, "" },
//  { 0x407A, "" },
//  { 0x407B, "" },
//  { 0x407C, "" },
//  { 0x407D, "" },
//  { 0x407E, "" },
//  { 0x407F, "" },
//  { 0x4080, "" },
//  { 0x4081, "" },
//  { 0x4082, "" },
//  { 0x4083, "" },
//  { 0x4084, "" },
//  { 0x4085, "" },
//  { 0x4086, "" },
//  { 0x4087, "" },
//  { 0x4088, "" },
//  { 0x4089, "" },
//  { 0x408A, "" },
//  { 0x408B, "" },
//  { 0x408C, "" },
//  { 0x408D, "" },
//  { 0x408E, "" },
//  { 0x408F, "" },
//  { 0x4090, "" },
//  { 0x4091, "" },
//  { 0x4092, "" },
//  { 0x4093, "" },
//  { 0x4094, "" },
//  { 0x4095, "" },
//  { 0x4096, "" },
//  { 0x4097, "" },
//  { 0x4098, "" },
//  { 0x4099, "" },
//  { 0x409A, "" },
//  { 0x409B, "" },
//  { 0x409C, "" },
//  { 0x409D, "" },
//  { 0x409E, "" },
//  { 0x409F, "" },
//  { 0x40A0, "" },
//  { 0x40A1, "" },
//  { 0x40A2, "" },
//  { 0x40A3, "" },
//  { 0x40A4, "" },
//  { 0x40A5, "" },
//  { 0x40A6, "" },
//  { 0x40A7, "" },
//  { 0x40A8, "" },
//  { 0x40A9, "" },
//  { 0x40AA, "" },
//  { 0x40AB, "" },
//  { 0x40AC, "" },
//  { 0x40AD, "" },
//  { 0x40AE, "" },
//  { 0x40AF, "" },
//  { 0x40B0, "" },
//  { 0x40B1, "" },
//  { 0x40B2, "" },
//  { 0x40B3, "" },
//  { 0x40B4, "" },
//  { 0x40B5, "" },
//  { 0x40B6, "" },
//  { 0x40B7, "" },
//  { 0x40B8, "" },
//  { 0x40B9, "" },
//  { 0x40BA, "" },
//  { 0x40BB, "" },
//  { 0x40BC, "" },
//  { 0x40BD, "" },
//  { 0x40BE, "" },
//  { 0x40BF, "" },
//  { 0x40C0, "" },
//  { 0x40C1, "" },
//  { 0x40C2, "" },
//  { 0x40C3, "" },
//  { 0x40C4, "" },
//  { 0x40C5, "" },
//  { 0x40C6, "" },
//  { 0x40C7, "" },
//  { 0x40C8, "" },
//  { 0x40C9, "" },
//  { 0x40CA, "" },
//  { 0x40CB, "" },
//  { 0x40CC, "" },
//  { 0x40CD, "" },
//  { 0x40CE, "" },
//  { 0x40CF, "" },
//  { 0x40D0, "" },
//  { 0x40D1, "" },
//  { 0x40D2, "" },
//  { 0x40D3, "" },
//  { 0x40D4, "" },
//  { 0x40D5, "" },
//  { 0x40D6, "" },
//  { 0x40D7, "" },
//  { 0x40D8, "" },
//  { 0x40D9, "" },
//  { 0x40DA, "" },
//  { 0x40DB, "" },
//  { 0x40DC, "" },
//  { 0x40DD, "" },
//  { 0x40DE, "" },
//  { 0x40DF, "" },
//  { 0x40E0, "" },
//  { 0x40E1, "" },
//  { 0x40E2, "" },
//  { 0x40E3, "" },
//  { 0x40E4, "" },
//  { 0x40E5, "" },
//  { 0x40E6, "" },
//  { 0x40E7, "" },
//  { 0x40E8, "" },
//  { 0x40E9, "" },
//  { 0x40EA, "" },
//  { 0x40EB, "" },
//  { 0x40EC, "" },
//  { 0x40ED, "" },
//  { 0x40EE, "" },
//  { 0x40EF, "" },
//  { 0x40F0, "" },
//  { 0x40F1, "" },
//  { 0x40F2, "" },
//  { 0x40F3, "" },
//  { 0x40F4, "" },
//  { 0x40F5, "" },
//  { 0x40F6, "" },
//  { 0x40F7, "" },
//  { 0x40F8, "" },
//  { 0x40F9, "" },
//  { 0x40FA, "" },
//  { 0x40FB, "" },
//  { 0x40FC, "" },
//  { 0x40FD, "" },
//  { 0x40FE, "" },
//  { 0x40FF, "" },
//  { 0x4100, "" },
//  { 0x4101, "" },
//  { 0x4102, "" },
//  { 0x4103, "" },
//  { 0x4104, "" },
//  { 0x4105, "" },
//  { 0x4106, "" },
//  { 0x4107, "" },
//  { 0x4108, "" },
//  { 0x4109, "" },
//  { 0x410A, "" },
//  { 0x410B, "" },
//  { 0x410C, "" },
//  { 0x410D, "" },
//  { 0x410E, "" },
//  { 0x410F, "" },
//  { 0x4110, "" },
//  { 0x4111, "" },
//  { 0x4112, "" },
//  { 0x4113, "" },
//  { 0x4114, "" },
//  { 0x4115, "" },
//  { 0x4116, "" },
//  { 0x4117, "" },
//  { 0x4118, "" },
//  { 0x4119, "" },
//  { 0x411A, "" },
//  { 0x411B, "" },
//  { 0x411C, "" },
//  { 0x411D, "" },
//  { 0x411E, "" },
//  { 0x411F, "" },
//  { 0x4120, "" },
//  { 0x4121, "" },
//  { 0x4122, "" },
//  { 0x4123, "" },
//  { 0x4124, "" },
//  { 0x4125, "" },
//  { 0x4126, "" },
//  { 0x4127, "" },
//  { 0x4128, "" },
//  { 0x4129, "" },
//  { 0x412A, "" },
//  { 0x412B, "" },
//  { 0x412C, "" },
//  { 0x412D, "" },
//  { 0x412E, "" },
//  { 0x412F, "" },
//  { 0x4130, "" },
//  { 0x4131, "" },
//  { 0x4132, "" },
//  { 0x4133, "" },
//  { 0x4134, "" },
//  { 0x4135, "" },
//  { 0x4136, "" },
//  { 0x4137, "" },
//  { 0x4138, "" },
//  { 0x4139, "" },
//  { 0x413A, "" },
//  { 0x413B, "" },
//  { 0x413C, "" },
//  { 0x413D, "" },
//  { 0x413E, "" },
//  { 0x413F, "" },
//  { 0x4140, "" },
//  { 0x4141, "" },
//  { 0x4142, "" },
//  { 0x4143, "" },
//  { 0x4144, "" },
//  { 0x4145, "" },
//  { 0x4146, "" },
//  { 0x4147, "" },
//  { 0x4148, "" },
//  { 0x4149, "" },
//  { 0x414A, "" },
//  { 0x414B, "" },
//  { 0x414C, "" },
//  { 0x414D, "" },
//  { 0x414E, "" },
//  { 0x414F, "" },
//  { 0x4150, "" },
//  { 0x4151, "" },
//  { 0x4152, "" },
//  { 0x4153, "" },
//  { 0x4154, "" },
//  { 0x4155, "" },
//  { 0x4156, "" },
//  { 0x4157, "" },
//  { 0x4158, "" },
//  { 0x4159, "" },
//  { 0x415A, "" },
//  { 0x415B, "" },
//  { 0x415C, "" },
//  { 0x415D, "" },
//  { 0x415E, "" },
//  { 0x415F, "" },
//  { 0x4160, "" },
//  { 0x4161, "" },
//  { 0x4162, "" },
//  { 0x4163, "" },
//  { 0x4164, "" },
//  { 0x4165, "" },
//  { 0x4166, "" },
//  { 0x4167, "" },
//  { 0x4168, "" },
//  { 0x4169, "" },
//  { 0x416A, "" },
//  { 0x416B, "" },
//  { 0x416C, "" },
//  { 0x416D, "" },
//  { 0x416E, "" },
//  { 0x416F, "" },
//  { 0x4170, "" },
//  { 0x4171, "" },
//  { 0x4172, "" },
//  { 0x4173, "" },
//  { 0x4174, "" },
//  { 0x4175, "" },
//  { 0x4176, "" },
//  { 0x4177, "" },
//  { 0x4178, "" },
//  { 0x4179, "" },
//  { 0x417A, "" },
//  { 0x417B, "" },
//  { 0x417C, "" },
//  { 0x417D, "" },
//  { 0x417E, "" },
//  { 0x417F, "" },
//  { 0x4180, "" },
//  { 0x4181, "" },
//  { 0x4182, "" },
//  { 0x4183, "" },
//  { 0x4184, "" },
//  { 0x4185, "" },
//  { 0x4186, "" },
//  { 0x4187, "" },
//  { 0x4188, "" },
//  { 0x4189, "" },
//  { 0x418A, "" },
//  { 0x418B, "" },
//  { 0x418C, "" },
//  { 0x418D, "" },
//  { 0x418E, "" },
//  { 0x418F, "" },
//  { 0x4190, "" },
//  { 0x4191, "" },
//  { 0x4192, "" },
//  { 0x4193, "" },
//  { 0x4194, "" },
//  { 0x4195, "" },
//  { 0x4196, "" },
//  { 0x4197, "" },
//  { 0x4198, "" },
//  { 0x4199, "" },
//  { 0x419A, "" },
//  { 0x419B, "" },
//  { 0x419C, "" },
//  { 0x419D, "" },
//  { 0x419E, "" },
//  { 0x419F, "" },
//  { 0x41A0, "" },
//  { 0x41A1, "" },
//  { 0x41A2, "" },
//  { 0x41A3, "" },
//  { 0x41A4, "" },
//  { 0x41A5, "" },
//  { 0x41A6, "" },
//  { 0x41A7, "" },
//  { 0x41A8, "" },
//  { 0x41A9, "" },
//  { 0x41AA, "" },
//  { 0x41AB, "" },
//  { 0x41AC, "" },
//  { 0x41AD, "" },
//  { 0x41AE, "" },
//  { 0x41AF, "" },
//  { 0x41B0, "" },
//  { 0x41B1, "" },
//  { 0x41B2, "" },
//  { 0x41B3, "" },
//  { 0x41B4, "" },
//  { 0x41B5, "" },
//  { 0x41B6, "" },
//  { 0x41B7, "" },
//  { 0x41B8, "" },
//  { 0x41B9, "" },
//  { 0x41BA, "" },
//  { 0x41BB, "" },
//  { 0x41BC, "" },
//  { 0x41BD, "" },
//  { 0x41BE, "" },
//  { 0x41BF, "" },
//  { 0x41C0, "" },
//  { 0x41C1, "" },
//  { 0x41C2, "" },
//  { 0x41C3, "" },
//  { 0x41C4, "" },
//  { 0x41C5, "" },
//  { 0x41C6, "" },
//  { 0x41C7, "" },
//  { 0x41C8, "" },
//  { 0x41C9, "" },
//  { 0x41CA, "" },
//  { 0x41CB, "" },
//  { 0x41CC, "" },
//  { 0x41CD, "" },
//  { 0x41CE, "" },
//  { 0x41CF, "" },
//  { 0x41D0, "" },
//  { 0x41D1, "" },
//  { 0x41D2, "" },
//  { 0x41D3, "" },
//  { 0x41D4, "" },
//  { 0x41D5, "" },
//  { 0x41D6, "" },
//  { 0x41D7, "" },
//  { 0x41D8, "" },
//  { 0x41D9, "" },
//  { 0x41DA, "" },
//  { 0x41DB, "" },
//  { 0x41DC, "" },
//  { 0x41DD, "" },
//  { 0x41DE, "" },
//  { 0x41DF, "" },
//  { 0x41E0, "" },
//  { 0x41E1, "" },
//  { 0x41E2, "" },
//  { 0x41E3, "" },
//  { 0x41E4, "" },
//  { 0x41E5, "" },
//  { 0x41E6, "" },
//  { 0x41E7, "" },
//  { 0x41E8, "" },
//  { 0x41E9, "" },
//  { 0x41EA, "" },
//  { 0x41EB, "" },
//  { 0x41EC, "" },
//  { 0x41ED, "" },
//  { 0x41EE, "" },
//  { 0x41EF, "" },
//  { 0x41F0, "" },
//  { 0x41F1, "" },
//  { 0x41F2, "" },
//  { 0x41F3, "" },
//  { 0x41F4, "" },
//  { 0x41F5, "" },
//  { 0x41F6, "" },
//  { 0x41F7, "" },
//  { 0x41F8, "" },
//  { 0x41F9, "" },
//  { 0x41FA, "" },
//  { 0x41FB, "" },
//  { 0x41FC, "" },
//  { 0x41FD, "" },
//  { 0x41FE, "" },
//  { 0x41FF, "" },
//  { 0x4200, "" },
//  { 0x4201, "" },
//  { 0x4202, "" },
//  { 0x4203, "" },
//  { 0x4204, "" },
//  { 0x4205, "" },
//  { 0x4206, "" },
//  { 0x4207, "" },
//  { 0x4208, "" },
//  { 0x4209, "" },
//  { 0x420A, "" },
//  { 0x420B, "" },
//  { 0x420C, "" },
//  { 0x420D, "" },
//  { 0x420E, "" },
//  { 0x420F, "" },
//  { 0x4210, "" },
//  { 0x4211, "" },
//  { 0x4212, "" },
//  { 0x4213, "" },
//  { 0x4214, "" },
//  { 0x4215, "" },
//  { 0x4216, "" },
//  { 0x4217, "" },
//  { 0x4218, "" },
//  { 0x4219, "" },
//  { 0x421A, "" },
//  { 0x421B, "" },
//  { 0x421C, "" },
//  { 0x421D, "" },
//  { 0x421E, "" },
//  { 0x421F, "" },
//  { 0x4220, "" },
//  { 0x4221, "" },
//  { 0x4222, "" },
//  { 0x4223, "" },
//  { 0x4224, "" },
//  { 0x4225, "" },
//  { 0x4226, "" },
//  { 0x4227, "" },
//  { 0x4228, "" },
//  { 0x4229, "" },
//  { 0x422A, "" },
//  { 0x422B, "" },
//  { 0x422C, "" },
//  { 0x422D, "" },
//  { 0x422E, "" },
//  { 0x422F, "" },
//  { 0x4230, "" },
//  { 0x4231, "" },
//  { 0x4232, "" },
//  { 0x4233, "" },
//  { 0x4234, "" },
//  { 0x4235, "" },
//  { 0x4236, "" },
//  { 0x4237, "" },
//  { 0x4238, "" },
//  { 0x4239, "" },
//  { 0x423A, "" },
//  { 0x423B, "" },
//  { 0x423C, "" },
//  { 0x423D, "" },
//  { 0x423E, "" },
//  { 0x423F, "" },
//  { 0x4240, "" },
//  { 0x4241, "" },
//  { 0x4242, "" },
//  { 0x4243, "" },
//  { 0x4244, "" },
//  { 0x4245, "" },
//  { 0x4246, "" },
//  { 0x4247, "" },
//  { 0x4248, "" },
//  { 0x4249, "" },
//  { 0x424A, "" },
//  { 0x424B, "" },
//  { 0x424C, "" },
//  { 0x424D, "" },
//  { 0x424E, "" },
//  { 0x424F, "" },
//  { 0x4250, "" },
//  { 0x4251, "" },
//  { 0x4252, "" },
//  { 0x4253, "" },
//  { 0x4254, "" },
//  { 0x4255, "" },
//  { 0x4256, "" },
//  { 0x4257, "" },
//  { 0x4258, "" },
//  { 0x4259, "" },
//  { 0x425A, "" },
//  { 0x425B, "" },
//  { 0x425C, "" },
//  { 0x425D, "" },
//  { 0x425E, "" },
//  { 0x425F, "" },
//  { 0x4260, "" },
//  { 0x4261, "" },
//  { 0x4262, "" },
//  { 0x4263, "" },
//  { 0x4264, "" },
//  { 0x4265, "" },
//  { 0x4266, "" },
//  { 0x4267, "" },
//  { 0x4268, "" },
//  { 0x4269, "" },
//  { 0x426A, "" },
//  { 0x426B, "" },
//  { 0x426C, "" },
//  { 0x426D, "" },
//  { 0x426E, "" },
//  { 0x426F, "" },
//  { 0x4270, "" },
//  { 0x4271, "" },
//  { 0x4272, "" },
//  { 0x4273, "" },
//  { 0x4274, "" },
//  { 0x4275, "" },
//  { 0x4276, "" },
//  { 0x4277, "" },
//  { 0x4278, "" },
//  { 0x4279, "" },
//  { 0x427A, "" },
//  { 0x427B, "" },
//  { 0x427C, "" },
//  { 0x427D, "" },
//  { 0x427E, "" },
//  { 0x427F, "" },
//  { 0x4280, "" },
//  { 0x4281, "" },
//  { 0x4282, "" },
//  { 0x4283, "" },
//  { 0x4284, "" },
//  { 0x4285, "" },
//  { 0x4286, "" },
//  { 0x4287, "" },
//  { 0x4288, "" },
//  { 0x4289, "" },
//  { 0x428A, "" },
//  { 0x428B, "" },
//  { 0x428C, "" },
//  { 0x428D, "" },
//  { 0x428E, "" },
//  { 0x428F, "" },
//  { 0x4290, "" },
//  { 0x4291, "" },
//  { 0x4292, "" },
//  { 0x4293, "" },
//  { 0x4294, "" },
//  { 0x4295, "" },
//  { 0x4296, "" },
//  { 0x4297, "" },
//  { 0x4298, "" },
//  { 0x4299, "" },
//  { 0x429A, "" },
//  { 0x429B, "" },
//  { 0x429C, "" },
//  { 0x429D, "" },
//  { 0x429E, "" },
//  { 0x429F, "" },
//  { 0x42A0, "" },
//  { 0x42A1, "" },
//  { 0x42A2, "" },
//  { 0x42A3, "" },
//  { 0x42A4, "" },
//  { 0x42A5, "" },
//  { 0x42A6, "" },
//  { 0x42A7, "" },
//  { 0x42A8, "" },
//  { 0x42A9, "" },
//  { 0x42AA, "" },
//  { 0x42AB, "" },
//  { 0x42AC, "" },
//  { 0x42AD, "" },
//  { 0x42AE, "" },
//  { 0x42AF, "" },
//  { 0x42B0, "" },
//  { 0x42B1, "" },
//  { 0x42B2, "" },
//  { 0x42B3, "" },
//  { 0x42B4, "" },
//  { 0x42B5, "" },
//  { 0x42B6, "" },
//  { 0x42B7, "" },
//  { 0x42B8, "" },
//  { 0x42B9, "" },
//  { 0x42BA, "" },
//  { 0x42BB, "" },
//  { 0x42BC, "" },
//  { 0x42BD, "" },
//  { 0x42BE, "" },
//  { 0x42BF, "" },
//  { 0x42C0, "" },
//  { 0x42C1, "" },
//  { 0x42C2, "" },
//  { 0x42C3, "" },
//  { 0x42C4, "" },
//  { 0x42C5, "" },
//  { 0x42C6, "" },
//  { 0x42C7, "" },
//  { 0x42C8, "" },
//  { 0x42C9, "" },
//  { 0x42CA, "" },
//  { 0x42CB, "" },
//  { 0x42CC, "" },
//  { 0x42CD, "" },
//  { 0x42CE, "" },
//  { 0x42CF, "" },
//  { 0x42D0, "" },
//  { 0x42D1, "" },
//  { 0x42D2, "" },
//  { 0x42D3, "" },
//  { 0x42D4, "" },
//  { 0x42D5, "" },
//  { 0x42D6, "" },
//  { 0x42D7, "" },
//  { 0x42D8, "" },
//  { 0x42D9, "" },
//  { 0x42DA, "" },
//  { 0x42DB, "" },
//  { 0x42DC, "" },
//  { 0x42DD, "" },
//  { 0x42DE, "" },
//  { 0x42DF, "" },
//  { 0x42E0, "" },
//  { 0x42E1, "" },
//  { 0x42E2, "" },
//  { 0x42E3, "" },
//  { 0x42E4, "" },
//  { 0x42E5, "" },
//  { 0x42E6, "" },
//  { 0x42E7, "" },
//  { 0x42E8, "" },
//  { 0x42E9, "" },
//  { 0x42EA, "" },
//  { 0x42EB, "" },
//  { 0x42EC, "" },
//  { 0x42ED, "" },
//  { 0x42EE, "" },
//  { 0x42EF, "" },
//  { 0x42F0, "" },
//  { 0x42F1, "" },
//  { 0x42F2, "" },
//  { 0x42F3, "" },
//  { 0x42F4, "" },
//  { 0x42F5, "" },
//  { 0x42F6, "" },
//  { 0x42F7, "" },
//  { 0x42F8, "" },
//  { 0x42F9, "" },
//  { 0x42FA, "" },
//  { 0x42FB, "" },
//  { 0x42FC, "" },
//  { 0x42FD, "" },
//  { 0x42FE, "" },
//  { 0x42FF, "" },
//  { 0x4300, "" },
//  { 0x4301, "" },
//  { 0x4302, "" },
//  { 0x4303, "" },
//  { 0x4304, "" },
//  { 0x4305, "" },
//  { 0x4306, "" },
//  { 0x4307, "" },
//  { 0x4308, "" },
//  { 0x4309, "" },
//  { 0x430A, "" },
//  { 0x430B, "" },
//  { 0x430C, "" },
//  { 0x430D, "" },
//  { 0x430E, "" },
//  { 0x430F, "" },
//  { 0x4310, "" },
//  { 0x4311, "" },
//  { 0x4312, "" },
//  { 0x4313, "" },
//  { 0x4314, "" },
//  { 0x4315, "" },
//  { 0x4316, "" },
//  { 0x4317, "" },
//  { 0x4318, "" },
//  { 0x4319, "" },
//  { 0x431A, "" },
//  { 0x431B, "" },
//  { 0x431C, "" },
//  { 0x431D, "" },
//  { 0x431E, "" },
//  { 0x431F, "" },
//  { 0x4320, "" },
//  { 0x4321, "" },
//  { 0x4322, "" },
//  { 0x4323, "" },
//  { 0x4324, "" },
//  { 0x4325, "" },
//  { 0x4326, "" },
//  { 0x4327, "" },
//  { 0x4328, "" },
//  { 0x4329, "" },
//  { 0x432A, "" },
//  { 0x432B, "" },
//  { 0x432C, "" },
//  { 0x432D, "" },
//  { 0x432E, "" },
//  { 0x432F, "" },
//  { 0x4330, "" },
//  { 0x4331, "" },
//  { 0x4332, "" },
//  { 0x4333, "" },
//  { 0x4334, "" },
//  { 0x4335, "" },
//  { 0x4336, "" },
//  { 0x4337, "" },
//  { 0x4338, "" },
//  { 0x4339, "" },
//  { 0x433A, "" },
//  { 0x433B, "" },
//  { 0x433C, "" },
//  { 0x433D, "" },
//  { 0x433E, "" },
//  { 0x433F, "" },
//  { 0x4340, "" },
//  { 0x4341, "" },
//  { 0x4342, "" },
//  { 0x4343, "" },
//  { 0x4344, "" },
//  { 0x4345, "" },
//  { 0x4346, "" },
//  { 0x4347, "" },
//  { 0x4348, "" },
//  { 0x4349, "" },
//  { 0x434A, "" },
//  { 0x434B, "" },
//  { 0x434C, "" },
//  { 0x434D, "" },
//  { 0x434E, "" },
//  { 0x434F, "" },
//  { 0x4350, "" },
//  { 0x4351, "" },
//  { 0x4352, "" },
//  { 0x4353, "" },
//  { 0x4354, "" },
//  { 0x4355, "" },
//  { 0x4356, "" },
//  { 0x4357, "" },
//  { 0x4358, "" },
//  { 0x4359, "" },
//  { 0x435A, "" },
//  { 0x435B, "" },
//  { 0x435C, "" },
//  { 0x435D, "" },
//  { 0x435E, "" },
//  { 0x435F, "" },
//  { 0x4360, "" },
//  { 0x4361, "" },
//  { 0x4362, "" },
//  { 0x4363, "" },
//  { 0x4364, "" },
//  { 0x4365, "" },
//  { 0x4366, "" },
//  { 0x4367, "" },
//  { 0x4368, "" },
//  { 0x4369, "" },
//  { 0x436A, "" },
//  { 0x436B, "" },
//  { 0x436C, "" },
//  { 0x436D, "" },
//  { 0x436E, "" },
//  { 0x436F, "" },
//  { 0x4370, "" },
//  { 0x4371, "" },
//  { 0x4372, "" },
//  { 0x4373, "" },
//  { 0x4374, "" },
//  { 0x4375, "" },
//  { 0x4376, "" },
//  { 0x4377, "" },
//  { 0x4378, "" },
//  { 0x4379, "" },
//  { 0x437A, "" },
//  { 0x437B, "" },
//  { 0x437C, "" },
//  { 0x437D, "" },
//  { 0x437E, "" },
//  { 0x437F, "" },
//  { 0x4380, "" },
//  { 0x4381, "" },
//  { 0x4382, "" },
//  { 0x4383, "" },
//  { 0x4384, "" },
//  { 0x4385, "" },
//  { 0x4386, "" },
//  { 0x4387, "" },
//  { 0x4388, "" },
//  { 0x4389, "" },
//  { 0x438A, "" },
//  { 0x438B, "" },
//  { 0x438C, "" },
//  { 0x438D, "" },
//  { 0x438E, "" },
//  { 0x438F, "" },
//  { 0x4390, "" },
//  { 0x4391, "" },
//  { 0x4392, "" },
//  { 0x4393, "" },
//  { 0x4394, "" },
//  { 0x4395, "" },
//  { 0x4396, "" },
//  { 0x4397, "" },
//  { 0x4398, "" },
//  { 0x4399, "" },
//  { 0x439A, "" },
//  { 0x439B, "" },
//  { 0x439C, "" },
//  { 0x439D, "" },
//  { 0x439E, "" },
//  { 0x439F, "" },
//  { 0x43A0, "" },
//  { 0x43A1, "" },
//  { 0x43A2, "" },
//  { 0x43A3, "" },
//  { 0x43A4, "" },
//  { 0x43A5, "" },
//  { 0x43A6, "" },
//  { 0x43A7, "" },
//  { 0x43A8, "" },
//  { 0x43A9, "" },
//  { 0x43AA, "" },
//  { 0x43AB, "" },
//  { 0x43AC, "" },
//  { 0x43AD, "" },
//  { 0x43AE, "" },
//  { 0x43AF, "" },
//  { 0x43B0, "" },
//  { 0x43B1, "" },
//  { 0x43B2, "" },
//  { 0x43B3, "" },
//  { 0x43B4, "" },
//  { 0x43B5, "" },
//  { 0x43B6, "" },
//  { 0x43B7, "" },
//  { 0x43B8, "" },
//  { 0x43B9, "" },
//  { 0x43BA, "" },
//  { 0x43BB, "" },
//  { 0x43BC, "" },
//  { 0x43BD, "" },
//  { 0x43BE, "" },
//  { 0x43BF, "" },
//  { 0x43C0, "" },
//  { 0x43C1, "" },
//  { 0x43C2, "" },
//  { 0x43C3, "" },
//  { 0x43C4, "" },
//  { 0x43C5, "" },
//  { 0x43C6, "" },
//  { 0x43C7, "" },
//  { 0x43C8, "" },
//  { 0x43C9, "" },
//  { 0x43CA, "" },
//  { 0x43CB, "" },
//  { 0x43CC, "" },
//  { 0x43CD, "" },
//  { 0x43CE, "" },
//  { 0x43CF, "" },
//  { 0x43D0, "" },
//  { 0x43D1, "" },
//  { 0x43D2, "" },
//  { 0x43D3, "" },
//  { 0x43D4, "" },
//  { 0x43D5, "" },
//  { 0x43D6, "" },
//  { 0x43D7, "" },
//  { 0x43D8, "" },
//  { 0x43D9, "" },
//  { 0x43DA, "" },
//  { 0x43DB, "" },
//  { 0x43DC, "" },
//  { 0x43DD, "" },
//  { 0x43DE, "" },
//  { 0x43DF, "" },
//  { 0x43E0, "" },
//  { 0x43E1, "" },
//  { 0x43E2, "" },
//  { 0x43E3, "" },
//  { 0x43E4, "" },
//  { 0x43E5, "" },
//  { 0x43E6, "" },
//  { 0x43E7, "" },
//  { 0x43E8, "" },
//  { 0x43E9, "" },
//  { 0x43EA, "" },
//  { 0x43EB, "" },
//  { 0x43EC, "" },
//  { 0x43ED, "" },
//  { 0x43EE, "" },
//  { 0x43EF, "" },
//  { 0x43F0, "" },
//  { 0x43F1, "" },
//  { 0x43F2, "" },
//  { 0x43F3, "" },
//  { 0x43F4, "" },
//  { 0x43F5, "" },
//  { 0x43F6, "" },
//  { 0x43F7, "" },
//  { 0x43F8, "" },
//  { 0x43F9, "" },
//  { 0x43FA, "" },
//  { 0x43FB, "" },
//  { 0x43FC, "" },
//  { 0x43FD, "" },
//  { 0x43FE, "" },
//  { 0x43FF, "" },
//  { 0x4400, "" },
//  { 0x4401, "" },
//  { 0x4402, "" },
//  { 0x4403, "" },
//  { 0x4404, "" },
//  { 0x4405, "" },
//  { 0x4406, "" },
//  { 0x4407, "" },
//  { 0x4408, "" },
//  { 0x4409, "" },
//  { 0x440A, "" },
//  { 0x440B, "" },
//  { 0x440C, "" },
//  { 0x440D, "" },
//  { 0x440E, "" },
//  { 0x440F, "" },
//  { 0x4410, "" },
//  { 0x4411, "" },
//  { 0x4412, "" },
//  { 0x4413, "" },
//  { 0x4414, "" },
//  { 0x4415, "" },
//  { 0x4416, "" },
//  { 0x4417, "" },
//  { 0x4418, "" },
    { 0x4419, "attachmentmap" },
    { 0x441A, "checkroundwin" },
//  { 0x441B, "" },
//  { 0x441C, "" },
//  { 0x441D, "" },
//  { 0x441E, "" },
//  { 0x441F, "" },
//  { 0x4420, "" },
//  { 0x4421, "" },
//  { 0x4422, "" },
//  { 0x4423, "" },
//  { 0x4424, "" },
//  { 0x4425, "" },
//  { 0x4426, "" },
//  { 0x4427, "" },
//  { 0x4428, "" },
//  { 0x4429, "" },
//  { 0x442A, "" },
//  { 0x442B, "" },
//  { 0x442C, "" },
//  { 0x442D, "" },
//  { 0x442E, "" },
//  { 0x442F, "" },
//  { 0x4430, "" },
//  { 0x4431, "" },
//  { 0x4432, "" },
//  { 0x4433, "" },
//  { 0x4434, "" },
//  { 0x4435, "" },
//  { 0x4436, "" },
//  { 0x4437, "" },
//  { 0x4438, "" },
//  { 0x4439, "" },
//  { 0x443A, "" },
//  { 0x443B, "" },
//  { 0x443C, "" },
//  { 0x443D, "" },
//  { 0x443E, "" },
//  { 0x443F, "" },
//  { 0x4440, "" },
//  { 0x4441, "" },
//  { 0x4442, "" },
//  { 0x4443, "" },
//  { 0x4444, "" },
//  { 0x4445, "" },
//  { 0x4446, "" },
//  { 0x4447, "" },
//  { 0x4448, "" },
//  { 0x4449, "" },
//  { 0x444A, "" },
//  { 0x444B, "" },
//  { 0x444C, "" },
//  { 0x444D, "" },
//  { 0x444E, "" },
//  { 0x444F, "" },
//  { 0x4450, "" },
//  { 0x4451, "" },
//  { 0x4452, "" },
//  { 0x4453, "" },
//  { 0x4454, "" },
//  { 0x4455, "" },
//  { 0x4456, "" },
//  { 0x4457, "" },
//  { 0x4458, "" },
//  { 0x4459, "" },
//  { 0x445A, "" },
//  { 0x445B, "" },
//  { 0x445C, "" },
//  { 0x445D, "" },
//  { 0x445E, "" },
//  { 0x445F, "" },
//  { 0x4460, "" },
//  { 0x4461, "" },
//  { 0x4462, "" },
//  { 0x4463, "" },
//  { 0x4464, "" },
//  { 0x4465, "" },
//  { 0x4466, "" },
//  { 0x4467, "" },
//  { 0x4468, "" },
//  { 0x4469, "" },
//  { 0x446A, "" },
//  { 0x446B, "" },
//  { 0x446C, "" },
//  { 0x446D, "" },
//  { 0x446E, "" },
//  { 0x446F, "" },
//  { 0x4470, "" },
//  { 0x4471, "" },
//  { 0x4472, "" },
//  { 0x4473, "" },
//  { 0x4474, "" },
//  { 0x4475, "" },
//  { 0x4476, "" },
//  { 0x4477, "" },
//  { 0x4478, "" },
//  { 0x4479, "" },
//  { 0x447A, "" },
//  { 0x447B, "" },
//  { 0x447C, "" },
//  { 0x447D, "" },
//  { 0x447E, "" },
//  { 0x447F, "" },
//  { 0x4480, "" },
//  { 0x4481, "" },
//  { 0x4482, "" },
//  { 0x4483, "" },
//  { 0x4484, "" },
//  { 0x4485, "" },
//  { 0x4486, "" },
//  { 0x4487, "" },
//  { 0x4488, "" },
//  { 0x4489, "" },
//  { 0x448A, "" },
//  { 0x448B, "" },
//  { 0x448C, "" },
//  { 0x448D, "" },
//  { 0x448E, "" },
//  { 0x448F, "" },
//  { 0x4490, "" },
//  { 0x4491, "" },
//  { 0x4492, "" },
//  { 0x4493, "" },
//  { 0x4494, "" },
//  { 0x4495, "" },
//  { 0x4496, "" },
//  { 0x4497, "" },
//  { 0x4498, "" },
//  { 0x4499, "" },
//  { 0x449A, "" },
//  { 0x449B, "" },
//  { 0x449C, "" },
//  { 0x449D, "" },
//  { 0x449E, "" },
//  { 0x449F, "" },
//  { 0x44A0, "" },
//  { 0x44A1, "" },
//  { 0x44A2, "" },
//  { 0x44A3, "" },
//  { 0x44A4, "" },
//  { 0x44A5, "" },
//  { 0x44A6, "" },
//  { 0x44A7, "" },
//  { 0x44A8, "" },
//  { 0x44A9, "" },
//  { 0x44AA, "" },
//  { 0x44AB, "" },
//  { 0x44AC, "" },
//  { 0x44AD, "" },
//  { 0x44AE, "" },
//  { 0x44AF, "" },
//  { 0x44B0, "" },
//  { 0x44B1, "" },
//  { 0x44B2, "" },
//  { 0x44B3, "" },
//  { 0x44B4, "" },
//  { 0x44B5, "" },
//  { 0x44B6, "" },
//  { 0x44B7, "" },
//  { 0x44B8, "" },
//  { 0x44B9, "" },
//  { 0x44BA, "" },
//  { 0x44BB, "" },
//  { 0x44BC, "" },
//  { 0x44BD, "" },
//  { 0x44BE, "" },
//  { 0x44BF, "" },
//  { 0x44C0, "" },
//  { 0x44C1, "" },
//  { 0x44C2, "" },
//  { 0x44C3, "" },
//  { 0x44C4, "" },
//  { 0x44C5, "" },
//  { 0x44C6, "" },
//  { 0x44C7, "" },
//  { 0x44C8, "" },
//  { 0x44C9, "" },
//  { 0x44CA, "" },
//  { 0x44CB, "" },
//  { 0x44CC, "" },
//  { 0x44CD, "" },
//  { 0x44CE, "" },
//  { 0x44CF, "" },
//  { 0x44D0, "" },
//  { 0x44D1, "" },
//  { 0x44D2, "" },
//  { 0x44D3, "" },
//  { 0x44D4, "" },
//  { 0x44D5, "" },
//  { 0x44D6, "" },
//  { 0x44D7, "" },
//  { 0x44D8, "" },
//  { 0x44D9, "" },
//  { 0x44DA, "" },
//  { 0x44DB, "" },
//  { 0x44DC, "" },
//  { 0x44DD, "" },
//  { 0x44DE, "" },
//  { 0x44DF, "" },
//  { 0x44E0, "" },
//  { 0x44E1, "" },
//  { 0x44E2, "" },
//  { 0x44E3, "" },
//  { 0x44E4, "" },
//  { 0x44E5, "" },
//  { 0x44E6, "" },
//  { 0x44E7, "" },
//  { 0x44E8, "" },
//  { 0x44E9, "" },
//  { 0x44EA, "" },
//  { 0x44EB, "" },
//  { 0x44EC, "" },
//  { 0x44ED, "" },
//  { 0x44EE, "" },
//  { 0x44EF, "" },
//  { 0x44F0, "" },
//  { 0x44F1, "" },
//  { 0x44F2, "" },
//  { 0x44F3, "" },
//  { 0x44F4, "" },
//  { 0x44F5, "" },
//  { 0x44F6, "" },
//  { 0x44F7, "" },
//  { 0x44F8, "" },
//  { 0x44F9, "" },
//  { 0x44FA, "" },
//  { 0x44FB, "" },
//  { 0x44FC, "" },
//  { 0x44FD, "" },
//  { 0x44FE, "" },
//  { 0x44FF, "" },
//  { 0x4500, "" },
//  { 0x4501, "" },
//  { 0x4502, "" },
//  { 0x4503, "" },
//  { 0x4504, "" },
//  { 0x4505, "" },
//  { 0x4506, "" },
//  { 0x4507, "" },
//  { 0x4508, "" },
//  { 0x4509, "" },
//  { 0x450A, "" },
//  { 0x450B, "" },
//  { 0x450C, "" },
//  { 0x450D, "" },
//  { 0x450E, "" },
//  { 0x450F, "" },
//  { 0x4510, "" },
//  { 0x4511, "" },
//  { 0x4512, "" },
//  { 0x4513, "" },
//  { 0x4514, "" },
//  { 0x4515, "" },
//  { 0x4516, "" },
//  { 0x4517, "" },
//  { 0x4518, "" },
//  { 0x4519, "" },
//  { 0x451A, "" },
//  { 0x451B, "" },
//  { 0x451C, "" },
//  { 0x451D, "" },
//  { 0x451E, "" },
//  { 0x451F, "" },
//  { 0x4520, "" },
//  { 0x4521, "" },
//  { 0x4522, "" },
//  { 0x4523, "" },
//  { 0x4524, "" },
//  { 0x4525, "" },
//  { 0x4526, "" },
//  { 0x4527, "" },
//  { 0x4528, "" },
//  { 0x4529, "" },
//  { 0x452A, "" },
//  { 0x452B, "" },
//  { 0x452C, "" },
//  { 0x452D, "" },
//  { 0x452E, "" },
//  { 0x452F, "" },
//  { 0x4530, "" },
//  { 0x4531, "" },
//  { 0x4532, "" },
//  { 0x4533, "" },
//  { 0x4534, "" },
//  { 0x4535, "" },
//  { 0x4536, "" },
//  { 0x4537, "" },
//  { 0x4538, "" },
//  { 0x4539, "" },
//  { 0x453A, "" },
//  { 0x453B, "" },
//  { 0x453C, "" },
//  { 0x453D, "" },
//  { 0x453E, "" },
//  { 0x453F, "" },
//  { 0x4540, "" },
//  { 0x4541, "" },
//  { 0x4542, "" },
//  { 0x4543, "" },
//  { 0x4544, "" },
//  { 0x4545, "" },
//  { 0x4546, "" },
//  { 0x4547, "" },
//  { 0x4548, "" },
//  { 0x4549, "" },
//  { 0x454A, "" },
//  { 0x454B, "" },
//  { 0x454C, "" },
//  { 0x454D, "" },
//  { 0x454E, "" },
//  { 0x454F, "" },
//  { 0x4550, "" },
//  { 0x4551, "" },
//  { 0x4552, "" },
//  { 0x4553, "" },
//  { 0x4554, "" },
//  { 0x4555, "" },
//  { 0x4556, "" },
//  { 0x4557, "" },
//  { 0x4558, "" },
//  { 0x4559, "" },
//  { 0x455A, "" },
//  { 0x455B, "" },
//  { 0x455C, "" },
//  { 0x455D, "" },
//  { 0x455E, "" },
//  { 0x455F, "" },
//  { 0x4560, "" },
//  { 0x4561, "" },
//  { 0x4562, "" },
//  { 0x4563, "" },
//  { 0x4564, "" },
//  { 0x4565, "" },
//  { 0x4566, "" },
//  { 0x4567, "" },
//  { 0x4568, "" },
//  { 0x4569, "" },
//  { 0x456A, "" },
//  { 0x456B, "" },
//  { 0x456C, "" },
//  { 0x456D, "" },
//  { 0x456E, "" },
//  { 0x456F, "" },
//  { 0x4570, "" },
//  { 0x4571, "" },
//  { 0x4572, "" },
//  { 0x4573, "" },
//  { 0x4574, "" },
//  { 0x4575, "" },
//  { 0x4576, "" },
//  { 0x4577, "" },
//  { 0x4578, "" },
//  { 0x4579, "" },
//  { 0x457A, "" },
//  { 0x457B, "" },
//  { 0x457C, "" },
//  { 0x457D, "" },
//  { 0x457E, "" },
//  { 0x457F, "" },
//  { 0x4580, "" },
//  { 0x4581, "" },
//  { 0x4582, "" },
//  { 0x4583, "" },
//  { 0x4584, "" },
//  { 0x4585, "" },
//  { 0x4586, "" },
//  { 0x4587, "" },
//  { 0x4588, "" },
//  { 0x4589, "" },
//  { 0x458A, "" },
//  { 0x458B, "" },
//  { 0x458C, "" },
//  { 0x458D, "" },
//  { 0x458E, "" },
//  { 0x458F, "" },
//  { 0x4590, "" },
//  { 0x4591, "" },
//  { 0x4592, "" },
//  { 0x4593, "" },
//  { 0x4594, "" },
//  { 0x4595, "" },
//  { 0x4596, "" },
//  { 0x4597, "" },
//  { 0x4598, "" },
//  { 0x4599, "" },
//  { 0x459A, "" },
//  { 0x459B, "" },
//  { 0x459C, "" },
//  { 0x459D, "" },
//  { 0x459E, "" },
//  { 0x459F, "" },
//  { 0x45A0, "" },
//  { 0x45A1, "" },
//  { 0x45A2, "" },
//  { 0x45A3, "" },
//  { 0x45A4, "" },
//  { 0x45A5, "" },
//  { 0x45A6, "" },
//  { 0x45A7, "" },
//  { 0x45A8, "" },
//  { 0x45A9, "" },
//  { 0x45AA, "" },
//  { 0x45AB, "" },
//  { 0x45AC, "" },
//  { 0x45AD, "" },
//  { 0x45AE, "" },
//  { 0x45AF, "" },
//  { 0x45B0, "" },
//  { 0x45B1, "" },
//  { 0x45B2, "" },
//  { 0x45B3, "" },
//  { 0x45B4, "" },
//  { 0x45B5, "" },
//  { 0x45B6, "" },
//  { 0x45B7, "" },
//  { 0x45B8, "" },
//  { 0x45B9, "" },
//  { 0x45BA, "" },
//  { 0x45BB, "" },
//  { 0x45BC, "" },
//  { 0x45BD, "" },
//  { 0x45BE, "" },
//  { 0x45BF, "" },
//  { 0x45C0, "" },
//  { 0x45C1, "" },
//  { 0x45C2, "" },
//  { 0x45C3, "" },
//  { 0x45C4, "" },
//  { 0x45C5, "" },
//  { 0x45C6, "" },
//  { 0x45C7, "" },
//  { 0x45C8, "" },
//  { 0x45C9, "" },
//  { 0x45CA, "" },
//  { 0x45CB, "" },
//  { 0x45CC, "" },
//  { 0x45CD, "" },
//  { 0x45CE, "" },
//  { 0x45CF, "" },
//  { 0x45D0, "" },
//  { 0x45D1, "" },
//  { 0x45D2, "" },
//  { 0x45D3, "" },
//  { 0x45D4, "" },
//  { 0x45D5, "" },
//  { 0x45D6, "" },
//  { 0x45D7, "" },
//  { 0x45D8, "" },
//  { 0x45D9, "" },
//  { 0x45DA, "" },
//  { 0x45DB, "" },
//  { 0x45DC, "" },
//  { 0x45DD, "" },
//  { 0x45DE, "" },
//  { 0x45DF, "" },
//  { 0x45E0, "" },
//  { 0x45E1, "" },
//  { 0x45E2, "" },
//  { 0x45E3, "" },
//  { 0x45E4, "" },
//  { 0x45E5, "" },
//  { 0x45E6, "" },
//  { 0x45E7, "" },
//  { 0x45E8, "" },
//  { 0x45E9, "" },
//  { 0x45EA, "" },
//  { 0x45EB, "" },
//  { 0x45EC, "" },
//  { 0x45ED, "" },
//  { 0x45EE, "" },
//  { 0x45EF, "" },
//  { 0x45F0, "" },
//  { 0x45F1, "" },
//  { 0x45F2, "" },
//  { 0x45F3, "" },
//  { 0x45F4, "" },
//  { 0x45F5, "" },
//  { 0x45F6, "" },
//  { 0x45F7, "" },
//  { 0x45F8, "" },
//  { 0x45F9, "" },
//  { 0x45FA, "" },
//  { 0x45FB, "" },
//  { 0x45FC, "" },
//  { 0x45FD, "" },
//  { 0x45FE, "" },
//  { 0x45FF, "" },
//  { 0x4600, "" },
//  { 0x4601, "" },
//  { 0x4602, "" },
//  { 0x4603, "" },
//  { 0x4604, "" },
//  { 0x4605, "" },
//  { 0x4606, "" },
//  { 0x4607, "" },
//  { 0x4608, "" },
//  { 0x4609, "" },
//  { 0x460A, "" },
//  { 0x460B, "" },
//  { 0x460C, "" },
//  { 0x460D, "" },
//  { 0x460E, "" },
//  { 0x460F, "" },
//  { 0x4610, "" },
//  { 0x4611, "" },
//  { 0x4612, "" },
//  { 0x4613, "" },
//  { 0x4614, "" },
//  { 0x4615, "" },
//  { 0x4616, "" },
//  { 0x4617, "" },
//  { 0x4618, "" },
//  { 0x4619, "" },
//  { 0x461A, "" },
//  { 0x461B, "" },
//  { 0x461C, "" },
//  { 0x461D, "" },
//  { 0x461E, "" },
//  { 0x461F, "" },
//  { 0x4620, "" },
//  { 0x4621, "" },
//  { 0x4622, "" },
//  { 0x4623, "" },
//  { 0x4624, "" },
//  { 0x4625, "" },
//  { 0x4626, "" },
//  { 0x4627, "" },
//  { 0x4628, "" },
//  { 0x4629, "" },
//  { 0x462A, "" },
//  { 0x462B, "" },
//  { 0x462C, "" },
//  { 0x462D, "" },
//  { 0x462E, "" },
//  { 0x462F, "" },
//  { 0x4630, "" },
//  { 0x4631, "" },
//  { 0x4632, "" },
//  { 0x4633, "" },
//  { 0x4634, "" },
//  { 0x4635, "" },
//  { 0x4636, "" },
//  { 0x4637, "" },
//  { 0x4638, "" },
//  { 0x4639, "" },
//  { 0x463A, "" },
//  { 0x463B, "" },
//  { 0x463C, "" },
//  { 0x463D, "" },
//  { 0x463E, "" },
//  { 0x463F, "" },
//  { 0x4640, "" },
//  { 0x4641, "" },
//  { 0x4642, "" },
//  { 0x4643, "" },
//  { 0x4644, "" },
//  { 0x4645, "" },
//  { 0x4646, "" },
//  { 0x4647, "" },
//  { 0x4648, "" },
//  { 0x4649, "" },
//  { 0x464A, "" },
//  { 0x464B, "" },
//  { 0x464C, "" },
//  { 0x464D, "" },
//  { 0x464E, "" },
//  { 0x464F, "" },
//  { 0x4650, "" },
//  { 0x4651, "" },
//  { 0x4652, "" },
//  { 0x4653, "" },
//  { 0x4654, "" },
//  { 0x4655, "" },
//  { 0x4656, "" },
//  { 0x4657, "" },
//  { 0x4658, "" },
//  { 0x4659, "" },
//  { 0x465A, "" },
//  { 0x465B, "" },
//  { 0x465C, "" },
//  { 0x465D, "" },
//  { 0x465E, "" },
//  { 0x465F, "" },
//  { 0x4660, "" },
//  { 0x4661, "" },
//  { 0x4662, "" },
//  { 0x4663, "" },
//  { 0x4664, "" },
//  { 0x4665, "" },
//  { 0x4666, "" },
//  { 0x4667, "" },
//  { 0x4668, "" },
//  { 0x4669, "" },
//  { 0x466A, "" },
//  { 0x466B, "" },
//  { 0x466C, "" },
//  { 0x466D, "" },
//  { 0x466E, "" },
//  { 0x466F, "" },
//  { 0x4670, "" },
//  { 0x4671, "" },
//  { 0x4672, "" },
//  { 0x4673, "" },
//  { 0x4674, "" },
//  { 0x4675, "" },
//  { 0x4676, "" },
//  { 0x4677, "" },
//  { 0x4678, "" },
//  { 0x4679, "" },
//  { 0x467A, "" },
//  { 0x467B, "" },
//  { 0x467C, "" },
//  { 0x467D, "" },
//  { 0x467E, "" },
//  { 0x467F, "" },
//  { 0x4680, "" },
//  { 0x4681, "" },
//  { 0x4682, "" },
//  { 0x4683, "" },
//  { 0x4684, "" },
//  { 0x4685, "" },
//  { 0x4686, "" },
//  { 0x4687, "" },
//  { 0x4688, "" },
//  { 0x4689, "" },
//  { 0x468A, "" },
//  { 0x468B, "" },
//  { 0x468C, "" },
//  { 0x468D, "" },
//  { 0x468E, "" },
//  { 0x468F, "" },
//  { 0x4690, "" },
//  { 0x4691, "" },
//  { 0x4692, "" },
//  { 0x4693, "" },
//  { 0x4694, "" },
//  { 0x4695, "" },
//  { 0x4696, "" },
//  { 0x4697, "" },
//  { 0x4698, "" },
//  { 0x4699, "" },
//  { 0x469A, "" },
//  { 0x469B, "" },
//  { 0x469C, "" },
//  { 0x469D, "" },
//  { 0x469E, "" },
//  { 0x469F, "" },
//  { 0x46A0, "" },
//  { 0x46A1, "" },
//  { 0x46A2, "" },
//  { 0x46A3, "" },
//  { 0x46A4, "" },
//  { 0x46A5, "" },
//  { 0x46A6, "" },
//  { 0x46A7, "" },
//  { 0x46A8, "" },
//  { 0x46A9, "" },
//  { 0x46AA, "" },
//  { 0x46AB, "" },
//  { 0x46AC, "" },
//  { 0x46AD, "" },
//  { 0x46AE, "" },
//  { 0x46AF, "" },
//  { 0x46B0, "" },
//  { 0x46B1, "" },
//  { 0x46B2, "" },
//  { 0x46B3, "" },
//  { 0x46B4, "" },
//  { 0x46B5, "" },
//  { 0x46B6, "" },
//  { 0x46B7, "" },
//  { 0x46B8, "" },
//  { 0x46B9, "" },
//  { 0x46BA, "" },
//  { 0x46BB, "" },
//  { 0x46BC, "" },
//  { 0x46BD, "" },
//  { 0x46BE, "" },
//  { 0x46BF, "" },
//  { 0x46C0, "" },
//  { 0x46C1, "" },
//  { 0x46C2, "" },
//  { 0x46C3, "" },
//  { 0x46C4, "" },
//  { 0x46C5, "" },
//  { 0x46C6, "" },
//  { 0x46C7, "" },
//  { 0x46C8, "" },
//  { 0x46C9, "" },
//  { 0x46CA, "" },
//  { 0x46CB, "" },
//  { 0x46CC, "" },
//  { 0x46CD, "" },
//  { 0x46CE, "" },
//  { 0x46CF, "" },
//  { 0x46D0, "" },
//  { 0x46D1, "" },
//  { 0x46D2, "" },
//  { 0x46D3, "" },
//  { 0x46D4, "" },
//  { 0x46D5, "" },
//  { 0x46D6, "" },
//  { 0x46D7, "" },
//  { 0x46D8, "" },
//  { 0x46D9, "" },
//  { 0x46DA, "" },
//  { 0x46DB, "" },
//  { 0x46DC, "" },
//  { 0x46DD, "" },
//  { 0x46DE, "" },
//  { 0x46DF, "" },
//  { 0x46E0, "" },
//  { 0x46E1, "" },
//  { 0x46E2, "" },
//  { 0x46E3, "" },
//  { 0x46E4, "" },
//  { 0x46E5, "" },
//  { 0x46E6, "" },
//  { 0x46E7, "" },
//  { 0x46E8, "" },
//  { 0x46E9, "" },
//  { 0x46EA, "" },
//  { 0x46EB, "" },
//  { 0x46EC, "" },
//  { 0x46ED, "" },
//  { 0x46EE, "" },
//  { 0x46EF, "" },
//  { 0x46F0, "" },
//  { 0x46F1, "" },
//  { 0x46F2, "" },
//  { 0x46F3, "" },
//  { 0x46F4, "" },
//  { 0x46F5, "" },
//  { 0x46F6, "" },
//  { 0x46F7, "" },
//  { 0x46F8, "" },
//  { 0x46F9, "" },
//  { 0x46FA, "" },
//  { 0x46FB, "" },
//  { 0x46FC, "" },
//  { 0x46FD, "" },
//  { 0x46FE, "" },
//  { 0x46FF, "" },
//  { 0x4700, "" },
//  { 0x4701, "" },
//  { 0x4702, "" },
//  { 0x4703, "" },
//  { 0x4704, "" },
//  { 0x4705, "" },
//  { 0x4706, "" },
//  { 0x4707, "" },
//  { 0x4708, "" },
//  { 0x4709, "" },
//  { 0x470A, "" },
//  { 0x470B, "" },
//  { 0x470C, "" },
//  { 0x470D, "" },
//  { 0x470E, "" },
//  { 0x470F, "" },
//  { 0x4710, "" },
//  { 0x4711, "" },
//  { 0x4712, "" },
//  { 0x4713, "" },
//  { 0x4714, "" },
//  { 0x4715, "" },
//  { 0x4716, "" },
//  { 0x4717, "" },
//  { 0x4718, "" },
//  { 0x4719, "" },
//  { 0x471A, "" },
//  { 0x471B, "" },
//  { 0x471C, "" },
//  { 0x471D, "" },
//  { 0x471E, "" },
//  { 0x471F, "" },
//  { 0x4720, "" },
//  { 0x4721, "" },
//  { 0x4722, "" },
//  { 0x4723, "" },
//  { 0x4724, "" },
//  { 0x4725, "" },
//  { 0x4726, "" },
//  { 0x4727, "" },
//  { 0x4728, "" },
//  { 0x4729, "" },
//  { 0x472A, "" },
//  { 0x472B, "" },
//  { 0x472C, "" },
//  { 0x472D, "" },
//  { 0x472E, "" },
//  { 0x472F, "" },
//  { 0x4730, "" },
//  { 0x4731, "" },
//  { 0x4732, "" },
//  { 0x4733, "" },
//  { 0x4734, "" },
//  { 0x4735, "" },
//  { 0x4736, "" },
//  { 0x4737, "" },
//  { 0x4738, "" },
//  { 0x4739, "" },
//  { 0x473A, "" },
//  { 0x473B, "" },
//  { 0x473C, "" },
//  { 0x473D, "" },
//  { 0x473E, "" },
//  { 0x473F, "" },
//  { 0x4740, "" },
//  { 0x4741, "" },
//  { 0x4742, "" },
//  { 0x4743, "" },
//  { 0x4744, "" },
//  { 0x4745, "" },
//  { 0x4746, "" },
//  { 0x4747, "" },
//  { 0x4748, "" },
//  { 0x4749, "" },
//  { 0x474A, "" },
//  { 0x474B, "" },
//  { 0x474C, "" },
//  { 0x474D, "" },
//  { 0x474E, "" },
//  { 0x474F, "" },
//  { 0x4750, "" },
//  { 0x4751, "" },
//  { 0x4752, "" },
//  { 0x4753, "" },
//  { 0x4754, "" },
//  { 0x4755, "" },
//  { 0x4756, "" },
//  { 0x4757, "" },
//  { 0x4758, "" },
//  { 0x4759, "" },
//  { 0x475A, "" },
//  { 0x475B, "" },
//  { 0x475C, "" },
//  { 0x475D, "" },
//  { 0x475E, "" },
//  { 0x475F, "" },
//  { 0x4760, "" },
//  { 0x4761, "" },
//  { 0x4762, "" },
//  { 0x4763, "" },
//  { 0x4764, "" },
//  { 0x4765, "" },
//  { 0x4766, "" },
//  { 0x4767, "" },
//  { 0x4768, "" },
//  { 0x4769, "" },
//  { 0x476A, "" },
//  { 0x476B, "" },
//  { 0x476C, "" },
//  { 0x476D, "" },
//  { 0x476E, "" },
//  { 0x476F, "" },
//  { 0x4770, "" },
//  { 0x4771, "" },
//  { 0x4772, "" },
//  { 0x4773, "" },
//  { 0x4774, "" },
//  { 0x4775, "" },
//  { 0x4776, "" },
//  { 0x4777, "" },
//  { 0x4778, "" },
//  { 0x4779, "" },
//  { 0x477A, "" },
//  { 0x477B, "" },
//  { 0x477C, "" },
//  { 0x477D, "" },
//  { 0x477E, "" },
//  { 0x477F, "" },
//  { 0x4780, "" },
//  { 0x4781, "" },
//  { 0x4782, "" },
//  { 0x4783, "" },
//  { 0x4784, "" },
//  { 0x4785, "" },
//  { 0x4786, "" },
//  { 0x4787, "" },
//  { 0x4788, "" },
//  { 0x4789, "" },
//  { 0x478A, "" },
//  { 0x478B, "" },
//  { 0x478C, "" },
//  { 0x478D, "" },
//  { 0x478E, "" },
//  { 0x478F, "" },
//  { 0x4790, "" },
//  { 0x4791, "" },
//  { 0x4792, "" },
//  { 0x4793, "" },
//  { 0x4794, "" },
//  { 0x4795, "" },
//  { 0x4796, "" },
//  { 0x4797, "" },
//  { 0x4798, "" },
//  { 0x4799, "" },
//  { 0x479A, "" },
//  { 0x479B, "" },
//  { 0x479C, "" },
//  { 0x479D, "" },
//  { 0x479E, "" },
//  { 0x479F, "" },
//  { 0x47A0, "" },
//  { 0x47A1, "" },
//  { 0x47A2, "" },
//  { 0x47A3, "" },
//  { 0x47A4, "" },
//  { 0x47A5, "" },
//  { 0x47A6, "" },
//  { 0x47A7, "" },
//  { 0x47A8, "" },
//  { 0x47A9, "" },
//  { 0x47AA, "" },
//  { 0x47AB, "" },
//  { 0x47AC, "" },
//  { 0x47AD, "" },
//  { 0x47AE, "" },
//  { 0x47AF, "" },
//  { 0x47B0, "" },
//  { 0x47B1, "" },
//  { 0x47B2, "" },
//  { 0x47B3, "" },
//  { 0x47B4, "" },
//  { 0x47B5, "" },
//  { 0x47B6, "" },
//  { 0x47B7, "" },
//  { 0x47B8, "" },
//  { 0x47B9, "" },
//  { 0x47BA, "" },
//  { 0x47BB, "" },
//  { 0x47BC, "" },
//  { 0x47BD, "" },
//  { 0x47BE, "" },
//  { 0x47BF, "" },
//  { 0x47C0, "" },
//  { 0x47C1, "" },
//  { 0x47C2, "" },
//  { 0x47C3, "" },
//  { 0x47C4, "" },
//  { 0x47C5, "" },
//  { 0x47C6, "" },
//  { 0x47C7, "" },
//  { 0x47C8, "" },
//  { 0x47C9, "" },
    { 0x47CA, "maps/createart/so_survival_mp_dome_fog" },
    { 0x47CB, "maps/createart/so_survival_mp_dome_art" },
    { 0x47CC, "character/character_so_juggernaut_lite" },
//  { 0x47CD, "" },
//  { 0x47CE, "" },
//  { 0x47CF, "" },
//  { 0x47D0, "" },
//  { 0x47D1, "" },
//  { 0x47D2, "" },
//  { 0x47D3, "" },
//  { 0x47D4, "" },
//  { 0x47D5, "" },
//  { 0x47D6, "" },
//  { 0x47D7, "" },
//  { 0x47D8, "" },
//  { 0x47D9, "" },
//  { 0x47DA, "" },
//  { 0x47DB, "" },
//  { 0x47DC, "" },
//  { 0x47DD, "" },
//  { 0x47DE, "" },
//  { 0x47DF, "" },
//  { 0x47E0, "" },
//  { 0x47E1, "" },
//  { 0x47E2, "" },
//  { 0x47E3, "" },
//  { 0x47E4, "" },
//  { 0x47E5, "" },
//  { 0x47E6, "" },
//  { 0x47E7, "" },
//  { 0x47E8, "" },
//  { 0x47E9, "" },
//  { 0x47EA, "" },
//  { 0x47EB, "" },
//  { 0x47EC, "" },
//  { 0x47ED, "" },
//  { 0x47EE, "" },
//  { 0x47EF, "" },
//  { 0x47F0, "" },
//  { 0x47F1, "" },
//  { 0x47F2, "" },
//  { 0x47F3, "" },
//  { 0x47F4, "" },
//  { 0x47F5, "" },
//  { 0x47F6, "" },
//  { 0x47F7, "" },
//  { 0x47F8, "" },
//  { 0x47F9, "" },
//  { 0x47FA, "" },
//  { 0x47FB, "" },
//  { 0x47FC, "" },
//  { 0x47FD, "" },
//  { 0x47FE, "" },
//  { 0x47FF, "" },
//  { 0x4800, "" },
//  { 0x4801, "" },
//  { 0x4802, "" },
//  { 0x4803, "" },
//  { 0x4804, "" },
//  { 0x4805, "" },
//  { 0x4806, "" },
//  { 0x4807, "" },
//  { 0x4808, "" },
//  { 0x4809, "" },
//  { 0x480A, "" },
//  { 0x480B, "" },
//  { 0x480C, "" },
//  { 0x480D, "" },
//  { 0x480E, "" },
//  { 0x480F, "" },
//  { 0x4810, "" },
//  { 0x4811, "" },
//  { 0x4812, "" },
//  { 0x4813, "" },
//  { 0x4814, "" },
//  { 0x4815, "" },
//  { 0x4816, "" },
//  { 0x4817, "" },
//  { 0x4818, "" },
//  { 0x4819, "" },
//  { 0x481A, "" },
//  { 0x481B, "" },
//  { 0x481C, "" },
//  { 0x481D, "" },
//  { 0x481E, "" },
//  { 0x481F, "" },
//  { 0x4820, "" },
//  { 0x4821, "" },
//  { 0x4822, "" },
//  { 0x4823, "" },
//  { 0x4824, "" },
//  { 0x4825, "" },
//  { 0x4826, "" },
//  { 0x4827, "" },
//  { 0x4828, "" },
//  { 0x4829, "" },
//  { 0x482A, "" },
//  { 0x482B, "" },
//  { 0x482C, "" },
//  { 0x482D, "" },
//  { 0x482E, "" },
//  { 0x482F, "" },
//  { 0x4830, "" },
//  { 0x4831, "" },
//  { 0x4832, "" },
//  { 0x4833, "" },
//  { 0x4834, "" },
//  { 0x4835, "" },
//  { 0x4836, "" },
//  { 0x4837, "" },
//  { 0x4838, "" },
//  { 0x4839, "" },
//  { 0x483A, "" },
//  { 0x483B, "" },
//  { 0x483C, "" },
//  { 0x483D, "" },
//  { 0x483E, "" },
//  { 0x483F, "" },
//  { 0x4840, "" },
//  { 0x4841, "" },
//  { 0x4842, "" },
//  { 0x4843, "" },
//  { 0x4844, "" },
//  { 0x4845, "" },
//  { 0x4846, "" },
//  { 0x4847, "" },
//  { 0x4848, "" },
//  { 0x4849, "" },
//  { 0x484A, "" },
//  { 0x484B, "" },
//  { 0x484C, "" },
//  { 0x484D, "" },
//  { 0x484E, "" },
//  { 0x484F, "" },
//  { 0x4850, "" },
//  { 0x4851, "" },
//  { 0x4852, "" },
//  { 0x4853, "" },
//  { 0x4854, "" },
//  { 0x4855, "" },
//  { 0x4856, "" },
//  { 0x4857, "" },
//  { 0x4858, "" },
//  { 0x4859, "" },
//  { 0x485A, "" },
//  { 0x485B, "" },
//  { 0x485C, "" },
//  { 0x485D, "" },
//  { 0x485E, "" },
//  { 0x485F, "" },
//  { 0x4860, "" },
//  { 0x4861, "" },
//  { 0x4862, "" },
//  { 0x4863, "" },
//  { 0x4864, "" },
//  { 0x4865, "" },
//  { 0x4866, "" },
//  { 0x4867, "" },
//  { 0x4868, "" },
//  { 0x4869, "" },
//  { 0x486A, "" },
//  { 0x486B, "" },
//  { 0x486C, "" },
//  { 0x486D, "" },
//  { 0x486E, "" },
//  { 0x486F, "" },
//  { 0x4870, "" },
//  { 0x4871, "" },
//  { 0x4872, "" },
//  { 0x4873, "" },
//  { 0x4874, "" },
//  { 0x4875, "" },
//  { 0x4876, "" },
//  { 0x4877, "" },
//  { 0x4878, "" },
//  { 0x4879, "" },
//  { 0x487A, "" },
//  { 0x487B, "" },
//  { 0x487C, "" },
//  { 0x487D, "" },
//  { 0x487E, "" },
//  { 0x487F, "" },
//  { 0x4880, "" },
//  { 0x4881, "" },
//  { 0x4882, "" },
//  { 0x4883, "" },
//  { 0x4884, "" },
//  { 0x4885, "" },
//  { 0x4886, "" },
//  { 0x4887, "" },
//  { 0x4888, "" },
//  { 0x4889, "" },
//  { 0x488A, "" },
//  { 0x488B, "" },
//  { 0x488C, "" },
//  { 0x488D, "" },
//  { 0x488E, "" },
//  { 0x488F, "" },
//  { 0x4890, "" },
//  { 0x4891, "" },
//  { 0x4892, "" },
//  { 0x4893, "" },
//  { 0x4894, "" },
//  { 0x4895, "" },
//  { 0x4896, "" },
//  { 0x4897, "" },
//  { 0x4898, "" },
//  { 0x4899, "" },
//  { 0x489A, "" },
//  { 0x489B, "" },
//  { 0x489C, "" },
//  { 0x489D, "" },
//  { 0x489E, "" },
//  { 0x489F, "" },
//  { 0x48A0, "" },
//  { 0x48A1, "" },
//  { 0x48A2, "" },
//  { 0x48A3, "" },
//  { 0x48A4, "" },
//  { 0x48A5, "" },
//  { 0x48A6, "" },
//  { 0x48A7, "" },
//  { 0x48A8, "" },
//  { 0x48A9, "" },
//  { 0x48AA, "" },
//  { 0x48AB, "" },
//  { 0x48AC, "" },
//  { 0x48AD, "" },
//  { 0x48AE, "" },
//  { 0x48AF, "" },
//  { 0x48B0, "" },
//  { 0x48B1, "" },
//  { 0x48B2, "" },
//  { 0x48B3, "" },
//  { 0x48B4, "" },
//  { 0x48B5, "" },
//  { 0x48B6, "" },
//  { 0x48B7, "" },
//  { 0x48B8, "" },
//  { 0x48B9, "" },
//  { 0x48BA, "" },
//  { 0x48BB, "" },
//  { 0x48BC, "" },
//  { 0x48BD, "" },
//  { 0x48BE, "" },
//  { 0x48BF, "" },
//  { 0x48C0, "" },
//  { 0x48C1, "" },
//  { 0x48C2, "" },
//  { 0x48C3, "" },
//  { 0x48C4, "" },
//  { 0x48C5, "" },
//  { 0x48C6, "" },
//  { 0x48C7, "" },
//  { 0x48C8, "" },
//  { 0x48C9, "" },
//  { 0x48CA, "" },
//  { 0x48CB, "" },
//  { 0x48CC, "" },
//  { 0x48CD, "" },
//  { 0x48CE, "" },
//  { 0x48CF, "" },
//  { 0x48D0, "" },
//  { 0x48D1, "" },
//  { 0x48D2, "" },
//  { 0x48D3, "" },
//  { 0x48D4, "" },
//  { 0x48D5, "" },
//  { 0x48D6, "" },
//  { 0x48D7, "" },
//  { 0x48D8, "" },
    { 0x48D9, "common_scripts/_destructible_types_anim_generator" },
    { 0x48DA, "common_scripts/_destructible_types_anim_lockers" },
    { 0x48DB, "maps/animated_models/fence_tarp_124x52_a_med_01" },
    { 0x48DC, "maps/animated_models/fence_tarp_124x52_b_med_01" },
    { 0x48DD, "maps/animated_models/fence_tarp_126x76_a_med_01" },
    { 0x48DE, "maps/animated_models/fence_tarp_126x76_med_01" },
    { 0x48DF, "maps/animated_models/radar_spinning" },
    { 0x48E0, "maps/createart/mp_radar_art" },
    { 0x48E1, "maps/createfx/mp_radar_fx" },
    { 0x48E2, "maps/createart/mp_radar_fog" },
    { 0x48E3, "maps/createart/so_survival_mp_radar_fog" },
    { 0x48E4, "maps/createart/so_survival_mp_radar_art" },
    { 0x48E5, "common_scripts/_destructible_types_anim_chicken" },
    { 0x48E6, "maps/animated_models/hanging_sheet_wind_medium" },
    { 0x48E7, "maps/createart/mp_village_art" },
    { 0x48E8, "maps/createfx/mp_village_fx" },
    { 0x48E9, "maps/createart/mp_village_fog" },
    { 0x48EA, "common_scripts/_destructible_types_anim_security_camera" },
    { 0x48EB, "maps/createart/mp_underground_art" },
//  { 0x48EC, "" },
//  { 0x48ED, "" },
    { 0x48EE, "maps/createfx/mp_underground_fx" },
    { 0x48EF, "maps/createart/mp_underground_fog" },
    { 0x48F0, "vehicle_scripts/_80s_hatch1" },
    { 0x48F1, "common_scripts/_destructible_types_anim_me_fanceil1_spin" },
    { 0x48F2, "maps/animated_models/hanging_apron_wind_medium" },
    { 0x48F3, "maps/animated_models/hanging_longsleeve_wind_medium" },
    { 0x48F4, "maps/animated_models/hanging_shortsleeve_wind_medium" },
    { 0x48F5, "maps/animated_models/seatown_canopy_1section_01_sway" },
    { 0x48F6, "maps/animated_models/seatown_canopy_1section_02_sway" },
    { 0x48F7, "maps/animated_models/seatown_canopy_3section_01_sway" },
    { 0x48F8, "maps/animated_models/seatown_canopy_stand_01_sway" },
    { 0x48F9, "maps/animated_models/seatown_canopy_stand_02_sway" },
    { 0x48FA, "maps/animated_models/seatown_lrg_wiregrp_sway" },
    { 0x48FB, "maps/animated_models/seatown_mid01_wiregrp_sway" },
    { 0x48FC, "maps/animated_models/seatown_wire_flags1_sway" },
    { 0x48FD, "maps/animated_models/seatown_wire_flags2_sway" },
    { 0x48FE, "maps/createart/mp_seatown_art" },
    { 0x48FF, "maps/createfx/mp_seatown_fx" },
    { 0x4900, "maps/createart/mp_seatown_fog" },
    { 0x4901, "common_scripts/_destructible_types_anim_wallfan" },
    { 0x4902, "maps/animated_models/mi24p_hind_plaza_destroy_animated" },
    { 0x4903, "maps/createart/mp_plaza2_art" },
    { 0x4904, "maps/createfx/mp_plaza2_fx" },
    { 0x4905, "maps/createart/mp_plaza2_fog" },
    { 0x4906, "maps/createart/mp_paris_art" },
    { 0x4907, "maps/createfx/mp_paris_fx" },
    { 0x4908, "maps/createart/mp_paris_fog" },
    { 0x4909, "common_scripts/_destructible_types_anim_motorcycle_01" },
    { 0x490A, "maps/createart/mp_mogadishu_art" },
    { 0x490B, "maps/createfx/mp_mogadishu_fx" },
    { 0x490C, "maps/createart/mp_mogadishu_fog" },
    { 0x490D, "maps/animated_models/com_roofvent2" },
    { 0x490E, "maps/animated_models/foliage_tree_river_birch_lg_a" },
    { 0x490F, "maps/animated_models/foliage_tree_river_birch_xl_a" },
    { 0x4910, "maps/createart/mp_lambeth_art" },
    { 0x4911, "maps/createfx/mp_lambeth_fx" },
    { 0x4912, "maps/createart/mp_lambeth_fog" },
    { 0x4913, "maps/createart/mp_interchange_art" },
    { 0x4914, "maps/createfx/mp_interchange_fx" },
    { 0x4915, "maps/createart/mp_interchange_fog" },
    { 0x4916, "maps/animated_models/fence_tarp_128x84_med_01" },
    { 0x4917, "maps/animated_models/fence_tarp_192x50_med_01" },
    { 0x4918, "maps/animated_models/fence_tarp_192x84_a_med_01" },
    { 0x4919, "maps/animated_models/fence_tarp_196x146_med_01" },
    { 0x491A, "maps/animated_models/fence_tarp_196x36_med_01" },
    { 0x491B, "maps/animated_models/fence_tarp_196x56_med_01" },
    { 0x491C, "maps/animated_models/fence_tarp_208x42_med_01" },
    { 0x491D, "maps/animated_models/fence_tarp_352x88_med_01" },
    { 0x491E, "maps/animated_models/fence_tarp_draping_224x116_01" },
    { 0x491F, "maps/animated_models/fence_tarp_draping_98x94_med_01" },
    { 0x4920, "maps/animated_models/fence_tarp_draping_98x94_med_02" },
    { 0x4921, "maps/animated_models/fence_tarp_rooftop_set_01_med_01" },
    { 0x4922, "maps/animated_models/hanging_dead_paratrooper01_animated" },
    { 0x4923, "maps/animated_models/plastic_fence_232x88_med_01" },
    { 0x4924, "maps/animated_models/plastic_fence_234x88_med_01" },
    { 0x4925, "maps/animated_models/plastic_fence_256x48_med_01" },
    { 0x4926, "maps/animated_models/plastic_fence_264x40_med_01" },
    { 0x4927, "maps/animated_models/plastic_fence_300x88_med_01" },
    { 0x4928, "maps/animated_models/plastic_fence_400x88_med_01" },
    { 0x4929, "maps/animated_models/plastic_fence_528x88_med_01" },
    { 0x492A, "maps/createart/mp_hardhat_art" },
    { 0x492B, "maps/createfx/mp_hardhat_fx" },
    { 0x492C, "maps/createart/mp_hardhat_fog" },
    { 0x492D, "maps/createart/mp_exchange_art" },
    { 0x492E, "maps/createfx/mp_exchange_fx" },
    { 0x492F, "maps/createart/mp_exchange_fog" },
    { 0x4930, "common_scripts/_destructible_types_anim_light_fluo_single" },
    { 0x4931, "maps/animated_models/fence_tarp_110x64_med_01" },
    { 0x4932, "maps/animated_models/fence_tarp_124x64_med_01" },
    { 0x4933, "maps/animated_models/fence_tarp_128x64_med_01" },
    { 0x4934, "maps/animated_models/fence_tarp_130x76_med_01" },
    { 0x4935, "maps/animated_models/fence_tarp_130x82_a_med_01" },
    { 0x4936, "maps/animated_models/fence_tarp_130x82_med_01" },
    { 0x4937, "maps/animated_models/fence_tarp_132x62_med_01" },
    { 0x4938, "maps/animated_models/fence_tarp_132x82_a_med_01" },
    { 0x4939, "maps/animated_models/fence_tarp_140x68_med_01" },
    { 0x493A, "maps/animated_models/fence_tarp_160x82_med_01" },
    { 0x493B, "maps/animated_models/fence_tarp_162x64_med_01" },
    { 0x493C, "maps/animated_models/fence_tarp_40x58_med_01" },
    { 0x493D, "maps/animated_models/fence_tarp_68x58_med_01" },
    { 0x493E, "maps/animated_models/fence_tarp_70x82_med_01" },
    { 0x493F, "maps/animated_models/fence_tarp_80x84_med_01" },
    { 0x4940, "maps/animated_models/fence_tarp_90x64_med_01" },
    { 0x4941, "maps/animated_models/fence_tarp_94x64_med_01" },
    { 0x4942, "maps/createart/mp_carbon_art" },
//  { 0x4943, "" },
//  { 0x4944, "" },
//  { 0x4945, "" },
    { 0x4946, "maps/createfx/mp_carbon_fx" },
    { 0x4947, "maps/createart/mp_carbon_fog" },
    { 0x4948, "maps/animated_models/foliage_cod5_tree_jungle_03" },
    { 0x4949, "maps/animated_models/foliage_pacific_bushtree01" },
    { 0x494A, "maps/animated_models/foliage_pacific_palms08" },
    { 0x494B, "maps/createart/mp_bravo_art" },
    { 0x494C, "maps/createfx/mp_bravo_fx" },
    { 0x494D, "maps/createart/mp_bravo_fog" },
    { 0x494E, "common_scripts/_destructible_types_anim_light_fluo_on" },
    { 0x494F, "maps/createart/mp_bootleg_art" },
    { 0x4950, "maps/createfx/mp_bootleg_fx" },
    { 0x4951, "maps/createart/mp_bootleg_fog" },
    { 0x4952, "maps/animated_models/alpha_hanging_civs_animated" },
    { 0x4953, "maps/createart/mp_alpha_art" },
    { 0x4954, "maps/createfx/mp_alpha_fx" },
    { 0x4955, "maps/createart/mp_alpha_fog" },
//  { 0x4956, "" },
//  { 0x4957, "" },
//  { 0x4958, "" },
//  { 0x4959, "" },
//  { 0x495A, "" },
//  { 0x495B, "" },
//  { 0x495C, "" },
//  { 0x495D, "" },
//  { 0x495E, "" },
//  { 0x495F, "" },
//  { 0x4960, "" },
//  { 0x4961, "" },
//  { 0x4962, "" },
//  { 0x4963, "" },
//  { 0x4964, "" },
//  { 0x4965, "" },
//  { 0x4966, "" },
//  { 0x4967, "" },
//  { 0x4968, "" },
//  { 0x4969, "" },
//  { 0x496A, "" },
//  { 0x496B, "" },
//  { 0x496C, "" },
//  { 0x496D, "" },
//  { 0x496E, "" },
//  { 0x496F, "" },
//  { 0x4970, "" },
//  { 0x4971, "" },
//  { 0x4972, "" },
//  { 0x4973, "" },
//  { 0x4974, "" },
//  { 0x4975, "" },
//  { 0x4976, "" },
//  { 0x4977, "" },
//  { 0x4978, "" },
//  { 0x4979, "" },
//  { 0x497A, "" },
//  { 0x497B, "" },
//  { 0x497C, "" },
//  { 0x497D, "" },
//  { 0x497E, "" },
//  { 0x497F, "" },
//  { 0x4980, "" },
//  { 0x4981, "" },
//  { 0x4982, "" },
//  { 0x4983, "" },
//  { 0x4984, "" },
//  { 0x4985, "" },
//  { 0x4986, "" },
//  { 0x4987, "" },
//  { 0x4988, "" },
//  { 0x4989, "" },
//  { 0x498A, "" },
//  { 0x498B, "" },
//  { 0x498C, "" },
//  { 0x498D, "" },
//  { 0x498E, "" },
//  { 0x498F, "" },
//  { 0x4990, "" },
//  { 0x4991, "" },
//  { 0x4992, "" },
//  { 0x4993, "" },
//  { 0x4994, "" },
//  { 0x4995, "" },
//  { 0x4996, "" },
//  { 0x4997, "" },
//  { 0x4998, "" },
//  { 0x4999, "" },
//  { 0x499A, "" },
//  { 0x499B, "" },
//  { 0x499C, "" },
//  { 0x499D, "" },
//  { 0x499E, "" },
//  { 0x499F, "" },
//  { 0x49A0, "" },
//  { 0x49A1, "" },
//  { 0x49A2, "" },
//  { 0x49A3, "" },
//  { 0x49A4, "" },
//  { 0x49A5, "" },
//  { 0x49A6, "" },
//  { 0x49A7, "" },
//  { 0x49A8, "" },
//  { 0x49A9, "" },
//  { 0x49AA, "" },
//  { 0x49AB, "" },
//  { 0x49AC, "" },
//  { 0x49AD, "" },
//  { 0x49AE, "" },
//  { 0x49AF, "" },
//  { 0x49B0, "" },
//  { 0x49B1, "" },
//  { 0x49B2, "" },
//  { 0x49B3, "" },
//  { 0x49B4, "" },
//  { 0x49B5, "" },
//  { 0x49B6, "" },
//  { 0x49B7, "" },
//  { 0x49B8, "" },
//  { 0x49B9, "" },
//  { 0x49BA, "" },
//  { 0x49BB, "" },
//  { 0x49BC, "" },
//  { 0x49BD, "" },
//  { 0x49BE, "" },
//  { 0x49BF, "" },
//  { 0x49C0, "" },
//  { 0x49C1, "" },
//  { 0x49C2, "" },
//  { 0x49C3, "" },
//  { 0x49C4, "" },
//  { 0x49C5, "" },
//  { 0x49C6, "" },
//  { 0x49C7, "" },
//  { 0x49C8, "" },
//  { 0x49C9, "" },
//  { 0x49CA, "" },
//  { 0x49CB, "" },
//  { 0x49CC, "" },
//  { 0x49CD, "" },
//  { 0x49CE, "" },
//  { 0x49CF, "" },
//  { 0x49D0, "" },
//  { 0x49D1, "" },
//  { 0x49D2, "" },
//  { 0x49D3, "" },
//  { 0x49D4, "" },
//  { 0x49D5, "" },
//  { 0x49D6, "" },
//  { 0x49D7, "" },
//  { 0x49D8, "" },
//  { 0x49D9, "" },
//  { 0x49DA, "" },
//  { 0x49DB, "" },
//  { 0x49DC, "" },
//  { 0x49DD, "" },
//  { 0x49DE, "" },
//  { 0x49DF, "" },
//  { 0x49E0, "" },
//  { 0x49E1, "" },
//  { 0x49E2, "" },
//  { 0x49E3, "" },
//  { 0x49E4, "" },
//  { 0x49E5, "" },
//  { 0x49E6, "" },
//  { 0x49E7, "" },
//  { 0x49E8, "" },
//  { 0x49E9, "" },
//  { 0x49EA, "" },
//  { 0x49EB, "" },
//  { 0x49EC, "" },
//  { 0x49ED, "" },
//  { 0x49EE, "" },
//  { 0x49EF, "" },
//  { 0x49F0, "" },
//  { 0x49F1, "" },
//  { 0x49F2, "" },
//  { 0x49F3, "" },
//  { 0x49F4, "" },
//  { 0x49F5, "" },
//  { 0x49F6, "" },
//  { 0x49F7, "" },
//  { 0x49F8, "" },
//  { 0x49F9, "" },
//  { 0x49FA, "" },
//  { 0x49FB, "" },
//  { 0x49FC, "" },
//  { 0x49FD, "" },
//  { 0x49FE, "" },
//  { 0x49FF, "" },
//  { 0x4A00, "" },
//  { 0x4A01, "" },
//  { 0x4A02, "" },
//  { 0x4A03, "" },
//  { 0x4A04, "" },
//  { 0x4A05, "" },
//  { 0x4A06, "" },
//  { 0x4A07, "" },
//  { 0x4A08, "" },
//  { 0x4A09, "" },
//  { 0x4A0A, "" },
//  { 0x4A0B, "" },
//  { 0x4A0C, "" },
//  { 0x4A0D, "" },
//  { 0x4A0E, "" },
//  { 0x4A0F, "" },
//  { 0x4A10, "" },
//  { 0x4A11, "" },
//  { 0x4A12, "" },
//  { 0x4A13, "" },
//  { 0x4A14, "" },
//  { 0x4A15, "" },
//  { 0x4A16, "" },
//  { 0x4A17, "" },
//  { 0x4A18, "" },
//  { 0x4A19, "" },
//  { 0x4A1A, "" },
//  { 0x4A1B, "" },
//  { 0x4A1C, "" },
//  { 0x4A1D, "" },
//  { 0x4A1E, "" },
//  { 0x4A1F, "" },
//  { 0x4A20, "" },
//  { 0x4A21, "" },
//  { 0x4A22, "" },
//  { 0x4A23, "" },
//  { 0x4A24, "" },
//  { 0x4A25, "" },
//  { 0x4A26, "" },
//  { 0x4A27, "" },
//  { 0x4A28, "" },
//  { 0x4A29, "" },
//  { 0x4A2A, "" },
//  { 0x4A2B, "" },
//  { 0x4A2C, "" },
//  { 0x4A2D, "" },
//  { 0x4A2E, "" },
//  { 0x4A2F, "" },
//  { 0x4A30, "" },
//  { 0x4A31, "" },
//  { 0x4A32, "" },
//  { 0x4A33, "" },
//  { 0x4A34, "" },
//  { 0x4A35, "" },
//  { 0x4A36, "" },
//  { 0x4A37, "" },
//  { 0x4A38, "" },
//  { 0x4A39, "" },
//  { 0x4A3A, "" },
//  { 0x4A3B, "" },
//  { 0x4A3C, "" },
//  { 0x4A3D, "" },
//  { 0x4A3E, "" },
//  { 0x4A3F, "" },
//  { 0x4A40, "" },
//  { 0x4A41, "" },
//  { 0x4A42, "" },
//  { 0x4A43, "" },
//  { 0x4A44, "" },
//  { 0x4A45, "" },
//  { 0x4A46, "" },
//  { 0x4A47, "" },
//  { 0x4A48, "" },
//  { 0x4A49, "" },
//  { 0x4A4A, "" },
    { 0x4A4B, "maps/_ocean" },
//  { 0x4A4C, "" },
//  { 0x4A4D, "" },
//  { 0x4A4E, "" },
//  { 0x4A4F, "" },
//  { 0x4A50, "" },
//  { 0x4A51, "" },
//  { 0x4A52, "" },
//  { 0x4A53, "" },
//  { 0x4A54, "" },
//  { 0x4A55, "" },
//  { 0x4A56, "" },
//  { 0x4A57, "" },
//  { 0x4A58, "" },
//  { 0x4A59, "" },
//  { 0x4A5A, "" },
//  { 0x4A5B, "" },
//  { 0x4A5C, "" },
//  { 0x4A5D, "" },
//  { 0x4A5E, "" },
//  { 0x4A5F, "" },
//  { 0x4A60, "" },
//  { 0x4A61, "" },
//  { 0x4A62, "" },
//  { 0x4A63, "" },
//  { 0x4A64, "" },
//  { 0x4A65, "" },
//  { 0x4A66, "" },
//  { 0x4A67, "" },
//  { 0x4A68, "" },
//  { 0x4A69, "" },
//  { 0x4A6A, "" },
//  { 0x4A6B, "" },
//  { 0x4A6C, "" },
//  { 0x4A6D, "" },
//  { 0x4A6E, "" },
//  { 0x4A6F, "" },
//  { 0x4A70, "" },
//  { 0x4A71, "" },
//  { 0x4A72, "" },
//  { 0x4A73, "" },
//  { 0x4A74, "" },
//  { 0x4A75, "" },
//  { 0x4A76, "" },
//  { 0x4A77, "" },
//  { 0x4A78, "" },
//  { 0x4A79, "" },
//  { 0x4A7A, "" },
//  { 0x4A7B, "" },
//  { 0x4A7C, "" },
//  { 0x4A7D, "" },
//  { 0x4A7E, "" },
//  { 0x4A7F, "" },
//  { 0x4A80, "" },
//  { 0x4A81, "" },
//  { 0x4A82, "" },
//  { 0x4A83, "" },
//  { 0x4A84, "" },
//  { 0x4A85, "" },
//  { 0x4A86, "" },
//  { 0x4A87, "" },
//  { 0x4A88, "" },
//  { 0x4A89, "" },
//  { 0x4A8A, "" },
//  { 0x4A8B, "" },
//  { 0x4A8C, "" },
//  { 0x4A8D, "" },
//  { 0x4A8E, "" },
//  { 0x4A8F, "" },
//  { 0x4A90, "" },
//  { 0x4A91, "" },
//  { 0x4A92, "" },
//  { 0x4A93, "" },
//  { 0x4A94, "" },
//  { 0x4A95, "" },
//  { 0x4A96, "" },
//  { 0x4A97, "" },
//  { 0x4A98, "" },
//  { 0x4A99, "" },
//  { 0x4A9A, "" },
//  { 0x4A9B, "" },
//  { 0x4A9C, "" },
//  { 0x4A9D, "" },
//  { 0x4A9E, "" },
//  { 0x4A9F, "" },
//  { 0x4AA0, "" },
//  { 0x4AA1, "" },
//  { 0x4AA2, "" },
//  { 0x4AA3, "" },
//  { 0x4AA4, "" },
//  { 0x4AA5, "" },
//  { 0x4AA6, "" },
//  { 0x4AA7, "" },
//  { 0x4AA8, "" },
//  { 0x4AA9, "" },
//  { 0x4AAA, "" },
//  { 0x4AAB, "" },
//  { 0x4AAC, "" },
//  { 0x4AAD, "" },
//  { 0x4AAE, "" },
//  { 0x4AAF, "" },
//  { 0x4AB0, "" },
//  { 0x4AB1, "" },
//  { 0x4AB2, "" },
//  { 0x4AB3, "" },
//  { 0x4AB4, "" },
//  { 0x4AB5, "" },
//  { 0x4AB6, "" },
//  { 0x4AB7, "" },
//  { 0x4AB8, "" },
//  { 0x4AB9, "" },
//  { 0x4ABA, "" },
//  { 0x4ABB, "" },
//  { 0x4ABC, "" },
//  { 0x4ABD, "" },
//  { 0x4ABE, "" },
//  { 0x4ABF, "" },
//  { 0x4AC0, "" },
//  { 0x4AC1, "" },
//  { 0x4AC2, "" },
//  { 0x4AC3, "" },
//  { 0x4AC4, "" },
//  { 0x4AC5, "" },
//  { 0x4AC6, "" },
//  { 0x4AC7, "" },
//  { 0x4AC8, "" },
//  { 0x4AC9, "" },
//  { 0x4ACA, "" },
//  { 0x4ACB, "" },
//  { 0x4ACC, "" },
//  { 0x4ACD, "" },
//  { 0x4ACE, "" },
//  { 0x4ACF, "" },
//  { 0x4AD0, "" },
//  { 0x4AD1, "" },
//  { 0x4AD2, "" },
//  { 0x4AD3, "" },
//  { 0x4AD4, "" },
//  { 0x4AD5, "" },
//  { 0x4AD6, "" },
//  { 0x4AD7, "" },
//  { 0x4AD8, "" },
//  { 0x4AD9, "" },
//  { 0x4ADA, "" },
//  { 0x4ADB, "" },
//  { 0x4ADC, "" },
//  { 0x4ADD, "" },
//  { 0x4ADE, "" },
//  { 0x4ADF, "" },
//  { 0x4AE0, "" },
//  { 0x4AE1, "" },
//  { 0x4AE2, "" },
//  { 0x4AE3, "" },
//  { 0x4AE4, "" },
//  { 0x4AE5, "" },
//  { 0x4AE6, "" },
//  { 0x4AE7, "" },
//  { 0x4AE8, "" },
//  { 0x4AE9, "" },
//  { 0x4AEA, "" },
//  { 0x4AEB, "" },
//  { 0x4AEC, "" },
//  { 0x4AED, "" },
//  { 0x4AEE, "" },
//  { 0x4AEF, "" },
//  { 0x4AF0, "" },
//  { 0x4AF1, "" },
//  { 0x4AF2, "" },
//  { 0x4AF3, "" },
//  { 0x4AF4, "" },
//  { 0x4AF5, "" },
//  { 0x4AF6, "" },
//  { 0x4AF7, "" },
//  { 0x4AF8, "" },
//  { 0x4AF9, "" },
//  { 0x4AFA, "" },
//  { 0x4AFB, "" },
//  { 0x4AFC, "" },
//  { 0x4AFD, "" },
//  { 0x4AFE, "" },
//  { 0x4AFF, "" },
//  { 0x4B00, "" },
//  { 0x4B01, "" },
//  { 0x4B02, "" },
//  { 0x4B03, "" },
//  { 0x4B04, "" },
//  { 0x4B05, "" },
//  { 0x4B06, "" },
//  { 0x4B07, "" },
//  { 0x4B08, "" },
//  { 0x4B09, "" },
//  { 0x4B0A, "" },
//  { 0x4B0B, "" },
//  { 0x4B0C, "" },
//  { 0x4B0D, "" },
//  { 0x4B0E, "" },
//  { 0x4B0F, "" },
//  { 0x4B10, "" },
//  { 0x4B11, "" },
//  { 0x4B12, "" },
//  { 0x4B13, "" },
//  { 0x4B14, "" },
//  { 0x4B15, "" },
//  { 0x4B16, "" },
//  { 0x4B17, "" },
//  { 0x4B18, "" },
//  { 0x4B19, "" },
//  { 0x4B1A, "" },
//  { 0x4B1B, "" },
//  { 0x4B1C, "" },
//  { 0x4B1D, "" },
//  { 0x4B1E, "" },
//  { 0x4B1F, "" },
//  { 0x4B20, "" },
//  { 0x4B21, "" },
//  { 0x4B22, "" },
//  { 0x4B23, "" },
//  { 0x4B24, "" },
//  { 0x4B25, "" },
//  { 0x4B26, "" },
//  { 0x4B27, "" },
//  { 0x4B28, "" },
//  { 0x4B29, "" },
//  { 0x4B2A, "" },
//  { 0x4B2B, "" },
//  { 0x4B2C, "" },
//  { 0x4B2D, "" },
//  { 0x4B2E, "" },
//  { 0x4B2F, "" },
//  { 0x4B30, "" },
//  { 0x4B31, "" },
//  { 0x4B32, "" },
//  { 0x4B33, "" },
//  { 0x4B34, "" },
//  { 0x4B35, "" },
//  { 0x4B36, "" },
//  { 0x4B37, "" },
//  { 0x4B38, "" },
//  { 0x4B39, "" },
//  { 0x4B3A, "" },
//  { 0x4B3B, "" },
//  { 0x4B3C, "" },
//  { 0x4B3D, "" },
//  { 0x4B3E, "" },
//  { 0x4B3F, "" },
//  { 0x4B40, "" },
//  { 0x4B41, "" },
//  { 0x4B42, "" },
//  { 0x4B43, "" },
//  { 0x4B44, "" },
//  { 0x4B45, "" },
//  { 0x4B46, "" },
//  { 0x4B47, "" },
//  { 0x4B48, "" },
//  { 0x4B49, "" },
//  { 0x4B4A, "" },
//  { 0x4B4B, "" },
//  { 0x4B4C, "" },
//  { 0x4B4D, "" },
//  { 0x4B4E, "" },
//  { 0x4B4F, "" },
//  { 0x4B50, "" },
//  { 0x4B51, "" },
//  { 0x4B52, "" },
//  { 0x4B53, "" },
//  { 0x4B54, "" },
//  { 0x4B55, "" },
//  { 0x4B56, "" },
//  { 0x4B57, "" },
//  { 0x4B58, "" },
//  { 0x4B59, "" },
//  { 0x4B5A, "" },
//  { 0x4B5B, "" },
//  { 0x4B5C, "" },
//  { 0x4B5D, "" },
//  { 0x4B5E, "" },
//  { 0x4B5F, "" },
//  { 0x4B60, "" },
//  { 0x4B61, "" },
//  { 0x4B62, "" },
//  { 0x4B63, "" },
//  { 0x4B64, "" },
//  { 0x4B65, "" },
//  { 0x4B66, "" },
//  { 0x4B67, "" },
//  { 0x4B68, "" },
//  { 0x4B69, "" },
//  { 0x4B6A, "" },
//  { 0x4B6B, "" },
//  { 0x4B6C, "" },
//  { 0x4B6D, "" },
//  { 0x4B6E, "" },
//  { 0x4B6F, "" },
//  { 0x4B70, "" },
//  { 0x4B71, "" },
//  { 0x4B72, "" },
//  { 0x4B73, "" },
//  { 0x4B74, "" },
//  { 0x4B75, "" },
//  { 0x4B76, "" },
//  { 0x4B77, "" },
//  { 0x4B78, "" },
//  { 0x4B79, "" },
//  { 0x4B7A, "" },
//  { 0x4B7B, "" },
//  { 0x4B7C, "" },
//  { 0x4B7D, "" },
//  { 0x4B7E, "" },
//  { 0x4B7F, "" },
//  { 0x4B80, "" },
//  { 0x4B81, "" },
//  { 0x4B82, "" },
//  { 0x4B83, "" },
//  { 0x4B84, "" },
//  { 0x4B85, "" },
//  { 0x4B86, "" },
//  { 0x4B87, "" },
//  { 0x4B88, "" },
//  { 0x4B89, "" },
//  { 0x4B8A, "" },
//  { 0x4B8B, "" },
//  { 0x4B8C, "" },
//  { 0x4B8D, "" },
//  { 0x4B8E, "" },
//  { 0x4B8F, "" },
//  { 0x4B90, "" },
//  { 0x4B91, "" },
//  { 0x4B92, "" },
//  { 0x4B93, "" },
//  { 0x4B94, "" },
//  { 0x4B95, "" },
//  { 0x4B96, "" },
//  { 0x4B97, "" },
//  { 0x4B98, "" },
//  { 0x4B99, "" },
//  { 0x4B9A, "" },
//  { 0x4B9B, "" },
//  { 0x4B9C, "" },
//  { 0x4B9D, "" },
//  { 0x4B9E, "" },
//  { 0x4B9F, "" },
//  { 0x4BA0, "" },
//  { 0x4BA1, "" },
//  { 0x4BA2, "" },
//  { 0x4BA3, "" },
//  { 0x4BA4, "" },
//  { 0x4BA5, "" },
//  { 0x4BA6, "" },
//  { 0x4BA7, "" },
//  { 0x4BA8, "" },
//  { 0x4BA9, "" },
//  { 0x4BAA, "" },
//  { 0x4BAB, "" },
//  { 0x4BAC, "" },
//  { 0x4BAD, "" },
//  { 0x4BAE, "" },
//  { 0x4BAF, "" },
//  { 0x4BB0, "" },
//  { 0x4BB1, "" },
//  { 0x4BB2, "" },
//  { 0x4BB3, "" },
//  { 0x4BB4, "" },
//  { 0x4BB5, "" },
//  { 0x4BB6, "" },
//  { 0x4BB7, "" },
//  { 0x4BB8, "" },
//  { 0x4BB9, "" },
//  { 0x4BBA, "" },
//  { 0x4BBB, "" },
//  { 0x4BBC, "" },
//  { 0x4BBD, "" },
//  { 0x4BBE, "" },
//  { 0x4BBF, "" },
//  { 0x4BC0, "" },
//  { 0x4BC1, "" },
//  { 0x4BC2, "" },
//  { 0x4BC3, "" },
//  { 0x4BC4, "" },
//  { 0x4BC5, "" },
//  { 0x4BC6, "" },
//  { 0x4BC7, "" },
//  { 0x4BC8, "" },
//  { 0x4BC9, "" },
//  { 0x4BCA, "" },
//  { 0x4BCB, "" },
//  { 0x4BCC, "" },
//  { 0x4BCD, "" },
//  { 0x4BCE, "" },
//  { 0x4BCF, "" },
//  { 0x4BD0, "" },
//  { 0x4BD1, "" },
//  { 0x4BD2, "" },
//  { 0x4BD3, "" },
//  { 0x4BD4, "" },
//  { 0x4BD5, "" },
//  { 0x4BD6, "" },
//  { 0x4BD7, "" },
//  { 0x4BD8, "" },
//  { 0x4BD9, "" },
//  { 0x4BDA, "" },
//  { 0x4BDB, "" },
//  { 0x4BDC, "" },
//  { 0x4BDD, "" },
//  { 0x4BDE, "" },
//  { 0x4BDF, "" },
//  { 0x4BE0, "" },
//  { 0x4BE1, "" },
//  { 0x4BE2, "" },
//  { 0x4BE3, "" },
//  { 0x4BE4, "" },
//  { 0x4BE5, "" },
//  { 0x4BE6, "" },
//  { 0x4BE7, "" },
//  { 0x4BE8, "" },
//  { 0x4BE9, "" },
//  { 0x4BEA, "" },
//  { 0x4BEB, "" },
//  { 0x4BEC, "" },
//  { 0x4BED, "" },
//  { 0x4BEE, "" },
//  { 0x4BEF, "" },
//  { 0x4BF0, "" },
//  { 0x4BF1, "" },
//  { 0x4BF2, "" },
//  { 0x4BF3, "" },
//  { 0x4BF4, "" },
//  { 0x4BF5, "" },
//  { 0x4BF6, "" },
//  { 0x4BF7, "" },
//  { 0x4BF8, "" },
//  { 0x4BF9, "" },
//  { 0x4BFA, "" },
//  { 0x4BFB, "" },
//  { 0x4BFC, "" },
//  { 0x4BFD, "" },
//  { 0x4BFE, "" },
//  { 0x4BFF, "" },
//  { 0x4C00, "" },
//  { 0x4C01, "" },
//  { 0x4C02, "" },
//  { 0x4C03, "" },
//  { 0x4C04, "" },
//  { 0x4C05, "" },
//  { 0x4C06, "" },
//  { 0x4C07, "" },
//  { 0x4C08, "" },
//  { 0x4C09, "" },
//  { 0x4C0A, "" },
//  { 0x4C0B, "" },
//  { 0x4C0C, "" },
//  { 0x4C0D, "" },
//  { 0x4C0E, "" },
//  { 0x4C0F, "" },
//  { 0x4C10, "" },
//  { 0x4C11, "" },
//  { 0x4C12, "" },
//  { 0x4C13, "" },
//  { 0x4C14, "" },
//  { 0x4C15, "" },
//  { 0x4C16, "" },
//  { 0x4C17, "" },
//  { 0x4C18, "" },
//  { 0x4C19, "" },
//  { 0x4C1A, "" },
//  { 0x4C1B, "" },
//  { 0x4C1C, "" },
//  { 0x4C1D, "" },
//  { 0x4C1E, "" },
//  { 0x4C1F, "" },
//  { 0x4C20, "" },
//  { 0x4C21, "" },
//  { 0x4C22, "" },
//  { 0x4C23, "" },
//  { 0x4C24, "" },
//  { 0x4C25, "" },
//  { 0x4C26, "" },
//  { 0x4C27, "" },
//  { 0x4C28, "" },
//  { 0x4C29, "" },
//  { 0x4C2A, "" },
//  { 0x4C2B, "" },
//  { 0x4C2C, "" },
//  { 0x4C2D, "" },
//  { 0x4C2E, "" },
//  { 0x4C2F, "" },
//  { 0x4C30, "" },
//  { 0x4C31, "" },
//  { 0x4C32, "" },
//  { 0x4C33, "" },
//  { 0x4C34, "" },
//  { 0x4C35, "" },
//  { 0x4C36, "" },
//  { 0x4C37, "" },
//  { 0x4C38, "" },
//  { 0x4C39, "" },
//  { 0x4C3A, "" },
//  { 0x4C3B, "" },
//  { 0x4C3C, "" },
//  { 0x4C3D, "" },
//  { 0x4C3E, "" },
//  { 0x4C3F, "" },
//  { 0x4C40, "" },
//  { 0x4C41, "" },
//  { 0x4C42, "" },
//  { 0x4C43, "" },
//  { 0x4C44, "" },
//  { 0x4C45, "" },
//  { 0x4C46, "" },
//  { 0x4C47, "" },
//  { 0x4C48, "" },
//  { 0x4C49, "" },
//  { 0x4C4A, "" },
//  { 0x4C4B, "" },
//  { 0x4C4C, "" },
//  { 0x4C4D, "" },
//  { 0x4C4E, "" },
//  { 0x4C4F, "" },
//  { 0x4C50, "" },
//  { 0x4C51, "" },
//  { 0x4C52, "" },
//  { 0x4C53, "" },
//  { 0x4C54, "" },
//  { 0x4C55, "" },
//  { 0x4C56, "" },
//  { 0x4C57, "" },
//  { 0x4C58, "" },
//  { 0x4C59, "" },
//  { 0x4C5A, "" },
//  { 0x4C5B, "" },
//  { 0x4C5C, "" },
//  { 0x4C5D, "" },
//  { 0x4C5E, "" },
//  { 0x4C5F, "" },
//  { 0x4C60, "" },
//  { 0x4C61, "" },
//  { 0x4C62, "" },
//  { 0x4C63, "" },
//  { 0x4C64, "" },
//  { 0x4C65, "" },
//  { 0x4C66, "" },
//  { 0x4C67, "" },
//  { 0x4C68, "" },
//  { 0x4C69, "" },
//  { 0x4C6A, "" },
//  { 0x4C6B, "" },
//  { 0x4C6C, "" },
//  { 0x4C6D, "" },
//  { 0x4C6E, "" },
//  { 0x4C6F, "" },
//  { 0x4C70, "" },
//  { 0x4C71, "" },
//  { 0x4C72, "" },
//  { 0x4C73, "" },
//  { 0x4C74, "" },
//  { 0x4C75, "" },
//  { 0x4C76, "" },
//  { 0x4C77, "" },
//  { 0x4C78, "" },
//  { 0x4C79, "" },
//  { 0x4C7A, "" },
//  { 0x4C7B, "" },
//  { 0x4C7C, "" },
//  { 0x4C7D, "" },
//  { 0x4C7E, "" },
//  { 0x4C7F, "" },
//  { 0x4C80, "" },
//  { 0x4C81, "" },
//  { 0x4C82, "" },
//  { 0x4C83, "" },
//  { 0x4C84, "" },
//  { 0x4C85, "" },
//  { 0x4C86, "" },
//  { 0x4C87, "" },
//  { 0x4C88, "" },
//  { 0x4C89, "" },
//  { 0x4C8A, "" },
//  { 0x4C8B, "" },
//  { 0x4C8C, "" },
//  { 0x4C8D, "" },
//  { 0x4C8E, "" },
//  { 0x4C8F, "" },
//  { 0x4C90, "" },
//  { 0x4C91, "" },
//  { 0x4C92, "" },
//  { 0x4C93, "" },
//  { 0x4C94, "" },
//  { 0x4C95, "" },
//  { 0x4C96, "" },
//  { 0x4C97, "" },
//  { 0x4C98, "" },
//  { 0x4C99, "" },
//  { 0x4C9A, "" },
//  { 0x4C9B, "" },
//  { 0x4C9C, "" },
//  { 0x4C9D, "" },
//  { 0x4C9E, "" },
//  { 0x4C9F, "" },
//  { 0x4CA0, "" },
//  { 0x4CA1, "" },
//  { 0x4CA2, "" },
//  { 0x4CA3, "" },
//  { 0x4CA4, "" },
//  { 0x4CA5, "" },
//  { 0x4CA6, "" },
//  { 0x4CA7, "" },
//  { 0x4CA8, "" },
//  { 0x4CA9, "" },
//  { 0x4CAA, "" },
//  { 0x4CAB, "" },
//  { 0x4CAC, "" },
//  { 0x4CAD, "" },
//  { 0x4CAE, "" },
//  { 0x4CAF, "" },
//  { 0x4CB0, "" },
//  { 0x4CB1, "" },
//  { 0x4CB2, "" },
//  { 0x4CB3, "" },
//  { 0x4CB4, "" },
//  { 0x4CB5, "" },
//  { 0x4CB6, "" },
//  { 0x4CB7, "" },
//  { 0x4CB8, "" },
//  { 0x4CB9, "" },
//  { 0x4CBA, "" },
//  { 0x4CBB, "" },
//  { 0x4CBC, "" },
//  { 0x4CBD, "" },
//  { 0x4CBE, "" },
//  { 0x4CBF, "" },
//  { 0x4CC0, "" },
//  { 0x4CC1, "" },
//  { 0x4CC2, "" },
//  { 0x4CC3, "" },
//  { 0x4CC4, "" },
//  { 0x4CC5, "" },
//  { 0x4CC6, "" },
//  { 0x4CC7, "" },
//  { 0x4CC8, "" },
//  { 0x4CC9, "" },
//  { 0x4CCA, "" },
//  { 0x4CCB, "" },
//  { 0x4CCC, "" },
//  { 0x4CCD, "" },
//  { 0x4CCE, "" },
//  { 0x4CCF, "" },
//  { 0x4CD0, "" },
//  { 0x4CD1, "" },
//  { 0x4CD2, "" },
//  { 0x4CD3, "" },
//  { 0x4CD4, "" },
//  { 0x4CD5, "" },
//  { 0x4CD6, "" },
//  { 0x4CD7, "" },
//  { 0x4CD8, "" },
//  { 0x4CD9, "" },
//  { 0x4CDA, "" },
//  { 0x4CDB, "" },
//  { 0x4CDC, "" },
//  { 0x4CDD, "" },
//  { 0x4CDE, "" },
//  { 0x4CDF, "" },
//  { 0x4CE0, "" },
//  { 0x4CE1, "" },
//  { 0x4CE2, "" },
//  { 0x4CE3, "" },
//  { 0x4CE4, "" },
//  { 0x4CE5, "" },
//  { 0x4CE6, "" },
//  { 0x4CE7, "" },
//  { 0x4CE8, "" },
//  { 0x4CE9, "" },
//  { 0x4CEA, "" },
//  { 0x4CEB, "" },
//  { 0x4CEC, "" },
//  { 0x4CED, "" },
//  { 0x4CEE, "" },
//  { 0x4CEF, "" },
//  { 0x4CF0, "" },
//  { 0x4CF1, "" },
//  { 0x4CF2, "" },
//  { 0x4CF3, "" },
//  { 0x4CF4, "" },
//  { 0x4CF5, "" },
//  { 0x4CF6, "" },
//  { 0x4CF7, "" },
//  { 0x4CF8, "" },
//  { 0x4CF9, "" },
//  { 0x4CFA, "" },
//  { 0x4CFB, "" },
//  { 0x4CFC, "" },
//  { 0x4CFD, "" },
//  { 0x4CFE, "" },
//  { 0x4CFF, "" },
//  { 0x4D00, "" },
//  { 0x4D01, "" },
//  { 0x4D02, "" },
//  { 0x4D03, "" },
//  { 0x4D04, "" },
//  { 0x4D05, "" },
//  { 0x4D06, "" },
//  { 0x4D07, "" },
//  { 0x4D08, "" },
//  { 0x4D09, "" },
//  { 0x4D0A, "" },
//  { 0x4D0B, "" },
//  { 0x4D0C, "" },
//  { 0x4D0D, "" },
//  { 0x4D0E, "" },
//  { 0x4D0F, "" },
//  { 0x4D10, "" },
//  { 0x4D11, "" },
//  { 0x4D12, "" },
//  { 0x4D13, "" },
//  { 0x4D14, "" },
//  { 0x4D15, "" },
//  { 0x4D16, "" },
//  { 0x4D17, "" },
//  { 0x4D18, "" },
//  { 0x4D19, "" },
//  { 0x4D1A, "" },
//  { 0x4D1B, "" },
//  { 0x4D1C, "" },
//  { 0x4D1D, "" },
//  { 0x4D1E, "" },
//  { 0x4D1F, "" },
//  { 0x4D20, "" },
//  { 0x4D21, "" },
//  { 0x4D22, "" },
//  { 0x4D23, "" },
//  { 0x4D24, "" },
//  { 0x4D25, "" },
//  { 0x4D26, "" },
//  { 0x4D27, "" },
//  { 0x4D28, "" },
//  { 0x4D29, "" },
//  { 0x4D2A, "" },
//  { 0x4D2B, "" },
//  { 0x4D2C, "" },
//  { 0x4D2D, "" },
//  { 0x4D2E, "" },
//  { 0x4D2F, "" },
//  { 0x4D30, "" },
//  { 0x4D31, "" },
//  { 0x4D32, "" },
//  { 0x4D33, "" },
//  { 0x4D34, "" },
//  { 0x4D35, "" },
//  { 0x4D36, "" },
//  { 0x4D37, "" },
//  { 0x4D38, "" },
//  { 0x4D39, "" },
//  { 0x4D3A, "" },
//  { 0x4D3B, "" },
//  { 0x4D3C, "" },
//  { 0x4D3D, "" },
//  { 0x4D3E, "" },
//  { 0x4D3F, "" },
//  { 0x4D40, "" },
//  { 0x4D41, "" },
//  { 0x4D42, "" },
//  { 0x4D43, "" },
//  { 0x4D44, "" },
//  { 0x4D45, "" },
//  { 0x4D46, "" },
//  { 0x4D47, "" },
//  { 0x4D48, "" },
//  { 0x4D49, "" },
//  { 0x4D4A, "" },
//  { 0x4D4B, "" },
//  { 0x4D4C, "" },
//  { 0x4D4D, "" },
//  { 0x4D4E, "" },
//  { 0x4D4F, "" },
//  { 0x4D50, "" },
//  { 0x4D51, "" },
//  { 0x4D52, "" },
//  { 0x4D53, "" },
//  { 0x4D54, "" },
//  { 0x4D55, "" },
//  { 0x4D56, "" },
//  { 0x4D57, "" },
//  { 0x4D58, "" },
//  { 0x4D59, "" },
//  { 0x4D5A, "" },
//  { 0x4D5B, "" },
//  { 0x4D5C, "" },
//  { 0x4D5D, "" },
//  { 0x4D5E, "" },
//  { 0x4D5F, "" },
//  { 0x4D60, "" },
//  { 0x4D61, "" },
//  { 0x4D62, "" },
//  { 0x4D63, "" },
//  { 0x4D64, "" },
//  { 0x4D65, "" },
//  { 0x4D66, "" },
//  { 0x4D67, "" },
//  { 0x4D68, "" },
//  { 0x4D69, "" },
//  { 0x4D6A, "" },
//  { 0x4D6B, "" },
//  { 0x4D6C, "" },
//  { 0x4D6D, "" },
//  { 0x4D6E, "" },
//  { 0x4D6F, "" },
//  { 0x4D70, "" },
//  { 0x4D71, "" },
//  { 0x4D72, "" },
//  { 0x4D73, "" },
//  { 0x4D74, "" },
//  { 0x4D75, "" },
//  { 0x4D76, "" },
//  { 0x4D77, "" },
//  { 0x4D78, "" },
//  { 0x4D79, "" },
//  { 0x4D7A, "" },
//  { 0x4D7B, "" },
//  { 0x4D7C, "" },
//  { 0x4D7D, "" },
//  { 0x4D7E, "" },
//  { 0x4D7F, "" },
//  { 0x4D80, "" },
//  { 0x4D81, "" },
//  { 0x4D82, "" },
//  { 0x4D83, "" },
//  { 0x4D84, "" },
//  { 0x4D85, "" },
//  { 0x4D86, "" },
//  { 0x4D87, "" },
//  { 0x4D88, "" },
//  { 0x4D89, "" },
//  { 0x4D8A, "" },
//  { 0x4D8B, "" },
//  { 0x4D8C, "" },
//  { 0x4D8D, "" },
//  { 0x4D8E, "" },
//  { 0x4D8F, "" },
//  { 0x4D90, "" },
//  { 0x4D91, "" },
//  { 0x4D92, "" },
//  { 0x4D93, "" },
//  { 0x4D94, "" },
//  { 0x4D95, "" },
//  { 0x4D96, "" },
//  { 0x4D97, "" },
//  { 0x4D98, "" },
//  { 0x4D99, "" },
//  { 0x4D9A, "" },
//  { 0x4D9B, "" },
//  { 0x4D9C, "" },
//  { 0x4D9D, "" },
//  { 0x4D9E, "" },
//  { 0x4D9F, "" },
//  { 0x4DA0, "" },
//  { 0x4DA1, "" },
//  { 0x4DA2, "" },
//  { 0x4DA3, "" },
//  { 0x4DA4, "" },
//  { 0x4DA5, "" },
//  { 0x4DA6, "" },
//  { 0x4DA7, "" },
//  { 0x4DA8, "" },
//  { 0x4DA9, "" },
//  { 0x4DAA, "" },
//  { 0x4DAB, "" },
//  { 0x4DAC, "" },
//  { 0x4DAD, "" },
//  { 0x4DAE, "" },
//  { 0x4DAF, "" },
//  { 0x4DB0, "" },
//  { 0x4DB1, "" },
//  { 0x4DB2, "" },
//  { 0x4DB3, "" },
//  { 0x4DB4, "" },
//  { 0x4DB5, "" },
//  { 0x4DB6, "" },
//  { 0x4DB7, "" },
//  { 0x4DB8, "" },
//  { 0x4DB9, "" },
//  { 0x4DBA, "" },
//  { 0x4DBB, "" },
//  { 0x4DBC, "" },
//  { 0x4DBD, "" },
//  { 0x4DBE, "" },
//  { 0x4DBF, "" },
//  { 0x4DC0, "" },
//  { 0x4DC1, "" },
//  { 0x4DC2, "" },
//  { 0x4DC3, "" },
//  { 0x4DC4, "" },
//  { 0x4DC5, "" },
//  { 0x4DC6, "" },
//  { 0x4DC7, "" },
//  { 0x4DC8, "" },
//  { 0x4DC9, "" },
//  { 0x4DCA, "" },
//  { 0x4DCB, "" },
//  { 0x4DCC, "" },
//  { 0x4DCD, "" },
//  { 0x4DCE, "" },
//  { 0x4DCF, "" },
//  { 0x4DD0, "" },
//  { 0x4DD1, "" },
//  { 0x4DD2, "" },
//  { 0x4DD3, "" },
//  { 0x4DD4, "" },
//  { 0x4DD5, "" },
//  { 0x4DD6, "" },
//  { 0x4DD7, "" },
//  { 0x4DD8, "" },
//  { 0x4DD9, "" },
//  { 0x4DDA, "" },
//  { 0x4DDB, "" },
//  { 0x4DDC, "" },
//  { 0x4DDD, "" },
//  { 0x4DDE, "" },
//  { 0x4DDF, "" },
//  { 0x4DE0, "" },
//  { 0x4DE1, "" },
//  { 0x4DE2, "" },
//  { 0x4DE3, "" },
//  { 0x4DE4, "" },
//  { 0x4DE5, "" },
//  { 0x4DE6, "" },
//  { 0x4DE7, "" },
//  { 0x4DE8, "" },
//  { 0x4DE9, "" },
//  { 0x4DEA, "" },
//  { 0x4DEB, "" },
//  { 0x4DEC, "" },
//  { 0x4DED, "" },
//  { 0x4DEE, "" },
//  { 0x4DEF, "" },
//  { 0x4DF0, "" },
//  { 0x4DF1, "" },
//  { 0x4DF2, "" },
//  { 0x4DF3, "" },
//  { 0x4DF4, "" },
//  { 0x4DF5, "" },
//  { 0x4DF6, "" },
//  { 0x4DF7, "" },
//  { 0x4DF8, "" },
//  { 0x4DF9, "" },
//  { 0x4DFA, "" },
//  { 0x4DFB, "" },
//  { 0x4DFC, "" },
//  { 0x4DFD, "" },
//  { 0x4DFE, "" },
//  { 0x4DFF, "" },
//  { 0x4E00, "" },
//  { 0x4E01, "" },
//  { 0x4E02, "" },
//  { 0x4E03, "" },
//  { 0x4E04, "" },
//  { 0x4E05, "" },
//  { 0x4E06, "" },
//  { 0x4E07, "" },
//  { 0x4E08, "" },
//  { 0x4E09, "" },
//  { 0x4E0A, "" },
//  { 0x4E0B, "" },
//  { 0x4E0C, "" },
//  { 0x4E0D, "" },
//  { 0x4E0E, "" },
//  { 0x4E0F, "" },
//  { 0x4E10, "" },
//  { 0x4E11, "" },
//  { 0x4E12, "" },
//  { 0x4E13, "" },
//  { 0x4E14, "" },
//  { 0x4E15, "" },
//  { 0x4E16, "" },
//  { 0x4E17, "" },
//  { 0x4E18, "" },
//  { 0x4E19, "" },
//  { 0x4E1A, "" },
//  { 0x4E1B, "" },
//  { 0x4E1C, "" },
//  { 0x4E1D, "" },
//  { 0x4E1E, "" },
//  { 0x4E1F, "" },
//  { 0x4E20, "" },
//  { 0x4E21, "" },
//  { 0x4E22, "" },
//  { 0x4E23, "" },
//  { 0x4E24, "" },
//  { 0x4E25, "" },
//  { 0x4E26, "" },
//  { 0x4E27, "" },
//  { 0x4E28, "" },
//  { 0x4E29, "" },
//  { 0x4E2A, "" },
//  { 0x4E2B, "" },
//  { 0x4E2C, "" },
//  { 0x4E2D, "" },
//  { 0x4E2E, "" },
//  { 0x4E2F, "" },
//  { 0x4E30, "" },
//  { 0x4E31, "" },
//  { 0x4E32, "" },
//  { 0x4E33, "" },
//  { 0x4E34, "" },
//  { 0x4E35, "" },
//  { 0x4E36, "" },
//  { 0x4E37, "" },
//  { 0x4E38, "" },
//  { 0x4E39, "" },
//  { 0x4E3A, "" },
//  { 0x4E3B, "" },
//  { 0x4E3C, "" },
//  { 0x4E3D, "" },
//  { 0x4E3E, "" },
//  { 0x4E3F, "" },
//  { 0x4E40, "" },
//  { 0x4E41, "" },
//  { 0x4E42, "" },
//  { 0x4E43, "" },
//  { 0x4E44, "" },
//  { 0x4E45, "" },
//  { 0x4E46, "" },
//  { 0x4E47, "" },
//  { 0x4E48, "" },
//  { 0x4E49, "" },
//  { 0x4E4A, "" },
//  { 0x4E4B, "" },
//  { 0x4E4C, "" },
//  { 0x4E4D, "" },
//  { 0x4E4E, "" },
//  { 0x4E4F, "" },
//  { 0x4E50, "" },
//  { 0x4E51, "" },
//  { 0x4E52, "" },
//  { 0x4E53, "" },
//  { 0x4E54, "" },
//  { 0x4E55, "" },
//  { 0x4E56, "" },
//  { 0x4E57, "" },
//  { 0x4E58, "" },
//  { 0x4E59, "" },
    { 0x4E5A, "a10_add_target" },
    { 0x4E5B, "a10_remove_target_ondeath" },
//  { 0x4E5C, "" },
//  { 0x4E5D, "" },
//  { 0x4E5E, "" },
//  { 0x4E5F, "" },
//  { 0x4E60, "" },
//  { 0x4E61, "" },
//  { 0x4E62, "" },
//  { 0x4E63, "" },
//  { 0x4E64, "" },
//  { 0x4E65, "" },
//  { 0x4E66, "" },
//  { 0x4E67, "" },
//  { 0x4E68, "" },
//  { 0x4E69, "" },
//  { 0x4E6A, "" },
//  { 0x4E6B, "" },
//  { 0x4E6C, "" },
//  { 0x4E6D, "" },
//  { 0x4E6E, "" },
//  { 0x4E6F, "" },
//  { 0x4E70, "" },
//  { 0x4E71, "" },
//  { 0x4E72, "" },
//  { 0x4E73, "" },
//  { 0x4E74, "" },
//  { 0x4E75, "" },
//  { 0x4E76, "" },
//  { 0x4E77, "" },
//  { 0x4E78, "" },
//  { 0x4E79, "" },
//  { 0x4E7A, "" },
//  { 0x4E7B, "" },
//  { 0x4E7C, "" },
//  { 0x4E7D, "" },
//  { 0x4E7E, "" },
//  { 0x4E7F, "" },
//  { 0x4E80, "" },
//  { 0x4E81, "" },
//  { 0x4E82, "" },
//  { 0x4E83, "" },
//  { 0x4E84, "" },
//  { 0x4E85, "" },
//  { 0x4E86, "" },
//  { 0x4E87, "" },
//  { 0x4E88, "" },
//  { 0x4E89, "" },
//  { 0x4E8A, "" },
//  { 0x4E8B, "" },
//  { 0x4E8C, "" },
//  { 0x4E8D, "" },
//  { 0x4E8E, "" },
//  { 0x4E8F, "" },
//  { 0x4E90, "" },
//  { 0x4E91, "" },
//  { 0x4E92, "" },
//  { 0x4E93, "" },
//  { 0x4E94, "" },
//  { 0x4E95, "" },
//  { 0x4E96, "" },
//  { 0x4E97, "" },
//  { 0x4E98, "" },
//  { 0x4E99, "" },
//  { 0x4E9A, "" },
//  { 0x4E9B, "" },
//  { 0x4E9C, "" },
//  { 0x4E9D, "" },
//  { 0x4E9E, "" },
//  { 0x4E9F, "" },
//  { 0x4EA0, "" },
//  { 0x4EA1, "" },
//  { 0x4EA2, "" },
//  { 0x4EA3, "" },
//  { 0x4EA4, "" },
//  { 0x4EA5, "" },
//  { 0x4EA6, "" },
//  { 0x4EA7, "" },
//  { 0x4EA8, "" },
//  { 0x4EA9, "" },
//  { 0x4EAA, "" },
//  { 0x4EAB, "" },
//  { 0x4EAC, "" },
//  { 0x4EAD, "" },
//  { 0x4EAE, "" },
//  { 0x4EAF, "" },
//  { 0x4EB0, "" },
//  { 0x4EB1, "" },
//  { 0x4EB2, "" },
//  { 0x4EB3, "" },
//  { 0x4EB4, "" },
//  { 0x4EB5, "" },
//  { 0x4EB6, "" },
//  { 0x4EB7, "" },
//  { 0x4EB8, "" },
//  { 0x4EB9, "" },
//  { 0x4EBA, "" },
//  { 0x4EBB, "" },
//  { 0x4EBC, "" },
//  { 0x4EBD, "" },
//  { 0x4EBE, "" },
//  { 0x4EBF, "" },
//  { 0x4EC0, "" },
//  { 0x4EC1, "" },
//  { 0x4EC2, "" },
//  { 0x4EC3, "" },
//  { 0x4EC4, "" },
//  { 0x4EC5, "" },
//  { 0x4EC6, "" },
//  { 0x4EC7, "" },
//  { 0x4EC8, "" },
//  { 0x4EC9, "" },
//  { 0x4ECA, "" },
//  { 0x4ECB, "" },
//  { 0x4ECC, "" },
//  { 0x4ECD, "" },
//  { 0x4ECE, "" },
//  { 0x4ECF, "" },
//  { 0x4ED0, "" },
//  { 0x4ED1, "" },
//  { 0x4ED2, "" },
//  { 0x4ED3, "" },
//  { 0x4ED4, "" },
//  { 0x4ED5, "" },
//  { 0x4ED6, "" },
//  { 0x4ED7, "" },
//  { 0x4ED8, "" },
//  { 0x4ED9, "" },
//  { 0x4EDA, "" },
//  { 0x4EDB, "" },
//  { 0x4EDC, "" },
//  { 0x4EDD, "" },
//  { 0x4EDE, "" },
//  { 0x4EDF, "" },
//  { 0x4EE0, "" },
//  { 0x4EE1, "" },
//  { 0x4EE2, "" },
//  { 0x4EE3, "" },
//  { 0x4EE4, "" },
//  { 0x4EE5, "" },
//  { 0x4EE6, "" },
//  { 0x4EE7, "" },
//  { 0x4EE8, "" },
//  { 0x4EE9, "" },
//  { 0x4EEA, "" },
//  { 0x4EEB, "" },
//  { 0x4EEC, "" },
//  { 0x4EED, "" },
//  { 0x4EEE, "" },
//  { 0x4EEF, "" },
//  { 0x4EF0, "" },
//  { 0x4EF1, "" },
//  { 0x4EF2, "" },
//  { 0x4EF3, "" },
//  { 0x4EF4, "" },
//  { 0x4EF5, "" },
//  { 0x4EF6, "" },
//  { 0x4EF7, "" },
//  { 0x4EF8, "" },
//  { 0x4EF9, "" },
//  { 0x4EFA, "" },
//  { 0x4EFB, "" },
//  { 0x4EFC, "" },
//  { 0x4EFD, "" },
//  { 0x4EFE, "" },
//  { 0x4EFF, "" },
//  { 0x4F00, "" },
//  { 0x4F01, "" },
//  { 0x4F02, "" },
//  { 0x4F03, "" },
//  { 0x4F04, "" },
//  { 0x4F05, "" },
//  { 0x4F06, "" },
//  { 0x4F07, "" },
//  { 0x4F08, "" },
//  { 0x4F09, "" },
//  { 0x4F0A, "" },
//  { 0x4F0B, "" },
//  { 0x4F0C, "" },
//  { 0x4F0D, "" },
//  { 0x4F0E, "" },
//  { 0x4F0F, "" },
//  { 0x4F10, "" },
//  { 0x4F11, "" },
//  { 0x4F12, "" },
//  { 0x4F13, "" },
//  { 0x4F14, "" },
//  { 0x4F15, "" },
//  { 0x4F16, "" },
//  { 0x4F17, "" },
//  { 0x4F18, "" },
//  { 0x4F19, "" },
//  { 0x4F1A, "" },
//  { 0x4F1B, "" },
//  { 0x4F1C, "" },
//  { 0x4F1D, "" },
//  { 0x4F1E, "" },
//  { 0x4F1F, "" },
//  { 0x4F20, "" },
//  { 0x4F21, "" },
//  { 0x4F22, "" },
    { 0x4F23, "maps/createart/berlin_art" },
//  { 0x4F24, "" },
//  { 0x4F25, "" },
//  { 0x4F26, "" },
//  { 0x4F27, "" },
//  { 0x4F28, "" },
//  { 0x4F29, "" },
//  { 0x4F2A, "" },
//  { 0x4F2B, "" },
//  { 0x4F2C, "" },
//  { 0x4F2D, "" },
//  { 0x4F2E, "" },
//  { 0x4F2F, "" },
//  { 0x4F30, "" },
//  { 0x4F31, "" },
//  { 0x4F32, "" },
//  { 0x4F33, "" },
//  { 0x4F34, "" },
//  { 0x4F35, "" },
//  { 0x4F36, "" },
//  { 0x4F37, "" },
//  { 0x4F38, "" },
//  { 0x4F39, "" },
//  { 0x4F3A, "" },
//  { 0x4F3B, "" },
//  { 0x4F3C, "" },
//  { 0x4F3D, "" },
//  { 0x4F3E, "" },
//  { 0x4F3F, "" },
//  { 0x4F40, "" },
//  { 0x4F41, "" },
//  { 0x4F42, "" },
//  { 0x4F43, "" },
//  { 0x4F44, "" },
//  { 0x4F45, "" },
//  { 0x4F46, "" },
//  { 0x4F47, "" },
//  { 0x4F48, "" },
//  { 0x4F49, "" },
//  { 0x4F4A, "" },
//  { 0x4F4B, "" },
//  { 0x4F4C, "" },
//  { 0x4F4D, "" },
//  { 0x4F4E, "" },
//  { 0x4F4F, "" },
//  { 0x4F50, "" },
//  { 0x4F51, "" },
//  { 0x4F52, "" },
//  { 0x4F53, "" },
//  { 0x4F54, "" },
//  { 0x4F55, "" },
//  { 0x4F56, "" },
//  { 0x4F57, "" },
//  { 0x4F58, "" },
//  { 0x4F59, "" },
//  { 0x4F5A, "" },
//  { 0x4F5B, "" },
//  { 0x4F5C, "" },
//  { 0x4F5D, "" },
//  { 0x4F5E, "" },
//  { 0x4F5F, "" },
//  { 0x4F60, "" },
//  { 0x4F61, "" },
//  { 0x4F62, "" },
//  { 0x4F63, "" },
//  { 0x4F64, "" },
//  { 0x4F65, "" },
//  { 0x4F66, "" },
//  { 0x4F67, "" },
//  { 0x4F68, "" },
//  { 0x4F69, "" },
//  { 0x4F6A, "" },
//  { 0x4F6B, "" },
//  { 0x4F6C, "" },
//  { 0x4F6D, "" },
//  { 0x4F6E, "" },
//  { 0x4F6F, "" },
//  { 0x4F70, "" },
//  { 0x4F71, "" },
//  { 0x4F72, "" },
//  { 0x4F73, "" },
//  { 0x4F74, "" },
//  { 0x4F75, "" },
//  { 0x4F76, "" },
//  { 0x4F77, "" },
//  { 0x4F78, "" },
//  { 0x4F79, "" },
//  { 0x4F7A, "" },
//  { 0x4F7B, "" },
//  { 0x4F7C, "" },
//  { 0x4F7D, "" },
//  { 0x4F7E, "" },
//  { 0x4F7F, "" },
//  { 0x4F80, "" },
//  { 0x4F81, "" },
//  { 0x4F82, "" },
//  { 0x4F83, "" },
//  { 0x4F84, "" },
//  { 0x4F85, "" },
//  { 0x4F86, "" },
//  { 0x4F87, "" },
//  { 0x4F88, "" },
//  { 0x4F89, "" },
//  { 0x4F8A, "" },
//  { 0x4F8B, "" },
//  { 0x4F8C, "" },
//  { 0x4F8D, "" },
//  { 0x4F8E, "" },
//  { 0x4F8F, "" },
//  { 0x4F90, "" },
//  { 0x4F91, "" },
//  { 0x4F92, "" },
//  { 0x4F93, "" },
//  { 0x4F94, "" },
//  { 0x4F95, "" },
//  { 0x4F96, "" },
//  { 0x4F97, "" },
//  { 0x4F98, "" },
//  { 0x4F99, "" },
//  { 0x4F9A, "" },
//  { 0x4F9B, "" },
//  { 0x4F9C, "" },
//  { 0x4F9D, "" },
//  { 0x4F9E, "" },
//  { 0x4F9F, "" },
//  { 0x4FA0, "" },
//  { 0x4FA1, "" },
//  { 0x4FA2, "" },
//  { 0x4FA3, "" },
//  { 0x4FA4, "" },
//  { 0x4FA5, "" },
//  { 0x4FA6, "" },
//  { 0x4FA7, "" },
//  { 0x4FA8, "" },
//  { 0x4FA9, "" },
//  { 0x4FAA, "" },
//  { 0x4FAB, "" },
//  { 0x4FAC, "" },
//  { 0x4FAD, "" },
//  { 0x4FAE, "" },
//  { 0x4FAF, "" },
//  { 0x4FB0, "" },
//  { 0x4FB1, "" },
//  { 0x4FB2, "" },
//  { 0x4FB3, "" },
//  { 0x4FB4, "" },
//  { 0x4FB5, "" },
//  { 0x4FB6, "" },
//  { 0x4FB7, "" },
//  { 0x4FB8, "" },
//  { 0x4FB9, "" },
//  { 0x4FBA, "" },
//  { 0x4FBB, "" },
//  { 0x4FBC, "" },
//  { 0x4FBD, "" },
//  { 0x4FBE, "" },
//  { 0x4FBF, "" },
//  { 0x4FC0, "" },
//  { 0x4FC1, "" },
//  { 0x4FC2, "" },
//  { 0x4FC3, "" },
//  { 0x4FC4, "" },
//  { 0x4FC5, "" },
//  { 0x4FC6, "" },
//  { 0x4FC7, "" },
//  { 0x4FC8, "" },
//  { 0x4FC9, "" },
//  { 0x4FCA, "" },
//  { 0x4FCB, "" },
//  { 0x4FCC, "" },
//  { 0x4FCD, "" },
//  { 0x4FCE, "" },
//  { 0x4FCF, "" },
//  { 0x4FD0, "" },
//  { 0x4FD1, "" },
//  { 0x4FD2, "" },
//  { 0x4FD3, "" },
//  { 0x4FD4, "" },
//  { 0x4FD5, "" },
//  { 0x4FD6, "" },
//  { 0x4FD7, "" },
//  { 0x4FD8, "" },
//  { 0x4FD9, "" },
//  { 0x4FDA, "" },
//  { 0x4FDB, "" },
//  { 0x4FDC, "" },
//  { 0x4FDD, "" },
//  { 0x4FDE, "" },
//  { 0x4FDF, "" },
//  { 0x4FE0, "" },
//  { 0x4FE1, "" },
//  { 0x4FE2, "" },
//  { 0x4FE3, "" },
//  { 0x4FE4, "" },
//  { 0x4FE5, "" },
//  { 0x4FE6, "" },
//  { 0x4FE7, "" },
//  { 0x4FE8, "" },
//  { 0x4FE9, "" },
//  { 0x4FEA, "" },
//  { 0x4FEB, "" },
//  { 0x4FEC, "" },
//  { 0x4FED, "" },
//  { 0x4FEE, "" },
//  { 0x4FEF, "" },
//  { 0x4FF0, "" },
//  { 0x4FF1, "" },
//  { 0x4FF2, "" },
//  { 0x4FF3, "" },
//  { 0x4FF4, "" },
//  { 0x4FF5, "" },
//  { 0x4FF6, "" },
//  { 0x4FF7, "" },
//  { 0x4FF8, "" },
//  { 0x4FF9, "" },
//  { 0x4FFA, "" },
//  { 0x4FFB, "" },
//  { 0x4FFC, "" },
//  { 0x4FFD, "" },
//  { 0x4FFE, "" },
//  { 0x4FFF, "" },
//  { 0x5000, "" },
//  { 0x5001, "" },
//  { 0x5002, "" },
//  { 0x5003, "" },
//  { 0x5004, "" },
//  { 0x5005, "" },
//  { 0x5006, "" },
//  { 0x5007, "" },
//  { 0x5008, "" },
//  { 0x5009, "" },
//  { 0x500A, "" },
//  { 0x500B, "" },
//  { 0x500C, "" },
//  { 0x500D, "" },
//  { 0x500E, "" },
//  { 0x500F, "" },
//  { 0x5010, "" },
//  { 0x5011, "" },
//  { 0x5012, "" },
//  { 0x5013, "" },
//  { 0x5014, "" },
//  { 0x5015, "" },
//  { 0x5016, "" },
//  { 0x5017, "" },
//  { 0x5018, "" },
//  { 0x5019, "" },
//  { 0x501A, "" },
//  { 0x501B, "" },
//  { 0x501C, "" },
//  { 0x501D, "" },
//  { 0x501E, "" },
//  { 0x501F, "" },
//  { 0x5020, "" },
//  { 0x5021, "" },
//  { 0x5022, "" },
//  { 0x5023, "" },
//  { 0x5024, "" },
//  { 0x5025, "" },
//  { 0x5026, "" },
//  { 0x5027, "" },
//  { 0x5028, "" },
//  { 0x5029, "" },
//  { 0x502A, "" },
//  { 0x502B, "" },
//  { 0x502C, "" },
//  { 0x502D, "" },
//  { 0x502E, "" },
//  { 0x502F, "" },
//  { 0x5030, "" },
//  { 0x5031, "" },
//  { 0x5032, "" },
//  { 0x5033, "" },
//  { 0x5034, "" },
//  { 0x5035, "" },
//  { 0x5036, "" },
//  { 0x5037, "" },
//  { 0x5038, "" },
//  { 0x5039, "" },
//  { 0x503A, "" },
//  { 0x503B, "" },
//  { 0x503C, "" },
//  { 0x503D, "" },
//  { 0x503E, "" },
//  { 0x503F, "" },
//  { 0x5040, "" },
//  { 0x5041, "" },
//  { 0x5042, "" },
//  { 0x5043, "" },
//  { 0x5044, "" },
//  { 0x5045, "" },
//  { 0x5046, "" },
//  { 0x5047, "" },
//  { 0x5048, "" },
//  { 0x5049, "" },
//  { 0x504A, "" },
//  { 0x504B, "" },
//  { 0x504C, "" },
//  { 0x504D, "" },
//  { 0x504E, "" },
//  { 0x504F, "" },
//  { 0x5050, "" },
//  { 0x5051, "" },
//  { 0x5052, "" },
//  { 0x5053, "" },
//  { 0x5054, "" },
//  { 0x5055, "" },
//  { 0x5056, "" },
//  { 0x5057, "" },
//  { 0x5058, "" },
//  { 0x5059, "" },
//  { 0x505A, "" },
//  { 0x505B, "" },
//  { 0x505C, "" },
//  { 0x505D, "" },
//  { 0x505E, "" },
//  { 0x505F, "" },
//  { 0x5060, "" },
//  { 0x5061, "" },
//  { 0x5062, "" },
//  { 0x5063, "" },
//  { 0x5064, "" },
//  { 0x5065, "" },
//  { 0x5066, "" },
//  { 0x5067, "" },
//  { 0x5068, "" },
//  { 0x5069, "" },
//  { 0x506A, "" },
//  { 0x506B, "" },
//  { 0x506C, "" },
//  { 0x506D, "" },
//  { 0x506E, "" },
//  { 0x506F, "" },
//  { 0x5070, "" },
//  { 0x5071, "" },
//  { 0x5072, "" },
//  { 0x5073, "" },
//  { 0x5074, "" },
//  { 0x5075, "" },
//  { 0x5076, "" },
//  { 0x5077, "" },
//  { 0x5078, "" },
//  { 0x5079, "" },
//  { 0x507A, "" },
//  { 0x507B, "" },
//  { 0x507C, "" },
//  { 0x507D, "" },
//  { 0x507E, "" },
//  { 0x507F, "" },
//  { 0x5080, "" },
//  { 0x5081, "" },
//  { 0x5082, "" },
//  { 0x5083, "" },
//  { 0x5084, "" },
//  { 0x5085, "" },
//  { 0x5086, "" },
//  { 0x5087, "" },
//  { 0x5088, "" },
//  { 0x5089, "" },
//  { 0x508A, "" },
//  { 0x508B, "" },
//  { 0x508C, "" },
//  { 0x508D, "" },
//  { 0x508E, "" },
//  { 0x508F, "" },
//  { 0x5090, "" },
//  { 0x5091, "" },
//  { 0x5092, "" },
//  { 0x5093, "" },
//  { 0x5094, "" },
//  { 0x5095, "" },
//  { 0x5096, "" },
//  { 0x5097, "" },
//  { 0x5098, "" },
//  { 0x5099, "" },
//  { 0x509A, "" },
//  { 0x509B, "" },
//  { 0x509C, "" },
//  { 0x509D, "" },
//  { 0x509E, "" },
//  { 0x509F, "" },
//  { 0x50A0, "" },
//  { 0x50A1, "" },
//  { 0x50A2, "" },
//  { 0x50A3, "" },
//  { 0x50A4, "" },
//  { 0x50A5, "" },
//  { 0x50A6, "" },
//  { 0x50A7, "" },
//  { 0x50A8, "" },
//  { 0x50A9, "" },
//  { 0x50AA, "" },
//  { 0x50AB, "" },
//  { 0x50AC, "" },
//  { 0x50AD, "" },
//  { 0x50AE, "" },
//  { 0x50AF, "" },
//  { 0x50B0, "" },
//  { 0x50B1, "" },
//  { 0x50B2, "" },
//  { 0x50B3, "" },
//  { 0x50B4, "" },
//  { 0x50B5, "" },
//  { 0x50B6, "" },
//  { 0x50B7, "" },
//  { 0x50B8, "" },
//  { 0x50B9, "" },
//  { 0x50BA, "" },
//  { 0x50BB, "" },
//  { 0x50BC, "" },
//  { 0x50BD, "" },
//  { 0x50BE, "" },
//  { 0x50BF, "" },
//  { 0x50C0, "" },
//  { 0x50C1, "" },
//  { 0x50C2, "" },
//  { 0x50C3, "" },
//  { 0x50C4, "" },
//  { 0x50C5, "" },
//  { 0x50C6, "" },
//  { 0x50C7, "" },
//  { 0x50C8, "" },
//  { 0x50C9, "" },
//  { 0x50CA, "" },
//  { 0x50CB, "" },
//  { 0x50CC, "" },
//  { 0x50CD, "" },
//  { 0x50CE, "" },
//  { 0x50CF, "" },
//  { 0x50D0, "" },
//  { 0x50D1, "" },
//  { 0x50D2, "" },
//  { 0x50D3, "" },
//  { 0x50D4, "" },
//  { 0x50D5, "" },
//  { 0x50D6, "" },
//  { 0x50D7, "" },
//  { 0x50D8, "" },
//  { 0x50D9, "" },
//  { 0x50DA, "" },
//  { 0x50DB, "" },
//  { 0x50DC, "" },
//  { 0x50DD, "" },
//  { 0x50DE, "" },
//  { 0x50DF, "" },
//  { 0x50E0, "" },
//  { 0x50E1, "" },
//  { 0x50E2, "" },
//  { 0x50E3, "" },
//  { 0x50E4, "" },
//  { 0x50E5, "" },
//  { 0x50E6, "" },
//  { 0x50E7, "" },
//  { 0x50E8, "" },
//  { 0x50E9, "" },
//  { 0x50EA, "" },
//  { 0x50EB, "" },
//  { 0x50EC, "" },
//  { 0x50ED, "" },
//  { 0x50EE, "" },
//  { 0x50EF, "" },
//  { 0x50F0, "" },
//  { 0x50F1, "" },
//  { 0x50F2, "" },
//  { 0x50F3, "" },
//  { 0x50F4, "" },
//  { 0x50F5, "" },
//  { 0x50F6, "" },
//  { 0x50F7, "" },
//  { 0x50F8, "" },
//  { 0x50F9, "" },
//  { 0x50FA, "" },
//  { 0x50FB, "" },
//  { 0x50FC, "" },
//  { 0x50FD, "" },
//  { 0x50FE, "" },
//  { 0x50FF, "" },
//  { 0x5100, "" },
//  { 0x5101, "" },
//  { 0x5102, "" },
//  { 0x5103, "" },
//  { 0x5104, "" },
//  { 0x5105, "" },
//  { 0x5106, "" },
//  { 0x5107, "" },
//  { 0x5108, "" },
//  { 0x5109, "" },
//  { 0x510A, "" },
//  { 0x510B, "" },
//  { 0x510C, "" },
//  { 0x510D, "" },
//  { 0x510E, "" },
//  { 0x510F, "" },
//  { 0x5110, "" },
//  { 0x5111, "" },
//  { 0x5112, "" },
//  { 0x5113, "" },
//  { 0x5114, "" },
//  { 0x5115, "" },
//  { 0x5116, "" },
//  { 0x5117, "" },
//  { 0x5118, "" },
//  { 0x5119, "" },
//  { 0x511A, "" },
//  { 0x511B, "" },
//  { 0x511C, "" },
//  { 0x511D, "" },
//  { 0x511E, "" },
//  { 0x511F, "" },
//  { 0x5120, "" },
//  { 0x5121, "" },
//  { 0x5122, "" },
//  { 0x5123, "" },
//  { 0x5124, "" },
//  { 0x5125, "" },
//  { 0x5126, "" },
//  { 0x5127, "" },
//  { 0x5128, "" },
//  { 0x5129, "" },
//  { 0x512A, "" },
//  { 0x512B, "" },
//  { 0x512C, "" },
//  { 0x512D, "" },
//  { 0x512E, "" },
//  { 0x512F, "" },
//  { 0x5130, "" },
//  { 0x5131, "" },
//  { 0x5132, "" },
//  { 0x5133, "" },
//  { 0x5134, "" },
//  { 0x5135, "" },
//  { 0x5136, "" },
//  { 0x5137, "" },
//  { 0x5138, "" },
//  { 0x5139, "" },
//  { 0x513A, "" },
//  { 0x513B, "" },
//  { 0x513C, "" },
//  { 0x513D, "" },
//  { 0x513E, "" },
//  { 0x513F, "" },
//  { 0x5140, "" },
//  { 0x5141, "" },
//  { 0x5142, "" },
//  { 0x5143, "" },
//  { 0x5144, "" },
//  { 0x5145, "" },
//  { 0x5146, "" },
//  { 0x5147, "" },
//  { 0x5148, "" },
//  { 0x5149, "" },
//  { 0x514A, "" },
//  { 0x514B, "" },
//  { 0x514C, "" },
//  { 0x514D, "" },
//  { 0x514E, "" },
//  { 0x514F, "" },
//  { 0x5150, "" },
//  { 0x5151, "" },
//  { 0x5152, "" },
//  { 0x5153, "" },
//  { 0x5154, "" },
//  { 0x5155, "" },
//  { 0x5156, "" },
//  { 0x5157, "" },
//  { 0x5158, "" },
//  { 0x5159, "" },
//  { 0x515A, "" },
//  { 0x515B, "" },
//  { 0x515C, "" },
//  { 0x515D, "" },
//  { 0x515E, "" },
//  { 0x515F, "" },
//  { 0x5160, "" },
//  { 0x5161, "" },
//  { 0x5162, "" },
//  { 0x5163, "" },
//  { 0x5164, "" },
//  { 0x5165, "" },
//  { 0x5166, "" },
//  { 0x5167, "" },
//  { 0x5168, "" },
//  { 0x5169, "" },
//  { 0x516A, "" },
//  { 0x516B, "" },
//  { 0x516C, "" },
//  { 0x516D, "" },
//  { 0x516E, "" },
//  { 0x516F, "" },
//  { 0x5170, "" },
//  { 0x5171, "" },
//  { 0x5172, "" },
//  { 0x5173, "" },
//  { 0x5174, "" },
//  { 0x5175, "" },
//  { 0x5176, "" },
//  { 0x5177, "" },
//  { 0x5178, "" },
//  { 0x5179, "" },
//  { 0x517A, "" },
//  { 0x517B, "" },
//  { 0x517C, "" },
//  { 0x517D, "" },
//  { 0x517E, "" },
//  { 0x517F, "" },
//  { 0x5180, "" },
//  { 0x5181, "" },
//  { 0x5182, "" },
//  { 0x5183, "" },
//  { 0x5184, "" },
//  { 0x5185, "" },
//  { 0x5186, "" },
//  { 0x5187, "" },
//  { 0x5188, "" },
//  { 0x5189, "" },
//  { 0x518A, "" },
//  { 0x518B, "" },
//  { 0x518C, "" },
//  { 0x518D, "" },
//  { 0x518E, "" },
//  { 0x518F, "" },
//  { 0x5190, "" },
//  { 0x5191, "" },
//  { 0x5192, "" },
//  { 0x5193, "" },
//  { 0x5194, "" },
//  { 0x5195, "" },
//  { 0x5196, "" },
//  { 0x5197, "" },
//  { 0x5198, "" },
//  { 0x5199, "" },
//  { 0x519A, "" },
//  { 0x519B, "" },
//  { 0x519C, "" },
//  { 0x519D, "" },
//  { 0x519E, "" },
//  { 0x519F, "" },
//  { 0x51A0, "" },
//  { 0x51A1, "" },
//  { 0x51A2, "" },
//  { 0x51A3, "" },
//  { 0x51A4, "" },
//  { 0x51A5, "" },
//  { 0x51A6, "" },
//  { 0x51A7, "" },
//  { 0x51A8, "" },
//  { 0x51A9, "" },
//  { 0x51AA, "" },
//  { 0x51AB, "" },
//  { 0x51AC, "" },
//  { 0x51AD, "" },
//  { 0x51AE, "" },
//  { 0x51AF, "" },
//  { 0x51B0, "" },
//  { 0x51B1, "" },
//  { 0x51B2, "" },
//  { 0x51B3, "" },
//  { 0x51B4, "" },
//  { 0x51B5, "" },
//  { 0x51B6, "" },
//  { 0x51B7, "" },
//  { 0x51B8, "" },
//  { 0x51B9, "" },
//  { 0x51BA, "" },
//  { 0x51BB, "" },
//  { 0x51BC, "" },
//  { 0x51BD, "" },
//  { 0x51BE, "" },
//  { 0x51BF, "" },
//  { 0x51C0, "" },
//  { 0x51C1, "" },
//  { 0x51C2, "" },
//  { 0x51C3, "" },
//  { 0x51C4, "" },
//  { 0x51C5, "" },
//  { 0x51C6, "" },
//  { 0x51C7, "" },
//  { 0x51C8, "" },
//  { 0x51C9, "" },
//  { 0x51CA, "" },
//  { 0x51CB, "" },
//  { 0x51CC, "" },
//  { 0x51CD, "" },
//  { 0x51CE, "" },
//  { 0x51CF, "" },
//  { 0x51D0, "" },
//  { 0x51D1, "" },
//  { 0x51D2, "" },
//  { 0x51D3, "" },
//  { 0x51D4, "" },
//  { 0x51D5, "" },
//  { 0x51D6, "" },
//  { 0x51D7, "" },
//  { 0x51D8, "" },
//  { 0x51D9, "" },
//  { 0x51DA, "" },
//  { 0x51DB, "" },
//  { 0x51DC, "" },
//  { 0x51DD, "" },
//  { 0x51DE, "" },
//  { 0x51DF, "" },
//  { 0x51E0, "" },
//  { 0x51E1, "" },
//  { 0x51E2, "" },
//  { 0x51E3, "" },
//  { 0x51E4, "" },
//  { 0x51E5, "" },
//  { 0x51E6, "" },
//  { 0x51E7, "" },
//  { 0x51E8, "" },
//  { 0x51E9, "" },
//  { 0x51EA, "" },
//  { 0x51EB, "" },
//  { 0x51EC, "" },
//  { 0x51ED, "" },
//  { 0x51EE, "" },
//  { 0x51EF, "" },
//  { 0x51F0, "" },
//  { 0x51F1, "" },
//  { 0x51F2, "" },
//  { 0x51F3, "" },
//  { 0x51F4, "" },
//  { 0x51F5, "" },
//  { 0x51F6, "" },
//  { 0x51F7, "" },
//  { 0x51F8, "" },
//  { 0x51F9, "" },
//  { 0x51FA, "" },
//  { 0x51FB, "" },
//  { 0x51FC, "" },
//  { 0x51FD, "" },
//  { 0x51FE, "" },
//  { 0x51FF, "" },
//  { 0x5200, "" },
//  { 0x5201, "" },
//  { 0x5202, "" },
//  { 0x5203, "" },
//  { 0x5204, "" },
//  { 0x5205, "" },
//  { 0x5206, "" },
//  { 0x5207, "" },
//  { 0x5208, "" },
//  { 0x5209, "" },
//  { 0x520A, "" },
//  { 0x520B, "" },
//  { 0x520C, "" },
//  { 0x520D, "" },
//  { 0x520E, "" },
//  { 0x520F, "" },
//  { 0x5210, "" },
//  { 0x5211, "" },
//  { 0x5212, "" },
//  { 0x5213, "" },
//  { 0x5214, "" },
//  { 0x5215, "" },
//  { 0x5216, "" },
//  { 0x5217, "" },
//  { 0x5218, "" },
//  { 0x5219, "" },
//  { 0x521A, "" },
//  { 0x521B, "" },
//  { 0x521C, "" },
//  { 0x521D, "" },
//  { 0x521E, "" },
//  { 0x521F, "" },
//  { 0x5220, "" },
//  { 0x5221, "" },
//  { 0x5222, "" },
//  { 0x5223, "" },
//  { 0x5224, "" },
//  { 0x5225, "" },
//  { 0x5226, "" },
//  { 0x5227, "" },
//  { 0x5228, "" },
//  { 0x5229, "" },
//  { 0x522A, "" },
//  { 0x522B, "" },
//  { 0x522C, "" },
//  { 0x522D, "" },
//  { 0x522E, "" },
//  { 0x522F, "" },
//  { 0x5230, "" },
//  { 0x5231, "" },
//  { 0x5232, "" },
//  { 0x5233, "" },
//  { 0x5234, "" },
//  { 0x5235, "" },
//  { 0x5236, "" },
//  { 0x5237, "" },
//  { 0x5238, "" },
//  { 0x5239, "" },
//  { 0x523A, "" },
//  { 0x523B, "" },
//  { 0x523C, "" },
//  { 0x523D, "" },
//  { 0x523E, "" },
//  { 0x523F, "" },
//  { 0x5240, "" },
//  { 0x5241, "" },
//  { 0x5242, "" },
//  { 0x5243, "" },
//  { 0x5244, "" },
//  { 0x5245, "" },
//  { 0x5246, "" },
//  { 0x5247, "" },
//  { 0x5248, "" },
//  { 0x5249, "" },
//  { 0x524A, "" },
//  { 0x524B, "" },
//  { 0x524C, "" },
//  { 0x524D, "" },
//  { 0x524E, "" },
//  { 0x524F, "" },
//  { 0x5250, "" },
//  { 0x5251, "" },
//  { 0x5252, "" },
//  { 0x5253, "" },
//  { 0x5254, "" },
//  { 0x5255, "" },
//  { 0x5256, "" },
//  { 0x5257, "" },
//  { 0x5258, "" },
//  { 0x5259, "" },
//  { 0x525A, "" },
//  { 0x525B, "" },
//  { 0x525C, "" },
//  { 0x525D, "" },
//  { 0x525E, "" },
//  { 0x525F, "" },
//  { 0x5260, "" },
//  { 0x5261, "" },
//  { 0x5262, "" },
//  { 0x5263, "" },
//  { 0x5264, "" },
//  { 0x5265, "" },
//  { 0x5266, "" },
//  { 0x5267, "" },
//  { 0x5268, "" },
//  { 0x5269, "" },
//  { 0x526A, "" },
//  { 0x526B, "" },
//  { 0x526C, "" },
//  { 0x526D, "" },
//  { 0x526E, "" },
//  { 0x526F, "" },
//  { 0x5270, "" },
//  { 0x5271, "" },
//  { 0x5272, "" },
//  { 0x5273, "" },
//  { 0x5274, "" },
//  { 0x5275, "" },
//  { 0x5276, "" },
//  { 0x5277, "" },
//  { 0x5278, "" },
//  { 0x5279, "" },
//  { 0x527A, "" },
//  { 0x527B, "" },
//  { 0x527C, "" },
//  { 0x527D, "" },
//  { 0x527E, "" },
//  { 0x527F, "" },
//  { 0x5280, "" },
//  { 0x5281, "" },
//  { 0x5282, "" },
//  { 0x5283, "" },
//  { 0x5284, "" },
//  { 0x5285, "" },
//  { 0x5286, "" },
//  { 0x5287, "" },
//  { 0x5288, "" },
//  { 0x5289, "" },
//  { 0x528A, "" },
//  { 0x528B, "" },
//  { 0x528C, "" },
//  { 0x528D, "" },
//  { 0x528E, "" },
//  { 0x528F, "" },
//  { 0x5290, "" },
//  { 0x5291, "" },
//  { 0x5292, "" },
//  { 0x5293, "" },
//  { 0x5294, "" },
//  { 0x5295, "" },
//  { 0x5296, "" },
//  { 0x5297, "" },
//  { 0x5298, "" },
//  { 0x5299, "" },
//  { 0x529A, "" },
//  { 0x529B, "" },
//  { 0x529C, "" },
//  { 0x529D, "" },
//  { 0x529E, "" },
//  { 0x529F, "" },
//  { 0x52A0, "" },
//  { 0x52A1, "" },
//  { 0x52A2, "" },
//  { 0x52A3, "" },
//  { 0x52A4, "" },
//  { 0x52A5, "" },
//  { 0x52A6, "" },
//  { 0x52A7, "" },
//  { 0x52A8, "" },
//  { 0x52A9, "" },
//  { 0x52AA, "" },
//  { 0x52AB, "" },
//  { 0x52AC, "" },
//  { 0x52AD, "" },
//  { 0x52AE, "" },
//  { 0x52AF, "" },
//  { 0x52B0, "" },
//  { 0x52B1, "" },
//  { 0x52B2, "" },
//  { 0x52B3, "" },
//  { 0x52B4, "" },
//  { 0x52B5, "" },
//  { 0x52B6, "" },
//  { 0x52B7, "" },
//  { 0x52B8, "" },
//  { 0x52B9, "" },
//  { 0x52BA, "" },
//  { 0x52BB, "" },
//  { 0x52BC, "" },
//  { 0x52BD, "" },
//  { 0x52BE, "" },
//  { 0x52BF, "" },
//  { 0x52C0, "" },
//  { 0x52C1, "" },
//  { 0x52C2, "" },
//  { 0x52C3, "" },
//  { 0x52C4, "" },
//  { 0x52C5, "" },
//  { 0x52C6, "" },
//  { 0x52C7, "" },
//  { 0x52C8, "" },
//  { 0x52C9, "" },
//  { 0x52CA, "" },
//  { 0x52CB, "" },
//  { 0x52CC, "" },
//  { 0x52CD, "" },
//  { 0x52CE, "" },
//  { 0x52CF, "" },
//  { 0x52D0, "" },
//  { 0x52D1, "" },
//  { 0x52D2, "" },
//  { 0x52D3, "" },
//  { 0x52D4, "" },
//  { 0x52D5, "" },
//  { 0x52D6, "" },
//  { 0x52D7, "" },
//  { 0x52D8, "" },
//  { 0x52D9, "" },
//  { 0x52DA, "" },
//  { 0x52DB, "" },
//  { 0x52DC, "" },
//  { 0x52DD, "" },
//  { 0x52DE, "" },
//  { 0x52DF, "" },
//  { 0x52E0, "" },
//  { 0x52E1, "" },
//  { 0x52E2, "" },
//  { 0x52E3, "" },
//  { 0x52E4, "" },
//  { 0x52E5, "" },
//  { 0x52E6, "" },
//  { 0x52E7, "" },
//  { 0x52E8, "" },
//  { 0x52E9, "" },
//  { 0x52EA, "" },
//  { 0x52EB, "" },
//  { 0x52EC, "" },
//  { 0x52ED, "" },
//  { 0x52EE, "" },
//  { 0x52EF, "" },
//  { 0x52F0, "" },
//  { 0x52F1, "" },
//  { 0x52F2, "" },
//  { 0x52F3, "" },
//  { 0x52F4, "" },
//  { 0x52F5, "" },
//  { 0x52F6, "" },
//  { 0x52F7, "" },
//  { 0x52F8, "" },
//  { 0x52F9, "" },
//  { 0x52FA, "" },
//  { 0x52FB, "" },
//  { 0x52FC, "" },
//  { 0x52FD, "" },
//  { 0x52FE, "" },
//  { 0x52FF, "" },
//  { 0x5300, "" },
//  { 0x5301, "" },
//  { 0x5302, "" },
//  { 0x5303, "" },
//  { 0x5304, "" },
//  { 0x5305, "" },
//  { 0x5306, "" },
//  { 0x5307, "" },
//  { 0x5308, "" },
//  { 0x5309, "" },
//  { 0x530A, "" },
//  { 0x530B, "" },
//  { 0x530C, "" },
//  { 0x530D, "" },
//  { 0x530E, "" },
//  { 0x530F, "" },
//  { 0x5310, "" },
//  { 0x5311, "" },
//  { 0x5312, "" },
//  { 0x5313, "" },
//  { 0x5314, "" },
    { 0x5315, "maps/_molotov" },
//  { 0x5316, "" },
//  { 0x5317, "" },
//  { 0x5318, "" },
//  { 0x5319, "" },
//  { 0x531A, "" },
//  { 0x531B, "" },
//  { 0x531C, "" },
//  { 0x531D, "" },
//  { 0x531E, "" },
//  { 0x531F, "" },
//  { 0x5320, "" },
//  { 0x5321, "" },
//  { 0x5322, "" },
//  { 0x5323, "" },
//  { 0x5324, "" },
//  { 0x5325, "" },
//  { 0x5326, "" },
//  { 0x5327, "" },
//  { 0x5328, "" },
//  { 0x5329, "" },
//  { 0x532A, "" },
//  { 0x532B, "" },
//  { 0x532C, "" },
//  { 0x532D, "" },
//  { 0x532E, "" },
//  { 0x532F, "" },
//  { 0x5330, "" },
//  { 0x5331, "" },
//  { 0x5332, "" },
//  { 0x5333, "" },
//  { 0x5334, "" },
//  { 0x5335, "" },
//  { 0x5336, "" },
//  { 0x5337, "" },
//  { 0x5338, "" },
//  { 0x5339, "" },
//  { 0x533A, "" },
//  { 0x533B, "" },
//  { 0x533C, "" },
//  { 0x533D, "" },
//  { 0x533E, "" },
//  { 0x533F, "" },
//  { 0x5340, "" },
//  { 0x5341, "" },
//  { 0x5342, "" },
//  { 0x5343, "" },
//  { 0x5344, "" },
//  { 0x5345, "" },
//  { 0x5346, "" },
//  { 0x5347, "" },
//  { 0x5348, "" },
//  { 0x5349, "" },
//  { 0x534A, "" },
//  { 0x534B, "" },
//  { 0x534C, "" },
//  { 0x534D, "" },
//  { 0x534E, "" },
//  { 0x534F, "" },
//  { 0x5350, "" },
//  { 0x5351, "" },
//  { 0x5352, "" },
//  { 0x5353, "" },
//  { 0x5354, "" },
//  { 0x5355, "" },
//  { 0x5356, "" },
//  { 0x5357, "" },
//  { 0x5358, "" },
//  { 0x5359, "" },
//  { 0x535A, "" },
//  { 0x535B, "" },
//  { 0x535C, "" },
//  { 0x535D, "" },
//  { 0x535E, "" },
//  { 0x535F, "" },
//  { 0x5360, "" },
//  { 0x5361, "" },
//  { 0x5362, "" },
//  { 0x5363, "" },
//  { 0x5364, "" },
//  { 0x5365, "" },
//  { 0x5366, "" },
//  { 0x5367, "" },
//  { 0x5368, "" },
//  { 0x5369, "" },
//  { 0x536A, "" },
//  { 0x536B, "" },
//  { 0x536C, "" },
//  { 0x536D, "" },
//  { 0x536E, "" },
//  { 0x536F, "" },
//  { 0x5370, "" },
//  { 0x5371, "" },
//  { 0x5372, "" },
//  { 0x5373, "" },
//  { 0x5374, "" },
//  { 0x5375, "" },
//  { 0x5376, "" },
//  { 0x5377, "" },
//  { 0x5378, "" },
//  { 0x5379, "" },
//  { 0x537A, "" },
//  { 0x537B, "" },
//  { 0x537C, "" },
//  { 0x537D, "" },
//  { 0x537E, "" },
//  { 0x537F, "" },
//  { 0x5380, "" },
//  { 0x5381, "" },
//  { 0x5382, "" },
//  { 0x5383, "" },
//  { 0x5384, "" },
//  { 0x5385, "" },
//  { 0x5386, "" },
//  { 0x5387, "" },
//  { 0x5388, "" },
//  { 0x5389, "" },
//  { 0x538A, "" },
//  { 0x538B, "" },
//  { 0x538C, "" },
//  { 0x538D, "" },
//  { 0x538E, "" },
//  { 0x538F, "" },
//  { 0x5390, "" },
//  { 0x5391, "" },
//  { 0x5392, "" },
//  { 0x5393, "" },
//  { 0x5394, "" },
//  { 0x5395, "" },
//  { 0x5396, "" },
//  { 0x5397, "" },
//  { 0x5398, "" },
//  { 0x5399, "" },
//  { 0x539A, "" },
//  { 0x539B, "" },
//  { 0x539C, "" },
//  { 0x539D, "" },
//  { 0x539E, "" },
//  { 0x539F, "" },
//  { 0x53A0, "" },
//  { 0x53A1, "" },
//  { 0x53A2, "" },
//  { 0x53A3, "" },
//  { 0x53A4, "" },
//  { 0x53A5, "" },
//  { 0x53A6, "" },
//  { 0x53A7, "" },
//  { 0x53A8, "" },
//  { 0x53A9, "" },
//  { 0x53AA, "" },
//  { 0x53AB, "" },
//  { 0x53AC, "" },
//  { 0x53AD, "" },
//  { 0x53AE, "" },
//  { 0x53AF, "" },
//  { 0x53B0, "" },
//  { 0x53B1, "" },
//  { 0x53B2, "" },
//  { 0x53B3, "" },
//  { 0x53B4, "" },
//  { 0x53B5, "" },
//  { 0x53B6, "" },
//  { 0x53B7, "" },
//  { 0x53B8, "" },
//  { 0x53B9, "" },
//  { 0x53BA, "" },
//  { 0x53BB, "" },
//  { 0x53BC, "" },
//  { 0x53BD, "" },
//  { 0x53BE, "" },
//  { 0x53BF, "" },
//  { 0x53C0, "" },
//  { 0x53C1, "" },
//  { 0x53C2, "" },
//  { 0x53C3, "" },
//  { 0x53C4, "" },
//  { 0x53C5, "" },
//  { 0x53C6, "" },
//  { 0x53C7, "" },
//  { 0x53C8, "" },
//  { 0x53C9, "" },
//  { 0x53CA, "" },
//  { 0x53CB, "" },
//  { 0x53CC, "" },
//  { 0x53CD, "" },
//  { 0x53CE, "" },
//  { 0x53CF, "" },
//  { 0x53D0, "" },
//  { 0x53D1, "" },
//  { 0x53D2, "" },
//  { 0x53D3, "" },
//  { 0x53D4, "" },
//  { 0x53D5, "" },
//  { 0x53D6, "" },
//  { 0x53D7, "" },
//  { 0x53D8, "" },
//  { 0x53D9, "" },
//  { 0x53DA, "" },
//  { 0x53DB, "" },
//  { 0x53DC, "" },
//  { 0x53DD, "" },
//  { 0x53DE, "" },
//  { 0x53DF, "" },
//  { 0x53E0, "" },
//  { 0x53E1, "" },
//  { 0x53E2, "" },
//  { 0x53E3, "" },
//  { 0x53E4, "" },
//  { 0x53E5, "" },
//  { 0x53E6, "" },
//  { 0x53E7, "" },
//  { 0x53E8, "" },
//  { 0x53E9, "" },
//  { 0x53EA, "" },
//  { 0x53EB, "" },
//  { 0x53EC, "" },
//  { 0x53ED, "" },
//  { 0x53EE, "" },
//  { 0x53EF, "" },
//  { 0x53F0, "" },
//  { 0x53F1, "" },
//  { 0x53F2, "" },
//  { 0x53F3, "" },
//  { 0x53F4, "" },
//  { 0x53F5, "" },
//  { 0x53F6, "" },
//  { 0x53F7, "" },
//  { 0x53F8, "" },
//  { 0x53F9, "" },
//  { 0x53FA, "" },
//  { 0x53FB, "" },
//  { 0x53FC, "" },
//  { 0x53FD, "" },
//  { 0x53FE, "" },
//  { 0x53FF, "" },
//  { 0x5400, "" },
    { 0x5401, "vehicle_scripts/_btr80" },
//  { 0x5402, "" },
//  { 0x5403, "" },
//  { 0x5404, "" },
//  { 0x5405, "" },
//  { 0x5406, "" },
//  { 0x5407, "" },
//  { 0x5408, "" },
//  { 0x5409, "" },
//  { 0x540A, "" },
//  { 0x540B, "" },
//  { 0x540C, "" },
//  { 0x540D, "" },
//  { 0x540E, "" },
//  { 0x540F, "" },
//  { 0x5410, "" },
//  { 0x5411, "" },
//  { 0x5412, "" },
//  { 0x5413, "" },
//  { 0x5414, "" },
//  { 0x5415, "" },
//  { 0x5416, "" },
//  { 0x5417, "" },
//  { 0x5418, "" },
//  { 0x5419, "" },
//  { 0x541A, "" },
//  { 0x541B, "" },
//  { 0x541C, "" },
    { 0x541D, "maps/_patrol_anims" },
//  { 0x541E, "" },
//  { 0x541F, "" },
//  { 0x5420, "" },
//  { 0x5421, "" },
//  { 0x5422, "" },
//  { 0x5423, "" },
//  { 0x5424, "" },
//  { 0x5425, "" },
//  { 0x5426, "" },
//  { 0x5427, "" },
//  { 0x5428, "" },
//  { 0x5429, "" },
//  { 0x542A, "" },
//  { 0x542B, "" },
//  { 0x542C, "" },
//  { 0x542D, "" },
//  { 0x542E, "" },
//  { 0x542F, "" },
//  { 0x5430, "" },
//  { 0x5431, "" },
//  { 0x5432, "" },
//  { 0x5433, "" },
//  { 0x5434, "" },
//  { 0x5435, "" },
//  { 0x5436, "" },
//  { 0x5437, "" },
//  { 0x5438, "" },
//  { 0x5439, "" },
//  { 0x543A, "" },
//  { 0x543B, "" },
//  { 0x543C, "" },
//  { 0x543D, "" },
//  { 0x543E, "" },
//  { 0x543F, "" },
//  { 0x5440, "" },
//  { 0x5441, "" },
//  { 0x5442, "" },
//  { 0x5443, "" },
//  { 0x5444, "" },
//  { 0x5445, "" },
//  { 0x5446, "" },
//  { 0x5447, "" },
//  { 0x5448, "" },
//  { 0x5449, "" },
//  { 0x544A, "" },
//  { 0x544B, "" },
//  { 0x544C, "" },
//  { 0x544D, "" },
//  { 0x544E, "" },
//  { 0x544F, "" },
//  { 0x5450, "" },
//  { 0x5451, "" },
//  { 0x5452, "" },
//  { 0x5453, "" },
//  { 0x5454, "" },
    { 0x5455, "maps/_stealth" },
//  { 0x5456, "" },
//  { 0x5457, "" },
//  { 0x5458, "" },
//  { 0x5459, "" },
//  { 0x545A, "" },
//  { 0x545B, "" },
//  { 0x545C, "" },
//  { 0x545D, "" },
//  { 0x545E, "" },
//  { 0x545F, "" },
//  { 0x5460, "" },
//  { 0x5461, "" },
//  { 0x5462, "" },
//  { 0x5463, "" },
//  { 0x5464, "" },
//  { 0x5465, "" },
//  { 0x5466, "" },
//  { 0x5467, "" },
//  { 0x5468, "" },
//  { 0x5469, "" },
//  { 0x546A, "" },
//  { 0x546B, "" },
//  { 0x546C, "" },
//  { 0x546D, "" },
//  { 0x546E, "" },
//  { 0x546F, "" },
//  { 0x5470, "" },
//  { 0x5471, "" },
//  { 0x5472, "" },
//  { 0x5473, "" },
//  { 0x5474, "" },
//  { 0x5475, "" },
//  { 0x5476, "" },
//  { 0x5477, "" },
//  { 0x5478, "" },
//  { 0x5479, "" },
//  { 0x547A, "" },
//  { 0x547B, "" },
//  { 0x547C, "" },
//  { 0x547D, "" },
//  { 0x547E, "" },
//  { 0x547F, "" },
//  { 0x5480, "" },
//  { 0x5481, "" },
//  { 0x5482, "" },
//  { 0x5483, "" },
//  { 0x5484, "" },
//  { 0x5485, "" },
//  { 0x5486, "" },
//  { 0x5487, "" },
//  { 0x5488, "" },
//  { 0x5489, "" },
//  { 0x548A, "" },
//  { 0x548B, "" },
//  { 0x548C, "" },
//  { 0x548D, "" },
//  { 0x548E, "" },
//  { 0x548F, "" },
//  { 0x5490, "" },
//  { 0x5491, "" },
//  { 0x5492, "" },
//  { 0x5493, "" },
//  { 0x5494, "" },
//  { 0x5495, "" },
//  { 0x5496, "" },
//  { 0x5497, "" },
//  { 0x5498, "" },
//  { 0x5499, "" },
//  { 0x549A, "" },
//  { 0x549B, "" },
//  { 0x549C, "" },
//  { 0x549D, "" },
//  { 0x549E, "" },
//  { 0x549F, "" },
//  { 0x54A0, "" },
//  { 0x54A1, "" },
//  { 0x54A2, "" },
//  { 0x54A3, "" },
//  { 0x54A4, "" },
//  { 0x54A5, "" },
//  { 0x54A6, "" },
//  { 0x54A7, "" },
//  { 0x54A8, "" },
//  { 0x54A9, "" },
//  { 0x54AA, "" },
//  { 0x54AB, "" },
//  { 0x54AC, "" },
//  { 0x54AD, "" },
//  { 0x54AE, "" },
//  { 0x54AF, "" },
//  { 0x54B0, "" },
//  { 0x54B1, "" },
//  { 0x54B2, "" },
//  { 0x54B3, "" },
//  { 0x54B4, "" },
//  { 0x54B5, "" },
//  { 0x54B6, "" },
//  { 0x54B7, "" },
    { 0x54B8, "vehicle_scripts/_uaz_castle" },
//  { 0x54B9, "" },
//  { 0x54BA, "" },
//  { 0x54BB, "" },
//  { 0x54BC, "" },
//  { 0x54BD, "" },
//  { 0x54BE, "" },
//  { 0x54BF, "" },
//  { 0x54C0, "" },
//  { 0x54C1, "" },
//  { 0x54C2, "" },
//  { 0x54C3, "" },
//  { 0x54C4, "" },
//  { 0x54C5, "" },
//  { 0x54C6, "" },
//  { 0x54C7, "" },
//  { 0x54C8, "" },
//  { 0x54C9, "" },
//  { 0x54CA, "" },
//  { 0x54CB, "" },
//  { 0x54CC, "" },
//  { 0x54CD, "" },
//  { 0x54CE, "" },
//  { 0x54CF, "" },
//  { 0x54D0, "" },
//  { 0x54D1, "" },
//  { 0x54D2, "" },
//  { 0x54D3, "" },
//  { 0x54D4, "" },
//  { 0x54D5, "" },
//  { 0x54D6, "" },
//  { 0x54D7, "" },
//  { 0x54D8, "" },
//  { 0x54D9, "" },
//  { 0x54DA, "" },
//  { 0x54DB, "" },
//  { 0x54DC, "" },
//  { 0x54DD, "" },
//  { 0x54DE, "" },
//  { 0x54DF, "" },
//  { 0x54E0, "" },
//  { 0x54E1, "" },
//  { 0x54E2, "" },
//  { 0x54E3, "" },
//  { 0x54E4, "" },
//  { 0x54E5, "" },
//  { 0x54E6, "" },
//  { 0x54E7, "" },
//  { 0x54E8, "" },
//  { 0x54E9, "" },
//  { 0x54EA, "" },
//  { 0x54EB, "" },
//  { 0x54EC, "" },
//  { 0x54ED, "" },
//  { 0x54EE, "" },
//  { 0x54EF, "" },
//  { 0x54F0, "" },
//  { 0x54F1, "" },
//  { 0x54F2, "" },
//  { 0x54F3, "" },
//  { 0x54F4, "" },
//  { 0x54F5, "" },
//  { 0x54F6, "" },
//  { 0x54F7, "" },
//  { 0x54F8, "" },
//  { 0x54F9, "" },
//  { 0x54FA, "" },
//  { 0x54FB, "" },
//  { 0x54FC, "" },
//  { 0x54FD, "" },
//  { 0x54FE, "" },
//  { 0x54FF, "" },
//  { 0x5500, "" },
//  { 0x5501, "" },
//  { 0x5502, "" },
//  { 0x5503, "" },
//  { 0x5504, "" },
//  { 0x5505, "" },
//  { 0x5506, "" },
//  { 0x5507, "" },
//  { 0x5508, "" },
//  { 0x5509, "" },
//  { 0x550A, "" },
//  { 0x550B, "" },
//  { 0x550C, "" },
//  { 0x550D, "" },
//  { 0x550E, "" },
//  { 0x550F, "" },
//  { 0x5510, "" },
//  { 0x5511, "" },
//  { 0x5512, "" },
//  { 0x5513, "" },
//  { 0x5514, "" },
//  { 0x5515, "" },
//  { 0x5516, "" },
//  { 0x5517, "" },
//  { 0x5518, "" },
//  { 0x5519, "" },
//  { 0x551A, "" },
//  { 0x551B, "" },
//  { 0x551C, "" },
//  { 0x551D, "" },
//  { 0x551E, "" },
//  { 0x551F, "" },
//  { 0x5520, "" },
//  { 0x5521, "" },
//  { 0x5522, "" },
//  { 0x5523, "" },
//  { 0x5524, "" },
//  { 0x5525, "" },
//  { 0x5526, "" },
//  { 0x5527, "" },
//  { 0x5528, "" },
//  { 0x5529, "" },
//  { 0x552A, "" },
//  { 0x552B, "" },
//  { 0x552C, "" },
//  { 0x552D, "" },
//  { 0x552E, "" },
//  { 0x552F, "" },
//  { 0x5530, "" },
//  { 0x5531, "" },
//  { 0x5532, "" },
//  { 0x5533, "" },
//  { 0x5534, "" },
//  { 0x5535, "" },
//  { 0x5536, "" },
//  { 0x5537, "" },
//  { 0x5538, "" },
//  { 0x5539, "" },
//  { 0x553A, "" },
//  { 0x553B, "" },
//  { 0x553C, "" },
//  { 0x553D, "" },
//  { 0x553E, "" },
//  { 0x553F, "" },
//  { 0x5540, "" },
//  { 0x5541, "" },
//  { 0x5542, "" },
//  { 0x5543, "" },
//  { 0x5544, "" },
//  { 0x5545, "" },
//  { 0x5546, "" },
//  { 0x5547, "" },
//  { 0x5548, "" },
//  { 0x5549, "" },
//  { 0x554A, "" },
//  { 0x554B, "" },
//  { 0x554C, "" },
//  { 0x554D, "" },
//  { 0x554E, "" },
//  { 0x554F, "" },
//  { 0x5550, "" },
//  { 0x5551, "" },
//  { 0x5552, "" },
//  { 0x5553, "" },
//  { 0x5554, "" },
//  { 0x5555, "" },
//  { 0x5556, "" },
//  { 0x5557, "" },
//  { 0x5558, "" },
//  { 0x5559, "" },
//  { 0x555A, "" },
//  { 0x555B, "" },
//  { 0x555C, "" },
//  { 0x555D, "" },
//  { 0x555E, "" },
//  { 0x555F, "" },
//  { 0x5560, "" },
//  { 0x5561, "" },
//  { 0x5562, "" },
//  { 0x5563, "" },
//  { 0x5564, "" },
//  { 0x5565, "" },
//  { 0x5566, "" },
//  { 0x5567, "" },
//  { 0x5568, "" },
//  { 0x5569, "" },
//  { 0x556A, "" },
//  { 0x556B, "" },
//  { 0x556C, "" },
//  { 0x556D, "" },
//  { 0x556E, "" },
//  { 0x556F, "" },
//  { 0x5570, "" },
//  { 0x5571, "" },
//  { 0x5572, "" },
//  { 0x5573, "" },
//  { 0x5574, "" },
//  { 0x5575, "" },
//  { 0x5576, "" },
//  { 0x5577, "" },
//  { 0x5578, "" },
//  { 0x5579, "" },
//  { 0x557A, "" },
//  { 0x557B, "" },
//  { 0x557C, "" },
//  { 0x557D, "" },
//  { 0x557E, "" },
//  { 0x557F, "" },
//  { 0x5580, "" },
//  { 0x5581, "" },
//  { 0x5582, "" },
//  { 0x5583, "" },
//  { 0x5584, "" },
//  { 0x5585, "" },
//  { 0x5586, "" },
//  { 0x5587, "" },
//  { 0x5588, "" },
//  { 0x5589, "" },
//  { 0x558A, "" },
//  { 0x558B, "" },
//  { 0x558C, "" },
//  { 0x558D, "" },
//  { 0x558E, "" },
//  { 0x558F, "" },
//  { 0x5590, "" },
//  { 0x5591, "" },
//  { 0x5592, "" },
//  { 0x5593, "" },
//  { 0x5594, "" },
//  { 0x5595, "" },
//  { 0x5596, "" },
//  { 0x5597, "" },
//  { 0x5598, "" },
//  { 0x5599, "" },
//  { 0x559A, "" },
//  { 0x559B, "" },
//  { 0x559C, "" },
//  { 0x559D, "" },
//  { 0x559E, "" },
//  { 0x559F, "" },
//  { 0x55A0, "" },
//  { 0x55A1, "" },
//  { 0x55A2, "" },
//  { 0x55A3, "" },
//  { 0x55A4, "" },
//  { 0x55A5, "" },
//  { 0x55A6, "" },
//  { 0x55A7, "" },
//  { 0x55A8, "" },
//  { 0x55A9, "" },
//  { 0x55AA, "" },
//  { 0x55AB, "" },
//  { 0x55AC, "" },
//  { 0x55AD, "" },
//  { 0x55AE, "" },
//  { 0x55AF, "" },
//  { 0x55B0, "" },
//  { 0x55B1, "" },
//  { 0x55B2, "" },
//  { 0x55B3, "" },
//  { 0x55B4, "" },
//  { 0x55B5, "" },
//  { 0x55B6, "" },
//  { 0x55B7, "" },
//  { 0x55B8, "" },
//  { 0x55B9, "" },
//  { 0x55BA, "" },
//  { 0x55BB, "" },
//  { 0x55BC, "" },
//  { 0x55BD, "" },
//  { 0x55BE, "" },
//  { 0x55BF, "" },
//  { 0x55C0, "" },
//  { 0x55C1, "" },
//  { 0x55C2, "" },
//  { 0x55C3, "" },
//  { 0x55C4, "" },
//  { 0x55C5, "" },
//  { 0x55C6, "" },
//  { 0x55C7, "" },
//  { 0x55C8, "" },
//  { 0x55C9, "" },
//  { 0x55CA, "" },
//  { 0x55CB, "" },
//  { 0x55CC, "" },
//  { 0x55CD, "" },
//  { 0x55CE, "" },
//  { 0x55CF, "" },
//  { 0x55D0, "" },
//  { 0x55D1, "" },
//  { 0x55D2, "" },
//  { 0x55D3, "" },
//  { 0x55D4, "" },
//  { 0x55D5, "" },
//  { 0x55D6, "" },
//  { 0x55D7, "" },
//  { 0x55D8, "" },
//  { 0x55D9, "" },
//  { 0x55DA, "" },
//  { 0x55DB, "" },
//  { 0x55DC, "" },
//  { 0x55DD, "" },
//  { 0x55DE, "" },
//  { 0x55DF, "" },
//  { 0x55E0, "" },
//  { 0x55E1, "" },
//  { 0x55E2, "" },
//  { 0x55E3, "" },
//  { 0x55E4, "" },
//  { 0x55E5, "" },
//  { 0x55E6, "" },
//  { 0x55E7, "" },
//  { 0x55E8, "" },
//  { 0x55E9, "" },
//  { 0x55EA, "" },
//  { 0x55EB, "" },
//  { 0x55EC, "" },
//  { 0x55ED, "" },
//  { 0x55EE, "" },
//  { 0x55EF, "" },
//  { 0x55F0, "" },
//  { 0x55F1, "" },
//  { 0x55F2, "" },
//  { 0x55F3, "" },
//  { 0x55F4, "" },
//  { 0x55F5, "" },
//  { 0x55F6, "" },
//  { 0x55F7, "" },
//  { 0x55F8, "" },
//  { 0x55F9, "" },
//  { 0x55FA, "" },
//  { 0x55FB, "" },
//  { 0x55FC, "" },
//  { 0x55FD, "" },
//  { 0x55FE, "" },
//  { 0x55FF, "" },
//  { 0x5600, "" },
//  { 0x5601, "" },
//  { 0x5602, "" },
//  { 0x5603, "" },
//  { 0x5604, "" },
//  { 0x5605, "" },
//  { 0x5606, "" },
//  { 0x5607, "" },
//  { 0x5608, "" },
//  { 0x5609, "" },
//  { 0x560A, "" },
//  { 0x560B, "" },
//  { 0x560C, "" },
//  { 0x560D, "" },
//  { 0x560E, "" },
//  { 0x560F, "" },
//  { 0x5610, "" },
//  { 0x5611, "" },
//  { 0x5612, "" },
//  { 0x5613, "" },
//  { 0x5614, "" },
//  { 0x5615, "" },
//  { 0x5616, "" },
//  { 0x5617, "" },
//  { 0x5618, "" },
//  { 0x5619, "" },
//  { 0x561A, "" },
//  { 0x561B, "" },
//  { 0x561C, "" },
//  { 0x561D, "" },
//  { 0x561E, "" },
//  { 0x561F, "" },
//  { 0x5620, "" },
//  { 0x5621, "" },
//  { 0x5622, "" },
//  { 0x5623, "" },
//  { 0x5624, "" },
//  { 0x5625, "" },
//  { 0x5626, "" },
//  { 0x5627, "" },
//  { 0x5628, "" },
//  { 0x5629, "" },
//  { 0x562A, "" },
//  { 0x562B, "" },
//  { 0x562C, "" },
//  { 0x562D, "" },
//  { 0x562E, "" },
//  { 0x562F, "" },
//  { 0x5630, "" },
//  { 0x5631, "" },
//  { 0x5632, "" },
//  { 0x5633, "" },
//  { 0x5634, "" },
//  { 0x5635, "" },
//  { 0x5636, "" },
//  { 0x5637, "" },
//  { 0x5638, "" },
//  { 0x5639, "" },
//  { 0x563A, "" },
//  { 0x563B, "" },
//  { 0x563C, "" },
//  { 0x563D, "" },
//  { 0x563E, "" },
//  { 0x563F, "" },
//  { 0x5640, "" },
//  { 0x5641, "" },
//  { 0x5642, "" },
//  { 0x5643, "" },
//  { 0x5644, "" },
//  { 0x5645, "" },
//  { 0x5646, "" },
//  { 0x5647, "" },
//  { 0x5648, "" },
//  { 0x5649, "" },
//  { 0x564A, "" },
//  { 0x564B, "" },
//  { 0x564C, "" },
//  { 0x564D, "" },
//  { 0x564E, "" },
//  { 0x564F, "" },
//  { 0x5650, "" },
//  { 0x5651, "" },
//  { 0x5652, "" },
//  { 0x5653, "" },
//  { 0x5654, "" },
//  { 0x5655, "" },
//  { 0x5656, "" },
//  { 0x5657, "" },
//  { 0x5658, "" },
//  { 0x5659, "" },
//  { 0x565A, "" },
//  { 0x565B, "" },
//  { 0x565C, "" },
//  { 0x565D, "" },
//  { 0x565E, "" },
//  { 0x565F, "" },
//  { 0x5660, "" },
//  { 0x5661, "" },
//  { 0x5662, "" },
//  { 0x5663, "" },
//  { 0x5664, "" },
//  { 0x5665, "" },
//  { 0x5666, "" },
//  { 0x5667, "" },
//  { 0x5668, "" },
//  { 0x5669, "" },
//  { 0x566A, "" },
//  { 0x566B, "" },
//  { 0x566C, "" },
//  { 0x566D, "" },
//  { 0x566E, "" },
//  { 0x566F, "" },
//  { 0x5670, "" },
//  { 0x5671, "" },
//  { 0x5672, "" },
//  { 0x5673, "" },
//  { 0x5674, "" },
//  { 0x5675, "" },
//  { 0x5676, "" },
//  { 0x5677, "" },
//  { 0x5678, "" },
//  { 0x5679, "" },
//  { 0x567A, "" },
//  { 0x567B, "" },
//  { 0x567C, "" },
//  { 0x567D, "" },
//  { 0x567E, "" },
//  { 0x567F, "" },
//  { 0x5680, "" },
//  { 0x5681, "" },
//  { 0x5682, "" },
//  { 0x5683, "" },
//  { 0x5684, "" },
//  { 0x5685, "" },
//  { 0x5686, "" },
//  { 0x5687, "" },
//  { 0x5688, "" },
//  { 0x5689, "" },
//  { 0x568A, "" },
//  { 0x568B, "" },
//  { 0x568C, "" },
//  { 0x568D, "" },
//  { 0x568E, "" },
//  { 0x568F, "" },
//  { 0x5690, "" },
//  { 0x5691, "" },
//  { 0x5692, "" },
//  { 0x5693, "" },
//  { 0x5694, "" },
//  { 0x5695, "" },
//  { 0x5696, "" },
//  { 0x5697, "" },
//  { 0x5698, "" },
//  { 0x5699, "" },
//  { 0x569A, "" },
//  { 0x569B, "" },
//  { 0x569C, "" },
//  { 0x569D, "" },
//  { 0x569E, "" },
//  { 0x569F, "" },
//  { 0x56A0, "" },
//  { 0x56A1, "" },
//  { 0x56A2, "" },
//  { 0x56A3, "" },
//  { 0x56A4, "" },
//  { 0x56A5, "" },
//  { 0x56A6, "" },
//  { 0x56A7, "" },
//  { 0x56A8, "" },
//  { 0x56A9, "" },
//  { 0x56AA, "" },
//  { 0x56AB, "" },
//  { 0x56AC, "" },
//  { 0x56AD, "" },
//  { 0x56AE, "" },
//  { 0x56AF, "" },
//  { 0x56B0, "" },
//  { 0x56B1, "" },
//  { 0x56B2, "" },
//  { 0x56B3, "" },
//  { 0x56B4, "" },
//  { 0x56B5, "" },
//  { 0x56B6, "" },
//  { 0x56B7, "" },
//  { 0x56B8, "" },
//  { 0x56B9, "" },
//  { 0x56BA, "" },
//  { 0x56BB, "" },
//  { 0x56BC, "" },
//  { 0x56BD, "" },
//  { 0x56BE, "" },
//  { 0x56BF, "" },
//  { 0x56C0, "" },
//  { 0x56C1, "" },
//  { 0x56C2, "" },
//  { 0x56C3, "" },
//  { 0x56C4, "" },
//  { 0x56C5, "" },
//  { 0x56C6, "" },
//  { 0x56C7, "" },
//  { 0x56C8, "" },
//  { 0x56C9, "" },
//  { 0x56CA, "" },
    { 0x56CB, "vehicle_scripts/_subway" },
    { 0x56CC, "vehicle_scripts/_uk_delivery_truck" },
    { 0x56CD, "vehicle_scripts/_uk_utility_truck" },
//  { 0x56CE, "" },
//  { 0x56CF, "" },
//  { 0x56D0, "" },
//  { 0x56D1, "" },
//  { 0x56D2, "" },
//  { 0x56D3, "" },
//  { 0x56D4, "" },
//  { 0x56D5, "" },
//  { 0x56D6, "" },
//  { 0x56D7, "" },
//  { 0x56D8, "" },
//  { 0x56D9, "" },
//  { 0x56DA, "" },
//  { 0x56DB, "" },
//  { 0x56DC, "" },
//  { 0x56DD, "" },
//  { 0x56DE, "" },
//  { 0x56DF, "" },
//  { 0x56E0, "" },
//  { 0x56E1, "" },
//  { 0x56E2, "" },
//  { 0x56E3, "" },
//  { 0x56E4, "" },
//  { 0x56E5, "" },
//  { 0x56E6, "" },
//  { 0x56E7, "" },
//  { 0x56E8, "" },
//  { 0x56E9, "" },
//  { 0x56EA, "" },
//  { 0x56EB, "" },
//  { 0x56EC, "" },
//  { 0x56ED, "" },
//  { 0x56EE, "" },
//  { 0x56EF, "" },
//  { 0x56F0, "" },
//  { 0x56F1, "" },
//  { 0x56F2, "" },
//  { 0x56F3, "" },
//  { 0x56F4, "" },
//  { 0x56F5, "" },
//  { 0x56F6, "" },
//  { 0x56F7, "" },
//  { 0x56F8, "" },
//  { 0x56F9, "" },
//  { 0x56FA, "" },
//  { 0x56FB, "" },
//  { 0x56FC, "" },
//  { 0x56FD, "" },
//  { 0x56FE, "" },
//  { 0x56FF, "" },
//  { 0x5700, "" },
//  { 0x5701, "" },
//  { 0x5702, "" },
//  { 0x5703, "" },
//  { 0x5704, "" },
//  { 0x5705, "" },
//  { 0x5706, "" },
//  { 0x5707, "" },
//  { 0x5708, "" },
//  { 0x5709, "" },
//  { 0x570A, "" },
//  { 0x570B, "" },
//  { 0x570C, "" },
//  { 0x570D, "" },
//  { 0x570E, "" },
//  { 0x570F, "" },
//  { 0x5710, "" },
//  { 0x5711, "" },
//  { 0x5712, "" },
//  { 0x5713, "" },
//  { 0x5714, "" },
//  { 0x5715, "" },
//  { 0x5716, "" },
//  { 0x5717, "" },
//  { 0x5718, "" },
//  { 0x5719, "" },
//  { 0x571A, "" },
//  { 0x571B, "" },
//  { 0x571C, "" },
//  { 0x571D, "" },
//  { 0x571E, "" },
//  { 0x571F, "" },
//  { 0x5720, "" },
//  { 0x5721, "" },
//  { 0x5722, "" },
//  { 0x5723, "" },
//  { 0x5724, "" },
//  { 0x5725, "" },
//  { 0x5726, "" },
//  { 0x5727, "" },
//  { 0x5728, "" },
//  { 0x5729, "" },
//  { 0x572A, "" },
//  { 0x572B, "" },
//  { 0x572C, "" },
//  { 0x572D, "" },
//  { 0x572E, "" },
//  { 0x572F, "" },
//  { 0x5730, "" },
//  { 0x5731, "" },
//  { 0x5732, "" },
//  { 0x5733, "" },
//  { 0x5734, "" },
//  { 0x5735, "" },
//  { 0x5736, "" },
//  { 0x5737, "" },
//  { 0x5738, "" },
//  { 0x5739, "" },
//  { 0x573A, "" },
//  { 0x573B, "" },
//  { 0x573C, "" },
//  { 0x573D, "" },
//  { 0x573E, "" },
//  { 0x573F, "" },
//  { 0x5740, "" },
//  { 0x5741, "" },
//  { 0x5742, "" },
//  { 0x5743, "" },
//  { 0x5744, "" },
//  { 0x5745, "" },
//  { 0x5746, "" },
//  { 0x5747, "" },
//  { 0x5748, "" },
//  { 0x5749, "" },
//  { 0x574A, "" },
//  { 0x574B, "" },
//  { 0x574C, "" },
//  { 0x574D, "" },
//  { 0x574E, "" },
//  { 0x574F, "" },
//  { 0x5750, "" },
//  { 0x5751, "" },
//  { 0x5752, "" },
//  { 0x5753, "" },
//  { 0x5754, "" },
//  { 0x5755, "" },
//  { 0x5756, "" },
//  { 0x5757, "" },
//  { 0x5758, "" },
//  { 0x5759, "" },
//  { 0x575A, "" },
    { 0x575B, "pre_load" },
//  { 0x575C, "" },
//  { 0x575D, "" },
//  { 0x575E, "" },
//  { 0x575F, "" },
//  { 0x5760, "" },
//  { 0x5761, "" },
//  { 0x5762, "" },
//  { 0x5763, "" },
//  { 0x5764, "" },
//  { 0x5765, "" },
//  { 0x5766, "" },
//  { 0x5767, "" },
//  { 0x5768, "" },
//  { 0x5769, "" },
//  { 0x576A, "" },
//  { 0x576B, "" },
//  { 0x576C, "" },
//  { 0x576D, "" },
//  { 0x576E, "" },
//  { 0x576F, "" },
//  { 0x5770, "" },
//  { 0x5771, "" },
//  { 0x5772, "" },
//  { 0x5773, "" },
//  { 0x5774, "" },
//  { 0x5775, "" },
//  { 0x5776, "" },
//  { 0x5777, "" },
//  { 0x5778, "" },
//  { 0x5779, "" },
//  { 0x577A, "" },
//  { 0x577B, "" },
//  { 0x577C, "" },
//  { 0x577D, "" },
//  { 0x577E, "" },
//  { 0x577F, "" },
//  { 0x5780, "" },
//  { 0x5781, "" },
//  { 0x5782, "" },
//  { 0x5783, "" },
//  { 0x5784, "" },
//  { 0x5785, "" },
//  { 0x5786, "" },
//  { 0x5787, "" },
//  { 0x5788, "" },
//  { 0x5789, "" },
//  { 0x578A, "" },
//  { 0x578B, "" },
//  { 0x578C, "" },
//  { 0x578D, "" },
//  { 0x578E, "" },
//  { 0x578F, "" },
//  { 0x5790, "" },
//  { 0x5791, "" },
//  { 0x5792, "" },
//  { 0x5793, "" },
//  { 0x5794, "" },
//  { 0x5795, "" },
//  { 0x5796, "" },
//  { 0x5797, "" },
//  { 0x5798, "" },
//  { 0x5799, "" },
//  { 0x579A, "" },
//  { 0x579B, "" },
//  { 0x579C, "" },
//  { 0x579D, "" },
//  { 0x579E, "" },
//  { 0x579F, "" },
//  { 0x57A0, "" },
//  { 0x57A1, "" },
//  { 0x57A2, "" },
//  { 0x57A3, "" },
//  { 0x57A4, "" },
//  { 0x57A5, "" },
//  { 0x57A6, "" },
//  { 0x57A7, "" },
//  { 0x57A8, "" },
//  { 0x57A9, "" },
//  { 0x57AA, "" },
//  { 0x57AB, "" },
//  { 0x57AC, "" },
//  { 0x57AD, "" },
//  { 0x57AE, "" },
//  { 0x57AF, "" },
//  { 0x57B0, "" },
//  { 0x57B1, "" },
//  { 0x57B2, "" },
//  { 0x57B3, "" },
//  { 0x57B4, "" },
//  { 0x57B5, "" },
//  { 0x57B6, "" },
//  { 0x57B7, "" },
//  { 0x57B8, "" },
//  { 0x57B9, "" },
//  { 0x57BA, "" },
//  { 0x57BB, "" },
//  { 0x57BC, "" },
//  { 0x57BD, "" },
//  { 0x57BE, "" },
//  { 0x57BF, "" },
//  { 0x57C0, "" },
//  { 0x57C1, "" },
//  { 0x57C2, "" },
//  { 0x57C3, "" },
//  { 0x57C4, "" },
//  { 0x57C5, "" },
//  { 0x57C6, "" },
//  { 0x57C7, "" },
//  { 0x57C8, "" },
//  { 0x57C9, "" },
//  { 0x57CA, "" },
//  { 0x57CB, "" },
//  { 0x57CC, "" },
//  { 0x57CD, "" },
//  { 0x57CE, "" },
//  { 0x57CF, "" },
//  { 0x57D0, "" },
//  { 0x57D1, "" },
//  { 0x57D2, "" },
//  { 0x57D3, "" },
//  { 0x57D4, "" },
//  { 0x57D5, "" },
//  { 0x57D6, "" },
//  { 0x57D7, "" },
//  { 0x57D8, "" },
//  { 0x57D9, "" },
//  { 0x57DA, "" },
//  { 0x57DB, "" },
//  { 0x57DC, "" },
//  { 0x57DD, "" },
//  { 0x57DE, "" },
//  { 0x57DF, "" },
//  { 0x57E0, "" },
//  { 0x57E1, "" },
//  { 0x57E2, "" },
//  { 0x57E3, "" },
//  { 0x57E4, "" },
//  { 0x57E5, "" },
//  { 0x57E6, "" },
//  { 0x57E7, "" },
//  { 0x57E8, "" },
//  { 0x57E9, "" },
//  { 0x57EA, "" },
//  { 0x57EB, "" },
//  { 0x57EC, "" },
//  { 0x57ED, "" },
//  { 0x57EE, "" },
//  { 0x57EF, "" },
//  { 0x57F0, "" },
//  { 0x57F1, "" },
//  { 0x57F2, "" },
//  { 0x57F3, "" },
//  { 0x57F4, "" },
//  { 0x57F5, "" },
//  { 0x57F6, "" },
//  { 0x57F7, "" },
//  { 0x57F8, "" },
//  { 0x57F9, "" },
//  { 0x57FA, "" },
//  { 0x57FB, "" },
//  { 0x57FC, "" },
//  { 0x57FD, "" },
//  { 0x57FE, "" },
//  { 0x57FF, "" },
//  { 0x5800, "" },
//  { 0x5801, "" },
//  { 0x5802, "" },
//  { 0x5803, "" },
//  { 0x5804, "" },
//  { 0x5805, "" },
//  { 0x5806, "" },
//  { 0x5807, "" },
//  { 0x5808, "" },
//  { 0x5809, "" },
//  { 0x580A, "" },
//  { 0x580B, "" },
//  { 0x580C, "" },
//  { 0x580D, "" },
//  { 0x580E, "" },
//  { 0x580F, "" },
//  { 0x5810, "" },
//  { 0x5811, "" },
//  { 0x5812, "" },
//  { 0x5813, "" },
//  { 0x5814, "" },
//  { 0x5815, "" },
//  { 0x5816, "" },
//  { 0x5817, "" },
//  { 0x5818, "" },
//  { 0x5819, "" },
//  { 0x581A, "" },
//  { 0x581B, "" },
//  { 0x581C, "" },
//  { 0x581D, "" },
//  { 0x581E, "" },
//  { 0x581F, "" },
//  { 0x5820, "" },
//  { 0x5821, "" },
//  { 0x5822, "" },
//  { 0x5823, "" },
//  { 0x5824, "" },
//  { 0x5825, "" },
//  { 0x5826, "" },
//  { 0x5827, "" },
//  { 0x5828, "" },
//  { 0x5829, "" },
//  { 0x582A, "" },
//  { 0x582B, "" },
//  { 0x582C, "" },
//  { 0x582D, "" },
//  { 0x582E, "" },
//  { 0x582F, "" },
//  { 0x5830, "" },
//  { 0x5831, "" },
//  { 0x5832, "" },
//  { 0x5833, "" },
//  { 0x5834, "" },
//  { 0x5835, "" },
//  { 0x5836, "" },
//  { 0x5837, "" },
//  { 0x5838, "" },
//  { 0x5839, "" },
//  { 0x583A, "" },
//  { 0x583B, "" },
//  { 0x583C, "" },
//  { 0x583D, "" },
//  { 0x583E, "" },
//  { 0x583F, "" },
//  { 0x5840, "" },
//  { 0x5841, "" },
//  { 0x5842, "" },
//  { 0x5843, "" },
//  { 0x5844, "" },
//  { 0x5845, "" },
//  { 0x5846, "" },
//  { 0x5847, "" },
//  { 0x5848, "" },
//  { 0x5849, "" },
//  { 0x584A, "" },
//  { 0x584B, "" },
//  { 0x584C, "" },
//  { 0x584D, "" },
//  { 0x584E, "" },
//  { 0x584F, "" },
//  { 0x5850, "" },
//  { 0x5851, "" },
//  { 0x5852, "" },
//  { 0x5853, "" },
//  { 0x5854, "" },
//  { 0x5855, "" },
//  { 0x5856, "" },
//  { 0x5857, "" },
//  { 0x5858, "" },
//  { 0x5859, "" },
//  { 0x585A, "" },
//  { 0x585B, "" },
//  { 0x585C, "" },
    { 0x585D, "maps/createart/london_art" },
    { 0x585E, "maps/_nightvision" },
//  { 0x585F, "" },
//  { 0x5860, "" },
//  { 0x5861, "" },
//  { 0x5862, "" },
//  { 0x5863, "" },
//  { 0x5864, "" },
//  { 0x5865, "" },
//  { 0x5866, "" },
//  { 0x5867, "" },
//  { 0x5868, "" },
//  { 0x5869, "" },
//  { 0x586A, "" },
//  { 0x586B, "" },
//  { 0x586C, "" },
//  { 0x586D, "" },
//  { 0x586E, "" },
//  { 0x586F, "" },
//  { 0x5870, "" },
//  { 0x5871, "" },
//  { 0x5872, "" },
//  { 0x5873, "" },
//  { 0x5874, "" },
//  { 0x5875, "" },
//  { 0x5876, "" },
//  { 0x5877, "" },
//  { 0x5878, "" },
//  { 0x5879, "" },
//  { 0x587A, "" },
//  { 0x587B, "" },
//  { 0x587C, "" },
//  { 0x587D, "" },
//  { 0x587E, "" },
//  { 0x587F, "" },
//  { 0x5880, "" },
//  { 0x5881, "" },
//  { 0x5882, "" },
//  { 0x5883, "" },
//  { 0x5884, "" },
//  { 0x5885, "" },
//  { 0x5886, "" },
//  { 0x5887, "" },
//  { 0x5888, "" },
//  { 0x5889, "" },
//  { 0x588A, "" },
//  { 0x588B, "" },
//  { 0x588C, "" },
//  { 0x588D, "" },
//  { 0x588E, "" },
//  { 0x588F, "" },
//  { 0x5890, "" },
//  { 0x5891, "" },
//  { 0x5892, "" },
//  { 0x5893, "" },
//  { 0x5894, "" },
//  { 0x5895, "" },
//  { 0x5896, "" },
//  { 0x5897, "" },
//  { 0x5898, "" },
//  { 0x5899, "" },
//  { 0x589A, "" },
//  { 0x589B, "" },
//  { 0x589C, "" },
    { 0x589D, "maps/_blizzard_hijack" },
//  { 0x589E, "" },
//  { 0x589F, "" },
//  { 0x58A0, "" },
//  { 0x58A1, "" },
//  { 0x58A2, "" },
//  { 0x58A3, "" },
//  { 0x58A4, "" },
//  { 0x58A5, "" },
//  { 0x58A6, "" },
//  { 0x58A7, "" },
//  { 0x58A8, "" },
//  { 0x58A9, "" },
//  { 0x58AA, "" },
//  { 0x58AB, "" },
//  { 0x58AC, "" },
//  { 0x58AD, "" },
//  { 0x58AE, "" },
//  { 0x58AF, "" },
//  { 0x58B0, "" },
//  { 0x58B1, "" },
//  { 0x58B2, "" },
//  { 0x58B3, "" },
//  { 0x58B4, "" },
//  { 0x58B5, "" },
//  { 0x58B6, "" },
//  { 0x58B7, "" },
//  { 0x58B8, "" },
//  { 0x58B9, "" },
//  { 0x58BA, "" },
//  { 0x58BB, "" },
//  { 0x58BC, "" },
//  { 0x58BD, "" },
//  { 0x58BE, "" },
//  { 0x58BF, "" },
//  { 0x58C0, "" },
//  { 0x58C1, "" },
//  { 0x58C2, "" },
//  { 0x58C3, "" },
//  { 0x58C4, "" },
//  { 0x58C5, "" },
//  { 0x58C6, "" },
//  { 0x58C7, "" },
//  { 0x58C8, "" },
//  { 0x58C9, "" },
//  { 0x58CA, "" },
//  { 0x58CB, "" },
//  { 0x58CC, "" },
//  { 0x58CD, "" },
//  { 0x58CE, "" },
//  { 0x58CF, "" },
//  { 0x58D0, "" },
//  { 0x58D1, "" },
//  { 0x58D2, "" },
//  { 0x58D3, "" },
//  { 0x58D4, "" },
//  { 0x58D5, "" },
//  { 0x58D6, "" },
//  { 0x58D7, "" },
//  { 0x58D8, "" },
//  { 0x58D9, "" },
//  { 0x58DA, "" },
//  { 0x58DB, "" },
//  { 0x58DC, "" },
//  { 0x58DD, "" },
//  { 0x58DE, "" },
//  { 0x58DF, "" },
//  { 0x58E0, "" },
//  { 0x58E1, "" },
//  { 0x58E2, "" },
//  { 0x58E3, "" },
//  { 0x58E4, "" },
//  { 0x58E5, "" },
//  { 0x58E6, "" },
//  { 0x58E7, "" },
//  { 0x58E8, "" },
//  { 0x58E9, "" },
//  { 0x58EA, "" },
//  { 0x58EB, "" },
//  { 0x58EC, "" },
//  { 0x58ED, "" },
//  { 0x58EE, "" },
//  { 0x58EF, "" },
//  { 0x58F0, "" },
//  { 0x58F1, "" },
//  { 0x58F2, "" },
//  { 0x58F3, "" },
//  { 0x58F4, "" },
//  { 0x58F5, "" },
//  { 0x58F6, "" },
//  { 0x58F7, "" },
//  { 0x58F8, "" },
//  { 0x58F9, "" },
//  { 0x58FA, "" },
//  { 0x58FB, "" },
//  { 0x58FC, "" },
//  { 0x58FD, "" },
//  { 0x58FE, "" },
//  { 0x58FF, "" },
//  { 0x5900, "" },
//  { 0x5901, "" },
//  { 0x5902, "" },
//  { 0x5903, "" },
//  { 0x5904, "" },
//  { 0x5905, "" },
//  { 0x5906, "" },
//  { 0x5907, "" },
//  { 0x5908, "" },
//  { 0x5909, "" },
//  { 0x590A, "" },
//  { 0x590B, "" },
//  { 0x590C, "" },
//  { 0x590D, "" },
//  { 0x590E, "" },
//  { 0x590F, "" },
//  { 0x5910, "" },
//  { 0x5911, "" },
//  { 0x5912, "" },
//  { 0x5913, "" },
//  { 0x5914, "" },
//  { 0x5915, "" },
//  { 0x5916, "" },
//  { 0x5917, "" },
//  { 0x5918, "" },
//  { 0x5919, "" },
//  { 0x591A, "" },
//  { 0x591B, "" },
//  { 0x591C, "" },
//  { 0x591D, "" },
//  { 0x591E, "" },
//  { 0x591F, "" },
//  { 0x5920, "" },
//  { 0x5921, "" },
//  { 0x5922, "" },
//  { 0x5923, "" },
//  { 0x5924, "" },
//  { 0x5925, "" },
//  { 0x5926, "" },
//  { 0x5927, "" },
//  { 0x5928, "" },
//  { 0x5929, "" },
//  { 0x592A, "" },
//  { 0x592B, "" },
//  { 0x592C, "" },
//  { 0x592D, "" },
//  { 0x592E, "" },
//  { 0x592F, "" },
//  { 0x5930, "" },
//  { 0x5931, "" },
//  { 0x5932, "" },
//  { 0x5933, "" },
//  { 0x5934, "" },
//  { 0x5935, "" },
//  { 0x5936, "" },
//  { 0x5937, "" },
//  { 0x5938, "" },
//  { 0x5939, "" },
//  { 0x593A, "" },
//  { 0x593B, "" },
//  { 0x593C, "" },
//  { 0x593D, "" },
//  { 0x593E, "" },
//  { 0x593F, "" },
//  { 0x5940, "" },
//  { 0x5941, "" },
//  { 0x5942, "" },
//  { 0x5943, "" },
//  { 0x5944, "" },
//  { 0x5945, "" },
//  { 0x5946, "" },
//  { 0x5947, "" },
//  { 0x5948, "" },
//  { 0x5949, "" },
//  { 0x594A, "" },
//  { 0x594B, "" },
//  { 0x594C, "" },
//  { 0x594D, "" },
//  { 0x594E, "" },
//  { 0x594F, "" },
//  { 0x5950, "" },
//  { 0x5951, "" },
//  { 0x5952, "" },
//  { 0x5953, "" },
//  { 0x5954, "" },
//  { 0x5955, "" },
//  { 0x5956, "" },
//  { 0x5957, "" },
//  { 0x5958, "" },
//  { 0x5959, "" },
//  { 0x595A, "" },
//  { 0x595B, "" },
//  { 0x595C, "" },
//  { 0x595D, "" },
//  { 0x595E, "" },
//  { 0x595F, "" },
//  { 0x5960, "" },
//  { 0x5961, "" },
//  { 0x5962, "" },
//  { 0x5963, "" },
//  { 0x5964, "" },
//  { 0x5965, "" },
//  { 0x5966, "" },
//  { 0x5967, "" },
//  { 0x5968, "" },
//  { 0x5969, "" },
//  { 0x596A, "" },
//  { 0x596B, "" },
//  { 0x596C, "" },
//  { 0x596D, "" },
//  { 0x596E, "" },
//  { 0x596F, "" },
//  { 0x5970, "" },
//  { 0x5971, "" },
//  { 0x5972, "" },
//  { 0x5973, "" },
//  { 0x5974, "" },
//  { 0x5975, "" },
//  { 0x5976, "" },
//  { 0x5977, "" },
//  { 0x5978, "" },
//  { 0x5979, "" },
//  { 0x597A, "" },
//  { 0x597B, "" },
//  { 0x597C, "" },
//  { 0x597D, "" },
//  { 0x597E, "" },
//  { 0x597F, "" },
//  { 0x5980, "" },
//  { 0x5981, "" },
//  { 0x5982, "" },
//  { 0x5983, "" },
//  { 0x5984, "" },
//  { 0x5985, "" },
//  { 0x5986, "" },
//  { 0x5987, "" },
//  { 0x5988, "" },
//  { 0x5989, "" },
//  { 0x598A, "" },
//  { 0x598B, "" },
//  { 0x598C, "" },
//  { 0x598D, "" },
//  { 0x598E, "" },
//  { 0x598F, "" },
//  { 0x5990, "" },
//  { 0x5991, "" },
//  { 0x5992, "" },
//  { 0x5993, "" },
//  { 0x5994, "" },
//  { 0x5995, "" },
//  { 0x5996, "" },
//  { 0x5997, "" },
//  { 0x5998, "" },
//  { 0x5999, "" },
//  { 0x599A, "" },
//  { 0x599B, "" },
//  { 0x599C, "" },
//  { 0x599D, "" },
//  { 0x599E, "" },
//  { 0x599F, "" },
//  { 0x59A0, "" },
//  { 0x59A1, "" },
//  { 0x59A2, "" },
//  { 0x59A3, "" },
//  { 0x59A4, "" },
//  { 0x59A5, "" },
//  { 0x59A6, "" },
//  { 0x59A7, "" },
//  { 0x59A8, "" },
//  { 0x59A9, "" },
//  { 0x59AA, "" },
//  { 0x59AB, "" },
//  { 0x59AC, "" },
//  { 0x59AD, "" },
//  { 0x59AE, "" },
//  { 0x59AF, "" },
//  { 0x59B0, "" },
//  { 0x59B1, "" },
//  { 0x59B2, "" },
//  { 0x59B3, "" },
//  { 0x59B4, "" },
//  { 0x59B5, "" },
//  { 0x59B6, "" },
//  { 0x59B7, "" },
//  { 0x59B8, "" },
//  { 0x59B9, "" },
//  { 0x59BA, "" },
//  { 0x59BB, "" },
//  { 0x59BC, "" },
//  { 0x59BD, "" },
//  { 0x59BE, "" },
//  { 0x59BF, "" },
//  { 0x59C0, "" },
//  { 0x59C1, "" },
//  { 0x59C2, "" },
//  { 0x59C3, "" },
//  { 0x59C4, "" },
//  { 0x59C5, "" },
//  { 0x59C6, "" },
//  { 0x59C7, "" },
//  { 0x59C8, "" },
//  { 0x59C9, "" },
//  { 0x59CA, "" },
//  { 0x59CB, "" },
//  { 0x59CC, "" },
//  { 0x59CD, "" },
//  { 0x59CE, "" },
//  { 0x59CF, "" },
//  { 0x59D0, "" },
//  { 0x59D1, "" },
//  { 0x59D2, "" },
//  { 0x59D3, "" },
//  { 0x59D4, "" },
//  { 0x59D5, "" },
//  { 0x59D6, "" },
//  { 0x59D7, "" },
//  { 0x59D8, "" },
//  { 0x59D9, "" },
//  { 0x59DA, "" },
//  { 0x59DB, "" },
//  { 0x59DC, "" },
//  { 0x59DD, "" },
//  { 0x59DE, "" },
//  { 0x59DF, "" },
//  { 0x59E0, "" },
//  { 0x59E1, "" },
//  { 0x59E2, "" },
//  { 0x59E3, "" },
//  { 0x59E4, "" },
//  { 0x59E5, "" },
//  { 0x59E6, "" },
//  { 0x59E7, "" },
//  { 0x59E8, "" },
//  { 0x59E9, "" },
//  { 0x59EA, "" },
//  { 0x59EB, "" },
//  { 0x59EC, "" },
//  { 0x59ED, "" },
//  { 0x59EE, "" },
//  { 0x59EF, "" },
//  { 0x59F0, "" },
//  { 0x59F1, "" },
//  { 0x59F2, "" },
//  { 0x59F3, "" },
//  { 0x59F4, "" },
//  { 0x59F5, "" },
//  { 0x59F6, "" },
//  { 0x59F7, "" },
//  { 0x59F8, "" },
//  { 0x59F9, "" },
//  { 0x59FA, "" },
//  { 0x59FB, "" },
//  { 0x59FC, "" },
//  { 0x59FD, "" },
//  { 0x59FE, "" },
//  { 0x59FF, "" },
//  { 0x5A00, "" },
//  { 0x5A01, "" },
//  { 0x5A02, "" },
//  { 0x5A03, "" },
//  { 0x5A04, "" },
//  { 0x5A05, "" },
//  { 0x5A06, "" },
//  { 0x5A07, "" },
//  { 0x5A08, "" },
//  { 0x5A09, "" },
//  { 0x5A0A, "" },
//  { 0x5A0B, "" },
//  { 0x5A0C, "" },
//  { 0x5A0D, "" },
//  { 0x5A0E, "" },
//  { 0x5A0F, "" },
//  { 0x5A10, "" },
//  { 0x5A11, "" },
//  { 0x5A12, "" },
//  { 0x5A13, "" },
//  { 0x5A14, "" },
//  { 0x5A15, "" },
//  { 0x5A16, "" },
//  { 0x5A17, "" },
//  { 0x5A18, "" },
//  { 0x5A19, "" },
//  { 0x5A1A, "" },
//  { 0x5A1B, "" },
//  { 0x5A1C, "" },
//  { 0x5A1D, "" },
//  { 0x5A1E, "" },
//  { 0x5A1F, "" },
//  { 0x5A20, "" },
//  { 0x5A21, "" },
//  { 0x5A22, "" },
//  { 0x5A23, "" },
//  { 0x5A24, "" },
//  { 0x5A25, "" },
//  { 0x5A26, "" },
//  { 0x5A27, "" },
//  { 0x5A28, "" },
//  { 0x5A29, "" },
//  { 0x5A2A, "" },
//  { 0x5A2B, "" },
//  { 0x5A2C, "" },
//  { 0x5A2D, "" },
//  { 0x5A2E, "" },
//  { 0x5A2F, "" },
//  { 0x5A30, "" },
//  { 0x5A31, "" },
//  { 0x5A32, "" },
//  { 0x5A33, "" },
//  { 0x5A34, "" },
//  { 0x5A35, "" },
//  { 0x5A36, "" },
//  { 0x5A37, "" },
//  { 0x5A38, "" },
//  { 0x5A39, "" },
//  { 0x5A3A, "" },
//  { 0x5A3B, "" },
//  { 0x5A3C, "" },
//  { 0x5A3D, "" },
//  { 0x5A3E, "" },
//  { 0x5A3F, "" },
//  { 0x5A40, "" },
//  { 0x5A41, "" },
//  { 0x5A42, "" },
//  { 0x5A43, "" },
//  { 0x5A44, "" },
//  { 0x5A45, "" },
//  { 0x5A46, "" },
//  { 0x5A47, "" },
//  { 0x5A48, "" },
//  { 0x5A49, "" },
//  { 0x5A4A, "" },
//  { 0x5A4B, "" },
//  { 0x5A4C, "" },
//  { 0x5A4D, "" },
//  { 0x5A4E, "" },
//  { 0x5A4F, "" },
//  { 0x5A50, "" },
//  { 0x5A51, "" },
//  { 0x5A52, "" },
//  { 0x5A53, "" },
//  { 0x5A54, "" },
//  { 0x5A55, "" },
//  { 0x5A56, "" },
//  { 0x5A57, "" },
//  { 0x5A58, "" },
//  { 0x5A59, "" },
//  { 0x5A5A, "" },
//  { 0x5A5B, "" },
//  { 0x5A5C, "" },
    { 0x5A5D, "maps/createart/hijack_art" },
//  { 0x5A5E, "" },
//  { 0x5A5F, "" },
//  { 0x5A60, "" },
//  { 0x5A61, "" },
//  { 0x5A62, "" },
//  { 0x5A63, "" },
//  { 0x5A64, "" },
//  { 0x5A65, "" },
//  { 0x5A66, "" },
//  { 0x5A67, "" },
//  { 0x5A68, "" },
//  { 0x5A69, "" },
//  { 0x5A6A, "" },
//  { 0x5A6B, "" },
//  { 0x5A6C, "" },
//  { 0x5A6D, "" },
//  { 0x5A6E, "" },
//  { 0x5A6F, "" },
//  { 0x5A70, "" },
//  { 0x5A71, "" },
//  { 0x5A72, "" },
//  { 0x5A73, "" },
//  { 0x5A74, "" },
//  { 0x5A75, "" },
//  { 0x5A76, "" },
//  { 0x5A77, "" },
//  { 0x5A78, "" },
//  { 0x5A79, "" },
//  { 0x5A7A, "" },
//  { 0x5A7B, "" },
//  { 0x5A7C, "" },
//  { 0x5A7D, "" },
//  { 0x5A7E, "" },
//  { 0x5A7F, "" },
//  { 0x5A80, "" },
//  { 0x5A81, "" },
//  { 0x5A82, "" },
//  { 0x5A83, "" },
//  { 0x5A84, "" },
//  { 0x5A85, "" },
//  { 0x5A86, "" },
//  { 0x5A87, "" },
//  { 0x5A88, "" },
//  { 0x5A89, "" },
//  { 0x5A8A, "" },
//  { 0x5A8B, "" },
//  { 0x5A8C, "" },
//  { 0x5A8D, "" },
//  { 0x5A8E, "" },
//  { 0x5A8F, "" },
//  { 0x5A90, "" },
//  { 0x5A91, "" },
//  { 0x5A92, "" },
//  { 0x5A93, "" },
//  { 0x5A94, "" },
//  { 0x5A95, "" },
//  { 0x5A96, "" },
//  { 0x5A97, "" },
//  { 0x5A98, "" },
//  { 0x5A99, "" },
//  { 0x5A9A, "" },
//  { 0x5A9B, "" },
//  { 0x5A9C, "" },
//  { 0x5A9D, "" },
//  { 0x5A9E, "" },
//  { 0x5A9F, "" },
//  { 0x5AA0, "" },
//  { 0x5AA1, "" },
//  { 0x5AA2, "" },
//  { 0x5AA3, "" },
//  { 0x5AA4, "" },
//  { 0x5AA5, "" },
//  { 0x5AA6, "" },
//  { 0x5AA7, "" },
//  { 0x5AA8, "" },
//  { 0x5AA9, "" },
//  { 0x5AAA, "" },
//  { 0x5AAB, "" },
//  { 0x5AAC, "" },
//  { 0x5AAD, "" },
//  { 0x5AAE, "" },
//  { 0x5AAF, "" },
//  { 0x5AB0, "" },
//  { 0x5AB1, "" },
//  { 0x5AB2, "" },
//  { 0x5AB3, "" },
//  { 0x5AB4, "" },
//  { 0x5AB5, "" },
//  { 0x5AB6, "" },
//  { 0x5AB7, "" },
//  { 0x5AB8, "" },
//  { 0x5AB9, "" },
//  { 0x5ABA, "" },
//  { 0x5ABB, "" },
//  { 0x5ABC, "" },
//  { 0x5ABD, "" },
//  { 0x5ABE, "" },
//  { 0x5ABF, "" },
//  { 0x5AC0, "" },
//  { 0x5AC1, "" },
//  { 0x5AC2, "" },
//  { 0x5AC3, "" },
//  { 0x5AC4, "" },
//  { 0x5AC5, "" },
//  { 0x5AC6, "" },
//  { 0x5AC7, "" },
//  { 0x5AC8, "" },
//  { 0x5AC9, "" },
//  { 0x5ACA, "" },
//  { 0x5ACB, "" },
//  { 0x5ACC, "" },
//  { 0x5ACD, "" },
//  { 0x5ACE, "" },
//  { 0x5ACF, "" },
//  { 0x5AD0, "" },
//  { 0x5AD1, "" },
//  { 0x5AD2, "" },
//  { 0x5AD3, "" },
//  { 0x5AD4, "" },
//  { 0x5AD5, "" },
//  { 0x5AD6, "" },
//  { 0x5AD7, "" },
//  { 0x5AD8, "" },
//  { 0x5AD9, "" },
//  { 0x5ADA, "" },
//  { 0x5ADB, "" },
//  { 0x5ADC, "" },
//  { 0x5ADD, "" },
//  { 0x5ADE, "" },
//  { 0x5ADF, "" },
//  { 0x5AE0, "" },
//  { 0x5AE1, "" },
//  { 0x5AE2, "" },
//  { 0x5AE3, "" },
//  { 0x5AE4, "" },
//  { 0x5AE5, "" },
//  { 0x5AE6, "" },
//  { 0x5AE7, "" },
//  { 0x5AE8, "" },
//  { 0x5AE9, "" },
//  { 0x5AEA, "" },
//  { 0x5AEB, "" },
//  { 0x5AEC, "" },
//  { 0x5AED, "" },
//  { 0x5AEE, "" },
//  { 0x5AEF, "" },
//  { 0x5AF0, "" },
//  { 0x5AF1, "" },
//  { 0x5AF2, "" },
//  { 0x5AF3, "" },
//  { 0x5AF4, "" },
//  { 0x5AF5, "" },
//  { 0x5AF6, "" },
//  { 0x5AF7, "" },
//  { 0x5AF8, "" },
//  { 0x5AF9, "" },
//  { 0x5AFA, "" },
//  { 0x5AFB, "" },
//  { 0x5AFC, "" },
//  { 0x5AFD, "" },
//  { 0x5AFE, "" },
//  { 0x5AFF, "" },
//  { 0x5B00, "" },
//  { 0x5B01, "" },
//  { 0x5B02, "" },
//  { 0x5B03, "" },
//  { 0x5B04, "" },
//  { 0x5B05, "" },
//  { 0x5B06, "" },
//  { 0x5B07, "" },
//  { 0x5B08, "" },
//  { 0x5B09, "" },
//  { 0x5B0A, "" },
//  { 0x5B0B, "" },
//  { 0x5B0C, "" },
//  { 0x5B0D, "" },
//  { 0x5B0E, "" },
//  { 0x5B0F, "" },
//  { 0x5B10, "" },
//  { 0x5B11, "" },
//  { 0x5B12, "" },
//  { 0x5B13, "" },
//  { 0x5B14, "" },
//  { 0x5B15, "" },
//  { 0x5B16, "" },
//  { 0x5B17, "" },
//  { 0x5B18, "" },
//  { 0x5B19, "" },
//  { 0x5B1A, "" },
//  { 0x5B1B, "" },
//  { 0x5B1C, "" },
//  { 0x5B1D, "" },
//  { 0x5B1E, "" },
//  { 0x5B1F, "" },
//  { 0x5B20, "" },
//  { 0x5B21, "" },
//  { 0x5B22, "" },
//  { 0x5B23, "" },
//  { 0x5B24, "" },
//  { 0x5B25, "" },
//  { 0x5B26, "" },
//  { 0x5B27, "" },
//  { 0x5B28, "" },
//  { 0x5B29, "" },
//  { 0x5B2A, "" },
//  { 0x5B2B, "" },
//  { 0x5B2C, "" },
//  { 0x5B2D, "" },
//  { 0x5B2E, "" },
//  { 0x5B2F, "" },
//  { 0x5B30, "" },
//  { 0x5B31, "" },
//  { 0x5B32, "" },
//  { 0x5B33, "" },
//  { 0x5B34, "" },
//  { 0x5B35, "" },
//  { 0x5B36, "" },
//  { 0x5B37, "" },
//  { 0x5B38, "" },
//  { 0x5B39, "" },
//  { 0x5B3A, "" },
//  { 0x5B3B, "" },
//  { 0x5B3C, "" },
//  { 0x5B3D, "" },
//  { 0x5B3E, "" },
//  { 0x5B3F, "" },
//  { 0x5B40, "" },
//  { 0x5B41, "" },
//  { 0x5B42, "" },
//  { 0x5B43, "" },
//  { 0x5B44, "" },
//  { 0x5B45, "" },
//  { 0x5B46, "" },
//  { 0x5B47, "" },
//  { 0x5B48, "" },
//  { 0x5B49, "" },
//  { 0x5B4A, "" },
//  { 0x5B4B, "" },
//  { 0x5B4C, "" },
//  { 0x5B4D, "" },
//  { 0x5B4E, "" },
//  { 0x5B4F, "" },
//  { 0x5B50, "" },
//  { 0x5B51, "" },
//  { 0x5B52, "" },
//  { 0x5B53, "" },
//  { 0x5B54, "" },
//  { 0x5B55, "" },
//  { 0x5B56, "" },
//  { 0x5B57, "" },
//  { 0x5B58, "" },
//  { 0x5B59, "" },
//  { 0x5B5A, "" },
//  { 0x5B5B, "" },
//  { 0x5B5C, "" },
//  { 0x5B5D, "" },
//  { 0x5B5E, "" },
//  { 0x5B5F, "" },
//  { 0x5B60, "" },
//  { 0x5B61, "" },
//  { 0x5B62, "" },
//  { 0x5B63, "" },
//  { 0x5B64, "" },
//  { 0x5B65, "" },
//  { 0x5B66, "" },
//  { 0x5B67, "" },
//  { 0x5B68, "" },
//  { 0x5B69, "" },
//  { 0x5B6A, "" },
//  { 0x5B6B, "" },
//  { 0x5B6C, "" },
//  { 0x5B6D, "" },
//  { 0x5B6E, "" },
//  { 0x5B6F, "" },
//  { 0x5B70, "" },
//  { 0x5B71, "" },
//  { 0x5B72, "" },
//  { 0x5B73, "" },
//  { 0x5B74, "" },
//  { 0x5B75, "" },
//  { 0x5B76, "" },
//  { 0x5B77, "" },
//  { 0x5B78, "" },
//  { 0x5B79, "" },
//  { 0x5B7A, "" },
//  { 0x5B7B, "" },
//  { 0x5B7C, "" },
//  { 0x5B7D, "" },
//  { 0x5B7E, "" },
//  { 0x5B7F, "" },
//  { 0x5B80, "" },
//  { 0x5B81, "" },
//  { 0x5B82, "" },
//  { 0x5B83, "" },
//  { 0x5B84, "" },
//  { 0x5B85, "" },
//  { 0x5B86, "" },
//  { 0x5B87, "" },
//  { 0x5B88, "" },
//  { 0x5B89, "" },
//  { 0x5B8A, "" },
//  { 0x5B8B, "" },
//  { 0x5B8C, "" },
//  { 0x5B8D, "" },
//  { 0x5B8E, "" },
//  { 0x5B8F, "" },
//  { 0x5B90, "" },
//  { 0x5B91, "" },
//  { 0x5B92, "" },
//  { 0x5B93, "" },
//  { 0x5B94, "" },
//  { 0x5B95, "" },
//  { 0x5B96, "" },
//  { 0x5B97, "" },
//  { 0x5B98, "" },
//  { 0x5B99, "" },
//  { 0x5B9A, "" },
//  { 0x5B9B, "" },
//  { 0x5B9C, "" },
//  { 0x5B9D, "" },
//  { 0x5B9E, "" },
//  { 0x5B9F, "" },
//  { 0x5BA0, "" },
//  { 0x5BA1, "" },
//  { 0x5BA2, "" },
//  { 0x5BA3, "" },
//  { 0x5BA4, "" },
//  { 0x5BA5, "" },
//  { 0x5BA6, "" },
//  { 0x5BA7, "" },
//  { 0x5BA8, "" },
//  { 0x5BA9, "" },
//  { 0x5BAA, "" },
//  { 0x5BAB, "" },
//  { 0x5BAC, "" },
//  { 0x5BAD, "" },
//  { 0x5BAE, "" },
//  { 0x5BAF, "" },
    { 0x5BB0, "maps/_stinger" },
//  { 0x5BB1, "" },
//  { 0x5BB2, "" },
//  { 0x5BB3, "" },
//  { 0x5BB4, "" },
//  { 0x5BB5, "" },
//  { 0x5BB6, "" },
//  { 0x5BB7, "" },
//  { 0x5BB8, "" },
//  { 0x5BB9, "" },
//  { 0x5BBA, "" },
//  { 0x5BBB, "" },
//  { 0x5BBC, "" },
//  { 0x5BBD, "" },
//  { 0x5BBE, "" },
//  { 0x5BBF, "" },
//  { 0x5BC0, "" },
//  { 0x5BC1, "" },
//  { 0x5BC2, "" },
//  { 0x5BC3, "" },
//  { 0x5BC4, "" },
//  { 0x5BC5, "" },
//  { 0x5BC6, "" },
//  { 0x5BC7, "" },
//  { 0x5BC8, "" },
//  { 0x5BC9, "" },
//  { 0x5BCA, "" },
//  { 0x5BCB, "" },
//  { 0x5BCC, "" },
//  { 0x5BCD, "" },
//  { 0x5BCE, "" },
//  { 0x5BCF, "" },
//  { 0x5BD0, "" },
//  { 0x5BD1, "" },
//  { 0x5BD2, "" },
//  { 0x5BD3, "" },
//  { 0x5BD4, "" },
//  { 0x5BD5, "" },
//  { 0x5BD6, "" },
//  { 0x5BD7, "" },
//  { 0x5BD8, "" },
//  { 0x5BD9, "" },
//  { 0x5BDA, "" },
//  { 0x5BDB, "" },
//  { 0x5BDC, "" },
//  { 0x5BDD, "" },
//  { 0x5BDE, "" },
//  { 0x5BDF, "" },
//  { 0x5BE0, "" },
//  { 0x5BE1, "" },
//  { 0x5BE2, "" },
//  { 0x5BE3, "" },
//  { 0x5BE4, "" },
//  { 0x5BE5, "" },
//  { 0x5BE6, "" },
//  { 0x5BE7, "" },
//  { 0x5BE8, "" },
//  { 0x5BE9, "" },
//  { 0x5BEA, "" },
//  { 0x5BEB, "" },
//  { 0x5BEC, "" },
//  { 0x5BED, "" },
//  { 0x5BEE, "" },
//  { 0x5BEF, "" },
//  { 0x5BF0, "" },
//  { 0x5BF1, "" },
//  { 0x5BF2, "" },
//  { 0x5BF3, "" },
//  { 0x5BF4, "" },
//  { 0x5BF5, "" },
//  { 0x5BF6, "" },
//  { 0x5BF7, "" },
//  { 0x5BF8, "" },
//  { 0x5BF9, "" },
//  { 0x5BFA, "" },
//  { 0x5BFB, "" },
//  { 0x5BFC, "" },
//  { 0x5BFD, "" },
//  { 0x5BFE, "" },
//  { 0x5BFF, "" },
//  { 0x5C00, "" },
//  { 0x5C01, "" },
//  { 0x5C02, "" },
//  { 0x5C03, "" },
//  { 0x5C04, "" },
//  { 0x5C05, "" },
//  { 0x5C06, "" },
//  { 0x5C07, "" },
//  { 0x5C08, "" },
//  { 0x5C09, "" },
//  { 0x5C0A, "" },
//  { 0x5C0B, "" },
//  { 0x5C0C, "" },
//  { 0x5C0D, "" },
//  { 0x5C0E, "" },
//  { 0x5C0F, "" },
//  { 0x5C10, "" },
//  { 0x5C11, "" },
//  { 0x5C12, "" },
//  { 0x5C13, "" },
//  { 0x5C14, "" },
//  { 0x5C15, "" },
//  { 0x5C16, "" },
//  { 0x5C17, "" },
//  { 0x5C18, "" },
//  { 0x5C19, "" },
//  { 0x5C1A, "" },
//  { 0x5C1B, "" },
//  { 0x5C1C, "" },
//  { 0x5C1D, "" },
//  { 0x5C1E, "" },
//  { 0x5C1F, "" },
//  { 0x5C20, "" },
//  { 0x5C21, "" },
//  { 0x5C22, "" },
//  { 0x5C23, "" },
//  { 0x5C24, "" },
//  { 0x5C25, "" },
//  { 0x5C26, "" },
//  { 0x5C27, "" },
//  { 0x5C28, "" },
//  { 0x5C29, "" },
//  { 0x5C2A, "" },
//  { 0x5C2B, "" },
//  { 0x5C2C, "" },
//  { 0x5C2D, "" },
//  { 0x5C2E, "" },
//  { 0x5C2F, "" },
//  { 0x5C30, "" },
//  { 0x5C31, "" },
//  { 0x5C32, "" },
//  { 0x5C33, "" },
//  { 0x5C34, "" },
//  { 0x5C35, "" },
//  { 0x5C36, "" },
//  { 0x5C37, "" },
//  { 0x5C38, "" },
//  { 0x5C39, "" },
//  { 0x5C3A, "" },
//  { 0x5C3B, "" },
//  { 0x5C3C, "" },
//  { 0x5C3D, "" },
//  { 0x5C3E, "" },
//  { 0x5C3F, "" },
//  { 0x5C40, "" },
//  { 0x5C41, "" },
//  { 0x5C42, "" },
//  { 0x5C43, "" },
//  { 0x5C44, "" },
//  { 0x5C45, "" },
//  { 0x5C46, "" },
//  { 0x5C47, "" },
//  { 0x5C48, "" },
//  { 0x5C49, "" },
//  { 0x5C4A, "" },
//  { 0x5C4B, "" },
//  { 0x5C4C, "" },
//  { 0x5C4D, "" },
//  { 0x5C4E, "" },
//  { 0x5C4F, "" },
//  { 0x5C50, "" },
//  { 0x5C51, "" },
//  { 0x5C52, "" },
//  { 0x5C53, "" },
//  { 0x5C54, "" },
//  { 0x5C55, "" },
//  { 0x5C56, "" },
//  { 0x5C57, "" },
//  { 0x5C58, "" },
//  { 0x5C59, "" },
//  { 0x5C5A, "" },
//  { 0x5C5B, "" },
//  { 0x5C5C, "" },
//  { 0x5C5D, "" },
//  { 0x5C5E, "" },
//  { 0x5C5F, "" },
//  { 0x5C60, "" },
//  { 0x5C61, "" },
//  { 0x5C62, "" },
//  { 0x5C63, "" },
//  { 0x5C64, "" },
//  { 0x5C65, "" },
//  { 0x5C66, "" },
//  { 0x5C67, "" },
//  { 0x5C68, "" },
//  { 0x5C69, "" },
//  { 0x5C6A, "" },
//  { 0x5C6B, "" },
//  { 0x5C6C, "" },
//  { 0x5C6D, "" },
//  { 0x5C6E, "" },
//  { 0x5C6F, "" },
//  { 0x5C70, "" },
//  { 0x5C71, "" },
//  { 0x5C72, "" },
//  { 0x5C73, "" },
//  { 0x5C74, "" },
//  { 0x5C75, "" },
//  { 0x5C76, "" },
//  { 0x5C77, "" },
//  { 0x5C78, "" },
//  { 0x5C79, "" },
//  { 0x5C7A, "" },
//  { 0x5C7B, "" },
//  { 0x5C7C, "" },
//  { 0x5C7D, "" },
//  { 0x5C7E, "" },
//  { 0x5C7F, "" },
//  { 0x5C80, "" },
//  { 0x5C81, "" },
//  { 0x5C82, "" },
//  { 0x5C83, "" },
//  { 0x5C84, "" },
//  { 0x5C85, "" },
//  { 0x5C86, "" },
//  { 0x5C87, "" },
//  { 0x5C88, "" },
//  { 0x5C89, "" },
//  { 0x5C8A, "" },
//  { 0x5C8B, "" },
//  { 0x5C8C, "" },
//  { 0x5C8D, "" },
//  { 0x5C8E, "" },
//  { 0x5C8F, "" },
//  { 0x5C90, "" },
//  { 0x5C91, "" },
//  { 0x5C92, "" },
//  { 0x5C93, "" },
//  { 0x5C94, "" },
//  { 0x5C95, "" },
//  { 0x5C96, "" },
//  { 0x5C97, "" },
//  { 0x5C98, "" },
//  { 0x5C99, "" },
//  { 0x5C9A, "" },
//  { 0x5C9B, "" },
//  { 0x5C9C, "" },
//  { 0x5C9D, "" },
//  { 0x5C9E, "" },
//  { 0x5C9F, "" },
//  { 0x5CA0, "" },
//  { 0x5CA1, "" },
//  { 0x5CA2, "" },
//  { 0x5CA3, "" },
//  { 0x5CA4, "" },
//  { 0x5CA5, "" },
//  { 0x5CA6, "" },
//  { 0x5CA7, "" },
//  { 0x5CA8, "" },
//  { 0x5CA9, "" },
//  { 0x5CAA, "" },
//  { 0x5CAB, "" },
//  { 0x5CAC, "" },
//  { 0x5CAD, "" },
//  { 0x5CAE, "" },
//  { 0x5CAF, "" },
//  { 0x5CB0, "" },
//  { 0x5CB1, "" },
//  { 0x5CB2, "" },
//  { 0x5CB3, "" },
//  { 0x5CB4, "" },
//  { 0x5CB5, "" },
//  { 0x5CB6, "" },
//  { 0x5CB7, "" },
//  { 0x5CB8, "" },
//  { 0x5CB9, "" },
//  { 0x5CBA, "" },
//  { 0x5CBB, "" },
//  { 0x5CBC, "" },
//  { 0x5CBD, "" },
//  { 0x5CBE, "" },
//  { 0x5CBF, "" },
//  { 0x5CC0, "" },
//  { 0x5CC1, "" },
//  { 0x5CC2, "" },
//  { 0x5CC3, "" },
//  { 0x5CC4, "" },
//  { 0x5CC5, "" },
//  { 0x5CC6, "" },
//  { 0x5CC7, "" },
//  { 0x5CC8, "" },
//  { 0x5CC9, "" },
//  { 0x5CCA, "" },
//  { 0x5CCB, "" },
//  { 0x5CCC, "" },
//  { 0x5CCD, "" },
//  { 0x5CCE, "" },
//  { 0x5CCF, "" },
//  { 0x5CD0, "" },
//  { 0x5CD1, "" },
//  { 0x5CD2, "" },
//  { 0x5CD3, "" },
//  { 0x5CD4, "" },
//  { 0x5CD5, "" },
//  { 0x5CD6, "" },
//  { 0x5CD7, "" },
//  { 0x5CD8, "" },
//  { 0x5CD9, "" },
//  { 0x5CDA, "" },
//  { 0x5CDB, "" },
//  { 0x5CDC, "" },
//  { 0x5CDD, "" },
//  { 0x5CDE, "" },
//  { 0x5CDF, "" },
//  { 0x5CE0, "" },
//  { 0x5CE1, "" },
//  { 0x5CE2, "" },
//  { 0x5CE3, "" },
//  { 0x5CE4, "" },
//  { 0x5CE5, "" },
//  { 0x5CE6, "" },
//  { 0x5CE7, "" },
//  { 0x5CE8, "" },
//  { 0x5CE9, "" },
//  { 0x5CEA, "" },
//  { 0x5CEB, "" },
//  { 0x5CEC, "" },
//  { 0x5CED, "" },
//  { 0x5CEE, "" },
//  { 0x5CEF, "" },
//  { 0x5CF0, "" },
//  { 0x5CF1, "" },
//  { 0x5CF2, "" },
//  { 0x5CF3, "" },
//  { 0x5CF4, "" },
//  { 0x5CF5, "" },
//  { 0x5CF6, "" },
//  { 0x5CF7, "" },
//  { 0x5CF8, "" },
//  { 0x5CF9, "" },
//  { 0x5CFA, "" },
//  { 0x5CFB, "" },
//  { 0x5CFC, "" },
//  { 0x5CFD, "" },
//  { 0x5CFE, "" },
//  { 0x5CFF, "" },
//  { 0x5D00, "" },
//  { 0x5D01, "" },
//  { 0x5D02, "" },
//  { 0x5D03, "" },
//  { 0x5D04, "" },
//  { 0x5D05, "" },
//  { 0x5D06, "" },
//  { 0x5D07, "" },
    { 0x5D08, "setup_truck" },
//  { 0x5D09, "" },
//  { 0x5D0A, "" },
//  { 0x5D0B, "" },
//  { 0x5D0C, "" },
//  { 0x5D0D, "" },
//  { 0x5D0E, "" },
//  { 0x5D0F, "" },
//  { 0x5D10, "" },
//  { 0x5D11, "" },
//  { 0x5D12, "" },
//  { 0x5D13, "" },
//  { 0x5D14, "" },
//  { 0x5D15, "" },
//  { 0x5D16, "" },
//  { 0x5D17, "" },
//  { 0x5D18, "" },
//  { 0x5D19, "" },
//  { 0x5D1A, "" },
//  { 0x5D1B, "" },
//  { 0x5D1C, "" },
//  { 0x5D1D, "" },
//  { 0x5D1E, "" },
//  { 0x5D1F, "" },
//  { 0x5D20, "" },
//  { 0x5D21, "" },
//  { 0x5D22, "" },
//  { 0x5D23, "" },
//  { 0x5D24, "" },
//  { 0x5D25, "" },
//  { 0x5D26, "" },
//  { 0x5D27, "" },
//  { 0x5D28, "" },
//  { 0x5D29, "" },
//  { 0x5D2A, "" },
//  { 0x5D2B, "" },
//  { 0x5D2C, "" },
//  { 0x5D2D, "" },
//  { 0x5D2E, "" },
//  { 0x5D2F, "" },
//  { 0x5D30, "" },
//  { 0x5D31, "" },
//  { 0x5D32, "" },
//  { 0x5D33, "" },
//  { 0x5D34, "" },
//  { 0x5D35, "" },
//  { 0x5D36, "" },
//  { 0x5D37, "" },
//  { 0x5D38, "" },
//  { 0x5D39, "" },
//  { 0x5D3A, "" },
//  { 0x5D3B, "" },
//  { 0x5D3C, "" },
//  { 0x5D3D, "" },
//  { 0x5D3E, "" },
//  { 0x5D3F, "" },
//  { 0x5D40, "" },
//  { 0x5D41, "" },
//  { 0x5D42, "" },
//  { 0x5D43, "" },
//  { 0x5D44, "" },
//  { 0x5D45, "" },
//  { 0x5D46, "" },
//  { 0x5D47, "" },
//  { 0x5D48, "" },
//  { 0x5D49, "" },
//  { 0x5D4A, "" },
//  { 0x5D4B, "" },
//  { 0x5D4C, "" },
//  { 0x5D4D, "" },
//  { 0x5D4E, "" },
//  { 0x5D4F, "" },
//  { 0x5D50, "" },
//  { 0x5D51, "" },
//  { 0x5D52, "" },
//  { 0x5D53, "" },
//  { 0x5D54, "" },
//  { 0x5D55, "" },
//  { 0x5D56, "" },
//  { 0x5D57, "" },
//  { 0x5D58, "" },
//  { 0x5D59, "" },
//  { 0x5D5A, "" },
//  { 0x5D5B, "" },
//  { 0x5D5C, "" },
//  { 0x5D5D, "" },
//  { 0x5D5E, "" },
//  { 0x5D5F, "" },
//  { 0x5D60, "" },
//  { 0x5D61, "" },
//  { 0x5D62, "" },
//  { 0x5D63, "" },
//  { 0x5D64, "" },
//  { 0x5D65, "" },
//  { 0x5D66, "" },
//  { 0x5D67, "" },
//  { 0x5D68, "" },
//  { 0x5D69, "" },
//  { 0x5D6A, "" },
//  { 0x5D6B, "" },
//  { 0x5D6C, "" },
//  { 0x5D6D, "" },
//  { 0x5D6E, "" },
//  { 0x5D6F, "" },
//  { 0x5D70, "" },
//  { 0x5D71, "" },
//  { 0x5D72, "" },
//  { 0x5D73, "" },
//  { 0x5D74, "" },
//  { 0x5D75, "" },
//  { 0x5D76, "" },
//  { 0x5D77, "" },
//  { 0x5D78, "" },
//  { 0x5D79, "" },
//  { 0x5D7A, "" },
//  { 0x5D7B, "" },
//  { 0x5D7C, "" },
//  { 0x5D7D, "" },
//  { 0x5D7E, "" },
//  { 0x5D7F, "" },
//  { 0x5D80, "" },
//  { 0x5D81, "" },
//  { 0x5D82, "" },
//  { 0x5D83, "" },
//  { 0x5D84, "" },
//  { 0x5D85, "" },
//  { 0x5D86, "" },
//  { 0x5D87, "" },
//  { 0x5D88, "" },
//  { 0x5D89, "" },
//  { 0x5D8A, "" },
//  { 0x5D8B, "" },
//  { 0x5D8C, "" },
//  { 0x5D8D, "" },
//  { 0x5D8E, "" },
//  { 0x5D8F, "" },
//  { 0x5D90, "" },
//  { 0x5D91, "" },
//  { 0x5D92, "" },
//  { 0x5D93, "" },
//  { 0x5D94, "" },
//  { 0x5D95, "" },
//  { 0x5D96, "" },
//  { 0x5D97, "" },
//  { 0x5D98, "" },
//  { 0x5D99, "" },
//  { 0x5D9A, "" },
//  { 0x5D9B, "" },
//  { 0x5D9C, "" },
//  { 0x5D9D, "" },
//  { 0x5D9E, "" },
//  { 0x5D9F, "" },
//  { 0x5DA0, "" },
//  { 0x5DA1, "" },
//  { 0x5DA2, "" },
//  { 0x5DA3, "" },
//  { 0x5DA4, "" },
//  { 0x5DA5, "" },
//  { 0x5DA6, "" },
//  { 0x5DA7, "" },
//  { 0x5DA8, "" },
//  { 0x5DA9, "" },
//  { 0x5DAA, "" },
//  { 0x5DAB, "" },
//  { 0x5DAC, "" },
//  { 0x5DAD, "" },
//  { 0x5DAE, "" },
//  { 0x5DAF, "" },
//  { 0x5DB0, "" },
//  { 0x5DB1, "" },
//  { 0x5DB2, "" },
//  { 0x5DB3, "" },
//  { 0x5DB4, "" },
//  { 0x5DB5, "" },
//  { 0x5DB6, "" },
//  { 0x5DB7, "" },
//  { 0x5DB8, "" },
//  { 0x5DB9, "" },
//  { 0x5DBA, "" },
//  { 0x5DBB, "" },
//  { 0x5DBC, "" },
//  { 0x5DBD, "" },
//  { 0x5DBE, "" },
//  { 0x5DBF, "" },
//  { 0x5DC0, "" },
//  { 0x5DC1, "" },
//  { 0x5DC2, "" },
//  { 0x5DC3, "" },
//  { 0x5DC4, "" },
//  { 0x5DC5, "" },
//  { 0x5DC6, "" },
//  { 0x5DC7, "" },
//  { 0x5DC8, "" },
//  { 0x5DC9, "" },
//  { 0x5DCA, "" },
//  { 0x5DCB, "" },
//  { 0x5DCC, "" },
//  { 0x5DCD, "" },
//  { 0x5DCE, "" },
//  { 0x5DCF, "" },
//  { 0x5DD0, "" },
//  { 0x5DD1, "" },
//  { 0x5DD2, "" },
//  { 0x5DD3, "" },
//  { 0x5DD4, "" },
//  { 0x5DD5, "" },
//  { 0x5DD6, "" },
//  { 0x5DD7, "" },
//  { 0x5DD8, "" },
//  { 0x5DD9, "" },
//  { 0x5DDA, "" },
//  { 0x5DDB, "" },
//  { 0x5DDC, "" },
//  { 0x5DDD, "" },
//  { 0x5DDE, "" },
//  { 0x5DDF, "" },
//  { 0x5DE0, "" },
//  { 0x5DE1, "" },
//  { 0x5DE2, "" },
//  { 0x5DE3, "" },
//  { 0x5DE4, "" },
//  { 0x5DE5, "" },
//  { 0x5DE6, "" },
//  { 0x5DE7, "" },
//  { 0x5DE8, "" },
//  { 0x5DE9, "" },
//  { 0x5DEA, "" },
//  { 0x5DEB, "" },
//  { 0x5DEC, "" },
//  { 0x5DED, "" },
//  { 0x5DEE, "" },
//  { 0x5DEF, "" },
//  { 0x5DF0, "" },
//  { 0x5DF1, "" },
//  { 0x5DF2, "" },
//  { 0x5DF3, "" },
//  { 0x5DF4, "" },
//  { 0x5DF5, "" },
//  { 0x5DF6, "" },
//  { 0x5DF7, "" },
//  { 0x5DF8, "" },
//  { 0x5DF9, "" },
//  { 0x5DFA, "" },
//  { 0x5DFB, "" },
//  { 0x5DFC, "" },
//  { 0x5DFD, "" },
//  { 0x5DFE, "" },
//  { 0x5DFF, "" },
//  { 0x5E00, "" },
//  { 0x5E01, "" },
//  { 0x5E02, "" },
//  { 0x5E03, "" },
//  { 0x5E04, "" },
//  { 0x5E05, "" },
//  { 0x5E06, "" },
//  { 0x5E07, "" },
//  { 0x5E08, "" },
//  { 0x5E09, "" },
//  { 0x5E0A, "" },
//  { 0x5E0B, "" },
//  { 0x5E0C, "" },
//  { 0x5E0D, "" },
//  { 0x5E0E, "" },
//  { 0x5E0F, "" },
//  { 0x5E10, "" },
//  { 0x5E11, "" },
//  { 0x5E12, "" },
//  { 0x5E13, "" },
//  { 0x5E14, "" },
//  { 0x5E15, "" },
//  { 0x5E16, "" },
//  { 0x5E17, "" },
//  { 0x5E18, "" },
//  { 0x5E19, "" },
//  { 0x5E1A, "" },
//  { 0x5E1B, "" },
//  { 0x5E1C, "" },
//  { 0x5E1D, "" },
//  { 0x5E1E, "" },
//  { 0x5E1F, "" },
//  { 0x5E20, "" },
//  { 0x5E21, "" },
//  { 0x5E22, "" },
//  { 0x5E23, "" },
//  { 0x5E24, "" },
//  { 0x5E25, "" },
//  { 0x5E26, "" },
//  { 0x5E27, "" },
//  { 0x5E28, "" },
//  { 0x5E29, "" },
//  { 0x5E2A, "" },
//  { 0x5E2B, "" },
//  { 0x5E2C, "" },
//  { 0x5E2D, "" },
//  { 0x5E2E, "" },
//  { 0x5E2F, "" },
//  { 0x5E30, "" },
//  { 0x5E31, "" },
//  { 0x5E32, "" },
//  { 0x5E33, "" },
//  { 0x5E34, "" },
//  { 0x5E35, "" },
//  { 0x5E36, "" },
//  { 0x5E37, "" },
//  { 0x5E38, "" },
//  { 0x5E39, "" },
//  { 0x5E3A, "" },
//  { 0x5E3B, "" },
//  { 0x5E3C, "" },
//  { 0x5E3D, "" },
//  { 0x5E3E, "" },
//  { 0x5E3F, "" },
//  { 0x5E40, "" },
//  { 0x5E41, "" },
//  { 0x5E42, "" },
//  { 0x5E43, "" },
//  { 0x5E44, "" },
//  { 0x5E45, "" },
//  { 0x5E46, "" },
//  { 0x5E47, "" },
//  { 0x5E48, "" },
//  { 0x5E49, "" },
//  { 0x5E4A, "" },
//  { 0x5E4B, "" },
//  { 0x5E4C, "" },
//  { 0x5E4D, "" },
//  { 0x5E4E, "" },
//  { 0x5E4F, "" },
//  { 0x5E50, "" },
//  { 0x5E51, "" },
//  { 0x5E52, "" },
//  { 0x5E53, "" },
//  { 0x5E54, "" },
//  { 0x5E55, "" },
//  { 0x5E56, "" },
//  { 0x5E57, "" },
//  { 0x5E58, "" },
//  { 0x5E59, "" },
//  { 0x5E5A, "" },
//  { 0x5E5B, "" },
//  { 0x5E5C, "" },
//  { 0x5E5D, "" },
//  { 0x5E5E, "" },
//  { 0x5E5F, "" },
//  { 0x5E60, "" },
//  { 0x5E61, "" },
//  { 0x5E62, "" },
//  { 0x5E63, "" },
//  { 0x5E64, "" },
//  { 0x5E65, "" },
//  { 0x5E66, "" },
//  { 0x5E67, "" },
//  { 0x5E68, "" },
//  { 0x5E69, "" },
//  { 0x5E6A, "" },
//  { 0x5E6B, "" },
//  { 0x5E6C, "" },
//  { 0x5E6D, "" },
//  { 0x5E6E, "" },
//  { 0x5E6F, "" },
//  { 0x5E70, "" },
//  { 0x5E71, "" },
//  { 0x5E72, "" },
//  { 0x5E73, "" },
//  { 0x5E74, "" },
//  { 0x5E75, "" },
//  { 0x5E76, "" },
//  { 0x5E77, "" },
//  { 0x5E78, "" },
//  { 0x5E79, "" },
//  { 0x5E7A, "" },
//  { 0x5E7B, "" },
//  { 0x5E7C, "" },
//  { 0x5E7D, "" },
//  { 0x5E7E, "" },
//  { 0x5E7F, "" },
//  { 0x5E80, "" },
//  { 0x5E81, "" },
//  { 0x5E82, "" },
//  { 0x5E83, "" },
//  { 0x5E84, "" },
//  { 0x5E85, "" },
//  { 0x5E86, "" },
//  { 0x5E87, "" },
//  { 0x5E88, "" },
//  { 0x5E89, "" },
//  { 0x5E8A, "" },
//  { 0x5E8B, "" },
//  { 0x5E8C, "" },
//  { 0x5E8D, "" },
//  { 0x5E8E, "" },
//  { 0x5E8F, "" },
//  { 0x5E90, "" },
//  { 0x5E91, "" },
//  { 0x5E92, "" },
//  { 0x5E93, "" },
    { 0x5E94, "vehicle_scripts/_snowmobile" },
    { 0x5E95, "vehicle_scripts/_suburban" },
    { 0x5E96, "vehicle_scripts/_suburban_minigun" },
//  { 0x5E97, "" },
    { 0x5E98, "maps/createart/rescue_2_art" },
//  { 0x5E99, "" },
//  { 0x5E9A, "" },
//  { 0x5E9B, "" },
//  { 0x5E9C, "" },
//  { 0x5E9D, "" },
//  { 0x5E9E, "" },
//  { 0x5E9F, "" },
//  { 0x5EA0, "" },
//  { 0x5EA1, "" },
//  { 0x5EA2, "" },
//  { 0x5EA3, "" },
//  { 0x5EA4, "" },
//  { 0x5EA5, "" },
//  { 0x5EA6, "" },
//  { 0x5EA7, "" },
//  { 0x5EA8, "" },
//  { 0x5EA9, "" },
//  { 0x5EAA, "" },
//  { 0x5EAB, "" },
//  { 0x5EAC, "" },
//  { 0x5EAD, "" },
//  { 0x5EAE, "" },
//  { 0x5EAF, "" },
//  { 0x5EB0, "" },
//  { 0x5EB1, "" },
//  { 0x5EB2, "" },
//  { 0x5EB3, "" },
//  { 0x5EB4, "" },
//  { 0x5EB5, "" },
//  { 0x5EB6, "" },
//  { 0x5EB7, "" },
//  { 0x5EB8, "" },
//  { 0x5EB9, "" },
//  { 0x5EBA, "" },
//  { 0x5EBB, "" },
//  { 0x5EBC, "" },
//  { 0x5EBD, "" },
//  { 0x5EBE, "" },
//  { 0x5EBF, "" },
//  { 0x5EC0, "" },
//  { 0x5EC1, "" },
//  { 0x5EC2, "" },
//  { 0x5EC3, "" },
//  { 0x5EC4, "" },
//  { 0x5EC5, "" },
//  { 0x5EC6, "" },
//  { 0x5EC7, "" },
//  { 0x5EC8, "" },
//  { 0x5EC9, "" },
//  { 0x5ECA, "" },
//  { 0x5ECB, "" },
//  { 0x5ECC, "" },
//  { 0x5ECD, "" },
//  { 0x5ECE, "" },
//  { 0x5ECF, "" },
//  { 0x5ED0, "" },
//  { 0x5ED1, "" },
//  { 0x5ED2, "" },
//  { 0x5ED3, "" },
//  { 0x5ED4, "" },
//  { 0x5ED5, "" },
//  { 0x5ED6, "" },
//  { 0x5ED7, "" },
//  { 0x5ED8, "" },
//  { 0x5ED9, "" },
//  { 0x5EDA, "" },
//  { 0x5EDB, "" },
//  { 0x5EDC, "" },
//  { 0x5EDD, "" },
//  { 0x5EDE, "" },
//  { 0x5EDF, "" },
//  { 0x5EE0, "" },
//  { 0x5EE1, "" },
//  { 0x5EE2, "" },
//  { 0x5EE3, "" },
//  { 0x5EE4, "" },
//  { 0x5EE5, "" },
//  { 0x5EE6, "" },
//  { 0x5EE7, "" },
//  { 0x5EE8, "" },
//  { 0x5EE9, "" },
//  { 0x5EEA, "" },
//  { 0x5EEB, "" },
//  { 0x5EEC, "" },
//  { 0x5EED, "" },
//  { 0x5EEE, "" },
//  { 0x5EEF, "" },
//  { 0x5EF0, "" },
//  { 0x5EF1, "" },
//  { 0x5EF2, "" },
//  { 0x5EF3, "" },
//  { 0x5EF4, "" },
//  { 0x5EF5, "" },
//  { 0x5EF6, "" },
//  { 0x5EF7, "" },
//  { 0x5EF8, "" },
//  { 0x5EF9, "" },
//  { 0x5EFA, "" },
//  { 0x5EFB, "" },
//  { 0x5EFC, "" },
//  { 0x5EFD, "" },
//  { 0x5EFE, "" },
//  { 0x5EFF, "" },
//  { 0x5F00, "" },
//  { 0x5F01, "" },
//  { 0x5F02, "" },
//  { 0x5F03, "" },
//  { 0x5F04, "" },
//  { 0x5F05, "" },
//  { 0x5F06, "" },
//  { 0x5F07, "" },
//  { 0x5F08, "" },
//  { 0x5F09, "" },
//  { 0x5F0A, "" },
//  { 0x5F0B, "" },
//  { 0x5F0C, "" },
//  { 0x5F0D, "" },
//  { 0x5F0E, "" },
//  { 0x5F0F, "" },
//  { 0x5F10, "" },
//  { 0x5F11, "" },
//  { 0x5F12, "" },
//  { 0x5F13, "" },
//  { 0x5F14, "" },
//  { 0x5F15, "" },
//  { 0x5F16, "" },
//  { 0x5F17, "" },
//  { 0x5F18, "" },
//  { 0x5F19, "" },
//  { 0x5F1A, "" },
//  { 0x5F1B, "" },
//  { 0x5F1C, "" },
//  { 0x5F1D, "" },
//  { 0x5F1E, "" },
//  { 0x5F1F, "" },
//  { 0x5F20, "" },
//  { 0x5F21, "" },
//  { 0x5F22, "" },
//  { 0x5F23, "" },
//  { 0x5F24, "" },
//  { 0x5F25, "" },
//  { 0x5F26, "" },
//  { 0x5F27, "" },
//  { 0x5F28, "" },
//  { 0x5F29, "" },
//  { 0x5F2A, "" },
//  { 0x5F2B, "" },
//  { 0x5F2C, "" },
//  { 0x5F2D, "" },
//  { 0x5F2E, "" },
//  { 0x5F2F, "" },
//  { 0x5F30, "" },
//  { 0x5F31, "" },
//  { 0x5F32, "" },
//  { 0x5F33, "" },
//  { 0x5F34, "" },
//  { 0x5F35, "" },
//  { 0x5F36, "" },
//  { 0x5F37, "" },
//  { 0x5F38, "" },
//  { 0x5F39, "" },
//  { 0x5F3A, "" },
//  { 0x5F3B, "" },
//  { 0x5F3C, "" },
//  { 0x5F3D, "" },
//  { 0x5F3E, "" },
//  { 0x5F3F, "" },
//  { 0x5F40, "" },
//  { 0x5F41, "" },
//  { 0x5F42, "" },
//  { 0x5F43, "" },
//  { 0x5F44, "" },
//  { 0x5F45, "" },
//  { 0x5F46, "" },
//  { 0x5F47, "" },
//  { 0x5F48, "" },
//  { 0x5F49, "" },
//  { 0x5F4A, "" },
//  { 0x5F4B, "" },
//  { 0x5F4C, "" },
//  { 0x5F4D, "" },
//  { 0x5F4E, "" },
//  { 0x5F4F, "" },
//  { 0x5F50, "" },
//  { 0x5F51, "" },
//  { 0x5F52, "" },
//  { 0x5F53, "" },
//  { 0x5F54, "" },
//  { 0x5F55, "" },
//  { 0x5F56, "" },
//  { 0x5F57, "" },
//  { 0x5F58, "" },
//  { 0x5F59, "" },
//  { 0x5F5A, "" },
//  { 0x5F5B, "" },
//  { 0x5F5C, "" },
//  { 0x5F5D, "" },
//  { 0x5F5E, "" },
//  { 0x5F5F, "" },
//  { 0x5F60, "" },
//  { 0x5F61, "" },
//  { 0x5F62, "" },
//  { 0x5F63, "" },
//  { 0x5F64, "" },
//  { 0x5F65, "" },
//  { 0x5F66, "" },
//  { 0x5F67, "" },
//  { 0x5F68, "" },
//  { 0x5F69, "" },
//  { 0x5F6A, "" },
//  { 0x5F6B, "" },
//  { 0x5F6C, "" },
//  { 0x5F6D, "" },
//  { 0x5F6E, "" },
//  { 0x5F6F, "" },
//  { 0x5F70, "" },
//  { 0x5F71, "" },
//  { 0x5F72, "" },
//  { 0x5F73, "" },
//  { 0x5F74, "" },
//  { 0x5F75, "" },
//  { 0x5F76, "" },
//  { 0x5F77, "" },
//  { 0x5F78, "" },
//  { 0x5F79, "" },
//  { 0x5F7A, "" },
//  { 0x5F7B, "" },
//  { 0x5F7C, "" },
//  { 0x5F7D, "" },
//  { 0x5F7E, "" },
//  { 0x5F7F, "" },
//  { 0x5F80, "" },
//  { 0x5F81, "" },
//  { 0x5F82, "" },
//  { 0x5F83, "" },
//  { 0x5F84, "" },
//  { 0x5F85, "" },
//  { 0x5F86, "" },
//  { 0x5F87, "" },
//  { 0x5F88, "" },
//  { 0x5F89, "" },
//  { 0x5F8A, "" },
//  { 0x5F8B, "" },
//  { 0x5F8C, "" },
//  { 0x5F8D, "" },
//  { 0x5F8E, "" },
//  { 0x5F8F, "" },
//  { 0x5F90, "" },
//  { 0x5F91, "" },
//  { 0x5F92, "" },
//  { 0x5F93, "" },
//  { 0x5F94, "" },
//  { 0x5F95, "" },
//  { 0x5F96, "" },
//  { 0x5F97, "" },
//  { 0x5F98, "" },
//  { 0x5F99, "" },
//  { 0x5F9A, "" },
//  { 0x5F9B, "" },
//  { 0x5F9C, "" },
//  { 0x5F9D, "" },
//  { 0x5F9E, "" },
//  { 0x5F9F, "" },
//  { 0x5FA0, "" },
//  { 0x5FA1, "" },
//  { 0x5FA2, "" },
//  { 0x5FA3, "" },
//  { 0x5FA4, "" },
//  { 0x5FA5, "" },
//  { 0x5FA6, "" },
//  { 0x5FA7, "" },
//  { 0x5FA8, "" },
//  { 0x5FA9, "" },
//  { 0x5FAA, "" },
//  { 0x5FAB, "" },
//  { 0x5FAC, "" },
//  { 0x5FAD, "" },
//  { 0x5FAE, "" },
//  { 0x5FAF, "" },
//  { 0x5FB0, "" },
//  { 0x5FB1, "" },
//  { 0x5FB2, "" },
//  { 0x5FB3, "" },
//  { 0x5FB4, "" },
//  { 0x5FB5, "" },
//  { 0x5FB6, "" },
//  { 0x5FB7, "" },
//  { 0x5FB8, "" },
//  { 0x5FB9, "" },
//  { 0x5FBA, "" },
//  { 0x5FBB, "" },
//  { 0x5FBC, "" },
//  { 0x5FBD, "" },
//  { 0x5FBE, "" },
//  { 0x5FBF, "" },
//  { 0x5FC0, "" },
//  { 0x5FC1, "" },
//  { 0x5FC2, "" },
//  { 0x5FC3, "" },
//  { 0x5FC4, "" },
//  { 0x5FC5, "" },
//  { 0x5FC6, "" },
//  { 0x5FC7, "" },
//  { 0x5FC8, "" },
//  { 0x5FC9, "" },
//  { 0x5FCA, "" },
//  { 0x5FCB, "" },
//  { 0x5FCC, "" },
//  { 0x5FCD, "" },
//  { 0x5FCE, "" },
//  { 0x5FCF, "" },
//  { 0x5FD0, "" },
//  { 0x5FD1, "" },
//  { 0x5FD2, "" },
//  { 0x5FD3, "" },
//  { 0x5FD4, "" },
//  { 0x5FD5, "" },
    { 0x5FD6, "xmodelalias/alias_henchmen_heads" },
//  { 0x5FD7, "" },
//  { 0x5FD8, "" },
//  { 0x5FD9, "" },
//  { 0x5FDA, "" },
//  { 0x5FDB, "" },
//  { 0x5FDC, "" },
//  { 0x5FDD, "" },
//  { 0x5FDE, "" },
//  { 0x5FDF, "" },
//  { 0x5FE0, "" },
//  { 0x5FE1, "" },
//  { 0x5FE2, "" },
//  { 0x5FE3, "" },
//  { 0x5FE4, "" },
//  { 0x5FE5, "" },
//  { 0x5FE6, "" },
//  { 0x5FE7, "" },
//  { 0x5FE8, "" },
//  { 0x5FE9, "" },
//  { 0x5FEA, "" },
//  { 0x5FEB, "" },
//  { 0x5FEC, "" },
//  { 0x5FED, "" },
//  { 0x5FEE, "" },
//  { 0x5FEF, "" },
//  { 0x5FF0, "" },
//  { 0x5FF1, "" },
//  { 0x5FF2, "" },
//  { 0x5FF3, "" },
//  { 0x5FF4, "" },
//  { 0x5FF5, "" },
//  { 0x5FF6, "" },
//  { 0x5FF7, "" },
//  { 0x5FF8, "" },
//  { 0x5FF9, "" },
//  { 0x5FFA, "" },
//  { 0x5FFB, "" },
//  { 0x5FFC, "" },
//  { 0x5FFD, "" },
//  { 0x5FFE, "" },
//  { 0x5FFF, "" },
//  { 0x6000, "" },
//  { 0x6001, "" },
//  { 0x6002, "" },
//  { 0x6003, "" },
//  { 0x6004, "" },
//  { 0x6005, "" },
//  { 0x6006, "" },
//  { 0x6007, "" },
//  { 0x6008, "" },
//  { 0x6009, "" },
//  { 0x600A, "" },
//  { 0x600B, "" },
//  { 0x600C, "" },
//  { 0x600D, "" },
//  { 0x600E, "" },
//  { 0x600F, "" },
//  { 0x6010, "" },
//  { 0x6011, "" },
//  { 0x6012, "" },
//  { 0x6013, "" },
//  { 0x6014, "" },
//  { 0x6015, "" },
//  { 0x6016, "" },
//  { 0x6017, "" },
//  { 0x6018, "" },
//  { 0x6019, "" },
//  { 0x601A, "" },
//  { 0x601B, "" },
//  { 0x601C, "" },
//  { 0x601D, "" },
//  { 0x601E, "" },
//  { 0x601F, "" },
//  { 0x6020, "" },
//  { 0x6021, "" },
//  { 0x6022, "" },
//  { 0x6023, "" },
//  { 0x6024, "" },
//  { 0x6025, "" },
//  { 0x6026, "" },
//  { 0x6027, "" },
//  { 0x6028, "" },
//  { 0x6029, "" },
//  { 0x602A, "" },
//  { 0x602B, "" },
//  { 0x602C, "" },
//  { 0x602D, "" },
//  { 0x602E, "" },
//  { 0x602F, "" },
//  { 0x6030, "" },
//  { 0x6031, "" },
//  { 0x6032, "" },
//  { 0x6033, "" },
//  { 0x6034, "" },
//  { 0x6035, "" },
//  { 0x6036, "" },
//  { 0x6037, "" },
//  { 0x6038, "" },
//  { 0x6039, "" },
//  { 0x603A, "" },
//  { 0x603B, "" },
//  { 0x603C, "" },
//  { 0x603D, "" },
//  { 0x603E, "" },
//  { 0x603F, "" },
//  { 0x6040, "" },
//  { 0x6041, "" },
//  { 0x6042, "" },
//  { 0x6043, "" },
//  { 0x6044, "" },
//  { 0x6045, "" },
//  { 0x6046, "" },
//  { 0x6047, "" },
//  { 0x6048, "" },
//  { 0x6049, "" },
//  { 0x604A, "" },
//  { 0x604B, "" },
//  { 0x604C, "" },
//  { 0x604D, "" },
//  { 0x604E, "" },
//  { 0x604F, "" },
//  { 0x6050, "" },
//  { 0x6051, "" },
//  { 0x6052, "" },
//  { 0x6053, "" },
//  { 0x6054, "" },
//  { 0x6055, "" },
//  { 0x6056, "" },
//  { 0x6057, "" },
//  { 0x6058, "" },
//  { 0x6059, "" },
//  { 0x605A, "" },
//  { 0x605B, "" },
//  { 0x605C, "" },
//  { 0x605D, "" },
//  { 0x605E, "" },
//  { 0x605F, "" },
//  { 0x6060, "" },
//  { 0x6061, "" },
//  { 0x6062, "" },
//  { 0x6063, "" },
//  { 0x6064, "" },
//  { 0x6065, "" },
//  { 0x6066, "" },
//  { 0x6067, "" },
//  { 0x6068, "" },
//  { 0x6069, "" },
//  { 0x606A, "" },
//  { 0x606B, "" },
//  { 0x606C, "" },
//  { 0x606D, "" },
//  { 0x606E, "" },
//  { 0x606F, "" },
//  { 0x6070, "" },
//  { 0x6071, "" },
//  { 0x6072, "" },
//  { 0x6073, "" },
//  { 0x6074, "" },
//  { 0x6075, "" },
//  { 0x6076, "" },
//  { 0x6077, "" },
//  { 0x6078, "" },
//  { 0x6079, "" },
//  { 0x607A, "" },
//  { 0x607B, "" },
//  { 0x607C, "" },
//  { 0x607D, "" },
//  { 0x607E, "" },
//  { 0x607F, "" },
//  { 0x6080, "" },
//  { 0x6081, "" },
//  { 0x6082, "" },
//  { 0x6083, "" },
//  { 0x6084, "" },
//  { 0x6085, "" },
//  { 0x6086, "" },
//  { 0x6087, "" },
//  { 0x6088, "" },
//  { 0x6089, "" },
//  { 0x608A, "" },
//  { 0x608B, "" },
//  { 0x608C, "" },
//  { 0x608D, "" },
//  { 0x608E, "" },
//  { 0x608F, "" },
//  { 0x6090, "" },
//  { 0x6091, "" },
//  { 0x6092, "" },
//  { 0x6093, "" },
//  { 0x6094, "" },
//  { 0x6095, "" },
//  { 0x6096, "" },
//  { 0x6097, "" },
//  { 0x6098, "" },
//  { 0x6099, "" },
//  { 0x609A, "" },
//  { 0x609B, "" },
//  { 0x609C, "" },
//  { 0x609D, "" },
//  { 0x609E, "" },
//  { 0x609F, "" },
//  { 0x60A0, "" },
//  { 0x60A1, "" },
//  { 0x60A2, "" },
//  { 0x60A3, "" },
//  { 0x60A4, "" },
//  { 0x60A5, "" },
//  { 0x60A6, "" },
//  { 0x60A7, "" },
//  { 0x60A8, "" },
//  { 0x60A9, "" },
//  { 0x60AA, "" },
//  { 0x60AB, "" },
//  { 0x60AC, "" },
//  { 0x60AD, "" },
//  { 0x60AE, "" },
//  { 0x60AF, "" },
//  { 0x60B0, "" },
//  { 0x60B1, "" },
//  { 0x60B2, "" },
//  { 0x60B3, "" },
//  { 0x60B4, "" },
//  { 0x60B5, "" },
//  { 0x60B6, "" },
//  { 0x60B7, "" },
//  { 0x60B8, "" },
//  { 0x60B9, "" },
//  { 0x60BA, "" },
//  { 0x60BB, "" },
//  { 0x60BC, "" },
//  { 0x60BD, "" },
//  { 0x60BE, "" },
//  { 0x60BF, "" },
//  { 0x60C0, "" },
//  { 0x60C1, "" },
//  { 0x60C2, "" },
//  { 0x60C3, "" },
//  { 0x60C4, "" },
//  { 0x60C5, "" },
//  { 0x60C6, "" },
//  { 0x60C7, "" },
//  { 0x60C8, "" },
//  { 0x60C9, "" },
//  { 0x60CA, "" },
//  { 0x60CB, "" },
//  { 0x60CC, "" },
//  { 0x60CD, "" },
//  { 0x60CE, "" },
//  { 0x60CF, "" },
//  { 0x60D0, "" },
//  { 0x60D1, "" },
//  { 0x60D2, "" },
//  { 0x60D3, "" },
//  { 0x60D4, "" },
//  { 0x60D5, "" },
//  { 0x60D6, "" },
//  { 0x60D7, "" },
//  { 0x60D8, "" },
//  { 0x60D9, "" },
//  { 0x60DA, "" },
//  { 0x60DB, "" },
//  { 0x60DC, "" },
//  { 0x60DD, "" },
//  { 0x60DE, "" },
//  { 0x60DF, "" },
//  { 0x60E0, "" },
//  { 0x60E1, "" },
//  { 0x60E2, "" },
//  { 0x60E3, "" },
//  { 0x60E4, "" },
//  { 0x60E5, "" },
//  { 0x60E6, "" },
//  { 0x60E7, "" },
//  { 0x60E8, "" },
//  { 0x60E9, "" },
//  { 0x60EA, "" },
//  { 0x60EB, "" },
//  { 0x60EC, "" },
//  { 0x60ED, "" },
//  { 0x60EE, "" },
//  { 0x60EF, "" },
//  { 0x60F0, "" },
//  { 0x60F1, "" },
//  { 0x60F2, "" },
//  { 0x60F3, "" },
//  { 0x60F4, "" },
//  { 0x60F5, "" },
//  { 0x60F6, "" },
//  { 0x60F7, "" },
//  { 0x60F8, "" },
//  { 0x60F9, "" },
//  { 0x60FA, "" },
//  { 0x60FB, "" },
//  { 0x60FC, "" },
//  { 0x60FD, "" },
//  { 0x60FE, "" },
//  { 0x60FF, "" },
//  { 0x6100, "" },
//  { 0x6101, "" },
//  { 0x6102, "" },
//  { 0x6103, "" },
//  { 0x6104, "" },
//  { 0x6105, "" },
//  { 0x6106, "" },
//  { 0x6107, "" },
//  { 0x6108, "" },
//  { 0x6109, "" },
//  { 0x610A, "" },
//  { 0x610B, "" },
//  { 0x610C, "" },
//  { 0x610D, "" },
//  { 0x610E, "" },
//  { 0x610F, "" },
//  { 0x6110, "" },
//  { 0x6111, "" },
//  { 0x6112, "" },
//  { 0x6113, "" },
//  { 0x6114, "" },
//  { 0x6115, "" },
//  { 0x6116, "" },
//  { 0x6117, "" },
//  { 0x6118, "" },
//  { 0x6119, "" },
//  { 0x611A, "" },
//  { 0x611B, "" },
//  { 0x611C, "" },
//  { 0x611D, "" },
//  { 0x611E, "" },
//  { 0x611F, "" },
//  { 0x6120, "" },
//  { 0x6121, "" },
//  { 0x6122, "" },
//  { 0x6123, "" },
//  { 0x6124, "" },
//  { 0x6125, "" },
//  { 0x6126, "" },
//  { 0x6127, "" },
//  { 0x6128, "" },
//  { 0x6129, "" },
//  { 0x612A, "" },
//  { 0x612B, "" },
//  { 0x612C, "" },
//  { 0x612D, "" },
//  { 0x612E, "" },
//  { 0x612F, "" },
//  { 0x6130, "" },
//  { 0x6131, "" },
//  { 0x6132, "" },
//  { 0x6133, "" },
//  { 0x6134, "" },
//  { 0x6135, "" },
//  { 0x6136, "" },
//  { 0x6137, "" },
//  { 0x6138, "" },
//  { 0x6139, "" },
//  { 0x613A, "" },
//  { 0x613B, "" },
//  { 0x613C, "" },
//  { 0x613D, "" },
//  { 0x613E, "" },
//  { 0x613F, "" },
//  { 0x6140, "" },
//  { 0x6141, "" },
//  { 0x6142, "" },
//  { 0x6143, "" },
//  { 0x6144, "" },
//  { 0x6145, "" },
//  { 0x6146, "" },
//  { 0x6147, "" },
//  { 0x6148, "" },
//  { 0x6149, "" },
//  { 0x614A, "" },
//  { 0x614B, "" },
//  { 0x614C, "" },
//  { 0x614D, "" },
//  { 0x614E, "" },
//  { 0x614F, "" },
//  { 0x6150, "" },
//  { 0x6151, "" },
//  { 0x6152, "" },
//  { 0x6153, "" },
//  { 0x6154, "" },
//  { 0x6155, "" },
//  { 0x6156, "" },
//  { 0x6157, "" },
//  { 0x6158, "" },
//  { 0x6159, "" },
//  { 0x615A, "" },
//  { 0x615B, "" },
//  { 0x615C, "" },
//  { 0x615D, "" },
//  { 0x615E, "" },
//  { 0x615F, "" },
//  { 0x6160, "" },
//  { 0x6161, "" },
//  { 0x6162, "" },
//  { 0x6163, "" },
//  { 0x6164, "" },
//  { 0x6165, "" },
//  { 0x6166, "" },
//  { 0x6167, "" },
//  { 0x6168, "" },
//  { 0x6169, "" },
//  { 0x616A, "" },
//  { 0x616B, "" },
//  { 0x616C, "" },
//  { 0x616D, "" },
//  { 0x616E, "" },
//  { 0x616F, "" },
//  { 0x6170, "" },
//  { 0x6171, "" },
//  { 0x6172, "" },
//  { 0x6173, "" },
//  { 0x6174, "" },
//  { 0x6175, "" },
//  { 0x6176, "" },
//  { 0x6177, "" },
//  { 0x6178, "" },
//  { 0x6179, "" },
//  { 0x617A, "" },
//  { 0x617B, "" },
//  { 0x617C, "" },
//  { 0x617D, "" },
//  { 0x617E, "" },
//  { 0x617F, "" },
//  { 0x6180, "" },
//  { 0x6181, "" },
//  { 0x6182, "" },
//  { 0x6183, "" },
//  { 0x6184, "" },
//  { 0x6185, "" },
//  { 0x6186, "" },
//  { 0x6187, "" },
//  { 0x6188, "" },
//  { 0x6189, "" },
//  { 0x618A, "" },
//  { 0x618B, "" },
//  { 0x618C, "" },
//  { 0x618D, "" },
//  { 0x618E, "" },
//  { 0x618F, "" },
//  { 0x6190, "" },
//  { 0x6191, "" },
//  { 0x6192, "" },
//  { 0x6193, "" },
//  { 0x6194, "" },
//  { 0x6195, "" },
//  { 0x6196, "" },
//  { 0x6197, "" },
//  { 0x6198, "" },
//  { 0x6199, "" },
//  { 0x619A, "" },
//  { 0x619B, "" },
//  { 0x619C, "" },
//  { 0x619D, "" },
//  { 0x619E, "" },
//  { 0x619F, "" },
//  { 0x61A0, "" },
//  { 0x61A1, "" },
//  { 0x61A2, "" },
//  { 0x61A3, "" },
//  { 0x61A4, "" },
//  { 0x61A5, "" },
//  { 0x61A6, "" },
//  { 0x61A7, "" },
//  { 0x61A8, "" },
//  { 0x61A9, "" },
//  { 0x61AA, "" },
//  { 0x61AB, "" },
//  { 0x61AC, "" },
//  { 0x61AD, "" },
//  { 0x61AE, "" },
//  { 0x61AF, "" },
//  { 0x61B0, "" },
//  { 0x61B1, "" },
//  { 0x61B2, "" },
//  { 0x61B3, "" },
//  { 0x61B4, "" },
//  { 0x61B5, "" },
//  { 0x61B6, "" },
//  { 0x61B7, "" },
//  { 0x61B8, "" },
//  { 0x61B9, "" },
//  { 0x61BA, "" },
//  { 0x61BB, "" },
//  { 0x61BC, "" },
//  { 0x61BD, "" },
//  { 0x61BE, "" },
//  { 0x61BF, "" },
//  { 0x61C0, "" },
//  { 0x61C1, "" },
//  { 0x61C2, "" },
//  { 0x61C3, "" },
//  { 0x61C4, "" },
//  { 0x61C5, "" },
//  { 0x61C6, "" },
//  { 0x61C7, "" },
//  { 0x61C8, "" },
//  { 0x61C9, "" },
//  { 0x61CA, "" },
//  { 0x61CB, "" },
//  { 0x61CC, "" },
//  { 0x61CD, "" },
//  { 0x61CE, "" },
//  { 0x61CF, "" },
//  { 0x61D0, "" },
//  { 0x61D1, "" },
//  { 0x61D2, "" },
//  { 0x61D3, "" },
//  { 0x61D4, "" },
//  { 0x61D5, "" },
//  { 0x61D6, "" },
//  { 0x61D7, "" },
//  { 0x61D8, "" },
//  { 0x61D9, "" },
//  { 0x61DA, "" },
//  { 0x61DB, "" },
//  { 0x61DC, "" },
//  { 0x61DD, "" },
//  { 0x61DE, "" },
//  { 0x61DF, "" },
//  { 0x61E0, "" },
//  { 0x61E1, "" },
//  { 0x61E2, "" },
//  { 0x61E3, "" },
//  { 0x61E4, "" },
//  { 0x61E5, "" },
//  { 0x61E6, "" },
//  { 0x61E7, "" },
//  { 0x61E8, "" },
//  { 0x61E9, "" },
//  { 0x61EA, "" },
//  { 0x61EB, "" },
//  { 0x61EC, "" },
//  { 0x61ED, "" },
//  { 0x61EE, "" },
//  { 0x61EF, "" },
//  { 0x61F0, "" },
//  { 0x61F1, "" },
//  { 0x61F2, "" },
//  { 0x61F3, "" },
//  { 0x61F4, "" },
//  { 0x61F5, "" },
//  { 0x61F6, "" },
//  { 0x61F7, "" },
//  { 0x61F8, "" },
//  { 0x61F9, "" },
//  { 0x61FA, "" },
//  { 0x61FB, "" },
//  { 0x61FC, "" },
//  { 0x61FD, "" },
//  { 0x61FE, "" },
//  { 0x61FF, "" },
//  { 0x6200, "" },
//  { 0x6201, "" },
//  { 0x6202, "" },
//  { 0x6203, "" },
//  { 0x6204, "" },
//  { 0x6205, "" },
//  { 0x6206, "" },
//  { 0x6207, "" },
//  { 0x6208, "" },
//  { 0x6209, "" },
//  { 0x620A, "" },
//  { 0x620B, "" },
//  { 0x620C, "" },
//  { 0x620D, "" },
//  { 0x620E, "" },
//  { 0x620F, "" },
//  { 0x6210, "" },
//  { 0x6211, "" },
//  { 0x6212, "" },
//  { 0x6213, "" },
//  { 0x6214, "" },
//  { 0x6215, "" },
//  { 0x6216, "" },
//  { 0x6217, "" },
//  { 0x6218, "" },
//  { 0x6219, "" },
//  { 0x621A, "" },
//  { 0x621B, "" },
//  { 0x621C, "" },
//  { 0x621D, "" },
//  { 0x621E, "" },
//  { 0x621F, "" },
//  { 0x6220, "" },
//  { 0x6221, "" },
//  { 0x6222, "" },
//  { 0x6223, "" },
//  { 0x6224, "" },
//  { 0x6225, "" },
//  { 0x6226, "" },
//  { 0x6227, "" },
//  { 0x6228, "" },
//  { 0x6229, "" },
//  { 0x622A, "" },
//  { 0x622B, "" },
//  { 0x622C, "" },
//  { 0x622D, "" },
//  { 0x622E, "" },
//  { 0x622F, "" },
//  { 0x6230, "" },
//  { 0x6231, "" },
//  { 0x6232, "" },
//  { 0x6233, "" },
//  { 0x6234, "" },
//  { 0x6235, "" },
//  { 0x6236, "" },
//  { 0x6237, "" },
//  { 0x6238, "" },
//  { 0x6239, "" },
//  { 0x623A, "" },
//  { 0x623B, "" },
//  { 0x623C, "" },
//  { 0x623D, "" },
//  { 0x623E, "" },
//  { 0x623F, "" },
//  { 0x6240, "" },
//  { 0x6241, "" },
//  { 0x6242, "" },
//  { 0x6243, "" },
//  { 0x6244, "" },
//  { 0x6245, "" },
//  { 0x6246, "" },
//  { 0x6247, "" },
//  { 0x6248, "" },
//  { 0x6249, "" },
//  { 0x624A, "" },
//  { 0x624B, "" },
//  { 0x624C, "" },
//  { 0x624D, "" },
//  { 0x624E, "" },
//  { 0x624F, "" },
//  { 0x6250, "" },
//  { 0x6251, "" },
//  { 0x6252, "" },
//  { 0x6253, "" },
//  { 0x6254, "" },
//  { 0x6255, "" },
//  { 0x6256, "" },
//  { 0x6257, "" },
//  { 0x6258, "" },
//  { 0x6259, "" },
//  { 0x625A, "" },
//  { 0x625B, "" },
//  { 0x625C, "" },
//  { 0x625D, "" },
//  { 0x625E, "" },
//  { 0x625F, "" },
//  { 0x6260, "" },
//  { 0x6261, "" },
//  { 0x6262, "" },
//  { 0x6263, "" },
//  { 0x6264, "" },
//  { 0x6265, "" },
//  { 0x6266, "" },
//  { 0x6267, "" },
//  { 0x6268, "" },
//  { 0x6269, "" },
//  { 0x626A, "" },
//  { 0x626B, "" },
//  { 0x626C, "" },
//  { 0x626D, "" },
//  { 0x626E, "" },
//  { 0x626F, "" },
//  { 0x6270, "" },
//  { 0x6271, "" },
//  { 0x6272, "" },
//  { 0x6273, "" },
//  { 0x6274, "" },
//  { 0x6275, "" },
//  { 0x6276, "" },
//  { 0x6277, "" },
//  { 0x6278, "" },
//  { 0x6279, "" },
//  { 0x627A, "" },
//  { 0x627B, "" },
//  { 0x627C, "" },
//  { 0x627D, "" },
//  { 0x627E, "" },
//  { 0x627F, "" },
//  { 0x6280, "" },
//  { 0x6281, "" },
//  { 0x6282, "" },
//  { 0x6283, "" },
//  { 0x6284, "" },
//  { 0x6285, "" },
//  { 0x6286, "" },
//  { 0x6287, "" },
//  { 0x6288, "" },
//  { 0x6289, "" },
//  { 0x628A, "" },
//  { 0x628B, "" },
//  { 0x628C, "" },
//  { 0x628D, "" },
//  { 0x628E, "" },
//  { 0x628F, "" },
//  { 0x6290, "" },
//  { 0x6291, "" },
//  { 0x6292, "" },
//  { 0x6293, "" },
//  { 0x6294, "" },
//  { 0x6295, "" },
//  { 0x6296, "" },
//  { 0x6297, "" },
//  { 0x6298, "" },
//  { 0x6299, "" },
//  { 0x629A, "" },
//  { 0x629B, "" },
//  { 0x629C, "" },
//  { 0x629D, "" },
//  { 0x629E, "" },
//  { 0x629F, "" },
//  { 0x62A0, "" },
//  { 0x62A1, "" },
//  { 0x62A2, "" },
//  { 0x62A3, "" },
//  { 0x62A4, "" },
//  { 0x62A5, "" },
//  { 0x62A6, "" },
//  { 0x62A7, "" },
//  { 0x62A8, "" },
//  { 0x62A9, "" },
//  { 0x62AA, "" },
//  { 0x62AB, "" },
//  { 0x62AC, "" },
//  { 0x62AD, "" },
//  { 0x62AE, "" },
//  { 0x62AF, "" },
//  { 0x62B0, "" },
//  { 0x62B1, "" },
//  { 0x62B2, "" },
//  { 0x62B3, "" },
//  { 0x62B4, "" },
//  { 0x62B5, "" },
//  { 0x62B6, "" },
//  { 0x62B7, "" },
//  { 0x62B8, "" },
//  { 0x62B9, "" },
//  { 0x62BA, "" },
//  { 0x62BB, "" },
//  { 0x62BC, "" },
//  { 0x62BD, "" },
//  { 0x62BE, "" },
//  { 0x62BF, "" },
//  { 0x62C0, "" },
//  { 0x62C1, "" },
//  { 0x62C2, "" },
//  { 0x62C3, "" },
//  { 0x62C4, "" },
//  { 0x62C5, "" },
//  { 0x62C6, "" },
//  { 0x62C7, "" },
//  { 0x62C8, "" },
//  { 0x62C9, "" },
//  { 0x62CA, "" },
//  { 0x62CB, "" },
//  { 0x62CC, "" },
//  { 0x62CD, "" },
//  { 0x62CE, "" },
//  { 0x62CF, "" },
//  { 0x62D0, "" },
//  { 0x62D1, "" },
//  { 0x62D2, "" },
//  { 0x62D3, "" },
//  { 0x62D4, "" },
//  { 0x62D5, "" },
//  { 0x62D6, "" },
//  { 0x62D7, "" },
//  { 0x62D8, "" },
//  { 0x62D9, "" },
//  { 0x62DA, "" },
//  { 0x62DB, "" },
//  { 0x62DC, "" },
//  { 0x62DD, "" },
//  { 0x62DE, "" },
//  { 0x62DF, "" },
//  { 0x62E0, "" },
//  { 0x62E1, "" },
//  { 0x62E2, "" },
//  { 0x62E3, "" },
//  { 0x62E4, "" },
//  { 0x62E5, "" },
//  { 0x62E6, "" },
//  { 0x62E7, "" },
//  { 0x62E8, "" },
//  { 0x62E9, "" },
//  { 0x62EA, "" },
//  { 0x62EB, "" },
//  { 0x62EC, "" },
//  { 0x62ED, "" },
//  { 0x62EE, "" },
//  { 0x62EF, "" },
//  { 0x62F0, "" },
//  { 0x62F1, "" },
//  { 0x62F2, "" },
//  { 0x62F3, "" },
//  { 0x62F4, "" },
//  { 0x62F5, "" },
//  { 0x62F6, "" },
//  { 0x62F7, "" },
//  { 0x62F8, "" },
//  { 0x62F9, "" },
//  { 0x62FA, "" },
//  { 0x62FB, "" },
//  { 0x62FC, "" },
//  { 0x62FD, "" },
//  { 0x62FE, "" },
//  { 0x62FF, "" },
//  { 0x6300, "" },
//  { 0x6301, "" },
//  { 0x6302, "" },
//  { 0x6303, "" },
//  { 0x6304, "" },
//  { 0x6305, "" },
//  { 0x6306, "" },
//  { 0x6307, "" },
//  { 0x6308, "" },
//  { 0x6309, "" },
//  { 0x630A, "" },
//  { 0x630B, "" },
//  { 0x630C, "" },
//  { 0x630D, "" },
//  { 0x630E, "" },
//  { 0x630F, "" },
//  { 0x6310, "" },
//  { 0x6311, "" },
//  { 0x6312, "" },
//  { 0x6313, "" },
//  { 0x6314, "" },
//  { 0x6315, "" },
//  { 0x6316, "" },
//  { 0x6317, "" },
//  { 0x6318, "" },
//  { 0x6319, "" },
//  { 0x631A, "" },
//  { 0x631B, "" },
//  { 0x631C, "" },
//  { 0x631D, "" },
//  { 0x631E, "" },
//  { 0x631F, "" },
//  { 0x6320, "" },
//  { 0x6321, "" },
//  { 0x6322, "" },
//  { 0x6323, "" },
//  { 0x6324, "" },
//  { 0x6325, "" },
//  { 0x6326, "" },
//  { 0x6327, "" },
//  { 0x6328, "" },
//  { 0x6329, "" },
//  { 0x632A, "" },
//  { 0x632B, "" },
//  { 0x632C, "" },
//  { 0x632D, "" },
//  { 0x632E, "" },
//  { 0x632F, "" },
//  { 0x6330, "" },
//  { 0x6331, "" },
//  { 0x6332, "" },
//  { 0x6333, "" },
//  { 0x6334, "" },
//  { 0x6335, "" },
//  { 0x6336, "" },
//  { 0x6337, "" },
//  { 0x6338, "" },
//  { 0x6339, "" },
//  { 0x633A, "" },
//  { 0x633B, "" },
//  { 0x633C, "" },
//  { 0x633D, "" },
//  { 0x633E, "" },
//  { 0x633F, "" },
//  { 0x6340, "" },
//  { 0x6341, "" },
//  { 0x6342, "" },
//  { 0x6343, "" },
//  { 0x6344, "" },
//  { 0x6345, "" },
//  { 0x6346, "" },
//  { 0x6347, "" },
//  { 0x6348, "" },
//  { 0x6349, "" },
//  { 0x634A, "" },
//  { 0x634B, "" },
//  { 0x634C, "" },
//  { 0x634D, "" },
//  { 0x634E, "" },
//  { 0x634F, "" },
//  { 0x6350, "" },
//  { 0x6351, "" },
//  { 0x6352, "" },
//  { 0x6353, "" },
//  { 0x6354, "" },
//  { 0x6355, "" },
//  { 0x6356, "" },
//  { 0x6357, "" },
//  { 0x6358, "" },
//  { 0x6359, "" },
//  { 0x635A, "" },
//  { 0x635B, "" },
//  { 0x635C, "" },
//  { 0x635D, "" },
//  { 0x635E, "" },
//  { 0x635F, "" },
//  { 0x6360, "" },
//  { 0x6361, "" },
//  { 0x6362, "" },
//  { 0x6363, "" },
//  { 0x6364, "" },
//  { 0x6365, "" },
//  { 0x6366, "" },
//  { 0x6367, "" },
//  { 0x6368, "" },
//  { 0x6369, "" },
//  { 0x636A, "" },
//  { 0x636B, "" },
//  { 0x636C, "" },
//  { 0x636D, "" },
//  { 0x636E, "" },
//  { 0x636F, "" },
//  { 0x6370, "" },
//  { 0x6371, "" },
//  { 0x6372, "" },
//  { 0x6373, "" },
//  { 0x6374, "" },
//  { 0x6375, "" },
//  { 0x6376, "" },
//  { 0x6377, "" },
//  { 0x6378, "" },
//  { 0x6379, "" },
//  { 0x637A, "" },
//  { 0x637B, "" },
//  { 0x637C, "" },
//  { 0x637D, "" },
//  { 0x637E, "" },
//  { 0x637F, "" },
//  { 0x6380, "" },
//  { 0x6381, "" },
//  { 0x6382, "" },
//  { 0x6383, "" },
//  { 0x6384, "" },
//  { 0x6385, "" },
//  { 0x6386, "" },
//  { 0x6387, "" },
//  { 0x6388, "" },
//  { 0x6389, "" },
//  { 0x638A, "" },
//  { 0x638B, "" },
//  { 0x638C, "" },
//  { 0x638D, "" },
//  { 0x638E, "" },
//  { 0x638F, "" },
//  { 0x6390, "" },
//  { 0x6391, "" },
//  { 0x6392, "" },
//  { 0x6393, "" },
//  { 0x6394, "" },
//  { 0x6395, "" },
//  { 0x6396, "" },
//  { 0x6397, "" },
//  { 0x6398, "" },
//  { 0x6399, "" },
//  { 0x639A, "" },
//  { 0x639B, "" },
//  { 0x639C, "" },
//  { 0x639D, "" },
//  { 0x639E, "" },
//  { 0x639F, "" },
//  { 0x63A0, "" },
//  { 0x63A1, "" },
//  { 0x63A2, "" },
//  { 0x63A3, "" },
//  { 0x63A4, "" },
//  { 0x63A5, "" },
//  { 0x63A6, "" },
//  { 0x63A7, "" },
//  { 0x63A8, "" },
//  { 0x63A9, "" },
//  { 0x63AA, "" },
//  { 0x63AB, "" },
//  { 0x63AC, "" },
//  { 0x63AD, "" },
//  { 0x63AE, "" },
//  { 0x63AF, "" },
//  { 0x63B0, "" },
//  { 0x63B1, "" },
//  { 0x63B2, "" },
//  { 0x63B3, "" },
//  { 0x63B4, "" },
//  { 0x63B5, "" },
//  { 0x63B6, "" },
//  { 0x63B7, "" },
//  { 0x63B8, "" },
//  { 0x63B9, "" },
//  { 0x63BA, "" },
//  { 0x63BB, "" },
//  { 0x63BC, "" },
//  { 0x63BD, "" },
//  { 0x63BE, "" },
//  { 0x63BF, "" },
//  { 0x63C0, "" },
//  { 0x63C1, "" },
//  { 0x63C2, "" },
//  { 0x63C3, "" },
//  { 0x63C4, "" },
//  { 0x63C5, "" },
//  { 0x63C6, "" },
//  { 0x63C7, "" },
//  { 0x63C8, "" },
//  { 0x63C9, "" },
//  { 0x63CA, "" },
//  { 0x63CB, "" },
//  { 0x63CC, "" },
//  { 0x63CD, "" },
//  { 0x63CE, "" },
//  { 0x63CF, "" },
//  { 0x63D0, "" },
//  { 0x63D1, "" },
//  { 0x63D2, "" },
//  { 0x63D3, "" },
//  { 0x63D4, "" },
//  { 0x63D5, "" },
//  { 0x63D6, "" },
//  { 0x63D7, "" },
//  { 0x63D8, "" },
//  { 0x63D9, "" },
//  { 0x63DA, "" },
//  { 0x63DB, "" },
//  { 0x63DC, "" },
//  { 0x63DD, "" },
//  { 0x63DE, "" },
//  { 0x63DF, "" },
//  { 0x63E0, "" },
//  { 0x63E1, "" },
//  { 0x63E2, "" },
//  { 0x63E3, "" },
//  { 0x63E4, "" },
//  { 0x63E5, "" },
//  { 0x63E6, "" },
//  { 0x63E7, "" },
//  { 0x63E8, "" },
//  { 0x63E9, "" },
//  { 0x63EA, "" },
//  { 0x63EB, "" },
    { 0x63EC, "maps/createfx/castle_fx" },
//  { 0x63ED, "" },
//  { 0x63EE, "" },
//  { 0x63EF, "" },
//  { 0x63F0, "" },
//  { 0x63F1, "" },
//  { 0x63F2, "" },
//  { 0x63F3, "" },
//  { 0x63F4, "" },
//  { 0x63F5, "" },
//  { 0x63F6, "" },
//  { 0x63F7, "" },
//  { 0x63F8, "" },
//  { 0x63F9, "" },
//  { 0x63FA, "" },
//  { 0x63FB, "" },
//  { 0x63FC, "" },
//  { 0x63FD, "" },
//  { 0x63FE, "" },
//  { 0x63FF, "" },
//  { 0x6400, "" },
//  { 0x6401, "" },
//  { 0x6402, "" },
//  { 0x6403, "" },
//  { 0x6404, "" },
//  { 0x6405, "" },
//  { 0x6406, "" },
//  { 0x6407, "" },
//  { 0x6408, "" },
//  { 0x6409, "" },
//  { 0x640A, "" },
//  { 0x640B, "" },
//  { 0x640C, "" },
//  { 0x640D, "" },
//  { 0x640E, "" },
//  { 0x640F, "" },
//  { 0x6410, "" },
//  { 0x6411, "" },
//  { 0x6412, "" },
//  { 0x6413, "" },
//  { 0x6414, "" },
//  { 0x6415, "" },
//  { 0x6416, "" },
//  { 0x6417, "" },
//  { 0x6418, "" },
//  { 0x6419, "" },
//  { 0x641A, "" },
//  { 0x641B, "" },
//  { 0x641C, "" },
//  { 0x641D, "" },
//  { 0x641E, "" },
//  { 0x641F, "" },
//  { 0x6420, "" },
//  { 0x6421, "" },
//  { 0x6422, "" },
//  { 0x6423, "" },
//  { 0x6424, "" },
//  { 0x6425, "" },
//  { 0x6426, "" },
//  { 0x6427, "" },
//  { 0x6428, "" },
//  { 0x6429, "" },
//  { 0x642A, "" },
//  { 0x642B, "" },
//  { 0x642C, "" },
//  { 0x642D, "" },
//  { 0x642E, "" },
//  { 0x642F, "" },
//  { 0x6430, "" },
//  { 0x6431, "" },
//  { 0x6432, "" },
//  { 0x6433, "" },
//  { 0x6434, "" },
//  { 0x6435, "" },
//  { 0x6436, "" },
//  { 0x6437, "" },
//  { 0x6438, "" },
//  { 0x6439, "" },
//  { 0x643A, "" },
//  { 0x643B, "" },
//  { 0x643C, "" },
//  { 0x643D, "" },
//  { 0x643E, "" },
//  { 0x643F, "" },
//  { 0x6440, "" },
//  { 0x6441, "" },
//  { 0x6442, "" },
//  { 0x6443, "" },
//  { 0x6444, "" },
//  { 0x6445, "" },
//  { 0x6446, "" },
//  { 0x6447, "" },
//  { 0x6448, "" },
//  { 0x6449, "" },
//  { 0x644A, "" },
//  { 0x644B, "" },
//  { 0x644C, "" },
//  { 0x644D, "" },
//  { 0x644E, "" },
//  { 0x644F, "" },
//  { 0x6450, "" },
//  { 0x6451, "" },
//  { 0x6452, "" },
//  { 0x6453, "" },
//  { 0x6454, "" },
//  { 0x6455, "" },
//  { 0x6456, "" },
//  { 0x6457, "" },
//  { 0x6458, "" },
//  { 0x6459, "" },
//  { 0x645A, "" },
//  { 0x645B, "" },
//  { 0x645C, "" },
//  { 0x645D, "" },
//  { 0x645E, "" },
//  { 0x645F, "" },
//  { 0x6460, "" },
//  { 0x6461, "" },
//  { 0x6462, "" },
//  { 0x6463, "" },
//  { 0x6464, "" },
//  { 0x6465, "" },
//  { 0x6466, "" },
//  { 0x6467, "" },
//  { 0x6468, "" },
//  { 0x6469, "" },
//  { 0x646A, "" },
//  { 0x646B, "" },
//  { 0x646C, "" },
//  { 0x646D, "" },
//  { 0x646E, "" },
//  { 0x646F, "" },
//  { 0x6470, "" },
//  { 0x6471, "" },
//  { 0x6472, "" },
//  { 0x6473, "" },
//  { 0x6474, "" },
//  { 0x6475, "" },
//  { 0x6476, "" },
//  { 0x6477, "" },
//  { 0x6478, "" },
//  { 0x6479, "" },
//  { 0x647A, "" },
//  { 0x647B, "" },
//  { 0x647C, "" },
//  { 0x647D, "" },
//  { 0x647E, "" },
//  { 0x647F, "" },
//  { 0x6480, "" },
//  { 0x6481, "" },
//  { 0x6482, "" },
//  { 0x6483, "" },
//  { 0x6484, "" },
//  { 0x6485, "" },
//  { 0x6486, "" },
//  { 0x6487, "" },
//  { 0x6488, "" },
//  { 0x6489, "" },
//  { 0x648A, "" },
//  { 0x648B, "" },
//  { 0x648C, "" },
//  { 0x648D, "" },
//  { 0x648E, "" },
//  { 0x648F, "" },
//  { 0x6490, "" },
//  { 0x6491, "" },
//  { 0x6492, "" },
//  { 0x6493, "" },
//  { 0x6494, "" },
//  { 0x6495, "" },
//  { 0x6496, "" },
//  { 0x6497, "" },
//  { 0x6498, "" },
//  { 0x6499, "" },
//  { 0x649A, "" },
//  { 0x649B, "" },
//  { 0x649C, "" },
//  { 0x649D, "" },
//  { 0x649E, "" },
//  { 0x649F, "" },
//  { 0x64A0, "" },
//  { 0x64A1, "" },
//  { 0x64A2, "" },
//  { 0x64A3, "" },
//  { 0x64A4, "" },
//  { 0x64A5, "" },
//  { 0x64A6, "" },
//  { 0x64A7, "" },
//  { 0x64A8, "" },
//  { 0x64A9, "" },
//  { 0x64AA, "" },
//  { 0x64AB, "" },
//  { 0x64AC, "" },
//  { 0x64AD, "" },
//  { 0x64AE, "" },
//  { 0x64AF, "" },
//  { 0x64B0, "" },
//  { 0x64B1, "" },
//  { 0x64B2, "" },
//  { 0x64B3, "" },
//  { 0x64B4, "" },
//  { 0x64B5, "" },
//  { 0x64B6, "" },
//  { 0x64B7, "" },
//  { 0x64B8, "" },
//  { 0x64B9, "" },
//  { 0x64BA, "" },
//  { 0x64BB, "" },
//  { 0x64BC, "" },
//  { 0x64BD, "" },
//  { 0x64BE, "" },
//  { 0x64BF, "" },
//  { 0x64C0, "" },
//  { 0x64C1, "" },
//  { 0x64C2, "" },
//  { 0x64C3, "" },
//  { 0x64C4, "" },
//  { 0x64C5, "" },
//  { 0x64C6, "" },
//  { 0x64C7, "" },
//  { 0x64C8, "" },
//  { 0x64C9, "" },
//  { 0x64CA, "" },
//  { 0x64CB, "" },
//  { 0x64CC, "" },
//  { 0x64CD, "" },
//  { 0x64CE, "" },
//  { 0x64CF, "" },
//  { 0x64D0, "" },
//  { 0x64D1, "" },
//  { 0x64D2, "" },
//  { 0x64D3, "" },
//  { 0x64D4, "" },
//  { 0x64D5, "" },
//  { 0x64D6, "" },
//  { 0x64D7, "" },
//  { 0x64D8, "" },
//  { 0x64D9, "" },
//  { 0x64DA, "" },
//  { 0x64DB, "" },
//  { 0x64DC, "" },
//  { 0x64DD, "" },
//  { 0x64DE, "" },
//  { 0x64DF, "" },
//  { 0x64E0, "" },
//  { 0x64E1, "" },
//  { 0x64E2, "" },
//  { 0x64E3, "" },
//  { 0x64E4, "" },
//  { 0x64E5, "" },
//  { 0x64E6, "" },
//  { 0x64E7, "" },
//  { 0x64E8, "" },
//  { 0x64E9, "" },
//  { 0x64EA, "" },
//  { 0x64EB, "" },
//  { 0x64EC, "" },
//  { 0x64ED, "" },
//  { 0x64EE, "" },
//  { 0x64EF, "" },
//  { 0x64F0, "" },
//  { 0x64F1, "" },
//  { 0x64F2, "" },
//  { 0x64F3, "" },
//  { 0x64F4, "" },
//  { 0x64F5, "" },
//  { 0x64F6, "" },
//  { 0x64F7, "" },
//  { 0x64F8, "" },
//  { 0x64F9, "" },
//  { 0x64FA, "" },
//  { 0x64FB, "" },
//  { 0x64FC, "" },
//  { 0x64FD, "" },
//  { 0x64FE, "" },
//  { 0x64FF, "" },
//  { 0x6500, "" },
//  { 0x6501, "" },
//  { 0x6502, "" },
//  { 0x6503, "" },
//  { 0x6504, "" },
//  { 0x6505, "" },
//  { 0x6506, "" },
//  { 0x6507, "" },
//  { 0x6508, "" },
//  { 0x6509, "" },
//  { 0x650A, "" },
//  { 0x650B, "" },
//  { 0x650C, "" },
//  { 0x650D, "" },
//  { 0x650E, "" },
//  { 0x650F, "" },
//  { 0x6510, "" },
//  { 0x6511, "" },
//  { 0x6512, "" },
//  { 0x6513, "" },
//  { 0x6514, "" },
//  { 0x6515, "" },
//  { 0x6516, "" },
//  { 0x6517, "" },
//  { 0x6518, "" },
//  { 0x6519, "" },
//  { 0x651A, "" },
//  { 0x651B, "" },
//  { 0x651C, "" },
//  { 0x651D, "" },
//  { 0x651E, "" },
//  { 0x651F, "" },
//  { 0x6520, "" },
//  { 0x6521, "" },
//  { 0x6522, "" },
//  { 0x6523, "" },
//  { 0x6524, "" },
//  { 0x6525, "" },
//  { 0x6526, "" },
//  { 0x6527, "" },
//  { 0x6528, "" },
//  { 0x6529, "" },
//  { 0x652A, "" },
//  { 0x652B, "" },
//  { 0x652C, "" },
//  { 0x652D, "" },
//  { 0x652E, "" },
//  { 0x652F, "" },
//  { 0x6530, "" },
//  { 0x6531, "" },
//  { 0x6532, "" },
//  { 0x6533, "" },
//  { 0x6534, "" },
//  { 0x6535, "" },
//  { 0x6536, "" },
//  { 0x6537, "" },
//  { 0x6538, "" },
//  { 0x6539, "" },
//  { 0x653A, "" },
//  { 0x653B, "" },
//  { 0x653C, "" },
//  { 0x653D, "" },
//  { 0x653E, "" },
//  { 0x653F, "" },
//  { 0x6540, "" },
//  { 0x6541, "" },
//  { 0x6542, "" },
//  { 0x6543, "" },
//  { 0x6544, "" },
//  { 0x6545, "" },
//  { 0x6546, "" },
//  { 0x6547, "" },
//  { 0x6548, "" },
//  { 0x6549, "" },
//  { 0x654A, "" },
//  { 0x654B, "" },
//  { 0x654C, "" },
//  { 0x654D, "" },
//  { 0x654E, "" },
//  { 0x654F, "" },
//  { 0x6550, "" },
//  { 0x6551, "" },
//  { 0x6552, "" },
//  { 0x6553, "" },
//  { 0x6554, "" },
//  { 0x6555, "" },
//  { 0x6556, "" },
//  { 0x6557, "" },
//  { 0x6558, "" },
//  { 0x6559, "" },
//  { 0x655A, "" },
//  { 0x655B, "" },
//  { 0x655C, "" },
//  { 0x655D, "" },
//  { 0x655E, "" },
//  { 0x655F, "" },
//  { 0x6560, "" },
//  { 0x6561, "" },
//  { 0x6562, "" },
//  { 0x6563, "" },
//  { 0x6564, "" },
//  { 0x6565, "" },
//  { 0x6566, "" },
//  { 0x6567, "" },
//  { 0x6568, "" },
//  { 0x6569, "" },
//  { 0x656A, "" },
//  { 0x656B, "" },
//  { 0x656C, "" },
//  { 0x656D, "" },
//  { 0x656E, "" },
//  { 0x656F, "" },
//  { 0x6570, "" },
//  { 0x6571, "" },
//  { 0x6572, "" },
//  { 0x6573, "" },
//  { 0x6574, "" },
//  { 0x6575, "" },
//  { 0x6576, "" },
//  { 0x6577, "" },
//  { 0x6578, "" },
//  { 0x6579, "" },
//  { 0x657A, "" },
//  { 0x657B, "" },
//  { 0x657C, "" },
//  { 0x657D, "" },
//  { 0x657E, "" },
//  { 0x657F, "" },
//  { 0x6580, "" },
//  { 0x6581, "" },
//  { 0x6582, "" },
//  { 0x6583, "" },
//  { 0x6584, "" },
//  { 0x6585, "" },
//  { 0x6586, "" },
//  { 0x6587, "" },
//  { 0x6588, "" },
//  { 0x6589, "" },
//  { 0x658A, "" },
//  { 0x658B, "" },
//  { 0x658C, "" },
//  { 0x658D, "" },
//  { 0x658E, "" },
//  { 0x658F, "" },
//  { 0x6590, "" },
//  { 0x6591, "" },
//  { 0x6592, "" },
//  { 0x6593, "" },
//  { 0x6594, "" },
//  { 0x6595, "" },
//  { 0x6596, "" },
//  { 0x6597, "" },
//  { 0x6598, "" },
//  { 0x6599, "" },
//  { 0x659A, "" },
//  { 0x659B, "" },
//  { 0x659C, "" },
//  { 0x659D, "" },
//  { 0x659E, "" },
//  { 0x659F, "" },
//  { 0x65A0, "" },
//  { 0x65A1, "" },
//  { 0x65A2, "" },
//  { 0x65A3, "" },
//  { 0x65A4, "" },
//  { 0x65A5, "" },
//  { 0x65A6, "" },
//  { 0x65A7, "" },
//  { 0x65A8, "" },
//  { 0x65A9, "" },
//  { 0x65AA, "" },
//  { 0x65AB, "" },
//  { 0x65AC, "" },
//  { 0x65AD, "" },
//  { 0x65AE, "" },
//  { 0x65AF, "" },
//  { 0x65B0, "" },
//  { 0x65B1, "" },
//  { 0x65B2, "" },
//  { 0x65B3, "" },
//  { 0x65B4, "" },
//  { 0x65B5, "" },
//  { 0x65B6, "" },
//  { 0x65B7, "" },
//  { 0x65B8, "" },
//  { 0x65B9, "" },
//  { 0x65BA, "" },
//  { 0x65BB, "" },
//  { 0x65BC, "" },
//  { 0x65BD, "" },
//  { 0x65BE, "" },
//  { 0x65BF, "" },
//  { 0x65C0, "" },
//  { 0x65C1, "" },
//  { 0x65C2, "" },
//  { 0x65C3, "" },
//  { 0x65C4, "" },
//  { 0x65C5, "" },
//  { 0x65C6, "" },
//  { 0x65C7, "" },
//  { 0x65C8, "" },
//  { 0x65C9, "" },
//  { 0x65CA, "" },
//  { 0x65CB, "" },
//  { 0x65CC, "" },
//  { 0x65CD, "" },
//  { 0x65CE, "" },
//  { 0x65CF, "" },
//  { 0x65D0, "" },
//  { 0x65D1, "" },
//  { 0x65D2, "" },
//  { 0x65D3, "" },
//  { 0x65D4, "" },
//  { 0x65D5, "" },
//  { 0x65D6, "" },
//  { 0x65D7, "" },
//  { 0x65D8, "" },
//  { 0x65D9, "" },
//  { 0x65DA, "" },
//  { 0x65DB, "" },
//  { 0x65DC, "" },
//  { 0x65DD, "" },
//  { 0x65DE, "" },
//  { 0x65DF, "" },
//  { 0x65E0, "" },
//  { 0x65E1, "" },
//  { 0x65E2, "" },
//  { 0x65E3, "" },
//  { 0x65E4, "" },
//  { 0x65E5, "" },
//  { 0x65E6, "" },
//  { 0x65E7, "" },
//  { 0x65E8, "" },
//  { 0x65E9, "" },
//  { 0x65EA, "" },
//  { 0x65EB, "" },
//  { 0x65EC, "" },
//  { 0x65ED, "" },
//  { 0x65EE, "" },
//  { 0x65EF, "" },
//  { 0x65F0, "" },
//  { 0x65F1, "" },
//  { 0x65F2, "" },
//  { 0x65F3, "" },
//  { 0x65F4, "" },
//  { 0x65F5, "" },
//  { 0x65F6, "" },
//  { 0x65F7, "" },
//  { 0x65F8, "" },
//  { 0x65F9, "" },
//  { 0x65FA, "" },
//  { 0x65FB, "" },
//  { 0x65FC, "" },
//  { 0x65FD, "" },
//  { 0x65FE, "" },
//  { 0x65FF, "" },
//  { 0x6600, "" },
//  { 0x6601, "" },
//  { 0x6602, "" },
//  { 0x6603, "" },
//  { 0x6604, "" },
//  { 0x6605, "" },
//  { 0x6606, "" },
//  { 0x6607, "" },
//  { 0x6608, "" },
//  { 0x6609, "" },
//  { 0x660A, "" },
//  { 0x660B, "" },
//  { 0x660C, "" },
//  { 0x660D, "" },
//  { 0x660E, "" },
//  { 0x660F, "" },
//  { 0x6610, "" },
//  { 0x6611, "" },
//  { 0x6612, "" },
//  { 0x6613, "" },
//  { 0x6614, "" },
//  { 0x6615, "" },
//  { 0x6616, "" },
//  { 0x6617, "" },
//  { 0x6618, "" },
//  { 0x6619, "" },
//  { 0x661A, "" },
//  { 0x661B, "" },
//  { 0x661C, "" },
//  { 0x661D, "" },
//  { 0x661E, "" },
//  { 0x661F, "" },
//  { 0x6620, "" },
//  { 0x6621, "" },
//  { 0x6622, "" },
//  { 0x6623, "" },
//  { 0x6624, "" },
//  { 0x6625, "" },
//  { 0x6626, "" },
//  { 0x6627, "" },
//  { 0x6628, "" },
//  { 0x6629, "" },
//  { 0x662A, "" },
//  { 0x662B, "" },
//  { 0x662C, "" },
//  { 0x662D, "" },
//  { 0x662E, "" },
//  { 0x662F, "" },
//  { 0x6630, "" },
//  { 0x6631, "" },
//  { 0x6632, "" },
//  { 0x6633, "" },
//  { 0x6634, "" },
//  { 0x6635, "" },
//  { 0x6636, "" },
//  { 0x6637, "" },
//  { 0x6638, "" },
//  { 0x6639, "" },
//  { 0x663A, "" },
//  { 0x663B, "" },
//  { 0x663C, "" },
//  { 0x663D, "" },
//  { 0x663E, "" },
//  { 0x663F, "" },
//  { 0x6640, "" },
//  { 0x6641, "" },
//  { 0x6642, "" },
//  { 0x6643, "" },
//  { 0x6644, "" },
//  { 0x6645, "" },
//  { 0x6646, "" },
//  { 0x6647, "" },
//  { 0x6648, "" },
//  { 0x6649, "" },
//  { 0x664A, "" },
//  { 0x664B, "" },
//  { 0x664C, "" },
//  { 0x664D, "" },
//  { 0x664E, "" },
//  { 0x664F, "" },
//  { 0x6650, "" },
//  { 0x6651, "" },
//  { 0x6652, "" },
//  { 0x6653, "" },
//  { 0x6654, "" },
//  { 0x6655, "" },
//  { 0x6656, "" },
//  { 0x6657, "" },
//  { 0x6658, "" },
//  { 0x6659, "" },
//  { 0x665A, "" },
//  { 0x665B, "" },
//  { 0x665C, "" },
//  { 0x665D, "" },
//  { 0x665E, "" },
//  { 0x665F, "" },
//  { 0x6660, "" },
//  { 0x6661, "" },
//  { 0x6662, "" },
//  { 0x6663, "" },
//  { 0x6664, "" },
//  { 0x6665, "" },
//  { 0x6666, "" },
//  { 0x6667, "" },
//  { 0x6668, "" },
//  { 0x6669, "" },
//  { 0x666A, "" },
//  { 0x666B, "" },
//  { 0x666C, "" },
//  { 0x666D, "" },
//  { 0x666E, "" },
//  { 0x666F, "" },
//  { 0x6670, "" },
//  { 0x6671, "" },
//  { 0x6672, "" },
//  { 0x6673, "" },
//  { 0x6674, "" },
//  { 0x6675, "" },
//  { 0x6676, "" },
//  { 0x6677, "" },
//  { 0x6678, "" },
//  { 0x6679, "" },
//  { 0x667A, "" },
//  { 0x667B, "" },
//  { 0x667C, "" },
//  { 0x667D, "" },
//  { 0x667E, "" },
//  { 0x667F, "" },
//  { 0x6680, "" },
//  { 0x6681, "" },
//  { 0x6682, "" },
//  { 0x6683, "" },
//  { 0x6684, "" },
//  { 0x6685, "" },
//  { 0x6686, "" },
//  { 0x6687, "" },
//  { 0x6688, "" },
//  { 0x6689, "" },
//  { 0x668A, "" },
//  { 0x668B, "" },
//  { 0x668C, "" },
//  { 0x668D, "" },
//  { 0x668E, "" },
//  { 0x668F, "" },
//  { 0x6690, "" },
//  { 0x6691, "" },
//  { 0x6692, "" },
//  { 0x6693, "" },
//  { 0x6694, "" },
//  { 0x6695, "" },
//  { 0x6696, "" },
//  { 0x6697, "" },
//  { 0x6698, "" },
//  { 0x6699, "" },
//  { 0x669A, "" },
//  { 0x669B, "" },
//  { 0x669C, "" },
//  { 0x669D, "" },
//  { 0x669E, "" },
//  { 0x669F, "" },
//  { 0x66A0, "" },
//  { 0x66A1, "" },
//  { 0x66A2, "" },
//  { 0x66A3, "" },
//  { 0x66A4, "" },
//  { 0x66A5, "" },
//  { 0x66A6, "" },
//  { 0x66A7, "" },
//  { 0x66A8, "" },
//  { 0x66A9, "" },
//  { 0x66AA, "" },
//  { 0x66AB, "" },
//  { 0x66AC, "" },
//  { 0x66AD, "" },
//  { 0x66AE, "" },
//  { 0x66AF, "" },
//  { 0x66B0, "" },
//  { 0x66B1, "" },
//  { 0x66B2, "" },
//  { 0x66B3, "" },
//  { 0x66B4, "" },
//  { 0x66B5, "" },
//  { 0x66B6, "" },
//  { 0x66B7, "" },
//  { 0x66B8, "" },
//  { 0x66B9, "" },
//  { 0x66BA, "" },
//  { 0x66BB, "" },
//  { 0x66BC, "" },
//  { 0x66BD, "" },
//  { 0x66BE, "" },
//  { 0x66BF, "" },
//  { 0x66C0, "" },
//  { 0x66C1, "" },
//  { 0x66C2, "" },
//  { 0x66C3, "" },
//  { 0x66C4, "" },
//  { 0x66C5, "" },
//  { 0x66C6, "" },
//  { 0x66C7, "" },
//  { 0x66C8, "" },
//  { 0x66C9, "" },
//  { 0x66CA, "" },
//  { 0x66CB, "" },
//  { 0x66CC, "" },
//  { 0x66CD, "" },
//  { 0x66CE, "" },
//  { 0x66CF, "" },
//  { 0x66D0, "" },
//  { 0x66D1, "" },
//  { 0x66D2, "" },
//  { 0x66D3, "" },
//  { 0x66D4, "" },
//  { 0x66D5, "" },
//  { 0x66D6, "" },
//  { 0x66D7, "" },
//  { 0x66D8, "" },
//  { 0x66D9, "" },
//  { 0x66DA, "" },
//  { 0x66DB, "" },
//  { 0x66DC, "" },
//  { 0x66DD, "" },
//  { 0x66DE, "" },
//  { 0x66DF, "" },
//  { 0x66E0, "" },
//  { 0x66E1, "" },
//  { 0x66E2, "" },
//  { 0x66E3, "" },
//  { 0x66E4, "" },
//  { 0x66E5, "" },
//  { 0x66E6, "" },
//  { 0x66E7, "" },
//  { 0x66E8, "" },
//  { 0x66E9, "" },
//  { 0x66EA, "" },
//  { 0x66EB, "" },
//  { 0x66EC, "" },
//  { 0x66ED, "" },
//  { 0x66EE, "" },
//  { 0x66EF, "" },
//  { 0x66F0, "" },
//  { 0x66F1, "" },
//  { 0x66F2, "" },
//  { 0x66F3, "" },
//  { 0x66F4, "" },
//  { 0x66F5, "" },
//  { 0x66F6, "" },
//  { 0x66F7, "" },
//  { 0x66F8, "" },
//  { 0x66F9, "" },
//  { 0x66FA, "" },
//  { 0x66FB, "" },
//  { 0x66FC, "" },
//  { 0x66FD, "" },
//  { 0x66FE, "" },
//  { 0x66FF, "" },
//  { 0x6700, "" },
//  { 0x6701, "" },
//  { 0x6702, "" },
//  { 0x6703, "" },
//  { 0x6704, "" },
//  { 0x6705, "" },
//  { 0x6706, "" },
//  { 0x6707, "" },
//  { 0x6708, "" },
//  { 0x6709, "" },
//  { 0x670A, "" },
//  { 0x670B, "" },
//  { 0x670C, "" },
//  { 0x670D, "" },
//  { 0x670E, "" },
//  { 0x670F, "" },
//  { 0x6710, "" },
//  { 0x6711, "" },
//  { 0x6712, "" },
//  { 0x6713, "" },
//  { 0x6714, "" },
//  { 0x6715, "" },
//  { 0x6716, "" },
//  { 0x6717, "" },
//  { 0x6718, "" },
//  { 0x6719, "" },
//  { 0x671A, "" },
//  { 0x671B, "" },
//  { 0x671C, "" },
//  { 0x671D, "" },
//  { 0x671E, "" },
//  { 0x671F, "" },
//  { 0x6720, "" },
//  { 0x6721, "" },
//  { 0x6722, "" },
//  { 0x6723, "" },
//  { 0x6724, "" },
//  { 0x6725, "" },
//  { 0x6726, "" },
//  { 0x6727, "" },
//  { 0x6728, "" },
//  { 0x6729, "" },
//  { 0x672A, "" },
//  { 0x672B, "" },
//  { 0x672C, "" },
//  { 0x672D, "" },
//  { 0x672E, "" },
//  { 0x672F, "" },
//  { 0x6730, "" },
//  { 0x6731, "" },
//  { 0x6732, "" },
//  { 0x6733, "" },
//  { 0x6734, "" },
//  { 0x6735, "" },
//  { 0x6736, "" },
//  { 0x6737, "" },
//  { 0x6738, "" },
//  { 0x6739, "" },
//  { 0x673A, "" },
//  { 0x673B, "" },
//  { 0x673C, "" },
//  { 0x673D, "" },
//  { 0x673E, "" },
//  { 0x673F, "" },
//  { 0x6740, "" },
//  { 0x6741, "" },
//  { 0x6742, "" },
//  { 0x6743, "" },
//  { 0x6744, "" },
//  { 0x6745, "" },
//  { 0x6746, "" },
//  { 0x6747, "" },
//  { 0x6748, "" },
//  { 0x6749, "" },
//  { 0x674A, "" },
//  { 0x674B, "" },
//  { 0x674C, "" },
//  { 0x674D, "" },
//  { 0x674E, "" },
//  { 0x674F, "" },
//  { 0x6750, "" },
//  { 0x6751, "" },
//  { 0x6752, "" },
//  { 0x6753, "" },
//  { 0x6754, "" },
//  { 0x6755, "" },
//  { 0x6756, "" },
//  { 0x6757, "" },
//  { 0x6758, "" },
//  { 0x6759, "" },
//  { 0x675A, "" },
//  { 0x675B, "" },
//  { 0x675C, "" },
//  { 0x675D, "" },
//  { 0x675E, "" },
//  { 0x675F, "" },
//  { 0x6760, "" },
//  { 0x6761, "" },
//  { 0x6762, "" },
//  { 0x6763, "" },
//  { 0x6764, "" },
//  { 0x6765, "" },
//  { 0x6766, "" },
//  { 0x6767, "" },
//  { 0x6768, "" },
//  { 0x6769, "" },
//  { 0x676A, "" },
//  { 0x676B, "" },
//  { 0x676C, "" },
//  { 0x676D, "" },
//  { 0x676E, "" },
//  { 0x676F, "" },
//  { 0x6770, "" },
//  { 0x6771, "" },
//  { 0x6772, "" },
//  { 0x6773, "" },
//  { 0x6774, "" },
//  { 0x6775, "" },
//  { 0x6776, "" },
//  { 0x6777, "" },
//  { 0x6778, "" },
//  { 0x6779, "" },
//  { 0x677A, "" },
//  { 0x677B, "" },
//  { 0x677C, "" },
//  { 0x677D, "" },
//  { 0x677E, "" },
//  { 0x677F, "" },
//  { 0x6780, "" },
//  { 0x6781, "" },
//  { 0x6782, "" },
//  { 0x6783, "" },
//  { 0x6784, "" },
//  { 0x6785, "" },
//  { 0x6786, "" },
//  { 0x6787, "" },
//  { 0x6788, "" },
//  { 0x6789, "" },
//  { 0x678A, "" },
//  { 0x678B, "" },
//  { 0x678C, "" },
//  { 0x678D, "" },
//  { 0x678E, "" },
//  { 0x678F, "" },
//  { 0x6790, "" },
//  { 0x6791, "" },
//  { 0x6792, "" },
//  { 0x6793, "" },
//  { 0x6794, "" },
//  { 0x6795, "" },
//  { 0x6796, "" },
//  { 0x6797, "" },
//  { 0x6798, "" },
//  { 0x6799, "" },
//  { 0x679A, "" },
//  { 0x679B, "" },
//  { 0x679C, "" },
//  { 0x679D, "" },
//  { 0x679E, "" },
//  { 0x679F, "" },
//  { 0x67A0, "" },
//  { 0x67A1, "" },
//  { 0x67A2, "" },
//  { 0x67A3, "" },
//  { 0x67A4, "" },
//  { 0x67A5, "" },
//  { 0x67A6, "" },
//  { 0x67A7, "" },
//  { 0x67A8, "" },
//  { 0x67A9, "" },
//  { 0x67AA, "" },
//  { 0x67AB, "" },
//  { 0x67AC, "" },
//  { 0x67AD, "" },
//  { 0x67AE, "" },
//  { 0x67AF, "" },
//  { 0x67B0, "" },
//  { 0x67B1, "" },
//  { 0x67B2, "" },
//  { 0x67B3, "" },
//  { 0x67B4, "" },
//  { 0x67B5, "" },
//  { 0x67B6, "" },
//  { 0x67B7, "" },
//  { 0x67B8, "" },
//  { 0x67B9, "" },
//  { 0x67BA, "" },
//  { 0x67BB, "" },
//  { 0x67BC, "" },
//  { 0x67BD, "" },
//  { 0x67BE, "" },
//  { 0x67BF, "" },
//  { 0x67C0, "" },
//  { 0x67C1, "" },
//  { 0x67C2, "" },
//  { 0x67C3, "" },
//  { 0x67C4, "" },
//  { 0x67C5, "" },
//  { 0x67C6, "" },
//  { 0x67C7, "" },
//  { 0x67C8, "" },
//  { 0x67C9, "" },
//  { 0x67CA, "" },
//  { 0x67CB, "" },
//  { 0x67CC, "" },
//  { 0x67CD, "" },
//  { 0x67CE, "" },
//  { 0x67CF, "" },
//  { 0x67D0, "" },
//  { 0x67D1, "" },
//  { 0x67D2, "" },
//  { 0x67D3, "" },
//  { 0x67D4, "" },
//  { 0x67D5, "" },
//  { 0x67D6, "" },
//  { 0x67D7, "" },
//  { 0x67D8, "" },
//  { 0x67D9, "" },
//  { 0x67DA, "" },
//  { 0x67DB, "" },
//  { 0x67DC, "" },
//  { 0x67DD, "" },
//  { 0x67DE, "" },
//  { 0x67DF, "" },
//  { 0x67E0, "" },
//  { 0x67E1, "" },
//  { 0x67E2, "" },
//  { 0x67E3, "" },
//  { 0x67E4, "" },
//  { 0x67E5, "" },
//  { 0x67E6, "" },
//  { 0x67E7, "" },
//  { 0x67E8, "" },
//  { 0x67E9, "" },
//  { 0x67EA, "" },
//  { 0x67EB, "" },
//  { 0x67EC, "" },
//  { 0x67ED, "" },
//  { 0x67EE, "" },
//  { 0x67EF, "" },
//  { 0x67F0, "" },
//  { 0x67F1, "" },
//  { 0x67F2, "" },
//  { 0x67F3, "" },
//  { 0x67F4, "" },
//  { 0x67F5, "" },
//  { 0x67F6, "" },
//  { 0x67F7, "" },
//  { 0x67F8, "" },
//  { 0x67F9, "" },
//  { 0x67FA, "" },
//  { 0x67FB, "" },
//  { 0x67FC, "" },
//  { 0x67FD, "" },
//  { 0x67FE, "" },
//  { 0x67FF, "" },
//  { 0x6800, "" },
//  { 0x6801, "" },
//  { 0x6802, "" },
//  { 0x6803, "" },
//  { 0x6804, "" },
//  { 0x6805, "" },
//  { 0x6806, "" },
//  { 0x6807, "" },
//  { 0x6808, "" },
//  { 0x6809, "" },
//  { 0x680A, "" },
//  { 0x680B, "" },
//  { 0x680C, "" },
//  { 0x680D, "" },
//  { 0x680E, "" },
//  { 0x680F, "" },
//  { 0x6810, "" },
//  { 0x6811, "" },
//  { 0x6812, "" },
//  { 0x6813, "" },
//  { 0x6814, "" },
//  { 0x6815, "" },
//  { 0x6816, "" },
//  { 0x6817, "" },
//  { 0x6818, "" },
//  { 0x6819, "" },
//  { 0x681A, "" },
//  { 0x681B, "" },
//  { 0x681C, "" },
//  { 0x681D, "" },
//  { 0x681E, "" },
//  { 0x681F, "" },
//  { 0x6820, "" },
//  { 0x6821, "" },
//  { 0x6822, "" },
//  { 0x6823, "" },
//  { 0x6824, "" },
//  { 0x6825, "" },
//  { 0x6826, "" },
//  { 0x6827, "" },
//  { 0x6828, "" },
//  { 0x6829, "" },
//  { 0x682A, "" },
//  { 0x682B, "" },
//  { 0x682C, "" },
//  { 0x682D, "" },
//  { 0x682E, "" },
//  { 0x682F, "" },
//  { 0x6830, "" },
//  { 0x6831, "" },
//  { 0x6832, "" },
//  { 0x6833, "" },
//  { 0x6834, "" },
//  { 0x6835, "" },
//  { 0x6836, "" },
//  { 0x6837, "" },
//  { 0x6838, "" },
//  { 0x6839, "" },
//  { 0x683A, "" },
//  { 0x683B, "" },
//  { 0x683C, "" },
//  { 0x683D, "" },
//  { 0x683E, "" },
//  { 0x683F, "" },
//  { 0x6840, "" },
//  { 0x6841, "" },
//  { 0x6842, "" },
//  { 0x6843, "" },
//  { 0x6844, "" },
//  { 0x6845, "" },
//  { 0x6846, "" },
//  { 0x6847, "" },
//  { 0x6848, "" },
//  { 0x6849, "" },
//  { 0x684A, "" },
//  { 0x684B, "" },
//  { 0x684C, "" },
//  { 0x684D, "" },
//  { 0x684E, "" },
//  { 0x684F, "" },
//  { 0x6850, "" },
//  { 0x6851, "" },
//  { 0x6852, "" },
//  { 0x6853, "" },
//  { 0x6854, "" },
//  { 0x6855, "" },
//  { 0x6856, "" },
//  { 0x6857, "" },
//  { 0x6858, "" },
//  { 0x6859, "" },
//  { 0x685A, "" },
//  { 0x685B, "" },
//  { 0x685C, "" },
//  { 0x685D, "" },
//  { 0x685E, "" },
//  { 0x685F, "" },
//  { 0x6860, "" },
//  { 0x6861, "" },
//  { 0x6862, "" },
//  { 0x6863, "" },
//  { 0x6864, "" },
//  { 0x6865, "" },
//  { 0x6866, "" },
//  { 0x6867, "" },
//  { 0x6868, "" },
//  { 0x6869, "" },
//  { 0x686A, "" },
//  { 0x686B, "" },
//  { 0x686C, "" },
//  { 0x686D, "" },
//  { 0x686E, "" },
//  { 0x686F, "" },
//  { 0x6870, "" },
//  { 0x6871, "" },
//  { 0x6872, "" },
//  { 0x6873, "" },
//  { 0x6874, "" },
//  { 0x6875, "" },
//  { 0x6876, "" },
//  { 0x6877, "" },
//  { 0x6878, "" },
//  { 0x6879, "" },
//  { 0x687A, "" },
//  { 0x687B, "" },
//  { 0x687C, "" },
//  { 0x687D, "" },
//  { 0x687E, "" },
//  { 0x687F, "" },
//  { 0x6880, "" },
//  { 0x6881, "" },
//  { 0x6882, "" },
//  { 0x6883, "" },
//  { 0x6884, "" },
//  { 0x6885, "" },
//  { 0x6886, "" },
//  { 0x6887, "" },
//  { 0x6888, "" },
//  { 0x6889, "" },
//  { 0x688A, "" },
//  { 0x688B, "" },
//  { 0x688C, "" },
//  { 0x688D, "" },
//  { 0x688E, "" },
//  { 0x688F, "" },
//  { 0x6890, "" },
//  { 0x6891, "" },
//  { 0x6892, "" },
//  { 0x6893, "" },
//  { 0x6894, "" },
//  { 0x6895, "" },
//  { 0x6896, "" },
//  { 0x6897, "" },
//  { 0x6898, "" },
//  { 0x6899, "" },
//  { 0x689A, "" },
//  { 0x689B, "" },
//  { 0x689C, "" },
//  { 0x689D, "" },
//  { 0x689E, "" },
//  { 0x689F, "" },
//  { 0x68A0, "" },
//  { 0x68A1, "" },
//  { 0x68A2, "" },
//  { 0x68A3, "" },
//  { 0x68A4, "" },
//  { 0x68A5, "" },
//  { 0x68A6, "" },
//  { 0x68A7, "" },
//  { 0x68A8, "" },
//  { 0x68A9, "" },
//  { 0x68AA, "" },
//  { 0x68AB, "" },
//  { 0x68AC, "" },
//  { 0x68AD, "" },
//  { 0x68AE, "" },
//  { 0x68AF, "" },
//  { 0x68B0, "" },
//  { 0x68B1, "" },
//  { 0x68B2, "" },
//  { 0x68B3, "" },
//  { 0x68B4, "" },
//  { 0x68B5, "" },
//  { 0x68B6, "" },
//  { 0x68B7, "" },
//  { 0x68B8, "" },
//  { 0x68B9, "" },
//  { 0x68BA, "" },
//  { 0x68BB, "" },
//  { 0x68BC, "" },
//  { 0x68BD, "" },
//  { 0x68BE, "" },
//  { 0x68BF, "" },
//  { 0x68C0, "" },
//  { 0x68C1, "" },
//  { 0x68C2, "" },
//  { 0x68C3, "" },
//  { 0x68C4, "" },
//  { 0x68C5, "" },
//  { 0x68C6, "" },
//  { 0x68C7, "" },
//  { 0x68C8, "" },
//  { 0x68C9, "" },
//  { 0x68CA, "" },
//  { 0x68CB, "" },
//  { 0x68CC, "" },
//  { 0x68CD, "" },
//  { 0x68CE, "" },
//  { 0x68CF, "" },
//  { 0x68D0, "" },
//  { 0x68D1, "" },
//  { 0x68D2, "" },
//  { 0x68D3, "" },
//  { 0x68D4, "" },
//  { 0x68D5, "" },
//  { 0x68D6, "" },
//  { 0x68D7, "" },
//  { 0x68D8, "" },
//  { 0x68D9, "" },
//  { 0x68DA, "" },
//  { 0x68DB, "" },
//  { 0x68DC, "" },
//  { 0x68DD, "" },
//  { 0x68DE, "" },
//  { 0x68DF, "" },
//  { 0x68E0, "" },
//  { 0x68E1, "" },
//  { 0x68E2, "" },
//  { 0x68E3, "" },
//  { 0x68E4, "" },
//  { 0x68E5, "" },
//  { 0x68E6, "" },
//  { 0x68E7, "" },
//  { 0x68E8, "" },
//  { 0x68E9, "" },
//  { 0x68EA, "" },
//  { 0x68EB, "" },
//  { 0x68EC, "" },
//  { 0x68ED, "" },
//  { 0x68EE, "" },
//  { 0x68EF, "" },
//  { 0x68F0, "" },
//  { 0x68F1, "" },
//  { 0x68F2, "" },
//  { 0x68F3, "" },
//  { 0x68F4, "" },
//  { 0x68F5, "" },
//  { 0x68F6, "" },
//  { 0x68F7, "" },
//  { 0x68F8, "" },
//  { 0x68F9, "" },
//  { 0x68FA, "" },
//  { 0x68FB, "" },
//  { 0x68FC, "" },
//  { 0x68FD, "" },
//  { 0x68FE, "" },
//  { 0x68FF, "" },
//  { 0x6900, "" },
//  { 0x6901, "" },
//  { 0x6902, "" },
//  { 0x6903, "" },
//  { 0x6904, "" },
//  { 0x6905, "" },
//  { 0x6906, "" },
//  { 0x6907, "" },
//  { 0x6908, "" },
//  { 0x6909, "" },
//  { 0x690A, "" },
//  { 0x690B, "" },
//  { 0x690C, "" },
//  { 0x690D, "" },
//  { 0x690E, "" },
//  { 0x690F, "" },
//  { 0x6910, "" },
//  { 0x6911, "" },
//  { 0x6912, "" },
//  { 0x6913, "" },
//  { 0x6914, "" },
//  { 0x6915, "" },
//  { 0x6916, "" },
//  { 0x6917, "" },
//  { 0x6918, "" },
//  { 0x6919, "" },
//  { 0x691A, "" },
//  { 0x691B, "" },
//  { 0x691C, "" },
//  { 0x691D, "" },
//  { 0x691E, "" },
//  { 0x691F, "" },
//  { 0x6920, "" },
//  { 0x6921, "" },
//  { 0x6922, "" },
//  { 0x6923, "" },
//  { 0x6924, "" },
//  { 0x6925, "" },
//  { 0x6926, "" },
//  { 0x6927, "" },
//  { 0x6928, "" },
//  { 0x6929, "" },
//  { 0x692A, "" },
//  { 0x692B, "" },
//  { 0x692C, "" },
//  { 0x692D, "" },
//  { 0x692E, "" },
//  { 0x692F, "" },
//  { 0x6930, "" },
//  { 0x6931, "" },
//  { 0x6932, "" },
//  { 0x6933, "" },
//  { 0x6934, "" },
//  { 0x6935, "" },
//  { 0x6936, "" },
//  { 0x6937, "" },
//  { 0x6938, "" },
//  { 0x6939, "" },
//  { 0x693A, "" },
//  { 0x693B, "" },
//  { 0x693C, "" },
//  { 0x693D, "" },
//  { 0x693E, "" },
//  { 0x693F, "" },
//  { 0x6940, "" },
//  { 0x6941, "" },
//  { 0x6942, "" },
//  { 0x6943, "" },
//  { 0x6944, "" },
//  { 0x6945, "" },
//  { 0x6946, "" },
//  { 0x6947, "" },
//  { 0x6948, "" },
//  { 0x6949, "" },
//  { 0x694A, "" },
//  { 0x694B, "" },
//  { 0x694C, "" },
//  { 0x694D, "" },
//  { 0x694E, "" },
//  { 0x694F, "" },
//  { 0x6950, "" },
//  { 0x6951, "" },
//  { 0x6952, "" },
//  { 0x6953, "" },
//  { 0x6954, "" },
//  { 0x6955, "" },
//  { 0x6956, "" },
//  { 0x6957, "" },
//  { 0x6958, "" },
//  { 0x6959, "" },
//  { 0x695A, "" },
//  { 0x695B, "" },
//  { 0x695C, "" },
//  { 0x695D, "" },
//  { 0x695E, "" },
//  { 0x695F, "" },
//  { 0x6960, "" },
//  { 0x6961, "" },
//  { 0x6962, "" },
//  { 0x6963, "" },
//  { 0x6964, "" },
//  { 0x6965, "" },
//  { 0x6966, "" },
//  { 0x6967, "" },
//  { 0x6968, "" },
//  { 0x6969, "" },
//  { 0x696A, "" },
//  { 0x696B, "" },
//  { 0x696C, "" },
//  { 0x696D, "" },
//  { 0x696E, "" },
//  { 0x696F, "" },
//  { 0x6970, "" },
//  { 0x6971, "" },
//  { 0x6972, "" },
//  { 0x6973, "" },
//  { 0x6974, "" },
//  { 0x6975, "" },
//  { 0x6976, "" },
//  { 0x6977, "" },
//  { 0x6978, "" },
//  { 0x6979, "" },
//  { 0x697A, "" },
//  { 0x697B, "" },
//  { 0x697C, "" },
//  { 0x697D, "" },
//  { 0x697E, "" },
//  { 0x697F, "" },
//  { 0x6980, "" },
//  { 0x6981, "" },
//  { 0x6982, "" },
//  { 0x6983, "" },
//  { 0x6984, "" },
//  { 0x6985, "" },
//  { 0x6986, "" },
//  { 0x6987, "" },
//  { 0x6988, "" },
//  { 0x6989, "" },
//  { 0x698A, "" },
//  { 0x698B, "" },
//  { 0x698C, "" },
//  { 0x698D, "" },
//  { 0x698E, "" },
//  { 0x698F, "" },
//  { 0x6990, "" },
//  { 0x6991, "" },
//  { 0x6992, "" },
//  { 0x6993, "" },
//  { 0x6994, "" },
//  { 0x6995, "" },
//  { 0x6996, "" },
//  { 0x6997, "" },
//  { 0x6998, "" },
//  { 0x6999, "" },
//  { 0x699A, "" },
//  { 0x699B, "" },
//  { 0x699C, "" },
//  { 0x699D, "" },
//  { 0x699E, "" },
//  { 0x699F, "" },
//  { 0x69A0, "" },
//  { 0x69A1, "" },
//  { 0x69A2, "" },
//  { 0x69A3, "" },
//  { 0x69A4, "" },
//  { 0x69A5, "" },
//  { 0x69A6, "" },
//  { 0x69A7, "" },
//  { 0x69A8, "" },
//  { 0x69A9, "" },
//  { 0x69AA, "" },
//  { 0x69AB, "" },
//  { 0x69AC, "" },
//  { 0x69AD, "" },
//  { 0x69AE, "" },
//  { 0x69AF, "" },
//  { 0x69B0, "" },
//  { 0x69B1, "" },
//  { 0x69B2, "" },
//  { 0x69B3, "" },
//  { 0x69B4, "" },
//  { 0x69B5, "" },
//  { 0x69B6, "" },
//  { 0x69B7, "" },
//  { 0x69B8, "" },
//  { 0x69B9, "" },
//  { 0x69BA, "" },
//  { 0x69BB, "" },
//  { 0x69BC, "" },
//  { 0x69BD, "" },
//  { 0x69BE, "" },
//  { 0x69BF, "" },
//  { 0x69C0, "" },
//  { 0x69C1, "" },
//  { 0x69C2, "" },
//  { 0x69C3, "" },
//  { 0x69C4, "" },
//  { 0x69C5, "" },
//  { 0x69C6, "" },
//  { 0x69C7, "" },
//  { 0x69C8, "" },
//  { 0x69C9, "" },
//  { 0x69CA, "" },
//  { 0x69CB, "" },
//  { 0x69CC, "" },
//  { 0x69CD, "" },
//  { 0x69CE, "" },
//  { 0x69CF, "" },
//  { 0x69D0, "" },
//  { 0x69D1, "" },
//  { 0x69D2, "" },
//  { 0x69D3, "" },
//  { 0x69D4, "" },
//  { 0x69D5, "" },
//  { 0x69D6, "" },
//  { 0x69D7, "" },
//  { 0x69D8, "" },
//  { 0x69D9, "" },
//  { 0x69DA, "" },
//  { 0x69DB, "" },
//  { 0x69DC, "" },
//  { 0x69DD, "" },
//  { 0x69DE, "" },
//  { 0x69DF, "" },
//  { 0x69E0, "" },
//  { 0x69E1, "" },
//  { 0x69E2, "" },
//  { 0x69E3, "" },
//  { 0x69E4, "" },
//  { 0x69E5, "" },
//  { 0x69E6, "" },
//  { 0x69E7, "" },
//  { 0x69E8, "" },
//  { 0x69E9, "" },
//  { 0x69EA, "" },
//  { 0x69EB, "" },
//  { 0x69EC, "" },
//  { 0x69ED, "" },
//  { 0x69EE, "" },
//  { 0x69EF, "" },
//  { 0x69F0, "" },
//  { 0x69F1, "" },
//  { 0x69F2, "" },
//  { 0x69F3, "" },
//  { 0x69F4, "" },
//  { 0x69F5, "" },
//  { 0x69F6, "" },
//  { 0x69F7, "" },
//  { 0x69F8, "" },
//  { 0x69F9, "" },
//  { 0x69FA, "" },
//  { 0x69FB, "" },
//  { 0x69FC, "" },
//  { 0x69FD, "" },
//  { 0x69FE, "" },
//  { 0x69FF, "" },
//  { 0x6A00, "" },
//  { 0x6A01, "" },
//  { 0x6A02, "" },
//  { 0x6A03, "" },
//  { 0x6A04, "" },
//  { 0x6A05, "" },
//  { 0x6A06, "" },
//  { 0x6A07, "" },
//  { 0x6A08, "" },
//  { 0x6A09, "" },
//  { 0x6A0A, "" },
//  { 0x6A0B, "" },
//  { 0x6A0C, "" },
//  { 0x6A0D, "" },
//  { 0x6A0E, "" },
//  { 0x6A0F, "" },
//  { 0x6A10, "" },
//  { 0x6A11, "" },
//  { 0x6A12, "" },
//  { 0x6A13, "" },
//  { 0x6A14, "" },
//  { 0x6A15, "" },
//  { 0x6A16, "" },
//  { 0x6A17, "" },
//  { 0x6A18, "" },
//  { 0x6A19, "" },
//  { 0x6A1A, "" },
//  { 0x6A1B, "" },
//  { 0x6A1C, "" },
//  { 0x6A1D, "" },
//  { 0x6A1E, "" },
//  { 0x6A1F, "" },
//  { 0x6A20, "" },
//  { 0x6A21, "" },
//  { 0x6A22, "" },
//  { 0x6A23, "" },
//  { 0x6A24, "" },
//  { 0x6A25, "" },
//  { 0x6A26, "" },
//  { 0x6A27, "" },
//  { 0x6A28, "" },
//  { 0x6A29, "" },
//  { 0x6A2A, "" },
//  { 0x6A2B, "" },
//  { 0x6A2C, "" },
//  { 0x6A2D, "" },
//  { 0x6A2E, "" },
//  { 0x6A2F, "" },
//  { 0x6A30, "" },
//  { 0x6A31, "" },
//  { 0x6A32, "" },
//  { 0x6A33, "" },
//  { 0x6A34, "" },
//  { 0x6A35, "" },
//  { 0x6A36, "" },
//  { 0x6A37, "" },
//  { 0x6A38, "" },
//  { 0x6A39, "" },
//  { 0x6A3A, "" },
//  { 0x6A3B, "" },
//  { 0x6A3C, "" },
//  { 0x6A3D, "" },
//  { 0x6A3E, "" },
//  { 0x6A3F, "" },
//  { 0x6A40, "" },
//  { 0x6A41, "" },
//  { 0x6A42, "" },
//  { 0x6A43, "" },
//  { 0x6A44, "" },
//  { 0x6A45, "" },
//  { 0x6A46, "" },
//  { 0x6A47, "" },
//  { 0x6A48, "" },
//  { 0x6A49, "" },
//  { 0x6A4A, "" },
//  { 0x6A4B, "" },
//  { 0x6A4C, "" },
//  { 0x6A4D, "" },
//  { 0x6A4E, "" },
//  { 0x6A4F, "" },
//  { 0x6A50, "" },
//  { 0x6A51, "" },
//  { 0x6A52, "" },
//  { 0x6A53, "" },
//  { 0x6A54, "" },
//  { 0x6A55, "" },
//  { 0x6A56, "" },
//  { 0x6A57, "" },
//  { 0x6A58, "" },
//  { 0x6A59, "" },
//  { 0x6A5A, "" },
//  { 0x6A5B, "" },
//  { 0x6A5C, "" },
//  { 0x6A5D, "" },
//  { 0x6A5E, "" },
//  { 0x6A5F, "" },
//  { 0x6A60, "" },
//  { 0x6A61, "" },
//  { 0x6A62, "" },
//  { 0x6A63, "" },
//  { 0x6A64, "" },
//  { 0x6A65, "" },
//  { 0x6A66, "" },
//  { 0x6A67, "" },
//  { 0x6A68, "" },
//  { 0x6A69, "" },
//  { 0x6A6A, "" },
//  { 0x6A6B, "" },
//  { 0x6A6C, "" },
//  { 0x6A6D, "" },
//  { 0x6A6E, "" },
//  { 0x6A6F, "" },
//  { 0x6A70, "" },
//  { 0x6A71, "" },
//  { 0x6A72, "" },
//  { 0x6A73, "" },
//  { 0x6A74, "" },
//  { 0x6A75, "" },
//  { 0x6A76, "" },
//  { 0x6A77, "" },
//  { 0x6A78, "" },
//  { 0x6A79, "" },
//  { 0x6A7A, "" },
//  { 0x6A7B, "" },
//  { 0x6A7C, "" },
//  { 0x6A7D, "" },
//  { 0x6A7E, "" },
//  { 0x6A7F, "" },
//  { 0x6A80, "" },
//  { 0x6A81, "" },
//  { 0x6A82, "" },
//  { 0x6A83, "" },
//  { 0x6A84, "" },
//  { 0x6A85, "" },
//  { 0x6A86, "" },
//  { 0x6A87, "" },
//  { 0x6A88, "" },
//  { 0x6A89, "" },
//  { 0x6A8A, "" },
//  { 0x6A8B, "" },
//  { 0x6A8C, "" },
//  { 0x6A8D, "" },
//  { 0x6A8E, "" },
//  { 0x6A8F, "" },
//  { 0x6A90, "" },
//  { 0x6A91, "" },
//  { 0x6A92, "" },
//  { 0x6A93, "" },
//  { 0x6A94, "" },
//  { 0x6A95, "" },
//  { 0x6A96, "" },
//  { 0x6A97, "" },
//  { 0x6A98, "" },
//  { 0x6A99, "" },
//  { 0x6A9A, "" },
//  { 0x6A9B, "" },
//  { 0x6A9C, "" },
//  { 0x6A9D, "" },
//  { 0x6A9E, "" },
//  { 0x6A9F, "" },
//  { 0x6AA0, "" },
//  { 0x6AA1, "" },
//  { 0x6AA2, "" },
//  { 0x6AA3, "" },
//  { 0x6AA4, "" },
//  { 0x6AA5, "" },
//  { 0x6AA6, "" },
//  { 0x6AA7, "" },
//  { 0x6AA8, "" },
//  { 0x6AA9, "" },
//  { 0x6AAA, "" },
//  { 0x6AAB, "" },
//  { 0x6AAC, "" },
//  { 0x6AAD, "" },
//  { 0x6AAE, "" },
//  { 0x6AAF, "" },
//  { 0x6AB0, "" },
//  { 0x6AB1, "" },
//  { 0x6AB2, "" },
//  { 0x6AB3, "" },
//  { 0x6AB4, "" },
//  { 0x6AB5, "" },
//  { 0x6AB6, "" },
//  { 0x6AB7, "" },
//  { 0x6AB8, "" },
//  { 0x6AB9, "" },
//  { 0x6ABA, "" },
//  { 0x6ABB, "" },
//  { 0x6ABC, "" },
//  { 0x6ABD, "" },
//  { 0x6ABE, "" },
//  { 0x6ABF, "" },
//  { 0x6AC0, "" },
//  { 0x6AC1, "" },
//  { 0x6AC2, "" },
//  { 0x6AC3, "" },
//  { 0x6AC4, "" },
//  { 0x6AC5, "" },
//  { 0x6AC6, "" },
//  { 0x6AC7, "" },
//  { 0x6AC8, "" },
//  { 0x6AC9, "" },
//  { 0x6ACA, "" },
//  { 0x6ACB, "" },
//  { 0x6ACC, "" },
//  { 0x6ACD, "" },
//  { 0x6ACE, "" },
//  { 0x6ACF, "" },
//  { 0x6AD0, "" },
//  { 0x6AD1, "" },
//  { 0x6AD2, "" },
//  { 0x6AD3, "" },
//  { 0x6AD4, "" },
//  { 0x6AD5, "" },
//  { 0x6AD6, "" },
//  { 0x6AD7, "" },
//  { 0x6AD8, "" },
//  { 0x6AD9, "" },
//  { 0x6ADA, "" },
//  { 0x6ADB, "" },
//  { 0x6ADC, "" },
//  { 0x6ADD, "" },
//  { 0x6ADE, "" },
//  { 0x6ADF, "" },
//  { 0x6AE0, "" },
//  { 0x6AE1, "" },
//  { 0x6AE2, "" },
//  { 0x6AE3, "" },
//  { 0x6AE4, "" },
//  { 0x6AE5, "" },
//  { 0x6AE6, "" },
//  { 0x6AE7, "" },
//  { 0x6AE8, "" },
//  { 0x6AE9, "" },
//  { 0x6AEA, "" },
//  { 0x6AEB, "" },
//  { 0x6AEC, "" },
//  { 0x6AED, "" },
//  { 0x6AEE, "" },
//  { 0x6AEF, "" },
//  { 0x6AF0, "" },
//  { 0x6AF1, "" },
//  { 0x6AF2, "" },
//  { 0x6AF3, "" },
//  { 0x6AF4, "" },
//  { 0x6AF5, "" },
//  { 0x6AF6, "" },
//  { 0x6AF7, "" },
//  { 0x6AF8, "" },
//  { 0x6AF9, "" },
//  { 0x6AFA, "" },
//  { 0x6AFB, "" },
//  { 0x6AFC, "" },
//  { 0x6AFD, "" },
//  { 0x6AFE, "" },
//  { 0x6AFF, "" },
//  { 0x6B00, "" },
//  { 0x6B01, "" },
//  { 0x6B02, "" },
//  { 0x6B03, "" },
//  { 0x6B04, "" },
//  { 0x6B05, "" },
//  { 0x6B06, "" },
//  { 0x6B07, "" },
//  { 0x6B08, "" },
//  { 0x6B09, "" },
//  { 0x6B0A, "" },
//  { 0x6B0B, "" },
//  { 0x6B0C, "" },
//  { 0x6B0D, "" },
//  { 0x6B0E, "" },
//  { 0x6B0F, "" },
//  { 0x6B10, "" },
//  { 0x6B11, "" },
//  { 0x6B12, "" },
//  { 0x6B13, "" },
//  { 0x6B14, "" },
//  { 0x6B15, "" },
//  { 0x6B16, "" },
//  { 0x6B17, "" },
//  { 0x6B18, "" },
//  { 0x6B19, "" },
//  { 0x6B1A, "" },
//  { 0x6B1B, "" },
//  { 0x6B1C, "" },
//  { 0x6B1D, "" },
//  { 0x6B1E, "" },
//  { 0x6B1F, "" },
//  { 0x6B20, "" },
//  { 0x6B21, "" },
//  { 0x6B22, "" },
//  { 0x6B23, "" },
//  { 0x6B24, "" },
//  { 0x6B25, "" },
//  { 0x6B26, "" },
//  { 0x6B27, "" },
//  { 0x6B28, "" },
//  { 0x6B29, "" },
//  { 0x6B2A, "" },
//  { 0x6B2B, "" },
//  { 0x6B2C, "" },
//  { 0x6B2D, "" },
//  { 0x6B2E, "" },
//  { 0x6B2F, "" },
//  { 0x6B30, "" },
//  { 0x6B31, "" },
//  { 0x6B32, "" },
//  { 0x6B33, "" },
//  { 0x6B34, "" },
//  { 0x6B35, "" },
//  { 0x6B36, "" },
//  { 0x6B37, "" },
//  { 0x6B38, "" },
//  { 0x6B39, "" },
//  { 0x6B3A, "" },
//  { 0x6B3B, "" },
//  { 0x6B3C, "" },
//  { 0x6B3D, "" },
//  { 0x6B3E, "" },
//  { 0x6B3F, "" },
//  { 0x6B40, "" },
//  { 0x6B41, "" },
//  { 0x6B42, "" },
//  { 0x6B43, "" },
//  { 0x6B44, "" },
//  { 0x6B45, "" },
//  { 0x6B46, "" },
//  { 0x6B47, "" },
//  { 0x6B48, "" },
//  { 0x6B49, "" },
//  { 0x6B4A, "" },
//  { 0x6B4B, "" },
//  { 0x6B4C, "" },
//  { 0x6B4D, "" },
//  { 0x6B4E, "" },
//  { 0x6B4F, "" },
//  { 0x6B50, "" },
//  { 0x6B51, "" },
//  { 0x6B52, "" },
//  { 0x6B53, "" },
//  { 0x6B54, "" },
//  { 0x6B55, "" },
//  { 0x6B56, "" },
//  { 0x6B57, "" },
//  { 0x6B58, "" },
//  { 0x6B59, "" },
//  { 0x6B5A, "" },
//  { 0x6B5B, "" },
//  { 0x6B5C, "" },
//  { 0x6B5D, "" },
//  { 0x6B5E, "" },
//  { 0x6B5F, "" },
//  { 0x6B60, "" },
//  { 0x6B61, "" },
//  { 0x6B62, "" },
//  { 0x6B63, "" },
//  { 0x6B64, "" },
//  { 0x6B65, "" },
//  { 0x6B66, "" },
//  { 0x6B67, "" },
//  { 0x6B68, "" },
//  { 0x6B69, "" },
//  { 0x6B6A, "" },
//  { 0x6B6B, "" },
//  { 0x6B6C, "" },
//  { 0x6B6D, "" },
//  { 0x6B6E, "" },
//  { 0x6B6F, "" },
//  { 0x6B70, "" },
//  { 0x6B71, "" },
//  { 0x6B72, "" },
//  { 0x6B73, "" },
//  { 0x6B74, "" },
//  { 0x6B75, "" },
//  { 0x6B76, "" },
//  { 0x6B77, "" },
//  { 0x6B78, "" },
//  { 0x6B79, "" },
//  { 0x6B7A, "" },
//  { 0x6B7B, "" },
//  { 0x6B7C, "" },
//  { 0x6B7D, "" },
//  { 0x6B7E, "" },
//  { 0x6B7F, "" },
//  { 0x6B80, "" },
//  { 0x6B81, "" },
//  { 0x6B82, "" },
//  { 0x6B83, "" },
//  { 0x6B84, "" },
//  { 0x6B85, "" },
//  { 0x6B86, "" },
//  { 0x6B87, "" },
//  { 0x6B88, "" },
//  { 0x6B89, "" },
//  { 0x6B8A, "" },
//  { 0x6B8B, "" },
//  { 0x6B8C, "" },
//  { 0x6B8D, "" },
//  { 0x6B8E, "" },
//  { 0x6B8F, "" },
//  { 0x6B90, "" },
//  { 0x6B91, "" },
//  { 0x6B92, "" },
//  { 0x6B93, "" },
//  { 0x6B94, "" },
//  { 0x6B95, "" },
//  { 0x6B96, "" },
//  { 0x6B97, "" },
//  { 0x6B98, "" },
//  { 0x6B99, "" },
//  { 0x6B9A, "" },
//  { 0x6B9B, "" },
//  { 0x6B9C, "" },
//  { 0x6B9D, "" },
//  { 0x6B9E, "" },
//  { 0x6B9F, "" },
//  { 0x6BA0, "" },
//  { 0x6BA1, "" },
//  { 0x6BA2, "" },
//  { 0x6BA3, "" },
//  { 0x6BA4, "" },
//  { 0x6BA5, "" },
//  { 0x6BA6, "" },
//  { 0x6BA7, "" },
//  { 0x6BA8, "" },
//  { 0x6BA9, "" },
//  { 0x6BAA, "" },
//  { 0x6BAB, "" },
//  { 0x6BAC, "" },
//  { 0x6BAD, "" },
//  { 0x6BAE, "" },
//  { 0x6BAF, "" },
//  { 0x6BB0, "" },
//  { 0x6BB1, "" },
//  { 0x6BB2, "" },
//  { 0x6BB3, "" },
//  { 0x6BB4, "" },
//  { 0x6BB5, "" },
//  { 0x6BB6, "" },
//  { 0x6BB7, "" },
//  { 0x6BB8, "" },
//  { 0x6BB9, "" },
//  { 0x6BBA, "" },
//  { 0x6BBB, "" },
//  { 0x6BBC, "" },
//  { 0x6BBD, "" },
//  { 0x6BBE, "" },
//  { 0x6BBF, "" },
//  { 0x6BC0, "" },
//  { 0x6BC1, "" },
//  { 0x6BC2, "" },
//  { 0x6BC3, "" },
//  { 0x6BC4, "" },
//  { 0x6BC5, "" },
//  { 0x6BC6, "" },
//  { 0x6BC7, "" },
//  { 0x6BC8, "" },
//  { 0x6BC9, "" },
//  { 0x6BCA, "" },
//  { 0x6BCB, "" },
//  { 0x6BCC, "" },
//  { 0x6BCD, "" },
//  { 0x6BCE, "" },
//  { 0x6BCF, "" },
//  { 0x6BD0, "" },
//  { 0x6BD1, "" },
//  { 0x6BD2, "" },
//  { 0x6BD3, "" },
//  { 0x6BD4, "" },
//  { 0x6BD5, "" },
//  { 0x6BD6, "" },
//  { 0x6BD7, "" },
//  { 0x6BD8, "" },
//  { 0x6BD9, "" },
//  { 0x6BDA, "" },
//  { 0x6BDB, "" },
//  { 0x6BDC, "" },
//  { 0x6BDD, "" },
//  { 0x6BDE, "" },
//  { 0x6BDF, "" },
//  { 0x6BE0, "" },
//  { 0x6BE1, "" },
//  { 0x6BE2, "" },
//  { 0x6BE3, "" },
//  { 0x6BE4, "" },
//  { 0x6BE5, "" },
//  { 0x6BE6, "" },
//  { 0x6BE7, "" },
//  { 0x6BE8, "" },
//  { 0x6BE9, "" },
//  { 0x6BEA, "" },
//  { 0x6BEB, "" },
//  { 0x6BEC, "" },
//  { 0x6BED, "" },
//  { 0x6BEE, "" },
//  { 0x6BEF, "" },
//  { 0x6BF0, "" },
//  { 0x6BF1, "" },
//  { 0x6BF2, "" },
//  { 0x6BF3, "" },
//  { 0x6BF4, "" },
//  { 0x6BF5, "" },
//  { 0x6BF6, "" },
//  { 0x6BF7, "" },
//  { 0x6BF8, "" },
//  { 0x6BF9, "" },
//  { 0x6BFA, "" },
//  { 0x6BFB, "" },
//  { 0x6BFC, "" },
//  { 0x6BFD, "" },
//  { 0x6BFE, "" },
//  { 0x6BFF, "" },
//  { 0x6C00, "" },
//  { 0x6C01, "" },
//  { 0x6C02, "" },
//  { 0x6C03, "" },
//  { 0x6C04, "" },
//  { 0x6C05, "" },
//  { 0x6C06, "" },
//  { 0x6C07, "" },
//  { 0x6C08, "" },
//  { 0x6C09, "" },
//  { 0x6C0A, "" },
//  { 0x6C0B, "" },
//  { 0x6C0C, "" },
//  { 0x6C0D, "" },
//  { 0x6C0E, "" },
//  { 0x6C0F, "" },
//  { 0x6C10, "" },
//  { 0x6C11, "" },
//  { 0x6C12, "" },
//  { 0x6C13, "" },
//  { 0x6C14, "" },
//  { 0x6C15, "" },
//  { 0x6C16, "" },
//  { 0x6C17, "" },
//  { 0x6C18, "" },
//  { 0x6C19, "" },
//  { 0x6C1A, "" },
//  { 0x6C1B, "" },
//  { 0x6C1C, "" },
//  { 0x6C1D, "" },
//  { 0x6C1E, "" },
//  { 0x6C1F, "" },
//  { 0x6C20, "" },
//  { 0x6C21, "" },
//  { 0x6C22, "" },
//  { 0x6C23, "" },
//  { 0x6C24, "" },
//  { 0x6C25, "" },
//  { 0x6C26, "" },
//  { 0x6C27, "" },
//  { 0x6C28, "" },
//  { 0x6C29, "" },
//  { 0x6C2A, "" },
//  { 0x6C2B, "" },
//  { 0x6C2C, "" },
//  { 0x6C2D, "" },
//  { 0x6C2E, "" },
//  { 0x6C2F, "" },
//  { 0x6C30, "" },
//  { 0x6C31, "" },
//  { 0x6C32, "" },
//  { 0x6C33, "" },
//  { 0x6C34, "" },
//  { 0x6C35, "" },
//  { 0x6C36, "" },
//  { 0x6C37, "" },
//  { 0x6C38, "" },
//  { 0x6C39, "" },
//  { 0x6C3A, "" },
//  { 0x6C3B, "" },
//  { 0x6C3C, "" },
//  { 0x6C3D, "" },
//  { 0x6C3E, "" },
//  { 0x6C3F, "" },
//  { 0x6C40, "" },
//  { 0x6C41, "" },
//  { 0x6C42, "" },
//  { 0x6C43, "" },
//  { 0x6C44, "" },
//  { 0x6C45, "" },
//  { 0x6C46, "" },
//  { 0x6C47, "" },
//  { 0x6C48, "" },
//  { 0x6C49, "" },
//  { 0x6C4A, "" },
//  { 0x6C4B, "" },
//  { 0x6C4C, "" },
//  { 0x6C4D, "" },
//  { 0x6C4E, "" },
//  { 0x6C4F, "" },
//  { 0x6C50, "" },
//  { 0x6C51, "" },
//  { 0x6C52, "" },
//  { 0x6C53, "" },
//  { 0x6C54, "" },
//  { 0x6C55, "" },
//  { 0x6C56, "" },
//  { 0x6C57, "" },
//  { 0x6C58, "" },
//  { 0x6C59, "" },
//  { 0x6C5A, "" },
//  { 0x6C5B, "" },
//  { 0x6C5C, "" },
//  { 0x6C5D, "" },
//  { 0x6C5E, "" },
//  { 0x6C5F, "" },
//  { 0x6C60, "" },
//  { 0x6C61, "" },
//  { 0x6C62, "" },
//  { 0x6C63, "" },
//  { 0x6C64, "" },
//  { 0x6C65, "" },
//  { 0x6C66, "" },
//  { 0x6C67, "" },
//  { 0x6C68, "" },
//  { 0x6C69, "" },
//  { 0x6C6A, "" },
//  { 0x6C6B, "" },
//  { 0x6C6C, "" },
//  { 0x6C6D, "" },
//  { 0x6C6E, "" },
//  { 0x6C6F, "" },
//  { 0x6C70, "" },
//  { 0x6C71, "" },
//  { 0x6C72, "" },
//  { 0x6C73, "" },
//  { 0x6C74, "" },
//  { 0x6C75, "" },
//  { 0x6C76, "" },
//  { 0x6C77, "" },
//  { 0x6C78, "" },
//  { 0x6C79, "" },
//  { 0x6C7A, "" },
//  { 0x6C7B, "" },
//  { 0x6C7C, "" },
//  { 0x6C7D, "" },
//  { 0x6C7E, "" },
//  { 0x6C7F, "" },
//  { 0x6C80, "" },
//  { 0x6C81, "" },
//  { 0x6C82, "" },
//  { 0x6C83, "" },
//  { 0x6C84, "" },
//  { 0x6C85, "" },
//  { 0x6C86, "" },
//  { 0x6C87, "" },
//  { 0x6C88, "" },
    { 0x6C89, "hint_binding_map" },
//  { 0x6C8A, "" },
//  { 0x6C8B, "" },
//  { 0x6C8C, "" },
//  { 0x6C8D, "" },
//  { 0x6C8E, "" },
//  { 0x6C8F, "" },
//  { 0x6C90, "" },
//  { 0x6C91, "" },
//  { 0x6C92, "" },
//  { 0x6C93, "" },
//  { 0x6C94, "" },
//  { 0x6C95, "" },
//  { 0x6C96, "" },
//  { 0x6C97, "" },
//  { 0x6C98, "" },
//  { 0x6C99, "" },
//  { 0x6C9A, "" },
//  { 0x6C9B, "" },
//  { 0x6C9C, "" },
//  { 0x6C9D, "" },
//  { 0x6C9E, "" },
//  { 0x6C9F, "" },
//  { 0x6CA0, "" },
//  { 0x6CA1, "" },
//  { 0x6CA2, "" },
//  { 0x6CA3, "" },
//  { 0x6CA4, "" },
//  { 0x6CA5, "" },
//  { 0x6CA6, "" },
//  { 0x6CA7, "" },
//  { 0x6CA8, "" },
//  { 0x6CA9, "" },
//  { 0x6CAA, "" },
//  { 0x6CAB, "" },
//  { 0x6CAC, "" },
//  { 0x6CAD, "" },
//  { 0x6CAE, "" },
//  { 0x6CAF, "" },
//  { 0x6CB0, "" },
//  { 0x6CB1, "" },
//  { 0x6CB2, "" },
//  { 0x6CB3, "" },
//  { 0x6CB4, "" },
//  { 0x6CB5, "" },
//  { 0x6CB6, "" },
//  { 0x6CB7, "" },
//  { 0x6CB8, "" },
//  { 0x6CB9, "" },
//  { 0x6CBA, "" },
//  { 0x6CBB, "" },
//  { 0x6CBC, "" },
//  { 0x6CBD, "" },
//  { 0x6CBE, "" },
//  { 0x6CBF, "" },
//  { 0x6CC0, "" },
//  { 0x6CC1, "" },
//  { 0x6CC2, "" },
//  { 0x6CC3, "" },
//  { 0x6CC4, "" },
//  { 0x6CC5, "" },
//  { 0x6CC6, "" },
//  { 0x6CC7, "" },
//  { 0x6CC8, "" },
//  { 0x6CC9, "" },
//  { 0x6CCA, "" },
//  { 0x6CCB, "" },
//  { 0x6CCC, "" },
//  { 0x6CCD, "" },
//  { 0x6CCE, "" },
//  { 0x6CCF, "" },
//  { 0x6CD0, "" },
//  { 0x6CD1, "" },
//  { 0x6CD2, "" },
//  { 0x6CD3, "" },
//  { 0x6CD4, "" },
//  { 0x6CD5, "" },
//  { 0x6CD6, "" },
//  { 0x6CD7, "" },
//  { 0x6CD8, "" },
//  { 0x6CD9, "" },
//  { 0x6CDA, "" },
//  { 0x6CDB, "" },
//  { 0x6CDC, "" },
//  { 0x6CDD, "" },
//  { 0x6CDE, "" },
//  { 0x6CDF, "" },
//  { 0x6CE0, "" },
//  { 0x6CE1, "" },
//  { 0x6CE2, "" },
//  { 0x6CE3, "" },
//  { 0x6CE4, "" },
//  { 0x6CE5, "" },
//  { 0x6CE6, "" },
//  { 0x6CE7, "" },
//  { 0x6CE8, "" },
//  { 0x6CE9, "" },
//  { 0x6CEA, "" },
//  { 0x6CEB, "" },
//  { 0x6CEC, "" },
//  { 0x6CED, "" },
//  { 0x6CEE, "" },
//  { 0x6CEF, "" },
//  { 0x6CF0, "" },
//  { 0x6CF1, "" },
//  { 0x6CF2, "" },
//  { 0x6CF3, "" },
//  { 0x6CF4, "" },
//  { 0x6CF5, "" },
//  { 0x6CF6, "" },
//  { 0x6CF7, "" },
//  { 0x6CF8, "" },
//  { 0x6CF9, "" },
//  { 0x6CFA, "" },
//  { 0x6CFB, "" },
//  { 0x6CFC, "" },
//  { 0x6CFD, "" },
//  { 0x6CFE, "" },
//  { 0x6CFF, "" },
//  { 0x6D00, "" },
//  { 0x6D01, "" },
//  { 0x6D02, "" },
//  { 0x6D03, "" },
//  { 0x6D04, "" },
//  { 0x6D05, "" },
//  { 0x6D06, "" },
//  { 0x6D07, "" },
//  { 0x6D08, "" },
//  { 0x6D09, "" },
//  { 0x6D0A, "" },
//  { 0x6D0B, "" },
//  { 0x6D0C, "" },
//  { 0x6D0D, "" },
//  { 0x6D0E, "" },
//  { 0x6D0F, "" },
//  { 0x6D10, "" },
//  { 0x6D11, "" },
//  { 0x6D12, "" },
//  { 0x6D13, "" },
//  { 0x6D14, "" },
//  { 0x6D15, "" },
//  { 0x6D16, "" },
//  { 0x6D17, "" },
//  { 0x6D18, "" },
//  { 0x6D19, "" },
//  { 0x6D1A, "" },
//  { 0x6D1B, "" },
//  { 0x6D1C, "" },
//  { 0x6D1D, "" },
//  { 0x6D1E, "" },
//  { 0x6D1F, "" },
//  { 0x6D20, "" },
//  { 0x6D21, "" },
//  { 0x6D22, "" },
//  { 0x6D23, "" },
//  { 0x6D24, "" },
//  { 0x6D25, "" },
//  { 0x6D26, "" },
//  { 0x6D27, "" },
//  { 0x6D28, "" },
//  { 0x6D29, "" },
//  { 0x6D2A, "" },
//  { 0x6D2B, "" },
//  { 0x6D2C, "" },
//  { 0x6D2D, "" },
//  { 0x6D2E, "" },
//  { 0x6D2F, "" },
//  { 0x6D30, "" },
//  { 0x6D31, "" },
//  { 0x6D32, "" },
//  { 0x6D33, "" },
//  { 0x6D34, "" },
//  { 0x6D35, "" },
//  { 0x6D36, "" },
//  { 0x6D37, "" },
//  { 0x6D38, "" },
//  { 0x6D39, "" },
//  { 0x6D3A, "" },
//  { 0x6D3B, "" },
//  { 0x6D3C, "" },
//  { 0x6D3D, "" },
//  { 0x6D3E, "" },
//  { 0x6D3F, "" },
//  { 0x6D40, "" },
//  { 0x6D41, "" },
//  { 0x6D42, "" },
//  { 0x6D43, "" },
//  { 0x6D44, "" },
//  { 0x6D45, "" },
//  { 0x6D46, "" },
//  { 0x6D47, "" },
//  { 0x6D48, "" },
//  { 0x6D49, "" },
//  { 0x6D4A, "" },
//  { 0x6D4B, "" },
//  { 0x6D4C, "" },
//  { 0x6D4D, "" },
//  { 0x6D4E, "" },
//  { 0x6D4F, "" },
//  { 0x6D50, "" },
//  { 0x6D51, "" },
//  { 0x6D52, "" },
//  { 0x6D53, "" },
//  { 0x6D54, "" },
//  { 0x6D55, "" },
//  { 0x6D56, "" },
//  { 0x6D57, "" },
//  { 0x6D58, "" },
//  { 0x6D59, "" },
//  { 0x6D5A, "" },
//  { 0x6D5B, "" },
//  { 0x6D5C, "" },
//  { 0x6D5D, "" },
//  { 0x6D5E, "" },
//  { 0x6D5F, "" },
//  { 0x6D60, "" },
//  { 0x6D61, "" },
//  { 0x6D62, "" },
//  { 0x6D63, "" },
//  { 0x6D64, "" },
//  { 0x6D65, "" },
//  { 0x6D66, "" },
//  { 0x6D67, "" },
//  { 0x6D68, "" },
//  { 0x6D69, "" },
//  { 0x6D6A, "" },
//  { 0x6D6B, "" },
//  { 0x6D6C, "" },
//  { 0x6D6D, "" },
//  { 0x6D6E, "" },
//  { 0x6D6F, "" },
//  { 0x6D70, "" },
//  { 0x6D71, "" },
//  { 0x6D72, "" },
//  { 0x6D73, "" },
//  { 0x6D74, "" },
//  { 0x6D75, "" },
//  { 0x6D76, "" },
//  { 0x6D77, "" },
//  { 0x6D78, "" },
//  { 0x6D79, "" },
//  { 0x6D7A, "" },
   { 0x6D7B, "maps/_weapon_mortar60mm" },
//  { 0x6D7C, "" },
//  { 0x6D7D, "" },
//  { 0x6D7E, "" },
//  { 0x6D7F, "" },
//  { 0x6D80, "" },
//  { 0x6D81, "" },
//  { 0x6D82, "" },
//  { 0x6D83, "" },
//  { 0x6D84, "" },
//  { 0x6D85, "" },
//  { 0x6D86, "" },
//  { 0x6D87, "" },
//  { 0x6D88, "" },
//  { 0x6D89, "" },
//  { 0x6D8A, "" },
//  { 0x6D8B, "" },
//  { 0x6D8C, "" },
//  { 0x6D8D, "" },
//  { 0x6D8E, "" },
//  { 0x6D8F, "" },
//  { 0x6D90, "" },
//  { 0x6D91, "" },
//  { 0x6D92, "" },
//  { 0x6D93, "" },
//  { 0x6D94, "" },
//  { 0x6D95, "" },
//  { 0x6D96, "" },
//  { 0x6D97, "" },
//  { 0x6D98, "" },
//  { 0x6D99, "" },
//  { 0x6D9A, "" },
//  { 0x6D9B, "" },
//  { 0x6D9C, "" },
//  { 0x6D9D, "" },
//  { 0x6D9E, "" },
//  { 0x6D9F, "" },
//  { 0x6DA0, "" },
//  { 0x6DA1, "" },
//  { 0x6DA2, "" },
//  { 0x6DA3, "" },
//  { 0x6DA4, "" },
//  { 0x6DA5, "" },
//  { 0x6DA6, "" },
//  { 0x6DA7, "" },
//  { 0x6DA8, "" },
//  { 0x6DA9, "" },
//  { 0x6DAA, "" },
//  { 0x6DAB, "" },
//  { 0x6DAC, "" },
//  { 0x6DAD, "" },
//  { 0x6DAE, "" },
//  { 0x6DAF, "" },
//  { 0x6DB0, "" },
//  { 0x6DB1, "" },
//  { 0x6DB2, "" },
//  { 0x6DB3, "" },
//  { 0x6DB4, "" },
//  { 0x6DB5, "" },
//  { 0x6DB6, "" },
//  { 0x6DB7, "" },
//  { 0x6DB8, "" },
//  { 0x6DB9, "" },
//  { 0x6DBA, "" },
//  { 0x6DBB, "" },
//  { 0x6DBC, "" },
//  { 0x6DBD, "" },
//  { 0x6DBE, "" },
//  { 0x6DBF, "" },
//  { 0x6DC0, "" },
//  { 0x6DC1, "" },
//  { 0x6DC2, "" },
//  { 0x6DC3, "" },
//  { 0x6DC4, "" },
//  { 0x6DC5, "" },
//  { 0x6DC6, "" },
//  { 0x6DC7, "" },
//  { 0x6DC8, "" },
//  { 0x6DC9, "" },
//  { 0x6DCA, "" },
//  { 0x6DCB, "" },
//  { 0x6DCC, "" },
//  { 0x6DCD, "" },
//  { 0x6DCE, "" },
//  { 0x6DCF, "" },
//  { 0x6DD0, "" },
//  { 0x6DD1, "" },
//  { 0x6DD2, "" },
//  { 0x6DD3, "" },
//  { 0x6DD4, "" },
//  { 0x6DD5, "" },
//  { 0x6DD6, "" },
//  { 0x6DD7, "" },
//  { 0x6DD8, "" },
//  { 0x6DD9, "" },
//  { 0x6DDA, "" },
//  { 0x6DDB, "" },
//  { 0x6DDC, "" },
//  { 0x6DDD, "" },
//  { 0x6DDE, "" },
//  { 0x6DDF, "" },
//  { 0x6DE0, "" },
//  { 0x6DE1, "" },
//  { 0x6DE2, "" },
//  { 0x6DE3, "" },
//  { 0x6DE4, "" },
//  { 0x6DE5, "" },
//  { 0x6DE6, "" },
//  { 0x6DE7, "" },
//  { 0x6DE8, "" },
//  { 0x6DE9, "" },
//  { 0x6DEA, "" },
//  { 0x6DEB, "" },
//  { 0x6DEC, "" },
//  { 0x6DED, "" },
//  { 0x6DEE, "" },
//  { 0x6DEF, "" },
//  { 0x6DF0, "" },
//  { 0x6DF1, "" },
//  { 0x6DF2, "" },
//  { 0x6DF3, "" },
//  { 0x6DF4, "" },
//  { 0x6DF5, "" },
//  { 0x6DF6, "" },
//  { 0x6DF7, "" },
//  { 0x6DF8, "" },
//  { 0x6DF9, "" },
//  { 0x6DFA, "" },
//  { 0x6DFB, "" },
//  { 0x6DFC, "" },
//  { 0x6DFD, "" },
//  { 0x6DFE, "" },
//  { 0x6DFF, "" },
//  { 0x6E00, "" },
//  { 0x6E01, "" },
//  { 0x6E02, "" },
//  { 0x6E03, "" },
//  { 0x6E04, "" },
//  { 0x6E05, "" },
//  { 0x6E06, "" },
//  { 0x6E07, "" },
//  { 0x6E08, "" },
//  { 0x6E09, "" },
//  { 0x6E0A, "" },
//  { 0x6E0B, "" },
//  { 0x6E0C, "" },
//  { 0x6E0D, "" },
//  { 0x6E0E, "" },
//  { 0x6E0F, "" },
//  { 0x6E10, "" },
//  { 0x6E11, "" },
//  { 0x6E12, "" },
//  { 0x6E13, "" },
//  { 0x6E14, "" },
//  { 0x6E15, "" },
//  { 0x6E16, "" },
//  { 0x6E17, "" },
//  { 0x6E18, "" },
//  { 0x6E19, "" },
//  { 0x6E1A, "" },
//  { 0x6E1B, "" },
//  { 0x6E1C, "" },
//  { 0x6E1D, "" },
//  { 0x6E1E, "" },
//  { 0x6E1F, "" },
//  { 0x6E20, "" },
//  { 0x6E21, "" },
//  { 0x6E22, "" },
//  { 0x6E23, "" },
//  { 0x6E24, "" },
//  { 0x6E25, "" },
//  { 0x6E26, "" },
//  { 0x6E27, "" },
//  { 0x6E28, "" },
//  { 0x6E29, "" },
//  { 0x6E2A, "" },
//  { 0x6E2B, "" },
//  { 0x6E2C, "" },
    { 0x6E2D, "confrontation_weapon" },
//  { 0x6E2E, "" },
//  { 0x6E2F, "" },
//  { 0x6E30, "" },
//  { 0x6E31, "" },
//  { 0x6E32, "" },
//  { 0x6E33, "" },
//  { 0x6E34, "" },
//  { 0x6E35, "" },
//  { 0x6E36, "" },
//  { 0x6E37, "" },
//  { 0x6E38, "" },
//  { 0x6E39, "" },
//  { 0x6E3A, "" },
//  { 0x6E3B, "" },
//  { 0x6E3C, "" },
//  { 0x6E3D, "" },
//  { 0x6E3E, "" },
//  { 0x6E3F, "" },
//  { 0x6E40, "" },
//  { 0x6E41, "" },
//  { 0x6E42, "" },
//  { 0x6E43, "" },
//  { 0x6E44, "" },
//  { 0x6E45, "" },
//  { 0x6E46, "" },
//  { 0x6E47, "" },
//  { 0x6E48, "" },
//  { 0x6E49, "" },
//  { 0x6E4A, "" },
//  { 0x6E4B, "" },
//  { 0x6E4C, "" },
//  { 0x6E4D, "" },
//  { 0x6E4E, "" },
//  { 0x6E4F, "" },
//  { 0x6E50, "" },
//  { 0x6E51, "" },
//  { 0x6E52, "" },
//  { 0x6E53, "" },
//  { 0x6E54, "" },
//  { 0x6E55, "" },
//  { 0x6E56, "" },
//  { 0x6E57, "" },
//  { 0x6E58, "" },
//  { 0x6E59, "" },
//  { 0x6E5A, "" },
//  { 0x6E5B, "" },
//  { 0x6E5C, "" },
//  { 0x6E5D, "" },
//  { 0x6E5E, "" },
//  { 0x6E5F, "" },
//  { 0x6E60, "" },
//  { 0x6E61, "" },
//  { 0x6E62, "" },
//  { 0x6E63, "" },
//  { 0x6E64, "" },
//  { 0x6E65, "" },
    { 0x6E66, "maps/createart/warlord_art" },
//  { 0x6E67, "" },
//  { 0x6E68, "" },
//  { 0x6E69, "" },
//  { 0x6E6A, "" },
//  { 0x6E6B, "" },
//  { 0x6E6C, "" },
//  { 0x6E6D, "" },
//  { 0x6E6E, "" },
//  { 0x6E6F, "" },
//  { 0x6E70, "" },
//  { 0x6E71, "" },
//  { 0x6E72, "" },
//  { 0x6E73, "" },
//  { 0x6E74, "" },
//  { 0x6E75, "" },
//  { 0x6E76, "" },
//  { 0x6E77, "" },
//  { 0x6E78, "" },
//  { 0x6E79, "" },
//  { 0x6E7A, "" },
//  { 0x6E7B, "" },
//  { 0x6E7C, "" },
//  { 0x6E7D, "" },
//  { 0x6E7E, "" },
//  { 0x6E7F, "" },
//  { 0x6E80, "" },
//  { 0x6E81, "" },
//  { 0x6E82, "" },
//  { 0x6E83, "" },
//  { 0x6E84, "" },
//  { 0x6E85, "" },
//  { 0x6E86, "" },
//  { 0x6E87, "" },
//  { 0x6E88, "" },
//  { 0x6E89, "" },
//  { 0x6E8A, "" },
//  { 0x6E8B, "" },
//  { 0x6E8C, "" },
//  { 0x6E8D, "" },
//  { 0x6E8E, "" },
//  { 0x6E8F, "" },
//  { 0x6E90, "" },
//  { 0x6E91, "" },
//  { 0x6E92, "" },
//  { 0x6E93, "" },
//  { 0x6E94, "" },
//  { 0x6E95, "" },
//  { 0x6E96, "" },
//  { 0x6E97, "" },
//  { 0x6E98, "" },
//  { 0x6E99, "" },
//  { 0x6E9A, "" },
//  { 0x6E9B, "" },
//  { 0x6E9C, "" },
//  { 0x6E9D, "" },
//  { 0x6E9E, "" },
//  { 0x6E9F, "" },
//  { 0x6EA0, "" },
//  { 0x6EA1, "" },
//  { 0x6EA2, "" },
//  { 0x6EA3, "" },
//  { 0x6EA4, "" },
//  { 0x6EA5, "" },
//  { 0x6EA6, "" },
//  { 0x6EA7, "" },
//  { 0x6EA8, "" },
//  { 0x6EA9, "" },
//  { 0x6EAA, "" },
//  { 0x6EAB, "" },
//  { 0x6EAC, "" },
//  { 0x6EAD, "" },
//  { 0x6EAE, "" },
//  { 0x6EAF, "" },
//  { 0x6EB0, "" },
//  { 0x6EB1, "" },
//  { 0x6EB2, "" },
//  { 0x6EB3, "" },
//  { 0x6EB4, "" },
//  { 0x6EB5, "" },
//  { 0x6EB6, "" },
//  { 0x6EB7, "" },
//  { 0x6EB8, "" },
//  { 0x6EB9, "" },
//  { 0x6EBA, "" },
//  { 0x6EBB, "" },
//  { 0x6EBC, "" },
//  { 0x6EBD, "" },
//  { 0x6EBE, "" },
//  { 0x6EBF, "" },
//  { 0x6EC0, "" },
//  { 0x6EC1, "" },
//  { 0x6EC2, "" },
//  { 0x6EC3, "" },
//  { 0x6EC4, "" },
//  { 0x6EC5, "" },
//  { 0x6EC6, "" },
//  { 0x6EC7, "" },
//  { 0x6EC8, "" },
//  { 0x6EC9, "" },
//  { 0x6ECA, "" },
//  { 0x6ECB, "" },
//  { 0x6ECC, "" },
//  { 0x6ECD, "" },
//  { 0x6ECE, "" },
//  { 0x6ECF, "" },
//  { 0x6ED0, "" },
//  { 0x6ED1, "" },
//  { 0x6ED2, "" },
//  { 0x6ED3, "" },
//  { 0x6ED4, "" },
//  { 0x6ED5, "" },
//  { 0x6ED6, "" },
//  { 0x6ED7, "" },
//  { 0x6ED8, "" },
//  { 0x6ED9, "" },
//  { 0x6EDA, "" },
//  { 0x6EDB, "" },
//  { 0x6EDC, "" },
//  { 0x6EDD, "" },
//  { 0x6EDE, "" },
//  { 0x6EDF, "" },
//  { 0x6EE0, "" },
//  { 0x6EE1, "" },
//  { 0x6EE2, "" },
//  { 0x6EE3, "" },
//  { 0x6EE4, "" },
//  { 0x6EE5, "" },
//  { 0x6EE6, "" },
//  { 0x6EE7, "" },
//  { 0x6EE8, "" },
//  { 0x6EE9, "" },
//  { 0x6EEA, "" },
//  { 0x6EEB, "" },
//  { 0x6EEC, "" },
//  { 0x6EED, "" },
//  { 0x6EEE, "" },
//  { 0x6EEF, "" },
//  { 0x6EF0, "" },
//  { 0x6EF1, "" },
//  { 0x6EF2, "" },
//  { 0x6EF3, "" },
//  { 0x6EF4, "" },
//  { 0x6EF5, "" },
//  { 0x6EF6, "" },
//  { 0x6EF7, "" },
//  { 0x6EF8, "" },
//  { 0x6EF9, "" },
//  { 0x6EFA, "" },
//  { 0x6EFB, "" },
//  { 0x6EFC, "" },
//  { 0x6EFD, "" },
//  { 0x6EFE, "" },
//  { 0x6EFF, "" },
//  { 0x6F00, "" },
//  { 0x6F01, "" },
//  { 0x6F02, "" },
//  { 0x6F03, "" },
//  { 0x6F04, "" },
//  { 0x6F05, "" },
//  { 0x6F06, "" },
//  { 0x6F07, "" },
//  { 0x6F08, "" },
//  { 0x6F09, "" },
//  { 0x6F0A, "" },
//  { 0x6F0B, "" },
//  { 0x6F0C, "" },
//  { 0x6F0D, "" },
//  { 0x6F0E, "" },
//  { 0x6F0F, "" },
//  { 0x6F10, "" },
//  { 0x6F11, "" },
//  { 0x6F12, "" },
//  { 0x6F13, "" },
//  { 0x6F14, "" },
//  { 0x6F15, "" },
//  { 0x6F16, "" },
//  { 0x6F17, "" },
//  { 0x6F18, "" },
//  { 0x6F19, "" },
//  { 0x6F1A, "" },
//  { 0x6F1B, "" },
//  { 0x6F1C, "" },
//  { 0x6F1D, "" },
//  { 0x6F1E, "" },
//  { 0x6F1F, "" },
//  { 0x6F20, "" },
//  { 0x6F21, "" },
//  { 0x6F22, "" },
//  { 0x6F23, "" },
//  { 0x6F24, "" },
//  { 0x6F25, "" },
//  { 0x6F26, "" },
//  { 0x6F27, "" },
//  { 0x6F28, "" },
//  { 0x6F29, "" },
//  { 0x6F2A, "" },
//  { 0x6F2B, "" },
//  { 0x6F2C, "" },
//  { 0x6F2D, "" },
//  { 0x6F2E, "" },
//  { 0x6F2F, "" },
//  { 0x6F30, "" },
//  { 0x6F31, "" },
//  { 0x6F32, "" },
//  { 0x6F33, "" },
//  { 0x6F34, "" },
//  { 0x6F35, "" },
//  { 0x6F36, "" },
//  { 0x6F37, "" },
//  { 0x6F38, "" },
//  { 0x6F39, "" },
//  { 0x6F3A, "" },
//  { 0x6F3B, "" },
//  { 0x6F3C, "" },
//  { 0x6F3D, "" },
//  { 0x6F3E, "" },
//  { 0x6F3F, "" },
//  { 0x6F40, "" },
//  { 0x6F41, "" },
//  { 0x6F42, "" },
//  { 0x6F43, "" },
//  { 0x6F44, "" },
//  { 0x6F45, "" },
//  { 0x6F46, "" },
//  { 0x6F47, "" },
//  { 0x6F48, "" },
//  { 0x6F49, "" },
//  { 0x6F4A, "" },
//  { 0x6F4B, "" },
//  { 0x6F4C, "" },
//  { 0x6F4D, "" },
//  { 0x6F4E, "" },
//  { 0x6F4F, "" },
//  { 0x6F50, "" },
//  { 0x6F51, "" },
//  { 0x6F52, "" },
//  { 0x6F53, "" },
//  { 0x6F54, "" },
//  { 0x6F55, "" },
//  { 0x6F56, "" },
//  { 0x6F57, "" },
//  { 0x6F58, "" },
//  { 0x6F59, "" },
//  { 0x6F5A, "" },
//  { 0x6F5B, "" },
//  { 0x6F5C, "" },
//  { 0x6F5D, "" },
//  { 0x6F5E, "" },
//  { 0x6F5F, "" },
//  { 0x6F60, "" },
//  { 0x6F61, "" },
//  { 0x6F62, "" },
//  { 0x6F63, "" },
//  { 0x6F64, "" },
//  { 0x6F65, "" },
//  { 0x6F66, "" },
//  { 0x6F67, "" },
//  { 0x6F68, "" },
//  { 0x6F69, "" },
//  { 0x6F6A, "" },
//  { 0x6F6B, "" },
//  { 0x6F6C, "" },
//  { 0x6F6D, "" },
//  { 0x6F6E, "" },
//  { 0x6F6F, "" },
//  { 0x6F70, "" },
//  { 0x6F71, "" },
//  { 0x6F72, "" },
//  { 0x6F73, "" },
//  { 0x6F74, "" },
//  { 0x6F75, "" },
//  { 0x6F76, "" },
//  { 0x6F77, "" },
//  { 0x6F78, "" },
//  { 0x6F79, "" },
//  { 0x6F7A, "" },
//  { 0x6F7B, "" },
//  { 0x6F7C, "" },
//  { 0x6F7D, "" },
//  { 0x6F7E, "" },
//  { 0x6F7F, "" },
//  { 0x6F80, "" },
//  { 0x6F81, "" },
//  { 0x6F82, "" },
//  { 0x6F83, "" },
//  { 0x6F84, "" },
//  { 0x6F85, "" },
//  { 0x6F86, "" },
//  { 0x6F87, "" },
//  { 0x6F88, "" },
//  { 0x6F89, "" },
//  { 0x6F8A, "" },
//  { 0x6F8B, "" },
//  { 0x6F8C, "" },
//  { 0x6F8D, "" },
//  { 0x6F8E, "" },
//  { 0x6F8F, "" },
//  { 0x6F90, "" },
//  { 0x6F91, "" },
//  { 0x6F92, "" },
//  { 0x6F93, "" },
//  { 0x6F94, "" },
//  { 0x6F95, "" },
//  { 0x6F96, "" },
//  { 0x6F97, "" },
//  { 0x6F98, "" },
//  { 0x6F99, "" },
//  { 0x6F9A, "" },
//  { 0x6F9B, "" },
//  { 0x6F9C, "" },
//  { 0x6F9D, "" },
//  { 0x6F9E, "" },
//  { 0x6F9F, "" },
//  { 0x6FA0, "" },
//  { 0x6FA1, "" },
//  { 0x6FA2, "" },
//  { 0x6FA3, "" },
//  { 0x6FA4, "" },
//  { 0x6FA5, "" },
//  { 0x6FA6, "" },
//  { 0x6FA7, "" },
//  { 0x6FA8, "" },
//  { 0x6FA9, "" },
//  { 0x6FAA, "" },
//  { 0x6FAB, "" },
//  { 0x6FAC, "" },
//  { 0x6FAD, "" },
//  { 0x6FAE, "" },
//  { 0x6FAF, "" },
//  { 0x6FB0, "" },
//  { 0x6FB1, "" },
//  { 0x6FB2, "" },
//  { 0x6FB3, "" },
//  { 0x6FB4, "" },
//  { 0x6FB5, "" },
//  { 0x6FB6, "" },
//  { 0x6FB7, "" },
//  { 0x6FB8, "" },
//  { 0x6FB9, "" },
//  { 0x6FBA, "" },
//  { 0x6FBB, "" },
//  { 0x6FBC, "" },
//  { 0x6FBD, "" },
//  { 0x6FBE, "" },
//  { 0x6FBF, "" },
//  { 0x6FC0, "" },
//  { 0x6FC1, "" },
//  { 0x6FC2, "" },
//  { 0x6FC3, "" },
//  { 0x6FC4, "" },
//  { 0x6FC5, "" },
//  { 0x6FC6, "" },
//  { 0x6FC7, "" },
//  { 0x6FC8, "" },
    { 0x6FC9, "heroes" },
//  { 0x6FCA, "" },
    { 0x6FCB, "setup_friendly_spawner" },
//  { 0x6FCC, "" },
//  { 0x6FCD, "" },
//  { 0x6FCE, "" },
//  { 0x6FCF, "" },
//  { 0x6FD0, "" },
//  { 0x6FD1, "" },
//  { 0x6FD2, "" },
//  { 0x6FD3, "" },
//  { 0x6FD4, "" },
//  { 0x6FD5, "" },
//  { 0x6FD6, "" },
//  { 0x6FD7, "" },
//  { 0x6FD8, "" },
//  { 0x6FD9, "" },
//  { 0x6FDA, "" },
//  { 0x6FDB, "" },
//  { 0x6FDC, "" },
//  { 0x6FDD, "" },
//  { 0x6FDE, "" },
//  { 0x6FDF, "" },
//  { 0x6FE0, "" },
//  { 0x6FE1, "" },
//  { 0x6FE2, "" },
//  { 0x6FE3, "" },
//  { 0x6FE4, "" },
//  { 0x6FE5, "" },
//  { 0x6FE6, "" },
//  { 0x6FE7, "" },
//  { 0x6FE8, "" },
//  { 0x6FE9, "" },
//  { 0x6FEA, "" },
//  { 0x6FEB, "" },
//  { 0x6FEC, "" },
//  { 0x6FED, "" },
//  { 0x6FEE, "" },
//  { 0x6FEF, "" },
//  { 0x6FF0, "" },
//  { 0x6FF1, "" },
//  { 0x6FF2, "" },
//  { 0x6FF3, "" },
//  { 0x6FF4, "" },
//  { 0x6FF5, "" },
//  { 0x6FF6, "" },
//  { 0x6FF7, "" },
//  { 0x6FF8, "" },
//  { 0x6FF9, "" },
//  { 0x6FFA, "" },
//  { 0x6FFB, "" },
//  { 0x6FFC, "" },
//  { 0x6FFD, "" },
//  { 0x6FFE, "" },
//  { 0x6FFF, "" },
//  { 0x7000, "" },
//  { 0x7001, "" },
//  { 0x7002, "" },
//  { 0x7003, "" },
//  { 0x7004, "" },
//  { 0x7005, "" },
//  { 0x7006, "" },
//  { 0x7007, "" },
//  { 0x7008, "" },
//  { 0x7009, "" },
//  { 0x700A, "" },
//  { 0x700B, "" },
//  { 0x700C, "" },
//  { 0x700D, "" },
//  { 0x700E, "" },
//  { 0x700F, "" },
//  { 0x7010, "" },
//  { 0x7011, "" },
//  { 0x7012, "" },
//  { 0x7013, "" },
//  { 0x7014, "" },
//  { 0x7015, "" },
//  { 0x7016, "" },
//  { 0x7017, "" },
//  { 0x7018, "" },
//  { 0x7019, "" },
//  { 0x701A, "" },
//  { 0x701B, "" },
//  { 0x701C, "" },
//  { 0x701D, "" },
//  { 0x701E, "" },
//  { 0x701F, "" },
//  { 0x7020, "" },
//  { 0x7021, "" },
//  { 0x7022, "" },
//  { 0x7023, "" },
//  { 0x7024, "" },
//  { 0x7025, "" },
//  { 0x7026, "" },
//  { 0x7027, "" },
//  { 0x7028, "" },
//  { 0x7029, "" },
//  { 0x702A, "" },
//  { 0x702B, "" },
//  { 0x702C, "" },
//  { 0x702D, "" },
//  { 0x702E, "" },
//  { 0x702F, "" },
//  { 0x7030, "" },
//  { 0x7031, "" },
//  { 0x7032, "" },
//  { 0x7033, "" },
//  { 0x7034, "" },
//  { 0x7035, "" },
//  { 0x7036, "" },
//  { 0x7037, "" },
//  { 0x7038, "" },
//  { 0x7039, "" },
//  { 0x703A, "" },
//  { 0x703B, "" },
//  { 0x703C, "" },
//  { 0x703D, "" },
//  { 0x703E, "" },
//  { 0x703F, "" },
//  { 0x7040, "" },
//  { 0x7041, "" },
//  { 0x7042, "" },
//  { 0x7043, "" },
//  { 0x7044, "" },
//  { 0x7045, "" },
//  { 0x7046, "" },
//  { 0x7047, "" },
//  { 0x7048, "" },
//  { 0x7049, "" },
//  { 0x704A, "" },
//  { 0x704B, "" },
//  { 0x704C, "" },
//  { 0x704D, "" },
//  { 0x704E, "" },
//  { 0x704F, "" },
//  { 0x7050, "" },
//  { 0x7051, "" },
//  { 0x7052, "" },
//  { 0x7053, "" },
//  { 0x7054, "" },
//  { 0x7055, "" },
//  { 0x7056, "" },
//  { 0x7057, "" },
//  { 0x7058, "" },
//  { 0x7059, "" },
//  { 0x705A, "" },
//  { 0x705B, "" },
//  { 0x705C, "" },
//  { 0x705D, "" },
//  { 0x705E, "" },
//  { 0x705F, "" },
//  { 0x7060, "" },
//  { 0x7061, "" },
//  { 0x7062, "" },
//  { 0x7063, "" },
//  { 0x7064, "" },
//  { 0x7065, "" },
//  { 0x7066, "" },
//  { 0x7067, "" },
//  { 0x7068, "" },
//  { 0x7069, "" },
//  { 0x706A, "" },
//  { 0x706B, "" },
//  { 0x706C, "" },
//  { 0x706D, "" },
//  { 0x706E, "" },
//  { 0x706F, "" },
//  { 0x7070, "" },
//  { 0x7071, "" },
//  { 0x7072, "" },
//  { 0x7073, "" },
//  { 0x7074, "" },
//  { 0x7075, "" },
//  { 0x7076, "" },
//  { 0x7077, "" },
//  { 0x7078, "" },
//  { 0x7079, "" },
//  { 0x707A, "" },
//  { 0x707B, "" },
//  { 0x707C, "" },
//  { 0x707D, "" },
//  { 0x707E, "" },
//  { 0x707F, "" },
//  { 0x7080, "" },
    { 0x7081, "maps/_casual_killer" },
//  { 0x7082, "" },
//  { 0x7083, "" },
//  { 0x7084, "" },
//  { 0x7085, "" },
//  { 0x7086, "" },
//  { 0x7087, "" },
//  { 0x7088, "" },
//  { 0x7089, "" },
//  { 0x708A, "" },
//  { 0x708B, "" },
//  { 0x708C, "" },
//  { 0x708D, "" },
//  { 0x708E, "" },
//  { 0x708F, "" },
//  { 0x7090, "" },
//  { 0x7091, "" },
//  { 0x7092, "" },
//  { 0x7093, "" },
//  { 0x7094, "" },
//  { 0x7095, "" },
//  { 0x7096, "" },
//  { 0x7097, "" },
//  { 0x7098, "" },
//  { 0x7099, "" },
//  { 0x709A, "" },
//  { 0x709B, "" },
//  { 0x709C, "" },
//  { 0x709D, "" },
//  { 0x709E, "" },
//  { 0x709F, "" },
//  { 0x70A0, "" },
//  { 0x70A1, "" },
//  { 0x70A2, "" },
//  { 0x70A3, "" },
//  { 0x70A4, "" },
//  { 0x70A5, "" },
//  { 0x70A6, "" },
//  { 0x70A7, "" },
//  { 0x70A8, "" },
//  { 0x70A9, "" },
//  { 0x70AA, "" },
//  { 0x70AB, "" },
//  { 0x70AC, "" },
//  { 0x70AD, "" },
//  { 0x70AE, "" },
//  { 0x70AF, "" },
//  { 0x70B0, "" },
//  { 0x70B1, "" },
//  { 0x70B2, "" },
//  { 0x70B3, "" },
//  { 0x70B4, "" },
//  { 0x70B5, "" },
//  { 0x70B6, "" },
//  { 0x70B7, "" },
//  { 0x70B8, "" },
//  { 0x70B9, "" },
//  { 0x70BA, "" },
//  { 0x70BB, "" },
//  { 0x70BC, "" },
//  { 0x70BD, "" },
//  { 0x70BE, "" },
//  { 0x70BF, "" },
//  { 0x70C0, "" },
//  { 0x70C1, "" },
//  { 0x70C2, "" },
//  { 0x70C3, "" },
//  { 0x70C4, "" },
//  { 0x70C5, "" },
//  { 0x70C6, "" },
//  { 0x70C7, "" },
//  { 0x70C8, "" },
//  { 0x70C9, "" },
//  { 0x70CA, "" },
//  { 0x70CB, "" },
//  { 0x70CC, "" },
//  { 0x70CD, "" },
//  { 0x70CE, "" },
//  { 0x70CF, "" },
//  { 0x70D0, "" },
//  { 0x70D1, "" },
//  { 0x70D2, "" },
//  { 0x70D3, "" },
//  { 0x70D4, "" },
//  { 0x70D5, "" },
//  { 0x70D6, "" },
//  { 0x70D7, "" },
//  { 0x70D8, "" },
//  { 0x70D9, "" },
//  { 0x70DA, "" },
//  { 0x70DB, "" },
//  { 0x70DC, "" },
//  { 0x70DD, "" },
//  { 0x70DE, "" },
//  { 0x70DF, "" },
//  { 0x70E0, "" },
//  { 0x70E1, "" },
//  { 0x70E2, "" },
//  { 0x70E3, "" },
//  { 0x70E4, "" },
//  { 0x70E5, "" },
//  { 0x70E6, "" },
//  { 0x70E7, "" },
//  { 0x70E8, "" },
//  { 0x70E9, "" },
//  { 0x70EA, "" },
//  { 0x70EB, "" },
//  { 0x70EC, "" },
//  { 0x70ED, "" },
//  { 0x70EE, "" },
//  { 0x70EF, "" },
//  { 0x70F0, "" },
//  { 0x70F1, "" },
//  { 0x70F2, "" },
//  { 0x70F3, "" },
//  { 0x70F4, "" },
//  { 0x70F5, "" },
//  { 0x70F6, "" },
//  { 0x70F7, "" },
//  { 0x70F8, "" },
//  { 0x70F9, "" },
//  { 0x70FA, "" },
//  { 0x70FB, "" },
//  { 0x70FC, "" },
//  { 0x70FD, "" },
//  { 0x70FE, "" },
//  { 0x70FF, "" },
//  { 0x7100, "" },
//  { 0x7101, "" },
//  { 0x7102, "" },
//  { 0x7103, "" },
//  { 0x7104, "" },
//  { 0x7105, "" },
//  { 0x7106, "" },
//  { 0x7107, "" },
//  { 0x7108, "" },
//  { 0x7109, "" },
//  { 0x710A, "" },
//  { 0x710B, "" },
//  { 0x710C, "" },
//  { 0x710D, "" },
//  { 0x710E, "" },
//  { 0x710F, "" },
//  { 0x7110, "" },
//  { 0x7111, "" },
//  { 0x7112, "" },
//  { 0x7113, "" },
//  { 0x7114, "" },
//  { 0x7115, "" },
//  { 0x7116, "" },
//  { 0x7117, "" },
//  { 0x7118, "" },
//  { 0x7119, "" },
//  { 0x711A, "" },
//  { 0x711B, "" },
//  { 0x711C, "" },
//  { 0x711D, "" },
//  { 0x711E, "" },
//  { 0x711F, "" },
//  { 0x7120, "" },
//  { 0x7121, "" },
//  { 0x7122, "" },
//  { 0x7123, "" },
//  { 0x7124, "" },
//  { 0x7125, "" },
//  { 0x7126, "" },
//  { 0x7127, "" },
//  { 0x7128, "" },
//  { 0x7129, "" },
//  { 0x712A, "" },
//  { 0x712B, "" },
//  { 0x712C, "" },
//  { 0x712D, "" },
//  { 0x712E, "" },
//  { 0x712F, "" },
//  { 0x7130, "" },
//  { 0x7131, "" },
//  { 0x7132, "" },
//  { 0x7133, "" },
//  { 0x7134, "" },
//  { 0x7135, "" },
//  { 0x7136, "" },
//  { 0x7137, "" },
//  { 0x7138, "" },
//  { 0x7139, "" },
//  { 0x713A, "" },
//  { 0x713B, "" },
//  { 0x713C, "" },
//  { 0x713D, "" },
//  { 0x713E, "" },
//  { 0x713F, "" },
//  { 0x7140, "" },
//  { 0x7141, "" },
//  { 0x7142, "" },
//  { 0x7143, "" },
//  { 0x7144, "" },
//  { 0x7145, "" },
//  { 0x7146, "" },
//  { 0x7147, "" },
//  { 0x7148, "" },
//  { 0x7149, "" },
//  { 0x714A, "" },
//  { 0x714B, "" },
//  { 0x714C, "" },
//  { 0x714D, "" },
//  { 0x714E, "" },
//  { 0x714F, "" },
//  { 0x7150, "" },
//  { 0x7151, "" },
//  { 0x7152, "" },
//  { 0x7153, "" },
//  { 0x7154, "" },
//  { 0x7155, "" },
//  { 0x7156, "" },
//  { 0x7157, "" },
//  { 0x7158, "" },
//  { 0x7159, "" },
//  { 0x715A, "" },
//  { 0x715B, "" },
//  { 0x715C, "" },
//  { 0x715D, "" },
//  { 0x715E, "" },
//  { 0x715F, "" },
//  { 0x7160, "" },
//  { 0x7161, "" },
//  { 0x7162, "" },
//  { 0x7163, "" },
//  { 0x7164, "" },
//  { 0x7165, "" },
//  { 0x7166, "" },
//  { 0x7167, "" },
//  { 0x7168, "" },
//  { 0x7169, "" },
//  { 0x716A, "" },
//  { 0x716B, "" },
//  { 0x716C, "" },
//  { 0x716D, "" },
//  { 0x716E, "" },
//  { 0x716F, "" },
//  { 0x7170, "" },
//  { 0x7171, "" },
//  { 0x7172, "" },
//  { 0x7173, "" },
//  { 0x7174, "" },
//  { 0x7175, "" },
//  { 0x7176, "" },
//  { 0x7177, "" },
//  { 0x7178, "" },
//  { 0x7179, "" },
//  { 0x717A, "" },
//  { 0x717B, "" },
//  { 0x717C, "" },
//  { 0x717D, "" },
//  { 0x717E, "" },
//  { 0x717F, "" },
//  { 0x7180, "" },
//  { 0x7181, "" },
//  { 0x7182, "" },
//  { 0x7183, "" },
//  { 0x7184, "" },
//  { 0x7185, "" },
//  { 0x7186, "" },
//  { 0x7187, "" },
//  { 0x7188, "" },
//  { 0x7189, "" },
//  { 0x718A, "" },
//  { 0x718B, "" },
    { 0x718C, "maps/createart/intro_art" },
    { 0x718D, "maps/_drone_ai_rambo" },
//  { 0x718E, "" },
//  { 0x718F, "" },
//  { 0x7190, "" },
//  { 0x7191, "" },
//  { 0x7192, "" },
//  { 0x7193, "" },
//  { 0x7194, "" },
//  { 0x7195, "" },
//  { 0x7196, "" },
//  { 0x7197, "" },
//  { 0x7198, "" },
//  { 0x7199, "" },
//  { 0x719A, "" },
//  { 0x719B, "" },
//  { 0x719C, "" },
    { 0x719D, "spawn_berlin_friendlies" },
    { 0x719E, "setup_lone_star" },
    { 0x719F, "setup_essex" },
//  { 0x71A0, "" },
//  { 0x71A1, "" },
//  { 0x71A2, "" },
//  { 0x71A3, "" },
//  { 0x71A4, "" },
//  { 0x71A5, "" },
//  { 0x71A6, "" },
//  { 0x71A7, "" },
//  { 0x71A8, "" },
//  { 0x71A9, "" },
//  { 0x71AA, "" },
//  { 0x71AB, "" },
//  { 0x71AC, "" },
//  { 0x71AD, "" },
//  { 0x71AE, "" },
//  { 0x71AF, "" },
//  { 0x71B0, "" },
//  { 0x71B1, "" },
//  { 0x71B2, "" },
//  { 0x71B3, "" },
//  { 0x71B4, "" },
//  { 0x71B5, "" },
//  { 0x71B6, "" },
//  { 0x71B7, "" },
//  { 0x71B8, "" },
//  { 0x71B9, "" },
//  { 0x71BA, "" },
//  { 0x71BB, "" },
//  { 0x71BC, "" },
//  { 0x71BD, "" },
//  { 0x71BE, "" },
//  { 0x71BF, "" },
//  { 0x71C0, "" },
//  { 0x71C1, "" },
//  { 0x71C2, "" },
//  { 0x71C3, "" },
//  { 0x71C4, "" },
//  { 0x71C5, "" },
//  { 0x71C6, "" },
//  { 0x71C7, "" },
//  { 0x71C8, "" },
//  { 0x71C9, "" },
//  { 0x71CA, "" },
//  { 0x71CB, "" },
//  { 0x71CC, "" },
//  { 0x71CD, "" },
//  { 0x71CE, "" },
//  { 0x71CF, "" },
//  { 0x71D0, "" },
//  { 0x71D1, "" },
//  { 0x71D2, "" },
//  { 0x71D3, "" },
//  { 0x71D4, "" },
//  { 0x71D5, "" },
//  { 0x71D6, "" },
//  { 0x71D7, "" },
//  { 0x71D8, "" },
//  { 0x71D9, "" },
//  { 0x71DA, "" },
//  { 0x71DB, "" },
//  { 0x71DC, "" },
//  { 0x71DD, "" },
//  { 0x71DE, "" },
//  { 0x71DF, "" },
//  { 0x71E0, "" },
//  { 0x71E1, "" },
//  { 0x71E2, "" },
//  { 0x71E3, "" },
//  { 0x71E4, "" },
//  { 0x71E5, "" },
//  { 0x71E6, "" },
//  { 0x71E7, "" },
//  { 0x71E8, "" },
//  { 0x71E9, "" },
//  { 0x71EA, "" },
//  { 0x71EB, "" },
//  { 0x71EC, "" },
//  { 0x71ED, "" },
//  { 0x71EE, "" },
//  { 0x71EF, "" },
//  { 0x71F0, "" },
//  { 0x71F1, "" },
//  { 0x71F2, "" },
//  { 0x71F3, "" },
//  { 0x71F4, "" },
//  { 0x71F5, "" },
//  { 0x71F6, "" },
//  { 0x71F7, "" },
//  { 0x71F8, "" },
//  { 0x71F9, "" },
//  { 0x71FA, "" },
//  { 0x71FB, "" },
    { 0x71FC, "objective_count" },
//  { 0x71FD, "" },
//  { 0x71FE, "" },
//  { 0x71FF, "" },
//  { 0x7200, "" },
//  { 0x7201, "" },
//  { 0x7202, "" },
//  { 0x7203, "" },
//  { 0x7204, "" },
//  { 0x7205, "" },
//  { 0x7206, "" },
//  { 0x7207, "" },
//  { 0x7208, "" },
//  { 0x7209, "" },
//  { 0x720A, "" },
//  { 0x720B, "" },
//  { 0x720C, "" },
//  { 0x720D, "" },
//  { 0x720E, "" },
//  { 0x720F, "" },
//  { 0x7210, "" },
//  { 0x7211, "" },
//  { 0x7212, "" },
//  { 0x7213, "" },
//  { 0x7214, "" },
//  { 0x7215, "" },
//  { 0x7216, "" },
//  { 0x7217, "" },
//  { 0x7218, "" },
//  { 0x7219, "" },
//  { 0x721A, "" },
//  { 0x721B, "" },
//  { 0x721C, "" },
//  { 0x721D, "" },
//  { 0x721E, "" },
//  { 0x721F, "" },
//  { 0x7220, "" },
//  { 0x7221, "" },
//  { 0x7222, "" },
//  { 0x7223, "" },
//  { 0x7224, "" },
//  { 0x7225, "" },
//  { 0x7226, "" },
//  { 0x7227, "" },
//  { 0x7228, "" },
//  { 0x7229, "" },
//  { 0x722A, "" },
//  { 0x722B, "" },
//  { 0x722C, "" },
//  { 0x722D, "" },
//  { 0x722E, "" },
//  { 0x722F, "" },
//  { 0x7230, "" },
//  { 0x7231, "" },
//  { 0x7232, "" },
//  { 0x7233, "" },
//  { 0x7234, "" },
//  { 0x7235, "" },
//  { 0x7236, "" },
//  { 0x7237, "" },
//  { 0x7238, "" },
//  { 0x7239, "" },
//  { 0x723A, "" },
//  { 0x723B, "" },
//  { 0x723C, "" },
//  { 0x723D, "" },
//  { 0x723E, "" },
//  { 0x723F, "" },
//  { 0x7240, "" },
//  { 0x7241, "" },
//  { 0x7242, "" },
//  { 0x7243, "" },
//  { 0x7244, "" },
//  { 0x7245, "" },
//  { 0x7246, "" },
//  { 0x7247, "" },
//  { 0x7248, "" },
//  { 0x7249, "" },
//  { 0x724A, "" },
//  { 0x724B, "" },
//  { 0x724C, "" },
//  { 0x724D, "" },
//  { 0x724E, "" },
//  { 0x724F, "" },
//  { 0x7250, "" },
//  { 0x7251, "" },
//  { 0x7252, "" },
//  { 0x7253, "" },
//  { 0x7254, "" },
//  { 0x7255, "" },
//  { 0x7256, "" },
//  { 0x7257, "" },
//  { 0x7258, "" },
//  { 0x7259, "" },
//  { 0x725A, "" },
//  { 0x725B, "" },
//  { 0x725C, "" },
//  { 0x725D, "" },
//  { 0x725E, "" },
//  { 0x725F, "" },
//  { 0x7260, "" },
//  { 0x7261, "" },
//  { 0x7262, "" },
//  { 0x7263, "" },
//  { 0x7264, "" },
//  { 0x7265, "" },
//  { 0x7266, "" },
//  { 0x7267, "" },
//  { 0x7268, "" },
//  { 0x7269, "" },
//  { 0x726A, "" },
//  { 0x726B, "" },
//  { 0x726C, "" },
//  { 0x726D, "" },
//  { 0x726E, "" },
//  { 0x726F, "" },
//  { 0x7270, "" },
//  { 0x7271, "" },
//  { 0x7272, "" },
//  { 0x7273, "" },
//  { 0x7274, "" },
//  { 0x7275, "" },
//  { 0x7276, "" },
//  { 0x7277, "" },
//  { 0x7278, "" },
//  { 0x7279, "" },
//  { 0x727A, "" },
//  { 0x727B, "" },
//  { 0x727C, "" },
//  { 0x727D, "" },
//  { 0x727E, "" },
//  { 0x727F, "" },
//  { 0x7280, "" },
//  { 0x7281, "" },
//  { 0x7282, "" },
//  { 0x7283, "" },
//  { 0x7284, "" },
//  { 0x7285, "" },
//  { 0x7286, "" },
//  { 0x7287, "" },
//  { 0x7288, "" },
//  { 0x7289, "" },
//  { 0x728A, "" },
//  { 0x728B, "" },
//  { 0x728C, "" },
//  { 0x728D, "" },
//  { 0x728E, "" },
//  { 0x728F, "" },
//  { 0x7290, "" },
//  { 0x7291, "" },
//  { 0x7292, "" },
//  { 0x7293, "" },
//  { 0x7294, "" },
//  { 0x7295, "" },
//  { 0x7296, "" },
//  { 0x7297, "" },
//  { 0x7298, "" },
//  { 0x7299, "" },
//  { 0x729A, "" },
//  { 0x729B, "" },
//  { 0x729C, "" },
//  { 0x729D, "" },
//  { 0x729E, "" },
//  { 0x729F, "" },
//  { 0x72A0, "" },
//  { 0x72A1, "" },
//  { 0x72A2, "" },
//  { 0x72A3, "" },
//  { 0x72A4, "" },
//  { 0x72A5, "" },
//  { 0x72A6, "" },
//  { 0x72A7, "" },
//  { 0x72A8, "" },
//  { 0x72A9, "" },
//  { 0x72AA, "" },
//  { 0x72AB, "" },
//  { 0x72AC, "" },
//  { 0x72AD, "" },
//  { 0x72AE, "" },
//  { 0x72AF, "" },
//  { 0x72B0, "" },
//  { 0x72B1, "" },
//  { 0x72B2, "" },
//  { 0x72B3, "" },
//  { 0x72B4, "" },
//  { 0x72B5, "" },
//  { 0x72B6, "" },
//  { 0x72B7, "" },
//  { 0x72B8, "" },
//  { 0x72B9, "" },
//  { 0x72BA, "" },
//  { 0x72BB, "" },
//  { 0x72BC, "" },
//  { 0x72BD, "" },
//  { 0x72BE, "" },
//  { 0x72BF, "" },
//  { 0x72C0, "" },
//  { 0x72C1, "" },
//  { 0x72C2, "" },
//  { 0x72C3, "" },
//  { 0x72C4, "" },
//  { 0x72C5, "" },
//  { 0x72C6, "" },
//  { 0x72C7, "" },
//  { 0x72C8, "" },
//  { 0x72C9, "" },
//  { 0x72CA, "" },
//  { 0x72CB, "" },
//  { 0x72CC, "" },
//  { 0x72CD, "" },
//  { 0x72CE, "" },
//  { 0x72CF, "" },
//  { 0x72D0, "" },
//  { 0x72D1, "" },
//  { 0x72D2, "" },
//  { 0x72D3, "" },
//  { 0x72D4, "" },
//  { 0x72D5, "" },
//  { 0x72D6, "" },
//  { 0x72D7, "" },
//  { 0x72D8, "" },
//  { 0x72D9, "" },
//  { 0x72DA, "" },
//  { 0x72DB, "" },
//  { 0x72DC, "" },
//  { 0x72DD, "" },
//  { 0x72DE, "" },
//  { 0x72DF, "" },
//  { 0x72E0, "" },
//  { 0x72E1, "" },
//  { 0x72E2, "" },
//  { 0x72E3, "" },
//  { 0x72E4, "" },
//  { 0x72E5, "" },
//  { 0x72E6, "" },
//  { 0x72E7, "" },
//  { 0x72E8, "" },
//  { 0x72E9, "" },
//  { 0x72EA, "" },
//  { 0x72EB, "" },
//  { 0x72EC, "" },
//  { 0x72ED, "" },
//  { 0x72EE, "" },
//  { 0x72EF, "" },
//  { 0x72F0, "" },
//  { 0x72F1, "" },
//  { 0x72F2, "" },
//  { 0x72F3, "" },
//  { 0x72F4, "" },
//  { 0x72F5, "" },
//  { 0x72F6, "" },
//  { 0x72F7, "" },
//  { 0x72F8, "" },
//  { 0x72F9, "" },
//  { 0x72FA, "" },
//  { 0x72FB, "" },
//  { 0x72FC, "" },
//  { 0x72FD, "" },
//  { 0x72FE, "" },
//  { 0x72FF, "" },
//  { 0x7300, "" },
//  { 0x7301, "" },
//  { 0x7302, "" },
//  { 0x7303, "" },
//  { 0x7304, "" },
//  { 0x7305, "" },
//  { 0x7306, "" },
//  { 0x7307, "" },
//  { 0x7308, "" },
//  { 0x7309, "" },
//  { 0x730A, "" },
//  { 0x730B, "" },
//  { 0x730C, "" },
//  { 0x730D, "" },
//  { 0x730E, "" },
//  { 0x730F, "" },
//  { 0x7310, "" },
//  { 0x7311, "" },
//  { 0x7312, "" },
//  { 0x7313, "" },
//  { 0x7314, "" },
//  { 0x7315, "" },
//  { 0x7316, "" },
//  { 0x7317, "" },
//  { 0x7318, "" },
//  { 0x7319, "" },
//  { 0x731A, "" },
//  { 0x731B, "" },
//  { 0x731C, "" },
//  { 0x731D, "" },
//  { 0x731E, "" },
//  { 0x731F, "" },
//  { 0x7320, "" },
//  { 0x7321, "" },
//  { 0x7322, "" },
//  { 0x7323, "" },
//  { 0x7324, "" },
//  { 0x7325, "" },
//  { 0x7326, "" },
//  { 0x7327, "" },
//  { 0x7328, "" },
//  { 0x7329, "" },
//  { 0x732A, "" },
//  { 0x732B, "" },
//  { 0x732C, "" },
//  { 0x732D, "" },
//  { 0x732E, "" },
//  { 0x732F, "" },
//  { 0x7330, "" },
//  { 0x7331, "" },
//  { 0x7332, "" },
//  { 0x7333, "" },
    { 0x7334, "kill_player_triggers" },
//  { 0x7335, "" },
//  { 0x7336, "" },
//  { 0x7337, "" },
//  { 0x7338, "" },
//  { 0x7339, "" },
//  { 0x733A, "" },
//  { 0x733B, "" },
//  { 0x733C, "" },
//  { 0x733D, "" },
//  { 0x733E, "" },
//  { 0x733F, "" },
//  { 0x7340, "" },
//  { 0x7341, "" },
//  { 0x7342, "" },
//  { 0x7343, "" },
//  { 0x7344, "" },
//  { 0x7345, "" },
//  { 0x7346, "" },
//  { 0x7347, "" },
//  { 0x7348, "" },
//  { 0x7349, "" },
//  { 0x734A, "" },
//  { 0x734B, "" },
//  { 0x734C, "" },
//  { 0x734D, "" },
//  { 0x734E, "" },
//  { 0x734F, "" },
//  { 0x7350, "" },
//  { 0x7351, "" },
//  { 0x7352, "" },
//  { 0x7353, "" },
//  { 0x7354, "" },
//  { 0x7355, "" },
//  { 0x7356, "" },
//  { 0x7357, "" },
//  { 0x7358, "" },
//  { 0x7359, "" },
//  { 0x735A, "" },
//  { 0x735B, "" },
//  { 0x735C, "" },
//  { 0x735D, "" },
//  { 0x735E, "" },
//  { 0x735F, "" },
//  { 0x7360, "" },
//  { 0x7361, "" },
//  { 0x7362, "" },
//  { 0x7363, "" },
//  { 0x7364, "" },
//  { 0x7365, "" },
//  { 0x7366, "" },
//  { 0x7367, "" },
//  { 0x7368, "" },
//  { 0x7369, "" },
//  { 0x736A, "" },
//  { 0x736B, "" },
//  { 0x736C, "" },
//  { 0x736D, "" },
//  { 0x736E, "" },
//  { 0x736F, "" },
//  { 0x7370, "" },
//  { 0x7371, "" },
//  { 0x7372, "" },
//  { 0x7373, "" },
//  { 0x7374, "" },
//  { 0x7375, "" },
//  { 0x7376, "" },
//  { 0x7377, "" },
//  { 0x7378, "" },
//  { 0x7379, "" },
//  { 0x737A, "" },
//  { 0x737B, "" },
//  { 0x737C, "" },
//  { 0x737D, "" },
//  { 0x737E, "" },
//  { 0x737F, "" },
//  { 0x7380, "" },
//  { 0x7381, "" },
//  { 0x7382, "" },
//  { 0x7383, "" },
//  { 0x7384, "" },
//  { 0x7385, "" },
//  { 0x7386, "" },
//  { 0x7387, "" },
//  { 0x7388, "" },
//  { 0x7389, "" },
//  { 0x738A, "" },
//  { 0x738B, "" },
//  { 0x738C, "" },
//  { 0x738D, "" },
//  { 0x738E, "" },
//  { 0x738F, "" },
//  { 0x7390, "" },
//  { 0x7391, "" },
//  { 0x7392, "" },
//  { 0x7393, "" },
    { 0x7394, "over_obj_num" },
//  { 0x7395, "" },
//  { 0x7396, "" },
//  { 0x7397, "" },
//  { 0x7398, "" },
//  { 0x7399, "" },
//  { 0x739A, "" },
//  { 0x739B, "" },
//  { 0x739C, "" },
//  { 0x739D, "" },
//  { 0x739E, "" },
//  { 0x739F, "" },
//  { 0x73A0, "" },
//  { 0x73A1, "" },
//  { 0x73A2, "" },
//  { 0x73A3, "" },
//  { 0x73A4, "" },
//  { 0x73A5, "" },
//  { 0x73A6, "" },
//  { 0x73A7, "" },
//  { 0x73A8, "" },
//  { 0x73A9, "" },
//  { 0x73AA, "" },
//  { 0x73AB, "" },
//  { 0x73AC, "" },
//  { 0x73AD, "" },
//  { 0x73AE, "" },
//  { 0x73AF, "" },
//  { 0x73B0, "" },
//  { 0x73B1, "" },
//  { 0x73B2, "" },
//  { 0x73B3, "" },
//  { 0x73B4, "" },
//  { 0x73B5, "" },
//  { 0x73B6, "" },
//  { 0x73B7, "" },
//  { 0x73B8, "" },
//  { 0x73B9, "" },
//  { 0x73BA, "" },
//  { 0x73BB, "" },
//  { 0x73BC, "" },
//  { 0x73BD, "" },
//  { 0x73BE, "" },
//  { 0x73BF, "" },
//  { 0x73C0, "" },
//  { 0x73C1, "" },
//  { 0x73C2, "" },
//  { 0x73C3, "" },
//  { 0x73C4, "" },
//  { 0x73C5, "" },
//  { 0x73C6, "" },
//  { 0x73C7, "" },
//  { 0x73C8, "" },
//  { 0x73C9, "" },
//  { 0x73CA, "" },
//  { 0x73CB, "" },
//  { 0x73CC, "" },
//  { 0x73CD, "" },
//  { 0x73CE, "" },
//  { 0x73CF, "" },
//  { 0x73D0, "" },
//  { 0x73D1, "" },
//  { 0x73D2, "" },
//  { 0x73D3, "" },
//  { 0x73D4, "" },
//  { 0x73D5, "" },
//  { 0x73D6, "" },
//  { 0x73D7, "" },
//  { 0x73D8, "" },
//  { 0x73D9, "" },
//  { 0x73DA, "" },
//  { 0x73DB, "" },
//  { 0x73DC, "" },
//  { 0x73DD, "" },
//  { 0x73DE, "" },
//  { 0x73DF, "" },
//  { 0x73E0, "" },
//  { 0x73E1, "" },
//  { 0x73E2, "" },
//  { 0x73E3, "" },
//  { 0x73E4, "" },
//  { 0x73E5, "" },
//  { 0x73E6, "" },
//  { 0x73E7, "" },
//  { 0x73E8, "" },
//  { 0x73E9, "" },
//  { 0x73EA, "" },
//  { 0x73EB, "" },
//  { 0x73EC, "" },
//  { 0x73ED, "" },
//  { 0x73EE, "" },
//  { 0x73EF, "" },
//  { 0x73F0, "" },
//  { 0x73F1, "" },
//  { 0x73F2, "" },
//  { 0x73F3, "" },
//  { 0x73F4, "" },
//  { 0x73F5, "" },
//  { 0x73F6, "" },
//  { 0x73F7, "" },
//  { 0x73F8, "" },
//  { 0x73F9, "" },
//  { 0x73FA, "" },
//  { 0x73FB, "" },
//  { 0x73FC, "" },
//  { 0x73FD, "" },
//  { 0x73FE, "" },
//  { 0x73FF, "" },
//  { 0x7400, "" },
//  { 0x7401, "" },
//  { 0x7402, "" },
//  { 0x7403, "" },
//  { 0x7404, "" },
//  { 0x7405, "" },
//  { 0x7406, "" },
//  { 0x7407, "" },
//  { 0x7408, "" },
//  { 0x7409, "" },
//  { 0x740A, "" },
//  { 0x740B, "" },
//  { 0x740C, "" },
//  { 0x740D, "" },
//  { 0x740E, "" },
//  { 0x740F, "" },
//  { 0x7410, "" },
//  { 0x7411, "" },
//  { 0x7412, "" },
//  { 0x7413, "" },
//  { 0x7414, "" },
//  { 0x7415, "" },
//  { 0x7416, "" },
//  { 0x7417, "" },
//  { 0x7418, "" },
//  { 0x7419, "" },
//  { 0x741A, "" },
//  { 0x741B, "" },
//  { 0x741C, "" },
//  { 0x741D, "" },
//  { 0x741E, "" },
//  { 0x741F, "" },
//  { 0x7420, "" },
//  { 0x7421, "" },
//  { 0x7422, "" },
//  { 0x7423, "" },
//  { 0x7424, "" },
//  { 0x7425, "" },
//  { 0x7426, "" },
//  { 0x7427, "" },
//  { 0x7428, "" },
//  { 0x7429, "" },
//  { 0x742A, "" },
//  { 0x742B, "" },
//  { 0x742C, "" },
//  { 0x742D, "" },
//  { 0x742E, "" },
//  { 0x742F, "" },
//  { 0x7430, "" },
//  { 0x7431, "" },
//  { 0x7432, "" },
//  { 0x7433, "" },
//  { 0x7434, "" },
//  { 0x7435, "" },
//  { 0x7436, "" },
//  { 0x7437, "" },
//  { 0x7438, "" },
//  { 0x7439, "" },
//  { 0x743A, "" },
//  { 0x743B, "" },
//  { 0x743C, "" },
//  { 0x743D, "" },
//  { 0x743E, "" },
//  { 0x743F, "" },
//  { 0x7440, "" },
//  { 0x7441, "" },
//  { 0x7442, "" },
//  { 0x7443, "" },
//  { 0x7444, "" },
//  { 0x7445, "" },
//  { 0x7446, "" },
//  { 0x7447, "" },
//  { 0x7448, "" },
//  { 0x7449, "" },
//  { 0x744A, "" },
//  { 0x744B, "" },
//  { 0x744C, "" },
//  { 0x744D, "" },
//  { 0x744E, "" },
//  { 0x744F, "" },
//  { 0x7450, "" },
//  { 0x7451, "" },
//  { 0x7452, "" },
//  { 0x7453, "" },
    { 0x7454, "maps/_credits" },
//  { 0x7455, "" },
//  { 0x7456, "" },
//  { 0x7457, "" },
//  { 0x7458, "" },
//  { 0x7459, "" },
//  { 0x745A, "" },
//  { 0x745B, "" },
//  { 0x745C, "" },
//  { 0x745D, "" },
//  { 0x745E, "" },
//  { 0x745F, "" },
//  { 0x7460, "" },
//  { 0x7461, "" },
//  { 0x7462, "" },
//  { 0x7463, "" },
//  { 0x7464, "" },
//  { 0x7465, "" },
//  { 0x7466, "" },
//  { 0x7467, "" },
//  { 0x7468, "" },
//  { 0x7469, "" },
//  { 0x746A, "" },
//  { 0x746B, "" },
//  { 0x746C, "" },
//  { 0x746D, "" },
//  { 0x746E, "" },
//  { 0x746F, "" },
//  { 0x7470, "" },
//  { 0x7471, "" },
//  { 0x7472, "" },
//  { 0x7473, "" },
//  { 0x7474, "" },
//  { 0x7475, "" },
//  { 0x7476, "" },
//  { 0x7477, "" },
//  { 0x7478, "" },
//  { 0x7479, "" },
//  { 0x747A, "" },
//  { 0x747B, "" },
//  { 0x747C, "" },
//  { 0x747D, "" },
//  { 0x747E, "" },
//  { 0x747F, "" },
//  { 0x7480, "" },
//  { 0x7481, "" },
//  { 0x7482, "" },
//  { 0x7483, "" },
//  { 0x7484, "" },
//  { 0x7485, "" },
//  { 0x7486, "" },
//  { 0x7487, "" },
//  { 0x7488, "" },
//  { 0x7489, "" },
//  { 0x748A, "" },
//  { 0x748B, "" },
//  { 0x748C, "" },
//  { 0x748D, "" },
//  { 0x748E, "" },
//  { 0x748F, "" },
//  { 0x7490, "" },
//  { 0x7491, "" },
//  { 0x7492, "" },
//  { 0x7493, "" },
//  { 0x7494, "" },
//  { 0x7495, "" },
//  { 0x7496, "" },
//  { 0x7497, "" },
//  { 0x7498, "" },
//  { 0x7499, "" },
//  { 0x749A, "" },
//  { 0x749B, "" },
//  { 0x749C, "" },
//  { 0x749D, "" },
//  { 0x749E, "" },
//  { 0x749F, "" },
//  { 0x74A0, "" },
//  { 0x74A1, "" },
//  { 0x74A2, "" },
//  { 0x74A3, "" },
//  { 0x74A4, "" },
//  { 0x74A5, "" },
//  { 0x74A6, "" },
//  { 0x74A7, "" },
//  { 0x74A8, "" },
//  { 0x74A9, "" },
//  { 0x74AA, "" },
//  { 0x74AB, "" },
//  { 0x74AC, "" },
//  { 0x74AD, "" },
//  { 0x74AE, "" },
//  { 0x74AF, "" },
//  { 0x74B0, "" },
//  { 0x74B1, "" },
//  { 0x74B2, "" },
//  { 0x74B3, "" },
//  { 0x74B4, "" },
//  { 0x74B5, "" },
//  { 0x74B6, "" },
//  { 0x74B7, "" },
//  { 0x74B8, "" },
//  { 0x74B9, "" },
//  { 0x74BA, "" },
//  { 0x74BB, "" },
//  { 0x74BC, "" },
//  { 0x74BD, "" },
//  { 0x74BE, "" },
//  { 0x74BF, "" },
//  { 0x74C0, "" },
//  { 0x74C1, "" },
//  { 0x74C2, "" },
//  { 0x74C3, "" },
//  { 0x74C4, "" },
//  { 0x74C5, "" },
//  { 0x74C6, "" },
//  { 0x74C7, "" },
//  { 0x74C8, "" },
//  { 0x74C9, "" },
//  { 0x74CA, "" },
//  { 0x74CB, "" },
//  { 0x74CC, "" },
//  { 0x74CD, "" },
//  { 0x74CE, "" },
//  { 0x74CF, "" },
//  { 0x74D0, "" },
//  { 0x74D1, "" },
//  { 0x74D2, "" },
//  { 0x74D3, "" },
//  { 0x74D4, "" },
//  { 0x74D5, "" },
//  { 0x74D6, "" },
//  { 0x74D7, "" },
//  { 0x74D8, "" },
//  { 0x74D9, "" },
//  { 0x74DA, "" },
//  { 0x74DB, "" },
//  { 0x74DC, "" },
//  { 0x74DD, "" },
//  { 0x74DE, "" },
//  { 0x74DF, "" },
//  { 0x74E0, "" },
//  { 0x74E1, "" },
//  { 0x74E2, "" },
//  { 0x74E3, "" },
//  { 0x74E4, "" },
//  { 0x74E5, "" },
//  { 0x74E6, "" },
//  { 0x74E7, "" },
//  { 0x74E8, "" },
//  { 0x74E9, "" },
//  { 0x74EA, "" },
//  { 0x74EB, "" },
//  { 0x74EC, "" },
//  { 0x74ED, "" },
//  { 0x74EE, "" },
//  { 0x74EF, "" },
//  { 0x74F0, "" },
//  { 0x74F1, "" },
//  { 0x74F2, "" },
//  { 0x74F3, "" },
//  { 0x74F4, "" },
//  { 0x74F5, "" },
//  { 0x74F6, "" },
//  { 0x74F7, "" },
//  { 0x74F8, "" },
//  { 0x74F9, "" },
//  { 0x74FA, "" },
//  { 0x74FB, "" },
//  { 0x74FC, "" },
//  { 0x74FD, "" },
//  { 0x74FE, "" },
//  { 0x74FF, "" },
//  { 0x7500, "" },
//  { 0x7501, "" },
//  { 0x7502, "" },
//  { 0x7503, "" },
//  { 0x7504, "" },
//  { 0x7505, "" },
//  { 0x7506, "" },
//  { 0x7507, "" },
//  { 0x7508, "" },
//  { 0x7509, "" },
//  { 0x750A, "" },
//  { 0x750B, "" },
//  { 0x750C, "" },
//  { 0x750D, "" },
//  { 0x750E, "" },
//  { 0x750F, "" },
//  { 0x7510, "" },
//  { 0x7511, "" },
//  { 0x7512, "" },
//  { 0x7513, "" },
//  { 0x7514, "" },
//  { 0x7515, "" },
//  { 0x7516, "" },
//  { 0x7517, "" },
//  { 0x7518, "" },
//  { 0x7519, "" },
//  { 0x751A, "" },
//  { 0x751B, "" },
//  { 0x751C, "" },
//  { 0x751D, "" },
//  { 0x751E, "" },
//  { 0x751F, "" },
//  { 0x7520, "" },
//  { 0x7521, "" },
//  { 0x7522, "" },
//  { 0x7523, "" },
//  { 0x7524, "" },
//  { 0x7525, "" },
//  { 0x7526, "" },
//  { 0x7527, "" },
//  { 0x7528, "" },
//  { 0x7529, "" },
//  { 0x752A, "" },
//  { 0x752B, "" },
//  { 0x752C, "" },
//  { 0x752D, "" },
//  { 0x752E, "" },
//  { 0x752F, "" },
//  { 0x7530, "" },
//  { 0x7531, "" },
//  { 0x7532, "" },
//  { 0x7533, "" },
//  { 0x7534, "" },
//  { 0x7535, "" },
//  { 0x7536, "" },
//  { 0x7537, "" },
//  { 0x7538, "" },
//  { 0x7539, "" },
//  { 0x753A, "" },
//  { 0x753B, "" },
//  { 0x753C, "" },
//  { 0x753D, "" },
//  { 0x753E, "" },
//  { 0x753F, "" },
//  { 0x7540, "" },
//  { 0x7541, "" },
//  { 0x7542, "" },
//  { 0x7543, "" },
//  { 0x7544, "" },
//  { 0x7545, "" },
//  { 0x7546, "" },
//  { 0x7547, "" },
//  { 0x7548, "" },
//  { 0x7549, "" },
//  { 0x754A, "" },
//  { 0x754B, "" },
//  { 0x754C, "" },
//  { 0x754D, "" },
//  { 0x754E, "" },
//  { 0x754F, "" },
//  { 0x7550, "" },
//  { 0x7551, "" },
//  { 0x7552, "" },
//  { 0x7553, "" },
//  { 0x7554, "" },
//  { 0x7555, "" },
//  { 0x7556, "" },
//  { 0x7557, "" },
//  { 0x7558, "" },
//  { 0x7559, "" },
//  { 0x755A, "" },
//  { 0x755B, "" },
//  { 0x755C, "" },
//  { 0x755D, "" },
//  { 0x755E, "" },
//  { 0x755F, "" },
//  { 0x7560, "" },
//  { 0x7561, "" },
//  { 0x7562, "" },
//  { 0x7563, "" },
//  { 0x7564, "" },
//  { 0x7565, "" },
//  { 0x7566, "" },
//  { 0x7567, "" },
//  { 0x7568, "" },
//  { 0x7569, "" },
//  { 0x756A, "" },
//  { 0x756B, "" },
//  { 0x756C, "" },
//  { 0x756D, "" },
//  { 0x756E, "" },
//  { 0x756F, "" },
//  { 0x7570, "" },
//  { 0x7571, "" },
//  { 0x7572, "" },
//  { 0x7573, "" },
//  { 0x7574, "" },
//  { 0x7575, "" },
//  { 0x7576, "" },
//  { 0x7577, "" },
//  { 0x7578, "" },
//  { 0x7579, "" },
//  { 0x757A, "" },
//  { 0x757B, "" },
//  { 0x757C, "" },
//  { 0x757D, "" },
//  { 0x757E, "" },
//  { 0x757F, "" },
//  { 0x7580, "" },
//  { 0x7581, "" },
//  { 0x7582, "" },
//  { 0x7583, "" },
//  { 0x7584, "" },
//  { 0x7585, "" },
//  { 0x7586, "" },
//  { 0x7587, "" },
//  { 0x7588, "" },
//  { 0x7589, "" },
//  { 0x758A, "" },
//  { 0x758B, "" },
//  { 0x758C, "" },
//  { 0x758D, "" },
//  { 0x758E, "" },
//  { 0x758F, "" },
//  { 0x7590, "" },
//  { 0x7591, "" },
//  { 0x7592, "" },
//  { 0x7593, "" },
//  { 0x7594, "" },
//  { 0x7595, "" },
//  { 0x7596, "" },
//  { 0x7597, "" },
//  { 0x7598, "" },
//  { 0x7599, "" },
//  { 0x759A, "" },
//  { 0x759B, "" },
//  { 0x759C, "" },
//  { 0x759D, "" },
//  { 0x759E, "" },
//  { 0x759F, "" },
//  { 0x75A0, "" },
//  { 0x75A1, "" },
//  { 0x75A2, "" },
//  { 0x75A3, "" },
//  { 0x75A4, "" },
//  { 0x75A5, "" },
//  { 0x75A6, "" },
//  { 0x75A7, "" },
//  { 0x75A8, "" },
//  { 0x75A9, "" },
//  { 0x75AA, "" },
//  { 0x75AB, "" },
//  { 0x75AC, "" },
//  { 0x75AD, "" },
//  { 0x75AE, "" },
//  { 0x75AF, "" },
//  { 0x75B0, "" },
//  { 0x75B1, "" },
//  { 0x75B2, "" },
//  { 0x75B3, "" },
//  { 0x75B4, "" },
//  { 0x75B5, "" },
//  { 0x75B6, "" },
//  { 0x75B7, "" },
//  { 0x75B8, "" },
//  { 0x75B9, "" },
//  { 0x75BA, "" },
//  { 0x75BB, "" },
//  { 0x75BC, "" },
//  { 0x75BD, "" },
//  { 0x75BE, "" },
//  { 0x75BF, "" },
//  { 0x75C0, "" },
//  { 0x75C1, "" },
//  { 0x75C2, "" },
//  { 0x75C3, "" },
//  { 0x75C4, "" },
//  { 0x75C5, "" },
//  { 0x75C6, "" },
//  { 0x75C7, "" },
//  { 0x75C8, "" },
//  { 0x75C9, "" },
//  { 0x75CA, "" },
//  { 0x75CB, "" },
//  { 0x75CC, "" },
//  { 0x75CD, "" },
//  { 0x75CE, "" },
//  { 0x75CF, "" },
//  { 0x75D0, "" },
//  { 0x75D1, "" },
//  { 0x75D2, "" },
//  { 0x75D3, "" },
//  { 0x75D4, "" },
//  { 0x75D5, "" },
//  { 0x75D6, "" },
//  { 0x75D7, "" },
//  { 0x75D8, "" },
//  { 0x75D9, "" },
//  { 0x75DA, "" },
//  { 0x75DB, "" },
//  { 0x75DC, "" },
//  { 0x75DD, "" },
//  { 0x75DE, "" },
//  { 0x75DF, "" },
//  { 0x75E0, "" },
//  { 0x75E1, "" },
//  { 0x75E2, "" },
//  { 0x75E3, "" },
//  { 0x75E4, "" },
//  { 0x75E5, "" },
//  { 0x75E6, "" },
//  { 0x75E7, "" },
//  { 0x75E8, "" },
//  { 0x75E9, "" },
//  { 0x75EA, "" },
//  { 0x75EB, "" },
//  { 0x75EC, "" },
//  { 0x75ED, "" },
//  { 0x75EE, "" },
//  { 0x75EF, "" },
//  { 0x75F0, "" },
//  { 0x75F1, "" },
//  { 0x75F2, "" },
//  { 0x75F3, "" },
//  { 0x75F4, "" },
//  { 0x75F5, "" },
//  { 0x75F6, "" },
//  { 0x75F7, "" },
//  { 0x75F8, "" },
//  { 0x75F9, "" },
//  { 0x75FA, "" },
//  { 0x75FB, "" },
//  { 0x75FC, "" },
//  { 0x75FD, "" },
//  { 0x75FE, "" },
//  { 0x75FF, "" },
//  { 0x7600, "" },
//  { 0x7601, "" },
//  { 0x7602, "" },
//  { 0x7603, "" },
//  { 0x7604, "" },
//  { 0x7605, "" },
//  { 0x7606, "" },
//  { 0x7607, "" },
//  { 0x7608, "" },
//  { 0x7609, "" },
//  { 0x760A, "" },
//  { 0x760B, "" },
//  { 0x760C, "" },
//  { 0x760D, "" },
//  { 0x760E, "" },
//  { 0x760F, "" },
//  { 0x7610, "" },
//  { 0x7611, "" },
//  { 0x7612, "" },
//  { 0x7613, "" },
//  { 0x7614, "" },
//  { 0x7615, "" },
//  { 0x7616, "" },
//  { 0x7617, "" },
//  { 0x7618, "" },
//  { 0x7619, "" },
//  { 0x761A, "" },
//  { 0x761B, "" },
//  { 0x761C, "" },
//  { 0x761D, "" },
//  { 0x761E, "" },
//  { 0x761F, "" },
//  { 0x7620, "" },
//  { 0x7621, "" },
//  { 0x7622, "" },
//  { 0x7623, "" },
//  { 0x7624, "" },
//  { 0x7625, "" },
//  { 0x7626, "" },
//  { 0x7627, "" },
//  { 0x7628, "" },
//  { 0x7629, "" },
//  { 0x762A, "" },
//  { 0x762B, "" },
//  { 0x762C, "" },
//  { 0x762D, "" },
//  { 0x762E, "" },
//  { 0x762F, "" },
//  { 0x7630, "" },
//  { 0x7631, "" },
//  { 0x7632, "" },
//  { 0x7633, "" },
//  { 0x7634, "" },
//  { 0x7635, "" },
//  { 0x7636, "" },
//  { 0x7637, "" },
//  { 0x7638, "" },
//  { 0x7639, "" },
//  { 0x763A, "" },
//  { 0x763B, "" },
//  { 0x763C, "" },
//  { 0x763D, "" },
//  { 0x763E, "" },
//  { 0x763F, "" },
//  { 0x7640, "" },
//  { 0x7641, "" },
//  { 0x7642, "" },
//  { 0x7643, "" },
//  { 0x7644, "" },
//  { 0x7645, "" },
//  { 0x7646, "" },
//  { 0x7647, "" },
//  { 0x7648, "" },
//  { 0x7649, "" },
//  { 0x764A, "" },
//  { 0x764B, "" },
//  { 0x764C, "" },
//  { 0x764D, "" },
//  { 0x764E, "" },
//  { 0x764F, "" },
//  { 0x7650, "" },
//  { 0x7651, "" },
//  { 0x7652, "" },
//  { 0x7653, "" },
//  { 0x7654, "" },
//  { 0x7655, "" },
//  { 0x7656, "" },
//  { 0x7657, "" },
//  { 0x7658, "" },
//  { 0x7659, "" },
//  { 0x765A, "" },
//  { 0x765B, "" },
//  { 0x765C, "" },
//  { 0x765D, "" },
//  { 0x765E, "" },
//  { 0x765F, "" },
//  { 0x7660, "" },
//  { 0x7661, "" },
//  { 0x7662, "" },
//  { 0x7663, "" },
//  { 0x7664, "" },
//  { 0x7665, "" },
//  { 0x7666, "" },
//  { 0x7667, "" },
//  { 0x7668, "" },
    { 0x7669, "maps/createart/dubai_art" },
//  { 0x766A, "" },
//  { 0x766B, "" },
//  { 0x766C, "" },
//  { 0x766D, "" },
//  { 0x766E, "" },
//  { 0x766F, "" },
//  { 0x7670, "" },
//  { 0x7671, "" },
//  { 0x7672, "" },
//  { 0x7673, "" },
//  { 0x7674, "" },
//  { 0x7675, "" },
//  { 0x7676, "" },
//  { 0x7677, "" },
//  { 0x7678, "" },
//  { 0x7679, "" },
//  { 0x767A, "" },
//  { 0x767B, "" },
//  { 0x767C, "" },
//  { 0x767D, "" },
//  { 0x767E, "" },
//  { 0x767F, "" },
//  { 0x7680, "" },
//  { 0x7681, "" },
//  { 0x7682, "" },
//  { 0x7683, "" },
//  { 0x7684, "" },
//  { 0x7685, "" },
//  { 0x7686, "" },
//  { 0x7687, "" },
//  { 0x7688, "" },
//  { 0x7689, "" },
//  { 0x768A, "" },
//  { 0x768B, "" },
//  { 0x768C, "" },
//  { 0x768D, "" },
//  { 0x768E, "" },
//  { 0x768F, "" },
//  { 0x7690, "" },
//  { 0x7691, "" },
//  { 0x7692, "" },
//  { 0x7693, "" },
//  { 0x7694, "" },
//  { 0x7695, "" },
//  { 0x7696, "" },
//  { 0x7697, "" },
//  { 0x7698, "" },
//  { 0x7699, "" },
//  { 0x769A, "" },
//  { 0x769B, "" },
//  { 0x769C, "" },
//  { 0x769D, "" },
//  { 0x769E, "" },
//  { 0x769F, "" },
//  { 0x76A0, "" },
//  { 0x76A1, "" },
//  { 0x76A2, "" },
//  { 0x76A3, "" },
//  { 0x76A4, "" },
//  { 0x76A5, "" },
//  { 0x76A6, "" },
//  { 0x76A7, "" },
//  { 0x76A8, "" },
//  { 0x76A9, "" },
//  { 0x76AA, "" },
//  { 0x76AB, "" },
//  { 0x76AC, "" },
//  { 0x76AD, "" },
//  { 0x76AE, "" },
//  { 0x76AF, "" },
//  { 0x76B0, "" },
//  { 0x76B1, "" },
//  { 0x76B2, "" },
//  { 0x76B3, "" },
//  { 0x76B4, "" },
//  { 0x76B5, "" },
//  { 0x76B6, "" },
//  { 0x76B7, "" },
//  { 0x76B8, "" },
//  { 0x76B9, "" },
//  { 0x76BA, "" },
//  { 0x76BB, "" },
//  { 0x76BC, "" },
//  { 0x76BD, "" },
//  { 0x76BE, "" },
//  { 0x76BF, "" },
//  { 0x76C0, "" },
//  { 0x76C1, "" },
//  { 0x76C2, "" },
//  { 0x76C3, "" },
//  { 0x76C4, "" },
//  { 0x76C5, "" },
//  { 0x76C6, "" },
//  { 0x76C7, "" },
//  { 0x76C8, "" },
//  { 0x76C9, "" },
//  { 0x76CA, "" },
//  { 0x76CB, "" },
//  { 0x76CC, "" },
//  { 0x76CD, "" },
//  { 0x76CE, "" },
//  { 0x76CF, "" },
//  { 0x76D0, "" },
//  { 0x76D1, "" },
//  { 0x76D2, "" },
//  { 0x76D3, "" },
//  { 0x76D4, "" },
//  { 0x76D5, "" },
//  { 0x76D6, "" },
//  { 0x76D7, "" },
//  { 0x76D8, "" },
//  { 0x76D9, "" },
//  { 0x76DA, "" },
//  { 0x76DB, "" },
//  { 0x76DC, "" },
//  { 0x76DD, "" },
//  { 0x76DE, "" },
//  { 0x76DF, "" },
//  { 0x76E0, "" },
//  { 0x76E1, "" },
//  { 0x76E2, "" },
//  { 0x76E3, "" },
//  { 0x76E4, "" },
//  { 0x76E5, "" },
//  { 0x76E6, "" },
//  { 0x76E7, "" },
//  { 0x76E8, "" },
//  { 0x76E9, "" },
//  { 0x76EA, "" },
//  { 0x76EB, "" },
//  { 0x76EC, "" },
//  { 0x76ED, "" },
//  { 0x76EE, "" },
//  { 0x76EF, "" },
//  { 0x76F0, "" },
//  { 0x76F1, "" },
//  { 0x76F2, "" },
//  { 0x76F3, "" },
//  { 0x76F4, "" },
//  { 0x76F5, "" },
//  { 0x76F6, "" },
//  { 0x76F7, "" },
//  { 0x76F8, "" },
//  { 0x76F9, "" },
//  { 0x76FA, "" },
//  { 0x76FB, "" },
//  { 0x76FC, "" },
//  { 0x76FD, "" },
//  { 0x76FE, "" },
//  { 0x76FF, "" },
//  { 0x7700, "" },
//  { 0x7701, "" },
//  { 0x7702, "" },
//  { 0x7703, "" },
//  { 0x7704, "" },
//  { 0x7705, "" },
//  { 0x7706, "" },
//  { 0x7707, "" },
//  { 0x7708, "" },
//  { 0x7709, "" },
//  { 0x770A, "" },
//  { 0x770B, "" },
//  { 0x770C, "" },
//  { 0x770D, "" },
//  { 0x770E, "" },
//  { 0x770F, "" },
//  { 0x7710, "" },
//  { 0x7711, "" },
//  { 0x7712, "" },
//  { 0x7713, "" },
//  { 0x7714, "" },
//  { 0x7715, "" },
//  { 0x7716, "" },
//  { 0x7717, "" },
//  { 0x7718, "" },
//  { 0x7719, "" },
//  { 0x771A, "" },
//  { 0x771B, "" },
//  { 0x771C, "" },
//  { 0x771D, "" },
//  { 0x771E, "" },
//  { 0x771F, "" },
//  { 0x7720, "" },
//  { 0x7721, "" },
//  { 0x7722, "" },
//  { 0x7723, "" },
//  { 0x7724, "" },
//  { 0x7725, "" },
//  { 0x7726, "" },
//  { 0x7727, "" },
//  { 0x7728, "" },
//  { 0x7729, "" },
//  { 0x772A, "" },
//  { 0x772B, "" },
//  { 0x772C, "" },
//  { 0x772D, "" },
//  { 0x772E, "" },
//  { 0x772F, "" },
//  { 0x7730, "" },
//  { 0x7731, "" },
//  { 0x7732, "" },
//  { 0x7733, "" },
//  { 0x7734, "" },
//  { 0x7735, "" },
//  { 0x7736, "" },
//  { 0x7737, "" },
//  { 0x7738, "" },
//  { 0x7739, "" },
//  { 0x773A, "" },
//  { 0x773B, "" },
//  { 0x773C, "" },
//  { 0x773D, "" },
//  { 0x773E, "" },
//  { 0x773F, "" },
//  { 0x7740, "" },
//  { 0x7741, "" },
//  { 0x7742, "" },
//  { 0x7743, "" },
//  { 0x7744, "" },
//  { 0x7745, "" },
//  { 0x7746, "" },
//  { 0x7747, "" },
//  { 0x7748, "" },
//  { 0x7749, "" },
//  { 0x774A, "" },
//  { 0x774B, "" },
//  { 0x774C, "" },
//  { 0x774D, "" },
//  { 0x774E, "" },
//  { 0x774F, "" },
//  { 0x7750, "" },
//  { 0x7751, "" },
//  { 0x7752, "" },
//  { 0x7753, "" },
//  { 0x7754, "" },
//  { 0x7755, "" },
//  { 0x7756, "" },
//  { 0x7757, "" },
//  { 0x7758, "" },
//  { 0x7759, "" },
//  { 0x775A, "" },
//  { 0x775B, "" },
//  { 0x775C, "" },
//  { 0x775D, "" },
//  { 0x775E, "" },
//  { 0x775F, "" },
//  { 0x7760, "" },
//  { 0x7761, "" },
//  { 0x7762, "" },
//  { 0x7763, "" },
//  { 0x7764, "" },
//  { 0x7765, "" },
//  { 0x7766, "" },
//  { 0x7767, "" },
//  { 0x7768, "" },
//  { 0x7769, "" },
//  { 0x776A, "" },
//  { 0x776B, "" },
//  { 0x776C, "" },
//  { 0x776D, "" },
//  { 0x776E, "" },
//  { 0x776F, "" },
//  { 0x7770, "" },
//  { 0x7771, "" },
//  { 0x7772, "" },
//  { 0x7773, "" },
//  { 0x7774, "" },
//  { 0x7775, "" },
//  { 0x7776, "" },
//  { 0x7777, "" },
//  { 0x7778, "" },
//  { 0x7779, "" },
//  { 0x777A, "" },
//  { 0x777B, "" },
//  { 0x777C, "" },
//  { 0x777D, "" },
//  { 0x777E, "" },
//  { 0x777F, "" },
//  { 0x7780, "" },
//  { 0x7781, "" },
//  { 0x7782, "" },
//  { 0x7783, "" },
//  { 0x7784, "" },
//  { 0x7785, "" },
//  { 0x7786, "" },
//  { 0x7787, "" },
//  { 0x7788, "" },
//  { 0x7789, "" },
//  { 0x778A, "" },
//  { 0x778B, "" },
//  { 0x778C, "" },
//  { 0x778D, "" },
//  { 0x778E, "" },
//  { 0x778F, "" },
//  { 0x7790, "" },
//  { 0x7791, "" },
//  { 0x7792, "" },
//  { 0x7793, "" },
//  { 0x7794, "" },
//  { 0x7795, "" },
//  { 0x7796, "" },
//  { 0x7797, "" },
//  { 0x7798, "" },
//  { 0x7799, "" },
//  { 0x779A, "" },
//  { 0x779B, "" },
//  { 0x779C, "" },
//  { 0x779D, "" },
//  { 0x779E, "" },
//  { 0x779F, "" },
//  { 0x77A0, "" },
//  { 0x77A1, "" },
//  { 0x77A2, "" },
//  { 0x77A3, "" },
//  { 0x77A4, "" },
//  { 0x77A5, "" },
//  { 0x77A6, "" },
//  { 0x77A7, "" },
//  { 0x77A8, "" },
//  { 0x77A9, "" },
//  { 0x77AA, "" },
//  { 0x77AB, "" },
//  { 0x77AC, "" },
//  { 0x77AD, "" },
//  { 0x77AE, "" },
//  { 0x77AF, "" },
//  { 0x77B0, "" },
//  { 0x77B1, "" },
//  { 0x77B2, "" },
//  { 0x77B3, "" },
//  { 0x77B4, "" },
//  { 0x77B5, "" },
//  { 0x77B6, "" },
//  { 0x77B7, "" },
//  { 0x77B8, "" },
//  { 0x77B9, "" },
//  { 0x77BA, "" },
//  { 0x77BB, "" },
//  { 0x77BC, "" },
//  { 0x77BD, "" },
//  { 0x77BE, "" },
//  { 0x77BF, "" },
//  { 0x77C0, "" },
//  { 0x77C1, "" },
//  { 0x77C2, "" },
//  { 0x77C3, "" },
//  { 0x77C4, "" },
//  { 0x77C5, "" },
//  { 0x77C6, "" },
//  { 0x77C7, "" },
//  { 0x77C8, "" },
//  { 0x77C9, "" },
//  { 0x77CA, "" },
//  { 0x77CB, "" },
//  { 0x77CC, "" },
//  { 0x77CD, "" },
//  { 0x77CE, "" },
//  { 0x77CF, "" },
//  { 0x77D0, "" },
//  { 0x77D1, "" },
//  { 0x77D2, "" },
//  { 0x77D3, "" },
//  { 0x77D4, "" },
//  { 0x77D5, "" },
//  { 0x77D6, "" },
//  { 0x77D7, "" },
//  { 0x77D8, "" },
//  { 0x77D9, "" },
//  { 0x77DA, "" },
//  { 0x77DB, "" },
//  { 0x77DC, "" },
//  { 0x77DD, "" },
//  { 0x77DE, "" },
//  { 0x77DF, "" },
//  { 0x77E0, "" },
//  { 0x77E1, "" },
//  { 0x77E2, "" },
//  { 0x77E3, "" },
//  { 0x77E4, "" },
//  { 0x77E5, "" },
//  { 0x77E6, "" },
//  { 0x77E7, "" },
//  { 0x77E8, "" },
//  { 0x77E9, "" },
//  { 0x77EA, "" },
//  { 0x77EB, "" },
//  { 0x77EC, "" },
//  { 0x77ED, "" },
//  { 0x77EE, "" },
//  { 0x77EF, "" },
//  { 0x77F0, "" },
//  { 0x77F1, "" },
//  { 0x77F2, "" },
//  { 0x77F3, "" },
//  { 0x77F4, "" },
//  { 0x77F5, "" },
//  { 0x77F6, "" },
//  { 0x77F7, "" },
//  { 0x77F8, "" },
//  { 0x77F9, "" },
//  { 0x77FA, "" },
//  { 0x77FB, "" },
//  { 0x77FC, "" },
//  { 0x77FD, "" },
//  { 0x77FE, "" },
//  { 0x77FF, "" },
//  { 0x7800, "" },
//  { 0x7801, "" },
//  { 0x7802, "" },
//  { 0x7803, "" },
//  { 0x7804, "" },
//  { 0x7805, "" },
//  { 0x7806, "" },
//  { 0x7807, "" },
//  { 0x7808, "" },
//  { 0x7809, "" },
//  { 0x780A, "" },
//  { 0x780B, "" },
//  { 0x780C, "" },
//  { 0x780D, "" },
//  { 0x780E, "" },
//  { 0x780F, "" },
//  { 0x7810, "" },
//  { 0x7811, "" },
//  { 0x7812, "" },
//  { 0x7813, "" },
//  { 0x7814, "" },
//  { 0x7815, "" },
//  { 0x7816, "" },
//  { 0x7817, "" },
//  { 0x7818, "" },
//  { 0x7819, "" },
//  { 0x781A, "" },
//  { 0x781B, "" },
//  { 0x781C, "" },
//  { 0x781D, "" },
//  { 0x781E, "" },
//  { 0x781F, "" },
//  { 0x7820, "" },
//  { 0x7821, "" },
//  { 0x7822, "" },
//  { 0x7823, "" },
//  { 0x7824, "" },
//  { 0x7825, "" },
//  { 0x7826, "" },
//  { 0x7827, "" },
//  { 0x7828, "" },
//  { 0x7829, "" },
//  { 0x782A, "" },
//  { 0x782B, "" },
//  { 0x782C, "" },
//  { 0x782D, "" },
//  { 0x782E, "" },
//  { 0x782F, "" },
//  { 0x7830, "" },
//  { 0x7831, "" },
//  { 0x7832, "" },
//  { 0x7833, "" },
//  { 0x7834, "" },
//  { 0x7835, "" },
//  { 0x7836, "" },
//  { 0x7837, "" },
//  { 0x7838, "" },
//  { 0x7839, "" },
//  { 0x783A, "" },
//  { 0x783B, "" },
//  { 0x783C, "" },
//  { 0x783D, "" },
//  { 0x783E, "" },
//  { 0x783F, "" },
//  { 0x7840, "" },
//  { 0x7841, "" },
//  { 0x7842, "" },
//  { 0x7843, "" },
//  { 0x7844, "" },
//  { 0x7845, "" },
//  { 0x7846, "" },
//  { 0x7847, "" },
//  { 0x7848, "" },
//  { 0x7849, "" },
//  { 0x784A, "" },
//  { 0x784B, "" },
//  { 0x784C, "" },
//  { 0x784D, "" },
//  { 0x784E, "" },
//  { 0x784F, "" },
//  { 0x7850, "" },
//  { 0x7851, "" },
//  { 0x7852, "" },
//  { 0x7853, "" },
//  { 0x7854, "" },
//  { 0x7855, "" },
//  { 0x7856, "" },
//  { 0x7857, "" },
//  { 0x7858, "" },
//  { 0x7859, "" },
//  { 0x785A, "" },
//  { 0x785B, "" },
//  { 0x785C, "" },
//  { 0x785D, "" },
//  { 0x785E, "" },
//  { 0x785F, "" },
//  { 0x7860, "" },
//  { 0x7861, "" },
//  { 0x7862, "" },
//  { 0x7863, "" },
//  { 0x7864, "" },
//  { 0x7865, "" },
//  { 0x7866, "" },
//  { 0x7867, "" },
//  { 0x7868, "" },
//  { 0x7869, "" },
//  { 0x786A, "" },
//  { 0x786B, "" },
//  { 0x786C, "" },
//  { 0x786D, "" },
//  { 0x786E, "" },
//  { 0x786F, "" },
//  { 0x7870, "" },
//  { 0x7871, "" },
//  { 0x7872, "" },
//  { 0x7873, "" },
//  { 0x7874, "" },
//  { 0x7875, "" },
//  { 0x7876, "" },
//  { 0x7877, "" },
//  { 0x7878, "" },
//  { 0x7879, "" },
//  { 0x787A, "" },
//  { 0x787B, "" },
//  { 0x787C, "" },
//  { 0x787D, "" },
//  { 0x787E, "" },
//  { 0x787F, "" },
//  { 0x7880, "" },
//  { 0x7881, "" },
//  { 0x7882, "" },
//  { 0x7883, "" },
//  { 0x7884, "" },
//  { 0x7885, "" },
//  { 0x7886, "" },
//  { 0x7887, "" },
//  { 0x7888, "" },
//  { 0x7889, "" },
//  { 0x788A, "" },
//  { 0x788B, "" },
//  { 0x788C, "" },
//  { 0x788D, "" },
//  { 0x788E, "" },
//  { 0x788F, "" },
//  { 0x7890, "" },
//  { 0x7891, "" },
//  { 0x7892, "" },
//  { 0x7893, "" },
//  { 0x7894, "" },
//  { 0x7895, "" },
//  { 0x7896, "" },
//  { 0x7897, "" },
//  { 0x7898, "" },
//  { 0x7899, "" },
//  { 0x789A, "" },
//  { 0x789B, "" },
//  { 0x789C, "" },
//  { 0x789D, "" },
//  { 0x789E, "" },
//  { 0x789F, "" },
//  { 0x78A0, "" },
//  { 0x78A1, "" },
//  { 0x78A2, "" },
//  { 0x78A3, "" },
//  { 0x78A4, "" },
//  { 0x78A5, "" },
//  { 0x78A6, "" },
//  { 0x78A7, "" },
//  { 0x78A8, "" },
//  { 0x78A9, "" },
//  { 0x78AA, "" },
//  { 0x78AB, "" },
//  { 0x78AC, "" },
//  { 0x78AD, "" },
//  { 0x78AE, "" },
//  { 0x78AF, "" },
//  { 0x78B0, "" },
//  { 0x78B1, "" },
//  { 0x78B2, "" },
//  { 0x78B3, "" },
//  { 0x78B4, "" },
//  { 0x78B5, "" },
//  { 0x78B6, "" },
//  { 0x78B7, "" },
//  { 0x78B8, "" },
//  { 0x78B9, "" },
//  { 0x78BA, "" },
//  { 0x78BB, "" },
//  { 0x78BC, "" },
//  { 0x78BD, "" },
//  { 0x78BE, "" },
//  { 0x78BF, "" },
//  { 0x78C0, "" },
//  { 0x78C1, "" },
//  { 0x78C2, "" },
//  { 0x78C3, "" },
//  { 0x78C4, "" },
//  { 0x78C5, "" },
//  { 0x78C6, "" },
//  { 0x78C7, "" },
//  { 0x78C8, "" },
//  { 0x78C9, "" },
//  { 0x78CA, "" },
//  { 0x78CB, "" },
//  { 0x78CC, "" },
//  { 0x78CD, "" },
//  { 0x78CE, "" },
//  { 0x78CF, "" },
//  { 0x78D0, "" },
//  { 0x78D1, "" },
//  { 0x78D2, "" },
//  { 0x78D3, "" },
//  { 0x78D4, "" },
//  { 0x78D5, "" },
//  { 0x78D6, "" },
//  { 0x78D7, "" },
//  { 0x78D8, "" },
//  { 0x78D9, "" },
//  { 0x78DA, "" },
//  { 0x78DB, "" },
//  { 0x78DC, "" },
//  { 0x78DD, "" },
//  { 0x78DE, "" },
//  { 0x78DF, "" },
//  { 0x78E0, "" },
//  { 0x78E1, "" },
//  { 0x78E2, "" },
//  { 0x78E3, "" },
//  { 0x78E4, "" },
//  { 0x78E5, "" },
//  { 0x78E6, "" },
//  { 0x78E7, "" },
//  { 0x78E8, "" },
//  { 0x78E9, "" },
//  { 0x78EA, "" },
//  { 0x78EB, "" },
//  { 0x78EC, "" },
//  { 0x78ED, "" },
//  { 0x78EE, "" },
//  { 0x78EF, "" },
//  { 0x78F0, "" },
//  { 0x78F1, "" },
//  { 0x78F2, "" },
//  { 0x78F3, "" },
//  { 0x78F4, "" },
//  { 0x78F5, "" },
//  { 0x78F6, "" },
//  { 0x78F7, "" },
//  { 0x78F8, "" },
//  { 0x78F9, "" },
//  { 0x78FA, "" },
//  { 0x78FB, "" },
//  { 0x78FC, "" },
//  { 0x78FD, "" },
//  { 0x78FE, "" },
//  { 0x78FF, "" },
//  { 0x7900, "" },
//  { 0x7901, "" },
//  { 0x7902, "" },
//  { 0x7903, "" },
//  { 0x7904, "" },
//  { 0x7905, "" },
//  { 0x7906, "" },
//  { 0x7907, "" },
//  { 0x7908, "" },
//  { 0x7909, "" },
//  { 0x790A, "" },
//  { 0x790B, "" },
//  { 0x790C, "" },
//  { 0x790D, "" },
//  { 0x790E, "" },
//  { 0x790F, "" },
//  { 0x7910, "" },
//  { 0x7911, "" },
//  { 0x7912, "" },
//  { 0x7913, "" },
//  { 0x7914, "" },
//  { 0x7915, "" },
//  { 0x7916, "" },
//  { 0x7917, "" },
//  { 0x7918, "" },
//  { 0x7919, "" },
//  { 0x791A, "" },
//  { 0x791B, "" },
//  { 0x791C, "" },
//  { 0x791D, "" },
//  { 0x791E, "" },
//  { 0x791F, "" },
//  { 0x7920, "" },
//  { 0x7921, "" },
//  { 0x7922, "" },
//  { 0x7923, "" },
//  { 0x7924, "" },
//  { 0x7925, "" },
//  { 0x7926, "" },
//  { 0x7927, "" },
//  { 0x7928, "" },
//  { 0x7929, "" },
//  { 0x792A, "" },
//  { 0x792B, "" },
//  { 0x792C, "" },
//  { 0x792D, "" },
//  { 0x792E, "" },
//  { 0x792F, "" },
//  { 0x7930, "" },
//  { 0x7931, "" },
//  { 0x7932, "" },
//  { 0x7933, "" },
//  { 0x7934, "" },
//  { 0x7935, "" },
//  { 0x7936, "" },
//  { 0x7937, "" },
//  { 0x7938, "" },
//  { 0x7939, "" },
//  { 0x793A, "" },
//  { 0x793B, "" },
//  { 0x793C, "" },
//  { 0x793D, "" },
//  { 0x793E, "" },
//  { 0x793F, "" },
//  { 0x7940, "" },
//  { 0x7941, "" },
//  { 0x7942, "" },
//  { 0x7943, "" },
//  { 0x7944, "" },
//  { 0x7945, "" },
//  { 0x7946, "" },
//  { 0x7947, "" },
//  { 0x7948, "" },
//  { 0x7949, "" },
//  { 0x794A, "" },
//  { 0x794B, "" },
//  { 0x794C, "" },
//  { 0x794D, "" },
//  { 0x794E, "" },
//  { 0x794F, "" },
//  { 0x7950, "" },
//  { 0x7951, "" },
//  { 0x7952, "" },
//  { 0x7953, "" },
//  { 0x7954, "" },
//  { 0x7955, "" },
//  { 0x7956, "" },
//  { 0x7957, "" },
//  { 0x7958, "" },
//  { 0x7959, "" },
//  { 0x795A, "" },
//  { 0x795B, "" },
//  { 0x795C, "" },
//  { 0x795D, "" },
//  { 0x795E, "" },
//  { 0x795F, "" },
//  { 0x7960, "" },
    { 0x7961, "setup_pillar_exploders" },
//  { 0x7962, "" },
//  { 0x7963, "" },
//  { 0x7964, "" },
//  { 0x7965, "" },
    { 0x7966, "setup_subway_cart_enemy" },
//  { 0x7967, "" },
//  { 0x7968, "" },
//  { 0x7969, "" },
//  { 0x796A, "" },
//  { 0x796B, "" },
//  { 0x796C, "" },
//  { 0x796D, "" },
//  { 0x796E, "" },
//  { 0x796F, "" },
//  { 0x7970, "" },
//  { 0x7971, "" },
//  { 0x7972, "" },
//  { 0x7973, "" },
//  { 0x7974, "" },
//  { 0x7975, "" },
//  { 0x7976, "" },
//  { 0x7977, "" },
//  { 0x7978, "" },
//  { 0x7979, "" },
//  { 0x797A, "" },
//  { 0x797B, "" },
//  { 0x797C, "" },
//  { 0x797D, "" },
//  { 0x797E, "" },
//  { 0x797F, "" },
//  { 0x7980, "" },
//  { 0x7981, "" },
//  { 0x7982, "" },
//  { 0x7983, "" },
//  { 0x7984, "" },
//  { 0x7985, "" },
//  { 0x7986, "" },
//  { 0x7987, "" },
//  { 0x7988, "" },
//  { 0x7989, "" },
//  { 0x798A, "" },
//  { 0x798B, "" },
//  { 0x798C, "" },
//  { 0x798D, "" },
//  { 0x798E, "" },
//  { 0x798F, "" },
//  { 0x7990, "" },
//  { 0x7991, "" },
//  { 0x7992, "" },
//  { 0x7993, "" },
//  { 0x7994, "" },
//  { 0x7995, "" },
//  { 0x7996, "" },
//  { 0x7997, "" },
//  { 0x7998, "" },
//  { 0x7999, "" },
//  { 0x799A, "" },
//  { 0x799B, "" },
//  { 0x799C, "" },
//  { 0x799D, "" },
//  { 0x799E, "" },
//  { 0x799F, "" },
//  { 0x79A0, "" },
//  { 0x79A1, "" },
//  { 0x79A2, "" },
//  { 0x79A3, "" },
//  { 0x79A4, "" },
//  { 0x79A5, "" },
//  { 0x79A6, "" },
//  { 0x79A7, "" },
//  { 0x79A8, "" },
//  { 0x79A9, "" },
//  { 0x79AA, "" },
//  { 0x79AB, "" },
//  { 0x79AC, "" },
//  { 0x79AD, "" },
//  { 0x79AE, "" },
//  { 0x79AF, "" },
//  { 0x79B0, "" },
//  { 0x79B1, "" },
//  { 0x79B2, "" },
//  { 0x79B3, "" },
//  { 0x79B4, "" },
//  { 0x79B5, "" },
//  { 0x79B6, "" },
//  { 0x79B7, "" },
//  { 0x79B8, "" },
//  { 0x79B9, "" },
//  { 0x79BA, "" },
//  { 0x79BB, "" },
//  { 0x79BC, "" },
//  { 0x79BD, "" },
//  { 0x79BE, "" },
//  { 0x79BF, "" },
//  { 0x79C0, "" },
//  { 0x79C1, "" },
//  { 0x79C2, "" },
//  { 0x79C3, "" },
//  { 0x79C4, "" },
//  { 0x79C5, "" },
//  { 0x79C6, "" },
//  { 0x79C7, "" },
//  { 0x79C8, "" },
//  { 0x79C9, "" },
//  { 0x79CA, "" },
    { 0x79CB, "train_one_flyby_1_spawn" },
    { 0x79CC, "train_one_flyby_2_spawn" },
//  { 0x79CD, "" },
//  { 0x79CE, "" },
//  { 0x79CF, "" },
//  { 0x79D0, "" },
//  { 0x79D1, "" },
//  { 0x79D2, "" },
//  { 0x79D3, "" },
//  { 0x79D4, "" },
//  { 0x79D5, "" },
//  { 0x79D6, "" },
   { 0x79D7, "player_pushes_stick_for_a_bit" },
//  { 0x79D8, "" },
//  { 0x79D9, "" },
//  { 0x79DA, "" },
//  { 0x79DB, "" },
//  { 0x79DC, "" },
//  { 0x79DD, "" },
    { 0x79DE, "init_tunnels" },
    { 0x79DF, "truck_trigger_by_jump" },
    { 0x79E0, "scn_london_subway_truck_trans" },
    { 0x79E1, "position_friendlies_at_fight_to_train" },
    { 0x79E2, "tunnels_godmode_guys" },
    { 0x79E3, "position_friendlies_at_fight_to_train_thread" },
    { 0x79E4, "cleanup_junk_from_docs" },
    { 0x79E5, "truck_start_work_around" },
    { 0x79E6, "train_chase_intro" },
    { 0x79E7, "train_chase" },
    { 0x79E8, "train_chase_transition" },
    { 0x79E9, "guys_trickle_into_train" },
    { 0x79EA, "start_train_on_track" },
    { 0x79EB, "close_doors_of_enemy_train_on_track" },
    { 0x79EC, "player_ride_link_player" },
    { 0x79ED, "player_crash_truck" },
    { 0x79EE, "player_origin_before" },
    { 0x79EF, "player_origin_after" },
    { 0x79F0, "player_ride_headlight" },
    { 0x79F1, "players_truck_headlight" },
    { 0x79F2, "player_uses_truck" },
//  { 0x79F3, "" },
//  { 0x79F4, "" },
//  { 0x79F5, "" },
//  { 0x79F6, "" },
//  { 0x79F7, "" },
//  { 0x79F8, "" },
//  { 0x79F9, "" },
//  { 0x79FA, "" },
//  { 0x79FB, "" },
//  { 0x79FC, "" },
//  { 0x79FD, "" },
//  { 0x79FE, "" },
//  { 0x79FF, "" },
//  { 0x7A00, "" },
//  { 0x7A01, "" },
//  { 0x7A02, "" },
//  { 0x7A03, "" },
//  { 0x7A04, "" },
//  { 0x7A05, "" },
//  { 0x7A06, "" },
//  { 0x7A07, "" },
//  { 0x7A08, "" },
//  { 0x7A09, "" },
//  { 0x7A0A, "" },
//  { 0x7A0B, "" },
//  { 0x7A0C, "" },
//  { 0x7A0D, "" },
//  { 0x7A0E, "" },
//  { 0x7A0F, "" },
//  { 0x7A10, "" },
//  { 0x7A11, "" },
//  { 0x7A12, "" },
//  { 0x7A13, "" },
//  { 0x7A14, "" },
//  { 0x7A15, "" },
//  { 0x7A16, "" },
//  { 0x7A17, "" },
//  { 0x7A18, "" },
//  { 0x7A19, "" },
//  { 0x7A1A, "" },
//  { 0x7A1B, "" },
//  { 0x7A1C, "" },
//  { 0x7A1D, "" },
//  { 0x7A1E, "" },
//  { 0x7A1F, "" },
//  { 0x7A20, "" },
//  { 0x7A21, "" },
//  { 0x7A22, "" },
//  { 0x7A23, "" },
//  { 0x7A24, "" },
//  { 0x7A25, "" },
//  { 0x7A26, "" },
//  { 0x7A27, "" },
//  { 0x7A28, "" },
//  { 0x7A29, "" },
//  { 0x7A2A, "" },
//  { 0x7A2B, "" },
//  { 0x7A2C, "" },
//  { 0x7A2D, "" },
//  { 0x7A2E, "" },
//  { 0x7A2F, "" },
//  { 0x7A30, "" },
//  { 0x7A31, "" },
//  { 0x7A32, "" },
//  { 0x7A33, "" },
//  { 0x7A34, "" },
//  { 0x7A35, "" },
//  { 0x7A36, "" },
//  { 0x7A37, "" },
//  { 0x7A38, "" },
//  { 0x7A39, "" },
//  { 0x7A3A, "" },
//  { 0x7A3B, "" },
//  { 0x7A3C, "" },
//  { 0x7A3D, "" },
//  { 0x7A3E, "" },
//  { 0x7A3F, "" },
//  { 0x7A40, "" },
//  { 0x7A41, "" },
//  { 0x7A42, "" },
//  { 0x7A43, "" },
//  { 0x7A44, "" },
//  { 0x7A45, "" },
//  { 0x7A46, "" },
//  { 0x7A47, "" },
//  { 0x7A48, "" },
//  { 0x7A49, "" },
//  { 0x7A4A, "" },
//  { 0x7A4B, "" },
//  { 0x7A4C, "" },
//  { 0x7A4D, "" },
//  { 0x7A4E, "" },
//  { 0x7A4F, "" },
//  { 0x7A50, "" },
//  { 0x7A51, "" },
//  { 0x7A52, "" },
//  { 0x7A53, "" },
//  { 0x7A54, "" },
//  { 0x7A55, "" },
//  { 0x7A56, "" },
//  { 0x7A57, "" },
//  { 0x7A58, "" },
//  { 0x7A59, "" },
//  { 0x7A5A, "" },
//  { 0x7A5B, "" },
//  { 0x7A5C, "" },
//  { 0x7A5D, "" },
//  { 0x7A5E, "" },
//  { 0x7A5F, "" },
//  { 0x7A60, "" },
//  { 0x7A61, "" },
//  { 0x7A62, "" },
//  { 0x7A63, "" },
//  { 0x7A64, "" },
//  { 0x7A65, "" },
//  { 0x7A66, "" },
//  { 0x7A67, "" },
//  { 0x7A68, "" },
//  { 0x7A69, "" },
//  { 0x7A6A, "" },
//  { 0x7A6B, "" },
//  { 0x7A6C, "" },
//  { 0x7A6D, "" },
//  { 0x7A6E, "" },
//  { 0x7A6F, "" },
//  { 0x7A70, "" },
//  { 0x7A71, "" },
//  { 0x7A72, "" },
//  { 0x7A73, "" },
//  { 0x7A74, "" },
//  { 0x7A75, "" },
//  { 0x7A76, "" },
//  { 0x7A77, "" },
    { 0x7A78, "maps/createart/prague_escape_art" },
//  { 0x7A79, "" },
//  { 0x7A7A, "" },
//  { 0x7A7B, "" },
//  { 0x7A7C, "" },
//  { 0x7A7D, "" },
//  { 0x7A7E, "" },
//  { 0x7A7F, "" },
//  { 0x7A80, "" },
//  { 0x7A81, "" },
//  { 0x7A82, "" },
//  { 0x7A83, "" },
//  { 0x7A84, "" },
//  { 0x7A85, "" },
//  { 0x7A86, "" },
//  { 0x7A87, "" },
//  { 0x7A88, "" },
//  { 0x7A89, "" },
//  { 0x7A8A, "" },
//  { 0x7A8B, "" },
//  { 0x7A8C, "" },
//  { 0x7A8D, "" },
//  { 0x7A8E, "" },
//  { 0x7A8F, "" },
//  { 0x7A90, "" },
//  { 0x7A91, "" },
//  { 0x7A92, "" },
//  { 0x7A93, "" },
//  { 0x7A94, "" },
//  { 0x7A95, "" },
//  { 0x7A96, "" },
//  { 0x7A97, "" },
//  { 0x7A98, "" },
//  { 0x7A99, "" },
//  { 0x7A9A, "" },
//  { 0x7A9B, "" },
//  { 0x7A9C, "" },
//  { 0x7A9D, "" },
//  { 0x7A9E, "" },
//  { 0x7A9F, "" },
//  { 0x7AA0, "" },
//  { 0x7AA1, "" },
//  { 0x7AA2, "" },
//  { 0x7AA3, "" },
//  { 0x7AA4, "" },
//  { 0x7AA5, "" },
//  { 0x7AA6, "" },
//  { 0x7AA7, "" },
//  { 0x7AA8, "" },
//  { 0x7AA9, "" },
//  { 0x7AAA, "" },
//  { 0x7AAB, "" },
//  { 0x7AAC, "" },
//  { 0x7AAD, "" },
//  { 0x7AAE, "" },
//  { 0x7AAF, "" },
//  { 0x7AB0, "" },
//  { 0x7AB1, "" },
//  { 0x7AB2, "" },
//  { 0x7AB3, "" },
//  { 0x7AB4, "" },
//  { 0x7AB5, "" },
//  { 0x7AB6, "" },
//  { 0x7AB7, "" },
//  { 0x7AB8, "" },
//  { 0x7AB9, "" },
//  { 0x7ABA, "" },
//  { 0x7ABB, "" },
//  { 0x7ABC, "" },
//  { 0x7ABD, "" },
//  { 0x7ABE, "" },
//  { 0x7ABF, "" },
//  { 0x7AC0, "" },
//  { 0x7AC1, "" },
//  { 0x7AC2, "" },
//  { 0x7AC3, "" },
//  { 0x7AC4, "" },
//  { 0x7AC5, "" },
//  { 0x7AC6, "" },
//  { 0x7AC7, "" },
//  { 0x7AC8, "" },
//  { 0x7AC9, "" },
//  { 0x7ACA, "" },
//  { 0x7ACB, "" },
//  { 0x7ACC, "" },
//  { 0x7ACD, "" },
//  { 0x7ACE, "" },
//  { 0x7ACF, "" },
//  { 0x7AD0, "" },
//  { 0x7AD1, "" },
//  { 0x7AD2, "" },
//  { 0x7AD3, "" },
//  { 0x7AD4, "" },
//  { 0x7AD5, "" },
//  { 0x7AD6, "" },
//  { 0x7AD7, "" },
//  { 0x7AD8, "" },
//  { 0x7AD9, "" },
//  { 0x7ADA, "" },
//  { 0x7ADB, "" },
//  { 0x7ADC, "" },
//  { 0x7ADD, "" },
//  { 0x7ADE, "" },
//  { 0x7ADF, "" },
//  { 0x7AE0, "" },
//  { 0x7AE1, "" },
//  { 0x7AE2, "" },
//  { 0x7AE3, "" },
//  { 0x7AE4, "" },
//  { 0x7AE5, "" },
//  { 0x7AE6, "" },
//  { 0x7AE7, "" },
//  { 0x7AE8, "" },
//  { 0x7AE9, "" },
//  { 0x7AEA, "" },
//  { 0x7AEB, "" },
//  { 0x7AEC, "" },
//  { 0x7AED, "" },
//  { 0x7AEE, "" },
//  { 0x7AEF, "" },
//  { 0x7AF0, "" },
//  { 0x7AF1, "" },
//  { 0x7AF2, "" },
//  { 0x7AF3, "" },
//  { 0x7AF4, "" },
//  { 0x7AF5, "" },
//  { 0x7AF6, "" },
//  { 0x7AF7, "" },
//  { 0x7AF8, "" },
//  { 0x7AF9, "" },
//  { 0x7AFA, "" },
//  { 0x7AFB, "" },
//  { 0x7AFC, "" },
//  { 0x7AFD, "" },
//  { 0x7AFE, "" },
//  { 0x7AFF, "" },
//  { 0x7B00, "" },
//  { 0x7B01, "" },
//  { 0x7B02, "" },
//  { 0x7B03, "" },
//  { 0x7B04, "" },
//  { 0x7B05, "" },
//  { 0x7B06, "" },
//  { 0x7B07, "" },
//  { 0x7B08, "" },
//  { 0x7B09, "" },
//  { 0x7B0A, "" },
//  { 0x7B0B, "" },
//  { 0x7B0C, "" },
//  { 0x7B0D, "" },
//  { 0x7B0E, "" },
//  { 0x7B0F, "" },
//  { 0x7B10, "" },
//  { 0x7B11, "" },
//  { 0x7B12, "" },
//  { 0x7B13, "" },
//  { 0x7B14, "" },
//  { 0x7B15, "" },
//  { 0x7B16, "" },
//  { 0x7B17, "" },
//  { 0x7B18, "" },
//  { 0x7B19, "" },
//  { 0x7B1A, "" },
//  { 0x7B1B, "" },
//  { 0x7B1C, "" },
//  { 0x7B1D, "" },
//  { 0x7B1E, "" },
//  { 0x7B1F, "" },
//  { 0x7B20, "" },
//  { 0x7B21, "" },
//  { 0x7B22, "" },
//  { 0x7B23, "" },
//  { 0x7B24, "" },
//  { 0x7B25, "" },
//  { 0x7B26, "" },
//  { 0x7B27, "" },
//  { 0x7B28, "" },
//  { 0x7B29, "" },
//  { 0x7B2A, "" },
//  { 0x7B2B, "" },
//  { 0x7B2C, "" },
//  { 0x7B2D, "" },
//  { 0x7B2E, "" },
//  { 0x7B2F, "" },
//  { 0x7B30, "" },
//  { 0x7B31, "" },
//  { 0x7B32, "" },
//  { 0x7B33, "" },
//  { 0x7B34, "" },
//  { 0x7B35, "" },
//  { 0x7B36, "" },
//  { 0x7B37, "" },
//  { 0x7B38, "" },
//  { 0x7B39, "" },
//  { 0x7B3A, "" },
//  { 0x7B3B, "" },
//  { 0x7B3C, "" },
//  { 0x7B3D, "" },
//  { 0x7B3E, "" },
//  { 0x7B3F, "" },
//  { 0x7B40, "" },
//  { 0x7B41, "" },
//  { 0x7B42, "" },
//  { 0x7B43, "" },
//  { 0x7B44, "" },
//  { 0x7B45, "" },
//  { 0x7B46, "" },
//  { 0x7B47, "" },
//  { 0x7B48, "" },
//  { 0x7B49, "" },
//  { 0x7B4A, "" },
//  { 0x7B4B, "" },
//  { 0x7B4C, "" },
//  { 0x7B4D, "" },
//  { 0x7B4E, "" },
//  { 0x7B4F, "" },
//  { 0x7B50, "" },
//  { 0x7B51, "" },
//  { 0x7B52, "" },
//  { 0x7B53, "" },
//  { 0x7B54, "" },
//  { 0x7B55, "" },
//  { 0x7B56, "" },
//  { 0x7B57, "" },
//  { 0x7B58, "" },
//  { 0x7B59, "" },
//  { 0x7B5A, "" },
//  { 0x7B5B, "" },
//  { 0x7B5C, "" },
//  { 0x7B5D, "" },
//  { 0x7B5E, "" },
//  { 0x7B5F, "" },
//  { 0x7B60, "" },
//  { 0x7B61, "" },
//  { 0x7B62, "" },
//  { 0x7B63, "" },
//  { 0x7B64, "" },
//  { 0x7B65, "" },
//  { 0x7B66, "" },
//  { 0x7B67, "" },
//  { 0x7B68, "" },
//  { 0x7B69, "" },
//  { 0x7B6A, "" },
//  { 0x7B6B, "" },
//  { 0x7B6C, "" },
//  { 0x7B6D, "" },
//  { 0x7B6E, "" },
//  { 0x7B6F, "" },
//  { 0x7B70, "" },
//  { 0x7B71, "" },
//  { 0x7B72, "" },
//  { 0x7B73, "" },
//  { 0x7B74, "" },
//  { 0x7B75, "" },
//  { 0x7B76, "" },
//  { 0x7B77, "" },
//  { 0x7B78, "" },
//  { 0x7B79, "" },
//  { 0x7B7A, "" },
//  { 0x7B7B, "" },
//  { 0x7B7C, "" },
//  { 0x7B7D, "" },
//  { 0x7B7E, "" },
//  { 0x7B7F, "" },
//  { 0x7B80, "" },
//  { 0x7B81, "" },
//  { 0x7B82, "" },
//  { 0x7B83, "" },
//  { 0x7B84, "" },
//  { 0x7B85, "" },
//  { 0x7B86, "" },
//  { 0x7B87, "" },
//  { 0x7B88, "" },
//  { 0x7B89, "" },
//  { 0x7B8A, "" },
//  { 0x7B8B, "" },
//  { 0x7B8C, "" },
//  { 0x7B8D, "" },
//  { 0x7B8E, "" },
//  { 0x7B8F, "" },
//  { 0x7B90, "" },
//  { 0x7B91, "" },
//  { 0x7B92, "" },
//  { 0x7B93, "" },
//  { 0x7B94, "" },
//  { 0x7B95, "" },
//  { 0x7B96, "" },
//  { 0x7B97, "" },
//  { 0x7B98, "" },
//  { 0x7B99, "" },
//  { 0x7B9A, "" },
//  { 0x7B9B, "" },
//  { 0x7B9C, "" },
//  { 0x7B9D, "" },
//  { 0x7B9E, "" },
//  { 0x7B9F, "" },
//  { 0x7BA0, "" },
//  { 0x7BA1, "" },
//  { 0x7BA2, "" },
//  { 0x7BA3, "" },
//  { 0x7BA4, "" },
//  { 0x7BA5, "" },
//  { 0x7BA6, "" },
//  { 0x7BA7, "" },
//  { 0x7BA8, "" },
//  { 0x7BA9, "" },
//  { 0x7BAA, "" },
//  { 0x7BAB, "" },
//  { 0x7BAC, "" },
//  { 0x7BAD, "" },
//  { 0x7BAE, "" },
//  { 0x7BAF, "" },
//  { 0x7BB0, "" },
//  { 0x7BB1, "" },
//  { 0x7BB2, "" },
//  { 0x7BB3, "" },
//  { 0x7BB4, "" },
//  { 0x7BB5, "" },
//  { 0x7BB6, "" },
//  { 0x7BB7, "" },
//  { 0x7BB8, "" },
//  { 0x7BB9, "" },
//  { 0x7BBA, "" },
//  { 0x7BBB, "" },
//  { 0x7BBC, "" },
//  { 0x7BBD, "" },
//  { 0x7BBE, "" },
//  { 0x7BBF, "" },
//  { 0x7BC0, "" },
//  { 0x7BC1, "" },
//  { 0x7BC2, "" },
//  { 0x7BC3, "" },
//  { 0x7BC4, "" },
//  { 0x7BC5, "" },
//  { 0x7BC6, "" },
//  { 0x7BC7, "" },
//  { 0x7BC8, "" },
//  { 0x7BC9, "" },
//  { 0x7BCA, "" },
//  { 0x7BCB, "" },
//  { 0x7BCC, "" },
//  { 0x7BCD, "" },
//  { 0x7BCE, "" },
//  { 0x7BCF, "" },
//  { 0x7BD0, "" },
//  { 0x7BD1, "" },
//  { 0x7BD2, "" },
//  { 0x7BD3, "" },
//  { 0x7BD4, "" },
//  { 0x7BD5, "" },
//  { 0x7BD6, "" },
//  { 0x7BD7, "" },
//  { 0x7BD8, "" },
//  { 0x7BD9, "" },
//  { 0x7BDA, "" },
//  { 0x7BDB, "" },
//  { 0x7BDC, "" },
//  { 0x7BDD, "" },
//  { 0x7BDE, "" },
//  { 0x7BDF, "" },
//  { 0x7BE0, "" },
//  { 0x7BE1, "" },
//  { 0x7BE2, "" },
//  { 0x7BE3, "" },
//  { 0x7BE4, "" },
//  { 0x7BE5, "" },
//  { 0x7BE6, "" },
//  { 0x7BE7, "" },
//  { 0x7BE8, "" },
//  { 0x7BE9, "" },
//  { 0x7BEA, "" },
//  { 0x7BEB, "" },
//  { 0x7BEC, "" },
//  { 0x7BED, "" },
//  { 0x7BEE, "" },
//  { 0x7BEF, "" },
//  { 0x7BF0, "" },
//  { 0x7BF1, "" },
//  { 0x7BF2, "" },
//  { 0x7BF3, "" },
//  { 0x7BF4, "" },
//  { 0x7BF5, "" },
//  { 0x7BF6, "" },
//  { 0x7BF7, "" },
//  { 0x7BF8, "" },
//  { 0x7BF9, "" },
//  { 0x7BFA, "" },
//  { 0x7BFB, "" },
//  { 0x7BFC, "" },
//  { 0x7BFD, "" },
//  { 0x7BFE, "" },
//  { 0x7BFF, "" },
//  { 0x7C00, "" },
//  { 0x7C01, "" },
//  { 0x7C02, "" },
//  { 0x7C03, "" },
//  { 0x7C04, "" },
//  { 0x7C05, "" },
//  { 0x7C06, "" },
//  { 0x7C07, "" },
//  { 0x7C08, "" },
//  { 0x7C09, "" },
//  { 0x7C0A, "" },
//  { 0x7C0B, "" },
//  { 0x7C0C, "" },
//  { 0x7C0D, "" },
//  { 0x7C0E, "" },
//  { 0x7C0F, "" },
//  { 0x7C10, "" },
//  { 0x7C11, "" },
//  { 0x7C12, "" },
//  { 0x7C13, "" },
//  { 0x7C14, "" },
//  { 0x7C15, "" },
//  { 0x7C16, "" },
//  { 0x7C17, "" },
//  { 0x7C18, "" },
//  { 0x7C19, "" },
//  { 0x7C1A, "" },
//  { 0x7C1B, "" },
//  { 0x7C1C, "" },
//  { 0x7C1D, "" },
//  { 0x7C1E, "" },
//  { 0x7C1F, "" },
//  { 0x7C20, "" },
//  { 0x7C21, "" },
//  { 0x7C22, "" },
//  { 0x7C23, "" },
//  { 0x7C24, "" },
//  { 0x7C25, "" },
//  { 0x7C26, "" },
//  { 0x7C27, "" },
//  { 0x7C28, "" },
//  { 0x7C29, "" },
//  { 0x7C2A, "" },
//  { 0x7C2B, "" },
//  { 0x7C2C, "" },
//  { 0x7C2D, "" },
//  { 0x7C2E, "" },
//  { 0x7C2F, "" },
//  { 0x7C30, "" },
//  { 0x7C31, "" },
//  { 0x7C32, "" },
//  { 0x7C33, "" },
//  { 0x7C34, "" },
//  { 0x7C35, "" },
//  { 0x7C36, "" },
//  { 0x7C37, "" },
//  { 0x7C38, "" },
//  { 0x7C39, "" },
//  { 0x7C3A, "" },
//  { 0x7C3B, "" },
//  { 0x7C3C, "" },
//  { 0x7C3D, "" },
//  { 0x7C3E, "" },
//  { 0x7C3F, "" },
//  { 0x7C40, "" },
//  { 0x7C41, "" },
//  { 0x7C42, "" },
//  { 0x7C43, "" },
//  { 0x7C44, "" },
//  { 0x7C45, "" },
//  { 0x7C46, "" },
//  { 0x7C47, "" },
//  { 0x7C48, "" },
//  { 0x7C49, "" },
//  { 0x7C4A, "" },
//  { 0x7C4B, "" },
//  { 0x7C4C, "" },
//  { 0x7C4D, "" },
//  { 0x7C4E, "" },
//  { 0x7C4F, "" },
//  { 0x7C50, "" },
//  { 0x7C51, "" },
//  { 0x7C52, "" },
//  { 0x7C53, "" },
//  { 0x7C54, "" },
//  { 0x7C55, "" },
//  { 0x7C56, "" },
//  { 0x7C57, "" },
//  { 0x7C58, "" },
//  { 0x7C59, "" },
//  { 0x7C5A, "" },
//  { 0x7C5B, "" },
//  { 0x7C5C, "" },
//  { 0x7C5D, "" },
//  { 0x7C5E, "" },
//  { 0x7C5F, "" },
//  { 0x7C60, "" },
//  { 0x7C61, "" },
//  { 0x7C62, "" },
//  { 0x7C63, "" },
//  { 0x7C64, "" },
//  { 0x7C65, "" },
//  { 0x7C66, "" },
//  { 0x7C67, "" },
//  { 0x7C68, "" },
//  { 0x7C69, "" },
//  { 0x7C6A, "" },
//  { 0x7C6B, "" },
//  { 0x7C6C, "" },
//  { 0x7C6D, "" },
//  { 0x7C6E, "" },
//  { 0x7C6F, "" },
//  { 0x7C70, "" },
//  { 0x7C71, "" },
//  { 0x7C72, "" },
//  { 0x7C73, "" },
//  { 0x7C74, "" },
//  { 0x7C75, "" },
//  { 0x7C76, "" },
//  { 0x7C77, "" },
//  { 0x7C78, "" },
//  { 0x7C79, "" },
//  { 0x7C7A, "" },
//  { 0x7C7B, "" },
//  { 0x7C7C, "" },
//  { 0x7C7D, "" },
//  { 0x7C7E, "" },
//  { 0x7C7F, "" },
//  { 0x7C80, "" },
//  { 0x7C81, "" },
//  { 0x7C82, "" },
//  { 0x7C83, "" },
//  { 0x7C84, "" },
//  { 0x7C85, "" },
//  { 0x7C86, "" },
//  { 0x7C87, "" },
//  { 0x7C88, "" },
//  { 0x7C89, "" },
//  { 0x7C8A, "" },
//  { 0x7C8B, "" },
//  { 0x7C8C, "" },
//  { 0x7C8D, "" },
//  { 0x7C8E, "" },
//  { 0x7C8F, "" },
//  { 0x7C90, "" },
//  { 0x7C91, "" },
//  { 0x7C92, "" },
//  { 0x7C93, "" },
//  { 0x7C94, "" },
//  { 0x7C95, "" },
//  { 0x7C96, "" },
//  { 0x7C97, "" },
//  { 0x7C98, "" },
//  { 0x7C99, "" },
//  { 0x7C9A, "" },
//  { 0x7C9B, "" },
//  { 0x7C9C, "" },
//  { 0x7C9D, "" },
//  { 0x7C9E, "" },
//  { 0x7C9F, "" },
//  { 0x7CA0, "" },
//  { 0x7CA1, "" },
//  { 0x7CA2, "" },
//  { 0x7CA3, "" },
//  { 0x7CA4, "" },
//  { 0x7CA5, "" },
//  { 0x7CA6, "" },
//  { 0x7CA7, "" },
//  { 0x7CA8, "" },
//  { 0x7CA9, "" },
//  { 0x7CAA, "" },
//  { 0x7CAB, "" },
//  { 0x7CAC, "" },
//  { 0x7CAD, "" },
//  { 0x7CAE, "" },
//  { 0x7CAF, "" },
//  { 0x7CB0, "" },
//  { 0x7CB1, "" },
//  { 0x7CB2, "" },
//  { 0x7CB3, "" },
//  { 0x7CB4, "" },
//  { 0x7CB5, "" },
//  { 0x7CB6, "" },
//  { 0x7CB7, "" },
//  { 0x7CB8, "" },
//  { 0x7CB9, "" },
//  { 0x7CBA, "" },
//  { 0x7CBB, "" },
//  { 0x7CBC, "" },
//  { 0x7CBD, "" },
//  { 0x7CBE, "" },
//  { 0x7CBF, "" },
//  { 0x7CC0, "" },
//  { 0x7CC1, "" },
//  { 0x7CC2, "" },
//  { 0x7CC3, "" },
//  { 0x7CC4, "" },
//  { 0x7CC5, "" },
//  { 0x7CC6, "" },
//  { 0x7CC7, "" },
//  { 0x7CC8, "" },
//  { 0x7CC9, "" },
//  { 0x7CCA, "" },
//  { 0x7CCB, "" },
//  { 0x7CCC, "" },
//  { 0x7CCD, "" },
//  { 0x7CCE, "" },
//  { 0x7CCF, "" },
//  { 0x7CD0, "" },
//  { 0x7CD1, "" },
//  { 0x7CD2, "" },
//  { 0x7CD3, "" },
//  { 0x7CD4, "" },
//  { 0x7CD5, "" },
//  { 0x7CD6, "" },
//  { 0x7CD7, "" },
//  { 0x7CD8, "" },
//  { 0x7CD9, "" },
//  { 0x7CDA, "" },
//  { 0x7CDB, "" },
//  { 0x7CDC, "" },
//  { 0x7CDD, "" },
//  { 0x7CDE, "" },
//  { 0x7CDF, "" },
//  { 0x7CE0, "" },
//  { 0x7CE1, "" },
//  { 0x7CE2, "" },
//  { 0x7CE3, "" },
//  { 0x7CE4, "" },
//  { 0x7CE5, "" },
//  { 0x7CE6, "" },
//  { 0x7CE7, "" },
//  { 0x7CE8, "" },
//  { 0x7CE9, "" },
//  { 0x7CEA, "" },
//  { 0x7CEB, "" },
//  { 0x7CEC, "" },
//  { 0x7CED, "" },
//  { 0x7CEE, "" },
//  { 0x7CEF, "" },
//  { 0x7CF0, "" },
//  { 0x7CF1, "" },
//  { 0x7CF2, "" },
//  { 0x7CF3, "" },
//  { 0x7CF4, "" },
//  { 0x7CF5, "" },
//  { 0x7CF6, "" },
//  { 0x7CF7, "" },
//  { 0x7CF8, "" },
//  { 0x7CF9, "" },
//  { 0x7CFA, "" },
//  { 0x7CFB, "" },
//  { 0x7CFC, "" },
//  { 0x7CFD, "" },
//  { 0x7CFE, "" },
//  { 0x7CFF, "" },
//  { 0x7D00, "" },
//  { 0x7D01, "" },
//  { 0x7D02, "" },
//  { 0x7D03, "" },
//  { 0x7D04, "" },
//  { 0x7D05, "" },
//  { 0x7D06, "" },
//  { 0x7D07, "" },
//  { 0x7D08, "" },
//  { 0x7D09, "" },
//  { 0x7D0A, "" },
//  { 0x7D0B, "" },
//  { 0x7D0C, "" },
//  { 0x7D0D, "" },
//  { 0x7D0E, "" },
//  { 0x7D0F, "" },
//  { 0x7D10, "" },
//  { 0x7D11, "" },
//  { 0x7D12, "" },
//  { 0x7D13, "" },
//  { 0x7D14, "" },
//  { 0x7D15, "" },
//  { 0x7D16, "" },
//  { 0x7D17, "" },
//  { 0x7D18, "" },
//  { 0x7D19, "" },
//  { 0x7D1A, "" },
//  { 0x7D1B, "" },
//  { 0x7D1C, "" },
//  { 0x7D1D, "" },
//  { 0x7D1E, "" },
//  { 0x7D1F, "" },
//  { 0x7D20, "" },
//  { 0x7D21, "" },
//  { 0x7D22, "" },
//  { 0x7D23, "" },
//  { 0x7D24, "" },
//  { 0x7D25, "" },
//  { 0x7D26, "" },
//  { 0x7D27, "" },
//  { 0x7D28, "" },
//  { 0x7D29, "" },
//  { 0x7D2A, "" },
//  { 0x7D2B, "" },
//  { 0x7D2C, "" },
//  { 0x7D2D, "" },
//  { 0x7D2E, "" },
//  { 0x7D2F, "" },
//  { 0x7D30, "" },
//  { 0x7D31, "" },
//  { 0x7D32, "" },
//  { 0x7D33, "" },
//  { 0x7D34, "" },
//  { 0x7D35, "" },
//  { 0x7D36, "" },
//  { 0x7D37, "" },
//  { 0x7D38, "" },
//  { 0x7D39, "" },
//  { 0x7D3A, "" },
//  { 0x7D3B, "" },
//  { 0x7D3C, "" },
//  { 0x7D3D, "" },
//  { 0x7D3E, "" },
//  { 0x7D3F, "" },
//  { 0x7D40, "" },
//  { 0x7D41, "" },
//  { 0x7D42, "" },
//  { 0x7D43, "" },
//  { 0x7D44, "" },
//  { 0x7D45, "" },
//  { 0x7D46, "" },
//  { 0x7D47, "" },
//  { 0x7D48, "" },
//  { 0x7D49, "" },
//  { 0x7D4A, "" },
//  { 0x7D4B, "" },
//  { 0x7D4C, "" },
//  { 0x7D4D, "" },
//  { 0x7D4E, "" },
//  { 0x7D4F, "" },
//  { 0x7D50, "" },
//  { 0x7D51, "" },
//  { 0x7D52, "" },
//  { 0x7D53, "" },
//  { 0x7D54, "" },
//  { 0x7D55, "" },
//  { 0x7D56, "" },
//  { 0x7D57, "" },
//  { 0x7D58, "" },
//  { 0x7D59, "" },
//  { 0x7D5A, "" },
//  { 0x7D5B, "" },
//  { 0x7D5C, "" },
//  { 0x7D5D, "" },
//  { 0x7D5E, "" },
//  { 0x7D5F, "" },
//  { 0x7D60, "" },
//  { 0x7D61, "" },
//  { 0x7D62, "" },
//  { 0x7D63, "" },
//  { 0x7D64, "" },
//  { 0x7D65, "" },
//  { 0x7D66, "" },
//  { 0x7D67, "" },
//  { 0x7D68, "" },
//  { 0x7D69, "" },
//  { 0x7D6A, "" },
//  { 0x7D6B, "" },
//  { 0x7D6C, "" },
//  { 0x7D6D, "" },
//  { 0x7D6E, "" },
//  { 0x7D6F, "" },
//  { 0x7D70, "" },
//  { 0x7D71, "" },
//  { 0x7D72, "" },
//  { 0x7D73, "" },
//  { 0x7D74, "" },
//  { 0x7D75, "" },
//  { 0x7D76, "" },
//  { 0x7D77, "" },
//  { 0x7D78, "" },
//  { 0x7D79, "" },
//  { 0x7D7A, "" },
//  { 0x7D7B, "" },
//  { 0x7D7C, "" },
//  { 0x7D7D, "" },
//  { 0x7D7E, "" },
//  { 0x7D7F, "" },
//  { 0x7D80, "" },
//  { 0x7D81, "" },
//  { 0x7D82, "" },
//  { 0x7D83, "" },
//  { 0x7D84, "" },
//  { 0x7D85, "" },
//  { 0x7D86, "" },
//  { 0x7D87, "" },
//  { 0x7D88, "" },
//  { 0x7D89, "" },
//  { 0x7D8A, "" },
//  { 0x7D8B, "" },
//  { 0x7D8C, "" },
//  { 0x7D8D, "" },
//  { 0x7D8E, "" },
//  { 0x7D8F, "" },
//  { 0x7D90, "" },
//  { 0x7D91, "" },
//  { 0x7D92, "" },
//  { 0x7D93, "" },
//  { 0x7D94, "" },
//  { 0x7D95, "" },
//  { 0x7D96, "" },
//  { 0x7D97, "" },
//  { 0x7D98, "" },
//  { 0x7D99, "" },
//  { 0x7D9A, "" },
//  { 0x7D9B, "" },
//  { 0x7D9C, "" },
//  { 0x7D9D, "" },
//  { 0x7D9E, "" },
//  { 0x7D9F, "" },
//  { 0x7DA0, "" },
//  { 0x7DA1, "" },
//  { 0x7DA2, "" },
//  { 0x7DA3, "" },
//  { 0x7DA4, "" },
//  { 0x7DA5, "" },
//  { 0x7DA6, "" },
//  { 0x7DA7, "" },
//  { 0x7DA8, "" },
//  { 0x7DA9, "" },
//  { 0x7DAA, "" },
//  { 0x7DAB, "" },
//  { 0x7DAC, "" },
//  { 0x7DAD, "" },
//  { 0x7DAE, "" },
//  { 0x7DAF, "" },
//  { 0x7DB0, "" },
//  { 0x7DB1, "" },
//  { 0x7DB2, "" },
//  { 0x7DB3, "" },
//  { 0x7DB4, "" },
//  { 0x7DB5, "" },
//  { 0x7DB6, "" },
//  { 0x7DB7, "" },
//  { 0x7DB8, "" },
//  { 0x7DB9, "" },
//  { 0x7DBA, "" },
//  { 0x7DBB, "" },
//  { 0x7DBC, "" },
//  { 0x7DBD, "" },
//  { 0x7DBE, "" },
//  { 0x7DBF, "" },
//  { 0x7DC0, "" },
//  { 0x7DC1, "" },
//  { 0x7DC2, "" },
//  { 0x7DC3, "" },
//  { 0x7DC4, "" },
//  { 0x7DC5, "" },
//  { 0x7DC6, "" },
//  { 0x7DC7, "" },
//  { 0x7DC8, "" },
//  { 0x7DC9, "" },
//  { 0x7DCA, "" },
//  { 0x7DCB, "" },
//  { 0x7DCC, "" },
//  { 0x7DCD, "" },
//  { 0x7DCE, "" },
//  { 0x7DCF, "" },
//  { 0x7DD0, "" },
//  { 0x7DD1, "" },
//  { 0x7DD2, "" },
//  { 0x7DD3, "" },
//  { 0x7DD4, "" },
//  { 0x7DD5, "" },
//  { 0x7DD6, "" },
//  { 0x7DD7, "" },
//  { 0x7DD8, "" },
//  { 0x7DD9, "" },
//  { 0x7DDA, "" },
//  { 0x7DDB, "" },
//  { 0x7DDC, "" },
//  { 0x7DDD, "" },
//  { 0x7DDE, "" },
//  { 0x7DDF, "" },
//  { 0x7DE0, "" },
//  { 0x7DE1, "" },
//  { 0x7DE2, "" },
//  { 0x7DE3, "" },
//  { 0x7DE4, "" },
//  { 0x7DE5, "" },
//  { 0x7DE6, "" },
//  { 0x7DE7, "" },
//  { 0x7DE8, "" },
//  { 0x7DE9, "" },
//  { 0x7DEA, "" },
//  { 0x7DEB, "" },
//  { 0x7DEC, "" },
//  { 0x7DED, "" },
//  { 0x7DEE, "" },
//  { 0x7DEF, "" },
//  { 0x7DF0, "" },
//  { 0x7DF1, "" },
//  { 0x7DF2, "" },
//  { 0x7DF3, "" },
//  { 0x7DF4, "" },
//  { 0x7DF5, "" },
//  { 0x7DF6, "" },
//  { 0x7DF7, "" },
//  { 0x7DF8, "" },
//  { 0x7DF9, "" },
//  { 0x7DFA, "" },
//  { 0x7DFB, "" },
//  { 0x7DFC, "" },
//  { 0x7DFD, "" },
//  { 0x7DFE, "" },
//  { 0x7DFF, "" },
//  { 0x7E00, "" },
//  { 0x7E01, "" },
//  { 0x7E02, "" },
//  { 0x7E03, "" },
//  { 0x7E04, "" },
//  { 0x7E05, "" },
//  { 0x7E06, "" },
//  { 0x7E07, "" },
//  { 0x7E08, "" },
//  { 0x7E09, "" },
//  { 0x7E0A, "" },
//  { 0x7E0B, "" },
//  { 0x7E0C, "" },
//  { 0x7E0D, "" },
//  { 0x7E0E, "" },
//  { 0x7E0F, "" },
//  { 0x7E10, "" },
//  { 0x7E11, "" },
//  { 0x7E12, "" },
//  { 0x7E13, "" },
//  { 0x7E14, "" },
//  { 0x7E15, "" },
//  { 0x7E16, "" },
//  { 0x7E17, "" },
//  { 0x7E18, "" },
    { 0x7E19, "vehicle_scripts/_m1a1_player_control" },
//  { 0x7E1A, "" },
//  { 0x7E1B, "" },
//  { 0x7E1C, "" },
//  { 0x7E1D, "" },
//  { 0x7E1E, "" },
//  { 0x7E1F, "" },
//  { 0x7E20, "" },
//  { 0x7E21, "" },
//  { 0x7E22, "" },
//  { 0x7E23, "" },
//  { 0x7E24, "" },
//  { 0x7E25, "" },
//  { 0x7E26, "" },
//  { 0x7E27, "" },
//  { 0x7E28, "" },
//  { 0x7E29, "" },
//  { 0x7E2A, "" },
//  { 0x7E2B, "" },
//  { 0x7E2C, "" },
//  { 0x7E2D, "" },
//  { 0x7E2E, "" },
//  { 0x7E2F, "" },
//  { 0x7E30, "" },
//  { 0x7E31, "" },
//  { 0x7E32, "" },
//  { 0x7E33, "" },
//  { 0x7E34, "" },
//  { 0x7E35, "" },
//  { 0x7E36, "" },
//  { 0x7E37, "" },
//  { 0x7E38, "" },
//  { 0x7E39, "" },
//  { 0x7E3A, "" },
//  { 0x7E3B, "" },
//  { 0x7E3C, "" },
//  { 0x7E3D, "" },
//  { 0x7E3E, "" },
//  { 0x7E3F, "" },
//  { 0x7E40, "" },
//  { 0x7E41, "" },
//  { 0x7E42, "" },
//  { 0x7E43, "" },
//  { 0x7E44, "" },
//  { 0x7E45, "" },
//  { 0x7E46, "" },
//  { 0x7E47, "" },
//  { 0x7E48, "" },
//  { 0x7E49, "" },
//  { 0x7E4A, "" },
//  { 0x7E4B, "" },
//  { 0x7E4C, "" },
//  { 0x7E4D, "" },
//  { 0x7E4E, "" },
//  { 0x7E4F, "" },
//  { 0x7E50, "" },
//  { 0x7E51, "" },
//  { 0x7E52, "" },
//  { 0x7E53, "" },
//  { 0x7E54, "" },
//  { 0x7E55, "" },
//  { 0x7E56, "" },
//  { 0x7E57, "" },
//  { 0x7E58, "" },
//  { 0x7E59, "" },
//  { 0x7E5A, "" },
//  { 0x7E5B, "" },
//  { 0x7E5C, "" },
//  { 0x7E5D, "" },
//  { 0x7E5E, "" },
//  { 0x7E5F, "" },
//  { 0x7E60, "" },
//  { 0x7E61, "" },
//  { 0x7E62, "" },
//  { 0x7E63, "" },
//  { 0x7E64, "" },
//  { 0x7E65, "" },
//  { 0x7E66, "" },
//  { 0x7E67, "" },
//  { 0x7E68, "" },
//  { 0x7E69, "" },
//  { 0x7E6A, "" },
//  { 0x7E6B, "" },
//  { 0x7E6C, "" },
//  { 0x7E6D, "" },
//  { 0x7E6E, "" },
//  { 0x7E6F, "" },
//  { 0x7E70, "" },
//  { 0x7E71, "" },
//  { 0x7E72, "" },
//  { 0x7E73, "" },
//  { 0x7E74, "" },
//  { 0x7E75, "" },
//  { 0x7E76, "" },
//  { 0x7E77, "" },
//  { 0x7E78, "" },
//  { 0x7E79, "" },
//  { 0x7E7A, "" },
//  { 0x7E7B, "" },
//  { 0x7E7C, "" },
//  { 0x7E7D, "" },
//  { 0x7E7E, "" },
//  { 0x7E7F, "" },
//  { 0x7E80, "" },
//  { 0x7E81, "" },
//  { 0x7E82, "" },
//  { 0x7E83, "" },
//  { 0x7E84, "" },
//  { 0x7E85, "" },
//  { 0x7E86, "" },
//  { 0x7E87, "" },
//  { 0x7E88, "" },
//  { 0x7E89, "" },
//  { 0x7E8A, "" },
//  { 0x7E8B, "" },
//  { 0x7E8C, "" },
//  { 0x7E8D, "" },
//  { 0x7E8E, "" },
//  { 0x7E8F, "" },
//  { 0x7E90, "" },
//  { 0x7E91, "" },
//  { 0x7E92, "" },
//  { 0x7E93, "" },
//  { 0x7E94, "" },
//  { 0x7E95, "" },
//  { 0x7E96, "" },
//  { 0x7E97, "" },
//  { 0x7E98, "" },
//  { 0x7E99, "" },
//  { 0x7E9A, "" },
//  { 0x7E9B, "" },
//  { 0x7E9C, "" },
//  { 0x7E9D, "" },
//  { 0x7E9E, "" },
//  { 0x7E9F, "" },
//  { 0x7EA0, "" },
//  { 0x7EA1, "" },
//  { 0x7EA2, "" },
//  { 0x7EA3, "" },
//  { 0x7EA4, "" },
//  { 0x7EA5, "" },
//  { 0x7EA6, "" },
//  { 0x7EA7, "" },
//  { 0x7EA8, "" },
//  { 0x7EA9, "" },
//  { 0x7EAA, "" },
//  { 0x7EAB, "" },
//  { 0x7EAC, "" },
//  { 0x7EAD, "" },
//  { 0x7EAE, "" },
//  { 0x7EAF, "" },
//  { 0x7EB0, "" },
//  { 0x7EB1, "" },
//  { 0x7EB2, "" },
//  { 0x7EB3, "" },
//  { 0x7EB4, "" },
//  { 0x7EB5, "" },
//  { 0x7EB6, "" },
//  { 0x7EB7, "" },
//  { 0x7EB8, "" },
//  { 0x7EB9, "" },
//  { 0x7EBA, "" },
//  { 0x7EBB, "" },
//  { 0x7EBC, "" },
//  { 0x7EBD, "" },
//  { 0x7EBE, "" },
//  { 0x7EBF, "" },
//  { 0x7EC0, "" },
//  { 0x7EC1, "" },
//  { 0x7EC2, "" },
//  { 0x7EC3, "" },
//  { 0x7EC4, "" },
//  { 0x7EC5, "" },
//  { 0x7EC6, "" },
//  { 0x7EC7, "" },
//  { 0x7EC8, "" },
//  { 0x7EC9, "" },
//  { 0x7ECA, "" },
//  { 0x7ECB, "" },
//  { 0x7ECC, "" },
//  { 0x7ECD, "" },
//  { 0x7ECE, "" },
//  { 0x7ECF, "" },
//  { 0x7ED0, "" },
//  { 0x7ED1, "" },
//  { 0x7ED2, "" },
//  { 0x7ED3, "" },
//  { 0x7ED4, "" },
//  { 0x7ED5, "" },
//  { 0x7ED6, "" },
//  { 0x7ED7, "" },
//  { 0x7ED8, "" },
//  { 0x7ED9, "" },
//  { 0x7EDA, "" },
//  { 0x7EDB, "" },
//  { 0x7EDC, "" },
//  { 0x7EDD, "" },
//  { 0x7EDE, "" },
//  { 0x7EDF, "" },
//  { 0x7EE0, "" },
//  { 0x7EE1, "" },
//  { 0x7EE2, "" },
//  { 0x7EE3, "" },
//  { 0x7EE4, "" },
//  { 0x7EE5, "" },
//  { 0x7EE6, "" },
//  { 0x7EE7, "" },
//  { 0x7EE8, "" },
//  { 0x7EE9, "" },
//  { 0x7EEA, "" },
//  { 0x7EEB, "" },
//  { 0x7EEC, "" },
//  { 0x7EED, "" },
//  { 0x7EEE, "" },
//  { 0x7EEF, "" },
//  { 0x7EF0, "" },
//  { 0x7EF1, "" },
//  { 0x7EF2, "" },
//  { 0x7EF3, "" },
//  { 0x7EF4, "" },
//  { 0x7EF5, "" },
//  { 0x7EF6, "" },
//  { 0x7EF7, "" },
//  { 0x7EF8, "" },
//  { 0x7EF9, "" },
//  { 0x7EFA, "" },
//  { 0x7EFB, "" },
//  { 0x7EFC, "" },
//  { 0x7EFD, "" },
//  { 0x7EFE, "" },
//  { 0x7EFF, "" },
//  { 0x7F00, "" },
//  { 0x7F01, "" },
//  { 0x7F02, "" },
//  { 0x7F03, "" },
//  { 0x7F04, "" },
//  { 0x7F05, "" },
//  { 0x7F06, "" },
//  { 0x7F07, "" },
//  { 0x7F08, "" },
//  { 0x7F09, "" },
//  { 0x7F0A, "" },
//  { 0x7F0B, "" },
//  { 0x7F0C, "" },
//  { 0x7F0D, "" },
//  { 0x7F0E, "" },
//  { 0x7F0F, "" },
//  { 0x7F10, "" },
//  { 0x7F11, "" },
//  { 0x7F12, "" },
//  { 0x7F13, "" },
//  { 0x7F14, "" },
//  { 0x7F15, "" },
//  { 0x7F16, "" },
//  { 0x7F17, "" },
//  { 0x7F18, "" },
//  { 0x7F19, "" },
//  { 0x7F1A, "" },
//  { 0x7F1B, "" },
//  { 0x7F1C, "" },
//  { 0x7F1D, "" },
//  { 0x7F1E, "" },
//  { 0x7F1F, "" },
//  { 0x7F20, "" },
//  { 0x7F21, "" },
//  { 0x7F22, "" },
//  { 0x7F23, "" },
//  { 0x7F24, "" },
//  { 0x7F25, "" },
//  { 0x7F26, "" },
//  { 0x7F27, "" },
//  { 0x7F28, "" },
//  { 0x7F29, "" },
//  { 0x7F2A, "" },
//  { 0x7F2B, "" },
//  { 0x7F2C, "" },
//  { 0x7F2D, "" },
//  { 0x7F2E, "" },
//  { 0x7F2F, "" },
//  { 0x7F30, "" },
//  { 0x7F31, "" },
//  { 0x7F32, "" },
//  { 0x7F33, "" },
//  { 0x7F34, "" },
//  { 0x7F35, "" },
//  { 0x7F36, "" },
//  { 0x7F37, "" },
//  { 0x7F38, "" },
//  { 0x7F39, "" },
//  { 0x7F3A, "" },
//  { 0x7F3B, "" },
//  { 0x7F3C, "" },
//  { 0x7F3D, "" },
//  { 0x7F3E, "" },
//  { 0x7F3F, "" },
//  { 0x7F40, "" },
//  { 0x7F41, "" },
//  { 0x7F42, "" },
//  { 0x7F43, "" },
//  { 0x7F44, "" },
//  { 0x7F45, "" },
//  { 0x7F46, "" },
//  { 0x7F47, "" },
//  { 0x7F48, "" },
//  { 0x7F49, "" },
//  { 0x7F4A, "" },
//  { 0x7F4B, "" },
//  { 0x7F4C, "" },
//  { 0x7F4D, "" },
//  { 0x7F4E, "" },
//  { 0x7F4F, "" },
//  { 0x7F50, "" },
//  { 0x7F51, "" },
//  { 0x7F52, "" },
//  { 0x7F53, "" },
//  { 0x7F54, "" },
//  { 0x7F55, "" },
//  { 0x7F56, "" },
//  { 0x7F57, "" },
//  { 0x7F58, "" },
//  { 0x7F59, "" },
//  { 0x7F5A, "" },
//  { 0x7F5B, "" },
//  { 0x7F5C, "" },
//  { 0x7F5D, "" },
//  { 0x7F5E, "" },
//  { 0x7F5F, "" },
//  { 0x7F60, "" },
//  { 0x7F61, "" },
//  { 0x7F62, "" },
//  { 0x7F63, "" },
//  { 0x7F64, "" },
//  { 0x7F65, "" },
//  { 0x7F66, "" },
//  { 0x7F67, "" },
//  { 0x7F68, "" },
//  { 0x7F69, "" },
//  { 0x7F6A, "" },
//  { 0x7F6B, "" },
//  { 0x7F6C, "" },
//  { 0x7F6D, "" },
//  { 0x7F6E, "" },
//  { 0x7F6F, "" },
//  { 0x7F70, "" },
//  { 0x7F71, "" },
//  { 0x7F72, "" },
//  { 0x7F73, "" },
//  { 0x7F74, "" },
//  { 0x7F75, "" },
//  { 0x7F76, "" },
//  { 0x7F77, "" },
//  { 0x7F78, "" },
//  { 0x7F79, "" },
//  { 0x7F7A, "" },
//  { 0x7F7B, "" },
//  { 0x7F7C, "" },
//  { 0x7F7D, "" },
//  { 0x7F7E, "" },
//  { 0x7F7F, "" },
//  { 0x7F80, "" },
//  { 0x7F81, "" },
//  { 0x7F82, "" },
//  { 0x7F83, "" },
//  { 0x7F84, "" },
//  { 0x7F85, "" },
//  { 0x7F86, "" },
//  { 0x7F87, "" },
//  { 0x7F88, "" },
//  { 0x7F89, "" },
//  { 0x7F8A, "" },
//  { 0x7F8B, "" },
//  { 0x7F8C, "" },
//  { 0x7F8D, "" },
//  { 0x7F8E, "" },
//  { 0x7F8F, "" },
//  { 0x7F90, "" },
//  { 0x7F91, "" },
//  { 0x7F92, "" },
//  { 0x7F93, "" },
//  { 0x7F94, "" },
//  { 0x7F95, "" },
//  { 0x7F96, "" },
//  { 0x7F97, "" },
//  { 0x7F98, "" },
//  { 0x7F99, "" },
//  { 0x7F9A, "" },
//  { 0x7F9B, "" },
//  { 0x7F9C, "" },
//  { 0x7F9D, "" },
//  { 0x7F9E, "" },
//  { 0x7F9F, "" },
//  { 0x7FA0, "" },
//  { 0x7FA1, "" },
//  { 0x7FA2, "" },
//  { 0x7FA3, "" },
//  { 0x7FA4, "" },
//  { 0x7FA5, "" },
//  { 0x7FA6, "" },
//  { 0x7FA7, "" },
//  { 0x7FA8, "" },
//  { 0x7FA9, "" },
//  { 0x7FAA, "" },
//  { 0x7FAB, "" },
//  { 0x7FAC, "" },
//  { 0x7FAD, "" },
//  { 0x7FAE, "" },
//  { 0x7FAF, "" },
//  { 0x7FB0, "" },
//  { 0x7FB1, "" },
//  { 0x7FB2, "" },
//  { 0x7FB3, "" },
//  { 0x7FB4, "" },
//  { 0x7FB5, "" },
//  { 0x7FB6, "" },
//  { 0x7FB7, "" },
//  { 0x7FB8, "" },
//  { 0x7FB9, "" },
//  { 0x7FBA, "" },
//  { 0x7FBB, "" },
//  { 0x7FBC, "" },
//  { 0x7FBD, "" },
//  { 0x7FBE, "" },
//  { 0x7FBF, "" },
//  { 0x7FC0, "" },
//  { 0x7FC1, "" },
//  { 0x7FC2, "" },
//  { 0x7FC3, "" },
//  { 0x7FC4, "" },
//  { 0x7FC5, "" },
//  { 0x7FC6, "" },
//  { 0x7FC7, "" },
//  { 0x7FC8, "" },
//  { 0x7FC9, "" },
//  { 0x7FCA, "" },
//  { 0x7FCB, "" },
//  { 0x7FCC, "" },
//  { 0x7FCD, "" },
//  { 0x7FCE, "" },
//  { 0x7FCF, "" },
//  { 0x7FD0, "" },
//  { 0x7FD1, "" },
//  { 0x7FD2, "" },
//  { 0x7FD3, "" },
//  { 0x7FD4, "" },
//  { 0x7FD5, "" },
//  { 0x7FD6, "" },
//  { 0x7FD7, "" },
//  { 0x7FD8, "" },
//  { 0x7FD9, "" },
//  { 0x7FDA, "" },
//  { 0x7FDB, "" },
//  { 0x7FDC, "" },
//  { 0x7FDD, "" },
//  { 0x7FDE, "" },
//  { 0x7FDF, "" },
//  { 0x7FE0, "" },
//  { 0x7FE1, "" },
//  { 0x7FE2, "" },
//  { 0x7FE3, "" },
//  { 0x7FE4, "" },
//  { 0x7FE5, "" },
//  { 0x7FE6, "" },
//  { 0x7FE7, "" },
//  { 0x7FE8, "" },
//  { 0x7FE9, "" },
//  { 0x7FEA, "" },
//  { 0x7FEB, "" },
//  { 0x7FEC, "" },
//  { 0x7FED, "" },
//  { 0x7FEE, "" },
//  { 0x7FEF, "" },
//  { 0x7FF0, "" },
//  { 0x7FF1, "" },
//  { 0x7FF2, "" },
//  { 0x7FF3, "" },
//  { 0x7FF4, "" },
//  { 0x7FF5, "" },
//  { 0x7FF6, "" },
//  { 0x7FF7, "" },
//  { 0x7FF8, "" },
//  { 0x7FF9, "" },
//  { 0x7FFA, "" },
//  { 0x7FFB, "" },
//  { 0x7FFC, "" },
//  { 0x7FFD, "" },
//  { 0x7FFE, "" },
//  { 0x7FFF, "" },
//  { 0x8000, "" },
//  { 0x8001, "" },
//  { 0x8002, "" },
//  { 0x8003, "" },
//  { 0x8004, "" },
//  { 0x8005, "" },
//  { 0x8006, "" },
//  { 0x8007, "" },
//  { 0x8008, "" },
//  { 0x8009, "" },
//  { 0x800A, "" },
//  { 0x800B, "" },
//  { 0x800C, "" },
//  { 0x800D, "" },
//  { 0x800E, "" },
//  { 0x800F, "" },
//  { 0x8010, "" },
//  { 0x8011, "" },
//  { 0x8012, "" },
//  { 0x8013, "" },
//  { 0x8014, "" },
//  { 0x8015, "" },
//  { 0x8016, "" },
//  { 0x8017, "" },
//  { 0x8018, "" },
//  { 0x8019, "" },
//  { 0x801A, "" },
//  { 0x801B, "" },
//  { 0x801C, "" },
//  { 0x801D, "" },
//  { 0x801E, "" },
//  { 0x801F, "" },
//  { 0x8020, "" },
//  { 0x8021, "" },
//  { 0x8022, "" },
//  { 0x8023, "" },
//  { 0x8024, "" },
//  { 0x8025, "" },
//  { 0x8026, "" },
//  { 0x8027, "" },
//  { 0x8028, "" },
//  { 0x8029, "" },
//  { 0x802A, "" },
//  { 0x802B, "" },
//  { 0x802C, "" },
//  { 0x802D, "" },
//  { 0x802E, "" },
//  { 0x802F, "" },
//  { 0x8030, "" },
//  { 0x8031, "" },
//  { 0x8032, "" },
//  { 0x8033, "" },
//  { 0x8034, "" },
//  { 0x8035, "" },
//  { 0x8036, "" },
//  { 0x8037, "" },
//  { 0x8038, "" },
//  { 0x8039, "" },
//  { 0x803A, "" },
//  { 0x803B, "" },
//  { 0x803C, "" },
//  { 0x803D, "" },
//  { 0x803E, "" },
//  { 0x803F, "" },
//  { 0x8040, "" },
//  { 0x8041, "" },
//  { 0x8042, "" },
//  { 0x8043, "" },
//  { 0x8044, "" },
//  { 0x8045, "" },
//  { 0x8046, "" },
//  { 0x8047, "" },
//  { 0x8048, "" },
//  { 0x8049, "" },
//  { 0x804A, "" },
//  { 0x804B, "" },
//  { 0x804C, "" },
//  { 0x804D, "" },
//  { 0x804E, "" },
//  { 0x804F, "" },
//  { 0x8050, "" },
//  { 0x8051, "" },
//  { 0x8052, "" },
//  { 0x8053, "" },
//  { 0x8054, "" },
//  { 0x8055, "" },
//  { 0x8056, "" },
    { 0x8057, "maps/createart/castle_art" },
//  { 0x8058, "" },
//  { 0x8059, "" },
//  { 0x805A, "" },
//  { 0x805B, "" },
//  { 0x805C, "" },
//  { 0x805D, "" },
//  { 0x805E, "" },
//  { 0x805F, "" },
//  { 0x8060, "" },
//  { 0x8061, "" },
//  { 0x8062, "" },
//  { 0x8063, "" },
//  { 0x8064, "" },
//  { 0x8065, "" },
//  { 0x8066, "" },
//  { 0x8067, "" },
//  { 0x8068, "" },
//  { 0x8069, "" },
//  { 0x806A, "" },
//  { 0x806B, "" },
//  { 0x806C, "" },
//  { 0x806D, "" },
//  { 0x806E, "" },
//  { 0x806F, "" },
//  { 0x8070, "" },
//  { 0x8071, "" },
//  { 0x8072, "" },
//  { 0x8073, "" },
//  { 0x8074, "" },
//  { 0x8075, "" },
//  { 0x8076, "" },
//  { 0x8077, "" },
//  { 0x8078, "" },
//  { 0x8079, "" },
//  { 0x807A, "" },
//  { 0x807B, "" },
//  { 0x807C, "" },
//  { 0x807D, "" },
//  { 0x807E, "" },
//  { 0x807F, "" },
//  { 0x8080, "" },
//  { 0x8081, "" },
//  { 0x8082, "" },
//  { 0x8083, "" },
//  { 0x8084, "" },
//  { 0x8085, "" },
//  { 0x8086, "" },
//  { 0x8087, "" },
//  { 0x8088, "" },
//  { 0x8089, "" },
//  { 0x808A, "" },
//  { 0x808B, "" },
//  { 0x808C, "" },
//  { 0x808D, "" },
//  { 0x808E, "" },
//  { 0x808F, "" },
//  { 0x8090, "" },
//  { 0x8091, "" },
//  { 0x8092, "" },
//  { 0x8093, "" },
//  { 0x8094, "" },
//  { 0x8095, "" },
//  { 0x8096, "" },
//  { 0x8097, "" },
//  { 0x8098, "" },
//  { 0x8099, "" },
//  { 0x809A, "" },
//  { 0x809B, "" },
//  { 0x809C, "" },
//  { 0x809D, "" },
//  { 0x809E, "" },
//  { 0x809F, "" },
//  { 0x80A0, "" },
//  { 0x80A1, "" },
//  { 0x80A2, "" },
//  { 0x80A3, "" },
//  { 0x80A4, "" },
//  { 0x80A5, "" },
//  { 0x80A6, "" },
//  { 0x80A7, "" },
//  { 0x80A8, "" },
//  { 0x80A9, "" },
//  { 0x80AA, "" },
//  { 0x80AB, "" },
//  { 0x80AC, "" },
//  { 0x80AD, "" },
//  { 0x80AE, "" },
//  { 0x80AF, "" },
//  { 0x80B0, "" },
//  { 0x80B1, "" },
//  { 0x80B2, "" },
//  { 0x80B3, "" },
//  { 0x80B4, "" },
//  { 0x80B5, "" },
//  { 0x80B6, "" },
//  { 0x80B7, "" },
//  { 0x80B8, "" },
//  { 0x80B9, "" },
//  { 0x80BA, "" },
//  { 0x80BB, "" },
//  { 0x80BC, "" },
//  { 0x80BD, "" },
//  { 0x80BE, "" },
//  { 0x80BF, "" },
//  { 0x80C0, "" },
//  { 0x80C1, "" },
//  { 0x80C2, "" },
//  { 0x80C3, "" },
//  { 0x80C4, "" },
//  { 0x80C5, "" },
//  { 0x80C6, "" },
//  { 0x80C7, "" },
//  { 0x80C8, "" },
//  { 0x80C9, "" },
//  { 0x80CA, "" },
//  { 0x80CB, "" },
//  { 0x80CC, "" },
//  { 0x80CD, "" },
//  { 0x80CE, "" },
//  { 0x80CF, "" },
//  { 0x80D0, "" },
//  { 0x80D1, "" },
//  { 0x80D2, "" },
//  { 0x80D3, "" },
//  { 0x80D4, "" },
//  { 0x80D5, "" },
//  { 0x80D6, "" },
//  { 0x80D7, "" },
//  { 0x80D8, "" },
//  { 0x80D9, "" },
//  { 0x80DA, "" },
//  { 0x80DB, "" },
//  { 0x80DC, "" },
//  { 0x80DD, "" },
//  { 0x80DE, "" },
//  { 0x80DF, "" },
//  { 0x80E0, "" },
//  { 0x80E1, "" },
//  { 0x80E2, "" },
//  { 0x80E3, "" },
//  { 0x80E4, "" },
//  { 0x80E5, "" },
//  { 0x80E6, "" },
//  { 0x80E7, "" },
//  { 0x80E8, "" },
//  { 0x80E9, "" },
//  { 0x80EA, "" },
//  { 0x80EB, "" },
//  { 0x80EC, "" },
//  { 0x80ED, "" },
//  { 0x80EE, "" },
//  { 0x80EF, "" },
//  { 0x80F0, "" },
//  { 0x80F1, "" },
//  { 0x80F2, "" },
//  { 0x80F3, "" },
//  { 0x80F4, "" },
//  { 0x80F5, "" },
//  { 0x80F6, "" },
//  { 0x80F7, "" },
//  { 0x80F8, "" },
//  { 0x80F9, "" },
//  { 0x80FA, "" },
//  { 0x80FB, "" },
//  { 0x80FC, "" },
//  { 0x80FD, "" },
//  { 0x80FE, "" },
//  { 0x80FF, "" },
//  { 0x8100, "" },
//  { 0x8101, "" },
//  { 0x8102, "" },
//  { 0x8103, "" },
//  { 0x8104, "" },
//  { 0x8105, "" },
//  { 0x8106, "" },
//  { 0x8107, "" },
//  { 0x8108, "" },
//  { 0x8109, "" },
//  { 0x810A, "" },
//  { 0x810B, "" },
//  { 0x810C, "" },
//  { 0x810D, "" },
//  { 0x810E, "" },
//  { 0x810F, "" },
//  { 0x8110, "" },
//  { 0x8111, "" },
//  { 0x8112, "" },
//  { 0x8113, "" },
//  { 0x8114, "" },
//  { 0x8115, "" },
//  { 0x8116, "" },
//  { 0x8117, "" },
//  { 0x8118, "" },
//  { 0x8119, "" },
//  { 0x811A, "" },
//  { 0x811B, "" },
//  { 0x811C, "" },
//  { 0x811D, "" },
//  { 0x811E, "" },
//  { 0x811F, "" },
//  { 0x8120, "" },
//  { 0x8121, "" },
//  { 0x8122, "" },
//  { 0x8123, "" },
//  { 0x8124, "" },
//  { 0x8125, "" },
//  { 0x8126, "" },
//  { 0x8127, "" },
//  { 0x8128, "" },
//  { 0x8129, "" },
//  { 0x812A, "" },
//  { 0x812B, "" },
//  { 0x812C, "" },
//  { 0x812D, "" },
//  { 0x812E, "" },
//  { 0x812F, "" },
//  { 0x8130, "" },
//  { 0x8131, "" },
//  { 0x8132, "" },
//  { 0x8133, "" },
//  { 0x8134, "" },
//  { 0x8135, "" },
//  { 0x8136, "" },
//  { 0x8137, "" },
//  { 0x8138, "" },
//  { 0x8139, "" },
//  { 0x813A, "" },
//  { 0x813B, "" },
//  { 0x813C, "" },
//  { 0x813D, "" },
//  { 0x813E, "" },
//  { 0x813F, "" },
//  { 0x8140, "" },
//  { 0x8141, "" },
//  { 0x8142, "" },
//  { 0x8143, "" },
//  { 0x8144, "" },
//  { 0x8145, "" },
//  { 0x8146, "" },
//  { 0x8147, "" },
//  { 0x8148, "" },
//  { 0x8149, "" },
//  { 0x814A, "" },
//  { 0x814B, "" },
//  { 0x814C, "" },
//  { 0x814D, "" },
//  { 0x814E, "" },
//  { 0x814F, "" },
//  { 0x8150, "" },
//  { 0x8151, "" },
//  { 0x8152, "" },
//  { 0x8153, "" },
//  { 0x8154, "" },
//  { 0x8155, "" },
//  { 0x8156, "" },
//  { 0x8157, "" },
//  { 0x8158, "" },
//  { 0x8159, "" },
//  { 0x815A, "" },
//  { 0x815B, "" },
//  { 0x815C, "" },
//  { 0x815D, "" },
//  { 0x815E, "" },
//  { 0x815F, "" },
//  { 0x8160, "" },
//  { 0x8161, "" },
//  { 0x8162, "" },
//  { 0x8163, "" },
//  { 0x8164, "" },
//  { 0x8165, "" },
//  { 0x8166, "" },
//  { 0x8167, "" },
//  { 0x8168, "" },
//  { 0x8169, "" },
//  { 0x816A, "" },
//  { 0x816B, "" },
//  { 0x816C, "" },
//  { 0x816D, "" },
//  { 0x816E, "" },
//  { 0x816F, "" },
//  { 0x8170, "" },
//  { 0x8171, "" },
//  { 0x8172, "" },
//  { 0x8173, "" },
//  { 0x8174, "" },
//  { 0x8175, "" },
//  { 0x8176, "" },
//  { 0x8177, "" },
//  { 0x8178, "" },
//  { 0x8179, "" },
//  { 0x817A, "" },
//  { 0x817B, "" },
//  { 0x817C, "" },
//  { 0x817D, "" },
//  { 0x817E, "" },
//  { 0x817F, "" },
//  { 0x8180, "" },
//  { 0x8181, "" },
//  { 0x8182, "" },
//  { 0x8183, "" },
//  { 0x8184, "" },
//  { 0x8185, "" },
//  { 0x8186, "" },
//  { 0x8187, "" },
//  { 0x8188, "" },
//  { 0x8189, "" },
//  { 0x818A, "" },
//  { 0x818B, "" },
//  { 0x818C, "" },
//  { 0x818D, "" },
//  { 0x818E, "" },
//  { 0x818F, "" },
//  { 0x8190, "" },
//  { 0x8191, "" },
//  { 0x8192, "" },
//  { 0x8193, "" },
//  { 0x8194, "" },
//  { 0x8195, "" },
//  { 0x8196, "" },
//  { 0x8197, "" },
//  { 0x8198, "" },
//  { 0x8199, "" },
//  { 0x819A, "" },
//  { 0x819B, "" },
//  { 0x819C, "" },
//  { 0x819D, "" },
//  { 0x819E, "" },
//  { 0x819F, "" },
//  { 0x81A0, "" },
//  { 0x81A1, "" },
//  { 0x81A2, "" },
//  { 0x81A3, "" },
//  { 0x81A4, "" },
//  { 0x81A5, "" },
//  { 0x81A6, "" },
//  { 0x81A7, "" },
//  { 0x81A8, "" },
//  { 0x81A9, "" },
//  { 0x81AA, "" },
//  { 0x81AB, "" },
//  { 0x81AC, "" },
//  { 0x81AD, "" },
//  { 0x81AE, "" },
//  { 0x81AF, "" },
//  { 0x81B0, "" },
//  { 0x81B1, "" },
//  { 0x81B2, "" },
//  { 0x81B3, "" },
//  { 0x81B4, "" },
//  { 0x81B5, "" },
//  { 0x81B6, "" },
//  { 0x81B7, "" },
//  { 0x81B8, "" },
//  { 0x81B9, "" },
//  { 0x81BA, "" },
//  { 0x81BB, "" },
//  { 0x81BC, "" },
//  { 0x81BD, "" },
//  { 0x81BE, "" },
//  { 0x81BF, "" },
//  { 0x81C0, "" },
//  { 0x81C1, "" },
//  { 0x81C2, "" },
//  { 0x81C3, "" },
//  { 0x81C4, "" },
//  { 0x81C5, "" },
//  { 0x81C6, "" },
//  { 0x81C7, "" },
//  { 0x81C8, "" },
//  { 0x81C9, "" },
//  { 0x81CA, "" },
//  { 0x81CB, "" },
//  { 0x81CC, "" },
//  { 0x81CD, "" },
//  { 0x81CE, "" },
//  { 0x81CF, "" },
//  { 0x81D0, "" },
//  { 0x81D1, "" },
//  { 0x81D2, "" },
//  { 0x81D3, "" },
//  { 0x81D4, "" },
//  { 0x81D5, "" },
//  { 0x81D6, "" },
//  { 0x81D7, "" },
//  { 0x81D8, "" },
//  { 0x81D9, "" },
//  { 0x81DA, "" },
//  { 0x81DB, "" },
//  { 0x81DC, "" },
//  { 0x81DD, "" },
//  { 0x81DE, "" },
//  { 0x81DF, "" },
//  { 0x81E0, "" },
//  { 0x81E1, "" },
//  { 0x81E2, "" },
//  { 0x81E3, "" },
//  { 0x81E4, "" },
//  { 0x81E5, "" },
//  { 0x81E6, "" },
//  { 0x81E7, "" },
//  { 0x81E8, "" },
//  { 0x81E9, "" },
//  { 0x81EA, "" },
//  { 0x81EB, "" },
//  { 0x81EC, "" },
//  { 0x81ED, "" },
//  { 0x81EE, "" },
//  { 0x81EF, "" },
//  { 0x81F0, "" },
//  { 0x81F1, "" },
//  { 0x81F2, "" },
//  { 0x81F3, "" },
//  { 0x81F4, "" },
//  { 0x81F5, "" },
//  { 0x81F6, "" },
//  { 0x81F7, "" },
//  { 0x81F8, "" },
//  { 0x81F9, "" },
//  { 0x81FA, "" },
//  { 0x81FB, "" },
//  { 0x81FC, "" },
//  { 0x81FD, "" },
//  { 0x81FE, "" },
//  { 0x81FF, "" },
//  { 0x8200, "" },
//  { 0x8201, "" },
//  { 0x8202, "" },
//  { 0x8203, "" },
//  { 0x8204, "" },
//  { 0x8205, "" },
//  { 0x8206, "" },
//  { 0x8207, "" },
//  { 0x8208, "" },
//  { 0x8209, "" },
//  { 0x820A, "" },
//  { 0x820B, "" },
//  { 0x820C, "" },
//  { 0x820D, "" },
//  { 0x820E, "" },
//  { 0x820F, "" },
//  { 0x8210, "" },
//  { 0x8211, "" },
//  { 0x8212, "" },
//  { 0x8213, "" },
//  { 0x8214, "" },
//  { 0x8215, "" },
//  { 0x8216, "" },
//  { 0x8217, "" },
//  { 0x8218, "" },
//  { 0x8219, "" },
//  { 0x821A, "" },
//  { 0x821B, "" },
//  { 0x821C, "" },
//  { 0x821D, "" },
//  { 0x821E, "" },
//  { 0x821F, "" },
//  { 0x8220, "" },
//  { 0x8221, "" },
//  { 0x8222, "" },
//  { 0x8223, "" },
//  { 0x8224, "" },
//  { 0x8225, "" },
//  { 0x8226, "" },
//  { 0x8227, "" },
//  { 0x8228, "" },
//  { 0x8229, "" },
//  { 0x822A, "" },
//  { 0x822B, "" },
//  { 0x822C, "" },
//  { 0x822D, "" },
//  { 0x822E, "" },
//  { 0x822F, "" },
//  { 0x8230, "" },
//  { 0x8231, "" },
//  { 0x8232, "" },
//  { 0x8233, "" },
//  { 0x8234, "" },
//  { 0x8235, "" },
//  { 0x8236, "" },
//  { 0x8237, "" },
//  { 0x8238, "" },
//  { 0x8239, "" },
//  { 0x823A, "" },
//  { 0x823B, "" },
//  { 0x823C, "" },
//  { 0x823D, "" },
//  { 0x823E, "" },
//  { 0x823F, "" },
//  { 0x8240, "" },
//  { 0x8241, "" },
//  { 0x8242, "" },
//  { 0x8243, "" },
//  { 0x8244, "" },
//  { 0x8245, "" },
//  { 0x8246, "" },
//  { 0x8247, "" },
//  { 0x8248, "" },
//  { 0x8249, "" },
//  { 0x824A, "" },
//  { 0x824B, "" },
//  { 0x824C, "" },
//  { 0x824D, "" },
//  { 0x824E, "" },
//  { 0x824F, "" },
//  { 0x8250, "" },
    { 0x8251, "maps/mp/mp_italy_precache" },
    { 0x8252, "maps/createart/mp_italy_art" },
    { 0x8253, "maps/mp/mp_italy_fx" },
    { 0x8254, "maps/createfx/mp_italy_fx" },
    { 0x8255, "maps/createart/mp_italy_fog" },
    { 0x8256, "maps/mp/mp_park_precache" },
    { 0x8257, "maps/createart/mp_park_art" },
    { 0x8258, "maps/mp/mp_park_fx" },
    { 0x8259, "maps/createfx/mp_park_fx" },
    { 0x825A, "maps/createart/mp_park_fog" },
    { 0x825B, "maps/mp/mp_overwatch_precache" },
    { 0x825C, "maps/createart/mp_overwatch_art" },
    { 0x825D, "maps/mp/mp_overwatch_fx" },
    { 0x825E, "maps/createfx/mp_overwatch_fx" },
    { 0x825F, "maps/createart/mp_overwatch_fog" },
    { 0x8260, "maps/mp/mp_morningwood_precache" },
    { 0x8261, "maps/createart/mp_morningwood_art" },
    { 0x8262, "maps/mp/mp_morningwood_fx" },
    { 0x8263, "maps/createfx/mp_morningwood_fx" },
    { 0x8264, "maps/createart/mp_morningwood_fog" },
    { 0x8265, "maps/createart/so_survival_mp_italy_fog" },
    { 0x8266, "maps/createart/so_survival_mp_italy_art" },
    { 0x8267, "maps/so_survival_mp_italy_precache" },
    { 0x8268, "maps/createart/so_survival_mp_park_fog" },
    { 0x8269, "maps/createart/so_survival_mp_park_art" },
    { 0x826A, "maps/so_survival_mp_park_precache" },
}};

} // namespace xsk::gsc::iw5_pc
