// Copyright 2023 xensik. All rights reserved.
//
// Use of this source code is governed by a GNU GPLv3 license
// that can be found in the LICENSE file.

#include "xsk/gsc/engine/iw5_ps.hpp"

namespace xsk::gsc::iw5_ps
{

extern std::array<std::pair<u32, char const*>, token_count> const token_list
{{
    { 0x0000, "" },
    { 0x0001, "pl#" },
    { 0x0002, "-" },
    { 0x0003, "radius`" },
    { 0x0004, "note:" },
    { 0x0005, "maps/mp/gametypes/_tweakables" },
    { 0x0006, "common_scripts/utility" },
    { 0x0007, "common_scripts/_createfx" },
    { 0x0008, "common_scripts/_createfxmenu" },
    { 0x0009, "common_scripts/_fx" },
    { 0x000A, "maps/_utility" },
    { 0x000B, "maps/_mgturret" },
    { 0x000C, "maps/_bcs_location_trigs" },
    { 0x000D, "maps/_anim" },
    { 0x000E, "maps/_gameskill" },
    { 0x000F, "common_scripts/_destructible" },
    { 0x0010, "common_scripts/_destructible_types" },
    { 0x0011, "maps/_vehicle" },
    { 0x0012, "maps/_mg_penetration" },
    { 0x0013, "maps/_rank" },
    { 0x0014, "maps/_hud_util" },
    { 0x0015, "maps/_hud" },
    { 0x0016, "maps/_missions" },
    { 0x0017, "maps/_colors" },
    { 0x0018, "maps/_spawner" },
    { 0x0019, "maps/_audio" },
    { 0x001A, "maps/_audio_stream_manager" },
    { 0x001B, "maps/_audio_dynamic_ambi" },
    { 0x001C, "maps/_audio_reverb" },
    { 0x001D, "maps/_audio_mix_manager" },
    { 0x001E, "maps/_audio_presets_vehicles" },
    { 0x001F, "maps/_specialops" },
    { 0x0020, "maps/_lights" },
    { 0x0021, "maps/_audio_zone_manager" },
    { 0x0022, "maps/_audio_music" },
    { 0x0023, "maps/_audio_whizby" },
    { 0x0024, "maps/_audio_vehicles" },
    { 0x0025, "maps/_specialops_code" },
    { 0x0026, "maps/_specialops_battlechatter" },
    { 0x0027, "maps/_endmission" },
    { 0x0028, "maps/_utility_code" },
    { 0x0029, "maps/_load" },
    { 0x002A, "maps/_quotes" },
    { 0x002B, "maps/_ambient" },
    { 0x002C, "maps/_coop" },
    { 0x002D, "common_scripts/_artcommon" },
    { 0x002E, "maps/_arcademode" },
    { 0x002F, "maps/_damagefeedback" },
    { 0x0030, "maps/_laststand" },
    { 0x0031, "maps/_player_stats" },
    { 0x0032, "maps/_art" },
    { 0x0033, "maps/_noder" },
    { 0x0034, "common_scripts/_painter" },
    { 0x0035, "maps/_createfx" },
    { 0x0036, "maps/_global_fx" },
    { 0x0037, "maps/_detonategrenades" },
    { 0x0038, "maps/_names" },
    { 0x0039, "maps/_autosave" },
    { 0x003A, "maps/_debug" },
    { 0x003B, "maps/_loadout" },
    { 0x003C, "common_scripts/_elevator" },
    { 0x003D, "common_scripts/_pipes" },
    { 0x003E, "common_scripts/_dynamic_world" },
    { 0x003F, "maps/_introscreen" },
    { 0x0040, "maps/_shutter" },
    { 0x0041, "maps/_escalator" },
    { 0x0042, "maps/_friendlyfire" },
    { 0x0043, "maps/_interactive_objects" },
    { 0x0044, "maps/_intelligence" },
    { 0x0045, "maps/_animatedmodels" },
    { 0x0046, "maps/_fx" },
    { 0x0047, "codescripts/character" },
    { 0x0048, "maps/_compass" },
    { 0x0049, "maps/_hiding_door" },
    { 0x004A, "maps/_drone" },
    { 0x004B, "maps/_patrol" },
    { 0x004C, "maps/_vehicle_aianim" },
    { 0x004D, "maps/_helicopter_ai" },
    { 0x004E, "maps/_helicopter_globals" },
    { 0x004F, "vehicle_scripts/_attack_heli" },
    { 0x0050, "maps/_vehiclenames" },
    { 0x0051, "maps/_treadfx" },
    { 0x0052, "maps/mp/_utility" },
    { 0x0053, "maps/mp/gametypes/_rank" },
    { 0x0054, "maps/mp/gametypes/_persistence" },
    { 0x0055, "maps/mp/gametypes/_gamelogic" },
    { 0x0056, "maps/mp/killstreaks/_killstreaks" },
    { 0x0057, "maps/mp/gametypes/_missions" },
    { 0x0058, "maps/mp/gametypes/_hud_message" },
    { 0x0059, "character/mp_character_ally_ghillie_desert" },
    { 0x005A, "character/mp_character_op_ghillie_desert" },
    { 0x005B, "character/mp_character_ally_ghillie_arctic" },
    { 0x005C, "character/mp_character_op_ghillie_arctic" },
    { 0x005D, "character/mp_character_ally_ghillie_urban" },
    { 0x005E, "character/mp_character_op_ghillie_urban" },
    { 0x005F, "character/mp_character_ally_ghillie_forest" },
    { 0x0060, "character/mp_character_op_ghillie_forest" },
    { 0x0061, "character/mp_character_op_ghillie_militia" },
    { 0x0062, "xmodelalias/alias_delta_elite_heads" },
    { 0x0063, "xmodelalias/alias_delta_elite_heads_longsleeves" },
    { 0x0064, "character/mp_character_delta_elite_assault_aa" },
    { 0x0065, "character/mp_character_delta_elite_assault_ab" },
    { 0x0066, "character/mp_character_delta_elite_assault_ba" },
    { 0x0067, "character/mp_character_delta_elite_assault_bb" },
    { 0x0068, "character/mp_character_delta_elite_lmg_a" },
    { 0x0069, "character/mp_character_delta_elite_lmg_b" },
    { 0x006A, "character/mp_character_delta_elite_smg_a" },
    { 0x006B, "character/mp_character_delta_elite_smg_b" },
    { 0x006C, "character/mp_character_delta_elite_shotgun_a" },
    { 0x006D, "character/mp_character_delta_elite_sniper" },
    { 0x006E, "character/character_mp_ally_juggernaut" },
    { 0x006F, "xmodelalias/alias_sas_heads" },
    { 0x0070, "character/mp_character_sas_urban_assault" },
    { 0x0071, "character/mp_character_sas_urban_lmg" },
    { 0x0072, "character/mp_character_sas_urban_shotgun" },
    { 0x0073, "character/mp_character_sas_urban_smg" },
    { 0x0074, "character/mp_character_sas_urban_sniper" },
    { 0x0075, "character/mp_character_gign_paris_assault" },
    { 0x0076, "character/mp_character_gign_paris_lmg" },
    { 0x0077, "character/mp_character_gign_paris_shotgun" },
    { 0x0078, "character/mp_character_gign_paris_smg" },
    { 0x0079, "character/mp_character_gign_paris_riot" },
    { 0x007A, "xmodelalias/alias_pmc_africa_heads" },
    { 0x007B, "character/mp_character_pmc_africa_assault_a" },
    { 0x007C, "character/mp_character_pmc_africa_assault_aa" },
    { 0x007D, "character/mp_character_pmc_africa_lmg_a" },
    { 0x007E, "character/mp_character_pmc_africa_lmg_aa" },
    { 0x007F, "character/mp_character_pmc_africa_smg_a" },
    { 0x0080, "character/mp_character_pmc_africa_smg_aa" },
    { 0x0081, "character/mp_character_pmc_africa_shotgun_a" },
    { 0x0082, "character/mp_character_pmc_africa_sniper" },
    { 0x0083, "character/mp_character_opforce_air_assault" },
    { 0x0084, "character/mp_character_opforce_air_lmg" },
    { 0x0085, "character/mp_character_opforce_air_shotgun" },
    { 0x0086, "character/mp_character_opforce_air_smg" },
    { 0x0087, "character/mp_character_opforce_air_sniper" },
    { 0x0088, "character/character_mp_opforce_juggernaut" },
    { 0x0089, "xmodelalias/alias_russian_military_arctic_heads" },
    { 0x008A, "character/mp_character_opforce_snow_assault" },
    { 0x008B, "character/mp_character_opforce_snow_lmg" },
    { 0x008C, "character/mp_character_opforce_snow_shotgun" },
    { 0x008D, "character/mp_character_opforce_snow_smg" },
    { 0x008E, "character/mp_character_opforce_snow_sniper" },
    { 0x008F, "character/mp_character_opforce_urban_assault" },
    { 0x0090, "character/mp_character_opforce_urban_lmg" },
    { 0x0091, "character/mp_character_opforce_urban_shotgun" },
    { 0x0092, "character/mp_character_opforce_urban_smg" },
    { 0x0093, "character/mp_character_opforce_urban_sniper" },
    { 0x0094, "character/mp_character_opforce_woods_assault" },
    { 0x0095, "character/mp_character_opforce_woods_lmg" },
    { 0x0096, "character/mp_character_opforce_woods_shotgun" },
    { 0x0097, "character/mp_character_opforce_woods_smg" },
    { 0x0098, "character/mp_character_opforce_woods_sniper" },
    { 0x0099, "xmodelalias/alias_africa_militia_heads_mp" },
    { 0x009A, "character/mp_character_africa_militia_assault_a" },
    { 0x009B, "character/mp_character_africa_militia_assault_b" },
    { 0x009C, "character/mp_character_africa_militia_assault_c" },
    { 0x009D, "character/mp_character_africa_militia_lmg_a" },
    { 0x009E, "character/mp_character_africa_militia_lmg_b" },
    { 0x009F, "character/mp_character_africa_militia_shotgun_a" },
    { 0x00A0, "character/mp_character_africa_militia_shotgun_b" },
    { 0x00A1, "character/mp_character_africa_militia_smg_a" },
    { 0x00A2, "character/mp_character_africa_militia_smg_b" },
    { 0x00A3, "character/mp_character_africa_militia_smg_c" },
    { 0x00A4, "character/mp_character_africa_militia_sniper" },
    { 0x00A5, "xmodelalias/alias_henchmen_heads_mp" },
    { 0x00A6, "character/mp_character_opforce_hench_assault_a" },
    { 0x00A7, "character/mp_character_opforce_hench_assault_b" },
    { 0x00A8, "character/mp_character_opforce_hench_assault_c" },
    { 0x00A9, "character/mp_character_opforce_hench_assault_d" },
    { 0x00AA, "character/mp_character_opforce_hench_lmg_a" },
    { 0x00AB, "character/mp_character_opforce_hench_lmg_b" },
    { 0x00AC, "character/mp_character_opforce_hench_shgn_a" },
    { 0x00AD, "character/mp_character_opforce_hench_shgn_b" },
    { 0x00AE, "character/mp_character_opforce_hench_smg_a" },
    { 0x00AF, "character/mp_character_opforce_hench_smg_b" },
    { 0x00B0, "character/mp_character_opforce_hench_sniper" },
    { 0x00B1, "maps/mp/gametypes/_hostmigration" },
    { 0x00B2, "mptype/mptype_ally_ghillie_desert" },
    { 0x00B3, "mptype/mptype_opforce_ghillie_desert" },
    { 0x00B4, "mptype/mptype_ally_ghillie_arctic" },
    { 0x00B5, "mptype/mptype_opforce_ghillie_arctic" },
    { 0x00B6, "mptype/mptype_ally_ghillie_urban" },
    { 0x00B7, "mptype/mptype_opforce_ghillie_urban" },
    { 0x00B8, "mptype/mptype_ally_ghillie_forest" },
    { 0x00B9, "mptype/mptype_opforce_ghillie_forest" },
    { 0x00BA, "mptype/mptype_opforce_ghillie_militia" },
    { 0x00BB, "mptype/mptype_delta_multicam_assault" },
    { 0x00BC, "mptype/mptype_delta_multicam_lmg" },
    { 0x00BD, "mptype/mptype_delta_multicam_smg" },
    { 0x00BE, "mptype/mptype_delta_multicam_shotgun" },
    { 0x00BF, "mptype/mptype_delta_multicam_sniper" },
    { 0x00C0, "mptype/mptype_delta_multicam_riot" },
    { 0x00C1, "mptype/mptype_ally_juggernaut" },
    { 0x00C2, "mptype/mptype_sas_urban_assault" },
    { 0x00C3, "mptype/mptype_sas_urban_lmg" },
    { 0x00C4, "mptype/mptype_sas_urban_shotgun" },
    { 0x00C5, "mptype/mptype_sas_urban_smg" },
    { 0x00C6, "mptype/mptype_sas_urban_sniper" },
    { 0x00C7, "mptype/mptype_gign_paris_assault" },
    { 0x00C8, "mptype/mptype_gign_paris_lmg" },
    { 0x00C9, "mptype/mptype_gign_paris_shotgun" },
    { 0x00CA, "mptype/mptype_gign_paris_smg" },
    { 0x00CB, "mptype/mptype_gign_paris_sniper" },
    { 0x00CC, "mptype/mptype_gign_paris_riot" },
    { 0x00CD, "mptype/mptype_pmc_africa_assault" },
    { 0x00CE, "mptype/mptype_pmc_africa_lmg" },
    { 0x00CF, "mptype/mptype_pmc_africa_smg" },
    { 0x00D0, "mptype/mptype_pmc_africa_shotgun" },
    { 0x00D1, "mptype/mptype_pmc_africa_sniper" },
    { 0x00D2, "mptype/mptype_pmc_africa_riot" },
    { 0x00D3, "mptype/mptype_opforce_air_assault" },
    { 0x00D4, "mptype/mptype_opforce_air_lmg" },
    { 0x00D5, "mptype/mptype_opforce_air_shotgun" },
    { 0x00D6, "mptype/mptype_opforce_air_smg" },
    { 0x00D7, "mptype/mptype_opforce_air_sniper" },
    { 0x00D8, "mptype/mptype_opforce_air_riot" },
    { 0x00D9, "mptype/mptype_opforce_juggernaut" },
    { 0x00DA, "mptype/mptype_opforce_snow_assault" },
    { 0x00DB, "mptype/mptype_opforce_snow_lmg" },
    { 0x00DC, "mptype/mptype_opforce_snow_shotgun" },
    { 0x00DD, "mptype/mptype_opforce_snow_smg" },
    { 0x00DE, "mptype/mptype_opforce_snow_sniper" },
    { 0x00DF, "mptype/mptype_opforce_snow_riot" },
    { 0x00E0, "mptype/mptype_opforce_urban_assault" },
    { 0x00E1, "mptype/mptype_opforce_urban_lmg" },
    { 0x00E2, "mptype/mptype_opforce_urban_shotgun" },
    { 0x00E3, "mptype/mptype_opforce_urban_smg" },
    { 0x00E4, "mptype/mptype_opforce_urban_sniper" },
    { 0x00E5, "mptype/mptype_opforce_urban_riot" },
    { 0x00E6, "mptype/mptype_opforce_woodland_assault" },
    { 0x00E7, "mptype/mptype_opforce_woodland_lmg" },
    { 0x00E8, "mptype/mptype_opforce_woodland_shotgun" },
    { 0x00E9, "mptype/mptype_opforce_woodland_smg" },
    { 0x00EA, "mptype/mptype_opforce_woodland_sniper" },
    { 0x00EB, "mptype/mptype_opforce_woodland_riot" },
    { 0x00EC, "mptype/mptype_opforce_africa_assault" },
    { 0x00ED, "mptype/mptype_opforce_africa_lmg" },
    { 0x00EE, "mptype/mptype_opforce_africa_shotgun" },
    { 0x00EF, "mptype/mptype_opforce_africa_smg" },
    { 0x00F0, "mptype/mptype_opforce_africa_sniper" },
    { 0x00F1, "mptype/mptype_opforce_africa_riot" },
    { 0x00F2, "mptype/mptype_opforce_henchmen_assault" },
    { 0x00F3, "mptype/mptype_opforce_henchmen_lmg" },
    { 0x00F4, "mptype/mptype_opforce_henchmen_shotgun" },
    { 0x00F5, "mptype/mptype_opforce_henchmen_smg" },
    { 0x00F6, "mptype/mptype_opforce_henchmen_sniper" },
    { 0x00F7, "mptype/mptype_opforce_henchmen_riot" },
    { 0x00F8, "maps/mp/gametypes/_teams" },
    { 0x00F9, "maps/mp/gametypes/_weapons" },
    { 0x00FA, "maps/mp/_entityheadicons" },
    { 0x00FB, "maps/mp/gametypes/_damagefeedback" },
    { 0x00FC, "maps/mp/_stinger" },
    { 0x00FD, "maps/mp/_flashgrenades" },
    { 0x00FE, "maps/mp/_empgrenade" },
    { 0x00FF, "maps/mp/gametypes/_class" },
    { 0x0100, "maps/mp/gametypes/_equipment" },
    { 0x0101, "maps/mp/_javelin" },
    { 0x0102, "maps/mp/gametypes/_shellshock" },
    { 0x0103, "maps/mp/_matchdata" },
    { 0x0104, "maps/mp/killstreaks/_perkstreaks" },
    { 0x0105, "maps/mp/perks/_perkfunctions" },
    { 0x0106, "maps/mp/gametypes/_scrambler" },
    { 0x0107, "maps/mp/gametypes/_portable_radar" },
    { 0x0108, "maps/mp/gametypes/_objpoints" },
    { 0x0109, "maps/mp/gametypes/_hud_util" },
    { 0x010A, "maps/mp/gametypes/_gameobjects" },
    { 0x010B, "maps/mp/gametypes/_quickmessages" },
    { 0x010C, "maps/mp/gametypes/_playerlogic" },
    { 0x010D, "maps/mp/gametypes/_spectating" },
    { 0x010E, "maps/mp/gametypes/_spawnlogic" },
    { 0x010F, "maps/mp/_events" },
    { 0x0110, "maps/mp/gametypes/_gamescore" },
    { 0x0111, "maps/mp/gametypes/_menus" },
    { 0x0112, "maps/mp/_minefields" },
    { 0x0113, "maps/mp/_radiation" },
    { 0x0114, "maps/mp/_shutter" },
    { 0x0115, "maps/mp/_destructables" },
    { 0x0116, "maps/mp/_audio" },
    { 0x0117, "maps/mp/_art" },
    { 0x0118, "maps/mp/_createfx" },
    { 0x0119, "maps/mp/_global_fx" },
    { 0x011A, "maps/mp/_animatedmodels" },
    { 0x011B, "maps/mp/killstreaks/_helicopter" },
    { 0x011C, "maps/mp/_skill" },
    { 0x011D, "maps/mp/killstreaks/_remoteuav" },
    { 0x011E, "maps/mp/gametypes/_battlechatter_mp" },
    { 0x011F, "maps/mp/gametypes/_deathicons" },
    { 0x0120, "maps/mp/gametypes/_killcam" },
    { 0x0121, "maps/mp/perks/_perks" },
    { 0x0122, "maps/mp/gametypes/_damage" },
    { 0x0123, "maps/mp/_highlights" },
    { 0x0124, "maps/mp/killstreaks/_escortairdrop" },
    { 0x0125, "maps/mp/killstreaks/_juggernaut" },
    { 0x0126, "maps/mp/killstreaks/_autosentry" },
    { 0x0127, "maps/mp/killstreaks/_airdrop" },
    { 0x0128, "maps/mp/gametypes/_hud" },
    { 0x0129, "maps/mp/_load" },
    { 0x012A, "maps/mp/gametypes/_serversettings" },
    { 0x012B, "maps/mp/gametypes/_healthoverlay" },
    { 0x012C, "maps/mp/gametypes/_music_and_dialog" },
    { 0x012D, "maps/mp/_awards" },
    { 0x012E, "maps/mp/_areas" },
    { 0x012F, "maps/mp/_defcon" },
    { 0x0130, "maps/mp/_matchevents" },
    { 0x0131, "maps/mp/gametypes/_friendicons" },
    { 0x0132, "maps/mp/_scoreboard" },
    { 0x0133, "maps/mp/killstreaks/_harrier" },
    { 0x0134, "maps/mp/gametypes/_callbacksetup" },
    { 0x0135, "maps/mp/killstreaks/_airstrike" },
    { 0x0136, "maps/mp/killstreaks/_emp" },
    { 0x0137, "maps/mp/killstreaks/_uav" },
    { 0x0138, "maps/mp/killstreaks/_ac130" },
    { 0x0139, "maps/mp/killstreaks/_remotemissile" },
    { 0x013A, "maps/mp/killstreaks/_helicopter_flock" },
    { 0x013B, "maps/mp/killstreaks/_helicopter_guard" },
    { 0x013C, "maps/mp/killstreaks/_nuke" },
    { 0x013D, "maps/mp/killstreaks/_remotemortar" },
    { 0x013E, "maps/mp/killstreaks/_deployablebox" },
    { 0x013F, "maps/mp/killstreaks/_ims" },
    { 0x0140, "maps/mp/killstreaks/_remoteturret" },
    { 0x0141, "maps/mp/killstreaks/_remotetank" },
    { 0x0142, "maps/mp/gametypes/_playercards" },
    { 0x0143, "maps/mp/gametypes/_globallogic" },
    { 0x0144, "xmodelalias/alias_us_army_heads" },
    { 0x0145, "character/mp_character_us_army_assault_a" },
    { 0x0146, "character/mp_character_us_army_assault_b" },
    { 0x0147, "character/mp_character_us_army_assault_c" },
    { 0x0148, "character/mp_character_us_army_lmg" },
    { 0x0149, "character/mp_character_us_army_lmg_b" },
    { 0x014A, "character/mp_character_us_army_lmg_c" },
    { 0x014B, "character/mp_character_us_army_shotgun" },
    { 0x014C, "character/mp_character_us_army_shotgun_b" },
    { 0x014D, "character/mp_character_us_army_shotgun_c" },
    { 0x014E, "xmodelalias/alias_us_army_riot" },
    { 0x014F, "character/mp_character_us_army_riot" },
    { 0x0150, "character/mp_character_us_army_smg" },
    { 0x0151, "character/mp_character_us_army_smg_b" },
    { 0x0152, "character/mp_character_us_army_smg_c" },
    { 0x0153, "character/mp_character_us_army_sniper" },
    { 0x0154, "xmodelalias/alias_opforce_arctic_heads" },
    { 0x0155, "character/mp_character_opforce_arctic_assault_a" },
    { 0x0156, "character/mp_character_opforce_arctic_assault_b" },
    { 0x0157, "character/mp_character_opforce_arctic_assault_c" },
    { 0x0158, "character/mp_character_opforce_arctic_lmg" },
    { 0x0159, "character/mp_character_opforce_arctic_lmg_b" },
    { 0x015A, "character/mp_character_opforce_arctic_lmg_c" },
    { 0x015B, "character/mp_character_opforce_arctic_shotgun" },
    { 0x015C, "character/mp_character_opforce_arctic_shotgun_b" },
    { 0x015D, "character/mp_character_opforce_arctic_shotgun_c" },
    { 0x015E, "character/mp_character_opforce_arctic_smg" },
    { 0x015F, "character/mp_character_opforce_arctic_smg_b" },
    { 0x0160, "character/mp_character_opforce_arctic_smg_c" },
    { 0x0161, "character/mp_character_op_arctic_sniper" },
    { 0x0162, "character/mp_character_op_arctic_riot" },
    { 0x0163, "xmodelalias/alias_seal_udt_heads" },
    { 0x0164, "character/mp_character_seal_udt_assault_a" },
    { 0x0165, "character/mp_character_seal_udt_lmg" },
    { 0x0166, "character/mp_character_seal_udt_assault_b" },
    { 0x0167, "character/mp_character_seal_udt_smg" },
    { 0x0168, "character/mp_character_seal_udt_sniper" },
    { 0x0169, "character/mp_character_udt_riot" },
    { 0x016A, "xmodelalias/alias_opforce_arab_heads" },
    { 0x016B, "character/mp_character_composite_assault_a" },
    { 0x016C, "character/mp_character_composite_lmg" },
    { 0x016D, "character/mp_character_composite_shotgun" },
    { 0x016E, "character/mp_character_composite_smg" },
    { 0x016F, "character/mp_character_op_arab_sniper" },
    { 0x0170, "character/mp_character_op_arab_riot" },
    { 0x0171, "xmodelalias/alias_airborne_heads" },
    { 0x0172, "character/mp_character_airborne_assault_a" },
    { 0x0173, "character/mp_character_airborne_assault_b" },
    { 0x0174, "character/mp_character_airborne_assault_c" },
    { 0x0175, "character/mp_character_airborne_lmg" },
    { 0x0176, "character/mp_character_airborne_lmg_b" },
    { 0x0177, "character/mp_character_airborne_lmg_c" },
    { 0x0178, "character/mp_character_airborne_shotgun" },
    { 0x0179, "character/mp_character_airborne_shotgun_b" },
    { 0x017A, "character/mp_character_airborne_shotgun_c" },
    { 0x017B, "character/mp_character_airborne_smg" },
    { 0x017C, "character/mp_character_airborne_smg_b" },
    { 0x017D, "character/mp_character_airborne_smg_c" },
    { 0x017E, "character/mp_character_op_airborne_sniper" },
    { 0x017F, "character/mp_character_op_airborne_riot" },
    { 0x0180, "xmodelalias/alias_opforce_militia_heads_blk" },
    { 0x0181, "xmodelalias/alias_opforce_militia_heads_wht" },
    { 0x0182, "character/mp_character_militia_assault_aa_blk" },
    { 0x0183, "character/mp_character_militia_assault_aa_wht" },
    { 0x0184, "character/mp_character_militia_assault_ab_blk" },
    { 0x0185, "character/mp_character_militia_assault_ac_blk" },
    { 0x0186, "character/mp_character_militia_lmg_aa_blk" },
    { 0x0187, "character/mp_character_militia_lmg_ab_blk" },
    { 0x0188, "character/mp_character_militia_lmg_ac_blk" },
    { 0x0189, "character/mp_character_militia_shotgun_aa_blk" },
    { 0x018A, "character/mp_character_militia_shotgun_aa_wht" },
    { 0x018B, "character/mp_character_militia_smg_aa_blk" },
    { 0x018C, "character/mp_character_militia_smg_aa_wht" },
    { 0x018D, "character/mp_character_militia_smg_ab_blk" },
    { 0x018E, "character/mp_character_militia_smg_ac_blk" },
    { 0x018F, "character/mp_character_op_militia_sniper" },
    { 0x0190, "character/mp_character_op_militia_riot" },
    { 0x0191, "xmodelalias/alias_tf141_heads_arctic" },
    { 0x0192, "character/mp_character_tf_141_arctic_assault_a" },
    { 0x0193, "character/mp_character_tf_141_arctic_assault_b" },
    { 0x0194, "character/mp_character_tf_141_arctic_lmg" },
    { 0x0195, "character/mp_character_tf_141_arctic_shotgun" },
    { 0x0196, "character/mp_character_tf_141_arctic_smg" },
    { 0x0197, "character/mp_character_tf141_arctic_sniper" },
    { 0x0198, "character/mp_character_tf141_arctic_riot" },
    { 0x0199, "xmodelalias/alias_tf141_heads_desert" },
    { 0x019A, "character/mp_character_tf_141_desert_assault_a" },
    { 0x019B, "character/mp_character_tf_141_desert_assault_b" },
    { 0x019C, "character/mp_character_tf_141_desert_lmg" },
    { 0x019D, "character/mp_character_tf_141_desert_shotgun" },
    { 0x019E, "character/mp_character_tf_141_desert_smg" },
    { 0x019F, "character/mp_character_tf141_desert_sniper" },
    { 0x01A0, "character/mp_character_tf141_desert_riot" },
    { 0x01A1, "xmodelalias/alias_tf141_heads_forest" },
    { 0x01A2, "character/mp_character_tf_141_forest_assault_a" },
    { 0x01A3, "character/mp_character_tf_141_forest_assault_b" },
    { 0x01A4, "character/mp_character_tf_141_forest_lmg" },
    { 0x01A5, "character/mp_character_tf_141_forest_shotgun" },
    { 0x01A6, "character/mp_character_tf_141_forest_smg" },
    { 0x01A7, "character/mp_character_tf141_forest_sniper" },
    { 0x01A8, "character/mp_character_tf141_forest_riot" },
    { 0x01A9, "xmodelalias/alias_delta_heads" },
    { 0x01AA, "xmodelalias/alias_delta_heads_longsleeves" },
    { 0x01AB, "character/mp_character_delta_urban_assault_a" },
    { 0x01AC, "character/mp_character_delta_urban_assault_b" },
    { 0x01AD, "character/mp_character_delta_urban_lmg_a" },
    { 0x01AE, "character/mp_character_delta_urban_lmg_b" },
    { 0x01AF, "character/mp_character_delta_urban_shotgun" },
    { 0x01B0, "character/mp_character_delta_urban_smg_a" },
    { 0x01B1, "character/mp_character_delta_urban_smg_b" },
    { 0x01B2, "character/mp_character_delta_urban_smg_c" },
    { 0x01B3, "character/mp_character_delta_urban_riot" },
    { 0x01B4, "vehicle_scripts/_pavelow_noai" },
    { 0x01B5, "maps/mp/_fx" },
    { 0x01B6, "maps/mp/_compass" },
    { 0x01B7, "maps/mp/_menus" },
    { 0x01B8, "maps/mp/_crib" },
    { 0x01B9, "maps/mp/killstreaks/_autoshotgun" },
    { 0x01BA, "maps/mp/killstreaks/_tank" },
    { 0x01BB, "maps/mp/killstreaks/_mobilemortar" },
    { 0x01BC, "maps/mp/killstreaks/_a10" },
    { 0x01BD, "maps/mp/killstreaks/_teamammorefill" },
    { 0x01BE, "maps/mp/gametypes/_clientids" },
    { 0x01BF, "maps/mp/gametypes/_dev" },
    { 0x01C0, "maps/mp/gametypes/_globalentities" },
    { 0x01C1, "maps/mp/gametypes/_hardpoints" },
    { 0x01C2, "maps/mp/killstreaks/_aamissile" },
    { 0x01C3, "maps/mp/killstreaks/_aastrike" },
    { 0x01C4, "vehicle_scripts/_c130" },
    { 0x01C5, "mptype/mptype_us_army_assault" },
    { 0x01C6, "mptype/mptype_us_army_lmg" },
    { 0x01C7, "mptype/mptype_us_army_shotgun" },
    { 0x01C8, "mptype/mptype_us_army_riot" },
    { 0x01C9, "mptype/mptype_us_army_smg" },
    { 0x01CA, "mptype/mptype_us_army_sniper" },
    { 0x01CB, "mptype/mptype_opforce_arctic_assault" },
    { 0x01CC, "mptype/mptype_opforce_arctic_lmg" },
    { 0x01CD, "mptype/mptype_opforce_arctic_shotgun" },
    { 0x01CE, "mptype/mptype_opforce_arctic_smg" },
    { 0x01CF, "mptype/mptype_opforce_arctic_sniper" },
    { 0x01D0, "mptype/mptype_opforce_arctic_riot" },
    { 0x01D1, "mptype/mptype_seal_udt_assault" },
    { 0x01D2, "mptype/mptype_seal_udt_lmg" },
    { 0x01D3, "mptype/mptype_seal_udt_shotgun" },
    { 0x01D4, "mptype/mptype_seal_udt_smg" },
    { 0x01D5, "mptype/mptype_seal_udt_sniper" },
    { 0x01D6, "mptype/mptype_seal_udt_riot" },
    { 0x01D7, "mptype/mptype_opforce_comp_assault" },
    { 0x01D8, "mptype/mptype_opforce_comp_lmg" },
    { 0x01D9, "mptype/mptype_opforce_comp_shotgun" },
    { 0x01DA, "mptype/mptype_opforce_comp_smg" },
    { 0x01DB, "mptype/mptype_opforce_comp_sniper" },
    { 0x01DC, "mptype/mptype_opforce_comp_riot" },
    { 0x01DD, "character/mp_character_composite_sniper" },
    { 0x01DE, "mptype/mptype_opforce_airborne_assault" },
    { 0x01DF, "mptype/mptype_opforce_airborne_lmg" },
    { 0x01E0, "mptype/mptype_opforce_airborne_shotgun" },
    { 0x01E1, "mptype/mptype_opforce_airborne_smg" },
    { 0x01E2, "mptype/mptype_opforce_airborne_sniper" },
    { 0x01E3, "mptype/mptype_opforce_airborne_riot" },
    { 0x01E4, "mptype/mptype_opforce_militia_assault" },
    { 0x01E5, "mptype/mptype_opforce_militia_lmg" },
    { 0x01E6, "mptype/mptype_opforce_militia_shotgun" },
    { 0x01E7, "mptype/mptype_opforce_militia_smg" },
    { 0x01E8, "mptype/mptype_opforce_militia_sniper" },
    { 0x01E9, "mptype/mptype_opforce_militia_riot" },
    { 0x01EA, "mptype/mptype_tf141_arctic_assault" },
    { 0x01EB, "mptype/mptype_tf141_arctic_lmg" },
    { 0x01EC, "mptype/mptype_tf141_arctic_shotgun" },
    { 0x01ED, "mptype/mptype_tf141_arctic_smg" },
    { 0x01EE, "mptype/mptype_tf141_arctic_sniper" },
    { 0x01EF, "mptype/mptype_tf141_arctic_riot" },
    { 0x01F0, "mptype/mptype_tf141_desert_assault" },
    { 0x01F1, "mptype/mptype_tf141_desert_lmg" },
    { 0x01F2, "mptype/mptype_tf141_desert_shotgun" },
    { 0x01F3, "mptype/mptype_tf141_desert_smg" },
    { 0x01F4, "mptype/mptype_tf141_desert_sniper" },
    { 0x01F5, "mptype/mptype_tf141_desert_riot" },
    { 0x01F6, "mptype/mptype_tf141_forest_assault" },
    { 0x01F7, "mptype/mptype_tf141_forest_lmg" },
    { 0x01F8, "mptype/mptype_tf141_forest_shotgun" },
    { 0x01F9, "mptype/mptype_tf141_forest_smg" },
    { 0x01FA, "mptype/mptype_tf141_forest_sniper" },
    { 0x01FB, "mptype/mptype_tf141_forest_riot" },
    { 0x01FC, "mptype/mptype_delta_ucp_assault" },
    { 0x01FD, "mptype/mptype_delta_ucp_lmg" },
    { 0x01FE, "mptype/mptype_delta_ucp_shotgun" },
    { 0x01FF, "mptype/mptype_delta_ucp_smg" },
    { 0x0200, "mptype/mptype_delta_ucp_sniper" },
    { 0x0201, "mptype/mptype_delta_ucp_riot" },
    { 0x0202, "character/mp_character_delta_urban_assault_c" },
    { 0x0203, "xmodelalias/alias_gign_heads" },
    { 0x0204, "codescripts/delete" },
    { 0x0205, "codescripts/struct" },
    { 0x0206, "vehicle_scripts/_empty" },
    { 0x0207, "maps/_breach" },
    { 0x0208, "maps/_briefing" },
    { 0x0209, "maps/_cagedchickens" },
    { 0x020A, "maps/_carry_ai" },
    { 0x020B, "maps/_deadbody" },
    { 0x020C, "maps/_drone_ai" },
    { 0x020D, "maps/_drone_civilian" },
    { 0x020E, "maps/_flare" },
    { 0x020F, "maps/_flashbang" },
    { 0x0210, "maps/_float" },
    { 0x0211, "maps/_heli_ride" },
    { 0x0212, "maps/_hiding_door_anims" },
    { 0x0213, "maps/_hud_weapons" },
    { 0x0214, "maps/_inventory" },
    { 0x0215, "maps/_leak" },
    { 0x0216, "maps/_menus" },
    { 0x0217, "maps/_shellshock" },
    { 0x0218, "maps/_mortar" },
    { 0x0219, "maps/_overheat" },
    { 0x021A, "maps/_props" },
    { 0x021B, "maps/_radiation" },
    { 0x021C, "maps/_sea" },
    { 0x021D, "maps/_stealth_utility" },
    { 0x021E, "maps/_stealth_shared_utilities" },
    { 0x021F, "maps/_stealth_animation_funcs" },
    { 0x0220, "maps/_stealth_threat_enemy" },
    { 0x0221, "maps/_stealth_visibility_enemy" },
    { 0x0222, "maps/_stealth_visibility_friendly" },
    { 0x0223, "maps/_stealth_behavior_friendly" },
    { 0x0224, "maps/_stealth_behavior_enemy" },
    { 0x0225, "maps/_stealth_corpse_enemy" },
    { 0x0226, "maps/_stealth_corpse_system" },
    { 0x0227, "maps/_stealth_event_enemy" },
    { 0x0228, "maps/_stealth_color_friendly" },
    { 0x0229, "maps/_stealth_accuracy_friendly" },
    { 0x022A, "maps/_stealth_smartstance_friendly" },
    { 0x022B, "maps/_stealth_visibility_system" },
    { 0x022C, "maps/_stealth_vehicle" },
    { 0x022D, "maps/_treeburst" },
    { 0x022E, "maps/_vehicle_missile" },
    { 0x022F, "maps/_vehicle_spline" },
    { 0x0230, "maps/_vehicledrive" },
    { 0x0231, "maps/_weather" },
    { 0x0232, "maps/_wood" },
    { 0x0233, "maps/_audio_presets_music" },
    { 0x0234, "maps/_shg_common" },
    { 0x0235, "common_scripts/_destructible_types_anim_airconditioner" },
    { 0x0236, "maps/animated_models/fence_tarp_107x56_med_01" },
    { 0x0237, "maps/animated_models/fence_tarp_130x56_med_01" },
    { 0x0238, "maps/animated_models/fence_tarp_134x56_med_01" },
    { 0x0239, "maps/animated_models/fence_tarp_134x76_med_01" },
    { 0x023A, "maps/animated_models/fence_tarp_134x76_med_02" },
    { 0x023B, "maps/animated_models/fence_tarp_140x56_med_01" },
    { 0x023C, "maps/animated_models/fence_tarp_151x56_med_01" },
    { 0x023D, "maps/animated_models/fence_tarp_167x56_med_01" },
    { 0x023E, "maps/animated_models/foliage_desertbrush_1_sway" },
    { 0x023F, "maps/animated_models/foliage_pacific_bushtree01" },
    { 0x0240, "maps/animated_models/foliage_pacific_flowers06_sway" },
    { 0x0241, "maps/animated_models/oil_pump_jack01" },
    { 0x0242, "maps/animated_models/oil_pump_jack02" },
    { 0x0243, "maps/animated_models/windmill_spin_med" },
    { 0x0244, "maps/animated_models/windsock_large_wind_medium" },
    { 0x0245, "maps/createart/mp_dome_art" },
    { 0x0246, "maps/mp/_explosive_barrels" },
    { 0x0247, "maps/createfx/mp_dome_fx" },
    { 0x0248, "maps/createart/mp_dome_fog" },
    { 0x0249, "xmodelalias/alias_so_martyrdom_smg_bodies" },
    { 0x024A, "character/character_so_martyrdom" },
    { 0x024B, "xmodelalias/alias_africa_militia_heads_a" },
    { 0x024C, "xmodelalias/alias_africa_militia_hats_a" },
    { 0x024D, "xmodelalias/alias_africa_militia_hats_b" },
    { 0x024E, "xmodelalias/alias_africa_militia_hats_c" },
    { 0x024F, "character/character_africa_militia_smg_a" },
    { 0x0250, "character/character_africa_militia_smg_b" },
    { 0x0251, "character/character_africa_militia_smg_c" },
    { 0x0252, "xmodelalias/alias_so_regular_smg_heads" },
    { 0x0253, "character/character_so_regular_smg" },
    { 0x0254, "maps/_rambo" },
    { 0x0255, "xmodelalias/alias_so_veteran_ar_heads" },
    { 0x0256, "character/character_so_veteran_ar" },
    { 0x0257, "character/character_sp_juggernaut" },
    { 0x0258, "maps/_juggernaut" },
    { 0x0259, "character/character_so_juggernaut_mid" },
    { 0x025A, "maps/_riotshield" },
    { 0x025B, "character/character_so_juggernaut_explosive" },
    { 0x025C, "character/character_so_juggernaut_headshot" },
    { 0x025D, "xmodelalias/alias_chemwar_russian_heads_masked" },
    { 0x025E, "character/character_chemwar_russian_assault_a" },
    { 0x025F, "character/character_chemwar_russian_assault_m_b" },
    { 0x0260, "character/character_chemwar_russian_assault_m_c" },
    { 0x0261, "character/character_chemwar_russian_assault_m_d" },
    { 0x0262, "character/character_chemwar_russian_assault_m_e" },
    { 0x0263, "character/character_chemwar_russian_assault_aa" },
    { 0x0264, "character/character_chemwar_russian_assault_m_bb" },
    { 0x0265, "character/character_chemwar_russian_assault_m_cc" },
    { 0x0266, "character/character_chemwar_russian_assault_m_dd" },
    { 0x0267, "character/character_chemwar_russian_assault_m_ee" },
    { 0x0268, "xmodelalias/alias_so_russian_naval_bodies" },
    { 0x0269, "xmodelalias/alias_russian_naval_heads" },
    { 0x026A, "character/character_so_russian_naval_assault" },
    { 0x026B, "xmodelalias/alias_chemwar_russian_heads_so" },
    { 0x026C, "character/character_chemwar_m_d_so" },
    { 0x026D, "character/character_chemwar_m_dd_so" },
    { 0x026E, "xmodelalias/alias_so_hardened_ar_heads" },
    { 0x026F, "character/character_so_hardened_ar" },
    { 0x0270, "character/character_gign_paris_smg" },
    { 0x0271, "character/character_gign_paris_assault" },
    { 0x0272, "character/character_delta_elite_assault_aa" },
    { 0x0273, "character/character_delta_elite_assault_ab" },
    { 0x0274, "character/character_delta_elite_assault_ba" },
    { 0x0275, "character/character_delta_elite_assault_bb" },
    { 0x0276, "character/character_sp_german_sheperd_dog" },
    { 0x0277, "maps/_utility_joec" },
    { 0x0278, "maps/_squad_enemies" },
    { 0x0279, "maps/_sp_killstreaks" },
    { 0x027A, "maps/_remotemissile_utility" },
    { 0x027B, "maps/_remotemissile" },
    { 0x027C, "maps/_sp_airdrop" },
    { 0x027D, "maps/_so_survival_perks" },
    { 0x027E, "common_scripts/_sentry" },
    { 0x027F, "maps/_sp_airstrike" },
    { 0x0280, "maps/_so_survival_code" },
    { 0x0281, "maps/_chopperboss" },
    { 0x0282, "maps/_so_survival_loot" },
    { 0x0283, "bad_path_listener" },
    { 0x0284, "maps/_so_survival_ai" },
    { 0x0285, "vehicle_scripts/_mi17_noai" },
    { 0x0286, "vehicle_scripts/_littlebird" },
    { 0x0287, "vehicle_scripts/_ucav" },
    { 0x0288, "vehicle_scripts/_mi17" },
    { 0x0289, "vehicle_scripts/_blackhawk" },
    { 0x028A, "maps/_air_support_strobe" },
    { 0x028B, "maps/_so_survival" },
    { 0x028C, "get_attachment_fullname" },
    { 0x028D, "get_attachment_basename" },
    { 0x028E, "maps/_so_survival_armory" },
    { 0x028F, "maps/_so_survival_challenge" },
    { 0x0290, "maps/_so_survival_dialog" },
    { 0x0291, "vehicle_scripts/_littlebird_player" },
    { 0x0292, "maps/_shg_fx" },
    { 0x0293, "maps/createart/ny_manhattan_fog" },
    { 0x0294, "maps/createart/ny_manhattan_art" },
    { 0x0295, "maps/cinematic_setups/nym_hind_finale" },
    { 0x0296, "maps/cinematic_setups/nym_sewer_exit" },
    { 0x0297, "maps/_c4" },
    { 0x0298, "xmodelalias/alias_russian_military_manhattan_heads" },
    { 0x0299, "character/character_opforce_manhattan_assault_a" },
    { 0x029A, "character/character_russian_military_rpg_a" },
    { 0x029B, "character/character_opforce_manhattan_shgn_a" },
    { 0x029C, "character/character_opforce_manhattan_lmg_a" },
    { 0x029D, "xmodelalias/alias_rangers_heads" },
    { 0x029E, "character/character_rangers_bdu_assault_a" },
    { 0x029F, "xmodelalias/alias_air_crew_heads" },
    { 0x02A0, "character/character_air_crew_manhattan" },
    { 0x02A1, "character/character_opforce_manhattan_rpg_a" },
    { 0x02A2, "character/character_delta_elite_smg_a" },
    { 0x02A3, "character/character_delta_elite_smg_b" },
    { 0x02A4, "maps/_minigun_viewmodel" },
    { 0x02A5, "maps/_minigun" },
    { 0x02A6, "maps/createfx/ny_manhattan_fx" },
    { 0x02A7, "vehicle_scripts/_gaz_dshk" },
    { 0x02A8, "vehicle_scripts/_hind" },
    { 0x02A9, "vehicle_scripts/_ss_n_12" },
    { 0x02AA, "maps/animated_models/fence_tarp_108x76_med_01" },
    { 0x02AB, "maps/animated_models/fence_tarp_132x82_med_01" },
    { 0x02AC, "maps/_predator2" },
    { 0x02AD, "maps/_xm25" },
    { 0x02AE, "vehicle_scripts/_blackhawk_minigun" },
    { 0x02AF, "vehicle_scripts/_stryker50cal" },
    { 0x02B0, "initfx" },
    { 0x02B1, "func" },
    { 0x02B2, "main" },
    { 0x02B3, "codecallback_startgametype" },
    { 0x02B4, "codecallback_playerconnect" },
    { 0x02B5, "codecallback_playerdisconnect" },
    { 0x02B6, "codecallback_playerdamage" },
    { 0x02B7, "codecallback_playerkilled" },
    { 0x02B8, "codecallback_vehicledamage" },
    { 0x02B9, "codecallback_codeendgame" },
    { 0x02BA, "codecallback_playerlaststand" },
    { 0x02BB, "codecallback_playermigrated" },
    { 0x02BC, "codecallback_hostmigration" },
    { 0x02BD, "initstructs" },
    { 0x02BE, "createstruct" },
    { 0x02BF, "end_script" },
    { 0x02C0, "init" },
    { 0x02C1, "precache" },
    { 0x02C2, "spawner" },
    { 0x02C3, "code_classname" },
    { 0x02C4, "classname" },
    { 0x02C5, "origin" },
    { 0x02C6, "model" },
    { 0x02C7, "spawnflags" },
    { 0x02C8, "target" },
    { 0x02C9, "targetname" },
    { 0x02CA, "count" },
    { 0x02CB, "health" },
    { 0x02CC, "dmg" },
    { 0x02CD, "angles" },
    { 0x02CE, "birthtime" },
    { 0x02CF, "script_linkname" },
    { 0x02D0, "slidevelocity" },
    { 0x02D1, "name" },
    { 0x02D2, "sessionteam" },
    { 0x02D3, "sessionstate" },
    { 0x02D4, "maxhealth" },
    { 0x02D5, "score" },
    { 0x02D6, "deaths" },
    { 0x02D7, "statusicon" },
    { 0x02D8, "headicon" },
    { 0x02D9, "headiconteam" },
    { 0x02DA, "canclimbladders" },
    { 0x02DB, "kills" },
    { 0x02DC, "assists" },
    { 0x02DD, "hasradar" },
    { 0x02DE, "isradarblocked" },
    { 0x02DF, "radarstrength" },
    { 0x02E0, "radarshowenemydirection" },
    { 0x02E1, "radarmode" },
    { 0x02E2, "forcespectatorclient" },
    { 0x02E3, "killcamentity" },
    { 0x02E4, "killcamentitylookat" },
    { 0x02E5, "archivetime" },
    { 0x02E6, "psoffsettime" },
    { 0x02E7, "pers" },
    { 0x02E8, "x" },
    { 0x02E9, "y" },
    { 0x02EA, "z" },
    { 0x02EB, "fontscale" },
    { 0x02EC, "font" },
    { 0x02ED, "alignx" },
    { 0x02EE, "aligny" },
    { 0x02EF, "horzalign" },
    { 0x02F0, "vertalign" },
    { 0x02F1, "color" },
    { 0x02F2, "alpha" },
    { 0x02F3, "label" },
    { 0x02F4, "sort" },
    { 0x02F5, "foreground" },
    { 0x02F6, "lowresbackground" },
    { 0x02F7, "hidewhendead" },
    { 0x02F8, "hidewheninmenu" },
    { 0x02F9, "splatter" },
    { 0x02FA, "glowcolor" },
    { 0x02FB, "glowalpha" },
    { 0x02FC, "archived" },
    { 0x02FD, "hidein3rdperson" },
    { 0x02FE, "hidewhenindemo" },
    { 0x02FF, "veh_speed" },
    { 0x0300, "veh_pathspeed" },
    { 0x0301, "veh_transmission" },
    { 0x0302, "veh_pathdir" },
    { 0x0303, "veh_pathtype" },
    { 0x0304, "veh_topspeed" },
    { 0x0305, "veh_brake" },
    { 0x0306, "veh_throttle" },
    { 0x0307, "script_noteworthy" },
    { 0x0308, "speed" },
    { 0x0309, "lookahead" },
    { 0x030A, "ambienttrack" },
    { 0x030B, "ambienttrack_ac130" },
    { 0x030C, "message" },
    { 0x030D, "northyaw" },
    { 0x030E, "wait" },
    { 0x030F, "radius" },
    { 0x0310, "height" },
    { 0x0311, "accumulate" },
    { 0x0312, "threshold" },
    { 0x0313, "cursorhint" },
    { 0x0314, "hintstring" },
    { 0x0315, "script_delay" },
    { 0x0316, "script_visionset" },
    { 0x0317, "script_zone" },
    { 0x0318, "rightarc" },
    { 0x0319, "leftarc" },
    { 0x031A, "toparc" },
    { 0x031B, "bottomarc" },
    { 0x031C, "yawconvergencetime" },
    { 0x031D, "pitchconvergencetime" },
    { 0x031E, "suppressionTime" },
    { 0x031F, "maxrange" },
    { 0x0320, "aiSpread" },
    { 0x0321, "damage" },
    { 0x0322, "playerSpread" },
    { 0x0323, "convergencetime" },
    { 0x0324, "weaponinfo" },
    { 0x0325, "vehicletype" },
    { 0x0326, "type" },
    { 0x0327, "accuracy" },
    { 0x0328, "lookforward" },
    { 0x0329, "lookright" },
    { 0x032A, "lookup" },
    { 0x032B, "fovcosine" },
    { 0x032C, "fovcosinebusy" },
    { 0x032D, "upaimlimit" },
    { 0x032E, "downaimlimit" },
    { 0x032F, "rightaimlimit" },
    { 0x0330, "leftaimlimit" },
    { 0x0331, "maxsightdistsqrd" },
    { 0x0332, "sightlatency" },
    { 0x0333, "ignoreclosefoliage" },
    { 0x0334, "followmin" },
    { 0x0335, "followmax" },
    { 0x0336, "chainfallback" },
    { 0x0337, "chainnode" },
    { 0x0338, "interval" },
    { 0x0339, "teammovewaittime" },
    { 0x033A, "damagetaken" },
    { 0x033B, "damagedir" },
    { 0x033C, "damageyaw" },
    { 0x033D, "damagelocation" },
    { 0x033E, "damageweapon" },
    { 0x033F, "damagemod" },
    { 0x0340, "proneok" },
    { 0x0341, "walkdistfacingmotion" },
    { 0x0342, "walkdist" },
    { 0x0343, "desiredangle" },
    { 0x0344, "pacifist" },
    { 0x0345, "pacifistwait" },
    { 0x0346, "footstepdetectdist" },
    { 0x0347, "footstepdetectdistwalk" },
    { 0x0348, "footstepdetectdistsprint" },
    { 0x0349, "reactiontargetpos" },
    { 0x034A, "newenemyreactiondistsq" },
    { 0x034B, "ignoreexplosionevents" },
    { 0x034C, "ignoresuppression" },
    { 0x034D, "suppressionwait" },
    { 0x034E, "suppressionduration" },
    { 0x034F, "suppressionstarttime" },
    { 0x0350, "suppressionmeter" },
    { 0x0351, "weapon" },
    { 0x0352, "dontavoidplayer" },
    { 0x0353, "grenadeawareness" },
    { 0x0354, "grenade" },
    { 0x0355, "grenadeweapon" },
    { 0x0356, "grenadeammo" },
    { 0x0357, "favoriteenemy" },
    { 0x0358, "highlyawareradius" },
    { 0x0359, "minpaindamage" },
    { 0x035A, "allowpain" },
    { 0x035B, "allowdeath" },
    { 0x035C, "delayeddeath" },
    { 0x035D, "diequietly" },
    { 0x035E, "forceragdollimmediate" },
    { 0x035F, "providecoveringfire" },
    { 0x0360, "doingambush" },
    { 0x0361, "combatmode" },
    { 0x0362, "alertlevel" },
    { 0x0363, "alertlevelint" },
    { 0x0364, "useable" },
    { 0x0365, "ignoretriggers" },
    { 0x0366, "pushable" },
    { 0x0367, "script_pushable" },
    { 0x0368, "dropweapon" },
    { 0x0369, "drawoncompass" },
    { 0x036A, "groundtype" },
    { 0x036B, "anim_pose" },
    { 0x036C, "goalradius" },
    { 0x036D, "goalheight" },
    { 0x036E, "goalpos" },
    { 0x036F, "nodeoffsetpos" },
    { 0x0370, "ignoreforfixednodesafecheck" },
    { 0x0371, "fixednode" },
    { 0x0372, "fixednodesaferadius" },
    { 0x0373, "pathgoalpos" },
    { 0x0374, "pathrandompercent" },
    { 0x0375, "usechokepoints" },
    { 0x0376, "stopanimdistsq" },
    { 0x0377, "lastenemysightpos" },
    { 0x0378, "pathenemylookahead" },
    { 0x0379, "pathenemyfightdist" },
    { 0x037A, "meleeattackdist" },
    { 0x037B, "movemode" },
    { 0x037C, "usecombatscriptatcover" },
    { 0x037D, "safetochangescript" },
    { 0x037E, "keepclaimednode" },
    { 0x037F, "keepclaimednodeifvalid" },
    { 0x0380, "keepnodeduringscriptedanim" },
    { 0x0381, "dodangerreact" },
    { 0x0382, "dangerreactduration" },
    { 0x0383, "nododgemove" },
    { 0x0384, "leanamount" },
    { 0x0385, "turnrate" },
    { 0x0386, "badplaceawareness" },
    { 0x0387, "damageshield" },
    { 0x0388, "nogrenadereturnthrow" },
    { 0x0389, "noattackeraccuracymod" },
    { 0x038A, "frontshieldanglecos" },
    { 0x038B, "lookaheaddir" },
    { 0x038C, "lookaheaddist" },
    { 0x038D, "lookaheadhitsstairs" },
    { 0x038E, "velocity" },
    { 0x038F, "prevanimdelta" },
    { 0x0390, "exposedduration" },
    { 0x0391, "requestarrivalnotify" },
    { 0x0392, "scriptedarrivalent" },
    { 0x0393, "goingtoruntopos" },
    { 0x0394, "engagemindist" },
    { 0x0395, "engageminfalloffdist" },
    { 0x0396, "engagemaxdist" },
    { 0x0397, "engagemaxfalloffdist" },
    { 0x0398, "finalaccuracy" },
    { 0x0399, "facemotion" },
    { 0x039A, "gunblockedbywall" },
    { 0x039B, "relativedir" },
    { 0x039C, "lockorientation" },
    { 0x039D, "maxfaceenemydist" },
    { 0x039E, "stairsstate" },
    { 0x039F, "script" },
    { 0x03A0, "prevscript" },
    { 0x03A1, "threatbias" },
    { 0x03A2, "syncedmeleetarget" },
    { 0x03A3, "ignoreme" },
    { 0x03A4, "ignoreall" },
    { 0x03A5, "maxvisibledist" },
    { 0x03A6, "surprisedbymedistsq" },
    { 0x03A7, "ignorerandombulletdamage" },
    { 0x03A8, "dodamagetoall" },
    { 0x03A9, "turretinvulnerability" },
    { 0x03AA, "onlygoodnearestnodes" },
    { 0x03AB, "takedamage" },
    { 0x03AC, "playername" },
    { 0x03AD, "deathinvulnerabletime" },
    { 0x03AE, "criticalbulletdamagedist" },
    { 0x03AF, "attackercount" },
    { 0x03B0, "damagemultiplier" },
    { 0x03B1, "laststand" },
    { 0x03B2, "motiontrackerenabled" },
    { 0x03B3, "team" },
    { 0x03B4, "threatbiasgroup" },
    { 0x03B5, "node" },
    { 0x03B6, "prevnode" },
    { 0x03B7, "enemy" },
    { 0x03B8, "lastattacker" },
    { 0x03B9, "attackeraccuracy" },
    { 0x03BA, "width" },
    { 0x03BB, "enable" },
    { 0x03BC, "freecamera" },
    { 0x03BD, "fov" },
    { 0x03BE, "dofnear" },
    { 0x03BF, "doffar" },
    { 0x03C0, "look" },
    { 0x03C1, "up" },
    { 0x03C2, "right" },
    { 0x03C3, "thermalbodymaterial" },
    { 0x03C4, "entity" },
    { 0x03C5, "tag" },
    { 0x03C6, "nearz" },
    { 0x03C7, "blurradius" },
    { 0x03C8, "lod" },
    { 0x03C9, "clipdistance" },
    { 0x03CA, "enableshadows" },
    { 0x03CB, "visionsetnakedduration" },
    { 0x03CC, "visionsetnaked" },
    { 0x03CD, "visionsetnightduration" },
    { 0x03CE, "visionsetnight" },
    { 0x03CF, "visionsetmissilecamduration" },
    { 0x03D0, "visionsetmissilecam" },
    { 0x03D1, "visionsetthermalduration" },
    { 0x03D2, "visionsetthermal" },
    { 0x03D3, "visionsetpainduration" },
    { 0x03D4, "visionsetpain" },
    { 0x03D5, "activevisionset" },
    { 0x03D6, "activevisionsetduration" },
    { 0x03D7, "animscript" },
    { 0x03D8, "anglelerprate" },
    { 0x03D9, "activator" },
    { 0x03DA, "gravity" },
    { 0x03DB, "ambient" },
    { 0x03DC, "diffusefraction" },
    { 0x03DD, "sunlight" },
    { 0x03DE, "suncolor" },
    { 0x03DF, "sundirection" },
    { 0x03E0, "reflection_clear_color" },
    { 0x03E1, "minusedistsq" },
    { 0x03E2, "owner" },
    { 0x03E3, "create_lock" },
    { 0x03E4, "exploder_before_load" },
    { 0x03E5, "exploderfunction" },
    { 0x03E6, "exploder_after_load" },
    { 0x03E7, "server_culled_sounds" },
    { 0x03E8, "createfx_enabled" },
    { 0x03E9, "createfxent" },
    { 0x03EA, "set_forward_and_up_vectors" },
    { 0x03EB, "v" },
    { 0x03EC, "print_org" },
    { 0x03ED, "oneshotfx" },
    { 0x03EE, "exploderfx" },
    { 0x03EF, "createexploder" },
    { 0x03F0, "createfxexploders" },
    { 0x03F1, "script_exploder" },
    { 0x03F2, "script_fxid" },
    { 0x03F3, "script_firefx" },
    { 0x03F4, "script_firefxdelay" },
    { 0x03F5, "script_firefxsound" },
    { 0x03F6, "script_sound" },
    { 0x03F7, "script_earthquake" },
    { 0x03F8, "script_damage" },
    { 0x03F9, "script_radius" },
    { 0x03FA, "script_soundalias" },
    { 0x03FB, "script_firefxtimeout" },
    { 0x03FC, "script_repeat" },
    { 0x03FD, "script_delay_min" },
    { 0x03FE, "script_delay_max" },
    { 0x03FF, "script_exploder_group" },
    { 0x0400, "targetpos" },
    { 0x0401, "_script_exploders" },
    { 0x0402, "createfx_showorigin" },
    { 0x0403, "loopfx" },
    { 0x0404, "createloopeffect" },
    { 0x0405, "create_looper" },
    { 0x0406, "_effect" },
    { 0x0407, "looper" },
    { 0x0408, "create_loopsound" },
    { 0x0409, "loop_fx_sound" },
    { 0x040A, "create_interval_sound" },
    { 0x040B, "loop_fx_sound_interval" },
    { 0x040C, "loopfxthread" },
    { 0x040D, "waitframe" },
    { 0x040E, "fxstart" },
    { 0x040F, "timeout" },
    { 0x0410, "fxstop" },
    { 0x0411, "loopfxchangeid" },
    { 0x0412, "loopfxchangeorg" },
    { 0x0413, "loopfxchangedelay" },
    { 0x0414, "loopfxdeletion" },
    { 0x0415, "loopfxstop" },
    { 0x0416, "loopsound" },
    { 0x0417, "loopsoundthread" },
    { 0x0418, "gunfireloopfx" },
    { 0x0419, "gunfireloopfxthread" },
    { 0x041A, "gunfireloopfxvec" },
    { 0x041B, "gunfireloopfxvecthread" },
    { 0x041C, "fxfireloopmod" },
    { 0x041D, "setfireloopmod" },
    { 0x041E, "setup_fx" },
    { 0x041F, "script_fxcommand" },
    { 0x0420, "script_fxstart" },
    { 0x0421, "script_fxstop" },
    { 0x0422, "burnville_paratrooper_hack" },
    { 0x0423, "burnville_paratrooper_hack_loop" },
    { 0x0424, "create_triggerfx" },
    { 0x0425, "verify_effects_assignment" },
    { 0x0426, "_missing_fx" },
    { 0x0427, "verify_effects_assignment_print" },
    { 0x0428, "oneshotfxthread" },
    { 0x0429, "menu" },
    { 0x042A, "create_fx_menu" },
    { 0x042B, "setmenu" },
    { 0x042C, "button_is_clicked" },
    { 0x042D, "createloopsound" },
    { 0x042E, "createnewexploder" },
    { 0x042F, "createintervalsound" },
    { 0x0430, "last_displayed_ent" },
    { 0x0431, "clear_settable_fx" },
    { 0x0432, "clear_fx_hudelements" },
    { 0x0433, "_exit_menu" },
    { 0x0434, "clear_entity_selection" },
    { 0x0435, "update_selected_entities" },
    { 0x0436, "get_last_selected_entity" },
    { 0x0437, "selected_fx_ents" },
    { 0x0438, "menu_fx_creation" },
    { 0x0439, "func_get_level_fx" },
    { 0x043A, "effect_list_offset" },
    { 0x043B, "effect_list_offset_max" },
    { 0x043C, "createoneshoteffect" },
    { 0x043D, "finish_creating_entity" },
    { 0x043E, "post_entity_creation_function" },
    { 0x043F, "select_last_entity" },
    { 0x0440, "move_selection_to_cursor" },
    { 0x0441, "menu_init" },
    { 0x0442, "createfx_options" },
    { 0x0443, "mp_createfx" },
    { 0x0444, "createfxmasks" },
    { 0x0445, "get_last_selected_ent" },
    { 0x0446, "entities_are_selected" },
    { 0x0447, "menu_change_selected_fx" },
    { 0x0448, "prepare_option_for_change" },
    { 0x0449, "createfx_centerprint" },
    { 0x044A, "createfx_inputlocked" },
    { 0x044B, "createfxhudelements" },
    { 0x044C, "menu_fx_option_set" },
    { 0x044D, "apply_option_to_selected_fx" },
    { 0x044E, "set_option_index" },
    { 0x044F, "selected_fx_option_index" },
    { 0x0450, "get_selected_option" },
    { 0x0451, "mask" },
    { 0x0452, "addoption" },
    { 0x0453, "get_option" },
    { 0x0454, "display_fx_info" },
    { 0x0455, "set_fx_hudelement" },
    { 0x0456, "createfx_hudelements" },
    { 0x0457, "display_fx_add_options" },
    { 0x0458, "add_option_to_selected_entities" },
    { 0x0459, "menunone" },
    { 0x045A, "draw_effects_list" },
    { 0x045B, "increment_list_offset" },
    { 0x045C, "createeffect" },
    { 0x045D, "drawn" },
    { 0x045E, "createfxbyfxid" },
    { 0x045F, "getloopeffectdelaydefault" },
    { 0x0460, "getoneshoteffectdelaydefault" },
    { 0x0461, "getexploderdelaydefault" },
    { 0x0462, "getintervalsounddelaymindefault" },
    { 0x0463, "getintervalsounddelaymaxdefault" },
    { 0x0464, "add_effect" },
    { 0x0465, "createexploderex" },
    { 0x0466, "set_origin_and_angles" },
    { 0x0467, "createfx_common" },
    { 0x0468, "flag_init" },
    { 0x0469, "createfx" },
    { 0x046A, "createfx_loopcounter" },
    { 0x046B, "createfxlogic" },
    { 0x046C, "get_template_level" },
    { 0x046D, "func_position_player" },
    { 0x046E, "location" },
    { 0x046F, "cleartextmarker" },
    { 0x0470, "selectedmove_up" },
    { 0x0471, "selectedmove_forward" },
    { 0x0472, "selectedmove_right" },
    { 0x0473, "selectedrotate_pitch" },
    { 0x0474, "selectedrotate_roll" },
    { 0x0475, "selectedrotate_yaw" },
    { 0x0476, "selected_fx" },
    { 0x0477, "createfx_lockedlist" },
    { 0x0478, "createfx_draw_enabled" },
    { 0x0479, "buttonisheld" },
    { 0x047A, "player" },
    { 0x047B, "fx_rotating" },
    { 0x047C, "createfx_selecting" },
    { 0x047D, "createfxcursor" },
    { 0x047E, "buttonclick" },
    { 0x047F, "button_is_kb" },
    { 0x0480, "fx_highlightedent" },
    { 0x0481, "func_process_fx_rotater" },
    { 0x0482, "func_position_player_get" },
    { 0x0483, "copy_angles_of_selected_ents" },
    { 0x0484, "reset_axis_of_selected_ents" },
    { 0x0485, "last_selected_entity_has_changed" },
    { 0x0486, "drop_selection_to_ground" },
    { 0x0487, "set_off_exploders" },
    { 0x0488, "exploder" },
    { 0x0489, "draw_distance" },
    { 0x048A, "createfx_autosave" },
    { 0x048B, "flag_waitopen" },
    { 0x048C, "rotate_over_time" },
    { 0x048D, "delete_pressed" },
    { 0x048E, "remove_selected_option" },
    { 0x048F, "remove_option" },
    { 0x0490, "delete_selection" },
    { 0x0491, "insert_effect" },
    { 0x0492, "show_help" },
    { 0x0493, "select_all_exploders_of_currently_selected" },
    { 0x0494, "copy_ents" },
    { 0x0495, "stored_ents" },
    { 0x0496, "textalpha" },
    { 0x0497, "paste_ents" },
    { 0x0498, "add_and_select_entity" },
    { 0x0499, "get_center_of_array" },
    { 0x049A, "ent_draw_axis" },
    { 0x049B, "rotation_is_occuring" },
    { 0x049C, "print_fx_options" },
    { 0x049D, "createfxdefaults" },
    { 0x049E, "entity_highlight_disable" },
    { 0x049F, "entity_highlight_enable" },
    { 0x04A0, "toggle_createfx_drawing" },
    { 0x04A1, "manipulate_createfx_ents" },
    { 0x04A2, "reset_fx_hud_colors" },
    { 0x04A3, "button_is_held" },
    { 0x04A4, "toggle_entity_selection" },
    { 0x04A5, "select_entity" },
    { 0x04A6, "ent_is_highlighted" },
    { 0x04A7, "deselect_entity" },
    { 0x04A8, "index_is_selected" },
    { 0x04A9, "ent_is_selected" },
    { 0x04AA, "draw_axis" },
    { 0x04AB, "fxhudelements" },
    { 0x04AC, "createfx_centerprint_thread" },
    { 0x04AD, "buttondown" },
    { 0x04AE, "buttonpressed_internal" },
    { 0x04AF, "get_selected_move_vector" },
    { 0x04B0, "process_button_held_and_clicked" },
    { 0x04B1, "locked" },
    { 0x04B2, "kb_locked" },
    { 0x04B3, "add_button" },
    { 0x04B4, "add_kb_button" },
    { 0x04B5, "set_anglemod_move_vector" },
    { 0x04B6, "cfxprintlnstart" },
    { 0x04B7, "fileprint_launcher_start_file" },
    { 0x04B8, "cfxprintln" },
    { 0x04B9, "fileprint_launcher" },
    { 0x04BA, "cfxprintlnend" },
    { 0x04BB, "fileprint_launcher_end_file" },
    { 0x04BC, "func_updatefx" },
    { 0x04BD, "hack_start" },
    { 0x04BE, "get_player" },
    { 0x04BF, "createfx_orgranize_array" },
    { 0x04C0, "stop_fx_looper" },
    { 0x04C1, "stop_loopsound" },
    { 0x04C2, "_effect_keys" },
    { 0x04C3, "alphabetize" },
    { 0x04C4, "restart_fx_looper" },
    { 0x04C5, "process_fx_rotater" },
    { 0x04C6, "generate_fx_log" },
    { 0x04C7, "scriptprintln" },
    { 0x04C8, "debugprintln" },
    { 0x04C9, "draw_debug_line" },
    { 0x04CA, "waittillend" },
    { 0x04CB, "noself_func" },
    { 0x04CC, "self_func" },
    { 0x04CD, "randomvector" },
    { 0x04CE, "randomvectorrange" },
    { 0x04CF, "angle_dif" },
    { 0x04D0, "sign" },
    { 0x04D1, "track" },
    { 0x04D2, "current_target" },
    { 0x04D3, "get_enemy_team" },
    { 0x04D4, "clear_exception" },
    { 0x04D5, "defaultexception" },
    { 0x04D6, "exception" },
    { 0x04D7, "set_exception" },
    { 0x04D8, "set_all_exceptions" },
    { 0x04D9, "cointoss" },
    { 0x04DA, "choose_from_weighted_array" },
    { 0x04DB, "get_cumulative_weights" },
    { 0x04DC, "waittill_string" },
    { 0x04DD, "waittill_multiple" },
    { 0x04DE, "threads" },
    { 0x04DF, "waittill_multiple_ents" },
    { 0x04E0, "waittill_any_return" },
    { 0x04E1, "waittill_any_timeout" },
    { 0x04E2, "_timeout" },
    { 0x04E3, "waittill_any" },
    { 0x04E4, "waittill_any_ents" },
    { 0x04E5, "isflashed" },
    { 0x04E6, "flashendtime" },
    { 0x04E7, "flag_exist" },
    { 0x04E8, "flag" },
    { 0x04E9, "init_flags" },
    { 0x04EA, "flags_lock" },
    { 0x04EB, "generic_index" },
    { 0x04EC, "sp_stat_tracking_func" },
    { 0x04ED, "flag_struct" },
    { 0x04EE, "trigger_flags" },
    { 0x04EF, "empty_init_func" },
    { 0x04F0, "issuffix" },
    { 0x04F1, "flag_set" },
    { 0x04F2, "assign_unique_id" },
    { 0x04F3, "unique_id" },
    { 0x04F4, "flag_wait" },
    { 0x04F5, "flag_clear" },
    { 0x04F6, "waittill_either" },
    { 0x04F7, "array_thread" },
    { 0x04F8, "array_call" },
    { 0x04F9, "array_thread4" },
    { 0x04FA, "array_thread5" },
    { 0x04FB, "trigger_on" },
    { 0x04FC, "trigger_on_proc" },
    { 0x04FD, "realorigin" },
    { 0x04FE, "trigger_off" },
    { 0x04FF, "trigger_off_proc" },
    { 0x0500, "set_trigger_flag_permissions" },
    { 0x0501, "update_trigger_based_on_flags" },
    { 0x0502, "script_flag_true" },
    { 0x0503, "script_flag_false" },
    { 0x0504, "trigger_func" },
    { 0x0505, "create_flags_and_return_tokens" },
    { 0x0506, "init_trigger_flags" },
    { 0x0507, "getstruct" },
    { 0x0508, "struct_class_names" },
    { 0x0509, "getstructarray" },
    { 0x050A, "struct_class_init" },
    { 0x050B, "struct" },
    { 0x050C, "fileprint_start" },
    { 0x050D, "fileprint_map_start" },
    { 0x050E, "fileprint_map_header" },
    { 0x050F, "fileprint_map_keypairprint" },
    { 0x0510, "fileprint_map_entity_start" },
    { 0x0511, "fileprint_map_entity_end" },
    { 0x0512, "fileprint_radiant_vec" },
    { 0x0513, "array_remove" },
    { 0x0514, "array_remove_array" },
    { 0x0515, "array_removeundefined" },
    { 0x0516, "array_levelthread" },
    { 0x0517, "array_levelcall" },
    { 0x0518, "add_to_array" },
    { 0x0519, "flag_assert" },
//  { 0x051A, "" },
    { 0x051B, "flag_wait_either_return" },
    { 0x051C, "flag_wait_any" },
    { 0x051D, "flag_wait_any_return" },
    { 0x051E, "flag_wait_all" },
    { 0x051F, "flag_wait_or_timeout" },
    { 0x0520, "flag_waitopen_or_timeout" },
    { 0x0521, "wait_for_flag_or_time_elapses" },
    { 0x0522, "delaycall" },
    { 0x0523, "delaycall_proc" },
    { 0x0524, "noself_delaycall" },
    { 0x0525, "noself_delaycall_proc" },
    { 0x0526, "issp" },
    { 0x0527, "issp_towerdefense" },
    { 0x0528, "string_starts_with" },
    { 0x0529, "plot_points" },
    { 0x052A, "draw_line_for_time" },
    { 0x052B, "array_combine" },
    { 0x052C, "flat_angle" },
    { 0x052D, "flat_origin" },
    { 0x052E, "draw_arrow_time" },
    { 0x052F, "get_linked_ents" },
    { 0x0530, "script_linkto" },
    { 0x0531, "get_linked_vehicle_nodes" },
    { 0x0532, "get_linked_ent" },
    { 0x0533, "get_linked_vehicle_node" },
    { 0x0534, "get_links" },
    { 0x0535, "run_thread_on_targetname" },
    { 0x0536, "getnodearrayfunction" },
    { 0x0537, "run_thread_on_noteworthy" },
    { 0x0538, "draw_arrow" },
//  { 0x0539, "" },
    { 0x053A, "fxexists" },
    { 0x053B, "print_csv_asset" },
    { 0x053C, "csv_lines" },
    { 0x053D, "fileprint_csv_start" },
    { 0x053E, "_loadfx" },
    { 0x053F, "getlastweapon" },
    { 0x0540, "saved_lastweapon" },
    { 0x0541, "playerunlimitedammothread" },
    { 0x0542, "isusabilityenabled" },
    { 0x0543, "disabledusability" },
    { 0x0544, "_disableusability" },
    { 0x0545, "_enableusability" },
    { 0x0546, "resetusability" },
    { 0x0547, "_disableweapon" },
    { 0x0548, "disabledweapon" },
    { 0x0549, "_enableweapon" },
    { 0x054A, "isweaponenabled" },
    { 0x054B, "_disableweaponswitch" },
    { 0x054C, "disabledweaponswitch" },
    { 0x054D, "_enableweaponswitch" },
    { 0x054E, "isweaponswitchenabled" },
    { 0x054F, "_disableoffhandweapons" },
    { 0x0550, "disabledoffhandweapons" },
    { 0x0551, "_enableoffhandweapons" },
    { 0x0552, "isoffhandweaponenabled" },
    { 0x0553, "random" },
    { 0x0554, "spawn_tag_origin" },
    { 0x0555, "waittill_notify_or_timeout" },
    { 0x0556, "fileprintlauncher_linecount" },
    { 0x0557, "launcher_write_clipboard" },
    { 0x0558, "isdestructible" },
    { 0x0559, "destructible_type" },
    { 0x055A, "pauseeffect" },
    { 0x055B, "activate_individual_exploder" },
    { 0x055C, "brush_delete" },
    { 0x055D, "connectpathsfunction" },
    { 0x055E, "exploded" },
    { 0x055F, "brush_throw" },
    { 0x0560, "get_target_ent" },
    { 0x0561, "getnodefunction" },
    { 0x0562, "brush_show" },
//  { 0x0563, "" },
    { 0x0564, "brush_shown" },
    { 0x0565, "disconnect_paths" },
    { 0x0566, "disconnectpathsfunction" },
    { 0x0567, "exploder_earthquake" },
    { 0x0568, "do_earthquake" },
    { 0x0569, "earthquake" },
    { 0x056A, "exploder_rumble" },
    { 0x056B, "exploder_delay" },
    { 0x056C, "exploder_damage" },
    { 0x056D, "effect_loopsound" },
    { 0x056E, "loopsound_ent" },
    { 0x056F, "play_loopsound_in_space" },
    { 0x0570, "sound_effect" },
    { 0x0571, "effect_soundalias" },
    { 0x0572, "play_sound_in_space" },
    { 0x0573, "cannon_effect" },
    { 0x0574, "exploder_playsound" },
    { 0x0575, "fire_effect" },
    { 0x0576, "first_frame" },
    { 0x0577, "loop_sound_delete" },
    { 0x0578, "activate_exploder" },
    { 0x0579, "is_later_in_alphabet" },
    { 0x057A, "alphabet_compare" },
    { 0x057B, "play_loop_sound_on_entity" },
    { 0x057C, "stop_loop_sound_on_entity" },
    { 0x057D, "delete_on_death" },
    { 0x057E, "error" },
    { 0x057F, "create_dvar" },
    { 0x0580, "void" },
    { 0x0581, "tag_project" },
    { 0x0582, "ter_op" },
    { 0x0583, "lock" },
    { 0x0584, "max_count" },
    { 0x0585, "is_locked" },
    { 0x0586, "unlock_wait" },
    { 0x0587, "unlock" },
    { 0x0588, "unlock_thread" },
    { 0x0589, "template_script" },
    { 0x058A, "setparent" },
    { 0x058B, "parent" },
    { 0x058C, "point" },
    { 0x058D, "yoffset" },
    { 0x058E, "xoffset" },
    { 0x058F, "relativepoint" },
    { 0x0590, "getparent" },
    { 0x0591, "addchild" },
//  { 0x0592, "" },
    { 0x0593, "index" },
    { 0x0594, "removechild" },
    { 0x0595, "setpoint" },
    { 0x0596, "uiparent" },
    { 0x0597, "elemtype" },
    { 0x0598, "setpointbar" },
    { 0x0599, "bar" },
    { 0x059A, "padding" },
    { 0x059B, "frac" },
    { 0x059C, "updatebar" },
    { 0x059D, "shader" },
    { 0x059E, "hidebar" },
    { 0x059F, "orig_alpha" },
    { 0x05A0, "createfontstring" },
    { 0x05A1, "fontheight" },
    { 0x05A2, "createclientfontstring" },
    { 0x05A3, "createclienttimer" },
    { 0x05A4, "createserverfontstring" },
    { 0x05A5, "createservertimer" },
    { 0x05A6, "createicon" },
    { 0x05A7, "createclienticon" },
    { 0x05A8, "createicon_hudelem" },
    { 0x05A9, "createbar" },
    { 0x05AA, "flashfrac" },
    { 0x05AB, "createclientprogressbar" },
    { 0x05AC, "createclientbar" },
    { 0x05AD, "setflashfrac" },
    { 0x05AE, "fade_over_time" },
    { 0x05AF, "flashthread" },
    { 0x05B0, "destroyelem" },
    { 0x05B1, "seticonshader" },
//  { 0x05B2, "" },
    { 0x05B3, "setheight" },
    { 0x05B4, "setsize" },
    { 0x05B5, "updatechildren" },
    { 0x05B6, "stance_carry_icon_enable" },
    { 0x05B7, "stance_carry" },
    { 0x05B8, "console" },
    { 0x05B9, "stance_carry_icon_disable" },
    { 0x05BA, "create_mantle" },
    { 0x05BB, "strings" },
    { 0x05BC, "hud_mantle" },
    { 0x05BD, "get_countdown_hud" },
    { 0x05BE, "get_download_state_hud" },
//  { 0x05BF, "" },
    { 0x05C0, "create_client_overlay_custom_size" },
    { 0x05C1, "get_player_from_self" },
    { 0x05C2, "create_client_overlay_fullscreen" },
    { 0x05C3, "color_cool_green" },
    { 0x05C4, "color_cool_green_glow" },
    { 0x05C5, "arcademode_checkpoint_dvars" },
    { 0x05C6, "arcademode_checkpoint_max" },
    { 0x05C7, "arcademode_kills_hud" },
    { 0x05C8, "arcademode_kill_streak_ends" },
    { 0x05C9, "arcademode_last_streak_time" },
    { 0x05CA, "arcademode_ramping_score" },
    { 0x05CB, "arcademode_new_kill_streak_allowed" },
    { 0x05CC, "arcademode_kill_streak_current_multiplier" },
    { 0x05CD, "arcademode_kill_streak_multiplier_count" },
    { 0x05CE, "arcademode_last_multi_kill_sound" },
    { 0x05CF, "arcademode_success" },
    { 0x05D0, "global_kill_func" },
    { 0x05D1, "global_damage_func_ads" },
//  { 0x05D2, "" },
    { 0x05D3, "arcademode_hud_sort" },
    { 0x05D4, "arcademode_maxlives" },
//  { 0x05D5, "" },
    { 0x05D6, "arcademode_playthrough" },
    { 0x05D7, "arcdemode_starttime" },
    { 0x05D8, "arcademode_time" },
    { 0x05D9, "arcademode_killbase" },
    { 0x05DA, "arcademode_damagebase" },
    { 0x05DB, "arcademode_multikills" },
    { 0x05DC, "arcademode_weaponmultiplier" },
    { 0x05DD, "arcademode_complete" },
    { 0x05DE, "arcademode_get_level_time" },
    { 0x05DF, "arcademode_difficultytimerscale" },
    { 0x05E0, "arcademode_death_detection" },
    { 0x05E1, "add_wait" },
    { 0x05E2, "waittill_msg" },
    { 0x05E3, "do_wait_any" },
//  { 0x05E4, "" },
    { 0x05E5, "arcademode_failurestring" },
    { 0x05E6, "arcademode_update_timer" },
    { 0x05E7, "arcademode_hud_timer" },
    { 0x05E8, "arcademode_update_lives" },
    { 0x05E9, "arcademode_lives_hud" },
    { 0x05EA, "arcademode_convert_extra_lives" },
    { 0x05EB, "arcademode_checkpoint_print" },
    { 0x05EC, "arcademode" },
    { 0x05ED, "arcademode_redraw_life" },
    { 0x05EE, "arcademode_remove_life" },
    { 0x05EF, "arcademode_redraw_lives" },
    { 0x05F0, "arcademode_update_streak_progress" },
    { 0x05F1, "arcademode_redraw_streak_progress" },
    { 0x05F2, "arcademode_kill_streak_current_count" },
    { 0x05F3, "arcademode_streak_color" },
    { 0x05F4, "arcademode_streak_glow" },
    { 0x05F5, "arcademode_add_kill" },
    { 0x05F6, "arcademode_kill_zero_x_location" },
    { 0x05F7, "get_streak_hud" },
    { 0x05F8, "arcademode_add_kill_streak_time" },
    { 0x05F9, "arcademode_hud_streak" },
    { 0x05FA, "arcademode_streak_hud" },
    { 0x05FB, "arcademode_streak_hud_shadow" },
    { 0x05FC, "arcademode_add_kill_streak" },
    { 0x05FD, "streak_timer_color_pulse" },
    { 0x05FE, "arcademode_multiplier_maxed" },
    { 0x05FF, "_wait" },
    { 0x0600, "last_song" },
    { 0x0601, "get_hud_score" },
    { 0x0602, "arcademode_update_score" },
//  { 0x0603, "" },
    { 0x0604, "arcademode_hud_scores" },
    { 0x0605, "updatescoreelemsonce" },
    { 0x0606, "hud_update_score" },
    { 0x0607, "get_digits_from_score" },
    { 0x0608, "hud_draw_score" },
    { 0x0609, "hud_draw_score_for_elements" },
    { 0x060A, "arcademode_add_life" },
    { 0x060B, "arcademode_define_damage_multipliers" },
    { 0x060C, "arcademode_kills_until_next_extra_life" },
    { 0x060D, "arcademode_extra_lives_range" },
    { 0x060E, "arcademode_extra_lives_base" },
    { 0x060F, "set_next_extra_life" },
//  { 0x0610, "" },
    { 0x0611, "extra_lives_display" },
    { 0x0612, "fade_out" },
    { 0x0613, "extra_lives_sizzle" },
//  { 0x0614, "" },
    { 0x0615, "round_up_to_five" },
    { 0x0616, "arcademode_add_points" },
    { 0x0617, "arcademode_deathtypes" },
    { 0x0618, "arcademode_killcolors" },
    { 0x0619, "arcademode_add_point_towards_extra_life" },
    { 0x061A, "gameskill" },
//  { 0x061B, "" },
//  { 0x061C, "" },
    { 0x061D, "thirdpointpulseside" },
    { 0x061E, "pointpulse" },
    { 0x061F, "pointpulsecount" },
    { 0x0620, "set_circular_origin" },
    { 0x0621, "arcademode_add_points_for_mod" },
    { 0x0622, "arcademode_add_points_for_individual_kill" },
//  { 0x0623, "" },
//  { 0x0624, "" },
    { 0x0625, "player_kill" },
    { 0x0626, "player_damage" },
    { 0x0627, "player_damage_ads" },
    { 0x0628, "end_mission" },
    { 0x0629, "players" },
    { 0x062A, "create_total_score_hud" },
    { 0x062B, "arcademode_hud_total_scores" },
    { 0x062C, "set_total_score_hud" },
    { 0x062D, "arcademode_ends" },
    { 0x062E, "slowmo_setlerptime_out" },
    { 0x062F, "slowmo_lerp_out" },
    { 0x0630, "slowmo_end" },
    { 0x0631, "arcademode_stoptime" },
    { 0x0632, "mission_failed_disabled" },
    { 0x0633, "arcademode_hud_timer_minutes_tens" },
    { 0x0634, "arcademode_hud_timer_minutes_ones" },
    { 0x0635, "arcademode_hud_timer_seconds_tens" },
    { 0x0636, "arcademode_hud_timer_seconds_ones" },
    { 0x0637, "arcademode_skillmultiplier" },
    { 0x0638, "arcademode_end_boost" },
    { 0x0639, "black_background" },
    { 0x063A, "player_invul_forever" },
    { 0x063B, "set_ignoreme" },
    { 0x063C, "ending_set_time" },
    { 0x063D, "draw_checkpoint" },
    { 0x063E, "arcademode_checkpoint_getid" },
    { 0x063F, "arcademode_init_kill_streak_colors" },
    { 0x0640, "arcademode_killstreak_complete_display" },
    { 0x0641, "arcademode_reset_kill_streak_art" },
    { 0x0642, "arcademode_reset_kill_streak" },
    { 0x0643, "get_hud_multi" },
    { 0x0644, "arcademode_draw_multiplier" },
    { 0x0645, "arcademode_draw_mult_sizzle" },
    { 0x0646, "arcademode_draw_multiplier_kill" },
    { 0x0647, "get_score_string_from_digits" },
    { 0x0648, "init_stats" },
    { 0x0649, "stats" },
    { 0x064A, "was_headshot" },
    { 0x064B, "died_of_headshot" },
    { 0x064C, "register_kill" },
    { 0x064D, "pmc_match" },
    { 0x064E, "is_specialop" },
    { 0x064F, "juggernaut" },
    { 0x0650, "issentrygun" },
    { 0x0651, "riders" },
    { 0x0652, "career_stat_increment" },
    { 0x0653, "register_shot_hit" },
    { 0x0654, "registeringshothit" },
    { 0x0655, "shots_hit" },
    { 0x0656, "shots_fired_recorder" },
    { 0x0657, "isprimaryweapon" },
    { 0x0658, "shots_fired" },
    { 0x0659, "is_new_weapon" },
    { 0x065A, "cause_is_explosive" },
//  { 0x065B, "" },
//  { 0x065C, "" },
    { 0x065D, "get_best_weapons" },
    { 0x065E, "get_weapon_with_most_kills" },
    { 0x065F, "gunner_think" },
    { 0x0660, "can_fire_turret" },
    { 0x0661, "wants_to_fire" },
    { 0x0662, "use_the_turret" },
//  { 0x0663, "" },
    { 0x0664, "current_enemy" },
    { 0x0665, "target_ent_cleanup" },
    { 0x0666, "shoot_enemy_until_he_hides_then_shoot_wall" },
    { 0x0667, "set_firing" },
    { 0x0668, "turret" },
    { 0x0669, "stop_firing" },
    { 0x066A, "start_firing" },
    { 0x066B, "create_mg_team" },
    { 0x066C, "mg_gunner_team" },
    { 0x066D, "mg_gunner_death_notify" },
    { 0x066E, "mgteam_take_turns_firing" },
    { 0x066F, "solo_firing" },
    { 0x0670, "solo_fires" },
    { 0x0671, "dual_firing" },
//  { 0x0672, "" },
    { 0x0673, "get_suppress_point" },
    { 0x0674, "record_enemy_sightings" },
//  { 0x0675, "" },
//  { 0x0676, "" },
    { 0x0677, "squadinitialized" },
//  { 0x0678, "" },
    { 0x0679, "squadcreatestrings" },
    { 0x067A, "squads" },
    { 0x067B, "squadindex" },
    { 0x067C, "squadrand" },
    { 0x067D, "createsquad" },
//  { 0x067E, "" },
    { 0x067F, "sighttime" },
    { 0x0680, "forward" },
    { 0x0681, "isincombat" },
    { 0x0682, "membercount" },
    { 0x0683, "members" },
    { 0x0684, "officers" },
    { 0x0685, "officercount" },
    { 0x0686, "squadlist" },
    { 0x0687, "memberaddfuncs" },
//  { 0x0688, "" },
//  { 0x0689, "" },
    { 0x068A, "memberremovestrings" },
    { 0x068B, "squadupdatefuncs" },
    { 0x068C, "squadupdatestrings" },
    { 0x068D, "squadid" },
    { 0x068E, "deletesquad" },
    { 0x068F, "generatesquadname" },
    { 0x0690, "addplayertosquad" },
    { 0x0691, "script_squadname" },
    { 0x0692, "squad" },
    { 0x0693, "squadchange" },
    { 0x0694, "script_flanker" },
    { 0x0695, "getsquadteam" },
    { 0x0696, "addtosquad" },
    { 0x0697, "lastenemysighttime" },
    { 0x0698, "combattime" },
    { 0x0699, "memberid" },
    { 0x069A, "loadoutcomplete" },
    { 0x069B, "isofficer" },
//  { 0x069C, "" },
    { 0x069D, "officerid" },
    { 0x069E, "addofficertosquad" },
    { 0x069F, "removeofficerfromsquad" },
    { 0x06A0, "officerwaiter" },
    { 0x06A1, "updatewaiter" },
    { 0x06A2, "squadtracker" },
    { 0x06A3, "memberdeathwaiter" },
    { 0x06A4, "attacker" },
    { 0x06A5, "membercombatwaiter" },
    { 0x06A6, "updateheading" },
    { 0x06A7, "updateorigin" },
    { 0x06A8, "updatecombat" },
    { 0x06A9, "isincontact" },
    { 0x06AA, "updateenemy" },
    { 0x06AB, "updateall" },
    { 0x06AC, "updatesquadlist" },
    { 0x06AD, "printabovehead" },
//  { 0x06AE, "" },
    { 0x06AF, "a" },
    { 0x06B0, "state" },
    { 0x06B1, "updatestates" },
    { 0x06B2, "updatememberstates" },
    { 0x06B3, "aiupdatecombat" },
//  { 0x06B4, "" },
    { 0x06B5, "suppressed" },
    { 0x06B6, "suppressedtime" },
//  { 0x06B7, "" },
    { 0x06B8, "squadstates" },
    { 0x06B9, "activateratio" },
    { 0x06BA, "isactive" },
    { 0x06BB, "numactive" },
    { 0x06BC, "resetstate" },
    { 0x06BD, "querymemberanimstate" },
    { 0x06BE, "querymemberstate" },
    { 0x06BF, "lastshoottime" },
    { 0x06C0, "isexposed" },
    { 0x06C1, "addtosystem" },
    { 0x06C2, "bcsenabled" },
    { 0x06C3, "chatinitialized" },
//  { 0x06C4, "" },
    { 0x06C5, "enemyclass" },
    { 0x06C6, "calledout" },
    { 0x06C7, "battlechatter" },
    { 0x06C8, "flavorbursts" },
    { 0x06C9, "script_battlechatter" },
    { 0x06CA, "voice" },
    { 0x06CB, "countryids" },
    { 0x06CC, "countryid" },
    { 0x06CD, "script_friendname" },
    { 0x06CE, "npcid" },
    { 0x06CF, "forceenglish" },
    { 0x06D0, "aithreadthreader" },
    { 0x06D1, "isalliedcountryid" },
    { 0x06D2, "setnpcid" },
    { 0x06D3, "usedids" },
    { 0x06D4, "npcidtracker" },
    { 0x06D5, "aihostileburstloop" },
//  { 0x06D6, "" },
    { 0x06D7, "playbattlechatter" },
    { 0x06D8, "ainameandrankwaiter" },
    { 0x06D9, "getname" },
    { 0x06DA, "bcname" },
    { 0x06DB, "getrank" },
    { 0x06DC, "bcrank" },
    { 0x06DD, "removefromsystem" },
    { 0x06DE, "chatqueue" },
    { 0x06DF, "nextsaytime" },
    { 0x06E0, "nextsaytimes" },
    { 0x06E1, "isspeaking" },
    { 0x06E2, "init_aibattlechatter" },
    { 0x06E3, "expiretime" },
    { 0x06E4, "priority" },
    { 0x06E5, "bcs_minpriority" },
    { 0x06E6, "allowedcallouts" },
    { 0x06E7, "addallowedthreatcallout" },
    { 0x06E8, "playernameids" },
//  { 0x06E9, "" },
    { 0x06EA, "voicecanburst" },
    { 0x06EB, "friendlyfire_warnings" },
//  { 0x06EC, "" },
    { 0x06ED, "addthreatevent" },
    { 0x06EE, "cansay" },
    { 0x06EF, "threatwasalreadycalledout" },
    { 0x06F0, "createchatevent" },
    { 0x06F1, "threat" },
//  { 0x06F2, "" },
    { 0x06F3, "addresponseevent" },
    { 0x06F4, "addresponseevent_internal" },
    { 0x06F5, "isusingsamevoice" },
    { 0x06F6, "reportalias" },
    { 0x06F7, "respondto" },
//  { 0x06F8, "" },
    { 0x06F9, "responseevent_failsafe" },
    { 0x06FA, "addinformevent" },
//  { 0x06FB, "" },
    { 0x06FC, "addreactionevent" },
    { 0x06FD, "reactto" },
    { 0x06FE, "addorderevent" },
    { 0x06FF, "orderto" },
//  { 0x0700, "" },
    { 0x0701, "getclosest" },
    { 0x0702, "getthreats" },
    { 0x0703, "threatid" },
    { 0x0704, "get_array_of_closest" },
    { 0x0705, "getlocation" },
    { 0x0706, "location_called_out_recently" },
    { 0x0707, "threatisviable" },
    { 0x0708, "bcs_maxthreatdistfromplayer" },
    { 0x0709, "entinfrontarc" },
    { 0x070A, "squadthreatwaiter" },
    { 0x070B, "player_can_see_ai" },
    { 0x070C, "aideathfriendly" },
    { 0x070D, "is_in_callable_location" },
    { 0x070E, "aideatheventthread" },
    { 0x070F, "aideathenemy" },
    { 0x0710, "aikilleventthread" },
    { 0x0711, "aiofficerorders" },
    { 0x0712, "aigrenadedangerwaiter" },
    { 0x0713, "aidisplacewaiter" },
    { 0x0714, "paintime" },
    { 0x0715, "evaluatemoveevent" },
    { 0x0716, "isnodecoverorconceal" },
    { 0x0717, "getresponder" },
    { 0x0718, "eventchance" },
    { 0x0719, "nationalityokformoveorder" },
    { 0x071A, "nationalityokformoveordernoncombat" },
    { 0x071B, "aifolloworderwaiter" },
    { 0x071C, "player_friendlyfire_waiter" },
    { 0x071D, "player_friendlyfire_addreactionevent" },
//  { 0x071E, "" },
    { 0x071F, "damage_is_valid_for_friendlyfire_warning" },
    { 0x0720, "friendlyfire_whizby_distances_valid" },
    { 0x0721, "evaluatereloadevent" },
    { 0x0722, "evaluatemeleeevent" },
    { 0x0723, "evaluatefiringevent" },
    { 0x0724, "evaluatesuppressionevent" },
    { 0x0725, "evaluateattackevent" },
//  { 0x0726, "" },
    { 0x0727, "addsituationalcombatorder" },
    { 0x0728, "custom_battlechatter_init_valid_phrases" },
    { 0x0729, "custombcs_validphrases" },
    { 0x072A, "custom_battlechatter_validate_phrase" },
    { 0x072B, "custom_battlechatter_internal" },
    { 0x072C, "bcprintfailprefix" },
    { 0x072D, "customchatphrase" },
    { 0x072E, "tryorderto" },
    { 0x072F, "begincustomevent" },
    { 0x0730, "createchatphrase" },
    { 0x0731, "addactioncovermealiasex" },
    { 0x0732, "addorderalias" },
    { 0x0733, "addmovecombataliasex" },
    { 0x0734, "addmovenoncombataliasex" },
    { 0x0735, "addinformreloadingaliasex" },
    { 0x0736, "addinformalias" },
    { 0x0737, "addnamealiasex" },
//  { 0x0738, "" },
    { 0x0739, "endcustomevent" },
    { 0x073A, "bcs_location_trigs_init" },
    { 0x073B, "bcs_location_mappings" },
    { 0x073C, "bcs_trigs_assign_aliases" },
    { 0x073D, "bcs_locations" },
    { 0x073E, "array_randomize" },
    { 0x073F, "locationaliases" },
    { 0x0740, "parselocationaliases" },
    { 0x0741, "add_bcs_location_mapping" },
    { 0x0742, "bcs_location_trigger_mapping" },
    { 0x0743, "generic_locations" },
    { 0x0744, "landmarks" },
    { 0x0745, "vehicles" },
    { 0x0746, "tibet" },
    { 0x0747, "ny_manhattan" },
    { 0x0748, "ny_harbor" },
    { 0x0749, "hijack" },
    { 0x074A, "warlord" },
    { 0x074B, "london" },
    { 0x074C, "payback" },
    { 0x074D, "hamburg" },
    { 0x074E, "paris_a" },
    { 0x074F, "paris_b" },
    { 0x0750, "paris_ac130" },
    { 0x0751, "prague" },
    { 0x0752, "berlin" },
    { 0x0753, "rescue" },
    { 0x0754, "rescue_2" },
    { 0x0755, "dubai" },
    { 0x0756, "init_battlechatter" },
//  { 0x0757, "" },
    { 0x0758, "eventtypeminwait" },
    { 0x0759, "_stealth" },
    { 0x075A, "eventactionminwait" },
    { 0x075B, "eventpriority" },
    { 0x075C, "eventduration" },
    { 0x075D, "fbt_desireddistmax" },
    { 0x075E, "fbt_waitmin" },
//  { 0x075F, "" },
    { 0x0760, "fbt_linebreakmin" },
    { 0x0761, "fbt_linebreakmax" },
    { 0x0762, "moveorigin" },
    { 0x0763, "bcs_maxtalkingdistfromplayer" },
    { 0x0764, "heightforhighcallout" },
    { 0x0765, "mindistancecallout" },
    { 0x0766, "maxdistancecallout" },
    { 0x0767, "locationlastcallouttimes" },
//  { 0x0768, "" },
    { 0x0769, "bcs_threatresettime" },
    { 0x076A, "teams" },
    { 0x076B, "isteamspeaking" },
//  { 0x076C, "" },
    { 0x076D, "flavorburstvoices" },
    { 0x076E, "lastteamspeaktime" },
    { 0x076F, "lastnamesaid" },
    { 0x0770, "lastnamesaidtime" },
    { 0x0771, "lastnamesaidtimeout" },
    { 0x0772, "threatcallouts" },
    { 0x0773, "lastteamthreatcallout" },
    { 0x0774, "lastteamthreatcallouttime" },
    { 0x0775, "teamthreatcalloutlimittimeout" },
    { 0x0776, "bcs_setup_teams_array" },
    { 0x0777, "bcs_setup_countryids" },
    { 0x0778, "bcs_setup_chatter_toggle_array" },
    { 0x0779, "set_battlechatter_variable" },
    { 0x077A, "bcs_setup_flavorburst_toggle_array" },
    { 0x077B, "init_flavorbursts" },
    { 0x077C, "string" },
    { 0x077D, "flavorburstsused" },
    { 0x077E, "shutdown_battlechatter" },
    { 0x077F, "numspeakers" },
//  { 0x0780, "" },
    { 0x0781, "nexttypesaytimes" },
    { 0x0782, "ismembersaying" },
    { 0x0783, "lastdirection" },
    { 0x0784, "fbt_firstburst" },
    { 0x0785, "fbt_lastbursterid" },
    { 0x0786, "shutdown_squadbattlechatter" },
    { 0x0787, "bcsdebugwaiter" },
    { 0x0788, "enablebattlechatter" },
    { 0x0789, "disablebattlechatter" },
    { 0x078A, "setplayerbcnameid" },
    { 0x078B, "bcnameid" },
//  { 0x078C, "" },
    { 0x078D, "campaign" },
    { 0x078E, "_animactive" },
    { 0x078F, "scripteddialoguestarttime" },
    { 0x0790, "playthreatevent" },
    { 0x0791, "curevent" },
    { 0x0792, "eventtype" },
    { 0x0793, "spotter" },
    { 0x0794, "threattype" },
    { 0x0795, "threatinfantry" },
    { 0x0796, "master" },
    { 0x0797, "threatent" },
    { 0x0798, "responder" },
    { 0x0799, "looktarget" },
    { 0x079A, "playerclockdirection" },
    { 0x079B, "soundaliases" },
    { 0x079C, "doexposedcalloutresponse" },
    { 0x079D, "threatinfantry_docalloutlocation" },
    { 0x079E, "addcalloutresponseevent" },
    { 0x079F, "getthreatinfantrycallouttype" },
    { 0x07A0, "possiblethreatcallouts" },
    { 0x07A1, "usingrocketlauncher" },
    { 0x07A2, "responderclockdirection" },
    { 0x07A3, "getcannedresponse" },
    { 0x07A4, "qafinished" },
    { 0x07A5, "iscallouttypereport" },
    { 0x07A6, "iscallouttypeqa" },
    { 0x07A7, "getqacalloutalias" },
    { 0x07A8, "addpossiblethreatcallout" },
    { 0x07A9, "callouttypewillrepeat" },
    { 0x07AA, "setlastcallouttype" },
    { 0x07AB, "getweightedchanceroll" },
    { 0x07AC, "threatdog" },
    { 0x07AD, "threatinfantryexposed" },
    { 0x07AE, "array_add" },
    { 0x07AF, "threatinfantryrpg" },
    { 0x07B0, "playreactionevent" },
    { 0x07B1, "reactioncasualty" },
    { 0x07B2, "reactiontaunt" },
    { 0x07B3, "reactionfriendlyfire" },
    { 0x07B4, "playresponseevent" },
    { 0x07B5, "responsethreatexposed" },
    { 0x07B6, "responsethreatcallout" },
//  { 0x07B7, "" },
    { 0x07B8, "playorderevent" },
    { 0x07B9, "orderaction" },
//  { 0x07BA, "" },
    { 0x07BB, "orderdisplace" },
    { 0x07BC, "playinformevent" },
//  { 0x07BD, "" },
    { 0x07BE, "informsuppressed" },
    { 0x07BF, "informincoming" },
    { 0x07C0, "informattacking" },
    { 0x07C1, "informkillfirm" },
    { 0x07C2, "playcustomevent" },
    { 0x07C3, "customchatevent" },
    { 0x07C4, "playphrase" },
    { 0x07C5, "eventaction" },
    { 0x07C6, "anim_facialfiller" },
    { 0x07C7, "is_friendlyfire_event" },
    { 0x07C8, "isspeakingfailsafe" },
    { 0x07C9, "clearisspeaking" },
    { 0x07CA, "lockaction" },
    { 0x07CB, "lastcontact" },
    { 0x07CC, "firstcontact" },
    { 0x07CD, "gethighestpriorityevent" },
    { 0x07CE, "gettargettingai" },
    { 0x07CF, "getqueueevents" },
    { 0x07D0, "geteventstate" },
    { 0x07D1, "isfiltered" },
    { 0x07D2, "isvalidevent" },
    { 0x07D3, "typelimited" },
    { 0x07D4, "dotypelimit" },
    { 0x07D5, "bcissniper" },
    { 0x07D6, "issniperrifle" },
//  { 0x07D7, "" },
    { 0x07D8, "bcgetclaimednode" },
    { 0x07D9, "getclaimednode" },
    { 0x07DA, "enemy_team_name" },
    { 0x07DB, "ainame" },
    { 0x07DC, "airank" },
    { 0x07DD, "getclosestfriendlyspeaker" },
    { 0x07DE, "getspeakers" },
    { 0x07DF, "get_all_my_locations" },
    { 0x07E0, "update_bcs_locations" },
    { 0x07E1, "location_called_out_ever" },
    { 0x07E2, "location_add_last_callout_time" },
    { 0x07E3, "location_get_last_callout_time" },
    { 0x07E4, "getrelativeangles" },
    { 0x07E5, "sideisleftright" },
    { 0x07E6, "getdirectionfacingflank" },
    { 0x07E7, "normalizecompassdirection" },
    { 0x07E8, "getdirectioncompass" },
    { 0x07E9, "getdistanceyards" },
    { 0x07EA, "getdistanceyardsnormalized" },
    { 0x07EB, "getfrontarcclockdirection" },
    { 0x07EC, "getdirectionfacingclock" },
    { 0x07ED, "getdegreeselevation" },
    { 0x07EE, "getvectorrightangle" },
    { 0x07EF, "getvectorarrayaverage" },
    { 0x07F0, "addplayernamealias" },
    { 0x07F1, "lastplayernamecalltime" },
//  { 0x07F2, "" },
    { 0x07F3, "cansayname" },
    { 0x07F4, "namesaidrecently" },
    { 0x07F5, "cansayplayername" },
    { 0x07F6, "player_name_called_recently" },
    { 0x07F7, "addthreatalias" },
    { 0x07F8, "addthreatexposedalias" },
    { 0x07F9, "addthreatobviousalias" },
//  { 0x07FA, "" },
    { 0x07FB, "addthreatelevationalias" },
    { 0x07FC, "addthreatcalloutecho" },
    { 0x07FD, "addthreatcalloutresponsealias" },
    { 0x07FE, "addthreatcalloutqa_nextline" },
    { 0x07FF, "createechoalias" },
//  { 0x0800, "" },
    { 0x0801, "addthreatcalloutlandmarkalias" },
    { 0x0802, "script_landmark" },
//  { 0x0803, "" },
    { 0x0804, "addresponsealias" },
    { 0x0805, "addreactionalias" },
//  { 0x0806, "" },
    { 0x0807, "addtauntalias" },
    { 0x0808, "addhostileburstalias" },
    { 0x0809, "initcontact" },
    { 0x080A, "shutdowncontact" },
    { 0x080B, "pointinfov" },
    { 0x080C, "within_fov" },
    { 0x080D, "squadflavorbursttransmissions" },
    { 0x080E, "squadcanburst" },
    { 0x080F, "candoflavorburst" },
    { 0x0810, "getburster" },
    { 0x0811, "get_array_of_farthest" },
    { 0x0812, "getflavorburstid" },
    { 0x0813, "flavorburstwouldrepeat" },
    { 0x0814, "getflavorburstaliases" },
    { 0x0815, "playflavorburstline" },
    { 0x0816, "flavorburstlinedebug" },
    { 0x0817, "battlechatter_canprint" },
    { 0x0818, "battlechatter_canprintdump" },
    { 0x0819, "battlechatter_print" },
    { 0x081A, "battlechatter_printdump" },
    { 0x081B, "getaliastypefromsoundalias" },
    { 0x081C, "battlechatter_printdumpline" },
    { 0x081D, "bcdrawobjects" },
    { 0x081E, "drawbcobject" },
    { 0x081F, "drawbcdirections" },
//  { 0x0820, "" },
    { 0x0821, "voice_is_british_based" },
    { 0x0822, "friendlyfire_warning" },
    { 0x0823, "can_say_friendlyfire" },
    { 0x0824, "friendlyfire_warnings_disable" },
    { 0x0825, "initcharacterface" },
    { 0x0826, "usefacialanims" },
    { 0x0827, "currentdialogimportance" },
    { 0x0828, "alertface" },
    { 0x0829, "idleface" },
//  { 0x082A, "" },
    { 0x082B, "facelastnotifynum" },
    { 0x082C, "saygenericdialogue" },
    { 0x082D, "numfriendlyvoices" },
    { 0x082E, "numenemyvoices" },
    { 0x082F, "setidlefacedelayed" },
    { 0x0830, "setidleface" },
    { 0x0831, "sayspecificdialogue" },
    { 0x0832, "chooseanimfromset" },
    { 0x0833, "playidleface" },
    { 0x0834, "playfacethread" },
    { 0x0835, "facialanimdone" },
    { 0x0836, "facialsounddone" },
    { 0x0837, "faceresult" },
    { 0x0838, "facewaitforresult" },
    { 0x0839, "currentdialognotifystring" },
    { 0x083A, "currentdialogsound" },
    { 0x083B, "waitforfacialanim" },
    { 0x083C, "donotetracks" },
    { 0x083D, "waitforfacesound" },
    { 0x083E, "playface_waitfornotify" },
    { 0x083F, "playface_waitfortime" },
    { 0x0840, "initlevelface" },
    { 0x0841, "root_anim" },
    { 0x0842, "_first_frame_anim" },
    { 0x0843, "_animname" },
    { 0x0844, "scr_anim" },
    { 0x0845, "_anime" },
    { 0x0846, "_tag_entity" },
    { 0x0847, "_custom_anim_thread" },
    { 0x0848, "_custom_anim_loop" },
    { 0x0849, "noteleport" },
    { 0x084A, "anim_blend_time_override" },
    { 0x084B, "_animmode" },
    { 0x084C, "start_notetrack_wait" },
    { 0x084D, "animscriptdonotetracksthread" },
    { 0x084E, "notify_on_end" },
//  { 0x084F, "" },
    { 0x0850, "animsets" },
    { 0x0851, "move" },
    { 0x0852, "init_animset_run_move" },
    { 0x0853, "initanimset" },
    { 0x0854, "init_animset_heat_run_move" },
    { 0x0855, "init_animset_walk_move" },
    { 0x0856, "init_animset_cqb_move" },
    { 0x0857, "init_animset_pistol_stand" },
    { 0x0858, "array" },
    { 0x0859, "pistolstand" },
    { 0x085A, "init_animset_rpg_stand" },
    { 0x085B, "rpgstand" },
    { 0x085C, "init_animset_shotgun_stand" },
    { 0x085D, "shotgunstand" },
    { 0x085E, "init_animset_cqb_stand" },
    { 0x085F, "cqbstand" },
    { 0x0860, "init_animset_heat_stand" },
    { 0x0861, "heatstand" },
    { 0x0862, "init_animset_default_stand" },
    { 0x0863, "defaultstand" },
    { 0x0864, "init_animset_default_crouch" },
    { 0x0865, "defaultcrouch" },
    { 0x0866, "init_animset_rpg_crouch" },
    { 0x0867, "rpgcrouch" },
    { 0x0868, "init_animset_shotgun_crouch" },
    { 0x0869, "shotguncrouch" },
    { 0x086A, "init_animset_default_prone" },
    { 0x086B, "defaultprone" },
    { 0x086C, "init_animset_complete_custom_stand" },
    { 0x086D, "combatstandanims" },
    { 0x086E, "init_animset_custom_stand" },
//  { 0x086F, "" },
    { 0x0870, "combatcrouchanims" },
//  { 0x0871, "" },
    { 0x0872, "clear_custom_animset" },
    { 0x0873, "custommoveanimset" },
    { 0x0874, "customidleanimset" },
    { 0x0875, "set_animarray_standing_turns_pistol" },
    { 0x0876, "set_animarray_standing_turns" },
    { 0x0877, "set_animarray_crouching_turns" },
    { 0x0878, "set_animarray_stance_change" },
    { 0x0879, "set_animarray_burst_and_semi_fire_stand" },
    { 0x087A, "set_animarray_custom_burst_and_semi_fire_stand" },
    { 0x087B, "set_animarray_burst_and_semi_fire_crouch" },
    { 0x087C, "set_animarray_custom_burst_and_semi_fire_crouch" },
    { 0x087D, "set_animarray_add_turn_aims_stand" },
    { 0x087E, "set_animarray_add_turn_aims_crouch" },
    { 0x087F, "set_animarray_standing" },
    { 0x0880, "usingsidearm" },
    { 0x0881, "heat" },
    { 0x0882, "weapon_pump_action_shotgun" },
    { 0x0883, "iscqbwalking" },
    { 0x0884, "set_animarray_crouching" },
    { 0x0885, "primaryweapon" },
    { 0x0886, "placeweaponon" },
    { 0x0887, "set_animarray_prone" },
    { 0x0888, "init_moving_turn_animations" },
    { 0x0889, "runturnanims" },
    { 0x088A, "cqbturnanims" },
//  { 0x088B, "" },
    { 0x088C, "maxrunngunangle" },
    { 0x088D, "runnguntransitionpoint" },
    { 0x088E, "runngunincrement" },
    { 0x088F, "runngunanims" },
    { 0x0890, "set_ambush_sidestep_anims" },
    { 0x0891, "moveanimset" },
    { 0x0892, "heat_reload_anim" },
    { 0x0893, "animarraypickrandom" },
    { 0x0894, "trackshootentorpos" },
    { 0x0895, "trackloop" },
    { 0x0896, "shootent" },
//  { 0x0897, "" },
//  { 0x0898, "" },
//  { 0x0899, "" },
    { 0x089A, "covernode" },
//  { 0x089B, "" },
    { 0x089C, "shootpos" },
    { 0x089D, "shouldcqb" },
//  { 0x089E, "" },
    { 0x089F, "onatv" },
    { 0x08A0, "stepoutyaw" },
    { 0x08A1, "trackloop_cqbshootpos" },
    { 0x08A2, "cqb_target" },
    { 0x08A3, "cqb_wide_target_track" },
    { 0x08A4, "cqb_point_of_interest" },
    { 0x08A5, "cqb_wide_poi_track" },
    { 0x08A6, "trackloop_anglesfornoshootpos" },
    { 0x08A7, "recentlysawenemy" },
    { 0x08A8, "iscombatscriptnode" },
    { 0x08A9, "trackloop_getdesiredangles" },
    { 0x08AA, "trackloop_clampangles" },
    { 0x08AB, "maxanglecheckyawdelta" },
    { 0x08AC, "maxanglecheckpitchdelta" },
//  { 0x08AD, "" },
//  { 0x08AE, "" },
    { 0x08AF, "setanimaimweight" },
    { 0x08B0, "aimweight_start" },
    { 0x08B1, "aimweight_end" },
    { 0x08B2, "aimweight_transframes" },
    { 0x08B3, "aimweight_t" },
    { 0x08B4, "incranimaimweight" },
    { 0x08B5, "usingautomaticweapon" },
    { 0x08B6, "usingsemiautoweapon" },
    { 0x08B7, "autoshootanimrate" },
    { 0x08B8, "burstshootanimrate" },
    { 0x08B9, "waitaftershot" },
//  { 0x08BA, "" },
    { 0x08BB, "refillclip" },
    { 0x08BC, "bulletsinclip" },
    { 0x08BD, "rocketvisible" },
    { 0x08BE, "showrocketwhenreloadisdone" },
    { 0x08BF, "add_weapon" },
    { 0x08C0, "aiweapon" },
    { 0x08C1, "addturret" },
    { 0x08C2, "decidewhatandhowtoshoot" },
    { 0x08C3, "resetmisstime" },
    { 0x08C4, "shootobjective" },
    { 0x08C5, "shootstyle" },
    { 0x08C6, "fastburst" },
    { 0x08C7, "shouldreturntocover" },
//  { 0x08C8, "" },
    { 0x08C9, "has_no_ir" },
    { 0x08CA, "laseron" },
    { 0x08CB, "updatelaserstatus" },
    { 0x08CC, "issniper" },
    { 0x08CD, "atconcealmentnode" },
    { 0x08CE, "canseeenemy" },
    { 0x08CF, "ambushendtime" },
    { 0x08D0, "shootposoverride" },
    { 0x08D1, "specialshootbehavior" },
    { 0x08D2, "waitabit" },
    { 0x08D3, "nogunshoot" },
    { 0x08D4, "shouldsuppress" },
    { 0x08D5, "isshotgun" },
    { 0x08D6, "shouldshootenemyent" },
    { 0x08D7, "rifleshootobjectivenormal" },
    { 0x08D8, "rifleshootobjectivesuppress" },
    { 0x08D9, "getenemysightpos" },
    { 0x08DA, "rifleshootobjectiveambush" },
//  { 0x08DB, "" },
    { 0x08DC, "ambushnode" },
    { 0x08DD, "rifleshoot" },
    { 0x08DE, "cansuppressenemy" },
    { 0x08DF, "shouldstopambushing" },
    { 0x08E0, "rpgshoot" },
    { 0x08E1, "pistolshoot" },
    { 0x08E2, "markenemyposinvisible" },
//  { 0x08E3, "" },
//  { 0x08E4, "" },
    { 0x08E5, "watchforincomingfire" },
    { 0x08E6, "suppressionthreshold" },
    { 0x08E7, "readytoreturntocover" },
//  { 0x08E8, "" },
    { 0x08E9, "runonshootbehaviorend" },
    { 0x08EA, "checkchanged" },
    { 0x08EB, "setshootenttoenemy" },
    { 0x08EC, "havenothingtoshoot" },
    { 0x08ED, "shouldbeajerk" },
    { 0x08EE, "setshootstyleforvisibleenemy" },
    { 0x08EF, "magic_bullet_shield" },
    { 0x08F0, "setshootstyleforsuppression" },
    { 0x08F1, "setshootstyle" },
    { 0x08F2, "shoulddosemiforvariety" },
    { 0x08F3, "safemod" },
    { 0x08F4, "resetsniperaim" },
//  { 0x08F5, "" },
    { 0x08F6, "sniperhitcount" },
    { 0x08F7, "sniper_glint_behavior" },
    { 0x08F8, "disable_sniper_glint" },
    { 0x08F9, "player_sees_my_scope" },
    { 0x08FA, "longdeathstarting" },
    { 0x08FB, "pain_test" },
    { 0x08FC, "disablepain" },
    { 0x08FD, "lastpaintime" },
    { 0x08FE, "painonstairs" },
    { 0x08FF, "nextstandinghitdying" },
    { 0x0900, "initialize" },
    { 0x0901, "no_pain_sound" },
    { 0x0902, "helmetpop" },
    { 0x0903, "painfunction" },
    { 0x0904, "special" },
    { 0x0905, "initpainfx" },
    { 0x0906, "damageshieldpain" },
//  { 0x0907, "" },
    { 0x0908, "predamageshieldignoreme" },
    { 0x0909, "blockingpain" },
    { 0x090A, "wasdamagedbyexplosive" },
    { 0x090B, "lastcarexplosiontime" },
    { 0x090C, "lastcarexplosionrange" },
    { 0x090D, "lastcarexplosiondamagelocation" },
    { 0x090E, "lastcarexplosionlocation" },
    { 0x090F, "maydoupwardsdeath" },
    { 0x0910, "getdamageshieldpainanim" },
//  { 0x0911, "" },
    { 0x0912, "getpainanim" },
    { 0x0913, "disabledamageshieldpain" },
    { 0x0914, "onback" },
    { 0x0915, "stoponback" },
    { 0x0916, "movement" },
    { 0x0917, "getrunningforwardpainanim" },
    { 0x0918, "disablelongpain" },
    { 0x0919, "getstandpistolpainanim" },
    { 0x091A, "damagelocationisany" },
    { 0x091B, "getstandpainanim" },
    { 0x091C, "disablelongdeath" },
    { 0x091D, "removeblockedanims" },
    { 0x091E, "getcrouchpainanim" },
    { 0x091F, "getpronepainanim" },
//  { 0x0920, "" },
    { 0x0921, "notifystartaim" },
    { 0x0922, "specialpainblocker" },
    { 0x0923, "specialpain" },
    { 0x0924, "paindeathnotify" },
    { 0x0925, "dopainfromarray" },
    { 0x0926, "dopain" },
    { 0x0927, "mg42pain" },
    { 0x0928, "mg_animmg" },
    { 0x0929, "waitsetstop" },
    { 0x092A, "crawlingpain" },
    { 0x092B, "crawlingpaintransanim" },
    { 0x092C, "forcelongdeath" },
    { 0x092D, "nextcrawlingpaintimefromlegdamage" },
    { 0x092E, "numdeathsuntilcrawlingpain" },
    { 0x092F, "nextcrawlingpaintime" },
    { 0x0930, "deathfunction" },
    { 0x0931, "iscrawldeltaallowed" },
    { 0x0932, "force_num_crawls" },
    { 0x0933, "initcrawlingpistolanims" },
//  { 0x0934, "" },
    { 0x0935, "crawlingpistol" },
    { 0x0936, "specialdeathfunc" },
    { 0x0937, "donotetracksintercept" },
    { 0x0938, "animarray" },
    { 0x0939, "desiredtimeofdeath" },
    { 0x093A, "donotetracksfortime" },
//  { 0x093B, "" },
//  { 0x093C, "" },
    { 0x093D, "shouldstayalive" },
    { 0x093E, "dyingcrawl" },
    { 0x093F, "custom_crawl_sound" },
    { 0x0940, "nodeath" },
//  { 0x0941, "" },
    { 0x0942, "dyingcrawlbloodsmear" },
    { 0x0943, "crawl_fx_rate" },
    { 0x0944, "crawl_fx" },
    { 0x0945, "dyingcrawlbackaim" },
    { 0x0946, "dyingcrawlaiming" },
    { 0x0947, "getyawtoenemy" },
    { 0x0948, "startdyingcrawlbackaimsoon" },
    { 0x0949, "handlebackcrawlnotetracks" },
    { 0x094A, "shootenemywrapper" },
    { 0x094B, "aimedsomewhatatenemy" },
    { 0x094C, "absangleclamp180" },
    { 0x094D, "painyawdifffartolerance" },
    { 0x094E, "painyawdiffclosedistsq" },
    { 0x094F, "painyawdiffclosetolerance" },
    { 0x0950, "painpitchdifftolerance" },
    { 0x0951, "enemyisingeneraldirection" },
    { 0x0952, "preventpainforashorttime" },
    { 0x0953, "flashbangimmunity" },
    { 0x0954, "doinglongdeath" },
    { 0x0955, "mayonlydie" },
    { 0x0956, "numdeathsuntilcornergrenadedeath" },
    { 0x0957, "nextcornergrenadedeathtime" },
    { 0x0958, "decidenumcrawls" },
    { 0x0959, "numcrawls" },
    { 0x095A, "shouldkeepcrawling" },
//  { 0x095B, "" },
    { 0x095C, "cornerrightgrenadedeath" },
//  { 0x095D, "" },
    { 0x095E, "dropallaiweapons" },
    { 0x095F, "notetrackposeback" },
    { 0x0960, "playdeathsound" },
    { 0x0961, "cornerdeathreleasegrenade" },
    { 0x0962, "playsoundatpoint" },
    { 0x0963, "killself" },
    { 0x0964, "killwrapper" },
    { 0x0965, "last_dmg_player" },
    { 0x0966, "enemyisapproaching" },
    { 0x0967, "enemyvelocity" },
    { 0x0968, "prematurecornergrenadedeath" },
    { 0x0969, "getgrenadedropvelocity" },
    { 0x096A, "waittillgrenadedrops" },
    { 0x096B, "watchenemyvelocity" },
//  { 0x096C, "" },
    { 0x096D, "additive_pain" },
    { 0x096E, "doingadditivepain" },
    { 0x096F, "maketype" },
    { 0x0970, "getinfoindex" },
    { 0x0971, "prop_ac_prs_enm_barge_a_1" },
    { 0x0972, "destructible_create" },
    { 0x0973, "destructible_state" },
    { 0x0974, "destructible_anim" },
    { 0x0975, "destructible_fx" },
//  { 0x0976, "" },
    { 0x0977, "prop_ac_prs_enm_barge_a_2" },
    { 0x0978, "prop_ac_prs_enm_con_digger_a" },
//  { 0x0979, "" },
    { 0x097A, "prop_ac_prs_enm_fuel_tank_a" },
    { 0x097B, "prop_ac_prs_enm_hanger_a" },
    { 0x097C, "prop_ac_prs_enm_maz_a" },
    { 0x097D, "prop_ac_prs_enm_mi26_halo_a" },
    { 0x097E, "prop_ac_prs_enm_mstas_a" },
    { 0x097F, "prop_ac_prs_enm_radar_maz_a" },
    { 0x0980, "prop_ac_prs_enm_s300v_a" },
    { 0x0981, "prop_ac_prs_enm_storage_bld_a_1" },
    { 0x0982, "prop_ac_prs_enm_storage_bld_a_2" },
    { 0x0983, "prop_ac_prs_enm_storage_bld_b" },
    { 0x0984, "prop_ac_prs_enm_tent_a" },
    { 0x0985, "prop_ac_prs_enm_tent_b" },
    { 0x0986, "prop_ac_prs_enm_tent_c" },
    { 0x0987, "prop_ac_prs_enm_truck_a" },
    { 0x0988, "prop_ac_prs_enm_cargo_crate_a_1" },
    { 0x0989, "prop_ac_prs_enm_cargo_crate_a_2" },
    { 0x098A, "prop_ac_prs_enm_crates_a_1" },
//  { 0x098B, "" },
    { 0x098C, "prop_ac_prs_enm_crates_b_1" },
    { 0x098D, "prop_ac_prs_enm_crates_b_2" },
    { 0x098E, "prop_ac_prs_enm_mobile_crane_a" },
    { 0x098F, "prop_ac_prs_enm_landing_craft_a" },
    { 0x0990, "prop_ac_prs_enm_speed_boat_a" },
    { 0x0991, "prop_ac_prs_prp_satellite_dish_a_dish" },
    { 0x0992, "prop_ac_prs_fps_hc_extc_balcony_a1" },
    { 0x0993, "prop_ac_prs_fps_hc_extc_balcony_a2" },
    { 0x0994, "prop_ac_prs_fps_hc_extc_balcony_a3" },
    { 0x0995, "prop_ac_prs_fps_hc_extc_balcony_b1" },
    { 0x0996, "prop_ac_prs_fps_hc_extc_balcony_b2" },
    { 0x0997, "prop_ac_prs_fps_hc_extc_balcony_b3" },
    { 0x0998, "prop_ac_prs_fps_hc_extc_balcony_c1" },
    { 0x0999, "prop_ac_prs_fps_hc_extc_balcony_c2" },
    { 0x099A, "prop_ac_prs_fps_hc_extc_column_b_a1" },
    { 0x099B, "prop_ac_prs_fps_hc_extc_column_b_a2" },
//  { 0x099C, "" },
    { 0x099D, "prop_ac_prs_fps_hc_extc_column_t_a1" },
    { 0x099E, "prop_ac_prs_fps_hc_extc_column_t_a2" },
    { 0x099F, "prop_ac_prs_fps_hc_extc_column_t_a3" },
    { 0x09A0, "prop_ac_prs_enm_missile_boat_a" },
    { 0x09A1, "toy_glass" },
    { 0x09A2, "destructible_splash_damage_scaler" },
    { 0x09A3, "destructible_sound" },
    { 0x09A4, "destructible_part" },
    { 0x09A5, "toy_dt_mirror" },
    { 0x09A6, "toy_icbm_consolemonitor" },
    { 0x09A7, "toy_tubetv_" },
    { 0x09A8, "toy_tvs_flatscreen" },
//  { 0x09A9, "" },
    { 0x09AA, "toy_transformer_ratnest01" },
    { 0x09AB, "destructible_loopfx" },
    { 0x09AC, "destructible_loopsound" },
    { 0x09AD, "destructible_healthdrain" },
    { 0x09AE, "toy_transformer_small01" },
    { 0x09AF, "toy_generator" },
//  { 0x09B0, "" },
    { 0x09B1, "toy_oxygen_tank" },
    { 0x09B2, "toy_electricbox2" },
    { 0x09B3, "toy_electricbox4" },
    { 0x09B4, "toy_airconditioner" },
    { 0x09B5, "toy_ceiling_fan" },
    { 0x09B6, "toy_wall_fan" },
    { 0x09B7, "toy_propane_tank02" },
    { 0x09B8, "destructible_physics" },
    { 0x09B9, "toy_propane_tank02_small" },
    { 0x09BA, "toy_copier" },
    { 0x09BB, "toy_firehydrant" },
    { 0x09BC, "toy_parkingmeter" },
    { 0x09BD, "damage_not" },
//  { 0x09BE, "" },
    { 0x09BF, "toy_mailbox2" },
    { 0x09C0, "toy_newspaper_stand_red" },
//  { 0x09C1, "" },
    { 0x09C2, "toy_filecabinet" },
    { 0x09C3, "toy_trashbin_01" },
//  { 0x09C4, "" },
    { 0x09C5, "toy_trashbag1" },
    { 0x09C6, "toy_recyclebin_01" },
    { 0x09C7, "toy_trashcan_metal_closed" },
    { 0x09C8, "toy_water_collector" },
    { 0x09C9, "toy_foliage_tree_oak_1" },
    { 0x09CA, "toy_paris_tree_plane_large" },
    { 0x09CB, "toy_usa_gas_station_trash_bin_01" },
    { 0x09CC, "toy_usa_gas_station_trash_bin_02" },
//  { 0x09CD, "" },
    { 0x09CE, "destructible_lights_out" },
    { 0x09CF, "toy_light_ceiling_fluorescent" },
    { 0x09D0, "toy_light_ceiling_fluorescent_spotlight" },
    { 0x09D1, "destructible_spotlight" },
    { 0x09D2, "toy_light_ceiling_fluorescent_single" },
    { 0x09D3, "toy_light_ceiling_fluorescent_single_spotlight" },
    { 0x09D4, "toy_bookstore_bookstand4_books" },
    { 0x09D5, "toy_locker_double" },
    { 0x09D6, "toy_dubai_fish_sculpture" },
    { 0x09D7, "toy_intro_concrete_chipaway" },
    { 0x09D8, "toy_chicken" },
    { 0x09D9, "toy_hide_with_fx" },
    { 0x09DA, "vehicle_ac130_80s_sedan1" },
    { 0x09DB, "vehicle_bus_destructible" },
    { 0x09DC, "vehicle_80s_sedan1" },
    { 0x09DD, "vehicle_80s_hatch1" },
//  { 0x09DE, "" },
//  { 0x09DF, "" },
    { 0x09E0, "vehicle_civ_car_a" },
    { 0x09E1, "vehicle_small_hatch" },
//  { 0x09E2, "" },
    { 0x09E3, "vehicle_pickup" },
    { 0x09E4, "vehicle_hummer" },
    { 0x09E5, "vehicle_gaz" },
    { 0x09E6, "vehicle_gaz_harbor" },
    { 0x09E7, "vehicle_bm21" },
    { 0x09E8, "vehicle_moving_truck" },
    { 0x09E9, "vehicle_subway_cart" },
    { 0x09EA, "create_vehicle_subway_cart_window_single" },
    { 0x09EB, "vehicle_subway_cart_windows" },
    { 0x09EC, "vehicle_subway_cart_windows_small" },
    { 0x09ED, "vehicle_luxurysedan" },
    { 0x09EE, "destructible_car_alarm" },
    { 0x09EF, "vehicle_mig29_landed" },
    { 0x09F0, "vehicle_mack_truck_short" },
    { 0x09F1, "vehicle_semi_truck" },
    { 0x09F2, "vehicle_motorcycle" },
    { 0x09F3, "vehicle_scooter" },
    { 0x09F4, "vehicle_subcompact" },
    { 0x09F5, "vehicle_van" },
    { 0x09F6, "vehicle_uaz_van" },
    { 0x09F7, "vehicle_van_iw5" },
    { 0x09F8, "vehicle_delivery_theme_park_truck_destructible" },
    { 0x09F9, "vehicle_suburban" },
    { 0x09FA, "vehicle_snowmobile" },
    { 0x09FB, "destructible_gaspump" },
    { 0x09FC, "destructible_electrical_transformer_large" },
    { 0x09FD, "get_precached_anim" },
    { 0x09FE, "_destructible_preanims" },
    { 0x09FF, "get_precached_animtree" },
    { 0x0A00, "_destructible_preanimtree" },
    { 0x0A01, "vehicle_coupe" },
    { 0x0A02, "vehicle_mini" },
    { 0x0A03, "vehicle_uk_truck" },
    { 0x0A04, "vehicle_uk_police_estate" },
    { 0x0A05, "vehicle_uaz_winter" },
    { 0x0A06, "vehicle_uaz_fabric" },
    { 0x0A07, "vehicle_uaz_hardtop" },
    { 0x0A08, "vehicle_jeep" },
    { 0x0A09, "vehicle_jeep_dusty" },
    { 0x0A0A, "vehicle_uaz_open" },
    { 0x0A0B, "vehicle_india_compact_destructible" },
    { 0x0A0C, "vehicle_india_rickshaw" },
    { 0x0A0D, "vehicle_tuk_tuk" },
    { 0x0A0E, "vehicle_india_suv" },
    { 0x0A0F, "vehicle_policecar" },
    { 0x0A10, "vehicle_policecar_russia" },
    { 0x0A11, "vehicle_taxi" },
    { 0x0A12, "random_dynamic_attachment" },
    { 0x0A13, "vehicle_taxi_dubai" },
    { 0x0A14, "toy_security_camera" },
    { 0x0A15, "toy_building_collapse_paris_ac130" },
    { 0x0A16, "toy_poison_gas_attack" },
    { 0x0A17, "toy_arcade_machine" },
    { 0x0A18, "toy_pinball_machine" },
    { 0x0A19, "toy_fortune_machine" },
    { 0x0A1A, "toy_trashcan_clown" },
//  { 0x0A1B, "" },
    { 0x0A1C, "vehicle_slava_ny_harbor_zonea" },
    { 0x0A1D, "rooftop_skylight_destructible" },
    { 0x0A1E, "satellite_dish_big_destructible" },
    { 0x0A1F, "dest_onestate" },
    { 0x0A20, "dest_pb_planter" },
    { 0x0A21, "berlin_hotel_lights_ceiling1" },
    { 0x0A22, "rus_vx_gas_canister" },
    { 0x0A23, "destructiblespawnedentslimit" },
    { 0x0A24, "destructiblespawnedents" },
    { 0x0A25, "currentcaralarms" },
    { 0x0A26, "commonstarttime" },
    { 0x0A27, "fast_destructible_explode" },
    { 0x0A28, "warn_about_old_destructible" },
    { 0x0A29, "find_destructibles" },
//  { 0x0A2A, "" },
    { 0x0A2B, "modeldummyon" },
    { 0x0A2C, "destructibleinfo" },
//  { 0x0A2D, "" },
    { 0x0A2E, "destructible_parts" },
    { 0x0A2F, "modeldummy" },
    { 0x0A30, "add_key_to_destructible" },
    { 0x0A31, "add_keypairs_to_destructible" },
//  { 0x0A32, "" },
    { 0x0A33, "destructible_info" },
    { 0x0A34, "precache_destructibles" },
    { 0x0A35, "add_destructible_fx" },
    { 0x0A36, "candamagedestructible" },
    { 0x0A37, "destructibles" },
    { 0x0A38, "destructible_think" },
//  { 0x0A39, "" },
    { 0x0A3A, "gunner" },
    { 0x0A3B, "is_shotgun_damage" },
    { 0x0A3C, "enable_ai_shotgun_destructible_damage" },
    { 0x0A3D, "getpartandstateindex" },
    { 0x0A3E, "destructible_update_part" },
    { 0x0A3F, "non_player_damage" },
    { 0x0A40, "waiting_for_queue" },
    { 0x0A41, "exploding" },
    { 0x0A42, "loopingsoundstopnotifies" },
    { 0x0A43, "damage_type" },
    { 0x0A44, "destructible_splash_rotatation" },
    { 0x0A45, "destructible_splash_damage" },
    { 0x0A46, "getallactiveparts" },
    { 0x0A47, "setdistanceonparts" },
    { 0x0A48, "getlowestpartdistance" },
    { 0x0A49, "isvalidsoundcause" },
    { 0x0A4A, "isattackervalid" },
    { 0x0A4B, "forceexploding" },
    { 0x0A4C, "dontallowexplode" },
//  { 0x0A4D, "" },
    { 0x0A4E, "isaifunc" },
    { 0x0A4F, "isvaliddamagecause" },
    { 0x0A50, "godmode" },
    { 0x0A51, "script_bulletshield" },
    { 0x0A52, "getdamagetype" },
    { 0x0A53, "damage_mirror" },
    { 0x0A54, "add_damage_owner_recorder" },
    { 0x0A55, "car_damage_owner_recorder" },
    { 0x0A56, "loopfx_ontag" },
    { 0x0A57, "health_drain" },
    { 0x0A58, "destructible_badplace_radius_multiplier" },
    { 0x0A59, "destructible_health_drain_amount_multiplier" },
    { 0x0A5A, "healthdrain" },
    { 0x0A5B, "disable_destructible_bad_places" },
    { 0x0A5C, "disablebadplace" },
    { 0x0A5D, "badplace_cylinder_func" },
    { 0x0A5E, "badplace_remove" },
    { 0x0A5F, "badplace_delete_func" },
    { 0x0A60, "physics_launch" },
    { 0x0A61, "physics_object_remove" },
    { 0x0A62, "explode" },
    { 0x0A63, "destructible_explosion_radius_multiplier" },
    { 0x0A64, "destructible_protection_func" },
    { 0x0A65, "cleanupvars" },
    { 0x0A66, "animsapplied" },
//  { 0x0A67, "" },
    { 0x0A68, "destructible_cleans_up_more" },
    { 0x0A69, "script_noflip" },
    { 0x0A6A, "car_alarm_org" },
    { 0x0A6B, "set_disable_friendlyfire_value_delayed" },
    { 0x0A6C, "friendlyfiredisabledfordestructible" },
    { 0x0A6D, "connecttraverses" },
    { 0x0A6E, "disconnecttraverses" },
    { 0x0A6F, "get_traverse_disconnect_brush" },
    { 0x0A70, "script_destruct_collision" },
    { 0x0A71, "hideapart" },
    { 0x0A72, "showapart" },
    { 0x0A73, "disable_explosion" },
    { 0x0A74, "force_explosion" },
    { 0x0A75, "get_dummy" },
    { 0x0A76, "play_loop_sound_on_destructible" },
    { 0x0A77, "force_stop_sound" },
    { 0x0A78, "notifydamageafterframe" },
    { 0x0A79, "play_sound" },
//  { 0x0A7A, "" },
    { 0x0A7B, "do_car_alarm" },
//  { 0x0A7C, "" },
//  { 0x0A7D, "" },
//  { 0x0A7E, "" },
    { 0x0A7F, "do_random_dynamic_attachment" },
    { 0x0A80, "get_closest_with_targetname" },
    { 0x0A81, "player_touching_post_clip" },
    { 0x0A82, "get_player_touching" },
    { 0x0A83, "is_so" },
    { 0x0A84, "destructible_handles_collision_brushes" },
    { 0x0A85, "collision_brush_pre_explosion" },
    { 0x0A86, "collision_brush_post_explosion" },
    { 0x0A87, "func_destructible_crush_player" },
    { 0x0A88, "debug_player_in_post_clip" },
    { 0x0A89, "destructible_get_my_breakable_light" },
    { 0x0A8A, "breakable_light" },
    { 0x0A8B, "break_nearest_light" },
    { 0x0A8C, "debug_radiusdamage_circle" },
    { 0x0A8D, "debug_circle_drawlines" },
    { 0x0A8E, "debug_line" },
    { 0x0A8F, "spotlight_tag_origin_cleanup" },
    { 0x0A90, "spotlight_fizzles_out" },
    { 0x0A91, "destructible_spotlight_think" },
    { 0x0A92, "is_valid_damagetype" },
    { 0x0A93, "destructible_sound_think" },
    { 0x0A94, "destructible_fx_think" },
    { 0x0A95, "destructible_animation_think" },
//  { 0x0A96, "" },
    { 0x0A97, "clear_anims" },
    { 0x0A98, "init_destroyed_count" },
    { 0x0A99, "destroyedcount" },
    { 0x0A9A, "destroyedcounttimeout" },
//  { 0x0A9B, "" },
    { 0x0A9C, "add_to_destroyed_count" },
    { 0x0A9D, "get_destroyed_count" },
    { 0x0A9E, "get_max_destroyed_count" },
    { 0x0A9F, "init_destructible_frame_queue" },
    { 0x0AA0, "destructibleframequeue" },
    { 0x0AA1, "add_destructible_to_frame_queue" },
    { 0x0AA2, "entnum" },
    { 0x0AA3, "destructible" },
    { 0x0AA4, "totaldamage" },
    { 0x0AA5, "neardistance" },
    { 0x0AA6, "fxcost" },
    { 0x0AA7, "handle_destructible_frame_queue" },
    { 0x0AA8, "sort_destructible_frame_queue" },
    { 0x0AA9, "get_better_destructible" },
    { 0x0AAA, "get_part_fx_cost_for_action_state" },
    { 0x0AAB, "ragdoll_immediate" },
    { 0x0AAC, "deathanimscript" },
    { 0x0AAD, "doimmediateragdolldeath" },
    { 0x0AAE, "skipdeathanim" },
    { 0x0AAF, "ragdoll_directionscale" },
    { 0x0AB0, "ragdoll_start_vel" },
    { 0x0AB1, "noragdoll" },
    { 0x0AB2, "ragdolltime" },
    { 0x0AB3, "waitforragdoll" },
    { 0x0AB4, "playdeathfx" },
    { 0x0AB5, "play_blood_pool" },
//  { 0x0AB6, "" },
    { 0x0AB7, "specialdeath" },
//  { 0x0AB8, "" },
    { 0x0AB9, "print3dfortime" },
//  { 0x0ABA, "" },
    { 0x0ABB, "helmetlaunch" },
    { 0x0ABC, "removeselffrom_squadlastseenenemypos" },
    { 0x0ABD, "clearsightposnear" },
    { 0x0ABE, "sightpos" },
    { 0x0ABF, "shoulddorunningforwarddeath" },
    { 0x0AC0, "shoulddostrongbulletdamage" },
    { 0x0AC1, "isdeserteagle" },
    { 0x0AC2, "isattackerwithindist" },
    { 0x0AC3, "getdeathanim" },
//  { 0x0AC4, "" },
    { 0x0AC5, "getrunningforwarddeathanim" },
    { 0x0AC6, "removeundefined" },
    { 0x0AC7, "getstandpistoldeathanim" },
//  { 0x0AC8, "" },
//  { 0x0AC9, "" },
    { 0x0ACA, "getpronedeathanim" },
//  { 0x0ACB, "" },
    { 0x0ACC, "getbackdeathanim" },
    { 0x0ACD, "firingdeathallowed" },
    { 0x0ACE, "usingriflelikeweapon" },
    { 0x0ACF, "weaponpos" },
    { 0x0AD0, "tryadddeathanim" },
    { 0x0AD1, "tryaddfiringdeathanim" },
    { 0x0AD2, "playexplodedeathanim" },
    { 0x0AD3, "current_event" },
    { 0x0AD4, "shoot_while_driving_thread" },
    { 0x0AD5, "drivingvehicle" },
    { 0x0AD6, "snowmobile_geton" },
    { 0x0AD7, "disable_surprise" },
    { 0x0AD8, "getoffvehiclefunc" },
    { 0x0AD9, "disablebulletwhizbyreaction" },
//  { 0x0ADA, "" },
    { 0x0ADB, "main_driver" },
    { 0x0ADC, "ridingvehicle" },
    { 0x0ADD, "driver_shooting" },
    { 0x0ADE, "main_passenger" },
    { 0x0ADF, "passenger_shooting" },
    { 0x0AE0, "diraimlimit" },
    { 0x0AE1, "snowmobile_loop_driver" },
    { 0x0AE2, "steering_enable" },
    { 0x0AE3, "update_steering" },
//  { 0x0AE4, "" },
//  { 0x0AE5, "" },
    { 0x0AE6, "snowmobile_loop_passenger_shooting" },
    { 0x0AE7, "snowmobile_do_event" },
    { 0x0AE8, "snowmobile_handle_events" },
    { 0x0AE9, "event" },
    { 0x0AEA, "snowmobile_start_shooting" },
    { 0x0AEB, "snowmobile_stop_shooting" },
//  { 0x0AEC, "" },
    { 0x0AED, "snowmobile_decide_shoot_internal" },
    { 0x0AEE, "snowmobileshootbehavior" },
    { 0x0AEF, "vehicle" },
    { 0x0AF0, "snowmobile_shoot" },
    { 0x0AF1, "shootuntilshootbehaviorchange" },
    { 0x0AF2, "snowmobile_reload" },
    { 0x0AF3, "needtoreload" },
    { 0x0AF4, "snowmobile_reload_internal" },
    { 0x0AF5, "stop_aiming_for_reload" },
//  { 0x0AF6, "" },
    { 0x0AF7, "snowmobile_waitfor_start_aim" },
    { 0x0AF8, "snowmobile_waitfor_end" },
    { 0x0AF9, "snowmobile_waitfor_start_lean" },
    { 0x0AFA, "snowmobile_trackshootentorpos_driver" },
    { 0x0AFB, "snowmobile_trackshootentorpos_passenger" },
//  { 0x0AFC, "" },
    { 0x0AFD, "prevsnowmobiledeath" },
    { 0x0AFE, "prevsnowmobiledeathtime" },
    { 0x0AFF, "snowmobile_death_launchslide" },
    { 0x0B00, "prevframevelocity" },
    { 0x0B01, "snowmobile_normal_death" },
    { 0x0B02, "snowmobile_collide_death" },
//  { 0x0B03, "" },
//  { 0x0B04, "" },
    { 0x0B05, "snowmobile_setanim_driver" },
    { 0x0B06, "snowmobile_setanim_passenger" },
//  { 0x0B07, "" },
    { 0x0B08, "runningreacttobullets" },
    { 0x0B09, "lastrunningreactanim" },
    { 0x0B0A, "coverreactions" },
    { 0x0B0B, "reactionscheckloop" },
//  { 0x0B0C, "" },
    { 0x0B0D, "lastreacttime" },
//  { 0x0B0E, "" },
    { 0x0B0F, "whizbyenemy" },
    { 0x0B10, "disable_dive_whizby_react" },
    { 0x0B11, "randomanimoftwo" },
//  { 0x0B12, "" },
    { 0x0B13, "clearlookatthread" },
//  { 0x0B14, "" },
//  { 0x0B15, "" },
    { 0x0B16, "newenemyreactionanim" },
    { 0x0B17, "newenemysurprisedreaction" },
//  { 0x0B18, "" },
    { 0x0B19, "nextallowedlooktime" },
    { 0x0B1A, "nextallowedsuppresstime" },
    { 0x0B1B, "seekoutenemytime" },
    { 0x0B1C, "lastencountertime" },
    { 0x0B1D, "idlingatcover" },
    { 0x0B1E, "meleecoverchargemintime" },
    { 0x0B1F, "shouldhelpadvancingteammate" },
    { 0x0B20, "tryrunningtoenemy" },
    { 0x0B21, "mainloopstart" },
//  { 0x0B22, "" },
    { 0x0B23, "throwgrenadeatplayerasap" },
    { 0x0B24, "cansuppressenemyfromexposed" },
//  { 0x0B25, "" },
//  { 0x0B26, "" },
    { 0x0B27, "aggressivemode" },
    { 0x0B28, "turntomatchnode" },
    { 0x0B29, "prevattack" },
    { 0x0B2A, "meleecoverchargegraceendtime" },
    { 0x0B2B, "getcorrectcoverangles" },
    { 0x0B2C, "getnodeforwardyaw" },
    { 0x0B2D, "respondtodeadteammate" },
    { 0x0B2E, "respondtodeathtime" },
    { 0x0B2F, "dononattackcoverbehavior" },
    { 0x0B30, "attackvisibleenemy" },
    { 0x0B31, "attacksuppressableenemy" },
//  { 0x0B32, "" },
    { 0x0B33, "attacknothingtodo" },
    { 0x0B34, "isenemyvisiblefromexposed" },
//  { 0x0B35, "" },
    { 0x0B36, "suppressedbehavior" },
    { 0x0B37, "issuppressedwrapper" },
    { 0x0B38, "favor_blindfire" },
    { 0x0B39, "getpermutation" },
    { 0x0B3A, "calloptionalbehaviorcallback" },
//  { 0x0B3B, "" },
    { 0x0B3C, "suppressionstart" },
    { 0x0B3D, "coverreload" },
    { 0x0B3E, "isreloading" },
    { 0x0B3F, "reload" },
    { 0x0B40, "leavecoverandshoot" },
    { 0x0B41, "lookforenemy" },
    { 0x0B42, "fastlook" },
    { 0x0B43, "lookfast" },
    { 0x0B44, "idle" },
    { 0x0B45, "flinching" },
    { 0x0B46, "flinch" },
    { 0x0B47, "idlewait" },
//  { 0x0B48, "" },
//  { 0x0B49, "" },
//  { 0x0B4A, "" },
    { 0x0B4B, "endidleatframeend" },
    { 0x0B4C, "trythrowinggrenade" },
    { 0x0B4D, "ispartiallysuppressedwrapper" },
    { 0x0B4E, "grenadehidden" },
    { 0x0B4F, "blindfire" },
    { 0x0B50, "canblindfire" },
    { 0x0B51, "breakoutofshootingifwanttomoveup" },
    { 0x0B52, "enemyishiding" },
    { 0x0B53, "resetrespondtodeathtime" },
    { 0x0B54, "resetlookforbettercovertime" },
//  { 0x0B55, "" },
    { 0x0B56, "resetseekoutenemytime" },
    { 0x0B57, "cantfindanythingtodo" },
    { 0x0B58, "advanceonhidingenemy" },
    { 0x0B59, "trytogetoutofdangeroussituation" },
    { 0x0B5A, "set_standing_turns" },
    { 0x0B5B, "set_crouching_turns" },
//  { 0x0B5C, "" },
    { 0x0B5D, "turnthreshold" },
    { 0x0B5E, "turntofacerelativeyaw" },
    { 0x0B5F, "shufflemove" },
    { 0x0B60, "shufflenode" },
    { 0x0B61, "cover_wall_think" },
    { 0x0B62, "covertype" },
    { 0x0B63, "aimidlethread" },
    { 0x0B64, "usingmg" },
    { 0x0B65, "turretinfo" },
    { 0x0B66, "fasteranimspeed" },
    { 0x0B67, "movetooriginovertime" },
    { 0x0B68, "exitpronewrapper" },
    { 0x0B69, "isrpd" },
//  { 0x0B6A, "" },
    { 0x0B6B, "crouchingisok" },
    { 0x0B6C, "setup_cover_crouch" },
    { 0x0B6D, "setup_cover_stand" },
    { 0x0B6E, "popupandshoot" },
    { 0x0B6F, "rambochance" },
    { 0x0B70, "endfireandanimidlethread" },
    { 0x0B71, "rockets" },
    { 0x0B72, "throwdownweapon" },
//  { 0x0B73, "" },
    { 0x0B74, "didsomethingotherthanshooting" },
    { 0x0B75, "shootuntilshootbehaviorchange_coverwall" },
//  { 0x0B76, "" },
    { 0x0B77, "hasenemysightpos" },
    { 0x0B78, "animarrayanyexist" },
    { 0x0B79, "getnodeoffset" },
    { 0x0B7A, "isrambo" },
    { 0x0B7B, "ramboaim" },
//  { 0x0B7C, "" },
    { 0x0B7D, "playidleanimation" },
//  { 0x0B7E, "" },
    { 0x0B7F, "peekout" },
    { 0x0B80, "script_dontpeek" },
    { 0x0B81, "pop_up_and_hide_speed" },
    { 0x0B82, "randomfasteranimspeed" },
    { 0x0B83, "pop_up" },
    { 0x0B84, "getanimendpos" },
//  { 0x0B85, "" },
    { 0x0B86, "setup_additive_aim" },
    { 0x0B87, "go_to_hide" },
    { 0x0B88, "endaimidlethread" },
    { 0x0B89, "trythrowinggrenadestayhidden" },
    { 0x0B8A, "dontevershoot" },
    { 0x0B8B, "dontattackme" },
    { 0x0B8C, "trygrenade" },
    { 0x0B8D, "createturret" },
//  { 0x0B8E, "" },
//  { 0x0B8F, "" },
    { 0x0B90, "useselfplacedturret" },
    { 0x0B91, "turret_function" },
//  { 0x0B92, "" },
    { 0x0B93, "issetup" },
//  { 0x0B94, "" },
    { 0x0B95, "ramboanims" },
    { 0x0B96, "covercrouch" },
    { 0x0B97, "covercrouchfail" },
//  { 0x0B98, "" },
    { 0x0B99, "setup_standing_anim_array" },
    { 0x0B9A, "coverstand" },
    { 0x0B9B, "coverstandfail" },
//  { 0x0B9C, "" },
    { 0x0B9D, "loophide" },
    { 0x0B9E, "anglerangethread" },
    { 0x0B9F, "needtochangecovermode" },
    { 0x0BA0, "getbestcovermode" },
    { 0x0BA1, "getrandomcovermode" },
    { 0x0BA2, "getshootpospitch" },
    { 0x0BA3, "getenemyeyepos" },
    { 0x0BA4, "moverun" },
    { 0x0BA5, "chooseposefunc" },
    { 0x0BA6, "beginstandrun" },
    { 0x0BA7, "run_overrideanim" },
//  { 0x0BA8, "" },
    { 0x0BA9, "movestandmoveoverride" },
    { 0x0BAA, "begincrouchrun" },
    { 0x0BAB, "crouchrun_combatanim" },
    { 0x0BAC, "beginpronerun" },
    { 0x0BAD, "getrunanim" },
    { 0x0BAE, "moveanim" },
    { 0x0BAF, "getcrouchrunanim" },
    { 0x0BB0, "pronecrawl" },
    { 0x0BB1, "moveplaybackrate" },
    { 0x0BB2, "initrunngun" },
    { 0x0BB3, "runngun" },
    { 0x0BB4, "update_move_anim_type" },
//  { 0x0BB5, "" },
    { 0x0BB6, "runngunweight" },
    { 0x0BB7, "allowedpartialreloadontheruntime" },
    { 0x0BB8, "runngun_backward" },
    { 0x0BB9, "reacttobulletsinterruptcheck" },
    { 0x0BBA, "reactingtobullet" },
//  { 0x0BBB, "" },
    { 0x0BBC, "requestreacttobullet" },
//  { 0x0BBD, "" },
    { 0x0BBE, "customrunningreacttobullets" },
    { 0x0BBF, "run_overridebulletreact" },
    { 0x0BC0, "getsprintanim" },
//  { 0x0BC1, "" },
    { 0x0BC2, "sprint" },
    { 0x0BC3, "shouldsprintforvariation" },
    { 0x0BC4, "neversprintforvariation" },
    { 0x0BC5, "dangersprinttime" },
    { 0x0BC6, "getmoveplaybackrate" },
    { 0x0BC7, "movestandcombatnormal" },
    { 0x0BC8, "reacttobulletchance" },
    { 0x0BC9, "mayshootwhilemoving" },
    { 0x0BCA, "norunngun" },
    { 0x0BCB, "sidesteprate" },
    { 0x0BCC, "faceenemyaimtracking" },
    { 0x0BCD, "endfaceenemyaimtracking" },
    { 0x0BCE, "runshootwhilemovingthreads" },
    { 0x0BCF, "shoot_while_moving_thread" },
    { 0x0BD0, "stopshootwhilemovingthreads" },
    { 0x0BD1, "rundecidewhatandhowtoshoot" },
    { 0x0BD2, "runshootwhilemoving" },
    { 0x0BD3, "shootwhilemoving" },
    { 0x0BD4, "canshootwhilerunningforward" },
//  { 0x0BD5, "" },
//  { 0x0BD6, "" },
//  { 0x0BD7, "" },
    { 0x0BD8, "movestandnoncombatnormal" },
    { 0x0BD9, "movecrouchrunoverride" },
    { 0x0BDA, "movecrouchrunnormal" },
    { 0x0BDB, "reloadstandrun" },
    { 0x0BDC, "dontshootwhilemoving" },
    { 0x0BDD, "norunreload" },
    { 0x0BDE, "reloadstandruninternal" },
    { 0x0BDF, "getuniqueflagnameindex" },
//  { 0x0BE0, "" },
    { 0x0BE1, "runloopisnearbeginning" },
    { 0x0BE2, "setmovenonforwardanims" },
    { 0x0BE3, "setcombatstandmoveanimweights" },
    { 0x0BE4, "updatemoveanimweights" },
    { 0x0BE5, "wasfacingmotion" },
    { 0x0BE6, "updaterunweightsonce" },
    { 0x0BE7, "quadrantanimweights" },
    { 0x0BE8, "changeweaponstandrun" },
    { 0x0BE9, "wantshotgun" },
    { 0x0BEA, "secondaryweapon" },
    { 0x0BEB, "shotgunswitchstandruninternal" },
    { 0x0BEC, "donotetracksfortimeintercept" },
//  { 0x0BED, "" },
//  { 0x0BEE, "" },
//  { 0x0BEF, "" },
    { 0x0BF0, "lastweapon" },
    { 0x0BF1, "melee_init" },
    { 0x0BF2, "melee_stealthcheck" },
    { 0x0BF3, "ent_flag" },
    { 0x0BF4, "melee_tryexecuting" },
    { 0x0BF5, "dontmelee" },
    { 0x0BF6, "melee_resetaction" },
    { 0x0BF7, "melee" },
    { 0x0BF8, "initiated" },
    { 0x0BF9, "inprogress" },
    { 0x0BFA, "melee_chooseaction" },
    { 0x0BFB, "specialmelee_standard" },
    { 0x0BFC, "nextmeleechecktime" },
//  { 0x0BFD, "" },
    { 0x0BFE, "melee_updateandvalidatestartpos" },
    { 0x0BFF, "startpos" },
    { 0x0C00, "starttotargetcornerangles" },
    { 0x0C01, "melee_isvalid" },
    { 0x0C02, "meleechargedistsq" },
    { 0x0C03, "nofirstframemelee" },
    { 0x0C04, "scriptstarttime" },
//  { 0x0C05, "" },
    { 0x0C06, "nextmeleechargetime" },
    { 0x0C07, "nextmeleechargetarget" },
    { 0x0C08, "melee_startmovement" },
    { 0x0C09, "playingmovementanim" },
    { 0x0C0A, "melee_stopmovement" },
    { 0x0C0B, "melee_mainloop" },
    { 0x0C0C, "melee_standard_delaystandardcharge" },
    { 0x0C0D, "nextmeleestandardchargetime" },
    { 0x0C0E, "nextmeleestandardchargetarget" },
    { 0x0C0F, "melee_standard_checktimeconstraints" },
//  { 0x0C10, "" },
    { 0x0C11, "specialmeleechooseaction" },
    { 0x0C12, "melee_standard_resetgiveuptime" },
    { 0x0C13, "giveuptime" },
    { 0x0C14, "melee_standard_main" },
    { 0x0C15, "melee_standard_playattackloop" },
//  { 0x0C16, "" },
    { 0x0C17, "distance2dsquared" },
    { 0x0C18, "melee_standard_getinposition" },
    { 0x0C19, "melee_playchargesound" },
//  { 0x0C1A, "" },
    { 0x0C1B, "melee_aivsai_exposed_chooseanimationandposition_flip" },
//  { 0x0C1C, "" },
    { 0x0C1D, "animname" },
    { 0x0C1E, "surviveanimname" },
    { 0x0C1F, "melee_aivsai_exposed_chooseanimationandposition_wrestle" },
    { 0x0C20, "meleealwayswin" },
    { 0x0C21, "melee_aivsai_exposed_chooseanimationandposition_behind" },
    { 0x0C22, "melee_aivsai_exposed_chooseanimationandposition_buildexposedlist" },
//  { 0x0C23, "" },
    { 0x0C24, "meleeforcedexposedwrestle" },
    { 0x0C25, "melee_aivsai_exposed_chooseanimationandposition" },
    { 0x0C26, "startangles" },
//  { 0x0C27, "" },
    { 0x0C28, "melee_aivsai_specialcover_chooseanimationandposition" },
    { 0x0C29, "faceyaw" },
    { 0x0C2A, "melee_aivsai_specialcover_canexecute" },
    { 0x0C2B, "melee_aivsai_chooseaction" },
    { 0x0C2C, "precisepositioning" },
    { 0x0C2D, "startposoffset" },
    { 0x0C2E, "melee_aivsai_schedulenotetracklink" },
    { 0x0C2F, "syncnotetrackent" },
    { 0x0C30, "melee_aivsai_targetlink" },
//  { 0x0C31, "" },
    { 0x0C32, "melee_aivsai_main" },
    { 0x0C33, "death" },
    { 0x0C34, "partner" },
    { 0x0C35, "forceuseweapon" },
    { 0x0C36, "getcurrentweaponslotname" },
    { 0x0C37, "weaponslot" },
    { 0x0C38, "melee_aivsai_animcustominterruptionmonitor" },
    { 0x0C39, "melee_aivsai_getinposition_updateandvalidatetarget" },
    { 0x0C3A, "melee_aivsai_getinposition_issuccessful" },
    { 0x0C3B, "melee_aivsai_getinposition_finalize" },
    { 0x0C3C, "melee_aivsai_getinposition" },
    { 0x0C3D, "melee_aivsai_execute" },
    { 0x0C3E, "survive" },
    { 0x0C3F, "melee_disableinterruptions" },
    { 0x0C40, "wasallowingpain" },
    { 0x0C41, "wasflashbangimmune" },
    { 0x0C42, "disable_pain" },
    { 0x0C43, "setflashbangimmunity" },
//  { 0x0C44, "" },
//  { 0x0C45, "" },
//  { 0x0C46, "" },
    { 0x0C47, "melee_droppedweaponmonitorthread" },
    { 0x0C48, "melee_partnerendedmeleemonitorthread_shouldanimsurvive" },
    { 0x0C49, "surviveanimallowed" },
//  { 0x0C4A, "" },
    { 0x0C4B, "animateddeath" },
    { 0x0C4C, "interruptdeath" },
    { 0x0C4D, "unsynchappened" },
    { 0x0C4E, "melee_unlink" },
//  { 0x0C4F, "" },
    { 0x0C50, "melee_handlenotetracks_unsync" },
    { 0x0C51, "melee_handlenotetracks_shoulddieafterunsync" },
    { 0x0C52, "melee_handlenotetracks_death" },
    { 0x0C53, "melee_handlenotetracks" },
    { 0x0C54, "hasknife" },
//  { 0x0C55, "" },
    { 0x0C56, "melee_deathhandler_delayed" },
//  { 0x0C57, "" },
    { 0x0C58, "melee_endscript_checkdeath" },
    { 0x0C59, "melee_endscript_checkpositionandmovement" },
    { 0x0C5A, "melee_endscript_checkweapon" },
    { 0x0C5B, "melee_endscript_checkstatechanges" },
    { 0x0C5C, "enable_pain" },
    { 0x0C5D, "melee_endscript" },
    { 0x0C5E, "melee_acquiremutex" },
    { 0x0C5F, "melee_releasemutex" },
//  { 0x0C60, "" },
    { 0x0C61, "determinecqbanim" },
    { 0x0C62, "runloopcount" },
    { 0x0C63, "getrandomintfromseed" },
    { 0x0C64, "cqbtracking" },
//  { 0x0C65, "" },
    { 0x0C66, "cqbpointsofinterest" },
//  { 0x0C67, "" },
//  { 0x0C68, "" },
    { 0x0C69, "disable_cqb_points_of_interest" },
    { 0x0C6A, "movewalk" },
    { 0x0C6B, "beginstandwalk" },
    { 0x0C6C, "walk_overrideanim" },
    { 0x0C6D, "walk_override_weights" },
//  { 0x0C6E, "" },
    { 0x0C6F, "beginpronewalk" },
    { 0x0C70, "dowalkanimoverride" },
    { 0x0C71, "getwalkanim" },
    { 0x0C72, "dowalkanim" },
    { 0x0C73, "doorenterexitcheck" },
    { 0x0C74, "disabledoorbehavior" },
    { 0x0C75, "teamflashbangimmune" },
//  { 0x0C76, "" },
    { 0x0C77, "dodoorgrenadethrow" },
    { 0x0C78, "nextdoorgrenadetime" },
    { 0x0C79, "minindoortime" },
    { 0x0C7A, "oldgrenadeweapon" },
    { 0x0C7B, "pathchangecheck" },
    { 0x0C7C, "restartmoveloop" },
    { 0x0C7D, "doorenter_trygrenade" },
    { 0x0C7E, "setactivegrenadetimer" },
    { 0x0C7F, "getgrenadethrowoffset" },
    { 0x0C80, "trygrenadethrow" },
    { 0x0C81, "indoorcqbtogglecheck" },
    { 0x0C82, "isindoor" },
    { 0x0C83, "doorenter_enable_cqbwalk" },
//  { 0x0C84, "" },
    { 0x0C85, "cqbwalking" },
    { 0x0C86, "enable_cqbwalk" },
    { 0x0C87, "doorexit_disable_cqbwalk" },
    { 0x0C88, "cqbenabled" },
    { 0x0C89, "disable_cqbwalk" },
    { 0x0C8A, "distance2dandheightcheck" },
//  { 0x0C8B, "" },
    { 0x0C8C, "doorenter" },
    { 0x0C8D, "doorfragchance" },
//  { 0x0C8E, "" },
    { 0x0C8F, "doorexit" },
    { 0x0C90, "custom_animscript_table" },
    { 0x0C91, "startmovetransition" },
    { 0x0C92, "doingreacquirestep" },
    { 0x0C93, "ignorepathchange" },
//  { 0x0C94, "" },
//  { 0x0C95, "" },
    { 0x0C96, "moveloopoverridefunc" },
    { 0x0C97, "moveinit" },
//  { 0x0C98, "" },
    { 0x0C99, "getupifprone" },
    { 0x0C9A, "choosepose" },
    { 0x0C9B, "proneto" },
    { 0x0C9C, "waspreviouslyincover" },
//  { 0x0C9D, "" },
    { 0x0C9E, "movemainloop" },
    { 0x0C9F, "changemovemode" },
    { 0x0CA0, "prevmovemode" },
    { 0x0CA1, "movemainloopinternal" },
    { 0x0CA2, "moveloopcleanupfunc" },
    { 0x0CA3, "movemainloopprocess" },
    { 0x0CA4, "iscqbwalkingorfacingenemy" },
    { 0x0CA5, "ammocheattime" },
    { 0x0CA6, "cheatammoifnecessary" },
    { 0x0CA7, "startthreadstorunwhilemoving" },
    { 0x0CA8, "stairscheck" },
    { 0x0CA9, "prevstairsstate" },
    { 0x0CAA, "noturnanims" },
    { 0x0CAB, "turnanim" },
    { 0x0CAC, "turntime" },
    { 0x0CAD, "pathchange_getturnanim" },
    { 0x0CAE, "pathturnanimoverridefunc" },
    { 0x0CAF, "pathchange_candoturnanim" },
    { 0x0CB0, "pathchange_doturnanim" },
    { 0x0CB1, "pathturnanimblendtime" },
    { 0x0CB2, "pathchange_domovetransition" },
    { 0x0CB3, "pathchange_cleanupturnanim" },
    { 0x0CB4, "dodgemoveloopoverride" },
    { 0x0CB5, "trydodgewithanim" },
    { 0x0CB6, "animdodgeobstacle" },
    { 0x0CB7, "dodgeleftanim" },
    { 0x0CB8, "dodgerightanim" },
    { 0x0CB9, "dodgerightanimoffset" },
    { 0x0CBA, "dodgeleftanimoffset" },
    { 0x0CBB, "setdodgeanims" },
    { 0x0CBC, "cleardodgeanims" },
    { 0x0CBD, "meleeattackcheck_whilemoving" },
    { 0x0CBE, "meleeplayerwhilemoving" },
    { 0x0CBF, "bulletwhizbycheck_whilemoving" },
    { 0x0CC0, "get_shuffle_to_corner_start_anim" },
//  { 0x0CC1, "" },
//  { 0x0CC2, "" },
    { 0x0CC3, "movecovertocover_checkendpose" },
    { 0x0CC4, "movecovertocover" },
    { 0x0CC5, "shufflemoveinterrupted" },
    { 0x0CC6, "movecovertocoverfinish" },
    { 0x0CC7, "movedoorsidetoside" },
    { 0x0CC8, "handlesidetosidenotetracks" },
//  { 0x0CC9, "" },
//  { 0x0CCA, "" },
    { 0x0CCB, "goingtoproneaim" },
    { 0x0CCC, "enterpronewrapper" },
    { 0x0CCD, "updatepronewrapper" },
    { 0x0CCE, "pronecombatmainloop" },
//  { 0x0CCF, "" },
    { 0x0CD0, "pronereload" },
    { 0x0CD1, "setup_cover_prone" },
    { 0x0CD2, "considerthrowgrenade" },
    { 0x0CD3, "shouldfirewhilechangingpose" },
    { 0x0CD4, "getaimyawtoshootentorpos" },
    { 0x0CD5, "prone_transitionto" },
//  { 0x0CD6, "" },
    { 0x0CD7, "setupproneaim" },
    { 0x0CD8, "prone_anim_override" },
    { 0x0CD9, "prone_rate_override" },
    { 0x0CDA, "no_ai" },
    { 0x0CDB, "randomizeidleset" },
    { 0x0CDC, "setposemovement" },
    { 0x0CDD, "idleset" },
    { 0x0CDE, "setlaststoppedtime" },
    { 0x0CDF, "laststoppedtime" },
    { 0x0CE0, "specialidleloop" },
    { 0x0CE1, "specialidleanim" },
    { 0x0CE2, "animplaybackrate" },
//  { 0x0CE3, "" },
    { 0x0CE4, "transitiontoidle" },
    { 0x0CE5, "idleanimtransition" },
    { 0x0CE6, "playidle" },
    { 0x0CE7, "readyanimarray" },
    { 0x0CE8, "busereadyidle" },
    { 0x0CE9, "readyanimweights" },
    { 0x0CEA, "anim_array" },
    { 0x0CEB, "idleanimarray" },
    { 0x0CEC, "idleanimweights" },
    { 0x0CED, "pronestill" },
    { 0x0CEE, "updatepronethread" },
    { 0x0CEF, "delayedexception" },
    { 0x0CF0, "do_friendly_fire_reaction" },
    { 0x0CF1, "disablefriendlyfirereaction" },
    { 0x0CF2, "transitiontocombat" },
//  { 0x0CF3, "" },
    { 0x0CF4, "setup" },
    { 0x0CF5, "previouspitchdelta" },
    { 0x0CF6, "setupaim" },
    { 0x0CF7, "meleestate" },
    { 0x0CF8, "stopshortly" },
    { 0x0CF9, "set_aim_and_turn_limits" },
    { 0x0CFA, "defaultturnthreshold" },
    { 0x0CFB, "setupexposedcombatloop" },
    { 0x0CFC, "magicreloadwhenreachenemy" },
    { 0x0CFD, "dontcrouchtime" },
//  { 0x0CFE, "" },
    { 0x0CFF, "startfireandaimidlethread" },
    { 0x0D00, "exposedcombatcheckstance" },
//  { 0x0D01, "" },
    { 0x0D02, "forcesidearm" },
    { 0x0D03, "usingprimary" },
    { 0x0D04, "exposedcombatcheckputawaypistol" },
    { 0x0D05, "exposedcombatpositionadjust" },
    { 0x0D06, "exposedcombatneedtoturn" },
    { 0x0D07, "getpredictedaimyawtoshootentorpos" },
    { 0x0D08, "exposedcombatmainloop" },
    { 0x0D09, "hidefireshowaimidle" },
//  { 0x0D0A, "" },
//  { 0x0D0B, "" },
//  { 0x0D0C, "" },
    { 0x0D0D, "waitforstancechange" },
//  { 0x0D0E, "" },
    { 0x0D0F, "group" },
    { 0x0D10, "nextgiveuponenemytime" },
    { 0x0D11, "cantseeenemywait" },
    { 0x0D12, "resetgiveuponenemytime" },
    { 0x0D13, "watchshootentvelocity" },
    { 0x0D14, "shouldswapshotgun" },
    { 0x0D15, "donotetrackswithendon" },
    { 0x0D16, "faceenemyimmediately" },
    { 0x0D17, "isdeltaallowed" },
    { 0x0D18, "isanimdeltaingoal" },
    { 0x0D19, "doturn" },
    { 0x0D1A, "iscombatpathnode" },
    { 0x0D1B, "turnlastresort" },
    { 0x0D1C, "doturnnotetracks" },
//  { 0x0D1D, "" },
    { 0x0D1E, "turningaimingon" },
    { 0x0D1F, "turningaimingoff" },
//  { 0x0D20, "" },
    { 0x0D21, "shootuntilneedtoturn" },
    { 0x0D22, "watchforneedtoturnortimeout" },
//  { 0x0D23, "" },
    { 0x0D24, "minexposedgrenadedist" },
    { 0x0D25, "nextgrenadetrytime" },
    { 0x0D26, "tryexposedthrowgrenade" },
    { 0x0D27, "grenadethrowpose" },
    { 0x0D28, "grenadecooldownelapsed" },
    { 0x0D29, "getyawtospot" },
    { 0x0D2A, "transitionto" },
    { 0x0D2B, "keeptryingtomelee" },
    { 0x0D2C, "trymelee" },
//  { 0x0D2D, "" },
    { 0x0D2E, "nomeleechargedelay" },
    { 0x0D2F, "exposedreload" },
    { 0x0D30, "exposedreloading" },
    { 0x0D31, "specialreloadanimfunc" },
//  { 0x0D32, "" },
//  { 0x0D33, "" },
    { 0x0D34, "abortreloadwhencanshoot" },
//  { 0x0D35, "" },
    { 0x0D36, "drop_turret" },
    { 0x0D37, "dropturret" },
    { 0x0D38, "needstorechamber" },
    { 0x0D39, "restoredefaults" },
    { 0x0D3A, "exception_exposed_mg42_portable" },
    { 0x0D3B, "tryusingsidearm" },
    { 0x0D3C, "no_pistol_switch" },
    { 0x0D3D, "switchtosidearm" },
//  { 0x0D3E, "" },
//  { 0x0D3F, "" },
    { 0x0D40, "donotetrackspostcallbackwithendon" },
    { 0x0D41, "donotetrackspostcallback" },
    { 0x0D42, "faceenemydelay" },
    { 0x0D43, "handlepickup" },
    { 0x0D44, "switchtolastweapon" },
//  { 0x0D45, "" },
    { 0x0D46, "handleputaway" },
    { 0x0D47, "handlecleanupputaway" },
//  { 0x0D48, "" },
    { 0x0D49, "reacquirewhennecessary" },
    { 0x0D4A, "tryexposedreacquire" },
    { 0x0D4B, "reacquire_state" },
    { 0x0D4C, "prevenemy" },
    { 0x0D4D, "approachnumber" },
    { 0x0D4E, "approachtype" },
    { 0x0D4F, "covertrans" },
    { 0x0D50, "movetransitionrate" },
    { 0x0D51, "arrivalendstance" },
    { 0x0D52, "lastapproachaborttime" },
    { 0x0D53, "handlestartaim" },
    { 0x0D54, "isthreatenedbyenemy" },
    { 0x0D55, "abortapproachifthreatened" },
//  { 0x0D56, "" },
    { 0x0D57, "canusesawapproach" },
    { 0x0D58, "getnodeyawtoenemy" },
    { 0x0D59, "determinenodeapproachtype" },
    { 0x0D5A, "approach_types" },
    { 0x0D5B, "arrivalstance" },
    { 0x0D5C, "determinenodeexittype" },
//  { 0x0D5D, "" },
    { 0x0D5E, "coverexit" },
    { 0x0D5F, "determineexposedapproachtype" },
    { 0x0D60, "getmaxdirectionsandexcludedirfromapproachtype" },
    { 0x0D61, "maxdirections" },
    { 0x0D62, "excludedir" },
    { 0x0D63, "shouldapproachtoexposed" },
    { 0x0D64, "exposedtransition" },
    { 0x0D65, "canseepointfromexposedatnode" },
//  { 0x0D66, "" },
    { 0x0D67, "getapproachent" },
    { 0x0D68, "getapproachpoint" },
    { 0x0D69, "checkapproachpreconditions" },
    { 0x0D6A, "disablearrivals" },
    { 0x0D6B, "checkapproachconditions" },
    { 0x0D6C, "coverapproachlastminutecheck" },
    { 0x0D6D, "approachwaittillclose" },
    { 0x0D6E, "startcoverapproach" },
    { 0x0D6F, "newarrivals" },
    { 0x0D70, "covertranslongestdist" },
    { 0x0D71, "covertransdist" },
//  { 0x0D72, "" },
//  { 0x0D73, "" },
    { 0x0D74, "checkarrivalenterpositions" },
    { 0x0D75, "transindex" },
    { 0x0D76, "dolastminuteexposedapproachwrapper" },
    { 0x0D77, "watchgoalchanged" },
    { 0x0D78, "exposedapproachconditioncheck" },
//  { 0x0D79, "" },
    { 0x0D7A, "exposedapproachwaittillclose" },
    { 0x0D7B, "longestexposedapproachdist" },
    { 0x0D7C, "faceenemyatendofapproach" },
//  { 0x0D7D, "" },
//  { 0x0D7E, "" },
//  { 0x0D7F, "" },
    { 0x0D80, "faceenemyarrival" },
    { 0x0D81, "transitions" },
    { 0x0D82, "waitforpathgoalpos" },
    { 0x0D83, "startmovetransitionpreconditions" },
    { 0x0D84, "disableexits" },
    { 0x0D85, "startmovetransitionconditions" },
    { 0x0D86, "getexitnode" },
    { 0x0D87, "custommovetransitionfunc" },
    { 0x0D88, "startmovetransitionanim" },
    { 0x0D89, "determinenonnodeexittype" },
    { 0x0D8A, "determineheatcoverexittype" },
//  { 0x0D8B, "" },
    { 0x0D8C, "permanentcustommovetransition" },
    { 0x0D8D, "coverexitpos" },
//  { 0x0D8E, "" },
    { 0x0D8F, "docoverexitanimation" },
    { 0x0D90, "finishcoverexitnotetracks" },
    { 0x0D91, "drawvec" },
    { 0x0D92, "drawapproachvec" },
    { 0x0D93, "calculatenodetransitionangles" },
    { 0x0D94, "coverexitangles" },
    { 0x0D95, "sortnodetransitionangles" },
    { 0x0D96, "checkcoverexitpos" },
    { 0x0D97, "coverexitdist" },
//  { 0x0D98, "" },
    { 0x0D99, "getarrivalstartpos" },
    { 0x0D9A, "getarrivalprestartpos" },
//  { 0x0D9B, "" },
    { 0x0D9C, "checkcoverenterpos" },
    { 0x0D9D, "use_readystand" },
    { 0x0D9E, "readystand_anims_inited" },
    { 0x0D9F, "debug_arrivals_on_actor" },
    { 0x0DA0, "debug_arrival" },
    { 0x0DA1, "scr_notetrack" },
    { 0x0DA2, "scr_face" },
    { 0x0DA3, "scr_look" },
    { 0x0DA4, "scr_animsound" },
    { 0x0DA5, "scr_sound" },
    { 0x0DA6, "scr_radio" },
    { 0x0DA7, "scr_text" },
//  { 0x0DA8, "" },
    { 0x0DA9, "_lastanimtime" },
    { 0x0DAA, "anim_first_frame" },
    { 0x0DAB, "anim_generic_first_frame" },
    { 0x0DAC, "anim_generic" },
    { 0x0DAD, "anim_generic_gravity" },
    { 0x0DAE, "anim_generic_run" },
    { 0x0DAF, "anim_generic_reach" },
    { 0x0DB0, "anim_generic_reach_and_arrive" },
    { 0x0DB1, "anim_reach_and_plant" },
    { 0x0DB2, "anim_reach_and_plant_and_arrive" },
    { 0x0DB3, "anim_generic_loop" },
    { 0x0DB4, "anim_custom_animmode" },
    { 0x0DB5, "anim_custom_animmode_loop" },
    { 0x0DB6, "wait_until_anim_finishes" },
    { 0x0DB7, "anim_generic_custom_animmode" },
    { 0x0DB8, "anim_generic_custom_animmode_loop" },
//  { 0x0DB9, "" },
    { 0x0DBA, "anim_first_frame_solo" },
    { 0x0DBB, "anim_last_frame_solo" },
    { 0x0DBC, "assert_existance_of_anim" },
    { 0x0DBD, "anim_first_frame_on_guy" },
    { 0x0DBE, "first_frame_time" },
    { 0x0DBF, "anim_custom_animmode_on_guy" },
    { 0x0DC0, "_custom_anim" },
//  { 0x0DC1, "" },
    { 0x0DC2, "anim_loop_packet_solo" },
    { 0x0DC3, "anim_loop_packet" },
    { 0x0DC4, "remove_from_animloop" },
    { 0x0DC5, "play_sound_on_entity" },
    { 0x0DC6, "anim_single_failsafeonguy" },
    { 0x0DC7, "anim_single_failsafe" },
    { 0x0DC8, "anim_single" },
//  { 0x0DC9, "" },
    { 0x0DCA, "anim_single_internal" },
    { 0x0DCB, "anim_deathnotify" },
//  { 0x0DCC, "" },
    { 0x0DCD, "anim_dialogueendnotify" },
    { 0x0DCE, "anim_animationendnotify" },
    { 0x0DCF, "waittill_match_or_timeout" },
    { 0x0DD0, "dontdonotetracks" },
    { 0x0DD1, "add_animsound" },
    { 0x0DD2, "animsound_hudlimit" },
    { 0x0DD3, "animsounds" },
    { 0x0DD4, "end_time" },
//  { 0x0DD5, "" },
    { 0x0DD6, "anime" },
    { 0x0DD7, "notetrack" },
    { 0x0DD8, "animsound_tracker" },
    { 0x0DD9, "animsound_start_tracker" },
//  { 0x0DDA, "" },
    { 0x0DDB, "notetrack_wait" },
//  { 0x0DDC, "" },
//  { 0x0DDD, "" },
    { 0x0DDE, "play_sound_on_tag" },
//  { 0x0DDF, "" },
    { 0x0DE0, "anim_handle_notetrack" },
    { 0x0DE1, "anim_addmodel" },
    { 0x0DE2, "scriptmodel" },
    { 0x0DE3, "anim_removemodel" },
    { 0x0DE4, "gun_pickup_left" },
//  { 0x0DE5, "" },
    { 0x0DE6, "gun_pickup_right" },
    { 0x0DE7, "gun_leave_behind" },
    { 0x0DE8, "anim_weight" },
    { 0x0DE9, "anim_reach_and_idle" },
    { 0x0DEA, "reachers" },
    { 0x0DEB, "wait_for_guy_to_die_or_get_in_position" },
    { 0x0DEC, "idle_on_reach" },
    { 0x0DED, "get_anim_position" },
    { 0x0DEE, "anim_reach_together" },
    { 0x0DEF, "modify_moveplaybackrate_together" },
    { 0x0DF0, "remove_dead_from_array" },
    { 0x0DF1, "reach_goal_pos" },
    { 0x0DF2, "anim_reach" },
    { 0x0DF3, "anim_reach_with_funcs" },
    { 0x0DF4, "oldgoalradius" },
    { 0x0DF5, "anim_teleport" },
    { 0x0DF6, "anim_moveto" },
    { 0x0DF7, "anim_generic_teleport" },
    { 0x0DF8, "anim_spawn_generic_model" },
    { 0x0DF9, "anim_spawn_model" },
    { 0x0DFA, "anim_spawn_tag_model" },
    { 0x0DFB, "anim_link_tag_model" },
    { 0x0DFC, "anim_spawner_teleport" },
    { 0x0DFD, "reach_death_notify" },
//  { 0x0DFE, "" },
    { 0x0DFF, "set_goal_pos" },
    { 0x0E00, "reach_with_standard_adjustments_begin" },
    { 0x0E01, "oldpathenemyfightdist" },
    { 0x0E02, "oldpathenemylookahead" },
//  { 0x0E03, "" },
    { 0x0E04, "fixednodewason" },
    { 0x0E05, "old_disablearrivals" },
    { 0x0E06, "reach_with_standard_adjustments_end" },
    { 0x0E07, "anim_changes_pushplayer" },
    { 0x0E08, "dontchangepushplayer" },
    { 0x0E09, "reach_with_arrivals_begin" },
    { 0x0E0A, "reach_with_planting" },
//  { 0x0E0B, "" },
    { 0x0E0C, "setanimtree" },
    { 0x0E0D, "scr_animtree" },
//  { 0x0E0E, "" },
//  { 0x0E0F, "" },
    { 0x0E10, "anim_single_run_solo" },
    { 0x0E11, "anim_reach_and_idle_solo" },
//  { 0x0E12, "" },
    { 0x0E13, "anim_reach_and_approach_solo" },
    { 0x0E14, "anim_reach_and_approach_node_solo" },
//  { 0x0E15, "" },
//  { 0x0E16, "" },
    { 0x0E17, "anim_teleport_solo" },
//  { 0x0E18, "" },
    { 0x0E19, "completedanims" },
    { 0x0E1A, "anim_single_queue" },
    { 0x0E1B, "last_queue_time" },
    { 0x0E1C, "wait_for_buffer_time_to_pass" },
//  { 0x0E1D, "" },
    { 0x0E1E, "anim_generic_queue" },
    { 0x0E1F, "function_stack_timeout" },
    { 0x0E20, "anim_dontpushplayer" },
    { 0x0E21, "anim_pushplayer" },
    { 0x0E22, "addnotetrack_dialogue" },
    { 0x0E23, "add_notetrack_and_get_index" },
//  { 0x0E24, "" },
    { 0x0E25, "addnotetrack_sound" },
    { 0x0E26, "get_generic_anime" },
//  { 0x0E27, "" },
    { 0x0E28, "addnotetrack_animsound" },
//  { 0x0E29, "" },
    { 0x0E2A, "addnotetrack_detach" },
    { 0x0E2B, "addnotetrack_detach_gun" },
    { 0x0E2C, "addnotetrack_customfunction" },
    { 0x0E2D, "addnotetrack_startfxontag" },
//  { 0x0E2E, "" },
    { 0x0E2F, "addnotetrack_flag" },
//  { 0x0E30, "" },
//  { 0x0E31, "" },
//  { 0x0E32, "" },
    { 0x0E33, "set_talker_until_msg" },
    { 0x0E34, "talk_for_time" },
    { 0x0E35, "getyawangles" },
    { 0x0E36, "lookline" },
    { 0x0E37, "anim_reach_idle" },
    { 0x0E38, "reachidle" },
    { 0x0E39, "delayeddialogue" },
    { 0x0E3A, "clearfaceanimonanimdone" },
    { 0x0E3B, "anim_start_pos" },
    { 0x0E3C, "anim_start_pos_solo" },
    { 0x0E3D, "set_start_pos" },
    { 0x0E3E, "anim_start_at_groundpos" },
//  { 0x0E3F, "" },
    { 0x0E40, "anim_at_self" },
    { 0x0E41, "anim_at_entity" },
    { 0x0E42, "add_to_animsound" },
//  { 0x0E43, "" },
    { 0x0E44, "anim_set_rate" },
    { 0x0E45, "anim_set_rate_internal" },
    { 0x0E46, "getanim_from_animname" },
    { 0x0E47, "anim_set_time" },
//  { 0x0E48, "" },
    { 0x0E49, "getanim" },
    { 0x0E4A, "last_anim_time_check" },
    { 0x0E4B, "last_anim_time" },
//  { 0x0E4C, "" },
    { 0x0E4D, "hiding_door_spawner" },
    { 0x0E4E, "_hiding_door_pushplayer_clips" },
//  { 0x0E4F, "" },
    { 0x0E50, "script_flag_wait" },
    { 0x0E51, "add_spawn_function" },
    { 0x0E52, "hiding_door_guy" },
    { 0x0E53, "set_deathanim" },
    { 0x0E54, "clear_deathanim" },
    { 0x0E55, "quit_door_behavior" },
    { 0x0E56, "player_entered_backdoor" },
    { 0x0E57, "hiding_door_guy_should_charge" },
    { 0x0E58, "hiding_door_guy_should_throw_grenade" },
//  { 0x0E59, "" },
//  { 0x0E5A, "" },
//  { 0x0E5B, "" },
    { 0x0E5C, "hiding_door_guy_pushplayer" },
//  { 0x0E5D, "" },
    { 0x0E5E, "hiding_door_death" },
    { 0x0E5F, "hiding_door_death_door_connections" },
    { 0x0E60, "hiding_door_starts_open" },
    { 0x0E61, "setup_names" },
    { 0x0E62, "names" },
    { 0x0E63, "nameindex" },
    { 0x0E64, "copy_names" },
    { 0x0E65, "add_name" },
    { 0x0E66, "remove_name" },
    { 0x0E67, "init_script_friendnames" },
    { 0x0E68, "script_friendnames" },
    { 0x0E69, "normalize_script_friendname" },
    { 0x0E6A, "remove_script_friendnames_from_list" },
    { 0x0E6B, "randomize_name_list" },
    { 0x0E6C, "get_name" },
    { 0x0E6D, "get_name_for_nationality" },
//  { 0x0E6E, "" },
//  { 0x0E6F, "" },
    { 0x0E70, "nationalityusessurnames" },
    { 0x0E71, "monitor_challenges" },
    { 0x0E72, "challenge_targetval" },
    { 0x0E73, "challenge_rewardval" },
    { 0x0E74, "getchallengestatus" },
    { 0x0E75, "challengedata" },
    { 0x0E76, "ch_getprogress" },
    { 0x0E77, "ch_getstate" },
    { 0x0E78, "ch_setprogress" },
    { 0x0E79, "ch_setstate" },
    { 0x0E7A, "ch_gettarget" },
//  { 0x0E7B, "" },
//  { 0x0E7C, "" },
    { 0x0E7D, "buildchallengeinfo" },
    { 0x0E7E, "challengesplashnotify" },
    { 0x0E7F, "optionalnumber" },
    { 0x0E80, "sound" },
//  { 0x0E81, "" },
    { 0x0E82, "actionnotify" },
    { 0x0E83, "updatechallenges" },
//  { 0x0E84, "" },
    { 0x0E85, "giverankxpafterwait" },
//  { 0x0E86, "" },
    { 0x0E87, "processchallenge" },
    { 0x0E88, "initnotifymessage" },
//  { 0x0E89, "" },
//  { 0x0E8A, "" },
    { 0x0E8B, "notifytext" },
    { 0x0E8C, "notifytext2" },
    { 0x0E8D, "notifyicon" },
    { 0x0E8E, "doingnotify" },
//  { 0x0E8F, "" },
    { 0x0E90, "doingsplash" },
    { 0x0E91, "splashqueue" },
    { 0x0E92, "maxrank" },
    { 0x0E93, "ranktable" },
    { 0x0E94, "xp_init" },
    { 0x0E95, "xp_player_init" },
//  { 0x0E96, "" },
    { 0x0E97, "rankupdatetotal" },
    { 0x0E98, "hud_rankscroreupdate" },
    { 0x0E99, "xp_bar_client_elem" },
//  { 0x0E9A, "" },
    { 0x0E9B, "xpbar_update" },
    { 0x0E9C, "hud_xpbar" },
    { 0x0E9D, "get_xpbarwidth" },
    { 0x0E9E, "xp_setup" },
//  { 0x0E9F, "" },
    { 0x0EA0, "xpscale" },
    { 0x0EA1, "givexp_think" },
    { 0x0EA2, "givexp_helper" },
    { 0x0EA3, "givexp_kill_func" },
    { 0x0EA4, "is_survival" },
    { 0x0EA5, "attacker_list" },
//  { 0x0EA6, "" },
    { 0x0EA7, "is_special_targetname_attacker" },
    { 0x0EA8, "ai_xp_init" },
    { 0x0EA9, "last_attacked" },
    { 0x0EAA, "add_damage_function" },
    { 0x0EAB, "xp_took_damage" },
    { 0x0EAC, "updateplayerscore" },
    { 0x0EAD, "xp_enable" },
    { 0x0EAE, "print_score_increment" },
    { 0x0EAF, "fontpulseinit" },
//  { 0x0EB0, "" },
//  { 0x0EB1, "" },
    { 0x0EB2, "inframes" },
    { 0x0EB3, "outframes" },
    { 0x0EB4, "fontpulse" },
//  { 0x0EB5, "" },
    { 0x0EB6, "setpromotion" },
    { 0x0EB7, "updaterankannouncehud" },
    { 0x0EB8, "titletext" },
//  { 0x0EB9, "" },
    { 0x0EBA, "duration" },
    { 0x0EBB, "textlabel" },
    { 0x0EBC, "textisstring" },
    { 0x0EBD, "eog_summary_delay" },
//  { 0x0EBE, "" },
//  { 0x0EBF, "" },
    { 0x0EC0, "actionnotifymessage" },
    { 0x0EC1, "removetypefromqueue" },
    { 0x0EC2, "shownotifymessage" },
    { 0x0EC3, "titlelabel" },
    { 0x0EC4, "titleisstring" },
    { 0x0EC5, "text2label" },
//  { 0x0EC6, "" },
//  { 0x0EC7, "" },
    { 0x0EC8, "canreadtext" },
    { 0x0EC9, "isflashbanged" },
    { 0x0ECA, "dispatchnotify" },
    { 0x0ECB, "registerscoreinfo" },
    { 0x0ECC, "getscoreinfovalue" },
    { 0x0ECD, "getrankinfominxp" },
//  { 0x0ECE, "" },
    { 0x0ECF, "getrankinfomaxxp" },
    { 0x0ED0, "getrankinfofull" },
    { 0x0ED1, "getrankinfoicon" },
    { 0x0ED2, "getrankforxp" },
    { 0x0ED3, "getrankxp" },
    { 0x0ED4, "so" },
    { 0x0ED5, "eventtypes" },
    { 0x0ED6, "skipdistancecheck" },
    { 0x0ED7, "noreloadcalloutweapons" },
    { 0x0ED8, "bcmaxdistsqd" },
    { 0x0ED9, "enable_chatter" },
    { 0x0EDA, "so_player_chatter_enabled" },
    { 0x0EDB, "disable_chatter" },
    { 0x0EDC, "enable_chatter_on_player" },
    { 0x0EDD, "so_isspeaking" },
    { 0x0EDE, "bc_eventtypelastusedtime" },
    { 0x0EDF, "revive_tracking" },
    { 0x0EE0, "claymore_tracking" },
    { 0x0EE1, "sentry_tracking" },
    { 0x0EE2, "kill_generic_tracking" },
    { 0x0EE3, "kill_infantry_tracking" },
    { 0x0EE4, "area_secure_tracking" },
    { 0x0EE5, "affirmative_tracking" },
    { 0x0EE6, "negative_tracking" },
    { 0x0EE7, "on_comms_tracking" },
    { 0x0EE8, "mark_dropzone_tracking" },
    { 0x0EE9, "glowstick_tracking" },
    { 0x0EEA, "reload_tracking" },
    { 0x0EEB, "weapon_no_reload_callout" },
    { 0x0EEC, "grenade_tracking" },
    { 0x0EED, "friendlyfire_tracking" },
    { 0x0EEE, "friendlyfire_is_valid" },
    { 0x0EEF, "friendlyfire_whizby_tracking" },
    { 0x0EF0, "friendlyfire_whizby_is_valid" },
//  { 0x0EF1, "" },
//  { 0x0EF2, "" },
//  { 0x0EF3, "" },
    { 0x0EF4, "bleedout_time" },
    { 0x0EF5, "bleedout_time_default" },
    { 0x0EF6, "laststand_stage2_multiplier" },
    { 0x0EF7, "can_say_current_nag_event_type" },
    { 0x0EF8, "play_so_chatter" },
    { 0x0EF9, "can_say_event_type" },
//  { 0x0EFA, "" },
    { 0x0EFB, "check_overrides" },
    { 0x0EFC, "so_override" },
    { 0x0EFD, "get_player_team_prefix" },
    { 0x0EFE, "so_stealth" },
    { 0x0EFF, "player2" },
    { 0x0F00, "so_campaign" },
//  { 0x0F01, "" },
    { 0x0F02, "get_other_player" },
    { 0x0F03, "is_downed" },
    { 0x0F04, "ent_flag_exist" },
//  { 0x0F05, "" },
//  { 0x0F06, "" },
//  { 0x0F07, "" },
//  { 0x0F08, "" },
    { 0x0F09, "script_color_allies" },
    { 0x0F0A, "script_color_axis" },
    { 0x0F0B, "color_node_type_function" },
//  { 0x0F0C, "" },
    { 0x0F0D, "colorchecklist" },
    { 0x0F0E, "currentcolorforced" },
    { 0x0F0F, "lastcolorforced" },
    { 0x0F10, "arrays_of_colorforced_ai" },
    { 0x0F11, "_color_friendly_spawners" },
    { 0x0F12, "convert_color_to_short_string" },
    { 0x0F13, "script_forcecolor" },
    { 0x0F14, "ai_picks_destination" },
    { 0x0F15, "currentcolorcode" },
    { 0x0F16, "goto_current_colorindex" },
    { 0x0F17, "has_color" },
//  { 0x0F18, "" },
//  { 0x0F19, "" },
    { 0x0F1A, "get_color_list" },
    { 0x0F1B, "array_remove_dupes" },
    { 0x0F1C, "get_colorcodes_from_trigger" },
//  { 0x0F1D, "" },
    { 0x0F1E, "colorcode_is_used_in_map" },
    { 0x0F1F, "trigger_issues_orders" },
    { 0x0F20, "activated_color_trigger" },
//  { 0x0F21, "" },
    { 0x0F22, "trigger_delete_target_chain" },
    { 0x0F23, "array_delete" },
    { 0x0F24, "activate_color_trigger" },
    { 0x0F25, "get_colorcodes_and_activate_trigger" },
    { 0x0F26, "activate_color_trigger_internal" },
    { 0x0F27, "activate_color_code_internal" },
    { 0x0F28, "arrays_of_colorcoded_spawners" },
    { 0x0F29, "array_removedead" },
    { 0x0F2A, "arrays_of_colorcoded_ai" },
    { 0x0F2B, "same_color_code_as_last_time" },
    { 0x0F2C, "process_cover_node_with_last_in_mind_allies" },
    { 0x0F2D, "cover_nodes_last" },
    { 0x0F2E, "cover_nodes_first" },
    { 0x0F2F, "process_cover_node_with_last_in_mind_axis" },
    { 0x0F30, "process_cover_node" },
//  { 0x0F31, "" },
    { 0x0F32, "path_nodes" },
    { 0x0F33, "prioritize_colorcoded_nodes" },
    { 0x0F34, "script_colorlast" },
//  { 0x0F35, "" },
    { 0x0F36, "get_colorcoded_volume" },
//  { 0x0F37, "" },
    { 0x0F38, "send_ai_to_colorvolume" },
    { 0x0F39, "issue_color_order_to_ai" },
    { 0x0F3A, "take_color_node" },
    { 0x0F3B, "player_color_node" },
    { 0x0F3C, "color_node_finds_a_user" },
    { 0x0F3D, "color_node_finds_user_from_colorcodes" },
    { 0x0F3E, "color_node_finds_user_for_colorcode" },
//  { 0x0F3F, "" },
    { 0x0F40, "occupies_colorcode" },
    { 0x0F41, "ai_sets_goal_with_delay" },
    { 0x0F42, "ai_sets_goal" },
    { 0x0F43, "script_careful" },
    { 0x0F44, "set_goal_and_volume" },
    { 0x0F45, "colornode_func" },
    { 0x0F46, "_colors_go_line" },
    { 0x0F47, "colornode_setgoal_func" },
//  { 0x0F48, "" },
    { 0x0F49, "is_using_forcegoal_radius" },
    { 0x0F4A, "script_forcegoal" },
    { 0x0F4B, "forcegoal_radius" },
    { 0x0F4C, "careful_logic" },
    { 0x0F4D, "recover_from_careful_disable" },
//  { 0x0F4E, "" },
    { 0x0F4F, "isknownenemyinradius_tmp" },
    { 0x0F50, "wait_until_an_enemy_is_in_safe_area" },
    { 0x0F51, "my_current_node_delays" },
//  { 0x0F52, "" },
    { 0x0F53, "color_ordered_node_assignment" },
    { 0x0F54, "color_node" },
    { 0x0F55, "get_best_available_colored_node" },
    { 0x0F56, "get_best_available_new_colored_node" },
    { 0x0F57, "process_stop_short_of_node" },
    { 0x0F58, "wait_for_killanimscript_or_time" },
    { 0x0F59, "reached_node_but_could_not_claim_it" },
    { 0x0F5A, "decrementcolorusers" },
    { 0x0F5B, "colorislegit" },
    { 0x0F5C, "add_volume_to_global_arrays" },
    { 0x0F5D, "add_node_to_global_arrays" },
//  { 0x0F5E, "" },
//  { 0x0F5F, "" },
    { 0x0F60, "removespawnerfromcolornumberarray" },
    { 0x0F61, "add_cover_node" },
    { 0x0F62, "add_path_node" },
//  { 0x0F63, "" },
//  { 0x0F64, "" },
    { 0x0F65, "colornode_replace_on_death" },
    { 0x0F66, "replace_on_death" },
    { 0x0F67, "current_color_order" },
    { 0x0F68, "color_doesnt_care_about_heroes" },
    { 0x0F69, "remove_heroes_from_array" },
    { 0x0F6A, "color_doesnt_care_about_classname" },
    { 0x0F6B, "remove_without_classname" },
    { 0x0F6C, "set_force_color" },
    { 0x0F6D, "friendly_promotion_thread" },
    { 0x0F6E, "get_color_from_order" },
    { 0x0F6F, "friendly_spawner_vision_checker" },
    { 0x0F70, "friendly_respawn_vision_checker_thread" },
    { 0x0F71, "respawn_spawner_org" },
    { 0x0F72, "get_color_spawner" },
    { 0x0F73, "respawn_friendlies_without_vision_check" },
    { 0x0F74, "respawn_friendlies_force_vision_check" },
    { 0x0F75, "wait_until_vision_check_satisfied_or_disabled" },
    { 0x0F76, "spawn_hidden_reinforcement" },
//  { 0x0F77, "" },
    { 0x0F78, "lock_spawner_for_awhile" },
    { 0x0F79, "friendly_respawn_lock_func" },
    { 0x0F7A, "player_sees_spawner" },
    { 0x0F7B, "kill_color_replacements" },
    { 0x0F7C, "remove_replace_on_death" },
    { 0x0F7D, "get_team" },
    { 0x0F7E, "linetime_proc" },
    { 0x0F7F, "structarray_swap" },
    { 0x0F80, "struct_array_index" },
    { 0x0F81, "waitspread_code" },
    { 0x0F82, "wait_spreaders" },
    { 0x0F83, "wait_spreader_allotment" },
    { 0x0F84, "active_wait_spread" },
    { 0x0F85, "waitspread_insert" },
    { 0x0F86, "waittill_objective_event_proc" },
    { 0x0F87, "script_deathchain" },
    { 0x0F88, "deathspawner" },
//  { 0x0F89, "" },
//  { 0x0F8A, "" },
    { 0x0F8B, "wait_for_trigger_think" },
    { 0x0F8C, "wait_for_trigger" },
    { 0x0F8D, "ent_waits_for_level_notify" },
    { 0x0F8E, "ent_waits_for_notify" },
    { 0x0F8F, "ent_waits_for_trigger" },
    { 0x0F90, "ent_times_out" },
    { 0x0F91, "update_debug_friendlycolor_on_death" },
//  { 0x0F92, "" },
    { 0x0F93, "update_debug_friendlycolor" },
    { 0x0F94, "insure_player_does_not_set_forcecolor_twice_in_one_frame" },
    { 0x0F95, "new_color_being_set" },
    { 0x0F96, "new_force_color_being_set" },
    { 0x0F97, "dontcolormove" },
//  { 0x0F98, "" },
    { 0x0F99, "_radio_queue" },
    { 0x0F9A, "last_mission_sound_time" },
//  { 0x0F9B, "" },
    { 0x0F9C, "waittill_either_function_internal" },
    { 0x0F9D, "hintprintwait" },
    { 0x0F9E, "hint_timeout" },
    { 0x0F9F, "timed_out" },
    { 0x0FA0, "hintprint" },
    { 0x0FA1, "hint_fontscale" },
    { 0x0FA2, "current_global_hint" },
//  { 0x0FA3, "" },
//  { 0x0FA4, "" },
    { 0x0FA5, "current_hint" },
    { 0x0FA6, "ent_flag_clear" },
//  { 0x0FA7, "" },
    { 0x0FA8, "showhintprint_struct" },
    { 0x0FA9, "lerp_player_view_to_tag_internal" },
    { 0x0FAA, "lerp_player_view_to_position" },
    { 0x0FAB, "lerp_player_view_to_tag_oldstyle_internal" },
//  { 0x0FAC, "" },
    { 0x0FAD, "function_stack_wait" },
    { 0x0FAE, "function_stack_wait_finish" },
    { 0x0FAF, "function_stack_proc" },
    { 0x0FB0, "function_stack_func_begun" },
    { 0x0FB1, "function_stack_self_death" },
//  { 0x0FB2, "" },
    { 0x0FB3, "unflash_flag" },
    { 0x0FB4, "wait_for_sounddone_or_death" },
    { 0x0FB5, "init_vision_set" },
    { 0x0FB6, "lvl_visionset" },
    { 0x0FB7, "vision_cheat_enabled" },
    { 0x0FB8, "array_waitlogic1" },
//  { 0x0FB9, "" },
    { 0x0FBA, "array_waitlogic2" },
//  { 0x0FBB, "" },
    { 0x0FBC, "parms" },
//  { 0x0FBD, "" },
    { 0x0FBE, "exec_call_noself" },
    { 0x0FBF, "exec_func" },
    { 0x0FC0, "ender" },
    { 0x0FC1, "waittill_func_ends" },
    { 0x0FC2, "waittill_abort_func_ends" },
    { 0x0FC3, "abort_count" },
    { 0x0FC4, "do_abort" },
//  { 0x0FC5, "" },
    { 0x0FC6, "yaw" },
    { 0x0FC7, "pitch" },
    { 0x0FC8, "roll" },
    { 0x0FC9, "dynamic_run_speed_proc" },
    { 0x0FCA, "ent_flag_init" },
//  { 0x0FCB, "" },
//  { 0x0FCC, "" },
    { 0x0FCD, "last_set_goalent" },
    { 0x0FCE, "drs_ahead_test" },
    { 0x0FCF, "last_set_goalnode" },
//  { 0x0FD0, "" },
//  { 0x0FD1, "" },
    { 0x0FD2, "set_generic_run_anim_array" },
    { 0x0FD3, "set_generic_run_anim" },
    { 0x0FD4, "clear_run_anim" },
//  { 0x0FD5, "" },
//  { 0x0FD6, "" },
//  { 0x0FD7, "" },
    { 0x0FD8, "get_target_nodes" },
    { 0x0FD9, "get_target_ents" },
    { 0x0FDA, "go_to_node_wait_for_player" },
    { 0x0FDB, "dynamic_run_set" },
    { 0x0FDC, "anim_stopanimscripted" },
    { 0x0FDD, "dynamic_run_speed_stopped" },
    { 0x0FDE, "loops" },
    { 0x0FDF, "handsignal" },
    { 0x0FE0, "dynamic_run_speed_dialogue" },
//  { 0x0FE1, "" },
    { 0x0FE2, "g_speed_get_func" },
    { 0x0FE3, "g_speed_set_func" },
    { 0x0FE4, "movespeed_get_func" },
    { 0x0FE5, "movespeedscale" },
    { 0x0FE6, "movespeed_set_func" },
    { 0x0FE7, "autosave_tactical_setup" },
    { 0x0FE8, "autosave_tactical_player_nades" },
    { 0x0FE9, "autosave_tactical_grenade_check" },
    { 0x0FEA, "autosave_tactical_grenade_check_dieout" },
    { 0x0FEB, "autosave_tactical_proc" },
//  { 0x0FEC, "" },
    { 0x0FED, "autosave_by_name" },
    { 0x0FEE, "music_play_internal_stop_with_fade_then_call" },
    { 0x0FEF, "music_stop" },
    { 0x0FF0, "music_play" },
    { 0x0FF1, "music_loop_internal_stop_with_fade_then_call" },
    { 0x0FF2, "music_loop_internal" },
    { 0x0FF3, "musicplaywrapper" },
    { 0x0FF4, "musiclength" },
    { 0x0FF5, "music_loop" },
    { 0x0FF6, "music_loop_stealth_pause" },
    { 0x0FF7, "doslide" },
    { 0x0FF8, "kill_deathflag_proc" },
    { 0x0FF9, "update_rumble_intensity" },
    { 0x0FFA, "intensity" },
    { 0x0FFB, "start_glow" },
    { 0x0FFC, "glow_model" },
    { 0x0FFD, "blend_default_dof" },
    { 0x0FFE, "dofdefault" },
    { 0x0FFF, "process_blend" },
    { 0x1000, "start" },
//  { 0x1001, "" },
    { 0x1002, "base" },
    { 0x1003, "time" },
//  { 0x1004, "" },
    { 0x1005, "trace_fx" },
    { 0x1006, "fx" },
    { 0x1007, "surface" },
    { 0x1008, "fx_array" },
    { 0x1009, "rumble" },
//  { 0x100A, "" },
    { 0x100B, "toy_model" },
    { 0x100C, "interactives" },
    { 0x100D, "put_toy_in_volume" },
    { 0x100E, "precache_destructible" },
    { 0x100F, "get_color_info_from_trigger" },
    { 0x1010, "delaythread_proc" },
    { 0x1011, "add_wait_asserter" },
//  { 0x1012, "" },
    { 0x1013, "comparesizesfx" },
    { 0x1014, "waittill_triggered_current" },
    { 0x1015, "currentnode" },
    { 0x1016, "add_trigger_func_thread" },
//  { 0x1017, "" },
    { 0x1018, "objective_recon" },
    { 0x1019, "is_default_start" },
    { 0x101A, "recon_objective_lasttime" },
    { 0x101B, "mission_recon" },
    { 0x101C, "get_leveltime" },
    { 0x101D, "rvb_init" },
    { 0x101E, "_audio" },
    { 0x101F, "reverb" },
    { 0x1020, "use_string_table_presets" },
    { 0x1021, "use_iw_presets" },
    { 0x1022, "current_reverb" },
    { 0x1023, "rvb_use_string_table" },
    { 0x1024, "rvb_use_iw_presets" },
    { 0x1025, "rvb_set_dry_level" },
    { 0x1026, "drylevel" },
    { 0x1027, "rvb_set_wet_level" },
    { 0x1028, "wetlevel" },
    { 0x1029, "rvb_apply_reverb" },
    { 0x102A, "applied_reverb" },
    { 0x102B, "fadetime" },
    { 0x102C, "roomtype" },
    { 0x102D, "rvb_start_preset" },
    { 0x102E, "aud_print_warning" },
    { 0x102F, "deathsdoor" },
    { 0x1030, "rvbx_store_current_reverb_track" },
//  { 0x1031, "" },
    { 0x1032, "ambient_reverb" },
    { 0x1033, "rvb_deactive_reverb" },
    { 0x1034, "rvb_get_applied_reverb" },
    { 0x1035, "rvbx_get_preset_from_string_table" },
    { 0x1036, "get_reverb_stringtable" },
    { 0x1037, "rvbx_get_reverb_preset_from_stringtable_internal" },
    { 0x1038, "rvbx_apply_inital_reverb" },
//  { 0x1039, "" },
//  { 0x103A, "" },
    { 0x103B, "preset_cache" },
//  { 0x103C, "" },
    { 0x103D, "audio_presets_reverb" },
    { 0x103E, "rvbx_create" },
    { 0x103F, "sm_init" },
    { 0x1040, "stream" },
    { 0x1041, "music" },
//  { 0x1042, "" },
    { 0x1043, "prev" },
//  { 0x1044, "" },
//  { 0x1045, "" },
    { 0x1046, "fade" },
    { 0x1047, "vol" },
//  { 0x1048, "" },
    { 0x1049, "sm_stop_ambient_alias" },
    { 0x104A, "sm_stop_music_alias" },
    { 0x104B, "sm_stop_ambience" },
    { 0x104C, "sm_stop_music" },
    { 0x104D, "sm_mix_ambience" },
    { 0x104E, "alias" },
    { 0x104F, "sm_get_current_ambience_name" },
    { 0x1050, "sm_get_current_music_name" },
    { 0x1051, "smx_set_values_for_struct" },
    { 0x1052, "smx_create_struct" },
    { 0x1053, "smx_clear_struct" },
    { 0x1054, "damb_init" },
    { 0x1055, "damb" },
    { 0x1056, "loop_handle_index" },
    { 0x1057, "single_loop_handle_index" },
    { 0x1058, "oneshot_handle_index" },
    { 0x1059, "serial_playback_lock" },
    { 0x105A, "playing" },
    { 0x105B, "component_weights" },
    { 0x105C, "callbacks" },
//  { 0x105D, "" },
//  { 0x105E, "" },
    { 0x105F, "entity_ref_count" },
//  { 0x1060, "" },
    { 0x1061, "max_entities" },
//  { 0x1062, "" },
    { 0x1063, "damb_use_string_table" },
    { 0x1064, "damb_use_iw_presets" },
    { 0x1065, "damb_zone_start_preset" },
    { 0x1066, "damb_start_preset" },
//  { 0x1067, "" },
    { 0x1068, "damb_stop_preset_at_point" },
    { 0x1069, "damb_make_linked_damb" },
//  { 0x106A, "" },
    { 0x106B, "max_delay" },
//  { 0x106C, "" },
    { 0x106D, "damb_start_preset_on_entity" },
    { 0x106E, "damb_stop" },
    { 0x106F, "damb_stop_zone" },
    { 0x1070, "damb_zone_stop_preset" },
    { 0x1071, "damb_stop_preset" },
    { 0x1072, "damb_prob_mix_damb_presets" },
    { 0x1073, "damb_set_oneshot_callback_for_component" },
    { 0x1074, "callback" },
//  { 0x1075, "" },
    { 0x1076, "audio_presets_dynamic_ambience" },
    { 0x1077, "damb_pause_damb" },
    { 0x1078, "damb_unpause_damb" },
    { 0x1079, "damb_manual_trigger" },
    { 0x107A, "damb_link_to_damb" },
    { 0x107B, "dambx_start_preset" },
    { 0x107C, "dambx_start_linked_dambs" },
//  { 0x107D, "" },
    { 0x107E, "dambx_update_serially" },
//  { 0x107F, "" },
//  { 0x1080, "" },
    { 0x1081, "ent" },
    { 0x1082, "success" },
    { 0x1083, "dambx_play_component_loops" },
    { 0x1084, "dambx_get_component_data" },
    { 0x1085, "single_loops" },
//  { 0x1086, "" },
    { 0x1087, "max_radius" },
//  { 0x1088, "" },
    { 0x1089, "max_time" },
    { 0x108A, "first_event" },
    { 0x108B, "first_event_min" },
    { 0x108C, "first_event_max" },
    { 0x108D, "min_pitch" },
    { 0x108E, "max_pitch" },
    { 0x108F, "min_trav_time" },
    { 0x1090, "max_trav_time" },
//  { 0x1091, "" },
    { 0x1092, "max_delta" },
    { 0x1093, "min_delta_angle" },
    { 0x1094, "max_delta_angle" },
    { 0x1095, "min_pitch_time" },
//  { 0x1096, "" },
    { 0x1097, "min_start_angle" },
    { 0x1098, "max_start_angle" },
    { 0x1099, "mode" },
//  { 0x109A, "" },
//  { 0x109B, "" },
//  { 0x109C, "" },
    { 0x109D, "start_position" },
//  { 0x109E, "" },
    { 0x109F, "end_position" },
    { 0x10A0, "start_pitch" },
    { 0x10A1, "end_pitch" },
    { 0x10A2, "pitch_time" },
    { 0x10A3, "dambx_trigger_linked_damb" },
    { 0x10A4, "dambx_make_first_wait" },
    { 0x10A5, "dambx_update" },
//  { 0x10A6, "" },
//  { 0x10A7, "" },
    { 0x10A8, "dambx_perform_oneshot_event" },
    { 0x10A9, "aud_check_sound_done" },
    { 0x10AA, "sounddone" },
    { 0x10AB, "dambx_perform_loop_event" },
    { 0x10AC, "aud_fade_loop_out_and_delete" },
//  { 0x10AD, "" },
//  { 0x10AE, "" },
    { 0x10AF, "dambx_get_loop_preset" },
    { 0x10B0, "audio_presets_dynamic_ambience_loop_definitions" },
    { 0x10B1, "dambx_get_component_preset" },
    { 0x10B2, "audio_presets_dynamic_ambience_components" },
    { 0x10B3, "dambx_play" },
//  { 0x10B4, "" },
    { 0x10B5, "dambx_fade_out_playing_loop" },
    { 0x10B6, "dambx_get_list_value_from_string_table" },
    { 0x10B7, "dambx_get_loop_def_from_string_table" },
    { 0x10B8, "get_damb_loops_stringtable" },
//  { 0x10B9, "" },
    { 0x10BA, "dambx_get_two_value_float_array" },
    { 0x10BB, "dambx_get_component_from_string_table_internal" },
    { 0x10BC, "dambx_get_component_from_string_table" },
    { 0x10BD, "get_damb_component_stringtable" },
    { 0x10BE, "dambx_get_preset_from_stringtable_internal" },
    { 0x10BF, "dambx_get_preset_from_string_table" },
    { 0x10C0, "get_damb_stringtable" },
    { 0x10C1, "dambx_get_damb_preset" },
//  { 0x10C2, "" },
//  { 0x10C3, "" },
    { 0x10C4, "mm_init" },
    { 0x10C5, "mix" },
//  { 0x10C6, "" },
    { 0x10C7, "debug_mix_mode" },
//  { 0x10C8, "" },
//  { 0x10C9, "" },
    { 0x10CA, "sticky_submixes" },
    { 0x10CB, "volmod_submixes" },
    { 0x10CC, "volmod_submixblends" },
    { 0x10CD, "changed_presets" },
    { 0x10CE, "headroom" },
    { 0x10CF, "blend_value" },
    { 0x10D0, "blend_name" },
    { 0x10D1, "mm_precache_preset" },
    { 0x10D2, "mm_set_headroom_mix" },
    { 0x10D3, "headroom_preset" },
//  { 0x10D4, "" },
    { 0x10D5, "mm_disable_debug_mode" },
    { 0x10D6, "mm_use_string_table" },
    { 0x10D7, "mm_start_preset" },
    { 0x10D8, "mm_start_zone_preset" },
    { 0x10D9, "current_volume" },
//  { 0x10DA, "" },
//  { 0x10DB, "" },
    { 0x10DC, "mm_clear_submixes" },
    { 0x10DD, "mm_make_submix_sticky" },
    { 0x10DE, "mm_make_submix_unsticky" },
    { 0x10DF, "mm_add_submix" },
    { 0x10E0, "mm_add_submix_blend_to" },
    { 0x10E1, "mm_add_submix_blend" },
    { 0x10E2, "mm_set_submix_blend_value" },
//  { 0x10E3, "" },
//  { 0x10E4, "" },
    { 0x10E5, "clear" },
    { 0x10E6, "mm_scale_submix" },
//  { 0x10E7, "" },
    { 0x10E8, "mm_clear_submix" },
    { 0x10E9, "mm_get_applied_preset_name" },
    { 0x10EA, "mm_add_dynamic_volmod_submix" },
    { 0x10EB, "aud_is_even" },
    { 0x10EC, "mm_add_dynamic_submix" },
    { 0x10ED, "mm_does_volmod_submix_exist" },
    { 0x10EE, "mm_mute_volmods" },
    { 0x10EF, "mm_clear_volmod_mute_mix" },
    { 0x10F0, "mm_solo_volmods" },
    { 0x10F1, "volmod_vals" },
    { 0x10F2, "mm_clear_solo_volmods" },
    { 0x10F3, "mm_get_channel_names" },
    { 0x10F4, "channel_names" },
    { 0x10F5, "mm_get_num_volmod_submixes" },
    { 0x10F6, "mm_get_num_submixes" },
//  { 0x10F7, "" },
    { 0x10F8, "mm_get_volmod_submix_by_name" },
    { 0x10F9, "mm_set_default_volmod" },
    { 0x10FA, "aud_print_error" },
    { 0x10FB, "mm_get_original_default_volmod" },
    { 0x10FC, "mm_restore_original_default_volmod" },
    { 0x10FD, "mmx_set_mix" },
//  { 0x10FE, "" },
//  { 0x10FF, "" },
    { 0x1100, "mmx_create_submix_blend" },
    { 0x1101, "presetb" },
    { 0x1102, "preseta" },
    { 0x1103, "mmx_clear_submixes" },
    { 0x1104, "mmx_update_mix" },
    { 0x1105, "last_fade_time" },
//  { 0x1106, "" },
    { 0x1107, "mmx_mix_in_non_changed_submixes" },
    { 0x1108, "volume_products" },
//  { 0x1109, "" },
    { 0x110A, "volume" },
    { 0x110B, "fade_time" },
    { 0x110C, "mmx_set_volume_products_volmods" },
    { 0x110D, "mmx_apply_initial_mix" },
    { 0x110E, "mmx_apply_debug_mix" },
    { 0x110F, "mmx_volmod_setting_enqueue" },
    { 0x1110, "volmod_queue" },
    { 0x1111, "volmod_index" },
    { 0x1112, "mmx_mix_setting_enqueue" },
//  { 0x1113, "" },
    { 0x1114, "mmx_volmod_server_throttler" },
    { 0x1115, "mmx_mix_server_throttler" },
    { 0x1116, "mmx_get_preset_from_string_table" },
    { 0x1117, "get_mix_stringtable" },
    { 0x1118, "mmx_get_mix_preset_from_stringtable_internal" },
//  { 0x1119, "" },
//  { 0x111A, "" },
    { 0x111B, "aud_is_common_indexed" },
    { 0x111C, "aud_is_local_indexed" },
    { 0x111D, "volmodfile" },
//  { 0x111E, "" },
    { 0x111F, "audio_presets_mix" },
    { 0x1120, "mmx_init_volmods" },
    { 0x1121, "mmx_init_channel_names" },
    { 0x1122, "mmx_get_channel_volumes" },
    { 0x1123, "channel_volumes" },
    { 0x1124, "volmod_mix_with_all_channels_at" },
    { 0x1125, "mmx_parse_volumemodgroups_csv" },
    { 0x1126, "mmx_is_mix_channel" },
    { 0x1127, "mmx_is_volmod_channel" },
    { 0x1128, "azm_init" },
    { 0x1129, "zone_mgr" },
    { 0x112A, "current_zone" },
//  { 0x112B, "" },
    { 0x112C, "overrides" },
    { 0x112D, "samb" },
    { 0x112E, "rev" },
//  { 0x112F, "" },
    { 0x1130, "use_level_audio_zones" },
    { 0x1131, "level_audio_zones_function" },
    { 0x1132, "azm_use_string_table" },
    { 0x1133, "azm_use_iw_presets" },
//  { 0x1134, "" },
//  { 0x1135, "" },
    { 0x1136, "aud_set_occlusion" },
//  { 0x1137, "" },
//  { 0x1138, "" },
    { 0x1139, "azm_set_zone_streamed_ambience" },
    { 0x113A, "azm_set_zone_dynamic_ambience" },
//  { 0x113B, "" },
//  { 0x113C, "" },
    { 0x113D, "azm_set_zone_mix" },
//  { 0x113E, "" },
//  { 0x113F, "" },
    { 0x1140, "azm_get_current_zone" },
    { 0x1141, "azm_set_current_zone" },
    { 0x1142, "azm_print_enter_blend" },
    { 0x1143, "azm_print_exit_blend" },
//  { 0x1144, "" },
    { 0x1145, "azmx_load_zone" },
    { 0x1146, "azmx_get_preset_from_string_table" },
    { 0x1147, "get_zone_stringtable" },
    { 0x1148, "azmx_get_zone_preset_from_stringtable_internal" },
    { 0x1149, "azmx_restart_stream" },
//  { 0x114A, "" },
    { 0x114B, "azmx_restart_reverb" },
    { 0x114C, "azmx_restart_occlusion" },
//  { 0x114D, "" },
//  { 0x114E, "" },
    { 0x114F, "azmx_wait_till_fade_done_and_remove_zone" },
//  { 0x1150, "" },
//  { 0x1151, "" },
//  { 0x1152, "" },
    { 0x1153, "samb1_name" },
    { 0x1154, "samb2_name" },
    { 0x1155, "damb1_name" },
    { 0x1156, "damb2_name" },
    { 0x1157, "occlusion1" },
//  { 0x1158, "" },
    { 0x1159, "filter1" },
    { 0x115A, "filter2" },
    { 0x115B, "reverb1" },
    { 0x115C, "reverb2" },
    { 0x115D, "mix1_name" },
//  { 0x115E, "" },
    { 0x115F, "mix1" },
    { 0x1160, "mix2" },
//  { 0x1161, "" },
//  { 0x1162, "" },
    { 0x1163, "azmx_blend_zones" },
//  { 0x1164, "" },
//  { 0x1165, "" },
    { 0x1166, "audio_presets_music_moods" },
    { 0x1167, "audio_presets_music_cue_groups" },
    { 0x1168, "audio_presets_music_cues" },
    { 0x1169, "mus_init" },
    { 0x116A, "cue_cash" },
    { 0x116B, "curr_cue_name" },
    { 0x116C, "prev_cue_name" },
//  { 0x116D, "" },
//  { 0x116E, "" },
    { 0x116F, "mus_play" },
//  { 0x1170, "" },
    { 0x1171, "mus_is_playing" },
    { 0x1172, "mus_get_playing_cue_preset" },
    { 0x1173, "musx_construct_cue" },
    { 0x1174, "musx_start_cue" },
    { 0x1175, "musx_stop_all_music" },
//  { 0x1176, "" },
    { 0x1177, "musx_get_cashed_cue" },
    { 0x1178, "musx_cash_cue" },
    { 0x1179, "musx_monitor_game_vars" },
//  { 0x117A, "" },
//  { 0x117B, "" },
    { 0x117C, "whiz_init" },
    { 0x117D, "whiz" },
    { 0x117E, "whiz_use_string_table" },
    { 0x117F, "whiz_set_preset" },
    { 0x1180, "audio_presets_whizby" },
    { 0x1181, "whiz_set_probabilities" },
    { 0x1182, "whiz_set_spreads" },
    { 0x1183, "whiz_set_radii" },
    { 0x1184, "whiz_set_offset" },
    { 0x1185, "whizx_get_stringtable_preset" },
    { 0x1186, "whizx_get_mix_preset_from_stringtable_internal" },
    { 0x1187, "audio_presets_vehicles" },
    { 0x1188, "audio_presets_vehicle_maps" },
    { 0x1189, "vm_init" },
//  { 0x118A, "" },
    { 0x118B, "minrate" },
    { 0x118C, "defrate" },
    { 0x118D, "defsmooth" },
    { 0x118E, "minpitch" },
    { 0x118F, "maxpitch" },
    { 0x1190, "fadein_time" },
    { 0x1191, "print_speed" },
//  { 0x1192, "" },
    { 0x1193, "print_yaw" },
    { 0x1194, "print_roll" },
    { 0x1195, "print_altitude" },
//  { 0x1196, "" },
    { 0x1197, "presets" },
    { 0x1198, "maps" },
    { 0x1199, "instances" },
    { 0x119A, "ducked_instances" },
//  { 0x119B, "" },
    { 0x119C, "duck_stops" },
    { 0x119D, "vm_register_custom_callback" },
    { 0x119E, "vm_start_preset" },
    { 0x119F, "aud_play_linked_sound" },
    { 0x11A0, "instance_name" },
    { 0x11A1, "min" },
    { 0x11A2, "max" },
    { 0x11A3, "smoothness" },
    { 0x11A4, "smooth_up" },
    { 0x11A5, "smooth_down" },
//  { 0x11A6, "" },
    { 0x11A7, "alias_data" },
//  { 0x11A8, "" },
    { 0x11A9, "heightmax" },
    { 0x11AA, "custom_callback" },
    { 0x11AB, "multiply_by_throttle" },
    { 0x11AC, "multiply_by_leftstick" },
    { 0x11AD, "start_alias_data" },
    { 0x11AE, "pitch_map_name" },
    { 0x11AF, "volume_map_name" },
    { 0x11B0, "stop_alias_data" },
    { 0x11B1, "throttle_input" },
    { 0x11B2, "on_threshold" },
    { 0x11B3, "off_threshold" },
    { 0x11B4, "duck_amount" },
    { 0x11B5, "duck_time" },
    { 0x11B6, "offset" },
    { 0x11B7, "alias_name" },
    { 0x11B8, "vol_map_name" },
    { 0x11B9, "vm_stop" },
    { 0x11BA, "playing_presets" },
    { 0x11BB, "aud_fade_out_and_delete" },
    { 0x11BC, "vm_stop_preset_instance" },
    { 0x11BD, "vm_set_range" },
    { 0x11BE, "aud_overrides" },
    { 0x11BF, "min_range" },
    { 0x11C0, "max_range" },
    { 0x11C1, "vmx_monitor_oneshot_ent" },
    { 0x11C2, "sound_playing" },
//  { 0x11C3, "" },
    { 0x11C4, "vmx_stop_sound" },
//  { 0x11C5, "" },
    { 0x11C6, "vmx_init_oneshot_ents" },
    { 0x11C7, "start_ents" },
    { 0x11C8, "stop_ents" },
    { 0x11C9, "start_ent_count" },
//  { 0x11CA, "" },
//  { 0x11CB, "" },
//  { 0x11CC, "" },
    { 0x11CD, "vmx_get_stop_sound_playing" },
    { 0x11CE, "vmx_scale_start_sound_pitch" },
    { 0x11CF, "vmx_scale_stop_sound_pitch" },
    { 0x11D0, "vmx_scale_start_sound_volume" },
    { 0x11D1, "vmx_scale_stop_sound_volume" },
//  { 0x11D2, "" },
    { 0x11D3, "ref" },
    { 0x11D4, "vmx_play_stop_sound" },
    { 0x11D5, "vmx_monitor_start_ent" },
    { 0x11D6, "vmx_monitor_stop_ent" },
    { 0x11D7, "vmx_stop_stop_ent" },
    { 0x11D8, "vmx_stop_start_ent" },
    { 0x11D9, "vmx_do_start_stop_callback" },
    { 0x11DA, "vm_disablethrottleupdate" },
//  { 0x11DB, "" },
    { 0x11DC, "aud_engine_throttle_amount" },
    { 0x11DD, "vm_enablethrottleupdate" },
    { 0x11DE, "vmx_callback" },
    { 0x11DF, "init_height" },
//  { 0x11E0, "" },
//  { 0x11E1, "" },
//  { 0x11E2, "" },
//  { 0x11E3, "" },
//  { 0x11E4, "" },
//  { 0x11E5, "" },
//  { 0x11E6, "" },
    { 0x11E7, "vmx_get_yaw" },
    { 0x11E8, "vmx_get_roll" },
    { 0x11E9, "vmx_get_altitude" },
    { 0x11EA, "vmx_get_throttle" },
    { 0x11EB, "vm_ground_vehicle_start" },
//  { 0x11EC, "" },
    { 0x11ED, "move_lo_lp" },
    { 0x11EE, "rolling_lp" },
//  { 0x11EF, "" },
    { 0x11F0, "engine_rev_lo_os" },
    { 0x11F1, "breaks_os" },
    { 0x11F2, "vmx_vehicle_engine" },
    { 0x11F3, "do_rev" },
    { 0x11F4, "ents_mixed_in" },
//  { 0x11F5, "" },
    { 0x11F6, "has_move_played" },
    { 0x11F7, "has_roll_played" },
    { 0x11F8, "veh_mix_ents" },
    { 0x11F9, "idle_ent" },
    { 0x11FA, "move_ent" },
    { 0x11FB, "roll_ent" },
    { 0x11FC, "one_shot" },
    { 0x11FD, "vmx_ground_speed_watch" },
    { 0x11FE, "vmx_aud_ent_fade_out" },
    { 0x11FF, "vmx_aud_ent_fade_in" },
    { 0x1200, "vmx_cleanup_ents" },
    { 0x1201, "vmx_ground_vehicle_monitor_death" },
    { 0x1202, "vmx_monitor_explosion" },
//  { 0x1203, "" },
    { 0x1204, "vm_aud_air_vehicle_flyby" },
    { 0x1205, "vmx_waittill_deathspin" },
//  { 0x1206, "" },
//  { 0x1207, "" },
//  { 0x1208, "" },
    { 0x1209, "kill_flicker_when_damaged" },
    { 0x120A, "generic_pulsing" },
    { 0x120B, "generic_double_strobe" },
//  { 0x120C, "" },
    { 0x120D, "generic_flickering" },
    { 0x120E, "linked_models" },
//  { 0x120F, "" },
    { 0x1210, "unlit_models" },
    { 0x1211, "linked_lights" },
    { 0x1212, "linked_light_ents" },
    { 0x1213, "linked_prefab_ents" },
    { 0x1214, "linked_things" },
    { 0x1215, "unlit_model" },
    { 0x1216, "effect" },
    { 0x1217, "script_parameters" },
    { 0x1218, "generic_flicker_msg_watcher" },
    { 0x1219, "script_light_startnotify" },
    { 0x121A, "script_light_stopnotify" },
//  { 0x121B, "" },
//  { 0x121C, "" },
    { 0x121D, "restarteffect" },
    { 0x121E, "generic_flicker" },
//  { 0x121F, "" },
    { 0x1220, "generic_spot" },
    { 0x1221, "flickerlightintensity" },
    { 0x1222, "burning_trash_fire" },
    { 0x1223, "strobelight" },
    { 0x1224, "changelightcolorto" },
    { 0x1225, "changelightcolortoworkerthread" },
    { 0x1226, "television" },
    { 0x1227, "tv_changes_intensity" },
    { 0x1228, "tv_changes_color" },
    { 0x1229, "sun_shadow_trigger" },
    { 0x122A, "script_duration" },
    { 0x122B, "set_sun_shadow_params" },
//  { 0x122C, "" },
    { 0x122D, "script_sunshadowscale" },
//  { 0x122E, "" },
    { 0x122F, "script_sunsamplesizenear" },
    { 0x1230, "script_qualityspotshadow" },
    { 0x1231, "lerp_sunsamplesizenear_overtime" },
//  { 0x1232, "" },
    { 0x1233, "tank_fire_at_enemies" },
//  { 0x1234, "" },
    { 0x1235, "get_tank_target_by_script_noteworthy" },
//  { 0x1236, "" },
    { 0x1237, "spawn_ai" },
    { 0x1238, "setupplayerforanimations" },
//  { 0x1239, "" },
    { 0x123A, "forceplayerweapon_start" },
    { 0x123B, "old_force_weapon" },
    { 0x123C, "force_weapon" },
    { 0x123D, "forceplayerweapon_end" },
//  { 0x123E, "" },
    { 0x123F, "sniper_mag_hud" },
    { 0x1240, "sniper_zoom_hint_hud" },
//  { 0x1241, "" },
    { 0x1242, "sniper_dvar" },
    { 0x1243, "variable_scope_weapons" },
    { 0x1244, "isads" },
    { 0x1245, "variable_scope_shadow_center" },
    { 0x1246, "turnonvariablescopehud" },
    { 0x1247, "turnoffvariablescopehud" },
//  { 0x1248, "" },
//  { 0x1249, "" },
    { 0x124A, "convert_fov_string" },
    { 0x124B, "worldtolocalcoords" },
//  { 0x124C, "" },
    { 0x124D, "createdebugtexthud" },
    { 0x124E, "debug_text_hud" },
    { 0x124F, "printdebugtexthud" },
    { 0x1250, "printdebugtextstringhud" },
//  { 0x1251, "" },
//  { 0x1252, "" },
    { 0x1253, "dialogue_reminder" },
    { 0x1254, "dialogue_queue" },
    { 0x1255, "conversation_start" },
    { 0x1256, "conversation_stop" },
    { 0x1257, "array_find" },
    { 0x1258, "array_combine_unique" },
//  { 0x1259, "" },
    { 0x125A, "script_flag" },
    { 0x125B, "script_specialops" },
    { 0x125C, "so_mark_class" },
    { 0x125D, "laser_targeting_device" },
//  { 0x125E, "" },
    { 0x125F, "laserforceon" },
    { 0x1260, "laserallowed" },
    { 0x1261, "lasercooldownafterhit" },
    { 0x1262, "shouldforcedisablelaser" },
    { 0x1263, "laser_designator_disable_list" },
    { 0x1264, "cleanuplasertargetingdevice" },
    { 0x1265, "monitorlaseroff" },
    { 0x1266, "laser_designate_target" },
    { 0x1267, "laser_targets" },
    { 0x1268, "gettargettriggerhit" },
    { 0x1269, "laser_triggers" },
//  { 0x126A, "" },
    { 0x126B, "laser_artillery" },
    { 0x126C, "flavorbursts_off" },
    { 0x126D, "script_index" },
    { 0x126E, "script_group" },
    { 0x126F, "get_geo_group" },
//  { 0x1270, "" },
//  { 0x1271, "" },
//  { 0x1272, "" },
    { 0x1273, "progress_bar_hud_failure" },
    { 0x1274, "set_hud_red" },
//  { 0x1275, "" },
    { 0x1276, "set_hud_green" },
    { 0x1277, "hud_blink" },
//  { 0x1278, "" },
    { 0x1279, "vision_change_multiple_internal" },
    { 0x127A, "forward_for_vision_change" },
    { 0x127B, "change_character_model" },
    { 0x127C, "update_weapon_tag_visibility" },
//  { 0x127D, "" },
//  { 0x127E, "" },
//  { 0x127F, "" },
//  { 0x1280, "" },
    { 0x1281, "bonus_2_shader" },
    { 0x1282, "challenge_1" },
    { 0x1283, "challenge_2" },
    { 0x1284, "custom_eog_no_defaults" },
    { 0x1285, "eog_summary_callback" },
    { 0x1286, "get_challenge_values" },
    { 0x1287, "require_defined_bonuses" },
    { 0x1288, "bonus_1" },
    { 0x1289, "bonus_2" },
    { 0x128A, "custom_eog_summary" },
    { 0x128B, "challenge_time_limit" },
    { 0x128C, "session_score" },
    { 0x128D, "final_summary" },
//  { 0x128E, "" },
//  { 0x128F, "" },
    { 0x1290, "add_custom_eog_summary_line_blank" },
//  { 0x1291, "" },
//  { 0x1292, "" },
    { 0x1293, "so_mission_worst_time" },
    { 0x1294, "timed_mission" },
    { 0x1295, "get_final_summary" },
    { 0x1296, "challenge_end_time" },
    { 0x1297, "challenge_start_time" },
    { 0x1298, "convert_to_time_string" },
    { 0x1299, "specops_reward_gameskill" },
    { 0x129A, "so_get_difficulty_menu_string" },
    { 0x129B, "get_tally_string" },
    { 0x129C, "get_time_message" },
    { 0x129D, "handle_bonus_xp" },
    { 0x129E, "give_xp_on_success" },
//  { 0x129F, "" },
    { 0x12A0, "ch_1" },
//  { 0x12A1, "" },
//  { 0x12A2, "" },
//  { 0x12A3, "" },
    { 0x12A4, "get_bonus_number" },
    { 0x12A5, "calculate_bonus" },
    { 0x12A6, "give_bonus" },
//  { 0x12A7, "" },
//  { 0x12A8, "" },
    { 0x12A9, "bonus1_icon_text" },
    { 0x12AA, "bonus2_icon_text" },
//  { 0x12AB, "" },
    { 0x12AC, "flash_text" },
    { 0x12AD, "move_bonus" },
    { 0x12AE, "make_bar_get_basic_placement" },
    { 0x12AF, "make_text_get_basic_placement" },
    { 0x12B0, "get_basic_placement" },
    { 0x12B1, "multiple_dialogue_queue" },
    { 0x12B2, "bcs_scripted_dialogue_start" },
//  { 0x12B3, "" },
    { 0x12B4, "anim_end_early_deathnotify" },
    { 0x12B5, "anim_end_early_facialendnotify" },
    { 0x12B6, "anim_end_early_dialogueendnotify" },
    { 0x12B7, "anim_end_early_animationendnotify" },
//  { 0x12B8, "" },
//  { 0x12B9, "" },
    { 0x12BA, "warn_facial_dialogue_unspoken" },
    { 0x12BB, "warn_facial_dialogue_too_many" },
    { 0x12BC, "aud_init" },
    { 0x12BD, "aud" },
    { 0x12BE, "using_string_tables" },
//  { 0x12BF, "" },
    { 0x12C0, "local" },
    { 0x12C1, "common" },
//  { 0x12C2, "" },
    { 0x12C3, "progress_trigger_callbacks" },
    { 0x12C4, "progress_maps" },
//  { 0x12C5, "" },
//  { 0x12C6, "" },
    { 0x12C7, "current_filter_indices" },
    { 0x12C8, "vo_duck_active" },
//  { 0x12C9, "" },
    { 0x12CA, "player_state" },
    { 0x12CB, "locamote" },
    { 0x12CC, "locamote_prev" },
//  { 0x12CD, "" },
//  { 0x12CE, "" },
    { 0x12CF, "eq_mix_track" },
    { 0x12D0, "eq_track" },
    { 0x12D1, "audio_presets_occlusion" },
    { 0x12D2, "audio_presets_zones" },
    { 0x12D3, "aud_prime_stream" },
//  { 0x12D4, "" },
    { 0x12D5, "aud_is_stream_primed" },
    { 0x12D6, "aud_error_if_not_primed" },
//  { 0x12D7, "" },
    { 0x12D8, "aud_wait_till_primed" },
    { 0x12D9, "aud_prime_and_play_internal" },
    { 0x12DA, "aud_prime_and_play" },
    { 0x12DB, "aud_add_progress_map" },
    { 0x12DC, "aud_get_progress_map" },
    { 0x12DD, "is_deathsdoor_audio_enabled" },
    { 0x12DE, "deathsdoor_enabled" },
    { 0x12DF, "aud_enable_deathsdoor_audio" },
    { 0x12E0, "disable_breathing_sound" },
    { 0x12E1, "aud_disable_deathsdoor_audio" },
//  { 0x12E2, "" },
    { 0x12E3, "in_deathsdoor" },
    { 0x12E4, "occlusion" },
    { 0x12E5, "filter" },
    { 0x12E6, "set_deathsdoor" },
//  { 0x12E7, "" },
    { 0x12E8, "aud_set_mission_failed_music" },
//  { 0x12E9, "" },
    { 0x12EA, "aud_wait_for_mission_fail_music" },
    { 0x12EB, "aud_set_filter_internal" },
    { 0x12EC, "channel" },
//  { 0x12ED, "" },
//  { 0x12EE, "" },
    { 0x12EF, "gain" },
    { 0x12F0, "q" },
//  { 0x12F1, "" },
    { 0x12F2, "aud_set_filter_threaded" },
    { 0x12F3, "aud_clear_filter" },
//  { 0x12F4, "" },
    { 0x12F5, "filter_zone_disabled" },
//  { 0x12F6, "" },
    { 0x12F7, "aud_disable_filter_setting" },
//  { 0x12F8, "" },
//  { 0x12F9, "" },
    { 0x12FA, "scalefactor" },
//  { 0x12FB, "" },
    { 0x12FC, "aud_set_timescale_threaded" },
    { 0x12FD, "aud_set_timescale" },
    { 0x12FE, "aud_set_occlusion_internal" },
    { 0x12FF, "occlusion_presets" },
    { 0x1300, "aud_set_occlusion_threaded" },
//  { 0x1301, "" },
//  { 0x1302, "" },
    { 0x1303, "aud_use_level_zones" },
    { 0x1304, "aud_use_level_reverb" },
    { 0x1305, "aud_use_level_filters" },
    { 0x1306, "level_audio_filter_function" },
//  { 0x1307, "" },
    { 0x1308, "set_stringtable_mapname" },
    { 0x1309, "get_stringtable_mapname" },
//  { 0x130A, "" },
    { 0x130B, "set_damb_stringtable" },
    { 0x130C, "set_damb_component_stringtable" },
    { 0x130D, "set_damb_loops_stringtable" },
//  { 0x130E, "" },
//  { 0x130F, "" },
    { 0x1310, "get_filter_stringtable" },
//  { 0x1311, "" },
    { 0x1312, "set_occlusion_stringtable" },
    { 0x1313, "get_occlusion_stringtable" },
//  { 0x1314, "" },
    { 0x1315, "aud_dispatch_msg" },
    { 0x1316, "aud_get_player_locamote_state" },
    { 0x1317, "aud_get_sticky_threat" },
    { 0x1318, "aud_set_sticky_threat" },
    { 0x1319, "aud_clear_sticky_threat" },
    { 0x131A, "aud_num_alive_enemies" },
    { 0x131B, "_audio_msg_handler" },
    { 0x131C, "pos" },
    { 0x131D, "spread_width" },
    { 0x131E, "rear_dist" },
    { 0x131F, "right_alias" },
//  { 0x1320, "" },
    { 0x1321, "explosion_pos" },
    { 0x1322, "aud_handle_flickering_light" },
    { 0x1323, "aud_play_conversation" },
    { 0x1324, "delay" },
    { 0x1325, "trigger_multiple_audio_register_callback" },
    { 0x1326, "trigger_function_keys" },
    { 0x1327, "get_target_ent_target" },
    { 0x1328, "get_target_ent_origin" },
    { 0x1329, "get_target_ent_target_ent" },
    { 0x132A, "get_target_ent_target_ent_origin" },
//  { 0x132B, "" },
    { 0x132C, "get_zone_to" },
    { 0x132D, "trigger_multiple_audio_trigger" },
    { 0x132E, "script_audio_zones" },
    { 0x132F, "audio_zones" },
    { 0x1330, "script_audio_progress_map" },
    { 0x1331, "script_audio_enter_func" },
    { 0x1332, "script_audio_exit_func" },
    { 0x1333, "script_audio_progress_func" },
    { 0x1334, "script_audio_point_func" },
    { 0x1335, "script_audio_blend_mode" },
    { 0x1336, "script_audio_enter_msg" },
    { 0x1337, "script_audio_progress_msg" },
//  { 0x1338, "" },
    { 0x1339, "script_audio_exit_msg" },
    { 0x133A, "trigger_multiple_audio_progress" },
    { 0x133B, "trigger_multiple_audio_progress_point" },
    { 0x133C, "trigger_multiple_audio_blend" },
    { 0x133D, "aud_play_dynamic_explosion" },
    { 0x133E, "aud_do_dynamic_explosion_math" },
    { 0x133F, "aud_get_optional_param" },
    { 0x1340, "aud_scale_vector_2d" },
//  { 0x1341, "" },
//  { 0x1342, "" },
//  { 0x1343, "" },
    { 0x1344, "aud_vector_magnitude_2d" },
    { 0x1345, "aud_print_synch" },
    { 0x1346, "aud_print" },
    { 0x1347, "aud_print_debug" },
    { 0x1348, "aud_print_zone_small" },
    { 0x1349, "equal_strings" },
    { 0x134A, "isundefined" },
    { 0x134B, "delete_on_sounddone" },
    { 0x134C, "delete_sound_entity" },
    { 0x134D, "aud_min" },
    { 0x134E, "aud_max" },
    { 0x134F, "aud_clamp" },
    { 0x1350, "aud_fade_sound_in" },
//  { 0x1351, "" },
    { 0x1352, "aud_map_range" },
    { 0x1353, "aud_smooth" },
//  { 0x1354, "" },
    { 0x1355, "all_mix_channels" },
    { 0x1356, "aud_setalltimescalefactors" },
    { 0x1357, "aud_settimescalefactors" },
    { 0x1358, "audx_settimescalefactors" },
    { 0x1359, "aud_set_breach_time_scale_factors" },
    { 0x135A, "play_2d_sound_internal" },
    { 0x135B, "aud_delay_play_2d_sound_internal" },
    { 0x135C, "aud_play_2d_sound" },
//  { 0x135D, "" },
    { 0x135E, "audx_play_linked_sound_internal" },
    { 0x135F, "audx_monitor_linked_entity_health" },
//  { 0x1360, "" },
    { 0x1361, "aud_play_sound_at_internal" },
    { 0x1362, "aud_play_sound_at" },
//  { 0x1363, "" },
    { 0x1364, "aud_play_primed_point_source_loop" },
    { 0x1365, "aud_play_point_source_loop" },
    { 0x1366, "aud_stop_point_source_loop" },
    { 0x1367, "aud_set_point_source_loop_volume" },
    { 0x1368, "aud_play_loops_on_destructables_array" },
    { 0x1369, "loop_sound_stopped" },
    { 0x136A, "aud_set_music_submix" },
    { 0x136B, "aud_set_ambi_submix" },
    { 0x136C, "aud_fade_in_music" },
    { 0x136D, "aud_in_zone" },
    { 0x136E, "aud_find_exploder" },
    { 0x136F, "aud_duck" },
    { 0x1370, "audx_duck" },
//  { 0x1371, "" },
//  { 0x1372, "" },
//  { 0x1373, "" },
//  { 0x1374, "" },
    { 0x1375, "index_common_presets" },
    { 0x1376, "get_mix_index" },
//  { 0x1377, "" },
    { 0x1378, "aud_percent_chance" },
    { 0x1379, "aud_start_slow_mo_gunshot_callback" },
    { 0x137A, "aud_impact_monitor" },
    { 0x137B, "aud_stop_slow_mo_gunshot_callback" },
//  { 0x137C, "" },
//  { 0x137D, "" },
    { 0x137E, "points" },
    { 0x137F, "edge_spread" },
    { 0x1380, "update_rate" },
//  { 0x1381, "" },
    { 0x1382, "max_dist" },
    { 0x1383, "vol_scale" },
//  { 0x1384, "" },
    { 0x1385, "aud_start_distributed_sound" },
    { 0x1386, "audx_distributed_sound_update_loop" },
    { 0x1387, "aud_slomo_wait" },
    { 0x1388, "aud_slomo_wait_internal" },
    { 0x1389, "aud_set_level_fade_time" },
    { 0x138A, "level_fade_time" },
    { 0x138B, "aud_level_fadein" },
    { 0x138C, "aud_is_specops" },
    { 0x138D, "specops" },
    { 0x138E, "audx_set_spec_ops_internal" },
    { 0x138F, "aud_set_spec_ops" },
    { 0x1390, "audx_play_line_emitter_internal" },
    { 0x1391, "point2" },
//  { 0x1392, "" },
    { 0x1393, "is_playing" },
    { 0x1394, "fade_in" },
    { 0x1395, "aud_stop_line_emitter" },
    { 0x1396, "aud_play_line_emitter" },
    { 0x1397, "aud_print_3d_on_ent" },
    { 0x1398, "specialops_init" },
    { 0x1399, "setglobaldifficulty" },
//  { 0x139A, "" },
    { 0x139B, "no_friendly_fire_penalty" },
    { 0x139C, "so_hud_show_time" },
    { 0x139D, "challenge_time_nudge" },
    { 0x139E, "challenge_time_hurry" },
    { 0x139F, "so_compass_zoom" },
    { 0x13A0, "disable_saving" },
//  { 0x13A1, "" },
    { 0x13A2, "specialops_dialog_init" },
    { 0x13A3, "solo_player_in_special_ops" },
    { 0x13A4, "set_custom_gameskill_func" },
    { 0x13A5, "coop_player_in_special_ops_survival" },
    { 0x13A6, "enable_escape_warning_auto" },
    { 0x13A7, "enable_escape_failure_auto" },
    { 0x13A8, "so_deadquotes_chance" },
    { 0x13A9, "so_special_failure_hint" },
    { 0x13AA, "pick_starting_location_so" },
    { 0x13AB, "register_level_unlock" },
    { 0x13AC, "register_survival_unlock" },
    { 0x13AD, "enable_damagefeedback" },
    { 0x13AE, "setup_xp" },
    { 0x13AF, "roundstat_init" },
//  { 0x13B0, "" },
    { 0x13B1, "so_precache_strings" },
    { 0x13B2, "so_standard_wait" },
//  { 0x13B3, "" },
    { 0x13B4, "specialops_remove_entity_check" },
    { 0x13B5, "so_special_failure_hint_reset_dvars" },
    { 0x13B6, "enable_triggered_start" },
    { 0x13B7, "enable_triggered_complete" },
    { 0x13B8, "disable_mission_end_trigger" },
    { 0x13B9, "wait_all_players_are_touching" },
    { 0x13BA, "wait_all_players_have_touched" },
    { 0x13BB, "fade_challenge_in" },
    { 0x13BC, "so_waiting_for_players_alpha" },
    { 0x13BD, "fade_challenge_out" },
//  { 0x13BE, "" },
    { 0x13BF, "congrat_min_wave" },
    { 0x13C0, "so_eog_summary_calculate" },
    { 0x13C1, "specialops_mission_over_setup" },
    { 0x13C2, "so_eog_summary_display" },
    { 0x13C3, "override_summary_time" },
    { 0x13C4, "round_millisec_on_sec" },
//  { 0x13C5, "" },
    { 0x13C6, "override_summary_score" },
    { 0x13C7, "enable_countdown_timer" },
//  { 0x13C8, "" },
    { 0x13C9, "show_countdown_timer_time" },
    { 0x13CA, "enable_challenge_timer" },
    { 0x13CB, "start_flag" },
    { 0x13CC, "passed_flag" },
    { 0x13CD, "challenge_time_beep_start" },
    { 0x13CE, "so_challenge_time_beep" },
    { 0x13CF, "challenge_timer_player_setup" },
    { 0x13D0, "enable_challenge_counter" },
    { 0x13D1, "hud_so_counter_messages" },
    { 0x13D2, "hud_so_counter_values" },
    { 0x13D3, "enable_challenge_counter_think" },
    { 0x13D4, "disable_challenge_counter" },
    { 0x13D5, "disable_challenge_counter_all" },
//  { 0x13D6, "" },
    { 0x13D7, "enable_kill_counter" },
//  { 0x13D8, "" },
    { 0x13D9, "enable_kill_counter_think" },
//  { 0x13DA, "" },
    { 0x13DB, "disable_challenge_timer" },
//  { 0x13DC, "" },
//  { 0x13DD, "" },
    { 0x13DE, "so_waiting_for_players" },
    { 0x13DF, "so_wait_for_player_ready" },
    { 0x13E0, "waiting_to_start_hud" },
    { 0x13E1, "ready_indication_hud" },
    { 0x13E2, "so_wait_for_player_ready_cleanup" },
    { 0x13E3, "attacker_is_p1" },
    { 0x13E4, "attacker_is_p2" },
//  { 0x13E5, "" },
    { 0x13E6, "escape_warning_triggers" },
    { 0x13E7, "disable_escape_warning" },
//  { 0x13E8, "" },
    { 0x13E9, "escape_hint_active" },
    { 0x13EA, "ping_escape_warning" },
    { 0x13EB, "display_hint_timeout" },
    { 0x13EC, "ping_escape_splash" },
    { 0x13ED, "enable_escape_failure" },
//  { 0x13EE, "" },
    { 0x13EF, "so_delete_all_by_type" },
//  { 0x13F0, "" },
    { 0x13F1, "type_vehicle" },
    { 0x13F2, "type_spawn_trigger" },
    { 0x13F3, "type_trigger" },
    { 0x13F4, "type_flag_trigger" },
    { 0x13F5, "type_killspawner_trigger" },
//  { 0x13F6, "" },
    { 0x13F7, "type_goalvolume" },
    { 0x13F8, "script_goalvolume" },
    { 0x13F9, "type_infovolume" },
//  { 0x13FA, "" },
    { 0x13FB, "type_weapon_placed" },
//  { 0x13FC, "" },
    { 0x13FD, "so_delete_all_triggers" },
    { 0x13FE, "so_delete_all_vehicles" },
//  { 0x13FF, "" },
    { 0x1400, "so_make_specialops_ent" },
    { 0x1401, "so_make_bcslocations_specialops_ent" },
    { 0x1402, "so_array_make_specialops" },
    { 0x1403, "so_traversed_list" },
//  { 0x1404, "" },
    { 0x1405, "linkto" },
    { 0x1406, "so_delete_breach_ents" },
//  { 0x1407, "" },
//  { 0x1408, "" },
    { 0x1409, "so_force_deadquote_array" },
    { 0x140A, "so_include_deadquote_array" },
    { 0x140B, "array_merge" },
    { 0x140C, "so_hud_can_show" },
    { 0x140D, "so_create_hud_item_delay_draw" },
    { 0x140E, "so_create_hud_item_data" },
    { 0x140F, "so_create_hud_item_debug" },
//  { 0x1410, "" },
//  { 0x1411, "" },
//  { 0x1412, "" },
//  { 0x1413, "" },
    { 0x1414, "so_hud_pulse_loop" },
    { 0x1415, "pulse_time" },
    { 0x1416, "pulse_scale_normal" },
    { 0x1417, "pulse_scale_big" },
//  { 0x1418, "" },
//  { 0x1419, "" },
//  { 0x141A, "" },
//  { 0x141B, "" },
//  { 0x141C, "" },
    { 0x141D, "so_hud_pulse_warning" },
    { 0x141E, "so_hud_pulse_alarm" },
    { 0x141F, "so_hud_pulse_failure" },
    { 0x1420, "so_hud_pulse_disabled" },
//  { 0x1421, "" },
    { 0x1422, "pulse_bounds" },
//  { 0x1423, "" },
    { 0x1424, "so_remove_hud_item" },
    { 0x1425, "set_hud_white" },
    { 0x1426, "set_hud_blue" },
    { 0x1427, "set_hud_yellow" },
    { 0x1428, "set_hud_grey" },
    { 0x1429, "info_hud_wait_for_player" },
    { 0x142A, "so_infohud_toggle_state" },
    { 0x142B, "info_hud_wait_force_on" },
    { 0x142C, "info_hud_start_state" },
//  { 0x142D, "" },
    { 0x142E, "info_hud_handle_fade" },
//  { 0x142F, "" },
//  { 0x1430, "" },
//  { 0x1431, "" },
    { 0x1432, "so_challenge_time_left" },
    { 0x1433, "hud_so_timer_time" },
    { 0x1434, "challenge_timer_thread" },
    { 0x1435, "is_dvar_character_switcher" },
//  { 0x1436, "" },
    { 0x1437, "is_best_wave" },
    { 0x1438, "is_best_time" },
    { 0x1439, "is_poor_time" },
//  { 0x143A, "" },
//  { 0x143B, "" },
    { 0x143C, "so_dialog_mission_success" },
//  { 0x143D, "" },
    { 0x143E, "failed_dialog_played" },
    { 0x143F, "so_dialog_mission_failed_generic" },
    { 0x1440, "so_dialog_mission_failed_time" },
    { 0x1441, "so_dialog_mission_failed_bleedout" },
//  { 0x1442, "" },
    { 0x1443, "so_dialog_time_low_hurry" },
    { 0x1444, "so_dialog_killing_civilians" },
    { 0x1445, "civilian_warning_time" },
    { 0x1446, "civilian_warning_throttle" },
    { 0x1447, "so_dialog_progress_update" },
    { 0x1448, "so_progress_goal_status" },
    { 0x1449, "so_dialog_progress_update_time_quality" },
    { 0x144A, "so_dialog_counter_update" },
    { 0x144B, "so_counter_dialog_time" },
    { 0x144C, "challenge_progress_manual_update" },
//  { 0x144D, "" },
    { 0x144E, "coop_death_reason" },
    { 0x144F, "kill_wrapper" },
    { 0x1450, "get_previously_completed_difficulty" },
    { 0x1451, "specopssettings" },
//  { 0x1452, "" },
//  { 0x1453, "" },
    { 0x1454, "so_hud_stars_init" },
    { 0x1455, "race_times" },
    { 0x1456, "stars_removed" },
    { 0x1457, "so_hud_stars_single_think" },
    { 0x1458, "so_hud_star_count" },
    { 0x1459, "so_hud_stars_remove" },
    { 0x145A, "so_hud_stars_validate_difficulty" },
    { 0x145B, "so_hud_stars_sound_and_flash" },
    { 0x145C, "so_hud_stars_single_force_alpha_end" },
    { 0x145D, "unlock_hint" },
    { 0x145E, "unlock_hint_think" },
    { 0x145F, "unlock_array" },
    { 0x1460, "icon" },
    { 0x1461, "register_recent_unlock" },
    { 0x1462, "armory_all_items" },
    { 0x1463, "desc" },
    { 0x1464, "pass_recent_item_unlock" },
    { 0x1465, "unlock_hint_reset" },
//  { 0x1466, "" },
//  { 0x1467, "" },
    { 0x1468, "surhud_challenge_label" },
    { 0x1469, "surhud_challenge_progress" },
    { 0x146A, "surhud_challenge_reward" },
//  { 0x146B, "" },
    { 0x146C, "surhud_enable" },
    { 0x146D, "surhud_disable" },
    { 0x146E, "_setplayerdata_single" },
//  { 0x146F, "" },
    { 0x1470, "setdeadquote" },
//  { 0x1471, "" },
    { 0x1472, "setdeadquote_so" },
    { 0x1473, "is_coop_online" },
//  { 0x1474, "" },
    { 0x1475, "so_builddeadquote" },
    { 0x1476, "should_use_custom_deadquotes" },
    { 0x1477, "register_survival_armory_unlock" },
//  { 0x1478, "" },
    { 0x1479, "unlocklvl" },
    { 0x147A, "skip_playersetstreamorigin" },
    { 0x147B, "isdefendmatch" },
    { 0x147C, "pmc_gametype" },
    { 0x147D, "pick_starting_location_pmc" },
    { 0x147E, "get_closest_exclude" },
//  { 0x147F, "" },
    { 0x1480, "place_player2_near_player1" },
    { 0x1481, "translate_local" },
    { 0x1482, "specialops_remove_flag_check" },
    { 0x1483, "specialops_remove_name_check" },
//  { 0x1484, "" },
    { 0x1485, "so_hud_can_toggle" },
    { 0x1486, "hud_so_timer_msg" },
    { 0x1487, "challenge_timer_detect_3quarter" },
    { 0x1488, "challenge_timer_detect_halfway" },
//  { 0x1489, "" },
    { 0x148A, "challenge_timer_wait_start" },
    { 0x148B, "challenge_timer_should_play_alarm" },
    { 0x148C, "challenge_timer_show_nudge" },
    { 0x148D, "challenge_timer_show_hurry" },
    { 0x148E, "challenge_timer_be_silent" },
    { 0x148F, "challenge_time_silent" },
    { 0x1490, "challenge_timer_give_alert" },
    { 0x1491, "challenge_timer_should_pulse" },
//  { 0x1492, "" },
    { 0x1493, "so_deadquote_time" },
//  { 0x1494, "" },
    { 0x1495, "challenge_timer_destroy_prematurely" },
    { 0x1496, "challenge_timer_destroy" },
    { 0x1497, "validate_timer" },
//  { 0x1498, "" },
//  { 0x1499, "" },
    { 0x149A, "setup_leaderboard_data" },
    { 0x149B, "game_performance" },
    { 0x149C, "so_survival_stars_func" },
    { 0x149D, "specialops_blur_player_screen" },
    { 0x149E, "specialops_mission_over_remove_ai" },
//  { 0x149F, "" },
    { 0x14A0, "stop_magic_bullet_shield" },
//  { 0x14A1, "" },
    { 0x14A2, "suppress_challenge_success_print" },
    { 0x14A3, "specialops_mission_over_setup_failure" },
    { 0x14A4, "is_current_level_locked" },
//  { 0x14A5, "" },
//  { 0x14A6, "" },
    { 0x14A7, "specialops_achievement_by_stars" },
//  { 0x14A8, "" },
    { 0x14A9, "get_num_of_levels_with_star" },
//  { 0x14AA, "" },
//  { 0x14AB, "" },
//  { 0x14AC, "" },
    { 0x14AD, "ps3" },
//  { 0x14AE, "" },
    { 0x14AF, "eog_bestscore" },
    { 0x14B0, "eog_bestscore_value" },
//  { 0x14B1, "" },
    { 0x14B2, "determine_waiting_message" },
    { 0x14B3, "display_waiting_message" },
    { 0x14B4, "waiting_hud" },
    { 0x14B5, "display_frozen_message" },
    { 0x14B6, "frozen_and_waiting" },
    { 0x14B7, "create_waiting_message" },
    { 0x14B8, "waiting_message_hide" },
    { 0x14B9, "waiting_message_delete_on_so_end" },
    { 0x14BA, "is_touching_escape_trigger" },
//  { 0x14BB, "" },
//  { 0x14BC, "" },
    { 0x14BD, "enable_escape_warning_auto_init" },
    { 0x14BE, "show_escape_warning_auto" },
    { 0x14BF, "ping_escape_warning_auto" },
//  { 0x14C0, "" },
    { 0x14C1, "so_escape_warning_colorfunc" },
    { 0x14C2, "remove_escape_warning_auto" },
    { 0x14C3, "ping_escape_warning_auto_valid" },
//  { 0x14C4, "" },
    { 0x14C5, "set_hudelem_white" },
//  { 0x14C6, "" },
    { 0x14C7, "set_hudelem_green" },
    { 0x14C8, "set_hudelem_yellow" },
    { 0x14C9, "set_hudelem_red" },
    { 0x14CA, "set_hudelem_grey" },
    { 0x14CB, "pulse_start_big" },
//  { 0x14CC, "" },
    { 0x14CD, "pulse_time_loop" },
//  { 0x14CE, "" },
//  { 0x14CF, "" },
//  { 0x14D0, "" },
    { 0x14D1, "so_special_death_hint_tracker" },
//  { 0x14D2, "" },
    { 0x14D3, "so_friendly_fire_death" },
    { 0x14D4, "so_radiation_death" },
    { 0x14D5, "radiationdeath" },
    { 0x14D6, "so_dog_death" },
//  { 0x14D7, "" },
    { 0x14D8, "so_juggernaut_death" },
    { 0x14D9, "so_destructible_death" },
    { 0x14DA, "so_exploding_barrel_death" },
    { 0x14DB, "lastexplodingbarrel" },
    { 0x14DC, "so_grenade_suicide_death" },
    { 0x14DD, "lastgrenadetime" },
    { 0x14DE, "so_grenade_regular_death" },
//  { 0x14DF, "" },
//  { 0x14E0, "" },
    { 0x14E1, "so_special_failure_hint_set_array" },
    { 0x14E2, "setup_new_eq_settings" },
    { 0x14E3, "ambient_eq" },
    { 0x14E4, "use_eq_settings" },
    { 0x14E5, "deactivate_index" },
    { 0x14E6, "blend_to_eq_track" },
//  { 0x14E7, "" },
    { 0x14E8, "deactivate_reverb" },
    { 0x14E9, "ambientdelay" },
    { 0x14EA, "ambientevent" },
//  { 0x14EB, "" },
    { 0x14EC, "set_ambient" },
//  { 0x14ED, "" },
    { 0x14EE, "get_progess" },
    { 0x14EF, "get_progress" },
    { 0x14F0, "specopsgroups" },
    { 0x14F1, "missionsettings" },
    { 0x14F2, "debug_test_next_mission" },
    { 0x14F3, "setupsogroup" },
    { 0x14F4, "_nextmission" },
//  { 0x14F5, "" },
    { 0x14F6, "nextmission_exit_time" },
//  { 0x14F7, "" },
    { 0x14F8, "nextmission" },
    { 0x14F9, "auto_adust_zone_complete" },
    { 0x14FA, "level_end_save" },
    { 0x14FB, "giveachievement_wrapper" },
    { 0x14FC, "updatesppercent" },
    { 0x14FD, "gettotalpercentcompletesp" },
    { 0x14FE, "getstat_progression" },
    { 0x14FF, "getstat_easy" },
    { 0x1500, "getstat_regular" },
    { 0x1501, "getstat_hardened" },
    { 0x1502, "getstat_veteran" },
    { 0x1503, "getstat_intel" },
    { 0x1504, "getlevelcompleted" },
    { 0x1505, "getsolevelcompleted" },
    { 0x1506, "award_no_stars" },
//  { 0x1507, "" },
//  { 0x1508, "" },
    { 0x1509, "eog_newstar" },
    { 0x150A, "eog_newstar_value" },
    { 0x150B, "eog_unlock" },
    { 0x150C, "eog_unlock_value" },
//  { 0x150D, "" },
    { 0x150E, "setlevelcompleted" },
    { 0x150F, "_sethighestmissionifnotcheating" },
//  { 0x1510, "" },
//  { 0x1511, "" },
    { 0x1512, "getmissiondvarstring" },
    { 0x1513, "getlowestskill" },
    { 0x1514, "createmission" },
//  { 0x1515, "" },
    { 0x1516, "hardenedaward" },
    { 0x1517, "addlevel" },
    { 0x1518, "keepweapons" },
    { 0x1519, "achievement" },
    { 0x151A, "skipssuccess" },
    { 0x151B, "veteran_achievement" },
    { 0x151C, "addspecoplevel" },
    { 0x151D, "group_members" },
    { 0x151E, "addprereq" },
//  { 0x151F, "" },
    { 0x1520, "getkeepweapons" },
    { 0x1521, "getachievement" },
    { 0x1522, "getlevelveteranaward" },
    { 0x1523, "getfadetime" },
    { 0x1524, "haslevelveteranaward" },
    { 0x1525, "hasachievement" },
    { 0x1526, "check_other_haslevelveteranachievement" },
    { 0x1527, "gethardenedaward" },
    { 0x1528, "hasmissionhardenedaward" },
    { 0x1529, "getnextlevelindex" },
//  { 0x152A, "" },
//  { 0x152B, "" },
    { 0x152C, "credits_end" },
//  { 0x152D, "" },
    { 0x152E, "so_survival_score_func" },
    { 0x152F, "so_survival_wave_func" },
    { 0x1530, "eog_line" },
    { 0x1531, "reset_eog_popup_dvars" },
    { 0x1532, "add_eog_default_stats" },
    { 0x1533, "so_eog_default_playerlabel" },
//  { 0x1534, "" },
//  { 0x1535, "" },
    { 0x1536, "so_eog_default_time" },
    { 0x1537, "so_eog_default_score" },
    { 0x1538, "debugchains" },
//  { 0x1539, "" },
    { 0x153A, "debug_stopenemypos" },
    { 0x153B, "debug_enemyposproc" },
    { 0x153C, "debug_enemyposreplay" },
    { 0x153D, "goodshootpos" },
    { 0x153E, "goodenemy" },
    { 0x153F, "drawenttag" },
    { 0x1540, "drawtag" },
    { 0x1541, "draworgforever" },
    { 0x1542, "drawarrowforever" },
    { 0x1543, "draworiginforever" },
    { 0x1544, "drawarrow" },
    { 0x1545, "drawforwardforever" },
    { 0x1546, "drawplayerviewforever" },
    { 0x1547, "drawtagforever" },
    { 0x1548, "drawtagtrails" },
    { 0x1549, "dragtaguntildeath" },
    { 0x154A, "viewtag" },
    { 0x154B, "debug_corner" },
    { 0x154C, "debugspawners" },
    { 0x154D, "activenodes" },
    { 0x154E, "completednodes" },
    { 0x154F, "covertest" },
//  { 0x1550, "" },
//  { 0x1551, "" },
    { 0x1552, "removeactivespawner" },
    { 0x1553, "createline" },
    { 0x1554, "createlineconstantly" },
    { 0x1555, "debugmisstime" },
//  { 0x1556, "" },
//  { 0x1557, "" },
//  { 0x1558, "" },
    { 0x1559, "debugjump" },
    { 0x155A, "debugdvars" },
    { 0x155B, "remove_reflection_objects" },
    { 0x155C, "create_reflection_objects" },
    { 0x155D, "create_reflection_object" },
//  { 0x155E, "" },
    { 0x155F, "debug_reflection_buttons" },
    { 0x1560, "remove_fxlighting_object" },
    { 0x1561, "create_fxlighting_object" },
    { 0x1562, "play_fxlighting_fx" },
    { 0x1563, "debug_fxlighting" },
//  { 0x1564, "" },
//  { 0x1565, "" },
//  { 0x1566, "" },
    { 0x1567, "debug_character_count" },
    { 0x1568, "nuke" },
    { 0x1569, "debug_nuke" },
    { 0x156A, "debug_misstime" },
    { 0x156B, "camera" },
//  { 0x156C, "" },
    { 0x156D, "freeplayer" },
    { 0x156E, "setplayertocamera" },
    { 0x156F, "anglescheck" },
//  { 0x1570, "" },
    { 0x1571, "dollytime" },
    { 0x1572, "dollystart" },
    { 0x1573, "dollyend" },
    { 0x1574, "dollygo" },
    { 0x1575, "deathspawnerpreview" },
    { 0x1576, "deathspawnerents" },
//  { 0x1577, "" },
    { 0x1578, "lastsightposwatch" },
    { 0x1579, "watchminimap" },
    { 0x157A, "updateminimapsetting" },
//  { 0x157B, "" },
    { 0x157C, "minimapheight" },
//  { 0x157D, "" },
    { 0x157E, "minimapplayer" },
    { 0x157F, "getchains" },
//  { 0x1580, "" },
    { 0x1581, "vecscale" },
    { 0x1582, "drawminimapbounds" },
    { 0x1583, "islookingatorigin" },
    { 0x1584, "debug_colornodes" },
//  { 0x1585, "" },
    { 0x1586, "draw_colornodes" },
    { 0x1587, "colornodes_debug_array" },
    { 0x1588, "get_team_substr" },
    { 0x1589, "try_to_draw_line_to_node" },
    { 0x158A, "fogcheck" },
    { 0x158B, "debugthreat" },
    { 0x158C, "last_threat_debug" },
//  { 0x158D, "" },
//  { 0x158E, "" },
    { 0x158F, "debugcolorfriendlies" },
    { 0x1590, "debug_color_huds" },
    { 0x1591, "draw_color_friendlies" },
    { 0x1592, "get_script_palette" },
    { 0x1593, "playernode" },
    { 0x1594, "drawusers" },
    { 0x1595, "debuggoalpos" },
//  { 0x1596, "" },
    { 0x1597, "colordebug" },
    { 0x1598, "draw_colored_nodes" },
//  { 0x1599, "" },
    { 0x159A, "animsound_aliases" },
//  { 0x159B, "" },
    { 0x159C, "init_animsounds_for_animname" },
    { 0x159D, "add_hud_line" },
    { 0x159E, "animsound_hud_extralines" },
    { 0x159F, "debug_animsound" },
    { 0x15A0, "draw_animsounds_in_hud" },
    { 0x15A1, "animsound_tagged" },
    { 0x15A2, "animsound_hud_animname" },
//  { 0x15A3, "" },
//  { 0x15A4, "" },
    { 0x15A5, "animsound_input" },
//  { 0x15A6, "" },
//  { 0x15A7, "" },
//  { 0x15A8, "" },
    { 0x15A9, "animsound_hud_alias" },
    { 0x15AA, "animsound_hud_anime" },
    { 0x15AB, "get_alias_from_stored" },
    { 0x15AC, "is_from_animsound" },
    { 0x15AD, "display_animsound" },
    { 0x15AE, "animsounds_thisframe" },
//  { 0x15AF, "" },
//  { 0x15B0, "" },
//  { 0x15B1, "" },
    { 0x15B2, "debug_animsoundsave" },
    { 0x15B3, "print_aliases_to_file" },
    { 0x15B4, "tostr" },
    { 0x15B5, "linedraw" },
    { 0x15B6, "print3ddraw" },
    { 0x15B7, "complete_me" },
//  { 0x15B8, "" },
//  { 0x15B9, "" },
    { 0x15BA, "chase_cam_last_num" },
    { 0x15BB, "chase_cam_target" },
    { 0x15BC, "chase_cam_ent" },
    { 0x15BD, "chasecam_onent" },
    { 0x15BE, "viewfx" },
//  { 0x15BF, "" },
    { 0x15C0, "print_vehicle_info" },
    { 0x15C1, "vnum" },
    { 0x15C2, "draw_dot_for_ent" },
    { 0x15C3, "draw_dot_for_guy" },
    { 0x15C4, "init_damage_feedback" },
    { 0x15C5, "hud_damagefeedback" },
    { 0x15C6, "monitordamage" },
//  { 0x15C7, "" },
    { 0x15C8, "remove_damage_function" },
    { 0x15C9, "damagefeedback_took_damage" },
    { 0x15CA, "is_damagefeedback_enabled" },
//  { 0x15CB, "" },
    { 0x15CC, "updatedamagefeedback" },
    { 0x15CD, "slowmo" },
    { 0x15CE, "speed_slow" },
    { 0x15CF, "coop_icon_blinktime" },
    { 0x15D0, "coop_icon_blinkcrement" },
    { 0x15D1, "coop_revive_nag_hud_refreshtime" },
    { 0x15D2, "initialize_colors" },
    { 0x15D3, "coop_icon_color_normal" },
    { 0x15D4, "coop_icon_color_downed" },
    { 0x15D5, "coop_icon_color_shoot" },
//  { 0x15D6, "" },
    { 0x15D7, "coop_icon_color_dying" },
//  { 0x15D8, "" },
//  { 0x15D9, "" },
    { 0x15DA, "nofriendlyhudicon" },
//  { 0x15DB, "" },
    { 0x15DC, "material" },
    { 0x15DD, "create_fresh_friendly_icon" },
    { 0x15DE, "friendly_hud_icon_blink_on_fire" },
    { 0x15DF, "friendly_hud_icon_blink_on_damage" },
//  { 0x15E0, "" },
    { 0x15E1, "is_player_down" },
//  { 0x15E2, "" },
//  { 0x15E3, "" },
    { 0x15E4, "player_friendly_hud_destroy" },
//  { 0x15E5, "" },
    { 0x15E6, "friendlyhudicon_showall" },
    { 0x15E7, "friendlyhudicon_disable" },
    { 0x15E8, "friendlyhudicon_enable" },
    { 0x15E9, "friendlyhudicon_normal" },
//  { 0x15EA, "" },
    { 0x15EB, "friendlyhudicon_downed" },
    { 0x15EC, "friendlyhudicon_update" },
    { 0x15ED, "friendlyhudicon_currentmaterial" },
    { 0x15EE, "friendlyhudicon_rotating" },
    { 0x15EF, "monitor_color_blind_toggle" },
    { 0x15F0, "laststand_initialized" },
    { 0x15F1, "type_getup_lives" },
    { 0x15F2, "revive_hud_base_offset" },
    { 0x15F3, "revive_bar_offset" },
//  { 0x15F4, "" },
    { 0x15F5, "laststand_hud_elements" },
    { 0x15F6, "laststand_on_load_finished" },
//  { 0x15F7, "" },
    { 0x15F8, "add_global_spawn_function" },
    { 0x15F9, "player_laststand_proc" },
    { 0x15FA, "laststand_enabled" },
//  { 0x15FB, "" },
    { 0x15FC, "laststand_stage3_multiplier" },
//  { 0x15FD, "" },
    { 0x15FE, "laststand_revive_time" },
    { 0x15FF, "down_player_requests" },
//  { 0x1600, "" },
    { 0x1601, "laststand_downed_player_manager" },
    { 0x1602, "laststand_recent_player_downed_time" },
    { 0x1603, "player_downed_death_buffer_time" },
//  { 0x1604, "" },
//  { 0x1605, "" },
//  { 0x1606, "" },
//  { 0x1607, "" },
//  { 0x1608, "" },
//  { 0x1609, "" },
//  { 0x160A, "" },
//  { 0x160B, "" },
    { 0x160C, "player_laststand_on_revive" },
    { 0x160D, "laststand_savior" },
    { 0x160E, "bars" },
    { 0x160F, "player_laststand_is_reviving" },
    { 0x1610, "player_laststand_revive_self" },
    { 0x1611, "player_laststand_revive_buddy_cleanup" },
    { 0x1612, "laststand_freeze_players" },
    { 0x1613, "is_player_down_and_out" },
//  { 0x1614, "" },
    { 0x1615, "player_laststand_downed_nag_button" },
    { 0x1616, "lastrevivenagbuttonpresstime" },
    { 0x1617, "nag_should_draw_hud" },
    { 0x1618, "nag_hud_on" },
    { 0x1619, "nag_prompt_show" },
//  { 0x161A, "" },
//  { 0x161B, "" },
    { 0x161C, "can_show_nag_prompt" },
    { 0x161D, "hide_nag_prompt" },
    { 0x161E, "laststand_coop_hud_manager" },
    { 0x161F, "revive_text_friend" },
    { 0x1620, "revive_timer_friend" },
    { 0x1621, "revive_text_local" },
    { 0x1622, "revive_timer_local" },
    { 0x1623, "laststand_coop_hud_create" },
    { 0x1624, "player_laststand_hud_hide" },
//  { 0x1625, "" },
    { 0x1626, "laststand_getup_hud_init" },
    { 0x1627, "laststand_getup_fast" },
//  { 0x1628, "" },
//  { 0x1629, "" },
//  { 0x162A, "" },
//  { 0x162B, "" },
//  { 0x162C, "" },
    { 0x162D, "player_laststand_downed_icon" },
    { 0x162E, "player_laststand_countdown_timer" },
    { 0x162F, "get_coop_downed_hud_color" },
    { 0x1630, "blinkstate" },
    { 0x1631, "coop_downed_hud_should_blink" },
    { 0x1632, "laststand_hud_destroy" },
    { 0x1633, "player_laststand_set_down_attributes" },
    { 0x1634, "placingsentry" },
    { 0x1635, "player_laststand_set_original_attributes" },
    { 0x1636, "achieve_downed_kills" },
//  { 0x1637, "" },
//  { 0x1638, "" },
    { 0x1639, "forced_pistol" },
    { 0x163A, "preincap_pistol" },
//  { 0x163B, "" },
//  { 0x163C, "" },
//  { 0x163D, "" },
//  { 0x163E, "" },
    { 0x163F, "dont_crush_player" },
    { 0x1640, "player_laststand_set_down_part1" },
    { 0x1641, "laststand_count" },
//  { 0x1642, "" },
    { 0x1643, "last_damage_time" },
    { 0x1644, "player_laststand_getup_sequence_clean_up" },
//  { 0x1645, "" },
//  { 0x1646, "" },
    { 0x1647, "player_laststand_getup_sequence_ignore" },
    { 0x1648, "player_laststand_getup_sequence_catch_kills" },
//  { 0x1649, "" },
//  { 0x164A, "" },
    { 0x164B, "player_laststand_getup_bar_adjust" },
    { 0x164C, "player_laststand_getup_bar_set_fill" },
    { 0x164D, "player_laststand_set_down_part2" },
    { 0x164E, "player_laststand_force_switch_to_pistol" },
    { 0x164F, "coop_incap_weapon" },
//  { 0x1650, "" },
    { 0x1651, "player_laststand_down_draw_attention" },
    { 0x1652, "ai_laststand_on_death" },
    { 0x1653, "player_dying_effect" },
//  { 0x1654, "" },
    { 0x1655, "player_laststand_effect" },
    { 0x1656, "player_shock_effect" },
    { 0x1657, "laststand_get_type" },
//  { 0x1658, "" },
//  { 0x1659, "" },
    { 0x165A, "laststand_downing_will_fail" },
    { 0x165B, "get_lives_remaining" },
    { 0x165C, "update_lives_remaining" },
    { 0x165D, "player_laststand_kill" },
    { 0x165E, "try_crush_player" },
//  { 0x165F, "" },
    { 0x1660, "laststand_on_mission_end" },
    { 0x1661, "revive_hud_cleanup_bars" },
    { 0x1662, "waittill_disable_nag" },
    { 0x1663, "player_can_restore_weapon" },
//  { 0x1664, "" },
    { 0x1665, "player_get_revive_ent" },
    { 0x1666, "revive_destroy_use_targets" },
//  { 0x1667, "" },
    { 0x1668, "artstartvisionfileexport" },
//  { 0x1669, "" },
    { 0x166A, "artstartfogfileexport" },
    { 0x166B, "artendfogfileexport" },
    { 0x166C, "artcommonfxprintln" },
//  { 0x166D, "" },
//  { 0x166E, "" },
    { 0x166F, "fogexphalfplane" },
    { 0x1670, "fognearplane" },
    { 0x1671, "fogcolor" },
    { 0x1672, "fogmaxopacity" },
    { 0x1673, "sunfogenabled" },
    { 0x1674, "sunfogcolor" },
//  { 0x1675, "" },
//  { 0x1676, "" },
    { 0x1677, "sunfogendfadeangle" },
    { 0x1678, "sunfogscale" },
//  { 0x1679, "" },
    { 0x167A, "updatefogfromscript" },
    { 0x167B, "artfxprintlnfog" },
    { 0x167C, "_clearalltextafterhudelem" },
    { 0x167D, "special_weapon_dof_funcs" },
//  { 0x167E, "" },
    { 0x167F, "vision_set_vision" },
    { 0x1680, "vision_set_transition_ent" },
    { 0x1681, "vision_set" },
    { 0x1682, "vision_set_fog" },
    { 0x1683, "curdof" },
//  { 0x1684, "" },
    { 0x1685, "button_down" },
    { 0x1686, "create_vision_set_vision" },
    { 0x1687, "updatefogentfromscript" },
//  { 0x1688, "" },
//  { 0x1689, "" },
    { 0x168A, "red" },
    { 0x168B, "green" },
    { 0x168C, "blue" },
    { 0x168D, "maxopacity" },
//  { 0x168E, "" },
    { 0x168F, "sungreen" },
    { 0x1690, "sunblue" },
    { 0x1691, "sundir" },
    { 0x1692, "sunbeginfadeangle" },
//  { 0x1693, "" },
    { 0x1694, "normalfogscale" },
    { 0x1695, "set_fog_to_ent_values" },
//  { 0x1696, "" },
    { 0x1697, "selected" },
    { 0x1698, "r_glow" },
    { 0x1699, "r_glowradius0" },
    { 0x169A, "r_glowbloomcutoff" },
    { 0x169B, "r_glowbloomdesaturation" },
    { 0x169C, "r_glowbloomintensity0" },
    { 0x169D, "r_filmenable" },
    { 0x169E, "r_filmcontrast" },
//  { 0x169F, "" },
//  { 0x16A0, "" },
    { 0x16A1, "r_filmdesaturationdark" },
    { 0x16A2, "r_filminvert" },
//  { 0x16A3, "" },
    { 0x16A4, "r_filmmediumtint" },
    { 0x16A5, "r_filmdarktint" },
    { 0x16A6, "r_primarylightusetweaks" },
    { 0x16A7, "r_primarylighttweakdiffusestrength" },
//  { 0x16A8, "" },
    { 0x16A9, "fovslidercheck" },
    { 0x16AA, "fogslidercheck" },
    { 0x16AB, "construct_vision_ents" },
    { 0x16AC, "script_visionset_start" },
    { 0x16AD, "script_visionset_end" },
//  { 0x16AE, "" },
//  { 0x16AF, "" },
//  { 0x16B0, "" },
    { 0x16B1, "transitiontime" },
//  { 0x16B2, "" },
    { 0x16B3, "print_current_vision" },
    { 0x16B4, "print_fog_ents" },
    { 0x16B5, "print_fog_ents_csv" },
    { 0x16B6, "cloudlight" },
    { 0x16B7, "sunlight_bright" },
    { 0x16B8, "sunlight_dark" },
//  { 0x16B9, "" },
//  { 0x16BA, "" },
    { 0x16BB, "brighten" },
//  { 0x16BC, "" },
    { 0x16BD, "scale" },
    { 0x16BE, "adsdof" },
    { 0x16BF, "dof" },
    { 0x16C0, "level_specific_dof" },
//  { 0x16C1, "" },
//  { 0x16C2, "" },
//  { 0x16C3, "" },
    { 0x16C4, "setdoftarget" },
    { 0x16C5, "changedofvalue" },
//  { 0x16C6, "" },
    { 0x16C7, "dofvarupdate" },
    { 0x16C8, "setdefaultdepthoffield" },
    { 0x16C9, "isdofdefault" },
//  { 0x16CA, "" },
//  { 0x16CB, "" },
//  { 0x16CC, "" },
    { 0x16CD, "crosshair_value" },
    { 0x16CE, "controler_hud_add" },
    { 0x16CF, "hud_controler" },
//  { 0x16D0, "" },
    { 0x16D1, "base_button_text" },
    { 0x16D2, "_newhudelem" },
//  { 0x16D3, "" },
    { 0x16D4, "_settext" },
    { 0x16D5, "realtext" },
    { 0x16D6, "setgroup_up" },
    { 0x16D7, "setgroup_down" },
//  { 0x16D8, "" },
    { 0x16D9, "setcurrentgroup" },
    { 0x16DA, "spam_model_current_group" },
    { 0x16DB, "vision_set_fog_changes" },
    { 0x16DC, "init_fog_transition" },
    { 0x16DD, "fog_transition_ent" },
//  { 0x16DE, "" },
    { 0x16DF, "playerinit" },
    { 0x16E0, "drone_paths" },
    { 0x16E1, "node_offset" },
//  { 0x16E2, "" },
    { 0x16E3, "dronestruct" },
    { 0x16E4, "dummyguy_index_max" },
    { 0x16E5, "dummyguy" },
    { 0x16E6, "dronespawner_init" },
//  { 0x16E7, "" },
    { 0x16E8, "dummyguyindex" },
    { 0x16E9, "dummynode" },
//  { 0x16EA, "" },
    { 0x16EB, "place_node_radius" },
    { 0x16EC, "place_node_group" },
//  { 0x16ED, "" },
    { 0x16EE, "placed_nodes" },
    { 0x16EF, "noder_heightoffset" },
    { 0x16F0, "wall_look" },
    { 0x16F1, "node_grid" },
    { 0x16F2, "coliding_node" },
    { 0x16F3, "node_select_locked" },
    { 0x16F4, "node_animation_preview" },
    { 0x16F5, "player_view_trace" },
    { 0x16F6, "noder_player" },
    { 0x16F7, "noder_init" },
    { 0x16F8, "preview_node" },
    { 0x16F9, "selector_model" },
    { 0x16FA, "selected_node" },
    { 0x16FB, "hud_update_placed_model_count" },
    { 0x16FC, "hud_noder" },
    { 0x16FD, "group_hudelems" },
    { 0x16FE, "selection_lock_indicator" },
    { 0x16FF, "node_animation_preview_indicator" },
    { 0x1700, "controler_hud_update_text" },
    { 0x1701, "controler_hud_update_button" },
    { 0x1702, "place_node_current_group" },
    { 0x1703, "grid_size" },
    { 0x1704, "add_node_type" },
    { 0x1705, "wall_snap_direction" },
//  { 0x1706, "" },
//  { 0x1707, "" },
//  { 0x1708, "" },
    { 0x1709, "button_modifier" },
    { 0x170A, "button_modifier_release_func" },
    { 0x170B, "button_monitor" },
    { 0x170C, "button_func_isflow" },
    { 0x170D, "add_button_func" },
    { 0x170E, "add_button_modifier_func" },
    { 0x170F, "deleteme" },
    { 0x1710, "getcurrent_groupstruct" },
    { 0x1711, "get_wall_offset" },
    { 0x1712, "find_corner_snap" },
//  { 0x1713, "" },
//  { 0x1714, "" },
    { 0x1715, "place_node_place_at_feet" },
    { 0x1716, "get_mp_player" },
//  { 0x1717, "" },
//  { 0x1718, "" },
    { 0x1719, "has_dummy_guy" },
    { 0x171A, "is_hidden" },
    { 0x171B, "dump_nodes" },
    { 0x171C, "is_player_looking_at_a_wall" },
//  { 0x171D, "" },
    { 0x171E, "bullettrace_but_not_nodes" },
    { 0x171F, "traces_hitting_node" },
    { 0x1720, "groundpos_loc" },
//  { 0x1721, "" },
    { 0x1722, "snap_number_to_nearest_grid" },
//  { 0x1723, "" },
//  { 0x1724, "" },
//  { 0x1725, "" },
    { 0x1726, "node_is_touching" },
    { 0x1727, "hud_update_gridsize" },
    { 0x1728, "grid_up" },
    { 0x1729, "grid_down" },
    { 0x172A, "grid_toggle" },
    { 0x172B, "select_traced_node" },
    { 0x172C, "select_node" },
    { 0x172D, "place_new_dummy_guy_and_animate_at_node" },
    { 0x172E, "lastnode" },
    { 0x172F, "select_coliding_node" },
//  { 0x1730, "" },
//  { 0x1731, "" },
    { 0x1732, "debug_message" },
//  { 0x1733, "" },
    { 0x1734, "set_button_funcs_main" },
    { 0x1735, "clear_all_button_funcs" },
//  { 0x1736, "" },
//  { 0x1737, "" },
    { 0x1738, "hint_buttons_main" },
    { 0x1739, "select_node_cover_crouch" },
    { 0x173A, "select_node_pathnode" },
//  { 0x173B, "" },
    { 0x173C, "select_node_cover_prone" },
//  { 0x173D, "" },
//  { 0x173E, "" },
    { 0x173F, "select_node_concealment_prone" },
    { 0x1740, "select_node_concealment_stand" },
    { 0x1741, "select_node_cover_left" },
    { 0x1742, "select_node_cover_right" },
    { 0x1743, "set_button_funcs_quick_select" },
//  { 0x1744, "" },
    { 0x1745, "noder_elems" },
//  { 0x1746, "" },
    { 0x1747, "fifo_dummyguy" },
    { 0x1748, "node_has_animations" },
    { 0x1749, "toggle_animation_preview" },
    { 0x174A, "hide_all_dummyguys" },
    { 0x174B, "show_all_dummyguys" },
    { 0x174C, "draw_lines_to_connectible_nodes" },
    { 0x174D, "manage_nearnodes" },
    { 0x174E, "nearnodes_time" },
    { 0x174F, "spam_model_group" },
//  { 0x1750, "" },
    { 0x1751, "painter_clean_me" },
    { 0x1752, "default_undefined" },
    { 0x1753, "bposedstyle" },
//  { 0x1754, "" },
    { 0x1755, "btreeorient" },
    { 0x1756, "bfacade" },
    { 0x1757, "density" },
    { 0x1758, "maxdist" },
//  { 0x1759, "" },
    { 0x175A, "setup_painter_group" },
    { 0x175B, "script_painter_treeorient" },
//  { 0x175C, "" },
    { 0x175D, "script_painter_facade" },
    { 0x175E, "script_paintergroup" },
    { 0x175F, "get_angle_offset" },
//  { 0x1760, "" },
//  { 0x1761, "" },
//  { 0x1762, "" },
//  { 0x1763, "" },
//  { 0x1764, "" },
//  { 0x1765, "" },
    { 0x1766, "spam_models_flowrate" },
//  { 0x1767, "" },
    { 0x1768, "spam_maxdist" },
    { 0x1769, "previewmodels" },
    { 0x176A, "spam_models_iscustomrotation" },
    { 0x176B, "spam_models_iscustomheight" },
    { 0x176C, "spam_models_customheight" },
    { 0x176D, "spam_model_circlescale_lasttime" },
    { 0x176E, "spam_model_circlescale_accumtime" },
//  { 0x176F, "" },
    { 0x1770, "timelimitoverride" },
    { 0x1771, "painter_player" },
    { 0x1772, "painter_init" },
    { 0x1773, "hint_buttons_zoffset" },
//  { 0x1774, "" },
//  { 0x1775, "" },
//  { 0x1776, "" },
    { 0x1777, "heightoffset" },
//  { 0x1778, "" },
//  { 0x1779, "" },
//  { 0x177A, "" },
    { 0x177B, "customheight_mode" },
    { 0x177C, "customheight_mode_offsetmodels" },
    { 0x177D, "orgorg" },
    { 0x177E, "customrotation_mode_off" },
    { 0x177F, "customrotation_mode" },
    { 0x1780, "spam_models_customrotation" },
//  { 0x1781, "" },
    { 0x1782, "crosshair_fadetopoint" },
    { 0x1783, "spam_model_circlescale" },
//  { 0x1784, "" },
    { 0x1785, "draw_placement_circle" },
    { 0x1786, "orienttoplayeryrot" },
//  { 0x1787, "" },
    { 0x1788, "spam_model_place" },
//  { 0x1789, "" },
//  { 0x178A, "" },
    { 0x178B, "is_too_dense" },
//  { 0x178C, "" },
    { 0x178D, "contour_point" },
    { 0x178E, "plot_circle" },
//  { 0x178F, "" },
    { 0x1790, "dump_models" },
    { 0x1791, "is_mp" },
//  { 0x1792, "" },
//  { 0x1793, "" },
    { 0x1794, "func_create_loopsound" },
    { 0x1795, "global_fx" },
    { 0x1796, "_global_fx_ents" },
    { 0x1797, "getstructarray_delete" },
//  { 0x1798, "" },
    { 0x1799, "watchgrenadeusage" },
//  { 0x179A, "" },
//  { 0x179B, "" },
    { 0x179C, "throwinggrenade" },
    { 0x179D, "beginsmokegrenadetracking" },
    { 0x179E, "smokegrenades" },
//  { 0x179F, "" },
//  { 0x17A0, "" },
//  { 0x17A1, "" },
//  { 0x17A2, "" },
    { 0x17A3, "has_semtex_on_it" },
//  { 0x17A4, "" },
    { 0x17A5, "attacker_isonmyteam" },
    { 0x17A6, "smoke_grenade_death" },
//  { 0x17A7, "" },
    { 0x17A8, "grenade_earthquake" },
    { 0x17A9, "threw_ninebang" },
    { 0x17AA, "beginc4tracking" },
    { 0x17AB, "watchc4" },
//  { 0x17AC, "" },
    { 0x17AD, "array_remove_nokeys" },
    { 0x17AE, "watchclaymores" },
//  { 0x17AF, "" },
    { 0x17B0, "claymoresentientfunc" },
    { 0x17B1, "claymoredetonation" },
    { 0x17B2, "detonateradius" },
    { 0x17B3, "claymores" },
    { 0x17B4, "deleteondeath" },
//  { 0x17B5, "" },
//  { 0x17B6, "" },
//  { 0x17B7, "" },
//  { 0x17B8, "" },
    { 0x17B9, "resetc4explodethisframe" },
    { 0x17BA, "saydamaged" },
    { 0x17BB, "playc4effects" },
    { 0x17BC, "playclaymoreeffects" },
    { 0x17BD, "clearfxondeath" },
//  { 0x17BE, "" },
    { 0x17BF, "isplayer" },
    { 0x17C0, "isadestructable" },
    { 0x17C1, "damagecenter" },
    { 0x17C2, "weapondamagetracepassed" },
    { 0x17C3, "damageent" },
    { 0x17C4, "damageorigin" },
    { 0x17C5, "callbackplayerdamage" },
    { 0x17C6, "debugline" },
    { 0x17C7, "onweapondamage" },
    { 0x17C8, "watchc4altdetonate" },
//  { 0x17C9, "" },
    { 0x17CA, "_extra_autosave_checks" },
    { 0x17CB, "autosave_proximity_threat_func" },
    { 0x17CC, "getdescription" },
    { 0x17CD, "getnames" },
    { 0x17CE, "beginningoflevelsave" },
    { 0x17CF, "trigger_autosave_stealth" },
    { 0x17D0, "autosave_stealth" },
    { 0x17D1, "trigger_autosave_tactical" },
    { 0x17D2, "autosave_tactical" },
//  { 0x17D3, "" },
    { 0x17D4, "script_autosave" },
    { 0x17D5, "autosaves_think" },
    { 0x17D6, "autosavenamethink" },
//  { 0x17D7, "" },
    { 0x17D8, "customautosavecheck" },
    { 0x17D9, "script_autosavename" },
//  { 0x17DA, "" },
//  { 0x17DB, "" },
    { 0x17DC, "autosave_timeout" },
//  { 0x17DD, "" },
//  { 0x17DE, "" },
    { 0x17DF, "_autosave_game_now" },
    { 0x17E0, "autosave_now_trigger" },
    { 0x17E1, "autosave_now" },
//  { 0x17E2, "" },
    { 0x17E3, "tryautosave" },
//  { 0x17E4, "" },
    { 0x17E5, "extra_autosave_checks_failed" },
//  { 0x17E6, "" },
    { 0x17E7, "autosavecheck" },
    { 0x17E8, "autosave_check_override" },
    { 0x17E9, "special_autosavecondition" },
    { 0x17EA, "dopickyautosavechecks" },
    { 0x17EB, "global_callbacks" },
    { 0x17EC, "autosave_threat_check_enabled" },
    { 0x17ED, "savehere" },
    { 0x17EE, "cansave" },
    { 0x17EF, "autosaveplayercheck" },
    { 0x17F0, "ac130gunner" },
    { 0x17F1, "shellshocked" },
    { 0x17F2, "autosaveammocheck" },
    { 0x17F3, "autosavehealthcheck" },
//  { 0x17F4, "" },
//  { 0x17F5, "" },
    { 0x17F6, "enemy_is_a_threat" },
//  { 0x17F7, "" },
    { 0x17F8, "recon_checkpoint_lasttime" },
    { 0x17F9, "init_loadout" },
    { 0x17FA, "dodgeloadout" },
    { 0x17FB, "setdefaultactionslot" },
    { 0x17FC, "init_player" },
    { 0x17FD, "char_switcher" },
    { 0x17FE, "coop_player1" },
//  { 0x17FF, "" },
    { 0x1800, "character_switched" },
//  { 0x1801, "" },
    { 0x1802, "loadout" },
    { 0x1803, "give_loadout" },
    { 0x1804, "character_selected" },
    { 0x1805, "setmodelfunc" },
    { 0x1806, "default_weapon" },
    { 0x1807, "castle_main_weapon" },
    { 0x1808, "castle_side_weapon" },
    { 0x1809, "dubai_main_weapon" },
    { 0x180A, "testmap" },
    { 0x180B, "give_loadout_specialops" },
    { 0x180C, "so_warlord_secondary" },
    { 0x180D, "so_warlord_primary" },
    { 0x180E, "so_payback_primary" },
    { 0x180F, "so_payback_secondary" },
    { 0x1810, "primary_weapon" },
    { 0x1811, "secondary_weapon" },
    { 0x1812, "sniper_primary" },
    { 0x1813, "sniper_secondary" },
    { 0x1814, "heavy_primary" },
    { 0x1815, "heavy_secondary" },
    { 0x1816, "possible_precache" },
    { 0x1817, "give_default_loadout" },
    { 0x1818, "give_default_loadout_coop" },
    { 0x1819, "saveplayerweaponstatepersistent" },
    { 0x181A, "restoreplayerweaponstatepersistent" },
    { 0x181B, "legit_weapons" },
    { 0x181C, "sniper_escape_initial_secondary_weapon_loadout" },
    { 0x181D, "set_legit_weapons_for_sniper_escape" },
//  { 0x181E, "" },
//  { 0x181F, "" },
    { 0x1820, "favela_escape_main_weapon" },
//  { 0x1821, "" },
    { 0x1822, "dc_whitehouse_main_weapon" },
    { 0x1823, "max_ammo_on_legit_sniper_escape_weapon" },
//  { 0x1824, "" },
    { 0x1825, "coop_gamesetup_menu" },
    { 0x1826, "coop_gamesetup_ac130" },
//  { 0x1827, "" },
    { 0x1828, "give_default_loadout_specialops" },
    { 0x1829, "so_player_num" },
    { 0x182A, "so_player_add_player_giveweapon" },
    { 0x182B, "so_player_set_maxammo" },
//  { 0x182C, "" },
    { 0x182D, "so_player_set_setoffhandsecondaryclass" },
    { 0x182E, "so_player_set_switchtoweapon" },
    { 0x182F, "so_player_setmodelfunc" },
    { 0x1830, "so_player_setmodelfunc_precache" },
    { 0x1831, "so_player_setactionslot" },
    { 0x1832, "so_player_giveweapon" },
    { 0x1833, "parm1" },
    { 0x1834, "parm2" },
    { 0x1835, "so_player_give_loadout" },
    { 0x1836, "so_players_give_action" },
    { 0x1837, "so_players_give_loadout" },
    { 0x1838, "updatemodel" },
    { 0x1839, "last_modelfunc" },
    { 0x183A, "so_player_setup_body" },
    { 0x183B, "so_player_get_bodyfunc" },
    { 0x183C, "so_player_get_bodyfunc_precache" },
    { 0x183D, "so_player_get_hands" },
    { 0x183E, "so_body_player_ranger" },
    { 0x183F, "so_body_player_seal" },
    { 0x1840, "so_body_player_arctic" },
//  { 0x1841, "" },
    { 0x1842, "so_body_player_desert" },
    { 0x1843, "so_body_player_ghillie" },
    { 0x1844, "so_body_player_delta" },
    { 0x1845, "so_body_player_sas" },
//  { 0x1846, "" },
    { 0x1847, "so_body_player_hijack_2" },
    { 0x1848, "so_body_player_fso_1" },
//  { 0x1849, "" },
//  { 0x184A, "" },
    { 0x184B, "so_body_player_seal_precache" },
    { 0x184C, "so_body_player_arctic_precache" },
    { 0x184D, "so_body_player_woodland_precache" },
    { 0x184E, "so_body_player_desert_precache" },
    { 0x184F, "so_body_player_ghillie_precache" },
    { 0x1850, "so_body_player_delta_precache" },
    { 0x1851, "so_body_player_sas_precache" },
//  { 0x1852, "" },
    { 0x1853, "so_body_player_hijack_precache_2" },
    { 0x1854, "so_body_player_fso_precache_1" },
    { 0x1855, "so_body_player_fso_precache_2" },
    { 0x1856, "elevators" },
    { 0x1857, "elevator_callbutton_link_v" },
//  { 0x1858, "" },
    { 0x1859, "elevator_update_global_dvars" },
    { 0x185A, "elevator_accel" },
//  { 0x185B, "" },
    { 0x185C, "elevator_music" },
//  { 0x185D, "" },
//  { 0x185E, "" },
//  { 0x185F, "" },
//  { 0x1860, "" },
    { 0x1861, "elevator_waittime" },
    { 0x1862, "elevator_aggressive_call" },
    { 0x1863, "elevator_debug" },
    { 0x1864, "elevator_motion_detection" },
    { 0x1865, "elevator_think" },
    { 0x1866, "elevator_call" },
//  { 0x1867, "" },
    { 0x1868, "floor_override" },
    { 0x1869, "overrider" },
    { 0x186A, "elevator_fsm" },
//  { 0x186B, "" },
    { 0x186C, "moveto_floor" },
    { 0x186D, "motion_trigger" },
    { 0x186E, "elevator_interrupted" },
    { 0x186F, "monitor_callbutton" },
    { 0x1870, "e" },
//  { 0x1871, "" },
//  { 0x1872, "" },
    { 0x1873, "elevator_interrupt" },
    { 0x1874, "elevator_floor_update" },
//  { 0x1875, "" },
    { 0x1876, "listen_for" },
    { 0x1877, "position_elevators" },
    { 0x1878, "elevator_move" },
    { 0x1879, "close_inner_doors" },
//  { 0x187A, "" },
//  { 0x187B, "" },
    { 0x187C, "open_outer_doors" },
    { 0x187D, "build_elevators" },
    { 0x187E, "build_call_buttons" },
//  { 0x187F, "" },
    { 0x1880, "make_discrete_trigger" },
    { 0x1881, "enabled" },
//  { 0x1882, "" },
    { 0x1883, "enable_trigger" },
//  { 0x1884, "" },
    { 0x1885, "disable_trigger_helper" },
//  { 0x1886, "" },
    { 0x1887, "get_outer_doorsets" },
    { 0x1888, "get_outer_closedpos" },
    { 0x1889, "get_outer_leftdoor" },
    { 0x188A, "get_outer_rightdoor" },
//  { 0x188B, "" },
    { 0x188C, "get_outer_rightdoor_openedpos" },
    { 0x188D, "get_housing_children" },
    { 0x188E, "get_housing_mainframe" },
//  { 0x188F, "" },
    { 0x1890, "get_housing_primarylight" },
    { 0x1891, "get_housing_musak_model" },
    { 0x1892, "get_housing_door_trigger" },
    { 0x1893, "get_housing_inside_trigger" },
//  { 0x1894, "" },
//  { 0x1895, "" },
    { 0x1896, "get_housing_rightdoor" },
    { 0x1897, "get_housing_leftdoor_opened_pos" },
    { 0x1898, "get_housing_rightdoor_opened_pos" },
    { 0x1899, "get_curfloor" },
//  { 0x189A, "" },
//  { 0x189B, "" },
    { 0x189C, "isinbound" },
//  { 0x189D, "" },
    { 0x189E, "waittill_or_timeout" },
    { 0x189F, "elevator_get_dvar_int" },
    { 0x18A0, "elevator_get_dvar" },
//  { 0x18A1, "" },
//  { 0x18A2, "" },
    { 0x18A3, "num_pipe_fx" },
    { 0x18A4, "pipesetup" },
//  { 0x18A5, "" },
    { 0x18A6, "b" },
    { 0x18A7, "pipe_wait_loop" },
    { 0x18A8, "pipe_logic" },
    { 0x18A9, "_pipe_methods" },
    { 0x18AA, "pipefx" },
    { 0x18AB, "fx_time" },
    { 0x18AC, "_sound" },
    { 0x18AD, "pipe_damage" },
    { 0x18AE, "_dmg" },
//  { 0x18AF, "" },
//  { 0x18B0, "" },
    { 0x18B1, "methodsinit" },
    { 0x18B2, "pipe_calc_ballistic" },
//  { 0x18B3, "" },
    { 0x18B4, "pipe_calc_nofx" },
    { 0x18B5, "precachefx" },
    { 0x18B6, "onplayerconnect" },
//  { 0x18B7, "" },
//  { 0x18B8, "" },
//  { 0x18B9, "" },
    { 0x18BA, "civilian_jet_flyby" },
//  { 0x18BB, "" },
//  { 0x18BC, "" },
    { 0x18BD, "jet_flyto" },
    { 0x18BE, "engine_fxs" },
//  { 0x18BF, "" },
    { 0x18C0, "jet_engine_fx" },
    { 0x18C1, "jet_flash_fx_red" },
    { 0x18C2, "jet_flash_fx_green" },
    { 0x18C3, "jet_flash_fx_blink" },
    { 0x18C4, "civilianjetflyby" },
    { 0x18C5, "old_origin" },
    { 0x18C6, "jet_fly_vec" },
//  { 0x18C7, "" },
    { 0x18C8, "jet_reset" },
//  { 0x18C9, "" },
    { 0x18CA, "civilianjetflyby_timer" },
//  { 0x18CB, "" },
//  { 0x18CC, "" },
//  { 0x18CD, "" },
    { 0x18CE, "remotemissileinprogress" },
    { 0x18CF, "gettimeinterval" },
//  { 0x18D0, "" },
    { 0x18D1, "gametype" },
//  { 0x18D2, "" },
    { 0x18D3, "watchdvars" },
//  { 0x18D4, "" },
    { 0x18D5, "jet_flyby" },
    { 0x18D6, "mapcenter" },
    { 0x18D7, "jet_planesound" },
//  { 0x18D8, "" },
//  { 0x18D9, "" },
//  { 0x18DA, "" },
//  { 0x18DB, "" },
    { 0x18DC, "vending_machine" },
    { 0x18DD, "vm_normal" },
//  { 0x18DE, "" },
//  { 0x18DF, "" },
    { 0x18E0, "vm_fx_loc" },
    { 0x18E1, "vm_normal_model" },
    { 0x18E2, "vm_damaged_model" },
    { 0x18E3, "vm_soda_model" },
    { 0x18E4, "vm_soda_start_pos" },
    { 0x18E5, "vm_soda_start_angle" },
//  { 0x18E6, "" },
    { 0x18E7, "vm_soda_stop_angle" },
    { 0x18E8, "soda_array" },
    { 0x18E9, "soda_count" },
//  { 0x18EA, "" },
    { 0x18EB, "hp" },
//  { 0x18EC, "" },
    { 0x18ED, "spawn_soda" },
    { 0x18EE, "soda_can_drop" },
    { 0x18EF, "soda_can_eject" },
//  { 0x18F0, "" },
    { 0x18F1, "freefall" },
    { 0x18F2, "metal_detector" },
//  { 0x18F3, "" },
    { 0x18F4, "alarm_playing" },
    { 0x18F5, "alarm_annoyance" },
    { 0x18F6, "tolerance" },
//  { 0x18F7, "" },
//  { 0x18F8, "" },
    { 0x18F9, "waittill_any_or_timeout" },
    { 0x18FA, "metal_detector_weapons" },
    { 0x18FB, "waittill_weapon_placed" },
    { 0x18FC, "weapon_notify_loop" },
    { 0x18FD, "isinbound_single" },
    { 0x18FE, "metal_detector_dmg_monitor" },
    { 0x18FF, "metal_detector_touch_monitor" },
    { 0x1900, "alarm_validate_damage" },
//  { 0x1901, "" },
//  { 0x1902, "" },
    { 0x1903, "motion_light" },
    { 0x1904, "movetracker" },
//  { 0x1905, "" },
    { 0x1906, "lightrigs" },
    { 0x1907, "touchlist" },
    { 0x1908, "distmoved" },
    { 0x1909, "motion_light_timeout" },
    { 0x190A, "outdoor_motion_dlight" },
//  { 0x190B, "" },
    { 0x190C, "lightent" },
    { 0x190D, "outdoor_motion_dlight_timeout" },
    { 0x190E, "dog_bark" },
    { 0x190F, "trigger_door" },
//  { 0x1910, "" },
    { 0x1911, "doorangle" },
    { 0x1912, "baseyaw" },
//  { 0x1913, "" },
//  { 0x1914, "" },
//  { 0x1915, "" },
    { 0x1916, "use_toggle" },
    { 0x1917, "bird_startle" },
//  { 0x1918, "" },
    { 0x1919, "copier" },
    { 0x191A, "copy_bar" },
//  { 0x191B, "" },
    { 0x191C, "light" },
    { 0x191D, "end_pos" },
    { 0x191E, "get_photo_copier" },
    { 0x191F, "waittill_copier_copies" },
    { 0x1920, "photo_copier" },
    { 0x1921, "photo_copier_no_light" },
    { 0x1922, "reset_copier" },
    { 0x1923, "photo_copier_copy_bar_goes" },
    { 0x1924, "photo_copier_light_on" },
//  { 0x1925, "" },
    { 0x1926, "photo_light_flicker" },
    { 0x1927, "fan_blade_rotate" },
    { 0x1928, "triggertouchthink" },
//  { 0x1929, "" },
    { 0x192A, "playertouchtriggerthink" },
//  { 0x192B, "" },
    { 0x192C, "movetrackers" },
    { 0x192D, "gameended" },
    { 0x192E, "movementtracker" },
    { 0x192F, "disablemovementtracker" },
//  { 0x1930, "" },
//  { 0x1931, "" },
    { 0x1932, "linefeed_delay" },
    { 0x1933, "credits_active" },
//  { 0x1934, "" },
    { 0x1935, "introscreen_generic_black_fade_in" },
    { 0x1936, "introscreen_generic_white_fade_in" },
    { 0x1937, "introscreen_generic_fade_in" },
    { 0x1938, "introscreen_create_line" },
    { 0x1939, "introstring" },
//  { 0x193A, "" },
//  { 0x193B, "" },
//  { 0x193C, "" },
    { 0x193D, "_cornerlinethread" },
    { 0x193E, "intro_offset" },
//  { 0x193F, "" },
//  { 0x1940, "" },
//  { 0x1941, "" },
//  { 0x1942, "" },
    { 0x1943, "london_intro" },
//  { 0x1944, "" },
    { 0x1945, "prague_intro" },
    { 0x1946, "prague_escape_intro" },
    { 0x1947, "payback_intro" },
    { 0x1948, "send_notify" },
    { 0x1949, "hudtimestamp" },
//  { 0x194A, "" },
    { 0x194B, "feedline_delay" },
    { 0x194C, "slamzoom_intro" },
    { 0x194D, "customintroangles" },
    { 0x194E, "dontrevivehud" },
    { 0x194F, "add_func" },
//  { 0x1950, "" },
    { 0x1951, "hide_hud" },
    { 0x1952, "weapon_pullout" },
    { 0x1953, "revive_ammo_counter" },
    { 0x1954, "nocompass" },
    { 0x1955, "ramp_out_sunsample_over_time" },
    { 0x1956, "get_introscreen_levelname" },
    { 0x1957, "introscreen_levelname" },
    { 0x1958, "main_old_maps" },
    { 0x1959, "cliffhanger_intro_text" },
//  { 0x195A, "" },
//  { 0x195B, "" },
//  { 0x195C, "" },
    { 0x195D, "rescue_2_intro" },
//  { 0x195E, "" },
    { 0x195F, "windstrength" },
    { 0x1960, "animrate" },
//  { 0x1961, "" },
    { 0x1962, "animweightmax" },
    { 0x1963, "inc" },
//  { 0x1964, "" },
    { 0x1965, "windcontroller" },
    { 0x1966, "new_style_shutters" },
    { 0x1967, "pivot" },
    { 0x1968, "shutterwander" },
//  { 0x1969, "" },
//  { 0x196A, "" },
//  { 0x196B, "" },
    { 0x196C, "shutterwanderright" },
    { 0x196D, "shuttersound" },
    { 0x196E, "wirewander" },
//  { 0x196F, "" },
    { 0x1970, "awningwander" },
    { 0x1971, "palmtree_anims" },
//  { 0x1972, "" },
//  { 0x1973, "" },
//  { 0x1974, "" },
//  { 0x1975, "" },
//  { 0x1976, "" },
//  { 0x1977, "" },
    { 0x1978, "escalator_move" },
    { 0x1979, "final_move" },
    { 0x197A, "breakables_fx" },
    { 0x197B, "_glass_info" },
    { 0x197C, "tv_lite_array" },
    { 0x197D, "barrelexpsound" },
//  { 0x197E, "" },
    { 0x197F, "barrelhealth" },
//  { 0x1980, "" },
    { 0x1981, "barrelexplodingthisframe" },
    { 0x1982, "breakables_clip" },
    { 0x1983, "console_auto_aim" },
    { 0x1984, "console_auto_aim_2nd" },
    { 0x1985, "set_console_status" },
    { 0x1986, "_breakable_utility_modelarray" },
//  { 0x1987, "" },
    { 0x1988, "_breakable_utility_maxnum" },
    { 0x1989, "security_camera_logic" },
//  { 0x198A, "" },
//  { 0x198B, "" },
//  { 0x198C, "" },
    { 0x198D, "onmodel" },
    { 0x198E, "disable_interactive_tv_use_triggers" },
    { 0x198F, "usetrig" },
    { 0x1990, "lite" },
    { 0x1991, "liteintensity" },
    { 0x1992, "tv_off" },
    { 0x1993, "tv_damage" },
    { 0x1994, "tvhook" },
//  { 0x1995, "" },
    { 0x1996, "script_health" },
//  { 0x1997, "" },
    { 0x1998, "oil_spill_think" },
    { 0x1999, "barrel" },
//  { 0x199A, "" },
    { 0x199B, "extra" },
//  { 0x199C, "" },
    { 0x199D, "oil_spill_burn" },
    { 0x199E, "oil_spill_burn_section" },
    { 0x199F, "explodable_barrel_think" },
    { 0x19A0, "explodable_barrel_burn" },
    { 0x19A1, "explodable_barrel_explode" },
//  { 0x19A2, "" },
    { 0x19A3, "arcademode_kill" },
    { 0x19A4, "shuddering_entity_think" },
//  { 0x19A5, "" },
    { 0x19A6, "helmet_pop" },
    { 0x19A7, "helmet_logic" },
//  { 0x19A8, "" },
    { 0x19A9, "allowbreak" },
    { 0x19AA, "breakingents" },
    { 0x19AB, "breakable_think_triggered" },
    { 0x19AC, "breakable_think" },
    { 0x19AD, "plate" },
    { 0x19AE, "breakable_logic" },
//  { 0x19AF, "" },
    { 0x19B0, "crateimpactsound" },
    { 0x19B1, "xenon_auto_aim" },
    { 0x19B2, "autoaim" },
    { 0x19B3, "xenon_auto_aim_stop_logic" },
//  { 0x19B4, "" },
//  { 0x19B5, "" },
    { 0x19B6, "wait_message" },
//  { 0x19B7, "" },
    { 0x19B8, "breakable_clip" },
    { 0x19B9, "make_broken_peices" },
    { 0x19BA, "list_add" },
    { 0x19BB, "pieces_move" },
//  { 0x19BC, "" },
    { 0x19BD, "addpiece" },
//  { 0x19BE, "" },
//  { 0x19BF, "" },
    { 0x19C0, "getclosestent" },
    { 0x19C1, "getclosestaccurantent" },
    { 0x19C2, "getclosestaiment" },
    { 0x19C3, "is_iw4_map_sp" },
    { 0x19C4, "intel_items" },
    { 0x19C5, "intel_counter" },
    { 0x19C6, "table_origins" },
    { 0x19C7, "remove_all_intel" },
    { 0x19C8, "removed" },
    { 0x19C9, "remove_intel_item" },
    { 0x19CA, "item" },
//  { 0x19CB, "" },
//  { 0x19CC, "" },
    { 0x19CD, "intel_think" },
    { 0x19CE, "poll_for_found" },
//  { 0x19CF, "" },
//  { 0x19D0, "" },
//  { 0x19D1, "" },
//  { 0x19D2, "" },
    { 0x19D3, "wait_for_pickup" },
    { 0x19D4, "save_intel_for_all_players" },
//  { 0x19D5, "" },
    { 0x19D6, "intel_feedback" },
    { 0x19D7, "player_giveachievement_wrapper" },
    { 0x19D8, "setup_hud_elem" },
    { 0x19D9, "assert_if_identical_origins" },
//  { 0x19DA, "" },
//  { 0x19DB, "" },
    { 0x19DC, "anim_prop_models_animtree" },
//  { 0x19DD, "" },
    { 0x19DE, "anim_prop_init_threads" },
    { 0x19DF, "init_wind_if_uninitialized" },
//  { 0x19E0, "" },
//  { 0x19E1, "" },
    { 0x19E2, "weight" },
    { 0x19E3, "variance" },
    { 0x19E4, "model_init" },
    { 0x19E5, "already_dumpped" },
//  { 0x19E6, "" },
    { 0x19E7, "animatetreewind" },
    { 0x19E8, "blendtreeanims" },
    { 0x19E9, "script_print_fx" },
    { 0x19EA, "script_playfx" },
    { 0x19EB, "script_playfxontag" },
    { 0x19EC, "grenadeexplosionfx" },
    { 0x19ED, "soundfx" },
    { 0x19EE, "soundfxdelete" },
    { 0x19EF, "rainfx" },
    { 0x19F0, "rainloop" },
    { 0x19F1, "blenddelete" },
    { 0x19F2, "watersheeting" },
//  { 0x19F3, "" },
//  { 0x19F4, "" },
    { 0x19F5, "attachhead" },
//  { 0x19F6, "" },
    { 0x19F7, "script_char_index" },
    { 0x19F8, "headmodel" },
//  { 0x19F9, "" },
    { 0x19FA, "character_hat_index" },
//  { 0x19FB, "" },
//  { 0x19FC, "" },
    { 0x19FD, "putguninhand" },
    { 0x19FE, "save" },
    { 0x19FF, "anim_guninhand" },
    { 0x1A00, "load" },
    { 0x1A01, "get_random_character" },
//  { 0x1A02, "" },
    { 0x1A03, "character_index_cache" },
//  { 0x1A04, "" },
    { 0x1A05, "initialize_character_group" },
    { 0x1A06, "get_random_weapon" },
    { 0x1A07, "setupminimap" },
//  { 0x1A08, "" },
//  { 0x1A09, "" },
//  { 0x1A0A, "" },
    { 0x1A0B, "map_width" },
    { 0x1A0C, "map_height" },
    { 0x1A0D, "mapsize" },
    { 0x1A0E, "visionthermaldefault" },
    { 0x1A0F, "clear_custom_eog_summary" },
    { 0x1A10, "notetracks" },
    { 0x1A11, "registernotetracks" },
    { 0x1A12, "add_start" },
    { 0x1A13, "wait_any_func_array" },
//  { 0x1A14, "" },
    { 0x1A15, "run_call_after_wait_array" },
//  { 0x1A16, "" },
//  { 0x1A17, "" },
//  { 0x1A18, "" },
    { 0x1A19, "dirteffectmenu" },
//  { 0x1A1A, "" },
    { 0x1A1B, "radiation_totalpercent" },
//  { 0x1A1C, "" },
    { 0x1A1D, "default_run_speed" },
//  { 0x1A1E, "" },
    { 0x1A1F, "createclientfontstring_func" },
    { 0x1A20, "hudsetpoint_func" },
    { 0x1A21, "makeentitysentient_func" },
    { 0x1A22, "freeentitysentient_func" },
    { 0x1A23, "laseron_func" },
    { 0x1A24, "laseroff_func" },
//  { 0x1A25, "" },
    { 0x1A26, "stat_track_damage_func" },
    { 0x1A27, "_notetrackfx" },
    { 0x1A28, "inwater" },
    { 0x1A29, "hero_list" },
    { 0x1A2A, "flashmonitor" },
    { 0x1A2B, "shock_ondeath" },
    { 0x1A2C, "setskill" },
    { 0x1A2D, "handle_starts_endons" },
    { 0x1A2E, "killspawn_groups" },
    { 0x1A2F, "audio_stringtable_mapname" },
    { 0x1A30, "init_vehicles" },
    { 0x1A31, "deleteent" },
//  { 0x1A32, "" },
    { 0x1A33, "playerhealthregen" },
    { 0x1A34, "friendly_spawner" },
//  { 0x1A35, "" },
    { 0x1A36, "goalvolumes" },
//  { 0x1A37, "" },
    { 0x1A38, "friendlychain_ondeath" },
    { 0x1A39, "friendlyspawnwave" },
//  { 0x1A3A, "" },
    { 0x1A3B, "trigger_hint_string" },
//  { 0x1A3C, "" },
    { 0x1A3D, "shared_portable_turrets" },
    { 0x1A3E, "spawn_groups" },
    { 0x1A3F, "get_load_trigger_classes" },
//  { 0x1A40, "" },
//  { 0x1A41, "" },
    { 0x1A42, "get_load_trigger_funcs" },
    { 0x1A43, "friendly_wave" },
//  { 0x1A44, "" },
    { 0x1A45, "camper_trigger_think" },
    { 0x1A46, "flood_trigger_think" },
    { 0x1A47, "two_stage_spawner_think" },
    { 0x1A48, "random_spawn" },
    { 0x1A49, "objective_event_init" },
    { 0x1A4A, "outdoor_think" },
    { 0x1A4B, "indoor_think" },
    { 0x1A4C, "init_script_triggers" },
    { 0x1A4D, "script_fallback" },
    { 0x1A4E, "fallback_think" },
    { 0x1A4F, "script_mgturretauto" },
    { 0x1A50, "mgturret_auto" },
    { 0x1A51, "kill_spawner" },
    { 0x1A52, "script_kill_vehicle_spawner" },
//  { 0x1A53, "" },
    { 0x1A54, "script_emptyspawner" },
    { 0x1A55, "empty_spawner" },
//  { 0x1A56, "" },
    { 0x1A57, "script_triggered_playerseek" },
    { 0x1A58, "script_bctrigger" },
    { 0x1A59, "script_trigger_group" },
    { 0x1A5A, "script_random_killspawner" },
//  { 0x1A5B, "" },
    { 0x1A5C, "set_early_level" },
//  { 0x1A5D, "" },
    { 0x1A5E, "trigger_slide" },
    { 0x1A5F, "slidetriggerplayerthink" },
//  { 0x1A60, "" },
    { 0x1A61, "player_view" },
    { 0x1A62, "script_accel" },
//  { 0x1A63, "" },
    { 0x1A64, "end_slide_delay" },
    { 0x1A65, "endsliding" },
    { 0x1A66, "setup_simple_primary_lights" },
    { 0x1A67, "weapon_ammo" },
    { 0x1A68, "script_ammo_max" },
//  { 0x1A69, "" },
    { 0x1A6A, "script_ammo_extra" },
    { 0x1A6B, "script_ammo_alt_clip" },
    { 0x1A6C, "script_ammo_alt_extra" },
    { 0x1A6D, "trigger_group" },
    { 0x1A6E, "trigger_group_remove" },
    { 0x1A6F, "exploder_load" },
    { 0x1A70, "script_chance" },
    { 0x1A71, "script_exploder_delay" },
    { 0x1A72, "shock_onpain" },
    { 0x1A73, "usedanimations" },
    { 0x1A74, "badplace_think" },
    { 0x1A75, "badplaces" },
    { 0x1A76, "setup_individual_exploder" },
    { 0x1A77, "exploders" },
    { 0x1A78, "exploder_model_starts_hidden" },
//  { 0x1A79, "" },
    { 0x1A7A, "script_disconnectpaths" },
//  { 0x1A7B, "" },
    { 0x1A7C, "setupexploders" },
    { 0x1A7D, "masked_exploder" },
    { 0x1A7E, "enable_struct_exploders" },
//  { 0x1A7F, "" },
//  { 0x1A80, "" },
    { 0x1A81, "script_ender" },
    { 0x1A82, "script_physics" },
    { 0x1A83, "setup_flag_exploders" },
    { 0x1A84, "exploder_flag_wait" },
    { 0x1A85, "nearairushesplayer" },
    { 0x1A86, "enemyseekingplayer" },
    { 0x1A87, "get_closest_ai" },
    { 0x1A88, "playerdamagerumble" },
//  { 0x1A89, "" },
    { 0x1A8A, "playerdamageshellshock" },
    { 0x1A8B, "map_is_early_in_the_game" },
    { 0x1A8C, "player_special_death_hint" },
    { 0x1A8D, "vehicle_death" },
    { 0x1A8E, "destructible_death" },
    { 0x1A8F, "exploding_barrel_death_af_chase" },
    { 0x1A90, "exploding_barrel_death" },
    { 0x1A91, "grenade_death_text_hudelement" },
//  { 0x1A92, "" },
//  { 0x1A93, "" },
    { 0x1A94, "special_death_indicator_hudelement" },
    { 0x1A95, "triggered_playerseek" },
//  { 0x1A96, "" },
//  { 0x1A97, "" },
//  { 0x1A98, "" },
//  { 0x1A99, "" },
//  { 0x1A9A, "" },
//  { 0x1A9B, "" },
//  { 0x1A9C, "" },
    { 0x1A9D, "bctrigger_validate_distance" },
    { 0x1A9E, "waterthink" },
//  { 0x1A9F, "" },
//  { 0x1AA0, "" },
    { 0x1AA1, "depth_allow_stand" },
    { 0x1AA2, "waterthink_rampspeed" },
//  { 0x1AA3, "" },
//  { 0x1AA4, "" },
    { 0x1AA5, "saw_mgturretlink" },
    { 0x1AA6, "trigger_unlock" },
    { 0x1AA7, "array_notify" },
//  { 0x1AA8, "" },
    { 0x1AA9, "wait_for_an_unlocked_trigger" },
    { 0x1AAA, "report_trigger" },
//  { 0x1AAB, "" },
    { 0x1AAC, "trigger_lookat" },
    { 0x1AAD, "trigger_looking" },
//  { 0x1AAE, "" },
    { 0x1AAF, "set_vision_set" },
    { 0x1AB0, "trigger_lookat_think" },
    { 0x1AB1, "script_dot" },
    { 0x1AB2, "trigger_cansee" },
    { 0x1AB3, "cantraceto" },
    { 0x1AB4, "indicate_start" },
//  { 0x1AB5, "" },
//  { 0x1AB6, "" },
    { 0x1AB7, "start_point" },
    { 0x1AB8, "default_start_override" },
    { 0x1AB9, "default_start" },
    { 0x1ABA, "level_has_start_points" },
//  { 0x1ABB, "" },
    { 0x1ABC, "already_ran_function" },
    { 0x1ABD, "get_string_for_starts" },
    { 0x1ABE, "create_start" },
    { 0x1ABF, "start_menu" },
    { 0x1AC0, "start_nogame" },
    { 0x1AC1, "get_start_dvars" },
    { 0x1AC2, "display_starts" },
    { 0x1AC3, "display_starts_pressed" },
    { 0x1AC4, "start_list_menu" },
//  { 0x1AC5, "" },
    { 0x1AC6, "start_display_cleanup" },
    { 0x1AC7, "devhelp_hudelements" },
//  { 0x1AC8, "" },
    { 0x1AC9, "flag_set_player_trigger" },
    { 0x1ACA, "trigger_nobloodpool" },
    { 0x1ACB, "set_wait_then_clear_skipbloodpool" },
//  { 0x1ACC, "" },
    { 0x1ACD, "sun_off" },
    { 0x1ACE, "flag_set_trigger" },
    { 0x1ACF, "flag_set_trigger_specialops" },
    { 0x1AD0, "player_touched_arr" },
    { 0x1AD1, "flag_set_trigger_specialops_clear" },
    { 0x1AD2, "trigger_damage_player_flag_set" },
//  { 0x1AD3, "" },
    { 0x1AD4, "flag_unset_trigger" },
    { 0x1AD5, "eq_trigger" },
    { 0x1AD6, "set_eq_func" },
//  { 0x1AD7, "" },
//  { 0x1AD8, "" },
    { 0x1AD9, "eq_trigger_table" },
    { 0x1ADA, "player_touched_eq_trigger" },
    { 0x1ADB, "eq_table" },
    { 0x1ADC, "eq_touching" },
    { 0x1ADD, "ai_touched_eq_trigger" },
//  { 0x1ADE, "" },
    { 0x1ADF, "ai_array" },
    { 0x1AE0, "set_eq_on" },
    { 0x1AE1, "set_eq_off" },
    { 0x1AE2, "add_tokens_to_trigger_flags" },
//  { 0x1AE3, "" },
    { 0x1AE4, "script_flag_true_trigger" },
    { 0x1AE5, "wait_for_flag" },
//  { 0x1AE6, "" },
//  { 0x1AE7, "" },
    { 0x1AE8, "trigger_multiple_friendly_stop_respawn" },
    { 0x1AE9, "trigger_multiple_friendly_respawn" },
//  { 0x1AEA, "" },
//  { 0x1AEB, "" },
    { 0x1AEC, "do_radius_damage_from_target" },
//  { 0x1AED, "" },
    { 0x1AEE, "trigger_damage_do_radius_damage" },
//  { 0x1AEF, "" },
    { 0x1AF0, "background_block" },
//  { 0x1AF1, "" },
//  { 0x1AF2, "" },
    { 0x1AF3, "get_ignoreme" },
    { 0x1AF4, "trigger_pacifist" },
//  { 0x1AF5, "" },
//  { 0x1AF6, "" },
//  { 0x1AF7, "" },
    { 0x1AF8, "touched_trigger_runs_func" },
    { 0x1AF9, "trigger_turns_off" },
    { 0x1AFA, "set_player_viewhand_model" },
//  { 0x1AFB, "" },
//  { 0x1AFC, "" },
//  { 0x1AFD, "" },
    { 0x1AFE, "script_hint" },
    { 0x1AFF, "display_hint" },
    { 0x1B00, "stun_test" },
    { 0x1B01, "allowads" },
//  { 0x1B02, "" },
//  { 0x1B03, "" },
//  { 0x1B04, "" },
    { 0x1B05, "found_toucher" },
//  { 0x1B06, "" },
    { 0x1B07, "flag_set_touching" },
    { 0x1B08, "setobjectivetextcolors" },
    { 0x1B09, "ammo_pickup" },
    { 0x1B0A, "get_script_linkto_targets" },
    { 0x1B0B, "delete_link_chain" },
//  { 0x1B0C, "" },
    { 0x1B0D, "trigger_fog" },
    { 0x1B0E, "script_fogset_start" },
    { 0x1B0F, "script_fogset_end" },
    { 0x1B10, "sunfog_enabled" },
    { 0x1B11, "get_fog" },
//  { 0x1B12, "" },
    { 0x1B13, "start_fardist" },
    { 0x1B14, "start_color" },
    { 0x1B15, "start_opacity" },
//  { 0x1B16, "" },
//  { 0x1B17, "" },
    { 0x1B18, "start_sunbeginfadeangle" },
    { 0x1B19, "start_sunendfadeangle" },
    { 0x1B1A, "start_sunfogscale" },
    { 0x1B1B, "end_neardist" },
    { 0x1B1C, "end_fardist" },
    { 0x1B1D, "end_color" },
    { 0x1B1E, "end_opacity" },
    { 0x1B1F, "end_suncolor" },
    { 0x1B20, "end_sundir" },
    { 0x1B21, "end_sunbeginfadeangle" },
//  { 0x1B22, "" },
//  { 0x1B23, "" },
    { 0x1B24, "set_fog_progress" },
    { 0x1B25, "remove_level_first_frame" },
    { 0x1B26, "no_crouch_or_prone_think" },
    { 0x1B27, "no_crouch_or_prone_think_for_player" },
    { 0x1B28, "no_prone_think" },
//  { 0x1B29, "" },
//  { 0x1B2A, "" },
    { 0x1B2B, "spawn_setcharacter" },
    { 0x1B2C, "check_flag_for_stat_tracking" },
    { 0x1B2D, "precache_script_models" },
//  { 0x1B2E, "" },
    { 0x1B2F, "arcademode_save" },
    { 0x1B30, "player_death_detection" },
    { 0x1B31, "player_died_recently_degrades" },
    { 0x1B32, "trigger_spawngroup" },
//  { 0x1B33, "" },
    { 0x1B34, "recon_player" },
    { 0x1B35, "recon_player_downed" },
    { 0x1B36, "last_downed_time" },
    { 0x1B37, "init_level_players" },
    { 0x1B38, "kill_all_players_trigger" },
    { 0x1B39, "trigger_vehicle_spline_spawn" },
    { 0x1B3A, "spawn_vehicle_and_attach_to_spline_path" },
    { 0x1B3B, "trigger_vehicle_spawn" },
//  { 0x1B3C, "" },
    { 0x1B3D, "trigger_dooropen" },
    { 0x1B3E, "trigger_glass_break" },
    { 0x1B3F, "trigger_vehicle_getin_spawn" },
//  { 0x1B40, "" },
//  { 0x1B41, "" },
    { 0x1B42, "vehicle_spawns_targets_and_rides" },
    { 0x1B43, "vehicle_becomes_crashable" },
//  { 0x1B44, "" },
//  { 0x1B45, "" },
    { 0x1B46, "guy_spawns_and_gets_in_vehicle" },
    { 0x1B47, "mount_snowmobile" },
    { 0x1B48, "watchweaponchange" },
    { 0x1B49, "friendly_thermal_reflector_effect" },
    { 0x1B4A, "weap_has_thermal" },
//  { 0x1B4B, "" },
    { 0x1B4C, "turn_thermal_on" },
    { 0x1B4D, "is_in_thermal_vision" },
    { 0x1B4E, "turn_thermal_off" },
    { 0x1B4F, "thermal_effectson" },
    { 0x1B50, "has_thermal_fx" },
//  { 0x1B51, "" },
//  { 0x1B52, "" },
    { 0x1B53, "claymore_pickup_think_global" },
//  { 0x1B54, "" },
    { 0x1B55, "ammo_cache_think_global" },
    { 0x1B56, "use_trigger" },
//  { 0x1B57, "" },
//  { 0x1B58, "" },
    { 0x1B59, "ammo_icon_trig" },
//  { 0x1B5A, "" },
    { 0x1B5B, "player_looking_at" },
    { 0x1B5C, "ammo_icon_fade_in" },
//  { 0x1B5D, "" },
//  { 0x1B5E, "" },
    { 0x1B5F, "init_visionset_progress_trigger" },
    { 0x1B60, "get_vision_set_fog" },
    { 0x1B61, "sunred_start" },
    { 0x1B62, "sungreen_start" },
    { 0x1B63, "sunblue_start" },
    { 0x1B64, "sundir_start" },
    { 0x1B65, "sunbeginfadeangle_start" },
    { 0x1B66, "sunendfadeangle_start" },
//  { 0x1B67, "" },
    { 0x1B68, "visionset_diff" },
//  { 0x1B69, "" },
    { 0x1B6A, "init_self_visionset" },
//  { 0x1B6B, "" },
    { 0x1B6C, "global_empty_callback" },
    { 0x1B6D, "trigger_multiple_compass" },
//  { 0x1B6E, "" },
    { 0x1B6F, "trigger_multiple_fx_volume" },
    { 0x1B70, "trigger_multiple_fx_trigger_on_think" },
//  { 0x1B71, "" },
//  { 0x1B72, "" },
    { 0x1B73, "slowmo_system_init" },
    { 0x1B74, "slowmo_system_defaults" },
//  { 0x1B75, "" },
    { 0x1B76, "lerp_time_out" },
    { 0x1B77, "speed_norm" },
    { 0x1B78, "add_no_game_starts" },
//  { 0x1B79, "" },
//  { 0x1B7A, "" },
    { 0x1B7B, "custom_no_game_setupfunc" },
    { 0x1B7C, "do_no_game_start_teleport" },
    { 0x1B7D, "teleport_player" },
    { 0x1B7E, "friendlyfire" },
    { 0x1B7F, "participation" },
    { 0x1B80, "friendlyfiredisabled" },
    { 0x1B81, "debug_friendlyfire" },
    { 0x1B82, "friendly_fire_think" },
    { 0x1B83, "no_friendly_fire_splash_damage" },
//  { 0x1B84, "" },
//  { 0x1B85, "" },
    { 0x1B86, "friendly_fire_checkpoints" },
    { 0x1B87, "failonfriendlyfire" },
//  { 0x1B88, "" },
//  { 0x1B89, "" },
    { 0x1B8A, "participation_point_cap" },
    { 0x1B8B, "participation_point_flattenovertime" },
    { 0x1B8C, "turnbackon" },
//  { 0x1B8D, "" },
//  { 0x1B8E, "" },
    { 0x1B8F, "custom_friendly_fire_message" },
//  { 0x1B90, "" },
//  { 0x1B91, "" },
    { 0x1B92, "notifydamagenotdone" },
    { 0x1B93, "notifydeath" },
    { 0x1B94, "detectfriendlyfireonentity" },
//  { 0x1B95, "" },
    { 0x1B96, "lookahead_value" },
    { 0x1B97, "drone_lookahead_value" },
    { 0x1B98, "max_drones" },
    { 0x1B99, "drones" },
    { 0x1B9A, "struct_arrayspawn" },
    { 0x1B9B, "drone_spawn_func" },
    { 0x1B9C, "drone_give_soul" },
    { 0x1B9D, "script_moveplaybackrate" },
    { 0x1B9E, "dronecallbackthread" },
//  { 0x1B9F, "" },
    { 0x1BA0, "ai_dont_glow_in_thermal" },
    { 0x1BA1, "drone_init" },
//  { 0x1BA2, "" },
    { 0x1BA3, "script_moveoverride" },
//  { 0x1BA4, "" },
    { 0x1BA5, "drone_array_handling" },
    { 0x1BA6, "structarray_add" },
//  { 0x1BA7, "" },
//  { 0x1BA8, "" },
    { 0x1BA9, "drone_death_thread" },
    { 0x1BAA, "animset" },
//  { 0x1BAB, "" },
    { 0x1BAC, "drone_death_handler" },
    { 0x1BAD, "nocorpsedelete" },
    { 0x1BAE, "drone_wait_for_death" },
    { 0x1BAF, "drone_thermal_draw_disable" },
//  { 0x1BB0, "" },
//  { 0x1BB1, "" },
    { 0x1BB2, "drone_drop_real_weapon_on_death" },
//  { 0x1BB3, "" },
    { 0x1BB4, "drone_idle_custom" },
    { 0x1BB5, "drone_idle_override" },
    { 0x1BB6, "idleanim" },
    { 0x1BB7, "drone_get_goal_loc_with_arrival" },
//  { 0x1BB8, "" },
    { 0x1BB9, "weaponsound" },
    { 0x1BBA, "drone_fire_randomly" },
    { 0x1BBB, "drone_shoot" },
    { 0x1BBC, "drone_shoot_fx" },
    { 0x1BBD, "drone_play_weapon_sound" },
    { 0x1BBE, "drone_wait_move" },
//  { 0x1BBF, "" },
//  { 0x1BC0, "" },
//  { 0x1BC1, "" },
    { 0x1BC2, "anim_relative" },
    { 0x1BC3, "run_speed" },
    { 0x1BC4, "anim_time" },
    { 0x1BC5, "drone_move" },
    { 0x1BC6, "runanim" },
//  { 0x1BC7, "" },
    { 0x1BC8, "started_moving" },
//  { 0x1BC9, "" },
//  { 0x1BCA, "" },
//  { 0x1BCB, "" },
//  { 0x1BCC, "" },
//  { 0x1BCD, "" },
    { 0x1BCE, "draw_point" },
//  { 0x1BCF, "" },
    { 0x1BD0, "patrol" },
//  { 0x1BD1, "" },
    { 0x1BD2, "script_patroller" },
    { 0x1BD3, "get_linked_structs" },
    { 0x1BD4, "set_goal_ent" },
    { 0x1BD5, "set_goal_node" },
//  { 0x1BD6, "" },
//  { 0x1BD7, "" },
//  { 0x1BD8, "" },
    { 0x1BD9, "script_flag_set" },
    { 0x1BDA, "script_ent_flag_set" },
    { 0x1BDB, "script_flag_clear" },
//  { 0x1BDC, "" },
    { 0x1BDD, "script_animation" },
    { 0x1BDE, "patrol_no_stop_transition" },
    { 0x1BDF, "script_faceangles" },
//  { 0x1BE0, "" },
    { 0x1BE1, "patrol_scriptedanim" },
    { 0x1BE2, "patrol_end_idle" },
    { 0x1BE3, "patrol_do_stop_transition_anim" },
    { 0x1BE4, "patrol_stop" },
    { 0x1BE5, "patrol_do_start_transition_anim" },
//  { 0x1BE6, "" },
//  { 0x1BE7, "" },
//  { 0x1BE8, "" },
    { 0x1BE9, "turn_180_move_start_func" },
    { 0x1BEA, "set_patrol_run_anim_array" },
    { 0x1BEB, "patrol_walk_anim" },
    { 0x1BEC, "patrol_walk_twitch" },
//  { 0x1BED, "" },
//  { 0x1BEE, "" },
//  { 0x1BEF, "" },
    { 0x1BF0, "waittill_combat" },
    { 0x1BF1, "script_nobark" },
    { 0x1BF2, "default_goalradius" },
//  { 0x1BF3, "" },
//  { 0x1BF4, "" },
    { 0x1BF5, "showclaimed" },
//  { 0x1BF6, "" },
    { 0x1BF7, "script_pet" },
    { 0x1BF8, "pet_patrol" },
    { 0x1BF9, "patrol_goal_pos" },
//  { 0x1BFA, "" },
    { 0x1BFB, "options" },
//  { 0x1BFC, "" },
//  { 0x1BFD, "" },
    { 0x1BFE, "recursed" },
    { 0x1BFF, "pet_debug_positions" },
    { 0x1C00, "pet_patrol_get_available_origin" },
//  { 0x1C01, "" },
    { 0x1C02, "set_dog_walk_anim" },
    { 0x1C03, "pet_patrol_handle_movespeed" },
    { 0x1C04, "init_move_transition_arrays" },
//  { 0x1C05, "" },
//  { 0x1C06, "" },
//  { 0x1C07, "" },
    { 0x1C08, "covertranssplit" },
    { 0x1C09, "initmovestartstoptransitions" },
    { 0x1C0A, "coverstepinanim" },
    { 0x1C0B, "coverstepinoffsets" },
    { 0x1C0C, "coverstepinangles" },
    { 0x1C0D, "getsplittimes" },
    { 0x1C0E, "getexitsplittime" },
    { 0x1C0F, "gettranssplittime" },
    { 0x1C10, "initflashed" },
    { 0x1C11, "flashanimarray" },
    { 0x1C12, "flashanimindex" },
    { 0x1C13, "randomizeflashanimarray" },
    { 0x1C14, "getnextflashanim" },
//  { 0x1C15, "" },
//  { 0x1C16, "" },
    { 0x1C17, "specialflashedfunc" },
//  { 0x1C18, "" },
//  { 0x1C19, "" },
//  { 0x1C1A, "" },
//  { 0x1C1B, "" },
//  { 0x1C1C, "" },
//  { 0x1C1D, "" },
    { 0x1C1E, "isweaponinitialized" },
    { 0x1C1F, "setglobalaimsettings" },
    { 0x1C20, "aimyawdifffartolerance" },
    { 0x1C21, "aimyawdiffclosedistsq" },
    { 0x1C22, "aimyawdiffclosetolerance" },
    { 0x1C23, "aimpitchdifftolerance" },
//  { 0x1C24, "" },
    { 0x1C25, "sidearm" },
    { 0x1C26, "weaponposdropping" },
    { 0x1C27, "neverlean" },
    { 0x1C28, "rpgplayerrepulsor" },
    { 0x1C29, "gunhand" },
    { 0x1C2A, "prevputguninhandtime" },
//  { 0x1C2B, "" },
    { 0x1C2C, "lastenemytime" },
//  { 0x1C2D, "" },
    { 0x1C2E, "lookangle" },
//  { 0x1C2F, "" },
//  { 0x1C30, "" },
    { 0x1C31, "baseaccuracy" },
//  { 0x1C32, "" },
    { 0x1C33, "accuracystationarymod" },
    { 0x1C34, "sightpostime" },
//  { 0x1C35, "" },
//  { 0x1C36, "" },
    { 0x1C37, "script_forcegrenade" },
//  { 0x1C38, "" },
    { 0x1C39, "ammocheatinterval" },
    { 0x1C3A, "shouldconserveammotime" },
    { 0x1C3B, "monitorflash" },
    { 0x1C3C, "weapons_with_ir" },
    { 0x1C3D, "setnameandrank_andaddtosquad" },
    { 0x1C3E, "pollallowedstancesthread" },
    { 0x1C3F, "setupuniqueanims" },
//  { 0x1C40, "" },
    { 0x1C41, "infiniteloop" },
    { 0x1C42, "empty" },
//  { 0x1C43, "" },
    { 0x1C44, "lastplayersighted" },
//  { 0x1C45, "" },
    { 0x1C46, "window_down_height" },
    { 0x1C47, "firstinit" },
    { 0x1C48, "notfirsttime" },
    { 0x1C49, "invul" },
    { 0x1C4A, "nextgrenadedrop" },
//  { 0x1C4B, "" },
//  { 0x1C4C, "" },
//  { 0x1C4D, "" },
//  { 0x1C4E, "" },
    { 0x1C4F, "optionalstepeffectfunction" },
    { 0x1C50, "playfootstepeffectsmall" },
    { 0x1C51, "optionalstepeffectsmallfunction" },
    { 0x1C52, "playfootstepeffect" },
//  { 0x1C53, "" },
    { 0x1C54, "optionalstepeffectssmall" },
    { 0x1C55, "shootenemywrapper_shootnotify" },
    { 0x1C56, "shootenemywrapper_func" },
    { 0x1C57, "fire_straight" },
    { 0x1C58, "fire_notetrack_functions" },
    { 0x1C59, "shootnotetrack" },
    { 0x1C5A, "painai" },
    { 0x1C5B, "initposemovementfunctions" },
    { 0x1C5C, "burstfirenumshots" },
//  { 0x1C5D, "" },
//  { 0x1C5E, "" },
//  { 0x1C5F, "" },
    { 0x1C60, "watchreloading" },
    { 0x1C61, "initdeveloperdvars" },
    { 0x1C62, "initbattlechatter" },
//  { 0x1C63, "" },
    { 0x1C64, "initgrenades" },
    { 0x1C65, "grenadetimers" },
//  { 0x1C66, "" },
    { 0x1C67, "lastgrenadelandednearplayertime" },
    { 0x1C68, "lastfraggrenadetoplayerstart" },
    { 0x1C69, "initgrenadethrowanims" },
//  { 0x1C6A, "" },
//  { 0x1C6B, "" },
//  { 0x1C6C, "" },
    { 0x1C6D, "lastadvancetoenemysrc" },
    { 0x1C6E, "lastadvancetoenemyattacker" },
//  { 0x1C6F, "" },
    { 0x1C70, "advancetoenemyinterval" },
    { 0x1C71, "advancetoenemygroupmax" },
    { 0x1C72, "aiturnnotifies" },
    { 0x1C73, "setnextplayergrenadetime" },
//  { 0x1C74, "" },
//  { 0x1C75, "" },
//  { 0x1C76, "" },
//  { 0x1C77, "" },
    { 0x1C78, "randominttablesize" },
    { 0x1C79, "randominttable" },
    { 0x1C7A, "ondeath" },
//  { 0x1C7B, "" },
    { 0x1C7C, "usingturret" },
//  { 0x1C7D, "" },
    { 0x1C7E, "disable_achievement_harder_they_fall_guy" },
//  { 0x1C7F, "" },
//  { 0x1C80, "" },
//  { 0x1C81, "" },
    { 0x1C82, "ffpoints" },
//  { 0x1C83, "" },
    { 0x1C84, "smoke_thrown" },
    { 0x1C85, "deathflags" },
    { 0x1C86, "spawner_number" },
    { 0x1C87, "go_to_node_arrays" },
//  { 0x1C88, "" },
    { 0x1C89, "team_specific_spawn_functions" },
    { 0x1C8A, "next_health_drop_time" },
    { 0x1C8B, "guys_to_die_before_next_health_drop" },
//  { 0x1C8C, "" },
//  { 0x1C8D, "" },
    { 0x1C8E, "mg42_hide_distance" },
    { 0x1C8F, "maxfriendlies" },
    { 0x1C90, "_max_script_health" },
    { 0x1C91, "ai_classname_in_level" },
    { 0x1C92, "ai_classname_in_level_keys" },
//  { 0x1C93, "" },
//  { 0x1C94, "" },
    { 0x1C95, "process_deathflags" },
    { 0x1C96, "spawn_guys_until_death_or_no_count" },
    { 0x1C97, "ai_deathflag" },
//  { 0x1C98, "" },
    { 0x1C99, "script_deathflag_longdeath" },
//  { 0x1C9A, "" },
    { 0x1C9B, "spawner_deathflag" },
//  { 0x1C9C, "" },
    { 0x1C9D, "update_deathflag" },
//  { 0x1C9E, "" },
    { 0x1C9F, "doautospawn" },
    { 0x1CA0, "triggerunlocked" },
    { 0x1CA1, "vehicle_spawn" },
    { 0x1CA2, "spawn_pool_enabled" },
    { 0x1CA3, "trigger_pool_spawners" },
    { 0x1CA4, "deletestructarray_ref" },
//  { 0x1CA5, "" },
//  { 0x1CA6, "" },
    { 0x1CA7, "get_spawner_from_pool" },
    { 0x1CA8, "spawner_pool" },
    { 0x1CA9, "poolindex" },
    { 0x1CAA, "pool" },
    { 0x1CAB, "spawn_pool_copy_function" },
    { 0x1CAC, "create_new_spawner_pool" },
    { 0x1CAD, "trigger_spawner_spawns_guys" },
//  { 0x1CAE, "" },
    { 0x1CAF, "dronespawn" },
//  { 0x1CB0, "" },
    { 0x1CB1, "script_forcespawn" },
    { 0x1CB2, "script_combatbehavior" },
    { 0x1CB3, "enable_heat_behavior" },
//  { 0x1CB4, "" },
//  { 0x1CB5, "" },
    { 0x1CB6, "trigger_reinforcement_get_reinforcement_spawner" },
//  { 0x1CB7, "" },
    { 0x1CB8, "reincrement_count_if_deleted" },
    { 0x1CB9, "script_force_count" },
    { 0x1CBA, "delete_start" },
    { 0x1CBB, "script_start" },
//  { 0x1CBC, "" },
//  { 0x1CBD, "" },
//  { 0x1CBE, "" },
    { 0x1CBF, "set_count" },
    { 0x1CC0, "kill_spawnernum" },
    { 0x1CC1, "trigger_spawn" },
    { 0x1CC2, "spawn_grenade" },
    { 0x1CC3, "grenade_cache" },
    { 0x1CC4, "grenade_cache_index" },
    { 0x1CC5, "waittilldeathorpaindeath" },
//  { 0x1CC6, "" },
//  { 0x1CC7, "" },
//  { 0x1CC8, "" },
    { 0x1CC9, "spawn_prethink" },
    { 0x1CCA, "script_difficulty" },
    { 0x1CCB, "script_aigroup" },
    { 0x1CCC, "script_delete" },
    { 0x1CCD, "_ai_delete" },
    { 0x1CCE, "_ai_health" },
    { 0x1CCF, "spawn_functions" },
    { 0x1CD0, "spawnercallbackthread" },
    { 0x1CD1, "spawn_think" },
//  { 0x1CD2, "" },
    { 0x1CD3, "shouldnt_spawn_because_of_script_difficulty" },
//  { 0x1CD4, "" },
    { 0x1CD5, "specops_think" },
    { 0x1CD6, "multikill_monitor" },
    { 0x1CD7, "multikill_count" },
    { 0x1CD8, "specops_dmg" },
//  { 0x1CD9, "" },
    { 0x1CDA, "deathfunctions" },
    { 0x1CDB, "deathfuncs" },
    { 0x1CDC, "ai_damage_think" },
    { 0x1CDD, "damage_functions" },
    { 0x1CDE, "living_ai_prethink" },
//  { 0x1CDF, "" },
//  { 0x1CE0, "" },
    { 0x1CE1, "script_followmin" },
    { 0x1CE2, "script_followmax" },
//  { 0x1CE3, "" },
    { 0x1CE4, "auto_adjust_enemy_death_detection" },
    { 0x1CE5, "script_combatmode" },
    { 0x1CE6, "spawn_team_team3" },
    { 0x1CE7, "spawn_team_neutral" },
    { 0x1CE8, "subclass_elite" },
//  { 0x1CE9, "" },
//  { 0x1CEA, "" },
//  { 0x1CEB, "" },
//  { 0x1CEC, "" },
    { 0x1CED, "pain_resistance" },
//  { 0x1CEE, "" },
//  { 0x1CEF, "" },
//  { 0x1CF0, "" },
//  { 0x1CF1, "" },
    { 0x1CF2, "script_dontshootwhilemoving" },
    { 0x1CF3, "script_attackeraccuracy" },
    { 0x1CF4, "script_startrunning" },
//  { 0x1CF5, "" },
    { 0x1CF6, "script_nosurprise" },
    { 0x1CF7, "script_nobloodpool" },
//  { 0x1CF8, "" },
    { 0x1CF9, "script_danger_react" },
    { 0x1CFA, "enable_danger_react" },
    { 0x1CFB, "script_faceenemydist" },
//  { 0x1CFC, "" },
    { 0x1CFD, "script_fixednode" },
    { 0x1CFE, "script_threatbiasgroup" },
//  { 0x1CFF, "" },
//  { 0x1D00, "" },
//  { 0x1D01, "" },
    { 0x1D02, "script_ignoreall" },
    { 0x1D03, "script_sightrange" },
    { 0x1D04, "script_favoriteenemy" },
//  { 0x1D05, "" },
    { 0x1D06, "script_maxdist" },
    { 0x1D07, "script_longdeath" },
//  { 0x1D08, "" },
//  { 0x1D09, "" },
    { 0x1D0A, "script_pacifist" },
//  { 0x1D0B, "" },
    { 0x1D0C, "script_nodrop" },
//  { 0x1D0D, "" },
    { 0x1D0E, "set_ai_number" },
//  { 0x1D0F, "" },
    { 0x1D10, "script_playerseek" },
//  { 0x1D11, "" },
//  { 0x1D12, "" },
//  { 0x1D13, "" },
//  { 0x1D14, "" },
    { 0x1D15, "script_readystand" },
//  { 0x1D16, "" },
//  { 0x1D17, "" },
    { 0x1D18, "used_an_mg42" },
//  { 0x1D19, "" },
//  { 0x1D1A, "" },
//  { 0x1D1B, "" },
    { 0x1D1C, "scrub_guy" },
    { 0x1D1D, "clear_force_color" },
//  { 0x1D1E, "" },
//  { 0x1D1F, "" },
    { 0x1D20, "flag_turret_for_use" },
    { 0x1D21, "flagged_for_use" },
    { 0x1D22, "set_goal_volume" },
//  { 0x1D23, "" },
    { 0x1D24, "go_to_origin" },
//  { 0x1D25, "" },
//  { 0x1D26, "" },
    { 0x1D27, "empty_arrived_func" },
    { 0x1D28, "get_least_used_from_array" },
//  { 0x1D29, "" },
//  { 0x1D2A, "" },
    { 0x1D2B, "go_to_node_set_goal_ent" },
    { 0x1D2C, "go_to_node_set_goal_pos" },
    { 0x1D2D, "go_to_node_set_goal_node" },
    { 0x1D2E, "targets_and_uses_turret" },
    { 0x1D2F, "remove_crawled" },
    { 0x1D30, "crawled" },
    { 0x1D31, "crawl_target_and_init_flags" },
//  { 0x1D32, "" },
//  { 0x1D33, "" },
    { 0x1D34, "script_goalheight" },
    { 0x1D35, "set_goal_from_settings" },
//  { 0x1D36, "" },
    { 0x1D37, "manualtarget" },
    { 0x1D38, "use_a_turret" },
    { 0x1D39, "script_autotarget" },
    { 0x1D3A, "script_manualtarget" },
    { 0x1D3B, "manual_target" },
    { 0x1D3C, "manual_think" },
//  { 0x1D3D, "" },
    { 0x1D3E, "mg42_firing" },
//  { 0x1D3F, "" },
//  { 0x1D40, "" },
    { 0x1D41, "fallback_ai_think_death" },
//  { 0x1D42, "" },
//  { 0x1D43, "" },
    { 0x1D44, "fallback_initiated" },
    { 0x1D45, "fallback_death" },
    { 0x1D46, "fallback_goal" },
    { 0x1D47, "fallback_ai" },
    { 0x1D48, "coverprint" },
    { 0x1D49, "newfallback_overmind" },
    { 0x1D4A, "spawner_fallbackers" },
//  { 0x1D4B, "" },
    { 0x1D4C, "fallback_text" },
    { 0x1D4D, "fallback_wait" },
//  { 0x1D4E, "" },
    { 0x1D4F, "fallback_coverprint" },
//  { 0x1D50, "" },
//  { 0x1D51, "" },
//  { 0x1D52, "" },
    { 0x1D53, "delete_me" },
    { 0x1D54, "vlength" },
    { 0x1D55, "specialcheck" },
//  { 0x1D56, "" },
    { 0x1D57, "friendly_wave_trigger" },
    { 0x1D58, "set_spawncount" },
    { 0x1D59, "friendlydeath_thread" },
    { 0x1D5A, "totalfriends" },
//  { 0x1D5B, "" },
    { 0x1D5C, "combatbehavior" },
    { 0x1D5D, "friendlywave_thread" },
    { 0x1D5E, "script_usemg42" },
    { 0x1D5F, "turret_use_time" },
    { 0x1D60, "friendly_mg42_death_notify" },
    { 0x1D61, "friendly_mg42_wait_for_use" },
//  { 0x1D62, "" },
//  { 0x1D63, "" },
//  { 0x1D64, "" },
    { 0x1D65, "friendly_mg42" },
    { 0x1D66, "nofour" },
//  { 0x1D67, "" },
//  { 0x1D68, "" },
//  { 0x1D69, "" },
    { 0x1D6A, "friendly_mg42_doneusingturret" },
//  { 0x1D6B, "" },
    { 0x1D6C, "notanksquish" },
    { 0x1D6D, "levelhasvehicles" },
    { 0x1D6E, "tanksquish_damage_check" },
//  { 0x1D6F, "" },
//  { 0x1D70, "" },
//  { 0x1D71, "" },
//  { 0x1D72, "" },
//  { 0x1D73, "" },
    { 0x1D74, "panzer_ent_offset" },
    { 0x1D75, "panzer_pos" },
    { 0x1D76, "showstart" },
    { 0x1D77, "spawnwaypointfriendlies" },
//  { 0x1D78, "" },
    { 0x1D79, "waittilldeathorleavesquad" },
    { 0x1D7A, "spawnerwave" },
    { 0x1D7B, "issquad" },
    { 0x1D7C, "script_randomspawn" },
//  { 0x1D7D, "" },
//  { 0x1D7E, "" },
//  { 0x1D7F, "" },
    { 0x1D80, "securestarted" },
    { 0x1D81, "ai" },
    { 0x1D82, "flood_and_secure_spawner_think" },
//  { 0x1D83, "" },
    { 0x1D84, "addtowavespawner" },
//  { 0x1D85, "" },
    { 0x1D86, "addedtowave" },
//  { 0x1D87, "" },
//  { 0x1D88, "" },
    { 0x1D89, "playerwasnearby" },
    { 0x1D8A, "waittillrestartordistance" },
    { 0x1D8B, "flood_and_secure_spawn" },
    { 0x1D8C, "flood_and_secure_spawn_goal" },
    { 0x1D8D, "fightdist" },
    { 0x1D8E, "script_noteworthy2" },
//  { 0x1D8F, "" },
    { 0x1D90, "whisper" },
    { 0x1D91, "friendlychain" },
    { 0x1D92, "lastfriendlytrigger" },
    { 0x1D93, "script_baseoffire" },
    { 0x1D94, "objectiveisallowed" },
//  { 0x1D95, "" },
    { 0x1D96, "active_objective" },
//  { 0x1D97, "" },
    { 0x1D98, "inactive_objective" },
//  { 0x1D99, "" },
//  { 0x1D9A, "" },
    { 0x1D9B, "deathchainainotify" },
    { 0x1D9C, "deathchainspawnerlogic" },
    { 0x1D9D, "friendlychain_ondeaththink" },
    { 0x1D9E, "setnewplayerchain" },
    { 0x1D9F, "set_friendly_chain_wrapper" },
    { 0x1DA0, "friendlyspawnorg" },
    { 0x1DA1, "friendlyspawntrigger" },
//  { 0x1DA2, "" },
    { 0x1DA3, "getfriendlyspawnstart" },
    { 0x1DA4, "activefriendlyspawn" },
    { 0x1DA5, "getfriendlyspawntrigger" },
//  { 0x1DA6, "" },
//  { 0x1DA7, "" },
//  { 0x1DA8, "" },
    { 0x1DA9, "friendlyspawnwave_triggerthink" },
    { 0x1DAA, "deathchain_goalvolume" },
    { 0x1DAB, "debugprint" },
    { 0x1DAC, "aigroup_create" },
    { 0x1DAD, "aicount" },
//  { 0x1DAE, "" },
    { 0x1DAF, "spawners" },
    { 0x1DB0, "aigroup_spawnerthink" },
    { 0x1DB1, "decremented" },
//  { 0x1DB2, "" },
//  { 0x1DB3, "" },
    { 0x1DB4, "aigroup_soldierthink" },
    { 0x1DB5, "claimed" },
    { 0x1DB6, "script_spawn_here" },
    { 0x1DB7, "camper_guy" },
    { 0x1DB8, "move_when_enemy_hides" },
    { 0x1DB9, "claimed_node" },
    { 0x1DBA, "claim_a_node" },
    { 0x1DBB, "find_unclaimed_node" },
    { 0x1DBC, "flood_spawner_init" },
    { 0x1DBD, "trigger_requires_player" },
//  { 0x1DBE, "" },
//  { 0x1DBF, "" },
//  { 0x1DC0, "" },
    { 0x1DC1, "player_saw_kill" },
//  { 0x1DC2, "" },
    { 0x1DC3, "pyramid_death_report" },
    { 0x1DC4, "spawn" },
    { 0x1DC5, "pyramid_spawn" },
    { 0x1DC6, "pyramid_spawner_reports_death" },
    { 0x1DC7, "expand_goalradius" },
    { 0x1DC8, "drop_health_timeout_thread" },
//  { 0x1DC9, "" },
//  { 0x1DCA, "" },
    { 0x1DCB, "traceshow" },
    { 0x1DCC, "show_bad_path" },
//  { 0x1DCD, "" },
//  { 0x1DCE, "" },
    { 0x1DCF, "is_the_player" },
//  { 0x1DD0, "" },
    { 0x1DD1, "drone_delete_on_unload" },
    { 0x1DD2, "spawner_makerealai" },
    { 0x1DD3, "vehicle_idling" },
//  { 0x1DD4, "" },
//  { 0x1DD5, "" },
//  { 0x1DD6, "" },
//  { 0x1DD7, "" },
//  { 0x1DD8, "" },
    { 0x1DD9, "achieve_engineer_turret" },
//  { 0x1DDA, "" },
//  { 0x1DDB, "" },
    { 0x1DDC, "achieve_key_master_shotgun" },
    { 0x1DDD, "achieve_some_like_hot_thermal" },
    { 0x1DDE, "achieve_2_birds_1_stone" },
    { 0x1DDF, "achieve_driveby" },
//  { 0x1DE0, "" },
    { 0x1DE1, "rappeller" },
    { 0x1DE2, "achieve_riotshield_melee" },
//  { 0x1DE3, "" },
//  { 0x1DE4, "" },
    { 0x1DE5, "breaching_shots_fired" },
//  { 0x1DE6, "" },
    { 0x1DE7, "achieve_akimbo" },
//  { 0x1DE8, "" },
    { 0x1DE9, "achieve_threesome" },
    { 0x1DEA, "add_random_killspawner_to_spawngroup" },
//  { 0x1DEB, "" },
//  { 0x1DEC, "" },
//  { 0x1DED, "" },
//  { 0x1DEE, "" },
//  { 0x1DEF, "" },
    { 0x1DF0, "init_mgturretsettings" },
//  { 0x1DF1, "" },
    { 0x1DF2, "magic_distance" },
//  { 0x1DF3, "" },
//  { 0x1DF4, "" },
    { 0x1DF5, "mg42_trigger" },
    { 0x1DF6, "script_mg42auto" },
    { 0x1DF7, "ai_mode" },
//  { 0x1DF8, "" },
    { 0x1DF9, "burst_fire_settings" },
//  { 0x1DFA, "" },
//  { 0x1DFB, "" },
//  { 0x1DFC, "" },
//  { 0x1DFD, "" },
//  { 0x1DFE, "" },
//  { 0x1DFF, "" },
//  { 0x1E00, "" },
    { 0x1E01, "shell_sound_enabled" },
    { 0x1E02, "turret_shell_sound" },
    { 0x1E03, "drop_to_ground" },
    { 0x1E04, "turrettimer" },
    { 0x1E05, "random_spread" },
//  { 0x1E06, "" },
    { 0x1E07, "_spawner_mg42_think" },
    { 0x1E08, "script_mg42" },
    { 0x1E09, "mg42_enabled" },
//  { 0x1E0A, "" },
    { 0x1E0B, "mg42_think" },
    { 0x1E0C, "kill_objects" },
    { 0x1E0D, "mg42_gunner_think" },
    { 0x1E0E, "player_safe" },
    { 0x1E0F, "player_covertrigger" },
    { 0x1E10, "player_covertype" },
//  { 0x1E11, "" },
    { 0x1E12, "mg42_gunner_manual_think" },
//  { 0x1E13, "" },
    { 0x1E14, "target_entity" },
//  { 0x1E15, "" },
//  { 0x1E16, "" },
//  { 0x1E17, "" },
    { 0x1E18, "move_use_turret" },
    { 0x1E19, "temp_think" },
//  { 0x1E1A, "" },
//  { 0x1E1B, "" },
    { 0x1E1C, "script_turret_reuse_min" },
    { 0x1E1D, "script_turret_reuse_max" },
    { 0x1E1E, "turret_find_user" },
    { 0x1E1F, "getdifficulty" },
    { 0x1E20, "script_skilloverride" },
//  { 0x1E21, "" },
    { 0x1E22, "suppressiontime" },
//  { 0x1E23, "" },
//  { 0x1E24, "" },
    { 0x1E25, "mg42_target_drones" },
    { 0x1E26, "dronefailed" },
    { 0x1E27, "script_fireondrones" },
    { 0x1E28, "drones_targets_sets_to_default" },
    { 0x1E29, "defaultonmode" },
    { 0x1E2A, "oldconvergencetime" },
//  { 0x1E2B, "" },
    { 0x1E2C, "anim_wait_func" },
    { 0x1E2D, "drone_target" },
    { 0x1E2E, "structarray_shuffle" },
    { 0x1E2F, "get_bestdrone" },
    { 0x1E30, "prefers_drones" },
//  { 0x1E31, "" },
    { 0x1E32, "script_dont_link_turret" },
//  { 0x1E33, "" },
    { 0x1E34, "shared_turrets" },
//  { 0x1E35, "" },
    { 0x1E36, "script_turret_ambush" },
//  { 0x1E37, "" },
    { 0x1E38, "dropturretproc" },
    { 0x1E39, "turretmodel" },
    { 0x1E3A, "turretdeathdetacher" },
//  { 0x1E3B, "" },
//  { 0x1E3C, "" },
//  { 0x1E3D, "" },
    { 0x1E3E, "move_target_pos_to_new_turrets_visibility" },
    { 0x1E3F, "record_bread_crumbs_for_ambush" },
    { 0x1E40, "bread_crumbs" },
    { 0x1E41, "aim_turret_at_ambush_point_or_visible_enemy" },
    { 0x1E42, "find_a_new_turret_spot" },
    { 0x1E43, "snap_lock_turret_onto_target" },
//  { 0x1E44, "" },
    { 0x1E45, "pickup_gun" },
    { 0x1E46, "get_turret_setup_anim" },
    { 0x1E47, "run_to_new_spot_and_setup_gun" },
    { 0x1E48, "mg42" },
    { 0x1E49, "move_to_run_pos" },
    { 0x1E4A, "runpos" },
//  { 0x1E4B, "" },
//  { 0x1E4C, "" },
//  { 0x1E4D, "" },
//  { 0x1E4E, "" },
//  { 0x1E4F, "" },
//  { 0x1E50, "" },
    { 0x1E51, "find_connected_turrets" },
    { 0x1E52, "find_good_ambush_spot" },
    { 0x1E53, "find_different_way_to_attack_last_seen_position" },
    { 0x1E54, "portable_mg_spot" },
//  { 0x1E55, "" },
    { 0x1E56, "solid" },
    { 0x1E57, "show_turret" },
//  { 0x1E58, "" },
//  { 0x1E59, "" },
//  { 0x1E5A, "" },
    { 0x1E5B, "waittill_turret_is_released" },
//  { 0x1E5C, "" },
//  { 0x1E5D, "" },
    { 0x1E5E, "baseignorerandombulletdamage" },
//  { 0x1E5F, "" },
//  { 0x1E60, "" },
//  { 0x1E61, "" },
//  { 0x1E62, "" },
    { 0x1E63, "difficultysettings_frac_data_points" },
//  { 0x1E64, "" },
    { 0x1E65, "mg42badplace_maxtime" },
    { 0x1E66, "difficultysettings" },
    { 0x1E67, "custom_gameskill_func" },
//  { 0x1E68, "" },
    { 0x1E69, "screeneffect" },
//  { 0x1E6A, "" },
//  { 0x1E6B, "" },
    { 0x1E6C, "updatealldifficulty" },
    { 0x1E6D, "dog_health" },
    { 0x1E6E, "explosiveplanttime" },
    { 0x1E6F, "min_sniper_burst_delay_time" },
    { 0x1E70, "max_sniper_burst_delay_time" },
    { 0x1E71, "updategameskill" },
    { 0x1E72, "gameskill_change_monitor" },
//  { 0x1E73, "" },
    { 0x1E74, "aa_should_start_fresh" },
//  { 0x1E75, "" },
    { 0x1E76, "invultime_preshield" },
    { 0x1E77, "invultime_onshield" },
    { 0x1E78, "invultime_postshield" },
    { 0x1E79, "playerhealth_regularregendelay" },
    { 0x1E7A, "worthydamageratio" },
    { 0x1E7B, "longregentime" },
//  { 0x1E7C, "" },
    { 0x1E7D, "regenrate" },
    { 0x1E7E, "player_attacker_accuracy" },
    { 0x1E7F, "playergrenadebasetime" },
//  { 0x1E80, "" },
    { 0x1E81, "update_player_attacker_accuracy" },
    { 0x1E82, "apply_difficulty_step_with_func" },
    { 0x1E83, "misstimeconstant" },
    { 0x1E84, "misstimedistancefactor" },
    { 0x1E85, "dog_hits_before_kill" },
    { 0x1E86, "double_grenades_allowed" },
    { 0x1E87, "set_difficulty_from_locked_settings" },
//  { 0x1E88, "" },
//  { 0x1E89, "" },
    { 0x1E8A, "get_blended_difficulty" },
    { 0x1E8B, "getcurrentdifficultysetting" },
//  { 0x1E8C, "" },
    { 0x1E8D, "get_locked_difficulty_val_player" },
    { 0x1E8E, "get_locked_difficulty_val_global" },
//  { 0x1E8F, "" },
    { 0x1E90, "pain_protection" },
    { 0x1E91, "pain_protection_check" },
//  { 0x1E92, "" },
    { 0x1E93, "ramboaccuracymult" },
    { 0x1E94, "setsniperaccuracy" },
    { 0x1E95, "lastmissedenemy" },
//  { 0x1E96, "" },
    { 0x1E97, "neverforcesnipermissenemy" },
//  { 0x1E98, "" },
//  { 0x1E99, "" },
    { 0x1E9A, "waittimeifplayerishit" },
//  { 0x1E9B, "" },
    { 0x1E9C, "resetmissdebouncetime" },
    { 0x1E9D, "setmisstime" },
    { 0x1E9E, "accuracygrowthmultiplier" },
//  { 0x1E9F, "" },
//  { 0x1EA0, "" },
    { 0x1EA1, "screen_effect_on_open_side" },
//  { 0x1EA2, "" },
    { 0x1EA3, "screen_detailed_alpha" },
//  { 0x1EA4, "" },
    { 0x1EA5, "blood_splat_on_screen" },
    { 0x1EA6, "display_screen_effect" },
    { 0x1EA7, "playerhurtcheck" },
    { 0x1EA8, "dirt_on_screen_from_position" },
    { 0x1EA9, "bloodsplateffect" },
    { 0x1EAA, "hurtagain" },
    { 0x1EAB, "damagepoint" },
//  { 0x1EAC, "" },
    { 0x1EAD, "mods_override" },
    { 0x1EAE, "player_health_packets" },
    { 0x1EAF, "text" },
//  { 0x1EB0, "" },
    { 0x1EB1, "reducetakecoverwarnings" },
//  { 0x1EB2, "" },
    { 0x1EB3, "noplayerinvul" },
//  { 0x1EB4, "" },
//  { 0x1EB5, "" },
//  { 0x1EB6, "" },
//  { 0x1EB7, "" },
//  { 0x1EB8, "" },
    { 0x1EB9, "background" },
    { 0x1EBA, "create_warning_elem" },
//  { 0x1EBB, "" },
//  { 0x1EBC, "" },
    { 0x1EBD, "destroy_warning_elem_when_mission_failed" },
//  { 0x1EBE, "" },
//  { 0x1EBF, "" },
    { 0x1EC0, "may_change_cover_warning_alpha" },
    { 0x1EC1, "fontscaler" },
//  { 0x1EC2, "" },
    { 0x1EC3, "take_cover_warnings_enabled" },
    { 0x1EC4, "cover_warnings_disabled" },
//  { 0x1EC5, "" },
//  { 0x1EC6, "" },
//  { 0x1EC7, "" },
    { 0x1EC8, "healthoverlay_remove" },
    { 0x1EC9, "init_take_cover_warnings" },
    { 0x1ECA, "increment_take_cover_warnings_on_death" },
    { 0x1ECB, "auto_adjust_difficulty_player_positioner" },
//  { 0x1ECC, "" },
    { 0x1ECD, "autospot_is_close_to_player" },
    { 0x1ECE, "auto_adjust_difficulty_player_movement_check" },
    { 0x1ECF, "movedrecently" },
    { 0x1ED0, "auto_adjust_difficulty_track_player_death" },
    { 0x1ED1, "auto_adjust_difficulty_track_player_shots" },
    { 0x1ED2, "timebetweenshots" },
    { 0x1ED3, "hud_debug_add_frac" },
    { 0x1ED4, "hud_debug_add" },
//  { 0x1ED5, "" },
    { 0x1ED6, "hudnum" },
    { 0x1ED7, "huddebugnum" },
    { 0x1ED8, "hud_debug_add_message" },
    { 0x1ED9, "hudmsgshare" },
    { 0x1EDA, "debugleft" },
//  { 0x1EDB, "" },
    { 0x1EDC, "hud_debug_add_display" },
    { 0x1EDD, "hud_debug_add_string" },
    { 0x1EDE, "hud_debug_add_num" },
    { 0x1EDF, "hud_debug_add_second_string" },
    { 0x1EE0, "auto_adjust_results" },
    { 0x1EE1, "command_used" },
//  { 0x1EE2, "" },
//  { 0x1EE3, "" },
    { 0x1EE4, "player_ads_time" },
    { 0x1EE5, "aa_player_health_tracking" },
//  { 0x1EE6, "" },
//  { 0x1EE7, "" },
//  { 0x1EE8, "" },
    { 0x1EE9, "aa_update_flags" },
    { 0x1EEA, "aa_add_event" },
    { 0x1EEB, "aa_add_event_float" },
    { 0x1EEC, "return_false" },
    { 0x1EED, "player_attacker" },
    { 0x1EEE, "player_did_most_damage" },
    { 0x1EEF, "empty_kill_func" },
//  { 0x1EF0, "" },
//  { 0x1EF1, "" },
    { 0x1EF2, "bullet_attack" },
//  { 0x1EF3, "" },
    { 0x1EF4, "coop_with_one_player_downed" },
    { 0x1EF5, "gettargetangleoffset" },
    { 0x1EF6, "getsniperburstdelaytime" },
//  { 0x1EF7, "" },
    { 0x1EF8, "getburstdelaytime" },
    { 0x1EF9, "burstdelay" },
    { 0x1EFA, "aimbutdontshoot" },
//  { 0x1EFB, "" },
    { 0x1EFC, "decidenumshotsforburst" },
//  { 0x1EFD, "" },
//  { 0x1EFE, "" },
//  { 0x1EFF, "" },
    { 0x1F00, "fireuntiloutofammo" },
    { 0x1F01, "shootrateoverride" },
//  { 0x1F02, "" },
    { 0x1F03, "fireuntiloutofammointernal" },
    { 0x1F04, "notifyonanimend" },
    { 0x1F05, "shootatshootentorpos" },
    { 0x1F06, "shootposwrapper" },
    { 0x1F07, "showrocket" },
    { 0x1F08, "decrementbulletsinclip" },
    { 0x1F09, "shotgunpumpsound" },
    { 0x1F0A, "stopshotgunpumpaftertime" },
    { 0x1F0B, "rechamber" },
//  { 0x1F0C, "" },
    { 0x1F0D, "addgrenadethrowanimoffset" },
    { 0x1F0E, "grenadethrowanims" },
    { 0x1F0F, "grenadethrowoffsets" },
    { 0x1F10, "throwgrenadeatplayerasap_combat_utility" },
    { 0x1F11, "activegrenadetimer" },
    { 0x1F12, "isplayertimer" },
    { 0x1F13, "timername" },
    { 0x1F14, "usingplayergrenadetimer" },
//  { 0x1F15, "" },
    { 0x1F16, "getdesiredgrenadetimervalue" },
//  { 0x1F17, "" },
//  { 0x1F18, "" },
//  { 0x1F19, "" },
//  { 0x1F1A, "" },
    { 0x1F1B, "trygrenadeposproc" },
    { 0x1F1C, "ignoregrenadesafetime" },
    { 0x1F1D, "oldgrenawareness" },
//  { 0x1F1E, "" },
    { 0x1F1F, "dogrenadethrow" },
    { 0x1F20, "donotetracksforever" },
    { 0x1F21, "getgrenademodel" },
    { 0x1F22, "isholdinggrenade" },
//  { 0x1F23, "" },
//  { 0x1F24, "" },
    { 0x1F25, "grenadelandednearplayer" },
//  { 0x1F26, "" },
//  { 0x1F27, "" },
//  { 0x1F28, "" },
    { 0x1F29, "detachgrenadeonscriptchange" },
    { 0x1F2A, "offsettoorigin" },
    { 0x1F2B, "grenadeline" },
//  { 0x1F2C, "" },
//  { 0x1F2D, "" },
    { 0x1F2E, "usecovernodeifpossible" },
    { 0x1F2F, "checkadvanceonenemyconditions" },
//  { 0x1F30, "" },
//  { 0x1F31, "" },
    { 0x1F32, "getgunyawtoshootentorpos" },
//  { 0x1F33, "" },
    { 0x1F34, "getpitchtoenemy" },
    { 0x1F35, "getpitchtospot" },
//  { 0x1F36, "" },
    { 0x1F37, "waittillreloadfinished" },
//  { 0x1F38, "" },
    { 0x1F39, "checkgrenadethrowdist" },
    { 0x1F3A, "neverstopmonitoringflash" },
    { 0x1F3B, "script_immunetoflash" },
    { 0x1F3C, "flashingteam" },
//  { 0x1F3D, "" },
//  { 0x1F3E, "" },
    { 0x1F3F, "islongrangeai" },
//  { 0x1F40, "" },
//  { 0x1F41, "" },
//  { 0x1F42, "" },
    { 0x1F43, "detachallweaponmodels" },
//  { 0x1F44, "" },
    { 0x1F45, "shieldbroken" },
//  { 0x1F46, "" },
    { 0x1F47, "custom_laser_function" },
    { 0x1F48, "canuselaser" },
//  { 0x1F49, "" },
    { 0x1F4A, "dropaiweapon" },
    { 0x1F4B, "dropweaponwrapper" },
//  { 0x1F4C, "" },
//  { 0x1F4D, "" },
    { 0x1F4E, "getpitchtoshootentorpos" },
    { 0x1F4F, "usemuzzlesideoffset" },
    { 0x1F50, "getaimyawtopoint" },
    { 0x1F51, "ramboaiminternal" },
    { 0x1F52, "insure_dropping_clip" },
    { 0x1F53, "handledropclip" },
    { 0x1F54, "resetcliponabort" },
    { 0x1F55, "dropclipmodel" },
    { 0x1F56, "returntrue" },
    { 0x1F57, "createrpgrepulsors" },
    { 0x1F58, "rpgplayerrepulsor_getnummisses" },
    { 0x1F59, "rpgplayerrepulsor_create" },
    { 0x1F5A, "handledogsoundnotetracks" },
//  { 0x1F5B, "" },
    { 0x1F5C, "growling" },
    { 0x1F5D, "script_growl" },
    { 0x1F5E, "notetrackfire" },
//  { 0x1F5F, "" },
    { 0x1F60, "notetrackstopanim" },
    { 0x1F61, "unlinknextframe" },
    { 0x1F62, "notetrackstartragdoll" },
//  { 0x1F63, "" },
    { 0x1F64, "notetrackmovementstop" },
//  { 0x1F65, "" },
    { 0x1F66, "notetrackmovementrun" },
    { 0x1F67, "notetrackalertnessaiming" },
    { 0x1F68, "notetrackalertnesscasual" },
//  { 0x1F69, "" },
    { 0x1F6A, "setpose" },
//  { 0x1F6B, "" },
    { 0x1F6C, "notetrackposecrouch" },
    { 0x1F6D, "notetrackposeprone" },
//  { 0x1F6E, "" },
    { 0x1F6F, "notetrackgunhand" },
//  { 0x1F70, "" },
    { 0x1F71, "notetrackguntochest" },
    { 0x1F72, "notetrackguntoback" },
    { 0x1F73, "getpreferredweapon" },
    { 0x1F74, "notetrackpistolpickup" },
//  { 0x1F75, "" },
    { 0x1F76, "notetrackdropclip" },
    { 0x1F77, "notetrackrefillclip" },
    { 0x1F78, "notetrackloadshell" },
//  { 0x1F79, "" },
    { 0x1F7A, "notetrackgravity" },
//  { 0x1F7B, "" },
    { 0x1F7C, "get_notetrack_movement" },
    { 0x1F7D, "customnotetrackfx" },
    { 0x1F7E, "sound_prefix" },
    { 0x1F7F, "sound_suffix" },
    { 0x1F80, "notetrackfootscrape" },
//  { 0x1F81, "" },
    { 0x1F82, "notetrackcodemove" },
//  { 0x1F83, "" },
    { 0x1F84, "notetrackbodyfall" },
//  { 0x1F85, "" },
    { 0x1F86, "donotetracksfortimeout" },
//  { 0x1F87, "" },
    { 0x1F88, "donotetracksforeverproc" },
//  { 0x1F89, "" },
    { 0x1F8A, "donotetracksfortimeendnotify" },
//  { 0x1F8B, "" },
    { 0x1F8C, "lastgroundtype" },
    { 0x1F8D, "dontshootstraight" },
//  { 0x1F8E, "" },
//  { 0x1F8F, "" },
    { 0x1F90, "setposemovementfnarray" },
    { 0x1F91, "beginstandstop" },
//  { 0x1F92, "" },
//  { 0x1F93, "" },
//  { 0x1F94, "" },
//  { 0x1F95, "" },
    { 0x1F96, "standwalktostand" },
//  { 0x1F97, "" },
//  { 0x1F98, "" },
//  { 0x1F99, "" },
    { 0x1F9A, "playblendtransitionstandrun" },
//  { 0x1F9B, "" },
    { 0x1F9C, "blendintostandwalk" },
    { 0x1F9D, "alwaysrunforward" },
    { 0x1F9E, "crouchtostand" },
    { 0x1F9F, "faststand" },
    { 0x1FA0, "crouchtocrouchwalk" },
//  { 0x1FA1, "" },
//  { 0x1FA2, "" },
    { 0x1FA3, "crouchwalktostand" },
    { 0x1FA4, "crouchruntocrouch" },
    { 0x1FA5, "crouchruntostand" },
//  { 0x1FA6, "" },
//  { 0x1FA7, "" },
    { 0x1FA8, "blendintocrouchrun" },
//  { 0x1FA9, "" },
//  { 0x1FAA, "" },
    { 0x1FAB, "pronetocrouchwalk" },
    { 0x1FAC, "blendintocrouchwalk" },
    { 0x1FAD, "standtocrouch" },
    { 0x1FAE, "fastcrouch" },
    { 0x1FAF, "pronetocrouch" },
    { 0x1FB0, "pronetostand" },
    { 0x1FB1, "pronetostandwalk" },
    { 0x1FB2, "pronetopronemove" },
//  { 0x1FB3, "" },
    { 0x1FB4, "pronecrawltoprone" },
//  { 0x1FB5, "" },
    { 0x1FB6, "crouchtopronewalk" },
//  { 0x1FB7, "" },
    { 0x1FB8, "standtoprone" },
    { 0x1FB9, "standtopronewalk" },
//  { 0x1FBA, "" },
    { 0x1FBB, "crouchruntoprone" },
    { 0x1FBC, "getquadrant" },
    { 0x1FBD, "crouchruntopronewalk" },
    { 0x1FBE, "crouchruntopronerun" },
    { 0x1FBF, "playtransitionanimationthread_withoutwaitsetstates" },
    { 0x1FC0, "playtransitionanimation" },
//  { 0x1FC1, "" },
//  { 0x1FC2, "" },
    { 0x1FC3, "pronelegsstraighttree" },
    { 0x1FC4, "corner_think" },
    { 0x1FC5, "animarrayfuncs" },
//  { 0x1FC6, "" },
//  { 0x1FC7, "" },
//  { 0x1FC8, "" },
//  { 0x1FC9, "" },
    { 0x1FCA, "havegonetocover" },
//  { 0x1FCB, "" },
//  { 0x1FCC, "" },
    { 0x1FCD, "shouldchangestanceforfun" },
    { 0x1FCE, "changestanceforfuntime" },
//  { 0x1FCF, "" },
    { 0x1FD0, "canseepointfromexposedatcorner" },
//  { 0x1FD1, "" },
    { 0x1FD2, "shootposoutsidelegalyawrange" },
//  { 0x1FD3, "" },
//  { 0x1FD4, "" },
//  { 0x1FD5, "" },
    { 0x1FD6, "changestepoutpos" },
//  { 0x1FD7, "" },
    { 0x1FD8, "shouldlean" },
    { 0x1FD9, "startaiming" },
//  { 0x1FDA, "" },
    { 0x1FDB, "stopaiming" },
    { 0x1FDC, "setaimingparams" },
    { 0x1FDD, "spot" },
    { 0x1FDE, "stepoutandhidespeed" },
    { 0x1FDF, "stepout" },
//  { 0x1FE0, "" },
//  { 0x1FE1, "" },
//  { 0x1FE2, "" },
    { 0x1FE3, "notifystopshootingaftertime" },
    { 0x1FE4, "shootuntilshootbehaviorchange_corner" },
    { 0x1FE5, "showstate" },
    { 0x1FE6, "canreturntocover" },
    { 0x1FE7, "returntocover" },
//  { 0x1FE8, "" },
    { 0x1FE9, "printyawtoenemy" },
//  { 0x1FEA, "" },
    { 0x1FEB, "nextpeekoutattempttime" },
    { 0x1FEC, "canstoppeeking" },
    { 0x1FED, "cornerreload" },
    { 0x1FEE, "ispathclear" },
//  { 0x1FEF, "" },
    { 0x1FF0, "set_anim_array" },
//  { 0x1FF1, "" },
//  { 0x1FF2, "" },
    { 0x1FF3, "gotocover" },
    { 0x1FF4, "getnodedirection" },
    { 0x1FF5, "getnodeorigin" },
    { 0x1FF6, "hideyawoffset" },
//  { 0x1FF7, "" },
    { 0x1FF8, "set_standing_animarray_aiming" },
    { 0x1FF9, "set_crouching_animarray_aiming" },
//  { 0x1FFA, "" },
    { 0x1FFB, "initanimtree" },
    { 0x1FFC, "missedsightchecks" },
    { 0x1FFD, "updateanimpose" },
    { 0x1FFE, "desired_anim_pose" },
//  { 0x1FFF, "" },
//  { 0x2000, "" },
//  { 0x2001, "" },
//  { 0x2002, "" },
//  { 0x2003, "" },
//  { 0x2004, "" },
    { 0x2005, "absyawtoenemy2d" },
    { 0x2006, "absyawtoorigin" },
    { 0x2007, "absyawtoangles" },
//  { 0x2008, "" },
    { 0x2009, "getyawtotag" },
//  { 0x200A, "" },
    { 0x200B, "isstanceallowedwrapper" },
    { 0x200C, "getnodetype" },
    { 0x200D, "getnodeforward" },
    { 0x200E, "isinset" },
    { 0x200F, "playanim" },
//  { 0x2010, "" },
    { 0x2011, "drawstring" },
//  { 0x2012, "" },
//  { 0x2013, "" },
    { 0x2014, "util_ignorecurrentsightpos" },
    { 0x2015, "ignoresightpos" },
    { 0x2016, "ignoreorigin" },
//  { 0x2017, "" },
    { 0x2018, "debugtimeout" },
    { 0x2019, "debugposinternal" },
    { 0x201A, "debugpos" },
    { 0x201B, "debugpossize" },
    { 0x201C, "debugburstprint" },
//  { 0x201D, "" },
//  { 0x201E, "" },
//  { 0x201F, "" },
    { 0x2020, "showdebugline" },
//  { 0x2021, "" },
//  { 0x2022, "" },
//  { 0x2023, "" },
    { 0x2024, "personalcoldbreathstop" },
//  { 0x2025, "" },
    { 0x2026, "forcesuppression" },
    { 0x2027, "calculatenodeoffset" },
    { 0x2028, "checkpitchvisibility" },
//  { 0x2029, "" },
    { 0x202A, "shouldresetgiveuponsuppressiontimer" },
    { 0x202B, "updategiveuponsuppressiontimer" },
    { 0x202C, "giveuponsuppressiontime" },
    { 0x202D, "showlines" },
//  { 0x202E, "" },
    { 0x202F, "hassuppressableenemy" },
    { 0x2030, "canseeandshootpoint" },
    { 0x2031, "needrecalculatesuppressspot" },
    { 0x2032, "lastenemysightposold" },
//  { 0x2033, "" },
//  { 0x2034, "" },
    { 0x2035, "print3dtime" },
//  { 0x2036, "" },
//  { 0x2037, "" },
    { 0x2038, "sawenemymove" },
    { 0x2039, "personalsighttime" },
//  { 0x203A, "" },
    { 0x203B, "usingboltactionweapon" },
    { 0x203C, "random_weight" },
    { 0x203D, "setfootstepeffect" },
    { 0x203E, "setfootstepeffectsmall" },
//  { 0x203F, "" },
//  { 0x2040, "" },
    { 0x2041, "enterpronewrapperproc" },
    { 0x2042, "exitpronewrapperproc" },
//  { 0x2043, "" },
    { 0x2044, "canhitsuppressspot" },
    { 0x2045, "getaisecondaryweapon" },
    { 0x2046, "getaisidearmweapon" },
    { 0x2047, "getaicurrentweapon" },
//  { 0x2048, "" },
    { 0x2049, "getaicurrentweaponslot" },
    { 0x204A, "aihasweapon" },
    { 0x204B, "usingpistol" },
    { 0x204C, "ragdolldeath" },
    { 0x204D, "atv_geton" },
//  { 0x204E, "" },
    { 0x204F, "atv_loop_driver" },
//  { 0x2050, "" },
//  { 0x2051, "" },
//  { 0x2052, "" },
//  { 0x2053, "" },
    { 0x2054, "atv_stop_shooting" },
    { 0x2055, "atv_decide_shoot" },
    { 0x2056, "atv_decide_shoot_internal" },
    { 0x2057, "atvshootbehavior" },
//  { 0x2058, "" },
    { 0x2059, "atv_reload" },
    { 0x205A, "atv_reload_internal" },
    { 0x205B, "atv_waitfor_start_aim" },
//  { 0x205C, "" },
    { 0x205D, "atv_waitfor_start_lean" },
    { 0x205E, "atv_trackshootentorpos_driver" },
//  { 0x205F, "" },
//  { 0x2060, "" },
    { 0x2061, "prevatvdeathtime" },
    { 0x2062, "atv_death_launchslide" },
    { 0x2063, "atv_normal_death" },
    { 0x2064, "atv_collide_death" },
//  { 0x2065, "" },
    { 0x2066, "atv_setanim_driver" },
//  { 0x2067, "" },
    { 0x2068, "vehicle_aianims" },
    { 0x2069, "attachedguys" },
    { 0x206A, "usedpositions" },
//  { 0x206B, "" },
    { 0x206C, "delayer" },
//  { 0x206D, "" },
    { 0x206E, "vehicle_idle" },
//  { 0x206F, "" },
    { 0x2070, "vehicle_standattack" },
    { 0x2071, "deathscript" },
//  { 0x2072, "" },
//  { 0x2073, "" },
//  { 0x2074, "" },
    { 0x2075, "sittag_offset" },
    { 0x2076, "bhasgunwhileriding" },
    { 0x2077, "gun_remove" },
//  { 0x2078, "" },
    { 0x2079, "getin_idle_func" },
//  { 0x207A, "" },
    { 0x207B, "script_allow_driver_death" },
    { 0x207C, "vehicle_allows_rider_death" },
    { 0x207D, "script_allow_rider_deaths" },
//  { 0x207E, "" },
//  { 0x207F, "" },
    { 0x2080, "script_nomg" },
//  { 0x2081, "" },
    { 0x2082, "runningtovehicle" },
    { 0x2083, "getinorgs" },
//  { 0x2084, "" },
    { 0x2085, "load_ai_goddriver" },
//  { 0x2086, "" },
    { 0x2087, "guy_deathimate_me" },
//  { 0x2088, "" },
//  { 0x2089, "" },
    { 0x208A, "is_rider" },
//  { 0x208B, "" },
//  { 0x208C, "" },
//  { 0x208D, "" },
    { 0x208E, "get_my_vehicleride" },
    { 0x208F, "get_in_vehicle" },
    { 0x2090, "handle_detached_guys_check" },
//  { 0x2091, "" },
//  { 0x2092, "" },
    { 0x2093, "forced_startingposition" },
    { 0x2094, "vehicle_loaded_if_full" },
    { 0x2095, "vehicle_reload" },
    { 0x2096, "vehicle_unload" },
    { 0x2097, "vehicle_load_ai" },
//  { 0x2098, "" },
    { 0x2099, "guy_runtovehicle" },
//  { 0x209A, "" },
//  { 0x209B, "" },
    { 0x209C, "get_in_moving_vehicle" },
    { 0x209D, "script_startingposition" },
    { 0x209E, "availablepositions" },
    { 0x209F, "nonanimatedpositions" },
    { 0x20A0, "set_forcegoal" },
    { 0x20A1, "disable_arrivals" },
    { 0x20A2, "enable_arrivals" },
    { 0x20A3, "unset_forcegoal" },
    { 0x20A4, "vehicle_getinanim" },
    { 0x20A5, "vehicle_getoutanim" },
//  { 0x20A6, "" },
    { 0x20A7, "vehicle_getinanim_clear" },
//  { 0x20A8, "" },
//  { 0x20A9, "" },
//  { 0x20AA, "" },
//  { 0x20AB, "" },
//  { 0x20AC, "" },
//  { 0x20AD, "" },
//  { 0x20AE, "" },
    { 0x20AF, "deaddriver" },
    { 0x20B0, "hasstarted" },
    { 0x20B1, "copy_cat" },
//  { 0x20B2, "" },
//  { 0x20B3, "" },
//  { 0x20B4, "" },
    { 0x20B5, "_linkto" },
    { 0x20B6, "anim_pos" },
//  { 0x20B7, "" },
//  { 0x20B8, "" },
    { 0x20B9, "vehicle_aianimthread" },
//  { 0x20BA, "" },
    { 0x20BB, "guy_handle" },
    { 0x20BC, "guy_stand_attack" },
    { 0x20BD, "standidle" },
//  { 0x20BE, "" },
    { 0x20BF, "standdown" },
//  { 0x20C0, "" },
//  { 0x20C1, "" },
//  { 0x20C2, "" },
//  { 0x20C3, "" },
//  { 0x20C4, "" },
    { 0x20C5, "guy_turret_turnleft" },
//  { 0x20C6, "" },
//  { 0x20C7, "" },
//  { 0x20C8, "" },
    { 0x20C9, "vehicle_turret_fire" },
//  { 0x20CA, "" },
//  { 0x20CB, "" },
    { 0x20CC, "hideidle" },
    { 0x20CD, "play_new_idle" },
    { 0x20CE, "vehicle_idle_override" },
//  { 0x20CF, "" },
    { 0x20D0, "playerpiggyback" },
//  { 0x20D1, "" },
    { 0x20D2, "randomoccurrance" },
//  { 0x20D3, "" },
    { 0x20D4, "duck_once" },
//  { 0x20D5, "" },
    { 0x20D6, "vehicle_duck_once" },
//  { 0x20D7, "" },
    { 0x20D8, "weave" },
    { 0x20D9, "guy_weave" },
//  { 0x20DA, "" },
    { 0x20DB, "guy_duck" },
//  { 0x20DC, "" },
//  { 0x20DD, "" },
    { 0x20DE, "duckidleoccurrence" },
//  { 0x20DF, "" },
    { 0x20E0, "guy_duck_out" },
//  { 0x20E1, "" },
//  { 0x20E2, "" },
    { 0x20E3, "guy_unload_que" },
    { 0x20E4, "unloadque" },
//  { 0x20E5, "" },
//  { 0x20E6, "" },
//  { 0x20E7, "" },
    { 0x20E8, "vehicle_unloadgroups" },
    { 0x20E9, "check_unloadgroup" },
    { 0x20EA, "getoutrig_model_idle" },
//  { 0x20EB, "" },
//  { 0x20EC, "" },
    { 0x20ED, "vehicle_attachedmodels" },
    { 0x20EE, "crashing" },
//  { 0x20EF, "" },
//  { 0x20F0, "" },
//  { 0x20F1, "" },
    { 0x20F2, "achievement_attacker" },
//  { 0x20F3, "" },
    { 0x20F4, "forcefallthroughonropes" },
    { 0x20F5, "setanimrestart_once" },
    { 0x20F6, "getout_rigspawn" },
//  { 0x20F7, "" },
    { 0x20F8, "fastroperiganimating" },
    { 0x20F9, "dropanim" },
    { 0x20FA, "check_sound_tag_dupe" },
    { 0x20FB, "sound_tag_dupe" },
//  { 0x20FC, "" },
//  { 0x20FD, "" },
//  { 0x20FE, "" },
    { 0x20FF, "gun_recall" },
    { 0x2100, "onrotatingvehicleturret" },
    { 0x2101, "vehicle_getoutanim_clear" },
    { 0x2102, "vehicle_getoutsoundtag" },
//  { 0x2103, "" },
//  { 0x2104, "" },
//  { 0x2105, "" },
//  { 0x2106, "" },
//  { 0x2107, "" },
//  { 0x2108, "" },
    { 0x2109, "script_keepdriver" },
    { 0x210A, "exittag" },
//  { 0x210B, "" },
//  { 0x210C, "" },
//  { 0x210D, "" },
    { 0x210E, "player_getout_sound" },
    { 0x210F, "getoutloopsnd" },
    { 0x2110, "play_loop_sound_on_tag" },
    { 0x2111, "player_getout_sound_loop" },
    { 0x2112, "rappel_kill_achievement" },
    { 0x2113, "enable_achievement_harder_they_fall" },
//  { 0x2114, "" },
    { 0x2115, "littlebirde_getout_unlinks" },
    { 0x2116, "getout_secondary" },
//  { 0x2117, "" },
    { 0x2118, "anim_end_early" },
    { 0x2119, "player_getout_sound_end" },
//  { 0x211A, "" },
//  { 0x211B, "" },
    { 0x211C, "getoutstance" },
    { 0x211D, "getout_delete" },
    { 0x211E, "guy_resets_goalpos" },
//  { 0x211F, "" },
//  { 0x2120, "" },
//  { 0x2121, "" },
    { 0x2122, "recover_interval" },
    { 0x2123, "animontag_ragdoll_death" },
//  { 0x2124, "" },
//  { 0x2125, "" },
//  { 0x2126, "" },
//  { 0x2127, "" },
//  { 0x2128, "" },
//  { 0x2129, "" },
    { 0x212A, "explosion_death" },
//  { 0x212B, "" },
//  { 0x212C, "" },
    { 0x212D, "vehicle_ai_event" },
//  { 0x212E, "" },
    { 0x212F, "turn_right" },
//  { 0x2130, "" },
    { 0x2131, "vehicle_turn_right" },
//  { 0x2132, "" },
    { 0x2133, "vehicle_turn_left" },
    { 0x2134, "turn_left" },
//  { 0x2135, "" },
//  { 0x2136, "" },
    { 0x2137, "idle_hardright" },
//  { 0x2138, "" },
    { 0x2139, "idle_hardleft" },
    { 0x213A, "ai_wait_go" },
    { 0x213B, "set_pos" },
//  { 0x213C, "" },
    { 0x213D, "passenger_2_turret_func" },
    { 0x213E, "set_turret_team" },
//  { 0x213F, "" },
//  { 0x2140, "" },
    { 0x2141, "explosion_death_offset" },
//  { 0x2142, "" },
//  { 0x2143, "" },
    { 0x2144, "vehicle_animate" },
    { 0x2145, "vehicle_getinstart" },
//  { 0x2146, "" },
    { 0x2147, "is_position_in_group" },
    { 0x2148, "get_availablepositions" },
    { 0x2149, "getanimatemodel" },
    { 0x214A, "detach_models_with_substr" },
    { 0x214B, "should_give_orghealth" },
    { 0x214C, "guy_pre_unload_check" },
    { 0x214D, "pre_unload" },
//  { 0x214E, "" },
    { 0x214F, "pre_unload_idle" },
    { 0x2150, "guy_idle_alert" },
    { 0x2151, "idle_alert" },
    { 0x2152, "guy_idle_alert_check" },
//  { 0x2153, "" },
    { 0x2154, "idle_alert_to_casual" },
    { 0x2155, "guy_idle_alert_to_casual_check" },
//  { 0x2156, "" },
//  { 0x2157, "" },
    { 0x2158, "animate_guys" },
    { 0x2159, "queued_anim_threads" },
//  { 0x215A, "" },
//  { 0x215B, "" },
//  { 0x215C, "" },
    { 0x215D, "set_custom_eog_summary" },
    { 0x215E, "set_eog_success_heading" },
    { 0x215F, "round_float" },
//  { 0x2160, "" },
//  { 0x2161, "" },
    { 0x2162, "set_nvg_vision" },
    { 0x2163, "sun_light_fade" },
    { 0x2164, "ent_flag_wait_vehicle_node" },
    { 0x2165, "ent_flag_wait_either" },
//  { 0x2166, "" },
//  { 0x2167, "" },
//  { 0x2168, "" },
//  { 0x2169, "" },
//  { 0x216A, "" },
    { 0x216B, "ent_flag_clear_delayed" },
//  { 0x216C, "" },
    { 0x216D, "get_closest_index_to_player_view" },
//  { 0x216E, "" },
    { 0x216F, "flag_triggers_init" },
    { 0x2170, "flag_set_delayed" },
//  { 0x2171, "" },
//  { 0x2172, "" },
//  { 0x2173, "" },
//  { 0x2174, "" },
    { 0x2175, "autosave_by_name_silent" },
    { 0x2176, "autosave_by_name_thread" },
//  { 0x2177, "" },
//  { 0x2178, "" },
    { 0x2179, "debug_message_ai" },
//  { 0x217A, "" },
//  { 0x217B, "" },
    { 0x217C, "script_chain" },
//  { 0x217D, "" },
    { 0x217E, "chain_on" },
    { 0x217F, "closerfunc" },
    { 0x2180, "fartherfunc" },
//  { 0x2181, "" },
    { 0x2182, "getclosestfx" },
//  { 0x2183, "" },
//  { 0x2184, "" },
    { 0x2185, "get_within_range" },
//  { 0x2186, "" },
    { 0x2187, "get_closest_living" },
//  { 0x2188, "" },
    { 0x2189, "get_closest_index" },
//  { 0x218A, "" },
//  { 0x218B, "" },
    { 0x218C, "can_see_origin" },
//  { 0x218D, "" },
//  { 0x218E, "" },
    { 0x218F, "disable_long_death" },
//  { 0x2190, "" },
//  { 0x2191, "" },
//  { 0x2192, "" },
    { 0x2193, "deletable_magic_bullet_shield" },
    { 0x2194, "set_ignoreall" },
//  { 0x2195, "" },
//  { 0x2196, "" },
//  { 0x2197, "" },
//  { 0x2198, "" },
//  { 0x2199, "" },
    { 0x219A, "hide_exploder_models" },
//  { 0x219B, "" },
//  { 0x219C, "" },
//  { 0x219D, "" },
//  { 0x219E, "" },
    { 0x219F, "force_crawling_death" },
//  { 0x21A0, "" },
    { 0x21A1, "custom_crawling_death_array" },
    { 0x21A2, "nofallanim" },
    { 0x21A3, "force_crawl_angle" },
//  { 0x21A4, "" },
    { 0x21A5, "get_friendly_chain_node" },
//  { 0x21A6, "" },
//  { 0x21A7, "" },
//  { 0x21A8, "" },
//  { 0x21A9, "" },
    { 0x21AA, "view_tag" },
//  { 0x21AB, "" },
//  { 0x21AC, "" },
    { 0x21AD, "trigger_wait" },
//  { 0x21AE, "" },
    { 0x21AF, "set_flag_on_dead" },
    { 0x21B0, "set_flag_on_dead_or_dying" },
    { 0x21B1, "set_flag_on_spawned" },
    { 0x21B2, "empty_func" },
    { 0x21B3, "set_flag_on_spawned_ai_proc" },
    { 0x21B4, "set_flag_on_func_wait_proc" },
//  { 0x21B5, "" },
    { 0x21B6, "set_flag_on_targetname_trigger" },
//  { 0x21B7, "" },
    { 0x21B8, "waittill_dead_or_dying" },
    { 0x21B9, "waittill_dead_thread" },
    { 0x21BA, "waittill_dead_or_dying_thread" },
//  { 0x21BB, "" },
//  { 0x21BC, "" },
//  { 0x21BD, "" },
    { 0x21BE, "get_ai_group_count" },
//  { 0x21BF, "" },
//  { 0x21C0, "" },
    { 0x21C1, "waittill_notetrack_or_damage" },
    { 0x21C2, "get_living_ai" },
    { 0x21C3, "get_living_ai_array" },
    { 0x21C4, "get_vehicle" },
    { 0x21C5, "get_vehicle_array" },
//  { 0x21C6, "" },
    { 0x21C7, "get_living_aispecies" },
    { 0x21C8, "get_living_aispecies_array" },
    { 0x21C9, "gather_delay_proc" },
//  { 0x21CA, "" },
    { 0x21CB, "death_waiter" },
    { 0x21CC, "getchar" },
    { 0x21CD, "getlinks_array" },
    { 0x21CE, "array_merge_links" },
    { 0x21CF, "array_exclude" },
    { 0x21D0, "array_compare" },
//  { 0x21D1, "" },
    { 0x21D2, "draw_line" },
    { 0x21D3, "draw_line_to_ent_for_time" },
    { 0x21D4, "draw_line_from_ent_for_time" },
//  { 0x21D5, "" },
//  { 0x21D6, "" },
    { 0x21D7, "draw_line_until_notify" },
//  { 0x21D8, "" },
//  { 0x21D9, "" },
    { 0x21DA, "draw_circle_lines_until_notify" },
    { 0x21DB, "clear_enemy_passthrough" },
    { 0x21DC, "battlechatter_off" },
//  { 0x21DD, "" },
//  { 0x21DE, "" },
    { 0x21DF, "set_team_bcvoice" },
    { 0x21E0, "set_ai_bcvoice" },
    { 0x21E1, "flavorbursts_on" },
    { 0x21E2, "set_flavorbursts_team_state" },
    { 0x21E3, "set_flavorbursts" },
    { 0x21E4, "friendlyfire_warnings_off" },
    { 0x21E5, "friendlyfire_warnings_on" },
//  { 0x21E6, "" },
    { 0x21E7, "get_obj_event" },
//  { 0x21E8, "" },
    { 0x21E9, "waittill_objective_event_notrigger" },
    { 0x21EA, "obj_set_chain_and_enemies" },
//  { 0x21EB, "" },
//  { 0x21EC, "" },
    { 0x21ED, "get_last_ent_in_chain" },
    { 0x21EE, "player_seek" },
    { 0x21EF, "set_forcedgoal" },
//  { 0x21F0, "" },
    { 0x21F1, "oldmaxdist" },
    { 0x21F2, "oldmaxsight" },
    { 0x21F3, "array_removedead_keepkeys" },
    { 0x21F4, "array_removedead_or_dying" },
    { 0x21F5, "array_insert" },
    { 0x21F6, "array_remove_index" },
//  { 0x21F7, "" },
    { 0x21F8, "structarray_swaptolast" },
    { 0x21F9, "set_ambient_alias" },
    { 0x21FA, "get_use_key" },
    { 0x21FB, "doom" },
    { 0x21FC, "get_stop_watch" },
//  { 0x21FD, "" },
//  { 0x21FE, "" },
//  { 0x21FF, "" },
    { 0x2200, "set_objective_active" },
//  { 0x2201, "" },
    { 0x2202, "script_wait_add" },
//  { 0x2203, "" },
//  { 0x2204, "" },
//  { 0x2205, "" },
    { 0x2206, "guy_runtovehicle_load" },
//  { 0x2207, "" },
    { 0x2208, "enable_ai_color" },
    { 0x2209, "old_forcecolor" },
    { 0x220A, "enable_ai_color_dontmove" },
    { 0x220B, "check_force_color" },
    { 0x220C, "get_force_color" },
//  { 0x220D, "" },
    { 0x220E, "set_force_color_spawner" },
    { 0x220F, "issue_color_orders" },
//  { 0x2210, "" },
//  { 0x2211, "" },
    { 0x2212, "ninebanghandler" },
//  { 0x2213, "" },
    { 0x2214, "flashnearbyallies" },
    { 0x2215, "pauseexploder" },
    { 0x2216, "restartexploder" },
    { 0x2217, "getfxarraybyid" },
//  { 0x2218, "" },
//  { 0x2219, "" },
//  { 0x221A, "" },
//  { 0x221B, "" },
    { 0x221C, "vehicle_resumepath" },
    { 0x221D, "vehicle_resumepathvehicle" },
    { 0x221E, "vehicle_land" },
//  { 0x221F, "" },
//  { 0x2220, "" },
    { 0x2221, "vehicle_liftoffvehicle" },
    { 0x2222, "vehicle_dynamicpath" },
    { 0x2223, "vehicle_paths" },
//  { 0x2224, "" },
//  { 0x2225, "" },
    { 0x2226, "_getvehiclespawnerarray" },
//  { 0x2227, "" },
//  { 0x2228, "" },
    { 0x2229, "add_start_construct" },
//  { 0x222A, "" },
    { 0x222B, "set_default_start" },
//  { 0x222C, "" },
//  { 0x222D, "" },
//  { 0x222E, "" },
    { 0x222F, "within_fov_of_players" },
//  { 0x2230, "" },
//  { 0x2231, "" },
    { 0x2232, "player_radio_emitter" },
    { 0x2233, "radio_dialogue_overlap" },
    { 0x2234, "radio_dialogue_clear_stack" },
    { 0x2235, "radio_dialogue_interupt" },
    { 0x2236, "radio_dialogue_safe" },
//  { 0x2237, "" },
//  { 0x2238, "" },
//  { 0x2239, "" },
    { 0x223A, "hint_delete" },
    { 0x223B, "hint_position_internal" },
//  { 0x223C, "" },
    { 0x223D, "remove_global_spawn_function" },
//  { 0x223E, "" },
//  { 0x223F, "" },
    { 0x2240, "array_kill" },
    { 0x2241, "activate_trigger_with_targetname" },
    { 0x2242, "activate_trigger_with_noteworthy" },
    { 0x2243, "disable_trigger_with_targetname" },
    { 0x2244, "disable_trigger_with_noteworthy" },
    { 0x2245, "enable_trigger_with_targetname" },
    { 0x2246, "enable_trigger_with_noteworthy" },
//  { 0x2247, "" },
    { 0x2248, "get_ai_number" },
//  { 0x2249, "" },
//  { 0x224A, "" },
    { 0x224B, "set_team_pacifist" },
//  { 0x224C, "" },
//  { 0x224D, "" },
    { 0x224E, "set_promotion_order" },
    { 0x224F, "set_empty_promotion_order" },
//  { 0x2250, "" },
//  { 0x2251, "" },
    { 0x2252, "remove_noteworthy_from_array" },
    { 0x2253, "get_closest_colored_friendly" },
//  { 0x2254, "" },
//  { 0x2255, "" },
//  { 0x2256, "" },
//  { 0x2257, "" },
    { 0x2258, "instantly_promote_nearest_friendly_with_classname" },
    { 0x2259, "promote_nearest_friendly_with_classname" },
    { 0x225A, "riotshield_lock_orientation" },
    { 0x225B, "riotshield_unlock_orientation" },
    { 0x225C, "instantly_set_color_from_array_with_classname" },
    { 0x225D, "instantly_set_color_from_array" },
    { 0x225E, "wait_for_script_noteworthy_trigger" },
    { 0x225F, "wait_for_targetname_trigger" },
    { 0x2260, "wait_for_flag_or_timeout" },
    { 0x2261, "wait_for_notify_or_timeout" },
//  { 0x2262, "" },
    { 0x2263, "wait_for_either_trigger" },
//  { 0x2264, "" },
//  { 0x2265, "" },
    { 0x2266, "disable_readystand" },
//  { 0x2267, "" },
//  { 0x2268, "" },
    { 0x2269, "do_in_order" },
//  { 0x226A, "" },
//  { 0x226B, "" },
    { 0x226C, "touched" },
//  { 0x226D, "" },
    { 0x226E, "getanim_generic" },
    { 0x226F, "show_hint" },
    { 0x2270, "hide_hint" },
    { 0x2271, "fire_radius" },
    { 0x2272, "clearthreatbias" },
//  { 0x2273, "" },
//  { 0x2274, "" },
//  { 0x2275, "" },
    { 0x2276, "set_goalradius" },
    { 0x2277, "try_forever_spawn" },
    { 0x2278, "set_allowdeath" },
    { 0x2279, "set_run_anim" },
//  { 0x227A, "" },
//  { 0x227B, "" },
    { 0x227C, "set_generic_idle_anim" },
    { 0x227D, "set_idle_anim" },
//  { 0x227E, "" },
    { 0x227F, "clear_generic_run_anim" },
    { 0x2280, "set_run_anim_array" },
//  { 0x2281, "" },
    { 0x2282, "debugvar" },
    { 0x2283, "physicsjolt_proximity" },
    { 0x2284, "set_goal_entity" },
    { 0x2285, "activate_trigger" },
    { 0x2286, "activate_trigger_process" },
    { 0x2287, "self_delete" },
    { 0x2288, "remove_nocolor_from_array" },
    { 0x2289, "clear_colors" },
    { 0x228A, "clear_team_colors" },
    { 0x228B, "place_weapon_on" },
//  { 0x228C, "" },
//  { 0x228D, "" },
    { 0x228E, "lerp_player_view_to_tag_oldstyle" },
    { 0x228F, "player_moves" },
    { 0x2290, "waittill_either_function" },
//  { 0x2291, "" },
    { 0x2292, "enable_careful" },
    { 0x2293, "disable_careful" },
    { 0x2294, "enable_sprint" },
    { 0x2295, "disable_sprint" },
    { 0x2296, "disable_bulletwhizbyreaction" },
//  { 0x2297, "" },
    { 0x2298, "clear_dvar" },
//  { 0x2299, "" },
    { 0x229A, "set_fixednode_true" },
//  { 0x229B, "" },
    { 0x229C, "script_delay_spawn" },
//  { 0x229D, "" },
    { 0x229E, "function_stack_clear" },
    { 0x229F, "geo_off" },
//  { 0x22A0, "" },
    { 0x22A1, "disable_exits" },
    { 0x22A2, "enable_exits" },
    { 0x22A3, "disable_turnanims" },
    { 0x22A4, "enable_turnanims" },
    { 0x22A5, "set_blur" },
//  { 0x22A6, "" },
//  { 0x22A7, "" },
    { 0x22A8, "set_goal_node_targetname" },
    { 0x22A9, "objective_complete" },
    { 0x22AA, "get_guy_with_script_noteworthy_from_spawner" },
    { 0x22AB, "get_guy_with_targetname_from_spawner" },
    { 0x22AC, "get_guys_with_targetname_from_spawner" },
    { 0x22AD, "array_spawn" },
//  { 0x22AE, "" },
    { 0x22AF, "array_spawn_noteworthy" },
//  { 0x22B0, "" },
    { 0x22B1, "spawn_targetname" },
    { 0x22B2, "add_dialogue_line" },
    { 0x22B3, "dialogue_huds" },
    { 0x22B4, "destructible_disable_explosion" },
    { 0x22B5, "destructible_force_explosion" },
//  { 0x22B6, "" },
//  { 0x22B7, "" },
    { 0x22B8, "set_baseaccuracy" },
    { 0x22B9, "xenon" },
//  { 0x22BA, "" },
//  { 0x22BB, "" },
    { 0x22BC, "hunted_style_door_open" },
//  { 0x22BD, "" },
    { 0x22BE, "lerp_fov_overtime" },
    { 0x22BF, "lerp_fovscale_overtime" },
    { 0x22C0, "putgunaway" },
    { 0x22C1, "apply_fog" },
    { 0x22C2, "apply_end_fog" },
    { 0x22C3, "_delete" },
    { 0x22C4, "_kill" },
    { 0x22C5, "_setentitytarget" },
    { 0x22C6, "_clearentitytarget" },
    { 0x22C7, "_unlink" },
    { 0x22C8, "disable_oneshotfx_with_noteworthy" },
    { 0x22C9, "_setlightintensity" },
    { 0x22CA, "array_wait" },
//  { 0x22CB, "" },
//  { 0x22CC, "" },
    { 0x22CD, "enable_auto_adjust_threatbias" },
    { 0x22CE, "auto_adjust_threatbias" },
    { 0x22CF, "auto_adjust_difficulty_frac" },
    { 0x22D0, "disable_auto_adjust_threatbias" },
    { 0x22D1, "waittill_player_lookat" },
//  { 0x22D2, "" },
    { 0x22D3, "players_looking_at" },
    { 0x22D4, "either_player_looking_at" },
//  { 0x22D5, "" },
//  { 0x22D6, "" },
    { 0x22D7, "players_within_distance" },
    { 0x22D8, "ai_delete_when_out_of_sight" },
    { 0x22D9, "add_abort" },
//  { 0x22DA, "" },
    { 0x22DB, "add_noself_call" },
    { 0x22DC, "add_endon" },
    { 0x22DD, "do_wait" },
    { 0x22DE, "forced_start_catchup" },
//  { 0x22DF, "" },
//  { 0x22E0, "" },
    { 0x22E1, "is_after_start" },
    { 0x22E2, "_earthquake" },
    { 0x22E3, "waterfx" },
//  { 0x22E4, "" },
    { 0x22E5, "mix_up" },
    { 0x22E6, "mix_down" },
//  { 0x22E7, "" },
//  { 0x22E8, "" },
    { 0x22E9, "fail_on_friendly_fire" },
    { 0x22EA, "normal_friendly_fire_penalty" },
    { 0x22EB, "getplayerclaymores" },
    { 0x22EC, "getplayerc4" },
    { 0x22ED, "_waittillmatch" },
//  { 0x22EE, "" },
//  { 0x22EF, "" },
    { 0x22F0, "add_jav_glow" },
//  { 0x22F1, "" },
    { 0x22F2, "delete_on_not_defined" },
//  { 0x22F3, "" },
//  { 0x22F4, "" },
    { 0x22F5, "slowmo_setspeed_norm" },
    { 0x22F6, "slowmo_setlerptime_in" },
    { 0x22F7, "slowmo_lerp_in" },
//  { 0x22F8, "" },
//  { 0x22F9, "" },
//  { 0x22FA, "" },
    { 0x22FB, "arcademode_stop_timer" },
    { 0x22FC, "music_loop_stealth" },
    { 0x22FD, "all_players_istouching" },
    { 0x22FE, "any_players_istouching" },
    { 0x22FF, "get_ent_closest_to_flag_trig" },
//  { 0x2300, "" },
//  { 0x2301, "" },
    { 0x2302, "get_average_origin" },
    { 0x2303, "generic_damage_think" },
    { 0x2304, "playlocalsoundwrapper" },
//  { 0x2305, "" },
    { 0x2306, "teleport_players" },
    { 0x2307, "hide_player_model" },
    { 0x2308, "show_player_model" },
    { 0x2309, "entities" },
    { 0x230A, "open_up_fov" },
    { 0x230B, "get_ai_touching_volume" },
    { 0x230C, "get_drones_touching_volume" },
    { 0x230D, "get_drones_with_targetname" },
    { 0x230E, "is_other_player_downed" },
    { 0x230F, "follow_path" },
//  { 0x2310, "" },
//  { 0x2311, "" },
    { 0x2312, "player_seek_enable" },
    { 0x2313, "player_seek_disable" },
    { 0x2314, "waittill_entity_in_range_or_timeout" },
    { 0x2315, "waittill_entity_in_range" },
//  { 0x2316, "" },
    { 0x2317, "player_has_thermal" },
    { 0x2318, "waittill_true_goal" },
    { 0x2319, "player_speed_percent" },
    { 0x231A, "g_speed" },
    { 0x231B, "blend_movespeedscale_percent" },
//  { 0x231C, "" },
//  { 0x231D, "" },
//  { 0x231E, "" },
    { 0x231F, "player_speed_default" },
    { 0x2320, "blend_movespeedscale_default" },
//  { 0x2321, "" },
//  { 0x2322, "" },
//  { 0x2323, "" },
    { 0x2324, "move_all_fx" },
//  { 0x2325, "" },
    { 0x2326, "custom_linkto_slide" },
    { 0x2327, "getentwithflag" },
    { 0x2328, "getentarraywithflag" },
//  { 0x2329, "" },
//  { 0x232A, "" },
//  { 0x232B, "" },
//  { 0x232C, "" },
    { 0x232D, "get_rumble_ent" },
    { 0x232E, "set_rumble_intensity" },
    { 0x232F, "rumble_ramp_on" },
    { 0x2330, "rumble_ramp_off" },
    { 0x2331, "rumble_ramp_to" },
    { 0x2332, "glow" },
    { 0x2333, "non_glow_model" },
//  { 0x2334, "" },
    { 0x2335, "array_delete_evenly" },
//  { 0x2336, "" },
//  { 0x2337, "" },
    { 0x2338, "tracefx_on_tag" },
//  { 0x2339, "" },
    { 0x233A, "enable_surprise" },
    { 0x233B, "disable_heat_behavior" },
    { 0x233C, "getvehiclearray" },
    { 0x233D, "hint" },
//  { 0x233E, "" },
//  { 0x233F, "" },
//  { 0x2340, "" },
    { 0x2341, "get_player_view_controller" },
    { 0x2342, "blend_dof" },
//  { 0x2343, "" },
    { 0x2344, "store_players_weapons" },
    { 0x2345, "stored_weapons" },
//  { 0x2346, "" },
//  { 0x2347, "" },
    { 0x2348, "show_entity" },
//  { 0x2349, "" },
    { 0x234A, "set_moveplaybackrate" },
    { 0x234B, "array_spawn_function" },
    { 0x234C, "array_spawn_function_targetname" },
//  { 0x234D, "" },
    { 0x234E, "enable_dontevershoot" },
    { 0x234F, "disable_dontevershoot" },
    { 0x2350, "create_fog" },
//  { 0x2351, "" },
//  { 0x2352, "" },
//  { 0x2353, "" },
//  { 0x2354, "" },
    { 0x2355, "vision_set_changes" },
    { 0x2356, "set_art_tweaked_vision_set" },
//  { 0x2357, "" },
    { 0x2358, "enable_teamflashbangimmunity_proc" },
//  { 0x2359, "" },
//  { 0x235A, "" },
//  { 0x235B, "" },
    { 0x235C, "activate_interactives_in_volume" },
//  { 0x235D, "" },
//  { 0x235E, "" },
    { 0x235F, "activate_exploders_in_volume" },
    { 0x2360, "delete_destructibles_in_volumes" },
//  { 0x2361, "" },
    { 0x2362, "delete_exploders_in_volumes" },
//  { 0x2363, "" },
//  { 0x2364, "" },
    { 0x2365, "waittill_volume_dead" },
//  { 0x2366, "" },
    { 0x2367, "waittill_volume_dead_then_set_flag" },
    { 0x2368, "waittill_targetname_volume_dead_then_set_flag" },
//  { 0x2369, "" },
    { 0x236A, "player_cant_be_shot" },
//  { 0x236B, "" },
    { 0x236C, "array_index_by_parameters" },
//  { 0x236D, "" },
//  { 0x236E, "" },
//  { 0x236F, "" },
//  { 0x2370, "" },
//  { 0x2371, "" },
    { 0x2372, "flashbangstop" },
//  { 0x2373, "" },
//  { 0x2374, "" },
//  { 0x2375, "" },
    { 0x2376, "player_rides_in_humvee" },
    { 0x2377, "player_dismount" },
//  { 0x2378, "" },
//  { 0x2379, "" },
    { 0x237A, "player_rides_humvee_offset_dismount" },
    { 0x237B, "player_leaves_humvee" },
    { 0x237C, "dirteffect" },
    { 0x237D, "screen_effect_sides" },
    { 0x237E, "pathrandompercent_set" },
    { 0x237F, "old_pathrandompercent" },
    { 0x2380, "pathrandompercent_zero" },
    { 0x2381, "pathrandompercent_reset" },
//  { 0x2382, "" },
//  { 0x2383, "" },
    { 0x2384, "old_walkdist" },
//  { 0x2385, "" },
//  { 0x2386, "" },
    { 0x2387, "ignorerandombulletdamage_drone_proc" },
    { 0x2388, "fakehealth" },
//  { 0x2389, "" },
//  { 0x238A, "" },
//  { 0x238B, "" },
    { 0x238C, "set_brakes" },
    { 0x238D, "disable_ignorerandombulletdamage_drone" },
//  { 0x238E, "" },
    { 0x238F, "disable_danger_react" },
//  { 0x2390, "" },
    { 0x2391, "reset_group_advance_to_enemy_timer" },
//  { 0x2392, "" },
//  { 0x2393, "" },
//  { 0x2394, "" },
    { 0x2395, "objective_clearadditionalpositions" },
//  { 0x2396, "" },
//  { 0x2397, "" },
//  { 0x2398, "" },
//  { 0x2399, "" },
    { 0x239A, "musicloop" },
    { 0x239B, "player_mount_vehicle" },
    { 0x239C, "player_dismount_vehicle" },
//  { 0x239D, "" },
//  { 0x239E, "" },
//  { 0x239F, "" },
//  { 0x23A0, "" },
//  { 0x23A1, "" },
    { 0x23A2, "template_so_level" },
    { 0x23A3, "define_introscreen" },
//  { 0x23A4, "" },
//  { 0x23A5, "" },
    { 0x23A6, "fx_volume_pause" },
//  { 0x23A7, "" },
    { 0x23A8, "fx_volume_restart_noteworthy" },
//  { 0x23A9, "" },
    { 0x23AA, "fx_volume_restart" },
    { 0x23AB, "flag_count_increment" },
//  { 0x23AC, "" },
    { 0x23AD, "flag_count_decrement" },
    { 0x23AE, "flag_count_set" },
    { 0x23AF, "add_cleanup_ent" },
    { 0x23B0, "cleanup_ents" },
//  { 0x23B1, "" },
    { 0x23B2, "add_trigger_function" },
    { 0x23B3, "getallweapons" },
//  { 0x23B4, "" },
    { 0x23B5, "move_with_rate" },
    { 0x23B6, "flag_on_death" },
    { 0x23B7, "damagefeedback" },
    { 0x23B8, "disable_damagefeedback" },
    { 0x23B9, "add_damagefeedback" },
//  { 0x23BA, "" },
    { 0x23BB, "deletestructarray" },
    { 0x23BC, "deletestruct_ref" },
//  { 0x23BD, "" },
//  { 0x23BE, "" },
    { 0x23BF, "setentityheadicon" },
    { 0x23C0, "entityheadiconoffset" },
    { 0x23C1, "entityheadiconreferencefunc" },
//  { 0x23C2, "" },
//  { 0x23C3, "" },
    { 0x23C4, "updateentityheadicon" },
//  { 0x23C5, "" },
    { 0x23C6, "destroyentityheadiconondeath" },
//  { 0x23C7, "" },
    { 0x23C8, "evasive_createmaneuvers" },
//  { 0x23C9, "" },
//  { 0x23CA, "" },
    { 0x23CB, "evasive_endmaneuvers" },
    { 0x23CC, "evasive_addpoint" },
    { 0x23CD, "evasive_points" },
//  { 0x23CE, "" },
    { 0x23CF, "evasive_drawpoints" },
//  { 0x23D0, "" },
//  { 0x23D1, "" },
    { 0x23D2, "wingman_getgoalpos" },
    { 0x23D3, "getplayerhelispeed" },
//  { 0x23D4, "" },
    { 0x23D5, "fullmodel" },
    { 0x23D6, "script_wingman" },
    { 0x23D7, "wingman" },
//  { 0x23D8, "" },
    { 0x23D9, "playercontrolled" },
//  { 0x23DA, "" },
//  { 0x23DB, "" },
//  { 0x23DC, "" },
    { 0x23DD, "flares_fire" },
//  { 0x23DE, "" },
//  { 0x23DF, "" },
//  { 0x23E0, "" },
    { 0x23E1, "centeraimpoint" },
//  { 0x23E2, "" },
//  { 0x23E3, "" },
    { 0x23E4, "script_targetoffset_z" },
    { 0x23E5, "flares_get_vehicle_velocity" },
    { 0x23E6, "missile_deathwait" },
    { 0x23E7, "getenemytarget" },
    { 0x23E8, "ignored_by_attack_heli" },
    { 0x23E9, "shootenemytarget_bullets" },
    { 0x23EA, "cobraweapon" },
    { 0x23EB, "gunnerweapon" },
//  { 0x23EC, "" },
    { 0x23ED, "shootenemytarget_bullets_debugline" },
    { 0x23EE, "attachmissiles" },
    { 0x23EF, "hasattachedweapons" },
//  { 0x23F0, "" },
//  { 0x23F1, "" },
//  { 0x23F2, "" },
//  { 0x23F3, "" },
    { 0x23F4, "delayed_earthquake" },
//  { 0x23F5, "" },
//  { 0x23F6, "" },
    { 0x23F7, "attack_heli_fx" },
    { 0x23F8, "attackheliaiburstsize" },
    { 0x23F9, "cosine" },
    { 0x23FA, "attackhelirange" },
    { 0x23FB, "attackhelikillsai" },
    { 0x23FC, "attackhelifov" },
//  { 0x23FD, "" },
    { 0x23FE, "attackhelitargetreaquire" },
    { 0x23FF, "attackhelimovetime" },
    { 0x2400, "attackheliplayerbreak" },
    { 0x2401, "attackhelitimeout" },
    { 0x2402, "start_attack_heli" },
    { 0x2403, "spawn_vehicle_from_targetname_and_drive" },
//  { 0x2404, "" },
    { 0x2405, "no_attractor" },
    { 0x2406, "attractor" },
    { 0x2407, "attractor2" },
    { 0x2408, "startingorigin" },
    { 0x2409, "circling" },
    { 0x240A, "allowshoot" },
//  { 0x240B, "" },
    { 0x240C, "moving" },
    { 0x240D, "istakingdamage" },
//  { 0x240E, "" },
    { 0x240F, "turrettype" },
    { 0x2410, "targetdefault" },
    { 0x2411, "etarget" },
    { 0x2412, "script_spotlight" },
    { 0x2413, "spotlight" },
    { 0x2414, "detect_player_death" },
//  { 0x2415, "" },
//  { 0x2416, "" },
    { 0x2417, "turrets" },
    { 0x2418, "setup_miniguns" },
//  { 0x2419, "" },
//  { 0x241A, "" },
//  { 0x241B, "" },
//  { 0x241C, "" },
    { 0x241D, "kill_heli_logic" },
//  { 0x241E, "" },
    { 0x241F, "enemy_heli_killed" },
    { 0x2420, "commander_speaking" },
//  { 0x2421, "" },
    { 0x2422, "attack_heli_safe_volumes" },
//  { 0x2423, "" },
    { 0x2424, "dontwaitforpathend" },
    { 0x2425, "heli_circling_think" },
    { 0x2426, "heli_goal_think" },
    { 0x2427, "player_is_aiming_with_rocket" },
    { 0x2428, "heli_shoot_think" },
//  { 0x2429, "" },
    { 0x242A, "player_grace_period" },
    { 0x242B, "heli_can_see_target" },
    { 0x242C, "heli_has_player_target" },
    { 0x242D, "heli_has_target" },
//  { 0x242E, "" },
//  { 0x242F, "" },
    { 0x2430, "heli_get_target_player_only" },
    { 0x2431, "heli_get_target_ai_only" },
//  { 0x2432, "" },
//  { 0x2433, "" },
//  { 0x2434, "" },
//  { 0x2435, "" },
    { 0x2436, "get_different_player" },
    { 0x2437, "notify_disable" },
    { 0x2438, "notify_enable" },
    { 0x2439, "fire_guns" },
//  { 0x243A, "" },
//  { 0x243B, "" },
    { 0x243C, "turret_default_fire" },
    { 0x243D, "turret_minigun_fire" },
    { 0x243E, "minigun_fire" },
    { 0x243F, "target_track" },
//  { 0x2440, "" },
    { 0x2441, "minigun_ai_target_cleanup" },
    { 0x2442, "minigun_spindown" },
//  { 0x2443, "" },
//  { 0x2444, "" },
    { 0x2445, "can_see_player" },
//  { 0x2446, "" },
//  { 0x2447, "" },
    { 0x2448, "seen_attacker" },
    { 0x2449, "heli_damage_update" },
//  { 0x244A, "" },
//  { 0x244B, "" },
//  { 0x244C, "" },
//  { 0x244D, "" },
//  { 0x244E, "" },
//  { 0x244F, "" },
//  { 0x2450, "" },
//  { 0x2451, "" },
//  { 0x2452, "" },
//  { 0x2453, "" },
    { 0x2454, "heli_spotlight_think" },
    { 0x2455, "left_ent" },
    { 0x2456, "right_ent" },
    { 0x2457, "within_player_fov" },
//  { 0x2458, "" },
    { 0x2459, "littlebird_turrets_think" },
//  { 0x245A, "" },
//  { 0x245B, "" },
//  { 0x245C, "" },
    { 0x245D, "preferredtarget" },
    { 0x245E, "script_shotcount" },
    { 0x245F, "heli_default_missiles_off" },
    { 0x2460, "heli_spotlight_on" },
    { 0x2461, "heli_spotlight_off" },
    { 0x2462, "heli_spotlight_random_targets_on" },
    { 0x2463, "heli_spotlight_random_targets_off" },
//  { 0x2464, "" },
//  { 0x2465, "" },
//  { 0x2466, "" },
    { 0x2467, "boneyard_style_heli_missile_attack" },
//  { 0x2468, "" },
    { 0x2469, "boneyard_fire_at_targets" },
    { 0x246A, "get_american_name" },
//  { 0x246B, "" },
//  { 0x246C, "" },
    { 0x246D, "get_russian_name" },
//  { 0x246E, "" },
    { 0x246F, "script_tankgroup" },
//  { 0x2470, "" },
    { 0x2471, "setvehiclefx" },
//  { 0x2472, "" },
    { 0x2473, "setallvehiclefx" },
    { 0x2474, "disablevehiclescripts" },
//  { 0x2475, "" },
    { 0x2476, "vehicle_processtriggers" },
    { 0x2477, "init_helicopter_list" },
//  { 0x2478, "" },
    { 0x2479, "init_airplane_list" },
//  { 0x247A, "" },
//  { 0x247B, "" },
    { 0x247C, "trigger_getlinkmap" },
    { 0x247D, "setup_script_gatetrigger" },
    { 0x247E, "script_gatetrigger" },
    { 0x247F, "vehicle_gatetrigger" },
    { 0x2480, "setup_script_vehiclespawngroup" },
//  { 0x2481, "" },
    { 0x2482, "setup_vehicle_spawners" },
    { 0x2483, "vehicle_spawn_think" },
//  { 0x2484, "" },
    { 0x2485, "vehicle_linked_entities_think" },
//  { 0x2486, "" },
    { 0x2487, "is_trigger_once" },
//  { 0x2488, "" },
//  { 0x2489, "" },
//  { 0x248A, "" },
//  { 0x248B, "" },
    { 0x248C, "script_vehicletriggergroup" },
    { 0x248D, "vehicle_flags" },
    { 0x248E, "script_vehiclegroupdelete" },
    { 0x248F, "vehicle_deletegroup" },
//  { 0x2490, "" },
    { 0x2491, "vehicle_startmovegroup" },
//  { 0x2492, "" },
//  { 0x2493, "" },
    { 0x2494, "path_detour_script_origin" },
    { 0x2495, "crash_detour_check" },
    { 0x2496, "script_crashtype" },
    { 0x2497, "derailed" },
//  { 0x2498, "" },
    { 0x2499, "path_detour" },
    { 0x249A, "script_vehicledetourgroup" },
//  { 0x249B, "" },
//  { 0x249C, "" },
    { 0x249D, "script_transmission" },
    { 0x249E, "reverse_node" },
    { 0x249F, "_setswitchnode" },
//  { 0x24A0, "" },
    { 0x24A1, "detouringpath" },
//  { 0x24A2, "" },
    { 0x24A3, "vehicle_link" },
    { 0x24A4, "spawn_array" },
    { 0x24A5, "remove_non_riders_from_array" },
    { 0x24A6, "ai_should_be_added" },
    { 0x24A7, "get_vehicle_ai_spawners" },
    { 0x24A8, "vehicle_ridespawners" },
    { 0x24A9, "get_vehicle_ai_riders" },
//  { 0x24AA, "" },
    { 0x24AB, "spawn_group" },
    { 0x24AC, "spawn_unload_group" },
//  { 0x24AD, "" },
//  { 0x24AE, "" },
    { 0x24AF, "script_vehiclewalk" },
    { 0x24B0, "script_followmode" },
    { 0x24B1, "followmode" },
//  { 0x24B2, "" },
    { 0x24B3, "runtovehicle" },
    { 0x24B4, "climbnode" },
    { 0x24B5, "climbanim" },
    { 0x24B6, "vehicle_goal" },
    { 0x24B7, "runtovehicle_setgoal" },
    { 0x24B8, "setup_groundnode_detour" },
    { 0x24B9, "turn_unloading_drones_to_ai" },
    { 0x24BA, "add_proccess_trigger" },
    { 0x24BB, "islastnode" },
    { 0x24BC, "get_path_getfunc" },
//  { 0x24BD, "" },
//  { 0x24BE, "" },
    { 0x24BF, "vehicle_paths_non_heli" },
    { 0x24C0, "gateopen" },
//  { 0x24C1, "" },
    { 0x24C2, "script_crashtypeoverride" },
    { 0x24C3, "script_badplace" },
    { 0x24C4, "script_turretmg" },
    { 0x24C5, "script_turningdir" },
    { 0x24C6, "script_deathroll" },
//  { 0x24C7, "" },
//  { 0x24C8, "" },
//  { 0x24C9, "" },
    { 0x24CA, "script_brake" },
//  { 0x24CB, "" },
    { 0x24CC, "script_ent_flag_wait" },
//  { 0x24CD, "" },
    { 0x24CE, "set_lookat_point" },
    { 0x24CF, "script_vehicle_lights_off" },
    { 0x24D0, "script_vehicle_lights_on" },
//  { 0x24D1, "" },
    { 0x24D2, "script_vehicle_selfremove" },
    { 0x24D3, "vehicle_paths_helicopter" },
    { 0x24D4, "script_helimove" },
    { 0x24D5, "vehicle_should_unload" },
    { 0x24D6, "script_unload" },
//  { 0x24D7, "" },
    { 0x24D8, "overshoot_next_node" },
    { 0x24D9, "is_script_vehicle_selfremove" },
    { 0x24DA, "must_stop_at_next_point" },
    { 0x24DB, "heli_wait_node" },
//  { 0x24DC, "" },
//  { 0x24DD, "" },
    { 0x24DE, "script_airresistance" },
//  { 0x24DF, "" },
//  { 0x24E0, "" },
//  { 0x24E1, "" },
//  { 0x24E2, "" },
//  { 0x24E3, "" },
    { 0x24E4, "script_firelink" },
//  { 0x24E5, "" },
//  { 0x24E6, "" },
//  { 0x24E7, "" },
//  { 0x24E8, "" },
//  { 0x24E9, "" },
//  { 0x24EA, "" },
//  { 0x24EB, "" },
//  { 0x24EC, "" },
//  { 0x24ED, "" },
//  { 0x24EE, "" },
//  { 0x24EF, "" },
    { 0x24F0, "path_gate_wait_till_open" },
    { 0x24F1, "waitingforgate" },
//  { 0x24F2, "" },
//  { 0x24F3, "" },
//  { 0x24F4, "" },
//  { 0x24F5, "" },
    { 0x24F6, "truckjunk" },
//  { 0x24F7, "" },
    { 0x24F8, "remove_vehicle_spawned_thisframe" },
//  { 0x24F9, "" },
//  { 0x24FA, "" },
//  { 0x24FB, "" },
//  { 0x24FC, "" },
//  { 0x24FD, "" },
//  { 0x24FE, "" },
//  { 0x24FF, "" },
//  { 0x2500, "" },
//  { 0x2501, "" },
//  { 0x2502, "" },
//  { 0x2503, "" },
//  { 0x2504, "" },
    { 0x2505, "script_dontunloadonend" },
    { 0x2506, "script_physicsjolt" },
    { 0x2507, "vehiclespawncallbackthread" },
    { 0x2508, "ischeapshieldenabled" },
    { 0x2509, "cheap_vehicles_have_shields" },
//  { 0x250A, "" },
//  { 0x250B, "" },
//  { 0x250C, "" },
//  { 0x250D, "" },
    { 0x250E, "deathdamage_min" },
    { 0x250F, "mindamage" },
//  { 0x2510, "" },
    { 0x2511, "range" },
    { 0x2512, "vehicle_kill" },
    { 0x2513, "rumbletrigger" },
    { 0x2514, "vehicle_rumble_unique" },
    { 0x2515, "vehicle_rumble_override" },
    { 0x2516, "vehicle_rumble" },
    { 0x2517, "vehicle_death_thread" },
//  { 0x2518, "" },
    { 0x2519, "vehicle_deathmodel_delay" },
    { 0x251A, "dontdisconnectpaths" },
    { 0x251B, "free_on_death" },
//  { 0x251C, "" },
//  { 0x251D, "" },
//  { 0x251E, "" },
//  { 0x251F, "" },
    { 0x2520, "attackback" },
    { 0x2521, "badshot" },
//  { 0x2522, "" },
//  { 0x2523, "" },
    { 0x2524, "offsetone" },
    { 0x2525, "offsetrange" },
    { 0x2526, "rocket_destroyed_for_achievement" },
    { 0x2527, "rumble_basetime" },
//  { 0x2528, "" },
//  { 0x2529, "" },
//  { 0x252A, "" },
    { 0x252B, "script_mp_style_helicopter" },
//  { 0x252C, "" },
//  { 0x252D, "" },
    { 0x252E, "shotsatzerospeed" },
//  { 0x252F, "" },
    { 0x2530, "target_min_range" },
//  { 0x2531, "" },
//  { 0x2532, "" },
//  { 0x2533, "" },
    { 0x2534, "turret_damage_min" },
    { 0x2535, "turret_damage_range" },
    { 0x2536, "badplacemodifier" },
//  { 0x2537, "" },
    { 0x2538, "rumble_scale" },
    { 0x2539, "rumbleon" },
    { 0x253A, "teleported_to_path_section" },
    { 0x253B, "turretaccmaxs" },
//  { 0x253C, "" },
    { 0x253D, "turretfiretimer" },
    { 0x253E, "turretonvistarg" },
//  { 0x253F, "" },
    { 0x2540, "water_splash_function" },
    { 0x2541, "water_splash_reset_function" },
//  { 0x2542, "" },
//  { 0x2543, "" },
    { 0x2544, "ent_flag_lock" },
    { 0x2545, "vehicle_stop_named" },
    { 0x2546, "enable_rocket_death" },
//  { 0x2547, "" },
    { 0x2548, "default_target_vec" },
//  { 0x2549, "" },
//  { 0x254A, "" },
//  { 0x254B, "" },
//  { 0x254C, "" },
    { 0x254D, "vehicle_should_do_rocket_death" },
//  { 0x254E, "" },
    { 0x254F, "vehicle_has_rocket_death" },
    { 0x2550, "vehicle_death_fx" },
//  { 0x2551, "" },
//  { 0x2552, "" },
//  { 0x2553, "" },
    { 0x2554, "vehicle_hasmainturret" },
    { 0x2555, "is_corpse" },
//  { 0x2556, "" },
    { 0x2557, "clear_anims_on_death" },
//  { 0x2558, "" },
//  { 0x2559, "" },
    { 0x255A, "get_unused_crash_locations" },
    { 0x255B, "helicopter_crash_locations" },
    { 0x255C, "detach_getoutrigs" },
    { 0x255D, "helicopter_crash_move" },
//  { 0x255E, "" },
//  { 0x255F, "" },
//  { 0x2560, "" },
//  { 0x2561, "" },
//  { 0x2562, "" },
//  { 0x2563, "" },
//  { 0x2564, "" },
    { 0x2565, "helicopter_crash_zigzag" },
    { 0x2566, "helicopter_crash_rotate" },
    { 0x2567, "crash_path_check" },
//  { 0x2568, "" },
//  { 0x2569, "" },
//  { 0x256A, "" },
//  { 0x256B, "" },
    { 0x256C, "kill_fx_thread" },
//  { 0x256D, "" },
    { 0x256E, "notifystring" },
    { 0x256F, "selfdeletedelay" },
    { 0x2570, "beffectlooping" },
//  { 0x2571, "" },
    { 0x2572, "remove_deathfx_entity_delay" },
    { 0x2573, "bsoundlooping" },
    { 0x2574, "loop_fx_on_vehicle_tag" },
//  { 0x2575, "" },
    { 0x2576, "vtclassname" },
//  { 0x2577, "" },
    { 0x2578, "build_rumble_override" },
    { 0x2579, "build_rumble_unique" },
    { 0x257A, "build_deathquake" },
    { 0x257B, "vttype" },
    { 0x257C, "build_quake" },
//  { 0x257D, "" },
    { 0x257E, "randomaditionaltime" },
//  { 0x257F, "" },
    { 0x2580, "build_deathfx_override" },
    { 0x2581, "vtmodel" },
    { 0x2582, "vtoverride" },
    { 0x2583, "vehicle_death_fx_override" },
    { 0x2584, "build_deathfx" },
    { 0x2585, "is_overrode" },
    { 0x2586, "build_rocket_deathfx" },
//  { 0x2587, "" },
//  { 0x2588, "" },
//  { 0x2589, "" },
    { 0x258A, "vehicle_kill_disconnect_paths_forever" },
    { 0x258B, "disconnect_paths_whenstopped" },
//  { 0x258C, "" },
    { 0x258D, "debug_vehiclesetspeed" },
    { 0x258E, "script_resumespeed" },
    { 0x258F, "resumemsgs" },
    { 0x2590, "attacking" },
    { 0x2591, "attackspeed" },
    { 0x2592, "print_resumespeed" },
    { 0x2593, "force_kill" },
//  { 0x2594, "" },
    { 0x2595, "godoff" },
    { 0x2596, "setturretfireondrones" },
//  { 0x2597, "" },
//  { 0x2598, "" },
//  { 0x2599, "" },
    { 0x259A, "idle_animations" },
//  { 0x259B, "" },
    { 0x259C, "animate_drive_idle" },
    { 0x259D, "vehicle_driveidle_normal_speed" },
//  { 0x259E, "" },
//  { 0x259F, "" },
//  { 0x25A0, "" },
//  { 0x25A1, "" },
//  { 0x25A2, "" },
//  { 0x25A3, "" },
    { 0x25A4, "vehicle_walkai" },
//  { 0x25A5, "" },
//  { 0x25A6, "" },
    { 0x25A7, "is_node_script_origin" },
    { 0x25A8, "node_trigger_process" },
//  { 0x25A9, "" },
//  { 0x25AA, "" },
    { 0x25AB, "setup_triggers" },
    { 0x25AC, "is_node_script_struct" },
    { 0x25AD, "setup_vehicles" },
//  { 0x25AE, "" },
//  { 0x25AF, "" },
    { 0x25B0, "check_spawn_group_isspawner" },
    { 0x25B1, "vehicle_life" },
    { 0x25B2, "vehicle_life_range_low" },
//  { 0x25B3, "" },
    { 0x25B4, "destructible_model" },
    { 0x25B5, "mginit" },
    { 0x25B6, "vehicle_mgturret" },
    { 0x25B7, "script_mg_angle" },
    { 0x25B8, "info" },
//  { 0x25B9, "" },
    { 0x25BA, "ownervehicle" },
    { 0x25BB, "deletedelay" },
    { 0x25BC, "defaultdroppitch" },
//  { 0x25BD, "" },
//  { 0x25BE, "" },
//  { 0x25BF, "" },
    { 0x25C0, "mgon" },
//  { 0x25C1, "" },
//  { 0x25C2, "" },
//  { 0x25C3, "" },
    { 0x25C4, "hashelicopterdustkickup" },
    { 0x25C5, "hashelicopterturret" },
//  { 0x25C6, "" },
    { 0x25C7, "chopper_turret_off" },
//  { 0x25C8, "" },
//  { 0x25C9, "" },
//  { 0x25CA, "" },
    { 0x25CB, "forwardvec" },
//  { 0x25CC, "" },
//  { 0x25CD, "" },
//  { 0x25CE, "" },
    { 0x25CF, "empty_var" },
    { 0x25D0, "setup_levelvars" },
    { 0x25D1, "vehicle_deathswitch" },
//  { 0x25D2, "" },
//  { 0x25D3, "" },
    { 0x25D4, "vehicle_team" },
    { 0x25D5, "attack_origin_condition_threadd" },
    { 0x25D6, "vehiclefireanim" },
    { 0x25D7, "vehiclefireanim_settle" },
//  { 0x25D8, "" },
    { 0x25D9, "vehicle_turret_requiresrider" },
    { 0x25DA, "vehicle_isstationary" },
//  { 0x25DB, "" },
//  { 0x25DC, "" },
    { 0x25DD, "vehicle_deckdust" },
    { 0x25DE, "vehicle_shoot_shock" },
    { 0x25DF, "vehicle_frontarmor" },
    { 0x25E0, "vehicle_types" },
//  { 0x25E1, "" },
//  { 0x25E2, "" },
    { 0x25E3, "vehicle_death_jolt" },
//  { 0x25E4, "" },
//  { 0x25E5, "" },
//  { 0x25E6, "" },
    { 0x25E7, "attacker_troop_isonmyteam" },
    { 0x25E8, "has_frontarmor" },
    { 0x25E9, "grenadeshielded" },
//  { 0x25EA, "" },
    { 0x25EB, "bulletshielded" },
//  { 0x25EC, "" },
    { 0x25ED, "script_explosive_bullet_shield" },
//  { 0x25EE, "" },
//  { 0x25EF, "" },
    { 0x25F0, "unstoppable_friendly_fire_shield" },
//  { 0x25F1, "" },
//  { 0x25F2, "" },
    { 0x25F3, "hit_bullet_armor" },
    { 0x25F4, "regen_front_armor" },
    { 0x25F5, "vehicle_kill_rumble_forever" },
    { 0x25F6, "vehicle_kill_badplace_forever" },
    { 0x25F7, "vehicle_badplace" },
//  { 0x25F8, "" },
    { 0x25F9, "no_treads" },
//  { 0x25FA, "" },
//  { 0x25FB, "" },
    { 0x25FC, "do_multiple_treads" },
    { 0x25FD, "vehicle_kill_treads_forever" },
//  { 0x25FE, "" },
    { 0x25FF, "treadfx_freq_scale" },
//  { 0x2600, "" },
//  { 0x2601, "" },
//  { 0x2602, "" },
    { 0x2603, "vehicle_shoot_shock_overlay" },
    { 0x2604, "shock_distance" },
//  { 0x2605, "" },
    { 0x2606, "shellshock_audio_disabled" },
//  { 0x2607, "" },
//  { 0x2608, "" },
    { 0x2609, "get_vehiclenode_any_dynamic" },
//  { 0x260A, "" },
    { 0x260B, "littlebird_landing" },
//  { 0x260C, "" },
//  { 0x260D, "" },
    { 0x260E, "move_turrets_here" },
    { 0x260F, "vehicle_to_dummy" },
    { 0x2610, "move_effects_ent_here" },
//  { 0x2611, "" },
//  { 0x2612, "" },
//  { 0x2613, "" },
    { 0x2614, "script_ghettotag" },
//  { 0x2615, "" },
    { 0x2616, "base_origin" },
    { 0x2617, "dummy_to_vehicle" },
    { 0x2618, "move_riders_here" },
    { 0x2619, "spawn_vehicles_from_targetname_newstyle" },
//  { 0x261A, "" },
    { 0x261B, "spawn_vehicle_from_targetname" },
    { 0x261C, "spawn_vehicles_from_targetname_and_drive" },
//  { 0x261D, "" },
    { 0x261E, "treadfx_maxheight" },
    { 0x261F, "treadfx_immediate" },
    { 0x2620, "skip_treadfx" },
    { 0x2621, "tank_crush" },
    { 0x2622, "final_origin" },
//  { 0x2623, "" },
//  { 0x2624, "" },
    { 0x2625, "loadplayer" },
    { 0x2626, "player_animtree" },
//  { 0x2627, "" },
    { 0x2628, "turret_deleteme" },
//  { 0x2629, "" },
//  { 0x262A, "" },
    { 0x262B, "wheeldirectionchange" },
    { 0x262C, "maingun_fx" },
    { 0x262D, "maingun_fx_override" },
//  { 0x262E, "" },
    { 0x262F, "build_light" },
    { 0x2630, "vehicle_lights" },
    { 0x2631, "vehicle_lights_group_override" },
//  { 0x2632, "" },
    { 0x2633, "group_light" },
    { 0x2634, "vehicle_lights_group" },
    { 0x2635, "lights_on" },
//  { 0x2636, "" },
//  { 0x2637, "" },
//  { 0x2638, "" },
    { 0x2639, "lastlighttime" },
//  { 0x263A, "" },
    { 0x263B, "deathfx_ent" },
    { 0x263C, "lights_off" },
//  { 0x263D, "" },
//  { 0x263E, "" },
//  { 0x263F, "" },
//  { 0x2640, "" },
    { 0x2641, "build_shoot_shock" },
    { 0x2642, "build_idle" },
    { 0x2643, "build_drive" },
    { 0x2644, "build_template" },
//  { 0x2645, "" },
//  { 0x2646, "" },
//  { 0x2647, "" },
//  { 0x2648, "" },
    { 0x2649, "build_mainturret" },
//  { 0x264A, "" },
    { 0x264B, "build_grenadeshield" },
//  { 0x264C, "" },
//  { 0x264D, "" },
//  { 0x264E, "" },
    { 0x264F, "build_unload_groups" },
    { 0x2650, "build_life" },
    { 0x2651, "build_deckdust" },
    { 0x2652, "build_destructible" },
    { 0x2653, "vehicle_csv_export" },
    { 0x2654, "build_localinit" },
    { 0x2655, "get_from_spawnstruct" },
    { 0x2656, "get_from_entity" },
    { 0x2657, "get_from_spawnstruct_target" },
    { 0x2658, "get_from_entity_target" },
//  { 0x2659, "" },
    { 0x265A, "set_lookat_from_dest" },
//  { 0x265B, "" },
//  { 0x265C, "" },
    { 0x265D, "armordamagehints" },
    { 0x265E, "displayingdamagehints" },
    { 0x265F, "damage_hints" },
//  { 0x2660, "" },
//  { 0x2661, "" },
    { 0x2662, "is_dummy" },
    { 0x2663, "apply_truckjunk" },
    { 0x2664, "destroyefx" },
//  { 0x2665, "" },
    { 0x2666, "ghetto_tag_create" },
//  { 0x2667, "" },
    { 0x2668, "vehicle_load_ai_single" },
//  { 0x2669, "" },
//  { 0x266A, "" },
    { 0x266B, "team1" },
    { 0x266C, "build_death_badplace" },
    { 0x266D, "build_death_jolt" },
    { 0x266E, "kill_jolt" },
    { 0x266F, "heli_squashes_stuff" },
    { 0x2670, "_getvehiclespawnerarray_by_spawngroup" },
//  { 0x2671, "" },
//  { 0x2672, "" },
    { 0x2673, "gag_heliride_spawner" },
    { 0x2674, "auto_assign_ride_group" },
    { 0x2675, "vehicle_group_autoasign" },
//  { 0x2676, "" },
//  { 0x2677, "" },
//  { 0x2678, "" },
    { 0x2679, "steering_maxroll" },
    { 0x267A, "leanasitturns" },
    { 0x267B, "steering_maxdelta" },
    { 0x267C, "snowmobile_mount_anims" },
    { 0x267D, "get_my_spline_node" },
//  { 0x267E, "" },
//  { 0x267F, "" },
    { 0x2680, "script_speed" },
    { 0x2681, "attach_vehicle_triggers" },
    { 0x2682, "vehicle_triggers" },
//  { 0x2683, "" },
//  { 0x2684, "" },
    { 0x2685, "manual_tag_linkto" },
    { 0x2686, "littlebird_lands_and_unloads" },
    { 0x2687, "custom_landing" },
//  { 0x2688, "" },
//  { 0x2689, "" },
    { 0x268A, "vehicle_land_beneath_node" },
    { 0x268B, "vehicle_get_riders_by_group" },
    { 0x268C, "get_stage_nodes" },
//  { 0x268D, "" },
//  { 0x268E, "" },
    { 0x268F, "load_side" },
    { 0x2690, "stage_guy" },
//  { 0x2691, "" },
//  { 0x2692, "" },
//  { 0x2693, "" },
    { 0x2694, "vehicle_turret_scan_off" },
    { 0x2695, "vehicle_aim_turret_at_angle" },
//  { 0x2696, "" },
//  { 0x2697, "" },
    { 0x2698, "kill_lights" },
    { 0x2699, "vehicle_lights_on" },
//  { 0x269A, "" },
//  { 0x269B, "" },
//  { 0x269C, "" },
    { 0x269D, "vehicle_switch_paths" },
//  { 0x269E, "" },
//  { 0x269F, "" },
//  { 0x26A0, "" },
//  { 0x26A1, "" },
    { 0x26A2, "strip_suffix" },
//  { 0x26A3, "" },
//  { 0x26A4, "" },
    { 0x26A5, "lastupdatetime" },
    { 0x26A6, "createtimer" },
    { 0x26A7, "basewidth" },
    { 0x26A8, "baseheight" },
//  { 0x26A9, "" },
//  { 0x26AA, "" },
    { 0x26AB, "getcurrentfraction" },
    { 0x26AC, "createprimaryprogressbar" },
    { 0x26AD, "primaryprogressbarheight" },
    { 0x26AE, "primaryprogressbarwidth" },
//  { 0x26AF, "" },
    { 0x26B0, "primaryprogressbarx" },
    { 0x26B1, "createprimaryprogressbartext" },
//  { 0x26B2, "" },
    { 0x26B3, "primaryprogressbartexty" },
//  { 0x26B4, "" },
//  { 0x26B5, "" },
    { 0x26B6, "teamprogressbarheight" },
    { 0x26B7, "teamprogressbarwidth" },
    { 0x26B8, "teamprogressbary" },
    { 0x26B9, "createteamprogressbartext" },
    { 0x26BA, "teamprogressbarfontsize" },
    { 0x26BB, "teamprogressbartexty" },
    { 0x26BC, "hideelem" },
//  { 0x26BD, "" },
    { 0x26BE, "geticonshader" },
    { 0x26BF, "seticonsize" },
    { 0x26C0, "transitionreset" },
    { 0x26C1, "transitionzoomin" },
//  { 0x26C2, "" },
    { 0x26C3, "transitionslidein" },
    { 0x26C4, "transitionslideout" },
//  { 0x26C5, "" },
//  { 0x26C6, "" },
//  { 0x26C7, "" },
//  { 0x26C8, "" },
//  { 0x26C9, "" },
    { 0x26CA, "getdailyref" },
    { 0x26CB, "hud" },
//  { 0x26CC, "" },
//  { 0x26CD, "" },
//  { 0x26CE, "" },
//  { 0x26CF, "" },
//  { 0x26D0, "" },
    { 0x26D1, "placement" },
    { 0x26D2, "getlosingplayers" },
//  { 0x26D3, "" },
    { 0x26D4, "rankingenabled" },
    { 0x26D5, "hardcoremode" },
    { 0x26D6, "xppointspopup" },
    { 0x26D7, "statadd" },
//  { 0x26D8, "" },
//  { 0x26D9, "" },
//  { 0x26DA, "" },
//  { 0x26DB, "" },
    { 0x26DC, "onplayerscore" },
    { 0x26DD, "objectivepointsmod" },
    { 0x26DE, "_setplayerscore" },
    { 0x26DF, "_getplayerscore" },
    { 0x26E0, "giveteamscoreforobjective" },
    { 0x26E1, "otherteam" },
    { 0x26E2, "waswinning" },
//  { 0x26E3, "" },
//  { 0x26E4, "" },
//  { 0x26E5, "" },
//  { 0x26E6, "" },
    { 0x26E7, "_setteamscore" },
//  { 0x26E8, "" },
//  { 0x26E9, "" },
//  { 0x26EA, "" },
//  { 0x26EB, "" },
//  { 0x26EC, "" },
    { 0x26ED, "isobjectivebased" },
//  { 0x26EE, "" },
    { 0x26EF, "sendupdatedteamscores" },
    { 0x26F0, "waittillslowprocessallowed" },
    { 0x26F1, "sendupdateddmscores" },
    { 0x26F2, "updateddmscores" },
//  { 0x26F3, "" },
//  { 0x26F4, "" },
//  { 0x26F5, "" },
    { 0x26F6, "getbetterplayer" },
    { 0x26F7, "updateteamplacement" },
//  { 0x26F8, "" },
//  { 0x26F9, "" },
    { 0x26FA, "onxpevent" },
//  { 0x26FB, "" },
    { 0x26FC, "getpersstat" },
    { 0x26FD, "incplayerstat" },
    { 0x26FE, "giveadrenaline" },
//  { 0x26FF, "" },
//  { 0x2700, "" },
//  { 0x2701, "" },
//  { 0x2702, "" },
//  { 0x2703, "" },
    { 0x2704, "dvar" },
    { 0x2705, "gametweaks" },
//  { 0x2706, "" },
//  { 0x2707, "" },
    { 0x2708, "classtweaks" },
    { 0x2709, "weapontweaks" },
//  { 0x270A, "" },
    { 0x270B, "hudtweaks" },
    { 0x270C, "gettweakabledvar" },
//  { 0x270D, "" },
    { 0x270E, "gettweakablelastvalue" },
//  { 0x270F, "" },
//  { 0x2710, "" },
//  { 0x2711, "" },
//  { 0x2712, "" },
//  { 0x2713, "" },
//  { 0x2714, "" },
//  { 0x2715, "" },
//  { 0x2716, "" },
    { 0x2717, "minefield_kill" },
    { 0x2718, "minefield" },
//  { 0x2719, "" },
//  { 0x271A, "" },
//  { 0x271B, "" },
    { 0x271C, "playerleavearea" },
//  { 0x271D, "" },
//  { 0x271E, "" },
//  { 0x271F, "" },
//  { 0x2720, "" },
    { 0x2721, "radiationsound" },
    { 0x2722, "blackout" },
    { 0x2723, "doradiationdamage" },
//  { 0x2724, "" },
    { 0x2725, "fadeoutblackout" },
    { 0x2726, "destructable_think" },
    { 0x2727, "script_accumulate" },
    { 0x2728, "script_threshold" },
//  { 0x2729, "" },
//  { 0x272A, "" },
    { 0x272B, "blockarea" },
    { 0x272C, "blockentsinarea" },
//  { 0x272D, "" },
//  { 0x272E, "" },
    { 0x272F, "unblockentsinarea" },
    { 0x2730, "callback_hostmigration" },
//  { 0x2731, "" },
//  { 0x2732, "" },
    { 0x2733, "updatetimerpausedness" },
//  { 0x2734, "" },
//  { 0x2735, "" },
//  { 0x2736, "" },
    { 0x2737, "matchstarttimer" },
    { 0x2738, "hostmigrationwaitforplayers" },
//  { 0x2739, "" },
    { 0x273A, "hostmigrationcontrolsfrozen" },
    { 0x273B, "isreallyalive" },
    { 0x273C, "freezecontrolswrapper" },
//  { 0x273D, "" },
//  { 0x273E, "" },
//  { 0x273F, "" },
//  { 0x2740, "" },
    { 0x2741, "waitlongdurationwithgameendtimeupdate" },
//  { 0x2742, "" },
//  { 0x2743, "" },
//  { 0x2744, "" },
//  { 0x2745, "" },
    { 0x2746, "onfreeplayerconnect" },
//  { 0x2747, "" },
//  { 0x2748, "" },
    { 0x2749, "trackplayedtime" },
//  { 0x274A, "" },
//  { 0x274B, "" },
//  { 0x274C, "" },
//  { 0x274D, "" },
    { 0x274E, "updateplayedtime" },
//  { 0x274F, "" },
//  { 0x2750, "" },
//  { 0x2751, "" },
    { 0x2752, "stataddchildbufferedwithmax" },
    { 0x2753, "bufferedstatsmax" },
    { 0x2754, "stataddbufferedwithmax" },
    { 0x2755, "updateteamtime" },
//  { 0x2756, "" },
//  { 0x2757, "" },
    { 0x2758, "teamlimit" },
    { 0x2759, "getteambalance" },
//  { 0x275A, "" },
//  { 0x275B, "" },
    { 0x275C, "axis" },
    { 0x275D, "allies" },
    { 0x275E, "setghilliemodels" },
    { 0x275F, "environment" },
    { 0x2760, "setteammodels" },
//  { 0x2761, "" },
//  { 0x2762, "" },
//  { 0x2763, "" },
//  { 0x2764, "" },
//  { 0x2765, "" },
    { 0x2766, "updatefreeplayertimes" },
    { 0x2767, "updatefreeplayedtime" },
    { 0x2768, "getjointeampermissions" },
    { 0x2769, "onplayerspawned" },
    { 0x276A, "getteamname" },
//  { 0x276B, "" },
    { 0x276C, "getteamforfeitedstring" },
//  { 0x276D, "" },
    { 0x276E, "getteamicon" },
    { 0x276F, "getteamhudicon" },
//  { 0x2770, "" },
    { 0x2771, "getteamvoiceprefix" },
//  { 0x2772, "" },
//  { 0x2773, "" },
//  { 0x2774, "" },
//  { 0x2775, "" },
//  { 0x2776, "" },
//  { 0x2777, "" },
    { 0x2778, "getteamcolor" },
    { 0x2779, "getteamcratemodel" },
    { 0x277A, "getteamdeploymodel" },
    { 0x277B, "initedentityheadicons" },
//  { 0x277C, "" },
//  { 0x277D, "" },
    { 0x277E, "getplayerforguid" },
//  { 0x277F, "" },
//  { 0x2780, "" },
//  { 0x2781, "" },
    { 0x2782, "setteamheadicon" },
//  { 0x2783, "" },
    { 0x2784, "setplayerheadicon" },
    { 0x2785, "keepiconpositioned" },
    { 0x2786, "destroyheadiconsondeath" },
//  { 0x2787, "" },
//  { 0x2788, "" },
    { 0x2789, "trophyarray" },
//  { 0x278A, "" },
    { 0x278B, "createbombsquadmodel" },
    { 0x278C, "weaponname" },
//  { 0x278D, "" },
    { 0x278E, "ammo" },
    { 0x278F, "trigger" },
//  { 0x2790, "" },
    { 0x2791, "trophyuselistener" },
    { 0x2792, "setselfusable" },
    { 0x2793, "notusableforjoiningplayers" },
    { 0x2794, "giveperk" },
    { 0x2795, "trophyplayerspawnwaiter" },
    { 0x2796, "trophydisconnectwaiter" },
//  { 0x2797, "" },
    { 0x2798, "grenades" },
    { 0x2799, "missiles" },
//  { 0x279A, "" },
//  { 0x279B, "" },
//  { 0x279C, "" },
    { 0x279D, "projectileexplode" },
    { 0x279E, "empgrenadeexplode" },
    { 0x279F, "mine_explode" },
    { 0x27A0, "trophydamage" },
//  { 0x27A1, "" },
    { 0x27A2, "idflags_penetration" },
    { 0x27A3, "wasdamagedfrombulletpenetration" },
//  { 0x27A4, "" },
    { 0x27A5, "trophybreak" },
    { 0x27A6, "startmonitoringflash" },
    { 0x27A7, "stopmonitoringflash" },
    { 0x27A8, "usingremote" },
    { 0x27A9, "stunscaler" },
//  { 0x27AA, "" },
    { 0x27AB, "flashduration" },
    { 0x27AC, "flashrumbleduration" },
//  { 0x27AD, "" },
//  { 0x27AE, "" },
//  { 0x27AF, "" },
//  { 0x27B0, "" },
//  { 0x27B1, "" },
//  { 0x27B2, "" },
//  { 0x27B3, "" },
    { 0x27B4, "checktoturnoffemp" },
//  { 0x27B5, "" },
    { 0x27B6, "empplayer" },
//  { 0x27B7, "" },
//  { 0x27B8, "" },
//  { 0x27B9, "" },
    { 0x27BA, "stingerstage" },
//  { 0x27BB, "" },
    { 0x27BC, "stingerlockstarttime" },
    { 0x27BD, "stingerlostsightlinetime" },
//  { 0x27BE, "" },
//  { 0x27BF, "" },
    { 0x27C0, "stingeruseentered" },
    { 0x27C1, "resetstingerlockingondeath" },
//  { 0x27C2, "" },
    { 0x27C3, "ac130" },
    { 0x27C4, "planemodel" },
    { 0x27C5, "loopstingerlockingfeedback" },
//  { 0x27C6, "" },
    { 0x27C7, "locksighttest" },
    { 0x27C8, "stingerdebugdraw" },
//  { 0x27C9, "" },
    { 0x27CA, "gettargetlist" },
//  { 0x27CB, "" },
//  { 0x27CC, "" },
    { 0x27CD, "littlebirds" },
    { 0x27CE, "ugvs" },
    { 0x27CF, "stingerusageloop" },
//  { 0x27D0, "" },
    { 0x27D1, "javelinstage" },
    { 0x27D2, "javelinpoints" },
//  { 0x27D3, "" },
//  { 0x27D4, "" },
    { 0x27D5, "javelintargetpoint" },
    { 0x27D6, "javelintargetnormal" },
    { 0x27D7, "javelinlockstarttime" },
//  { 0x27D8, "" },
    { 0x27D9, "javelinuseentered" },
    { 0x27DA, "currentlylocking" },
    { 0x27DB, "currentlylocked" },
    { 0x27DC, "javelintarget" },
//  { 0x27DD, "" },
//  { 0x27DE, "" },
    { 0x27DF, "lockmissesincr" },
    { 0x27E0, "lockmissespassedthreshold" },
    { 0x27E1, "targetpointtooclose" },
//  { 0x27E2, "" },
//  { 0x27E3, "" },
//  { 0x27E4, "" },
//  { 0x27E5, "" },
//  { 0x27E6, "" },
//  { 0x27E7, "" },
    { 0x27E8, "vehiclelocksighttest" },
    { 0x27E9, "javelinlockvehicle" },
    { 0x27EA, "stillvalidjavelinlock" },
    { 0x27EB, "shellshockondamage" },
//  { 0x27EC, "" },
    { 0x27ED, "isusingremote" },
    { 0x27EE, "bloodeffect" },
    { 0x27EF, "c4_earthquake" },
    { 0x27F0, "barrel_earthquake" },
    { 0x27F1, "artillery_earthquake" },
    { 0x27F2, "attachmentgroup" },
    { 0x27F3, "getattachmentlist" },
    { 0x27F4, "scavenger_altmode" },
    { 0x27F5, "scavenger_secondary" },
    { 0x27F6, "getintproperty" },
    { 0x27F7, "riotshieldxpbullets" },
//  { 0x27F8, "" },
//  { 0x27F9, "" },
//  { 0x27FA, "" },
//  { 0x27FB, "" },
//  { 0x27FC, "" },
//  { 0x27FD, "" },
    { 0x27FE, "minedetectionradius" },
    { 0x27FF, "minedetectionheight" },
//  { 0x2800, "" },
//  { 0x2801, "" },
//  { 0x2802, "" },
//  { 0x2803, "" },
//  { 0x2804, "" },
//  { 0x2805, "" },
//  { 0x2806, "" },
    { 0x2807, "mine_beacon" },
    { 0x2808, "delayminetime" },
    { 0x2809, "stingerfxid" },
    { 0x280A, "primary_weapon_array" },
    { 0x280B, "side_arm_array" },
    { 0x280C, "grenade_array" },
//  { 0x280D, "" },
//  { 0x280E, "" },
//  { 0x280F, "" },
    { 0x2810, "dumpit" },
    { 0x2811, "bombsquadwaiter" },
    { 0x2812, "bombsquadvisibilityupdater" },
//  { 0x2813, "" },
    { 0x2814, "hasdonecombat" },
//  { 0x2815, "" },
    { 0x2816, "concussionendtime" },
//  { 0x2817, "" },
    { 0x2818, "trackingweaponshots" },
//  { 0x2819, "" },
    { 0x281A, "trackingweaponhits" },
    { 0x281B, "trackingweaponheadshots" },
    { 0x281C, "trackingweapondeaths" },
//  { 0x281D, "" },
//  { 0x281E, "" },
//  { 0x281F, "" },
    { 0x2820, "tookweaponfrom" },
//  { 0x2821, "" },
    { 0x2822, "getweaponclass" },
//  { 0x2823, "" },
    { 0x2824, "watchjavelinusage" },
    { 0x2825, "lastdroppableweapon" },
    { 0x2826, "hitsthismag" },
//  { 0x2827, "" },
    { 0x2828, "bothbarrels" },
//  { 0x2829, "" },
//  { 0x282A, "" },
    { 0x282B, "class_num" },
    { 0x282C, "loadoutprimarybuff" },
//  { 0x282D, "" },
//  { 0x282E, "" },
//  { 0x282F, "" },
    { 0x2830, "watchstartweaponchange" },
//  { 0x2831, "" },
//  { 0x2832, "" },
//  { 0x2833, "" },
//  { 0x2834, "" },
    { 0x2835, "dropweaponfordeath" },
//  { 0x2836, "" },
    { 0x2837, "ownersattacker" },
    { 0x2838, "detachifattached" },
    { 0x2839, "deletepickupafterawhile" },
    { 0x283A, "getitemweaponname" },
    { 0x283B, "watchpickup" },
//  { 0x283C, "" },
//  { 0x283D, "" },
    { 0x283E, "dropscavengerfordeath" },
    { 0x283F, "getweaponbasedgrenadecount" },
//  { 0x2840, "" },
//  { 0x2841, "" },
//  { 0x2842, "" },
    { 0x2843, "setweaponstat" },
//  { 0x2844, "" },
//  { 0x2845, "" },
//  { 0x2846, "" },
//  { 0x2847, "" },
//  { 0x2848, "" },
//  { 0x2849, "" },
//  { 0x284A, "" },
    { 0x284B, "genericchallenge" },
    { 0x284C, "checkhit" },
//  { 0x284D, "" },
    { 0x284E, "gotpullbacknotify" },
    { 0x284F, "claymorearray" },
//  { 0x2850, "" },
//  { 0x2851, "" },
    { 0x2852, "originalowner" },
    { 0x2853, "watchsmokeexplode" },
//  { 0x2854, "" },
//  { 0x2855, "" },
    { 0x2856, "addmissiletosighttraces" },
//  { 0x2857, "" },
//  { 0x2858, "" },
    { 0x2859, "setaltsceneobj" },
//  { 0x285A, "" },
//  { 0x285B, "" },
//  { 0x285C, "" },
    { 0x285D, "threwback" },
//  { 0x285E, "" },
//  { 0x285F, "" },
//  { 0x2860, "" },
    { 0x2861, "equipmentwatchuse" },
//  { 0x2862, "" },
    { 0x2863, "c4activate" },
//  { 0x2864, "" },
    { 0x2865, "waschained" },
//  { 0x2866, "" },
    { 0x2867, "c4detectiontrigger" },
    { 0x2868, "detectid" },
    { 0x2869, "bombsquadicon" },
//  { 0x286A, "" },
    { 0x286B, "detecticonwaiter" },
//  { 0x286C, "" },
    { 0x286D, "bombsquadids" },
    { 0x286E, "setupbombsquad" },
    { 0x286F, "bombsquadicons" },
    { 0x2870, "showheadicon" },
    { 0x2871, "get_damageable_player_pos" },
//  { 0x2872, "" },
    { 0x2873, "get_damageable_grenade_pos" },
    { 0x2874, "get_damageable_grenade" },
    { 0x2875, "get_damageable_sentry" },
    { 0x2876, "get_damageable_mine" },
//  { 0x2877, "" },
    { 0x2878, "debugcircle" },
    { 0x2879, "isaltmodeweapon" },
//  { 0x287A, "" },
    { 0x287B, "isriotshield" },
    { 0x287C, "isoffhandweapon" },
//  { 0x287D, "" },
    { 0x287E, "isgrenade" },
    { 0x287F, "updatesavedlastweapon" },
//  { 0x2880, "" },
//  { 0x2881, "" },
    { 0x2882, "isdeathstreakweapon" },
    { 0x2883, "clearempondeath" },
//  { 0x2884, "" },
    { 0x2885, "getbaseweaponname" },
    { 0x2886, "weaponspeed" },
    { 0x2887, "movespeedscaler" },
//  { 0x2888, "" },
    { 0x2889, "setrecoilscale" },
    { 0x288A, "buildweapondata" },
    { 0x288B, "basename" },
    { 0x288C, "assetname" },
    { 0x288D, "variants" },
//  { 0x288E, "" },
    { 0x288F, "isstuck" },
//  { 0x2890, "" },
    { 0x2891, "playercardsplashnotify" },
//  { 0x2892, "" },
    { 0x2893, "turret_monitoruse" },
    { 0x2894, "turret_playerthread" },
//  { 0x2895, "" },
//  { 0x2896, "" },
//  { 0x2897, "" },
//  { 0x2898, "" },
//  { 0x2899, "" },
    { 0x289A, "minedamagemonitor" },
//  { 0x289B, "" },
//  { 0x289C, "" },
    { 0x289D, "mineselfdestruct" },
    { 0x289E, "minebounce" },
//  { 0x289F, "" },
    { 0x28A0, "playspinnerfx" },
    { 0x28A1, "minedamagedebug" },
//  { 0x28A2, "" },
//  { 0x28A3, "" },
    { 0x28A4, "watchmineusage" },
    { 0x28A5, "minedeleteondisconnect" },
    { 0x28A6, "minethrown" },
    { 0x28A7, "minebeacon" },
    { 0x28A8, "minebeaconteamupdater" },
    { 0x28A9, "maxlives" },
//  { 0x28AA, "" },
    { 0x28AB, "maxevents" },
//  { 0x28AC, "" },
    { 0x28AD, "maxlogclients" },
    { 0x28AE, "maxnumchallengesperplayer" },
    { 0x28AF, "maxnumawardsperplayer" },
    { 0x28B0, "getmatchdatetime" },
    { 0x28B1, "logkillstreakevent" },
    { 0x28B2, "clientid" },
    { 0x28B3, "loggameevent" },
//  { 0x28B4, "" },
    { 0x28B5, "logmultikill" },
//  { 0x28B6, "" },
    { 0x28B7, "spawnpos" },
    { 0x28B8, "wasti" },
    { 0x28B9, "spawntime" },
    { 0x28BA, "logplayerxp" },
//  { 0x28BB, "" },
    { 0x28BC, "curclass" },
//  { 0x28BD, "" },
    { 0x28BE, "cac_getweaponattachment" },
//  { 0x28BF, "" },
    { 0x28C0, "cac_getoffhand" },
//  { 0x28C1, "" },
    { 0x28C2, "cac_getdeathstreak" },
    { 0x28C3, "cac_getweaponbuff" },
//  { 0x28C4, "" },
    { 0x28C5, "classtablename" },
//  { 0x28C6, "" },
//  { 0x28C7, "" },
    { 0x28C8, "table_getoffhand" },
    { 0x28C9, "table_getequipment" },
//  { 0x28CA, "" },
    { 0x28CB, "table_getdeathstreak" },
    { 0x28CC, "table_getweaponbuff" },
    { 0x28CD, "table_getkillstreak" },
    { 0x28CE, "validateattachment" },
//  { 0x28CF, "" },
    { 0x28D0, "isattachment" },
    { 0x28D1, "logplayerdata" },
//  { 0x28D2, "" },
//  { 0x28D3, "" },
//  { 0x28D4, "" },
//  { 0x28D5, "" },
    { 0x28D6, "doublebubblesort" },
    { 0x28D7, "gameendlistener" },
//  { 0x28D8, "" },
    { 0x28D9, "canlogclient" },
    { 0x28DA, "canlogevent" },
    { 0x28DB, "canlogkillstreak" },
    { 0x28DC, "canloglife" },
    { 0x28DD, "logweaponstat" },
//  { 0x28DE, "" },
//  { 0x28DF, "" },
//  { 0x28E0, "" },
    { 0x28E1, "logaward" },
//  { 0x28E2, "" },
//  { 0x28E3, "" },
//  { 0x28E4, "" },
    { 0x28E5, "tryusepaint" },
//  { 0x28E6, "" },
    { 0x28E7, "tryusesteadyaim" },
//  { 0x28E8, "" },
//  { 0x28E9, "" },
//  { 0x28EA, "" },
    { 0x28EB, "tryusescavenger" },
//  { 0x28EC, "" },
//  { 0x28ED, "" },
    { 0x28EE, "tryusecoldblooded" },
//  { 0x28EF, "" },
    { 0x28F0, "tryuseblastshield" },
    { 0x28F1, "tryusesitrep" },
    { 0x28F2, "tryuseironlungs" },
//  { 0x28F3, "" },
    { 0x28F4, "tryusedeadsilence" },
//  { 0x28F5, "" },
//  { 0x28F6, "" },
    { 0x28F7, "_unsetextraperks" },
//  { 0x28F8, "" },
//  { 0x28F9, "" },
    { 0x28FA, "isperkstreakon" },
//  { 0x28FB, "" },
    { 0x28FC, "available" },
//  { 0x28FD, "" },
    { 0x28FE, "_giveweapon" },
    { 0x28FF, "unsetscrambler" },
//  { 0x2900, "" },
    { 0x2901, "inplayerscrambler" },
    { 0x2902, "deployedscrambler" },
    { 0x2903, "scramblers" },
    { 0x2904, "cleanarray" },
    { 0x2905, "monitorscrambleruse" },
//  { 0x2906, "" },
//  { 0x2907, "" },
    { 0x2908, "scramblerbeepsounds" },
//  { 0x2909, "" },
//  { 0x290A, "" },
    { 0x290B, "scrambleruselistener" },
//  { 0x290C, "" },
    { 0x290D, "scramproxyactive" },
//  { 0x290E, "" },
    { 0x290F, "setportableradar" },
    { 0x2910, "unsetportableradar" },
    { 0x2911, "deleteportableradar" },
    { 0x2912, "inplayerportableradar" },
    { 0x2913, "deployedportableradar" },
    { 0x2914, "monitorportableradaruse" },
    { 0x2915, "portableradarsetup" },
//  { 0x2916, "" },
    { 0x2917, "portableradarbeepsounds" },
    { 0x2918, "portableradardamagelistener" },
    { 0x2919, "portableradaruselistener" },
//  { 0x291A, "" },
//  { 0x291B, "" },
    { 0x291C, "spawnglowmodel" },
//  { 0x291D, "" },
//  { 0x291E, "" },
//  { 0x291F, "" },
    { 0x2920, "perksetfuncs" },
    { 0x2921, "perkunsetfuncs" },
    { 0x2922, "fauxperks" },
//  { 0x2923, "" },
//  { 0x2924, "" },
//  { 0x2925, "" },
    { 0x2926, "unsetsiege" },
//  { 0x2927, "" },
//  { 0x2928, "" },
    { 0x2929, "setlocaljammer" },
    { 0x292A, "unsetlocaljammer" },
    { 0x292B, "setthermal" },
//  { 0x292C, "" },
    { 0x292D, "setblackbox" },
//  { 0x292E, "" },
    { 0x292F, "setlightweight" },
//  { 0x2930, "" },
//  { 0x2931, "" },
    { 0x2932, "unsetsteelnerves" },
//  { 0x2933, "" },
    { 0x2934, "unsetdelaymine" },
//  { 0x2935, "" },
    { 0x2936, "unsetchallenger" },
//  { 0x2937, "" },
//  { 0x2938, "" },
//  { 0x2939, "" },
//  { 0x293A, "" },
//  { 0x293B, "" },
//  { 0x293C, "" },
//  { 0x293D, "" },
    { 0x293E, "unsetac130" },
//  { 0x293F, "" },
//  { 0x2940, "" },
    { 0x2941, "setpredatormissile" },
//  { 0x2942, "" },
//  { 0x2943, "" },
//  { 0x2944, "" },
    { 0x2945, "setprecision_airstrike" },
    { 0x2946, "unsetprecision_airstrike" },
//  { 0x2947, "" },
    { 0x2948, "unsethelicopterminigun" },
//  { 0x2949, "" },
    { 0x294A, "unsetonemanarmy" },
    { 0x294B, "setlittlebirdsupport" },
//  { 0x294C, "" },
    { 0x294D, "settacticalinsertion" },
//  { 0x294E, "" },
    { 0x294F, "setsteadyaimpro" },
//  { 0x2950, "" },
//  { 0x2951, "" },
    { 0x2952, "unsetstunresistance" },
    { 0x2953, "setmarksman" },
    { 0x2954, "unsetmarksman" },
//  { 0x2955, "" },
    { 0x2956, "unsetdoubleload" },
//  { 0x2957, "" },
//  { 0x2958, "" },
//  { 0x2959, "" },
    { 0x295A, "unsethardshell" },
//  { 0x295B, "" },
//  { 0x295C, "" },
//  { 0x295D, "" },
//  { 0x295E, "" },
//  { 0x295F, "" },
//  { 0x2960, "" },
    { 0x2961, "setoverkillpro" },
    { 0x2962, "unsetoverkillpro" },
    { 0x2963, "setcombathigh" },
    { 0x2964, "unsetcombathigh" },
//  { 0x2965, "" },
    { 0x2966, "unsetlightarmor" },
    { 0x2967, "setrevenge" },
    { 0x2968, "unsetrevenge" },
//  { 0x2969, "" },
//  { 0x296A, "" },
    { 0x296B, "setfinalstand" },
    { 0x296C, "unsetfinalstand" },
    { 0x296D, "setjuiced" },
//  { 0x296E, "" },
    { 0x296F, "setcarepackage" },
    { 0x2970, "unsetcarepackage" },
//  { 0x2971, "" },
//  { 0x2972, "" },
    { 0x2973, "setuav" },
    { 0x2974, "unsetuav" },
    { 0x2975, "precacheshaders" },
    { 0x2976, "validateperk" },
//  { 0x2977, "" },
    { 0x2978, "omaclasschanged" },
//  { 0x2979, "" },
//  { 0x297A, "" },
    { 0x297B, "drawline" },
//  { 0x297C, "" },
    { 0x297D, "xpscaler" },
//  { 0x297E, "" },
    { 0x297F, "objidpainted" },
//  { 0x2980, "" },
    { 0x2981, "bulletdamagemod" },
//  { 0x2982, "" },
    { 0x2983, "explosivedamagemod" },
    { 0x2984, "blastshieldmod" },
    { 0x2985, "dangerclosemod" },
    { 0x2986, "haslightarmor" },
    { 0x2987, "damageblockedtotal" },
    { 0x2988, "initperkdvars" },
    { 0x2989, "armorvestdefmod" },
//  { 0x298A, "" },
    { 0x298B, "riotshieldmod" },
//  { 0x298C, "" },
    { 0x298D, "specialty" },
    { 0x298E, "gambitusetracker" },
    { 0x298F, "giveblindeyeafterspawn" },
//  { 0x2990, "" },
//  { 0x2991, "" },
//  { 0x2992, "" },
//  { 0x2993, "" },
//  { 0x2994, "" },
    { 0x2995, "objpointscale" },
//  { 0x2996, "" },
//  { 0x2997, "" },
//  { 0x2998, "" },
    { 0x2999, "basealpha" },
    { 0x299A, "deleteobjpoint" },
    { 0x299B, "setoriginbyname" },
//  { 0x299C, "" },
    { 0x299D, "getobjpointbyindex" },
    { 0x299E, "startflashing" },
    { 0x299F, "stopflashing" },
    { 0x29A0, "script_gameobjectname" },
    { 0x29A1, "numgametypereservedobjectives" },
    { 0x29A2, "objidstart" },
    { 0x29A3, "carryobject" },
    { 0x29A4, "claimtrigger" },
    { 0x29A5, "canpickupobject" },
    { 0x29A6, "killedinuse" },
//  { 0x29A7, "" },
//  { 0x29A8, "" },
//  { 0x29A9, "" },
//  { 0x29AA, "" },
    { 0x29AB, "triggertype" },
    { 0x29AC, "baseorigin" },
//  { 0x29AD, "" },
    { 0x29AE, "offset3d" },
//  { 0x29AF, "" },
//  { 0x29B0, "" },
//  { 0x29B1, "" },
//  { 0x29B2, "" },
//  { 0x29B3, "" },
//  { 0x29B4, "" },
//  { 0x29B5, "" },
//  { 0x29B6, "" },
    { 0x29B7, "isresetting" },
    { 0x29B8, "interactteam" },
    { 0x29B9, "allowweapons" },
    { 0x29BA, "worldicons" },
    { 0x29BB, "carriervisible" },
    { 0x29BC, "visibleteam" },
//  { 0x29BD, "" },
//  { 0x29BE, "" },
    { 0x29BF, "onpickup" },
    { 0x29C0, "onreset" },
//  { 0x29C1, "" },
    { 0x29C2, "usetime" },
    { 0x29C3, "userate" },
//  { 0x29C4, "" },
//  { 0x29C5, "" },
    { 0x29C6, "numtouching" },
//  { 0x29C7, "" },
    { 0x29C8, "claimplayer" },
//  { 0x29C9, "" },
    { 0x29CA, "lastclaimtime" },
    { 0x29CB, "carryobjectusethink" },
    { 0x29CC, "carryobjectproxthink" },
    { 0x29CD, "carryobjectproxthinkinstant" },
//  { 0x29CE, "" },
    { 0x29CF, "onenduse" },
//  { 0x29D0, "" },
//  { 0x29D1, "" },
//  { 0x29D2, "" },
    { 0x29D3, "onpickupfailed" },
//  { 0x29D4, "" },
//  { 0x29D5, "" },
//  { 0x29D6, "" },
//  { 0x29D7, "" },
//  { 0x29D8, "" },
//  { 0x29D9, "" },
//  { 0x29DA, "" },
    { 0x29DB, "setdropped" },
    { 0x29DC, "body" },
//  { 0x29DD, "" },
//  { 0x29DE, "" },
    { 0x29DF, "clearcarrier" },
    { 0x29E0, "pickuptimeout" },
    { 0x29E1, "autoresettime" },
//  { 0x29E2, "" },
    { 0x29E3, "trackcarrier" },
//  { 0x29E4, "" },
    { 0x29E5, "deleteuseobject" },
    { 0x29E6, "_objective_delete" },
//  { 0x29E7, "" },
    { 0x29E8, "keyobject" },
    { 0x29E9, "onuse" },
//  { 0x29EA, "" },
//  { 0x29EB, "" },
//  { 0x29EC, "" },
//  { 0x29ED, "" },
    { 0x29EE, "onbeginuse" },
    { 0x29EF, "cantusehintthink" },
//  { 0x29F0, "" },
    { 0x29F1, "starttime" },
//  { 0x29F2, "" },
    { 0x29F3, "proxtriggerthink" },
//  { 0x29F4, "" },
//  { 0x29F5, "" },
    { 0x29F6, "requireslos" },
    { 0x29F7, "setclaimteam" },
//  { 0x29F8, "" },
    { 0x29F9, "nousebar" },
//  { 0x29FA, "" },
//  { 0x29FB, "" },
    { 0x29FC, "proxbartext" },
    { 0x29FD, "lastuserate" },
//  { 0x29FE, "" },
//  { 0x29FF, "" },
//  { 0x2A00, "" },
//  { 0x2A01, "" },
    { 0x2A02, "attachusemodel" },
    { 0x2A03, "attachedusemodel" },
//  { 0x2A04, "" },
    { 0x2A05, "lastnonuseweapon" },
    { 0x2A06, "detachusemodels" },
//  { 0x2A07, "" },
//  { 0x2A08, "" },
    { 0x2A09, "personalusebar" },
    { 0x2A0A, "updatetrigger" },
//  { 0x2A0B, "" },
    { 0x2A0C, "updateworldicon" },
    { 0x2A0D, "updatetimer" },
//  { 0x2A0E, "" },
    { 0x2A0F, "updatecompassicon" },
    { 0x2A10, "shouldpingobject" },
    { 0x2A11, "getupdateteams" },
//  { 0x2A12, "" },
//  { 0x2A13, "" },
    { 0x2A14, "setownerteam" },
//  { 0x2A15, "" },
    { 0x2A16, "setusetime" },
    { 0x2A17, "setusetext" },
//  { 0x2A18, "" },
    { 0x2A19, "setteamusetext" },
    { 0x2A1A, "setusehinttext" },
    { 0x2A1B, "allowcarry" },
    { 0x2A1C, "allowuse" },
    { 0x2A1D, "setvisibleteam" },
    { 0x2A1E, "setmodelvisibility" },
    { 0x2A1F, "_suicide" },
//  { 0x2A20, "" },
    { 0x2A21, "setcarriervisible" },
    { 0x2A22, "setcanuse" },
//  { 0x2A23, "" },
    { 0x2A24, "set2dicon" },
//  { 0x2A25, "" },
//  { 0x2A26, "" },
    { 0x2A27, "worlduseicons" },
    { 0x2A28, "setcarryicon" },
    { 0x2A29, "disableobject" },
    { 0x2A2A, "enableobject" },
    { 0x2A2B, "getrelativeteam" },
    { 0x2A2C, "isfriendlyteam" },
//  { 0x2A2D, "" },
    { 0x2A2E, "isteam" },
//  { 0x2A2F, "" },
    { 0x2A30, "getenemyteam" },
//  { 0x2A31, "" },
//  { 0x2A32, "" },
    { 0x2A33, "getlabel" },
    { 0x2A34, "script_label" },
//  { 0x2A35, "" },
//  { 0x2A36, "" },
    { 0x2A37, "recoilscale" },
//  { 0x2A38, "" },
    { 0x2A39, "perkusedeathtracker" },
    { 0x2A3A, "_useperkenabled" },
    { 0x2A3B, "endgame" },
    { 0x2A3C, "attackertable" },
//  { 0x2A3D, "" },
//  { 0x2A3E, "" },
//  { 0x2A3F, "" },
    { 0x2A40, "nukedetonated" },
    { 0x2A41, "nukevisionset" },
//  { 0x2A42, "" },
    { 0x2A43, "tracksiegeenable" },
//  { 0x2A44, "" },
//  { 0x2A45, "" },
//  { 0x2A46, "" },
    { 0x2A47, "killstreakscaler" },
//  { 0x2A48, "" },
//  { 0x2A49, "" },
    { 0x2A4A, "killstreakthink" },
    { 0x2A4B, "givekillstreak" },
    { 0x2A4C, "killstreaksplashnotify" },
    { 0x2A4D, "onemanarmyweaponchangetracker" },
//  { 0x2A4E, "" },
//  { 0x2A4F, "" },
//  { 0x2A50, "" },
//  { 0x2A51, "" },
//  { 0x2A52, "" },
    { 0x2A53, "omausebar" },
    { 0x2A54, "clearprevioustispawnpoint" },
//  { 0x2A55, "" },
//  { 0x2A56, "" },
    { 0x2A57, "tispawnposition" },
//  { 0x2A58, "" },
//  { 0x2A59, "" },
//  { 0x2A5A, "" },
//  { 0x2A5B, "" },
    { 0x2A5C, "playerspawnpos" },
//  { 0x2A5D, "" },
    { 0x2A5E, "glowstickteamupdater" },
//  { 0x2A5F, "" },
//  { 0x2A60, "" },
//  { 0x2A61, "" },
    { 0x2A62, "updateenemyuse" },
//  { 0x2A63, "" },
//  { 0x2A64, "" },
//  { 0x2A65, "" },
    { 0x2A66, "makeenemyusable" },
    { 0x2A67, "getotherteam" },
//  { 0x2A68, "" },
//  { 0x2A69, "" },
//  { 0x2A6A, "" },
    { 0x2A6B, "juicedoverlay" },
//  { 0x2A6C, "" },
    { 0x2A6D, "juicedicon" },
    { 0x2A6E, "unsetjuicedonride" },
//  { 0x2A6F, "" },
    { 0x2A70, "combathighoverlay" },
//  { 0x2A71, "" },
    { 0x2A72, "combathighicon" },
    { 0x2A73, "unsetcombathighondeath" },
//  { 0x2A74, "" },
    { 0x2A75, "givelightarmor" },
//  { 0x2A76, "" },
    { 0x2A77, "removelightarmorondeath" },
    { 0x2A78, "removelightarmor" },
//  { 0x2A79, "" },
//  { 0x2A7A, "" },
//  { 0x2A7B, "" },
    { 0x2A7C, "pintoscreenedge" },
//  { 0x2A7D, "" },
    { 0x2A7E, "is3d" },
    { 0x2A7F, "revengeparams" },
//  { 0x2A80, "" },
    { 0x2A81, "watchrevengekill" },
//  { 0x2A82, "" },
//  { 0x2A83, "" },
    { 0x2A84, "watchrevengevictimdisconnected" },
    { 0x2A85, "objidfriendly" },
    { 0x2A86, "spectateoverride" },
//  { 0x2A87, "" },
    { 0x2A88, "updatespectatesettings" },
    { 0x2A89, "setspectatepermissions" },
//  { 0x2A8A, "" },
    { 0x2A8B, "allowfreespectate" },
//  { 0x2A8C, "" },
    { 0x2A8D, "registeradrenalineinfo" },
//  { 0x2A8E, "" },
    { 0x2A8F, "killedplayers" },
//  { 0x2A90, "" },
//  { 0x2A91, "" },
//  { 0x2A92, "" },
//  { 0x2A93, "" },
    { 0x2A94, "lastkilltime" },
//  { 0x2A95, "" },
//  { 0x2A96, "" },
//  { 0x2A97, "" },
//  { 0x2A98, "" },
//  { 0x2A99, "" },
    { 0x2A9A, "attackers" },
    { 0x2A9B, "attackerdata" },
//  { 0x2A9C, "" },
    { 0x2A9D, "xpeventpopup" },
    { 0x2A9E, "assistedsuicide" },
//  { 0x2A9F, "" },
    { 0x2AA0, "killstreaks" },
//  { 0x2AA1, "" },
    { 0x2AA2, "islongshot" },
    { 0x2AA3, "checkmatchdatakills" },
    { 0x2AA4, "idflags" },
//  { 0x2AA5, "" },
//  { 0x2AA6, "" },
    { 0x2AA7, "loadoutsecondary" },
    { 0x2AA8, "matchmakinggame" },
    { 0x2AA9, "setplayerstatiflower" },
//  { 0x2AAA, "" },
//  { 0x2AAB, "" },
//  { 0x2AAC, "" },
    { 0x2AAD, "campercheck" },
//  { 0x2AAE, "" },
    { 0x2AAF, "lastkilllocation" },
//  { 0x2AB0, "" },
    { 0x2AB1, "consolation" },
    { 0x2AB2, "proximityassist" },
//  { 0x2AB3, "" },
//  { 0x2AB4, "" },
    { 0x2AB5, "longshot" },
    { 0x2AB6, "execution" },
//  { 0x2AB7, "" },
//  { 0x2AB8, "" },
    { 0x2AB9, "defendedplayer" },
    { 0x2ABA, "postdeathkill" },
    { 0x2ABB, "backstab" },
//  { 0x2ABC, "" },
//  { 0x2ABD, "" },
    { 0x2ABE, "teamplayercardsplash" },
//  { 0x2ABF, "" },
//  { 0x2AC0, "" },
    { 0x2AC1, "buzzkill" },
//  { 0x2AC2, "" },
//  { 0x2AC3, "" },
    { 0x2AC4, "monitorhealed" },
//  { 0x2AC5, "" },
    { 0x2AC6, "monitorcratejacking" },
//  { 0x2AC7, "" },
    { 0x2AC8, "quickcommands" },
    { 0x2AC9, "spamdelay" },
    { 0x2ACA, "quickstatements" },
//  { 0x2ACB, "" },
    { 0x2ACC, "doquickmessage" },
    { 0x2ACD, "quickmessagetoall" },
    { 0x2ACE, "saveheadicon" },
    { 0x2ACF, "oldheadicon" },
    { 0x2AD0, "oldheadiconteam" },
//  { 0x2AD1, "" },
//  { 0x2AD2, "" },
//  { 0x2AD3, "" },
    { 0x2AD4, "forceend" },
//  { 0x2AD5, "" },
    { 0x2AD6, "spectator" },
//  { 0x2AD7, "" },
//  { 0x2AD8, "" },
    { 0x2AD9, "getteamassignment" },
    { 0x2ADA, "menuautoassign" },
    { 0x2ADB, "closemenus" },
    { 0x2ADC, "switching_teams" },
    { 0x2ADD, "joining_team" },
    { 0x2ADE, "leaving_team" },
    { 0x2ADF, "beginclasschoice" },
    { 0x2AE0, "allowclasschoice" },
    { 0x2AE1, "predictabouttospawnplayerovertime" },
//  { 0x2AE2, "" },
//  { 0x2AE3, "" },
//  { 0x2AE4, "" },
    { 0x2AE5, "menuallies" },
    { 0x2AE6, "hasspawned" },
//  { 0x2AE7, "" },
//  { 0x2AE8, "" },
//  { 0x2AE9, "" },
//  { 0x2AEA, "" },
    { 0x2AEB, "getclasschoice" },
//  { 0x2AEC, "" },
    { 0x2AED, "lastclass" },
//  { 0x2AEE, "" },
//  { 0x2AEF, "" },
    { 0x2AF0, "tag_stowed_hip" },
//  { 0x2AF1, "" },
    { 0x2AF2, "spawnclient" },
//  { 0x2AF3, "" },
    { 0x2AF4, "removefromteamcount" },
    { 0x2AF5, "allowteamchoice" },
    { 0x2AF6, "addtoteamcount" },
    { 0x2AF7, "updateobjectivetext" },
//  { 0x2AF8, "" },
//  { 0x2AF9, "" },
    { 0x2AFA, "lastwave" },
    { 0x2AFB, "wavedelay" },
//  { 0x2AFC, "" },
    { 0x2AFD, "wavespawnindex" },
    { 0x2AFE, "teamkilldelay" },
//  { 0x2AFF, "" },
//  { 0x2B00, "" },
//  { 0x2B01, "" },
    { 0x2B02, "tispawndelay" },
    { 0x2B03, "mayspawn" },
    { 0x2B04, "getgametypenumlives" },
    { 0x2B05, "disablespawning" },
    { 0x2B06, "gamehasstarted" },
    { 0x2B07, "setlowermessage" },
//  { 0x2B08, "" },
    { 0x2B09, "waitingtospawn" },
//  { 0x2B0A, "" },
    { 0x2B0B, "clearlowermessage" },
//  { 0x2B0C, "" },
//  { 0x2B0D, "" },
//  { 0x2B0E, "" },
    { 0x2B0F, "waitrespawnbutton" },
    { 0x2B10, "removespawnmessageshortly" },
//  { 0x2B11, "" },
    { 0x2B12, "diehardmode" },
//  { 0x2B13, "" },
    { 0x2B14, "standardmaxhealth" },
    { 0x2B15, "freezeplayerforroundend" },
//  { 0x2B16, "" },
    { 0x2B17, "showspawnnotifies" },
    { 0x2B18, "defconsplashnotify" },
    { 0x2B19, "isrested" },
//  { 0x2B1A, "" },
//  { 0x2B1B, "" },
    { 0x2B1C, "predictabouttospawnplayer" },
    { 0x2B1D, "getspawnpoint_random" },
    { 0x2B1E, "getspawnpoint" },
    { 0x2B1F, "checkpredictedspawnpointcorrectness" },
    { 0x2B20, "percentage" },
    { 0x2B21, "printpredictedspawnpointcorrectness" },
//  { 0x2B22, "" },
//  { 0x2B23, "" },
//  { 0x2B24, "" },
//  { 0x2B25, "" },
    { 0x2B26, "fauxdead" },
    { 0x2B27, "killsthislife" },
//  { 0x2B28, "" },
//  { 0x2B29, "" },
    { 0x2B2A, "friendlydamage" },
    { 0x2B2B, "afk" },
    { 0x2B2C, "inc4death" },
//  { 0x2B2D, "" },
//  { 0x2B2E, "" },
    { 0x2B2F, "shielddamage" },
    { 0x2B30, "shieldbullethits" },
//  { 0x2B31, "" },
//  { 0x2B32, "" },
    { 0x2B33, "gettimelimit" },
    { 0x2B34, "gettimepassed" },
    { 0x2B35, "finalizespawnpointchoice" },
//  { 0x2B36, "" },
//  { 0x2B37, "" },
    { 0x2B38, "playerspawned" },
    { 0x2B39, "setthirdpersondof" },
    { 0x2B3A, "gameflag" },
//  { 0x2B3B, "" },
    { 0x2B3C, "oldnotifymessage" },
//  { 0x2B3D, "" },
    { 0x2B3E, "hideperksondeath" },
    { 0x2B3F, "hideperksonkill" },
//  { 0x2B40, "" },
    { 0x2B41, "in_spawnspectator" },
    { 0x2B42, "getplayerfromclientnum" },
    { 0x2B43, "onspawnspectator" },
    { 0x2B44, "spawnintermission" },
//  { 0x2B45, "" },
//  { 0x2B46, "" },
    { 0x2B47, "postgamenotifies" },
    { 0x2B48, "spawnendofgame" },
    { 0x2B49, "setspawnvariables" },
    { 0x2B4A, "notifyconnecting" },
//  { 0x2B4B, "" },
    { 0x2B4C, "connected" },
//  { 0x2B4D, "" },
//  { 0x2B4E, "" },
    { 0x2B4F, "hitlocinited" },
//  { 0x2B50, "" },
    { 0x2B51, "callback_playerconnect" },
    { 0x2B52, "usingonlinedataoffline" },
    { 0x2B53, "resetadrenaline" },
//  { 0x2B54, "" },
    { 0x2B55, "leaderdialogactive" },
//  { 0x2B56, "" },
//  { 0x2B57, "" },
//  { 0x2B58, "" },
//  { 0x2B59, "" },
//  { 0x2B5A, "" },
//  { 0x2B5B, "" },
//  { 0x2B5C, "" },
    { 0x2B5D, "updatelossstats" },
    { 0x2B5E, "onplayerconnectaudioinit" },
//  { 0x2B5F, "" },
    { 0x2B60, "callback_playermigrated" },
//  { 0x2B61, "" },
    { 0x2B62, "getrestxpcap" },
//  { 0x2B63, "" },
//  { 0x2B64, "" },
    { 0x2B65, "kickifdontspawn" },
    { 0x2B66, "kickwait" },
//  { 0x2B67, "" },
    { 0x2B68, "initplayerstats" },
    { 0x2B69, "initbufferedstats" },
    { 0x2B6A, "initpersstat" },
//  { 0x2B6B, "" },
//  { 0x2B6C, "" },
//  { 0x2B6D, "" },
//  { 0x2B6E, "" },
//  { 0x2B6F, "" },
//  { 0x2B70, "" },
//  { 0x2B71, "" },
//  { 0x2B72, "" },
//  { 0x2B73, "" },
//  { 0x2B74, "" },
    { 0x2B75, "statsetchildbuffered" },
    { 0x2B76, "teamcount" },
    { 0x2B77, "addtoalivecount" },
//  { 0x2B78, "" },
    { 0x2B79, "maxplayercount" },
    { 0x2B7A, "removefromalivecount" },
//  { 0x2B7B, "" },
//  { 0x2B7C, "" },
    { 0x2B7D, "removefromlivescount" },
//  { 0x2B7E, "" },
    { 0x2B7F, "callbackstartgametype" },
    { 0x2B80, "callbackplayerconnect" },
//  { 0x2B81, "" },
    { 0x2B82, "callbackplayerkilled" },
//  { 0x2B83, "" },
    { 0x2B84, "callbackplayerlaststand" },
    { 0x2B85, "callbackplayermigrated" },
//  { 0x2B86, "" },
//  { 0x2B87, "" },
//  { 0x2B88, "" },
//  { 0x2B89, "" },
//  { 0x2B8A, "" },
//  { 0x2B8B, "" },
//  { 0x2B8C, "" },
//  { 0x2B8D, "" },
    { 0x2B8E, "hurtplayersthink" },
    { 0x2B8F, "setupdestructiblekillcaments" },
//  { 0x2B90, "" },
    { 0x2B91, "hostname" },
//  { 0x2B92, "" },
//  { 0x2B93, "" },
//  { 0x2B94, "" },
//  { 0x2B95, "" },
//  { 0x2B96, "" },
//  { 0x2B97, "" },
    { 0x2B98, "script_gametype_hq" },
//  { 0x2B99, "" },
//  { 0x2B9A, "" },
//  { 0x2B9B, "" },
//  { 0x2B9C, "" },
    { 0x2B9D, "killcamlength" },
    { 0x2B9E, "kc_timer" },
    { 0x2B9F, "kc_skiptext" },
    { 0x2BA0, "kc_othertext" },
    { 0x2BA1, "kc_icon" },
//  { 0x2BA2, "" },
//  { 0x2BA3, "" },
    { 0x2BA4, "calculatekillcamtime" },
//  { 0x2BA5, "" },
//  { 0x2BA6, "" },
//  { 0x2BA7, "" },
//  { 0x2BA8, "" },
//  { 0x2BA9, "" },
    { 0x2BAA, "waitcopycatbutton" },
//  { 0x2BAB, "" },
    { 0x2BAC, "endkillcamifnothingtoshow" },
//  { 0x2BAD, "" },
//  { 0x2BAE, "" },
//  { 0x2BAF, "" },
    { 0x2BB0, "cancelkillcamonuse" },
//  { 0x2BB1, "" },
    { 0x2BB2, "cancelkillcamsafespawnbutton" },
//  { 0x2BB3, "" },
//  { 0x2BB4, "" },
//  { 0x2BB5, "" },
    { 0x2BB6, "initkcelements" },
    { 0x2BB7, "selfdeathicons" },
//  { 0x2BB8, "" },
    { 0x2BB9, "adddeathicon" },
    { 0x2BBA, "lastdeathicon" },
//  { 0x2BBB, "" },
//  { 0x2BBC, "" },
    { 0x2BBD, "targets" },
    { 0x2BBE, "onplayerdisconnect" },
//  { 0x2BBF, "" },
    { 0x2BC0, "processkill" },
    { 0x2BC1, "heli_types" },
//  { 0x2BC2, "" },
//  { 0x2BC3, "" },
//  { 0x2BC4, "" },
    { 0x2BC5, "heli_crash_nodes" },
    { 0x2BC6, "heli_missile_rof" },
    { 0x2BC7, "heli_maxhealth" },
//  { 0x2BC8, "" },
    { 0x2BC9, "heli_targeting_delay" },
    { 0x2BCA, "heli_turretreloadtime" },
//  { 0x2BCB, "" },
//  { 0x2BCC, "" },
//  { 0x2BCD, "" },
    { 0x2BCE, "heli_target_recognition" },
//  { 0x2BCF, "" },
    { 0x2BD0, "heli_missile_target_cone" },
    { 0x2BD1, "heli_armor_bulletdamage" },
//  { 0x2BD2, "" },
//  { 0x2BD3, "" },
    { 0x2BD4, "heli_angle_offset" },
//  { 0x2BD5, "" },
//  { 0x2BD6, "" },
    { 0x2BD7, "fx_heli_dust" },
//  { 0x2BD8, "" },
    { 0x2BD9, "helidialog" },
//  { 0x2BDA, "" },
//  { 0x2BDB, "" },
    { 0x2BDC, "makehelitype" },
//  { 0x2BDD, "" },
    { 0x2BDE, "addairexplosion" },
    { 0x2BDF, "pavelowlightfx" },
    { 0x2BE0, "defaultlightfx" },
    { 0x2BE1, "usehelicopter" },
//  { 0x2BE2, "" },
    { 0x2BE3, "usehelicopterflares" },
    { 0x2BE4, "usehelicopterminigun" },
    { 0x2BE5, "usehelicoptermk19" },
    { 0x2BE6, "tryusehelicopter" },
//  { 0x2BE7, "" },
    { 0x2BE8, "updatekillstreaks" },
    { 0x2BE9, "lifeid" },
    { 0x2BEA, "helitype" },
//  { 0x2BEB, "" },
//  { 0x2BEC, "" },
    { 0x2BED, "maxvehiclesallowed" },
    { 0x2BEE, "setusingremote" },
    { 0x2BEF, "initridekillstreak" },
    { 0x2BF0, "clearusingremote" },
//  { 0x2BF1, "" },
//  { 0x2BF2, "" },
    { 0x2BF3, "precachehelicopter" },
    { 0x2BF4, "heli_sound" },
    { 0x2BF5, "spawn_helicopter" },
    { 0x2BF6, "heli_type" },
    { 0x2BF7, "zoffset" },
    { 0x2BF8, "heliride" },
//  { 0x2BF9, "" },
    { 0x2BFA, "thermalvision" },
    { 0x2BFB, "enhanced_vision" },
//  { 0x2BFC, "" },
//  { 0x2BFD, "" },
    { 0x2BFE, "helitargetorigin" },
    { 0x2BFF, "remotehelilos" },
//  { 0x2C00, "" },
//  { 0x2C01, "" },
//  { 0x2C02, "" },
    { 0x2C03, "getposnearenemies" },
//  { 0x2C04, "" },
//  { 0x2C05, "" },
//  { 0x2C06, "" },
//  { 0x2C07, "" },
    { 0x2C08, "heli_think" },
    { 0x2C09, "targeting_delay" },
    { 0x2C0A, "primarytarget" },
    { 0x2C0B, "secondarytarget" },
    { 0x2C0C, "currentstate" },
    { 0x2C0D, "makegunship" },
//  { 0x2C0E, "" },
//  { 0x2C0F, "" },
//  { 0x2C10, "" },
    { 0x2C11, "sentry_attacktargets" },
    { 0x2C12, "sentry_burstfirestart" },
    { 0x2C13, "sentry_burstfirestop" },
//  { 0x2C14, "" },
    { 0x2C15, "queueremovefirst" },
//  { 0x2C16, "" },
//  { 0x2C17, "" },
    { 0x2C18, "cantarget_turret" },
    { 0x2C19, "getbestprimarytarget" },
    { 0x2C1A, "threatlevel" },
//  { 0x2C1B, "" },
    { 0x2C1C, "antithreat" },
    { 0x2C1D, "heli_reset" },
//  { 0x2C1E, "" },
//  { 0x2C1F, "" },
    { 0x2C20, "largeprojectiledamage" },
    { 0x2C21, "vehiclekilled" },
//  { 0x2C22, "" },
    { 0x2C23, "laststate" },
//  { 0x2C24, "" },
//  { 0x2C25, "" },
//  { 0x2C26, "" },
//  { 0x2C27, "" },
//  { 0x2C28, "" },
    { 0x2C29, "check_owner" },
    { 0x2C2A, "heli_leave_on_disconnect" },
//  { 0x2C2B, "" },
    { 0x2C2C, "heli_leave_on_spawned" },
    { 0x2C2D, "heli_leave_on_gameended" },
//  { 0x2C2E, "" },
//  { 0x2C2F, "" },
//  { 0x2C30, "" },
    { 0x2C31, "missiletarget" },
//  { 0x2C32, "" },
    { 0x2C33, "missile_support" },
    { 0x2C34, "attack_primary" },
    { 0x2C35, "waitontargetordeath" },
    { 0x2C36, "firemissile" },
//  { 0x2C37, "" },
//  { 0x2C38, "" },
    { 0x2C39, "heli_fly_simple_path" },
//  { 0x2C3A, "" },
    { 0x2C3B, "desired_speed" },
    { 0x2C3C, "desired_accel" },
    { 0x2C3D, "heli_loop_speed_control" },
//  { 0x2C3E, "" },
//  { 0x2C3F, "" },
//  { 0x2C40, "" },
//  { 0x2C41, "" },
//  { 0x2C42, "" },
//  { 0x2C43, "" },
    { 0x2C44, "debug_print3d" },
//  { 0x2C45, "" },
//  { 0x2C46, "" },
//  { 0x2C47, "" },
    { 0x2C48, "helis" },
//  { 0x2C49, "" },
//  { 0x2C4A, "" },
//  { 0x2C4B, "" },
    { 0x2C4C, "exceededmaxlittlebirds" },
//  { 0x2C4D, "" },
    { 0x2C4E, "deployflares" },
    { 0x2C4F, "heli_flares_monitor" },
    { 0x2C50, "numflares" },
    { 0x2C51, "handleincomingstinger" },
//  { 0x2C52, "" },
//  { 0x2C53, "" },
    { 0x2C54, "watchsamproximity" },
//  { 0x2C55, "" },
//  { 0x2C56, "" },
//  { 0x2C57, "" },
    { 0x2C58, "remoteuav_dialog" },
//  { 0x2C59, "" },
//  { 0x2C5A, "" },
//  { 0x2C5B, "" },
    { 0x2C5C, "useremoteuav" },
    { 0x2C5D, "tryuseremoteuav" },
    { 0x2C5E, "nukeincoming" },
//  { 0x2C5F, "" },
    { 0x2C60, "givecarryremoteuav" },
//  { 0x2C61, "" },
    { 0x2C62, "sentrytype" },
//  { 0x2C63, "" },
//  { 0x2C64, "" },
//  { 0x2C65, "" },
    { 0x2C66, "maxheight" },
    { 0x2C67, "maxdistance" },
    { 0x2C68, "setcarryingremoteuav" },
    { 0x2C69, "carriedby" },
//  { 0x2C6A, "" },
//  { 0x2C6B, "" },
//  { 0x2C6C, "" },
//  { 0x2C6D, "" },
//  { 0x2C6E, "" },
//  { 0x2C6F, "" },
    { 0x2C70, "remoteuav_clearrideintro" },
    { 0x2C71, "lockplayerforremoteuavlaunch" },
    { 0x2C72, "clearplayerlockfromremoteuavlaunch" },
    { 0x2C73, "createremoteuav" },
    { 0x2C74, "destroyed" },
//  { 0x2C75, "" },
    { 0x2C76, "scrambler" },
//  { 0x2C77, "" },
    { 0x2C78, "markedplayers" },
//  { 0x2C79, "" },
//  { 0x2C7A, "" },
//  { 0x2C7B, "" },
    { 0x2C7C, "playerlinked" },
//  { 0x2C7D, "" },
    { 0x2C7E, "juggernautoverlay" },
//  { 0x2C7F, "" },
    { 0x2C80, "remoteuav" },
//  { 0x2C81, "" },
    { 0x2C82, "remoteuav_endride" },
    { 0x2C83, "remoteuav_freezebuffer" },
//  { 0x2C84, "" },
    { 0x2C85, "remoteuav_track" },
    { 0x2C86, "lasttrackingdialogtime" },
    { 0x2C87, "lockedtarget" },
    { 0x2C88, "trace" },
//  { 0x2C89, "" },
//  { 0x2C8A, "" },
//  { 0x2C8B, "" },
//  { 0x2C8C, "" },
//  { 0x2C8D, "" },
//  { 0x2C8E, "" },
//  { 0x2C8F, "" },
    { 0x2C90, "remoteuav_markplayer" },
    { 0x2C91, "birth_time" },
//  { 0x2C92, "" },
    { 0x2C93, "remoteuavmarkedobjid02" },
    { 0x2C94, "remoteuavmarkedobjid03" },
    { 0x2C95, "remoteuav_processtaggedassist" },
//  { 0x2C96, "" },
    { 0x2C97, "remoteuav_clearmarkedforowner" },
    { 0x2C98, "remoteuav_operationrumble" },
//  { 0x2C99, "" },
    { 0x2C9A, "centerref" },
//  { 0x2C9B, "" },
    { 0x2C9C, "heliinproximity" },
    { 0x2C9D, "remoteuav_in_range" },
    { 0x2C9E, "remoteuav_staticfade" },
    { 0x2C9F, "remoteuav_rangecountdown" },
//  { 0x2CA0, "" },
//  { 0x2CA1, "" },
//  { 0x2CA2, "" },
    { 0x2CA3, "remoteuav_leave_on_timeout" },
//  { 0x2CA4, "" },
//  { 0x2CA5, "" },
    { 0x2CA6, "remoteuav_cleanup" },
    { 0x2CA7, "remoteuav_light_fx" },
    { 0x2CA8, "remoteuav_handleincomingstinger" },
//  { 0x2CA9, "" },
//  { 0x2CAA, "" },
    { 0x2CAB, "missile_isincoming" },
    { 0x2CAC, "remoteuav_watchheliproximity" },
//  { 0x2CAD, "" },
    { 0x2CAE, "callback_vehicledamage" },
    { 0x2CAF, "speakers" },
//  { 0x2CB0, "" },
    { 0x2CB1, "grenadeproximitytracking" },
//  { 0x2CB2, "" },
//  { 0x2CB3, "" },
//  { 0x2CB4, "" },
    { 0x2CB5, "reloadtracking" },
//  { 0x2CB6, "" },
    { 0x2CB7, "saylocalsounddelayed" },
//  { 0x2CB8, "" },
    { 0x2CB9, "dosound" },
    { 0x2CBA, "timehack" },
//  { 0x2CBB, "" },
    { 0x2CBC, "addspeaker" },
//  { 0x2CBD, "" },
//  { 0x2CBE, "" },
    { 0x2CBF, "isteamswitchbalanced" },
//  { 0x2CC0, "" },
    { 0x2CC1, "killedself" },
    { 0x2CC2, "isheadshot" },
//  { 0x2CC3, "" },
//  { 0x2CC4, "" },
//  { 0x2CC5, "" },
//  { 0x2CC6, "" },
    { 0x2CC7, "handlesuicidedeath" },
//  { 0x2CC8, "" },
    { 0x2CC9, "graceperiod" },
    { 0x2CCA, "handlenormaldeath" },
    { 0x2CCB, "updatepersratio" },
    { 0x2CCC, "cloneloadout" },
//  { 0x2CCD, "" },
//  { 0x2CCE, "" },
//  { 0x2CCF, "" },
    { 0x2CD0, "statgetchild" },
//  { 0x2CD1, "" },
    { 0x2CD2, "lastattackedshieldplayer" },
    { 0x2CD3, "lastattackedshieldtime" },
    { 0x2CD4, "isplayerweapon" },
    { 0x2CD5, "callback_playerkilled" },
    { 0x2CD6, "queueshieldforremoval" },
//  { 0x2CD7, "" },
//  { 0x2CD8, "" },
//  { 0x2CD9, "" },
//  { 0x2CDA, "" },
//  { 0x2CDB, "" },
    { 0x2CDC, "uselaststandparams" },
    { 0x2CDD, "einflictor" },
//  { 0x2CDE, "" },
    { 0x2CDF, "smeansofdeath" },
    { 0x2CE0, "sweapon" },
    { 0x2CE1, "sprimaryweapon" },
    { 0x2CE2, "vdir" },
    { 0x2CE3, "shitloc" },
//  { 0x2CE4, "" },
    { 0x2CE5, "nuked" },
//  { 0x2CE6, "" },
//  { 0x2CE7, "" },
    { 0x2CE8, "trackleaderboarddeathstats" },
    { 0x2CE9, "trackattackerleaderboarddeathstats" },
    { 0x2CEA, "lastdeathpos" },
    { 0x2CEB, "sameshotdamage" },
//  { 0x2CEC, "" },
//  { 0x2CED, "" },
//  { 0x2CEE, "" },
//  { 0x2CEF, "" },
//  { 0x2CF0, "" },
//  { 0x2CF1, "" },
    { 0x2CF2, "initfinalkillcam" },
//  { 0x2CF3, "" },
    { 0x2CF4, "finalkillcam_victim" },
//  { 0x2CF5, "" },
    { 0x2CF6, "finalkillcam_attackernum" },
//  { 0x2CF7, "" },
//  { 0x2CF8, "" },
//  { 0x2CF9, "" },
    { 0x2CFA, "finalkillcam_deathtimeoffset" },
//  { 0x2CFB, "" },
    { 0x2CFC, "finalkillcam_timerecorded" },
//  { 0x2CFD, "" },
//  { 0x2CFE, "" },
//  { 0x2CFF, "" },
//  { 0x2D00, "" },
//  { 0x2D01, "" },
//  { 0x2D02, "" },
//  { 0x2D03, "" },
//  { 0x2D04, "" },
    { 0x2D05, "resetplayervariables" },
    { 0x2D06, "getkillcamentity" },
    { 0x2D07, "samturret" },
    { 0x2D08, "imskillcament" },
//  { 0x2D09, "" },
    { 0x2D0A, "remote_mortar" },
//  { 0x2D0B, "" },
//  { 0x2D0C, "" },
//  { 0x2D0D, "" },
    { 0x2D0E, "damageinfo" },
    { 0x2D0F, "hitloc" },
//  { 0x2D10, "" },
//  { 0x2D11, "" },
    { 0x2D12, "colorindex" },
    { 0x2D13, "damageinfocolorindex" },
//  { 0x2D14, "" },
//  { 0x2D15, "" },
//  { 0x2D16, "" },
//  { 0x2D17, "" },
//  { 0x2D18, "" },
//  { 0x2D19, "" },
    { 0x2D1A, "idflags_shield_explosive_splash" },
//  { 0x2D1B, "" },
//  { 0x2D1C, "" },
    { 0x2D1D, "candocombat" },
//  { 0x2D1E, "" },
    { 0x2D1F, "killstreakspawnshield" },
    { 0x2D20, "idflags_no_protection" },
    { 0x2D21, "lastspawnpoint" },
//  { 0x2D22, "" },
//  { 0x2D23, "" },
    { 0x2D24, "lastdamagewasfromenemy" },
//  { 0x2D25, "" },
    { 0x2D26, "wascooked" },
    { 0x2D27, "playerdamaged" },
//  { 0x2D28, "" },
    { 0x2D29, "shouldweaponfeedback" },
//  { 0x2D2A, "" },
    { 0x2D2B, "findisfacing" },
//  { 0x2D2C, "" },
    { 0x2D2D, "instutter" },
//  { 0x2D2E, "" },
    { 0x2D2F, "isprimary" },
//  { 0x2D30, "" },
//  { 0x2D31, "" },
//  { 0x2D32, "" },
    { 0x2D33, "finishplayerdamagewrapper" },
//  { 0x2D34, "" },
    { 0x2D35, "dieaftertime" },
    { 0x2D36, "detonateonuse" },
    { 0x2D37, "detonateondeath" },
    { 0x2D38, "c4deathdetonate" },
    { 0x2D39, "c4deatheffect" },
    { 0x2D3A, "enablelaststandweapons" },
//  { 0x2D3B, "" },
//  { 0x2D3C, "" },
//  { 0x2D3D, "" },
//  { 0x2D3E, "" },
//  { 0x2D3F, "" },
//  { 0x2D40, "" },
//  { 0x2D41, "" },
//  { 0x2D42, "" },
//  { 0x2D43, "" },
//  { 0x2D44, "" },
    { 0x2D45, "delaystartragdoll" },
    { 0x2D46, "noragdollents" },
    { 0x2D47, "getmostkilledby" },
//  { 0x2D48, "" },
//  { 0x2D49, "" },
//  { 0x2D4A, "" },
    { 0x2D4B, "deleteonreviveordeathordisconnect" },
//  { 0x2D4C, "" },
//  { 0x2D4D, "" },
//  { 0x2D4E, "" },
    { 0x2D4F, "revivetriggerthink" },
//  { 0x2D50, "" },
    { 0x2D51, "combathigh" },
    { 0x2D52, "emitfalldamage" },
    { 0x2D53, "isflankkill" },
//  { 0x2D54, "" },
//  { 0x2D55, "" },
    { 0x2D56, "destroyonreviveentdeath" },
//  { 0x2D57, "" },
//  { 0x2D58, "" },
    { 0x2D59, "matchrules_vampirism" },
    { 0x2D5A, "healthregendisabled" },
//  { 0x2D5B, "" },
    { 0x2D5C, "regenspeed" },
//  { 0x2D5D, "" },
    { 0x2D5E, "breathingmanager" },
//  { 0x2D5F, "" },
//  { 0x2D60, "" },
//  { 0x2D61, "" },
//  { 0x2D62, "" },
    { 0x2D63, "playerpainbreathingsound" },
    { 0x2D64, "playedstartingmusic" },
    { 0x2D65, "onlastalive" },
//  { 0x2D66, "" },
//  { 0x2D67, "" },
//  { 0x2D68, "" },
//  { 0x2D69, "" },
//  { 0x2D6A, "" },
    { 0x2D6B, "gamewinnerdialog" },
//  { 0x2D6C, "" },
//  { 0x2D6D, "" },
//  { 0x2D6E, "" },
    { 0x2D6F, "suspensemusic" },
    { 0x2D70, "finalkillcammusic" },
//  { 0x2D71, "" },
//  { 0x2D72, "" },
//  { 0x2D73, "" },
//  { 0x2D74, "" },
    { 0x2D75, "initplayerstat" },
//  { 0x2D76, "" },
    { 0x2D77, "previousdeaths" },
//  { 0x2D78, "" },
//  { 0x2D79, "" },
    { 0x2D7A, "usedweapons" },
//  { 0x2D7B, "" },
    { 0x2D7C, "initgametypeawards" },
    { 0x2D7D, "initbaseaward" },
    { 0x2D7E, "winners" },
//  { 0x2D7F, "" },
//  { 0x2D80, "" },
//  { 0x2D81, "" },
    { 0x2D82, "var1" },
//  { 0x2D83, "" },
//  { 0x2D84, "" },
//  { 0x2D85, "" },
    { 0x2D86, "initderivedaward" },
    { 0x2D87, "initawardflag" },
    { 0x2D88, "initmultiaward" },
//  { 0x2D89, "" },
//  { 0x2D8A, "" },
    { 0x2D8B, "initthresholdaward" },
    { 0x2D8C, "setmatchrecordifgreater" },
//  { 0x2D8D, "" },
    { 0x2D8E, "getplayerstattime" },
//  { 0x2D8F, "" },
//  { 0x2D90, "" },
    { 0x2D91, "setpersonalbestifgreater" },
//  { 0x2D92, "" },
//  { 0x2D93, "" },
//  { 0x2D94, "" },
    { 0x2D95, "getawardwinners" },
//  { 0x2D96, "" },
//  { 0x2D97, "" },
    { 0x2D98, "getawardrecord" },
//  { 0x2D99, "" },
//  { 0x2D9A, "" },
//  { 0x2D9B, "" },
//  { 0x2D9C, "" },
//  { 0x2D9D, "" },
//  { 0x2D9E, "" },
    { 0x2D9F, "isstataward" },
    { 0x2DA0, "isthresholdaward" },
//  { 0x2DA1, "" },
    { 0x2DA2, "isawardexclusive" },
    { 0x2DA3, "hasdisplayvalue" },
    { 0x2DA4, "giveaward" },
    { 0x2DA5, "getformattedvalue" },
//  { 0x2DA6, "" },
//  { 0x2DA7, "" },
//  { 0x2DA8, "" },
    { 0x2DA9, "lowestwithhalfplayedtime" },
//  { 0x2DAA, "" },
    { 0x2DAB, "isatleast" },
    { 0x2DAC, "isatmost" },
//  { 0x2DAD, "" },
    { 0x2DAE, "setratio" },
    { 0x2DAF, "getkillstreakawardref" },
//  { 0x2DB0, "" },
//  { 0x2DB1, "" },
    { 0x2DB2, "monitorswaps" },
    { 0x2DB3, "monitormovementdistance" },
//  { 0x2DB4, "" },
    { 0x2DB5, "lastcampchecked" },
//  { 0x2DB6, "" },
//  { 0x2DB7, "" },
//  { 0x2DB8, "" },
//  { 0x2DB9, "" },
//  { 0x2DBA, "" },
//  { 0x2DBB, "" },
//  { 0x2DBC, "" },
    { 0x2DBD, "monitorshieldblocks" },
    { 0x2DBE, "monitorflashhits" },
    { 0x2DBF, "monitorstunhits" },
//  { 0x2DC0, "" },
    { 0x2DC1, "softlandingtriggers" },
//  { 0x2DC2, "" },
//  { 0x2DC3, "" },
//  { 0x2DC4, "" },
//  { 0x2DC5, "" },
    { 0x2DC6, "softlandingwaiter" },
    { 0x2DC7, "defconmode" },
//  { 0x2DC8, "" },
    { 0x2DC9, "defconpointmod" },
    { 0x2DCA, "defconkillstreakwait" },
    { 0x2DCB, "defconkillstreakthread" },
    { 0x2DCC, "updatedefcon" },
//  { 0x2DCD, "" },
//  { 0x2DCE, "" },
//  { 0x2DCF, "" },
//  { 0x2DD0, "" },
//  { 0x2DD1, "" },
    { 0x2DD2, "isjuggernautrecon" },
//  { 0x2DD3, "" },
    { 0x2DD4, "matchrules_showjuggradaricon" },
//  { 0x2DD5, "" },
//  { 0x2DD6, "" },
//  { 0x2DD7, "" },
//  { 0x2DD8, "" },
//  { 0x2DD9, "" },
    { 0x2DDA, "isjuggernautdef" },
//  { 0x2DDB, "" },
//  { 0x2DDC, "" },
//  { 0x2DDD, "" },
//  { 0x2DDE, "" },
//  { 0x2DDF, "" },
//  { 0x2DE0, "" },
    { 0x2DE1, "pausemax" },
//  { 0x2DE2, "" },
    { 0x2DE3, "sentrymodeoff" },
    { 0x2DE4, "spinuptime" },
    { 0x2DE5, "overheattime" },
//  { 0x2DE6, "" },
    { 0x2DE7, "fxtime" },
    { 0x2DE8, "modelbase" },
    { 0x2DE9, "modelplacement" },
//  { 0x2DEA, "" },
//  { 0x2DEB, "" },
    { 0x2DEC, "teamsplash" },
//  { 0x2DED, "" },
    { 0x2DEE, "vodestroyed" },
    { 0x2DEF, "ownerhintstring" },
    { 0x2DF0, "tryuseautosentry" },
    { 0x2DF1, "tryusesam" },
//  { 0x2DF2, "" },
//  { 0x2DF3, "" },
    { 0x2DF4, "last_sentry" },
//  { 0x2DF5, "" },
//  { 0x2DF6, "" },
    { 0x2DF7, "restoreweapon" },
//  { 0x2DF8, "" },
    { 0x2DF9, "restoreperk" },
//  { 0x2DFA, "" },
//  { 0x2DFB, "" },
    { 0x2DFC, "waitrestoreperks" },
//  { 0x2DFD, "" },
    { 0x2DFE, "sentry_initsentry" },
    { 0x2DFF, "laser_on" },
//  { 0x2E00, "" },
//  { 0x2E01, "" },
    { 0x2E02, "overheated" },
    { 0x2E03, "cooldownwaittime" },
    { 0x2E04, "sentry_handledamage" },
//  { 0x2E05, "" },
    { 0x2E06, "sentry_handledeath" },
    { 0x2E07, "ownertrigger" },
    { 0x2E08, "forcedisable" },
//  { 0x2E09, "" },
//  { 0x2E0A, "" },
    { 0x2E0B, "sentry_handleuse" },
    { 0x2E0C, "turret_handlepickup" },
    { 0x2E0D, "turret_handleuse" },
    { 0x2E0E, "sentry_handleownerdisconnect" },
//  { 0x2E0F, "" },
//  { 0x2E10, "" },
//  { 0x2E11, "" },
    { 0x2E12, "sentry_setcarried" },
    { 0x2E13, "updatesentryplacement" },
    { 0x2E14, "sentry_oncarrierdeath" },
    { 0x2E15, "sentry_oncarrierdisconnect" },
//  { 0x2E16, "" },
//  { 0x2E17, "" },
//  { 0x2E18, "" },
//  { 0x2E19, "" },
//  { 0x2E1A, "" },
//  { 0x2E1B, "" },
//  { 0x2E1C, "" },
//  { 0x2E1D, "" },
    { 0x2E1E, "removefromturretlist" },
    { 0x2E1F, "sentry_timeout" },
//  { 0x2E20, "" },
    { 0x2E21, "sentry_spinup" },
//  { 0x2E22, "" },
    { 0x2E23, "turret_shotmonitor" },
    { 0x2E24, "sentry_heatmonitor" },
//  { 0x2E25, "" },
    { 0x2E26, "turret_coolmonitor" },
//  { 0x2E27, "" },
//  { 0x2E28, "" },
//  { 0x2E29, "" },
//  { 0x2E2A, "" },
    { 0x2E2B, "samtargetent" },
    { 0x2E2C, "sammissilegroups" },
//  { 0x2E2D, "" },
//  { 0x2E2E, "" },
//  { 0x2E2F, "" },
//  { 0x2E30, "" },
    { 0x2E31, "sam_watchlineofsight" },
//  { 0x2E32, "" },
//  { 0x2E33, "" },
//  { 0x2E34, "" },
    { 0x2E35, "airdropcrates" },
//  { 0x2E36, "" },
//  { 0x2E37, "" },
//  { 0x2E38, "" },
//  { 0x2E39, "" },
    { 0x2E3A, "cratemaxval" },
//  { 0x2E3B, "" },
//  { 0x2E3C, "" },
//  { 0x2E3D, "" },
    { 0x2E3E, "getrandomcratetype" },
    { 0x2E3F, "getcratetypefordroptype" },
    { 0x2E40, "tryuseassaultairdrop" },
//  { 0x2E41, "" },
//  { 0x2E42, "" },
    { 0x2E43, "tryuseairdropsentryminigun" },
//  { 0x2E44, "" },
    { 0x2E45, "tryusejuggernautglairdrop" },
//  { 0x2E46, "" },
    { 0x2E47, "tryusejuggernautdefairdrop" },
    { 0x2E48, "tryusetrophyairdrop" },
    { 0x2E49, "tryusemegaairdrop" },
//  { 0x2E4A, "" },
    { 0x2E4B, "tryuseairdropremotetank" },
//  { 0x2E4C, "" },
//  { 0x2E4D, "" },
//  { 0x2E4E, "" },
    { 0x2E4F, "tryuseairdrop" },
    { 0x2E50, "watchdisconnect" },
    { 0x2E51, "beginairdropviamarker" },
//  { 0x2E52, "" },
//  { 0x2E53, "" },
    { 0x2E54, "ischangingweapon" },
//  { 0x2E55, "" },
//  { 0x2E56, "" },
    { 0x2E57, "beginairdropmarkertracking" },
    { 0x2E58, "airdropmarkeractivate" },
    { 0x2E59, "finishsupportescortusage" },
//  { 0x2E5A, "" },
//  { 0x2E5B, "" },
//  { 0x2E5C, "" },
//  { 0x2E5D, "" },
//  { 0x2E5E, "" },
//  { 0x2E5F, "" },
//  { 0x2E60, "" },
//  { 0x2E61, "" },
//  { 0x2E62, "" },
//  { 0x2E63, "" },
//  { 0x2E64, "" },
    { 0x2E65, "friendlymodel" },
    { 0x2E66, "enemymodel" },
//  { 0x2E67, "" },
//  { 0x2E68, "" },
    { 0x2E69, "cratesetupforuse" },
//  { 0x2E6A, "" },
    { 0x2E6B, "dropthecrate" },
//  { 0x2E6C, "" },
//  { 0x2E6D, "" },
    { 0x2E6E, "droptimeout" },
    { 0x2E6F, "getpathstart" },
//  { 0x2E70, "" },
    { 0x2E71, "getflyheightoffset" },
//  { 0x2E72, "" },
    { 0x2E73, "doflyby" },
//  { 0x2E74, "" },
    { 0x2E75, "domegaflyby" },
    { 0x2E76, "doc130flyby" },
//  { 0x2E77, "" },
//  { 0x2E78, "" },
    { 0x2E79, "stoploopafter" },
    { 0x2E7A, "playlooponent" },
//  { 0x2E7B, "" },
//  { 0x2E7C, "" },
//  { 0x2E7D, "" },
//  { 0x2E7E, "" },
    { 0x2E7F, "watchtimeout" },
    { 0x2E80, "heli_existence" },
    { 0x2E81, "heli_handledamage" },
    { 0x2E82, "alreadydead" },
//  { 0x2E83, "" },
//  { 0x2E84, "" },
//  { 0x2E85, "" },
    { 0x2E86, "nukecapturethink" },
    { 0x2E87, "crateothercapturethink" },
//  { 0x2E88, "" },
//  { 0x2E89, "" },
//  { 0x2E8A, "" },
//  { 0x2E8B, "" },
    { 0x2E8C, "getkillstreakcrateicon" },
    { 0x2E8D, "getstreakcost" },
    { 0x2E8E, "nukecratethink" },
    { 0x2E8F, "gtnw" },
//  { 0x2E90, "" },
//  { 0x2E91, "" },
    { 0x2E92, "juggernautcratethink" },
//  { 0x2E93, "" },
//  { 0x2E94, "" },
//  { 0x2E95, "" },
    { 0x2E96, "bomb" },
    { 0x2E97, "detonatetrap" },
    { 0x2E98, "deletecrate" },
//  { 0x2E99, "" },
//  { 0x2E9A, "" },
//  { 0x2E9B, "" },
//  { 0x2E9C, "" },
    { 0x2E9D, "hijacknotify" },
//  { 0x2E9E, "" },
//  { 0x2E9F, "" },
//  { 0x2EA0, "" },
    { 0x2EA1, "deleteuseent" },
    { 0x2EA2, "airdropdetonateonstuck" },
//  { 0x2EA3, "" },
//  { 0x2EA4, "" },
//  { 0x2EA5, "" },
//  { 0x2EA6, "" },
    { 0x2EA7, "taghatchr" },
    { 0x2EA8, "tagdropcrates" },
    { 0x2EA9, "prompt" },
//  { 0x2EAA, "" },
    { 0x2EAB, "tryuseescortairdrop" },
    { 0x2EAC, "tryuseospreygunner" },
//  { 0x2EAD, "" },
//  { 0x2EAE, "" },
//  { 0x2EAF, "" },
    { 0x2EB0, "_beginlocationselection" },
//  { 0x2EB1, "" },
//  { 0x2EB2, "" },
//  { 0x2EB3, "" },
//  { 0x2EB4, "" },
//  { 0x2EB5, "" },
//  { 0x2EB6, "" },
//  { 0x2EB7, "" },
    { 0x2EB8, "useospreygunner" },
    { 0x2EB9, "ridegunner" },
    { 0x2EBA, "waitsetthermal" },
//  { 0x2EBB, "" },
    { 0x2EBC, "escort_prompt" },
    { 0x2EBD, "airshippitchpropsup" },
//  { 0x2EBE, "" },
    { 0x2EBF, "airshippitchhatchup" },
    { 0x2EC0, "airshippitchhatchdown" },
    { 0x2EC1, "getbestheight" },
//  { 0x2EC2, "" },
    { 0x2EC3, "airshipflydefense" },
//  { 0x2EC4, "" },
    { 0x2EC5, "aishootplayer" },
    { 0x2EC6, "targetdeathwaiter" },
//  { 0x2EC7, "" },
//  { 0x2EC8, "" },
    { 0x2EC9, "ospreydropcrateslowimpulse" },
//  { 0x2ECA, "" },
//  { 0x2ECB, "" },
//  { 0x2ECC, "" },
//  { 0x2ECD, "" },
//  { 0x2ECE, "" },
    { 0x2ECF, "getmapcenter" },
    { 0x2ED0, "getstartspawns" },
    { 0x2ED1, "domortar" },
//  { 0x2ED2, "" },
//  { 0x2ED3, "" },
//  { 0x2ED4, "" },
    { 0x2ED5, "doairstrikeflyby" },
    { 0x2ED6, "spawnpoints" },
//  { 0x2ED7, "" },
//  { 0x2ED8, "" },
//  { 0x2ED9, "" },
//  { 0x2EDA, "" },
//  { 0x2EDB, "" },
//  { 0x2EDC, "" },
//  { 0x2EDD, "" },
//  { 0x2EDE, "" },
//  { 0x2EDF, "" },
//  { 0x2EE0, "" },
//  { 0x2EE1, "" },
//  { 0x2EE2, "" },
    { 0x2EE3, "buildscoreboardtype" },
    { 0x2EE4, "onforfeit" },
//  { 0x2EE5, "" },
//  { 0x2EE6, "" },
    { 0x2EE7, "forcedend" },
//  { 0x2EE8, "" },
    { 0x2EE9, "matchforfeittimer" },
    { 0x2EEA, "matchforfeittext" },
    { 0x2EEB, "matchforfeittimer_internal" },
    { 0x2EEC, "default_ondeadevent" },
//  { 0x2EED, "" },
    { 0x2EEE, "getlastlivingplayer" },
//  { 0x2EEF, "" },
//  { 0x2EF0, "" },
    { 0x2EF1, "hostforcedend" },
//  { 0x2EF2, "" },
    { 0x2EF3, "onelefttime" },
    { 0x2EF4, "ononeleftevent" },
    { 0x2EF5, "getpotentiallivingplayers" },
    { 0x2EF6, "waittillfinalkillcamdone" },
//  { 0x2EF7, "" },
//  { 0x2EF8, "" },
    { 0x2EF9, "prematchperiod" },
//  { 0x2EFA, "" },
//  { 0x2EFB, "" },
//  { 0x2EFC, "" },
//  { 0x2EFD, "" },
    { 0x2EFE, "updatewinlossstats" },
//  { 0x2EFF, "" },
    { 0x2F00, "waslastround" },
    { 0x2F01, "updatematchbonusscores" },
//  { 0x2F02, "" },
    { 0x2F03, "getspm" },
    { 0x2F04, "matchbonus" },
    { 0x2F05, "givematchbonus" },
    { 0x2F06, "setxenonranks" },
//  { 0x2F07, "" },
    { 0x2F08, "gethalftime" },
//  { 0x2F09, "" },
    { 0x2F0A, "ontimelimit" },
//  { 0x2F0B, "" },
//  { 0x2F0C, "" },
//  { 0x2F0D, "" },
//  { 0x2F0E, "" },
    { 0x2F0F, "matchstarttimerpc" },
//  { 0x2F10, "" },
//  { 0x2F11, "" },
//  { 0x2F12, "" },
//  { 0x2F13, "" },
    { 0x2F14, "halftimetype" },
    { 0x2F15, "checkroundswitch" },
//  { 0x2F16, "" },
    { 0x2F17, "timepaused" },
//  { 0x2F18, "" },
//  { 0x2F19, "" },
//  { 0x2F1A, "" },
    { 0x2F1B, "lowermessage" },
//  { 0x2F1C, "" },
    { 0x2F1D, "gethostplayer" },
    { 0x2F1E, "hostidledout" },
//  { 0x2F1F, "" },
//  { 0x2F20, "" },
//  { 0x2F21, "" },
//  { 0x2F22, "" },
//  { 0x2F23, "" },
//  { 0x2F24, "" },
//  { 0x2F25, "" },
//  { 0x2F26, "" },
//  { 0x2F27, "" },
//  { 0x2F28, "" },
//  { 0x2F29, "" },
//  { 0x2F2A, "" },
    { 0x2F2B, "onstartgametype" },
//  { 0x2F2C, "" },
//  { 0x2F2D, "" },
//  { 0x2F2E, "" },
//  { 0x2F2F, "" },
//  { 0x2F30, "" },
//  { 0x2F31, "" },
//  { 0x2F32, "" },
    { 0x2F33, "timelimitclock" },
    { 0x2F34, "timerstopped" },
    { 0x2F35, "gametimer" },
    { 0x2F36, "discardtime" },
//  { 0x2F37, "" },
    { 0x2F38, "timerpausetime" },
    { 0x2F39, "pausetimer" },
    { 0x2F3A, "resumetimer" },
    { 0x2F3B, "startgame" },
    { 0x2F3C, "spawnperframeupdate" },
    { 0x2F3D, "roundbegin" },
//  { 0x2F3E, "" },
//  { 0x2F3F, "" },
//  { 0x2F40, "" },
    { 0x2F41, "displayroundend" },
    { 0x2F42, "teamoutcomenotify" },
    { 0x2F43, "outcomenotify" },
    { 0x2F44, "displaygameend" },
    { 0x2F45, "displayroundswitch" },
    { 0x2F46, "endgameovertime" },
    { 0x2F47, "endgamehalftime" },
    { 0x2F48, "levelflagset" },
//  { 0x2F49, "" },
//  { 0x2F4A, "" },
//  { 0x2F4B, "" },
    { 0x2F4C, "updateendreasontext" },
//  { 0x2F4D, "" },
//  { 0x2F4E, "" },
    { 0x2F4F, "estimatedtimetillscorelimit" },
//  { 0x2F50, "" },
//  { 0x2F51, "" },
//  { 0x2F52, "" },
//  { 0x2F53, "" },
    { 0x2F54, "processlobbydata" },
    { 0x2F55, "incrementweaponstat" },
    { 0x2F56, "updateweaponbufferedstats" },
    { 0x2F57, "incrementattachmentstat" },
//  { 0x2F58, "" },
//  { 0x2F59, "" },
    { 0x2F5A, "checkforpersonalbests" },
    { 0x2F5B, "xpgains" },
//  { 0x2F5C, "" },
//  { 0x2F5D, "" },
//  { 0x2F5E, "" },
    { 0x2F5F, "callbackhostmigration" },
    { 0x2F60, "setupdamageflags" },
    { 0x2F61, "idflags_radius" },
    { 0x2F62, "idflags_no_armor" },
    { 0x2F63, "idflags_no_team_protection" },
//  { 0x2F64, "" },
    { 0x2F65, "setupcallbacks" },
    { 0x2F66, "setdefaultcallbacks" },
    { 0x2F67, "abortlevel" },
    { 0x2F68, "callbackvoid" },
    { 0x2F69, "beginharrier" },
    { 0x2F6A, "getcorrectheight" },
//  { 0x2F6B, "" },
    { 0x2F6C, "accel" },
    { 0x2F6D, "defendloc" },
    { 0x2F6E, "defendlocation" },
    { 0x2F6F, "closetogoalcheck" },
    { 0x2F70, "engageground" },
    { 0x2F71, "harrierleave" },
    { 0x2F72, "airplane" },
    { 0x2F73, "harrierdelete" },
//  { 0x2F74, "" },
//  { 0x2F75, "" },
    { 0x2F76, "getnewpoint" },
    { 0x2F77, "besttarget" },
//  { 0x2F78, "" },
    { 0x2F79, "tracegroundpoint" },
//  { 0x2F7A, "" },
    { 0x2F7B, "harrier_afterburnerfx" },
    { 0x2F7C, "stopharrierwingfx" },
//  { 0x2F7D, "" },
//  { 0x2F7E, "" },
    { 0x2F7F, "isreadytofire" },
//  { 0x2F80, "" },
//  { 0x2F81, "" },
//  { 0x2F82, "" },
//  { 0x2F83, "" },
    { 0x2F84, "watchtargetlos" },
    { 0x2F85, "breaktarget" },
//  { 0x2F86, "" },
    { 0x2F87, "nontarget" },
    { 0x2F88, "istarget" },
//  { 0x2F89, "" },
//  { 0x2F8A, "" },
//  { 0x2F8B, "" },
//  { 0x2F8C, "" },
//  { 0x2F8D, "" },
    { 0x2F8E, "harrierdestroyed" },
//  { 0x2F8F, "" },
    { 0x2F90, "harrier_deathfx" },
//  { 0x2F91, "" },
//  { 0x2F92, "" },
//  { 0x2F93, "" },
//  { 0x2F94, "" },
    { 0x2F95, "watchvehtargetcrash" },
    { 0x2F96, "watchvehtargetdeath" },
//  { 0x2F97, "" },
//  { 0x2F98, "" },
//  { 0x2F99, "" },
    { 0x2F9A, "onfirefx" },
    { 0x2F9B, "airstrikefx" },
//  { 0x2F9C, "" },
//  { 0x2F9D, "" },
//  { 0x2F9E, "" },
//  { 0x2F9F, "" },
    { 0x2FA0, "dangermaxradius" },
//  { 0x2FA1, "" },
    { 0x2FA2, "dangerforwardpush" },
//  { 0x2FA3, "" },
//  { 0x2FA4, "" },
//  { 0x2FA5, "" },
//  { 0x2FA6, "" },
//  { 0x2FA7, "" },
    { 0x2FA8, "tryuseharrierairstrike" },
//  { 0x2FA9, "" },
//  { 0x2FAA, "" },
//  { 0x2FAB, "" },
    { 0x2FAC, "getairstrikedanger" },
    { 0x2FAD, "getsingleairstrikedanger" },
    { 0x2FAE, "pointisinairstrikearea" },
//  { 0x2FAF, "" },
//  { 0x2FB0, "" },
//  { 0x2FB1, "" },
//  { 0x2FB2, "" },
    { 0x2FB3, "airstrikedamageentsthread" },
//  { 0x2FB4, "" },
//  { 0x2FB5, "" },
//  { 0x2FB6, "" },
//  { 0x2FB7, "" },
    { 0x2FB8, "dobomberstrike" },
//  { 0x2FB9, "" },
    { 0x2FBA, "playbombfx" },
//  { 0x2FBB, "" },
    { 0x2FBC, "airstriketype" },
    { 0x2FBD, "callstrike_bomb" },
//  { 0x2FBE, "" },
//  { 0x2FBF, "" },
    { 0x2FC0, "addplanetolist" },
    { 0x2FC1, "removeplanefromlist" },
    { 0x2FC2, "callstrike_bombeffect" },
    { 0x2FC3, "spawnbomb" },
    { 0x2FC4, "callstrike" },
//  { 0x2FC5, "" },
//  { 0x2FC6, "" },
//  { 0x2FC7, "" },
//  { 0x2FC8, "" },
    { 0x2FC9, "finishairstrikeusage" },
//  { 0x2FCA, "" },
    { 0x2FCB, "handleemp" },
//  { 0x2FCC, "" },
//  { 0x2FCD, "" },
    { 0x2FCE, "expandmins" },
//  { 0x2FCF, "" },
//  { 0x2FD0, "" },
    { 0x2FD1, "teamspawnpoints" },
    { 0x2FD2, "inited" },
    { 0x2FD3, "spawnmins" },
//  { 0x2FD4, "" },
    { 0x2FD5, "placespawnpoints" },
//  { 0x2FD6, "" },
    { 0x2FD7, "getspawnpointarray" },
//  { 0x2FD8, "" },
//  { 0x2FD9, "" },
    { 0x2FDA, "spawnpointinit" },
    { 0x2FDB, "sighttracepoint" },
//  { 0x2FDC, "" },
//  { 0x2FDD, "" },
//  { 0x2FDE, "" },
    { 0x2FDF, "getteamspawnpoints" },
//  { 0x2FE0, "" },
    { 0x2FE1, "getbestweightedspawnpoint" },
    { 0x2FE2, "sights" },
    { 0x2FE3, "lastsighttracetime" },
    { 0x2FE4, "getallotherplayers" },
    { 0x2FE5, "initweights" },
//  { 0x2FE6, "" },
    { 0x2FE7, "numplayersatlastupdate" },
    { 0x2FE8, "weighteddistsum" },
    { 0x2FE9, "distsum" },
    { 0x2FEA, "favorclosespawnent" },
//  { 0x2FEB, "" },
//  { 0x2FEC, "" },
//  { 0x2FED, "" },
//  { 0x2FEE, "" },
//  { 0x2FEF, "" },
//  { 0x2FF0, "" },
//  { 0x2FF1, "" },
    { 0x2FF2, "spawnlogic_spawnkills" },
//  { 0x2FF3, "" },
    { 0x2FF4, "tanks" },
    { 0x2FF5, "ims" },
//  { 0x2FF6, "" },
    { 0x2FF7, "sightcheckcost" },
    { 0x2FF8, "watchspawnprofile" },
    { 0x2FF9, "spawnprofile" },
    { 0x2FFA, "spawngraphcheck" },
    { 0x2FFB, "spawngraph" },
//  { 0x2FFC, "" },
    { 0x2FFD, "fake" },
//  { 0x2FFE, "" },
    { 0x2FFF, "setupspawngraphpoint" },
    { 0x3000, "visible" },
//  { 0x3001, "" },
    { 0x3002, "loopbotspawns" },
    { 0x3003, "trackgrenades" },
    { 0x3004, "trackmissiles" },
    { 0x3005, "ispointvulnerable" },
    { 0x3006, "claymoremodelcenteroffset" },
//  { 0x3007, "" },
    { 0x3008, "claymoredetectionconeangle" },
    { 0x3009, "avoidweapondamage" },
    { 0x300A, "adjustsightvalue" },
    { 0x300B, "spawnpointupdate" },
//  { 0x300C, "" },
    { 0x300D, "nearbypenalty" },
//  { 0x300E, "" },
//  { 0x300F, "" },
//  { 0x3010, "" },
//  { 0x3011, "" },
    { 0x3012, "getrevengespawndistancesq" },
//  { 0x3013, "" },
//  { 0x3014, "" },
//  { 0x3015, "" },
//  { 0x3016, "" },
//  { 0x3017, "" },
    { 0x3018, "avoidsamespawn" },
    { 0x3019, "setupkillstreakspawnshield" },
//  { 0x301A, "" },
    { 0x301B, "ac130_num_flares" },
//  { 0x301C, "" },
//  { 0x301D, "" },
    { 0x301E, "lastradiotransmission" },
//  { 0x301F, "" },
    { 0x3020, "physicssphereradius" },
    { 0x3021, "physicssphereforce" },
//  { 0x3022, "" },
//  { 0x3023, "" },
//  { 0x3024, "" },
    { 0x3025, "tryuseac130" },
//  { 0x3026, "" },
    { 0x3027, "init_sounds" },
//  { 0x3028, "" },
    { 0x3029, "played" },
    { 0x302A, "sounds" },
    { 0x302B, "add_context_sensative_timeout" },
//  { 0x302C, "" },
//  { 0x302D, "" },
    { 0x302E, "deleteonac130playerremoved" },
    { 0x302F, "setac130player" },
    { 0x3030, "incomingmissile" },
//  { 0x3031, "" },
    { 0x3032, "ac130_altscene" },
    { 0x3033, "cameramodel" },
    { 0x3034, "removeac130playerongameend" },
    { 0x3035, "removeac130playerongamecleanup" },
//  { 0x3036, "" },
    { 0x3037, "removeac130playeroncrash" },
    { 0x3038, "removeac130playerondisconnect" },
//  { 0x3039, "" },
    { 0x303A, "removeac130playeronspectate" },
    { 0x303B, "removeac130playeraftertime" },
//  { 0x303C, "" },
    { 0x303D, "darkscreenoverlay" },
    { 0x303E, "damagetracker" },
//  { 0x303F, "" },
    { 0x3040, "overlay_coords" },
//  { 0x3041, "" },
//  { 0x3042, "" },
//  { 0x3043, "" },
//  { 0x3044, "" },
    { 0x3045, "changeweapons" },
//  { 0x3046, "" },
//  { 0x3047, "" },
//  { 0x3048, "" },
    { 0x3049, "clouds_create" },
    { 0x304A, "playerweapon" },
    { 0x304B, "gun_fired_and_ready_105mm" },
    { 0x304C, "shotfired" },
//  { 0x304D, "" },
    { 0x304E, "shotfireddarkscreenoverlay" },
//  { 0x304F, "" },
//  { 0x3050, "" },
    { 0x3051, "context_sensative_dialog_guy_in_sight" },
    { 0x3052, "context_sensative_dialog_guy_in_sight_check" },
    { 0x3053, "context_sensative_dialog_guy_crawling" },
//  { 0x3054, "" },
//  { 0x3055, "" },
//  { 0x3056, "" },
//  { 0x3057, "" },
    { 0x3058, "context_sensative_dialog_kill_thread" },
    { 0x3059, "context_sensative_dialog_locations" },
//  { 0x305A, "" },
//  { 0x305B, "" },
    { 0x305C, "context_sensative_dialog_vehiclespawn" },
//  { 0x305D, "" },
//  { 0x305E, "" },
//  { 0x305F, "" },
    { 0x3060, "context_sensative_dialog_play_random_group_sound" },
//  { 0x3061, "" },
//  { 0x3062, "" },
//  { 0x3063, "" },
    { 0x3064, "debug_circle" },
    { 0x3065, "stingerproximitydetonate" },
//  { 0x3066, "" },
//  { 0x3067, "" },
    { 0x3068, "angelflareprecache" },
//  { 0x3069, "" },
    { 0x306A, "missileremotelaunchvert" },
//  { 0x306B, "" },
//  { 0x306C, "" },
    { 0x306D, "remotemissile_fx" },
    { 0x306E, "tryusepredatormissile" },
    { 0x306F, "getbestspawnpoint" },
    { 0x3070, "spawnscore" },
//  { 0x3071, "" },
    { 0x3072, "handledamage" },
    { 0x3073, "missileeyes" },
//  { 0x3074, "" },
    { 0x3075, "staticeffect" },
//  { 0x3076, "" },
//  { 0x3077, "" },
    { 0x3078, "rocket_cleanupondeath" },
    { 0x3079, "player_cleanupongameended" },
    { 0x307A, "radarviewtime" },
    { 0x307B, "uavblocktime" },
    { 0x307C, "uav_fx" },
    { 0x307D, "killstreaksetupfuncs" },
//  { 0x307E, "" },
//  { 0x307F, "" },
//  { 0x3080, "" },
    { 0x3081, "rotateuavrig" },
    { 0x3082, "launchuav" },
    { 0x3083, "timetoadd" },
//  { 0x3084, "" },
//  { 0x3085, "" },
//  { 0x3086, "" },
//  { 0x3087, "" },
//  { 0x3088, "" },
//  { 0x3089, "" },
    { 0x308A, "waittill_notify_or_timeout_hostmigration_pause" },
//  { 0x308B, "" },
//  { 0x308C, "" },
    { 0x308D, "tryuseuavsupport" },
    { 0x308E, "tryusedoubleuav" },
//  { 0x308F, "" },
    { 0x3090, "tryusecounteruav" },
    { 0x3091, "uavstrikesetup" },
//  { 0x3092, "" },
    { 0x3093, "tryuseuavstrike" },
    { 0x3094, "tryusedirectionaluav" },
    { 0x3095, "useuav" },
//  { 0x3096, "" },
//  { 0x3097, "" },
//  { 0x3098, "" },
    { 0x3099, "updateplayersuavstatus" },
    { 0x309A, "blockplayeruav" },
//  { 0x309B, "" },
    { 0x309C, "useplayeruav" },
    { 0x309D, "setteamradarwrapper" },
//  { 0x309E, "" },
//  { 0x309F, "" },
//  { 0x30A0, "" },
    { 0x30A1, "addactivecounteruav" },
    { 0x30A2, "removeactiveuav" },
//  { 0x30A3, "" },
    { 0x30A4, "tryuselbflock" },
    { 0x30A5, "selectlbstrikelocation" },
//  { 0x30A6, "" },
    { 0x30A7, "finishlbstrikeusage" },
//  { 0x30A8, "" },
    { 0x30A9, "getflightpath" },
//  { 0x30AA, "" },
//  { 0x30AB, "" },
    { 0x30AC, "killcount" },
    { 0x30AD, "mgturret1" },
    { 0x30AE, "monitorkills" },
//  { 0x30AF, "" },
    { 0x30B0, "flock_handledamage" },
    { 0x30B1, "trail_fx" },
//  { 0x30B2, "" },
//  { 0x30B3, "" },
    { 0x30B4, "heliguardsettings" },
//  { 0x30B5, "" },
    { 0x30B6, "weaponmodelleft" },
    { 0x30B7, "weaponmodelright" },
    { 0x30B8, "weapontagleft" },
//  { 0x30B9, "" },
//  { 0x30BA, "" },
//  { 0x30BB, "" },
    { 0x30BC, "littlebirdguard" },
    { 0x30BD, "air_node_mesh" },
//  { 0x30BE, "" },
//  { 0x30BF, "" },
    { 0x30C0, "heliguardtype" },
//  { 0x30C1, "" },
    { 0x30C2, "attract_strength" },
//  { 0x30C3, "" },
    { 0x30C4, "hasdodged" },
    { 0x30C5, "lbsupport_lightfx" },
//  { 0x30C6, "" },
//  { 0x30C7, "" },
    { 0x30C8, "lbsupport_movetoplayer" },
    { 0x30C9, "intransit" },
    { 0x30CA, "lbsupport_watchdeath" },
//  { 0x30CB, "" },
//  { 0x30CC, "" },
    { 0x30CD, "lbsupport_watchownerdamage" },
//  { 0x30CE, "" },
//  { 0x30CF, "" },
    { 0x30D0, "lbsupport_handledamage" },
    { 0x30D1, "marker" },
//  { 0x30D2, "" },
    { 0x30D3, "lbsupport_getcloseststartnode" },
    { 0x30D4, "air_start_nodes" },
//  { 0x30D5, "" },
//  { 0x30D6, "" },
    { 0x30D7, "neighbors" },
    { 0x30D8, "lbsupport_arraycontains" },
    { 0x30D9, "lbsupport_getlinkedstructs" },
//  { 0x30DA, "" },
//  { 0x30DB, "" },
//  { 0x30DC, "" },
    { 0x30DD, "lbsupport_burstfirestart" },
    { 0x30DE, "lbsupport_burstfirestop" },
//  { 0x30DF, "" },
//  { 0x30E0, "" },
    { 0x30E1, "emp_jamteam" },
    { 0x30E2, "emp_jamplayers" },
//  { 0x30E3, "" },
//  { 0x30E4, "" },
    { 0x30E5, "empeffect" },
//  { 0x30E6, "" },
//  { 0x30E7, "" },
//  { 0x30E8, "" },
//  { 0x30E9, "" },
//  { 0x30EA, "" },
    { 0x30EB, "teamnukeemped" },
//  { 0x30EC, "" },
    { 0x30ED, "nukeinfo" },
    { 0x30EE, "tryusenuke" },
    { 0x30EF, "delaythread_nuke" },
    { 0x30F0, "donuke" },
    { 0x30F1, "cancelnukeondeath" },
//  { 0x30F2, "" },
    { 0x30F3, "nukesoundexplosion" },
    { 0x30F4, "nukeeffects" },
//  { 0x30F5, "" },
    { 0x30F6, "nukeaftermatheffect" },
//  { 0x30F7, "" },
    { 0x30F8, "nukevision" },
//  { 0x30F9, "" },
//  { 0x30FA, "" },
    { 0x30FB, "nukeearthquake" },
//  { 0x30FC, "" },
    { 0x30FD, "nuke_empteamtracker" },
//  { 0x30FE, "" },
//  { 0x30FF, "" },
//  { 0x3100, "" },
//  { 0x3101, "" },
    { 0x3102, "spawnremote" },
    { 0x3103, "lookcenter" },
//  { 0x3104, "" },
//  { 0x3105, "" },
//  { 0x3106, "" },
//  { 0x3107, "" },
//  { 0x3108, "" },
//  { 0x3109, "" },
//  { 0x310A, "" },
//  { 0x310B, "" },
//  { 0x310C, "" },
//  { 0x310D, "" },
//  { 0x310E, "" },
    { 0x310F, "handleownerdisconnect" },
    { 0x3110, "removeremote" },
//  { 0x3111, "" },
//  { 0x3112, "" },
//  { 0x3113, "" },
//  { 0x3114, "" },
//  { 0x3115, "" },
//  { 0x3116, "" },
//  { 0x3117, "" },
//  { 0x3118, "" },
    { 0x3119, "tryusedeployablevest" },
//  { 0x311A, "" },
    { 0x311B, "watchmarkerusage" },
    { 0x311C, "watchmarker" },
    { 0x311D, "takeweapononstuck" },
//  { 0x311E, "" },
    { 0x311F, "markeractivate" },
//  { 0x3120, "" },
//  { 0x3121, "" },
//  { 0x3122, "" },
//  { 0x3123, "" },
    { 0x3124, "isusable" },
//  { 0x3125, "" },
//  { 0x3126, "" },
//  { 0x3127, "" },
//  { 0x3128, "" },
//  { 0x3129, "" },
    { 0x312A, "box_handleownerdisconnect" },
    { 0x312B, "boxthink" },
//  { 0x312C, "" },
    { 0x312D, "boxcapturethink" },
//  { 0x312E, "" },
//  { 0x312F, "" },
    { 0x3130, "box_modelteamupdater" },
    { 0x3131, "boxparams" },
    { 0x3132, "disablewhenjuggernaut" },
    { 0x3133, "imssettings" },
//  { 0x3134, "" },
//  { 0x3135, "" },
    { 0x3136, "cannotplacestring" },
//  { 0x3137, "" },
//  { 0x3138, "" },
    { 0x3139, "modelexplosive2" },
    { 0x313A, "modelexplosive3" },
    { 0x313B, "modelexplosive4" },
    { 0x313C, "modellid1" },
    { 0x313D, "modellid2" },
//  { 0x313E, "" },
//  { 0x313F, "" },
    { 0x3140, "tagexplosive1" },
    { 0x3141, "tagexplosive2" },
    { 0x3142, "tagexplosive3" },
//  { 0x3143, "" },
    { 0x3144, "taglid1" },
    { 0x3145, "taglid2" },
//  { 0x3146, "" },
//  { 0x3147, "" },
//  { 0x3148, "" },
    { 0x3149, "imslist" },
    { 0x314A, "giveims" },
//  { 0x314B, "" },
    { 0x314C, "createimsforplayer" },
//  { 0x314D, "" },
    { 0x314E, "createims" },
//  { 0x314F, "" },
//  { 0x3150, "" },
    { 0x3151, "lid3" },
//  { 0x3152, "" },
    { 0x3153, "explosive1" },
//  { 0x3154, "" },
//  { 0x3155, "" },
    { 0x3156, "explosive4" },
    { 0x3157, "ims_createbombsquadmodel" },
//  { 0x3158, "" },
    { 0x3159, "ims_handledeath" },
    { 0x315A, "ims_handleuse" },
    { 0x315B, "ims_handleownerdisconnect" },
//  { 0x315C, "" },
//  { 0x315D, "" },
//  { 0x315E, "" },
//  { 0x315F, "" },
    { 0x3160, "ims_oncarrierdeath" },
    { 0x3161, "ims_oncarrierdisconnect" },
//  { 0x3162, "" },
//  { 0x3163, "" },
    { 0x3164, "attacktrigger" },
    { 0x3165, "attackmovetime" },
//  { 0x3166, "" },
//  { 0x3167, "" },
//  { 0x3168, "" },
    { 0x3169, "ims_setinactive" },
    { 0x316A, "isfriendlytoims" },
    { 0x316B, "ims_attacktargets" },
//  { 0x316C, "" },
//  { 0x316D, "" },
//  { 0x316E, "" },
    { 0x316F, "removefromimslist" },
//  { 0x3170, "" },
    { 0x3171, "ims_showallparts" },
    { 0x3172, "turretsettings" },
//  { 0x3173, "" },
    { 0x3174, "hintexit" },
    { 0x3175, "laptopinfo" },
//  { 0x3176, "" },
//  { 0x3177, "" },
    { 0x3178, "takekillstreakweapons" },
    { 0x3179, "takekillstreakweaponifnodupe" },
    { 0x317A, "tryuseremoteturret" },
    { 0x317B, "setcarryingturret" },
    { 0x317C, "restoreweaponclipammo" },
//  { 0x317D, "" },
    { 0x317E, "waitrestoreweapons" },
//  { 0x317F, "" },
//  { 0x3180, "" },
//  { 0x3181, "" },
    { 0x3182, "updateturretplacement" },
//  { 0x3183, "" },
    { 0x3184, "turret_oncarrierdisconnect" },
    { 0x3185, "turret_oncarrierchangedteam" },
    { 0x3186, "turret_ongameended" },
    { 0x3187, "createturretforplayer" },
    { 0x3188, "stunned" },
//  { 0x3189, "" },
//  { 0x318A, "" },
//  { 0x318B, "" },
//  { 0x318C, "" },
    { 0x318D, "startusingremoteturret" },
    { 0x318E, "stopusingremoteturret" },
//  { 0x318F, "" },
//  { 0x3190, "" },
//  { 0x3191, "" },
    { 0x3192, "enter_message_deleted" },
//  { 0x3193, "" },
    { 0x3194, "turret_setinactive" },
//  { 0x3195, "" },
//  { 0x3196, "" },
//  { 0x3197, "" },
    { 0x3198, "turret_handledeath" },
//  { 0x3199, "" },
//  { 0x319A, "" },
//  { 0x319B, "" },
    { 0x319C, "turret_watchlowhealth" },
    { 0x319D, "turret_stun" },
//  { 0x319E, "" },
//  { 0x319F, "" },
    { 0x31A0, "missileinfo" },
    { 0x31A1, "modelmgturret" },
    { 0x31A2, "stringplace" },
//  { 0x31A3, "" },
    { 0x31A4, "remote_tank_armor_bulletdamage" },
//  { 0x31A5, "" },
//  { 0x31A6, "" },
//  { 0x31A7, "" },
//  { 0x31A8, "" },
//  { 0x31A9, "" },
    { 0x31AA, "tank_setcarried" },
//  { 0x31AB, "" },
    { 0x31AC, "tank_oncarrierdeath" },
    { 0x31AD, "tank_oncarrierdisconnect" },
    { 0x31AE, "tank_ongameended" },
    { 0x31AF, "tank_setcancelled" },
//  { 0x31B0, "" },
//  { 0x31B1, "" },
//  { 0x31B2, "" },
    { 0x31B3, "tank" },
//  { 0x31B4, "" },
//  { 0x31B5, "" },
//  { 0x31B6, "" },
//  { 0x31B7, "" },
//  { 0x31B8, "" },
    { 0x31B9, "tank_freezebuffer" },
//  { 0x31BA, "" },
//  { 0x31BB, "" },
    { 0x31BC, "tank_handletimeout" },
    { 0x31BD, "tank_handledeath" },
    { 0x31BE, "tank_incrementdamagefade" },
//  { 0x31BF, "" },
//  { 0x31C0, "" },
//  { 0x31C1, "" },
    { 0x31C2, "tank_watchfiring" },
    { 0x31C3, "tank_firemissiles" },
    { 0x31C4, "tank_earthquake" },
    { 0x31C5, "addtougvlist" },
    { 0x31C6, "removefromugvlist" },
    { 0x31C7, "tank_playerexit" },
    { 0x31C8, "killstreakweapons" },
//  { 0x31C9, "" },
    { 0x31CA, "killstreakchainingweapons" },
    { 0x31CB, "killstreakrounddelay" },
    { 0x31CC, "initkillstreakdata" },
    { 0x31CD, "curdefvalue" },
    { 0x31CE, "spupdatetotal" },
    { 0x31CF, "earnedstreaklevel" },
    { 0x31D0, "adrenaline" },
    { 0x31D1, "initplayerkillstreaks" },
    { 0x31D2, "earned" },
    { 0x31D3, "awardxp" },
    { 0x31D4, "kid" },
    { 0x31D5, "isgimme" },
//  { 0x31D6, "" },
//  { 0x31D7, "" },
//  { 0x31D8, "" },
    { 0x31D9, "previousadrenaline" },
    { 0x31DA, "resetstreakcount" },
//  { 0x31DB, "" },
    { 0x31DC, "getmaxstreakcost" },
//  { 0x31DD, "" },
    { 0x31DE, "killstreakindexweapon" },
    { 0x31DF, "waitforchangeteam" },
    { 0x31E0, "isridekillstreak" },
//  { 0x31E1, "" },
//  { 0x31E2, "" },
    { 0x31E3, "killstreakusepressed" },
    { 0x31E4, "selectinglocation" },
    { 0x31E5, "usehardpoint" },
    { 0x31E6, "updatespecialistkillstreaks" },
//  { 0x31E7, "" },
//  { 0x31E8, "" },
//  { 0x31E9, "" },
    { 0x31EA, "waittakekillstreakweapon" },
//  { 0x31EB, "" },
//  { 0x31EC, "" },
//  { 0x31ED, "" },
    { 0x31EE, "killstreakearned" },
//  { 0x31EF, "" },
    { 0x31F0, "earnkillstreak" },
//  { 0x31F1, "" },
//  { 0x31F2, "" },
//  { 0x31F3, "" },
//  { 0x31F4, "" },
//  { 0x31F5, "" },
//  { 0x31F6, "" },
//  { 0x31F7, "" },
    { 0x31F8, "getkillstreakinformenemy" },
//  { 0x31F9, "" },
    { 0x31FA, "getkillstreakdialog" },
    { 0x31FB, "getkillstreakicon" },
    { 0x31FC, "getkillstreakdpadicon" },
    { 0x31FD, "getkillstreakindex" },
    { 0x31FE, "giveownedkillstreakitem" },
//  { 0x31FF, "" },
//  { 0x3200, "" },
//  { 0x3201, "" },
//  { 0x3202, "" },
//  { 0x3203, "" },
    { 0x3204, "leadersoundgroup" },
    { 0x3205, "getkillstreakcount" },
    { 0x3206, "shufflekillstreaksup" },
//  { 0x3207, "" },
    { 0x3208, "streakselectuptracker" },
//  { 0x3209, "" },
//  { 0x320A, "" },
    { 0x320B, "adrenalineinfo" },
    { 0x320C, "giveallperks" },
//  { 0x320D, "" },
//  { 0x320E, "" },
//  { 0x320F, "" },
    { 0x3210, "weaponpromotionsplashnotify" },
    { 0x3211, "textglowcolor" },
//  { 0x3212, "" },
    { 0x3213, "overlayoffsety" },
    { 0x3214, "playercardplayer" },
//  { 0x3215, "" },
//  { 0x3216, "" },
    { 0x3217, "hintmessagedeaththink" },
    { 0x3218, "lowermessagethink" },
    { 0x3219, "lowermessages" },
//  { 0x321A, "" },
//  { 0x321B, "" },
//  { 0x321C, "" },
//  { 0x321D, "" },
//  { 0x321E, "" },
//  { 0x321F, "" },
    { 0x3220, "missioncallbacks" },
//  { 0x3221, "" },
    { 0x3222, "perkmap" },
//  { 0x3223, "" },
    { 0x3224, "patientzeroname" },
//  { 0x3225, "" },
//  { 0x3226, "" },
    { 0x3227, "monitorscavengerpickup" },
//  { 0x3228, "" },
//  { 0x3229, "" },
    { 0x322A, "monitortacinsertionsdestroyed" },
//  { 0x322B, "" },
    { 0x322C, "initmissiondata" },
    { 0x322D, "registermissioncallback" },
    { 0x322E, "ch_assists" },
    { 0x322F, "ch_hardpoints" },
    { 0x3230, "hardpointtype" },
    { 0x3231, "ch_vehicle_kills" },
//  { 0x3232, "" },
    { 0x3233, "ch_vehicle_killed" },
    { 0x3234, "clearidshortly" },
    { 0x3235, "explosivekills" },
//  { 0x3236, "" },
//  { 0x3237, "" },
//  { 0x3238, "" },
//  { 0x3239, "" },
    { 0x323A, "ishighestscoringplayer" },
    { 0x323B, "ch_kills" },
    { 0x323C, "iscacsecondaryweapon" },
//  { 0x323D, "" },
//  { 0x323E, "" },
    { 0x323F, "getweaponattachments" },
    { 0x3240, "anglesondeath" },
    { 0x3241, "anglesonkill" },
//  { 0x3242, "" },
    { 0x3243, "holdingbreath" },
//  { 0x3244, "" },
    { 0x3245, "isplanting" },
    { 0x3246, "isdefusing" },
    { 0x3247, "isbombcarrier" },
    { 0x3248, "dd" },
    { 0x3249, "lastprimaryweaponswaptime" },
    { 0x324A, "lastflashedtime" },
//  { 0x324B, "" },
//  { 0x324C, "" },
//  { 0x324D, "" },
//  { 0x324E, "" },
//  { 0x324F, "" },
    { 0x3250, "attackerstance" },
    { 0x3251, "ch_roundplayed" },
    { 0x3252, "place" },
//  { 0x3253, "" },
//  { 0x3254, "" },
//  { 0x3255, "" },
//  { 0x3256, "" },
    { 0x3257, "domissioncallback" },
    { 0x3258, "monitorsprintdistance" },
    { 0x3259, "sprintdistthissprint" },
    { 0x325A, "monitorsinglesprintdistance" },
//  { 0x325B, "" },
//  { 0x325C, "" },
//  { 0x325D, "" },
//  { 0x325E, "" },
//  { 0x325F, "" },
    { 0x3260, "survivalistchallenge" },
    { 0x3261, "monitorstreaks" },
//  { 0x3262, "" },
    { 0x3263, "monitormiscsingle" },
    { 0x3264, "monitormisccallback" },
//  { 0x3265, "" },
    { 0x3266, "resetbrinkofdeathkillstreakshortly" },
    { 0x3267, "playerdied" },
//  { 0x3268, "" },
//  { 0x3269, "" },
    { 0x326A, "getweaponattachment" },
//  { 0x326B, "" },
    { 0x326C, "isattachmentunlocked" },
    { 0x326D, "buildchallegeinfo" },
    { 0x326E, "monitorprocesschallenge" },
//  { 0x326F, "" },
//  { 0x3270, "" },
//  { 0x3271, "" },
    { 0x3272, "monitoradstime" },
//  { 0x3273, "" },
//  { 0x3274, "" },
    { 0x3275, "mantling" },
//  { 0x3276, "" },
    { 0x3277, "monitorflashbang" },
    { 0x3278, "monitorconcussion" },
//  { 0x3279, "" },
    { 0x327A, "waitdelayminetime" },
    { 0x327B, "weaponranktable" },
    { 0x327C, "maxprestige" },
//  { 0x327D, "" },
//  { 0x327E, "" },
//  { 0x327F, "" },
//  { 0x3280, "" },
    { 0x3281, "getweaponrankinfoxpamt" },
//  { 0x3282, "" },
//  { 0x3283, "" },
    { 0x3284, "xpupdatetotal" },
//  { 0x3285, "" },
    { 0x3286, "hud_xppointspopup" },
    { 0x3287, "hud_xpeventpopup" },
//  { 0x3288, "" },
//  { 0x3289, "" },
//  { 0x328A, "" },
    { 0x328B, "roundup" },
//  { 0x328C, "" },
    { 0x328D, "levelflag" },
//  { 0x328E, "" },
    { 0x328F, "createxppointspopup" },
    { 0x3290, "createxpeventpopup" },
    { 0x3291, "removerankhud" },
//  { 0x3292, "" },
//  { 0x3293, "" },
//  { 0x3294, "" },
//  { 0x3295, "" },
    { 0x3296, "getprestigelevel" },
//  { 0x3297, "" },
//  { 0x3298, "" },
    { 0x3299, "isweaponmaxrank" },
    { 0x329A, "incrankxp" },
    { 0x329B, "ischeater" },
    { 0x329C, "getrestxpaward" },
    { 0x329D, "islastrestxpaward" },
//  { 0x329E, "" },
    { 0x329F, "isweaponchallenge" },
//  { 0x32A0, "" },
//  { 0x32A1, "" },
//  { 0x32A2, "" },
    { 0x32A3, "defaultclass" },
//  { 0x32A4, "" },
    { 0x32A5, "cac_getweaponcamo" },
//  { 0x32A6, "" },
    { 0x32A7, "recipe_getkillstreak" },
//  { 0x32A8, "" },
//  { 0x32A9, "" },
    { 0x32AA, "table_getteamperk" },
    { 0x32AB, "loadoutfakeperks" },
    { 0x32AC, "getloadoutstreaktypefromstreaktype" },
    { 0x32AD, "recipeclassapplyjuggernaut" },
//  { 0x32AE, "" },
    { 0x32AF, "loadoutprimarycamo" },
//  { 0x32B0, "" },
//  { 0x32B1, "" },
//  { 0x32B2, "" },
    { 0x32B3, "_clearperks" },
    { 0x32B4, "_detachall" },
    { 0x32B5, "loadoutallperks" },
//  { 0x32B6, "" },
    { 0x32B7, "loadoutperk2" },
    { 0x32B8, "loadoutperk3" },
    { 0x32B9, "loadoutperkequipment" },
    { 0x32BA, "tryattach" },
//  { 0x32BB, "" },
//  { 0x32BC, "" },
    { 0x32BD, "lettertonumber" },
//  { 0x32BE, "" },
//  { 0x32BF, "" },
    { 0x32C0, "buildweaponnamereticle" },
    { 0x32C1, "makeletterstonumbers" },
//  { 0x32C2, "" },
    { 0x32C3, "replenishloadout" },
    { 0x32C4, "classgrenades" },
//  { 0x32C5, "" },
//  { 0x32C6, "" },
    { 0x32C7, "getperkforclass" },
//  { 0x32C8, "" },
//  { 0x32C9, "" },
    { 0x32CA, "isvalidweaponbuff" },
    { 0x32CB, "isweaponbuffunlocked" },
    { 0x32CC, "isvalidcamo" },
    { 0x32CD, "isvalidreticle" },
//  { 0x32CE, "" },
//  { 0x32CF, "" },
//  { 0x32D0, "" },
//  { 0x32D1, "" },
//  { 0x32D2, "" },
//  { 0x32D3, "" },
//  { 0x32D4, "" },
    { 0x32D5, "isvalidweapon" },
//  { 0x32D6, "" },
    { 0x32D7, "isvalidkillstreak" },
    { 0x32D8, "persistentdatainfo" },
    { 0x32D9, "bufferedstats" },
//  { 0x32DA, "" },
//  { 0x32DB, "" },
//  { 0x32DC, "" },
//  { 0x32DD, "" },
//  { 0x32DE, "" },
//  { 0x32DF, "" },
//  { 0x32E0, "" },
//  { 0x32E1, "" },
    { 0x32E2, "endselectiononemp" },
//  { 0x32E3, "" },
//  { 0x32E4, "" },
    { 0x32E5, "getplant" },
//  { 0x32E6, "" },
    { 0x32E7, "deleteplacedentity" },
    { 0x32E8, "sortlowermessages" },
//  { 0x32E9, "" },
//  { 0x32EA, "" },
    { 0x32EB, "showtimer" },
//  { 0x32EC, "" },
    { 0x32ED, "fadetoalpha" },
    { 0x32EE, "fadetoalphatime" },
//  { 0x32EF, "" },
//  { 0x32F0, "" },
//  { 0x32F1, "" },
    { 0x32F2, "clearondeath" },
    { 0x32F3, "clearafterfade" },
//  { 0x32F4, "" },
    { 0x32F5, "printboldonteam" },
    { 0x32F6, "printboldonteamarg" },
    { 0x32F7, "printonteamarg" },
//  { 0x32F8, "" },
//  { 0x32F9, "" },
//  { 0x32FA, "" },
    { 0x32FB, "printandsoundonplayer" },
//  { 0x32FC, "" },
//  { 0x32FD, "" },
    { 0x32FE, "dvarfloatvalue" },
    { 0x32FF, "updatepersratiobuffered" },
//  { 0x3300, "" },
//  { 0x3301, "" },
    { 0x3302, "leaderdialogbothteams" },
//  { 0x3303, "" },
//  { 0x3304, "" },
//  { 0x3305, "" },
//  { 0x3306, "" },
    { 0x3307, "setobjectivehinttext" },
    { 0x3308, "getobjectivetext" },
    { 0x3309, "getobjectivescoretext" },
    { 0x330A, "getminutespassed" },
//  { 0x330B, "" },
//  { 0x330C, "" },
//  { 0x330D, "" },
//  { 0x330E, "" },
//  { 0x330F, "" },
//  { 0x3310, "" },
//  { 0x3311, "" },
//  { 0x3312, "" },
    { 0x3313, "registerwinlimitdvar" },
    { 0x3314, "registerscorelimitdvar" },
//  { 0x3315, "" },
    { 0x3316, "registerhalftimedvar" },
//  { 0x3317, "" },
//  { 0x3318, "" },
//  { 0x3319, "" },
    { 0x331A, "_takeweaponsexcept" },
    { 0x331B, "savedata" },
    { 0x331C, "offhandclass" },
//  { 0x331D, "" },
//  { 0x331E, "" },
//  { 0x331F, "" },
    { 0x3320, "clipammol" },
    { 0x3321, "stockammo" },
//  { 0x3322, "" },
//  { 0x3323, "" },
//  { 0x3324, "" },
//  { 0x3325, "" },
    { 0x3326, "registerwatchdvarfloat" },
//  { 0x3327, "" },
    { 0x3328, "setoverridewatchdvar" },
//  { 0x3329, "" },
//  { 0x332A, "" },
//  { 0x332B, "" },
//  { 0x332C, "" },
//  { 0x332D, "" },
    { 0x332E, "ddtimetoadd" },
//  { 0x332F, "" },
//  { 0x3330, "" },
    { 0x3331, "getlivingplayers" },
    { 0x3332, "getremotename" },
    { 0x3333, "queues" },
//  { 0x3334, "" },
//  { 0x3335, "" },
    { 0x3336, "quicksort" },
//  { 0x3337, "" },
//  { 0x3338, "" },
//  { 0x3339, "" },
//  { 0x333A, "" },
    { 0x333B, "givecombathigh" },
    { 0x333C, "arrayinsertion" },
//  { 0x333D, "" },
//  { 0x333E, "" },
    { 0x333F, "_statusmenu" },
    { 0x3340, "streakshouldchain" },
    { 0x3341, "fixakimbostring" },
    { 0x3342, "rounddecimalplaces" },
    { 0x3343, "maketeamusable" },
//  { 0x3344, "" },
//  { 0x3345, "" },
    { 0x3346, "gameflagclear" },
    { 0x3347, "isprimarydamage" },
    { 0x3348, "levelflags" },
//  { 0x3349, "" },
//  { 0x334A, "" },
    { 0x334B, "killtrigger" },
//  { 0x334C, "" },
    { 0x334D, "matchrules_allowcustomclasses" },
//  { 0x334E, "" },
//  { 0x334F, "" },
//  { 0x3350, "" },
//  { 0x3351, "" },
//  { 0x3352, "" },
//  { 0x3353, "" },
    { 0x3354, "is_roomtype_valid" },
//  { 0x3355, "" },
//  { 0x3356, "" },
//  { 0x3357, "" },
    { 0x3358, "set_whizby_radius" },
    { 0x3359, "set_whizby_spread" },
//  { 0x335A, "" },
    { 0x335B, "radial_button_definitions" },
    { 0x335C, "radial_init" },
    { 0x335D, "radial_button_group" },
//  { 0x335E, "" },
    { 0x335F, "end_angle" },
//  { 0x3360, "" },
//  { 0x3361, "" },
//  { 0x3362, "" },
    { 0x3363, "observer" },
//  { 0x3364, "" },
//  { 0x3365, "" },
//  { 0x3366, "" },
    { 0x3367, "rs_angle" },
//  { 0x3368, "" },
//  { 0x3369, "" },
//  { 0x336A, "" },
    { 0x336B, "font_size" },
    { 0x336C, "font_color" },
    { 0x336D, "action_func" },
//  { 0x336E, "" },
    { 0x336F, "updateselectedbutton" },
    { 0x3370, "radial_button_current_group" },
//  { 0x3371, "" },
    { 0x3372, "watchselectbuttonpress" },
//  { 0x3373, "" },
//  { 0x3374, "" },
//  { 0x3375, "" },
    { 0x3376, "draw_radial_buttons" },
    { 0x3377, "draw_radial_button" },
    { 0x3378, "zoom_to_radial_menu" },
//  { 0x3379, "" },
//  { 0x337A, "" },
//  { 0x337B, "" },
    { 0x337C, "getmidangle" },
//  { 0x337D, "" },
    { 0x337E, "action_back" },
//  { 0x337F, "" },
//  { 0x3380, "" },
    { 0x3381, "action_gears" },
//  { 0x3382, "" },
//  { 0x3383, "" },
//  { 0x3384, "" },
    { 0x3385, "view_paths" },
    { 0x3386, "build_path_by_targetname" },
    { 0x3387, "go_path_by_targetname" },
    { 0x3388, "dummy_mover" },
//  { 0x3389, "" },
//  { 0x338A, "" },
//  { 0x338B, "" },
//  { 0x338C, "" },
//  { 0x338D, "" },
//  { 0x338E, "" },
    { 0x338F, "thumpersetup" },
    { 0x3390, "tryusethumper" },
    { 0x3391, "saveweaponammoondeath" },
//  { 0x3392, "" },
//  { 0x3393, "" },
    { 0x3394, "standardspeed" },
//  { 0x3395, "" },
//  { 0x3396, "" },
    { 0x3397, "tryusetank" },
    { 0x3398, "tankinuse" },
    { 0x3399, "tankspawner" },
    { 0x339A, "starttank" },
    { 0x339B, "nodes" },
    { 0x339C, "objid" },
//  { 0x339D, "" },
    { 0x339E, "neutraltarget" },
    { 0x339F, "waitforchangeteams" },
    { 0x33A0, "waitfordisco" },
//  { 0x33A1, "" },
//  { 0x33A2, "" },
    { 0x33A3, "changingdirection" },
    { 0x33A4, "speedtype" },
    { 0x33A5, "setminiengagementspeed" },
    { 0x33A6, "setstandardspeed" },
    { 0x33A7, "setevadespeed" },
    { 0x33A8, "setdangerspeed" },
//  { 0x33A9, "" },
    { 0x33AA, "stoptoforward" },
    { 0x33AB, "checkdanger" },
    { 0x33AC, "numenemiesclose" },
    { 0x33AD, "tankupdate" },
    { 0x33AE, "graphnodes" },
    { 0x33AF, "endnode" },
    { 0x33B0, "tankdamagemonitor" },
    { 0x33B1, "forcedtarget" },
    { 0x33B2, "handlethreat" },
    { 0x33B3, "tankcover" },
    { 0x33B4, "handlepossiblethreat" },
//  { 0x33B5, "" },
//  { 0x33B6, "" },
//  { 0x33B7, "" },
    { 0x33B8, "modifydamage" },
    { 0x33B9, "destroytank" },
//  { 0x33BA, "" },
    { 0x33BB, "onhitpitchclamp" },
    { 0x33BC, "waitforturretready" },
    { 0x33BD, "tankgettargets" },
    { 0x33BE, "harrier" },
//  { 0x33BF, "" },
//  { 0x33C0, "" },
//  { 0x33C1, "" },
//  { 0x33C2, "" },
    { 0x33C3, "badtargetreset" },
//  { 0x33C4, "" },
//  { 0x33C5, "" },
    { 0x33C6, "isvehicletarget" },
    { 0x33C7, "turretsighttrace" },
//  { 0x33C8, "" },
    { 0x33C9, "tankgetminitargets" },
//  { 0x33CA, "" },
    { 0x33CB, "acquireminitarget" },
//  { 0x33CC, "" },
    { 0x33CD, "fireminiontarget" },
//  { 0x33CE, "" },
//  { 0x33CF, "" },
//  { 0x33D0, "" },
    { 0x33D1, "explicitabandonminitarget" },
    { 0x33D2, "addtotanklist" },
//  { 0x33D3, "" },
//  { 0x33D4, "" },
    { 0x33D5, "dist" },
    { 0x33D6, "setuppaths" },
    { 0x33D7, "branchnodes" },
//  { 0x33D8, "" },
//  { 0x33D9, "" },
//  { 0x33DA, "" },
//  { 0x33DB, "" },
//  { 0x33DC, "" },
    { 0x33DD, "linkdirs" },
//  { 0x33DE, "" },
//  { 0x33DF, "" },
    { 0x33E0, "otherdir" },
//  { 0x33E1, "" },
    { 0x33E2, "linkstartnodes" },
//  { 0x33E3, "" },
    { 0x33E4, "nodetracker" },
//  { 0x33E5, "" },
//  { 0x33E6, "" },
    { 0x33E7, "forcetrigger" },
    { 0x33E8, "getforwardgraphnode" },
//  { 0x33E9, "" },
//  { 0x33EA, "" },
    { 0x33EB, "getprevnode" },
//  { 0x33EC, "" },
    { 0x33ED, "linkinfos" },
    { 0x33EE, "linklengths" },
    { 0x33EF, "addlinknode" },
    { 0x33F0, "tographnode" },
//  { 0x33F1, "" },
//  { 0x33F2, "" },
//  { 0x33F3, "" },
//  { 0x33F4, "" },
    { 0x33F5, "openlist" },
//  { 0x33F6, "" },
//  { 0x33F7, "" },
//  { 0x33F8, "" },
//  { 0x33F9, "" },
//  { 0x33FA, "" },
    { 0x33FB, "openlistid" },
//  { 0x33FC, "" },
//  { 0x33FD, "" },
//  { 0x33FE, "" },
//  { 0x33FF, "" },
    { 0x3400, "drawpath" },
    { 0x3401, "drawgraph" },
    { 0x3402, "drawlink" },
    { 0x3403, "debugprintln2" },
//  { 0x3404, "" },
//  { 0x3405, "" },
    { 0x3406, "tankexplode" },
//  { 0x3407, "" },
//  { 0x3408, "" },
//  { 0x3409, "" },
//  { 0x340A, "" },
//  { 0x340B, "" },
//  { 0x340C, "" },
    { 0x340D, "selectentrancelocation" },
    { 0x340E, "createmobilemortar" },
    { 0x340F, "playersattacked" },
//  { 0x3410, "" },
//  { 0x3411, "" },
    { 0x3412, "highx" },
//  { 0x3413, "" },
//  { 0x3414, "" },
    { 0x3415, "movetoposition" },
    { 0x3416, "fxent" },
//  { 0x3417, "" },
    { 0x3418, "findrandomtarget" },
//  { 0x3419, "" },
    { 0x341A, "firemortar" },
//  { 0x341B, "" },
//  { 0x341C, "" },
//  { 0x341D, "" },
//  { 0x341E, "" },
//  { 0x341F, "" },
    { 0x3420, "a10maxhealth" },
//  { 0x3421, "" },
//  { 0x3422, "" },
    { 0x3423, "a10startpointoffset" },
    { 0x3424, "a10impactfxdelay" },
//  { 0x3425, "" },
//  { 0x3426, "" },
//  { 0x3427, "" },
//  { 0x3428, "" },
    { 0x3429, "a10bulletimpactsdelay" },
    { 0x342A, "a10earthquakemagnitude" },
//  { 0x342B, "" },
//  { 0x342C, "" },
    { 0x342D, "a10dirteffectradius" },
//  { 0x342E, "" },
//  { 0x342F, "" },
//  { 0x3430, "" },
    { 0x3431, "useduava10" },
    { 0x3432, "tryusea10strike" },
//  { 0x3433, "" },
    { 0x3434, "finisha10strikeusage" },
    { 0x3435, "calla10strike" },
    { 0x3436, "doa10strike" },
//  { 0x3437, "" },
//  { 0x3438, "" },
//  { 0x3439, "" },
    { 0x343A, "startpoint" },
//  { 0x343B, "" },
    { 0x343C, "endpoint" },
    { 0x343D, "a10playenginefx" },
//  { 0x343E, "" },
//  { 0x343F, "" },
//  { 0x3440, "" },
//  { 0x3441, "" },
//  { 0x3442, "" },
//  { 0x3443, "" },
    { 0x3444, "manageshootinggroundsound" },
//  { 0x3445, "" },
//  { 0x3446, "" },
//  { 0x3447, "" },
//  { 0x3448, "" },
//  { 0x3449, "" },
//  { 0x344A, "" },
//  { 0x344B, "" },
    { 0x344C, "showspawnpoints" },
    { 0x344D, "print3duntilnotified" },
//  { 0x344E, "" },
//  { 0x344F, "" },
    { 0x3450, "updatereflectionprobe" },
//  { 0x3451, "" },
//  { 0x3452, "" },
//  { 0x3453, "" },
    { 0x3454, "endgameontimelimit" },
    { 0x3455, "playerslookingforsafespawn" },
//  { 0x3456, "" },
    { 0x3457, "blank" },
//  { 0x3458, "" },
//  { 0x3459, "" },
//  { 0x345A, "" },
//  { 0x345B, "" },
//  { 0x345C, "" },
//  { 0x345D, "" },
    { 0x345E, "flagbasefxid" },
//  { 0x345F, "" },
    { 0x3460, "nearbyspawns" },
//  { 0x3461, "" },
//  { 0x3462, "" },
    { 0x3463, "baseeffectforward" },
//  { 0x3464, "" },
    { 0x3465, "baseeffectpos" },
    { 0x3466, "useobj" },
    { 0x3467, "adjflags" },
    { 0x3468, "getunownedflagneareststart" },
    { 0x3469, "didstatusnotify" },
    { 0x346A, "statusdialog" },
    { 0x346B, "resetflagbaseeffect" },
//  { 0x346C, "" },
    { 0x346D, "capturetime" },
//  { 0x346E, "" },
//  { 0x346F, "" },
//  { 0x3470, "" },
//  { 0x3471, "" },
//  { 0x3472, "" },
    { 0x3473, "getteamflagcount" },
//  { 0x3474, "" },
//  { 0x3475, "" },
    { 0x3476, "getboundaryflagspawns" },
//  { 0x3477, "" },
//  { 0x3478, "" },
    { 0x3479, "getownedflagspawns" },
    { 0x347A, "flagsetup" },
    { 0x347B, "descriptor" },
//  { 0x347C, "" },
//  { 0x347D, "" },
//  { 0x347E, "" },
    { 0x347F, "getcapxpscale" },
    { 0x3480, "multibomb" },
//  { 0x3481, "" },
//  { 0x3482, "" },
    { 0x3483, "checkallowspectating" },
    { 0x3484, "sd_endgame" },
//  { 0x3485, "" },
    { 0x3486, "killcamentnum" },
//  { 0x3487, "" },
    { 0x3488, "planttime" },
//  { 0x3489, "" },
//  { 0x348A, "" },
    { 0x348B, "relatedbrushmodel" },
//  { 0x348C, "" },
    { 0x348D, "sdbomb" },
//  { 0x348E, "" },
//  { 0x348F, "" },
//  { 0x3490, "" },
//  { 0x3491, "" },
    { 0x3492, "sdbombmodel" },
    { 0x3493, "onuseplantobject" },
    { 0x3494, "bombowner" },
    { 0x3495, "bombplantedtime" },
//  { 0x3496, "" },
    { 0x3497, "removebombcarrierclass" },
//  { 0x3498, "" },
    { 0x3499, "tickingobject" },
//  { 0x349A, "" },
//  { 0x349B, "" },
    { 0x349C, "setspecialloadout" },
//  { 0x349D, "" },
//  { 0x349E, "" },
//  { 0x349F, "" },
//  { 0x34A0, "" },
//  { 0x34A1, "" },
//  { 0x34A2, "" },
//  { 0x34A3, "" },
    { 0x34A4, "hotpotato" },
//  { 0x34A5, "" },
    { 0x34A6, "sabotage" },
//  { 0x34A7, "" },
//  { 0x34A8, "" },
    { 0x34A9, "distancetosite" },
//  { 0x34AA, "" },
    { 0x34AB, "bombdistance" },
//  { 0x34AC, "" },
    { 0x34AD, "abandonmentthink" },
//  { 0x34AE, "" },
//  { 0x34AF, "" },
    { 0x34B0, "dangerteam" },
//  { 0x34B1, "" },
//  { 0x34B2, "" },
//  { 0x34B3, "" },
//  { 0x34B4, "" },
//  { 0x34B5, "" },
//  { 0x34B6, "" },
    { 0x34B7, "kothmode" },
    { 0x34B8, "destroytime" },
//  { 0x34B9, "" },
//  { 0x34BA, "" },
    { 0x34BB, "extradelay" },
//  { 0x34BC, "" },
//  { 0x34BD, "" },
    { 0x34BE, "updateobjectivehintmessages" },
//  { 0x34BF, "" },
//  { 0x34C0, "" },
//  { 0x34C1, "" },
//  { 0x34C2, "" },
//  { 0x34C3, "" },
    { 0x34C4, "objectivehintdestroyhq" },
    { 0x34C5, "objectivehintdefendhq" },
//  { 0x34C6, "" },
    { 0x34C7, "hqrevealtime" },
    { 0x34C8, "timerdisplay" },
    { 0x34C9, "gameobject" },
//  { 0x34CA, "" },
//  { 0x34CB, "" },
//  { 0x34CC, "" },
//  { 0x34CD, "" },
    { 0x34CE, "onradiocapture" },
//  { 0x34CF, "" },
    { 0x34D0, "destroyhqaftertime" },
//  { 0x34D1, "" },
//  { 0x34D2, "" },
    { 0x34D3, "outerspawns" },
//  { 0x34D4, "" },
//  { 0x34D5, "" },
    { 0x34D6, "radios" },
//  { 0x34D7, "" },
    { 0x34D8, "prevradio2" },
    { 0x34D9, "makeradioactive" },
    { 0x34DA, "makeradioinactive" },
//  { 0x34DB, "" },
//  { 0x34DC, "" },
    { 0x34DD, "pickradiotospawn" },
//  { 0x34DE, "" },
//  { 0x34DF, "" },
//  { 0x34E0, "" },
//  { 0x34E1, "" },
    { 0x34E2, "icon2d" },
    { 0x34E3, "iconcapture3d" },
    { 0x34E4, "iconcapture2d" },
    { 0x34E5, "icondefend3d" },
//  { 0x34E6, "" },
    { 0x34E7, "icontarget3d" },
//  { 0x34E8, "" },
//  { 0x34E9, "" },
    { 0x34EA, "capzones" },
//  { 0x34EB, "" },
//  { 0x34EC, "" },
//  { 0x34ED, "" },
//  { 0x34EE, "" },
//  { 0x34EF, "" },
//  { 0x34F0, "" },
//  { 0x34F1, "" },
//  { 0x34F2, "" },
    { 0x34F3, "iconescort3d" },
    { 0x34F4, "iconescort2d" },
//  { 0x34F5, "" },
//  { 0x34F6, "" },
    { 0x34F7, "iconcaptureflag3d" },
    { 0x34F8, "iconcaptureflag2d" },
//  { 0x34F9, "" },
    { 0x34FA, "icondefendflag2d" },
    { 0x34FB, "iconreturnflag3d" },
//  { 0x34FC, "" },
//  { 0x34FD, "" },
//  { 0x34FE, "" },
//  { 0x34FF, "" },
//  { 0x3500, "" },
    { 0x3501, "enemyflagstatusicon" },
//  { 0x3502, "" },
    { 0x3503, "returnaftertime" },
    { 0x3504, "applyflagcarrierclass" },
    { 0x3505, "removeflagcarrierclass" },
//  { 0x3506, "" },
//  { 0x3507, "" },
    { 0x3508, "iconflagbase3d" },
//  { 0x3509, "" },
    { 0x350A, "athome" },
    { 0x350B, "createcapzones" },
    { 0x350C, "zoneheadicon" },
//  { 0x350D, "" },
    { 0x350E, "cappedflag" },
    { 0x350F, "givescore" },
//  { 0x3510, "" },
//  { 0x3511, "" },
//  { 0x3512, "" },
    { 0x3513, "oic_rewardammo" },
    { 0x3514, "oic_loadouts" },
    { 0x3515, "waitloadoutdone" },
    { 0x3516, "oic_gun" },
    { 0x3517, "waitgiveammo" },
//  { 0x3518, "" },
    { 0x3519, "watchelimination" },
//  { 0x351A, "" },
//  { 0x351B, "" },
//  { 0x351C, "" },
//  { 0x351D, "" },
    { 0x351E, "grnd_centerloc" },
//  { 0x351F, "" },
    { 0x3520, "initfirstzone" },
//  { 0x3521, "" },
    { 0x3522, "grnd_dropzones" },
//  { 0x3523, "" },
    { 0x3524, "grnd_zone" },
//  { 0x3525, "" },
//  { 0x3526, "" },
    { 0x3527, "ingrindzone" },
    { 0x3528, "setplayermessages" },
//  { 0x3529, "" },
//  { 0x352A, "" },
    { 0x352B, "grndheadicon" },
//  { 0x352C, "" },
    { 0x352D, "getnextzone" },
//  { 0x352E, "" },
    { 0x352F, "cyclezones" },
    { 0x3530, "grndtracking" },
    { 0x3531, "locationscoring" },
//  { 0x3532, "" },
//  { 0x3533, "" },
    { 0x3534, "getdropzonecratetype" },
//  { 0x3535, "" },
    { 0x3536, "createzones" },
//  { 0x3537, "" },
//  { 0x3538, "" },
    { 0x3539, "tdef_loadouts" },
//  { 0x353A, "" },
    { 0x353B, "portable_radar" },
//  { 0x353C, "" },
//  { 0x353D, "" },
    { 0x353E, "watchforendgame" },
    { 0x353F, "createflag" },
    { 0x3540, "flagattachradar" },
    { 0x3541, "getflagradarowner" },
    { 0x3542, "flagradarmover" },
//  { 0x3543, "" },
    { 0x3544, "conf_fx" },
//  { 0x3545, "" },
//  { 0x3546, "" },
//  { 0x3547, "" },
//  { 0x3548, "" },
//  { 0x3549, "" },
//  { 0x354A, "" },
//  { 0x354B, "" },
//  { 0x354C, "" },
    { 0x354D, "infect_chosefirstinfected" },
//  { 0x354E, "" },
//  { 0x354F, "" },
//  { 0x3550, "" },
//  { 0x3551, "" },
    { 0x3552, "choosefirstinfected" },
//  { 0x3553, "" },
    { 0x3554, "setinitialtonormalinfected" },
//  { 0x3555, "" },
    { 0x3556, "getnuminfected" },
    { 0x3557, "getnumsurvivors" },
    { 0x3558, "matchrules_respawnnewjugg" },
//  { 0x3559, "" },
//  { 0x355A, "" },
//  { 0x355B, "" },
//  { 0x355C, "" },
//  { 0x355D, "" },
    { 0x355E, "jugg_juggscore" },
    { 0x355F, "jugg_firstspawn" },
//  { 0x3560, "" },
//  { 0x3561, "" },
//  { 0x3562, "" },
//  { 0x3563, "" },
//  { 0x3564, "" },
    { 0x3565, "gun_firstspawn" },
    { 0x3566, "gungamegunindex" },
    { 0x3567, "gungameprevgunindex" },
//  { 0x3568, "" },
//  { 0x3569, "" },
//  { 0x356A, "" },
    { 0x356B, "gethighestprogressedplayer" },
//  { 0x356C, "" },
//  { 0x356D, "" },
//  { 0x356E, "" },
    { 0x356F, "updategunhud" },
//  { 0x3570, "" },
//  { 0x3571, "" },
    { 0x3572, "setguns" },
//  { 0x3573, "" },
//  { 0x3574, "" },
    { 0x3575, "jugg_attackers" },
    { 0x3576, "jugg_currjugg" },
//  { 0x3577, "" },
//  { 0x3578, "" },
    { 0x3579, "isjuggmodejuggernaut" },
    { 0x357A, "tjugg_loadouts" },
//  { 0x357B, "" },
    { 0x357C, "respawnoldjugg" },
//  { 0x357D, "" },
    { 0x357E, "logattackers" },
    { 0x357F, "resetjuggloadoutondisconnect" },
    { 0x3580, "getbestteammate" },
    { 0x3581, "precacheflag" },
    { 0x3582, "arenatimeflagwaiter" },
//  { 0x3583, "" },
    { 0x3584, "arenaflag" },
//  { 0x3585, "" },
//  { 0x3586, "" },
    { 0x3587, "bombsplanted" },
    { 0x3588, "ddbombmodel" },
//  { 0x3589, "" },
    { 0x358A, "spawn_defenders_a" },
    { 0x358B, "spawn_defenders_b" },
    { 0x358C, "spawn_attackers" },
    { 0x358D, "spawn_attackers_a" },
    { 0x358E, "spawn_attackers_b" },
//  { 0x358F, "" },
//  { 0x3590, "" },
//  { 0x3591, "" },
    { 0x3592, "bplanted" },
//  { 0x3593, "" },
//  { 0x3594, "" },
//  { 0x3595, "" },
    { 0x3596, "ddbomb" },
//  { 0x3597, "" },
    { 0x3598, "resetbombzone" },
    { 0x3599, "defusing" },
//  { 0x359A, "" },
//  { 0x359B, "" },
    { 0x359C, "bombhandler" },
//  { 0x359D, "" },
    { 0x359E, "waittime" },
    { 0x359F, "setbombtimerdvar" },
//  { 0x35A0, "" },
    { 0x35A1, "restarttimer" },
    { 0x35A2, "skipwait" },
    { 0x35A3, "isvip" },
//  { 0x35A4, "" },
    { 0x35A5, "vipselection" },
//  { 0x35A6, "" },
//  { 0x35A7, "" },
    { 0x35A8, "setvipuse" },
//  { 0x35A9, "" },
//  { 0x35AA, "" },
    { 0x35AB, "forcevipspawn" },
//  { 0x35AC, "" },
    { 0x35AD, "usebar" },
    { 0x35AE, "usebartext" },
    { 0x35AF, "setupnukesite" },
    { 0x35B0, "nukesite" },
//  { 0x35B1, "" },
    { 0x35B2, "scorecounter" },
//  { 0x35B3, "" },
//  { 0x35B4, "" },
//  { 0x35B5, "" },
//  { 0x35B6, "" },
    { 0x35B7, "aamissilelaunchhorz" },
//  { 0x35B8, "" },
//  { 0x35B9, "" },
    { 0x35BA, "gettargets" },
    { 0x35BB, "aa_missile_fire" },
//  { 0x35BC, "" },
    { 0x35BD, "teamairdenied" },
    { 0x35BE, "tryuseaastrike" },
    { 0x35BF, "cycletargets" },
//  { 0x35C0, "" },
//  { 0x35C1, "" },
    { 0x35C2, "airdeniedplayer" },
    { 0x35C3, "finishaastrike" },
    { 0x35C4, "fireattarget" },
    { 0x35C5, "aasoundmanager" },
    { 0x35C6, "set_vehicle_anims" },
    { 0x35C7, "setanims" },
    { 0x35C8, "tweakfile" },
//  { 0x35C9, "" },
//  { 0x35CA, "" },
//  { 0x35CB, "" },
    { 0x35CC, "additionalassets" },
    { 0x35CD, "coverleft90" },
    { 0x35CE, "coverleft45" },
    { 0x35CF, "coverleftgrenade" },
    { 0x35D0, "coverright90" },
    { 0x35D1, "coverright45" },
    { 0x35D2, "coverrightgrenade" },
//  { 0x35D3, "" },
//  { 0x35D4, "" },
    { 0x35D5, "disable_militia_behavior" },
//  { 0x35D6, "" },
//  { 0x35D7, "" },
//  { 0x35D8, "" },
//  { 0x35D9, "" },
    { 0x35DA, "juggernaut_sound_when_player_close" },
    { 0x35DB, "skip_juggernaut_intro_sound" },
    { 0x35DC, "pmc_alljuggernauts" },
//  { 0x35DD, "" },
    { 0x35DE, "init_riotshield_ai_anims" },
    { 0x35DF, "notetrackdetachshield" },
    { 0x35E0, "riotshield_approach_type" },
//  { 0x35E1, "" },
    { 0x35E2, "init_riotshield_ai" },
//  { 0x35E3, "" },
//  { 0x35E4, "" },
//  { 0x35E5, "" },
//  { 0x35E6, "" },
//  { 0x35E7, "" },
    { 0x35E8, "riotshield_melee_aivsai" },
    { 0x35E9, "riotshield_startmovetransition" },
    { 0x35EA, "fastwalk" },
//  { 0x35EB, "" },
//  { 0x35EC, "" },
//  { 0x35ED, "" },
//  { 0x35EE, "" },
//  { 0x35EF, "" },
//  { 0x35F0, "" },
//  { 0x35F1, "" },
//  { 0x35F2, "" },
    { 0x35F3, "init_riotshield_animsets" },
//  { 0x35F4, "" },
    { 0x35F5, "riotshield_choose_pose" },
//  { 0x35F6, "" },
//  { 0x35F7, "" },
    { 0x35F8, "riotshield_sprint_off" },
//  { 0x35F9, "" },
//  { 0x35FA, "" },
    { 0x35FB, "riotshield_init_flee" },
    { 0x35FC, "riotshield_flee_and_drop_shield" },
    { 0x35FD, "dropshieldinplace" },
//  { 0x35FE, "" },
//  { 0x35FF, "" },
//  { 0x3600, "" },
//  { 0x3601, "" },
//  { 0x3602, "" },
//  { 0x3603, "" },
//  { 0x3604, "" },
    { 0x3605, "fleethreshold" },
//  { 0x3606, "" },
//  { 0x3607, "" },
//  { 0x3608, "" },
//  { 0x3609, "" },
    { 0x360A, "group_sort_by_closest_match" },
//  { 0x360B, "" },
//  { 0x360C, "" },
//  { 0x360D, "" },
//  { 0x360E, "" },
//  { 0x360F, "" },
//  { 0x3610, "" },
//  { 0x3611, "" },
    { 0x3612, "group_sprint_off" },
//  { 0x3613, "" },
//  { 0x3614, "" },
//  { 0x3615, "" },
    { 0x3616, "group_free_combat" },
//  { 0x3617, "" },
//  { 0x3618, "" },
//  { 0x3619, "" },
//  { 0x361A, "" },
//  { 0x361B, "" },
//  { 0x361C, "" },
    { 0x361D, "dogsinitialized" },
    { 0x361E, "notfirsttimedogs" },
    { 0x361F, "dogstartmovedist" },
    { 0x3620, "dogtraverseanims" },
//  { 0x3621, "" },
//  { 0x3622, "" },
    { 0x3623, "doglookpose" },
//  { 0x3624, "" },
//  { 0x3625, "" },
    { 0x3626, "prevturnrate" },
//  { 0x3627, "" },
    { 0x3628, "randomattackidle" },
    { 0x3629, "shouldattackidle" },
//  { 0x362A, "" },
//  { 0x362B, "" },
//  { 0x362C, "" },
    { 0x362D, "meleeingplayer" },
    { 0x362E, "player_killed" },
    { 0x362F, "knock_down_player_coop" },
    { 0x3630, "dog_downed_player" },
    { 0x3631, "dog_player_kill" },
    { 0x3632, "dog_death_hud" },
    { 0x3633, "dog_deathquote" },
//  { 0x3634, "" },
    { 0x3635, "attackmiss" },
    { 0x3636, "skipstartmove" },
    { 0x3637, "attackmisstracktargetthread" },
//  { 0x3638, "" },
    { 0x3639, "dogmelee" },
//  { 0x363A, "" },
    { 0x363B, "handlemeleebiteattacknotetracks" },
    { 0x363C, "addsafetyhealth" },
    { 0x363D, "removesafetyhealth" },
    { 0x363E, "handlemeleefinishattacknotetracks" },
    { 0x363F, "handle_dogbite_notetrack" },
    { 0x3640, "set_melee_timer" },
//  { 0x3641, "" },
    { 0x3642, "playerdoginit" },
//  { 0x3643, "" },
    { 0x3644, "dogmeleeplayercounter" },
    { 0x3645, "meleebiteattackplayer" },
    { 0x3646, "doginited" },
    { 0x3647, "inseq" },
//  { 0x3648, "" },
    { 0x3649, "clear_player_attacked_by_dog_on_death" },
//  { 0x364A, "" },
//  { 0x364B, "" },
//  { 0x364C, "" },
//  { 0x364D, "" },
    { 0x364E, "setnextdogattackallowtime" },
//  { 0x364F, "" },
    { 0x3650, "meleekilltarget" },
    { 0x3651, "originaltarget" },
    { 0x3652, "combatidle" },
    { 0x3653, "combatidlepreventoverlappingplayer" },
//  { 0x3654, "" },
//  { 0x3655, "" },
    { 0x3656, "checkendcombat" },
//  { 0x3657, "" },
    { 0x3658, "dog_death_type" },
//  { 0x3659, "" },
    { 0x365A, "player_attacked" },
//  { 0x365B, "" },
//  { 0x365C, "" },
    { 0x365D, "dog_hint_fade" },
    { 0x365E, "necksnapped" },
//  { 0x365F, "" },
    { 0x3660, "dog_delayed_allow_damage" },
//  { 0x3661, "" },
//  { 0x3662, "" },
//  { 0x3663, "" },
    { 0x3664, "dogmeleeearly" },
    { 0x3665, "set_melee_early" },
//  { 0x3666, "" },
    { 0x3667, "meleeseq" },
    { 0x3668, "meleestrugglevsdog_interruptedcheck" },
    { 0x3669, "meleestrugglevsdog_end" },
    { 0x366A, "playerdrone_create" },
//  { 0x366B, "" },
    { 0x366C, "playerdone_anim_neck_snap" },
//  { 0x366D, "" },
//  { 0x366E, "" },
    { 0x366F, "playerview_spawn" },
    { 0x3670, "handleplayerknockdownnotetracks" },
//  { 0x3671, "" },
//  { 0x3672, "" },
//  { 0x3673, "" },
//  { 0x3674, "" },
//  { 0x3675, "" },
//  { 0x3676, "" },
    { 0x3677, "playerview_endsequence" },
//  { 0x3678, "" },
    { 0x3679, "playerview_unlinkplayeranddelete" },
    { 0x367A, "restoreplayercontrols" },
    { 0x367B, "playerview_show" },
    { 0x367C, "playerview_playknockdownanimlimited" },
    { 0x367D, "playerview_playknockdownanim" },
    { 0x367E, "playerview_playmissanim" },
    { 0x367F, "playerview_knockdownlate" },
    { 0x3680, "dog_vs_player_anim_rate" },
//  { 0x3681, "" },
//  { 0x3682, "" },
//  { 0x3683, "" },
//  { 0x3684, "" },
    { 0x3685, "pathchangecheck2" },
    { 0x3686, "pathchange_getdogturnanim" },
    { 0x3687, "pathchange_dodogturnanim" },
    { 0x3688, "pathchange_cleanupdogturnanim" },
//  { 0x3689, "" },
    { 0x368A, "playmovestartanim" },
    { 0x368B, "startmove" },
//  { 0x368C, "" },
//  { 0x368D, "" },
//  { 0x368E, "" },
//  { 0x368F, "" },
    { 0x3690, "codescripted" },
    { 0x3691, "deathstring_passed" },
    { 0x3692, "deathstring" },
    { 0x3693, "exchange_sort_by_handler" },
    { 0x3694, "on_player_trig_record_and_notify" },
//  { 0x3695, "" },
//  { 0x3696, "" },
//  { 0x3697, "" },
    { 0x3698, "new_squad_logic" },
//  { 0x3699, "" },
//  { 0x369A, "" },
    { 0x369B, "squad_follower_func" },
    { 0x369C, "squad_disband" },
    { 0x369D, "leader" },
//  { 0x369E, "" },
//  { 0x369F, "" },
//  { 0x36A0, "" },
    { 0x36A1, "cleaning_up" },
    { 0x36A2, "desired_squads" },
    { 0x36A3, "spawn_enemy_squads" },
//  { 0x36A4, "" },
//  { 0x36A5, "" },
//  { 0x36A6, "" },
    { 0x36A7, "protector_obj_group" },
    { 0x36A8, "squad_spread" },
    { 0x36A9, "saw_player" },
//  { 0x36AA, "" },
    { 0x36AB, "spawn_enemy_group" },
    { 0x36AC, "back_occupied" },
    { 0x36AD, "squad_drop_weapon_rate" },
//  { 0x36AE, "" },
//  { 0x36AF, "" },
//  { 0x36B0, "" },
    { 0x36B1, "wait_for_followers" },
//  { 0x36B2, "" },
//  { 0x36B3, "" },
//  { 0x36B4, "" },
//  { 0x36B5, "" },
//  { 0x36B6, "" },
    { 0x36B7, "is_occupying" },
//  { 0x36B8, "" },
    { 0x36B9, "protector_leader_logic" },
    { 0x36BA, "protecting_obj" },
//  { 0x36BB, "" },
    { 0x36BC, "setup_follower_goalradius_riotshield" },
    { 0x36BD, "get_riotshield_back_pos" },
//  { 0x36BE, "" },
//  { 0x36BF, "" },
    { 0x36C0, "is_leader_riotshield" },
//  { 0x36C1, "" },
    { 0x36C2, "handle_all_followers_dying" },
    { 0x36C3, "drawleader" },
    { 0x36C4, "draw_debug_marker" },
    { 0x36C5, "drawfollowers" },
    { 0x36C6, "sp_airdrop_preload" },
//  { 0x36C7, "" },
//  { 0x36C8, "" },
    { 0x36C9, "numairdropcrates" },
//  { 0x36CA, "" },
    { 0x36CB, "globalinitdone" },
    { 0x36CC, "sp_airdrop_init_done" },
    { 0x36CD, "sp_try_use_airdrop" },
//  { 0x36CE, "" },
    { 0x36CF, "sp_begin_airdrop_via_marker" },
//  { 0x36D0, "" },
//  { 0x36D1, "" },
    { 0x36D2, "sp_airdrop_marker_activate" },
//  { 0x36D3, "" },
    { 0x36D4, "sp_airdrop_heli_setup" },
//  { 0x36D5, "" },
    { 0x36D6, "sp_create_airdrop_crate" },
    { 0x36D7, "basemodel" },
//  { 0x36D8, "" },
    { 0x36D9, "crates_on_ground" },
    { 0x36DA, "sp_airdrop_setup_crate_collisions" },
//  { 0x36DB, "" },
    { 0x36DC, "sp_airdrop_get_free_sbmodel_collision" },
//  { 0x36DD, "" },
//  { 0x36DE, "" },
//  { 0x36DF, "" },
//  { 0x36E0, "" },
//  { 0x36E1, "" },
//  { 0x36E2, "" },
    { 0x36E3, "sp_airdrop_crate_timeout" },
//  { 0x36E4, "" },
//  { 0x36E5, "" },
//  { 0x36E6, "" },
//  { 0x36E7, "" },
//  { 0x36E8, "" },
//  { 0x36E9, "" },
//  { 0x36EA, "" },
    { 0x36EB, "sp_airdrop_crate_friendly_hijack_thread" },
//  { 0x36EC, "" },
//  { 0x36ED, "" },
//  { 0x36EE, "" },
//  { 0x36EF, "" },
    { 0x36F0, "cratehint" },
    { 0x36F1, "airdropcrateunstuck" },
    { 0x36F2, "sp_airdrop_unstuck_think" },
//  { 0x36F3, "" },
//  { 0x36F4, "" },
    { 0x36F5, "sp_crate_world_icon" },
//  { 0x36F6, "" },
    { 0x36F7, "sp_airdrop_crate_owner_capture_think" },
    { 0x36F8, "sp_airdrop_teammate_capture_think" },
    { 0x36F9, "sp_use_hold_think" },
//  { 0x36FA, "" },
    { 0x36FB, "sp_use_hold_think_loop" },
    { 0x36FC, "sp_personal_use_bar" },
    { 0x36FD, "min_time_between_uav_launches" },
    { 0x36FE, "remote_missile_targets" },
    { 0x36FF, "last_uav_launch_time" },
    { 0x3700, "uav_radio_offline_called" },
//  { 0x3701, "" },
    { 0x3702, "uav_struct" },
    { 0x3703, "view_cone" },
//  { 0x3704, "" },
//  { 0x3705, "" },
    { 0x3706, "should_break_use_drone" },
    { 0x3707, "uav_is_destroyed" },
    { 0x3708, "is_flying_missile" },
//  { 0x3709, "" },
//  { 0x370A, "" },
    { 0x370B, "is_radio_defined" },
    { 0x370C, "should_break_available" },
    { 0x370D, "uav_is_not_available" },
//  { 0x370E, "" },
//  { 0x370F, "" },
    { 0x3710, "disable_uav" },
    { 0x3711, "restore_uav_weapon" },
    { 0x3712, "uav_weaponname" },
//  { 0x3713, "" },
//  { 0x3714, "" },
    { 0x3715, "give_remotemissile_weapon" },
//  { 0x3716, "" },
    { 0x3717, "set_remotemissile_actionslot" },
//  { 0x3718, "" },
//  { 0x3719, "" },
    { 0x371A, "uav_rigs" },
//  { 0x371B, "" },
//  { 0x371C, "" },
//  { 0x371D, "" },
//  { 0x371E, "" },
//  { 0x371F, "" },
//  { 0x3720, "" },
//  { 0x3721, "" },
//  { 0x3722, "" },
    { 0x3723, "remotemissile_offline" },
//  { 0x3724, "" },
//  { 0x3725, "" },
//  { 0x3726, "" },
//  { 0x3727, "" },
//  { 0x3728, "" },
//  { 0x3729, "" },
//  { 0x372A, "" },
//  { 0x372B, "" },
//  { 0x372C, "" },
//  { 0x372D, "" },
    { 0x372E, "text1" },
//  { 0x372F, "" },
//  { 0x3730, "" },
//  { 0x3731, "" },
//  { 0x3732, "" },
//  { 0x3733, "" },
//  { 0x3734, "" },
//  { 0x3735, "" },
//  { 0x3736, "" },
    { 0x3737, "text_noticedestroy" },
    { 0x3738, "waitwithabortondamage" },
    { 0x3739, "notifyonmissiledeath" },
    { 0x373A, "remotemissilefiretime" },
//  { 0x373B, "" },
//  { 0x373C, "" },
//  { 0x373D, "" },
    { 0x373E, "uavtargetent" },
    { 0x373F, "holdstancechange" },
    { 0x3740, "uavremotelaunchersequence" },
//  { 0x3741, "" },
//  { 0x3742, "" },
//  { 0x3743, "" },
//  { 0x3744, "" },
//  { 0x3745, "" },
    { 0x3746, "activate_uav_hud_cb" },
    { 0x3747, "firemissile_uav_hud_cb" },
    { 0x3748, "uav_missile_tag_for_camera" },
    { 0x3749, "remote_missile_steering_cb" },
    { 0x374A, "fov_is_altered" },
    { 0x374B, "uav_reload" },
//  { 0x374C, "" },
    { 0x374D, "do_physics_impact_on_explosion" },
//  { 0x374E, "" },
    { 0x374F, "uavtargetpos" },
    { 0x3750, "missile_kills" },
    { 0x3751, "missile_kill_ai" },
    { 0x3752, "missile_kill_vehicle" },
//  { 0x3753, "" },
    { 0x3754, "current_uav_index" },
    { 0x3755, "get_uav" },
    { 0x3756, "uav" },
    { 0x3757, "exitfromcamera_missile" },
    { 0x3758, "exitfromcamera_uav" },
    { 0x3759, "deactivate_uav_hud_cb" },
    { 0x375A, "waitforattackcommand" },
    { 0x375B, "wait_for_command_thread" },
//  { 0x375C, "" },
//  { 0x375D, "" },
//  { 0x375E, "" },
//  { 0x375F, "" },
//  { 0x3760, "" },
    { 0x3761, "uav_missle_start_right_distance" },
    { 0x3762, "remote_missile_snow" },
//  { 0x3763, "" },
//  { 0x3764, "" },
    { 0x3765, "draw_red_boxes" },
    { 0x3766, "draw_target" },
//  { 0x3767, "" },
    { 0x3768, "drawtargetsend" },
//  { 0x3769, "" },
    { 0x376A, "switchbacktomainweaponfast" },
//  { 0x376B, "" },
//  { 0x376C, "" },
//  { 0x376D, "" },
//  { 0x376E, "" },
//  { 0x376F, "" },
//  { 0x3770, "" },
//  { 0x3771, "" },
    { 0x3772, "open_view_cone" },
    { 0x3773, "setup_remote_missile_target" },
//  { 0x3774, "" },
//  { 0x3775, "" },
    { 0x3776, "add_player_rig" },
    { 0x3777, "give_player_remote_missiles" },
//  { 0x3778, "" },
//  { 0x3779, "" },
//  { 0x377A, "" },
    { 0x377B, "perks_preload" },
//  { 0x377C, "" },
    { 0x377D, "give_perk" },
//  { 0x377E, "" },
    { 0x377F, "give_perk_dummy" },
//  { 0x3780, "" },
//  { 0x3781, "" },
//  { 0x3782, "" },
//  { 0x3783, "" },
    { 0x3784, "take_perk_fastreload" },
//  { 0x3785, "" },
//  { 0x3786, "" },
    { 0x3787, "give_perk_detectexplosive" },
//  { 0x3788, "" },
//  { 0x3789, "" },
//  { 0x378A, "" },
//  { 0x378B, "" },
//  { 0x378C, "" },
//  { 0x378D, "" },
    { 0x378E, "update_on_give_perk" },
//  { 0x378F, "" },
    { 0x3790, "setup_sentry_globals" },
//  { 0x3791, "" },
    { 0x3792, "sentry_settings" },
//  { 0x3793, "" },
    { 0x3794, "setup_sentry_minigun" },
    { 0x3795, "setup_sentry_minigun_weak" },
    { 0x3796, "setup_sentry_grenade_launcher" },
//  { 0x3797, "" },
//  { 0x3798, "" },
    { 0x3799, "sentry_gun_default_settings" },
    { 0x379A, "use_laser" },
//  { 0x379B, "" },
//  { 0x379C, "" },
//  { 0x379D, "" },
//  { 0x379E, "" },
//  { 0x379F, "" },
//  { 0x37A0, "" },
//  { 0x37A1, "" },
//  { 0x37A2, "" },
    { 0x37A3, "placementmodel" },
//  { 0x37A4, "" },
    { 0x37A5, "damage_smoke_time" },
    { 0x37A6, "sentry_gun_weak_settings" },
    { 0x37A7, "sentry_minigun_default_settings" },
//  { 0x37A8, "" },
//  { 0x37A9, "" },
//  { 0x37AA, "" },
//  { 0x37AB, "" },
    { 0x37AC, "sentry_cooling_speed" },
//  { 0x37AD, "" },
//  { 0x37AE, "" },
//  { 0x37AF, "" },
//  { 0x37B0, "" },
//  { 0x37B1, "" },
//  { 0x37B2, "" },
    { 0x37B3, "sentry_death_wait" },
    { 0x37B4, "stay_solid_on_death" },
    { 0x37B5, "handle_sentry_on_carrier_death" },
//  { 0x37B6, "" },
//  { 0x37B7, "" },
//  { 0x37B8, "" },
//  { 0x37B9, "" },
    { 0x37BA, "sentry_badplace_create" },
//  { 0x37BB, "" },
//  { 0x37BC, "" },
    { 0x37BD, "move_sentry_wait" },
//  { 0x37BE, "" },
//  { 0x37BF, "" },
//  { 0x37C0, "" },
//  { 0x37C1, "" },
//  { 0x37C2, "" },
    { 0x37C3, "sentry_cooling" },
    { 0x37C4, "sentry_overheat_debug" },
    { 0x37C5, "sentry_overheat_deactivate" },
//  { 0x37C6, "" },
//  { 0x37C7, "" },
//  { 0x37C8, "" },
//  { 0x37C9, "" },
//  { 0x37CA, "" },
//  { 0x37CB, "" },
//  { 0x37CC, "" },
//  { 0x37CD, "" },
//  { 0x37CE, "" },
    { 0x37CF, "fire_anim_start" },
    { 0x37D0, "delete_sentry_turret" },
//  { 0x37D1, "" },
    { 0x37D2, "cam" },
//  { 0x37D3, "" },
//  { 0x37D4, "" },
    { 0x37D5, "fire_sound_spinloop" },
//  { 0x37D6, "" },
//  { 0x37D7, "" },
//  { 0x37D8, "" },
//  { 0x37D9, "" },
    { 0x37DA, "sentry_placement_cancel_monitor" },
//  { 0x37DB, "" },
//  { 0x37DC, "" },
//  { 0x37DD, "" },
    { 0x37DE, "sentry_ammo_enabled" },
//  { 0x37DF, "" },
    { 0x37E0, "updatesentryposition" },
    { 0x37E1, "sentry_placement_hint_show" },
    { 0x37E2, "forced_hint" },
//  { 0x37E3, "" },
    { 0x37E4, "folded_sentry_use_wait" },
//  { 0x37E5, "" },
//  { 0x37E6, "" },
//  { 0x37E7, "" },
    { 0x37E8, "waitactivatebutton" },
    { 0x37E9, "makesentrysolid" },
//  { 0x37EA, "" },
//  { 0x37EB, "" },
//  { 0x37EC, "" },
    { 0x37ED, "sentrypoweroff" },
//  { 0x37EE, "" },
//  { 0x37EF, "" },
//  { 0x37F0, "" },
//  { 0x37F1, "" },
//  { 0x37F2, "" },
//  { 0x37F3, "" },
    { 0x37F4, "sentry_destroy_on_owner_leave" },
//  { 0x37F5, "" },
//  { 0x37F6, "" },
    { 0x37F7, "sentry_ammo_debug" },
//  { 0x37F8, "" },
//  { 0x37F9, "" },
    { 0x37FA, "sentry_reset_on_owner_death" },
//  { 0x37FB, "" },
//  { 0x37FC, "" },
//  { 0x37FD, "" },
//  { 0x37FE, "" },
    { 0x37FF, "dual_waittill" },
    { 0x3800, "sentry_turn_laser_on" },
    { 0x3801, "sentry_turn_laser_off" },
//  { 0x3802, "" },
    { 0x3803, "try_use_airstrike" },
    { 0x3804, "directionyaw" },
//  { 0x3805, "" },
    { 0x3806, "endselectionon" },
//  { 0x3807, "" },
    { 0x3808, "finish_using_airstrike" },
    { 0x3809, "do_airstrike" },
    { 0x380A, "airstrike_spawn_fake_plane" },
    { 0x380B, "sp_killstreaks_global_preload" },
//  { 0x380C, "" },
//  { 0x380D, "" },
//  { 0x380E, "" },
    { 0x380F, "sp_killstreaks_hud_init" },
//  { 0x3810, "" },
//  { 0x3811, "" },
//  { 0x3812, "" },
//  { 0x3813, "" },
//  { 0x3814, "" },
//  { 0x3815, "" },
//  { 0x3816, "" },
//  { 0x3817, "" },
//  { 0x3818, "" },
//  { 0x3819, "" },
//  { 0x381A, "" },
//  { 0x381B, "" },
//  { 0x381C, "" },
    { 0x381D, "has_any_killstreak" },
//  { 0x381E, "" },
//  { 0x381F, "" },
//  { 0x3820, "" },
//  { 0x3821, "" },
    { 0x3822, "used_sp_killstreak" },
//  { 0x3823, "" },
//  { 0x3824, "" },
    { 0x3825, "remotemissilefired" },
//  { 0x3826, "" },
    { 0x3827, "sp_killstreak_carepackage_main" },
//  { 0x3828, "" },
//  { 0x3829, "" },
    { 0x382A, "sp_killstreak_perk_crateopen" },
//  { 0x382B, "" },
//  { 0x382C, "" },
//  { 0x382D, "" },
    { 0x382E, "sentry_cancel_notify" },
//  { 0x382F, "" },
//  { 0x3830, "" },
//  { 0x3831, "" },
//  { 0x3832, "" },
//  { 0x3833, "" },
    { 0x3834, "loc_current" },
//  { 0x3835, "" },
//  { 0x3836, "" },
//  { 0x3837, "" },
    { 0x3838, "request_move" },
    { 0x3839, "chopper_boss_finding_target" },
//  { 0x383A, "" },
//  { 0x383B, "" },
    { 0x383C, "chopper_boss_damage_states" },
    { 0x383D, "chopper_boss_can_hit" },
    { 0x383E, "chopper_boss_can_hit_from" },
    { 0x383F, "chopper_boss_in_range" },
//  { 0x3840, "" },
//  { 0x3841, "" },
//  { 0x3842, "" },
//  { 0x3843, "" },
//  { 0x3844, "" },
    { 0x3845, "chopper_boss_wait_face_target" },
    { 0x3846, "chopper_boss_fire_turrets" },
//  { 0x3847, "" },
//  { 0x3848, "" },
    { 0x3849, "dist2d" },
//  { 0x384A, "" },
//  { 0x384B, "" },
//  { 0x384C, "" },
//  { 0x384D, "" },
//  { 0x384E, "" },
//  { 0x384F, "" },
    { 0x3850, "loot_init" },
//  { 0x3851, "" },
//  { 0x3852, "" },
    { 0x3853, "loot_info_array" },
//  { 0x3854, "" },
    { 0x3855, "wave_unlock" },
    { 0x3856, "wave_lock" },
//  { 0x3857, "" },
    { 0x3858, "rank" },
//  { 0x3859, "" },
//  { 0x385A, "" },
    { 0x385B, "highest_player_rank" },
//  { 0x385C, "" },
//  { 0x385D, "" },
    { 0x385E, "loot_item_exist" },
    { 0x385F, "get_loot_ref_by_index" },
    { 0x3860, "get_ref_by_index" },
    { 0x3861, "get_loot_type" },
//  { 0x3862, "" },
//  { 0x3863, "" },
//  { 0x3864, "" },
//  { 0x3865, "" },
//  { 0x3866, "" },
//  { 0x3867, "" },
//  { 0x3868, "" },
//  { 0x3869, "" },
//  { 0x386A, "" },
    { 0x386B, "ai_preload_weapons" },
//  { 0x386C, "" },
    { 0x386D, "survival_ai" },
    { 0x386E, "survival_boss" },
    { 0x386F, "survival_repeat_wave" },
//  { 0x3870, "" },
    { 0x3871, "survival_wave" },
    { 0x3872, "special_ai_behavior_func" },
    { 0x3873, "wave_populate" },
    { 0x3874, "idx" },
//  { 0x3875, "" },
    { 0x3876, "squadarray" },
    { 0x3877, "specialai" },
//  { 0x3878, "" },
    { 0x3879, "bossdelay" },
//  { 0x387A, "" },
    { 0x387B, "bossnonai" },
//  { 0x387C, "" },
//  { 0x387D, "" },
    { 0x387E, "repeating" },
//  { 0x387F, "" },
    { 0x3880, "ai_type_add_override_class" },
//  { 0x3881, "" },
//  { 0x3882, "" },
//  { 0x3883, "" },
//  { 0x3884, "" },
//  { 0x3885, "" },
    { 0x3886, "givexp_kill" },
    { 0x3887, "ai_type" },
    { 0x3888, "register_xp" },
    { 0x3889, "update_player_closest_node_think" },
    { 0x388A, "node_closest" },
//  { 0x388B, "" },
//  { 0x388C, "" },
    { 0x388D, "get_survival_enemies_living" },
    { 0x388E, "bosses" },
//  { 0x388F, "" },
//  { 0x3890, "" },
    { 0x3891, "weapon_drop_ammo_adjustment" },
//  { 0x3892, "" },
//  { 0x3893, "" },
//  { 0x3894, "" },
//  { 0x3895, "" },
    { 0x3896, "money_fx_on_death" },
//  { 0x3897, "" },
    { 0x3898, "ai_on_flashed" },
    { 0x3899, "get_ai_type_ref" },
//  { 0x389A, "" },
    { 0x389B, "special_ai" },
    { 0x389C, "default_ai" },
//  { 0x389D, "" },
//  { 0x389E, "" },
//  { 0x389F, "" },
//  { 0x38A0, "" },
//  { 0x38A1, "" },
    { 0x38A2, "survival_ai_regular" },
//  { 0x38A3, "" },
    { 0x38A4, "aggressive_squad_leader" },
//  { 0x38A5, "" },
    { 0x38A6, "special_ability" },
//  { 0x38A7, "" },
    { 0x38A8, "martyrdom_ability" },
//  { 0x38A9, "" },
//  { 0x38AA, "" },
//  { 0x38AB, "" },
//  { 0x38AC, "" },
//  { 0x38AD, "" },
//  { 0x38AE, "" },
    { 0x38AF, "survival_ai_claymore_and_chemical" },
    { 0x38B0, "mine_locs_populate" },
    { 0x38B1, "so_mine_locs" },
    { 0x38B2, "mine_locs_attempt_plant" },
//  { 0x38B3, "" },
    { 0x38B4, "mine_ai_remove_busy" },
//  { 0x38B5, "" },
    { 0x38B6, "mine_locs_get_valid" },
//  { 0x38B7, "" },
    { 0x38B8, "occupied" },
//  { 0x38B9, "" },
//  { 0x38BA, "" },
//  { 0x38BB, "" },
    { 0x38BC, "behavior_special_ai_mine_place" },
    { 0x38BD, "mine_ai_planting_death" },
    { 0x38BE, "claymore_create" },
    { 0x38BF, "claymore_on_trigger" },
    { 0x38C0, "claymore_on_trigger_laser_check" },
    { 0x38C1, "so_claymore_trig_dot" },
//  { 0x38C2, "" },
//  { 0x38C3, "" },
//  { 0x38C4, "" },
    { 0x38C5, "mine_delete_on_death" },
    { 0x38C6, "claymore_on_damage" },
//  { 0x38C7, "" },
//  { 0x38C8, "" },
    { 0x38C9, "mine_on_death" },
//  { 0x38CA, "" },
//  { 0x38CB, "" },
//  { 0x38CC, "" },
//  { 0x38CD, "" },
    { 0x38CE, "chemical_ability_on_tank_damage" },
    { 0x38CF, "so_survival_kill_ai" },
    { 0x38D0, "chemical_ability_on_death" },
    { 0x38D1, "chemical_ability_detonate" },
//  { 0x38D2, "" },
//  { 0x38D3, "" },
    { 0x38D4, "gassed" },
    { 0x38D5, "gassed_before" },
    { 0x38D6, "gas_time" },
//  { 0x38D7, "" },
//  { 0x38D8, "" },
    { 0x38D9, "chembomb_create" },
//  { 0x38DA, "" },
//  { 0x38DB, "" },
//  { 0x38DC, "" },
//  { 0x38DD, "" },
//  { 0x38DE, "" },
//  { 0x38DF, "" },
    { 0x38E0, "dog_reloc_trig_array" },
//  { 0x38E1, "" },
    { 0x38E2, "dog_reloc_monitor" },
    { 0x38E3, "dog_reloc" },
    { 0x38E4, "spawn_dogs" },
//  { 0x38E5, "" },
//  { 0x38E6, "" },
//  { 0x38E7, "" },
//  { 0x38E8, "" },
//  { 0x38E9, "" },
//  { 0x38EA, "" },
//  { 0x38EB, "" },
    { 0x38EC, "dog_seek_player" },
//  { 0x38ED, "" },
    { 0x38EE, "dog_get_living" },
//  { 0x38EF, "" },
//  { 0x38F0, "" },
//  { 0x38F1, "" },
    { 0x38F2, "clear_from_boss_array_when_dead" },
    { 0x38F3, "drop_jug_by_chopper" },
//  { 0x38F4, "" },
//  { 0x38F5, "" },
    { 0x38F6, "chopper_drop_smoke_at_unloading" },
//  { 0x38F7, "" },
//  { 0x38F8, "" },
//  { 0x38F9, "" },
    { 0x38FA, "damage_factor" },
//  { 0x38FB, "" },
    { 0x38FC, "dmg_factor_calc" },
    { 0x38FD, "global_jug_behavior" },
    { 0x38FE, "boss_jug_helmet_pop" },
    { 0x38FF, "boss_jug_regular" },
    { 0x3900, "boss_jug_headshot" },
//  { 0x3901, "" },
//  { 0x3902, "" },
    { 0x3903, "dropriotshield" },
    { 0x3904, "subclass_juggernaut_riotshield" },
    { 0x3905, "juggernaut_abandon_shield" },
//  { 0x3906, "" },
//  { 0x3907, "" },
//  { 0x3908, "" },
    { 0x3909, "survival_drop_chopper_init" },
    { 0x390A, "spawn_chopper_boss" },
//  { 0x390B, "" },
//  { 0x390C, "" },
//  { 0x390D, "" },
//  { 0x390E, "" },
//  { 0x390F, "" },
    { 0x3910, "drop_riotshield_think" },
//  { 0x3911, "" },
    { 0x3912, "ally_on_death" },
//  { 0x3913, "" },
    { 0x3914, "get_all_mine_locs" },
//  { 0x3915, "" },
    { 0x3916, "manage_ai_relative_to_player" },
//  { 0x3917, "" },
    { 0x3918, "manage_ai_go_to_player_node" },
    { 0x3919, "survival_enable_sprint" },
    { 0x391A, "survival_disable_sprint" },
    { 0x391B, "ai_exist" },
//  { 0x391C, "" },
//  { 0x391D, "" },
//  { 0x391E, "" },
    { 0x391F, "get_ai_classname" },
//  { 0x3920, "" },
//  { 0x3921, "" },
    { 0x3922, "get_ai_name" },
    { 0x3923, "get_ai_desc" },
//  { 0x3924, "" },
    { 0x3925, "get_ai_speed" },
//  { 0x3926, "" },
//  { 0x3927, "" },
//  { 0x3928, "" },
    { 0x3929, "wave_exist" },
    { 0x392A, "get_wave_boss_delay" },
//  { 0x392B, "" },
//  { 0x392C, "" },
//  { 0x392D, "" },
//  { 0x392E, "" },
//  { 0x392F, "" },
    { 0x3930, "get_special_ai_quantity" },
//  { 0x3931, "" },
//  { 0x3932, "" },
//  { 0x3933, "" },
//  { 0x3934, "" },
//  { 0x3935, "" },
//  { 0x3936, "" },
//  { 0x3937, "" },
//  { 0x3938, "" },
    { 0x3939, "remotemissile_infantry_kills_dialogue" },
//  { 0x393A, "" },
    { 0x393B, "remotemissile_uav" },
//  { 0x393C, "" },
    { 0x393D, "ai_remote_missile_fof_outline" },
    { 0x393E, "splash_notify_message" },
//  { 0x393F, "" },
    { 0x3940, "splashdesc" },
//  { 0x3941, "" },
//  { 0x3942, "" },
//  { 0x3943, "" },
//  { 0x3944, "" },
//  { 0x3945, "" },
    { 0x3946, "title_set_value" },
//  { 0x3947, "" },
//  { 0x3948, "" },
//  { 0x3949, "" },
//  { 0x394A, "" },
    { 0x394B, "title_color" },
//  { 0x394C, "" },
//  { 0x394D, "" },
//  { 0x394E, "" },
    { 0x394F, "desc1" },
//  { 0x3950, "" },
//  { 0x3951, "" },
    { 0x3952, "desc2_set_value" },
//  { 0x3953, "" },
//  { 0x3954, "" },
//  { 0x3955, "" },
//  { 0x3956, "" },
//  { 0x3957, "" },
//  { 0x3958, "" },
//  { 0x3959, "" },
//  { 0x395A, "" },
    { 0x395B, "playsoundlocally" },
    { 0x395C, "abortflag" },
    { 0x395D, "fadeout" },
    { 0x395E, "zoomout" },
//  { 0x395F, "" },
//  { 0x3960, "" },
    { 0x3961, "createfontstring_mp" },
    { 0x3962, "createicon_mp" },
//  { 0x3963, "" },
//  { 0x3964, "" },
    { 0x3965, "throw_grenade_at_player" },
//  { 0x3966, "" },
    { 0x3967, "chopper_wait_for_cloest_open_path_start" },
//  { 0x3968, "" },
//  { 0x3969, "" },
//  { 0x396A, "" },
//  { 0x396B, "" },
//  { 0x396C, "" },
    { 0x396D, "milliseconds" },
//  { 0x396E, "" },
//  { 0x396F, "" },
    { 0x3970, "so_survival_validate_entities" },
    { 0x3971, "debug_survival_error_msgs" },
//  { 0x3972, "" },
    { 0x3973, "debug_survival_error_locs" },
    { 0x3974, "so_survival_display_entity_error_3d" },
//  { 0x3975, "" },
//  { 0x3976, "" },
//  { 0x3977, "" },
//  { 0x3978, "" },
//  { 0x3979, "" },
//  { 0x397A, "" },
//  { 0x397B, "" },
//  { 0x397C, "" },
    { 0x397D, "survival_dialog_sentry_updates" },
//  { 0x397E, "" },
//  { 0x397F, "" },
    { 0x3980, "armed" },
    { 0x3981, "use_old_turret" },
//  { 0x3982, "" },
//  { 0x3983, "" },
    { 0x3984, "playjettrail" },
    { 0x3985, "plane_sound_node" },
    { 0x3986, "fire_missile_node" },
//  { 0x3987, "" },
//  { 0x3988, "" },
//  { 0x3989, "" },
//  { 0x398A, "" },
//  { 0x398B, "" },
    { 0x398C, "enemy_air_support_marker_fx" },
    { 0x398D, "enemy_air_support_trail_fx" },
//  { 0x398E, "" },
    { 0x398F, "air_support_strobes" },
    { 0x3990, "fake_strobe" },
//  { 0x3991, "" },
//  { 0x3992, "" },
//  { 0x3993, "" },
    { 0x3994, "enable_strobes_for_player" },
    { 0x3995, "air_support_loop" },
    { 0x3996, "strobe_firedelay_override" },
    { 0x3997, "strobe_no_vis_check" },
    { 0x3998, "strobe_no_badplace" },
//  { 0x3999, "" },
//  { 0x399A, "" },
//  { 0x399B, "" },
//  { 0x399C, "" },
//  { 0x399D, "" },
    { 0x399E, "isenemystrobe" },
//  { 0x399F, "" },
    { 0x39A0, "marker_pulse" },
//  { 0x39A1, "" },
    { 0x39A2, "air_support_enqueue" },
//  { 0x39A3, "" },
//  { 0x39A4, "" },
    { 0x39A5, "set_aircraft" },
//  { 0x39A6, "" },
//  { 0x39A7, "" },
//  { 0x39A8, "" },
//  { 0x39A9, "" },
//  { 0x39AA, "" },
//  { 0x39AB, "" },
//  { 0x39AC, "" },
    { 0x39AD, "target_pos" },
//  { 0x39AE, "" },
//  { 0x39AF, "" },
//  { 0x39B0, "" },
    { 0x39B1, "compute_targets" },
//  { 0x39B2, "" },
    { 0x39B3, "get_best_target" },
//  { 0x39B4, "" },
//  { 0x39B5, "" },
    { 0x39B6, "visibility_check" },
//  { 0x39B7, "" },
    { 0x39B8, "air_support_strobe_num_killed" },
//  { 0x39B9, "" },
    { 0x39BA, "get_num_kills" },
//  { 0x39BB, "" },
    { 0x39BC, "btr_courtyard" },
    { 0x39BD, "monitor_last_weapon" },
//  { 0x39BE, "" },
//  { 0x39BF, "" },
    { 0x39C0, "armory_postload" },
    { 0x39C1, "ac130_traverse" },
//  { 0x39C2, "" },
//  { 0x39C3, "" },
    { 0x39C4, "sub_type" },
    { 0x39C5, "cost" },
    { 0x39C6, "unlockrank" },
    { 0x39C7, "func_can_give" },
    { 0x39C8, "func_give" },
    { 0x39C9, "maxstock" },
//  { 0x39CA, "" },
    { 0x39CB, "armory_setup" },
//  { 0x39CC, "" },
//  { 0x39CD, "" },
//  { 0x39CE, "" },
//  { 0x39CF, "" },
    { 0x39D0, "armory_setup_players" },
//  { 0x39D1, "" },
    { 0x39D2, "armory_use_monitor" },
//  { 0x39D3, "" },
    { 0x39D4, "waittill_armory_warning_respond" },
//  { 0x39D5, "" },
//  { 0x39D6, "" },
//  { 0x39D7, "" },
    { 0x39D8, "using_armory" },
//  { 0x39D9, "" },
    { 0x39DA, "selected_weapon" },
    { 0x39DB, "survival_credit" },
//  { 0x39DC, "" },
//  { 0x39DD, "" },
    { 0x39DE, "pip" },
//  { 0x39DF, "" },
    { 0x39E0, "sentry_pip_cam" },
//  { 0x39E1, "" },
//  { 0x39E2, "" },
    { 0x39E3, "pip_sentry_id" },
//  { 0x39E4, "" },
//  { 0x39E5, "" },
//  { 0x39E6, "" },
    { 0x39E7, "setup_pip_name" },
//  { 0x39E8, "" },
//  { 0x39E9, "" },
//  { 0x39EA, "" },
//  { 0x39EB, "" },
//  { 0x39EC, "" },
//  { 0x39ED, "" },
    { 0x39EE, "hint_bubble" },
    { 0x39EF, "item_exist" },
//  { 0x39F0, "" },
    { 0x39F1, "get_icon" },
//  { 0x39F2, "" },
//  { 0x39F3, "" },
    { 0x39F4, "get_sub_type" },
//  { 0x39F5, "" },
//  { 0x39F6, "" },
//  { 0x39F7, "" },
//  { 0x39F8, "" },
    { 0x39F9, "get_unlock_rank" },
    { 0x39FA, "is_item_enabled" },
    { 0x39FB, "get_item_drop_stock" },
//  { 0x39FC, "" },
//  { 0x39FD, "" },
    { 0x39FE, "armory_give" },
    { 0x39FF, "get_func_can_give" },
    { 0x3A00, "get_func_give" },
//  { 0x3A01, "" },
    { 0x3A02, "give_default" },
//  { 0x3A03, "" },
    { 0x3A04, "give_ammo" },
    { 0x3A05, "give_ammo_max" },
    { 0x3A06, "can_give_weapon" },
//  { 0x3A07, "" },
//  { 0x3A08, "" },
    { 0x3A09, "can_give_weapon_upgrade" },
//  { 0x3A0A, "" },
//  { 0x3A0B, "" },
    { 0x3A0C, "get_weapon_base_name" },
    { 0x3A0D, "get_upgrades_on_weapon" },
//  { 0x3A0E, "" },
//  { 0x3A0F, "" },
    { 0x3A10, "give_grenade" },
//  { 0x3A11, "" },
//  { 0x3A12, "" },
//  { 0x3A13, "" },
    { 0x3A14, "give_slotted_explosive" },
    { 0x3A15, "can_give_riotshield_so" },
//  { 0x3A16, "" },
//  { 0x3A17, "" },
    { 0x3A18, "give_sentry" },
    { 0x3A19, "can_give_armor" },
//  { 0x3A1A, "" },
    { 0x3A1B, "give_armor" },
//  { 0x3A1C, "" },
//  { 0x3A1D, "" },
//  { 0x3A1E, "" },
    { 0x3A1F, "player_armor_shield" },
    { 0x3A20, "armor_shield_on" },
//  { 0x3A21, "" },
//  { 0x3A22, "" },
//  { 0x3A23, "" },
//  { 0x3A24, "" },
//  { 0x3A25, "" },
//  { 0x3A26, "" },
//  { 0x3A27, "" },
    { 0x3A28, "give_friendlies_monitor_use" },
//  { 0x3A29, "" },
    { 0x3A2A, "give_airstrike" },
    { 0x3A2B, "sticky_strobe" },
    { 0x3A2C, "strobe_timeout" },
    { 0x3A2D, "watch_for_strobe_hit" },
//  { 0x3A2E, "" },
    { 0x3A2F, "can_give_chopper" },
//  { 0x3A30, "" },
//  { 0x3A31, "" },
//  { 0x3A32, "" },
//  { 0x3A33, "" },
//  { 0x3A34, "" },
//  { 0x3A35, "" },
//  { 0x3A36, "" },
//  { 0x3A37, "" },
    { 0x3A38, "splash" },
//  { 0x3A39, "" },
    { 0x3A3A, "repeatable" },
    { 0x3A3B, "carry" },
    { 0x3A3C, "wave_active" },
    { 0x3A3D, "wave_inactive" },
    { 0x3A3E, "challenge_init" },
//  { 0x3A3F, "" },
    { 0x3A40, "sur_challenge_think" },
//  { 0x3A41, "" },
    { 0x3A42, "completed_ch" },
    { 0x3A43, "challenge_func_director" },
//  { 0x3A44, "" },
//  { 0x3A45, "" },
//  { 0x3A46, "" },
//  { 0x3A47, "" },
//  { 0x3A48, "" },
//  { 0x3A49, "" },
    { 0x3A4A, "track_flash_kill" },
//  { 0x3A4B, "" },
    { 0x3A4C, "track_melee_streak" },
    { 0x3A4D, "sur_ch_quadkill" },
//  { 0x3A4E, "" },
//  { 0x3A4F, "" },
//  { 0x3A50, "" },
//  { 0x3A51, "" },
//  { 0x3A52, "" },
//  { 0x3A53, "" },
//  { 0x3A54, "" },
//  { 0x3A55, "" },
//  { 0x3A56, "" },
//  { 0x3A57, "" },
//  { 0x3A58, "" },
//  { 0x3A59, "" },
//  { 0x3A5A, "" },
//  { 0x3A5B, "" },
//  { 0x3A5C, "" },
//  { 0x3A5D, "" },
    { 0x3A5E, "ch_get_splash" },
    { 0x3A5F, "ch_get_icon" },
//  { 0x3A60, "" },
//  { 0x3A61, "" },
    { 0x3A62, "ch_get_repeatable" },
//  { 0x3A63, "" },
    { 0x3A64, "ch_get_wave_active" },
    { 0x3A65, "ch_get_wave_inactive" },
    { 0x3A66, "get_loadout_item_ref" },
//  { 0x3A67, "" },
//  { 0x3A68, "" },
//  { 0x3A69, "" },
//  { 0x3A6A, "" },
//  { 0x3A6B, "" },
    { 0x3A6C, "survival_leaderboard_wave_func" },
    { 0x3A6D, "survival_leaderboard_score_func" },
//  { 0x3A6E, "" },
//  { 0x3A6F, "" },
//  { 0x3A70, "" },
//  { 0x3A71, "" },
//  { 0x3A72, "" },
//  { 0x3A73, "" },
    { 0x3A74, "waittill_survival_start" },
    { 0x3A75, "setup_players" },
//  { 0x3A76, "" },
//  { 0x3A77, "" },
    { 0x3A78, "give_player_armor" },
    { 0x3A79, "give_player_equipment" },
//  { 0x3A7A, "" },
//  { 0x3A7B, "" },
    { 0x3A7C, "decrease_rev_time" },
//  { 0x3A7D, "" },
//  { 0x3A7E, "" },
//  { 0x3A7F, "" },
    { 0x3A80, "weapon_collect_ammo_adjust_was_recent" },
    { 0x3A81, "weapon_collect_balance_ammo" },
//  { 0x3A82, "" },
//  { 0x3A83, "" },
//  { 0x3A84, "" },
//  { 0x3A85, "" },
    { 0x3A86, "delayed_enemy_ping" },
    { 0x3A87, "survival_wave_catch_player_ready" },
//  { 0x3A88, "" },
    { 0x3A89, "survival_players_ready" },
//  { 0x3A8A, "" },
//  { 0x3A8B, "" },
    { 0x3A8C, "survival_wave_catch_player_ready_clean" },
//  { 0x3A8D, "" },
    { 0x3A8E, "spawn_wave" },
//  { 0x3A8F, "" },
    { 0x3A90, "spawn_special_ai" },
    { 0x3A91, "reenforcement_squad_spawn" },
//  { 0x3A92, "" },
    { 0x3A93, "wave_has_boss" },
    { 0x3A94, "spawn_boss" },
//  { 0x3A95, "" },
//  { 0x3A96, "" },
//  { 0x3A97, "" },
//  { 0x3A98, "" },
    { 0x3A99, "performance" },
//  { 0x3A9A, "" },
//  { 0x3A9B, "" },
//  { 0x3A9C, "" },
//  { 0x3A9D, "" },
//  { 0x3A9E, "" },
    { 0x3A9F, "performance_track_downed" },
    { 0x3AA0, "performance_track_credits" },
    { 0x3AA1, "performance_track_time" },
    { 0x3AA2, "performance_track_headshot" },
//  { 0x3AA3, "" },
//  { 0x3AA4, "" },
    { 0x3AA5, "performance_damagetaken_update" },
//  { 0x3AA6, "" },
//  { 0x3AA7, "" },
//  { 0x3AA8, "" },
    { 0x3AA9, "performance_track_nonai_kills" },
    { 0x3AAA, "reward_calculation" },
    { 0x3AAB, "get_reward" },
    { 0x3AAC, "camping_think" },
//  { 0x3AAD, "" },
//  { 0x3AAE, "" },
//  { 0x3AAF, "" },
    { 0x3AB0, "camping_loc" },
//  { 0x3AB1, "" },
    { 0x3AB2, "camp_response_interval" },
    { 0x3AB3, "level_ai_respond" },
    { 0x3AB4, "level_ai_boss_respond" },
//  { 0x3AB5, "" },
    { 0x3AB6, "update_from_xp" },
//  { 0x3AB7, "" },
//  { 0x3AB8, "" },
    { 0x3AB9, "update_from_credits" },
    { 0x3ABA, "intro_music" },
    { 0x3ABB, "music_boss" },
//  { 0x3ABC, "" },
    { 0x3ABD, "credits_ui_init" },
    { 0x3ABE, "ui_rolling_credits" },
    { 0x3ABF, "wave_timer_player_setup" },
    { 0x3AC0, "hud_so_wave_timer_time" },
//  { 0x3AC1, "" },
//  { 0x3AC2, "" },
//  { 0x3AC3, "" },
    { 0x3AC4, "armor_x" },
//  { 0x3AC5, "" },
    { 0x3AC6, "armor_shield_size" },
//  { 0x3AC7, "" },
    { 0x3AC8, "shield_elem_fade" },
    { 0x3AC9, "armor_jitter" },
//  { 0x3ACA, "" },
//  { 0x3ACB, "" },
    { 0x3ACC, "enemy_remaining_hud" },
//  { 0x3ACD, "" },
//  { 0x3ACE, "" },
//  { 0x3ACF, "" },
    { 0x3AD0, "icon_size" },
//  { 0x3AD1, "" },
    { 0x3AD2, "laststand_hud_lives" },
//  { 0x3AD3, "" },
//  { 0x3AD4, "" },
//  { 0x3AD5, "" },
    { 0x3AD6, "player_performance_ui_init" },
    { 0x3AD7, "performance_summary" },
//  { 0x3AD8, "" },
//  { 0x3AD9, "" },
//  { 0x3ADA, "" },
//  { 0x3ADB, "" },
//  { 0x3ADC, "" },
    { 0x3ADD, "survival_armory_hint" },
//  { 0x3ADE, "" },
//  { 0x3ADF, "" },
//  { 0x3AE0, "" },
//  { 0x3AE1, "" },
//  { 0x3AE2, "" },
    { 0x3AE3, "set_animarray_crouching_right" },
//  { 0x3AE4, "" },
    { 0x3AE5, "islowthrowsafe" },
//  { 0x3AE6, "" },
//  { 0x3AE7, "" },
//  { 0x3AE8, "" },
    { 0x3AE9, "facial_animation" },
//  { 0x3AEA, "" },
//  { 0x3AEB, "" },
//  { 0x3AEC, "" },
//  { 0x3AED, "" },
//  { 0x3AEE, "" },
//  { 0x3AEF, "" },
//  { 0x3AF0, "" },
//  { 0x3AF1, "" },
//  { 0x3AF2, "" },
    { 0x3AF3, "traversedeathindex" },
//  { 0x3AF4, "" },
//  { 0x3AF5, "" },
    { 0x3AF6, "handletraversedeathnotetrack" },
//  { 0x3AF7, "" },
//  { 0x3AF8, "" },
    { 0x3AF9, "finishtraversedrop" },
//  { 0x3AFA, "" },
//  { 0x3AFB, "" },
//  { 0x3AFC, "" },
//  { 0x3AFD, "" },
    { 0x3AFE, "step_down_human" },
    { 0x3AFF, "step_up_human" },
//  { 0x3B00, "" },
//  { 0x3B01, "" },
    { 0x3B02, "jump_through_window_human" },
//  { 0x3B03, "" },
//  { 0x3B04, "" },
//  { 0x3B05, "" },
//  { 0x3B06, "" },
    { 0x3B07, "low_wall_human" },
//  { 0x3B08, "" },
    { 0x3B09, "slide_across_car_dog" },
    { 0x3B0A, "traversedeath" },
//  { 0x3B0B, "" },
//  { 0x3B0C, "" },
//  { 0x3B0D, "" },
//  { 0x3B0E, "" },
//  { 0x3B0F, "" },
//  { 0x3B10, "" },
    { 0x3B11, "stop" },
//  { 0x3B12, "" },
    { 0x3B13, "civilianflashedarray" },
//  { 0x3B14, "" },
//  { 0x3B15, "" },
    { 0x3B16, "closestai" },
//  { 0x3B17, "" },
    { 0x3B18, "breached" },
//  { 0x3B19, "" },
//  { 0x3B1A, "" },
//  { 0x3B1B, "" },
    { 0x3B1C, "readytobreach" },
//  { 0x3B1D, "" },
//  { 0x3B1E, "" },
    { 0x3B1F, "cleared" },
//  { 0x3B20, "" },
//  { 0x3B21, "" },
    { 0x3B22, "hostilesspawned" },
    { 0x3B23, "sbadplacename" },
//  { 0x3B24, "" },
//  { 0x3B25, "" },
    { 0x3B26, "triggerhintstring" },
    { 0x3B27, "edoor" },
    { 0x3B28, "vector" },
//  { 0x3B29, "" },
    { 0x3B2A, "iexplodernum" },
//  { 0x3B2B, "" },
//  { 0x3B2C, "" },
    { 0x3B2D, "firstbreacher" },
    { 0x3B2E, "breach_dont_fire" },
//  { 0x3B2F, "" },
//  { 0x3B30, "" },
//  { 0x3B31, "" },
    { 0x3B32, "usebreachapproach" },
//  { 0x3B33, "" },
//  { 0x3B34, "" },
    { 0x3B35, "friendly_breach_thread" },
//  { 0x3B36, "" },
    { 0x3B37, "detcord_logic" },
    { 0x3B38, "sound_effect_play" },
//  { 0x3B39, "" },
    { 0x3B3A, "detpackstunradius" },
    { 0x3B3B, "stunnedanimnumber" },
    { 0x3B3C, "breach_trigger_think" },
//  { 0x3B3D, "" },
//  { 0x3B3E, "" },
    { 0x3B3F, "breach_abort" },
//  { 0x3B40, "" },
//  { 0x3B41, "" },
//  { 0x3B42, "" },
//  { 0x3B43, "" },
    { 0x3B44, "spawnbreachhostiles" },
//  { 0x3B45, "" },
    { 0x3B46, "door_open" },
//  { 0x3B47, "" },
    { 0x3B48, "maxdetpackdamage" },
//  { 0x3B49, "" },
//  { 0x3B4A, "" },
    { 0x3B4B, "breach_set_goaladius" },
//  { 0x3B4C, "" },
//  { 0x3B4D, "" },
    { 0x3B4E, "breach_set_animname" },
    { 0x3B4F, "old_animname" },
    { 0x3B50, "breach_reset_animname" },
//  { 0x3B51, "" },
    { 0x3B52, "slide" },
//  { 0x3B53, "" },
//  { 0x3B54, "" },
//  { 0x3B55, "" },
    { 0x3B56, "imagea" },
//  { 0x3B57, "" },
//  { 0x3B58, "" },
//  { 0x3B59, "" },
//  { 0x3B5A, "" },
    { 0x3B5B, "briefing_fadeouttime" },
//  { 0x3B5C, "" },
    { 0x3B5D, "fadeinfiretoskip" },
    { 0x3B5E, "fadefiretoskip" },
    { 0x3B5F, "waittillbriefingdone" },
//  { 0x3B60, "" },
//  { 0x3B61, "" },
    { 0x3B62, "imagefadeout" },
    { 0x3B63, "endthread" },
    { 0x3B64, "soundplay" },
    { 0x3B65, "soundplay_flag" },
    { 0x3B66, "dothebriefing" },
    { 0x3B67, "skipthebriefing" },
//  { 0x3B68, "" },
//  { 0x3B69, "" },
    { 0x3B6A, "initchickens" },
    { 0x3B6B, "spawnchicken" },
    { 0x3B6C, "initcarry" },
//  { 0x3B6D, "" },
    { 0x3B6E, "setwounded" },
//  { 0x3B6F, "" },
//  { 0x3B70, "" },
//  { 0x3B71, "" },
//  { 0x3B72, "" },
    { 0x3B73, "goto_and_pickup_wounded" },
    { 0x3B74, "link_wounded" },
    { 0x3B75, "carry_to_and_putdown_wounded" },
//  { 0x3B76, "" },
//  { 0x3B77, "" },
//  { 0x3B78, "" },
//  { 0x3B79, "" },
//  { 0x3B7A, "" },
//  { 0x3B7B, "" },
//  { 0x3B7C, "" },
//  { 0x3B7D, "" },
    { 0x3B7E, "script_trace" },
    { 0x3B7F, "que_body" },
    { 0x3B80, "civilian_noncombatmoveturn" },
    { 0x3B81, "civilian_combatmoveturn" },
    { 0x3B82, "civilian_combathunchedmoveturn" },
//  { 0x3B83, "" },
//  { 0x3B84, "" },
//  { 0x3B85, "" },
//  { 0x3B86, "" },
//  { 0x3B87, "" },
//  { 0x3B88, "" },
//  { 0x3B89, "" },
//  { 0x3B8A, "" },
    { 0x3B8B, "initcivilianprops" },
//  { 0x3B8C, "" },
    { 0x3B8D, "startcombat" },
    { 0x3B8E, "force_civilian_stand_run" },
    { 0x3B8F, "force_civilian_hunched_run" },
    { 0x3B90, "checkcombatstate" },
//  { 0x3B91, "" },
//  { 0x3B92, "" },
//  { 0x3B93, "" },
    { 0x3B94, "sun_color" },
    { 0x3B95, "merge_sunsingledvar" },
//  { 0x3B96, "" },
//  { 0x3B97, "" },
//  { 0x3B98, "" },
    { 0x3B99, "flare_path" },
    { 0x3B9A, "flare_initial_fx" },
    { 0x3B9B, "flare_explodes" },
    { 0x3B9C, "red_suncolor" },
    { 0x3B9D, "original_suncolor" },
//  { 0x3B9E, "" },
    { 0x3B9F, "flag_flare" },
//  { 0x3BA0, "" },
//  { 0x3BA1, "" },
//  { 0x3BA2, "" },
//  { 0x3BA3, "" },
//  { 0x3BA4, "" },
//  { 0x3BA5, "" },
//  { 0x3BA6, "" },
//  { 0x3BA7, "" },
//  { 0x3BA8, "" },
//  { 0x3BA9, "" },
//  { 0x3BAA, "" },
//  { 0x3BAB, "" },
    { 0x3BAC, "player_heli_ropeanimoverride_idle" },
//  { 0x3BAD, "" },
//  { 0x3BAE, "" },
    { 0x3BAF, "registerweaponinfo" },
//  { 0x3BB0, "" },
//  { 0x3BB1, "" },
//  { 0x3BB2, "" },
    { 0x3BB3, "getweaponinfostring" },
    { 0x3BB4, "bulletalphas" },
//  { 0x3BB5, "" },
//  { 0x3BB6, "" },
//  { 0x3BB7, "" },
//  { 0x3BB8, "" },
    { 0x3BB9, "gethudweapontype" },
    { 0x3BBA, "updatehudweaponammo" },
    { 0x3BBB, "inventory" },
//  { 0x3BBC, "" },
//  { 0x3BBD, "" },
//  { 0x3BBE, "" },
//  { 0x3BBF, "" },
//  { 0x3BC0, "" },
//  { 0x3BC1, "" },
    { 0x3BC2, "leak_setup" },
    { 0x3BC3, "leak_barrel_setup" },
    { 0x3BC4, "curvol" },
    { 0x3BC5, "lowz" },
    { 0x3BC6, "highz" },
//  { 0x3BC7, "" },
    { 0x3BC8, "_leak_methods" },
//  { 0x3BC9, "" },
    { 0x3BCA, "leak_calc_ballistic" },
    { 0x3BCB, "leak_calc_splash" },
//  { 0x3BCC, "" },
//  { 0x3BCD, "" },
    { 0x3BCE, "menustack" },
    { 0x3BCF, "display" },
//  { 0x3BD0, "" },
    { 0x3BD1, "ypos" },
//  { 0x3BD2, "" },
    { 0x3BD3, "loadmultiplayer" },
    { 0x3BD4, "pushmenu" },
//  { 0x3BD5, "" },
    { 0x3BD6, "menutype" },
//  { 0x3BD7, "" },
    { 0x3BD8, "createmenu" },
    { 0x3BD9, "itemdefs" },
    { 0x3BDA, "itemwidth" },
//  { 0x3BDB, "" },
//  { 0x3BDC, "" },
//  { 0x3BDD, "" },
//  { 0x3BDE, "" },
    { 0x3BDF, "createsubmenu" },
//  { 0x3BE0, "" },
//  { 0x3BE1, "" },
    { 0x3BE2, "itemtype" },
//  { 0x3BE3, "" },
//  { 0x3BE4, "" },
    { 0x3BE5, "action" },
//  { 0x3BE6, "" },
//  { 0x3BE7, "" },
    { 0x3BE8, "setting" },
//  { 0x3BE9, "" },
    { 0x3BEA, "createitemelems" },
    { 0x3BEB, "bgicon" },
//  { 0x3BEC, "" },
//  { 0x3BED, "" },
//  { 0x3BEE, "" },
//  { 0x3BEF, "" },
    { 0x3BF0, "destroyitemelems" },
    { 0x3BF1, "setelempoints" },
    { 0x3BF2, "showmenu" },
    { 0x3BF3, "hidemenu" },
    { 0x3BF4, "collapsemenu" },
    { 0x3BF5, "expandmenu" },
//  { 0x3BF6, "" },
    { 0x3BF7, "setselected" },
//  { 0x3BF8, "" },
//  { 0x3BF9, "" },
//  { 0x3BFA, "" },
//  { 0x3BFB, "" },
//  { 0x3BFC, "" },
//  { 0x3BFD, "" },
//  { 0x3BFE, "" },
//  { 0x3BFF, "" },
//  { 0x3C00, "" },
    { 0x3C01, "initthumbsticklayout" },
    { 0x3C02, "initbuttonlayout" },
//  { 0x3C03, "" },
//  { 0x3C04, "" },
//  { 0x3C05, "" },
    { 0x3C06, "initvibration" },
    { 0x3C07, "updatedisplayvalue" },
    { 0x3C08, "setupaction" },
//  { 0x3C09, "" },
//  { 0x3C0A, "" },
    { 0x3C0B, "runaction" },
    { 0x3C0C, "testaction" },
    { 0x3C0D, "marine" },
    { 0x3C0E, "menuresponse" },
//  { 0x3C0F, "" },
//  { 0x3C10, "" },
//  { 0x3C11, "" },
//  { 0x3C12, "" },
//  { 0x3C13, "" },
    { 0x3C14, "railyard_style" },
    { 0x3C15, "istopbarrage" },
//  { 0x3C16, "" },
//  { 0x3C17, "" },
    { 0x3C18, "mortars" },
//  { 0x3C19, "" },
//  { 0x3C1A, "" },
//  { 0x3C1B, "" },
//  { 0x3C1C, "" },
//  { 0x3C1D, "" },
    { 0x3C1E, "script_timer" },
//  { 0x3C1F, "" },
//  { 0x3C20, "" },
    { 0x3C21, "mortarthread" },
    { 0x3C22, "script_mortargroup_mortar_group" },
//  { 0x3C23, "" },
//  { 0x3C24, "" },
//  { 0x3C25, "" },
//  { 0x3C26, "" },
    { 0x3C27, "bunker_style_mortar" },
//  { 0x3C28, "" },
//  { 0x3C29, "" },
//  { 0x3C2A, "" },
    { 0x3C2B, "bunker_style_mortar_activate" },
    { 0x3C2C, "mortarnoincomingsound" },
    { 0x3C2D, "mortarnoquake" },
    { 0x3C2E, "bunker_style_mortar_explode" },
//  { 0x3C2F, "" },
//  { 0x3C30, "" },
//  { 0x3C31, "" },
    { 0x3C32, "bog_style_mortar_think" },
    { 0x3C33, "bogmortarsgoonce" },
//  { 0x3C34, "" },
//  { 0x3C35, "" },
//  { 0x3C36, "" },
    { 0x3C37, "nomaxmortardist" },
    { 0x3C38, "mortar_max_dist" },
    { 0x3C39, "nomortars" },
    { 0x3C3A, "bog_style_mortar_cleanup" },
//  { 0x3C3B, "" },
    { 0x3C3C, "mortar_within_player_fov" },
    { 0x3C3D, "playermortarfovoffset" },
//  { 0x3C3E, "" },
//  { 0x3C3F, "" },
//  { 0x3C40, "" },
//  { 0x3C41, "" },
//  { 0x3C42, "" },
//  { 0x3C43, "" },
    { 0x3C44, "bog_style_mortar_off" },
//  { 0x3C45, "" },
//  { 0x3C46, "" },
//  { 0x3C47, "" },
//  { 0x3C48, "" },
//  { 0x3C49, "" },
//  { 0x3C4A, "" },
//  { 0x3C4B, "" },
//  { 0x3C4C, "" },
//  { 0x3C4D, "" },
    { 0x3C4E, "activate_mortar" },
//  { 0x3C4F, "" },
//  { 0x3C50, "" },
//  { 0x3C51, "" },
//  { 0x3C52, "" },
//  { 0x3C53, "" },
//  { 0x3C54, "" },
//  { 0x3C55, "" },
//  { 0x3C56, "" },
    { 0x3C57, "_explosion_iminrange" },
//  { 0x3C58, "" },
    { 0x3C59, "_explosion_idamagemax" },
//  { 0x3C5A, "" },
    { 0x3C5B, "_explosion_fquakepower" },
//  { 0x3C5C, "" },
//  { 0x3C5D, "" },
    { 0x3C5E, "generic_style_setradius" },
    { 0x3C5F, "generic_style_setdamage" },
    { 0x3C60, "generic_style_setquake" },
//  { 0x3C61, "" },
    { 0x3C62, "explosion_stopnotify" },
    { 0x3C63, "bstopbarrage" },
//  { 0x3C64, "" },
    { 0x3C65, "iminrange" },
    { 0x3C66, "explosion_delay" },
    { 0x3C67, "explosion_barrage_delay" },
    { 0x3C68, "explosion_activate" },
    { 0x3C69, "explosion_boom" },
//  { 0x3C6A, "" },
//  { 0x3C6B, "" },
    { 0x3C6C, "_effecttype" },
//  { 0x3C6D, "" },
//  { 0x3C6E, "" },
//  { 0x3C6F, "" },
    { 0x3C70, "overheat_enable" },
    { 0x3C71, "turret_heat_status" },
//  { 0x3C72, "" },
    { 0x3C73, "turret_heat_rate" },
    { 0x3C74, "turret_cool_rate" },
//  { 0x3C75, "" },
//  { 0x3C76, "" },
    { 0x3C77, "overheat_flash_time_increment" },
//  { 0x3C78, "" },
    { 0x3C79, "overheat_disable" },
//  { 0x3C7A, "" },
//  { 0x3C7B, "" },
    { 0x3C7C, "status_meter_update" },
//  { 0x3C7D, "" },
    { 0x3C7E, "create_hud" },
//  { 0x3C7F, "" },
    { 0x3C80, "prop_notetrack_exist" },
    { 0x3C81, "prop_notetracks" },
//  { 0x3C82, "" },
//  { 0x3C83, "" },
//  { 0x3C84, "" },
    { 0x3C85, "add_sit_load_ak_notetracks" },
//  { 0x3C86, "" },
//  { 0x3C87, "" },
//  { 0x3C88, "" },
    { 0x3C89, "phone" },
    { 0x3C8A, "detach_phone" },
    { 0x3C8B, "attach_cig" },
    { 0x3C8C, "cigar" },
    { 0x3C8D, "detach_cig" },
//  { 0x3C8E, "" },
    { 0x3C8F, "prop_delete_cig" },
//  { 0x3C90, "" },
    { 0x3C91, "cig_throwing" },
//  { 0x3C92, "" },
    { 0x3C93, "smoke_exhale" },
//  { 0x3C94, "" },
//  { 0x3C95, "" },
    { 0x3C96, "super_dose" },
    { 0x3C97, "inside" },
//  { 0x3C98, "" },
    { 0x3C99, "updateradiationtrigger_perplayer" },
//  { 0x3C9A, "" },
//  { 0x3C9B, "" },
//  { 0x3C9C, "" },
//  { 0x3C9D, "" },
//  { 0x3C9E, "" },
//  { 0x3C9F, "" },
//  { 0x3CA0, "" },
//  { 0x3CA1, "" },
//  { 0x3CA2, "" },
//  { 0x3CA3, "" },
    { 0x3CA4, "updateradiationdosimeter" },
    { 0x3CA5, "updateradiationdosimetercolor" },
//  { 0x3CA6, "" },
//  { 0x3CA7, "" },
//  { 0x3CA8, "" },
//  { 0x3CA9, "" },
//  { 0x3CAA, "" },
    { 0x3CAB, "_sea_org" },
//  { 0x3CAC, "" },
//  { 0x3CAD, "" },
//  { 0x3CAE, "" },
//  { 0x3CAF, "" },
    { 0x3CB0, "sea_logic" },
    { 0x3CB1, "lite_settings" },
//  { 0x3CB2, "" },
//  { 0x3CB3, "" },
//  { 0x3CB4, "" },
//  { 0x3CB5, "" },
//  { 0x3CB6, "" },
//  { 0x3CB7, "" },
//  { 0x3CB8, "" },
    { 0x3CB9, "pratio" },
//  { 0x3CBA, "" },
    { 0x3CBB, "ang" },
    { 0x3CBC, "sea_objectbob" },
    { 0x3CBD, "link" },
//  { 0x3CBE, "" },
//  { 0x3CBF, "" },
    { 0x3CC0, "sea_objectbob_findparent" },
//  { 0x3CC1, "" },
    { 0x3CC2, "sea_bob_reset_loop" },
//  { 0x3CC3, "" },
    { 0x3CC4, "sea_waves" },
//  { 0x3CC5, "" },
    { 0x3CC6, "sea_waves_fx" },
    { 0x3CC7, "sea_waves_fx2" },
    { 0x3CC8, "sea_closestwavearray" },
//  { 0x3CC9, "" },
//  { 0x3CCA, "" },
    { 0x3CCB, "sea_waves_setup" },
//  { 0x3CCC, "" },
    { 0x3CCD, "sea_litebob" },
//  { 0x3CCE, "" },
//  { 0x3CCF, "" },
    { 0x3CD0, "stealth_group_spotted_flag_wait" },
//  { 0x3CD1, "" },
    { 0x3CD2, "ai_message_handler_hidden" },
    { 0x3CD3, "ai_create_behavior_function" },
//  { 0x3CD4, "" },
    { 0x3CD5, "ai_functions" },
//  { 0x3CD6, "" },
//  { 0x3CD7, "" },
    { 0x3CD8, "goback_startfunc" },
//  { 0x3CD9, "" },
//  { 0x3CDA, "" },
//  { 0x3CDB, "" },
//  { 0x3CDC, "" },
//  { 0x3CDD, "" },
    { 0x3CDE, "group_add_to_global_list" },
//  { 0x3CDF, "" },
    { 0x3CE0, "group_get_flagname_from_group" },
//  { 0x3CE1, "" },
//  { 0x3CE2, "" },
//  { 0x3CE3, "" },
//  { 0x3CE4, "" },
//  { 0x3CE5, "" },
//  { 0x3CE6, "" },
//  { 0x3CE7, "" },
//  { 0x3CE8, "" },
    { 0x3CE9, "last_spot" },
//  { 0x3CEA, "" },
//  { 0x3CEB, "" },
//  { 0x3CEC, "" },
//  { 0x3CED, "" },
//  { 0x3CEE, "" },
//  { 0x3CEF, "" },
//  { 0x3CF0, "" },
//  { 0x3CF1, "" },
    { 0x3CF2, "spotted_list" },
    { 0x3CF3, "enemy_stop_current_behavior" },
//  { 0x3CF4, "" },
    { 0x3CF5, "enemy_set_original_goal" },
    { 0x3CF6, "enemy_runto_and_lookaround" },
//  { 0x3CF7, "" },
//  { 0x3CF8, "" },
//  { 0x3CF9, "" },
//  { 0x3CFA, "" },
    { 0x3CFB, "enemy_announce_attack" },
//  { 0x3CFC, "" },
//  { 0x3CFD, "" },
//  { 0x3CFE, "" },
    { 0x3CFF, "enemy_announce_corpse" },
//  { 0x3D00, "" },
//  { 0x3D01, "" },
//  { 0x3D02, "" },
//  { 0x3D03, "" },
//  { 0x3D04, "" },
//  { 0x3D05, "" },
//  { 0x3D06, "" },
//  { 0x3D07, "" },
//  { 0x3D08, "" },
    { 0x3D09, "anim_props_animated" },
//  { 0x3D0A, "" },
    { 0x3D0B, "enemy_animation_pre_anim" },
//  { 0x3D0C, "" },
//  { 0x3D0D, "" },
//  { 0x3D0E, "" },
//  { 0x3D0F, "" },
//  { 0x3D10, "" },
//  { 0x3D11, "" },
//  { 0x3D12, "" },
    { 0x3D13, "event_awareness_main" },
//  { 0x3D14, "" },
//  { 0x3D15, "" },
//  { 0x3D16, "" },
    { 0x3D17, "stealth_is_everything_normal" },
//  { 0x3D18, "" },
//  { 0x3D19, "" },
//  { 0x3D1A, "" },
//  { 0x3D1B, "" },
    { 0x3D1C, "stealth_default" },
//  { 0x3D1D, "" },
    { 0x3D1E, "friendly_visibility_logic" },
//  { 0x3D1F, "" },
//  { 0x3D20, "" },
//  { 0x3D21, "" },
//  { 0x3D22, "" },
//  { 0x3D23, "" },
//  { 0x3D24, "" },
    { 0x3D25, "detect_range" },
//  { 0x3D26, "" },
    { 0x3D27, "_stealth_move_detection_cap" },
//  { 0x3D28, "" },
    { 0x3D29, "friendly_getangles_ai" },
//  { 0x3D2A, "" },
    { 0x3D2B, "getstance_func" },
    { 0x3D2C, "oldstance" },
//  { 0x3D2D, "" },
//  { 0x3D2E, "" },
//  { 0x3D2F, "" },
    { 0x3D30, "movespeed_scale" },
//  { 0x3D31, "" },
//  { 0x3D32, "" },
//  { 0x3D33, "" },
//  { 0x3D34, "" },
//  { 0x3D35, "" },
    { 0x3D36, "friendly_init" },
//  { 0x3D37, "" },
//  { 0x3D38, "" },
//  { 0x3D39, "" },
    { 0x3D3A, "friendly_state_hidden" },
    { 0x3D3B, "oldgrenadeammo" },
//  { 0x3D3C, "" },
    { 0x3D3D, "friendly_spotted_getup_from_prone" },
    { 0x3D3E, "plugins" },
    { 0x3D3F, "friendly_custom_state_behavior" },
//  { 0x3D40, "" },
    { 0x3D41, "clear_animation" },
//  { 0x3D42, "" },
    { 0x3D43, "enemy_animation_nothing" },
    { 0x3D44, "enemy_animation_generic" },
    { 0x3D45, "dog_animation_generic" },
//  { 0x3D46, "" },
    { 0x3D47, "dog_animation_wakeup_slow" },
    { 0x3D48, "enemy_animation_sawcorpse" },
    { 0x3D49, "dog_animation_sawcorpse" },
//  { 0x3D4A, "" },
    { 0x3D4B, "enemy_animation_foundcorpse" },
//  { 0x3D4C, "" },
//  { 0x3D4D, "" },
//  { 0x3D4E, "" },
//  { 0x3D4F, "" },
//  { 0x3D50, "" },
    { 0x3D51, "enemy_threat_logic_dog_wait" },
//  { 0x3D52, "" },
//  { 0x3D53, "" },
//  { 0x3D54, "" },
//  { 0x3D55, "" },
    { 0x3D56, "enemy_lookaround_for_time" },
//  { 0x3D57, "" },
    { 0x3D58, "enemy_alert_level_warning1" },
    { 0x3D59, "enemy_alert_level_warning2" },
//  { 0x3D5A, "" },
    { 0x3D5B, "enemy_alert_level_attack" },
    { 0x3D5C, "enemy_close_in_on_target" },
//  { 0x3D5D, "" },
//  { 0x3D5E, "" },
//  { 0x3D5F, "" },
//  { 0x3D60, "" },
    { 0x3D61, "ai_event" },
    { 0x3D62, "enemy_default_threat_behavior" },
//  { 0x3D63, "" },
    { 0x3D64, "enemy_set_alert_level" },
    { 0x3D65, "enemy_set_threat_behavior" },
//  { 0x3D66, "" },
//  { 0x3D67, "" },
    { 0x3D68, "enemy_alert_level_change" },
//  { 0x3D69, "" },
//  { 0x3D6A, "" },
//  { 0x3D6B, "" },
//  { 0x3D6C, "" },
    { 0x3D6D, "enemy_threat_logic" },
//  { 0x3D6E, "" },
    { 0x3D6F, "enemy_alert_level_logic" },
//  { 0x3D70, "" },
//  { 0x3D71, "" },
//  { 0x3D72, "" },
//  { 0x3D73, "" },
//  { 0x3D74, "" },
    { 0x3D75, "stealth_group_corpse_flag" },
//  { 0x3D76, "" },
//  { 0x3D77, "" },
    { 0x3D78, "enemy_event_listeners_proc" },
    { 0x3D79, "enemy_event_awareness_notify" },
    { 0x3D7A, "awareness_param" },
    { 0x3D7B, "enemy_event_category_awareness" },
//  { 0x3D7C, "" },
//  { 0x3D7D, "" },
//  { 0x3D7E, "" },
    { 0x3D7F, "event_awareness_waitclear_ai" },
    { 0x3D80, "event_awareness_waitclear_ai_proc" },
//  { 0x3D81, "" },
//  { 0x3D82, "" },
    { 0x3D83, "enemy_alert_level_set_pre_spotted_func" },
    { 0x3D84, "enemy_alert_level_default_pre_spotted_func" },
    { 0x3D85, "stealth_behavior_enemy_main" },
    { 0x3D86, "enemy_animation_loop" },
//  { 0x3D87, "" },
    { 0x3D88, "enemy_state_spotted" },
//  { 0x3D89, "" },
//  { 0x3D8A, "" },
//  { 0x3D8B, "" },
    { 0x3D8C, "enemy_default_state_behavior" },
//  { 0x3D8D, "" },
//  { 0x3D8E, "" },
    { 0x3D8F, "enemy_corpse_loop" },
    { 0x3D90, "enemy_found_corpse_loop" },
//  { 0x3D91, "" },
    { 0x3D92, "enemy_saw_corpse_logic" },
    { 0x3D93, "enemy_corpse_saw_wrapper" },
//  { 0x3D94, "" },
//  { 0x3D95, "" },
    { 0x3D96, "stealth_group_corpse_flag_waitopen" },
//  { 0x3D97, "" },
    { 0x3D98, "enemy_corpse_found_behavior" },
//  { 0x3D99, "" },
//  { 0x3D9A, "" },
//  { 0x3D9B, "" },
//  { 0x3D9C, "" },
//  { 0x3D9D, "" },
    { 0x3D9E, "corpse_behavior_doesnt_require_player_sight" },
//  { 0x3D9F, "" },
//  { 0x3DA0, "" },
//  { 0x3DA1, "" },
    { 0x3DA2, "sight_distsqrd" },
    { 0x3DA3, "detect_distsqrd" },
//  { 0x3DA4, "" },
    { 0x3DA5, "enemy_corpse_found_loop" },
//  { 0x3DA6, "" },
//  { 0x3DA7, "" },
    { 0x3DA8, "reset_time" },
    { 0x3DA9, "enemy_corpse_clear" },
    { 0x3DAA, "enemy_default_corpse_anim_behavior" },
//  { 0x3DAB, "" },
    { 0x3DAC, "enemy_custom_corpse_behavior" },
//  { 0x3DAD, "" },
    { 0x3DAE, "collect_func" },
//  { 0x3DAF, "" },
//  { 0x3DB0, "" },
//  { 0x3DB1, "" },
//  { 0x3DB2, "" },
//  { 0x3DB3, "" },
    { 0x3DB4, "stealth_corpse_set_distances" },
//  { 0x3DB5, "" },
    { 0x3DB6, "stealth_corpse_set_reset_time" },
//  { 0x3DB7, "" },
//  { 0x3DB8, "" },
    { 0x3DB9, "forget_time" },
    { 0x3DBA, "stealth_corpse_set_collect_func" },
//  { 0x3DBB, "" },
//  { 0x3DBC, "" },
//  { 0x3DBD, "" },
    { 0x3DBE, "enemy_event_reaction_wrapper" },
    { 0x3DBF, "enemy_event_reaction_heard_scream" },
//  { 0x3DC0, "" },
//  { 0x3DC1, "" },
    { 0x3DC2, "enemy_event_reaction_nothing" },
    { 0x3DC3, "enemy_investigate_position" },
//  { 0x3DC4, "" },
//  { 0x3DC5, "" },
    { 0x3DC6, "stealth_event_defaults" },
//  { 0x3DC7, "" },
    { 0x3DC8, "stealth_event_anim_defaults" },
//  { 0x3DC9, "" },
//  { 0x3DCA, "" },
    { 0x3DCB, "friendly_color_spotted" },
//  { 0x3DCC, "" },
//  { 0x3DCD, "" },
//  { 0x3DCE, "" },
    { 0x3DCF, "stealth_accuracy_friendly_main" },
    { 0x3DD0, "friendly_acc_hidden" },
//  { 0x3DD1, "" },
//  { 0x3DD2, "" },
    { 0x3DD3, "old_baseaccuracy" },
//  { 0x3DD4, "" },
//  { 0x3DD5, "" },
//  { 0x3DD6, "" },
//  { 0x3DD7, "" },
    { 0x3DD8, "stealth_smartstance_friendly_main" },
//  { 0x3DD9, "" },
//  { 0x3DDA, "" },
    { 0x3DDB, "old_fixednodesaferadius" },
//  { 0x3DDC, "" },
//  { 0x3DDD, "" },
//  { 0x3DDE, "" },
    { 0x3DDF, "friendly_stance_handler_return_ai_sight" },
//  { 0x3DE0, "" },
//  { 0x3DE1, "" },
//  { 0x3DE2, "" },
//  { 0x3DE3, "" },
//  { 0x3DE4, "" },
//  { 0x3DE5, "" },
//  { 0x3DE6, "" },
    { 0x3DE7, "smartstance" },
//  { 0x3DE8, "" },
    { 0x3DE9, "friendly_set_stance_handler_distances" },
//  { 0x3DEA, "" },
    { 0x3DEB, "system_message_loop" },
    { 0x3DEC, "system_event_change" },
//  { 0x3DED, "" },
//  { 0x3DEE, "" },
    { 0x3DEF, "system_state_check_no_enemy" },
//  { 0x3DF0, "" },
//  { 0x3DF1, "" },
    { 0x3DF2, "player_grenade_check" },
    { 0x3DF3, "player_grenade_check_dieout" },
//  { 0x3DF4, "" },
//  { 0x3DF5, "" },
//  { 0x3DF6, "" },
    { 0x3DF7, "system_handle_clipbrush" },
    { 0x3DF8, "system_init" },
//  { 0x3DF9, "" },
//  { 0x3DFA, "" },
    { 0x3DFB, "system_set_detect_ranges" },
    { 0x3DFC, "system_default_event_distances" },
    { 0x3DFD, "system_set_event_distances" },
    { 0x3DFE, "stealth_set_default_stealth_function" },
//  { 0x3DFF, "" },
    { 0x3E00, "basic" },
    { 0x3E01, "stealth_basic_states_custom" },
    { 0x3E02, "stealth_basic_states_default" },
//  { 0x3E03, "" },
    { 0x3E04, "stealth_pre_spotted_function_default" },
//  { 0x3E05, "" },
    { 0x3E06, "stealth_enable_seek_player_on_spotted" },
    { 0x3E07, "stealth_disable_seek_player_on_spotted" },
    { 0x3E08, "stealth_threat_behavior_custom" },
//  { 0x3E09, "" },
    { 0x3E0A, "stealth_threat_behavior_default_no_warnings" },
//  { 0x3E0B, "" },
//  { 0x3E0C, "" },
    { 0x3E0D, "stealth_corpse_behavior_custom" },
//  { 0x3E0E, "" },
//  { 0x3E0F, "" },
//  { 0x3E10, "" },
//  { 0x3E11, "" },
//  { 0x3E12, "" },
//  { 0x3E13, "" },
//  { 0x3E14, "" },
//  { 0x3E15, "" },
//  { 0x3E16, "" },
    { 0x3E17, "stealth_plugin_event_heard_scream" },
    { 0x3E18, "stealth_plugin_event_flashbang" },
    { 0x3E19, "stealth_plugin_event_explosion" },
//  { 0x3E1A, "" },
    { 0x3E1B, "stealth_plugin_aicolor" },
    { 0x3E1C, "stealth_color_state_custom" },
    { 0x3E1D, "stealth_color_state_default" },
//  { 0x3E1E, "" },
//  { 0x3E1F, "" },
//  { 0x3E20, "" },
    { 0x3E21, "stealth_plugin_smart_stance" },
//  { 0x3E22, "" },
    { 0x3E23, "disable_stealth_smart_stance" },
//  { 0x3E24, "" },
    { 0x3E25, "stealth_enemy_endon_alert" },
//  { 0x3E26, "" },
//  { 0x3E27, "" },
    { 0x3E28, "stealth_detect_ranges_default" },
//  { 0x3E29, "" },
    { 0x3E2A, "stealth_corpse_ranges_default" },
//  { 0x3E2B, "" },
//  { 0x3E2C, "" },
    { 0x3E2D, "stealth_friendly_movespeed_scale_set" },
//  { 0x3E2E, "" },
    { 0x3E2F, "stealth_friendly_stance_handler_distances_set" },
//  { 0x3E30, "" },
//  { 0x3E31, "" },
//  { 0x3E32, "" },
//  { 0x3E33, "" },
    { 0x3E34, "do_wait_thread" },
//  { 0x3E35, "" },
    { 0x3E36, "stealth_ai_reach_idle_and_react" },
//  { 0x3E37, "" },
//  { 0x3E38, "" },
//  { 0x3E39, "" },
//  { 0x3E3A, "" },
//  { 0x3E3B, "" },
    { 0x3E3C, "stealth_group_return_groups_with_event_flag" },
    { 0x3E3D, "stealth_group_return_groups_with_corpse_flag" },
    { 0x3E3E, "stealth_group_return_ai_with_spotted_flag" },
//  { 0x3E3F, "" },
    { 0x3E40, "stealth_group_return_ai_with_corpse_flag" },
//  { 0x3E41, "" },
//  { 0x3E42, "" },
//  { 0x3E43, "" },
//  { 0x3E44, "" },
    { 0x3E45, "enable_stealth_system" },
    { 0x3E46, "disable_stealth_system" },
    { 0x3E47, "enable_stealth_for_ai" },
    { 0x3E48, "disable_stealth_for_ai" },
    { 0x3E49, "flags_init" },
//  { 0x3E4A, "" },
//  { 0x3E4B, "" },
    { 0x3E4C, "stealth_truck_think" },
//  { 0x3E4D, "" },
//  { 0x3E4E, "" },
//  { 0x3E4F, "" },
//  { 0x3E50, "" },
//  { 0x3E51, "" },
    { 0x3E52, "got_off_truck_origin" },
//  { 0x3E53, "" },
//  { 0x3E54, "" },
    { 0x3E55, "truck_guys_no_enemy_reaction_behavior" },
//  { 0x3E56, "" },
    { 0x3E57, "set_alert_cold_patrol_anims" },
//  { 0x3E58, "" },
//  { 0x3E59, "" },
    { 0x3E5A, "unload_and_attack_if_stealth_broken_and_close" },
    { 0x3E5B, "waittill_player_in_range" },
    { 0x3E5C, "truck_headlights" },
//  { 0x3E5D, "" },
//  { 0x3E5E, "" },
//  { 0x3E5F, "" },
//  { 0x3E60, "" },
//  { 0x3E61, "" },
//  { 0x3E62, "" },
//  { 0x3E63, "" },
//  { 0x3E64, "" },
    { 0x3E65, "draworigin" },
//  { 0x3E66, "" },
    { 0x3E67, "attackradius" },
    { 0x3E68, "cobrapilot_difficulty" },
//  { 0x3E69, "" },
//  { 0x3E6A, "" },
    { 0x3E6B, "missilelaunchnexttag" },
//  { 0x3E6C, "" },
//  { 0x3E6D, "" },
    { 0x3E6E, "draw_missile_target_line" },
//  { 0x3E6F, "" },
//  { 0x3E70, "" },
//  { 0x3E71, "" },
//  { 0x3E72, "" },
//  { 0x3E73, "" },
//  { 0x3E74, "" },
//  { 0x3E75, "" },
//  { 0x3E76, "" },
    { 0x3E77, "bike_score" },
    { 0x3E78, "bike_death_score" },
//  { 0x3E79, "" },
//  { 0x3E7A, "" },
//  { 0x3E7B, "" },
//  { 0x3E7C, "" },
//  { 0x3E7D, "" },
//  { 0x3E7E, "" },
    { 0x3E7F, "next_node" },
    { 0x3E80, "midpoint" },
//  { 0x3E81, "" },
    { 0x3E82, "road_width" },
    { 0x3E83, "col_volumes" },
//  { 0x3E84, "" },
//  { 0x3E85, "" },
    { 0x3E86, "draw_col_vol" },
//  { 0x3E87, "" },
//  { 0x3E88, "" },
    { 0x3E89, "prev_node" },
//  { 0x3E8A, "" },
    { 0x3E8B, "col_radiuses" },
//  { 0x3E8C, "" },
    { 0x3E8D, "dist_to_next_targs" },
//  { 0x3E8E, "" },
//  { 0x3E8F, "" },
    { 0x3E90, "get_offset_percent" },
//  { 0x3E91, "" },
//  { 0x3E92, "" },
//  { 0x3E93, "" },
//  { 0x3E94, "" },
//  { 0x3E95, "" },
//  { 0x3E96, "" },
//  { 0x3E97, "" },
//  { 0x3E98, "" },
    { 0x3E99, "vehicle_line" },
    { 0x3E9A, "spawner_random_team" },
    { 0x3E9B, "get_spawn_position" },
    { 0x3E9C, "debug_enemy_vehicles" },
//  { 0x3E9D, "" },
//  { 0x3E9E, "" },
//  { 0x3E9F, "" },
//  { 0x3EA0, "" },
    { 0x3EA1, "crash_detection" },
//  { 0x3EA2, "" },
//  { 0x3EA3, "" },
//  { 0x3EA4, "" },
//  { 0x3EA5, "" },
    { 0x3EA6, "bike_drives_path" },
//  { 0x3EA7, "" },
//  { 0x3EA8, "" },
    { 0x3EA9, "bike" },
    { 0x3EAA, "progress_targ" },
    { 0x3EAB, "offset_modifier" },
//  { 0x3EAC, "" },
//  { 0x3EAD, "" },
//  { 0x3EAE, "" },
//  { 0x3EAF, "" },
    { 0x3EB0, "get_obstacle_dodge_amount" },
//  { 0x3EB1, "" },
//  { 0x3EB2, "" },
    { 0x3EB3, "difference" },
//  { 0x3EB4, "" },
//  { 0x3EB5, "" },
//  { 0x3EB6, "" },
    { 0x3EB7, "price_match_player_speed" },
    { 0x3EB8, "price_desired_speed" },
//  { 0x3EB9, "" },
    { 0x3EBA, "track_player_progress" },
    { 0x3EBB, "closest_enemy_snowmobile_to_player" },
    { 0x3EBC, "set_bike_position" },
//  { 0x3EBD, "" },
//  { 0x3EBE, "" },
//  { 0x3EBF, "" },
    { 0x3EC0, "get_position_from_spline_unlimited" },
    { 0x3EC1, "get_position_from_spline" },
    { 0x3EC2, "get_position_from_progress" },
//  { 0x3EC3, "" },
//  { 0x3EC4, "" },
    { 0x3EC5, "track_progress" },
//  { 0x3EC6, "" },
//  { 0x3EC7, "" },
    { 0x3EC8, "right_offset" },
//  { 0x3EC9, "" },
    { 0x3ECA, "bike_avoids_obstacles" },
//  { 0x3ECB, "" },
//  { 0x3ECC, "" },
    { 0x3ECD, "dodge_dir" },
    { 0x3ECE, "should_stabilize" },
    { 0x3ECF, "bike_turns" },
    { 0x3ED0, "tilt" },
//  { 0x3ED1, "" },
//  { 0x3ED2, "" },
//  { 0x3ED3, "" },
//  { 0x3ED4, "" },
//  { 0x3ED5, "" },
    { 0x3ED6, "debug_bike_line" },
//  { 0x3ED7, "" },
//  { 0x3ED8, "" },
//  { 0x3ED9, "" },
    { 0x3EDA, "oldthreatbias" },
//  { 0x3EDB, "" },
    { 0x3EDC, "vehiclehud2" },
//  { 0x3EDD, "" },
    { 0x3EDE, "vehicle_enter" },
//  { 0x3EDF, "" },
    { 0x3EE0, "setup_vehicle_other" },
//  { 0x3EE1, "" },
//  { 0x3EE2, "" },
    { 0x3EE3, "vehicle_ridehandle" },
//  { 0x3EE4, "" },
//  { 0x3EE5, "" },
//  { 0x3EE6, "" },
//  { 0x3EE7, "" },
    { 0x3EE8, "vehicle_reloadsound" },
//  { 0x3EE9, "" },
//  { 0x3EEA, "" },
    { 0x3EEB, "ambient_modifier" },
    { 0x3EEC, "rainmedium" },
    { 0x3EED, "rainlight" },
    { 0x3EEE, "rainnone" },
//  { 0x3EEF, "" },
//  { 0x3EF0, "" },
    { 0x3EF1, "lightning" },
//  { 0x3EF2, "" },
//  { 0x3EF3, "" },
//  { 0x3EF4, "" },
    { 0x3EF5, "lightningexploderindex" },
//  { 0x3EF6, "" },
    { 0x3EF7, "rainlevelrandomwait" },
//  { 0x3EF8, "" },
//  { 0x3EF9, "" },
//  { 0x3EFA, "" },
//  { 0x3EFB, "" },
//  { 0x3EFC, "" },
    { 0x3EFD, "thunder" },
//  { 0x3EFE, "" },
//  { 0x3EFF, "" },
//  { 0x3F00, "" },
    { 0x3F01, "go" },
    { 0x3F02, "small_gibs" },
//  { 0x3F03, "" },
    { 0x3F04, "so_msg_handler" },
//  { 0x3F05, "" },
//  { 0x3F06, "" },
//  { 0x3F07, "" },
//  { 0x3F08, "" },
//  { 0x3F09, "" },
//  { 0x3F0A, "" },
//  { 0x3F0B, "" },
    { 0x3F0C, "aud_run_tank_system" },
//  { 0x3F0D, "" },
//  { 0x3F0E, "" },
    { 0x3F0F, "envs" },
    { 0x3F10, "aud_create_drive_envs" },
    { 0x3F11, "aud_ground_veh_deathwatch" },
//  { 0x3F12, "" },
    { 0x3F13, "aud_fade_loop_out_and_delete_temp" },
//  { 0x3F14, "" },
//  { 0x3F15, "" },
    { 0x3F16, "so_mission_min_time" },
//  { 0x3F17, "" },
    { 0x3F18, "achieve_strike" },
    { 0x3F19, "achieve_jack_the_ripper" },
//  { 0x3F1A, "" },
//  { 0x3F1B, "" },
//  { 0x3F1C, "" },
//  { 0x3F1D, "" },
//  { 0x3F1E, "" },
    { 0x3F1F, "character/character_opforce_rushwood_assault_a" },
//  { 0x3F20, "" },
//  { 0x3F21, "" },
//  { 0x3F22, "" },
//  { 0x3F23, "" },
//  { 0x3F24, "" },
    { 0x3F25, "radio_dialogue_queue_single" },
    { 0x3F26, "dialogue_queue_single" },
    { 0x3F27, "dialogue_random_line" },
//  { 0x3F28, "" },
//  { 0x3F29, "" },
//  { 0x3F2A, "" },
//  { 0x3F2B, "" },
    { 0x3F2C, "ignore_suppression_trigger_ai_think" },
//  { 0x3F2D, "" },
//  { 0x3F2E, "" },
    { 0x3F2F, "clear_hints" },
    { 0x3F30, "hintelem" },
//  { 0x3F31, "" },
    { 0x3F32, "iconelem2" },
    { 0x3F33, "iconelem3" },
//  { 0x3F34, "" },
    { 0x3F35, "high_priority_hint" },
//  { 0x3F36, "" },
//  { 0x3F37, "" },
//  { 0x3F38, "" },
//  { 0x3F39, "" },
//  { 0x3F3A, "" },
//  { 0x3F3B, "" },
//  { 0x3F3C, "" },
//  { 0x3F3D, "" },
    { 0x3F3E, "playengineeffects" },
//  { 0x3F3F, "" },
//  { 0x3F40, "" },
    { 0x3F41, "playcontrail12" },
//  { 0x3F42, "" },
//  { 0x3F43, "" },
//  { 0x3F44, "" },
//  { 0x3F45, "" },
//  { 0x3F46, "" },
//  { 0x3F47, "" },
    { 0x3F48, "player_animations" },
    { 0x3F49, "setup_shg_fx" },
//  { 0x3F4A, "" },
    { 0x3F4B, "getentsbyfxid" },
    { 0x3F4C, "pauseexploders" },
//  { 0x3F4D, "" },
    { 0x3F4E, "restartfxid" },
//  { 0x3F4F, "" },
//  { 0x3F50, "" },
    { 0x3F51, "vec3_mult_matrix33" },
//  { 0x3F52, "" },
//  { 0x3F53, "" },
//  { 0x3F54, "" },
//  { 0x3F55, "" },
    { 0x3F56, "spawn_tendril" },
//  { 0x3F57, "" },
//  { 0x3F58, "" },
//  { 0x3F59, "" },
//  { 0x3F5A, "" },
//  { 0x3F5B, "" },
//  { 0x3F5C, "" },
    { 0x3F5D, "g_visionexit" },
    { 0x3F5E, "g_visiondefault" },
//  { 0x3F5F, "" },
//  { 0x3F60, "" },
    { 0x3F61, "vision_zone_manager" },
    { 0x3F62, "fx_zone_watcher" },
//  { 0x3F63, "" },
//  { 0x3F64, "" },
//  { 0x3F65, "" },
//  { 0x3F66, "" },
//  { 0x3F67, "" },
//  { 0x3F68, "" },
//  { 0x3F69, "" },
//  { 0x3F6A, "" },
//  { 0x3F6B, "" },
//  { 0x3F6C, "" },
//  { 0x3F6D, "" },
//  { 0x3F6E, "" },
    { 0x3F6F, "get_exploder_entarray" },
    { 0x3F70, "fx_spot_lens_flare_tag" },
//  { 0x3F71, "" },
    { 0x3F72, "get_exploder_pos" },
    { 0x3F73, "create_exploders_fromlist" },
//  { 0x3F74, "" },
    { 0x3F75, "setup_fx_chain" },
//  { 0x3F76, "" },
    { 0x3F77, "kill_fx_on_chain" },
//  { 0x3F78, "" },
//  { 0x3F79, "" },
//  { 0x3F7A, "" },
//  { 0x3F7B, "" },
//  { 0x3F7C, "" },
//  { 0x3F7D, "" },
//  { 0x3F7E, "" },
    { 0x3F7F, "enable_fx_bombshake_duck" },
//  { 0x3F80, "" },
//  { 0x3F81, "" },
//  { 0x3F82, "" },
//  { 0x3F83, "" },
    { 0x3F84, "aud_register_trigger_callbacks" },
//  { 0x3F85, "" },
    { 0x3F86, "mus_steffanys_combat_start_e3demo_itiot" },
    { 0x3F87, "player_hind" },
    { 0x3F88, "entered_15_broadway" },
//  { 0x3F89, "" },
//  { 0x3F8A, "" },
//  { 0x3F8B, "" },
//  { 0x3F8C, "" },
//  { 0x3F8D, "" },
//  { 0x3F8E, "" },
    { 0x3F8F, "music_cue" },
    { 0x3F90, "music_msg_handler" },
//  { 0x3F91, "" },
//  { 0x3F92, "" },
    { 0x3F93, "mus_stock_exchange_lobby" },
//  { 0x3F94, "" },
//  { 0x3F95, "" },
//  { 0x3F96, "" },
//  { 0x3F97, "" },
//  { 0x3F98, "" },
    { 0x3F99, "aud_mus_between_tiffs_and_stock_exchange" },
//  { 0x3F9A, "" },
    { 0x3F9B, "aud_mus_player_enters_hind" },
//  { 0x3F9C, "" },
//  { 0x3F9D, "" },
    { 0x3F9E, "aud_blownout_heli_mix_progress" },
//  { 0x3F9F, "" },
    { 0x3FA0, "aud_nymn_intro_start" },
//  { 0x3FA1, "" },
//  { 0x3FA2, "" },
    { 0x3FA3, "aud_missile_explode_watch" },
    { 0x3FA4, "aud_ny_predator_explode" },
    { 0x3FA5, "aud_remote_missile_watch" },
//  { 0x3FA6, "" },
//  { 0x3FA7, "" },
//  { 0x3FA8, "" },
    { 0x3FA9, "stryker_revd" },
//  { 0x3FAA, "" },
//  { 0x3FAB, "" },
    { 0x3FAC, "vehicle_oneshots" },
    { 0x3FAD, "aud_ent_fade_out" },
//  { 0x3FAE, "" },
    { 0x3FAF, "aud_ground_vehicle_deathwatch" },
//  { 0x3FB0, "" },
//  { 0x3FB1, "" },
//  { 0x3FB2, "" },
//  { 0x3FB3, "" },
    { 0x3FB4, "aud_15_broad_flourescent_lights" },
    { 0x3FB5, "aud_briefing_done" },
//  { 0x3FB6, "" },
    { 0x3FB7, "bink_ents" },
//  { 0x3FB8, "" },
    { 0x3FB9, "aud_play_tv_syncd" },
//  { 0x3FBA, "" },
//  { 0x3FBB, "" },
    { 0x3FBC, "aud_15th_broad_gasoline_spilling" },
//  { 0x3FBD, "" },
//  { 0x3FBE, "" },
//  { 0x3FBF, "" },
//  { 0x3FC0, "" },
    { 0x3FC1, "aud_intro_taxi_engine_steam" },
    { 0x3FC2, "aud_street_flares" },
    { 0x3FC3, "aud_start_flies_in_dumpsters" },
//  { 0x3FC4, "" },
//  { 0x3FC5, "" },
    { 0x3FC6, "jam_ent_l" },
    { 0x3FC7, "jam_ent_r" },
//  { 0x3FC8, "" },
//  { 0x3FC9, "" },
    { 0x3FCA, "aud_mus_jamming_tower_distance_mix_thread" },
    { 0x3FCB, "aud_explode_jamming_tower" },
//  { 0x3FCC, "" },
//  { 0x3FCD, "" },
//  { 0x3FCE, "" },
//  { 0x3FCF, "" },
    { 0x3FD0, "aud_hind_kill" },
//  { 0x3FD1, "" },
//  { 0x3FD2, "" },
//  { 0x3FD3, "" },
//  { 0x3FD4, "" },
//  { 0x3FD5, "" },
//  { 0x3FD6, "" },
//  { 0x3FD7, "" },
    { 0x3FD8, "is_firing" },
//  { 0x3FD9, "" },
//  { 0x3FDA, "" },
//  { 0x3FDB, "" },
//  { 0x3FDC, "" },
//  { 0x3FDD, "" },
//  { 0x3FDE, "" },
    { 0x3FDF, "hind_missile_audio_control" },
    { 0x3FE0, "contact_explode" },
    { 0x3FE1, "xm25_monitor" },
    { 0x3FE2, "xm25_destroy_hud" },
    { 0x3FE3, "data_value" },
//  { 0x3FE4, "" },
//  { 0x3FE5, "" },
//  { 0x3FE6, "" },
    { 0x3FE7, "watchweaponswitch" },
//  { 0x3FE8, "" },
    { 0x3FE9, "weapon_change_timer" },
//  { 0x3FEA, "" },
//  { 0x3FEB, "" },
//  { 0x3FEC, "" },
//  { 0x3FED, "" },
//  { 0x3FEE, "" },
//  { 0x3FEF, "" },
//  { 0x3FF0, "" },
    { 0x3FF1, "show_range" },
//  { 0x3FF2, "" },
    { 0x3FF3, "watchproximityairburstfire" },
//  { 0x3FF4, "" },
    { 0x3FF5, "airburst" },
    { 0x3FF6, "in_proximity_loop" },
//  { 0x3FF7, "" },
    { 0x3FF8, "create_hud_xm25_screen" },
    { 0x3FF9, "create_hud_xm25_scanlines" },
//  { 0x3FFA, "" },
//  { 0x3FFB, "" },
//  { 0x3FFC, "" },
    { 0x3FFD, "lastpathnode" },
//  { 0x3FFE, "" },
//  { 0x3FFF, "" },
    { 0x4000, "smooth_vehicle_path_set_lookahead" },
//  { 0x4001, "" },
//  { 0x4002, "" },
//  { 0x4003, "" },
//  { 0x4004, "" },
//  { 0x4005, "" },
//  { 0x4006, "" },
//  { 0x4007, "" },
    { 0x4008, "smooth_vehicle_path_cleartargetyaw" },
    { 0x4009, "smooth_vehicle_debug_node" },
    { 0x400A, "ny_start_heli_path" },
    { 0x400B, "curpathstart" },
    { 0x400C, "test_if_smooth_path" },
//  { 0x400D, "" },
    { 0x400E, "curnode_set" },
//  { 0x400F, "" },
//  { 0x4010, "" },
//  { 0x4011, "" },
//  { 0x4012, "" },
    { 0x4013, "smooth_decel" },
//  { 0x4014, "" },
//  { 0x4015, "" },
//  { 0x4016, "" },
//  { 0x4017, "" },
//  { 0x4018, "" },
//  { 0x4019, "" },
//  { 0x401A, "" },
    { 0x401B, "set_usevelang" },
//  { 0x401C, "" },
//  { 0x401D, "" },
    { 0x401E, "follow_enemy_vehicle_thats_using_smoothpath" },
//  { 0x401F, "" },
//  { 0x4020, "" },
//  { 0x4021, "" },
//  { 0x4022, "" },
    { 0x4023, "bezier_vehicle_path" },
//  { 0x4024, "" },
//  { 0x4025, "" },
//  { 0x4026, "" },
//  { 0x4027, "" },
//  { 0x4028, "" },
    { 0x4029, "trackentity" },
    { 0x402A, "startdebugpath" },
//  { 0x402B, "" },
    { 0x402C, "stopdebugpath" },
//  { 0x402D, "" },
    { 0x402E, "adddebugpoint" },
//  { 0x402F, "" },
//  { 0x4030, "" },
//  { 0x4031, "" },
    { 0x4032, "debugcatchhits" },
    { 0x4033, "debug_health_recs" },
    { 0x4034, "debughindhealth" },
    { 0x4035, "nym_burst_fire_settings" },
    { 0x4036, "nym_cleanup_tt" },
//  { 0x4037, "" },
    { 0x4038, "nym_hind_turret_target_around_player" },
//  { 0x4039, "" },
//  { 0x403A, "" },
//  { 0x403B, "" },
//  { 0x403C, "" },
//  { 0x403D, "" },
//  { 0x403E, "" },
//  { 0x403F, "" },
//  { 0x4040, "" },
//  { 0x4041, "" },
//  { 0x4042, "" },
//  { 0x4043, "" },
//  { 0x4044, "" },
//  { 0x4045, "" },
    { 0x4046, "set_idle" },
//  { 0x4047, "" },
//  { 0x4048, "" },
    { 0x4049, "hide_hands" },
//  { 0x404A, "" },
//  { 0x404B, "" },
//  { 0x404C, "" },
    { 0x404D, "firebuttonpressed" },
//  { 0x404E, "" },
    { 0x404F, "player_viewhands_minigun_presed" },
//  { 0x4050, "" },
//  { 0x4051, "" },
//  { 0x4052, "" },
//  { 0x4053, "" },
    { 0x4054, "player_on_minigun" },
    { 0x4055, "minigun_rumble" },
//  { 0x4056, "" },
    { 0x4057, "rumble_ent" },
    { 0x4058, "minigun_fire_sounds" },
    { 0x4059, "allowedtofire" },
//  { 0x405A, "" },
//  { 0x405B, "" },
    { 0x405C, "minigun_used" },
    { 0x405D, "frames" },
//  { 0x405E, "" },
//  { 0x405F, "" },
    { 0x4060, "enable_turret_fire" },
//  { 0x4061, "" },
//  { 0x4062, "" },
//  { 0x4063, "" },
    { 0x4064, "minigun_hints_on" },
    { 0x4065, "minigunhintspin" },
    { 0x4066, "minigunhintfire" },
    { 0x4067, "hintbackground1" },
    { 0x4068, "hintbackground2" },
//  { 0x4069, "" },
    { 0x406A, "spinup_ny_harbor_hind" },
    { 0x406B, "landed_blades" },
    { 0x406C, "flying_blades_tag" },
    { 0x406D, "fix_hind_doors" },
    { 0x406E, "retract_landing_gear" },
    { 0x406F, "swap_hind_guns" },
//  { 0x4070, "" },
//  { 0x4071, "" },
//  { 0x4072, "" },
    { 0x4073, "hind_tvm" },
//  { 0x4074, "" },
    { 0x4075, "onheli" },
    { 0x4076, "setup_turret_with_viewmodel" },
//  { 0x4077, "" },
//  { 0x4078, "" },
//  { 0x4079, "" },
//  { 0x407A, "" },
    { 0x407B, "lerp_on" },
//  { 0x407C, "" },
    { 0x407D, "viewhands" },
//  { 0x407E, "" },
    { 0x407F, "is_occupied" },
//  { 0x4080, "" },
//  { 0x4081, "" },
//  { 0x4082, "" },
    { 0x4083, "turret_viewmodel_model" },
    { 0x4084, "hindgun_fire" },
//  { 0x4085, "" },
//  { 0x4086, "" },
//  { 0x4087, "" },
//  { 0x4088, "" },
//  { 0x4089, "" },
//  { 0x408A, "" },
//  { 0x408B, "" },
    { 0x408C, "animate_turret_with_viewmodel" },
    { 0x408D, "hands_animation" },
    { 0x408E, "gun_animation" },
    { 0x408F, "adjusthindplayersviewarcs" },
    { 0x4090, "right_view_arc" },
    { 0x4091, "left_view_arc" },
    { 0x4092, "top_view_arc" },
    { 0x4093, "bottom_view_arc" },
    { 0x4094, "kill_aircraft_dust" },
//  { 0x4095, "" },
//  { 0x4096, "" },
//  { 0x4097, "" },
//  { 0x4098, "" },
//  { 0x4099, "" },
//  { 0x409A, "" },
    { 0x409B, "hide_hind_wing" },
//  { 0x409C, "" },
//  { 0x409D, "" },
//  { 0x409E, "" },
//  { 0x409F, "" },
//  { 0x40A0, "" },
//  { 0x40A1, "" },
//  { 0x40A2, "" },
//  { 0x40A3, "" },
//  { 0x40A4, "" },
    { 0x40A5, "squad_ignoreme_off" },
    { 0x40A6, "define_squad_leader" },
//  { 0x40A7, "" },
//  { 0x40A8, "" },
//  { 0x40A9, "" },
    { 0x40AA, "reno" },
//  { 0x40AB, "" },
//  { 0x40AC, "" },
//  { 0x40AD, "" },
//  { 0x40AE, "" },
//  { 0x40AF, "" },
//  { 0x40B0, "" },
//  { 0x40B1, "" },
    { 0x40B2, "path_squad_to_destroyed_building" },
//  { 0x40B3, "" },
//  { 0x40B4, "" },
//  { 0x40B5, "" },
//  { 0x40B6, "" },
    { 0x40B7, "monitor_player_first_shot" },
//  { 0x40B8, "" },
//  { 0x40B9, "" },
//  { 0x40BA, "" },
//  { 0x40BB, "" },
//  { 0x40BC, "" },
//  { 0x40BD, "" },
//  { 0x40BE, "" },
//  { 0x40BF, "" },
    { 0x40C0, "first_combat_backup_02" },
//  { 0x40C1, "" },
//  { 0x40C2, "" },
//  { 0x40C3, "" },
//  { 0x40C4, "" },
    { 0x40C5, "hint_hybrid" },
//  { 0x40C6, "" },
//  { 0x40C7, "" },
    { 0x40C8, "truck" },
//  { 0x40C9, "" },
    { 0x40CA, "broad_hind_strafe" },
//  { 0x40CB, "" },
//  { 0x40CC, "" },
//  { 0x40CD, "" },
//  { 0x40CE, "" },
//  { 0x40CF, "" },
//  { 0x40D0, "" },
//  { 0x40D1, "" },
//  { 0x40D2, "" },
//  { 0x40D3, "" },
//  { 0x40D4, "" },
//  { 0x40D5, "" },
    { 0x40D6, "waste_bankers" },
//  { 0x40D7, "" },
//  { 0x40D8, "" },
    { 0x40D9, "wait_for_intro_missile_to_hit" },
//  { 0x40DA, "" },
    { 0x40DB, "intro_stryker" },
    { 0x40DC, "broad_stryker02" },
    { 0x40DD, "stryker_think" },
    { 0x40DE, "strykers" },
    { 0x40DF, "intro_stryker_monitor_player_distance" },
//  { 0x40E0, "" },
//  { 0x40E1, "" },
    { 0x40E2, "stryker_shoot" },
    { 0x40E3, "vehicle_path_disconnect" },
    { 0x40E4, "intro_gazcrash" },
//  { 0x40E5, "" },
//  { 0x40E6, "" },
//  { 0x40E7, "" },
//  { 0x40E8, "" },
    { 0x40E9, "broad_hind_timer" },
//  { 0x40EA, "" },
//  { 0x40EB, "" },
    { 0x40EC, "broad_hind_think" },
    { 0x40ED, "can_shoot" },
//  { 0x40EE, "" },
//  { 0x40EF, "" },
//  { 0x40F0, "" },
//  { 0x40F1, "" },
    { 0x40F2, "gaz_entrance_guys_go" },
    { 0x40F3, "rubble_enemy_entrance_anim" },
    { 0x40F4, "gaz_entrance_guy1_think" },
//  { 0x40F5, "" },
//  { 0x40F6, "" },
//  { 0x40F7, "" },
    { 0x40F8, "vfx_door_kick" },
    { 0x40F9, "cleanup_ai" },
//  { 0x40FA, "" },
    { 0x40FB, "catch_broad_hind_first_shot" },
    { 0x40FC, "broad_stryker_monitor" },
//  { 0x40FD, "" },
//  { 0x40FE, "" },
    { 0x40FF, "hummer_intro" },
    { 0x4100, "humvee_intro_missiles" },
//  { 0x4101, "" },
//  { 0x4102, "" },
//  { 0x4103, "" },
//  { 0x4104, "" },
    { 0x4105, "getadsbinding" },
    { 0x4106, "handle_ads_hint" },
    { 0x4107, "first_combat" },
    { 0x4108, "broad_humvee_02" },
//  { 0x4109, "" },
    { 0x410A, "fc_delay_kill" },
//  { 0x410B, "" },
//  { 0x410C, "" },
    { 0x410D, "monitor_hint_xm25" },
//  { 0x410E, "" },
//  { 0x410F, "" },
    { 0x4110, "enable_awareness" },
    { 0x4111, "suppressionwait_old" },
    { 0x4112, "disable_awareness" },
//  { 0x4113, "" },
//  { 0x4114, "" },
//  { 0x4115, "" },
    { 0x4116, "player_backtrack_fail_setup" },
//  { 0x4117, "" },
//  { 0x4118, "" },
//  { 0x4119, "" },
    { 0x411A, "tv_cinematic_think_broad" },
    { 0x411B, "tv_cinematic_think_nyse" },
//  { 0x411C, "" },
//  { 0x411D, "" },
//  { 0x411E, "" },
//  { 0x411F, "" },
//  { 0x4120, "" },
    { 0x4121, "multiple_c4" },
//  { 0x4122, "" },
    { 0x4123, "c4_count" },
//  { 0x4124, "" },
//  { 0x4125, "" },
//  { 0x4126, "" },
//  { 0x4127, "" },
    { 0x4128, "remove_detonator" },
//  { 0x4129, "" },
//  { 0x412A, "" },
//  { 0x412B, "" },
//  { 0x412C, "" },
//  { 0x412D, "" },
    { 0x412E, "tiff_guys" },
    { 0x412F, "lonely_guys" },
//  { 0x4130, "" },
//  { 0x4131, "" },
//  { 0x4132, "" },
//  { 0x4133, "" },
//  { 0x4134, "" },
    { 0x4135, "tiff_color_progression" },
//  { 0x4136, "" },
    { 0x4137, "tiff_battle_progression" },
//  { 0x4138, "" },
//  { 0x4139, "" },
    { 0x413A, "battle_flava" },
//  { 0x413B, "" },
//  { 0x413C, "" },
    { 0x413D, "delta2_leader" },
    { 0x413E, "dialog_anvil_wall" },
//  { 0x413F, "" },
    { 0x4140, "tiff_sandman_moveout" },
//  { 0x4141, "" },
    { 0x4142, "reno_tiff_shooters_below" },
//  { 0x4143, "" },
//  { 0x4144, "" },
//  { 0x4145, "" },
//  { 0x4146, "" },
//  { 0x4147, "" },
//  { 0x4148, "" },
    { 0x4149, "nyse_reset_ally_colors" },
//  { 0x414A, "" },
//  { 0x414B, "" },
//  { 0x414C, "" },
//  { 0x414D, "" },
//  { 0x414E, "" },
//  { 0x414F, "" },
//  { 0x4150, "" },
    { 0x4151, "exit_animscripted_on_flashbang" },
//  { 0x4152, "" },
//  { 0x4153, "" },
    { 0x4154, "nyse_rooftop_hind" },
    { 0x4155, "balcony_guys" },
//  { 0x4156, "" },
//  { 0x4157, "" },
//  { 0x4158, "" },
    { 0x4159, "jammer_monitor" },
//  { 0x415A, "" },
//  { 0x415B, "" },
//  { 0x415C, "" },
//  { 0x415D, "" },
//  { 0x415E, "" },
//  { 0x415F, "" },
//  { 0x4160, "" },
//  { 0x4161, "" },
    { 0x4162, "jammer_thermite_burn_player" },
//  { 0x4163, "" },
    { 0x4164, "jammer_enemies_fake_death" },
//  { 0x4165, "" },
    { 0x4166, "hint_thermite_switch" },
//  { 0x4167, "" },
//  { 0x4168, "" },
//  { 0x4169, "" },
//  { 0x416A, "" },
    { 0x416B, "predator_defend" },
//  { 0x416C, "" },
//  { 0x416D, "" },
//  { 0x416E, "" },
//  { 0x416F, "" },
    { 0x4170, "enemy_predator_01_nodes" },
//  { 0x4171, "" },
//  { 0x4172, "" },
//  { 0x4173, "" },
    { 0x4174, "dialog_predator_nag" },
    { 0x4175, "enemy_predator_01_assign" },
//  { 0x4176, "" },
//  { 0x4177, "" },
//  { 0x4178, "" },
//  { 0x4179, "" },
    { 0x417A, "predator_hind" },
//  { 0x417B, "" },
    { 0x417C, "preferred_crash_location" },
//  { 0x417D, "" },
//  { 0x417E, "" },
//  { 0x417F, "" },
    { 0x4180, "predator_monitor" },
//  { 0x4181, "" },
//  { 0x4182, "" },
//  { 0x4183, "" },
//  { 0x4184, "" },
    { 0x4185, "nyse_balcony" },
//  { 0x4186, "" },
//  { 0x4187, "" },
//  { 0x4188, "" },
//  { 0x4189, "" },
//  { 0x418A, "" },
//  { 0x418B, "" },
//  { 0x418C, "" },
//  { 0x418D, "" },
//  { 0x418E, "" },
//  { 0x418F, "" },
    { 0x4190, "give_player_predator_drone" },
//  { 0x4191, "" },
//  { 0x4192, "" },
    { 0x4193, "monitor_reaper_usage" },
//  { 0x4194, "" },
//  { 0x4195, "" },
    { 0x4196, "uavrigaiming" },
    { 0x4197, "e3demo_skip_forward" },
    { 0x4198, "e3demo_gaz" },
//  { 0x4199, "" },
//  { 0x419A, "" },
//  { 0x419B, "" },
//  { 0x419C, "" },
//  { 0x419D, "" },
    { 0x419E, "get_vehicle_health" },
//  { 0x419F, "" },
//  { 0x41A0, "" },
//  { 0x41A1, "" },
//  { 0x41A2, "" },
//  { 0x41A3, "" },
    { 0x41A4, "scr_tag" },
    { 0x41A5, "start_squad_on_hind" },
    { 0x41A6, "squad_on_hind" },
//  { 0x41A7, "" },
    { 0x41A8, "ny_heli_crash_locations" },
//  { 0x41A9, "" },
//  { 0x41AA, "" },
//  { 0x41AB, "" },
//  { 0x41AC, "" },
    { 0x41AD, "random_kill_vo_lines" },
    { 0x41AE, "random_kill_vo_index" },
//  { 0x41AF, "" },
    { 0x41B0, "debug_temp" },
    { 0x41B1, "create_attractor" },
    { 0x41B2, "player_head_attractor" },
//  { 0x41B3, "" },
//  { 0x41B4, "" },
    { 0x41B5, "missile_stop" },
    { 0x41B6, "hold_attractor" },
    { 0x41B7, "shoot_scripted" },
    { 0x41B8, "force_shoot" },
//  { 0x41B9, "" },
//  { 0x41BA, "" },
//  { 0x41BB, "" },
//  { 0x41BC, "" },
//  { 0x41BD, "" },
//  { 0x41BE, "" },
//  { 0x41BF, "" },
//  { 0x41C0, "" },
    { 0x41C1, "look_at_cleanup" },
//  { 0x41C2, "" },
//  { 0x41C3, "" },
//  { 0x41C4, "" },
    { 0x41C5, "view_logic_encounter2" },
    { 0x41C6, "view_logic_encounter3" },
//  { 0x41C7, "" },
    { 0x41C8, "view_logic_encounter5" },
    { 0x41C9, "view_logic_encounter6" },
//  { 0x41CA, "" },
//  { 0x41CB, "" },
    { 0x41CC, "bring_the_pain" },
    { 0x41CD, "isdemo" },
    { 0x41CE, "hind_battle_hind06b" },
//  { 0x41CF, "" },
//  { 0x41D0, "" },
//  { 0x41D1, "" },
    { 0x41D2, "draw_crash_locations" },
    { 0x41D3, "monitor_for_safe_crash_location" },
//  { 0x41D4, "" },
    { 0x41D5, "sec_offset" },
//  { 0x41D6, "" },
//  { 0x41D7, "" },
//  { 0x41D8, "" },
//  { 0x41D9, "" },
//  { 0x41DA, "" },
//  { 0x41DB, "" },
//  { 0x41DC, "" },
//  { 0x41DD, "" },
//  { 0x41DE, "" },
//  { 0x41DF, "" },
//  { 0x41E0, "" },
//  { 0x41E1, "" },
//  { 0x41E2, "" },
//  { 0x41E3, "" },
//  { 0x41E4, "" },
//  { 0x41E5, "" },
    { 0x41E6, "playerpath" },
//  { 0x41E7, "" },
    { 0x41E8, "setups_shooter_scene" },
    { 0x41E9, "hind_battle_hind02b" },
    { 0x41EA, "hind_battle_hind02" },
//  { 0x41EB, "" },
    { 0x41EC, "stealthy_kill_logic" },
//  { 0x41ED, "" },
//  { 0x41EE, "" },
//  { 0x41EF, "" },
//  { 0x41F0, "" },
//  { 0x41F1, "" },
//  { 0x41F2, "" },
    { 0x41F3, "final_chase_sequence" },
    { 0x41F4, "hind_battle_hind03c" },
    { 0x41F5, "construction_building_battle" },
//  { 0x41F6, "" },
//  { 0x41F7, "" },
//  { 0x41F8, "" },
//  { 0x41F9, "" },
    { 0x41FA, "construction_building_enemy_phase_2" },
    { 0x41FB, "pause_helicopter" },
    { 0x41FC, "pause_helicopter_until" },
//  { 0x41FD, "" },
    { 0x41FE, "player_enter_hind" },
//  { 0x41FF, "" },
//  { 0x4200, "" },
//  { 0x4201, "" },
    { 0x4202, "show_pos" },
    { 0x4203, "show_axis" },
    { 0x4204, "show_ent_pos" },
//  { 0x4205, "" },
    { 0x4206, "debug_txt_y" },
//  { 0x4207, "" },
//  { 0x4208, "" },
//  { 0x4209, "" },
    { 0x420A, "blur_from_collision" },
    { 0x420B, "hideenemyhindaftercrash" },
//  { 0x420C, "" },
    { 0x420D, "just_finale" },
//  { 0x420E, "" },
//  { 0x420F, "" },
//  { 0x4210, "" },
//  { 0x4211, "" },
    { 0x4212, "do_movie_fadein" },
//  { 0x4213, "" },
    { 0x4214, "ending_fadeout_nextmission" },
//  { 0x4215, "" },
//  { 0x4216, "" },
    { 0x4217, "switch_cool_damage" },
//  { 0x4218, "" },
    { 0x4219, "kill_enemy_hind_cool_damage_effects" },
    { 0x421A, "enemy_hind_cool_damage_effects" },
//  { 0x421B, "" },
//  { 0x421C, "" },
    { 0x421D, "flash_black_blur" },
    { 0x421E, "exp_fade_overlay" },
//  { 0x421F, "" },
    { 0x4220, "black_overlay" },
//  { 0x4221, "" },
//  { 0x4222, "" },
//  { 0x4223, "" },
//  { 0x4224, "" },
//  { 0x4225, "" },
//  { 0x4226, "" },
    { 0x4227, "hind_ride_shadow_vals" },
//  { 0x4228, "" },
    { 0x4229, "stryker_exhaust_tread" },
//  { 0x422A, "" },
    { 0x422B, "signal_debris_atplayer" },
//  { 0x422C, "" },
    { 0x422D, "signal_tower_misc_explosions" },
//  { 0x422E, "" },
//  { 0x422F, "" },
//  { 0x4230, "" },
//  { 0x4231, "" },
    { 0x4232, "signal_tower_climbing_elec" },
//  { 0x4233, "" },
//  { 0x4234, "" },
//  { 0x4235, "" },
    { 0x4236, "init_screffects" },
//  { 0x4237, "" },
    { 0x4238, "start_man_hindexplosions" },
    { 0x4239, "heli_strafe_light" },
//  { 0x423A, "" },
    { 0x423B, "hind_toggle_dlights" },
//  { 0x423C, "" },
//  { 0x423D, "" },
//  { 0x423E, "" },
//  { 0x423F, "" },
    { 0x4240, "do_window_glass" },
    { 0x4241, "launch_taxi_guy" },
//  { 0x4242, "" },
//  { 0x4243, "" },
//  { 0x4244, "" },
//  { 0x4245, "" },
    { 0x4246, "do_hit_contrast" },
    { 0x4247, "chunk_blur" },
//  { 0x4248, "" },
    { 0x4249, "do_chunk_anim" },
//  { 0x424A, "" },
    { 0x424B, "exchnage_missile_prehit" },
//  { 0x424C, "" },
//  { 0x424D, "" },
    { 0x424E, "start_man_landexplosions" },
    { 0x424F, "start_amb_window_exp" },
//  { 0x4250, "" },
//  { 0x4251, "" },
//  { 0x4252, "" },
//  { 0x4253, "" },
    { 0x4254, "check_key_press" },
    { 0x4255, "showtrace" },
    { 0x4256, "spawn_fx_sparks" },
//  { 0x4257, "" },
//  { 0x4258, "" },
    { 0x4259, "heal_fx_room" },
//  { 0x425A, "" },
//  { 0x425B, "" },
//  { 0x425C, "" },
    { 0x425D, "start_fx_room_damage" },
//  { 0x425E, "" },
//  { 0x425F, "" },
//  { 0x4260, "" },
//  { 0x4261, "" },
//  { 0x4262, "" },
//  { 0x4263, "" },
//  { 0x4264, "" },
    { 0x4265, "firecollapsefx" },
//  { 0x4266, "" },
    { 0x4267, "nyse_fx_room_damage" },
    { 0x4268, "update_nyse_fog" },
//  { 0x4269, "" },
    { 0x426A, "kill_all_env_fx" },
//  { 0x426B, "" },
    { 0x426C, "fx_stockexchange_roofdust" },
//  { 0x426D, "" },
//  { 0x426E, "" },
//  { 0x426F, "" },
//  { 0x4270, "" },
    { 0x4271, "heli_dust_moment" },
//  { 0x4272, "" },
//  { 0x4273, "" },
    { 0x4274, "toggle_giant_smoke_column" },
    { 0x4275, "drawlinesforever" },
    { 0x4276, "dline" },
//  { 0x4277, "" },
//  { 0x4278, "" },
    { 0x4279, "laptops_left" },
    { 0x427A, "codes_uploaded" },
    { 0x427B, "upload_trigger" },
//  { 0x427C, "" },
    { 0x427D, "vol_rooftop" },
//  { 0x427E, "" },
    { 0x427F, "objectives" },
    { 0x4280, "obj_nyse" },
    { 0x4281, "obj_upload" },
    { 0x4282, "wait_for_turret_owner_change" },
//  { 0x4283, "" },
    { 0x4284, "rooftop_combat" },
//  { 0x4285, "" },
//  { 0x4286, "" },
//  { 0x4287, "" },
//  { 0x4288, "" },
//  { 0x4289, "" },
//  { 0x428A, "" },
    { 0x428B, "laptop_setup" },
//  { 0x428C, "" },
//  { 0x428D, "" },
    { 0x428E, "encryption_codes" },
//  { 0x428F, "" },
//  { 0x4290, "" },
//  { 0x4291, "" },
//  { 0x4292, "" },
//  { 0x4293, "" },
//  { 0x4294, "" },
//  { 0x4295, "" },
//  { 0x4296, "" },
//  { 0x4297, "" },
    { 0x4298, "upload_title" },
//  { 0x4299, "" },
//  { 0x429A, "" },
//  { 0x429B, "" },
    { 0x429C, "upload_interrupt" },
//  { 0x429D, "" },
//  { 0x429E, "" },
//  { 0x429F, "" },
    { 0x42A0, "nyse_from_street_think" },
    { 0x42A1, "grenade_monitor" },
    { 0x42A2, "chem_grenade" },
//  { 0x42A3, "" },
//  { 0x42A4, "" },
//  { 0x42A5, "" },
//  { 0x42A6, "" },
//  { 0x42A7, "" },
//  { 0x42A8, "" },
    { 0x42A9, "vo_upload" },
    { 0x42AA, "add_radio" },
//  { 0x42AB, "" },
//  { 0x42AC, "" },
//  { 0x42AD, "" },
    { 0x42AE, "maps/createart/so_survival_mp_dome_art" },
    { 0x42AF, "character/character_so_juggernaut_lite" },
//  { 0x42B0, "" },
//  { 0x42B1, "" },
//  { 0x42B2, "" },
    { 0x42B3, "setup_vehicle" },
//  { 0x42B4, "" },
    { 0x42B5, "hind_finale_enemy_tail_hit_vfx_start" },
    { 0x42B6, "hind_finale_dof" },
    { 0x42B7, "hind_finale_player_smk_trail_start" },
//  { 0x42B8, "" },
    { 0x42B9, "hind_finale_chunk_smk_trail_start" },
//  { 0x42BA, "" },
//  { 0x42BB, "" },
    { 0x42BC, "player_anims" },
//  { 0x42BD, "" },
    { 0x42BE, "hind_anims" },
    { 0x42BF, "door_anims" },
//  { 0x42C0, "" },
//  { 0x42C1, "" },
//  { 0x42C2, "" },
    { 0x42C3, "gazcrash_trailsmk_vfx_stop" },
//  { 0x42C4, "" },
//  { 0x42C5, "" },
//  { 0x42C6, "" },
//  { 0x42C7, "" },
//  { 0x42C8, "" },
    { 0x42C9, "uav_huds" },
//  { 0x42CA, "" },
//  { 0x42CB, "" },
//  { 0x42CC, "" },
//  { 0x42CD, "" },
//  { 0x42CE, "" },
//  { 0x42CF, "" },
//  { 0x42D0, "" },
    { 0x42D1, "predator_hud_time" },
    { 0x42D2, "create_hud_time" },
    { 0x42D3, "predator_hud_msl" },
    { 0x42D4, "create_hud_msl" },
//  { 0x42D5, "" },
//  { 0x42D6, "" },
//  { 0x42D7, "" },
//  { 0x42D8, "" },
//  { 0x42D9, "" },
//  { 0x42DA, "" },
//  { 0x42DB, "" },
    { 0x42DC, "create_hud_kias_line" },
//  { 0x42DD, "" },
//  { 0x42DE, "" },
//  { 0x42DF, "" },
//  { 0x42E0, "" },
    { 0x42E1, "predator_hud_heading" },
    { 0x42E2, "minx" },
    { 0x42E3, "maxx" },
    { 0x42E4, "create_hud_heading" },
//  { 0x42E5, "" },
//  { 0x42E6, "" },
//  { 0x42E7, "" },
    { 0x42E8, "start_cluster" },
    { 0x42E9, "cluster_explosion" },
    { 0x42EA, "missile_intro" },
//  { 0x42EB, "" },
//  { 0x42EC, "" },
//  { 0x42ED, "" },
    { 0x42EE, "should_break_use_xm25" },
    { 0x42EF, "should_break_snapto" },
//  { 0x42F0, "" },
//  { 0x42F1, "" },
    { 0x42F2, "should_break_hint_obj" },
//  { 0x42F3, "" },
//  { 0x42F4, "" },
    { 0x42F5, "should_break_predator_shoot_hint" },
    { 0x42F6, "should_break_hint_backtrack" },
//  { 0x42F7, "" },
    { 0x42F8, "monitor_player_in_godmode" },
//  { 0x42F9, "" },
    { 0x42FA, "should_break_open_manhole" },
//  { 0x42FB, "" },
//  { 0x42FC, "" },
//  { 0x42FD, "" },
//  { 0x42FE, "" },
//  { 0x42FF, "" },
//  { 0x4300, "" },
//  { 0x4301, "" },
    { 0x4302, "start_nyse" },
    { 0x4303, "start_jammer" },
//  { 0x4304, "" },
    { 0x4305, "thumper" },
//  { 0x4306, "" },
//  { 0x4307, "" },
//  { 0x4308, "" },
    { 0x4309, "start_hind_finale" },
//  { 0x430A, "" },
//  { 0x430B, "" },
    { 0x430C, "fifteen_broad" },
    { 0x430D, "stephanies_battle" },
    { 0x430E, "nyse" },
    { 0x430F, "jammer" },
//  { 0x4310, "" },
    { 0x4311, "hind_ride_flight" },
    { 0x4312, "hind_finale" },
    { 0x4313, "obj_setup" },
    { 0x4314, "obj_follow_to_exchange" },
//  { 0x4315, "" },
//  { 0x4316, "" },
//  { 0x4317, "" },
//  { 0x4318, "" },
//  { 0x4319, "" },
    { 0x431A, "obj_jammer" },
//  { 0x431B, "" },
//  { 0x431C, "" },
    { 0x431D, "nyse_flag" },
    { 0x431E, "ny_manhattan_exchange_fire" },
//  { 0x431F, "" },
    { 0x4320, "ny_manhattan_15broad_hallway" },
    { 0x4321, "ny_manhattan_15broad_lobby" },
//  { 0x4322, "" },
//  { 0x4323, "" },
//  { 0x4324, "" },
//  { 0x4325, "" },
//  { 0x4326, "" },
    { 0x4327, "get_all_ents_in_chain" },
//  { 0x4328, "" },
//  { 0x4329, "" },
    { 0x432A, "ai_stun" },
    { 0x432B, "start_teleport" },
//  { 0x432C, "" },
    { 0x432D, "truck_headlights_on" },
//  { 0x432E, "" },
//  { 0x432F, "" },
//  { 0x4330, "" },
//  { 0x4331, "" },
//  { 0x4332, "" },
//  { 0x4333, "" },
//  { 0x4334, "" },
//  { 0x4335, "" },
    { 0x4336, "trigarraywait" },
//  { 0x4337, "" },
    { 0x4338, "trigwait" },
//  { 0x4339, "" },
//  { 0x433A, "" },
    { 0x433B, "aa_ai_functions" },
//  { 0x433C, "" },
    { 0x433D, "set_threatbias" },
    { 0x433E, "old_threatbias" },
//  { 0x433F, "" },
    { 0x4340, "set_walkdist" },
//  { 0x4341, "" },
//  { 0x4342, "" },
//  { 0x4343, "" },
    { 0x4344, "reset_health" },
//  { 0x4345, "" },
    { 0x4346, "reset_animname" },
    { 0x4347, "set_maxsightdistsqrd" },
//  { 0x4348, "" },
    { 0x4349, "reset_maxsightdistsqrd" },
//  { 0x434A, "" },
//  { 0x434B, "" },
//  { 0x434C, "" },
//  { 0x434D, "" },
//  { 0x434E, "" },
//  { 0x434F, "" },
//  { 0x4350, "" },
//  { 0x4351, "" },
//  { 0x4352, "" },
//  { 0x4353, "" },
//  { 0x4354, "" },
//  { 0x4355, "" },
    { 0x4356, "get_closest_axis" },
//  { 0x4357, "" },
//  { 0x4358, "" },
//  { 0x4359, "" },
    { 0x435A, "price" },
//  { 0x435B, "" },
//  { 0x435C, "" },
//  { 0x435D, "" },
//  { 0x435E, "" },
//  { 0x435F, "" },
    { 0x4360, "forcetonode" },
//  { 0x4361, "" },
//  { 0x4362, "" },
//  { 0x4363, "" },
//  { 0x4364, "" },
//  { 0x4365, "" },
    { 0x4366, "aa_door_functions" },
    { 0x4367, "player_dismount_blackhawk_gun" },
//  { 0x4368, "" },
//  { 0x4369, "" },
//  { 0x436A, "" },
    { 0x436B, "primaryturretanim" },
//  { 0x436C, "" },
    { 0x436D, "firetime" },
//  { 0x436E, "" },
    { 0x436F, "gunner_pain_init" },
//  { 0x4370, "" },
    { 0x4371, "gunner_pain_reset" },
    { 0x4372, "handle_gunner_pain" },
//  { 0x4373, "" },
//  { 0x4374, "" },
    { 0x4375, "turret_recenter" },
//  { 0x4376, "" },
//  { 0x4377, "" },
    { 0x4378, "turret_cleanup_on_unload" },
//  { 0x4379, "" },
//  { 0x437A, "" },
    { 0x437B, "default_drop_pitch" },
    { 0x437C, "additiveusegunroot" },
    { 0x437D, "additiverotateroot" },
//  { 0x437E, "" },
//  { 0x437F, "" },
//  { 0x4380, "" },
//  { 0x4381, "" },
//  { 0x4382, "" },
//  { 0x4383, "" },
    { 0x4384, "turret_update_rotatedirection" },
//  { 0x4385, "" },
//  { 0x4386, "" },
    { 0x4387, "firetarget" },
    { 0x4388, "additiveturretrotateright" },
    { 0x4389, "additiveturretrotateleft" },
//  { 0x438A, "" },
//  { 0x438B, "" },
//  { 0x438C, "" },
    { 0x438D, "passenger_2_turret_anim" },
//  { 0x438E, "" },
//  { 0x438F, "" },
//  { 0x4390, "" },
//  { 0x4391, "" },
    { 0x4392, "target_confirm" },
    { 0x4393, "dontshoot" },
    { 0x4394, "turret_target_updater" },
    { 0x4395, "turret_target_validate" },
    { 0x4396, "set_manual_target" },
    { 0x4397, "additiveturretfire" },
    { 0x4398, "fire" },
//  { 0x4399, "" },
//  { 0x439A, "" },
//  { 0x439B, "" },
//  { 0x439C, "" },
//  { 0x439D, "" },
//  { 0x439E, "" },
//  { 0x439F, "" },
//  { 0x43A0, "" },
    { 0x43A1, "doreload" },
//  { 0x43A2, "" },
//  { 0x43A3, "" },
//  { 0x43A4, "" },
//  { 0x43A5, "" },
    { 0x43A6, "turret_aim_straight" },
//  { 0x43A7, "" },
//  { 0x43A8, "" },
//  { 0x43A9, "" },
    { 0x43AA, "turret_aiming_near_target" },
//  { 0x43AB, "" },
//  { 0x43AC, "" },
    { 0x43AD, "blend_droppitch" },
    { 0x43AE, "minigun_cleanup_func" },
//  { 0x43AF, "" },
    { 0x43B0, "extrafiretime_min" },
//  { 0x43B1, "" },
//  { 0x43B2, "" },
//  { 0x43B3, "" },
//  { 0x43B4, "" },
//  { 0x43B5, "" },
    { 0x43B6, "minigun_spinup" },
//  { 0x43B7, "" },
//  { 0x43B8, "" },
//  { 0x43B9, "" },
//  { 0x43BA, "" },
//  { 0x43BB, "" },
//  { 0x43BC, "" },
//  { 0x43BD, "" },
//  { 0x43BE, "" },
//  { 0x43BF, "" },
//  { 0x43C0, "" },
    { 0x43C1, "maps/animated_models/fence_tarp_126x76_med_01" },
//  { 0x43C2, "" },
//  { 0x43C3, "" },
    { 0x43C4, "maps/createfx/mp_radar_fx" },
//  { 0x43C5, "" },
//  { 0x43C6, "" },
//  { 0x43C7, "" },
//  { 0x43C8, "" },
//  { 0x43C9, "" },
    { 0x43CA, "maps/createart/mp_village_art" },
//  { 0x43CB, "" },
//  { 0x43CC, "" },
    { 0x43CD, "common_scripts/_destructible_types_anim_security_camera" },
    { 0x43CE, "maps/createart/mp_underground_art" },
    { 0x43CF, "ac130_thread" },
    { 0x43D0, "play_plane_fx" },
    { 0x43D1, "maps/createfx/mp_underground_fx" },
//  { 0x43D2, "" },
    { 0x43D3, "vehicle_scripts/_80s_hatch1" },
//  { 0x43D4, "" },
//  { 0x43D5, "" },
//  { 0x43D6, "" },
//  { 0x43D7, "" },
    { 0x43D8, "maps/animated_models/seatown_canopy_1section_01_sway" },
//  { 0x43D9, "" },
//  { 0x43DA, "" },
    { 0x43DB, "maps/animated_models/seatown_canopy_stand_01_sway" },
//  { 0x43DC, "" },
    { 0x43DD, "maps/animated_models/seatown_lrg_wiregrp_sway" },
//  { 0x43DE, "" },
//  { 0x43DF, "" },
//  { 0x43E0, "" },
//  { 0x43E1, "" },
//  { 0x43E2, "" },
//  { 0x43E3, "" },
    { 0x43E4, "common_scripts/_destructible_types_anim_wallfan" },
    { 0x43E5, "maps/animated_models/mi24p_hind_plaza_destroy_animated" },
    { 0x43E6, "maps/createart/mp_plaza2_art" },
    { 0x43E7, "maps/createfx/mp_plaza2_fx" },
//  { 0x43E8, "" },
    { 0x43E9, "maps/createart/mp_paris_art" },
    { 0x43EA, "maps/createfx/mp_paris_fx" },
//  { 0x43EB, "" },
//  { 0x43EC, "" },
//  { 0x43ED, "" },
//  { 0x43EE, "" },
//  { 0x43EF, "" },
    { 0x43F0, "maps/animated_models/com_roofvent2" },
//  { 0x43F1, "" },
//  { 0x43F2, "" },
    { 0x43F3, "maps/createart/mp_lambeth_art" },
//  { 0x43F4, "" },
//  { 0x43F5, "" },
//  { 0x43F6, "" },
    { 0x43F7, "maps/createfx/mp_interchange_fx" },
    { 0x43F8, "maps/createart/mp_interchange_fog" },
//  { 0x43F9, "" },
//  { 0x43FA, "" },
//  { 0x43FB, "" },
//  { 0x43FC, "" },
//  { 0x43FD, "" },
//  { 0x43FE, "" },
//  { 0x43FF, "" },
    { 0x4400, "maps/animated_models/fence_tarp_352x88_med_01" },
    { 0x4401, "maps/animated_models/fence_tarp_draping_224x116_01" },
//  { 0x4402, "" },
    { 0x4403, "maps/animated_models/fence_tarp_draping_98x94_med_02" },
//  { 0x4404, "" },
//  { 0x4405, "" },
    { 0x4406, "maps/animated_models/plastic_fence_232x88_med_01" },
//  { 0x4407, "" },
//  { 0x4408, "" },
//  { 0x4409, "" },
//  { 0x440A, "" },
//  { 0x440B, "" },
    { 0x440C, "maps/animated_models/plastic_fence_528x88_med_01" },
//  { 0x440D, "" },
//  { 0x440E, "" },
//  { 0x440F, "" },
//  { 0x4410, "" },
    { 0x4411, "maps/createfx/mp_exchange_fx" },
//  { 0x4412, "" },
//  { 0x4413, "" },
//  { 0x4414, "" },
//  { 0x4415, "" },
    { 0x4416, "maps/animated_models/fence_tarp_128x64_med_01" },
    { 0x4417, "maps/animated_models/fence_tarp_130x76_med_01" },
//  { 0x4418, "" },
//  { 0x4419, "" },
    { 0x441A, "maps/animated_models/fence_tarp_132x62_med_01" },
//  { 0x441B, "" },
    { 0x441C, "maps/animated_models/fence_tarp_140x68_med_01" },
//  { 0x441D, "" },
//  { 0x441E, "" },
//  { 0x441F, "" },
//  { 0x4420, "" },
//  { 0x4421, "" },
//  { 0x4422, "" },
//  { 0x4423, "" },
//  { 0x4424, "" },
    { 0x4425, "maps/createart/mp_carbon_art" },
//  { 0x4426, "" },
//  { 0x4427, "" },
    { 0x4428, "teddytimeout" },
//  { 0x4429, "" },
//  { 0x442A, "" },
//  { 0x442B, "" },
//  { 0x442C, "" },
//  { 0x442D, "" },
    { 0x442E, "maps/createart/mp_bravo_art" },
//  { 0x442F, "" },
//  { 0x4430, "" },
//  { 0x4431, "" },
//  { 0x4432, "" },
    { 0x4433, "maps/createfx/mp_bootleg_fx" },
//  { 0x4434, "" },
    { 0x4435, "maps/animated_models/alpha_hanging_civs_animated" },
//  { 0x4436, "" },
//  { 0x4437, "" },
//  { 0x4438, "" },
    { 0x4439, "xmodelalias/alias_russian_naval_bodies" },
//  { 0x443A, "" },
//  { 0x443B, "" },
//  { 0x443C, "" },
//  { 0x443D, "" },
//  { 0x443E, "" },
//  { 0x443F, "" },
//  { 0x4440, "" },
    { 0x4441, "plane_bomb_cluster" },
//  { 0x4442, "" },
//  { 0x4443, "" },
//  { 0x4444, "" },
//  { 0x4445, "" },
//  { 0x4446, "" },
    { 0x4447, "vehicle_scripts/_submarine_sdv" },
//  { 0x4448, "" },
//  { 0x4449, "" },
    { 0x444A, "vehicle_scripts/_super_dvora" },
    { 0x444B, "vehicle_scripts/_zodiac" },
//  { 0x444C, "" },
//  { 0x444D, "" },
//  { 0x444E, "" },
    { 0x444F, "zodiac_splash_rate_min" },
//  { 0x4450, "" },
    { 0x4451, "aud_launch_loops" },
    { 0x4452, "e3" },
//  { 0x4453, "" },
    { 0x4454, "cone_sound" },
//  { 0x4455, "" },
    { 0x4456, "sandman_sound" },
//  { 0x4457, "" },
    { 0x4458, "escape_zodiac" },
//  { 0x4459, "" },
    { 0x445A, "skybattle_hind_playing" },
    { 0x445B, "skybattle_chinook_playing" },
//  { 0x445C, "" },
//  { 0x445D, "" },
//  { 0x445E, "" },
//  { 0x445F, "" },
//  { 0x4460, "" },
    { 0x4461, "aud_stop_city_combat_ambi" },
//  { 0x4462, "" },
//  { 0x4463, "" },
//  { 0x4464, "" },
//  { 0x4465, "" },
//  { 0x4466, "" },
//  { 0x4467, "" },
//  { 0x4468, "" },
//  { 0x4469, "" },
//  { 0x446A, "" },
//  { 0x446B, "" },
//  { 0x446C, "" },
//  { 0x446D, "" },
//  { 0x446E, "" },
    { 0x446F, "aud_building_explode" },
    { 0x4470, "aud_building_explode_02" },
    { 0x4471, "aud_start_subtop_line_emitters" },
    { 0x4472, "aud_steam_emitters" },
//  { 0x4473, "" },
    { 0x4474, "aud_electric_breakerboxes" },
//  { 0x4475, "" },
//  { 0x4476, "" },
//  { 0x4477, "" },
//  { 0x4478, "" },
    { 0x4479, "aud_steamy_vents" },
    { 0x447A, "aud_siren_first" },
    { 0x447B, "aud_scuttle_alarms_start" },
//  { 0x447C, "" },
//  { 0x447D, "" },
    { 0x447E, "aud_flooded_waterfalls" },
    { 0x447F, "aud_sub_waterfalls" },
//  { 0x4480, "" },
    { 0x4481, "aud_fires" },
//  { 0x4482, "" },
    { 0x4483, "aud_velocity_emitters" },
//  { 0x4484, "" },
    { 0x4485, "aud_zodiac_impacts_incoming_lateral" },
//  { 0x4486, "" },
    { 0x4487, "aud_zodiac_water_impacts_lateral" },
    { 0x4488, "aud_patrol_boats_post_indiana_jones" },
//  { 0x4489, "" },
//  { 0x448A, "" },
//  { 0x448B, "" },
    { 0x448C, "aud_zodiac_into_chinook" },
//  { 0x448D, "" },
//  { 0x448E, "" },
//  { 0x448F, "" },
//  { 0x4490, "" },
//  { 0x4491, "" },
    { 0x4492, "aud_player_sdv_outro" },
//  { 0x4493, "" },
    { 0x4494, "aud_player_sdv_se" },
//  { 0x4495, "" },
//  { 0x4496, "" },
    { 0x4497, "aud_player_sdv_speed_callback_temp" },
//  { 0x4498, "" },
//  { 0x4499, "" },
    { 0x449A, "waittill_deathspin" },
//  { 0x449B, "" },
    { 0x449C, "aud_air_vehicle_flyby" },
    { 0x449D, "aud_russian_sub_start" },
//  { 0x449E, "" },
//  { 0x449F, "" },
//  { 0x44A0, "" },
//  { 0x44A1, "" },
//  { 0x44A2, "" },
//  { 0x44A3, "" },
    { 0x44A4, "sdv_player_arms" },
    { 0x44A5, "aud_get_prop_sound_origin" },
//  { 0x44A6, "" },
//  { 0x44A7, "" },
    { 0x44A8, "sound_origin" },
//  { 0x44A9, "" },
    { 0x44AA, "aud_player_sub_surface_breach" },
    { 0x44AB, "aud_do_sub_scuttle_bombshake" },
//  { 0x44AC, "" },
//  { 0x44AD, "" },
//  { 0x44AE, "" },
    { 0x44AF, "mine_pitch" },
    { 0x44B0, "mine_beep_count" },
//  { 0x44B1, "" },
//  { 0x44B2, "" },
    { 0x44B3, "mine_min_dist" },
//  { 0x44B4, "" },
//  { 0x44B5, "" },
//  { 0x44B6, "" },
    { 0x44B7, "aud_minewarn" },
    { 0x44B8, "aud_slava_missile_launch" },
//  { 0x44B9, "" },
//  { 0x44BA, "" },
//  { 0x44BB, "" },
    { 0x44BC, "last_db_time" },
//  { 0x44BD, "" },
//  { 0x44BE, "" },
//  { 0x44BF, "" },
    { 0x44C0, "availablecost" },
//  { 0x44C1, "" },
//  { 0x44C2, "" },
    { 0x44C3, "active" },
//  { 0x44C4, "" },
//  { 0x44C5, "" },
//  { 0x44C6, "" },
//  { 0x44C7, "" },
//  { 0x44C8, "" },
//  { 0x44C9, "" },
//  { 0x44CA, "" },
//  { 0x44CB, "" },
//  { 0x44CC, "" },
//  { 0x44CD, "" },
//  { 0x44CE, "" },
    { 0x44CF, "_active" },
//  { 0x44D0, "" },
//  { 0x44D1, "" },
    { 0x44D2, "ge_createevent" },
    { 0x44D3, "ge_addevent" },
//  { 0x44D4, "" },
//  { 0x44D5, "" },
    { 0x44D6, "_ge_removeevent" },
//  { 0x44D7, "" },
    { 0x44D8, "kill_cb" },
//  { 0x44D9, "" },
//  { 0x44DA, "" },
//  { 0x44DB, "" },
//  { 0x44DC, "" },
//  { 0x44DD, "" },
//  { 0x44DE, "" },
//  { 0x44DF, "" },
//  { 0x44E0, "" },
    { 0x44E1, "ge_countwaitingeventbyname" },
    { 0x44E2, "ge_countactiveeventbyname" },
    { 0x44E3, "ge_addeffect" },
    { 0x44E4, "fxname" },
    { 0x44E5, "lifetime" },
//  { 0x44E6, "" },
    { 0x44E7, "_ge_activateeffect" },
    { 0x44E8, "_ge_canceleffect" },
//  { 0x44E9, "" },
//  { 0x44EA, "" },
//  { 0x44EB, "" },
//  { 0x44EC, "" },
//  { 0x44ED, "" },
//  { 0x44EE, "" },
//  { 0x44EF, "" },
    { 0x44F0, "ge_addnotify" },
//  { 0x44F1, "" },
//  { 0x44F2, "" },
    { 0x44F3, "kill_msg" },
//  { 0x44F4, "" },
    { 0x44F5, "_ge_notify" },
//  { 0x44F6, "" },
//  { 0x44F7, "" },
    { 0x44F8, "_ge_killnotify" },
    { 0x44F9, "ge_addfxnotify" },
//  { 0x44FA, "" },
//  { 0x44FB, "" },
    { 0x44FC, "setup_ocean_perlin" },
    { 0x44FD, "octaves" },
//  { 0x44FE, "" },
//  { 0x44FF, "" },
//  { 0x4500, "" },
    { 0x4501, "refscale" },
//  { 0x4502, "" },
//  { 0x4503, "" },
//  { 0x4504, "" },
//  { 0x4505, "" },
//  { 0x4506, "" },
    { 0x4507, "getperlinnoisesample" },
//  { 0x4508, "" },
//  { 0x4509, "" },
//  { 0x450A, "" },
//  { 0x450B, "" },
    { 0x450C, "uscrollrate" },
//  { 0x450D, "" },
//  { 0x450E, "" },
//  { 0x450F, "" },
//  { 0x4510, "" },
    { 0x4511, "displacement_uvscale" },
    { 0x4512, "setup_ocean" },
    { 0x4513, "oceantextures" },
//  { 0x4514, "" },
//  { 0x4515, "" },
//  { 0x4516, "" },
//  { 0x4517, "" },
//  { 0x4518, "" },
    { 0x4519, "getdisplacementforvertex" },
//  { 0x451A, "" },
//  { 0x451B, "" },
    { 0x451C, "start_harbor_waterexplosions" },
//  { 0x451D, "" },
//  { 0x451E, "" },
//  { 0x451F, "" },
//  { 0x4520, "" },
//  { 0x4521, "" },
    { 0x4522, "sub_interior_extinguisherfx" },
//  { 0x4523, "" },
//  { 0x4524, "" },
//  { 0x4525, "" },
//  { 0x4526, "" },
//  { 0x4527, "" },
//  { 0x4528, "" },
//  { 0x4529, "" },
    { 0x452A, "surface_sub_breach_lerpsunlight" },
    { 0x452B, "surface_sub_breach_sunanim" },
//  { 0x452C, "" },
//  { 0x452D, "" },
    { 0x452E, "maps/_ocean" },
//  { 0x452F, "" },
    { 0x4530, "surface_sub_hatch_moment" },
//  { 0x4531, "" },
//  { 0x4532, "" },
    { 0x4533, "halfresfxon" },
    { 0x4534, "surface_dvora_carrier_fx" },
    { 0x4535, "updatepos" },
//  { 0x4536, "" },
//  { 0x4537, "" },
//  { 0x4538, "" },
    { 0x4539, "surface_dvora_displace_wake" },
//  { 0x453A, "" },
    { 0x453B, "surface_sub_tail_foam" },
//  { 0x453C, "" },
//  { 0x453D, "" },
//  { 0x453E, "" },
//  { 0x453F, "" },
//  { 0x4540, "" },
//  { 0x4541, "" },
//  { 0x4542, "" },
    { 0x4543, "chinook_board_coverpop" },
//  { 0x4544, "" },
//  { 0x4545, "" },
    { 0x4546, "surface_dvora_chunk_splash" },
    { 0x4547, "surface_dvora_chunk_splash_watcher" },
//  { 0x4548, "" },
    { 0x4549, "surface_dvora_chunk_firetrail_watcher" },
//  { 0x454A, "" },
//  { 0x454B, "" },
//  { 0x454C, "" },
    { 0x454D, "water_sheating_time" },
//  { 0x454E, "" },
//  { 0x454F, "" },
//  { 0x4550, "" },
//  { 0x4551, "" },
//  { 0x4552, "" },
    { 0x4553, "ny_harbor_tunnel_taxi_rooftop_ad_blinky_base" },
//  { 0x4554, "" },
    { 0x4555, "intro_player_bubble_fx" },
//  { 0x4556, "" },
//  { 0x4557, "" },
//  { 0x4558, "" },
//  { 0x4559, "" },
//  { 0x455A, "" },
    { 0x455B, "ny_harbor_intro_specular" },
    { 0x455C, "ny_harbor_enter_sub_shadowfix" },
    { 0x455D, "ny_harbor_enter_zodiac_shadowfix" },
    { 0x455E, "torch_grating_rays" },
//  { 0x455F, "" },
//  { 0x4560, "" },
//  { 0x4561, "" },
    { 0x4562, "sinking_ship_vfx_sequence" },
    { 0x4563, "sinking_ship_explosion" },
//  { 0x4564, "" },
//  { 0x4565, "" },
    { 0x4566, "sinking_ship_bubbles_vfx" },
    { 0x4567, "sinking_ship_post_smk_vfx" },
    { 0x4568, "get_sinking_ship_fx" },
    { 0x4569, "sinking_ship_flash_vision" },
//  { 0x456A, "" },
//  { 0x456B, "" },
//  { 0x456C, "" },
//  { 0x456D, "" },
    { 0x456E, "oscar02_propwash_vfx" },
//  { 0x456F, "" },
    { 0x4570, "bubble_transition_entering_mine_plant" },
//  { 0x4571, "" },
//  { 0x4572, "" },
    { 0x4573, "bubble_on_player_mine_plant" },
//  { 0x4574, "" },
//  { 0x4575, "" },
    { 0x4576, "cine_sub_surfacing_explosions" },
    { 0x4577, "mine_sub_model" },
//  { 0x4578, "" },
    { 0x4579, "oscar_cine_water_displacement_vfx" },
//  { 0x457A, "" },
//  { 0x457B, "" },
//  { 0x457C, "" },
    { 0x457D, "player_surfacing_postfx" },
//  { 0x457E, "" },
//  { 0x457F, "" },
//  { 0x4580, "" },
    { 0x4581, "player_sdv_fx" },
    { 0x4582, "npc_sdv_fx" },
//  { 0x4583, "" },
    { 0x4584, "underwater_bleedout" },
    { 0x4585, "knife_blood" },
//  { 0x4586, "" },
//  { 0x4587, "" },
//  { 0x4588, "" },
    { 0x4589, "play_drip_fx" },
    { 0x458A, "door_open_smokeout_vfx" },
//  { 0x458B, "" },
//  { 0x458C, "" },
    { 0x458D, "door_breach_blur" },
//  { 0x458E, "" },
//  { 0x458F, "" },
    { 0x4590, "vfx_pipe_burst" },
//  { 0x4591, "" },
    { 0x4592, "vfx_pipe_burst_cr" },
    { 0x4593, "greenlighton_vfx" },
    { 0x4594, "missile_key_panel_box" },
//  { 0x4595, "" },
//  { 0x4596, "" },
//  { 0x4597, "" },
//  { 0x4598, "" },
    { 0x4599, "footstepeffects" },
//  { 0x459A, "" },
    { 0x459B, "update_fire_reflections_manager" },
//  { 0x459C, "" },
//  { 0x459D, "" },
    { 0x459E, "loop_skybox_hinds" },
    { 0x459F, "loop_skybox_hinds_update" },
//  { 0x45A0, "" },
    { 0x45A1, "loop_skybox_migs_update" },
//  { 0x45A2, "" },
//  { 0x45A3, "" },
    { 0x45A4, "play_wave_fire_fx" },
//  { 0x45A5, "" },
//  { 0x45A6, "" },
//  { 0x45A7, "" },
//  { 0x45A8, "" },
//  { 0x45A9, "" },
//  { 0x45AA, "" },
//  { 0x45AB, "" },
//  { 0x45AC, "" },
//  { 0x45AD, "" },
    { 0x45AE, "exit_chinook" },
//  { 0x45AF, "" },
//  { 0x45B0, "" },
    { 0x45B1, "chinook_interiorfx" },
//  { 0x45B2, "" },
//  { 0x45B3, "" },
//  { 0x45B4, "" },
    { 0x45B5, "disable_ambient_under_docks" },
//  { 0x45B6, "" },
//  { 0x45B7, "" },
    { 0x45B8, "viewdependent_vision_enabled" },
//  { 0x45B9, "" },
//  { 0x45BA, "" },
//  { 0x45BB, "" },
//  { 0x45BC, "" },
//  { 0x45BD, "" },
//  { 0x45BE, "" },
    { 0x45BF, "sdv_follow_nag_lines" },
//  { 0x45C0, "" },
//  { 0x45C1, "" },
//  { 0x45C2, "" },
    { 0x45C3, "sub_truck" },
//  { 0x45C4, "" },
//  { 0x45C5, "" },
    { 0x45C6, "vo_sub_interior_barracks" },
    { 0x45C7, "vo_sub_interior_reactor" },
//  { 0x45C8, "" },
    { 0x45C9, "vo_sub_interior_missile_room_1" },
//  { 0x45CA, "" },
    { 0x45CB, "vo_sub_sandman_got_key" },
//  { 0x45CC, "" },
//  { 0x45CD, "" },
//  { 0x45CE, "" },
//  { 0x45CF, "" },
//  { 0x45D0, "" },
    { 0x45D1, "live_dialog_queue" },
//  { 0x45D2, "" },
//  { 0x45D3, "" },
//  { 0x45D4, "" },
    { 0x45D5, "disable_prone_on_back_of_sub" },
//  { 0x45D6, "" },
    { 0x45D7, "stop_script_anim" },
    { 0x45D8, "generic_surprise_death" },
//  { 0x45D9, "" },
//  { 0x45DA, "" },
    { 0x45DB, "sdv_grinch" },
    { 0x45DC, "debug_playerview" },
    { 0x45DD, "npc_through_water" },
    { 0x45DE, "catch_notetrack_subswap" },
//  { 0x45DF, "" },
    { 0x45E0, "catch_notetrack_stopbob" },
    { 0x45E1, "rockoutside" },
    { 0x45E2, "anim_single_solo_trans" },
//  { 0x45E3, "" },
//  { 0x45E4, "" },
//  { 0x45E5, "" },
//  { 0x45E6, "" },
//  { 0x45E7, "" },
//  { 0x45E8, "" },
//  { 0x45E9, "" },
//  { 0x45EA, "" },
//  { 0x45EB, "" },
    { 0x45EC, "bobbing_ripple" },
    { 0x45ED, "ref_origin" },
    { 0x45EE, "bobbing_actor" },
//  { 0x45EF, "" },
//  { 0x45F0, "" },
    { 0x45F1, "watch_explosions" },
//  { 0x45F2, "" },
//  { 0x45F3, "" },
    { 0x45F4, "bobbing_underwater" },
//  { 0x45F5, "" },
    { 0x45F6, "bobbing_fnc" },
//  { 0x45F7, "" },
//  { 0x45F8, "" },
    { 0x45F9, "tgt_values" },
//  { 0x45FA, "" },
//  { 0x45FB, "" },
//  { 0x45FC, "" },
//  { 0x45FD, "" },
//  { 0x45FE, "" },
//  { 0x45FF, "" },
//  { 0x4600, "" },
    { 0x4601, "min_yaw_period" },
//  { 0x4602, "" },
//  { 0x4603, "" },
//  { 0x4604, "" },
    { 0x4605, "max_roll_period" },
//  { 0x4606, "" },
//  { 0x4607, "" },
//  { 0x4608, "" },
//  { 0x4609, "" },
//  { 0x460A, "" },
//  { 0x460B, "" },
//  { 0x460C, "" },
//  { 0x460D, "" },
//  { 0x460E, "" },
//  { 0x460F, "" },
//  { 0x4610, "" },
    { 0x4611, "isbuoy" },
    { 0x4612, "smoothvalue" },
//  { 0x4613, "" },
//  { 0x4614, "" },
    { 0x4615, "createdefaultsmallbobsettings" },
    { 0x4616, "no_bobbing" },
    { 0x4617, "nobob" },
//  { 0x4618, "" },
    { 0x4619, "org_origin" },
//  { 0x461A, "" },
//  { 0x461B, "" },
    { 0x461C, "stop_bobbing" },
    { 0x461D, "prep_bobbing" },
//  { 0x461E, "" },
//  { 0x461F, "" },
//  { 0x4620, "" },
    { 0x4621, "bobbers" },
//  { 0x4622, "" },
//  { 0x4623, "" },
    { 0x4624, "activatebobbingobjects" },
//  { 0x4625, "" },
//  { 0x4626, "" },
//  { 0x4627, "" },
//  { 0x4628, "" },
    { 0x4629, "onoutsideofsub" },
//  { 0x462A, "" },
//  { 0x462B, "" },
//  { 0x462C, "" },
    { 0x462D, "show_sub_water" },
//  { 0x462E, "" },
//  { 0x462F, "" },
//  { 0x4630, "" },
//  { 0x4631, "" },
//  { 0x4632, "" },
    { 0x4633, "targetangles" },
    { 0x4634, "targettime" },
    { 0x4635, "set_grav" },
//  { 0x4636, "" },
//  { 0x4637, "" },
//  { 0x4638, "" },
//  { 0x4639, "" },
    { 0x463A, "rocker_hangers" },
    { 0x463B, "rock_ents" },
    { 0x463C, "rock_debris" },
//  { 0x463D, "" },
//  { 0x463E, "" },
//  { 0x463F, "" },
//  { 0x4640, "" },
//  { 0x4641, "" },
    { 0x4642, "play_ssn19fx_alt" },
    { 0x4643, "open_ssn19_wings" },
    { 0x4644, "launch_ssn19" },
//  { 0x4645, "" },
//  { 0x4646, "" },
//  { 0x4647, "" },
//  { 0x4648, "" },
//  { 0x4649, "" },
//  { 0x464A, "" },
//  { 0x464B, "" },
//  { 0x464C, "" },
//  { 0x464D, "" },
//  { 0x464E, "" },
//  { 0x464F, "" },
//  { 0x4650, "" },
    { 0x4651, "sub_exterior_hinds" },
    { 0x4652, "sub_exterior_fire_at_hinds" },
    { 0x4653, "sub_exterior_chinook" },
//  { 0x4654, "" },
//  { 0x4655, "" },
    { 0x4656, "sub_exterior_heli_fire_turret" },
    { 0x4657, "sub_entrance" },
    { 0x4658, "hatch_enemies" },
    { 0x4659, "hatch_enemies_dead" },
//  { 0x465A, "" },
//  { 0x465B, "" },
//  { 0x465C, "" },
//  { 0x465D, "" },
//  { 0x465E, "" },
    { 0x465F, "open_hatch" },
    { 0x4660, "open_hatch_rear" },
    { 0x4661, "hatch_sandman_drop_frag" },
//  { 0x4662, "" },
    { 0x4663, "hide_grenade" },
    { 0x4664, "frag" },
    { 0x4665, "flag_set_wrapper" },
//  { 0x4666, "" },
//  { 0x4667, "" },
    { 0x4668, "hatch_player_slide" },
//  { 0x4669, "" },
    { 0x466A, "entrance_vo_timing" },
//  { 0x466B, "" },
    { 0x466C, "sub_extra_friendly" },
//  { 0x466D, "" },
//  { 0x466E, "" },
    { 0x466F, "sub_extra_death" },
//  { 0x4670, "" },
//  { 0x4671, "" },
//  { 0x4672, "" },
//  { 0x4673, "" },
//  { 0x4674, "" },
    { 0x4675, "bulkhead_door_vo" },
//  { 0x4676, "" },
//  { 0x4677, "" },
//  { 0x4678, "" },
//  { 0x4679, "" },
//  { 0x467A, "" },
//  { 0x467B, "" },
//  { 0x467C, "" },
//  { 0x467D, "" },
//  { 0x467E, "" },
//  { 0x467F, "" },
//  { 0x4680, "" },
//  { 0x4681, "" },
//  { 0x4682, "" },
    { 0x4683, "reactor_room_sandman_paired_kill" },
//  { 0x4684, "" },
//  { 0x4685, "" },
    { 0x4686, "monitor_paired_interrupt_sandman" },
//  { 0x4687, "" },
    { 0x4688, "itiot_bridge_breach" },
//  { 0x4689, "" },
    { 0x468A, "monitor_end_loop" },
    { 0x468B, "ignore_extinguisher" },
//  { 0x468C, "" },
//  { 0x468D, "" },
    { 0x468E, "runners" },
//  { 0x468F, "" },
//  { 0x4690, "" },
//  { 0x4691, "" },
//  { 0x4692, "" },
//  { 0x4693, "" },
    { 0x4694, "breachenemies_active" },
//  { 0x4695, "" },
    { 0x4696, "breach_door" },
//  { 0x4697, "" },
//  { 0x4698, "" },
//  { 0x4699, "" },
//  { 0x469A, "" },
    { 0x469B, "breach_setup_player" },
//  { 0x469C, "" },
    { 0x469D, "blow_door" },
    { 0x469E, "breach_destroyed_door" },
    { 0x469F, "breach_slow_down" },
    { 0x46A0, "breach_top_off_weapon" },
    { 0x46A1, "should_topoff_breach_weapon" },
//  { 0x46A2, "" },
//  { 0x46A3, "" },
//  { 0x46A4, "" },
    { 0x46A5, "detach_charge_2" },
//  { 0x46A6, "" },
//  { 0x46A7, "" },
//  { 0x46A8, "" },
//  { 0x46A9, "" },
    { 0x46AA, "forced_slowmo_breach_lerpout" },
    { 0x46AB, "switchedweapons" },
    { 0x46AC, "breach_missionfailed" },
//  { 0x46AD, "" },
    { 0x46AE, "player_heartbeat" },
    { 0x46AF, "catch_weapon_switch" },
//  { 0x46B0, "" },
//  { 0x46B1, "" },
//  { 0x46B2, "" },
//  { 0x46B3, "" },
//  { 0x46B4, "" },
    { 0x46B5, "breach_enemy_waitfor_death" },
//  { 0x46B6, "" },
    { 0x46B7, "breach_enemy_catch_exceptions" },
//  { 0x46B8, "" },
    { 0x46B9, "breach_enemy_monitor_dead" },
//  { 0x46BA, "" },
    { 0x46BB, "sub_captain" },
//  { 0x46BC, "" },
    { 0x46BD, "return_player_body_if_death" },
//  { 0x46BE, "" },
//  { 0x46BF, "" },
//  { 0x46C0, "" },
    { 0x46C1, "captain_animation" },
//  { 0x46C2, "" },
//  { 0x46C3, "" },
//  { 0x46C4, "" },
//  { 0x46C5, "" },
//  { 0x46C6, "" },
//  { 0x46C7, "" },
//  { 0x46C8, "" },
//  { 0x46C9, "" },
//  { 0x46CA, "" },
//  { 0x46CB, "" },
    { 0x46CC, "breach_knife_charger_monitor_death" },
//  { 0x46CD, "" },
//  { 0x46CE, "" },
//  { 0x46CF, "" },
    { 0x46D0, "sub_exit" },
//  { 0x46D1, "" },
//  { 0x46D2, "" },
    { 0x46D3, "dummy_keep_pose" },
//  { 0x46D4, "" },
//  { 0x46D5, "" },
//  { 0x46D6, "" },
//  { 0x46D7, "" },
//  { 0x46D8, "" },
//  { 0x46D9, "" },
//  { 0x46DA, "" },
//  { 0x46DB, "" },
//  { 0x46DC, "" },
    { 0x46DD, "turn_time" },
//  { 0x46DE, "" },
//  { 0x46DF, "" },
//  { 0x46E0, "" },
//  { 0x46E1, "" },
//  { 0x46E2, "" },
//  { 0x46E3, "" },
//  { 0x46E4, "" },
    { 0x46E5, "objective_2_gettoreactor" },
//  { 0x46E6, "" },
//  { 0x46E7, "" },
    { 0x46E8, "obj_crumb_logic" },
//  { 0x46E9, "" },
//  { 0x46EA, "" },
//  { 0x46EB, "" },
//  { 0x46EC, "" },
    { 0x46ED, "sub_interior" },
    { 0x46EE, "setup_thermal_vision" },
//  { 0x46EF, "" },
//  { 0x46F0, "" },
//  { 0x46F1, "" },
    { 0x46F2, "gasmask_on_player_so" },
//  { 0x46F3, "" },
//  { 0x46F4, "" },
//  { 0x46F5, "" },
//  { 0x46F6, "" },
    { 0x46F7, "cosmetic_fx_and_geo_for_harbor" },
    { 0x46F8, "setup_ai_sub" },
//  { 0x46F9, "" },
//  { 0x46FA, "" },
//  { 0x46FB, "" },
//  { 0x46FC, "" },
//  { 0x46FD, "" },
//  { 0x46FE, "" },
//  { 0x46FF, "" },
    { 0x4700, "spawner_cleanup" },
//  { 0x4701, "" },
//  { 0x4702, "" },
//  { 0x4703, "" },
//  { 0x4704, "" },
//  { 0x4705, "" },
//  { 0x4706, "" },
    { 0x4707, "player_on_deck" },
    { 0x4708, "arm_thermite_and_monitor" },
//  { 0x4709, "" },
    { 0x470A, "end_messages_if_both_disarm" },
//  { 0x470B, "" },
//  { 0x470C, "" },
    { 0x470D, "setup_ally_helis" },
//  { 0x470E, "" },
//  { 0x470F, "" },
//  { 0x4710, "" },
//  { 0x4711, "" },
//  { 0x4712, "" },
//  { 0x4713, "" },
//  { 0x4714, "" },
//  { 0x4715, "" },
//  { 0x4716, "" },
//  { 0x4717, "" },
    { 0x4718, "message_on" },
//  { 0x4719, "" },
//  { 0x471A, "" },
    { 0x471B, "wait_for_laststand" },
    { 0x471C, "hint_text_logic" },
//  { 0x471D, "" },
//  { 0x471E, "" },
//  { 0x471F, "" },
//  { 0x4720, "" },
//  { 0x4721, "" },
    { 0x4722, "heli_pos" },
//  { 0x4723, "" },
    { 0x4724, "heli_unload" },
    { 0x4725, "fix_hind_doors_so" },
    { 0x4726, "handle_reactor_setup" },
    { 0x4727, "missing_objective_warning" },
    { 0x4728, "objective_warning_triggers" },
//  { 0x4729, "" },
//  { 0x472A, "" },
    { 0x472B, "setup_timer" },
//  { 0x472C, "" },
//  { 0x472D, "" },
//  { 0x472E, "" },
//  { 0x472F, "" },
//  { 0x4730, "" },
//  { 0x4731, "" },
    { 0x4732, "valve_in_use" },
    { 0x4733, "reset_valve_interaction" },
//  { 0x4734, "" },
//  { 0x4735, "" },
//  { 0x4736, "" },
//  { 0x4737, "" },
    { 0x4738, "reverse_turning" },
    { 0x4739, "players_use_button" },
//  { 0x473A, "" },
    { 0x473B, "monitor_steam_shutoff" },
//  { 0x473C, "" },
//  { 0x473D, "" },
//  { 0x473E, "" },
//  { 0x473F, "" },
//  { 0x4740, "" },
//  { 0x4741, "" },
//  { 0x4742, "" },
    { 0x4743, "get_and_wait_for_trigger" },
//  { 0x4744, "" },
    { 0x4745, "open_doors_with_animations" },
//  { 0x4746, "" },
    { 0x4747, "players_touching" },
//  { 0x4748, "" },
//  { 0x4749, "" },
//  { 0x474A, "" },
    { 0x474B, "anim_open_door" },
    { 0x474C, "stop_anim_if_dead" },
//  { 0x474D, "" },
//  { 0x474E, "" },
//  { 0x474F, "" },
//  { 0x4750, "" },
//  { 0x4751, "" },
//  { 0x4752, "" },
    { 0x4753, "monitor_remaining_bombs" },
//  { 0x4754, "" },
//  { 0x4755, "" },
    { 0x4756, "thermite_timer_reactor_room" },
    { 0x4757, "elements" },
//  { 0x4758, "" },
//  { 0x4759, "" },
//  { 0x475A, "" },
//  { 0x475B, "" },
//  { 0x475C, "" },
    { 0x475D, "teleport_player_so" },
//  { 0x475E, "" },
//  { 0x475F, "" },
    { 0x4760, "enemy_ai_for_sub" },
//  { 0x4761, "" },
//  { 0x4762, "" },
//  { 0x4763, "" },
//  { 0x4764, "" },
//  { 0x4765, "" },
//  { 0x4766, "" },
//  { 0x4767, "" },
//  { 0x4768, "" },
    { 0x4769, "player_using_ladder" },
    { 0x476A, "move_guy_down" },
//  { 0x476B, "" },
    { 0x476C, "handle_exit" },
//  { 0x476D, "" },
//  { 0x476E, "" },
//  { 0x476F, "" },
//  { 0x4770, "" },
//  { 0x4771, "" },
    { 0x4772, "shoot_dude" },
//  { 0x4773, "" },
    { 0x4774, "close_hatch_rear" },
    { 0x4775, "verify_player_in_sub" },
//  { 0x4776, "" },
//  { 0x4777, "" },
//  { 0x4778, "" },
//  { 0x4779, "" },
//  { 0x477A, "" },
//  { 0x477B, "" },
//  { 0x477C, "" },
//  { 0x477D, "" },
    { 0x477E, "angles_and_origin" },
    { 0x477F, "silo_doors_and_missiles" },
    { 0x4780, "right_missile_groups" },
    { 0x4781, "left_missile_groups" },
//  { 0x4782, "" },
//  { 0x4783, "" },
//  { 0x4784, "" },
//  { 0x4785, "" },
//  { 0x4786, "" },
//  { 0x4787, "" },
//  { 0x4788, "" },
//  { 0x4789, "" },
//  { 0x478A, "" },
//  { 0x478B, "" },
//  { 0x478C, "" },
//  { 0x478D, "" },
//  { 0x478E, "" },
    { 0x478F, "script_model_anims" },
    { 0x4790, "door" },
//  { 0x4791, "" },
//  { 0x4792, "" },
//  { 0x4793, "" },
    { 0x4794, "handle_end_of_game_bonuses" },
    { 0x4795, "monitor_damage_type" },
//  { 0x4796, "" },
//  { 0x4797, "" },
//  { 0x4798, "" },
    { 0x4799, "heli_fail_safe_on_death" },
//  { 0x479A, "" },
    { 0x479B, "vehicle_scripts/_zubr" },
//  { 0x479C, "" },
//  { 0x479D, "" },
    { 0x479E, "radio" },
//  { 0x479F, "" },
//  { 0x47A0, "" },
    { 0x47A1, "breachignoreenemy_count" },
    { 0x47A2, "has_special_breach_anim" },
    { 0x47A3, "breach_passive_time" },
//  { 0x47A4, "" },
//  { 0x47A5, "" },
    { 0x47A6, "manhandled_spawners" },
    { 0x47A7, "missing_animation_parameters" },
    { 0x47A8, "missing_animations" },
//  { 0x47A9, "" },
    { 0x47AA, "is_breach_anim_single_setup" },
//  { 0x47AB, "" },
    { 0x47AC, "scr_stub" },
    { 0x47AD, "breach_anims" },
//  { 0x47AE, "" },
    { 0x47AF, "friendly_animations" },
    { 0x47B0, "breach_fx_setup" },
//  { 0x47B1, "" },
//  { 0x47B2, "" },
//  { 0x47B3, "" },
//  { 0x47B4, "" },
    { 0x47B5, "doortype" },
    { 0x47B6, "lookat_triggers" },
//  { 0x47B7, "" },
    { 0x47B8, "door_volume" },
    { 0x47B9, "room_volume" },
//  { 0x47BA, "" },
//  { 0x47BB, "" },
    { 0x47BC, "right_post" },
//  { 0x47BD, "" },
//  { 0x47BE, "" },
//  { 0x47BF, "" },
//  { 0x47C0, "" },
    { 0x47C1, "assign_script_breachgroup_to_ents" },
//  { 0x47C2, "" },
    { 0x47C3, "slowmo_breach_damage_trigger_think" },
    { 0x47C4, "icon_trigger_setup" },
//  { 0x47C5, "" },
//  { 0x47C6, "" },
//  { 0x47C7, "" },
    { 0x47C8, "slowmo_breach_think" },
    { 0x47C9, "breach_use_triggers" },
//  { 0x47CA, "" },
//  { 0x47CB, "" },
    { 0x47CC, "charge" },
//  { 0x47CD, "" },
//  { 0x47CE, "" },
//  { 0x47CF, "" },
//  { 0x47D0, "" },
//  { 0x47D1, "" },
//  { 0x47D2, "" },
//  { 0x47D3, "" },
//  { 0x47D4, "" },
//  { 0x47D5, "" },
    { 0x47D6, "breachfriendlies_can_teleport" },
//  { 0x47D7, "" },
//  { 0x47D8, "" },
    { 0x47D9, "breach_too_many_enemies_hint" },
    { 0x47DA, "breach_reloading_hint" },
    { 0x47DB, "breach_bad_weapon_hint" },
//  { 0x47DC, "" },
//  { 0x47DD, "" },
//  { 0x47DE, "" },
    { 0x47DF, "room_has_multiple_doors" },
//  { 0x47E0, "" },
//  { 0x47E1, "" },
//  { 0x47E2, "" },
//  { 0x47E3, "" },
//  { 0x47E4, "" },
    { 0x47E5, "breach_friendlies_ready_at_other_door" },
//  { 0x47E6, "" },
    { 0x47E7, "add_scene_model" },
//  { 0x47E8, "" },
//  { 0x47E9, "" },
//  { 0x47EA, "" },
//  { 0x47EB, "" },
//  { 0x47EC, "" },
//  { 0x47ED, "" },
//  { 0x47EE, "" },
//  { 0x47EF, "" },
//  { 0x47F0, "" },
//  { 0x47F1, "" },
//  { 0x47F2, "" },
//  { 0x47F3, "" },
//  { 0x47F4, "" },
//  { 0x47F5, "" },
//  { 0x47F6, "" },
//  { 0x47F7, "" },
    { 0x47F8, "play_detpack_plant_sound" },
//  { 0x47F9, "" },
//  { 0x47FA, "" },
//  { 0x47FB, "" },
    { 0x47FC, "enable_passive_weapons" },
//  { 0x47FD, "" },
//  { 0x47FE, "" },
//  { 0x47FF, "" },
    { 0x4800, "get_available_breachfriendlies" },
//  { 0x4801, "" },
//  { 0x4802, "" },
//  { 0x4803, "" },
//  { 0x4804, "" },
//  { 0x4805, "" },
    { 0x4806, "slomo_breach_vision_change" },
//  { 0x4807, "" },
//  { 0x4808, "" },
    { 0x4809, "reference" },
//  { 0x480A, "" },
//  { 0x480B, "" },
//  { 0x480C, "" },
//  { 0x480D, "" },
//  { 0x480E, "" },
//  { 0x480F, "" },
    { 0x4810, "hostage_health_regen" },
//  { 0x4811, "" },
//  { 0x4812, "" },
    { 0x4813, "breach_set_deadquote" },
    { 0x4814, "coop_breached_from_same_door_in_a_muliti_door_room" },
//  { 0x4815, "" },
//  { 0x4816, "" },
    { 0x4817, "slowmo_viewhands" },
    { 0x4818, "_slowmo_breach_funcs" },
    { 0x4819, "add_breach_func" },
    { 0x481A, "breach_functions" },
    { 0x481B, "breach_explosion" },
//  { 0x481C, "" },
//  { 0x481D, "" },
//  { 0x481E, "" },
//  { 0x481F, "" },
//  { 0x4820, "" },
    { 0x4821, "_slomo_breach_executed_guy" },
//  { 0x4822, "" },
//  { 0x4823, "" },
    { 0x4824, "_slomo_breach_c4_hostage" },
//  { 0x4825, "" },
//  { 0x4826, "" },
    { 0x4827, "_slomo_breach_fightback_guy" },
//  { 0x4828, "" },
//  { 0x4829, "" },
//  { 0x482A, "" },
    { 0x482B, "_slomo_breach_chair_guy_animated" },
//  { 0x482C, "" },
//  { 0x482D, "" },
//  { 0x482E, "" },
    { 0x482F, "breach_near_player" },
    { 0x4830, "get_breach_groups" },
    { 0x4831, "make_empty_breach" },
//  { 0x4832, "" },
    { 0x4833, "breach_debug_display_animnames" },
//  { 0x4834, "" },
    { 0x4835, "hostagemanhandle" },
    { 0x4836, "manhandler_hold" },
    { 0x4837, "startmanhandling" },
//  { 0x4838, "" },
    { 0x4839, "readytobemanhandled" },
//  { 0x483A, "" },
//  { 0x483B, "" },
    { 0x483C, "special_gulag_adjustment" },
//  { 0x483D, "" },
//  { 0x483E, "" },
//  { 0x483F, "" },
//  { 0x4840, "" },
//  { 0x4841, "" },
//  { 0x4842, "" },
//  { 0x4843, "" },
    { 0x4844, "anim_exists" },
//  { 0x4845, "" },
//  { 0x4846, "" },
//  { 0x4847, "" },
    { 0x4848, "breach_failed_to_start" },
//  { 0x4849, "" },
    { 0x484A, "slomo_sound_scale_setup" },
    { 0x484B, "trainer_version" },
//  { 0x484C, "" },
    { 0x484D, "challenge_flag_complete" },
    { 0x484E, "challenge_flag_start" },
//  { 0x484F, "" },
//  { 0x4850, "" },
//  { 0x4851, "" },
    { 0x4852, "delete_ents" },
//  { 0x4853, "" },
//  { 0x4854, "" },
//  { 0x4855, "" },
    { 0x4856, "setup_breach" },
    { 0x4857, "breach_charge01_highlight" },
    { 0x4858, "breach_charge01" },
//  { 0x4859, "" },
    { 0x485A, "breach_charge02" },
//  { 0x485B, "" },
//  { 0x485C, "" },
//  { 0x485D, "" },
//  { 0x485E, "" },
//  { 0x485F, "" },
//  { 0x4860, "" },
//  { 0x4861, "" },
    { 0x4862, "setup_dialog" },
    { 0x4863, "dialog_intro" },
    { 0x4864, "dialog_weapons_hidden" },
//  { 0x4865, "" },
    { 0x4866, "on_player_weapon_change" },
//  { 0x4867, "" },
//  { 0x4868, "" },
    { 0x4869, "grinch" },
//  { 0x486A, "" },
    { 0x486B, "look_at_players" },
//  { 0x486C, "" },
//  { 0x486D, "" },
//  { 0x486E, "" },
//  { 0x486F, "" },
//  { 0x4870, "" },
//  { 0x4871, "" },
//  { 0x4872, "" },
//  { 0x4873, "" },
//  { 0x4874, "" },
//  { 0x4875, "" },
//  { 0x4876, "" },
    { 0x4877, "start_mission" },
    { 0x4878, "course_think" },
//  { 0x4879, "" },
    { 0x487A, "trig_required" },
    { 0x487B, "doors_before" },
//  { 0x487C, "" },
//  { 0x487D, "" },
    { 0x487E, "target_rail_start_points" },
    { 0x487F, "target_rail_path_start_points" },
//  { 0x4880, "" },
    { 0x4881, "targets_friendly" },
    { 0x4882, "targets_enemy" },
//  { 0x4883, "" },
    { 0x4884, "course_delete" },
//  { 0x4885, "" },
//  { 0x4886, "" },
//  { 0x4887, "" },
//  { 0x4888, "" },
    { 0x4889, "lateralmovementorgs" },
//  { 0x488A, "" },
//  { 0x488B, "" },
//  { 0x488C, "" },
//  { 0x488D, "" },
//  { 0x488E, "" },
    { 0x488F, "so_player_tooclose_wait" },
//  { 0x4890, "" },
//  { 0x4891, "" },
//  { 0x4892, "" },
//  { 0x4893, "" },
//  { 0x4894, "" },
//  { 0x4895, "" },
//  { 0x4896, "" },
//  { 0x4897, "" },
//  { 0x4898, "" },
//  { 0x4899, "" },
    { 0x489A, "splash_count" },
//  { 0x489B, "" },
//  { 0x489C, "" },
    { 0x489D, "hud_area_cleared" },
//  { 0x489E, "" },
//  { 0x489F, "" },
    { 0x48A0, "get_next_medal_time_string" },
    { 0x48A1, "get_next_medal" },
//  { 0x48A2, "" },
//  { 0x48A3, "" },
//  { 0x48A4, "" },
    { 0x48A5, "brushes" },
//  { 0x48A6, "" },
//  { 0x48A7, "" },
//  { 0x48A8, "" },
//  { 0x48A9, "" },
//  { 0x48AA, "" },
//  { 0x48AB, "" },
    { 0x48AC, "character/character_sp_opforce_e" },
    { 0x48AD, "character/character_sp_opforce_f" },
//  { 0x48AE, "" },
//  { 0x48AF, "" },
    { 0x48B0, "character/character_sp_opforce_derik" },
//  { 0x48B1, "" },
//  { 0x48B2, "" },
//  { 0x48B3, "" },
//  { 0x48B4, "" },
//  { 0x48B5, "" },
//  { 0x48B6, "" },
    { 0x48B7, "a10_goggles_overlay_hi" },
    { 0x48B8, "a10_fx_lifetime_sec" },
//  { 0x48B9, "" },
//  { 0x48BA, "" },
    { 0x48BB, "a10_fly_distance_back_increment" },
//  { 0x48BC, "" },
//  { 0x48BD, "" },
    { 0x48BE, "a10_badplace_radius" },
    { 0x48BF, "a10_friendly_ent_target_check" },
//  { 0x48C0, "" },
    { 0x48C1, "a10_hint_hud_activate" },
//  { 0x48C2, "" },
    { 0x48C3, "a10_targets" },
//  { 0x48C4, "" },
//  { 0x48C5, "" },
    { 0x48C6, "airstrike_setup" },
//  { 0x48C7, "" },
    { 0x48C8, "airstrike_cancelled" },
//  { 0x48C9, "" },
//  { 0x48CA, "" },
//  { 0x48CB, "" },
//  { 0x48CC, "" },
    { 0x48CD, "create_aim_arrow" },
//  { 0x48CE, "" },
//  { 0x48CF, "" },
    { 0x48D0, "draw_target_aim" },
//  { 0x48D1, "" },
    { 0x48D2, "create_second_point" },
//  { 0x48D3, "" },
//  { 0x48D4, "" },
//  { 0x48D5, "" },
//  { 0x48D6, "" },
//  { 0x48D7, "" },
//  { 0x48D8, "" },
    { 0x48D9, "draw_directional_info" },
//  { 0x48DA, "" },
//  { 0x48DB, "" },
    { 0x48DC, "start_delay" },
    { 0x48DD, "direction_line_start_time" },
//  { 0x48DE, "" },
    { 0x48DF, "vfx" },
//  { 0x48E0, "" },
//  { 0x48E1, "" },
//  { 0x48E2, "" },
//  { 0x48E3, "" },
//  { 0x48E4, "" },
//  { 0x48E5, "" },
//  { 0x48E6, "" },
//  { 0x48E7, "" },
    { 0x48E8, "airstrike_get_path" },
//  { 0x48E9, "" },
//  { 0x48EA, "" },
//  { 0x48EB, "" },
//  { 0x48EC, "" },
//  { 0x48ED, "" },
//  { 0x48EE, "" },
//  { 0x48EF, "" },
//  { 0x48F0, "" },
//  { 0x48F1, "" },
//  { 0x48F2, "" },
    { 0x48F3, "checkpath" },
//  { 0x48F4, "" },
//  { 0x48F5, "" },
//  { 0x48F6, "" },
    { 0x48F7, "a10_start_impact" },
    { 0x48F8, "a10_end_impact" },
//  { 0x48F9, "" },
//  { 0x48FA, "" },
    { 0x48FB, "airstrike_animated_rumble" },
//  { 0x48FC, "" },
//  { 0x48FD, "" },
    { 0x48FE, "airstrike_fire" },
    { 0x48FF, "a10_muzzle_flash_fx" },
//  { 0x4900, "" },
    { 0x4901, "a10_kills" },
    { 0x4902, "a10_kill_watcher_ai" },
    { 0x4903, "calculate_target_pos" },
    { 0x4904, "airstrike_clean_up_target_points" },
//  { 0x4905, "" },
//  { 0x4906, "" },
//  { 0x4907, "" },
    { 0x4908, "a10_suppress_ready_vo" },
//  { 0x4909, "" },
//  { 0x490A, "" },
//  { 0x490B, "" },
    { 0x490C, "in_cant_get_there_dialogue" },
    { 0x490D, "airstike_hint_text_points" },
//  { 0x490E, "" },
    { 0x490F, "turn_on_a10_hud_hint" },
    { 0x4910, "monitor_weapon_switch" },
//  { 0x4911, "" },
//  { 0x4912, "" },
//  { 0x4913, "" },
//  { 0x4914, "" },
//  { 0x4915, "" },
    { 0x4916, "a10_interface_fontscale" },
    { 0x4917, "a10_interface_thread" },
//  { 0x4918, "" },
//  { 0x4919, "" },
//  { 0x491A, "" },
//  { 0x491B, "" },
//  { 0x491C, "" },
//  { 0x491D, "" },
//  { 0x491E, "" },
//  { 0x491F, "" },
//  { 0x4920, "" },
    { 0x4921, "a10_interface_enable_playerhud" },
//  { 0x4922, "" },
    { 0x4923, "a10_interface_enable_view" },
//  { 0x4924, "" },
//  { 0x4925, "" },
    { 0x4926, "create_hud_static_overlay" },
//  { 0x4927, "" },
    { 0x4928, "create_hud_vertical_meter" },
    { 0x4929, "a10_set_target_hud_data" },
//  { 0x492A, "" },
    { 0x492B, "create_hud_upper_left" },
//  { 0x492C, "" },
//  { 0x492D, "" },
    { 0x492E, "create_hud_section" },
    { 0x492F, "string_is_valid" },
    { 0x4930, "create_hud_data_value" },
//  { 0x4931, "" },
//  { 0x4932, "" },
//  { 0x4933, "" },
//  { 0x4934, "" },
    { 0x4935, "a10_interface_enable_weapons" },
//  { 0x4936, "" },
//  { 0x4937, "" },
//  { 0x4938, "" },
    { 0x4939, "draw_tracking" },
//  { 0x493A, "" },
//  { 0x493B, "" },
//  { 0x493C, "" },
//  { 0x493D, "" },
//  { 0x493E, "" },
    { 0x493F, "a10_remove_target" },
//  { 0x4940, "" },
//  { 0x4941, "" },
//  { 0x4942, "" },
//  { 0x4943, "" },
//  { 0x4944, "" },
//  { 0x4945, "" },
//  { 0x4946, "" },
    { 0x4947, "rappel_weapon" },
    { 0x4948, "rappel_move_anim_state" },
    { 0x4949, "rappel_move_anim_state_time" },
//  { 0x494A, "" },
//  { 0x494B, "" },
    { 0x494C, "rappelhookup" },
    { 0x494D, "rappelunhook" },
    { 0x494E, "battledrone_spawner_think" },
//  { 0x494F, "" },
    { 0x4950, "destroydrone" },
    { 0x4951, "drone_setup" },
    { 0x4952, "attack_range" },
//  { 0x4953, "" },
//  { 0x4954, "" },
    { 0x4955, "drone_ongoal" },
    { 0x4956, "drone_ondeath" },
    { 0x4957, "get_opposing_team_name" },
    { 0x4958, "get_targets_list" },
//  { 0x4959, "" },
//  { 0x495A, "" },
    { 0x495B, "drone_findtarget" },
    { 0x495C, "battlefield_effects" },
    { 0x495D, "color_volume_advance" },
//  { 0x495E, "" },
//  { 0x495F, "" },
//  { 0x4960, "" },
    { 0x4961, "color_volume_advance_cleanup" },
//  { 0x4962, "" },
//  { 0x4963, "" },
//  { 0x4964, "" },
//  { 0x4965, "" },
//  { 0x4966, "" },
    { 0x4967, "color_volume_dupe_info" },
//  { 0x4968, "" },
//  { 0x4969, "" },
//  { 0x496A, "" },
//  { 0x496B, "" },
//  { 0x496C, "" },
//  { 0x496D, "" },
//  { 0x496E, "" },
//  { 0x496F, "" },
//  { 0x4970, "" },
//  { 0x4971, "" },
//  { 0x4972, "" },
//  { 0x4973, "" },
//  { 0x4974, "" },
//  { 0x4975, "" },
//  { 0x4976, "" },
//  { 0x4977, "" },
//  { 0x4978, "" },
//  { 0x4979, "" },
//  { 0x497A, "" },
//  { 0x497B, "" },
//  { 0x497C, "" },
//  { 0x497D, "" },
    { 0x497E, "anim_single_solo_gravity" },
//  { 0x497F, "" },
//  { 0x4980, "" },
//  { 0x4981, "" },
    { 0x4982, "stanceoffsethelper" },
    { 0x4983, "play_sonic_boom" },
//  { 0x4984, "" },
//  { 0x4985, "" },
//  { 0x4986, "" },
//  { 0x4987, "" },
//  { 0x4988, "" },
//  { 0x4989, "" },
//  { 0x498A, "" },
//  { 0x498B, "" },
    { 0x498C, "kill_vfx_before_building_explode" },
    { 0x498D, "smktrail_giant_flying_debri" },
//  { 0x498E, "" },
    { 0x498F, "falling_dust_player_hand" },
//  { 0x4990, "" },
//  { 0x4991, "" },
    { 0x4992, "building_falling_column_vfx" },
//  { 0x4993, "" },
    { 0x4994, "building_explosion_dof" },
    { 0x4995, "rappel_dof" },
    { 0x4996, "loop_skybox_hinds_alleyway" },
//  { 0x4997, "" },
//  { 0x4998, "" },
//  { 0x4999, "" },
//  { 0x499A, "" },
//  { 0x499B, "" },
//  { 0x499C, "" },
    { 0x499D, "door_kick_vfx_2" },
    { 0x499E, "tank_dirt_vfx" },
//  { 0x499F, "" },
//  { 0x49A0, "" },
//  { 0x49A1, "" },
//  { 0x49A2, "" },
//  { 0x49A3, "" },
//  { 0x49A4, "" },
//  { 0x49A5, "" },
//  { 0x49A6, "" },
//  { 0x49A7, "" },
    { 0x49A8, "monitor_grab_player_missile" },
//  { 0x49A9, "" },
//  { 0x49AA, "" },
//  { 0x49AB, "" },
//  { 0x49AC, "" },
    { 0x49AD, "objective_enemies_index" },
//  { 0x49AE, "" },
//  { 0x49AF, "" },
    { 0x49B0, "remainingenemycounthudelemnum" },
    { 0x49B1, "character/character_opforce_rushwood_ass_dust_a" },
//  { 0x49B2, "" },
    { 0x49B3, "character/character_opforce_rushwood_smg_dust_a" },
    { 0x49B4, "maps/createart/berlin_fog" },
//  { 0x49B5, "" },
//  { 0x49B6, "" },
//  { 0x49B7, "" },
//  { 0x49B8, "" },
//  { 0x49B9, "" },
    { 0x49BA, "mus_intro_flight_music_start_lng" },
    { 0x49BB, "a10_airstrike_ground_impact" },
    { 0x49BC, "granite_breach_ent" },
//  { 0x49BD, "" },
//  { 0x49BE, "" },
//  { 0x49BF, "" },
//  { 0x49C0, "" },
    { 0x49C1, "aud_fade_intro_flight_music_main" },
//  { 0x49C2, "" },
//  { 0x49C3, "" },
//  { 0x49C4, "" },
//  { 0x49C5, "" },
//  { 0x49C6, "" },
//  { 0x49C7, "" },
//  { 0x49C8, "" },
    { 0x49C9, "aud_start_water" },
//  { 0x49CA, "" },
//  { 0x49CB, "" },
//  { 0x49CC, "" },
    { 0x49CD, "aud_num_enemies_near" },
//  { 0x49CE, "" },
//  { 0x49CF, "" },
//  { 0x49D0, "" },
//  { 0x49D1, "" },
    { 0x49D2, "aud_sniper_tank_whizby" },
//  { 0x49D3, "" },
//  { 0x49D4, "" },
    { 0x49D5, "aud_fake_tank_battle" },
    { 0x49D6, "aud_play_fake_tanks" },
    { 0x49D7, "aud_select_pos_set" },
//  { 0x49D8, "" },
    { 0x49D9, "aud_ally_tank_shock_check" },
//  { 0x49DA, "" },
//  { 0x49DB, "" },
//  { 0x49DC, "" },
//  { 0x49DD, "" },
    { 0x49DE, "aud_berlin_finale_helicopter" },
    { 0x49DF, "aud_alena_scream" },
//  { 0x49E0, "" },
//  { 0x49E1, "" },
//  { 0x49E2, "" },
//  { 0x49E3, "" },
//  { 0x49E4, "" },
//  { 0x49E5, "" },
//  { 0x49E6, "" },
//  { 0x49E7, "" },
//  { 0x49E8, "" },
//  { 0x49E9, "" },
//  { 0x49EA, "" },
//  { 0x49EB, "" },
    { 0x49EC, "num_obj_ieds" },
//  { 0x49ED, "" },
//  { 0x49EE, "" },
    { 0x49EF, "allowexplodedeath_health" },
    { 0x49F0, "juggernaut_front_armor" },
//  { 0x49F1, "" },
//  { 0x49F2, "" },
    { 0x49F3, "ieds_active" },
//  { 0x49F4, "" },
//  { 0x49F5, "" },
//  { 0x49F6, "" },
    { 0x49F7, "ied_remove_obj_dot" },
//  { 0x49F8, "" },
    { 0x49F9, "combat_waves" },
//  { 0x49FA, "" },
//  { 0x49FB, "" },
    { 0x49FC, "set_speeds_when_dying" },
    { 0x49FD, "sniper_attractors" },
//  { 0x49FE, "" },
//  { 0x49FF, "" },
    { 0x4A00, "ieds_defused" },
    { 0x4A01, "combat_wave" },
//  { 0x4A02, "" },
//  { 0x4A03, "" },
//  { 0x4A04, "" },
//  { 0x4A05, "" },
//  { 0x4A06, "" },
//  { 0x4A07, "" },
    { 0x4A08, "ied_draw_logic" },
//  { 0x4A09, "" },
//  { 0x4A0A, "" },
//  { 0x4A0B, "" },
//  { 0x4A0C, "" },
//  { 0x4A0D, "" },
//  { 0x4A0E, "" },
//  { 0x4A0F, "" },
//  { 0x4A10, "" },
//  { 0x4A11, "" },
//  { 0x4A12, "" },
    { 0x4A13, "ied_detonate_logic" },
    { 0x4A14, "ied_detonate" },
    { 0x4A15, "ied_badplace_and_cleanup_logic" },
//  { 0x4A16, "" },
    { 0x4A17, "should_uavplayer_use_uav" },
//  { 0x4A18, "" },
    { 0x4A19, "laser_logic" },
//  { 0x4A1A, "" },
    { 0x4A1B, "tank_monitor_jugg_sight" },
//  { 0x4A1C, "" },
    { 0x4A1D, "tank_gunner_monitor_death" },
//  { 0x4A1E, "" },
//  { 0x4A1F, "" },
//  { 0x4A20, "" },
    { 0x4A21, "force_no_prone" },
    { 0x4A22, "make_jug_model" },
    { 0x4A23, "handle_juggernaut_health_dog_bite" },
//  { 0x4A24, "" },
//  { 0x4A25, "" },
    { 0x4A26, "handle_juggernaut_health" },
//  { 0x4A27, "" },
//  { 0x4A28, "" },
//  { 0x4A29, "" },
//  { 0x4A2A, "" },
//  { 0x4A2B, "" },
//  { 0x4A2C, "" },
//  { 0x4A2D, "" },
//  { 0x4A2E, "" },
//  { 0x4A2F, "" },
//  { 0x4A30, "" },
    { 0x4A31, "intro_hint" },
//  { 0x4A32, "" },
//  { 0x4A33, "" },
    { 0x4A34, "track_melee_kills" },
    { 0x4A35, "dog_think" },
//  { 0x4A36, "" },
    { 0x4A37, "vo_reaper_hint" },
//  { 0x4A38, "" },
//  { 0x4A39, "" },
//  { 0x4A3A, "" },
//  { 0x4A3B, "" },
    { 0x4A3C, "tertiary_weapon" },
//  { 0x4A3D, "" },
    { 0x4A3E, "pentacular_weapon" },
    { 0x4A3F, "sextant_weapon" },
//  { 0x4A40, "" },
//  { 0x4A41, "" },
//  { 0x4A42, "" },
//  { 0x4A43, "" },
//  { 0x4A44, "" },
//  { 0x4A45, "" },
//  { 0x4A46, "" },
//  { 0x4A47, "" },
//  { 0x4A48, "" },
//  { 0x4A49, "" },
    { 0x4A4A, "resolve_usable_object_conflicts" },
//  { 0x4A4B, "" },
    { 0x4A4C, "ground_guy" },
    { 0x4A4D, "lilbros" },
//  { 0x4A4E, "" },
//  { 0x4A4F, "" },
//  { 0x4A50, "" },
//  { 0x4A51, "" },
    { 0x4A52, "end_mission_if_downed" },
//  { 0x4A53, "" },
//  { 0x4A54, "" },
//  { 0x4A55, "" },
//  { 0x4A56, "" },
//  { 0x4A57, "" },
//  { 0x4A58, "" },
//  { 0x4A59, "" },
    { 0x4A5A, "setup_difficulty_settings" },
//  { 0x4A5B, "" },
//  { 0x4A5C, "" },
    { 0x4A5D, "if_heli_player_is_doing_all_the_work" },
//  { 0x4A5E, "" },
    { 0x4A5F, "thermal_vision_remove" },
    { 0x4A60, "wait_till_guys_in_lz_are_cleared" },
//  { 0x4A61, "" },
//  { 0x4A62, "" },
    { 0x4A63, "kill_all_close_enemies" },
//  { 0x4A64, "" },
    { 0x4A65, "get_rider_off_heli" },
//  { 0x4A66, "" },
    { 0x4A67, "setup_location0_start" },
    { 0x4A68, "setup_location1_street" },
    { 0x4A69, "rider_shoot_dist" },
//  { 0x4A6A, "" },
//  { 0x4A6B, "" },
//  { 0x4A6C, "" },
//  { 0x4A6D, "" },
//  { 0x4A6E, "" },
//  { 0x4A6F, "" },
//  { 0x4A70, "" },
//  { 0x4A71, "" },
    { 0x4A72, "player2_branch_handler" },
    { 0x4A73, "start_bomb_countdown" },
//  { 0x4A74, "" },
//  { 0x4A75, "" },
//  { 0x4A76, "" },
//  { 0x4A77, "" },
//  { 0x4A78, "" },
//  { 0x4A79, "" },
    { 0x4A7A, "white_out" },
//  { 0x4A7B, "" },
//  { 0x4A7C, "" },
    { 0x4A7D, "show_message_noprone" },
//  { 0x4A7E, "" },
//  { 0x4A7F, "" },
//  { 0x4A80, "" },
//  { 0x4A81, "" },
    { 0x4A82, "show_bomb_on_success" },
//  { 0x4A83, "" },
//  { 0x4A84, "" },
    { 0x4A85, "attach_briefcase_model" },
//  { 0x4A86, "" },
    { 0x4A87, "use_active" },
    { 0x4A88, "defuse_use_bar" },
    { 0x4A89, "defuse_time" },
//  { 0x4A8A, "" },
//  { 0x4A8B, "" },
//  { 0x4A8C, "" },
    { 0x4A8D, "smoke_grenade_ambush" },
    { 0x4A8E, "switch_to_thermal_reminder" },
    { 0x4A8F, "stop_thermal_reminder" },
//  { 0x4A90, "" },
//  { 0x4A91, "" },
    { 0x4A92, "setup_rappel_guys" },
//  { 0x4A93, "" },
    { 0x4A94, "rappel_from_roof" },
//  { 0x4A95, "" },
    { 0x4A96, "onslaught" },
    { 0x4A97, "kill_stragglers" },
    { 0x4A98, "kill_second_floor_guys" },
//  { 0x4A99, "" },
    { 0x4A9A, "handle_equipment" },
//  { 0x4A9B, "" },
//  { 0x4A9C, "" },
//  { 0x4A9D, "" },
//  { 0x4A9E, "" },
    { 0x4A9F, "setup_heli" },
    { 0x4AA0, "heli_set_hover_params" },
//  { 0x4AA1, "" },
//  { 0x4AA2, "" },
//  { 0x4AA3, "" },
//  { 0x4AA4, "" },
    { 0x4AA5, "end_messages" },
    { 0x4AA6, "lock_health_at" },
//  { 0x4AA7, "" },
//  { 0x4AA8, "" },
//  { 0x4AA9, "" },
    { 0x4AAA, "player_seats" },
    { 0x4AAB, "player_seats_jump" },
//  { 0x4AAC, "" },
    { 0x4AAD, "ai_seat" },
//  { 0x4AAE, "" },
//  { 0x4AAF, "" },
    { 0x4AB0, "create_ai_gun_position" },
    { 0x4AB1, "all_isdefined" },
    { 0x4AB2, "setup_playerlink_location" },
    { 0x4AB3, "monitor_goal_yaw_for_heli" },
//  { 0x4AB4, "" },
//  { 0x4AB5, "" },
    { 0x4AB6, "player_movement_limits" },
//  { 0x4AB7, "" },
//  { 0x4AB8, "" },
    { 0x4AB9, "wait_till_all_onboard" },
//  { 0x4ABA, "" },
//  { 0x4ABB, "" },
//  { 0x4ABC, "" },
    { 0x4ABD, "tank3" },
//  { 0x4ABE, "" },
//  { 0x4ABF, "" },
    { 0x4AC0, "monitor_tank_is_dead" },
//  { 0x4AC1, "" },
    { 0x4AC2, "tanks_target_players_when" },
    { 0x4AC3, "fx_setup" },
    { 0x4AC4, "generic_human" },
    { 0x4AC5, "script_prop_anims" },
    { 0x4AC6, "vo_setup" },
//  { 0x4AC7, "" },
//  { 0x4AC8, "" },
    { 0x4AC9, "handle_infinite_ammo_during_intro" },
    { 0x4ACA, "no_pentacular" },
//  { 0x4ACB, "" },
    { 0x4ACC, "end_text_message" },
//  { 0x4ACD, "" },
    { 0x4ACE, "disable_objective_warning" },
//  { 0x4ACF, "" },
//  { 0x4AD0, "" },
//  { 0x4AD1, "" },
    { 0x4AD2, "xmodelalias/alias_russian_military_gasmask_heads" },
    { 0x4AD3, "character/character_opforce_paris_gasmask" },
//  { 0x4AD4, "" },
    { 0x4AD5, "local_init" },
//  { 0x4AD6, "" },
//  { 0x4AD7, "" },
//  { 0x4AD8, "" },
//  { 0x4AD9, "" },
//  { 0x4ADA, "" },
//  { 0x4ADB, "" },
//  { 0x4ADC, "" },
//  { 0x4ADD, "" },
    { 0x4ADE, "play_distant_bombshake" },
//  { 0x4ADF, "" },
//  { 0x4AE0, "" },
//  { 0x4AE1, "" },
//  { 0x4AE2, "" },
    { 0x4AE3, "fx_btr_deathquake" },
    { 0x4AE4, "fx_trigger_manual_bombshake" },
//  { 0x4AE5, "" },
//  { 0x4AE6, "" },
    { 0x4AE7, "paris_aud_msg_handler" },
    { 0x4AE8, "damb_pars_sewer_pipe_stress" },
    { 0x4AE9, "infrastructure_metal_clangs" },
    { 0x4AEA, "first_ac130_bullet" },
//  { 0x4AEB, "" },
    { 0x4AEC, "mus_enter_book_store_done" },
    { 0x4AED, "mus_cross_courtyard2" },
//  { 0x4AEE, "" },
//  { 0x4AEF, "" },
//  { 0x4AF0, "" },
//  { 0x4AF1, "" },
//  { 0x4AF2, "" },
//  { 0x4AF3, "" },
    { 0x4AF4, "vfx_mig_count" },
    { 0x4AF5, "aud_play_vfx_dist_jet" },
//  { 0x4AF6, "" },
//  { 0x4AF7, "" },
//  { 0x4AF8, "" },
    { 0x4AF9, "aud_courtyard2_combat_done" },
    { 0x4AFA, "aud_paris_intro_flight" },
//  { 0x4AFB, "" },
//  { 0x4AFC, "" },
//  { 0x4AFD, "" },
//  { 0x4AFE, "" },
//  { 0x4AFF, "" },
//  { 0x4B00, "" },
//  { 0x4B01, "" },
    { 0x4B02, "aud_ac130_bullet_sound" },
//  { 0x4B03, "" },
//  { 0x4B04, "" },
//  { 0x4B05, "" },
    { 0x4B06, "aud_ac130_debris" },
//  { 0x4B07, "" },
//  { 0x4B08, "" },
    { 0x4B09, "aud_static_tvs_start" },
    { 0x4B0A, "aud_paris_b_positional_start" },
//  { 0x4B0B, "" },
//  { 0x4B0C, "" },
//  { 0x4B0D, "" },
//  { 0x4B0E, "" },
//  { 0x4B0F, "" },
    { 0x4B10, "aud_heli_mi17_kill" },
    { 0x4B11, "aud_uhaul_playskid" },
//  { 0x4B12, "" },
//  { 0x4B13, "" },
//  { 0x4B14, "" },
    { 0x4B15, "sewer_river_sound_handle" },
//  { 0x4B16, "" },
//  { 0x4B17, "" },
//  { 0x4B18, "" },
//  { 0x4B19, "" },
//  { 0x4B1A, "" },
    { 0x4B1B, "damb_paris_fire_start" },
//  { 0x4B1C, "" },
    { 0x4B1D, "rpg_explo_watch" },
//  { 0x4B1E, "" },
//  { 0x4B1F, "" },
//  { 0x4B20, "" },
//  { 0x4B21, "" },
//  { 0x4B22, "" },
    { 0x4B23, "aud_van_canal_part_2" },
    { 0x4B24, "aud_van_entering_tunnel" },
    { 0x4B25, "aud_van_tunnel_turn" },
    { 0x4B26, "aud_van_exiting_tunnel" },
//  { 0x4B27, "" },
    { 0x4B28, "aud_van_over_ledge" },
//  { 0x4B29, "" },
//  { 0x4B2A, "" },
//  { 0x4B2B, "" },
//  { 0x4B2C, "" },
//  { 0x4B2D, "" },
//  { 0x4B2E, "" },
//  { 0x4B2F, "" },
//  { 0x4B30, "" },
    { 0x4B31, "aud_gasmask_chatter_filter_on" },
//  { 0x4B32, "" },
//  { 0x4B33, "" },
//  { 0x4B34, "" },
//  { 0x4B35, "" },
    { 0x4B36, "getent_safe" },
//  { 0x4B37, "" },
//  { 0x4B38, "" },
//  { 0x4B39, "" },
    { 0x4B3A, "spawn_metrics_spawn_func" },
//  { 0x4B3B, "" },
//  { 0x4B3C, "" },
//  { 0x4B3D, "" },
//  { 0x4B3E, "" },
//  { 0x4B3F, "" },
    { 0x4B40, "spawn_metrics_waittill_deaths_reach" },
//  { 0x4B41, "" },
//  { 0x4B42, "" },
//  { 0x4B43, "" },
//  { 0x4B44, "" },
    { 0x4B45, "goto_node" },
//  { 0x4B46, "" },
//  { 0x4B47, "" },
//  { 0x4B48, "" },
//  { 0x4B49, "" },
    { 0x4B4A, "animname_is_overridden" },
    { 0x4B4B, "to_str" },
//  { 0x4B4C, "" },
//  { 0x4B4D, "" },
    { 0x4B4E, "_waittill" },
//  { 0x4B4F, "" },
//  { 0x4B50, "" },
//  { 0x4B51, "" },
//  { 0x4B52, "" },
//  { 0x4B53, "" },
//  { 0x4B54, "" },
//  { 0x4B55, "" },
    { 0x4B56, "vehicle_scripted_animation" },
//  { 0x4B57, "" },
    { 0x4B58, "last_velocity_ips" },
//  { 0x4B59, "" },
//  { 0x4B5A, "" },
    { 0x4B5B, "last_origin" },
//  { 0x4B5C, "" },
//  { 0x4B5D, "" },
//  { 0x4B5E, "" },
//  { 0x4B5F, "" },
//  { 0x4B60, "" },
//  { 0x4B61, "" },
//  { 0x4B62, "" },
//  { 0x4B63, "" },
    { 0x4B64, "player_control_off" },
//  { 0x4B65, "" },
//  { 0x4B66, "" },
//  { 0x4B67, "" },
//  { 0x4B68, "" },
    { 0x4B69, "gasmask_off_player" },
//  { 0x4B6A, "" },
//  { 0x4B6B, "" },
    { 0x4B6C, "gasmask" },
//  { 0x4B6D, "" },
//  { 0x4B6E, "" },
//  { 0x4B6F, "" },
//  { 0x4B70, "" },
//  { 0x4B71, "" },
//  { 0x4B72, "" },
    { 0x4B73, "euler_lerp" },
    { 0x4B74, "fire_while_moving" },
//  { 0x4B75, "" },
//  { 0x4B76, "" },
    { 0x4B77, "windy_tree_system" },
//  { 0x4B78, "" },
    { 0x4B79, "monitor_tree_damage" },
//  { 0x4B7A, "" },
    { 0x4B7B, "entity_blast_wind" },
    { 0x4B7C, "randomizer_create" },
    { 0x4B7D, "randomizer_get_no_repeat" },
//  { 0x4B7E, "" },
//  { 0x4B7F, "" },
//  { 0x4B80, "" },
//  { 0x4B81, "" },
//  { 0x4B82, "" },
//  { 0x4B83, "" },
//  { 0x4B84, "" },
//  { 0x4B85, "" },
//  { 0x4B86, "" },
    { 0x4B87, "wait_time" },
    { 0x4B88, "vehicle_detect_crash" },
//  { 0x4B89, "" },
//  { 0x4B8A, "" },
//  { 0x4B8B, "" },
//  { 0x4B8C, "" },
//  { 0x4B8D, "" },
//  { 0x4B8E, "" },
    { 0x4B8F, "paris_vehicle_death" },
    { 0x4B90, "vehicle_crash_when_driver_dies" },
//  { 0x4B91, "" },
//  { 0x4B92, "" },
//  { 0x4B93, "" },
    { 0x4B94, "vehicle_crash_now" },
//  { 0x4B95, "" },
    { 0x4B96, "crash_speed_ips" },
//  { 0x4B97, "" },
//  { 0x4B98, "" },
    { 0x4B99, "player_smooth_unclamp" },
//  { 0x4B9A, "" },
//  { 0x4B9B, "" },
//  { 0x4B9C, "" },
    { 0x4B9D, "bomb_truck_hide_windshield" },
//  { 0x4B9E, "" },
//  { 0x4B9F, "" },
//  { 0x4BA0, "" },
//  { 0x4BA1, "" },
    { 0x4BA2, "prepare_dialogue" },
    { 0x4BA3, "init_dialogue_flags" },
//  { 0x4BA4, "" },
//  { 0x4BA5, "" },
//  { 0x4BA6, "" },
//  { 0x4BA7, "" },
//  { 0x4BA8, "" },
//  { 0x4BA9, "" },
//  { 0x4BAA, "" },
//  { 0x4BAB, "" },
//  { 0x4BAC, "" },
//  { 0x4BAD, "" },
//  { 0x4BAE, "" },
//  { 0x4BAF, "" },
    { 0x4BB0, "across_the_courtyard_dialogue" },
    { 0x4BB1, "rpg_top_of_stairs_dialogue" },
//  { 0x4BB2, "" },
    { 0x4BB3, "ac130_dialogue" },
    { 0x4BB4, "mark_initial_targets_dialogue" },
    { 0x4BB5, "air_support_strobe_dialogue" },
    { 0x4BB6, "air_support_strobe_kills_dialogue" },
    { 0x4BB7, "last_killed_line" },
    { 0x4BB8, "down_the_alley_dialogue" },
//  { 0x4BB9, "" },
//  { 0x4BBA, "" },
//  { 0x4BBB, "" },
//  { 0x4BBC, "" },
    { 0x4BBD, "courtyard_2_clear_dialogue" },
//  { 0x4BBE, "" },
//  { 0x4BBF, "" },
//  { 0x4BC0, "" },
//  { 0x4BC1, "" },
//  { 0x4BC2, "" },
    { 0x4BC3, "bonus_2_max" },
//  { 0x4BC4, "" },
//  { 0x4BC5, "" },
//  { 0x4BC6, "" },
//  { 0x4BC7, "" },
    { 0x4BC8, "samples_total" },
//  { 0x4BC9, "" },
    { 0x4BCA, "crumbs" },
    { 0x4BCB, "obj_crumb" },
//  { 0x4BCC, "" },
//  { 0x4BCD, "" },
//  { 0x4BCE, "" },
//  { 0x4BCF, "" },
//  { 0x4BD0, "" },
//  { 0x4BD1, "" },
//  { 0x4BD2, "" },
//  { 0x4BD3, "" },
    { 0x4BD4, "explosion_scene" },
    { 0x4BD5, "doexplosion" },
    { 0x4BD6, "forced_magic_strobes" },
//  { 0x4BD7, "" },
//  { 0x4BD8, "" },
//  { 0x4BD9, "" },
    { 0x4BDA, "monitor_friendly_helicopter" },
//  { 0x4BDB, "" },
//  { 0x4BDC, "" },
//  { 0x4BDD, "" },
//  { 0x4BDE, "" },
    { 0x4BDF, "sample2_dudes" },
//  { 0x4BE0, "" },
    { 0x4BE1, "street_dudes3" },
    { 0x4BE2, "alley_gaz" },
    { 0x4BE3, "street_dudes2" },
//  { 0x4BE4, "" },
    { 0x4BE5, "top_street_gaz" },
//  { 0x4BE6, "" },
//  { 0x4BE7, "" },
    { 0x4BE8, "backstreet_dudes" },
    { 0x4BE9, "juggernaut_back_alley" },
//  { 0x4BEA, "" },
    { 0x4BEB, "bookstore_stairs_dudes" },
    { 0x4BEC, "bookstore_bottom_dudes" },
//  { 0x4BED, "" },
//  { 0x4BEE, "" },
//  { 0x4BEF, "" },
    { 0x4BF0, "hotel_stairs_dudes" },
//  { 0x4BF1, "" },
//  { 0x4BF2, "" },
    { 0x4BF3, "exit" },
//  { 0x4BF4, "" },
    { 0x4BF5, "stop_air_support_hint" },
//  { 0x4BF6, "" },
//  { 0x4BF7, "" },
    { 0x4BF8, "using_strobe" },
//  { 0x4BF9, "" },
//  { 0x4BFA, "" },
    { 0x4BFB, "air_support_strobe_fired_dialogue" },
//  { 0x4BFC, "" },
    { 0x4BFD, "give_juggernaut_bonus" },
//  { 0x4BFE, "" },
//  { 0x4BFF, "" },
//  { 0x4C00, "" },
    { 0x4C01, "maps/createart/so_jeep_paris_b_fog" },
    { 0x4C02, "maps/createart/so_jeep_paris_b_art" },
//  { 0x4C03, "" },
//  { 0x4C04, "" },
//  { 0x4C05, "" },
//  { 0x4C06, "" },
//  { 0x4C07, "" },
//  { 0x4C08, "" },
//  { 0x4C09, "" },
    { 0x4C0A, "fx_doorkick_dust" },
//  { 0x4C0B, "" },
//  { 0x4C0C, "" },
//  { 0x4C0D, "" },
//  { 0x4C0E, "" },
    { 0x4C0F, "fx_car_chase" },
//  { 0x4C10, "" },
//  { 0x4C11, "" },
//  { 0x4C12, "" },
//  { 0x4C13, "" },
//  { 0x4C14, "" },
//  { 0x4C15, "" },
//  { 0x4C16, "" },
//  { 0x4C17, "" },
//  { 0x4C18, "" },
    { 0x4C19, "fx_behindview_impact_diningset" },
    { 0x4C1A, "fx_behindview_impact_topiaryright" },
    { 0x4C1B, "fx_behindview_impact_topiaryleft" },
//  { 0x4C1C, "" },
//  { 0x4C1D, "" },
    { 0x4C1E, "fx_van_galleria_physics_wake" },
//  { 0x4C1F, "" },
//  { 0x4C20, "" },
//  { 0x4C21, "" },
    { 0x4C22, "fx_van_hit_fences" },
    { 0x4C23, "fx_sedan_escape_sparks_left" },
//  { 0x4C24, "" },
//  { 0x4C25, "" },
//  { 0x4C26, "" },
    { 0x4C27, "vehicle_scripts/_mig29" },
    { 0x4C28, "vehicle_scripts/_t72" },
//  { 0x4C29, "" },
//  { 0x4C2A, "" },
//  { 0x4C2B, "" },
//  { 0x4C2C, "" },
//  { 0x4C2D, "" },
    { 0x4C2E, "jeep" },
    { 0x4C2F, "setup_driver" },
//  { 0x4C30, "" },
//  { 0x4C31, "" },
//  { 0x4C32, "" },
//  { 0x4C33, "" },
//  { 0x4C34, "" },
//  { 0x4C35, "" },
    { 0x4C36, "obj_intel" },
//  { 0x4C37, "" },
    { 0x4C38, "obj_retrieve_intel" },
//  { 0x4C39, "" },
//  { 0x4C3A, "" },
//  { 0x4C3B, "" },
//  { 0x4C3C, "" },
    { 0x4C3D, "player_seat_create" },
    { 0x4C3E, "objective_index" },
    { 0x4C3F, "objective_additionalposition_index" },
//  { 0x4C40, "" },
//  { 0x4C41, "" },
//  { 0x4C42, "" },
//  { 0x4C43, "" },
//  { 0x4C44, "" },
//  { 0x4C45, "" },
    { 0x4C46, "player_seat_occupied_player_alive_unlinkable" },
//  { 0x4C47, "" },
//  { 0x4C48, "" },
    { 0x4C49, "setup_canal_path" },
//  { 0x4C4A, "" },
//  { 0x4C4B, "" },
    { 0x4C4C, "minimap_switching" },
//  { 0x4C4D, "" },
    { 0x4C4E, "give_claymores" },
//  { 0x4C4F, "" },
    { 0x4C50, "player_died_in_jeep_notify" },
//  { 0x4C51, "" },
//  { 0x4C52, "" },
    { 0x4C53, "stop_vehicle_if_player_dead" },
//  { 0x4C54, "" },
//  { 0x4C55, "" },
    { 0x4C56, "rpg_canal_start" },
//  { 0x4C57, "" },
    { 0x4C58, "set_flag_on_vehicle_death" },
//  { 0x4C59, "" },
    { 0x4C5A, "canal_combat_end" },
//  { 0x4C5B, "" },
//  { 0x4C5C, "" },
//  { 0x4C5D, "" },
//  { 0x4C5E, "" },
//  { 0x4C5F, "" },
//  { 0x4C60, "" },
//  { 0x4C61, "" },
//  { 0x4C62, "" },
//  { 0x4C63, "" },
//  { 0x4C64, "" },
//  { 0x4C65, "" },
//  { 0x4C66, "" },
//  { 0x4C67, "" },
    { 0x4C68, "staging_room_combat" },
//  { 0x4C69, "" },
    { 0x4C6A, "flashbang_staging_room" },
    { 0x4C6B, "flashbang_staging_room_guy_retreats" },
    { 0x4C6C, "flashbang_staging_room_guy_retreats_sprinting" },
//  { 0x4C6D, "" },
//  { 0x4C6E, "" },
    { 0x4C6F, "sewer_corridor_escape_combat" },
//  { 0x4C70, "" },
//  { 0x4C71, "" },
//  { 0x4C72, "" },
//  { 0x4C73, "" },
//  { 0x4C74, "" },
//  { 0x4C75, "" },
    { 0x4C76, "unlink_players_from_jeep" },
//  { 0x4C77, "" },
//  { 0x4C78, "" },
//  { 0x4C79, "" },
    { 0x4C7A, "ambient_helis_end" },
//  { 0x4C7B, "" },
//  { 0x4C7C, "" },
//  { 0x4C7D, "" },
//  { 0x4C7E, "" },
    { 0x4C7F, "download_progress" },
//  { 0x4C80, "" },
//  { 0x4C81, "" },
//  { 0x4C82, "" },
//  { 0x4C83, "" },
    { 0x4C84, "switchtosecs" },
//  { 0x4C85, "" },
//  { 0x4C86, "" },
//  { 0x4C87, "" },
    { 0x4C88, "hudelem_dltimer" },
//  { 0x4C89, "" },
    { 0x4C8A, "so_download_files" },
//  { 0x4C8B, "" },
    { 0x4C8C, "gas_staging_room" },
    { 0x4C8D, "gas_corridor" },
//  { 0x4C8E, "" },
//  { 0x4C8F, "" },
//  { 0x4C90, "" },
//  { 0x4C91, "" },
//  { 0x4C92, "" },
//  { 0x4C93, "" },
    { 0x4C94, "spawn_limit_by_player_count" },
//  { 0x4C95, "" },
    { 0x4C96, "turret_convergence_tweak" },
//  { 0x4C97, "" },
//  { 0x4C98, "" },
//  { 0x4C99, "" },
//  { 0x4C9A, "" },
//  { 0x4C9B, "" },
//  { 0x4C9C, "" },
    { 0x4C9D, "player_puts_gasmask_on" },
    { 0x4C9E, "player_gasmask_breathing" },
    { 0x4C9F, "should_stop_gasmask_hint" },
    { 0x4CA0, "gas_heartbeat" },
//  { 0x4CA1, "" },
    { 0x4CA2, "player_limp" },
    { 0x4CA3, "stumble_ref" },
//  { 0x4CA4, "" },
//  { 0x4CA5, "" },
//  { 0x4CA6, "" },
    { 0x4CA7, "mgon_delay" },
//  { 0x4CA8, "" },
//  { 0x4CA9, "" },
//  { 0x4CAA, "" },
//  { 0x4CAB, "" },
//  { 0x4CAC, "" },
//  { 0x4CAD, "" },
//  { 0x4CAE, "" },
//  { 0x4CAF, "" },
//  { 0x4CB0, "" },
    { 0x4CB1, "get_player_rig" },
//  { 0x4CB2, "" },
//  { 0x4CB3, "" },
//  { 0x4CB4, "" },
    { 0x4CB5, "radio_within_proximity" },
//  { 0x4CB6, "" },
//  { 0x4CB7, "" },
//  { 0x4CB8, "" },
//  { 0x4CB9, "" },
    { 0x4CBA, "wait_for_player" },
//  { 0x4CBB, "" },
//  { 0x4CBC, "" },
//  { 0x4CBD, "" },
//  { 0x4CBE, "" },
    { 0x4CBF, "distance_2d_squared" },
    { 0x4CC0, "trigger_wait_multiple_think" },
//  { 0x4CC1, "" },
//  { 0x4CC2, "" },
//  { 0x4CC3, "" },
//  { 0x4CC4, "" },
//  { 0x4CC5, "" },
//  { 0x4CC6, "" },
//  { 0x4CC7, "" },
//  { 0x4CC8, "" },
//  { 0x4CC9, "" },
//  { 0x4CCA, "" },
//  { 0x4CCB, "" },
//  { 0x4CCC, "" },
    { 0x4CCD, "link_door_to_clips" },
//  { 0x4CCE, "" },
//  { 0x4CCF, "" },
//  { 0x4CD0, "" },
    { 0x4CD1, "kick_door_open" },
    { 0x4CD2, "kick_door_open_reversehinge" },
//  { 0x4CD3, "" },
//  { 0x4CD4, "" },
//  { 0x4CD5, "" },
//  { 0x4CD6, "" },
//  { 0x4CD7, "" },
//  { 0x4CD8, "" },
//  { 0x4CD9, "" },
//  { 0x4CDA, "" },
//  { 0x4CDB, "" },
//  { 0x4CDC, "" },
//  { 0x4CDD, "" },
//  { 0x4CDE, "" },
    { 0x4CDF, "flag_on_damage" },
    { 0x4CE0, "anim_generic_reach_and_animate" },
//  { 0x4CE1, "" },
    { 0x4CE2, "kill_on_death" },
//  { 0x4CE3, "" },
//  { 0x4CE4, "" },
//  { 0x4CE5, "" },
//  { 0x4CE6, "" },
//  { 0x4CE7, "" },
//  { 0x4CE8, "" },
    { 0x4CE9, "nightvision_reflector_effect" },
//  { 0x4CEA, "" },
//  { 0x4CEB, "" },
//  { 0x4CEC, "" },
    { 0x4CED, "nightvision_on" },
    { 0x4CEE, "nightvision_started" },
    { 0x4CEF, "enable_ir_beacon" },
//  { 0x4CF0, "" },
//  { 0x4CF1, "" },
//  { 0x4CF2, "" },
//  { 0x4CF3, "" },
//  { 0x4CF4, "" },
    { 0x4CF5, "usingnvfx" },
    { 0x4CF6, "shouldbreaknvghintprint" },
//  { 0x4CF7, "" },
//  { 0x4CF8, "" },
//  { 0x4CF9, "" },
    { 0x4CFA, "cargo_heli_think" },
    { 0x4CFB, "build_heli_rumble_unique" },
//  { 0x4CFC, "" },
//  { 0x4CFD, "" },
    { 0x4CFE, "spawn_price" },
//  { 0x4CFF, "" },
//  { 0x4D00, "" },
//  { 0x4D01, "" },
//  { 0x4D02, "" },
//  { 0x4D03, "" },
//  { 0x4D04, "" },
    { 0x4D05, "new_intro_setup" },
    { 0x4D06, "docks_talking" },
//  { 0x4D07, "" },
    { 0x4D08, "dock_drag" },
    { 0x4D09, "drone_proper_death" },
//  { 0x4D0A, "" },
//  { 0x4D0B, "" },
//  { 0x4D0C, "" },
//  { 0x4D0D, "" },
//  { 0x4D0E, "" },
//  { 0x4D0F, "" },
//  { 0x4D10, "" },
//  { 0x4D11, "" },
//  { 0x4D12, "" },
    { 0x4D13, "kamarov_guys" },
    { 0x4D14, "enable_player_swim" },
//  { 0x4D15, "" },
//  { 0x4D16, "" },
//  { 0x4D17, "" },
//  { 0x4D18, "" },
//  { 0x4D19, "" },
//  { 0x4D1A, "" },
//  { 0x4D1B, "" },
    { 0x4D1C, "player_water_death" },
//  { 0x4D1D, "" },
//  { 0x4D1E, "" },
//  { 0x4D1F, "" },
//  { 0x4D20, "" },
//  { 0x4D21, "" },
//  { 0x4D22, "" },
//  { 0x4D23, "" },
    { 0x4D24, "team_move_2" },
//  { 0x4D25, "" },
//  { 0x4D26, "" },
//  { 0x4D27, "" },
//  { 0x4D28, "" },
//  { 0x4D29, "" },
    { 0x4D2A, "alert_on_fast_movement" },
//  { 0x4D2B, "" },
//  { 0x4D2C, "" },
    { 0x4D2D, "breathing_civ" },
//  { 0x4D2E, "" },
//  { 0x4D2F, "" },
    { 0x4D30, "docks_enemies_think" },
//  { 0x4D31, "" },
//  { 0x4D32, "" },
//  { 0x4D33, "" },
//  { 0x4D34, "" },
    { 0x4D35, "spot_light" },
//  { 0x4D36, "" },
    { 0x4D37, "pond_dump_bodies_check_abort" },
//  { 0x4D38, "" },
//  { 0x4D39, "" },
//  { 0x4D3A, "" },
//  { 0x4D3B, "" },
//  { 0x4D3C, "" },
    { 0x4D3D, "pond_dump_createbody2" },
    { 0x4D3E, "rocking_items" },
    { 0x4D3F, "water_rock" },
//  { 0x4D40, "" },
    { 0x4D41, "water_rock_angles" },
//  { 0x4D42, "" },
    { 0x4D43, "bridge_civ_think" },
//  { 0x4D44, "" },
//  { 0x4D45, "" },
//  { 0x4D46, "" },
//  { 0x4D47, "" },
//  { 0x4D48, "" },
//  { 0x4D49, "" },
//  { 0x4D4A, "" },
//  { 0x4D4B, "" },
//  { 0x4D4C, "" },
//  { 0x4D4D, "" },
//  { 0x4D4E, "" },
//  { 0x4D4F, "" },
//  { 0x4D50, "" },
//  { 0x4D51, "" },
//  { 0x4D52, "" },
//  { 0x4D53, "" },
    { 0x4D54, "remove_bulletshield" },
    { 0x4D55, "setup_kamarov" },
//  { 0x4D56, "" },
    { 0x4D57, "sewer_gate" },
    { 0x4D58, "kamarov_scene" },
//  { 0x4D59, "" },
//  { 0x4D5A, "" },
//  { 0x4D5B, "" },
//  { 0x4D5C, "" },
//  { 0x4D5D, "" },
    { 0x4D5E, "sewer_price_think" },
//  { 0x4D5F, "" },
//  { 0x4D60, "" },
//  { 0x4D61, "" },
//  { 0x4D62, "" },
//  { 0x4D63, "" },
//  { 0x4D64, "" },
    { 0x4D65, "leave_sewer" },
    { 0x4D66, "enable_sewer_walk" },
//  { 0x4D67, "" },
//  { 0x4D68, "" },
//  { 0x4D69, "" },
//  { 0x4D6A, "" },
//  { 0x4D6B, "" },
//  { 0x4D6C, "" },
//  { 0x4D6D, "" },
//  { 0x4D6E, "" },
//  { 0x4D6F, "" },
//  { 0x4D70, "" },
    { 0x4D71, "sandman_stop_look_convoy" },
    { 0x4D72, "sandman_knife_kill" },
//  { 0x4D73, "" },
//  { 0x4D74, "" },
//  { 0x4D75, "" },
//  { 0x4D76, "" },
//  { 0x4D77, "" },
//  { 0x4D78, "" },
//  { 0x4D79, "" },
//  { 0x4D7A, "" },
    { 0x4D7B, "alcove_sniper_nag" },
//  { 0x4D7C, "" },
//  { 0x4D7D, "" },
    { 0x4D7E, "alcove_snipers_dialogue" },
//  { 0x4D7F, "" },
//  { 0x4D80, "" },
    { 0x4D81, "alley_move_up" },
//  { 0x4D82, "" },
    { 0x4D83, "check_dead_bodies_think" },
//  { 0x4D84, "" },
//  { 0x4D85, "" },
    { 0x4D86, "teleport_on_spotted" },
//  { 0x4D87, "" },
    { 0x4D88, "helicopter_ai_mode" },
    { 0x4D89, "fx_ent" },
//  { 0x4D8A, "" },
    { 0x4D8B, "foot_patrol_incoming" },
    { 0x4D8C, "dog_growl" },
//  { 0x4D8D, "" },
    { 0x4D8E, "foot_patrol_backup" },
//  { 0x4D8F, "" },
    { 0x4D90, "alley_patrol_guys" },
//  { 0x4D91, "" },
//  { 0x4D92, "" },
//  { 0x4D93, "" },
    { 0x4D94, "hotel_room_radio" },
//  { 0x4D95, "" },
//  { 0x4D96, "" },
//  { 0x4D97, "" },
//  { 0x4D98, "" },
//  { 0x4D99, "" },
//  { 0x4D9A, "" },
//  { 0x4D9B, "" },
//  { 0x4D9C, "" },
//  { 0x4D9D, "" },
//  { 0x4D9E, "" },
//  { 0x4D9F, "" },
    { 0x4DA0, "rangetriggeroverride" },
//  { 0x4DA1, "" },
//  { 0x4DA2, "" },
    { 0x4DA3, "long_convoy_backup" },
    { 0x4DA4, "long_convoy_cut_the_player_some_slack" },
//  { 0x4DA5, "" },
//  { 0x4DA6, "" },
    { 0x4DA7, "long_convoy_sandman_exit" },
//  { 0x4DA8, "" },
    { 0x4DA9, "long_convoy_btr_think" },
//  { 0x4DAA, "" },
//  { 0x4DAB, "" },
    { 0x4DAC, "long_convoy_btr_stop" },
    { 0x4DAD, "move_btr_primary_light" },
//  { 0x4DAE, "" },
    { 0x4DAF, "long_convoy_close_tunnel_doors" },
//  { 0x4DB0, "" },
//  { 0x4DB1, "" },
    { 0x4DB2, "long_convoy_foot_think" },
//  { 0x4DB3, "" },
    { 0x4DB4, "clear_run_anim_trigger" },
//  { 0x4DB5, "" },
    { 0x4DB6, "dog_jump" },
//  { 0x4DB7, "" },
//  { 0x4DB8, "" },
//  { 0x4DB9, "" },
//  { 0x4DBA, "" },
//  { 0x4DBB, "" },
//  { 0x4DBC, "" },
//  { 0x4DBD, "" },
//  { 0x4DBE, "" },
    { 0x4DBF, "apt_shake" },
    { 0x4DC0, "apartment_exploder" },
    { 0x4DC1, "apartment_exploder_2" },
    { 0x4DC2, "sandman_apt_react" },
//  { 0x4DC3, "" },
//  { 0x4DC4, "" },
//  { 0x4DC5, "" },
//  { 0x4DC6, "" },
//  { 0x4DC7, "" },
    { 0x4DC8, "wait_for_unsilenced_weapon_pickup" },
//  { 0x4DC9, "" },
//  { 0x4DCA, "" },
//  { 0x4DCB, "" },
    { 0x4DCC, "inside_apt_resistance_anim_think" },
//  { 0x4DCD, "" },
    { 0x4DCE, "inside_apt_resistance_anim_then_idle_think" },
//  { 0x4DCF, "" },
//  { 0x4DD0, "" },
//  { 0x4DD1, "" },
    { 0x4DD2, "gunless_anim_check" },
//  { 0x4DD3, "" },
//  { 0x4DD4, "" },
//  { 0x4DD5, "" },
//  { 0x4DD6, "" },
//  { 0x4DD7, "" },
    { 0x4DD8, "mg_nag" },
//  { 0x4DD9, "" },
//  { 0x4DDA, "" },
//  { 0x4DDB, "" },
//  { 0x4DDC, "" },
    { 0x4DDD, "damage_taken" },
//  { 0x4DDE, "" },
//  { 0x4DDF, "" },
//  { 0x4DE0, "" },
//  { 0x4DE1, "" },
//  { 0x4DE2, "" },
//  { 0x4DE3, "" },
    { 0x4DE4, "tank_death_zone" },
//  { 0x4DE5, "" },
    { 0x4DE6, "tank_big_explosion" },
    { 0x4DE7, "explosion_deaths" },
//  { 0x4DE8, "" },
//  { 0x4DE9, "" },
//  { 0x4DEA, "" },
    { 0x4DEB, "tank_find_targets" },
//  { 0x4DEC, "" },
    { 0x4DED, "stop_the_killing" },
//  { 0x4DEE, "" },
//  { 0x4DEF, "" },
//  { 0x4DF0, "" },
//  { 0x4DF1, "" },
//  { 0x4DF2, "" },
    { 0x4DF3, "spotlight_default_target" },
//  { 0x4DF4, "" },
//  { 0x4DF5, "" },
//  { 0x4DF6, "" },
//  { 0x4DF7, "" },
    { 0x4DF8, "tank_badplace" },
//  { 0x4DF9, "" },
    { 0x4DFA, "btr_randomly_fire" },
    { 0x4DFB, "run_to_square" },
//  { 0x4DFC, "" },
//  { 0x4DFD, "" },
//  { 0x4DFE, "" },
//  { 0x4DFF, "" },
//  { 0x4E00, "" },
//  { 0x4E01, "" },
//  { 0x4E02, "" },
    { 0x4E03, "fake_smoke_grenade" },
    { 0x4E04, "wait_for_player_to_engage" },
    { 0x4E05, "secure_white_building" },
//  { 0x4E06, "" },
//  { 0x4E07, "" },
    { 0x4E08, "bank_backup_think" },
    { 0x4E09, "clear_ignore_on_spotted" },
    { 0x4E0A, "vignette_loop_setup" },
    { 0x4E0B, "run_to_delete_node" },
//  { 0x4E0C, "" },
//  { 0x4E0D, "" },
//  { 0x4E0E, "" },
//  { 0x4E0F, "" },
//  { 0x4E10, "" },
//  { 0x4E11, "" },
//  { 0x4E12, "" },
    { 0x4E13, "patrol_chopper" },
//  { 0x4E14, "" },
    { 0x4E15, "heli_spot_movetime" },
//  { 0x4E16, "" },
    { 0x4E17, "helicopter_searchlight_path" },
    { 0x4E18, "helicopter_searchlight_on" },
    { 0x4E19, "fx_tag" },
//  { 0x4E1A, "" },
//  { 0x4E1B, "" },
    { 0x4E1C, "current_turret_target" },
    { 0x4E1D, "move_dummy_to" },
    { 0x4E1E, "helicopter_setturrettargetent" },
//  { 0x4E1F, "" },
//  { 0x4E20, "" },
    { 0x4E21, "helicopter_searchlight_effect" },
    { 0x4E22, "spot_radius" },
//  { 0x4E23, "" },
    { 0x4E24, "searchlight_target_death" },
    { 0x4E25, "heli_scan_update" },
//  { 0x4E26, "" },
    { 0x4E27, "heli_teleport" },
    { 0x4E28, "heli_default_target_trigger" },
//  { 0x4E29, "" },
//  { 0x4E2A, "" },
//  { 0x4E2B, "" },
//  { 0x4E2C, "" },
    { 0x4E2D, "stop_last_spot_light" },
    { 0x4E2E, "spot_light_death" },
//  { 0x4E2F, "" },
    { 0x4E30, "turn_on_heli_spot" },
//  { 0x4E31, "" },
//  { 0x4E32, "" },
//  { 0x4E33, "" },
//  { 0x4E34, "" },
    { 0x4E35, "paired_death_restart" },
    { 0x4E36, "paired_death_group" },
    { 0x4E37, "paired_death_max_distance" },
//  { 0x4E38, "" },
//  { 0x4E39, "" },
    { 0x4E3A, "paired_death_wait" },
    { 0x4E3B, "paired_death_add" },
//  { 0x4E3C, "" },
//  { 0x4E3D, "" },
//  { 0x4E3E, "" },
//  { 0x4E3F, "" },
//  { 0x4E40, "" },
//  { 0x4E41, "" },
    { 0x4E42, "custom_friendly_spotted" },
    { 0x4E43, "stop_anim_on_spotted" },
    { 0x4E44, "sandman_follow_path" },
    { 0x4E45, "active_patrol" },
    { 0x4E46, "flashlight" },
//  { 0x4E47, "" },
//  { 0x4E48, "" },
    { 0x4E49, "attachflashlight_removeonspotted" },
//  { 0x4E4A, "" },
//  { 0x4E4B, "" },
//  { 0x4E4C, "" },
//  { 0x4E4D, "" },
//  { 0x4E4E, "" },
    { 0x4E4F, "notify_on_death_or_damage" },
//  { 0x4E50, "" },
//  { 0x4E51, "" },
    { 0x4E52, "last_killfirm_time" },
    { 0x4E53, "last_killfirm_timeout" },
    { 0x4E54, "physics_explosion_trigger" },
//  { 0x4E55, "" },
    { 0x4E56, "sandman_spotted_notify" },
//  { 0x4E57, "" },
//  { 0x4E58, "" },
    { 0x4E59, "sandman_end_encounter" },
//  { 0x4E5A, "" },
//  { 0x4E5B, "" },
//  { 0x4E5C, "" },
//  { 0x4E5D, "" },
//  { 0x4E5E, "" },
//  { 0x4E5F, "" },
//  { 0x4E60, "" },
//  { 0x4E61, "" },
    { 0x4E62, "btr_target_player" },
    { 0x4E63, "fire_at_target" },
//  { 0x4E64, "" },
//  { 0x4E65, "" },
//  { 0x4E66, "" },
//  { 0x4E67, "" },
    { 0x4E68, "ripples_on_body" },
    { 0x4E69, "custom_animset_run_move" },
    { 0x4E6A, "turn_on_streetlight_trigger" },
//  { 0x4E6B, "" },
//  { 0x4E6C, "" },
//  { 0x4E6D, "" },
//  { 0x4E6E, "" },
//  { 0x4E6F, "" },
    { 0x4E70, "physics_jolt_trigger" },
//  { 0x4E71, "" },
    { 0x4E72, "_play_fx" },
//  { 0x4E73, "" },
//  { 0x4E74, "" },
//  { 0x4E75, "" },
    { 0x4E76, "fog" },
//  { 0x4E77, "" },
//  { 0x4E78, "" },
    { 0x4E79, "random_bloodspurt" },
//  { 0x4E7A, "" },
    { 0x4E7B, "force_deathquote" },
//  { 0x4E7C, "" },
//  { 0x4E7D, "" },
//  { 0x4E7E, "" },
//  { 0x4E7F, "" },
//  { 0x4E80, "" },
    { 0x4E81, "male_heads" },
//  { 0x4E82, "" },
//  { 0x4E83, "" },
//  { 0x4E84, "" },
    { 0x4E85, "oldignoreall" },
    { 0x4E86, "force_flash_setup" },
//  { 0x4E87, "" },
    { 0x4E88, "force_flash_extra" },
//  { 0x4E89, "" },
//  { 0x4E8A, "" },
//  { 0x4E8B, "" },
//  { 0x4E8C, "" },
    { 0x4E8D, "flashbang_track_setup" },
//  { 0x4E8E, "" },
//  { 0x4E8F, "" },
//  { 0x4E90, "" },
//  { 0x4E91, "" },
//  { 0x4E92, "" },
//  { 0x4E93, "" },
//  { 0x4E94, "" },
//  { 0x4E95, "" },
    { 0x4E96, "stealth_attempt_alert_clear" },
//  { 0x4E97, "" },
//  { 0x4E98, "" },
//  { 0x4E99, "" },
//  { 0x4E9A, "" },
//  { 0x4E9B, "" },
//  { 0x4E9C, "" },
//  { 0x4E9D, "" },
//  { 0x4E9E, "" },
    { 0x4E9F, "active_patrol_light_swap" },
    { 0x4EA0, "patrol_light_swap" },
//  { 0x4EA1, "" },
    { 0x4EA2, "on_path_end_remove_gun_light" },
//  { 0x4EA3, "" },
//  { 0x4EA4, "" },
//  { 0x4EA5, "" },
//  { 0x4EA6, "" },
//  { 0x4EA7, "" },
//  { 0x4EA8, "" },
//  { 0x4EA9, "" },
//  { 0x4EAA, "" },
//  { 0x4EAB, "" },
    { 0x4EAC, "poi_path_get_distance_along" },
//  { 0x4EAD, "" },
    { 0x4EAE, "poi_pathing_calculate_goal_pos" },
//  { 0x4EAF, "" },
//  { 0x4EB0, "" },
    { 0x4EB1, "poi_added_dialog" },
    { 0x4EB2, "poi_team_member_ignore_think" },
    { 0x4EB3, "poi_team_member_scrub" },
//  { 0x4EB4, "" },
//  { 0x4EB5, "" },
//  { 0x4EB6, "" },
//  { 0x4EB7, "" },
//  { 0x4EB8, "" },
//  { 0x4EB9, "" },
    { 0x4EBA, "poi_collectible_add" },
//  { 0x4EBB, "" },
//  { 0x4EBC, "" },
//  { 0x4EBD, "" },
//  { 0x4EBE, "" },
    { 0x4EBF, "test_brake_lights" },
//  { 0x4EC0, "" },
    { 0x4EC1, "vehicle_scripts/_btr80" },
//  { 0x4EC2, "" },
//  { 0x4EC3, "" },
    { 0x4EC4, "maps/createfx/prague_fx" },
//  { 0x4EC5, "" },
//  { 0x4EC6, "" },
//  { 0x4EC7, "" },
//  { 0x4EC8, "" },
//  { 0x4EC9, "" },
//  { 0x4ECA, "" },
//  { 0x4ECB, "" },
    { 0x4ECC, "reaction_sleep" },
    { 0x4ECD, "reaction_sleep_wait_wakeup" },
//  { 0x4ECE, "" },
    { 0x4ECF, "reaction_proc" },
//  { 0x4ED0, "" },
    { 0x4ED1, "special_death_proc" },
//  { 0x4ED2, "" },
    { 0x4ED3, "animate_props_on_death" },
//  { 0x4ED4, "" },
//  { 0x4ED5, "" },
    { 0x4ED6, "get_ent" },
    { 0x4ED7, "get_node" },
//  { 0x4ED8, "" },
//  { 0x4ED9, "" },
//  { 0x4EDA, "" },
//  { 0x4EDB, "" },
    { 0x4EDC, "maps/_stealth_anims" },
//  { 0x4EDD, "" },
//  { 0x4EDE, "" },
    { 0x4EDF, "spec_ops_map_prep" },
    { 0x4EE0, "entity_clean_up" },
//  { 0x4EE1, "" },
//  { 0x4EE2, "" },
//  { 0x4EE3, "" },
    { 0x4EE4, "rotate_door" },
//  { 0x4EE5, "" },
    { 0x4EE6, "disconnect_so_prague_paths" },
    { 0x4EE7, "adjust_lights" },
    { 0x4EE8, "init_mission_flags" },
//  { 0x4EE9, "" },
//  { 0x4EEA, "" },
    { 0x4EEB, "so_prague_ai_prespot_time" },
//  { 0x4EEC, "" },
    { 0x4EED, "so_prague_poi_see_delay" },
//  { 0x4EEE, "" },
//  { 0x4EEF, "" },
//  { 0x4EF0, "" },
//  { 0x4EF1, "" },
//  { 0x4EF2, "" },
//  { 0x4EF3, "" },
//  { 0x4EF4, "" },
    { 0x4EF5, "start_yard" },
//  { 0x4EF6, "" },
//  { 0x4EF7, "" },
//  { 0x4EF8, "" },
//  { 0x4EF9, "" },
//  { 0x4EFA, "" },
    { 0x4EFB, "maps/_idle_lean_smoke" },
//  { 0x4EFC, "" },
//  { 0x4EFD, "" },
    { 0x4EFE, "maps/_idle_sleep" },
//  { 0x4EFF, "" },
    { 0x4F00, "maps/_idle_smoke_balcony" },
    { 0x4F01, "on_spawn_axis" },
//  { 0x4F02, "" },
//  { 0x4F03, "" },
//  { 0x4F04, "" },
//  { 0x4F05, "" },
//  { 0x4F06, "" },
//  { 0x4F07, "" },
//  { 0x4F08, "" },
//  { 0x4F09, "" },
    { 0x4F0A, "on_stealth_spotted_clear_stealth_kill_data" },
//  { 0x4F0B, "" },
    { 0x4F0C, "on_level_alert_spawn_backup" },
//  { 0x4F0D, "" },
    { 0x4F0E, "so_prague_recover_lines" },
    { 0x4F0F, "dialog_on_player_weapon_change" },
//  { 0x4F10, "" },
//  { 0x4F11, "" },
//  { 0x4F12, "" },
//  { 0x4F13, "" },
    { 0x4F14, "setup_stealth" },
//  { 0x4F15, "" },
    { 0x4F16, "stealth_collect_corpse_override" },
    { 0x4F17, "stealth_event_distance_override" },
    { 0x4F18, "stealth_event_distance_override_apartment" },
//  { 0x4F19, "" },
//  { 0x4F1A, "" },
//  { 0x4F1B, "" },
//  { 0x4F1C, "" },
//  { 0x4F1D, "" },
//  { 0x4F1E, "" },
//  { 0x4F1F, "" },
    { 0x4F20, "aim_target" },
    { 0x4F21, "church_enc_street_execution_disable_stealth_events" },
    { 0x4F22, "on_spawn_ai_church_steps" },
//  { 0x4F23, "" },
//  { 0x4F24, "" },
    { 0x4F25, "on_aware_ai_church_street" },
//  { 0x4F26, "" },
//  { 0x4F27, "" },
//  { 0x4F28, "" },
//  { 0x4F29, "" },
//  { 0x4F2A, "" },
//  { 0x4F2B, "" },
//  { 0x4F2C, "" },
//  { 0x4F2D, "" },
    { 0x4F2E, "on_death_ai_alley_civ" },
    { 0x4F2F, "on_escape_ai_alley_civ" },
    { 0x4F30, "on_spawn_ai_alley_dog" },
//  { 0x4F31, "" },
//  { 0x4F32, "" },
//  { 0x4F33, "" },
    { 0x4F34, "encounter_alley_alert" },
    { 0x4F35, "on_enemy_ai_alley_dog" },
//  { 0x4F36, "" },
//  { 0x4F37, "" },
//  { 0x4F38, "" },
//  { 0x4F39, "" },
//  { 0x4F3A, "" },
//  { 0x4F3B, "" },
    { 0x4F3C, "on_spawn_ai_yard_patroller" },
//  { 0x4F3D, "" },
//  { 0x4F3E, "" },
    { 0x4F3F, "encounter_apartment" },
//  { 0x4F40, "" },
    { 0x4F41, "encounter_apartment_spawn_ai" },
    { 0x4F42, "encounter_apartment_spawn_patroller_with_flashlight" },
//  { 0x4F43, "" },
//  { 0x4F44, "" },
//  { 0x4F45, "" },
//  { 0x4F46, "" },
//  { 0x4F47, "" },
//  { 0x4F48, "" },
//  { 0x4F49, "" },
//  { 0x4F4A, "" },
    { 0x4F4B, "poi_mid_fence_hop" },
//  { 0x4F4C, "" },
//  { 0x4F4D, "" },
//  { 0x4F4E, "" },
//  { 0x4F4F, "" },
    { 0x4F50, "poi_fence_loc_index" },
    { 0x4F51, "encounter_quad_spawn_ai" },
//  { 0x4F52, "" },
//  { 0x4F53, "" },
    { 0x4F54, "encounter_quad_execution" },
//  { 0x4F55, "" },
    { 0x4F56, "encounter_quad_execution_shoot" },
//  { 0x4F57, "" },
    { 0x4F58, "on_death_ai_civ_quad" },
//  { 0x4F59, "" },
    { 0x4F5A, "on_saved_ai_quad_execution" },
//  { 0x4F5B, "" },
//  { 0x4F5C, "" },
//  { 0x4F5D, "" },
//  { 0x4F5E, "" },
//  { 0x4F5F, "" },
//  { 0x4F60, "" },
//  { 0x4F61, "" },
//  { 0x4F62, "" },
//  { 0x4F63, "" },
//  { 0x4F64, "" },
//  { 0x4F65, "" },
//  { 0x4F66, "" },
//  { 0x4F67, "" },
//  { 0x4F68, "" },
//  { 0x4F69, "" },
//  { 0x4F6A, "" },
    { 0x4F6B, "build_technical_death_custom_fx" },
//  { 0x4F6C, "" },
    { 0x4F6D, "build_technical_m2_death" },
    { 0x4F6E, "build_technical_instant_death" },
//  { 0x4F6F, "" },
//  { 0x4F70, "" },
//  { 0x4F71, "" },
    { 0x4F72, "vehicle_scripts/_technical_aa" },
//  { 0x4F73, "" },
//  { 0x4F74, "" },
    { 0x4F75, "vehicle_scripts/_technical_payback" },
//  { 0x4F76, "" },
//  { 0x4F77, "" },
//  { 0x4F78, "" },
    { 0x4F79, "maps/animated_models/highrise_fencetarp_03" },
//  { 0x4F7A, "" },
//  { 0x4F7B, "" },
//  { 0x4F7C, "" },
//  { 0x4F7D, "" },
//  { 0x4F7E, "" },
//  { 0x4F7F, "" },
//  { 0x4F80, "" },
//  { 0x4F81, "" },
//  { 0x4F82, "" },
//  { 0x4F83, "" },
//  { 0x4F84, "" },
//  { 0x4F85, "" },
    { 0x4F86, "find_unique_shanty_ent" },
    { 0x4F87, "shanty_mortar_destruct" },
//  { 0x4F88, "" },
//  { 0x4F89, "" },
    { 0x4F8A, "shanty_brush_destruct" },
//  { 0x4F8B, "" },
    { 0x4F8C, "afr_fence_rattle" },
//  { 0x4F8D, "" },
//  { 0x4F8E, "" },
//  { 0x4F8F, "" },
    { 0x4F90, "fx_africa_dustrunners" },
//  { 0x4F91, "" },
//  { 0x4F92, "" },
//  { 0x4F93, "" },
    { 0x4F94, "set_guy_on_fire" },
    { 0x4F95, "introsandstorm" },
//  { 0x4F96, "" },
//  { 0x4F97, "" },
//  { 0x4F98, "" },
//  { 0x4F99, "" },
    { 0x4F9A, "enable_river_dof_condition" },
//  { 0x4F9B, "" },
//  { 0x4F9C, "" },
//  { 0x4F9D, "" },
//  { 0x4F9E, "" },
//  { 0x4F9F, "" },
//  { 0x4FA0, "" },
//  { 0x4FA1, "" },
    { 0x4FA2, "fx_stop_dust" },
    { 0x4FA3, "church_breach_vfx" },
//  { 0x4FA4, "" },
    { 0x4FA5, "hyena_attack_fx" },
//  { 0x4FA6, "" },
//  { 0x4FA7, "" },
    { 0x4FA8, "hyena_camera_shake" },
    { 0x4FA9, "shadow_mortar_lerp" },
//  { 0x4FAA, "" },
    { 0x4FAB, "mortar_explosion_0_fx" },
//  { 0x4FAC, "" },
    { 0x4FAD, "mortar_explosion_2_fx" },
//  { 0x4FAE, "" },
//  { 0x4FAF, "" },
//  { 0x4FB0, "" },
    { 0x4FB1, "mortar_explosion_6_fx" },
//  { 0x4FB2, "" },
//  { 0x4FB3, "" },
//  { 0x4FB4, "" },
//  { 0x4FB5, "" },
//  { 0x4FB6, "" },
//  { 0x4FB7, "" },
//  { 0x4FB8, "" },
//  { 0x4FB9, "" },
//  { 0x4FBA, "" },
//  { 0x4FBB, "" },
    { 0x4FBC, "aud_config" },
//  { 0x4FBD, "" },
//  { 0x4FBE, "" },
//  { 0x4FBF, "" },
//  { 0x4FC0, "" },
//  { 0x4FC1, "" },
//  { 0x4FC2, "" },
    { 0x4FC3, "aud_init_level_flags" },
//  { 0x4FC4, "" },
    { 0x4FC5, "rbm_tech2" },
//  { 0x4FC6, "" },
//  { 0x4FC7, "" },
//  { 0x4FC8, "" },
//  { 0x4FC9, "" },
//  { 0x4FCA, "" },
//  { 0x4FCB, "" },
    { 0x4FCC, "aud_mortar_run_shell_incoming" },
//  { 0x4FCD, "" },
//  { 0x4FCE, "" },
//  { 0x4FCF, "" },
//  { 0x4FD0, "" },
    { 0x4FD1, "snoring_guard_deathwatch" },
//  { 0x4FD2, "" },
//  { 0x4FD3, "" },
//  { 0x4FD4, "" },
//  { 0x4FD5, "" },
//  { 0x4FD6, "" },
    { 0x4FD7, "aud_tech_explode_watch" },
//  { 0x4FD8, "" },
//  { 0x4FD9, "" },
//  { 0x4FDA, "" },
//  { 0x4FDB, "" },
//  { 0x4FDC, "" },
//  { 0x4FDD, "" },
    { 0x4FDE, "aud_warl_start_river_rain_drops" },
    { 0x4FDF, "aud_warl_stop_river_rain_drops" },
    { 0x4FE0, "aud_warl_start_sewer_pipe_interiorflow" },
    { 0x4FE1, "aud_warl_stop_sewer_pipe_interiorflow" },
    { 0x4FE2, "aud_warl_play_sound_at" },
    { 0x4FE3, "aud_prepare_church_breach" },
    { 0x4FE4, "aud_tech_loops" },
//  { 0x4FE5, "" },
//  { 0x4FE6, "" },
//  { 0x4FE7, "" },
//  { 0x4FE8, "" },
//  { 0x4FE9, "" },
//  { 0x4FEA, "" },
    { 0x4FEB, "mi17_circle_overhead" },
//  { 0x4FEC, "" },
//  { 0x4FED, "" },
    { 0x4FEE, "aud_warl_finale" },
//  { 0x4FEF, "" },
//  { 0x4FF0, "" },
//  { 0x4FF1, "" },
    { 0x4FF2, "aud_delay_scale_up" },
//  { 0x4FF3, "" },
//  { 0x4FF4, "" },
//  { 0x4FF5, "" },
//  { 0x4FF6, "" },
//  { 0x4FF7, "" },
    { 0x4FF8, "remove_hint" },
    { 0x4FF9, "loot_vo" },
//  { 0x4FFA, "" },
    { 0x4FFB, "play_vo_line" },
//  { 0x4FFC, "" },
//  { 0x4FFD, "" },
//  { 0x4FFE, "" },
//  { 0x4FFF, "" },
    { 0x5000, "open_warlord_path_blockers" },
//  { 0x5001, "" },
//  { 0x5002, "" },
//  { 0x5003, "" },
//  { 0x5004, "" },
//  { 0x5005, "" },
//  { 0x5006, "" },
//  { 0x5007, "" },
//  { 0x5008, "" },
    { 0x5009, "maxlootcount" },
//  { 0x500A, "" },
    { 0x500B, "maxkillsrequired" },
//  { 0x500C, "" },
//  { 0x500D, "" },
//  { 0x500E, "" },
    { 0x500F, "numlootfound" },
    { 0x5010, "create_loot_hud" },
//  { 0x5011, "" },
//  { 0x5012, "" },
//  { 0x5013, "" },
//  { 0x5014, "" },
//  { 0x5015, "" },
//  { 0x5016, "" },
    { 0x5017, "so_warlord_hardened" },
    { 0x5018, "so_warlord_veteran" },
    { 0x5019, "setup_enemy_spawn_settings" },
//  { 0x501A, "" },
//  { 0x501B, "" },
    { 0x501C, "add_death_function" },
//  { 0x501D, "" },
//  { 0x501E, "" },
//  { 0x501F, "" },
//  { 0x5020, "" },
//  { 0x5021, "" },
//  { 0x5022, "" },
    { 0x5023, "setup_player_settings" },
//  { 0x5024, "" },
//  { 0x5025, "" },
//  { 0x5026, "" },
//  { 0x5027, "" },
//  { 0x5028, "" },
//  { 0x5029, "" },
//  { 0x502A, "" },
//  { 0x502B, "" },
//  { 0x502C, "" },
//  { 0x502D, "" },
//  { 0x502E, "" },
//  { 0x502F, "" },
//  { 0x5030, "" },
//  { 0x5031, "" },
//  { 0x5032, "" },
//  { 0x5033, "" },
//  { 0x5034, "" },
//  { 0x5035, "" },
//  { 0x5036, "" },
    { 0x5037, "monitor_laser_fire" },
    { 0x5038, "lasertarget" },
    { 0x5039, "warlord_laser_designate_target" },
//  { 0x503A, "" },
    { 0x503B, "laserlockstarted" },
//  { 0x503C, "" },
//  { 0x503D, "" },
    { 0x503E, "isstillvalidtarget" },
    { 0x503F, "cleartarget" },
//  { 0x5040, "" },
//  { 0x5041, "" },
    { 0x5042, "target_org" },
//  { 0x5043, "" },
//  { 0x5044, "" },
//  { 0x5045, "" },
    { 0x5046, "run_church_ai" },
//  { 0x5047, "" },
//  { 0x5048, "" },
    { 0x5049, "run_random_dog_spawner" },
    { 0x504A, "church_intial_ai" },
//  { 0x504B, "" },
//  { 0x504C, "" },
//  { 0x504D, "" },
//  { 0x504E, "" },
//  { 0x504F, "" },
//  { 0x5050, "" },
    { 0x5051, "targetname_spawn" },
//  { 0x5052, "" },
//  { 0x5053, "" },
//  { 0x5054, "" },
//  { 0x5055, "" },
//  { 0x5056, "" },
//  { 0x5057, "" },
//  { 0x5058, "" },
//  { 0x5059, "" },
//  { 0x505A, "" },
    { 0x505B, "rocket_lfe" },
//  { 0x505C, "" },
    { 0x505D, "max_bullets" },
//  { 0x505E, "" },
    { 0x505F, "is_chopper_zoomout_playing" },
//  { 0x5060, "" },
    { 0x5061, "voprimeindex" },
    { 0x5062, "voprime" },
//  { 0x5063, "" },
//  { 0x5064, "" },
//  { 0x5065, "" },
    { 0x5066, "prime1" },
//  { 0x5067, "" },
    { 0x5068, "bstormstarted" },
//  { 0x5069, "" },
//  { 0x506A, "" },
    { 0x506B, "intro_unmute" },
//  { 0x506C, "" },
//  { 0x506D, "" },
//  { 0x506E, "" },
    { 0x506F, "intro_chopper_flyby" },
    { 0x5070, "intro_chopper_missile" },
//  { 0x5071, "" },
//  { 0x5072, "" },
    { 0x5073, "jeepsound" },
//  { 0x5074, "" },
    { 0x5075, "hummer_alpha_audio" },
//  { 0x5076, "" },
    { 0x5077, "hummer_bravo_acceleration" },
    { 0x5078, "intro_time_begin" },
    { 0x5079, "hummer_bravo_audio" },
    { 0x507A, "hummer_bravo_audio_idle" },
//  { 0x507B, "" },
//  { 0x507C, "" },
//  { 0x507D, "" },
    { 0x507E, "compound_update" },
    { 0x507F, "update_whiz_filter" },
//  { 0x5080, "" },
    { 0x5081, "aud_mortar_impact_dirt" },
//  { 0x5082, "" },
    { 0x5083, "set_mortar_mix" },
    { 0x5084, "attack_siren" },
//  { 0x5085, "" },
    { 0x5086, "chopperzone" },
//  { 0x5087, "" },
//  { 0x5088, "" },
//  { 0x5089, "" },
    { 0x508A, "aud_start_compound" },
//  { 0x508B, "" },
//  { 0x508C, "" },
//  { 0x508D, "" },
//  { 0x508E, "" },
//  { 0x508F, "" },
//  { 0x5090, "" },
//  { 0x5091, "" },
//  { 0x5092, "" },
    { 0x5093, "aud_play_pybk_slowmo_gunshot" },
//  { 0x5094, "" },
//  { 0x5095, "" },
//  { 0x5096, "" },
//  { 0x5097, "" },
//  { 0x5098, "" },
//  { 0x5099, "" },
    { 0x509A, "turn_down_mix_pre_shot" },
//  { 0x509B, "" },
//  { 0x509C, "" },
//  { 0x509D, "" },
    { 0x509E, "play_roll_car_loop" },
    { 0x509F, "pybk_wallfall" },
    { 0x50A0, "wallquad" },
//  { 0x50A1, "" },
//  { 0x50A2, "" },
//  { 0x50A3, "" },
//  { 0x50A4, "" },
    { 0x50A5, "chopper_audio_damaged" },
//  { 0x50A6, "" },
//  { 0x50A7, "" },
//  { 0x50A8, "" },
    { 0x50A9, "chopper_audio_damaged5" },
//  { 0x50AA, "" },
//  { 0x50AB, "" },
//  { 0x50AC, "" },
//  { 0x50AD, "" },
//  { 0x50AE, "" },
//  { 0x50AF, "" },
//  { 0x50B0, "" },
//  { 0x50B1, "" },
//  { 0x50B2, "" },
//  { 0x50B3, "" },
    { 0x50B4, "play_random_rumble" },
//  { 0x50B5, "" },
//  { 0x50B6, "" },
//  { 0x50B7, "" },
//  { 0x50B8, "" },
//  { 0x50B9, "" },
//  { 0x50BA, "" },
//  { 0x50BB, "" },
//  { 0x50BC, "" },
    { 0x50BD, "aud_downhill_slide" },
//  { 0x50BE, "" },
//  { 0x50BF, "" },
//  { 0x50C0, "" },
//  { 0x50C1, "" },
    { 0x50C2, "delete_chopper_audio" },
    { 0x50C3, "rpg_listener" },
//  { 0x50C4, "" },
//  { 0x50C5, "" },
    { 0x50C6, "loop_rpg" },
//  { 0x50C7, "" },
//  { 0x50C8, "" },
//  { 0x50C9, "" },
//  { 0x50CA, "" },
    { 0x50CB, "aud_primevo" },
    { 0x50CC, "so_fixup_all_createfx" },
//  { 0x50CD, "" },
//  { 0x50CE, "" },
//  { 0x50CF, "" },
    { 0x50D0, "delete_basemap_ents" },
    { 0x50D1, "add_to_delete_model_list" },
//  { 0x50D2, "" },
//  { 0x50D3, "" },
//  { 0x50D4, "" },
    { 0x50D5, "ground_player" },
//  { 0x50D6, "" },
//  { 0x50D7, "" },
//  { 0x50D8, "" },
//  { 0x50D9, "" },
//  { 0x50DA, "" },
//  { 0x50DB, "" },
//  { 0x50DC, "" },
//  { 0x50DD, "" },
    { 0x50DE, "run_intro_truck" },
//  { 0x50DF, "" },
    { 0x50E0, "exit_point" },
//  { 0x50E1, "" },
//  { 0x50E2, "" },
//  { 0x50E3, "" },
//  { 0x50E4, "" },
//  { 0x50E5, "" },
//  { 0x50E6, "" },
//  { 0x50E7, "" },
//  { 0x50E8, "" },
    { 0x50E9, "damage_scale" },
    { 0x50EA, "run_player_damage" },
    { 0x50EB, "vo_wait" },
//  { 0x50EC, "" },
    { 0x50ED, "show_grenade_weapon_hint" },
    { 0x50EE, "run_path_01" },
    { 0x50EF, "monitor_ai_wave" },
    { 0x50F0, "islongdeath" },
    { 0x50F1, "ai_wave_cleanup" },
    { 0x50F2, "run_path_02" },
//  { 0x50F3, "" },
//  { 0x50F4, "" },
//  { 0x50F5, "" },
//  { 0x50F6, "" },
    { 0x50F7, "enable_revive" },
    { 0x50F8, "player_exit_littlebird" },
//  { 0x50F9, "" },
//  { 0x50FA, "" },
    { 0x50FB, "stay_on_littlebird" },
//  { 0x50FC, "" },
//  { 0x50FD, "" },
//  { 0x50FE, "" },
//  { 0x50FF, "" },
    { 0x5100, "run_ground_assault" },
    { 0x5101, "missile_repulsor" },
//  { 0x5102, "" },
    { 0x5103, "run_buildingb_assault" },
//  { 0x5104, "" },
//  { 0x5105, "" },
    { 0x5106, "flag_wait_and_flood_spawn" },
    { 0x5107, "maps/createart/so_littlebird_payback_fog" },
//  { 0x5108, "" },
    { 0x5109, "sandstormspawnrate" },
//  { 0x510A, "" },
    { 0x510B, "blizzard_flags" },
//  { 0x510C, "" },
//  { 0x510D, "" },
//  { 0x510E, "" },
//  { 0x510F, "" },
    { 0x5110, "set_sandstorm_spawnrate" },
    { 0x5111, "lerp_sandstorm_spawnrate" },
    { 0x5112, "fx_init" },
//  { 0x5113, "" },
//  { 0x5114, "" },
//  { 0x5115, "" },
//  { 0x5116, "" },
//  { 0x5117, "" },
//  { 0x5118, "" },
//  { 0x5119, "" },
    { 0x511A, "blizzard_level_transition_med" },
//  { 0x511B, "" },
    { 0x511C, "blizzard_level_transition_extreme" },
//  { 0x511D, "" },
//  { 0x511E, "" },
    { 0x511F, "blizzard_level_transition_extreme_sat" },
//  { 0x5120, "" },
//  { 0x5121, "" },
//  { 0x5122, "" },
    { 0x5123, "blizzard_set_culldist" },
    { 0x5124, "blizzard_culldist" },
//  { 0x5125, "" },
//  { 0x5126, "" },
    { 0x5127, "blizzard_culldist_check_trigger" },
//  { 0x5128, "" },
//  { 0x5129, "" },
//  { 0x512A, "" },
    { 0x512B, "blizzard_level_transition" },
//  { 0x512C, "" },
    { 0x512D, "blizzard_level_get_count" },
//  { 0x512E, "" },
//  { 0x512F, "" },
//  { 0x5130, "" },
//  { 0x5131, "" },
//  { 0x5132, "" },
//  { 0x5133, "" },
//  { 0x5134, "" },
//  { 0x5135, "" },
//  { 0x5136, "" },
//  { 0x5137, "" },
//  { 0x5138, "" },
    { 0x5139, "remote_turret_terminal_think" },
//  { 0x513A, "" },
//  { 0x513B, "" },
//  { 0x513C, "" },
//  { 0x513D, "" },
//  { 0x513E, "" },
//  { 0x513F, "" },
//  { 0x5140, "" },
//  { 0x5141, "" },
//  { 0x5142, "" },
//  { 0x5143, "" },
//  { 0x5144, "" },
//  { 0x5145, "" },
    { 0x5146, "remote_turret_next" },
//  { 0x5147, "" },
//  { 0x5148, "" },
    { 0x5149, "remote_turret_badplace" },
//  { 0x514A, "" },
//  { 0x514B, "" },
    { 0x514C, "uav_enable_view" },
//  { 0x514D, "" },
//  { 0x514E, "" },
    { 0x514F, "hud_fade_in_time" },
//  { 0x5150, "" },
//  { 0x5151, "" },
//  { 0x5152, "" },
//  { 0x5153, "" },
//  { 0x5154, "" },
//  { 0x5155, "" },
//  { 0x5156, "" },
//  { 0x5157, "" },
//  { 0x5158, "" },
//  { 0x5159, "" },
//  { 0x515A, "" },
//  { 0x515B, "" },
//  { 0x515C, "" },
//  { 0x515D, "" },
//  { 0x515E, "" },
//  { 0x515F, "" },
//  { 0x5160, "" },
//  { 0x5161, "" },
//  { 0x5162, "" },
//  { 0x5163, "" },
//  { 0x5164, "" },
//  { 0x5165, "" },
//  { 0x5166, "" },
//  { 0x5167, "" },
//  { 0x5168, "" },
    { 0x5169, "vehicle_scripts/_uk_delivery_truck" },
    { 0x516A, "vehicle_scripts/_uk_utility_truck" },
//  { 0x516B, "" },
//  { 0x516C, "" },
//  { 0x516D, "" },
//  { 0x516E, "" },
    { 0x516F, "ambient_fx" },
//  { 0x5170, "" },
//  { 0x5171, "" },
//  { 0x5172, "" },
//  { 0x5173, "" },
//  { 0x5174, "" },
//  { 0x5175, "" },
//  { 0x5176, "" },
//  { 0x5177, "" },
//  { 0x5178, "" },
//  { 0x5179, "" },
//  { 0x517A, "" },
//  { 0x517B, "" },
//  { 0x517C, "" },
//  { 0x517D, "" },
    { 0x517E, "sas_guy" },
//  { 0x517F, "" },
//  { 0x5180, "" },
    { 0x5181, "forklift_down" },
    { 0x5182, "delivery_truck" },
//  { 0x5183, "" },
//  { 0x5184, "" },
    { 0x5185, "props" },
//  { 0x5186, "" },
//  { 0x5187, "" },
//  { 0x5188, "" },
//  { 0x5189, "" },
//  { 0x518A, "" },
    { 0x518B, "melee_attacker" },
//  { 0x518C, "" },
//  { 0x518D, "" },
    { 0x518E, "anim_drop_weapon" },
//  { 0x518F, "" },
//  { 0x5190, "" },
    { 0x5191, "warehouse_window_kick" },
//  { 0x5192, "" },
//  { 0x5193, "" },
//  { 0x5194, "" },
//  { 0x5195, "" },
//  { 0x5196, "" },
//  { 0x5197, "" },
//  { 0x5198, "" },
//  { 0x5199, "" },
//  { 0x519A, "" },
//  { 0x519B, "" },
//  { 0x519C, "" },
//  { 0x519D, "" },
//  { 0x519E, "" },
    { 0x519F, "set_start_location_internal" },
//  { 0x51A0, "" },
//  { 0x51A1, "" },
//  { 0x51A2, "" },
//  { 0x51A3, "" },
//  { 0x51A4, "" },
//  { 0x51A5, "" },
    { 0x51A6, "spot_light_effect_pause" },
    { 0x51A7, "can_show_wip" },
//  { 0x51A8, "" },
    { 0x51A9, "wait_for_animtime_percent" },
//  { 0x51AA, "" },
//  { 0x51AB, "" },
//  { 0x51AC, "" },
//  { 0x51AD, "" },
    { 0x51AE, "is_start_point_after" },
//  { 0x51AF, "" },
//  { 0x51B0, "" },
//  { 0x51B1, "" },
    { 0x51B2, "postspawn_rpg_vehicle" },
//  { 0x51B3, "" },
//  { 0x51B4, "" },
    { 0x51B5, "limping" },
//  { 0x51B6, "" },
//  { 0x51B7, "" },
//  { 0x51B8, "" },
//  { 0x51B9, "" },
    { 0x51BA, "level_callback" },
    { 0x51BB, "add_callback" },
//  { 0x51BC, "" },
//  { 0x51BD, "" },
//  { 0x51BE, "" },
//  { 0x51BF, "" },
    { 0x51C0, "chopper_extra_strafe_damage" },
//  { 0x51C1, "" },
//  { 0x51C2, "" },
//  { 0x51C3, "" },
//  { 0x51C4, "" },
//  { 0x51C5, "" },
    { 0x51C6, "pathpoint" },
//  { 0x51C7, "" },
//  { 0x51C8, "" },
//  { 0x51C9, "" },
    { 0x51CA, "chopper_get_pathpoint" },
    { 0x51CB, "hover_point" },
//  { 0x51CC, "" },
//  { 0x51CD, "" },
    { 0x51CE, "uav_init" },
//  { 0x51CF, "" },
//  { 0x51D0, "" },
//  { 0x51D1, "" },
//  { 0x51D2, "" },
//  { 0x51D3, "" },
    { 0x51D4, "fake_controller" },
//  { 0x51D5, "" },
    { 0x51D6, "update_controller_pos" },
//  { 0x51D7, "" },
    { 0x51D8, "uav_hud_thread" },
    { 0x51D9, "base_latitude" },
//  { 0x51DA, "" },
//  { 0x51DB, "" },
//  { 0x51DC, "" },
    { 0x51DD, "uav_update_hud_arrows" },
    { 0x51DE, "update_current_degrees" },
    { 0x51DF, "update_target_degrees" },
//  { 0x51E0, "" },
//  { 0x51E1, "" },
    { 0x51E2, "get_float_from_degrees" },
//  { 0x51E3, "" },
//  { 0x51E4, "" },
    { 0x51E5, "uav_enable_playerhud" },
    { 0x51E6, "uav_disable_playerhud" },
//  { 0x51E7, "" },
//  { 0x51E8, "" },
    { 0x51E9, "create_degree_value" },
//  { 0x51EA, "" },
    { 0x51EB, "uav_view_cone_open" },
//  { 0x51EC, "" },
    { 0x51ED, "uav_thermal_on" },
//  { 0x51EE, "" },
//  { 0x51EF, "" },
//  { 0x51F0, "" },
//  { 0x51F1, "" },
//  { 0x51F2, "" },
//  { 0x51F3, "" },
//  { 0x51F4, "" },
//  { 0x51F5, "" },
//  { 0x51F6, "" },
//  { 0x51F7, "" },
//  { 0x51F8, "" },
//  { 0x51F9, "" },
//  { 0x51FA, "" },
//  { 0x51FB, "" },
//  { 0x51FC, "" },
//  { 0x51FD, "" },
//  { 0x51FE, "" },
//  { 0x51FF, "" },
    { 0x5200, "alley_quick_kills" },
//  { 0x5201, "" },
//  { 0x5202, "" },
//  { 0x5203, "" },
//  { 0x5204, "" },
//  { 0x5205, "" },
//  { 0x5206, "" },
    { 0x5207, "print3d_on_ent" },
    { 0x5208, "debug_sound_positional" },
//  { 0x5209, "" },
    { 0x520A, "start_warehouse_breach" },
//  { 0x520B, "" },
    { 0x520C, "start_docks_assault" },
//  { 0x520D, "" },
//  { 0x520E, "" },
    { 0x520F, "set_littlebird_start" },
//  { 0x5210, "" },
//  { 0x5211, "" },
//  { 0x5212, "" },
//  { 0x5213, "" },
//  { 0x5214, "" },
    { 0x5215, "ground_origin" },
    { 0x5216, "ground_angles" },
//  { 0x5217, "" },
//  { 0x5218, "" },
    { 0x5219, "uav_slamzoom" },
//  { 0x521A, "" },
    { 0x521B, "intro_scene_forklift" },
//  { 0x521C, "" },
//  { 0x521D, "" },
//  { 0x521E, "" },
    { 0x521F, "flir_ents" },
//  { 0x5220, "" },
//  { 0x5221, "" },
//  { 0x5222, "" },
//  { 0x5223, "" },
//  { 0x5224, "" },
    { 0x5225, "warehouse_exit_reach" },
//  { 0x5226, "" },
//  { 0x5227, "" },
//  { 0x5228, "" },
//  { 0x5229, "" },
//  { 0x522A, "" },
//  { 0x522B, "" },
    { 0x522C, "docks_assault_guy_reset" },
//  { 0x522D, "" },
    { 0x522E, "docks_entrance" },
//  { 0x522F, "" },
//  { 0x5230, "" },
//  { 0x5231, "" },
//  { 0x5232, "" },
//  { 0x5233, "" },
    { 0x5234, "littlebird_ambush_earlyout" },
//  { 0x5235, "" },
//  { 0x5236, "" },
//  { 0x5237, "" },
//  { 0x5238, "" },
    { 0x5239, "truck_wallcroft_nag" },
//  { 0x523A, "" },
//  { 0x523B, "" },
//  { 0x523C, "" },
    { 0x523D, "docks_ambush" },
    { 0x523E, "garage_door_open" },
//  { 0x523F, "" },
//  { 0x5240, "" },
//  { 0x5241, "" },
//  { 0x5242, "" },
//  { 0x5243, "" },
//  { 0x5244, "" },
//  { 0x5245, "" },
//  { 0x5246, "" },
    { 0x5247, "docks_end_dialogue" },
//  { 0x5248, "" },
//  { 0x5249, "" },
    { 0x524A, "trucks" },
    { 0x524B, "docks_truck" },
//  { 0x524C, "" },
//  { 0x524D, "" },
//  { 0x524E, "" },
    { 0x524F, "forklift_lights" },
    { 0x5250, "intro_get_forklift_cargo" },
    { 0x5251, "truck_door_idle" },
//  { 0x5252, "" },
//  { 0x5253, "" },
//  { 0x5254, "" },
//  { 0x5255, "" },
//  { 0x5256, "" },
    { 0x5257, "alley_movement_think" },
//  { 0x5258, "" },
//  { 0x5259, "" },
//  { 0x525A, "" },
    { 0x525B, "alley_quick_kill_enemy_cellphone" },
//  { 0x525C, "" },
    { 0x525D, "kill_now" },
//  { 0x525E, "" },
//  { 0x525F, "" },
//  { 0x5260, "" },
//  { 0x5261, "" },
    { 0x5262, "last_alley_cleared" },
//  { 0x5263, "" },
//  { 0x5264, "" },
    { 0x5265, "alley_sprint" },
//  { 0x5266, "" },
//  { 0x5267, "" },
//  { 0x5268, "" },
    { 0x5269, "conditional_anim_add_alert_friends" },
//  { 0x526A, "" },
//  { 0x526B, "" },
//  { 0x526C, "" },
    { 0x526D, "conditional_anim_death" },
//  { 0x526E, "" },
    { 0x526F, "conditional_anim_kill" },
    { 0x5270, "do_ragdoll" },
//  { 0x5271, "" },
//  { 0x5272, "" },
//  { 0x5273, "" },
//  { 0x5274, "" },
//  { 0x5275, "" },
    { 0x5276, "reaction_delay" },
//  { 0x5277, "" },
//  { 0x5278, "" },
    { 0x5279, "conditional_anim_radius_reaction" },
//  { 0x527A, "" },
//  { 0x527B, "" },
    { 0x527C, "warehouse_breacher" },
//  { 0x527D, "" },
//  { 0x527E, "" },
//  { 0x527F, "" },
//  { 0x5280, "" },
//  { 0x5281, "" },
//  { 0x5282, "" },
//  { 0x5283, "" },
//  { 0x5284, "" },
//  { 0x5285, "" },
//  { 0x5286, "" },
    { 0x5287, "scripted_movement_disable_exits" },
//  { 0x5288, "" },
//  { 0x5289, "" },
//  { 0x528A, "" },
    { 0x528B, "warehouse_exit_anim" },
//  { 0x528C, "" },
    { 0x528D, "warehouse_exit" },
//  { 0x528E, "" },
    { 0x528F, "sas_van_rpg" },
//  { 0x5290, "" },
//  { 0x5291, "" },
//  { 0x5292, "" },
//  { 0x5293, "" },
//  { 0x5294, "" },
//  { 0x5295, "" },
//  { 0x5296, "" },
//  { 0x5297, "" },
//  { 0x5298, "" },
//  { 0x5299, "" },
//  { 0x529A, "" },
//  { 0x529B, "" },
//  { 0x529C, "" },
//  { 0x529D, "" },
//  { 0x529E, "" },
//  { 0x529F, "" },
//  { 0x52A0, "" },
//  { 0x52A1, "" },
    { 0x52A2, "warehouse_hallway_enemy_reaction" },
//  { 0x52A3, "" },
    { 0x52A4, "postspawn_warehouse_sniper_target" },
    { 0x52A5, "warehouse_sniper_think" },
//  { 0x52A6, "" },
//  { 0x52A7, "" },
//  { 0x52A8, "" },
//  { 0x52A9, "" },
    { 0x52AA, "postspawn_warehouse_melee_enemy" },
//  { 0x52AB, "" },
//  { 0x52AC, "" },
//  { 0x52AD, "" },
//  { 0x52AE, "" },
//  { 0x52AF, "" },
    { 0x52B0, "warehouse2_wait" },
//  { 0x52B1, "" },
//  { 0x52B2, "" },
//  { 0x52B3, "" },
//  { 0x52B4, "" },
    { 0x52B5, "docks_van_target" },
//  { 0x52B6, "" },
//  { 0x52B7, "" },
//  { 0x52B8, "" },
//  { 0x52B9, "" },
//  { 0x52BA, "" },
//  { 0x52BB, "" },
    { 0x52BC, "postspawn_littlebird_death" },
//  { 0x52BD, "" },
    { 0x52BE, "littlebird_rpger_death" },
    { 0x52BF, "littlebird_rpg_dialogue" },
//  { 0x52C0, "" },
//  { 0x52C1, "" },
    { 0x52C2, "littlebird_target_move" },
//  { 0x52C3, "" },
//  { 0x52C4, "" },
//  { 0x52C5, "" },
    { 0x52C6, "littlebird_line_to_target" },
//  { 0x52C7, "" },
//  { 0x52C8, "" },
//  { 0x52C9, "" },
//  { 0x52CA, "" },
    { 0x52CB, "littlebird_get_enemy_targets" },
//  { 0x52CC, "" },
//  { 0x52CD, "" },
//  { 0x52CE, "" },
    { 0x52CF, "docks_laser_think" },
//  { 0x52D0, "" },
//  { 0x52D1, "" },
    { 0x52D2, "sniper_ent_linkto" },
//  { 0x52D3, "" },
//  { 0x52D4, "" },
//  { 0x52D5, "" },
//  { 0x52D6, "" },
//  { 0x52D7, "" },
//  { 0x52D8, "" },
//  { 0x52D9, "" },
//  { 0x52DA, "" },
//  { 0x52DB, "" },
    { 0x52DC, "sewer_pipe_fx" },
    { 0x52DD, "sewer_pipe_end_anim" },
//  { 0x52DE, "" },
    { 0x52DF, "sewer_pip_ragdoll" },
//  { 0x52E0, "" },
    { 0x52E1, "footstep_splash_trigger" },
//  { 0x52E2, "" },
//  { 0x52E3, "" },
//  { 0x52E4, "" },
    { 0x52E5, "nag_single_solo" },
//  { 0x52E6, "" },
//  { 0x52E7, "" },
    { 0x52E8, "radio_dialogue_and_notify" },
    { 0x52E9, "radio_dialogue_and_notify_internal" },
    { 0x52EA, "radio_overlap_wrapper" },
//  { 0x52EB, "" },
    { 0x52EC, "opened" },
//  { 0x52ED, "" },
//  { 0x52EE, "" },
    { 0x52EF, "wait_for_match_or_death" },
//  { 0x52F0, "" },
    { 0x52F1, "waittillmatch_timeout" },
    { 0x52F2, "is_valid_anim" },
//  { 0x52F3, "" },
//  { 0x52F4, "" },
//  { 0x52F5, "" },
//  { 0x52F6, "" },
//  { 0x52F7, "" },
//  { 0x52F8, "" },
//  { 0x52F9, "" },
    { 0x52FA, "maps/createart/london_art" },
    { 0x52FB, "maps/_nightvision" },
//  { 0x52FC, "" },
//  { 0x52FD, "" },
//  { 0x52FE, "" },
//  { 0x52FF, "" },
//  { 0x5300, "" },
//  { 0x5301, "" },
//  { 0x5302, "" },
//  { 0x5303, "" },
//  { 0x5304, "" },
//  { 0x5305, "" },
//  { 0x5306, "" },
//  { 0x5307, "" },
    { 0x5308, "dialogue_think" },
//  { 0x5309, "" },
//  { 0x530A, "" },
    { 0x530B, "player_ground_seek_enable" },
//  { 0x530C, "" },
    { 0x530D, "ai_think" },
//  { 0x530E, "" },
    { 0x530F, "start_intro" },
//  { 0x5310, "" },
//  { 0x5311, "" },
//  { 0x5312, "" },
//  { 0x5313, "" },
    { 0x5314, "start_the_party" },
    { 0x5315, "blockers_think" },
//  { 0x5316, "" },
//  { 0x5317, "" },
//  { 0x5318, "" },
//  { 0x5319, "" },
    { 0x531A, "terminal_0_think" },
//  { 0x531B, "" },
    { 0x531C, "terminal_2_think" },
//  { 0x531D, "" },
//  { 0x531E, "" },
    { 0x531F, "startprogressbar" },
//  { 0x5320, "" },
//  { 0x5321, "" },
    { 0x5322, "endprogressbar" },
//  { 0x5323, "" },
//  { 0x5324, "" },
//  { 0x5325, "" },
    { 0x5326, "turret_kick_it" },
//  { 0x5327, "" },
    { 0x5328, "switch_camera_hint" },
//  { 0x5329, "" },
//  { 0x532A, "" },
//  { 0x532B, "" },
    { 0x532C, "maps/createart/so_timetrial_london_art" },
//  { 0x532D, "" },
//  { 0x532E, "" },
    { 0x532F, "character/character_fso_vest_nopacks_alt" },
//  { 0x5330, "" },
//  { 0x5331, "" },
//  { 0x5332, "" },
    { 0x5333, "blizzard_flake_proc" },
    { 0x5334, "playfx_follow_player" },
//  { 0x5335, "" },
//  { 0x5336, "" },
//  { 0x5337, "" },
//  { 0x5338, "" },
//  { 0x5339, "" },
//  { 0x533A, "" },
//  { 0x533B, "" },
//  { 0x533C, "" },
//  { 0x533D, "" },
//  { 0x533E, "" },
//  { 0x533F, "" },
    { 0x5340, "bfailingengineplayed" },
    { 0x5341, "bjetfallingstarted" },
    { 0x5342, "bcrashsequenceendplayed" },
//  { 0x5343, "" },
//  { 0x5344, "" },
    { 0x5345, "bpreexplosionplayed" },
    { 0x5346, "bdebriswait" },
    { 0x5347, "bplatewait" },
//  { 0x5348, "" },
//  { 0x5349, "" },
//  { 0x534A, "" },
//  { 0x534B, "" },
//  { 0x534C, "" },
//  { 0x534D, "" },
//  { 0x534E, "" },
//  { 0x534F, "" },
//  { 0x5350, "" },
//  { 0x5351, "" },
//  { 0x5352, "" },
    { 0x5353, "jet_1b" },
//  { 0x5354, "" },
//  { 0x5355, "" },
    { 0x5356, "paper_drop" },
//  { 0x5357, "" },
    { 0x5358, "hijk_cart_moves" },
    { 0x5359, "radio_com_intro" },
//  { 0x535A, "" },
//  { 0x535B, "" },
    { 0x535C, "debate_bumps" },
//  { 0x535D, "" },
//  { 0x535E, "" },
    { 0x535F, "news_broadcast" },
    { 0x5360, "debate_door_close" },
//  { 0x5361, "" },
//  { 0x5362, "" },
//  { 0x5363, "" },
//  { 0x5364, "" },
//  { 0x5365, "" },
//  { 0x5366, "" },
//  { 0x5367, "" },
//  { 0x5368, "" },
//  { 0x5369, "" },
    { 0x536A, "agent_1_rumble_foley" },
//  { 0x536B, "" },
//  { 0x536C, "" },
//  { 0x536D, "" },
    { 0x536E, "hijk_agent_stumblehit" },
//  { 0x536F, "" },
//  { 0x5370, "" },
//  { 0x5371, "" },
//  { 0x5372, "" },
//  { 0x5373, "" },
//  { 0x5374, "" },
//  { 0x5375, "" },
//  { 0x5376, "" },
//  { 0x5377, "" },
//  { 0x5378, "" },
//  { 0x5379, "" },
//  { 0x537A, "" },
//  { 0x537B, "" },
//  { 0x537C, "" },
//  { 0x537D, "" },
//  { 0x537E, "" },
//  { 0x537F, "" },
//  { 0x5380, "" },
//  { 0x5381, "" },
//  { 0x5382, "" },
    { 0x5383, "post_zero_g_rumble" },
//  { 0x5384, "" },
    { 0x5385, "conf_room_shots_prime" },
//  { 0x5386, "" },
    { 0x5387, "seatbeltsign" },
//  { 0x5388, "" },
//  { 0x5389, "" },
//  { 0x538A, "" },
//  { 0x538B, "" },
//  { 0x538C, "" },
//  { 0x538D, "" },
//  { 0x538E, "" },
//  { 0x538F, "" },
//  { 0x5390, "" },
    { 0x5391, "c4_l" },
//  { 0x5392, "" },
//  { 0x5393, "" },
//  { 0x5394, "" },
//  { 0x5395, "" },
//  { 0x5396, "" },
//  { 0x5397, "" },
//  { 0x5398, "" },
    { 0x5399, "turbine_wind_c" },
    { 0x539A, "turbine_wind_d" },
    { 0x539B, "turbine_wind_e" },
//  { 0x539C, "" },
    { 0x539D, "jet_roll_v02" },
    { 0x539E, "cargo_room_zone_on" },
    { 0x539F, "metal_tanks" },
//  { 0x53A0, "" },
//  { 0x53A1, "" },
    { 0x53A2, "crash_sequence" },
    { 0x53A3, "crash_explosion" },
    { 0x53A4, "crash_explosion_origin" },
//  { 0x53A5, "" },
//  { 0x53A6, "" },
//  { 0x53A7, "" },
//  { 0x53A8, "" },
//  { 0x53A9, "" },
//  { 0x53AA, "" },
//  { 0x53AB, "" },
    { 0x53AC, "crazy_guy_goes_flying" },
//  { 0x53AD, "" },
//  { 0x53AE, "" },
    { 0x53AF, "crash_sequence_end" },
    { 0x53B0, "music_cue_postcrash" },
//  { 0x53B1, "" },
//  { 0x53B2, "" },
//  { 0x53B3, "" },
    { 0x53B4, "debris_shift2" },
//  { 0x53B5, "" },
//  { 0x53B6, "" },
//  { 0x53B7, "" },
//  { 0x53B8, "" },
//  { 0x53B9, "" },
    { 0x53BA, "debris_shift8" },
//  { 0x53BB, "" },
//  { 0x53BC, "" },
//  { 0x53BD, "" },
//  { 0x53BE, "" },
    { 0x53BF, "debris_shift13" },
//  { 0x53C0, "" },
//  { 0x53C1, "" },
    { 0x53C2, "debris_shift16" },
//  { 0x53C3, "" },
    { 0x53C4, "plate_shift1" },
//  { 0x53C5, "" },
    { 0x53C6, "music_reveal_exterior" },
//  { 0x53C7, "" },
    { 0x53C8, "wing_settle" },
//  { 0x53C9, "" },
    { 0x53CA, "engine_explosion" },
    { 0x53CB, "flare_gun" },
//  { 0x53CC, "" },
//  { 0x53CD, "" },
//  { 0x53CE, "" },
//  { 0x53CF, "" },
//  { 0x53D0, "" },
    { 0x53D1, "tarmac_combat_music" },
    { 0x53D2, "first_suv" },
    { 0x53D3, "siren_mayhem" },
//  { 0x53D4, "" },
//  { 0x53D5, "" },
    { 0x53D6, "end_area_chopper_begin" },
//  { 0x53D7, "" },
//  { 0x53D8, "" },
    { 0x53D9, "ambiguns3" },
//  { 0x53DA, "" },
//  { 0x53DB, "" },
//  { 0x53DC, "" },
    { 0x53DD, "end_scene_foley1" },
//  { 0x53DE, "" },
//  { 0x53DF, "" },
    { 0x53E0, "makarov_heli" },
//  { 0x53E1, "" },
//  { 0x53E2, "" },
//  { 0x53E3, "" },
//  { 0x53E4, "" },
//  { 0x53E5, "" },
    { 0x53E6, "start_logic" },
//  { 0x53E7, "" },
//  { 0x53E8, "" },
    { 0x53E9, "try_activate_trigger_targetname" },
//  { 0x53EA, "" },
//  { 0x53EB, "" },
//  { 0x53EC, "" },
//  { 0x53ED, "" },
//  { 0x53EE, "" },
//  { 0x53EF, "" },
    { 0x53F0, "plane_rumbling" },
//  { 0x53F1, "" },
//  { 0x53F2, "" },
    { 0x53F3, "background_chatter" },
//  { 0x53F4, "" },
//  { 0x53F5, "" },
//  { 0x53F6, "" },
//  { 0x53F7, "" },
//  { 0x53F8, "" },
//  { 0x53F9, "" },
//  { 0x53FA, "" },
    { 0x53FB, "hjk_endsliding" },
    { 0x53FC, "rockingplane" },
//  { 0x53FD, "" },
//  { 0x53FE, "" },
    { 0x53FF, "turbulence" },
//  { 0x5400, "" },
//  { 0x5401, "" },
//  { 0x5402, "" },
//  { 0x5403, "" },
    { 0x5404, "objectmass" },
//  { 0x5405, "" },
//  { 0x5406, "" },
//  { 0x5407, "" },
//  { 0x5408, "" },
    { 0x5409, "ai_array_killcount_flag_set" },
//  { 0x540A, "" },
//  { 0x540B, "" },
//  { 0x540C, "" },
    { 0x540D, "hjk_red_light_pulsing" },
    { 0x540E, "pulsing_light_fx" },
//  { 0x540F, "" },
//  { 0x5410, "" },
//  { 0x5411, "" },
//  { 0x5412, "" },
//  { 0x5413, "" },
//  { 0x5414, "" },
//  { 0x5415, "" },
//  { 0x5416, "" },
//  { 0x5417, "" },
//  { 0x5418, "" },
//  { 0x5419, "" },
    { 0x541A, "fluorescentflicker" },
    { 0x541B, "handle_pre_sled_lights" },
//  { 0x541C, "" },
//  { 0x541D, "" },
    { 0x541E, "sled_emergency_light_post_impact_flicker" },
//  { 0x541F, "" },
//  { 0x5420, "" },
//  { 0x5421, "" },
    { 0x5422, "aftermath_style_walking" },
//  { 0x5423, "" },
//  { 0x5424, "" },
//  { 0x5425, "" },
    { 0x5426, "heartbeat_blood_func" },
//  { 0x5427, "" },
//  { 0x5428, "" },
//  { 0x5429, "" },
    { 0x542A, "unsteady_scale" },
//  { 0x542B, "" },
//  { 0x542C, "" },
    { 0x542D, "swivel_stunplayer" },
    { 0x542E, "setslowmotion_overtime" },
//  { 0x542F, "" },
//  { 0x5430, "" },
//  { 0x5431, "" },
//  { 0x5432, "" },
//  { 0x5433, "" },
    { 0x5434, "recover" },
//  { 0x5435, "" },
//  { 0x5436, "" },
//  { 0x5437, "" },
//  { 0x5438, "" },
//  { 0x5439, "" },
//  { 0x543A, "" },
    { 0x543B, "player_grenade_watcher" },
//  { 0x543C, "" },
    { 0x543D, "intro_origin" },
//  { 0x543E, "" },
//  { 0x543F, "" },
    { 0x5440, "chopper_land_node" },
//  { 0x5441, "" },
//  { 0x5442, "" },
//  { 0x5443, "" },
//  { 0x5444, "" },
    { 0x5445, "cronie2" },
    { 0x5446, "makarov_heli_door" },
    { 0x5447, "ending_distant_combat1" },
    { 0x5448, "snd_index" },
    { 0x5449, "ending_distant_combat2" },
    { 0x544A, "handle_commander_move_to_end" },
//  { 0x544B, "" },
//  { 0x544C, "" },
//  { 0x544D, "" },
//  { 0x544E, "" },
//  { 0x544F, "" },
//  { 0x5450, "" },
//  { 0x5451, "" },
//  { 0x5452, "" },
    { 0x5453, "spawn_and_move_extras" },
//  { 0x5454, "" },
//  { 0x5455, "" },
//  { 0x5456, "" },
//  { 0x5457, "" },
    { 0x5458, "guys_approach_heli" },
//  { 0x5459, "" },
//  { 0x545A, "" },
    { 0x545B, "spotlight_monitor_end" },
    { 0x545C, "spotlight_target_final" },
//  { 0x545D, "" },
//  { 0x545E, "" },
//  { 0x545F, "" },
//  { 0x5460, "" },
//  { 0x5461, "" },
//  { 0x5462, "" },
//  { 0x5463, "" },
//  { 0x5464, "" },
//  { 0x5465, "" },
//  { 0x5466, "" },
//  { 0x5467, "" },
    { 0x5468, "tarmac_combat_wave4" },
//  { 0x5469, "" },
    { 0x546A, "check_endsceneguys_commander_advance" },
//  { 0x546B, "" },
//  { 0x546C, "" },
//  { 0x546D, "" },
    { 0x546E, "tarmac_combat_vo" },
//  { 0x546F, "" },
//  { 0x5470, "" },
//  { 0x5471, "" },
//  { 0x5472, "" },
    { 0x5473, "start_tarmac" },
    { 0x5474, "remove_all_weapons_post_crash" },
    { 0x5475, "animated_telephone" },
//  { 0x5476, "" },
//  { 0x5477, "" },
//  { 0x5478, "" },
//  { 0x5479, "" },
//  { 0x547A, "" },
//  { 0x547B, "" },
//  { 0x547C, "" },
    { 0x547D, "daughter" },
//  { 0x547E, "" },
//  { 0x547F, "" },
//  { 0x5480, "" },
    { 0x5481, "commander_base_move_speed" },
//  { 0x5482, "" },
    { 0x5483, "needs_to_catch_up" },
//  { 0x5484, "" },
//  { 0x5485, "" },
//  { 0x5486, "" },
//  { 0x5487, "" },
    { 0x5488, "tarmac_flare_event" },
//  { 0x5489, "" },
//  { 0x548A, "" },
//  { 0x548B, "" },
    { 0x548C, "tarmac_radio_org" },
//  { 0x548D, "" },
//  { 0x548E, "" },
    { 0x548F, "tarmac_events" },
//  { 0x5490, "" },
    { 0x5491, "blend_player_move_speed" },
//  { 0x5492, "" },
//  { 0x5493, "" },
//  { 0x5494, "" },
//  { 0x5495, "" },
//  { 0x5496, "" },
    { 0x5497, "post_crash_explosions" },
//  { 0x5498, "" },
//  { 0x5499, "" },
//  { 0x549A, "" },
//  { 0x549B, "" },
//  { 0x549C, "" },
//  { 0x549D, "" },
//  { 0x549E, "" },
//  { 0x549F, "" },
//  { 0x54A0, "" },
//  { 0x54A1, "" },
//  { 0x54A2, "" },
    { 0x54A3, "fso_check_deadguy" },
//  { 0x54A4, "" },
//  { 0x54A5, "" },
    { 0x54A6, "fso_tail_explosion_react" },
//  { 0x54A7, "" },
//  { 0x54A8, "" },
//  { 0x54A9, "" },
    { 0x54AA, "setup_spotlight" },
//  { 0x54AB, "" },
//  { 0x54AC, "" },
//  { 0x54AD, "" },
//  { 0x54AE, "" },
//  { 0x54AF, "" },
//  { 0x54B0, "" },
    { 0x54B1, "setup_vehicle_light_types" },
//  { 0x54B2, "" },
    { 0x54B3, "daughter_struct" },
//  { 0x54B4, "" },
    { 0x54B5, "crash_init_flags" },
    { 0x54B6, "crash_objectives" },
//  { 0x54B7, "" },
//  { 0x54B8, "" },
//  { 0x54B9, "" },
    { 0x54BA, "crash_room_door_blocker" },
    { 0x54BB, "open_cargo_door" },
    { 0x54BC, "start_plane_crash" },
//  { 0x54BD, "" },
    { 0x54BE, "airplane_cleanup" },
//  { 0x54BF, "" },
//  { 0x54C0, "" },
    { 0x54C1, "attach_tag" },
//  { 0x54C2, "" },
//  { 0x54C3, "" },
//  { 0x54C4, "" },
//  { 0x54C5, "" },
//  { 0x54C6, "" },
    { 0x54C7, "hero_agent_prepare_for_crash" },
//  { 0x54C8, "" },
//  { 0x54C9, "" },
    { 0x54CA, "quickfade" },
    { 0x54CB, "thread_spin" },
    { 0x54CC, "plane_crash_anim_firstframe" },
//  { 0x54CD, "" },
//  { 0x54CE, "" },
//  { 0x54CF, "" },
    { 0x54D0, "handle_engine_swap" },
//  { 0x54D1, "" },
    { 0x54D2, "transition_to_tarmac" },
//  { 0x54D3, "" },
//  { 0x54D4, "" },
//  { 0x54D5, "" },
//  { 0x54D6, "" },
    { 0x54D7, "pushing_at_edge_measure_time" },
//  { 0x54D8, "" },
//  { 0x54D9, "" },
//  { 0x54DA, "" },
//  { 0x54DB, "" },
//  { 0x54DC, "" },
//  { 0x54DD, "" },
//  { 0x54DE, "" },
//  { 0x54DF, "" },
//  { 0x54E0, "" },
//  { 0x54E1, "" },
    { 0x54E2, "handle_commander_crash" },
//  { 0x54E3, "" },
//  { 0x54E4, "" },
//  { 0x54E5, "" },
//  { 0x54E6, "" },
//  { 0x54E7, "" },
//  { 0x54E8, "" },
    { 0x54E9, "crash_light_scale_max" },
//  { 0x54EA, "" },
//  { 0x54EB, "" },
    { 0x54EC, "sunlight_flicker_lifetime_values" },
//  { 0x54ED, "" },
//  { 0x54EE, "" },
//  { 0x54EF, "" },
//  { 0x54F0, "" },
//  { 0x54F1, "" },
    { 0x54F2, "commander_wake_up" },
//  { 0x54F3, "" },
//  { 0x54F4, "" },
//  { 0x54F5, "" },
    { 0x54F6, "handle_runner_lights" },
//  { 0x54F7, "" },
//  { 0x54F8, "" },
    { 0x54F9, "runner_lights_seton" },
    { 0x54FA, "maps/createart/hijack_art" },
    { 0x54FB, "start_airplane" },
    { 0x54FC, "start_debate" },
    { 0x54FD, "start_pre_zero_g" },
    { 0x54FE, "start_lower_level_combat" },
//  { 0x54FF, "" },
//  { 0x5500, "" },
    { 0x5501, "level_init_assets" },
//  { 0x5502, "" },
//  { 0x5503, "" },
    { 0x5504, "debate_laptop_off" },
//  { 0x5505, "" },
//  { 0x5506, "" },
    { 0x5507, "orig_wakeupradius" },
//  { 0x5508, "" },
    { 0x5509, "orig_sundirection" },
//  { 0x550A, "" },
    { 0x550B, "seatbeltsigns" },
//  { 0x550C, "" },
//  { 0x550D, "" },
//  { 0x550E, "" },
//  { 0x550F, "" },
//  { 0x5510, "" },
//  { 0x5511, "" },
    { 0x5512, "setup_object_mass" },
    { 0x5513, "setup_tarmac_triggers" },
//  { 0x5514, "" },
//  { 0x5515, "" },
    { 0x5516, "godrays" },
//  { 0x5517, "" },
//  { 0x5518, "" },
//  { 0x5519, "" },
//  { 0x551A, "" },
    { 0x551B, "agent_death" },
//  { 0x551C, "" },
//  { 0x551D, "" },
//  { 0x551E, "" },
//  { 0x551F, "" },
//  { 0x5520, "" },
//  { 0x5521, "" },
    { 0x5522, "setup_hero_agent_01" },
//  { 0x5523, "" },
//  { 0x5524, "" },
//  { 0x5525, "" },
//  { 0x5526, "" },
//  { 0x5527, "" },
//  { 0x5528, "" },
//  { 0x5529, "" },
    { 0x552A, "manage_tail_models" },
    { 0x552B, "hide_tail_models" },
//  { 0x552C, "" },
//  { 0x552D, "" },
//  { 0x552E, "" },
//  { 0x552F, "" },
//  { 0x5530, "" },
//  { 0x5531, "" },
//  { 0x5532, "" },
    { 0x5533, "secretary" },
//  { 0x5534, "" },
//  { 0x5535, "" },
    { 0x5536, "hallway_roller" },
//  { 0x5537, "" },
    { 0x5538, "hallway_rumble_low" },
//  { 0x5539, "" },
//  { 0x553A, "" },
//  { 0x553B, "" },
//  { 0x553C, "" },
//  { 0x553D, "" },
//  { 0x553E, "" },
//  { 0x553F, "" },
    { 0x5540, "jet_2a" },
//  { 0x5541, "" },
//  { 0x5542, "" },
//  { 0x5543, "" },
//  { 0x5544, "" },
//  { 0x5545, "" },
//  { 0x5546, "" },
    { 0x5547, "intro_vo" },
    { 0x5548, "intro_pres_notes" },
//  { 0x5549, "" },
    { 0x554A, "door_rig2" },
//  { 0x554B, "" },
//  { 0x554C, "" },
//  { 0x554D, "" },
//  { 0x554E, "" },
    { 0x554F, "intro_env" },
    { 0x5550, "intro_doors" },
//  { 0x5551, "" },
//  { 0x5552, "" },
//  { 0x5553, "" },
    { 0x5554, "door_rig3" },
    { 0x5555, "door4" },
    { 0x5556, "door_rig4" },
//  { 0x5557, "" },
//  { 0x5558, "" },
    { 0x5559, "debate_chair_anim" },
    { 0x555A, "debate_chair_destroy" },
//  { 0x555B, "" },
//  { 0x555C, "" },
//  { 0x555D, "" },
    { 0x555E, "debate" },
//  { 0x555F, "" },
    { 0x5560, "debate_hallway_screams" },
//  { 0x5561, "" },
//  { 0x5562, "" },
    { 0x5563, "debate_prep_agent2_gun" },
//  { 0x5564, "" },
    { 0x5565, "debate_hijacker_vo" },
//  { 0x5566, "" },
//  { 0x5567, "" },
    { 0x5568, "debate_lurch_props" },
//  { 0x5569, "" },
//  { 0x556A, "" },
//  { 0x556B, "" },
//  { 0x556C, "" },
//  { 0x556D, "" },
//  { 0x556E, "" },
    { 0x556F, "debate_commander_fx" },
//  { 0x5570, "" },
//  { 0x5571, "" },
//  { 0x5572, "" },
//  { 0x5573, "" },
//  { 0x5574, "" },
//  { 0x5575, "" },
//  { 0x5576, "" },
//  { 0x5577, "" },
//  { 0x5578, "" },
    { 0x5579, "debate_agent2_end_loop" },
//  { 0x557A, "" },
//  { 0x557B, "" },
    { 0x557C, "screen_movies" },
//  { 0x557D, "" },
    { 0x557E, "tv_movies" },
//  { 0x557F, "" },
//  { 0x5580, "" },
//  { 0x5581, "" },
//  { 0x5582, "" },
//  { 0x5583, "" },
//  { 0x5584, "" },
//  { 0x5585, "" },
//  { 0x5586, "" },
//  { 0x5587, "" },
//  { 0x5588, "" },
//  { 0x5589, "" },
//  { 0x558A, "" },
    { 0x558B, "hallway_carnage" },
//  { 0x558C, "" },
    { 0x558D, "pre_zerog_behavior" },
//  { 0x558E, "" },
    { 0x558F, "stop_pre_zerog_behavior" },
//  { 0x5590, "" },
//  { 0x5591, "" },
//  { 0x5592, "" },
//  { 0x5593, "" },
//  { 0x5594, "" },
//  { 0x5595, "" },
    { 0x5596, "zerog_guys" },
//  { 0x5597, "" },
//  { 0x5598, "" },
    { 0x5599, "anim_1" },
//  { 0x559A, "" },
//  { 0x559B, "" },
//  { 0x559C, "" },
//  { 0x559D, "" },
//  { 0x559E, "" },
//  { 0x559F, "" },
    { 0x55A0, "zerog_props" },
//  { 0x55A1, "" },
    { 0x55A2, "extra_props_left" },
//  { 0x55A3, "" },
    { 0x55A4, "zerog_swap_destruct_fx" },
//  { 0x55A5, "" },
//  { 0x55A6, "" },
//  { 0x55A7, "" },
    { 0x55A8, "zerog_door_behavior" },
//  { 0x55A9, "" },
//  { 0x55AA, "" },
//  { 0x55AB, "" },
//  { 0x55AC, "" },
    { 0x55AD, "zerog_planedive" },
//  { 0x55AE, "" },
//  { 0x55AF, "" },
    { 0x55B0, "zerog_bigshake" },
    { 0x55B1, "zerog_planerollleft" },
    { 0x55B2, "zerog_thirdhit" },
//  { 0x55B3, "" },
//  { 0x55B4, "" },
//  { 0x55B5, "" },
//  { 0x55B6, "" },
//  { 0x55B7, "" },
//  { 0x55B8, "" },
//  { 0x55B9, "" },
//  { 0x55BA, "" },
//  { 0x55BB, "" },
//  { 0x55BC, "" },
//  { 0x55BD, "" },
    { 0x55BE, "start_lower_combat" },
//  { 0x55BF, "" },
    { 0x55C0, "lower_comm_cargo_enemies" },
//  { 0x55C1, "" },
//  { 0x55C2, "" },
    { 0x55C3, "try_move_commander_through_dining_room" },
//  { 0x55C4, "" },
//  { 0x55C5, "" },
    { 0x55C6, "commander_initial_moves" },
    { 0x55C7, "lower_level_dead_allies" },
    { 0x55C8, "lower_level_radio_chatter" },
//  { 0x55C9, "" },
//  { 0x55CA, "" },
//  { 0x55CB, "" },
//  { 0x55CC, "" },
//  { 0x55CD, "" },
    { 0x55CE, "enemies_stumble" },
//  { 0x55CF, "" },
//  { 0x55D0, "" },
//  { 0x55D1, "" },
//  { 0x55D2, "" },
    { 0x55D3, "door_terrorist" },
    { 0x55D4, "allow_stumbling_terrorists_to_die" },
//  { 0x55D5, "" },
//  { 0x55D6, "" },
    { 0x55D7, "cargo_room_lurch" },
//  { 0x55D8, "" },
    { 0x55D9, "cargo_move_props" },
//  { 0x55DA, "" },
//  { 0x55DB, "" },
//  { 0x55DC, "" },
//  { 0x55DD, "" },
//  { 0x55DE, "" },
//  { 0x55DF, "" },
//  { 0x55E0, "" },
//  { 0x55E1, "" },
//  { 0x55E2, "" },
//  { 0x55E3, "" },
//  { 0x55E4, "" },
//  { 0x55E5, "" },
//  { 0x55E6, "" },
    { 0x55E7, "commander_post_crash_animset" },
//  { 0x55E8, "" },
//  { 0x55E9, "" },
//  { 0x55EA, "" },
    { 0x55EB, "setupsp" },
    { 0x55EC, "setupplane" },
    { 0x55ED, "setupglass" },
//  { 0x55EE, "" },
//  { 0x55EF, "" },
    { 0x55F0, "playerdetectdamage" },
//  { 0x55F1, "" },
//  { 0x55F2, "" },
//  { 0x55F3, "" },
//  { 0x55F4, "" },
//  { 0x55F5, "" },
//  { 0x55F6, "" },
//  { 0x55F7, "" },
//  { 0x55F8, "" },
//  { 0x55F9, "" },
//  { 0x55FA, "" },
//  { 0x55FB, "" },
    { 0x55FC, "new_enemy_accuracy" },
//  { 0x55FD, "" },
//  { 0x55FE, "" },
    { 0x55FF, "setupenemyanims" },
    { 0x5600, "setupplayeranims" },
    { 0x5601, "playerplaycoopslideanim" },
//  { 0x5602, "" },
//  { 0x5603, "" },
//  { 0x5604, "" },
//  { 0x5605, "" },
    { 0x5606, "somilehighveteran" },
//  { 0x5607, "" },
    { 0x5608, "so_president" },
    { 0x5609, "presidentupdatecaptureobjective" },
//  { 0x560A, "" },
//  { 0x560B, "" },
    { 0x560C, "customeogsummary" },
//  { 0x560D, "" },
//  { 0x560E, "" },
//  { 0x560F, "" },
    { 0x5610, "spawnenemiesbyname" },
//  { 0x5611, "" },
//  { 0x5612, "" },
//  { 0x5613, "" },
//  { 0x5614, "" },
//  { 0x5615, "" },
    { 0x5616, "stopslidingplayers" },
    { 0x5617, "animateplanetiltview" },
    { 0x5618, "throwdiningroomitems" },
    { 0x5619, "putrollersbacktozero" },
//  { 0x561A, "" },
//  { 0x561B, "" },
//  { 0x561C, "" },
    { 0x561D, "debateroomitemsduringbreach" },
    { 0x561E, "chairsetup" },
    { 0x561F, "chairdestroy" },
    { 0x5620, "enemydienoragdoll" },
//  { 0x5621, "" },
    { 0x5622, "commandersetup" },
    { 0x5623, "enemyremovegun" },
    { 0x5624, "enemyplayendloopinganimation" },
//  { 0x5625, "" },
//  { 0x5626, "" },
//  { 0x5627, "" },
    { 0x5628, "anim_play_at_time" },
//  { 0x5629, "" },
    { 0x562A, "cancapturepresident" },
//  { 0x562B, "" },
//  { 0x562C, "" },
//  { 0x562D, "" },
//  { 0x562E, "" },
//  { 0x562F, "" },
//  { 0x5630, "" },
//  { 0x5631, "" },
    { 0x5632, "character/character_africa_militia_assault_a" },
    { 0x5633, "character/character_africa_militia_assault_b" },
//  { 0x5634, "" },
//  { 0x5635, "" },
//  { 0x5636, "" },
//  { 0x5637, "" },
//  { 0x5638, "" },
//  { 0x5639, "" },
    { 0x563A, "character/character_africa_militia_rpg_a" },
//  { 0x563B, "" },
//  { 0x563C, "" },
//  { 0x563D, "" },
//  { 0x563E, "" },
    { 0x563F, "clearirtarget" },
    { 0x5640, "stinger" },
    { 0x5641, "stingerlockstarted" },
//  { 0x5642, "" },
//  { 0x5643, "" },
    { 0x5644, "stingerfirednotify" },
    { 0x5645, "stingertoggleloop" },
    { 0x5646, "stingerirtloop" },
//  { 0x5647, "" },
    { 0x5648, "insidestingerreticlenolock" },
//  { 0x5649, "" },
//  { 0x564A, "" },
//  { 0x564B, "" },
    { 0x564C, "targettoclose" },
    { 0x564D, "maps/_stinger" },
    { 0x564E, "vehicle_scripts/_cobra" },
//  { 0x564F, "" },
    { 0x5650, "showing_hostage_hint_array" },
//  { 0x5651, "" },
//  { 0x5652, "" },
    { 0x5653, "enemy_array_group_1" },
    { 0x5654, "enemy_array_group_2" },
//  { 0x5655, "" },
//  { 0x5656, "" },
    { 0x5657, "hostage_guards" },
//  { 0x5658, "" },
//  { 0x5659, "" },
//  { 0x565A, "" },
//  { 0x565B, "" },
//  { 0x565C, "" },
//  { 0x565D, "" },
//  { 0x565E, "" },
    { 0x565F, "waves_spawned" },
//  { 0x5660, "" },
//  { 0x5661, "" },
//  { 0x5662, "" },
//  { 0x5663, "" },
//  { 0x5664, "" },
//  { 0x5665, "" },
//  { 0x5666, "" },
//  { 0x5667, "" },
//  { 0x5668, "" },
//  { 0x5669, "" },
//  { 0x566A, "" },
    { 0x566B, "max_score_time" },
    { 0x566C, "escape_vehicle" },
//  { 0x566D, "" },
//  { 0x566E, "" },
    { 0x566F, "initialguardsightrangesqrd" },
//  { 0x5670, "" },
    { 0x5671, "stage" },
//  { 0x5672, "" },
    { 0x5673, "fog_brushes" },
//  { 0x5674, "" },
//  { 0x5675, "" },
//  { 0x5676, "" },
//  { 0x5677, "" },
//  { 0x5678, "" },
    { 0x5679, "setfixednode" },
    { 0x567A, "hostage_death_count" },
//  { 0x567B, "" },
//  { 0x567C, "" },
//  { 0x567D, "" },
//  { 0x567E, "" },
    { 0x567F, "wake" },
//  { 0x5680, "" },
//  { 0x5681, "" },
//  { 0x5682, "" },
    { 0x5683, "advance_to_stage" },
//  { 0x5684, "" },
//  { 0x5685, "" },
    { 0x5686, "triggered_alert_1" },
    { 0x5687, "triggered_alert_3" },
//  { 0x5688, "" },
//  { 0x5689, "" },
//  { 0x568A, "" },
//  { 0x568B, "" },
//  { 0x568C, "" },
//  { 0x568D, "" },
//  { 0x568E, "" },
//  { 0x568F, "" },
    { 0x5690, "heli_timer" },
//  { 0x5691, "" },
//  { 0x5692, "" },
    { 0x5693, "hud_so_seen_count" },
//  { 0x5694, "" },
//  { 0x5695, "" },
    { 0x5696, "enable_hostage_trigger" },
//  { 0x5697, "" },
    { 0x5698, "cobra_think" },
//  { 0x5699, "" },
//  { 0x569A, "" },
    { 0x569B, "individual_vip_objective" },
//  { 0x569C, "" },
//  { 0x569D, "" },
    { 0x569E, "guard_path" },
//  { 0x569F, "" },
//  { 0x56A0, "" },
//  { 0x56A1, "" },
//  { 0x56A2, "" },
//  { 0x56A3, "" },
//  { 0x56A4, "" },
    { 0x56A5, "character/character_opforce_rescue_assault_b" },
//  { 0x56A6, "" },
//  { 0x56A7, "" },
//  { 0x56A8, "" },
//  { 0x56A9, "" },
//  { 0x56AA, "" },
//  { 0x56AB, "" },
//  { 0x56AC, "" },
    { 0x56AD, "ac130_weapon_tag" },
//  { 0x56AE, "" },
    { 0x56AF, "ac130_player_view_controller_ref" },
//  { 0x56B0, "" },
//  { 0x56B1, "" },
//  { 0x56B2, "" },
//  { 0x56B3, "" },
//  { 0x56B4, "" },
//  { 0x56B5, "" },
//  { 0x56B6, "" },
    { 0x56B7, "weapon_reload_time" },
    { 0x56B8, "weapon_input_cooldown_active" },
    { 0x56B9, "weapon_input_cooldown_time" },
//  { 0x56BA, "" },
//  { 0x56BB, "" },
//  { 0x56BC, "" },
//  { 0x56BD, "" },
//  { 0x56BE, "" },
//  { 0x56BF, "" },
//  { 0x56C0, "" },
//  { 0x56C1, "" },
//  { 0x56C2, "" },
    { 0x56C3, "weapon_cooldown_time" },
    { 0x56C4, "ac130_weapon_tag_offset" },
//  { 0x56C5, "" },
//  { 0x56C6, "" },
//  { 0x56C7, "" },
//  { 0x56C8, "" },
//  { 0x56C9, "" },
//  { 0x56CA, "" },
//  { 0x56CB, "" },
//  { 0x56CC, "" },
//  { 0x56CD, "" },
//  { 0x56CE, "" },
//  { 0x56CF, "" },
//  { 0x56D0, "" },
    { 0x56D1, "ac130_hud_target_hide_queue" },
    { 0x56D2, "ac130_current_fov" },
    { 0x56D3, "ac130_friendly_fire_dialogue_priority" },
    { 0x56D4, "ac130_projectile_callback" },
//  { 0x56D5, "" },
    { 0x56D6, "weapon_name" },
//  { 0x56D7, "" },
    { 0x56D8, "hudelem_y" },
//  { 0x56D9, "" },
//  { 0x56DA, "" },
//  { 0x56DB, "" },
//  { 0x56DC, "" },
//  { 0x56DD, "" },
    { 0x56DE, "ac130_hud_weapon_fontscale" },
    { 0x56DF, "ac130_hud_data_fontscale" },
    { 0x56E0, "ac130_hudtargetsize" },
//  { 0x56E1, "" },
//  { 0x56E2, "" },
//  { 0x56E3, "" },
    { 0x56E4, "ac130_hudtargetscreenedgeclampbufferbottom" },
//  { 0x56E5, "" },
//  { 0x56E6, "" },
    { 0x56E7, "ac130_default_hudtargetscreenedgeclampbufferright" },
//  { 0x56E8, "" },
//  { 0x56E9, "" },
//  { 0x56EA, "" },
//  { 0x56EB, "" },
//  { 0x56EC, "" },
//  { 0x56ED, "" },
    { 0x56EE, "ac130_thermal_sun_color" },
//  { 0x56EF, "" },
    { 0x56F0, "ac130_thermal_sun_begin_fade_angle" },
//  { 0x56F1, "" },
    { 0x56F2, "ac130_thermal_sun_fog_scale" },
//  { 0x56F3, "" },
//  { 0x56F4, "" },
    { 0x56F5, "ac130_enhanced_fog_halfway_dist" },
//  { 0x56F6, "" },
//  { 0x56F7, "" },
//  { 0x56F8, "" },
//  { 0x56F9, "" },
//  { 0x56FA, "" },
//  { 0x56FB, "" },
//  { 0x56FC, "" },
//  { 0x56FD, "" },
//  { 0x56FE, "" },
//  { 0x56FF, "" },
//  { 0x5700, "" },
    { 0x5701, "ac130_enhanced_blur" },
//  { 0x5702, "" },
//  { 0x5703, "" },
//  { 0x5704, "" },
//  { 0x5705, "" },
    { 0x5706, "current_shell_shock" },
//  { 0x5707, "" },
//  { 0x5708, "" },
    { 0x5709, "_ac130_init_hints" },
    { 0x570A, "_ac130_set_dvar" },
//  { 0x570B, "" },
    { 0x570C, "_ac130_init_player" },
//  { 0x570D, "" },
    { 0x570E, "player_angles_at_last_ac130_fire" },
//  { 0x570F, "" },
    { 0x5710, "ac130_view_rig" },
    { 0x5711, "ac130_rig_controller" },
    { 0x5712, "setup_coop_ac130_model" },
//  { 0x5713, "" },
//  { 0x5714, "" },
//  { 0x5715, "" },
//  { 0x5716, "" },
//  { 0x5717, "" },
//  { 0x5718, "" },
//  { 0x5719, "" },
//  { 0x571A, "" },
//  { 0x571B, "" },
//  { 0x571C, "" },
//  { 0x571D, "" },
//  { 0x571E, "" },
    { 0x571F, "hud_update_player_data" },
    { 0x5720, "hud_update_player_pitch" },
//  { 0x5721, "" },
//  { 0x5722, "" },
//  { 0x5723, "" },
//  { 0x5724, "" },
//  { 0x5725, "" },
//  { 0x5726, "" },
//  { 0x5727, "" },
//  { 0x5728, "" },
//  { 0x5729, "" },
//  { 0x572A, "" },
//  { 0x572B, "" },
//  { 0x572C, "" },
    { 0x572D, "hud_blink_reloading" },
//  { 0x572E, "" },
//  { 0x572F, "" },
    { 0x5730, "hud_lock_on_flash_stop" },
    { 0x5731, "hud_recording_start" },
//  { 0x5732, "" },
//  { 0x5733, "" },
//  { 0x5734, "" },
    { 0x5735, "hud_target_active_mode" },
//  { 0x5736, "" },
//  { 0x5737, "" },
//  { 0x5738, "" },
//  { 0x5739, "" },
    { 0x573A, "hud_monitor_target" },
    { 0x573B, "hud_target_toggle_visibility_queue" },
//  { 0x573C, "" },
//  { 0x573D, "" },
//  { 0x573E, "" },
//  { 0x573F, "" },
//  { 0x5740, "" },
//  { 0x5741, "" },
//  { 0x5742, "" },
//  { 0x5743, "" },
//  { 0x5744, "" },
//  { 0x5745, "" },
    { 0x5746, "monitor_change_weapons" },
    { 0x5747, "monitor_25mm_sound" },
//  { 0x5748, "" },
//  { 0x5749, "" },
//  { 0x574A, "" },
//  { 0x574B, "" },
//  { 0x574C, "" },
    { 0x574D, "hint_zoom" },
    { 0x574E, "ac130_set_view_arc" },
//  { 0x574F, "" },
    { 0x5750, "ac130_set_thermal_shock" },
    { 0x5751, "ac130_set_enhanced_shock" },
    { 0x5752, "ac130_set_thermal_vision_set" },
//  { 0x5753, "" },
//  { 0x5754, "" },
//  { 0x5755, "" },
//  { 0x5756, "" },
//  { 0x5757, "" },
//  { 0x5758, "" },
    { 0x5759, "fade_to_white" },
    { 0x575A, "fade_in_from_white" },
//  { 0x575B, "" },
    { 0x575C, "weapon_fire_notify" },
    { 0x575D, "weapon_fire" },
//  { 0x575E, "" },
//  { 0x575F, "" },
//  { 0x5760, "" },
//  { 0x5761, "" },
//  { 0x5762, "" },
//  { 0x5763, "" },
//  { 0x5764, "" },
//  { 0x5765, "" },
    { 0x5766, "set_badplace_max" },
    { 0x5767, "shotfiredfriendlyproximity" },
//  { 0x5768, "" },
//  { 0x5769, "" },
//  { 0x576A, "" },
//  { 0x576B, "" },
//  { 0x576C, "" },
    { 0x576D, "add_ac130_vehicle_beacon_effect" },
//  { 0x576E, "" },
//  { 0x576F, "" },
//  { 0x5770, "" },
//  { 0x5771, "" },
//  { 0x5772, "" },
    { 0x5773, "context_sensitive_dialog_guy_pain" },
//  { 0x5774, "" },
//  { 0x5775, "" },
    { 0x5776, "context_sensitive_dialog_locations" },
    { 0x5777, "context_sensitive_dialog_locations_thread" },
//  { 0x5778, "" },
//  { 0x5779, "" },
//  { 0x577A, "" },
//  { 0x577B, "" },
//  { 0x577C, "" },
//  { 0x577D, "" },
//  { 0x577E, "" },
//  { 0x577F, "" },
//  { 0x5780, "" },
    { 0x5781, "give_p99" },
//  { 0x5782, "" },
    { 0x5783, "spawn_grinch" },
    { 0x5784, "counter" },
    { 0x5785, "setup_grinch" },
//  { 0x5786, "" },
//  { 0x5787, "" },
//  { 0x5788, "" },
    { 0x5789, "delta_two" },
    { 0x578A, "nightvision_setup" },
    { 0x578B, "elevator_down_setup" },
    { 0x578C, "warp_elevator" },
//  { 0x578D, "" },
//  { 0x578E, "" },
//  { 0x578F, "" },
//  { 0x5790, "" },
    { 0x5791, "elevator_rocket_guys" },
//  { 0x5792, "" },
//  { 0x5793, "" },
//  { 0x5794, "" },
//  { 0x5795, "" },
//  { 0x5796, "" },
//  { 0x5797, "" },
//  { 0x5798, "" },
//  { 0x5799, "" },
    { 0x579A, "elevator_doors" },
    { 0x579B, "crash_dialogue" },
//  { 0x579C, "" },
//  { 0x579D, "" },
//  { 0x579E, "" },
//  { 0x579F, "" },
//  { 0x57A0, "" },
//  { 0x57A1, "" },
    { 0x57A2, "elevator_ambush" },
//  { 0x57A3, "" },
//  { 0x57A4, "" },
//  { 0x57A5, "" },
//  { 0x57A6, "" },
//  { 0x57A7, "" },
//  { 0x57A8, "" },
//  { 0x57A9, "" },
//  { 0x57AA, "" },
    { 0x57AB, "spark_lighters" },
//  { 0x57AC, "" },
//  { 0x57AD, "" },
    { 0x57AE, "elevator_rotation" },
//  { 0x57AF, "" },
//  { 0x57B0, "" },
    { 0x57B1, "delete_tunnel_ai" },
    { 0x57B2, "quick_elevator_reactions" },
//  { 0x57B3, "" },
    { 0x57B4, "quick_elevator_reactions_two" },
//  { 0x57B5, "" },
//  { 0x57B6, "" },
    { 0x57B7, "ele_sparks" },
//  { 0x57B8, "" },
//  { 0x57B9, "" },
//  { 0x57BA, "" },
//  { 0x57BB, "" },
//  { 0x57BC, "" },
//  { 0x57BD, "" },
    { 0x57BE, "cave_lead_player_eye_top_think" },
    { 0x57BF, "cave_lead_player_eye_ground_left" },
//  { 0x57C0, "" },
    { 0x57C1, "zipline_dialouge" },
//  { 0x57C2, "" },
//  { 0x57C3, "" },
//  { 0x57C4, "" },
    { 0x57C5, "cave_rappel_think" },
//  { 0x57C6, "" },
//  { 0x57C7, "" },
//  { 0x57C8, "" },
    { 0x57C9, "cave_rappel_rpg_think" },
    { 0x57CA, "bay_runner_think" },
//  { 0x57CB, "" },
//  { 0x57CC, "" },
//  { 0x57CD, "" },
//  { 0x57CE, "" },
//  { 0x57CF, "" },
    { 0x57D0, "saw_sparks" },
//  { 0x57D1, "" },
//  { 0x57D2, "" },
//  { 0x57D3, "" },
//  { 0x57D4, "" },
//  { 0x57D5, "" },
//  { 0x57D6, "" },
//  { 0x57D7, "" },
    { 0x57D8, "kill_my_fx" },
    { 0x57D9, "bay_snowmobile_kill" },
//  { 0x57DA, "" },
    { 0x57DB, "bay_exit_double_door" },
//  { 0x57DC, "" },
    { 0x57DD, "bay_top_outside_two_think" },
//  { 0x57DE, "" },
//  { 0x57DF, "" },
//  { 0x57E0, "" },
//  { 0x57E1, "" },
//  { 0x57E2, "" },
//  { 0x57E3, "" },
//  { 0x57E4, "" },
//  { 0x57E5, "" },
//  { 0x57E6, "" },
    { 0x57E7, "yard_one_setup" },
//  { 0x57E8, "" },
//  { 0x57E9, "" },
//  { 0x57EA, "" },
//  { 0x57EB, "" },
//  { 0x57EC, "" },
//  { 0x57ED, "" },
//  { 0x57EE, "" },
//  { 0x57EF, "" },
//  { 0x57F0, "" },
    { 0x57F1, "metal_railings_damaged" },
//  { 0x57F2, "" },
    { 0x57F3, "ambient_paths" },
//  { 0x57F4, "" },
//  { 0x57F5, "" },
    { 0x57F6, "friends_drop_off" },
    { 0x57F7, "custom_script_anim_slide" },
//  { 0x57F8, "" },
    { 0x57F9, "littlebird_hero" },
//  { 0x57FA, "" },
    { 0x57FB, "littlebird_ambient_left_right" },
//  { 0x57FC, "" },
    { 0x57FD, "littlebird_trigger" },
//  { 0x57FE, "" },
    { 0x57FF, "heli_yard_attack_suburbans" },
//  { 0x5800, "" },
//  { 0x5801, "" },
    { 0x5802, "littlebird_minigun" },
//  { 0x5803, "" },
    { 0x5804, "fire_missile_setup" },
//  { 0x5805, "" },
//  { 0x5806, "" },
//  { 0x5807, "" },
//  { 0x5808, "" },
    { 0x5809, "delta_yard_right_think" },
//  { 0x580A, "" },
    { 0x580B, "snow" },
//  { 0x580C, "" },
//  { 0x580D, "" },
//  { 0x580E, "" },
//  { 0x580F, "" },
//  { 0x5810, "" },
//  { 0x5811, "" },
    { 0x5812, "heli_one" },
//  { 0x5813, "" },
    { 0x5814, "left_heli_amb_path_one" },
//  { 0x5815, "" },
//  { 0x5816, "" },
//  { 0x5817, "" },
//  { 0x5818, "" },
//  { 0x5819, "" },
//  { 0x581A, "" },
//  { 0x581B, "" },
//  { 0x581C, "" },
    { 0x581D, "kill_ai" },
//  { 0x581E, "" },
//  { 0x581F, "" },
    { 0x5820, "yard_high_road_support_think" },
//  { 0x5821, "" },
//  { 0x5822, "" },
//  { 0x5823, "" },
//  { 0x5824, "" },
//  { 0x5825, "" },
//  { 0x5826, "" },
//  { 0x5827, "" },
    { 0x5828, "new_yard_beggining_battle" },
    { 0x5829, "random_crash_location" },
    { 0x582A, "yard_sniper_think" },
//  { 0x582B, "" },
//  { 0x582C, "" },
    { 0x582D, "delete_chopper" },
//  { 0x582E, "" },
//  { 0x582F, "" },
//  { 0x5830, "" },
//  { 0x5831, "" },
    { 0x5832, "end_sub" },
//  { 0x5833, "" },
//  { 0x5834, "" },
//  { 0x5835, "" },
//  { 0x5836, "" },
    { 0x5837, "in_bound_missle_strike" },
//  { 0x5838, "" },
//  { 0x5839, "" },
    { 0x583A, "power_tower_damage_tracker" },
//  { 0x583B, "" },
//  { 0x583C, "" },
    { 0x583D, "stumble_alot" },
    { 0x583E, "track_tanks" },
//  { 0x583F, "" },
//  { 0x5840, "" },
    { 0x5841, "set_start_positions_two" },
//  { 0x5842, "" },
//  { 0x5843, "" },
//  { 0x5844, "" },
    { 0x5845, "cave_shake_sound" },
    { 0x5846, "cave_shake_source" },
    { 0x5847, "shake_fx_num" },
    { 0x5848, "cave_shake" },
    { 0x5849, "shake_light_flicker" },
//  { 0x584A, "" },
    { 0x584B, "give_player_predator_reaper" },
    { 0x584C, "uav_target" },
//  { 0x584D, "" },
    { 0x584E, "do_random_stunned_anim" },
    { 0x584F, "stun_anims" },
//  { 0x5850, "" },
//  { 0x5851, "" },
//  { 0x5852, "" },
    { 0x5853, "array_spawn_allow_fail" },
//  { 0x5854, "" },
    { 0x5855, "array_spawn_targetname_allow_fail" },
//  { 0x5856, "" },
//  { 0x5857, "" },
//  { 0x5858, "" },
//  { 0x5859, "" },
    { 0x585A, "move_spawn_and_go" },
//  { 0x585B, "" },
//  { 0x585C, "" },
    { 0x585D, "fake_helis_above_tier_one" },
    { 0x585E, "fake_helis_above_tier_two" },
//  { 0x585F, "" },
//  { 0x5860, "" },
//  { 0x5861, "" },
//  { 0x5862, "" },
//  { 0x5863, "" },
//  { 0x5864, "" },
//  { 0x5865, "" },
//  { 0x5866, "" },
//  { 0x5867, "" },
//  { 0x5868, "" },
//  { 0x5869, "" },
    { 0x586A, "cavern_bottom_pres_defend_setup" },
//  { 0x586B, "" },
//  { 0x586C, "" },
    { 0x586D, "rescue_heli" },
//  { 0x586E, "" },
//  { 0x586F, "" },
    { 0x5870, "heli_falling_rocks" },
//  { 0x5871, "" },
//  { 0x5872, "" },
//  { 0x5873, "" },
//  { 0x5874, "" },
//  { 0x5875, "" },
    { 0x5876, "floor_breach_setup" },
    { 0x5877, "floor_breach_charge" },
//  { 0x5878, "" },
    { 0x5879, "chase_timer" },
//  { 0x587A, "" },
//  { 0x587B, "" },
//  { 0x587C, "" },
    { 0x587D, "crew_in_elevator" },
//  { 0x587E, "" },
//  { 0x587F, "" },
//  { 0x5880, "" },
    { 0x5881, "kick_upper_door" },
//  { 0x5882, "" },
//  { 0x5883, "" },
    { 0x5884, "stop_door_open" },
    { 0x5885, "start_elevator_sparks" },
    { 0x5886, "rappel_down_cavern" },
//  { 0x5887, "" },
//  { 0x5888, "" },
    { 0x5889, "ropenode" },
//  { 0x588A, "" },
//  { 0x588B, "" },
//  { 0x588C, "" },
//  { 0x588D, "" },
//  { 0x588E, "" },
//  { 0x588F, "" },
    { 0x5890, "animnode" },
    { 0x5891, "breach_floor_explosion" },
    { 0x5892, "slabs" },
    { 0x5893, "packs" },
//  { 0x5894, "" },
//  { 0x5895, "" },
//  { 0x5896, "" },
    { 0x5897, "player_stumble" },
//  { 0x5898, "" },
    { 0x5899, "cavern_defend_wave_1" },
//  { 0x589A, "" },
//  { 0x589B, "" },
    { 0x589C, "cavern_heli_arrives" },
    { 0x589D, "cavern_heli_spawn" },
    { 0x589E, "rescue_heli_backup" },
    { 0x589F, "low_earthquake_intensify" },
//  { 0x58A0, "" },
//  { 0x58A1, "" },
//  { 0x58A2, "" },
//  { 0x58A3, "" },
//  { 0x58A4, "" },
//  { 0x58A5, "" },
//  { 0x58A6, "" },
//  { 0x58A7, "" },
//  { 0x58A8, "" },
//  { 0x58A9, "" },
//  { 0x58AA, "" },
    { 0x58AB, "rescue_heli_backup_death" },
    { 0x58AC, "bottom_ambush_dialogue" },
    { 0x58AD, "bottom_player_shellshock" },
//  { 0x58AE, "" },
    { 0x58AF, "player_shock_delta" },
//  { 0x58B0, "" },
//  { 0x58B1, "" },
//  { 0x58B2, "" },
//  { 0x58B3, "" },
//  { 0x58B4, "" },
    { 0x58B5, "argue_dialogue" },
//  { 0x58B6, "" },
//  { 0x58B7, "" },
//  { 0x58B8, "" },
    { 0x58B9, "retreat_rpgs" },
//  { 0x58BA, "" },
    { 0x58BB, "sandman_knife_guy" },
//  { 0x58BC, "" },
    { 0x58BD, "player_shellshock_blur" },
    { 0x58BE, "player_shellshock_breathing" },
    { 0x58BF, "cavern_helicopter_scene" },
    { 0x58C0, "ending_mortars" },
//  { 0x58C1, "" },
//  { 0x58C2, "" },
//  { 0x58C3, "" },
//  { 0x58C4, "" },
//  { 0x58C5, "" },
//  { 0x58C6, "" },
    { 0x58C7, "die_on_death" },
//  { 0x58C8, "" },
//  { 0x58C9, "" },
//  { 0x58CA, "" },
//  { 0x58CB, "" },
//  { 0x58CC, "" },
//  { 0x58CD, "" },
//  { 0x58CE, "" },
//  { 0x58CF, "" },
//  { 0x58D0, "" },
//  { 0x58D1, "" },
//  { 0x58D2, "" },
//  { 0x58D3, "" },
    { 0x58D4, "get_door_from_targetname" },
    { 0x58D5, "president_breach_spawners_think" },
//  { 0x58D6, "" },
    { 0x58D7, "president_holder_dies" },
//  { 0x58D8, "" },
//  { 0x58D9, "" },
    { 0x58DA, "disable_defend_triggers" },
//  { 0x58DB, "" },
//  { 0x58DC, "" },
//  { 0x58DD, "" },
    { 0x58DE, "cavern_start_dialogue" },
//  { 0x58DF, "" },
//  { 0x58E0, "" },
//  { 0x58E1, "" },
//  { 0x58E2, "" },
//  { 0x58E3, "" },
//  { 0x58E4, "" },
//  { 0x58E5, "" },
    { 0x58E6, "cavern_shake_trigger" },
    { 0x58E7, "swinging_light" },
    { 0x58E8, "cavern_defend_stay_close" },
//  { 0x58E9, "" },
//  { 0x58EA, "" },
//  { 0x58EB, "" },
//  { 0x58EC, "" },
//  { 0x58ED, "" },
    { 0x58EE, "put_player_on_heli" },
//  { 0x58EF, "" },
//  { 0x58F0, "" },
//  { 0x58F1, "" },
//  { 0x58F2, "" },
//  { 0x58F3, "" },
    { 0x58F4, "chopper_spawn_pilot" },
    { 0x58F5, "cavern_end_drone_think" },
//  { 0x58F6, "" },
//  { 0x58F7, "" },
//  { 0x58F8, "" },
//  { 0x58F9, "" },
//  { 0x58FA, "" },
//  { 0x58FB, "" },
//  { 0x58FC, "" },
    { 0x58FD, "disable_autoaim_think" },
//  { 0x58FE, "" },
//  { 0x58FF, "" },
//  { 0x5900, "" },
//  { 0x5901, "" },
//  { 0x5902, "" },
    { 0x5903, "player_kill_trigger" },
//  { 0x5904, "" },
//  { 0x5905, "" },
//  { 0x5906, "" },
//  { 0x5907, "" },
//  { 0x5908, "" },
    { 0x5909, "watchvelocity" },
//  { 0x590A, "" },
//  { 0x590B, "" },
//  { 0x590C, "" },
//  { 0x590D, "" },
//  { 0x590E, "" },
//  { 0x590F, "" },
//  { 0x5910, "" },
//  { 0x5911, "" },
//  { 0x5912, "" },
//  { 0x5913, "" },
//  { 0x5914, "" },
//  { 0x5915, "" },
//  { 0x5916, "" },
//  { 0x5917, "" },
//  { 0x5918, "" },
//  { 0x5919, "" },
    { 0x591A, "enemy_btr_killed" },
    { 0x591B, "enemy_hind_killed" },
//  { 0x591C, "" },
//  { 0x591D, "" },
//  { 0x591E, "" },
//  { 0x591F, "" },
    { 0x5920, "temp_obj_ent" },
//  { 0x5921, "" },
//  { 0x5922, "" },
//  { 0x5923, "" },
//  { 0x5924, "" },
//  { 0x5925, "" },
//  { 0x5926, "" },
//  { 0x5927, "" },
//  { 0x5928, "" },
//  { 0x5929, "" },
//  { 0x592A, "" },
//  { 0x592B, "" },
    { 0x592C, "c4" },
    { 0x592D, "setup_objectives" },
//  { 0x592E, "" },
//  { 0x592F, "" },
//  { 0x5930, "" },
//  { 0x5931, "" },
//  { 0x5932, "" },
    { 0x5933, "setup_so" },
//  { 0x5934, "" },
//  { 0x5935, "" },
    { 0x5936, "ac130_vehicle" },
//  { 0x5937, "" },
//  { 0x5938, "" },
//  { 0x5939, "" },
//  { 0x593A, "" },
//  { 0x593B, "" },
    { 0x593C, "shoot_missile_from_me" },
    { 0x593D, "obj1_fail_monitor" },
    { 0x593E, "launch_vo" },
    { 0x593F, "c130_missile_launch" },
    { 0x5940, "missile_announcements" },
//  { 0x5941, "" },
//  { 0x5942, "" },
    { 0x5943, "c130_detonation" },
//  { 0x5944, "" },
    { 0x5945, "player_basement_check" },
//  { 0x5946, "" },
    { 0x5947, "make_me_ac130_target" },
//  { 0x5948, "" },
//  { 0x5949, "" },
//  { 0x594A, "" },
//  { 0x594B, "" },
    { 0x594C, "make_my_riders_c130_targets" },
    { 0x594D, "spawn_attack_hinds" },
//  { 0x594E, "" },
    { 0x594F, "hind_attack_player" },
//  { 0x5950, "" },
//  { 0x5951, "" },
    { 0x5952, "minigun" },
//  { 0x5953, "" },
//  { 0x5954, "" },
    { 0x5955, "hind_attach_turret" },
//  { 0x5956, "" },
//  { 0x5957, "" },
//  { 0x5958, "" },
//  { 0x5959, "" },
    { 0x595A, "client_fade_out_in_on_flag" },
    { 0x595B, "print3d_on_me" },
    { 0x595C, "random_chance" },
//  { 0x595D, "" },
    { 0x595E, "override_array_call" },
    { 0x595F, "override_is_in_array" },
//  { 0x5960, "" },
//  { 0x5961, "" },
    { 0x5962, "override_delaythread_internal" },
//  { 0x5963, "" },
//  { 0x5964, "" },
//  { 0x5965, "" },
//  { 0x5966, "" },
//  { 0x5967, "" },
//  { 0x5968, "" },
//  { 0x5969, "" },
//  { 0x596A, "" },
//  { 0x596B, "" },
//  { 0x596C, "" },
//  { 0x596D, "" },
    { 0x596E, "flag_wait_any_set_flags" },
//  { 0x596F, "" },
    { 0x5970, "flag_wait_all_set_flags" },
//  { 0x5971, "" },
//  { 0x5972, "" },
//  { 0x5973, "" },
//  { 0x5974, "" },
//  { 0x5975, "" },
//  { 0x5976, "" },
    { 0x5977, "is_struct" },
//  { 0x5978, "" },
    { 0x5979, "show_and_solid" },
    { 0x597A, "random_sign" },
//  { 0x597B, "" },
//  { 0x597C, "" },
    { 0x597D, "array_remove_keys" },
    { 0x597E, "array_remove_values" },
    { 0x597F, "array_keep_keys" },
    { 0x5980, "array_keep_values" },
    { 0x5981, "array_keep_key_values" },
//  { 0x5982, "" },
//  { 0x5983, "" },
    { 0x5984, "spawn_struct_array" },
//  { 0x5985, "" },
//  { 0x5986, "" },
//  { 0x5987, "" },
//  { 0x5988, "" },
//  { 0x5989, "" },
//  { 0x598A, "" },
//  { 0x598B, "" },
//  { 0x598C, "" },
//  { 0x598D, "" },
    { 0x598E, "lt_op" },
//  { 0x598F, "" },
//  { 0x5990, "" },
    { 0x5991, "dsq_2d_ents_gt" },
//  { 0x5992, "" },
//  { 0x5993, "" },
//  { 0x5994, "" },
//  { 0x5995, "" },
    { 0x5996, "dsq_ents_gt" },
//  { 0x5997, "" },
    { 0x5998, "delete_createfxent_fx" },
//  { 0x5999, "" },
    { 0x599A, "pip_test" },
//  { 0x599B, "" },
//  { 0x599C, "" },
//  { 0x599D, "" },
//  { 0x599E, "" },
//  { 0x599F, "" },
//  { 0x59A0, "" },
//  { 0x59A1, "" },
//  { 0x59A2, "" },
//  { 0x59A3, "" },
//  { 0x59A4, "" },
//  { 0x59A5, "" },
//  { 0x59A6, "" },
    { 0x59A7, "get_rotation_matrix33_y" },
    { 0x59A8, "get_rotation_matrix33_z" },
//  { 0x59A9, "" },
    { 0x59AA, "vector_rotate_y" },
//  { 0x59AB, "" },
    { 0x59AC, "vector_rotate" },
//  { 0x59AD, "" },
    { 0x59AE, "old_badplaceawareness" },
    { 0x59AF, "unset_badplaceawareness" },
//  { 0x59B0, "" },
//  { 0x59B1, "" },
//  { 0x59B2, "" },
//  { 0x59B3, "" },
//  { 0x59B4, "" },
//  { 0x59B5, "" },
    { 0x59B6, "reset_player_sprint_speed_scale" },
//  { 0x59B7, "" },
//  { 0x59B8, "" },
//  { 0x59B9, "" },
//  { 0x59BA, "" },
//  { 0x59BB, "" },
//  { 0x59BC, "" },
//  { 0x59BD, "" },
//  { 0x59BE, "" },
//  { 0x59BF, "" },
    { 0x59C0, "random_int_vector" },
//  { 0x59C1, "" },
//  { 0x59C2, "" },
    { 0x59C3, "get_random_x_from_array" },
//  { 0x59C4, "" },
//  { 0x59C5, "" },
    { 0x59C6, "add_unique_to_array" },
    { 0x59C7, "at_least_x_alive_array" },
    { 0x59C8, "is_alive_array" },
//  { 0x59C9, "" },
//  { 0x59CA, "" },
//  { 0x59CB, "" },
    { 0x59CC, "get_random_defined_from_array" },
//  { 0x59CD, "" },
//  { 0x59CE, "" },
//  { 0x59CF, "" },
    { 0x59D0, "get_connected_ents" },
//  { 0x59D1, "" },
//  { 0x59D2, "" },
//  { 0x59D3, "" },
//  { 0x59D4, "" },
//  { 0x59D5, "" },
//  { 0x59D6, "" },
//  { 0x59D7, "" },
//  { 0x59D8, "" },
//  { 0x59D9, "" },
//  { 0x59DA, "" },
//  { 0x59DB, "" },
//  { 0x59DC, "" },
//  { 0x59DD, "" },
    { 0x59DE, "look_at_ent_over_time" },
//  { 0x59DF, "" },
//  { 0x59E0, "" },
//  { 0x59E1, "" },
//  { 0x59E2, "" },
//  { 0x59E3, "" },
    { 0x59E4, "set_flag_ent1_in_range_of_ent2" },
//  { 0x59E5, "" },
//  { 0x59E6, "" },
//  { 0x59E7, "" },
    { 0x59E8, "set_flag_ai_in_2d_range_of_ent" },
//  { 0x59E9, "" },
//  { 0x59EA, "" },
//  { 0x59EB, "" },
//  { 0x59EC, "" },
//  { 0x59ED, "" },
//  { 0x59EE, "" },
//  { 0x59EF, "" },
    { 0x59F0, "waittill_ai_in_range_of_ent" },
//  { 0x59F1, "" },
//  { 0x59F2, "" },
//  { 0x59F3, "" },
    { 0x59F4, "waittill_ent1_in_range_of_ent2" },
    { 0x59F5, "waittill_ent1_in_range_of_ent2_timeout" },
//  { 0x59F6, "" },
    { 0x59F7, "waittill_ent_in_range_of_point" },
    { 0x59F8, "waittill_ent_in_range_of_point_timeout" },
//  { 0x59F9, "" },
    { 0x59FA, "waittill_ents_notified_set_flag_timeout" },
//  { 0x59FB, "" },
//  { 0x59FC, "" },
//  { 0x59FD, "" },
//  { 0x59FE, "" },
    { 0x59FF, "waittill_x_ents_notified" },
//  { 0x5A00, "" },
//  { 0x5A01, "" },
    { 0x5A02, "waittill_all" },
//  { 0x5A03, "" },
//  { 0x5A04, "" },
//  { 0x5A05, "" },
//  { 0x5A06, "" },
//  { 0x5A07, "" },
//  { 0x5A08, "" },
//  { 0x5A09, "" },
//  { 0x5A0A, "" },
//  { 0x5A0B, "" },
//  { 0x5A0C, "" },
//  { 0x5A0D, "" },
//  { 0x5A0E, "" },
    { 0x5A0F, "get_ent_array_with_prefix_1_to_1" },
    { 0x5A10, "get_ent_array_with_prefix_range" },
//  { 0x5A11, "" },
//  { 0x5A12, "" },
//  { 0x5A13, "" },
//  { 0x5A14, "" },
//  { 0x5A15, "" },
//  { 0x5A16, "" },
    { 0x5A17, "array_spawn_function_prefix_suffix" },
    { 0x5A18, "setanimknoball_gh" },
    { 0x5A19, "setanimknoball_player" },
//  { 0x5A1A, "" },
//  { 0x5A1B, "" },
//  { 0x5A1C, "" },
//  { 0x5A1D, "" },
//  { 0x5A1E, "" },
    { 0x5A1F, "character/character_hero_delta_sandman" },
//  { 0x5A20, "" },
//  { 0x5A21, "" },
    { 0x5A22, "character/character_delta_elite_snow_assault_aa" },
//  { 0x5A23, "" },
//  { 0x5A24, "" },
//  { 0x5A25, "" },
    { 0x5A26, "vehicle_scripts/_bm21" },
//  { 0x5A27, "" },
//  { 0x5A28, "" },
//  { 0x5A29, "" },
//  { 0x5A2A, "" },
//  { 0x5A2B, "" },
//  { 0x5A2C, "" },
//  { 0x5A2D, "" },
//  { 0x5A2E, "" },
//  { 0x5A2F, "" },
//  { 0x5A30, "" },
//  { 0x5A31, "" },
//  { 0x5A32, "" },
    { 0x5A33, "mission_secondary_dialog_play" },
    { 0x5A34, "on_spawn_set_threat_group" },
//  { 0x5A35, "" },
//  { 0x5A36, "" },
//  { 0x5A37, "" },
    { 0x5A38, "debug_ai_spawned" },
    { 0x5A39, "start_assault" },
//  { 0x5A3A, "" },
    { 0x5A3B, "assault_enc_spawn_fight" },
//  { 0x5A3C, "" },
//  { 0x5A3D, "" },
//  { 0x5A3E, "" },
    { 0x5A3F, "assault_enc_pre_breach" },
//  { 0x5A40, "" },
//  { 0x5A41, "" },
    { 0x5A42, "pre_breach_ai_count" },
//  { 0x5A43, "" },
//  { 0x5A44, "" },
//  { 0x5A45, "" },
    { 0x5A46, "min_btr_cooldown" },
//  { 0x5A47, "" },
//  { 0x5A48, "" },
//  { 0x5A49, "" },
//  { 0x5A4A, "" },
//  { 0x5A4B, "" },
//  { 0x5A4C, "" },
//  { 0x5A4D, "" },
//  { 0x5A4E, "" },
//  { 0x5A4F, "" },
//  { 0x5A50, "" },
    { 0x5A51, "fire_at_player" },
//  { 0x5A52, "" },
//  { 0x5A53, "" },
    { 0x5A54, "xmodelalias/alias_henchmen_heads" },
//  { 0x5A55, "" },
//  { 0x5A56, "" },
//  { 0x5A57, "" },
//  { 0x5A58, "" },
//  { 0x5A59, "" },
//  { 0x5A5A, "" },
    { 0x5A5B, "init_level_vars" },
//  { 0x5A5C, "" },
//  { 0x5A5D, "" },
    { 0x5A5E, "remove_entities_by_script_difficulty" },
    { 0x5A5F, "precache_all" },
//  { 0x5A60, "" },
//  { 0x5A61, "" },
//  { 0x5A62, "" },
//  { 0x5A63, "" },
//  { 0x5A64, "" },
//  { 0x5A65, "" },
//  { 0x5A66, "" },
//  { 0x5A67, "" },
//  { 0x5A68, "" },
//  { 0x5A69, "" },
//  { 0x5A6A, "" },
//  { 0x5A6B, "" },
//  { 0x5A6C, "" },
//  { 0x5A6D, "" },
//  { 0x5A6E, "" },
//  { 0x5A6F, "" },
//  { 0x5A70, "" },
//  { 0x5A71, "" },
//  { 0x5A72, "" },
//  { 0x5A73, "" },
//  { 0x5A74, "" },
    { 0x5A75, "total_seen_time" },
//  { 0x5A76, "" },
//  { 0x5A77, "" },
//  { 0x5A78, "" },
//  { 0x5A79, "" },
//  { 0x5A7A, "" },
//  { 0x5A7B, "" },
//  { 0x5A7C, "" },
//  { 0x5A7D, "" },
    { 0x5A7E, "score_time_limit" },
//  { 0x5A7F, "" },
//  { 0x5A80, "" },
//  { 0x5A81, "" },
//  { 0x5A82, "" },
//  { 0x5A83, "" },
//  { 0x5A84, "" },
    { 0x5A85, "is_ai_calm" },
//  { 0x5A86, "" },
//  { 0x5A87, "" },
//  { 0x5A88, "" },
//  { 0x5A89, "" },
//  { 0x5A8A, "" },
//  { 0x5A8B, "" },
//  { 0x5A8C, "" },
//  { 0x5A8D, "" },
//  { 0x5A8E, "" },
//  { 0x5A8F, "" },
//  { 0x5A90, "" },
    { 0x5A91, "so_rescue_hijack_init" },
//  { 0x5A92, "" },
    { 0x5A93, "init_quotes" },
//  { 0x5A94, "" },
//  { 0x5A95, "" },
//  { 0x5A96, "" },
//  { 0x5A97, "" },
//  { 0x5A98, "" },
//  { 0x5A99, "" },
//  { 0x5A9A, "" },
//  { 0x5A9B, "" },
//  { 0x5A9C, "" },
    { 0x5A9D, "get_last_known_player_position" },
//  { 0x5A9E, "" },
//  { 0x5A9F, "" },
//  { 0x5AA0, "" },
//  { 0x5AA1, "" },
//  { 0x5AA2, "" },
    { 0x5AA3, "start_so_rescue_hijack" },
//  { 0x5AA4, "" },
//  { 0x5AA5, "" },
//  { 0x5AA6, "" },
//  { 0x5AA7, "" },
//  { 0x5AA8, "" },
//  { 0x5AA9, "" },
//  { 0x5AAA, "" },
    { 0x5AAB, "update_reinforcement_spawners" },
//  { 0x5AAC, "" },
//  { 0x5AAD, "" },
    { 0x5AAE, "update_alena_marker_pos" },
    { 0x5AAF, "hostage" },
//  { 0x5AB0, "" },
//  { 0x5AB1, "" },
    { 0x5AB2, "enable_player_weapons" },
//  { 0x5AB3, "" },
//  { 0x5AB4, "" },
//  { 0x5AB5, "" },
//  { 0x5AB6, "" },
//  { 0x5AB7, "" },
    { 0x5AB8, "heli_exit" },
    { 0x5AB9, "attack_heli_so" },
    { 0x5ABA, "helicopter_time_to_lose_player" },
    { 0x5ABB, "attack_heli_so_think" },
//  { 0x5ABC, "" },
//  { 0x5ABD, "" },
//  { 0x5ABE, "" },
//  { 0x5ABF, "" },
    { 0x5AC0, "last_known_pos" },
    { 0x5AC1, "attack_heli_exit" },
//  { 0x5AC2, "" },
//  { 0x5AC3, "" },
    { 0x5AC4, "heli_destroy_objective" },
    { 0x5AC5, "heli_watch_for_damage" },
//  { 0x5AC6, "" },
    { 0x5AC7, "heli_watch_for_crash" },
//  { 0x5AC8, "" },
//  { 0x5AC9, "" },
//  { 0x5ACA, "" },
//  { 0x5ACB, "" },
//  { 0x5ACC, "" },
//  { 0x5ACD, "" },
//  { 0x5ACE, "" },
    { 0x5ACF, "targetplayer" },
//  { 0x5AD0, "" },
    { 0x5AD1, "target_offset_angle" },
//  { 0x5AD2, "" },
//  { 0x5AD3, "" },
    { 0x5AD4, "heli_target_player" },
//  { 0x5AD5, "" },
//  { 0x5AD6, "" },
//  { 0x5AD7, "" },
//  { 0x5AD8, "" },
//  { 0x5AD9, "" },
//  { 0x5ADA, "" },
//  { 0x5ADB, "" },
//  { 0x5ADC, "" },
//  { 0x5ADD, "" },
//  { 0x5ADE, "" },
//  { 0x5ADF, "" },
//  { 0x5AE0, "" },
//  { 0x5AE1, "" },
//  { 0x5AE2, "" },
//  { 0x5AE3, "" },
//  { 0x5AE4, "" },
    { 0x5AE5, "spot_light_delay_on" },
    { 0x5AE6, "heli_broken_light_fx" },
    { 0x5AE7, "spot_light_death_so" },
//  { 0x5AE8, "" },
//  { 0x5AE9, "" },
//  { 0x5AEA, "" },
//  { 0x5AEB, "" },
//  { 0x5AEC, "" },
//  { 0x5AED, "" },
//  { 0x5AEE, "" },
//  { 0x5AEF, "" },
//  { 0x5AF0, "" },
//  { 0x5AF1, "" },
//  { 0x5AF2, "" },
    { 0x5AF3, "stealth_so_rescue_hijack_prespotted" },
//  { 0x5AF4, "" },
//  { 0x5AF5, "" },
//  { 0x5AF6, "" },
//  { 0x5AF7, "" },
//  { 0x5AF8, "" },
//  { 0x5AF9, "" },
//  { 0x5AFA, "" },
//  { 0x5AFB, "" },
//  { 0x5AFC, "" },
//  { 0x5AFD, "" },
    { 0x5AFE, "hand_flashlight_watch_for_drop" },
//  { 0x5AFF, "" },
//  { 0x5B00, "" },
    { 0x5B01, "hand_flashlight_remove" },
//  { 0x5B02, "" },
//  { 0x5B03, "" },
//  { 0x5B04, "" },
//  { 0x5B05, "" },
//  { 0x5B06, "" },
//  { 0x5B07, "" },
//  { 0x5B08, "" },
//  { 0x5B09, "" },
//  { 0x5B0A, "" },
    { 0x5B0B, "disable_shooting" },
//  { 0x5B0C, "" },
//  { 0x5B0D, "" },
    { 0x5B0E, "terrorist" },
//  { 0x5B0F, "" },
//  { 0x5B10, "" },
    { 0x5B11, "dog_ignore_all" },
//  { 0x5B12, "" },
    { 0x5B13, "human_shield_end" },
//  { 0x5B14, "" },
//  { 0x5B15, "" },
//  { 0x5B16, "" },
//  { 0x5B17, "" },
//  { 0x5B18, "" },
//  { 0x5B19, "" },
//  { 0x5B1A, "" },
//  { 0x5B1B, "" },
    { 0x5B1C, "human_shield_fail_timer" },
//  { 0x5B1D, "" },
    { 0x5B1E, "waittill_flag_or_timeout" },
//  { 0x5B1F, "" },
//  { 0x5B20, "" },
//  { 0x5B21, "" },
//  { 0x5B22, "" },
    { 0x5B23, "setallplayersnormal" },
//  { 0x5B24, "" },
//  { 0x5B25, "" },
//  { 0x5B26, "" },
    { 0x5B27, "hostage_human_shield_play_death_anim" },
//  { 0x5B28, "" },
//  { 0x5B29, "" },
//  { 0x5B2A, "" },
    { 0x5B2B, "human_shield_hostage_pain_monitor" },
//  { 0x5B2C, "" },
//  { 0x5B2D, "" },
//  { 0x5B2E, "" },
//  { 0x5B2F, "" },
    { 0x5B30, "spawn_first_hostage" },
//  { 0x5B31, "" },
    { 0x5B32, "spawn_second_hostage" },
//  { 0x5B33, "" },
//  { 0x5B34, "" },
//  { 0x5B35, "" },
//  { 0x5B36, "" },
//  { 0x5B37, "" },
//  { 0x5B38, "" },
//  { 0x5B39, "" },
//  { 0x5B3A, "" },
//  { 0x5B3B, "" },
    { 0x5B3C, "executor_anim_node" },
//  { 0x5B3D, "" },
//  { 0x5B3E, "" },
    { 0x5B3F, "executor_init" },
//  { 0x5B40, "" },
//  { 0x5B41, "" },
//  { 0x5B42, "" },
//  { 0x5B43, "" },
//  { 0x5B44, "" },
//  { 0x5B45, "" },
//  { 0x5B46, "" },
//  { 0x5B47, "" },
//  { 0x5B48, "" },
    { 0x5B49, "is_in_any_players_fov" },
//  { 0x5B4A, "" },
//  { 0x5B4B, "" },
//  { 0x5B4C, "" },
//  { 0x5B4D, "" },
    { 0x5B4E, "hostage_drop_to_knees" },
//  { 0x5B4F, "" },
//  { 0x5B50, "" },
    { 0x5B51, "disable_stealth_events" },
//  { 0x5B52, "" },
//  { 0x5B53, "" },
//  { 0x5B54, "" },
//  { 0x5B55, "" },
//  { 0x5B56, "" },
//  { 0x5B57, "" },
    { 0x5B58, "character/character_russian_military_rpg_a_a" },
//  { 0x5B59, "" },
//  { 0x5B5A, "" },
//  { 0x5B5B, "" },
    { 0x5B5C, "character/character_delta_urban_assault_b" },
//  { 0x5B5D, "" },
//  { 0x5B5E, "" },
//  { 0x5B5F, "" },
//  { 0x5B60, "" },
//  { 0x5B61, "" },
//  { 0x5B62, "" },
//  { 0x5B63, "" },
//  { 0x5B64, "" },
//  { 0x5B65, "" },
//  { 0x5B66, "" },
//  { 0x5B67, "" },
    { 0x5B68, "opened_width" },
    { 0x5B69, "closed_height" },
//  { 0x5B6A, "" },
//  { 0x5B6B, "" },
//  { 0x5B6C, "" },
//  { 0x5B6D, "" },
//  { 0x5B6E, "" },
//  { 0x5B6F, "" },
//  { 0x5B70, "" },
//  { 0x5B71, "" },
    { 0x5B72, "pip_display_timer" },
    { 0x5B73, "pip_timer" },
//  { 0x5B74, "" },
//  { 0x5B75, "" },
//  { 0x5B76, "" },
//  { 0x5B77, "" },
//  { 0x5B78, "" },
//  { 0x5B79, "" },
    { 0x5B7A, "pip_border" },
//  { 0x5B7B, "" },
//  { 0x5B7C, "" },
//  { 0x5B7D, "" },
//  { 0x5B7E, "" },
//  { 0x5B7F, "" },
//  { 0x5B80, "" },
//  { 0x5B81, "" },
    { 0x5B82, "ac130_pip_close" },
    { 0x5B83, "linked_ent" },
//  { 0x5B84, "" },
//  { 0x5B85, "" },
//  { 0x5B86, "" },
//  { 0x5B87, "" },
    { 0x5B88, "insidejavelinreticlelocked" },
//  { 0x5B89, "" },
//  { 0x5B8A, "" },
//  { 0x5B8B, "" },
//  { 0x5B8C, "" },
//  { 0x5B8D, "" },
//  { 0x5B8E, "" },
//  { 0x5B8F, "" },
//  { 0x5B90, "" },
//  { 0x5B91, "" },
    { 0x5B92, "dshk_player_anims" },
//  { 0x5B93, "" },
//  { 0x5B94, "" },
//  { 0x5B95, "" },
    { 0x5B96, "custom_mount_hint_return_when_mounted" },
//  { 0x5B97, "" },
//  { 0x5B98, "" },
//  { 0x5B99, "" },
//  { 0x5B9A, "" },
//  { 0x5B9B, "" },
//  { 0x5B9C, "" },
    { 0x5B9D, "cleanup_on_death" },
    { 0x5B9E, "dshk_shells" },
    { 0x5B9F, "intro_fx" },
//  { 0x5BA0, "" },
//  { 0x5BA1, "" },
    { 0x5BA2, "new_intro_ambient_jets" },
//  { 0x5BA3, "" },
//  { 0x5BA4, "" },
    { 0x5BA5, "makarov_number_2" },
//  { 0x5BA6, "" },
//  { 0x5BA7, "" },
    { 0x5BA8, "delete_me_on_flag" },
//  { 0x5BA9, "" },
    { 0x5BAA, "intro_osprey_fx" },
//  { 0x5BAB, "" },
//  { 0x5BAC, "" },
//  { 0x5BAD, "" },
//  { 0x5BAE, "" },
//  { 0x5BAF, "" },
//  { 0x5BB0, "" },
//  { 0x5BB1, "" },
//  { 0x5BB2, "" },
//  { 0x5BB3, "" },
//  { 0x5BB4, "" },
//  { 0x5BB5, "" },
//  { 0x5BB6, "" },
//  { 0x5BB7, "" },
//  { 0x5BB8, "" },
//  { 0x5BB9, "" },
//  { 0x5BBA, "" },
//  { 0x5BBB, "" },
//  { 0x5BBC, "" },
//  { 0x5BBD, "" },
//  { 0x5BBE, "" },
//  { 0x5BBF, "" },
//  { 0x5BC0, "" },
    { 0x5BC1, "rpg_at_osprey" },
//  { 0x5BC2, "" },
//  { 0x5BC3, "" },
//  { 0x5BC4, "" },
//  { 0x5BC5, "" },
    { 0x5BC6, "notetrack_osprey_engine_smoke" },
//  { 0x5BC7, "" },
    { 0x5BC8, "intro_enemies" },
    { 0x5BC9, "intro_enemy_logic" },
//  { 0x5BCA, "" },
    { 0x5BCB, "chase_main_vehicle" },
    { 0x5BCC, "chase_second_vehicle" },
//  { 0x5BCD, "" },
    { 0x5BCE, "thermal_on_ents" },
    { 0x5BCF, "thermal_on_til_destroyed" },
//  { 0x5BD0, "" },
//  { 0x5BD1, "" },
//  { 0x5BD2, "" },
//  { 0x5BD3, "" },
//  { 0x5BD4, "" },
//  { 0x5BD5, "" },
//  { 0x5BD6, "" },
//  { 0x5BD7, "" },
//  { 0x5BD8, "" },
    { 0x5BD9, "c130_tank_dialogue" },
    { 0x5BDA, "sandman_moveup_line" },
    { 0x5BDB, "moveup_lines" },
    { 0x5BDC, "used_moveup_lines" },
//  { 0x5BDD, "" },
//  { 0x5BDE, "" },
//  { 0x5BDF, "" },
//  { 0x5BE0, "" },
//  { 0x5BE1, "" },
//  { 0x5BE2, "" },
//  { 0x5BE3, "" },
//  { 0x5BE4, "" },
//  { 0x5BE5, "" },
//  { 0x5BE6, "" },
//  { 0x5BE7, "" },
//  { 0x5BE8, "" },
//  { 0x5BE9, "" },
//  { 0x5BEA, "" },
//  { 0x5BEB, "" },
//  { 0x5BEC, "" },
//  { 0x5BED, "" },
//  { 0x5BEE, "" },
//  { 0x5BEF, "" },
//  { 0x5BF0, "" },
//  { 0x5BF1, "" },
//  { 0x5BF2, "" },
//  { 0x5BF3, "" },
//  { 0x5BF4, "" },
    { 0x5BF5, "maps/_javelin" },
//  { 0x5BF6, "" },
//  { 0x5BF7, "" },
    { 0x5BF8, "current_retreat_pos" },
//  { 0x5BF9, "" },
    { 0x5BFA, "area3_guys_logic" },
//  { 0x5BFB, "" },
//  { 0x5BFC, "" },
//  { 0x5BFD, "" },
//  { 0x5BFE, "" },
//  { 0x5BFF, "" },
//  { 0x5C00, "" },
//  { 0x5C01, "" },
//  { 0x5C02, "" },
    { 0x5C03, "current_player_loadout" },
//  { 0x5C04, "" },
//  { 0x5C05, "" },
//  { 0x5C06, "" },
//  { 0x5C07, "" },
//  { 0x5C08, "" },
    { 0x5C09, "final_bridge_vehicles" },
    { 0x5C0A, "final_bridge_vehicle_logic" },
//  { 0x5C0B, "" },
//  { 0x5C0C, "" },
//  { 0x5C0D, "" },
    { 0x5C0E, "c130_attack_logic" },
//  { 0x5C0F, "" },
//  { 0x5C10, "" },
    { 0x5C11, "defend_btr" },
//  { 0x5C12, "" },
    { 0x5C13, "chopper_crash_cowbell" },
//  { 0x5C14, "" },
//  { 0x5C15, "" },
//  { 0x5C16, "" },
//  { 0x5C17, "" },
//  { 0x5C18, "" },
//  { 0x5C19, "" },
//  { 0x5C1A, "" },
//  { 0x5C1B, "" },
//  { 0x5C1C, "" },
//  { 0x5C1D, "" },
//  { 0x5C1E, "" },
//  { 0x5C1F, "" },
    { 0x5C20, "vehicle_god_until_flag" },
//  { 0x5C21, "" },
//  { 0x5C22, "" },
    { 0x5C23, "hint_not_using_25" },
//  { 0x5C24, "" },
//  { 0x5C25, "" },
    { 0x5C26, "yellow_building_shoot_detection" },
    { 0x5C27, "yellow_building_destruction" },
//  { 0x5C28, "" },
    { 0x5C29, "hvt_slam_zoom" },
//  { 0x5C2A, "" },
//  { 0x5C2B, "" },
//  { 0x5C2C, "" },
//  { 0x5C2D, "" },
//  { 0x5C2E, "" },
//  { 0x5C2F, "" },
//  { 0x5C30, "" },
//  { 0x5C31, "" },
//  { 0x5C32, "" },
    { 0x5C33, "bridge_tank_shoot_until_slamzoom" },
//  { 0x5C34, "" },
    { 0x5C35, "player_close_to_tanks" },
//  { 0x5C36, "" },
//  { 0x5C37, "" },
    { 0x5C38, "make_me_javelin_target" },
//  { 0x5C39, "" },
//  { 0x5C3A, "" },
//  { 0x5C3B, "" },
    { 0x5C3C, "c130_inform_player_attacking" },
//  { 0x5C3D, "" },
//  { 0x5C3E, "" },
    { 0x5C3F, "fade_in_on_flag" },
    { 0x5C40, "attack_choppers" },
//  { 0x5C41, "" },
//  { 0x5C42, "" },
    { 0x5C43, "crash_chopper_assets" },
//  { 0x5C44, "" },
//  { 0x5C45, "" },
//  { 0x5C46, "" },
//  { 0x5C47, "" },
    { 0x5C48, "epic_jets_timing" },
    { 0x5C49, "jet1" },
//  { 0x5C4A, "" },
//  { 0x5C4B, "" },
//  { 0x5C4C, "" },
//  { 0x5C4D, "" },
//  { 0x5C4E, "" },
//  { 0x5C4F, "" },
//  { 0x5C50, "" },
//  { 0x5C51, "" },
//  { 0x5C52, "" },
//  { 0x5C53, "" },
//  { 0x5C54, "" },
//  { 0x5C55, "" },
//  { 0x5C56, "" },
//  { 0x5C57, "" },
//  { 0x5C58, "" },
//  { 0x5C59, "" },
//  { 0x5C5A, "" },
//  { 0x5C5B, "" },
//  { 0x5C5C, "" },
//  { 0x5C5D, "" },
//  { 0x5C5E, "" },
//  { 0x5C5F, "" },
//  { 0x5C60, "" },
//  { 0x5C61, "" },
    { 0x5C62, "play_tower_stress_fx" },
//  { 0x5C63, "" },
//  { 0x5C64, "" },
//  { 0x5C65, "" },
//  { 0x5C66, "" },
//  { 0x5C67, "" },
//  { 0x5C68, "" },
//  { 0x5C69, "" },
//  { 0x5C6A, "" },
//  { 0x5C6B, "" },
    { 0x5C6C, "aa_fire" },
//  { 0x5C6D, "" },
//  { 0x5C6E, "" },
//  { 0x5C6F, "" },
//  { 0x5C70, "" },
//  { 0x5C71, "" },
//  { 0x5C72, "" },
//  { 0x5C73, "" },
//  { 0x5C74, "" },
//  { 0x5C75, "" },
//  { 0x5C76, "" },
//  { 0x5C77, "" },
//  { 0x5C78, "" },
//  { 0x5C79, "" },
//  { 0x5C7A, "" },
//  { 0x5C7B, "" },
//  { 0x5C7C, "" },
//  { 0x5C7D, "" },
//  { 0x5C7E, "" },
//  { 0x5C7F, "" },
//  { 0x5C80, "" },
//  { 0x5C81, "" },
//  { 0x5C82, "" },
//  { 0x5C83, "" },
//  { 0x5C84, "" },
//  { 0x5C85, "" },
//  { 0x5C86, "" },
    { 0x5C87, "hvt_did_player_go_to_bedroom" },
//  { 0x5C88, "" },
//  { 0x5C89, "" },
//  { 0x5C8A, "" },
    { 0x5C8B, "rpg_roof_guy_logic" },
//  { 0x5C8C, "" },
    { 0x5C8D, "tank_guys_logic" },
    { 0x5C8E, "main_courtyard_guys_retreat_logic" },
//  { 0x5C8F, "" },
//  { 0x5C90, "" },
//  { 0x5C91, "" },
    { 0x5C92, "turret_tracer_increase" },
//  { 0x5C93, "" },
//  { 0x5C94, "" },
//  { 0x5C95, "" },
//  { 0x5C96, "" },
//  { 0x5C97, "" },
    { 0x5C98, "hvt_turret_barrel" },
    { 0x5C99, "launch_me" },
    { 0x5C9A, "hvy_street_threat_bias" },
    { 0x5C9B, "hvt_player_turret_threat_bias" },
//  { 0x5C9C, "" },
//  { 0x5C9D, "" },
    { 0x5C9E, "hvt_dialogue" },
//  { 0x5C9F, "" },
//  { 0x5CA0, "" },
//  { 0x5CA1, "" },
//  { 0x5CA2, "" },
//  { 0x5CA3, "" },
//  { 0x5CA4, "" },
//  { 0x5CA5, "" },
//  { 0x5CA6, "" },
//  { 0x5CA7, "" },
//  { 0x5CA8, "" },
//  { 0x5CA9, "" },
//  { 0x5CAA, "" },
//  { 0x5CAB, "" },
//  { 0x5CAC, "" },
//  { 0x5CAD, "" },
//  { 0x5CAE, "" },
    { 0x5CAF, "encounter_special_enemies" },
//  { 0x5CB0, "" },
//  { 0x5CB1, "" },
//  { 0x5CB2, "" },
//  { 0x5CB3, "" },
//  { 0x5CB4, "" },
//  { 0x5CB5, "" },
    { 0x5CB6, "mission_fail_points" },
//  { 0x5CB7, "" },
//  { 0x5CB8, "" },
//  { 0x5CB9, "" },
//  { 0x5CBA, "" },
//  { 0x5CBB, "" },
//  { 0x5CBC, "" },
    { 0x5CBD, "sandman_fps_pip" },
    { 0x5CBE, "sandman_shoulder_pip" },
//  { 0x5CBF, "" },
//  { 0x5CC0, "" },
    { 0x5CC1, "hitman_fps_pip" },
    { 0x5CC2, "hitman_shoulder_pip" },
//  { 0x5CC3, "" },
//  { 0x5CC4, "" },
//  { 0x5CC5, "" },
    { 0x5CC6, "bishop_shoulder_pip" },
//  { 0x5CC7, "" },
//  { 0x5CC8, "" },
    { 0x5CC9, "player_hit_building" },
//  { 0x5CCA, "" },
    { 0x5CCB, "city_area_current_battle_line" },
//  { 0x5CCC, "" },
//  { 0x5CCD, "" },
//  { 0x5CCE, "" },
//  { 0x5CCF, "" },
//  { 0x5CD0, "" },
    { 0x5CD1, "end_timed_mission_failed" },
    { 0x5CD2, "reset_deltas_health" },
//  { 0x5CD3, "" },
//  { 0x5CD4, "" },
//  { 0x5CD5, "" },
//  { 0x5CD6, "" },
//  { 0x5CD7, "" },
//  { 0x5CD8, "" },
//  { 0x5CD9, "" },
//  { 0x5CDA, "" },
    { 0x5CDB, "monitor_encounter_enemies_percent" },
//  { 0x5CDC, "" },
//  { 0x5CDD, "" },
//  { 0x5CDE, "" },
    { 0x5CDF, "kill_encounter_enemies" },
//  { 0x5CE0, "" },
//  { 0x5CE1, "" },
//  { 0x5CE2, "" },
//  { 0x5CE3, "" },
//  { 0x5CE4, "" },
//  { 0x5CE5, "" },
    { 0x5CE6, "monitor_encounter_primary_enemy_on_death" },
//  { 0x5CE7, "" },
//  { 0x5CE8, "" },
    { 0x5CE9, "monitor_encounter_special_enemies_all" },
//  { 0x5CEA, "" },
//  { 0x5CEB, "" },
//  { 0x5CEC, "" },
//  { 0x5CED, "" },
    { 0x5CEE, "monitor_encounter_special_ai_on_death" },
//  { 0x5CEF, "" },
    { 0x5CF0, "burst_infinite_spawn_ai" },
    { 0x5CF1, "burst_spawn_ai_callback" },
    { 0x5CF2, "street_enemy_spawner" },
//  { 0x5CF3, "" },
//  { 0x5CF4, "" },
//  { 0x5CF5, "" },
    { 0x5CF6, "target_point" },
//  { 0x5CF7, "" },
//  { 0x5CF8, "" },
//  { 0x5CF9, "" },
//  { 0x5CFA, "" },
    { 0x5CFB, "building_trigger_reminder" },
    { 0x5CFC, "building_trigger_mission_failed" },
//  { 0x5CFD, "" },
//  { 0x5CFE, "" },
    { 0x5CFF, "monitor_ai_mission_fail_points" },
//  { 0x5D00, "" },
//  { 0x5D01, "" },
//  { 0x5D02, "" },
//  { 0x5D03, "" },
//  { 0x5D04, "" },
//  { 0x5D05, "" },
//  { 0x5D06, "" },
//  { 0x5D07, "" },
//  { 0x5D08, "" },
//  { 0x5D09, "" },
//  { 0x5D0A, "" },
//  { 0x5D0B, "" },
    { 0x5D0C, "ac130_angel_flare_jets_shooting" },
//  { 0x5D0D, "" },
//  { 0x5D0E, "" },
//  { 0x5D0F, "" },
//  { 0x5D10, "" },
//  { 0x5D11, "" },
//  { 0x5D12, "" },
//  { 0x5D13, "" },
//  { 0x5D14, "" },
    { 0x5D15, "friendly_m1a1_init" },
//  { 0x5D16, "" },
//  { 0x5D17, "" },
    { 0x5D18, "friendly_m1a1_canon_randomly_shoot_on_notify" },
//  { 0x5D19, "" },
    { 0x5D1A, "friendly_m1a1_end_randomly_shoot_canon" },
//  { 0x5D1B, "" },
//  { 0x5D1C, "" },
//  { 0x5D1D, "" },
//  { 0x5D1E, "" },
//  { 0x5D1F, "" },
//  { 0x5D20, "" },
//  { 0x5D21, "" },
//  { 0x5D22, "" },
    { 0x5D23, "friendly_hummer_mission_failed" },
//  { 0x5D24, "" },
    { 0x5D25, "friendly_hummer_fire_mg" },
//  { 0x5D26, "" },
//  { 0x5D27, "" },
//  { 0x5D28, "" },
    { 0x5D29, "friendly_hummer_jolt" },
    { 0x5D2A, "friendly_f15_init" },
//  { 0x5D2B, "" },
    { 0x5D2C, "f15_current_node" },
//  { 0x5D2D, "" },
//  { 0x5D2E, "" },
    { 0x5D2F, "friendly_f15_init_fake" },
//  { 0x5D30, "" },
//  { 0x5D31, "" },
    { 0x5D32, "friendly_f15_shoot_mg_until_target_dead" },
//  { 0x5D33, "" },
//  { 0x5D34, "" },
//  { 0x5D35, "" },
//  { 0x5D36, "" },
    { 0x5D37, "friendly_f15_sonic_boom" },
//  { 0x5D38, "" },
//  { 0x5D39, "" },
    { 0x5D3A, "friendly_f15_delete_on_path_end" },
//  { 0x5D3B, "" },
//  { 0x5D3C, "" },
//  { 0x5D3D, "" },
//  { 0x5D3E, "" },
//  { 0x5D3F, "" },
//  { 0x5D40, "" },
//  { 0x5D41, "" },
//  { 0x5D42, "" },
//  { 0x5D43, "" },
//  { 0x5D44, "" },
//  { 0x5D45, "" },
//  { 0x5D46, "" },
//  { 0x5D47, "" },
//  { 0x5D48, "" },
    { 0x5D49, "enemy_truck_a_on_damage" },
    { 0x5D4A, "enemy_maz_a_drive" },
//  { 0x5D4B, "" },
//  { 0x5D4C, "" },
//  { 0x5D4D, "" },
    { 0x5D4E, "enemy_btr_on_damage" },
    { 0x5D4F, "enemy_btr_monitor_ac130_fire" },
//  { 0x5D50, "" },
    { 0x5D51, "enemy_btr_load_passengers_alt" },
//  { 0x5D52, "" },
//  { 0x5D53, "" },
    { 0x5D54, "enemy_btr_set_passenger_callbacks_on_unload" },
//  { 0x5D55, "" },
//  { 0x5D56, "" },
//  { 0x5D57, "" },
//  { 0x5D58, "" },
//  { 0x5D59, "" },
//  { 0x5D5A, "" },
//  { 0x5D5B, "" },
    { 0x5D5C, "enemy_t72_shell_on_death" },
    { 0x5D5D, "enemy_t72_randomly_look_ahead" },
//  { 0x5D5E, "" },
//  { 0x5D5F, "" },
//  { 0x5D60, "" },
//  { 0x5D61, "" },
//  { 0x5D62, "" },
//  { 0x5D63, "" },
//  { 0x5D64, "" },
//  { 0x5D65, "" },
    { 0x5D66, "mi17_attached_helis" },
//  { 0x5D67, "" },
    { 0x5D68, "enemy_mi17_on_damage" },
//  { 0x5D69, "" },
//  { 0x5D6A, "" },
//  { 0x5D6B, "" },
//  { 0x5D6C, "" },
//  { 0x5D6D, "" },
//  { 0x5D6E, "" },
//  { 0x5D6F, "" },
//  { 0x5D70, "" },
//  { 0x5D71, "" },
//  { 0x5D72, "" },
//  { 0x5D73, "" },
//  { 0x5D74, "" },
    { 0x5D75, "script_node_occupied" },
    { 0x5D76, "enemy_mi17_gopath_and_die" },
    { 0x5D77, "enemy_mi17_delete_on_path_end" },
//  { 0x5D78, "" },
//  { 0x5D79, "" },
//  { 0x5D7A, "" },
//  { 0x5D7B, "" },
//  { 0x5D7C, "" },
//  { 0x5D7D, "" },
//  { 0x5D7E, "" },
//  { 0x5D7F, "" },
//  { 0x5D80, "" },
//  { 0x5D81, "" },
//  { 0x5D82, "" },
//  { 0x5D83, "" },
//  { 0x5D84, "" },
//  { 0x5D85, "" },
//  { 0x5D86, "" },
//  { 0x5D87, "" },
//  { 0x5D88, "" },
//  { 0x5D89, "" },
    { 0x5D8A, "enemy_bm21_init" },
    { 0x5D8B, "enemy_bm21_on_damage" },
//  { 0x5D8C, "" },
//  { 0x5D8D, "" },
//  { 0x5D8E, "" },
//  { 0x5D8F, "" },
    { 0x5D90, "enemy_bm21_unload" },
//  { 0x5D91, "" },
//  { 0x5D92, "" },
//  { 0x5D93, "" },
    { 0x5D94, "enemy_bm21_last_crash_path" },
//  { 0x5D95, "" },
//  { 0x5D96, "" },
    { 0x5D97, "hind_path" },
//  { 0x5D98, "" },
//  { 0x5D99, "" },
    { 0x5D9A, "enemy_hind_monitor_ac130_instant_death" },
//  { 0x5D9B, "" },
//  { 0x5D9C, "" },
//  { 0x5D9D, "" },
//  { 0x5D9E, "" },
//  { 0x5D9F, "" },
//  { 0x5DA0, "" },
//  { 0x5DA1, "" },
//  { 0x5DA2, "" },
//  { 0x5DA3, "" },
//  { 0x5DA4, "" },
    { 0x5DA5, "enemy_mig29_init_cheap" },
//  { 0x5DA6, "" },
//  { 0x5DA7, "" },
    { 0x5DA8, "enemy_mig29_fake_play_afterburner" },
    { 0x5DA9, "enemy_mig29_fake_sonic_boom" },
    { 0x5DAA, "enemy_mig29_fake_damage_and_explode" },
//  { 0x5DAB, "" },
//  { 0x5DAC, "" },
//  { 0x5DAD, "" },
//  { 0x5DAE, "" },
//  { 0x5DAF, "" },
//  { 0x5DB0, "" },
//  { 0x5DB1, "" },
    { 0x5DB2, "mig29_parent" },
//  { 0x5DB3, "" },
//  { 0x5DB4, "" },
//  { 0x5DB5, "" },
    { 0x5DB6, "script_default_goalradius" },
//  { 0x5DB7, "" },
//  { 0x5DB8, "" },
//  { 0x5DB9, "" },
//  { 0x5DBA, "" },
//  { 0x5DBB, "" },
//  { 0x5DBC, "" },
//  { 0x5DBD, "" },
    { 0x5DBE, "set_parent_ai" },
//  { 0x5DBF, "" },
//  { 0x5DC0, "" },
    { 0x5DC1, "parent_ai_node" },
//  { 0x5DC2, "" },
//  { 0x5DC3, "" },
//  { 0x5DC4, "" },
//  { 0x5DC5, "" },
//  { 0x5DC6, "" },
//  { 0x5DC7, "" },
    { 0x5DC8, "link_child_ai" },
//  { 0x5DC9, "" },
//  { 0x5DCA, "" },
    { 0x5DCB, "ai_enemy_rpg_init" },
//  { 0x5DCC, "" },
//  { 0x5DCD, "" },
    { 0x5DCE, "ai_enemy_rpg_hide_and_shoot" },
    { 0x5DCF, "ai_enemy_rpg_stand_loop" },
//  { 0x5DD0, "" },
//  { 0x5DD1, "" },
//  { 0x5DD2, "" },
    { 0x5DD3, "ai_enemy_rpg_drone_on_damage" },
//  { 0x5DD4, "" },
//  { 0x5DD5, "" },
//  { 0x5DD6, "" },
//  { 0x5DD7, "" },
//  { 0x5DD8, "" },
//  { 0x5DD9, "" },
//  { 0x5DDA, "" },
//  { 0x5DDB, "" },
//  { 0x5DDC, "" },
    { 0x5DDD, "ai_enemy_roundabout_on_damage" },
//  { 0x5DDE, "" },
//  { 0x5DDF, "" },
//  { 0x5DE0, "" },
    { 0x5DE1, "ai_enemy_street_patrol_monitor_battle_line" },
//  { 0x5DE2, "" },
//  { 0x5DE3, "" },
//  { 0x5DE4, "" },
    { 0x5DE5, "ai_enemy_street_flanking_init" },
    { 0x5DE6, "ai_enemy_street_flanking_on_damage" },
//  { 0x5DE7, "" },
//  { 0x5DE8, "" },
//  { 0x5DE9, "" },
//  { 0x5DEA, "" },
//  { 0x5DEB, "" },
//  { 0x5DEC, "" },
    { 0x5DED, "ai_set_goal_on_notify" },
    { 0x5DEE, "ai_ignoreall" },
//  { 0x5DEF, "" },
//  { 0x5DF0, "" },
    { 0x5DF1, "opentop_anims" },
//  { 0x5DF2, "" },
    { 0x5DF3, "set_turret_animtree" },
//  { 0x5DF4, "" },
//  { 0x5DF5, "" },
//  { 0x5DF6, "" },
//  { 0x5DF7, "" },
//  { 0x5DF8, "" },
//  { 0x5DF9, "" },
    { 0x5DFA, "common_scripts/_destructible_types_anim_prop_radar_maz" },
    { 0x5DFB, "scripted_anims" },
    { 0x5DFC, "open_area_vehicle_objects" },
    { 0x5DFD, "open_area_script_objects" },
    { 0x5DFE, "angel_flare_rig_anims" },
//  { 0x5DFF, "" },
//  { 0x5E00, "" },
    { 0x5E01, "plane_body_scrape_stop" },
//  { 0x5E02, "" },
//  { 0x5E03, "" },
    { 0x5E04, "level_manager" },
    { 0x5E05, "catch_up_manager" },
//  { 0x5E06, "" },
//  { 0x5E07, "" },
//  { 0x5E08, "" },
//  { 0x5E09, "" },
//  { 0x5E0A, "" },
    { 0x5E0B, "level_thermal_objects" },
    { 0x5E0C, "level_death_fx" },
    { 0x5E0D, "delta_spawn_at_fast_point" },
    { 0x5E0E, "setup_sandman_pip" },
//  { 0x5E0F, "" },
//  { 0x5E10, "" },
//  { 0x5E11, "" },
//  { 0x5E12, "" },
    { 0x5E13, "init_building_triggers" },
//  { 0x5E14, "" },
//  { 0x5E15, "" },
//  { 0x5E16, "" },
//  { 0x5E17, "" },
    { 0x5E18, "catch_up_ac130" },
//  { 0x5E19, "" },
//  { 0x5E1A, "" },
//  { 0x5E1B, "" },
//  { 0x5E1C, "" },
//  { 0x5E1D, "" },
//  { 0x5E1E, "" },
//  { 0x5E1F, "" },
//  { 0x5E20, "" },
    { 0x5E21, "ac130_minimap" },
//  { 0x5E22, "" },
//  { 0x5E23, "" },
//  { 0x5E24, "" },
//  { 0x5E25, "" },
//  { 0x5E26, "" },
//  { 0x5E27, "" },
    { 0x5E28, "ambient_aa_fire_short" },
//  { 0x5E29, "" },
//  { 0x5E2A, "" },
//  { 0x5E2B, "" },
//  { 0x5E2C, "" },
//  { 0x5E2D, "" },
//  { 0x5E2E, "" },
//  { 0x5E2F, "" },
//  { 0x5E30, "" },
    { 0x5E31, "fdr_osprey_setup" },
//  { 0x5E32, "" },
    { 0x5E33, "fdr_delta_mark" },
//  { 0x5E34, "" },
//  { 0x5E35, "" },
//  { 0x5E36, "" },
    { 0x5E37, "fdr_btrs" },
//  { 0x5E38, "" },
//  { 0x5E39, "" },
//  { 0x5E3A, "" },
    { 0x5E3B, "fdr_carpet_bomb_timeout" },
//  { 0x5E3C, "" },
    { 0x5E3D, "used_spots" },
//  { 0x5E3E, "" },
//  { 0x5E3F, "" },
    { 0x5E40, "fdr_bm21s" },
//  { 0x5E41, "" },
    { 0x5E42, "fdr_enemies" },
//  { 0x5E43, "" },
//  { 0x5E44, "" },
//  { 0x5E45, "" },
//  { 0x5E46, "" },
//  { 0x5E47, "" },
//  { 0x5E48, "" },
//  { 0x5E49, "" },
    { 0x5E4A, "street_enemy_spawners" },
//  { 0x5E4B, "" },
    { 0x5E4C, "start_street" },
//  { 0x5E4D, "" },
    { 0x5E4E, "street_ma_1_delta_move_down" },
//  { 0x5E4F, "" },
//  { 0x5E50, "" },
//  { 0x5E51, "" },
//  { 0x5E52, "" },
    { 0x5E53, "street_ma_1_enemies_monitor" },
//  { 0x5E54, "" },
//  { 0x5E55, "" },
//  { 0x5E56, "" },
//  { 0x5E57, "" },
//  { 0x5E58, "" },
//  { 0x5E59, "" },
//  { 0x5E5A, "" },
//  { 0x5E5B, "" },
//  { 0x5E5C, "" },
//  { 0x5E5D, "" },
    { 0x5E5E, "street_ma_2_encounter" },
//  { 0x5E5F, "" },
    { 0x5E60, "street_ma_2_enemies_monitor" },
//  { 0x5E61, "" },
//  { 0x5E62, "" },
    { 0x5E63, "street_ma_3_delta_move_down" },
//  { 0x5E64, "" },
//  { 0x5E65, "" },
//  { 0x5E66, "" },
//  { 0x5E67, "" },
    { 0x5E68, "street_ma_3_enemies_monitor" },
//  { 0x5E69, "" },
//  { 0x5E6A, "" },
//  { 0x5E6B, "" },
//  { 0x5E6C, "" },
//  { 0x5E6D, "" },
    { 0x5E6E, "street_ma_3_mi17_2_enemies_monitor" },
//  { 0x5E6F, "" },
//  { 0x5E70, "" },
//  { 0x5E71, "" },
//  { 0x5E72, "" },
//  { 0x5E73, "" },
//  { 0x5E74, "" },
//  { 0x5E75, "" },
//  { 0x5E76, "" },
//  { 0x5E77, "" },
//  { 0x5E78, "" },
//  { 0x5E79, "" },
//  { 0x5E7A, "" },
//  { 0x5E7B, "" },
//  { 0x5E7C, "" },
//  { 0x5E7D, "" },
//  { 0x5E7E, "" },
//  { 0x5E7F, "" },
//  { 0x5E80, "" },
    { 0x5E81, "rpg_angel_flar_moment_monitor_ac130_position" },
//  { 0x5E82, "" },
    { 0x5E83, "rpg_delta_move_down" },
//  { 0x5E84, "" },
//  { 0x5E85, "" },
//  { 0x5E86, "" },
    { 0x5E87, "rpg_pip_event" },
    { 0x5E88, "rpg_building" },
//  { 0x5E89, "" },
//  { 0x5E8A, "" },
//  { 0x5E8B, "" },
    { 0x5E8C, "rpg_building_trigger_monitor" },
//  { 0x5E8D, "" },
//  { 0x5E8E, "" },
//  { 0x5E8F, "" },
//  { 0x5E90, "" },
//  { 0x5E91, "" },
//  { 0x5E92, "" },
//  { 0x5E93, "" },
//  { 0x5E94, "" },
//  { 0x5E95, "" },
    { 0x5E96, "rpg_delete_structs" },
    { 0x5E97, "catch_up_courtyard" },
    { 0x5E98, "start_courtyard" },
//  { 0x5E99, "" },
//  { 0x5E9A, "" },
    { 0x5E9B, "courtyard_cleanup_outside" },
//  { 0x5E9C, "" },
//  { 0x5E9D, "" },
    { 0x5E9E, "catch_up_chase" },
//  { 0x5E9F, "" },
//  { 0x5EA0, "" },
//  { 0x5EA1, "" },
//  { 0x5EA2, "" },
//  { 0x5EA3, "" },
//  { 0x5EA4, "" },
    { 0x5EA5, "chase_pfr_mission_failed" },
    { 0x5EA6, "chase_pfr_enemy_spawn" },
//  { 0x5EA7, "" },
//  { 0x5EA8, "" },
//  { 0x5EA9, "" },
//  { 0x5EAA, "" },
//  { 0x5EAB, "" },
//  { 0x5EAC, "" },
//  { 0x5EAD, "" },
//  { 0x5EAE, "" },
//  { 0x5EAF, "" },
//  { 0x5EB0, "" },
    { 0x5EB1, "chase_clear_fx" },
//  { 0x5EB2, "" },
//  { 0x5EB3, "" },
//  { 0x5EB4, "" },
//  { 0x5EB5, "" },
//  { 0x5EB6, "" },
//  { 0x5EB7, "" },
//  { 0x5EB8, "" },
//  { 0x5EB9, "" },
//  { 0x5EBA, "" },
//  { 0x5EBB, "" },
//  { 0x5EBC, "" },
    { 0x5EBD, "chase_rpgs" },
//  { 0x5EBE, "" },
//  { 0x5EBF, "" },
//  { 0x5EC0, "" },
    { 0x5EC1, "chase_hind_hints" },
//  { 0x5EC2, "" },
//  { 0x5EC3, "" },
//  { 0x5EC4, "" },
    { 0x5EC5, "chase_t72_mobilize_group_2" },
//  { 0x5EC6, "" },
    { 0x5EC7, "chase_mi17s" },
    { 0x5EC8, "chase_mi17_enemy_management" },
//  { 0x5EC9, "" },
//  { 0x5ECA, "" },
//  { 0x5ECB, "" },
//  { 0x5ECC, "" },
//  { 0x5ECD, "" },
//  { 0x5ECE, "" },
//  { 0x5ECF, "" },
//  { 0x5ED0, "" },
    { 0x5ED1, "land_structs_think" },
//  { 0x5ED2, "" },
    { 0x5ED3, "waittimeoruntilturretstatechange" },
//  { 0x5ED4, "" },
//  { 0x5ED5, "" },
//  { 0x5ED6, "" },
//  { 0x5ED7, "" },
//  { 0x5ED8, "" },
//  { 0x5ED9, "" },
    { 0x5EDA, "turretdoaimanims" },
//  { 0x5EDB, "" },
//  { 0x5EDC, "" },
//  { 0x5EDD, "" },
    { 0x5EDE, "character/character_hero_africa_price" },
//  { 0x5EDF, "" },
//  { 0x5EE0, "" },
//  { 0x5EE1, "" },
//  { 0x5EE2, "" },
//  { 0x5EE3, "" },
//  { 0x5EE4, "" },
    { 0x5EE5, "debug_no_sandstorm" },
//  { 0x5EE6, "" },
    { 0x5EE7, "handle_vehicle_lights" },
//  { 0x5EE8, "" },
    { 0x5EE9, "flashlight_tag" },
//  { 0x5EEA, "" },
    { 0x5EEB, "flashlight_off_guy" },
//  { 0x5EEC, "" },
//  { 0x5EED, "" },
    { 0x5EEE, "bravo_invulnerability" },
//  { 0x5EEF, "" },
    { 0x5EF0, "barracus" },
    { 0x5EF1, "hannibal" },
//  { 0x5EF2, "" },
//  { 0x5EF3, "" },
//  { 0x5EF4, "" },
//  { 0x5EF5, "" },
//  { 0x5EF6, "" },
//  { 0x5EF7, "" },
//  { 0x5EF8, "" },
//  { 0x5EF9, "" },
//  { 0x5EFA, "" },
//  { 0x5EFB, "" },
//  { 0x5EFC, "" },
//  { 0x5EFD, "" },
//  { 0x5EFE, "" },
//  { 0x5EFF, "" },
//  { 0x5F00, "" },
//  { 0x5F01, "" },
//  { 0x5F02, "" },
//  { 0x5F03, "" },
//  { 0x5F04, "" },
//  { 0x5F05, "" },
    { 0x5F06, "hide_hud_for_scripted_sequence" },
//  { 0x5F07, "" },
    { 0x5F08, "move_player_to_scriptstruct" },
//  { 0x5F09, "" },
    { 0x5F0A, "custom_spawn_funcs" },
//  { 0x5F0B, "" },
//  { 0x5F0C, "" },
    { 0x5F0D, "spawn_func_respawn_on_death_flashlights" },
//  { 0x5F0E, "" },
//  { 0x5F0F, "" },
    { 0x5F10, "spawn_func_crushplayer" },
//  { 0x5F11, "" },
//  { 0x5F12, "" },
//  { 0x5F13, "" },
//  { 0x5F14, "" },
//  { 0x5F15, "" },
//  { 0x5F16, "" },
//  { 0x5F17, "" },
//  { 0x5F18, "" },
    { 0x5F19, "chase_ignore_til_pathend_or_damage" },
//  { 0x5F1A, "" },
//  { 0x5F1B, "" },
//  { 0x5F1C, "" },
    { 0x5F1D, "spawn_func_respawn_on_death" },
//  { 0x5F1E, "" },
//  { 0x5F1F, "" },
//  { 0x5F20, "" },
//  { 0x5F21, "" },
//  { 0x5F22, "" },
//  { 0x5F23, "" },
//  { 0x5F24, "" },
    { 0x5F25, "custom_move_reset" },
//  { 0x5F26, "" },
//  { 0x5F27, "" },
//  { 0x5F28, "" },
//  { 0x5F29, "" },
    { 0x5F2A, "activate_crush_player_mode_all" },
//  { 0x5F2B, "" },
//  { 0x5F2C, "" },
//  { 0x5F2D, "" },
    { 0x5F2E, "payback_color_trigger_disable_previous" },
//  { 0x5F2F, "" },
//  { 0x5F30, "" },
//  { 0x5F31, "" },
//  { 0x5F32, "" },
    { 0x5F33, "chopper_fog_brushes" },
    { 0x5F34, "notify_on_trigger" },
//  { 0x5F35, "" },
    { 0x5F36, "explosion_ragdoll_fling" },
    { 0x5F37, "randomize_normal" },
//  { 0x5F38, "" },
//  { 0x5F39, "" },
    { 0x5F3A, "oscillate_entity_debug" },
//  { 0x5F3B, "" },
//  { 0x5F3C, "" },
    { 0x5F3D, "combat_runner_disable" },
//  { 0x5F3E, "" },
//  { 0x5F3F, "" },
//  { 0x5F40, "" },
    { 0x5F41, "dot" },
    { 0x5F42, "lesser_dot" },
//  { 0x5F43, "" },
//  { 0x5F44, "" },
//  { 0x5F45, "" },
//  { 0x5F46, "" },
//  { 0x5F47, "" },
//  { 0x5F48, "" },
    { 0x5F49, "friendly_endpoint" },
//  { 0x5F4A, "" },
    { 0x5F4B, "try_balcony_death" },
//  { 0x5F4C, "" },
//  { 0x5F4D, "" },
//  { 0x5F4E, "" },
//  { 0x5F4F, "" },
//  { 0x5F50, "" },
    { 0x5F51, "payback_waittill_combat_internal" },
//  { 0x5F52, "" },
    { 0x5F53, "play_vo_internal" },
    { 0x5F54, "raven_player_can_see_ai" },
//  { 0x5F55, "" },
//  { 0x5F56, "" },
//  { 0x5F57, "" },
    { 0x5F58, "tv_sound_name" },
//  { 0x5F59, "" },
//  { 0x5F5A, "" },
//  { 0x5F5B, "" },
//  { 0x5F5C, "" },
//  { 0x5F5D, "" },
//  { 0x5F5E, "" },
//  { 0x5F5F, "" },
//  { 0x5F60, "" },
//  { 0x5F61, "" },
    { 0x5F62, "setup_sandstorm_replacement_fx" },
//  { 0x5F63, "" },
    { 0x5F64, "start_s3_rescue" },
//  { 0x5F65, "" },
    { 0x5F66, "moroccan_lamp_thread" },
    { 0x5F67, "lighten_sandstorm" },
//  { 0x5F68, "" },
//  { 0x5F69, "" },
    { 0x5F6A, "rescue_init" },
//  { 0x5F6B, "" },
//  { 0x5F6C, "" },
    { 0x5F6D, "minimap_change_watcher" },
    { 0x5F6E, "rescue_begin" },
//  { 0x5F6F, "" },
//  { 0x5F70, "" },
//  { 0x5F71, "" },
    { 0x5F72, "spawn_echo_team_near_chopper" },
//  { 0x5F73, "" },
    { 0x5F74, "dust_fx" },
//  { 0x5F75, "" },
//  { 0x5F76, "" },
//  { 0x5F77, "" },
//  { 0x5F78, "" },
//  { 0x5F79, "" },
    { 0x5F7A, "rescue_advance_to_chopper" },
//  { 0x5F7B, "" },
//  { 0x5F7C, "" },
//  { 0x5F7D, "" },
//  { 0x5F7E, "" },
//  { 0x5F7F, "" },
    { 0x5F80, "rescue_exit_setup" },
//  { 0x5F81, "" },
//  { 0x5F82, "" },
//  { 0x5F83, "" },
//  { 0x5F84, "" },
//  { 0x5F85, "" },
//  { 0x5F86, "" },
//  { 0x5F87, "" },
    { 0x5F88, "rescue_exit_sequence_soap" },
//  { 0x5F89, "" },
//  { 0x5F8A, "" },
//  { 0x5F8B, "" },
//  { 0x5F8C, "" },
//  { 0x5F8D, "" },
//  { 0x5F8E, "" },
    { 0x5F8F, "price_run_part_1" },
//  { 0x5F90, "" },
//  { 0x5F91, "" },
    { 0x5F92, "player_enter_jeep_trigger" },
//  { 0x5F93, "" },
    { 0x5F94, "new_jeep_escape_setup" },
//  { 0x5F95, "" },
//  { 0x5F96, "" },
//  { 0x5F97, "" },
//  { 0x5F98, "" },
//  { 0x5F99, "" },
//  { 0x5F9A, "" },
//  { 0x5F9B, "" },
//  { 0x5F9C, "" },
    { 0x5F9D, "nikolai_jeep_escape" },
    { 0x5F9E, "escape_player_arms" },
//  { 0x5F9F, "" },
    { 0x5FA0, "jeep_player_arms" },
//  { 0x5FA1, "" },
//  { 0x5FA2, "" },
//  { 0x5FA3, "" },
//  { 0x5FA4, "" },
//  { 0x5FA5, "" },
//  { 0x5FA6, "" },
//  { 0x5FA7, "" },
    { 0x5FA8, "ridge_contain" },
//  { 0x5FA9, "" },
//  { 0x5FAA, "" },
//  { 0x5FAB, "" },
    { 0x5FAC, "final_technical_2" },
//  { 0x5FAD, "" },
//  { 0x5FAE, "" },
//  { 0x5FAF, "" },
//  { 0x5FB0, "" },
    { 0x5FB1, "nikolai_attach_to_jeep" },
//  { 0x5FB2, "" },
//  { 0x5FB3, "" },
//  { 0x5FB4, "" },
//  { 0x5FB5, "" },
//  { 0x5FB6, "" },
//  { 0x5FB7, "" },
//  { 0x5FB8, "" },
//  { 0x5FB9, "" },
//  { 0x5FBA, "" },
    { 0x5FBB, "jeep_escape_final_technical_1" },
//  { 0x5FBC, "" },
    { 0x5FBD, "jeep_escape_uaz" },
//  { 0x5FBE, "" },
//  { 0x5FBF, "" },
//  { 0x5FC0, "" },
    { 0x5FC1, "pickup_nikolai_enable_and_disable_weapons" },
//  { 0x5FC2, "" },
    { 0x5FC3, "ignore_player_until_looking_at_target" },
    { 0x5FC4, "rescue_nikolai" },
//  { 0x5FC5, "" },
//  { 0x5FC6, "" },
//  { 0x5FC7, "" },
//  { 0x5FC8, "" },
//  { 0x5FC9, "" },
//  { 0x5FCA, "" },
    { 0x5FCB, "pickup_nikolai_and_escape_radio_vo" },
//  { 0x5FCC, "" },
    { 0x5FCD, "crashed_chopper_prop" },
//  { 0x5FCE, "" },
//  { 0x5FCF, "" },
//  { 0x5FD0, "" },
    { 0x5FD1, "payback_stance_carry_icon_enable" },
//  { 0x5FD2, "" },
    { 0x5FD3, "rescue_carry_nikolai_drop" },
//  { 0x5FD4, "" },
//  { 0x5FD5, "" },
//  { 0x5FD6, "" },
//  { 0x5FD7, "" },
//  { 0x5FD8, "" },
//  { 0x5FD9, "" },
    { 0x5FDA, "slide_fx_off" },
//  { 0x5FDB, "" },
//  { 0x5FDC, "" },
    { 0x5FDD, "rescue_phantom_trigger_wait" },
//  { 0x5FDE, "" },
//  { 0x5FDF, "" },
//  { 0x5FE0, "" },
//  { 0x5FE1, "" },
//  { 0x5FE2, "" },
//  { 0x5FE3, "" },
//  { 0x5FE4, "" },
//  { 0x5FE5, "" },
//  { 0x5FE6, "" },
//  { 0x5FE7, "" },
//  { 0x5FE8, "" },
//  { 0x5FE9, "" },
//  { 0x5FEA, "" },
//  { 0x5FEB, "" },
//  { 0x5FEC, "" },
//  { 0x5FED, "" },
//  { 0x5FEE, "" },
//  { 0x5FEF, "" },
//  { 0x5FF0, "" },
//  { 0x5FF1, "" },
//  { 0x5FF2, "" },
//  { 0x5FF3, "" },
//  { 0x5FF4, "" },
    { 0x5FF5, "sandstorm_allies_sprint" },
    { 0x5FF6, "sandstorm_allies_cqb" },
//  { 0x5FF7, "" },
//  { 0x5FF8, "" },
    { 0x5FF9, "sandstorm_runners_thread" },
//  { 0x5FFA, "" },
//  { 0x5FFB, "" },
    { 0x5FFC, "sandstorm_runner_runner_vo" },
//  { 0x5FFD, "" },
//  { 0x5FFE, "" },
//  { 0x5FFF, "" },
//  { 0x6000, "" },
//  { 0x6001, "" },
//  { 0x6002, "" },
//  { 0x6003, "" },
//  { 0x6004, "" },
//  { 0x6005, "" },
//  { 0x6006, "" },
//  { 0x6007, "" },
//  { 0x6008, "" },
//  { 0x6009, "" },
//  { 0x600A, "" },
//  { 0x600B, "" },
    { 0x600C, "uaz1_handler" },
//  { 0x600D, "" },
//  { 0x600E, "" },
//  { 0x600F, "" },
//  { 0x6010, "" },
//  { 0x6011, "" },
//  { 0x6012, "" },
//  { 0x6013, "" },
    { 0x6014, "blackout_takedown_vo" },
//  { 0x6015, "" },
//  { 0x6016, "" },
//  { 0x6017, "" },
//  { 0x6018, "" },
//  { 0x6019, "" },
//  { 0x601A, "" },
//  { 0x601B, "" },
//  { 0x601C, "" },
//  { 0x601D, "" },
//  { 0x601E, "" },
//  { 0x601F, "" },
    { 0x6020, "do_end_runners" },
    { 0x6021, "do_end_wavers" },
//  { 0x6022, "" },
//  { 0x6023, "" },
    { 0x6024, "handle_unaware_shot" },
    { 0x6025, "unawares_attack" },
//  { 0x6026, "" },
//  { 0x6027, "" },
//  { 0x6028, "" },
//  { 0x6029, "" },
//  { 0x602A, "" },
//  { 0x602B, "" },
//  { 0x602C, "" },
//  { 0x602D, "" },
//  { 0x602E, "" },
    { 0x602F, "chopper_current_slow_pitch" },
//  { 0x6030, "" },
//  { 0x6031, "" },
//  { 0x6032, "" },
//  { 0x6033, "" },
//  { 0x6034, "" },
//  { 0x6035, "" },
//  { 0x6036, "" },
//  { 0x6037, "" },
//  { 0x6038, "" },
//  { 0x6039, "" },
//  { 0x603A, "" },
    { 0x603B, "chopper_strafe_ready_vo_index" },
//  { 0x603C, "" },
//  { 0x603D, "" },
//  { 0x603E, "" },
//  { 0x603F, "" },
    { 0x6040, "payback_chopper_hint" },
//  { 0x6041, "" },
//  { 0x6042, "" },
//  { 0x6043, "" },
//  { 0x6044, "" },
//  { 0x6045, "" },
//  { 0x6046, "" },
//  { 0x6047, "" },
    { 0x6048, "chopper_text" },
    { 0x6049, "chopper_hint_text_delete" },
//  { 0x604A, "" },
//  { 0x604B, "" },
//  { 0x604C, "" },
//  { 0x604D, "" },
//  { 0x604E, "" },
    { 0x604F, "handle_firing" },
    { 0x6050, "handle_projectile_impact" },
//  { 0x6051, "" },
//  { 0x6052, "" },
//  { 0x6053, "" },
//  { 0x6054, "" },
    { 0x6055, "handle_firing_sound" },
    { 0x6056, "chopper_gun_sound" },
    { 0x6057, "handle_firing_aim_slowdown" },
    { 0x6058, "lerp_dof" },
//  { 0x6059, "" },
//  { 0x605A, "" },
//  { 0x605B, "" },
    { 0x605C, "init_fake_player_model" },
//  { 0x605D, "" },
//  { 0x605E, "" },
//  { 0x605F, "" },
    { 0x6060, "delete_fake_player_model" },
    { 0x6061, "chopper_thermal_on" },
//  { 0x6062, "" },
    { 0x6063, "chopper_thermal_off" },
//  { 0x6064, "" },
//  { 0x6065, "" },
//  { 0x6066, "" },
//  { 0x6067, "" },
//  { 0x6068, "" },
//  { 0x6069, "" },
//  { 0x606A, "" },
//  { 0x606B, "" },
//  { 0x606C, "" },
//  { 0x606D, "" },
//  { 0x606E, "" },
//  { 0x606F, "" },
//  { 0x6070, "" },
//  { 0x6071, "" },
    { 0x6072, "chopper_grain_overlay" },
//  { 0x6073, "" },
//  { 0x6074, "" },
    { 0x6075, "chopper_angles_overlay" },
//  { 0x6076, "" },
//  { 0x6077, "" },
//  { 0x6078, "" },
//  { 0x6079, "" },
//  { 0x607A, "" },
//  { 0x607B, "" },
//  { 0x607C, "" },
//  { 0x607D, "" },
//  { 0x607E, "" },
//  { 0x607F, "" },
    { 0x6080, "remove_chopper_targets" },
//  { 0x6081, "" },
//  { 0x6082, "" },
    { 0x6083, "update_rpg" },
//  { 0x6084, "" },
//  { 0x6085, "" },
    { 0x6086, "monitor_for_damage" },
//  { 0x6087, "" },
//  { 0x6088, "" },
//  { 0x6089, "" },
    { 0x608A, "chopper_strafe_next_index" },
//  { 0x608B, "" },
//  { 0x608C, "" },
//  { 0x608D, "" },
//  { 0x608E, "" },
//  { 0x608F, "" },
//  { 0x6090, "" },
//  { 0x6091, "" },
//  { 0x6092, "" },
    { 0x6093, "chopper_create_missile_attractor" },
//  { 0x6094, "" },
    { 0x6095, "fire_rpgs_from_ai" },
//  { 0x6096, "" },
//  { 0x6097, "" },
//  { 0x6098, "" },
    { 0x6099, "kruger_interrogation_init" },
//  { 0x609A, "" },
    { 0x609B, "maps/_slowmo_breach_payback" },
//  { 0x609C, "" },
//  { 0x609D, "" },
//  { 0x609E, "" },
//  { 0x609F, "" },
//  { 0x60A0, "" },
//  { 0x60A1, "" },
//  { 0x60A2, "" },
    { 0x60A3, "move_barracus_by_kruger_door" },
//  { 0x60A4, "" },
//  { 0x60A5, "" },
//  { 0x60A6, "" },
    { 0x60A7, "spawn_kruger_with_spawn_funcs" },
//  { 0x60A8, "" },
    { 0x60A9, "dummy_prop_1" },
//  { 0x60AA, "" },
//  { 0x60AB, "" },
//  { 0x60AC, "" },
//  { 0x60AD, "" },
//  { 0x60AE, "" },
//  { 0x60AF, "" },
//  { 0x60B0, "" },
    { 0x60B1, "fake_waraabe_death" },
//  { 0x60B2, "" },
    { 0x60B3, "price_pre_breach_accuracy" },
//  { 0x60B4, "" },
//  { 0x60B5, "" },
    { 0x60B6, "soap_pre_breach_accuracy" },
//  { 0x60B7, "" },
//  { 0x60B8, "" },
//  { 0x60B9, "" },
//  { 0x60BA, "" },
//  { 0x60BB, "" },
//  { 0x60BC, "" },
//  { 0x60BD, "" },
//  { 0x60BE, "" },
//  { 0x60BF, "" },
//  { 0x60C0, "" },
//  { 0x60C1, "" },
    { 0x60C2, "gas_kill_player_fast" },
    { 0x60C3, "price_start_interrogation" },
    { 0x60C4, "swap_model" },
//  { 0x60C5, "" },
//  { 0x60C6, "" },
    { 0x60C7, "price_shoot_kruger" },
//  { 0x60C8, "" },
    { 0x60C9, "crate_blood_decal_model" },
//  { 0x60CA, "" },
//  { 0x60CB, "" },
//  { 0x60CC, "" },
    { 0x60CD, "dummy_prop_6" },
//  { 0x60CE, "" },
//  { 0x60CF, "" },
//  { 0x60D0, "" },
//  { 0x60D1, "" },
//  { 0x60D2, "" },
//  { 0x60D3, "" },
//  { 0x60D4, "" },
//  { 0x60D5, "" },
//  { 0x60D6, "" },
    { 0x60D7, "waraabe_clipboard" },
//  { 0x60D8, "" },
//  { 0x60D9, "" },
//  { 0x60DA, "" },
    { 0x60DB, "interrogation_room_shutters" },
    { 0x60DC, "interrogation_room_curtains" },
//  { 0x60DD, "" },
//  { 0x60DE, "" },
//  { 0x60DF, "" },
//  { 0x60E0, "" },
//  { 0x60E1, "" },
//  { 0x60E2, "" },
    { 0x60E3, "fx_initial_spew" },
    { 0x60E4, "fx_big_spew" },
//  { 0x60E5, "" },
//  { 0x60E6, "" },
//  { 0x60E7, "" },
//  { 0x60E8, "" },
//  { 0x60E9, "" },
    { 0x60EA, "price_unholster_pistol" },
//  { 0x60EB, "" },
//  { 0x60EC, "" },
//  { 0x60ED, "" },
//  { 0x60EE, "" },
//  { 0x60EF, "" },
//  { 0x60F0, "" },
    { 0x60F1, "gasmask_hud_off" },
//  { 0x60F2, "" },
//  { 0x60F3, "" },
//  { 0x60F4, "" },
//  { 0x60F5, "" },
//  { 0x60F6, "" },
//  { 0x60F7, "" },
//  { 0x60F8, "" },
//  { 0x60F9, "" },
//  { 0x60FA, "" },
    { 0x60FB, "streets_construction" },
//  { 0x60FC, "" },
//  { 0x60FD, "" },
//  { 0x60FE, "" },
//  { 0x60FF, "" },
//  { 0x6100, "" },
//  { 0x6101, "" },
//  { 0x6102, "" },
//  { 0x6103, "" },
//  { 0x6104, "" },
//  { 0x6105, "" },
//  { 0x6106, "" },
//  { 0x6107, "" },
//  { 0x6108, "" },
//  { 0x6109, "" },
//  { 0x610A, "" },
//  { 0x610B, "" },
    { 0x610C, "streets_fakerpg" },
//  { 0x610D, "" },
//  { 0x610E, "" },
//  { 0x610F, "" },
//  { 0x6110, "" },
//  { 0x6111, "" },
//  { 0x6112, "" },
//  { 0x6113, "" },
//  { 0x6114, "" },
//  { 0x6115, "" },
//  { 0x6116, "" },
//  { 0x6117, "" },
//  { 0x6118, "" },
//  { 0x6119, "" },
//  { 0x611A, "" },
//  { 0x611B, "" },
//  { 0x611C, "" },
//  { 0x611D, "" },
//  { 0x611E, "" },
//  { 0x611F, "" },
//  { 0x6120, "" },
//  { 0x6121, "" },
//  { 0x6122, "" },
//  { 0x6123, "" },
//  { 0x6124, "" },
//  { 0x6125, "" },
//  { 0x6126, "" },
//  { 0x6127, "" },
    { 0x6128, "stopwatch" },
//  { 0x6129, "" },
//  { 0x612A, "" },
    { 0x612B, "sandstorm_killtimer" },
//  { 0x612C, "" },
//  { 0x612D, "" },
//  { 0x612E, "" },
//  { 0x612F, "" },
    { 0x6130, "sandstorm_timer_tick" },
//  { 0x6131, "" },
//  { 0x6132, "" },
//  { 0x6133, "" },
//  { 0x6134, "" },
//  { 0x6135, "" },
//  { 0x6136, "" },
//  { 0x6137, "" },
//  { 0x6138, "" },
//  { 0x6139, "" },
//  { 0x613A, "" },
//  { 0x613B, "" },
//  { 0x613C, "" },
//  { 0x613D, "" },
//  { 0x613E, "" },
//  { 0x613F, "" },
//  { 0x6140, "" },
//  { 0x6141, "" },
//  { 0x6142, "" },
    { 0x6143, "handler_ambush_cleanup" },
//  { 0x6144, "" },
//  { 0x6145, "" },
//  { 0x6146, "" },
//  { 0x6147, "" },
    { 0x6148, "spawn_area2_narrowstreet" },
//  { 0x6149, "" },
//  { 0x614A, "" },
//  { 0x614B, "" },
//  { 0x614C, "" },
    { 0x614D, "streets_vo_010" },
//  { 0x614E, "" },
//  { 0x614F, "" },
//  { 0x6150, "" },
//  { 0x6151, "" },
//  { 0x6152, "" },
    { 0x6153, "make_murdock_mortal" },
//  { 0x6154, "" },
//  { 0x6155, "" },
    { 0x6156, "streets_speed_reset" },
//  { 0x6157, "" },
    { 0x6158, "const_anims" },
//  { 0x6159, "" },
//  { 0x615A, "" },
    { 0x615B, "construction_spawned" },
    { 0x615C, "construction_waves" },
    { 0x615D, "spawn_construction_models" },
    { 0x615E, "spawn_model_from_struct" },
//  { 0x615F, "" },
//  { 0x6160, "" },
//  { 0x6161, "" },
//  { 0x6162, "" },
//  { 0x6163, "" },
    { 0x6164, "iwrunners" },
//  { 0x6165, "" },
//  { 0x6166, "" },
//  { 0x6167, "" },
//  { 0x6168, "" },
//  { 0x6169, "" },
//  { 0x616A, "" },
    { 0x616B, "watch_player_stairs" },
//  { 0x616C, "" },
//  { 0x616D, "" },
//  { 0x616E, "" },
//  { 0x616F, "" },
//  { 0x6170, "" },
//  { 0x6171, "" },
//  { 0x6172, "" },
//  { 0x6173, "" },
    { 0x6174, "rappel_chaser" },
//  { 0x6175, "" },
//  { 0x6176, "" },
//  { 0x6177, "" },
//  { 0x6178, "" },
    { 0x6179, "allow_chopper_gunner" },
//  { 0x617A, "" },
    { 0x617B, "disable_const_roof_obj" },
//  { 0x617C, "" },
//  { 0x617D, "" },
//  { 0x617E, "" },
    { 0x617F, "manage_animation_blocking_vol" },
//  { 0x6180, "" },
    { 0x6181, "enable_jump_objective" },
//  { 0x6182, "" },
//  { 0x6183, "" },
//  { 0x6184, "" },
    { 0x6185, "chopper_hit_tower_fx" },
//  { 0x6186, "" },
//  { 0x6187, "" },
    { 0x6188, "const_player_rig_1" },
    { 0x6189, "const_player_rig_2" },
//  { 0x618A, "" },
    { 0x618B, "const_player_rig_ledge_2" },
//  { 0x618C, "" },
//  { 0x618D, "" },
//  { 0x618E, "" },
//  { 0x618F, "" },
//  { 0x6190, "" },
//  { 0x6191, "" },
//  { 0x6192, "" },
//  { 0x6193, "" },
//  { 0x6194, "" },
    { 0x6195, "gate_chain" },
//  { 0x6196, "" },
//  { 0x6197, "" },
//  { 0x6198, "" },
    { 0x6199, "rappel_player_jumped_off_ledge" },
//  { 0x619A, "" },
//  { 0x619B, "" },
//  { 0x619C, "" },
//  { 0x619D, "" },
//  { 0x619E, "" },
//  { 0x619F, "" },
//  { 0x61A0, "" },
//  { 0x61A1, "" },
    { 0x61A2, "const_rappel_soap" },
//  { 0x61A3, "" },
//  { 0x61A4, "" },
//  { 0x61A5, "" },
//  { 0x61A6, "" },
//  { 0x61A7, "" },
//  { 0x61A8, "" },
//  { 0x61A9, "" },
    { 0x61AA, "move_soap_to_vo_position" },
//  { 0x61AB, "" },
//  { 0x61AC, "" },
//  { 0x61AD, "" },
//  { 0x61AE, "" },
//  { 0x61AF, "" },
//  { 0x61B0, "" },
//  { 0x61B1, "" },
//  { 0x61B2, "" },
//  { 0x61B3, "" },
//  { 0x61B4, "" },
//  { 0x61B5, "" },
//  { 0x61B6, "" },
    { 0x61B7, "wall_fx" },
    { 0x61B8, "handle_wall_collapse" },
//  { 0x61B9, "" },
//  { 0x61BA, "" },
//  { 0x61BB, "" },
//  { 0x61BC, "" },
//  { 0x61BD, "" },
//  { 0x61BE, "" },
//  { 0x61BF, "" },
//  { 0x61C0, "" },
//  { 0x61C1, "" },
    { 0x61C2, "handle_spawning_of_sandstorm_models" },
    { 0x61C3, "handle_sandstorm_env_effects" },
//  { 0x61C4, "" },
    { 0x61C5, "handle_construction_effects" },
    { 0x61C6, "handle_sandstorm_effects" },
//  { 0x61C7, "" },
//  { 0x61C8, "" },
//  { 0x61C9, "" },
    { 0x61CA, "grass_wind" },
//  { 0x61CB, "" },
//  { 0x61CC, "" },
//  { 0x61CD, "" },
//  { 0x61CE, "" },
//  { 0x61CF, "" },
    { 0x61D0, "fences_wind_high" },
//  { 0x61D1, "" },
//  { 0x61D2, "" },
//  { 0x61D3, "" },
//  { 0x61D4, "" },
//  { 0x61D5, "" },
//  { 0x61D6, "" },
//  { 0x61D7, "" },
//  { 0x61D8, "" },
//  { 0x61D9, "" },
//  { 0x61DA, "" },
//  { 0x61DB, "" },
//  { 0x61DC, "" },
//  { 0x61DD, "" },
//  { 0x61DE, "" },
    { 0x61DF, "tarps_wind_med" },
//  { 0x61E0, "" },
//  { 0x61E1, "" },
    { 0x61E2, "crates_wind_low" },
//  { 0x61E3, "" },
//  { 0x61E4, "" },
//  { 0x61E5, "" },
//  { 0x61E6, "" },
//  { 0x61E7, "" },
//  { 0x61E8, "" },
//  { 0x61E9, "" },
//  { 0x61EA, "" },
    { 0x61EB, "handle_moving_objects" },
//  { 0x61EC, "" },
    { 0x61ED, "south_dir" },
    { 0x61EE, "impulse_trigger" },
    { 0x61EF, "rolling_object_trigger" },
    { 0x61F0, "soundalias" },
//  { 0x61F1, "" },
//  { 0x61F2, "" },
//  { 0x61F3, "" },
    { 0x61F4, "compound_c_jumpto" },
//  { 0x61F5, "" },
    { 0x61F6, "compound_fire_rpg" },
//  { 0x61F7, "" },
//  { 0x61F8, "" },
//  { 0x61F9, "" },
    { 0x61FA, "soap_vo_lines" },
//  { 0x61FB, "" },
//  { 0x61FC, "" },
    { 0x61FD, "breach_lead_up_vo" },
    { 0x61FE, "wilhelm" },
    { 0x61FF, "balcony_room_dynamic_accuracy" },
//  { 0x6200, "" },
//  { 0x6201, "" },
//  { 0x6202, "" },
    { 0x6203, "enable_interior_compound_behavior" },
//  { 0x6204, "" },
//  { 0x6205, "" },
//  { 0x6206, "" },
    { 0x6207, "init_kick_doors" },
    { 0x6208, "close_kick_doors" },
//  { 0x6209, "" },
//  { 0x620A, "" },
//  { 0x620B, "" },
//  { 0x620C, "" },
//  { 0x620D, "" },
//  { 0x620E, "" },
//  { 0x620F, "" },
    { 0x6210, "autosave_heli_check" },
//  { 0x6211, "" },
//  { 0x6212, "" },
//  { 0x6213, "" },
//  { 0x6214, "" },
    { 0x6215, "sprint_to_goal" },
//  { 0x6216, "" },
//  { 0x6217, "" },
    { 0x6218, "find_threatbias_guys" },
    { 0x6219, "price_go_rambo" },
//  { 0x621A, "" },
//  { 0x621B, "" },
//  { 0x621C, "" },
//  { 0x621D, "" },
//  { 0x621E, "" },
//  { 0x621F, "" },
//  { 0x6220, "" },
//  { 0x6221, "" },
//  { 0x6222, "" },
    { 0x6223, "compound_find_mortar_source" },
//  { 0x6224, "" },
//  { 0x6225, "" },
    { 0x6226, "water" },
    { 0x6227, "mortar_goes_off" },
//  { 0x6228, "" },
//  { 0x6229, "" },
//  { 0x622A, "" },
//  { 0x622B, "" },
//  { 0x622C, "" },
    { 0x622D, "technical_vo" },
//  { 0x622E, "" },
    { 0x622F, "roofie_handler" },
//  { 0x6230, "" },
//  { 0x6231, "" },
    { 0x6232, "wait_for_chopper" },
    { 0x6233, "heli_guy_timer" },
//  { 0x6234, "" },
//  { 0x6235, "" },
//  { 0x6236, "" },
    { 0x6237, "kill_balcony_guys" },
//  { 0x6238, "" },
//  { 0x6239, "" },
//  { 0x623A, "" },
//  { 0x623B, "" },
//  { 0x623C, "" },
//  { 0x623D, "" },
//  { 0x623E, "" },
//  { 0x623F, "" },
//  { 0x6240, "" },
//  { 0x6241, "" },
    { 0x6242, "compound_defend" },
//  { 0x6243, "" },
//  { 0x6244, "" },
    { 0x6245, "watch_for_close_player" },
    { 0x6246, "outercompound_enemyvignettes" },
//  { 0x6247, "" },
//  { 0x6248, "" },
    { 0x6249, "animate_then_path" },
//  { 0x624A, "" },
//  { 0x624B, "" },
//  { 0x624C, "" },
//  { 0x624D, "" },
    { 0x624E, "chopper_barrel_hack" },
//  { 0x624F, "" },
//  { 0x6250, "" },
    { 0x6251, "do_path" },
//  { 0x6252, "" },
//  { 0x6253, "" },
    { 0x6254, "vehicle_node_trigger_wait" },
//  { 0x6255, "" },
//  { 0x6256, "" },
//  { 0x6257, "" },
//  { 0x6258, "" },
//  { 0x6259, "" },
//  { 0x625A, "" },
//  { 0x625B, "" },
//  { 0x625C, "" },
//  { 0x625D, "" },
//  { 0x625E, "" },
//  { 0x625F, "" },
//  { 0x6260, "" },
//  { 0x6261, "" },
//  { 0x6262, "" },
    { 0x6263, "override_treadfx_killthread" },
//  { 0x6264, "" },
//  { 0x6265, "" },
//  { 0x6266, "" },
//  { 0x6267, "" },
    { 0x6268, "handle_chopper_destructables" },
    { 0x6269, "handle_guard_tower_explosion" },
//  { 0x626A, "" },
//  { 0x626B, "" },
//  { 0x626C, "" },
//  { 0x626D, "" },
//  { 0x626E, "" },
//  { 0x626F, "" },
//  { 0x6270, "" },
//  { 0x6271, "" },
//  { 0x6272, "" },
//  { 0x6273, "" },
//  { 0x6274, "" },
//  { 0x6275, "" },
//  { 0x6276, "" },
    { 0x6277, "notify_remove_wall" },
//  { 0x6278, "" },
//  { 0x6279, "" },
//  { 0x627A, "" },
//  { 0x627B, "" },
//  { 0x627C, "" },
    { 0x627D, "price_killguy_setup" },
//  { 0x627E, "" },
    { 0x627F, "gatecrash_price_victims_anims" },
//  { 0x6280, "" },
//  { 0x6281, "" },
//  { 0x6282, "" },
//  { 0x6283, "" },
//  { 0x6284, "" },
//  { 0x6285, "" },
//  { 0x6286, "" },
//  { 0x6287, "" },
    { 0x6288, "alpha_screensplash" },
//  { 0x6289, "" },
//  { 0x628A, "" },
    { 0x628B, "nikolai_missiles" },
    { 0x628C, "set_introguys_ignoreme" },
//  { 0x628D, "" },
//  { 0x628E, "" },
//  { 0x628F, "" },
//  { 0x6290, "" },
    { 0x6291, "setup_wheel_rubicon_treadmark_tag" },
//  { 0x6292, "" },
    { 0x6293, "snap_zoom_start_ent" },
//  { 0x6294, "" },
//  { 0x6295, "" },
//  { 0x6296, "" },
//  { 0x6297, "" },
//  { 0x6298, "" },
//  { 0x6299, "" },
//  { 0x629A, "" },
//  { 0x629B, "" },
//  { 0x629C, "" },
//  { 0x629D, "" },
//  { 0x629E, "" },
//  { 0x629F, "" },
    { 0x62A0, "init_flags_compound" },
//  { 0x62A1, "" },
//  { 0x62A2, "" },
    { 0x62A3, "no_breach" },
    { 0x62A4, "init_objectives" },
//  { 0x62A5, "" },
//  { 0x62A6, "" },
//  { 0x62A7, "" },
    { 0x62A8, "setup_soap" },
//  { 0x62A9, "" },
//  { 0x62AA, "" },
    { 0x62AB, "remove_funcs_from" },
    { 0x62AC, "setup_hannibal" },
//  { 0x62AD, "" },
//  { 0x62AE, "" },
//  { 0x62AF, "" },
//  { 0x62B0, "" },
//  { 0x62B1, "" },
    { 0x62B2, "createstaticsound" },
    { 0x62B3, "static_sounds" },
    { 0x62B4, "audio_properties" },
//  { 0x62B5, "" },
//  { 0x62B6, "" },
//  { 0x62B7, "" },
//  { 0x62B8, "" },
//  { 0x62B9, "" },
//  { 0x62BA, "" },
//  { 0x62BB, "" },
//  { 0x62BC, "" },
//  { 0x62BD, "" },
//  { 0x62BE, "" },
//  { 0x62BF, "" },
//  { 0x62C0, "" },
//  { 0x62C1, "" },
//  { 0x62C2, "" },
//  { 0x62C3, "" },
//  { 0x62C4, "" },
//  { 0x62C5, "" },
//  { 0x62C6, "" },
//  { 0x62C7, "" },
//  { 0x62C8, "" },
//  { 0x62C9, "" },
//  { 0x62CA, "" },
//  { 0x62CB, "" },
    { 0x62CC, "ch46e_ny_harbor_anims" },
    { 0x62CD, "russian_sub_anims" },
    { 0x62CE, "zodiac_anims" },
//  { 0x62CF, "" },
    { 0x62D0, "prop_anims" },
    { 0x62D1, "debug_setup" },
//  { 0x62D2, "" },
//  { 0x62D3, "" },
    { 0x62D4, "zodiac_ticked" },
//  { 0x62D5, "" },
//  { 0x62D6, "" },
//  { 0x62D7, "" },
//  { 0x62D8, "" },
//  { 0x62D9, "" },
    { 0x62DA, "center" },
//  { 0x62DB, "" },
//  { 0x62DC, "" },
//  { 0x62DD, "" },
//  { 0x62DE, "" },
//  { 0x62DF, "" },
//  { 0x62E0, "" },
//  { 0x62E1, "" },
//  { 0x62E2, "" },
//  { 0x62E3, "" },
//  { 0x62E4, "" },
    { 0x62E5, "boat_pose" },
//  { 0x62E6, "" },
//  { 0x62E7, "" },
//  { 0x62E8, "" },
//  { 0x62E9, "" },
//  { 0x62EA, "" },
//  { 0x62EB, "" },
//  { 0x62EC, "" },
//  { 0x62ED, "" },
//  { 0x62EE, "" },
//  { 0x62EF, "" },
//  { 0x62F0, "" },
//  { 0x62F1, "" },
//  { 0x62F2, "" },
//  { 0x62F3, "" },
//  { 0x62F4, "" },
//  { 0x62F5, "" },
//  { 0x62F6, "" },
//  { 0x62F7, "" },
//  { 0x62F8, "" },
    { 0x62F9, "shoulddotwitch" },
    { 0x62FA, "wait_for_animcomplete_or_react" },
//  { 0x62FB, "" },
//  { 0x62FC, "" },
//  { 0x62FD, "" },
//  { 0x62FE, "" },
//  { 0x62FF, "" },
    { 0x6300, "idleaimdir" },
//  { 0x6301, "" },
    { 0x6302, "getboataimyawtoshootpos" },
//  { 0x6303, "" },
//  { 0x6304, "" },
    { 0x6305, "updateboataim" },
//  { 0x6306, "" },
//  { 0x6307, "" },
//  { 0x6308, "" },
//  { 0x6309, "" },
    { 0x630A, "needtochangepose" },
    { 0x630B, "use_auto_pose" },
    { 0x630C, "scripted_boat_pose" },
    { 0x630D, "setup_anim_array_boat" },
//  { 0x630E, "" },
    { 0x630F, "zodiac_preload" },
//  { 0x6310, "" },
//  { 0x6311, "" },
//  { 0x6312, "" },
//  { 0x6313, "" },
//  { 0x6314, "" },
//  { 0x6315, "" },
    { 0x6316, "zodiac_sound_overrides" },
    { 0x6317, "drive_vehicle" },
    { 0x6318, "zodiac_3rdpersonmodel" },
//  { 0x6319, "" },
    { 0x631A, "get_ai_for_player" },
//  { 0x631B, "" },
//  { 0x631C, "" },
    { 0x631D, "ideal" },
//  { 0x631E, "" },
//  { 0x631F, "" },
    { 0x6320, "enemy_boat" },
    { 0x6321, "drive_crash_detection" },
//  { 0x6322, "" },
//  { 0x6323, "" },
//  { 0x6324, "" },
//  { 0x6325, "" },
//  { 0x6326, "" },
    { 0x6327, "firstperson" },
//  { 0x6328, "" },
//  { 0x6329, "" },
//  { 0x632A, "" },
//  { 0x632B, "" },
//  { 0x632C, "" },
    { 0x632D, "drive_magic_bullet_get_end" },
//  { 0x632E, "" },
//  { 0x632F, "" },
//  { 0x6330, "" },
//  { 0x6331, "" },
//  { 0x6332, "" },
    { 0x6333, "drive_magic_bullet_trace" },
//  { 0x6334, "" },
//  { 0x6335, "" },
//  { 0x6336, "" },
    { 0x6337, "drive_shooting_update_anims" },
//  { 0x6338, "" },
//  { 0x6339, "" },
//  { 0x633A, "" },
//  { 0x633B, "" },
//  { 0x633C, "" },
//  { 0x633D, "" },
//  { 0x633E, "" },
    { 0x633F, "wait_for_vehicle_to_move" },
    { 0x6340, "should_stop_zodiac_reverse_hint" },
//  { 0x6341, "" },
//  { 0x6342, "" },
    { 0x6343, "dv_counts" },
//  { 0x6344, "" },
//  { 0x6345, "" },
//  { 0x6346, "" },
//  { 0x6347, "" },
//  { 0x6348, "" },
//  { 0x6349, "" },
//  { 0x634A, "" },
    { 0x634B, "volumes" },
//  { 0x634C, "" },
//  { 0x634D, "" },
    { 0x634E, "wait_for_debris_volume_trigger" },
//  { 0x634F, "" },
    { 0x6350, "debris_list" },
//  { 0x6351, "" },
//  { 0x6352, "" },
    { 0x6353, "spawnentinvolume" },
//  { 0x6354, "" },
    { 0x6355, "spawn_static" },
//  { 0x6356, "" },
//  { 0x6357, "" },
    { 0x6358, "sinking" },
//  { 0x6359, "" },
//  { 0x635A, "" },
//  { 0x635B, "" },
//  { 0x635C, "" },
//  { 0x635D, "" },
//  { 0x635E, "" },
//  { 0x635F, "" },
//  { 0x6360, "" },
    { 0x6361, "deadbody" },
//  { 0x6362, "" },
    { 0x6363, "draw_bounding_volume" },
    { 0x6364, "maps/_underwater_debris" },
//  { 0x6365, "" },
    { 0x6366, "character/character_hero_delta_sandman_udt" },
    { 0x6367, "vehicle_scripts/_russian_torpedo" },
//  { 0x6368, "" },
//  { 0x6369, "" },
//  { 0x636A, "" },
//  { 0x636B, "" },
//  { 0x636C, "" },
//  { 0x636D, "" },
    { 0x636E, "water_z" },
    { 0x636F, "zodiac_wheel_blend" },
//  { 0x6370, "" },
//  { 0x6371, "" },
//  { 0x6372, "" },
//  { 0x6373, "" },
//  { 0x6374, "" },
//  { 0x6375, "" },
//  { 0x6376, "" },
//  { 0x6377, "" },
//  { 0x6378, "" },
//  { 0x6379, "" },
//  { 0x637A, "" },
//  { 0x637B, "" },
//  { 0x637C, "" },
//  { 0x637D, "" },
//  { 0x637E, "" },
//  { 0x637F, "" },
//  { 0x6380, "" },
//  { 0x6381, "" },
//  { 0x6382, "" },
//  { 0x6383, "" },
//  { 0x6384, "" },
//  { 0x6385, "" },
    { 0x6386, "ramp_displacement_scale" },
//  { 0x6387, "" },
    { 0x6388, "clear_start_from_cinematic" },
    { 0x6389, "draw_tag_axis" },
//  { 0x638A, "" },
    { 0x638B, "match_origin_to_tag" },
//  { 0x638C, "" },
//  { 0x638D, "" },
//  { 0x638E, "" },
//  { 0x638F, "" },
//  { 0x6390, "" },
//  { 0x6391, "" },
//  { 0x6392, "" },
    { 0x6393, "zodiac_fail" },
//  { 0x6394, "" },
    { 0x6395, "zodiac_fail_monitor_speed_clear" },
//  { 0x6396, "" },
//  { 0x6397, "" },
    { 0x6398, "chinook_extraction_fail" },
//  { 0x6399, "" },
//  { 0x639A, "" },
    { 0x639B, "missile_timing" },
    { 0x639C, "missile_timing2" },
//  { 0x639D, "" },
//  { 0x639E, "" },
//  { 0x639F, "" },
//  { 0x63A0, "" },
//  { 0x63A1, "" },
//  { 0x63A2, "" },
//  { 0x63A3, "" },
//  { 0x63A4, "" },
    { 0x63A5, "destroyer_zubr_driveby" },
//  { 0x63A6, "" },
//  { 0x63A7, "" },
    { 0x63A8, "open_ssn12_wings" },
//  { 0x63A9, "" },
//  { 0x63AA, "" },
//  { 0x63AB, "" },
//  { 0x63AC, "" },
//  { 0x63AD, "" },
//  { 0x63AE, "" },
//  { 0x63AF, "" },
//  { 0x63B0, "" },
//  { 0x63B1, "" },
//  { 0x63B2, "" },
//  { 0x63B3, "" },
//  { 0x63B4, "" },
//  { 0x63B5, "" },
//  { 0x63B6, "" },
    { 0x63B7, "rollinfluence" },
    { 0x63B8, "matching" },
//  { 0x63B9, "" },
//  { 0x63BA, "" },
//  { 0x63BB, "" },
//  { 0x63BC, "" },
//  { 0x63BD, "" },
//  { 0x63BE, "" },
//  { 0x63BF, "" },
//  { 0x63C0, "" },
//  { 0x63C1, "" },
//  { 0x63C2, "" },
//  { 0x63C3, "" },
//  { 0x63C4, "" },
//  { 0x63C5, "" },
//  { 0x63C6, "" },
//  { 0x63C7, "" },
//  { 0x63C8, "" },
//  { 0x63C9, "" },
//  { 0x63CA, "" },
//  { 0x63CB, "" },
//  { 0x63CC, "" },
//  { 0x63CD, "" },
//  { 0x63CE, "" },
//  { 0x63CF, "" },
//  { 0x63D0, "" },
//  { 0x63D1, "" },
//  { 0x63D2, "" },
//  { 0x63D3, "" },
//  { 0x63D4, "" },
//  { 0x63D5, "" },
    { 0x63D6, "dvora_shots" },
//  { 0x63D7, "" },
//  { 0x63D8, "" },
//  { 0x63D9, "" },
//  { 0x63DA, "" },
//  { 0x63DB, "" },
//  { 0x63DC, "" },
//  { 0x63DD, "" },
//  { 0x63DE, "" },
    { 0x63DF, "switch_to_flyout_water" },
    { 0x63E0, "adjust_fov_to_default" },
//  { 0x63E1, "" },
//  { 0x63E2, "" },
//  { 0x63E3, "" },
//  { 0x63E4, "" },
    { 0x63E5, "ch_guy2" },
//  { 0x63E6, "" },
//  { 0x63E7, "" },
//  { 0x63E8, "" },
//  { 0x63E9, "" },
//  { 0x63EA, "" },
    { 0x63EB, "ship_squeeze_event" },
    { 0x63EC, "make_falling_debris" },
//  { 0x63ED, "" },
    { 0x63EE, "make_zubrs" },
    { 0x63EF, "make_swimmers" },
    { 0x63F0, "make_fallers" },
//  { 0x63F1, "" },
//  { 0x63F2, "" },
    { 0x63F3, "setup_swimmers" },
//  { 0x63F4, "" },
//  { 0x63F5, "" },
//  { 0x63F6, "" },
//  { 0x63F7, "" },
//  { 0x63F8, "" },
    { 0x63F9, "rescue_seaknight" },
    { 0x63FA, "ally_zodiac_wake_control" },
    { 0x63FB, "keep_zodiac_ahead" },
    { 0x63FC, "handle_allies_zodiac" },
    { 0x63FD, "zodiac_treadfx_chaser" },
//  { 0x63FE, "" },
//  { 0x63FF, "" },
//  { 0x6400, "" },
//  { 0x6401, "" },
//  { 0x6402, "" },
//  { 0x6403, "" },
//  { 0x6404, "" },
//  { 0x6405, "" },
    { 0x6406, "playersride" },
//  { 0x6407, "" },
//  { 0x6408, "" },
//  { 0x6409, "" },
//  { 0x640A, "" },
//  { 0x640B, "" },
//  { 0x640C, "" },
    { 0x640D, "water_bump" },
//  { 0x640E, "" },
    { 0x640F, "listen_turn_spray" },
//  { 0x6410, "" },
//  { 0x6411, "" },
//  { 0x6412, "" },
//  { 0x6413, "" },
    { 0x6414, "fullautorangesq" },
//  { 0x6415, "" },
//  { 0x6416, "" },
//  { 0x6417, "" },
//  { 0x6418, "" },
    { 0x6419, "player_reload_silently" },
//  { 0x641A, "" },
//  { 0x641B, "" },
//  { 0x641C, "" },
//  { 0x641D, "" },
//  { 0x641E, "" },
//  { 0x641F, "" },
    { 0x6420, "prv_hidden" },
//  { 0x6421, "" },
//  { 0x6422, "" },
    { 0x6423, "patches_hide" },
    { 0x6424, "setup_water_patch_triggers" },
//  { 0x6425, "" },
//  { 0x6426, "" },
    { 0x6427, "sky_battle" },
//  { 0x6428, "" },
//  { 0x6429, "" },
//  { 0x642A, "" },
//  { 0x642B, "" },
//  { 0x642C, "" },
//  { 0x642D, "" },
    { 0x642E, "player_scuba" },
    { 0x642F, "player_scuba_breathe_sound" },
//  { 0x6430, "" },
//  { 0x6431, "" },
//  { 0x6432, "" },
    { 0x6433, "scuba_fx_cleanup" },
//  { 0x6434, "" },
//  { 0x6435, "" },
//  { 0x6436, "" },
//  { 0x6437, "" },
//  { 0x6438, "" },
    { 0x6439, "mine_1" },
//  { 0x643A, "" },
//  { 0x643B, "" },
//  { 0x643C, "" },
//  { 0x643D, "" },
//  { 0x643E, "" },
//  { 0x643F, "" },
    { 0x6440, "sub_panel_fx_failsafe" },
//  { 0x6441, "" },
    { 0x6442, "monitor_mine_detonation" },
//  { 0x6443, "" },
//  { 0x6444, "" },
//  { 0x6445, "" },
//  { 0x6446, "" },
//  { 0x6447, "" },
//  { 0x6448, "" },
//  { 0x6449, "" },
    { 0x644A, "setup_player_usable_vehicle" },
//  { 0x644B, "" },
//  { 0x644C, "" },
//  { 0x644D, "" },
//  { 0x644E, "" },
//  { 0x644F, "" },
//  { 0x6450, "" },
//  { 0x6451, "" },
//  { 0x6452, "" },
//  { 0x6453, "" },
//  { 0x6454, "" },
//  { 0x6455, "" },
//  { 0x6456, "" },
//  { 0x6457, "" },
//  { 0x6458, "" },
//  { 0x6459, "" },
    { 0x645A, "calculateangularrotation" },
//  { 0x645B, "" },
//  { 0x645C, "" },
//  { 0x645D, "" },
//  { 0x645E, "" },
    { 0x645F, "handlesonartargetdeath" },
    { 0x6460, "handlesonarsubdeath" },
//  { 0x6461, "" },
//  { 0x6462, "" },
//  { 0x6463, "" },
//  { 0x6464, "" },
    { 0x6465, "addsonarsubtarget" },
//  { 0x6466, "" },
//  { 0x6467, "" },
    { 0x6468, "sonar_still_active" },
    { 0x6469, "sonar_active" },
    { 0x646A, "sonar_type" },
    { 0x646B, "sonar_effect" },
//  { 0x646C, "" },
//  { 0x646D, "" },
//  { 0x646E, "" },
//  { 0x646F, "" },
//  { 0x6470, "" },
//  { 0x6471, "" },
//  { 0x6472, "" },
//  { 0x6473, "" },
//  { 0x6474, "" },
//  { 0x6475, "" },
//  { 0x6476, "" },
//  { 0x6477, "" },
//  { 0x6478, "" },
//  { 0x6479, "" },
//  { 0x647A, "" },
//  { 0x647B, "" },
//  { 0x647C, "" },
//  { 0x647D, "" },
//  { 0x647E, "" },
//  { 0x647F, "" },
//  { 0x6480, "" },
//  { 0x6481, "" },
//  { 0x6482, "" },
//  { 0x6483, "" },
//  { 0x6484, "" },
//  { 0x6485, "" },
//  { 0x6486, "" },
//  { 0x6487, "" },
//  { 0x6488, "" },
//  { 0x6489, "" },
//  { 0x648A, "" },
//  { 0x648B, "" },
//  { 0x648C, "" },
//  { 0x648D, "" },
//  { 0x648E, "" },
//  { 0x648F, "" },
    { 0x6490, "sonar_init_lrsignal" },
//  { 0x6491, "" },
//  { 0x6492, "" },
//  { 0x6493, "" },
//  { 0x6494, "" },
    { 0x6495, "ref_tag" },
//  { 0x6496, "" },
//  { 0x6497, "" },
    { 0x6498, "sdvfontwidth" },
    { 0x6499, "debugaxis" },
//  { 0x649A, "" },
//  { 0x649B, "" },
//  { 0x649C, "" },
//  { 0x649D, "" },
//  { 0x649E, "" },
//  { 0x649F, "" },
//  { 0x64A0, "" },
//  { 0x64A1, "" },
    { 0x64A2, "transfersdvhud" },
//  { 0x64A3, "" },
    { 0x64A4, "sdv_with_hud" },
//  { 0x64A5, "" },
    { 0x64A6, "flush_sdv_hud" },
//  { 0x64A7, "" },
//  { 0x64A8, "" },
//  { 0x64A9, "" },
//  { 0x64AA, "" },
//  { 0x64AB, "" },
//  { 0x64AC, "" },
//  { 0x64AD, "" },
//  { 0x64AE, "" },
//  { 0x64AF, "" },
//  { 0x64B0, "" },
//  { 0x64B1, "" },
//  { 0x64B2, "" },
//  { 0x64B3, "" },
    { 0x64B4, "sub_ride_turn_settings_afterburner" },
    { 0x64B5, "sub_ride_init" },
//  { 0x64B6, "" },
//  { 0x64B7, "" },
//  { 0x64B8, "" },
    { 0x64B9, "alterfloatsaveddvar" },
//  { 0x64BA, "" },
//  { 0x64BB, "" },
//  { 0x64BC, "" },
//  { 0x64BD, "" },
//  { 0x64BE, "" },
//  { 0x64BF, "" },
//  { 0x64C0, "" },
//  { 0x64C1, "" },
    { 0x64C2, "other_sdv02" },
    { 0x64C3, "sdvarray_alt" },
//  { 0x64C4, "" },
//  { 0x64C5, "" },
    { 0x64C6, "realtime_light_tag" },
    { 0x64C7, "hide_zodiac_ships" },
    { 0x64C8, "populate_floaters" },
//  { 0x64C9, "" },
//  { 0x64CA, "" },
//  { 0x64CB, "" },
//  { 0x64CC, "" },
//  { 0x64CD, "" },
//  { 0x64CE, "" },
//  { 0x64CF, "" },
//  { 0x64D0, "" },
//  { 0x64D1, "" },
    { 0x64D2, "allow_player_to_lookaround_during_tunnel_intro" },
//  { 0x64D3, "" },
    { 0x64D4, "not_driving" },
    { 0x64D5, "wait_to_delete_grate" },
    { 0x64D6, "fix_stances" },
//  { 0x64D7, "" },
//  { 0x64D8, "" },
//  { 0x64D9, "" },
//  { 0x64DA, "" },
//  { 0x64DB, "" },
//  { 0x64DC, "" },
//  { 0x64DD, "" },
    { 0x64DE, "throttlebuttonpressedxenon_cb" },
//  { 0x64DF, "" },
//  { 0x64E0, "" },
//  { 0x64E1, "" },
//  { 0x64E2, "" },
//  { 0x64E3, "" },
//  { 0x64E4, "" },
    { 0x64E5, "throttle_pressed_fnc" },
//  { 0x64E6, "" },
//  { 0x64E7, "" },
//  { 0x64E8, "" },
//  { 0x64E9, "" },
//  { 0x64EA, "" },
    { 0x64EB, "move_player_out_of_vent" },
//  { 0x64EC, "" },
//  { 0x64ED, "" },
//  { 0x64EE, "" },
//  { 0x64EF, "" },
//  { 0x64F0, "" },
//  { 0x64F1, "" },
//  { 0x64F2, "" },
    { 0x64F3, "scubamask_on_player" },
//  { 0x64F4, "" },
//  { 0x64F5, "" },
    { 0x64F6, "scubamask_breathing" },
//  { 0x64F7, "" },
    { 0x64F8, "submine_waitfor_trigger" },
//  { 0x64F9, "" },
//  { 0x64FA, "" },
//  { 0x64FB, "" },
//  { 0x64FC, "" },
//  { 0x64FD, "" },
//  { 0x64FE, "" },
//  { 0x64FF, "" },
    { 0x6500, "watch_object" },
//  { 0x6501, "" },
//  { 0x6502, "" },
//  { 0x6503, "" },
    { 0x6504, "turn_on_light_on_mine" },
    { 0x6505, "getbodyspaceposition" },
//  { 0x6506, "" },
//  { 0x6507, "" },
//  { 0x6508, "" },
    { 0x6509, "submine_waitfor_plant" },
//  { 0x650A, "" },
    { 0x650B, "sub_breach_sub" },
//  { 0x650C, "" },
//  { 0x650D, "" },
    { 0x650E, "sub_breach_player" },
    { 0x650F, "sub_breach_ally" },
//  { 0x6510, "" },
//  { 0x6511, "" },
//  { 0x6512, "" },
    { 0x6513, "grinch_submine_plant" },
//  { 0x6514, "" },
//  { 0x6515, "" },
    { 0x6516, "ally_submine_plant" },
    { 0x6517, "move_close_and_link_end_early" },
//  { 0x6518, "" },
//  { 0x6519, "" },
//  { 0x651A, "" },
//  { 0x651B, "" },
//  { 0x651C, "" },
    { 0x651D, "toggle_lights" },
//  { 0x651E, "" },
//  { 0x651F, "" },
//  { 0x6520, "" },
//  { 0x6521, "" },
//  { 0x6522, "" },
//  { 0x6523, "" },
//  { 0x6524, "" },
//  { 0x6525, "" },
//  { 0x6526, "" },
    { 0x6527, "bob_player_sdv" },
//  { 0x6528, "" },
    { 0x6529, "monitor_propeller_vibration" },
//  { 0x652A, "" },
//  { 0x652B, "" },
//  { 0x652C, "" },
    { 0x652D, "submarine_spawn02" },
//  { 0x652E, "" },
//  { 0x652F, "" },
//  { 0x6530, "" },
    { 0x6531, "set_dvar_overtime" },
//  { 0x6532, "" },
//  { 0x6533, "" },
    { 0x6534, "wait_to_turn_on_players_light" },
    { 0x6535, "wait_player_enter" },
    { 0x6536, "lead_sdv_beacon" },
//  { 0x6537, "" },
//  { 0x6538, "" },
//  { 0x6539, "" },
    { 0x653A, "initiate_friendly_sdvs" },
//  { 0x653B, "" },
//  { 0x653C, "" },
//  { 0x653D, "" },
//  { 0x653E, "" },
    { 0x653F, "sdv_wait_for_player_dist" },
//  { 0x6540, "" },
//  { 0x6541, "" },
//  { 0x6542, "" },
//  { 0x6543, "" },
//  { 0x6544, "" },
//  { 0x6545, "" },
//  { 0x6546, "" },
//  { 0x6547, "" },
//  { 0x6548, "" },
    { 0x6549, "wait_for_lead_sdv_to_reach_end" },
//  { 0x654A, "" },
    { 0x654B, "control_sdv_lights" },
//  { 0x654C, "" },
//  { 0x654D, "" },
//  { 0x654E, "" },
//  { 0x654F, "" },
//  { 0x6550, "" },
    { 0x6551, "cull_dist" },
    { 0x6552, "underwater_fog_approaching_rig" },
    { 0x6553, "setup_viewdependent_fog_vision" },
//  { 0x6554, "" },
    { 0x6555, "dp_depths" },
//  { 0x6556, "" },
//  { 0x6557, "" },
//  { 0x6558, "" },
    { 0x6559, "debug_fdfv" },
//  { 0x655A, "" },
//  { 0x655B, "" },
//  { 0x655C, "" },
//  { 0x655D, "" },
//  { 0x655E, "" },
//  { 0x655F, "" },
//  { 0x6560, "" },
//  { 0x6561, "" },
    { 0x6562, "move_ent_along_entpath" },
//  { 0x6563, "" },
//  { 0x6564, "" },
//  { 0x6565, "" },
//  { 0x6566, "" },
//  { 0x6567, "" },
//  { 0x6568, "" },
//  { 0x6569, "" },
    { 0x656A, "sub_mine_planted" },
    { 0x656B, "should_break_drive_zodiac" },
//  { 0x656C, "" },
//  { 0x656D, "" },
//  { 0x656E, "" },
//  { 0x656F, "" },
//  { 0x6570, "" },
//  { 0x6571, "" },
//  { 0x6572, "" },
//  { 0x6573, "" },
//  { 0x6574, "" },
//  { 0x6575, "" },
//  { 0x6576, "" },
//  { 0x6577, "" },
    { 0x6578, "ny_harbor_exit_dof" },
//  { 0x6579, "" },
//  { 0x657A, "" },
    { 0x657B, "obj_capture_sub" },
//  { 0x657C, "" },
//  { 0x657D, "" },
//  { 0x657E, "" },
//  { 0x657F, "" },
//  { 0x6580, "" },
//  { 0x6581, "" },
//  { 0x6582, "" },
//  { 0x6583, "" },
//  { 0x6584, "" },
//  { 0x6585, "" },
//  { 0x6586, "" },
//  { 0x6587, "" },
//  { 0x6588, "" },
//  { 0x6589, "" },
//  { 0x658A, "" },
//  { 0x658B, "" },
//  { 0x658C, "" },
//  { 0x658D, "" },
//  { 0x658E, "" },
//  { 0x658F, "" },
//  { 0x6590, "" },
    { 0x6591, "play_custom_animation" },
//  { 0x6592, "" },
//  { 0x6593, "" },
//  { 0x6594, "" },
//  { 0x6595, "" },
//  { 0x6596, "" },
    { 0x6597, "reset_breach" },
    { 0x6598, "close_door" },
    { 0x6599, "debug_breach_done" },
//  { 0x659A, "" },
//  { 0x659B, "" },
    { 0x659C, "load_vehicle_anims" },
    { 0x659D, "load_script_model_anims" },
//  { 0x659E, "" },
//  { 0x659F, "" },
//  { 0x65A0, "" },
//  { 0x65A1, "" },
//  { 0x65A2, "" },
//  { 0x65A3, "" },
//  { 0x65A4, "" },
//  { 0x65A5, "" },
//  { 0x65A6, "" },
//  { 0x65A7, "" },
//  { 0x65A8, "" },
//  { 0x65A9, "" },
    { 0x65AA, "attach_knife" },
//  { 0x65AB, "" },
    { 0x65AC, "detach_knife" },
    { 0x65AD, "stab_knife" },
//  { 0x65AE, "" },
//  { 0x65AF, "" },
//  { 0x65B0, "" },
    { 0x65B1, "kick_church_doors" },
//  { 0x65B2, "" },
//  { 0x65B3, "" },
//  { 0x65B4, "" },
//  { 0x65B5, "" },
//  { 0x65B6, "" },
    { 0x65B7, "intro_line_1" },
//  { 0x65B8, "" },
//  { 0x65B9, "" },
    { 0x65BA, "play_splash_2" },
    { 0x65BB, "roof_fall_land" },
    { 0x65BC, "roof_fall_slowmo" },
//  { 0x65BD, "" },
//  { 0x65BE, "" },
//  { 0x65BF, "" },
//  { 0x65C0, "" },
    { 0x65C1, "debug_draw_point" },
    { 0x65C2, "create_exploder_id" },
//  { 0x65C3, "" },
//  { 0x65C4, "" },
//  { 0x65C5, "" },
//  { 0x65C6, "" },
    { 0x65C7, "show_warning_indicator" },
//  { 0x65C8, "" },
//  { 0x65C9, "" },
//  { 0x65CA, "" },
//  { 0x65CB, "" },
//  { 0x65CC, "" },
    { 0x65CD, "move_entity_to_start" },
//  { 0x65CE, "" },
    { 0x65CF, "wait_use_button_down" },
    { 0x65D0, "warlord_waterfx" },
//  { 0x65D1, "" },
    { 0x65D2, "sbmodel_rotate" },
    { 0x65D3, "og_angles" },
//  { 0x65D4, "" },
//  { 0x65D5, "" },
//  { 0x65D6, "" },
//  { 0x65D7, "" },
//  { 0x65D8, "" },
//  { 0x65D9, "" },
//  { 0x65DA, "" },
//  { 0x65DB, "" },
//  { 0x65DC, "" },
//  { 0x65DD, "" },
//  { 0x65DE, "" },
//  { 0x65DF, "" },
//  { 0x65E0, "" },
//  { 0x65E1, "" },
//  { 0x65E2, "" },
    { 0x65E3, "marked_for_death" },
//  { 0x65E4, "" },
//  { 0x65E5, "" },
    { 0x65E6, "field_count" },
//  { 0x65E7, "" },
//  { 0x65E8, "" },
//  { 0x65E9, "" },
//  { 0x65EA, "" },
//  { 0x65EB, "" },
//  { 0x65EC, "" },
//  { 0x65ED, "" },
//  { 0x65EE, "" },
//  { 0x65EF, "" },
    { 0x65F0, "manage_overlapping_flag_trigger" },
    { 0x65F1, "flag_trigger_count" },
//  { 0x65F2, "" },
//  { 0x65F3, "" },
//  { 0x65F4, "" },
//  { 0x65F5, "" },
//  { 0x65F6, "" },
    { 0x65F7, "stealth_technical_rider" },
//  { 0x65F8, "" },
//  { 0x65F9, "" },
//  { 0x65FA, "" },
//  { 0x65FB, "" },
//  { 0x65FC, "" },
//  { 0x65FD, "" },
//  { 0x65FE, "" },
//  { 0x65FF, "" },
//  { 0x6600, "" },
//  { 0x6601, "" },
//  { 0x6602, "" },
//  { 0x6603, "" },
//  { 0x6604, "" },
//  { 0x6605, "" },
//  { 0x6606, "" },
//  { 0x6607, "" },
//  { 0x6608, "" },
//  { 0x6609, "" },
//  { 0x660A, "" },
//  { 0x660B, "" },
//  { 0x660C, "" },
//  { 0x660D, "" },
//  { 0x660E, "" },
//  { 0x660F, "" },
//  { 0x6610, "" },
//  { 0x6611, "" },
//  { 0x6612, "" },
//  { 0x6613, "" },
//  { 0x6614, "" },
//  { 0x6615, "" },
//  { 0x6616, "" },
//  { 0x6617, "" },
//  { 0x6618, "" },
//  { 0x6619, "" },
//  { 0x661A, "" },
//  { 0x661B, "" },
//  { 0x661C, "" },
//  { 0x661D, "" },
//  { 0x661E, "" },
//  { 0x661F, "" },
//  { 0x6620, "" },
//  { 0x6621, "" },
//  { 0x6622, "" },
//  { 0x6623, "" },
//  { 0x6624, "" },
//  { 0x6625, "" },
//  { 0x6626, "" },
    { 0x6627, "technical_rider_animation_wrapper" },
//  { 0x6628, "" },
//  { 0x6629, "" },
//  { 0x662A, "" },
//  { 0x662B, "" },
//  { 0x662C, "" },
    { 0x662D, "objective_overwatch" },
//  { 0x662E, "" },
//  { 0x662F, "" },
//  { 0x6630, "" },
//  { 0x6631, "" },
    { 0x6632, "objective_evade_mortar" },
    { 0x6633, "objective_use_mortar" },
//  { 0x6634, "" },
//  { 0x6635, "" },
//  { 0x6636, "" },
//  { 0x6637, "" },
//  { 0x6638, "" },
//  { 0x6639, "" },
//  { 0x663A, "" },
//  { 0x663B, "" },
//  { 0x663C, "" },
    { 0x663D, "hint_string" },
//  { 0x663E, "" },
//  { 0x663F, "" },
//  { 0x6640, "" },
    { 0x6641, "camera_view_angle_bottom" },
//  { 0x6642, "" },
//  { 0x6643, "" },
//  { 0x6644, "" },
//  { 0x6645, "" },
//  { 0x6646, "" },
//  { 0x6647, "" },
//  { 0x6648, "" },
//  { 0x6649, "" },
    { 0x664A, "damage_range" },
//  { 0x664B, "" },
    { 0x664C, "damage_min" },
    { 0x664D, "max_ammo" },
//  { 0x664E, "" },
//  { 0x664F, "" },
//  { 0x6650, "" },
//  { 0x6651, "" },
//  { 0x6652, "" },
//  { 0x6653, "" },
//  { 0x6654, "" },
//  { 0x6655, "" },
    { 0x6656, "wait_until_done" },
//  { 0x6657, "" },
//  { 0x6658, "" },
//  { 0x6659, "" },
//  { 0x665A, "" },
//  { 0x665B, "" },
//  { 0x665C, "" },
//  { 0x665D, "" },
//  { 0x665E, "" },
//  { 0x665F, "" },
//  { 0x6660, "" },
//  { 0x6661, "" },
//  { 0x6662, "" },
//  { 0x6663, "" },
//  { 0x6664, "" },
    { 0x6665, "unequip_mortar" },
//  { 0x6666, "" },
//  { 0x6667, "" },
//  { 0x6668, "" },
//  { 0x6669, "" },
//  { 0x666A, "" },
//  { 0x666B, "" },
//  { 0x666C, "" },
//  { 0x666D, "" },
    { 0x666E, "play_crank_idle" },
//  { 0x666F, "" },
//  { 0x6670, "" },
//  { 0x6671, "" },
//  { 0x6672, "" },
//  { 0x6673, "" },
//  { 0x6674, "" },
//  { 0x6675, "" },
//  { 0x6676, "" },
//  { 0x6677, "" },
//  { 0x6678, "" },
    { 0x6679, "total_air_time" },
    { 0x667A, "mortar_aim_fire_velocity" },
//  { 0x667B, "" },
//  { 0x667C, "" },
//  { 0x667D, "" },
//  { 0x667E, "" },
//  { 0x667F, "" },
    { 0x6680, "fire_blur" },
    { 0x6681, "fire_mortar" },
    { 0x6682, "mortar_shots" },
//  { 0x6683, "" },
//  { 0x6684, "" },
//  { 0x6685, "" },
//  { 0x6686, "" },
//  { 0x6687, "" },
//  { 0x6688, "" },
//  { 0x6689, "" },
    { 0x668A, "draw_circle" },
//  { 0x668B, "" },
//  { 0x668C, "" },
//  { 0x668D, "" },
//  { 0x668E, "" },
//  { 0x668F, "" },
//  { 0x6690, "" },
//  { 0x6691, "" },
//  { 0x6692, "" },
//  { 0x6693, "" },
//  { 0x6694, "" },
//  { 0x6695, "" },
    { 0x6696, "intro_lock_player_view" },
//  { 0x6697, "" },
//  { 0x6698, "" },
    { 0x6699, "player_in_water_trigger" },
//  { 0x669A, "" },
//  { 0x669B, "" },
//  { 0x669C, "" },
//  { 0x669D, "" },
//  { 0x669E, "" },
//  { 0x669F, "" },
//  { 0x66A0, "" },
//  { 0x66A1, "" },
//  { 0x66A2, "" },
//  { 0x66A3, "" },
    { 0x66A4, "river_mantle_brush" },
    { 0x66A5, "monitor_river_mantle_brush" },
    { 0x66A6, "stealth_death_hint_technicals" },
//  { 0x66A7, "" },
    { 0x66A8, "play_soap_crouch_idle" },
    { 0x66A9, "ally_can_push_player" },
//  { 0x66AA, "" },
//  { 0x66AB, "" },
    { 0x66AC, "path_after_vehicle_exit" },
    { 0x66AD, "river_technicals_encounter_ranges" },
    { 0x66AE, "reset_on_enemy_bad_event" },
//  { 0x66AF, "" },
//  { 0x66B0, "" },
//  { 0x66B1, "" },
//  { 0x66B2, "" },
//  { 0x66B3, "" },
//  { 0x66B4, "" },
    { 0x66B5, "monitor_river_encounter_end" },
//  { 0x66B6, "" },
    { 0x66B7, "dummy_turret_target" },
//  { 0x66B8, "" },
//  { 0x66B9, "" },
//  { 0x66BA, "" },
//  { 0x66BB, "" },
//  { 0x66BC, "" },
    { 0x66BD, "play_pulldown_kill" },
//  { 0x66BE, "" },
//  { 0x66BF, "" },
//  { 0x66C0, "" },
    { 0x66C1, "switch_run_on_alert" },
    { 0x66C2, "river_technical_patroller_end" },
//  { 0x66C3, "" },
//  { 0x66C4, "" },
//  { 0x66C5, "" },
//  { 0x66C6, "" },
//  { 0x66C7, "" },
    { 0x66C8, "get_hint_from_map" },
//  { 0x66C9, "" },
    { 0x66CA, "display_hint_from_map" },
//  { 0x66CB, "" },
//  { 0x66CC, "" },
//  { 0x66CD, "" },
//  { 0x66CE, "" },
    { 0x66CF, "price_play_log_anims" },
    { 0x66D0, "soap_play_log_anims" },
//  { 0x66D1, "" },
//  { 0x66D2, "" },
//  { 0x66D3, "" },
//  { 0x66D4, "" },
//  { 0x66D5, "" },
//  { 0x66D6, "" },
//  { 0x66D7, "" },
//  { 0x66D8, "" },
//  { 0x66D9, "" },
//  { 0x66DA, "" },
//  { 0x66DB, "" },
//  { 0x66DC, "" },
//  { 0x66DD, "" },
    { 0x66DE, "price_sees_enemy" },
//  { 0x66DF, "" },
//  { 0x66E0, "" },
//  { 0x66E1, "" },
//  { 0x66E2, "" },
    { 0x66E3, "play_jeer_anims" },
    { 0x66E4, "play_jeer_loop" },
//  { 0x66E5, "" },
//  { 0x66E6, "" },
//  { 0x66E7, "" },
//  { 0x66E8, "" },
    { 0x66E9, "ally_get_to_burn" },
    { 0x66EA, "wait_for_burn_to_end" },
    { 0x66EB, "village_corpse" },
//  { 0x66EC, "" },
    { 0x66ED, "burn_guard" },
//  { 0x66EE, "" },
//  { 0x66EF, "" },
//  { 0x66F0, "" },
//  { 0x66F1, "" },
//  { 0x66F2, "" },
//  { 0x66F3, "" },
//  { 0x66F4, "" },
//  { 0x66F5, "" },
//  { 0x66F6, "" },
//  { 0x66F7, "" },
//  { 0x66F8, "" },
//  { 0x66F9, "" },
//  { 0x66FA, "" },
//  { 0x66FB, "" },
//  { 0x66FC, "" },
//  { 0x66FD, "" },
//  { 0x66FE, "" },
//  { 0x66FF, "" },
    { 0x6700, "wait_to_unlink_gas_can" },
//  { 0x6701, "" },
//  { 0x6702, "" },
//  { 0x6703, "" },
    { 0x6704, "river_house_burn_watchers_setup" },
//  { 0x6705, "" },
//  { 0x6706, "" },
//  { 0x6707, "" },
//  { 0x6708, "" },
    { 0x6709, "ignoreme_while_stealth" },
//  { 0x670A, "" },
    { 0x670B, "river_big_moment" },
//  { 0x670C, "" },
//  { 0x670D, "" },
//  { 0x670E, "" },
//  { 0x670F, "" },
//  { 0x6710, "" },
//  { 0x6711, "" },
    { 0x6712, "wait_for_execution_interrupt" },
//  { 0x6713, "" },
    { 0x6714, "post_execution_patrol" },
//  { 0x6715, "" },
    { 0x6716, "river_big_moment_music_busted" },
//  { 0x6717, "" },
    { 0x6718, "river_big_moment_detected" },
//  { 0x6719, "" },
//  { 0x671A, "" },
//  { 0x671B, "" },
//  { 0x671C, "" },
//  { 0x671D, "" },
//  { 0x671E, "" },
//  { 0x671F, "" },
//  { 0x6720, "" },
//  { 0x6721, "" },
    { 0x6722, "setup_river_big_moment_guys" },
//  { 0x6723, "" },
//  { 0x6724, "" },
//  { 0x6725, "" },
//  { 0x6726, "" },
//  { 0x6727, "" },
//  { 0x6728, "" },
//  { 0x6729, "" },
//  { 0x672A, "" },
//  { 0x672B, "" },
//  { 0x672C, "" },
//  { 0x672D, "" },
//  { 0x672E, "" },
//  { 0x672F, "" },
//  { 0x6730, "" },
//  { 0x6731, "" },
//  { 0x6732, "" },
//  { 0x6733, "" },
//  { 0x6734, "" },
//  { 0x6735, "" },
//  { 0x6736, "" },
//  { 0x6737, "" },
//  { 0x6738, "" },
//  { 0x6739, "" },
//  { 0x673A, "" },
    { 0x673B, "no_prone_hint" },
//  { 0x673C, "" },
//  { 0x673D, "" },
    { 0x673E, "prone_autosave" },
//  { 0x673F, "" },
    { 0x6740, "aud_river_big_moment_grass_player_prone" },
//  { 0x6741, "" },
//  { 0x6742, "" },
    { 0x6743, "river_prone_patrol_setup" },
//  { 0x6744, "" },
//  { 0x6745, "" },
//  { 0x6746, "" },
//  { 0x6747, "" },
//  { 0x6748, "" },
    { 0x6749, "river_moment_end_guys_setup" },
//  { 0x674A, "" },
//  { 0x674B, "" },
//  { 0x674C, "" },
//  { 0x674D, "" },
//  { 0x674E, "" },
//  { 0x674F, "" },
//  { 0x6750, "" },
//  { 0x6751, "" },
//  { 0x6752, "" },
    { 0x6753, "watch_for_premature_bridge_death" },
//  { 0x6754, "" },
//  { 0x6755, "" },
//  { 0x6756, "" },
//  { 0x6757, "" },
    { 0x6758, "river_cleanup" },
//  { 0x6759, "" },
    { 0x675A, "wait_and_play_anim" },
//  { 0x675B, "" },
//  { 0x675C, "" },
//  { 0x675D, "" },
//  { 0x675E, "" },
//  { 0x675F, "" },
//  { 0x6760, "" },
//  { 0x6761, "" },
//  { 0x6762, "" },
//  { 0x6763, "" },
//  { 0x6764, "" },
//  { 0x6765, "" },
//  { 0x6766, "" },
//  { 0x6767, "" },
//  { 0x6768, "" },
//  { 0x6769, "" },
    { 0x676A, "start_inf_stealth" },
//  { 0x676B, "" },
//  { 0x676C, "" },
//  { 0x676D, "" },
//  { 0x676E, "" },
//  { 0x676F, "" },
//  { 0x6770, "" },
//  { 0x6771, "" },
    { 0x6772, "reach_price_corner_kill" },
    { 0x6773, "enemy_reach_price_corner_kill" },
//  { 0x6774, "" },
    { 0x6775, "monitor_price_door_trigger" },
    { 0x6776, "ally_post_corner_kill_move" },
//  { 0x6777, "" },
//  { 0x6778, "" },
//  { 0x6779, "" },
//  { 0x677A, "" },
//  { 0x677B, "" },
//  { 0x677C, "" },
//  { 0x677D, "" },
//  { 0x677E, "" },
//  { 0x677F, "" },
//  { 0x6780, "" },
//  { 0x6781, "" },
    { 0x6782, "anim_sleep" },
//  { 0x6783, "" },
    { 0x6784, "wait_for_waking_event" },
//  { 0x6785, "" },
//  { 0x6786, "" },
//  { 0x6787, "" },
//  { 0x6788, "" },
//  { 0x6789, "" },
    { 0x678A, "inf_guys" },
//  { 0x678B, "" },
//  { 0x678C, "" },
//  { 0x678D, "" },
    { 0x678E, "inf_house_guys_setup" },
    { 0x678F, "house_guy_ai" },
//  { 0x6790, "" },
//  { 0x6791, "" },
//  { 0x6792, "" },
//  { 0x6793, "" },
//  { 0x6794, "" },
//  { 0x6795, "" },
//  { 0x6796, "" },
//  { 0x6797, "" },
//  { 0x6798, "" },
//  { 0x6799, "" },
//  { 0x679A, "" },
//  { 0x679B, "" },
//  { 0x679C, "" },
//  { 0x679D, "" },
    { 0x679E, "inf_reinforce_end_guys" },
//  { 0x679F, "" },
//  { 0x67A0, "" },
//  { 0x67A1, "" },
//  { 0x67A2, "" },
//  { 0x67A3, "" },
//  { 0x67A4, "" },
    { 0x67A5, "show_switch_hint" },
    { 0x67A6, "yuri_advance" },
//  { 0x67A7, "" },
//  { 0x67A8, "" },
//  { 0x67A9, "" },
//  { 0x67AA, "" },
//  { 0x67AB, "" },
    { 0x67AC, "shoot_around_target" },
//  { 0x67AD, "" },
    { 0x67AE, "wait_til_advance_intro_over" },
//  { 0x67AF, "" },
//  { 0x67B0, "" },
    { 0x67B1, "move_guys_forward" },
//  { 0x67B2, "" },
//  { 0x67B3, "" },
    { 0x67B4, "monitor_advance_skip" },
//  { 0x67B5, "" },
//  { 0x67B6, "" },
//  { 0x67B7, "" },
//  { 0x67B8, "" },
//  { 0x67B9, "" },
//  { 0x67BA, "" },
//  { 0x67BB, "" },
//  { 0x67BC, "" },
//  { 0x67BD, "" },
//  { 0x67BE, "" },
//  { 0x67BF, "" },
    { 0x67C0, "monitor_path_end" },
//  { 0x67C1, "" },
//  { 0x67C2, "" },
//  { 0x67C3, "" },
//  { 0x67C4, "" },
    { 0x67C5, "setup_technical_technical" },
//  { 0x67C6, "" },
//  { 0x67C7, "" },
    { 0x67C8, "wait_for_path_end_or_death" },
//  { 0x67C9, "" },
//  { 0x67CA, "" },
//  { 0x67CB, "" },
//  { 0x67CC, "" },
//  { 0x67CD, "" },
//  { 0x67CE, "" },
//  { 0x67CF, "" },
//  { 0x67D0, "" },
    { 0x67D1, "spawn_behind_truck_guys" },
    { 0x67D2, "technical_combat_dialogue" },
//  { 0x67D3, "" },
//  { 0x67D4, "" },
//  { 0x67D5, "" },
//  { 0x67D6, "" },
//  { 0x67D7, "" },
//  { 0x67D8, "" },
    { 0x67D9, "technical_mortar_explosions" },
//  { 0x67DA, "" },
//  { 0x67DB, "" },
//  { 0x67DC, "" },
//  { 0x67DD, "" },
//  { 0x67DE, "" },
//  { 0x67DF, "" },
    { 0x67E0, "manage_wave_guy_count" },
    { 0x67E1, "manage_total_foot_guy_count" },
    { 0x67E2, "set_turret_death_anim" },
//  { 0x67E3, "" },
//  { 0x67E4, "" },
//  { 0x67E5, "" },
//  { 0x67E6, "" },
//  { 0x67E7, "" },
//  { 0x67E8, "" },
    { 0x67E9, "dead_gunner" },
//  { 0x67EA, "" },
//  { 0x67EB, "" },
//  { 0x67EC, "" },
    { 0x67ED, "player_use_technical_turret" },
//  { 0x67EE, "" },
//  { 0x67EF, "" },
//  { 0x67F0, "" },
//  { 0x67F1, "" },
    { 0x67F2, "crash_player_technical" },
//  { 0x67F3, "" },
//  { 0x67F4, "" },
//  { 0x67F5, "" },
//  { 0x67F6, "" },
//  { 0x67F7, "" },
//  { 0x67F8, "" },
//  { 0x67F9, "" },
//  { 0x67FA, "" },
    { 0x67FB, "clear_corpses" },
//  { 0x67FC, "" },
//  { 0x67FD, "" },
    { 0x67FE, "mortar_extend_timer_triggers" },
//  { 0x67FF, "" },
//  { 0x6800, "" },
//  { 0x6801, "" },
//  { 0x6802, "" },
    { 0x6803, "setup_mortar_badguys" },
    { 0x6804, "mortar_run_scripted_explosions" },
//  { 0x6805, "" },
//  { 0x6806, "" },
//  { 0x6807, "" },
//  { 0x6808, "" },
//  { 0x6809, "" },
    { 0x680A, "last_mortar_hit_react_time" },
    { 0x680B, "mortar_explosion_generic" },
//  { 0x680C, "" },
//  { 0x680D, "" },
//  { 0x680E, "" },
//  { 0x680F, "" },
//  { 0x6810, "" },
    { 0x6811, "mortar_roof" },
//  { 0x6812, "" },
    { 0x6813, "last_house" },
//  { 0x6814, "" },
//  { 0x6815, "" },
//  { 0x6816, "" },
//  { 0x6817, "" },
    { 0x6818, "fall_through_roof" },
//  { 0x6819, "" },
//  { 0x681A, "" },
//  { 0x681B, "" },
//  { 0x681C, "" },
    { 0x681D, "disonnect_path_on_death" },
    { 0x681E, "setup_mortar_motivation_guys" },
    { 0x681F, "mortar_motivation_guys" },
//  { 0x6820, "" },
//  { 0x6821, "" },
//  { 0x6822, "" },
//  { 0x6823, "" },
//  { 0x6824, "" },
//  { 0x6825, "" },
//  { 0x6826, "" },
    { 0x6827, "try_mortar_death" },
    { 0x6828, "setup_mortar_wave_guy" },
//  { 0x6829, "" },
//  { 0x682A, "" },
//  { 0x682B, "" },
//  { 0x682C, "" },
//  { 0x682D, "" },
//  { 0x682E, "" },
//  { 0x682F, "" },
//  { 0x6830, "" },
//  { 0x6831, "" },
//  { 0x6832, "" },
//  { 0x6833, "" },
//  { 0x6834, "" },
//  { 0x6835, "" },
//  { 0x6836, "" },
//  { 0x6837, "" },
//  { 0x6838, "" },
//  { 0x6839, "" },
//  { 0x683A, "" },
    { 0x683B, "assault_door_kick" },
//  { 0x683C, "" },
//  { 0x683D, "" },
//  { 0x683E, "" },
//  { 0x683F, "" },
    { 0x6840, "ally_heat_behavior" },
//  { 0x6841, "" },
//  { 0x6842, "" },
//  { 0x6843, "" },
    { 0x6844, "assault_door_spawners" },
//  { 0x6845, "" },
//  { 0x6846, "" },
//  { 0x6847, "" },
//  { 0x6848, "" },
//  { 0x6849, "" },
//  { 0x684A, "" },
//  { 0x684B, "" },
//  { 0x684C, "" },
//  { 0x684D, "" },
//  { 0x684E, "" },
    { 0x684F, "barrel_alternate_delay" },
//  { 0x6850, "" },
//  { 0x6851, "" },
//  { 0x6852, "" },
//  { 0x6853, "" },
//  { 0x6854, "" },
//  { 0x6855, "" },
//  { 0x6856, "" },
//  { 0x6857, "" },
//  { 0x6858, "" },
    { 0x6859, "change_goal_radius_on_goal" },
//  { 0x685A, "" },
//  { 0x685B, "" },
//  { 0x685C, "" },
    { 0x685D, "delete_roof_ai" },
//  { 0x685E, "" },
    { 0x685F, "turn_off_compound_triggers" },
//  { 0x6860, "" },
//  { 0x6861, "" },
//  { 0x6862, "" },
    { 0x6863, "church_guys" },
//  { 0x6864, "" },
//  { 0x6865, "" },
//  { 0x6866, "" },
//  { 0x6867, "" },
//  { 0x6868, "" },
//  { 0x6869, "" },
//  { 0x686A, "" },
//  { 0x686B, "" },
    { 0x686C, "warlord_confrontation" },
//  { 0x686D, "" },
//  { 0x686E, "" },
//  { 0x686F, "" },
//  { 0x6870, "" },
//  { 0x6871, "" },
//  { 0x6872, "" },
//  { 0x6873, "" },
//  { 0x6874, "" },
//  { 0x6875, "" },
//  { 0x6876, "" },
//  { 0x6877, "" },
//  { 0x6878, "" },
//  { 0x6879, "" },
//  { 0x687A, "" },
//  { 0x687B, "" },
//  { 0x687C, "" },
//  { 0x687D, "" },
    { 0x687E, "river_dialogue" },
//  { 0x687F, "" },
//  { 0x6880, "" },
//  { 0x6881, "" },
//  { 0x6882, "" },
//  { 0x6883, "" },
    { 0x6884, "stop_speaking" },
//  { 0x6885, "" },
    { 0x6886, "executing_civilians_dialogue" },
//  { 0x6887, "" },
//  { 0x6888, "" },
    { 0x6889, "river_big_moment_dialogue" },
//  { 0x688A, "" },
//  { 0x688B, "" },
//  { 0x688C, "" },
//  { 0x688D, "" },
//  { 0x688E, "" },
//  { 0x688F, "" },
    { 0x6890, "rally_on_me_dialogue" },
//  { 0x6891, "" },
//  { 0x6892, "" },
//  { 0x6893, "" },
//  { 0x6894, "" },
//  { 0x6895, "" },
//  { 0x6896, "" },
//  { 0x6897, "" },
    { 0x6898, "mortar_run_dialogue" },
//  { 0x6899, "" },
    { 0x689A, "vo_mortar_line" },
//  { 0x689B, "" },
//  { 0x689C, "" },
//  { 0x689D, "" },
//  { 0x689E, "" },
//  { 0x689F, "" },
//  { 0x68A0, "" },
//  { 0x68A1, "" },
//  { 0x68A2, "" },
//  { 0x68A3, "" },
//  { 0x68A4, "" },
//  { 0x68A5, "" },
//  { 0x68A6, "" },
//  { 0x68A7, "" },
    { 0x68A8, "warlord_stealth_intro" },
//  { 0x68A9, "" },
//  { 0x68AA, "" },
//  { 0x68AB, "" },
//  { 0x68AC, "" },
//  { 0x68AD, "" },
    { 0x68AE, "warlord_river_big_moment" },
//  { 0x68AF, "" },
//  { 0x68B0, "" },
//  { 0x68B1, "" },
//  { 0x68B2, "" },
//  { 0x68B3, "" },
//  { 0x68B4, "" },
//  { 0x68B5, "" },
//  { 0x68B6, "" },
//  { 0x68B7, "" },
//  { 0x68B8, "" },
//  { 0x68B9, "" },
//  { 0x68BA, "" },
//  { 0x68BB, "" },
//  { 0x68BC, "" },
    { 0x68BD, "start_super_technical" },
//  { 0x68BE, "" },
//  { 0x68BF, "" },
//  { 0x68C0, "" },
    { 0x68C1, "start_autosave" },
//  { 0x68C2, "" },
//  { 0x68C3, "" },
//  { 0x68C4, "" },
//  { 0x68C5, "" },
//  { 0x68C6, "" },
//  { 0x68C7, "" },
//  { 0x68C8, "" },
    { 0x68C9, "courtyard_dialog_intro" },
//  { 0x68CA, "" },
//  { 0x68CB, "" },
//  { 0x68CC, "" },
//  { 0x68CD, "" },
    { 0x68CE, "courtyard_dialog_watch_breach" },
//  { 0x68CF, "" },
//  { 0x68D0, "" },
//  { 0x68D1, "" },
//  { 0x68D2, "" },
//  { 0x68D3, "" },
//  { 0x68D4, "" },
//  { 0x68D5, "" },
//  { 0x68D6, "" },
//  { 0x68D7, "" },
//  { 0x68D8, "" },
//  { 0x68D9, "" },
//  { 0x68DA, "" },
//  { 0x68DB, "" },
//  { 0x68DC, "" },
//  { 0x68DD, "" },
    { 0x68DE, "regroup_dialog_get_to_shed_nag" },
//  { 0x68DF, "" },
//  { 0x68E0, "" },
//  { 0x68E1, "" },
//  { 0x68E2, "" },
//  { 0x68E3, "" },
//  { 0x68E4, "" },
//  { 0x68E5, "" },
//  { 0x68E6, "" },
//  { 0x68E7, "" },
    { 0x68E8, "maars_control_dialog_moving" },
//  { 0x68E9, "" },
//  { 0x68EA, "" },
//  { 0x68EB, "" },
//  { 0x68EC, "" },
//  { 0x68ED, "" },
//  { 0x68EE, "" },
//  { 0x68EF, "" },
//  { 0x68F0, "" },
//  { 0x68F1, "" },
//  { 0x68F2, "" },
//  { 0x68F3, "" },
//  { 0x68F4, "" },
//  { 0x68F5, "" },
//  { 0x68F6, "" },
    { 0x68F7, "specialkeys" },
//  { 0x68F8, "" },
//  { 0x68F9, "" },
//  { 0x68FA, "" },
//  { 0x68FB, "" },
//  { 0x68FC, "" },
//  { 0x68FD, "" },
//  { 0x68FE, "" },
//  { 0x68FF, "" },
//  { 0x6900, "" },
//  { 0x6901, "" },
    { 0x6902, "play_loop_solo_stoppable" },
    { 0x6903, "also_stop_loop_on" },
//  { 0x6904, "" },
//  { 0x6905, "" },
//  { 0x6906, "" },
//  { 0x6907, "" },
//  { 0x6908, "" },
//  { 0x6909, "" },
//  { 0x690A, "" },
    { 0x690B, "custom_glass_think" },
//  { 0x690C, "" },
//  { 0x690D, "" },
//  { 0x690E, "" },
//  { 0x690F, "" },
//  { 0x6910, "" },
//  { 0x6911, "" },
//  { 0x6912, "" },
//  { 0x6913, "" },
//  { 0x6914, "" },
//  { 0x6915, "" },
//  { 0x6916, "" },
    { 0x6917, "price_pistolfire" },
//  { 0x6918, "" },
//  { 0x6919, "" },
//  { 0x691A, "" },
//  { 0x691B, "" },
    { 0x691C, "courtyard_brick_impacts" },
    { 0x691D, "enemies_compound_door_breach" },
//  { 0x691E, "" },
//  { 0x691F, "" },
//  { 0x6920, "" },
//  { 0x6921, "" },
//  { 0x6922, "" },
//  { 0x6923, "" },
//  { 0x6924, "" },
//  { 0x6925, "" },
//  { 0x6926, "" },
    { 0x6927, "price_compound_door_breach" },
//  { 0x6928, "" },
    { 0x6929, "slide_window_fires_explosions" },
//  { 0x692A, "" },
//  { 0x692B, "" },
//  { 0x692C, "" },
//  { 0x692D, "" },
    { 0x692E, "slide_player_dust_hands" },
//  { 0x692F, "" },
//  { 0x6930, "" },
//  { 0x6931, "" },
//  { 0x6932, "" },
//  { 0x6933, "" },
//  { 0x6934, "" },
//  { 0x6935, "" },
//  { 0x6936, "" },
//  { 0x6937, "" },
//  { 0x6938, "" },
//  { 0x6939, "" },
//  { 0x693A, "" },
//  { 0x693B, "" },
//  { 0x693C, "" },
//  { 0x693D, "" },
//  { 0x693E, "" },
//  { 0x693F, "" },
//  { 0x6940, "" },
//  { 0x6941, "" },
//  { 0x6942, "" },
    { 0x6943, "fxwaterheater" },
//  { 0x6944, "" },
//  { 0x6945, "" },
//  { 0x6946, "" },
    { 0x6947, "maars_buildingslide_dirtchunkfx" },
    { 0x6948, "maars_buildingslide_moment_windows" },
//  { 0x6949, "" },
//  { 0x694A, "" },
//  { 0x694B, "" },
//  { 0x694C, "" },
//  { 0x694D, "" },
    { 0x694E, "maars_buildingslide_chunkshadowsthread" },
    { 0x694F, "maars_buildingslide_chunkshadows" },
//  { 0x6950, "" },
//  { 0x6951, "" },
//  { 0x6952, "" },
    { 0x6953, "maars_buildingslide_moment" },
//  { 0x6954, "" },
//  { 0x6955, "" },
    { 0x6956, "water_emerge" },
//  { 0x6957, "" },
//  { 0x6958, "" },
//  { 0x6959, "" },
//  { 0x695A, "" },
//  { 0x695B, "" },
//  { 0x695C, "" },
//  { 0x695D, "" },
//  { 0x695E, "" },
//  { 0x695F, "" },
//  { 0x6960, "" },
//  { 0x6961, "" },
//  { 0x6962, "" },
//  { 0x6963, "" },
//  { 0x6964, "" },
//  { 0x6965, "" },
//  { 0x6966, "" },
//  { 0x6967, "" },
//  { 0x6968, "" },
//  { 0x6969, "" },
//  { 0x696A, "" },
//  { 0x696B, "" },
//  { 0x696C, "" },
//  { 0x696D, "" },
//  { 0x696E, "" },
    { 0x696F, "handle_idle_wounded_anims" },
    { 0x6970, "play_carry_wounded_idle" },
    { 0x6971, "synchronize_carry_anim" },
//  { 0x6972, "" },
//  { 0x6973, "" },
//  { 0x6974, "" },
//  { 0x6975, "" },
//  { 0x6976, "" },
//  { 0x6977, "" },
//  { 0x6978, "" },
//  { 0x6979, "" },
//  { 0x697A, "" },
//  { 0x697B, "" },
    { 0x697C, "animated_props" },
//  { 0x697D, "" },
    { 0x697E, "drone_anim" },
//  { 0x697F, "" },
//  { 0x6980, "" },
    { 0x6981, "maars_control_flashlight_on" },
//  { 0x6982, "" },
//  { 0x6983, "" },
//  { 0x6984, "" },
//  { 0x6985, "" },
//  { 0x6986, "" },
    { 0x6987, "fx_blood_cough" },
    { 0x6988, "start_slowmo" },
    { 0x6989, "end_slowmo" },
//  { 0x698A, "" },
//  { 0x698B, "" },
//  { 0x698C, "" },
//  { 0x698D, "" },
//  { 0x698E, "" },
//  { 0x698F, "" },
//  { 0x6990, "" },
//  { 0x6991, "" },
//  { 0x6992, "" },
//  { 0x6993, "" },
//  { 0x6994, "" },
//  { 0x6995, "" },
//  { 0x6996, "" },
//  { 0x6997, "" },
//  { 0x6998, "" },
//  { 0x6999, "" },
//  { 0x699A, "" },
//  { 0x699B, "" },
//  { 0x699C, "" },
//  { 0x699D, "" },
    { 0x699E, "set_casual_killer_run_n_gun" },
//  { 0x699F, "" },
//  { 0x69A0, "" },
//  { 0x69A1, "" },
//  { 0x69A2, "" },
//  { 0x69A3, "" },
//  { 0x69A4, "" },
//  { 0x69A5, "" },
//  { 0x69A6, "" },
//  { 0x69A7, "" },
//  { 0x69A8, "" },
//  { 0x69A9, "" },
//  { 0x69AA, "" },
//  { 0x69AB, "" },
//  { 0x69AC, "" },
//  { 0x69AD, "" },
//  { 0x69AE, "" },
    { 0x69AF, "detach_player_from_turret" },
//  { 0x69B0, "" },
//  { 0x69B1, "" },
//  { 0x69B2, "" },
//  { 0x69B3, "" },
//  { 0x69B4, "" },
    { 0x69B5, "player_ugv_health_hurtagain" },
//  { 0x69B6, "" },
//  { 0x69B7, "" },
//  { 0x69B8, "" },
//  { 0x69B9, "" },
//  { 0x69BA, "" },
//  { 0x69BB, "" },
//  { 0x69BC, "" },
//  { 0x69BD, "" },
    { 0x69BE, "detect_drone_death" },
//  { 0x69BF, "" },
//  { 0x69C0, "" },
//  { 0x69C1, "" },
//  { 0x69C2, "" },
//  { 0x69C3, "" },
//  { 0x69C4, "" },
//  { 0x69C5, "" },
//  { 0x69C6, "" },
    { 0x69C7, "maars_interface_boot_up" },
//  { 0x69C8, "" },
//  { 0x69C9, "" },
//  { 0x69CA, "" },
//  { 0x69CB, "" },
//  { 0x69CC, "" },
//  { 0x69CD, "" },
//  { 0x69CE, "" },
//  { 0x69CF, "" },
    { 0x69D0, "line_offset" },
//  { 0x69D1, "" },
//  { 0x69D2, "" },
//  { 0x69D3, "" },
//  { 0x69D4, "" },
//  { 0x69D5, "" },
//  { 0x69D6, "" },
    { 0x69D7, "update_loading_bar" },
//  { 0x69D8, "" },
    { 0x69D9, "maars_update_hud_arrows" },
    { 0x69DA, "maars_fire_m203" },
//  { 0x69DB, "" },
//  { 0x69DC, "" },
//  { 0x69DD, "" },
//  { 0x69DE, "" },
//  { 0x69DF, "" },
//  { 0x69E0, "" },
    { 0x69E1, "maars_damage_bullet" },
//  { 0x69E2, "" },
//  { 0x69E3, "" },
//  { 0x69E4, "" },
//  { 0x69E5, "" },
//  { 0x69E6, "" },
//  { 0x69E7, "" },
//  { 0x69E8, "" },
//  { 0x69E9, "" },
//  { 0x69EA, "" },
//  { 0x69EB, "" },
//  { 0x69EC, "" },
//  { 0x69ED, "" },
//  { 0x69EE, "" },
//  { 0x69EF, "" },
    { 0x69F0, "maars_interface_thermal_on" },
    { 0x69F1, "maars_interface_thermal_off" },
    { 0x69F2, "maars_setup_thermal" },
//  { 0x69F3, "" },
//  { 0x69F4, "" },
    { 0x69F5, "fire_grenade_hint" },
    { 0x69F6, "fire_grenade_hint_done" },
    { 0x69F7, "zoom_hint" },
    { 0x69F8, "maars_target_tracking" },
//  { 0x69F9, "" },
//  { 0x69FA, "" },
//  { 0x69FB, "" },
//  { 0x69FC, "" },
//  { 0x69FD, "" },
    { 0x69FE, "maars_remove_target" },
//  { 0x69FF, "" },
//  { 0x6A00, "" },
//  { 0x6A01, "" },
    { 0x6A02, "maars_incoming_missile" },
    { 0x6A03, "maars_incoming_missile_hud_flash" },
//  { 0x6A04, "" },
    { 0x6A05, "set_control_hint_string" },
//  { 0x6A06, "" },
//  { 0x6A07, "" },
//  { 0x6A08, "" },
//  { 0x6A09, "" },
    { 0x6A0A, "setup_hero_generic" },
//  { 0x6A0B, "" },
//  { 0x6A0C, "" },
//  { 0x6A0D, "" },
//  { 0x6A0E, "" },
//  { 0x6A0F, "" },
//  { 0x6A10, "" },
//  { 0x6A11, "" },
//  { 0x6A12, "" },
//  { 0x6A13, "" },
//  { 0x6A14, "" },
    { 0x6A15, "bystander4" },
//  { 0x6A16, "" },
//  { 0x6A17, "" },
//  { 0x6A18, "" },
//  { 0x6A19, "" },
//  { 0x6A1A, "" },
//  { 0x6A1B, "" },
//  { 0x6A1C, "" },
//  { 0x6A1D, "" },
    { 0x6A1E, "intro_shot_5" },
//  { 0x6A1F, "" },
//  { 0x6A20, "" },
//  { 0x6A21, "" },
//  { 0x6A22, "" },
//  { 0x6A23, "" },
//  { 0x6A24, "" },
    { 0x6A25, "cart" },
//  { 0x6A26, "" },
    { 0x6A27, "gauze" },
//  { 0x6A28, "" },
//  { 0x6A29, "" },
//  { 0x6A2A, "" },
//  { 0x6A2B, "" },
    { 0x6A2C, "intro_shot_anim_first_frame" },
//  { 0x6A2D, "" },
//  { 0x6A2E, "" },
    { 0x6A2F, "bloom_fadein" },
    { 0x6A30, "rotate_sun" },
//  { 0x6A31, "" },
//  { 0x6A32, "" },
//  { 0x6A33, "" },
//  { 0x6A34, "" },
//  { 0x6A35, "" },
//  { 0x6A36, "" },
//  { 0x6A37, "" },
    { 0x6A38, "dofstart" },
//  { 0x6A39, "" },
//  { 0x6A3A, "" },
//  { 0x6A3B, "" },
//  { 0x6A3C, "" },
//  { 0x6A3D, "" },
//  { 0x6A3E, "" },
//  { 0x6A3F, "" },
//  { 0x6A40, "" },
//  { 0x6A41, "" },
    { 0x6A42, "intro_fade_out_to_black" },
//  { 0x6A43, "" },
//  { 0x6A44, "" },
//  { 0x6A45, "" },
//  { 0x6A46, "" },
//  { 0x6A47, "" },
//  { 0x6A48, "" },
//  { 0x6A49, "" },
//  { 0x6A4A, "" },
//  { 0x6A4B, "" },
//  { 0x6A4C, "" },
//  { 0x6A4D, "" },
//  { 0x6A4E, "" },
//  { 0x6A4F, "" },
//  { 0x6A50, "" },
//  { 0x6A51, "" },
//  { 0x6A52, "" },
//  { 0x6A53, "" },
//  { 0x6A54, "" },
    { 0x6A55, "intro_tutorial_stand" },
    { 0x6A56, "intro_tutorial_shoot" },
//  { 0x6A57, "" },
//  { 0x6A58, "" },
    { 0x6A59, "intro_tutorial_shoot_ads_done" },
//  { 0x6A5A, "" },
//  { 0x6A5B, "" },
//  { 0x6A5C, "" },
//  { 0x6A5D, "" },
//  { 0x6A5E, "" },
//  { 0x6A5F, "" },
//  { 0x6A60, "" },
//  { 0x6A61, "" },
//  { 0x6A62, "" },
//  { 0x6A63, "" },
//  { 0x6A64, "" },
//  { 0x6A65, "" },
    { 0x6A66, "intro_tutorial_objectives_done" },
    { 0x6A67, "intro_tutorial_switch_weapons" },
//  { 0x6A68, "" },
    { 0x6A69, "courtyard_save" },
//  { 0x6A6A, "" },
//  { 0x6A6B, "" },
//  { 0x6A6C, "" },
    { 0x6A6D, "courtyard_combat" },
//  { 0x6A6E, "" },
//  { 0x6A6F, "" },
//  { 0x6A70, "" },
//  { 0x6A71, "" },
//  { 0x6A72, "" },
    { 0x6A73, "courtyard_spawn_cleanup" },
//  { 0x6A74, "" },
    { 0x6A75, "wait_until_player_looking_at_courtyard" },
//  { 0x6A76, "" },
//  { 0x6A77, "" },
    { 0x6A78, "courtyard_helicopters" },
//  { 0x6A79, "" },
//  { 0x6A7A, "" },
//  { 0x6A7B, "" },
//  { 0x6A7C, "" },
//  { 0x6A7D, "" },
//  { 0x6A7E, "" },
//  { 0x6A7F, "" },
//  { 0x6A80, "" },
//  { 0x6A81, "" },
    { 0x6A82, "courtyard_attack_helicopter_second_pass" },
//  { 0x6A83, "" },
//  { 0x6A84, "" },
//  { 0x6A85, "" },
//  { 0x6A86, "" },
    { 0x6A87, "courtyard_helicopter4_fire_missiles" },
//  { 0x6A88, "" },
//  { 0x6A89, "" },
//  { 0x6A8A, "" },
//  { 0x6A8B, "" },
//  { 0x6A8C, "" },
//  { 0x6A8D, "" },
//  { 0x6A8E, "" },
//  { 0x6A8F, "" },
//  { 0x6A90, "" },
//  { 0x6A91, "" },
//  { 0x6A92, "" },
//  { 0x6A93, "" },
//  { 0x6A94, "" },
//  { 0x6A95, "" },
//  { 0x6A96, "" },
//  { 0x6A97, "" },
//  { 0x6A98, "" },
//  { 0x6A99, "" },
//  { 0x6A9A, "" },
//  { 0x6A9B, "" },
//  { 0x6A9C, "" },
//  { 0x6A9D, "" },
//  { 0x6A9E, "" },
//  { 0x6A9F, "" },
//  { 0x6AA0, "" },
    { 0x6AA1, "escort_help_soap_breach" },
//  { 0x6AA2, "" },
//  { 0x6AA3, "" },
//  { 0x6AA4, "" },
//  { 0x6AA5, "" },
//  { 0x6AA6, "" },
//  { 0x6AA7, "" },
//  { 0x6AA8, "" },
//  { 0x6AA9, "" },
//  { 0x6AAA, "" },
//  { 0x6AAB, "" },
//  { 0x6AAC, "" },
//  { 0x6AAD, "" },
//  { 0x6AAE, "" },
//  { 0x6AAF, "" },
//  { 0x6AB0, "" },
    { 0x6AB1, "regroup_price_to_nikolai" },
//  { 0x6AB2, "" },
//  { 0x6AB3, "" },
//  { 0x6AB4, "" },
//  { 0x6AB5, "" },
//  { 0x6AB6, "" },
//  { 0x6AB7, "" },
//  { 0x6AB8, "" },
//  { 0x6AB9, "" },
//  { 0x6ABA, "" },
//  { 0x6ABB, "" },
//  { 0x6ABC, "" },
//  { 0x6ABD, "" },
//  { 0x6ABE, "" },
//  { 0x6ABF, "" },
//  { 0x6AC0, "" },
//  { 0x6AC1, "" },
//  { 0x6AC2, "" },
//  { 0x6AC3, "" },
    { 0x6AC4, "regroup_carry_soap" },
    { 0x6AC5, "regroup_civilians" },
    { 0x6AC6, "regroup_looping_runners" },
//  { 0x6AC7, "" },
//  { 0x6AC8, "" },
//  { 0x6AC9, "" },
    { 0x6ACA, "regroup_drone_stop_loopers" },
    { 0x6ACB, "regroup_civ_setup" },
    { 0x6ACC, "regroup_civ_magic_bullets" },
//  { 0x6ACD, "" },
//  { 0x6ACE, "" },
//  { 0x6ACF, "" },
//  { 0x6AD0, "" },
//  { 0x6AD1, "" },
    { 0x6AD2, "regroup_ending" },
//  { 0x6AD3, "" },
//  { 0x6AD4, "" },
//  { 0x6AD5, "" },
//  { 0x6AD6, "" },
//  { 0x6AD7, "" },
//  { 0x6AD8, "" },
//  { 0x6AD9, "" },
//  { 0x6ADA, "" },
//  { 0x6ADB, "" },
//  { 0x6ADC, "" },
//  { 0x6ADD, "" },
//  { 0x6ADE, "" },
//  { 0x6ADF, "" },
//  { 0x6AE0, "" },
//  { 0x6AE1, "" },
//  { 0x6AE2, "" },
//  { 0x6AE3, "" },
//  { 0x6AE4, "" },
//  { 0x6AE5, "" },
//  { 0x6AE6, "" },
//  { 0x6AE7, "" },
//  { 0x6AE8, "" },
//  { 0x6AE9, "" },
    { 0x6AEA, "regroup_building_destruct_c_destroy" },
//  { 0x6AEB, "" },
    { 0x6AEC, "regroup_building_destructs_setup" },
//  { 0x6AED, "" },
//  { 0x6AEE, "" },
//  { 0x6AEF, "" },
//  { 0x6AF0, "" },
//  { 0x6AF1, "" },
//  { 0x6AF2, "" },
//  { 0x6AF3, "" },
//  { 0x6AF4, "" },
//  { 0x6AF5, "" },
//  { 0x6AF6, "" },
//  { 0x6AF7, "" },
    { 0x6AF8, "regroup_damage_cars" },
//  { 0x6AF9, "" },
//  { 0x6AFA, "" },
//  { 0x6AFB, "" },
//  { 0x6AFC, "" },
//  { 0x6AFD, "" },
//  { 0x6AFE, "" },
//  { 0x6AFF, "" },
    { 0x6B00, "maars_control_intro" },
//  { 0x6B01, "" },
//  { 0x6B02, "" },
//  { 0x6B03, "" },
//  { 0x6B04, "" },
//  { 0x6B05, "" },
//  { 0x6B06, "" },
    { 0x6B07, "wait_for_trigger_use_maars" },
//  { 0x6B08, "" },
    { 0x6B09, "maars_control_setup_allied_targets" },
//  { 0x6B0A, "" },
//  { 0x6B0B, "" },
//  { 0x6B0C, "" },
//  { 0x6B0D, "" },
//  { 0x6B0E, "" },
//  { 0x6B0F, "" },
//  { 0x6B10, "" },
//  { 0x6B11, "" },
//  { 0x6B12, "" },
//  { 0x6B13, "" },
//  { 0x6B14, "" },
//  { 0x6B15, "" },
//  { 0x6B16, "" },
//  { 0x6B17, "" },
//  { 0x6B18, "" },
//  { 0x6B19, "" },
//  { 0x6B1A, "" },
    { 0x6B1B, "maars_control_threat_groups" },
//  { 0x6B1C, "" },
//  { 0x6B1D, "" },
//  { 0x6B1E, "" },
//  { 0x6B1F, "" },
//  { 0x6B20, "" },
//  { 0x6B21, "" },
//  { 0x6B22, "" },
//  { 0x6B23, "" },
//  { 0x6B24, "" },
    { 0x6B25, "maars_control_helicopter_death_count" },
//  { 0x6B26, "" },
    { 0x6B27, "maars_control_mi28_4" },
//  { 0x6B28, "" },
    { 0x6B29, "maars_control_mi28_4_detour" },
//  { 0x6B2A, "" },
//  { 0x6B2B, "" },
//  { 0x6B2C, "" },
//  { 0x6B2D, "" },
//  { 0x6B2E, "" },
//  { 0x6B2F, "" },
//  { 0x6B30, "" },
//  { 0x6B31, "" },
//  { 0x6B32, "" },
    { 0x6B33, "building_slide_remove_player_clip" },
//  { 0x6B34, "" },
//  { 0x6B35, "" },
//  { 0x6B36, "" },
//  { 0x6B37, "" },
//  { 0x6B38, "" },
//  { 0x6B39, "" },
//  { 0x6B3A, "" },
//  { 0x6B3B, "" },
//  { 0x6B3C, "" },
//  { 0x6B3D, "" },
//  { 0x6B3E, "" },
//  { 0x6B3F, "" },
//  { 0x6B40, "" },
//  { 0x6B41, "" },
//  { 0x6B42, "" },
//  { 0x6B43, "" },
//  { 0x6B44, "" },
//  { 0x6B45, "" },
    { 0x6B46, "building_slide_begins" },
    { 0x6B47, "building_slide_anim" },
//  { 0x6B48, "" },
//  { 0x6B49, "" },
//  { 0x6B4A, "" },
//  { 0x6B4B, "" },
//  { 0x6B4C, "" },
//  { 0x6B4D, "" },
//  { 0x6B4E, "" },
//  { 0x6B4F, "" },
//  { 0x6B50, "" },
    { 0x6B51, "building_slide_player_slide_end" },
//  { 0x6B52, "" },
//  { 0x6B53, "" },
//  { 0x6B54, "" },
//  { 0x6B55, "" },
//  { 0x6B56, "" },
//  { 0x6B57, "" },
    { 0x6B58, "building_slide_control_hint" },
//  { 0x6B59, "" },
//  { 0x6B5A, "" },
//  { 0x6B5B, "" },
//  { 0x6B5C, "" },
//  { 0x6B5D, "" },
    { 0x6B5E, "building_slide_destroy_tree" },
//  { 0x6B5F, "" },
//  { 0x6B60, "" },
//  { 0x6B61, "" },
//  { 0x6B62, "" },
//  { 0x6B63, "" },
//  { 0x6B64, "" },
    { 0x6B65, "pull_scale" },
//  { 0x6B66, "" },
//  { 0x6B67, "" },
//  { 0x6B68, "" },
    { 0x6B69, "auto_occumulator_base" },
//  { 0x6B6A, "" },
//  { 0x6B6B, "" },
//  { 0x6B6C, "" },
//  { 0x6B6D, "" },
//  { 0x6B6E, "" },
    { 0x6B6F, "occumulator" },
//  { 0x6B70, "" },
//  { 0x6B71, "" },
//  { 0x6B72, "" },
//  { 0x6B73, "" },
//  { 0x6B74, "" },
//  { 0x6B75, "" },
//  { 0x6B76, "" },
//  { 0x6B77, "" },
//  { 0x6B78, "" },
//  { 0x6B79, "" },
    { 0x6B7A, "set_default_hud_stuff" },
//  { 0x6B7B, "" },
//  { 0x6B7C, "" },
    { 0x6B7D, "new_pull_earthquake" },
//  { 0x6B7E, "" },
//  { 0x6B7F, "" },
//  { 0x6B80, "" },
//  { 0x6B81, "" },
//  { 0x6B82, "" },
//  { 0x6B83, "" },
//  { 0x6B84, "" },
//  { 0x6B85, "" },
//  { 0x6B86, "" },
//  { 0x6B87, "" },
//  { 0x6B88, "" },
//  { 0x6B89, "" },
//  { 0x6B8A, "" },
//  { 0x6B8B, "" },
//  { 0x6B8C, "" },
//  { 0x6B8D, "" },
//  { 0x6B8E, "" },
//  { 0x6B8F, "" },
//  { 0x6B90, "" },
    { 0x6B91, "drone_runner_combat_think" },
//  { 0x6B92, "" },
//  { 0x6B93, "" },
//  { 0x6B94, "" },
//  { 0x6B95, "" },
//  { 0x6B96, "" },
    { 0x6B97, "drones_wounded" },
//  { 0x6B98, "" },
//  { 0x6B99, "" },
    { 0x6B9A, "objective_take_position_on_balcony" },
//  { 0x6B9B, "" },
//  { 0x6B9C, "" },
//  { 0x6B9D, "" },
//  { 0x6B9E, "" },
//  { 0x6B9F, "" },
//  { 0x6BA0, "" },
//  { 0x6BA1, "" },
//  { 0x6BA2, "" },
//  { 0x6BA3, "" },
//  { 0x6BA4, "" },
    { 0x6BA5, "flashback_aliases" },
//  { 0x6BA6, "" },
//  { 0x6BA7, "" },
    { 0x6BA8, "first_attack_heli_played" },
//  { 0x6BA9, "" },
//  { 0x6BAA, "" },
    { 0x6BAB, "aud_play_flashback2_gunshot" },
//  { 0x6BAC, "" },
//  { 0x6BAD, "" },
//  { 0x6BAE, "" },
//  { 0x6BAF, "" },
    { 0x6BB0, "aud_prime_flashback" },
//  { 0x6BB1, "" },
//  { 0x6BB2, "" },
//  { 0x6BB3, "" },
//  { 0x6BB4, "" },
    { 0x6BB5, "play_flashback_whoosh" },
//  { 0x6BB6, "" },
//  { 0x6BB7, "" },
//  { 0x6BB8, "" },
    { 0x6BB9, "aud_heli_death_watch" },
    { 0x6BBA, "aud_heli_print_msg" },
//  { 0x6BBB, "" },
//  { 0x6BBC, "" },
//  { 0x6BBD, "" },
//  { 0x6BBE, "" },
//  { 0x6BBF, "" },
//  { 0x6BC0, "" },
//  { 0x6BC1, "" },
//  { 0x6BC2, "" },
//  { 0x6BC3, "" },
//  { 0x6BC4, "" },
//  { 0x6BC5, "" },
//  { 0x6BC6, "" },
//  { 0x6BC7, "" },
//  { 0x6BC8, "" },
//  { 0x6BC9, "" },
//  { 0x6BCA, "" },
//  { 0x6BCB, "" },
//  { 0x6BCC, "" },
//  { 0x6BCD, "" },
//  { 0x6BCE, "" },
//  { 0x6BCF, "" },
    { 0x6BD0, "courtyard" },
//  { 0x6BD1, "" },
//  { 0x6BD2, "" },
    { 0x6BD3, "start_regroup" },
//  { 0x6BD4, "" },
//  { 0x6BD5, "" },
//  { 0x6BD6, "" },
//  { 0x6BD7, "" },
//  { 0x6BD8, "" },
    { 0x6BD9, "start_maars_control" },
//  { 0x6BDA, "" },
//  { 0x6BDB, "" },
//  { 0x6BDC, "" },
//  { 0x6BDD, "" },
//  { 0x6BDE, "" },
//  { 0x6BDF, "" },
//  { 0x6BE0, "" },
//  { 0x6BE1, "" },
    { 0x6BE2, "intro_sequence" },
//  { 0x6BE3, "" },
    { 0x6BE4, "intro_flashback_slowmo" },
//  { 0x6BE5, "" },
//  { 0x6BE6, "" },
//  { 0x6BE7, "" },
//  { 0x6BE8, "" },
//  { 0x6BE9, "" },
//  { 0x6BEA, "" },
    { 0x6BEB, "do_intro_text" },
//  { 0x6BEC, "" },
//  { 0x6BED, "" },
//  { 0x6BEE, "" },
//  { 0x6BEF, "" },
//  { 0x6BF0, "" },
//  { 0x6BF1, "" },
//  { 0x6BF2, "" },
//  { 0x6BF3, "" },
//  { 0x6BF4, "" },
//  { 0x6BF5, "" },
//  { 0x6BF6, "" },
//  { 0x6BF7, "" },
//  { 0x6BF8, "" },
//  { 0x6BF9, "" },
//  { 0x6BFA, "" },
//  { 0x6BFB, "" },
//  { 0x6BFC, "" },
//  { 0x6BFD, "" },
//  { 0x6BFE, "" },
//  { 0x6BFF, "" },
//  { 0x6C00, "" },
//  { 0x6C01, "" },
    { 0x6C02, "heli_fire" },
//  { 0x6C03, "" },
//  { 0x6C04, "" },
//  { 0x6C05, "" },
//  { 0x6C06, "" },
//  { 0x6C07, "" },
//  { 0x6C08, "" },
//  { 0x6C09, "" },
//  { 0x6C0A, "" },
//  { 0x6C0B, "" },
//  { 0x6C0C, "" },
//  { 0x6C0D, "" },
    { 0x6C0E, "monitor_indoor_think" },
//  { 0x6C0F, "" },
//  { 0x6C10, "" },
    { 0x6C11, "clear_enemies_in_volume" },
//  { 0x6C12, "" },
//  { 0x6C13, "" },
//  { 0x6C14, "" },
//  { 0x6C15, "" },
//  { 0x6C16, "" },
//  { 0x6C17, "" },
//  { 0x6C18, "" },
//  { 0x6C19, "" },
    { 0x6C1A, "removepriority" },
    { 0x6C1B, "airspace_list" },
//  { 0x6C1C, "" },
//  { 0x6C1D, "" },
//  { 0x6C1E, "" },
    { 0x6C1F, "berlin_reload_airspace_locked" },
//  { 0x6C20, "" },
    { 0x6C21, "release_airspacelock" },
//  { 0x6C22, "" },
//  { 0x6C23, "" },
//  { 0x6C24, "" },
//  { 0x6C25, "" },
//  { 0x6C26, "" },
//  { 0x6C27, "" },
    { 0x6C28, "monitoraabuildingwest" },
    { 0x6C29, "roof_top_sniper" },
//  { 0x6C2A, "" },
//  { 0x6C2B, "" },
//  { 0x6C2C, "" },
//  { 0x6C2D, "" },
//  { 0x6C2E, "" },
//  { 0x6C2F, "" },
//  { 0x6C30, "" },
//  { 0x6C31, "" },
//  { 0x6C32, "" },
//  { 0x6C33, "" },
//  { 0x6C34, "" },
//  { 0x6C35, "" },
//  { 0x6C36, "" },
//  { 0x6C37, "" },
//  { 0x6C38, "" },
    { 0x6C39, "sniper_patrollers" },
//  { 0x6C3A, "" },
//  { 0x6C3B, "" },
//  { 0x6C3C, "" },
//  { 0x6C3D, "" },
//  { 0x6C3E, "" },
//  { 0x6C3F, "" },
    { 0x6C40, "air_support_obj_num" },
    { 0x6C41, "sniper_tank_1" },
//  { 0x6C42, "" },
//  { 0x6C43, "" },
//  { 0x6C44, "" },
    { 0x6C45, "avg_pos_cleanup" },
    { 0x6C46, "setup_hotel_rooftop_battle" },
//  { 0x6C47, "" },
//  { 0x6C48, "" },
//  { 0x6C49, "" },
    { 0x6C4A, "spawn_ambient_ally_helis" },
    { 0x6C4B, "rooftop_ally_helis" },
//  { 0x6C4C, "" },
    { 0x6C4D, "rpg_enemies_shoot_ambient_helis" },
//  { 0x6C4E, "" },
//  { 0x6C4F, "" },
//  { 0x6C50, "" },
//  { 0x6C51, "" },
    { 0x6C52, "ai_random_fire_at_ents" },
    { 0x6C53, "spawn_delta_support_squad" },
//  { 0x6C54, "" },
//  { 0x6C55, "" },
//  { 0x6C56, "" },
//  { 0x6C57, "" },
//  { 0x6C58, "" },
//  { 0x6C59, "" },
//  { 0x6C5A, "" },
    { 0x6C5B, "setup_sniper_tank" },
//  { 0x6C5C, "" },
//  { 0x6C5D, "" },
//  { 0x6C5E, "" },
//  { 0x6C5F, "" },
    { 0x6C60, "berlin_reload_events" },
//  { 0x6C61, "" },
//  { 0x6C62, "" },
//  { 0x6C63, "" },
//  { 0x6C64, "" },
//  { 0x6C65, "" },
//  { 0x6C66, "" },
    { 0x6C67, "delta_squad_ready_to_rappel" },
//  { 0x6C68, "" },
//  { 0x6C69, "" },
//  { 0x6C6A, "" },
//  { 0x6C6B, "" },
//  { 0x6C6C, "" },
//  { 0x6C6D, "" },
    { 0x6C6E, "a10_decal_sniper_fix" },
//  { 0x6C6F, "" },
//  { 0x6C70, "" },
//  { 0x6C71, "" },
//  { 0x6C72, "" },
//  { 0x6C73, "" },
//  { 0x6C74, "" },
//  { 0x6C75, "" },
//  { 0x6C76, "" },
//  { 0x6C77, "" },
//  { 0x6C78, "" },
//  { 0x6C79, "" },
//  { 0x6C7A, "" },
//  { 0x6C7B, "" },
//  { 0x6C7C, "" },
    { 0x6C7D, "delta_support_rappel" },
//  { 0x6C7E, "" },
//  { 0x6C7F, "" },
//  { 0x6C80, "" },
//  { 0x6C81, "" },
//  { 0x6C82, "" },
//  { 0x6C83, "" },
//  { 0x6C84, "" },
//  { 0x6C85, "" },
//  { 0x6C86, "" },
//  { 0x6C87, "" },
//  { 0x6C88, "" },
    { 0x6C89, "spawn_rappel_ropes" },
//  { 0x6C8A, "" },
//  { 0x6C8B, "" },
//  { 0x6C8C, "" },
//  { 0x6C8D, "" },
//  { 0x6C8E, "" },
    { 0x6C8F, "reached_rappel_start_spot" },
//  { 0x6C90, "" },
//  { 0x6C91, "" },
//  { 0x6C92, "" },
//  { 0x6C93, "" },
//  { 0x6C94, "" },
//  { 0x6C95, "" },
//  { 0x6C96, "" },
//  { 0x6C97, "" },
//  { 0x6C98, "" },
//  { 0x6C99, "" },
//  { 0x6C9A, "" },
//  { 0x6C9B, "" },
    { 0x6C9C, "flag_name" },
//  { 0x6C9D, "" },
//  { 0x6C9E, "" },
//  { 0x6C9F, "" },
//  { 0x6CA0, "" },
//  { 0x6CA1, "" },
//  { 0x6CA2, "" },
//  { 0x6CA3, "" },
//  { 0x6CA4, "" },
//  { 0x6CA5, "" },
//  { 0x6CA6, "" },
//  { 0x6CA7, "" },
//  { 0x6CA8, "" },
//  { 0x6CA9, "" },
//  { 0x6CAA, "" },
//  { 0x6CAB, "" },
//  { 0x6CAC, "" },
//  { 0x6CAD, "" },
    { 0x6CAE, "bridge_ignore_friendlies" },
//  { 0x6CAF, "" },
    { 0x6CB0, "bridge_fighter_dead" },
//  { 0x6CB1, "" },
//  { 0x6CB2, "" },
    { 0x6CB3, "bridge_fighter_wake_up" },
//  { 0x6CB4, "" },
    { 0x6CB5, "bridge_sleeper_set_bias_group" },
//  { 0x6CB6, "" },
//  { 0x6CB7, "" },
//  { 0x6CB8, "" },
//  { 0x6CB9, "" },
//  { 0x6CBA, "" },
//  { 0x6CBB, "" },
//  { 0x6CBC, "" },
//  { 0x6CBD, "" },
//  { 0x6CBE, "" },
//  { 0x6CBF, "" },
    { 0x6CC0, "check_for_rpg" },
//  { 0x6CC1, "" },
//  { 0x6CC2, "" },
//  { 0x6CC3, "" },
//  { 0x6CC4, "" },
//  { 0x6CC5, "" },
//  { 0x6CC6, "" },
//  { 0x6CC7, "" },
//  { 0x6CC8, "" },
//  { 0x6CC9, "" },
    { 0x6CCA, "bridge_activate_a10_hint" },
//  { 0x6CCB, "" },
//  { 0x6CCC, "" },
//  { 0x6CCD, "" },
    { 0x6CCE, "basic_ai_respawn" },
//  { 0x6CCF, "" },
//  { 0x6CD0, "" },
//  { 0x6CD1, "" },
//  { 0x6CD2, "" },
//  { 0x6CD3, "" },
//  { 0x6CD4, "" },
    { 0x6CD5, "survive_friendly_rocket" },
    { 0x6CD6, "ally_tank_2_go_over_barricade" },
    { 0x6CD7, "tank_stop_shooting" },
//  { 0x6CD8, "" },
//  { 0x6CD9, "" },
//  { 0x6CDA, "" },
//  { 0x6CDB, "" },
//  { 0x6CDC, "" },
//  { 0x6CDD, "" },
//  { 0x6CDE, "" },
//  { 0x6CDF, "" },
//  { 0x6CE0, "" },
//  { 0x6CE1, "" },
//  { 0x6CE2, "" },
//  { 0x6CE3, "" },
//  { 0x6CE4, "" },
//  { 0x6CE5, "" },
//  { 0x6CE6, "" },
//  { 0x6CE7, "" },
//  { 0x6CE8, "" },
//  { 0x6CE9, "" },
//  { 0x6CEA, "" },
//  { 0x6CEB, "" },
//  { 0x6CEC, "" },
//  { 0x6CED, "" },
//  { 0x6CEE, "" },
//  { 0x6CEF, "" },
//  { 0x6CF0, "" },
//  { 0x6CF1, "" },
//  { 0x6CF2, "" },
//  { 0x6CF3, "" },
//  { 0x6CF4, "" },
//  { 0x6CF5, "" },
//  { 0x6CF6, "" },
//  { 0x6CF7, "" },
//  { 0x6CF8, "" },
    { 0x6CF9, "incoming_artillery" },
//  { 0x6CFA, "" },
//  { 0x6CFB, "" },
//  { 0x6CFC, "" },
//  { 0x6CFD, "" },
//  { 0x6CFE, "" },
//  { 0x6CFF, "" },
//  { 0x6D00, "" },
//  { 0x6D01, "" },
//  { 0x6D02, "" },
//  { 0x6D03, "" },
//  { 0x6D04, "" },
//  { 0x6D05, "" },
    { 0x6D06, "playfx_collapse" },
//  { 0x6D07, "" },
//  { 0x6D08, "" },
//  { 0x6D09, "" },
//  { 0x6D0A, "" },
    { 0x6D0B, "force_crouch" },
//  { 0x6D0C, "" },
//  { 0x6D0D, "" },
    { 0x6D0E, "force_slide" },
//  { 0x6D0F, "" },
//  { 0x6D10, "" },
//  { 0x6D11, "" },
//  { 0x6D12, "" },
//  { 0x6D13, "" },
//  { 0x6D14, "" },
//  { 0x6D15, "" },
//  { 0x6D16, "" },
//  { 0x6D17, "" },
//  { 0x6D18, "" },
//  { 0x6D19, "" },
//  { 0x6D1A, "" },
//  { 0x6D1B, "" },
    { 0x6D1C, "monitor_friendly_at_emerge_door" },
//  { 0x6D1D, "" },
//  { 0x6D1E, "" },
//  { 0x6D1F, "" },
//  { 0x6D20, "" },
//  { 0x6D21, "" },
//  { 0x6D22, "" },
//  { 0x6D23, "" },
//  { 0x6D24, "" },
//  { 0x6D25, "" },
//  { 0x6D26, "" },
//  { 0x6D27, "" },
    { 0x6D28, "scripted_tank" },
//  { 0x6D29, "" },
//  { 0x6D2A, "" },
//  { 0x6D2B, "" },
//  { 0x6D2C, "" },
//  { 0x6D2D, "" },
    { 0x6D2E, "set_random_turret_target" },
//  { 0x6D2F, "" },
//  { 0x6D30, "" },
//  { 0x6D31, "" },
//  { 0x6D32, "" },
//  { 0x6D33, "" },
//  { 0x6D34, "" },
//  { 0x6D35, "" },
//  { 0x6D36, "" },
//  { 0x6D37, "" },
//  { 0x6D38, "" },
//  { 0x6D39, "" },
//  { 0x6D3A, "" },
//  { 0x6D3B, "" },
//  { 0x6D3C, "" },
//  { 0x6D3D, "" },
    { 0x6D3E, "setup_reverse_breach" },
//  { 0x6D3F, "" },
//  { 0x6D40, "" },
    { 0x6D41, "player_body" },
//  { 0x6D42, "" },
    { 0x6D43, "reverse_breach_cleanup_weapons" },
//  { 0x6D44, "" },
    { 0x6D45, "reverse_breach_getup_regular_speed" },
//  { 0x6D46, "" },
//  { 0x6D47, "" },
//  { 0x6D48, "" },
//  { 0x6D49, "" },
//  { 0x6D4A, "" },
//  { 0x6D4B, "" },
//  { 0x6D4C, "" },
//  { 0x6D4D, "" },
    { 0x6D4E, "reverse_breach_door_breach" },
    { 0x6D4F, "reverse_breach_enemies_dead" },
//  { 0x6D50, "" },
    { 0x6D51, "reverse_breach_draw_pistol" },
//  { 0x6D52, "" },
//  { 0x6D53, "" },
    { 0x6D54, "monitor_end_mission" },
//  { 0x6D55, "" },
//  { 0x6D56, "" },
//  { 0x6D57, "" },
//  { 0x6D58, "" },
//  { 0x6D59, "" },
//  { 0x6D5A, "" },
//  { 0x6D5B, "" },
//  { 0x6D5C, "" },
//  { 0x6D5D, "" },
//  { 0x6D5E, "" },
//  { 0x6D5F, "" },
//  { 0x6D60, "" },
    { 0x6D61, "self_delete_on_flag_set" },
    { 0x6D62, "smart_createthreatbiasgroup" },
//  { 0x6D63, "" },
    { 0x6D64, "tank_fire_at_targets" },
//  { 0x6D65, "" },
//  { 0x6D66, "" },
//  { 0x6D67, "" },
    { 0x6D68, "fake_javelin_earthquake" },
//  { 0x6D69, "" },
//  { 0x6D6A, "" },
//  { 0x6D6B, "" },
//  { 0x6D6C, "" },
//  { 0x6D6D, "" },
//  { 0x6D6E, "" },
//  { 0x6D6F, "" },
//  { 0x6D70, "" },
//  { 0x6D71, "" },
//  { 0x6D72, "" },
//  { 0x6D73, "" },
//  { 0x6D74, "" },
//  { 0x6D75, "" },
//  { 0x6D76, "" },
//  { 0x6D77, "" },
//  { 0x6D78, "" },
//  { 0x6D79, "" },
//  { 0x6D7A, "" },
//  { 0x6D7B, "" },
//  { 0x6D7C, "" },
    { 0x6D7D, "berlin_heli_ride_dialog" },
//  { 0x6D7E, "" },
    { 0x6D7F, "create_nag_prompt" },
    { 0x6D80, "generic_nag_loop" },
//  { 0x6D81, "" },
    { 0x6D82, "berlin_aa_roof_clear_dialog" },
//  { 0x6D83, "" },
//  { 0x6D84, "" },
//  { 0x6D85, "" },
//  { 0x6D86, "" },
    { 0x6D87, "sniper_rooftop_wave_2_nag" },
    { 0x6D88, "monitor_sniper_player_kills_wave_1" },
//  { 0x6D89, "" },
    { 0x6D8A, "monitor_sniper_kills" },
//  { 0x6D8B, "" },
//  { 0x6D8C, "" },
    { 0x6D8D, "monitor_ignore_sniper_tank_nag" },
//  { 0x6D8E, "" },
//  { 0x6D8F, "" },
//  { 0x6D90, "" },
    { 0x6D91, "nag_sniper_rifle_pickup" },
//  { 0x6D92, "" },
//  { 0x6D93, "" },
//  { 0x6D94, "" },
//  { 0x6D95, "" },
//  { 0x6D96, "" },
//  { 0x6D97, "" },
//  { 0x6D98, "" },
//  { 0x6D99, "" },
//  { 0x6D9A, "" },
//  { 0x6D9B, "" },
//  { 0x6D9C, "" },
//  { 0x6D9D, "" },
//  { 0x6D9E, "" },
//  { 0x6D9F, "" },
//  { 0x6DA0, "" },
    { 0x6DA1, "berlin_shared_ambush_dialog" },
//  { 0x6DA2, "" },
//  { 0x6DA3, "" },
//  { 0x6DA4, "" },
//  { 0x6DA5, "" },
//  { 0x6DA6, "" },
//  { 0x6DA7, "" },
//  { 0x6DA8, "" },
//  { 0x6DA9, "" },
//  { 0x6DAA, "" },
//  { 0x6DAB, "" },
//  { 0x6DAC, "" },
//  { 0x6DAD, "" },
//  { 0x6DAE, "" },
    { 0x6DAF, "throw_victim_kill" },
//  { 0x6DB0, "" },
//  { 0x6DB1, "" },
//  { 0x6DB2, "" },
    { 0x6DB3, "sniper_rooftop_attacker_fire_rocket" },
//  { 0x6DB4, "" },
//  { 0x6DB5, "" },
//  { 0x6DB6, "" },
//  { 0x6DB7, "" },
//  { 0x6DB8, "" },
//  { 0x6DB9, "" },
//  { 0x6DBA, "" },
    { 0x6DBB, "start_clear_bridge" },
//  { 0x6DBC, "" },
//  { 0x6DBD, "" },
    { 0x6DBE, "start_building_collapse" },
//  { 0x6DBF, "" },
//  { 0x6DC0, "" },
//  { 0x6DC1, "" },
//  { 0x6DC2, "" },
//  { 0x6DC3, "" },
    { 0x6DC4, "breach_spot_light" },
//  { 0x6DC5, "" },
//  { 0x6DC6, "" },
    { 0x6DC7, "berlin_chopper_crash" },
//  { 0x6DC8, "" },
//  { 0x6DC9, "" },
//  { 0x6DCA, "" },
//  { 0x6DCB, "" },
    { 0x6DCC, "berlin_clear_bridge" },
    { 0x6DCD, "berlin_advance_pkway" },
    { 0x6DCE, "berlin_building_collapse" },
//  { 0x6DCF, "" },
    { 0x6DD0, "berlin_emerge" },
    { 0x6DD1, "berlin_last_stand" },
//  { 0x6DD2, "" },
//  { 0x6DD3, "" },
//  { 0x6DD4, "" },
//  { 0x6DD5, "" },
//  { 0x6DD6, "" },
//  { 0x6DD7, "" },
    { 0x6DD8, "main_anim" },
//  { 0x6DD9, "" },
//  { 0x6DDA, "" },
//  { 0x6DDB, "" },
//  { 0x6DDC, "" },
    { 0x6DDD, "copilot_blood_vfx" },
//  { 0x6DDE, "" },
    { 0x6DDF, "ignore_all" },
//  { 0x6DE0, "" },
//  { 0x6DE1, "" },
//  { 0x6DE2, "" },
//  { 0x6DE3, "" },
//  { 0x6DE4, "" },
//  { 0x6DE5, "" },
//  { 0x6DE6, "" },
//  { 0x6DE7, "" },
//  { 0x6DE8, "" },
//  { 0x6DE9, "" },
//  { 0x6DEA, "" },
//  { 0x6DEB, "" },
    { 0x6DEC, "zippo_fire_vfx" },
//  { 0x6DED, "" },
//  { 0x6DEE, "" },
//  { 0x6DEF, "" },
//  { 0x6DF0, "" },
//  { 0x6DF1, "" },
//  { 0x6DF2, "" },
//  { 0x6DF3, "" },
//  { 0x6DF4, "" },
    { 0x6DF5, "exterior_suv_skid3" },
//  { 0x6DF6, "" },
//  { 0x6DF7, "" },
//  { 0x6DF8, "" },
//  { 0x6DF9, "" },
//  { 0x6DFA, "" },
//  { 0x6DFB, "" },
//  { 0x6DFC, "" },
//  { 0x6DFD, "" },
//  { 0x6DFE, "" },
//  { 0x6DFF, "" },
//  { 0x6E00, "" },
//  { 0x6E01, "" },
//  { 0x6E02, "" },
//  { 0x6E03, "" },
//  { 0x6E04, "" },
//  { 0x6E05, "" },
    { 0x6E06, "topfloor_room_dmg_start" },
    { 0x6E07, "topfloor_def_room" },
//  { 0x6E08, "" },
//  { 0x6E09, "" },
//  { 0x6E0A, "" },
//  { 0x6E0B, "" },
//  { 0x6E0C, "" },
//  { 0x6E0D, "" },
    { 0x6E0E, "restaurant_halfresparticles_off" },
//  { 0x6E0F, "" },
    { 0x6E10, "restaurant_falling_character_lighting" },
//  { 0x6E11, "" },
//  { 0x6E12, "" },
    { 0x6E13, "restaurant_structure_cable_explosion" },
//  { 0x6E14, "" },
//  { 0x6E15, "" },
//  { 0x6E16, "" },
//  { 0x6E17, "" },
//  { 0x6E18, "" },
    { 0x6E19, "restaurant_detach_init_vfx" },
//  { 0x6E1A, "" },
//  { 0x6E1B, "" },
//  { 0x6E1C, "" },
    { 0x6E1D, "restaurant_ceilingbeam01_pipesteam_vfx" },
//  { 0x6E1E, "" },
    { 0x6E1F, "fx_dummy_1" },
//  { 0x6E20, "" },
//  { 0x6E21, "" },
//  { 0x6E22, "" },
//  { 0x6E23, "" },
//  { 0x6E24, "" },
//  { 0x6E25, "" },
//  { 0x6E26, "" },
//  { 0x6E27, "" },
//  { 0x6E28, "" },
//  { 0x6E29, "" },
    { 0x6E2A, "yuri_blood_vfx" },
//  { 0x6E2B, "" },
//  { 0x6E2C, "" },
//  { 0x6E2D, "" },
//  { 0x6E2E, "" },
//  { 0x6E2F, "" },
//  { 0x6E30, "" },
//  { 0x6E31, "" },
//  { 0x6E32, "" },
//  { 0x6E33, "" },
//  { 0x6E34, "" },
//  { 0x6E35, "" },
//  { 0x6E36, "" },
//  { 0x6E37, "" },
//  { 0x6E38, "" },
//  { 0x6E39, "" },
//  { 0x6E3A, "" },
//  { 0x6E3B, "" },
//  { 0x6E3C, "" },
//  { 0x6E3D, "" },
//  { 0x6E3E, "" },
//  { 0x6E3F, "" },
    { 0x6E40, "setup_heli_fire_flicker_light" },
//  { 0x6E41, "" },
//  { 0x6E42, "" },
//  { 0x6E43, "" },
//  { 0x6E44, "" },
//  { 0x6E45, "" },
//  { 0x6E46, "" },
//  { 0x6E47, "" },
//  { 0x6E48, "" },
//  { 0x6E49, "" },
//  { 0x6E4A, "" },
//  { 0x6E4B, "" },
//  { 0x6E4C, "" },
//  { 0x6E4D, "" },
    { 0x6E4E, "showdown_yuri_vfx" },
//  { 0x6E4F, "" },
//  { 0x6E50, "" },
    { 0x6E51, "calc_heli_fire_reflection" },
//  { 0x6E52, "" },
//  { 0x6E53, "" },
//  { 0x6E54, "" },
//  { 0x6E55, "" },
//  { 0x6E56, "" },
//  { 0x6E57, "" },
//  { 0x6E58, "" },
//  { 0x6E59, "" },
//  { 0x6E5A, "" },
//  { 0x6E5B, "" },
//  { 0x6E5C, "" },
//  { 0x6E5D, "" },
//  { 0x6E5E, "" },
//  { 0x6E5F, "" },
//  { 0x6E60, "" },
//  { 0x6E61, "" },
//  { 0x6E62, "" },
//  { 0x6E63, "" },
//  { 0x6E64, "" },
//  { 0x6E65, "" },
//  { 0x6E66, "" },
//  { 0x6E67, "" },
//  { 0x6E68, "" },
//  { 0x6E69, "" },
//  { 0x6E6A, "" },
//  { 0x6E6B, "" },
    { 0x6E6C, "civilian_drone_stationary_think" },
//  { 0x6E6D, "" },
//  { 0x6E6E, "" },
    { 0x6E6F, "civilian_drone_run_and_hide_kill_if_player_hit" },
    { 0x6E70, "elevator_floor_numbers" },
//  { 0x6E71, "" },
//  { 0x6E72, "" },
//  { 0x6E73, "" },
//  { 0x6E74, "" },
//  { 0x6E75, "" },
    { 0x6E76, "initmw3iw_shgcredits" },
    { 0x6E77, "maps/_credits" },
//  { 0x6E78, "" },
//  { 0x6E79, "" },
    { 0x6E7A, "addheadermw3" },
    { 0x6E7B, "addcreditmw3" },
//  { 0x6E7C, "" },
    { 0x6E7D, "addcreditrmw3" },
//  { 0x6E7E, "" },
//  { 0x6E7F, "" },
    { 0x6E80, "initmw3credits" },
//  { 0x6E81, "" },
//  { 0x6E82, "" },
//  { 0x6E83, "" },
    { 0x6E84, "linelist" },
//  { 0x6E85, "" },
//  { 0x6E86, "" },
//  { 0x6E87, "" },
//  { 0x6E88, "" },
//  { 0x6E89, "" },
//  { 0x6E8A, "" },
//  { 0x6E8B, "" },
//  { 0x6E8C, "" },
//  { 0x6E8D, "" },
//  { 0x6E8E, "" },
//  { 0x6E8F, "" },
//  { 0x6E90, "" },
//  { 0x6E91, "" },
    { 0x6E92, "loc1" },
    { 0x6E93, "format1" },
//  { 0x6E94, "" },
//  { 0x6E95, "" },
//  { 0x6E96, "" },
//  { 0x6E97, "" },
    { 0x6E98, "subtitle" },
//  { 0x6E99, "" },
//  { 0x6E9A, "" },
//  { 0x6E9B, "" },
//  { 0x6E9C, "" },
//  { 0x6E9D, "" },
//  { 0x6E9E, "" },
//  { 0x6E9F, "" },
//  { 0x6EA0, "" },
    { 0x6EA1, "addrighttitle" },
//  { 0x6EA2, "" },
//  { 0x6EA3, "" },
//  { 0x6EA4, "" },
    { 0x6EA5, "addcastname" },
//  { 0x6EA6, "" },
    { 0x6EA7, "addcenternamedouble" },
    { 0x6EA8, "name1" },
//  { 0x6EA9, "" },
//  { 0x6EAA, "" },
//  { 0x6EAB, "" },
//  { 0x6EAC, "" },
//  { 0x6EAD, "" },
//  { 0x6EAE, "" },
    { 0x6EAF, "addcenterimage" },
//  { 0x6EB0, "" },
//  { 0x6EB1, "" },
    { 0x6EB2, "mw3credithudelem" },
//  { 0x6EB3, "" },
//  { 0x6EB4, "" },
//  { 0x6EB5, "" },
//  { 0x6EB6, "" },
//  { 0x6EB7, "" },
//  { 0x6EB8, "" },
//  { 0x6EB9, "" },
//  { 0x6EBA, "" },
//  { 0x6EBB, "" },
//  { 0x6EBC, "" },
//  { 0x6EBD, "" },
//  { 0x6EBE, "" },
//  { 0x6EBF, "" },
//  { 0x6EC0, "" },
    { 0x6EC1, "addsubtitleiw" },
//  { 0x6EC2, "" },
//  { 0x6EC3, "" },
//  { 0x6EC4, "" },
    { 0x6EC5, "addnameiw" },
//  { 0x6EC6, "" },
//  { 0x6EC7, "" },
//  { 0x6EC8, "" },
//  { 0x6EC9, "" },
//  { 0x6ECA, "" },
//  { 0x6ECB, "" },
//  { 0x6ECC, "" },
//  { 0x6ECD, "" },
//  { 0x6ECE, "" },
//  { 0x6ECF, "" },
//  { 0x6ED0, "" },
    { 0x6ED1, "initatvicredits_business" },
//  { 0x6ED2, "" },
//  { 0x6ED3, "" },
    { 0x6ED4, "initatvicredits_qa3" },
//  { 0x6ED5, "" },
//  { 0x6ED6, "" },
//  { 0x6ED7, "" },
//  { 0x6ED8, "" },
//  { 0x6ED9, "" },
//  { 0x6EDA, "" },
//  { 0x6EDB, "" },
//  { 0x6EDC, "" },
    { 0x6EDD, "finale_end_mission" },
//  { 0x6EDE, "" },
//  { 0x6EDF, "" },
//  { 0x6EE0, "" },
//  { 0x6EE1, "" },
//  { 0x6EE2, "" },
//  { 0x6EE3, "" },
    { 0x6EE4, "finale_chopper_sequence" },
    { 0x6EE5, "stabbed" },
    { 0x6EE6, "stab_failure" },
//  { 0x6EE7, "" },
//  { 0x6EE8, "" },
//  { 0x6EE9, "" },
//  { 0x6EEA, "" },
//  { 0x6EEB, "" },
//  { 0x6EEC, "" },
//  { 0x6EED, "" },
//  { 0x6EEE, "" },
//  { 0x6EEF, "" },
//  { 0x6EF0, "" },
//  { 0x6EF1, "" },
    { 0x6EF2, "finale_jump_missed_check" },
//  { 0x6EF3, "" },
//  { 0x6EF4, "" },
//  { 0x6EF5, "" },
    { 0x6EF6, "finale_chopper_hint_and_catch_stab" },
    { 0x6EF7, "finale_crash_site_wait_to_crash" },
//  { 0x6EF8, "" },
//  { 0x6EF9, "" },
//  { 0x6EFA, "" },
//  { 0x6EFB, "" },
//  { 0x6EFC, "" },
//  { 0x6EFD, "" },
//  { 0x6EFE, "" },
    { 0x6EFF, "player_crawling_shell_shock" },
//  { 0x6F00, "" },
    { 0x6F01, "finale_moving" },
//  { 0x6F02, "" },
//  { 0x6F03, "" },
//  { 0x6F04, "" },
//  { 0x6F05, "" },
//  { 0x6F06, "" },
//  { 0x6F07, "" },
//  { 0x6F08, "" },
//  { 0x6F09, "" },
//  { 0x6F0A, "" },
//  { 0x6F0B, "" },
//  { 0x6F0C, "" },
//  { 0x6F0D, "" },
//  { 0x6F0E, "" },
    { 0x6F0F, "finale_start" },
//  { 0x6F10, "" },
    { 0x6F11, "finale_crash_final_crawl_player_blend" },
//  { 0x6F12, "" },
//  { 0x6F13, "" },
//  { 0x6F14, "" },
//  { 0x6F15, "" },
//  { 0x6F16, "" },
//  { 0x6F17, "" },
//  { 0x6F18, "" },
    { 0x6F19, "makarov_aimref" },
//  { 0x6F1A, "" },
//  { 0x6F1B, "" },
//  { 0x6F1C, "" },
//  { 0x6F1D, "" },
//  { 0x6F1E, "" },
    { 0x6F1F, "create_plane" },
    { 0x6F20, "test_plane" },
//  { 0x6F21, "" },
//  { 0x6F22, "" },
    { 0x6F23, "calc_barycentric_coords" },
    { 0x6F24, "finale_chopper_crash_aim2" },
//  { 0x6F25, "" },
//  { 0x6F26, "" },
//  { 0x6F27, "" },
    { 0x6F28, "finale_chopper_crash_fail_stopcrawl" },
//  { 0x6F29, "" },
//  { 0x6F2A, "" },
//  { 0x6F2B, "" },
//  { 0x6F2C, "" },
//  { 0x6F2D, "" },
//  { 0x6F2E, "" },
//  { 0x6F2F, "" },
//  { 0x6F30, "" },
//  { 0x6F31, "" },
//  { 0x6F32, "" },
//  { 0x6F33, "" },
//  { 0x6F34, "" },
//  { 0x6F35, "" },
//  { 0x6F36, "" },
    { 0x6F37, "current_actors" },
//  { 0x6F38, "" },
    { 0x6F39, "debug_lr_pressed" },
//  { 0x6F3A, "" },
//  { 0x6F3B, "" },
    { 0x6F3C, "buttonmashpressed" },
//  { 0x6F3D, "" },
//  { 0x6F3E, "" },
//  { 0x6F3F, "" },
//  { 0x6F40, "" },
//  { 0x6F41, "" },
//  { 0x6F42, "" },
    { 0x6F43, "loop_on_dupd_node_solo" },
//  { 0x6F44, "" },
//  { 0x6F45, "" },
    { 0x6F46, "hold_choke_hint" },
//  { 0x6F47, "" },
//  { 0x6F48, "" },
//  { 0x6F49, "" },
    { 0x6F4A, "finale_beatdown_player" },
//  { 0x6F4B, "" },
    { 0x6F4C, "beatdown_debugstart" },
//  { 0x6F4D, "" },
//  { 0x6F4E, "" },
//  { 0x6F4F, "" },
//  { 0x6F50, "" },
//  { 0x6F51, "" },
//  { 0x6F52, "" },
//  { 0x6F53, "" },
//  { 0x6F54, "" },
//  { 0x6F55, "" },
//  { 0x6F56, "" },
//  { 0x6F57, "" },
//  { 0x6F58, "" },
    { 0x6F59, "finale_beatdown_break_glass_rail" },
//  { 0x6F5A, "" },
//  { 0x6F5B, "" },
//  { 0x6F5C, "" },
//  { 0x6F5D, "" },
//  { 0x6F5E, "" },
//  { 0x6F5F, "" },
//  { 0x6F60, "" },
//  { 0x6F61, "" },
//  { 0x6F62, "" },
//  { 0x6F63, "" },
//  { 0x6F64, "" },
    { 0x6F65, "choke_hint_blinks" },
    { 0x6F66, "fade_out_choke_hint" },
//  { 0x6F67, "" },
    { 0x6F68, "use_hint" },
//  { 0x6F69, "" },
    { 0x6F6A, "use_hint_blink" },
//  { 0x6F6B, "" },
//  { 0x6F6C, "" },
//  { 0x6F6D, "" },
//  { 0x6F6E, "" },
    { 0x6F6F, "dof_crossfade_delta" },
//  { 0x6F70, "" },
//  { 0x6F71, "" },
//  { 0x6F72, "" },
//  { 0x6F73, "" },
//  { 0x6F74, "" },
//  { 0x6F75, "" },
//  { 0x6F76, "" },
    { 0x6F77, "setup_pip" },
//  { 0x6F78, "" },
//  { 0x6F79, "" },
//  { 0x6F7A, "" },
//  { 0x6F7B, "" },
//  { 0x6F7C, "" },
//  { 0x6F7D, "" },
//  { 0x6F7E, "" },
//  { 0x6F7F, "" },
    { 0x6F80, "pip_cam_lounge_scene" },
//  { 0x6F81, "" },
//  { 0x6F82, "" },
//  { 0x6F83, "" },
    { 0x6F84, "pip_cam_restaurant_scene" },
//  { 0x6F85, "" },
//  { 0x6F86, "" },
//  { 0x6F87, "" },
//  { 0x6F88, "" },
//  { 0x6F89, "" },
//  { 0x6F8A, "" },
//  { 0x6F8B, "" },
//  { 0x6F8C, "" },
//  { 0x6F8D, "" },
//  { 0x6F8E, "" },
    { 0x6F8F, "juggernaut_yuri" },
//  { 0x6F90, "" },
//  { 0x6F91, "" },
//  { 0x6F92, "" },
//  { 0x6F93, "" },
//  { 0x6F94, "" },
//  { 0x6F95, "" },
    { 0x6F96, "intro_yuri" },
    { 0x6F97, "intro_squibs" },
//  { 0x6F98, "" },
    { 0x6F99, "juggernaut_player" },
//  { 0x6F9A, "" },
//  { 0x6F9B, "" },
//  { 0x6F9C, "" },
//  { 0x6F9D, "" },
    { 0x6F9E, "intro_starting_enemies" },
//  { 0x6F9F, "" },
//  { 0x6FA0, "" },
//  { 0x6FA1, "" },
//  { 0x6FA2, "" },
//  { 0x6FA3, "" },
//  { 0x6FA4, "" },
//  { 0x6FA5, "" },
    { 0x6FA6, "exterior_initial_enemies_monitor_death" },
//  { 0x6FA7, "" },
//  { 0x6FA8, "" },
//  { 0x6FA9, "" },
//  { 0x6FAA, "" },
//  { 0x6FAB, "" },
//  { 0x6FAC, "" },
//  { 0x6FAD, "" },
//  { 0x6FAE, "" },
    { 0x6FAF, "exterior_suv_ai_think" },
//  { 0x6FB0, "" },
//  { 0x6FB1, "" },
//  { 0x6FB2, "" },
//  { 0x6FB3, "" },
//  { 0x6FB4, "" },
//  { 0x6FB5, "" },
//  { 0x6FB6, "" },
//  { 0x6FB7, "" },
//  { 0x6FB8, "" },
//  { 0x6FB9, "" },
//  { 0x6FBA, "" },
    { 0x6FBB, "lobby_combat_ascent" },
//  { 0x6FBC, "" },
//  { 0x6FBD, "" },
//  { 0x6FBE, "" },
    { 0x6FBF, "lobby_combat_top_right" },
//  { 0x6FC0, "" },
//  { 0x6FC1, "" },
//  { 0x6FC2, "" },
//  { 0x6FC3, "" },
//  { 0x6FC4, "" },
//  { 0x6FC5, "" },
//  { 0x6FC6, "" },
//  { 0x6FC7, "" },
//  { 0x6FC8, "" },
//  { 0x6FC9, "" },
//  { 0x6FCA, "" },
//  { 0x6FCB, "" },
//  { 0x6FCC, "" },
//  { 0x6FCD, "" },
//  { 0x6FCE, "" },
//  { 0x6FCF, "" },
//  { 0x6FD0, "" },
//  { 0x6FD1, "" },
//  { 0x6FD2, "" },
//  { 0x6FD3, "" },
//  { 0x6FD4, "" },
//  { 0x6FD5, "" },
//  { 0x6FD6, "" },
//  { 0x6FD7, "" },
//  { 0x6FD8, "" },
    { 0x6FD9, "keep_player_away_from_yuri" },
//  { 0x6FDA, "" },
//  { 0x6FDB, "" },
//  { 0x6FDC, "" },
//  { 0x6FDD, "" },
//  { 0x6FDE, "" },
//  { 0x6FDF, "" },
//  { 0x6FE0, "" },
//  { 0x6FE1, "" },
//  { 0x6FE2, "" },
//  { 0x6FE3, "" },
//  { 0x6FE4, "" },
//  { 0x6FE5, "" },
//  { 0x6FE6, "" },
//  { 0x6FE7, "" },
//  { 0x6FE8, "" },
//  { 0x6FE9, "" },
//  { 0x6FEA, "" },
//  { 0x6FEB, "" },
//  { 0x6FEC, "" },
//  { 0x6FED, "" },
//  { 0x6FEE, "" },
//  { 0x6FEF, "" },
//  { 0x6FF0, "" },
//  { 0x6FF1, "" },
//  { 0x6FF2, "" },
    { 0x6FF3, "elevator_attack_chopper_debug_health" },
//  { 0x6FF4, "" },
//  { 0x6FF5, "" },
//  { 0x6FF6, "" },
//  { 0x6FF7, "" },
//  { 0x6FF8, "" },
//  { 0x6FF9, "" },
//  { 0x6FFA, "" },
//  { 0x6FFB, "" },
//  { 0x6FFC, "" },
//  { 0x6FFD, "" },
//  { 0x6FFE, "" },
//  { 0x6FFF, "" },
    { 0x7000, "elevator_ambient_chopper_think" },
    { 0x7001, "top_floor_yuri_throw_grenade" },
//  { 0x7002, "" },
//  { 0x7003, "" },
    { 0x7004, "start_outdoor_lighting_roof_override" },
//  { 0x7005, "" },
    { 0x7006, "top_floor_lounge_combat_enemies_killed" },
//  { 0x7007, "" },
//  { 0x7008, "" },
//  { 0x7009, "" },
//  { 0x700A, "" },
//  { 0x700B, "" },
//  { 0x700C, "" },
//  { 0x700D, "" },
//  { 0x700E, "" },
//  { 0x700F, "" },
//  { 0x7010, "" },
//  { 0x7011, "" },
//  { 0x7012, "" },
//  { 0x7013, "" },
//  { 0x7014, "" },
//  { 0x7015, "" },
//  { 0x7016, "" },
//  { 0x7017, "" },
    { 0x7018, "top_floor_civilians_ambient_runners" },
//  { 0x7019, "" },
    { 0x701A, "restaurant_yuri_movement" },
//  { 0x701B, "" },
//  { 0x701C, "" },
//  { 0x701D, "" },
//  { 0x701E, "" },
//  { 0x701F, "" },
    { 0x7020, "restaurant_fix_pathing_remove_models" },
//  { 0x7021, "" },
//  { 0x7022, "" },
//  { 0x7023, "" },
//  { 0x7024, "" },
    { 0x7025, "restaurant_enemies_ai_think" },
//  { 0x7026, "" },
//  { 0x7027, "" },
//  { 0x7028, "" },
//  { 0x7029, "" },
//  { 0x702A, "" },
//  { 0x702B, "" },
//  { 0x702C, "" },
//  { 0x702D, "" },
//  { 0x702E, "" },
//  { 0x702F, "" },
//  { 0x7030, "" },
//  { 0x7031, "" },
//  { 0x7032, "" },
//  { 0x7033, "" },
//  { 0x7034, "" },
//  { 0x7035, "" },
//  { 0x7036, "" },
//  { 0x7037, "" },
//  { 0x7038, "" },
    { 0x7039, "restaurant_chopper_loop_path_think" },
//  { 0x703A, "" },
//  { 0x703B, "" },
//  { 0x703C, "" },
//  { 0x703D, "" },
//  { 0x703E, "" },
//  { 0x703F, "" },
//  { 0x7040, "" },
//  { 0x7041, "" },
//  { 0x7042, "" },
//  { 0x7043, "" },
//  { 0x7044, "" },
    { 0x7045, "handle_suv_damage" },
//  { 0x7046, "" },
//  { 0x7047, "" },
//  { 0x7048, "" },
//  { 0x7049, "" },
//  { 0x704A, "" },
    { 0x704B, "draw_label" },
//  { 0x704C, "" },
//  { 0x704D, "" },
//  { 0x704E, "" },
//  { 0x704F, "" },
//  { 0x7050, "" },
//  { 0x7051, "" },
//  { 0x7052, "" },
//  { 0x7053, "" },
//  { 0x7054, "" },
//  { 0x7055, "" },
//  { 0x7056, "" },
//  { 0x7057, "" },
//  { 0x7058, "" },
//  { 0x7059, "" },
//  { 0x705A, "" },
    { 0x705B, "dubai_restaurant_dialogue" },
//  { 0x705C, "" },
//  { 0x705D, "" },
//  { 0x705E, "" },
//  { 0x705F, "" },
    { 0x7060, "outside_fountain_pts" },
//  { 0x7061, "" },
//  { 0x7062, "" },
//  { 0x7063, "" },
    { 0x7064, "buttons_punched" },
//  { 0x7065, "" },
    { 0x7066, "aud_restaurant_destruction" },
//  { 0x7067, "" },
//  { 0x7068, "" },
//  { 0x7069, "" },
//  { 0x706A, "" },
//  { 0x706B, "" },
    { 0x706C, "aud_stop_outside_fountain" },
//  { 0x706D, "" },
//  { 0x706E, "" },
//  { 0x706F, "" },
//  { 0x7070, "" },
//  { 0x7071, "" },
//  { 0x7072, "" },
//  { 0x7073, "" },
//  { 0x7074, "" },
//  { 0x7075, "" },
//  { 0x7076, "" },
//  { 0x7077, "" },
    { 0x7078, "aud_elevator_chopper" },
    { 0x7079, "aud_elevator_move" },
    { 0x707A, "aud_elevator_oneshots" },
//  { 0x707B, "" },
//  { 0x707C, "" },
//  { 0x707D, "" },
//  { 0x707E, "" },
//  { 0x707F, "" },
    { 0x7080, "aud_whoosh_sweetner" },
//  { 0x7081, "" },
//  { 0x7082, "" },
//  { 0x7083, "" },
//  { 0x7084, "" },
    { 0x7085, "aud_handle_stick_pos" },
//  { 0x7086, "" },
//  { 0x7087, "" },
//  { 0x7088, "" },
//  { 0x7089, "" },
//  { 0x708A, "" },
//  { 0x708B, "" },
//  { 0x708C, "" },
//  { 0x708D, "" },
//  { 0x708E, "" },
//  { 0x708F, "" },
    { 0x7090, "set_completed_objective_flags" },
//  { 0x7091, "" },
//  { 0x7092, "" },
//  { 0x7093, "" },
    { 0x7094, "start_elevator" },
//  { 0x7095, "" },
//  { 0x7096, "" },
//  { 0x7097, "" },
//  { 0x7098, "" },
//  { 0x7099, "" },
    { 0x709A, "start_restaurant_exit" },
//  { 0x709B, "" },
    { 0x709C, "start_finale_crash_site" },
//  { 0x709D, "" },
    { 0x709E, "start_finale_ending" },
//  { 0x709F, "" },
//  { 0x70A0, "" },
//  { 0x70A1, "" },
//  { 0x70A2, "" },
//  { 0x70A3, "" },
    { 0x70A4, "paris_intro_screen" },
    { 0x70A5, "little_bird_fly_away" },
//  { 0x70A6, "" },
    { 0x70A7, "hero_reno" },
//  { 0x70A8, "" },
    { 0x70A9, "little_bird_camera_shake_stop" },
//  { 0x70AA, "" },
    { 0x70AB, "intro_roof_jumpdown_lone_star" },
//  { 0x70AC, "" },
//  { 0x70AD, "" },
//  { 0x70AE, "" },
//  { 0x70AF, "" },
    { 0x70B0, "check_vitals_corpse" },
    { 0x70B1, "move_debris_model" },
    { 0x70B2, "move_debris_model_model" },
//  { 0x70B3, "" },
//  { 0x70B4, "" },
//  { 0x70B5, "" },
//  { 0x70B6, "" },
//  { 0x70B7, "" },
    { 0x70B8, "shimmy_moment_register_npc" },
    { 0x70B9, "shimmy_users" },
    { 0x70BA, "shimmy_moment_get_closest_npc" },
    { 0x70BB, "jets_flyby_01" },
//  { 0x70BC, "" },
//  { 0x70BD, "" },
//  { 0x70BE, "" },
//  { 0x70BF, "" },
//  { 0x70C0, "" },
//  { 0x70C1, "" },
//  { 0x70C2, "" },
//  { 0x70C3, "" },
    { 0x70C4, "balcony_death_notetrack_intercept" },
//  { 0x70C5, "" },
//  { 0x70C6, "" },
    { 0x70C7, "bookstore_runners" },
//  { 0x70C8, "" },
//  { 0x70C9, "" },
//  { 0x70CA, "" },
//  { 0x70CB, "" },
//  { 0x70CC, "" },
//  { 0x70CD, "" },
//  { 0x70CE, "" },
//  { 0x70CF, "" },
//  { 0x70D0, "" },
    { 0x70D1, "alley_gign" },
//  { 0x70D2, "" },
//  { 0x70D3, "" },
//  { 0x70D4, "" },
//  { 0x70D5, "" },
//  { 0x70D6, "" },
//  { 0x70D7, "" },
//  { 0x70D8, "" },
//  { 0x70D9, "" },
//  { 0x70DA, "" },
//  { 0x70DB, "" },
//  { 0x70DC, "" },
//  { 0x70DD, "" },
//  { 0x70DE, "" },
//  { 0x70DF, "" },
//  { 0x70E0, "" },
//  { 0x70E1, "" },
//  { 0x70E2, "" },
    { 0x70E3, "conversation_blocker_guard" },
//  { 0x70E4, "" },
    { 0x70E5, "frenchie_exit_kitchen" },
//  { 0x70E6, "" },
//  { 0x70E7, "" },
    { 0x70E8, "restaurant_meeting_random_shots" },
//  { 0x70E9, "" },
    { 0x70EA, "courtyard_1_wave_4" },
//  { 0x70EB, "" },
    { 0x70EC, "tanks_side_alley_01" },
//  { 0x70ED, "" },
    { 0x70EE, "tank_side_alley_01_think" },
//  { 0x70EF, "" },
    { 0x70F0, "spawn_civ_corpses_ac_alley" },
//  { 0x70F1, "" },
    { 0x70F2, "ac_alley_ai_blocker" },
//  { 0x70F3, "" },
//  { 0x70F4, "" },
//  { 0x70F5, "" },
//  { 0x70F6, "" },
//  { 0x70F7, "" },
//  { 0x70F8, "" },
    { 0x70F9, "air_support_strobe_fire_hint" },
//  { 0x70FA, "" },
//  { 0x70FB, "" },
//  { 0x70FC, "" },
//  { 0x70FD, "" },
//  { 0x70FE, "" },
//  { 0x70FF, "" },
//  { 0x7100, "" },
//  { 0x7101, "" },
//  { 0x7102, "" },
//  { 0x7103, "" },
//  { 0x7104, "" },
//  { 0x7105, "" },
//  { 0x7106, "" },
//  { 0x7107, "" },
//  { 0x7108, "" },
//  { 0x7109, "" },
//  { 0x710A, "" },
//  { 0x710B, "" },
//  { 0x710C, "" },
//  { 0x710D, "" },
//  { 0x710E, "" },
//  { 0x710F, "" },
    { 0x7110, "frenchie_goto_manhole" },
//  { 0x7111, "" },
//  { 0x7112, "" },
    { 0x7113, "gaz_crash_site_back_alley" },
    { 0x7114, "enemies_ignore_player_until_shot_or_hot" },
//  { 0x7115, "" },
//  { 0x7116, "" },
//  { 0x7117, "" },
//  { 0x7118, "" },
    { 0x7119, "max_left" },
//  { 0x711A, "" },
    { 0x711B, "dir_to_next" },
//  { 0x711C, "" },
//  { 0x711D, "" },
    { 0x711E, "unlink_beginning_angles" },
//  { 0x711F, "" },
//  { 0x7120, "" },
    { 0x7121, "segment_forward" },
//  { 0x7122, "" },
    { 0x7123, "decel_time" },
    { 0x7124, "accel_time" },
//  { 0x7125, "" },
//  { 0x7126, "" },
//  { 0x7127, "" },
//  { 0x7128, "" },
//  { 0x7129, "" },
//  { 0x712A, "" },
//  { 0x712B, "" },
//  { 0x712C, "" },
//  { 0x712D, "" },
//  { 0x712E, "" },
//  { 0x712F, "" },
//  { 0x7130, "" },
//  { 0x7131, "" },
    { 0x7132, "generic_human_anims" },
//  { 0x7133, "" },
//  { 0x7134, "" },
//  { 0x7135, "" },
//  { 0x7136, "" },
    { 0x7137, "maps/createart/paris_a_art" },
//  { 0x7138, "" },
    { 0x7139, "debug_start_stairwell" },
//  { 0x713A, "" },
//  { 0x713B, "" },
//  { 0x713C, "" },
//  { 0x713D, "" },
//  { 0x713E, "" },
//  { 0x713F, "" },
//  { 0x7140, "" },
//  { 0x7141, "" },
//  { 0x7142, "" },
    { 0x7143, "obj_meet_with_gign" },
    { 0x7144, "obj_follow_gign" },
//  { 0x7145, "" },
//  { 0x7146, "" },
//  { 0x7147, "" },
//  { 0x7148, "" },
//  { 0x7149, "" },
//  { 0x714A, "" },
//  { 0x714B, "" },
//  { 0x714C, "" },
    { 0x714D, "catacombs_nag_in_progress" },
//  { 0x714E, "" },
    { 0x714F, "catacombs_nag_dialogue_stop" },
//  { 0x7150, "" },
    { 0x7151, "catacombs_bodies_dialogue" },
//  { 0x7152, "" },
//  { 0x7153, "" },
//  { 0x7154, "" },
//  { 0x7155, "" },
//  { 0x7156, "" },
    { 0x7157, "volk_up_ahead_dialogue" },
//  { 0x7158, "" },
//  { 0x7159, "" },
//  { 0x715A, "" },
//  { 0x715B, "" },
//  { 0x715C, "" },
//  { 0x715D, "" },
//  { 0x715E, "" },
    { 0x715F, "proceed_canal_dialogue" },
    { 0x7160, "hind_gallery_dialogue" },
//  { 0x7161, "" },
//  { 0x7162, "" },
//  { 0x7163, "" },
//  { 0x7164, "" },
//  { 0x7165, "" },
//  { 0x7166, "" },
//  { 0x7167, "" },
//  { 0x7168, "" },
//  { 0x7169, "" },
//  { 0x716A, "" },
//  { 0x716B, "" },
//  { 0x716C, "" },
//  { 0x716D, "" },
//  { 0x716E, "" },
//  { 0x716F, "" },
//  { 0x7170, "" },
//  { 0x7171, "" },
//  { 0x7172, "" },
//  { 0x7173, "" },
//  { 0x7174, "" },
//  { 0x7175, "" },
//  { 0x7176, "" },
//  { 0x7177, "" },
//  { 0x7178, "" },
//  { 0x7179, "" },
//  { 0x717A, "" },
    { 0x717B, "fx_climber_shot" },
//  { 0x717C, "" },
//  { 0x717D, "" },
    { 0x717E, "fx_glass_drag_start" },
//  { 0x717F, "" },
//  { 0x7180, "" },
//  { 0x7181, "" },
//  { 0x7182, "" },
//  { 0x7183, "" },
//  { 0x7184, "" },
//  { 0x7185, "" },
//  { 0x7186, "" },
//  { 0x7187, "" },
    { 0x7188, "catacombs_lone_star_logic" },
//  { 0x7189, "" },
//  { 0x718A, "" },
//  { 0x718B, "" },
//  { 0x718C, "" },
//  { 0x718D, "" },
//  { 0x718E, "" },
//  { 0x718F, "" },
    { 0x7190, "flashlight_guy_start" },
    { 0x7191, "flashlight_guy_stop" },
//  { 0x7192, "" },
//  { 0x7193, "" },
//  { 0x7194, "" },
//  { 0x7195, "" },
    { 0x7196, "catacombs_enemy_gate_gag" },
//  { 0x7197, "" },
//  { 0x7198, "" },
//  { 0x7199, "" },
//  { 0x719A, "" },
//  { 0x719B, "" },
//  { 0x719C, "" },
//  { 0x719D, "" },
//  { 0x719E, "" },
//  { 0x719F, "" },
//  { 0x71A0, "" },
//  { 0x71A1, "" },
//  { 0x71A2, "" },
//  { 0x71A3, "" },
//  { 0x71A4, "" },
//  { 0x71A5, "" },
//  { 0x71A6, "" },
//  { 0x71A7, "" },
//  { 0x71A8, "" },
//  { 0x71A9, "" },
    { 0x71AA, "infrastructure_hall_complete" },
//  { 0x71AB, "" },
//  { 0x71AC, "" },
    { 0x71AD, "combat_boiler_room_exit" },
//  { 0x71AE, "" },
//  { 0x71AF, "" },
//  { 0x71B0, "" },
//  { 0x71B1, "" },
//  { 0x71B2, "" },
    { 0x71B3, "unblock_ai_path_volk_sedan_escape" },
    { 0x71B4, "ali_convoy_vehicle_2" },
    { 0x71B5, "ali_convoy_vehicle_3" },
//  { 0x71B6, "" },
//  { 0x71B7, "" },
    { 0x71B8, "ai_enemy_chase_encounter_spawn_function" },
    { 0x71B9, "van_ride_set_view_clamp" },
//  { 0x71BA, "" },
    { 0x71BB, "arc_right" },
//  { 0x71BC, "" },
//  { 0x71BD, "" },
//  { 0x71BE, "" },
//  { 0x71BF, "" },
//  { 0x71C0, "" },
//  { 0x71C1, "" },
//  { 0x71C2, "" },
//  { 0x71C3, "" },
//  { 0x71C4, "" },
    { 0x71C5, "chase_vehicles_initial_combat" },
//  { 0x71C6, "" },
//  { 0x71C7, "" },
//  { 0x71C8, "" },
//  { 0x71C9, "" },
//  { 0x71CA, "" },
//  { 0x71CB, "" },
    { 0x71CC, "van_climb_paired_deathfunc" },
//  { 0x71CD, "" },
    { 0x71CE, "tank_aim_turret_local" },
//  { 0x71CF, "" },
//  { 0x71D0, "" },
    { 0x71D1, "tank_aim_turret" },
//  { 0x71D2, "" },
//  { 0x71D3, "" },
//  { 0x71D4, "" },
//  { 0x71D5, "" },
//  { 0x71D6, "" },
//  { 0x71D7, "" },
//  { 0x71D8, "" },
//  { 0x71D9, "" },
//  { 0x71DA, "" },
//  { 0x71DB, "" },
    { 0x71DC, "fake_rpg_chase_2" },
//  { 0x71DD, "" },
//  { 0x71DE, "" },
//  { 0x71DF, "" },
//  { 0x71E0, "" },
//  { 0x71E1, "" },
    { 0x71E2, "ai_clean_up_mid_canal" },
//  { 0x71E3, "" },
//  { 0x71E4, "" },
//  { 0x71E5, "" },
    { 0x71E6, "heli_canal_pass_01" },
//  { 0x71E7, "" },
//  { 0x71E8, "" },
//  { 0x71E9, "" },
//  { 0x71EA, "" },
//  { 0x71EB, "" },
//  { 0x71EC, "" },
//  { 0x71ED, "" },
//  { 0x71EE, "" },
//  { 0x71EF, "" },
//  { 0x71F0, "" },
    { 0x71F1, "hide_destruct_parts" },
    { 0x71F2, "final_crash_moment_player" },
    { 0x71F3, "final_crash_moment_player_notetracks" },
//  { 0x71F4, "" },
//  { 0x71F5, "" },
//  { 0x71F6, "" },
//  { 0x71F7, "" },
//  { 0x71F8, "" },
//  { 0x71F9, "" },
//  { 0x71FA, "" },
//  { 0x71FB, "" },
    { 0x71FC, "final_crash_moment_driver" },
//  { 0x71FD, "" },
//  { 0x71FE, "" },
//  { 0x71FF, "" },
//  { 0x7200, "" },
//  { 0x7201, "" },
//  { 0x7202, "" },
    { 0x7203, "chase_ending_moment" },
    { 0x7204, "anim_single_solo_and_stop" },
//  { 0x7205, "" },
//  { 0x7206, "" },
//  { 0x7207, "" },
//  { 0x7208, "" },
//  { 0x7209, "" },
//  { 0x720A, "" },
//  { 0x720B, "" },
//  { 0x720C, "" },
//  { 0x720D, "" },
//  { 0x720E, "" },
//  { 0x720F, "" },
    { 0x7210, "escape_timer_countdown" },
//  { 0x7211, "" },
//  { 0x7212, "" },
//  { 0x7213, "" },
//  { 0x7214, "" },
//  { 0x7215, "" },
    { 0x7216, "reduce_turret_accuracy" },
//  { 0x7217, "" },
//  { 0x7218, "" },
//  { 0x7219, "" },
//  { 0x721A, "" },
    { 0x721B, "flare_flicker" },
//  { 0x721C, "" },
//  { 0x721D, "" },
//  { 0x721E, "" },
    { 0x721F, "player_enters_truck" },
//  { 0x7220, "" },
    { 0x7221, "spawn_van_ride_weapon" },
//  { 0x7222, "" },
//  { 0x7223, "" },
//  { 0x7224, "" },
    { 0x7225, "player_move_to_back" },
//  { 0x7226, "" },
//  { 0x7227, "" },
//  { 0x7228, "" },
//  { 0x7229, "" },
//  { 0x722A, "" },
//  { 0x722B, "" },
    { 0x722C, "best_enemy_pos" },
//  { 0x722D, "" },
//  { 0x722E, "" },
//  { 0x722F, "" },
//  { 0x7230, "" },
//  { 0x7231, "" },
//  { 0x7232, "" },
//  { 0x7233, "" },
//  { 0x7234, "" },
    { 0x7235, "lonestar_choose_anim" },
//  { 0x7236, "" },
//  { 0x7237, "" },
//  { 0x7238, "" },
//  { 0x7239, "" },
//  { 0x723A, "" },
//  { 0x723B, "" },
    { 0x723C, "camera_shake_small" },
//  { 0x723D, "" },
//  { 0x723E, "" },
//  { 0x723F, "" },
    { 0x7240, "show_van_door" },
//  { 0x7241, "" },
//  { 0x7242, "" },
//  { 0x7243, "" },
//  { 0x7244, "" },
//  { 0x7245, "" },
//  { 0x7246, "" },
//  { 0x7247, "" },
//  { 0x7248, "" },
//  { 0x7249, "" },
//  { 0x724A, "" },
//  { 0x724B, "" },
//  { 0x724C, "" },
//  { 0x724D, "" },
//  { 0x724E, "" },
//  { 0x724F, "" },
//  { 0x7250, "" },
//  { 0x7251, "" },
    { 0x7252, "catacombs_logic" },
//  { 0x7253, "" },
//  { 0x7254, "" },
//  { 0x7255, "" },
//  { 0x7256, "" },
//  { 0x7257, "" },
//  { 0x7258, "" },
//  { 0x7259, "" },
//  { 0x725A, "" },
//  { 0x725B, "" },
//  { 0x725C, "" },
//  { 0x725D, "" },
//  { 0x725E, "" },
//  { 0x725F, "" },
//  { 0x7260, "" },
//  { 0x7261, "" },
//  { 0x7262, "" },
//  { 0x7263, "" },
//  { 0x7264, "" },
//  { 0x7265, "" },
//  { 0x7266, "" },
//  { 0x7267, "" },
//  { 0x7268, "" },
//  { 0x7269, "" },
//  { 0x726A, "" },
//  { 0x726B, "" },
//  { 0x726C, "" },
//  { 0x726D, "" },
//  { 0x726E, "" },
//  { 0x726F, "" },
//  { 0x7270, "" },
//  { 0x7271, "" },
//  { 0x7272, "" },
    { 0x7273, "victim_roof" },
//  { 0x7274, "" },
//  { 0x7275, "" },
    { 0x7276, "stab_fx_function" },
    { 0x7277, "roof_sniper_nag_lines" },
//  { 0x7278, "" },
//  { 0x7279, "" },
//  { 0x727A, "" },
//  { 0x727B, "" },
    { 0x727C, "guys_on_roof_stealth_alerted" },
//  { 0x727D, "" },
//  { 0x727E, "" },
//  { 0x727F, "" },
//  { 0x7280, "" },
//  { 0x7281, "" },
//  { 0x7282, "" },
//  { 0x7283, "" },
//  { 0x7284, "" },
//  { 0x7285, "" },
//  { 0x7286, "" },
//  { 0x7287, "" },
//  { 0x7288, "" },
//  { 0x7289, "" },
//  { 0x728A, "" },
//  { 0x728B, "" },
//  { 0x728C, "" },
//  { 0x728D, "" },
//  { 0x728E, "" },
//  { 0x728F, "" },
//  { 0x7290, "" },
//  { 0x7291, "" },
//  { 0x7292, "" },
//  { 0x7293, "" },
//  { 0x7294, "" },
    { 0x7295, "pre_courtyard_think" },
//  { 0x7296, "" },
//  { 0x7297, "" },
    { 0x7298, "interrupt_anim_on_alert_or_damage_courtyard_kill" },
//  { 0x7299, "" },
//  { 0x729A, "" },
//  { 0x729B, "" },
//  { 0x729C, "" },
//  { 0x729D, "" },
//  { 0x729E, "" },
//  { 0x729F, "" },
//  { 0x72A0, "" },
    { 0x72A1, "shoot_cars_so_their_dead" },
//  { 0x72A2, "" },
//  { 0x72A3, "" },
//  { 0x72A4, "" },
//  { 0x72A5, "" },
//  { 0x72A6, "" },
//  { 0x72A7, "" },
//  { 0x72A8, "" },
//  { 0x72A9, "" },
//  { 0x72AA, "" },
//  { 0x72AB, "" },
    { 0x72AC, "price_exhales" },
//  { 0x72AD, "" },
//  { 0x72AE, "" },
//  { 0x72AF, "" },
//  { 0x72B0, "" },
    { 0x72B1, "plaza_setup" },
//  { 0x72B2, "" },
//  { 0x72B3, "" },
//  { 0x72B4, "" },
//  { 0x72B5, "" },
//  { 0x72B6, "" },
//  { 0x72B7, "" },
    { 0x72B8, "kill_player_if_waits_too_long" },
//  { 0x72B9, "" },
//  { 0x72BA, "" },
//  { 0x72BB, "" },
//  { 0x72BC, "" },
//  { 0x72BD, "" },
//  { 0x72BE, "" },
//  { 0x72BF, "" },
//  { 0x72C0, "" },
//  { 0x72C1, "" },
//  { 0x72C2, "" },
//  { 0x72C3, "" },
//  { 0x72C4, "" },
//  { 0x72C5, "" },
//  { 0x72C6, "" },
//  { 0x72C7, "" },
//  { 0x72C8, "" },
    { 0x72C9, "child_of_men" },
    { 0x72CA, "plaza_clean_up" },
    { 0x72CB, "btr_target_player_two" },
//  { 0x72CC, "" },
//  { 0x72CD, "" },
//  { 0x72CE, "" },
//  { 0x72CF, "" },
//  { 0x72D0, "" },
//  { 0x72D1, "" },
//  { 0x72D2, "" },
//  { 0x72D3, "" },
//  { 0x72D4, "" },
//  { 0x72D5, "" },
//  { 0x72D6, "" },
    { 0x72D7, "grab_rpg_nag_lines" },
//  { 0x72D8, "" },
//  { 0x72D9, "" },
    { 0x72DA, "player_has_rpg" },
//  { 0x72DB, "" },
//  { 0x72DC, "" },
    { 0x72DD, "should_break_scope_hint" },
    { 0x72DE, "cqb_trigger" },
//  { 0x72DF, "" },
//  { 0x72E0, "" },
//  { 0x72E1, "" },
//  { 0x72E2, "" },
//  { 0x72E3, "" },
//  { 0x72E4, "" },
//  { 0x72E5, "" },
//  { 0x72E6, "" },
    { 0x72E7, "church_tank_crush" },
//  { 0x72E8, "" },
//  { 0x72E9, "" },
//  { 0x72EA, "" },
//  { 0x72EB, "" },
//  { 0x72EC, "" },
//  { 0x72ED, "" },
//  { 0x72EE, "" },
    { 0x72EF, "kick_boards_over" },
//  { 0x72F0, "" },
//  { 0x72F1, "" },
//  { 0x72F2, "" },
//  { 0x72F3, "" },
//  { 0x72F4, "" },
//  { 0x72F5, "" },
//  { 0x72F6, "" },
//  { 0x72F7, "" },
//  { 0x72F8, "" },
//  { 0x72F9, "" },
    { 0x72FA, "if_damage_notify_all" },
    { 0x72FB, "if_damage_clear_settings_and_attack" },
//  { 0x72FC, "" },
    { 0x72FD, "dead_body_spawner_trigger_ludes_think" },
//  { 0x72FE, "" },
//  { 0x72FF, "" },
//  { 0x7300, "" },
//  { 0x7301, "" },
//  { 0x7302, "" },
//  { 0x7303, "" },
//  { 0x7304, "" },
//  { 0x7305, "" },
//  { 0x7306, "" },
//  { 0x7307, "" },
//  { 0x7308, "" },
//  { 0x7309, "" },
//  { 0x730A, "" },
//  { 0x730B, "" },
//  { 0x730C, "" },
//  { 0x730D, "" },
//  { 0x730E, "" },
//  { 0x730F, "" },
//  { 0x7310, "" },
//  { 0x7311, "" },
//  { 0x7312, "" },
//  { 0x7313, "" },
//  { 0x7314, "" },
//  { 0x7315, "" },
//  { 0x7316, "" },
//  { 0x7317, "" },
//  { 0x7318, "" },
//  { 0x7319, "" },
//  { 0x731A, "" },
//  { 0x731B, "" },
//  { 0x731C, "" },
//  { 0x731D, "" },
    { 0x731E, "start_apartments" },
//  { 0x731F, "" },
//  { 0x7320, "" },
//  { 0x7321, "" },
//  { 0x7322, "" },
//  { 0x7323, "" },
    { 0x7324, "alley_setup" },
//  { 0x7325, "" },
//  { 0x7326, "" },
//  { 0x7327, "" },
//  { 0x7328, "" },
//  { 0x7329, "" },
//  { 0x732A, "" },
//  { 0x732B, "" },
//  { 0x732C, "" },
//  { 0x732D, "" },
//  { 0x732E, "" },
//  { 0x732F, "" },
//  { 0x7330, "" },
//  { 0x7331, "" },
//  { 0x7332, "" },
//  { 0x7333, "" },
//  { 0x7334, "" },
//  { 0x7335, "" },
//  { 0x7336, "" },
//  { 0x7337, "" },
//  { 0x7338, "" },
//  { 0x7339, "" },
//  { 0x733A, "" },
    { 0x733B, "xmodelalias/alias_chemwar_russian_heads" },
//  { 0x733C, "" },
//  { 0x733D, "" },
//  { 0x733E, "" },
//  { 0x733F, "" },
//  { 0x7340, "" },
//  { 0x7341, "" },
    { 0x7342, "character/character_chemwar_russian_assault_dd" },
//  { 0x7343, "" },
    { 0x7344, "xmodelalias/alias_civilian_bodies_female" },
//  { 0x7345, "" },
//  { 0x7346, "" },
//  { 0x7347, "" },
//  { 0x7348, "" },
//  { 0x7349, "" },
//  { 0x734A, "" },
//  { 0x734B, "" },
//  { 0x734C, "" },
//  { 0x734D, "" },
//  { 0x734E, "" },
//  { 0x734F, "" },
//  { 0x7350, "" },
//  { 0x7351, "" },
//  { 0x7352, "" },
//  { 0x7353, "" },
//  { 0x7354, "" },
//  { 0x7355, "" },
    { 0x7356, "train_get_targeting_train_node" },
//  { 0x7357, "" },
//  { 0x7358, "" },
//  { 0x7359, "" },
//  { 0x735A, "" },
//  { 0x735B, "" },
//  { 0x735C, "" },
//  { 0x735D, "" },
//  { 0x735E, "" },
//  { 0x735F, "" },
    { 0x7360, "needs_to_take_detours" },
//  { 0x7361, "" },
    { 0x7362, "pillar_flag" },
//  { 0x7363, "" },
    { 0x7364, "pillar_exploders" },
//  { 0x7365, "" },
//  { 0x7366, "" },
    { 0x7367, "ontrain" },
//  { 0x7368, "" },
//  { 0x7369, "" },
//  { 0x736A, "" },
//  { 0x736B, "" },
//  { 0x736C, "" },
//  { 0x736D, "" },
//  { 0x736E, "" },
//  { 0x736F, "" },
//  { 0x7370, "" },
    { 0x7371, "cleanup_post_ride" },
//  { 0x7372, "" },
    { 0x7373, "restore_when_get_to_goal" },
//  { 0x7374, "" },
//  { 0x7375, "" },
//  { 0x7376, "" },
//  { 0x7377, "" },
    { 0x7378, "get_vehicle_node_by_origin" },
//  { 0x7379, "" },
//  { 0x737A, "" },
//  { 0x737B, "" },
    { 0x737C, "player_truck_ghost" },
//  { 0x737D, "" },
//  { 0x737E, "" },
//  { 0x737F, "" },
    { 0x7380, "start_train_mid" },
//  { 0x7381, "" },
//  { 0x7382, "" },
//  { 0x7383, "" },
    { 0x7384, "script_vehicle_subway_engine_destructible_think" },
//  { 0x7385, "" },
//  { 0x7386, "" },
//  { 0x7387, "" },
//  { 0x7388, "" },
//  { 0x7389, "" },
//  { 0x738A, "" },
//  { 0x738B, "" },
//  { 0x738C, "" },
//  { 0x738D, "" },
//  { 0x738E, "" },
//  { 0x738F, "" },
//  { 0x7390, "" },
//  { 0x7391, "" },
//  { 0x7392, "" },
//  { 0x7393, "" },
//  { 0x7394, "" },
//  { 0x7395, "" },
//  { 0x7396, "" },
//  { 0x7397, "" },
    { 0x7398, "train_spawn_guy_intro" },
//  { 0x7399, "" },
//  { 0x739A, "" },
//  { 0x739B, "" },
//  { 0x739C, "" },
//  { 0x739D, "" },
//  { 0x739E, "" },
//  { 0x739F, "" },
    { 0x73A0, "guy_gets_on_new_node" },
//  { 0x73A1, "" },
    { 0x73A2, "guy_get_on_train" },
//  { 0x73A3, "" },
//  { 0x73A4, "" },
//  { 0x73A5, "" },
//  { 0x73A6, "" },
//  { 0x73A7, "" },
//  { 0x73A8, "" },
//  { 0x73A9, "" },
    { 0x73AA, "train_civilians_go_think" },
//  { 0x73AB, "" },
//  { 0x73AC, "" },
//  { 0x73AD, "" },
//  { 0x73AE, "" },
//  { 0x73AF, "" },
//  { 0x73B0, "" },
//  { 0x73B1, "" },
//  { 0x73B2, "" },
//  { 0x73B3, "" },
//  { 0x73B4, "" },
//  { 0x73B5, "" },
//  { 0x73B6, "" },
//  { 0x73B7, "" },
//  { 0x73B8, "" },
//  { 0x73B9, "" },
//  { 0x73BA, "" },
//  { 0x73BB, "" },
//  { 0x73BC, "" },
//  { 0x73BD, "" },
//  { 0x73BE, "" },
    { 0x73BF, "ground_ent_to_tag" },
//  { 0x73C0, "" },
//  { 0x73C1, "" },
//  { 0x73C2, "" },
//  { 0x73C3, "" },
//  { 0x73C4, "" },
//  { 0x73C5, "" },
//  { 0x73C6, "" },
//  { 0x73C7, "" },
//  { 0x73C8, "" },
    { 0x73C9, "littlebird_shoot_train" },
//  { 0x73CA, "" },
//  { 0x73CB, "" },
//  { 0x73CC, "" },
//  { 0x73CD, "" },
//  { 0x73CE, "" },
//  { 0x73CF, "" },
    { 0x73D0, "rocky_road_trigger" },
//  { 0x73D1, "" },
//  { 0x73D2, "" },
//  { 0x73D3, "" },
//  { 0x73D4, "" },
//  { 0x73D5, "" },
//  { 0x73D6, "" },
//  { 0x73D7, "" },
//  { 0x73D8, "" },
//  { 0x73D9, "" },
//  { 0x73DA, "" },
//  { 0x73DB, "" },
//  { 0x73DC, "" },
//  { 0x73DD, "" },
//  { 0x73DE, "" },
//  { 0x73DF, "" },
    { 0x73E0, "init_tunnels" },
    { 0x73E1, "truck_trigger_by_jump" },
//  { 0x73E2, "" },
//  { 0x73E3, "" },
//  { 0x73E4, "" },
//  { 0x73E5, "" },
//  { 0x73E6, "" },
//  { 0x73E7, "" },
//  { 0x73E8, "" },
//  { 0x73E9, "" },
    { 0x73EA, "train_chase_transition" },
//  { 0x73EB, "" },
//  { 0x73EC, "" },
//  { 0x73ED, "" },
    { 0x73EE, "player_ride_link_player" },
    { 0x73EF, "player_crash_truck" },
//  { 0x73F0, "" },
//  { 0x73F1, "" },
//  { 0x73F2, "" },
//  { 0x73F3, "" },
//  { 0x73F4, "" },
//  { 0x73F5, "" },
//  { 0x73F6, "" },
//  { 0x73F7, "" },
    { 0x73F8, "friend_truck_gunner" },
//  { 0x73F9, "" },
//  { 0x73FA, "" },
//  { 0x73FB, "" },
//  { 0x73FC, "" },
//  { 0x73FD, "" },
//  { 0x73FE, "" },
//  { 0x73FF, "" },
//  { 0x7400, "" },
//  { 0x7401, "" },
//  { 0x7402, "" },
    { 0x7403, "disable_weapons_on_explode" },
//  { 0x7404, "" },
//  { 0x7405, "" },
//  { 0x7406, "" },
//  { 0x7407, "" },
//  { 0x7408, "" },
//  { 0x7409, "" },
//  { 0x740A, "" },
//  { 0x740B, "" },
//  { 0x740C, "" },
//  { 0x740D, "" },
//  { 0x740E, "" },
//  { 0x740F, "" },
//  { 0x7410, "" },
    { 0x7411, "anim_vehicles" },
    { 0x7412, "force_door_shut" },
//  { 0x7413, "" },
//  { 0x7414, "" },
    { 0x7415, "subway_fallover" },
//  { 0x7416, "" },
//  { 0x7417, "" },
//  { 0x7418, "" },
//  { 0x7419, "" },
    { 0x741A, "sparks_stop_half" },
//  { 0x741B, "" },
//  { 0x741C, "" },
//  { 0x741D, "" },
//  { 0x741E, "" },
//  { 0x741F, "" },
//  { 0x7420, "" },
//  { 0x7421, "" },
//  { 0x7422, "" },
//  { 0x7423, "" },
//  { 0x7424, "" },
    { 0x7425, "broken_front_2_impact" },
//  { 0x7426, "" },
//  { 0x7427, "" },
//  { 0x7428, "" },
//  { 0x7429, "" },
//  { 0x742A, "" },
//  { 0x742B, "" },
    { 0x742C, "glass_break" },
//  { 0x742D, "" },
//  { 0x742E, "" },
//  { 0x742F, "" },
    { 0x7430, "character/character_sp_hyena" },
    { 0x7431, "xmodelalias/alias_africa_civilian_male_heads" },
//  { 0x7432, "" },
//  { 0x7433, "" },
//  { 0x7434, "" },
//  { 0x7435, "" },
    { 0x7436, "character/character_africa_militia_assault_d" },
//  { 0x7437, "" },
//  { 0x7438, "" },
//  { 0x7439, "" },
//  { 0x743A, "" },
//  { 0x743B, "" },
//  { 0x743C, "" },
//  { 0x743D, "" },
//  { 0x743E, "" },
    { 0x743F, "get_hero_by_name" },
//  { 0x7440, "" },
//  { 0x7441, "" },
//  { 0x7442, "" },
    { 0x7443, "get_new_anim_node" },
//  { 0x7444, "" },
//  { 0x7445, "" },
    { 0x7446, "prague_objective_add_on_ai" },
//  { 0x7447, "" },
//  { 0x7448, "" },
//  { 0x7449, "" },
//  { 0x744A, "" },
//  { 0x744B, "" },
//  { 0x744C, "" },
    { 0x744D, "set_screen_fade_shader" },
//  { 0x744E, "" },
//  { 0x744F, "" },
//  { 0x7450, "" },
//  { 0x7451, "" },
//  { 0x7452, "" },
//  { 0x7453, "" },
//  { 0x7454, "" },
//  { 0x7455, "" },
    { 0x7456, "play_heavy_rumble" },
//  { 0x7457, "" },
//  { 0x7458, "" },
//  { 0x7459, "" },
//  { 0x745A, "" },
    { 0x745B, "elevator_rumble_blood" },
//  { 0x745C, "" },
//  { 0x745D, "" },
//  { 0x745E, "" },
    { 0x745F, "hide_player_hud" },
//  { 0x7460, "" },
//  { 0x7461, "" },
//  { 0x7462, "" },
    { 0x7463, "monitor_player_distance" },
//  { 0x7464, "" },
//  { 0x7465, "" },
//  { 0x7466, "" },
    { 0x7467, "price_soap_kill" },
//  { 0x7468, "" },
//  { 0x7469, "" },
//  { 0x746A, "" },
//  { 0x746B, "" },
//  { 0x746C, "" },
    { 0x746D, "start_airport" },
//  { 0x746E, "" },
//  { 0x746F, "" },
    { 0x7470, "init_airlift" },
//  { 0x7471, "" },
    { 0x7472, "nuke_flashback" },
    { 0x7473, "nuke_explosion" },
//  { 0x7474, "" },
//  { 0x7475, "" },
//  { 0x7476, "" },
//  { 0x7477, "" },
//  { 0x7478, "" },
//  { 0x7479, "" },
//  { 0x747A, "" },
    { 0x747B, "xmodelalias/alias_russian_military_prague_heads" },
//  { 0x747C, "" },
//  { 0x747D, "" },
//  { 0x747E, "" },
//  { 0x747F, "" },
//  { 0x7480, "" },
//  { 0x7481, "" },
//  { 0x7482, "" },
//  { 0x7483, "" },
//  { 0x7484, "" },
//  { 0x7485, "" },
//  { 0x7486, "" },
//  { 0x7487, "" },
//  { 0x7488, "" },
//  { 0x7489, "" },
//  { 0x748A, "" },
//  { 0x748B, "" },
    { 0x748C, "character/character_prague_civilian_male_dd" },
//  { 0x748D, "" },
//  { 0x748E, "" },
//  { 0x748F, "" },
//  { 0x7490, "" },
//  { 0x7491, "" },
//  { 0x7492, "" },
//  { 0x7493, "" },
//  { 0x7494, "" },
//  { 0x7495, "" },
//  { 0x7496, "" },
//  { 0x7497, "" },
//  { 0x7498, "" },
    { 0x7499, "character/character_airport_a" },
//  { 0x749A, "" },
//  { 0x749B, "" },
//  { 0x749C, "" },
//  { 0x749D, "" },
    { 0x749E, "character/character_sp_spetsnaz_yuri" },
//  { 0x749F, "" },
    { 0x74A0, "character_character_sp_spetsnaz_geoff" },
//  { 0x74A1, "" },
//  { 0x74A2, "" },
//  { 0x74A3, "" },
//  { 0x74A4, "" },
//  { 0x74A5, "" },
//  { 0x74A6, "" },
//  { 0x74A7, "" },
//  { 0x74A8, "" },
//  { 0x74A9, "" },
//  { 0x74AA, "" },
//  { 0x74AB, "" },
//  { 0x74AC, "" },
//  { 0x74AD, "" },
//  { 0x74AE, "" },
//  { 0x74AF, "" },
//  { 0x74B0, "" },
//  { 0x74B1, "" },
//  { 0x74B2, "" },
    { 0x74B3, "player_fired_too_early_listener" },
//  { 0x74B4, "" },
//  { 0x74B5, "" },
    { 0x74B6, "m_sniper_model" },
    { 0x74B7, "btr_fire_main_gun_loop" },
//  { 0x74B8, "" },
//  { 0x74B9, "" },
//  { 0x74BA, "" },
//  { 0x74BB, "" },
//  { 0x74BC, "" },
//  { 0x74BD, "" },
//  { 0x74BE, "" },
//  { 0x74BF, "" },
//  { 0x74C0, "" },
    { 0x74C1, "btrs_drive_off" },
    { 0x74C2, "suv_add_lights_and_tread_fx" },
//  { 0x74C3, "" },
//  { 0x74C4, "" },
//  { 0x74C5, "" },
//  { 0x74C6, "" },
//  { 0x74C7, "" },
//  { 0x74C8, "" },
//  { 0x74C9, "" },
//  { 0x74CA, "" },
//  { 0x74CB, "" },
//  { 0x74CC, "" },
//  { 0x74CD, "" },
//  { 0x74CE, "" },
//  { 0x74CF, "" },
//  { 0x74D0, "" },
//  { 0x74D1, "" },
    { 0x74D2, "balcony_ai_react" },
//  { 0x74D3, "" },
//  { 0x74D4, "" },
    { 0x74D5, "balcony_snipe_vo" },
//  { 0x74D6, "" },
//  { 0x74D7, "" },
//  { 0x74D8, "" },
//  { 0x74D9, "" },
//  { 0x74DA, "" },
//  { 0x74DB, "" },
    { 0x74DC, "price_window_breach_ai_animate" },
//  { 0x74DD, "" },
//  { 0x74DE, "" },
//  { 0x74DF, "" },
//  { 0x74E0, "" },
//  { 0x74E1, "" },
//  { 0x74E2, "" },
//  { 0x74E3, "" },
//  { 0x74E4, "" },
//  { 0x74E5, "" },
//  { 0x74E6, "" },
//  { 0x74E7, "" },
//  { 0x74E8, "" },
//  { 0x74E9, "" },
//  { 0x74EA, "" },
//  { 0x74EB, "" },
//  { 0x74EC, "" },
//  { 0x74ED, "" },
//  { 0x74EE, "" },
//  { 0x74EF, "" },
//  { 0x74F0, "" },
    { 0x74F1, "sniper_nag_lines" },
//  { 0x74F2, "" },
//  { 0x74F3, "" },
//  { 0x74F4, "" },
//  { 0x74F5, "" },
//  { 0x74F6, "" },
//  { 0x74F7, "" },
//  { 0x74F8, "" },
//  { 0x74F9, "" },
//  { 0x74FA, "" },
//  { 0x74FB, "" },
//  { 0x74FC, "" },
//  { 0x74FD, "" },
//  { 0x74FE, "" },
//  { 0x74FF, "" },
//  { 0x7500, "" },
    { 0x7501, "soap_carry_death_listener" },
//  { 0x7502, "" },
//  { 0x7503, "" },
//  { 0x7504, "" },
//  { 0x7505, "" },
//  { 0x7506, "" },
//  { 0x7507, "" },
//  { 0x7508, "" },
//  { 0x7509, "" },
//  { 0x750A, "" },
    { 0x750B, "n_obj_follow" },
//  { 0x750C, "" },
//  { 0x750D, "" },
    { 0x750E, "player_god_while_moving" },
//  { 0x750F, "" },
    { 0x7510, "follow_price_through_street" },
//  { 0x7511, "" },
//  { 0x7512, "" },
//  { 0x7513, "" },
    { 0x7514, "make_sure_dies" },
//  { 0x7515, "" },
//  { 0x7516, "" },
//  { 0x7517, "" },
//  { 0x7518, "" },
//  { 0x7519, "" },
//  { 0x751A, "" },
    { 0x751B, "spawn_chopper" },
//  { 0x751C, "" },
//  { 0x751D, "" },
//  { 0x751E, "" },
//  { 0x751F, "" },
//  { 0x7520, "" },
//  { 0x7521, "" },
//  { 0x7522, "" },
//  { 0x7523, "" },
//  { 0x7524, "" },
//  { 0x7525, "" },
//  { 0x7526, "" },
//  { 0x7527, "" },
//  { 0x7528, "" },
//  { 0x7529, "" },
//  { 0x752A, "" },
//  { 0x752B, "" },
//  { 0x752C, "" },
//  { 0x752D, "" },
//  { 0x752E, "" },
//  { 0x752F, "" },
//  { 0x7530, "" },
//  { 0x7531, "" },
    { 0x7532, "fire_m203_at_wall" },
    { 0x7533, "fire_m203_b_dialogue" },
//  { 0x7534, "" },
//  { 0x7535, "" },
//  { 0x7536, "" },
//  { 0x7537, "" },
//  { 0x7538, "" },
//  { 0x7539, "" },
//  { 0x753A, "" },
    { 0x753B, "price_open_wall" },
    { 0x753C, "start_scaffold" },
//  { 0x753D, "" },
//  { 0x753E, "" },
//  { 0x753F, "" },
//  { 0x7540, "" },
//  { 0x7541, "" },
//  { 0x7542, "" },
//  { 0x7543, "" },
//  { 0x7544, "" },
//  { 0x7545, "" },
//  { 0x7546, "" },
//  { 0x7547, "" },
    { 0x7548, "explosion_behind_price" },
    { 0x7549, "scaffold_debris_anims" },
//  { 0x754A, "" },
//  { 0x754B, "" },
//  { 0x754C, "" },
//  { 0x754D, "" },
    { 0x754E, "tower_explosion_anim" },
//  { 0x754F, "" },
//  { 0x7550, "" },
//  { 0x7551, "" },
//  { 0x7552, "" },
    { 0x7553, "scaffold_bell_impact" },
//  { 0x7554, "" },
//  { 0x7555, "" },
//  { 0x7556, "" },
    { 0x7557, "scaffold_player_hit_board_2" },
//  { 0x7558, "" },
//  { 0x7559, "" },
//  { 0x755A, "" },
//  { 0x755B, "" },
//  { 0x755C, "" },
//  { 0x755D, "" },
//  { 0x755E, "" },
//  { 0x755F, "" },
    { 0x7560, "player_loadout" },
//  { 0x7561, "" },
//  { 0x7562, "" },
//  { 0x7563, "" },
//  { 0x7564, "" },
//  { 0x7565, "" },
//  { 0x7566, "" },
//  { 0x7567, "" },
//  { 0x7568, "" },
//  { 0x7569, "" },
    { 0x756A, "clear_room_battle" },
    { 0x756B, "player_spotted_timer" },
//  { 0x756C, "" },
    { 0x756D, "ai_door_breacher" },
    { 0x756E, "vo_dumpster" },
//  { 0x756F, "" },
//  { 0x7570, "" },
    { 0x7571, "spawnfunc_store_runner" },
//  { 0x7572, "" },
//  { 0x7573, "" },
//  { 0x7574, "" },
//  { 0x7575, "" },
//  { 0x7576, "" },
//  { 0x7577, "" },
    { 0x7578, "soap_shoots_breacher" },
//  { 0x7579, "" },
//  { 0x757A, "" },
//  { 0x757B, "" },
//  { 0x757C, "" },
//  { 0x757D, "" },
//  { 0x757E, "" },
//  { 0x757F, "" },
    { 0x7580, "door_dumpster" },
//  { 0x7581, "" },
//  { 0x7582, "" },
//  { 0x7583, "" },
//  { 0x7584, "" },
//  { 0x7585, "" },
//  { 0x7586, "" },
//  { 0x7587, "" },
    { 0x7588, "door_store" },
//  { 0x7589, "" },
//  { 0x758A, "" },
//  { 0x758B, "" },
    { 0x758C, "dumpster_spawnfuncs" },
//  { 0x758D, "" },
//  { 0x758E, "" },
//  { 0x758F, "" },
//  { 0x7590, "" },
//  { 0x7591, "" },
//  { 0x7592, "" },
//  { 0x7593, "" },
    { 0x7594, "hedge_courtyard_destruction" },
//  { 0x7595, "" },
    { 0x7596, "start_store" },
//  { 0x7597, "" },
//  { 0x7598, "" },
//  { 0x7599, "" },
//  { 0x759A, "" },
    { 0x759B, "ai_victim1" },
//  { 0x759C, "" },
//  { 0x759D, "" },
//  { 0x759E, "" },
//  { 0x759F, "" },
//  { 0x75A0, "" },
//  { 0x75A1, "" },
//  { 0x75A2, "" },
//  { 0x75A3, "" },
//  { 0x75A4, "" },
//  { 0x75A5, "" },
//  { 0x75A6, "" },
//  { 0x75A7, "" },
//  { 0x75A8, "" },
//  { 0x75A9, "" },
//  { 0x75AA, "" },
//  { 0x75AB, "" },
//  { 0x75AC, "" },
//  { 0x75AD, "" },
//  { 0x75AE, "" },
    { 0x75AF, "spawnfunc_flanker" },
//  { 0x75B0, "" },
//  { 0x75B1, "" },
//  { 0x75B2, "" },
//  { 0x75B3, "" },
    { 0x75B4, "hail_of_bullets" },
//  { 0x75B5, "" },
//  { 0x75B6, "" },
//  { 0x75B7, "" },
//  { 0x75B8, "" },
//  { 0x75B9, "" },
//  { 0x75BA, "" },
//  { 0x75BB, "" },
//  { 0x75BC, "" },
//  { 0x75BD, "" },
//  { 0x75BE, "" },
//  { 0x75BF, "" },
//  { 0x75C0, "" },
//  { 0x75C1, "" },
//  { 0x75C2, "" },
//  { 0x75C3, "" },
//  { 0x75C4, "" },
//  { 0x75C5, "" },
//  { 0x75C6, "" },
//  { 0x75C7, "" },
//  { 0x75C8, "" },
//  { 0x75C9, "" },
//  { 0x75CA, "" },
//  { 0x75CB, "" },
//  { 0x75CC, "" },
//  { 0x75CD, "" },
//  { 0x75CE, "" },
//  { 0x75CF, "" },
//  { 0x75D0, "" },
//  { 0x75D1, "" },
//  { 0x75D2, "" },
//  { 0x75D3, "" },
//  { 0x75D4, "" },
//  { 0x75D5, "" },
//  { 0x75D6, "" },
//  { 0x75D7, "" },
//  { 0x75D8, "" },
//  { 0x75D9, "" },
//  { 0x75DA, "" },
//  { 0x75DB, "" },
//  { 0x75DC, "" },
//  { 0x75DD, "" },
//  { 0x75DE, "" },
//  { 0x75DF, "" },
//  { 0x75E0, "" },
//  { 0x75E1, "" },
//  { 0x75E2, "" },
//  { 0x75E3, "" },
//  { 0x75E4, "" },
//  { 0x75E5, "" },
//  { 0x75E6, "" },
//  { 0x75E7, "" },
//  { 0x75E8, "" },
//  { 0x75E9, "" },
    { 0x75EA, "m_escape_door" },
//  { 0x75EB, "" },
//  { 0x75EC, "" },
//  { 0x75ED, "" },
//  { 0x75EE, "" },
//  { 0x75EF, "" },
//  { 0x75F0, "" },
//  { 0x75F1, "" },
//  { 0x75F2, "" },
//  { 0x75F3, "" },
//  { 0x75F4, "" },
    { 0x75F5, "ai_resistance_guy2" },
//  { 0x75F6, "" },
//  { 0x75F7, "" },
//  { 0x75F8, "" },
//  { 0x75F9, "" },
//  { 0x75FA, "" },
//  { 0x75FB, "" },
    { 0x75FC, "do_vo_nag_loop" },
//  { 0x75FD, "" },
//  { 0x75FE, "" },
//  { 0x75FF, "" },
//  { 0x7600, "" },
//  { 0x7601, "" },
//  { 0x7602, "" },
//  { 0x7603, "" },
//  { 0x7604, "" },
//  { 0x7605, "" },
//  { 0x7606, "" },
//  { 0x7607, "" },
//  { 0x7608, "" },
//  { 0x7609, "" },
//  { 0x760A, "" },
//  { 0x760B, "" },
//  { 0x760C, "" },
//  { 0x760D, "" },
//  { 0x760E, "" },
//  { 0x760F, "" },
//  { 0x7610, "" },
//  { 0x7611, "" },
//  { 0x7612, "" },
//  { 0x7613, "" },
//  { 0x7614, "" },
//  { 0x7615, "" },
//  { 0x7616, "" },
//  { 0x7617, "" },
//  { 0x7618, "" },
//  { 0x7619, "" },
//  { 0x761A, "" },
//  { 0x761B, "" },
//  { 0x761C, "" },
//  { 0x761D, "" },
    { 0x761E, "medic_resistance_stop_carry_anims" },
//  { 0x761F, "" },
    { 0x7620, "medic_resistance_ai_leader_stop_carry_anim" },
//  { 0x7621, "" },
    { 0x7622, "medic_area_init" },
//  { 0x7623, "" },
//  { 0x7624, "" },
//  { 0x7625, "" },
//  { 0x7626, "" },
//  { 0x7627, "" },
//  { 0x7628, "" },
//  { 0x7629, "" },
    { 0x762A, "m_link_cup3" },
//  { 0x762B, "" },
//  { 0x762C, "" },
//  { 0x762D, "" },
//  { 0x762E, "" },
    { 0x762F, "defend_replenish_enemies" },
//  { 0x7630, "" },
//  { 0x7631, "" },
//  { 0x7632, "" },
//  { 0x7633, "" },
//  { 0x7634, "" },
//  { 0x7635, "" },
    { 0x7636, "spawn_btr" },
//  { 0x7637, "" },
//  { 0x7638, "" },
//  { 0x7639, "" },
//  { 0x763A, "" },
//  { 0x763B, "" },
//  { 0x763C, "" },
//  { 0x763D, "" },
    { 0x763E, "btr_attack_rooftop" },
//  { 0x763F, "" },
//  { 0x7640, "" },
//  { 0x7641, "" },
//  { 0x7642, "" },
//  { 0x7643, "" },
    { 0x7644, "suv_init" },
//  { 0x7645, "" },
//  { 0x7646, "" },
    { 0x7647, "suv_toggle_invulnerability" },
//  { 0x7648, "" },
//  { 0x7649, "" },
//  { 0x764A, "" },
//  { 0x764B, "" },
//  { 0x764C, "" },
//  { 0x764D, "" },
    { 0x764E, "resistance_grenade_attack" },
//  { 0x764F, "" },
//  { 0x7650, "" },
//  { 0x7651, "" },
//  { 0x7652, "" },
    { 0x7653, "spawnfunc_team" },
//  { 0x7654, "" },
//  { 0x7655, "" },
//  { 0x7656, "" },
//  { 0x7657, "" },
//  { 0x7658, "" },
//  { 0x7659, "" },
//  { 0x765A, "" },
//  { 0x765B, "" },
//  { 0x765C, "" },
//  { 0x765D, "" },
//  { 0x765E, "" },
//  { 0x765F, "" },
//  { 0x7660, "" },
//  { 0x7661, "" },
//  { 0x7662, "" },
//  { 0x7663, "" },
//  { 0x7664, "" },
//  { 0x7665, "" },
//  { 0x7666, "" },
//  { 0x7667, "" },
//  { 0x7668, "" },
//  { 0x7669, "" },
//  { 0x766A, "" },
//  { 0x766B, "" },
//  { 0x766C, "" },
//  { 0x766D, "" },
//  { 0x766E, "" },
    { 0x766F, "court_chunk_1" },
//  { 0x7670, "" },
//  { 0x7671, "" },
//  { 0x7672, "" },
//  { 0x7673, "" },
//  { 0x7674, "" },
//  { 0x7675, "" },
    { 0x7676, "sprint_for_time" },
//  { 0x7677, "" },
//  { 0x7678, "" },
//  { 0x7679, "" },
//  { 0x767A, "" },
//  { 0x767B, "" },
//  { 0x767C, "" },
//  { 0x767D, "" },
//  { 0x767E, "" },
//  { 0x767F, "" },
//  { 0x7680, "" },
//  { 0x7681, "" },
//  { 0x7682, "" },
    { 0x7683, "hedge_on_damage" },
    { 0x7684, "defend_clean_up" },
    { 0x7685, "start_flashback_sniper" },
//  { 0x7686, "" },
//  { 0x7687, "" },
//  { 0x7688, "" },
//  { 0x7689, "" },
    { 0x768A, "setup_no_time_scene" },
//  { 0x768B, "" },
//  { 0x768C, "" },
    { 0x768D, "zakhaev_onearm" },
//  { 0x768E, "" },
//  { 0x768F, "" },
//  { 0x7690, "" },
//  { 0x7691, "" },
//  { 0x7692, "" },
//  { 0x7693, "" },
    { 0x7694, "exchanger_surprise_time" },
//  { 0x7695, "" },
//  { 0x7696, "" },
//  { 0x7697, "" },
//  { 0x7698, "" },
//  { 0x7699, "" },
//  { 0x769A, "" },
//  { 0x769B, "" },
//  { 0x769C, "" },
//  { 0x769D, "" },
//  { 0x769E, "" },
//  { 0x769F, "" },
//  { 0x76A0, "" },
//  { 0x76A1, "" },
//  { 0x76A2, "" },
//  { 0x76A3, "" },
    { 0x76A4, "stand_cellphone_bored" },
//  { 0x76A5, "" },
//  { 0x76A6, "" },
//  { 0x76A7, "" },
//  { 0x76A8, "" },
//  { 0x76A9, "" },
//  { 0x76AA, "" },
//  { 0x76AB, "" },
//  { 0x76AC, "" },
//  { 0x76AD, "" },
//  { 0x76AE, "" },
//  { 0x76AF, "" },
//  { 0x76B0, "" },
//  { 0x76B1, "" },
//  { 0x76B2, "" },
//  { 0x76B3, "" },
//  { 0x76B4, "" },
//  { 0x76B5, "" },
//  { 0x76B6, "" },
//  { 0x76B7, "" },
//  { 0x76B8, "" },
//  { 0x76B9, "" },
//  { 0x76BA, "" },
//  { 0x76BB, "" },
//  { 0x76BC, "" },
//  { 0x76BD, "" },
//  { 0x76BE, "" },
//  { 0x76BF, "" },
//  { 0x76C0, "" },
//  { 0x76C1, "" },
//  { 0x76C2, "" },
    { 0x76C3, "take_care_of_fake_weapon_tag" },
//  { 0x76C4, "" },
//  { 0x76C5, "" },
//  { 0x76C6, "" },
//  { 0x76C7, "" },
//  { 0x76C8, "" },
    { 0x76C9, "no_sound_bullets" },
//  { 0x76CA, "" },
//  { 0x76CB, "" },
//  { 0x76CC, "" },
//  { 0x76CD, "" },
    { 0x76CE, "punch_blink_blur" },
//  { 0x76CF, "" },
//  { 0x76D0, "" },
//  { 0x76D1, "" },
//  { 0x76D2, "" },
//  { 0x76D3, "" },
//  { 0x76D4, "" },
//  { 0x76D5, "" },
//  { 0x76D6, "" },
//  { 0x76D7, "" },
//  { 0x76D8, "" },
//  { 0x76D9, "" },
//  { 0x76DA, "" },
//  { 0x76DB, "" },
//  { 0x76DC, "" },
//  { 0x76DD, "" },
//  { 0x76DE, "" },
//  { 0x76DF, "" },
//  { 0x76E0, "" },
//  { 0x76E1, "" },
    { 0x76E2, "nuke_tree_sway" },
    { 0x76E3, "start_tree_sway_anim" },
//  { 0x76E4, "" },
//  { 0x76E5, "" },
//  { 0x76E6, "" },
//  { 0x76E7, "" },
//  { 0x76E8, "" },
//  { 0x76E9, "" },
//  { 0x76EA, "" },
//  { 0x76EB, "" },
//  { 0x76EC, "" },
//  { 0x76ED, "" },
//  { 0x76EE, "" },
//  { 0x76EF, "" },
//  { 0x76F0, "" },
//  { 0x76F1, "" },
//  { 0x76F2, "" },
//  { 0x76F3, "" },
    { 0x76F4, "monitor_ads" },
//  { 0x76F5, "" },
//  { 0x76F6, "" },
//  { 0x76F7, "" },
//  { 0x76F8, "" },
    { 0x76F9, "button_hints" },
//  { 0x76FA, "" },
//  { 0x76FB, "" },
//  { 0x76FC, "" },
//  { 0x76FD, "" },
//  { 0x76FE, "" },
    { 0x76FF, "crawl_breath_recover" },
//  { 0x7700, "" },
//  { 0x7701, "" },
//  { 0x7702, "" },
//  { 0x7703, "" },
//  { 0x7704, "" },
//  { 0x7705, "" },
//  { 0x7706, "" },
//  { 0x7707, "" },
//  { 0x7708, "" },
    { 0x7709, "limp_internal" },
//  { 0x770A, "" },
//  { 0x770B, "" },
//  { 0x770C, "" },
//  { 0x770D, "" },
//  { 0x770E, "" },
//  { 0x770F, "" },
//  { 0x7710, "" },
//  { 0x7711, "" },
//  { 0x7712, "" },
//  { 0x7713, "" },
//  { 0x7714, "" },
//  { 0x7715, "" },
//  { 0x7716, "" },
//  { 0x7717, "" },
//  { 0x7718, "" },
//  { 0x7719, "" },
//  { 0x771A, "" },
//  { 0x771B, "" },
//  { 0x771C, "" },
//  { 0x771D, "" },
//  { 0x771E, "" },
//  { 0x771F, "" },
//  { 0x7720, "" },
//  { 0x7721, "" },
//  { 0x7722, "" },
//  { 0x7723, "" },
//  { 0x7724, "" },
//  { 0x7725, "" },
//  { 0x7726, "" },
//  { 0x7727, "" },
    { 0x7728, "wakeup_in_elevator_civ_falling_getting_shot" },
//  { 0x7729, "" },
    { 0x772A, "waittill_player_exit_elevator" },
//  { 0x772B, "" },
//  { 0x772C, "" },
//  { 0x772D, "" },
//  { 0x772E, "" },
//  { 0x772F, "" },
    { 0x7730, "swinging_airport_light" },
//  { 0x7731, "" },
//  { 0x7732, "" },
//  { 0x7733, "" },
//  { 0x7734, "" },
//  { 0x7735, "" },
//  { 0x7736, "" },
//  { 0x7737, "" },
    { 0x7738, "casual_killers_init" },
//  { 0x7739, "" },
//  { 0x773A, "" },
//  { 0x773B, "" },
//  { 0x773C, "" },
//  { 0x773D, "" },
//  { 0x773E, "" },
//  { 0x773F, "" },
//  { 0x7740, "" },
    { 0x7741, "player_blackout_in_place" },
//  { 0x7742, "" },
    { 0x7743, "player_emt_anim" },
//  { 0x7744, "" },
//  { 0x7745, "" },
//  { 0x7746, "" },
//  { 0x7747, "" },
//  { 0x7748, "" },
//  { 0x7749, "" },
//  { 0x774A, "" },
    { 0x774B, "spray_and_pray" },
//  { 0x774C, "" },
//  { 0x774D, "" },
//  { 0x774E, "" },
//  { 0x774F, "" },
//  { 0x7750, "" },
//  { 0x7751, "" },
//  { 0x7752, "" },
    { 0x7753, "lobby_dead_bodies" },
//  { 0x7754, "" },
//  { 0x7755, "" },
//  { 0x7756, "" },
//  { 0x7757, "" },
//  { 0x7758, "" },
//  { 0x7759, "" },
//  { 0x775A, "" },
    { 0x775B, "start_statue" },
//  { 0x775C, "" },
//  { 0x775D, "" },
//  { 0x775E, "" },
//  { 0x775F, "" },
//  { 0x7760, "" },
//  { 0x7761, "" },
//  { 0x7762, "" },
//  { 0x7763, "" },
//  { 0x7764, "" },
//  { 0x7765, "" },
//  { 0x7766, "" },
    { 0x7767, "spawn_tunnel_groups" },
//  { 0x7768, "" },
//  { 0x7769, "" },
//  { 0x776A, "" },
//  { 0x776B, "" },
//  { 0x776C, "" },
//  { 0x776D, "" },
//  { 0x776E, "" },
//  { 0x776F, "" },
//  { 0x7770, "" },
//  { 0x7771, "" },
//  { 0x7772, "" },
//  { 0x7773, "" },
//  { 0x7774, "" },
//  { 0x7775, "" },
//  { 0x7776, "" },
//  { 0x7777, "" },
//  { 0x7778, "" },
//  { 0x7779, "" },
//  { 0x777A, "" },
//  { 0x777B, "" },
//  { 0x777C, "" },
//  { 0x777D, "" },
//  { 0x777E, "" },
//  { 0x777F, "" },
//  { 0x7780, "" },
//  { 0x7781, "" },
//  { 0x7782, "" },
//  { 0x7783, "" },
    { 0x7784, "character_character_opforce_germany_rpg" },
//  { 0x7785, "" },
//  { 0x7786, "" },
//  { 0x7787, "" },
//  { 0x7788, "" },
//  { 0x7789, "" },
//  { 0x778A, "" },
//  { 0x778B, "" },
//  { 0x778C, "" },
//  { 0x778D, "" },
//  { 0x778E, "" },
//  { 0x778F, "" },
//  { 0x7790, "" },
    { 0x7791, "tank_drive_out" },
//  { 0x7792, "" },
//  { 0x7793, "" },
    { 0x7794, "aud_breach_free_hostage" },
//  { 0x7795, "" },
//  { 0x7796, "" },
//  { 0x7797, "" },
//  { 0x7798, "" },
//  { 0x7799, "" },
//  { 0x779A, "" },
//  { 0x779B, "" },
//  { 0x779C, "" },
//  { 0x779D, "" },
    { 0x779E, "turret_attack_think_hamburg" },
//  { 0x779F, "" },
//  { 0x77A0, "" },
//  { 0x77A1, "" },
//  { 0x77A2, "" },
//  { 0x77A3, "" },
    { 0x77A4, "tank_mgs_stop_targeting_drones" },
    { 0x77A5, "update_turret_fire_timer" },
//  { 0x77A6, "" },
//  { 0x77A7, "" },
//  { 0x77A8, "" },
//  { 0x77A9, "" },
//  { 0x77AA, "" },
    { 0x77AB, "tank_queue_remove_dead_and_undefined" },
    { 0x77AC, "tank_queue_add" },
//  { 0x77AD, "" },
    { 0x77AE, "turret_on_vistarget" },
//  { 0x77AF, "" },
//  { 0x77B0, "" },
//  { 0x77B1, "" },
//  { 0x77B2, "" },
//  { 0x77B3, "" },
//  { 0x77B4, "" },
//  { 0x77B5, "" },
//  { 0x77B6, "" },
//  { 0x77B7, "" },
//  { 0x77B8, "" },
//  { 0x77B9, "" },
//  { 0x77BA, "" },
//  { 0x77BB, "" },
//  { 0x77BC, "" },
//  { 0x77BD, "" },
//  { 0x77BE, "" },
//  { 0x77BF, "" },
//  { 0x77C0, "" },
//  { 0x77C1, "" },
//  { 0x77C2, "" },
//  { 0x77C3, "" },
//  { 0x77C4, "" },
//  { 0x77C5, "" },
//  { 0x77C6, "" },
//  { 0x77C7, "" },
//  { 0x77C8, "" },
//  { 0x77C9, "" },
//  { 0x77CA, "" },
    { 0x77CB, "tank_player_refresh_link" },
    { 0x77CC, "tank_dead_kill_player" },
//  { 0x77CD, "" },
//  { 0x77CE, "" },
//  { 0x77CF, "" },
    { 0x77D0, "tank_link_crew" },
//  { 0x77D1, "" },
//  { 0x77D2, "" },
    { 0x77D3, "tank_aim_arrow_valid" },
//  { 0x77D4, "" },
//  { 0x77D5, "" },
//  { 0x77D6, "" },
//  { 0x77D7, "" },
//  { 0x77D8, "" },
//  { 0x77D9, "" },
//  { 0x77DA, "" },
//  { 0x77DB, "" },
//  { 0x77DC, "" },
//  { 0x77DD, "" },
//  { 0x77DE, "" },
//  { 0x77DF, "" },
//  { 0x77E0, "" },
//  { 0x77E1, "" },
//  { 0x77E2, "" },
//  { 0x77E3, "" },
//  { 0x77E4, "" },
//  { 0x77E5, "" },
    { 0x77E6, "precache_tank" },
//  { 0x77E7, "" },
//  { 0x77E8, "" },
//  { 0x77E9, "" },
//  { 0x77EA, "" },
//  { 0x77EB, "" },
//  { 0x77EC, "" },
//  { 0x77ED, "" },
//  { 0x77EE, "" },
//  { 0x77EF, "" },
//  { 0x77F0, "" },
//  { 0x77F1, "" },
//  { 0x77F2, "" },
    { 0x77F3, "reset_player_stuff_after_tank" },
//  { 0x77F4, "" },
//  { 0x77F5, "" },
//  { 0x77F6, "" },
//  { 0x77F7, "" },
//  { 0x77F8, "" },
//  { 0x77F9, "" },
//  { 0x77FA, "" },
//  { 0x77FB, "" },
//  { 0x77FC, "" },
    { 0x77FD, "exit_flag_catchup" },
//  { 0x77FE, "" },
//  { 0x77FF, "" },
//  { 0x7800, "" },
//  { 0x7801, "" },
//  { 0x7802, "" },
//  { 0x7803, "" },
    { 0x7804, "freetimescale_slomo_junk" },
//  { 0x7805, "" },
//  { 0x7806, "" },
//  { 0x7807, "" },
//  { 0x7808, "" },
    { 0x7809, "script_vehicle_t90_tank_woodlandthink" },
//  { 0x780A, "" },
//  { 0x780B, "" },
//  { 0x780C, "" },
//  { 0x780D, "" },
    { 0x780E, "add_spawn_function_if_is_spawner" },
//  { 0x780F, "" },
//  { 0x7810, "" },
//  { 0x7811, "" },
//  { 0x7812, "" },
//  { 0x7813, "" },
//  { 0x7814, "" },
//  { 0x7815, "" },
//  { 0x7816, "" },
//  { 0x7817, "" },
    { 0x7818, "water_splash_reset_tank" },
//  { 0x7819, "" },
//  { 0x781A, "" },
    { 0x781B, "water_fx_ring" },
//  { 0x781C, "" },
//  { 0x781D, "" },
    { 0x781E, "water_splash" },
    { 0x781F, "touching_water_trigger" },
    { 0x7820, "water_height" },
//  { 0x7821, "" },
//  { 0x7822, "" },
    { 0x7823, "set_water_func" },
    { 0x7824, "water_splash_test" },
//  { 0x7825, "" },
//  { 0x7826, "" },
//  { 0x7827, "" },
//  { 0x7828, "" },
//  { 0x7829, "" },
//  { 0x782A, "" },
//  { 0x782B, "" },
//  { 0x782C, "" },
//  { 0x782D, "" },
//  { 0x782E, "" },
//  { 0x782F, "" },
//  { 0x7830, "" },
//  { 0x7831, "" },
//  { 0x7832, "" },
//  { 0x7833, "" },
//  { 0x7834, "" },
//  { 0x7835, "" },
    { 0x7836, "og_turret_damage_min" },
//  { 0x7837, "" },
//  { 0x7838, "" },
//  { 0x7839, "" },
//  { 0x783A, "" },
//  { 0x783B, "" },
//  { 0x783C, "" },
//  { 0x783D, "" },
//  { 0x783E, "" },
//  { 0x783F, "" },
//  { 0x7840, "" },
//  { 0x7841, "" },
    { 0x7842, "crawl_while_axis_alivethink_no_crawl" },
//  { 0x7843, "" },
//  { 0x7844, "" },
//  { 0x7845, "" },
//  { 0x7846, "" },
//  { 0x7847, "" },
//  { 0x7848, "" },
//  { 0x7849, "" },
    { 0x784A, "riders_godoff" },
//  { 0x784B, "" },
//  { 0x784C, "" },
//  { 0x784D, "" },
//  { 0x784E, "" },
//  { 0x784F, "" },
//  { 0x7850, "" },
//  { 0x7851, "" },
//  { 0x7852, "" },
//  { 0x7853, "" },
//  { 0x7854, "" },
//  { 0x7855, "" },
    { 0x7856, "tank_gate_open_trigger" },
    { 0x7857, "hamburg_badplace" },
//  { 0x7858, "" },
//  { 0x7859, "" },
//  { 0x785A, "" },
//  { 0x785B, "" },
//  { 0x785C, "" },
//  { 0x785D, "" },
//  { 0x785E, "" },
    { 0x785F, "guys_to_spawn" },
//  { 0x7860, "" },
//  { 0x7861, "" },
//  { 0x7862, "" },
    { 0x7863, "veh_node_tank_stop_for_enemiesthink" },
//  { 0x7864, "" },
    { 0x7865, "trigger_when_ai_clearthink" },
//  { 0x7866, "" },
//  { 0x7867, "" },
//  { 0x7868, "" },
//  { 0x7869, "" },
//  { 0x786A, "" },
//  { 0x786B, "" },
//  { 0x786C, "" },
//  { 0x786D, "" },
//  { 0x786E, "" },
//  { 0x786F, "" },
//  { 0x7870, "" },
    { 0x7871, "delete_on_goal_respawn" },
//  { 0x7872, "" },
//  { 0x7873, "" },
//  { 0x7874, "" },
//  { 0x7875, "" },
//  { 0x7876, "" },
    { 0x7877, "vehicle_turret_restore_old_mode" },
    { 0x7878, "show_me_the_drones" },
//  { 0x7879, "" },
//  { 0x787A, "" },
//  { 0x787B, "" },
//  { 0x787C, "" },
//  { 0x787D, "" },
//  { 0x787E, "" },
//  { 0x787F, "" },
//  { 0x7880, "" },
//  { 0x7881, "" },
//  { 0x7882, "" },
//  { 0x7883, "" },
    { 0x7884, "garage_crash_light_exit_ray" },
//  { 0x7885, "" },
//  { 0x7886, "" },
//  { 0x7887, "" },
//  { 0x7888, "" },
//  { 0x7889, "" },
//  { 0x788A, "" },
    { 0x788B, "flicker_the_light" },
//  { 0x788C, "" },
//  { 0x788D, "" },
    { 0x788E, "do_exit_sequence" },
//  { 0x788F, "" },
    { 0x7890, "driver_exit_idle" },
//  { 0x7891, "" },
//  { 0x7892, "" },
//  { 0x7893, "" },
//  { 0x7894, "" },
//  { 0x7895, "" },
//  { 0x7896, "" },
//  { 0x7897, "" },
//  { 0x7898, "" },
    { 0x7899, "tank_crew_1" },
//  { 0x789A, "" },
//  { 0x789B, "" },
//  { 0x789C, "" },
//  { 0x789D, "" },
//  { 0x789E, "" },
//  { 0x789F, "" },
    { 0x78A0, "post_crash_tank" },
//  { 0x78A1, "" },
//  { 0x78A2, "" },
//  { 0x78A3, "" },
//  { 0x78A4, "" },
//  { 0x78A5, "" },
//  { 0x78A6, "" },
//  { 0x78A7, "" },
//  { 0x78A8, "" },
    { 0x78A9, "human_anims" },
    { 0x78AA, "hamburg_player_anims" },
//  { 0x78AB, "" },
//  { 0x78AC, "" },
//  { 0x78AD, "" },
//  { 0x78AE, "" },
//  { 0x78AF, "" },
//  { 0x78B0, "" },
//  { 0x78B1, "" },
//  { 0x78B2, "" },
//  { 0x78B3, "" },
//  { 0x78B4, "" },
//  { 0x78B5, "" },
//  { 0x78B6, "" },
    { 0x78B7, "only_one_heli_fire" },
//  { 0x78B8, "" },
//  { 0x78B9, "" },
//  { 0x78BA, "" },
//  { 0x78BB, "" },
//  { 0x78BC, "" },
//  { 0x78BD, "" },
    { 0x78BE, "hot_buildings_one" },
//  { 0x78BF, "" },
//  { 0x78C0, "" },
//  { 0x78C1, "" },
//  { 0x78C2, "" },
//  { 0x78C3, "" },
//  { 0x78C4, "" },
//  { 0x78C5, "" },
//  { 0x78C6, "" },
//  { 0x78C7, "" },
    { 0x78C8, "tank_path_pre_bridge" },
//  { 0x78C9, "" },
    { 0x78CA, "tank_path_bridge" },
    { 0x78CB, "do_tank_mount" },
//  { 0x78CC, "" },
    { 0x78CD, "friend_tank_blasts_at_helis" },
//  { 0x78CE, "" },
//  { 0x78CF, "" },
//  { 0x78D0, "" },
//  { 0x78D1, "" },
    { 0x78D2, "tank_path_after_blackout" },
//  { 0x78D3, "" },
//  { 0x78D4, "" },
//  { 0x78D5, "" },
    { 0x78D6, "hot_buidlings_get_attacked" },
//  { 0x78D7, "" },
//  { 0x78D8, "" },
//  { 0x78D9, "" },
//  { 0x78DA, "" },
    { 0x78DB, "spawn_struct_drone_pool" },
//  { 0x78DC, "" },
//  { 0x78DD, "" },
//  { 0x78DE, "" },
    { 0x78DF, "afterdust_setup_wounded" },
//  { 0x78E0, "" },
//  { 0x78E1, "" },
//  { 0x78E2, "" },
//  { 0x78E3, "" },
//  { 0x78E4, "" },
    { 0x78E5, "player_tank_reloads_while_in_shock" },
//  { 0x78E6, "" },
//  { 0x78E7, "" },
//  { 0x78E8, "" },
//  { 0x78E9, "" },
//  { 0x78EA, "" },
//  { 0x78EB, "" },
//  { 0x78EC, "" },
//  { 0x78ED, "" },
    { 0x78EE, "missile_chain_clean" },
//  { 0x78EF, "" },
//  { 0x78F0, "" },
//  { 0x78F1, "" },
//  { 0x78F2, "" },
//  { 0x78F3, "" },
//  { 0x78F4, "" },
//  { 0x78F5, "" },
    { 0x78F6, "move_hangout_helithink" },
    { 0x78F7, "catchup_allies_helper_think" },
//  { 0x78F8, "" },
//  { 0x78F9, "" },
    { 0x78FA, "do_rockety_dodge" },
//  { 0x78FB, "" },
//  { 0x78FC, "" },
//  { 0x78FD, "" },
//  { 0x78FE, "" },
//  { 0x78FF, "" },
    { 0x7900, "nearby_hovercraft" },
    { 0x7901, "use_big_splash" },
//  { 0x7902, "" },
    { 0x7903, "add_hovercraft" },
//  { 0x7904, "" },
//  { 0x7905, "" },
//  { 0x7906, "" },
    { 0x7907, "add_rocket_detection" },
//  { 0x7908, "" },
//  { 0x7909, "" },
//  { 0x790A, "" },
    { 0x790B, "do_reinforcement_flyin" },
//  { 0x790C, "" },
//  { 0x790D, "" },
    { 0x790E, "crash_blackhawk_think" },
//  { 0x790F, "" },
    { 0x7910, "do_f15s" },
//  { 0x7911, "" },
//  { 0x7912, "" },
//  { 0x7913, "" },
//  { 0x7914, "" },
//  { 0x7915, "" },
//  { 0x7916, "" },
//  { 0x7917, "" },
//  { 0x7918, "" },
//  { 0x7919, "" },
//  { 0x791A, "" },
    { 0x791B, "player_blackhawk" },
//  { 0x791C, "" },
//  { 0x791D, "" },
//  { 0x791E, "" },
    { 0x791F, "do_crane_event" },
//  { 0x7920, "" },
//  { 0x7921, "" },
//  { 0x7922, "" },
//  { 0x7923, "" },
//  { 0x7924, "" },
    { 0x7925, "get_mortar_time" },
//  { 0x7926, "" },
    { 0x7927, "flak_burst" },
//  { 0x7928, "" },
//  { 0x7929, "" },
//  { 0x792A, "" },
    { 0x792B, "can_mortar_front" },
    { 0x792C, "get_bullet_time" },
    { 0x792D, "fly_in_percent" },
//  { 0x792E, "" },
    { 0x792F, "mortar_delay" },
    { 0x7930, "get_delay_percent" },
//  { 0x7931, "" },
    { 0x7932, "safe_randomfloatrange" },
//  { 0x7933, "" },
//  { 0x7934, "" },
//  { 0x7935, "" },
//  { 0x7936, "" },
//  { 0x7937, "" },
//  { 0x7938, "" },
//  { 0x7939, "" },
//  { 0x793A, "" },
//  { 0x793B, "" },
    { 0x793C, "helis_duke_it_out" },
//  { 0x793D, "" },
//  { 0x793E, "" },
//  { 0x793F, "" },
//  { 0x7940, "" },
    { 0x7941, "beach_color_triggers_touch" },
//  { 0x7942, "" },
    { 0x7943, "swing_light_org_think" },
//  { 0x7944, "" },
    { 0x7945, "swing_lamp_get_nearby_primary" },
//  { 0x7946, "" },
//  { 0x7947, "" },
//  { 0x7948, "" },
//  { 0x7949, "" },
//  { 0x794A, "" },
//  { 0x794B, "" },
//  { 0x794C, "" },
    { 0x794D, "ai_set_goalvolume" },
//  { 0x794E, "" },
//  { 0x794F, "" },
//  { 0x7950, "" },
//  { 0x7951, "" },
//  { 0x7952, "" },
//  { 0x7953, "" },
//  { 0x7954, "" },
//  { 0x7955, "" },
//  { 0x7956, "" },
    { 0x7957, "init_garage" },
//  { 0x7958, "" },
//  { 0x7959, "" },
//  { 0x795A, "" },
//  { 0x795B, "" },
//  { 0x795C, "" },
    { 0x795D, "init_level_flag" },
    { 0x795E, "tank_color_thread" },
//  { 0x795F, "" },
//  { 0x7960, "" },
//  { 0x7961, "" },
//  { 0x7962, "" },
//  { 0x7963, "" },
    { 0x7964, "garage_rondevu_infantry" },
//  { 0x7965, "" },
//  { 0x7966, "" },
//  { 0x7967, "" },
//  { 0x7968, "" },
//  { 0x7969, "" },
//  { 0x796A, "" },
//  { 0x796B, "" },
//  { 0x796C, "" },
//  { 0x796D, "" },
    { 0x796E, "hero_tank_rpg_attack" },
//  { 0x796F, "" },
//  { 0x7970, "" },
//  { 0x7971, "" },
//  { 0x7972, "" },
//  { 0x7973, "" },
    { 0x7974, "common_garage_player_on_tank" },
//  { 0x7975, "" },
//  { 0x7976, "" },
//  { 0x7977, "" },
//  { 0x7978, "" },
//  { 0x7979, "" },
//  { 0x797A, "" },
//  { 0x797B, "" },
    { 0x797C, "f15_bomber" },
    { 0x797D, "setup_end" },
//  { 0x797E, "" },
//  { 0x797F, "" },
//  { 0x7980, "" },
    { 0x7981, "setup_battle2_to_hvts" },
//  { 0x7982, "" },
//  { 0x7983, "" },
//  { 0x7984, "" },
//  { 0x7985, "" },
    { 0x7986, "setup_end_street_combat" },
//  { 0x7987, "" },
    { 0x7988, "green2" },
//  { 0x7989, "" },
//  { 0x798A, "" },
//  { 0x798B, "" },
//  { 0x798C, "" },
    { 0x798D, "endstreetguys1" },
//  { 0x798E, "" },
//  { 0x798F, "" },
//  { 0x7990, "" },
//  { 0x7991, "" },
//  { 0x7992, "" },
    { 0x7993, "suvbody1" },
//  { 0x7994, "" },
//  { 0x7995, "" },
//  { 0x7996, "" },
//  { 0x7997, "" },
//  { 0x7998, "" },
    { 0x7999, "blue2" },
//  { 0x799A, "" },
//  { 0x799B, "" },
    { 0x799C, "breach_door_nag" },
//  { 0x799D, "" },
//  { 0x799E, "" },
//  { 0x799F, "" },
//  { 0x79A0, "" },
    { 0x79A1, "gaz3" },
//  { 0x79A2, "" },
//  { 0x79A3, "" },
//  { 0x79A4, "" },
//  { 0x79A5, "" },
//  { 0x79A6, "" },
//  { 0x79A7, "" },
//  { 0x79A8, "" },
//  { 0x79A9, "" },
//  { 0x79AA, "" },
    { 0x79AB, "suvbody6" },
    { 0x79AC, "suvbody7" },
//  { 0x79AD, "" },
//  { 0x79AE, "" },
//  { 0x79AF, "" },
//  { 0x79B0, "" },
//  { 0x79B1, "" },
//  { 0x79B2, "" },
//  { 0x79B3, "" },
//  { 0x79B4, "" },
//  { 0x79B5, "" },
//  { 0x79B6, "" },
//  { 0x79B7, "" },
//  { 0x79B8, "" },
//  { 0x79B9, "" },
    { 0x79BA, "rogers_into_breach_room" },
    { 0x79BB, "blue1_pre_breach_accuracy" },
//  { 0x79BC, "" },
//  { 0x79BD, "" },
//  { 0x79BE, "" },
//  { 0x79BF, "" },
//  { 0x79C0, "" },
//  { 0x79C1, "" },
//  { 0x79C2, "" },
//  { 0x79C3, "" },
//  { 0x79C4, "" },
//  { 0x79C5, "" },
//  { 0x79C6, "" },
//  { 0x79C7, "" },
//  { 0x79C8, "" },
//  { 0x79C9, "" },
//  { 0x79CA, "" },
//  { 0x79CB, "" },
//  { 0x79CC, "" },
//  { 0x79CD, "" },
    { 0x79CE, "setup_streets" },
    { 0x79CF, "begin_streets" },
//  { 0x79D0, "" },
//  { 0x79D1, "" },
//  { 0x79D2, "" },
//  { 0x79D3, "" },
//  { 0x79D4, "" },
//  { 0x79D5, "" },
//  { 0x79D6, "" },
//  { 0x79D7, "" },
//  { 0x79D8, "" },
//  { 0x79D9, "" },
//  { 0x79DA, "" },
//  { 0x79DB, "" },
//  { 0x79DC, "" },
//  { 0x79DD, "" },
    { 0x79DE, "watch_low_enemy_count" },
//  { 0x79DF, "" },
    { 0x79E0, "streets_reset_obj" },
//  { 0x79E1, "" },
//  { 0x79E2, "" },
//  { 0x79E3, "" },
//  { 0x79E4, "" },
    { 0x79E5, "monitor_street_player" },
//  { 0x79E6, "" },
//  { 0x79E7, "" },
//  { 0x79E8, "" },
//  { 0x79E9, "" },
//  { 0x79EA, "" },
    { 0x79EB, "spawn_room_dregs" },
//  { 0x79EC, "" },
//  { 0x79ED, "" },
//  { 0x79EE, "" },
//  { 0x79EF, "" },
//  { 0x79F0, "" },
//  { 0x79F1, "" },
//  { 0x79F2, "" },
//  { 0x79F3, "" },
//  { 0x79F4, "" },
//  { 0x79F5, "" },
    { 0x79F6, "handle_heli_intro" },
    { 0x79F7, "monitor_tankstops" },
//  { 0x79F8, "" },
//  { 0x79F9, "" },
//  { 0x79FA, "" },
//  { 0x79FB, "" },
//  { 0x79FC, "" },
//  { 0x79FD, "" },
//  { 0x79FE, "" },
//  { 0x79FF, "" },
//  { 0x7A00, "" },
//  { 0x7A01, "" },
//  { 0x7A02, "" },
//  { 0x7A03, "" },
//  { 0x7A04, "" },
//  { 0x7A05, "" },
//  { 0x7A06, "" },
//  { 0x7A07, "" },
//  { 0x7A08, "" },
//  { 0x7A09, "" },
//  { 0x7A0A, "" },
//  { 0x7A0B, "" },
//  { 0x7A0C, "" },
//  { 0x7A0D, "" },
//  { 0x7A0E, "" },
//  { 0x7A0F, "" },
//  { 0x7A10, "" },
//  { 0x7A11, "" },
    { 0x7A12, "outside_count" },
//  { 0x7A13, "" },
//  { 0x7A14, "" },
//  { 0x7A15, "" },
//  { 0x7A16, "" },
//  { 0x7A17, "" },
//  { 0x7A18, "" },
//  { 0x7A19, "" },
//  { 0x7A1A, "" },
//  { 0x7A1B, "" },
//  { 0x7A1C, "" },
//  { 0x7A1D, "" },
//  { 0x7A1E, "" },
    { 0x7A1F, "send_to_active_vol" },
    { 0x7A20, "handle_enemy_tank_advance" },
//  { 0x7A21, "" },
//  { 0x7A22, "" },
//  { 0x7A23, "" },
//  { 0x7A24, "" },
//  { 0x7A25, "" },
//  { 0x7A26, "" },
//  { 0x7A27, "" },
//  { 0x7A28, "" },
//  { 0x7A29, "" },
//  { 0x7A2A, "" },
//  { 0x7A2B, "" },
//  { 0x7A2C, "" },
//  { 0x7A2D, "" },
//  { 0x7A2E, "" },
    { 0x7A2F, "assign_allies" },
//  { 0x7A30, "" },
//  { 0x7A31, "" },
//  { 0x7A32, "" },
//  { 0x7A33, "" },
//  { 0x7A34, "" },
//  { 0x7A35, "" },
    { 0x7A36, "water_fx_plume" },
//  { 0x7A37, "" },
//  { 0x7A38, "" },
//  { 0x7A39, "" },
//  { 0x7A3A, "" },
//  { 0x7A3B, "" },
//  { 0x7A3C, "" },
//  { 0x7A3D, "" },
//  { 0x7A3E, "" },
//  { 0x7A3F, "" },
//  { 0x7A40, "" },
//  { 0x7A41, "" },
//  { 0x7A42, "" },
//  { 0x7A43, "" },
//  { 0x7A44, "" },
//  { 0x7A45, "" },
//  { 0x7A46, "" },
//  { 0x7A47, "" },
//  { 0x7A48, "" },
//  { 0x7A49, "" },
//  { 0x7A4A, "" },
//  { 0x7A4B, "" },
//  { 0x7A4C, "" },
//  { 0x7A4D, "" },
//  { 0x7A4E, "" },
//  { 0x7A4F, "" },
//  { 0x7A50, "" },
//  { 0x7A51, "" },
//  { 0x7A52, "" },
//  { 0x7A53, "" },
//  { 0x7A54, "" },
    { 0x7A55, "setup_thermal_vents" },
//  { 0x7A56, "" },
//  { 0x7A57, "" },
//  { 0x7A58, "" },
//  { 0x7A59, "" },
//  { 0x7A5A, "" },
//  { 0x7A5B, "" },
//  { 0x7A5C, "" },
//  { 0x7A5D, "" },
//  { 0x7A5E, "" },
    { 0x7A5F, "parachute_clamp_angles" },
//  { 0x7A60, "" },
//  { 0x7A61, "" },
//  { 0x7A62, "" },
    { 0x7A63, "setup_altimeter" },
//  { 0x7A64, "" },
//  { 0x7A65, "" },
//  { 0x7A66, "" },
//  { 0x7A67, "" },
//  { 0x7A68, "" },
    { 0x7A69, "steer_max" },
//  { 0x7A6A, "" },
//  { 0x7A6B, "" },
//  { 0x7A6C, "" },
//  { 0x7A6D, "" },
//  { 0x7A6E, "" },
//  { 0x7A6F, "" },
    { 0x7A70, "parachute_thermal_fullscreen_fx" },
//  { 0x7A71, "" },
//  { 0x7A72, "" },
//  { 0x7A73, "" },
//  { 0x7A74, "" },
//  { 0x7A75, "" },
//  { 0x7A76, "" },
//  { 0x7A77, "" },
//  { 0x7A78, "" },
//  { 0x7A79, "" },
//  { 0x7A7A, "" },
//  { 0x7A7B, "" },
//  { 0x7A7C, "" },
    { 0x7A7D, "start_platform" },
//  { 0x7A7E, "" },
//  { 0x7A7F, "" },
//  { 0x7A80, "" },
//  { 0x7A81, "" },
//  { 0x7A82, "" },
//  { 0x7A83, "" },
//  { 0x7A84, "" },
//  { 0x7A85, "" },
//  { 0x7A86, "" },
//  { 0x7A87, "" },
//  { 0x7A88, "" },
//  { 0x7A89, "" },
//  { 0x7A8A, "" },
//  { 0x7A8B, "" },
//  { 0x7A8C, "" },
    { 0x7A8D, "dont_shoot_the_trucks" },
    { 0x7A8E, "truck_shot" },
//  { 0x7A8F, "" },
//  { 0x7A90, "" },
//  { 0x7A91, "" },
//  { 0x7A92, "" },
//  { 0x7A93, "" },
    { 0x7A94, "stop_current_anim" },
//  { 0x7A95, "" },
//  { 0x7A96, "" },
//  { 0x7A97, "" },
//  { 0x7A98, "" },
//  { 0x7A99, "" },
//  { 0x7A9A, "" },
//  { 0x7A9B, "" },
//  { 0x7A9C, "" },
//  { 0x7A9D, "" },
//  { 0x7A9E, "" },
    { 0x7A9F, "dont_break_anim" },
//  { 0x7AA0, "" },
//  { 0x7AA1, "" },
//  { 0x7AA2, "" },
//  { 0x7AA3, "" },
//  { 0x7AA4, "" },
//  { 0x7AA5, "" },
//  { 0x7AA6, "" },
//  { 0x7AA7, "" },
//  { 0x7AA8, "" },
//  { 0x7AA9, "" },
//  { 0x7AAA, "" },
//  { 0x7AAB, "" },
//  { 0x7AAC, "" },
//  { 0x7AAD, "" },
//  { 0x7AAE, "" },
//  { 0x7AAF, "" },
//  { 0x7AB0, "" },
//  { 0x7AB1, "" },
//  { 0x7AB2, "" },
//  { 0x7AB3, "" },
//  { 0x7AB4, "" },
//  { 0x7AB5, "" },
//  { 0x7AB6, "" },
//  { 0x7AB7, "" },
//  { 0x7AB8, "" },
//  { 0x7AB9, "" },
//  { 0x7ABA, "" },
//  { 0x7ABB, "" },
    { 0x7ABC, "is_looping" },
//  { 0x7ABD, "" },
//  { 0x7ABE, "" },
//  { 0x7ABF, "" },
//  { 0x7AC0, "" },
//  { 0x7AC1, "" },
//  { 0x7AC2, "" },
//  { 0x7AC3, "" },
//  { 0x7AC4, "" },
    { 0x7AC5, "price_indicate_guard" },
    { 0x7AC6, "price_wait_vo" },
//  { 0x7AC7, "" },
//  { 0x7AC8, "" },
//  { 0x7AC9, "" },
//  { 0x7ACA, "" },
//  { 0x7ACB, "" },
//  { 0x7ACC, "" },
//  { 0x7ACD, "" },
//  { 0x7ACE, "" },
//  { 0x7ACF, "" },
//  { 0x7AD0, "" },
    { 0x7AD1, "spotlight_road" },
//  { 0x7AD2, "" },
//  { 0x7AD3, "" },
    { 0x7AD4, "dead" },
    { 0x7AD5, "road_spotlight_fx" },
    { 0x7AD6, "wait_across_the_road" },
//  { 0x7AD7, "" },
//  { 0x7AD8, "" },
//  { 0x7AD9, "" },
//  { 0x7ADA, "" },
    { 0x7ADB, "spotlight_override_pos" },
//  { 0x7ADC, "" },
//  { 0x7ADD, "" },
    { 0x7ADE, "price_skip_ahead" },
//  { 0x7ADF, "" },
    { 0x7AE0, "cleanup" },
//  { 0x7AE1, "" },
    { 0x7AE2, "custom_price_loop_anim" },
//  { 0x7AE3, "" },
    { 0x7AE4, "stinger_fire_break_stealth" },
//  { 0x7AE5, "" },
//  { 0x7AE6, "" },
//  { 0x7AE7, "" },
    { 0x7AE8, "do_stealth_check_on_stealth_guards" },
//  { 0x7AE9, "" },
//  { 0x7AEA, "" },
//  { 0x7AEB, "" },
//  { 0x7AEC, "" },
//  { 0x7AED, "" },
//  { 0x7AEE, "" },
//  { 0x7AEF, "" },
//  { 0x7AF0, "" },
//  { 0x7AF1, "" },
//  { 0x7AF2, "" },
//  { 0x7AF3, "" },
//  { 0x7AF4, "" },
    { 0x7AF5, "run_thread_when_spawned" },
    { 0x7AF6, "courtyard_remove_guys_for_stealth" },
//  { 0x7AF7, "" },
//  { 0x7AF8, "" },
//  { 0x7AF9, "" },
//  { 0x7AFA, "" },
//  { 0x7AFB, "" },
//  { 0x7AFC, "" },
//  { 0x7AFD, "" },
//  { 0x7AFE, "" },
//  { 0x7AFF, "" },
//  { 0x7B00, "" },
//  { 0x7B01, "" },
//  { 0x7B02, "" },
//  { 0x7B03, "" },
//  { 0x7B04, "" },
//  { 0x7B05, "" },
//  { 0x7B06, "" },
//  { 0x7B07, "" },
//  { 0x7B08, "" },
//  { 0x7B09, "" },
//  { 0x7B0A, "" },
    { 0x7B0B, "price_vo_ruins_1" },
//  { 0x7B0C, "" },
//  { 0x7B0D, "" },
//  { 0x7B0E, "" },
//  { 0x7B0F, "" },
//  { 0x7B10, "" },
//  { 0x7B11, "" },
//  { 0x7B12, "" },
//  { 0x7B13, "" },
//  { 0x7B14, "" },
    { 0x7B15, "ruins_setup_stealth_patrol_alerts" },
    { 0x7B16, "ruins_grenade_throw_break_stealth" },
//  { 0x7B17, "" },
//  { 0x7B18, "" },
//  { 0x7B19, "" },
//  { 0x7B1A, "" },
//  { 0x7B1B, "" },
//  { 0x7B1C, "" },
    { 0x7B1D, "watch_first_patrol" },
    { 0x7B1E, "puddle_splashes" },
    { 0x7B1F, "unsetfootstepeffect" },
//  { 0x7B20, "" },
//  { 0x7B21, "" },
//  { 0x7B22, "" },
//  { 0x7B23, "" },
//  { 0x7B24, "" },
//  { 0x7B25, "" },
//  { 0x7B26, "" },
//  { 0x7B27, "" },
//  { 0x7B28, "" },
//  { 0x7B29, "" },
//  { 0x7B2A, "" },
//  { 0x7B2B, "" },
    { 0x7B2C, "fail_thread" },
//  { 0x7B2D, "" },
//  { 0x7B2E, "" },
//  { 0x7B2F, "" },
//  { 0x7B30, "" },
//  { 0x7B31, "" },
//  { 0x7B32, "" },
//  { 0x7B33, "" },
//  { 0x7B34, "" },
//  { 0x7B35, "" },
//  { 0x7B36, "" },
//  { 0x7B37, "" },
//  { 0x7B38, "" },
//  { 0x7B39, "" },
//  { 0x7B3A, "" },
//  { 0x7B3B, "" },
//  { 0x7B3C, "" },
//  { 0x7B3D, "" },
//  { 0x7B3E, "" },
//  { 0x7B3F, "" },
    { 0x7B40, "player_mounts_truck" },
//  { 0x7B41, "" },
//  { 0x7B42, "" },
//  { 0x7B43, "" },
//  { 0x7B44, "" },
//  { 0x7B45, "" },
//  { 0x7B46, "" },
//  { 0x7B47, "" },
//  { 0x7B48, "" },
//  { 0x7B49, "" },
//  { 0x7B4A, "" },
//  { 0x7B4B, "" },
//  { 0x7B4C, "" },
    { 0x7B4D, "price_idles_in_truck" },
    { 0x7B4E, "start_cliff" },
//  { 0x7B4F, "" },
    { 0x7B50, "player_slide" },
//  { 0x7B51, "" },
//  { 0x7B52, "" },
//  { 0x7B53, "" },
    { 0x7B54, "player_dirt_overlay" },
//  { 0x7B55, "" },
//  { 0x7B56, "" },
//  { 0x7B57, "" },
//  { 0x7B58, "" },
//  { 0x7B59, "" },
//  { 0x7B5A, "" },
//  { 0x7B5B, "" },
//  { 0x7B5C, "" },
//  { 0x7B5D, "" },
//  { 0x7B5E, "" },
//  { 0x7B5F, "" },
//  { 0x7B60, "" },
//  { 0x7B61, "" },
//  { 0x7B62, "" },
//  { 0x7B63, "" },
//  { 0x7B64, "" },
//  { 0x7B65, "" },
//  { 0x7B66, "" },
//  { 0x7B67, "" },
//  { 0x7B68, "" },
//  { 0x7B69, "" },
    { 0x7B6A, "helicopter_attack_think" },
//  { 0x7B6B, "" },
//  { 0x7B6C, "" },
//  { 0x7B6D, "" },
//  { 0x7B6E, "" },
//  { 0x7B6F, "" },
    { 0x7B70, "tree_clip_fx" },
//  { 0x7B71, "" },
//  { 0x7B72, "" },
//  { 0x7B73, "" },
//  { 0x7B74, "" },
//  { 0x7B75, "" },
//  { 0x7B76, "" },
//  { 0x7B77, "" },
//  { 0x7B78, "" },
//  { 0x7B79, "" },
//  { 0x7B7A, "" },
//  { 0x7B7B, "" },
//  { 0x7B7C, "" },
//  { 0x7B7D, "" },
//  { 0x7B7E, "" },
//  { 0x7B7F, "" },
//  { 0x7B80, "" },
//  { 0x7B81, "" },
//  { 0x7B82, "" },
//  { 0x7B83, "" },
//  { 0x7B84, "" },
//  { 0x7B85, "" },
    { 0x7B86, "price_turning" },
    { 0x7B87, "escape_doors_set_open" },
//  { 0x7B88, "" },
//  { 0x7B89, "" },
//  { 0x7B8A, "" },
//  { 0x7B8B, "" },
//  { 0x7B8C, "" },
//  { 0x7B8D, "" },
//  { 0x7B8E, "" },
//  { 0x7B8F, "" },
//  { 0x7B90, "" },
//  { 0x7B91, "" },
    { 0x7B92, "nikolai_end_line" },
    { 0x7B93, "cliffjump_crash" },
    { 0x7B94, "truck_lights_on" },
//  { 0x7B95, "" },
//  { 0x7B96, "" },
//  { 0x7B97, "" },
//  { 0x7B98, "" },
//  { 0x7B99, "" },
    { 0x7B9A, "start_bridge_explode" },
//  { 0x7B9B, "" },
    { 0x7B9C, "bridge_mantle" },
//  { 0x7B9D, "" },
//  { 0x7B9E, "" },
//  { 0x7B9F, "" },
//  { 0x7BA0, "" },
//  { 0x7BA1, "" },
//  { 0x7BA2, "" },
    { 0x7BA3, "handle_bridge_jump" },
//  { 0x7BA4, "" },
//  { 0x7BA5, "" },
//  { 0x7BA6, "" },
//  { 0x7BA7, "" },
//  { 0x7BA8, "" },
//  { 0x7BA9, "" },
//  { 0x7BAA, "" },
//  { 0x7BAB, "" },
//  { 0x7BAC, "" },
//  { 0x7BAD, "" },
//  { 0x7BAE, "" },
//  { 0x7BAF, "" },
//  { 0x7BB0, "" },
//  { 0x7BB1, "" },
    { 0x7BB2, "price_courtyard_vo" },
//  { 0x7BB3, "" },
//  { 0x7BB4, "" },
//  { 0x7BB5, "" },
//  { 0x7BB6, "" },
//  { 0x7BB7, "" },
//  { 0x7BB8, "" },
//  { 0x7BB9, "" },
//  { 0x7BBA, "" },
//  { 0x7BBB, "" },
//  { 0x7BBC, "" },
//  { 0x7BBD, "" },
//  { 0x7BBE, "" },
//  { 0x7BBF, "" },
//  { 0x7BC0, "" },
//  { 0x7BC1, "" },
//  { 0x7BC2, "" },
//  { 0x7BC3, "" },
//  { 0x7BC4, "" },
//  { 0x7BC5, "" },
//  { 0x7BC6, "" },
//  { 0x7BC7, "" },
//  { 0x7BC8, "" },
//  { 0x7BC9, "" },
//  { 0x7BCA, "" },
//  { 0x7BCB, "" },
//  { 0x7BCC, "" },
//  { 0x7BCD, "" },
//  { 0x7BCE, "" },
//  { 0x7BCF, "" },
//  { 0x7BD0, "" },
//  { 0x7BD1, "" },
//  { 0x7BD2, "" },
//  { 0x7BD3, "" },
    { 0x7BD4, "price_time_explosion" },
//  { 0x7BD5, "" },
//  { 0x7BD6, "" },
//  { 0x7BD7, "" },
//  { 0x7BD8, "" },
//  { 0x7BD9, "" },
//  { 0x7BDA, "" },
//  { 0x7BDB, "" },
//  { 0x7BDC, "" },
//  { 0x7BDD, "" },
//  { 0x7BDE, "" },
//  { 0x7BDF, "" },
//  { 0x7BE0, "" },
//  { 0x7BE1, "" },
//  { 0x7BE2, "" },
//  { 0x7BE3, "" },
//  { 0x7BE4, "" },
//  { 0x7BE5, "" },
//  { 0x7BE6, "" },
//  { 0x7BE7, "" },
//  { 0x7BE8, "" },
//  { 0x7BE9, "" },
//  { 0x7BEA, "" },
//  { 0x7BEB, "" },
    { 0x7BEC, "ai_makarov" },
//  { 0x7BED, "" },
//  { 0x7BEE, "" },
//  { 0x7BEF, "" },
//  { 0x7BF0, "" },
//  { 0x7BF1, "" },
//  { 0x7BF2, "" },
    { 0x7BF3, "alarm_start" },
//  { 0x7BF4, "" },
//  { 0x7BF5, "" },
//  { 0x7BF6, "" },
    { 0x7BF7, "price_destroy_wet_wall_dialog" },
//  { 0x7BF8, "" },
    { 0x7BF9, "n_lightning_misses" },
    { 0x7BFA, "alexi_vo1" },
//  { 0x7BFB, "" },
//  { 0x7BFC, "" },
//  { 0x7BFD, "" },
//  { 0x7BFE, "" },
    { 0x7BFF, "start_prison_battle_start" },
//  { 0x7C00, "" },
    { 0x7C01, "security_office" },
    { 0x7C02, "prison_battle_start" },
//  { 0x7C03, "" },
//  { 0x7C04, "" },
    { 0x7C05, "top_right_destructible" },
//  { 0x7C06, "" },
//  { 0x7C07, "" },
//  { 0x7C08, "" },
//  { 0x7C09, "" },
//  { 0x7C0A, "" },
//  { 0x7C0B, "" },
//  { 0x7C0C, "" },
//  { 0x7C0D, "" },
//  { 0x7C0E, "" },
//  { 0x7C0F, "" },
//  { 0x7C10, "" },
    { 0x7C11, "old_maxvisibledist" },
//  { 0x7C12, "" },
//  { 0x7C13, "" },
//  { 0x7C14, "" },
//  { 0x7C15, "" },
    { 0x7C16, "a_m_flares" },
//  { 0x7C17, "" },
//  { 0x7C18, "" },
//  { 0x7C19, "" },
//  { 0x7C1A, "" },
//  { 0x7C1B, "" },
//  { 0x7C1C, "" },
//  { 0x7C1D, "" },
//  { 0x7C1E, "" },
//  { 0x7C1F, "" },
//  { 0x7C20, "" },
//  { 0x7C21, "" },
//  { 0x7C22, "" },
//  { 0x7C23, "" },
//  { 0x7C24, "" },
//  { 0x7C25, "" },
    { 0x7C26, "security_guard_2" },
    { 0x7C27, "hide_knife" },
//  { 0x7C28, "" },
    { 0x7C29, "security_office_guards" },
//  { 0x7C2A, "" },
//  { 0x7C2B, "" },
//  { 0x7C2C, "" },
    { 0x7C2D, "stop_animation_on_grenade_prison" },
    { 0x7C2E, "stop_animation_on_prison_guard_if_flashbang" },
//  { 0x7C2F, "" },
//  { 0x7C30, "" },
//  { 0x7C31, "" },
    { 0x7C32, "stab_enter" },
//  { 0x7C33, "" },
//  { 0x7C34, "" },
//  { 0x7C35, "" },
//  { 0x7C36, "" },
//  { 0x7C37, "" },
//  { 0x7C38, "" },
//  { 0x7C39, "" },
//  { 0x7C3A, "" },
//  { 0x7C3B, "" },
//  { 0x7C3C, "" },
//  { 0x7C3D, "" },
//  { 0x7C3E, "" },
//  { 0x7C3F, "" },
//  { 0x7C40, "" },
//  { 0x7C41, "" },
//  { 0x7C42, "" },
//  { 0x7C43, "" },
//  { 0x7C44, "" },
//  { 0x7C45, "" },
//  { 0x7C46, "" },
//  { 0x7C47, "" },
//  { 0x7C48, "" },
//  { 0x7C49, "" },
//  { 0x7C4A, "" },
//  { 0x7C4B, "" },
//  { 0x7C4C, "" },
//  { 0x7C4D, "" },
//  { 0x7C4E, "" },
//  { 0x7C4F, "" },
    { 0x7C50, "move_price_into_multipath_start" },
    { 0x7C51, "shoot_at_fake_target" },
//  { 0x7C52, "" },
//  { 0x7C53, "" },
//  { 0x7C54, "" },
//  { 0x7C55, "" },
    { 0x7C56, "animate_harass_guards" },
//  { 0x7C57, "" },
    { 0x7C58, "harassed_prisoner_react" },
//  { 0x7C59, "" },
//  { 0x7C5A, "" },
//  { 0x7C5B, "" },
//  { 0x7C5C, "" },
//  { 0x7C5D, "" },
//  { 0x7C5E, "" },
    { 0x7C5F, "spawn_stair_stumble_forward_guard" },
//  { 0x7C60, "" },
//  { 0x7C61, "" },
//  { 0x7C62, "" },
    { 0x7C63, "spawn_stair_stumble_back_guard" },
//  { 0x7C64, "" },
//  { 0x7C65, "" },
//  { 0x7C66, "" },
//  { 0x7C67, "" },
//  { 0x7C68, "" },
    { 0x7C69, "guard_covercrouch_blindfire_idle_anims" },
//  { 0x7C6A, "" },
//  { 0x7C6B, "" },
//  { 0x7C6C, "" },
//  { 0x7C6D, "" },
//  { 0x7C6E, "" },
//  { 0x7C6F, "" },
//  { 0x7C70, "" },
//  { 0x7C71, "" },
//  { 0x7C72, "" },
//  { 0x7C73, "" },
    { 0x7C74, "check_player_distance" },
//  { 0x7C75, "" },
//  { 0x7C76, "" },
//  { 0x7C77, "" },
//  { 0x7C78, "" },
//  { 0x7C79, "" },
//  { 0x7C7A, "" },
//  { 0x7C7B, "" },
//  { 0x7C7C, "" },
//  { 0x7C7D, "" },
//  { 0x7C7E, "" },
//  { 0x7C7F, "" },
//  { 0x7C80, "" },
    { 0x7C81, "price_dialogue_security_office" },
//  { 0x7C82, "" },
//  { 0x7C83, "" },
    { 0x7C84, "price_impulsive_vo" },
//  { 0x7C85, "" },
//  { 0x7C86, "" },
    { 0x7C87, "swap_nvg_fx" },
//  { 0x7C88, "" },
//  { 0x7C89, "" },
//  { 0x7C8A, "" },
    { 0x7C8B, "generator_stumble" },
//  { 0x7C8C, "" },
//  { 0x7C8D, "" },
//  { 0x7C8E, "" },
//  { 0x7C8F, "" },
//  { 0x7C90, "" },
//  { 0x7C91, "" },
//  { 0x7C92, "" },
//  { 0x7C93, "" },
//  { 0x7C94, "" },
//  { 0x7C95, "" },
//  { 0x7C96, "" },
//  { 0x7C97, "" },
//  { 0x7C98, "" },
//  { 0x7C99, "" },
//  { 0x7C9A, "" },
//  { 0x7C9B, "" },
//  { 0x7C9C, "" },
//  { 0x7C9D, "" },
//  { 0x7C9E, "" },
//  { 0x7C9F, "" },
//  { 0x7CA0, "" },
//  { 0x7CA1, "" },
//  { 0x7CA2, "" },
//  { 0x7CA3, "" },
//  { 0x7CA4, "" },
//  { 0x7CA5, "" },
//  { 0x7CA6, "" },
    { 0x7CA7, "dialog_lines" },
//  { 0x7CA8, "" },
//  { 0x7CA9, "" },
//  { 0x7CAA, "" },
//  { 0x7CAB, "" },
//  { 0x7CAC, "" },
    { 0x7CAD, "forestfireeffectson" },
//  { 0x7CAE, "" },
//  { 0x7CAF, "" },
    { 0x7CB0, "monitor_player_speed" },
//  { 0x7CB1, "" },
//  { 0x7CB2, "" },
    { 0x7CB3, "pause_forest_fire_fx" },
//  { 0x7CB4, "" },
//  { 0x7CB5, "" },
//  { 0x7CB6, "" },
//  { 0x7CB7, "" },
//  { 0x7CB8, "" },
//  { 0x7CB9, "" },
//  { 0x7CBA, "" },
//  { 0x7CBB, "" },
//  { 0x7CBC, "" },
//  { 0x7CBD, "" },
//  { 0x7CBE, "" },
//  { 0x7CBF, "" },
//  { 0x7CC0, "" },
//  { 0x7CC1, "" },
//  { 0x7CC2, "" },
//  { 0x7CC3, "" },
//  { 0x7CC4, "" },
//  { 0x7CC5, "" },
    { 0x7CC6, "v_color_base" },
//  { 0x7CC7, "" },
//  { 0x7CC8, "" },
//  { 0x7CC9, "" },
//  { 0x7CCA, "" },
//  { 0x7CCB, "" },
//  { 0x7CCC, "" },
//  { 0x7CCD, "" },
//  { 0x7CCE, "" },
//  { 0x7CCF, "" },
//  { 0x7CD0, "" },
//  { 0x7CD1, "" },
//  { 0x7CD2, "" },
//  { 0x7CD3, "" },
//  { 0x7CD4, "" },
    { 0x7CD5, "nag_evaluation" },
//  { 0x7CD6, "" },
//  { 0x7CD7, "" },
//  { 0x7CD8, "" },
//  { 0x7CD9, "" },
//  { 0x7CDA, "" },
//  { 0x7CDB, "" },
//  { 0x7CDC, "" },
    { 0x7CDD, "_dual_stinger_loading" },
//  { 0x7CDE, "" },
//  { 0x7CDF, "" },
//  { 0x7CE0, "" },
//  { 0x7CE1, "" },
//  { 0x7CE2, "" },
//  { 0x7CE3, "" },
    { 0x7CE4, "_use_button_think_threaded" },
//  { 0x7CE5, "" },
//  { 0x7CE6, "" },
//  { 0x7CE7, "" },
//  { 0x7CE8, "" },
//  { 0x7CE9, "" },
    { 0x7CEA, "use_button_pressed" },
//  { 0x7CEB, "" },
//  { 0x7CEC, "" },
//  { 0x7CED, "" },
//  { 0x7CEE, "" },
//  { 0x7CEF, "" },
//  { 0x7CF0, "" },
//  { 0x7CF1, "" },
//  { 0x7CF2, "" },
//  { 0x7CF3, "" },
//  { 0x7CF4, "" },
//  { 0x7CF5, "" },
//  { 0x7CF6, "" },
//  { 0x7CF7, "" },
//  { 0x7CF8, "" },
//  { 0x7CF9, "" },
//  { 0x7CFA, "" },
//  { 0x7CFB, "" },
//  { 0x7CFC, "" },
//  { 0x7CFD, "" },
//  { 0x7CFE, "" },
//  { 0x7CFF, "" },
//  { 0x7D00, "" },
//  { 0x7D01, "" },
//  { 0x7D02, "" },
//  { 0x7D03, "" },
//  { 0x7D04, "" },
//  { 0x7D05, "" },
//  { 0x7D06, "" },
//  { 0x7D07, "" },
//  { 0x7D08, "" },
//  { 0x7D09, "" },
//  { 0x7D0A, "" },
//  { 0x7D0B, "" },
//  { 0x7D0C, "" },
//  { 0x7D0D, "" },
//  { 0x7D0E, "" },
//  { 0x7D0F, "" },
    { 0x7D10, "bridge_crossing" },
    { 0x7D11, "btr_drives_across_bridge" },
    { 0x7D12, "scaffold_shake" },
//  { 0x7D13, "" },
//  { 0x7D14, "" },
    { 0x7D15, "price_watch_bomb_plant" },
//  { 0x7D16, "" },
//  { 0x7D17, "" },
//  { 0x7D18, "" },
//  { 0x7D19, "" },
//  { 0x7D1A, "" },
//  { 0x7D1B, "" },
//  { 0x7D1C, "" },
//  { 0x7D1D, "" },
    { 0x7D1E, "player_fall" },
//  { 0x7D1F, "" },
//  { 0x7D20, "" },
//  { 0x7D21, "" },
//  { 0x7D22, "" },
//  { 0x7D23, "" },
//  { 0x7D24, "" },
    { 0x7D25, "cart_clip_failsafe" },
//  { 0x7D26, "" },
//  { 0x7D27, "" },
//  { 0x7D28, "" },
//  { 0x7D29, "" },
//  { 0x7D2A, "" },
//  { 0x7D2B, "" },
//  { 0x7D2C, "" },
//  { 0x7D2D, "" },
//  { 0x7D2E, "" },
//  { 0x7D2F, "" },
//  { 0x7D30, "" },
//  { 0x7D31, "" },
//  { 0x7D32, "" },
//  { 0x7D33, "" },
//  { 0x7D34, "" },
//  { 0x7D35, "" },
//  { 0x7D36, "" },
//  { 0x7D37, "" },
//  { 0x7D38, "" },
//  { 0x7D39, "" },
    { 0x7D3A, "initial_reinforcement_think" },
//  { 0x7D3B, "" },
//  { 0x7D3C, "" },
//  { 0x7D3D, "" },
//  { 0x7D3E, "" },
//  { 0x7D3F, "" },
//  { 0x7D40, "" },
//  { 0x7D41, "" },
//  { 0x7D42, "" },
    { 0x7D43, "watch_price_right_color" },
//  { 0x7D44, "" },
//  { 0x7D45, "" },
//  { 0x7D46, "" },
    { 0x7D47, "handle_environmental_fx" },
//  { 0x7D48, "" },
    { 0x7D49, "handle_water_splash_fx" },
//  { 0x7D4A, "" },
//  { 0x7D4B, "" },
//  { 0x7D4C, "" },
//  { 0x7D4D, "" },
//  { 0x7D4E, "" },
//  { 0x7D4F, "" },
    { 0x7D50, "character/character_hero_delta_grinch_snow" },
    { 0x7D51, "character/character_hero_arctic_price" },
//  { 0x7D52, "" },
//  { 0x7D53, "" },
//  { 0x7D54, "" },
    { 0x7D55, "character/character_russian_pres_daughter_iw" },
//  { 0x7D56, "" },
//  { 0x7D57, "" },
//  { 0x7D58, "" },
//  { 0x7D59, "" },
//  { 0x7D5A, "" },
    { 0x7D5B, "maps/createfx/rescue_2_fx" },
    { 0x7D5C, "generic_fx" },
    { 0x7D5D, "suburban_minigun_overrides" },
//  { 0x7D5E, "" },
//  { 0x7D5F, "" },
//  { 0x7D60, "" },
//  { 0x7D61, "" },
//  { 0x7D62, "" },
//  { 0x7D63, "" },
//  { 0x7D64, "" },
//  { 0x7D65, "" },
//  { 0x7D66, "" },
//  { 0x7D67, "" },
//  { 0x7D68, "" },
//  { 0x7D69, "" },
//  { 0x7D6A, "" },
//  { 0x7D6B, "" },
//  { 0x7D6C, "" },
//  { 0x7D6D, "" },
//  { 0x7D6E, "" },
//  { 0x7D6F, "" },
//  { 0x7D70, "" },
    { 0x7D71, "cavern_top_fight" },
//  { 0x7D72, "" },
//  { 0x7D73, "" },
//  { 0x7D74, "" },
//  { 0x7D75, "" },
//  { 0x7D76, "" },
//  { 0x7D77, "" },
//  { 0x7D78, "" },
//  { 0x7D79, "" },
//  { 0x7D7A, "" },
//  { 0x7D7B, "" },
//  { 0x7D7C, "" },
//  { 0x7D7D, "" },
//  { 0x7D7E, "" },
//  { 0x7D7F, "" },
//  { 0x7D80, "" },
//  { 0x7D81, "" },
//  { 0x7D82, "" },
//  { 0x7D83, "" },
//  { 0x7D84, "" },
//  { 0x7D85, "" },
//  { 0x7D86, "" },
//  { 0x7D87, "" },
//  { 0x7D88, "" },
//  { 0x7D89, "" },
//  { 0x7D8A, "" },
    { 0x7D8B, "character/character_fso_vest_nopacks_dirty" },
//  { 0x7D8C, "" },
//  { 0x7D8D, "" },
//  { 0x7D8E, "" },
//  { 0x7D8F, "" },
    { 0x7D90, "character/character_civilian_london_fem_c" },
//  { 0x7D91, "" },
//  { 0x7D92, "" },
//  { 0x7D93, "" },
    { 0x7D94, "xmodelalias/alias_russian_military_black_heads" },
//  { 0x7D95, "" },
//  { 0x7D96, "" },
//  { 0x7D97, "" },
//  { 0x7D98, "" },
//  { 0x7D99, "" },
//  { 0x7D9A, "" },
//  { 0x7D9B, "" },
//  { 0x7D9C, "" },
//  { 0x7D9D, "" },
//  { 0x7D9E, "" },
//  { 0x7D9F, "" },
//  { 0x7DA0, "" },
//  { 0x7DA1, "" },
//  { 0x7DA2, "" },
//  { 0x7DA3, "" },
//  { 0x7DA4, "" },
//  { 0x7DA5, "" },
//  { 0x7DA6, "" },
//  { 0x7DA7, "" },
    { 0x7DA8, "character/character_opforce_berlin_assault_a" },
    { 0x7DA9, "character/character_opforce_berlin_assault_b" },
//  { 0x7DAA, "" },
//  { 0x7DAB, "" },
//  { 0x7DAC, "" },
//  { 0x7DAD, "" },
    { 0x7DAE, "character/character_opforce_berlin_ass_b_dusty" },
//  { 0x7DAF, "" },
//  { 0x7DB0, "" },
//  { 0x7DB1, "" },
//  { 0x7DB2, "" },
//  { 0x7DB3, "" },
//  { 0x7DB4, "" },
//  { 0x7DB5, "" },
//  { 0x7DB6, "" },
//  { 0x7DB7, "" },
//  { 0x7DB8, "" },
//  { 0x7DB9, "" },
//  { 0x7DBA, "" },
//  { 0x7DBB, "" },
//  { 0x7DBC, "" },
//  { 0x7DBD, "" },
    { 0x7DBE, "character/character_hero_delta_sandman_noglasses" },
//  { 0x7DBF, "" },
//  { 0x7DC0, "" },
//  { 0x7DC1, "" },
//  { 0x7DC2, "" },
//  { 0x7DC3, "" },
//  { 0x7DC4, "" },
//  { 0x7DC5, "" },
//  { 0x7DC6, "" },
//  { 0x7DC7, "" },
//  { 0x7DC8, "" },
//  { 0x7DC9, "" },
    { 0x7DCA, "xmodelalias/alias_civilian_dubai_heads_female" },
    { 0x7DCB, "character/character_civilian_dubai_females" },
    { 0x7DCC, "character/character_vil_makarov_prague" },
//  { 0x7DCD, "" },
//  { 0x7DCE, "" },
//  { 0x7DCF, "" },
//  { 0x7DD0, "" },
//  { 0x7DD1, "" },
//  { 0x7DD2, "" },
//  { 0x7DD3, "" },
//  { 0x7DD4, "" },
//  { 0x7DD5, "" },
//  { 0x7DD6, "" },
//  { 0x7DD7, "" },
//  { 0x7DD8, "" },
//  { 0x7DD9, "" },
    { 0x7DDA, "maps/createart/so_survival_mp_bootleg_fog" },
//  { 0x7DDB, "" },
//  { 0x7DDC, "" },
//  { 0x7DDD, "" },
    { 0x7DDE, "maps/createart/so_survival_mp_carbon_fog" },
//  { 0x7DDF, "" },
//  { 0x7DE0, "" },
//  { 0x7DE1, "" },
//  { 0x7DE2, "" },
//  { 0x7DE3, "" },
//  { 0x7DE4, "" },
    { 0x7DE5, "maps/createart/so_survival_mp_lambeth_art" },
//  { 0x7DE6, "" },
//  { 0x7DE7, "" },
//  { 0x7DE8, "" },
//  { 0x7DE9, "" },
//  { 0x7DEA, "" },
//  { 0x7DEB, "" },
//  { 0x7DEC, "" },
//  { 0x7DED, "" },
//  { 0x7DEE, "" },
//  { 0x7DEF, "" },
//  { 0x7DF0, "" },
//  { 0x7DF1, "" },
//  { 0x7DF2, "" },
//  { 0x7DF3, "" },
//  { 0x7DF4, "" },
//  { 0x7DF5, "" },
//  { 0x7DF6, "" },
//  { 0x7DF7, "" },
//  { 0x7DF8, "" },
//  { 0x7DF9, "" },
//  { 0x7DFA, "" },
//  { 0x7DFB, "" },
//  { 0x7DFC, "" },
//  { 0x7DFD, "" },
//  { 0x7DFE, "" },
//  { 0x7DFF, "" },
//  { 0x7E00, "" },
//  { 0x7E01, "" },
//  { 0x7E02, "" },
//  { 0x7E03, "" },
//  { 0x7E04, "" },
//  { 0x7E05, "" },
//  { 0x7E06, "" },
//  { 0x7E07, "" },
//  { 0x7E08, "" },
//  { 0x7E09, "" },
//  { 0x7E0A, "" },
//  { 0x7E0B, "" },
//  { 0x7E0C, "" },
//  { 0x7E0D, "" },
    { 0x7E0E, "script_attackpattern" },
//  { 0x7E0F, "" },
//  { 0x7E10, "" },
//  { 0x7E11, "" },
//  { 0x7E12, "" },
//  { 0x7E13, "" },
//  { 0x7E14, "" },
//  { 0x7E15, "" },
//  { 0x7E16, "" },
//  { 0x7E17, "" },
//  { 0x7E18, "" },
//  { 0x7E19, "" },
//  { 0x7E1A, "" },
//  { 0x7E1B, "" },
//  { 0x7E1C, "" },
//  { 0x7E1D, "" },
//  { 0x7E1E, "" },
//  { 0x7E1F, "" },
//  { 0x7E20, "" },
    { 0x7E21, "script_vehicledetourtype" },
//  { 0x7E22, "" },
//  { 0x7E23, "" },
//  { 0x7E24, "" },
//  { 0x7E25, "" },
//  { 0x7E26, "" },
//  { 0x7E27, "" },
//  { 0x7E28, "" },
//  { 0x7E29, "" },
//  { 0x7E2A, "" },
//  { 0x7E2B, "" },
//  { 0x7E2C, "" },
//  { 0x7E2D, "" },
//  { 0x7E2E, "" },
//  { 0x7E2F, "" },
//  { 0x7E30, "" },
//  { 0x7E31, "" },
//  { 0x7E32, "" },
//  { 0x7E33, "" },
//  { 0x7E34, "" },
//  { 0x7E35, "" },
    { 0x7E36, "script_nohealth" },
//  { 0x7E37, "" },
//  { 0x7E38, "" },
//  { 0x7E39, "" },
//  { 0x7E3A, "" },
//  { 0x7E3B, "" },
//  { 0x7E3C, "" },
//  { 0x7E3D, "" },
//  { 0x7E3E, "" },
//  { 0x7E3F, "" },
//  { 0x7E40, "" },
//  { 0x7E41, "" },
//  { 0x7E42, "" },
//  { 0x7E43, "" },
//  { 0x7E44, "" },
//  { 0x7E45, "" },
//  { 0x7E46, "" },
//  { 0x7E47, "" },
//  { 0x7E48, "" },
//  { 0x7E49, "" },
//  { 0x7E4A, "" },
    { 0x7E4B, "lighttarget" },
//  { 0x7E4C, "" },
//  { 0x7E4D, "" },
//  { 0x7E4E, "" },
    { 0x7E4F, "def" },
//  { 0x7E50, "" },
//  { 0x7E51, "" },
    { 0x7E52, "fov_outer" },
//  { 0x7E53, "" },
//  { 0x7E54, "" },
//  { 0x7E55, "" },
//  { 0x7E56, "" },
//  { 0x7E57, "" },
//  { 0x7E58, "" },
//  { 0x7E59, "" },
//  { 0x7E5A, "" },
//  { 0x7E5B, "" },
//  { 0x7E5C, "" },
//  { 0x7E5D, "" },
//  { 0x7E5E, "" },
//  { 0x7E5F, "" },
//  { 0x7E60, "" },
//  { 0x7E61, "" },
//  { 0x7E62, "" },
//  { 0x7E63, "" },
//  { 0x7E64, "" },
//  { 0x7E65, "" },
    { 0x7E66, "target_not" },
//  { 0x7E67, "" },
    { 0x7E68, "searchfor" },
//  { 0x7E69, "" },
//  { 0x7E6A, "" },
//  { 0x7E6B, "" },
//  { 0x7E6C, "" },
//  { 0x7E6D, "" },
//  { 0x7E6E, "" },
//  { 0x7E6F, "" },
//  { 0x7E70, "" },
//  { 0x7E71, "" },
//  { 0x7E72, "" },
//  { 0x7E73, "" },
//  { 0x7E74, "" },
//  { 0x7E75, "" },
//  { 0x7E76, "" },
//  { 0x7E77, "" },
    { 0x7E78, "script_connectpaths" },
//  { 0x7E79, "" },
//  { 0x7E7A, "" },
//  { 0x7E7B, "" },
//  { 0x7E7C, "" },
//  { 0x7E7D, "" },
//  { 0x7E7E, "" },
//  { 0x7E7F, "" },
//  { 0x7E80, "" },
//  { 0x7E81, "" },
//  { 0x7E82, "" },
//  { 0x7E83, "" },
//  { 0x7E84, "" },
//  { 0x7E85, "" },
//  { 0x7E86, "" },
//  { 0x7E87, "" },
    { 0x7E88, "character/character_city_civ_male_a" },
//  { 0x7E89, "" },
//  { 0x7E8A, "" },
    { 0x7E8B, "character/character_civilian_urban_male_ab_wht" },
//  { 0x7E8C, "" },
    { 0x7E8D, "character/character_civilian_urban_male_ba_wht" },
    { 0x7E8E, "character/character_civilian_urban_male_bb_wht" },
//  { 0x7E8F, "" },
//  { 0x7E90, "" },
//  { 0x7E91, "" },
//  { 0x7E92, "" },
//  { 0x7E93, "" },
//  { 0x7E94, "" },
//  { 0x7E95, "" },
//  { 0x7E96, "" },
//  { 0x7E97, "" },
//  { 0x7E98, "" },
//  { 0x7E99, "" },
//  { 0x7E9A, "" },
    { 0x7E9B, "script_lookahead" },
    { 0x7E9C, "script_animname" },
    { 0x7E9D, "script_goalradius" },
//  { 0x7E9E, "" },
//  { 0x7E9F, "" },
//  { 0x7EA0, "" },
//  { 0x7EA1, "" },
//  { 0x7EA2, "" },
//  { 0x7EA3, "" },
    { 0x7EA4, "radois" },
//  { 0x7EA5, "" },
//  { 0x7EA6, "" },
//  { 0x7EA7, "" },
//  { 0x7EA8, "" },
//  { 0x7EA9, "" },
//  { 0x7EAA, "" },
//  { 0x7EAB, "" },
//  { 0x7EAC, "" },
//  { 0x7EAD, "" },
//  { 0x7EAE, "" },
    { 0x7EAF, "script_slomobreach" },
//  { 0x7EB0, "" },
//  { 0x7EB1, "" },
//  { 0x7EB2, "" },
//  { 0x7EB3, "" },
//  { 0x7EB4, "" },
//  { 0x7EB5, "" },
//  { 0x7EB6, "" },
//  { 0x7EB7, "" },
//  { 0x7EB8, "" },
//  { 0x7EB9, "" },
//  { 0x7EBA, "" },
//  { 0x7EBB, "" },
//  { 0x7EBC, "" },
//  { 0x7EBD, "" },
//  { 0x7EBE, "" },
//  { 0x7EBF, "" },
//  { 0x7EC0, "" },
//  { 0x7EC1, "" },
//  { 0x7EC2, "" },
//  { 0x7EC3, "" },
//  { 0x7EC4, "" },
//  { 0x7EC5, "" },
//  { 0x7EC6, "" },
//  { 0x7EC7, "" },
//  { 0x7EC8, "" },
//  { 0x7EC9, "" },
//  { 0x7ECA, "" },
    { 0x7ECB, "sas_turnstile" },
    { 0x7ECC, "poster_bink" },
//  { 0x7ECD, "" },
//  { 0x7ECE, "" },
//  { 0x7ECF, "" },
//  { 0x7ED0, "" },
//  { 0x7ED1, "" },
//  { 0x7ED2, "" },
//  { 0x7ED3, "" },
//  { 0x7ED4, "" },
//  { 0x7ED5, "" },
//  { 0x7ED6, "" },
//  { 0x7ED7, "" },
//  { 0x7ED8, "" },
//  { 0x7ED9, "" },
    { 0x7EDA, "takedown_ent_on_ai_death" },
//  { 0x7EDB, "" },
//  { 0x7EDC, "" },
//  { 0x7EDD, "" },
//  { 0x7EDE, "" },
//  { 0x7EDF, "" },
//  { 0x7EE0, "" },
//  { 0x7EE1, "" },
//  { 0x7EE2, "" },
//  { 0x7EE3, "" },
//  { 0x7EE4, "" },
    { 0x7EE5, "truck_targets" },
//  { 0x7EE6, "" },
    { 0x7EE7, "truck_shoot_start" },
//  { 0x7EE8, "" },
//  { 0x7EE9, "" },
//  { 0x7EEA, "" },
//  { 0x7EEB, "" },
//  { 0x7EEC, "" },
//  { 0x7EED, "" },
//  { 0x7EEE, "" },
//  { 0x7EEF, "" },
//  { 0x7EF0, "" },
//  { 0x7EF1, "" },
//  { 0x7EF2, "" },
//  { 0x7EF3, "" },
//  { 0x7EF4, "" },
//  { 0x7EF5, "" },
//  { 0x7EF6, "" },
//  { 0x7EF7, "" },
//  { 0x7EF8, "" },
//  { 0x7EF9, "" },
//  { 0x7EFA, "" },
//  { 0x7EFB, "" },
//  { 0x7EFC, "" },
//  { 0x7EFD, "" },
//  { 0x7EFE, "" },
//  { 0x7EFF, "" },
//  { 0x7F00, "" },
//  { 0x7F01, "" },
//  { 0x7F02, "" },
//  { 0x7F03, "" },
//  { 0x7F04, "" },
    { 0x7F05, "primary_light_flicker" },
//  { 0x7F06, "" },
//  { 0x7F07, "" },
//  { 0x7F08, "" },
    { 0x7F09, "interrupt_anim_if_shot" },
//  { 0x7F0A, "" },
//  { 0x7F0B, "" },
    { 0x7F0C, "stairs_guys" },
//  { 0x7F0D, "" },
//  { 0x7F0E, "" },
//  { 0x7F0F, "" },
//  { 0x7F10, "" },
//  { 0x7F11, "" },
    { 0x7F12, "ending_police_cars" },
//  { 0x7F13, "" },
//  { 0x7F14, "" },
//  { 0x7F15, "" },
//  { 0x7F16, "" },
//  { 0x7F17, "" },
//  { 0x7F18, "" },
//  { 0x7F19, "" },
//  { 0x7F1A, "" },
//  { 0x7F1B, "" },
//  { 0x7F1C, "" },
//  { 0x7F1D, "" },
//  { 0x7F1E, "" },
//  { 0x7F1F, "" },
//  { 0x7F20, "" },
//  { 0x7F21, "" },
//  { 0x7F22, "" },
//  { 0x7F23, "" },
//  { 0x7F24, "" },
//  { 0x7F25, "" },
    { 0x7F26, "trigger_with_targetname_dronespawn" },
//  { 0x7F27, "" },
//  { 0x7F28, "" },
//  { 0x7F29, "" },
//  { 0x7F2A, "" },
    { 0x7F2B, "safe_gun_remove" },
//  { 0x7F2C, "" },
//  { 0x7F2D, "" },
    { 0x7F2E, "waiting_for_sound" },
//  { 0x7F2F, "" },
//  { 0x7F30, "" },
    { 0x7F31, "vehicles_print_stopped_positions" },
//  { 0x7F32, "" },
//  { 0x7F33, "" },
//  { 0x7F34, "" },
//  { 0x7F35, "" },
//  { 0x7F36, "" },
//  { 0x7F37, "" },
//  { 0x7F38, "" },
//  { 0x7F39, "" },
    { 0x7F3A, "friendly_explosion_reaction" },
//  { 0x7F3B, "" },
//  { 0x7F3C, "" },
//  { 0x7F3D, "" },
//  { 0x7F3E, "" },
    { 0x7F3F, "post_train_crash_dialogue" },
//  { 0x7F40, "" },
//  { 0x7F41, "" },
//  { 0x7F42, "" },
//  { 0x7F43, "" },
//  { 0x7F44, "" },
//  { 0x7F45, "" },
//  { 0x7F46, "" },
    { 0x7F47, "train_crash_open_view" },
//  { 0x7F48, "" },
//  { 0x7F49, "" },
//  { 0x7F4A, "" },
    { 0x7F4B, "sas_leader_init" },
    { 0x7F4C, "station_dialogue" },
//  { 0x7F4D, "" },
//  { 0x7F4E, "" },
//  { 0x7F4F, "" },
//  { 0x7F50, "" },
    { 0x7F51, "west_ending" },
    { 0x7F52, "west_ending_dialogue" },
//  { 0x7F53, "" },
//  { 0x7F54, "" },
    { 0x7F55, "entity_cleanup" },
//  { 0x7F56, "" },
//  { 0x7F57, "" },
//  { 0x7F58, "" },
    { 0x7F59, "enemy_takedown_scene" },
//  { 0x7F5A, "" },
    { 0x7F5B, "default_sort" },
//  { 0x7F5C, "" },
//  { 0x7F5D, "" },
//  { 0x7F5E, "" },
//  { 0x7F5F, "" },
//  { 0x7F60, "" },
    { 0x7F61, "camera_fall" },
    { 0x7F62, "wife" },
//  { 0x7F63, "" },
//  { 0x7F64, "" },
//  { 0x7F65, "" },
    { 0x7F66, "camera_cut" },
    { 0x7F67, "wife_origin" },
//  { 0x7F68, "" },
//  { 0x7F69, "" },
//  { 0x7F6A, "" },
    { 0x7F6B, "create_cut_hud" },
//  { 0x7F6C, "" },
//  { 0x7F6D, "" },
//  { 0x7F6E, "" },
//  { 0x7F6F, "" },
//  { 0x7F70, "" },
//  { 0x7F71, "" },
//  { 0x7F72, "" },
//  { 0x7F73, "" },
//  { 0x7F74, "" },
//  { 0x7F75, "" },
//  { 0x7F76, "" },
//  { 0x7F77, "" },
//  { 0x7F78, "" },
    { 0x7F79, "splashscreen_off" },
//  { 0x7F7A, "" },
//  { 0x7F7B, "" },
//  { 0x7F7C, "" },
//  { 0x7F7D, "" },
    { 0x7F7E, "touch_ent" },
//  { 0x7F7F, "" },
//  { 0x7F80, "" },
//  { 0x7F81, "" },
//  { 0x7F82, "" },
//  { 0x7F83, "" },
//  { 0x7F84, "" },
//  { 0x7F85, "" },
//  { 0x7F86, "" },
//  { 0x7F87, "" },
//  { 0x7F88, "" },
//  { 0x7F89, "" },
//  { 0x7F8A, "" },
//  { 0x7F8B, "" },
    { 0x7F8C, "delete_pigeons" },
    { 0x7F8D, "couple_walking" },
//  { 0x7F8E, "" },
//  { 0x7F8F, "" },
//  { 0x7F90, "" },
//  { 0x7F91, "" },
//  { 0x7F92, "" },
    { 0x7F93, "westminster_fx" },
//  { 0x7F94, "" },
//  { 0x7F95, "" },
//  { 0x7F96, "" },
//  { 0x7F97, "" },
//  { 0x7F98, "" },
//  { 0x7F99, "" },
//  { 0x7F9A, "" },
//  { 0x7F9B, "" },
//  { 0x7F9C, "" },
//  { 0x7F9D, "" },
//  { 0x7F9E, "" },
//  { 0x7F9F, "" },
//  { 0x7FA0, "" },
//  { 0x7FA1, "" },
    { 0x7FA2, "cleanup_weestminster" },
//  { 0x7FA3, "" },
//  { 0x7FA4, "" },
//  { 0x7FA5, "" },
//  { 0x7FA6, "" },
//  { 0x7FA7, "" },
//  { 0x7FA8, "" },
//  { 0x7FA9, "" },
//  { 0x7FAA, "" },
//  { 0x7FAB, "" },
//  { 0x7FAC, "" },
//  { 0x7FAD, "" },
//  { 0x7FAE, "" },
//  { 0x7FAF, "" },
    { 0x7FB0, "array_thread_mod_delayed" },
//  { 0x7FB1, "" },
//  { 0x7FB2, "" },
//  { 0x7FB3, "" },
//  { 0x7FB4, "" },
//  { 0x7FB5, "" },
//  { 0x7FB6, "" },
//  { 0x7FB7, "" },
//  { 0x7FB8, "" },
    { 0x7FB9, "check_for_player_touching" },
//  { 0x7FBA, "" },
//  { 0x7FBB, "" },
//  { 0x7FBC, "" },
//  { 0x7FBD, "" },
//  { 0x7FBE, "" },
//  { 0x7FBF, "" },
//  { 0x7FC0, "" },
//  { 0x7FC1, "" },
//  { 0x7FC2, "" },
//  { 0x7FC3, "" },
    { 0x7FC4, "maps/paris_ac130_precache" },
//  { 0x7FC5, "" },
//  { 0x7FC6, "" },
//  { 0x7FC7, "" },
//  { 0x7FC8, "" },
    { 0x7FC9, "maps/mp/mp_radar_precache" },
//  { 0x7FCA, "" },
//  { 0x7FCB, "" },
//  { 0x7FCC, "" },
//  { 0x7FCD, "" },
    { 0x7FCE, "maps/mp/mp_bravo_fx" },
//  { 0x7FCF, "" },
//  { 0x7FD0, "" },
//  { 0x7FD1, "" },
//  { 0x7FD2, "" },
//  { 0x7FD3, "" },
//  { 0x7FD4, "" },
//  { 0x7FD5, "" },
//  { 0x7FD6, "" },
//  { 0x7FD7, "" },
//  { 0x7FD8, "" },
//  { 0x7FD9, "" },
//  { 0x7FDA, "" },
//  { 0x7FDB, "" },
    { 0x7FDC, "maps/mp/mp_lambeth_precache" },
//  { 0x7FDD, "" },
//  { 0x7FDE, "" },
//  { 0x7FDF, "" },
//  { 0x7FE0, "" },
//  { 0x7FE1, "" },
//  { 0x7FE2, "" },
//  { 0x7FE3, "" },
//  { 0x7FE4, "" },
//  { 0x7FE5, "" },
//  { 0x7FE6, "" },
//  { 0x7FE7, "" },
//  { 0x7FE8, "" },
//  { 0x7FE9, "" },
//  { 0x7FEA, "" },
//  { 0x7FEB, "" },
//  { 0x7FEC, "" },
//  { 0x7FED, "" },
//  { 0x7FEE, "" },
//  { 0x7FEF, "" },
//  { 0x7FF0, "" },
    { 0x7FF1, "maps/so_deltacamp_fx" },
    { 0x7FF2, "maps/so_deltacamp_precache" },
//  { 0x7FF3, "" },
//  { 0x7FF4, "" },
    { 0x7FF5, "maps/sp_paris_b_precache" },
//  { 0x7FF6, "" },
//  { 0x7FF7, "" },
//  { 0x7FF8, "" },
//  { 0x7FF9, "" },
//  { 0x7FFA, "" },
//  { 0x7FFB, "" },
//  { 0x7FFC, "" },
//  { 0x7FFD, "" },
//  { 0x7FFE, "" },
//  { 0x7FFF, "" },
//  { 0x8000, "" },
//  { 0x8001, "" },
//  { 0x8002, "" },
//  { 0x8003, "" },
//  { 0x8004, "" },
//  { 0x8005, "" },
//  { 0x8006, "" },
//  { 0x8007, "" },
//  { 0x8008, "" },
//  { 0x8009, "" },
//  { 0x800A, "" },
//  { 0x800B, "" },
//  { 0x800C, "" },
//  { 0x800D, "" },
//  { 0x800E, "" },
//  { 0x800F, "" },
    { 0x8010, "delete_on_trigger" },
//  { 0x8011, "" },
//  { 0x8012, "" },
//  { 0x8013, "" },
//  { 0x8014, "" },
//  { 0x8015, "" },
//  { 0x8016, "" },
//  { 0x8017, "" },
//  { 0x8018, "" },
//  { 0x8019, "" },
//  { 0x801A, "" },
//  { 0x801B, "" },
//  { 0x801C, "" },
//  { 0x801D, "" },
//  { 0x801E, "" },
//  { 0x801F, "" },
//  { 0x8020, "" },
    { 0x8021, "tire_squeaking" },
//  { 0x8022, "" },
//  { 0x8023, "" },
    { 0x8024, "maps/hamburg_precache" },
    { 0x8025, "maps/so_survival_mp_underground_precache" },
//  { 0x8026, "" },
//  { 0x8027, "" },
    { 0x8028, "disconnect_specops_paths" },
    { 0x8029, "lookat_player" },
//  { 0x802A, "" },
//  { 0x802B, "" },
//  { 0x802C, "" },
//  { 0x802D, "" },
//  { 0x802E, "" },
//  { 0x802F, "" },
//  { 0x8030, "" },
//  { 0x8031, "" },
//  { 0x8032, "" },
//  { 0x8033, "" },
//  { 0x8034, "" },
//  { 0x8035, "" },
//  { 0x8036, "" },
//  { 0x8037, "" },
//  { 0x8038, "" },
//  { 0x8039, "" },
//  { 0x803A, "" },
//  { 0x803B, "" },
//  { 0x803C, "" },
//  { 0x803D, "" },
//  { 0x803E, "" },
//  { 0x803F, "" },
//  { 0x8040, "" },
//  { 0x8041, "" },
//  { 0x8042, "" },
//  { 0x8043, "" },
//  { 0x8044, "" },
//  { 0x8045, "" },
//  { 0x8046, "" },
//  { 0x8047, "" },
//  { 0x8048, "" },
//  { 0x8049, "" },
//  { 0x804A, "" },
//  { 0x804B, "" },
//  { 0x804C, "" },
//  { 0x804D, "" },
    { 0x804E, "new_cave_door_collision" },
//  { 0x804F, "" },
//  { 0x8050, "" },
//  { 0x8051, "" },
//  { 0x8052, "" },
//  { 0x8053, "" },
//  { 0x8054, "" },
//  { 0x8055, "" },
//  { 0x8056, "" },
//  { 0x8057, "" },
//  { 0x8058, "" },
//  { 0x8059, "" },
//  { 0x805A, "" },
//  { 0x805B, "" },
//  { 0x805C, "" },
//  { 0x805D, "" },
//  { 0x805E, "" },
//  { 0x805F, "" },
//  { 0x8060, "" },
//  { 0x8061, "" },
//  { 0x8062, "" },
//  { 0x8063, "" },
//  { 0x8064, "" },
//  { 0x8065, "" },
//  { 0x8066, "" },
//  { 0x8067, "" },
//  { 0x8068, "" },
//  { 0x8069, "" },
//  { 0x806A, "" },
//  { 0x806B, "" },
//  { 0x806C, "" },
//  { 0x806D, "" },
//  { 0x806E, "" },
    { 0x806F, "character/mp_character_delta_woodland_shotgun" },
//  { 0x8070, "" },
//  { 0x8071, "" },
    { 0x8072, "character/mp_character_delta_woodland_smg_c" },
//  { 0x8073, "" },
//  { 0x8074, "" },
    { 0x8075, "maps/so_survival_mp_hardhat_precache" },
    { 0x8076, "setup_road_patrollers" },
//  { 0x8077, "" },
//  { 0x8078, "" },
//  { 0x8079, "" },
//  { 0x807A, "" },
//  { 0x807B, "" },
//  { 0x807C, "" },
//  { 0x807D, "" },
//  { 0x807E, "" },
//  { 0x807F, "" },
//  { 0x8080, "" },
//  { 0x8081, "" },
//  { 0x8082, "" },
//  { 0x8083, "" },
//  { 0x8084, "" },
//  { 0x8085, "" },
//  { 0x8086, "" },
//  { 0x8087, "" },
    { 0x8088, "henchman3_vo" },
//  { 0x8089, "" },
//  { 0x808A, "" },
//  { 0x808B, "" },
//  { 0x808C, "" },
//  { 0x808D, "" },
//  { 0x808E, "" },
//  { 0x808F, "" },
//  { 0x8090, "" },
//  { 0x8091, "" },
//  { 0x8092, "" },
//  { 0x8093, "" },
//  { 0x8094, "" },
//  { 0x8095, "" },
//  { 0x8096, "" },
//  { 0x8097, "" },
//  { 0x8098, "" },
//  { 0x8099, "" },
    { 0x809A, "check_for_sniper" },
//  { 0x809B, "" },
    { 0x809C, "monitor_death" },
    { 0x809D, "sniper_granite_death_scene_nag" },
//  { 0x809E, "" },
//  { 0x809F, "" },
//  { 0x80A0, "" },
//  { 0x80A1, "" },
//  { 0x80A2, "" },
//  { 0x80A3, "" },
//  { 0x80A4, "" },
//  { 0x80A5, "" },
//  { 0x80A6, "" },
//  { 0x80A7, "" },
//  { 0x80A8, "" },
    { 0x80A9, "bridge_player_stays_back_nag" },
//  { 0x80AA, "" },
//  { 0x80AB, "" },
//  { 0x80AC, "" },
//  { 0x80AD, "" },
    { 0x80AE, "last_stand_get_to_roof_nag" },
//  { 0x80AF, "" },
//  { 0x80B0, "" },
//  { 0x80B1, "" },
//  { 0x80B2, "" },
//  { 0x80B3, "" },
//  { 0x80B4, "" },
//  { 0x80B5, "" },
//  { 0x80B6, "" },
//  { 0x80B7, "" },
//  { 0x80B8, "" },
//  { 0x80B9, "" },
//  { 0x80BA, "" },
//  { 0x80BB, "" },
//  { 0x80BC, "" },
//  { 0x80BD, "" },
//  { 0x80BE, "" },
//  { 0x80BF, "" },
    { 0x80C0, "finale_should_break_hit_melee_yank" },
//  { 0x80C1, "" },
//  { 0x80C2, "" },
//  { 0x80C3, "" },
//  { 0x80C4, "" },
    { 0x80C5, "hideworldiconongameend" },
//  { 0x80C6, "" },
//  { 0x80C7, "" },
//  { 0x80C8, "" },
//  { 0x80C9, "" },
//  { 0x80CA, "" },
//  { 0x80CB, "" },
    { 0x80CC, "maps/so_survival_mp_paris_precache" },
//  { 0x80CD, "" },
//  { 0x80CE, "" },
//  { 0x80CF, "" },
//  { 0x80D0, "" },
//  { 0x80D1, "" },
    { 0x80D2, "bookstore_heavy_fire_dialogue_1" },
//  { 0x80D3, "" },
//  { 0x80D4, "" },
//  { 0x80D5, "" },
//  { 0x80D6, "" },
//  { 0x80D7, "" },
//  { 0x80D8, "" },
//  { 0x80D9, "" },
//  { 0x80DA, "" },
//  { 0x80DB, "" },
//  { 0x80DC, "" },
//  { 0x80DD, "" },
//  { 0x80DE, "" },
//  { 0x80DF, "" },
//  { 0x80E0, "" },
//  { 0x80E1, "" },
//  { 0x80E2, "" },
//  { 0x80E3, "" },
//  { 0x80E4, "" },
//  { 0x80E5, "" },
//  { 0x80E6, "" },
//  { 0x80E7, "" },
//  { 0x80E8, "" },
    { 0x80E9, "achievement_completed" },
//  { 0x80EA, "" },
//  { 0x80EB, "" },
//  { 0x80EC, "" },
//  { 0x80ED, "" },
//  { 0x80EE, "" },
//  { 0x80EF, "" },
//  { 0x80F0, "" },
    { 0x80F1, "ispainted" },
//  { 0x80F2, "" },
//  { 0x80F3, "" },
//  { 0x80F4, "" },
    { 0x80F5, "emptimeremaining" },
//  { 0x80F6, "" },
//  { 0x80F7, "" },
//  { 0x80F8, "" },
//  { 0x80F9, "" },
//  { 0x80FA, "" },
//  { 0x80FB, "" },
//  { 0x80FC, "" },
//  { 0x80FD, "" },
    { 0x80FE, "hintpickup" },
    { 0x80FF, "pickup_message_deleted" },
    { 0x8100, "getcustomclassloc" },
//  { 0x8101, "" },
//  { 0x8102, "" },
//  { 0x8103, "" },
//  { 0x8104, "" },
//  { 0x8105, "" },
//  { 0x8106, "" },
//  { 0x8107, "" },
//  { 0x8108, "" },
//  { 0x8109, "" },
//  { 0x810A, "" },
//  { 0x810B, "" },
//  { 0x810C, "" },
//  { 0x810D, "" },
//  { 0x810E, "" },
//  { 0x810F, "" },
//  { 0x8110, "" },
//  { 0x8111, "" },
//  { 0x8112, "" },
//  { 0x8113, "" },
//  { 0x8114, "" },
//  { 0x8115, "" },
//  { 0x8116, "" },
//  { 0x8117, "" },
//  { 0x8118, "" },
//  { 0x8119, "" },
//  { 0x811A, "" },
//  { 0x811B, "" },
//  { 0x811C, "" },
//  { 0x811D, "" },
    { 0x811E, "small_bay_door_safety_clip" },
//  { 0x811F, "" },
    { 0x8120, "cleanup_rope" },
    { 0x8121, "truck_hold_door_new" },
//  { 0x8122, "" },
//  { 0x8123, "" },
//  { 0x8124, "" },
//  { 0x8125, "" },
//  { 0x8126, "" },
//  { 0x8127, "" },
//  { 0x8128, "" },
//  { 0x8129, "" },
    { 0x812A, "rappel_anims" },
//  { 0x812B, "" },
//  { 0x812C, "" },
//  { 0x812D, "" },
//  { 0x812E, "" },
//  { 0x812F, "" },
    { 0x8130, "addonstart_animsound_chopsaw_foley" },
//  { 0x8131, "" },
//  { 0x8132, "" },
//  { 0x8133, "" },
//  { 0x8134, "" },
//  { 0x8135, "" },
//  { 0x8136, "" },
    { 0x8137, "ruins_spotted" },
//  { 0x8138, "" },
//  { 0x8139, "" },
//  { 0x813A, "" },
//  { 0x813B, "" },
//  { 0x813C, "" },
//  { 0x813D, "" },
//  { 0x813E, "" },
//  { 0x813F, "" },
//  { 0x8140, "" },
    { 0x8141, "prisoner_count_kill_max" },
//  { 0x8142, "" },
//  { 0x8143, "" },
//  { 0x8144, "" },
//  { 0x8145, "" },
    { 0x8146, "guard_max_wait" },
    { 0x8147, "guard_ambient_vo" },
//  { 0x8148, "" },
//  { 0x8149, "" },
//  { 0x814A, "" },
//  { 0x814B, "" },
//  { 0x814C, "" },
//  { 0x814D, "" },
//  { 0x814E, "" },
//  { 0x814F, "" },
//  { 0x8150, "" },
//  { 0x8151, "" },
//  { 0x8152, "" },
//  { 0x8153, "" },
//  { 0x8154, "" },
//  { 0x8155, "" },
//  { 0x8156, "" },
//  { 0x8157, "" },
//  { 0x8158, "" },
    { 0x8159, "setupdialogoverrides" },
//  { 0x815A, "" },
//  { 0x815B, "" },
//  { 0x815C, "" },
//  { 0x815D, "" },
    { 0x815E, "dialogfailedgeneric" },
//  { 0x815F, "" },
//  { 0x8160, "" },
//  { 0x8161, "" },
//  { 0x8162, "" },
//  { 0x8163, "" },
//  { 0x8164, "" },
    { 0x8165, "cleanupenemiesonfinalbreach" },
//  { 0x8166, "" },
//  { 0x8167, "" },
//  { 0x8168, "" },
//  { 0x8169, "" },
//  { 0x816A, "" },
//  { 0x816B, "" },
//  { 0x816C, "" },
    { 0x816D, "change_anim_interrupt_state" },
//  { 0x816E, "" },
//  { 0x816F, "" },
//  { 0x8170, "" },
    { 0x8171, "river_prone_patrol" },
//  { 0x8172, "" },
//  { 0x8173, "" },
//  { 0x8174, "" },
    { 0x8175, "river_technical_stealth_broken_vo" },
//  { 0x8176, "" },
    { 0x8177, "church_nag_lines" },
//  { 0x8178, "" },
//  { 0x8179, "" },
//  { 0x817A, "" },
//  { 0x817B, "" },
//  { 0x817C, "" },
//  { 0x817D, "" },
//  { 0x817E, "" },
//  { 0x817F, "" },
//  { 0x8180, "" },
    { 0x8181, "green1_dialogue_queue" },
//  { 0x8182, "" },
//  { 0x8183, "" },
//  { 0x8184, "" },
//  { 0x8185, "" },
//  { 0x8186, "" },
//  { 0x8187, "" },
//  { 0x8188, "" },
//  { 0x8189, "" },
//  { 0x818A, "" },
//  { 0x818B, "" },
//  { 0x818C, "" },
//  { 0x818D, "" },
//  { 0x818E, "" },
//  { 0x818F, "" },
//  { 0x8190, "" },
//  { 0x8191, "" },
//  { 0x8192, "" },
//  { 0x8193, "" },
//  { 0x8194, "" },
//  { 0x8195, "" },
//  { 0x8196, "" },
//  { 0x8197, "" },
//  { 0x8198, "" },
    { 0x8199, "dumb_sprinter" },
//  { 0x819A, "" },
//  { 0x819B, "" },
//  { 0x819C, "" },
//  { 0x819D, "" },
//  { 0x819E, "" },
//  { 0x819F, "" },
//  { 0x81A0, "" },
//  { 0x81A1, "" },
//  { 0x81A2, "" },
//  { 0x81A3, "" },
//  { 0x81A4, "" },
//  { 0x81A5, "" },
//  { 0x81A6, "" },
//  { 0x81A7, "" },
//  { 0x81A8, "" },
//  { 0x81A9, "" },
//  { 0x81AA, "" },
    { 0x81AB, "defend_force_ai_to_reload" },
//  { 0x81AC, "" },
    { 0x81AD, "nuke_unhide_phone" },
    { 0x81AE, "nuke_background_explosions" },
//  { 0x81AF, "" },
//  { 0x81B0, "" },
//  { 0x81B1, "" },
//  { 0x81B2, "" },
//  { 0x81B3, "" },
//  { 0x81B4, "" },
    { 0x81B5, "survival_dialog_radio_sentry_underattack" },
//  { 0x81B6, "" },
//  { 0x81B7, "" },
//  { 0x81B8, "" },
//  { 0x81B9, "" },
//  { 0x81BA, "" },
//  { 0x81BB, "" },
//  { 0x81BC, "" },
//  { 0x81BD, "" },
//  { 0x81BE, "" },
//  { 0x81BF, "" },
//  { 0x81C0, "" },
//  { 0x81C1, "" },
    { 0x81C2, "remove_chopper_hints" },
//  { 0x81C3, "" },
//  { 0x81C4, "" },
//  { 0x81C5, "" },
//  { 0x81C6, "" },
//  { 0x81C7, "" },
//  { 0x81C8, "" },
//  { 0x81C9, "" },
//  { 0x81CA, "" },
//  { 0x81CB, "" },
//  { 0x81CC, "" },
//  { 0x81CD, "" },
//  { 0x81CE, "" },
//  { 0x81CF, "" },
//  { 0x81D0, "" },
//  { 0x81D1, "" },
    { 0x81D2, "warehouse_tv_thread" },
//  { 0x81D3, "" },
//  { 0x81D4, "" },
//  { 0x81D5, "" },
//  { 0x81D6, "" },
//  { 0x81D7, "" },
//  { 0x81D8, "" },
//  { 0x81D9, "" },
//  { 0x81DA, "" },
//  { 0x81DB, "" },
//  { 0x81DC, "" },
//  { 0x81DD, "" },
//  { 0x81DE, "" },
//  { 0x81DF, "" },
//  { 0x81E0, "" },
//  { 0x81E1, "" },
//  { 0x81E2, "" },
//  { 0x81E3, "" },
//  { 0x81E4, "" },
    { 0x81E5, "heartbeat_rumble_off" },
//  { 0x81E6, "" },
//  { 0x81E7, "" },
//  { 0x81E8, "" },
//  { 0x81E9, "" },
//  { 0x81EA, "" },
//  { 0x81EB, "" },
    { 0x81EC, "enemy_hind_monitor_death" },
//  { 0x81ED, "" },
    { 0x81EE, "construction_crash_trigger_monitor" },
//  { 0x81EF, "" },
//  { 0x81F0, "" },
//  { 0x81F1, "" },
    { 0x81F2, "gaz_switch_mode" },
//  { 0x81F3, "" },
//  { 0x81F4, "" },
//  { 0x81F5, "" },
//  { 0x81F6, "" },
//  { 0x81F7, "" },
    { 0x81F8, "prone_on_goal" },
//  { 0x81F9, "" },
//  { 0x81FA, "" },
//  { 0x81FB, "" },
//  { 0x81FC, "" },
//  { 0x81FD, "" },
//  { 0x81FE, "" },
//  { 0x81FF, "" },
    { 0x8200, "target_hide" },
//  { 0x8201, "" },
//  { 0x8202, "" },
//  { 0x8203, "" },
    { 0x8204, "prep_wait_for_forward" },
//  { 0x8205, "" },
//  { 0x8206, "" },
//  { 0x8207, "" },
//  { 0x8208, "" },
//  { 0x8209, "" },
//  { 0x820A, "" },
    { 0x820B, "gasmask_hud_elem1" },
//  { 0x820C, "" },
//  { 0x820D, "" },
//  { 0x820E, "" },
//  { 0x820F, "" },
//  { 0x8210, "" },
//  { 0x8211, "" },
//  { 0x8212, "" },
//  { 0x8213, "" },
//  { 0x8214, "" },
//  { 0x8215, "" },
//  { 0x8216, "" },
//  { 0x8217, "" },
//  { 0x8218, "" },
//  { 0x8219, "" },
//  { 0x821A, "" },
//  { 0x821B, "" },
//  { 0x821C, "" },
//  { 0x821D, "" },
//  { 0x821E, "" },
//  { 0x821F, "" },
//  { 0x8220, "" },
//  { 0x8221, "" },
//  { 0x8222, "" },
//  { 0x8223, "" },
//  { 0x8224, "" },
//  { 0x8225, "" },
    { 0x8226, "outside_reveal_chatter" },
//  { 0x8227, "" },
//  { 0x8228, "" },
//  { 0x8229, "" },
//  { 0x822A, "" },
//  { 0x822B, "" },
//  { 0x822C, "" },
//  { 0x822D, "" },
//  { 0x822E, "" },
//  { 0x822F, "" },
//  { 0x8230, "" },
//  { 0x8231, "" },
//  { 0x8232, "" },
//  { 0x8233, "" },
//  { 0x8234, "" },
//  { 0x8235, "" },
//  { 0x8236, "" },
//  { 0x8237, "" },
//  { 0x8238, "" },
//  { 0x8239, "" },
//  { 0x823A, "" },
//  { 0x823B, "" },
//  { 0x823C, "" },
    { 0x823D, "formats" },
//  { 0x823E, "" },
//  { 0x823F, "" },
//  { 0x8240, "" },
//  { 0x8241, "" },
//  { 0x8242, "" },
    { 0x8243, "bombsquadmodel" },
//  { 0x8244, "" },
    { 0x8245, "aud_price_gun_sweetener" },
//  { 0x8246, "" },
//  { 0x8247, "" },
//  { 0x8248, "" },
//  { 0x8249, "" },
//  { 0x824A, "" },
    { 0x824B, "uaz_on_death_set_flags" },
//  { 0x824C, "" },
//  { 0x824D, "" },
    { 0x824E, "gaz_turret_disable" },
//  { 0x824F, "" },
//  { 0x8250, "" },
}};

} // namespace xsk::gsc::iw5_ps
