// Copyright 2023 xensik. All rights reserved.
//
// Use of this source code is governed by a GNU GPLv3 license
// that can be found in the LICENSE file.

#include "xsk/gsc/engine/iw6_pc.hpp"

namespace xsk::gsc::iw6_pc
{

extern std::array<std::pair<u32, char const*>, token_count> const token_list
{{
    { 0x0000, "" },
    { 0x0001, "pl#" },
    { 0x0002, "-" },
    { 0x0003, "radius`" },
    { 0x0004, "note:" },
    { 0x0005, "_" },
    { 0x0006, "_custom" },
    { 0x0007, "accuracy" },
    { 0x0008, "actionslot1" },
    { 0x0009, "actionslot2" },
    { 0x000A, "actionslot3" },
    { 0x000B, "actionslot4" },
    { 0x000C, "actionslot5" },
    { 0x000D, "actionslot6" },
    { 0x000E, "actionslot7" },
    { 0x000F, "activator" },
    { 0x0010, "active" },
    { 0x0011, "activevisionset" },
    { 0x0012, "activevisionsetduration" },
    { 0x0013, "agent" },
    { 0x0014, "agenthealth" },
    { 0x0015, "agentname" },
    { 0x0016, "agentteam" },
    { 0x0017, "ai_event" },
    { 0x0018, "ai_sight_line_cycle_group" },
    { 0x0019, "ai_sight_line_group" },
    { 0x001A, "aim_highest_bone" },
    { 0x001B, "aim_vis_bone" },
    { 0x001C, "alert" },
    { 0x001D, "alertlevel" },
    { 0x001E, "alertlevelint" },
    { 0x001F, "alien" },
    { 0x0020, "alignx" },
    { 0x0021, "aligny" },
    { 0x0022, "all" },
    { 0x0023, "allies" },
    { 0x0024, "allowdeath" },
    { 0x0025, "allowjump" },
    { 0x0026, "allowladders" },
    { 0x0027, "allowpain" },
    { 0x0028, "alpha" },
    { 0x0029, "altmode" },
    { 0x002A, "always" },
    { 0x002B, "ambush" },
    { 0x002C, "ambush_nodes_only" },
    { 0x002D, "angle_deltas" },
    { 0x002E, "anglelerprate" },
    { 0x002F, "angles" },
    { 0x0030, "anim_angle_delta" },
    { 0x0031, "anim_deltas" },
    { 0x0032, "anim_pose" },
    { 0x0033, "anim_will_finish" },
    { 0x0034, "animscript" },
    { 0x0035, "archived" },
    { 0x0036, "archivetime" },
    { 0x0037, "asleep" },
    { 0x0038, "aspectratio" },
    { 0x0039, "assists" },
    { 0x003A, "attackeraccuracy" },
    { 0x003B, "attackercount" },
    { 0x003C, "auto_ai" },
    { 0x003D, "auto_change" },
    { 0x003E, "auto_nonai" },
    { 0x003F, "axis" },
    { 0x0040, "back" },
    { 0x0041, "back_left" },
    { 0x0042, "back_low" },
    { 0x0043, "back_mid" },
    { 0x0044, "back_right" },
    { 0x0045, "back_up" },
    { 0x0046, "bad_guys" },
    { 0x0047, "bad_path" },
    { 0x0048, "badplaceawareness" },
    { 0x0049, "begin" },
    { 0x004A, "begin_custom_anim" },
    { 0x004B, "begin_firing" },
    { 0x004C, "begin_firing_left" },
    { 0x004D, "bipods" },
    { 0x004E, "birthtime" },
    { 0x004F, "blade_hide" },
    { 0x0050, "blade_show" },
    { 0x0051, "blockfriendlies" },
    { 0x0052, "blurradius" },
    { 0x0053, "body_animate_jnt" },
    { 0x0054, "bullet_hitshield" },
    { 0x0055, "bullethit" },
    { 0x0056, "bulletwhizby" },
    { 0x0057, "call_vote" },
    { 0x0058, "cancel_location" },
    { 0x0059, "canclimbladders" },
    { 0x005A, "chainfallback" },
    { 0x005B, "chainnode" },
    { 0x005C, "chest" },
    { 0x005D, "chyron_message1" },
    { 0x005E, "chyron_message2" },
    { 0x005F, "chyron_message3" },
    { 0x0060, "civilian" },
    { 0x0061, "classname" },
    { 0x0062, "clipdistance" },
    { 0x0063, "code_classname" },
    { 0x0064, "code_damageradius" },
    { 0x0065, "code_move" },
    { 0x0066, "code_move_slide" },
    { 0x0067, "color" },
    { 0x0068, "color_blind_toggled" },
    { 0x0069, "combat" },
    { 0x006A, "combatmode" },
    { 0x006B, "confirm_location" },
    { 0x006C, "constrained" },
    { 0x006D, "contact" },
    { 0x006E, "contextleanenabled" },
    { 0x006F, "count" },
    { 0x0070, "cover" },
    { 0x0071, "cover_approach" },
    { 0x0072, "coversearchinterval" },
    { 0x0073, "criticalbulletdamagedist" },
    { 0x0074, "crouch" },
    { 0x0075, "current" },
    { 0x0076, "custom_attach_00" },
    { 0x0077, "custom_attach_01" },
    { 0x0078, "custom_attach_02" },
    { 0x0079, "custom_attach_03" },
    { 0x007A, "custom_attach_04" },
    { 0x007B, "custom_attach_05" },
    { 0x007C, "custom_attach_06" },
    { 0x007D, "custom_attach_07" },
    { 0x007E, "custom_attach_08" },
    { 0x007F, "custom_attach_09" },
    { 0x0080, "custom_attach_10" },
    { 0x0081, "custom_attach_11" },
    { 0x0082, "custom_attach_12" },
    { 0x0083, "custom_attach_13" },
    { 0x0084, "custom_attach_14" },
    { 0x0085, "custom_attach_15" },
    { 0x0086, "damage" },
    { 0x0087, "damage_notdone" },
    { 0x0088, "damagedir" },
    { 0x0089, "damagelocation" },
    { 0x008A, "damagemod" },
    { 0x008B, "damagemultiplier" },
    { 0x008C, "damageshield" },
    { 0x008D, "damagetaken" },
    { 0x008E, "damageweapon" },
    { 0x008F, "damageyaw" },
    { 0x0090, "dangerreactduration" },
    { 0x0091, "dead" },
    { 0x0092, "death" },
    { 0x0093, "deathinvulnerabletime" },
    { 0x0094, "deathplant" },
    { 0x0095, "deaths" },
    { 0x0096, "deathshield" },
    { 0x0097, "delayeddeath" },
    { 0x0098, "desiredangle" },
    { 0x0099, "detonate" },
    { 0x009A, "diequietly" },
    { 0x009B, "direct" },
    { 0x009C, "disableplayeradsloscheck" },
    { 0x009D, "dlight" },
    { 0x009E, "dmg" },
    { 0x009F, "dodamagetoall" },
    { 0x00A0, "dodangerreact" },
    { 0x00A1, "doffar" },
    { 0x00A2, "dofnear" },
    { 0x00A3, "dog" },
    { 0x00A4, "doghandler" },
    { 0x00A5, "doingambush" },
    { 0x00A6, "done" },
    { 0x00A7, "dontavoidplayer" },
    { 0x00A8, "down" },
    { 0x00A9, "downaimlimit" },
    { 0x00AA, "drawoncompass" },
    { 0x00AB, "dropweapon" },
    { 0x00AC, "empty" },
    { 0x00AD, "empty_offhand" },
    { 0x00AE, "enable" },
    { 0x00AF, "enableshadows" },
    { 0x00B0, "end_firing" },
    { 0x00B1, "end_firing_left" },
    { 0x00B2, "enemy" },
    { 0x00B3, "enemy_sighted" },
    { 0x00B4, "enemy_sighted_lost" },
    { 0x00B5, "enemy_visible" },
    { 0x00B6, "engagemaxdist" },
    { 0x00B7, "engagemaxfalloffdist" },
    { 0x00B8, "engagemindist" },
    { 0x00B9, "engageminfalloffdist" },
    { 0x00BA, "entity" },
    { 0x00BB, "exclusive" },
    { 0x00BC, "explode" },
    { 0x00BD, "exposedduration" },
    { 0x00BE, "extrascore0" },
    { 0x00BF, "extrascore1" },
    { 0x00C0, "playercardpatch" },
    { 0x00C1, "playercardpatchbacking" },
    { 0x00C2, "playercardbackground" },
    { 0x00C3, "face_angle" },
    { 0x00C4, "face_angle_3d" },
    { 0x00C5, "face_angle_abs" },
    { 0x00C6, "face_angle_rel" },
    { 0x00C7, "face_current" },
    { 0x00C8, "face_default" },
    { 0x00C9, "face_direction" },
    { 0x00CA, "face_enemy" },
    { 0x00CB, "face_enemy_or_motion" },
    { 0x00CC, "face_goal" },
    { 0x00CD, "face_motion" },
    { 0x00CE, "face_point" },
    { 0x00CF, "facemotion" },
    { 0x00D0, "failed" },
    { 0x00D1, "falling" },
    { 0x00D2, "fast_radar" },
    { 0x00D3, "favoriteenemy" },
    { 0x00D4, "finalaccuracy" },
    { 0x00D5, "first_person" },
    { 0x00D6, "fixednode" },
    { 0x00D7, "fixednodesaferadius" },
    { 0x00D8, "flash" },
    { 0x00D9, "flashbang" },
    { 0x00DA, "follow" },
    { 0x00DB, "followmax" },
    { 0x00DC, "followmin" },
    { 0x00DD, "font" },
    { 0x00DE, "fontscale" },
    { 0x00DF, "footstepdetectdist" },
    { 0x00E0, "footstepdetectdistsprint" },
    { 0x00E1, "footstepdetectdistwalk" },
    { 0x00E2, "forceragdollimmediate" },
    { 0x00E3, "forcespectatorclient" },
    { 0x00E4, "foregrip_off" },
    { 0x00E5, "foreground" },
    { 0x00E6, "forward" },
    { 0x00E7, "fov" },
    { 0x00E8, "fovcosine" },
    { 0x00E9, "fovcosinebusy" },
    { 0x00EA, "fraction" },
    { 0x00EB, "frag" },
    { 0x00EC, "free" },
    { 0x00ED, "freecamera" },
    { 0x00EE, "freelook" },
    { 0x00EF, "front_left" },
    { 0x00F0, "front_right" },
    { 0x00F1, "frontshieldanglecos" },
    { 0x00F2, "game_extrainfo" },
    { 0x00F3, "glass_destroyed" },
    { 0x00F4, "glowalpha" },
    { 0x00F5, "glowcolor" },
    { 0x00F6, "goal" },
    { 0x00F7, "goal_changed" },
    { 0x00F8, "goal_reached" },
    { 0x00F9, "goal_yaw" },
    { 0x00FA, "goalheight" },
    { 0x00FB, "goalpos" },
    { 0x00FC, "goalradius" },
    { 0x00FD, "goingtoruntopos" },
    { 0x00FE, "gravity" },
    { 0x00FF, "grenade" },
    { 0x0100, "grenade_fire" },
    { 0x0101, "grenade_pullback" },
    { 0x0102, "grenade_return_hand_tag" },
    { 0x0103, "grenadeammo" },
    { 0x0104, "grenadeawareness" },
    { 0x0105, "grenadedanger" },
    { 0x0106, "grenadeweapon" },
    { 0x0107, "groundEntChanged" },
    { 0x0108, "groundtype" },
    { 0x0109, "gunblockedbywall" },
    { 0x010A, "gunshot" },
    { 0x010B, "gunshot_teammate" },
    { 0x010C, "hasradar" },
    { 0x010D, "headicon" },
    { 0x010E, "headiconteam" },
    { 0x010F, "health" },
    { 0x0110, "height" },
    { 0x0111, "showinkillcam" },
    { 0x0112, "hidein3rdperson" },
    { 0x0113, "hidewhendead" },
    { 0x0114, "hidewhenindemo" },
    { 0x0115, "enablehudlighting" },
    { 0x0116, "hidewheninmenu" },
    { 0x0117, "high_priority" },
    { 0x0118, "highlyawareradius" },
    { 0x0119, "hindlegstraceoffset" },
    { 0x011A, "hit_by_missile" },
    { 0x011B, "horzalign" },
    { 0x011C, "host_sucks_end_game" },
    { 0x011D, "human" },
    { 0x011E, "ignoreall" },
    { 0x011F, "ignoreclosefoliage" },
    { 0x0120, "ignoreexplosionevents" },
    { 0x0121, "ignoreforfixednodesafecheck" },
    { 0x0122, "ignoreme" },
    { 0x0123, "ignorerandombulletdamage" },
    { 0x0124, "ignoresuppression" },
    { 0x0125, "ignoretriggers" },
    { 0x0126, "infinite_energy" },
    { 0x0127, "info_notnull" },
    { 0x0128, "info_player_start" },
    { 0x0129, "insolid" },
    { 0x012A, "intermission" },
    { 0x012B, "interval" },
    { 0x012C, "invisible" },
    { 0x012D, "ironsight_off" },
    { 0x012E, "ironsight_on" },
    { 0x012F, "isradarblocked" },
    { 0x0130, "item" },
    { 0x0131, "j_eyeball_le" },
    { 0x0132, "j_eyeball_ri" },
    { 0x0133, "j_head" },
    { 0x0134, "j_left_elbow" },
    { 0x0135, "j_left_hand" },
    { 0x0136, "j_left_shoulder" },
    { 0x0137, "j_mainroot" },
    { 0x0138, "j_neck" },
    { 0x0139, "j_spine4" },
    { 0x013A, "j_spinelower" },
    { 0x013B, "j_spineupper" },
    { 0x013C, "jumpcost" },
    { 0x013D, "jumping" },
    { 0x013E, "keepclaimednode" },
    { 0x013F, "keepclaimednodeifvalid" },
    { 0x0140, "keepnodeduringscriptedanim" },
    { 0x0141, "key1" },
    { 0x0142, "key2" },
    { 0x0143, "killanimscript" },
    { 0x0144, "killcamentity" },
    { 0x0145, "killcamentitylookat" },
    { 0x0146, "kills" },
    { 0x0147, "known_event" },
    { 0x0148, "label" },
    { 0x0149, "ladder_down" },
    { 0x014A, "ladder_up" },
    { 0x014B, "land" },
    { 0x014C, "lastattacker" },
    { 0x014D, "lastenemysightpos" },
    { 0x014E, "laststand" },
    { 0x014F, "leanamount" },
    { 0x0150, "ledge" },
    { 0x0151, "left" },
    { 0x0152, "leftaimlimit" },
    { 0x0153, "light" },
    { 0x0154, "lockorientation" },
    { 0x0155, "lod" },
    { 0x0156, "look" },
    { 0x0157, "lookahead" },
    { 0x0158, "lookaheaddir" },
    { 0x0159, "lookaheaddist" },
    { 0x015A, "lookaheadhitsstairs" },
    { 0x015B, "lookforward" },
    { 0x015C, "lookright" },
    { 0x015D, "looktarget" },
    { 0x015E, "lookup" },
    { 0x015F, "low_priority" },
    { 0x0160, "lowresbackground" },
    { 0x0161, "luinotifyserver" },
    { 0x0162, "mag_eject" },
    { 0x0163, "mag_eject_left" },
    { 0x0164, "manual" },
    { 0x0165, "manual_ai" },
    { 0x0166, "manual_change" },
    { 0x0167, "max_time" },
    { 0x0168, "maxfaceenemydist" },
    { 0x0169, "maxhealth" },
    { 0x016A, "maxsightdistsqrd" },
    { 0x016B, "maxvisibledist" },
    { 0x016C, "meleeattackdist" },
    { 0x016D, "menuresponse" },
    { 0x016E, "middle_left" },
    { 0x016F, "middle_right" },
    { 0x0170, "min_energy" },
    { 0x0171, "min_time" },
    { 0x0172, "minpaindamage" },
    { 0x0173, "minusedistsq" },
    { 0x0174, "missile_fire" },
    { 0x0175, "missile_stuck" },
    { 0x0176, "mod_crush" },
    { 0x0177, "mod_explosive" },
    { 0x0178, "mod_explosive_bullet" },
    { 0x0179, "mod_falling" },
    { 0x017A, "mod_grenade" },
    { 0x017B, "mod_grenade_splash" },
    { 0x017C, "mod_head_shot" },
    { 0x017D, "mod_impact" },
    { 0x017E, "mod_melee" },
    { 0x017F, "mod_melee_alien" },
    { 0x0180, "mod_melee_dog" },
    { 0x0181, "mod_pistol_bullet" },
    { 0x0182, "mod_projectile" },
    { 0x0183, "mod_projectile_splash" },
    { 0x0184, "mod_rifle_bullet" },
    { 0x0185, "mod_suicide" },
    { 0x0186, "mod_trigger_hurt" },
    { 0x0187, "mod_unknown" },
    { 0x0188, "model" },
    { 0x0189, "motiontrackerenabled" },
    { 0x018A, "movedone" },
    { 0x018B, "movemode" },
    { 0x018C, "name" },
    { 0x018D, "near_goal" },
    { 0x018E, "nearz" },
    { 0x018F, "neutral" },
    { 0x0190, "never" },
    { 0x0191, "newenemyreactiondistsq" },
    { 0x0192, "night_vision_off" },
    { 0x0193, "night_vision_on" },
    { 0x0194, "no_cover" },
    { 0x0195, "no_gravity" },
    { 0x0196, "noattackeraccuracymod" },
    { 0x0197, "noclip" },
    { 0x0198, "node" },
    { 0x0199, "node_not_safe" },
    { 0x019A, "node_out_of_range" },
    { 0x019B, "node_relinquished" },
    { 0x019C, "node_taken" },
    { 0x019D, "nodeoffsetpos" },
    { 0x019E, "nododgemove" },
    { 0x019F, "nogravity" },
    { 0x01A0, "nogrenadereturnthrow" },
    { 0x01A1, "noncombat" },
    { 0x01A2, "none" },
    { 0x01A3, "nophysics" },
    { 0x01A4, "normal" },
    { 0x01A5, "normal_radar" },
    { 0x01A6, "notinsolid" },
    { 0x01A7, "obstacle" },
    { 0x01A8, "offhand" },
    { 0x01A9, "offhand_end" },
    { 0x01AA, "only_sky" },
    { 0x01AB, "onlygoodnearestnodes" },
    { 0x01AC, "oriented" },
    { 0x01AD, "orientto_complete" },
    { 0x01AE, "origin" },
    { 0x01AF, "other" },
    { 0x01B0, "over" },
    { 0x01B1, "owner" },
    { 0x01B2, "pacifist" },
    { 0x01B3, "pacifistwait" },
    { 0x01B4, "pain" },
    { 0x01B5, "parentindex" },
    { 0x01B6, "parentname" },
    { 0x01B7, "path_blocked" },
    { 0x01B8, "path_changed" },
    { 0x01B9, "path_dir_change" },
    { 0x01BA, "path_enemy" },
    { 0x01BB, "path_need_dodge" },
    { 0x01BC, "path_set" },
    { 0x01BD, "pathenemyfightdist" },
    { 0x01BE, "pathenemylookahead" },
    { 0x01BF, "pathgoalpos" },
    { 0x01C0, "pathrandompercent" },
    { 0x01C1, "pelvis" },
    { 0x01C2, "pers" },
    { 0x01C3, "physics_finished" },
    { 0x01C4, "pickup" },
    { 0x01C5, "pistol" },
    { 0x01C6, "pitchamount" },
    { 0x01C7, "plane_waypoint" },
    { 0x01C8, "player" },
    { 0x01C9, "player_pushed" },
    { 0x01CA, "playername" },
    { 0x01CB, "playing" },
    { 0x01CC, "position" },
    { 0x01CD, "predicted_projectile_impact" },
    { 0x01CE, "prevanimdelta" },
    { 0x01CF, "prevnode" },
    { 0x01D0, "prevscript" },
    { 0x01D1, "primary" },
    { 0x01D2, "primaryoffhand" },
    { 0x01D3, "projectile_impact" },
    { 0x01D4, "prone" },
    { 0x01D5, "proneok" },
    { 0x01D6, "providecoveringfire" },
    { 0x01D7, "psoffsettime" },
    { 0x01D8, "pushable" },
    { 0x01D9, "radarmode" },
    { 0x01DA, "radarshowenemydirection" },
    { 0x01DB, "radarstrength" },
    { 0x01DC, "radius" },
    { 0x01DD, "ragdoll_early_result" },
    { 0x01DE, "reached_end_node" },
    { 0x01DF, "reached_wait_node" },
    { 0x01E0, "reached_wait_speed" },
    { 0x01E1, "reactiontargetpos" },
    { 0x01E2, "receiver" },
    { 0x01E3, "relativedir" },
    { 0x01E4, "reload" },
    { 0x01E5, "reload_start" },
    { 0x01E6, "rendertotexture" },
    { 0x01E7, "requestarrivalnotify" },
    { 0x01E8, "result" },
    { 0x01E9, "return_pitch" },
    { 0x01EA, "reverse" },
    { 0x01EB, "right" },
    { 0x01EC, "rightaimlimit" },
    { 0x01ED, "riotshield_damaged" },
    { 0x01EE, "rocket" },
    { 0x01EF, "rotatedone" },
    { 0x01F0, "run" },
    { 0x01F1, "runcost" },
    { 0x01F2, "runto_arrived" },
    { 0x01F3, "safetochangescript" },
    { 0x01F4, "scavenger" },
    { 0x01F5, "score" },
    { 0x01F6, "script" },
    { 0x01F7, "script_brushmodel" },
    { 0x01F8, "script_linkname" },
    { 0x01F9, "script_model" },
    { 0x01FA, "script_noteworthy" },
    { 0x01FB, "script_origin" },
    { 0x01FC, "script_parent" },
    { 0x01FD, "script_parentname" },
    { 0x01FE, "script_pushable" },
    { 0x01FF, "script_vehicle" },
    { 0x0200, "script_vehicle_collision" },
    { 0x0201, "script_vehicle_collmap" },
    { 0x0202, "script_vehicle_corpse" },
    { 0x0203, "scriptable" },
    { 0x0204, "scriptedarrivalent" },
    { 0x0205, "scope_center" },
    { 0x0206, "scope_top" },
    { 0x0207, "scope_cap" },
    { 0x0208, "search_end" },
    { 0x0209, "secondaryoffhand" },
    { 0x020A, "sentry" },
    { 0x020B, "sentry_offline" },
    { 0x020C, "sessionstate" },
    { 0x020D, "sessionteam" },
    { 0x020E, "sharpturnnotifydist" },
    { 0x020F, "sightlatency" },
    { 0x0210, "silenced_shot" },
    { 0x0211, "slidevelocity" },
    { 0x0212, "slowmo_active" },
    { 0x0213, "slowmo_passive" },
    { 0x0214, "smoke" },
    { 0x0215, "snd_channelvolprio_holdbreath" },
    { 0x0216, "snd_channelvolprio_pain" },
    { 0x0217, "snd_channelvolprio_shellshock" },
    { 0x0218, "snd_enveffectsprio_level" },
    { 0x0219, "snd_enveffectsprio_shellshock" },
    { 0x021A, "sort" },
    { 0x021B, "sound_blend" },
    { 0x021C, "space" },
    { 0x021D, "spawned" },
    { 0x021E, "spawnflags" },
    { 0x021F, "spectatekillcam" },
    { 0x0220, "spectating_cycle" },
    { 0x0221, "spectator" },
    { 0x0222, "speed" },
    { 0x0223, "splatter" },
    { 0x0224, "sprint_begin" },
    { 0x0225, "sprint_end" },
    { 0x0226, "stairsstate" },
    { 0x0227, "stand" },
    { 0x0228, "start_blend" },
    { 0x0229, "start_move" },
    { 0x022A, "start_ragdoll" },
    { 0x022B, "statelocked" },
    { 0x022C, "statusicon" },
    { 0x022D, "stop" },
    { 0x022E, "stop_soon" },
    { 0x022F, "stopanimdistsq" },
    { 0x0230, "stopsoonnotifydist" },
    { 0x0231, "suppression" },
    { 0x0232, "suppression_end" },
    { 0x0233, "suppressionduration" },
    { 0x0234, "suppressionmeter" },
    { 0x0235, "suppressionstarttime" },
    { 0x0236, "suppressionwait" },
    { 0x0237, "surfacetype" },
    { 0x0238, "surprisedbymedistsq" },
    { 0x0239, "swimmer" },
    { 0x023A, "syncedmeleetarget" },
    { 0x023B, "tag" },
    { 0x023C, "tag_aim" },
    { 0x023D, "tag_aim_animated" },
    { 0x023E, "tag_aim_pivot" },
    { 0x023F, "tag_barrel" },
    { 0x0240, "tag_blade_off" },
    { 0x0241, "tag_body" },
    { 0x0242, "tag_brass" },
    { 0x0243, "tag_butt" },
    { 0x0244, "tag_camera" },
    { 0x0245, "tag_clip" },
    { 0x0246, "tag_detach" },
    { 0x0247, "tag_engine_left" },
    { 0x0248, "tag_engine_right" },
    { 0x0249, "tag_eotech_reticle" },
    { 0x024A, "tag_eye" },
    { 0x024B, "tag_flash" },
    { 0x024C, "tag_flash_11" },
    { 0x024D, "tag_flash_2" },
    { 0x024E, "tag_flash_22" },
    { 0x024F, "tag_flash_3" },
    { 0x0250, "tag_flash_silenced" },
    { 0x0251, "tag_fx" },
    { 0x0252, "tag_gasmask" },
    { 0x0253, "tag_gasmask2" },
    { 0x0254, "tag_ik_loc_le" },
    { 0x0255, "tag_ik_loc_le_foregrip" },
    { 0x0256, "tag_ik_loc_le_launcher" },
    { 0x0257, "tag_ik_loc_le_shotgun" },
    { 0x0258, "tag_ik_target" },
    { 0x0259, "tag_inhand" },
    { 0x025A, "tag_knife_fx" },
    { 0x025B, "tag_laser" },
    { 0x025C, "tag_launcher" },
    { 0x025D, "tag_magnifier_eotech_reticle" },
    { 0x025E, "tag_motion_tracker_bl" },
    { 0x025F, "tag_motion_tracker_br" },
    { 0x0260, "tag_motion_tracker_fx" },
    { 0x0261, "tag_motion_tracker_tl" },
    { 0x0262, "tag_origin" },
    { 0x0263, "tag_player" },
    { 0x0264, "tag_popout" },
    { 0x0265, "tag_reticle_acog" },
    { 0x0266, "tag_reticle_hamr" },
    { 0x0267, "tag_reticle_on" },
    { 0x0268, "tag_reticle_red_dot" },
    { 0x0269, "tag_reticle_reflex" },
    { 0x026A, "tag_reticle_tavor_scope" },
    { 0x026B, "tag_reticle_thermal_scope" },
    { 0x026C, "tag_shield_back" },
    { 0x026D, "tag_shotgun" },
    { 0x026E, "tag_show_alt" },
    { 0x026F, "tag_stowed_back" },
    { 0x0270, "tag_stowed_hip_rear" },
    { 0x0271, "tag_sync" },
    { 0x0272, "tag_tip" },
    { 0x0273, "tag_turret" },
    { 0x0274, "tag_turret_base" },
    { 0x0275, "tag_weapon" },
    { 0x0276, "tag_weapon_chest" },
    { 0x0277, "tag_weapon_left" },
    { 0x0278, "tag_weapon_right" },
    { 0x0279, "tag_wheel_back_left" },
    { 0x027A, "tag_wheel_back_right" },
    { 0x027B, "tag_wheel_front_left" },
    { 0x027C, "tag_wheel_front_right" },
    { 0x027D, "tag_wheel_middle_left" },
    { 0x027E, "tag_wheel_middle_right" },
    { 0x027F, "takedamage" },
    { 0x0280, "target" },
    { 0x0281, "target_script_trigger" },
    { 0x0282, "targetname" },
    { 0x0283, "team" },
    { 0x0284, "team3" },
    { 0x0285, "teammode_axisallies" },
    { 0x0286, "teammode_ffa" },
    { 0x0287, "teammovewaittime" },
    { 0x0288, "thermal" },
    { 0x0289, "thermalbodymaterial" },
    { 0x028A, "third_person" },
    { 0x028B, "threatbias" },
    { 0x028C, "threatbiasgroup" },
    { 0x028D, "throwingknife" },
    { 0x028E, "top" },
    { 0x028F, "touch" },
    { 0x0290, "touching_platform" },
    { 0x0291, "transients_synced" },
    { 0x0292, "traverse_complete" },
    { 0x0293, "traverse_soon" },
    { 0x0294, "traversecost" },
    { 0x0295, "traversesoonnotifydist" },
    { 0x0296, "trigger" },
    { 0x0297, "trigger_damage" },
    { 0x0298, "trigger_use" },
    { 0x0299, "trigger_use_touch" },
    { 0x029A, "truck_cam" },
    { 0x029B, "turnrate" },
    { 0x029C, "turret_deactivate" },
    { 0x029D, "turret_fire" },
    { 0x029E, "turret_no_vis" },
    { 0x029F, "turret_not_on_target" },
    { 0x02A0, "turret_on_target" },
    { 0x02A1, "turret_on_vistarget" },
    { 0x02A2, "turret_pitch_clamped" },
    { 0x02A3, "turret_rotate_stopped" },
    { 0x02A4, "turret_yaw_clamped" },
    { 0x02A5, "turretinvulnerability" },
    { 0x02A6, "turretownerchange" },
    { 0x02A7, "turretstatechange" },
    { 0x02A8, "type" },
    { 0x02A9, "unresolved_collision" },
    { 0x02AA, "up" },
    { 0x02AB, "upaimlimit" },
    { 0x02AC, "useable" },
    { 0x02AD, "usechokepoints" },
    { 0x02AE, "usecombatscriptatcover" },
    { 0x02AF, "veh_boatbounce" },
    { 0x02B0, "veh_brake" },
    { 0x02B1, "veh_collision" },
    { 0x02B2, "veh_jolt" },
    { 0x02B3, "veh_landed" },
    { 0x02B4, "veh_leftground" },
    { 0x02B5, "veh_pathdir" },
    { 0x02B6, "veh_pathspeed" },
    { 0x02B7, "veh_pathtype" },
    { 0x02B8, "veh_predictedcollision" },
    { 0x02B9, "veh_speed" },
    { 0x02BA, "veh_throttle" },
    { 0x02BB, "veh_topspeed" },
    { 0x02BC, "veh_transmission" },
    { 0x02BD, "vehicle_dismount" },
    { 0x02BE, "vehicle_mount" },
    { 0x02BF, "velocity" },
    { 0x02C0, "vertalign" },
    { 0x02C1, "visionsetmissilecam" },
    { 0x02C2, "visionsetmissilecamduration" },
    { 0x02C3, "visionsetnaked" },
    { 0x02C4, "visionsetnakedduration" },
    { 0x02C5, "visionsetnight" },
    { 0x02C6, "visionsetnightduration" },
    { 0x02C7, "visionsetpain" },
    { 0x02C8, "visionsetpainduration" },
    { 0x02C9, "visionsetthermal" },
    { 0x02CA, "visionsetthermalduration" },
    { 0x02CB, "vote" },
    { 0x02CC, "walk" },
    { 0x02CD, "walkdist" },
    { 0x02CE, "walkdistfacingmotion" },
    { 0x02CF, "waypoint_reached" },
    { 0x02D0, "weapon" },
    { 0x02D1, "weapon_change" },
    { 0x02D2, "weapon_dropped" },
    { 0x02D3, "weapon_fired" },
    { 0x02D4, "weapon_switch_started" },
    { 0x02D5, "weapon_taken" },
    { 0x02D6, "weaponchange" },
    { 0x02D7, "weaponrail_on" },
    { 0x02D8, "width" },
    { 0x02D9, "world" },
    { 0x02DA, "worldspawn" },
    { 0x02DB, "x" },
    { 0x02DC, "y" },
    { 0x02DD, "z" },
    { 0x02DE, "zonly_physics" },
    { 0x02DF, "accumulate" },
    { 0x02E0, "allowprone" },
    { 0x02E1, "aiSpread" },
    { 0x02E2, "ambienttrack" },
    { 0x02E3, "ambienttrack_ac130" },
    { 0x02E4, "bottomarc" },
    { 0x02E5, "convergencetime" },
    { 0x02E6, "cursorhint" },
    { 0x02E7, "destructible_type" },
    { 0x02E8, "diffusefraction" },
    { 0x02E9, "eftarc" },
    { 0x02EA, "leftarc" },
    { 0x02EB, "maxrange" },
    { 0x02EC, "northyaw" },
    { 0x02ED, "pitchconvergencetime" },
    { 0x02EE, "playerSpread" },
    { 0x02EF, "postsharpturnlookaheaddist" },
    { 0x02F0, "reflection_clear_color" },
    { 0x02F1, "rightarc" },
    { 0x02F2, "sharpturntooclosetodestdist" },
    { 0x02F3, "script_delay" },
    { 0x02F4, "script_visionset" },
    { 0x02F5, "script_zone" },
    { 0x02F6, "spawner" },
    { 0x02F7, "sunlight" },
    { 0x02F8, "suncolor" },
    { 0x02F9, "sundirection" },
    { 0x02FA, "suppressionTime" },
    { 0x02FB, "threshold" },
    { 0x02FC, "toparc" },
    { 0x02FD, "vehicletype" },
    { 0x02FE, "wait" },
    { 0x02FF, "weaponinfo" },
    { 0x0300, "yawconvergencetime" },
    { 0x0301, "character/character_ajax_flood_a" },
    { 0x0302, "character/character_ajax_wood_shotgun_a" },
    { 0x0303, "character/character_ajax_wood_shotgun_b" },
    { 0x0304, "character/character_ajax_wood_shotgun_injured" },
    { 0x0305, "character/character_almagro_assault_a" },
    { 0x0306, "character/character_chemwar_russian_assault_b" },
    { 0x0307, "character/character_chemwar_russian_assault_bb" },
    { 0x0308, "character/character_chemwar_russian_assault_c" },
    { 0x0309, "character/character_chemwar_russian_assault_cc" },
    { 0x030A, "character/character_chemwar_russian_assault_d" },
    { 0x030B, "character/character_chemwar_russian_assault_dd" },
    { 0x030C, "character/character_chemwar_russian_assault_e" },
    { 0x030D, "character/character_chemwar_russian_assault_ee" },
    { 0x030E, "character/character_deer_a" },
    { 0x030F, "character/character_deer_b" },
    { 0x0310, "character/character_deer_c" },
    { 0x0311, "character/character_elias_a" },
    { 0x0312, "character/character_elias_assault_a" },
    { 0x0313, "character/character_elias_b" },
    { 0x0314, "character/character_elias_e" },
    { 0x0315, "character/character_elias_hc" },
    { 0x0316, "character/character_elias_wood_shotgun_b" },
    { 0x0317, "character/character_elite_pmc_assault_a" },
    { 0x0318, "character/character_elite_pmc_assault_a_black" },
    { 0x0319, "character/character_elite_pmc_assault_a_white" },
    { 0x031A, "character/character_elite_pmc_assault_b" },
    { 0x031B, "character/character_elite_pmc_assault_b_desert" },
    { 0x031C, "character/character_elite_pmc_lmg_b_desert" },
    { 0x031D, "character/character_elite_pmc_shotgun_b_desert" },
    { 0x031E, "character/character_elite_pmc_skyway" },
    { 0x031F, "character/character_elite_pmc_smg_b_desert" },
    { 0x0320, "character/character_enemy_shark" },
    { 0x0321, "character/character_enemy_wolf" },
    { 0x0322, "character/character_fed_army_assault_a" },
    { 0x0323, "character/character_fed_army_assault_a_arctic" },
    { 0x0324, "character/character_fed_army_assault_a_elite" },
    { 0x0325, "character/character_fed_army_assault_a_nohelmet" },
    { 0x0326, "character/character_fed_army_assault_a_urban" },
    { 0x0327, "character/character_fed_army_assault_b" },
    { 0x0328, "character/character_fed_army_assault_b_arctic" },
    { 0x0329, "character/character_fed_army_assault_b_elite" },
    { 0x032A, "character/character_fed_army_assault_b_nohelmet" },
    { 0x032B, "character/character_fed_army_assault_b_urban" },
    { 0x032C, "character/character_fed_army_drones" },
    { 0x032D, "character/character_fed_army_lmg_a" },
    { 0x032E, "character/character_fed_army_lmg_a_arctic" },
    { 0x032F, "character/character_fed_army_lmg_a_urban" },
    { 0x0330, "character/character_fed_army_shotgun_a" },
    { 0x0331, "character/character_fed_army_shotgun_a_arctic" },
    { 0x0332, "character/character_fed_army_shotgun_a_urban" },
    { 0x0333, "character/character_fed_army_smg_a" },
    { 0x0334, "character/character_fed_army_smg_a_arctic" },
    { 0x0335, "character/character_fed_army_smg_a_nohelmet" },
    { 0x0336, "character/character_fed_army_smg_a_urban" },
    { 0x0337, "character/character_fed_basic_assault_a" },
    { 0x0338, "character/character_fed_basic_smg_a" },
    { 0x0339, "character/character_fed_space_assault_a" },
    { 0x033A, "character/character_fed_space_assault_b" },
    { 0x033B, "character/character_fed_udt_assault_a" },
    { 0x033C, "character/character_hazmat_a" },
    { 0x033D, "character/character_hero_flood_vargas_test" },
    { 0x033E, "character/character_hesh_assault_a" },
    { 0x033F, "character/character_hesh_cornered_b" },
    { 0x0340, "character/character_hesh_end_a" },
    { 0x0341, "character/character_hesh_end_a_water" },
    { 0x0342, "character/character_hesh_end_b" },
    { 0x0343, "character/character_hesh_fed_shotgun_a" },
    { 0x0344, "character/character_hesh_hostage_ab" },
    { 0x0345, "character/character_hesh_ranger_assault_a" },
    { 0x0346, "character/character_hesh_ranger_assault_b" },
    { 0x0347, "character/character_hesh_stealth_mask_c" },
    { 0x0348, "character/character_hesh_stealth_mask_d" },
    { 0x0349, "character/character_hesh_udt_assault_a" },
    { 0x034A, "character/character_hesh_young_a" },
    { 0x034B, "character/character_iw6_sp_enemy_dog" },
    { 0x034C, "character/character_iw6_sp_german_shepherd_dog_a" },
    { 0x034D, "character/character_iw6_sp_german_shepherd_dog_b" },
    { 0x034E, "character/character_iw6_sp_german_shepherd_dog_c" },
    { 0x034F, "character/character_keegan_assault_a" },
    { 0x0350, "character/character_keegan_end_smg_a" },
    { 0x0351, "character/character_keegan_fed_smg_a" },
    { 0x0352, "character/character_keegan_udt_assault_a" },
    { 0x0353, "character/character_keegan_udt_water_b" },
    { 0x0354, "character/character_keegan_wood_sniper_b" },
    { 0x0355, "character/character_kick_udt_assault_b" },
    { 0x0356, "character/character_kick_udt_water_glowstick" },
    { 0x0357, "character/character_kyra_us_space_a" },
    { 0x0358, "character/character_merrick_assault_a" },
    { 0x0359, "character/character_merrick_assault_b" },
    { 0x035A, "character/character_merrick_assault_c" },
    { 0x035B, "character/character_merrick_end_a" },
    { 0x035C, "character/character_merrick_fed_assault_a" },
    { 0x035D, "character/character_merrick_flood_a" },
    { 0x035E, "character/character_merrick_hostage_a" },
    { 0x035F, "character/character_merrick_udt_assault_b" },
    { 0x0360, "character/character_merrick_udt_water_glowstick" },
    { 0x0361, "character/character_merrick_wood_smg_c_skull" },
    { 0x0362, "character/character_oil_worker" },
    { 0x0363, "character/character_oil_worker_bi_foreman" },
    { 0x0364, "character/character_oil_worker_mask" },
    { 0x0365, "character/character_opforce_henchmen_smg_a" },
    { 0x0366, "character/character_opforce_henchmen_smg_b" },
    { 0x0367, "character/character_pilot_a" },
    { 0x0368, "character/character_pilot_b" },
    { 0x0369, "character/character_pilot_b_tan" },
    { 0x036A, "character/character_pilot_c" },
    { 0x036B, "character/character_pilot_c_blue" },
    { 0x036C, "character/character_pilot_c_green" },
    { 0x036D, "character/character_pilot_c_purple" },
    { 0x036E, "character/character_pilot_c_red" },
    { 0x036F, "character/character_ppilot_crew_d" },
    { 0x0370, "character/character_ramos_a" },
    { 0x0371, "character/character_rorke_assault" },
    { 0x0372, "character/character_rorke_basic_a" },
    { 0x0373, "character/character_rorke_flood_a" },
    { 0x0374, "character/character_scientist_a" },
    { 0x0375, "character/character_scientist_b" },
    { 0x0376, "character/character_scientist_c" },
    { 0x0377, "character/character_scientist_d" },
    { 0x0378, "character/character_us_civ_female_yb_a" },
    { 0x0379, "character/character_us_civ_female_yb_b" },
    { 0x037A, "character/character_us_civ_male_yb_a" },
    { 0x037B, "character/character_us_civ_male_yb_b" },
    { 0x037C, "character/character_us_rangers_assault_a" },
    { 0x037D, "character/character_us_rangers_assault_a_desert" },
    { 0x037E, "character/character_us_rangers_assault_a_urban" },
    { 0x037F, "character/character_us_rangers_drones" },
    { 0x0380, "character/character_us_rangers_lmg_a" },
    { 0x0381, "character/character_us_rangers_lmg_a_urban" },
    { 0x0382, "character/character_us_rangers_shotgun_a" },
    { 0x0383, "character/character_us_rangers_shotgun_a_urban" },
    { 0x0384, "character/character_us_rangers_smg_a" },
    { 0x0385, "character/character_us_rangers_smg_a_desert" },
    { 0x0386, "character/character_us_space_assault_a" },
    { 0x0387, "character/character_us_space_assault_b" },
    { 0x0388, "character/character_us_space_collins" },
    { 0x0389, "character/character_us_space_int_a" },
    { 0x038A, "character/character_us_space_int_b" },
    { 0x038B, "character/character_us_space_int_c" },
    { 0x038C, "character/character_venezuela_army_assault_a" },
    { 0x038D, "character/character_venezuela_army_smg_a" },
    { 0x038E, "character/character_venezuela_army_smg_a_head_d" },
    { 0x038F, "codescripts/character" },
    { 0x0390, "codescripts/delete" },
    { 0x0391, "codescripts/struct" },
    { 0x0392, "common_scripts/_artcommon" },
    { 0x0393, "common_scripts/_bcs_location_trigs" },
    { 0x0394, "common_scripts/_createfx" },
    { 0x0395, "common_scripts/_createfxmenu" },
    { 0x0396, "common_scripts/_csplines" },
    { 0x0397, "common_scripts/_destructible" },
    { 0x0398, "common_scripts/_dynamic_world" },
    { 0x0399, "common_scripts/_elevator" },
    { 0x039A, "common_scripts/_exploder" },
    { 0x039B, "common_scripts/_fx" },
    { 0x039C, "common_scripts/_pipes" },
    { 0x039D, "common_scripts/_sentry" },
    { 0x039E, "common_scripts/_wind" },
    { 0x039F, "common_scripts/utility" },
    { 0x03A0, "destructible_scripts/destructible_civilian_sedan_iw6" },
    { 0x03A1, "destructible_scripts/destructible_civilian_sedan_water_iw6" },
    { 0x03A2, "destructible_scripts/destructible_van_water_iw6" },
    { 0x03A3, "destructible_scripts/destructible_vehicle_city_car_water" },
    { 0x03A4, "destructible_scripts/electrical_transformer_large" },
    { 0x03A5, "destructible_scripts/explodable_barrel" },
    { 0x03A6, "destructible_scripts/toy_electricbox2" },
    { 0x03A7, "destructible_scripts/toy_filecabinet" },
    { 0x03A8, "destructible_scripts/toy_generator_on" },
    { 0x03A9, "destructible_scripts/toy_light_ceiling_fluorescent" },
    { 0x03AA, "destructible_scripts/toy_lv_trash_can_vegas" },
    { 0x03AB, "destructible_scripts/toy_sp_panel_box" },
    { 0x03AC, "destructible_scripts/toy_transformer_small01" },
    { 0x03AD, "destructible_scripts/toy_trashcan_metal_closed" },
    { 0x03AE, "destructible_scripts/toy_tv_flatscreen" },
    { 0x03AF, "destructible_scripts/toy_tv_flatscreen_wallmount_02" },
    { 0x03B0, "destructible_scripts/toy_tv_video_monitor" },
    { 0x03B1, "destructible_scripts/toy_usa_gas_station_trash_bin_02" },
    { 0x03B2, "maps/_ambient" },
    { 0x03B3, "maps/_anim" },
    { 0x03B4, "maps/_animatedmodels" },
    { 0x03B5, "maps/_art" },
    { 0x03B6, "maps/_ash_falling" },
    { 0x03B7, "maps/_audio" },
    { 0x03B8, "maps/_audio_ambient" },
    { 0x03B9, "maps/_audio_code" },
    { 0x03BA, "maps/_autosave" },
    { 0x03BB, "maps/_breach" },
    { 0x03BC, "maps/_c4" },
    { 0x03BD, "maps/_chaingun_player" },
    { 0x03BE, "maps/_chopperboss" },
    { 0x03BF, "maps/_chopperboss_utility" },
    { 0x03C0, "maps/_colors" },
    { 0x03C1, "maps/_compass" },
    { 0x03C2, "maps/_coop" },
    { 0x03C3, "maps/_createfx" },
    { 0x03C4, "maps/_credits_iw6" },
    { 0x03C5, "maps/_damagefeedback" },
    { 0x03C6, "maps/_deadbody" },
    { 0x03C7, "maps/_debug" },
    { 0x03C8, "maps/_detonategrenades" },
    { 0x03C9, "maps/_dog_control" },
    { 0x03CA, "maps/_dog_drive" },
    { 0x03CB, "maps/_dog_kinect" },
    { 0x03CC, "maps/_dog_pip" },
    { 0x03CD, "maps/_drone" },
    { 0x03CE, "maps/_drone_ai" },
    { 0x03CF, "maps/_drone_base" },
    { 0x03D0, "maps/_drone_civilian" },
    { 0x03D1, "maps/_drone_deer" },
    { 0x03D2, "maps/_dynamic_run_speed" },
    { 0x03D3, "maps/_endmission" },
    { 0x03D4, "maps/_friendlyfire" },
    { 0x03D5, "maps/_gameskill" },
    { 0x03D6, "maps/_geo_mover" },
    { 0x03D7, "maps/_global_fx" },
    { 0x03D8, "maps/_global_fx_code" },
    { 0x03D9, "maps/_hand_signals" },
    { 0x03DA, "maps/_helicopter_ai" },
    { 0x03DB, "maps/_helicopter_globals" },
    { 0x03DC, "maps/_hud" },
    { 0x03DD, "maps/_hud_util" },
    { 0x03DE, "maps/_idle" },
    { 0x03DF, "maps/_idle_coffee" },
    { 0x03E0, "maps/_idle_lean_smoke" },
    { 0x03E1, "maps/_idle_phone" },
    { 0x03E2, "maps/_idle_sit_load_ak" },
    { 0x03E3, "maps/_idle_sleep" },
    { 0x03E4, "maps/_idle_smoke" },
    { 0x03E5, "maps/_idle_smoke_balcony" },
    { 0x03E6, "maps/_intelligence" },
    { 0x03E7, "maps/_introscreen" },
    { 0x03E8, "maps/_inventory" },
    { 0x03E9, "maps/_lights" },
    { 0x03EA, "maps/_load" },
    { 0x03EB, "maps/_loadout" },
    { 0x03EC, "maps/_loadout_code" },
    { 0x03ED, "maps/_mg_penetration" },
    { 0x03EE, "maps/_mgturret" },
    { 0x03EF, "maps/_minigun" },
    { 0x03F0, "maps/_minigun_viewmodel" },
    { 0x03F1, "maps/_mocap_ar" },
    { 0x03F2, "maps/_mortar" },
    { 0x03F3, "maps/_names" },
    { 0x03F4, "maps/_nightvision" },
    { 0x03F5, "maps/_ocean" },
    { 0x03F6, "maps/_patrol" },
    { 0x03F7, "maps/_patrol_anims" },
    { 0x03F8, "maps/_patrol_anims_creepwalk" },
    { 0x03F9, "maps/_patrol_anims_gundown" },
    { 0x03FA, "maps/_patrol_anims_patroljog" },
    { 0x03FB, "maps/_perlin_noise" },
    { 0x03FC, "maps/_player_death" },
    { 0x03FD, "maps/_player_limp" },
    { 0x03FE, "maps/_player_rig" },
    { 0x03FF, "maps/_player_stats" },
    { 0x0400, "maps/_props" },
    { 0x0401, "maps/_radiation" },
    { 0x0402, "maps/_rambo" },
    { 0x0403, "maps/_readystand_anims" },
    { 0x0404, "maps/_remoteturret" },
    { 0x0405, "maps/_rv_vfx" },
    { 0x0406, "maps/_shellshock" },
    { 0x0407, "maps/_shg_common" },
    { 0x0408, "maps/_slowmo_breach" },
    { 0x0409, "maps/_space" },
    { 0x040A, "maps/_space_ai" },
    { 0x040B, "maps/_space_player" },
    { 0x040C, "maps/_spawner" },
    { 0x040D, "maps/_stealth" },
    { 0x040E, "maps/_stealth_accuracy_friendly" },
    { 0x040F, "maps/_stealth_animation_funcs" },
    { 0x0410, "maps/_stealth_anims" },
    { 0x0411, "maps/_stealth_behavior_enemy" },
    { 0x0412, "maps/_stealth_behavior_friendly" },
    { 0x0413, "maps/_stealth_behavior_system" },
    { 0x0414, "maps/_stealth_color_friendly" },
    { 0x0415, "maps/_stealth_corpse_enemy" },
    { 0x0416, "maps/_stealth_corpse_system" },
    { 0x0417, "maps/_stealth_event_enemy" },
    { 0x0418, "maps/_stealth_shared_utilities" },
    { 0x0419, "maps/_stealth_smartstance_friendly" },
    { 0x041A, "maps/_stealth_threat_enemy" },
    { 0x041B, "maps/_stealth_utility" },
    { 0x041C, "maps/_stealth_visibility_enemy" },
    { 0x041D, "maps/_stealth_visibility_friendly" },
    { 0x041E, "maps/_stealth_visibility_system" },
    { 0x041F, "maps/_swim_ai" },
    { 0x0420, "maps/_swim_ai_common" },
    { 0x0421, "maps/_swim_player" },
    { 0x0422, "maps/_tank_battlechatter" },
    { 0x0423, "maps/_teargas" },
    { 0x0424, "maps/_treadfx" },
    { 0x0425, "maps/_trigger" },
    { 0x0426, "maps/_underwater" },
    { 0x0427, "maps/_utility" },
    { 0x0428, "maps/_utility_code" },
    { 0x0429, "maps/_utility_dogs" },
    { 0x042A, "maps/_vehicle" },
    { 0x042B, "maps/_vehicle_aianim" },
    { 0x042C, "maps/_vehicle_code" },
    { 0x042D, "maps/_vehicle_spline_zodiac" },
    { 0x042E, "maps/_vignette_util" },
    { 0x042F, "maps/_weather" },
    { 0x0430, "maps/black_ice_fx" },
    { 0x0431, "maps/black_ice_precache" },
    { 0x0432, "maps/carrier_fx" },
    { 0x0433, "maps/carrier_precache" },
    { 0x0434, "maps/clockwork_fx" },
    { 0x0435, "maps/clockwork_precache" },
    { 0x0436, "maps/cornered_fx" },
    { 0x0437, "maps/cornered_precache" },
    { 0x0438, "maps/deer_hunt_fx" },
    { 0x0439, "maps/deer_hunt_precache" },
    { 0x043A, "maps/enemyhq_fx" },
    { 0x043B, "maps/enemyhq_precache" },
    { 0x043C, "maps/flood_fx" },
    { 0x043D, "maps/flood_precache" },
    { 0x043E, "maps/homecoming_fx" },
    { 0x043F, "maps/homecoming_precache" },
    { 0x0440, "maps/iplane_fx" },
    { 0x0441, "maps/jungle_ghosts_fx" },
    { 0x0442, "maps/jungle_ghosts_precache" },
    { 0x0443, "maps/loki_fx" },
    { 0x0444, "maps/loki_precache" },
    { 0x0445, "maps/nml_fx" },
    { 0x0446, "maps/nml_precache" },
    { 0x0447, "maps/odin_fx" },
    { 0x0448, "maps/odin_precache" },
    { 0x0449, "maps/oilrocks_fx" },
    { 0x044A, "maps/oilrocks_precache" },
    { 0x044B, "maps/prologue_fx" },
    { 0x044C, "maps/prologue_precache" },
    { 0x044D, "maps/satfarm_b_fx" },
    { 0x044E, "maps/satfarm_b_precache" },
    { 0x044F, "maps/satfarm_fx" },
    { 0x0450, "maps/satfarm_precache" },
    { 0x0451, "maps/ship_graveyard_fx" },
    { 0x0452, "maps/ship_graveyard_precache" },
    { 0x0453, "maps/skyway_fx" },
    { 0x0454, "maps/skyway_precache" },
    { 0x0455, "maps/youngblood_fx" },
    { 0x0456, "maps/youngblood_precache" },
    { 0x0457, "vehicle_scripts/_a10_warthog" },
    { 0x0458, "vehicle_scripts/_apache" },
    { 0x0459, "vehicle_scripts/_apache_player" },
    { 0x045A, "vehicle_scripts/_apache_player_audio" },
    { 0x045B, "vehicle_scripts/_apache_player_difficulty" },
    { 0x045C, "vehicle_scripts/_apache_player_missile_hydra_and_lockon" },
    { 0x045D, "vehicle_scripts/_apache_player_pilot" },
    { 0x045E, "vehicle_scripts/_apache_player_raining_missile" },
    { 0x045F, "vehicle_scripts/_apache_player_targeting" },
    { 0x0460, "vehicle_scripts/_attack_heli" },
    { 0x0461, "vehicle_scripts/_btr80" },
    { 0x0462, "vehicle_scripts/_c17" },
    { 0x0463, "vehicle_scripts/_chinese_brave_warrior" },
    { 0x0464, "vehicle_scripts/_chopper_ai_missile_defense" },
    { 0x0465, "vehicle_scripts/_chopper_missile_defense_utility" },
    { 0x0466, "vehicle_scripts/_chopper_player_missile_defense" },
    { 0x0467, "vehicle_scripts/_empty" },
    { 0x0468, "vehicle_scripts/_f15" },
    { 0x0469, "vehicle_scripts/_f18" },
    { 0x046A, "vehicle_scripts/_foliage_tumbleweed_vehicle" },
    { 0x046B, "vehicle_scripts/_gaz" },
    { 0x046C, "vehicle_scripts/_gaz_dshk_oilrocks" },
    { 0x046D, "vehicle_scripts/_gunboat" },
    { 0x046E, "vehicle_scripts/_hind" },
    { 0x046F, "vehicle_scripts/_lcs" },
    { 0x0470, "vehicle_scripts/_m1a1_minigun" },
    { 0x0471, "vehicle_scripts/_m880_launcher" },
    { 0x0472, "vehicle_scripts/_man_7t" },
    { 0x0473, "vehicle_scripts/_mig29" },
    { 0x0474, "vehicle_scripts/_missile_boat" },
    { 0x0475, "vehicle_scripts/_osprey" },
    { 0x0476, "vehicle_scripts/_snowmobile" },
    { 0x0477, "vehicle_scripts/_snowmobile_friendly" },
    { 0x0478, "vehicle_scripts/_soc_r" },
    { 0x0479, "vehicle_scripts/_submarine_sdv" },
    { 0x047A, "vehicle_scripts/_tank_crush" },
    { 0x047B, "vehicle_scripts/_zodiac" },
    { 0x047C, "vehicle_scripts/_zpu_antiair" },
    { 0x047D, "vehicle_scripts/_zpu_antiair_oilrocks" },
    { 0x047E, "vehicle_scripts/aas_72x" },
    { 0x047F, "vehicle_scripts/apache" },
    { 0x0480, "vehicle_scripts/artemis" },
    { 0x0481, "vehicle_scripts/hind" },
    { 0x0482, "vehicle_scripts/hind_battle_carrier" },
    { 0x0483, "vehicle_scripts/hind_battle_oilrocks" },
    { 0x0484, "vehicle_scripts/hovercraft" },
    { 0x0485, "vehicle_scripts/iveco_lynx" },
    { 0x0486, "vehicle_scripts/iveco_lynx_turret" },
    { 0x0487, "vehicle_scripts/m1a2" },
    { 0x0488, "vehicle_scripts/m1a2_player" },
    { 0x0489, "vehicle_scripts/m800" },
    { 0x048A, "vehicle_scripts/matv" },
    { 0x048B, "vehicle_scripts/mk23" },
    { 0x048C, "vehicle_scripts/nh90" },
    { 0x048D, "vehicle_scripts/pickup_truck_civ" },
    { 0x048E, "vehicle_scripts/sedan_4door" },
    { 0x048F, "vehicle_scripts/silenthawk" },
    { 0x0490, "vehicle_scripts/silenthawk_landing" },
    { 0x0491, "vehicle_scripts/t90ms" },
    { 0x0492, "vehicle_scripts/tatra_t815" },
    { 0x0493, "vehicle_scripts/y_8_gunship" },
    { 0x0494, "xmodelalias/alias_chemwar_russian_heads" },
    { 0x0495, "xmodelalias/alias_elite_pmc_heads" },
    { 0x0496, "xmodelalias/alias_fed_army_heads_a" },
    { 0x0497, "xmodelalias/alias_fed_army_heads_a_arctic_noshield" },
    { 0x0498, "xmodelalias/alias_fed_army_heads_a_nofaceshield" },
    { 0x0499, "xmodelalias/alias_fed_army_heads_a_urban" },
    { 0x049A, "xmodelalias/alias_fed_basic_heads" },
    { 0x049B, "xmodelalias/alias_fed_space_assault_heads" },
    { 0x049C, "xmodelalias/alias_fed_udt_heads" },
    { 0x049D, "xmodelalias/alias_henchmen_heads" },
    { 0x049E, "xmodelalias/alias_oil_worker_bodies" },
    { 0x049F, "xmodelalias/alias_oil_worker_heads" },
    { 0x04A0, "xmodelalias/alias_pilot_heads" },
    { 0x04A1, "xmodelalias/alias_pilot_heads_blue" },
    { 0x04A2, "xmodelalias/alias_pilot_heads_green" },
    { 0x04A3, "xmodelalias/alias_pilot_heads_purple" },
    { 0x04A4, "xmodelalias/alias_pilot_heads_red" },
    { 0x04A5, "xmodelalias/alias_pilot_heads_yellow" },
    { 0x04A6, "xmodelalias/alias_russian_military_heads_skyway" },
    { 0x04A7, "xmodelalias/alias_scientist_heads" },
    { 0x04A8, "xmodelalias/alias_us_rangers_drone_bodies" },
    { 0x04A9, "xmodelalias/alias_us_rangers_drone_heads" },
    { 0x04AA, "xmodelalias/alias_us_rangers_heads_a" },
    { 0x04AB, "xmodelalias/alias_us_rangers_heads_a_desert" },
    { 0x04AC, "xmodelalias/alias_us_rangers_heads_a_urban" },
    { 0x04AD, "xmodelalias/alias_us_space_assault_heads" },
    { 0x04AE, "xmodelalias/alias_us_space_int_heads" },
    { 0x04AF, "xmodelalias/alias_venezuela_army_heads" },
    { 0x04B0, "maps/animated_models/accessories_windsock_wind_medium" },
    { 0x04B1, "maps/animated_models/com_roofvent2" },
    { 0x04B2, "maps/animated_models/com_roofvent3" },
    { 0x04B3, "maps/animated_models/flood_palm_tree_tall" },
    { 0x04B4, "maps/animated_models/flood_palm_tree_tall_no_shadow" },
    { 0x04B5, "maps/animated_models/hanging_sheet_wind_medium" },
    { 0x04B6, "maps/animated_models/mp_flooded_water_debris_bob" },
    { 0x04B7, "maps/animated_models/mp_flooded_water_debris_spiral" },
    { 0x04B8, "maps/animated_models/mp_flooded_water_street" },
    { 0x04B9, "maps/animated_models/mp_frag_crane" },
    { 0x04BA, "maps/animated_models/ow_crane_hook" },
    { 0x04BB, "maps/animated_models/tarp_tattered_thin_02" },
    { 0x04BC, "maps/animated_models/tattered_cloth_medium_01" },
    { 0x04BD, "maps/animated_models/tattered_cloth_small_02" },
    { 0x04BE, "maps/createart/black_ice_art" },
    { 0x04BF, "maps/createart/black_ice_fog" },
    { 0x04C0, "maps/createart/carrier_art" },
    { 0x04C1, "maps/createart/carrier_fog" },
    { 0x04C2, "maps/createart/clockwork_art" },
    { 0x04C3, "maps/createart/clockwork_fog" },
    { 0x04C4, "maps/createart/cornered_art" },
    { 0x04C5, "maps/createart/cornered_fog" },
    { 0x04C6, "maps/createart/deer_hunt_art" },
    { 0x04C7, "maps/createart/deer_hunt_fog" },
    { 0x04C8, "maps/createart/enemyhq_art" },
    { 0x04C9, "maps/createart/enemyhq_fog" },
    { 0x04CA, "maps/createart/flood_art" },
    { 0x04CB, "maps/createart/flood_fog" },
    { 0x04CC, "maps/createart/homecoming_art" },
    { 0x04CD, "maps/createart/homecoming_fog" },
    { 0x04CE, "maps/createart/iplane_art" },
    { 0x04CF, "maps/createart/iplane_fog" },
    { 0x04D0, "maps/createart/jungle_ghosts_art" },
    { 0x04D1, "maps/createart/jungle_ghosts_fog" },
    { 0x04D2, "maps/createart/loki_art" },
    { 0x04D3, "maps/createart/loki_fog" },
    { 0x04D4, "maps/createart/mp_alien_town_art" },
    { 0x04D5, "maps/createart/mp_alien_town_fog" },
    { 0x04D6, "maps/createart/mp_chasm_art" },
    { 0x04D7, "maps/createart/mp_chasm_fog" },
    { 0x04D8, "maps/createart/mp_dart_art" },
    { 0x04D9, "maps/createart/mp_dart_fog" },
    { 0x04DA, "maps/createart/mp_fahrenheit_art" },
    { 0x04DB, "maps/createart/mp_fahrenheit_fog" },
    { 0x04DC, "maps/createart/mp_flooded_art" },
    { 0x04DD, "maps/createart/mp_flooded_fog" },
    { 0x04DE, "maps/createart/mp_frag_art" },
    { 0x04DF, "maps/createart/mp_frag_fog" },
    { 0x04E0, "maps/createart/mp_hashima_art" },
    { 0x04E1, "maps/createart/mp_hashima_fog" },
    { 0x04E2, "maps/createart/mp_lonestar_art" },
    { 0x04E3, "maps/createart/mp_lonestar_fog" },
    { 0x04E4, "maps/createart/mp_prisonbreak_art" },
    { 0x04E5, "maps/createart/mp_prisonbreak_fog" },
    { 0x04E6, "maps/createart/mp_siege_buildings_fog" },
    { 0x04E7, "maps/createart/mp_skeleton_art" },
    { 0x04E8, "maps/createart/mp_skeleton_fog" },
    { 0x04E9, "maps/createart/mp_snow_art" },
    { 0x04EA, "maps/createart/mp_snow_fog" },
    { 0x04EB, "maps/createart/mp_sovereign_art" },
    { 0x04EC, "maps/createart/mp_sovereign_fog" },
    { 0x04ED, "maps/createart/mp_strikezone_art" },
    { 0x04EE, "maps/createart/mp_strikezone_fog" },
    { 0x04EF, "maps/createart/mp_warhawk_art" },
    { 0x04F0, "maps/createart/mp_warhawk_fog" },
    { 0x04F1, "maps/createart/mp_zebra_art" },
    { 0x04F2, "maps/createart/mp_zebra_fog" },
    { 0x04F3, "maps/createart/nml_art" },
    { 0x04F4, "maps/createart/nml_fog" },
    { 0x04F5, "maps/createart/odin_art" },
    { 0x04F6, "maps/createart/odin_fog" },
    { 0x04F7, "maps/createart/oilrocks_art" },
    { 0x04F8, "maps/createart/oilrocks_fog" },
    { 0x04F9, "maps/createart/prologue_art" },
    { 0x04FA, "maps/createart/prologue_fog" },
    { 0x04FB, "maps/createart/satfarm_art" },
    { 0x04FC, "maps/createart/satfarm_b_art" },
    { 0x04FD, "maps/createart/satfarm_b_fog" },
    { 0x04FE, "maps/createart/satfarm_fog" },
    { 0x04FF, "maps/createart/ship_graveyard_art" },
    { 0x0500, "maps/createart/ship_graveyard_fog" },
    { 0x0501, "maps/createart/skyway_art" },
    { 0x0502, "maps/createart/skyway_fog" },
    { 0x0503, "maps/createart/youngblood_art" },
    { 0x0504, "maps/createart/youngblood_fog" },
    { 0x0505, "maps/createfx/black_ice_fx" },
    { 0x0506, "maps/createfx/black_ice_sound" },
    { 0x0507, "maps/createfx/carrier_fx" },
    { 0x0508, "maps/createfx/carrier_sound" },
    { 0x0509, "maps/createfx/clockwork_fx" },
    { 0x050A, "maps/createfx/clockwork_sound" },
    { 0x050B, "maps/createfx/cornered_fx" },
    { 0x050C, "maps/createfx/cornered_sound" },
    { 0x050D, "maps/createfx/deer_hunt_fx" },
    { 0x050E, "maps/createfx/deer_hunt_sound" },
    { 0x050F, "maps/createfx/enemyhq_fx" },
    { 0x0510, "maps/createfx/enemyhq_sound" },
    { 0x0511, "maps/createfx/flood_fx" },
    { 0x0512, "maps/createfx/flood_sound" },
    { 0x0513, "maps/createfx/homecoming_fx" },
    { 0x0514, "maps/createfx/homecoming_sound" },
    { 0x0515, "maps/createfx/jungle_ghosts_fx" },
    { 0x0516, "maps/createfx/jungle_ghosts_sound" },
    { 0x0517, "maps/createfx/loki_fx" },
    { 0x0518, "maps/createfx/loki_sound" },
    { 0x0519, "maps/createfx/mp_alien_town_fx" },
    { 0x051A, "maps/createfx/mp_chasm_fx" },
    { 0x051B, "maps/createfx/mp_dart_fx" },
    { 0x051C, "maps/createfx/mp_fahrenheit_fx" },
    { 0x051D, "maps/createfx/mp_flooded_fx" },
    { 0x051E, "maps/createfx/mp_frag_fx" },
    { 0x051F, "maps/createfx/mp_hashima_fx" },
    { 0x0520, "maps/createfx/mp_lonestar_fx" },
    { 0x0521, "maps/createfx/mp_prisonbreak_fx" },
    { 0x0522, "maps/createfx/mp_skeleton_fx" },
    { 0x0523, "maps/createfx/mp_snow_fx" },
    { 0x0524, "maps/createfx/mp_sovereign_fx" },
    { 0x0525, "maps/createfx/mp_strikezone_fx" },
    { 0x0526, "maps/createfx/mp_warhawk_fx" },
    { 0x0527, "maps/createfx/mp_zebra_fx" },
    { 0x0528, "maps/createfx/nml_fx" },
    { 0x0529, "maps/createfx/nml_sound" },
    { 0x052A, "maps/createfx/odin_fx" },
    { 0x052B, "maps/createfx/odin_sound" },
    { 0x052C, "maps/createfx/oilrocks_fx" },
    { 0x052D, "maps/createfx/oilrocks_sound" },
    { 0x052E, "maps/createfx/prologue_fx" },
    { 0x052F, "maps/createfx/prologue_sound" },
    { 0x0530, "maps/createfx/satfarm_b_fx" },
    { 0x0531, "maps/createfx/satfarm_b_sound" },
    { 0x0532, "maps/createfx/satfarm_fx" },
    { 0x0533, "maps/createfx/satfarm_sound" },
    { 0x0534, "maps/createfx/ship_graveyard_fx" },
    { 0x0535, "maps/createfx/ship_graveyard_sound" },
    { 0x0536, "maps/createfx/skyway_fx" },
    { 0x0537, "maps/createfx/skyway_sound" },
    { 0x0538, "maps/createfx/youngblood_fx" },
    { 0x0539, "maps/createfx/youngblood_sound" },
    { 0x053A, "maps/interactive_models/_birds" },
    { 0x053B, "maps/interactive_models/_fish" },
    { 0x053C, "maps/interactive_models/_interactive_utility" },
    { 0x053D, "maps/interactive_models/_interactive_utility_sp" },
    { 0x053E, "maps/interactive_models/bldg_01_dest" },
    { 0x053F, "maps/interactive_models/egrets" },
    { 0x0540, "maps/interactive_models/fish_bannerfish" },
    { 0x0541, "maps/interactive_models/fish_school_sardines" },
    { 0x0542, "maps/interactive_models/fish_school_snapper" },
    { 0x0543, "maps/interactive_models/oilrig_hanging_jumpsuit" },
    { 0x0544, "maps/interactive_models/parakeets" },
    { 0x0545, "maps/interactive_models/pigeons" },
    { 0x0546, "maps/interactive_models/vulture" },
    { 0x0547, "maps/mp/_animatedmodels" },
    { 0x0548, "maps/mp/_areas" },
    { 0x0549, "maps/mp/_art" },
    { 0x054A, "maps/mp/_audio" },
    { 0x054B, "maps/mp/_awards" },
    { 0x054C, "maps/mp/_breach" },
    { 0x054D, "maps/mp/_compass" },
    { 0x054E, "maps/mp/_createfx" },
    { 0x054F, "maps/mp/_crib" },
    { 0x0550, "maps/mp/_defcon" },
    { 0x0551, "maps/mp/_destructables" },
    { 0x0552, "maps/mp/_elevator" },
    { 0x0553, "maps/mp/_empgrenade" },
    { 0x0554, "maps/mp/_entityheadicons" },
    { 0x0555, "maps/mp/_events" },
    { 0x0556, "maps/mp/_flashgrenades" },
    { 0x0557, "maps/mp/_fx" },
    { 0x0558, "maps/mp/_global_fx" },
    { 0x0559, "maps/mp/_global_fx_code" },
    { 0x055A, "maps/mp/_highlights" },
    { 0x055B, "maps/mp/_javelin" },
    { 0x055C, "maps/mp/_laserguidedlauncher" },
    { 0x055D, "maps/mp/_load" },
    { 0x055E, "maps/mp/_matchdata" },
    { 0x055F, "maps/mp/_matchevents" },
    { 0x0560, "maps/mp/_menus" },
    { 0x0561, "maps/mp/_minefields" },
    { 0x0562, "maps/mp/_movable_cover" },
    { 0x0563, "maps/mp/_movers" },
    { 0x0564, "maps/mp/_radiation" },
    { 0x0565, "maps/mp/_scoreboard" },
    { 0x0566, "maps/mp/_shutter" },
    { 0x0567, "maps/mp/_stinger" },
    { 0x0568, "maps/mp/_teleport" },
    { 0x0569, "maps/mp/_utility" },
    { 0x056A, "maps/mp/_water" },
    { 0x056B, "maps/mp/_zipline" },
    { 0x056C, "maps/mp/mp_alien_town_fx" },
    { 0x056D, "maps/mp/mp_alien_town_precache" },
    { 0x056E, "maps/mp/mp_chasm_fx" },
    { 0x056F, "maps/mp/mp_chasm_precache" },
    { 0x0570, "maps/mp/mp_dart_fx" },
    { 0x0571, "maps/mp/mp_dart_precache" },
    { 0x0572, "maps/mp/mp_fahrenheit_fx" },
    { 0x0573, "maps/mp/mp_fahrenheit_precache" },
    { 0x0574, "maps/mp/mp_flooded_fx" },
    { 0x0575, "maps/mp/mp_flooded_precache" },
    { 0x0576, "maps/mp/mp_frag_fx" },
    { 0x0577, "maps/mp/mp_frag_precache" },
    { 0x0578, "maps/mp/mp_hashima_fx" },
    { 0x0579, "maps/mp/mp_hashima_precache" },
    { 0x057A, "maps/mp/mp_lonestar_fx" },
    { 0x057B, "maps/mp/mp_lonestar_precache" },
    { 0x057C, "maps/mp/mp_prisonbreak_fx" },
    { 0x057D, "maps/mp/mp_prisonbreak_precache" },
    { 0x057E, "maps/mp/mp_skeleton_fx" },
    { 0x057F, "maps/mp/mp_skeleton_precache" },
    { 0x0580, "maps/mp/mp_snow_fx" },
    { 0x0581, "maps/mp/mp_snow_precache" },
    { 0x0582, "maps/mp/mp_sovereign_fx" },
    { 0x0583, "maps/mp/mp_sovereign_precache" },
    { 0x0584, "maps/mp/mp_strikezone_fx" },
    { 0x0585, "maps/mp/mp_strikezone_precache" },
    { 0x0586, "maps/mp/mp_warhawk_fx" },
    { 0x0587, "maps/mp/mp_warhawk_precache" },
    { 0x0588, "maps/mp/mp_zebra_fx" },
    { 0x0589, "maps/mp/mp_zebra_precache" },
    { 0x058A, "maps/mp/alien/_achievement" },
    { 0x058B, "maps/mp/alien/_airdrop" },
    { 0x058C, "maps/mp/alien/_alien_fx" },
    { 0x058D, "maps/mp/alien/_autosentry_alien" },
    { 0x058E, "maps/mp/alien/_challenge" },
    { 0x058F, "maps/mp/alien/_challenge_function" },
    { 0x0590, "maps/mp/alien/_collectibles" },
    { 0x0591, "maps/mp/alien/_combat_resources" },
    { 0x0592, "maps/mp/alien/_damage" },
    { 0x0593, "maps/mp/alien/_death" },
    { 0x0594, "maps/mp/alien/_debug" },
    { 0x0595, "maps/mp/alien/_deployablebox" },
    { 0x0596, "maps/mp/alien/_deployablebox_adrenalinebox" },
    { 0x0597, "maps/mp/alien/_deployablebox_ammo" },
    { 0x0598, "maps/mp/alien/_deployablebox_currency" },
    { 0x0599, "maps/mp/alien/_deployablebox_explosives" },
    { 0x059A, "maps/mp/alien/_deployablebox_juicebox" },
    { 0x059B, "maps/mp/alien/_deployablebox_randombox" },
    { 0x059C, "maps/mp/alien/_deployablebox_specialammo" },
    { 0x059D, "maps/mp/alien/_deployablebox_specialammo_ap" },
    { 0x059E, "maps/mp/alien/_deployablebox_specialammo_explo" },
    { 0x059F, "maps/mp/alien/_deployablebox_specialammo_in" },
    { 0x05A0, "maps/mp/alien/_deployablebox_vest" },
    { 0x05A1, "maps/mp/alien/_director" },
    { 0x05A2, "maps/mp/alien/_drill" },
    { 0x05A3, "maps/mp/alien/_gamescore" },
    { 0x05A4, "maps/mp/alien/_globallogic" },
    { 0x05A5, "maps/mp/alien/_hud" },
    { 0x05A6, "maps/mp/alien/_intro_sequence" },
    { 0x05A7, "maps/mp/alien/_lasedstrike_alien" },
    { 0x05A8, "maps/mp/alien/_laststand" },
    { 0x05A9, "maps/mp/alien/_music_and_dialog" },
    { 0x05AA, "maps/mp/alien/_nuke" },
    { 0x05AB, "maps/mp/alien/_outline_proto" },
    { 0x05AC, "maps/mp/alien/_perk_utility" },
    { 0x05AD, "maps/mp/alien/_perkfunctions" },
    { 0x05AE, "maps/mp/alien/_perks" },
    { 0x05AF, "maps/mp/alien/_persistence" },
    { 0x05B0, "maps/mp/alien/_pillage" },
    { 0x05B1, "maps/mp/alien/_prestige" },
    { 0x05B2, "maps/mp/alien/_progression" },
    { 0x05B3, "maps/mp/alien/_spawn_director" },
    { 0x05B4, "maps/mp/alien/_spawnlogic" },
    { 0x05B5, "maps/mp/alien/_switchblade_alien" },
    { 0x05B6, "maps/mp/alien/_trap" },
    { 0x05B7, "maps/mp/alien/_unlock" },
    { 0x05B8, "maps/mp/alien/_utility" },
    { 0x05B9, "maps/mp/gametypes/_battlebuddy" },
    { 0x05BA, "maps/mp/gametypes/_battlechatter_mp" },
    { 0x05BB, "maps/mp/gametypes/_callbacksetup" },
    { 0x05BC, "maps/mp/gametypes/_class" },
    { 0x05BD, "maps/mp/gametypes/_clientids" },
    { 0x05BE, "maps/mp/gametypes/_damage" },
    { 0x05BF, "maps/mp/gametypes/_damagefeedback" },
    { 0x05C0, "maps/mp/gametypes/_deathicons" },
    { 0x05C1, "maps/mp/gametypes/_dev" },
    { 0x05C2, "maps/mp/gametypes/_door" },
    { 0x05C3, "maps/mp/gametypes/_friendicons" },
    { 0x05C4, "maps/mp/gametypes/_gamelogic" },
    { 0x05C5, "maps/mp/gametypes/_gameobjects" },
    { 0x05C6, "maps/mp/gametypes/_gamescore" },
    { 0x05C7, "maps/mp/gametypes/_globalentities" },
    { 0x05C8, "maps/mp/gametypes/_globallogic" },
    { 0x05C9, "maps/mp/gametypes/_hardpoints" },
    { 0x05CA, "maps/mp/gametypes/_healthoverlay" },
    { 0x05CB, "maps/mp/gametypes/_horde_crates" },
    { 0x05CC, "maps/mp/gametypes/_horde_laststand" },
    { 0x05CD, "maps/mp/gametypes/_horde_util" },
    { 0x05CE, "maps/mp/gametypes/_hostmigration" },
    { 0x05CF, "maps/mp/gametypes/_hud" },
    { 0x05D0, "maps/mp/gametypes/_hud_message" },
    { 0x05D1, "maps/mp/gametypes/_hud_util" },
    { 0x05D2, "maps/mp/gametypes/_intel" },
    { 0x05D3, "maps/mp/gametypes/_intelchallenges" },
    { 0x05D4, "maps/mp/gametypes/_killcam" },
    { 0x05D5, "maps/mp/gametypes/_menus" },
    { 0x05D6, "maps/mp/gametypes/_missions" },
    { 0x05D7, "maps/mp/gametypes/_music_and_dialog" },
    { 0x05D8, "maps/mp/gametypes/_objpoints" },
    { 0x05D9, "maps/mp/gametypes/_outline" },
    { 0x05DA, "maps/mp/gametypes/_persistence" },
    { 0x05DB, "maps/mp/gametypes/_playercards" },
    { 0x05DC, "maps/mp/gametypes/_playerlogic" },
    { 0x05DD, "maps/mp/gametypes/_rank" },
    { 0x05DE, "maps/mp/gametypes/_serversettings" },
    { 0x05DF, "maps/mp/gametypes/_shellshock" },
    { 0x05E0, "maps/mp/gametypes/_spawnfactor" },
    { 0x05E1, "maps/mp/gametypes/_spawnlogic" },
    { 0x05E2, "maps/mp/gametypes/_spawnscoring" },
    { 0x05E3, "maps/mp/gametypes/_spectating" },
    { 0x05E4, "maps/mp/gametypes/_teams" },
    { 0x05E5, "maps/mp/gametypes/_trophy_system" },
    { 0x05E6, "maps/mp/gametypes/_tweakables" },
    { 0x05E7, "maps/mp/gametypes/_weapons" },
    { 0x05E8, "maps/mp/killstreaks/_a10" },
    { 0x05E9, "maps/mp/killstreaks/_aalauncher" },
    { 0x05EA, "maps/mp/killstreaks/_aamissile" },
    { 0x05EB, "maps/mp/killstreaks/_aastrike" },
    { 0x05EC, "maps/mp/killstreaks/_ac130" },
    { 0x05ED, "maps/mp/killstreaks/_agent_killstreak" },
    { 0x05EE, "maps/mp/killstreaks/_air_superiority" },
    { 0x05EF, "maps/mp/killstreaks/_airdrop" },
    { 0x05F0, "maps/mp/killstreaks/_airstrike" },
    { 0x05F1, "maps/mp/killstreaks/_autosentry" },
    { 0x05F2, "maps/mp/killstreaks/_autoshotgun" },
    { 0x05F3, "maps/mp/killstreaks/_ball_drone" },
    { 0x05F4, "maps/mp/killstreaks/_deployablebox" },
    { 0x05F5, "maps/mp/killstreaks/_deployablebox_ammo" },
    { 0x05F6, "maps/mp/killstreaks/_deployablebox_grenades" },
    { 0x05F7, "maps/mp/killstreaks/_deployablebox_gun" },
    { 0x05F8, "maps/mp/killstreaks/_deployablebox_juicebox" },
    { 0x05F9, "maps/mp/killstreaks/_deployablebox_vest" },
    { 0x05FA, "maps/mp/killstreaks/_designator_grenade" },
    { 0x05FB, "maps/mp/killstreaks/_dog_killstreak" },
    { 0x05FC, "maps/mp/killstreaks/_dronehive" },
    { 0x05FD, "maps/mp/killstreaks/_emp" },
    { 0x05FE, "maps/mp/killstreaks/_emp_common" },
    { 0x05FF, "maps/mp/killstreaks/_escortairdrop" },
    { 0x0600, "maps/mp/killstreaks/_flares" },
    { 0x0601, "maps/mp/killstreaks/_gas_airstrike" },
    { 0x0602, "maps/mp/killstreaks/_harrier" },
    { 0x0603, "maps/mp/killstreaks/_helicopter" },
    { 0x0604, "maps/mp/killstreaks/_helicopter_flock" },
    { 0x0605, "maps/mp/killstreaks/_helicopter_guard" },
    { 0x0606, "maps/mp/killstreaks/_helicopter_pilot" },
    { 0x0607, "maps/mp/killstreaks/_helisniper" },
    { 0x0608, "maps/mp/killstreaks/_highvaluetarget" },
    { 0x0609, "maps/mp/killstreaks/_ims" },
    { 0x060A, "maps/mp/killstreaks/_jammer" },
    { 0x060B, "maps/mp/killstreaks/_juggernaut" },
    { 0x060C, "maps/mp/killstreaks/_killstreaks" },
    { 0x060D, "maps/mp/killstreaks/_killstreaks_init" },
    { 0x060E, "maps/mp/killstreaks/_lasedstrike" },
    { 0x060F, "maps/mp/killstreaks/_mobilemortar" },
    { 0x0610, "maps/mp/killstreaks/_mrsiartillery" },
    { 0x0611, "maps/mp/killstreaks/_nuke" },
    { 0x0612, "maps/mp/killstreaks/_odin" },
    { 0x0613, "maps/mp/killstreaks/_perkstreaks" },
    { 0x0614, "maps/mp/killstreaks/_placeable" },
    { 0x0615, "maps/mp/killstreaks/_placeable_barrier" },
    { 0x0616, "maps/mp/killstreaks/_plane" },
    { 0x0617, "maps/mp/killstreaks/_portableaoegenerator" },
    { 0x0618, "maps/mp/killstreaks/_remotemissile" },
    { 0x0619, "maps/mp/killstreaks/_remotemortar" },
    { 0x061A, "maps/mp/killstreaks/_remotetank" },
    { 0x061B, "maps/mp/killstreaks/_remoteturret" },
    { 0x061C, "maps/mp/killstreaks/_remoteuav" },
    { 0x061D, "maps/mp/killstreaks/_tank" },
    { 0x061E, "maps/mp/killstreaks/_teamammorefill" },
    { 0x061F, "maps/mp/killstreaks/_uav" },
    { 0x0620, "maps/mp/killstreaks/_uplink" },
    { 0x0621, "maps/mp/killstreaks/_vanguard" },
    { 0x0622, "maps/mp/perks/_abilities" },
    { 0x0623, "maps/mp/perks/_perkfunctions" },
    { 0x0624, "maps/mp/perks/_perks" },
    { 0x0625, "__smangles" },
    { 0x0626, "__smid" },
    { 0x0627, "__smname" },
    { 0x0628, "__smorigin" },
    { 0x0629, "_add_as_apache_target_on_spawn_iternal" },
    { 0x062A, "_ai_delete" },
    { 0x062B, "_ai_group" },
    { 0x062C, "_ai_health" },
    { 0x062D, "_aliveplayers" },
    { 0x062E, "_allies" },
    { 0x062F, "_allies_swim" },
    { 0x0630, "_ally" },
    { 0x0631, "_ally_aim_closer_set_anim_weight" },
    { 0x0632, "_ally_dist" },
    { 0x0633, "_ally_get_pitch_down_aim_weight" },
    { 0x0634, "_ally_get_pitch_up_aim_weight" },
    { 0x0635, "_ally_get_yaw_left_aim_weight" },
    { 0x0636, "_ally_get_yaw_right_aim_weight" },
    { 0x0637, "_ally_is_current_volume" },
    { 0x0638, "_ally_set_last_volume" },
    { 0x0639, "_ally_transition_to_weight" },
    { 0x063A, "_ally_trigs" },
    { 0x063B, "_anim" },
    { 0x063C, "_anim_node" },
    { 0x063D, "_animactive" },
    { 0x063E, "_anime" },
    { 0x063F, "_animmode" },
    { 0x0640, "_animname" },
    { 0x0641, "_array_wait" },
    { 0x0642, "_aud_zip_wind_1" },
    { 0x0643, "_audio" },
    { 0x0644, "_audio_trigger" },
    { 0x0645, "_autosave_game_now" },
    { 0x0646, "_autosave_game_now_nochecks" },
    { 0x0647, "_autosave_game_now_notrestart" },
    { 0x0648, "_autosave_stealthcheck" },
    { 0x0649, "_autosave_stealthcheck_nml" },
    { 0x064A, "_battlechatter_off" },
    { 0x064B, "_battlechatter_on" },
    { 0x064C, "_beginlocationselection" },
    { 0x064D, "_boss" },
    { 0x064E, "_box_setactivehelper" },
    { 0x064F, "_bravo" },
    { 0x0650, "_clearalltextafterhudelem" },
    { 0x0651, "_clearperks" },
    { 0x0652, "_col" },
    { 0x0653, "_color" },
    { 0x0654, "_color_friendly_spawners" },
    { 0x0655, "_color_ng" },
    { 0x0656, "_colors_go_line" },
    { 0x0657, "_command" },
    { 0x0658, "_createfx" },
    { 0x0659, "_current_goal_volume" },
    { 0x065A, "_current_index" },
    { 0x065B, "_custom_anim" },
    { 0x065C, "_custom_anim_loop" },
    { 0x065D, "_custom_anim_thread" },
    { 0x065E, "_death_anims" },
    { 0x065F, "_delay" },
    { 0x0660, "_destroy" },
    { 0x0661, "_destructible_preanims" },
    { 0x0662, "_destructible_preanimtree" },
    { 0x0663, "_detachall" },
    { 0x0664, "_disableoffhandweapons" },
    { 0x0665, "_disableusability" },
    { 0x0666, "_disableweapon" },
    { 0x0667, "_disableweaponswitch" },
    { 0x0668, "_dmg" },
    { 0x0669, "_dog_guard" },
    { 0x066A, "_dog_too_close_to_owner" },
    { 0x066B, "_domflageffect" },
    { 0x066C, "_effect" },
    { 0x066D, "_effect_keys" },
    { 0x066E, "_effecttype" },
    { 0x066F, "_enableoffhandweapons" },
    { 0x0670, "_enableusability" },
    { 0x0671, "_enableweapon" },
    { 0x0672, "_enableweaponswitch" },
    { 0x0673, "_end" },
    { 0x0674, "_end_swim" },
    { 0x0675, "_end_wreck" },
    { 0x0676, "_endbeach" },
    { 0x0677, "_enemies" },
    { 0x0678, "_enemy" },
    { 0x0679, "_enemy_num" },
    { 0x067A, "_engine_room" },
    { 0x067B, "_essential_part" },
    { 0x067C, "_exfil" },
    { 0x067D, "_exfil_heli" },
    { 0x067E, "_exit_menu" },
    { 0x067F, "_explosion_fquakepower" },
    { 0x0680, "_explosion_iblastradius" },
    { 0x0681, "_explosion_idamagemax" },
    { 0x0682, "_explosion_idamagemin" },
    { 0x0683, "_explosion_imaxrange" },
    { 0x0684, "_explosion_iminrange" },
    { 0x0685, "_explosion_iquakeradius" },
    { 0x0686, "_explosion_iquaketime" },
    { 0x0687, "_explosion_last_incoming" },
    { 0x0688, "_explosion_last_sound" },
    { 0x0689, "_extra_autosave_checks" },
    { 0x068A, "_findunobstructedfiringpointhelper" },
    { 0x068B, "_fire" },
    { 0x068C, "_fire_damage_ent" },
    { 0x068D, "_fire_suppression" },
    { 0x068E, "_fires" },
    { 0x068F, "_firework_large" },
    { 0x0690, "_firework_sunlight" },
    { 0x0691, "_firework_wait" },
    { 0x0692, "_fireworks_cleanup" },
    { 0x0693, "_fireworks_internal" },
    { 0x0694, "_fireworks_meteor_internal" },
    { 0x0695, "_first_frame_anim" },
    { 0x0696, "_flag_wait_trigger" },
    { 0x0697, "_flags" },
    { 0x0698, "_flarestack" },
    { 0x0699, "_force_kill" },
    { 0x069A, "_freevehicle" },
    { 0x069B, "_fx" },
    { 0x069C, "_get_dummy" },
    { 0x069D, "_get_guard_node_behind_player" },
    { 0x069E, "_get_location_sunlight" },
    { 0x069F, "_get_player_tank_target" },
    { 0x06A0, "_getplayerdata" },
    { 0x06A1, "_getplayerscore" },
    { 0x06A2, "_getradarstrength" },
    { 0x06A3, "_getteamscore" },
    { 0x06A4, "_getvehiclespawnerarray" },
    { 0x06A5, "_getvehiclespawnerarray_by_spawngroup" },
    { 0x06A6, "_giveweapon" },
    { 0x06A7, "_global_fx_ents" },
    { 0x06A8, "_globals" },
    { 0x06A9, "_gopath" },
    { 0x06AA, "_hangar" },
    { 0x06AB, "_hasperk" },
    { 0x06AC, "_health_death" },
    { 0x06AD, "_heli_ai_pre_move_func_internal" },
    { 0x06AE, "_hint" },
    { 0x06AF, "_hint_stick_get_config_suffix" },
    { 0x06B0, "_hint_stick_update_breakfunc" },
    { 0x06B1, "_hint_stick_update_string" },
    { 0x06B2, "_ignore_settings_old" },
    { 0x06B3, "_index" },
    { 0x06B4, "_init" },
    { 0x06B5, "_interactive" },
    { 0x06B6, "_is_godmode" },
    { 0x06B7, "_isairplane" },
    { 0x06B8, "_ishelicopter" },
    { 0x06B9, "_kill_fx" },
    { 0x06BA, "_lastanimtime" },
    { 0x06BB, "_lastwave" },
    { 0x06BC, "_lc" },
    { 0x06BD, "_lc_persists" },
    { 0x06BE, "_lever_col" },
    { 0x06BF, "_linked_triggers" },
    { 0x06C0, "_loadstarted" },
    { 0x06C1, "_max_ai" },
    { 0x06C2, "_max_script_health" },
    { 0x06C3, "_mgoff" },
    { 0x06C4, "_mgon" },
    { 0x06C5, "_missile_cleanup_fake_target" },
    { 0x06C6, "_missile_earthquake" },
    { 0x06C7, "_missile_start_lockon_notify" },
    { 0x06C8, "_missing_fx" },
    { 0x06C9, "_mount_snowmobile" },
    { 0x06CA, "_nextcoverprint" },
    { 0x06CB, "_nextmission" },
    { 0x06CC, "_notetrackfx" },
    { 0x06CD, "_num_ai" },
    { 0x06CE, "_objective_delete" },
    { 0x06CF, "_old_goalradius" },
    { 0x06D0, "_patrol_endon_spotted_flag" },
    { 0x06D1, "_pick_best_node_behind_owner" },
    { 0x06D2, "_pick_best_node_heeled_by_owner" },
    { 0x06D3, "_pipe_deck" },
    { 0x06D4, "_pipe_fx_time" },
    { 0x06D5, "_pipe_methods" },
    { 0x06D6, "_pipes" },
    { 0x06D7, "_playlocalsound" },
    { 0x06D8, "_precache" },
    { 0x06D9, "_radio_queue" },
    { 0x06DA, "_refinery" },
    { 0x06DB, "_remote_turrets" },
    { 0x06DC, "_remoteturret_loc_table" },
    { 0x06DD, "_remove_nodes_too_close" },
    { 0x06DE, "_restorepreviousnameplatematerial" },
    { 0x06DF, "_retreat_current_volumes" },
    { 0x06E0, "_retreat_final" },
    { 0x06E1, "_retreat_standby" },
    { 0x06E2, "_retreat_trigs" },
    { 0x06E3, "_retreat_volumes_list" },
    { 0x06E4, "_rpl_legs_is_diagonal" },
    { 0x06E5, "_rpl_legs_is_horizontal" },
    { 0x06E6, "_sat" },
    { 0x06E7, "_script_exploders" },
    { 0x06E8, "_scripted_spawn" },
    { 0x06E9, "_set_anim_time" },
    { 0x06EA, "_setactionslot" },
    { 0x06EB, "_setextraperks" },
    { 0x06EC, "_sethighestmissionifnotcheating" },
    { 0x06ED, "_setmissiondiffstringifnotcheating" },
    { 0x06EE, "_setnameplatematerial" },
    { 0x06EF, "_setperk" },
    { 0x06F0, "_setplayerdata" },
    { 0x06F1, "_setplayerscore" },
    { 0x06F2, "_setswitchnode" },
    { 0x06F3, "_setteamscore" },
    { 0x06F4, "_setup_chair" },
    { 0x06F5, "_setvehgoalpos" },
    { 0x06F6, "_setvehgoalpos_wrap" },
    { 0x06F7, "_setvehgoalposadheretomesh" },
    { 0x06F8, "_sleeves_flap_internal" },
    { 0x06F9, "_sleeves_idle" },
    { 0x06FA, "_slomo_breach_blowback_guy" },
    { 0x06FB, "_slomo_breach_c4_hostage" },
    { 0x06FC, "_slomo_breach_chair_guy_animated" },
    { 0x06FD, "_slomo_breach_chair_guy_normal" },
    { 0x06FE, "_slomo_breach_desk_guy" },
    { 0x06FF, "_slomo_breach_executed_guy" },
    { 0x0700, "_slomo_breach_executed_guy_pushed_to_floor" },
    { 0x0701, "_slomo_breach_executioner_knife" },
    { 0x0702, "_slomo_breach_executioner_pistol" },
    { 0x0703, "_slomo_breach_fightback_guy" },
    { 0x0704, "_slomo_breach_hostage_react" },
    { 0x0705, "_slomo_breach_knife_charger" },
    { 0x0706, "_slomo_breach_knife_hostage_death" },
    { 0x0707, "_slomo_breach_pistol_guy" },
    { 0x0708, "_slowmo_breach_funcs" },
    { 0x0709, "_slowmo_functions" },
    { 0x070A, "_sound" },
    { 0x070B, "_source" },
    { 0x070C, "_source_base" },
    { 0x070D, "_spawner_mg42_think" },
    { 0x070E, "_spawner_stealth_default" },
    { 0x070F, "_spawner_stealth_dog" },
    { 0x0710, "_start" },
    { 0x0711, "_stealth" },
    { 0x0712, "_stealth_move_detection_cap" },
    { 0x0713, "_suicide" },
    { 0x0714, "_tag_entity" },
    { 0x0715, "_takeweaponsexcept" },
    { 0x0716, "_takeweaponsexceptlist" },
    { 0x0717, "_tanks" },
    { 0x0718, "_target" },
    { 0x0719, "_target_vols" },
    { 0x071A, "_thruster_ents" },
    { 0x071B, "_thruster_rig" },
    { 0x071C, "_timeout" },
    { 0x071D, "_timeout_pause_on_death_and_prematch" },
    { 0x071E, "_train" },
    { 0x071F, "_traverses" },
    { 0x0720, "_trigger_handle_triggering" },
    { 0x0721, "_turn_off_spec_sun_lerp" },
    { 0x0722, "_turn_on_spec_sun_lerp" },
    { 0x0723, "_unsetextraperks" },
    { 0x0724, "_unsetperk" },
    { 0x0725, "_up" },
    { 0x0726, "_updateenemyusable" },
    { 0x0727, "_updateteamusable" },
    { 0x0728, "_useperkenabled" },
    { 0x0729, "_validateattacker" },
    { 0x072A, "_vehicle_badplace" },
    { 0x072B, "_vehicle_effect" },
    { 0x072C, "_vehicle_is_crashing" },
    { 0x072D, "_vehicle_landvehicle" },
    { 0x072E, "_vehicle_paths" },
    { 0x072F, "_vehicle_resume_named" },
    { 0x0730, "_vehicle_spawn" },
    { 0x0731, "_vehicle_stop_named" },
    { 0x0732, "_vehicle_unload" },
    { 0x0733, "_vehicles" },
    { 0x0734, "_vignette_active" },
    { 0x0735, "_vision_sets_active" },
    { 0x0736, "_vols" },
    { 0x0737, "_wait" },
    { 0x0738, "_walkway_brush" },
    { 0x0739, "_walkway_brush_node" },
    { 0x073A, "_wavedelay" },
    { 0x073B, "_waveplayerspawnindex" },
    { 0x073C, "_window_imp" },
    { 0x073D, "a" },
    { 0x073E, "a10_30mm_fire" },
    { 0x073F, "a10_allies_target_logic" },
    { 0x0740, "a10_ambient_clouds" },
    { 0x0741, "a10_and_mig_scene" },
    { 0x0742, "a10_balcony_strafe_physics" },
    { 0x0743, "a10_bridge_strike" },
    { 0x0744, "a10_cockpit_breathing" },
    { 0x0745, "a10_crash_approach" },
    { 0x0746, "a10_crash_impact" },
    { 0x0747, "a10_create_fake_ai" },
    { 0x0748, "a10_create_fake_player" },
    { 0x0749, "a10_delayed_hint" },
    { 0x074A, "a10_do_shots" },
    { 0x074B, "a10_enable_target" },
    { 0x074C, "a10_endrun_shooting" },
    { 0x074D, "a10_enemies_target_logic" },
    { 0x074E, "a10_explode" },
    { 0x074F, "a10_fake_ai_death" },
    { 0x0750, "a10_fire_hint_func" },
    { 0x0751, "a10_fire_missiles" },
    { 0x0752, "a10_fov_change" },
    { 0x0753, "a10_fov_trig" },
    { 0x0754, "a10_freezebuffer" },
    { 0x0755, "a10_get_player_end_position" },
    { 0x0756, "a10_gun_dives" },
    { 0x0757, "a10_handledamage" },
    { 0x0758, "a10_hint_func" },
    { 0x0759, "a10_hud_ammo_counter" },
    { 0x075A, "a10_hud_connected_pulse" },
    { 0x075B, "a10_hud_grain" },
    { 0x075C, "a10_hud_set_alpha" },
    { 0x075D, "a10_hud_set_altitude" },
    { 0x075E, "a10_hud_set_connection" },
    { 0x075F, "a10_hud_set_coords" },
    { 0x0760, "a10_hud_set_id" },
    { 0x0761, "a10_hud_set_speed" },
    { 0x0762, "a10_inital_fire_check" },
    { 0x0763, "a10_kill_notification" },
    { 0x0764, "a10_lastweapon" },
    { 0x0765, "a10_mechanic_off" },
    { 0x0766, "a10_mechanic_skip_end" },
    { 0x0767, "a10_missile_cleanup" },
    { 0x0768, "a10_missile_dives" },
    { 0x0769, "a10_missile_lockon" },
    { 0x076A, "a10_missile_set_target" },
    { 0x076B, "a10_originalaudiozone" },
    { 0x076C, "a10_player_30mm" },
    { 0x076D, "a10_player_30mm_fire" },
    { 0x076E, "a10_player_aftermission_report" },
    { 0x076F, "a10_player_hit_hudelem" },
    { 0x0770, "a10_player_hit_strafe_vehicles" },
    { 0x0771, "a10_player_hud_cleanup" },
    { 0x0772, "a10_player_init" },
    { 0x0773, "a10_player_init_hud" },
    { 0x0774, "a10_player_kills" },
    { 0x0775, "a10_player_lockon_warning" },
    { 0x0776, "a10_player_shot_think" },
    { 0x0777, "a10_precache" },
    { 0x0778, "a10_remove_target" },
    { 0x0779, "a10_spawn_funcs" },
    { 0x077A, "a10_squadron_friendlyfire_watcher" },
    { 0x077B, "a10_squadron_logic" },
    { 0x077C, "a10_squadron_shoot" },
    { 0x077D, "a10_squadron_tower_crash" },
    { 0x077E, "a10_squadron_tower_crash_flares_warthog" },
    { 0x077F, "a10_squadron_tower_crash_missile" },
    { 0x0780, "a10_strafe_cleanup" },
    { 0x0781, "a10_strafe_get_location_spawner" },
    { 0x0782, "a10_strafe_groups" },
    { 0x0783, "a10_strafe_impact" },
    { 0x0784, "a10_strafe_impact_earthquake" },
    { 0x0785, "a10_strafe_impacts" },
    { 0x0786, "a10_strafe_mechanic" },
    { 0x0787, "a10_strafe_respotioning" },
    { 0x0788, "a10_strafe_respotioning_dialogue" },
    { 0x0789, "a10_strafe_run" },
    { 0x078A, "a10_strafe_run_cheap" },
    { 0x078B, "a10_strafe_use_nag" },
    { 0x078C, "a10_target_logic" },
    { 0x078D, "a10_targeting_think" },
    { 0x078E, "a10_targeting_watcher" },
    { 0x078F, "a10_uses" },
    { 0x0790, "a10_vehicle_target_logic" },
    { 0x0791, "a10_vista_strafe_group" },
    { 0x0792, "a10_vista_strafe_group_delete" },
    { 0x0793, "a10_vista_strafe_mig" },
    { 0x0794, "a10_wait_fire_missile" },
    { 0x0795, "a10_wait_start_firing" },
    { 0x0796, "a10_wait_stop_firing" },
    { 0x0797, "a10_warthog_strafe" },
    { 0x0798, "a10endposition" },
    { 0x0799, "a10fakeplayer" },
    { 0x079A, "a10splinesin" },
    { 0x079B, "a10splinesout" },
    { 0x079C, "a10strafeactive" },
    { 0x079D, "a1_patrol_1_setup" },
    { 0x079E, "a_bad_guys" },
    { 0x079F, "a_c" },
    { 0x07A0, "a_debris" },
    { 0x07A1, "a_globals" },
    { 0x07A2, "a_guys" },
    { 0x07A3, "a_rel" },
    { 0x07A4, "aa_add_event" },
    { 0x07A5, "aa_add_event_float" },
    { 0x07A6, "aa_init_stats" },
    { 0x07A7, "aa_missile_fire" },
    { 0x07A8, "aa_player_ads_tracking" },
    { 0x07A9, "aa_player_attacks_enemy_with_ads" },
    { 0x07AA, "aa_player_health_tracking" },
    { 0x07AB, "aa_print_vals" },
    { 0x07AC, "aa_should_start_fresh" },
    { 0x07AD, "aa_time_tracking" },
    { 0x07AE, "aa_update_flags" },
    { 0x07AF, "aalauncherammo" },
    { 0x07B0, "aamissilelaunchhorz" },
    { 0x07B1, "aamissilelaunchtargetdist" },
    { 0x07B2, "aamissilelaunchvert" },
    { 0x07B3, "aammissilelaunchtargetdist" },
    { 0x07B4, "aas_guys_spawn_logic" },
    { 0x07B5, "aas_think" },
    { 0x07B6, "aasoundmanager" },
    { 0x07B7, "abanglecutoff" },
    { 0x07B8, "abilitychosen" },
    { 0x07B9, "abilitymaxval" },
    { 0x07BA, "abort" },
    { 0x07BB, "abort_attack_requested" },
    { 0x07BC, "abort_count" },
    { 0x07BD, "abort_wait_any_func_array" },
    { 0x07BE, "abortapproachifthreatened" },
    { 0x07BF, "abortlevel" },
    { 0x07C0, "abortreloadwhencanshoot" },
    { 0x07C1, "abouttobebreached" },
    { 0x07C2, "above_water_start_setup" },
    { 0x07C3, "absangleclamp180" },
    { 0x07C4, "absolute" },
    { 0x07C5, "absyawtoangles" },
    { 0x07C6, "absyawtoenemy" },
    { 0x07C7, "absyawtoenemy2d" },
    { 0x07C8, "absyawtoorigin" },
    { 0x07C9, "ac130" },
    { 0x07CA, "ac130_altscene" },
    { 0x07CB, "ac130_attack_random" },
    { 0x07CC, "ac130_attacked_player_count" },
    { 0x07CD, "ac130_constant_target" },
    { 0x07CE, "ac130_direct_attack_path" },
    { 0x07CF, "ac130_final_life" },
    { 0x07D0, "ac130_flood_respawn" },
    { 0x07D1, "ac130_kill_player" },
    { 0x07D2, "ac130_last_105_fire_time" },
    { 0x07D3, "ac130_magic_105" },
    { 0x07D4, "ac130_magic_105_fake" },
    { 0x07D5, "ac130_magic_105_impact" },
    { 0x07D6, "ac130_magic_bullet" },
    { 0x07D7, "ac130_magic_bullet_fake" },
    { 0x07D8, "ac130_magic_bullet_splash" },
    { 0x07D9, "ac130_missile_defense_init" },
    { 0x07DA, "ac130_missile_take_hit" },
    { 0x07DB, "ac130_num_flares" },
    { 0x07DC, "ac130_spawn" },
    { 0x07DD, "ac130_speed" },
    { 0x07DE, "ac130_use_duration" },
    { 0x07DF, "ac130gunner" },
    { 0x07E0, "ac130inuse" },
    { 0x07E1, "ac130player" },
    { 0x07E2, "ac130queue" },
    { 0x07E3, "ac130shellshock" },
    { 0x07E4, "ac_130" },
    { 0x07E5, "accaracy_mod" },
    { 0x07E6, "accel" },
    { 0x07E7, "accel_factor" },
    { 0x07E8, "accel_time" },
    { 0x07E9, "acceleration" },
    { 0x07EA, "acceleration_fov" },
    { 0x07EB, "accessory" },
    { 0x07EC, "accn" },
    { 0x07ED, "accumulated_damage" },
    { 0x07EE, "accuracy_ally" },
    { 0x07EF, "accuracy_enemy" },
    { 0x07F0, "accuracygrowthmultiplier" },
    { 0x07F1, "accuracystationarymod" },
    { 0x07F2, "achieve_birdie" },
    { 0x07F3, "achieve_downed_kills" },
    { 0x07F4, "achieve_jack_the_ripper" },
    { 0x07F5, "achieve_serrated_edge" },
    { 0x07F6, "achieve_slowmo_breach_kills" },
    { 0x07F7, "achieve_strike" },
    { 0x07F8, "achievement" },
    { 0x07F9, "achievement_attacker" },
    { 0x07FA, "achievement_completed" },
    { 0x07FB, "achievement_list" },
    { 0x07FC, "achievement_registration_func" },
    { 0x07FD, "acquiregroundtarget" },
    { 0x07FE, "acquireminitarget" },
    { 0x07FF, "acquiretarget" },
    { 0x0800, "acquirevehicletarget" },
    { 0x0801, "action_back" },
    { 0x0802, "action_func" },
    { 0x0803, "action_gears" },
    { 0x0804, "action_killstreak" },
    { 0x0805, "action_leaderboards" },
    { 0x0806, "action_thread" },
    { 0x0807, "action_weapons_primary" },
    { 0x0808, "action_weapons_secondary" },
    { 0x0809, "actionbinds" },
    { 0x080A, "actionnotify" },
    { 0x080B, "actionnotifymessage" },
    { 0x080C, "actionslotenabled" },
    { 0x080D, "actionslots" },
    { 0x080E, "activate" },
    { 0x080F, "activate_angered_state" },
    { 0x0810, "activate_avoid_minion_exp" },
    { 0x0811, "activate_clientside_exploder" },
    { 0x0812, "activate_color_code_internal" },
    { 0x0813, "activate_color_trigger" },
    { 0x0814, "activate_color_trigger_internal" },
    { 0x0815, "activate_destructibles_in_volume" },
    { 0x0816, "activate_exploder" },
    { 0x0817, "activate_exploders_in_volume" },
    { 0x0818, "activate_firework" },
    { 0x0819, "activate_fireworks_exploder" },
    { 0x081A, "activate_health_regen" },
    { 0x081B, "activate_health_regen_shield" },
    { 0x081C, "activate_individual_exploder" },
    { 0x081D, "activate_individual_exploder_proc" },
    { 0x081E, "activate_individual_fireworks_exploder" },
    { 0x081F, "activate_interactives_in_volume" },
    { 0x0820, "activate_kill_10_in_30" },
    { 0x0821, "activate_kill_10_with_propane" },
    { 0x0822, "activate_kill_10_with_traps" },
    { 0x0823, "activate_kill_10_with_turrets" },
    { 0x0824, "activate_kill_airborne_aliens" },
    { 0x0825, "activate_kill_leper" },
    { 0x0826, "activate_melee_goons" },
    { 0x0827, "activate_melee_only" },
    { 0x0828, "activate_melee_spitter" },
    { 0x0829, "activate_mortar" },
    { 0x082A, "activate_nerf" },
    { 0x082B, "activate_new_challenge" },
    { 0x082C, "activate_no_abilities" },
    { 0x082D, "activate_no_reloads" },
    { 0x082E, "activate_percent_accuracy" },
    { 0x082F, "activate_protect_a_player" },
    { 0x0830, "activate_riders" },
    { 0x0831, "activate_rotunda_fight" },
    { 0x0832, "activate_spawn_event" },
    { 0x0833, "activate_spend_currency" },
    { 0x0834, "activate_spend_money_progress" },
    { 0x0835, "activate_spend_no_money" },
    { 0x0836, "activate_stay_prone" },
    { 0x0837, "activate_stay_within_area" },
    { 0x0838, "activate_trig_if_not_flag" },
    { 0x0839, "activate_trigger" },
    { 0x083A, "activate_trigger_process" },
    { 0x083B, "activate_trigger_with_noteworthy" },
    { 0x083C, "activate_trigger_with_targetname" },
    { 0x083D, "activate_use_weapon_challenge" },
    { 0x083E, "activateagent" },
    { 0x083F, "activated" },
    { 0x0840, "activated_color_trigger" },
    { 0x0841, "activated_nerfs" },
    { 0x0842, "activatefunc" },
    { 0x0843, "activateratio" },
    { 0x0844, "activatetime" },
    { 0x0845, "activateweapon" },
    { 0x0846, "activation_notify" },
    { 0x0847, "activation_time" },
    { 0x0848, "activation_trig" },
    { 0x0849, "active_button" },
    { 0x084A, "active_deployables" },
    { 0x084B, "active_force_dog_talk" },
    { 0x084C, "active_mode" },
    { 0x084D, "active_objective" },
    { 0x084E, "active_odin" },
    { 0x084F, "active_rope" },
    { 0x0850, "active_teargas" },
    { 0x0851, "active_turrets" },
    { 0x0852, "active_wait_spread" },
    { 0x0853, "activebreaks" },
    { 0x0854, "activecount" },
    { 0x0855, "activecounteruavs" },
    { 0x0856, "activefriendlyspawn" },
    { 0x0857, "activegrenadetimer" },
    { 0x0858, "activenodes" },
    { 0x0859, "activeoperations" },
    { 0x085A, "activeplayers" },
    { 0x085B, "activesfx" },
    { 0x085C, "activeuavs" },
    { 0x085D, "actor_teleport" },
    { 0x085E, "actor_use_water_when_moving" },
    { 0x085F, "actors" },
    { 0x0860, "actual_health" },
    { 0x0861, "actuator_click_wait" },
    { 0x0862, "adam" },
    { 0x0863, "add_abort" },
    { 0x0864, "add_actor_danger_listeners" },
    { 0x0865, "add_agents_to_game" },
    { 0x0866, "add_and_select_entity" },
    { 0x0867, "add_animation" },
    { 0x0868, "add_animsound" },
    { 0x0869, "add_array_to_destructible" },
    { 0x086A, "add_as_apache_target_on_spawn" },
    { 0x086B, "add_as_apaches_target" },
    { 0x086C, "add_attachment_to_weapon" },
    { 0x086D, "add_back_links_for_neighbors" },
    { 0x086E, "add_bcs_location_mapping" },
    { 0x086F, "add_beacon_effect" },
    { 0x0870, "add_breach_func" },
    { 0x0871, "add_breach_target" },
    { 0x0872, "add_button" },
    { 0x0873, "add_c4_glow" },
    { 0x0874, "add_c4_to_spot" },
    { 0x0875, "add_call" },
    { 0x0876, "add_care_package" },
    { 0x0877, "add_cellphone_notetracks" },
    { 0x0878, "add_cleanup_ent" },
    { 0x0879, "add_collision_offsets_to_path_ent" },
    { 0x087A, "add_collision_to_path" },
    { 0x087B, "add_collision_to_path_ent" },
    { 0x087C, "add_context_sensative_dialog" },
    { 0x087D, "add_context_sensative_timeout" },
    { 0x087E, "add_contrail" },
    { 0x087F, "add_coop_scene_models" },
    { 0x0880, "add_cover_node" },
    { 0x0881, "add_cycle_scalar" },
    { 0x0882, "add_dam_vignette_hud_overlay" },
    { 0x0883, "add_damage_function" },
    { 0x0884, "add_damage_owner_recorder" },
    { 0x0885, "add_damagefeedback" },
    { 0x0886, "add_dead_enemy_clip" },
    { 0x0887, "add_debug_dialogue" },
    { 0x0888, "add_destructible_fx" },
    { 0x0889, "add_destructible_to_frame_queue" },
    { 0x088A, "add_destructible_type_function" },
    { 0x088B, "add_destructible_type_transient" },
    { 0x088C, "add_dialogue_line" },
    { 0x088D, "add_dialogue_line_timed" },
    { 0x088E, "add_earthquake" },
    { 0x088F, "add_endon" },
    { 0x0890, "add_ent_objective_to_compass" },
    { 0x0891, "add_extra_autosave_check" },
    { 0x0892, "add_fire" },
    { 0x0893, "add_fire_fx" },
    { 0x0894, "add_fractional_data_point" },
    { 0x0895, "add_func" },
    { 0x0896, "add_fx" },
    { 0x0897, "add_global_spawn_function" },
    { 0x0898, "add_headlamp" },
    { 0x0899, "add_hint_background" },
    { 0x089A, "add_hint_string" },
    { 0x089B, "add_hive_dependencies" },
    { 0x089C, "add_hud_line" },
    { 0x089D, "add_hudelm_position_internal" },
    { 0x089E, "add_humanoid_agent" },
    { 0x089F, "add_ice_radius" },
    { 0x08A0, "add_in_more_allies" },
    { 0x08A1, "add_jav_glow" },
    { 0x08A2, "add_kb_button" },
    { 0x08A3, "add_key" },
    { 0x08A4, "add_key_to_destructible" },
    { 0x08A5, "add_keypairs_to_destructible" },
    { 0x08A6, "add_large_firework" },
    { 0x08A7, "add_lcs_target" },
    { 0x08A8, "add_light_to_actor" },
    { 0x08A9, "add_magic_bullet_shield_if_off" },
    { 0x08AA, "add_meteor_firework" },
    { 0x08AB, "add_name" },
    { 0x08AC, "add_no_game_starts" },
    { 0x08AD, "add_node_to_global_arrays" },
    { 0x08AE, "add_noself_call" },
    { 0x08AF, "add_notetrack_and_get_index" },
    { 0x08B0, "add_notetrack_array" },
    { 0x08B1, "add_option_to_selected_entities" },
    { 0x08B2, "add_path_node" },
    { 0x08B3, "add_path_start_and_end_refs" },
    { 0x08B4, "add_pet_bombs_to_pillage_system" },
    { 0x08B5, "add_proccess_trigger" },
    { 0x08B6, "add_quake_scriptable" },
    { 0x08B7, "add_random_killspawner_to_spawngroup" },
    { 0x08B8, "add_reactive_fx" },
    { 0x08B9, "add_reverb" },
    { 0x08BA, "add_scene_model" },
    { 0x08BB, "add_sit_load_ak_notetracks" },
    { 0x08BC, "add_slowmo_breach_custom_function" },
    { 0x08BD, "add_slowmo_breacher" },
    { 0x08BE, "add_small_firework" },
    { 0x08BF, "add_smoking_notetracks" },
    { 0x08C0, "add_spawn_function" },
    { 0x08C1, "add_start" },
    { 0x08C2, "add_start_assert" },
    { 0x08C3, "add_start_construct" },
    { 0x08C4, "add_target" },
    { 0x08C5, "add_target_pivot" },
    { 0x08C6, "add_teargas_cloud_radius" },
    { 0x08C7, "add_terminal_to_second_controlroom" },
    { 0x08C8, "add_to_animsound" },
    { 0x08C9, "add_to_array" },
    { 0x08CA, "add_to_bot_damage_targets" },
    { 0x08CB, "add_to_bot_use_targets" },
    { 0x08CC, "add_to_destroyed_count" },
    { 0x08CD, "add_to_dialogue" },
    { 0x08CE, "add_to_dialogue_generic" },
    { 0x08CF, "add_to_enemygazs_until_dead" },
    { 0x08D0, "add_to_enemytanks_until_dead" },
    { 0x08D1, "add_to_group" },
    { 0x08D2, "add_to_interrupt_vo" },
    { 0x08D3, "add_to_outline_drill_watch_list" },
    { 0x08D4, "add_to_outline_hive_watch_list" },
    { 0x08D5, "add_to_outline_pillage_watch_list" },
    { 0x08D6, "add_to_outline_watch_list" },
    { 0x08D7, "add_to_outline_weapon_watch_list" },
    { 0x08D8, "add_to_queue_at_priority" },
    { 0x08D9, "add_to_radio" },
    { 0x08DA, "add_to_spawngroup" },
    { 0x08DB, "add_to_standby" },
    { 0x08DC, "add_to_thrown_entity_list" },
    { 0x08DD, "add_to_vo_system" },
    { 0x08DE, "add_to_vo_system_internal" },
    { 0x08DF, "add_to_zone" },
    { 0x08E0, "add_tokens_to_trigger_flags" },
    { 0x08E1, "add_trace_fx" },
    { 0x08E2, "add_trace_fx_proc" },
    { 0x08E3, "add_trigger_func_thread" },
    { 0x08E4, "add_trigger_function" },
    { 0x08E5, "add_turret_to_heli" },
    { 0x08E6, "add_valid_evade" },
    { 0x08E7, "add_vol_to_node" },
    { 0x08E8, "add_volume_to_global_arrays" },
    { 0x08E9, "add_wait" },
    { 0x08EA, "add_wait_asserter" },
    { 0x08EB, "add_weapon" },
    { 0x08EC, "add_z" },
    { 0x08ED, "addactioncovermealiasex" },
    { 0x08EE, "addactivecounteruav" },
    { 0x08EF, "addactiveuav" },
    { 0x08F0, "addaieventlistener_func" },
    { 0x08F1, "addairexplosion" },
    { 0x08F2, "addalienagent" },
    { 0x08F3, "addalienweaponammo" },
    { 0x08F4, "addallowedthreatcallout" },
    { 0x08F5, "addallweaponammo" },
    { 0x08F6, "addalternatespawnpoint" },
    { 0x08F7, "addammo" },
    { 0x08F8, "addammoovertime" },
    { 0x08F9, "addasapachehudtarget" },
    { 0x08FA, "addattacker" },
    { 0x08FB, "addawardwinner" },
    { 0x08FC, "addblankiw6" },
    { 0x08FD, "addboxtolevelarray" },
    { 0x08FE, "addcalloutresponseevent" },
    { 0x08FF, "addcastiw" },
    { 0x0900, "addcastname" },
    { 0x0901, "addcenterdual" },
    { 0x0902, "addcenterediw6" },
    { 0x0903, "addcenterheading" },
    { 0x0904, "addcenterimage" },
    { 0x0905, "addcentername" },
    { 0x0906, "addcenternamedouble" },
    { 0x0907, "addcentertriple" },
    { 0x0908, "addcheckfirealias" },
    { 0x0909, "addchild" },
    { 0x090A, "addconcatdirectionalias" },
    { 0x090B, "addconcattargetalias" },
    { 0x090C, "addcratetype" },
    { 0x090D, "addcreditiw6" },
    { 0x090E, "addcreditiw6_3" },
    { 0x090F, "addcreditiw6_3f" },
    { 0x0910, "addcreditiw6_4" },
    { 0x0911, "addcreditliw6" },
    { 0x0912, "addcreditlsubheaderriw6" },
    { 0x0913, "addcreditriw6" },
    { 0x0914, "adddeathicon" },
    { 0x0915, "addedtowave" },
    { 0x0916, "addenemytominimap" },
    { 0x0917, "addentryiw6" },
    { 0x0918, "addfullcliptoallweapons" },
    { 0x0919, "addfunc" },
    { 0x091A, "addgap" },
    { 0x091B, "addgrenadethrowanimoffset" },
    { 0x091C, "addheaderiw6" },
    { 0x091D, "addhostileburstalias" },
    { 0x091E, "addimageiw" },
    { 0x091F, "addinformalias" },
    { 0x0920, "addinformevent" },
    { 0x0921, "addinformreloadingaliasex" },
    { 0x0922, "additionalassets" },
    { 0x0923, "additionalexit_vo" },
    { 0x0924, "additionalsighttraceentities" },
    { 0x0925, "additive_pain" },
    { 0x0926, "additiverotateroot" },
    { 0x0927, "additiveturretdriveidle" },
    { 0x0928, "additiveturretfire" },
    { 0x0929, "additiveturretidle" },
    { 0x092A, "additiveturretrotateleft" },
    { 0x092B, "additiveturretrotateright" },
    { 0x092C, "additiveusegunroot" },
    { 0x092D, "addleftimage" },
    { 0x092E, "addleftname" },
    { 0x092F, "addleftnamename" },
    { 0x0930, "addlefttitle" },
    { 0x0931, "addlefttitlename" },
    { 0x0932, "addlefttitlenamespace" },
    { 0x0933, "addlevel" },
    { 0x0934, "addlevelstoexperience" },
    { 0x0935, "addlightningexploder" },
    { 0x0936, "addlinknode" },
    { 0x0937, "addlockedontarget" },
    { 0x0938, "addlockedontarget_update" },
    { 0x0939, "addlowermessage" },
    { 0x093A, "addmovecombataliasex" },
    { 0x093B, "addmovenoncombataliasex" },
    { 0x093C, "addnamealias" },
    { 0x093D, "addnamealiasex" },
    { 0x093E, "addnameiw" },
    { 0x093F, "addnotetrack_animsound" },
    { 0x0940, "addnotetrack_attach" },
    { 0x0941, "addnotetrack_clockwork" },
    { 0x0942, "addnotetrack_cornered" },
    { 0x0943, "addnotetrack_customfunction" },
    { 0x0944, "addnotetrack_detach" },
    { 0x0945, "addnotetrack_detach_gun" },
    { 0x0946, "addnotetrack_dialogue" },
    { 0x0947, "addnotetrack_flag" },
    { 0x0948, "addnotetrack_flag_clear" },
    { 0x0949, "addnotetrack_notify" },
    { 0x094A, "addnotetrack_playersound" },
    { 0x094B, "addnotetrack_sound" },
    { 0x094C, "addnotetrack_startfxontag" },
    { 0x094D, "addnotetrack_stopfxontag" },
    { 0x094E, "addnotetrack_swapparttoefx" },
    { 0x094F, "addnotetrack_tracepartforefx" },
    { 0x0950, "addofficertosquad" },
    { 0x0951, "addoneweaponammo" },
    { 0x0952, "addonstart_animsound" },
    { 0x0953, "addoption" },
    { 0x0954, "addorderalias" },
    { 0x0955, "addorderevent" },
    { 0x0956, "addpaneltimesarray" },
    { 0x0957, "addplanetolist" },
    { 0x0958, "addplayernamealias" },
    { 0x0959, "addplayertosquad" },
    { 0x095A, "addpossiblethreatcallout" },
    { 0x095B, "addprereq" },
    { 0x095C, "addrankalias" },
    { 0x095D, "addratiomaxstocktoallweapons" },
    { 0x095E, "addreactionalias" },
    { 0x095F, "addreactionevent" },
    { 0x0960, "addrecentdamage" },
    { 0x0961, "addresponsealias" },
    { 0x0962, "addresponseevent" },
    { 0x0963, "addresponseevent_internal" },
    { 0x0964, "addrightname" },
    { 0x0965, "addrighttitle" },
    { 0x0966, "addsafetyhealth" },
    { 0x0967, "addsituationalcombatorder" },
    { 0x0968, "addsituationalorder" },
    { 0x0969, "addspace" },
    { 0x096A, "addspacesmall" },
    { 0x096B, "addspacetitle" },
    { 0x096C, "addspawnpoints" },
    { 0x096D, "addspeaker" },
    { 0x096E, "addstartspawnpoints" },
    { 0x096F, "addsubheaderiw6" },
    { 0x0970, "addsubheaderliw6" },
    { 0x0971, "addsubheaderriw6" },
    { 0x0972, "addsubleftname" },
    { 0x0973, "addsubleftnamename" },
    { 0x0974, "addsubleftnamenamename" },
    { 0x0975, "addsublefttitle" },
    { 0x0976, "addsublefttitlename" },
    { 0x0977, "addsublefttitlenamespace" },
    { 0x0978, "addsubnameiw" },
    { 0x0979, "addsubtitleiw" },
    { 0x097A, "addsubtitleiw6" },
    { 0x097B, "addsubtitlenameiw" },
    { 0x097C, "addtakingfirealias" },
    { 0x097D, "addtauntalias" },
    { 0x097E, "addthreatalias" },
    { 0x097F, "addthreatcalloutalias" },
    { 0x0980, "addthreatcalloutecho" },
    { 0x0981, "addthreatcalloutlandmarkalias" },
    { 0x0982, "addthreatcalloutlocationalias" },
    { 0x0983, "addthreatcalloutqa_nextline" },
    { 0x0984, "addthreatcalloutresponsealias" },
    { 0x0985, "addthreatdistancealias" },
    { 0x0986, "addthreatelevationalias" },
    { 0x0987, "addthreatevent" },
    { 0x0988, "addthreatexposedalias" },
    { 0x0989, "addthreatobviousalias" },
    { 0x098A, "addtime" },
    { 0x098B, "addtitleiw" },
    { 0x098C, "addtitleiw6" },
    { 0x098D, "addtitlenameiw" },
    { 0x098E, "addtoalivecount" },
    { 0x098F, "addtoballdronelist" },
    { 0x0990, "addtobattlebuddywaitlist" },
    { 0x0991, "addtocharactersarray" },
    { 0x0992, "addtoclosedlist" },
    { 0x0993, "addtohelilist" },
    { 0x0994, "addtoimslist" },
    { 0x0995, "addtolittlebirdlist" },
    { 0x0996, "addtolivescount" },
    { 0x0997, "addtoopenlist" },
    { 0x0998, "addtoparticipantsarray" },
    { 0x0999, "addtosquad" },
    { 0x099A, "addtosystem" },
    { 0x099B, "addtotanklist" },
    { 0x099C, "addtoteam" },
    { 0x099D, "addtoteamcount" },
    { 0x099E, "addtoturretlist" },
    { 0x099F, "addtougvlist" },
    { 0x09A0, "addtowavespawner" },
    { 0x09A1, "addtrackingtarget" },
    { 0x09A2, "addtrackingtarget_ondeath" },
    { 0x09A3, "addtrackingtarget_update" },
    { 0x09A4, "addturret" },
    { 0x09A5, "adduavmodel" },
    { 0x09A6, "adduplinktolevellist" },
    { 0x09A7, "addzone" },
    { 0x09A8, "adjust_ally_movement" },
    { 0x09A9, "adjust_angles_to_player" },
    { 0x09AA, "adjust_forward_push" },
    { 0x09AB, "adjust_helo_sound_high" },
    { 0x09AC, "adjust_helo_sound_low" },
    { 0x09AD, "adjust_helo_sound_roll" },
    { 0x09AE, "adjust_movement_step_up" },
    { 0x09AF, "adjust_moving_grass" },
    { 0x09B0, "adjust_overall_apache_pitches" },
    { 0x09B1, "adjust_player_view" },
    { 0x09B2, "adjust_suppression_on_enemies" },
    { 0x09B3, "adrenaline" },
    { 0x09B4, "adrenalineinfo" },
    { 0x09B5, "adrenalinetime" },
    { 0x09B6, "ads_hint" },
    { 0x09B7, "adstime" },
    { 0x09B8, "adstoggled" },
    { 0x09B9, "adszoomed" },
    { 0x09BA, "advance_regardless_of_numbers" },
    { 0x09BB, "advancedtraverse" },
    { 0x09BC, "advancedtraverse2" },
    { 0x09BD, "advancedwindowtraverse" },
    { 0x09BE, "advanceonhidingenemy" },
    { 0x09BF, "advancetoenemygroup" },
    { 0x09C0, "advancetoenemygroupmax" },
    { 0x09C1, "advancetoenemyinterval" },
    { 0x09C2, "aenemies" },
    { 0x09C3, "aent_flag_waitopen_either" },
    { 0x09C4, "aerial_vehicle_allowed" },
    { 0x09C5, "affected" },
    { 0x09C6, "afk" },
    { 0x09C7, "after_fall_bounce" },
    { 0x09C8, "after_hunt" },
    { 0x09C9, "after_hunt_dialogue" },
    { 0x09CA, "agent_damage_finished" },
    { 0x09CB, "agent_funcs" },
    { 0x09CC, "agent_gameparticipant" },
    { 0x09CD, "agent_teamparticipant" },
    { 0x09CE, "agent_type" },
    { 0x09CF, "agentarray" },
    { 0x09D0, "agentdogthink" },
    { 0x09D1, "agentfunc" },
    { 0x09D2, "aggresivelookat" },
    { 0x09D3, "aggressivemode" },
    { 0x09D4, "ahdmode" },
    { 0x09D5, "ahdmode_ng" },
    { 0x09D6, "ai" },
    { 0x09D7, "ai_3d_sighting_model" },
    { 0x09D8, "ai_advancing_logic" },
    { 0x09D9, "ai_alert" },
    { 0x09DA, "ai_alert_bullet" },
    { 0x09DB, "ai_alert_damage" },
    { 0x09DC, "ai_alert_friend_death" },
    { 0x09DD, "ai_alert_loop" },
    { 0x09DE, "ai_alert_player_break_stealth" },
    { 0x09DF, "ai_alert_range" },
    { 0x09E0, "ai_animate_props_on_death" },
    { 0x09E1, "ai_array" },
    { 0x09E2, "ai_array_killcount_flag_set" },
    { 0x09E3, "ai_attack_missile" },
    { 0x09E4, "ai_classname_in_level" },
    { 0x09E5, "ai_classname_in_level_keys" },
    { 0x09E6, "ai_clean_up" },
    { 0x09E7, "ai_cleanup_fake_death" },
    { 0x09E8, "ai_clear_custom_animation_reaction" },
    { 0x09E9, "ai_clear_custom_animation_reaction_and_idle" },
    { 0x09EA, "ai_cough" },
    { 0x09EB, "ai_create_behavior_function" },
    { 0x09EC, "ai_damage_think" },
    { 0x09ED, "ai_deathflag" },
    { 0x09EE, "ai_debug" },
    { 0x09EF, "ai_delete_when_out_of_sight" },
    { 0x09F0, "ai_dont_glow_in_thermal" },
    { 0x09F1, "ai_enemy_target_underwater" },
    { 0x09F2, "ai_enemy_tracking" },
    { 0x09F3, "ai_event_settings" },
    { 0x09F4, "ai_event_settings_reset" },
    { 0x09F5, "ai_flee_from_teargas" },
    { 0x09F6, "ai_flooding_hip_anims" },
    { 0x09F7, "ai_flooding_under_anims" },
    { 0x09F8, "ai_follow_cover" },
    { 0x09F9, "ai_functions" },
    { 0x09FA, "ai_get_behavior_function" },
    { 0x09FB, "ai_go_to_player" },
    { 0x09FC, "ai_group_killcount_flag_set" },
    { 0x09FD, "ai_in_coverwater" },
    { 0x09FE, "ai_init" },
    { 0x09FF, "ai_lasers" },
    { 0x0A00, "ai_message_handler_hidden" },
    { 0x0A01, "ai_message_handler_spotted" },
    { 0x0A02, "ai_mode" },
    { 0x0A03, "ai_number" },
    { 0x0A04, "ai_on_death" },
    { 0x0A05, "ai_out_time" },
    { 0x0A06, "ai_picks_destination" },
    { 0x0A07, "ai_pos_start" },
    { 0x0A08, "ai_react_to_teargas" },
    { 0x0A09, "ai_record_spawn_pos" },
    { 0x0A0A, "ai_remove_outline_waiter" },
    { 0x0A0B, "ai_rider_invulnerable_until_vehicle_death" },
    { 0x0A0C, "ai_rider_invulnerable_until_vehicle_death_or_jumping_out" },
    { 0x0A0D, "ai_rpg_attack_delay_max" },
    { 0x0A0E, "ai_rpg_attack_delay_min" },
    { 0x0A0F, "ai_set_custom_animation_reaction" },
    { 0x0A10, "ai_set_goback_override_function" },
    { 0x0A11, "ai_sets_goal" },
    { 0x0A12, "ai_sets_goal_with_delay" },
    { 0x0A13, "ai_should_be_added" },
    { 0x0A14, "ai_sight_brushes" },
    { 0x0A15, "ai_space_death" },
    { 0x0A16, "ai_space_headshot_death" },
    { 0x0A17, "ai_space_pain" },
    { 0x0A18, "ai_stairs_proc" },
    { 0x0A19, "ai_stealth_init" },
    { 0x0A1A, "ai_stealth_pause_handler" },
    { 0x0A1B, "ai_swim_death" },
    { 0x0A1C, "ai_swim_pain" },
    { 0x0A1D, "ai_swim_sound" },
    { 0x0A1E, "ai_swim_sound_idle" },
    { 0x0A1F, "ai_test_count" },
    { 0x0A20, "ai_to_kill" },
    { 0x0A21, "ai_total_count" },
    { 0x0A22, "ai_track" },
    { 0x0A23, "ai_track_death_by_player" },
    { 0x0A24, "ai_types" },
    { 0x0A25, "ai_wait_go" },
    { 0x0A26, "ai_waittill_entered_vehicle" },
    { 0x0A27, "ai_water_rising_think" },
    { 0x0A28, "aiamount" },
    { 0x0A29, "aiareintheroom" },
    { 0x0A2A, "aiarray" },
    { 0x0A2B, "aibattlechatterloop" },
    { 0x0A2C, "aicount" },
    { 0x0A2D, "aideathenemy" },
    { 0x0A2E, "aideatheventthread" },
    { 0x0A2F, "aideathfriendly" },
    { 0x0A30, "aidisplacewaiter" },
    { 0x0A31, "aifolloworderwaiter" },
    { 0x0A32, "aigrenadedangerwaiter" },
    { 0x0A33, "aigroup_create" },
    { 0x0A34, "aigroup_soldierthink" },
    { 0x0A35, "aigroup_spawnerdeath" },
    { 0x0A36, "aigroup_spawnerempty" },
    { 0x0A37, "aigroup_spawnerthink" },
    { 0x0A38, "aihasweapon" },
    { 0x0A39, "aihostileburstloop" },
    { 0x0A3A, "aikilleventthread" },
    { 0x0A3B, "aim2_target" },
    { 0x0A3C, "aim4_target" },
    { 0x0A3D, "aim6_target" },
    { 0x0A3E, "aim8_target" },
    { 0x0A3F, "aim_arrow" },
    { 0x0A40, "aim_arrow_on_target" },
    { 0x0A41, "aim_idle_get_random" },
    { 0x0A42, "aim_idle_thread" },
    { 0x0A43, "aim_missiles_2" },
    { 0x0A44, "aim_turret_at_ambush_point_or_visible_enemy" },
    { 0x0A45, "aim_while_moving_thread" },
    { 0x0A46, "aimbutdontshoot" },
    { 0x0A47, "aimed_at_shoot_ent_or_pos" },
    { 0x0A48, "aimedatshootentorpos" },
    { 0x0A49, "aimedsomewhatatenemy" },
    { 0x0A4A, "aimidlethread" },
    { 0x0A4B, "aiming_at_ally" },
    { 0x0A4C, "aimpitchdifftolerance" },
    { 0x0A4D, "aimweight" },
    { 0x0A4E, "aimweight_end" },
    { 0x0A4F, "aimweight_start" },
    { 0x0A50, "aimweight_t" },
    { 0x0A51, "aimweight_transframes" },
    { 0x0A52, "aimyawdiffclosedistsq" },
    { 0x0A53, "aimyawdiffclosetolerance" },
    { 0x0A54, "aimyawdifffartolerance" },
    { 0x0A55, "ainame" },
    { 0x0A56, "ainameandrankwaiter" },
    { 0x0A57, "aiofficerorders" },
    { 0x0A58, "aiowner" },
    { 0x0A59, "air_armada" },
    { 0x0A5A, "air_dropped" },
    { 0x0A5B, "air_node_mesh" },
    { 0x0A5C, "air_raid" },
    { 0x0A5D, "air_raid_active" },
    { 0x0A5E, "air_raid_fire" },
    { 0x0A5F, "air_raid_siren" },
    { 0x0A60, "air_raid_siren_ent" },
    { 0x0A61, "air_raids" },
    { 0x0A62, "air_start_nodes" },
    { 0x0A63, "air_strip_ai_quick_cleanup_death_function" },
    { 0x0A64, "air_strip_ai_quick_cleanup_spawn_function" },
    { 0x0A65, "air_strip_ambient_a10_gun_dive_1" },
    { 0x0A66, "air_strip_ambient_a10_gun_dive_2" },
    { 0x0A67, "air_strip_ambient_a10_gun_dive_3" },
    { 0x0A68, "air_strip_ambient_dogfight_1" },
    { 0x0A69, "air_strip_ambient_dogfight_2" },
    { 0x0A6A, "air_strip_ambient_dogfight_3" },
    { 0x0A6B, "air_strip_begin" },
    { 0x0A6C, "air_strip_choppers" },
    { 0x0A6D, "air_strip_cleanup" },
    { 0x0A6E, "air_strip_hints" },
    { 0x0A6F, "air_strip_init" },
    { 0x0A70, "air_strip_m880_corpses" },
    { 0x0A71, "air_strip_m880_death_count" },
    { 0x0A72, "air_strip_m880s" },
    { 0x0A73, "air_strip_main" },
    { 0x0A74, "air_strip_obj_markers" },
    { 0x0A75, "air_strip_secured_ambient_enemies_setup" },
    { 0x0A76, "air_strip_secured_begin" },
    { 0x0A77, "air_strip_secured_init" },
    { 0x0A78, "air_strip_secured_main" },
    { 0x0A79, "air_strip_secured_vo" },
    { 0x0A7A, "air_strip_take_off_mig_01" },
    { 0x0A7B, "air_strip_take_off_mig_02" },
    { 0x0A7C, "air_strip_temp_dialog" },
    { 0x0A7D, "air_strip_to_chopper" },
    { 0x0A7E, "air_strip_trucks_static_setup" },
    { 0x0A7F, "air_strip_victory" },
    { 0x0A80, "air_support_locs" },
    { 0x0A81, "airank" },
    { 0x0A82, "airburstbomb" },
    { 0x0A83, "aircraft_wash" },
    { 0x0A84, "aircraft_wash_thread" },
    { 0x0A85, "airdeniedplayer" },
    { 0x0A86, "airdrop_heli" },
    { 0x0A87, "airdrop_icon" },
    { 0x0A88, "airdrop_max_linear_velocity" },
    { 0x0A89, "airdrop_override_death_moving_platform" },
    { 0x0A8A, "airdrop_override_invalid_moving_platform" },
    { 0x0A8B, "airdrop_reward" },
    { 0x0A8C, "airdropcratecollision" },
    { 0x0A8D, "airdropdetonateonstuck" },
    { 0x0A8E, "airdropmarkeractivate" },
    { 0x0A8F, "airdroptype" },
    { 0x0A90, "airlock_compression_door" },
    { 0x0A91, "airlock_glass_fog" },
    { 0x0A92, "airlock_interior_hatch" },
    { 0x0A93, "airlockexplode" },
    { 0x0A94, "airplane_list" },
    { 0x0A95, "airshipflydefense" },
    { 0x0A96, "airshipflygunner" },
    { 0x0A97, "airshipfx" },
    { 0x0A98, "airshipfxonclient" },
    { 0x0A99, "airshipfxonconnect" },
    { 0x0A9A, "airshippitchhatchdown" },
    { 0x0A9B, "airshippitchhatchup" },
    { 0x0A9C, "airshippitchpropsdown" },
    { 0x0A9D, "airshippitchpropsup" },
    { 0x0A9E, "airspread" },
    { 0x0A9F, "airstrike_earthquake" },
    { 0x0AA0, "airstrikedamagedents" },
    { 0x0AA1, "airstrikedamagedentscount" },
    { 0x0AA2, "airstrikedamagedentsindex" },
    { 0x0AA3, "airstrikedamageentsthread" },
    { 0x0AA4, "airstrikeexplosion" },
    { 0x0AA5, "airstrikefx" },
    { 0x0AA6, "airstrikeheightscale" },
    { 0x0AA7, "airstrikeinprogress" },
    { 0x0AA8, "airstrikemadeselectionvo" },
    { 0x0AA9, "airstrikessfx" },
    { 0x0AAA, "airstriketype" },
    { 0x0AAB, "aishootplayer" },
    { 0x0AAC, "aispread" },
    { 0x0AAD, "aistate" },
    { 0x0AAE, "aisuppressai" },
    { 0x0AAF, "aithreadthreader" },
    { 0x0AB0, "aiturnnotifies" },
    { 0x0AB1, "aitype_check" },
    { 0x0AB2, "aiupdateanimstate" },
    { 0x0AB3, "aiupdatecombat" },
    { 0x0AB4, "aiupdatesuppressed" },
    { 0x0AB5, "aiweapon" },
    { 0x0AB6, "ajax_flare" },
    { 0x0AB7, "alarm_annoyance" },
    { 0x0AB8, "alarm_ent" },
    { 0x0AB9, "alarm_interval" },
    { 0x0ABA, "alarm_playing" },
    { 0x0ABB, "alarm_validate_damage" },
    { 0x0ABC, "alarms" },
    { 0x0ABD, "alarms2" },
    { 0x0ABE, "alarms_1" },
    { 0x0ABF, "alarms_2" },
    { 0x0AC0, "alarms_3" },
    { 0x0AC1, "alert_all" },
    { 0x0AC2, "alert_all_on_death" },
    { 0x0AC3, "alert_enemies" },
    { 0x0AC4, "alert_enemies_early" },
    { 0x0AC5, "alert_enemies_react" },
    { 0x0AC6, "alert_level" },
    { 0x0AC7, "alert_level_table" },
    { 0x0AC8, "alert_on_chopper_damage" },
    { 0x0AC9, "alert_team" },
    { 0x0ACA, "alertface" },
    { 0x0ACB, "alias" },
    { 0x0ACC, "alien_ai_debug_print" },
    { 0x0ACD, "alien_area_init" },
    { 0x0ACE, "alien_attack" },
    { 0x0ACF, "alien_attack_enemy" },
    { 0x0AD0, "alien_attack_sequence" },
    { 0x0AD1, "alien_attribute_table_init" },
    { 0x0AD2, "alien_begindeployableviamarker" },
    { 0x0AD3, "alien_challenge_table" },
    { 0x0AD4, "alien_character_cac_table" },
    { 0x0AD5, "alien_cloak" },
    { 0x0AD6, "alien_collectibles_table" },
    { 0x0AD7, "alien_combat_resource_callbacks" },
    { 0x0AD8, "alien_combat_resources" },
    { 0x0AD9, "alien_combat_resources_table" },
    { 0x0ADA, "alien_customprematchperiod" },
    { 0x0ADB, "alien_cycle_intermission" },
    { 0x0ADC, "alien_cycle_table" },
    { 0x0ADD, "alien_cycle_table_hardcore" },
    { 0x0ADE, "alien_eyes_off" },
    { 0x0ADF, "alien_eyes_off_on_death" },
    { 0x0AE0, "alien_eyes_on" },
    { 0x0AE1, "alien_eyes_on_threaded" },
    { 0x0AE2, "alien_fire_off" },
    { 0x0AE3, "alien_fire_on" },
    { 0x0AE4, "alien_funcs" },
    { 0x0AE5, "alien_health_per_player_init" },
    { 0x0AE6, "alien_health_per_player_scalar" },
    { 0x0AE7, "alien_jump_melee_gravity" },
    { 0x0AE8, "alien_jump_melee_speed" },
    { 0x0AE9, "alien_loadout" },
    { 0x0AEA, "alien_loot_initialized" },
    { 0x0AEB, "alien_lurker_behavior" },
    { 0x0AEC, "alien_lurker_init" },
    { 0x0AED, "alien_lurkers" },
    { 0x0AEE, "alien_main_loop" },
    { 0x0AEF, "alien_make_entity_sentient" },
    { 0x0AF0, "alien_max_rank" },
    { 0x0AF1, "alien_melee" },
    { 0x0AF2, "alien_mode" },
    { 0x0AF3, "alien_mode_enable" },
    { 0x0AF4, "alien_mode_enable_raw" },
    { 0x0AF5, "alien_mode_feature" },
    { 0x0AF6, "alien_mode_feature_strings" },
    { 0x0AF7, "alien_mode_has" },
    { 0x0AF8, "alien_noncombat" },
    { 0x0AF9, "alien_perk_callbacks" },
    { 0x0AFA, "alien_perks" },
    { 0x0AFB, "alien_perks_table" },
    { 0x0AFC, "alien_pet" },
    { 0x0AFD, "alien_pet_follow" },
    { 0x0AFE, "alien_player_spawn_group" },
    { 0x0AFF, "alien_pregame_delay" },
    { 0x0B00, "alien_ranks" },
    { 0x0B01, "alien_ranks_table" },
    { 0x0B02, "alien_retreat" },
    { 0x0B03, "alien_scene_behavior" },
    { 0x0B04, "alien_scene_init" },
    { 0x0B05, "alien_scripted" },
    { 0x0B06, "alien_synch_attack_enemy" },
    { 0x0B07, "alien_test_jump" },
    { 0x0B08, "alien_test_loop" },
    { 0x0B09, "alien_town_intro" },
    { 0x0B0A, "alien_town_intro_precache_characters" },
    { 0x0B0B, "alien_town_intro_precache_props" },
    { 0x0B0C, "alien_type" },
    { 0x0B0D, "alien_types" },
    { 0x0B0E, "alien_unlock_data" },
    { 0x0B0F, "alien_unlock_table" },
    { 0x0B10, "alien_used_resource" },
    { 0x0B11, "alien_used_resource_rank" },
    { 0x0B12, "alien_vo_priority_level" },
    { 0x0B13, "alien_wait_for_combat" },
    { 0x0B14, "alien_wave" },
    { 0x0B15, "alien_wave_behavior" },
    { 0x0B16, "alien_wave_init" },
    { 0x0B17, "alien_wave_intermission" },
    { 0x0B18, "alien_wave_spawn_think" },
    { 0x0B19, "alien_wave_status" },
    { 0x0B1A, "alien_wave_table" },
    { 0x0B1B, "alien_xp" },
    { 0x0B1C, "alienagentspawn" },
    { 0x0B1D, "alienagentthink" },
    { 0x0B1E, "alienanimdata" },
    { 0x0B1F, "alienbbdata" },
    { 0x0B20, "alienclimbdown" },
    { 0x0B21, "alienclimbup" },
    { 0x0B22, "alienendgame" },
    { 0x0B23, "alienforceendgame" },
    { 0x0B24, "alienmovebackanimchance" },
    { 0x0B25, "alienoutcomenotify" },
    { 0x0B26, "alienplayerarmor" },
    { 0x0B27, "alienplayerhealthhints" },
    { 0x0B28, "alienplayerhealthregen" },
    { 0x0B29, "alienplayerpainbreathingsound" },
    { 0x0B2A, "alienregulartraversal" },
    { 0x0B2B, "aliens_give_currency_func" },
    { 0x0B2C, "aliens_make_entity_sentient_func" },
    { 0x0B2D, "aliensnarecount" },
    { 0x0B2E, "aliensnarespeedscalar" },
    { 0x0B2F, "alienspawnlogic" },
    { 0x0B30, "alientraversenotetrackhandler" },
    { 0x0B31, "alientypecandofriendlydamage" },
    { 0x0B32, "align_chalk_marks" },
    { 0x0B33, "aligntoverticaledge" },
    { 0x0B34, "aliveai" },
    { 0x0B35, "alivecount" },
    { 0x0B36, "aliveplayers" },
    { 0x0B37, "all_challenge_completed" },
    { 0x0B38, "all_dom_flags" },
    { 0x0B39, "all_players_istouching" },
    { 0x0B3A, "all_rappel_pt3_downstairs_enemies" },
    { 0x0B3B, "all_rappel_pt3_enemies" },
    { 0x0B3C, "all_scenes" },
    { 0x0B3D, "all_team_steak_col" },
    { 0x0B3E, "all_team_streak_col" },
    { 0x0B3F, "allcrashes" },
    { 0x0B40, "alley_bokehdots" },
    { 0x0B41, "alley_bokehdots_old" },
    { 0x0B42, "alley_end_of_alley_fx" },
    { 0x0B43, "alley_far" },
    { 0x0B44, "alley_fill_shallow" },
    { 0x0B45, "alley_flood" },
    { 0x0B46, "alley_flood_collision_cheater" },
    { 0x0B47, "alley_flood_far_vfx_attachments" },
    { 0x0B48, "alley_flood_fx" },
    { 0x0B49, "alley_flood_near_vfx_attachments" },
    { 0x0B4A, "alley_flood_spawn" },
    { 0x0B4B, "alley_flood_vehicles_spawn" },
    { 0x0B4C, "alley_flood_water" },
    { 0x0B4D, "alley_froth_vfx" },
    { 0x0B4E, "alley_giantsplashes_left" },
    { 0x0B4F, "alley_giantsplashes_right" },
    { 0x0B50, "alley_kill_triggers" },
    { 0x0B51, "alley_near" },
    { 0x0B52, "alley_stumble" },
    { 0x0B53, "allie1_tussbubbs" },
    { 0x0B54, "alliedtanktarget" },
    { 0x0B55, "allies_baker_command_end_anim" },
    { 0x0B56, "allies_baker_console_anims" },
    { 0x0B57, "allies_baker_flarestack_exit" },
    { 0x0B58, "allies_baker_hold" },
    { 0x0B59, "allies_baker_hold_approach_and_idle" },
    { 0x0B5A, "allies_breach_anim_node" },
    { 0x0B5B, "allies_building_entry_movement" },
    { 0x0B5C, "allies_building_entry_vo" },
    { 0x0B5D, "allies_building_exit_hookup" },
    { 0x0B5E, "allies_catch_up" },
    { 0x0B5F, "allies_color_advance_logic" },
    { 0x0B60, "allies_convoy_dialogue" },
    { 0x0B61, "allies_cqbwalk" },
    { 0x0B62, "allies_dam_vign" },
    { 0x0B63, "allies_dialog_col" },
    { 0x0B64, "allies_dialog_playing" },
    { 0x0B65, "allies_engine_room" },
    { 0x0B66, "allies_first_advance" },
    { 0x0B67, "allies_gunship_run" },
    { 0x0B68, "allies_help_when_player_shoots_balcony_enemies" },
    { 0x0B69, "allies_help_when_player_shoots_first_floor" },
    { 0x0B6A, "allies_help_when_player_shoots_second_floor_left" },
    { 0x0B6B, "allies_help_when_player_shoots_second_floor_middle_or_right" },
    { 0x0B6C, "allies_hesh_final_position" },
    { 0x0B6D, "allies_inverted_rappel_movement" },
    { 0x0B6E, "allies_inverted_rappel_vo" },
    { 0x0B6F, "allies_jeep_sync_anim" },
    { 0x0B70, "allies_move_down_to_first_floor_combat" },
    { 0x0B71, "allies_move_down_to_second_floor_combat" },
    { 0x0B72, "allies_move_down_to_third_floor_combat" },
    { 0x0B73, "allies_move_to_checkpoint_start" },
    { 0x0B74, "allies_move_to_jeep" },
    { 0x0B75, "allies_move_up_in_control_room" },
    { 0x0B76, "allies_movement_post_missile_launch" },
    { 0x0B77, "allies_movement_tower" },
    { 0x0B78, "allies_movement_warehouse" },
    { 0x0B79, "allies_mudpumps" },
    { 0x0B7A, "allies_rappel_anims" },
    { 0x0B7B, "allies_rappel_stealth_anims" },
    { 0x0B7C, "allies_rappel_stealth_vo" },
    { 0x0B7D, "allies_rappel_vo" },
    { 0x0B7E, "allies_reach_and_start_scene" },
    { 0x0B7F, "allies_ride_chopper" },
    { 0x0B80, "allies_run_for_garage" },
    { 0x0B81, "allies_sat1" },
    { 0x0B82, "allies_sat2" },
    { 0x0B83, "allies_shadow_kill_movement" },
    { 0x0B84, "allies_shadow_kill_vo" },
    { 0x0B85, "allies_start_cqb" },
    { 0x0B86, "allies_stealth_behavior_end_count" },
    { 0x0B87, "allies_tanks" },
    { 0x0B88, "allies_throw_smoke" },
    { 0x0B89, "allies_to_rappel" },
    { 0x0B8A, "allies_vo_post_missile_launch" },
    { 0x0B8B, "allies_vo_tower" },
    { 0x0B8C, "allies_vo_warehouse" },
    { 0x0B8D, "alliescapturing" },
    { 0x0B8E, "allieschopper" },
    { 0x0B8F, "alliesinsertchopper" },
    { 0x0B90, "alliesteletostartspot" },
    { 0x0B91, "allow_dry_fire" },
    { 0x0B92, "allow_fall" },
    { 0x0B93, "allow_fire" },
    { 0x0B94, "allow_glass_break_slide" },
    { 0x0B95, "allow_inverted_kill" },
    { 0x0B96, "allow_level_killstreak" },
    { 0x0B97, "allow_movement" },
    { 0x0B98, "allow_pipe_damage" },
    { 0x0B99, "allow_player_ascend_move" },
    { 0x0B9A, "allow_sprint" },
    { 0x0B9B, "allow_walk_up" },
    { 0x0B9C, "allowable_double_attachments" },
    { 0x0B9D, "allowboard" },
    { 0x0B9E, "allowcarry" },
    { 0x0B9F, "allowclasschoice" },
    { 0x0BA0, "allowcrouch" },
    { 0x0BA1, "allowed_cycles" },
    { 0x0BA2, "allowed_hives" },
    { 0x0BA3, "allowedcallouts" },
    { 0x0BA4, "allowedinsolo" },
    { 0x0BA5, "allowedpartialreloadontheruntime" },
    { 0x0BA6, "allowedtofire" },
    { 0x0BA7, "allowempdamage" },
    { 0x0BA8, "allowenemyspectate" },
    { 0x0BA9, "allowfauxdeath" },
    { 0x0BAA, "allowfreespectate" },
    { 0x0BAB, "allowgrenadedamage" },
    { 0x0BAC, "allowlaststandai" },
    { 0x0BAD, "allowlatecomers" },
    { 0x0BAE, "allowmeleedamage" },
    { 0x0BAF, "allowneutral" },
    { 0x0BB0, "allowridekillstreakplayerexit" },
    { 0x0BB1, "allowsafeeject" },
    { 0x0BB2, "allowshoot" },
    { 0x0BB3, "allowteamchoice" },
    { 0x0BB4, "allowtelefrag" },
    { 0x0BB5, "allowuse" },
    { 0x0BB6, "allowvehicledamage" },
    { 0x0BB7, "allowvote" },
    { 0x0BB8, "allowweapons" },
    { 0x0BB9, "ally" },
    { 0x0BBA, "ally0_inhere" },
    { 0x0BBB, "ally0_instruction_vo" },
    { 0x0BBC, "ally0_instruction_vo_holdup" },
    { 0x0BBD, "ally0_instruction_vo_table" },
    { 0x0BBE, "ally0_main" },
    { 0x0BBF, "ally0_main_int" },
    { 0x0BC0, "ally0_mall" },
    { 0x0BC1, "ally0_move_to_end" },
    { 0x0BC2, "ally0_start_path2" },
    { 0x0BC3, "ally0_traversal_logic" },
    { 0x0BC4, "ally1_ascend_ascender" },
    { 0x0BC5, "ally1_ascend_launcher" },
    { 0x0BC6, "ally1_emerge_splash" },
    { 0x0BC7, "ally1_main" },
    { 0x0BC8, "ally1_main_int" },
    { 0x0BC9, "ally1_mall" },
    { 0x0BCA, "ally2_ascend_ascender" },
    { 0x0BCB, "ally2_ascend_launcher" },
    { 0x0BCC, "ally2_main" },
    { 0x0BCD, "ally2_main_int" },
    { 0x0BCE, "ally2_mall" },
    { 0x0BCF, "ally_0_animation" },
    { 0x0BD0, "ally_1_animation" },
    { 0x0BD1, "ally_advance" },
    { 0x0BD2, "ally_advance_watcher" },
    { 0x0BD3, "ally_aim_closer_to" },
    { 0x0BD4, "ally_alley_flood_spawn" },
    { 0x0BD5, "ally_animate_vault_scene" },
    { 0x0BD6, "ally_breach_gas" },
    { 0x0BD7, "ally_breach_goal" },
    { 0x0BD8, "ally_breach_vo" },
    { 0x0BD9, "ally_calm_idle_internal" },
    { 0x0BDA, "ally_can_see_any_enemy" },
    { 0x0BDB, "ally_catchup" },
    { 0x0BDC, "ally_catchup_solo" },
    { 0x0BDD, "ally_checkpoint_approaches" },
    { 0x0BDE, "ally_chopper_unload" },
    { 0x0BDF, "ally_cleanup" },
    { 0x0BE0, "ally_clear_flee_behavior" },
    { 0x0BE1, "ally_color_node_movement" },
    { 0x0BE2, "ally_console_scene" },
    { 0x0BE3, "ally_cqb_kill" },
    { 0x0BE4, "ally_cqb_kill_solo" },
    { 0x0BE5, "ally_crouch_walk_to_goal" },
    { 0x0BE6, "ally_current_state" },
    { 0x0BE7, "ally_dialogue" },
    { 0x0BE8, "ally_do_reload_anim" },
    { 0x0BE9, "ally_dog_attack_free" },
    { 0x0BEA, "ally_dog_bark_not_growl" },
    { 0x0BEB, "ally_dog_follow_owner" },
    { 0x0BEC, "ally_dog_follow_owner_internal" },
    { 0x0BED, "ally_dog_guard_owner" },
    { 0x0BEE, "ally_dog_guardpoint_radius" },
    { 0x0BEF, "ally_dog_scripted" },
    { 0x0BF0, "ally_dog_search_radius" },
    { 0x0BF1, "ally_dog_sniff_mode" },
    { 0x0BF2, "ally_dog_think" },
    { 0x0BF3, "ally_dogs" },
    { 0x0BF4, "ally_drone_cleanup" },
    { 0x0BF5, "ally_edge_death" },
    { 0x0BF6, "ally_edge_nodes" },
    { 0x0BF7, "ally_edge_think" },
    { 0x0BF8, "ally_elevator_clip_back" },
    { 0x0BF9, "ally_ent_del" },
    { 0x0BFA, "ally_finale_logic" },
    { 0x0BFB, "ally_finale_movement_setup" },
    { 0x0BFC, "ally_fire_until_out_of_ammo" },
    { 0x0BFD, "ally_fire_until_out_of_ammo_internal" },
    { 0x0BFE, "ally_fired" },
    { 0x0BFF, "ally_first_frame_check" },
    { 0x0C00, "ally_flee_setup" },
    { 0x0C01, "ally_garage" },
    { 0x0C02, "ally_garage_sneak" },
    { 0x0C03, "ally_get_fire_animation" },
    { 0x0C04, "ally_get_horizontal_start_distance" },
    { 0x0C05, "ally_get_horizontal_stop_distance" },
    { 0x0C06, "ally_get_vertical_stop_anim_distance" },
    { 0x0C07, "ally_glass_kill" },
    { 0x0C08, "ally_goal_mark" },
    { 0x0C09, "ally_goggle_glow_off" },
    { 0x0C0A, "ally_goggle_glow_on" },
    { 0x0C0B, "ally_grenade" },
    { 0x0C0C, "ally_groups" },
    { 0x0C0D, "ally_gun" },
    { 0x0C0E, "ally_gun_hide" },
    { 0x0C0F, "ally_gun_show" },
    { 0x0C10, "ally_heli_missile_to_chopper" },
    { 0x0C11, "ally_impact_org" },
    { 0x0C12, "ally_intro_anims_and_logic" },
    { 0x0C13, "ally_invasion_scene_approach" },
    { 0x0C14, "ally_is_aiming" },
    { 0x0C15, "ally_is_calm_idling" },
    { 0x0C16, "ally_jog_guys_logic" },
    { 0x0C17, "ally_kill" },
    { 0x0C18, "ally_left_death" },
    { 0x0C19, "ally_listen_dog_commands" },
    { 0x0C1A, "ally_littlebird_1" },
    { 0x0C1B, "ally_littlebird_2" },
    { 0x0C1C, "ally_littlebird_3" },
    { 0x0C1D, "ally_main" },
    { 0x0C1E, "ally_main_walk" },
    { 0x0C1F, "ally_make_fall" },
    { 0x0C20, "ally_move_from_fire_blocker" },
    { 0x0C21, "ally_move_to_jeep" },
    { 0x0C22, "ally_movement" },
    { 0x0C23, "ally_movement_logic" },
    { 0x0C24, "ally_nagging" },
    { 0x0C25, "ally_new_state" },
    { 0x0C26, "ally_node_logic" },
    { 0x0C27, "ally_on_stairs" },
    { 0x0C28, "ally_owner" },
    { 0x0C29, "ally_physics_pulse" },
    { 0x0C2A, "ally_push" },
    { 0x0C2B, "ally_push_player_after_unload" },
    { 0x0C2C, "ally_rappel_distance2dsquared_to_player" },
    { 0x0C2D, "ally_rappel_footsteps" },
    { 0x0C2E, "ally_rappel_get_aim_anim" },
    { 0x0C2F, "ally_rappel_get_aim_pitch" },
    { 0x0C30, "ally_rappel_get_aim_yaw" },
    { 0x0C31, "ally_rappel_get_enemy" },
    { 0x0C32, "ally_rappel_get_rope_start" },
    { 0x0C33, "ally_rappel_movement_setup" },
    { 0x0C34, "ally_rappel_moving_change_direction" },
    { 0x0C35, "ally_rappel_moving_stop_idle" },
    { 0x0C36, "ally_rappel_moving_vertical_stop" },
    { 0x0C37, "ally_rappel_pause_movement_horizontal" },
    { 0x0C38, "ally_rappel_reload" },
    { 0x0C39, "ally_rappel_rope" },
    { 0x0C3A, "ally_rappel_rope_cleanup" },
    { 0x0C3B, "ally_rappel_set_perfect_accuracy" },
    { 0x0C3C, "ally_rappel_setup_rope" },
    { 0x0C3D, "ally_rappel_start_aiming" },
    { 0x0C3E, "ally_rappel_start_movement_horizontal" },
    { 0x0C3F, "ally_rappel_start_movement_horizontal_internal" },
    { 0x0C40, "ally_rappel_start_rope" },
    { 0x0C41, "ally_rappel_start_shooting" },
    { 0x0C42, "ally_rappel_stealth_movement_vertical" },
    { 0x0C43, "ally_rappel_stop_aiming" },
    { 0x0C44, "ally_rappel_stop_rope" },
    { 0x0C45, "ally_rappel_stop_shooting" },
    { 0x0C46, "ally_reset_second_floor_left" },
    { 0x0C47, "ally_reset_second_floor_right" },
    { 0x0C48, "ally_reset_weights" },
    { 0x0C49, "ally_roof_collapse_vo" },
    { 0x0C4A, "ally_roof_collapsing_vo" },
    { 0x0C4B, "ally_rooftop_water_to_debrisbridge" },
    { 0x0C4C, "ally_rubber_banding_solo" },
    { 0x0C4D, "ally_set_initial_weights" },
    { 0x0C4E, "ally_setup" },
    { 0x0C4F, "ally_setup_aim" },
    { 0x0C50, "ally_ships" },
    { 0x0C51, "ally_shoot_at_enemy" },
    { 0x0C52, "ally_shoot_convoy" },
    { 0x0C53, "ally_shoot_nodes" },
    { 0x0C54, "ally_shoot_think" },
    { 0x0C55, "ally_shooting_loop" },
    { 0x0C56, "ally_shoots_fire_extinguisher" },
    { 0x0C57, "ally_sprint" },
    { 0x0C58, "ally_sprint_end" },
    { 0x0C59, "ally_sprint_setup" },
    { 0x0C5A, "ally_start" },
    { 0x0C5B, "ally_start_1" },
    { 0x0C5C, "ally_start_2" },
    { 0x0C5D, "ally_start_calm_idle" },
    { 0x0C5E, "ally_start_cornerwaving" },
    { 0x0C5F, "ally_stealth_kill" },
    { 0x0C60, "ally_stealth_settings" },
    { 0x0C61, "ally_stop_calm_idle" },
    { 0x0C62, "ally_strobe" },
    { 0x0C63, "ally_support_jets" },
    { 0x0C64, "ally_target_logic" },
    { 0x0C65, "ally_think" },
    { 0x0C66, "ally_think_streets_to_dam" },
    { 0x0C67, "ally_through_sat_panel" },
    { 0x0C68, "ally_to_magicbullet" },
    { 0x0C69, "ally_transition_to_target_weights" },
    { 0x0C6A, "ally_turnanim_hack" },
    { 0x0C6B, "ally_vault_props" },
    { 0x0C6C, "ally_vo" },
    { 0x0C6D, "ally_wait_to_get_impatient" },
    { 0x0C6E, "ally_zipline_count" },
    { 0x0C6F, "ally_zipline_nag" },
    { 0x0C70, "allyagentthink" },
    { 0x0C71, "allyc17_right_waits" },
    { 0x0C72, "allyheli" },
    { 0x0C73, "allyhelis" },
    { 0x0C74, "allyhitcount" },
    { 0x0C75, "allyjeep" },
    { 0x0C76, "allytank1" },
    { 0x0C77, "allytank2" },
    { 0x0C78, "allytank_right_waits" },
    { 0x0C79, "allytanks" },
    { 0x0C7A, "allytime" },
    { 0x0C7B, "alpha1" },
    { 0x0C7C, "alpha2" },
    { 0x0C7D, "alpha_ascend_rubberband" },
    { 0x0C7E, "alpha_ascend_rubberband_cleanup" },
    { 0x0C7F, "alpha_curr_rate" },
    { 0x0C80, "alphabetize" },
    { 0x0C81, "already_checking_udwfx" },
    { 0x0C82, "already_dumpped" },
    { 0x0C83, "already_issued" },
    { 0x0C84, "already_ran_function" },
    { 0x0C85, "already_spawned" },
    { 0x0C86, "already_stuck" },
    { 0x0C87, "already_thrown" },
    { 0x0C88, "already_used" },
    { 0x0C89, "alreadyaddedtoalivecount" },
    { 0x0C8A, "alreadydead" },
    { 0x0C8B, "alreadyrotating" },
    { 0x0C8C, "alreadystumbling" },
    { 0x0C8D, "alreadytarget" },
    { 0x0C8E, "alsodamageparent" },
    { 0x0C8F, "alt_override" },
    { 0x0C90, "alternates" },
    { 0x0C91, "altitude" },
    { 0x0C92, "altitude_adjusted" },
    { 0x0C93, "altitude_min_override" },
    { 0x0C94, "altitude_min_override_remove" },
    { 0x0C95, "altitude_override_over_time" },
    { 0x0C96, "altitudepolls" },
    { 0x0C97, "altwarning" },
    { 0x0C98, "always_pain" },
    { 0x0C99, "always_play_pain_sound" },
    { 0x0C9A, "alwaysdrawfriendlynames" },
    { 0x0C9B, "alwaysgamemodeclass" },
    { 0x0C9C, "alwayslookatfirsttarget" },
    { 0x0C9D, "alwaysquake" },
    { 0x0C9E, "alwaysrocketdeath" },
    { 0x0C9F, "alwaysrunforward" },
    { 0x0CA0, "amb_quakes" },
    { 0x0CA1, "ambience_inner" },
    { 0x0CA2, "ambience_outer" },
    { 0x0CA3, "ambient" },
    { 0x0CA4, "ambient_a10s" },
    { 0x0CA5, "ambient_airburst_periph_cleanup" },
    { 0x0CA6, "ambient_airbursts" },
    { 0x0CA7, "ambient_airbursts_player_effcts" },
    { 0x0CA8, "ambient_airbursts_startpoint" },
    { 0x0CA9, "ambient_ally_tanks" },
    { 0x0CAA, "ambient_animate" },
    { 0x0CAB, "ambient_breach_tank_a10_pass" },
    { 0x0CAC, "ambient_building_elevators" },
    { 0x0CAD, "ambient_building_explosions" },
    { 0x0CAE, "ambient_building_lights" },
    { 0x0CAF, "ambient_building_lights_internal" },
    { 0x0CB0, "ambient_canyon_airburst_close_shake" },
    { 0x0CB1, "ambient_canyon_airburst_fx_teleport_and_delete" },
    { 0x0CB2, "ambient_canyon_airbursts_far" },
    { 0x0CB3, "ambient_canyon_airbursts_periph" },
    { 0x0CB4, "ambient_canyon_big_airbursts_and_rogs" },
    { 0x0CB5, "ambient_choppers" },
    { 0x0CB6, "ambient_combat_guys" },
    { 0x0CB7, "ambient_derrick_animation" },
    { 0x0CB8, "ambient_drones" },
    { 0x0CB9, "ambient_event_thread" },
    { 0x0CBA, "ambient_ext" },
    { 0x0CBB, "ambient_fence_shocks" },
    { 0x0CBC, "ambient_guys_anims" },
    { 0x0CBD, "ambient_hinds" },
    { 0x0CBE, "ambient_int" },
    { 0x0CBF, "ambient_jet_by_sound" },
    { 0x0CC0, "ambient_modifier" },
    { 0x0CC1, "ambient_ng" },
    { 0x0CC2, "ambient_nh90_landers" },
    { 0x0CC3, "ambient_puddle_shocks" },
    { 0x0CC4, "ambient_road_runners" },
    { 0x0CC5, "ambient_road_vehicles" },
    { 0x0CC6, "ambient_rog_strike" },
    { 0x0CC7, "ambient_rog_strike_intro" },
    { 0x0CC8, "ambient_rog_strike_intro_timer" },
    { 0x0CC9, "ambient_rog_strike_timer" },
    { 0x0CCA, "ambient_runner_think" },
    { 0x0CCB, "ambient_smallarms_fire" },
    { 0x0CCC, "ambient_track" },
    { 0x0CCD, "ambient_vehicle_spawning" },
    { 0x0CCE, "ambush_damage_notify" },
    { 0x0CCF, "ambush_duration" },
    { 0x0CD0, "ambush_end" },
    { 0x0CD1, "ambush_enemies" },
    { 0x0CD2, "ambush_entrances" },
    { 0x0CD3, "ambush_guy_change_sight_dist" },
    { 0x0CD4, "ambush_guy_does_anim" },
    { 0x0CD5, "ambush_guy_outcome_logic" },
    { 0x0CD6, "ambush_hidden_settings" },
    { 0x0CD7, "ambush_init" },
    { 0x0CD8, "ambush_jeep2_backr" },
    { 0x0CD9, "ambush_jeep2_driver" },
    { 0x0CDA, "ambush_jeep2_guy_wave" },
    { 0x0CDB, "ambush_jeep2_passenger" },
    { 0x0CDC, "ambush_jeep_driver" },
    { 0x0CDD, "ambush_jeep_latch_close_lf" },
    { 0x0CDE, "ambush_jeep_latch_close_rf" },
    { 0x0CDF, "ambush_jeep_latch_close_rr" },
    { 0x0CE0, "ambush_jeep_latch_open_lf" },
    { 0x0CE1, "ambush_jeep_latch_open_rf" },
    { 0x0CE2, "ambush_jeep_latch_open_rr" },
    { 0x0CE3, "ambush_jeep_passenger" },
    { 0x0CE4, "ambush_jeep_scene" },
    { 0x0CE5, "ambush_kickoff_logic" },
    { 0x0CE6, "ambush_kill_ally" },
    { 0x0CE7, "ambush_kill_driver" },
    { 0x0CE8, "ambush_kill_driver_cypher" },
    { 0x0CE9, "ambush_kill_driver_player" },
    { 0x0CEA, "ambush_main" },
    { 0x0CEB, "ambush_notify_on_player_kill" },
    { 0x0CEC, "ambush_notify_on_player_shot" },
    { 0x0CED, "ambush_notify_on_player_timeout" },
    { 0x0CEE, "ambush_patrol_guys" },
    { 0x0CEF, "ambush_patrol_logic" },
    { 0x0CF0, "ambush_patrollers" },
    { 0x0CF1, "ambush_player_did_ambush" },
    { 0x0CF2, "ambush_player_ran_ahead" },
    { 0x0CF3, "ambush_recover_anim" },
    { 0x0CF4, "ambush_script" },
    { 0x0CF5, "ambush_stealth_settings" },
    { 0x0CF6, "ambush_trap_ent" },
    { 0x0CF7, "ambush_visible_settings" },
    { 0x0CF8, "ambush_yaw" },
    { 0x0CF9, "ambushendtime" },
    { 0x0CFA, "ambushnode" },
    { 0x0CFB, "ammo" },
    { 0x0CFC, "ammo_cache_think_global" },
    { 0x0CFD, "ammo_crate_failsafe" },
    { 0x0CFE, "ammo_hack" },
    { 0x0CFF, "ammo_icon" },
    { 0x0D00, "ammo_icon_fade_in" },
    { 0x0D01, "ammo_icon_fade_out" },
    { 0x0D02, "ammo_icon_think" },
    { 0x0D03, "ammo_icon_trig" },
    { 0x0D04, "ammo_pickup" },
    { 0x0D05, "ammo_thrower_scene" },
    { 0x0D06, "ammocheatinterval" },
    { 0x0D07, "ammocheattime" },
    { 0x0D08, "ammocount" },
    { 0x0D09, "ammocounterhide" },
    { 0x0D0A, "ammoomnvar" },
    { 0x0D0B, "ammopickup" },
    { 0x0D0C, "ammopickupfunc" },
    { 0x0D0D, "ammopickupmodel" },
    { 0x0D0E, "ammorefillprimary" },
    { 0x0D0F, "ammorefillsecondary" },
    { 0x0D10, "ammorestockcheckfreq" },
    { 0x0D11, "ammorestocktime" },
    { 0x0D12, "ammostock" },
    { 0x0D13, "amount" },
    { 0x0D14, "amplitude" },
    { 0x0D15, "anchor" },
    { 0x0D16, "anchor_line_impact" },
    { 0x0D17, "angel_flare" },
    { 0x0D18, "angel_flare_burst" },
    { 0x0D19, "angelflareprecache" },
    { 0x0D1A, "angered" },
    { 0x0D1B, "angle_180" },
    { 0x0D1C, "angle_facing_wall" },
    { 0x0D1D, "angle_lerp" },
    { 0x0D1E, "angle_offset" },
    { 0x0D1F, "anglerangethread" },
    { 0x0D20, "angles3d" },
    { 0x0D21, "angles_clamp" },
    { 0x0D22, "angles_frac" },
    { 0x0D23, "angles_within" },
    { 0x0D24, "anglescheck" },
    { 0x0D25, "anglesclamp180" },
    { 0x0D26, "anglesondeath" },
    { 0x0D27, "anglesonkill" },
    { 0x0D28, "angry_flood_big_wave_water" },
    { 0x0D29, "angry_flood_cleanup" },
    { 0x0D2A, "angry_flood_collision" },
    { 0x0D2B, "angry_flood_collision_cheater" },
    { 0x0D2C, "angry_flood_collision_cheater_spawn" },
    { 0x0D2D, "angry_flood_collision_dodamage" },
    { 0x0D2E, "angry_flood_collision_spawn" },
    { 0x0D2F, "angry_flood_finishing_move" },
    { 0x0D30, "angry_flood_rumble" },
    { 0x0D31, "angry_flood_rumble_loop" },
    { 0x0D32, "angry_flood_splash_sequencing_lf" },
    { 0x0D33, "angry_flood_splash_sequencing_rt" },
    { 0x0D34, "angry_flood_street_mist" },
    { 0x0D35, "angry_flood_water" },
    { 0x0D36, "anim_addmodel" },
    { 0x0D37, "anim_animationendnotify" },
    { 0x0D38, "anim_array" },
    { 0x0D39, "anim_at_entity" },
    { 0x0D3A, "anim_at_self" },
    { 0x0D3B, "anim_base" },
    { 0x0D3C, "anim_blend_time_override" },
    { 0x0D3D, "anim_boost" },
    { 0x0D3E, "anim_break_entrance" },
    { 0x0D3F, "anim_changes_pushplayer" },
    { 0x0D40, "anim_clockambush_finished" },
    { 0x0D41, "anim_custom_animmode" },
    { 0x0D42, "anim_custom_animmode_loop" },
    { 0x0D43, "anim_custom_animmode_loop_solo" },
    { 0x0D44, "anim_custom_animmode_on_guy" },
    { 0x0D45, "anim_custom_animmode_solo" },
    { 0x0D46, "anim_deathnotify" },
    { 0x0D47, "anim_dialogueendnotify" },
    { 0x0D48, "anim_disablepain" },
    { 0x0D49, "anim_dontpushplayer" },
    { 0x0D4A, "anim_down_move_strength" },
    { 0x0D4B, "anim_drop_bone" },
    { 0x0D4C, "anim_end_early" },
    { 0x0D4D, "anim_end_early_animationendnotify" },
    { 0x0D4E, "anim_end_early_deathnotify" },
    { 0x0D4F, "anim_end_early_dialogueendnotify" },
    { 0x0D50, "anim_end_early_facialendnotify" },
    { 0x0D51, "anim_enemies" },
    { 0x0D52, "anim_enemies_before_breach" },
    { 0x0D53, "anim_enemies_non_combat" },
    { 0x0D54, "anim_enemies_non_combat_rate" },
    { 0x0D55, "anim_enemy_spawn_func" },
    { 0x0D56, "anim_ent" },
    { 0x0D57, "anim_ent_a" },
    { 0x0D58, "anim_ent_b" },
    { 0x0D59, "anim_ent_c" },
    { 0x0D5A, "anim_enter_finished" },
    { 0x0D5B, "anim_exists" },
    { 0x0D5C, "anim_facialanim" },
    { 0x0D5D, "anim_facialendnotify" },
    { 0x0D5E, "anim_facialfiller" },
    { 0x0D5F, "anim_fake_loop_endon" },
    { 0x0D60, "anim_first_frame" },
    { 0x0D61, "anim_first_frame_on_guy" },
    { 0x0D62, "anim_first_frame_solo" },
    { 0x0D63, "anim_first_roll_everyone" },
    { 0x0D64, "anim_generic" },
    { 0x0D65, "anim_generic_custom_animmode" },
    { 0x0D66, "anim_generic_custom_animmode_loop" },
    { 0x0D67, "anim_generic_first_frame" },
    { 0x0D68, "anim_generic_gravity" },
    { 0x0D69, "anim_generic_gravity_run" },
    { 0x0D6A, "anim_generic_loop" },
    { 0x0D6B, "anim_generic_queue" },
    { 0x0D6C, "anim_generic_reach" },
    { 0x0D6D, "anim_generic_reach_and_animate" },
    { 0x0D6E, "anim_generic_reach_and_arrive" },
    { 0x0D6F, "anim_generic_run" },
    { 0x0D70, "anim_generic_teleport" },
    { 0x0D71, "anim_gunhand" },
    { 0x0D72, "anim_guninhand" },
    { 0x0D73, "anim_handle_notetrack" },
    { 0x0D74, "anim_head_faceplate" },
    { 0x0D75, "anim_index" },
    { 0x0D76, "anim_intro_dog" },
    { 0x0D77, "anim_intro_sniper" },
    { 0x0D78, "anim_is_death" },
    { 0x0D79, "anim_last_frame_solo" },
    { 0x0D7A, "anim_length" },
    { 0x0D7B, "anim_length_frames_left" },
    { 0x0D7C, "anim_link_tag_model" },
    { 0x0D7D, "anim_loop" },
    { 0x0D7E, "anim_loop_packet" },
    { 0x0D7F, "anim_loop_packet_solo" },
    { 0x0D80, "anim_loop_solo" },
    { 0x0D81, "anim_minigun_hands" },
    { 0x0D82, "anim_models" },
    { 0x0D83, "anim_moveto" },
    { 0x0D84, "anim_node" },
    { 0x0D85, "anim_org" },
    { 0x0D86, "anim_player_and_allies" },
    { 0x0D87, "anim_player_target_enemy" },
    { 0x0D88, "anim_pos" },
    { 0x0D89, "anim_precache" },
    { 0x0D8A, "anim_prop_init_threads" },
    { 0x0D8B, "anim_prop_models" },
    { 0x0D8C, "anim_prop_models_animtree" },
    { 0x0D8D, "anim_props" },
    { 0x0D8E, "anim_props_animated" },
    { 0x0D8F, "anim_pushplayer" },
    { 0x0D90, "anim_reach" },
    { 0x0D91, "anim_reach_and_approach" },
    { 0x0D92, "anim_reach_and_approach_node_solo" },
    { 0x0D93, "anim_reach_and_approach_solo" },
    { 0x0D94, "anim_reach_and_idle" },
    { 0x0D95, "anim_reach_and_idle_solo" },
    { 0x0D96, "anim_reach_and_plant" },
    { 0x0D97, "anim_reach_and_plant_and_arrive" },
    { 0x0D98, "anim_reach_failsafe" },
    { 0x0D99, "anim_reach_idle" },
    { 0x0D9A, "anim_reach_play" },
    { 0x0D9B, "anim_reach_solo" },
    { 0x0D9C, "anim_reach_sw" },
    { 0x0D9D, "anim_reach_together" },
    { 0x0D9E, "anim_reach_with_funcs" },
    { 0x0D9F, "anim_ref" },
    { 0x0DA0, "anim_relative" },
    { 0x0DA1, "anim_removemodel" },
    { 0x0DA2, "anim_right_move_strength" },
    { 0x0DA3, "anim_scene" },
    { 0x0DA4, "anim_self_set_time" },
    { 0x0DA5, "anim_sequence" },
    { 0x0DA6, "anim_set_rate" },
    { 0x0DA7, "anim_set_rate_internal" },
    { 0x0DA8, "anim_set_rate_single" },
    { 0x0DA9, "anim_set_time" },
    { 0x0DAA, "anim_single" },
    { 0x0DAB, "anim_single_end_early" },
    { 0x0DAC, "anim_single_failsafe" },
    { 0x0DAD, "anim_single_failsafeonguy" },
    { 0x0DAE, "anim_single_internal" },
    { 0x0DAF, "anim_single_queue" },
    { 0x0DB0, "anim_single_run" },
    { 0x0DB1, "anim_single_run_solo" },
    { 0x0DB2, "anim_single_solo" },
    { 0x0DB3, "anim_single_solo_run" },
    { 0x0DB4, "anim_spawn_generic_model" },
    { 0x0DB5, "anim_spawn_model" },
    { 0x0DB6, "anim_spawn_replace_with_model" },
    { 0x0DB7, "anim_spawn_tag_model" },
    { 0x0DB8, "anim_spawner_teleport" },
    { 0x0DB9, "anim_start_at_groundpos" },
    { 0x0DBA, "anim_start_pos" },
    { 0x0DBB, "anim_start_pos_solo" },
    { 0x0DBC, "anim_stopanimscripted" },
    { 0x0DBD, "anim_teleport" },
    { 0x0DBE, "anim_teleport_solo" },
    { 0x0DBF, "anim_time" },
    { 0x0DC0, "anim_timing" },
    { 0x0DC1, "anim_up_down_boost" },
    { 0x0DC2, "anim_wait_func" },
    { 0x0DC3, "anim_weight" },
    { 0x0DC4, "animarchetype" },
    { 0x0DC5, "animarray" },
    { 0x0DC6, "animarrayanyexist" },
    { 0x0DC7, "animarrayfuncs" },
    { 0x0DC8, "animarraypickrandom" },
    { 0x0DC9, "animate_after_movement" },
    { 0x0DCA, "animate_allies_to_train" },
    { 0x0DCB, "animate_ally_breach" },
    { 0x0DCC, "animate_ambush_scene_enemies" },
    { 0x0DCD, "animate_and_get_shot" },
    { 0x0DCE, "animate_arms" },
    { 0x0DCF, "animate_chairs" },
    { 0x0DD0, "animate_combat_two_intro_debris" },
    { 0x0DD1, "animate_drive_idle" },
    { 0x0DD2, "animate_drive_idle_on_dummies" },
    { 0x0DD3, "animate_ent" },
    { 0x0DD4, "animate_front_station_01" },
    { 0x0DD5, "animate_front_station_02" },
    { 0x0DD6, "animate_front_station_03" },
    { 0x0DD7, "animate_front_station_04" },
    { 0x0DD8, "animate_front_station_05" },
    { 0x0DD9, "animate_front_station_and_return_to_idle" },
    { 0x0DDA, "animate_guys" },
    { 0x0DDB, "animate_opposite_direction" },
    { 0x0DDC, "animate_props_on_death" },
    { 0x0DDD, "animate_til_volume" },
    { 0x0DDE, "animate_turret_with_viewmodel" },
    { 0x0DDF, "animate_vault_door" },
    { 0x0DE0, "animate_vault_light" },
    { 0x0DE1, "animate_vip_enemies" },
    { 0x0DE2, "animated_doors" },
    { 0x0DE3, "animated_logs" },
    { 0x0DE4, "animated_model" },
    { 0x0DE5, "animated_models" },
    { 0x0DE6, "animated_prop" },
    { 0x0DE7, "animated_prop_anims" },
    { 0x0DE8, "animated_props" },
    { 0x0DE9, "animated_sat_part" },
    { 0x0DEA, "animated_scene" },
    { 0x0DEB, "animated_scene_org" },
    { 0x0DEC, "animated_script_model" },
    { 0x0DED, "animated_warehouse_guys" },
    { 0x0DEE, "animateddeath" },
    { 0x0DEF, "animatedduffle" },
    { 0x0DF0, "animatemodel" },
    { 0x0DF1, "animatemoveintoplace" },
    { 0x0DF2, "animatetreewind" },
    { 0x0DF3, "animation" },
    { 0x0DF4, "animation_kills_ai" },
    { 0x0DF5, "animcbs" },
    { 0x0DF6, "animdodgeobstaclelistener" },
    { 0x0DF7, "anime" },
    { 0x0DF8, "animent" },
    { 0x0DF9, "animflagnameindex" },
    { 0x0DFA, "animgaz" },
    { 0x0DFB, "animhasfacialoverride" },
    { 0x0DFC, "animlengths" },
    { 0x0DFD, "animname" },
    { 0x0DFE, "animnode" },
    { 0x0DFF, "animoffset" },
    { 0x0E00, "animontag" },
    { 0x0E01, "animontag_ragdoll_death" },
    { 0x0E02, "animontag_ragdoll_death_fall" },
    { 0x0E03, "animplaybackrate" },
    { 0x0E04, "anims" },
    { 0x0E05, "anims_curr" },
    { 0x0E06, "animsapplied" },
    { 0x0E07, "animscriptdonotetracksthread" },
    { 0x0E08, "animsequence" },
    { 0x0E09, "animset" },
    { 0x0E0A, "animsets" },
    { 0x0E0B, "animsound_aliases" },
    { 0x0E0C, "animsound_exists" },
    { 0x0E0D, "animsound_hud_extralines" },
    { 0x0E0E, "animsound_hudlimit" },
    { 0x0E0F, "animsound_start_tracker" },
    { 0x0E10, "animsound_start_tracker_loop" },
    { 0x0E11, "animsound_tagged" },
    { 0x0E12, "animsound_tracker" },
    { 0x0E13, "animsounds" },
    { 0x0E14, "animsounds_thisframe" },
    { 0x0E15, "animspeeds" },
    { 0x0E16, "animspot" },
    { 0x0E17, "animstruct_l" },
    { 0x0E18, "animsubstate" },
    { 0x0E19, "animtree" },
    { 0x0E1A, "animtype_idle" },
    { 0x0E1B, "animtype_idle_shift" },
    { 0x0E1C, "animtype_loop" },
    { 0x0E1D, "animtype_loop_run" },
    { 0x0E1E, "animtype_parent" },
    { 0x0E1F, "animtype_run_stop" },
    { 0x0E20, "animtype_shift_back" },
    { 0x0E21, "animtype_start" },
    { 0x0E22, "animtype_stop" },
    { 0x0E23, "anmimname" },
    { 0x0E24, "announce_past_those_doors" },
    { 0x0E25, "annoyance_tracker" },
    { 0x0E26, "ant_races" },
    { 0x0E27, "antenna" },
    { 0x0E28, "antenna_kill" },
    { 0x0E29, "antenna_rumble" },
    { 0x0E2A, "anti_air_objectiv_trigger" },
    { 0x0E2B, "antithreat" },
    { 0x0E2C, "any_player_near_sentry" },
    { 0x0E2D, "any_player_nearby" },
    { 0x0E2E, "any_players_istouching" },
    { 0x0E2F, "anyone_touching_blocker" },
    { 0x0E30, "anyplayersinkillcam" },
    { 0x0E31, "anythingtouchingtrigger" },
    { 0x0E32, "ao" },
    { 0x0E33, "aoeradius" },
    { 0x0E34, "aoexponent" },
    { 0x0E35, "aogain" },
    { 0x0E36, "aomaxdist" },
    { 0x0E37, "aoscalemin" },
    { 0x0E38, "aoskylight" },
    { 0x0E39, "apache" },
    { 0x0E3A, "apache1" },
    { 0x0E3B, "apache2" },
    { 0x0E3C, "apache_ally_path_attack_filter_targets" },
    { 0x0E3D, "apache_ally_path_attack_func" },
    { 0x0E3E, "apache_ally_path_attack_internal" },
    { 0x0E3F, "apache_autosave_check" },
    { 0x0E40, "apache_chase_allies_apache" },
    { 0x0E41, "apache_chase_ally_apache_think" },
    { 0x0E42, "apache_chase_ally_blackhawk_think" },
    { 0x0E43, "apache_chase_enemies" },
    { 0x0E44, "apache_chase_enemies_turret_think_delay" },
    { 0x0E45, "apache_chatter" },
    { 0x0E46, "apache_chatter_func" },
    { 0x0E47, "apache_chatter_last" },
    { 0x0E48, "apache_chatter_queue" },
    { 0x0E49, "apache_chopper_enemies" },
    { 0x0E4A, "apache_chopper_hind_on_death" },
    { 0x0E4B, "apache_chopper_hind_spawn" },
    { 0x0E4C, "apache_chopper_hinds" },
    { 0x0E4D, "apache_difficulty" },
    { 0x0E4E, "apache_dmg_recent" },
    { 0x0E4F, "apache_dmg_time" },
    { 0x0E50, "apache_escort_encounter_final_wave_on_spawn" },
    { 0x0E51, "apache_factory_ai_roof_on_spawn" },
    { 0x0E52, "apache_factory_allies_apache_think" },
    { 0x0E53, "apache_factory_ally_blackhawk_think" },
    { 0x0E54, "apache_factory_enemies" },
    { 0x0E55, "apache_factory_enemy_counts" },
    { 0x0E56, "apache_factory_enemy_on_death" },
    { 0x0E57, "apache_factory_hind_parked_on_death" },
    { 0x0E58, "apache_factory_hind_parked_on_spawn" },
    { 0x0E59, "apache_factory_objective" },
    { 0x0E5A, "apache_factory_player_pitch" },
    { 0x0E5B, "apache_health" },
    { 0x0E5C, "apache_health_adjust" },
    { 0x0E5D, "apache_health_at_max" },
    { 0x0E5E, "apache_health_get" },
    { 0x0E5F, "apache_health_init" },
    { 0x0E60, "apache_health_max" },
    { 0x0E61, "apache_health_max_get" },
    { 0x0E62, "apache_health_max_set" },
    { 0x0E63, "apache_health_min" },
    { 0x0E64, "apache_health_pct_get" },
    { 0x0E65, "apache_health_pct_min_clear" },
    { 0x0E66, "apache_health_pct_min_set" },
    { 0x0E67, "apache_health_pct_set" },
    { 0x0E68, "apache_health_set" },
    { 0x0E69, "apache_health_state_next" },
    { 0x0E6A, "apache_health_state_think" },
    { 0x0E6B, "apache_hints_break_ads" },
    { 0x0E6C, "apache_hints_break_flares" },
    { 0x0E6D, "apache_hints_break_mg" },
    { 0x0E6E, "apache_hints_break_missile_lockon" },
    { 0x0E6F, "apache_hints_break_missile_straight" },
    { 0x0E70, "apache_hints_chase" },
    { 0x0E71, "apache_hints_chopper" },
    { 0x0E72, "apache_hints_display_hint_timeout" },
    { 0x0E73, "apache_hints_factory" },
    { 0x0E74, "apache_hints_island" },
    { 0x0E75, "apache_hints_move" },
    { 0x0E76, "apache_hints_precache" },
    { 0x0E77, "apache_hints_released_homing" },
    { 0x0E78, "apache_hints_tutorial" },
    { 0x0E79, "apache_missile_water_z" },
    { 0x0E7A, "apache_missile_water_z_actual" },
    { 0x0E7B, "apache_mission_difficulty" },
    { 0x0E7C, "apache_mission_heli_ai_collision" },
    { 0x0E7D, "apache_mission_impact_water_missile_think" },
    { 0x0E7E, "apache_mission_impact_water_missiles" },
    { 0x0E7F, "apache_mission_impact_water_think" },
    { 0x0E80, "apache_mission_vo_antiair" },
    { 0x0E81, "apache_mission_vo_chopper" },
    { 0x0E82, "apache_mission_vo_factory" },
    { 0x0E83, "apache_mission_vo_factory_combat" },
    { 0x0E84, "apache_mission_vo_finale" },
    { 0x0E85, "apache_mission_vo_player_crashing" },
    { 0x0E86, "apache_mission_vo_think" },
    { 0x0E87, "apache_mission_vo_tutorial" },
    { 0x0E88, "apache_move_until_notify" },
    { 0x0E89, "apache_owner_notify_on_input_camera" },
    { 0x0E8A, "apache_owner_notify_on_input_move" },
    { 0x0E8B, "apache_player_adjust" },
    { 0x0E8C, "apache_player_dead" },
    { 0x0E8D, "apache_player_difficulty" },
    { 0x0E8E, "apache_precache" },
    { 0x0E8F, "apache_savecheck" },
    { 0x0E90, "apache_sun_settings" },
    { 0x0E91, "apache_sun_settings_restore" },
    { 0x0E92, "apache_target_manager" },
    { 0x0E93, "apache_tutorial_fly_allies" },
    { 0x0E94, "apache_tutorial_fly_allies_govern_speed" },
    { 0x0E95, "apache_tutorial_fly_allies_govern_speed_stop" },
    { 0x0E96, "apache_tutorial_fly_move_until_input" },
    { 0x0E97, "apache_tutorial_fly_player_pitch_think" },
    { 0x0E98, "apache_tutorial_fly_reactive_foliage" },
    { 0x0E99, "apextraversaldeathvector" },
    { 0x0E9A, "apply_deathtime" },
    { 0x0E9B, "apply_difficulty_frac_with_func" },
    { 0x0E9C, "apply_difficulty_step_with_func" },
    { 0x0E9D, "apply_end_fog" },
    { 0x0E9E, "apply_extra_last_stand" },
    { 0x0E9F, "apply_fog" },
    { 0x0EA0, "apply_friendly_fire_damage_modifier" },
    { 0x0EA1, "apply_option_to_selected_fx" },
    { 0x0EA2, "apply_reverb" },
    { 0x0EA3, "apply_synch_attack_damage" },
    { 0x0EA4, "apply_truckjunk" },
    { 0x0EA5, "apply_weapons_status" },
    { 0x0EA6, "apply_whizby" },
    { 0x0EA7, "applyaliensnare" },
    { 0x0EA8, "applyaliensnareinternal" },
    { 0x0EA9, "applybombcarrierclass" },
    { 0x0EAA, "applyemp" },
    { 0x0EAB, "applyflash" },
    { 0x0EAC, "applyformat" },
    { 0x0EAD, "applyformattype" },
    { 0x0EAE, "applygaseffect" },
    { 0x0EAF, "applyglobalempeffects" },
    { 0x0EB0, "applyoutline" },
    { 0x0EB1, "applyperplayerempeffects" },
    { 0x0EB2, "applyperplayerempeffects_ondetonate" },
    { 0x0EB3, "applystunresistence" },
    { 0x0EB4, "approach_anims" },
    { 0x0EB5, "approach_enemy" },
    { 0x0EB6, "approach_types" },
    { 0x0EB7, "approachconditioncheckfunc" },
    { 0x0EB8, "approachnumber" },
    { 0x0EB9, "approachtype" },
    { 0x0EBA, "approachtypefunc" },
    { 0x0EBB, "approachwaittillclose" },
    { 0x0EBC, "approx_dist_from_edge" },
    { 0x0EBD, "arc_cached" },
    { 0x0EBE, "arcademode" },
    { 0x0EBF, "arcademode_hud_timer" },
    { 0x0EC0, "arcademode_stop_timer" },
    { 0x0EC1, "arcademode_stoptime" },
    { 0x0EC2, "archetype_exists" },
    { 0x0EC3, "archetypechanged" },
    { 0x0EC4, "archetypeexists" },
    { 0x0EC5, "archetypes" },
    { 0x0EC6, "archive" },
    { 0x0EC7, "are_all_players_using_nuke" },
    { 0x0EC8, "are_opposite_sign" },
    { 0x0EC9, "area1_ents" },
    { 0x0ECA, "area_damage_and_impulse" },
    { 0x0ECB, "areaparallelpipid" },
    { 0x0ECC, "areas" },
    { 0x0ECD, "areatriange" },
    { 0x0ECE, "aredifferent" },
    { 0x0ECF, "arm_mine" },
    { 0x0ED0, "arm_player" },
    { 0x0ED1, "armingdelay" },
    { 0x0ED2, "armordamagehints" },
    { 0x0ED3, "armormitigation" },
    { 0x0ED4, "armorpiercingmod" },
    { 0x0ED5, "armorvestmod" },
    { 0x0ED6, "arms_and_legs" },
    { 0x0ED7, "armtime" },
    { 0x0ED8, "array" },
    { 0x0ED9, "array_2dadd" },
    { 0x0EDA, "array_add" },
    { 0x0EDB, "array_call" },
    { 0x0EDC, "array_combine" },
    { 0x0EDD, "array_combine_keys" },
    { 0x0EDE, "array_combine_non_integer_indices" },
    { 0x0EDF, "array_combine_unique" },
    { 0x0EE0, "array_compare" },
    { 0x0EE1, "array_contains" },
    { 0x0EE2, "array_contains_index" },
    { 0x0EE3, "array_contains_script_linkto" },
    { 0x0EE4, "array_delete" },
    { 0x0EE5, "array_delete_evenly" },
    { 0x0EE6, "array_exclude" },
    { 0x0EE7, "array_find" },
    { 0x0EE8, "array_index_by_classname" },
    { 0x0EE9, "array_index_by_parameters" },
    { 0x0EEA, "array_index_by_script_index" },
    { 0x0EEB, "array_insert" },
    { 0x0EEC, "array_is_defined" },
    { 0x0EED, "array_is_greater_than" },
    { 0x0EEE, "array_keep_key_values" },
    { 0x0EEF, "array_keep_values" },
    { 0x0EF0, "array_kill" },
    { 0x0EF1, "array_levelcall" },
    { 0x0EF2, "array_levelthread" },
    { 0x0EF3, "array_levelthread_safe" },
    { 0x0EF4, "array_merge" },
    { 0x0EF5, "array_merge_links" },
    { 0x0EF6, "array_notify" },
    { 0x0EF7, "array_of_triggers1" },
    { 0x0EF8, "array_of_triggers2" },
    { 0x0EF9, "array_of_triggers3" },
    { 0x0EFA, "array_randomize" },
    { 0x0EFB, "array_remove" },
    { 0x0EFC, "array_remove_array" },
    { 0x0EFD, "array_remove_dupes" },
    { 0x0EFE, "array_remove_duplicates" },
    { 0x0EFF, "array_remove_index" },
    { 0x0F00, "array_remove_nokeys" },
    { 0x0F01, "array_remove_perk" },
    { 0x0F02, "array_remove_undefined_dead_or_dying" },
    { 0x0F03, "array_remove_when_dead" },
    { 0x0F04, "array_removedead" },
    { 0x0F05, "array_removedead_keepkeys" },
    { 0x0F06, "array_removedead_or_dying" },
    { 0x0F07, "array_removedead_zodiac" },
    { 0x0F08, "array_removeinvalidmissiles" },
    { 0x0F09, "array_removeundefined" },
    { 0x0F0A, "array_reverse" },
    { 0x0F0B, "array_setgoalvolume" },
    { 0x0F0C, "array_shift" },
    { 0x0F0D, "array_sort_by_handler" },
    { 0x0F0E, "array_sort_by_handler_parameter" },
    { 0x0F0F, "array_sort_with_func" },
    { 0x0F10, "array_sortbyarray" },
    { 0x0F11, "array_sortbysorter" },
    { 0x0F12, "array_spawn" },
    { 0x0F13, "array_spawn_allow_fail" },
    { 0x0F14, "array_spawn_function" },
    { 0x0F15, "array_spawn_function_noteworthy" },
    { 0x0F16, "array_spawn_function_targetname" },
    { 0x0F17, "array_spawn_noteworthy" },
    { 0x0F18, "array_spawn_targetname" },
    { 0x0F19, "array_spawn_targetname_allow_fail" },
    { 0x0F1A, "array_spawn_targetname_allow_fail_setthreat_insideaware" },
    { 0x0F1B, "array_thread" },
    { 0x0F1C, "array_thread4" },
    { 0x0F1D, "array_thread5" },
    { 0x0F1E, "array_thread_mod_delayed" },
    { 0x0F1F, "array_thread_safe" },
    { 0x0F20, "array_thread_targetname" },
    { 0x0F21, "array_wait" },
    { 0x0F22, "array_waitlogic1" },
    { 0x0F23, "array_waitlogic2" },
    { 0x0F24, "arrayinsertion" },
    { 0x0F25, "arrays_of_colorcoded_ai" },
    { 0x0F26, "arrays_of_colorcoded_nodes" },
    { 0x0F27, "arrays_of_colorcoded_spawners" },
    { 0x0F28, "arrays_of_colorcoded_volumes" },
    { 0x0F29, "arrays_of_colorforced_ai" },
    { 0x0F2A, "arrivalanim" },
    { 0x0F2B, "arrivalendstance" },
    { 0x0F2C, "arrivalnodetype" },
    { 0x0F2D, "arrivalpathgoalpos" },
    { 0x0F2E, "arrivalstance" },
    { 0x0F2F, "arrivalstartdist" },
    { 0x0F30, "arrivaltype" },
    { 0x0F31, "arrive" },
    { 0x0F32, "arrived" },
    { 0x0F33, "artemis_fire" },
    { 0x0F34, "artemis_fire_think" },
    { 0x0F35, "artemis_think" },
    { 0x0F36, "artemisnofiresound" },
    { 0x0F37, "artifact_pulse" },
    { 0x0F38, "artifacts" },
    { 0x0F39, "artifacts_fade" },
    { 0x0F3A, "artillery_balcony_stumble" },
    { 0x0F3B, "artillery_balcony_stumble_skip" },
    { 0x0F3C, "artillery_balcony_stumblers_setup" },
    { 0x0F3D, "artillery_disable_player_mg" },
    { 0x0F3E, "artillery_disableweapons" },
    { 0x0F3F, "artillery_earthquake" },
    { 0x0F40, "artillery_hesco_tower_drones" },
    { 0x0F41, "artillery_hit_drones" },
    { 0x0F42, "artillery_player_mg_check" },
    { 0x0F43, "artillery_player_slide" },
    { 0x0F44, "artillery_shell_wake_watcher" },
    { 0x0F45, "artillery_smoke_grenade" },
    { 0x0F46, "artillerydangercenters" },
    { 0x0F47, "artilleryshellshock" },
    { 0x0F48, "ascend_aim_lerp_anims" },
    { 0x0F49, "ascend_aim_logic" },
    { 0x0F4A, "ascend_aim_logic_cleanup" },
    { 0x0F4B, "ascend_anim_node" },
    { 0x0F4C, "ascend_anims_rate" },
    { 0x0F4D, "ascend_ascend_state" },
    { 0x0F4E, "ascend_ascend_state_transition" },
    { 0x0F4F, "ascend_ascender" },
    { 0x0F50, "ascend_current_rate" },
    { 0x0F51, "ascend_dialog" },
    { 0x0F52, "ascend_enemy" },
    { 0x0F53, "ascend_hook" },
    { 0x0F54, "ascend_hook_ally1" },
    { 0x0F55, "ascend_hook_ally2" },
    { 0x0F56, "ascend_hook_ally3" },
    { 0x0F57, "ascend_hook_ally4" },
    { 0x0F58, "ascend_idle_state" },
    { 0x0F59, "ascend_idle_state_transition" },
    { 0x0F5A, "ascend_ignoreme_loop" },
    { 0x0F5B, "ascend_launch_pos" },
    { 0x0F5C, "ascend_launcher" },
    { 0x0F5D, "ascend_logic" },
    { 0x0F5E, "ascend_mblur_changes" },
    { 0x0F5F, "ascend_mechanics" },
    { 0x0F60, "ascend_pendulum" },
    { 0x0F61, "ascend_rope1" },
    { 0x0F62, "ascend_rope2" },
    { 0x0F63, "ascend_rope3" },
    { 0x0F64, "ascend_snow_fx" },
    { 0x0F65, "ascend_state" },
    { 0x0F66, "ascend_state_transition" },
    { 0x0F67, "ascend_stop_state" },
    { 0x0F68, "ascend_stop_state_transition" },
    { 0x0F69, "ascend_target_rate" },
    { 0x0F6A, "ascend_vision_sets" },
    { 0x0F6B, "ascend_waiting" },
    { 0x0F6C, "ascend_wind_01" },
    { 0x0F6D, "ascend_wind_02" },
    { 0x0F6E, "ascend_wind_03" },
    { 0x0F6F, "ascend_wind_04" },
    { 0x0F70, "ascender" },
    { 0x0F71, "ash_fall" },
    { 0x0F72, "ash_fall_thread" },
    { 0x0F73, "ash_init" },
    { 0x0F74, "asign_blackhawk_riders" },
    { 0x0F75, "assemble_debris" },
    { 0x0F76, "assemble_plane_wing" },
    { 0x0F77, "assembly_line" },
    { 0x0F78, "assembly_line_animate" },
    { 0x0F79, "assembly_line_notetrack_sound" },
    { 0x0F7A, "assembly_line_notetracks" },
    { 0x0F7B, "assembly_line_piece" },
    { 0x0F7C, "assembly_line_precache" },
    { 0x0F7D, "assembly_line_tank_damage_watch" },
    { 0x0F7E, "assembly_line_tank_notetracks" },
    { 0x0F7F, "assembly_line_tank_part_damage_watch" },
    { 0x0F80, "assembly_line_tank_part_damage_watch_end" },
    { 0x0F81, "assembly_line_tank_part_explode" },
    { 0x0F82, "assembly_line_tank_part_extinguish" },
    { 0x0F83, "assembly_line_tank_part_visible" },
    { 0x0F84, "assert_existance_of_anim" },
    { 0x0F85, "assert_if_anim_not_defined" },
    { 0x0F86, "assert_if_identical_origins" },
    { 0x0F87, "assetname" },
    { 0x0F88, "assign_alien_attributes" },
    { 0x0F89, "assign_alpha" },
    { 0x0F8A, "assign_animals_tree" },
    { 0x0F8B, "assign_animtree" },
    { 0x0F8C, "assign_archetypes" },
    { 0x0F8D, "assign_bravo" },
    { 0x0F8E, "assign_chatter" },
    { 0x0F8F, "assign_drone_tree" },
    { 0x0F90, "assign_friendly_heros" },
    { 0x0F91, "assign_fx_to_trigger" },
    { 0x0F92, "assign_generic_human_tree" },
    { 0x0F93, "assign_model" },
    { 0x0F94, "assign_npcid" },
    { 0x0F95, "assign_script_breachgroup_to_ents" },
    { 0x0F96, "assign_unique_id" },
    { 0x0F97, "assignaward" },
    { 0x0F98, "assignawards" },
    { 0x0F99, "assignteamspawns" },
    { 0x0F9A, "assistedsuicide" },
    { 0x0F9B, "assists_disabled" },
    { 0x0F9C, "assumed_match_length" },
    { 0x0F9D, "at_edge" },
    { 0x0F9E, "at_edge_sign" },
    { 0x0F9F, "at_end_anim_freeze_frame" },
    { 0x0FA0, "at_goal_node" },
    { 0x0FA1, "at_least_goal" },
    { 0x0FA2, "atbrinkofdeath" },
    { 0x0FA3, "atconcealmentnode" },
    { 0x0FA4, "atrium_checkpoint" },
    { 0x0FA5, "atrium_done" },
    { 0x0FA6, "atrium_final_stand" },
    { 0x0FA7, "atrium_player_inside" },
    { 0x0FA8, "atrium_player_outside" },
    { 0x0FA9, "atrium_wave2" },
    { 0x0FAA, "atrium_wave3" },
    { 0x0FAB, "atrium_wave4" },
    { 0x0FAC, "attach_audio_points_to_player" },
    { 0x0FAD, "attach_cig" },
    { 0x0FAE, "attach_cig_self" },
    { 0x0FAF, "attach_clip" },
    { 0x0FB0, "attach_deck_gun" },
    { 0x0FB1, "attach_dust_to_mover" },
    { 0x0FB2, "attach_flashlight" },
    { 0x0FB3, "attach_fx_anim_model" },
    { 0x0FB4, "attach_fx_anim_model_alley_flood" },
    { 0x0FB5, "attach_fx_anim_model_mall_debris" },
    { 0x0FB6, "attach_fx_anim_model_street_flood" },
    { 0x0FB7, "attach_in_volume" },
    { 0x0FB8, "attach_model_override" },
    { 0x0FB9, "attach_path_and_drive" },
    { 0x0FBA, "attach_phone" },
    { 0x0FBB, "attach_pistol_left" },
    { 0x0FBC, "attach_pistol_right" },
    { 0x0FBD, "attach_point" },
    { 0x0FBE, "attached_actor" },
    { 0x0FBF, "attached_item" },
    { 0x0FC0, "attachedguys" },
    { 0x0FC1, "attachedmodels" },
    { 0x0FC2, "attachedpath" },
    { 0x0FC3, "attachedusemodel" },
    { 0x0FC4, "attachgrenademodel" },
    { 0x0FC5, "attachhat" },
    { 0x0FC6, "attachhead" },
    { 0x0FC7, "attachlid" },
    { 0x0FC8, "attachment" },
    { 0x0FC9, "attachmentcheck" },
    { 0x0FCA, "attachmentgroup" },
    { 0x0FCB, "attachmentmap_attachtoperk" },
    { 0x0FCC, "attachmentmap_basetounique" },
    { 0x0FCD, "attachmentmap_tobase" },
    { 0x0FCE, "attachmentmap_tounique" },
    { 0x0FCF, "attachmentmap_uniquetobase" },
    { 0x0FD0, "attachmentperkmap" },
    { 0x0FD1, "attachments" },
    { 0x0FD2, "attachmentscompatible" },
    { 0x0FD3, "attachmissiles" },
    { 0x0FD4, "attachplayer" },
    { 0x0FD5, "attachplayertochopper" },
    { 0x0FD6, "attachprops" },
    { 0x0FD7, "attachpropsfunction" },
    { 0x0FD8, "attachturret" },
    { 0x0FD9, "attachweapon" },
    { 0x0FDA, "attack_chopper_monitoruse" },
    { 0x0FDB, "attack_chopper_pot" },
    { 0x0FDC, "attack_chopper_reward_pool" },
    { 0x0FDD, "attack_damage_trigger" },
    { 0x0FDE, "attack_dir" },
    { 0x0FDF, "attack_heli" },
    { 0x0FE0, "attack_heli_cleanup" },
    { 0x0FE1, "attack_heli_fx" },
    { 0x0FE2, "attack_heli_safe_volumes" },
    { 0x0FE3, "attack_if_provoked" },
    { 0x0FE4, "attack_indicator_off" },
    { 0x0FE5, "attack_indicator_on" },
    { 0x0FE6, "attack_missile_set_up_and_notify" },
    { 0x0FE7, "attack_num" },
    { 0x0FE8, "attack_origin_condition_threadd" },
    { 0x0FE9, "attack_player_after_death" },
    { 0x0FEA, "attack_pos" },
    { 0x0FEB, "attack_sequence_num" },
    { 0x0FEC, "attack_sound_setup" },
    { 0x0FED, "attack_targets" },
    { 0x0FEE, "attack_times" },
    { 0x0FEF, "attackable" },
    { 0x0FF0, "attackable_ent" },
    { 0x0FF1, "attackarrow" },
    { 0x0FF2, "attackback" },
    { 0x0FF3, "attacked" },
    { 0x0FF4, "attacked_by_dog" },
    { 0x0FF5, "attackenemyaircraft" },
    { 0x0FF6, "attacker" },
    { 0x0FF7, "attacker_damage" },
    { 0x0FF8, "attacker_isonmyteam" },
    { 0x0FF9, "attacker_troop_isonmyteam" },
    { 0x0FFA, "attackercandamageitem" },
    { 0x0FFB, "attackerdata" },
    { 0x0FFC, "attackerent" },
    { 0x0FFD, "attackerinlaststand" },
    { 0x0FFE, "attackerinremotekillstreak" },
    { 0x0FFF, "attackerishittingteam" },
    { 0x1000, "attackernum" },
    { 0x1001, "attackeronground" },
    { 0x1002, "attackerposition" },
    { 0x1003, "attackerride" },
    { 0x1004, "attackers" },
    { 0x1005, "attackerstance" },
    { 0x1006, "attackertable" },
    { 0x1007, "attackgroundtarget" },
    { 0x1008, "attackheightpos" },
    { 0x1009, "attackheliaiburstsize" },
    { 0x100A, "attackheliexcluders" },
    { 0x100B, "attackhelifov" },
    { 0x100C, "attackheligraceperiod" },
    { 0x100D, "attackhelikillsai" },
    { 0x100E, "attackhelimemory" },
    { 0x100F, "attackhelimovetime" },
    { 0x1010, "attackheliplayerbreak" },
    { 0x1011, "attackhelirange" },
    { 0x1012, "attackhelitargetreaquire" },
    { 0x1013, "attackhelitimeout" },
    { 0x1014, "attacking_player" },
    { 0x1015, "attacklasedtarget" },
    { 0x1016, "attackmiss" },
    { 0x1017, "attackmisstracktargetthread" },
    { 0x1018, "attackmovetime" },
    { 0x1019, "attacknothingtodo" },
    { 0x101A, "attackoffset" },
    { 0x101B, "attackradiussq" },
    { 0x101C, "attacks" },
    { 0x101D, "attackstate" },
    { 0x101E, "attacksuppressableenemy" },
    { 0x101F, "attackteleportthread" },
    { 0x1020, "attacktrigger" },
    { 0x1021, "attackvisibleenemy" },
    { 0x1022, "attackzheight" },
    { 0x1023, "attempt_bad_path_melee" },
    { 0x1024, "attempt_bad_path_move_nearby_node" },
    { 0x1025, "attempt_badpath_jump" },
    { 0x1026, "attempt_badpath_move_to_node" },
    { 0x1027, "attempt_fire_loc" },
    { 0x1028, "attemptmelee" },
    { 0x1029, "attract_guys_to_dog" },
    { 0x102A, "attract_range" },
    { 0x102B, "attract_strength" },
    { 0x102C, "attractor" },
    { 0x102D, "attractor2" },
    { 0x102E, "attractor_flare" },
    { 0x102F, "attributes" },
    { 0x1030, "atv_collide_death" },
    { 0x1031, "atv_death_launchslide" },
    { 0x1032, "atv_decide_shoot" },
    { 0x1033, "atv_decide_shoot_internal" },
    { 0x1034, "atv_do_event" },
    { 0x1035, "atv_get_death_anim" },
    { 0x1036, "atv_getoff" },
    { 0x1037, "atv_geton" },
    { 0x1038, "atv_handle_events" },
    { 0x1039, "atv_loop_driver" },
    { 0x103A, "atv_loop_driver_shooting" },
    { 0x103B, "atv_normal_death" },
    { 0x103C, "atv_reload" },
    { 0x103D, "atv_reload_internal" },
    { 0x103E, "atv_setanim_common" },
    { 0x103F, "atv_setanim_driver" },
    { 0x1040, "atv_shoot" },
    { 0x1041, "atv_start_shooting" },
    { 0x1042, "atv_stop_shooting" },
    { 0x1043, "atv_trackshootentorpos_driver" },
    { 0x1044, "atv_waitfor_end" },
    { 0x1045, "atv_waitfor_start_aim" },
    { 0x1046, "atv_waitfor_start_lean" },
    { 0x1047, "atvshootbehavior" },
    { 0x1048, "aud_30mm_tail" },
    { 0x1049, "aud_add_progress_map" },
    { 0x104A, "aud_ajax_chair" },
    { 0x104B, "aud_ajax_flare" },
    { 0x104C, "aud_alarm" },
    { 0x104D, "aud_ally_gear_rustle" },
    { 0x104E, "aud_ally_gear_rustle_2" },
    { 0x104F, "aud_aux_explosions" },
    { 0x1050, "aud_bar" },
    { 0x1051, "aud_binoculars" },
    { 0x1052, "aud_birds" },
    { 0x1053, "aud_blow_vehicle" },
    { 0x1054, "aud_blow_vehicle_low" },
    { 0x1055, "aud_breach" },
    { 0x1056, "aud_bullet_count" },
    { 0x1057, "aud_bumpy_ride" },
    { 0x1058, "aud_bust_thru" },
    { 0x1059, "aud_bust_windshield" },
    { 0x105A, "aud_c4_hesh" },
    { 0x105B, "aud_c4_keegan" },
    { 0x105C, "aud_can_play_bldg_shake" },
    { 0x105D, "aud_can_play_outside_wind_gusts" },
    { 0x105E, "aud_can_play_rappel_footsteps" },
    { 0x105F, "aud_can_play_rope_creak" },
    { 0x1060, "aud_can_play_tilt_screams" },
    { 0x1061, "aud_car_creak" },
    { 0x1062, "aud_carr_begin_promotion" },
    { 0x1063, "aud_carr_bg_rog_01" },
    { 0x1064, "aud_carr_bg_rog_02" },
    { 0x1065, "aud_carr_bg_rog_03" },
    { 0x1066, "aud_carr_dead_sparrow_ops" },
    { 0x1067, "aud_carr_deck_tilt_osprey" },
    { 0x1068, "aud_carr_elevator_exp" },
    { 0x1069, "aud_carr_elevator_front" },
    { 0x106A, "aud_carr_elevator_rear" },
    { 0x106B, "aud_carr_exfil_bg_heli" },
    { 0x106C, "aud_carr_exfil_heli" },
    { 0x106D, "aud_carr_exfil_rog" },
    { 0x106E, "aud_carr_exfil_rog_incoming" },
    { 0x106F, "aud_carr_exp_heli_blade" },
    { 0x1070, "aud_carr_exp_heli_bounce" },
    { 0x1071, "aud_carr_exp_heli_exp" },
    { 0x1072, "aud_carr_exp_heli_whoosh" },
    { 0x1073, "aud_carr_ghost_mask_on_plr" },
    { 0x1074, "aud_carr_gunship_attack_run" },
    { 0x1075, "aud_carr_gunship_killed" },
    { 0x1076, "aud_carr_hesh_talk_explode" },
    { 0x1077, "aud_carr_osprey_doors" },
    { 0x1078, "aud_carr_osprey_engines" },
    { 0x1079, "aud_carr_osprey_loader" },
    { 0x107A, "aud_carr_osprey_zone_off" },
    { 0x107B, "aud_carr_osprey_zone_on" },
    { 0x107C, "aud_carr_pharmacy_shut" },
    { 0x107D, "aud_carr_pickup_osprey_control" },
    { 0x107E, "aud_carr_player_cuts_rope" },
    { 0x107F, "aud_carr_promotion_dog" },
    { 0x1080, "aud_carr_promotion_hsh" },
    { 0x1081, "aud_carr_promotion_mrk" },
    { 0x1082, "aud_carr_promotion_plr" },
    { 0x1083, "aud_carr_slowmo_bg" },
    { 0x1084, "aud_carr_slowmo_in" },
    { 0x1085, "aud_carr_slowmo_out" },
    { 0x1086, "aud_carr_slowmo_roll" },
    { 0x1087, "aud_carr_slowmo_slide" },
    { 0x1088, "aud_carr_sparrow_105_hit" },
    { 0x1089, "aud_carr_sparrow_105_incoming" },
    { 0x108A, "aud_carr_sparrow_run_hit" },
    { 0x108B, "aud_carr_sparrow_zone_off" },
    { 0x108C, "aud_carr_sparrow_zone_on" },
    { 0x108D, "aud_carr_tilt_plr_death" },
    { 0x108E, "aud_carr_tilt_plr_vault" },
    { 0x108F, "aud_carr_victory_deck_checkpoint" },
    { 0x1090, "aud_carr_zodiac_deck_explode" },
    { 0x1091, "aud_carr_zodiac_deck_explode_vista" },
    { 0x1092, "aud_cart_crash" },
    { 0x1093, "aud_charge_set" },
    { 0x1094, "aud_check" },
    { 0x1095, "aud_chopper_down" },
    { 0x1096, "aud_chopper_second" },
    { 0x1097, "aud_clear_zone_medbay" },
    { 0x1098, "aud_collapse" },
    { 0x1099, "aud_convo" },
    { 0x109A, "aud_convoy_done" },
    { 0x109B, "aud_convoy_start" },
    { 0x109C, "aud_coughing" },
    { 0x109D, "aud_deck_jet_catapult_01" },
    { 0x109E, "aud_deck_jet_catapult_02" },
    { 0x109F, "aud_deck_siren" },
    { 0x10A0, "aud_deck_transition_zone" },
    { 0x10A1, "aud_defend_zodiac_osprey_zone" },
    { 0x10A2, "aud_defend_zodiac_zone" },
    { 0x10A3, "aud_disable_deathsdoor_audio" },
    { 0x10A4, "aud_dish_crash" },
    { 0x10A5, "aud_distant_alarm" },
    { 0x10A6, "aud_do_wind" },
    { 0x10A7, "aud_dog_scratch" },
    { 0x10A8, "aud_dog_thread" },
    { 0x10A9, "aud_door" },
    { 0x10AA, "aud_door_bust_open" },
    { 0x10AB, "aud_doppler_grenade" },
    { 0x10AC, "aud_drillholenumber" },
    { 0x10AD, "aud_dry_fire" },
    { 0x10AE, "aud_enable_deathsdoor_audio" },
    { 0x10AF, "aud_end_random_chatter_and_pa" },
    { 0x10B0, "aud_end_sniper" },
    { 0x10B1, "aud_end_truck" },
    { 0x10B2, "aud_enemy_foley" },
    { 0x10B3, "aud_enemy_muffled_vo" },
    { 0x10B4, "aud_engine_fail" },
    { 0x10B5, "aud_exit_truck" },
    { 0x10B6, "aud_ext_bombs" },
    { 0x10B7, "aud_fast_jets" },
    { 0x10B8, "aud_filter_off" },
    { 0x10B9, "aud_filter_on" },
    { 0x10BA, "aud_finale_ally_locs" },
    { 0x10BB, "aud_finale_chopper1" },
    { 0x10BC, "aud_finale_chopper2" },
    { 0x10BD, "aud_finale_chopper3" },
    { 0x10BE, "aud_finale_chopper4" },
    { 0x10BF, "aud_finale_pa_guys" },
    { 0x10C0, "aud_finale_sniper" },
    { 0x10C1, "aud_finale_sniper2" },
    { 0x10C2, "aud_flap_loop" },
    { 0x10C3, "aud_flare_grab" },
    { 0x10C4, "aud_flare_kill" },
    { 0x10C5, "aud_flight_deck_bell" },
    { 0x10C6, "aud_focus_zoom" },
    { 0x10C7, "aud_fx_planes" },
    { 0x10C8, "aud_gas_mask_on" },
    { 0x10C9, "aud_gear_sounds" },
    { 0x10CA, "aud_gunship_circling_pattern" },
    { 0x10CB, "aud_gunship_incoming_zodiac" },
    { 0x10CC, "aud_gunship_loc" },
    { 0x10CD, "aud_gunship_loc2" },
    { 0x10CE, "aud_gunship_trans_4_105_01" },
    { 0x10CF, "aud_gunship_trans_4_105_02" },
    { 0x10D0, "aud_handle_allies_remote_sniper" },
    { 0x10D1, "aud_handle_remote_sniper_ai" },
    { 0x10D2, "aud_hatch_close" },
    { 0x10D3, "aud_hvt" },
    { 0x10D4, "aud_hvt_boomtimer01" },
    { 0x10D5, "aud_hvt_destruct01" },
    { 0x10D6, "aud_hvt_destruct02" },
    { 0x10D7, "aud_hvt_rescue_thread" },
    { 0x10D8, "aud_ignore_timescale" },
    { 0x10D9, "aud_in_sparrow" },
    { 0x10DA, "aud_init_animation_sounds" },
    { 0x10DB, "aud_init_flags" },
    { 0x10DC, "aud_init_globals" },
    { 0x10DD, "aud_interrogation" },
    { 0x10DE, "aud_intro" },
    { 0x10DF, "aud_intro_alarms" },
    { 0x10E0, "aud_intro_cargo_doors" },
    { 0x10E1, "aud_intro_choppers" },
    { 0x10E2, "aud_intro_convoy_counter" },
    { 0x10E3, "aud_intro_keegan_tinkering" },
    { 0x10E4, "aud_intro_seq_lr" },
    { 0x10E5, "aud_intro_tank_hud" },
    { 0x10E6, "aud_invert" },
    { 0x10E7, "aud_inverted_kill_finish" },
    { 0x10E8, "aud_inverted_kill_firstguy" },
    { 0x10E9, "aud_jeep_flip" },
    { 0x10EA, "aud_jet_attack" },
    { 0x10EB, "aud_junction" },
    { 0x10EC, "aud_keegan_gunfire" },
    { 0x10ED, "aud_last_time" },
    { 0x10EE, "aud_last_zoom" },
    { 0x10EF, "aud_lerp_eq_over_time" },
    { 0x10F0, "aud_limit_weaps" },
    { 0x10F1, "aud_listen_mk32_reload" },
    { 0x10F2, "aud_listen_sprint_or_switch" },
    { 0x10F3, "aud_lynx_death_listener" },
    { 0x10F4, "aud_lynx_guys" },
    { 0x10F5, "aud_lynx_rider_death_listener" },
    { 0x10F6, "aud_lynx_turrets" },
    { 0x10F7, "aud_map" },
    { 0x10F8, "aud_map_range" },
    { 0x10F9, "aud_max_bullets" },
    { 0x10FA, "aud_medbay_alarms" },
    { 0x10FB, "aud_medbay_pa" },
    { 0x10FC, "aud_mk32_dud_beep" },
    { 0x10FD, "aud_mk32_dud_beep_atrium" },
    { 0x10FE, "aud_mk32_dud_beep_hit" },
    { 0x10FF, "aud_move_turret_ents" },
    { 0x1100, "aud_music" },
    { 0x1101, "aud_mute_field_guys" },
    { 0x1102, "aud_ocean01_line_emitter_create" },
    { 0x1103, "aud_ocean02_line_emitter_create" },
    { 0x1104, "aud_old_height" },
    { 0x1105, "aud_old_rotation" },
    { 0x1106, "aud_osprey_controller_off" },
    { 0x1107, "aud_osprey_controller_on" },
    { 0x1108, "aud_osprey_fire" },
    { 0x1109, "aud_osprey_mgun_fire" },
    { 0x110A, "aud_osprey_run" },
    { 0x110B, "aud_outside_crowd" },
    { 0x110C, "aud_outside_crowd_rear" },
    { 0x110D, "aud_outside_music" },
    { 0x110E, "aud_outside_music_rear" },
    { 0x110F, "aud_pa_guys" },
    { 0x1110, "aud_party" },
    { 0x1111, "aud_pickup_mk32" },
    { 0x1112, "aud_pings" },
    { 0x1113, "aud_play_and_move_sound" },
    { 0x1114, "aud_play_battlestations_music" },
    { 0x1115, "aud_play_deck_music" },
    { 0x1116, "aud_play_deck_reveal_music" },
    { 0x1117, "aud_play_exfil_music" },
    { 0x1118, "aud_play_intro_music" },
    { 0x1119, "aud_play_jet_flyby" },
    { 0x111A, "aud_play_jets_zoomby" },
    { 0x111B, "aud_play_loop_until_flag" },
    { 0x111C, "aud_play_medbay_music" },
    { 0x111D, "aud_play_random_tilt_scream" },
    { 0x111E, "aud_play_random_wind_gust" },
    { 0x111F, "aud_play_tilt_music" },
    { 0x1120, "aud_play_victory_deck_music" },
    { 0x1121, "aud_play_whizby" },
    { 0x1122, "aud_play_zodiac_music" },
    { 0x1123, "aud_player_gunfire" },
    { 0x1124, "aud_player_jumps_from_sparrow" },
    { 0x1125, "aud_player_reloading" },
    { 0x1126, "aud_player_slide" },
    { 0x1127, "aud_player_tank_int_on" },
    { 0x1128, "aud_post_sparrow_music" },
    { 0x1129, "aud_pre_sniper_rpg_death_listener" },
    { 0x112A, "aud_pre_sniper_rpg_explode" },
    { 0x112B, "aud_pre_sniper_rpg_gunner_listener" },
    { 0x112C, "aud_pre_sniper_rpg_listener" },
    { 0x112D, "aud_radio_chatter" },
    { 0x112E, "aud_rand_creak" },
    { 0x112F, "aud_rand_gust_near" },
    { 0x1130, "aud_random_enemy_chatter" },
    { 0x1131, "aud_random_enemy_pa" },
    { 0x1132, "aud_random_metal_crumbles" },
    { 0x1133, "aud_random_rumbles" },
    { 0x1134, "aud_random_rumbles_intro" },
    { 0x1135, "aud_rappel" },
    { 0x1136, "aud_rappel_combat" },
    { 0x1137, "aud_rappel_jump_down" },
    { 0x1138, "aud_rpg_explode" },
    { 0x1139, "aud_rpg_gunner_listener" },
    { 0x113A, "aud_rpg_listener" },
    { 0x113B, "aud_rumble_loop" },
    { 0x113C, "aud_salsa_music" },
    { 0x113D, "aud_screen_shake_jumps" },
    { 0x113E, "aud_set_spec_ops" },
    { 0x113F, "aud_ship_listing" },
    { 0x1140, "aud_slow_mo" },
    { 0x1141, "aud_slowmo_bg" },
    { 0x1142, "aud_sniper_background" },
    { 0x1143, "aud_sniper_fire" },
    { 0x1144, "aud_sniper_start_zoom" },
    { 0x1145, "aud_sniper_stop_zoom" },
    { 0x1146, "aud_sparrow_aiming" },
    { 0x1147, "aud_sparrow_launcher_loop" },
    { 0x1148, "aud_sparrow_run_spawn_fires" },
    { 0x1149, "aud_sparrow_tone" },
    { 0x114A, "aud_stadium_crumble1" },
    { 0x114B, "aud_stadium_crumble2" },
    { 0x114C, "aud_start_garden_events" },
    { 0x114D, "aud_start_pseudo_occlusion" },
    { 0x114E, "aud_start_sniper" },
    { 0x114F, "aud_start_sniper_finale" },
    { 0x1150, "aud_start_sniper_intro" },
    { 0x1151, "aud_stop_wind" },
    { 0x1152, "aud_switch_zone_medbay" },
    { 0x1153, "aud_temp_timer" },
    { 0x1154, "aud_tilt_barrels_01" },
    { 0x1155, "aud_tilt_debris_01" },
    { 0x1156, "aud_tilt_front_deck" },
    { 0x1157, "aud_tilt_pitch_fx" },
    { 0x1158, "aud_tilt_sliding_cart_01" },
    { 0x1159, "aud_tilt_sliding_guya" },
    { 0x115A, "aud_tilt_sliding_guyb" },
    { 0x115B, "aud_tower_collapse" },
    { 0x115C, "aud_tower_to_deck" },
    { 0x115D, "aud_traverse_ally_locs" },
    { 0x115E, "aud_truck_drive" },
    { 0x115F, "aud_truck_enter" },
    { 0x1160, "aud_truck_ext_idle_loop" },
    { 0x1161, "aud_truck_ride_idle" },
    { 0x1162, "aud_truck_start" },
    { 0x1163, "aud_turret_indices" },
    { 0x1164, "aud_turret_loop_on" },
    { 0x1165, "aud_updating_movement" },
    { 0x1166, "aud_vehicle_jolt" },
    { 0x1167, "aud_vehicle_jolt_count" },
    { 0x1168, "aud_victory_deck_spawn_fires" },
    { 0x1169, "aud_vip_ally_locs" },
    { 0x116A, "aud_vip_breach" },
    { 0x116B, "aud_vip_combat" },
    { 0x116C, "aud_virus" },
    { 0x116D, "aud_wave2_ambient_jets" },
    { 0x116E, "aud_wave3_ambient_jets" },
    { 0x116F, "aud_weapon_strobe" },
    { 0x1170, "aud_wind_loop" },
    { 0x1171, "aud_wind_state_last" },
    { 0x1172, "aud_zipline" },
    { 0x1173, "aud_zipline_launcher_loop" },
    { 0x1174, "aud_zipline_launcher_turn_cooldown" },
    { 0x1175, "aud_zodiac_gunship_attack_105_fake" },
    { 0x1176, "aud_zodiac_gunship_attack_barrels" },
    { 0x1177, "aud_zodiac_jet_catapult_01" },
    { 0x1178, "aud_zodiac_jet_catapult_02" },
    { 0x1179, "aud_zodiac_to_sparrow_zone" },
    { 0x117A, "aud_zoom_in_sound" },
    { 0x117B, "aud_zoom_on" },
    { 0x117C, "aud_zoom_out_sound" },
    { 0x117D, "audio" },
    { 0x117E, "audio_bink_percentage_beep_array" },
    { 0x117F, "audio_check_to_play_a_beep_or_not" },
    { 0x1180, "audio_derrick_explode_logic" },
    { 0x1181, "audio_entities" },
    { 0x1182, "audio_flag_init" },
    { 0x1183, "audio_flag_inits" },
    { 0x1184, "audio_flood_end_logic" },
    { 0x1185, "audio_jet_counter" },
    { 0x1186, "audio_odin_pressurized_variable" },
    { 0x1187, "audio_plane_engine_sounds_dying" },
    { 0x1188, "audio_play_last_upload_beep" },
    { 0x1189, "audio_player_falling_start" },
    { 0x118A, "audio_roll" },
    { 0x118B, "audio_set_default_ambience" },
    { 0x118C, "audio_set_fadein_ambience" },
    { 0x118D, "audio_set_infil_ambience" },
    { 0x118E, "audio_set_initial_ambience" },
    { 0x118F, "audio_speed" },
    { 0x1190, "audio_start_destruction_loop" },
    { 0x1191, "audio_start_plane_engine_sounds" },
    { 0x1192, "audio_start_pressure" },
    { 0x1193, "audio_start_rushing_water_line_emitter_01" },
    { 0x1194, "audio_start_rushing_water_line_emitter_02" },
    { 0x1195, "audio_start_rushing_water_line_emitter_03" },
    { 0x1196, "audio_stereo_line_emitter" },
    { 0x1197, "audio_stop_choke" },
    { 0x1198, "audio_stringtable_mapname" },
    { 0x1199, "audio_underwater_breath_bubbles" },
    { 0x119A, "audio_underwater_breath_surfacing" },
    { 0x119B, "audio_underwater_choke" },
    { 0x119C, "audio_wait_to_delete_water_node" },
    { 0x119D, "audio_water_level_logic" },
    { 0x119E, "audio_zones" },
    { 0x119F, "audx_validate_env_array" },
    { 0x11A0, "aurora_anims" },
    { 0x11A1, "auto" },
    { 0x11A2, "auto_adjust_difficulty_player_movement_check" },
    { 0x11A3, "auto_adjust_difficulty_player_positioner" },
    { 0x11A4, "auto_adjust_difficulty_track_player_death" },
    { 0x11A5, "auto_adjust_difficulty_track_player_shots" },
    { 0x11A6, "auto_adjust_enemy_death_detection" },
    { 0x11A7, "auto_adjust_enemy_died" },
    { 0x11A8, "auto_adjust_flags" },
    { 0x11A9, "auto_adjust_new_zone" },
    { 0x11AA, "auto_adjust_results" },
    { 0x11AB, "auto_adust_zone_complete" },
    { 0x11AC, "auto_breach" },
    { 0x11AD, "auto_breach_gametypes" },
    { 0x11AE, "auto_flash_text" },
    { 0x11AF, "auto_kill_enemies" },
    { 0x11B0, "auto_mg42_target" },
    { 0x11B1, "auto_mgturretlink" },
    { 0x11B2, "auto_pilot_rot_control_ref_ent" },
    { 0x11B3, "autoadjust_playerspots" },
    { 0x11B4, "autoassign" },
    { 0x11B5, "autoclosetimeout" },
    { 0x11B6, "automatic" },
    { 0x11B7, "automatic_sliding_door_detector" },
    { 0x11B8, "automatic_sliding_door_logic" },
    { 0x11B9, "autoresettime" },
    { 0x11BA, "autosave_by_name" },
    { 0x11BB, "autosave_by_name_silent" },
    { 0x11BC, "autosave_by_name_thread" },
    { 0x11BD, "autosave_check_override" },
    { 0x11BE, "autosave_now" },
    { 0x11BF, "autosave_now_silent" },
    { 0x11C0, "autosave_now_trigger" },
    { 0x11C1, "autosave_or_timeout" },
    { 0x11C2, "autosave_past_balcony" },
    { 0x11C3, "autosave_proximity_threat_func" },
    { 0x11C4, "autosave_recon" },
    { 0x11C5, "autosave_stealth" },
    { 0x11C6, "autosave_stealth_silent" },
    { 0x11C7, "autosave_tactical" },
    { 0x11C8, "autosave_tactical_grenade_check" },
    { 0x11C9, "autosave_tactical_grenade_check_dieout" },
    { 0x11CA, "autosave_tactical_player_nades" },
    { 0x11CB, "autosave_tactical_proc" },
    { 0x11CC, "autosave_tactical_setup" },
    { 0x11CD, "autosave_threat_check_enabled" },
    { 0x11CE, "autosave_timeout" },
    { 0x11CF, "autosaveammocheck" },
    { 0x11D0, "autosavecheck" },
    { 0x11D1, "autosavecheck_not_picky" },
    { 0x11D2, "autosavehealthcheck" },
    { 0x11D3, "autosavenamethink" },
    { 0x11D4, "autosaveplayercheck" },
    { 0x11D5, "autosaveprint" },
    { 0x11D6, "autosaves_think" },
    { 0x11D7, "autosavethreatcheck" },
    { 0x11D8, "autoshootanimrate" },
    { 0x11D9, "autospot_is_close_to_player" },
    { 0x11DA, "autospotadswatcher" },
    { 0x11DB, "autospotdeathwatcher" },
    { 0x11DC, "autotarget" },
    { 0x11DD, "avaiabletargets" },
    { 0x11DE, "available" },
    { 0x11DF, "availabledrones" },
    { 0x11E0, "availablepositions" },
    { 0x11E1, "avengeddog" },
    { 0x11E2, "avengedplayer" },
    { 0x11E3, "avoidairstrikelocations" },
    { 0x11E4, "avoidcarepackages" },
    { 0x11E5, "avoidcornervisibleenemies" },
    { 0x11E6, "avoidenemiesbydistance" },
    { 0x11E7, "avoidenemyspawn" },
    { 0x11E8, "avoidfullvisibleenemies" },
    { 0x11E9, "avoidgrenades" },
    { 0x11EA, "avoidkillstreakonspawntimer" },
    { 0x11EB, "avoidlastattackerlocation" },
    { 0x11EC, "avoidlastdeathlocation" },
    { 0x11ED, "avoidmines" },
    { 0x11EE, "avoidrecentlyused" },
    { 0x11EF, "avoidsamespawn" },
    { 0x11F0, "avoidtelefrag" },
    { 0x11F1, "awaittill_either" },
    { 0x11F2, "award1_ref" },
    { 0x11F3, "award2_ref" },
    { 0x11F4, "award_intel" },
    { 0x11F5, "awardplayerchallengecomplete" },
    { 0x11F6, "awards" },
    { 0x11F7, "awardxp" },
    { 0x11F8, "aware_aievents" },
    { 0x11F9, "awareness" },
    { 0x11FA, "awareness_param" },
    { 0x11FB, "axes" },
    { 0x11FC, "axiscapturing" },
    { 0x11FD, "axischopper" },
    { 0x11FE, "axisinsertchopper" },
    { 0x11FF, "axismode" },
    { 0x1200, "b" },
    { 0x1201, "b_bad_guys" },
    { 0x1202, "b_falling" },
    { 0x1203, "b_guys" },
    { 0x1204, "back_alley_humvee" },
    { 0x1205, "back_jerk" },
    { 0x1206, "back_light_on" },
    { 0x1207, "back_velocity" },
    { 0x1208, "back_weight" },
    { 0x1209, "back_wheel_sfx" },
    { 0x120A, "backdoor_guy" },
    { 0x120B, "backend_friendly_stealth_logic" },
    { 0x120C, "background" },
    { 0x120D, "background_block" },
    { 0x120E, "background_event_setup" },
    { 0x120F, "background_radio_emitter" },
    { 0x1210, "background_vo" },
    { 0x1211, "backplate_sound_on" },
    { 0x1212, "backstab" },
    { 0x1213, "backtank" },
    { 0x1214, "backtodefendlocation" },
    { 0x1215, "backtorunondamage" },
    { 0x1216, "backupbuddyplayfx" },
    { 0x1217, "backwardyaw" },
    { 0x1218, "baclonyguys" },
    { 0x1219, "bad_guy" },
    { 0x121A, "bad_path_handled" },
    { 0x121B, "baddies" },
    { 0x121C, "badger" },
    { 0x121D, "badpath" },
    { 0x121E, "badpath_jump" },
    { 0x121F, "badpathcount" },
    { 0x1220, "badpathtime" },
    { 0x1221, "badplace" },
    { 0x1222, "badplace_brush_flatten_angles" },
    { 0x1223, "badplace_brush_moving" },
    { 0x1224, "badplace_cylinder_func" },
    { 0x1225, "badplace_delete_func" },
    { 0x1226, "badplace_name" },
    { 0x1227, "badplace_remove" },
    { 0x1228, "badplace_think" },
    { 0x1229, "badplaceint" },
    { 0x122A, "badplacemodifier" },
    { 0x122B, "badplacename" },
    { 0x122C, "badplacer" },
    { 0x122D, "badplaces" },
    { 0x122E, "badshot" },
    { 0x122F, "badshotcount" },
    { 0x1230, "badtarget" },
    { 0x1231, "badtargetreset" },
    { 0x1232, "bag_name" },
    { 0x1233, "bag_trigger_off_if_player_has_weapon" },
    { 0x1234, "bag_trigger_wait" },
    { 0x1235, "bag_vis_callback" },
    { 0x1236, "bags" },
    { 0x1237, "baker" },
    { 0x1238, "baker_anim" },
    { 0x1239, "baker_approach" },
    { 0x123A, "baker_building_entry_movement" },
    { 0x123B, "baker_crawl_dialogue" },
    { 0x123C, "baker_dive" },
    { 0x123D, "baker_drag_body1" },
    { 0x123E, "baker_drop_bag" },
    { 0x123F, "baker_end" },
    { 0x1240, "baker_enemy" },
    { 0x1241, "baker_enter" },
    { 0x1242, "baker_enter_struct" },
    { 0x1243, "baker_enter_wreck" },
    { 0x1244, "baker_glint" },
    { 0x1245, "baker_glint_off" },
    { 0x1246, "baker_glint_on" },
    { 0x1247, "baker_in_to_jeep_anim" },
    { 0x1248, "baker_junction_door_open" },
    { 0x1249, "baker_killfirms" },
    { 0x124A, "baker_move_to_stealth_2" },
    { 0x124B, "baker_noncombat" },
    { 0x124C, "baker_path_to_wreck" },
    { 0x124D, "baker_post_jump_dialogue" },
    { 0x124E, "baker_post_up_at_sharks" },
    { 0x124F, "baker_quip_on_death" },
    { 0x1250, "baker_rappel_hookup" },
    { 0x1251, "baker_sonar_path" },
    { 0x1252, "baker_sonar_path_dialogue" },
    { 0x1253, "baker_sonar_speed_change" },
    { 0x1254, "baker_struct" },
    { 0x1255, "baker_torpedo_position" },
    { 0x1256, "baker_wait_at_container" },
    { 0x1257, "baker_wait_in_front_of_wreck" },
    { 0x1258, "baker_weld_door" },
    { 0x1259, "baker_wreck_cleanup" },
    { 0x125A, "baker_wreck_dialogue" },
    { 0x125B, "balanceteams" },
    { 0x125C, "balcony" },
    { 0x125D, "balcony_allies_playerhind_logic" },
    { 0x125E, "balcony_anims" },
    { 0x125F, "balcony_check" },
    { 0x1260, "balcony_collapse_stumble" },
    { 0x1261, "balcony_death" },
    { 0x1262, "balcony_death_damage_watcher" },
    { 0x1263, "balcony_death_func" },
    { 0x1264, "balcony_enemies_clip" },
    { 0x1265, "balcony_fall_deaths" },
    { 0x1266, "balcony_friendlies" },
    { 0x1267, "balcony_kill_trigger" },
    { 0x1268, "balcony_read" },
    { 0x1269, "balcony_turret" },
    { 0x126A, "balconyent" },
    { 0x126B, "balconystumblers" },
    { 0x126C, "ball" },
    { 0x126D, "ball_angle" },
    { 0x126E, "ball_i" },
    { 0x126F, "ball_inplace" },
    { 0x1270, "ball_offset" },
    { 0x1271, "ball_ring" },
    { 0x1272, "balldrone" },
    { 0x1273, "balldrone_attacktargets" },
    { 0x1274, "balldrone_backup_handledamage" },
    { 0x1275, "balldrone_backup_turret_handledamage" },
    { 0x1276, "balldrone_burstfirestart" },
    { 0x1277, "balldrone_burstfirestop" },
    { 0x1278, "balldrone_enemy_lightfx" },
    { 0x1279, "balldrone_followplayer" },
    { 0x127A, "balldrone_friendly_lightfx" },
    { 0x127B, "balldrone_handledamage" },
    { 0x127C, "balldrone_leave" },
    { 0x127D, "balldrone_movetoplayer" },
    { 0x127E, "balldrone_moving_platform_death" },
    { 0x127F, "balldrone_stunned" },
    { 0x1280, "balldrone_watchdeath" },
    { 0x1281, "balldrone_watchforgoal" },
    { 0x1282, "balldrone_watchownerdeath" },
    { 0x1283, "balldrone_watchownerloss" },
    { 0x1284, "balldrone_watchroundend" },
    { 0x1285, "balldrone_watchtimeout" },
    { 0x1286, "balldronedestroyed" },
    { 0x1287, "balldroneexplode" },
    { 0x1288, "balldrones" },
    { 0x1289, "balldronesettings" },
    { 0x128A, "balldronetype" },
    { 0x128B, "balloon_count" },
    { 0x128C, "balloons" },
    { 0x128D, "ballytankmove" },
    { 0x128E, "bang_stick_rotate" },
    { 0x128F, "bar" },
    { 0x1290, "bar_animnode" },
    { 0x1291, "bar_death" },
    { 0x1292, "bar_drift_rate" },
    { 0x1293, "bar_enemies" },
    { 0x1294, "bar_enemies_wave2" },
    { 0x1295, "bar_enemy_kill_rorke" },
    { 0x1296, "bar_enemy_lights_out_accuracy" },
    { 0x1297, "bar_enemy_panic_vo" },
    { 0x1298, "bar_enemy_reach" },
    { 0x1299, "bar_enemy_react" },
    { 0x129A, "bar_enemy_seek_player" },
    { 0x129B, "bar_enemy_setup" },
    { 0x129C, "bar_enemy_strobe_react" },
    { 0x129D, "bar_enemy_strobe_vo" },
    { 0x129E, "bar_enemy_vo" },
    { 0x129F, "bar_enemy_wave2_3_react" },
    { 0x12A0, "bar_enemy_wave2_behavior" },
    { 0x12A1, "bar_guy10" },
    { 0x12A2, "bar_guy11" },
    { 0x12A3, "bar_guy9" },
    { 0x12A4, "bar_guy_watch_death" },
    { 0x12A5, "bar_light" },
    { 0x12A6, "bar_prep" },
    { 0x12A7, "bar_props" },
    { 0x12A8, "bar_react_variable_wait" },
    { 0x12A9, "bar_rorke" },
    { 0x12AA, "bar_rorke_move_on" },
    { 0x12AB, "bar_rorke_shoot_tv" },
    { 0x12AC, "bar_rorke_strobe_attack" },
    { 0x12AD, "bar_rorke_warning_vo" },
    { 0x12AE, "bar_spotted_func" },
    { 0x12AF, "bar_stool_anim" },
    { 0x12B0, "bar_strobe_ally" },
    { 0x12B1, "bar_strobe_player_force_off" },
    { 0x12B2, "bar_strobe_player_on" },
    { 0x12B3, "barbed_wire_waver" },
    { 0x12B4, "barbedwirerunners" },
    { 0x12B5, "bared_wire_scene" },
    { 0x12B6, "bark_trigger" },
    { 0x12B7, "barking_sound" },
    { 0x12B8, "barkingdog_handle_stealth_break" },
    { 0x12B9, "barrel" },
    { 0x12BA, "barrel_earthquake" },
    { 0x12BB, "barrel_model_1" },
    { 0x12BC, "barrel_model_2" },
    { 0x12BD, "barrel_model_3" },
    { 0x12BE, "barrel_model_4" },
    { 0x12BF, "barrel_model_5" },
    { 0x12C0, "barrel_roll" },
    { 0x12C1, "barrelexpsound" },
    { 0x12C2, "barriercollision" },
    { 0x12C3, "barrivalsenabled" },
    { 0x12C4, "base" },
    { 0x12C5, "base_accuracy" },
    { 0x12C6, "base_alarm" },
    { 0x12C7, "base_alarm_loop" },
    { 0x12C8, "base_angles" },
    { 0x12C9, "base_array_ai_cleanup_spawn_function" },
    { 0x12CA, "base_array_allies_setup" },
    { 0x12CB, "base_array_ambient_a10_gun_dive_1" },
    { 0x12CC, "base_array_ambient_a10_gun_dive_1b" },
    { 0x12CD, "base_array_ambient_a10_gun_dive_2" },
    { 0x12CE, "base_array_ambient_a10_gun_dive_2b" },
    { 0x12CF, "base_array_ambient_a10_gun_dive_3" },
    { 0x12D0, "base_array_ambient_a10_gun_dive_3b" },
    { 0x12D1, "base_array_ambient_dogfight_1" },
    { 0x12D2, "base_array_ambient_dogfight_1b" },
    { 0x12D3, "base_array_ambient_dogfight_2" },
    { 0x12D4, "base_array_ambient_dogfight_2b" },
    { 0x12D5, "base_array_ambient_dogfight_3" },
    { 0x12D6, "base_array_ambient_dogfight_3b" },
    { 0x12D7, "base_array_ambient_dogfight_4b" },
    { 0x12D8, "base_array_ambient_dogfight_5b" },
    { 0x12D9, "base_array_ambient_dogfight_6b" },
    { 0x12DA, "base_array_ambient_dogfight_6c" },
    { 0x12DB, "base_array_begin" },
    { 0x12DC, "base_array_choppers" },
    { 0x12DD, "base_array_cleanup" },
    { 0x12DE, "base_array_end_vo" },
    { 0x12DF, "base_array_enemies_setup" },
    { 0x12E0, "base_array_exit_rpg" },
    { 0x12E1, "base_array_hints" },
    { 0x12E2, "base_array_init" },
    { 0x12E3, "base_array_main" },
    { 0x12E4, "base_array_mortar_strikes" },
    { 0x12E5, "base_array_pinned_down_allies" },
    { 0x12E6, "base_array_setup_reverse_start" },
    { 0x12E7, "base_array_trucks_01_setup" },
    { 0x12E8, "base_array_trucks_static_setup" },
    { 0x12E9, "base_array_vo" },
    { 0x12EA, "base_falling_hands_anim" },
    { 0x12EB, "base_falling_legs_anim" },
    { 0x12EC, "base_origin" },
    { 0x12ED, "baseaccuracy" },
    { 0x12EE, "basealpha" },
    { 0x12EF, "baseangles" },
    { 0x12F0, "basecamp_dof" },
    { 0x12F1, "baseeffectforward" },
    { 0x12F2, "baseeffectpos" },
    { 0x12F3, "baseeffectright" },
    { 0x12F4, "baseeffectswaitforjoined" },
    { 0x12F5, "basefontscale" },
    { 0x12F6, "baseheight" },
    { 0x12F7, "baseignorerandombulletdamage" },
    { 0x12F8, "baseline_speed" },
    { 0x12F9, "basement_ally_movement" },
    { 0x12FA, "basement_combat_handlers" },
    { 0x12FB, "basename" },
    { 0x12FC, "baseorigin" },
    { 0x12FD, "basetile" },
    { 0x12FE, "basetime" },
    { 0x12FF, "basewidth" },
    { 0x1300, "baseyaw" },
    { 0x1301, "basic" },
    { 0x1302, "batman_begins" },
    { 0x1303, "batman_rotate_plane" },
    { 0x1304, "battery_usage" },
    { 0x1305, "battingcage_door_peek" },
    { 0x1306, "battle_chatter_controller_friendlies" },
    { 0x1307, "battlebuddy" },
    { 0x1308, "battlebuddyrespawntimestamp" },
    { 0x1309, "battlebuddywaitlist" },
    { 0x130A, "battlechatter" },
    { 0x130B, "battlechatter_canprint" },
    { 0x130C, "battlechatter_canprintdump" },
    { 0x130D, "battlechatter_debugprint" },
    { 0x130E, "battlechatter_dist_check" },
    { 0x130F, "battlechatter_off" },
    { 0x1310, "battlechatter_on" },
    { 0x1311, "battlechatter_on_thread" },
    { 0x1312, "battlechatter_print" },
    { 0x1313, "battlechatter_printdump" },
    { 0x1314, "battlechatter_printdumpline" },
    { 0x1315, "battlechatter_setup" },
    { 0x1316, "bay_door_lower" },
    { 0x1317, "bay_door_lower_model" },
    { 0x1318, "bay_door_upper" },
    { 0x1319, "bay_door_upper_model" },
    { 0x131A, "bbdata_init" },
    { 0x131B, "bc_amb_fx" },
    { 0x131C, "bc_ascend" },
    { 0x131D, "bc_ascend_fic" },
    { 0x131E, "bc_back" },
    { 0x131F, "bc_back_fic" },
    { 0x1320, "bc_enabled" },
    { 0x1321, "bc_end" },
    { 0x1322, "bc_end_fic" },
    { 0x1323, "bc_eventtypelastusedtime" },
    { 0x1324, "bc_eventtypelastusedtimeplr" },
    { 0x1325, "bc_front" },
    { 0x1326, "bc_front_fic" },
    { 0x1327, "bc_helo_fic" },
    { 0x1328, "bc_helo_reinforce" },
    { 0x1329, "bc_helo_reinforce_kill" },
    { 0x132A, "bc_intro" },
    { 0x132B, "bc_isspeaking" },
    { 0x132C, "bc_mid" },
    { 0x132D, "bc_mid_fic" },
    { 0x132E, "bc_rolling_door_open" },
    { 0x132F, "bc_snow_tweaks" },
    { 0x1330, "bc_street" },
    { 0x1331, "bc_street_cleanup" },
    { 0x1332, "bc_street_fic" },
    { 0x1333, "bccountryid" },
    { 0x1334, "bcdrawobjects" },
    { 0x1335, "bcgetclaimednode" },
    { 0x1336, "bcinfo" },
    { 0x1337, "bcissniper" },
    { 0x1338, "bclearstrafeturnrate" },
    { 0x1339, "bcname" },
    { 0x133A, "bcnameid" },
    { 0x133B, "bcprintfailprefix" },
    { 0x133C, "bcprintwarnprefix" },
    { 0x133D, "bcqb_pa_playing" },
    { 0x133E, "bcrank" },
    { 0x133F, "bcrashmix" },
    { 0x1340, "bcs_location_mappings" },
    { 0x1341, "bcs_location_trigger_mapping" },
    { 0x1342, "bcs_location_trigs_init" },
    { 0x1343, "bcs_locations" },
    { 0x1344, "bcs_maxtalkingdistsqrdfromplayer" },
    { 0x1345, "bcs_maxthreatdistsqrdfromplayer" },
    { 0x1346, "bcs_minpriority" },
    { 0x1347, "bcs_on" },
    { 0x1348, "bcs_scripted_dialogue_start" },
    { 0x1349, "bcs_setup_chatter_toggle_array" },
    { 0x134A, "bcs_setup_countryids" },
    { 0x134B, "bcs_setup_flavorburst_toggle_array" },
    { 0x134C, "bcs_setup_teams_array" },
    { 0x134D, "bcs_setup_voice" },
    { 0x134E, "bcs_threatresettime" },
    { 0x134F, "bcs_trigs_assign_aliases" },
    { 0x1350, "bcsdebugwaiter" },
    { 0x1351, "bcsenabled" },
    { 0x1352, "bcsounds" },
    { 0x1353, "bdamagesoundplaying" },
    { 0x1354, "bdcheck" },
    { 0x1355, "bdeathsoundplaying" },
    { 0x1356, "bdefenddoorexplosionplaying" },
    { 0x1357, "bdisabledefaultfacialanims" },
    { 0x1358, "bdisablegearsounds" },
    { 0x1359, "bdisablemovetwitch" },
    { 0x135A, "bdoorbreakfoleyplayed" },
    { 0x135B, "bdoturnandmove" },
    { 0x135C, "bdrillon" },
    { 0x135D, "bdriverkilled" },
    { 0x135E, "beach_a10_return_flybys" },
    { 0x135F, "beach_ai" },
    { 0x1360, "beach_ally_default" },
    { 0x1361, "beach_ambient_helicopters" },
    { 0x1362, "beach_artillery_balcony_logic" },
    { 0x1363, "beach_balcony_collapse_watcher" },
    { 0x1364, "beach_battlehind_default" },
    { 0x1365, "beach_battlehind_rpgers" },
    { 0x1366, "beach_battlehinds_manager" },
    { 0x1367, "beach_battlehinds_start" },
    { 0x1368, "beach_bunker_backtrack_blocker" },
    { 0x1369, "beach_bunker_drones" },
    { 0x136A, "beach_bunker_stumble_event" },
    { 0x136B, "beach_bunker_stumbler_sound" },
    { 0x136C, "beach_dof_changes" },
    { 0x136D, "beach_enemy_attack_player_manager" },
    { 0x136E, "beach_enemy_default" },
    { 0x136F, "beach_enemy_default_targeting" },
    { 0x1370, "beach_flyover_helis" },
    { 0x1371, "beach_front_nodes_think" },
    { 0x1372, "beach_frontline_abrams" },
    { 0x1373, "beach_frontline_abrams_mg" },
    { 0x1374, "beach_hind_balcony_logic" },
    { 0x1375, "beach_hind_balcony_missile_logic" },
    { 0x1376, "beach_hovercraft_looper" },
    { 0x1377, "beach_hovercraft_tanks_default" },
    { 0x1378, "beach_idle" },
    { 0x1379, "beach_m880_death_hack" },
    { 0x137A, "beach_matv" },
    { 0x137B, "beach_nh90_damagestate" },
    { 0x137C, "beach_nh90_flybys" },
    { 0x137D, "beach_path_drones" },
    { 0x137E, "beach_playerhind_attack_logic" },
    { 0x137F, "beach_playerhind_attack_target" },
    { 0x1380, "beach_playerhind_attack_target_player" },
    { 0x1381, "beach_reveal_turn_off_mix_snapshot" },
    { 0x1382, "beach_runners" },
    { 0x1383, "beach_sequence_bunker_new" },
    { 0x1384, "beach_sequence_trenches" },
    { 0x1385, "beach_ship_ambient_artillery" },
    { 0x1386, "beach_ship_phalanx_start" },
    { 0x1387, "beach_ship_phalanx_system" },
    { 0x1388, "beach_ship_phalanx_system_complex" },
    { 0x1389, "beach_ship_phalanx_think" },
    { 0x138A, "beach_spawn_functions" },
    { 0x138B, "beach_tank_balcony_logic" },
    { 0x138C, "beach_tank_balcony_stumble" },
    { 0x138D, "beach_tank_balcony_stumbler_notetrack" },
    { 0x138E, "beach_tower_runners_off" },
    { 0x138F, "beach_tower_runners_on" },
    { 0x1390, "beach_trenches_combat" },
    { 0x1391, "beach_trenches_combat_part2" },
    { 0x1392, "beach_trenches_dialogue" },
    { 0x1393, "beach_trenches_part2_dialogue" },
    { 0x1394, "beach_vehicle_default" },
    { 0x1395, "beach_wave1_ai" },
    { 0x1396, "beach_wave1_artillery_dialog" },
    { 0x1397, "beach_wave1_artillery_drones" },
    { 0x1398, "beach_wave1_artillery_retreat" },
    { 0x1399, "beach_wave1_dialog" },
    { 0x139A, "beach_wave1_enemy_ai" },
    { 0x139B, "beach_wave1_enemy_drones" },
    { 0x139C, "beach_wave1_hind_flybys" },
    { 0x139D, "beach_wave1_logic" },
    { 0x139E, "beach_wave2_dialogue" },
    { 0x139F, "beach_wave2_inithinds" },
    { 0x13A0, "beach_wave2_logic" },
    { 0x13A1, "beach_wave2_playerhind_deathfunc" },
    { 0x13A2, "beach_wave2_playerhind_evade" },
    { 0x13A3, "beach_wave2_playerhind_evade_cleanup" },
    { 0x13A4, "beach_wave2_playerhind_init" },
    { 0x13A5, "beach_wave2_playerhind_path_logic" },
    { 0x13A6, "beach_wave2_playerhind_pathing" },
    { 0x13A7, "beach_wave2_tank_setup" },
    { 0x13A8, "beach_wave2_vehicle_watcher" },
    { 0x13A9, "beach_wave3_dialogue" },
    { 0x13AA, "beach_wave3_logic" },
    { 0x13AB, "beach_wave3_tank_dropoff" },
    { 0x13AC, "beach_wave3_tank_setup" },
    { 0x13AD, "beachfronelinedrones" },
    { 0x13AE, "beachfrontguys" },
    { 0x13AF, "beachhinds" },
    { 0x13B0, "beachlander" },
    { 0x13B1, "beachtanks" },
    { 0x13B2, "beffectlooping" },
    { 0x13B3, "before_breach_guys" },
    { 0x13B4, "beforestairanim" },
    { 0x13B5, "begin_ambush" },
    { 0x13B6, "begin_anim_reach" },
    { 0x13B7, "begin_atrium" },
    { 0x13B8, "begin_attack_func" },
    { 0x13B9, "begin_attack_heli_behavior" },
    { 0x13BA, "begin_bar" },
    { 0x13BB, "begin_building_entry" },
    { 0x13BC, "begin_capture" },
    { 0x13BD, "begin_chaos" },
    { 0x13BE, "begin_checkpoint" },
    { 0x13BF, "begin_clubhouse" },
    { 0x13C0, "begin_combat" },
    { 0x13C1, "begin_concussion_grenade_tracking" },
    { 0x13C2, "begin_courtyard" },
    { 0x13C3, "begin_deck_combat" },
    { 0x13C4, "begin_deck_tilt" },
    { 0x13C5, "begin_deck_transition" },
    { 0x13C6, "begin_deck_victory" },
    { 0x13C7, "begin_defend" },
    { 0x13C8, "begin_defend_blowdoors1" },
    { 0x13C9, "begin_defend_blowdoors2" },
    { 0x13CA, "begin_defend_fire_blocker" },
    { 0x13CB, "begin_defend_plat" },
    { 0x13CC, "begin_defend_sparrow" },
    { 0x13CD, "begin_defend_zodiac" },
    { 0x13CE, "begin_drive_in" },
    { 0x13CF, "begin_exfil" },
    { 0x13D0, "begin_exfil_bridge" },
    { 0x13D1, "begin_exfil_cave" },
    { 0x13D2, "begin_exfil_tank" },
    { 0x13D3, "begin_finale" },
    { 0x13D4, "begin_garden" },
    { 0x13D5, "begin_hvt" },
    { 0x13D6, "begin_hvt_test" },
    { 0x13D7, "begin_interior" },
    { 0x13D8, "begin_interior_combat" },
    { 0x13D9, "begin_interior_cqb" },
    { 0x13DA, "begin_interior_vault_scene" },
    { 0x13DB, "begin_intro" },
    { 0x13DC, "begin_inverted_rappel" },
    { 0x13DD, "begin_junction" },
    { 0x13DE, "begin_medbay" },
    { 0x13DF, "begin_new_finale" },
    { 0x13E0, "begin_rail" },
    { 0x13E1, "begin_rail_vo" },
    { 0x13E2, "begin_rappel" },
    { 0x13E3, "begin_rappel_stealth" },
    { 0x13E4, "begin_rooftop_intro" },
    { 0x13E5, "begin_rooftop_shoot" },
    { 0x13E6, "begin_run_to_sparrow" },
    { 0x13E7, "begin_semtex_grenade_tracking" },
    { 0x13E8, "begin_shadow_kill" },
    { 0x13E9, "begin_slow_intro" },
    { 0x13EA, "begin_stairwell" },
    { 0x13EB, "begin_sway" },
    { 0x13EC, "begin_teargas" },
    { 0x13ED, "begin_traverse" },
    { 0x13EE, "begin_vip" },
    { 0x13EF, "begin_zipline" },
    { 0x13F0, "beginairdropmarkertracking" },
    { 0x13F1, "beginairdropviamarker" },
    { 0x13F2, "beginc4tracking" },
    { 0x13F3, "beginclasschoice" },
    { 0x13F4, "begincustomevent" },
    { 0x13F5, "begindeployableviamarker" },
    { 0x13F6, "begingrenadetracking" },
    { 0x13F7, "beginharrier" },
    { 0x13F8, "beginningoflevelsave" },
    { 0x13F9, "beginsliding" },
    { 0x13FA, "beginsmokegrenadetracking" },
    { 0x13FB, "beginteamchoice" },
    { 0x13FC, "behavior" },
    { 0x13FD, "being_charged" },
    { 0x13FE, "being_revived" },
    { 0x13FF, "beingartilleryshellshocked" },
    { 0x1400, "beingdestroyed" },
    { 0x1401, "beingrevived" },
    { 0x1402, "belowcumulativepainthreshold" },
    { 0x1403, "bestheight" },
    { 0x1404, "bestminitarget" },
    { 0x1405, "bestspawnflag" },
    { 0x1406, "besttarget" },
    { 0x1407, "better" },
    { 0x1408, "betty_tutorial_given" },
    { 0x1409, "bettys" },
    { 0x140A, "bfirstmoveanim" },
    { 0x140B, "bg" },
    { 0x140C, "bg_loop_sound" },
    { 0x140D, "bg_rog_hit" },
    { 0x140E, "bg_rog_impact" },
    { 0x140F, "bg_viewbobmax" },
    { 0x1410, "bg_weaponbobamplitudebase" },
    { 0x1411, "bg_zodiac_respawn" },
    { 0x1412, "bgazcrushsndplaying" },
    { 0x1413, "bhasbadpath" },
    { 0x1414, "bhasgunwhileriding" },
    { 0x1415, "bhasnopath" },
    { 0x1416, "bidlehitreaction" },
    { 0x1417, "bidlelooking" },
    { 0x1418, "big_dish_fall" },
    { 0x1419, "big_message" },
    { 0x141A, "big_wave_2" },
    { 0x141B, "big_wave_addl_effects" },
    { 0x141C, "big_wreck_2_dialogue" },
    { 0x141D, "big_wreck_2_setup" },
    { 0x141E, "big_wreck_baker_stealth" },
    { 0x141F, "big_wreck_collapse" },
    { 0x1420, "big_wreck_dialogue" },
    { 0x1421, "big_wreck_encounter" },
    { 0x1422, "big_wreck_fake_shake" },
    { 0x1423, "big_wreck_kill_when_outside" },
    { 0x1424, "big_wreck_setup" },
    { 0x1425, "big_wreck_shark" },
    { 0x1426, "big_wreck_shark_baker_teleport" },
    { 0x1427, "big_wreck_tilt" },
    { 0x1428, "big_wreck_track_player_gunfire" },
    { 0x1429, "big_wreck_wait_turnaround" },
    { 0x142A, "bigjump" },
    { 0x142B, "bigjump_player_blend_to_anim" },
    { 0x142C, "bigjump_timedelta" },
    { 0x142D, "bigmissile1" },
    { 0x142E, "bike" },
    { 0x142F, "bike_avoidance_offset" },
    { 0x1430, "bike_avoids_obstacles" },
    { 0x1431, "bike_death_score" },
    { 0x1432, "bike_drives_path" },
    { 0x1433, "bike_ent_wipe_out_check" },
    { 0x1434, "bike_randomly_changes_lanes" },
    { 0x1435, "bike_score" },
    { 0x1436, "bike_turns" },
    { 0x1437, "bin_failsafe" },
    { 0x1438, "binding" },
    { 0x1439, "bink_current_time" },
    { 0x143A, "bink_is_paused" },
    { 0x143B, "bink_percentage" },
    { 0x143C, "bink_start_time" },
    { 0x143D, "binoc_target" },
    { 0x143E, "binocular_body_features_left" },
    { 0x143F, "binocular_body_features_right" },
    { 0x1440, "binocular_face_scanning" },
    { 0x1441, "binocular_face_scanning_data" },
    { 0x1442, "binocular_face_scanning_lines" },
    { 0x1443, "binocular_face_scanning_lines_complete" },
    { 0x1444, "binocular_facial_profile" },
    { 0x1445, "binocular_hvt" },
    { 0x1446, "binocular_profile_materials" },
    { 0x1447, "binocular_reticle_target" },
    { 0x1448, "binocular_reticle_target_reaction" },
    { 0x1449, "binocular_status_update" },
    { 0x144A, "binocular_target" },
    { 0x144B, "binocular_zoom_levels" },
    { 0x144C, "binocular_zooming" },
    { 0x144D, "binoculars_active" },
    { 0x144E, "binoculars_angles_display" },
    { 0x144F, "binoculars_calculate_range" },
    { 0x1450, "binoculars_clear_hud" },
    { 0x1451, "binoculars_clearing_hud" },
    { 0x1452, "binoculars_default_zoom_level" },
    { 0x1453, "binoculars_face_scanning_models" },
    { 0x1454, "binoculars_hide_deactive_hint" },
    { 0x1455, "binoculars_hide_hint" },
    { 0x1456, "binoculars_hud" },
    { 0x1457, "binoculars_hud_item" },
    { 0x1458, "binoculars_init" },
    { 0x1459, "binoculars_init_hud" },
    { 0x145A, "binoculars_linked_to_target" },
    { 0x145B, "binoculars_lock_to_target" },
    { 0x145C, "binoculars_monitor_scanning" },
    { 0x145D, "binoculars_monitor_scanning_button" },
    { 0x145E, "binoculars_pip_disable" },
    { 0x145F, "binoculars_pip_enable" },
    { 0x1460, "binoculars_pip_init" },
    { 0x1461, "binoculars_pip_update_position" },
    { 0x1462, "binoculars_remove_target_on_death" },
    { 0x1463, "binoculars_reticle_lerp_to_tag" },
    { 0x1464, "binoculars_scan_for_targets" },
    { 0x1465, "binoculars_scan_target" },
    { 0x1466, "binoculars_scan_target_points" },
    { 0x1467, "binoculars_scanning_complete" },
    { 0x1468, "binoculars_set_default_zoom_level" },
    { 0x1469, "binoculars_set_vision_set" },
    { 0x146A, "binoculars_stop_scanning" },
    { 0x146B, "binoculars_trace" },
    { 0x146C, "binoculars_unlock_from_target" },
    { 0x146D, "binoculars_vision_set" },
    { 0x146E, "binoculars_zoom_display" },
    { 0x146F, "binoculars_zooming" },
    { 0x1470, "bird_animtree" },
    { 0x1471, "bird_fly" },
    { 0x1472, "bird_flyfromperch" },
    { 0x1473, "bird_fx" },
    { 0x1474, "bird_health" },
    { 0x1475, "bird_model" },
    { 0x1476, "bird_sit" },
    { 0x1477, "bird_startle" },
    { 0x1478, "bird_waitfordamage" },
    { 0x1479, "birdexists" },
    { 0x147A, "birdmodel_anims" },
    { 0x147B, "birds" },
    { 0x147C, "birds_createents" },
    { 0x147D, "birds_delete" },
    { 0x147E, "birds_deleteperchsentient" },
    { 0x147F, "birds_finishbirdtypesetup" },
    { 0x1480, "birds_fly" },
    { 0x1481, "birds_get_first_land" },
    { 0x1482, "birds_get_last_takeoff" },
    { 0x1483, "birds_isperchsafe" },
    { 0x1484, "birds_loadfromstruct" },
    { 0x1485, "birds_on_baddy" },
    { 0x1486, "birds_path_move_first_point" },
    { 0x1487, "birds_perchdangertrigger" },
    { 0x1488, "birds_percheventtrigger" },
    { 0x1489, "birds_perchsetuppath" },
    { 0x148A, "birds_perchtouchtrigger" },
    { 0x148B, "birds_savetostruct" },
    { 0x148C, "birds_savetostructandwaitfortriggerstart" },
    { 0x148D, "birds_set_flying_angles" },
    { 0x148E, "birds_setup" },
    { 0x148F, "birds_setupconnectedperches" },
    { 0x1490, "birds_spawnandflyaway" },
    { 0x1491, "birds_waitfortriggerstop" },
    { 0x1492, "birth_time" },
    { 0x1493, "bisgunner" },
    { 0x1494, "bishop" },
    { 0x1495, "bishop_chair" },
    { 0x1496, "bishop_glimpse" },
    { 0x1497, "bishop_in_crosshairs" },
    { 0x1498, "bishop_loop_carry_pose" },
    { 0x1499, "bishop_mask" },
    { 0x149A, "bishop_speaks" },
    { 0x149B, "bishop_stool" },
    { 0x149C, "bisplayingjameffects" },
    { 0x149D, "bkillplayer" },
    { 0x149E, "black_distance" },
    { 0x149F, "black_fade" },
    { 0x14A0, "black_ice_geyser2_pulse" },
    { 0x14A1, "black_ice_geyser_pulse" },
    { 0x14A2, "black_ice_hide_hud" },
    { 0x14A3, "black_ice_hud" },
    { 0x14A4, "black_ice_hud_actionslotshide" },
    { 0x14A5, "black_ice_hud_ammocounterhide" },
    { 0x14A6, "black_ice_hud_compass" },
    { 0x14A7, "black_ice_hud_showstance" },
    { 0x14A8, "black_ice_show_previous_hud" },
    { 0x14A9, "black_overlay" },
    { 0x14AA, "black_screen_vo" },
    { 0x14AB, "blackbox_alienkilled" },
    { 0x14AC, "blackbox_endgame" },
    { 0x14AD, "blackbox_endgame_score" },
    { 0x14AE, "blackbox_laststand" },
    { 0x14AF, "blackhawk_ally" },
    { 0x14B0, "blackhawk_countermeasure" },
    { 0x14B1, "blackhawk_hides_away" },
    { 0x14B2, "blackhawk_idle_next_to_factory" },
    { 0x14B3, "blackhawk_into_position" },
    { 0x14B4, "blackhawk_landing" },
    { 0x14B5, "blackhawk_path_to_end" },
    { 0x14B6, "blackhawk_unloads_and_takes_off" },
    { 0x14B7, "blackice_exfil_music" },
    { 0x14B8, "blackice_exfil_stinger_music" },
    { 0x14B9, "blackice_ice_chunks_truck" },
    { 0x14BA, "blackice_locations" },
    { 0x14BB, "blackice_pre_ascend_music" },
    { 0x14BC, "blackout" },
    { 0x14BD, "blackout_50" },
    { 0x14BE, "blackout_enemy1and2_react_anims" },
    { 0x14BF, "blackout_enemy3" },
    { 0x14C0, "blackout_enemy45" },
    { 0x14C1, "blackout_loop_anims" },
    { 0x14C2, "blackout_moment_anims" },
    { 0x14C3, "blackout_moment_props" },
    { 0x14C4, "blackout_no_blur" },
    { 0x14C5, "blackout_timer" },
    { 0x14C6, "blackscreen" },
    { 0x14C7, "blackscreen_intro" },
    { 0x14C8, "blank" },
    { 0x14C9, "blast_shield" },
    { 0x14CA, "blastpursuitfailedposbad" },
    { 0x14CB, "blastshieldclamp" },
    { 0x14CC, "blastshieldmod" },
    { 0x14CD, "blastshieldusetracker" },
    { 0x14CE, "blend_droppitch" },
    { 0x14CF, "blend_link_over_time" },
    { 0x14D0, "blend_movespeedscale" },
    { 0x14D1, "blend_movespeedscale_custom" },
    { 0x14D2, "blend_movespeedscale_default" },
    { 0x14D3, "blend_movespeedscale_percent" },
    { 0x14D4, "blend_player_position" },
    { 0x14D5, "blend_player_to_arms" },
    { 0x14D6, "blend_struct" },
    { 0x14D7, "blend_time" },
    { 0x14D8, "blend_to_eq_track" },
    { 0x14D9, "blend_to_exploder" },
    { 0x14DA, "blend_wind_setting_internal" },
    { 0x14DB, "blend_zones" },
    { 0x14DC, "blendanimsbyspeed" },
    { 0x14DD, "blenddelete" },
    { 0x14DE, "blended_link" },
    { 0x14DF, "blendintocrouchrun" },
    { 0x14E0, "blendintocrouchwalk" },
    { 0x14E1, "blendintostandrun" },
    { 0x14E2, "blendintostandwalk" },
    { 0x14E3, "blendtreeanims" },
    { 0x14E4, "blindfire" },
    { 0x14E5, "blinkinglightfx" },
    { 0x14E6, "blinkinglighttag" },
    { 0x14E7, "blitz_all_triggers" },
    { 0x14E8, "blitz_allies_trigger_origin" },
    { 0x14E9, "blitz_axis_trigger_origin" },
    { 0x14EA, "blitzgetteam" },
    { 0x14EB, "block_ally_cornerwaving" },
    { 0x14EC, "block_ally_sneak_to_node" },
    { 0x14ED, "block_for_trigger_release" },
    { 0x14EE, "block_garage_exit" },
    { 0x14EF, "block_off_road_during_convoy" },
    { 0x14F0, "block_until_at_struct" },
    { 0x14F1, "block_until_fully_stopped_and_idle" },
    { 0x14F2, "block_until_ground_collapse" },
    { 0x14F3, "blockarea" },
    { 0x14F4, "blockentsinarea" },
    { 0x14F5, "blocker_hive_active" },
    { 0x14F6, "blocker_hive_burn" },
    { 0x14F7, "blocker_hive_chopper_hp_bar" },
    { 0x14F8, "blocker_hive_cycle" },
    { 0x14F9, "blocker_hive_hp_bar" },
    { 0x14FA, "blocker_hive_pain_monitor" },
    { 0x14FB, "blocker_hive_run" },
    { 0x14FC, "blocker_hives" },
    { 0x14FD, "blockgoalpos" },
    { 0x14FE, "blocking" },
    { 0x14FF, "blockingpain" },
    { 0x1500, "blockplayeruav" },
    { 0x1501, "blockweapondrops" },
    { 0x1502, "blood_splat_on_screen" },
    { 0x1503, "bloodeffect" },
    { 0x1504, "bloodmeleeeffect" },
    { 0x1505, "bloodrushregenhealthmod" },
    { 0x1506, "bloodrushregenspeedmod" },
    { 0x1507, "bloodsplateffect" },
    { 0x1508, "bloody_death" },
    { 0x1509, "bloom_fadein" },
    { 0x150A, "bloom_fadeout" },
    { 0x150B, "blow_wall" },
    { 0x150C, "blowdoors" },
    { 0x150D, "blowit_beep" },
    { 0x150E, "blowout_goalradius_on_pathend" },
    { 0x150F, "blue" },
    { 0x1510, "blue_flare" },
    { 0x1511, "blur" },
    { 0x1512, "blur_death" },
    { 0x1513, "blur_pulse" },
    { 0x1514, "blur_sine" },
    { 0x1515, "blurview" },
    { 0x1516, "bmantisexplosionplaying" },
    { 0x1517, "bmcd_debug_loop" },
    { 0x1518, "bmovingstraight" },
    { 0x1519, "bnoanimunload" },
    { 0x151A, "bnpcpostsoundplaying" },
    { 0x151B, "bo_enemy3" },
    { 0x151C, "bo_enemy4" },
    { 0x151D, "bo_enemy5" },
    { 0x151E, "boarding_vehicle" },
    { 0x151F, "boat1_in_sounds" },
    { 0x1520, "boat2_in_sounds" },
    { 0x1521, "boat_crashing_waves" },
    { 0x1522, "boat_fall_trigs" },
    { 0x1523, "boat_mginit" },
    { 0x1524, "boat_populate" },
    { 0x1525, "boat_quake" },
    { 0x1526, "boat_shoot_entity" },
    { 0x1527, "boat_teleport" },
    { 0x1528, "boat_triggers_spotted" },
    { 0x1529, "boat_vo" },
    { 0x152A, "boats" },
    { 0x152B, "boats_struct" },
    { 0x152C, "bob_axis" },
    { 0x152D, "bob_mask" },
    { 0x152E, "bob_ref" },
    { 0x152F, "bob_value" },
    { 0x1530, "bobbing_actor" },
    { 0x1531, "bobbing_ally" },
    { 0x1532, "bobbing_jitter_cleanup" },
    { 0x1533, "bobbing_object" },
    { 0x1534, "bobbing_player_brush" },
    { 0x1535, "bobbing_ripple" },
    { 0x1536, "bobbing_updown" },
    { 0x1537, "bobcat" },
    { 0x1538, "bodies" },
    { 0x1539, "body" },
    { 0x153A, "body_ext" },
    { 0x153B, "body_int" },
    { 0x153C, "body_is_falling" },
    { 0x153D, "bodyarmorhp" },
    { 0x153E, "bodyindex" },
    { 0x153F, "bodymodel" },
    { 0x1540, "bog_style_mortar" },
    { 0x1541, "bog_style_mortar_activate" },
    { 0x1542, "bog_style_mortar_cleanup" },
    { 0x1543, "bog_style_mortar_cooldown" },
    { 0x1544, "bog_style_mortar_explode" },
    { 0x1545, "bog_style_mortar_off" },
    { 0x1546, "bog_style_mortar_on" },
    { 0x1547, "bog_style_mortar_think" },
    { 0x1548, "bog_style_mortar_trigger" },
    { 0x1549, "bogmortarsgoonce" },
    { 0x154A, "bokeh_ent" },
    { 0x154B, "bokehdots_audition_test" },
    { 0x154C, "bold_dog_jeep" },
    { 0x154D, "bolthit" },
    { 0x154E, "bomb" },
    { 0x154F, "bomb_squad" },
    { 0x1550, "bombdamagewatcher" },
    { 0x1551, "bombdefused" },
    { 0x1552, "bombdefusetrig" },
    { 0x1553, "bomberdropbombs" },
    { 0x1554, "bombexploded" },
    { 0x1555, "bombmodel" },
    { 0x1556, "bombowner" },
    { 0x1557, "bombplanted" },
    { 0x1558, "bombplantedtime" },
    { 0x1559, "bombs" },
    { 0x155A, "bombsquadicon" },
    { 0x155B, "bombsquadicons" },
    { 0x155C, "bombsquadids" },
    { 0x155D, "bombsquadmodel" },
    { 0x155E, "bombsquadvisibilityupdater" },
    { 0x155F, "bombsquadwaiter_missilefire" },
    { 0x1560, "bombstrike" },
    { 0x1561, "bombtimer" },
    { 0x1562, "bombtimerwait" },
    { 0x1563, "bombwatcher" },
    { 0x1564, "bombzones" },
    { 0x1565, "bone" },
    { 0x1566, "boneyard_fire_at_targets" },
    { 0x1567, "boneyard_style_heli_missile_attack" },
    { 0x1568, "boneyard_style_heli_missile_attack_linked" },
    { 0x1569, "bonusupdatetotal" },
    { 0x156A, "bool" },
    { 0x156B, "border" },
    { 0x156C, "border_thickness" },
    { 0x156D, "borders" },
    { 0x156E, "borescope" },
    { 0x156F, "borescope_pip" },
    { 0x1570, "boss_locs" },
    { 0x1571, "bot" },
    { 0x1572, "bot_3d_sighting_model" },
    { 0x1573, "bot_3d_sighting_model_thread" },
    { 0x1574, "bot_abort_tactical_goal" },
    { 0x1575, "bot_add_ambush_time_delayed" },
    { 0x1576, "bot_add_scavenger_bag" },
    { 0x1577, "bot_add_to_bot_damage_targets" },
    { 0x1578, "bot_add_to_bot_level_targets" },
    { 0x1579, "bot_add_to_bot_use_targets" },
    { 0x157A, "bot_allowed_to_use_killstreaks" },
    { 0x157B, "bot_ambush_end" },
    { 0x157C, "bot_assign_personality_functions" },
    { 0x157D, "bot_attachment_reticle" },
    { 0x157E, "bot_attachmenttable" },
    { 0x157F, "bot_balance_personality" },
    { 0x1580, "bot_body_is_dead" },
    { 0x1581, "bot_bots_enabled_or_added" },
    { 0x1582, "bot_cache_entrances" },
    { 0x1583, "bot_cache_entrances_to_bombzones" },
    { 0x1584, "bot_cache_entrances_to_flags_or_radios" },
    { 0x1585, "bot_can_revive" },
    { 0x1586, "bot_can_use_aa_launcher" },
    { 0x1587, "bot_can_use_air_superiority" },
    { 0x1588, "bot_can_use_ball_drone" },
    { 0x1589, "bot_can_use_box_by_type" },
    { 0x158A, "bot_can_use_emp" },
    { 0x158B, "bot_can_use_point_in_defend" },
    { 0x158C, "bot_capture_point" },
    { 0x158D, "bot_capture_zone" },
    { 0x158E, "bot_capture_zone_get_furthest_distance" },
    { 0x158F, "bot_check_team_is_using_position" },
    { 0x1590, "bot_choose_difficulty_for_default" },
    { 0x1591, "bot_chosen_difficulty" },
    { 0x1592, "bot_class" },
    { 0x1593, "bot_client_counts" },
    { 0x1594, "bot_connect_monitor" },
    { 0x1595, "bot_control_heli" },
    { 0x1596, "bot_control_heli_main_move_loop" },
    { 0x1597, "bot_control_heli_pilot" },
    { 0x1598, "bot_control_heli_sniper" },
    { 0x1599, "bot_control_odin" },
    { 0x159A, "bot_control_odin_assault" },
    { 0x159B, "bot_control_odin_support" },
    { 0x159C, "bot_control_switchblade_cluster" },
    { 0x159D, "bot_control_vanguard" },
    { 0x159E, "bot_crate_is_command_goal" },
    { 0x159F, "bot_crate_valid" },
    { 0x15A0, "bot_damage_callback" },
    { 0x15A1, "bot_debug_script_goal" },
    { 0x15A2, "bot_defend_get_precalc_entrances_for_current_area" },
    { 0x15A3, "bot_defend_get_random_entrance_point_for_current_area" },
    { 0x15A4, "bot_defend_player_guarding" },
    { 0x15A5, "bot_defend_stop" },
    { 0x15A6, "bot_defend_think" },
    { 0x15A7, "bot_defending" },
    { 0x15A8, "bot_defending_center" },
    { 0x15A9, "bot_defending_nodes" },
    { 0x15AA, "bot_defending_override_origin_node" },
    { 0x15AB, "bot_defending_radius" },
    { 0x15AC, "bot_defending_trigger" },
    { 0x15AD, "bot_defending_type" },
    { 0x15AE, "bot_delete_badplace_on_death" },
    { 0x15AF, "bot_difficulty_defaults" },
    { 0x15B0, "bot_disable_tactical_goals" },
    { 0x15B1, "bot_draw_circle" },
    { 0x15B2, "bot_draw_cylinder" },
    { 0x15B3, "bot_draw_cylinder_think" },
    { 0x15B4, "bot_enable_tactical_goals" },
    { 0x15B5, "bot_end_control_on_respawn" },
    { 0x15B6, "bot_end_control_on_vehicle_death" },
    { 0x15B7, "bot_end_control_watcher" },
    { 0x15B8, "bot_end_odin_watcher" },
    { 0x15B9, "bot_ent_is_anonymous_mine" },
    { 0x15BA, "bot_filter_ambush_inuse" },
    { 0x15BB, "bot_filter_ambush_vicinity" },
    { 0x15BC, "bot_find_ambush_entrances" },
    { 0x15BD, "bot_find_defend_node_func" },
    { 0x15BE, "bot_find_node_that_protects_point" },
    { 0x15BF, "bot_find_node_to_capture_point" },
    { 0x15C0, "bot_find_node_to_capture_zone" },
    { 0x15C1, "bot_find_node_to_guard_player" },
    { 0x15C2, "bot_find_random_midpoint" },
    { 0x15C3, "bot_fireteam_buddy_search" },
    { 0x15C4, "bot_fireteam_buddy_think" },
    { 0x15C5, "bot_fireteam_buddy_up" },
    { 0x15C6, "bot_fireteam_cac_getperk" },
    { 0x15C7, "bot_fireteam_cac_getprimarygrenade" },
    { 0x15C8, "bot_fireteam_cac_getsecondarygrenade" },
    { 0x15C9, "bot_fireteam_cac_getstreak" },
    { 0x15CA, "bot_fireteam_cac_getweapon" },
    { 0x15CB, "bot_fireteam_cac_getweaponattachment" },
    { 0x15CC, "bot_fireteam_cac_getweaponattachmenttwo" },
    { 0x15CD, "bot_fireteam_cac_getweaponbuff" },
    { 0x15CE, "bot_fireteam_cac_getweaponcamo" },
    { 0x15CF, "bot_fireteam_cac_getweaponreticle" },
    { 0x15D0, "bot_fireteam_connect_monitor" },
    { 0x15D1, "bot_fireteam_follower" },
    { 0x15D2, "bot_fireteam_hunt_zone_find_node" },
    { 0x15D3, "bot_fireteam_init" },
    { 0x15D4, "bot_fireteam_loadout_class_callback" },
    { 0x15D5, "bot_fireteam_monitor_killstreak_earned" },
    { 0x15D6, "bot_fireteam_setup_callback_class" },
    { 0x15D7, "bot_fireteam_setup_callbacks" },
    { 0x15D8, "bot_fireteam_spawn_callback" },
    { 0x15D9, "bot_free_to_move" },
    { 0x15DA, "bot_funcs" },
    { 0x15DB, "bot_gametype_chooses_class" },
    { 0x15DC, "bot_gametype_chooses_team" },
    { 0x15DD, "bot_gametype_precaching_done" },
    { 0x15DE, "bot_get_ambush_trap_item" },
    { 0x15DF, "bot_get_client_limit" },
    { 0x15E0, "bot_get_entrances_for_stance_and_index" },
    { 0x15E1, "bot_get_grenade_ammo" },
    { 0x15E2, "bot_get_grenade_for_purpose" },
    { 0x15E3, "bot_get_heli_goal_dist_sq" },
    { 0x15E4, "bot_get_heli_slowdown_dist_sq" },
    { 0x15E5, "bot_get_known_attacker" },
    { 0x15E6, "bot_get_low_on_ammo" },
    { 0x15E7, "bot_get_nodes_in_cone" },
    { 0x15E8, "bot_get_player_team" },
    { 0x15E9, "bot_get_rank_xp" },
    { 0x15EA, "bot_get_string_index_for_integer" },
    { 0x15EB, "bot_get_team_limit" },
    { 0x15EC, "bot_get_teammates_currently_defending_point" },
    { 0x15ED, "bot_get_teammates_in_radius" },
    { 0x15EE, "bot_get_total_gun_ammo" },
    { 0x15EF, "bot_get_zones_within_dist" },
    { 0x15F0, "bot_get_zones_within_dist_recurs" },
    { 0x15F1, "bot_goal_can_override" },
    { 0x15F2, "bot_grenade_matches_purpose" },
    { 0x15F3, "bot_guard_player" },
    { 0x15F4, "bot_handle_no_valid_defense_node" },
    { 0x15F5, "bot_has_tactical_goal" },
    { 0x15F6, "bot_heli_find_unvisited_nodes" },
    { 0x15F7, "bot_heli_nodes" },
    { 0x15F8, "bot_heli_pilot_traceoffset" },
    { 0x15F9, "bot_in_combat" },
    { 0x15FA, "bot_initialized_remote_vehicles" },
    { 0x15FB, "bot_interaction_type" },
    { 0x15FC, "bot_invalid_attachment_combos" },
    { 0x15FD, "bot_is_bodyguarding" },
    { 0x15FE, "bot_is_capturing" },
    { 0x15FF, "bot_is_defending" },
    { 0x1600, "bot_is_defending_point" },
    { 0x1601, "bot_is_fireteam_mode" },
    { 0x1602, "bot_is_guarding_player" },
    { 0x1603, "bot_is_patrolling" },
    { 0x1604, "bot_is_protecting" },
    { 0x1605, "bot_is_remote_or_linked" },
    { 0x1606, "bot_killstreak_choose_loc_enemies" },
    { 0x1607, "bot_killstreak_drop" },
    { 0x1608, "bot_killstreak_drop_anywhere" },
    { 0x1609, "bot_killstreak_drop_hidden" },
    { 0x160A, "bot_killstreak_drop_outside" },
    { 0x160B, "bot_killstreak_get_all_outside_allies" },
    { 0x160C, "bot_killstreak_get_all_outside_enemies" },
    { 0x160D, "bot_killstreak_get_outside_players" },
    { 0x160E, "bot_killstreak_get_zone_allies_outside" },
    { 0x160F, "bot_killstreak_get_zone_enemies_outside" },
    { 0x1610, "bot_killstreak_is_valid_internal" },
    { 0x1611, "bot_killstreak_is_valid_single" },
    { 0x1612, "bot_killstreak_never_use" },
    { 0x1613, "bot_killstreak_remote_control" },
    { 0x1614, "bot_killstreak_sentry" },
    { 0x1615, "bot_killstreak_setup" },
    { 0x1616, "bot_killstreak_simple_use" },
    { 0x1617, "bot_killstreak_valid_for_specific_streaktype" },
    { 0x1618, "bot_killstreak_vanguard_start" },
    { 0x1619, "bot_killstreak_wait" },
    { 0x161A, "bot_know_enemies_on_start" },
    { 0x161B, "bot_ks_funcs" },
    { 0x161C, "bot_ks_heli_offset" },
    { 0x161D, "bot_leader_dialog" },
    { 0x161E, "bot_load_setup_difficulty_squad_match" },
    { 0x161F, "bot_loadout_choose_from_attachmenttable" },
    { 0x1620, "bot_loadout_choose_from_default_class" },
    { 0x1621, "bot_loadout_choose_from_perktable" },
    { 0x1622, "bot_loadout_choose_from_set" },
    { 0x1623, "bot_loadout_choose_from_statstable" },
    { 0x1624, "bot_loadout_choose_values" },
    { 0x1625, "bot_loadout_class_callback" },
    { 0x1626, "bot_loadout_copy_from_client" },
    { 0x1627, "bot_loadout_fields" },
    { 0x1628, "bot_loadout_perk_slots" },
    { 0x1629, "bot_loadout_pick" },
    { 0x162A, "bot_loadout_set" },
    { 0x162B, "bot_loadout_setup_perks" },
    { 0x162C, "bot_loadout_setup_squad_match" },
    { 0x162D, "bot_loadout_valid_choice" },
    { 0x162E, "bot_loadouts_initialized" },
    { 0x162F, "bot_lui_convert_team_to_int" },
    { 0x1630, "bot_make_entity_sentient" },
    { 0x1631, "bot_map_center" },
    { 0x1632, "bot_map_max_x" },
    { 0x1633, "bot_map_max_y" },
    { 0x1634, "bot_map_max_z" },
    { 0x1635, "bot_map_min_x" },
    { 0x1636, "bot_map_min_y" },
    { 0x1637, "bot_map_min_z" },
    { 0x1638, "bot_melee_tactical_insertion_check" },
    { 0x1639, "bot_memory_goal" },
    { 0x163A, "bot_memory_goal_time" },
    { 0x163B, "bot_monitor_enemy_camp_spots" },
    { 0x163C, "bot_monitor_watch_entrances_at_goal" },
    { 0x163D, "bot_monitor_watch_entrances_bodyguard" },
    { 0x163E, "bot_monitor_watch_entrances_camp" },
    { 0x163F, "bot_new_tactical_goal" },
    { 0x1640, "bot_notify_streak_used" },
    { 0x1641, "bot_odin_find_target_for_airdrop" },
    { 0x1642, "bot_odin_find_target_for_rods" },
    { 0x1643, "bot_odin_get_closest_visible_outside_player" },
    { 0x1644, "bot_odin_get_high_priority_smoke_locations" },
    { 0x1645, "bot_odin_get_num_valid_care_packages" },
    { 0x1646, "bot_odin_get_player_target_point" },
    { 0x1647, "bot_odin_get_visible_outside_players" },
    { 0x1648, "bot_odin_should_airdrop_at_marker" },
    { 0x1649, "bot_odin_should_drop_smoke_at_marker" },
    { 0x164A, "bot_odin_should_fire_flash_at_marker" },
    { 0x164B, "bot_odin_should_fire_rod_at_marker" },
    { 0x164C, "bot_odin_time_to_move" },
    { 0x164D, "bot_odin_try_airdrop" },
    { 0x164E, "bot_odin_try_flash" },
    { 0x164F, "bot_odin_try_rods" },
    { 0x1650, "bot_odin_try_smoke" },
    { 0x1651, "bot_odin_try_spawn_juggernaut" },
    { 0x1652, "bot_out_of_ammo" },
    { 0x1653, "bot_out_of_combat_time" },
    { 0x1654, "bot_outside_gate_watch" },
    { 0x1655, "bot_patrol_area" },
    { 0x1656, "bot_perk_cost" },
    { 0x1657, "bot_perktable" },
    { 0x1658, "bot_perktable_groups" },
    { 0x1659, "bot_pers_init" },
    { 0x165A, "bot_pers_update" },
    { 0x165B, "bot_personality" },
    { 0x165C, "bot_personality_type" },
    { 0x165D, "bot_personality_types_desired" },
    { 0x165E, "bot_pick_random_point_from_set" },
    { 0x165F, "bot_pick_random_point_in_radius" },
    { 0x1660, "bot_pickup_weapon" },
    { 0x1661, "bot_player_spawned" },
    { 0x1662, "bot_point_is_on_pathgrid" },
    { 0x1663, "bot_post_teleport" },
    { 0x1664, "bot_post_use_ammo_crate" },
    { 0x1665, "bot_post_use_box_of_type" },
    { 0x1666, "bot_pre_use_ammo_crate" },
    { 0x1667, "bot_pre_use_box_of_type" },
    { 0x1668, "bot_prematchdonetime" },
    { 0x1669, "bot_protect_point" },
    { 0x166A, "bot_queued_process" },
    { 0x166B, "bot_queued_process_level_thread" },
    { 0x166C, "bot_queued_process_level_thread_active" },
    { 0x166D, "bot_queued_process_queue" },
    { 0x166E, "bot_random_path" },
    { 0x166F, "bot_random_path_default" },
    { 0x1670, "bot_random_path_function" },
    { 0x1671, "bot_random_ranks_for_difficulty" },
    { 0x1672, "bot_recent_point_of_interest" },
    { 0x1673, "bot_register_killstreak_func" },
    { 0x1674, "bot_remove_from_bot_level_targets" },
    { 0x1675, "bot_respawn_launcher_name" },
    { 0x1676, "bot_restart_think_threads" },
    { 0x1677, "bot_rnd_prestige" },
    { 0x1678, "bot_rnd_rank" },
    { 0x1679, "bot_scavenger_bags" },
    { 0x167A, "bot_seek_dropped_weapon" },
    { 0x167B, "bot_send_cancel_notify" },
    { 0x167C, "bot_send_place_notify" },
    { 0x167D, "bot_sentry_activate" },
    { 0x167E, "bot_sentry_add_goal" },
    { 0x167F, "bot_sentry_cancel" },
    { 0x1680, "bot_sentry_carried_obj" },
    { 0x1681, "bot_sentry_choose_placement" },
    { 0x1682, "bot_sentry_choose_target" },
    { 0x1683, "bot_sentry_ensure_exit" },
    { 0x1684, "bot_sentry_force_cancel" },
    { 0x1685, "bot_sentry_path_start" },
    { 0x1686, "bot_sentry_path_thread" },
    { 0x1687, "bot_sentry_should_abort" },
    { 0x1688, "bot_set_ambush_trap" },
    { 0x1689, "bot_set_ambush_trap_wait_fire" },
    { 0x168A, "bot_set_bombzone_bottargets" },
    { 0x168B, "bot_set_difficulty" },
    { 0x168C, "bot_set_loadout_class" },
    { 0x168D, "bot_set_personality" },
    { 0x168E, "bot_setup_bombzone_bottargets" },
    { 0x168F, "bot_setup_bot_targets" },
    { 0x1690, "bot_setup_callback_class" },
    { 0x1691, "bot_setup_loadout_callback" },
    { 0x1692, "bot_setup_radio_bottargets" },
    { 0x1693, "bot_shootable_target_watch" },
    { 0x1694, "bot_should_do_killcam" },
    { 0x1695, "bot_should_melee_level_damage_target" },
    { 0x1696, "bot_should_pickup_weapons" },
    { 0x1697, "bot_should_use_ammo_crate" },
    { 0x1698, "bot_should_use_ballistic_vest_crate" },
    { 0x1699, "bot_should_use_grenade_crate" },
    { 0x169A, "bot_should_use_juicebox_crate" },
    { 0x169B, "bot_should_use_scavenger_bag" },
    { 0x169C, "bot_spawned_before" },
    { 0x169D, "bot_squad_lookup" },
    { 0x169E, "bot_squad_lookup_enemy" },
    { 0x169F, "bot_squad_lookup_private" },
    { 0x16A0, "bot_squad_lookup_ranked" },
    { 0x16A1, "bot_start_aa_launcher_tracking" },
    { 0x16A2, "bot_start_know_enemy" },
    { 0x16A3, "bot_start_known_by_enemy" },
    { 0x16A4, "bot_supported_killstreaks" },
    { 0x16A5, "bot_switch_to_killstreak_weapon" },
    { 0x16A6, "bot_target" },
    { 0x16A7, "bot_targets" },
    { 0x16A8, "bot_tdm_apply_commander_tactics" },
    { 0x16A9, "bot_team" },
    { 0x16AA, "bot_team_tdm_personality" },
    { 0x16AB, "bot_think" },
    { 0x16AC, "bot_think_crate" },
    { 0x16AD, "bot_think_crate_blocking_path" },
    { 0x16AE, "bot_think_gametype" },
    { 0x16AF, "bot_think_killstreak" },
    { 0x16B0, "bot_think_level_actions" },
    { 0x16B1, "bot_think_revive" },
    { 0x16B2, "bot_think_seek_dropped_weapons" },
    { 0x16B3, "bot_think_tactical_goals" },
    { 0x16B4, "bot_think_watch_aerial_killstreak" },
    { 0x16B5, "bot_think_watch_enemy" },
    { 0x16B6, "bot_underground_trapped_watch" },
    { 0x16B7, "bot_update_camp_assassin" },
    { 0x16B8, "bot_usebutton_wait" },
    { 0x16B9, "bot_valid_camp_assassin" },
    { 0x16BA, "bot_validate_perk" },
    { 0x16BB, "bot_validate_reticle" },
    { 0x16BC, "bot_validate_weapon" },
    { 0x16BD, "bot_vanguard_find_unvisited_nodes" },
    { 0x16BE, "bot_vanguard_height_trace_size" },
    { 0x16BF, "bot_variables_initialized" },
    { 0x16C0, "bot_vectors_are_equal" },
    { 0x16C1, "bot_visited_times" },
    { 0x16C2, "bot_wait_free_to_move" },
    { 0x16C3, "bot_wait_here" },
    { 0x16C4, "bot_waittill_bots_enabled" },
    { 0x16C5, "bot_waittill_goal_or_fail" },
    { 0x16C6, "bot_waittill_out_of_combat_or_time" },
    { 0x16C7, "bot_waittill_using_vehicle" },
    { 0x16C8, "bot_war_think" },
    { 0x16C9, "bot_watch_entrances_delayed" },
    { 0x16CA, "bot_watch_for_death" },
    { 0x16CB, "bot_watch_manual_detonate" },
    { 0x16CC, "bot_watch_nodes" },
    { 0x16CD, "bot_weap_personality" },
    { 0x16CE, "bot_weap_statstable" },
    { 0x16CF, "bothbarrels" },
    { 0x16D0, "botlastloadout" },
    { 0x16D1, "botlastloadoutdifficulty" },
    { 0x16D2, "botlastloadoutpersonality" },
    { 0x16D3, "botloadoutfavoritecamo" },
    { 0x16D4, "botloadoutsets" },
    { 0x16D5, "botloadouttemplates" },
    { 0x16D6, "bots" },
    { 0x16D7, "bots_disable_team_switching" },
    { 0x16D8, "bots_exist" },
    { 0x16D9, "bots_fireteam_humans" },
    { 0x16DA, "bots_fireteam_num_classes_loaded" },
    { 0x16DB, "bots_gametype_handles_class_choice" },
    { 0x16DC, "bots_gametype_handles_team_choice" },
    { 0x16DD, "bots_ignore_team_balance" },
    { 0x16DE, "bots_notify_on_disconnect" },
    { 0x16DF, "bots_notify_on_spawn" },
    { 0x16E0, "bots_remove_from_array_on_notify" },
    { 0x16E1, "bots_update_difficulty" },
    { 0x16E2, "bottarget" },
    { 0x16E3, "bottargets" },
    { 0x16E4, "bottom" },
    { 0x16E5, "bottom_arc" },
    { 0x16E6, "bottom_missile_target" },
    { 0x16E7, "bottom_target" },
    { 0x16E8, "bottom_tower_enemies" },
    { 0x16E9, "bouncelight" },
    { 0x16EA, "bouncelight_ng" },
    { 0x16EB, "boundry_radius_cache" },
    { 0x16EC, "boundryradius" },
    { 0x16ED, "box_addboxforplayer" },
    { 0x16EE, "box_agentconnected" },
    { 0x16EF, "box_disableplayeruse" },
    { 0x16F0, "box_enableplayeruse" },
    { 0x16F1, "box_handledamage" },
    { 0x16F2, "box_handledeath" },
    { 0x16F3, "box_handledeathdamage" },
    { 0x16F4, "box_handleownerdisconnect" },
    { 0x16F5, "box_leave" },
    { 0x16F6, "box_modelteamupdater" },
    { 0x16F7, "box_modifydamage" },
    { 0x16F8, "box_playerconnected" },
    { 0x16F9, "box_playerjoinedteam" },
    { 0x16FA, "box_setactive" },
    { 0x16FB, "box_seticon" },
    { 0x16FC, "box_setinactive" },
    { 0x16FD, "box_should_leave_immediately" },
    { 0x16FE, "box_timeout" },
    { 0x16FF, "box_waittill_player_spawn_and_add_box" },
    { 0x1700, "boxcapturethink" },
    { 0x1701, "boxcapturethink_alien_func" },
    { 0x1702, "boxes" },
    { 0x1703, "boxhandledeathdamage" },
    { 0x1704, "boxmodifydamage" },
    { 0x1705, "boxparams" },
    { 0x1706, "boxsettings" },
    { 0x1707, "boxthink" },
    { 0x1708, "boxtouchonly" },
    { 0x1709, "boxtype" },
    { 0x170A, "bp" },
    { 0x170B, "bp_id" },
    { 0x170C, "bplrpostsoundplaying" },
    { 0x170D, "branchnodes" },
    { 0x170E, "bravo" },
    { 0x170F, "bravo1_ascend_ascender" },
    { 0x1710, "bravo1_ascend_launcher" },
    { 0x1711, "bravo2_ascend_ascender" },
    { 0x1712, "bravo2_ascend_launcher" },
    { 0x1713, "bravo_ascend" },
    { 0x1714, "bravo_ascend_anim_node" },
    { 0x1715, "bravo_ascend_rope1" },
    { 0x1716, "bravo_ascend_rope2" },
    { 0x1717, "bravo_ascend_rubberband" },
    { 0x1718, "bravo_ascend_rubberband_base" },
    { 0x1719, "bravo_ascend_rubberband_cleanup" },
    { 0x171A, "bravo_curr_rate" },
    { 0x171B, "bravo_friendly_logic" },
    { 0x171C, "bravo_post_snake_cam" },
    { 0x171D, "breach" },
    { 0x171E, "breach_abort" },
    { 0x171F, "breach_ai_reset" },
    { 0x1720, "breach_ai_space_death" },
    { 0x1721, "breach_allies" },
    { 0x1722, "breach_ally_drones_drone_think" },
    { 0x1723, "breach_ally_tank_fight_logic" },
    { 0x1724, "breach_anim_node" },
    { 0x1725, "breach_anim_struct" },
    { 0x1726, "breach_animated_door_init" },
    { 0x1727, "breach_anims" },
    { 0x1728, "breach_bad_weapon_hint" },
    { 0x1729, "breach_break_glass" },
    { 0x172A, "breach_charge" },
    { 0x172B, "breach_charge_fx_activate" },
    { 0x172C, "breach_charge_fx_set" },
    { 0x172D, "breach_charge_fx_unhide" },
    { 0x172E, "breach_cleanup" },
    { 0x172F, "breach_close_door" },
    { 0x1730, "breach_combat" },
    { 0x1731, "breach_damage_radius" },
    { 0x1732, "breach_damage_watch" },
    { 0x1733, "breach_death_anims" },
    { 0x1734, "breach_debug_display_animnames" },
    { 0x1735, "breach_delete" },
    { 0x1736, "breach_dont_fire" },
    { 0x1737, "breach_door" },
    { 0x1738, "breach_door_clips" },
    { 0x1739, "breach_door_close" },
    { 0x173A, "breach_door_init" },
    { 0x173B, "breach_door_open" },
    { 0x173C, "breach_door_open_close" },
    { 0x173D, "breach_door_rig" },
    { 0x173E, "breach_doors" },
    { 0x173F, "breach_end_early" },
    { 0x1740, "breach_enemies_stunned" },
    { 0x1741, "breach_enemy_array" },
    { 0x1742, "breach_enemy_cancel_ragdoll" },
    { 0x1743, "breach_enemy_catch_exceptions" },
    { 0x1744, "breach_enemy_death_anim_override" },
    { 0x1745, "breach_enemy_death_dmg" },
    { 0x1746, "breach_enemy_ignored_by_friendlies" },
    { 0x1747, "breach_enemy_player_stab" },
    { 0x1748, "breach_enemy_ragdoll_on_death" },
    { 0x1749, "breach_enemy_setup" },
    { 0x174A, "breach_enemy_spawner_think" },
    { 0x174B, "breach_enemy_tank_1" },
    { 0x174C, "breach_enemy_tank_2" },
    { 0x174D, "breach_enemy_track_status" },
    { 0x174E, "breach_enemy_waitfor_breach_ending" },
    { 0x174F, "breach_enemy_waitfor_death" },
    { 0x1750, "breach_enemy_waitfor_death_counter" },
    { 0x1751, "breach_explosion" },
    { 0x1752, "breach_explosion_notify" },
    { 0x1753, "breach_failed_to_start" },
    { 0x1754, "breach_fire_straight" },
    { 0x1755, "breach_friendlies_ready_at_other_door" },
    { 0x1756, "breach_friendlies_restore_grenades" },
    { 0x1757, "breach_friendlies_take_grenades" },
    { 0x1758, "breach_friendly_hint" },
    { 0x1759, "breach_functions" },
    { 0x175A, "breach_fx_setup" },
    { 0x175B, "breach_grenade" },
    { 0x175C, "breach_grenade_smoke" },
    { 0x175D, "breach_group_trigger_think" },
    { 0x175E, "breach_groups" },
    { 0x175F, "breach_gun_up" },
    { 0x1760, "breach_heli_door" },
    { 0x1761, "breach_hide" },
    { 0x1762, "breach_hint_cleanup" },
    { 0x1763, "breach_hint_create" },
    { 0x1764, "breach_hostage_spawner_think" },
    { 0x1765, "breach_icon" },
    { 0x1766, "breach_icon_count" },
    { 0x1767, "breach_icon_create" },
    { 0x1768, "breach_icon_fade_in" },
    { 0x1769, "breach_icon_fade_out" },
    { 0x176A, "breach_icon_think" },
    { 0x176B, "breach_icon_update" },
    { 0x176C, "breach_icon_update_is_player_in_range" },
    { 0x176D, "breach_icons" },
    { 0x176E, "breach_index" },
    { 0x176F, "breach_init" },
    { 0x1770, "breach_kill_player" },
    { 0x1771, "breach_mines" },
    { 0x1772, "breach_missionfailed" },
    { 0x1773, "breach_move_door" },
    { 0x1774, "breach_nag" },
    { 0x1775, "breach_near_player" },
    { 0x1776, "breach_no_auto_reload" },
    { 0x1777, "breach_not_ready_hint" },
    { 0x1778, "breach_on_activate" },
    { 0x1779, "breach_on_event" },
    { 0x177A, "breach_onenduse" },
    { 0x177B, "breach_onuse" },
    { 0x177C, "breach_open_door" },
    { 0x177D, "breach_open_watch" },
    { 0x177E, "breach_origin" },
    { 0x177F, "breach_other_watch" },
    { 0x1780, "breach_outside_ambience" },
    { 0x1781, "breach_participants_ready_to_proceed" },
    { 0x1782, "breach_passive_player" },
    { 0x1783, "breach_passive_time" },
    { 0x1784, "breach_play_fx" },
    { 0x1785, "breach_player_legs" },
    { 0x1786, "breach_player_rig" },
    { 0x1787, "breach_pos" },
    { 0x1788, "breach_precache" },
    { 0x1789, "breach_props" },
    { 0x178A, "breach_pt" },
    { 0x178B, "breach_react_starttime" },
    { 0x178C, "breach_reloading_hint" },
    { 0x178D, "breach_reset_animname" },
    { 0x178E, "breach_reset_goaladius" },
    { 0x178F, "breach_rpg_guy" },
    { 0x1790, "breach_rumble" },
    { 0x1791, "breach_set_2dicon" },
    { 0x1792, "breach_set_animname" },
    { 0x1793, "breach_set_can_use" },
    { 0x1794, "breach_set_goaladius" },
    { 0x1795, "breach_setup" },
    { 0x1796, "breach_sfx" },
    { 0x1797, "breach_shot_blood_fx" },
    { 0x1798, "breach_should_be_skipped" },
    { 0x1799, "breach_show" },
    { 0x179A, "breach_spawner_setup" },
    { 0x179B, "breach_spawners" },
    { 0x179C, "breach_targets" },
    { 0x179D, "breach_think" },
    { 0x179E, "breach_too_many_enemies_hint" },
    { 0x179F, "breach_trigger_cleanup" },
    { 0x17A0, "breach_trigger_think" },
    { 0x17A1, "breach_use_triggers" },
    { 0x17A2, "breach_use_watch" },
    { 0x17A3, "breach_vehicles" },
    { 0x17A4, "breach_wait_move" },
    { 0x17A5, "breach_wait_nag_proc" },
    { 0x17A6, "breach_warehouse_doors" },
    { 0x17A7, "breach_warning_icon" },
    { 0x17A8, "breach_weapon" },
    { 0x17A9, "breachdonotfire" },
    { 0x17AA, "breached" },
    { 0x17AB, "breachenemies" },
    { 0x17AC, "breachenemies_active" },
    { 0x17AD, "breachenemies_alive" },
    { 0x17AE, "breacher_think" },
    { 0x17AF, "breachers" },
    { 0x17B0, "breachersready" },
    { 0x17B1, "breachfinished" },
    { 0x17B2, "breachfriendlies" },
    { 0x17B3, "breachfriendlies_can_teleport" },
    { 0x17B4, "breachfriendlies_grenades_empty" },
    { 0x17B5, "breachignoreenemy_count" },
    { 0x17B6, "breaching" },
    { 0x17B7, "breaching_shots_fired" },
    { 0x17B8, "breachless_door_opens" },
    { 0x17B9, "breachtrigger" },
    { 0x17BA, "bread_crumbs" },
    { 0x17BB, "break_cockpit_glass" },
    { 0x17BC, "break_enemy_windows" },
    { 0x17BD, "break_from_path" },
    { 0x17BE, "break_light" },
    { 0x17BF, "break_nearest_light" },
    { 0x17C0, "break_stealth_mg" },
    { 0x17C1, "break_window" },
    { 0x17C2, "breakable_light" },
    { 0x17C3, "breakables_fx" },
    { 0x17C4, "breakoutofshootingifwanttomoveup" },
    { 0x17C5, "breaktarget" },
    { 0x17C6, "breakvehtarget" },
    { 0x17C7, "breathing_overlay" },
    { 0x17C8, "breathingmanager" },
    { 0x17C9, "breathingstoptime" },
    { 0x17CA, "bren_switchout_logic" },
    { 0x17CB, "brian" },
    { 0x17CC, "brian_does_idle_after_scene" },
    { 0x17CD, "bridge" },
    { 0x17CE, "bridge_a10s_1" },
    { 0x17CF, "bridge_a10s_2" },
    { 0x17D0, "bridge_anim" },
    { 0x17D1, "bridge_begin" },
    { 0x17D2, "bridge_deploy_begin" },
    { 0x17D3, "bridge_deploy_enemy_a10_gun_dives" },
    { 0x17D4, "bridge_deploy_enemy_tanks_setup" },
    { 0x17D5, "bridge_deploy_init" },
    { 0x17D6, "bridge_deploy_main" },
    { 0x17D7, "bridge_destroyed" },
    { 0x17D8, "bridge_enemies" },
    { 0x17D9, "bridge_event" },
    { 0x17DA, "bridge_guards_backup_alert_after_chopper_leaves" },
    { 0x17DB, "bridge_heli_1" },
    { 0x17DC, "bridge_heli_2" },
    { 0x17DD, "bridge_init" },
    { 0x17DE, "bridge_jeep_by" },
    { 0x17DF, "bridge_jeeps_to_the_right" },
    { 0x17E0, "bridge_main" },
    { 0x17E1, "bridge_push" },
    { 0x17E2, "bridge_push_3" },
    { 0x17E3, "bridge_push_4" },
    { 0x17E4, "bridge_scene_anims" },
    { 0x17E5, "bridge_scene_tank_anims" },
    { 0x17E6, "bridge_siren" },
    { 0x17E7, "bridgekill" },
    { 0x17E8, "bridges" },
    { 0x17E9, "briefcase" },
    { 0x17EA, "bright_light_flash_into_console" },
    { 0x17EB, "brightness" },
    { 0x17EC, "bring_up_osprey" },
    { 0x17ED, "brinkofdeathkillstreak" },
    { 0x17EE, "broadcast_player_input" },
    { 0x17EF, "broken_door_rumbles" },
    { 0x17F0, "broken_wall_damage_watch" },
    { 0x17F1, "broken_wall_delete" },
    { 0x17F2, "broken_wall_init" },
    { 0x17F3, "broken_wall_show" },
    { 0x17F4, "broken_walls" },
    { 0x17F5, "brush_delete" },
    { 0x17F6, "brush_show" },
    { 0x17F7, "brush_shown" },
    { 0x17F8, "brush_throw" },
    { 0x17F9, "brushes" },
    { 0x17FA, "brushmodels" },
    { 0x17FB, "bsharpturnduringsharpturn" },
    { 0x17FC, "bshootwhilemoving" },
    { 0x17FD, "bsnowmobilesstarted" },
    { 0x17FE, "bsoundlooping" },
    { 0x17FF, "bsplashplaying" },
    { 0x1800, "bsprinton" },
    { 0x1801, "bstopbarrage" },
    { 0x1802, "btankmoving" },
    { 0x1803, "bthermalon" },
    { 0x1804, "btr_ambush" },
    { 0x1805, "btr_attack_player_on_flag" },
    { 0x1806, "btr_burst" },
    { 0x1807, "btr_by_mountainside" },
    { 0x1808, "btr_check_player_fire" },
    { 0x1809, "btr_fire_logic" },
    { 0x180A, "btr_look_logic" },
    { 0x180B, "btr_mg_off" },
    { 0x180C, "btr_sees_body" },
    { 0x180D, "btr_stop_when_not_normal" },
    { 0x180E, "btr_target_player" },
    { 0x180F, "btr_turret_follow" },
    { 0x1810, "buddyspawn" },
    { 0x1811, "bufferedchildstats" },
    { 0x1812, "bufferedchildstatsmax" },
    { 0x1813, "bufferedstats" },
    { 0x1814, "bufferedstatsmax" },
    { 0x1815, "bug_finders_vo" },
    { 0x1816, "bugfinders" },
    { 0x1817, "build_aianims" },
    { 0x1818, "build_all_treadfx" },
    { 0x1819, "build_attach_models" },
    { 0x181A, "build_bulletshield" },
    { 0x181B, "build_call_buttons" },
    { 0x181C, "build_car" },
    { 0x181D, "build_chopperboss_defaults" },
    { 0x181E, "build_data_override" },
    { 0x181F, "build_death_badplace" },
    { 0x1820, "build_death_jolt_delay" },
    { 0x1821, "build_deathanim" },
    { 0x1822, "build_deathfx" },
    { 0x1823, "build_deathfx_override" },
    { 0x1824, "build_deathmodel" },
    { 0x1825, "build_deathquake" },
    { 0x1826, "build_deckdust" },
    { 0x1827, "build_destructible" },
    { 0x1828, "build_drive" },
    { 0x1829, "build_elevators" },
    { 0x182A, "build_exhaust" },
    { 0x182B, "build_frontarmor" },
    { 0x182C, "build_fx" },
    { 0x182D, "build_gaz_death" },
    { 0x182E, "build_grenadeshield" },
    { 0x182F, "build_hideparts" },
    { 0x1830, "build_human_model" },
    { 0x1831, "build_humvee_anims" },
    { 0x1832, "build_idle" },
    { 0x1833, "build_is_airplane" },
    { 0x1834, "build_is_helicopter" },
    { 0x1835, "build_life" },
    { 0x1836, "build_light" },
    { 0x1837, "build_light_override" },
    { 0x1838, "build_localinit" },
    { 0x1839, "build_lynx_death" },
    { 0x183A, "build_mainturret" },
    { 0x183B, "build_path_by_targetname" },
    { 0x183C, "build_pillageitem_array" },
    { 0x183D, "build_pillageitem_arrays" },
    { 0x183E, "build_quake" },
    { 0x183F, "build_radiusdamage" },
    { 0x1840, "build_rider_death_func" },
    { 0x1841, "build_rocket_deathfx" },
    { 0x1842, "build_rumble" },
    { 0x1843, "build_rumble_override" },
    { 0x1844, "build_rumble_unique" },
    { 0x1845, "build_shoot_shock" },
    { 0x1846, "build_single_tread" },
    { 0x1847, "build_spawn_zones" },
    { 0x1848, "build_team" },
    { 0x1849, "build_template" },
    { 0x184A, "build_treadfx" },
    { 0x184B, "build_truck" },
    { 0x184C, "build_turret" },
    { 0x184D, "build_turrets" },
    { 0x184E, "build_unload_groups" },
    { 0x184F, "build_vol_list" },
    { 0x1850, "buildalienweaponname" },
    { 0x1851, "buildalienweaponnamecamo" },
    { 0x1852, "buildalienweaponnamereticle" },
    { 0x1853, "buildallflightpaths" },
    { 0x1854, "buildallflightpathsdefault" },
    { 0x1855, "buildattachmentmaps" },
    { 0x1856, "buildbaseweaponlist" },
    { 0x1857, "buildchallegeinfo" },
    { 0x1858, "buildchallengetableinfo" },
    { 0x1859, "builddot_damage" },
    { 0x185A, "builddot_ontick" },
    { 0x185B, "builddot_startloop" },
    { 0x185C, "builddot_wait" },
    { 0x185D, "building_01_debri_anim" },
    { 0x185E, "building_01_debri_anim_spawn" },
    { 0x185F, "building_entry" },
    { 0x1860, "building_entry_combat" },
    { 0x1861, "building_entry_exit_anim_struct" },
    { 0x1862, "building_entry_gun_up" },
    { 0x1863, "building_entry_startpoint" },
    { 0x1864, "building_entry_tv" },
    { 0x1865, "building_fall_anim_rig" },
    { 0x1866, "building_fall_slide_setup" },
    { 0x1867, "building_hit_fx" },
    { 0x1868, "building_hit_moment" },
    { 0x1869, "building_slide_control_hint" },
    { 0x186A, "buildscoreboardtype" },
    { 0x186B, "buildshadowgeomopt" },
    { 0x186C, "buildweapondata" },
    { 0x186D, "buildweaponname" },
    { 0x186E, "buildweaponnamecamo" },
    { 0x186F, "buildweaponnamereticle" },
    { 0x1870, "bullet_armor" },
    { 0x1871, "bullet_attack" },
    { 0x1872, "bullet_blender" },
    { 0x1873, "bullet_catch" },
    { 0x1874, "bullet_caused_fuel_leaks" },
    { 0x1875, "bullet_damage_scalar" },
    { 0x1876, "bullet_end" },
    { 0x1877, "bullet_holes1" },
    { 0x1878, "bullet_holes2" },
    { 0x1879, "bullet_holes3" },
    { 0x187A, "bullet_pinhole_tag_fx_orgs" },
    { 0x187B, "bullet_resistance" },
    { 0x187C, "bullet_start" },
    { 0x187D, "bullet_strafe_start" },
    { 0x187E, "bullet_trace_debug" },
    { 0x187F, "bullet_tumble" },
    { 0x1880, "bullet_watcher_ambush" },
    { 0x1881, "bulletcount" },
    { 0x1882, "bulletdamagemod" },
    { 0x1883, "bulletshielded" },
    { 0x1884, "bulletsinclip" },
    { 0x1885, "bulletwhizbycheck_whilemoving" },
    { 0x1886, "bulletwhizbycheckloop" },
    { 0x1887, "bulletwhizbyreaction" },
    { 0x1888, "bully" },
    { 0x1889, "bully_shoots" },
    { 0x188A, "bump_player" },
    { 0x188B, "bumpy_ride" },
    { 0x188C, "bunker_balcony_bullet_impacts" },
    { 0x188D, "bunker_balcony_bullet_impacts_manager" },
    { 0x188E, "bunker_balcony_bullet_impacts_think" },
    { 0x188F, "bunker_balcony_cleanup" },
    { 0x1890, "bunker_balcony_damage_state" },
    { 0x1891, "bunker_balcony_enemies" },
    { 0x1892, "bunker_balcony_setup" },
    { 0x1893, "bunker_beach_ai" },
    { 0x1894, "bunker_beach_attackers" },
    { 0x1895, "bunker_beach_attackers_death" },
    { 0x1896, "bunker_beach_attackers_think" },
    { 0x1897, "bunker_beach_vehicles" },
    { 0x1898, "bunker_enemy_cover_drones" },
    { 0x1899, "bunker_final_strafe" },
    { 0x189A, "bunker_final_strafe_hind_missiles" },
    { 0x189B, "bunker_final_strafe_impacts" },
    { 0x189C, "bunker_final_strafe_think" },
    { 0x189D, "bunker_javelin_drones" },
    { 0x189E, "bunker_mg_guy" },
    { 0x189F, "bunker_reinforcement_helis" },
    { 0x18A0, "bunker_style_mortar" },
    { 0x18A1, "bunker_style_mortar_activate" },
    { 0x18A2, "bunker_style_mortar_explode" },
    { 0x18A3, "bunker_style_mortar_off" },
    { 0x18A4, "bunker_style_mortar_off_nowait" },
    { 0x18A5, "bunker_style_mortar_on" },
    { 0x18A6, "bunker_style_mortar_think" },
    { 0x18A7, "bunker_style_mortar_trigger" },
    { 0x18A8, "bunker_trench_drone_runners" },
    { 0x18A9, "bunker_trench_drones" },
    { 0x18AA, "bunker_vehicle_javelin_watcher" },
    { 0x18AB, "burn_trig" },
    { 0x18AC, "burning" },
    { 0x18AD, "burning_trash_fire" },
    { 0x18AE, "burnville_paratrooper_hack" },
    { 0x18AF, "burnville_paratrooper_hack_loop" },
    { 0x18B0, "burnville_style_mortar" },
    { 0x18B1, "burst_fire" },
    { 0x18B2, "burst_fire_settings" },
    { 0x18B3, "burst_fire_unmanned" },
    { 0x18B4, "burst_mg" },
    { 0x18B5, "burst_pause_max" },
    { 0x18B6, "burst_pause_min" },
    { 0x18B7, "burst_shots_max" },
    { 0x18B8, "burst_shots_min" },
    { 0x18B9, "burstdelay" },
    { 0x18BA, "burstfirenumshots" },
    { 0x18BB, "burstmax" },
    { 0x18BC, "burstmin" },
    { 0x18BD, "burstshootanimrate" },
    { 0x18BE, "bus_movement" },
    { 0x18BF, "bus_movement_internal" },
    { 0x18C0, "bus_movement_model_logic" },
    { 0x18C1, "bus_movement_sounds_rumble_etc" },
    { 0x18C2, "busdust" },
    { 0x18C3, "busereadyidle" },
    { 0x18C4, "busslidingeffect" },
    { 0x18C5, "bust_thru" },
    { 0x18C6, "bust_thru_prep" },
    { 0x18C7, "bust_thru_prep_dog" },
    { 0x18C8, "butchdance" },
    { 0x18C9, "butchdance_combat" },
    { 0x18CA, "button_is_clicked" },
    { 0x18CB, "button_is_held" },
    { 0x18CC, "button_is_kb" },
    { 0x18CD, "button_parse_parameters" },
    { 0x18CE, "button_pressed_from_string" },
    { 0x18CF, "button_smash_count" },
    { 0x18D0, "button_sound" },
    { 0x18D1, "button_switch" },
    { 0x18D2, "button_toggles" },
    { 0x18D3, "buttonclick" },
    { 0x18D4, "buttondown" },
    { 0x18D5, "buttonisheld" },
    { 0x18D6, "buttonpressed_internal" },
    { 0x18D7, "buttons" },
    { 0x18D8, "buttonthink" },
    { 0x18D9, "buzzer_node" },
    { 0x18DA, "buzzkill" },
    { 0x18DB, "bwalldestroyed" },
    { 0x18DC, "bwalldestroyedsoundplayed" },
    { 0x18DD, "bypass_max_attacker_counter" },
    { 0x18DE, "bypassclasschoice" },
    { 0x18DF, "bypassclasschoicefunc" },
    { 0x18E0, "c" },
    { 0x18E1, "c130" },
    { 0x18E2, "c130setup" },
    { 0x18E3, "c17_drops" },
    { 0x18E4, "c4_cancel_flag" },
    { 0x18E5, "c4_count" },
    { 0x18E6, "c4_earthquake" },
    { 0x18E7, "c4_hint" },
    { 0x18E8, "c4_hintstring" },
    { 0x18E9, "c4_location" },
    { 0x18EA, "c4_sound_override" },
    { 0x18EB, "c4_spot_glow" },
    { 0x18EC, "c4_weaponname" },
    { 0x18ED, "c4activate" },
    { 0x18EE, "c4array" },
    { 0x18EF, "c4damage" },
    { 0x18F0, "c4death" },
    { 0x18F1, "c4deathdetonate" },
    { 0x18F2, "c4detectiontrigger" },
    { 0x18F3, "c4detonateallcharges" },
    { 0x18F4, "c4empdamage" },
    { 0x18F5, "c4empkillstreakwait" },
    { 0x18F6, "c4explodethisframe" },
    { 0x18F7, "c4used" },
    { 0x18F8, "cac_getcharactertype" },
    { 0x18F9, "cac_getkillstreak" },
    { 0x18FA, "cac_getkillstreakwithtype" },
    { 0x18FB, "cac_getperk" },
    { 0x18FC, "cac_getprimarygrenade" },
    { 0x18FD, "cac_getsecondarygrenade" },
    { 0x18FE, "cac_getweapon" },
    { 0x18FF, "cac_getweaponattachment" },
    { 0x1900, "cac_getweaponattachmentthree" },
    { 0x1901, "cac_getweaponattachmenttwo" },
    { 0x1902, "cac_getweaponbuff" },
    { 0x1903, "cac_getweaponcamo" },
    { 0x1904, "cac_getweaponreticle" },
    { 0x1905, "cac_modified_damage" },
    { 0x1906, "cac_selector" },
    { 0x1907, "cache_ambient" },
    { 0x1908, "cache_ambient_element" },
    { 0x1909, "cache_ambient_event" },
    { 0x190A, "cache_arc" },
    { 0x190B, "cache_filter" },
    { 0x190C, "cache_mix" },
    { 0x190D, "cache_mix_default" },
    { 0x190E, "cache_occlusion" },
    { 0x190F, "cache_reverb" },
    { 0x1910, "cache_timescale" },
    { 0x1911, "cache_whizby" },
    { 0x1912, "cache_zone" },
    { 0x1913, "cached" },
    { 0x1914, "cached_ambients" },
    { 0x1915, "cached_arcs" },
    { 0x1916, "cached_elems" },
    { 0x1917, "cage_fake_firing" },
    { 0x1918, "cage_guys2" },
    { 0x1919, "cage_guys3" },
    { 0x191A, "cairo_church_whines" },
    { 0x191B, "cairo_scared_dialogue" },
    { 0x191C, "calc_max_last_stands" },
    { 0x191D, "calcanimstartpos" },
    { 0x191E, "calctrackingyaw" },
    { 0x191F, "calculate_and_show_hive_scores" },
    { 0x1920, "calculate_arc" },
    { 0x1921, "calculate_bezier_curve" },
    { 0x1922, "calculate_bravo_rubberband_base" },
    { 0x1923, "calculate_challenge_score" },
    { 0x1924, "calculate_current_intensity_level" },
    { 0x1925, "calculate_defend_stance" },
    { 0x1926, "calculate_discount" },
    { 0x1927, "calculate_drill_protection_score" },
    { 0x1928, "calculate_jumplauncharrivalmaxmovedelta" },
    { 0x1929, "calculate_maxmovedeltainanimstate" },
    { 0x192A, "calculate_partial_hive_scores" },
    { 0x192B, "calculate_personal_skill_score" },
    { 0x192C, "calculate_player_proximity_scores" },
    { 0x192D, "calculate_players_total_end_game_score" },
    { 0x192E, "calculate_stopsoonnotifydist" },
    { 0x192F, "calculate_teamwork_score" },
    { 0x1930, "calculate_total_end_game_score" },
    { 0x1931, "calculateanimdata" },
    { 0x1932, "calculated_closest_point" },
    { 0x1933, "calculated_nearest_node" },
    { 0x1934, "calculatekillcamtime" },
    { 0x1935, "calculatenodeoffset" },
    { 0x1936, "calculatenodeoffsetfromanimationdelta" },
    { 0x1937, "calculatenodetransitionangles" },
    { 0x1938, "call_elevator" },
    { 0x1939, "call_fire_exploder_on_spawn" },
    { 0x193A, "call_flag_when_clacked" },
    { 0x193B, "call_in_airdrop_heli" },
    { 0x193C, "call_in_attack_heli" },
    { 0x193D, "call_in_hive_heli" },
    { 0x193E, "call_in_rescue_heli" },
    { 0x193F, "call_jolt_by_flag" },
    { 0x1940, "call_riley" },
    { 0x1941, "call_trigger_kill_gazs" },
    { 0x1942, "callairsupport" },
    { 0x1943, "callback_alienplayerdamage" },
    { 0x1944, "callback_codeendgame" },
    { 0x1945, "callback_hostmigration" },
    { 0x1946, "callback_killingblow" },
    { 0x1947, "callback_playerconnect" },
    { 0x1948, "callback_playerdamage" },
    { 0x1949, "callback_playerdamage_internal" },
    { 0x194A, "callback_playerdisconnect" },
    { 0x194B, "callback_playerkilled" },
    { 0x194C, "callback_playerlaststand" },
    { 0x194D, "callback_playerlaststandalien" },
    { 0x194E, "callback_playerlaststandhorde" },
    { 0x194F, "callback_playermigrated" },
    { 0x1950, "callback_startgametype" },
    { 0x1951, "callback_vehicledamage" },
    { 0x1952, "callbackcodeendgame" },
    { 0x1953, "callbackhostmigration" },
    { 0x1954, "callbackplayerconnect" },
    { 0x1955, "callbackplayerdamage" },
    { 0x1956, "callbackplayerdisconnect" },
    { 0x1957, "callbackplayerkilled" },
    { 0x1958, "callbackplayerlaststand" },
    { 0x1959, "callbackplayermigrated" },
    { 0x195A, "callbacks" },
    { 0x195B, "callbackstartgametype" },
    { 0x195C, "callbackvoid" },
    { 0x195D, "calledout" },
    { 0x195E, "caller" },
    { 0x195F, "calloptionalbehaviorcallback" },
    { 0x1960, "callout" },
    { 0x1961, "calloutdestroyed" },
    { 0x1962, "callouttypewillrepeat" },
    { 0x1963, "callstrike" },
    { 0x1964, "callstrike_bomb" },
    { 0x1965, "callstrike_bombeffect" },
    { 0x1966, "calm_idle_get_random" },
    { 0x1967, "cam" },
    { 0x1968, "cam_sound_sources" },
    { 0x1969, "camera" },
    { 0x196A, "camera_tag" },
    { 0x196B, "camera_track_player" },
    { 0x196C, "camera_zoom" },
    { 0x196D, "camera_zoomout" },
    { 0x196E, "cameramodel" },
    { 0x196F, "camerastyle" },
    { 0x1970, "camlanding_from_apache" },
    { 0x1971, "camp_mblur_changes" },
    { 0x1972, "camp_primary_light_switch" },
    { 0x1973, "campaign" },
    { 0x1974, "camper_guy" },
    { 0x1975, "camper_time_started_hunting" },
    { 0x1976, "camper_trigger_think" },
    { 0x1977, "campercheck" },
    { 0x1978, "campfire_temp_dialog" },
    { 0x1979, "camping_needs_fallback_camp_location" },
    { 0x197A, "camtime" },
    { 0x197B, "can_activate_trap" },
    { 0x197C, "can_activate_turret" },
    { 0x197D, "can_attempt_badpath_move" },
    { 0x197E, "can_camp_near_others" },
    { 0x197F, "can_cut" },
    { 0x1980, "can_cut_rope" },
    { 0x1981, "can_do_charge_attack" },
    { 0x1982, "can_early_melee" },
    { 0x1983, "can_fire_turret" },
    { 0x1984, "can_leap_melee" },
    { 0x1985, "can_pick_up_challenge" },
    { 0x1986, "can_place_sentry" },
    { 0x1987, "can_purchase_chopper" },
    { 0x1988, "can_rope_melee" },
    { 0x1989, "can_say_event_type" },
    { 0x198A, "can_say_friendlyfire" },
    { 0x198B, "can_say_soundalias" },
    { 0x198C, "can_see_attacker_for_a_bit" },
    { 0x198D, "can_see_enemy" },
    { 0x198E, "can_see_origin" },
    { 0x198F, "can_see_player" },
    { 0x1990, "can_spawn_at_any_node" },
    { 0x1991, "can_spawn_meteoroid_alien" },
    { 0x1992, "can_spit_gas_cloud" },
    { 0x1993, "can_still_save_price" },
    { 0x1994, "can_use_health" },
    { 0x1995, "canactivatefunc" },
    { 0x1996, "canal_event" },
    { 0x1997, "canbepickedup" },
    { 0x1998, "canbeplaced" },
    { 0x1999, "canbetargeted" },
    { 0x199A, "canblindfire" },
    { 0x199B, "canbuddyspawn" },
    { 0x199C, "cancalloutlocation" },
    { 0x199D, "cancel_on_player_damage" },
    { 0x199E, "cancel_repair_on_hive_death" },
    { 0x199F, "cancelallbut" },
    { 0x19A0, "cancelkillcam" },
    { 0x19A1, "cancelmode" },
    { 0x19A2, "cancelnukeondeath" },
    { 0x19A3, "canceluse" },
    { 0x19A4, "canceluse_default_deployable_box" },
    { 0x19A5, "canceluse_dpad_airstrike" },
    { 0x19A6, "canceluse_dpad_backup_buddy" },
    { 0x19A7, "canceluse_dpad_death_machine" },
    { 0x19A8, "canceluse_dpad_glsentry" },
    { 0x19A9, "canceluse_dpad_ims" },
    { 0x19AA, "canceluse_dpad_minigun_turret" },
    { 0x19AB, "canceluse_dpad_predator" },
    { 0x19AC, "canceluse_dpad_riotshield" },
    { 0x19AD, "canceluse_dpad_sentry" },
    { 0x19AE, "canceluse_dpad_war_machine" },
    { 0x19AF, "canconcat" },
    { 0x19B0, "candamagedestructible" },
    { 0x19B1, "candocombat" },
    { 0x19B2, "candodge" },
    { 0x19B3, "candoflavorburst" },
    { 0x19B4, "candojumpforend" },
    { 0x19B5, "candopain" },
    { 0x19B6, "candostartmove" },
    { 0x19B7, "candoturnanim" },
    { 0x19B8, "canenttriggerplatform" },
    { 0x19B9, "canfire" },
    { 0x19BA, "cangive_ammo" },
    { 0x19BB, "cangive_ammo_clip" },
    { 0x19BC, "cangive_booster" },
    { 0x19BD, "cangive_default" },
    { 0x19BE, "cangive_health" },
    { 0x19BF, "cangive_loot_blood" },
    { 0x19C0, "cangive_loot_generic" },
    { 0x19C1, "cangive_maxammo" },
    { 0x19C2, "cangive_offhand" },
    { 0x19C3, "cangive_self_revive" },
    { 0x19C4, "cangive_shock_ammo" },
    { 0x19C5, "cangive_slotted_explosive" },
    { 0x19C6, "cangive_soflam" },
    { 0x19C7, "cangive_throwable_weapon" },
    { 0x19C8, "cangive_weapon" },
    { 0x19C9, "canhitsuppressspot" },
    { 0x19CA, "caninteractwith" },
    { 0x19CB, "canlean" },
    { 0x19CC, "canlogclient" },
    { 0x19CD, "canlogevent" },
    { 0x19CE, "canlogkillstreak" },
    { 0x19CF, "canloglife" },
    { 0x19D0, "canmovepointtopoint" },
    { 0x19D1, "cannedtraverseanims" },
    { 0x19D2, "cannon_effect" },
    { 0x19D3, "cannonfirevfx" },
    { 0x19D4, "cannonrumble" },
    { 0x19D5, "cannotplacestring" },
    { 0x19D6, "canperformclienttraces" },
    { 0x19D7, "canpickcrate" },
    { 0x19D8, "canpickupobject" },
    { 0x19D9, "canplaceentity" },
    { 0x19DA, "canpurchase" },
    { 0x19DB, "canpurchase_dpad_airstrike" },
    { 0x19DC, "canpurchase_dpad_backup_buddy" },
    { 0x19DD, "canpurchase_dpad_death_machine" },
    { 0x19DE, "canpurchase_dpad_glsentry" },
    { 0x19DF, "canpurchase_dpad_ims" },
    { 0x19E0, "canpurchase_dpad_minigun_turret" },
    { 0x19E1, "canpurchase_dpad_predator" },
    { 0x19E2, "canpurchase_dpad_riotshield" },
    { 0x19E3, "canpurchase_dpad_sentry" },
    { 0x19E4, "canpurchase_dpad_team_adrenaline" },
    { 0x19E5, "canpurchase_dpad_team_ammo" },
    { 0x19E6, "canpurchase_dpad_team_armor" },
    { 0x19E7, "canpurchase_dpad_team_boost" },
    { 0x19E8, "canpurchase_dpad_team_currency" },
    { 0x19E9, "canpurchase_dpad_team_explosives" },
    { 0x19EA, "canpurchase_dpad_team_randombox" },
    { 0x19EB, "canpurchase_dpad_team_specialammo" },
    { 0x19EC, "canpurchase_dpad_war_machine" },
    { 0x19ED, "canreactagain" },
    { 0x19EE, "canreadtext" },
    { 0x19EF, "canregenhealth" },
    { 0x19F0, "canreturntocover" },
    { 0x19F1, "cansave" },
    { 0x19F2, "cansay" },
    { 0x19F3, "cansayname" },
    { 0x19F4, "cansayplayername" },
    { 0x19F5, "canseeandshootpoint" },
    { 0x19F6, "canseeenemy" },
    { 0x19F7, "canseeenemyfromexposed" },
    { 0x19F8, "canseepointfromexposedatcorner" },
    { 0x19F9, "canseepointfromexposedatnode" },
    { 0x19FA, "canshootwhilerunning" },
    { 0x19FB, "canshootwhilerunningbackward" },
    { 0x19FC, "canshootwhilerunningforward" },
    { 0x19FD, "canshowsplash" },
    { 0x19FE, "canstoppeeking" },
    { 0x19FF, "cansuppressenemy" },
    { 0x1A00, "cansuppressenemyfromexposed" },
    { 0x1A01, "cantarget_turret" },
    { 0x1A02, "cantfindanythingtodo" },
    { 0x1A03, "canthittarget" },
    { 0x1A04, "canthrowgrenade" },
    { 0x1A05, "cantraceto" },
    { 0x1A06, "cantseeenemybehavior" },
    { 0x1A07, "cantseeenemywait" },
    { 0x1A08, "cantusehintthink" },
    { 0x1A09, "canuse" },
    { 0x1A0A, "canuse_dpad_airstrike" },
    { 0x1A0B, "canuse_dpad_backup_buddy" },
    { 0x1A0C, "canuse_dpad_death_machine" },
    { 0x1A0D, "canuse_dpad_glsentry" },
    { 0x1A0E, "canuse_dpad_ims" },
    { 0x1A0F, "canuse_dpad_minigun_turret" },
    { 0x1A10, "canuse_dpad_predator" },
    { 0x1A11, "canuse_dpad_riotshield" },
    { 0x1A12, "canuse_dpad_sentry" },
    { 0x1A13, "canuse_dpad_team_adrenaline" },
    { 0x1A14, "canuse_dpad_team_ammo" },
    { 0x1A15, "canuse_dpad_team_armor" },
    { 0x1A16, "canuse_dpad_team_boost" },
    { 0x1A17, "canuse_dpad_team_currency" },
    { 0x1A18, "canuse_dpad_team_explosives" },
    { 0x1A19, "canuse_dpad_team_randombox" },
    { 0x1A1A, "canuse_dpad_team_specialammo" },
    { 0x1A1B, "canuse_dpad_war_machine" },
    { 0x1A1C, "canusecallback" },
    { 0x1A1D, "canusedeployable" },
    { 0x1A1E, "canuselaser" },
    { 0x1A1F, "canuseotherboxes" },
    { 0x1A20, "canusesawapproach" },
    { 0x1A21, "canyon_init" },
    { 0x1A22, "canyon_jumper_setup" },
    { 0x1A23, "canyon_main" },
    { 0x1A24, "cap_range" },
    { 0x1A25, "capacity" },
    { 0x1A26, "capsule_ninja" },
    { 0x1A27, "capturednuke" },
    { 0x1A28, "captures" },
    { 0x1A29, "capturetime" },
    { 0x1A2A, "capturingstring" },
    { 0x1A2B, "car" },
    { 0x1A2C, "car_1" },
    { 0x1A2D, "car_alarm_org" },
    { 0x1A2E, "car_alarm_timeout" },
    { 0x1A2F, "car_damage_owner_recorder" },
    { 0x1A30, "car_sink_logic" },
    { 0x1A31, "caralarm" },
    { 0x1A32, "care_package_watch" },
    { 0x1A33, "care_packages" },
    { 0x1A34, "career_stat_increment" },
    { 0x1A35, "career_stats_init" },
    { 0x1A36, "careful_logic" },
    { 0x1A37, "carepackages" },
    { 0x1A38, "cargo" },
    { 0x1A39, "cargo_amb" },
    { 0x1A3A, "cargo_choppers" },
    { 0x1A3B, "cargo_container" },
    { 0x1A3C, "cargo_item_spawners" },
    { 0x1A3D, "cargo_lift" },
    { 0x1A3E, "cargo_winds_front" },
    { 0x1A3F, "cargo_winds_rear" },
    { 0x1A40, "carried_grape" },
    { 0x1A41, "carriedby" },
    { 0x1A42, "carriedims" },
    { 0x1A43, "carrieditem" },
    { 0x1A44, "carriedsentry" },
    { 0x1A45, "carrier" },
    { 0x1A46, "carrier_grape" },
    { 0x1A47, "carrier_init" },
    { 0x1A48, "carrier_life_jet_takeoff_guys" },
    { 0x1A49, "carrier_life_jet_takeoff_jet" },
    { 0x1A4A, "carrier_liferaft" },
    { 0x1A4B, "carrier_liferaft_think" },
    { 0x1A4C, "carrier_light_post_sparrow" },
    { 0x1A4D, "carrier_locations" },
    { 0x1A4E, "carrier_planes_precache" },
    { 0x1A4F, "carrier_post_load" },
    { 0x1A50, "carrier_set_vision_rog_tilt" },
    { 0x1A51, "carrier_starts" },
    { 0x1A52, "carriervisible" },
    { 0x1A53, "carry_bishop" },
    { 0x1A54, "carry_in" },
    { 0x1A55, "carry_vanguard" },
    { 0x1A56, "carryflag" },
    { 0x1A57, "carryicon" },
    { 0x1A58, "carrying_pickedup_sentry" },
    { 0x1A59, "carryobject" },
    { 0x1A5A, "carryobject_overridemovingplatformdeath" },
    { 0x1A5B, "carryobjectproxthink" },
    { 0x1A5C, "carryobjectproxthinkdelayed" },
    { 0x1A5D, "carryobjectproxthinkinstant" },
    { 0x1A5E, "carryobjectusethink" },
    { 0x1A5F, "carryremoteuav_delete" },
    { 0x1A60, "carryremoteuav_handleexistence" },
    { 0x1A61, "carryremoteuav_setcarried" },
    { 0x1A62, "cars" },
    { 0x1A63, "cart_player_kill_volume" },
    { 0x1A64, "cart_runner" },
    { 0x1A65, "casual_killer" },
    { 0x1A66, "casualtytracking" },
    { 0x1A67, "cat_array_add" },
    { 0x1A68, "cat_array_get" },
    { 0x1A69, "catch_alien_on_fire" },
    { 0x1A6A, "catch_damage_notify" },
    { 0x1A6B, "catch_death_notify" },
    { 0x1A6C, "catch_interrupt_notify" },
    { 0x1A6D, "catch_mission_failed" },
    { 0x1A6E, "catch_weapon_switch" },
    { 0x1A6F, "catchup_deck_combat" },
    { 0x1A70, "catchup_deck_tilt" },
    { 0x1A71, "catchup_deck_transition" },
    { 0x1A72, "catchup_deck_victory" },
    { 0x1A73, "catchup_defend_sparrow" },
    { 0x1A74, "catchup_defend_zodiac" },
    { 0x1A75, "catchup_function" },
    { 0x1A76, "catchup_medbay" },
    { 0x1A77, "catchup_run_to_sparrow" },
    { 0x1A78, "catchup_slow_intro" },
    { 0x1A79, "catwalk_godrays" },
    { 0x1A7A, "catwalk_melee" },
    { 0x1A7B, "catwalk_melee_abort" },
    { 0x1A7C, "catwalk_melee_glass_break" },
    { 0x1A7D, "catwalks_end" },
    { 0x1A7E, "catwalks_end_cleanup_fic" },
    { 0x1A7F, "catwalks_end_fic" },
    { 0x1A80, "catwalks_setup" },
    { 0x1A81, "cause_is_explosive" },
    { 0x1A82, "cave_cairo_whine" },
    { 0x1A83, "cave_dialogue" },
    { 0x1A84, "cave_dialogue_2" },
    { 0x1A85, "cave_dust" },
    { 0x1A86, "cave_earthquake" },
    { 0x1A87, "cave_exit" },
    { 0x1A88, "cave_exit_dialogue" },
    { 0x1A89, "cave_flashlight_logic" },
    { 0x1A8A, "cave_setup" },
    { 0x1A8B, "cave_shake" },
    { 0x1A8C, "ceiling_light_spark_fx_count" },
    { 0x1A8D, "ceiling_rubble" },
    { 0x1A8E, "ceiling_rubble_missile_explode_watch" },
    { 0x1A8F, "ceiling_rubble_onplayerconnect" },
    { 0x1A90, "ceiling_rubble_watchusage" },
    { 0x1A91, "center1" },
    { 0x1A92, "center2" },
    { 0x1A93, "center_volume" },
    { 0x1A94, "centeraimpoint" },
    { 0x1A95, "centered" },
    { 0x1A96, "centerlinethread" },
    { 0x1A97, "centerref" },
    { 0x1A98, "cfxprintln" },
    { 0x1A99, "cfxprintlnend" },
    { 0x1A9A, "cfxprintlnstart" },
    { 0x1A9B, "cg_drawbreathhint" },
    { 0x1A9C, "ch_assists" },
    { 0x1A9D, "ch_bulletdamagecommon" },
    { 0x1A9E, "ch_dog_breach" },
    { 0x1A9F, "ch_getprogress" },
    { 0x1AA0, "ch_getstate" },
    { 0x1AA1, "ch_gettarget" },
    { 0x1AA2, "ch_hardpoints" },
    { 0x1AA3, "ch_isactivechallenge" },
    { 0x1AA4, "ch_kills" },
    { 0x1AA5, "ch_roundplayed" },
    { 0x1AA6, "ch_roundwin" },
    { 0x1AA7, "ch_setprogress" },
    { 0x1AA8, "ch_setstate" },
    { 0x1AA9, "ch_vehicle_killed" },
    { 0x1AAA, "ch_vehicle_kills" },
    { 0x1AAB, "ch_vo" },
    { 0x1AAC, "chain_gate" },
    { 0x1AAD, "chain_gate_trigger_wait_damage" },
    { 0x1AAE, "chaingun_player_anims" },
    { 0x1AAF, "chaingun_shelleject_fx" },
    { 0x1AB0, "chaingun_shells" },
    { 0x1AB1, "chaingun_turret_disable" },
    { 0x1AB2, "chaingun_turret_init" },
    { 0x1AB3, "chaingun_viewmodel" },
    { 0x1AB4, "chair_anim_ent" },
    { 0x1AB5, "chair_animate" },
    { 0x1AB6, "chair_death_right" },
    { 0x1AB7, "chair_models" },
    { 0x1AB8, "chair_nags" },
    { 0x1AB9, "chair_vargas" },
    { 0x1ABA, "chair_vargas_2" },
    { 0x1ABB, "chalk_mark" },
    { 0x1ABC, "chalk_swipe1" },
    { 0x1ABD, "chalk_swipe2" },
    { 0x1ABE, "challenge_countdown" },
    { 0x1ABF, "challenge_data" },
    { 0x1AC0, "challenge_registration_func" },
    { 0x1AC1, "challenge_rewardval" },
    { 0x1AC2, "challenge_scalar_func" },
    { 0x1AC3, "challenge_targetval" },
    { 0x1AC4, "challengedata" },
    { 0x1AC5, "challengeinfo" },
    { 0x1AC6, "challengename" },
    { 0x1AC7, "challengereward" },
    { 0x1AC8, "challengescompleted" },
    { 0x1AC9, "challengeslot" },
    { 0x1ACA, "challengesplashnotify" },
    { 0x1ACB, "challengetarget" },
    { 0x1ACC, "champion" },
    { 0x1ACD, "chance" },
    { 0x1ACE, "chancefordoground" },
    { 0x1ACF, "chancetospawndog" },
    { 0x1AD0, "chancetospawnpickup" },
    { 0x1AD1, "change_character_model" },
    { 0x1AD2, "change_dof" },
    { 0x1AD3, "change_enemy_priority" },
    { 0x1AD4, "change_guard_to_hazmat" },
    { 0x1AD5, "change_light" },
    { 0x1AD6, "change_mix" },
    { 0x1AD7, "change_player_health_packets" },
    { 0x1AD8, "change_zone_stairwell" },
    { 0x1AD9, "changeaiming" },
    { 0x1ADA, "changecrateweight" },
    { 0x1ADB, "changed_team" },
    { 0x1ADC, "changedebugtexthudcolor" },
    { 0x1ADD, "changelightcolorto" },
    { 0x1ADE, "changelightcolortoworkerthread" },
    { 0x1ADF, "changelightintensityovertime" },
    { 0x1AE0, "changestanceforfuntime" },
    { 0x1AE1, "changestepoutpos" },
    { 0x1AE2, "changeweapons" },
    { 0x1AE3, "changingcoverpos" },
    { 0x1AE4, "changingdirection" },
    { 0x1AE5, "changingtoregularinfected" },
    { 0x1AE6, "changingtoregularinfectedbykill" },
    { 0x1AE7, "changingweapon" },
    { 0x1AE8, "chaos_a" },
    { 0x1AE9, "chaos_a_hesh_jump" },
    { 0x1AEA, "chaos_a_hesh_landing" },
    { 0x1AEB, "chaos_a_hesh_run" },
    { 0x1AEC, "chaos_a_house_jump_nag" },
    { 0x1AED, "chaos_a_wait_for_player_jump" },
    { 0x1AEE, "chaos_airdrop_locs" },
    { 0x1AEF, "chaos_b" },
    { 0x1AF0, "chaos_b_hide_debris" },
    { 0x1AF1, "chaos_b_slow_zone" },
    { 0x1AF2, "chaos_checkpoint" },
    { 0x1AF3, "chaos_checkpoint_trigger" },
    { 0x1AF4, "chaos_chunk_fall" },
    { 0x1AF5, "chaos_falling_debris" },
    { 0x1AF6, "chaos_faster_hesh" },
    { 0x1AF7, "chaos_hide_on_start" },
    { 0x1AF8, "chaos_kill_after_time" },
    { 0x1AF9, "chaos_kill_if_too_far" },
    { 0x1AFA, "chaos_kill_player" },
    { 0x1AFB, "chaos_moving_clip" },
    { 0x1AFC, "chaos_moving_head" },
    { 0x1AFD, "chaos_music" },
    { 0x1AFE, "chaos_player_kill" },
    { 0x1AFF, "chaos_quake_trigger_think" },
    { 0x1B00, "chaos_rog_think" },
    { 0x1B01, "chaos_sub_items" },
    { 0x1B02, "chaos_walker_wait" },
    { 0x1B03, "chaos_walkers" },
    { 0x1B04, "char_dialog_add_and_go" },
    { 0x1B05, "character_hat_index" },
    { 0x1B06, "character_head_index" },
    { 0x1B07, "character_index_cache" },
    { 0x1B08, "character_make_wet" },
    { 0x1B09, "character_type" },
    { 0x1B0A, "characters" },
    { 0x1B0B, "charactertypebonusxp" },
    { 0x1B0C, "charge" },
    { 0x1B0D, "charge1" },
    { 0x1B0E, "charge2" },
    { 0x1B0F, "charge_attack" },
    { 0x1B10, "charge_tracking_enemy" },
    { 0x1B11, "chase_amb_crossroad" },
    { 0x1B12, "chase_amb_enter_chasm" },
    { 0x1B13, "chase_amb_enter_ravine" },
    { 0x1B14, "chase_amb_enter_tunnel" },
    { 0x1B15, "chase_amb_exit_tunnel" },
    { 0x1B16, "chase_amb_garage_exit" },
    { 0x1B17, "chase_amb_garage_pre_exit" },
    { 0x1B18, "chase_amb_garage_pre_exit_skid" },
    { 0x1B19, "chase_amb_garage_punch_it" },
    { 0x1B1A, "chase_amb_garage_start" },
    { 0x1B1B, "chase_amb_sharp_turn" },
    { 0x1B1C, "chase_amb_sub_comes_up" },
    { 0x1B1D, "chase_amb_tight_spot" },
    { 0x1B1E, "chase_amb_under_bridge_1" },
    { 0x1B1F, "chase_amb_under_bridge_2" },
    { 0x1B20, "chase_amb_under_bridge_3" },
    { 0x1B21, "chase_amb_under_bridge_4" },
    { 0x1B22, "chase_cam_ent" },
    { 0x1B23, "chase_cam_last_num" },
    { 0x1B24, "chase_cam_target" },
    { 0x1B25, "chase_collision" },
    { 0x1B26, "chase_concussion" },
    { 0x1B27, "chase_crack_icehole" },
    { 0x1B28, "chase_crashmix" },
    { 0x1B29, "chase_dog" },
    { 0x1B2A, "chase_dog_blocker_think" },
    { 0x1B2B, "chase_dog_dialogue" },
    { 0x1B2C, "chase_land_roof" },
    { 0x1B2D, "chase_land_tires_big" },
    { 0x1B2E, "chase_land_tires_small" },
    { 0x1B2F, "chase_leftground" },
    { 0x1B30, "chase_music" },
    { 0x1B31, "chase_pileup_counter" },
    { 0x1B32, "chase_player" },
    { 0x1B33, "chase_player_collision" },
    { 0x1B34, "chase_player_jolt" },
    { 0x1B35, "chase_roadblock_smash" },
    { 0x1B36, "chase_script" },
    { 0x1B37, "chase_sink" },
    { 0x1B38, "chase_sm_collision" },
    { 0x1B39, "chase_sm_leftground" },
    { 0x1B3A, "chase_stinger_music" },
    { 0x1B3B, "chase_tower_fire" },
    { 0x1B3C, "chase_tunnel_jeep" },
    { 0x1B3D, "chasecam" },
    { 0x1B3E, "chasecam_onent" },
    { 0x1B3F, "chasm" },
    { 0x1B40, "chatinitialized" },
    { 0x1B41, "chatqueue" },
    { 0x1B42, "cheap_effect_id" },
    { 0x1B43, "cheap_vehicles_have_shields" },
    { 0x1B44, "cheatammoifnecessary" },
    { 0x1B45, "check_against_active_zones" },
    { 0x1B46, "check_ai_array_for_death" },
    { 0x1B47, "check_already_touching" },
    { 0x1B48, "check_analog_movement" },
    { 0x1B49, "check_anim_time" },
    { 0x1B4A, "check_animation" },
    { 0x1B4B, "check_atrium_done" },
    { 0x1B4C, "check_break_stealth" },
    { 0x1B4D, "check_break_stealth_end" },
    { 0x1B4E, "check_close_to_hesh" },
    { 0x1B4F, "check_createfx_limit" },
    { 0x1B50, "check_death" },
    { 0x1B51, "check_debug_hud_dvar" },
    { 0x1B52, "check_delete" },
    { 0x1B53, "check_dog_ready_to_attack" },
    { 0x1B54, "check_dog_sprinting" },
    { 0x1B55, "check_enemy_clump" },
    { 0x1B56, "check_enemy_index" },
    { 0x1B57, "check_failed_spawn_groups" },
    { 0x1B58, "check_feature_dependencies" },
    { 0x1B59, "check_fire_angle" },
    { 0x1B5A, "check_flag_for_stat_tracking" },
    { 0x1B5B, "check_for_ball_pop" },
    { 0x1B5C, "check_for_block" },
    { 0x1B5D, "check_for_combat_two_done" },
    { 0x1B5E, "check_for_death_during_traversal" },
    { 0x1B5F, "check_for_enemies" },
    { 0x1B60, "check_for_existing_pet_bombs" },
    { 0x1B61, "check_for_melee_stab" },
    { 0x1B62, "check_for_pistol_ammo" },
    { 0x1B63, "check_for_player_impact" },
    { 0x1B64, "check_for_player_meleeing" },
    { 0x1B65, "check_for_player_near_hive_with_drill" },
    { 0x1B66, "check_for_rog_death" },
    { 0x1B67, "check_for_special_damage" },
    { 0x1B68, "check_for_weapon_pickup" },
    { 0x1B69, "check_force_color" },
    { 0x1B6A, "check_friendly_fire" },
    { 0x1B6B, "check_grenade" },
    { 0x1B6C, "check_guard_death_to_stop_pistol_fire" },
    { 0x1B6D, "check_hint_condition" },
    { 0x1B6E, "check_hold_bar_in_green" },
    { 0x1B6F, "check_hold_bar_in_green_or_die" },
    { 0x1B70, "check_hostage_flag_a" },
    { 0x1B71, "check_hostage_flag_b" },
    { 0x1B72, "check_if_player_close_to_checkpoint" },
    { 0x1B73, "check_if_went_hot_late" },
    { 0x1B74, "check_item_found" },
    { 0x1B75, "check_kill_traversal" },
    { 0x1B76, "check_limit_type" },
    { 0x1B77, "check_melee_interaction_active" },
    { 0x1B78, "check_missing_animation" },
    { 0x1B79, "check_other_haslevelveteranachievement" },
    { 0x1B7A, "check_overrides" },
    { 0x1B7B, "check_owner" },
    { 0x1B7C, "check_pain_lockout" },
    { 0x1B7D, "check_patrol_in_volume" },
    { 0x1B7E, "check_player_bark" },
    { 0x1B7F, "check_player_warehouse_mantle" },
    { 0x1B80, "check_player_zoom" },
    { 0x1B81, "check_script_char_group_ratio" },
    { 0x1B82, "check_sound_tag_dupe" },
    { 0x1B83, "check_sound_tag_dupe_reset" },
    { 0x1B84, "check_spawn_group_isspawner" },
    { 0x1B85, "check_start_attack" },
    { 0x1B86, "check_submix_hud_dvar" },
    { 0x1B87, "check_trap_icons_on_spawn" },
    { 0x1B88, "check_trigger_flagset" },
    { 0x1B89, "check_triggers_flagset" },
    { 0x1B8A, "check_unloadgroup" },
    { 0x1B8B, "check_vol_index" },
    { 0x1B8C, "check_weapon" },
    { 0x1B8D, "check_zone_flags" },
    { 0x1B8E, "check_zone_hud_dvar" },
    { 0x1B8F, "checkadvanceonenemyconditions" },
    { 0x1B90, "checkallgeneratorsofthistype" },
    { 0x1B91, "checkallowspectating" },
    { 0x1B92, "checkapproachconditions" },
    { 0x1B93, "checkapproachpreconditions" },
    { 0x1B94, "checkarrivalenterpositions" },
    { 0x1B95, "checkbesttargetvector" },
    { 0x1B96, "checkbuddyspawn" },
    { 0x1B97, "checkchanged" },
    { 0x1B98, "checkcombatstate" },
    { 0x1B99, "checkcoverenterpos" },
    { 0x1B9A, "checkdanger" },
    { 0x1B9B, "checkdynamicspawns" },
    { 0x1B9C, "checked" },
    { 0x1B9D, "checkendcombat" },
    { 0x1B9E, "checkexpiretime" },
    { 0x1B9F, "checkforbestweapon" },
    { 0x1BA0, "checkforcebleedout" },
    { 0x1BA1, "checkforceragdoll" },
    { 0x1BA2, "checkforfriendlies" },
    { 0x1BA3, "checkforperkupgrade" },
    { 0x1BA4, "checkforpersonalbests" },
    { 0x1BA5, "checkforthrowback" },
    { 0x1BA6, "checkgeneratorplacement" },
    { 0x1BA7, "checkgrenadethrowdist" },
    { 0x1BA8, "checkhit" },
    { 0x1BA9, "checkhitsthismag" },
    { 0x1BAA, "checkhitsthismag_regularmp" },
    { 0x1BAB, "checking_for_hits" },
    { 0x1BAC, "checkisfacing" },
    { 0x1BAD, "checkkillsteal" },
    { 0x1BAE, "checkmatchdataequipmentkills" },
    { 0x1BAF, "checkmatchdatakills" },
    { 0x1BB0, "checkmatchdataweaponkills" },
    { 0x1BB1, "checknodeexitpos" },
    { 0x1BB2, "checkowner" },
    { 0x1BB3, "checkpitchvisibility" },
    { 0x1BB4, "checkplayer" },
    { 0x1BB5, "checkplayerscorelimitsoon" },
    { 0x1BB6, "checkpoint_air_strip" },
    { 0x1BB7, "checkpoint_air_strip_secured" },
    { 0x1BB8, "checkpoint_base_array" },
    { 0x1BB9, "checkpoint_bridge" },
    { 0x1BBA, "checkpoint_canyon" },
    { 0x1BBB, "checkpoint_cave" },
    { 0x1BBC, "checkpoint_chaos" },
    { 0x1BBD, "checkpoint_combat_failsafe" },
    { 0x1BBE, "checkpoint_complex" },
    { 0x1BBF, "checkpoint_crash_site" },
    { 0x1BC0, "checkpoint_defend" },
    { 0x1BC1, "checkpoint_enemies_run_for_cover" },
    { 0x1BC2, "checkpoint_enemy_anims" },
    { 0x1BC3, "checkpoint_exfil" },
    { 0x1BC4, "checkpoint_final" },
    { 0x1BC5, "checkpoint_foley" },
    { 0x1BC6, "checkpoint_interior" },
    { 0x1BC7, "checkpoint_interior_combat" },
    { 0x1BC8, "checkpoint_interior_cqb" },
    { 0x1BC9, "checkpoint_interior_vault_scene" },
    { 0x1BCA, "checkpoint_osprey" },
    { 0x1BCB, "checkpoint_patrol" },
    { 0x1BCC, "checkpoint_patrol_anim" },
    { 0x1BCD, "checkpoint_props" },
    { 0x1BCE, "checkpoint_ride" },
    { 0x1BCF, "checkpoint_rpg_enemies_fire_at_heli" },
    { 0x1BD0, "checkpoint_setup" },
    { 0x1BD1, "checkpoint_start_ambush" },
    { 0x1BD2, "checkpoint_tank" },
    { 0x1BD3, "checkpoint_tower" },
    { 0x1BD4, "checkpredictedspawnpointcorrectness" },
    { 0x1BD5, "checkroundswitch" },
    { 0x1BD6, "checkscopes" },
    { 0x1BD7, "checkscorelimit" },
    { 0x1BD8, "checkstreakreward" },
    { 0x1BD9, "checkteam" },
    { 0x1BDA, "checkteamscorelimitsoon" },
    { 0x1BDB, "checktimelimit" },
    { 0x1BDC, "checktoturnoffemp" },
    { 0x1BDD, "checktransitionconditions" },
    { 0x1BDE, "checktransitionpreconditions" },
    { 0x1BDF, "checkvehiclemodelforlock" },
    { 0x1BE0, "checkvictimstutter" },
    { 0x1BE1, "chevron_tag" },
    { 0x1BE2, "childchecktime" },
    { 0x1BE3, "children" },
    { 0x1BE4, "children_sounds" },
    { 0x1BE5, "choke_loc" },
    { 0x1BE6, "choke_trigs" },
    { 0x1BE7, "choking_logic" },
    { 0x1BE8, "choose_ads" },
    { 0x1BE9, "choose_fire" },
    { 0x1BEA, "choose_from_weighted_array" },
    { 0x1BEB, "choose_goal_vol" },
    { 0x1BEC, "choose_goal_vol_chain" },
    { 0x1BED, "choose_item_inside_randombox" },
    { 0x1BEE, "choose_random_explosive_type" },
    { 0x1BEF, "choose_spit_type" },
    { 0x1BF0, "chooseanimfromset" },
    { 0x1BF1, "chooseattackidle" },
    { 0x1BF2, "choosedirection" },
    { 0x1BF3, "choosefirstinfected" },
    { 0x1BF4, "choosepose" },
    { 0x1BF5, "chooseposefunc" },
    { 0x1BF6, "choper_fly_in_think" },
    { 0x1BF7, "chopper" },
    { 0x1BF8, "chopper02_ally" },
    { 0x1BF9, "chopper2" },
    { 0x1BFA, "chopper_achievement_check" },
    { 0x1BFB, "chopper_active" },
    { 0x1BFC, "chopper_ai_init" },
    { 0x1BFD, "chopper_air_support_activate" },
    { 0x1BFE, "chopper_arrive_wind_gust" },
    { 0x1BFF, "chopper_attack_logic" },
    { 0x1C00, "chopper_attacker_check" },
    { 0x1C01, "chopper_boss_agro" },
    { 0x1C02, "chopper_boss_agro_chopper" },
    { 0x1C03, "chopper_boss_attempt_firing" },
    { 0x1C04, "chopper_boss_can_hit_from_mgturret" },
    { 0x1C05, "chopper_boss_can_hit_from_tag_turret" },
    { 0x1C06, "chopper_boss_clear_hangout_volume" },
    { 0x1C07, "chopper_boss_finding_target" },
    { 0x1C08, "chopper_boss_fire_mgturrets" },
    { 0x1C09, "chopper_boss_fire_weapon" },
    { 0x1C0A, "chopper_boss_forced_target_clear" },
    { 0x1C0B, "chopper_boss_forced_target_get" },
    { 0x1C0C, "chopper_boss_forced_target_set" },
    { 0x1C0D, "chopper_boss_gather_targets" },
    { 0x1C0E, "chopper_boss_get_best_location_and_target" },
    { 0x1C0F, "chopper_boss_get_best_location_and_target_proc" },
    { 0x1C10, "chopper_boss_get_best_target_proc" },
    { 0x1C11, "chopper_boss_get_closest_available_path_struct_2d" },
    { 0x1C12, "chopper_boss_get_closest_neighbor_2d" },
    { 0x1C13, "chopper_boss_get_closest_target_2d" },
    { 0x1C14, "chopper_boss_get_target" },
    { 0x1C15, "chopper_boss_goto_hangout" },
    { 0x1C16, "chopper_boss_hangout" },
    { 0x1C17, "chopper_boss_in_range" },
    { 0x1C18, "chopper_boss_loc_compare" },
    { 0x1C19, "chopper_boss_loc_disable" },
    { 0x1C1A, "chopper_boss_loc_enable" },
    { 0x1C1B, "chopper_boss_locs" },
    { 0x1C1C, "chopper_boss_locs_disabled" },
    { 0x1C1D, "chopper_boss_locs_monitor_disable" },
    { 0x1C1E, "chopper_boss_locs_monitor_disable_clean_up" },
    { 0x1C1F, "chopper_boss_locs_monitor_disable_reset" },
    { 0x1C20, "chopper_boss_locs_monitor_disable_turn_off" },
    { 0x1C21, "chopper_boss_locs_populate" },
    { 0x1C22, "chopper_boss_locs_populate_thread" },
    { 0x1C23, "chopper_boss_locs_populate_thread_optimized" },
    { 0x1C24, "chopper_boss_locs_populated" },
    { 0x1C25, "chopper_boss_manage_shooting_flag" },
    { 0x1C26, "chopper_boss_manage_targeting_flag" },
    { 0x1C27, "chopper_boss_move" },
    { 0x1C28, "chopper_boss_path_override" },
    { 0x1C29, "chopper_boss_path_paused" },
    { 0x1C2A, "chopper_boss_pause_path_finding" },
    { 0x1C2B, "chopper_boss_post_move_func" },
    { 0x1C2C, "chopper_boss_pre_move_func" },
    { 0x1C2D, "chopper_boss_resume_path_finding" },
    { 0x1C2E, "chopper_boss_set_hangout_volume" },
    { 0x1C2F, "chopper_boss_set_target" },
    { 0x1C30, "chopper_boss_stop_func" },
    { 0x1C31, "chopper_boss_think" },
    { 0x1C32, "chopper_boss_wait_face_target" },
    { 0x1C33, "chopper_boss_wait_populate" },
    { 0x1C34, "chopper_cost" },
    { 0x1C35, "chopper_crash" },
    { 0x1C36, "chopper_crash_enemies" },
    { 0x1C37, "chopper_crash_fx_cleanup" },
    { 0x1C38, "chopper_crash_guy_logic" },
    { 0x1C39, "chopper_custom_death_spin" },
    { 0x1C3A, "chopper_damage_state" },
    { 0x1C3B, "chopper_death_anim" },
    { 0x1C3C, "chopper_death_player" },
    { 0x1C3D, "chopper_decoys_and_evade" },
    { 0x1C3E, "chopper_destroys_cover" },
    { 0x1C3F, "chopper_does_first_flyby" },
    { 0x1C40, "chopper_drive_in_vo" },
    { 0x1C41, "chopper_fx" },
    { 0x1C42, "chopper_hear_vo" },
    { 0x1C43, "chopper_infantry_tweak" },
    { 0x1C44, "chopper_insta_kill" },
    { 0x1C45, "chopper_lean" },
    { 0x1C46, "chopper_leaves_after_time" },
    { 0x1C47, "chopper_lockon_vo_num" },
    { 0x1C48, "chopper_loops" },
    { 0x1C49, "chopper_missile_burst" },
    { 0x1C4A, "chopper_missile_kills" },
    { 0x1C4B, "chopper_outline_monitor" },
    { 0x1C4C, "chopper_path_release" },
    { 0x1C4D, "chopper_pilot_ent" },
    { 0x1C4E, "chopper_reacts_to_lockon" },
    { 0x1C4F, "chopper_resume_path" },
    { 0x1C50, "chopper_reward" },
    { 0x1C51, "chopper_rumble_earthquake" },
    { 0x1C52, "chopper_scripted_death" },
    { 0x1C53, "chopper_side_dodge" },
    { 0x1C54, "chopper_sound" },
    { 0x1C55, "chopper_sounds_for_defend" },
    { 0x1C56, "chopper_spawn_func" },
    { 0x1C57, "chopper_start" },
    { 0x1C58, "chopper_start_at_path" },
    { 0x1C59, "chopper_strafe_attack" },
    { 0x1C5A, "chopper_turret_off" },
    { 0x1C5B, "chopper_turret_on" },
    { 0x1C5C, "chopperattackarrow" },
    { 0x1C5D, "chopperboss_const" },
    { 0x1C5E, "choppers" },
    { 0x1C5F, "choppers_do_strafe_attacks" },
    { 0x1C60, "choppers_fly_in" },
    { 0x1C61, "choppers_in_position" },
    { 0x1C62, "choppers_setup" },
    { 0x1C63, "chopperturretfunc" },
    { 0x1C64, "chopperturretofffunc" },
    { 0x1C65, "chopperturretonfunc" },
    { 0x1C66, "chosen" },
    { 0x1C67, "chosentemplates" },
    { 0x1C68, "chunk_spark_fx_tag" },
    { 0x1C69, "church_collapse" },
    { 0x1C6A, "church_destruction_init" },
    { 0x1C6B, "church_fall" },
    { 0x1C6C, "church_weapon_pullout" },
    { 0x1C6D, "chute_flies_up" },
    { 0x1C6E, "chyron" },
    { 0x1C6F, "chyron_sound" },
    { 0x1C70, "cig_throwing" },
    { 0x1C71, "cigar" },
    { 0x1C72, "cinematic_off" },
    { 0x1C73, "cinematic_on" },
    { 0x1C74, "cinematic_over" },
    { 0x1C75, "cinematicmode_off" },
    { 0x1C76, "cinematicmode_on" },
    { 0x1C77, "cipher_ambush_approach" },
    { 0x1C78, "cipher_approach_anims" },
    { 0x1C79, "cipher_keegan_tower_kill" },
    { 0x1C7A, "cipher_podium" },
    { 0x1C7B, "cipher_vo" },
    { 0x1C7C, "circle_large_variance_amt" },
    { 0x1C7D, "circle_large_variance_time" },
    { 0x1C7E, "circle_radius" },
    { 0x1C7F, "circle_time" },
    { 0x1C80, "circling" },
    { 0x1C81, "circling_retreat" },
    { 0x1C82, "city_collapse" },
    { 0x1C83, "civilian_combathunchedmoveturn" },
    { 0x1C84, "civilian_combatmoveturn" },
    { 0x1C85, "civilian_init" },
    { 0x1C86, "civilian_jet_flyby" },
    { 0x1C87, "civilian_noncombatmoveturn" },
    { 0x1C88, "civilian_walk_animation" },
    { 0x1C89, "civilianflashedarray" },
    { 0x1C8A, "civilianjetflyby" },
    { 0x1C8B, "civilianjetflyby_timer" },
    { 0x1C8C, "civilianprops" },
    { 0x1C8D, "civs" },
    { 0x1C8E, "civs_set_flag_on_damage" },
    { 0x1C8F, "clacker_vo_failsafe" },
    { 0x1C90, "claim_a_node" },
    { 0x1C91, "claim_spit_node" },
    { 0x1C92, "claimed" },
    { 0x1C93, "claimed_node" },
    { 0x1C94, "claimplayer" },
    { 0x1C95, "claimteam" },
    { 0x1C96, "claimtrigger" },
    { 0x1C97, "clampandnormalize" },
    { 0x1C98, "clampedhealth" },
    { 0x1C99, "clampweaponweightvalue" },
    { 0x1C9A, "class" },
    { 0x1C9B, "class_num" },
    { 0x1C9C, "class_override" },
    { 0x1C9D, "classcallback" },
    { 0x1C9E, "classgrenades" },
    { 0x1C9F, "classhasperk" },
    { 0x1CA0, "classmap" },
    { 0x1CA1, "classname_ng" },
    { 0x1CA2, "classtablename" },
    { 0x1CA3, "classtablenum" },
    { 0x1CA4, "classtweaks" },
    { 0x1CA5, "claymore_pickup_think_global" },
    { 0x1CA6, "claymore_tutorial_given" },
    { 0x1CA7, "claymoredetectiondot" },
    { 0x1CA8, "claymoredetectiongraceperiod" },
    { 0x1CA9, "claymoredetectionmindist" },
    { 0x1CAA, "claymoredetectiontrigger" },
    { 0x1CAB, "claymoredetonateradius" },
    { 0x1CAC, "claymoredetonation" },
    { 0x1CAD, "claymoremakesentient" },
    { 0x1CAE, "claymores" },
    { 0x1CAF, "claymoresentientfunc" },
    { 0x1CB0, "claymoretracking" },
    { 0x1CB1, "claymoreused" },
    { 0x1CB2, "clean_tank_array" },
    { 0x1CB3, "clean_tow_hud" },
    { 0x1CB4, "clean_up" },
    { 0x1CB5, "clean_up_attack" },
    { 0x1CB6, "clean_up_attackers" },
    { 0x1CB7, "clean_up_first_half" },
    { 0x1CB8, "clean_up_first_half_thread" },
    { 0x1CB9, "clean_up_intro_exterior_props" },
    { 0x1CBA, "clean_up_lagged_aliens" },
    { 0x1CBB, "clean_up_on_death" },
    { 0x1CBC, "clean_up_on_owner_death" },
    { 0x1CBD, "clean_window_player" },
    { 0x1CBE, "clean_window_rorke" },
    { 0x1CBF, "cleanarray" },
    { 0x1CC0, "cleanup" },
    { 0x1CC1, "cleanup_ads_at_death" },
    { 0x1CC2, "cleanup_boats" },
    { 0x1CC3, "cleanup_bullet_pinhole_stuff" },
    { 0x1CC4, "cleanup_complex" },
    { 0x1CC5, "cleanup_deck_transition" },
    { 0x1CC6, "cleanup_delayed" },
    { 0x1CC7, "cleanup_enemies" },
    { 0x1CC8, "cleanup_enemy_destroyer" },
    { 0x1CC9, "cleanup_ent_on_dismount" },
    { 0x1CCA, "cleanup_ents" },
    { 0x1CCB, "cleanup_ents_removing_bullet_shield" },
    { 0x1CCC, "cleanup_fixtures" },
    { 0x1CCD, "cleanup_hangar" },
    { 0x1CCE, "cleanup_intermission_enemies" },
    { 0x1CCF, "cleanup_intro_exterior" },
    { 0x1CD0, "cleanup_land_vert_missile_fx" },
    { 0x1CD1, "cleanup_launcher" },
    { 0x1CD2, "cleanup_layout" },
    { 0x1CD3, "cleanup_missile_fx" },
    { 0x1CD4, "cleanup_on_death" },
    { 0x1CD5, "cleanup_outside_ents_on_entry" },
    { 0x1CD6, "cleanup_phys_obj" },
    { 0x1CD7, "cleanup_pipedeck" },
    { 0x1CD8, "cleanup_roofjump_on_notify" },
    { 0x1CD9, "cleanup_rope" },
    { 0x1CDA, "cleanup_rope_on_zodiac_death" },
    { 0x1CDB, "cleanup_rumble_on_death" },
    { 0x1CDC, "cleanup_rumble_on_dismount" },
    { 0x1CDD, "cleanup_sdv" },
    { 0x1CDE, "cleanup_sentry_hud_outline" },
    { 0x1CDF, "cleanup_sleeping_enemy" },
    { 0x1CE0, "cleanup_teargas_on_exit" },
    { 0x1CE1, "cleanup_topdrive" },
    { 0x1CE2, "cleanup_triggers" },
    { 0x1CE3, "cleanup_vehicles" },
    { 0x1CE4, "cleanup_vert_missile_fx" },
    { 0x1CE5, "cleanup_weapon_hint" },
    { 0x1CE6, "cleanup_zodiac_bodies" },
    { 0x1CE7, "cleanup_zodiacs" },
    { 0x1CE8, "cleanup_zone_arrays" },
    { 0x1CE9, "cleanupaircraft" },
    { 0x1CEA, "cleanupbuddyspawn" },
    { 0x1CEB, "cleanupent" },
    { 0x1CEC, "cleanupents" },
    { 0x1CED, "cleanupequipment" },
    { 0x1CEE, "cleanupflyby" },
    { 0x1CEF, "cleanuplasertargetingdevice" },
    { 0x1CF0, "cleanupreviveent" },
    { 0x1CF1, "cleanupvars" },
    { 0x1CF2, "clear_actor_space_rotation" },
    { 0x1CF3, "clear_all_corpses" },
    { 0x1CF4, "clear_ally_drones" },
    { 0x1CF5, "clear_animation" },
    { 0x1CF6, "clear_anims" },
    { 0x1CF7, "clear_anims_on_death" },
    { 0x1CF8, "clear_archetype" },
    { 0x1CF9, "clear_attached_items" },
    { 0x1CFA, "clear_attacking" },
    { 0x1CFB, "clear_audio_filter" },
    { 0x1CFC, "clear_audio_mix" },
    { 0x1CFD, "clear_audio_occlusion" },
    { 0x1CFE, "clear_bark_cairo" },
    { 0x1CFF, "clear_breaching_variable" },
    { 0x1D00, "clear_bulletshield_on_alert" },
    { 0x1D01, "clear_camper_data" },
    { 0x1D02, "clear_chopper_target_pointer" },
    { 0x1D03, "clear_colors" },
    { 0x1D04, "clear_custom_animset" },
    { 0x1D05, "clear_custom_gameskill_func" },
    { 0x1D06, "clear_deathanim" },
    { 0x1D07, "clear_deck_props" },
    { 0x1D08, "clear_dog_master" },
    { 0x1D09, "clear_dog_scripted_mode" },
    { 0x1D0A, "clear_dvar" },
    { 0x1D0B, "clear_enemy_passthrough" },
    { 0x1D0C, "clear_entity_selection" },
    { 0x1D0D, "clear_exception" },
    { 0x1D0E, "clear_filter" },
    { 0x1D0F, "clear_force_color" },
    { 0x1D10, "clear_fx_hudelements" },
    { 0x1D11, "clear_generic_idle_anim" },
    { 0x1D12, "clear_generic_run_anim" },
    { 0x1D13, "clear_groundref" },
    { 0x1D14, "clear_hints" },
    { 0x1D15, "clear_ignore_enemy" },
    { 0x1D16, "clear_ignore_everything" },
    { 0x1D17, "clear_ignore_states" },
    { 0x1D18, "clear_item_pickup" },
    { 0x1D19, "clear_last_alien_damaged_time" },
    { 0x1D1A, "clear_lmgs" },
    { 0x1D1B, "clear_mix" },
    { 0x1D1C, "clear_override_node" },
    { 0x1D1D, "clear_player_attacked_by_dog_on_death" },
    { 0x1D1E, "clear_promotion_order" },
    { 0x1D1F, "clear_rappel_move_flag" },
    { 0x1D20, "clear_reverb" },
    { 0x1D21, "clear_run_anim" },
    { 0x1D22, "clear_sam_missiles" },
    { 0x1D23, "clear_script_goal_on" },
    { 0x1D24, "clear_settable_fx" },
    { 0x1D25, "clear_target_array" },
    { 0x1D26, "clear_target_on_vehicle_death" },
    { 0x1D27, "clear_team_colors" },
    { 0x1D28, "clear_team_ignore_states" },
    { 0x1D29, "clear_this_node" },
    { 0x1D2A, "clear_to_go_flag_set_once" },
    { 0x1D2B, "clear_tool_hud" },
    { 0x1D2C, "clear_track_struct" },
    { 0x1D2D, "clear_turret_ammo_counter_on_death" },
    { 0x1D2E, "clear_turret_ammo_counter_on_dismount" },
    { 0x1D2F, "clear_unresolved_collision_count_next_frame" },
    { 0x1D30, "clear_vista_vehicles" },
    { 0x1D31, "clear_volume_flag" },
    { 0x1D32, "clearafterfade" },
    { 0x1D33, "clearall" },
    { 0x1D34, "clearawardwinners" },
    { 0x1D35, "clearbattlebuddy" },
    { 0x1D36, "clearbuddymessage" },
    { 0x1D37, "clearcarrier" },
    { 0x1D38, "cleardamagehistory" },
    { 0x1D39, "cleardodgeanims" },
    { 0x1D3A, "cleared" },
    { 0x1D3B, "clearempondeath" },
    { 0x1D3C, "clearfaceanimonanimdone" },
    { 0x1D3D, "clearfxondeath" },
    { 0x1D3E, "clearfxondisconnect" },
    { 0x1D3F, "clearhudtimer" },
    { 0x1D40, "clearidshortly" },
    { 0x1D41, "clearing_bob_anim" },
    { 0x1D42, "clearing_sways" },
    { 0x1D43, "clearisspeaking" },
    { 0x1D44, "clearkillcamstate" },
    { 0x1D45, "clearkillstreaks" },
    { 0x1D46, "clearlookatthread" },
    { 0x1D47, "clearlowermessage" },
    { 0x1D48, "clearlowermessages" },
    { 0x1D49, "clearondeath" },
    { 0x1D4A, "clearonvictimdisconnect" },
    { 0x1D4B, "clearplayerlockfromremoteuavlaunch" },
    { 0x1D4C, "clearplayerlockfromvanguardlaunch" },
    { 0x1D4D, "clearportalfx" },
    { 0x1D4E, "clearprevioustispawnpoint" },
    { 0x1D4F, "clearprogress" },
    { 0x1D50, "clearrideintro" },
    { 0x1D51, "clearselectinglocationonremotedeathspawn" },
    { 0x1D52, "clearsightposnear" },
    { 0x1D53, "clearspawnpointdistancedata" },
    { 0x1D54, "clearspawnpointsightdata" },
    { 0x1D55, "clearteamspawnpointdistancedata" },
    { 0x1D56, "clearteamspawnpointsightdata" },
    { 0x1D57, "cleartextmarker" },
    { 0x1D58, "clearthreatbias" },
    { 0x1D59, "clearusingremote" },
    { 0x1D5A, "clearwatervarsonspawn" },
    { 0x1D5B, "clientid" },
    { 0x1D5C, "clientmatchdataid" },
    { 0x1D5D, "clienttracespawnclass" },
    { 0x1D5E, "clienttweakables" },
    { 0x1D5F, "cliff_chopper" },
    { 0x1D60, "cliff_chopper_shoot_over_players_head" },
    { 0x1D61, "cliff_choppers_move_on" },
    { 0x1D62, "cliff_guy_logic" },
    { 0x1D63, "climb_over" },
    { 0x1D64, "climbover_enemy" },
    { 0x1D65, "clip" },
    { 0x1D66, "clip_brush" },
    { 0x1D67, "clip_delete" },
    { 0x1D68, "clip_down" },
    { 0x1D69, "clip_move" },
    { 0x1D6A, "clip_show" },
    { 0x1D6B, "clip_up" },
    { 0x1D6C, "clip_up_delete" },
    { 0x1D6D, "clipammo" },
    { 0x1D6E, "clipammol" },
    { 0x1D6F, "clipammor" },
    { 0x1D70, "clipangles" },
    { 0x1D71, "clipmovementtolerance" },
    { 0x1D72, "clockwork_defend_pre_load" },
    { 0x1D73, "clockwork_exfil_pre_load" },
    { 0x1D74, "clockwork_init" },
    { 0x1D75, "clockwork_interior_nvg_pre_load" },
    { 0x1D76, "clockwork_interior_pre_load" },
    { 0x1D77, "clockwork_intro_pre_load" },
    { 0x1D78, "clockwork_locations" },
    { 0x1D79, "clockwork_starts" },
    { 0x1D7A, "clockwork_thermobaric_mines" },
    { 0x1D7B, "clockwork_timer" },
    { 0x1D7C, "clockwork_treadfx_override" },
    { 0x1D7D, "close_distance_sq" },
    { 0x1D7E, "close_door" },
    { 0x1D7F, "close_elevator_doors" },
    { 0x1D80, "close_enemy_volume" },
    { 0x1D81, "close_exterior_hatch" },
    { 0x1D82, "close_gate" },
    { 0x1D83, "close_hvt_office_doors" },
    { 0x1D84, "close_inner_doors" },
    { 0x1D85, "close_loading_dock_doors" },
    { 0x1D86, "close_outer_doors" },
    { 0x1D87, "close_range_retreat" },
    { 0x1D88, "close_stream_enemies" },
    { 0x1D89, "close_to_waterfall_enemy_logic" },
    { 0x1D8A, "close_trigger" },
    { 0x1D8B, "close_warehouse_doors" },
    { 0x1D8C, "closed_angles" },
    { 0x1D8D, "closed_defend_fx_ent" },
    { 0x1D8E, "closed_goal_fx_ent" },
    { 0x1D8F, "closed_height" },
    { 0x1D90, "closed_pos" },
    { 0x1D91, "closed_width" },
    { 0x1D92, "closed_x" },
    { 0x1D93, "closed_y" },
    { 0x1D94, "closedlist" },
    { 0x1D95, "closedlistid" },
    { 0x1D96, "closeelevatordoors" },
    { 0x1D97, "closeenoughaimdegrees" },
    { 0x1D98, "closeomamenuondeath" },
    { 0x1D99, "closepos" },
    { 0x1D9A, "closerfunc" },
    { 0x1D9B, "closest_enemy_in_range" },
    { 0x1D9C, "closest_enemy_snowmobile_to_player" },
    { 0x1D9D, "closest_point_on_grid" },
    { 0x1D9E, "closest_start_struct" },
    { 0x1D9F, "closestai" },
    { 0x1DA0, "closetogoalcheck" },
    { 0x1DA1, "clouds" },
    { 0x1DA2, "clouds_create" },
    { 0x1DA3, "clubhouse_breach" },
    { 0x1DA4, "clubhouse_clear" },
    { 0x1DA5, "cmd_turbine_lp" },
    { 0x1DA6, "cnd_delay_rope_link" },
    { 0x1DA7, "cnd_ent_flag_clear" },
    { 0x1DA8, "cnd_ent_flag_init" },
    { 0x1DA9, "cnd_ent_flag_set" },
    { 0x1DAA, "cnd_fire_horizontal_light" },
    { 0x1DAB, "cnd_fire_rappel_light" },
    { 0x1DAC, "cnd_generic_flicker" },
    { 0x1DAD, "cnd_generic_flicker_msg_watcher" },
    { 0x1DAE, "cnd_generic_flicker_pause" },
    { 0x1DAF, "cnd_get_plyr_anim_origin" },
    { 0x1DB0, "cnd_get_rope_anim_origin" },
    { 0x1DB1, "cnd_getclosests_flickering_model" },
    { 0x1DB2, "cnd_is_light_entity" },
    { 0x1DB3, "cnd_plyr_rope_set_idle" },
    { 0x1DB4, "cnd_plyr_rpl_death" },
    { 0x1DB5, "cnd_plyr_rpl_handle_jump" },
    { 0x1DB6, "cnd_plyr_rpl_handle_view_lerp" },
    { 0x1DB7, "cnd_plyr_rpl_legs_setup" },
    { 0x1DB8, "cnd_plyr_rpl_move" },
    { 0x1DB9, "cnd_plyr_rpl_move_setup" },
    { 0x1DBA, "cnd_plyr_rpl_setup_dvars" },
    { 0x1DBB, "cnd_plyr_rpl_setup_globals" },
    { 0x1DBC, "cnd_plyr_rpl_setup_player" },
    { 0x1DBD, "cnd_rappel_player_rope" },
    { 0x1DBE, "cnd_rappel_railing_obj" },
    { 0x1DBF, "cnd_rappel_tele_rope" },
    { 0x1DC0, "cnd_reception_elevator" },
    { 0x1DC1, "cnd_restarteffect" },
    { 0x1DC2, "cnd_rpl_calc_move" },
    { 0x1DC3, "cnd_rpl_cleanup" },
    { 0x1DC4, "cnd_rpl_do_lateral_move" },
    { 0x1DC5, "cnd_rpl_do_legs" },
    { 0x1DC6, "cnd_rpl_do_move_bob" },
    { 0x1DC7, "cnd_rpl_do_rope" },
    { 0x1DC8, "cnd_rpl_do_stop_sway" },
    { 0x1DC9, "cnd_rpl_do_vertical_move" },
    { 0x1DCA, "cnd_rpl_do_weapon_bob" },
    { 0x1DCB, "cnd_rpl_do_wind" },
    { 0x1DCC, "cnd_rpl_handle_jumping_toward_allies" },
    { 0x1DCD, "cnd_rpl_legs_notetracks" },
    { 0x1DCE, "cnd_rpl_plyr_link_to_rope" },
    { 0x1DCF, "cnd_rpl_plyr_too_close_to_allies" },
    { 0x1DD0, "cnd_rpl_rope_setup" },
    { 0x1DD1, "cnd_rpl_stealth_ckpt" },
    { 0x1DD2, "cnd_shaft_flickering" },
    { 0x1DD3, "coal_car" },
    { 0x1DD4, "coal_car_init" },
    { 0x1DD5, "coal_car_run" },
    { 0x1DD6, "cobra_missile_models" },
    { 0x1DD7, "cobra_weapon_tags" },
    { 0x1DD8, "cobraweapon" },
    { 0x1DD9, "cockpit_tubes" },
    { 0x1DDA, "codecallback_agentadded" },
    { 0x1DDB, "codecallback_agentdamaged" },
    { 0x1DDC, "codecallback_agentkilled" },
    { 0x1DDD, "codecallback_codeendgame" },
    { 0x1DDE, "codecallback_hostmigration" },
    { 0x1DDF, "codecallback_leaderdialog" },
    { 0x1DE0, "codecallback_playerconnect" },
    { 0x1DE1, "codecallback_playerdamage" },
    { 0x1DE2, "codecallback_playerdisconnect" },
    { 0x1DE3, "codecallback_playerkilled" },
    { 0x1DE4, "codecallback_playerlaststand" },
    { 0x1DE5, "codecallback_playermigrated" },
    { 0x1DE6, "codecallback_startgametype" },
    { 0x1DE7, "codecallback_vehicledamage" },
    { 0x1DE8, "codescripted" },
    { 0x1DE9, "cointoss" },
    { 0x1DEA, "col_brush" },
    { 0x1DEB, "col_lines" },
    { 0x1DEC, "col_radiuses" },
    { 0x1DED, "col_volumes" },
    { 0x1DEE, "coldbreath_player" },
    { 0x1DEF, "coldbreathfx" },
    { 0x1DF0, "colheight" },
    { 0x1DF1, "coll" },
    { 0x1DF2, "collapsed_derrick_wire_anims" },
    { 0x1DF3, "collect_func" },
    { 0x1DF4, "collectibles" },
    { 0x1DF5, "collectibles_hint_precache" },
    { 0x1DF6, "collectibles_lootcount" },
    { 0x1DF7, "collectibles_model_precache" },
    { 0x1DF8, "collectibles_table_init" },
    { 0x1DF9, "collectibles_world_init" },
    { 0x1DFA, "collectibles_worldcount" },
    { 0x1DFB, "collision" },
    { 0x1DFC, "collision_brush_post_explosion" },
    { 0x1DFD, "collision_brush_pre_explosion" },
    { 0x1DFE, "collision_origin" },
    { 0x1DFF, "color_ally_jog_guys_logic" },
    { 0x1E00, "color_debug" },
    { 0x1E01, "color_debug_println" },
    { 0x1E02, "color_doesnt_care_about_classname" },
    { 0x1E03, "color_doesnt_care_about_heroes" },
    { 0x1E04, "color_helper_trigger" },
    { 0x1E05, "color_node" },
    { 0x1E06, "color_node_finds_a_user" },
    { 0x1E07, "color_node_finds_user_for_colorcode" },
    { 0x1E08, "color_node_finds_user_from_colorcodes" },
    { 0x1E09, "color_node_type_function" },
    { 0x1E0A, "color_ordered_node_assignment" },
    { 0x1E0B, "color_status" },
    { 0x1E0C, "color_system" },
    { 0x1E0D, "color_teams" },
    { 0x1E0E, "color_trig_moves_enemies" },
    { 0x1E0F, "color_trig_targetname_prefix" },
    { 0x1E10, "color_user" },
    { 0x1E11, "color_volume_enemies" },
    { 0x1E12, "colorblind" },
    { 0x1E13, "colorchecklist" },
    { 0x1E14, "colorcode_is_used_in_map" },
    { 0x1E15, "colordebug" },
    { 0x1E16, "colorindex" },
    { 0x1E17, "colorislegit" },
    { 0x1E18, "colorlist" },
    { 0x1E19, "colornode_func" },
    { 0x1E1A, "colornode_replace_on_death" },
    { 0x1E1B, "colornode_setgoal_func" },
    { 0x1E1C, "colornode_spawn_reinforcement" },
    { 0x1E1D, "colornodes_debug_array" },
    { 0x1E1E, "colors" },
    { 0x1E1F, "colradius" },
    { 0x1E20, "combat_allies_mainhall" },
    { 0x1E21, "combat_ally_spawn" },
    { 0x1E22, "combat_ambient_guys2" },
    { 0x1E23, "combat_clearfacialanim" },
    { 0x1E24, "combat_handle_allies" },
    { 0x1E25, "combat_one" },
    { 0x1E26, "combat_one_cleanup" },
    { 0x1E27, "combat_one_door" },
    { 0x1E28, "combat_one_door_col" },
    { 0x1E29, "combat_one_door_node" },
    { 0x1E2A, "combat_one_enemy" },
    { 0x1E2B, "combat_one_start" },
    { 0x1E2C, "combat_one_wave_node" },
    { 0x1E2D, "combat_playfacialanim" },
    { 0x1E2E, "combat_rappel_enemies_pt1" },
    { 0x1E2F, "combat_rappel_enemies_pt2" },
    { 0x1E30, "combat_rappel_garden_entry" },
    { 0x1E31, "combat_rappel_garden_entry_allies" },
    { 0x1E32, "combat_rappel_garden_entry_blend_to_position" },
    { 0x1E33, "combat_rappel_garden_entry_double_jump" },
    { 0x1E34, "combat_rappel_garden_entry_enemies" },
    { 0x1E35, "combat_rappel_garden_entry_enemy_death" },
    { 0x1E36, "combat_rappel_garden_entry_finish_player_rope" },
    { 0x1E37, "combat_rappel_garden_entry_first_frame" },
    { 0x1E38, "combat_rappel_garden_entry_glass" },
    { 0x1E39, "combat_rappel_garden_entry_grenades" },
    { 0x1E3A, "combat_rappel_garden_entry_player" },
    { 0x1E3B, "combat_rappel_garden_entry_ropes" },
    { 0x1E3C, "combat_rappel_garden_entry_rotate_legs" },
    { 0x1E3D, "combat_rappel_garden_entry_set_small_legs_jump" },
    { 0x1E3E, "combat_rappel_garden_entry_set_small_rotate_jump" },
    { 0x1E3F, "combat_rappel_garden_entry_setup_glass" },
    { 0x1E40, "combat_rappel_garden_entry_setup_jumpoints" },
    { 0x1E41, "combat_rappel_garden_entry_setup_weapon" },
    { 0x1E42, "combat_rappel_garden_entry_should_shift_allies" },
    { 0x1E43, "combat_rappel_garden_entry_slowmo" },
    { 0x1E44, "combat_rappel_garden_entry_tree" },
    { 0x1E45, "combat_rappel_rope_coil_baker" },
    { 0x1E46, "combat_rappel_rope_coil_player" },
    { 0x1E47, "combat_rappel_rope_coil_rorke" },
    { 0x1E48, "combat_rappel_rope_rorke" },
    { 0x1E49, "combat_rappel_spawn_garden_entry_enemies" },
    { 0x1E4A, "combat_rappel_startpoint" },
    { 0x1E4B, "combat_resource" },
    { 0x1E4C, "combat_two" },
    { 0x1E4D, "combat_two_ally_logic" },
    { 0x1E4E, "combat_two_dialogue" },
    { 0x1E4F, "combat_two_intro_vignette" },
    { 0x1E50, "combat_two_spawns" },
    { 0x1E51, "combat_two_start" },
    { 0x1E52, "combat_two_start_anim_node" },
    { 0x1E53, "combat_vo" },
    { 0x1E54, "combatbehavior" },
    { 0x1E55, "combatcrouchanims" },
    { 0x1E56, "combatendtime" },
    { 0x1E57, "combathigh" },
    { 0x1E58, "combathighicon" },
    { 0x1E59, "combathighoverlay" },
    { 0x1E5A, "combathightimer" },
    { 0x1E5B, "combatidle" },
    { 0x1E5C, "combatidlepreventoverlappingplayer" },
    { 0x1E5D, "combatmemorytimeconst" },
    { 0x1E5E, "combatmemorytimerand" },
    { 0x1E5F, "combatmode_old" },
    { 0x1E60, "combatspeedscalar" },
    { 0x1E61, "combatstandanims" },
    { 0x1E62, "combatstate" },
    { 0x1E63, "combattime" },
    { 0x1E64, "comeback" },
    { 0x1E65, "comexpfuncs" },
    { 0x1E66, "comm_center_1_pieces" },
    { 0x1E67, "comm_center_2_pieces" },
    { 0x1E68, "command_fail_late_death" },
    { 0x1E69, "command_geyser_light" },
    { 0x1E6A, "command_goal" },
    { 0x1E6B, "command_godrays" },
    { 0x1E6C, "command_light_change" },
    { 0x1E6D, "command_platform_bag_baker" },
    { 0x1E6E, "command_platform_bag_cypher" },
    { 0x1E6F, "command_platform_bag_keegan" },
    { 0x1E70, "command_platform_bag_player" },
    { 0x1E71, "command_rumble_node" },
    { 0x1E72, "command_used" },
    { 0x1E73, "command_warning_node" },
    { 0x1E74, "commander_aggregate_score_on_game_end" },
    { 0x1E75, "commander_can_takeover_bot" },
    { 0x1E76, "commander_closed_menu_time" },
    { 0x1E77, "commander_create_dom_obj" },
    { 0x1E78, "commander_dialog" },
    { 0x1E79, "commander_gametype_initialized" },
    { 0x1E7A, "commander_gave_hint" },
    { 0x1E7B, "commander_handle_notify_quick" },
    { 0x1E7C, "commander_hint" },
    { 0x1E7D, "commander_hint_delete_on_commander_menu" },
    { 0x1E7E, "commander_hint_fade" },
    { 0x1E7F, "commander_initialize_gametype" },
    { 0x1E80, "commander_last_tactic_applied" },
    { 0x1E81, "commander_last_tactic_selected" },
    { 0x1E82, "commander_loadout_class_callback" },
    { 0x1E83, "commander_moment" },
    { 0x1E84, "commander_monitor_tactics" },
    { 0x1E85, "commander_or_bot_change_class" },
    { 0x1E86, "commander_order_ack" },
    { 0x1E87, "commander_speaking" },
    { 0x1E88, "commander_spectate_bot" },
    { 0x1E89, "commander_spectate_first_available_bot" },
    { 0x1E8A, "commander_spectate_next_bot" },
    { 0x1E8B, "commander_takeover_first_available_bot" },
    { 0x1E8C, "commander_vo" },
    { 0x1E8D, "commander_wait_connect" },
    { 0x1E8E, "commanderhintelem" },
    { 0x1E8F, "commanding_bot" },
    { 0x1E90, "common_flash_check" },
    { 0x1E91, "common_gps_autokill" },
    { 0x1E92, "common_tryuse_actions" },
    { 0x1E93, "commonstarttime" },
    { 0x1E94, "compare" },
    { 0x1E95, "compare_value" },
    { 0x1E96, "comparesizesfx" },
    { 0x1E97, "compass" },
    { 0x1E98, "compass_flash" },
    { 0x1E99, "compass_objectives" },
    { 0x1E9A, "compass_tracker" },
    { 0x1E9B, "compass_update" },
    { 0x1E9C, "compassiconenemy" },
    { 0x1E9D, "compassiconfriendly" },
    { 0x1E9E, "compassicons" },
    { 0x1E9F, "complete_me" },
    { 0x1EA0, "completed_delay" },
    { 0x1EA1, "completedanims" },
    { 0x1EA2, "completednodes" },
    { 0x1EA3, "complex_expl" },
    { 0x1EA4, "complex_init" },
    { 0x1EA5, "complex_main" },
    { 0x1EA6, "complex_script" },
    { 0x1EA7, "complexobjectives" },
    { 0x1EA8, "compute_round_based_percentages" },
    { 0x1EA9, "computer_guys_runin" },
    { 0x1EAA, "computer_guys_runin_vo" },
    { 0x1EAB, "computer_idf" },
    { 0x1EAC, "concussionendtime" },
    { 0x1EAD, "conf_fx" },
    { 0x1EAE, "config" },
    { 0x1EAF, "confirmed" },
    { 0x1EB0, "connect_and_start_tarps" },
    { 0x1EB1, "connect_door_path" },
    { 0x1EB2, "connect_dropdown_traverse" },
    { 0x1EB3, "connect_nodes_after_crash" },
    { 0x1EB4, "connect_time" },
    { 0x1EB5, "connect_traverse" },
    { 0x1EB6, "connect_watch" },
    { 0x1EB7, "connect_while_opening" },
    { 0x1EB8, "connected" },
    { 0x1EB9, "connected_nodes" },
    { 0x1EBA, "connected_to" },
    { 0x1EBB, "connectedmenus" },
    { 0x1EBC, "connectedpostgame" },
    { 0x1EBD, "connection_sound" },
    { 0x1EBE, "connectnewagent" },
    { 0x1EBF, "connector" },
    { 0x1EC0, "connectpathsfunction" },
    { 0x1EC1, "connecttime" },
    { 0x1EC2, "connecttraverses" },
    { 0x1EC3, "consecutive_posture_counter" },
    { 0x1EC4, "considerchangingtarget" },
    { 0x1EC5, "considerthrowgrenade" },
    { 0x1EC6, "consolation" },
    { 0x1EC7, "console" },
    { 0x1EC8, "console_scene_dialogue" },
    { 0x1EC9, "console_scene_player_blocker" },
    { 0x1ECA, "const_baker" },
    { 0x1ECB, "const_expected_num_swim_allies" },
    { 0x1ECC, "const_rorke" },
    { 0x1ECD, "constant_quake" },
    { 0x1ECE, "constant_screen_glitches" },
    { 0x1ECF, "constantsize" },
    { 0x1ED0, "constraingametype" },
    { 0x1ED1, "constrict_player_view_at_top" },
    { 0x1ED2, "constrict_view" },
    { 0x1ED3, "constrict_view_count" },
    { 0x1ED4, "contact_points" },
    { 0x1ED5, "container_doors" },
    { 0x1ED6, "contents" },
    { 0x1ED7, "context_sensative_dialog" },
    { 0x1ED8, "context_sensative_dialog_filler" },
    { 0x1ED9, "context_sensative_dialog_guy_crawling" },
    { 0x1EDA, "context_sensative_dialog_guy_in_sight" },
    { 0x1EDB, "context_sensative_dialog_guy_in_sight_check" },
    { 0x1EDC, "context_sensative_dialog_guy_pain" },
    { 0x1EDD, "context_sensative_dialog_kill" },
    { 0x1EDE, "context_sensative_dialog_kill_thread" },
    { 0x1EDF, "context_sensative_dialog_locations" },
    { 0x1EE0, "context_sensative_dialog_locations_add_notify_event" },
    { 0x1EE1, "context_sensative_dialog_locations_thread" },
    { 0x1EE2, "context_sensative_dialog_play_random_group_sound" },
    { 0x1EE3, "context_sensative_dialog_secondary_explosion_vehicle" },
    { 0x1EE4, "context_sensative_dialog_timedout" },
    { 0x1EE5, "context_sensative_dialog_timeouts" },
    { 0x1EE6, "context_sensative_dialog_vehicledeath" },
    { 0x1EE7, "context_sensative_dialog_vehiclespawn" },
    { 0x1EE8, "continous_fire" },
    { 0x1EE9, "continuedrivenmovement" },
    { 0x1EEA, "continuemovement" },
    { 0x1EEB, "contrastgain" },
    { 0x1EEC, "control_nvg_lightmodels" },
    { 0x1EED, "control_nvg_staticscreens_off" },
    { 0x1EEE, "control_nvg_staticscreens_on" },
    { 0x1EEF, "control_panel_setup_lights" },
    { 0x1EF0, "control_room_combat" },
    { 0x1EF1, "control_room_enemies" },
    { 0x1EF2, "control_room_enemies_upper_setup" },
    { 0x1EF3, "control_room_enemy_setup" },
    { 0x1EF4, "control_room_enemy_wave_2_setup" },
    { 0x1EF5, "control_room_threatbiasgroup" },
    { 0x1EF6, "control_screen_bink_init" },
    { 0x1EF7, "controlled_dog" },
    { 0x1EF8, "controlling_dog" },
    { 0x1EF9, "controlroom_top_1" },
    { 0x1EFA, "controlroom_top_2" },
    { 0x1EFB, "controlsfrozen" },
    { 0x1EFC, "conttread" },
    { 0x1EFD, "contuing_to_move_check" },
    { 0x1EFE, "converge_on_target" },
    { 0x1EFF, "conversation_start" },
    { 0x1F00, "conversation_stop" },
    { 0x1F01, "convert_color_to_short_string" },
    { 0x1F02, "convert_fov_string" },
    { 0x1F03, "convert_guy_to_drone" },
    { 0x1F04, "convert_moving_cover_enemies_to_wave_3" },
    { 0x1F05, "convert_old_spawners_to_structs" },
    { 0x1F06, "convert_to_fake_riders" },
    { 0x1F07, "convert_to_fireworks_effect" },
    { 0x1F08, "convert_to_time_string" },
    { 0x1F09, "convo_generator" },
    { 0x1F0A, "convoy" },
    { 0x1F0B, "convoy_check" },
    { 0x1F0C, "convoy_checkpoint" },
    { 0x1F0D, "convoy_checkpoint_spawn" },
    { 0x1F0E, "convoy_death_func" },
    { 0x1F0F, "convoy_kill_player" },
    { 0x1F10, "convoy_riders_death_func" },
    { 0x1F11, "convoy_riders_react_func" },
    { 0x1F12, "convoy_spacing_func" },
    { 0x1F13, "convoy_spawn_func" },
    { 0x1F14, "convoy_spawn_logic" },
    { 0x1F15, "convoy_start_walk" },
    { 0x1F16, "convoy_tall_barricade_01" },
    { 0x1F17, "convoy_tall_barricade_02" },
    { 0x1F18, "convoy_think" },
    { 0x1F19, "convoy_veh_01" },
    { 0x1F1A, "convoy_veh_01a" },
    { 0x1F1B, "convoy_veh_02" },
    { 0x1F1C, "convoy_veh_03" },
    { 0x1F1D, "convoy_veh_03a" },
    { 0x1F1E, "convoy_veh_04" },
    { 0x1F1F, "convoy_veh_05" },
    { 0x1F20, "convoy_veh_07" },
    { 0x1F21, "cool_down_threat" },
    { 0x1F22, "cool_spawn" },
    { 0x1F23, "cool_walk" },
    { 0x1F24, "cool_walk_at_end_of_anim" },
    { 0x1F25, "cooldown" },
    { 0x1F26, "cooldowntime" },
    { 0x1F27, "cooldownwaittime" },
    { 0x1F28, "coop_breached_from_same_door_in_a_muliti_door_room" },
    { 0x1F29, "coop_icon_blinkcrement" },
    { 0x1F2A, "coop_icon_blinktime" },
    { 0x1F2B, "coop_icon_color_blink" },
    { 0x1F2C, "coop_icon_color_damage" },
    { 0x1F2D, "coop_icon_color_downed" },
    { 0x1F2E, "coop_icon_color_dying" },
    { 0x1F2F, "coop_icon_color_normal" },
    { 0x1F30, "coop_icon_color_shoot" },
    { 0x1F31, "coop_icon_state" },
    { 0x1F32, "coop_player_in_special_ops_survival" },
    { 0x1F33, "coop_player_touching_valid_door_volume" },
    { 0x1F34, "coop_revive_nag_hud_refreshtime" },
    { 0x1F35, "coop_with_one_player_downed" },
    { 0x1F36, "coordinated_kills" },
    { 0x1F37, "copier" },
    { 0x1F38, "copy_adrenaline" },
    { 0x1F39, "copy_angles_of_selected_ents" },
    { 0x1F3A, "copy_attachments" },
    { 0x1F3B, "copy_bar" },
    { 0x1F3C, "copy_cat" },
    { 0x1F3D, "copy_ents" },
    { 0x1F3E, "copy_fullweaponlist" },
    { 0x1F3F, "copy_killstreak_status" },
    { 0x1F40, "copy_names" },
    { 0x1F41, "copy_node" },
    { 0x1F42, "copy_weapon_ammo_clip" },
    { 0x1F43, "copy_weapon_ammo_stock" },
    { 0x1F44, "copy_weapon_current" },
    { 0x1F45, "copymachine" },
    { 0x1F46, "copymachine_ai" },
    { 0x1F47, "copymachine_break_glass" },
    { 0x1F48, "copymachine_cleanup" },
    { 0x1F49, "copymachine_falling_vo" },
    { 0x1F4A, "copymachine_hit_detect" },
    { 0x1F4B, "copymachine_rig" },
    { 0x1F4C, "copymachine_window_event" },
    { 0x1F4D, "core_lights_red" },
    { 0x1F4E, "corner_clearfacialanim" },
    { 0x1F4F, "corner_playaimfacialanim" },
    { 0x1F50, "corner_playcornerfacialanim" },
    { 0x1F51, "corner_sound_ent" },
    { 0x1F52, "corner_think" },
    { 0x1F53, "corneraiming" },
    { 0x1F54, "cornerdeathreleasegrenade" },
    { 0x1F55, "cornerdirection" },
    { 0x1F56, "cornered_building_entry_pre_load" },
    { 0x1F57, "cornered_destruct_pre_load" },
    { 0x1F58, "cornered_falling_death" },
    { 0x1F59, "cornered_garden_pre_load" },
    { 0x1F5A, "cornered_infil_pre_load" },
    { 0x1F5B, "cornered_interior_pre_load" },
    { 0x1F5C, "cornered_intro_pre_load" },
    { 0x1F5D, "cornered_locations" },
    { 0x1F5E, "cornered_player_arms" },
    { 0x1F5F, "cornered_player_legs" },
    { 0x1F60, "cornered_rappel_pre_load" },
    { 0x1F61, "cornered_start_random_wind" },
    { 0x1F62, "cornered_start_rappel" },
    { 0x1F63, "cornered_starts" },
    { 0x1F64, "cornered_stop_random_wind" },
    { 0x1F65, "cornered_stop_rappel" },
    { 0x1F66, "cornerline_height" },
    { 0x1F67, "cornermode" },
    { 0x1F68, "cornerreload" },
    { 0x1F69, "cornerrightgrenadedeath" },
    { 0x1F6A, "cornersights" },
    { 0x1F6B, "corpse" },
    { 0x1F6C, "corpse_behavior_doesnt_require_player_sight" },
    { 0x1F6D, "corpse_clear" },
    { 0x1F6E, "corpse_entity" },
    { 0x1F6F, "corpse_entnums" },
    { 0x1F70, "corpse_height" },
    { 0x1F71, "corpse_ragdoll_when_vertical" },
    { 0x1F72, "corpse_setup" },
    { 0x1F73, "corpseflag" },
    { 0x1F74, "corpses" },
    { 0x1F75, "corridor_width" },
    { 0x1F76, "cos45" },
    { 0x1F77, "cosine" },
    { 0x1F78, "cosine11_25" },
    { 0x1F79, "cosine15" },
    { 0x1F7A, "cosine22_5" },
    { 0x1F7B, "cosine45" },
    { 0x1F7C, "cosine90" },
    { 0x1F7D, "cost" },
    { 0x1F7E, "cost_display" },
    { 0x1F7F, "coughing_active" },
    { 0x1F80, "couldntseeenemypos" },
    { 0x1F81, "countdown_sound" },
    { 0x1F82, "countdown_synchronizer" },
    { 0x1F83, "counted" },
    { 0x1F84, "countplayers" },
    { 0x1F85, "countryid" },
    { 0x1F86, "countryids" },
    { 0x1F87, "courtyard_cleanup_enemies" },
    { 0x1F88, "courtyard_directory" },
    { 0x1F89, "courtyard_glass_drop" },
    { 0x1F8A, "courtyard_guys_notify_on_death" },
    { 0x1F8B, "courtyard_guys_walla" },
    { 0x1F8C, "courtyard_hazmat_guy_think" },
    { 0x1F8D, "courtyard_intro_ally_vo" },
    { 0x1F8E, "courtyard_intro_baker_exit" },
    { 0x1F8F, "courtyard_intro_elevator" },
    { 0x1F90, "courtyard_intro_elevator_guy" },
    { 0x1F91, "courtyard_intro_elevator_guy_fail" },
    { 0x1F92, "courtyard_intro_elevator_guys" },
    { 0x1F93, "courtyard_intro_handler" },
    { 0x1F94, "courtyard_intro_rorke" },
    { 0x1F95, "courtyard_office_a_doors" },
    { 0x1F96, "courtyard_office_ally_vo" },
    { 0x1F97, "courtyard_office_chair" },
    { 0x1F98, "courtyard_office_chopper" },
    { 0x1F99, "courtyard_office_death" },
    { 0x1F9A, "courtyard_office_enemies" },
    { 0x1F9B, "courtyard_office_enemy_anim" },
    { 0x1F9C, "courtyard_office_glass" },
    { 0x1F9D, "courtyard_office_props" },
    { 0x1F9E, "courtyard_office_stealth_end" },
    { 0x1F9F, "courtyard_rig_kill" },
    { 0x1FA0, "courtyard_rorke" },
    { 0x1FA1, "courtyard_transient_load" },
    { 0x1FA2, "courtyard_transient_unload" },
    { 0x1FA3, "cover_clearfacialanim" },
    { 0x1FA4, "cover_left_idle" },
    { 0x1FA5, "cover_nodes_first" },
    { 0x1FA6, "cover_nodes_last" },
    { 0x1FA7, "cover_playfacialanim" },
    { 0x1FA8, "cover_retreat" },
    { 0x1FA9, "cover_wall_think" },
    { 0x1FAA, "cover_warnings_disabled" },
    { 0x1FAB, "coverapproachlastminutecheck" },
    { 0x1FAC, "covercrouch" },
    { 0x1FAD, "covercrouchfail" },
    { 0x1FAE, "covercrouchgrenade" },
    { 0x1FAF, "covercrouchlean_aimmode" },
    { 0x1FB0, "covercrouchleanpitch" },
    { 0x1FB1, "coverenterpos" },
    { 0x1FB2, "coverexit" },
    { 0x1FB3, "coverexitangles" },
    { 0x1FB4, "coverexitdist" },
    { 0x1FB5, "coverexitpos" },
    { 0x1FB6, "coverexitpostdist" },
    { 0x1FB7, "coverheight_water_rising_lip" },
    { 0x1FB8, "coverleft45" },
    { 0x1FB9, "coverleft90" },
    { 0x1FBA, "coverleftgrenade" },
    { 0x1FBB, "covermode" },
    { 0x1FBC, "covermulti_choosehidestate" },
    { 0x1FBD, "covermulti_dotransition" },
    { 0x1FBE, "covermulti_enterstate" },
    { 0x1FBF, "covermulti_exitstate" },
    { 0x1FC0, "covermulti_getanimtransition" },
    { 0x1FC1, "covermulti_getbestvaliddir" },
    { 0x1FC2, "covermulti_getnonrandomvaliddir" },
    { 0x1FC3, "covermulti_getrandomvaliddir" },
    { 0x1FC4, "covermulti_getstatefromdir" },
    { 0x1FC5, "covermulti_isvaliddir" },
    { 0x1FC6, "covermulti_setdir" },
    { 0x1FC7, "covermulti_setstate" },
    { 0x1FC8, "covermulti_setstateinternal" },
    { 0x1FC9, "covermulti_think" },
    { 0x1FCA, "covernode" },
    { 0x1FCB, "coverpoint" },
    { 0x1FCC, "coverposestablishedtime" },
    { 0x1FCD, "coverprint" },
    { 0x1FCE, "coverreload" },
    { 0x1FCF, "coverright45" },
    { 0x1FD0, "coverright90" },
    { 0x1FD1, "coverrightgrenade" },
    { 0x1FD2, "coversetupanim" },
    { 0x1FD3, "coverstand" },
    { 0x1FD4, "coverstandfail" },
    { 0x1FD5, "coverstandgrenade" },
    { 0x1FD6, "covertest" },
    { 0x1FD7, "covertrans" },
    { 0x1FD8, "covertransangles" },
    { 0x1FD9, "covertransdist" },
    { 0x1FDA, "covertranslongestdist" },
    { 0x1FDB, "covertranspredist" },
    { 0x1FDC, "covertype" },
    { 0x1FDD, "cpm" },
    { 0x1FDE, "cpr_scene" },
    { 0x1FDF, "cq_combat_movement" },
    { 0x1FE0, "cq_enemies" },
    { 0x1FE1, "cq_room_destruction" },
    { 0x1FE2, "cqb_aim" },
    { 0x1FE3, "cqb_ally_vo" },
    { 0x1FE4, "cqb_anims" },
    { 0x1FE5, "cqb_clearfacialanim" },
    { 0x1FE6, "cqb_dog" },
    { 0x1FE7, "cqb_door_close_behind" },
    { 0x1FE8, "cqb_door_open_slow" },
    { 0x1FE9, "cqb_door_shove" },
    { 0x1FEA, "cqb_encounter" },
    { 0x1FEB, "cqb_encounter_allies_move_up" },
    { 0x1FEC, "cqb_fans" },
    { 0x1FED, "cqb_off_sprint_on" },
    { 0x1FEE, "cqb_on_sprint_off" },
    { 0x1FEF, "cqb_playfacialanim" },
    { 0x1FF0, "cqb_point_of_interest" },
    { 0x1FF1, "cqb_reloadinternal" },
    { 0x1FF2, "cqb_target" },
    { 0x1FF3, "cqb_time" },
    { 0x1FF4, "cqb_walk" },
    { 0x1FF5, "cqb_wide_poi_track" },
    { 0x1FF6, "cqb_wide_target_track" },
    { 0x1FF7, "cqbenabled" },
    { 0x1FF8, "cqbpointsofinterest" },
    { 0x1FF9, "cqbtracking" },
    { 0x1FFA, "cqbwalking" },
    { 0x1FFB, "cr_baker_volume" },
    { 0x1FFC, "cr_rorke_volume" },
    { 0x1FFD, "crack_effects" },
    { 0x1FFE, "crack_exploder_test" },
    { 0x1FFF, "craftable" },
    { 0x2000, "cranked" },
    { 0x2001, "cranked_end_time" },
    { 0x2002, "crankedbombtimer" },
    { 0x2003, "crash_blackhawk_fire_think" },
    { 0x2004, "crash_blackhawk_missile_impacts" },
    { 0x2005, "crash_blackhawk_think" },
    { 0x2006, "crash_derailed_check" },
    { 0x2007, "crash_detection" },
    { 0x2008, "crash_detour_check" },
    { 0x2009, "crash_event" },
    { 0x200A, "crash_hidden_settings" },
    { 0x200B, "crash_model_damage" },
    { 0x200C, "crash_model_go" },
    { 0x200D, "crash_model_think" },
    { 0x200E, "crash_path_check" },
    { 0x200F, "crash_pilot_logic" },
    { 0x2010, "crash_site_a10_gun_dive_1" },
    { 0x2011, "crash_site_a10_missile_dive_1" },
    { 0x2012, "crash_site_a10_overhead" },
    { 0x2013, "crash_site_background_enemies" },
    { 0x2014, "crash_site_begin" },
    { 0x2015, "crash_site_cleanup" },
    { 0x2016, "crash_site_init" },
    { 0x2017, "crash_site_main" },
    { 0x2018, "crash_site_mig29_destroys_ally_tanks" },
    { 0x2019, "crash_site_vo" },
    { 0x201A, "crash_test_start" },
    { 0x201B, "crash_trigger_think" },
    { 0x201C, "crash_vehicle_on_death" },
    { 0x201D, "crashed" },
    { 0x201E, "crashed_truck1" },
    { 0x201F, "crashed_truck2" },
    { 0x2020, "crashed_trucks" },
    { 0x2021, "crashedc17_missile_org" },
    { 0x2022, "crashedc17_waits" },
    { 0x2023, "crashedtank_waits" },
    { 0x2024, "crashing" },
    { 0x2025, "crashplane" },
    { 0x2026, "crashtimer" },
    { 0x2027, "crate_calculate_on_path_grid" },
    { 0x2028, "crate_can_use_always" },
    { 0x2029, "crate_casualty_enemy_logic" },
    { 0x202A, "crate_clip" },
    { 0x202B, "crate_clip_of_doom" },
    { 0x202C, "crate_death_fling" },
    { 0x202D, "crate_get_bot_target" },
    { 0x202E, "crate_get_nearest_valid_nodes" },
    { 0x202F, "crate_has_landed" },
    { 0x2030, "crate_in_range" },
    { 0x2031, "crate_is_on_path_grid" },
    { 0x2032, "crate_landed_and_on_path_grid" },
    { 0x2033, "crate_low_ammo_check" },
    { 0x2034, "crate_monitor_position" },
    { 0x2035, "crate_picked_up" },
    { 0x2036, "crate_should_claim" },
    { 0x2037, "crate_wait_use" },
    { 0x2038, "crateallcapturethink" },
    { 0x2039, "crateallcapturethinkhorde" },
    { 0x203A, "crateheadicon" },
    { 0x203B, "cratekill" },
    { 0x203C, "cratemaxval" },
    { 0x203D, "cratemodelenemyteamsupdater" },
    { 0x203E, "cratemodelplayerupdater" },
    { 0x203F, "cratemodelteamupdater" },
    { 0x2040, "cratenonownerusetime" },
    { 0x2041, "crateothercapturethink" },
    { 0x2042, "crateownercapturethink" },
    { 0x2043, "crateownerusetime" },
    { 0x2044, "crater_array" },
    { 0x2045, "crater_baker_stumble" },
    { 0x2046, "crater_ledge_walk" },
    { 0x2047, "crater_reveal_dialogue" },
    { 0x2048, "cratesetupforuse" },
    { 0x2049, "crateteammodelupdater" },
    { 0x204A, "cratetype" },
    { 0x204B, "cratetypes" },
    { 0x204C, "crateusejuggernautupdater" },
    { 0x204D, "crateusepostjuggernautupdater" },
    { 0x204E, "crateuseteamupdater" },
    { 0x204F, "crateuseteamupdater_multiteams" },
    { 0x2050, "cratewatcher" },
    { 0x2051, "crawl_breath_start" },
    { 0x2052, "crawl_fx" },
    { 0x2053, "crawl_fx_rate" },
    { 0x2054, "crawl_hurt_pulse" },
    { 0x2055, "crawl_out" },
    { 0x2056, "crawl_target_and_init_flags" },
    { 0x2057, "crawl_through_targets_to_init_flags" },
    { 0x2058, "crawled" },
    { 0x2059, "crawling_guys_spawnfunc" },
    { 0x205A, "crawlingpain" },
    { 0x205B, "crawlingpainanimoverridefunc" },
    { 0x205C, "crawlingpaintransanim" },
    { 0x205D, "crawlingpistol" },
    { 0x205E, "creak_loop_sound" },
    { 0x205F, "creaky_board" },
    { 0x2060, "create_a_squad_from_spawner" },
    { 0x2061, "create_anim_event" },
    { 0x2062, "create_anim_node" },
    { 0x2063, "create_anim_scene" },
    { 0x2064, "create_animation_list" },
    { 0x2065, "create_array_of_intel_items" },
    { 0x2066, "create_array_of_origins_from_table" },
    { 0x2067, "create_artillery_shell" },
    { 0x2068, "create_blend" },
    { 0x2069, "create_box" },
    { 0x206A, "create_chyron_text" },
    { 0x206B, "create_client_overlay" },
    { 0x206C, "create_client_overlay_custom_size" },
    { 0x206D, "create_client_overlay_fullscreen" },
    { 0x206E, "create_color_debug_hud" },
    { 0x206F, "create_custom_hint" },
    { 0x2070, "create_dead_guys" },
    { 0x2071, "create_default_entries" },
    { 0x2072, "create_default_targetent" },
    { 0x2073, "create_default_vision_set_fog" },
    { 0x2074, "create_dog_start_point_ent" },
    { 0x2075, "create_door_sound_ents" },
    { 0x2076, "create_drop_weapon_trigger" },
    { 0x2077, "create_dvar" },
    { 0x2078, "create_escape_doors" },
    { 0x2079, "create_flags_and_return_tokens" },
    { 0x207A, "create_flare" },
    { 0x207B, "create_fog" },
    { 0x207C, "create_fresh_friendly_icon" },
    { 0x207D, "create_fx_ent_setup" },
    { 0x207E, "create_fx_menu" },
    { 0x207F, "create_fxlighting_object" },
    { 0x2080, "create_gain_credit_hud" },
    { 0x2081, "create_gamemessage_text" },
    { 0x2082, "create_ground_ref_ent" },
    { 0x2083, "create_hatchet" },
    { 0x2084, "create_hud" },
    { 0x2085, "create_hud_arrow" },
    { 0x2086, "create_hud_arrow_value" },
    { 0x2087, "create_hud_crosshair" },
    { 0x2088, "create_hud_data_value" },
    { 0x2089, "create_hud_horizontal_meter" },
    { 0x208A, "create_hud_loot_count" },
    { 0x208B, "create_hud_lower_right" },
    { 0x208C, "create_hud_scanline_overlay" },
    { 0x208D, "create_hud_section" },
    { 0x208E, "create_hud_static_overlay" },
    { 0x208F, "create_hud_upper_left" },
    { 0x2090, "create_hud_upper_right" },
    { 0x2091, "create_hud_vertical_meter" },
    { 0x2092, "create_hud_xm25_scanlines" },
    { 0x2093, "create_hud_xm25_screen" },
    { 0x2094, "create_interval_sound" },
    { 0x2095, "create_jump_point" },
    { 0x2096, "create_line" },
    { 0x2097, "create_lock" },
    { 0x2098, "create_looper" },
    { 0x2099, "create_loopsound" },
    { 0x209A, "create_mantle" },
    { 0x209B, "create_mg_team" },
    { 0x209C, "create_missile_attractor" },
    { 0x209D, "create_missileattractor_on_player_chopper" },
    { 0x209E, "create_new_spawner_pool" },
    { 0x209F, "create_node_and_idle" },
    { 0x20A0, "create_outofrange_hud" },
    { 0x20A1, "create_overlay_element" },
    { 0x20A2, "create_passengers" },
    { 0x20A3, "create_path" },
    { 0x20A4, "create_persistent_ice_breach_props" },
    { 0x20A5, "create_pillage_spots" },
    { 0x20A6, "create_player_going_underwater_effects" },
    { 0x20A7, "create_player_rig" },
    { 0x20A8, "create_player_surfacing_effects" },
    { 0x20A9, "create_pushed_dropped_weapon" },
    { 0x20AA, "create_qte_prompt" },
    { 0x20AB, "create_random_animation" },
    { 0x20AC, "create_redshirts" },
    { 0x20AD, "create_reflection_object" },
    { 0x20AE, "create_reflection_objects" },
    { 0x20AF, "create_rog_controls" },
    { 0x20B0, "create_rumble_ent" },
    { 0x20B1, "create_single_missile_truck" },
    { 0x20B2, "create_sliding_space_door" },
    { 0x20B3, "create_slowmo_breaches_from_entities" },
    { 0x20B4, "create_smoke_and_ambience" },
    { 0x20B5, "create_start" },
    { 0x20B6, "create_strip" },
    { 0x20B7, "create_submix_hud" },
    { 0x20B8, "create_sunflare_setting" },
    { 0x20B9, "create_trace_cache" },
    { 0x20BA, "create_track_struct" },
    { 0x20BB, "create_triggerfx" },
    { 0x20BC, "create_vehicle_from_spawngroup_and_gopath" },
    { 0x20BD, "create_view_particle_source" },
    { 0x20BE, "create_view_particle_source_alt" },
    { 0x20BF, "create_view_particle_source_locked" },
    { 0x20C0, "create_vision_set_fog" },
    { 0x20C1, "create_vo_data" },
    { 0x20C2, "create_warning_elem" },
    { 0x20C3, "create_world_model_from_ent_weapon" },
    { 0x20C4, "create_zone_hud" },
    { 0x20C5, "createairdropcrate" },
    { 0x20C6, "createairship" },
    { 0x20C7, "createart_transient_thread" },
    { 0x20C8, "createballdrone" },
    { 0x20C9, "createbar" },
    { 0x20CA, "createbombsquadmodel" },
    { 0x20CB, "createboxforplayer" },
    { 0x20CC, "createcarryobject" },
    { 0x20CD, "createcarryremoteuav" },
    { 0x20CE, "createchatevent" },
    { 0x20CF, "createchatphrase" },
    { 0x20D0, "createclientbar" },
    { 0x20D1, "createclientfontstring" },
    { 0x20D2, "createclientfontstring_func" },
    { 0x20D3, "createclienticon" },
    { 0x20D4, "createclientprogressbar" },
    { 0x20D5, "createclienttimer" },
    { 0x20D6, "createdebugtexthud" },
    { 0x20D7, "createdogenemy" },
    { 0x20D8, "createdot" },
    { 0x20D9, "createdot_radius" },
    { 0x20DA, "createdropzones" },
    { 0x20DB, "createechoalias" },
    { 0x20DC, "createeffect" },
    { 0x20DD, "createenemy" },
    { 0x20DE, "createevent" },
    { 0x20DF, "createexploder" },
    { 0x20E0, "createexploderex" },
    { 0x20E1, "createfontstring" },
    { 0x20E2, "createfx" },
    { 0x20E3, "createfx_adjust_array" },
    { 0x20E4, "createfx_autosave" },
    { 0x20E5, "createfx_centerprint" },
    { 0x20E6, "createfx_centerprint_thread" },
    { 0x20E7, "createfx_common" },
    { 0x20E8, "createfx_draw_enabled" },
    { 0x20E9, "createfx_enabled" },
    { 0x20EA, "createfx_filter_types" },
    { 0x20EB, "createfx_inputlocked" },
    { 0x20EC, "createfx_loopcounter" },
    { 0x20ED, "createfx_offset" },
    { 0x20EE, "createfx_only_triggers" },
    { 0x20EF, "createfx_print3d" },
    { 0x20F0, "createfx_selecting" },
    { 0x20F1, "createfxbyfxid" },
    { 0x20F2, "createfxcursor" },
    { 0x20F3, "createfxent" },
    { 0x20F4, "createfxexploders" },
    { 0x20F5, "createfxlogic" },
    { 0x20F6, "createfxmasks" },
    { 0x20F7, "createheli" },
    { 0x20F8, "createhelipilot" },
    { 0x20F9, "createhordecrates" },
    { 0x20FA, "createhordeweaponstate" },
    { 0x20FB, "createhumanoidenemy" },
    { 0x20FC, "createicon" },
    { 0x20FD, "createicon_hudelem" },
    { 0x20FE, "createims" },
    { 0x20FF, "createimsforplayer" },
    { 0x2100, "createintervalsound" },
    { 0x2101, "createlbguard" },
    { 0x2102, "createline" },
    { 0x2103, "createlineconstantly" },
    { 0x2104, "createloopeffect" },
    { 0x2105, "createloopsound" },
    { 0x2106, "createmission" },
    { 0x2107, "createmobilemortar" },
    { 0x2108, "createmuggercrates" },
    { 0x2109, "createmultipliertext" },
    { 0x210A, "createnewexploder" },
    { 0x210B, "createobject" },
    { 0x210C, "createobjective" },
    { 0x210D, "createodin" },
    { 0x210E, "createoneshoteffect" },
    { 0x210F, "createplaceable" },
    { 0x2110, "createplaneasheli" },
    { 0x2111, "createplayervariables" },
    { 0x2112, "createportal" },
    { 0x2113, "createportals" },
    { 0x2114, "createprimaryprogressbar" },
    { 0x2115, "createprimaryprogressbartext" },
    { 0x2116, "createprisoner" },
    { 0x2117, "createreactiveent" },
    { 0x2118, "createremoteuav" },
    { 0x2119, "createrpgrepulsors" },
    { 0x211A, "createsentryforplayer" },
    { 0x211B, "createsentryforplayer_func" },
    { 0x211C, "createserverbar" },
    { 0x211D, "createserverfontstring" },
    { 0x211E, "createservericon" },
    { 0x211F, "createservertimer" },
    { 0x2120, "createspendhinthud" },
    { 0x2121, "createsquad" },
    { 0x2122, "createstruct" },
    { 0x2123, "createtags" },
    { 0x2124, "createtank" },
    { 0x2125, "createtankforplayer" },
    { 0x2126, "createteamobjpoint" },
    { 0x2127, "createteamprogressbar" },
    { 0x2128, "createteamprogressbartext" },
    { 0x2129, "createtimer" },
    { 0x212A, "createturret" },
    { 0x212B, "createturretforplayer" },
    { 0x212C, "createuseent" },
    { 0x212D, "createuseobject" },
    { 0x212E, "createvanguard" },
    { 0x212F, "createzones" },
    { 0x2130, "credits" },
    { 0x2131, "credits_active" },
    { 0x2132, "credits_end" },
    { 0x2133, "credits_spacing" },
    { 0x2134, "credits_speed" },
    { 0x2135, "creepwalk_traverse_over_large" },
    { 0x2136, "creepwalk_traverse_over_small" },
    { 0x2137, "creepwalk_traverse_over_smaller" },
    { 0x2138, "creepwalk_traverse_under" },
    { 0x2139, "crew_quarters_aftermath" },
    { 0x213A, "crew_quarters_combat" },
    { 0x213B, "crew_quarters_combat_setup" },
    { 0x213C, "crew_quarters_crew_killed" },
    { 0x213D, "crib_debug" },
    { 0x213E, "critchance" },
    { 0x213F, "critialhit" },
    { 0x2140, "critical" },
    { 0x2141, "critical_factor" },
    { 0x2142, "criticalfactors_awayfromenemies" },
    { 0x2143, "criticalfactors_domination" },
    { 0x2144, "criticalfactors_freeforall" },
    { 0x2145, "criticalfactors_nearteam" },
    { 0x2146, "criticalfactors_safeguard" },
    { 0x2147, "criticalfactors_searchandrescue" },
    { 0x2148, "crnd_bar_amb" },
    { 0x2149, "crnd_elevator_hum" },
    { 0x214A, "crnd_hvt_alarm01" },
    { 0x214B, "crnd_hvt_alarm02" },
    { 0x214C, "cross2d" },
    { 0x214D, "cross_deck_tugger" },
    { 0x214E, "crossproduct" },
    { 0x214F, "crouch_hint" },
    { 0x2150, "crouch_visible_from" },
    { 0x2151, "crouchingisok" },
    { 0x2152, "crouchrun_begin" },
    { 0x2153, "crouchrun_combatanim" },
    { 0x2154, "crouchrun_runnormal" },
    { 0x2155, "crouchrun_runoverride" },
    { 0x2156, "crouchruntocrouch" },
    { 0x2157, "crouchruntoprone" },
    { 0x2158, "crouchruntopronerun" },
    { 0x2159, "crouchruntopronewalk" },
    { 0x215A, "crouchruntostand" },
    { 0x215B, "crouchstop_begin" },
    { 0x215C, "crouchtocrouchrun" },
    { 0x215D, "crouchtocrouchwalk" },
    { 0x215E, "crouchtoprone" },
    { 0x215F, "crouchtopronerun" },
    { 0x2160, "crouchtopronewalk" },
    { 0x2161, "crouchtostand" },
    { 0x2162, "crouchtostandrun" },
    { 0x2163, "crouchtostandwalk" },
    { 0x2164, "crouchwalk_begin" },
    { 0x2165, "crouchwalktocrouch" },
    { 0x2166, "crouchwalktostand" },
    { 0x2167, "crt_plane" },
    { 0x2168, "crush_front_gaz" },
    { 0x2169, "crush_mobile_gaz" },
    { 0x216A, "crush_player_with_floating_lynx" },
    { 0x216B, "crush_rear_gaz" },
    { 0x216C, "crush_stop_sign_when_near_tank" },
    { 0x216D, "crush_trucks" },
    { 0x216E, "crusher" },
    { 0x216F, "cspline_adjusttime" },
    { 0x2170, "cspline_calctangent" },
    { 0x2171, "cspline_calctangentnatural" },
    { 0x2172, "cspline_calctangenttcb" },
    { 0x2173, "cspline_findpathnodes" },
    { 0x2174, "cspline_getnodes" },
    { 0x2175, "cspline_getpointatdistance" },
    { 0x2176, "cspline_getpointattime" },
    { 0x2177, "cspline_initnoise" },
    { 0x2178, "cspline_length" },
    { 0x2179, "cspline_makenoisepath" },
    { 0x217A, "cspline_makenoisepathnodes" },
    { 0x217B, "cspline_makepath" },
    { 0x217C, "cspline_makepath1seg" },
    { 0x217D, "cspline_makepathtopoint" },
    { 0x217E, "cspline_movefirstpoint" },
    { 0x217F, "cspline_noise" },
    { 0x2180, "cspline_speedfromdistance" },
    { 0x2181, "cspline_test" },
    { 0x2182, "cspline_testnodes" },
    { 0x2183, "cspline_time" },
    { 0x2184, "csplineseg_calccoeffs" },
    { 0x2185, "csplineseg_calccoeffscapspeed" },
    { 0x2186, "csplineseg_calclengthbystepping" },
    { 0x2187, "csplineseg_calctopspeed" },
    { 0x2188, "csplineseg_calctopspeedbyderiving" },
    { 0x2189, "csplineseg_calctopspeedbystepping" },
    { 0x218A, "csplineseg_copy" },
    { 0x218B, "csplineseg_getpoint" },
    { 0x218C, "csv_include" },
    { 0x218D, "csv_lines" },
    { 0x218E, "cull_distance_logic" },
    { 0x218F, "cull_spawners_from_killspawner" },
    { 0x2190, "cull_spawners_leaving_one_set" },
    { 0x2191, "cull_trigger_logic" },
    { 0x2192, "cur_defend_angle_override" },
    { 0x2193, "cur_defend_node" },
    { 0x2194, "cur_defend_point_override" },
    { 0x2195, "cur_defend_stance" },
    { 0x2196, "cur_move_vect_norm" },
    { 0x2197, "cur_node" },
    { 0x2198, "cur_node_check_delete" },
    { 0x2199, "curautosave" },
    { 0x219A, "curclass" },
    { 0x219B, "curdefvalue" },
    { 0x219C, "curevent" },
    { 0x219D, "curfloor" },
    { 0x219E, "curmeleetarget" },
    { 0x219F, "curorigin" },
    { 0x21A0, "curprogress" },
    { 0x21A1, "curr_betty" },
    { 0x21A2, "curr_interruption" },
    { 0x21A3, "curr_movetime" },
    { 0x21A4, "curr_shockwave" },
    { 0x21A5, "currectlocindex" },
    { 0x21A6, "currency_box_think" },
    { 0x21A7, "currency_scale_per_hive" },
    { 0x21A8, "current_accuracy" },
    { 0x21A9, "current_alien_count" },
    { 0x21AA, "current_anim" },
    { 0x21AB, "current_anim_data_scene" },
    { 0x21AC, "current_attacker_in_zone_score_modifier" },
    { 0x21AD, "current_attackers" },
    { 0x21AE, "current_audio_zone" },
    { 0x21AF, "current_binocular_zoom_level" },
    { 0x21B0, "current_challenge" },
    { 0x21B1, "current_challenge_exist" },
    { 0x21B2, "current_challenge_index" },
    { 0x21B3, "current_challenge_is" },
    { 0x21B4, "current_challenge_percent" },
    { 0x21B5, "current_challenge_progress_current" },
    { 0x21B6, "current_challenge_progress_max" },
    { 0x21B7, "current_challenge_target_player" },
    { 0x21B8, "current_challenge_timer" },
    { 0x21B9, "current_color_line" },
    { 0x21BA, "current_color_order" },
    { 0x21BB, "current_cycle" },
    { 0x21BC, "current_cycle_num" },
    { 0x21BD, "current_dist_to_top" },
    { 0x21BE, "current_drill_health" },
    { 0x21BF, "current_drill_time" },
    { 0x21C0, "current_end" },
    { 0x21C1, "current_enemy" },
    { 0x21C2, "current_enemy_vol" },
    { 0x21C3, "current_event" },
    { 0x21C4, "current_fallbackers" },
    { 0x21C5, "current_follow_path" },
    { 0x21C6, "current_foot" },
    { 0x21C7, "current_global_hint" },
    { 0x21C8, "current_high_volume" },
    { 0x21C9, "current_hint" },
    { 0x21CA, "current_hit_count" },
    { 0x21CB, "current_hive_name" },
    { 0x21CC, "current_intensity" },
    { 0x21CD, "current_intensity_level" },
    { 0x21CE, "current_interrupt_status" },
    { 0x21CF, "current_lane" },
    { 0x21D0, "current_lane_monitor" },
    { 0x21D1, "current_mode_hud" },
    { 0x21D2, "current_pos" },
    { 0x21D3, "current_position" },
    { 0x21D4, "current_progress" },
    { 0x21D5, "current_runners" },
    { 0x21D6, "current_sentry" },
    { 0x21D7, "current_sniff_zone" },
    { 0x21D8, "current_speed_percent" },
    { 0x21D9, "current_spit_node" },
    { 0x21DA, "current_stance_func" },
    { 0x21DB, "current_state" },
    { 0x21DC, "current_stronghold_update" },
    { 0x21DD, "current_sun" },
    { 0x21DE, "current_sunflare_setting" },
    { 0x21DF, "current_swing_pos" },
    { 0x21E0, "current_target" },
    { 0x21E1, "current_target_hud_count" },
    { 0x21E2, "current_vol_acceptable" },
    { 0x21E3, "current_volume" },
    { 0x21E4, "current_volumes" },
    { 0x21E5, "current_yellow_enemy_replenisher" },
    { 0x21E6, "current_zone" },
    { 0x21E7, "currentactivevehiclecount" },
    { 0x21E8, "currentaliveenemycount" },
    { 0x21E9, "currentammopickupcount" },
    { 0x21EA, "currentanim" },
    { 0x21EB, "currentanimstate" },
    { 0x21EC, "currentassignedvoice" },
    { 0x21ED, "currentattackgroup" },
    { 0x21EE, "currentcaralarms" },
    { 0x21EF, "currentcolorcode" },
    { 0x21F0, "currentcolorforced" },
    { 0x21F1, "currentdialogimportance" },
    { 0x21F2, "currentdialognotifystring" },
    { 0x21F3, "currentdialogsound" },
    { 0x21F4, "currentdodgeanim" },
    { 0x21F5, "currentenemycount" },
    { 0x21F6, "currentfireworkslocation" },
    { 0x21F7, "currenthealth" },
    { 0x21F8, "currently_spawned_aliens" },
    { 0x21F9, "currentlylocked" },
    { 0x21FA, "currentlylocking" },
    { 0x21FB, "currentnode" },
    { 0x21FC, "currentowner" },
    { 0x21FD, "currentpickupcount" },
    { 0x21FE, "currentpointtotal" },
    { 0x21FF, "currentroundnumber" },
    { 0x2200, "currentstate" },
    { 0x2201, "currentsunlightcolor" },
    { 0x2202, "currentsupportdrops" },
    { 0x2203, "currentteamintelname" },
    { 0x2204, "currenttracecount" },
    { 0x2205, "currenttrackingyaw" },
    { 0x2206, "currenttrackingyawspeed" },
    { 0x2207, "currenttrig" },
    { 0x2208, "currentvehicletarget" },
    { 0x2209, "currentvels" },
    { 0x220A, "currentweapon" },
    { 0x220B, "currentweaponatspawn" },
    { 0x220C, "cursor" },
    { 0x220D, "curtain_dust" },
    { 0x220E, "curtain_fx" },
    { 0x220F, "custom_adrenalinebox_logic" },
    { 0x2210, "custom_aim" },
    { 0x2211, "custom_aim_internal" },
    { 0x2212, "custom_anim_wait" },
    { 0x2213, "custom_animation" },
    { 0x2214, "custom_animscript" },
    { 0x2215, "custom_balcony_death_animscript" },
    { 0x2216, "custom_bar_enemy_state_spotted" },
    { 0x2217, "custom_bar_stealth_setting" },
    { 0x2218, "custom_battlechatter" },
    { 0x2219, "custom_battlechatter_init_valid_phrases" },
    { 0x221A, "custom_battlechatter_internal" },
    { 0x221B, "custom_battlechatter_validate_phrase" },
    { 0x221C, "custom_cornered_stealth_settings" },
    { 0x221D, "custom_crawl_sound" },
    { 0x221E, "custom_crawling_death_array" },
    { 0x221F, "custom_death_script" },
    { 0x2220, "custom_dismount_hint_return_when_dismounted" },
    { 0x2221, "custom_dof_trace" },
    { 0x2222, "custom_fade_out" },
    { 0x2223, "custom_flavor_burst_ent_delete" },
    { 0x2224, "custom_flavor_burst_on_me" },
    { 0x2225, "custom_flavor_bursts" },
    { 0x2226, "custom_flavorburst_ents" },
    { 0x2227, "custom_followpath_parameter_func" },
    { 0x2228, "custom_friendly_fire_message" },
    { 0x2229, "custom_friendly_fire_shader" },
    { 0x222A, "custom_gameskill_func" },
    { 0x222B, "custom_giveloadout" },
    { 0x222C, "custom_hind_death" },
    { 0x222D, "custom_intro_screen_func" },
    { 0x222E, "custom_juicebox_logic" },
    { 0x222F, "custom_landing" },
    { 0x2230, "custom_laser_function" },
    { 0x2231, "custom_linkto_slide" },
    { 0x2232, "custom_mount_hint_return_when_mounted" },
    { 0x2233, "custom_no_game_setupfunc" },
    { 0x2234, "custom_player_attacker" },
    { 0x2235, "custom_radius_damage_for_exploders" },
    { 0x2236, "custom_sentry_position_func" },
    { 0x2237, "custom_unset_juiced" },
    { 0x2238, "custom_waterfx" },
    { 0x2239, "customanim" },
    { 0x223A, "customarrivalfunc" },
    { 0x223B, "customautosavecheck" },
    { 0x223C, "custombadplacethread" },
    { 0x223D, "custombcs_validphrases" },
    { 0x223E, "custombreathingtime" },
    { 0x223F, "customchatevent" },
    { 0x2240, "customchatphrase" },
    { 0x2241, "customcratefunc" },
    { 0x2242, "customdeathanim" },
    { 0x2243, "customfunc" },
    { 0x2244, "customidleanimset" },
    { 0x2245, "customidleanimweights" },
    { 0x2246, "customidlesound" },
    { 0x2247, "customjuiced" },
    { 0x2248, "custommoveanimset" },
    { 0x2249, "custommovetransition" },
    { 0x224A, "custommovetransitionfunc" },
    { 0x224B, "customnotetrackfx" },
    { 0x224C, "customprematchperiod" },
    { 0x224D, "customrunningreacttobullets" },
    { 0x224E, "cut_exploders" },
    { 0x224F, "cut_hint" },
    { 0x2250, "cut_rope_anim" },
    { 0x2251, "cut_rope_hint" },
    { 0x2252, "cut_rope_trigger" },
    { 0x2253, "cut_ropes" },
    { 0x2254, "cut_the_rope" },
    { 0x2255, "cut_the_rope_notetrack" },
    { 0x2256, "cut_window_player" },
    { 0x2257, "cut_window_rorke" },
    { 0x2258, "cw_ai_only_stand" },
    { 0x2259, "cw_barracks" },
    { 0x225A, "cw_barracks_fast" },
    { 0x225B, "cw_barracks_fast_fic" },
    { 0x225C, "cw_barracks_fast_shoot_proc" },
    { 0x225D, "cw_barracks_fast_trig_proc" },
    { 0x225E, "cw_barracks_setup" },
    { 0x225F, "cw_barracks_slow" },
    { 0x2260, "cw_bloom_above" },
    { 0x2261, "cw_bravo_breach" },
    { 0x2262, "cw_breach_bullets" },
    { 0x2263, "cw_breach_flash_protect" },
    { 0x2264, "cw_breach_player_effects" },
    { 0x2265, "cw_chaos_vault_light" },
    { 0x2266, "cw_common" },
    { 0x2267, "cw_common_breach" },
    { 0x2268, "cw_common_breach_allies" },
    { 0x2269, "cw_common_breach_draw_weapon" },
    { 0x226A, "cw_common_breach_nag" },
    { 0x226B, "cw_common_breach_player" },
    { 0x226C, "cw_common_breach_trig_proc" },
    { 0x226D, "cw_common_fic" },
    { 0x226E, "cw_fall_chance" },
    { 0x226F, "cw_fizzle_flashbangs_thinking" },
    { 0x2270, "cw_fog_above" },
    { 0x2271, "cw_fog_under" },
    { 0x2272, "cw_in_rising_water" },
    { 0x2273, "cw_lights_out_ng" },
    { 0x2274, "cw_lights_out_script_1" },
    { 0x2275, "cw_lights_out_script_2" },
    { 0x2276, "cw_lights_out_script_3" },
    { 0x2277, "cw_lights_out_script_4" },
    { 0x2278, "cw_lights_out_script_5" },
    { 0x2279, "cw_low" },
    { 0x227A, "cw_low_fic" },
    { 0x227B, "cw_mid" },
    { 0x227C, "cw_mid_fic" },
    { 0x227D, "cw_no_waterwipe" },
    { 0x227E, "cw_player_allowed_underwater_time" },
    { 0x227F, "cw_player_damage_underwater_time_exceeded" },
    { 0x2280, "cw_player_drowning_animate" },
    { 0x2281, "cw_player_drowning_damage_count" },
    { 0x2282, "cw_player_in_rising_water" },
    { 0x2283, "cw_player_is_drowning" },
    { 0x2284, "cw_player_make_stand" },
    { 0x2285, "cw_player_underwater_max_blur" },
    { 0x2286, "cw_player_view_bubble_source" },
    { 0x2287, "cw_player_view_fx_source" },
    { 0x2288, "cw_player_view_water_level_fx_source" },
    { 0x2289, "cw_playing_wet_fx" },
    { 0x228A, "cw_previous_grenadeammo" },
    { 0x228B, "cw_previous_longdeath" },
    { 0x228C, "cw_snowmobile_headlight" },
    { 0x228D, "cw_snowmobile_headlight_cg" },
    { 0x228E, "cw_snowmobile_light" },
    { 0x228F, "cw_stairs_fic" },
    { 0x2290, "cw_start" },
    { 0x2291, "cw_tape_breach" },
    { 0x2292, "cw_tape_explode" },
    { 0x2293, "cw_tape_explode_player_effect" },
    { 0x2294, "cw_thermite_charge_light" },
    { 0x2295, "cw_trigger_volumes" },
    { 0x2296, "cw_vision_above" },
    { 0x2297, "cw_waterwipe_above" },
    { 0x2298, "cw_waterwipe_above_playing" },
    { 0x2299, "cw_waterwipe_under" },
    { 0x229A, "cw_waterwipe_under_playing" },
    { 0x229B, "cw_znear_default" },
    { 0x229C, "cycle_begin_intensity_monitor" },
    { 0x229D, "cycle_count" },
    { 0x229E, "cycle_damage_scalar" },
    { 0x229F, "cycle_data" },
    { 0x22A0, "cycle_delay_times" },
    { 0x22A1, "cycle_drill_layers" },
    { 0x22A2, "cycle_end_area_list" },
    { 0x22A3, "cycle_health_scalar" },
    { 0x22A4, "cycle_reward_scalar" },
    { 0x22A5, "cycle_scalars" },
    { 0x22A6, "cycles" },
    { 0x22A7, "cycletargets" },
    { 0x22A8, "cypher_defend_self" },
    { 0x22A9, "cypher_enter" },
    { 0x22AA, "cypher_helps_out" },
    { 0x22AB, "cypher_helps_out_vo" },
    { 0x22AC, "d_dialogue_queue" },
    { 0x22AD, "dam" },
    { 0x22AE, "dam_break" },
    { 0x22AF, "dam_break_ally" },
    { 0x22B0, "dam_break_ally_hide" },
    { 0x22B1, "dam_break_church_spire" },
    { 0x22B2, "dam_break_dam" },
    { 0x22B3, "dam_break_m880" },
    { 0x22B4, "dam_break_m880_init" },
    { 0x22B5, "dam_break_m880_launch_prep" },
    { 0x22B6, "dam_break_m880_launch_prep_spawn" },
    { 0x22B7, "dam_break_m880_shadows_init" },
    { 0x22B8, "dam_break_m880_shadows_switch" },
    { 0x22B9, "dam_break_missile_01" },
    { 0x22BA, "dam_break_missile_02" },
    { 0x22BB, "dam_break_missile_03" },
    { 0x22BC, "dam_break_missile_04" },
    { 0x22BD, "dam_break_spawn" },
    { 0x22BE, "dam_break_street_debris" },
    { 0x22BF, "dam_break_street_water" },
    { 0x22C0, "dam_break_street_water_01" },
    { 0x22C1, "dam_break_street_water_02" },
    { 0x22C2, "dam_break_street_water_03" },
    { 0x22C3, "dam_break_street_water_04" },
    { 0x22C4, "dam_break_street_water_init" },
    { 0x22C5, "dam_break_weapon" },
    { 0x22C6, "dam_flood_fx" },
    { 0x22C7, "dam_heli_flyover_hover" },
    { 0x22C8, "dam_start" },
    { 0x22C9, "dam_street_flood_big_splashes_fx" },
    { 0x22CA, "dam_street_flood_church_hits" },
    { 0x22CB, "dam_street_flood_fx" },
    { 0x22CC, "dam_waterfall_hide" },
    { 0x22CD, "damage_alien_over_time" },
    { 0x22CE, "damage_detect" },
    { 0x22CF, "damage_done" },
    { 0x22D0, "damage_effect" },
    { 0x22D1, "damage_feedback_setup" },
    { 0x22D2, "damage_functions" },
    { 0x22D3, "damage_fx_handling" },
    { 0x22D4, "damage_hint_bullet_only" },
    { 0x22D5, "damage_hints" },
    { 0x22D6, "damage_hints_cleanup" },
    { 0x22D7, "damage_is_valid_for_friendlyfire_warning" },
    { 0x22D8, "damage_level" },
    { 0x22D9, "damage_mirror" },
    { 0x22DA, "damage_not" },
    { 0x22DB, "damage_player" },
    { 0x22DC, "damage_player_in_fire" },
    { 0x22DD, "damage_proxy" },
    { 0x22DE, "damage_slide_incr" },
    { 0x22DF, "damage_slide_time" },
    { 0x22E0, "damage_smoke_ent" },
    { 0x22E1, "damage_smoke_time" },
    { 0x22E2, "damage_state_apply" },
    { 0x22E3, "damage_state_build" },
    { 0x22E4, "damage_state_choose" },
    { 0x22E5, "damage_state_clear" },
    { 0x22E6, "damage_state_fx_add" },
    { 0x22E7, "damage_state_health_pct_get" },
    { 0x22E8, "damage_state_notify_add" },
    { 0x22E9, "damage_state_notify_send_enter" },
    { 0x22EA, "damage_state_notify_send_exit" },
    { 0x22EB, "damage_state_play_fx_on_tag" },
    { 0x22EC, "damage_state_prt_add" },
    { 0x22ED, "damage_state_quake" },
    { 0x22EE, "damage_state_snd_add" },
    { 0x22EF, "damage_state_stop_fx_on_tag" },
    { 0x22F0, "damage_state_tag_ent_clear_all" },
    { 0x22F1, "damage_state_tag_ent_get" },
    { 0x22F2, "damage_state_tag_ents" },
    { 0x22F3, "damage_states" },
    { 0x22F4, "damage_time" },
    { 0x22F5, "damage_time_player" },
    { 0x22F6, "damage_trigger" },
    { 0x22F7, "damage_type" },
    { 0x22F8, "damage_vehicle_think" },
    { 0x22F9, "damage_vehicles_path1" },
    { 0x22FA, "damage_vehicles_path2" },
    { 0x22FB, "damage_watcher_ambush" },
    { 0x22FC, "damage_watcher_intro" },
    { 0x22FD, "damageable_exploder_rooftanks" },
    { 0x22FE, "damageattacker" },
    { 0x22FF, "damageblockedtotal" },
    { 0x2300, "damagecallback" },
    { 0x2301, "damagecenter" },
    { 0x2302, "damaged" },
    { 0x2303, "damaged_crate" },
    { 0x2304, "damagedplayer" },
    { 0x2305, "damagedplayers" },
    { 0x2306, "damageent" },
    { 0x2307, "damagefade" },
    { 0x2308, "damagefeedback" },
    { 0x2309, "damagefeedback_took_damage" },
    { 0x230A, "damageinfo" },
    { 0x230B, "damageinfocolorindex" },
    { 0x230C, "damageinfovictim" },
    { 0x230D, "damageisfromplayer" },
    { 0x230E, "damagelistindex" },
    { 0x230F, "damagelistsize" },
    { 0x2310, "damagelocationisany" },
    { 0x2311, "damagemodel" },
    { 0x2312, "damageorigin" },
    { 0x2313, "damageowner" },
    { 0x2314, "damagepoint" },
    { 0x2315, "damageshellshockandrumble" },
    { 0x2316, "damageshieldcounter" },
    { 0x2317, "damageshieldexpiretime" },
    { 0x2318, "damageshieldpain" },
    { 0x2319, "damagetracker" },
    { 0x231A, "damagetracking" },
    { 0x231B, "damping_factor" },
    { 0x231C, "dangerforwardpush" },
    { 0x231D, "dangermaxradius" },
    { 0x231E, "dangerminradius" },
    { 0x231F, "dangerovalscale" },
    { 0x2320, "dangersprinttime" },
    { 0x2321, "dart" },
    { 0x2322, "dart_breach_anims_init" },
    { 0x2323, "dart_breach_precache" },
    { 0x2324, "dash_wipe" },
    { 0x2325, "data" },
    { 0x2326, "data_value" },
    { 0x2327, "data_value_suffix" },
    { 0x2328, "db_faux_enemy" },
    { 0x2329, "dc_old_moveplaybackrate" },
    { 0x232A, "dc_shotgun_seek" },
    { 0x232B, "dd" },
    { 0x232C, "ddtimetoadd" },
    { 0x232D, "deactivate" },
    { 0x232E, "deactivate_avoid_minion_exp" },
    { 0x232F, "deactivate_current_challenge" },
    { 0x2330, "deactivate_index" },
    { 0x2331, "deactivate_kill_10_with_propane" },
    { 0x2332, "deactivate_kill_10_with_traps" },
    { 0x2333, "deactivate_kill_10_with_turrets" },
    { 0x2334, "deactivate_kill_airborne_aliens" },
    { 0x2335, "deactivate_kill_leper" },
    { 0x2336, "deactivate_melee_goons" },
    { 0x2337, "deactivate_melee_only" },
    { 0x2338, "deactivate_melee_spitter" },
    { 0x2339, "deactivate_occlusion" },
    { 0x233A, "deactivate_percent_accuracy" },
    { 0x233B, "deactivate_protect_a_player" },
    { 0x233C, "deactivate_spend_currency" },
    { 0x233D, "deactivate_stay_prone" },
    { 0x233E, "deactivate_stay_within_area" },
    { 0x233F, "deactivateagent" },
    { 0x2340, "deactivateagentdelayed" },
    { 0x2341, "deactivatefunc" },
    { 0x2342, "deactivateweapon" },
    { 0x2343, "dead_ally_drones" },
    { 0x2344, "dead_body_count" },
    { 0x2345, "dead_body_spawner" },
    { 0x2346, "dead_finale_trucks" },
    { 0x2347, "dead_guy" },
    { 0x2348, "dead_guy_spawn_func" },
    { 0x2349, "dead_guys" },
    { 0x234A, "dead_guys_near_truck" },
    { 0x234B, "dead_hive_model" },
    { 0x234C, "dead_pilot_hang" },
    { 0x234D, "deaddriver" },
    { 0x234E, "deadly_sharks" },
    { 0x234F, "deadquote_recently_used" },
    { 0x2350, "death_a" },
    { 0x2351, "death_achievements" },
    { 0x2352, "death_achievements_rappel" },
    { 0x2353, "death_anim" },
    { 0x2354, "death_anim_anytime" },
    { 0x2355, "death_anim_played" },
    { 0x2356, "death_b" },
    { 0x2357, "death_c" },
    { 0x2358, "death_d" },
    { 0x2359, "death_delayed_ragdoll" },
    { 0x235A, "death_effect" },
    { 0x235B, "death_firesound" },
    { 0x235C, "death_func" },
    { 0x235D, "death_fx_on_self" },
    { 0x235E, "death_getcombinedhitloc" },
    { 0x235F, "death_getincomingdirection" },
    { 0x2360, "death_model_col" },
    { 0x2361, "death_no_ragdoll" },
    { 0x2362, "death_on_end" },
    { 0x2363, "death_on_self" },
    { 0x2364, "death_only_ragdoll" },
    { 0x2365, "death_override" },
    { 0x2366, "death_waiter" },
    { 0x2367, "death_warning_vo" },
    { 0x2368, "death_watcher" },
    { 0x2369, "deathanim" },
    { 0x236A, "deathanims" },
    { 0x236B, "deathanimscript" },
    { 0x236C, "deathchain_goalvolume" },
    { 0x236D, "deathchainainotify" },
    { 0x236E, "deathchainspawnerlogic" },
    { 0x236F, "deathcounter" },
    { 0x2370, "deathdamage_max" },
    { 0x2371, "deathdamage_min" },
    { 0x2372, "deathdamagemax" },
    { 0x2373, "deathdamagemin" },
    { 0x2374, "deathdamageradius" },
    { 0x2375, "deathflags" },
    { 0x2376, "deathfunc" },
    { 0x2377, "deathfunc_balcony" },
    { 0x2378, "deathfunc_grenade_drop" },
    { 0x2379, "deathfunc_vol_num_decrement" },
    { 0x237A, "deathfuncs" },
    { 0x237B, "deathfunction" },
    { 0x237C, "deathfunctions" },
    { 0x237D, "deathfx_ent" },
    { 0x237E, "deathoverridecallback" },
    { 0x237F, "deathposition" },
    { 0x2380, "deathquote_on_death" },
    { 0x2381, "deathrolloff" },
    { 0x2382, "deathrollon" },
    { 0x2383, "deathscript" },
    { 0x2384, "deathsdoor" },
    { 0x2385, "deathsdoor_enabled" },
    { 0x2386, "deathsfx" },
    { 0x2387, "deathspawner" },
    { 0x2388, "deathspawnerents" },
    { 0x2389, "deathspawnerpreview" },
    { 0x238A, "deathstring" },
    { 0x238B, "deathstring_passed" },
    { 0x238C, "deathstruct" },
    { 0x238D, "deathtime" },
    { 0x238E, "deathvfx" },
    { 0x238F, "deathwatcher" },
    { 0x2390, "deathweaponinfo" },
    { 0x2391, "debgugprintdestructiblelist" },
    { 0x2392, "debris" },
    { 0x2393, "debris_bridge_actor_vign_and_transition_to_combat" },
    { 0x2394, "debris_bridge_allies_loop" },
    { 0x2395, "debris_bridge_ally_waterfx" },
    { 0x2396, "debris_bridge_bus_sparks" },
    { 0x2397, "debris_bridge_cleanup" },
    { 0x2398, "debris_bridge_final_loop" },
    { 0x2399, "debris_bridge_fx" },
    { 0x239A, "debris_bridge_loop1" },
    { 0x239B, "debris_bridge_reach_and_loop" },
    { 0x239C, "debris_bridge_sfx" },
    { 0x239D, "debris_bridge_shaking_loop" },
    { 0x239E, "debris_bridge_spawn" },
    { 0x239F, "debris_bridge_vign1_and_loop2" },
    { 0x23A0, "debris_bridge_vign2_and_loop3" },
    { 0x23A1, "debris_bridge_vign2_and_loop3_ally" },
    { 0x23A2, "debris_chunk" },
    { 0x23A3, "debris_props" },
    { 0x23A4, "debris_remove_after_time" },
    { 0x23A5, "debris_spawner" },
    { 0x23A6, "debrisbridge" },
    { 0x23A7, "debrisbridge_ally_vo" },
    { 0x23A8, "debrisbridge_cleanup" },
    { 0x23A9, "debrisbridge_clear_enemies_bottom" },
    { 0x23AA, "debrisbridge_clear_enemies_top" },
    { 0x23AB, "debrisbridge_combat_crossing" },
    { 0x23AC, "debrisbridge_crossing" },
    { 0x23AD, "debrisbridge_encounter" },
    { 0x23AE, "debrisbridge_enemy_aggrisive_logic" },
    { 0x23AF, "debrisbridge_enemy_logic" },
    { 0x23B0, "debrisbridge_enemy_spawn_group_logic" },
    { 0x23B1, "debrisbridge_enemy_spawn_logic" },
    { 0x23B2, "debrisbridge_fodder" },
    { 0x23B3, "debrisbridge_fodder_extra" },
    { 0x23B4, "debrisbridge_hide_glass_parts" },
    { 0x23B5, "debrisbridge_kill_enemies_top" },
    { 0x23B6, "debrisbridge_loc" },
    { 0x23B7, "debrisbridge_move_trigger" },
    { 0x23B8, "debrisbridge_no_prone" },
    { 0x23B9, "debrisbridge_origins" },
    { 0x23BA, "debrisbridge_path_logic" },
    { 0x23BB, "debrisbridge_prevent_frogger" },
    { 0x23BC, "debrisbridge_setup_ally_for_kill_shot" },
    { 0x23BD, "debrisbridge_setup_enemies_for_clearance" },
    { 0x23BE, "debrisbridge_shot_count" },
    { 0x23BF, "debrisbridge_slide_player" },
    { 0x23C0, "debrisbridge_start" },
    { 0x23C1, "debrisbridge_wall_break_logic" },
    { 0x23C2, "debrisbridge_water_enter_combat_space" },
    { 0x23C3, "debrisbridge_water_enter_combat_space_play_effects" },
    { 0x23C4, "debrisbridge_water_enter_combat_space_play_effects_ally" },
    { 0x23C5, "debrisbridge_water_rumble" },
    { 0x23C6, "debug" },
    { 0x23C7, "debug_ai_drone_amounts" },
    { 0x23C8, "debug_ai_drone_amounts_logic" },
    { 0x23C9, "debug_anim" },
    { 0x23CA, "debug_animsoundtag" },
    { 0x23CB, "debug_animsoundtagselected" },
    { 0x23CC, "debug_arrival" },
    { 0x23CD, "debug_arrivals_on_actor" },
    { 0x23CE, "debug_audio_hud" },
    { 0x23CF, "debug_bike_line" },
    { 0x23D0, "debug_character_count" },
    { 0x23D1, "debug_check_time" },
    { 0x23D2, "debug_circle" },
    { 0x23D3, "debug_circle_drawlines" },
    { 0x23D4, "debug_color_friendlies" },
    { 0x23D5, "debug_color_huds" },
    { 0x23D6, "debug_color_system_hud" },
    { 0x23D7, "debug_colornodes" },
    { 0x23D8, "debug_corner" },
    { 0x23D9, "debug_countdown_timer" },
    { 0x23DA, "debug_cross" },
    { 0x23DB, "debug_death" },
    { 0x23DC, "debug_dialogue_huds" },
    { 0x23DD, "debug_doors_test" },
    { 0x23DE, "debug_draw_arrow" },
    { 0x23DF, "debug_electric_trap_print" },
    { 0x23E0, "debug_electric_trap_print_raw" },
    { 0x23E1, "debug_enabled" },
    { 0x23E2, "debug_end" },
    { 0x23E3, "debug_enemy_vehicles" },
    { 0x23E4, "debug_enemy_vehicles_line" },
    { 0x23E5, "debug_enemypos" },
    { 0x23E6, "debug_enemyposproc" },
    { 0x23E7, "debug_enemyposreplay" },
    { 0x23E8, "debug_error" },
    { 0x23E9, "debug_friendlyfire" },
    { 0x23EA, "debug_function" },
    { 0x23EB, "debug_fxlighting" },
    { 0x23EC, "debug_fxlighting_buttons" },
    { 0x23ED, "debug_heli_gun" },
    { 0x23EE, "debug_heli_spot" },
    { 0x23EF, "debug_hud_disabled" },
    { 0x23F0, "debug_iprintln" },
    { 0x23F1, "debug_j_prop" },
    { 0x23F2, "debug_jolt_jumps" },
    { 0x23F3, "debug_jolt_vehs" },
    { 0x23F4, "debug_kill_enemies_in_order" },
    { 0x23F5, "debug_line" },
    { 0x23F6, "debug_lookflag" },
    { 0x23F7, "debug_message" },
    { 0x23F8, "debug_message_ai" },
    { 0x23F9, "debug_message_clear" },
    { 0x23FA, "debug_no_move" },
    { 0x23FB, "debug_nuke" },
    { 0x23FC, "debug_org" },
    { 0x23FD, "debug_origin" },
    { 0x23FE, "debug_player_in_post_clip" },
    { 0x23FF, "debug_pos_3d" },
    { 0x2400, "debug_print3d" },
    { 0x2401, "debug_print3d_simple" },
    { 0x2402, "debug_println" },
    { 0x2403, "debug_radiusdamage_circle" },
    { 0x2404, "debug_reflection" },
    { 0x2405, "debug_reflection_buttons" },
    { 0x2406, "debug_sentry" },
    { 0x2407, "debug_set_all_traps" },
    { 0x2408, "debug_show_ai_counts" },
    { 0x2409, "debug_show_pos" },
    { 0x240A, "debug_spawn_director_active" },
    { 0x240B, "debug_spitter_population" },
    { 0x240C, "debug_stopenemypos" },
    { 0x240D, "debug_test_next_mission" },
    { 0x240E, "debug_test_thruster_audio" },
    { 0x240F, "debug_text_hud" },
    { 0x2410, "debug_thruster_text" },
    { 0x2411, "debug_timer" },
    { 0x2412, "debug_toggle" },
    { 0x2413, "debug_use_body_anims" },
    { 0x2414, "debug_use_head_anims" },
    { 0x2415, "debug_wait" },
    { 0x2416, "debug_warning" },
    { 0x2417, "debug_wibble" },
    { 0x2418, "debugburstprint" },
    { 0x2419, "debugchains" },
    { 0x241A, "debugcircle" },
    { 0x241B, "debugcolorfriendlies" },
    { 0x241C, "debugcombatcheck" },
    { 0x241D, "debugdvars" },
    { 0x241E, "debuggoalpos" },
    { 0x241F, "debugheight" },
    { 0x2420, "debugjump" },
    { 0x2421, "debugleft" },
    { 0x2422, "debugline" },
    { 0x2423, "debugmisstime" },
    { 0x2424, "debugmisstimeoff" },
    { 0x2425, "debugorigin" },
    { 0x2426, "debugpos" },
    { 0x2427, "debugposinternal" },
    { 0x2428, "debugpossize" },
    { 0x2429, "debugprint" },
    { 0x242A, "debugprint3d" },
    { 0x242B, "debugprintln2" },
    { 0x242C, "debugsightline" },
    { 0x242D, "debugspawners" },
    { 0x242E, "debugthreat" },
    { 0x242F, "debugthreatcalc" },
    { 0x2430, "debugtimeout" },
    { 0x2431, "debugvar" },
    { 0x2432, "debugwavecount" },
    { 0x2433, "decal" },
    { 0x2434, "decel_time" },
    { 0x2435, "deceleration" },
    { 0x2436, "decidenumcrawls" },
    { 0x2437, "decidenumshotsforburst" },
    { 0x2438, "decidenumshotsforfull" },
    { 0x2439, "decidewhatandhowtoshoot" },
    { 0x243A, "deck_ac130_dmg" },
    { 0x243B, "deck_ac130_dmg_badplace_size" },
    { 0x243C, "deck_ac130_dmg_clip" },
    { 0x243D, "deck_clean" },
    { 0x243E, "deck_combat_cleanup" },
    { 0x243F, "deck_combat_nag_vo" },
    { 0x2440, "deck_combat_pre_load" },
    { 0x2441, "deck_combat_vo" },
    { 0x2442, "deck_combat_wave1" },
    { 0x2443, "deck_combat_wave1_flank" },
    { 0x2444, "deck_combat_wave1_helis" },
    { 0x2445, "deck_combat_wave2_ambient_jets" },
    { 0x2446, "deck_combat_wave2_helis" },
    { 0x2447, "deck_combat_wave3" },
    { 0x2448, "deck_combat_wave3_ambient_jets" },
    { 0x2449, "deck_combat_wave3_helis" },
    { 0x244A, "deck_damage" },
    { 0x244B, "deck_destroyed_odin" },
    { 0x244C, "deck_explode" },
    { 0x244D, "deck_explode_guys" },
    { 0x244E, "deck_explode_vista" },
    { 0x244F, "deck_tilt_pre_load" },
    { 0x2450, "deck_tilt_water_kill_trigger" },
    { 0x2451, "deck_transition_cleanup" },
    { 0x2452, "deck_transition_cleanup_vol" },
    { 0x2453, "deck_transition_pre_load" },
    { 0x2454, "deck_victory_pre_load" },
    { 0x2455, "deck_victory_triggers" },
    { 0x2456, "decomp_anim_line_1" },
    { 0x2457, "decomp_anim_line_2" },
    { 0x2458, "decomp_anim_notify_done" },
    { 0x2459, "decomp_anim_notify_end_slomo" },
    { 0x245A, "decomp_anim_notify_player_link" },
    { 0x245B, "decomp_anim_notify_slomo" },
    { 0x245C, "decomp_door" },
    { 0x245D, "decomp_explosion_anim_ally" },
    { 0x245E, "decomp_explosion_anim_enemies" },
    { 0x245F, "decomp_explosion_anim_player" },
    { 0x2460, "decomp_explosion_anim_player_legs" },
    { 0x2461, "decomp_explosion_anim_props" },
    { 0x2462, "decomp_heavy_rumble" },
    { 0x2463, "decomp_light_rumble" },
    { 0x2464, "decreasexpboost" },
    { 0x2465, "decrement_list_offset" },
    { 0x2466, "decrementalivecount" },
    { 0x2467, "decrementbulletsinclip" },
    { 0x2468, "decrementcolorusers" },
    { 0x2469, "decremented" },
    { 0x246A, "decrementfauxvehiclecount" },
    { 0x246B, "decrementing_slide" },
    { 0x246C, "decrementlevelbreaks" },
    { 0x246D, "deep_array_call" },
    { 0x246E, "deep_array_thread" },
    { 0x246F, "deer" },
    { 0x2470, "deer_allies_dist_detection" },
    { 0x2471, "deer_anims" },
    { 0x2472, "deer_damage_detection" },
    { 0x2473, "deer_damage_fx" },
    { 0x2474, "deer_detects_when_to_run" },
    { 0x2475, "deer_drone_custom_idle" },
    { 0x2476, "deer_drone_custom_loop" },
    { 0x2477, "deer_drone_spawn_func" },
    { 0x2478, "deer_dronespawn" },
    { 0x2479, "deer_dronespawn_internal" },
    { 0x247A, "deer_earthquake" },
    { 0x247B, "deer_fade_in" },
    { 0x247C, "deer_init" },
    { 0x247D, "deer_player_aim_detection" },
    { 0x247E, "deer_player_leaning_detect" },
    { 0x247F, "deer_reveal_chairs" },
    { 0x2480, "deer_ruckus" },
    { 0x2481, "deer_ruckus_trig_logic" },
    { 0x2482, "deer_rumble_movewait" },
    { 0x2483, "deer_stampede_logic" },
    { 0x2484, "deerhunttransitionanim" },
    { 0x2485, "def" },
    { 0x2486, "def_fire" },
    { 0x2487, "def_neon" },
    { 0x2488, "def_pulse" },
    { 0x2489, "default_alien_combat" },
    { 0x248A, "default_approach" },
    { 0x248B, "default_canactivatefunc" },
    { 0x248C, "default_challenge_scalar_func" },
    { 0x248D, "default_dof" },
    { 0x248E, "default_dog_limits" },
    { 0x248F, "default_door_node_flashbang_frequency" },
    { 0x2490, "default_drop_pitch" },
    { 0x2491, "default_failactivatefunc" },
    { 0x2492, "default_failfunc" },
    { 0x2493, "default_footsteps" },
    { 0x2494, "default_fov" },
    { 0x2495, "default_gametype_think" },
    { 0x2496, "default_goalheight" },
    { 0x2497, "default_goalradius" },
    { 0x2498, "default_heartbeat_rate" },
    { 0x2499, "default_init" },
    { 0x249A, "default_issuccessfunc" },
    { 0x249B, "default_loadout_if_notset" },
    { 0x249C, "default_maxsightdistsqrd" },
    { 0x249D, "default_mg_drone" },
    { 0x249E, "default_mg_guy" },
    { 0x249F, "default_node" },
    { 0x24A0, "default_ondeadevent" },
    { 0x24A1, "default_onhalftime" },
    { 0x24A2, "default_ononeleftevent" },
    { 0x24A3, "default_ontimelimit" },
    { 0x24A4, "default_resetsuccess" },
    { 0x24A5, "default_rewardfunc" },
    { 0x24A6, "default_run_speed" },
    { 0x24A7, "default_should_update" },
    { 0x24A8, "default_sprint" },
    { 0x24A9, "default_start" },
    { 0x24AA, "default_start_override" },
    { 0x24AB, "default_starting_pistol" },
    { 0x24AC, "default_stealth_override" },
    { 0x24AD, "default_stealth_settings" },
    { 0x24AE, "default_success" },
    { 0x24AF, "default_target_vec" },
    { 0x24B0, "default_unresolved_collision_handler" },
    { 0x24B1, "default_visionset" },
    { 0x24B2, "default_wander_radius" },
    { 0x24B3, "default_weapon" },
    { 0x24B4, "defaultbodymodels" },
    { 0x24B5, "defaultclass" },
    { 0x24B6, "defaultdroneragdoll" },
    { 0x24B7, "defaultdroppitch" },
    { 0x24B8, "defaultdropyaw" },
    { 0x24B9, "defaultemissive" },
    { 0x24BA, "defaultexception" },
    { 0x24BB, "defaultheadmodels" },
    { 0x24BC, "defaultidlestateoverride" },
    { 0x24BD, "defaultlightfx" },
    { 0x24BE, "defaultmoveplaybackrate" },
    { 0x24BF, "defaultonmode" },
    { 0x24C0, "defaults" },
    { 0x24C1, "defaulttarget" },
    { 0x24C2, "defaultturnthreshold" },
    { 0x24C3, "defaultvalue" },
    { 0x24C4, "defaultviewarmmodels" },
    { 0x24C5, "defaultvoices" },
    { 0x24C6, "defaultweapon" },
    { 0x24C7, "defconkillstreakthread" },
    { 0x24C8, "defconkillstreakwait" },
    { 0x24C9, "defconmode" },
    { 0x24CA, "defconpointmod" },
    { 0x24CB, "defconsplashnotify" },
    { 0x24CC, "defconstreakadd" },
    { 0x24CD, "defend_begin_common" },
    { 0x24CE, "defend_combat" },
    { 0x24CF, "defend_cover_nodes" },
    { 0x24D0, "defend_do_smoke" },
    { 0x24D1, "defend_door_close" },
    { 0x24D2, "defend_door_explosion" },
    { 0x24D3, "defend_door_open" },
    { 0x24D4, "defend_end" },
    { 0x24D5, "defend_entrance_index" },
    { 0x24D6, "defend_exit_objective" },
    { 0x24D7, "defend_fire" },
    { 0x24D8, "defend_fx_ent" },
    { 0x24D9, "defend_get_ally_bots_at_zone_for_stance" },
    { 0x24DA, "defend_intro" },
    { 0x24DB, "defend_platform" },
    { 0x24DC, "defend_quick" },
    { 0x24DD, "defend_save_safe" },
    { 0x24DE, "defend_sentry" },
    { 0x24DF, "defend_sparrow_control" },
    { 0x24E0, "defend_sparrow_fx" },
    { 0x24E1, "defend_sparrow_pre_load" },
    { 0x24E2, "defend_sparrow_ships" },
    { 0x24E3, "defend_start" },
    { 0x24E4, "defend_start_player_shield" },
    { 0x24E5, "defend_valid_center" },
    { 0x24E6, "defend_wave_1" },
    { 0x24E7, "defend_weapons" },
    { 0x24E8, "defend_zodiac_ally_respawner" },
    { 0x24E9, "defend_zodiac_arrived_catwalk" },
    { 0x24EA, "defend_zodiac_arrived_right" },
    { 0x24EB, "defend_zodiac_autosave" },
    { 0x24EC, "defend_zodiac_fx" },
    { 0x24ED, "defend_zodiac_osprey" },
    { 0x24EE, "defend_zodiac_pre_load" },
    { 0x24EF, "defend_zodiac_replace_on_death" },
    { 0x24F0, "defend_zodiac_spawn_hidden_reinforcement" },
    { 0x24F1, "defend_zodiac_spawn_reinforcement" },
    { 0x24F2, "defend_zodiac_waittill_enemies_remaining" },
    { 0x24F3, "defendedplayer" },
    { 0x24F4, "defendloc" },
    { 0x24F5, "defendlocation" },
    { 0x24F6, "defends" },
    { 0x24F7, "defense_cautious_approach" },
    { 0x24F8, "defense_death_monitor" },
    { 0x24F9, "defense_force_next_node_goal" },
    { 0x24FA, "defense_get_initial_entrances" },
    { 0x24FB, "defense_investigate_specific_point" },
    { 0x24FC, "defense_override_entrances" },
    { 0x24FD, "defense_score_flags" },
    { 0x24FE, "defense_watch_entrances_at_goal" },
    { 0x24FF, "define_loadout" },
    { 0x2500, "definechestweapons" },
    { 0x2501, "deflaterate" },
    { 0x2502, "defuseendtime" },
    { 0x2503, "defuses" },
    { 0x2504, "defusetime" },
    { 0x2505, "delay" },
    { 0x2506, "delay_drop_boat" },
    { 0x2507, "delay_hide_view_model" },
    { 0x2508, "delay_keegan_color" },
    { 0x2509, "delay_multi_fx" },
    { 0x250A, "delay_multi_fx_proc" },
    { 0x250B, "delay_notify_alive" },
    { 0x250C, "delay_remove_invul" },
    { 0x250D, "delay_reset_swim_shock" },
    { 0x250E, "delay_retreat" },
    { 0x250F, "delay_show_animated_hands" },
    { 0x2510, "delay_show_blow_doors" },
    { 0x2511, "delay_show_legs_entry" },
    { 0x2512, "delay_with_bubbles" },
    { 0x2513, "delaybetweenlockon" },
    { 0x2514, "delaybetweenrockets" },
    { 0x2515, "delaycall" },
    { 0x2516, "delaycall_proc" },
    { 0x2517, "delaychildthread" },
    { 0x2518, "delaychildthread_proc" },
    { 0x2519, "delaydestroy" },
    { 0x251A, "delayed_delete" },
    { 0x251B, "delayed_earthquake" },
    { 0x251C, "delayed_intro" },
    { 0x251D, "delayed_kill" },
    { 0x251E, "delayed_player_seek_think" },
    { 0x251F, "delayed_setgoalvolumeauto" },
    { 0x2520, "delayed_setup" },
    { 0x2521, "delayed_show" },
    { 0x2522, "delayedbadplace" },
    { 0x2523, "delayeddialogue" },
    { 0x2524, "delayedexception" },
    { 0x2525, "delayedfofoverlay" },
    { 0x2526, "delayedleaderdialog" },
    { 0x2527, "delayedplayergoal" },
    { 0x2528, "delayer" },
    { 0x2529, "delayhudoutline" },
    { 0x252A, "delayinc" },
    { 0x252B, "delayminetime" },
    { 0x252C, "delaystandardmelee" },
    { 0x252D, "delaystartragdoll" },
    { 0x252E, "delaytankunload" },
    { 0x252F, "delaythread" },
    { 0x2530, "delaythread_nuke" },
    { 0x2531, "delaythread_proc" },
    { 0x2532, "deletable_magic_bullet_shield" },
    { 0x2533, "deletabledrones" },
    { 0x2534, "delete_accessories_on_death" },
    { 0x2535, "delete_ai" },
    { 0x2536, "delete_ai_array" },
    { 0x2537, "delete_ai_array_safe" },
    { 0x2538, "delete_ai_at_path_end" },
    { 0x2539, "delete_all_by_type" },
    { 0x253A, "delete_all_ents" },
    { 0x253B, "delete_all_grenades" },
    { 0x253C, "delete_all_triggers" },
    { 0x253D, "delete_all_vehicles" },
    { 0x253E, "delete_at_anim_end" },
    { 0x253F, "delete_at_goal" },
    { 0x2540, "delete_beginning_ents" },
    { 0x2541, "delete_bloomdome" },
    { 0x2542, "delete_breach" },
    { 0x2543, "delete_building_glow" },
    { 0x2544, "delete_corpse_in_volume" },
    { 0x2545, "delete_corpses_around_origin" },
    { 0x2546, "delete_corpses_around_vehicle" },
    { 0x2547, "delete_cracked_glass" },
    { 0x2548, "delete_destructibles_in_volumes" },
    { 0x2549, "delete_ent" },
    { 0x254A, "delete_ent_by_script_noteworthy" },
    { 0x254B, "delete_ent_by_targetname" },
    { 0x254C, "delete_ents" },
    { 0x254D, "delete_exploder" },
    { 0x254E, "delete_exploder_proc" },
    { 0x254F, "delete_exploders_in_volumes" },
    { 0x2550, "delete_fake_vehicle" },
    { 0x2551, "delete_fake_zodiac" },
    { 0x2552, "delete_fish_in_volume" },
    { 0x2553, "delete_glass_cutter" },
    { 0x2554, "delete_hazmat_guns" },
    { 0x2555, "delete_if_defined" },
    { 0x2556, "delete_if_player_cant_see_me" },
    { 0x2557, "delete_intel" },
    { 0x2558, "delete_interactives_in_volumes" },
    { 0x2559, "delete_light_on_clearup" },
    { 0x255A, "delete_links_then_self" },
    { 0x255B, "delete_me" },
    { 0x255C, "delete_me_after_time" },
    { 0x255D, "delete_me_on_notifies" },
    { 0x255E, "delete_me_on_parent_ai_death" },
    { 0x255F, "delete_model_fx" },
    { 0x2560, "delete_moving_cover_objects" },
    { 0x2561, "delete_on_church_done" },
    { 0x2562, "delete_on_collapse_done" },
    { 0x2563, "delete_on_complete" },
    { 0x2564, "delete_on_crack1_done" },
    { 0x2565, "delete_on_crack2_done" },
    { 0x2566, "delete_on_death" },
    { 0x2567, "delete_on_death_wait_sound" },
    { 0x2568, "delete_on_end" },
    { 0x2569, "delete_on_flag" },
    { 0x256A, "delete_on_goal" },
    { 0x256B, "delete_on_house_done" },
    { 0x256C, "delete_on_not_defined" },
    { 0x256D, "delete_on_notify" },
    { 0x256E, "delete_on_path_end" },
    { 0x256F, "delete_on_removed" },
    { 0x2570, "delete_on_sounddone" },
    { 0x2571, "delete_path_clip" },
    { 0x2572, "delete_pillage_trigger" },
    { 0x2573, "delete_pressed" },
    { 0x2574, "delete_removables" },
    { 0x2575, "delete_safe" },
    { 0x2576, "delete_selection" },
    { 0x2577, "delete_sentry_turret" },
    { 0x2578, "delete_stage_one_fx" },
    { 0x2579, "delete_start" },
    { 0x257A, "delete_temp_sat_view_targets" },
    { 0x257B, "delete_things" },
    { 0x257C, "delete_trigger" },
    { 0x257D, "delete_trolley_ally" },
    { 0x257E, "delete_volmod_hud" },
    { 0x257F, "delete_wand_at_lights_out" },
    { 0x2580, "delete_when_behind_player" },
    { 0x2581, "delete_window_reflectors" },
    { 0x2582, "delete_wrapper" },
    { 0x2583, "deleteaftertime" },
    { 0x2584, "deletecrate" },
    { 0x2585, "deletedebugtexthud" },
    { 0x2586, "deletedelay" },
    { 0x2587, "deletedestructiblekillcament" },
    { 0x2588, "deleteent" },
    { 0x2589, "deleteexplosive" },
    { 0x258A, "deletegenerator" },
    { 0x258B, "deleteifnotused" },
    { 0x258C, "deletelethalequipmentondisconnect" },
    { 0x258D, "deleteobjpoint" },
    { 0x258E, "deleteonac130playerremoved" },
    { 0x258F, "deleteondeath" },
    { 0x2590, "deleteonentnotify" },
    { 0x2591, "deleteonownerdeath" },
    { 0x2592, "deleteonreviveordeathordisconnect" },
    { 0x2593, "deleteonz" },
    { 0x2594, "deletepickupafterawhile" },
    { 0x2595, "deleteplacedentity" },
    { 0x2596, "deletereviveicon" },
    { 0x2597, "deleteshortly" },
    { 0x2598, "deletesquad" },
    { 0x2599, "deletestruct_ref" },
    { 0x259A, "deletestructarray" },
    { 0x259B, "deletestructarray_ref" },
    { 0x259C, "deleteti" },
    { 0x259D, "deleteuseent" },
    { 0x259E, "deleteuseobject" },
    { 0x259F, "deleting" },
    { 0x25A0, "demigod" },
    { 0x25A1, "demo_setup_allies" },
    { 0x25A2, "demo_setup_sound" },
    { 0x25A3, "demo_switch_checkpoints" },
    { 0x25A4, "demo_switch_transients" },
    { 0x25A5, "denied" },
    { 0x25A6, "dependent_hives_removed" },
    { 0x25A7, "deploy_currency" },
    { 0x25A8, "deploy_health_regen_shield" },
    { 0x25A9, "deployable" },
    { 0x25AA, "deployable_adrenaline_placed_listener" },
    { 0x25AB, "deployable_ammo_placed_listener" },
    { 0x25AC, "deployable_armor_placed_listener" },
    { 0x25AD, "deployable_boost_placed_listener" },
    { 0x25AE, "deployable_box" },
    { 0x25AF, "deployable_box_onuse_message" },
    { 0x25B0, "deployable_currency_placed_listener" },
    { 0x25B1, "deployable_currency_ranks" },
    { 0x25B2, "deployable_explosives_placed_listener" },
    { 0x25B3, "deployable_randombox_placed_listener" },
    { 0x25B4, "deployable_specialammo_placed_listener" },
    { 0x25B5, "deployable_tutorial_given" },
    { 0x25B6, "deployablebox_adrenalinebox_max" },
    { 0x25B7, "deployablebox_adrenalinebox_rank" },
    { 0x25B8, "deployablebox_juicebox_max" },
    { 0x25B9, "deployablebox_juicebox_rank" },
    { 0x25BA, "deployablebox_used_track" },
    { 0x25BB, "deployablebox_vest_max" },
    { 0x25BC, "deployablebox_vest_rank" },
    { 0x25BD, "deployablegunbox_bonusinxuses" },
    { 0x25BE, "deployablegunnextammotime" },
    { 0x25BF, "deployedgenerators" },
    { 0x25C0, "deployedsfx" },
    { 0x25C1, "deployflares" },
    { 0x25C2, "deployrainingmissiles" },
    { 0x25C3, "depth" },
    { 0x25C4, "depth_allow_crouch" },
    { 0x25C5, "depth_allow_prone" },
    { 0x25C6, "depth_allow_stand" },
    { 0x25C7, "depth_charge_boat_fall_trigger" },
    { 0x25C8, "depth_charge_check_failure" },
    { 0x25C9, "depth_charge_clear_hud" },
    { 0x25CA, "depth_charge_control_down" },
    { 0x25CB, "depth_charge_control_up" },
    { 0x25CC, "depth_charge_current_fov" },
    { 0x25CD, "depth_charge_current_slow_pitch" },
    { 0x25CE, "depth_charge_current_slow_yaw" },
    { 0x25CF, "depth_charge_death" },
    { 0x25D0, "depth_charge_death_trig" },
    { 0x25D1, "depth_charge_death_trig_kill" },
    { 0x25D2, "depth_charge_default_pitch" },
    { 0x25D3, "depth_charge_dialogue" },
    { 0x25D4, "depth_charge_drop" },
    { 0x25D5, "depth_charge_drop_hint" },
    { 0x25D6, "depth_charge_enemy_check" },
    { 0x25D7, "depth_charge_exit" },
    { 0x25D8, "depth_charge_explode" },
    { 0x25D9, "depth_charge_firing_slow_aim_modifier" },
    { 0x25DA, "depth_charge_friendly_fire_kills" },
    { 0x25DB, "depth_charge_friendly_fire_kills_to_fail" },
    { 0x25DC, "depth_charge_give_control" },
    { 0x25DD, "depth_charge_give_device" },
    { 0x25DE, "depth_charge_handle_zoom" },
    { 0x25DF, "depth_charge_hint" },
    { 0x25E0, "depth_charge_hud" },
    { 0x25E1, "depth_charge_hud_elements" },
    { 0x25E2, "depth_charge_init" },
    { 0x25E3, "depth_charge_lerp_dof" },
    { 0x25E4, "depth_charge_linkto" },
    { 0x25E5, "depth_charge_lockon_to_target" },
    { 0x25E6, "depth_charge_mark_friendlies" },
    { 0x25E7, "depth_charge_max_fov" },
    { 0x25E8, "depth_charge_max_slow_aim_pitch" },
    { 0x25E9, "depth_charge_max_slow_aim_yaw" },
    { 0x25EA, "depth_charge_min_fov" },
    { 0x25EB, "depth_charge_min_slow_aim_pitch" },
    { 0x25EC, "depth_charge_min_slow_aim_yaw" },
    { 0x25ED, "depth_charge_minigun_hint" },
    { 0x25EE, "depth_charge_monitor_drop" },
    { 0x25EF, "depth_charge_monitor_wet" },
    { 0x25F0, "depth_charge_org" },
    { 0x25F1, "depth_charge_pitch_down_allowance" },
    { 0x25F2, "depth_charge_pitch_up_allowance" },
    { 0x25F3, "depth_charge_remove_control" },
    { 0x25F4, "depth_charge_replay" },
    { 0x25F5, "depth_charge_run_finished" },
    { 0x25F6, "depth_charge_set_slow_aim" },
    { 0x25F7, "depth_charge_start_time" },
    { 0x25F8, "depth_charge_target" },
    { 0x25F9, "depth_charge_turn" },
    { 0x25FA, "depth_charge_update_target_location" },
    { 0x25FB, "depth_charge_use" },
    { 0x25FC, "depth_charge_weapon_hit" },
    { 0x25FD, "depth_charges" },
    { 0x25FE, "depth_charges_near_player" },
    { 0x25FF, "depth_charges_setup" },
    { 0x2600, "depth_marker" },
    { 0x2601, "depthenable" },
    { 0x2602, "derailed" },
    { 0x2603, "derrick_metal_debris_sfx" },
    { 0x2604, "derrick_model" },
    { 0x2605, "derrick_pop_and_explode" },
    { 0x2606, "derrick_scene_struct" },
    { 0x2607, "derrick_struct" },
    { 0x2608, "desc" },
    { 0x2609, "desc_col" },
    { 0x260A, "describe_start" },
    { 0x260B, "deselect_all_ents" },
    { 0x260C, "deselect_entity" },
    { 0x260D, "designator_disableusabilityduringgrenadepullback" },
    { 0x260E, "designator_enableusabilitywhendesignatorfinishes" },
    { 0x260F, "designator_ontargetacquired" },
    { 0x2610, "designator_removedesignatorandrestorepreviousweapon" },
    { 0x2611, "designator_start" },
    { 0x2612, "designator_waitforgrenadefire" },
    { 0x2613, "designator_waitforweaponchange" },
    { 0x2614, "desired_accel" },
    { 0x2615, "desired_anim_pose" },
    { 0x2616, "desired_bob_pitch" },
    { 0x2617, "desired_bob_roll" },
    { 0x2618, "desired_speed" },
    { 0x2619, "desiredtimeofdeath" },
    { 0x261A, "desk_animate" },
    { 0x261B, "dest" },
    { 0x261C, "dest_origin" },
    { 0x261D, "dest_tree_test" },
    { 0x261E, "destination" },
    { 0x261F, "destinations" },
    { 0x2620, "destroy_all_enemy_vehicles" },
    { 0x2621, "destroy_all_hangar_walls_wait" },
    { 0x2622, "destroy_breach_mines_and_fx" },
    { 0x2623, "destroy_color_debug_hud" },
    { 0x2624, "destroy_corner" },
    { 0x2625, "destroy_drill_icon" },
    { 0x2626, "destroy_fx_warehouse_floating_debris" },
    { 0x2627, "destroy_hint" },
    { 0x2628, "destroy_hint_on_friendlyfire" },
    { 0x2629, "destroy_hive_icon" },
    { 0x262A, "destroy_lip_debris_fx" },
    { 0x262B, "destroy_persistent_ice_breach_props" },
    { 0x262C, "destroy_plane_middles" },
    { 0x262D, "destroy_planter" },
    { 0x262E, "destroy_player_ambush" },
    { 0x262F, "destroy_player_ambush_vo" },
    { 0x2630, "destroy_player_intro" },
    { 0x2631, "destroy_qte_prompt" },
    { 0x2632, "destroy_submix_hud" },
    { 0x2633, "destroy_warning_elem" },
    { 0x2634, "destroy_warning_elem_when_hit_again" },
    { 0x2635, "destroy_warning_elem_when_mission_failed" },
    { 0x2636, "destroy_zone_hud" },
    { 0x2637, "destroyactiveac130" },
    { 0x2638, "destroyactiveballdrones" },
    { 0x2639, "destroyactivehelis" },
    { 0x263A, "destroyactiveimss" },
    { 0x263B, "destroyactivelittlebirds" },
    { 0x263C, "destroyactiverockets" },
    { 0x263D, "destroyactiveturrets" },
    { 0x263E, "destroyactiveuavs" },
    { 0x263F, "destroyactiveugvs" },
    { 0x2640, "destroyactivevehicles" },
    { 0x2641, "destroyed" },
    { 0x2642, "destroyed_derrick_models" },
    { 0x2643, "destroyed_fire_fx" },
    { 0x2644, "destroyed_hesco_count" },
    { 0x2645, "destroyed_tank" },
    { 0x2646, "destroyedcount" },
    { 0x2647, "destroyedcounttimeout" },
    { 0x2648, "destroyedmodel" },
    { 0x2649, "destroyedvo" },
    { 0x264A, "destroyefx" },
    { 0x264B, "destroyelem" },
    { 0x264C, "destroyentityheadiconondeath" },
    { 0x264D, "destroyer_ac130_exchange" },
    { 0x264E, "destroyer_guy_nodes" },
    { 0x264F, "destroyer_mg_fire" },
    { 0x2650, "destroyer_mg_monitor" },
    { 0x2651, "destroyer_target" },
    { 0x2652, "destroyer_targets_big" },
    { 0x2653, "destroyer_volley" },
    { 0x2654, "destroygroundobjects" },
    { 0x2655, "destroyheadiconsondeath" },
    { 0x2656, "destroyiconsondeath" },
    { 0x2657, "destroyonownerdisconnect" },
    { 0x2658, "destroyonreviveentdeath" },
    { 0x2659, "destroyslowly" },
    { 0x265A, "destroytank" },
    { 0x265B, "destroytargets" },
    { 0x265C, "destruc_chopper" },
    { 0x265D, "destructable_destruct" },
    { 0x265E, "destructable_think" },
    { 0x265F, "destructible" },
    { 0x2660, "destructible_anim" },
    { 0x2661, "destructible_animation_think" },
    { 0x2662, "destructible_array" },
    { 0x2663, "destructible_attachmodel" },
    { 0x2664, "destructible_badplace_radius_multiplier" },
    { 0x2665, "destructible_builddot_damage" },
    { 0x2666, "destructible_builddot_ontick" },
    { 0x2667, "destructible_builddot_startloop" },
    { 0x2668, "destructible_builddot_wait" },
    { 0x2669, "destructible_car_alarm" },
    { 0x266A, "destructible_civilian_sedan_iw6" },
    { 0x266B, "destructible_cleans_up_more" },
    { 0x266C, "destructible_create" },
    { 0x266D, "destructible_createdot_predefined" },
    { 0x266E, "destructible_createdot_radius" },
    { 0x266F, "destructible_damage_threshold" },
    { 0x2670, "destructible_death" },
    { 0x2671, "destructible_disable_explosion" },
    { 0x2672, "destructible_dots" },
    { 0x2673, "destructible_dragons_teeth" },
    { 0x2674, "destructible_explode" },
    { 0x2675, "destructible_explosion_radius_multiplier" },
    { 0x2676, "destructible_force_explode_off" },
    { 0x2677, "destructible_force_explode_on" },
    { 0x2678, "destructible_force_explosion" },
    { 0x2679, "destructible_function" },
    { 0x267A, "destructible_functions" },
    { 0x267B, "destructible_fx" },
    { 0x267C, "destructible_fx_think" },
    { 0x267D, "destructible_get_my_breakable_light" },
    { 0x267E, "destructible_getinfoindex" },
    { 0x267F, "destructible_gettype" },
    { 0x2680, "destructible_handles_collision_brushes" },
    { 0x2681, "destructible_health_drain_amount_multiplier" },
    { 0x2682, "destructible_healthdrain" },
    { 0x2683, "destructible_info" },
    { 0x2684, "destructible_lights_out" },
    { 0x2685, "destructible_loopfx" },
    { 0x2686, "destructible_loopsound" },
    { 0x2687, "destructible_model" },
    { 0x2688, "destructible_modifydamageamount" },
    { 0x2689, "destructible_modifydamagetype" },
    { 0x268A, "destructible_notify" },
    { 0x268B, "destructible_part" },
    { 0x268C, "destructible_parts" },
    { 0x268D, "destructible_physics" },
    { 0x268E, "destructible_protection_func" },
    { 0x268F, "destructible_quakes_off" },
    { 0x2690, "destructible_quakes_on" },
    { 0x2691, "destructible_sandbags" },
    { 0x2692, "destructible_setdot_ontick" },
    { 0x2693, "destructible_setdot_ontickfunc" },
    { 0x2694, "destructible_setup" },
    { 0x2695, "destructible_sound" },
    { 0x2696, "destructible_sound_think" },
    { 0x2697, "destructible_splash_damage" },
    { 0x2698, "destructible_splash_damage_scaler" },
    { 0x2699, "destructible_splash_rotatation" },
    { 0x269A, "destructible_spotlight" },
    { 0x269B, "destructible_spotlight_think" },
    { 0x269C, "destructible_state" },
    { 0x269D, "destructible_think" },
    { 0x269E, "destructible_transient" },
    { 0x269F, "destructible_update_part" },
    { 0x26A0, "destructible_van_iw6" },
    { 0x26A1, "destructible_vehicle_city_car" },
    { 0x26A2, "destructibleframequeue" },
    { 0x26A3, "destructibleinfo" },
    { 0x26A4, "destructibles" },
    { 0x26A5, "destructiblespawnedents" },
    { 0x26A6, "destructiblespawnedentslimit" },
    { 0x26A7, "destruction_reset" },
    { 0x26A8, "destruction_sequence" },
    { 0x26A9, "destructions" },
    { 0x26AA, "destructisolarpanelsinit" },
    { 0x26AB, "destructsolarpanels" },
    { 0x26AC, "detach_cig" },
    { 0x26AD, "detach_getoutrigs" },
    { 0x26AE, "detach_hatchet" },
    { 0x26AF, "detach_idle_clip" },
    { 0x26B0, "detach_models_with_substr" },
    { 0x26B1, "detach_phone" },
    { 0x26B2, "detach_pistol_left" },
    { 0x26B3, "detach_pistol_right" },
    { 0x26B4, "detach_rope_ally" },
    { 0x26B5, "detach_rope_baker" },
    { 0x26B6, "detach_rope_player" },
    { 0x26B7, "detach_rope_rorke" },
    { 0x26B8, "detachallweaponmodels" },
    { 0x26B9, "detachgrenadeonscriptchange" },
    { 0x26BA, "detachifattached" },
    { 0x26BB, "detachprops" },
    { 0x26BC, "detachusemodels" },
    { 0x26BD, "detachweapon" },
    { 0x26BE, "detcord_logic" },
    { 0x26BF, "detect_distsqrd" },
    { 0x26C0, "detect_events" },
    { 0x26C1, "detect_people" },
    { 0x26C2, "detect_people_trigger" },
    { 0x26C3, "detect_player_death" },
    { 0x26C4, "detect_player_event" },
    { 0x26C5, "detect_player_touching" },
    { 0x26C6, "detect_range" },
    { 0x26C7, "detect_sprint_click" },
    { 0x26C8, "detectdamage" },
    { 0x26C9, "detectedexploit" },
    { 0x26CA, "detectexplosives" },
    { 0x26CB, "detectfriendlyfireonentity" },
    { 0x26CC, "detecticonwaiter" },
    { 0x26CD, "detectid" },
    { 0x26CE, "detection_level" },
    { 0x26CF, "detection_timeout" },
    { 0x26D0, "detectiongraceperiod" },
    { 0x26D1, "detectionheight" },
    { 0x26D2, "detectionradius" },
    { 0x26D3, "detectkill" },
    { 0x26D4, "determine_closest_cars" },
    { 0x26D5, "determine_weapon" },
    { 0x26D6, "determinecqbanim" },
    { 0x26D7, "determineexposedapproachtype" },
    { 0x26D8, "determineheatcoverexittype" },
    { 0x26D9, "determinenodeapproachtype" },
    { 0x26DA, "determinenodeexittype" },
    { 0x26DB, "determinenonnodeexittype" },
    { 0x26DC, "determinestate" },
    { 0x26DD, "detonate_dominator" },
    { 0x26DE, "detonate_lights_off" },
    { 0x26DF, "detonate_string_func" },
    { 0x26E0, "detonateondeath" },
    { 0x26E1, "detonateonuse" },
    { 0x26E2, "detonateradius" },
    { 0x26E3, "detour_flag" },
    { 0x26E4, "detoured" },
    { 0x26E5, "detouringpath" },
    { 0x26E6, "detpackstunradius" },
    { 0x26E7, "devaliengiveplayersmoney" },
    { 0x26E8, "device" },
    { 0x26E9, "diable_nodes_if_near_player" },
    { 0x26EA, "dialog" },
    { 0x26EB, "dialog_baker_init_control" },
    { 0x26EC, "dialog_baker_player_control" },
    { 0x26ED, "dialog_baker_start" },
    { 0x26EE, "dialog_baker_success" },
    { 0x26EF, "dialog_explode" },
    { 0x26F0, "dialog_found_a_body" },
    { 0x26F1, "dialog_jump" },
    { 0x26F2, "dialog_line_with_flag" },
    { 0x26F3, "dialog_linesout" },
    { 0x26F4, "dialog_main" },
    { 0x26F5, "dialog_nags_heli" },
    { 0x26F6, "dialog_on_deck" },
    { 0x26F7, "dialog_player_kill" },
    { 0x26F8, "dialog_radiobravo" },
    { 0x26F9, "dialog_seehelo" },
    { 0x26FA, "dialog_theyre_looking_for_you" },
    { 0x26FB, "dialogue" },
    { 0x26FC, "dialogue_ally_pulling_back" },
    { 0x26FD, "dialogue_baker_waitforit" },
    { 0x26FE, "dialogue_boats_run" },
    { 0x26FF, "dialogue_dam" },
    { 0x2700, "dialogue_end" },
    { 0x2701, "dialogue_engine_room" },
    { 0x2702, "dialogue_final" },
    { 0x2703, "dialogue_huds" },
    { 0x2704, "dialogue_intro" },
    { 0x2705, "dialogue_mantle" },
    { 0x2706, "dialogue_mgs_1" },
    { 0x2707, "dialogue_mgs_2" },
    { 0x2708, "dialogue_mudpumps" },
    { 0x2709, "dialogue_nag" },
    { 0x270A, "dialogue_outro" },
    { 0x270B, "dialogue_queue" },
    { 0x270C, "dialogue_queue_single" },
    { 0x270D, "dialogue_random_last_line" },
    { 0x270E, "dialogue_random_line" },
    { 0x270F, "dialogue_reminder" },
    { 0x2710, "dialogue_sat1" },
    { 0x2711, "dialogue_sat2" },
    { 0x2712, "dialogue_streets_to_dam" },
    { 0x2713, "dialogue_streets_to_dam_2" },
    { 0x2714, "dialogue_tanks" },
    { 0x2715, "dialoguenotetrack" },
    { 0x2716, "diaz_door_kick_sfx" },
    { 0x2717, "did_flares" },
    { 0x2718, "did_handsignal" },
    { 0x2719, "did_inactive_vo" },
    { 0x271A, "did_riley_call" },
    { 0x271B, "diddamagestate" },
    { 0x271C, "didpastmeleefail" },
    { 0x271D, "didpastpursuitfail" },
    { 0x271E, "didshufflemove" },
    { 0x271F, "didsomethingotherthanshooting" },
    { 0x2720, "didstatusnotify" },
    { 0x2721, "die" },
    { 0x2722, "die_and_ragdoll" },
    { 0x2723, "die_from_explosion" },
    { 0x2724, "die_hard_explosion_fx" },
    { 0x2725, "die_quietly" },
    { 0x2726, "dieaftertime" },
    { 0x2727, "died_of_headshot" },
    { 0x2728, "diehardmode" },
    { 0x2729, "dieing_revival" },
    { 0x272A, "dieingrevival_vo" },
    { 0x272B, "difference" },
    { 0x272C, "difficulty" },
    { 0x272D, "difficultysettings" },
    { 0x272E, "difficultysettings_frac_data_points" },
    { 0x272F, "difficultystring" },
    { 0x2730, "difficultytype" },
    { 0x2731, "diffusefraction_ng" },
    { 0x2732, "digital_malarky" },
    { 0x2733, "digital_out" },
    { 0x2734, "digitalflash" },
    { 0x2735, "dim_overhead_light" },
    { 0x2736, "dip_ambience" },
    { 0x2737, "diraimlimit" },
    { 0x2738, "direct_chopper_crate_anim" },
    { 0x2739, "direction" },
    { 0x273A, "direction_change_smoothing" },
    { 0x273B, "direction_group" },
    { 0x273C, "direction_group_dog" },
    { 0x273D, "director_main" },
    { 0x273E, "dirt_on_screen_from_position" },
    { 0x273F, "dirteffect" },
    { 0x2740, "dirteffectmenu" },
    { 0x2741, "disable_achievement_harder_they_fall" },
    { 0x2742, "disable_achievement_harder_they_fall_guy" },
    { 0x2743, "disable_ai_color" },
    { 0x2744, "disable_aimassist" },
    { 0x2745, "disable_alien_scripted" },
    { 0x2746, "disable_all_triggers" },
    { 0x2747, "disable_ally_nag_nodes" },
    { 0x2748, "disable_altitude_control" },
    { 0x2749, "disable_arrivals" },
    { 0x274A, "disable_arrivals_and_exits" },
    { 0x274B, "disable_awareness" },
    { 0x274C, "disable_bag_trigger" },
    { 0x274D, "disable_blindfire" },
    { 0x274E, "disable_blood_pool" },
    { 0x274F, "disable_breathing_sound" },
    { 0x2750, "disable_bulletwhizbyreaction" },
    { 0x2751, "disable_careful" },
    { 0x2752, "disable_checkpoint_patrol" },
    { 0x2753, "disable_combat_nodes" },
    { 0x2754, "disable_control" },
    { 0x2755, "disable_cqb_points_of_interest" },
    { 0x2756, "disable_cqbwalk" },
    { 0x2757, "disable_damagefeedback" },
    { 0x2758, "disable_danger_react" },
    { 0x2759, "disable_defend_zodiac_replace_on_death" },
    { 0x275A, "disable_demigod" },
    { 0x275B, "disable_destructible_bad_places" },
    { 0x275C, "disable_dive_whizby_react" },
    { 0x275D, "disable_dog_control" },
    { 0x275E, "disable_dog_kinect" },
    { 0x275F, "disable_dog_sneak" },
    { 0x2760, "disable_dog_sniff" },
    { 0x2761, "disable_dog_walk" },
    { 0x2762, "disable_dontattackme" },
    { 0x2763, "disable_dontevershoot" },
    { 0x2764, "disable_dynamic_run_speed" },
    { 0x2765, "disable_exits" },
    { 0x2766, "disable_explosion" },
    { 0x2767, "disable_flinch" },
    { 0x2768, "disable_fx_on_death" },
    { 0x2769, "disable_gun_recall" },
    { 0x276A, "disable_health_regen_shield" },
    { 0x276B, "disable_heat_behavior" },
    { 0x276C, "disable_hudoutline_on_death" },
    { 0x276D, "disable_ignorerandombulletdamage_drone" },
    { 0x276E, "disable_interactive_tv_use_triggers" },
    { 0x276F, "disable_killcam" },
    { 0x2770, "disable_limp" },
    { 0x2771, "disable_long_death" },
    { 0x2772, "disable_militia_behavior" },
    { 0x2773, "disable_nodes_before_allies_move" },
    { 0x2774, "disable_nodes_if_allies_nearby" },
    { 0x2775, "disable_oneshotfx_with_noteworthy" },
    { 0x2776, "disable_other_strongholds" },
    { 0x2777, "disable_pain" },
    { 0x2778, "disable_player_space" },
    { 0x2779, "disable_player_swim" },
    { 0x277A, "disable_readystand" },
    { 0x277B, "disable_replace_on_death" },
    { 0x277C, "disable_sniper_glint" },
    { 0x277D, "disable_sniper_outline" },
    { 0x277E, "disable_snow_satellite" },
    { 0x277F, "disable_sovereign_gas" },
    { 0x2780, "disable_space" },
    { 0x2781, "disable_special_ammo" },
    { 0x2782, "disable_sprint" },
    { 0x2783, "disable_stealth" },
    { 0x2784, "disable_stealth_for_ai" },
    { 0x2785, "disable_stealth_smart_stance" },
    { 0x2786, "disable_stealth_system" },
    { 0x2787, "disable_strikezone_rog" },
    { 0x2788, "disable_surprise" },
    { 0x2789, "disable_swim" },
    { 0x278A, "disable_target_on_death" },
    { 0x278B, "disable_team_color" },
    { 0x278C, "disable_teamflashbangimmunity" },
    { 0x278D, "disable_teargas_ally_badplaces" },
    { 0x278E, "disable_tired" },
    { 0x278F, "disable_torpedo_ui" },
    { 0x2790, "disable_trigger" },
    { 0x2791, "disable_trigger_helper" },
    { 0x2792, "disable_trigger_with_noteworthy" },
    { 0x2793, "disable_trigger_with_targetname" },
    { 0x2794, "disable_turnanims" },
    { 0x2795, "disable_turns_arrivals_exits" },
    { 0x2796, "disable_turret" },
    { 0x2797, "disable_turret_fire" },
    { 0x2798, "disable_twitches" },
    { 0x2799, "disableallstreaks" },
    { 0x279A, "disablearrivals" },
    { 0x279B, "disablebadplace" },
    { 0x279C, "disablebattlechatter" },
    { 0x279D, "disablebulletwhizbyreaction" },
    { 0x279E, "disablebutton" },
    { 0x279F, "disableclientspawntraces" },
    { 0x27A0, "disablecollision" },
    { 0x27A1, "disablecoverarrivalsonly" },
    { 0x27A2, "disabled" },
    { 0x27A3, "disabled_script_color_allies" },
    { 0x27A4, "disabled_use_for" },
    { 0x27A5, "disabledamageshieldpain" },
    { 0x27A6, "disabledefaultfacialanims" },
    { 0x27A7, "disabledoffhandweapons" },
    { 0x27A8, "disabledoorbehavior" },
    { 0x27A9, "disabledusability" },
    { 0x27AA, "disabledweapon" },
    { 0x27AB, "disabledweaponswitch" },
    { 0x27AC, "disableexits" },
    { 0x27AD, "disableforfeit" },
    { 0x27AE, "disablefriendlyfirereaction" },
    { 0x27AF, "disablegeardrop" },
    { 0x27B0, "disablegrenadetracking" },
    { 0x27B1, "disablejuggernaut" },
    { 0x27B2, "disablekillstreakactionslots" },
    { 0x27B3, "disablelongdeath" },
    { 0x27B4, "disablelongpain" },
    { 0x27B5, "disablemonitorflash" },
    { 0x27B6, "disablemovementtracker" },
    { 0x27B7, "disableobject" },
    { 0x27B8, "disablepain" },
    { 0x27B9, "disableplayeruseent" },
    { 0x27BA, "disableranking" },
    { 0x27BB, "disablereactionanims" },
    { 0x27BC, "disablereload" },
    { 0x27BD, "disablespawning" },
    { 0x27BE, "disablestrangeondeath" },
    { 0x27BF, "disablevariablescopehudondeath" },
    { 0x27C0, "disablevehiclescripts" },
    { 0x27C1, "disableweaponlaser" },
    { 0x27C2, "disablewhenjuggernaut" },
    { 0x27C3, "discardtime" },
    { 0x27C4, "disconnect_and_bad_place" },
    { 0x27C5, "disconnect_path_periodic" },
    { 0x27C6, "disconnect_paths" },
    { 0x27C7, "disconnect_paths_at_end_anim" },
    { 0x27C8, "disconnect_paths_whenstopped" },
    { 0x27C9, "disconnect_traverse" },
    { 0x27CA, "disconnected" },
    { 0x27CB, "disconnector" },
    { 0x27CC, "disconnectpathsfunction" },
    { 0x27CD, "disconnecttraverses" },
    { 0x27CE, "discovery_guys" },
    { 0x27CF, "discovery_guys_wakeup" },
    { 0x27D0, "discrete_waittill" },
    { 0x27D1, "disguise_head" },
    { 0x27D2, "dismount_tank" },
    { 0x27D3, "disomount_hint" },
    { 0x27D4, "disorient_player" },
    { 0x27D5, "dispatch_activated_zone" },
    { 0x27D6, "dispatch_activated_zone_thread" },
    { 0x27D7, "dispatch_dog_think" },
    { 0x27D8, "dispatchnotify" },
    { 0x27D9, "displacement_uvscale" },
    { 0x27DA, "display_animsound" },
    { 0x27DB, "display_challenge_message" },
    { 0x27DC, "display_fx_add_options" },
    { 0x27DD, "display_fx_info" },
    { 0x27DE, "display_hint" },
    { 0x27DF, "display_hint_stick" },
    { 0x27E0, "display_hint_stick_timeout" },
    { 0x27E1, "display_hint_stick_timeout_mintime" },
    { 0x27E2, "display_hint_timeout" },
    { 0x27E3, "display_hint_timeout_mintime" },
    { 0x27E4, "display_no_target" },
    { 0x27E5, "display_screen_effect" },
    { 0x27E6, "display_speed" },
    { 0x27E7, "display_starts" },
    { 0x27E8, "display_starts_pressed" },
    { 0x27E9, "display_stylized_message" },
    { 0x27EA, "display_zipline_fire_hint" },
    { 0x27EB, "displayaliengameend" },
    { 0x27EC, "displaybuddyspawnsuccessful" },
    { 0x27ED, "displaybuddystatusmessage" },
    { 0x27EE, "displayed_hints" },
    { 0x27EF, "displaygameend" },
    { 0x27F0, "displayincomingairdropmessage" },
    { 0x27F1, "displayingdamagehints" },
    { 0x27F2, "displayroundend" },
    { 0x27F3, "displayroundswitch" },
    { 0x27F4, "displaythreat" },
    { 0x27F5, "displaythrowmessage" },
    { 0x27F6, "dist" },
    { 0x27F7, "dist2d" },
    { 0x27F8, "dist_player_to_top" },
    { 0x27F9, "dist_to_dog" },
    { 0x27FA, "dist_to_next_targ" },
    { 0x27FB, "dist_to_next_targs" },
    { 0x27FC, "distance" },
    { 0x27FD, "distance2dandheightcheck" },
    { 0x27FE, "distance_2d_squared" },
    { 0x27FF, "distance_check" },
    { 0x2800, "distance_from_next_volume_sq" },
    { 0x2801, "distance_squared_from_player_loc" },
    { 0x2802, "distance_to_spawn" },
    { 0x2803, "distancebetweenbombs" },
    { 0x2804, "distances" },
    { 0x2805, "distfromplayer" },
    { 0x2806, "distmove" },
    { 0x2807, "distmoved" },
    { 0x2808, "distorg" },
    { 0x2809, "distort_pct" },
    { 0x280A, "distort_time" },
    { 0x280B, "distsumsquared" },
    { 0x280C, "disttoline" },
    { 0x280D, "dlight_on_me" },
    { 0x280E, "dlight_org" },
    { 0x280F, "dmg_bullet_chance_player_evade" },
    { 0x2810, "dmg_bullet_chance_player_static" },
    { 0x2811, "dmg_bullet_delay_between_msec" },
    { 0x2812, "dmg_bullet_pct" },
    { 0x2813, "dmg_player_health_adjust_chance" },
    { 0x2814, "dmg_player_speed_evade_max_pct" },
    { 0x2815, "dmg_player_speed_evade_min_pct" },
    { 0x2816, "dmg_projectile_pct" },
    { 0x2817, "dmg_rear_elevator" },
    { 0x2818, "do_abort" },
    { 0x2819, "do_bird_single" },
    { 0x281A, "do_bird_single_enemy" },
    { 0x281B, "do_birds" },
    { 0x281C, "do_bokeh" },
    { 0x281D, "do_bokehdot_volume" },
    { 0x281E, "do_car_alarm" },
    { 0x281F, "do_charge_attack" },
    { 0x2820, "do_creak" },
    { 0x2821, "do_damage_over_time" },
    { 0x2822, "do_damage_until_timeout" },
    { 0x2823, "do_decal_square" },
    { 0x2824, "do_dud_damage" },
    { 0x2825, "do_earthquake" },
    { 0x2826, "do_elias_head_look" },
    { 0x2827, "do_elias_int_anim" },
    { 0x2828, "do_evade" },
    { 0x2829, "do_exit_wait_on_movement" },
    { 0x282A, "do_f15_raise_and_attack" },
    { 0x282B, "do_firework_fx" },
    { 0x282C, "do_funcs" },
    { 0x282D, "do_fx_plane_break" },
    { 0x282E, "do_goto_trace" },
    { 0x282F, "do_ground_slam" },
    { 0x2830, "do_hand_signal" },
    { 0x2831, "do_hand_wheeling_anim" },
    { 0x2832, "do_heavy_delete_wait" },
    { 0x2833, "do_in_order" },
    { 0x2834, "do_inverted_kill_blood" },
    { 0x2835, "do_knife_throw_blood" },
    { 0x2836, "do_lightning" },
    { 0x2837, "do_multiple_treads" },
    { 0x2838, "do_nag_dialog" },
    { 0x2839, "do_nags_til_flag" },
    { 0x283A, "do_no_game_start" },
    { 0x283B, "do_no_game_start_teleport" },
    { 0x283C, "do_not_acquire" },
    { 0x283D, "do_notetracks" },
    { 0x283E, "do_nothing" },
    { 0x283F, "do_physics_pulse" },
    { 0x2840, "do_player_crash_fx" },
    { 0x2841, "do_rag_death" },
    { 0x2842, "do_ramp_light" },
    { 0x2843, "do_random_dynamic_attachment" },
    { 0x2844, "do_random_pilot_chatter" },
    { 0x2845, "do_rope_animation" },
    { 0x2846, "do_rubble" },
    { 0x2847, "do_safe_radio_line" },
    { 0x2848, "do_single_swipe" },
    { 0x2849, "do_single_tread" },
    { 0x284A, "do_spacejump_debris" },
    { 0x284B, "do_specular_sun_lerp" },
    { 0x284C, "do_steering" },
    { 0x284D, "do_story_line" },
    { 0x284E, "do_tarps" },
    { 0x284F, "do_tile_single" },
    { 0x2850, "do_unique_debris" },
    { 0x2851, "do_wait" },
    { 0x2852, "do_wait_any" },
    { 0x2853, "do_wait_endons_array" },
    { 0x2854, "do_wait_thread" },
    { 0x2855, "do_wet_fx" },
    { 0x2856, "doaim" },
    { 0x2857, "doaim_idle_think" },
    { 0x2858, "doairstrike" },
    { 0x2859, "doairstrikeflyby" },
    { 0x285A, "doautospawn" },
    { 0x285B, "dobj_manager" },
    { 0x285C, "doblinkinglight" },
    { 0x285D, "dobomberstrike" },
    { 0x285E, "dobuilddot_damage" },
    { 0x285F, "dobuilddot_wait" },
    { 0x2860, "doc130flyby" },
    { 0x2861, "docustomanim" },
    { 0x2862, "docustomidle" },
    { 0x2863, "dodeathfromarray" },
    { 0x2864, "dodge_dir" },
    { 0x2865, "dodge_distance" },
    { 0x2866, "dodgeleftanim" },
    { 0x2867, "dodgeleftanimoffset" },
    { 0x2868, "dodgeloadout" },
    { 0x2869, "dodgemoveloopoverride" },
    { 0x286A, "dodgerightanim" },
    { 0x286B, "dodgerightanimoffset" },
    { 0x286C, "dododge" },
    { 0x286D, "dodoorgrenadethrow" },
    { 0x286E, "dodot_delayfunc" },
    { 0x286F, "dodot_fadeinblackout" },
    { 0x2870, "dodot_fadeoutblackout" },
    { 0x2871, "dodot_fadeoutblackoutanddestroy" },
    { 0x2872, "dodot_poisonblackout" },
    { 0x2873, "dodot_poisondamage" },
    { 0x2874, "dodrivenidle" },
    { 0x2875, "dodropff" },
    { 0x2876, "doempartifactloop" },
    { 0x2877, "doempstaticloop" },
    { 0x2878, "doexposedcalloutresponse" },
    { 0x2879, "doextendedkill" },
    { 0x287A, "dof" },
    { 0x287B, "dof_apply_to_results" },
    { 0x287C, "dof_blend_interior_ads" },
    { 0x287D, "dof_blend_interior_ads_element" },
    { 0x287E, "dof_blend_interior_ads_scalar" },
    { 0x287F, "dof_blend_interior_generic" },
    { 0x2880, "dof_calc_results" },
    { 0x2881, "dof_dam_break" },
    { 0x2882, "dof_disable_ads" },
    { 0x2883, "dof_disable_script" },
    { 0x2884, "dof_enable_ads" },
    { 0x2885, "dof_enable_script" },
    { 0x2886, "dof_init" },
    { 0x2887, "dof_outro_pt2" },
    { 0x2888, "dof_process_ads" },
    { 0x2889, "dof_process_ads_rooftop" },
    { 0x288A, "dof_rack" },
    { 0x288B, "dof_ref_ent" },
    { 0x288C, "dof_set_base" },
    { 0x288D, "dof_set_generic" },
    { 0x288E, "dof_swept_away" },
    { 0x288F, "dof_swept_plunge_03" },
    { 0x2890, "dof_underwater_general" },
    { 0x2891, "dof_update" },
    { 0x2892, "dofacialdialogue" },
    { 0x2893, "dofinalkillcam" },
    { 0x2894, "dofinalkillcamfx" },
    { 0x2895, "dofiring" },
    { 0x2896, "doflyby" },
    { 0x2897, "dofriendlyfirereaction" },
    { 0x2898, "dog_active_aim_zones" },
    { 0x2899, "dog_active_touch_zones" },
    { 0x289A, "dog_active_zones" },
    { 0x289B, "dog_additional_drivein_anims" },
    { 0x289C, "dog_addlean" },
    { 0x289D, "dog_alt_combat_check_clockwork" },
    { 0x289E, "dog_alt_melee_func" },
    { 0x289F, "dog_ambush" },
    { 0x28A0, "dog_animation_foundcorpse" },
    { 0x28A1, "dog_animation_generic" },
    { 0x28A2, "dog_animation_howl" },
    { 0x28A3, "dog_animation_sawcorpse" },
    { 0x28A4, "dog_animation_wakeup_fast" },
    { 0x28A5, "dog_animation_wakeup_slow" },
    { 0x28A6, "dog_anims" },
    { 0x28A7, "dog_anims_initialized" },
    { 0x28A8, "dog_attack" },
    { 0x28A9, "dog_attack_alt_func" },
    { 0x28AA, "dog_attack_back_enemies_logic" },
    { 0x28AB, "dog_attack_command_internal" },
    { 0x28AC, "dog_attack_damage_tracking" },
    { 0x28AD, "dog_attack_dir" },
    { 0x28AE, "dog_attack_dog_ends_early" },
    { 0x28AF, "dog_attack_guard" },
    { 0x28B0, "dog_attack_guard_logic" },
    { 0x28B1, "dog_attack_guard_stairs" },
    { 0x28B2, "dog_attack_guy" },
    { 0x28B3, "dog_attack_internal" },
    { 0x28B4, "dog_attack_range" },
    { 0x28B5, "dog_attack_slowmo" },
    { 0x28B6, "dog_attack_targets_by_priority" },
    { 0x28B7, "dog_attack_tunnel_sniper" },
    { 0x28B8, "dog_attack_victim_logic" },
    { 0x28B9, "dog_attacking_me" },
    { 0x28BA, "dog_attackradius_check" },
    { 0x28BB, "dog_bark" },
    { 0x28BC, "dog_bark_anims" },
    { 0x28BD, "dog_bark_think" },
    { 0x28BE, "dog_beach" },
    { 0x28BF, "dog_cam_fov_default" },
    { 0x28C0, "dog_cant_kill_in_one_hit" },
    { 0x28C1, "dog_command_attack" },
    { 0x28C2, "dog_command_cancel" },
    { 0x28C3, "dog_command_flush" },
    { 0x28C4, "dog_command_goto" },
    { 0x28C5, "dog_damage_reduction" },
    { 0x28C6, "dog_death_hud" },
    { 0x28C7, "dog_death_quote" },
    { 0x28C8, "dog_death_type" },
    { 0x28C9, "dog_deathquote" },
    { 0x28CA, "dog_debug_goto" },
    { 0x28CB, "dog_delayed_allow_damage" },
    { 0x28CC, "dog_delayed_unlink" },
    { 0x28CD, "dog_disable_ai_color" },
    { 0x28CE, "dog_downed_player" },
    { 0x28CF, "dog_drag_to_cover" },
    { 0x28D0, "dog_drive_animscript" },
    { 0x28D1, "dog_drive_indirect" },
    { 0x28D2, "dog_drive_indirect_disable" },
    { 0x28D3, "dog_enable_ai_color" },
    { 0x28D4, "dog_enemy_laststand_check" },
    { 0x28D5, "dog_exits_jeep" },
    { 0x28D6, "dog_flush_functions" },
    { 0x28D7, "dog_follow_path_func" },
    { 0x28D8, "dog_footstep_logic" },
    { 0x28D9, "dog_force_talk" },
    { 0x28DA, "dog_friendly_hidden" },
    { 0x28DB, "dog_friendly_spotted" },
    { 0x28DC, "dog_gasstation_logic" },
    { 0x28DD, "dog_get_within_range" },
    { 0x28DE, "dog_gets_in_matv" },
    { 0x28DF, "dog_goto_veh_and_enter" },
    { 0x28E0, "dog_growl" },
    { 0x28E1, "dog_guard_override" },
    { 0x28E2, "dog_handle_traverse_notetracks" },
    { 0x28E3, "dog_health" },
    { 0x28E4, "dog_hint" },
    { 0x28E5, "dog_hint_check" },
    { 0x28E6, "dog_hint_fade" },
    { 0x28E7, "dog_hits_before_kill" },
    { 0x28E8, "dog_hud_active" },
    { 0x28E9, "dog_hud_visible" },
    { 0x28EA, "dog_hunt2_delete" },
    { 0x28EB, "dog_hunt_spotted" },
    { 0x28EC, "dog_in_exfil_jeep" },
    { 0x28ED, "dog_indirect_control_input" },
    { 0x28EE, "dog_intro" },
    { 0x28EF, "dog_is_in_combat" },
    { 0x28F0, "dog_jump_down" },
    { 0x28F1, "dog_jump_guy" },
    { 0x28F2, "dog_jump_up" },
    { 0x28F3, "dog_jumpup" },
    { 0x28F4, "dog_jumpup_goto" },
    { 0x28F5, "dog_jumpup_wait" },
    { 0x28F6, "dog_kills_roof_guy" },
    { 0x28F7, "dog_leave" },
    { 0x28F8, "dog_link" },
    { 0x28F9, "dog_lock_check" },
    { 0x28FA, "dog_lock_flag" },
    { 0x28FB, "dog_logic" },
    { 0x28FC, "dog_long_jump" },
    { 0x28FD, "dog_lower_camera" },
    { 0x28FE, "dog_manage_damage" },
    { 0x28FF, "dog_marker" },
    { 0x2900, "dog_melee_death" },
    { 0x2901, "dog_melee_index" },
    { 0x2902, "dog_melee_timing_array" },
    { 0x2903, "dog_monitor_goal_ent" },
    { 0x2904, "dog_navigation_logic" },
    { 0x2905, "dog_neck_snapped" },
    { 0x2906, "dog_node_wait" },
    { 0x2907, "dog_on_a_boat" },
    { 0x2908, "dog_over_car_sound" },
    { 0x2909, "dog_pant" },
    { 0x290A, "dog_pant_think" },
    { 0x290B, "dog_pip_close" },
    { 0x290C, "dog_pip_init" },
    { 0x290D, "dog_player_kill" },
    { 0x290E, "dog_presstime" },
    { 0x290F, "dog_raise_camera" },
    { 0x2910, "dog_recruit" },
    { 0x2911, "dog_return_to_sender" },
    { 0x2912, "dog_reunite" },
    { 0x2913, "dog_reunite_hesh" },
    { 0x2914, "dog_ride_chopper" },
    { 0x2915, "dog_run" },
    { 0x2916, "dog_run_earthquakes" },
    { 0x2917, "dog_scratch_and_path" },
    { 0x2918, "dog_scratch_exfil" },
    { 0x2919, "dog_scratch_intro" },
    { 0x291A, "dog_scratch_scene" },
    { 0x291B, "dog_setup" },
    { 0x291C, "dog_sniff_spots" },
    { 0x291D, "dog_sniff_traverse" },
    { 0x291E, "dog_spawn" },
    { 0x291F, "dog_sprint_disable" },
    { 0x2920, "dog_stays_in_front_of_player" },
    { 0x2921, "dog_stealth" },
    { 0x2922, "dog_stealth_visibility" },
    { 0x2923, "dog_swap_enemy" },
    { 0x2924, "dog_tag_origin" },
    { 0x2925, "dog_teleport_trig_logic" },
    { 0x2926, "dog_track_range" },
    { 0x2927, "dog_traverse_kill" },
    { 0x2928, "dog_using_colors" },
    { 0x2929, "dog_victim" },
    { 0x292A, "dog_victim_death_internal" },
    { 0x292B, "dog_victim_enemy_early_damage_detection" },
    { 0x292C, "dog_victim_radio_sounds" },
    { 0x292D, "dog_vs_player_anim_rate" },
    { 0x292E, "dog_wait_anim_finished" },
    { 0x292F, "dog_wait_for_attack" },
    { 0x2930, "dog_walk" },
    { 0x2931, "dog_walk_for_time" },
    { 0x2932, "dog_walk_until_flag" },
    { 0x2933, "dog_wall_and_window_hop" },
    { 0x2934, "dog_whine" },
    { 0x2935, "dogarrivalanim" },
    { 0x2936, "dogattackaidist" },
    { 0x2937, "dogattackallowtime" },
    { 0x2938, "dogattackplayerdist" },
    { 0x2939, "dogattackradius" },
    { 0x293A, "dogcypher_claimed" },
    { 0x293B, "dogdamagedradiussq" },
    { 0x293C, "doghintelem" },
    { 0x293D, "doginited" },
    { 0x293E, "doglookpose" },
    { 0x293F, "dogmelee" },
    { 0x2940, "dogmeleeearly" },
    { 0x2941, "dogmeleeplayercounter" },
    { 0x2942, "dognextidletwitchtime" },
    { 0x2943, "dogrenadesplash" },
    { 0x2944, "dogrenadethrow" },
    { 0x2945, "dogs" },
    { 0x2946, "dogs_dont_instant_kill" },
    { 0x2947, "dogs_touching" },
    { 0x2948, "dogsinitialized" },
    { 0x2949, "dogstartmovedist" },
    { 0x294A, "dogstop_getnode" },
    { 0x294B, "dogstoppingdistsq" },
    { 0x294C, "dogtag" },
    { 0x294D, "dogtags" },
    { 0x294E, "dogtagsicon" },
    { 0x294F, "dogtagstext" },
    { 0x2950, "dogtraverseanims" },
    { 0x2951, "dogturnadjust" },
    { 0x2952, "dogturnrate" },
    { 0x2953, "doheliinsertion" },
    { 0x2954, "dohitreaction" },
    { 0x2955, "doimmediateragdolldeath" },
    { 0x2956, "doing_enemy_birds" },
    { 0x2957, "doing_hand_signal" },
    { 0x2958, "doing_in_space_rotation" },
    { 0x2959, "doing_reaction_anim" },
    { 0x295A, "doing_start_anim" },
    { 0x295B, "doingadditivepain" },
    { 0x295C, "doingdamagestate" },
    { 0x295D, "doingfinalkillcamfx" },
    { 0x295E, "doinglongdeath" },
    { 0x295F, "doingreacquirestep" },
    { 0x2960, "doingsplash" },
    { 0x2961, "dointrovignetteanim" },
    { 0x2962, "dokillstreakfunctions" },
    { 0x2963, "dolastminuteexposedapproach" },
    { 0x2964, "dolastminuteexposedapproachwrapper" },
    { 0x2965, "dolbstrike" },
    { 0x2966, "doleaptorunstart" },
    { 0x2967, "dolerp" },
    { 0x2968, "dolerptoendonground" },
    { 0x2969, "dolockon" },
    { 0x296A, "dolookatidle" },
    { 0x296B, "dom" },
    { 0x296C, "dom_flag_data" },
    { 0x296D, "domarkingflash" },
    { 0x296E, "domegac130flyby" },
    { 0x296F, "domegaflyby" },
    { 0x2970, "domeleedamage" },
    { 0x2971, "domeleevsai" },
    { 0x2972, "domeleevsai_simple" },
    { 0x2973, "domeleevsai_simple_animcustom" },
    { 0x2974, "domeleevsai_simple_animcustom_cleanup" },
    { 0x2975, "domeleevsdog" },
    { 0x2976, "domflags" },
    { 0x2977, "dominator_accelerate" },
    { 0x2978, "dominator_angular_velocity" },
    { 0x2979, "dominator_earthquake" },
    { 0x297A, "dominator_get_dead_zone_range" },
    { 0x297B, "domissioncallback" },
    { 0x297C, "domortar" },
    { 0x297D, "dompointa" },
    { 0x297E, "dompointb" },
    { 0x297F, "dompointc" },
    { 0x2980, "dompointnumber" },
    { 0x2981, "done_flushing" },
    { 0x2982, "done_linking" },
    { 0x2983, "doninebang" },
    { 0x2984, "donodeexitanimation" },
    { 0x2985, "dononattackcoverbehavior" },
    { 0x2986, "donotetracks" },
    { 0x2987, "donotetracksforever" },
    { 0x2988, "donotetracksforeverintercept" },
    { 0x2989, "donotetracksforeverproc" },
    { 0x298A, "donotetracksforpopup" },
    { 0x298B, "donotetracksfortime" },
    { 0x298C, "donotetracksfortimeendnotify" },
    { 0x298D, "donotetracksfortimeintercept" },
    { 0x298E, "donotetracksfortimeout" },
    { 0x298F, "donotetracksfortimeproc" },
    { 0x2990, "donotetracksintercept" },
    { 0x2991, "donotetrackspostcallback" },
    { 0x2992, "donotetrackspostcallbackwithendon" },
    { 0x2993, "donotetrackswithendon" },
    { 0x2994, "donotetrackswithtimeout" },
    { 0x2995, "donothingfunc" },
    { 0x2996, "dont_allow_ammo_cache" },
    { 0x2997, "dont_auto_balance" },
    { 0x2998, "dont_auto_ride" },
    { 0x2999, "dont_crush_player" },
    { 0x299A, "dont_delete_grenades_on_next_spawn" },
    { 0x299B, "dont_delete_mines_on_next_spawn" },
    { 0x299C, "dont_drop_weapon" },
    { 0x299D, "dont_finish_death" },
    { 0x299E, "dont_unlink_after_breach" },
    { 0x299F, "dont_unlink_ragdoll" },
    { 0x29A0, "dontallowexplode" },
    { 0x29A1, "dontattackme" },
    { 0x29A2, "dontchangemoveplaybackrate" },
    { 0x29A3, "dontchangepushplayer" },
    { 0x29A4, "dontcolormove" },
    { 0x29A5, "dontcrouchtime" },
    { 0x29A6, "dontdisconnectpaths" },
    { 0x29A7, "dontdonotetracks" },
    { 0x29A8, "dontdrawoncompass" },
    { 0x29A9, "dontdropweapon" },
    { 0x29AA, "dontevershoot" },
    { 0x29AB, "dontfire" },
    { 0x29AC, "dontfreeme" },
    { 0x29AD, "dontgetonpath" },
    { 0x29AE, "dontgiveuponsuppressionyet" },
    { 0x29AF, "dontmelee" },
    { 0x29B0, "dontshoot" },
    { 0x29B1, "dontshootstraight" },
    { 0x29B2, "dontshootwhilemoving" },
    { 0x29B3, "dontunloadondeath" },
    { 0x29B4, "dontunloadonend" },
    { 0x29B5, "dontwaitforpathend" },
    { 0x29B6, "donuke" },
    { 0x29B7, "donuke_fx" },
    { 0x29B8, "donuke_fx_strikezone" },
    { 0x29B9, "donukesimple" },
    { 0x29BA, "dooneflyby" },
    { 0x29BB, "door" },
    { 0x29BC, "door_break_foley" },
    { 0x29BD, "door_burst_splashes" },
    { 0x29BE, "door_buttons" },
    { 0x29BF, "door_close" },
    { 0x29C0, "door_close_behind" },
    { 0x29C1, "door_closer_guy" },
    { 0x29C2, "door_connectpaths" },
    { 0x29C3, "door_current_x" },
    { 0x29C4, "door_debris_l" },
    { 0x29C5, "door_debris_r" },
    { 0x29C6, "door_explosion" },
    { 0x29C7, "door_fall_over" },
    { 0x29C8, "door_in" },
    { 0x29C9, "door_kick_ally" },
    { 0x29CA, "door_kick_func" },
    { 0x29CB, "door_knockback" },
    { 0x29CC, "door_knockdown" },
    { 0x29CD, "door_l_modelswap" },
    { 0x29CE, "door_name" },
    { 0x29CF, "door_nudge" },
    { 0x29D0, "door_open" },
    { 0x29D1, "door_open_x" },
    { 0x29D2, "door_out" },
    { 0x29D3, "door_parse_parameters" },
    { 0x29D4, "door_play_sounds" },
    { 0x29D5, "door_push" },
    { 0x29D6, "door_setup" },
    { 0x29D7, "door_shut_x" },
    { 0x29D8, "door_state_change" },
    { 0x29D9, "door_state_exit" },
    { 0x29DA, "door_state_next" },
    { 0x29DB, "door_state_on_interrupt" },
    { 0x29DC, "door_state_update" },
    { 0x29DD, "door_state_update_sound" },
    { 0x29DE, "door_switch_icon" },
    { 0x29DF, "door_switch_icon_count" },
    { 0x29E0, "door_switch_icon_create" },
    { 0x29E1, "door_switch_icon_fade_in" },
    { 0x29E2, "door_switch_icon_fade_out" },
    { 0x29E3, "door_switch_icon_update" },
    { 0x29E4, "door_switch_icons" },
    { 0x29E5, "door_system_init" },
    { 0x29E6, "door_think" },
    { 0x29E7, "door_traversal" },
    { 0x29E8, "door_traversal_move" },
    { 0x29E9, "door_volume" },
    { 0x29EA, "doorangle" },
    { 0x29EB, "doorclose" },
    { 0x29EC, "doorent" },
    { 0x29ED, "doorenter" },
    { 0x29EE, "doorenter_enable_cqbwalk" },
    { 0x29EF, "doorenter_trygrenade" },
    { 0x29F0, "doorenterexitcheck" },
    { 0x29F1, "doorexit" },
    { 0x29F2, "doorexit_disable_cqbwalk" },
    { 0x29F3, "doorflashchance" },
    { 0x29F4, "doorfragchance" },
    { 0x29F5, "doormovedist" },
    { 0x29F6, "doormovetime" },
    { 0x29F7, "dooropen" },
    { 0x29F8, "dooropentime" },
    { 0x29F9, "doors" },
    { 0x29FA, "doors_open" },
    { 0x29FB, "doors_open_flicker" },
    { 0x29FC, "doors_swingopen" },
    { 0x29FD, "doorspeed" },
    { 0x29FE, "doorstate" },
    { 0x29FF, "doortype" },
    { 0x2A00, "doospreyinsertion" },
    { 0x2A01, "dopain" },
    { 0x2A02, "dopainfromarray" },
    { 0x2A03, "dopavelow" },
    { 0x2A04, "doperkfunctions" },
    { 0x2A05, "dopickyautosavechecks" },
    { 0x2A06, "doplanestrike" },
    { 0x2A07, "doradiationdamage" },
    { 0x2A08, "doreload" },
    { 0x2A09, "doreloadanim" },
    { 0x2A0A, "dorunstart" },
    { 0x2A0B, "dosharpturn" },
    { 0x2A0C, "doshoot" },
    { 0x2A0D, "doslide" },
    { 0x2A0E, "dosmoke" },
    { 0x2A0F, "dosound" },
    { 0x2A10, "dosounddistant" },
    { 0x2A11, "dospacetraverse" },
    { 0x2A12, "dospecialidle" },
    { 0x2A13, "dostandardkill" },
    { 0x2A14, "dostartmoveanim" },
    { 0x2A15, "dostrike" },
    { 0x2A16, "dostumble" },
    { 0x2A17, "dot" },
    { 0x2A18, "dot_check_time" },
    { 0x2A19, "dot_group" },
    { 0x2A1A, "dot_player" },
    { 0x2A1B, "dot_to_apache_player_facing_2d" },
    { 0x2A1C, "dot_to_apache_player_facing_2d_inverse" },
    { 0x2A1D, "dothreatcalloutresponse" },
    { 0x2A1E, "dotraversalwithflexibleheight" },
    { 0x2A1F, "dotraverse" },
    { 0x2A20, "dotraverse_custom" },
    { 0x2A21, "dotraversegravity" },
    { 0x2A22, "doturn" },
    { 0x2A23, "doturnnotetracks" },
    { 0x2A24, "doturretearthquake" },
    { 0x2A25, "dotypelimit" },
    { 0x2A26, "double_grenades_allowed" },
    { 0x2A27, "doublebubblesort" },
    { 0x2A28, "doubledip" },
    { 0x2A29, "doublereversebubblesort" },
    { 0x2A2A, "doubletapcount" },
    { 0x2A2B, "doubletapthink" },
    { 0x2A2C, "dowalkanim" },
    { 0x2A2D, "dowalkanimoverride" },
    { 0x2A2E, "dowalkstart" },
    { 0x2A2F, "down_leg_move_percent" },
    { 0x2A30, "down_move_strength" },
    { 0x2A31, "down_part2_proc_ran" },
    { 0x2A32, "down_velocity" },
    { 0x2A33, "down_weight" },
    { 0x2A34, "downed_enemy_location" },
    { 0x2A35, "downed_enemy_monitor" },
    { 0x2A36, "download_progress_bar" },
    { 0x2A37, "download_time" },
    { 0x2A38, "download_timer" },
    { 0x2A39, "dpad_icon" },
    { 0x2A3A, "dpad_icon_col" },
    { 0x2A3B, "dpadname" },
    { 0x2A3C, "drag_animation" },
    { 0x2A3D, "drag_anims" },
    { 0x2A3E, "drag_hints" },
    { 0x2A3F, "drag_interrogate_scene" },
    { 0x2A40, "drag_interrogate_vo" },
    { 0x2A41, "drag_metal_detector" },
    { 0x2A42, "drag_nag" },
    { 0x2A43, "drag_on_ls" },
    { 0x2A44, "drag_player_arms" },
    { 0x2A45, "drag_sounds" },
    { 0x2A46, "drag_vargas_to_edge" },
    { 0x2A47, "dragtaguntildeath" },
    { 0x2A48, "draw_arrow" },
    { 0x2A49, "draw_arrow_time" },
    { 0x2A4A, "draw_axis" },
    { 0x2A4B, "draw_bike_debug" },
    { 0x2A4C, "draw_boundry_sphere" },
    { 0x2A4D, "draw_circle_lines_until_notify" },
    { 0x2A4E, "draw_circle_until_notify" },
    { 0x2A4F, "draw_col_vol" },
    { 0x2A50, "draw_col_vol_offset" },
    { 0x2A51, "draw_color_friendlies" },
    { 0x2A52, "draw_colored_nodes" },
    { 0x2A53, "draw_colornodes" },
    { 0x2A54, "draw_cross" },
    { 0x2A55, "draw_cut_hint" },
    { 0x2A56, "draw_distance" },
    { 0x2A57, "draw_dot_for_ent" },
    { 0x2A58, "draw_dot_for_guy" },
    { 0x2A59, "draw_effects_list" },
    { 0x2A5A, "draw_entity_bounds" },
    { 0x2A5B, "draw_line" },
    { 0x2A5C, "draw_line_for_time" },
    { 0x2A5D, "draw_line_from_ent_for_time" },
    { 0x2A5E, "draw_line_from_ent_to_ent_for_time" },
    { 0x2A5F, "draw_line_from_ent_to_ent_until_notify" },
    { 0x2A60, "draw_line_from_ent_to_vec_for_time" },
    { 0x2A61, "draw_line_to_ent_for_time" },
    { 0x2A62, "draw_line_until_notify" },
    { 0x2A63, "draw_model_path" },
    { 0x2A64, "draw_move_path" },
    { 0x2A65, "draw_my_position" },
    { 0x2A66, "draw_path" },
    { 0x2A67, "draw_point" },
    { 0x2A68, "draw_radial_button" },
    { 0x2A69, "draw_radial_buttons" },
    { 0x2A6A, "draw_text" },
    { 0x2A6B, "draw_trigger" },
    { 0x2A6C, "draw_trigger_hints" },
    { 0x2A6D, "draw_turret_target_line" },
    { 0x2A6E, "draw_volume" },
    { 0x2A6F, "draw_x_hint" },
    { 0x2A70, "drawapproachvec" },
    { 0x2A71, "drawarrow" },
    { 0x2A72, "drawarrowforever" },
    { 0x2A73, "drawbcdirections" },
    { 0x2A74, "drawbcobject" },
    { 0x2A75, "drawchopperattackarrow" },
    { 0x2A76, "drawcircle" },
    { 0x2A77, "drawcircleuntilnotify" },
    { 0x2A78, "drawcirculararrow" },
    { 0x2A79, "drawcross" },
    { 0x2A7A, "drawenttag" },
    { 0x2A7B, "drawforwardforever" },
    { 0x2A7C, "drawfriend" },
    { 0x2A7D, "drawgraph" },
    { 0x2A7E, "drawline" },
    { 0x2A7F, "drawlink" },
    { 0x2A80, "drawminimapbounds" },
    { 0x2A81, "drawmyoff" },
    { 0x2A82, "drawn" },
    { 0x2A83, "drawoffset" },
    { 0x2A84, "draworgforever" },
    { 0x2A85, "draworiginforever" },
    { 0x2A86, "drawpath" },
    { 0x2A87, "drawplayerviewforever" },
    { 0x2A88, "drawsphere" },
    { 0x2A89, "drawstring" },
    { 0x2A8A, "drawstringtime" },
    { 0x2A8B, "drawtag" },
    { 0x2A8C, "drawtagforever" },
    { 0x2A8D, "drawtagtrails" },
    { 0x2A8E, "drawtankgraphids" },
    { 0x2A8F, "drawusers" },
    { 0x2A90, "drawvec" },
    { 0x2A91, "drift_hit" },
    { 0x2A92, "drift_vec" },
    { 0x2A93, "driftspeed" },
    { 0x2A94, "drill" },
    { 0x2A95, "drill_bink" },
    { 0x2A96, "drill_carrier" },
    { 0x2A97, "drill_detonate" },
    { 0x2A98, "drill_detonate_bbprint" },
    { 0x2A99, "drill_fail_animation" },
    { 0x2A9A, "drill_generic_bbprint" },
    { 0x2A9B, "drill_health_hardcore" },
    { 0x2A9C, "drill_health_scalar" },
    { 0x2A9D, "drill_icon" },
    { 0x2A9E, "drill_id" },
    { 0x2A9F, "drill_last_health" },
    { 0x2AA0, "drill_locs" },
    { 0x2AA1, "drill_marker_id" },
    { 0x2AA2, "drill_monitor" },
    { 0x2AA3, "drill_nag" },
    { 0x2AA4, "drill_nag_num" },
    { 0x2AA5, "drill_offline_bbprint" },
    { 0x2AA6, "drill_out_of_playable" },
    { 0x2AA7, "drill_overheat_timer" },
    { 0x2AA8, "drill_pickup" },
    { 0x2AA9, "drill_pickup_listener" },
    { 0x2AAA, "drill_plant" },
    { 0x2AAB, "drill_plant_bbprint" },
    { 0x2AAC, "drill_progress_fx" },
    { 0x2AAD, "drill_prop" },
    { 0x2AAE, "drill_pullout" },
    { 0x2AAF, "drill_reset_bbprint" },
    { 0x2AB0, "drill_reset_pos" },
    { 0x2AB1, "drill_sfx_dist_lp" },
    { 0x2AB2, "drill_sfx_lp" },
    { 0x2AB3, "drill_sfx_offline_beep" },
    { 0x2AB4, "drill_sfx_offline_lp" },
    { 0x2AB5, "drill_sfx_overheat_lp" },
    { 0x2AB6, "drill_synch_attack_exit" },
    { 0x2AB7, "drill_synch_attack_play_anim" },
    { 0x2AB8, "drill_teleport_structs" },
    { 0x2AB9, "drill_think" },
    { 0x2ABA, "drill_threat_think" },
    { 0x2ABB, "drill_time_scalar" },
    { 0x2ABC, "drill_tutorial_given" },
    { 0x2ABD, "drill_watch_overheat" },
    { 0x2ABE, "drilled_good_line" },
    { 0x2ABF, "drilled_good_vo" },
    { 0x2AC0, "drilling" },
    { 0x2AC1, "drillspeedmodifier" },
    { 0x2AC2, "drillthrough_plate_sound" },
    { 0x2AC3, "drip_already_played" },
    { 0x2AC4, "drip_ent1" },
    { 0x2AC5, "drip_ent2" },
    { 0x2AC6, "drip_on_player" },
    { 0x2AC7, "drip_on_player_choose_location" },
    { 0x2AC8, "drive_in_vo" },
    { 0x2AC9, "drive_spline_path_fun" },
    { 0x2ACA, "drivenanimupdate" },
    { 0x2ACB, "drivenmovemode" },
    { 0x2ACC, "driver" },
    { 0x2ACD, "driver_dies" },
    { 0x2ACE, "driver_idle_speed" },
    { 0x2ACF, "driver_shooting" },
    { 0x2AD0, "driverdead" },
    { 0x2AD1, "drivingvehicle" },
    { 0x2AD2, "drone_animate_on_path" },
    { 0x2AD3, "drone_anims" },
    { 0x2AD4, "drone_array_handling" },
    { 0x2AD5, "drone_bloodfx" },
    { 0x2AD6, "drone_bodies" },
    { 0x2AD7, "drone_civs_init" },
    { 0x2AD8, "drone_count" },
    { 0x2AD9, "drone_death_custom" },
    { 0x2ADA, "drone_death_handler" },
    { 0x2ADB, "drone_death_thread" },
    { 0x2ADC, "drone_delete_on_unload" },
    { 0x2ADD, "drone_die" },
    { 0x2ADE, "drone_drop_real_weapon_on_death" },
    { 0x2ADF, "drone_enableaimassist" },
    { 0x2AE0, "drone_fight" },
    { 0x2AE1, "drone_fight_smart" },
    { 0x2AE2, "drone_fire_fake_javelin_loop" },
    { 0x2AE3, "drone_fire_randomly" },
    { 0x2AE4, "drone_fire_randomly_loop" },
    { 0x2AE5, "drone_frontline_respawner" },
    { 0x2AE6, "drone_get_goal_loc_with_arrival" },
    { 0x2AE7, "drone_give_soul" },
    { 0x2AE8, "drone_gun_remove" },
    { 0x2AE9, "drone_idle" },
    { 0x2AEA, "drone_idle_custom" },
    { 0x2AEB, "drone_idle_override" },
    { 0x2AEC, "drone_infinite_runners" },
    { 0x2AED, "drone_init" },
    { 0x2AEE, "drone_init_path" },
    { 0x2AEF, "drone_init_zodiac" },
    { 0x2AF0, "drone_javelin_smart_targeting" },
    { 0x2AF1, "drone_look_ahead_point" },
    { 0x2AF2, "drone_lookahead_value" },
    { 0x2AF3, "drone_loop_custom" },
    { 0x2AF4, "drone_loop_override" },
    { 0x2AF5, "drone_move" },
    { 0x2AF6, "drone_move_callback" },
    { 0x2AF7, "drone_move_custom" },
    { 0x2AF8, "drone_move_time" },
    { 0x2AF9, "drone_move_z" },
    { 0x2AFA, "drone_paths" },
    { 0x2AFB, "drone_play_anim" },
    { 0x2AFC, "drone_play_looping_anim" },
    { 0x2AFD, "drone_play_scripted_anim" },
    { 0x2AFE, "drone_play_weapon_sound" },
    { 0x2AFF, "drone_removename" },
    { 0x2B00, "drone_respawner" },
    { 0x2B01, "drone_run_speed" },
    { 0x2B02, "drone_runanim" },
    { 0x2B03, "drone_runner_group" },
    { 0x2B04, "drone_set_runanim" },
    { 0x2B05, "drone_setname" },
    { 0x2B06, "drone_shoot" },
    { 0x2B07, "drone_shoot_fx" },
    { 0x2B08, "drone_shoot_rpg" },
    { 0x2B09, "drone_should_delete" },
    { 0x2B0A, "drone_spawn" },
    { 0x2B0B, "drone_spawn_func" },
    { 0x2B0C, "drone_stops_shooting" },
    { 0x2B0D, "drone_target" },
    { 0x2B0E, "drone_targets" },
    { 0x2B0F, "drone_thermal_draw_disable" },
    { 0x2B10, "drone_traverse_check" },
    { 0x2B11, "drone_unload" },
    { 0x2B12, "drone_wait_for_death" },
    { 0x2B13, "drone_wait_move" },
    { 0x2B14, "droneanim" },
    { 0x2B15, "dronebloodfx" },
    { 0x2B16, "dronecallbackthread" },
    { 0x2B17, "droneclip" },
    { 0x2B18, "dronefailed" },
    { 0x2B19, "dronefightspots" },
    { 0x2B1A, "dronemissilespawnarray" },
    { 0x2B1B, "dronepathstarts" },
    { 0x2B1C, "dronequeue" },
    { 0x2B1D, "dronerowend" },
    { 0x2B1E, "dronerows" },
    { 0x2B1F, "dronerowsamount" },
    { 0x2B20, "dronerowstart" },
    { 0x2B21, "dronerunoffset" },
    { 0x2B22, "drones" },
    { 0x2B23, "drones_crew" },
    { 0x2B24, "drones_death_watcher" },
    { 0x2B25, "drones_request" },
    { 0x2B26, "drones_request_init" },
    { 0x2B27, "drones_request_queue" },
    { 0x2B28, "drones_request_think" },
    { 0x2B29, "drones_targets_sets_to_default" },
    { 0x2B2A, "dronespawn" },
    { 0x2B2B, "dronespawn_bodyonly" },
    { 0x2B2C, "dronespawner" },
    { 0x2B2D, "dronespawner_init" },
    { 0x2B2E, "dronesthermalteamselect" },
    { 0x2B2F, "dronestruct" },
    { 0x2B30, "droneunloader" },
    { 0x2B31, "drop_and_angle_to_ground" },
    { 0x2B32, "drop_ascender" },
    { 0x2B33, "drop_bots" },
    { 0x2B34, "drop_depth_charge" },
    { 0x2B35, "drop_drill" },
    { 0x2B36, "drop_drill_on_death" },
    { 0x2B37, "drop_drill_on_disconnect" },
    { 0x2B38, "drop_flare" },
    { 0x2B39, "drop_flashlight" },
    { 0x2B3A, "drop_gear" },
    { 0x2B3B, "drop_geiger_counter" },
    { 0x2B3C, "drop_grenade_bag" },
    { 0x2B3D, "drop_health_on_death" },
    { 0x2B3E, "drop_health_timeout_thread" },
    { 0x2B3F, "drop_health_trigger_think" },
    { 0x2B40, "drop_layer2" },
    { 0x2B41, "drop_loc" },
    { 0x2B42, "drop_loot" },
    { 0x2B43, "drop_path_to_ground" },
    { 0x2B44, "drop_pillage_item_on_ground" },
    { 0x2B45, "drop_selection_to_ground" },
    { 0x2B46, "drop_to_ground" },
    { 0x2B47, "drop_turret" },
    { 0x2B48, "dropaiweapon" },
    { 0x2B49, "dropallaiweapons" },
    { 0x2B4A, "dropanim" },
    { 0x2B4B, "dropbombs" },
    { 0x2B4C, "dropclipmodel" },
    { 0x2B4D, "dropcrateexistence" },
    { 0x2B4E, "dropgrenade" },
    { 0x2B4F, "dropimpulse" },
    { 0x2B50, "droplocationindex" },
    { 0x2B51, "dropnuke" },
    { 0x2B52, "dropoff_height" },
    { 0x2B53, "droponebomb" },
    { 0x2B54, "dropparachutebomb" },
    { 0x2B55, "droppeddeathweapon" },
    { 0x2B56, "droppedline" },
    { 0x2B57, "droppedlinez" },
    { 0x2B58, "droppedoff" },
    { 0x2B59, "droppedweaponent" },
    { 0x2B5A, "droppingoff" },
    { 0x2B5B, "droppingtoground" },
    { 0x2B5C, "droppostoground" },
    { 0x2B5D, "dropscavengerfordeath" },
    { 0x2B5E, "droptags" },
    { 0x2B5F, "dropthecrate" },
    { 0x2B60, "droptimeout" },
    { 0x2B61, "dropturret" },
    { 0x2B62, "dropturretproc" },
    { 0x2B63, "droptype" },
    { 0x2B64, "dropweaponfordeath" },
    { 0x2B65, "dropweaponfordeathhorde" },
    { 0x2B66, "dropweaponwrapper" },
    { 0x2B67, "drown_blur" },
    { 0x2B68, "drown_choke" },
    { 0x2B69, "drown_death_timer" },
    { 0x2B6A, "drown_die" },
    { 0x2B6B, "drown_heartbeat" },
    { 0x2B6C, "drown_max_alpha" },
    { 0x2B6D, "drowning_dialogue" },
    { 0x2B6E, "drowning_dof" },
    { 0x2B6F, "drowning_hudfx" },
    { 0x2B70, "drowning_sounds_rumbles" },
    { 0x2B71, "drs_ahead_test" },
    { 0x2B72, "ds_vo_timer" },
    { 0x2B73, "ds_vo_timer_left" },
    { 0x2B74, "ds_vo_timer_right" },
    { 0x2B75, "dshk_death_anim" },
    { 0x2B76, "dsm" },
    { 0x2B77, "dsq_2d_ents" },
    { 0x2B78, "dsq_2d_ents_lt" },
    { 0x2B79, "dsq_ents_lt" },
    { 0x2B7A, "dsq_z_ents" },
    { 0x2B7B, "dsq_z_ents_gt" },
    { 0x2B7C, "dual_firing" },
    { 0x2B7D, "dual_waittill" },
    { 0x2B7E, "duck_once" },
    { 0x2B7F, "duckidle" },
    { 0x2B80, "duckidleoccurrence" },
    { 0x2B81, "duckin" },
    { 0x2B82, "ducking" },
    { 0x2B83, "duckout" },
    { 0x2B84, "dude_kicks_in_the_door" },
    { 0x2B85, "dude_kicks_in_the_door_setup" },
    { 0x2B86, "dudes_in_place_breach" },
    { 0x2B87, "dudes_in_place_cover" },
    { 0x2B88, "duffle_bag_anims" },
    { 0x2B89, "dumb_tank_shoot" },
    { 0x2B8A, "dummy_ent" },
    { 0x2B8B, "dummy_getrealtarget" },
    { 0x2B8C, "dummy_mover" },
    { 0x2B8D, "dummy_to_vehicle" },
    { 0x2B8E, "dummyglowstickdelete" },
    { 0x2B8F, "dummyspeed" },
    { 0x2B90, "dummytarget" },
    { 0x2B91, "dump_missing_anims" },
    { 0x2B92, "dumpit" },
    { 0x2B93, "dupe_hud" },
    { 0x2B94, "dupe_style_hud" },
    { 0x2B95, "duration" },
    { 0x2B96, "dusteffect" },
    { 0x2B97, "dvar" },
    { 0x2B98, "dvarfloatvalue" },
    { 0x2B99, "dvarintvalue" },
    { 0x2B9A, "dyingcrawl" },
    { 0x2B9B, "dyingcrawlaiming" },
    { 0x2B9C, "dyingcrawlbackaim" },
    { 0x2B9D, "dyingcrawlbloodsmear" },
    { 0x2B9E, "dyn_balloon_bob" },
    { 0x2B9F, "dyn_balloon_delete" },
    { 0x2BA0, "dyn_balloon_think" },
    { 0x2BA1, "dyn_dogspeed_disable" },
    { 0x2BA2, "dyn_dogspeed_enable" },
    { 0x2BA3, "dyn_sniff" },
    { 0x2BA4, "dyn_sniff_disable" },
    { 0x2BA5, "dyn_sniff_enable" },
    { 0x2BA6, "dyn_speed" },
    { 0x2BA7, "dyn_swimspeed_disable" },
    { 0x2BA8, "dyn_swimspeed_enable" },
    { 0x2BA9, "dynamic_dof" },
    { 0x2BAA, "dynamic_icehole_crash" },
    { 0x2BAB, "dynamic_object_pusher" },
    { 0x2BAC, "dynamic_player_crash" },
    { 0x2BAD, "dynamic_repulsor" },
    { 0x2BAE, "dynamic_run_ahead_test" },
    { 0x2BAF, "dynamic_run_set" },
    { 0x2BB0, "dynamic_run_speed_dialogue" },
    { 0x2BB1, "dynamic_run_speed_proc" },
    { 0x2BB2, "dynamic_run_speed_stopped" },
    { 0x2BB3, "dynamic_sun_sample_size" },
    { 0x2BB4, "dynamicspawns" },
    { 0x2BB5, "dz_deck_explode_dmg" },
    { 0x2BB6, "dz_enemy_destroyer_mortars" },
    { 0x2BB7, "dz_intermission_enemies" },
    { 0x2BB8, "dz_osprey_fed_destroyer" },
    { 0x2BB9, "dz_osprey_missiles" },
    { 0x2BBA, "e" },
    { 0x2BBB, "e3_demo" },
    { 0x2BBC, "e3_fadein" },
    { 0x2BBD, "e3_fadeout" },
    { 0x2BBE, "e3_section" },
    { 0x2BBF, "e3_section_start" },
    { 0x2BC0, "e3_start" },
    { 0x2BC1, "e3_text_hud" },
    { 0x2BC2, "e3_transition_begin" },
    { 0x2BC3, "e3_transition_start" },
    { 0x2BC4, "early_decomp_checker" },
    { 0x2BC5, "early_escape_start" },
    { 0x2BC6, "early_level" },
    { 0x2BC7, "early_prompt" },
    { 0x2BC8, "early_weapon_enabled" },
    { 0x2BC9, "earlyabortwatcher" },
    { 0x2BCA, "earned" },
    { 0x2BCB, "earned_dialog_col" },
    { 0x2BCC, "earned_hint_col" },
    { 0x2BCD, "earnedstreaklevel" },
    { 0x2BCE, "earnkillstreak" },
    { 0x2BCF, "earth_get_script_mover" },
    { 0x2BD0, "earth_model" },
    { 0x2BD1, "earth_origin_start" },
    { 0x2BD2, "earth_script_mover" },
    { 0x2BD3, "earthqauke_wait" },
    { 0x2BD4, "earthquake" },
    { 0x2BD5, "earthquake_destructibles_monitor" },
    { 0x2BD6, "earthquake_loop" },
    { 0x2BD7, "earthquake_max" },
    { 0x2BD8, "earthquake_min" },
    { 0x2BD9, "earthquake_on_death" },
    { 0x2BDA, "earthquake_on_death_missile" },
    { 0x2BDB, "earthquake_player" },
    { 0x2BDC, "earthquake_player_missile_monitor" },
    { 0x2BDD, "earthquake_strength" },
    { 0x2BDE, "earthquake_trigger" },
    { 0x2BDF, "earthquake_valid_entity" },
    { 0x2BE0, "earthquake_w_fade" },
    { 0x2BE1, "easter_egg_lodge_sign" },
    { 0x2BE2, "easter_egg_lodge_sign_active" },
    { 0x2BE3, "ebreachmodel" },
    { 0x2BE4, "edge_lean_natural" },
    { 0x2BE5, "edge_lean_shield" },
    { 0x2BE6, "edge_sound_ent" },
    { 0x2BE7, "edgetiles" },
    { 0x2BE8, "edoor" },
    { 0x2BE9, "eexploderorigin" },
    { 0x2BEA, "effect" },
    { 0x2BEB, "effect_id" },
    { 0x2BEC, "effect_list_offset" },
    { 0x2BED, "effect_list_offset_max" },
    { 0x2BEE, "effect_loopsound" },
    { 0x2BEF, "effect_monitors" },
    { 0x2BF0, "effect_soundalias" },
    { 0x2BF1, "effectcheckfrequency" },
    { 0x2BF2, "effectdamage" },
    { 0x2BF3, "effectheight" },
    { 0x2BF4, "effectlifespan" },
    { 0x2BF5, "effectmaxdelay" },
    { 0x2BF6, "effectmindelay" },
    { 0x2BF7, "effectradius" },
    { 0x2BF8, "effectvfx" },
    { 0x2BF9, "ehq_blackout_time" },
    { 0x2BFA, "ehq_color_trigger_listener" },
    { 0x2BFB, "ehq_intro_flag_wait_all" },
    { 0x2BFC, "ehq_znear_default" },
    { 0x2BFD, "einflictor" },
    { 0x2BFE, "either_player_looking_at" },
    { 0x2BFF, "ejected" },
    { 0x2C00, "ele_enemy1" },
    { 0x2C01, "ele_enemy2" },
    { 0x2C02, "electric_fence_init" },
    { 0x2C03, "electric_fences" },
    { 0x2C04, "electric_puddle_init" },
    { 0x2C05, "electric_puddles" },
    { 0x2C06, "elem" },
    { 0x2C07, "elem_weights" },
    { 0x2C08, "elemtype" },
    { 0x2C09, "eletric_trap_asserts" },
    { 0x2C0A, "elevated_circling_retreat" },
    { 0x2C0B, "elevated_delay_retreat" },
    { 0x2C0C, "elevator" },
    { 0x2C0D, "elevator_105" },
    { 0x2C0E, "elevator_105_guys" },
    { 0x2C0F, "elevator_ac130_dmg" },
    { 0x2C10, "elevator_ac130_dmg_02" },
    { 0x2C11, "elevator_accel" },
    { 0x2C12, "elevator_aggressive_call" },
    { 0x2C13, "elevator_anims" },
    { 0x2C14, "elevator_call" },
    { 0x2C15, "elevator_callbutton_link_h" },
    { 0x2C16, "elevator_callbutton_link_v" },
    { 0x2C17, "elevator_callbuttons" },
    { 0x2C18, "elevator_debug" },
    { 0x2C19, "elevator_decel" },
    { 0x2C1A, "elevator_dmg_models" },
    { 0x2C1B, "elevator_door_close" },
    { 0x2C1C, "elevator_door_open" },
    { 0x2C1D, "elevator_enemies" },
    { 0x2C1E, "elevator_floor_update" },
    { 0x2C1F, "elevator_fsm" },
    { 0x2C20, "elevator_get_dvar" },
    { 0x2C21, "elevator_get_dvar_int" },
    { 0x2C22, "elevator_guys" },
    { 0x2C23, "elevator_guys_react" },
    { 0x2C24, "elevator_innerdoorspeed" },
    { 0x2C25, "elevator_interrupt" },
    { 0x2C26, "elevator_interrupted" },
    { 0x2C27, "elevator_lean_over" },
    { 0x2C28, "elevator_motion_detection" },
    { 0x2C29, "elevator_move" },
    { 0x2C2A, "elevator_movement" },
    { 0x2C2B, "elevator_music" },
    { 0x2C2C, "elevator_outterdoorspeed" },
    { 0x2C2D, "elevator_return" },
    { 0x2C2E, "elevator_room_combat" },
    { 0x2C2F, "elevator_room_enemies" },
    { 0x2C30, "elevator_room_enemy_setup" },
    { 0x2C31, "elevator_room_left_flank" },
    { 0x2C32, "elevator_room_second_wave" },
    { 0x2C33, "elevator_sound_think" },
    { 0x2C34, "elevator_speed" },
    { 0x2C35, "elevator_think" },
    { 0x2C36, "elevator_update_global_dvars" },
    { 0x2C37, "elevator_vo" },
    { 0x2C38, "elevator_waittime" },
    { 0x2C39, "elevator_zoom" },
    { 0x2C3A, "elevatorblockpath" },
    { 0x2C3B, "elevatorclearpath" },
    { 0x2C3C, "elevatordoorsautoclose" },
    { 0x2C3D, "elevatormovetofloor" },
    { 0x2C3E, "elevators" },
    { 0x2C3F, "elevatorthink" },
    { 0x2C40, "elias" },
    { 0x2C41, "elias_house_attack" },
    { 0x2C42, "elias_house_attack_dialogue" },
    { 0x2C43, "elias_house_attack_door" },
    { 0x2C44, "elias_house_attack_grab_dof" },
    { 0x2C45, "elias_house_attack_grab_sound" },
    { 0x2C46, "elias_house_attack_hesh_shot" },
    { 0x2C47, "elias_house_attack_hit_ground" },
    { 0x2C48, "elias_house_attack_knife_anim_logic" },
    { 0x2C49, "elias_house_attack_knife_fail" },
    { 0x2C4A, "elias_house_attack_knife_fail_killplayer" },
    { 0x2C4B, "elias_house_attack_knife_getvariable" },
    { 0x2C4C, "elias_house_attack_knife_hint" },
    { 0x2C4D, "elias_house_attack_knife_hint_logic" },
    { 0x2C4E, "elias_house_attack_knife_setupvariables" },
    { 0x2C4F, "elias_house_attack_knife_think" },
    { 0x2C50, "elias_house_attack_knife_vision" },
    { 0x2C51, "elias_house_attack_pangles_check" },
    { 0x2C52, "elias_house_attack_roof_explosion" },
    { 0x2C53, "elias_house_attack_wall" },
    { 0x2C54, "elias_house_attacker_breath" },
    { 0x2C55, "elias_house_attacker_breath_knife" },
    { 0x2C56, "elias_house_attacker_breath_sequence" },
    { 0x2C57, "elias_house_dialogue" },
    { 0x2C58, "elias_house_dog_logic" },
    { 0x2C59, "elias_house_heroes_delete" },
    { 0x2C5A, "elias_house_lift_prone_hint" },
    { 0x2C5B, "elias_house_lift_rubble_collapse" },
    { 0x2C5C, "elias_house_lift_rubble_scene" },
    { 0x2C5D, "elias_house_sequence" },
    { 0x2C5E, "elias_house_window_explosion" },
    { 0x2C5F, "elias_line" },
    { 0x2C60, "elias_logic" },
    { 0x2C61, "elias_move_to_button" },
    { 0x2C62, "elias_start" },
    { 0x2C63, "elias_street_advancing_drones" },
    { 0x2C64, "elias_street_advancing_enemies" },
    { 0x2C65, "elias_street_artemis" },
    { 0x2C66, "elias_street_dead_runners" },
    { 0x2C67, "elias_street_dialogue" },
    { 0x2C68, "elias_street_dragging_wounded" },
    { 0x2C69, "elias_street_flee_guys" },
    { 0x2C6A, "elias_street_flee_guys_enemies" },
    { 0x2C6B, "elias_street_flee_guys_enemies_fakeshots" },
    { 0x2C6C, "elias_street_helicopter_flyover" },
    { 0x2C6D, "elias_street_helicopter_spawn" },
    { 0x2C6E, "elias_street_sequence" },
    { 0x2C6F, "eliminate_used_nodes" },
    { 0x2C70, "elite" },
    { 0x2C71, "elite_angered" },
    { 0x2C72, "elite_approach" },
    { 0x2C73, "elite_count" },
    { 0x2C74, "elite_init" },
    { 0x2C75, "elite_monitor" },
    { 0x2C76, "elm" },
    { 0x2C77, "embassy_palms_cleanup" },
    { 0x2C78, "emerge_node" },
    { 0x2C79, "emitfalldamage" },
    { 0x2C7A, "emp_jamplayers" },
    { 0x2C7B, "emp_jamteam" },
    { 0x2C7C, "emp_jamteams" },
    { 0x2C7D, "emp_playertracker" },
    { 0x2C7E, "emp_teamtracker" },
    { 0x2C7F, "emp_use" },
    { 0x2C80, "empcandamage" },
    { 0x2C81, "empeffect" },
    { 0x2C82, "empeffects" },
    { 0x2C83, "empendtime" },
    { 0x2C84, "empgrenaded" },
    { 0x2C85, "empgrenadedeathwaiter" },
    { 0x2C86, "empgrenadeexplode" },
    { 0x2C87, "empplayer" },
    { 0x2C88, "empplayerffadisconnect" },
    { 0x2C89, "emprumbleloop" },
    { 0x2C8A, "emptimeout" },
    { 0x2C8B, "emptimeremaining" },
    { 0x2C8C, "empty_func" },
    { 0x2C8D, "empty_init_func" },
    { 0x2C8E, "empty_kill_func" },
    { 0x2C8F, "empty_spawner" },
    { 0x2C90, "empty_string_if_none" },
    { 0x2C91, "empty_suit_animation" },
    { 0x2C92, "emptylocations" },
    { 0x2C93, "emt_scn_move" },
    { 0x2C94, "enable_achievement_harder_they_fall" },
    { 0x2C95, "enable_achievement_harder_they_fall_guy" },
    { 0x2C96, "enable_ai_color" },
    { 0x2C97, "enable_ai_color_dontmove" },
    { 0x2C98, "enable_ai_shotgun_destructible_damage" },
    { 0x2C99, "enable_ai_swim" },
    { 0x2C9A, "enable_alien_scripted" },
    { 0x2C9B, "enable_altitude_control" },
    { 0x2C9C, "enable_arrivals" },
    { 0x2C9D, "enable_audio_feedback" },
    { 0x2C9E, "enable_awareness" },
    { 0x2C9F, "enable_bag_trigger" },
    { 0x2CA0, "enable_blood_pool" },
    { 0x2CA1, "enable_bulletwhizbyreaction" },
    { 0x2CA2, "enable_careful" },
    { 0x2CA3, "enable_cqbwalk" },
    { 0x2CA4, "enable_creepwalk" },
    { 0x2CA5, "enable_damagefeedback" },
    { 0x2CA6, "enable_danger_react" },
    { 0x2CA7, "enable_disable_usability_monitor" },
    { 0x2CA8, "enable_dog_control" },
    { 0x2CA9, "enable_dog_kinect" },
    { 0x2CAA, "enable_dog_sneak" },
    { 0x2CAB, "enable_dog_sniff" },
    { 0x2CAC, "enable_dog_walk" },
    { 0x2CAD, "enable_dontevershoot" },
    { 0x2CAE, "enable_dynamic_run_speed" },
    { 0x2CAF, "enable_elias_walk" },
    { 0x2CB0, "enable_exit_on_notify" },
    { 0x2CB1, "enable_exits" },
    { 0x2CB2, "enable_finale_and_ghost_chopper_clips" },
    { 0x2CB3, "enable_flinch" },
    { 0x2CB4, "enable_global_vehicle_spawn_functions" },
    { 0x2CB5, "enable_gundown" },
    { 0x2CB6, "enable_heat_behavior" },
    { 0x2CB7, "enable_hesh_walk" },
    { 0x2CB8, "enable_ignorerandombulletdamage_drone" },
    { 0x2CB9, "enable_ir_beacon" },
    { 0x2CBA, "enable_lens_vignette" },
    { 0x2CBB, "enable_limp" },
    { 0x2CBC, "enable_long_death" },
    { 0x2CBD, "enable_mb_scripted_ents" },
    { 0x2CBE, "enable_militia_behavior" },
    { 0x2CBF, "enable_pain" },
    { 0x2CC0, "enable_passive_weapons" },
    { 0x2CC1, "enable_player_control" },
    { 0x2CC2, "enable_player_space" },
    { 0x2CC3, "enable_player_swim" },
    { 0x2CC4, "enable_readystand" },
    { 0x2CC5, "enable_rocket_death" },
    { 0x2CC6, "enable_space" },
    { 0x2CC7, "enable_special_ammo" },
    { 0x2CC8, "enable_spline_path_think" },
    { 0x2CC9, "enable_sprint" },
    { 0x2CCA, "enable_stealth_for_ai" },
    { 0x2CCB, "enable_stealth_smart_stance" },
    { 0x2CCC, "enable_stealth_system" },
    { 0x2CCD, "enable_strikezone_rog" },
    { 0x2CCE, "enable_surprise" },
    { 0x2CCF, "enable_swim" },
    { 0x2CD0, "enable_team_color" },
    { 0x2CD1, "enable_teamflashbangimmunity" },
    { 0x2CD2, "enable_teamflashbangimmunity_proc" },
    { 0x2CD3, "enable_tired" },
    { 0x2CD4, "enable_torpedo_ui" },
    { 0x2CD5, "enable_treadfx" },
    { 0x2CD6, "enable_trigger" },
    { 0x2CD7, "enable_trigger_with_noteworthy" },
    { 0x2CD8, "enable_trigger_with_targetname" },
    { 0x2CD9, "enable_turnanims" },
    { 0x2CDA, "enable_turns_arrivals_exits" },
    { 0x2CDB, "enable_turret" },
    { 0x2CDC, "enable_turret_fire" },
    { 0x2CDD, "enable_twitches" },
    { 0x2CDE, "enable_weapons" },
    { 0x2CDF, "enableairdropoutlineai" },
    { 0x2CE0, "enableallstreaks" },
    { 0x2CE1, "enablebattlechatter" },
    { 0x2CE2, "enablebutton" },
    { 0x2CE3, "enabled" },
    { 0x2CE4, "enableextendedkill" },
    { 0x2CE5, "enableforcemantle" },
    { 0x2CE6, "enablejammedeffect" },
    { 0x2CE7, "enablejuggernaut" },
    { 0x2CE8, "enablekillstreakactionslots" },
    { 0x2CE9, "enablelaststandweapons" },
    { 0x2CEA, "enableobject" },
    { 0x2CEB, "enableplayerweapons" },
    { 0x2CEC, "enablerocketdeath" },
    { 0x2CED, "enablesomecontrol" },
    { 0x2CEE, "enablespecialround" },
    { 0x2CEF, "enablestop" },
    { 0x2CF0, "enableteamintel" },
    { 0x2CF1, "enableweaponlaser" },
    { 0x2CF2, "encoderatio" },
    { 0x2CF3, "encounter1_start" },
    { 0x2CF4, "encounter2_start" },
    { 0x2CF5, "encounter_start" },
    { 0x2CF6, "end" },
    { 0x2CF7, "end_aim_idle_thread" },
    { 0x2CF8, "end_angle" },
    { 0x2CF9, "end_anim_then_loop" },
    { 0x2CFA, "end_attack_func" },
    { 0x2CFB, "end_birds" },
    { 0x2CFC, "end_breach_enemies" },
    { 0x2CFD, "end_breach_enemies_killed" },
    { 0x2CFE, "end_breach_enemy_spawn_single" },
    { 0x2CFF, "end_breach_engines_sieze" },
    { 0x2D00, "end_breach_impulse_force" },
    { 0x2D01, "end_breach_impulse_player_dir" },
    { 0x2D02, "end_breach_impulse_player_logic" },
    { 0x2D03, "end_breach_impulse_player_single" },
    { 0x2D04, "end_breach_player_death_logic" },
    { 0x2D05, "end_breach_player_death_rpg" },
    { 0x2D06, "end_breach_player_unlink" },
    { 0x2D07, "end_breach_rpg_explosion" },
    { 0x2D08, "end_breach_rpg_guy" },
    { 0x2D09, "end_breach_rpg_guy_death" },
    { 0x2D0A, "end_breach_rpg_guy_fire" },
    { 0x2D0B, "end_breach_success_rpg" },
    { 0x2D0C, "end_breach_success_rpg_rambo" },
    { 0x2D0D, "end_breach_swap_dead_opfor" },
    { 0x2D0E, "end_color" },
    { 0x2D0F, "end_control_enemies" },
    { 0x2D10, "end_credits" },
    { 0x2D11, "end_credits_music" },
    { 0x2D12, "end_current_challenge" },
    { 0x2D13, "end_cycle" },
    { 0x2D14, "end_dialogue" },
    { 0x2D15, "end_enemies" },
    { 0x2D16, "end_fade" },
    { 0x2D17, "end_fardist" },
    { 0x2D18, "end_fire_and_anim_idle_thread" },
    { 0x2D19, "end_game_score" },
    { 0x2D1A, "end_game_string_index" },
    { 0x2D1B, "end_game_string_override" },
    { 0x2D1C, "end_hdrcolorintensity" },
    { 0x2D1D, "end_hdrsuncolorintensity" },
    { 0x2D1E, "end_heli_2_think" },
    { 0x2D1F, "end_heli_treadfx" },
    { 0x2D20, "end_jump" },
    { 0x2D21, "end_jump_mantle" },
    { 0x2D22, "end_jumpout" },
    { 0x2D23, "end_legs_jump_anim" },
    { 0x2D24, "end_level" },
    { 0x2D25, "end_location" },
    { 0x2D26, "end_lookat_notify" },
    { 0x2D27, "end_mantle_angle" },
    { 0x2D28, "end_missile_launch_alarm" },
    { 0x2D29, "end_missile_launch_hatch" },
    { 0x2D2A, "end_neardist" },
    { 0x2D2B, "end_nodes" },
    { 0x2D2C, "end_nojump" },
    { 0x2D2D, "end_notetrack" },
    { 0x2D2E, "end_notifies" },
    { 0x2D2F, "end_of_combat_autosave" },
    { 0x2D30, "end_of_scripting" },
    { 0x2D31, "end_opacity" },
    { 0x2D32, "end_org" },
    { 0x2D33, "end_pos" },
    { 0x2D34, "end_script" },
    { 0x2D35, "end_script_corner" },
    { 0x2D36, "end_skyfogintensity" },
    { 0x2D37, "end_skyfogmaxangle" },
    { 0x2D38, "end_skyfogminangle" },
    { 0x2D39, "end_slide_delay" },
    { 0x2D3A, "end_slide_effects" },
    { 0x2D3B, "end_sunbeginfadeangle" },
    { 0x2D3C, "end_suncolor" },
    { 0x2D3D, "end_sundir" },
    { 0x2D3E, "end_sunendfadeangle" },
    { 0x2D3F, "end_sunfogscale" },
    { 0x2D40, "end_surface" },
    { 0x2D41, "end_swim_anim_node" },
    { 0x2D42, "end_swim_init_vars" },
    { 0x2D43, "end_swim_logic" },
    { 0x2D44, "end_thread" },
    { 0x2D45, "end_time" },
    { 0x2D46, "end_to_start_length" },
    { 0x2D47, "end_tunnel_swim" },
    { 0x2D48, "end_turret_reservation" },
    { 0x2D49, "end_wreck_node" },
    { 0x2D4A, "end_wreck_player_node" },
    { 0x2D4B, "endaimidlethread" },
    { 0x2D4C, "endangles" },
    { 0x2D4D, "endat" },
    { 0x2D4E, "endcustomevent" },
    { 0x2D4F, "endedkillcamcleanup" },
    { 0x2D50, "ender" },
    { 0x2D51, "endfaceenemyaimtracking" },
    { 0x2D52, "endfireandanimidlethread" },
    { 0x2D53, "endflyby" },
    { 0x2D54, "endgame" },
    { 0x2D55, "endgame_alien" },
    { 0x2D56, "endgame_regularmp" },
    { 0x2D57, "endgamedeath" },
    { 0x2D58, "endgamehalftime" },
    { 0x2D59, "endgameicon" },
    { 0x2D5A, "endgameontimelimit" },
    { 0x2D5B, "endgameovertime" },
    { 0x2D5C, "endgamesendmatchdata" },
    { 0x2D5D, "endgametimer" },
    { 0x2D5E, "endgameupdate" },
    { 0x2D5F, "endidleatframeend" },
    { 0x2D60, "ending" },
    { 0x2D61, "ending2_debri_fall" },
    { 0x2D62, "ending2_dof_01" },
    { 0x2D63, "ending2_fall_sparks" },
    { 0x2D64, "ending2_impact_break_01" },
    { 0x2D65, "ending2_window_break" },
    { 0x2D66, "ending_ally_anims" },
    { 0x2D67, "ending_animatic_setup" },
    { 0x2D68, "ending_arms" },
    { 0x2D69, "ending_autosave" },
    { 0x2D6A, "ending_bink_display" },
    { 0x2D6B, "ending_blink_qte_prompt" },
    { 0x2D6C, "ending_blood_wall" },
    { 0x2D6D, "ending_blur_logic" },
    { 0x2D6E, "ending_breach_ally" },
    { 0x2D6F, "ending_breach_spawn" },
    { 0x2D70, "ending_create_qte_prompt" },
    { 0x2D71, "ending_destroy_qte_prompt" },
    { 0x2D72, "ending_dialogue" },
    { 0x2D73, "ending_dof_01" },
    { 0x2D74, "ending_dof_02" },
    { 0x2D75, "ending_dof_03" },
    { 0x2D76, "ending_dof_04" },
    { 0x2D77, "ending_dof_05" },
    { 0x2D78, "ending_dof_06" },
    { 0x2D79, "ending_dof_07" },
    { 0x2D7A, "ending_dof_08" },
    { 0x2D7B, "ending_door_l" },
    { 0x2D7C, "ending_door_r" },
    { 0x2D7D, "ending_fade_out" },
    { 0x2D7E, "ending_fade_qte_prompt" },
    { 0x2D7F, "ending_fadeup" },
    { 0x2D80, "ending_fx_fiery_smoke" },
    { 0x2D81, "ending_fx_land_dust" },
    { 0x2D82, "ending_fx_opfor01_headblood" },
    { 0x2D83, "ending_fx_opfor03_fire_pilot" },
    { 0x2D84, "ending_gate_l" },
    { 0x2D85, "ending_gate_node_left" },
    { 0x2D86, "ending_gate_node_right" },
    { 0x2D87, "ending_gate_r" },
    { 0x2D88, "ending_generic_human" },
    { 0x2D89, "ending_gun" },
    { 0x2D8A, "ending_harmless_shots_logic" },
    { 0x2D8B, "ending_heli" },
    { 0x2D8C, "ending_heli_callout_vo" },
    { 0x2D8D, "ending_heli_path" },
    { 0x2D8E, "ending_hvt" },
    { 0x2D8F, "ending_hvt_handle_damage" },
    { 0x2D90, "ending_hvt_shot_blood_fx" },
    { 0x2D91, "ending_init" },
    { 0x2D92, "ending_let_go_scene" },
    { 0x2D93, "ending_let_go_scene_player_experience" },
    { 0x2D94, "ending_lower_raise_weapon_logic" },
    { 0x2D95, "ending_open_doors" },
    { 0x2D96, "ending_opfor_0" },
    { 0x2D97, "ending_opfor_1" },
    { 0x2D98, "ending_opfor_2" },
    { 0x2D99, "ending_opfor_3" },
    { 0x2D9A, "ending_opfor_kill_pilot" },
    { 0x2D9B, "ending_player_anims" },
    { 0x2D9C, "ending_player_broken_nose" },
    { 0x2D9D, "ending_player_camera_logic" },
    { 0x2D9E, "ending_player_enemy_broken_nose" },
    { 0x2D9F, "ending_player_fade" },
    { 0x2DA0, "ending_player_failed_qte_0" },
    { 0x2DA1, "ending_player_flashout_heli_crash" },
    { 0x2DA2, "ending_player_fov_change" },
    { 0x2DA3, "ending_player_hvt_aim" },
    { 0x2DA4, "ending_player_land_on_heli_effects" },
    { 0x2DA5, "ending_player_let_go_interaction" },
    { 0x2DA6, "ending_player_pickup_logic" },
    { 0x2DA7, "ending_player_punch_enemy_rumble" },
    { 0x2DA8, "ending_player_qte_0_logic" },
    { 0x2DA9, "ending_player_qte_button_smash_logic" },
    { 0x2DAA, "ending_player_qte_failure_logic" },
    { 0x2DAB, "ending_player_qte_reach_logic" },
    { 0x2DAC, "ending_player_qte_shoot_logic" },
    { 0x2DAD, "ending_player_qte_show_and_blink_logic" },
    { 0x2DAE, "ending_player_qte_success_logic" },
    { 0x2DAF, "ending_player_reach_final_sequence" },
    { 0x2DB0, "ending_player_shoot_gun" },
    { 0x2DB1, "ending_player_slowmo_boss_shot" },
    { 0x2DB2, "ending_player_slowmo_end" },
    { 0x2DB3, "ending_player_slowmo_start" },
    { 0x2DB4, "ending_player_take_damage" },
    { 0x2DB5, "ending_player_weapon_logic" },
    { 0x2DB6, "ending_price_gets_capped" },
    { 0x2DB7, "ending_pt1_allies_sequence_start" },
    { 0x2DB8, "ending_pt1_ally_0_sequence" },
    { 0x2DB9, "ending_pt1_ally_1_sequence" },
    { 0x2DBA, "ending_pt1_heli" },
    { 0x2DBB, "ending_pt1_player_sequence_start" },
    { 0x2DBC, "ending_pt1_scene_start" },
    { 0x2DBD, "ending_pt1_sequence" },
    { 0x2DBE, "ending_pt2_hvt" },
    { 0x2DBF, "ending_pt2_player_reach" },
    { 0x2DC0, "ending_pt2_player_sequence_save" },
    { 0x2DC1, "ending_qte_0_prompt_logic" },
    { 0x2DC2, "ending_qte_0_start" },
    { 0x2DC3, "ending_qte_catch" },
    { 0x2DC4, "ending_qte_catch_prompt" },
    { 0x2DC5, "ending_qte_catch_pulse" },
    { 0x2DC6, "ending_qte_catch_wait" },
    { 0x2DC7, "ending_qte_prompt" },
    { 0x2DC8, "ending_qte_reach" },
    { 0x2DC9, "ending_remove_gate_keepers" },
    { 0x2DCA, "ending_scene" },
    { 0x2DCB, "ending_screenshake" },
    { 0x2DCC, "ending_script_models" },
    { 0x2DCD, "ending_sequence" },
    { 0x2DCE, "ending_set_stacked_flag" },
    { 0x2DCF, "ending_setup" },
    { 0x2DD0, "ending_shake_effects" },
    { 0x2DD1, "ending_start" },
    { 0x2DD2, "ending_swing_doors_open" },
    { 0x2DD3, "ending_temp_ignore" },
    { 0x2DD4, "ending_transition" },
    { 0x2DD5, "ending_vo_main" },
    { 0x2DD6, "ending_white_fade" },
    { 0x2DD7, "endingjeep" },
    { 0x2DD8, "endkillcamifnothingtoshow" },
    { 0x2DD9, "endmgstreak" },
    { 0x2DDA, "endmgstreakwhenleavemg" },
    { 0x2DDB, "endmission_main_func" },
    { 0x2DDC, "endnode" },
    { 0x2DDD, "endnotetrack" },
    { 0x2DDE, "endofgamesummarylogger" },
    { 0x2DDF, "endofspeedwatcher" },
    { 0x2DE0, "endondeath" },
    { 0x2DE1, "endonremoveanimactive" },
    { 0x2DE2, "endonstring" },
    { 0x2DE3, "endorigin" },
    { 0x2DE4, "endperch" },
    { 0x2DE5, "endpoint" },
    { 0x2DE6, "endpos" },
    { 0x2DE7, "endregulartraversal" },
    { 0x2DE8, "endrespawnnotify" },
    { 0x2DE9, "endride" },
    { 0x2DEA, "endrideonairshipdone" },
    { 0x2DEB, "endrot" },
    { 0x2DEC, "endrunningreacttobullets" },
    { 0x2DED, "ends" },
    { 0x2DEE, "endsceneondeath" },
    { 0x2DEF, "endselectiononaction" },
    { 0x2DF0, "endselectiononemp" },
    { 0x2DF1, "endselectiononendgame" },
    { 0x2DF2, "endsliding" },
    { 0x2DF3, "endstrafesequence" },
    { 0x2DF4, "endtime" },
    { 0x2DF5, "enduavonlatejoiner" },
    { 0x2DF6, "endupvector" },
    { 0x2DF7, "endvel" },
    { 0x2DF8, "enemies" },
    { 0x2DF9, "enemies_above" },
    { 0x2DFA, "enemies_above_killed" },
    { 0x2DFB, "enemies_alerted" },
    { 0x2DFC, "enemies_around_nitro" },
    { 0x2DFD, "enemies_attack_player_when_in_open" },
    { 0x2DFE, "enemies_engine_room" },
    { 0x2DFF, "enemies_engine_room_reinforcements" },
    { 0x2E00, "enemies_engineroom_entry" },
    { 0x2E01, "enemies_engineroom_entry_cough" },
    { 0x2E02, "enemies_engineroom_extinguisher" },
    { 0x2E03, "enemies_engineroom_extinguisher_fx" },
    { 0x2E04, "enemies_engineroom_extinguisher_interrupt" },
    { 0x2E05, "enemies_final_move" },
    { 0x2E06, "enemies_get_on_mg" },
    { 0x2E07, "enemies_left_side" },
    { 0x2E08, "enemies_magic_bullet_until_player_at_corner" },
    { 0x2E09, "enemies_mg_watcher" },
    { 0x2E0A, "enemies_mg_watcher_shield_damage" },
    { 0x2E0B, "enemies_open_gate" },
    { 0x2E0C, "enemies_pt1_junction_behavior" },
    { 0x2E0D, "enemies_pt1_lower_behavior" },
    { 0x2E0E, "enemies_pt1_upper_behavior" },
    { 0x2E0F, "enemies_right_door" },
    { 0x2E10, "enemies_sat1" },
    { 0x2E11, "enemies_sat2" },
    { 0x2E12, "enemies_scene" },
    { 0x2E13, "enemies_setup_explosion_scene_guys" },
    { 0x2E14, "enemies_shot_at" },
    { 0x2E15, "enemies_tanks" },
    { 0x2E16, "enemies_vehicle" },
    { 0x2E17, "enemieskilledintimewindow" },
    { 0x2E18, "enemsinrange" },
    { 0x2E19, "enemy1_spooked_drop_poker_cards" },
    { 0x2E1A, "enemy2" },
    { 0x2E1B, "enemy_13" },
    { 0x2E1C, "enemy_14" },
    { 0x2E1D, "enemy_15" },
    { 0x2E1E, "enemy_1_sitting" },
    { 0x2E1F, "enemy_1_standing" },
    { 0x2E20, "enemy_adjust_missile_damage" },
    { 0x2E21, "enemy_alert_level_attack" },
    { 0x2E22, "enemy_alert_level_attack_wrapper" },
    { 0x2E23, "enemy_alert_level_change" },
    { 0x2E24, "enemy_alert_level_change_reponse" },
    { 0x2E25, "enemy_alert_level_default_pre_spotted_func" },
    { 0x2E26, "enemy_alert_level_forget" },
    { 0x2E27, "enemy_alert_level_logic" },
    { 0x2E28, "enemy_alert_level_logic_start_attacking" },
    { 0x2E29, "enemy_alert_level_normal" },
    { 0x2E2A, "enemy_alert_level_normal_wrapper" },
    { 0x2E2B, "enemy_alert_level_reset_wrapper" },
    { 0x2E2C, "enemy_alert_level_set_pre_spotted_func" },
    { 0x2E2D, "enemy_alert_level_waittime" },
    { 0x2E2E, "enemy_alert_level_warning1" },
    { 0x2E2F, "enemy_alert_level_warning2" },
    { 0x2E30, "enemy_alert_level_warning_wrapper" },
    { 0x2E31, "enemy_animation_attack" },
    { 0x2E32, "enemy_animation_custom" },
    { 0x2E33, "enemy_animation_do_anim" },
    { 0x2E34, "enemy_animation_foundcorpse" },
    { 0x2E35, "enemy_animation_generic" },
    { 0x2E36, "enemy_animation_loop" },
    { 0x2E37, "enemy_animation_nothing" },
    { 0x2E38, "enemy_animation_post_anim" },
    { 0x2E39, "enemy_animation_pre_anim" },
    { 0x2E3A, "enemy_animation_pre_anim_dog_special_first_condition" },
    { 0x2E3B, "enemy_animation_sawcorpse" },
    { 0x2E3C, "enemy_animation_surprise" },
    { 0x2E3D, "enemy_animation_wrapper" },
    { 0x2E3E, "enemy_announce_alert" },
    { 0x2E3F, "enemy_announce_attack" },
    { 0x2E40, "enemy_announce_corpse" },
    { 0x2E41, "enemy_announce_hmph" },
    { 0x2E42, "enemy_announce_huh" },
    { 0x2E43, "enemy_announce_snd" },
    { 0x2E44, "enemy_announce_snd_reset" },
    { 0x2E45, "enemy_announce_spotted" },
    { 0x2E46, "enemy_announce_spotted_acknowledge" },
    { 0x2E47, "enemy_announce_spotted_bring_group" },
    { 0x2E48, "enemy_announce_wtf" },
    { 0x2E49, "enemy_attack_player_when_flashing" },
    { 0x2E4A, "enemy_attempt_melee" },
    { 0x2E4B, "enemy_breach_anims" },
    { 0x2E4C, "enemy_breach_vo" },
    { 0x2E4D, "enemy_callout_tracking_plr" },
    { 0x2E4E, "enemy_camp_assassin" },
    { 0x2E4F, "enemy_camp_assassin_goal" },
    { 0x2E50, "enemy_camp_spots" },
    { 0x2E51, "enemy_chair" },
    { 0x2E52, "enemy_chargers" },
    { 0x2E53, "enemy_checkpoint_dialogue" },
    { 0x2E54, "enemy_chopper_within_circle" },
    { 0x2E55, "enemy_close_in_on_target" },
    { 0x2E56, "enemy_color_volume_logic" },
    { 0x2E57, "enemy_corpse_alert_level" },
    { 0x2E58, "enemy_corpse_clear" },
    { 0x2E59, "enemy_corpse_found" },
    { 0x2E5A, "enemy_corpse_found_behavior" },
    { 0x2E5B, "enemy_corpse_found_loop" },
    { 0x2E5C, "enemy_corpse_found_wrapper" },
    { 0x2E5D, "enemy_corpse_logic" },
    { 0x2E5E, "enemy_corpse_loop" },
    { 0x2E5F, "enemy_corpse_reset_behavior" },
    { 0x2E60, "enemy_corpse_reset_wrapper" },
    { 0x2E61, "enemy_corpse_saw_behavior" },
    { 0x2E62, "enemy_corpse_saw_wrapper" },
    { 0x2E63, "enemy_count_when_clear" },
    { 0x2E64, "enemy_custom_corpse_behavior" },
    { 0x2E65, "enemy_custom_state_behavior" },
    { 0x2E66, "enemy_damage_tracking" },
    { 0x2E67, "enemy_dead" },
    { 0x2E68, "enemy_death_anim" },
    { 0x2E69, "enemy_death_tracking" },
    { 0x2E6A, "enemy_debris_vo" },
    { 0x2E6B, "enemy_default_anim_behavior" },
    { 0x2E6C, "enemy_default_corpse_anim_behavior" },
    { 0x2E6D, "enemy_default_corpse_behavior" },
    { 0x2E6E, "enemy_default_state_behavior" },
    { 0x2E6F, "enemy_default_threat_anim_behavior" },
    { 0x2E70, "enemy_default_threat_behavior" },
    { 0x2E71, "enemy_destroyer_guy_logic" },
    { 0x2E72, "enemy_dialog_col" },
    { 0x2E73, "enemy_dialogue" },
    { 0x2E74, "enemy_dog_init" },
    { 0x2E75, "enemy_downed" },
    { 0x2E76, "enemy_drone_anim" },
    { 0x2E77, "enemy_drones_junction_hallway" },
    { 0x2E78, "enemy_drones_pt1_lower" },
    { 0x2E79, "enemy_drones_pt1_lower_runners" },
    { 0x2E7A, "enemy_drones_pt1_upper" },
    { 0x2E7B, "enemy_drop_poker_cards" },
    { 0x2E7C, "enemy_event_awareness" },
    { 0x2E7D, "enemy_event_awareness_notify" },
    { 0x2E7E, "enemy_event_category_awareness" },
    { 0x2E7F, "enemy_event_debug_print" },
    { 0x2E80, "enemy_event_declare_to_team" },
    { 0x2E81, "enemy_event_handle_clear" },
    { 0x2E82, "enemy_event_listeners_init" },
    { 0x2E83, "enemy_event_listeners_logic" },
    { 0x2E84, "enemy_event_listeners_proc" },
    { 0x2E85, "enemy_event_loop" },
    { 0x2E86, "enemy_event_reaction_dog_attack" },
    { 0x2E87, "enemy_event_reaction_dog_bark" },
    { 0x2E88, "enemy_event_reaction_explosion" },
    { 0x2E89, "enemy_event_reaction_flashbang" },
    { 0x2E8A, "enemy_event_reaction_heard_scream" },
    { 0x2E8B, "enemy_event_reaction_nothing" },
    { 0x2E8C, "enemy_event_reaction_wrapper" },
    { 0x2E8D, "enemy_final_wave_run" },
    { 0x2E8E, "enemy_find_free_pathnode_near" },
    { 0x2E8F, "enemy_find_original_goal" },
    { 0x2E90, "enemy_fires_gun" },
    { 0x2E91, "enemy_found_corpse_loop" },
    { 0x2E92, "enemy_garage" },
    { 0x2E93, "enemy_garage_jumper" },
    { 0x2E94, "enemy_gaz_health" },
    { 0x2E95, "enemy_get_nearby_pathnodes" },
    { 0x2E96, "enemy_go_back" },
    { 0x2E97, "enemy_go_back_clear_lastspot" },
    { 0x2E98, "enemy_goal_volume_logic" },
    { 0x2E99, "enemy_grass_stealth_spotted" },
    { 0x2E9A, "enemy_grass_stealth_think" },
    { 0x2E9B, "enemy_gun" },
    { 0x2E9C, "enemy_gunboat_health" },
    { 0x2E9D, "enemy_hanging_guy_vo" },
    { 0x2E9E, "enemy_heli_attacking" },
    { 0x2E9F, "enemy_heli_killed" },
    { 0x2EA0, "enemy_heli_missile_to_player" },
    { 0x2EA1, "enemy_heli_respawner" },
    { 0x2EA2, "enemy_hind_health" },
    { 0x2EA3, "enemy_infantry_rpg_only" },
    { 0x2EA4, "enemy_infantry_set_up_on_spawn" },
    { 0x2EA5, "enemy_infiltration_door" },
    { 0x2EA6, "enemy_init" },
    { 0x2EA7, "enemy_investigate_position" },
    { 0x2EA8, "enemy_is_a_threat" },
    { 0x2EA9, "enemy_jeep_a" },
    { 0x2EAA, "enemy_jeep_b" },
    { 0x2EAB, "enemy_jeep_follower1" },
    { 0x2EAC, "enemy_jeep_follower2" },
    { 0x2EAD, "enemy_jeep_group_fire" },
    { 0x2EAE, "enemy_jeep_s" },
    { 0x2EAF, "enemy_jeep_turret" },
    { 0x2EB0, "enemy_killed_thread" },
    { 0x2EB1, "enemy_land_missile" },
    { 0x2EB2, "enemy_link_node_move" },
    { 0x2EB3, "enemy_logic" },
    { 0x2EB4, "enemy_lookaround_for_time" },
    { 0x2EB5, "enemy_lower_level" },
    { 0x2EB6, "enemy_m800_health" },
    { 0x2EB7, "enemy_marker" },
    { 0x2EB8, "enemy_melee_front" },
    { 0x2EB9, "enemy_melee_readjust" },
    { 0x2EBA, "enemy_mg_adjust_if_target_dies" },
    { 0x2EBB, "enemy_mg_burst_fire" },
    { 0x2EBC, "enemy_mg_get_untargeted_random_target" },
    { 0x2EBD, "enemy_mg_pin_down_player" },
    { 0x2EBE, "enemy_mg_shoot_randomly_at_player_until_he_runs_for_it" },
    { 0x2EBF, "enemy_near_position" },
    { 0x2EC0, "enemy_odin_assault_exists" },
    { 0x2EC1, "enemy_patrol_phone" },
    { 0x2EC2, "enemy_plane_behind" },
    { 0x2EC3, "enemy_plane_behind_skipto" },
    { 0x2EC4, "enemy_plane_engine_loop_01" },
    { 0x2EC5, "enemy_plane_engine_loop_02" },
    { 0x2EC6, "enemy_plane_engine_loop_03" },
    { 0x2EC7, "enemy_plane_engine_loop_04" },
    { 0x2EC8, "enemy_plane_looping_sounds_fade_and_end" },
    { 0x2EC9, "enemy_plane_looping_sounds_start" },
    { 0x2ECA, "enemy_poker_cards" },
    { 0x2ECB, "enemy_pool" },
    { 0x2ECC, "enemy_prespotted_func_default" },
    { 0x2ECD, "enemy_process_synch_attack" },
    { 0x2ECE, "enemy_proximity_during_move_monitor" },
    { 0x2ECF, "enemy_pt1_setup" },
    { 0x2ED0, "enemy_react_and_displace_to" },
    { 0x2ED1, "enemy_reaction_state_alert" },
    { 0x2ED2, "enemy_retreat" },
    { 0x2ED3, "enemy_rnd_runner" },
    { 0x2ED4, "enemy_rpg_unlimited_ammo" },
    { 0x2ED5, "enemy_runto_and_lookaround" },
    { 0x2ED6, "enemy_saw_corpse_logic" },
    { 0x2ED7, "enemy_sentry_difficulty_settings" },
    { 0x2ED8, "enemy_set_alert_level" },
    { 0x2ED9, "enemy_set_original_goal" },
    { 0x2EDA, "enemy_set_threat_anim_behavior" },
    { 0x2EDB, "enemy_set_threat_behavior" },
    { 0x2EDC, "enemy_setup" },
    { 0x2EDD, "enemy_setup_vign" },
    { 0x2EDE, "enemy_setup_vign_floor" },
    { 0x2EDF, "enemy_shoot_at_player" },
    { 0x2EE0, "enemy_snowmobile" },
    { 0x2EE1, "enemy_snowmobiles" },
    { 0x2EE2, "enemy_snowmobiles_max" },
    { 0x2EE3, "enemy_spanish_vo" },
    { 0x2EE4, "enemy_spawn" },
    { 0x2EE5, "enemy_spawn_func" },
    { 0x2EE6, "enemy_spawner_setup" },
    { 0x2EE7, "enemy_squad_spawn" },
    { 0x2EE8, "enemy_start_vo" },
    { 0x2EE9, "enemy_state_hidden" },
    { 0x2EEA, "enemy_state_spotted" },
    { 0x2EEB, "enemy_stealth" },
    { 0x2EEC, "enemy_stop_current_behavior" },
    { 0x2EED, "enemy_stop_stealth" },
    { 0x2EEE, "enemy_stop_vign_and_attack" },
    { 0x2EEF, "enemy_struct" },
    { 0x2EF0, "enemy_struggle_anim" },
    { 0x2EF1, "enemy_struggle_anim_additives" },
    { 0x2EF2, "enemy_struggle_mid_additives" },
    { 0x2EF3, "enemy_swim_setup" },
    { 0x2EF4, "enemy_switchblade_exists" },
    { 0x2EF5, "enemy_tank_2" },
    { 0x2EF6, "enemy_tank_3" },
    { 0x2EF7, "enemy_tank_shoot_flyin_choopers" },
    { 0x2EF8, "enemy_tank_soldiers_2_init" },
    { 0x2EF9, "enemy_tank_spawn_func" },
    { 0x2EFA, "enemy_tank_wall" },
    { 0x2EFB, "enemy_team_name" },
    { 0x2EFC, "enemy_threat_anim_defaults" },
    { 0x2EFD, "enemy_threat_logic" },
    { 0x2EFE, "enemy_threat_logic_dog" },
    { 0x2EFF, "enemy_threat_logic_dog_wait" },
    { 0x2F00, "enemy_threat_logic_dog_wakeup_dist" },
    { 0x2F01, "enemy_threat_loop" },
    { 0x2F02, "enemy_threat_set_spotted" },
    { 0x2F03, "enemy_too_close" },
    { 0x2F04, "enemy_twitch" },
    { 0x2F05, "enemy_twitch_runstumble" },
    { 0x2F06, "enemy_use_dialog_col" },
    { 0x2F07, "enemy_vehicle_wave_on_spawn" },
    { 0x2F08, "enemy_volume_logic" },
    { 0x2F09, "enemy_wait_for_synch_attack_end" },
    { 0x2F0A, "enemy_wait_for_synch_end_notify" },
    { 0x2F0B, "enemy_wait_for_synch_invalid_enemy" },
    { 0x2F0C, "enemy_waittill_count" },
    { 0x2F0D, "enemy_weapons_force_use_init" },
    { 0x2F0E, "enemy_weapons_force_use_silencer" },
    { 0x2F0F, "enemy_zodiacs_spawn_and_attack" },
    { 0x2F10, "enemy_zpu_health" },
    { 0x2F11, "enemyagentthink" },
    { 0x2F12, "enemyclass" },
    { 0x2F13, "enemydeathicons" },
    { 0x2F14, "enemygazs" },
    { 0x2F15, "enemyguys" },
    { 0x2F16, "enemyguys2" },
    { 0x2F17, "enemyheadicon" },
    { 0x2F18, "enemyhq_atrium_pre_load" },
    { 0x2F19, "enemyhq_basement_pre_load" },
    { 0x2F1A, "enemyhq_finale_pre_load" },
    { 0x2F1B, "enemyhq_footstep_override" },
    { 0x2F1C, "enemyhq_intro_pre_load" },
    { 0x2F1D, "enemyhq_locations" },
    { 0x2F1E, "enemyhq_pre_load" },
    { 0x2F1F, "enemyhq_rooftop_intro_pre_load" },
    { 0x2F20, "enemyhq_starts" },
    { 0x2F21, "enemyhq_traverse_pre_load" },
    { 0x2F22, "enemyhq_treadfx_override" },
    { 0x2F23, "enemyhq_vip_pre_load" },
    { 0x2F24, "enemyisapproaching" },
    { 0x2F25, "enemyishiding" },
    { 0x2F26, "enemyisingeneraldirection" },
    { 0x2F27, "enemymodel" },
    { 0x2F28, "enemynotaffectedbyodinoutline" },
    { 0x2F29, "enemynotify" },
    { 0x2F2A, "enemyoutlinecolor" },
    { 0x2F2B, "enemytank_cleanup" },
    { 0x2F2C, "enemytanks" },
    { 0x2F2D, "enemytanksbri1" },
    { 0x2F2E, "enemyteam" },
    { 0x2F2F, "enemyteamid" },
    { 0x2F30, "enemytrigger" },
    { 0x2F31, "enemyvelocity" },
    { 0x2F32, "engageground" },
    { 0x2F33, "engagementcomplimentdialognext" },
    { 0x2F34, "engagevehicle" },
    { 0x2F35, "engine_fxs" },
    { 0x2F36, "engineroom_door" },
    { 0x2F37, "engineroom_headsmoke_fx_end" },
    { 0x2F38, "engineroom_headsmoke_fx_start" },
    { 0x2F39, "engineroom_heat_fx_shake" },
    { 0x2F3A, "engineroom_turn_off_fx" },
    { 0x2F3B, "engineroom_turn_on_fx" },
    { 0x2F3C, "enginevfxtag" },
    { 0x2F3D, "enhanced_vision" },
    { 0x2F3E, "ensurelaststandparamsvalidity" },
    { 0x2F3F, "ent" },
    { 0x2F40, "ent_count_check" },
    { 0x2F41, "ent_draw_axis" },
    { 0x2F42, "ent_flag" },
    { 0x2F43, "ent_flag_assert" },
    { 0x2F44, "ent_flag_clear" },
    { 0x2F45, "ent_flag_clear_delayed" },
    { 0x2F46, "ent_flag_exist" },
    { 0x2F47, "ent_flag_init" },
    { 0x2F48, "ent_flag_set" },
    { 0x2F49, "ent_flag_set_delayed" },
    { 0x2F4A, "ent_flag_wait" },
    { 0x2F4B, "ent_flag_wait_either" },
    { 0x2F4C, "ent_flag_wait_or_timeout" },
    { 0x2F4D, "ent_flag_wait_vehicle_node" },
    { 0x2F4E, "ent_flag_waitopen" },
    { 0x2F4F, "ent_flag_waitopen_either" },
    { 0x2F50, "ent_flags_lock" },
    { 0x2F51, "ent_is_highlighted" },
    { 0x2F52, "ent_is_selected" },
    { 0x2F53, "ent_parachute_from_plane_one" },
    { 0x2F54, "ent_parachute_from_plane_two" },
    { 0x2F55, "ent_wait_for_flag_or_time_elapses" },
    { 0x2F56, "ent_waits_for_trigger" },
    { 0x2F57, "enter" },
    { 0x2F58, "enter_blackbird_vo" },
    { 0x2F59, "enter_camera_zoomout" },
    { 0x2F5A, "enter_final_tank" },
    { 0x2F5B, "enter_gamemodespecificaction" },
    { 0x2F5C, "enter_garage" },
    { 0x2F5D, "enter_jeep" },
    { 0x2F5E, "enter_laststand" },
    { 0x2F5F, "enter_message_deleted" },
    { 0x2F60, "enter_revive_use_hold_think" },
    { 0x2F61, "enter_spectate" },
    { 0x2F62, "enteraistate" },
    { 0x2F63, "entered_vehicle_notify" },
    { 0x2F64, "entermove" },
    { 0x2F65, "enterpronewrapper" },
    { 0x2F66, "enterpronewrapperproc" },
    { 0x2F67, "enterstate" },
    { 0x2F68, "entinfrontarc" },
    { 0x2F69, "entities" },
    { 0x2F6A, "entities_are_selected" },
    { 0x2F6B, "entity_cleanup" },
    { 0x2F6C, "entity_counter" },
    { 0x2F6D, "entity_fx_and_anims_think" },
    { 0x2F6E, "entity_highlight_disable" },
    { 0x2F6F, "entity_highlight_enable" },
    { 0x2F70, "entity_number" },
    { 0x2F71, "entity_path_disconnect_thread" },
    { 0x2F72, "entityheadicon" },
    { 0x2F73, "entityheadiconoffset" },
    { 0x2F74, "entityheadiconreferencefunc" },
    { 0x2F75, "entityheadicons" },
    { 0x2F76, "entityheadiconteam" },
    { 0x2F77, "entitynumber" },
    { 0x2F78, "entnum" },
    { 0x2F79, "entrance_drones" },
    { 0x2F7A, "entrance_indices" },
    { 0x2F7B, "entrance_origin_points" },
    { 0x2F7C, "entrance_points" },
    { 0x2F7D, "entrance_points_finished_caching" },
    { 0x2F7E, "entrance_to_enemy_zone" },
    { 0x2F7F, "entrance_visible_from" },
    { 0x2F80, "entrance_watched_by_ally" },
    { 0x2F81, "entrance_watched_by_player" },
    { 0x2F82, "entry" },
    { 0x2F83, "entry_door_beeper" },
    { 0x2F84, "entry_door_close" },
    { 0x2F85, "entry_door_close_layer2" },
    { 0x2F86, "entry_door_stop" },
    { 0x2F87, "ents" },
    { 0x2F88, "entsintrigger" },
    { 0x2F89, "entsound" },
    { 0x2F8A, "eog_altimeter_conv_ratio" },
    { 0x2F8B, "eog_player_tracking_init" },
    { 0x2F8C, "eog_player_update_stat" },
    { 0x2F8D, "eq_index" },
    { 0x2F8E, "eq_table" },
    { 0x2F8F, "eq_touching" },
    { 0x2F90, "eq_track" },
    { 0x2F91, "eq_trigger_num" },
    { 0x2F92, "equal_to_goal" },
    { 0x2F93, "equipment_enabled" },
    { 0x2F94, "equipmentdeathvfx" },
    { 0x2F95, "equipmentdeletevfx" },
    { 0x2F96, "equipmentempstunvfx" },
    { 0x2F97, "equipmentwatchuse" },
    { 0x2F98, "equipped_hide_weapon" },
    { 0x2F99, "equipped_weapon" },
    { 0x2F9A, "erasefinalkillcam" },
    { 0x2F9B, "error" },
    { 0x2F9C, "escape_ally_movement_start" },
    { 0x2F9D, "escape_ally_movement_start_part_2" },
    { 0x2F9E, "escape_apache_pressure_player_until_flag" },
    { 0x2F9F, "escape_apache_shoot_missiles_at_structs" },
    { 0x2FA0, "escape_bag_push" },
    { 0x2FA1, "escape_blocker_door_lens_cap" },
    { 0x2FA2, "escape_blockers" },
    { 0x2FA3, "escape_choke_init" },
    { 0x2FA4, "escape_chopper_timeout_death" },
    { 0x2FA5, "escape_cleanup" },
    { 0x2FA6, "escape_combat_door" },
    { 0x2FA7, "escape_cycle" },
    { 0x2FA8, "escape_dest_tree_logic" },
    { 0x2FA9, "escape_dest_tree_parts_logic" },
    { 0x2FAA, "escape_destruct_boxes" },
    { 0x2FAB, "escape_dialogue" },
    { 0x2FAC, "escape_do_tree_damage_trig_logic" },
    { 0x2FAD, "escape_door_anim_player" },
    { 0x2FAE, "escape_door_open_flag" },
    { 0x2FAF, "escape_earthquake_on_missile_impact" },
    { 0x2FB0, "escape_enemies_and_vehicles" },
    { 0x2FB1, "escape_enemy_00_think" },
    { 0x2FB2, "escape_enemy_01_think" },
    { 0x2FB3, "escape_enemy_02_think" },
    { 0x2FB4, "escape_enemy_03_think" },
    { 0x2FB5, "escape_enemy_setup" },
    { 0x2FB6, "escape_explosion_player_timeout" },
    { 0x2FB7, "escape_fake_underwater_bullets" },
    { 0x2FB8, "escape_friendly_does_anim_off_struct" },
    { 0x2FB9, "escape_friendly_follow_spline" },
    { 0x2FBA, "escape_friendly_jumps_waterfall_to_swimming" },
    { 0x2FBB, "escape_friendly_movement" },
    { 0x2FBC, "escape_globals" },
    { 0x2FBD, "escape_jungle_start" },
    { 0x2FBE, "escape_loc" },
    { 0x2FBF, "escape_main" },
    { 0x2FC0, "escape_mg_bullets_at_player_river_run" },
    { 0x2FC1, "escape_no_push_zone" },
    { 0x2FC2, "escape_objective" },
    { 0x2FC3, "escape_play_slide_fx_on_npc" },
    { 0x2FC4, "escape_play_slide_fx_on_player" },
    { 0x2FC5, "escape_player_fall_check" },
    { 0x2FC6, "escape_player_jump" },
    { 0x2FC7, "escape_player_speed" },
    { 0x2FC8, "escape_player_water_logic" },
    { 0x2FC9, "escape_river_start" },
    { 0x2FCA, "escape_runway_start" },
    { 0x2FCB, "escape_scripted_destruction" },
    { 0x2FCC, "escape_setup" },
    { 0x2FCD, "escape_setup_swimming" },
    { 0x2FCE, "escape_setup_trees" },
    { 0x2FCF, "escape_socr_fx_loop" },
    { 0x2FD0, "escape_socr_logic" },
    { 0x2FD1, "escape_socr_turret_own_target" },
    { 0x2FD2, "escape_spawn_special_minion_wave" },
    { 0x2FD3, "escape_spawning" },
    { 0x2FD4, "escape_spitter_target_node" },
    { 0x2FD5, "escape_start" },
    { 0x2FD6, "escape_temp_ai_slide" },
    { 0x2FD7, "escape_underwater_fx" },
    { 0x2FD8, "escape_vo" },
    { 0x2FD9, "escape_waterfall_enemies_logic" },
    { 0x2FDA, "escape_waterfall_player_link_logic" },
    { 0x2FDB, "escape_waterfall_start" },
    { 0x2FDC, "escort_prompt" },
    { 0x2FDD, "estate" },
    { 0x2FDE, "estimatedtimetillscorelimit" },
    { 0x2FDF, "etarget" },
    { 0x2FE0, "evad_anims" },
    { 0x2FE1, "evading" },
    { 0x2FE2, "eval" },
    { 0x2FE3, "evaluateattackevent" },
    { 0x2FE4, "evaluatefiringevent" },
    { 0x2FE5, "evaluatemeleeevent" },
    { 0x2FE6, "evaluatemoveevent" },
    { 0x2FE7, "evaluatereloadevent" },
    { 0x2FE8, "evaluatesuppressionevent" },
    { 0x2FE9, "evasive_addpoint" },
    { 0x2FEA, "evasive_createmaneuvers" },
    { 0x2FEB, "evasive_damage" },
    { 0x2FEC, "evasive_drawpoints" },
    { 0x2FED, "evasive_endmaneuvers" },
    { 0x2FEE, "evasive_getallpoints" },
    { 0x2FEF, "evasive_points" },
    { 0x2FF0, "evasive_startmaneuvers" },
    { 0x2FF1, "evasive_think" },
    { 0x2FF2, "evasivemanuverone" },
    { 0x2FF3, "event" },
    { 0x2FF4, "event_ally_bridge_push" },
    { 0x2FF5, "event_awareness_dialogue_wrapper" },
    { 0x2FF6, "event_awareness_enders" },
    { 0x2FF7, "event_awareness_main" },
    { 0x2FF8, "event_awareness_waitclear_ai" },
    { 0x2FF9, "event_awareness_waitclear_ai_proc" },
    { 0x2FFA, "event_boat_drop" },
    { 0x2FFB, "event_boss_rog_hit" },
    { 0x2FFC, "event_debris_fall" },
    { 0x2FFD, "event_derrick_explode" },
    { 0x2FFE, "event_derrick_explode_catwalk_break" },
    { 0x2FFF, "event_derrick_explode_debris_bomb" },
    { 0x3000, "event_derrick_explode_debris_bomb_tank_player_quake" },
    { 0x3001, "event_derrick_explode_debris_bomb_throw_enemy" },
    { 0x3002, "event_derrick_explode_debris_damage" },
    { 0x3003, "event_derrick_explode_debris_main" },
    { 0x3004, "event_derrick_explode_debris_main_fx_runner" },
    { 0x3005, "event_derrick_explode_debris_oiltank" },
    { 0x3006, "event_derrick_explode_debris_setup" },
    { 0x3007, "event_derrick_explode_debris_setup_collision" },
    { 0x3008, "event_derrick_explode_debris_show_and_damage" },
    { 0x3009, "event_derrick_explode_impact_rig" },
    { 0x300A, "event_derrick_explode_large" },
    { 0x300B, "event_derrick_explode_setup" },
    { 0x300C, "event_derrick_explode_stack_motion" },
    { 0x300D, "event_derrick_explode_stack_setup" },
    { 0x300E, "event_elevator_door_open" },
    { 0x300F, "event_flarestack_enter" },
    { 0x3010, "event_flarestack_enter_close_door" },
    { 0x3011, "event_flarestack_enter_fail_watcher" },
    { 0x3012, "event_gravity" },
    { 0x3013, "event_intro" },
    { 0x3014, "event_intro_player_anims" },
    { 0x3015, "event_intro_tv_pip" },
    { 0x3016, "event_jet_flyby" },
    { 0x3017, "event_noticket" },
    { 0x3018, "event_pipe_explosions" },
    { 0x3019, "event_player_arm_break" },
    { 0x301A, "event_player_bridge_push" },
    { 0x301B, "event_player_gets_kicked" },
    { 0x301C, "event_player_gets_punched" },
    { 0x301D, "event_player_grabs_knife" },
    { 0x301E, "event_player_turns_key" },
    { 0x301F, "event_pressure_buildup" },
    { 0x3020, "event_pressure_buildup_start" },
    { 0x3021, "event_qte_bullet_catch" },
    { 0x3022, "event_quaker_big" },
    { 0x3023, "event_quaker_collapse" },
    { 0x3024, "event_quaker_indoor" },
    { 0x3025, "event_quaker_outdoor" },
    { 0x3026, "event_rog_impact" },
    { 0x3027, "event_rogs_finale" },
    { 0x3028, "event_rumble_collapse" },
    { 0x3029, "event_sat_1_rog_hit" },
    { 0x302A, "event_sat_1_rog_impact" },
    { 0x302B, "event_scan_manager" },
    { 0x302C, "event_sinking_boats" },
    { 0x302D, "event_switch_animation" },
    { 0x302E, "event_tanks_bridge_fall_scene" },
    { 0x302F, "event_thread" },
    { 0x3030, "event_time" },
    { 0x3031, "event_topdrive_fall" },
    { 0x3032, "event_topdrive_fall_ally1_duck" },
    { 0x3033, "event_topdrive_fall_ally2_duck" },
    { 0x3034, "eventaction" },
    { 0x3035, "eventactionminwait" },
    { 0x3036, "eventchance" },
    { 0x3037, "eventduration" },
    { 0x3038, "eventpriority" },
    { 0x3039, "events" },
    { 0x303A, "eventstring" },
    { 0x303B, "eventtype" },
    { 0x303C, "eventtypeminwait" },
    { 0x303D, "everusessecondaryweapon" },
    { 0x303E, "exceededmaxballdrones" },
    { 0x303F, "exceededmaxhelipilots" },
    { 0x3040, "exceededmaxhelisnipers" },
    { 0x3041, "exceededmaxlittlebirds" },
    { 0x3042, "exceededmaxremoteuavs" },
    { 0x3043, "exceededmaxvanguards" },
    { 0x3044, "exception" },
    { 0x3045, "exception_exposed_mg42_portable" },
    { 0x3046, "excludedir" },
    { 0x3047, "exec_call" },
    { 0x3048, "exec_call_noself" },
    { 0x3049, "exec_func" },
    { 0x304A, "execuioner_targets" },
    { 0x304B, "execute" },
    { 0x304C, "execute_save" },
    { 0x304D, "execution" },
    { 0x304E, "execution_guy_dead" },
    { 0x304F, "execution_slowmo" },
    { 0x3050, "execution_start" },
    { 0x3051, "executor_kill_hostage_notetrack" },
    { 0x3052, "exfil_alarm" },
    { 0x3053, "exfil_alert_handle" },
    { 0x3054, "exfil_animnode" },
    { 0x3055, "exfil_anims_cornering" },
    { 0x3056, "exfil_baker_enter_jeep" },
    { 0x3057, "exfil_blackice_exfil_heli_lights_fx" },
    { 0x3058, "exfil_checkpoint" },
    { 0x3059, "exfil_chopper" },
    { 0x305A, "exfil_cypher_enter_jeep" },
    { 0x305B, "exfil_deck_explosions" },
    { 0x305C, "exfil_dof" },
    { 0x305D, "exfil_engine_fires" },
    { 0x305E, "exfil_engine_start_keegan" },
    { 0x305F, "exfil_engine_starts_axis" },
    { 0x3060, "exfil_enter_jeep" },
    { 0x3061, "exfil_get_on_turret" },
    { 0x3062, "exfil_gun_cock" },
    { 0x3063, "exfil_hall_explosions" },
    { 0x3064, "exfil_hall_light_flicker" },
    { 0x3065, "exfil_heli" },
    { 0x3066, "exfil_heli_smoke_fx_01" },
    { 0x3067, "exfil_heli_spotlight" },
    { 0x3068, "exfil_heli_tag" },
    { 0x3069, "exfil_hoodsmack" },
    { 0x306A, "exfil_jeep_latch_close_lf" },
    { 0x306B, "exfil_jeep_latch_close_lr" },
    { 0x306C, "exfil_jeep_latch_close_rf" },
    { 0x306D, "exfil_jeep_latch_open_lf" },
    { 0x306E, "exfil_jeep_latch_open_lr" },
    { 0x306F, "exfil_jeep_latch_open_rf" },
    { 0x3070, "exfil_jet" },
    { 0x3071, "exfil_jet_missile_incoming" },
    { 0x3072, "exfil_keegan_and_cypher_enter_jeep" },
    { 0x3073, "exfil_keegan_enter_jeep" },
    { 0x3074, "exfil_light_burst" },
    { 0x3075, "exfil_mblur_changes" },
    { 0x3076, "exfil_oilrig_ball_drop_fx" },
    { 0x3077, "exfil_oilrig_explosions_fx" },
    { 0x3078, "exfil_oilrig_preboom_fx" },
    { 0x3079, "exfil_oilrig_shockwave_fx" },
    { 0x307A, "exfil_player_view_smoke_particles" },
    { 0x307B, "exfil_random_quaker" },
    { 0x307C, "exfil_rimlight" },
    { 0x307D, "exfil_slomo" },
    { 0x307E, "exfil_sniper" },
    { 0x307F, "exfil_steam_burst" },
    { 0x3080, "exfil_teleport" },
    { 0x3081, "exfil_vision_bump" },
    { 0x3082, "exfil_yellow_alarms" },
    { 0x3083, "exhausted" },
    { 0x3084, "existinarray" },
    { 0x3085, "exists_global_spawn_function" },
    { 0x3086, "exit" },
    { 0x3087, "exit_camera_zoomout" },
    { 0x3088, "exit_gamemodespecificaction" },
    { 0x3089, "exit_jeep" },
    { 0x308A, "exit_jeep_anims" },
    { 0x308B, "exit_laststand" },
    { 0x308C, "exit_nags" },
    { 0x308D, "exit_node" },
    { 0x308E, "exit_on_train" },
    { 0x308F, "exit_path" },
    { 0x3090, "exit_revive_use_hold_think" },
    { 0x3091, "exit_ride_setup" },
    { 0x3092, "exit_stealth_misc_fx" },
    { 0x3093, "exit_tank_final" },
    { 0x3094, "exit_tunnel_jeep_by" },
    { 0x3095, "exit_water_tired" },
    { 0x3096, "exit_water_tired_timer" },
    { 0x3097, "exit_wreck_check" },
    { 0x3098, "exitaistate" },
    { 0x3099, "exiting_combat_player_fail" },
    { 0x309A, "exiting_combat_zone" },
    { 0x309B, "exitnodename" },
    { 0x309C, "exitpronewrapper" },
    { 0x309D, "exitpronewrapperproc" },
    { 0x309E, "exitstate" },
    { 0x309F, "exittag" },
    { 0x30A0, "expand_goalradius" },
    { 0x30A1, "expandmaxs" },
    { 0x30A2, "expandmins" },
    { 0x30A3, "expandspawnpointbounds" },
    { 0x30A4, "expire_time" },
    { 0x30A5, "expiretime" },
    { 0x30A6, "explicitabandonminitarget" },
    { 0x30A7, "explicitabandontarget" },
    { 0x30A8, "explode_attack" },
    { 0x30A9, "explode_fake_targets" },
    { 0x30AA, "explode_gunboats" },
    { 0x30AB, "explode_single_fake_target" },
    { 0x30AC, "explode_single_zodiac" },
    { 0x30AD, "explode_wait_quake" },
    { 0x30AE, "explode_zodiacs" },
    { 0x30AF, "exploded" },
    { 0x30B0, "explodeondamage" },
    { 0x30B1, "exploder" },
    { 0x30B2, "exploder_after_load" },
    { 0x30B3, "exploder_before_load" },
    { 0x30B4, "exploder_cache" },
    { 0x30B5, "exploder_connect_watch" },
    { 0x30B6, "exploder_damage" },
    { 0x30B7, "exploder_damage_loop" },
    { 0x30B8, "exploder_delay" },
    { 0x30B9, "exploder_earthquake" },
    { 0x30BA, "exploder_flag_wait" },
    { 0x30BB, "exploder_fx_stuffs" },
    { 0x30BC, "exploder_load" },
    { 0x30BD, "exploder_model_is_chunk" },
    { 0x30BE, "exploder_model_is_damaged_model" },
    { 0x30BF, "exploder_model_starts_hidden" },
    { 0x30C0, "exploder_playsound" },
    { 0x30C1, "exploder_radius_custom" },
    { 0x30C2, "exploder_rumble" },
    { 0x30C3, "exploder_sound" },
    { 0x30C4, "exploder_trigger_run" },
    { 0x30C5, "exploder_triggers" },
    { 0x30C6, "exploder_with_connect_watch" },
    { 0x30C7, "exploderfunction" },
    { 0x30C8, "exploderfx" },
    { 0x30C9, "exploderindex" },
    { 0x30CA, "exploders" },
    { 0x30CB, "exploders_cached" },
    { 0x30CC, "exploders_explode_for_late_player" },
    { 0x30CD, "exploders_watch_late_players" },
    { 0x30CE, "explodevfx" },
    { 0x30CF, "exploding" },
    { 0x30D0, "exploding_barrel_death" },
    { 0x30D1, "exploding_heli" },
    { 0x30D2, "exploimpactmod" },
    { 0x30D3, "explosion_1" },
    { 0x30D4, "explosion_activate" },
    { 0x30D5, "explosion_anim" },
    { 0x30D6, "explosion_barrage_delay" },
    { 0x30D7, "explosion_boom" },
    { 0x30D8, "explosion_death" },
    { 0x30D9, "explosion_death_offset" },
    { 0x30DA, "explosion_death_ragdollfraction" },
    { 0x30DB, "explosion_delay" },
    { 0x30DC, "explosion_during_hesh_talk" },
    { 0x30DD, "explosion_incoming" },
    { 0x30DE, "explosion_progression_control_sequence" },
    { 0x30DF, "explosion_sound" },
    { 0x30E0, "explosion_startnotify" },
    { 0x30E1, "explosion_stopnotify" },
    { 0x30E2, "explosion_throw_sandbags" },
    { 0x30E3, "explosion_vehicle_killer1" },
    { 0x30E4, "explosion_vehicle_killer2" },
    { 0x30E5, "explosion_vehicle_killer3" },
    { 0x30E6, "explosion_vehicle_killer4" },
    { 0x30E7, "explosions_success" },
    { 0x30E8, "explosive1" },
    { 0x30E9, "explosive_bulletshielded" },
    { 0x30EA, "explosive_damage_scalar" },
    { 0x30EB, "explosive_damage_watch" },
    { 0x30EC, "explosive_dist" },
    { 0x30ED, "explosive_type" },
    { 0x30EE, "explosivedamagemod" },
    { 0x30EF, "explosivehandlemovers" },
    { 0x30F0, "explosiveinfo" },
    { 0x30F1, "explosivekills" },
    { 0x30F2, "explosivemodel" },
    { 0x30F3, "explosiveplanttime" },
    { 0x30F4, "explosivetrigger" },
    { 0x30F5, "expltagroot" },
    { 0x30F6, "exponent" },
    { 0x30F7, "export" },
    { 0x30F8, "exposed_guy" },
    { 0x30F9, "exposed_guy_think" },
    { 0x30FA, "exposedapproachconditioncheck" },
    { 0x30FB, "exposedapproachwaittillclose" },
    { 0x30FC, "exposedcombatcheckputawaypistol" },
    { 0x30FD, "exposedcombatcheckreloadorusepistol" },
    { 0x30FE, "exposedcombatcheckstance" },
    { 0x30FF, "exposedcombatmainloop" },
    { 0x3100, "exposedcombatneedtoturn" },
    { 0x3101, "exposedcombatpositionadjust" },
    { 0x3102, "exposedcombatstopusingrpgcheck" },
    { 0x3103, "exposedreload" },
    { 0x3104, "exposedreloading" },
    { 0x3105, "exposedtransition" },
    { 0x3106, "exposedwait" },
    { 0x3107, "extendedkill_sticktovictim" },
    { 0x3108, "exterior_effects" },
    { 0x3109, "extra_autosave_checks_failed" },
    { 0x310A, "extra_vehicle_cleanup" },
    { 0x310B, "extrafiretime_max" },
    { 0x310C, "extrafiretime_min" },
    { 0x310D, "extraspintime_max" },
    { 0x310E, "extraspintime_min" },
    { 0x310F, "eyesonsightchecks" },
    { 0x3110, "eyetraceforward" },
    { 0x3111, "f" },
    { 0x3112, "f_max" },
    { 0x3113, "f_min" },
    { 0x3114, "face_hive" },
    { 0x3115, "face_players" },
    { 0x3116, "faceenemyaimtracking" },
    { 0x3117, "faceenemyarrival" },
    { 0x3118, "faceenemyatendofapproach" },
    { 0x3119, "faceenemydelay" },
    { 0x311A, "faceenemyimmediately" },
    { 0x311B, "facelastnotifynum" },
    { 0x311C, "faceresult" },
    { 0x311D, "facetarget" },
    { 0x311E, "facewaitforresult" },
    { 0x311F, "facewaiting" },
    { 0x3120, "faceyaw" },
    { 0x3121, "facial" },
    { 0x3122, "facial_animation" },
    { 0x3123, "facialanimdone" },
    { 0x3124, "facialanimidx" },
    { 0x3125, "facialidx" },
    { 0x3126, "facialsounddone" },
    { 0x3127, "facing_angles3d" },
    { 0x3128, "facing_dir" },
    { 0x3129, "facing_dot" },
    { 0x312A, "factor_value_min_max" },
    { 0x312B, "factory_locations" },
    { 0x312C, "fade" },
    { 0x312D, "fade_ambient_elem_internal" },
    { 0x312E, "fade_ambient_elem_reset" },
    { 0x312F, "fade_ambient_elems" },
    { 0x3130, "fade_from_black" },
    { 0x3131, "fade_in" },
    { 0x3132, "fade_in_blue" },
    { 0x3133, "fade_in_cut_hint" },
    { 0x3134, "fade_in_from_black" },
    { 0x3135, "fade_in_hint" },
    { 0x3136, "fade_in_logo" },
    { 0x3137, "fade_in_time" },
    { 0x3138, "fade_in_to_alpha" },
    { 0x3139, "fade_in_x_hint" },
    { 0x313A, "fade_limp" },
    { 0x313B, "fade_logo_run_credits" },
    { 0x313C, "fade_out" },
    { 0x313D, "fade_out_cut_hint" },
    { 0x313E, "fade_out_death" },
    { 0x313F, "fade_out_death_time" },
    { 0x3140, "fade_out_hint" },
    { 0x3141, "fade_out_in" },
    { 0x3142, "fade_out_in_custom" },
    { 0x3143, "fade_out_show_title" },
    { 0x3144, "fade_out_text" },
    { 0x3145, "fade_out_time" },
    { 0x3146, "fade_out_x_hint" },
    { 0x3147, "fade_over_time" },
    { 0x3148, "fade_qte_prompt" },
    { 0x3149, "fade_sun_in_out" },
    { 0x314A, "fade_time" },
    { 0x314B, "fade_tired" },
    { 0x314C, "fade_to_black" },
    { 0x314D, "fade_up_black" },
    { 0x314E, "fadeaway" },
    { 0x314F, "fadefunc" },
    { 0x3150, "fadeinblackout" },
    { 0x3151, "fadeoutblackout" },
    { 0x3152, "fadeoutpinnedicon" },
    { 0x3153, "fadeoverlay" },
    { 0x3154, "fadeoverlay_no_blur" },
    { 0x3155, "fadetoalpha" },
    { 0x3156, "fadetoalphatime" },
    { 0x3157, "fading" },
    { 0x3158, "fail_challenge" },
    { 0x3159, "fail_if_player_too_far" },
    { 0x315A, "fail_mission_ambush" },
    { 0x315B, "fail_mission_leave_area" },
    { 0x315C, "fail_mission_on_death" },
    { 0x315D, "fail_on_friendly_fire" },
    { 0x315E, "fail_on_player_kill" },
    { 0x315F, "failactivatefunc" },
    { 0x3160, "failcase_blackout_early" },
    { 0x3161, "failcase_garage" },
    { 0x3162, "failed_spawnvehicles" },
    { 0x3163, "failfunc" },
    { 0x3164, "failingmission" },
    { 0x3165, "failonfriendlyfire" },
    { 0x3166, "fails" },
    { 0x3167, "failsafe_c_k_bags" },
    { 0x3168, "fake" },
    { 0x3169, "fake_ally_kill_me" },
    { 0x316A, "fake_church" },
    { 0x316B, "fake_dead" },
    { 0x316C, "fake_death_bullet" },
    { 0x316D, "fake_death_bullet_fx" },
    { 0x316E, "fake_death_over_time" },
    { 0x316F, "fake_function" },
    { 0x3170, "fake_health" },
    { 0x3171, "fake_mantle_text" },
    { 0x3172, "fake_missile_launch" },
    { 0x3173, "fake_rocket" },
    { 0x3174, "fake_rotate_of_ai" },
    { 0x3175, "fake_shellshock_sound" },
    { 0x3176, "fake_shooter_death" },
    { 0x3177, "fake_shooter_shoot" },
    { 0x3178, "fake_shooter_think" },
    { 0x3179, "fake_slerp" },
    { 0x317A, "fake_spot" },
    { 0x317B, "fake_tank_hud_item" },
    { 0x317C, "fake_tank_rumble" },
    { 0x317D, "fake_targets" },
    { 0x317E, "fake_teargas_coughing" },
    { 0x317F, "fake_teleport_notify" },
    { 0x3180, "fake_turret" },
    { 0x3181, "fake_vehicle_moveto" },
    { 0x3182, "fake_vehicles_loop_until_endon" },
    { 0x3183, "fake_zodiac_move_anim" },
    { 0x3184, "fake_zodiac_setup" },
    { 0x3185, "fakea10ai" },
    { 0x3186, "fakedrones" },
    { 0x3187, "fakehealth" },
    { 0x3188, "fakehealthinvulnerability" },
    { 0x3189, "fakejavelinfireents" },
    { 0x318A, "fakemodel" },
    { 0x318B, "fall_allies_baker" },
    { 0x318C, "fall_allies_baker_fall_down" },
    { 0x318D, "fall_allies_rorke" },
    { 0x318E, "fall_anim_struct" },
    { 0x318F, "fall_arms_and_legs" },
    { 0x3190, "fall_break_glass" },
    { 0x3191, "fall_break_glass_with_delay" },
    { 0x3192, "fall_check" },
    { 0x3193, "fall_dist" },
    { 0x3194, "fall_enemies_rail_hit" },
    { 0x3195, "fall_enemies_slide" },
    { 0x3196, "fall_enemies_start" },
    { 0x3197, "fall_enemy_anim" },
    { 0x3198, "fall_enemy_node_anim" },
    { 0x3199, "fall_enemy_self_anim" },
    { 0x319A, "fall_environment" },
    { 0x319B, "fall_fx_billboard_fx" },
    { 0x319C, "fall_fx_billboard_setup" },
    { 0x319D, "fall_fx_bldg_fx" },
    { 0x319E, "fall_fx_crowd_fx" },
    { 0x319F, "fall_fx_crowd_setup" },
    { 0x31A0, "fall_fx_end_bldg" },
    { 0x31A1, "fall_fx_tile" },
    { 0x31A2, "fall_glass_final_impact" },
    { 0x31A3, "fall_handler" },
    { 0x31A4, "fall_kill" },
    { 0x31A5, "fall_object_init" },
    { 0x31A6, "fall_object_run" },
    { 0x31A7, "fall_objects" },
    { 0x31A8, "fall_path_rig" },
    { 0x31A9, "fall_physics_debris_entry_stairs" },
    { 0x31AA, "fall_physics_debris_furniture" },
    { 0x31AB, "fall_physics_debris_lobby" },
    { 0x31AC, "fall_physics_debris_slide" },
    { 0x31AD, "fall_player" },
    { 0x31AE, "fall_player_dof" },
    { 0x31AF, "fall_prop_corner_collapse" },
    { 0x31B0, "fall_prop_merrick_window" },
    { 0x31B1, "fall_prop_picture" },
    { 0x31B2, "fall_props" },
    { 0x31B3, "fall_props_atrium_lights" },
    { 0x31B4, "fall_props_debris_a" },
    { 0x31B5, "fall_props_debris_b" },
    { 0x31B6, "fall_props_ext_bldg" },
    { 0x31B7, "fall_props_ext_sign" },
    { 0x31B8, "fall_props_lobby_furniture" },
    { 0x31B9, "fall_props_parachute" },
    { 0x31BA, "fall_props_pillar_rumble" },
    { 0x31BB, "fall_props_player_parachute" },
    { 0x31BC, "fall_to" },
    { 0x31BD, "fall_vo" },
    { 0x31BE, "fallback" },
    { 0x31BF, "fallback_ai" },
    { 0x31C0, "fallback_ai_think" },
    { 0x31C1, "fallback_ai_think_death" },
    { 0x31C2, "fallback_coverprint" },
    { 0x31C3, "fallback_death" },
    { 0x31C4, "fallback_goal" },
    { 0x31C5, "fallback_initiated" },
    { 0x31C6, "fallback_print" },
    { 0x31C7, "fallback_spawner_think" },
    { 0x31C8, "fallback_text" },
    { 0x31C9, "fallback_think" },
    { 0x31CA, "fallback_wait" },
    { 0x31CB, "falling_debris" },
    { 0x31CC, "falling_elevator" },
    { 0x31CD, "falling_elevator_cables" },
    { 0x31CE, "falling_impact" },
    { 0x31CF, "falling_rock_damage_watch" },
    { 0x31D0, "falling_rock_init" },
    { 0x31D1, "falling_rock_kill_trigger" },
    { 0x31D2, "falling_rock_run" },
    { 0x31D3, "falling_rocks" },
    { 0x31D4, "falling_sat_dish" },
    { 0x31D5, "falling_tree_player_detection" },
    { 0x31D6, "fallingtileeffect" },
    { 0x31D7, "falloff" },
    { 0x31D8, "fan_blade_rotate" },
    { 0x31D9, "fandb_dodamage" },
    { 0x31DA, "fandb_findpartindex" },
    { 0x31DB, "fandb_fx" },
    { 0x31DC, "fandb_gotostate" },
    { 0x31DD, "fandb_handles_collision_brushes" },
    { 0x31DE, "fandb_hideshowtag" },
    { 0x31DF, "fandb_playsound" },
    { 0x31E0, "fandb_throwphysicsmodel" },
    { 0x31E1, "far_allies_breach" },
    { 0x31E2, "far_distance_sq" },
    { 0x31E3, "farenheit" },
    { 0x31E4, "fartherfunc" },
    { 0x31E5, "farthest_distance_down" },
    { 0x31E6, "fast_convoy" },
    { 0x31E7, "fast_destructible_explode" },
    { 0x31E8, "fast_jog" },
    { 0x31E9, "fast_walk" },
    { 0x31EA, "fastburst" },
    { 0x31EB, "fastburstfirenumshots" },
    { 0x31EC, "fastcrouch" },
    { 0x31ED, "faster_baker" },
    { 0x31EE, "fasteranimspeed" },
    { 0x31EF, "fastlook" },
    { 0x31F0, "fastropeoffset" },
    { 0x31F1, "fastroperig" },
    { 0x31F2, "fastroperiganimating" },
    { 0x31F3, "faststand" },
    { 0x31F4, "faux_spawn_stance" },
    { 0x31F5, "fauxdead" },
    { 0x31F6, "fauxperks" },
    { 0x31F7, "fauxvehiclecount" },
    { 0x31F8, "favor_blindfire" },
    { 0x31F9, "favoritenemy" },
    { 0x31FA, "faze_out" },
    { 0x31FB, "faze_out_finish" },
    { 0x31FC, "fbt_desireddistmax" },
    { 0x31FD, "fbt_firstburst" },
    { 0x31FE, "fbt_lastbursterid" },
    { 0x31FF, "fbt_linebreakmax" },
    { 0x3200, "fbt_linebreakmin" },
    { 0x3201, "fbt_waitmax" },
    { 0x3202, "fbt_waitmin" },
    { 0x3203, "featherents" },
    { 0x3204, "fed_destroyer_clip" },
    { 0x3205, "fed_destroyer_fx_guns" },
    { 0x3206, "fed_destroyer_gun" },
    { 0x3207, "fed_destroyer_guys" },
    { 0x3208, "fed_destroyer_osprey" },
    { 0x3209, "feelgoodapachegundeath" },
    { 0x320A, "fell_in_water_fail" },
    { 0x320B, "fence_bottom_left" },
    { 0x320C, "fence_bottom_right" },
    { 0x320D, "fence_center" },
    { 0x320E, "fence_height" },
    { 0x320F, "fence_smash_setup" },
    { 0x3210, "fence_smash_wait" },
    { 0x3211, "fence_sparks" },
    { 0x3212, "fence_top_left" },
    { 0x3213, "fence_top_left_angles" },
    { 0x3214, "fence_top_right" },
    { 0x3215, "fence_trap_setup_sizes" },
    { 0x3216, "fennce_smash_setup" },
    { 0x3217, "festival_balloons" },
    { 0x3218, "festival_balloons_internal" },
    { 0x3219, "festival_spotlights" },
    { 0x321A, "ffpoints" },
    { 0x321B, "field_activity" },
    { 0x321C, "field_birds" },
    { 0x321D, "fifteen_minutes_earlier_feed_lines" },
    { 0x321E, "fifty_percent_accuracy_success_test" },
    { 0x321F, "fight_back" },
    { 0x3220, "fight_objective" },
    { 0x3221, "fightdist" },
    { 0x3222, "fileprint_csv_start" },
    { 0x3223, "fileprint_launcher" },
    { 0x3224, "fileprint_launcher_end_file" },
    { 0x3225, "fileprint_launcher_start_file" },
    { 0x3226, "fileprint_map_entity_end" },
    { 0x3227, "fileprint_map_entity_start" },
    { 0x3228, "fileprint_map_header" },
    { 0x3229, "fileprint_map_keypairprint" },
    { 0x322A, "fileprint_map_start" },
    { 0x322B, "fileprint_radiant_vec" },
    { 0x322C, "fileprint_start" },
    { 0x322D, "fileprintlauncher_linecount" },
    { 0x322E, "filllaunchers" },
    { 0x322F, "filloffhandweapons" },
    { 0x3230, "filter" },
    { 0x3231, "filter_spawn_point" },
    { 0x3232, "filter_spawn_point_by_distance_from_player" },
    { 0x3233, "final_angles" },
    { 0x3234, "final_impact" },
    { 0x3235, "final_init" },
    { 0x3236, "final_jungle_ai_cleanup" },
    { 0x3237, "final_main" },
    { 0x3238, "final_origin" },
    { 0x3239, "final_sequence_fail_condition" },
    { 0x323A, "final_stand_dialogue" },
    { 0x323B, "finale_always_be_reloading" },
    { 0x323C, "finale_anim_loop_killer" },
    { 0x323D, "finale_chopper" },
    { 0x323E, "finale_explosions" },
    { 0x323F, "finale_flyaway" },
    { 0x3240, "finale_fx_handling" },
    { 0x3241, "finale_nags" },
    { 0x3242, "finale_sniping" },
    { 0x3243, "finale_timer" },
    { 0x3244, "finale_vo" },
    { 0x3245, "finalgazs" },
    { 0x3246, "finalhinds" },
    { 0x3247, "finalizespawnpointchoice" },
    { 0x3248, "finalkill" },
    { 0x3249, "finalkillcam_attacker" },
    { 0x324A, "finalkillcam_attackernum" },
    { 0x324B, "finalkillcam_deathtimeoffset" },
    { 0x324C, "finalkillcam_delay" },
    { 0x324D, "finalkillcam_inflictor" },
    { 0x324E, "finalkillcam_killcamentityindex" },
    { 0x324F, "finalkillcam_killcamentitystarttime" },
    { 0x3250, "finalkillcam_psoffsettime" },
    { 0x3251, "finalkillcam_smeansofdeath" },
    { 0x3252, "finalkillcam_sweapon" },
    { 0x3253, "finalkillcam_timegameended" },
    { 0x3254, "finalkillcam_timerecorded" },
    { 0x3255, "finalkillcam_victim" },
    { 0x3256, "finalkillcam_winner" },
    { 0x3257, "finalkillcammusic" },
    { 0x3258, "finalsurvivoruav" },
    { 0x3259, "find_a_new_turret_spot" },
    { 0x325A, "find_ambush_node" },
    { 0x325B, "find_attackable_enemy_at_node" },
    { 0x325C, "find_attacker_to_replace" },
    { 0x325D, "find_available_collision_model" },
    { 0x325E, "find_best_cover" },
    { 0x325F, "find_camp_node" },
    { 0x3260, "find_camp_node_worker" },
    { 0x3261, "find_closest_heli_node_2d" },
    { 0x3262, "find_closest_struct_below_player" },
    { 0x3263, "find_cluster_rocket_for_bot" },
    { 0x3264, "find_connected_turrets" },
    { 0x3265, "find_defend_node_bodyguard" },
    { 0x3266, "find_defend_node_capture" },
    { 0x3267, "find_defend_node_capture_zone" },
    { 0x3268, "find_defend_node_patrol" },
    { 0x3269, "find_defend_node_protect" },
    { 0x326A, "find_destructibles" },
    { 0x326B, "find_different_way_to_attack_last_seen_position" },
    { 0x326C, "find_enemy_vehicles" },
    { 0x326D, "find_good_ambush_spot" },
    { 0x326E, "find_lane_spawn_node" },
    { 0x326F, "find_nearby_enemy" },
    { 0x3270, "find_new_chase_target" },
    { 0x3271, "find_player_within_distance" },
    { 0x3272, "find_random_spawn_node" },
    { 0x3273, "find_safe_spawn_point_info" },
    { 0x3274, "find_safe_spawn_spot_with_volumes" },
    { 0x3275, "find_scripted_teargas_flee_node" },
    { 0x3276, "find_spawn_event" },
    { 0x3277, "find_spawners_by_script_name" },
    { 0x3278, "find_spitter_attack_node" },
    { 0x3279, "find_teargas_free_node" },
    { 0x327A, "find_teleport_spot_for_ally" },
    { 0x327B, "find_unclaimed_node" },
    { 0x327C, "find_wall_leap_node" },
    { 0x327D, "findaveragepoint" },
    { 0x327E, "findaveragepointvec" },
    { 0x327F, "findbattlebuddy" },
    { 0x3280, "findboxcenter" },
    { 0x3281, "findbuddypathnode" },
    { 0x3282, "findbuddyspawn" },
    { 0x3283, "findclosestplayer" },
    { 0x3284, "findcqbpointsofinterest" },
    { 0x3285, "findgoodsuppressspot" },
    { 0x3286, "findingcqbpointsofinterest" },
    { 0x3287, "findisfacing" },
    { 0x3288, "findlocation" },
    { 0x3289, "findnewowner" },
    { 0x328A, "findpointnearowner" },
    { 0x328B, "findrandomtarget" },
    { 0x328C, "findsecondhighestspawnscore" },
    { 0x328D, "findspawnlocationnearplayer" },
    { 0x328E, "findtarget" },
    { 0x328F, "findtargets" },
    { 0x3290, "findunobstructedfiringpoint" },
    { 0x3291, "findunobstructedfiringpointaroundy" },
    { 0x3292, "findunobstructedfiringpointaroundz" },
    { 0x3293, "finish_creating_entity" },
    { 0x3294, "finish_zoom" },
    { 0x3295, "finishaastrike" },
    { 0x3296, "finishairstrikeusage" },
    { 0x3297, "finishcoverexitnotetracks" },
    { 0x3298, "finishdeathwaiter" },
    { 0x3299, "finished" },
    { 0x329A, "finished_spawning" },
    { 0x329B, "finishedreload" },
    { 0x329C, "finishlbstrikeusage" },
    { 0x329D, "finishnotetracks" },
    { 0x329E, "finishospreygunnerusage" },
    { 0x329F, "finishplayerdamagewrapper" },
    { 0x32A0, "finishreconagentloadout" },
    { 0x32A1, "finishsupportescortusage" },
    { 0x32A2, "finishtraversedrop" },
    { 0x32A3, "fire" },
    { 0x32A4, "fire_anim_start" },
    { 0x32A5, "fire_anim_stop" },
    { 0x32A6, "fire_artillery" },
    { 0x32A7, "fire_artillery_shell" },
    { 0x32A8, "fire_at_chopper" },
    { 0x32A9, "fire_at_player_until_jump" },
    { 0x32AA, "fire_at_target" },
    { 0x32AB, "fire_blocker_blown" },
    { 0x32AC, "fire_blockers_body" },
    { 0x32AD, "fire_blockers_brush" },
    { 0x32AE, "fire_blockers_hurt" },
    { 0x32AF, "fire_blockers_jet" },
    { 0x32B0, "fire_cannon_at_target" },
    { 0x32B1, "fire_cloud_burn_alien" },
    { 0x32B2, "fire_cloud_burn_player" },
    { 0x32B3, "fire_damage" },
    { 0x32B4, "fire_death_watcher" },
    { 0x32B5, "fire_effect" },
    { 0x32B6, "fire_enemy_gun" },
    { 0x32B7, "fire_ext_grab" },
    { 0x32B8, "fire_ext_models" },
    { 0x32B9, "fire_ext_throw" },
    { 0x32BA, "fire_extinguisher" },
    { 0x32BB, "fire_extinguisher_aim_ent" },
    { 0x32BC, "fire_extinguisher_breach_slowmo" },
    { 0x32BD, "fire_extinguisher_death" },
    { 0x32BE, "fire_extinguisher_shot" },
    { 0x32BF, "fire_extinguisher_visionset" },
    { 0x32C0, "fire_fail_exfil_vo" },
    { 0x32C1, "fire_fake_javelin" },
    { 0x32C2, "fire_fake_rpgs" },
    { 0x32C3, "fire_final_rod" },
    { 0x32C4, "fire_flicker" },
    { 0x32C5, "fire_from_rope_or_die" },
    { 0x32C6, "fire_fx" },
    { 0x32C7, "fire_fx_locs" },
    { 0x32C8, "fire_grenade" },
    { 0x32C9, "fire_guns" },
    { 0x32CA, "fire_heli_missile" },
    { 0x32CB, "fire_heli_turret" },
    { 0x32CC, "fire_hydra" },
    { 0x32CD, "fire_link_structs" },
    { 0x32CE, "fire_lockon" },
    { 0x32CF, "fire_magic_missile" },
    { 0x32D0, "fire_magic_missile_mig" },
    { 0x32D1, "fire_missile" },
    { 0x32D2, "fire_missile_at_vehicle" },
    { 0x32D3, "fire_missiles" },
    { 0x32D4, "fire_notetrack_functions" },
    { 0x32D5, "fire_notetracks" },
    { 0x32D6, "fire_now_on_vehicle" },
    { 0x32D7, "fire_on" },
    { 0x32D8, "fire_on_non_vehicle" },
    { 0x32D9, "fire_only_on_target" },
    { 0x32DA, "fire_radius" },
    { 0x32DB, "fire_radiusdamage" },
    { 0x32DC, "fire_random_rockets_around_player_until_jump" },
    { 0x32DD, "fire_rocket" },
    { 0x32DE, "fire_rods" },
    { 0x32DF, "fire_rogs_in_space" },
    { 0x32E0, "fire_sat_rcs_thrusters" },
    { 0x32E1, "fire_seeking_missile" },
    { 0x32E2, "fire_sensor" },
    { 0x32E3, "fire_sound_spindown" },
    { 0x32E4, "fire_sound_spinloop" },
    { 0x32E5, "fire_sound_spinup" },
    { 0x32E6, "fire_space_microtar" },
    { 0x32E7, "fire_spit_projectile" },
    { 0x32E8, "fire_straight" },
    { 0x32E9, "fire_supression_status" },
    { 0x32EA, "fire_time" },
    { 0x32EB, "fire_tracers" },
    { 0x32EC, "fire_tracking_missile" },
    { 0x32ED, "fire_tracking_missile_at_vehicle" },
    { 0x32EE, "fire_tracking_missile_mig" },
    { 0x32EF, "fire_trap_burn" },
    { 0x32F0, "fire_trap_init" },
    { 0x32F1, "fire_trap_setup" },
    { 0x32F2, "fire_trap_setup_sizes" },
    { 0x32F3, "fire_trap_think" },
    { 0x32F4, "fire_trap_wait_for_impact" },
    { 0x32F5, "fire_traps" },
    { 0x32F6, "fire_turret" },
    { 0x32F7, "fireattarget" },
    { 0x32F8, "firebuttonpressed" },
    { 0x32F9, "firecloudduration" },
    { 0x32FA, "firecloudheight" },
    { 0x32FB, "firecloudhivetickdamage" },
    { 0x32FC, "firecloudlingertime" },
    { 0x32FD, "firecloudmonitor" },
    { 0x32FE, "firecloudplayertickdamage" },
    { 0x32FF, "firecloudradius" },
    { 0x3300, "firecloudsfx" },
    { 0x3301, "firecloudtickdamage" },
    { 0x3302, "firecontroller" },
    { 0x3303, "firecontroller_minigun" },
    { 0x3304, "firecontrollerfunc" },
    { 0x3305, "fired" },
    { 0x3306, "fired_weapon" },
    { 0x3307, "fired_weapons" },
    { 0x3308, "firedirector" },
    { 0x3309, "firedonme" },
    { 0x330A, "fireents" },
    { 0x330B, "fireinterval" },
    { 0x330C, "fireminiontarget" },
    { 0x330D, "firemissile" },
    { 0x330E, "firemissiles" },
    { 0x330F, "firemortar" },
    { 0x3310, "fireontarget" },
    { 0x3311, "fireonvehicletarget" },
    { 0x3312, "fires" },
    { 0x3313, "fireshield" },
    { 0x3314, "firesoundoverride" },
    { 0x3315, "firetag" },
    { 0x3316, "firetarget" },
    { 0x3317, "fireteam_commander" },
    { 0x3318, "fireteam_connected" },
    { 0x3319, "fireteam_dom_point_obj" },
    { 0x331A, "fireteam_hunt_goalpos" },
    { 0x331B, "fireteam_hunt_leader" },
    { 0x331C, "fireteam_hunt_next_zone_search_time" },
    { 0x331D, "fireteam_hunt_target_zone" },
    { 0x331E, "fireteam_menu" },
    { 0x331F, "fireteam_personality_original" },
    { 0x3320, "fireteam_tdm_find_hunt_zone" },
    { 0x3321, "fireteam_tdm_hunt_end" },
    { 0x3322, "fireteam_tdm_hunt_most_dangerous_zone" },
    { 0x3323, "fireteam_tdm_set_hunt_leader" },
    { 0x3324, "fireteammembers" },
    { 0x3325, "firetime" },
    { 0x3326, "fireuntiloutofammo" },
    { 0x3327, "fireuntiloutofammo_waittillended" },
    { 0x3328, "fireuntiloutofammointernal" },
    { 0x3329, "firewait" },
    { 0x332A, "firework_light" },
    { 0x332B, "fireworklightindextracker" },
    { 0x332C, "fireworklights" },
    { 0x332D, "fireworks" },
    { 0x332E, "fireworks_courtyard" },
    { 0x332F, "fireworks_courtyard_post" },
    { 0x3330, "fireworks_courtyard_stairs" },
    { 0x3331, "fireworks_finale" },
    { 0x3332, "fireworks_finale_explosions" },
    { 0x3333, "fireworks_finale_streamers" },
    { 0x3334, "fireworks_garden" },
    { 0x3335, "fireworks_init" },
    { 0x3336, "fireworks_intro" },
    { 0x3337, "fireworks_intro_post" },
    { 0x3338, "fireworks_junction" },
    { 0x3339, "fireworks_junction_post" },
    { 0x333A, "fireworks_location" },
    { 0x333B, "fireworks_start" },
    { 0x333C, "fireworks_stealth_rappel" },
    { 0x333D, "fireworks_stop" },
    { 0x333E, "fireworks_sun" },
    { 0x333F, "fireworksfx" },
    { 0x3340, "fireworkstructs" },
    { 0x3341, "firing_into_bunks" },
    { 0x3342, "firing_position" },
    { 0x3343, "firing_sound_ent" },
    { 0x3344, "firingdeathallowed" },
    { 0x3345, "firingguns" },
    { 0x3346, "firingmissiles" },
    { 0x3347, "firingreaper" },
    { 0x3348, "first_distant_sat_launch" },
    { 0x3349, "first_explosion_fx" },
    { 0x334A, "first_floor_combat_enemies_right" },
    { 0x334B, "first_floor_enemies_shot_out_of_order" },
    { 0x334C, "first_floor_patroller_1_setup" },
    { 0x334D, "first_floor_patroller_2_setup" },
    { 0x334E, "first_floor_shift_right_trigger" },
    { 0x334F, "first_floor_sitting_laptop_guy_react" },
    { 0x3350, "first_floor_sitting_laptop_guy_react_laptop" },
    { 0x3351, "first_floor_sitting_laptop_guy_setup" },
    { 0x3352, "first_frame" },
    { 0x3353, "first_frame_time" },
    { 0x3354, "first_goal_node" },
    { 0x3355, "first_gunship_wing" },
    { 0x3356, "first_guy_leap_frog_logic" },
    { 0x3357, "first_launcher" },
    { 0x3358, "first_move" },
    { 0x3359, "first_patroller" },
    { 0x335A, "first_radiation_dialogue" },
    { 0x335B, "first_sonar_ping" },
    { 0x335C, "first_time_depth_charge" },
    { 0x335D, "first_time_depth_charge_drop_hint" },
    { 0x335E, "first_time_depth_charge_minigun_hint" },
    { 0x335F, "first_touch" },
    { 0x3360, "first_two_patrollers_at_goal" },
    { 0x3361, "first_zoom_level_fov" },
    { 0x3362, "firstblood" },
    { 0x3363, "firstbreacher" },
    { 0x3364, "firstcapture" },
    { 0x3365, "firstcontact" },
    { 0x3366, "firstcratedrop" },
    { 0x3367, "firstframe_combat_one_door" },
    { 0x3368, "firstframe_moving_cover" },
    { 0x3369, "firstframe_stealth_debris" },
    { 0x336A, "firstinit" },
    { 0x336B, "firstkillstreakearned" },
    { 0x336C, "firstload" },
    { 0x336D, "firstplacement" },
    { 0x336E, "firstspawn" },
    { 0x336F, "firsttimedamaged" },
    { 0x3370, "fish" },
    { 0x3371, "fish_model" },
    { 0x3372, "fishing_boat" },
    { 0x3373, "fixednodesafeheight" },
    { 0x3374, "fixednodesaferadius_default" },
    { 0x3375, "fixednodewason" },
    { 0x3376, "fixture_blink_lights" },
    { 0x3377, "fizzle_flashbangs_think" },
    { 0x3378, "fizzle_tracked" },
    { 0x3379, "flag" },
    { 0x337A, "flag_assert" },
    { 0x337B, "flag_checker" },
    { 0x337C, "flag_clear" },
    { 0x337D, "flag_clear_delayed" },
    { 0x337E, "flag_count" },
    { 0x337F, "flag_count_decrement" },
    { 0x3380, "flag_count_increment" },
    { 0x3381, "flag_count_set" },
    { 0x3382, "flag_end" },
    { 0x3383, "flag_exist" },
    { 0x3384, "flag_if_player_aims_knife_at_enemy" },
    { 0x3385, "flag_init" },
    { 0x3386, "flag_inits" },
    { 0x3387, "flag_on_death" },
    { 0x3388, "flag_set" },
    { 0x3389, "flag_set_delayed" },
    { 0x338A, "flag_set_near_ent" },
    { 0x338B, "flag_set_when_room_cleared" },
    { 0x338C, "flag_state" },
    { 0x338D, "flag_struct" },
    { 0x338E, "flag_tester_law" },
    { 0x338F, "flag_to_check" },
    { 0x3390, "flag_trigger_init" },
    { 0x3391, "flag_triggers_init" },
    { 0x3392, "flag_trigs" },
    { 0x3393, "flag_turret_for_use" },
    { 0x3394, "flag_wait" },
    { 0x3395, "flag_wait_all" },
    { 0x3396, "flag_wait_any" },
    { 0x3397, "flag_wait_any_or_timeout" },
    { 0x3398, "flag_wait_any_return" },
    { 0x3399, "flag_wait_badplace_brush" },
    { 0x339A, "flag_wait_delete" },
    { 0x339B, "flag_wait_either" },
    { 0x339C, "flag_wait_either_return" },
    { 0x339D, "flag_wait_func" },
    { 0x339E, "flag_wait_god_mode_off" },
    { 0x339F, "flag_wait_or_timeout" },
    { 0x33A0, "flag_waitopen" },
    { 0x33A1, "flag_waitopen_any" },
    { 0x33A2, "flag_waitopen_or_timeout" },
    { 0x33A3, "flag_watcher" },
    { 0x33A4, "flagbasefxid" },
    { 0x33A5, "flagged_for_use" },
    { 0x33A6, "flags" },
    { 0x33A7, "flags_lock" },
    { 0x33A8, "flagsetup" },
    { 0x33A9, "flagtowait" },
    { 0x33AA, "flagwaitthread" },
    { 0x33AB, "flagwaitthread_proc" },
    { 0x33AC, "flakfxid" },
    { 0x33AD, "flamestack_godrays" },
    { 0x33AE, "flare_attract_aliens" },
    { 0x33AF, "flare_doburnout" },
    { 0x33B0, "flare_duration" },
    { 0x33B1, "flare_flicker" },
    { 0x33B2, "flare_fx" },
    { 0x33B3, "flare_gun" },
    { 0x33B4, "flare_guys" },
    { 0x33B5, "flare_knife" },
    { 0x33B6, "flare_monitorattractor" },
    { 0x33B7, "flare_monitortakingoutmissile" },
    { 0x33B8, "flare_rig_anims" },
    { 0x33B9, "flare_trackvelocity" },
    { 0x33BA, "flare_tutorial_given" },
    { 0x33BB, "flareactiveradius" },
    { 0x33BC, "flareammo" },
    { 0x33BD, "flareauto" },
    { 0x33BE, "flarecooldown" },
    { 0x33BF, "flaredestroymissileradius" },
    { 0x33C0, "flareflicker" },
    { 0x33C1, "flarefx" },
    { 0x33C2, "flarefxexplode" },
    { 0x33C3, "flareindex" },
    { 0x33C4, "flarenumpairs" },
    { 0x33C5, "flareprotection" },
    { 0x33C6, "flarereloadtime" },
    { 0x33C7, "flarerig_animrate" },
    { 0x33C8, "flarerig_link" },
    { 0x33C9, "flarerig_name" },
    { 0x33CA, "flarerig_tagangles" },
    { 0x33CB, "flarerig_tagorigin" },
    { 0x33CC, "flares" },
    { 0x33CD, "flares_areavailable" },
    { 0x33CE, "flares_auto" },
    { 0x33CF, "flares_cleanflareslivearray" },
    { 0x33D0, "flares_deleteaftertime" },
    { 0x33D1, "flares_deploy" },
    { 0x33D2, "flares_fire" },
    { 0x33D3, "flares_fire_burst" },
    { 0x33D4, "flares_get_vehicle_velocity" },
    { 0x33D5, "flares_getflarelive" },
    { 0x33D6, "flares_getflarereserve" },
    { 0x33D7, "flares_getnumleft" },
    { 0x33D8, "flares_handleincomingsam" },
    { 0x33D9, "flares_handleincomingstinger" },
    { 0x33DA, "flares_monitor" },
    { 0x33DB, "flares_playfx" },
    { 0x33DC, "flares_redirect_missiles" },
    { 0x33DD, "flares_think" },
    { 0x33DE, "flares_watchsamproximity" },
    { 0x33DF, "flares_watchstingerproximity" },
    { 0x33E0, "flareslive" },
    { 0x33E1, "flaresound" },
    { 0x33E2, "flarespawnmaxpitchoffset" },
    { 0x33E3, "flarespawnmaxyawoffset" },
    { 0x33E4, "flarespawnminpitchoffset" },
    { 0x33E5, "flarespawnminyawoffset" },
    { 0x33E6, "flarespawnoffsetright" },
    { 0x33E7, "flaresreservecount" },
    { 0x33E8, "flarestack_alarm_01" },
    { 0x33E9, "flarestack_controller" },
    { 0x33EA, "flarestack_door" },
    { 0x33EB, "flarestack_door_close" },
    { 0x33EC, "flarestack_pressurelp_01" },
    { 0x33ED, "flarestack_pressurelp_02" },
    { 0x33EE, "flarestack_quake_lp_01" },
    { 0x33EF, "flarestack_siren" },
    { 0x33F0, "flarestack_swap" },
    { 0x33F1, "flarestack_turn_on_console_fx" },
    { 0x33F2, "flaretype" },
    { 0x33F3, "flash_ammo" },
    { 0x33F4, "flash_credit_gain" },
    { 0x33F5, "flash_fxs" },
    { 0x33F6, "flash_grenade_proc" },
    { 0x33F7, "flashanimindex" },
    { 0x33F8, "flashbang_fizzle" },
    { 0x33F9, "flashbanganim" },
    { 0x33FA, "flashbangedloop" },
    { 0x33FB, "flashbanggettimeleftsec" },
    { 0x33FC, "flashbangimmunity" },
    { 0x33FD, "flashbangisactive" },
    { 0x33FE, "flashbangs" },
    { 0x33FF, "flashbangstart" },
    { 0x3400, "flashbangstop" },
    { 0x3401, "flashduration" },
    { 0x3402, "flashed" },
    { 0x3403, "flashendtime" },
    { 0x3404, "flashfrac" },
    { 0x3405, "flashingteam" },
    { 0x3406, "flashintelicon" },
    { 0x3407, "flashlight" },
    { 0x3408, "flashlight_off" },
    { 0x3409, "flashlight_on" },
    { 0x340A, "flashlight_prop" },
    { 0x340B, "flashlight_tag_origin" },
    { 0x340C, "flashlight_toggle" },
    { 0x340D, "flashmonitor" },
    { 0x340E, "flashmonitorenablehealthshield" },
    { 0x340F, "flashnearbyallies" },
    { 0x3410, "flashperk" },
    { 0x3411, "flashrumbleduration" },
    { 0x3412, "flashrumbleloop" },
    { 0x3413, "flashthread" },
    { 0x3414, "flashthrown" },
    { 0x3415, "flat_angle" },
    { 0x3416, "flat_angle_yaw" },
    { 0x3417, "flat_origin" },
    { 0x3418, "flat_trigger" },
    { 0x3419, "flavorburstlinedebug" },
    { 0x341A, "flavorbursts" },
    { 0x341B, "flavorbursts_off" },
    { 0x341C, "flavorbursts_on" },
    { 0x341D, "flavorburstsused" },
    { 0x341E, "flavorburstvoices" },
    { 0x341F, "flavorburstwouldrepeat" },
    { 0x3420, "flee_from_flood" },
    { 0x3421, "flicker" },
    { 0x3422, "flicker_cg" },
    { 0x3423, "flickering_light" },
    { 0x3424, "flickerlight" },
    { 0x3425, "flickerlightintensity" },
    { 0x3426, "flight_controls" },
    { 0x3427, "flinch" },
    { 0x3428, "flinching" },
    { 0x3429, "flinchwhensuppressed" },
    { 0x342A, "fling_angles_use" },
    { 0x342B, "fling_debug" },
    { 0x342C, "fling_object" },
    { 0x342D, "flip_sky" },
    { 0x342E, "float_cars" },
    { 0x342F, "float_ent" },
    { 0x3430, "float_stuff" },
    { 0x3431, "floater_logic" },
    { 0x3432, "floating_corpses" },
    { 0x3433, "flock_fly_anim" },
    { 0x3434, "flock_handledamage" },
    { 0x3435, "flock_playsound" },
    { 0x3436, "flood_amb_fx" },
    { 0x3437, "flood_and_secure" },
    { 0x3438, "flood_and_secure_spawn" },
    { 0x3439, "flood_and_secure_spawn_goal" },
    { 0x343A, "flood_and_secure_spawner" },
    { 0x343B, "flood_and_secure_spawner_think" },
    { 0x343C, "flood_battlechatter_on" },
    { 0x343D, "flood_bokehdot" },
    { 0x343E, "flood_convoy_attackheli01_sfx" },
    { 0x343F, "flood_convoy_attackheli02_sfx" },
    { 0x3440, "flood_convoy_chopper1_sfx" },
    { 0x3441, "flood_convoy_chopper2_sfx" },
    { 0x3442, "flood_convoy_chopper4_sfx" },
    { 0x3443, "flood_convoy_exp_sfx" },
    { 0x3444, "flood_convoy_sfx" },
    { 0x3445, "flood_createfx_cleanup" },
    { 0x3446, "flood_current_goalnode" },
    { 0x3447, "flood_default_water_transion_fx" },
    { 0x3448, "flood_double_door_center" },
    { 0x3449, "flood_ending_fadeout" },
    { 0x344A, "flood_hasmantled" },
    { 0x344B, "flood_int_alarm01" },
    { 0x344C, "flood_int_doors" },
    { 0x344D, "flood_interactives_cleanup" },
    { 0x344E, "flood_intro_screen" },
    { 0x344F, "flood_intro_text" },
    { 0x3450, "flood_launcher_crash_sfx" },
    { 0x3451, "flood_locations" },
    { 0x3452, "flood_mall_roof_door" },
    { 0x3453, "flood_mall_roof_door_model" },
    { 0x3454, "flood_mall_roof_door_spawn" },
    { 0x3455, "flood_mall_weapon_model" },
    { 0x3456, "flood_near_miss" },
    { 0x3457, "flood_og_animplaybackrate" },
    { 0x3458, "flood_og_moveplaybackrate" },
    { 0x3459, "flood_og_movetransitionrate" },
    { 0x345A, "flood_onscreen_timer" },
    { 0x345B, "flood_player_default_jump_height" },
    { 0x345C, "flood_shake_tree" },
    { 0x345D, "flood_shake_tree_internal" },
    { 0x345E, "flood_source_bokehdots" },
    { 0x345F, "flood_spawn" },
    { 0x3460, "flood_spawner" },
    { 0x3461, "flood_spawner_init" },
    { 0x3462, "flood_spawner_scripted" },
    { 0x3463, "flood_spawner_stop" },
    { 0x3464, "flood_spawner_think" },
    { 0x3465, "flood_sweptaway" },
    { 0x3466, "flood_trigger_think" },
    { 0x3467, "flooded" },
    { 0x3468, "flooding_cleanup" },
    { 0x3469, "flooding_ext" },
    { 0x346A, "flooding_ext_start" },
    { 0x346B, "flooding_int" },
    { 0x346C, "flooding_int_start" },
    { 0x346D, "flooding_last_water_state" },
    { 0x346E, "flooding_stairs_vo" },
    { 0x346F, "floor_override" },
    { 0x3470, "flush_church_proc" },
    { 0x3471, "flush_sat_camp_1" },
    { 0x3472, "fly_around" },
    { 0x3473, "fly_around_start" },
    { 0x3474, "fly_away_or" },
    { 0x3475, "fly_by_01" },
    { 0x3476, "fly_distance" },
    { 0x3477, "fly_to_extraction_on_trigger" },
    { 0x3478, "flyaway_lynx_death_watcher" },
    { 0x3479, "flyheight" },
    { 0x347A, "flying_debris" },
    { 0x347B, "flyout_lights" },
    { 0x347C, "fndogmeleevictim" },
    { 0x347D, "fnlandanimstatechoice" },
    { 0x347E, "fnoverlord" },
    { 0x347F, "fnsetanimstates" },
    { 0x3480, "fog_screen" },
    { 0x3481, "fog_set" },
    { 0x3482, "fog_set_changes" },
    { 0x3483, "fog_transition_ent" },
    { 0x3484, "fogcheck" },
    { 0x3485, "fogflash" },
    { 0x3486, "fogset" },
    { 0x3487, "folded_sentry_use_wait" },
    { 0x3488, "foley" },
    { 0x3489, "foley_post_ambush" },
    { 0x348A, "foley_pre_ambush" },
    { 0x348B, "follow_icon_manager" },
    { 0x348C, "follow_on_went_hot" },
    { 0x348D, "follow_on_went_hot_logic" },
    { 0x348E, "follow_origin" },
    { 0x348F, "follow_path" },
    { 0x3490, "follow_path_and_animate" },
    { 0x3491, "follow_path_animate_set_ent" },
    { 0x3492, "follow_path_animate_set_node" },
    { 0x3493, "follow_path_animate_set_struct" },
    { 0x3494, "follow_path_wait_for_player" },
    { 0x3495, "follow_space_node_path" },
    { 0x3496, "follow_tank_enemies_spawn_func" },
    { 0x3497, "followedby" },
    { 0x3498, "following" },
    { 0x3499, "followspeed" },
    { 0x349A, "font_color" },
    { 0x349B, "font_size" },
    { 0x349C, "fontheight" },
    { 0x349D, "fontpulse" },
    { 0x349E, "fontpulseinit" },
    { 0x349F, "fontscaler" },
    { 0x34A0, "foo" },
    { 0x34A1, "food_truck" },
    { 0x34A2, "force" },
    { 0x34A3, "force_actor_space_rotation_update" },
    { 0x34A4, "force_actor_upright" },
    { 0x34A5, "force_all_complete" },
    { 0x34A6, "force_baker_to_node" },
    { 0x34A7, "force_civilian_hunched_run" },
    { 0x34A8, "force_civilian_stand_run" },
    { 0x34A9, "force_crawl_angle" },
    { 0x34AA, "force_crawling_death" },
    { 0x34AB, "force_crawling_death_proc" },
    { 0x34AC, "force_crouch" },
    { 0x34AD, "force_deathquote" },
    { 0x34AE, "force_dog_look_point" },
    { 0x34AF, "force_explosion" },
    { 0x34B0, "force_face_anim_to_play" },
    { 0x34B1, "force_goalradius" },
    { 0x34B2, "force_hint" },
    { 0x34B3, "force_intensity" },
    { 0x34B4, "force_kill" },
    { 0x34B5, "force_kill_balcony_keeganguy" },
    { 0x34B6, "force_mantle_trigs" },
    { 0x34B7, "force_next_earthquake" },
    { 0x34B8, "force_num_crawls" },
    { 0x34B9, "force_off" },
    { 0x34BA, "force_player_angles" },
    { 0x34BB, "force_player_to_end_upload" },
    { 0x34BC, "force_rorke_pathing_clip" },
    { 0x34BD, "force_rotation_update_listener" },
    { 0x34BE, "force_start_catchup" },
    { 0x34BF, "force_stop_sound" },
    { 0x34C0, "force_traversal" },
    { 0x34C1, "force_traversal_check_hit" },
    { 0x34C2, "force_weapon" },
    { 0x34C3, "forceattack" },
    { 0x34C4, "forcebuddyspawn" },
    { 0x34C5, "forcecolor" },
    { 0x34C6, "forced_current_intensity" },
    { 0x34C7, "forced_hint" },
    { 0x34C8, "forced_slowmo_breach_lerpout" },
    { 0x34C9, "forced_slowmo_breach_slowdown" },
    { 0x34CA, "forced_start_catchup" },
    { 0x34CB, "forced_startingposition" },
    { 0x34CC, "forcedend" },
    { 0x34CD, "forcedgameskill" },
    { 0x34CE, "forcedisable" },
    { 0x34CF, "forcedisconnectuntil" },
    { 0x34D0, "forcedtarget" },
    { 0x34D1, "forceend" },
    { 0x34D2, "forceendgame_alien" },
    { 0x34D3, "forceenglish" },
    { 0x34D4, "forceexploding" },
    { 0x34D5, "forcefallthroughonropes" },
    { 0x34D6, "forcegoal" },
    { 0x34D7, "forcegoal_radius" },
    { 0x34D8, "forcelongdeath" },
    { 0x34D9, "forceplayerweapon_end" },
    { 0x34DA, "forceplayerweapon_start" },
    { 0x34DB, "forceranking" },
    { 0x34DC, "forcesidearm" },
    { 0x34DD, "forcespawn" },
    { 0x34DE, "forcespawnangles" },
    { 0x34DF, "forcespawnorigin" },
    { 0x34E0, "forcespectatorent" },
    { 0x34E1, "forcesuppression" },
    { 0x34E2, "forcetrigger" },
    { 0x34E3, "forceuseweapon" },
    { 0x34E4, "forcing_rappel_jump_to_struct" },
    { 0x34E5, "foreman" },
    { 0x34E6, "forfeit_aborted" },
    { 0x34E7, "forfeitinprogress" },
    { 0x34E8, "forfeitwaitforabort" },
    { 0x34E9, "forget_time" },
    { 0x34EA, "format1" },
    { 0x34EB, "format2" },
    { 0x34EC, "formats" },
    { 0x34ED, "forty_five_sec_vo" },
    { 0x34EE, "forward_direction_worldspace" },
    { 0x34EF, "forward_for_vision_change" },
    { 0x34F0, "forwardgraphid" },
    { 0x34F1, "forwardpush" },
    { 0x34F2, "forwardvec" },
    { 0x34F3, "forwardyaw" },
    { 0x34F4, "found" },
    { 0x34F5, "found_corpse_wait" },
    { 0x34F6, "found_distsqrd" },
    { 0x34F7, "found_dog_distsqrd" },
    { 0x34F8, "found_toucher" },
    { 0x34F9, "foundwall" },
    { 0x34FA, "fov_get_ads" },
    { 0x34FB, "fov_get_default" },
    { 0x34FC, "fov_inner" },
    { 0x34FD, "fov_orig" },
    { 0x34FE, "fov_outer" },
    { 0x34FF, "fov_range" },
    { 0x3500, "fov_snipe" },
    { 0x3501, "frac" },
    { 0x3502, "frag_ammo" },
    { 0x3503, "frames" },
    { 0x3504, "frames_visible" },
    { 0x3505, "free_node" },
    { 0x3506, "free_on_death" },
    { 0x3507, "freeentitysentient_func" },
    { 0x3508, "freefall" },
    { 0x3509, "freegameplayhudelems" },
    { 0x350A, "freeplayer" },
    { 0x350B, "freeplayers" },
    { 0x350C, "freeze_input_until_player_pulls" },
    { 0x350D, "freezeallplayers" },
    { 0x350E, "freezecontrolswrapper" },
    { 0x350F, "freezeplayerforroundend" },
    { 0x3510, "freon_leak_fx_turn_off_damage" },
    { 0x3511, "freshen_smoke" },
    { 0x3512, "fridge_anims" },
    { 0x3513, "fridge_guy_alerted" },
    { 0x3514, "fridge_light_off" },
    { 0x3515, "friend_kill_points" },
    { 0x3516, "friendlies_breach" },
    { 0x3517, "friendlies_execute_enemies" },
    { 0x3518, "friendlies_shoot_while_breaching" },
    { 0x3519, "friendly_acc_hidden" },
    { 0x351A, "friendly_acc_spotted" },
    { 0x351B, "friendly_adjust_movement_speed" },
    { 0x351C, "friendly_anim_ent" },
    { 0x351D, "friendly_animations" },
    { 0x351E, "friendly_breach" },
    { 0x351F, "friendly_breach_thread" },
    { 0x3520, "friendly_bubbles" },
    { 0x3521, "friendly_bubbles_cleanup" },
    { 0x3522, "friendly_bubbles_cleanup_on_death" },
    { 0x3523, "friendly_bubbles_stop" },
    { 0x3524, "friendly_can_teleport" },
    { 0x3525, "friendly_color_hidden" },
    { 0x3526, "friendly_color_spotted" },
    { 0x3527, "friendly_compute_score" },
    { 0x3528, "friendly_compute_stances_ai" },
    { 0x3529, "friendly_compute_stances_player" },
    { 0x352A, "friendly_custom_acc_behavior" },
    { 0x352B, "friendly_custom_color_behavior" },
    { 0x352C, "friendly_custom_state_behavior" },
    { 0x352D, "friendly_default_acc_behavior" },
    { 0x352E, "friendly_default_color_behavior" },
    { 0x352F, "friendly_default_movespeed_scale" },
    { 0x3530, "friendly_default_stance_handler_distances" },
    { 0x3531, "friendly_default_state_behavior" },
    { 0x3532, "friendly_fire_checkpoints" },
    { 0x3533, "friendly_fire_enable" },
    { 0x3534, "friendly_fire_fail_check" },
    { 0x3535, "friendly_fire_think" },
    { 0x3536, "friendly_getangles_ai" },
    { 0x3537, "friendly_getangles_player" },
    { 0x3538, "friendly_getstance_ai" },
    { 0x3539, "friendly_getstance_player" },
    { 0x353A, "friendly_getvelocity" },
    { 0x353B, "friendly_hud_destroy_on_mission_end" },
    { 0x353C, "friendly_hud_icon_blink_on_damage" },
    { 0x353D, "friendly_hud_icon_blink_on_fire" },
    { 0x353E, "friendly_hud_icon_flash" },
    { 0x353F, "friendly_hud_init" },
    { 0x3540, "friendly_init" },
    { 0x3541, "friendly_jungle_stealth_color_behavior" },
    { 0x3542, "friendly_mg42" },
    { 0x3543, "friendly_mg42_cleanup" },
    { 0x3544, "friendly_mg42_death_notify" },
    { 0x3545, "friendly_mg42_doneusingturret" },
    { 0x3546, "friendly_mg42_endtrigger" },
    { 0x3547, "friendly_mg42_stop_use" },
    { 0x3548, "friendly_mg42_think" },
    { 0x3549, "friendly_mg42_useable" },
    { 0x354A, "friendly_mg42_wait_for_use" },
    { 0x354B, "friendly_mgturret" },
    { 0x354C, "friendly_navigation" },
    { 0x354D, "friendly_nearby" },
    { 0x354E, "friendly_promotion_thread" },
    { 0x354F, "friendly_respawn_lock_func" },
    { 0x3550, "friendly_respawn_vision_checker_thread" },
    { 0x3551, "friendly_set_movespeed_scale" },
    { 0x3552, "friendly_set_stance_handler_distances" },
    { 0x3553, "friendly_setup" },
    { 0x3554, "friendly_setup_apache_section" },
    { 0x3555, "friendly_should_speed_up" },
    { 0x3556, "friendly_spawner" },
    { 0x3557, "friendly_spawner_vision_checker" },
    { 0x3558, "friendly_spotted_getup_from_prone" },
    { 0x3559, "friendly_stance_handler" },
    { 0x355A, "friendly_stance_handler_change_stance_down" },
    { 0x355B, "friendly_stance_handler_change_stance_up" },
    { 0x355C, "friendly_stance_handler_check_mightbeseen" },
    { 0x355D, "friendly_stance_handler_resume_path" },
    { 0x355E, "friendly_stance_handler_return_ai_sight" },
    { 0x355F, "friendly_stance_handler_set_stance_up" },
    { 0x3560, "friendly_stance_handler_stay_still" },
    { 0x3561, "friendly_startup_thread" },
    { 0x3562, "friendly_state_hidden" },
    { 0x3563, "friendly_state_spotted" },
    { 0x3564, "friendly_stealth" },
    { 0x3565, "friendly_stream_navigation" },
    { 0x3566, "friendly_thermal_reflector_effect" },
    { 0x3567, "friendly_vehicle_activate_outline" },
    { 0x3568, "friendly_visibility_logic" },
    { 0x3569, "friendly_wave" },
    { 0x356A, "friendly_wave_active" },
    { 0x356B, "friendly_wave_masterthread" },
    { 0x356C, "friendly_wave_trigger" },
    { 0x356D, "friendlychain" },
    { 0x356E, "friendlychain_ondeath" },
    { 0x356F, "friendlychain_ondeaththink" },
    { 0x3570, "friendlychains" },
    { 0x3571, "friendlydamage" },
    { 0x3572, "friendlydeath_thread" },
    { 0x3573, "friendlyfire" },
    { 0x3574, "friendlyfire_damage_modifier" },
    { 0x3575, "friendlyfire_destructible_attacker" },
    { 0x3576, "friendlyfire_enable_attacker_owner_check" },
    { 0x3577, "friendlyfire_max_participation" },
    { 0x3578, "friendlyfire_shield" },
    { 0x3579, "friendlyfire_warning" },
    { 0x357A, "friendlyfire_warnings" },
    { 0x357B, "friendlyfire_warnings_disable" },
    { 0x357C, "friendlyfire_warnings_off" },
    { 0x357D, "friendlyfire_warnings_on" },
    { 0x357E, "friendlyfire_whizby_distances_valid" },
    { 0x357F, "friendlyfirecheck" },
    { 0x3580, "friendlyfiredisabled" },
    { 0x3581, "friendlyfiredisabledfordestructible" },
    { 0x3582, "friendlyhudicon_currentmaterial" },
    { 0x3583, "friendlyhudicon_disable" },
    { 0x3584, "friendlyhudicon_downed" },
    { 0x3585, "friendlyhudicon_enable" },
    { 0x3586, "friendlyhudicon_hideall" },
    { 0x3587, "friendlyhudicon_normal" },
    { 0x3588, "friendlyhudicon_rotating" },
    { 0x3589, "friendlyhudicon_showall" },
    { 0x358A, "friendlyhudicon_update" },
    { 0x358B, "friendlyicon" },
    { 0x358C, "friendlymodel" },
    { 0x358D, "friendlyspawnorg" },
    { 0x358E, "friendlyspawntrigger" },
    { 0x358F, "friendlyspawnwave" },
    { 0x3590, "friendlyspawnwave_triggerthink" },
    { 0x3591, "friendlytrigger" },
    { 0x3592, "friendlywave_thread" },
    { 0x3593, "friendlywaypoint" },
    { 0x3594, "friends_reaction_to_enemy_plane" },
    { 0x3595, "front_elevator" },
    { 0x3596, "front_elevator_jet_anim" },
    { 0x3597, "front_elevator_vol" },
    { 0x3598, "front_jerk" },
    { 0x3599, "front_left_anchor_impact" },
    { 0x359A, "front_right_anchor_impact" },
    { 0x359B, "front_velocity" },
    { 0x359C, "front_weight" },
    { 0x359D, "front_wheel_sfx" },
    { 0x359E, "fronttank" },
    { 0x359F, "froth_vfx" },
    { 0x35A0, "fudge_ally_accuracy" },
    { 0x35A1, "full_damage_scaler" },
    { 0x35A2, "fullintensitytime" },
    { 0x35A3, "fullmodel" },
    { 0x35A4, "fullsights" },
    { 0x35A5, "func" },
    { 0x35A6, "func_bot_get_closest_navigable_point" },
    { 0x35A7, "func_cangive" },
    { 0x35A8, "func_create_loopsound" },
    { 0x35A9, "func_destructible_crush_player" },
    { 0x35AA, "func_get_level_fx" },
    { 0x35AB, "func_get_nodes_on_path" },
    { 0x35AC, "func_get_path_dist" },
    { 0x35AD, "func_give" },
    { 0x35AE, "func_glass_handler" },
    { 0x35AF, "func_loopfxthread" },
    { 0x35B0, "func_oneshotfxthread" },
    { 0x35B1, "func_player_speed" },
    { 0x35B2, "func_position_player" },
    { 0x35B3, "func_position_player_get" },
    { 0x35B4, "func_process_fx_rotater" },
    { 0x35B5, "func_updatefx" },
    { 0x35B6, "func_waittill_msg" },
    { 0x35B7, "function_stack" },
    { 0x35B8, "function_stack_caller_waits_for_turn" },
    { 0x35B9, "function_stack_clear" },
    { 0x35BA, "function_stack_func_begun" },
    { 0x35BB, "function_stack_proc" },
    { 0x35BC, "function_stack_self_death" },
    { 0x35BD, "function_stack_timeout" },
    { 0x35BE, "function_stack_wait" },
    { 0x35BF, "function_stack_wait_finish" },
    { 0x35C0, "function_trigger_switch" },
    { 0x35C1, "funnel_player" },
    { 0x35C2, "funnel_player_internal" },
    { 0x35C3, "furniturepushsound" },
    { 0x35C4, "future_start_percent" },
    { 0x35C5, "fx" },
    { 0x35C6, "fx_add_crater_plume" },
    { 0x35C7, "fx_airlock_ambient" },
    { 0x35C8, "fx_airstrike_afterburner" },
    { 0x35C9, "fx_airstrike_contrail" },
    { 0x35CA, "fx_airstrike_wingtip_light_green" },
    { 0x35CB, "fx_airstrike_wingtip_light_red" },
    { 0x35CC, "fx_ally1_kill_tussle_bubbles_02" },
    { 0x35CD, "fx_ally1_kill_upper_bubbles" },
    { 0x35CE, "fx_ambient_setup" },
    { 0x35CF, "fx_angry_flood_nearmiss" },
    { 0x35D0, "fx_array" },
    { 0x35D1, "fx_aurora_anim" },
    { 0x35D2, "fx_blood_splatter" },
    { 0x35D3, "fx_bokehdots_and_waterdrops_heavy" },
    { 0x35D4, "fx_bokehdots_close" },
    { 0x35D5, "fx_bokehdots_far" },
    { 0x35D6, "fx_bridgefall" },
    { 0x35D7, "fx_bridgefall_large_splash" },
    { 0x35D8, "fx_bridgefall_med_splash" },
    { 0x35D9, "fx_bridgefall_small_splash" },
    { 0x35DA, "fx_burnup" },
    { 0x35DB, "fx_burnup_kyra" },
    { 0x35DC, "fx_burnup_player" },
    { 0x35DD, "fx_burnup_sat" },
    { 0x35DE, "fx_c2_rog_satelittes_close_01" },
    { 0x35DF, "fx_cabin_seafloor_impact" },
    { 0x35E0, "fx_camp_truck_submerge" },
    { 0x35E1, "fx_camp_truck_submerge_body" },
    { 0x35E2, "fx_camp_truck_submerge_front" },
    { 0x35E3, "fx_camp_truck_submerge_rear" },
    { 0x35E4, "fx_charge1_pos" },
    { 0x35E5, "fx_charge2_pos" },
    { 0x35E6, "fx_checkpoint_states" },
    { 0x35E7, "fx_climb_out_test" },
    { 0x35E8, "fx_command_interior_on" },
    { 0x35E9, "fx_command_snow" },
    { 0x35EA, "fx_command_window_light_off" },
    { 0x35EB, "fx_command_window_light_on" },
    { 0x35EC, "fx_console_button_light" },
    { 0x35ED, "fx_contrail_tag" },
    { 0x35EE, "fx_crack_test" },
    { 0x35EF, "fx_crater_plume" },
    { 0x35F0, "fx_create_bokehdots_source" },
    { 0x35F1, "fx_create_sunflare_beach" },
    { 0x35F2, "fx_create_sunflare_source" },
    { 0x35F3, "fx_dam_explosion" },
    { 0x35F4, "fx_dam_missile_afterburn_01" },
    { 0x35F5, "fx_dam_missile_dust" },
    { 0x35F6, "fx_dam_missile_launch_01" },
    { 0x35F7, "fx_dam_missile_launch_02" },
    { 0x35F8, "fx_dam_missile_launch_03" },
    { 0x35F9, "fx_dam_missile_launch_04" },
    { 0x35FA, "fx_dam_waterfall_hide" },
    { 0x35FB, "fx_dam_waterfall_show" },
    { 0x35FC, "fx_debri_combat_one" },
    { 0x35FD, "fx_door_open" },
    { 0x35FE, "fx_drip_switcher" },
    { 0x35FF, "fx_dustysmoke_plume_03" },
    { 0x3600, "fx_endbeach_sunflare" },
    { 0x3601, "fx_endswim_blood_cloud" },
    { 0x3602, "fx_ent" },
    { 0x3603, "fx_ent_think" },
    { 0x3604, "fx_ents" },
    { 0x3605, "fx_ents_playfx" },
    { 0x3606, "fx_escape_ambient" },
    { 0x3607, "fx_escape_fire_rods" },
    { 0x3608, "fx_escape_play_rog_impact" },
    { 0x3609, "fx_exfil_lifeboat_wake" },
    { 0x360A, "fx_fires" },
    { 0x360B, "fx_flarestack_motion" },
    { 0x360C, "fx_fuel_explosion_pre_fx" },
    { 0x360D, "fx_fwd" },
    { 0x360E, "fx_glass_back" },
    { 0x360F, "fx_glass_cracks_01" },
    { 0x3610, "fx_glass_front" },
    { 0x3611, "fx_glass_front_b" },
    { 0x3612, "fx_glass_mid_1" },
    { 0x3613, "fx_glass_mid_2" },
    { 0x3614, "fx_hatchet_face_1" },
    { 0x3615, "fx_heli_land" },
    { 0x3616, "fx_helmet_crack" },
    { 0x3617, "fx_helmet_mask_off" },
    { 0x3618, "fx_helmet_mask_on" },
    { 0x3619, "fx_helmet_melt" },
    { 0x361A, "fx_hesh_neck_cut" },
    { 0x361B, "fx_highlightedent" },
    { 0x361C, "fx_idle" },
    { 0x361D, "fx_infil_heli_smoke" },
    { 0x361E, "fx_infil_red_shirt_die" },
    { 0x361F, "fx_infil_rog" },
    { 0x3620, "fx_init" },
    { 0x3621, "fx_intro_amb" },
    { 0x3622, "fx_intro_ambient" },
    { 0x3623, "fx_intro_friendly_glowsticks" },
    { 0x3624, "fx_jump_ambient" },
    { 0x3625, "fx_jump_ambient_fire_killer" },
    { 0x3626, "fx_leave_tag" },
    { 0x3627, "fx_lens_drops_01" },
    { 0x3628, "fx_lens_drops_02" },
    { 0x3629, "fx_lens_drops_03" },
    { 0x362A, "fx_lens_drops_04" },
    { 0x362B, "fx_lens_drops_05" },
    { 0x362C, "fx_like_dust_in_the_wind_01" },
    { 0x362D, "fx_like_dust_in_the_wind_02" },
    { 0x362E, "fx_like_dust_in_the_wind_03" },
    { 0x362F, "fx_location" },
    { 0x3630, "fx_lynx_sparks" },
    { 0x3631, "fx_mall_roof_amb_fx" },
    { 0x3632, "fx_mall_roof_water_hide" },
    { 0x3633, "fx_mall_roof_water_show" },
    { 0x3634, "fx_mall_rooftop_debris" },
    { 0x3635, "fx_mall_rooftop_hide_shadow_geo" },
    { 0x3636, "fx_missile_launch" },
    { 0x3637, "fx_odin_monitor_bink_init" },
    { 0x3638, "fx_on" },
    { 0x3639, "fx_opfor3_pushdown_bubbles" },
    { 0x363A, "fx_opfor3_tussle_bubbles" },
    { 0x363B, "fx_org" },
    { 0x363C, "fx_org_belly" },
    { 0x363D, "fx_org_belly2" },
    { 0x363E, "fx_org_body" },
    { 0x363F, "fx_org_engine" },
    { 0x3640, "fx_org_tail" },
    { 0x3641, "fx_org_tail_break" },
    { 0x3642, "fx_org_tail_rotor" },
    { 0x3643, "fx_origin" },
    { 0x3644, "fx_origin_link_with_train_angles" },
    { 0x3645, "fx_origin_with_train_angles" },
    { 0x3646, "fx_parking_garage_ambient" },
    { 0x3647, "fx_parking_garage_hide_godrays" },
    { 0x3648, "fx_paused" },
    { 0x3649, "fx_perif_fleet_mainguns" },
    { 0x364A, "fx_player_submerge_01" },
    { 0x364B, "fx_player_submerge_01_endwreck" },
    { 0x364C, "fx_playerview_fieryflash_01" },
    { 0x364D, "fx_quick_hit_blur" },
    { 0x364E, "fx_refinery_ceiling_fire" },
    { 0x364F, "fx_retarget_rooftop_water_lighting" },
    { 0x3650, "fx_retarget_warehouse_waters_lighting" },
    { 0x3651, "fx_rog_amb_exp" },
    { 0x3652, "fx_rog_satelittes_close_01" },
    { 0x3653, "fx_rog_satelittes_close_02" },
    { 0x3654, "fx_rog_satelittes_close_03" },
    { 0x3655, "fx_rog_satelittes_fire_fx_close" },
    { 0x3656, "fx_rog_satelittes_firing_c1" },
    { 0x3657, "fx_rog_satelittes_firing_c2" },
    { 0x3658, "fx_rog_trail" },
    { 0x3659, "fx_rooftop2_ambient" },
    { 0x365A, "fx_rooftop_collapse_fx" },
    { 0x365B, "fx_rooftop_crush_dust" },
    { 0x365C, "fx_rooftops_wall_kick" },
    { 0x365D, "fx_rooftops_water_hide" },
    { 0x365E, "fx_rotate_lights" },
    { 0x365F, "fx_rotate_lights_setup" },
    { 0x3660, "fx_rotating" },
    { 0x3661, "fx_sat_ambient" },
    { 0x3662, "fx_sat_doors_close" },
    { 0x3663, "fx_sat_doors_open" },
    { 0x3664, "fx_sat_explosion" },
    { 0x3665, "fx_sat_rcs_damage" },
    { 0x3666, "fx_sat_rcs_damage_kill" },
    { 0x3667, "fx_sat_thrusters_damage" },
    { 0x3668, "fx_screen_bokehdots_grit01" },
    { 0x3669, "fx_screen_bokehdots_rain" },
    { 0x366A, "fx_screen_oildrops" },
    { 0x366B, "fx_screen_raindrops" },
    { 0x366C, "fx_screen_raindrops_cleanup" },
    { 0x366D, "fx_screen_raindrops_fast_kill" },
    { 0x366E, "fx_screen_water_sheeting" },
    { 0x366F, "fx_sea_spray" },
    { 0x3670, "fx_sea_spray_player_effect" },
    { 0x3671, "fx_set_alpha_threshold" },
    { 0x3672, "fx_setup_mask" },
    { 0x3673, "fx_setup_sat_lights" },
    { 0x3674, "fx_shuttle_dock" },
    { 0x3675, "fx_skybridge_event" },
    { 0x3676, "fx_skybridge_room_bokeh_01" },
    { 0x3677, "fx_skybridge_room_bokeh_02" },
    { 0x3678, "fx_snakecam_lens_shmutz" },
    { 0x3679, "fx_snow_shockwave" },
    { 0x367A, "fx_snow_windtunnel" },
    { 0x367B, "fx_snowmobile_light" },
    { 0x367C, "fx_solar_panel_collision_kyra" },
    { 0x367D, "fx_solar_panel_collision_player" },
    { 0x367E, "fx_space_breach" },
    { 0x367F, "fx_space_glass" },
    { 0x3680, "fx_spin_ambient" },
    { 0x3681, "fx_spin_fire_rods" },
    { 0x3682, "fx_spin_play_rog_impact" },
    { 0x3683, "fx_spin_player_debris" },
    { 0x3684, "fx_spin_solar_panel_collision_01" },
    { 0x3685, "fx_spin_solar_panel_collision_02" },
    { 0x3686, "fx_stealth_ambient" },
    { 0x3687, "fx_stealthkill_02_blood_01" },
    { 0x3688, "fx_stealthkill_02_blood_02" },
    { 0x3689, "fx_stealthkill_02_opfor2_blood_01" },
    { 0x368A, "fx_stealthkill_02_opfor2_blood_02" },
    { 0x368B, "fx_stun_damage" },
    { 0x368C, "fx_swept_amb_fx" },
    { 0x368D, "fx_swept_dunk_bubbles" },
    { 0x368E, "fx_swept_water_hide" },
    { 0x368F, "fx_swim_bubbles" },
    { 0x3690, "fx_swim_door_light" },
    { 0x3691, "fx_tag" },
    { 0x3692, "fx_tag2" },
    { 0x3693, "fx_tag_origin" },
    { 0x3694, "fx_tag_prop_wash" },
    { 0x3695, "fx_tag_prop_wash1" },
    { 0x3696, "fx_tag_prop_wash2" },
    { 0x3697, "fx_tank_window_break" },
    { 0x3698, "fx_test" },
    { 0x3699, "fx_time" },
    { 0x369A, "fx_turn_on_bokehdots_16_player" },
    { 0x369B, "fx_turn_on_bokehdots_16_player_kill" },
    { 0x369C, "fx_turn_on_bokehdots_32_player" },
    { 0x369D, "fx_turn_on_bokehdots_64_player" },
    { 0x369E, "fx_turn_on_introfx" },
    { 0x369F, "fx_turn_on_tunnel_lights" },
    { 0x36A0, "fx_turnon_loco_exterior_lights" },
    { 0x36A1, "fx_turnon_loco_interior_lights" },
    { 0x36A2, "fx_turnon_rooftop_lights" },
    { 0x36A3, "fx_turnon_tunnel_lights_01" },
    { 0x36A4, "fx_underwater_amb_01" },
    { 0x36A5, "fx_underwater_redlights" },
    { 0x36A6, "fx_vision_fog_init" },
    { 0x36A7, "fx_volume_pause" },
    { 0x36A8, "fx_volume_pause_noteworthy" },
    { 0x36A9, "fx_volume_pause_noteworthy_thread" },
    { 0x36AA, "fx_volume_restart" },
    { 0x36AB, "fx_volume_restart_noteworthy" },
    { 0x36AC, "fx_volume_restart_noteworthy_thread" },
    { 0x36AD, "fx_warehouse_ally_mantle" },
    { 0x36AE, "fx_warehouse_amb_fx" },
    { 0x36AF, "fx_warehouse_door_breach" },
    { 0x36B0, "fx_warehouse_door_burst" },
    { 0x36B1, "fx_warehouse_door_burst_02" },
    { 0x36B2, "fx_warehouse_double_doors" },
    { 0x36B3, "fx_warehouse_floating_debris" },
    { 0x36B4, "fx_warehouse_floating_debris_int" },
    { 0x36B5, "fx_warehouse_splashes" },
    { 0x36B6, "fx_warehouse_stop_cover_water" },
    { 0x36B7, "fx_warehouse_underwater_fx_off" },
    { 0x36B8, "fx_warehouse_underwater_fx_on" },
    { 0x36B9, "fx_water_surface_floater" },
    { 0x36BA, "fx_waterdrops_20_inst" },
    { 0x36BB, "fx_waterdrops_20_inst_kill" },
    { 0x36BC, "fx_waterdrops_3" },
    { 0x36BD, "fx_waterwipe_above" },
    { 0x36BE, "fx_waterwipe_under" },
    { 0x36BF, "fx_wh_splashes" },
    { 0x36C0, "fxcost" },
    { 0x36C1, "fxdelay" },
    { 0x36C2, "fxent" },
    { 0x36C3, "fxexists" },
    { 0x36C4, "fxfireloopmod" },
    { 0x36C5, "fxhudelements" },
    { 0x36C6, "fxid" },
    { 0x36C7, "fxid_contrail" },
    { 0x36C8, "fxid_explode" },
    { 0x36C9, "fxid_leave" },
    { 0x36CA, "fxid_light1" },
    { 0x36CB, "fxid_light2" },
    { 0x36CC, "fxid_light3" },
    { 0x36CD, "fxid_light4" },
    { 0x36CE, "fxid_ping" },
    { 0x36CF, "fxid_sparks" },
    { 0x36D0, "fxlaserent" },
    { 0x36D1, "fxorg" },
    { 0x36D2, "fxstart" },
    { 0x36D3, "fxstop" },
    { 0x36D4, "fxtag" },
    { 0x36D5, "fxtags" },
    { 0x36D6, "fxtime" },
    { 0x36D7, "g" },
    { 0x36D8, "g_bob_scale_get_func" },
    { 0x36D9, "g_bob_scale_set_func" },
    { 0x36DA, "g_friendlynamedist" },
    { 0x36DB, "g_friendlynamedist_old" },
    { 0x36DC, "g_speed" },
    { 0x36DD, "g_speed_get_func" },
    { 0x36DE, "g_speed_set_func" },
    { 0x36DF, "gain" },
    { 0x36E0, "gain_credit_message" },
    { 0x36E1, "gamblerability" },
    { 0x36E2, "gambleranimwatcher" },
    { 0x36E3, "game_is_current_gen" },
    { 0x36E4, "game_is_ng" },
    { 0x36E5, "game_is_pc" },
    { 0x36E6, "game_message_append" },
    { 0x36E7, "game_message_display" },
    { 0x36E8, "game_message_listen" },
    { 0x36E9, "game_messages" },
    { 0x36EA, "game_messages_process" },
    { 0x36EB, "game_messages_shutdown" },
    { 0x36EC, "game_messages_startup" },
    { 0x36ED, "gamealreadyended" },
    { 0x36EE, "gameended" },
    { 0x36EF, "gameendlistener" },
    { 0x36F0, "gameendtime" },
    { 0x36F1, "gameflag" },
    { 0x36F2, "gameflagclear" },
    { 0x36F3, "gameflaginit" },
    { 0x36F4, "gameflagset" },
    { 0x36F5, "gameflagwait" },
    { 0x36F6, "gamehasstarted" },
    { 0x36F7, "gamemode_chosenclass" },
    { 0x36F8, "gamemodefirstspawn" },
    { 0x36F9, "gamemodejoinedatstart" },
    { 0x36FA, "gamemodemaydropweapon" },
    { 0x36FB, "gamemodemodifyplayerdamage" },
    { 0x36FC, "gameobject_fauxspawn" },
    { 0x36FD, "gameshouldend" },
    { 0x36FE, "gameskill" },
    { 0x36FF, "gameskill_change_monitor" },
    { 0x3700, "gameskill_is_difficult" },
    { 0x3701, "gameskill_settings" },
    { 0x3702, "gamestart_light_fix" },
    { 0x3703, "gametimeoffset" },
    { 0x3704, "gametimer" },
    { 0x3705, "gametweaks" },
    { 0x3706, "gametype" },
    { 0x3707, "gametypestarted" },
    { 0x3708, "gamewinnerdialog" },
    { 0x3709, "gapfixlevel" },
    { 0x370A, "garage" },
    { 0x370B, "garage_alert_handle" },
    { 0x370C, "garage_ally_move476" },
    { 0x370D, "garage_ally_move476_jumpers" },
    { 0x370E, "garage_ally_move477" },
    { 0x370F, "garage_ally_move478" },
    { 0x3710, "garage_ally_move479" },
    { 0x3711, "garage_ally_move480" },
    { 0x3712, "garage_autosave_before_heli_attack" },
    { 0x3713, "garage_door_logic" },
    { 0x3714, "garage_door_nag" },
    { 0x3715, "garage_jeep_start_skid" },
    { 0x3716, "garage_jump_01" },
    { 0x3717, "garage_jump_01_spawn" },
    { 0x3718, "garage_jump_02" },
    { 0x3719, "garage_jump_02_spawn" },
    { 0x371A, "garage_malllight_off" },
    { 0x371B, "garage_misc" },
    { 0x371C, "garage_opening_collapse" },
    { 0x371D, "garage_player_invulnerable" },
    { 0x371E, "garage_progress_look_at_test" },
    { 0x371F, "garage_start" },
    { 0x3720, "garage_teleport_allies_off_debrisbridge" },
    { 0x3721, "garage_teleported" },
    { 0x3722, "garage_velocity_loops" },
    { 0x3723, "garage_wave" },
    { 0x3724, "garage_wave2_trig" },
    { 0x3725, "garage_wave3_trig" },
    { 0x3726, "garage_wave4_trig" },
    { 0x3727, "garage_wave_get_furthest" },
    { 0x3728, "garagetag" },
    { 0x3729, "garden_enemies_cyan_needed" },
    { 0x372A, "garden_enemies_delete" },
    { 0x372B, "garden_enemies_yellow_needed" },
    { 0x372C, "garden_enemy_guys_cyan" },
    { 0x372D, "garden_enemy_guys_yellow" },
    { 0x372E, "garden_enemy_shiftback_2" },
    { 0x372F, "garden_entity_cleanup" },
    { 0x3730, "garden_entry_enemies" },
    { 0x3731, "garden_gameplay" },
    { 0x3732, "garden_glass_room_guy_spawnfunc" },
    { 0x3733, "garden_idf_guys_orange" },
    { 0x3734, "garden_idf_guys_yellow" },
    { 0x3735, "garden_idf_orange_needed" },
    { 0x3736, "garden_idf_yellow_needed" },
    { 0x3737, "garden_last_stand" },
    { 0x3738, "garden_move_allies_to_end" },
    { 0x3739, "garden_transient_sync" },
    { 0x373A, "garden_vo" },
    { 0x373B, "garden_wave1" },
    { 0x373C, "garden_wave2" },
    { 0x373D, "garden_wave_final" },
    { 0x373E, "garden_window_break" },
    { 0x373F, "gas_cloud_available" },
    { 0x3740, "gas_cloud_available_timer" },
    { 0x3741, "gas_damage_scalar" },
    { 0x3742, "gas_flee_guys" },
    { 0x3743, "gas_mask_off_player_anim" },
    { 0x3744, "gas_mask_on_player_anim" },
    { 0x3745, "gas_pump_damage_monitor" },
    { 0x3746, "gas_station" },
    { 0x3747, "gas_station_add_event" },
    { 0x3748, "gas_station_connect_node" },
    { 0x3749, "gas_station_disconnect_node" },
    { 0x374A, "gas_station_earthquake" },
    { 0x374B, "gas_station_events" },
    { 0x374C, "gas_station_init" },
    { 0x374D, "gas_station_launch_ent" },
    { 0x374E, "gas_station_play_fx" },
    { 0x374F, "gas_station_playsound" },
    { 0x3750, "gas_station_precache" },
    { 0x3751, "gas_station_run_events" },
    { 0x3752, "gas_station_run_func_on_notify" },
    { 0x3753, "gas_station_update_clip" },
    { 0x3754, "gasfire" },
    { 0x3755, "gasmask" },
    { 0x3756, "gasmask_breathing" },
    { 0x3757, "gasmask_hud_elem" },
    { 0x3758, "gasmask_hud_off" },
    { 0x3759, "gasmask_hud_on" },
    { 0x375A, "gasmask_on" },
    { 0x375B, "gasmask_on_npc" },
    { 0x375C, "gasstation_ambient_aa72" },
    { 0x375D, "gasstation_bully_kick" },
    { 0x375E, "gasstation_civs" },
    { 0x375F, "gasstation_civs_logic" },
    { 0x3760, "gasstation_did_player_rush" },
    { 0x3761, "gasstation_did_player_rush_pipe" },
    { 0x3762, "gasstation_enemy_globals" },
    { 0x3763, "gasstation_execution_timing" },
    { 0x3764, "gasstation_executioners_logic" },
    { 0x3765, "gasstation_guys" },
    { 0x3766, "gasstation_takedown_knife_notetrack_func" },
    { 0x3767, "gasstation_waittill_clear_or_bypassed" },
    { 0x3768, "gate_being_used" },
    { 0x3769, "gateopen" },
    { 0x376A, "gates" },
    { 0x376B, "gather_delay" },
    { 0x376C, "gather_delay_proc" },
    { 0x376D, "gaz_additive_anims" },
    { 0x376E, "gaz_additive_anims_push" },
    { 0x376F, "gaz_additive_anims_release" },
    { 0x3770, "gaz_crush" },
    { 0x3771, "gaz_crush_trigger_wait" },
    { 0x3772, "gaz_crushable_setup" },
    { 0x3773, "gaz_custom_death" },
    { 0x3774, "gaz_damage_watcher" },
    { 0x3775, "gaz_kill" },
    { 0x3776, "gaz_relative_speed" },
    { 0x3777, "gaz_relative_speed_stop" },
    { 0x3778, "gaz_spawn_setup" },
    { 0x3779, "gaz_turret_guy_gettin_func" },
    { 0x377A, "gazvehicles" },
    { 0x377B, "geiger_sound_source" },
    { 0x377C, "generate_cheap_falling_object" },
    { 0x377D, "generate_fx_log" },
    { 0x377E, "generatemaxweightedcratevalue" },
    { 0x377F, "generatepath" },
    { 0x3780, "generatesquadname" },
    { 0x3781, "generator" },
    { 0x3782, "generatoraoetracker" },
    { 0x3783, "generators" },
    { 0x3784, "generatortype" },
    { 0x3785, "generic_combat" },
    { 0x3786, "generic_damage_think" },
    { 0x3787, "generic_dialogue_queue" },
    { 0x3788, "generic_double_strobe" },
    { 0x3789, "generic_flicker" },
    { 0x378A, "generic_flicker_msg_watcher" },
    { 0x378B, "generic_flicker_pause" },
    { 0x378C, "generic_flickering" },
    { 0x378D, "generic_gaz_dynamic_path_spawner_setup" },
    { 0x378E, "generic_gaz_spawner_setup" },
    { 0x378F, "generic_gun_fire_at_player" },
    { 0x3790, "generic_human" },
    { 0x3791, "generic_human_anims" },
    { 0x3792, "generic_human_beach" },
    { 0x3793, "generic_human_intro" },
    { 0x3794, "generic_human_recruits" },
    { 0x3795, "generic_ignore_off" },
    { 0x3796, "generic_ignore_on" },
    { 0x3797, "generic_index" },
    { 0x3798, "generic_locations" },
    { 0x3799, "generic_looper" },
    { 0x379A, "generic_prop_raven_anim" },
    { 0x379B, "generic_pulsing" },
    { 0x379C, "generic_shootable_double_doors" },
    { 0x379D, "generic_spawn_node_based_enemy_gaz" },
    { 0x379E, "generic_spawn_node_based_enemy_tank" },
    { 0x379F, "generic_spot" },
    { 0x37A0, "generic_style" },
    { 0x37A1, "generic_style_init" },
    { 0x37A2, "generic_style_setdamage" },
    { 0x37A3, "generic_style_setquake" },
    { 0x37A4, "generic_style_setradius" },
    { 0x37A5, "generic_swing_ents" },
    { 0x37A6, "generic_tank_dynamic_path_spawner_setup" },
    { 0x37A7, "generic_tank_spawner_setup" },
    { 0x37A8, "generic_voice_override" },
    { 0x37A9, "genericchallenge" },
    { 0x37AA, "geo_off" },
    { 0x37AB, "geo_on" },
    { 0x37AC, "get_a10_player_start" },
    { 0x37AD, "get_activation_result" },
    { 0x37AE, "get_active_turret" },
    { 0x37AF, "get_adjusted_armor" },
    { 0x37B0, "get_ai_array" },
    { 0x37B1, "get_ai_group_ai" },
    { 0x37B2, "get_ai_group_count" },
    { 0x37B3, "get_ai_group_sentient_count" },
    { 0x37B4, "get_ai_number" },
    { 0x37B5, "get_ai_touching_volume" },
    { 0x37B6, "get_alias_from_stored" },
    { 0x37B7, "get_alien_session_stat" },
    { 0x37B8, "get_alien_type" },
    { 0x37B9, "get_alive_agents" },
    { 0x37BA, "get_alive_lurkers" },
    { 0x37BB, "get_all_allies" },
    { 0x37BC, "get_all_connected_nodes" },
    { 0x37BD, "get_all_enemies" },
    { 0x37BE, "get_all_force_color_friendlies" },
    { 0x37BF, "get_all_my_locations" },
    { 0x37C0, "get_all_my_sentry" },
    { 0x37C1, "get_all_target_ents" },
    { 0x37C2, "get_all_wave_guys" },
    { 0x37C3, "get_altitude_min" },
    { 0x37C4, "get_angered_damage_scalar" },
    { 0x37C5, "get_angle_delta" },
    { 0x37C6, "get_anim_class" },
    { 0x37C7, "get_anim_data" },
    { 0x37C8, "get_anim_position" },
    { 0x37C9, "get_anim_start_time" },
    { 0x37CA, "get_anim_state_from_melee_type" },
    { 0x37CB, "get_animating_actors" },
    { 0x37CC, "get_apache_allies" },
    { 0x37CD, "get_apache_ally" },
    { 0x37CE, "get_apache_ally_id" },
    { 0x37CF, "get_apache_player" },
    { 0x37D0, "get_apache_players" },
    { 0x37D1, "get_apache_spawn_struct" },
    { 0x37D2, "get_apaches_ally_and_player" },
    { 0x37D3, "get_approach_node" },
    { 0x37D4, "get_area_for_cycle" },
    { 0x37D5, "get_array_of_closest" },
    { 0x37D6, "get_array_of_farthest" },
    { 0x37D7, "get_array_of_valid_players" },
    { 0x37D8, "get_assault_loop_loc" },
    { 0x37D9, "get_attachment_for_weapon" },
    { 0x37DA, "get_attack_num" },
    { 0x37DB, "get_attack_sequence_num" },
    { 0x37DC, "get_audio_zone" },
    { 0x37DD, "get_available_breachfriendlies" },
    { 0x37DE, "get_available_meteoroid_clip" },
    { 0x37DF, "get_availablepositions" },
    { 0x37E0, "get_average_distance_to_players" },
    { 0x37E1, "get_average_origin" },
    { 0x37E2, "get_badcountryidstr" },
    { 0x37E3, "get_bag_parts" },
    { 0x37E4, "get_base_weapon_name" },
    { 0x37E5, "get_best_area_attack_node" },
    { 0x37E6, "get_best_available_colored_node" },
    { 0x37E7, "get_best_available_new_colored_node" },
    { 0x37E8, "get_best_dog_target" },
    { 0x37E9, "get_best_spit_target" },
    { 0x37EA, "get_best_weapons" },
    { 0x37EB, "get_bestdrone" },
    { 0x37EC, "get_better_destructible" },
    { 0x37ED, "get_bike_pos_from_spline" },
    { 0x37EE, "get_black_overlay" },
    { 0x37EF, "get_blackhawk_ally" },
    { 0x37F0, "get_blended_difficulty" },
    { 0x37F1, "get_blendtime_from_notetrack" },
    { 0x37F2, "get_blocker_hive" },
    { 0x37F3, "get_blocker_hive_index" },
    { 0x37F4, "get_boundry_radius" },
    { 0x37F5, "get_box_icon" },
    { 0x37F6, "get_breach_groups" },
    { 0x37F7, "get_breach_indices_from_ents" },
    { 0x37F8, "get_breach_notify" },
    { 0x37F9, "get_breach_target" },
    { 0x37FA, "get_breach_targets" },
    { 0x37FB, "get_bush" },
    { 0x37FC, "get_center" },
    { 0x37FD, "get_center_of_array" },
    { 0x37FE, "get_center_of_players" },
    { 0x37FF, "get_central_enemies_direction" },
    { 0x3800, "get_challenge_scalar" },
    { 0x3801, "get_channel_array" },
    { 0x3802, "get_chaos_airdrop_loc" },
    { 0x3803, "get_charge_start_index" },
    { 0x3804, "get_choke_trig_id" },
    { 0x3805, "get_chopperboss_data" },
    { 0x3806, "get_clone_agent" },
    { 0x3807, "get_closest_ai" },
    { 0x3808, "get_closest_ai_exclude" },
    { 0x3809, "get_closest_ally" },
    { 0x380A, "get_closest_colored_friendly" },
    { 0x380B, "get_closest_colored_friendly_with_classname" },
    { 0x380C, "get_closest_exclude" },
    { 0x380D, "get_closest_index" },
    { 0x380E, "get_closest_index_to_player_view" },
    { 0x380F, "get_closest_living" },
    { 0x3810, "get_closest_living_player" },
    { 0x3811, "get_closest_player" },
    { 0x3812, "get_closest_player_healthy" },
    { 0x3813, "get_closest_point" },
    { 0x3814, "get_closest_speaker_nodes" },
    { 0x3815, "get_closest_to_player_view" },
    { 0x3816, "get_closest_vec_index" },
    { 0x3817, "get_closest_with_targetname" },
    { 0x3818, "get_color_from_order" },
    { 0x3819, "get_color_index_item" },
    { 0x381A, "get_color_index_player" },
    { 0x381B, "get_color_info_from_trigger" },
    { 0x381C, "get_color_list" },
    { 0x381D, "get_color_nodes_from_trigger" },
    { 0x381E, "get_color_spawner" },
    { 0x381F, "get_color_volume_from_trigger" },
    { 0x3820, "get_colorcoded_volume" },
    { 0x3821, "get_colorcodes" },
    { 0x3822, "get_colorcodes_and_activate_trigger" },
    { 0x3823, "get_colorcodes_from_trigger" },
    { 0x3824, "get_common_soundtable" },
    { 0x3825, "get_corpse_array" },
    { 0x3826, "get_cost_by_ref" },
    { 0x3827, "get_countdown_hud" },
    { 0x3828, "get_country_prefix" },
    { 0x3829, "get_cover_node" },
    { 0x382A, "get_createfx_array" },
    { 0x382B, "get_createfx_types" },
    { 0x382C, "get_credit_gain_font_scale" },
    { 0x382D, "get_cumulative_weights" },
    { 0x382E, "get_curfloor" },
    { 0x382F, "get_current_agent_count" },
    { 0x3830, "get_current_agent_count_of_type" },
    { 0x3831, "get_current_attacker_value" },
    { 0x3832, "get_current_audio_zone" },
    { 0x3833, "get_current_cycle" },
    { 0x3834, "get_current_hive" },
    { 0x3835, "get_current_hive_lane_index" },
    { 0x3836, "get_current_player_volumes" },
    { 0x3837, "get_current_possible_targets" },
    { 0x3838, "get_current_sam" },
    { 0x3839, "get_current_spawn_count_multiplier" },
    { 0x383A, "get_current_stronghold" },
    { 0x383B, "get_current_vo_alias" },
    { 0x383C, "get_current_wave" },
    { 0x383D, "get_current_wave_type_count" },
    { 0x383E, "get_current_wave_types" },
    { 0x383F, "get_cycle_by_index" },
    { 0x3840, "get_cycles" },
    { 0x3841, "get_cycles_array" },
    { 0x3842, "get_damage_direction" },
    { 0x3843, "get_damageable_grenade" },
    { 0x3844, "get_damageable_grenade_pos" },
    { 0x3845, "get_damageable_mine" },
    { 0x3846, "get_damageable_player" },
    { 0x3847, "get_damageable_player_pos" },
    { 0x3848, "get_damageable_sentry" },
    { 0x3849, "get_datascene" },
    { 0x384A, "get_death_anim" },
    { 0x384B, "get_death_anim_physics_mode" },
    { 0x384C, "get_deathanims" },
    { 0x384D, "get_delay" },
    { 0x384E, "get_desc_by_ref" },
    { 0x384F, "get_destroyed_count" },
    { 0x3850, "get_different_favoriteenemy" },
    { 0x3851, "get_different_player" },
    { 0x3852, "get_direction_away_from_players" },
    { 0x3853, "get_dog_enemies" },
    { 0x3854, "get_door_volumes_from_breachgroup" },
    { 0x3855, "get_dot" },
    { 0x3856, "get_downed_posture_node" },
    { 0x3857, "get_download_state_hud" },
    { 0x3858, "get_dpad_down_level" },
    { 0x3859, "get_dpad_icon_by_ref" },
    { 0x385A, "get_dpad_left_level" },
    { 0x385B, "get_dpad_right_level" },
    { 0x385C, "get_dpad_up_level" },
    { 0x385D, "get_dpad_upgrade_icon_by_ref" },
    { 0x385E, "get_drill_widget_color" },
    { 0x385F, "get_drones_touching_volume" },
    { 0x3860, "get_drones_with_targetname" },
    { 0x3861, "get_drop_loop_center" },
    { 0x3862, "get_drop_loop_crater" },
    { 0x3863, "get_dummy" },
    { 0x3864, "get_dummy_crate_model" },
    { 0x3865, "get_dummy_juggernaut_crate_model" },
    { 0x3866, "get_edge_tiles" },
    { 0x3867, "get_elem_position" },
    { 0x3868, "get_elevated_jump_node" },
    { 0x3869, "get_end_game_string_index" },
    { 0x386A, "get_enemies_touching_volume" },
    { 0x386B, "get_enemy_count_touching_volume" },
    { 0x386C, "get_enemy_crate_model" },
    { 0x386D, "get_enemy_from_active_zone" },
    { 0x386E, "get_enemy_juggernaut_crate_model" },
    { 0x386F, "get_enemy_team" },
    { 0x3870, "get_enemy_vanguard" },
    { 0x3871, "get_ent" },
    { 0x3872, "get_ent_array_with_prefix" },
    { 0x3873, "get_entry" },
    { 0x3874, "get_escape_time_remains" },
    { 0x3875, "get_exploder_array" },
    { 0x3876, "get_exploder_array_proc" },
    { 0x3877, "get_explosion_radius" },
    { 0x3878, "get_extended_path" },
    { 0x3879, "get_eye" },
    { 0x387A, "get_eye_position" },
    { 0x387B, "get_farthest_ent" },
    { 0x387C, "get_flare_node" },
    { 0x387D, "get_flashed_anim" },
    { 0x387E, "get_fling_forward" },
    { 0x387F, "get_fling_up" },
    { 0x3880, "get_floor" },
    { 0x3881, "get_flush_volume" },
    { 0x3882, "get_fog" },
    { 0x3883, "get_fog_ent" },
    { 0x3884, "get_force_color" },
    { 0x3885, "get_force_color_guys" },
    { 0x3886, "get_fov" },
    { 0x3887, "get_fov_2d" },
    { 0x3888, "get_free_edge_node" },
    { 0x3889, "get_free_shoot_node" },
    { 0x388A, "get_friendly_crate_model" },
    { 0x388B, "get_friendly_juggernaut_crate_model" },
    { 0x388C, "get_from_entity" },
    { 0x388D, "get_from_entity_target" },
    { 0x388E, "get_from_spawnstruct" },
    { 0x388F, "get_from_spawnstruct_target" },
    { 0x3890, "get_from_vehicle_node" },
    { 0x3891, "get_fullrank_by_id" },
    { 0x3892, "get_func_cangive" },
    { 0x3893, "get_func_give" },
    { 0x3894, "get_furthest_zodiac" },
    { 0x3895, "get_generic_anime" },
    { 0x3896, "get_geo_group" },
    { 0x3897, "get_goalvolume" },
    { 0x3898, "get_grief_targets" },
    { 0x3899, "get_grouped_doorvolumes" },
    { 0x389A, "get_gun_tag" },
    { 0x389B, "get_guy_from_spawner" },
    { 0x389C, "get_headroom_dvar" },
    { 0x389D, "get_helicopter_crash_location" },
    { 0x389E, "get_heroes" },
    { 0x389F, "get_highest_dot" },
    { 0x38A0, "get_highest_score" },
    { 0x38A1, "get_hinds_enemy_active" },
    { 0x38A2, "get_hintstring_for_item_pickup" },
    { 0x38A3, "get_hintstring_for_pillaged_item" },
    { 0x38A4, "get_hit_geo_index" },
    { 0x38A5, "get_hives_destroyed_stat" },
    { 0x38A6, "get_hives_to_remove" },
    { 0x38A7, "get_housing_children" },
    { 0x38A8, "get_housing_closedpos" },
    { 0x38A9, "get_housing_door_trigger" },
    { 0x38AA, "get_housing_inside_trigger" },
    { 0x38AB, "get_housing_leftdoor" },
    { 0x38AC, "get_housing_leftdoor_opened_pos" },
    { 0x38AD, "get_housing_mainframe" },
    { 0x38AE, "get_housing_models" },
    { 0x38AF, "get_housing_musak_model" },
    { 0x38B0, "get_housing_primarylight" },
    { 0x38B1, "get_housing_rightdoor" },
    { 0x38B2, "get_housing_rightdoor_opened_pos" },
    { 0x38B3, "get_human_player" },
    { 0x38B4, "get_icon_by_id" },
    { 0x38B5, "get_icon_by_ref" },
    { 0x38B6, "get_idle_anim" },
    { 0x38B7, "get_ignoreme" },
    { 0x38B8, "get_in_jeep_nag_vo" },
    { 0x38B9, "get_in_moving_vehicle" },
    { 0x38BA, "get_in_truck_nag_vo" },
    { 0x38BB, "get_in_vehicle" },
    { 0x38BC, "get_in_world_area" },
    { 0x38BD, "get_ingamerank_by_id" },
    { 0x38BE, "get_initfloor" },
    { 0x38BF, "get_intensity_level_by_index" },
    { 0x38C0, "get_intensity_threshold_by_index" },
    { 0x38C1, "get_is_upgrade_by_ref" },
    { 0x38C2, "get_item_areas" },
    { 0x38C3, "get_item_desc" },
    { 0x38C4, "get_item_name" },
    { 0x38C5, "get_item_outline_color" },
    { 0x38C6, "get_jump_info" },
    { 0x38C7, "get_key" },
    { 0x38C8, "get_killed" },
    { 0x38C9, "get_knife_reticle" },
    { 0x38CA, "get_landing_node" },
    { 0x38CB, "get_laser_designated_trace" },
    { 0x38CC, "get_last_ent_in_chain" },
    { 0x38CD, "get_last_selected_ent" },
    { 0x38CE, "get_last_stand_count" },
    { 0x38CF, "get_latest_struct" },
    { 0x38D0, "get_leap_end_pos" },
    { 0x38D1, "get_least_used_from_array" },
    { 0x38D2, "get_least_used_index" },
    { 0x38D3, "get_leper_retreat_node" },
    { 0x38D4, "get_level_by_id" },
    { 0x38D5, "get_level_parameter" },
    { 0x38D6, "get_leveltime" },
    { 0x38D7, "get_linked_ent" },
    { 0x38D8, "get_linked_ents" },
    { 0x38D9, "get_linked_nodes" },
    { 0x38DA, "get_linked_nodes_and_delete" },
    { 0x38DB, "get_linked_points" },
    { 0x38DC, "get_linked_struct" },
    { 0x38DD, "get_linked_structs" },
    { 0x38DE, "get_linked_vehicle_node" },
    { 0x38DF, "get_linked_vehicle_nodes" },
    { 0x38E0, "get_links" },
    { 0x38E1, "get_living_ai" },
    { 0x38E2, "get_living_ai_array" },
    { 0x38E3, "get_living_aispecies" },
    { 0x38E4, "get_living_aispecies_array" },
    { 0x38E5, "get_load_trigger_classes" },
    { 0x38E6, "get_load_trigger_funcs" },
    { 0x38E7, "get_loadout" },
    { 0x38E8, "get_local_coords" },
    { 0x38E9, "get_locked_difficulty_step_val_global" },
    { 0x38EA, "get_locked_difficulty_step_val_player" },
    { 0x38EB, "get_locked_difficulty_val_global" },
    { 0x38EC, "get_locked_difficulty_val_player" },
    { 0x38ED, "get_lookahead_percentage" },
    { 0x38EE, "get_lookahead_target_location" },
    { 0x38EF, "get_loot_array" },
    { 0x38F0, "get_loot_count" },
    { 0x38F1, "get_manhandled" },
    { 0x38F2, "get_map_soundtable" },
    { 0x38F3, "get_max_alien_count" },
    { 0x38F4, "get_max_destroyed_count" },
    { 0x38F5, "get_max_hive_score_breakdown" },
    { 0x38F6, "get_max_sentry_count" },
    { 0x38F7, "get_max_spit_distance_squared" },
    { 0x38F8, "get_max_type_count" },
    { 0x38F9, "get_maxstock" },
    { 0x38FA, "get_maxxp_by_id" },
    { 0x38FB, "get_melee_painstate_info" },
    { 0x38FC, "get_melee_position" },
    { 0x38FD, "get_meteoroid_impact_node" },
    { 0x38FE, "get_meteoroid_impact_node_escape" },
    { 0x38FF, "get_midpoint" },
    { 0x3900, "get_midpoint_arc" },
    { 0x3901, "get_minutes_and_seconds" },
    { 0x3902, "get_minxp_by_id" },
    { 0x3903, "get_model_boundry_radius" },
    { 0x3904, "get_modified_alien_amount" },
    { 0x3905, "get_my_meeting_group" },
    { 0x3906, "get_my_spline_node" },
    { 0x3907, "get_my_vehicle_death_fx" },
    { 0x3908, "get_my_vehicleride" },
    { 0x3909, "get_name" },
    { 0x390A, "get_name_by_ref" },
    { 0x390B, "get_name_for_nationality" },
    { 0x390C, "get_nerf_scalar" },
    { 0x390D, "get_next_allow_melee_time" },
    { 0x390E, "get_nextxp_by_id" },
    { 0x390F, "get_node" },
    { 0x3910, "get_node_funcs_based_on_target" },
    { 0x3911, "get_notetrack_movement" },
    { 0x3912, "get_noteworthy_ent" },
    { 0x3913, "get_num_nerf_selected" },
    { 0x3914, "get_number_of_recently_used_spawn_points_in_zone" },
    { 0x3915, "get_nums_from_origins" },
    { 0x3916, "get_obj_ent_hvt" },
    { 0x3917, "get_obj_event" },
    { 0x3918, "get_obj_origin" },
    { 0x3919, "get_obstacle_dodge_amount" },
    { 0x391A, "get_offset_location_from_enemy" },
    { 0x391B, "get_offset_percent" },
    { 0x391C, "get_optimal_next_path_loc" },
    { 0x391D, "get_optimal_next_path_los_check" },
    { 0x391E, "get_optimal_next_path_recursive" },
    { 0x391F, "get_option" },
    { 0x3920, "get_optional_overlay" },
    { 0x3921, "get_origin_for_rpg" },
    { 0x3922, "get_other_player" },
    { 0x3923, "get_out_override" },
    { 0x3924, "get_outer_closedpos" },
    { 0x3925, "get_outer_doorset" },
    { 0x3926, "get_outer_doorsets" },
    { 0x3927, "get_outer_leftdoor" },
    { 0x3928, "get_outer_leftdoor_openedpos" },
    { 0x3929, "get_outer_rightdoor" },
    { 0x392A, "get_outer_rightdoor_openedpos" },
    { 0x392B, "get_outside_range" },
    { 0x392C, "get_overlay" },
    { 0x392D, "get_owner_pointing_info" },
    { 0x392E, "get_pacifist" },
    { 0x392F, "get_parent_item" },
    { 0x3930, "get_part_fx_cost_for_action_state" },
    { 0x3931, "get_parts" },
    { 0x3932, "get_path_end_node" },
    { 0x3933, "get_path_getfunc" },
    { 0x3934, "get_performance_metric" },
    { 0x3935, "get_perk_0_level" },
    { 0x3936, "get_perk_1_level" },
    { 0x3937, "get_perk_ref_at_upgrade_level" },
    { 0x3938, "get_perk_ref_by_index" },
    { 0x3939, "get_pet_follow_node" },
    { 0x393A, "get_photo_copier" },
    { 0x393B, "get_phraseinvalidstr" },
    { 0x393C, "get_pillage_item_outline_color" },
    { 0x393D, "get_pillaged_item" },
    { 0x393E, "get_pistol_plane_attack" },
    { 0x393F, "get_player_currency" },
    { 0x3940, "get_player_escaped" },
    { 0x3941, "get_player_feet_from_view" },
    { 0x3942, "get_player_from_self" },
    { 0x3943, "get_player_gameskill" },
    { 0x3944, "get_player_hesco" },
    { 0x3945, "get_player_legs" },
    { 0x3946, "get_player_loop_center" },
    { 0x3947, "get_player_max_currency" },
    { 0x3948, "get_player_points" },
    { 0x3949, "get_player_prestige" },
    { 0x394A, "get_player_progress" },
    { 0x394B, "get_player_rank" },
    { 0x394C, "get_player_ready_to_look_at_screen" },
    { 0x394D, "get_player_rig" },
    { 0x394E, "get_player_score" },
    { 0x394F, "get_player_session_rankup" },
    { 0x3950, "get_player_session_xp" },
    { 0x3951, "get_player_targ" },
    { 0x3952, "get_player_touching" },
    { 0x3953, "get_player_view_controller" },
    { 0x3954, "get_player_volume" },
    { 0x3955, "get_player_xp" },
    { 0x3956, "get_players" },
    { 0x3957, "get_players_apache_weapon" },
    { 0x3958, "get_players_healthy" },
    { 0x3959, "get_players_watching" },
    { 0x395A, "get_point_cost_by_ref" },
    { 0x395B, "get_pool_spawners_from_structarray" },
    { 0x395C, "get_portable_mg_spot" },
    { 0x395D, "get_position_from_progress" },
    { 0x395E, "get_position_from_spline" },
    { 0x395F, "get_position_from_spline_unlimited" },
    { 0x3960, "get_position_from_tag" },
    { 0x3961, "get_possible_attachments_by_weaponclass" },
    { 0x3962, "get_possible_flare_victims" },
    { 0x3963, "get_possible_retreat_nodes" },
    { 0x3964, "get_possible_spitter_attack_nodes" },
    { 0x3965, "get_precached_anim" },
    { 0x3966, "get_precached_animtree" },
    { 0x3967, "get_primary_death_anim_state" },
    { 0x3968, "get_primary_dodge_anim_state" },
    { 0x3969, "get_primary_target" },
    { 0x396A, "get_print3d_text" },
    { 0x396B, "get_prioritized_colorcoded_nodes" },
    { 0x396C, "get_progress" },
    { 0x396D, "get_progression_between_points" },
    { 0x396E, "get_rain_overlay" },
    { 0x396F, "get_random_airdrop_sub_item" },
    { 0x3970, "get_random_character" },
    { 0x3971, "get_random_death_sound" },
    { 0x3972, "get_random_entry" },
    { 0x3973, "get_random_event" },
    { 0x3974, "get_random_firework_num" },
    { 0x3975, "get_random_from_array_except" },
    { 0x3976, "get_random_outside_target" },
    { 0x3977, "get_random_streamer_num" },
    { 0x3978, "get_random_weapon" },
    { 0x3979, "get_rank_by_xp" },
    { 0x397A, "get_rank_xp_for_bot" },
    { 0x397B, "get_rappel_player_angles" },
    { 0x397C, "get_reactive_sound_ent" },
    { 0x397D, "get_ref_by_id" },
    { 0x397E, "get_reflected_point" },
    { 0x397F, "get_replaceable_weapon" },
    { 0x3980, "get_resource_ref_by_index" },
    { 0x3981, "get_resource_type" },
    { 0x3982, "get_respawn_delay_by_index" },
    { 0x3983, "get_respawn_threshold_by_index" },
    { 0x3984, "get_retreat_node_rated" },
    { 0x3985, "get_revive_result" },
    { 0x3986, "get_reward_point_for_kill" },
    { 0x3987, "get_rider_by_position" },
    { 0x3988, "get_rider_death_anim" },
    { 0x3989, "get_right_stick_angle" },
    { 0x398A, "get_rl_toward" },
    { 0x398B, "get_room_volume_from_slomo_breach_number" },
    { 0x398C, "get_rotate_angle" },
    { 0x398D, "get_rumble_ent" },
    { 0x398E, "get_rumble_ent_linked" },
    { 0x398F, "get_scaled_alien_amount" },
    { 0x3990, "get_scoring_mode" },
    { 0x3991, "get_script_linkto_targets" },
    { 0x3992, "get_script_palette" },
    { 0x3993, "get_selected_dpad_down" },
    { 0x3994, "get_selected_dpad_left" },
    { 0x3995, "get_selected_dpad_right" },
    { 0x3996, "get_selected_dpad_up" },
    { 0x3997, "get_selected_move_vector" },
    { 0x3998, "get_selected_nerf" },
    { 0x3999, "get_selected_node_for_teleport" },
    { 0x399A, "get_selected_option" },
    { 0x399B, "get_selected_perk_0" },
    { 0x399C, "get_selected_perk_1" },
    { 0x399D, "get_short_getout_time" },
    { 0x399E, "get_shortrank_by_id" },
    { 0x399F, "get_shuffle_to_corner_start_anim" },
    { 0x39A0, "get_side_next_missile" },
    { 0x39A1, "get_sign" },
    { 0x39A2, "get_skill_from_index" },
    { 0x39A3, "get_sound_ent" },
    { 0x39A4, "get_spawn_event_types_array" },
    { 0x39A5, "get_spawn_event_wave_blocking_by_index" },
    { 0x39A6, "get_spawn_position" },
    { 0x39A7, "get_spawner_from_pool" },
    { 0x39A8, "get_specialized_ammo_type" },
    { 0x39A9, "get_spectated_player" },
    { 0x39AA, "get_spit_fire_pos" },
    { 0x39AB, "get_spot_in_front_of_ent" },
    { 0x39AC, "get_stage_nodes" },
    { 0x39AD, "get_start_dvars" },
    { 0x39AE, "get_stop_watch" },
    { 0x39AF, "get_straight_level_anim" },
    { 0x39B0, "get_string_for_starts" },
    { 0x39B1, "get_strip_color" },
    { 0x39B2, "get_strip_settings" },
    { 0x39B3, "get_stronghold_by_index" },
    { 0x39B4, "get_suppress_point" },
    { 0x39B5, "get_surface_types" },
    { 0x39B6, "get_synch_direction_list" },
    { 0x39B7, "get_table_data" },
    { 0x39B8, "get_table_data_array" },
    { 0x39B9, "get_table_data_array_internal" },
    { 0x39BA, "get_table_name" },
    { 0x39BB, "get_tank_target_by_script_noteworthy" },
    { 0x39BC, "get_target_chain_array" },
    { 0x39BD, "get_target_ent" },
    { 0x39BE, "get_target_ent_origin" },
    { 0x39BF, "get_target_ent_target" },
    { 0x39C0, "get_target_ent_target_ent" },
    { 0x39C1, "get_target_ent_target_ent_origin" },
    { 0x39C2, "get_target_ents" },
    { 0x39C3, "get_target_nodes" },
    { 0x39C4, "get_target_structs" },
    { 0x39C5, "get_team" },
    { 0x39C6, "get_team_prefix" },
    { 0x39C7, "get_team_substr" },
    { 0x39C8, "get_teleport_delta" },
    { 0x39C9, "get_teleport_optimized_breachfriendly" },
    { 0x39CA, "get_template_level" },
    { 0x39CB, "get_terminals" },
    { 0x39CC, "get_thrusters_by_axis" },
    { 0x39CD, "get_to_train_wait_node" },
    { 0x39CE, "get_tool_hudelem" },
    { 0x39CF, "get_touching_tiles" },
    { 0x39D0, "get_trace_loc_for_target" },
    { 0x39D1, "get_trace_types" },
    { 0x39D2, "get_travel_time" },
    { 0x39D3, "get_traverse_disconnect_brush" },
    { 0x39D4, "get_treadfx" },
    { 0x39D5, "get_tree" },
    { 0x39D6, "get_trigger_flag" },
    { 0x39D7, "get_trigger_targs" },
    { 0x39D8, "get_turret_setup_anim" },
    { 0x39D9, "get_turrets" },
    { 0x39DA, "get_type_data" },
    { 0x39DB, "get_types_array" },
    { 0x39DC, "get_unload_anim" },
    { 0x39DD, "get_unload_group" },
    { 0x39DE, "get_unlock_by_ref" },
    { 0x39DF, "get_unused_crash_locations" },
    { 0x39E0, "get_upgrade_level" },
    { 0x39E1, "get_use_key" },
    { 0x39E2, "get_use_trigger" },
    { 0x39E3, "get_valid_challenge" },
    { 0x39E4, "get_valid_equipment_count" },
    { 0x39E5, "get_valid_sentry_count" },
    { 0x39E6, "get_validated_priority" },
    { 0x39E7, "get_vehicle" },
    { 0x39E8, "get_vehicle_ai_riders" },
    { 0x39E9, "get_vehicle_ai_spawners" },
    { 0x39EA, "get_vehicle_array" },
    { 0x39EB, "get_vehicle_effect" },
    { 0x39EC, "get_vehicle_turret_ai" },
    { 0x39ED, "get_vehicle_turrets_targeting" },
    { 0x39EE, "get_vehiclenode_any_dynamic" },
    { 0x39EF, "get_verify_and_delete_ent" },
    { 0x39F0, "get_verify_and_delete_ent_array" },
    { 0x39F1, "get_visible_nodes_array" },
    { 0x39F2, "get_vision_set_fog" },
    { 0x39F3, "get_vo_to_play" },
    { 0x39F4, "get_wash_effect" },
    { 0x39F5, "get_wash_fx" },
    { 0x39F6, "get_wave_data" },
    { 0x39F7, "get_waves" },
    { 0x39F8, "get_weapon_name_from_alt" },
    { 0x39F9, "get_weapon_outline_color" },
    { 0x39FA, "get_weapon_ref" },
    { 0x39FB, "get_weapon_with_most_kills" },
    { 0x39FC, "get_weight_change" },
    { 0x39FD, "get_weighted_index" },
    { 0x39FE, "get_white_overlay" },
    { 0x39FF, "get_within_range" },
    { 0x3A00, "get_world_item_spawn_pos" },
    { 0x3A01, "get_world_relative_offset" },
    { 0x3A02, "get_zodiacs" },
    { 0x3A03, "get_zone_blend_args" },
    { 0x3A04, "get_zone_from" },
    { 0x3A05, "get_zone_to" },
    { 0x3A06, "getaalauncherchildname" },
    { 0x3A07, "getaalauncherhomingname" },
    { 0x3A08, "getaalaunchername" },
    { 0x3A09, "getachievement" },
    { 0x3A0A, "getactionbind" },
    { 0x3A0B, "getactiveagentsoftype" },
    { 0x3A0C, "getactiveplayerlist" },
    { 0x3A0D, "getagentdamagescalar" },
    { 0x3A0E, "getaicurrentweapon" },
    { 0x3A0F, "getaicurrentweaponslot" },
    { 0x3A10, "getaimpitchtoshootentorpos" },
    { 0x3A11, "getaimyawtopoint" },
    { 0x3A12, "getaimyawtoshootentorpos" },
    { 0x3A13, "getaiprimaryweapon" },
    { 0x3A14, "getairstrikedanger" },
    { 0x3A15, "getaisecondaryweapon" },
    { 0x3A16, "getaisidearmweapon" },
    { 0x3A17, "getaliastypefromsoundalias" },
    { 0x3A18, "getallactiveparts" },
    { 0x3A19, "getallweapons" },
    { 0x3A1A, "getambushshootpos" },
    { 0x3A1B, "getangleindex" },
    { 0x3A1C, "getangleindexfromselfyaw" },
    { 0x3A1D, "getangleindices" },
    { 0x3A1E, "getangles_func" },
    { 0x3A1F, "getanim" },
    { 0x3A20, "getanim_from_animname" },
    { 0x3A21, "getanim_generic" },
    { 0x3A22, "getanimatemodel" },
    { 0x3A23, "getanimendpos" },
    { 0x3A24, "getanimscalefactors" },
    { 0x3A25, "getapproachent" },
    { 0x3A26, "getapproachpoint" },
    { 0x3A27, "getarrivalnode" },
    { 0x3A28, "getarrivalprestartpos" },
    { 0x3A29, "getarrivalstartpos" },
    { 0x3A2A, "getassistbonusamount" },
    { 0x3A2B, "getattachmentlistbasenames" },
    { 0x3A2C, "getattachmentlistuniqenames" },
    { 0x3A2D, "getattachmenttype" },
    { 0x3A2E, "getattackpoint" },
    { 0x3A2F, "getattackposition" },
    { 0x3A30, "getaverageorigin" },
    { 0x3A31, "getaverageplayerorigin" },
    { 0x3A32, "getawardrecord" },
    { 0x3A33, "getawardrecordtime" },
    { 0x3A34, "getawardtype" },
    { 0x3A35, "getawardwinners" },
    { 0x3A36, "getbackdeathanim" },
    { 0x3A37, "getbaseweaponname" },
    { 0x3A38, "getbestcovermode" },
    { 0x3A39, "getbestcovernodeifavailable" },
    { 0x3A3A, "getbestheight" },
    { 0x3A3B, "getbestminitarget" },
    { 0x3A3C, "getbestmissilespawnpoint" },
    { 0x3A3D, "getbestpoint" },
    { 0x3A3E, "getbestprimarytarget" },
    { 0x3A3F, "getbestspawnpoint" },
    { 0x3A40, "getbeststepoutpos" },
    { 0x3A41, "getbesttarget" },
    { 0x3A42, "getbetterplayer" },
    { 0x3A43, "getbetterteam" },
    { 0x3A44, "getboredofthisnodetime" },
    { 0x3A45, "getbuddyspawnangles" },
    { 0x3A46, "getburstdelaytime" },
    { 0x3A47, "getburster" },
    { 0x3A48, "getburstsize" },
    { 0x3A49, "getcannedresponse" },
    { 0x3A4A, "getcapxpscale" },
    { 0x3A4B, "getcenterpoint" },
    { 0x3A4C, "getchain" },
    { 0x3A4D, "getchains" },
    { 0x3A4E, "getchallengefilter" },
    { 0x3A4F, "getchallengestatus" },
    { 0x3A50, "getchallengetable" },
    { 0x3A51, "getchar" },
    { 0x3A52, "getclaimednode" },
    { 0x3A53, "getclaimteam" },
    { 0x3A54, "getclasschoice" },
    { 0x3A55, "getclassindex" },
    { 0x3A56, "getclosest" },
    { 0x3A57, "getclosest2d" },
    { 0x3A58, "getclosestenemynode" },
    { 0x3A59, "getclosestfriendlyspeaker" },
    { 0x3A5A, "getclosestfx" },
    { 0x3A5B, "getclosestlinkednode" },
    { 0x3A5C, "getclosestnode" },
    { 0x3A5D, "getclosests_flickering_model" },
    { 0x3A5E, "getcloseststartnode" },
    { 0x3A5F, "getcolornumberarray" },
    { 0x3A60, "getcombatspeedscalar" },
    { 0x3A61, "getcornermode" },
    { 0x3A62, "getcorrectcoverangles" },
    { 0x3A63, "getcorrectheight" },
    { 0x3A64, "getcovermultipretendtype" },
    { 0x3A65, "getcratetypefordroptype" },
    { 0x3A66, "getcratetypeforlootdrop" },
    { 0x3A67, "getcrouchdeathanim" },
    { 0x3A68, "getcrouchpainanim" },
    { 0x3A69, "getcrouchrunanim" },
    { 0x3A6A, "getcumulativedamage" },
    { 0x3A6B, "getcurrentdifficultysetting" },
    { 0x3A6C, "getcurrentfraction" },
    { 0x3A6D, "getcurrentweaponslotname" },
    { 0x3A6E, "getcurrentweaponxp" },
    { 0x3A6F, "getdailyref" },
    { 0x3A70, "getdamageableents" },
    { 0x3A71, "getdamagedegree" },
    { 0x3A72, "getdamageshieldpainanim" },
    { 0x3A73, "getdamagetype" },
    { 0x3A74, "getdeathanim" },
    { 0x3A75, "getdeathanimindex" },
    { 0x3A76, "getdeathanimstate" },
    { 0x3A77, "getdeathspawnpoint" },
    { 0x3A78, "getdecodedratio" },
    { 0x3A79, "getdefaultidlestate" },
    { 0x3A7A, "getdegreeselevation" },
    { 0x3A7B, "getdescription" },
    { 0x3A7C, "getdesireddrivenmovemode" },
    { 0x3A7D, "getdesiredgrenadetimervalue" },
    { 0x3A7E, "getdesiredidlepose" },
    { 0x3A7F, "getdifficulty" },
    { 0x3A80, "getdirectioncompass" },
    { 0x3A81, "getdirectionfacing" },
    { 0x3A82, "getdirectionfacingclock" },
    { 0x3A83, "getdirectionfacingflank" },
    { 0x3A84, "getdisplacementforvertex" },
    { 0x3A85, "getdistanceyards" },
    { 0x3A86, "getdistanceyardsnormalized" },
    { 0x3A87, "getdogdeathanim" },
    { 0x3A88, "getdogflashedanim" },
    { 0x3A89, "getdogmoveanim" },
    { 0x3A8A, "getdognexttwitchtime" },
    { 0x3A8B, "getdogpainanim" },
    { 0x3A8C, "getdogstopanim" },
    { 0x3A8D, "getdogstopanimbase" },
    { 0x3A8E, "getdogstopanimlook" },
    { 0x3A8F, "getdogstoptransitionanim" },
    { 0x3A90, "getdogturnanim" },
    { 0x3A91, "getdoorside" },
    { 0x3A92, "getdrill" },
    { 0x3A93, "getdvarvec" },
    { 0x3A94, "getearliestclaimplayer" },
    { 0x3A95, "getempdamageents" },
    { 0x3A96, "getenemyeyepos" },
    { 0x3A97, "getenemysightpos" },
    { 0x3A98, "getenemytarget" },
    { 0x3A99, "getenemytargets" },
    { 0x3A9A, "getenemyteam" },
    { 0x3A9B, "getent_or_struct" },
    { 0x3A9C, "getent_or_struct_or_node" },
    { 0x3A9D, "getentany" },
    { 0x3A9E, "getentarraywithflag" },
    { 0x3A9F, "getentwithflag" },
    { 0x3AA0, "geteventstate" },
    { 0x3AA1, "getexitnode" },
    { 0x3AA2, "getexitsplittime" },
    { 0x3AA3, "getexplodedistance" },
    { 0x3AA4, "getexploderdelaydefault" },
    { 0x3AA5, "getexplosiveusableoffset" },
    { 0x3AA6, "geteyeyawtoorigin" },
    { 0x3AA7, "getfadetime" },
    { 0x3AA8, "getfarthest" },
    { 0x3AA9, "getfinaldroplocation" },
    { 0x3AAA, "getfirstprimaryweapon" },
    { 0x3AAB, "getflagteam" },
    { 0x3AAC, "getflavorburstaliases" },
    { 0x3AAD, "getflavorburstid" },
    { 0x3AAE, "getflightpath" },
    { 0x3AAF, "getfloatproperty" },
    { 0x3AB0, "getflyheightoffset" },
    { 0x3AB1, "getfollowmovemode" },
    { 0x3AB2, "getformattedvalue" },
    { 0x3AB3, "getforwardgraphnode" },
    { 0x3AB4, "getfraggrenadecount" },
    { 0x3AB5, "getfreeagent" },
    { 0x3AB6, "getfriendlyspawnstart" },
    { 0x3AB7, "getfriendlyspawntrigger" },
    { 0x3AB8, "getfrontarcclockdirection" },
    { 0x3AB9, "getfx" },
    { 0x3ABA, "getfxarraybyid" },
    { 0x3ABB, "getgametypenumlives" },
    { 0x3ABC, "getgenericanim" },
    { 0x3ABD, "getgrenadedropvelocity" },
    { 0x3ABE, "getgrenadeithrew" },
    { 0x3ABF, "getgrenademodel" },
    { 0x3AC0, "getgrenadethrowoffset" },
    { 0x3AC1, "getgrenadetimertime" },
    { 0x3AC2, "getgunpitchtoshootentorpos" },
    { 0x3AC3, "getgunyawtoshootentorpos" },
    { 0x3AC4, "getgvalue" },
    { 0x3AC5, "gethalftime" },
    { 0x3AC6, "gethardenedaward" },
    { 0x3AC7, "gethealthcap" },
    { 0x3AC8, "gethelipilotmeshoffset" },
    { 0x3AC9, "gethelipilottraceoffset" },
    { 0x3ACA, "gethighestpriorityevent" },
    { 0x3ACB, "gethighestscoringplayer" },
    { 0x3ACC, "gethitlocheight" },
    { 0x3ACD, "gethordeenemyloadout" },
    { 0x3ACE, "gethostplayer" },
    { 0x3ACF, "gethvalue" },
    { 0x3AD0, "geticonshader" },
    { 0x3AD1, "getid" },
    { 0x3AD2, "getimpactpainanimindex" },
    { 0x3AD3, "getimpactpainanimstate" },
    { 0x3AD4, "getin" },
    { 0x3AD5, "getin_enteredvehicletrack" },
    { 0x3AD6, "getin_idle_func" },
    { 0x3AD7, "getinairanimentry" },
    { 0x3AD8, "getinairanimstate" },
    { 0x3AD9, "getinorgs" },
    { 0x3ADA, "getinterpolatedtexturesample" },
    { 0x3ADB, "getintervalsounddelaymaxdefault" },
    { 0x3ADC, "getintervalsounddelaymindefault" },
    { 0x3ADD, "getintproperty" },
    { 0x3ADE, "getinturret" },
    { 0x3ADF, "getitemweaponname" },
    { 0x3AE0, "getjointeampermissions" },
    { 0x3AE1, "getjuggmovingpathnode" },
    { 0x3AE2, "getjuggstartingpathnode" },
    { 0x3AE3, "getjumpangles" },
    { 0x3AE4, "getjumpanimstates" },
    { 0x3AE5, "getjumpendangles" },
    { 0x3AE6, "getjumpgravity" },
    { 0x3AE7, "getjumpinfo" },
    { 0x3AE8, "getjumppainidleanimstate" },
    { 0x3AE9, "getjumpplaybackrate" },
    { 0x3AEA, "getjumpspeedmultiplier" },
    { 0x3AEB, "getjumpstartangles" },
    { 0x3AEC, "getjumpvelocity" },
    { 0x3AED, "getkeepweapons" },
    { 0x3AEE, "getkillcamentity" },
    { 0x3AEF, "getkillstreakalliesdialog" },
    { 0x3AF0, "getkillstreakallteamstreak" },
    { 0x3AF1, "getkillstreakawardref" },
    { 0x3AF2, "getkillstreakcount" },
    { 0x3AF3, "getkillstreakdescription" },
    { 0x3AF4, "getkillstreakdpadicon" },
    { 0x3AF5, "getkillstreakearneddialog" },
    { 0x3AF6, "getkillstreakearnedhint" },
    { 0x3AF7, "getkillstreakenemydialog" },
    { 0x3AF8, "getkillstreakenemyusedialog" },
    { 0x3AF9, "getkillstreakfromchallenge" },
    { 0x3AFA, "getkillstreakicon" },
    { 0x3AFB, "getkillstreakindex" },
    { 0x3AFC, "getkillstreakkills" },
    { 0x3AFD, "getkillstreakname" },
    { 0x3AFE, "getkillstreakoverheadicon" },
    { 0x3AFF, "getkillstreakreference" },
    { 0x3B00, "getkillstreakrownum" },
    { 0x3B01, "getkillstreakscore" },
    { 0x3B02, "getkillstreaksound" },
    { 0x3B03, "getkillstreakunearnedicon" },
    { 0x3B04, "getkillstreakweapon" },
    { 0x3B05, "getkilltriggerspawnloc" },
    { 0x3B06, "getlabel" },
    { 0x3B07, "getlandanimentry" },
    { 0x3B08, "getlandanimstate" },
    { 0x3B09, "getlastlivingplayer" },
    { 0x3B0A, "getlastweapon" },
    { 0x3B0B, "getlaunchanimentry" },
    { 0x3B0C, "getlaunchanimstate" },
    { 0x3B0D, "getlerptime" },
    { 0x3B0E, "getlevelcompleted" },
    { 0x3B0F, "getlevelindex" },
    { 0x3B10, "getlevelname" },
    { 0x3B11, "getlevelskill" },
    { 0x3B12, "getlevelveteranaward" },
    { 0x3B13, "getlinkedvehiclenodes" },
    { 0x3B14, "getlinknamenodes" },
    { 0x3B15, "getlinks_array" },
    { 0x3B16, "getlivingplayers" },
    { 0x3B17, "getloadoutstreaktypefromstreaktype" },
    { 0x3B18, "getlocation" },
    { 0x3B19, "getloccalloutalias" },
    { 0x3B1A, "getlookattarget" },
    { 0x3B1B, "getloopeffectdelaydefault" },
    { 0x3B1C, "getlosingplayers" },
    { 0x3B1D, "getlowermessage" },
    { 0x3B1E, "getlowestavailableclientid" },
    { 0x3B1F, "getlowestpartdistance" },
    { 0x3B20, "getlowestskill" },
    { 0x3B21, "getmapcenter" },
    { 0x3B22, "getmarksmanunlockattachment" },
    { 0x3B23, "getmatchdatetime" },
    { 0x3B24, "getmatchrulesspecialclass" },
    { 0x3B25, "getmaxaliveenemycount" },
    { 0x3B26, "getmaxdirectionsandexcludedirfromapproachtype" },
    { 0x3B27, "getmaxenemycount" },
    { 0x3B28, "getmaxpickupsperround" },
    { 0x3B29, "getmaxrounds" },
    { 0x3B2A, "getmaxstreakcost" },
    { 0x3B2B, "getmeleeanimstate" },
    { 0x3B2C, "getmeleepainanimindex" },
    { 0x3B2D, "getmidangle" },
    { 0x3B2E, "getminutespassed" },
    { 0x3B2F, "getmissiondvarstring" },
    { 0x3B30, "getmodel" },
    { 0x3B31, "getmostkilled" },
    { 0x3B32, "getmostkilledby" },
    { 0x3B33, "getmoveanim" },
    { 0x3B34, "getmovebackentry" },
    { 0x3B35, "getmovebackstate" },
    { 0x3B36, "getmoveplaybackrate" },
    { 0x3B37, "getmovestate" },
    { 0x3B38, "getname" },
    { 0x3B39, "getnames" },
    { 0x3B3A, "getnearestflagpoint" },
    { 0x3B3B, "getnearestportalteam" },
    { 0x3B3C, "getnewenemyreactionanim" },
    { 0x3B3D, "getnewpoint" },
    { 0x3B3E, "getnextdroplocationindex" },
    { 0x3B3F, "getnextflashanim" },
    { 0x3B40, "getnextlevelindex" },
    { 0x3B41, "getnextmissilespawnindex" },
    { 0x3B42, "getnextnode" },
    { 0x3B43, "getnextnodeforendnode" },
    { 0x3B44, "getnextobjid" },
    { 0x3B45, "getnextrelevantdialog" },
    { 0x3B46, "getnextroundnumber" },
    { 0x3B47, "getnextstreakname" },
    { 0x3B48, "getninebangsubexplosionpos" },
    { 0x3B49, "getnodearrayfunction" },
    { 0x3B4A, "getnodedirection" },
    { 0x3B4B, "getnodeforward" },
    { 0x3B4C, "getnodeforwardangles" },
    { 0x3B4D, "getnodeforwardyaw" },
    { 0x3B4E, "getnodefunction" },
    { 0x3B4F, "getnodenearenemies" },
    { 0x3B50, "getnodeoffset" },
    { 0x3B51, "getnodeorigin" },
    { 0x3B52, "getnodetype" },
    { 0x3B53, "getnodeyawtoenemy" },
    { 0x3B54, "getnodeyawtoorigin" },
    { 0x3B55, "getnonheroallies" },
    { 0x3B56, "getnormalanimtime" },
    { 0x3B57, "getnumabilitycategories" },
    { 0x3B58, "getnumactiveagents" },
    { 0x3B59, "getnumownedactiveagents" },
    { 0x3B5A, "getnumownedactiveagentsbytype" },
    { 0x3B5B, "getnumplayers" },
    { 0x3B5C, "getnumpowerweapons" },
    { 0x3B5D, "getnumsubability" },
    { 0x3B5E, "getobjectivehinttext" },
    { 0x3B5F, "getobjectivescoretext" },
    { 0x3B60, "getobjectivetext" },
    { 0x3B61, "getobjpointbyindex" },
    { 0x3B62, "getobjpointbyname" },
    { 0x3B63, "getoffvehiclefunc" },
    { 0x3B64, "getoneshoteffectdelaydefault" },
    { 0x3B65, "getonpath" },
    { 0x3B66, "getoriginoffsets" },
    { 0x3B67, "getotherteam" },
    { 0x3B68, "getout" },
    { 0x3B69, "getout_combat" },
    { 0x3B6A, "getout_delete" },
    { 0x3B6B, "getout_rigspawn" },
    { 0x3B6C, "getout_secondary" },
    { 0x3B6D, "getout_secondary_tag" },
    { 0x3B6E, "getout_timed_anim" },
    { 0x3B6F, "getoutloopsnd" },
    { 0x3B70, "getoutrig_abort" },
    { 0x3B71, "getoutrig_abort_while_deploying" },
    { 0x3B72, "getoutrig_disable_abort_notify_after_riders_out" },
    { 0x3B73, "getoutrig_model" },
    { 0x3B74, "getoutrig_model_idle" },
    { 0x3B75, "getoutsnd" },
    { 0x3B76, "getoutstance" },
    { 0x3B77, "getowneddomflags" },
    { 0x3B78, "getownerteam" },
    { 0x3B79, "getpainanim" },
    { 0x3B7A, "getpainanimindex" },
    { 0x3B7B, "getpainanimstate" },
    { 0x3B7C, "getpaindeathanimindex_internal" },
    { 0x3B7D, "getparent" },
    { 0x3B7E, "getpartandstateindex" },
    { 0x3B7F, "getpatharray" },
    { 0x3B80, "getpathend" },
    { 0x3B81, "getpathindex" },
    { 0x3B82, "getpathnodenearplayer" },
    { 0x3B83, "getpathstart" },
    { 0x3B84, "getpercentchancetodrop" },
    { 0x3B85, "getperfereddompoints" },
    { 0x3B86, "getperkforclass" },
    { 0x3B87, "getperkicon" },
    { 0x3B88, "getperkname" },
    { 0x3B89, "getperkupgrade" },
    { 0x3B8A, "getperlinnoisesample" },
    { 0x3B8B, "getperlintexturesample" },
    { 0x3B8C, "getpermutation" },
    { 0x3B8D, "getpersstat" },
    { 0x3B8E, "getpitchtoenemy" },
    { 0x3B8F, "getpitchtoorgfromorg" },
    { 0x3B90, "getpitchtoshootentorpos" },
    { 0x3B91, "getpitchtospot" },
    { 0x3B92, "getplaneflyheight" },
    { 0x3B93, "getplant" },
    { 0x3B94, "getplayerclaymores" },
    { 0x3B95, "getplayerfoleytype" },
    { 0x3B96, "getplayerforguid" },
    { 0x3B97, "getplayerfromclientnum" },
    { 0x3B98, "getplayerhelispeed" },
    { 0x3B99, "getplayermodelindex" },
    { 0x3B9A, "getplayermodelname" },
    { 0x3B9B, "getplayerstat" },
    { 0x3B9C, "getplayerstattime" },
    { 0x3B9D, "getplayertraceheight" },
    { 0x3B9E, "getplayerweaponhorde" },
    { 0x3B9F, "getposinspaceatanimtime" },
    { 0x3BA0, "getpotentiallivingplayers" },
    { 0x3BA1, "getpredictedaimyawtoshootentorpos" },
    { 0x3BA2, "getpredictedpathmidpoint" },
    { 0x3BA3, "getpredictedyawtoenemy" },
    { 0x3BA4, "getpreferredweapon" },
    { 0x3BA5, "getprestigelevel" },
    { 0x3BA6, "getprevnode" },
    { 0x3BA7, "getprojectiondata" },
    { 0x3BA8, "getpronedeathanim" },
    { 0x3BA9, "getpronepainanim" },
    { 0x3BAA, "getproperty" },
    { 0x3BAB, "getqacalloutalias" },
    { 0x3BAC, "getquadrant" },
    { 0x3BAD, "getqueueevents" },
    { 0x3BAE, "getradarstrengthforcomexp" },
    { 0x3BAF, "getradarstrengthforplayer" },
    { 0x3BB0, "getradarstrengthforteam" },
    { 0x3BB1, "getradialanglefroment" },
    { 0x3BB2, "getrandomability" },
    { 0x3BB3, "getrandomanimentry" },
    { 0x3BB4, "getrandomattachments" },
    { 0x3BB5, "getrandombranchnode" },
    { 0x3BB6, "getrandomcovermode" },
    { 0x3BB7, "getrandomcratetype" },
    { 0x3BB8, "getrandomcratetypeforgamemode" },
    { 0x3BB9, "getrandomcratetypehorde" },
    { 0x3BBA, "getrandomindex" },
    { 0x3BBB, "getrandomintfromseed" },
    { 0x3BBC, "getrandomneighbornode" },
    { 0x3BBD, "getrandompoint" },
    { 0x3BBE, "getrandomunblockedanim" },
    { 0x3BBF, "getrandomweapon" },
    { 0x3BC0, "getrank" },
    { 0x3BC1, "getrankforxp" },
    { 0x3BC2, "getrankfromname" },
    { 0x3BC3, "getrankinfofull" },
    { 0x3BC4, "getrankinfoicon" },
    { 0x3BC5, "getrankinfolevel" },
    { 0x3BC6, "getrankinfomaxxp" },
    { 0x3BC7, "getrankinfominxp" },
    { 0x3BC8, "getrankinfoxpamt" },
    { 0x3BC9, "getrankxp" },
    { 0x3BCA, "getratio" },
    { 0x3BCB, "getratiohival" },
    { 0x3BCC, "getratioloval" },
    { 0x3BCD, "getrawbaseweaponname" },
    { 0x3BCE, "getregendata" },
    { 0x3BCF, "getregenspeed" },
    { 0x3BD0, "getrelativeangles" },
    { 0x3BD1, "getrelativeteam" },
    { 0x3BD2, "getremainingburstdelaytime" },
    { 0x3BD3, "getremotename" },
    { 0x3BD4, "getresponder" },
    { 0x3BD5, "getrestxpaward" },
    { 0x3BD6, "getrestxpcap" },
    { 0x3BD7, "getreversegraphnode" },
    { 0x3BD8, "getroundintermissiontimer" },
    { 0x3BD9, "getroundswon" },
    { 0x3BDA, "getrownumber" },
    { 0x3BDB, "getrunanim" },
    { 0x3BDC, "getrunningforwarddeathanim" },
    { 0x3BDD, "getrunningforwardpainanim" },
    { 0x3BDE, "getsafeanimmovedeltapercentage" },
    { 0x3BDF, "getscoreinfolabel" },
    { 0x3BE0, "getscoreinfovalue" },
    { 0x3BE1, "getscorelimit" },
    { 0x3BE2, "getscoreperminute" },
    { 0x3BE3, "getscoreremaining" },
    { 0x3BE4, "getsecondspassed" },
    { 0x3BE5, "getshootfrompos" },
    { 0x3BE6, "getshootpospitch" },
    { 0x3BE7, "getsingleairstrikedanger" },
    { 0x3BE8, "getslotnumber" },
    { 0x3BE9, "getsmokegrenadecount" },
    { 0x3BEA, "getsniperburstdelaytime" },
    { 0x3BEB, "getsolevelcompleted" },
    { 0x3BEC, "getspawnorigin" },
    { 0x3BED, "getspawnpoint" },
    { 0x3BEE, "getspawnpoint_awayfromenemies" },
    { 0x3BEF, "getspawnpoint_domination" },
    { 0x3BF0, "getspawnpoint_freeforall" },
    { 0x3BF1, "getspawnpoint_nearteam" },
    { 0x3BF2, "getspawnpoint_random" },
    { 0x3BF3, "getspawnpoint_safeguard" },
    { 0x3BF4, "getspawnpoint_searchandrescue" },
    { 0x3BF5, "getspawnpoint_startspawn" },
    { 0x3BF6, "getspawnpointarray" },
    { 0x3BF7, "getspawnteam" },
    { 0x3BF8, "getspeakers" },
    { 0x3BF9, "getspecialdeathanimindex" },
    { 0x3BFA, "getspecialroundtimer" },
    { 0x3BFB, "getsplittimes" },
    { 0x3BFC, "getsplittimesside" },
    { 0x3BFD, "getspm" },
    { 0x3BFE, "getsprintanim" },
    { 0x3BFF, "getsquadteam" },
    { 0x3C00, "getstairstransitionanim" },
    { 0x3C01, "getstance_func" },
    { 0x3C02, "getstancecenter" },
    { 0x3C03, "getstanddeathanim" },
    { 0x3C04, "getstandpainanim" },
    { 0x3C05, "getstandpistoldeathanim" },
    { 0x3C06, "getstandpistolpainanim" },
    { 0x3C07, "getstartmoveangleindex" },
    { 0x3C08, "getstartmovetype" },
    { 0x3C09, "getstartnode" },
    { 0x3C0A, "getstartposition" },
    { 0x3C0B, "getstartspawns" },
    { 0x3C0C, "getstat_easy" },
    { 0x3C0D, "getstat_hardened" },
    { 0x3C0E, "getstat_intel" },
    { 0x3C0F, "getstat_progression" },
    { 0x3C10, "getstat_regular" },
    { 0x3C11, "getstat_veteran" },
    { 0x3C12, "getstopanimindex" },
    { 0x3C13, "getstopanimstate" },
    { 0x3C14, "getstopdata" },
    { 0x3C15, "getstopendfacedir" },
    { 0x3C16, "getstreakcost" },
    { 0x3C17, "getstrongbulletdamagedeathanim" },
    { 0x3C18, "getstruct" },
    { 0x3C19, "getstruct_delete" },
    { 0x3C1A, "getstructarray" },
    { 0x3C1B, "getstructarray_delete" },
    { 0x3C1C, "getsupportbarsize" },
    { 0x3C1D, "getswimanim" },
    { 0x3C1E, "gettag" },
    { 0x3C1F, "gettagforpos" },
    { 0x3C20, "gettakennodes" },
    { 0x3C21, "gettargetangleoffset" },
    { 0x3C22, "gettargetclosesttoreticule" },
    { 0x3C23, "gettargetentpos" },
    { 0x3C24, "gettargetpoint" },
    { 0x3C25, "gettargetpredictedposition" },
    { 0x3C26, "gettargets" },
    { 0x3C27, "gettargettingai" },
    { 0x3C28, "gettargettriggerhit" },
    { 0x3C29, "getteam" },
    { 0x3C2A, "getteamarray" },
    { 0x3C2B, "getteamassignment" },
    { 0x3C2C, "getteambalance" },
    { 0x3C2D, "getteamcolor" },
    { 0x3C2E, "getteamcratemodel" },
    { 0x3C2F, "getteamdeploymodel" },
    { 0x3C30, "getteamdompoints" },
    { 0x3C31, "getteameliminatedstring" },
    { 0x3C32, "getteamflagcarrymodel" },
    { 0x3C33, "getteamflagcount" },
    { 0x3C34, "getteamflagfx" },
    { 0x3C35, "getteamflagicon" },
    { 0x3C36, "getteamflagmodel" },
    { 0x3C37, "getteamforfeitedstring" },
    { 0x3C38, "getteamheadicon" },
    { 0x3C39, "getteamhudicon" },
    { 0x3C3A, "getteamicon" },
    { 0x3C3B, "getteamindex" },
    { 0x3C3C, "getteammatesoutofcombat" },
    { 0x3C3D, "getteamname" },
    { 0x3C3E, "getteamshortname" },
    { 0x3C3F, "getteamsize" },
    { 0x3C40, "getteamspawnmusic" },
    { 0x3C41, "getteamspawnpoints" },
    { 0x3C42, "getteamvoiceprefix" },
    { 0x3C43, "getteamwinmusic" },
    { 0x3C44, "gettexturesamplefromint" },
    { 0x3C45, "getthreatalias" },
    { 0x3C46, "getthreatinfantrycallouttype" },
    { 0x3C47, "getthreatsovertime" },
    { 0x3C48, "gettierfromtable" },
    { 0x3C49, "gettimeinterval" },
    { 0x3C4A, "gettimelimit" },
    { 0x3C4B, "gettimepassed" },
    { 0x3C4C, "gettimepassedpercentage" },
    { 0x3C4D, "gettimeremaining" },
    { 0x3C4E, "gettimeremainingpercentage" },
    { 0x3C4F, "gettimesincedompointcapture" },
    { 0x3C50, "gettotalpercentcompletesp" },
    { 0x3C51, "gettrackingtargetcount" },
    { 0x3C52, "gettransformeduv" },
    { 0x3C53, "gettranssplittime" },
    { 0x3C54, "gettruenodeangles" },
    { 0x3C55, "getturnanim" },
    { 0x3C56, "getturnanimstate" },
    { 0x3C57, "getturninplaceindex" },
    { 0x3C58, "gettweakabledvar" },
    { 0x3C59, "gettweakabledvarvalue" },
    { 0x3C5A, "gettweakablelastvalue" },
    { 0x3C5B, "gettweakablevalue" },
    { 0x3C5C, "getuniqueflagnameindex" },
    { 0x3C5D, "getunownedflagneareststart" },
    { 0x3C5E, "getupdatedattackpos" },
    { 0x3C5F, "getupdateteams" },
    { 0x3C60, "getupifprone" },
    { 0x3C61, "getvalidattachments" },
    { 0x3C62, "getvalidlocation" },
    { 0x3C63, "getvalidpointtopointmovelocation" },
    { 0x3C64, "getvalueinrange" },
    { 0x3C65, "getvectorarrayaverage" },
    { 0x3C66, "getvectorrightangle" },
    { 0x3C67, "getvehiclearray" },
    { 0x3C68, "getvehiclespawner" },
    { 0x3C69, "getvehiclespawnerarray" },
    { 0x3C6A, "getvelocity_func" },
    { 0x3C6B, "getverticaldeltatoendgroud" },
    { 0x3C6C, "getwaitingbattlebuddy" },
    { 0x3C6D, "getwalkanim" },
    { 0x3C6E, "getwatcheddvar" },
    { 0x3C6F, "getweaponattachmentarrayfromstats" },
    { 0x3C70, "getweaponattachmentfromchallenge" },
    { 0x3C71, "getweaponattachmentfromstats" },
    { 0x3C72, "getweaponattachmentsbasenames" },
    { 0x3C73, "getweaponbarsize" },
    { 0x3C74, "getweaponbasedgrenadecount" },
    { 0x3C75, "getweaponbasedsmokegrenadecount" },
    { 0x3C76, "getweaponchoice" },
    { 0x3C77, "getweaponclass" },
    { 0x3C78, "getweaponforpos" },
    { 0x3C79, "getweaponfromchallenge" },
    { 0x3C7A, "getweaponfxheight" },
    { 0x3C7B, "getweaponheaviestvalue" },
    { 0x3C7C, "getweaponmaxrankxp" },
    { 0x3C7D, "getweaponrank" },
    { 0x3C7E, "getweaponrankforxp" },
    { 0x3C7F, "getweaponrankinfomaxxp" },
    { 0x3C80, "getweaponrankinfominxp" },
    { 0x3C81, "getweaponrankinfoxpamt" },
    { 0x3C82, "getweaponrankxp" },
    { 0x3C83, "getweaponweight" },
    { 0x3C84, "getweeklyref" },
    { 0x3C85, "getweightedchanceroll" },
    { 0x3C86, "getwinningteam" },
    { 0x3C87, "getyaw" },
    { 0x3C88, "getyaw2d" },
    { 0x3C89, "getyawangles" },
    { 0x3C8A, "getyawfromorigin" },
    { 0x3C8B, "getyawtoenemy" },
    { 0x3C8C, "getyawtoorigin" },
    { 0x3C8D, "getyawtospot" },
    { 0x3C8E, "getyawtotag" },
    { 0x3C8F, "geysertag" },
    { 0x3C90, "ghetto_tag_create" },
    { 0x3C91, "ghille_on_player" },
    { 0x3C92, "ghille_top" },
    { 0x3C93, "ghillie_leaves" },
    { 0x3C94, "ghost_chopper" },
    { 0x3C95, "ghost_patroller_flee" },
    { 0x3C96, "ghost_patroller_setup" },
    { 0x3C97, "ghost_town_end" },
    { 0x3C98, "ghost_town_end_dialogue" },
    { 0x3C99, "ghost_town_open_the_gate" },
    { 0x3C9A, "ghost_town_sneak" },
    { 0x3C9B, "ghost_town_sneak_dialogue" },
    { 0x3C9C, "ghost_town_sneak_end" },
    { 0x3C9D, "ghosttown_heli_flyby_think" },
    { 0x3C9E, "ghosttown_patrol_init" },
    { 0x3C9F, "girth" },
    { 0x3CA0, "give_ammo" },
    { 0x3CA1, "give_ammo_clip" },
    { 0x3CA2, "give_ammo_item" },
    { 0x3CA3, "give_armor_item" },
    { 0x3CA4, "give_attacker_kill_rewards" },
    { 0x3CA5, "give_back_aim_over_time" },
    { 0x3CA6, "give_back_offhands" },
    { 0x3CA7, "give_binoculars" },
    { 0x3CA8, "give_boost_item" },
    { 0x3CA9, "give_default" },
    { 0x3CAA, "give_drone_deathanim" },
    { 0x3CAB, "give_explosive_item" },
    { 0x3CAC, "give_feral_item" },
    { 0x3CAD, "give_flare_item" },
    { 0x3CAE, "give_flashlight" },
    { 0x3CAF, "give_hatchet" },
    { 0x3CB0, "give_health" },
    { 0x3CB1, "give_health_by_ref" },
    { 0x3CB2, "give_infinite_ammo" },
    { 0x3CB3, "give_initial_perks" },
    { 0x3CB4, "give_laser" },
    { 0x3CB5, "give_laststand" },
    { 0x3CB6, "give_leash_item" },
    { 0x3CB7, "give_loadout" },
    { 0x3CB8, "give_loot" },
    { 0x3CB9, "give_loot_blood" },
    { 0x3CBA, "give_loot_generic" },
    { 0x3CBB, "give_max_laststand" },
    { 0x3CBC, "give_maxammo" },
    { 0x3CBD, "give_new_pistol" },
    { 0x3CBE, "give_offhand" },
    { 0x3CBF, "give_player_currency" },
    { 0x3CC0, "give_player_missile_control" },
    { 0x3CC1, "give_player_new_ref_ent_look" },
    { 0x3CC2, "give_player_p99_back" },
    { 0x3CC3, "give_player_points" },
    { 0x3CC4, "give_player_session_xp" },
    { 0x3CC5, "give_player_skill_point" },
    { 0x3CC6, "give_player_struggle_hint" },
    { 0x3CC7, "give_player_teargas" },
    { 0x3CC8, "give_player_xp" },
    { 0x3CC9, "give_players_rewards" },
    { 0x3CCA, "give_point" },
    { 0x3CCB, "give_power_back" },
    { 0x3CCC, "give_randombox_item" },
    { 0x3CCD, "give_shock_ammo" },
    { 0x3CCE, "give_slotted_explosive" },
    { 0x3CCF, "give_soflam" },
    { 0x3CD0, "give_soflam_item" },
    { 0x3CD1, "give_special_ammo" },
    { 0x3CD2, "give_special_ammo_by_weaponclass" },
    { 0x3CD3, "give_throwable_weapon" },
    { 0x3CD4, "give_trophy_item" },
    { 0x3CD5, "give_underwater_weapon" },
    { 0x3CD6, "give_upgrade_station" },
    { 0x3CD7, "give_weapon" },
    { 0x3CD8, "give_weapons" },
    { 0x3CD9, "give_weaponsound" },
    { 0x3CDA, "giveachievement_wrapper" },
    { 0x3CDB, "giveadrenaline" },
    { 0x3CDC, "giveassistbonus" },
    { 0x3CDD, "giveaward" },
    { 0x3CDE, "giveawarenessperks" },
    { 0x3CDF, "giveblindeyeafterspawn" },
    { 0x3CE0, "givebonusperks" },
    { 0x3CE1, "givecarryremoteuav" },
    { 0x3CE2, "givecarryvanguard" },
    { 0x3CE3, "givechallenge" },
    { 0x3CE4, "givecombathigh" },
    { 0x3CE5, "givecomexpbenefits" },
    { 0x3CE6, "givecoolassgun" },
    { 0x3CE7, "givecurrency" },
    { 0x3CE8, "giveenemyperks" },
    { 0x3CE9, "giveequipmentperks" },
    { 0x3CEA, "giveflagcapturexp" },
    { 0x3CEB, "givegamblerchoice" },
    { 0x3CEC, "givegun" },
    { 0x3CED, "givehandlingperks" },
    { 0x3CEE, "givehighlight" },
    { 0x3CEF, "giveims" },
    { 0x3CF0, "givejuggernaut" },
    { 0x3CF1, "givekillreward" },
    { 0x3CF2, "givekillstreak" },
    { 0x3CF3, "givekillstreakweapon" },
    { 0x3CF4, "givelastonteamwarning" },
    { 0x3CF5, "giveloadout" },
    { 0x3CF6, "givemarker" },
    { 0x3CF7, "givematchbonus" },
    { 0x3CF8, "giveobject" },
    { 0x3CF9, "giveonemanarmyclass" },
    { 0x3CFA, "giveownedkillstreakitem" },
    { 0x3CFB, "giveperk" },
    { 0x3CFC, "giveperkequipment" },
    { 0x3CFD, "giveperkoffhand" },
    { 0x3CFE, "giveperksfromknownloadout" },
    { 0x3CFF, "giveplaceable" },
    { 0x3D00, "giveplayerscore" },
    { 0x3D01, "giveplayerscore_regularmp" },
    { 0x3D02, "givepointsfordamage" },
    { 0x3D03, "givepointsforevent" },
    { 0x3D04, "giverandomdeployable" },
    { 0x3D05, "giverandomgun" },
    { 0x3D06, "giverankxp" },
    { 0x3D07, "giverankxp_regularmp" },
    { 0x3D08, "giverankxpafterwait" },
    { 0x3D09, "giverecentshieldxp" },
    { 0x3D0A, "giveresistanceperks" },
    { 0x3D0B, "gives_extra_last_stand" },
    { 0x3D0C, "giveselectedkillstreakitem" },
    { 0x3D0D, "givesentry" },
    { 0x3D0E, "givespeedperks" },
    { 0x3D0F, "givestealthperks" },
    { 0x3D10, "givetank" },
    { 0x3D11, "giveteamammorefill" },
    { 0x3D12, "giveteamchallenge" },
    { 0x3D13, "giveteamscore" },
    { 0x3D14, "giveteamscoreforobjective" },
    { 0x3D15, "giveultimatekillstreak" },
    { 0x3D16, "giveunlimitedrpgammo" },
    { 0x3D17, "giveuponsuppressiontime" },
    { 0x3D18, "giveuptime" },
    { 0x3D19, "givexp" },
    { 0x3D1A, "glass" },
    { 0x3D1B, "glass_broken_under_player" },
    { 0x3D1C, "glass_crack_effects" },
    { 0x3D1D, "glass_cutter_off" },
    { 0x3D1E, "glass_cutter_on" },
    { 0x3D1F, "glass_cutting_fx_notetrack_handler" },
    { 0x3D20, "glass_destroy_targetname" },
    { 0x3D21, "glass_impact" },
    { 0x3D22, "glimpse_time" },
    { 0x3D23, "glimpsethefuture" },
    { 0x3D24, "glint_behavior" },
    { 0x3D25, "glint_org" },
    { 0x3D26, "global_breakable_target_damage_wait" },
    { 0x3D27, "global_breakable_wait" },
    { 0x3D28, "global_breakables_think" },
    { 0x3D29, "global_callbacks" },
    { 0x3D2A, "global_damage_func" },
    { 0x3D2B, "global_damage_func_ads" },
    { 0x3D2C, "global_empty_callback" },
    { 0x3D2D, "global_fx" },
    { 0x3D2E, "global_fx_array_to_string" },
    { 0x3D2F, "global_kill_func" },
    { 0x3D30, "global_spawn_functions" },
    { 0x3D31, "global_tables" },
    { 0x3D32, "globalthink" },
    { 0x3D33, "glock" },
    { 0x3D34, "glow" },
    { 0x3D35, "glow_console" },
    { 0x3D36, "glow_console_after_breach" },
    { 0x3D37, "glow_model" },
    { 0x3D38, "glowmodel" },
    { 0x3D39, "glowstick1" },
    { 0x3D3A, "glowstick1_on" },
    { 0x3D3B, "glowstick1_prop" },
    { 0x3D3C, "glowstick2" },
    { 0x3D3D, "glowstick2_on" },
    { 0x3D3E, "glowstick2_prop" },
    { 0x3D3F, "glowstick_hacking" },
    { 0x3D40, "glowstick_hacking_on" },
    { 0x3D41, "glowstick_off" },
    { 0x3D42, "glowstick_on" },
    { 0x3D43, "glowstick_scene" },
    { 0x3D44, "glowstickdamagelistener" },
    { 0x3D45, "glowstickenemyuselistener" },
    { 0x3D46, "glowstickhandledeathdamage" },
    { 0x3D47, "glowstickmodifydamage" },
    { 0x3D48, "glowsticks" },
    { 0x3D49, "glowsticksetupandwaitfordeath" },
    { 0x3D4A, "glowstickteamupdater" },
    { 0x3D4B, "glowstickuselistener" },
    { 0x3D4C, "glsentry_placed_listener" },
    { 0x3D4D, "glsentry_watch_ammo" },
    { 0x3D4E, "gndlt" },
    { 0x3D4F, "gndlthdr" },
    { 0x3D50, "go_for_swipe" },
    { 0x3D51, "go_hit_geo" },
    { 0x3D52, "go_path_by_targetname" },
    { 0x3D53, "go_path_by_targetname_reverse" },
    { 0x3D54, "go_street" },
    { 0x3D55, "go_to_goal_vol" },
    { 0x3D56, "go_to_hide" },
    { 0x3D57, "go_to_leaping_melee_node" },
    { 0x3D58, "go_to_leaping_melee_position" },
    { 0x3D59, "go_to_node" },
    { 0x3D5A, "go_to_node_arrays" },
    { 0x3D5B, "go_to_node_set_goal_ent" },
    { 0x3D5C, "go_to_node_set_goal_node" },
    { 0x3D5D, "go_to_node_set_goal_pos" },
    { 0x3D5E, "go_to_node_using_funcs" },
    { 0x3D5F, "go_to_node_wait_for_player" },
    { 0x3D60, "go_to_origin" },
    { 0x3D61, "go_to_struct" },
    { 0x3D62, "go_to_waiting" },
    { 0x3D63, "goal_dir" },
    { 0x3D64, "goal_fx_ent" },
    { 0x3D65, "goal_node" },
    { 0x3D66, "goal_position" },
    { 0x3D67, "goal_radius" },
    { 0x3D68, "goal_radius_constant" },
    { 0x3D69, "goal_struct" },
    { 0x3D6A, "goal_type" },
    { 0x3D6B, "goalpos_within_volume" },
    { 0x3D6C, "goalraidus" },
    { 0x3D6D, "goals" },
    { 0x3D6E, "goalvolumes" },
    { 0x3D6F, "goback_startfunc" },
    { 0x3D70, "god_rays_airlock" },
    { 0x3D71, "god_rays_from_moving_source" },
    { 0x3D72, "god_rays_from_rog" },
    { 0x3D73, "god_rays_from_world_location" },
    { 0x3D74, "godmode" },
    { 0x3D75, "godoff" },
    { 0x3D76, "godon" },
    { 0x3D77, "godrays" },
    { 0x3D78, "going_for_knife" },
    { 0x3D79, "going_up" },
    { 0x3D7A, "goingtoproneaim" },
    { 0x3D7B, "gold_door_on_player_truck" },
    { 0x3D7C, "gold_jeep_player_door" },
    { 0x3D7D, "gold_jeep_player_door_exfil" },
    { 0x3D7E, "gold_player_door" },
    { 0x3D7F, "gonevo" },
    { 0x3D80, "goodaccuracy" },
    { 0x3D81, "goodenemy" },
    { 0x3D82, "goodfriendlydistancefromplayersquared" },
    { 0x3D83, "goodshootpos" },
    { 0x3D84, "gopath" },
    { 0x3D85, "goto_anim_start_spot" },
    { 0x3D86, "goto_current_colorindex" },
    { 0x3D87, "goto_door_breach" },
    { 0x3D88, "goto_door_breach_catchup" },
    { 0x3D89, "gotocover" },
    { 0x3D8A, "gotonextspawn" },
    { 0x3D8B, "gotoprevspawn" },
    { 0x3D8C, "gotpullbacknotify" },
    { 0x3D8D, "gotshot" },
    { 0x3D8E, "grab_firework_effects" },
    { 0x3D8F, "grabvignetteinfo" },
    { 0x3D90, "graceperiod" },
    { 0x3D91, "graceperiodgrenademod" },
    { 0x3D92, "graph_position" },
    { 0x3D93, "graphid" },
    { 0x3D94, "graphnodes" },
    { 0x3D95, "grass_aas_approach" },
    { 0x3D96, "gravity_shift" },
    { 0x3D97, "grayout" },
    { 0x3D98, "greatestuniqueplayerkills" },
    { 0x3D99, "green" },
    { 0x3D9A, "green_house_ladder" },
    { 0x3D9B, "green_lights" },
    { 0x3D9C, "greenlight_check" },
    { 0x3D9D, "greenlight_end" },
    { 0x3D9E, "greenlight_skip" },
    { 0x3D9F, "gren_explosion_sphere" },
    { 0x3DA0, "grenade_ammo_probability" },
    { 0x3DA1, "grenade_array" },
    { 0x3DA2, "grenade_cache" },
    { 0x3DA3, "grenade_cache_index" },
    { 0x3DA4, "grenade_death_hint" },
    { 0x3DA5, "grenade_death_indicator_hud" },
    { 0x3DA6, "grenade_dirt_on_screen" },
    { 0x3DA7, "grenade_earthquake" },
    { 0x3DA8, "grenade_kill" },
    { 0x3DA9, "grenade_roll_end_struct" },
    { 0x3DAA, "grenade_roll_grenade" },
    { 0x3DAB, "grenade_tossed" },
    { 0x3DAC, "grenadeammo_prebreach" },
    { 0x3DAD, "grenadecooldownelapsed" },
    { 0x3DAE, "grenadecowerfunction" },
    { 0x3DAF, "grenadedest" },
    { 0x3DB0, "grenadeexplosionfx" },
    { 0x3DB1, "grenadehidden" },
    { 0x3DB2, "grenadelandednearplayer" },
    { 0x3DB3, "grenadeline" },
    { 0x3DB4, "grenadeorigin" },
    { 0x3DB5, "grenadeproximitytracking" },
    { 0x3DB6, "grenades" },
    { 0x3DB7, "grenades_by_difficulty" },
    { 0x3DB8, "grenades_merrick" },
    { 0x3DB9, "grenadeshielded" },
    { 0x3DBA, "grenadesplashing" },
    { 0x3DBB, "grenadethrowanims" },
    { 0x3DBC, "grenadethrowoffsets" },
    { 0x3DBD, "grenadethrowpose" },
    { 0x3DBE, "grenadetimers" },
    { 0x3DBF, "grenadetracking" },
    { 0x3DC0, "grind_headicon_allies" },
    { 0x3DC1, "grind_headicon_axis" },
    { 0x3DC2, "grindzones" },
    { 0x3DC3, "ground" },
    { 0x3DC4, "ground_brush" },
    { 0x3DC5, "ground_ents" },
    { 0x3DC6, "ground_movement" },
    { 0x3DC7, "ground_pos" },
    { 0x3DC8, "ground_ref" },
    { 0x3DC9, "ground_ref_ent" },
    { 0x3DCA, "ground_slam" },
    { 0x3DCB, "ground_support_locs" },
    { 0x3DCC, "ground_turret" },
    { 0x3DCD, "groundpos" },
    { 0x3DCE, "group" },
    { 0x3DCF, "group_add_to_global_list" },
    { 0x3DD0, "group_anim" },
    { 0x3DD1, "group_break_away_distance_sq" },
    { 0x3DD2, "group_flag_clear" },
    { 0x3DD3, "group_flag_init" },
    { 0x3DD4, "group_flag_set" },
    { 0x3DD5, "group_get_ai_in_group" },
    { 0x3DD6, "group_get_flagname" },
    { 0x3DD7, "group_get_flagname_from_group" },
    { 0x3DD8, "group_light" },
    { 0x3DD9, "group_return_ai_with_flag_set" },
    { 0x3DDA, "group_return_groups_with_flag_set" },
    { 0x3DDB, "group_wait_group_spawned" },
    { 0x3DDC, "group_walla" },
    { 0x3DDD, "groupedanim_pos" },
    { 0x3DDE, "groupname" },
    { 0x3DDF, "groups" },
    { 0x3DE0, "growl_on_path_end" },
    { 0x3DE1, "growling" },
    { 0x3DE2, "gs" },
    { 0x3DE3, "gt_get_to_cover_after_landing" },
    { 0x3DE4, "gt_op" },
    { 0x3DE5, "gtnw" },
    { 0x3DE6, "guard_a_1" },
    { 0x3DE7, "guard_a_2" },
    { 0x3DE8, "guard_b_1" },
    { 0x3DE9, "guard_b_2" },
    { 0x3DEA, "guard_goal_radius" },
    { 0x3DEB, "guid" },
    { 0x3DEC, "gun" },
    { 0x3DED, "gun_animation" },
    { 0x3DEE, "gun_down" },
    { 0x3DEF, "gun_down_trigger" },
    { 0x3DF0, "gun_down_trigger_internal" },
    { 0x3DF1, "gun_fired_and_ready_105mm" },
    { 0x3DF2, "gun_grab" },
    { 0x3DF3, "gun_inventory" },
    { 0x3DF4, "gun_l_off" },
    { 0x3DF5, "gun_l_on" },
    { 0x3DF6, "gun_leave_behind" },
    { 0x3DF7, "gun_on_ground" },
    { 0x3DF8, "gun_pickup_left" },
    { 0x3DF9, "gun_pickup_right" },
    { 0x3DFA, "gun_r_off" },
    { 0x3DFB, "gun_r_on" },
    { 0x3DFC, "gun_recall" },
    { 0x3DFD, "gun_remove" },
    { 0x3DFE, "gun_removed" },
    { 0x3DFF, "gun_targ" },
    { 0x3E00, "gun_up_for_reload" },
    { 0x3E01, "gunboat_chance_fire_missile_at_ai" },
    { 0x3E02, "gunboat_dumbfire" },
    { 0x3E03, "gunboat_think" },
    { 0x3E04, "gunboat_time_between_missiles_msec" },
    { 0x3E05, "gunboat_treadfx" },
    { 0x3E06, "gunboats" },
    { 0x3E07, "guncamera" },
    { 0x3E08, "gundown_patrol" },
    { 0x3E09, "gundown_twitch" },
    { 0x3E0A, "gundown_walk" },
    { 0x3E0B, "gunfire_react_distance" },
    { 0x3E0C, "gunfireloopfx" },
    { 0x3E0D, "gunfireloopfxthread" },
    { 0x3E0E, "gunfireloopfxvec" },
    { 0x3E0F, "gunfireloopfxvecthread" },
    { 0x3E10, "gunhand" },
    { 0x3E11, "gunner" },
    { 0x3E12, "gunner_pain_init" },
    { 0x3E13, "gunner_pain_reset" },
    { 0x3E14, "gunner_think" },
    { 0x3E15, "gunner_turning_anims" },
    { 0x3E16, "gunnerweapon" },
    { 0x3E17, "gunship_attack" },
    { 0x3E18, "gunship_attack_autosave" },
    { 0x3E19, "gunship_attacking" },
    { 0x3E1A, "gunship_damage" },
    { 0x3E1B, "gunship_death" },
    { 0x3E1C, "gunship_death_sparrow_platform" },
    { 0x3E1D, "gunship_line_attack" },
    { 0x3E1E, "gunship_line_attack_death" },
    { 0x3E1F, "gunship_line_attack_fake" },
    { 0x3E20, "gunship_sparrow_platform_loop" },
    { 0x3E21, "gunship_trans_1" },
    { 0x3E22, "gunship_trans_2" },
    { 0x3E23, "gunship_trans_3" },
    { 0x3E24, "gunship_trans_4" },
    { 0x3E25, "gunship_trans_death_warning" },
    { 0x3E26, "gunship_trans_loop" },
    { 0x3E27, "gunship_trans_triggers" },
    { 0x3E28, "guy1" },
    { 0x3E29, "guy2" },
    { 0x3E2A, "guy3" },
    { 0x3E2B, "guy4" },
    { 0x3E2C, "guy_becomes_real_ai" },
    { 0x3E2D, "guy_blowup" },
    { 0x3E2E, "guy_cleanup_vehiclevars" },
    { 0x3E2F, "guy_death" },
    { 0x3E30, "guy_deathhandle" },
    { 0x3E31, "guy_deathimate_me" },
    { 0x3E32, "guy_do_animation" },
    { 0x3E33, "guy_duck" },
    { 0x3E34, "guy_duck_idle" },
    { 0x3E35, "guy_duck_once" },
    { 0x3E36, "guy_duck_once_check" },
    { 0x3E37, "guy_duck_out" },
    { 0x3E38, "guy_enter" },
    { 0x3E39, "guy_enter_vehicle" },
    { 0x3E3A, "guy_fridge_beers" },
    { 0x3E3B, "guy_gets_on_turret" },
    { 0x3E3C, "guy_goes_directly_to_turret" },
    { 0x3E3D, "guy_goes_to_struct_animates" },
    { 0x3E3E, "guy_goto_veh_and_enter" },
    { 0x3E3F, "guy_handle" },
    { 0x3E40, "guy_idle" },
    { 0x3E41, "guy_idle_alert" },
    { 0x3E42, "guy_idle_alert_check" },
    { 0x3E43, "guy_idle_alert_to_casual" },
    { 0x3E44, "guy_idle_alert_to_casual_check" },
    { 0x3E45, "guy_loading_unload_fail" },
    { 0x3E46, "guy_man_turret" },
    { 0x3E47, "guy_pre_unload" },
    { 0x3E48, "guy_pre_unload_check" },
    { 0x3E49, "guy_react" },
    { 0x3E4A, "guy_reaction" },
    { 0x3E4B, "guy_resets_goalpos" },
    { 0x3E4C, "guy_runtovehicle" },
    { 0x3E4D, "guy_runtovehicle_custom" },
    { 0x3E4E, "guy_runtovehicle_load" },
    { 0x3E4F, "guy_runtovehicle_loaded" },
    { 0x3E50, "guy_runtovehicle_loaded_custom" },
    { 0x3E51, "guy_setup_for_blackout" },
    { 0x3E52, "guy_should_man_turret" },
    { 0x3E53, "guy_silent_death" },
    { 0x3E54, "guy_spawns_and_gets_in_vehicle" },
    { 0x3E55, "guy_stand_attack" },
    { 0x3E56, "guy_stand_down" },
    { 0x3E57, "guy_turn_hardleft" },
    { 0x3E58, "guy_turn_hardright" },
    { 0x3E59, "guy_turn_left" },
    { 0x3E5A, "guy_turn_left_check" },
    { 0x3E5B, "guy_turn_right" },
    { 0x3E5C, "guy_turn_right_check" },
    { 0x3E5D, "guy_turret_fire" },
    { 0x3E5E, "guy_turret_turnleft" },
    { 0x3E5F, "guy_turret_turnright" },
    { 0x3E60, "guy_unlink_on_death" },
    { 0x3E61, "guy_unload" },
    { 0x3E62, "guy_unload_que" },
    { 0x3E63, "guy_unset_allowdeath" },
    { 0x3E64, "guy_vehicle_death" },
    { 0x3E65, "guy_wait_for_bark" },
    { 0x3E66, "guy_weave" },
    { 0x3E67, "guy_weave_check" },
    { 0x3E68, "guys_to_die_before_next_health_drop" },
    { 0x3E69, "h" },
    { 0x3E6A, "hack_start" },
    { 0x3E6B, "hacking" },
    { 0x3E6C, "hacking_eyes_and_ears" },
    { 0x3E6D, "hacking_music" },
    { 0x3E6E, "hacky_sound_wait" },
    { 0x3E6F, "had_mercy" },
    { 0x3E70, "halfdistance" },
    { 0x3E71, "halftimeroundenddelay" },
    { 0x3E72, "halftimesubcaption" },
    { 0x3E73, "halftimetype" },
    { 0x3E74, "halfwaydist" },
    { 0x3E75, "hall_clear_vo" },
    { 0x3E76, "hall_redshirt_runner" },
    { 0x3E77, "hall_redshirt_talk" },
    { 0x3E78, "hall_search_music" },
    { 0x3E79, "hallway_blocker" },
    { 0x3E7A, "hallway_crossing_middle" },
    { 0x3E7B, "hallway_door_shut" },
    { 0x3E7C, "hallway_encounter" },
    { 0x3E7D, "hallway_rear_run_down" },
    { 0x3E7E, "hallway_rear_run_down_back" },
    { 0x3E7F, "hallway_vo" },
    { 0x3E80, "halon_fade_in_time" },
    { 0x3E81, "halon_fade_out_time" },
    { 0x3E82, "halon_fog_on" },
    { 0x3E83, "halon_system" },
    { 0x3E84, "halon_system_fog_off" },
    { 0x3E85, "halon_system_fog_on" },
    { 0x3E86, "halon_system_killstreak" },
    { 0x3E87, "halon_system_killstreak_explode" },
    { 0x3E88, "halon_system_run" },
    { 0x3E89, "halon_system_spawn_watch" },
    { 0x3E8A, "hand_icon" },
    { 0x3E8B, "hand_icon_count" },
    { 0x3E8C, "hand_icon_create" },
    { 0x3E8D, "hand_icon_fade_in" },
    { 0x3E8E, "hand_icon_fade_out" },
    { 0x3E8F, "hand_icon_update" },
    { 0x3E90, "hand_icons" },
    { 0x3E91, "handle_accuracy" },
    { 0x3E92, "handle_agressive_player" },
    { 0x3E93, "handle_alerted" },
    { 0x3E94, "handle_allies_if_stealth_broken" },
    { 0x3E95, "handle_ally_bag_vis" },
    { 0x3E96, "handle_ally_moveon" },
    { 0x3E97, "handle_ally_threatbiasgroup" },
    { 0x3E98, "handle_ambush_return_spot" },
    { 0x3E99, "handle_animated_duffelbags" },
    { 0x3E9A, "handle_antenna_fx" },
    { 0x3E9B, "handle_approach_anims_end" },
    { 0x3E9C, "handle_attached_guys" },
    { 0x3E9D, "handle_attractor_flare" },
    { 0x3E9E, "handle_autoturret_chatter" },
    { 0x3E9F, "handle_backfill" },
    { 0x3EA0, "handle_backpack_objective" },
    { 0x3EA1, "handle_badpath" },
    { 0x3EA2, "handle_bag_hints" },
    { 0x3EA3, "handle_baker_ambush_anims" },
    { 0x3EA4, "handle_baker_intro_anim" },
    { 0x3EA5, "handle_balcony_death" },
    { 0x3EA6, "handle_basement_guys2" },
    { 0x3EA7, "handle_basement_guys3b" },
    { 0x3EA8, "handle_basement_guys3c" },
    { 0x3EA9, "handle_beer_bottles" },
    { 0x3EAA, "handle_binocular_zoom_magnet" },
    { 0x3EAB, "handle_blackout" },
    { 0x3EAC, "handle_bomb_damage" },
    { 0x3EAD, "handle_breach_body_count" },
    { 0x3EAE, "handle_breach_door" },
    { 0x3EAF, "handle_building_entry" },
    { 0x3EB0, "handle_butchdance_enemies" },
    { 0x3EB1, "handle_challenge_hotjoin" },
    { 0x3EB2, "handle_checkpoint_end_condition" },
    { 0x3EB3, "handle_ciper_approach_anims_end" },
    { 0x3EB4, "handle_cipher_intro_anim" },
    { 0x3EB5, "handle_clear_c4" },
    { 0x3EB6, "handle_closet_clip" },
    { 0x3EB7, "handle_com_tower_kill" },
    { 0x3EB8, "handle_combat_guys" },
    { 0x3EB9, "handle_combat_guys2" },
    { 0x3EBA, "handle_coughing" },
    { 0x3EBB, "handle_cqb_allies" },
    { 0x3EBC, "handle_cqb_enemies" },
    { 0x3EBD, "handle_cqb_pip_cams" },
    { 0x3EBE, "handle_cycle_end" },
    { 0x3EBF, "handle_cypher_backups" },
    { 0x3EC0, "handle_damage" },
    { 0x3EC1, "handle_dead_truck" },
    { 0x3EC2, "handle_death" },
    { 0x3EC3, "handle_defend_saves" },
    { 0x3EC4, "handle_defend_vault" },
    { 0x3EC5, "handle_defend_waves" },
    { 0x3EC6, "handle_delete" },
    { 0x3EC7, "handle_destructible_frame_queue" },
    { 0x3EC8, "handle_detached_guys_check" },
    { 0x3EC9, "handle_detonation" },
    { 0x3ECA, "handle_disable_rotation" },
    { 0x3ECB, "handle_dismount" },
    { 0x3ECC, "handle_dog_ambush" },
    { 0x3ECD, "handle_dog_chaos" },
    { 0x3ECE, "handle_dog_checkpoint" },
    { 0x3ECF, "handle_dog_combat_defend" },
    { 0x3ED0, "handle_dog_combat_defend_static" },
    { 0x3ED1, "handle_dog_defend" },
    { 0x3ED2, "handle_dog_exfil" },
    { 0x3ED3, "handle_dog_hud" },
    { 0x3ED4, "handle_dog_interior" },
    { 0x3ED5, "handle_dog_interior_attack" },
    { 0x3ED6, "handle_dog_intro" },
    { 0x3ED7, "handle_dog_leaving_jeep" },
    { 0x3ED8, "handle_dog_modes" },
    { 0x3ED9, "handle_dog_targeting_chaos" },
    { 0x3EDA, "handle_dog_targeting_checkpoint" },
    { 0x3EDB, "handle_dogbite_notetrack" },
    { 0x3EDC, "handle_drill_spot" },
    { 0x3EDD, "handle_drilling" },
    { 0x3EDE, "handle_drone" },
    { 0x3EDF, "handle_drone_nags" },
    { 0x3EE0, "handle_end_lynxes" },
    { 0x3EE1, "handle_enemies_behind_player" },
    { 0x3EE2, "handle_enemies_get_out_of_car" },
    { 0x3EE3, "handle_enemy_accuracy_while_player_in_elevator" },
    { 0x3EE4, "handle_explode" },
    { 0x3EE5, "handle_exploder_trigger" },
    { 0x3EE6, "handle_exploders" },
    { 0x3EE7, "handle_exploding_heli_fx" },
    { 0x3EE8, "handle_favorite_enemy" },
    { 0x3EE9, "handle_final_combat" },
    { 0x3EEA, "handle_final_finale_guys" },
    { 0x3EEB, "handle_finale_drones" },
    { 0x3EEC, "handle_finale_shakes_and_rumbles" },
    { 0x3EED, "handle_fire_blocker" },
    { 0x3EEE, "handle_first_doorway_allies" },
    { 0x3EEF, "handle_flare_slow" },
    { 0x3EF0, "handle_flyaway_fail" },
    { 0x3EF1, "handle_fog_changes" },
    { 0x3EF2, "handle_friendly_fail" },
    { 0x3EF3, "handle_front_elevator" },
    { 0x3EF4, "handle_garden" },
    { 0x3EF5, "handle_gas" },
    { 0x3EF6, "handle_gassed_ai" },
    { 0x3EF7, "handle_gaz_moment_setup" },
    { 0x3EF8, "handle_gaz_moment_step" },
    { 0x3EF9, "handle_ghost_chopper_removal" },
    { 0x3EFA, "handle_glowstick" },
    { 0x3EFB, "handle_grenade_explode" },
    { 0x3EFC, "handle_grenade_launcher" },
    { 0x3EFD, "handle_grenade_thrown_failcase" },
    { 0x3EFE, "handle_gunner_death" },
    { 0x3EFF, "handle_gunner_pain" },
    { 0x3F00, "handle_hesh_teleport" },
    { 0x3F01, "handle_hit" },
    { 0x3F02, "handle_ice_plugs" },
    { 0x3F03, "handle_intro_ammo_counter" },
    { 0x3F04, "handle_intro_fx" },
    { 0x3F05, "handle_intro_sniper_outline" },
    { 0x3F06, "handle_jeep_launch_fx" },
    { 0x3F07, "handle_jet11_fx" },
    { 0x3F08, "handle_jet12_fx" },
    { 0x3F09, "handle_jet1_fx" },
    { 0x3F0A, "handle_jet20_fx" },
    { 0x3F0B, "handle_jet2_fx" },
    { 0x3F0C, "handle_jet3_fx" },
    { 0x3F0D, "handle_jet_launch_fx" },
    { 0x3F0E, "handle_jet_takeoff" },
    { 0x3F0F, "handle_jet_taxi" },
    { 0x3F10, "handle_keegan_intro_anim" },
    { 0x3F11, "handle_keegandrag_death" },
    { 0x3F12, "handle_landing" },
    { 0x3F13, "handle_leave_team_fail" },
    { 0x3F14, "handle_leave_team_too_far_fail" },
    { 0x3F15, "handle_lights" },
    { 0x3F16, "handle_lights_out_approach" },
    { 0x3F17, "handle_linked_ents" },
    { 0x3F18, "handle_looper" },
    { 0x3F19, "handle_loopers" },
    { 0x3F1A, "handle_lower_flashlight_guys" },
    { 0x3F1B, "handle_m32_launcher" },
    { 0x3F1C, "handle_mg_firing" },
    { 0x3F1D, "handle_misc_drill_details" },
    { 0x3F1E, "handle_missile" },
    { 0x3F1F, "handle_missiles" },
    { 0x3F20, "handle_mounting" },
    { 0x3F21, "handle_move" },
    { 0x3F22, "handle_movement_anim" },
    { 0x3F23, "handle_moving_platform_invalid" },
    { 0x3F24, "handle_moving_platform_touch" },
    { 0x3F25, "handle_moving_platforms" },
    { 0x3F26, "handle_nondeterministic_entities" },
    { 0x3F27, "handle_nvg_guards" },
    { 0x3F28, "handle_onplayer_debris" },
    { 0x3F29, "handle_people_in_teargas" },
    { 0x3F2A, "handle_phone_if_stealth_is_broken" },
    { 0x3F2B, "handle_phys_debris" },
    { 0x3F2C, "handle_pickup_flare" },
    { 0x3F2D, "handle_pip_cams" },
    { 0x3F2E, "handle_platform_blockers" },
    { 0x3F2F, "handle_player_bodydrag_death" },
    { 0x3F30, "handle_player_punch_animation" },
    { 0x3F31, "handle_radar_dish_fx" },
    { 0x3F32, "handle_radio_alert" },
    { 0x3F33, "handle_radio_tower_kill" },
    { 0x3F34, "handle_radiotower_guy" },
    { 0x3F35, "handle_ragdoll" },
    { 0x3F36, "handle_random_mg_fire" },
    { 0x3F37, "handle_rappel" },
    { 0x3F38, "handle_rappel_inverted" },
    { 0x3F39, "handle_rappel_stealth" },
    { 0x3F3A, "handle_remaining_alert" },
    { 0x3F3B, "handle_remaining_enemy_provoked_early" },
    { 0x3F3C, "handle_remaining_kill" },
    { 0x3F3D, "handle_revolver_bullet_fiction" },
    { 0x3F3E, "handle_rider_death" },
    { 0x3F3F, "handle_rope_hitting_enemies" },
    { 0x3F40, "handle_rpg_ambush" },
    { 0x3F41, "handle_rpg_sniper" },
    { 0x3F42, "handle_second_doorway_allies" },
    { 0x3F43, "handle_selected_ents" },
    { 0x3F44, "handle_sentry_on_carrier_death" },
    { 0x3F45, "handle_sentry_placement_failed" },
    { 0x3F46, "handle_shadow_kill" },
    { 0x3F47, "handle_skip_rpg_sniping" },
    { 0x3F48, "handle_sliding_osprey_fx" },
    { 0x3F49, "handle_slow_movement" },
    { 0x3F4A, "handle_smoke" },
    { 0x3F4B, "handle_sneak_vo" },
    { 0x3F4C, "handle_spotlight_enemy_b" },
    { 0x3F4D, "handle_stage_two_fx" },
    { 0x3F4E, "handle_stairs" },
    { 0x3F4F, "handle_starts" },
    { 0x3F50, "handle_starts_endons" },
    { 0x3F51, "handle_sticky_clacker" },
    { 0x3F52, "handle_strobe_off_hint" },
    { 0x3F53, "handle_strobe_on_hint" },
    { 0x3F54, "handle_tank_death" },
    { 0x3F55, "handle_teargas_chatter" },
    { 0x3F56, "handle_teargas_explode" },
    { 0x3F57, "handle_teargas_grenades" },
    { 0x3F58, "handle_teargas_launcher" },
    { 0x3F59, "handle_teargas_volume" },
    { 0x3F5A, "handle_tower_alert" },
    { 0x3F5B, "handle_tower_enemy_provoked_early" },
    { 0x3F5C, "handle_troll_player" },
    { 0x3F5D, "handle_truck_shooting" },
    { 0x3F5E, "handle_truck_windshield_break" },
    { 0x3F5F, "handle_tunnel_ambience" },
    { 0x3F60, "handle_unresolved_collision" },
    { 0x3F61, "handle_use" },
    { 0x3F62, "handle_vehicles_near_iceholes" },
    { 0x3F63, "handle_vip_drone" },
    { 0x3F64, "handle_vip_drones" },
    { 0x3F65, "handle_volume_touching" },
    { 0x3F66, "handle_wait_for_allies" },
    { 0x3F67, "handle_weapon_melee_toggle" },
    { 0x3F68, "handle_zodiac_propeller" },
    { 0x3F69, "handle_zodiac_propeller_end" },
    { 0x3F6A, "handle_zodiac_splash" },
    { 0x3F6B, "handleagentuse" },
    { 0x3F6C, "handlealiensoundnotetracks" },
    { 0x3F6D, "handleapdamage" },
    { 0x3F6E, "handleapextraversaldeath" },
    { 0x3F6F, "handleattacknotetracks" },
    { 0x3F70, "handlebackcrawlnotetracks" },
    { 0x3F71, "handlebranchnode" },
    { 0x3F72, "handlecapnode" },
    { 0x3F73, "handlecleanupputaway" },
    { 0x3F74, "handledamage" },
    { 0x3F75, "handledeath" },
    { 0x3F76, "handledeathdamage" },
    { 0x3F77, "handledogfootstepnotetracks" },
    { 0x3F78, "handledogsoundnotetracks" },
    { 0x3F79, "handledogturnnotetracks" },
    { 0x3F7A, "handledropclip" },
    { 0x3F7B, "handleemp" },
    { 0x3F7C, "handleempdamage" },
    { 0x3F7D, "handlefirstelitearrival" },
    { 0x3F7E, "handlefootstepnotetracks" },
    { 0x3F7F, "handlefriendlyfiredeath" },
    { 0x3F80, "handlegrenadedamage" },
    { 0x3F81, "handlehostmigration" },
    { 0x3F82, "handleincomingsam" },
    { 0x3F83, "handleincomingstinger" },
    { 0x3F84, "handleinsolid" },
    { 0x3F85, "handlekillstreaklimit" },
    { 0x3F86, "handlelastelitedeath" },
    { 0x3F87, "handlemeleebiteattacknotetracks" },
    { 0x3F88, "handlemeleedamage" },
    { 0x3F89, "handlemeleefinishattacknotetracks" },
    { 0x3F8A, "handlemissiledamage" },
    { 0x3F8B, "handlenormaldeath" },
    { 0x3F8C, "handlenotetrack" },
    { 0x3F8D, "handleownerchangeteam" },
    { 0x3F8E, "handleownerdisconnect" },
    { 0x3F8F, "handleownerleft" },
    { 0x3F90, "handlepickup" },
    { 0x3F91, "handleplayerknockdownnotetracks" },
    { 0x3F92, "handlepossiblethreat" },
    { 0x3F93, "handleputaway" },
    { 0x3F94, "handler" },
    { 0x3F95, "handlerocketlauncherammoondeath" },
    { 0x3F96, "handlescavengerbagpickup" },
    { 0x3F97, "handlesidetosidenotetracks" },
    { 0x3F98, "handlestartaim" },
    { 0x3F99, "handlestartaipart" },
    { 0x3F9A, "handlesuicidedeath" },
    { 0x3F9B, "handleteamchangedeath" },
    { 0x3F9C, "handlethreat" },
    { 0x3F9D, "handletimeout" },
    { 0x3F9E, "handletogglezoom" },
    { 0x3F9F, "handletraversealignment" },
    { 0x3FA0, "handletraversedeathnotetrack" },
    { 0x3FA1, "handletraversedrop" },
    { 0x3FA2, "handletraversenotetracks" },
    { 0x3FA3, "handletraversenotetracksgravity" },
    { 0x3FA4, "handleunreslovedcollision" },
    { 0x3FA5, "handleuse" },
    { 0x3FA6, "handlevxnotetrack" },
    { 0x3FA7, "handleworlddeath" },
    { 0x3FA8, "hands_animation" },
    { 0x3FA9, "hands_rig" },
    { 0x3FAA, "handsignal" },
    { 0x3FAB, "hangar_baddies" },
    { 0x3FAC, "hangar_door_opens" },
    { 0x3FAD, "hangar_entrance_setup" },
    { 0x3FAE, "hangar_runner_anims" },
    { 0x3FAF, "hangar_wall_broken_wait" },
    { 0x3FB0, "hangar_wall_debris" },
    { 0x3FB1, "hangar_wall_debris_fx" },
    { 0x3FB2, "hangar_wall_shot" },
    { 0x3FB3, "hangar_wall_smash_setup" },
    { 0x3FB4, "hangar_wall_smash_wait" },
    { 0x3FB5, "hangar_wall_trigger_wait" },
    { 0x3FB6, "hangar_wall_unbroken_wait" },
    { 0x3FB7, "hanging_cargo_ascension" },
    { 0x3FB8, "hanging_cargo_cleanup" },
    { 0x3FB9, "hanging_cargo_motion" },
    { 0x3FBA, "harassers_ignore_player" },
    { 0x3FBB, "hardcoremode" },
    { 0x3FBC, "hardenedaward" },
    { 0x3FBD, "hardpointtweaks" },
    { 0x3FBE, "hardpointtype" },
    { 0x3FBF, "harness_model" },
    { 0x3FC0, "harrier" },
    { 0x3FC1, "harrier_afterburnerfx" },
    { 0x3FC2, "harrier_deathfx" },
    { 0x3FC3, "harrier_incoming" },
    { 0x3FC4, "harrier_smoke" },
    { 0x3FC5, "harrierdelete" },
    { 0x3FC6, "harrierdestroyed" },
    { 0x3FC7, "harrierexplode" },
    { 0x3FC8, "harriergettargets" },
    { 0x3FC9, "harrierleave" },
    { 0x3FCA, "harriers" },
    { 0x3FCB, "harrierspin" },
    { 0x3FCC, "harriertimer" },
    { 0x3FCD, "has_ammo_for_missile" },
    { 0x3FCE, "has_ap_ammo" },
    { 0x3FCF, "has_attack_abort_been_requested" },
    { 0x3FD0, "has_attacker_space" },
    { 0x3FD1, "has_backup_uav" },
    { 0x3FD2, "has_balanced_personality" },
    { 0x3FD3, "has_binoculars" },
    { 0x3FD4, "has_char_group" },
    { 0x3FD5, "has_cold_breath" },
    { 0x3FD6, "has_color" },
    { 0x3FD7, "has_delta" },
    { 0x3FD8, "has_explosive_ammo" },
    { 0x3FD9, "has_frontarmor" },
    { 0x3FDA, "has_hands" },
    { 0x3FDB, "has_health_pack" },
    { 0x3FDC, "has_healthpack" },
    { 0x3FDD, "has_homing_missiles" },
    { 0x3FDE, "has_ims" },
    { 0x3FDF, "has_incendiary_ammo" },
    { 0x3FE0, "has_line_of_sight" },
    { 0x3FE1, "has_loadout" },
    { 0x3FE2, "has_loot" },
    { 0x3FE3, "has_model" },
    { 0x3FE4, "has_no_ir" },
    { 0x3FE5, "has_passive_breacher" },
    { 0x3FE6, "has_perk" },
    { 0x3FE7, "has_pushanims" },
    { 0x3FE8, "has_raining_bokeh" },
    { 0x3FE9, "has_room_to_move_back" },
    { 0x3FEA, "has_script_noteworthy" },
    { 0x3FEB, "has_script_parameters" },
    { 0x3FEC, "has_semtex_on_it" },
    { 0x3FED, "has_shock_ammo" },
    { 0x3FEE, "has_shotgun" },
    { 0x3FEF, "has_special_breach_anim" },
    { 0x3FF0, "has_special_weapon" },
    { 0x3FF1, "has_straight_missiles" },
    { 0x3FF2, "has_stun_ammo" },
    { 0x3FF3, "has_target_shader" },
    { 0x3FF4, "has_terrain" },
    { 0x3FF5, "has_thermal_fx" },
    { 0x3FF6, "has_unmatching_deathmodel_rig" },
    { 0x3FF7, "has_weapon_variation" },
    { 0x3FF8, "hasachievement" },
    { 0x3FF9, "hasagentsquadmember" },
    { 0x3FFA, "hasammoforlockontarget" },
    { 0x3FFB, "hasammofortargets" },
    { 0x3FFC, "hasanim" },
    { 0x3FFD, "hasattachedprops" },
    { 0x3FFE, "hasattachedweapons" },
    { 0x3FFF, "hasbattlebuddy" },
    { 0x4000, "hasbodyarmor" },
    { 0x4001, "hasbots" },
    { 0x4002, "haschangedclass" },
    { 0x4003, "hasclip" },
    { 0x4004, "hasdied" },
    { 0x4005, "hasdisplayvalue" },
    { 0x4006, "hasdodged" },
    { 0x4007, "hasdoneanycombat" },
    { 0x4008, "hasdonecombat" },
    { 0x4009, "hasdoor" },
    { 0x400A, "hasenemysightpos" },
    { 0x400B, "hasexplosivefired" },
    { 0x400C, "hasflashbangs" },
    { 0x400D, "hasheavyarmor" },
    { 0x400E, "hashelicopterdustkickup" },
    { 0x400F, "hashelicopterturret" },
    { 0x4010, "hashima" },
    { 0x4011, "hashimacustombotkillstreakfunc" },
    { 0x4012, "hashimacustomcratefunc" },
    { 0x4013, "hashimacustomkillstreakfunc" },
    { 0x4014, "hasincoming" },
    { 0x4015, "hasintel" },
    { 0x4016, "hasjuiced" },
    { 0x4017, "hasknife" },
    { 0x4018, "haslevelveteranaward" },
    { 0x4019, "haslightarmor" },
    { 0x401A, "hasmissionhardenedaward" },
    { 0x401B, "hasmovementtypechanged" },
    { 0x401C, "hasnode" },
    { 0x401D, "hasoverrideanimchanged" },
    { 0x401E, "hasprogressbar" },
    { 0x401F, "hasregenfaster" },
    { 0x4020, "hasriotshield" },
    { 0x4021, "hasriotshieldequipped" },
    { 0x4022, "hassoflam" },
    { 0x4023, "hasspawned" },
    { 0x4024, "hasspot" },
    { 0x4025, "hasstarted" },
    { 0x4026, "hassuppressableenemy" },
    { 0x4027, "hastag" },
    { 0x4028, "hasusedsquadmate" },
    { 0x4029, "hasweaponstate" },
    { 0x402A, "hatch_open" },
    { 0x402B, "hatchet" },
    { 0x402C, "hatchet_linked" },
    { 0x402D, "hatchstate" },
    { 0x402E, "hatmodel" },
    { 0x402F, "have_flashlight" },
    { 0x4030, "havegonetocover" },
    { 0x4031, "haveinvulnerabilityavailable" },
    { 0x4032, "havenothingtoshoot" },
    { 0x4033, "haventramboedwithintime" },
    { 0x4034, "hazmat_change_stance" },
    { 0x4035, "hazmat_find_gun" },
    { 0x4036, "hazmat_gets_scared" },
    { 0x4037, "hazmat_guy_wait_for_dog_attack" },
    { 0x4038, "hazmat_guy_wait_for_dog_proximity" },
    { 0x4039, "hazmat_if_hazmat" },
    { 0x403A, "hazmat_notify_nearby_allies" },
    { 0x403B, "hazmat_react" },
    { 0x403C, "hazmat_run_away" },
    { 0x403D, "hazmat_scared_fire" },
    { 0x403E, "hazmat_stance" },
    { 0x403F, "hazmat_think" },
    { 0x4040, "hdrcolorintensity" },
    { 0x4041, "hdroverride" },
    { 0x4042, "hdrsuncolorintensity" },
    { 0x4043, "head_shield_activated" },
    { 0x4044, "head_target" },
    { 0x4045, "headiconheight" },
    { 0x4046, "headiconoffset" },
    { 0x4047, "heading" },
    { 0x4048, "headingsize" },
    { 0x4049, "headlamp_death_blink" },
    { 0x404A, "headmodel" },
    { 0x404B, "headon_event" },
    { 0x404C, "headshot" },
    { 0x404D, "headshot_redshirt" },
    { 0x404E, "headshots" },
    { 0x404F, "health_debug" },
    { 0x4050, "health_drain" },
    { 0x4051, "health_listener" },
    { 0x4052, "health_pct" },
    { 0x4053, "healthbuffer" },
    { 0x4054, "healthdrain" },
    { 0x4055, "healthoverlay" },
    { 0x4056, "healthoverlay_remove" },
    { 0x4057, "healthoverlaycutoff" },
    { 0x4058, "healthregen" },
    { 0x4059, "healthregencap" },
    { 0x405A, "healthregendisabled" },
    { 0x405B, "healthregenerated" },
    { 0x405C, "healthregenerated_regularmp" },
    { 0x405D, "healthregeneration" },
    { 0x405E, "healthregenerationstreak" },
    { 0x405F, "healthregeninit" },
    { 0x4060, "healthregenmaxpercent" },
    { 0x4061, "heartbeat" },
    { 0x4062, "heartbeat_delay" },
    { 0x4063, "heartbeat_rumble" },
    { 0x4064, "heartbeatrate" },
    { 0x4065, "heat" },
    { 0x4066, "heat_column_fx" },
    { 0x4067, "heat_reload_anim" },
    { 0x4068, "heat_warn_lastoggle" },
    { 0x4069, "heat_warn_toggle" },
    { 0x406A, "heatlevel" },
    { 0x406B, "heavy_quake" },
    { 0x406C, "heavyarmorhp" },
    { 0x406D, "heightforhighcallout" },
    { 0x406E, "heightrange" },
    { 0x406F, "heli" },
    { 0x4070, "heli_ai_can_hit_target" },
    { 0x4071, "heli_ai_collision_cylinder_add" },
    { 0x4072, "heli_ai_collision_cylinder_on_death_remove" },
    { 0x4073, "heli_ai_collision_cylinder_setup" },
    { 0x4074, "heli_ai_gather_targets" },
    { 0x4075, "heli_ai_next_loc_func" },
    { 0x4076, "heli_ai_pre_move_func" },
    { 0x4077, "heli_ai_shoot_missile_time_next" },
    { 0x4078, "heli_ai_shoot_target" },
    { 0x4079, "heli_ai_stop_func" },
    { 0x407A, "heli_angle_offset" },
    { 0x407B, "heli_anims" },
    { 0x407C, "heli_anims_length" },
    { 0x407D, "heli_armor_bulletdamage" },
    { 0x407E, "heli_array_setup" },
    { 0x407F, "heli_attack1" },
    { 0x4080, "heli_attack_mg" },
    { 0x4081, "heli_attack_mg_veh_weapon" },
    { 0x4082, "heli_attempt_fire" },
    { 0x4083, "heli_attract_range" },
    { 0x4084, "heli_attract_strength" },
    { 0x4085, "heli_background_attack_mg" },
    { 0x4086, "heli_background_respawn" },
    { 0x4087, "heli_beach_lander_ai_jumpout" },
    { 0x4088, "heli_beach_lander_init" },
    { 0x4089, "heli_beach_lander_leave" },
    { 0x408A, "heli_blade_swap" },
    { 0x408B, "heli_bullhorn_lines" },
    { 0x408C, "heli_can_see_target" },
    { 0x408D, "heli_chopper_impact" },
    { 0x408E, "heli_circling_think" },
    { 0x408F, "heli_cleanup" },
    { 0x4090, "heli_collision_ai" },
    { 0x4091, "heli_combat_kill_counter" },
    { 0x4092, "heli_combat_kill_wave" },
    { 0x4093, "heli_combat_path" },
    { 0x4094, "heli_combat_respawn" },
    { 0x4095, "heli_combat_stop_respawn" },
    { 0x4096, "heli_crash" },
    { 0x4097, "heli_crash_blade_hit_1" },
    { 0x4098, "heli_crash_blade_hit_2" },
    { 0x4099, "heli_crash_blade_hit_water" },
    { 0x409A, "heli_crash_body_hit_water" },
    { 0x409B, "heli_crash_box_hit_1" },
    { 0x409C, "heli_crash_box_hit_2" },
    { 0x409D, "heli_crash_engine_fail" },
    { 0x409E, "heli_crash_heli_killed" },
    { 0x409F, "heli_crash_indirect_zoff" },
    { 0x40A0, "heli_crash_kill" },
    { 0x40A1, "heli_crash_lead" },
    { 0x40A2, "heli_crash_nodes" },
    { 0x40A3, "heli_crash_tail_rotor_hit" },
    { 0x40A4, "heli_damage_check" },
    { 0x40A5, "heli_damage_monitor" },
    { 0x40A6, "heli_damage_update" },
    { 0x40A7, "heli_death_monitor" },
    { 0x40A8, "heli_debug" },
    { 0x40A9, "heli_decides_to_shoot_missile_at_ai" },
    { 0x40AA, "heli_default_missiles_off" },
    { 0x40AB, "heli_default_missiles_on" },
    { 0x40AC, "heli_default_target_cleanup" },
    { 0x40AD, "heli_default_target_setup" },
    { 0x40AE, "heli_elevator" },
    { 0x40AF, "heli_enable_rocketdeath" },
    { 0x40B0, "heli_engine_lp_01" },
    { 0x40B1, "heli_engine_lp_02" },
    { 0x40B2, "heli_exfil_lp" },
    { 0x40B3, "heli_existance" },
    { 0x40B4, "heli_existence" },
    { 0x40B5, "heli_exit" },
    { 0x40B6, "heli_explode" },
    { 0x40B7, "heli_fast_explode" },
    { 0x40B8, "heli_fire_anim" },
    { 0x40B9, "heli_fire_missiles" },
    { 0x40BA, "heli_fire_turret" },
    { 0x40BB, "heli_fire_turret_oilrocks" },
    { 0x40BC, "heli_fire_turret_sound" },
    { 0x40BD, "heli_fire_turret_start" },
    { 0x40BE, "heli_fire_turret_stop" },
    { 0x40BF, "heli_firelink" },
    { 0x40C0, "heli_fireminigun_cheap" },
    { 0x40C1, "heli_firemissile_noexplode" },
    { 0x40C2, "heli_flock" },
    { 0x40C3, "heli_flock_victims" },
    { 0x40C4, "heli_fly_height" },
    { 0x40C5, "heli_fly_loop_path" },
    { 0x40C6, "heli_fly_simple_path" },
    { 0x40C7, "heli_fly_to" },
    { 0x40C8, "heli_fly_well" },
    { 0x40C9, "heli_flyaway_boats" },
    { 0x40CA, "heli_flyaway_cmd" },
    { 0x40CB, "heli_flyin_mudpumps" },
    { 0x40CC, "heli_flyin_swt" },
    { 0x40CD, "heli_flyover" },
    { 0x40CE, "heli_forced_wait" },
    { 0x40CF, "heli_fx_setup" },
    { 0x40D0, "heli_get_node_origin" },
    { 0x40D1, "heli_get_target" },
    { 0x40D2, "heli_get_target_ai_only" },
    { 0x40D3, "heli_get_target_player_only" },
    { 0x40D4, "heli_getteamforsoundclip" },
    { 0x40D5, "heli_goal_think" },
    { 0x40D6, "heli_guys_logic" },
    { 0x40D7, "heli_has_player_target" },
    { 0x40D8, "heli_has_target" },
    { 0x40D9, "heli_health" },
    { 0x40DA, "heli_hp_monitor" },
    { 0x40DB, "heli_is_threatened" },
    { 0x40DC, "heli_jump" },
    { 0x40DD, "heli_jump2" },
    { 0x40DE, "heli_jump_fire_fail" },
    { 0x40DF, "heli_kill_counter" },
    { 0x40E0, "heli_laser_guided_missile_notify" },
    { 0x40E1, "heli_lastattacker" },
    { 0x40E2, "heli_leave" },
    { 0x40E3, "heli_leave_nodes" },
    { 0x40E4, "heli_leave_on_changeteams" },
    { 0x40E5, "heli_leave_on_disconnect" },
    { 0x40E6, "heli_leave_on_gameended" },
    { 0x40E7, "heli_leave_on_nuke" },
    { 0x40E8, "heli_leave_on_spawned" },
    { 0x40E9, "heli_leave_on_timeout" },
    { 0x40EA, "heli_lock_player_target" },
    { 0x40EB, "heli_loop" },
    { 0x40EC, "heli_loop_nodes" },
    { 0x40ED, "heli_loop_nodes2" },
    { 0x40EE, "heli_loop_radius" },
    { 0x40EF, "heli_loop_speed_control" },
    { 0x40F0, "heli_lp" },
    { 0x40F1, "heli_maxhealth" },
    { 0x40F2, "heli_missile_defense_init" },
    { 0x40F3, "heli_missile_friendlycare" },
    { 0x40F4, "heli_missile_rof" },
    { 0x40F5, "heli_missile_target_cone" },
    { 0x40F6, "heli_missiles" },
    { 0x40F7, "heli_missiles_think" },
    { 0x40F8, "heli_move_boats" },
    { 0x40F9, "heli_path_notifications" },
    { 0x40FA, "heli_pick_node_furthest_from_center" },
    { 0x40FB, "heli_pilot" },
    { 0x40FC, "heli_pilot_allowed" },
    { 0x40FD, "heli_pilot_control_heli_aiming" },
    { 0x40FE, "heli_pilot_mesh" },
    { 0x40FF, "heli_pilot_missile_radius" },
    { 0x4100, "heli_pilot_monitor_flares" },
    { 0x4101, "heli_pilot_pick_node" },
    { 0x4102, "heli_pilot_waittill_initial_goal" },
    { 0x4103, "heli_player_quake" },
    { 0x4104, "heli_player_rumble" },
    { 0x4105, "heli_reset" },
    { 0x4106, "heli_secondary_explosions" },
    { 0x4107, "heli_set_look_at_ent" },
    { 0x4108, "heli_setup" },
    { 0x4109, "heli_shells" },
    { 0x410A, "heli_shoot_think" },
    { 0x410B, "heli_shooting" },
    { 0x410C, "heli_sniper_allowed" },
    { 0x410D, "heli_sniper_clear_script_goal_on_ride" },
    { 0x410E, "heli_sniper_pick_node" },
    { 0x410F, "heli_sniper_waittill_initial_goal" },
    { 0x4110, "heli_sound" },
    { 0x4111, "heli_spawn" },
    { 0x4112, "heli_spawn_and_path" },
    { 0x4113, "heli_spin" },
    { 0x4114, "heli_spot_on_single" },
    { 0x4115, "heli_spot_search_intro" },
    { 0x4116, "heli_spot_stop" },
    { 0x4117, "heli_spotlight_aim" },
    { 0x4118, "heli_spotlight_aim_ents_cleanup" },
    { 0x4119, "heli_spotlight_cleanup" },
    { 0x411A, "heli_spotlight_create_default_targets" },
    { 0x411B, "heli_spotlight_destroy_default_targets" },
    { 0x411C, "heli_spotlight_extrabright" },
    { 0x411D, "heli_spotlight_off" },
    { 0x411E, "heli_spotlight_on" },
    { 0x411F, "heli_spotlight_random_targets_off" },
    { 0x4120, "heli_spotlight_random_targets_on" },
    { 0x4121, "heli_spotlight_think" },
    { 0x4122, "heli_squibs" },
    { 0x4123, "heli_start_nodes" },
    { 0x4124, "heli_start_rotor" },
    { 0x4125, "heli_strafing_run" },
    { 0x4126, "heli_strafing_think" },
    { 0x4127, "heli_strafing_think_old" },
    { 0x4128, "heli_support_final" },
    { 0x4129, "heli_support_leave" },
    { 0x412A, "heli_support_pipe_deck" },
    { 0x412B, "heli_target" },
    { 0x412C, "heli_target_forced" },
    { 0x412D, "heli_target_recognition" },
    { 0x412E, "heli_target_spawnprotection" },
    { 0x412F, "heli_targeting" },
    { 0x4130, "heli_targeting_delay" },
    { 0x4131, "heli_targeting_player" },
    { 0x4132, "heli_think" },
    { 0x4133, "heli_turret" },
    { 0x4134, "heli_turret_and_spotlight_aim" },
    { 0x4135, "heli_turret_ground_fx" },
    { 0x4136, "heli_turret_think" },
    { 0x4137, "heli_turretclipsize" },
    { 0x4138, "heli_turretreloadtime" },
    { 0x4139, "heli_type" },
    { 0x413A, "heli_types" },
    { 0x413B, "heli_unload_flag_set" },
    { 0x413C, "heli_visual_range" },
    { 0x413D, "heli_vs_heli_max_shoot_time_msec" },
    { 0x413E, "heli_vs_heli_mg_range_2d_squared" },
    { 0x413F, "heli_vs_heli_min_shoot_time_msec" },
    { 0x4140, "heli_wait_node" },
    { 0x4141, "heli_watchdeath" },
    { 0x4142, "heli_watchempdamage" },
    { 0x4143, "heli_wind" },
    { 0x4144, "heli_wind_debris" },
    { 0x4145, "heliconfigs" },
    { 0x4146, "helicopter_crash" },
    { 0x4147, "helicopter_crash_directed" },
    { 0x4148, "helicopter_crash_flavor" },
    { 0x4149, "helicopter_crash_locations" },
    { 0x414A, "helicopter_crash_move" },
    { 0x414B, "helicopter_crash_path" },
    { 0x414C, "helicopter_crash_rotate" },
    { 0x414D, "helicopter_crash_zigzag" },
    { 0x414E, "helicopter_fail" },
    { 0x414F, "helicopter_firelinkfunk" },
    { 0x4150, "helicopter_in_air_explosion" },
    { 0x4151, "helicopter_jump" },
    { 0x4152, "helicopter_list" },
    { 0x4153, "helicopter_predator_target_shader" },
    { 0x4154, "helicreatelookatent" },
    { 0x4155, "helideathcleanup" },
    { 0x4156, "helidestroyed" },
    { 0x4157, "helidialog" },
    { 0x4158, "helifirecheap" },
    { 0x4159, "heliflockactive" },
    { 0x415A, "heligotostartposition" },
    { 0x415B, "heliguardsettings" },
    { 0x415C, "heliguardtype" },
    { 0x415D, "heliheightoverride" },
    { 0x415E, "heliinproximity" },
    { 0x415F, "helileave" },
    { 0x4160, "helimovementcontrol" },
    { 0x4161, "helipickup" },
    { 0x4162, "helipilot_endride" },
    { 0x4163, "helipilot_freezebuffer" },
    { 0x4164, "helipilot_getcloseststartnode" },
    { 0x4165, "helipilot_getlinkedstruct" },
    { 0x4166, "helipilot_leave" },
    { 0x4167, "helipilot_lightfx" },
    { 0x4168, "helipilot_setairstartnodes" },
    { 0x4169, "helipilot_watchads" },
    { 0x416A, "helipilot_watchdeath" },
    { 0x416B, "helipilot_watchobjectivecam" },
    { 0x416C, "helipilot_watchownerloss" },
    { 0x416D, "helipilot_watchroundend" },
    { 0x416E, "helipilot_watchtimeout" },
    { 0x416F, "helipilotsettings" },
    { 0x4170, "helipilottype" },
    { 0x4171, "helireturntodropsite" },
    { 0x4172, "heliridelifeid" },
    { 0x4173, "helis" },
    { 0x4174, "helis_can_respawn" },
    { 0x4175, "helisetup" },
    { 0x4176, "helisniper" },
    { 0x4177, "helispawning" },
    { 0x4178, "helitype" },
    { 0x4179, "helmet_damage" },
    { 0x417A, "helmet_damage_test" },
    { 0x417B, "helmet_mask_crack_fx" },
    { 0x417C, "helmet_mask_fx" },
    { 0x417D, "helmet_mask_melt_fx" },
    { 0x417E, "helmet_show_damage" },
    { 0x417F, "helmet_swap_keegan" },
    { 0x4180, "helmetlaunch" },
    { 0x4181, "helmetpop" },
    { 0x4182, "helmetsidemodel" },
    { 0x4183, "helo_01_others" },
    { 0x4184, "helo_01_palyer_and_price" },
    { 0x4185, "helo_02_dismount" },
    { 0x4186, "helo_ai_dam_mon" },
    { 0x4187, "helo_ai_handle_death" },
    { 0x4188, "helo_bullethit_fx" },
    { 0x4189, "helo_unload_proc" },
    { 0x418A, "helos" },
    { 0x418B, "help_baker_control_panel_vo" },
    { 0x418C, "help_near_comps" },
    { 0x418D, "help_vo" },
    { 0x418E, "hero" },
    { 0x418F, "hero_follow_path_trig" },
    { 0x4190, "hero_list" },
    { 0x4191, "hero_paths" },
    { 0x4192, "hero_paths_cairo_first" },
    { 0x4193, "hero_rogs" },
    { 0x4194, "hero_train_impact" },
    { 0x4195, "heroes" },
    { 0x4196, "heroes_light_earthquake" },
    { 0x4197, "heroes_move" },
    { 0x4198, "heroguy" },
    { 0x4199, "heroonly" },
    { 0x419A, "heros_animation" },
    { 0x419B, "herotanks" },
    { 0x419C, "hesco_logic" },
    { 0x419D, "hesco_tower_explosion" },
    { 0x419E, "hescos" },
    { 0x419F, "hesh" },
    { 0x41A0, "hesh_anim_set" },
    { 0x41A1, "hesh_balcony_logic" },
    { 0x41A2, "hesh_breach_melee" },
    { 0x41A3, "hesh_breach_wait" },
    { 0x41A4, "hesh_calls_riley" },
    { 0x41A5, "hesh_close_to_knockdown" },
    { 0x41A6, "hesh_crater_look" },
    { 0x41A7, "hesh_crater_walk" },
    { 0x41A8, "hesh_dialog_dog_calm" },
    { 0x41A9, "hesh_dialogue_pacing" },
    { 0x41AA, "hesh_does_360" },
    { 0x41AB, "hesh_dog_interaction" },
    { 0x41AC, "hesh_follow_vo" },
    { 0x41AD, "hesh_gasstation_logic" },
    { 0x41AE, "hesh_gate_logic" },
    { 0x41AF, "hesh_gate_logic_exit" },
    { 0x41B0, "hesh_getin_truck" },
    { 0x41B1, "hesh_gunship_run" },
    { 0x41B2, "hesh_gunshots" },
    { 0x41B3, "hesh_hide_dsm" },
    { 0x41B4, "hesh_hold_vargas" },
    { 0x41B5, "hesh_initial_sprint" },
    { 0x41B6, "hesh_kill_enemy" },
    { 0x41B7, "hesh_light_flare" },
    { 0x41B8, "hesh_line" },
    { 0x41B9, "hesh_logic" },
    { 0x41BA, "hesh_looks_at_cam" },
    { 0x41BB, "hesh_mask_dialogue" },
    { 0x41BC, "hesh_medbay" },
    { 0x41BD, "hesh_nag_follow_vo" },
    { 0x41BE, "hesh_nag_til_flag" },
    { 0x41BF, "hesh_navigation_logic" },
    { 0x41C0, "hesh_radio_aknowledge" },
    { 0x41C1, "hesh_regroup_nag_vo" },
    { 0x41C2, "hesh_ride_chopper" },
    { 0x41C3, "hesh_says_on_you" },
    { 0x41C4, "hesh_show_dsm" },
    { 0x41C5, "hesh_talking_to_grape" },
    { 0x41C6, "hesh_truck_run" },
    { 0x41C7, "hesh_tugger" },
    { 0x41C8, "hesh_tugger_clip" },
    { 0x41C9, "hesh_unhide_flare" },
    { 0x41CA, "hesh_waits_for_player" },
    { 0x41CB, "heyyouguy" },
    { 0x41CC, "hidden" },
    { 0x41CD, "hidden_parts" },
    { 0x41CE, "hidden_rope_skipto" },
    { 0x41CF, "hidden_rope_think" },
    { 0x41D0, "hidden_terrain" },
    { 0x41D1, "hide_ai_sight_brushes" },
    { 0x41D2, "hide_and_drop_entity" },
    { 0x41D3, "hide_and_show" },
    { 0x41D4, "hide_at_end_anim" },
    { 0x41D5, "hide_bink_brush" },
    { 0x41D6, "hide_combat_two_intro_debris" },
    { 0x41D7, "hide_deck_objects" },
    { 0x41D8, "hide_doors" },
    { 0x41D9, "hide_dufflebag" },
    { 0x41DA, "hide_dufflebags" },
    { 0x41DB, "hide_end_bridge_geo" },
    { 0x41DC, "hide_entity" },
    { 0x41DD, "hide_exploder_models" },
    { 0x41DE, "hide_exploder_models_proc" },
    { 0x41DF, "hide_fake_vehicle" },
    { 0x41E0, "hide_fire_show_aim_idle" },
    { 0x41E1, "hide_garage_debris" },
    { 0x41E2, "hide_gas_station_physics_pieces" },
    { 0x41E3, "hide_gasmask" },
    { 0x41E4, "hide_gun" },
    { 0x41E5, "hide_hands" },
    { 0x41E6, "hide_hint" },
    { 0x41E7, "hide_hole1_pieces" },
    { 0x41E8, "hide_if_defined" },
    { 0x41E9, "hide_knife" },
    { 0x41EA, "hide_loco_exterior" },
    { 0x41EB, "hide_mantle_hint" },
    { 0x41EC, "hide_mask" },
    { 0x41ED, "hide_me" },
    { 0x41EE, "hide_missile_launcher_collision" },
    { 0x41EF, "hide_models_by_targetname" },
    { 0x41F0, "hide_normal_hud_elements" },
    { 0x41F1, "hide_notsolid" },
    { 0x41F2, "hide_player_arms" },
    { 0x41F3, "hide_player_arms_sleeve_flaps" },
    { 0x41F4, "hide_rotunda_knife" },
    { 0x41F5, "hide_scriptmodel_by_targetname" },
    { 0x41F6, "hide_scriptmodel_by_targetname_array" },
    { 0x41F7, "hide_spent_rog_mag" },
    { 0x41F8, "hide_spire" },
    { 0x41F9, "hide_start_createfx" },
    { 0x41FA, "hide_turret" },
    { 0x41FB, "hide_turret_icon" },
    { 0x41FC, "hide_unhide" },
    { 0x41FD, "hide_unhide_crashed_convoy" },
    { 0x41FE, "hide_when_closed" },
    { 0x41FF, "hideapart" },
    { 0x4200, "hidebar" },
    { 0x4201, "hidecarryiconongameend" },
    { 0x4202, "hidecloseportalfx" },
    { 0x4203, "hideelem" },
    { 0x4204, "hidefireshowaimidle" },
    { 0x4205, "hidefromplayer" },
    { 0x4206, "hideheadicons" },
    { 0x4207, "hidehudelementongameend" },
    { 0x4208, "hideidle" },
    { 0x4209, "hidenoshow" },
    { 0x420A, "hideopenportalfx" },
    { 0x420B, "hidepartatdepth" },
    { 0x420C, "hidespendhinticon" },
    { 0x420D, "hidestate" },
    { 0x420E, "hideworldiconongameend" },
    { 0x420F, "hideyawoffset" },
    { 0x4210, "hiding" },
    { 0x4211, "hiding_icon" },
    { 0x4212, "high_catwalk_kill" },
    { 0x4213, "high_priority_for" },
    { 0x4214, "high_priority_hint" },
    { 0x4215, "high_speed_mult" },
    { 0x4216, "highestwins" },
    { 0x4217, "highlightairdrop" },
    { 0x4218, "highlightallenemies" },
    { 0x4219, "highlightfadetime" },
    { 0x421A, "highlightlastenemies" },
    { 0x421B, "highspeed_end_crossfade" },
    { 0x421C, "highspeed_start_crossfade" },
    { 0x421D, "highx" },
    { 0x421E, "highy" },
    { 0x421F, "hijacknotify" },
    { 0x4220, "hill_chopper" },
    { 0x4221, "hill_enemy_on_spotted" },
    { 0x4222, "hill_enemy_stealth_logic" },
    { 0x4223, "hill_fx" },
    { 0x4224, "hill_holders" },
    { 0x4225, "hill_patrollers" },
    { 0x4226, "hill_reenforcements" },
    { 0x4227, "hill_squad" },
    { 0x4228, "hind_damagestate_painfx" },
    { 0x4229, "hind_death" },
    { 0x422A, "hind_fire_at_player" },
    { 0x422B, "hind_manage_damage_states" },
    { 0x422C, "hind_projectile_damagestate" },
    { 0x422D, "hind_warp_ship" },
    { 0x422E, "hinge" },
    { 0x422F, "hint" },
    { 0x4230, "hint_active" },
    { 0x4231, "hint_ascend_func" },
    { 0x4232, "hint_ascend_init_func" },
    { 0x4233, "hint_ascend_init_watcher" },
    { 0x4234, "hint_blow_charges_wait" },
    { 0x4235, "hint_breakfunc" },
    { 0x4236, "hint_bridge_1" },
    { 0x4237, "hint_bridge_2" },
    { 0x4238, "hint_bumpers_intro" },
    { 0x4239, "hint_bumpers_intro2" },
    { 0x423A, "hint_button_press" },
    { 0x423B, "hint_create" },
    { 0x423C, "hint_crouch" },
    { 0x423D, "hint_delete" },
    { 0x423E, "hint_drag" },
    { 0x423F, "hint_fade" },
    { 0x4240, "hint_fontscale" },
    { 0x4241, "hint_for_first_attack" },
    { 0x4242, "hint_guided_round_fire_off" },
    { 0x4243, "hint_guided_round_guiding_off" },
    { 0x4244, "hint_jump_off" },
    { 0x4245, "hint_loco_breach_init_func" },
    { 0x4246, "hint_machine_gun_off" },
    { 0x4247, "hint_missile_lock" },
    { 0x4248, "hint_neverbreak" },
    { 0x4249, "hint_position_internal" },
    { 0x424A, "hint_pull_lever" },
    { 0x424B, "hint_pulse_alpha" },
    { 0x424C, "hint_smoke_off" },
    { 0x424D, "hint_stick_get_updated" },
    { 0x424E, "hint_stick_update" },
    { 0x424F, "hint_stray_warn" },
    { 0x4250, "hint_switch_to_guided_round_off" },
    { 0x4251, "hint_thermal_off" },
    { 0x4252, "hint_timeout" },
    { 0x4253, "hint_toggle_thermal_off" },
    { 0x4254, "hint_weapon_toggle_off" },
    { 0x4255, "hint_with_background" },
    { 0x4256, "hint_zoom_off" },
    { 0x4257, "hintbackground" },
    { 0x4258, "hintbackground1" },
    { 0x4259, "hintbackground2" },
    { 0x425A, "hintdown_test" },
    { 0x425B, "hintelem" },
    { 0x425C, "hintelement" },
    { 0x425D, "hintenter" },
    { 0x425E, "hintexit" },
    { 0x425F, "hintflashlight_test" },
    { 0x4260, "hintmessage" },
    { 0x4261, "hintmessagedeaththink" },
    { 0x4262, "hintpickup" },
    { 0x4263, "hintprint" },
    { 0x4264, "hintprintwait" },
    { 0x4265, "hints_ads_escape" },
    { 0x4266, "hintsprint_test" },
    { 0x4267, "hintstring" },
    { 0x4268, "hinttext" },
    { 0x4269, "hintup_test" },
    { 0x426A, "hit_bullet_armor" },
    { 0x426B, "hit_chain_dialogue" },
    { 0x426C, "hit_count" },
    { 0x426D, "hit_geo" },
    { 0x426E, "hit_panel" },
    { 0x426F, "hit_panel_rumble" },
    { 0x4270, "hit_player" },
    { 0x4271, "hit_player_when_flag" },
    { 0x4272, "hit_surface" },
    { 0x4273, "hit_vo" },
    { 0x4274, "hit_water" },
    { 0x4275, "hitbodypartimmunetodamage" },
    { 0x4276, "hitfloorstate" },
    { 0x4277, "hitloc" },
    { 0x4278, "hitlocdebug" },
    { 0x4279, "hitlocinited" },
    { 0x427A, "hitqueenbodypartimmunetodamage" },
    { 0x427B, "hitroundlimit" },
    { 0x427C, "hits" },
    { 0x427D, "hitsail" },
    { 0x427E, "hitscorelimit" },
    { 0x427F, "hitsthismag" },
    { 0x4280, "hittimelimit" },
    { 0x4281, "hitwinlimit" },
    { 0x4282, "hive_cash_earned" },
    { 0x4283, "hive_damage" },
    { 0x4284, "hive_dependencies" },
    { 0x4285, "hive_drill_listener" },
    { 0x4286, "hive_heli" },
    { 0x4287, "hive_heli_assault_loop" },
    { 0x4288, "hive_lanes" },
    { 0x4289, "hive_outline_monitor" },
    { 0x428A, "hive_pain_monitor" },
    { 0x428B, "hive_performance" },
    { 0x428C, "hive_performance_metric" },
    { 0x428D, "hive_play_death_animations" },
    { 0x428E, "hive_play_drill_planted_animations" },
    { 0x428F, "hive_play_first_pain_animations" },
    { 0x4290, "hive_play_second_pain_animations" },
    { 0x4291, "hive_score_bbprint" },
    { 0x4292, "hive_score_earned" },
    { 0x4293, "hive_start_sfx" },
    { 0x4294, "hive_stop_sfx" },
    { 0x4295, "hive_target" },
    { 0x4296, "hive_think" },
    { 0x4297, "hold_count" },
    { 0x4298, "hold_count_check" },
    { 0x4299, "hold_fire_unless_ads" },
    { 0x429A, "hold_indefintely" },
    { 0x429B, "holdingbreath" },
    { 0x429C, "holdprisoner" },
    { 0x429D, "holdstancechange" },
    { 0x429E, "hologram_table" },
    { 0x429F, "homecoming_introscreen" },
    { 0x42A0, "homecoming_locations" },
    { 0x42A1, "homecoming_objectives" },
    { 0x42A2, "homing" },
    { 0x42A3, "hopper_wheel" },
    { 0x42A4, "hopper_wheel_init" },
    { 0x42A5, "hopper_wheel_think" },
    { 0x42A6, "horde_drops" },
    { 0x42A7, "horde_perks" },
    { 0x42A8, "horde_type" },
    { 0x42A9, "hordecrateammothink" },
    { 0x42AA, "hordecratelethalthink" },
    { 0x42AB, "hordecrateperkthink" },
    { 0x42AC, "hordecrateweaponthink" },
    { 0x42AD, "hordedifficultylevel" },
    { 0x42AE, "hordedroplocations" },
    { 0x42AF, "hordedroplocationtrace" },
    { 0x42B0, "hordeendgame" },
    { 0x42B1, "hordeenemykilled" },
    { 0x42B2, "hordeicon" },
    { 0x42B3, "hordeloadouts" },
    { 0x42B4, "hordemaydropweapon" },
    { 0x42B5, "hordesetupdogstate" },
    { 0x42B6, "horizontal" },
    { 0x42B7, "horizontal_sunlight" },
    { 0x42B8, "horizontal_sunlight_flicker" },
    { 0x42B9, "horn" },
    { 0x42BA, "horz_leg_move_percent" },
    { 0x42BB, "hose_fx" },
    { 0x42BC, "hostage_a" },
    { 0x42BD, "hostage_b" },
    { 0x42BE, "hostage_fire_single_left" },
    { 0x42BF, "hostage_fire_single_right" },
    { 0x42C0, "hostage_fire_spray" },
    { 0x42C1, "hostage_health_regen" },
    { 0x42C2, "hostage_mission_fail" },
    { 0x42C3, "hostage_timer" },
    { 0x42C4, "hostagemanhandle" },
    { 0x42C5, "hostforcedend" },
    { 0x42C6, "hostidledout" },
    { 0x42C7, "hostilesspawned" },
    { 0x42C8, "hostmigrationcontrolsfrozen" },
    { 0x42C9, "hostmigrationreturnedplayercount" },
    { 0x42CA, "hostmigrationtimer" },
    { 0x42CB, "hostmigrationtimerthink" },
    { 0x42CC, "hostmigrationtimerthink_internal" },
    { 0x42CD, "hostmigrationwait" },
    { 0x42CE, "hostmigrationwaitforplayers" },
    { 0x42CF, "hostname" },
    { 0x42D0, "hotel_parking_car_hide" },
    { 0x42D1, "hotel_parking_facade" },
    { 0x42D2, "house_attack_slowmo" },
    { 0x42D3, "house_deer" },
    { 0x42D4, "house_enter" },
    { 0x42D5, "house_firstfloor_exploder" },
    { 0x42D6, "house_firstfloor_exploder_off" },
    { 0x42D7, "house_ghost_slowmo" },
    { 0x42D8, "house_nav_logic" },
    { 0x42D9, "house_secondfloor_exploder" },
    { 0x42DA, "house_secondfloor_exploder_off" },
    { 0x42DB, "house_start" },
    { 0x42DC, "house_vo" },
    { 0x42DD, "hovercraft_ai_pathstarts" },
    { 0x42DE, "hovercraft_allow_death" },
    { 0x42DF, "hovercraft_anim_logic" },
    { 0x42E0, "hovercraft_artillery_incoming_missile" },
    { 0x42E1, "hovercraft_artillery_player_weapon" },
    { 0x42E2, "hovercraft_cleanup" },
    { 0x42E3, "hovercraft_dday_runout" },
    { 0x42E4, "hovercraft_delete" },
    { 0x42E5, "hovercraft_deploy_smoke" },
    { 0x42E6, "hovercraft_deploy_smoke_stop" },
    { 0x42E7, "hovercraft_drone_default" },
    { 0x42E8, "hovercraft_drone_fightspots" },
    { 0x42E9, "hovercraft_drone_random_die" },
    { 0x42EA, "hovercraft_drone_setup" },
    { 0x42EB, "hovercraft_init" },
    { 0x42EC, "hovercraft_load_drones" },
    { 0x42ED, "hovercraft_load_fake_drones" },
    { 0x42EE, "hovercraft_missile_barrage" },
    { 0x42EF, "hovercraft_missile_barrage_player" },
    { 0x42F0, "hovercraft_missile_fire" },
    { 0x42F1, "hovercraft_set_unloaded" },
    { 0x42F2, "hovercraft_tanks_setup" },
    { 0x42F3, "hovercraft_tanks_unload" },
    { 0x42F4, "hovercraft_tanks_unload_logic" },
    { 0x42F5, "hovercraft_treadfx" },
    { 0x42F6, "hovercraft_treadfx_chaser" },
    { 0x42F7, "hovercraft_unloaded_leave" },
    { 0x42F8, "hovercraft_unloader_init" },
    { 0x42F9, "hovercraftdrones" },
    { 0x42FA, "hovercraftdroneunloader" },
    { 0x42FB, "hovercraftlanders" },
    { 0x42FC, "hovercraftloopers" },
    { 0x42FD, "hovercraftmissiletimeout" },
    { 0x42FE, "hovercrafts" },
    { 0x42FF, "hovercraftsmokeents" },
    { 0x4300, "hovercrafttanks" },
    { 0x4301, "hoverpos" },
    { 0x4302, "hp" },
    { 0x4303, "hud" },
    { 0x4304, "hud0" },
    { 0x4305, "hud1" },
    { 0x4306, "hud2" },
    { 0x4307, "hud_addandshowtargets" },
    { 0x4308, "hud_addtargets" },
    { 0x4309, "hud_alpha" },
    { 0x430A, "hud_black" },
    { 0x430B, "hud_buttonhelp" },
    { 0x430C, "hud_color_ally" },
    { 0x430D, "hud_compass_elem" },
    { 0x430E, "hud_countfree_flares" },
    { 0x430F, "hud_currentstate" },
    { 0x4310, "hud_damagefeedback" },
    { 0x4311, "hud_debug_add" },
    { 0x4312, "hud_debug_add_display" },
    { 0x4313, "hud_debug_add_frac" },
    { 0x4314, "hud_debug_add_message" },
    { 0x4315, "hud_debug_add_num" },
    { 0x4316, "hud_debug_add_second_string" },
    { 0x4317, "hud_debug_add_string" },
    { 0x4318, "hud_debug_clear" },
    { 0x4319, "hud_destroy" },
    { 0x431A, "hud_element" },
    { 0x431B, "hud_elements" },
    { 0x431C, "hud_enemy_missile_lockon" },
    { 0x431D, "hud_enemy_tracker" },
    { 0x431E, "hud_enemy_tracker_post" },
    { 0x431F, "hud_enemy_tracker_pre" },
    { 0x4320, "hud_enemy_tracker_range" },
    { 0x4321, "hud_fade_in_time" },
    { 0x4322, "hud_flashalpha" },
    { 0x4323, "hud_hide" },
    { 0x4324, "hud_hidetargets" },
    { 0x4325, "hud_highlight_homing_missile" },
    { 0x4326, "hud_highlight_no_missiles" },
    { 0x4327, "hud_highlight_straight_missile" },
    { 0x4328, "hud_init" },
    { 0x4329, "hud_init_vo" },
    { 0x432A, "hud_islockedontarget" },
    { 0x432B, "hud_laststate" },
    { 0x432C, "hud_makefree_flares" },
    { 0x432D, "hud_makenotavailable_availablemissileicon" },
    { 0x432E, "hud_makeused_flares" },
    { 0x432F, "hud_mantle" },
    { 0x4330, "hud_markavailable_firstusedmissileicon" },
    { 0x4331, "hud_markfree_usedmissileicon" },
    { 0x4332, "hud_marklocked_firstavailablemissileicon" },
    { 0x4333, "hud_markunlocked_firstlockedmissileicon" },
    { 0x4334, "hud_markused_firstavailablemissileicon" },
    { 0x4335, "hud_markused_freemissileicon" },
    { 0x4336, "hud_mask_model" },
    { 0x4337, "hud_mg_active" },
    { 0x4338, "hud_mg_inactive" },
    { 0x4339, "hud_missile_active" },
    { 0x433A, "hud_missile_incoming" },
    { 0x433B, "hud_missile_warning" },
    { 0x433C, "hud_monitorplayerownership" },
    { 0x433D, "hud_multipliertext" },
    { 0x433E, "hud_offset" },
    { 0x433F, "hud_on" },
    { 0x4340, "hud_outline_enable_withinview" },
    { 0x4341, "hud_outlineenable" },
    { 0x4342, "hud_outlineenable_static" },
    { 0x4343, "hud_overlay" },
    { 0x4344, "hud_player_target_hide_at_min" },
    { 0x4345, "hud_scubamask" },
    { 0x4346, "hud_scubamask_model" },
    { 0x4347, "hud_set_target_default" },
    { 0x4348, "hud_set_target_locked" },
    { 0x4349, "hud_show" },
    { 0x434A, "hud_showstance" },
    { 0x434B, "hud_showtargets" },
    { 0x434C, "hud_space_helmet_overlay" },
    { 0x434D, "hud_space_helmet_rim" },
    { 0x434E, "hud_start" },
    { 0x434F, "hud_static_overlay" },
    { 0x4350, "hud_target_lock" },
    { 0x4351, "hud_target_ondeath" },
    { 0x4352, "hud_turnoffmissilewarning" },
    { 0x4353, "hud_update" },
    { 0x4354, "hud_update_look_meter" },
    { 0x4355, "hud_update_mg_heat" },
    { 0x4356, "hud_update_roll" },
    { 0x4357, "hud_update_speed" },
    { 0x4358, "hud_updateammo_flares" },
    { 0x4359, "hud_value" },
    { 0x435A, "huddebugnum" },
    { 0x435B, "huddelete" },
    { 0x435C, "huddownspace" },
    { 0x435D, "hudelem_count" },
    { 0x435E, "hudelem_destroy" },
    { 0x435F, "hudelemdestroy" },
    { 0x4360, "hudelems" },
    { 0x4361, "huditem" },
    { 0x4362, "huditemshide" },
    { 0x4363, "huditemsshow" },
    { 0x4364, "hudleftspace" },
    { 0x4365, "hudmsgshare" },
    { 0x4366, "hudnum" },
    { 0x4367, "hudoutline_blink" },
    { 0x4368, "hudoutline_enable" },
    { 0x4369, "hudoutline_maxdist" },
    { 0x436A, "hudoutline_wait_death" },
    { 0x436B, "huds" },
    { 0x436C, "hudsetpoint_func" },
    { 0x436D, "hudtimerindex" },
    { 0x436E, "hudtweaks" },
    { 0x436F, "human_anims" },
    { 0x4370, "human_traverse" },
    { 0x4371, "human_traverse_kill" },
    { 0x4372, "humans" },
    { 0x4373, "hummer_spawn_func" },
    { 0x4374, "humvee_antenna_animates" },
    { 0x4375, "humvee_antenna_animates_until_death" },
    { 0x4376, "humvee_org" },
    { 0x4377, "humvee_turret_guy_gettin_func" },
    { 0x4378, "humvee_turret_init" },
    { 0x4379, "hunted_style_door_open" },
    { 0x437A, "hunterdisconnectwatcher" },
    { 0x437B, "hurry_lines" },
    { 0x437C, "hurt_trigger" },
    { 0x437D, "hurtagain" },
    { 0x437E, "hurtfade" },
    { 0x437F, "hurtgen_style" },
    { 0x4380, "hvt_dog_bark" },
    { 0x4381, "hvt_dog_bishop_anims" },
    { 0x4382, "hvt_guys_in_position" },
    { 0x4383, "hvt_office_anim_struct" },
    { 0x4384, "hvt_office_briefcase" },
    { 0x4385, "hvt_office_chair" },
    { 0x4386, "hvt_office_doors" },
    { 0x4387, "hvt_office_environment" },
    { 0x4388, "hvt_office_handler" },
    { 0x4389, "hvt_office_hesh" },
    { 0x438A, "hvt_office_hvt" },
    { 0x438B, "hvt_office_hvt_death" },
    { 0x438C, "hvt_office_hvt_setup" },
    { 0x438D, "hvt_office_light" },
    { 0x438E, "hvt_office_merrick" },
    { 0x438F, "hvt_office_player" },
    { 0x4390, "hvt_office_props" },
    { 0x4391, "hvt_office_safe_block" },
    { 0x4392, "hvt_office_vargas" },
    { 0x4393, "hvt_pre_office_hesh" },
    { 0x4394, "hvt_reach_and_animate" },
    { 0x4395, "hvts_active" },
    { 0x4396, "i" },
    { 0x4397, "ice" },
    { 0x4398, "ice_breach_enemies" },
    { 0x4399, "ice_breach_logic" },
    { 0x439A, "ice_breach_process_enemy" },
    { 0x439B, "ice_breach_process_enemy_anim" },
    { 0x439C, "ice_breach_process_enemy_dmg" },
    { 0x439D, "ice_breach_process_enemy_fx" },
    { 0x439E, "ice_breach_process_prop_fx" },
    { 0x439F, "ice_damage_watch" },
    { 0x43A0, "ice_effects_init" },
    { 0x43A1, "ice_float" },
    { 0x43A2, "ice_init" },
    { 0x43A3, "ice_player_watch" },
    { 0x43A4, "ice_sink" },
    { 0x43A5, "icehole_achievement" },
    { 0x43A6, "icehole_count" },
    { 0x43A7, "icehole_shards" },
    { 0x43A8, "icehole_to_move" },
    { 0x43A9, "icon" },
    { 0x43AA, "icon_always_show" },
    { 0x43AB, "icon_col" },
    { 0x43AC, "icon_fade_in" },
    { 0x43AD, "icon_fade_out" },
    { 0x43AE, "icon_name" },
    { 0x43AF, "icon_trigger_setup" },
    { 0x43B0, "iconelem" },
    { 0x43B1, "iconelem2" },
    { 0x43B2, "iconelem3" },
    { 0x43B3, "iconname" },
    { 0x43B4, "iconoverlay" },
    { 0x43B5, "iconvisall" },
    { 0x43B6, "id" },
    { 0x43B7, "idamage" },
    { 0x43B8, "identifier" },
    { 0x43B9, "idflags" },
    { 0x43BA, "idflags_no_armor" },
    { 0x43BB, "idflags_no_knockback" },
    { 0x43BC, "idflags_no_protection" },
    { 0x43BD, "idflags_no_team_protection" },
    { 0x43BE, "idflags_passthru" },
    { 0x43BF, "idflags_penetration" },
    { 0x43C0, "idflags_radius" },
    { 0x43C1, "idflags_shield_explosive_impact" },
    { 0x43C2, "idflags_shield_explosive_impact_huge" },
    { 0x43C3, "idflags_shield_explosive_splash" },
    { 0x43C4, "idflags_stun" },
    { 0x43C5, "idflagstime" },
    { 0x43C6, "idle" },
    { 0x43C7, "idle_alert" },
    { 0x43C8, "idle_alert_to_casual" },
    { 0x43C9, "idle_anim" },
    { 0x43CA, "idle_anim_counter" },
    { 0x43CB, "idle_animation_list_func" },
    { 0x43CC, "idle_animations" },
    { 0x43CD, "idle_anims" },
    { 0x43CE, "idle_animstop" },
    { 0x43CF, "idle_break_anim" },
    { 0x43D0, "idle_break_anim_active" },
    { 0x43D1, "idle_break_anim_played" },
    { 0x43D2, "idle_cleanup" },
    { 0x43D3, "idle_hardleft" },
    { 0x43D4, "idle_hardright" },
    { 0x43D5, "idle_main" },
    { 0x43D6, "idle_nag_counter" },
    { 0x43D7, "idle_on_reach" },
    { 0x43D8, "idle_proc" },
    { 0x43D9, "idle_proc_func" },
    { 0x43DA, "idle_reach_node" },
    { 0x43DB, "idle_right" },
    { 0x43DC, "idle_struct" },
    { 0x43DD, "idle_struct_animating_node" },
    { 0x43DE, "idle_victim_logic" },
    { 0x43DF, "idleanim" },
    { 0x43E0, "idleanimtype" },
    { 0x43E1, "idleface" },
    { 0x43E2, "idlelookattargets" },
    { 0x43E3, "idleoccurrence" },
    { 0x43E4, "idleset" },
    { 0x43E5, "idlesound" },
    { 0x43E6, "idlesound_waitfordoneordeath" },
    { 0x43E7, "idlesoundorigin" },
    { 0x43E8, "idletarget" },
    { 0x43E9, "idletargetmover" },
    { 0x43EA, "idlethread" },
    { 0x43EB, "idletrackloop" },
    { 0x43EC, "idlewait" },
    { 0x43ED, "idlewaitabit" },
    { 0x43EE, "idlingatcover" },
    { 0x43EF, "iexplodernum" },
    { 0x43F0, "if_flag_and_not_flag" },
    { 0x43F1, "if_player_passes_balcony_before_killing" },
    { 0x43F2, "iflashfuse" },
    { 0x43F3, "ignore_all_until_damaged" },
    { 0x43F4, "ignore_and_move_fast" },
    { 0x43F5, "ignore_death_fx" },
    { 0x43F6, "ignore_everything" },
    { 0x43F7, "ignore_me_ignore_all" },
    { 0x43F8, "ignore_me_ignore_all_off" },
    { 0x43F9, "ignore_me_timer" },
    { 0x43FA, "ignore_me_timer_prev_value" },
    { 0x43FB, "ignore_move_suppression" },
    { 0x43FC, "ignore_off_func" },
    { 0x43FD, "ignore_on_func" },
    { 0x43FE, "ignore_player" },
    { 0x43FF, "ignore_player_after_time" },
    { 0x4400, "ignore_run" },
    { 0x4401, "ignore_suppression_trigger_ai_think" },
    { 0x4402, "ignore_suppression_trigger_think" },
    { 0x4403, "ignore_timer" },
    { 0x4404, "ignore_to_goal" },
    { 0x4405, "ignore_triggers" },
    { 0x4406, "ignore_until_goal" },
    { 0x4407, "ignoreall_false_at_path_end" },
    { 0x4408, "ignoreall_false_end_anim" },
    { 0x4409, "ignoreall_on_end" },
    { 0x440A, "ignoreallenemies" },
    { 0x440B, "ignored_by_attack_heli" },
    { 0x440C, "ignored_by_friendlies" },
    { 0x440D, "ignoreeachother" },
    { 0x440E, "ignoregrenadesafetime" },
    { 0x440F, "ignoreorigin" },
    { 0x4410, "ignorepathchange" },
    { 0x4411, "ignorerandombulletdamage_drone_proc" },
    { 0x4412, "ignoresightpos" },
    { 0x4413, "image" },
    { 0x4414, "iminrange" },
    { 0x4415, "immediatedeath" },
    { 0x4416, "imminent_death" },
    { 0x4417, "impact_loc" },
    { 0x4418, "impact_location" },
    { 0x4419, "impact_location1" },
    { 0x441A, "impact_overlay" },
    { 0x441B, "impact_override" },
    { 0x441C, "impact_override_object_damage_check" },
    { 0x441D, "impact_train" },
    { 0x441E, "impact_vision_set" },
    { 0x441F, "impactradius" },
    { 0x4420, "impacttag" },
    { 0x4421, "impulse_push" },
    { 0x4422, "ims" },
    { 0x4423, "ims_attacktargets" },
    { 0x4424, "ims_createbombsquadmodel" },
    { 0x4425, "ims_handledamage" },
    { 0x4426, "ims_handledeath" },
    { 0x4427, "ims_handledeathdamage" },
    { 0x4428, "ims_handleownerdisconnect" },
    { 0x4429, "ims_handleuse" },
    { 0x442A, "ims_hideallparts" },
    { 0x442B, "ims_modifydamage" },
    { 0x442C, "ims_moving_platform_death" },
    { 0x442D, "ims_oncarrierdeath" },
    { 0x442E, "ims_oncarrierdisconnect" },
    { 0x442F, "ims_ongameended" },
    { 0x4430, "ims_onkillstreakdisowned" },
    { 0x4431, "ims_playerconnected" },
    { 0x4432, "ims_playerjoinedteam" },
    { 0x4433, "ims_setactive" },
    { 0x4434, "ims_setcancelled" },
    { 0x4435, "ims_setcarried" },
    { 0x4436, "ims_setinactive" },
    { 0x4437, "ims_setplaced" },
    { 0x4438, "ims_showallparts" },
    { 0x4439, "ims_start" },
    { 0x443A, "ims_timeout" },
    { 0x443B, "imscreateexplosive" },
    { 0x443C, "imscreateexplosivewithkillcam" },
    { 0x443D, "imsdeletecurexplosiveandkillcam" },
    { 0x443E, "imskillcament" },
    { 0x443F, "imslist" },
    { 0x4440, "imsopenalldoors" },
    { 0x4441, "imsopendoor" },
    { 0x4442, "imssettings" },
    { 0x4443, "imstype" },
    { 0x4444, "in_air_sequence" },
    { 0x4445, "in_alien_mode" },
    { 0x4446, "in_attack" },
    { 0x4447, "in_coverwater" },
    { 0x4448, "in_deathsdoor" },
    { 0x4449, "in_front_of" },
    { 0x444A, "in_front_players" },
    { 0x444B, "in_inclusion_list" },
    { 0x444C, "in_lean_vol" },
    { 0x444D, "in_melee" },
    { 0x444E, "in_new_section" },
    { 0x444F, "in_range_for_homing_missile_sqrd" },
    { 0x4450, "in_spawnspectator" },
    { 0x4451, "in_to_jeep" },
    { 0x4452, "in_use" },
    { 0x4453, "in_volume" },
    { 0x4454, "in_world_area" },
    { 0x4455, "in_your_face" },
    { 0x4456, "inactive" },
    { 0x4457, "inactive_objective" },
    { 0x4458, "inairanimentry" },
    { 0x4459, "inairanimstate" },
    { 0x445A, "inboundsfx" },
    { 0x445B, "inboundvo" },
    { 0x445C, "inc" },
    { 0x445D, "inc4death" },
    { 0x445E, "inc_challenge_complete_stat" },
    { 0x445F, "inc_currency_spent_stat" },
    { 0x4460, "inc_currency_total_stat" },
    { 0x4461, "inc_deployables_shared_stat" },
    { 0x4462, "inc_downed_stat" },
    { 0x4463, "inc_drill_plants_stat" },
    { 0x4464, "inc_drill_repairs_stat" },
    { 0x4465, "inc_escaped_stat" },
    { 0x4466, "inc_hives_destroyed_stat" },
    { 0x4467, "inc_kill_stat" },
    { 0x4468, "inc_prestige_nerfs_stat" },
    { 0x4469, "inc_revives_stat" },
    { 0x446A, "inc_score_stat" },
    { 0x446B, "inc_session_stat" },
    { 0x446C, "inc_stat" },
    { 0x446D, "inc_xp_stat" },
    { 0x446E, "inches_to_lattitude" },
    { 0x446F, "include_default_achievements" },
    { 0x4470, "include_default_challenges" },
    { 0x4471, "include_default_unlocks" },
    { 0x4472, "incombatspeed" },
    { 0x4473, "incoming" },
    { 0x4474, "incoming_sound" },
    { 0x4475, "incominganglestraightahead" },
    { 0x4476, "incomingmissile" },
    { 0x4477, "incomingmissiles" },
    { 0x4478, "incomming_missiles" },
    { 0x4479, "incpersstat" },
    { 0x447A, "incplayerrecord" },
    { 0x447B, "incplayerstat" },
    { 0x447C, "incranimaimweight" },
    { 0x447D, "incrankxp" },
    { 0x447E, "increase_damage_scalar" },
    { 0x447F, "increase_difficulty" },
    { 0x4480, "increase_earthquake_strength" },
    { 0x4481, "increase_threatbias" },
    { 0x4482, "increasexpboost" },
    { 0x4483, "increment_list_offset" },
    { 0x4484, "increment_take_cover_warnings_on_death" },
    { 0x4485, "incrementalivecount" },
    { 0x4486, "incrementattachmentstat" },
    { 0x4487, "incrementfauxvehiclecount" },
    { 0x4488, "incrementweaponstat" },
    { 0x4489, "index" },
    { 0x448A, "index_col" },
    { 0x448B, "index_is_selected" },
    { 0x448C, "index_map" },
    { 0x448D, "indexarray" },
    { 0x448E, "indexnumber" },
    { 0x448F, "indicate_start" },
    { 0x4490, "indoor_think" },
    { 0x4491, "indoorcqbtogglecheck" },
    { 0x4492, "infantry_guys" },
    { 0x4493, "infantry_teleport_start" },
    { 0x4494, "infect_allowsuicide" },
    { 0x4495, "infect_awardedfinalsurvivor" },
    { 0x4496, "infect_choosingfirstinfected" },
    { 0x4497, "infect_chosefirstinfected" },
    { 0x4498, "infect_isbeingchosen" },
    { 0x4499, "infect_loadouts" },
    { 0x449A, "infect_players" },
    { 0x449B, "infect_spawnpos" },
    { 0x449C, "infect_teamscores" },
    { 0x449D, "infect_timerdisplay" },
    { 0x449E, "infected" },
    { 0x449F, "infectedrejoined" },
    { 0x44A0, "infil" },
    { 0x44A1, "infil_allow_movement" },
    { 0x44A2, "infil_allowed_slide" },
    { 0x44A3, "infil_ally" },
    { 0x44A4, "infil_blend_push_out" },
    { 0x44A5, "infil_cleanup" },
    { 0x44A6, "infil_convoy_outside_city" },
    { 0x44A7, "infil_entry_lock" },
    { 0x44A8, "infil_explosions" },
    { 0x44A9, "infil_flyin_allies" },
    { 0x44AA, "infil_flyin_battle" },
    { 0x44AB, "infil_flyin_battle_init" },
    { 0x44AC, "infil_flyin_old" },
    { 0x44AD, "infil_flyin_player" },
    { 0x44AE, "infil_flyin_player_unload_gt" },
    { 0x44AF, "infil_global_offset" },
    { 0x44B0, "infil_grenade" },
    { 0x44B1, "infil_grenade_delete" },
    { 0x44B2, "infil_heli_ally" },
    { 0x44B3, "infil_heli_anim_skip" },
    { 0x44B4, "infil_heli_outside_city" },
    { 0x44B5, "infil_heli_player" },
    { 0x44B6, "infil_light_flicker" },
    { 0x44B7, "infil_lights_and_vision" },
    { 0x44B8, "infil_movement_step" },
    { 0x44B9, "infil_object_hide" },
    { 0x44BA, "infil_optimize_tree_cleanup" },
    { 0x44BB, "infil_passengers" },
    { 0x44BC, "infil_path_offset" },
    { 0x44BD, "infil_push" },
    { 0x44BE, "infil_quakes" },
    { 0x44BF, "infil_ratex" },
    { 0x44C0, "infil_ratey" },
    { 0x44C1, "infil_ratez" },
    { 0x44C2, "infil_redshirt" },
    { 0x44C3, "infil_redshirts_spawn_func" },
    { 0x44C4, "infil_rpg_guy" },
    { 0x44C5, "infil_sidestreet" },
    { 0x44C6, "infil_silenthawk_landing_gear" },
    { 0x44C7, "infil_start" },
    { 0x44C8, "infil_vignette" },
    { 0x44C9, "infil_vignette_remove_weapon" },
    { 0x44CA, "infil_vo" },
    { 0x44CB, "infinalstand" },
    { 0x44CC, "infinite_cycle" },
    { 0x44CD, "infinite_event_index" },
    { 0x44CE, "infinite_event_interval" },
    { 0x44CF, "infinite_mode_events" },
    { 0x44D0, "infinitedrones" },
    { 0x44D1, "infiniteloop" },
    { 0x44D2, "info" },
    { 0x44D3, "informattacking" },
    { 0x44D4, "informincoming" },
    { 0x44D5, "informkillfirm" },
    { 0x44D6, "informreloading" },
    { 0x44D7, "informsuppressed" },
    { 0x44D8, "informto" },
    { 0x44D9, "inframes" },
    { 0x44DA, "infront" },
    { 0x44DB, "ingeneratoraoe" },
    { 0x44DC, "ingraceperiod" },
    { 0x44DD, "inheliproximity" },
    { 0x44DE, "inhibit_respawn" },
    { 0x44DF, "init" },
    { 0x44E0, "init_a10" },
    { 0x44E1, "init_ai_space" },
    { 0x44E2, "init_ai_space_animsets" },
    { 0x44E3, "init_ai_swim" },
    { 0x44E4, "init_ai_swim_animsets" },
    { 0x44E5, "init_aibattlechatter" },
    { 0x44E6, "init_alien_challenges_from_table" },
    { 0x44E7, "init_alien_idle" },
    { 0x44E8, "init_ally_dog" },
    { 0x44E9, "init_ambient" },
    { 0x44EA, "init_and_run" },
    { 0x44EB, "init_anim_sets" },
    { 0x44EC, "init_animated_dufflebags" },
    { 0x44ED, "init_animated_dufflebags_baker" },
    { 0x44EE, "init_animated_dufflebags_candk" },
    { 0x44EF, "init_animatedmodels" },
    { 0x44F0, "init_animatedmodels_dump" },
    { 0x44F1, "init_anims_human" },
    { 0x44F2, "init_anims_player" },
    { 0x44F3, "init_animset_ambush" },
    { 0x44F4, "init_animset_combat" },
    { 0x44F5, "init_animset_complete_custom_crouch" },
    { 0x44F6, "init_animset_complete_custom_stand" },
    { 0x44F7, "init_animset_cover_left" },
    { 0x44F8, "init_animset_cover_multi" },
    { 0x44F9, "init_animset_cover_prone" },
    { 0x44FA, "init_animset_cover_right" },
    { 0x44FB, "init_animset_cover_wall" },
    { 0x44FC, "init_animset_cqb_move" },
    { 0x44FD, "init_animset_cqb_stand" },
    { 0x44FE, "init_animset_custom_crouch" },
    { 0x44FF, "init_animset_custom_stand" },
    { 0x4500, "init_animset_death" },
    { 0x4501, "init_animset_default_crouch" },
    { 0x4502, "init_animset_default_prone" },
    { 0x4503, "init_animset_default_stand" },
    { 0x4504, "init_animset_flashed" },
    { 0x4505, "init_animset_heat_reload" },
    { 0x4506, "init_animset_heat_run_move" },
    { 0x4507, "init_animset_heat_stand" },
    { 0x4508, "init_animset_idle" },
    { 0x4509, "init_animset_melee" },
    { 0x450A, "init_animset_move" },
    { 0x450B, "init_animset_pain" },
    { 0x450C, "init_animset_pistol_stand" },
    { 0x450D, "init_animset_reactions" },
    { 0x450E, "init_animset_rpg_crouch" },
    { 0x450F, "init_animset_rpg_stand" },
    { 0x4510, "init_animset_run_move" },
    { 0x4511, "init_animset_run_n_gun" },
    { 0x4512, "init_animset_shotgun_crouch" },
    { 0x4513, "init_animset_shotgun_stand" },
    { 0x4514, "init_animset_walk_move" },
    { 0x4515, "init_animsounds" },
    { 0x4516, "init_animsounds_for_animname" },
    { 0x4517, "init_ascend_vars" },
    { 0x4518, "init_audio" },
    { 0x4519, "init_battlechatter" },
    { 0x451A, "init_beach_ambient" },
    { 0x451B, "init_biasgroups" },
    { 0x451C, "init_blocker_hive_animation_state" },
    { 0x451D, "init_bot_attachmenttable" },
    { 0x451E, "init_bot_weap_statstable" },
    { 0x451F, "init_bunker_buster_missile_for_player" },
    { 0x4520, "init_chaingun_player" },
    { 0x4521, "init_challenge" },
    { 0x4522, "init_challenge_type" },
    { 0x4523, "init_chaos_airdrop" },
    { 0x4524, "init_chaos_animset" },
    { 0x4525, "init_chatter" },
    { 0x4526, "init_class_table" },
    { 0x4527, "init_color_grouping" },
    { 0x4528, "init_color_helper_triggers" },
    { 0x4529, "init_color_trigger_listeners" },
    { 0x452A, "init_colors" },
    { 0x452B, "init_combat_resource_callback" },
    { 0x452C, "init_combat_resource_from_table" },
    { 0x452D, "init_combat_resource_level" },
    { 0x452E, "init_combat_resource_overrides" },
    { 0x452F, "init_combat_resources" },
    { 0x4530, "init_coverwater" },
    { 0x4531, "init_creepwalk_archetype" },
    { 0x4532, "init_crosshair" },
    { 0x4533, "init_dam_destruction_anim" },
    { 0x4534, "init_damage_feedback" },
    { 0x4535, "init_default_limp" },
    { 0x4536, "init_default_tired" },
    { 0x4537, "init_destroyed_count" },
    { 0x4538, "init_destroyed_zone" },
    { 0x4539, "init_destructible_frame_queue" },
    { 0x453A, "init_dialogue" },
    { 0x453B, "init_dog_anims" },
    { 0x453C, "init_dog_control" },
    { 0x453D, "init_drill" },
    { 0x453E, "init_drill_drop_loc" },
    { 0x453F, "init_drilling_parameters" },
    { 0x4540, "init_drone" },
    { 0x4541, "init_each_perk" },
    { 0x4542, "init_elevator" },
    { 0x4543, "init_elias_animset" },
    { 0x4544, "init_elias_house_animset" },
    { 0x4545, "init_enemy_color_volumes" },
    { 0x4546, "init_exposed_turn_animations" },
    { 0x4547, "init_filter" },
    { 0x4548, "init_flag_and_set_on_targetname_trigger" },
    { 0x4549, "init_flags" },
    { 0x454A, "init_flavorbursts" },
    { 0x454B, "init_fog_transition" },
    { 0x454C, "init_func" },
    { 0x454D, "init_fx" },
    { 0x454E, "init_fx_triggers" },
    { 0x454F, "init_gamescore" },
    { 0x4550, "init_grenade_animations" },
    { 0x4551, "init_gunboats" },
    { 0x4552, "init_helicopters" },
    { 0x4553, "init_helo" },
    { 0x4554, "init_helo_ai" },
    { 0x4555, "init_hesh_animset" },
    { 0x4556, "init_hesh_house_animset" },
    { 0x4557, "init_hesh_hurt_animset" },
    { 0x4558, "init_hive_locs" },
    { 0x4559, "init_hover" },
    { 0x455A, "init_hud" },
    { 0x455B, "init_hud_internal" },
    { 0x455C, "init_hud_percent" },
    { 0x455D, "init_huds" },
    { 0x455E, "init_jog_animset" },
    { 0x455F, "init_jog_animset_alert" },
    { 0x4560, "init_level_flags" },
    { 0x4561, "init_level_players" },
    { 0x4562, "init_level_variables" },
    { 0x4563, "init_levelvariables" },
    { 0x4564, "init_light_def" },
    { 0x4565, "init_lights" },
    { 0x4566, "init_linked_ents" },
    { 0x4567, "init_lit_model" },
    { 0x4568, "init_loadout" },
    { 0x4569, "init_local" },
    { 0x456A, "init_localoilrocks" },
    { 0x456B, "init_locked_list" },
    { 0x456C, "init_mainai" },
    { 0x456D, "init_menu" },
    { 0x456E, "init_mgturretsettings" },
    { 0x456F, "init_missiles" },
    { 0x4570, "init_mix" },
    { 0x4571, "init_move_transition_arrays" },
    { 0x4572, "init_moving_turn_animations" },
    { 0x4573, "init_multiteamdata" },
    { 0x4574, "init_nerf_scalar" },
    { 0x4575, "init_notetracks_for_animname" },
    { 0x4576, "init_nuke" },
    { 0x4577, "init_occlusion" },
    { 0x4578, "init_origin" },
    { 0x4579, "init_patrol_paths" },
    { 0x457A, "init_perk_bullet_damage" },
    { 0x457B, "init_perk_health" },
    { 0x457C, "init_perk_level" },
    { 0x457D, "init_perk_medic" },
    { 0x457E, "init_perk_pistol" },
    { 0x457F, "init_perk_rigger" },
    { 0x4580, "init_perks" },
    { 0x4581, "init_perks_callback" },
    { 0x4582, "init_perks_from_table" },
    { 0x4583, "init_perktable" },
    { 0x4584, "init_personality_camper" },
    { 0x4585, "init_personality_default" },
    { 0x4586, "init_placed_sentries" },
    { 0x4587, "init_player" },
    { 0x4588, "init_player_achievement" },
    { 0x4589, "init_player_gameobjects" },
    { 0x458A, "init_player_hud_onconnect" },
    { 0x458B, "init_player_limp" },
    { 0x458C, "init_player_on_blackhawk" },
    { 0x458D, "init_player_prestige" },
    { 0x458E, "init_player_rig" },
    { 0x458F, "init_player_score" },
    { 0x4590, "init_player_space" },
    { 0x4591, "init_player_space_anims" },
    { 0x4592, "init_player_swim" },
    { 0x4593, "init_player_swim_anims" },
    { 0x4594, "init_player_unlock" },
    { 0x4595, "init_post_main" },
    { 0x4596, "init_prestige" },
    { 0x4597, "init_radio_dialogue" },
    { 0x4598, "init_reset_ai" },
    { 0x4599, "init_reverb" },
    { 0x459A, "init_rider" },
    { 0x459B, "init_run_animset_alert" },
    { 0x459C, "init_sabot_for_player" },
    { 0x459D, "init_screeneffect_vars" },
    { 0x459E, "init_script_friendnames" },
    { 0x459F, "init_script_triggers" },
    { 0x45A0, "init_scripted_light" },
    { 0x45A1, "init_self_fog_transition" },
    { 0x45A2, "init_self_visionset" },
    { 0x45A3, "init_sentry_function_pointers" },
    { 0x45A4, "init_shooter" },
    { 0x45A5, "init_shooter_anims" },
    { 0x45A6, "init_silenthawk_landing" },
    { 0x45A7, "init_silenthawk_landing_thread" },
    { 0x45A8, "init_snowmobile_mount_anims" },
    { 0x45A9, "init_sounds" },
    { 0x45AA, "init_space_anim_deltas" },
    { 0x45AB, "init_space_anims" },
    { 0x45AC, "init_spawn_node_info" },
    { 0x45AD, "init_spawn_node_info_from_table" },
    { 0x45AE, "init_squadbattlechatter" },
    { 0x45AF, "init_squadmanager" },
    { 0x45B0, "init_starts" },
    { 0x45B1, "init_stats" },
    { 0x45B2, "init_swim" },
    { 0x45B3, "init_swim_anim_deltas" },
    { 0x45B4, "init_swim_anims" },
    { 0x45B5, "init_swim_vars" },
    { 0x45B6, "init_system" },
    { 0x45B7, "init_take_cover_warnings" },
    { 0x45B8, "init_tank" },
    { 0x45B9, "init_tank_crush" },
    { 0x45BA, "init_tank_enemy_loc" },
    { 0x45BB, "init_template_table" },
    { 0x45BC, "init_threatbiasgroups" },
    { 0x45BD, "init_throwable" },
    { 0x45BE, "init_throwableitems" },
    { 0x45BF, "init_timescale" },
    { 0x45C0, "init_tool_hud" },
    { 0x45C1, "init_tracks" },
    { 0x45C2, "init_trigger_flags" },
    { 0x45C3, "init_tunnel" },
    { 0x45C4, "init_turn_off_lean_volumes" },
    { 0x45C5, "init_unlock" },
    { 0x45C6, "init_uphill_jog_animset" },
    { 0x45C7, "init_uphill_walk_animset" },
    { 0x45C8, "init_vehicle_splines" },
    { 0x45C9, "init_vehicles" },
    { 0x45CA, "init_vision_set" },
    { 0x45CB, "init_visionset_progress_trigger" },
    { 0x45CC, "init_vo_system" },
    { 0x45CD, "init_waistwater_archetype" },
    { 0x45CE, "init_waistwater_out_archetype" },
    { 0x45CF, "init_whizby" },
    { 0x45D0, "init_wind_if_uninitialized" },
    { 0x45D1, "init_zodiacs" },
    { 0x45D2, "init_zones" },
    { 0x45D3, "initactivisioncredits" },
    { 0x45D4, "initadvancetoenemy" },
    { 0x45D5, "initagentlevelvariables" },
    { 0x45D6, "initagentscriptvariables" },
    { 0x45D7, "initairdropcrate" },
    { 0x45D8, "initalienanims" },
    { 0x45D9, "initaliencannedtraverses" },
    { 0x45DA, "initaliendeath" },
    { 0x45DB, "initalienjumptraverses" },
    { 0x45DC, "initalienpain" },
    { 0x45DD, "initalienvosystem" },
    { 0x45DE, "initandstartvosystem" },
    { 0x45DF, "initanimset" },
    { 0x45E0, "initanimtree" },
    { 0x45E1, "initatvicredits_atvi" },
    { 0x45E2, "initatvicredits_blade" },
    { 0x45E3, "initatvicredits_business" },
    { 0x45E4, "initatvicredits_central_tech" },
    { 0x45E5, "initatvicredits_demonware" },
    { 0x45E6, "initatvicredits_end" },
    { 0x45E7, "initatvicredits_europe" },
    { 0x45E8, "initatvicredits_global" },
    { 0x45E9, "initatvicredits_pr" },
    { 0x45EA, "initatvicredits_qa1" },
    { 0x45EB, "initatvicredits_qa2" },
    { 0x45EC, "initatvicredits_qa3" },
    { 0x45ED, "initatvicredits_qa4" },
    { 0x45EE, "initawardflag" },
    { 0x45EF, "initawardprocess" },
    { 0x45F0, "initawards" },
    { 0x45F1, "initbaseaward" },
    { 0x45F2, "initbattlechatter" },
    { 0x45F3, "initbombsquaddata" },
    { 0x45F4, "initbotlevelvariables" },
    { 0x45F5, "initbotmapextents" },
    { 0x45F6, "initbufferedstats" },
    { 0x45F7, "initcharacterface" },
    { 0x45F8, "initcivilianprops" },
    { 0x45F9, "initclientdvars" },
    { 0x45FA, "initclientdvarssplitscreenspecific" },
    { 0x45FB, "initcontact" },
    { 0x45FC, "initcovercrouchnode" },
    { 0x45FD, "initcredits" },
    { 0x45FE, "initdeaths" },
    { 0x45FF, "initderivedaward" },
    { 0x4600, "initdeveloperdvars" },
    { 0x4601, "initdoganimations" },
    { 0x4602, "initdogarchetype" },
    { 0x4603, "initdogarchetype_death" },
    { 0x4604, "initdogarchetype_move" },
    { 0x4605, "initdogarchetype_reaction" },
    { 0x4606, "initdogarchetype_stop" },
    { 0x4607, "initdogtraverseanims" },
    { 0x4608, "initdogvestanimations" },
    { 0x4609, "initdot" },
    { 0x460A, "inited" },
    { 0x460B, "initedentityheadicons" },
    { 0x460C, "initeffects" },
    { 0x460D, "initfacialanims" },
    { 0x460E, "initfinalkillcam" },
    { 0x460F, "initfx" },
    { 0x4610, "initgameflags" },
    { 0x4611, "initgametypeawards" },
    { 0x4612, "initglobals" },
    { 0x4613, "initgrenades" },
    { 0x4614, "initgrenadethrowanims" },
    { 0x4615, "inithandsignals" },
    { 0x4616, "inithordesettings" },
    { 0x4617, "initial_climb_over" },
    { 0x4618, "initial_depth_charge_run" },
    { 0x4619, "initial_dist_z_from_top" },
    { 0x461A, "initial_drone_allies" },
    { 0x461B, "initial_edge_ally_left" },
    { 0x461C, "initial_rpgs" },
    { 0x461D, "initial_satellite_placement" },
    { 0x461E, "initial_spawn" },
    { 0x461F, "initial_trench_enemies" },
    { 0x4620, "initialdelay" },
    { 0x4621, "initialdmscoreupdate" },
    { 0x4622, "initialize" },
    { 0x4623, "initialize_character_group" },
    { 0x4624, "initialize_colors" },
    { 0x4625, "initialize_intel" },
    { 0x4626, "initialized_civilian_animations" },
    { 0x4627, "initialized_gameobject_vars" },
    { 0x4628, "initializematchrules" },
    { 0x4629, "initializetagpathvariables" },
    { 0x462A, "initiated" },
    { 0x462B, "initinsertionvehicles" },
    { 0x462C, "initiw6additionalcredits" },
    { 0x462D, "initiw6atvicredits" },
    { 0x462E, "initiw6credits" },
    { 0x462F, "initiw6iw_shgcredits" },
    { 0x4630, "initiw6thankscredits" },
    { 0x4631, "initjavelinusage" },
    { 0x4632, "initkillstreakdata" },
    { 0x4633, "initlevelface" },
    { 0x4634, "initlevelflags" },
    { 0x4635, "initmissiondata" },
    { 0x4636, "initmovebackanims" },
    { 0x4637, "initmovestartstoptransitions" },
    { 0x4638, "initmultiaward" },
    { 0x4639, "initnodegraph" },
    { 0x463A, "initnotifymessage" },
    { 0x463B, "initobjectivecam" },
    { 0x463C, "initpainfx" },
    { 0x463D, "initperkdvars" },
    { 0x463E, "initpersstat" },
    { 0x463F, "initpickups" },
    { 0x4640, "initplayerclass" },
    { 0x4641, "initplayerkillstreaks" },
    { 0x4642, "initplayerscriptvariables" },
    { 0x4643, "initplayerstat" },
    { 0x4644, "initplayerstats" },
    { 0x4645, "initposemovementfunctions" },
    { 0x4646, "initprisonerloadout" },
    { 0x4647, "initprisoners" },
    { 0x4648, "initreadystand" },
    { 0x4649, "initridekillstreak" },
    { 0x464A, "initridekillstreak_internal" },
    { 0x464B, "initrunngun" },
    { 0x464C, "initscoreboard" },
    { 0x464D, "initscoredata" },
    { 0x464E, "initsharkanimations" },
    { 0x464F, "initspawnpointvalues" },
    { 0x4650, "initspawns" },
    { 0x4651, "initstat" },
    { 0x4652, "initstataward" },
    { 0x4653, "initstate" },
    { 0x4654, "initstingerusage" },
    { 0x4655, "initstructs" },
    { 0x4656, "initsurvivaltime" },
    { 0x4657, "initteargas" },
    { 0x4658, "initthresholdaward" },
    { 0x4659, "initweapon" },
    { 0x465A, "initwindowtraverse" },
    { 0x465B, "inlaststand" },
    { 0x465C, "inovertime" },
    { 0x465D, "inplayerportableradar" },
    { 0x465E, "inplayerscrambler" },
    { 0x465F, "inplayersmokescreen" },
    { 0x4660, "inprogress" },
    { 0x4661, "input_monitor" },
    { 0x4662, "input_reactive_radius" },
    { 0x4663, "inseq" },
    { 0x4664, "insert_effect" },
    { 0x4665, "insertalliesinsertchopper" },
    { 0x4666, "insertaxisinsertchopper" },
    { 0x4667, "inside" },
    { 0x4668, "inside_loadingdocks" },
    { 0x4669, "instairstrig" },
    { 0x466A, "instandingmelee" },
    { 0x466B, "instant_death" },
    { 0x466C, "instant_explosion" },
    { 0x466D, "instant_spotted" },
    { 0x466E, "instantly_promote_nearest_friendly" },
    { 0x466F, "instantly_promote_nearest_friendly_with_classname" },
    { 0x4670, "instantly_set_color_from_array" },
    { 0x4671, "instantly_set_color_from_array_with_classname" },
    { 0x4672, "instutter" },
    { 0x4673, "insure_player_does_not_set_forcecolor_twice_in_one_frame" },
    { 0x4674, "insyncmeleewithtarget" },
    { 0x4675, "intel_counter" },
    { 0x4676, "intel_feedback" },
    { 0x4677, "intel_items" },
    { 0x4678, "intel_think" },
    { 0x4679, "intel_upload_text" },
    { 0x467A, "intelactive" },
    { 0x467B, "intelbackkillschallenge" },
    { 0x467C, "intelbombkillchallenge" },
    { 0x467D, "intelchallengearray" },
    { 0x467E, "intelcrouchkillschallenge" },
    { 0x467F, "inteldeathoverride" },
    { 0x4680, "inteldeathwatcher" },
    { 0x4681, "intelemergencyrespawntimer" },
    { 0x4682, "intelent" },
    { 0x4683, "intelfailed" },
    { 0x4684, "intelfoundshotkillschallenge" },
    { 0x4685, "intelheadshotchallenge" },
    { 0x4686, "intelinit" },
    { 0x4687, "inteljumpshotkillschallenge" },
    { 0x4688, "intelkillschallenge" },
    { 0x4689, "intelknifekillchallenge" },
    { 0x468A, "intelminigun" },
    { 0x468B, "intelpronekillschallenge" },
    { 0x468C, "intelsecondarykillschallenge" },
    { 0x468D, "intelsplash" },
    { 0x468E, "inteltargetkillschallenge" },
    { 0x468F, "inteltbagchallenge" },
    { 0x4690, "intelteamequipment" },
    { 0x4691, "intelteamheadshot" },
    { 0x4692, "intelteamkillstreak" },
    { 0x4693, "intelteammelee" },
    { 0x4694, "intelteamreward" },
    { 0x4695, "inteltriggerwatcher" },
    { 0x4696, "intensity" },
    { 0x4697, "intensity_monitor_update_loop" },
    { 0x4698, "intensity_ng" },
    { 0x4699, "intensity_spawning_paused_count" },
    { 0x469A, "intensitylevels" },
    { 0x469B, "intensitythreshold" },
    { 0x469C, "interactive_fall_and_break" },
    { 0x469D, "interactive_landanim" },
    { 0x469E, "interactive_number" },
    { 0x469F, "interactive_takeoffanim" },
    { 0x46A0, "interactive_tv" },
    { 0x46A1, "interactive_type" },
    { 0x46A2, "interactive_warnings" },
    { 0x46A3, "interactivekeypairs" },
    { 0x46A4, "interactives" },
    { 0x46A5, "interactives_drawdebuglinefortime" },
    { 0x46A6, "interactteam" },
    { 0x46A7, "interceptnotetracksforweaponswitch" },
    { 0x46A8, "interest_of_time_transition" },
    { 0x46A9, "interior_effects" },
    { 0x46AA, "interior_pa_vo" },
    { 0x46AB, "intermission_climbover" },
    { 0x46AC, "intermission_delay" },
    { 0x46AD, "intermission_vo" },
    { 0x46AE, "internalmain" },
    { 0x46AF, "interogatee" },
    { 0x46B0, "interroation_scene" },
    { 0x46B1, "interrupt_all_notifies" },
    { 0x46B2, "interrupt_ally_rotunda_kill" },
    { 0x46B3, "interrupt_current_vo" },
    { 0x46B4, "interrupt_dist" },
    { 0x46B5, "interrupt_level" },
    { 0x46B6, "interrupt_rotunda_kill" },
    { 0x46B7, "interrupt_sound" },
    { 0x46B8, "interrupt_vo" },
    { 0x46B9, "interruptdeath" },
    { 0x46BA, "interrupted" },
    { 0x46BB, "interruptedanim" },
    { 0x46BC, "interruptedent" },
    { 0x46BD, "interrupter" },
    { 0x46BE, "intransit" },
    { 0x46BF, "intro" },
    { 0x46C0, "intro_agent" },
    { 0x46C1, "intro_allies_killed_by_mig" },
    { 0x46C2, "intro_allies_vo" },
    { 0x46C3, "intro_ally_idle" },
    { 0x46C4, "intro_ambush_vo" },
    { 0x46C5, "intro_and_crash_site_ally_setup" },
    { 0x46C6, "intro_and_crash_site_ally_tanks" },
    { 0x46C7, "intro_anim_from" },
    { 0x46C8, "intro_anim_from_keegan" },
    { 0x46C9, "intro_anim_scene" },
    { 0x46CA, "intro_animated_scenes" },
    { 0x46CB, "intro_animated_scenes_sound" },
    { 0x46CC, "intro_anims" },
    { 0x46CD, "intro_anims_enemies" },
    { 0x46CE, "intro_background_c17" },
    { 0x46CF, "intro_baker" },
    { 0x46D0, "intro_baker_unlink" },
    { 0x46D1, "intro_balcony_guy" },
    { 0x46D2, "intro_ball" },
    { 0x46D3, "intro_begin" },
    { 0x46D4, "intro_binocs_check_look_target" },
    { 0x46D5, "intro_binocs_check_look_target_for_render" },
    { 0x46D6, "intro_binocs_inactive_nag_vo" },
    { 0x46D7, "intro_binocs_not_target_vo" },
    { 0x46D8, "intro_binocs_oracle_scanning_vo" },
    { 0x46D9, "intro_binocular_monitor" },
    { 0x46DA, "intro_binocular_scene" },
    { 0x46DB, "intro_binoculars_deactiveate_hint" },
    { 0x46DC, "intro_binoculars_hint" },
    { 0x46DD, "intro_binoculars_use_hint" },
    { 0x46DE, "intro_bins" },
    { 0x46DF, "intro_birds" },
    { 0x46E0, "intro_black" },
    { 0x46E1, "intro_black_screen" },
    { 0x46E2, "intro_bodydrag_guy" },
    { 0x46E3, "intro_building_check" },
    { 0x46E4, "intro_bunker_house_runners" },
    { 0x46E5, "intro_bunker_turrets" },
    { 0x46E6, "intro_bunker_turrets_fire" },
    { 0x46E7, "intro_bunker_waver" },
    { 0x46E8, "intro_bunker_waver_sound" },
    { 0x46E9, "intro_cargo_light_test" },
    { 0x46EA, "intro_catwalk_shooters" },
    { 0x46EB, "intro_check_binocular_activate" },
    { 0x46EC, "intro_check_binocular_deactivate" },
    { 0x46ED, "intro_check_binocular_range" },
    { 0x46EE, "intro_check_binocular_scan" },
    { 0x46EF, "intro_check_binocular_zoom" },
    { 0x46F0, "intro_checkpoint_vo" },
    { 0x46F1, "intro_chopper_fx" },
    { 0x46F2, "intro_cinematic" },
    { 0x46F3, "intro_cleanup" },
    { 0x46F4, "intro_cliff_tanks" },
    { 0x46F5, "intro_cmdr" },
    { 0x46F6, "intro_commander_waits" },
    { 0x46F7, "intro_common" },
    { 0x46F8, "intro_convoy" },
    { 0x46F9, "intro_detonation_sequence_fx" },
    { 0x46FA, "intro_dialgue" },
    { 0x46FB, "intro_dialogue" },
    { 0x46FC, "intro_dialogue_2" },
    { 0x46FD, "intro_dialogue_func" },
    { 0x46FE, "intro_display_introscreen" },
    { 0x46FF, "intro_dof" },
    { 0x4700, "intro_dog_guy" },
    { 0x4701, "intro_dog_pass_off" },
    { 0x4702, "intro_door" },
    { 0x4703, "intro_drive" },
    { 0x4704, "intro_ending" },
    { 0x4705, "intro_enemies" },
    { 0x4706, "intro_enemy10" },
    { 0x4707, "intro_enemy11" },
    { 0x4708, "intro_enemy12" },
    { 0x4709, "intro_enemy2" },
    { 0x470A, "intro_enemy3" },
    { 0x470B, "intro_enemy5" },
    { 0x470C, "intro_enemy7" },
    { 0x470D, "intro_enemy8" },
    { 0x470E, "intro_enemy9" },
    { 0x470F, "intro_enemy_scene" },
    { 0x4710, "intro_enemy_setup" },
    { 0x4711, "intro_ent_del" },
    { 0x4712, "intro_explosion" },
    { 0x4713, "intro_explosion2" },
    { 0x4714, "intro_fake_mortars" },
    { 0x4715, "intro_flavorburst" },
    { 0x4716, "intro_flyby_a10" },
    { 0x4717, "intro_fx" },
    { 0x4718, "intro_garage_drones" },
    { 0x4719, "intro_gear" },
    { 0x471A, "intro_grenades" },
    { 0x471B, "intro_gusts1" },
    { 0x471C, "intro_handler" },
    { 0x471D, "intro_headlamp_smash" },
    { 0x471E, "intro_heli" },
    { 0x471F, "intro_heli_land" },
    { 0x4720, "intro_heli_think" },
    { 0x4721, "intro_helis_overhead" },
    { 0x4722, "intro_hesco_runners" },
    { 0x4723, "intro_hesh_overlord_elias_dialog" },
    { 0x4724, "intro_hidetaglist" },
    { 0x4725, "intro_house_artemis" },
    { 0x4726, "intro_house_blocker_truck" },
    { 0x4727, "intro_house_blocker_truck_rangers" },
    { 0x4728, "intro_hvt" },
    { 0x4729, "intro_init" },
    { 0x472A, "intro_keegandrag_guy" },
    { 0x472B, "intro_logic" },
    { 0x472C, "intro_main" },
    { 0x472D, "intro_mask" },
    { 0x472E, "intro_masks" },
    { 0x472F, "intro_medic_osprey" },
    { 0x4730, "intro_migs" },
    { 0x4731, "intro_node" },
    { 0x4732, "intro_objectives" },
    { 0x4733, "intro_offse" },
    { 0x4734, "intro_offset" },
    { 0x4735, "intro_outlines" },
    { 0x4736, "intro_overlook_static" },
    { 0x4737, "intro_plane_flyby_01" },
    { 0x4738, "intro_player" },
    { 0x4739, "intro_player_blur" },
    { 0x473A, "intro_player_goggles_watersheeting_fx" },
    { 0x473B, "intro_player_nh90" },
    { 0x473C, "intro_player_stand" },
    { 0x473D, "intro_prep_vip_heli" },
    { 0x473E, "intro_pullup_truck_guys" },
    { 0x473F, "intro_pullup_trucks" },
    { 0x4740, "intro_rangers" },
    { 0x4741, "intro_rangers_aimers" },
    { 0x4742, "intro_rangers_pathing" },
    { 0x4743, "intro_rangers_scene" },
    { 0x4744, "intro_red_flickering_light" },
    { 0x4745, "intro_roof_door2" },
    { 0x4746, "intro_roof_node" },
    { 0x4747, "intro_rorke" },
    { 0x4748, "intro_rorke_gun" },
    { 0x4749, "intro_rumble" },
    { 0x474A, "intro_runners" },
    { 0x474B, "intro_save_check" },
    { 0x474C, "intro_scene" },
    { 0x474D, "intro_scene_player" },
    { 0x474E, "intro_screen_create" },
    { 0x474F, "intro_screen_custom_func" },
    { 0x4750, "intro_screen_custom_timing" },
    { 0x4751, "intro_screen_text_end" },
    { 0x4752, "intro_scripted_audio_fade_in_mixing" },
    { 0x4753, "intro_scripted_sequence" },
    { 0x4754, "intro_secondary_kill" },
    { 0x4755, "intro_secondary_scene_guys_think" },
    { 0x4756, "intro_sequence_enabled" },
    { 0x4757, "intro_sequence_precache" },
    { 0x4758, "intro_sequence_street" },
    { 0x4759, "intro_setup" },
    { 0x475A, "intro_shake1" },
    { 0x475B, "intro_shake2" },
    { 0x475C, "intro_shrapnel" },
    { 0x475D, "intro_skybridge_drones" },
    { 0x475E, "intro_skybridge_order_guy" },
    { 0x475F, "intro_spawn_functions" },
    { 0x4760, "intro_start" },
    { 0x4761, "intro_stealth_spotted_check" },
    { 0x4762, "intro_street_abrams" },
    { 0x4763, "intro_street_crossers" },
    { 0x4764, "intro_street_drones" },
    { 0x4765, "intro_struct" },
    { 0x4766, "intro_takedown_knife_notetrack_func" },
    { 0x4767, "intro_tank_foley" },
    { 0x4768, "intro_target_monitor" },
    { 0x4769, "intro_track_player_gunfire" },
    { 0x476A, "intro_transport_mover" },
    { 0x476B, "intro_turn_off_prop_bm21_1_lights_fx" },
    { 0x476C, "intro_turn_on_prop_bm21_1_lights_fx" },
    { 0x476D, "intro_turn_on_vehicle_drive_in_treadfx" },
    { 0x476E, "intro_turn_on_vehicle_underwater_lights_fx" },
    { 0x476F, "intro_tv_broken" },
    { 0x4770, "intro_vignette" },
    { 0x4771, "intro_vin_ln_1" },
    { 0x4772, "intro_vin_ln_2" },
    { 0x4773, "intro_vin_ln_3" },
    { 0x4774, "intro_vo" },
    { 0x4775, "intro_vo_team2_chopper_convo" },
    { 0x4776, "intro_wait_dog_attack" },
    { 0x4777, "intro_wait_dog_command" },
    { 0x4778, "intro_wait_spotted" },
    { 0x4779, "intro_watch" },
    { 0x477A, "introcp_guy_radio" },
    { 0x477B, "introcp_guys_remaining" },
    { 0x477C, "introcp_guys_tower" },
    { 0x477D, "introscreen" },
    { 0x477E, "introscreen_corner_line" },
    { 0x477F, "introscreen_display" },
    { 0x4780, "introscreen_done" },
    { 0x4781, "introscreen_feed_lines" },
    { 0x4782, "introscreen_flicker" },
    { 0x4783, "introscreen_generic_black_fade_in" },
    { 0x4784, "introscreen_generic_black_fade_in_on_flag" },
    { 0x4785, "introscreen_generic_fade_in" },
    { 0x4786, "introscreen_generic_fade_in_on_flag" },
    { 0x4787, "introscreen_hint" },
    { 0x4788, "introscreen_line_1" },
    { 0x4789, "introscreen_line_2" },
    { 0x478A, "introscreen_line_3" },
    { 0x478B, "introscreen_line_4" },
    { 0x478C, "introscreen_overlay" },
    { 0x478D, "intruderorigin" },
    { 0x478E, "inuse" },
    { 0x478F, "inuseby" },
    { 0x4790, "invalid_gameobject_mover" },
    { 0x4791, "invalidparentoverridecallback" },
    { 0x4792, "invasion_door_anim" },
    { 0x4793, "invasion_door_shut" },
    { 0x4794, "inventory" },
    { 0x4795, "inventory_array" },
    { 0x4796, "inventory_create" },
    { 0x4797, "inventory_destroy" },
    { 0x4798, "inventory_hide" },
    { 0x4799, "inventory_show" },
    { 0x479A, "inventroy_update" },
    { 0x479B, "inverted_baker_door" },
    { 0x479C, "inverted_kill_balcony_door_clip" },
    { 0x479D, "inverted_kill_enemies_setup" },
    { 0x479E, "inverted_kill_enemy_kills_player" },
    { 0x479F, "inverted_kill_too_close_vo" },
    { 0x47A0, "inverted_rappel" },
    { 0x47A1, "inverted_rappel_ally_idles" },
    { 0x47A2, "inverted_rappel_ally_movement" },
    { 0x47A3, "inverted_rappel_combat" },
    { 0x47A4, "inverted_rappel_movement_baker" },
    { 0x47A5, "inverted_rappel_movement_rorke" },
    { 0x47A6, "inverted_rappel_setup" },
    { 0x47A7, "inverted_rappel_startpoint" },
    { 0x47A8, "invincible" },
    { 0x47A9, "invul" },
    { 0x47AA, "invultime_onshield" },
    { 0x47AB, "invultime_postshield" },
    { 0x47AC, "invultime_preshield" },
    { 0x47AD, "inwater" },
    { 0x47AE, "inwaterwake" },
    { 0x47AF, "iplane_clean_up" },
    { 0x47B0, "iplane_crash" },
    { 0x47B1, "iplane_interrogation" },
    { 0x47B2, "iplane_start" },
    { 0x47B3, "iplane_start_dialogue" },
    { 0x47B4, "iplane_unload" },
    { 0x47B5, "is3d" },
    { 0x47B6, "is_after_start" },
    { 0x47B7, "is_ai_sight_line" },
    { 0x47B8, "is_aiming" },
    { 0x47B9, "is_akimbo_weapon" },
    { 0x47BA, "is_alien_agent" },
    { 0x47BB, "is_aliens" },
    { 0x47BC, "is_ambience_blend_valid" },
    { 0x47BD, "is_ammo_already_stored" },
    { 0x47BE, "is_anim_based_death" },
    { 0x47BF, "is_apache_player" },
    { 0x47C0, "is_array_close" },
    { 0x47C1, "is_available" },
    { 0x47C2, "is_behind_player" },
    { 0x47C3, "is_being_revived" },
    { 0x47C4, "is_blocker_hive" },
    { 0x47C5, "is_breach_anim_loop_setup" },
    { 0x47C6, "is_breach_anim_single_setup" },
    { 0x47C7, "is_burning" },
    { 0x47C8, "is_calm_idling" },
    { 0x47C9, "is_change_stance_pressed" },
    { 0x47CA, "is_collectible_item" },
    { 0x47CB, "is_collectible_loot" },
    { 0x47CC, "is_collectible_weapon" },
    { 0x47CD, "is_command_bound" },
    { 0x47CE, "is_completed" },
    { 0x47CF, "is_controlling_uav" },
    { 0x47D0, "is_coop" },
    { 0x47D1, "is_coop_online" },
    { 0x47D2, "is_corpse" },
    { 0x47D3, "is_createfx_type" },
    { 0x47D4, "is_currently_mg_target" },
    { 0x47D5, "is_cycle_repeated" },
    { 0x47D6, "is_damaged" },
    { 0x47D7, "is_damagefeedback_enabled" },
    { 0x47D8, "is_dead" },
    { 0x47D9, "is_dead_sentient" },
    { 0x47DA, "is_deathsdoor_audio_enabled" },
    { 0x47DB, "is_default_start" },
    { 0x47DC, "is_demo" },
    { 0x47DD, "is_demo_check" },
    { 0x47DE, "is_dodging" },
    { 0x47DF, "is_dog_attacking" },
    { 0x47E0, "is_dog_really_attacking" },
    { 0x47E1, "is_drone" },
    { 0x47E2, "is_drop_button_pressed" },
    { 0x47E3, "is_dummy" },
    { 0x47E4, "is_dying" },
    { 0x47E5, "is_dyn_ambience_valid" },
    { 0x47E6, "is_dynamic_path" },
    { 0x47E7, "is_e3" },
    { 0x47E8, "is_elite_attack" },
    { 0x47E9, "is_empty_string" },
    { 0x47EA, "is_equipment_valid" },
    { 0x47EB, "is_escape_sequence_active" },
    { 0x47EC, "is_exploding" },
    { 0x47ED, "is_explosive" },
    { 0x47EE, "is_fake" },
    { 0x47EF, "is_fake_zodiac" },
    { 0x47F0, "is_firing" },
    { 0x47F1, "is_first" },
    { 0x47F2, "is_first_start" },
    { 0x47F3, "is_frag_grenade" },
    { 0x47F4, "is_friendlyfire_event" },
    { 0x47F5, "is_from_animsound" },
    { 0x47F6, "is_gen4" },
    { 0x47F7, "is_goal_achieved" },
    { 0x47F8, "is_goal_reached_func" },
    { 0x47F9, "is_godmode" },
    { 0x47FA, "is_hardcore_mode" },
    { 0x47FB, "is_hero" },
    { 0x47FC, "is_hero_ai" },
    { 0x47FD, "is_hidden" },
    { 0x47FE, "is_hidden_from_heli" },
    { 0x47FF, "is_holding_deployable" },
    { 0x4800, "is_host" },
    { 0x4801, "is_hyena" },
    { 0x4802, "is_idling" },
    { 0x4803, "is_in_array" },
    { 0x4804, "is_in_callable_location" },
    { 0x4805, "is_in_laststand" },
    { 0x4806, "is_in_thermal_vision" },
    { 0x4807, "is_in_upload" },
    { 0x4808, "is_indoor_map" },
    { 0x4809, "is_invulnerable_from_ai" },
    { 0x480A, "is_item" },
    { 0x480B, "is_lastblast" },
    { 0x480C, "is_later_in_alphabet" },
    { 0x480D, "is_letter_valid_hit" },
    { 0x480E, "is_light_entity" },
    { 0x480F, "is_locked" },
    { 0x4810, "is_makerealai_active" },
    { 0x4811, "is_moving" },
    { 0x4812, "is_new_weapon" },
    { 0x4813, "is_no_game_start" },
    { 0x4814, "is_no_nerf" },
    { 0x4815, "is_node_script_origin" },
    { 0x4816, "is_node_script_struct" },
    { 0x4817, "is_normal_upright" },
    { 0x4818, "is_occupied" },
    { 0x4819, "is_on_fire" },
    { 0x481A, "is_on_heli" },
    { 0x481B, "is_on_rope" },
    { 0x481C, "is_out" },
    { 0x481D, "is_overrode" },
    { 0x481E, "is_pain_available" },
    { 0x481F, "is_part" },
    { 0x4820, "is_path_end_node" },
    { 0x4821, "is_path_mid_node" },
    { 0x4822, "is_path_start_node" },
    { 0x4823, "is_perk_set" },
    { 0x4824, "is_pet" },
    { 0x4825, "is_player_down" },
    { 0x4826, "is_player_down_and_out" },
    { 0x4827, "is_player_eye_underwater" },
    { 0x4828, "is_player_gamepad_enabled" },
    { 0x4829, "is_player_locked_on" },
    { 0x482A, "is_player_on_controller" },
    { 0x482B, "is_player_right" },
    { 0x482C, "is_playing" },
    { 0x482D, "is_playing_initial_blocker_anim" },
    { 0x482E, "is_playing_locked_on_sound" },
    { 0x482F, "is_position_in_group" },
    { 0x4830, "is_precalculated_entrance" },
    { 0x4831, "is_pyramid_spawner" },
    { 0x4832, "is_rappelling" },
    { 0x4833, "is_resource_set" },
    { 0x4834, "is_rider" },
    { 0x4835, "is_roomtype_valid" },
    { 0x4836, "is_running_alley_stuff" },
    { 0x4837, "is_safe_spawn_location" },
    { 0x4838, "is_score_a_greater_than_b" },
    { 0x4839, "is_script_vehicle_selfremove" },
    { 0x483A, "is_setup" },
    { 0x483B, "is_shotgun_damage" },
    { 0x483C, "is_small" },
    { 0x483D, "is_so" },
    { 0x483E, "is_spawn_debug_info_requested" },
    { 0x483F, "is_special_death" },
    { 0x4840, "is_specialop" },
    { 0x4841, "is_spitter_gas" },
    { 0x4842, "is_spitter_spit" },
    { 0x4843, "is_strafing" },
    { 0x4844, "is_survival" },
    { 0x4845, "is_targeted" },
    { 0x4846, "is_targeting" },
    { 0x4847, "is_the_player" },
    { 0x4848, "is_tracking_underwater_melee_kill_achievement" },
    { 0x4849, "is_trigger_once" },
    { 0x484A, "is_true" },
    { 0x484B, "is_turret_enabled" },
    { 0x484C, "is_unlocked" },
    { 0x484D, "is_updating" },
    { 0x484E, "is_using_forcegoal_radius" },
    { 0x484F, "is_using_killstreak" },
    { 0x4850, "is_valid_achievement" },
    { 0x4851, "is_valid_clientside_exploder_name" },
    { 0x4852, "is_valid_cratetype" },
    { 0x4853, "is_valid_damagetype" },
    { 0x4854, "is_valid_droptype" },
    { 0x4855, "is_valid_perk" },
    { 0x4856, "is_valid_player" },
    { 0x4857, "is_valid_spawn_node_for_type" },
    { 0x4858, "is_valid_spit_target" },
    { 0x4859, "is_valid_swipe_position" },
    { 0x485A, "is_valid_unlock" },
    { 0x485B, "is_valid_weapon_hit" },
    { 0x485C, "is_view_linked" },
    { 0x485D, "is_visable" },
    { 0x485E, "is_vo_system_playing" },
    { 0x485F, "is_weight_a_less_than_b" },
    { 0x4860, "isactive" },
    { 0x4861, "isactivekillstreakpoolrestricted" },
    { 0x4862, "isadeadman" },
    { 0x4863, "isadestructable" },
    { 0x4864, "isads" },
    { 0x4865, "isagent" },
    { 0x4866, "isaifunc" },
    { 0x4867, "isaigameparticipant" },
    { 0x4868, "isairdenied" },
    { 0x4869, "isairdrop" },
    { 0x486A, "isairdropmarker" },
    { 0x486B, "isairplane" },
    { 0x486C, "isaiteamparticipant" },
    { 0x486D, "isalientrapturret" },
    { 0x486E, "isalienturret" },
    { 0x486F, "isalliedcountryid" },
    { 0x4870, "isallteamstreak" },
    { 0x4871, "isaltmodeweapon" },
    { 0x4872, "isanimating" },
    { 0x4873, "isanimblocked" },
    { 0x4874, "isanimdeltaingoal" },
    { 0x4875, "isanyenemylockedontome" },
    { 0x4876, "isanymissilefiredonme" },
    { 0x4877, "isarena" },
    { 0x4878, "isassaultkillstreak" },
    { 0x4879, "isatbrinkofdeath" },
    { 0x487A, "isatleast" },
    { 0x487B, "isatmost" },
    { 0x487C, "isatmostwithhalfplayedtime" },
    { 0x487D, "isattachment" },
    { 0x487E, "isattachmentsniperscopedefault" },
    { 0x487F, "isattachmentsniperscopedefaulttokenized" },
    { 0x4880, "isattachmentunlocked" },
    { 0x4881, "isattackervalid" },
    { 0x4882, "isattackerwithindist" },
    { 0x4883, "isattacking" },
    { 0x4884, "isavailable" },
    { 0x4885, "isawardexclusive" },
    { 0x4886, "isawardflag" },
    { 0x4887, "isbombcarrier" },
    { 0x4888, "isbombsiteweapon" },
    { 0x4889, "isboosted" },
    { 0x488A, "isbreaching" },
    { 0x488B, "isbuffequippedonweapon" },
    { 0x488C, "isbuffunlockedforweapon" },
    { 0x488D, "isbulletdamage" },
    { 0x488E, "isbulletweapon" },
    { 0x488F, "iscacprimaryweapon" },
    { 0x4890, "iscacsecondaryweapon" },
    { 0x4891, "iscallouttypeconcat" },
    { 0x4892, "iscallouttypeqa" },
    { 0x4893, "iscallouttypereport" },
    { 0x4894, "iscamounlocked" },
    { 0x4895, "iscapturingcrate" },
    { 0x4896, "iscarrying" },
    { 0x4897, "iscarrykillstreak" },
    { 0x4898, "ischallengeunlocked" },
    { 0x4899, "ischangingweapon" },
    { 0x489A, "ischeap" },
    { 0x489B, "ischeapshieldenabled" },
    { 0x489C, "iscombatpathnode" },
    { 0x489D, "iscombatready" },
    { 0x489E, "iscombatscriptnode" },
    { 0x489F, "iscooked" },
    { 0x48A0, "iscqbwalking" },
    { 0x48A1, "iscqbwalkingorfacingenemy" },
    { 0x48A2, "iscrawldeltaallowed" },
    { 0x48A3, "iscrushing" },
    { 0x48A4, "iscurrentlyholdingkillstreakweapon" },
    { 0x48A5, "iscustomanimating" },
    { 0x48A6, "iscutdown" },
    { 0x48A7, "isdefined_and_alive" },
    { 0x48A8, "isdefusing" },
    { 0x48A9, "isdeltaallowed" },
    { 0x48AA, "isdeserteagle" },
    { 0x48AB, "isdestroyed" },
    { 0x48AC, "isdestructible" },
    { 0x48AD, "isdestructibleweapon" },
    { 0x48AE, "isdoground" },
    { 0x48AF, "isdoingsplash" },
    { 0x48B0, "isdrone" },
    { 0x48B1, "isdummytarget" },
    { 0x48B2, "isemped" },
    { 0x48B3, "isempgrenaded" },
    { 0x48B4, "isenemylockedontome" },
    { 0x48B5, "isenemyvisiblefromexposed" },
    { 0x48B6, "isentity" },
    { 0x48B7, "isenvironmentweapon" },
    { 0x48B8, "isexcluded" },
    { 0x48B9, "isexploding" },
    { 0x48BA, "isexplosivedangeroustoplayer" },
    { 0x48BB, "isexposed" },
    { 0x48BC, "isfacing" },
    { 0x48BD, "isferal" },
    { 0x48BE, "isfiltered" },
    { 0x48BF, "isfiring" },
    { 0x48C0, "isfiringa10" },
    { 0x48C1, "isfirstround" },
    { 0x48C2, "isflankkill" },
    { 0x48C3, "isflashbanged" },
    { 0x48C4, "isflashed" },
    { 0x48C5, "isflashing" },
    { 0x48C6, "isfloat" },
    { 0x48C7, "isflyingkillstreak" },
    { 0x48C8, "isfmjdamage" },
    { 0x48C9, "isfriendlyfire" },
    { 0x48CA, "isfriendlyteam" },
    { 0x48CB, "isfriendlytobox" },
    { 0x48CC, "isfriendlytoims" },
    { 0x48CD, "isfriendlytosentry" },
    { 0x48CE, "isgameparticipant" },
    { 0x48CF, "isgimme" },
    { 0x48D0, "isgrenade" },
    { 0x48D1, "ishackweapon" },
    { 0x48D2, "isheadshot" },
    { 0x48D3, "ishealthboosted" },
    { 0x48D4, "ishealthregendisabled" },
    { 0x48D5, "ishelicopter" },
    { 0x48D6, "ishighestscoringplayer" },
    { 0x48D7, "isholdingdeployablebox" },
    { 0x48D8, "isholdinggrenade" },
    { 0x48D9, "ishome" },
    { 0x48DA, "isinarray" },
    { 0x48DB, "isinbound" },
    { 0x48DC, "isinbound_single" },
    { 0x48DD, "isinboundingspere" },
    { 0x48DE, "isincombat" },
    { 0x48DF, "isincontact" },
    { 0x48E0, "isindoor" },
    { 0x48E1, "isinitialinfected" },
    { 0x48E2, "isinkillcam" },
    { 0x48E3, "isinrange" },
    { 0x48E4, "isinremotenodeploy" },
    { 0x48E5, "isinset" },
    { 0x48E6, "isinunlocktable" },
    { 0x48E7, "isinventoryweapon" },
    { 0x48E8, "isinzone" },
    { 0x48E9, "isitem" },
    { 0x48EA, "isjuggernaut" },
    { 0x48EB, "isjuggernautdef" },
    { 0x48EC, "isjuggernautgl" },
    { 0x48ED, "isjuggernautmaniac" },
    { 0x48EE, "isjuggernautrecon" },
    { 0x48EF, "isjuggernautweapon" },
    { 0x48F0, "isjuggmodejuggernaut" },
    { 0x48F1, "isjuiced" },
    { 0x48F2, "iskillstreak" },
    { 0x48F3, "iskillstreakaffectedbyemp" },
    { 0x48F4, "iskillstreakaffectedbyjammer" },
    { 0x48F5, "iskillstreakchallenge" },
    { 0x48F6, "iskillstreakdenied" },
    { 0x48F7, "iskillstreakweapon" },
    { 0x48F8, "isknifeonly" },
    { 0x48F9, "isknownenemyinradius_tmp" },
    { 0x48FA, "island_door_shut" },
    { 0x48FB, "island_drone_anim_helper" },
    { 0x48FC, "island_drone_anim_wounded" },
    { 0x48FD, "islaptoptimeoutkillstreak" },
    { 0x48FE, "islaserguidedmissile" },
    { 0x48FF, "islastnode" },
    { 0x4900, "islastrestxpaward" },
    { 0x4901, "islastround" },
    { 0x4902, "isleaving" },
    { 0x4903, "islinked" },
    { 0x4904, "islinkedto" },
    { 0x4905, "islockedon" },
    { 0x4906, "islockedontarget" },
    { 0x4907, "islongrangeai" },
    { 0x4908, "islongshot" },
    { 0x4909, "islookingatorigin" },
    { 0x490A, "isloot" },
    { 0x490B, "islowthrowsafe" },
    { 0x490C, "ismagicbullet" },
    { 0x490D, "ismembersaying" },
    { 0x490E, "ismidstarted" },
    { 0x490F, "isminitarget" },
    { 0x4910, "ismissile" },
    { 0x4911, "ismissiletargeted" },
    { 0x4912, "ismoddedroundgame" },
    { 0x4913, "ismoving" },
    { 0x4914, "ismultiaward" },
    { 0x4915, "isneargrenade" },
    { 0x4916, "isnodecover3d" },
    { 0x4917, "isnodecoverleft" },
    { 0x4918, "isnodecovermulticorner" },
    { 0x4919, "isnodecoverorconceal" },
    { 0x491A, "isnodecoverright" },
    { 0x491B, "isnuked" },
    { 0x491C, "isobjectivebased" },
    { 0x491D, "isobstructed" },
    { 0x491E, "isoffhandweapon" },
    { 0x491F, "isoffhandweaponenabled" },
    { 0x4920, "isofficer" },
    { 0x4921, "isonemanarmymenu" },
    { 0x4922, "isonhumanteam" },
    { 0x4923, "isoperationchallenge" },
    { 0x4924, "isownercarepakage" },
    { 0x4925, "ispainted" },
    { 0x4926, "ispartiallysuppressedwrapper" },
    { 0x4927, "ispathclear" },
    { 0x4928, "ispathdataavailable" },
    { 0x4929, "ispathnode" },
    { 0x492A, "ispeekoutposclear" },
    { 0x492B, "isperformingmaneuver" },
    { 0x492C, "isperk" },
    { 0x492D, "isperkstreakon" },
    { 0x492E, "isperkupgraded" },
    { 0x492F, "isplaced" },
    { 0x4930, "isplanting" },
    { 0x4931, "isplatformweakfillrate" },
    { 0x4932, "isplayer" },
    { 0x4933, "isplayerincombat" },
    { 0x4934, "isplayerinlaststand" },
    { 0x4935, "isplayernearlocation" },
    { 0x4936, "isplayeroutsideofanybombsite" },
    { 0x4937, "isplayertimer" },
    { 0x4938, "isplayerweapon" },
    { 0x4939, "isplayingsolo" },
    { 0x493A, "ispowerweapon" },
    { 0x493B, "ispregameplaylevel" },
    { 0x493C, "isprimary" },
    { 0x493D, "isprimarydamage" },
    { 0x493E, "isprimaryweapon" },
    { 0x493F, "isprotectedbyriotshield" },
    { 0x4940, "isrambo" },
    { 0x4941, "israppelshooting" },
    { 0x4942, "isreactivated" },
    { 0x4943, "isreactivating" },
    { 0x4944, "isreadytofire" },
    { 0x4945, "isreallyalive" },
    { 0x4946, "isregisteredevent" },
    { 0x4947, "isrelativeteam" },
    { 0x4948, "isreloading" },
    { 0x4949, "isrepairing" },
    { 0x494A, "isresetting" },
    { 0x494B, "isrested" },
    { 0x494C, "isreviving" },
    { 0x494D, "isridekillstreak" },
    { 0x494E, "isriotshield" },
    { 0x494F, "isrocketcorpse" },
    { 0x4950, "isroundbased" },
    { 0x4951, "isrpd" },
    { 0x4952, "issafetospawnon" },
    { 0x4953, "issameteam" },
    { 0x4954, "isscoring" },
    { 0x4955, "isscriptmodel" },
    { 0x4956, "isselectableweapon" },
    { 0x4957, "issentient" },
    { 0x4958, "issentry" },
    { 0x4959, "issentrygun" },
    { 0x495A, "issetup" },
    { 0x495B, "isshooting" },
    { 0x495C, "isshotgun" },
    { 0x495D, "isshotgunai" },
    { 0x495E, "isshown" },
    { 0x495F, "issidearm" },
    { 0x4960, "issliding" },
    { 0x4961, "issniper" },
    { 0x4962, "issniperrifle" },
    { 0x4963, "issp" },
    { 0x4964, "issp_towerdefense" },
    { 0x4965, "isspaceai" },
    { 0x4966, "isspawningonbattlebuddy" },
    { 0x4967, "isspeakerinrange" },
    { 0x4968, "isspeaking" },
    { 0x4969, "isspeakingfailsafe" },
    { 0x496A, "isspecialist" },
    { 0x496B, "isspecialistkillstreak" },
    { 0x496C, "isspecialround" },
    { 0x496D, "issquad" },
    { 0x496E, "isstanceallowedwrapper" },
    { 0x496F, "isstataward" },
    { 0x4970, "isstationary" },
    { 0x4971, "isstrstart" },
    { 0x4972, "isstuck" },
    { 0x4973, "issuccessfunc" },
    { 0x4974, "issue_color_order_to_ai" },
    { 0x4975, "issue_color_orders" },
    { 0x4976, "issue_leave_node_order_to_ai_and_get_ai" },
    { 0x4977, "issuffix" },
    { 0x4978, "issupportkillstreak" },
    { 0x4979, "issuppressedwrapper" },
    { 0x497A, "isswitchingteams" },
    { 0x497B, "istactical" },
    { 0x497C, "istakingdamage" },
    { 0x497D, "istank" },
    { 0x497E, "istarget" },
    { 0x497F, "istargetingoff" },
    { 0x4980, "istatechange" },
    { 0x4981, "isteam" },
    { 0x4982, "isteaminlaststand" },
    { 0x4983, "isteamintelcomplete" },
    { 0x4984, "isteamparticipant" },
    { 0x4985, "isteamsaying" },
    { 0x4986, "isteamspeaking" },
    { 0x4987, "isteamswitchbalanced" },
    { 0x4988, "isthreatenedbyenemy" },
    { 0x4989, "isthresholdaward" },
    { 0x498A, "isthrowableitem" },
    { 0x498B, "istopbarrage" },
    { 0x498C, "istouchinglinktos" },
    { 0x498D, "istouchingrangetrigger" },
    { 0x498E, "istouchingtrigger" },
    { 0x498F, "istrackingtarget" },
    { 0x4990, "istrue" },
    { 0x4991, "isturret" },
    { 0x4992, "isusabilityenabled" },
    { 0x4993, "isusable" },
    { 0x4994, "isusinghelisniper" },
    { 0x4995, "isusingremote" },
    { 0x4996, "isusingsamevoice" },
    { 0x4997, "isusingvanguard" },
    { 0x4998, "isvalidalienweapon" },
    { 0x4999, "isvalidattachment" },
    { 0x499A, "isvalidbattlebuddy" },
    { 0x499B, "isvalidcamo" },
    { 0x499C, "isvalidclass" },
    { 0x499D, "isvaliddamagecause" },
    { 0x499E, "isvalidequipment" },
    { 0x499F, "isvalidevent" },
    { 0x49A0, "isvalidffatarget" },
    { 0x49A1, "isvalidkillstreak" },
    { 0x49A2, "isvalidoffhand" },
    { 0x49A3, "isvalidperk1" },
    { 0x49A4, "isvalidperk2" },
    { 0x49A5, "isvalidperk3" },
    { 0x49A6, "isvalidprimary" },
    { 0x49A7, "isvalidreticle" },
    { 0x49A8, "isvalidsecondary" },
    { 0x49A9, "isvalidsoundcause" },
    { 0x49AA, "isvalidstartpoint" },
    { 0x49AB, "isvalidteamtarget" },
    { 0x49AC, "isvalidtispawnposition" },
    { 0x49AD, "isvalidweapon" },
    { 0x49AE, "isvalidweaponbuff" },
    { 0x49AF, "isvehicle" },
    { 0x49B0, "isvehicleattached" },
    { 0x49B1, "isvehicletarget" },
    { 0x49B2, "isweapon" },
    { 0x49B3, "isweaponaffectedbyblastshield" },
    { 0x49B4, "isweaponbuffunlocked" },
    { 0x49B5, "isweaponchallenge" },
    { 0x49B6, "isweaponenabled" },
    { 0x49B7, "isweaponinitialized" },
    { 0x49B8, "isweaponmaxrank" },
    { 0x49B9, "isweaponswitchenabled" },
    { 0x49BA, "item_bob" },
    { 0x49BB, "item_ent" },
    { 0x49BC, "item_ent_2" },
    { 0x49BD, "item_exist" },
    { 0x49BE, "item_locs" },
    { 0x49BF, "item_min_distance_from_players" },
    { 0x49C0, "item_outline" },
    { 0x49C1, "item_outline_drill_monitor" },
    { 0x49C2, "item_outline_pillage" },
    { 0x49C3, "item_outline_weapon_monitor" },
    { 0x49C4, "item_pickup_listener" },
    { 0x49C5, "item_ref" },
    { 0x49C6, "item_spin" },
    { 0x49C7, "itemexplodethisframe" },
    { 0x49C8, "itemremoveammofromaltmodes" },
    { 0x49C9, "iw6credithudelem" },
    { 0x49CA, "iw6credithudthreads" },
    { 0x49CB, "iw6formatting" },
    { 0x49CC, "jackpot_tag" },
    { 0x49CD, "jackpot_targetfx" },
    { 0x49CE, "jackpot_zone" },
    { 0x49CF, "jackpotpileicon" },
    { 0x49D0, "jackpotpileobjid" },
    { 0x49D1, "javelin" },
    { 0x49D2, "javelin_check_decent" },
    { 0x49D3, "javelin_dof" },
    { 0x49D4, "javelin_smarttargeting" },
    { 0x49D5, "javelin_target_death" },
    { 0x49D6, "javelin_target_set" },
    { 0x49D7, "javelinlockfinalized" },
    { 0x49D8, "javelinlockmisses" },
    { 0x49D9, "javelinlockstarttime" },
    { 0x49DA, "javelinlockvehicle" },
    { 0x49DB, "javelinlostsightlinetime" },
    { 0x49DC, "javelinnormals" },
    { 0x49DD, "javelinpoints" },
    { 0x49DE, "javelinstage" },
    { 0x49DF, "javelintarget" },
    { 0x49E0, "javelintargetnormal" },
    { 0x49E1, "javelintargetpoint" },
    { 0x49E2, "javelintargets" },
    { 0x49E3, "javelinusageloop" },
    { 0x49E4, "javelinuseentered" },
    { 0x49E5, "javtargets" },
    { 0x49E6, "jeep" },
    { 0x49E7, "jeep1_by" },
    { 0x49E8, "jeep2" },
    { 0x49E9, "jeep2_by" },
    { 0x49EA, "jeep_ai" },
    { 0x49EB, "jeep_and_btr_appear" },
    { 0x49EC, "jeep_exit_bags" },
    { 0x49ED, "jeep_exit_logic" },
    { 0x49EE, "jeep_is_crashing" },
    { 0x49EF, "jeep_offset_anims" },
    { 0x49F0, "jeep_player_arms" },
    { 0x49F1, "jeep_player_arms_sub" },
    { 0x49F2, "jeep_ride_setup" },
    { 0x49F3, "jeep_speed_control" },
    { 0x49F4, "jeep_start_music" },
    { 0x49F5, "jeeps_by" },
    { 0x49F6, "jeeps_fire" },
    { 0x49F7, "jeeps_plane" },
    { 0x49F8, "jerk_check" },
    { 0x49F9, "jet_attack" },
    { 0x49FA, "jet_attack_1" },
    { 0x49FB, "jet_attack_2" },
    { 0x49FC, "jet_attack_3" },
    { 0x49FD, "jet_blast_shields" },
    { 0x49FE, "jet_engine_fx" },
    { 0x49FF, "jet_fast_flyby" },
    { 0x4A00, "jet_flash_fx_blink" },
    { 0x4A01, "jet_flash_fx_green" },
    { 0x4A02, "jet_flash_fx_red" },
    { 0x4A03, "jet_flight_time" },
    { 0x4A04, "jet_fly_vec" },
    { 0x4A05, "jet_flyby" },
    { 0x4A06, "jet_flyover" },
    { 0x4A07, "jet_flyto" },
    { 0x4A08, "jet_init" },
    { 0x4A09, "jet_parts" },
    { 0x4A0A, "jet_phalanx_spawn_function" },
    { 0x4A0B, "jet_phalanx_tracking" },
    { 0x4A0C, "jet_planesound" },
    { 0x4A0D, "jet_reset" },
    { 0x4A0E, "jet_takeoff1" },
    { 0x4A0F, "jet_takeoff2" },
    { 0x4A10, "jet_takeoff2_guys" },
    { 0x4A11, "jet_timer" },
    { 0x4A12, "jet_whine" },
    { 0x4A13, "jets_check_deleted" },
    { 0x4A14, "jets_launching" },
    { 0x4A15, "jg_enemy_ars" },
    { 0x4A16, "jg_enemy_smgs" },
    { 0x4A17, "jg_occupied" },
    { 0x4A18, "jiggle_disabled" },
    { 0x4A19, "jimmy_fade" },
    { 0x4A1A, "jittermove" },
    { 0x4A1B, "jkudebug" },
    { 0x4A1C, "jkuline" },
    { 0x4A1D, "jkupoint" },
    { 0x4A1E, "jkuprint" },
    { 0x4A1F, "jogwhenclosetoenemy" },
    { 0x4A20, "joining_team" },
    { 0x4A21, "joint1" },
    { 0x4A22, "joint2" },
    { 0x4A23, "jugg" },
    { 0x4A24, "juggernaut" },
    { 0x4A25, "juggernaut_disabled" },
    { 0x4A26, "juggernautcratethink" },
    { 0x4A27, "juggernautmaniacmod" },
    { 0x4A28, "juggernautmod" },
    { 0x4A29, "juggernautoverlay" },
    { 0x4A2A, "juggernautsounds" },
    { 0x4A2B, "juggmovespeedscaler" },
    { 0x4A2C, "juggremoveongameended" },
    { 0x4A2D, "juggremover" },
    { 0x4A2E, "juggsettings" },
    { 0x4A2F, "juggtype" },
    { 0x4A30, "juicedicon" },
    { 0x4A31, "juicedtimer" },
    { 0x4A32, "juicetime" },
    { 0x4A33, "jump" },
    { 0x4A34, "jump_anims" },
    { 0x4A35, "jump_distance_allowed" },
    { 0x4A36, "jump_into_water" },
    { 0x4A37, "jump_through_window_human" },
    { 0x4A38, "jump_to_cleanup" },
    { 0x4A39, "jump_type" },
    { 0x4A3A, "jumparms" },
    { 0x4A3B, "jumpcleanup" },
    { 0x4A3C, "jumpcomplete" },
    { 0x4A3D, "jumpdirection2d" },
    { 0x4A3E, "jumpdistance2d" },
    { 0x4A3F, "jumpdown_130_human" },
    { 0x4A40, "jumpgravity" },
    { 0x4A41, "jumpinternal" },
    { 0x4A42, "jumpintowater" },
    { 0x4A43, "jumplauncharrival_maxmovedelta" },
    { 0x4A44, "jumplaunchdirection" },
    { 0x4A45, "jumplaunchgrounddelta" },
    { 0x4A46, "jumplaunchinairanimlength" },
    { 0x4A47, "jumporient" },
    { 0x4A48, "jumppain" },
    { 0x4A49, "jumpspeed2d" },
    { 0x4A4A, "jumptime" },
    { 0x4A4B, "jumpvector" },
    { 0x4A4C, "jumpvector2d" },
    { 0x4A4D, "junction_airlock_door_open" },
    { 0x4A4E, "junction_airlock_rorke" },
    { 0x4A4F, "junction_ally_combat_state" },
    { 0x4A50, "junction_baker_open_elevator_control_room" },
    { 0x4A51, "junction_banners" },
    { 0x4A52, "junction_cameras" },
    { 0x4A53, "junction_elevator_control_doors_open" },
    { 0x4A54, "junction_elevator_control_panel" },
    { 0x4A55, "junction_elevator_control_panel_lights_off" },
    { 0x4A56, "junction_enemies" },
    { 0x4A57, "junction_enemy_setup" },
    { 0x4A58, "junction_fireworks" },
    { 0x4A59, "junction_handler" },
    { 0x4A5A, "junction_last_stand" },
    { 0x4A5B, "junction_pip_drone_think" },
    { 0x4A5C, "junction_pip_init" },
    { 0x4A5D, "junction_pip_scenario" },
    { 0x4A5E, "junction_pip_waver_drone" },
    { 0x4A5F, "junction_rorke_window" },
    { 0x4A60, "junction_vo" },
    { 0x4A61, "jungle_cleanup" },
    { 0x4A62, "jungle_corridor_start" },
    { 0x4A63, "jungle_enemies" },
    { 0x4A64, "jungle_enemy_logic" },
    { 0x4A65, "jungle_enemy_sfx" },
    { 0x4A66, "jungle_friendly_logic" },
    { 0x4A67, "jungle_hill_start" },
    { 0x4A68, "jungle_moving_foliage_settings" },
    { 0x4A69, "jungle_prespotted_func" },
    { 0x4A6A, "jungle_start" },
    { 0x4A6B, "jungle_stealth_custom_attack_func" },
    { 0x4A6C, "jungle_stealth_custom_warning_func" },
    { 0x4A6D, "jungle_stealth_settings" },
    { 0x4A6E, "jungle_vo" },
    { 0x4A6F, "jungleghosts_locations" },
    { 0x4A70, "justplayed" },
    { 0x4A71, "kb_locked" },
    { 0x4A72, "keegan" },
    { 0x4A73, "keegan_additional_drivein_anims" },
    { 0x4A74, "keegan_and_dog_frantic_loops" },
    { 0x4A75, "keegan_body_door_close" },
    { 0x4A76, "keegan_breach_anim" },
    { 0x4A77, "keegan_breach_enemies" },
    { 0x4A78, "keegan_breach_guys" },
    { 0x4A79, "keegan_drag_body" },
    { 0x4A7A, "keegan_drag_body2" },
    { 0x4A7B, "keegan_enter" },
    { 0x4A7C, "keegan_enter_truck_scene" },
    { 0x4A7D, "keegan_enter_veh" },
    { 0x4A7E, "keegan_fire_l" },
    { 0x4A7F, "keegan_fire_r" },
    { 0x4A80, "keegan_goes_behind_the_door" },
    { 0x4A81, "keegan_gun_l" },
    { 0x4A82, "keegan_gun_r" },
    { 0x4A83, "keegan_idle_with_bishop" },
    { 0x4A84, "keegan_kill_dialog" },
    { 0x4A85, "keegan_light_flashlight" },
    { 0x4A86, "keegan_shoot_guys" },
    { 0x4A87, "keegan_shoot_next" },
    { 0x4A88, "keegan_shoots_a_guy" },
    { 0x4A89, "keegan_shots_so_far" },
    { 0x4A8A, "keegan_sniper_logic" },
    { 0x4A8B, "keegan_snipes" },
    { 0x4A8C, "keegan_stands_behind_desk" },
    { 0x4A8D, "keegan_start_at_button" },
    { 0x4A8E, "keegan_swap_head_to_mask" },
    { 0x4A8F, "keegan_throw_gas" },
    { 0x4A90, "keegan_tinkers_with_rifle" },
    { 0x4A91, "keegan_turn_left_anims" },
    { 0x4A92, "keegan_turn_left_anims_rush" },
    { 0x4A93, "keegan_turn_right_anims" },
    { 0x4A94, "keegan_turn_right_anims_rush" },
    { 0x4A95, "keegan_unhide_flashlight" },
    { 0x4A96, "keegandrag_death_damage_watcher" },
    { 0x4A97, "keep_after_death" },
    { 0x4A98, "keep_dog_threat" },
    { 0x4A99, "keep_player_below_surface" },
    { 0x4A9A, "keep_track_of_nvg_light" },
    { 0x4A9B, "keep_up_with_player" },
    { 0x4A9C, "keep_up_with_player_reset" },
    { 0x4A9D, "keepcrouched" },
    { 0x4A9E, "keepemptimeremaining" },
    { 0x4A9F, "keepiconpositioned" },
    { 0x4AA0, "keepnukeemptimeremaining" },
    { 0x4AA1, "keeppositioned" },
    { 0x4AA2, "keeppursuingtargetradiussq" },
    { 0x4AA3, "keeptryingtomelee" },
    { 0x4AA4, "keepweapons" },
    { 0x4AA5, "kersey_anim_org" },
    { 0x4AA6, "key_failsafe" },
    { 0x4AA7, "key_hint_print" },
    { 0x4AA8, "keyframes" },
    { 0x4AA9, "keyhint" },
    { 0x4AAA, "keyobject" },
    { 0x4AAB, "keytext" },
    { 0x4AAC, "kick_breach_anim" },
    { 0x4AAD, "kick_bully_logic" },
    { 0x4AAE, "kick_civ_logic" },
    { 0x4AAF, "kickifdontspawn" },
    { 0x4AB0, "kickwait" },
    { 0x4AB1, "kid" },
    { 0x4AB2, "kill_10_in_30_timer" },
    { 0x4AB3, "kill_above_water_fx" },
    { 0x4AB4, "kill_after_anim" },
    { 0x4AB5, "kill_after_time" },
    { 0x4AB6, "kill_after_vignette" },
    { 0x4AB7, "kill_all_enemies" },
    { 0x4AB8, "kill_all_players_trigger" },
    { 0x4AB9, "kill_allies" },
    { 0x4ABA, "kill_allies_on_next_shot" },
    { 0x4ABB, "kill_ally1_submerge_bubbles" },
    { 0x4ABC, "kill_ally_in_volume" },
    { 0x4ABD, "kill_angles_when_anim_done" },
    { 0x4ABE, "kill_anim_guy" },
    { 0x4ABF, "kill_badplace" },
    { 0x4AC0, "kill_barriers_when_close" },
    { 0x4AC1, "kill_bridge_guys" },
    { 0x4AC2, "kill_checkpointb_guy" },
    { 0x4AC3, "kill_color_replacements" },
    { 0x4AC4, "kill_crate_guy" },
    { 0x4AC5, "kill_damage" },
    { 0x4AC6, "kill_death_anim_thread" },
    { 0x4AC7, "kill_death_anim_thread_picked" },
    { 0x4AC8, "kill_deathflag" },
    { 0x4AC9, "kill_deathflag_in_area" },
    { 0x4ACA, "kill_deathflag_proc" },
    { 0x4ACB, "kill_drone" },
    { 0x4ACC, "kill_drone_respawner" },
    { 0x4ACD, "kill_dude" },
    { 0x4ACE, "kill_during_vignette" },
    { 0x4ACF, "kill_ending_heli_fx" },
    { 0x4AD0, "kill_enemies" },
    { 0x4AD1, "kill_enemies_touching_trigger" },
    { 0x4AD2, "kill_enemy_at_arm_node" },
    { 0x4AD3, "kill_estimates_vo" },
    { 0x4AD4, "kill_fire" },
    { 0x4AD5, "kill_flicker_when_damaged" },
    { 0x4AD6, "kill_fx" },
    { 0x4AD7, "kill_fx_thread" },
    { 0x4AD8, "kill_guy_at_end_of_anim" },
    { 0x4AD9, "kill_guys_left" },
    { 0x4ADA, "kill_guys_near_rpg" },
    { 0x4ADB, "kill_guys_right" },
    { 0x4ADC, "kill_heli" },
    { 0x4ADD, "kill_heli_engine_sounds" },
    { 0x4ADE, "kill_heli_logic" },
    { 0x4ADF, "kill_help_hanging_guy" },
    { 0x4AE0, "kill_hinds" },
    { 0x4AE1, "kill_hive_burning_on_death" },
    { 0x4AE2, "kill_infil_enemies" },
    { 0x4AE3, "kill_intro_chopper" },
    { 0x4AE4, "kill_jolt" },
    { 0x4AE5, "kill_lights" },
    { 0x4AE6, "kill_lookat_on_cave_enter" },
    { 0x4AE7, "kill_me_from_closest_enemy" },
    { 0x4AE8, "kill_me_now" },
    { 0x4AE9, "kill_melee_reward_money" },
    { 0x4AEA, "kill_my_fx" },
    { 0x4AEB, "kill_objects" },
    { 0x4AEC, "kill_on_failsafe" },
    { 0x4AED, "kill_on_river_crossing_back_track" },
    { 0x4AEE, "kill_over_time" },
    { 0x4AEF, "kill_player" },
    { 0x4AF0, "kill_player_if_go_back_or_not_moving" },
    { 0x4AF1, "kill_player_on_touch" },
    { 0x4AF2, "kill_player_with_tanks" },
    { 0x4AF3, "kill_players_touching_ent" },
    { 0x4AF4, "kill_pt3_enemies_on_player_jump" },
    { 0x4AF5, "kill_remaining_gunboats" },
    { 0x4AF6, "kill_reward_money" },
    { 0x4AF7, "kill_riders" },
    { 0x4AF8, "kill_safe" },
    { 0x4AF9, "kill_sentry_on_carrier_disconnect" },
    { 0x4AFA, "kill_sequence" },
    { 0x4AFB, "kill_sfx_dam_sirens" },
    { 0x4AFC, "kill_spawner" },
    { 0x4AFD, "kill_spawnernum" },
    { 0x4AFE, "kill_spawners_per_checkpoint" },
    { 0x4AFF, "kill_streak" },
    { 0x4B00, "kill_target" },
    { 0x4B01, "kill_timer" },
    { 0x4B02, "kill_trig" },
    { 0x4B03, "kill_trigger" },
    { 0x4B04, "kill_trigger_linked" },
    { 0x4B05, "kill_trigger_setup" },
    { 0x4B06, "kill_trigger_spawn_init" },
    { 0x4B07, "kill_vehicle_spawner" },
    { 0x4B08, "kill_vehicle_spawners_now" },
    { 0x4B09, "kill_wrapper" },
    { 0x4B0A, "kill_zodiac_fx_idle" },
    { 0x4B0B, "killagent" },
    { 0x4B0C, "killcam" },
    { 0x4B0D, "killcamcleanup" },
    { 0x4B0E, "killcament" },
    { 0x4B0F, "killcamentnum" },
    { 0x4B10, "killcamlength" },
    { 0x4B11, "killcamoffset" },
    { 0x4B12, "killchains" },
    { 0x4B13, "killcount" },
    { 0x4B14, "killdeathanimating" },
    { 0x4B15, "killdog" },
    { 0x4B16, "killedaxis" },
    { 0x4B17, "killedbestenemyplayer" },
    { 0x4B18, "killedby" },
    { 0x4B19, "killedinuse" },
    { 0x4B1A, "killedplayer" },
    { 0x4B1B, "killedplayernotifysys" },
    { 0x4B1C, "killedplayers" },
    { 0x4B1D, "killedplayerscurrent" },
    { 0x4B1E, "killedself" },
    { 0x4B1F, "killfirm_suffix" },
    { 0x4B20, "killguysnearcrates" },
    { 0x4B21, "killidleanim" },
    { 0x4B22, "killing_will_down" },
    { 0x4B23, "killplayer" },
    { 0x4B24, "killplayerfromcrate_dodamage" },
    { 0x4B25, "killplayerfromcrate_fastvelocitypush" },
    { 0x4B26, "kills_col" },
    { 0x4B27, "killsasinfected" },
    { 0x4B28, "killsassurvivor" },
    { 0x4B29, "killself" },
    { 0x4B2A, "killshouldaddtokillstreak" },
    { 0x4B2B, "killsinaframecount" },
    { 0x4B2C, "killspawn_groups" },
    { 0x4B2D, "killspawner" },
    { 0x4B2E, "killsthislife" },
    { 0x4B2F, "killstreak_botcanuse" },
    { 0x4B30, "killstreak_botfunc" },
    { 0x4B31, "killstreak_botparm" },
    { 0x4B32, "killstreak_global_bp_exists_for" },
    { 0x4B33, "killstreak_info" },
    { 0x4B34, "killstreakconfigdata" },
    { 0x4B35, "killstreakcratethink" },
    { 0x4B36, "killstreakcratethinkhorde" },
    { 0x4B37, "killstreakearned" },
    { 0x4B38, "killstreakfuncs" },
    { 0x4B39, "killstreakhit" },
    { 0x4B3A, "killstreakindexweapon" },
    { 0x4B3B, "killstreakinit" },
    { 0x4B3C, "killstreakkilled" },
    { 0x4B3D, "killstreakkilled_regularmp" },
    { 0x4B3E, "killstreakrewards" },
    { 0x4B3F, "killstreakrounddelay" },
    { 0x4B40, "killstreaks" },
    { 0x4B41, "killstreaks_array" },
    { 0x4B42, "killstreakscaler" },
    { 0x4B43, "killstreaksdisabled" },
    { 0x4B44, "killstreaksetupfuncs" },
    { 0x4B45, "killstreakspawnshield" },
    { 0x4B46, "killstreaksplashnotify" },
    { 0x4B47, "killstreakthink" },
    { 0x4B48, "killstreaktype" },
    { 0x4B49, "killstreakusepressed" },
    { 0x4B4A, "killstreakusewaiter" },
    { 0x4B4B, "killstreakweapons" },
    { 0x4B4C, "killstreakweildweapons" },
    { 0x4B4D, "killteaminlaststand" },
    { 0x4B4E, "killtimer" },
    { 0x4B4F, "killtrigger" },
    { 0x4B50, "killtriggerspawnlocs" },
    { 0x4B51, "killwrapper" },
    { 0x4B52, "killxp" },
    { 0x4B53, "killz" },
    { 0x4B54, "kinetic_damping_factor" },
    { 0x4B55, "kitchenette_guy_continue" },
    { 0x4B56, "kitchenette_guy_spooked" },
    { 0x4B57, "knife" },
    { 0x4B58, "knife_guy_cleanup" },
    { 0x4B59, "knife_guy_stabs_player" },
    { 0x4B5A, "knife_out_rorke_anims" },
    { 0x4B5B, "knife_reticle" },
    { 0x4B5C, "knife_trigger" },
    { 0x4B5D, "knife_victim_death_func" },
    { 0x4B5E, "knifevariables" },
    { 0x4B5F, "knock_down_player_coop" },
    { 0x4B60, "knock_player_with_raise" },
    { 0x4B61, "knockback_hesh" },
    { 0x4B62, "knockback_player" },
    { 0x4B63, "knockoutofads" },
    { 0x4B64, "ks_laserguidedmissile_handleincoming" },
    { 0x4B65, "ks_laserguidedmissile_monitorproximity" },
    { 0x4B66, "ks_manualflares_handleincoming" },
    { 0x4B67, "ks_manualflares_monitorproximity" },
    { 0x4B68, "ks_manualflares_watchuse" },
    { 0x4B69, "ks_setup_manual_flares" },
    { 0x4B6A, "ks_watch_death_stop_sound" },
    { 0x4B6B, "kyra_escape_move_bags" },
    { 0x4B6C, "la_river_defend_missile_dist_check" },
    { 0x4B6D, "la_river_defend_weapons_spawn" },
    { 0x4B6E, "lacunarity" },
    { 0x4B6F, "ladder" },
    { 0x4B70, "ladder_chase_explosion_fx" },
    { 0x4B71, "ladder_player_jumpcheck" },
    { 0x4B72, "ladder_spot_glow" },
    { 0x4B73, "ladder_vo" },
    { 0x4B74, "land_aa" },
    { 0x4B75, "land_missiles" },
    { 0x4B76, "land_on_zodiac_death" },
    { 0x4B77, "land_pos" },
    { 0x4B78, "land_shoot_vert_missile" },
    { 0x4B79, "land_shoot_vert_missile_loop" },
    { 0x4B7A, "land_structs_think" },
    { 0x4B7B, "land_vert_missile_wait_max" },
    { 0x4B7C, "land_vert_missile_wait_min" },
    { 0x4B7D, "land_vfx" },
    { 0x4B7E, "landanim" },
    { 0x4B7F, "landanimentry" },
    { 0x4B80, "landanimstate" },
    { 0x4B81, "landed" },
    { 0x4B82, "landing_gaz_stuff" },
    { 0x4B83, "landing_gear_up" },
    { 0x4B84, "landorigin" },
    { 0x4B85, "landvector" },
    { 0x4B86, "lanes" },
    { 0x4B87, "lanterns" },
    { 0x4B88, "laptop" },
    { 0x4B89, "laptop_close" },
    { 0x4B8A, "laptop_destroyed" },
    { 0x4B8B, "laptop_guy_react_vo" },
    { 0x4B8C, "laptop_hdr" },
    { 0x4B8D, "laptop_off" },
    { 0x4B8E, "laptop_on" },
    { 0x4B8F, "laptop_open" },
    { 0x4B90, "laptopinfo" },
    { 0x4B91, "largeprojectiledamage" },
    { 0x4B92, "largescale" },
    { 0x4B93, "largestep" },
    { 0x4B94, "lariver_ambient_magicbullets" },
    { 0x4B95, "lariver_backline_guys_logic" },
    { 0x4B96, "lariver_balcony_friendly_logic" },
    { 0x4B97, "lariver_bridge_drones" },
    { 0x4B98, "lariver_bridge_enemy_logic" },
    { 0x4B99, "lariver_bridge_rappel_enemies" },
    { 0x4B9A, "lariver_chopper_evade" },
    { 0x4B9B, "lariver_chopper_passanger_logic" },
    { 0x4B9C, "lariver_defend_aa72x_missile_detection" },
    { 0x4B9D, "lariver_defend_bridge_enemies" },
    { 0x4B9E, "lariver_defend_destructible_cover" },
    { 0x4B9F, "lariver_defend_enemy_global_logic" },
    { 0x4BA0, "lariver_defend_enemy_population" },
    { 0x4BA1, "lariver_defend_globals" },
    { 0x4BA2, "lariver_defend_guided_missile_setup" },
    { 0x4BA3, "lariver_defend_is_player_in_defend_area" },
    { 0x4BA4, "lariver_defend_missile_attractor_logic" },
    { 0x4BA5, "lariver_defend_player_laser_toggle" },
    { 0x4BA6, "lariver_defend_populate_close_area" },
    { 0x4BA7, "lariver_defend_slide_down_river_wall" },
    { 0x4BA8, "lariver_defend_spawn_choppers" },
    { 0x4BA9, "lariver_defend_start" },
    { 0x4BAA, "lariver_doors_siren" },
    { 0x4BAB, "lariver_doors_sound_setup" },
    { 0x4BAC, "lariver_early_ai" },
    { 0x4BAD, "lariver_enemies" },
    { 0x4BAE, "lariver_enemies_global_logic" },
    { 0x4BAF, "lariver_enemy_chopper_logic" },
    { 0x4BB0, "lariver_exit" },
    { 0x4BB1, "lariver_fodder_friendly_logic" },
    { 0x4BB2, "lariver_friendly_setup" },
    { 0x4BB3, "lariver_frontline_logic" },
    { 0x4BB4, "lariver_global_setup" },
    { 0x4BB5, "lariver_matv_dog_nag" },
    { 0x4BB6, "lariver_matv_load_and_go" },
    { 0x4BB7, "lariver_matv_open_doors" },
    { 0x4BB8, "lariver_matv_ride" },
    { 0x4BB9, "lariver_nogame_start" },
    { 0x4BBA, "lariver_ride_cowbell" },
    { 0x4BBB, "lariver_rivertop_friendly_logic" },
    { 0x4BBC, "lariver_setup_launchers" },
    { 0x4BBD, "lariver_slide_anim" },
    { 0x4BBE, "lariver_spawn_wall_battle_guys_early" },
    { 0x4BBF, "lariver_start" },
    { 0x4BC0, "lariver_team2_leader_logic" },
    { 0x4BC1, "lariver_team2_logic" },
    { 0x4BC2, "lariver_transition_to_beach" },
    { 0x4BC3, "lased" },
    { 0x4BC4, "lasedmissiledistance" },
    { 0x4BC5, "lasedstrikeactive" },
    { 0x4BC6, "lasedstrikecrateactive" },
    { 0x4BC7, "lasedstrikecratethink" },
    { 0x4BC8, "lasedstrikedrone" },
    { 0x4BC9, "lasedstrikeents" },
    { 0x4BCA, "lasedstrikeexplode" },
    { 0x4BCB, "lasedstrikeglow" },
    { 0x4BCC, "laser_active" },
    { 0x4BCD, "laser_artillery" },
    { 0x4BCE, "laser_count" },
    { 0x4BCF, "laser_designate_target" },
    { 0x4BD0, "laser_designate_target_kinect" },
    { 0x4BD1, "laser_designator_disable_list" },
    { 0x4BD2, "laser_ent" },
    { 0x4BD3, "laser_hint" },
    { 0x4BD4, "laser_on" },
    { 0x4BD5, "laser_targeting_device" },
    { 0x4BD6, "laser_targets" },
    { 0x4BD7, "laser_triggers" },
    { 0x4BD8, "laserallowed" },
    { 0x4BD9, "lasercooldownafterhit" },
    { 0x4BDA, "laserforceon" },
    { 0x4BDB, "laserguidedlauncher_laseron" },
    { 0x4BDC, "laserguidedmissileents_inuse" },
    { 0x4BDD, "laserguidedmissileents_ready" },
    { 0x4BDE, "laseroff_func" },
    { 0x4BDF, "laseron" },
    { 0x4BE0, "laseron_func" },
    { 0x4BE1, "lassetgoalpos" },
    { 0x4BE2, "last_alien_damaged_time" },
    { 0x4BE3, "last_anim_time" },
    { 0x4BE4, "last_anim_time_check" },
    { 0x4BE5, "last_attacker" },
    { 0x4BE6, "last_audio_bink_beep_array_num" },
    { 0x4BE7, "last_audio_bink_percentage" },
    { 0x4BE8, "last_balcony_death" },
    { 0x4BE9, "last_balcony_death_idx" },
    { 0x4BEA, "last_balcony_death_time" },
    { 0x4BEB, "last_bob_anim" },
    { 0x4BEC, "last_call_line" },
    { 0x4BED, "last_ceiling_light_spark_fx_struct" },
    { 0x4BEE, "last_charge_time" },
    { 0x4BEF, "last_command" },
    { 0x4BF0, "last_commanded_bot" },
    { 0x4BF1, "last_damage_time" },
    { 0x4BF2, "last_death_pos" },
    { 0x4BF3, "last_defend_time" },
    { 0x4BF4, "last_displayed_ent" },
    { 0x4BF5, "last_dmg_player" },
    { 0x4BF6, "last_dmg_type" },
    { 0x4BF7, "last_dodge" },
    { 0x4BF8, "last_dodge_time" },
    { 0x4BF9, "last_dog_attack" },
    { 0x4BFA, "last_downed_time" },
    { 0x4BFB, "last_drill_pickup_angles" },
    { 0x4BFC, "last_drill_pickup_origin" },
    { 0x4BFD, "last_enemy_sight_time" },
    { 0x4BFE, "last_enemy_sighting_position" },
    { 0x4BFF, "last_follow_node" },
    { 0x4C00, "last_global_badplace_time" },
    { 0x4C01, "last_goal_struct" },
    { 0x4C02, "last_heli_decides_to_shoot_missile_at_ai_time" },
    { 0x4C03, "last_heli_lookat_origin" },
    { 0x4C04, "last_hive" },
    { 0x4C05, "last_hive_xp" },
    { 0x4C06, "last_index" },
    { 0x4C07, "last_investigation_time" },
    { 0x4C08, "last_killfirm_time" },
    { 0x4C09, "last_killfirm_timeout" },
    { 0x4C0A, "last_large_rod_target" },
    { 0x4C0B, "last_large_rod_time" },
    { 0x4C0C, "last_legs_offset" },
    { 0x4C0D, "last_lockon_fire_time" },
    { 0x4C0E, "last_look_origin" },
    { 0x4C0F, "last_looked_at" },
    { 0x4C10, "last_melee_ti_check" },
    { 0x4C11, "last_mission_sound_time" },
    { 0x4C12, "last_modelfunc" },
    { 0x4C13, "last_motion_time" },
    { 0x4C14, "last_move_state" },
    { 0x4C15, "last_move_time" },
    { 0x4C16, "last_move_vect_norm" },
    { 0x4C17, "last_patrol_goal" },
    { 0x4C18, "last_player_angles_worldspace" },
    { 0x4C19, "last_player_damage" },
    { 0x4C1A, "last_player_to_damage_gas_pump" },
    { 0x4C1B, "last_pos" },
    { 0x4C1C, "last_queue_time" },
    { 0x4C1D, "last_revive_fail_time" },
    { 0x4C1E, "last_runanim" },
    { 0x4C1F, "last_selected_entity_has_changed" },
    { 0x4C20, "last_sentry" },
    { 0x4C21, "last_set_goalent" },
    { 0x4C22, "last_set_goalnode" },
    { 0x4C23, "last_set_goalpos" },
    { 0x4C24, "last_song" },
    { 0x4C25, "last_spawned_time" },
    { 0x4C26, "last_spawned_veh" },
    { 0x4C27, "last_spawned_vehicle" },
    { 0x4C28, "last_special_event_spawn_time" },
    { 0x4C29, "last_spitter_gas_damage_time" },
    { 0x4C2A, "last_spot" },
    { 0x4C2B, "last_spot_light" },
    { 0x4C2C, "last_start_anim_direction" },
    { 0x4C2D, "last_strips" },
    { 0x4C2E, "last_teleport_time" },
    { 0x4C2F, "last_threat_debug" },
    { 0x4C30, "last_time" },
    { 0x4C31, "last_used_cover_vol" },
    { 0x4C32, "last_used_time" },
    { 0x4C33, "last_volume" },
    { 0x4C34, "last_weapon" },
    { 0x4C35, "last_zone" },
    { 0x4C36, "lastadvancetoenemyattacker" },
    { 0x4C37, "lastadvancetoenemydest" },
    { 0x4C38, "lastadvancetoenemysrc" },
    { 0x4C39, "lastadvancetoenemytime" },
    { 0x4C3A, "lastaieventtrigger" },
    { 0x4C3B, "lastalias" },
    { 0x4C3C, "lastapproachaborttime" },
    { 0x4C3D, "lastattackedshieldplayer" },
    { 0x4C3E, "lastattackedshieldtime" },
    { 0x4C3F, "lastautosavetime" },
    { 0x4C40, "lastbadpathgoal" },
    { 0x4C41, "lastbadpathmovestate" },
    { 0x4C42, "lastbadpathtime" },
    { 0x4C43, "lastbadpathultimategoal" },
    { 0x4C44, "lastbullethint" },
    { 0x4C45, "lastcampchecked" },
    { 0x4C46, "lastcampkilltime" },
    { 0x4C47, "lastcaralarmtime" },
    { 0x4C48, "lastcarexplosiondamagelocation" },
    { 0x4C49, "lastcarexplosionlocation" },
    { 0x4C4A, "lastcarexplosionrange" },
    { 0x4C4B, "lastcarexplosiontime" },
    { 0x4C4C, "lastclaimteam" },
    { 0x4C4D, "lastclaimtime" },
    { 0x4C4E, "lastclass" },
    { 0x4C4F, "lastcolorforced" },
    { 0x4C50, "lastconcussedtime" },
    { 0x4C51, "lastcontact" },
    { 0x4C52, "lastdamagedtime" },
    { 0x4C53, "lastdamagewasfromenemy" },
    { 0x4C54, "lastdeathicon" },
    { 0x4C55, "lastdeathpos" },
    { 0x4C56, "lastdirection" },
    { 0x4C57, "lastdogmeleeplayertime" },
    { 0x4C58, "lastdoground" },
    { 0x4C59, "lastdroppableweapon" },
    { 0x4C5A, "lastencountertime" },
    { 0x4C5B, "lastenemy" },
    { 0x4C5C, "lastenemypos" },
    { 0x4C5D, "lastenemysightposold" },
    { 0x4C5E, "lastenemysightposselforigin" },
    { 0x4C5F, "lastenemysighttime" },
    { 0x4C60, "lastenemytime" },
    { 0x4C61, "lastexplodingbarrel" },
    { 0x4C62, "lastflashedtime" },
    { 0x4C63, "lastfraggrenadetoplayerstart" },
    { 0x4C64, "lastframe_moving_cover" },
    { 0x4C65, "lastfriendlytrigger" },
    { 0x4C66, "lastgrenadelandednearplayertime" },
    { 0x4C67, "lastgrenadesuicidetime" },
    { 0x4C68, "lastgrenadetime" },
    { 0x4C69, "lastgroundtype" },
    { 0x4C6A, "lastgrowlplayedtime" },
    { 0x4C6B, "lasthelidialogtime" },
    { 0x4C6C, "lasthittime" },
    { 0x4C6D, "lasthostmigrationstate" },
    { 0x4C6E, "lastindex" },
    { 0x4C6F, "lastkilldogtime" },
    { 0x4C70, "lastkilledby" },
    { 0x4C71, "lastkilledplayer" },
    { 0x4C72, "lastkilliconloc" },
    { 0x4C73, "lastkilllocation" },
    { 0x4C74, "lastkillsoundtime" },
    { 0x4C75, "lastkillstreak" },
    { 0x4C76, "lastkilltime" },
    { 0x4C77, "lastkillwascamping" },
    { 0x4C78, "lastlegitimateattacker" },
    { 0x4C79, "lastlighttime" },
    { 0x4C7A, "lastlosttime" },
    { 0x4C7B, "lastmansd" },
    { 0x4C7C, "lastmeleefailedmypos" },
    { 0x4C7D, "lastmeleefailedpos" },
    { 0x4C7E, "lastmissedenemy" },
    { 0x4C7F, "lastmortar" },
    { 0x4C80, "lastmortarincomingtime" },
    { 0x4C81, "lastnamesaid" },
    { 0x4C82, "lastnamesaidtime" },
    { 0x4C83, "lastnamesaidtimeout" },
    { 0x4C84, "lastnonuseweapon" },
    { 0x4C85, "lastpaintime" },
    { 0x4C86, "lastpantplayedtime" },
    { 0x4C87, "lastplayerapachedamage" },
    { 0x4C88, "lastplayercallouttime" },
    { 0x4C89, "lastplayernamecalltime" },
    { 0x4C8A, "lastplayersighted" },
    { 0x4C8B, "lastprimaryweaponswaptime" },
    { 0x4C8C, "lastpursuitfailedmypos" },
    { 0x4C8D, "lastpursuitfailedpos" },
    { 0x4C8E, "lastpursuitfailedtime" },
    { 0x4C8F, "lastradiotransmission" },
    { 0x4C90, "lastrambotime" },
    { 0x4C91, "lastreacttime" },
    { 0x4C92, "lastreloadedweapon" },
    { 0x4C93, "lastreloadstarttime" },
    { 0x4C94, "lastrunningreactanim" },
    { 0x4C95, "lastsavetime" },
    { 0x4C96, "lastshelleffecttime" },
    { 0x4C97, "lastshoottime" },
    { 0x4C98, "lastshotfiredtime" },
    { 0x4C99, "lastsightposwatch" },
    { 0x4C9A, "lastslowprocessframe" },
    { 0x4C9B, "lastsnow1" },
    { 0x4C9C, "lastsnow2" },
    { 0x4C9D, "lastspawnpoint" },
    { 0x4C9E, "lastspawnteam" },
    { 0x4C9F, "lastspawntime" },
    { 0x4CA0, "lastspeed" },
    { 0x4CA1, "lastsprintendtime" },
    { 0x4CA2, "laststand_ammo" },
    { 0x4CA3, "laststand_clip_ammo" },
    { 0x4CA4, "laststand_enabled" },
    { 0x4CA5, "laststand_kill_will_down_func" },
    { 0x4CA6, "laststand_pistol" },
    { 0x4CA7, "laststand_player_func" },
    { 0x4CA8, "laststand_type" },
    { 0x4CA9, "laststandallowsuicide" },
    { 0x4CAA, "laststandammowacher" },
    { 0x4CAB, "laststandbleedout" },
    { 0x4CAC, "laststandcount" },
    { 0x4CAD, "laststandkeepoverlay" },
    { 0x4CAE, "laststandkeepoverlayhorde" },
    { 0x4CAF, "laststandparams" },
    { 0x4CB0, "laststandrespawnplayer" },
    { 0x4CB1, "laststandrespawnplayerhorde" },
    { 0x4CB2, "laststandrevivehorde" },
    { 0x4CB3, "laststandstarttime" },
    { 0x4CB4, "laststandtimer" },
    { 0x4CB5, "laststandtimerhorde" },
    { 0x4CB6, "laststandupdatereviveiconcoloralien" },
    { 0x4CB7, "laststandupdatereviveiconcolorhorde" },
    { 0x4CB8, "laststandusetime" },
    { 0x4CB9, "laststandwaittilldeath" },
    { 0x4CBA, "laststandwaittilldeathhorde" },
    { 0x4CBB, "laststandwaittilllifereceived" },
    { 0x4CBC, "laststandwaittillliferecived" },
    { 0x4CBD, "laststate" },
    { 0x4CBE, "laststatechangetime" },
    { 0x4CBF, "laststatus" },
    { 0x4CC0, "laststatustime" },
    { 0x4CC1, "laststoppedtime" },
    { 0x4CC2, "laststreakused" },
    { 0x4CC3, "lastsuppressiontime" },
    { 0x4CC4, "lastsurfacetype" },
    { 0x4CC5, "lasttarget" },
    { 0x4CC6, "lasttargetlocked" },
    { 0x4CC7, "lastteamspeaktime" },
    { 0x4CC8, "lastteamthreatcallout" },
    { 0x4CC9, "lastteamthreatcallouttime" },
    { 0x4CCA, "lasttimedamaged" },
    { 0x4CCB, "lasttrackingdialogtime" },
    { 0x4CCC, "lastturretindex" },
    { 0x4CCD, "lastupdatetime" },
    { 0x4CCE, "lastused" },
    { 0x4CCF, "lastusedtime" },
    { 0x4CD0, "lastusedweapon" },
    { 0x4CD1, "lastuserate" },
    { 0x4CD2, "lastvalue" },
    { 0x4CD3, "lastvectotarget" },
    { 0x4CD4, "lastvisionsetthermal" },
    { 0x4CD5, "lastwave" },
    { 0x4CD6, "lastweapon" },
    { 0x4CD7, "lat" },
    { 0x4CD8, "lat_tracker" },
    { 0x4CD9, "lateral_change_this_update" },
    { 0x4CDA, "lateral_dist_change" },
    { 0x4CDB, "lateral_plane" },
    { 0x4CDC, "latest_choke_trig_active" },
    { 0x4CDD, "lattitude_and_longitude" },
    { 0x4CDE, "launch_button" },
    { 0x4CDF, "launch_debris" },
    { 0x4CE0, "launch_delay" },
    { 0x4CE1, "launch_ends" },
    { 0x4CE2, "launch_ents" },
    { 0x4CE3, "launch_prep_drive" },
    { 0x4CE4, "launch_prep_static" },
    { 0x4CE5, "launch_props" },
    { 0x4CE6, "launch_ragdolls_zodiac" },
    { 0x4CE7, "launch_rogs" },
    { 0x4CE8, "launch_rope" },
    { 0x4CE9, "launch_rope_ally" },
    { 0x4CEA, "launch_rope_player" },
    { 0x4CEB, "launch_smoke" },
    { 0x4CEC, "launch_smoke_from_tag" },
    { 0x4CED, "launch_speed" },
    { 0x4CEE, "launchanimentry" },
    { 0x4CEF, "launchanimstate" },
    { 0x4CF0, "launcher" },
    { 0x4CF1, "launcher_callout_ally01" },
    { 0x4CF2, "launcher_callout_ally01_spawn" },
    { 0x4CF3, "launcher_callout_ally02" },
    { 0x4CF4, "launcher_callout_ally02_spawn" },
    { 0x4CF5, "launcher_callout_ally03" },
    { 0x4CF6, "launcher_callout_ally03_spawn" },
    { 0x4CF7, "launcher_destroy_slomo_sfx" },
    { 0x4CF8, "launcher_destroy_stop_slomo_sfx" },
    { 0x4CF9, "launcher_lynx" },
    { 0x4CFA, "launcher_lynx_spawn_func" },
    { 0x4CFB, "launcher_spawn_func" },
    { 0x4CFC, "launcher_write_clipboard" },
    { 0x4CFD, "launchers_attached" },
    { 0x4CFE, "launchheight" },
    { 0x4CFF, "launchorigin" },
    { 0x4D00, "launchshield" },
    { 0x4D01, "launchtime" },
    { 0x4D02, "launchuav" },
    { 0x4D03, "launchvelocity" },
    { 0x4D04, "launchvelocity2d" },
    { 0x4D05, "launchvfx" },
    { 0x4D06, "layer_completed" },
    { 0x4D07, "layering_logic" },
    { 0x4D08, "layers" },
    { 0x4D09, "lbexplode" },
    { 0x4D0A, "lbonkilled" },
    { 0x4D0B, "lbsniper" },
    { 0x4D0C, "lbspin" },
    { 0x4D0D, "lbsupport_arraycontains" },
    { 0x4D0E, "lbsupport_attacktargets" },
    { 0x4D0F, "lbsupport_burstfirestart" },
    { 0x4D10, "lbsupport_burstfirestop" },
    { 0x4D11, "lbsupport_empgrenaded" },
    { 0x4D12, "lbsupport_followplayer" },
    { 0x4D13, "lbsupport_getclosestlinkednode" },
    { 0x4D14, "lbsupport_getclosestnode" },
    { 0x4D15, "lbsupport_getcloseststartnode" },
    { 0x4D16, "lbsupport_getlinkedstructs" },
    { 0x4D17, "lbsupport_handledamage" },
    { 0x4D18, "lbsupport_leave" },
    { 0x4D19, "lbsupport_lightfx" },
    { 0x4D1A, "lbsupport_movetoplayer" },
    { 0x4D1B, "lbsupport_setairnodemesh" },
    { 0x4D1C, "lbsupport_setairstartnodes" },
    { 0x4D1D, "lbsupport_watchdeath" },
    { 0x4D1E, "lbsupport_watchownerdamage" },
    { 0x4D1F, "lbsupport_watchownerloss" },
    { 0x4D20, "lbsupport_watchroundend" },
    { 0x4D21, "lbsupport_watchsamproximity" },
    { 0x4D22, "lbsupport_watchstingerproximity" },
    { 0x4D23, "lbsupport_watchtimeout" },
    { 0x4D24, "lcs_back" },
    { 0x4D25, "lcs_back_bubbles" },
    { 0x4D26, "lcs_back_damage" },
    { 0x4D27, "lcs_exploder_loop" },
    { 0x4D28, "lcs_intro_setup" },
    { 0x4D29, "lcs_lights_back" },
    { 0x4D2A, "lcs_lights_front" },
    { 0x4D2B, "lcs_setup" },
    { 0x4D2C, "lcs_wake" },
    { 0x4D2D, "lcs_wake_intro" },
    { 0x4D2E, "lead_jeep" },
    { 0x4D2F, "leader" },
    { 0x4D30, "leaderdialog" },
    { 0x4D31, "leaderdialogactive" },
    { 0x4D32, "leaderdialoggroup" },
    { 0x4D33, "leaderdialoggroups" },
    { 0x4D34, "leaderdialoglocqueue" },
    { 0x4D35, "leaderdialogonplayer" },
    { 0x4D36, "leaderdialogonplayer_func" },
    { 0x4D37, "leaderdialogonplayers" },
    { 0x4D38, "leaderdialogqueue" },
    { 0x4D39, "leadersound" },
    { 0x4D3A, "leadersoundgroup" },
    { 0x4D3B, "lean_anim" },
    { 0x4D3C, "leanaim" },
    { 0x4D3D, "leanasitturns" },
    { 0x4D3E, "leaning" },
    { 0x4D3F, "leap_melee" },
    { 0x4D40, "leapendangles" },
    { 0x4D41, "leapendpos" },
    { 0x4D42, "leave_for_dog" },
    { 0x4D43, "leave_gun_and_run_to_new_spot" },
    { 0x4D44, "leave_node_on_attacked" },
    { 0x4D45, "leave_node_on_distance_breach" },
    { 0x4D46, "leave_path_for_spline_path" },
    { 0x4D47, "leavebattlebuddysystem" },
    { 0x4D48, "leavebattlebuddysystemdisconnect" },
    { 0x4D49, "leavecoverandshoot" },
    { 0x4D4A, "leaveonownerdeath" },
    { 0x4D4B, "leaveonownerdisconnect" },
    { 0x4D4C, "leaving" },
    { 0x4D4D, "leaving_team" },
    { 0x4D4E, "ledge_fx" },
    { 0x4D4F, "ledge_old_player_pos" },
    { 0x4D50, "ledge_quake" },
    { 0x4D51, "ledge_sway" },
    { 0x4D52, "ledge_track_player_pos" },
    { 0x4D53, "ledge_trigger_logic" },
    { 0x4D54, "left_arc" },
    { 0x4D55, "left_color_node" },
    { 0x4D56, "left_defend" },
    { 0x4D57, "left_ent" },
    { 0x4D58, "left_flank_spawn_proc" },
    { 0x4D59, "left_jerk" },
    { 0x4D5A, "left_meeting_guys" },
    { 0x4D5B, "left_meeting_guys_logic" },
    { 0x4D5C, "left_missile_target" },
    { 0x4D5D, "left_post" },
    { 0x4D5E, "left_spline_path_time" },
    { 0x4D5F, "left_stick" },
    { 0x4D60, "left_velocity" },
    { 0x4D61, "left_weight" },
    { 0x4D62, "leftover_assist_bonus" },
    { 0x4D63, "leg_anim_blend_time" },
    { 0x4D64, "leg_anim_blend_time_fast" },
    { 0x4D65, "leg_clear_anim_blend_time" },
    { 0x4D66, "leg_clear_anim_blend_time_fast" },
    { 0x4D67, "leg_idle_anim_blend_time" },
    { 0x4D68, "leg_idle_trans_anim_blend_time" },
    { 0x4D69, "leg_jump_anim_blend_time" },
    { 0x4D6A, "legs_flag_name" },
    { 0x4D6B, "legs_idle_anim" },
    { 0x4D6C, "legs_move_parent_node" },
    { 0x4D6D, "length" },
    { 0x4D6E, "leper" },
    { 0x4D6F, "leper_approach" },
    { 0x4D70, "leper_attack" },
    { 0x4D71, "leper_challenge_despawn" },
    { 0x4D72, "leper_combat" },
    { 0x4D73, "leper_despawn" },
    { 0x4D74, "leper_init" },
    { 0x4D75, "leper_retreat" },
    { 0x4D76, "leper_wait_at_node" },
    { 0x4D77, "leper_watch_death" },
    { 0x4D78, "leperdespawntime" },
    { 0x4D79, "lerp" },
    { 0x4D7A, "lerp_dof" },
    { 0x4D7B, "lerp_entity_to_position_accurate" },
    { 0x4D7C, "lerp_fov_overtime" },
    { 0x4D7D, "lerp_fov_to_turret" },
    { 0x4D7E, "lerp_fovscale_overtime" },
    { 0x4D7F, "lerp_hesh_anim_rate" },
    { 0x4D80, "lerp_intensity" },
    { 0x4D81, "lerp_maxalpha_overtime" },
    { 0x4D82, "lerp_on_attack" },
    { 0x4D83, "lerp_out_drop_pitch" },
    { 0x4D84, "lerp_player_to_position_accurate" },
    { 0x4D85, "lerp_player_view_jump" },
    { 0x4D86, "lerp_player_view_to_position" },
    { 0x4D87, "lerp_player_view_to_position_oldstyle" },
    { 0x4D88, "lerp_player_view_to_tag" },
    { 0x4D89, "lerp_player_view_to_tag_and_hit_geo" },
    { 0x4D8A, "lerp_player_view_to_tag_internal" },
    { 0x4D8B, "lerp_player_view_to_tag_oldstyle" },
    { 0x4D8C, "lerp_player_view_to_tag_oldstyle_internal" },
    { 0x4D8D, "lerp_rate" },
    { 0x4D8E, "lerp_ref_ent" },
    { 0x4D8F, "lerp_saveddvar" },
    { 0x4D90, "lerp_saveddvar_cg_ng" },
    { 0x4D91, "lerp_spec_color_scale" },
    { 0x4D92, "lerp_sunsamplesizenear_overtime" },
    { 0x4D93, "lerp_time_in" },
    { 0x4D94, "lerp_time_out" },
    { 0x4D95, "lerp_turret_fov" },
    { 0x4D96, "lerp_value" },
    { 0x4D97, "lerpfov_saved" },
    { 0x4D98, "lerpfov_saved_thread" },
    { 0x4D99, "lerpfraction" },
    { 0x4D9A, "lerpy_moveto" },
    { 0x4D9B, "let_player_through" },
    { 0x4D9C, "level_0_weight" },
    { 0x4D9D, "level_1_weight" },
    { 0x4D9E, "level_2_weight" },
    { 0x4D9F, "level_3_weight" },
    { 0x4DA0, "level_4_weight" },
    { 0x4DA1, "level_dof_changes" },
    { 0x4DA2, "level_end" },
    { 0x4DA3, "level_end_save" },
    { 0x4DA4, "level_fade_time" },
    { 0x4DA5, "level_fadein" },
    { 0x4DA6, "level_fx" },
    { 0x4DA7, "level_has_start_points" },
    { 0x4DA8, "level_motionblur_changes" },
    { 0x4DA9, "level_music" },
    { 0x4DAA, "level_notify" },
    { 0x4DAB, "level_scripted_visionsets" },
    { 0x4DAC, "level_specific_bot_targets" },
    { 0x4DAD, "level_specific_dof" },
    { 0x4DAE, "level_specific_score_parameter" },
    { 0x4DAF, "level_start_amb" },
    { 0x4DB0, "level_trigger_should_abort" },
    { 0x4DB1, "level_trigger_should_abort_melee" },
    { 0x4DB2, "level_trigger_should_abort_ranged" },
    { 0x4DB3, "levelflag" },
    { 0x4DB4, "levelflagclear" },
    { 0x4DB5, "levelflaginit" },
    { 0x4DB6, "levelflags" },
    { 0x4DB7, "levelflagset" },
    { 0x4DB8, "levelflagwait" },
    { 0x4DB9, "levelflagwaitopen" },
    { 0x4DBA, "levelforexperience" },
    { 0x4DBB, "levelhasvehicles" },
    { 0x4DBC, "levels" },
    { 0x4DBD, "levers" },
    { 0x4DBE, "lg_missileslocked" },
    { 0x4DBF, "lgm_disablelaser" },
    { 0x4DC0, "lgm_enablelaser" },
    { 0x4DC1, "lgm_firing_delayspawnchildren" },
    { 0x4DC2, "lgm_firing_endmissilefire" },
    { 0x4DC3, "lgm_firing_monitormissilefire" },
    { 0x4DC4, "lgm_firing_monitorplayeraim" },
    { 0x4DC5, "lgm_gettargetoffset" },
    { 0x4DC6, "lgm_init" },
    { 0x4DC7, "lgm_locked_missileondeath" },
    { 0x4DC8, "lgm_locked_spawnmissiles" },
    { 0x4DC9, "lgm_locked_think" },
    { 0x4DCA, "lgm_locking_loopsound" },
    { 0x4DCB, "lgm_locking_notifyontargetdeath" },
    { 0x4DCC, "lgm_locking_think" },
    { 0x4DCD, "lgm_missilesnotifyandrelease" },
    { 0x4DCE, "lgm_monitorlaser" },
    { 0x4DCF, "lgm_monitorlaserentcleanup" },
    { 0x4DD0, "lgm_onmissilenotifies" },
    { 0x4DD1, "lgm_removeinvalidmissiles" },
    { 0x4DD2, "lgm_requestmissileguideent" },
    { 0x4DD3, "lgm_targetfind" },
    { 0x4DD4, "lgm_targetnotifymissiles" },
    { 0x4DD5, "lgm_update_launcherusage" },
    { 0x4DD6, "lgt_ally_sequence" },
    { 0x4DD7, "lgt_create_flare" },
    { 0x4DD8, "lgt_escape_sequence" },
    { 0x4DD9, "lgt_init" },
    { 0x4DDA, "lgt_odin_firing" },
    { 0x4DDB, "lgt_sat_sequence" },
    { 0x4DDC, "lgt_spin_sequence" },
    { 0x4DDD, "lidopenanims" },
    { 0x4DDE, "lidsnapopenanims" },
    { 0x4DDF, "lidtagroot" },
    { 0x4DE0, "life_span" },
    { 0x4DE1, "life_time" },
    { 0x4DE2, "lifeid" },
    { 0x4DE3, "liferaft_splash_on_hit_water" },
    { 0x4DE4, "lifespan" },
    { 0x4DE5, "lifetime" },
    { 0x4DE6, "light_alarm_lights" },
    { 0x4DE7, "light_blink" },
    { 0x4DE8, "light_brighten" },
    { 0x4DE9, "light_com_center_lights_off" },
    { 0x4DEA, "light_com_center_lights_on" },
    { 0x4DEB, "light_combat2_threads" },
    { 0x4DEC, "light_command_lights_out" },
    { 0x4DED, "light_fade" },
    { 0x4DEE, "light_flamestack" },
    { 0x4DEF, "light_flamestack_flicker" },
    { 0x4DF0, "light_flicker" },
    { 0x4DF1, "light_follow_plane" },
    { 0x4DF2, "light_hall_light" },
    { 0x4DF3, "light_model" },
    { 0x4DF4, "light_pulse" },
    { 0x4DF5, "light_rog_threads" },
    { 0x4DF6, "light_tag" },
    { 0x4DF7, "lightarmorhp" },
    { 0x4DF8, "lightent" },
    { 0x4DF9, "lightfxfunc" },
    { 0x4DFA, "lightfxtag" },
    { 0x4DFB, "lightgridsupersamplecount" },
    { 0x4DFC, "lighthouse" },
    { 0x4DFD, "lighthouse_play_fx_onconnect" },
    { 0x4DFE, "lightmapcount_cg" },
    { 0x4DFF, "lightning" },
    { 0x4E00, "lightning_flash" },
    { 0x4E01, "lightning_normal" },
    { 0x4E02, "lightningexploder" },
    { 0x4E03, "lightningexploderindex" },
    { 0x4E04, "lightningflash" },
    { 0x4E05, "lightningthink" },
    { 0x4E06, "lightrigs" },
    { 0x4E07, "lights" },
    { 0x4E08, "lights_delayfxforframe" },
    { 0x4E09, "lights_off" },
    { 0x4E0A, "lights_off_internal" },
    { 0x4E0B, "lights_on" },
    { 0x4E0C, "lights_on_internal" },
    { 0x4E0D, "lights_out_music" },
    { 0x4E0E, "lights_out_soldier_vo" },
    { 0x4E0F, "lightson" },
    { 0x4E10, "lighttarget" },
    { 0x4E11, "lighttargetname" },
    { 0x4E12, "lightweightscalar" },
    { 0x4E13, "limitdecimalplaces" },
    { 0x4E14, "limp" },
    { 0x4E15, "limp_strength" },
    { 0x4E16, "limping_guys_spawnfunc" },
    { 0x4E17, "line" },
    { 0x4E18, "line_a" },
    { 0x4E19, "line_debug" },
    { 0x4E1A, "line_shot" },
    { 0x4E1B, "linear_interpolate" },
    { 0x4E1C, "linedraw" },
    { 0x4E1D, "linelist" },
    { 0x4E1E, "lines" },
    { 0x4E1F, "linesize" },
    { 0x4E20, "linethread" },
    { 0x4E21, "linetime" },
    { 0x4E22, "linetime_proc" },
    { 0x4E23, "link1" },
    { 0x4E24, "link2" },
    { 0x4E25, "link_bag_to_jeep_after_anim" },
    { 0x4E26, "link_bags_to_spin_crates" },
    { 0x4E27, "link_dlight_to_dummy" },
    { 0x4E28, "link_dog_to_jeep" },
    { 0x4E29, "link_ent" },
    { 0x4E2A, "link_final_exposed_nodes" },
    { 0x4E2B, "link_linked_ents" },
    { 0x4E2C, "link_player_for_catch" },
    { 0x4E2D, "link_player_to_arms" },
    { 0x4E2E, "link_point" },
    { 0x4E2F, "link_to_moving_target" },
    { 0x4E30, "link_to_sittag" },
    { 0x4E31, "linkdirs" },
    { 0x4E32, "linked" },
    { 0x4E33, "linked_car" },
    { 0x4E34, "linked_ent" },
    { 0x4E35, "linked_ents" },
    { 0x4E36, "linked_light_ents" },
    { 0x4E37, "linked_lights" },
    { 0x4E38, "linked_models" },
    { 0x4E39, "linked_prefab_ents" },
    { 0x4E3A, "linked_things" },
    { 0x4E3B, "linked_to_ent" },
    { 0x4E3C, "linked_vehicle" },
    { 0x4E3D, "linked_world_space_forward" },
    { 0x4E3E, "linkedplayers" },
    { 0x4E3F, "linker" },
    { 0x4E40, "linkinfos" },
    { 0x4E41, "linklengths" },
    { 0x4E42, "linkparent" },
    { 0x4E43, "linkpet" },
    { 0x4E44, "links" },
    { 0x4E45, "linkstartnodes" },
    { 0x4E46, "linktoblend" },
    { 0x4E47, "linktoenabledflag" },
    { 0x4E48, "linktotrain" },
    { 0x4E49, "lip_cascade_vfx" },
    { 0x4E4A, "listen_collision" },
    { 0x4E4B, "listen_dog_attack" },
    { 0x4E4C, "listen_for" },
    { 0x4E4D, "listen_for_cancel" },
    { 0x4E4E, "listen_for_dog_commands" },
    { 0x4E4F, "listen_for_dog_kinect_commands" },
    { 0x4E50, "listen_for_landing_gear_messages" },
    { 0x4E51, "listen_for_mine_layed" },
    { 0x4E52, "listen_for_mine_trigger" },
    { 0x4E53, "listen_for_use_multi_turret" },
    { 0x4E54, "listen_for_use_proximity_duffle_bag" },
    { 0x4E55, "listen_for_use_shockwave_duffle_bag" },
    { 0x4E56, "listen_for_use_teargas_duffle_bag" },
    { 0x4E57, "listen_for_use_turret_duffle_bag" },
    { 0x4E58, "listen_jolt" },
    { 0x4E59, "listen_landed" },
    { 0x4E5A, "listen_leftground" },
    { 0x4E5B, "listen_mk32_mode" },
    { 0x4E5C, "listen_player" },
    { 0x4E5D, "listen_player_collision" },
    { 0x4E5E, "listen_player_jolt" },
    { 0x4E5F, "listen_player_jolt_jumps" },
    { 0x4E60, "listen_player_jolt_vehicles" },
    { 0x4E61, "listen_player_landed" },
    { 0x4E62, "listen_player_leftground" },
    { 0x4E63, "listen_player_press_x" },
    { 0x4E64, "listen_vehicle_death" },
    { 0x4E65, "listen_vehicle_roof" },
    { 0x4E66, "listenforcoverapproach" },
    { 0x4E67, "lit_models" },
    { 0x4E68, "lite" },
    { 0x4E69, "liteintensity" },
    { 0x4E6A, "little_bird_landing_init" },
    { 0x4E6B, "littlebird_handle_spotlight" },
    { 0x4E6C, "littlebird_hover" },
    { 0x4E6D, "littlebird_model" },
    { 0x4E6E, "littlebird_spotlight_death" },
    { 0x4E6F, "littlebird_spotlight_off" },
    { 0x4E70, "littlebird_spotlight_on" },
    { 0x4E71, "littlebird_spotlight_think" },
    { 0x4E72, "littlebird_turrets_think" },
    { 0x4E73, "littlebirde_getout_unlinks" },
    { 0x4E74, "littlebirdguard" },
    { 0x4E75, "littlebirdmadeselectionvo" },
    { 0x4E76, "littlebirds" },
    { 0x4E77, "littoral_ship_lights" },
    { 0x4E78, "livescount" },
    { 0x4E79, "living_ai" },
    { 0x4E7A, "living_ai_prethink" },
    { 0x4E7B, "livingedgeconnections" },
    { 0x4E7C, "lnchr_dstry_sfx" },
    { 0x4E7D, "lnchr_slomo2_sfx" },
    { 0x4E7E, "lnchr_slomo_sfx" },
    { 0x4E7F, "load" },
    { 0x4E80, "load_ai" },
    { 0x4E81, "load_ai_goddriver" },
    { 0x4E82, "load_ak_deathanim" },
    { 0x4E83, "load_cycle_drill_layer_from_table" },
    { 0x4E84, "load_cycle_scalars_from_table" },
    { 0x4E85, "load_cycles_from_table" },
    { 0x4E86, "load_friendlies" },
    { 0x4E87, "load_hazmat_guns" },
    { 0x4E88, "load_hive_lanes_from_table" },
    { 0x4E89, "load_minion_fx" },
    { 0x4E8A, "load_player_anims" },
    { 0x4E8B, "load_queen_fx" },
    { 0x4E8C, "load_random_hives_from_table" },
    { 0x4E8D, "load_sam_missiles" },
    { 0x4E8E, "load_side" },
    { 0x4E8F, "load_spawn_event_waves_from_table" },
    { 0x4E90, "load_spawn_events_from_table" },
    { 0x4E91, "load_spitter_fx" },
    { 0x4E92, "load_transient" },
    { 0x4E93, "load_unlock_from_table" },
    { 0x4E94, "load_up" },
    { 0x4E95, "load_variables_from_table" },
    { 0x4E96, "loadeffects" },
    { 0x4E97, "loadfromstructfn" },
    { 0x4E98, "loading" },
    { 0x4E99, "loading_bay_combat" },
    { 0x4E9A, "loading_bay_enemies" },
    { 0x4E9B, "loading_bay_enemy_setup" },
    { 0x4E9C, "loadingdocks_no_jump" },
    { 0x4E9D, "loadout" },
    { 0x4E9E, "loadout_complete" },
    { 0x4E9F, "loadoutallabilities" },
    { 0x4EA0, "loadoutcomplete" },
    { 0x4EA1, "loadoutfakeperks" },
    { 0x4EA2, "loadoutperkequipment" },
    { 0x4EA3, "loadoutperkoffhand" },
    { 0x4EA4, "loadoutprimary" },
    { 0x4EA5, "loadoutprimaryattachments" },
    { 0x4EA6, "loadoutprimarybuff" },
    { 0x4EA7, "loadoutprimarycamo" },
    { 0x4EA8, "loadoutprimaryreticle" },
    { 0x4EA9, "loadouts" },
    { 0x4EAA, "loadoutsecondary" },
    { 0x4EAB, "loadoutsecondaryattachments" },
    { 0x4EAC, "loadoutsecondarybuff" },
    { 0x4EAD, "loadoutsecondarycamo" },
    { 0x4EAE, "loadoutsecondaryreticle" },
    { 0x4EAF, "loadoutvalues" },
    { 0x4EB0, "lobby_and_stair_fx" },
    { 0x4EB1, "lobby_entrance" },
    { 0x4EB2, "lobby_ruckus" },
    { 0x4EB3, "loc" },
    { 0x4EB4, "loc1" },
    { 0x4EB5, "loc2" },
    { 0x4EB6, "loc_current" },
    { 0x4EB7, "loc_last" },
    { 0x4EB8, "local_waittill_any_return" },
    { 0x4EB9, "locateenemypositions" },
    { 0x4EBA, "location" },
    { 0x4EBB, "location_add_last_callout_time" },
    { 0x4EBC, "location_called_out_ever" },
    { 0x4EBD, "location_called_out_recently" },
    { 0x4EBE, "location_dupes_thread" },
    { 0x4EBF, "location_get_last_callout_time" },
    { 0x4EC0, "location_in_range" },
    { 0x4EC1, "locationaliases" },
    { 0x4EC2, "locationlastcallouttimes" },
    { 0x4EC3, "locationobjectives" },
    { 0x4EC4, "locations" },
    { 0x4EC5, "locations_to_investigate" },
    { 0x4EC6, "locindex" },
    { 0x4EC7, "lock" },
    { 0x4EC8, "lock_auto_door" },
    { 0x4EC9, "lock_dummy" },
    { 0x4ECA, "lock_dummy_add" },
    { 0x4ECB, "lock_dummy_add_ondeath" },
    { 0x4ECC, "lock_dummy_remove" },
    { 0x4ECD, "lock_exists" },
    { 0x4ECE, "lock_notify" },
    { 0x4ECF, "lock_on" },
    { 0x4ED0, "lock_player_control" },
    { 0x4ED1, "lock_player_control_until_flag" },
    { 0x4ED2, "lock_player_controls" },
    { 0x4ED3, "lock_spawner_for_awhile" },
    { 0x4ED4, "lockaction" },
    { 0x4ED5, "locked" },
    { 0x4ED6, "locked_on" },
    { 0x4ED7, "lockedlist" },
    { 0x4ED8, "lockedlocation" },
    { 0x4ED9, "lockedontome" },
    { 0x4EDA, "lockedtarget" },
    { 0x4EDB, "locker_brawl" },
    { 0x4EDC, "locker_brawl_vo" },
    { 0x4EDD, "lockmissesincr" },
    { 0x4EDE, "lockmissespassedthreshold" },
    { 0x4EDF, "lockmissesreset" },
    { 0x4EE0, "lockon_sequence_active" },
    { 0x4EE1, "lockonicon" },
    { 0x4EE2, "lockonlaunchers_gettargetarray" },
    { 0x4EE3, "lockontarget" },
    { 0x4EE4, "lockontargets" },
    { 0x4EE5, "lockontargets_stop" },
    { 0x4EE6, "lockontime" },
    { 0x4EE7, "lockplayerforremoteuavlaunch" },
    { 0x4EE8, "lockplayerforvanguardlaunch" },
    { 0x4EE9, "locksighttest" },
    { 0x4EEA, "loco_breach_anim_node" },
    { 0x4EEB, "loco_breach_autosave" },
    { 0x4EEC, "loco_breach_init_vars" },
    { 0x4EED, "loco_breach_logic" },
    { 0x4EEE, "loco_breach_opfor_start" },
    { 0x4EEF, "loco_breach_org" },
    { 0x4EF0, "loco_breach_player_shot" },
    { 0x4EF1, "loco_breach_rpg_model" },
    { 0x4EF2, "loco_breach_slowmo" },
    { 0x4EF3, "loco_breach_smokin_mirrors" },
    { 0x4EF4, "loco_breach_visions" },
    { 0x4EF5, "loco_bridge_rog_strike" },
    { 0x4EF6, "loco_fall_dof" },
    { 0x4EF7, "loco_falling_glass" },
    { 0x4EF8, "loco_gunhold_end_slowmo" },
    { 0x4EF9, "loco_gunhold_player_drop_weapon" },
    { 0x4EFA, "loco_jumpdown_checkmate_dialogue" },
    { 0x4EFB, "loco_moving_platform" },
    { 0x4EFC, "loco_player_impulse_move_speed" },
    { 0x4EFD, "loco_slide_logic" },
    { 0x4EFE, "loco_slide_player_raise_weapon" },
    { 0x4EFF, "loco_slide_player_view_lerp_down" },
    { 0x4F00, "loco_slide_player_view_lerp_up" },
    { 0x4F01, "loco_standoff" },
    { 0x4F02, "loco_standoff_init_vars" },
    { 0x4F03, "loco_standoff_slowmo_sfx" },
    { 0x4F04, "loco_standoff_struggle_lerp_anims" },
    { 0x4F05, "loco_standoff_struggle_logic" },
    { 0x4F06, "log_anim_lengths" },
    { 0x4F07, "log_anims" },
    { 0x4F08, "log_pile_can_damage_player" },
    { 0x4F09, "log_pile_init" },
    { 0x4F0A, "log_pile_kill_trigger" },
    { 0x4F0B, "log_pile_kill_trigger_end" },
    { 0x4F0C, "log_pile_run" },
    { 0x4F0D, "log_pile_support_damage_watch" },
    { 0x4F0E, "log_piles" },
    { 0x4F0F, "log_piles_precache" },
    { 0x4F10, "log_supports" },
    { 0x4F11, "log_supports_broken" },
    { 0x4F12, "log_visual_link_joints" },
    { 0x4F13, "logattachmentstat" },
    { 0x4F14, "logaward" },
    { 0x4F15, "logchallenge" },
    { 0x4F16, "logclasschoice" },
    { 0x4F17, "loggameevent" },
    { 0x4F18, "logic" },
    { 0x4F19, "loginckillchain" },
    { 0x4F1A, "logkillevent" },
    { 0x4F1B, "logkillsconfirmed" },
    { 0x4F1C, "logkillsdenied" },
    { 0x4F1D, "logkillstreakevent" },
    { 0x4F1E, "logmultikill" },
    { 0x4F1F, "logo" },
    { 0x4F20, "logo2" },
    { 0x4F21, "logo_create" },
    { 0x4F22, "logo_dev_logos" },
    { 0x4F23, "logo_fade" },
    { 0x4F24, "logo_grow" },
    { 0x4F25, "logplayerdata" },
    { 0x4F26, "logplayerdeath" },
    { 0x4F27, "logplayerlife" },
    { 0x4F28, "logplayerxp" },
    { 0x4F29, "logs" },
    { 0x4F2A, "logweaponstat" },
    { 0x4F2B, "logxpgains" },
    { 0x4F2C, "loki_breach_lighting" },
    { 0x4F2D, "loki_control_room_boundaries" },
    { 0x4F2E, "loki_default_lighting_lerp_setup" },
    { 0x4F2F, "loki_default_lighting_setup" },
    { 0x4F30, "loki_drop_weapon" },
    { 0x4F31, "loki_drop_weapon_cleanup" },
    { 0x4F32, "loki_drop_weapon_trigger" },
    { 0x4F33, "loki_earth_control" },
    { 0x4F34, "loki_ending_lighting" },
    { 0x4F35, "loki_give_weapons" },
    { 0x4F36, "loki_infil_lighting" },
    { 0x4F37, "loki_intro_lod_hide" },
    { 0x4F38, "loki_rog_controls" },
    { 0x4F39, "loki_space_particulates" },
    { 0x4F3A, "loki_space_particulates_while_moving" },
    { 0x4F3B, "lonestar" },
    { 0x4F3C, "long_tracker" },
    { 0x4F3D, "longdeathstarting" },
    { 0x4F3E, "longestexposedapproachdist" },
    { 0x4F3F, "longregentime" },
    { 0x4F40, "longshot" },
    { 0x4F41, "look_at_damage_trigger" },
    { 0x4F42, "look_at_roof_nag" },
    { 0x4F43, "look_at_roof_nag_cleanup" },
    { 0x4F44, "look_at_roof_nag_vo" },
    { 0x4F45, "look_at_tower_early_vo" },
    { 0x4F46, "look_at_tower_vo" },
    { 0x4F47, "look_at_tower_vo_timeout" },
    { 0x4F48, "look_for_last_guy" },
    { 0x4F49, "look_for_last_guy_timeout" },
    { 0x4F4A, "lookahead_value" },
    { 0x4F4B, "lookangle" },
    { 0x4F4C, "lookat_ent" },
    { 0x4F4D, "lookat_triggers" },
    { 0x4F4E, "lookatent" },
    { 0x4F4F, "lookatidleupdate" },
    { 0x4F50, "lookatnum" },
    { 0x4F51, "lookattarget" },
    { 0x4F52, "lookcenter" },
    { 0x4F53, "lookdown_zodiacs" },
    { 0x4F54, "lookfast" },
    { 0x4F55, "lookforbettercover" },
    { 0x4F56, "lookforenemy" },
    { 0x4F57, "looking_at_ally" },
    { 0x4F58, "looking_at_mantle" },
    { 0x4F59, "lookline" },
    { 0x4F5A, "lookout_animation" },
    { 0x4F5B, "lookout_guys_logic" },
    { 0x4F5C, "lookupanim" },
    { 0x4F5D, "lookupanimarray" },
    { 0x4F5E, "lookupdeathquote" },
    { 0x4F5F, "lookupdoganim" },
    { 0x4F60, "lookuptransitionanim" },
    { 0x4F61, "loop" },
    { 0x4F62, "loop_anim" },
    { 0x4F63, "loop_armada" },
    { 0x4F64, "loop_array" },
    { 0x4F65, "loop_attack_func" },
    { 0x4F66, "loop_friendly_thermal_reflector_effect" },
    { 0x4F67, "loop_fx_on_vehicle_tag" },
    { 0x4F68, "loop_fx_sound" },
    { 0x4F69, "loop_fx_sound_interval" },
    { 0x4F6A, "loop_fx_sound_interval_with_angles" },
    { 0x4F6B, "loop_fx_sound_with_angles" },
    { 0x4F6C, "loop_guy_in_chair_beg" },
    { 0x4F6D, "loop_new_ships" },
    { 0x4F6E, "loop_sound" },
    { 0x4F6F, "loop_sound_delete" },
    { 0x4F70, "loop_sound_ent" },
    { 0x4F71, "loop_sound_on_ent" },
    { 0x4F72, "loop_zodiacs" },
    { 0x4F73, "looper" },
    { 0x4F74, "loopers" },
    { 0x4F75, "loopfx" },
    { 0x4F76, "loopfx_ontag" },
    { 0x4F77, "loopfxchangedelay" },
    { 0x4F78, "loopfxchangeid" },
    { 0x4F79, "loopfxchangeorg" },
    { 0x4F7A, "loopfxdeletion" },
    { 0x4F7B, "loopfxstop" },
    { 0x4F7C, "loopfxthread" },
    { 0x4F7D, "loophide" },
    { 0x4F7E, "loopidlesound" },
    { 0x4F7F, "looping_thruster_sfx" },
    { 0x4F80, "loopingsoundstopnotifies" },
    { 0x4F81, "looplocalseeksound" },
    { 0x4F82, "loopmovesound" },
    { 0x4F83, "loopreflectoreffect" },
    { 0x4F84, "loopsound" },
    { 0x4F85, "loopsound_ent" },
    { 0x4F86, "loopsoundthread" },
    { 0x4F87, "loopstingerlockedfeedback" },
    { 0x4F88, "loopstingerlockingfeedback" },
    { 0x4F89, "looptriggeredeffect" },
    { 0x4F8A, "loot_collection_timeout" },
    { 0x4F8B, "loot_offset" },
    { 0x4F8C, "loot_owner" },
    { 0x4F8D, "loot_pickup_listener" },
    { 0x4F8E, "loot_pickup_timeout" },
    { 0x4F8F, "lootbag" },
    { 0x4F90, "lootbox_listener" },
    { 0x4F91, "lootbox_table_init" },
    { 0x4F92, "lootbox_world_init" },
    { 0x4F93, "lootboxes" },
    { 0x4F94, "lootcrateeffect" },
    { 0x4F95, "loots" },
    { 0x4F96, "losradiusdamage" },
    { 0x4F97, "losthope_vo" },
    { 0x4F98, "low_speed_mult" },
    { 0x4F99, "low_wall_human" },
    { 0x4F9A, "lower_blastshield" },
    { 0x4F9B, "lower_bottom_bay_door" },
    { 0x4F9C, "lower_movement_speed" },
    { 0x4F9D, "lower_shield1" },
    { 0x4F9E, "lower_shield2" },
    { 0x4F9F, "lower_weapon_damage" },
    { 0x4FA0, "lowered" },
    { 0x4FA1, "lowermessage" },
    { 0x4FA2, "lowermessagefont" },
    { 0x4FA3, "lowermessages" },
    { 0x4FA4, "lowermessagethink" },
    { 0x4FA5, "lowertextfontsize" },
    { 0x4FA6, "lowertexty" },
    { 0x4FA7, "lowertextyalign" },
    { 0x4FA8, "lowertimer" },
    { 0x4FA9, "lowestwins" },
    { 0x4FAA, "lowestwithhalfplayedtime" },
    { 0x4FAB, "lowspeed_end_crossfade" },
    { 0x4FAC, "lowspeed_start_crossfade" },
    { 0x4FAD, "lowx" },
    { 0x4FAE, "lowy" },
    { 0x4FAF, "lrtest" },
    { 0x4FB0, "ltorigin" },
    { 0x4FB1, "lurker" },
    { 0x4FB2, "lurker_listen_trigger" },
    { 0x4FB3, "lurker_loop" },
    { 0x4FB4, "lv_trash_can_vegas" },
    { 0x4FB5, "lv_trash_can_vegas_hitfloor" },
    { 0x4FB6, "lv_trash_can_vegas_hitfloor_internal" },
    { 0x4FB7, "lv_trash_can_vegas_throwlid" },
    { 0x4FB8, "lvl" },
    { 0x4FB9, "lvl_visionset" },
    { 0x4FBA, "lynx_smash_array" },
    { 0x4FBB, "m880_connect_path_nodes" },
    { 0x4FBC, "m880_crash" },
    { 0x4FBD, "m880_crash_anim_init" },
    { 0x4FBE, "m880_crash_barrels" },
    { 0x4FBF, "m880_crash_debris" },
    { 0x4FC0, "m880_crash_debris_collision_change" },
    { 0x4FC1, "m880_crash_debris_left_side" },
    { 0x4FC2, "m880_crash_kill_in_volume" },
    { 0x4FC3, "m880_crash_kill_player_in_lynx_volume" },
    { 0x4FC4, "m880_crash_loop" },
    { 0x4FC5, "m880_crash_spawn" },
    { 0x4FC6, "m880_kill1_fail" },
    { 0x4FC7, "m880_kill1_start_spring_cam" },
    { 0x4FC8, "m880_kill_collision_change" },
    { 0x4FC9, "m880_lynx_crash" },
    { 0x4FCA, "m880_missile" },
    { 0x4FCB, "m880_missile_trail_fx" },
    { 0x4FCC, "m880_open_path" },
    { 0x4FCD, "m880_open_path_init" },
    { 0x4FCE, "m880_radiation_gate" },
    { 0x4FCF, "m880_waits" },
    { 0x4FD0, "m_angledelta" },
    { 0x4FD1, "m_anim" },
    { 0x4FD2, "m_delta" },
    { 0x4FD3, "m_turnanim" },
    { 0x4FD4, "m_worldstartpos" },
    { 0x4FD5, "magic_bullet_death_detection" },
    { 0x4FD6, "magic_bullet_shield" },
    { 0x4FD7, "magic_distance" },
    { 0x4FD8, "magic_missile_fire_at_ent" },
    { 0x4FD9, "magic_stealth_shot" },
    { 0x4FDA, "magicbullet_spray" },
    { 0x4FDB, "magicburst" },
    { 0x4FDC, "magicreloadwhenreachenemy" },
    { 0x4FDD, "main" },
    { 0x4FDE, "main2" },
    { 0x4FDF, "main_ascend" },
    { 0x4FE0, "main_barracks" },
    { 0x4FE1, "main_camp" },
    { 0x4FE2, "main_catwalks" },
    { 0x4FE3, "main_catwalks_end" },
    { 0x4FE4, "main_chopper_test" },
    { 0x4FE5, "main_command" },
    { 0x4FE6, "main_common" },
    { 0x4FE7, "main_driver" },
    { 0x4FE8, "main_end_beach" },
    { 0x4FE9, "main_end_swim" },
    { 0x4FEA, "main_end_wreck" },
    { 0x4FEB, "main_engine_room" },
    { 0x4FEC, "main_exfil" },
    { 0x4FED, "main_flarestack" },
    { 0x4FEE, "main_hangar" },
    { 0x4FEF, "main_loco" },
    { 0x4FF0, "main_loco_standoff" },
    { 0x4FF1, "main_mudpumps" },
    { 0x4FF2, "main_passenger" },
    { 0x4FF3, "main_pipe_deck" },
    { 0x4FF4, "main_pre_load" },
    { 0x4FF5, "main_refinery" },
    { 0x4FF6, "main_roof_combat" },
    { 0x4FF7, "main_rooftops" },
    { 0x4FF8, "main_sat1" },
    { 0x4FF9, "main_sat2" },
    { 0x4FFA, "main_sp" },
    { 0x4FFB, "main_spot" },
    { 0x4FFC, "main_swim" },
    { 0x4FFD, "main_tanks" },
    { 0x4FFE, "main_thread" },
    { 0x4FFF, "main_wolf" },
    { 0x5000, "maingun_fx" },
    { 0x5001, "maingun_fx_override" },
    { 0x5002, "mainloopstart" },
    { 0x5003, "make_allies_shoot_at_targets" },
    { 0x5004, "make_array" },
    { 0x5005, "make_discrete_trigger" },
    { 0x5006, "make_empty_breach" },
    { 0x5007, "make_enemies_miss_player_at_first" },
    { 0x5008, "make_enemy_squad_burst" },
    { 0x5009, "make_entity_sentient_mp" },
    { 0x500A, "make_hero" },
    { 0x500B, "make_item_ent_useable" },
    { 0x500C, "make_me_a_target" },
    { 0x500D, "make_player_look_away" },
    { 0x500E, "make_remaining_player_a_little_stronger" },
    { 0x500F, "make_road_path" },
    { 0x5010, "make_spitter_attack_chopper" },
    { 0x5011, "make_swimmer" },
    { 0x5012, "makecranked" },
    { 0x5013, "makeenemyusable" },
    { 0x5014, "makeentitysentient_func" },
    { 0x5015, "makeexplosivetargetablebyai" },
    { 0x5016, "makeexplosiveusable" },
    { 0x5017, "makehelitype" },
    { 0x5018, "makerealai" },
    { 0x5019, "makereviveentity" },
    { 0x501A, "makereviveicon" },
    { 0x501B, "makereviveiconentity" },
    { 0x501C, "makesentrynotsolid" },
    { 0x501D, "makesentrysolid" },
    { 0x501E, "makesolid" },
    { 0x501F, "makesureturnworks" },
    { 0x5020, "makesureweaponchanges" },
    { 0x5021, "maketeamusable" },
    { 0x5022, "malfunctioning_crane" },
    { 0x5023, "mall" },
    { 0x5024, "mall_attack_player" },
    { 0x5025, "mall_attack_player_vo" },
    { 0x5026, "mall_blockade" },
    { 0x5027, "mall_blockers" },
    { 0x5028, "mall_breach_enemy_1" },
    { 0x5029, "mall_breach_enemy_2" },
    { 0x502A, "mall_breach_enemy_ragdoll_on_death" },
    { 0x502B, "mall_breach_enemy_setup" },
    { 0x502C, "mall_btrs" },
    { 0x502D, "mall_crane" },
    { 0x502E, "mall_delete_rooftop_ents" },
    { 0x502F, "mall_delete_warehouse_ents" },
    { 0x5030, "mall_dialogue" },
    { 0x5031, "mall_dialogue_2" },
    { 0x5032, "mall_dialogue_grp1" },
    { 0x5033, "mall_dialogue_grp2" },
    { 0x5034, "mall_dog_init" },
    { 0x5035, "mall_door_temp_collision" },
    { 0x5036, "mall_enemy_spawn_func" },
    { 0x5037, "mall_exit" },
    { 0x5038, "mall_ext_sirens" },
    { 0x5039, "mall_grenadeammo" },
    { 0x503A, "mall_heli" },
    { 0x503B, "mall_heli_think" },
    { 0x503C, "mall_inside" },
    { 0x503D, "mall_light_cleanup" },
    { 0x503E, "mall_lone_patrol_think" },
    { 0x503F, "mall_lookout" },
    { 0x5040, "mall_marker" },
    { 0x5041, "mall_radioburst_volume" },
    { 0x5042, "mall_roof_door_firstframe" },
    { 0x5043, "mall_rooftop_floor_splash" },
    { 0x5044, "mall_rooftop_flyby_heli1" },
    { 0x5045, "mall_rooftop_flyby_heli2" },
    { 0x5046, "mall_rooftop_flyby_heli3" },
    { 0x5047, "mall_rooftop_flyby_helis" },
    { 0x5048, "mall_rooftop_heli_damage_watcher" },
    { 0x5049, "mall_rooftop_object_hide" },
    { 0x504A, "mall_rooftop_pickup_heli" },
    { 0x504B, "mall_rootop_event" },
    { 0x504C, "mall_sniper" },
    { 0x504D, "mall_spotted" },
    { 0x504E, "mall_spotted_kill" },
    { 0x504F, "mall_start" },
    { 0x5050, "mall_teleport_allies_to_exit" },
    { 0x5051, "mall_teleport_dog" },
    { 0x5052, "mall_walla_guys" },
    { 0x5053, "mall_walla_volume" },
    { 0x5054, "mallroof_acboxes" },
    { 0x5055, "mallroof_array" },
    { 0x5056, "mallroof_back" },
    { 0x5057, "mallroof_cables" },
    { 0x5058, "mallroof_center" },
    { 0x5059, "mallroof_far" },
    { 0x505A, "mallroof_firstframe" },
    { 0x505B, "mallroof_firstframe_show_objects" },
    { 0x505C, "mallroof_impact" },
    { 0x505D, "mallroof_rafters1" },
    { 0x505E, "mallroof_rafters2" },
    { 0x505F, "mallroof_smallrubble" },
    { 0x5060, "mallroof_struct" },
    { 0x5061, "manage_active_hind_forced_targets" },
    { 0x5062, "manage_all_rpg_ai_attack_player_think" },
    { 0x5063, "manage_all_rpg_ai_get_target" },
    { 0x5064, "manage_clear_dead" },
    { 0x5065, "manage_closest_target" },
    { 0x5066, "manage_closest_target_ally" },
    { 0x5067, "manage_closest_target_axis" },
    { 0x5068, "manage_control" },
    { 0x5069, "manage_earth" },
    { 0x506A, "manage_exterior_hatch_lights" },
    { 0x506B, "manage_mantles" },
    { 0x506C, "manage_player_linked_view" },
    { 0x506D, "manage_position_in_use_loc" },
    { 0x506E, "manage_power_junction_patrol" },
    { 0x506F, "manage_sentry_count" },
    { 0x5070, "manage_switching_vehicle_speed_loc" },
    { 0x5071, "manage_target_loc" },
    { 0x5072, "manage_use_region" },
    { 0x5073, "manhandled" },
    { 0x5074, "manhandled_spawners" },
    { 0x5075, "manhandler" },
    { 0x5076, "manhandler_hold" },
    { 0x5077, "manhandler_think" },
    { 0x5078, "manipulate_createfx_ents" },
    { 0x5079, "mansion" },
    { 0x507A, "mansion_debris_switch" },
    { 0x507B, "mansion_dialogue" },
    { 0x507C, "mansion_exit" },
    { 0x507D, "mansion_exit_door_handler" },
    { 0x507E, "mansion_exploders" },
    { 0x507F, "mansion_ext" },
    { 0x5080, "mansion_ext_elias_leaves" },
    { 0x5081, "mansion_hesh" },
    { 0x5082, "mansion_middle_room_handler" },
    { 0x5083, "mansion_pool_crack" },
    { 0x5084, "mansion_quake_sounds" },
    { 0x5085, "mansion_sound_on_helis" },
    { 0x5086, "mantis_explosion" },
    { 0x5087, "mantis_explosion_fragment" },
    { 0x5088, "mantis_fire" },
    { 0x5089, "mantis_fire_tail" },
    { 0x508A, "mantling" },
    { 0x508B, "manual_clear_hint_on_trigger" },
    { 0x508C, "manual_hint_display" },
    { 0x508D, "manual_linkto" },
    { 0x508E, "manual_tag_linkto" },
    { 0x508F, "manual_target" },
    { 0x5090, "manual_think" },
    { 0x5091, "manualdropthink" },
    { 0x5092, "manually_alert_me" },
    { 0x5093, "manualmove" },
    { 0x5094, "manualtarget" },
    { 0x5095, "map_extents" },
    { 0x5096, "map_height" },
    { 0x5097, "map_is_early_in_the_game" },
    { 0x5098, "map_width" },
    { 0x5099, "map_without_loadout" },
    { 0x509A, "mapcenter" },
    { 0x509B, "mapcustombotkillstreakfunc" },
    { 0x509C, "mapcustomcratefunc" },
    { 0x509D, "mapcustomkillstreakfunc" },
    { 0x509E, "mapsize" },
    { 0x509F, "mark_completed" },
    { 0x50A0, "mark_dangerous_nodes" },
    { 0x50A1, "mark_friendly_vehicles" },
    { 0x50A2, "mark_mantis_turrets" },
    { 0x50A3, "mark_suits_for_delete" },
    { 0x50A4, "markedduration" },
    { 0x50A5, "markedplayers" },
    { 0x50A6, "markenemyposinvisible" },
    { 0x50A7, "marker" },
    { 0x50A8, "markeractivate" },
    { 0x50A9, "markfordetete" },
    { 0x50AA, "markplayer" },
    { 0x50AB, "mash_to_survive" },
    { 0x50AC, "mask" },
    { 0x50AD, "mask_destructibles_in_volumes" },
    { 0x50AE, "mask_exploders_in_volume" },
    { 0x50AF, "mask_interactives" },
    { 0x50B0, "mask_interactives_in_volumes" },
    { 0x50B1, "mask_prop" },
    { 0x50B2, "masked_exploder" },
    { 0x50B3, "massnodeinitfunctions" },
    { 0x50B4, "master" },
    { 0x50B5, "masterhud" },
    { 0x50B6, "masterychallengeprocess" },
    { 0x50B7, "match_events_fx" },
    { 0x50B8, "match_player_speed" },
    { 0x50B9, "matchbonus" },
    { 0x50BA, "matchesowner" },
    { 0x50BB, "matchestargetteam" },
    { 0x50BC, "matchevents" },
    { 0x50BD, "matcheventsinit" },
    { 0x50BE, "matcheventstarted" },
    { 0x50BF, "matchforfeittimer" },
    { 0x50C0, "matchforfeittimer_internal" },
    { 0x50C1, "matchmakinggame" },
    { 0x50C2, "matchoutcomenotify" },
    { 0x50C3, "matchrules_allowcustomclasses" },
    { 0x50C4, "matchrules_damagemultiplier" },
    { 0x50C5, "matchrules_numinitialinfected" },
    { 0x50C6, "matchrules_randomize" },
    { 0x50C7, "matchrules_showjuggradaricon" },
    { 0x50C8, "matchrules_vampirism" },
    { 0x50C9, "matchstarttimer" },
    { 0x50CA, "matchstarttimer_internal" },
    { 0x50CB, "matchstarttimerpc" },
    { 0x50CC, "matchstarttimerskip" },
    { 0x50CD, "material" },
    { 0x50CE, "matv" },
    { 0x50CF, "matv_player_jumped_in" },
    { 0x50D0, "matv_sounds" },
    { 0x50D1, "max_ai_out" },
    { 0x50D2, "max_alien_count" },
    { 0x50D3, "max_break_away_zone_score_increase" },
    { 0x50D4, "max_capacity" },
    { 0x50D5, "max_count" },
    { 0x50D6, "max_damage" },
    { 0x50D7, "max_distance" },
    { 0x50D8, "max_drones" },
    { 0x50D9, "max_health" },
    { 0x50DA, "max_hit_count" },
    { 0x50DB, "max_hive_score_breakdown" },
    { 0x50DC, "max_lurker_population" },
    { 0x50DD, "max_number_of_dead_bodies" },
    { 0x50DE, "max_of_type" },
    { 0x50DF, "max_rotation_speed" },
    { 0x50E0, "max_sniper_burst_delay_time" },
    { 0x50E1, "max_sound_ents" },
    { 0x50E2, "max_spawned" },
    { 0x50E3, "max_speed" },
    { 0x50E4, "max_traces_reached" },
    { 0x50E5, "max_upload" },
    { 0x50E6, "max_velocity" },
    { 0x50E7, "max_warnings" },
    { 0x50E8, "max_zodiacs" },
    { 0x50E9, "max_zoom_dof" },
    { 0x50EA, "maxalienattackerdifficultyvalue" },
    { 0x50EB, "maxaliveenemycount" },
    { 0x50EC, "maxallowedteamkills" },
    { 0x50ED, "maxalpha" },
    { 0x50EE, "maxammopickupsperround" },
    { 0x50EF, "maxanglecheckpitchdelta" },
    { 0x50F0, "maxanglecheckyawdelta" },
    { 0x50F1, "maxbounces" },
    { 0x50F2, "maxbounces_ng" },
    { 0x50F3, "maxclients" },
    { 0x50F4, "maxcurrency" },
    { 0x50F5, "maxdamage" },
    { 0x50F6, "maxdestructions" },
    { 0x50F7, "maxdetpackdamage" },
    { 0x50F8, "maxdirections" },
    { 0x50F9, "maxdist" },
    { 0x50FA, "maxdistance" },
    { 0x50FB, "maxdistancecallout" },
    { 0x50FC, "maxdriftdist" },
    { 0x50FD, "maxemissive" },
    { 0x50FE, "maxenemycount" },
    { 0x50FF, "maxevents" },
    { 0x5100, "maxfiredelay" },
    { 0x5101, "maxflashedseconds" },
    { 0x5102, "maxfontscale" },
    { 0x5103, "maxfriendlies" },
    { 0x5104, "maxhealthoverlay" },
    { 0x5105, "maxheight" },
    { 0x5106, "maxkillstreaks" },
    { 0x5107, "maxlaststands" },
    { 0x5108, "maxlightstopsperframe" },
    { 0x5109, "maxlives" },
    { 0x510A, "maxlogclients" },
    { 0x510B, "maxmove" },
    { 0x510C, "maxnamelength" },
    { 0x510D, "maxnumawardsperplayer" },
    { 0x510E, "maxnumchallengesperplayer" },
    { 0x510F, "maxopacity" },
    { 0x5110, "maxperplayerexplosives" },
    { 0x5111, "maxpickupsperround" },
    { 0x5112, "maxplayercount" },
    { 0x5113, "maxprestige" },
    { 0x5114, "maxradius" },
    { 0x5115, "maxrank" },
    { 0x5116, "maxropejumpangle" },
    { 0x5117, "maxrounds" },
    { 0x5118, "maxrunngunangle" },
    { 0x5119, "maxspeakers" },
    { 0x511A, "maxtracecount" },
    { 0x511B, "maxturn" },
    { 0x511C, "maxuses" },
    { 0x511D, "maxvehiclesallowed" },
    { 0x511E, "maxvisibledist_old" },
    { 0x511F, "may_change_cover_warning_alpha" },
    { 0x5120, "maydolaststand" },
    { 0x5121, "maydolaststandalien" },
    { 0x5122, "maydolaststandhorde" },
    { 0x5123, "maydoupwardsdeath" },
    { 0x5124, "maydropweapon" },
    { 0x5125, "mayonlydie" },
    { 0x5126, "mayprocesschallenges" },
    { 0x5127, "mayshootwhilemoving" },
    { 0x5128, "mayspawn" },
    { 0x5129, "maythrowdoublegrenade" },
    { 0x512A, "mccoy_anim_org" },
    { 0x512B, "measure_shaft" },
    { 0x512C, "medbay_cleanup" },
    { 0x512D, "medbay_player_anim" },
    { 0x512E, "media_guys" },
    { 0x512F, "medic_health_regen" },
    { 0x5130, "medic_regenerate_health_once" },
    { 0x5131, "medic_regeneration" },
    { 0x5132, "meeting_animation" },
    { 0x5133, "meeting_guys" },
    { 0x5134, "meeting_guys_logic" },
    { 0x5135, "meeting_guys_vo" },
    { 0x5136, "meetup_vo" },
    { 0x5137, "meetuptalkscene" },
    { 0x5138, "melee" },
    { 0x5139, "melee_able_timer" },
    { 0x513A, "melee_acknowledge_player_input" },
    { 0x513B, "melee_acquiremutex" },
    { 0x513C, "melee_aivsai_animcustominterruptionmonitor" },
    { 0x513D, "melee_aivsai_chooseaction" },
    { 0x513E, "melee_aivsai_execute" },
    { 0x513F, "melee_aivsai_exposed_chooseanimationandposition" },
    { 0x5140, "melee_aivsai_exposed_chooseanimationandposition_behind" },
    { 0x5141, "melee_aivsai_exposed_chooseanimationandposition_buildexposedlist" },
    { 0x5142, "melee_aivsai_exposed_chooseanimationandposition_flip" },
    { 0x5143, "melee_aivsai_exposed_chooseanimationandposition_wrestle" },
    { 0x5144, "melee_aivsai_getinposition" },
    { 0x5145, "melee_aivsai_getinposition_finalize" },
    { 0x5146, "melee_aivsai_getinposition_issuccessful" },
    { 0x5147, "melee_aivsai_getinposition_updateandvalidatetarget" },
    { 0x5148, "melee_aivsai_main" },
    { 0x5149, "melee_aivsai_schedulenotetracklink" },
    { 0x514A, "melee_aivsai_specialcover_canexecute" },
    { 0x514B, "melee_aivsai_specialcover_chooseanimationandposition" },
    { 0x514C, "melee_aivsai_targetlink" },
    { 0x514D, "melee_chooseaction" },
    { 0x514E, "melee_choosejumparrival" },
    { 0x514F, "melee_clean_up" },
    { 0x5150, "melee_clearfacialanim" },
    { 0x5151, "melee_damage" },
    { 0x5152, "melee_damage_stab" },
    { 0x5153, "melee_damage_trigger" },
    { 0x5154, "melee_death_fx" },
    { 0x5155, "melee_deathhandler_delayed" },
    { 0x5156, "melee_deathhandler_regular" },
    { 0x5157, "melee_decide_winner" },
    { 0x5158, "melee_disableinterruptions" },
    { 0x5159, "melee_dodamage" },
    { 0x515A, "melee_dof" },
    { 0x515B, "melee_dogcleanup" },
    { 0x515C, "melee_droppedweaponmonitorthread" },
    { 0x515D, "melee_droppedweaponrestore" },
    { 0x515E, "melee_endscript" },
    { 0x515F, "melee_endscript_checkdeath" },
    { 0x5160, "melee_endscript_checkpositionandmovement" },
    { 0x5161, "melee_endscript_checkstatechanges" },
    { 0x5162, "melee_endscript_checkweapon" },
    { 0x5163, "melee_handlenotetracks" },
    { 0x5164, "melee_handlenotetracks_death" },
    { 0x5165, "melee_handlenotetracks_shoulddieafterunsync" },
    { 0x5166, "melee_handlenotetracks_unsync" },
    { 0x5167, "melee_hint" },
    { 0x5168, "melee_hint_fade" },
    { 0x5169, "melee_in_move_back" },
    { 0x516A, "melee_in_posture" },
    { 0x516B, "melee_init" },
    { 0x516C, "melee_isvalid" },
    { 0x516D, "melee_jumping" },
    { 0x516E, "melee_jumping_to_wall" },
    { 0x516F, "melee_kill_stab" },
    { 0x5170, "melee_leap" },
    { 0x5171, "melee_leap_internal" },
    { 0x5172, "melee_leapwaitfordamage" },
    { 0x5173, "melee_lose" },
    { 0x5174, "melee_mainloop" },
    { 0x5175, "melee_needsweaponswap" },
    { 0x5176, "melee_okay" },
    { 0x5177, "melee_on_spotted" },
    { 0x5178, "melee_partnerendedmeleemonitorthread" },
    { 0x5179, "melee_partnerendedmeleemonitorthread_shouldanimsurvive" },
    { 0x517A, "melee_playchargesound" },
    { 0x517B, "melee_player_lerp_back" },
    { 0x517C, "melee_playfacialanim" },
    { 0x517D, "melee_releasemutex" },
    { 0x517E, "melee_resetaction" },
    { 0x517F, "melee_scalar" },
    { 0x5180, "melee_setjumpanimstates" },
    { 0x5181, "melee_standard_checktimeconstraints" },
    { 0x5182, "melee_standard_chooseaction" },
    { 0x5183, "melee_standard_delaystandardcharge" },
    { 0x5184, "melee_standard_getinposition" },
    { 0x5185, "melee_standard_main" },
    { 0x5186, "melee_standard_playattackloop" },
    { 0x5187, "melee_standard_resetgiveuptime" },
    { 0x5188, "melee_standard_updateandvalidatetarget" },
    { 0x5189, "melee_startmovement" },
    { 0x518A, "melee_stealthcheck" },
    { 0x518B, "melee_stopmovement" },
    { 0x518C, "melee_success" },
    { 0x518D, "melee_swipe" },
    { 0x518E, "melee_swipe_static" },
    { 0x518F, "melee_synch" },
    { 0x5190, "melee_synch_attack" },
    { 0x5191, "melee_trigger" },
    { 0x5192, "melee_tryexecuting" },
    { 0x5193, "melee_type" },
    { 0x5194, "melee_unlink" },
    { 0x5195, "melee_unlinkinternal" },
    { 0x5196, "melee_updateandvalidatestartpos" },
    { 0x5197, "melee_wait_for_player_input" },
    { 0x5198, "melee_wall" },
    { 0x5199, "meleealwayswin" },
    { 0x519A, "meleeattackcheck_whilemoving" },
    { 0x519B, "meleebiteattackplayer" },
    { 0x519C, "meleechargedistsq" },
    { 0x519D, "meleecoverchargegraceendtime" },
    { 0x519E, "meleecoverchargemintime" },
    { 0x519F, "meleedamage" },
    { 0x51A0, "meleefailed" },
    { 0x51A1, "meleeforcedexposedflip" },
    { 0x51A2, "meleeforcedexposedwrestle" },
    { 0x51A3, "meleegetattackercardinaldirection" },
    { 0x51A4, "meleehintelem" },
    { 0x51A5, "meleeingplayer" },
    { 0x51A6, "meleekilltarget" },
    { 0x51A7, "meleeplayerwhilemoving" },
    { 0x51A8, "meleeradiussq" },
    { 0x51A9, "meleeseq" },
    { 0x51AA, "meleestate" },
    { 0x51AB, "meleestrength" },
    { 0x51AC, "meleestruggle_istraverse" },
    { 0x51AD, "meleestrugglevsai" },
    { 0x51AE, "meleestrugglevsai_first_attack" },
    { 0x51AF, "meleestrugglevsai_interrupted_animcustom" },
    { 0x51B0, "meleestrugglevsai_interrupted_animcustom_cleanup" },
    { 0x51B1, "meleestrugglevsai_interruptedcheck" },
    { 0x51B2, "meleestrugglevsai_short" },
    { 0x51B3, "meleestrugglevsai_supershort" },
    { 0x51B4, "meleestrugglevsai_traverse" },
    { 0x51B5, "meleestrugglevsdog" },
    { 0x51B6, "meleestrugglevsdog_collision" },
    { 0x51B7, "meleestrugglevsdog_end" },
    { 0x51B8, "meleestrugglevsdog_interruptedcheck" },
    { 0x51B9, "meleestrugglevsdog_justdie" },
    { 0x51BA, "meleestrugglevsdog_short" },
    { 0x51BB, "meleestrugglevsdog_traverse" },
    { 0x51BC, "meleestun" },
    { 0x51BD, "memberaddfuncs" },
    { 0x51BE, "memberaddstrings" },
    { 0x51BF, "membercombatwaiter" },
    { 0x51C0, "membercount" },
    { 0x51C1, "memberdeathwaiter" },
    { 0x51C2, "memberid" },
    { 0x51C3, "memberremovefuncs" },
    { 0x51C4, "memberremovestrings" },
    { 0x51C5, "members" },
    { 0x51C6, "menu" },
    { 0x51C7, "menu_add_options" },
    { 0x51C8, "menu_change_selected_fx" },
    { 0x51C9, "menu_create" },
    { 0x51CA, "menu_create_select" },
    { 0x51CB, "menu_fx_creation" },
    { 0x51CC, "menu_fx_option_set" },
    { 0x51CD, "menu_none" },
    { 0x51CE, "menu_select_by_name" },
    { 0x51CF, "menuclass" },
    { 0x51D0, "menunone" },
    { 0x51D1, "menus" },
    { 0x51D2, "menuspectator" },
    { 0x51D3, "merrick" },
    { 0x51D4, "merrick_goes_green" },
    { 0x51D5, "merrick_handle_name_when_scanning" },
    { 0x51D6, "merrick_look_at_flyby" },
    { 0x51D7, "merrick_medbay" },
    { 0x51D8, "merrick_move_to_edge" },
    { 0x51D9, "merrick_scene" },
    { 0x51DA, "merrick_scene_dialogue" },
    { 0x51DB, "merrick_scene_dialogue2" },
    { 0x51DC, "merrick_scene_player_unlink" },
    { 0x51DD, "merrick_script_delay_post" },
    { 0x51DE, "merrick_shoot_until_player_jumps_into_tower" },
    { 0x51DF, "merrick_shoots_first_guy" },
    { 0x51E0, "merrick_vip_vo" },
    { 0x51E1, "metal_detector" },
    { 0x51E2, "metal_detector_dmg_monitor" },
    { 0x51E3, "metal_detector_touch_monitor" },
    { 0x51E4, "metal_detector_weapons" },
    { 0x51E5, "metal_tower_collapse" },
    { 0x51E6, "meteorfireworks" },
    { 0x51E7, "meteorfireworkstructs" },
    { 0x51E8, "meteoroid" },
    { 0x51E9, "meteoroid_clips" },
    { 0x51EA, "meteoroid_end_angles" },
    { 0x51EB, "meteoroid_end_pos" },
    { 0x51EC, "meteoroid_final_angles" },
    { 0x51ED, "meteoroid_final_pos" },
    { 0x51EE, "meteoroid_impact_nodes" },
    { 0x51EF, "meteoroid_start_angles" },
    { 0x51F0, "meteoroid_start_pos" },
    { 0x51F1, "methodsinit" },
    { 0x51F2, "mg" },
    { 0x51F3, "mg42" },
    { 0x51F4, "mg42_enabled" },
    { 0x51F5, "mg42_firing" },
    { 0x51F6, "mg42_gunner_manual_think" },
    { 0x51F7, "mg42_gunner_think" },
    { 0x51F8, "mg42_hide_distance" },
    { 0x51F9, "mg42_setdifficulty" },
    { 0x51FA, "mg42_suppressionfire" },
    { 0x51FB, "mg42_target_drones" },
    { 0x51FC, "mg42_think" },
    { 0x51FD, "mg42_trigger" },
    { 0x51FE, "mg42badplace_maxtime" },
    { 0x51FF, "mg42badplace_mintime" },
    { 0x5200, "mg42pain" },
    { 0x5201, "mg_animmg" },
    { 0x5202, "mg_gunner_death_notify" },
    { 0x5203, "mg_gunner_team" },
    { 0x5204, "mg_target" },
    { 0x5205, "mg_turret_do_something_while_waiting_for_player" },
    { 0x5206, "mginit" },
    { 0x5207, "mgkill" },
    { 0x5208, "mgoff" },
    { 0x5209, "mgon" },
    { 0x520A, "mgteam_take_turns_firing" },
    { 0x520B, "mgturret" },
    { 0x520C, "mgturret1" },
    { 0x520D, "mgturret_auto" },
    { 0x520E, "mgturretinfo" },
    { 0x520F, "mgturretleft" },
    { 0x5210, "mgturretright" },
    { 0x5211, "mgturretsettings" },
    { 0x5212, "mid_dlight" },
    { 0x5213, "mid_window_count" },
    { 0x5214, "mid_z" },
    { 0x5215, "middle_boat" },
    { 0x5216, "middle_boat_audio_explode_crash" },
    { 0x5217, "middle_boat_balloon_think" },
    { 0x5218, "middle_room_fall" },
    { 0x5219, "middle_tank_vo" },
    { 0x521A, "midpoint" },
    { 0x521B, "midvel" },
    { 0x521C, "mig29_afterburners_node_wait" },
    { 0x521D, "mig29_fire" },
    { 0x521E, "mig29_fire_missiles" },
    { 0x521F, "mig29_gun_dives" },
    { 0x5220, "mig29_missile_dives" },
    { 0x5221, "mig29_missile_set_target" },
    { 0x5222, "mig29_monitor_projectile_death" },
    { 0x5223, "mig29_wait_fire_missile" },
    { 0x5224, "mig29_wait_start_firing" },
    { 0x5225, "mig29_wait_stop_firing" },
    { 0x5226, "mig_damage_watcher" },
    { 0x5227, "mig_fires_at_c17_scene" },
    { 0x5228, "might_hit_enemy" },
    { 0x5229, "min_alert_level_duration" },
    { 0x522A, "min_bulletwhizby_altert_dist" },
    { 0x522B, "min_damage" },
    { 0x522C, "min_dist_from_all_locations" },
    { 0x522D, "min_intensity" },
    { 0x522E, "min_radius" },
    { 0x522F, "min_sniper_burst_delay_time" },
    { 0x5230, "min_spawn_interval" },
    { 0x5231, "min_spawned" },
    { 0x5232, "min_speed" },
    { 0x5233, "mindamage" },
    { 0x5234, "mindetpackdamage" },
    { 0x5235, "mindistancecallout" },
    { 0x5236, "mindistsquared" },
    { 0x5237, "mine_beacon" },
    { 0x5238, "mine_blink_fx" },
    { 0x5239, "mine_damage_increase" },
    { 0x523A, "mine_explode" },
    { 0x523B, "mine_explode_think" },
    { 0x523C, "mine_launch" },
    { 0x523D, "mine_notify_on_level" },
    { 0x523E, "mine_notify_on_tigger" },
    { 0x523F, "mine_pickup_sound" },
    { 0x5240, "mine_spin" },
    { 0x5241, "minebounce" },
    { 0x5242, "minedamagedebug" },
    { 0x5243, "minedamagehalfheight" },
    { 0x5244, "minedamageheightpassed" },
    { 0x5245, "minedamagemax" },
    { 0x5246, "minedamagemin" },
    { 0x5247, "minedamagemonitor" },
    { 0x5248, "minedamageradius" },
    { 0x5249, "minedeletetrigger" },
    { 0x524A, "minedetectiongraceperiod" },
    { 0x524B, "minedetectionheight" },
    { 0x524C, "minedetectionradius" },
    { 0x524D, "mineexplodeonnotify" },
    { 0x524E, "minefield" },
    { 0x524F, "minefield_kill" },
    { 0x5250, "minefield_think" },
    { 0x5251, "minefields" },
    { 0x5252, "mineproximitytrigger" },
    { 0x5253, "mines" },
    { 0x5254, "mines_grab" },
    { 0x5255, "mines_ready_to_throw" },
    { 0x5256, "mineselfdestruct" },
    { 0x5257, "mineselfdestructtime" },
    { 0x5258, "minesensorbounce" },
    { 0x5259, "minesensoronnotify" },
    { 0x525A, "minethrown" },
    { 0x525B, "mineused" },
    { 0x525C, "minewatchownerchangeteams" },
    { 0x525D, "minewatchownerdisconnect" },
    { 0x525E, "minexposedgrenadedist" },
    { 0x525F, "minfiredelay" },
    { 0x5260, "mini_earthquakes" },
    { 0x5261, "mini_sub_prop_wash" },
    { 0x5262, "mini_sub_prop_wash_stop" },
    { 0x5263, "minigun_ai_target_cleanup" },
    { 0x5264, "minigun_anims" },
    { 0x5265, "minigun_cleanup_func" },
    { 0x5266, "minigun_fire" },
    { 0x5267, "minigun_fire_loop" },
    { 0x5268, "minigun_fire_sounds" },
    { 0x5269, "minigun_hints_off" },
    { 0x526A, "minigun_hints_on" },
    { 0x526B, "minigun_ignoreme" },
    { 0x526C, "minigun_rumble" },
    { 0x526D, "minigun_sound_spindown" },
    { 0x526E, "minigun_sound_spinloop" },
    { 0x526F, "minigun_sound_spinup" },
    { 0x5270, "minigun_spindown" },
    { 0x5271, "minigun_spindown_sound" },
    { 0x5272, "minigun_spinup" },
    { 0x5273, "minigun_think" },
    { 0x5274, "minigun_turret_placed_listener" },
    { 0x5275, "minigun_turret_watch_ammo" },
    { 0x5276, "minigun_used" },
    { 0x5277, "minigunchance" },
    { 0x5278, "minigunhintfire" },
    { 0x5279, "minigunhintspin" },
    { 0x527A, "minigunsspinning" },
    { 0x527B, "minigunuser" },
    { 0x527C, "minigunweapon" },
    { 0x527D, "minimap_image" },
    { 0x527E, "minimapcornertargetname" },
    { 0x527F, "minimapheight" },
    { 0x5280, "minimaporigin" },
    { 0x5281, "minimapplayer" },
    { 0x5282, "minindoortime" },
    { 0x5283, "minion_approach" },
    { 0x5284, "minion_chatter_monitor" },
    { 0x5285, "minion_explode_on_death" },
    { 0x5286, "minion_init" },
    { 0x5287, "minoffsetfromowner" },
    { 0x5288, "minradius" },
    { 0x5289, "misc_setup" },
    { 0x528A, "miss_player" },
    { 0x528B, "missed_enemy" },
    { 0x528C, "missed_target" },
    { 0x528D, "missile" },
    { 0x528E, "missile_array" },
    { 0x528F, "missile_attack_notify_target_of_lock_and_delay" },
    { 0x5290, "missile_bases" },
    { 0x5291, "missile_check_ammo" },
    { 0x5292, "missile_deathwait" },
    { 0x5293, "missile_defense" },
    { 0x5294, "missile_dist_internal" },
    { 0x5295, "missile_earthquake" },
    { 0x5296, "missile_effect" },
    { 0x5297, "missile_explode" },
    { 0x5298, "missile_fall" },
    { 0x5299, "missile_find_ground_target" },
    { 0x529A, "missile_get_desired_angles_to_target" },
    { 0x529B, "missile_get_distance_to_target" },
    { 0x529C, "missile_handle_boost_fov_lerps" },
    { 0x529D, "missile_handle_thermal" },
    { 0x529E, "missile_hud_item" },
    { 0x529F, "missile_in_sky" },
    { 0x52A0, "missile_index" },
    { 0x52A1, "missile_isincoming" },
    { 0x52A2, "missile_launch" },
    { 0x52A3, "missile_launch_allies" },
    { 0x52A4, "missile_launch_failsafe" },
    { 0x52A5, "missile_launch_missile" },
    { 0x52A6, "missile_launch_setup" },
    { 0x52A7, "missile_launch_visionset" },
    { 0x52A8, "missile_launcher_battlechatter" },
    { 0x52A9, "missile_launcher_destruction_vignette" },
    { 0x52AA, "missile_launcher_destruction_vignette_allies" },
    { 0x52AB, "missile_launcher_vo" },
    { 0x52AC, "missile_life" },
    { 0x52AD, "missile_lockon_notify_delay" },
    { 0x52AE, "missile_monitormisstarget" },
    { 0x52AF, "missile_move_firemissile" },
    { 0x52B0, "missile_ondeathdeletetarget" },
    { 0x52B1, "missile_remove_blur" },
    { 0x52B2, "missile_settargetandflightmode" },
    { 0x52B3, "missile_silo_doors" },
    { 0x52B4, "missile_spawnandlockontotarget" },
    { 0x52B5, "missile_starts" },
    { 0x52B6, "missile_strike" },
    { 0x52B7, "missile_target" },
    { 0x52B8, "missile_targetoffset" },
    { 0x52B9, "missile_timeout" },
    { 0x52BA, "missile_towerbuzz" },
    { 0x52BB, "missile_trackrealtarget" },
    { 0x52BC, "missile_trigger_explode" },
    { 0x52BD, "missile_truck_fire_missile" },
    { 0x52BE, "missile_update_scanline" },
    { 0x52BF, "missileacquiretargets" },
    { 0x52C0, "missileattractor" },
    { 0x52C1, "missiledefense" },
    { 0x52C2, "missiledialognext" },
    { 0x52C3, "missileeyes" },
    { 0x52C4, "missilefire" },
    { 0x52C5, "missilegetbesttarget" },
    { 0x52C6, "missileglassshattervel" },
    { 0x52C7, "missilehit" },
    { 0x52C8, "missileinfo" },
    { 0x52C9, "missileisgoodtarget" },
    { 0x52CA, "missilelocktarget" },
    { 0x52CB, "missilelosetarget" },
    { 0x52CC, "missileremotelaunchhorz" },
    { 0x52CD, "missileremotelaunchtargetdist" },
    { 0x52CE, "missileremotelaunchvert" },
    { 0x52CF, "missiles" },
    { 0x52D0, "missiles_chasing" },
    { 0x52D1, "missiles_precache" },
    { 0x52D2, "missiles_waiting" },
    { 0x52D3, "missileschasing" },
    { 0x52D4, "missiletags" },
    { 0x52D5, "missiletargetangle" },
    { 0x52D6, "missiletargetflareradius" },
    { 0x52D7, "missilewaitfortriggerrelease" },
    { 0x52D8, "missing_animation_parameters" },
    { 0x52D9, "missing_animations" },
    { 0x52DA, "mission_fail_func" },
    { 0x52DB, "mission_fail_on_dog_death" },
    { 0x52DC, "mission_failed_garage" },
    { 0x52DD, "mission_failed_garage_provoke" },
    { 0x52DE, "mission_failed_intro" },
    { 0x52DF, "mission_failed_watcher" },
    { 0x52E0, "mission_finished" },
    { 0x52E1, "mission_flag_inits" },
    { 0x52E2, "mission_global_inits" },
    { 0x52E3, "mission_hide_at_start" },
    { 0x52E4, "mission_mains" },
    { 0x52E5, "mission_music" },
    { 0x52E6, "mission_object_control" },
    { 0x52E7, "mission_object_control_global" },
    { 0x52E8, "mission_objective_logic" },
    { 0x52E9, "mission_objectives" },
    { 0x52EA, "mission_post_inits" },
    { 0x52EB, "mission_precache" },
    { 0x52EC, "mission_recon" },
    { 0x52ED, "missioncallbacks" },
    { 0x52EE, "missionend" },
    { 0x52EF, "missionfail" },
    { 0x52F0, "missionfail_rorke" },
    { 0x52F1, "missionfailed" },
    { 0x52F2, "missionfailedwrapper" },
    { 0x52F3, "missionsettings" },
    { 0x52F4, "misstime" },
    { 0x52F5, "misstimeconstant" },
    { 0x52F6, "misstimedebounce" },
    { 0x52F7, "misstimedistancefactor" },
    { 0x52F8, "mist_enter_time" },
    { 0x52F9, "mist_fog" },
    { 0x52FA, "mix" },
    { 0x52FB, "mix_ambient_tracks" },
    { 0x52FC, "mix_down" },
    { 0x52FD, "mix_up" },
    { 0x52FE, "mk32_badassery" },
    { 0x52FF, "mk32_intro_fire" },
    { 0x5300, "mk32_mode" },
    { 0x5301, "ml_driver_spawn_func" },
    { 0x5302, "mlrs_kill1_barricades" },
    { 0x5303, "mlrs_kill1_end" },
    { 0x5304, "mlrs_kill1_end_spawn" },
    { 0x5305, "mlrs_kill1_spawn" },
    { 0x5306, "mlrs_kill1_start" },
    { 0x5307, "mlrs_qte_prompt" },
    { 0x5308, "mlrs_start_qte" },
    { 0x5309, "mlrs_stop_qte_hint" },
    { 0x530A, "mobilemortar" },
    { 0x530B, "mod" },
    { 0x530C, "moddedwinneroverride" },
    { 0x530D, "model_anims" },
    { 0x530E, "model_dummy_death" },
    { 0x530F, "model_init" },
    { 0x5310, "model_name_dummy" },
    { 0x5311, "model_name_enemy" },
    { 0x5312, "model_name_friendly" },
    { 0x5313, "model_to_vehicle" },
    { 0x5314, "modelbase" },
    { 0x5315, "modelblades" },
    { 0x5316, "modelbombsquad" },
    { 0x5317, "modeldestroyed" },
    { 0x5318, "modeldummy" },
    { 0x5319, "modeldummyon" },
    { 0x531A, "modelmgturret" },
    { 0x531B, "modelnames" },
    { 0x531C, "modelplacement" },
    { 0x531D, "modelplacementfailed" },
    { 0x531E, "modelscale" },
    { 0x531F, "modifier" },
    { 0x5320, "modifiers" },
    { 0x5321, "modify_moveplaybackrate_together" },
    { 0x5322, "modify_player_speed" },
    { 0x5323, "modify_rate" },
    { 0x5324, "modify_sentry_setting" },
    { 0x5325, "modifydamage" },
    { 0x5326, "modifyplayerdamage" },
    { 0x5327, "modifyplayerdamagehorde" },
    { 0x5328, "mods_override" },
    { 0x5329, "modulate_speed_based_on_progress" },
    { 0x532A, "module_ext" },
    { 0x532B, "module_int" },
    { 0x532C, "module_int_props01" },
    { 0x532D, "module_int_props02" },
    { 0x532E, "modulus" },
    { 0x532F, "momentum" },
    { 0x5330, "monitor_air_strip_m880_death" },
    { 0x5331, "monitor_approach_goal_invalid" },
    { 0x5332, "monitor_attackable_ent_damage" },
    { 0x5333, "monitor_attackable_ent_health" },
    { 0x5334, "monitor_bar_drift" },
    { 0x5335, "monitor_bar_noise" },
    { 0x5336, "monitor_binoculars_zoom" },
    { 0x5337, "monitor_callbutton" },
    { 0x5338, "monitor_can_cut_rope" },
    { 0x5339, "monitor_cautious_approach_dangerous_locations" },
    { 0x533A, "monitor_cautious_approach_early_out" },
    { 0x533B, "monitor_charge_range" },
    { 0x533C, "monitor_color_blind_toggle" },
    { 0x533D, "monitor_color_status" },
    { 0x533E, "monitor_controls_and_fx" },
    { 0x533F, "monitor_deaths_on_dynamic_array" },
    { 0x5340, "monitor_defend_player" },
    { 0x5341, "monitor_dog_enemy" },
    { 0x5342, "monitor_drill_complete" },
    { 0x5343, "monitor_enemies_in_pods" },
    { 0x5344, "monitor_enemy_dangerous_killstreak" },
    { 0x5345, "monitor_enemy_for_downed" },
    { 0x5346, "monitor_enemy_proximity_during_enemy_downed" },
    { 0x5347, "monitor_enter_commander_mode" },
    { 0x5348, "monitor_fire_trap_exhausted" },
    { 0x5349, "monitor_flare_use" },
    { 0x534A, "monitor_fx" },
    { 0x534B, "monitor_ground_spawn" },
    { 0x534C, "monitor_guy_moveup" },
    { 0x534D, "monitor_looked_at" },
    { 0x534E, "monitor_machine_gun" },
    { 0x534F, "monitor_meteor_spawn" },
    { 0x5350, "monitor_missile_distance" },
    { 0x5351, "monitor_node_visible" },
    { 0x5352, "monitor_odin_marker" },
    { 0x5353, "monitor_pain" },
    { 0x5354, "monitor_pause_spawning" },
    { 0x5355, "monitor_pilotandguncameraswitch" },
    { 0x5356, "monitor_player_bishop" },
    { 0x5357, "monitor_player_close" },
    { 0x5358, "monitor_player_use" },
    { 0x5359, "monitor_player_used_zoom" },
    { 0x535A, "monitor_proximity_with_enemy" },
    { 0x535B, "monitor_reload_empty" },
    { 0x535C, "monitor_smoke_grenades" },
    { 0x535D, "monitor_sniper_damage" },
    { 0x535E, "monitor_sparrow_lookat" },
    { 0x535F, "monitor_spawners" },
    { 0x5360, "monitor_teargas_lookat" },
    { 0x5361, "monitor_timeout" },
    { 0x5362, "monitor_touching" },
    { 0x5363, "monitor_trig_activation" },
    { 0x5364, "monitor_zodiac_count" },
    { 0x5365, "monitorads" },
    { 0x5366, "monitorads_blend_dof" },
    { 0x5367, "monitorads_zoom_elem_offset" },
    { 0x5368, "monitorads_zoom_elem_reset" },
    { 0x5369, "monitorads_zoom_hud_delay" },
    { 0x536A, "monitorads_zoom_in" },
    { 0x536B, "monitorads_zoom_out" },
    { 0x536C, "monitoradshold" },
    { 0x536D, "monitoradstime" },
    { 0x536E, "monitoradstoggle" },
    { 0x536F, "monitoraliensfailed" },
    { 0x5370, "monitoraltitude" },
    { 0x5371, "monitorbaddogai" },
    { 0x5372, "monitorbadhumanoidai" },
    { 0x5373, "monitorblastshieldsurvival" },
    { 0x5374, "monitorbombuse" },
    { 0x5375, "monitorboost" },
    { 0x5376, "monitorcockpitanims" },
    { 0x5377, "monitorcockpitanims_ondamage" },
    { 0x5378, "monitorcockpitanims_tube_whip" },
    { 0x5379, "monitorconcussion" },
    { 0x537A, "monitorcratejacking" },
    { 0x537B, "monitordamage" },
    { 0x537C, "monitordamageoneshot" },
    { 0x537D, "monitordeath" },
    { 0x537E, "monitordisconnect" },
    { 0x537F, "monitordisownkillstreaks" },
    { 0x5380, "monitordot" },
    { 0x5381, "monitordoubletap" },
    { 0x5382, "monitorempgrenade" },
    { 0x5383, "monitorenemydistance" },
    { 0x5384, "monitorenemymissilefire" },
    { 0x5385, "monitorenemymissilelockon" },
    { 0x5386, "monitorexplosionssurvived" },
    { 0x5387, "monitorfalldistance" },
    { 0x5388, "monitorfinalstandsurvival" },
    { 0x5389, "monitorflarerelease_auto" },
    { 0x538A, "monitorflarerelease_input" },
    { 0x538B, "monitorflares" },
    { 0x538C, "monitorflash" },
    { 0x538D, "monitorflashbang" },
    { 0x538E, "monitorflashhits" },
    { 0x538F, "monitorfx" },
    { 0x5390, "monitorgameend" },
    { 0x5391, "monitorgeneratoruse" },
    { 0x5392, "monitorhealed" },
    { 0x5393, "monitorhealth" },
    { 0x5394, "monitorhealth_damagestates" },
    { 0x5395, "monitorhealth_damagestates_cleanup" },
    { 0x5396, "monitorhealth_ondamage" },
    { 0x5397, "monitorhealth_ondeath" },
    { 0x5398, "monitorhealth_ondeath_apache_crash" },
    { 0x5399, "monitorhealth_ondeath_fx" },
    { 0x539A, "monitorhealth_ondeath_player_feedback" },
    { 0x539B, "monitorholdbreath" },
    { 0x539C, "monitoring_sniper_damage" },
    { 0x539D, "monitorkilledkillstreak" },
    { 0x539E, "monitorkills" },
    { 0x539F, "monitorkillstreakprogress" },
    { 0x53A0, "monitorlaseroff" },
    { 0x53A1, "monitorlauncherammo" },
    { 0x53A2, "monitorlivetime" },
    { 0x53A3, "monitorlockedtarget" },
    { 0x53A4, "monitormachinegun" },
    { 0x53A5, "monitormachinegun_onstop" },
    { 0x53A6, "monitormagcycle" },
    { 0x53A7, "monitormantle" },
    { 0x53A8, "monitormarkervisibility" },
    { 0x53A9, "monitorminetriggering" },
    { 0x53AA, "monitormisc" },
    { 0x53AB, "monitormisccallback" },
    { 0x53AC, "monitormiscsingle" },
    { 0x53AD, "monitormovedown" },
    { 0x53AE, "monitormovementdistance" },
    { 0x53AF, "monitormoveup" },
    { 0x53B0, "monitornormalroundend" },
    { 0x53B1, "monitorobjectivecamera" },
    { 0x53B2, "monitorobjectives" },
    { 0x53B3, "monitorpositioncamping" },
    { 0x53B4, "monitorprocesschallenge" },
    { 0x53B5, "monitorreload" },
    { 0x53B6, "monitorreloading" },
    { 0x53B7, "monitorreloads" },
    { 0x53B8, "monitorrocketfire" },
    { 0x53B9, "monitorrocketfire2" },
    { 0x53BA, "monitorroundend" },
    { 0x53BB, "monitorsaverecentlyloaded" },
    { 0x53BC, "monitorscavengerpickup" },
    { 0x53BD, "monitorscopechange" },
    { 0x53BE, "monitorsemtexlaunch" },
    { 0x53BF, "monitorshieldblocks" },
    { 0x53C0, "monitorshotsfired" },
    { 0x53C1, "monitorsinglesprintdistance" },
    { 0x53C2, "monitorspecialroundend" },
    { 0x53C3, "monitorsprint" },
    { 0x53C4, "monitorsprintdistance" },
    { 0x53C5, "monitorsprintreload" },
    { 0x53C6, "monitorsprinttime" },
    { 0x53C7, "monitorstancetime" },
    { 0x53C8, "monitorstateshud" },
    { 0x53C9, "monitorstreakreward" },
    { 0x53CA, "monitorstreaks" },
    { 0x53CB, "monitorstuck" },
    { 0x53CC, "monitorstunhits" },
    { 0x53CD, "monitorsupportdropprogress" },
    { 0x53CE, "monitorsurvivaltime" },
    { 0x53CF, "monitorswaps" },
    { 0x53D0, "monitortacinsertionsdestroyed" },
    { 0x53D1, "monitortaguse" },
    { 0x53D2, "monitorthermalvision" },
    { 0x53D3, "monitortiuse" },
    { 0x53D4, "monitorturretearthquake" },
    { 0x53D5, "monitorturretfire" },
    { 0x53D6, "monitorturretlookat" },
    { 0x53D7, "monitorweaponchange" },
    { 0x53D8, "monitorweaponfire" },
    { 0x53D9, "monitorweaponprogress" },
    { 0x53DA, "monitorweaponswap" },
    { 0x53DB, "monitorweaponswitch" },
    { 0x53DC, "mortar" },
    { 0x53DD, "mortar_boom" },
    { 0x53DE, "mortar_ends" },
    { 0x53DF, "mortar_fire_on_struct" },
    { 0x53E0, "mortar_fx" },
    { 0x53E1, "mortar_impact" },
    { 0x53E2, "mortar_last_sound" },
    { 0x53E3, "mortar_max_dist" },
    { 0x53E4, "mortar_min_dist" },
    { 0x53E5, "mortar_notify" },
    { 0x53E6, "mortar_on_spot" },
    { 0x53E7, "mortar_script" },
    { 0x53E8, "mortar_sound" },
    { 0x53E9, "mortar_starts" },
    { 0x53EA, "mortar_strikes" },
    { 0x53EB, "mortar_tutorial_given" },
    { 0x53EC, "mortar_within_player_fov" },
    { 0x53ED, "mortarattack" },
    { 0x53EE, "mortardamageradius" },
    { 0x53EF, "mortardamagetriggerdist" },
    { 0x53F0, "mortarearthquakeradius" },
    { 0x53F1, "mortareffect" },
    { 0x53F2, "mortarexcluders" },
    { 0x53F3, "mortarfx" },
    { 0x53F4, "mortargroup" },
    { 0x53F5, "mortarmaxinterval" },
    { 0x53F6, "mortarmininterval" },
    { 0x53F7, "mortarnoincomingsound" },
    { 0x53F8, "mortarnoquake" },
    { 0x53F9, "mortarrecoil" },
    { 0x53FA, "mortars" },
    { 0x53FB, "mortars_too_close" },
    { 0x53FC, "mortarthread" },
    { 0x53FD, "mortartrigger" },
    { 0x53FE, "mortarwithinfov" },
    { 0x53FF, "mortarzone" },
    { 0x5400, "mosley_airlock_ln_1" },
    { 0x5401, "mosley_airlock_ln_2" },
    { 0x5402, "motion_light" },
    { 0x5403, "motion_light_timeout" },
    { 0x5404, "motion_tracker_setup" },
    { 0x5405, "motion_tracker_sweep_range" },
    { 0x5406, "motion_tracker_sweep_speed" },
    { 0x5407, "motion_trigger" },
    { 0x5408, "motionsensor_processtaggedassist" },
    { 0x5409, "motionsensormarkedby" },
    { 0x540A, "mount_hint" },
    { 0x540B, "mount_pos" },
    { 0x540C, "mount_snowmobile" },
    { 0x540D, "mount_tank" },
    { 0x540E, "movable_cover_at_goal" },
    { 0x540F, "movable_cover_calc_move_speed_scale" },
    { 0x5410, "movable_cover_connect_traversals" },
    { 0x5411, "movable_cover_default_parameters" },
    { 0x5412, "movable_cover_disconnect_traversals" },
    { 0x5413, "movable_cover_fade_in_use_icon" },
    { 0x5414, "movable_cover_fade_out_use_icon" },
    { 0x5415, "movable_cover_get_sound" },
    { 0x5416, "movable_cover_huds" },
    { 0x5417, "movable_cover_init" },
    { 0x5418, "movable_cover_is_pushed" },
    { 0x5419, "movable_cover_is_touched" },
    { 0x541A, "movable_cover_mantlebrush_think" },
    { 0x541B, "movable_cover_move_anim" },
    { 0x541C, "movable_cover_move_delay" },
    { 0x541D, "movable_cover_move_sounds" },
    { 0x541E, "movable_cover_parse_parameters" },
    { 0x541F, "movable_cover_precache" },
    { 0x5420, "movable_cover_set_user" },
    { 0x5421, "movable_cover_trigger" },
    { 0x5422, "movable_cover_update_use_icon" },
    { 0x5423, "movable_cover_use_icon" },
    { 0x5424, "movable_cover_use_icons" },
    { 0x5425, "movable_cover_wait_for_user_or_timeout" },
    { 0x5426, "movable_type" },
    { 0x5427, "movables" },
    { 0x5428, "move" },
    { 0x5429, "move_all_fx" },
    { 0x542A, "move_allies_from_fire_blocker" },
    { 0x542B, "move_ally_into_cq" },
    { 0x542C, "move_ally_to_mesh" },
    { 0x542D, "move_and_spin_and_animate_spin_dead_guy" },
    { 0x542E, "move_angles" },
    { 0x542F, "move_apache_to_main_island" },
    { 0x5430, "move_arc" },
    { 0x5431, "move_arc_dist" },
    { 0x5432, "move_arc_zodiac" },
    { 0x5433, "move_away_from_surface" },
    { 0x5434, "move_back" },
    { 0x5435, "move_bots_from_team_to_team" },
    { 0x5436, "move_center_line_on_torpedo_hud" },
    { 0x5437, "move_check" },
    { 0x5438, "move_checkstairstransition" },
    { 0x5439, "move_controlroom_to_new_location" },
    { 0x543A, "move_dead_enemy" },
    { 0x543B, "move_deck_props" },
    { 0x543C, "move_delete" },
    { 0x543D, "move_delta" },
    { 0x543E, "move_effects_ent_here" },
    { 0x543F, "move_ent" },
    { 0x5440, "move_explosion_buildup_rumble" },
    { 0x5441, "move_fake_missile" },
    { 0x5442, "move_flaps" },
    { 0x5443, "move_horizon_line_on_torpedo_hud" },
    { 0x5444, "move_lights_here" },
    { 0x5445, "move_noncombat_anim" },
    { 0x5446, "move_on_path" },
    { 0x5447, "move_player_to_start" },
    { 0x5448, "move_player_to_start_point" },
    { 0x5449, "move_player_up_at_death" },
    { 0x544A, "move_previous" },
    { 0x544B, "move_primary_light" },
    { 0x544C, "move_riders_here" },
    { 0x544D, "move_rorke_to_window_trigger" },
    { 0x544E, "move_satellite" },
    { 0x544F, "move_selection_to_cursor" },
    { 0x5450, "move_sentry_wait" },
    { 0x5451, "move_side" },
    { 0x5452, "move_speed_scalar" },
    { 0x5453, "move_start_exposed_guy" },
    { 0x5454, "move_state" },
    { 0x5455, "move_state_idle" },
    { 0x5456, "move_state_idle_shift" },
    { 0x5457, "move_state_jump" },
    { 0x5458, "move_state_loop" },
    { 0x5459, "move_state_loop_run" },
    { 0x545A, "move_state_shift_back" },
    { 0x545B, "move_state_start" },
    { 0x545C, "move_state_stop" },
    { 0x545D, "move_target_pos_to_new_turrets_visibility" },
    { 0x545E, "move_to_anim_start_point" },
    { 0x545F, "move_to_breach" },
    { 0x5460, "move_to_correct_segment" },
    { 0x5461, "move_to_goal" },
    { 0x5462, "move_to_goal_think" },
    { 0x5463, "move_to_run_pos" },
    { 0x5464, "move_to_see_enemies" },
    { 0x5465, "move_to_spitter_attack_node" },
    { 0x5466, "move_to_stealth_2_dialogue" },
    { 0x5467, "move_to_volume" },
    { 0x5468, "move_transition_arrays" },
    { 0x5469, "move_truck_junk_here" },
    { 0x546A, "move_turrets_here" },
    { 0x546B, "move_type" },
    { 0x546C, "move_up_when_clear" },
    { 0x546D, "move_up_when_clear_think" },
    { 0x546E, "move_use_turret" },
    { 0x546F, "move_vel" },
    { 0x5470, "move_when_enemy_hides" },
    { 0x5471, "move_with_plane" },
    { 0x5472, "move_with_rate" },
    { 0x5473, "moveanimset" },
    { 0x5474, "moveanimtype" },
    { 0x5475, "movecovertocover" },
    { 0x5476, "movecovertocover_checkendpose" },
    { 0x5477, "movecovertocover_checkstartpose" },
    { 0x5478, "movecovertocoverfinish" },
    { 0x5479, "movecqb" },
    { 0x547A, "movedlow" },
    { 0x547B, "movedoorsidetoside" },
    { 0x547C, "movedrecently" },
    { 0x547D, "moveinit" },
    { 0x547E, "moveloop" },
    { 0x547F, "moveloopcleanupfunc" },
    { 0x5480, "moveloopoverridefunc" },
    { 0x5481, "moveloopstep" },
    { 0x5482, "movemainloop" },
    { 0x5483, "movemainloopinternal" },
    { 0x5484, "movemainloopprocess" },
    { 0x5485, "movemainloopprocessoverridefunc" },
    { 0x5486, "movement" },
    { 0x5487, "movement_back" },
    { 0x5488, "movement_hints" },
    { 0x5489, "movement_input_think" },
    { 0x548A, "movementtracker" },
    { 0x548B, "movementtype" },
    { 0x548C, "movemsg" },
    { 0x548D, "moveorigin" },
    { 0x548E, "moveoverridesound" },
    { 0x548F, "moveplaybackrate" },
    { 0x5490, "moveplayertochopper" },
    { 0x5491, "mover" },
    { 0x5492, "mover_candidates" },
    { 0x5493, "mover_delete" },
    { 0x5494, "mover_object" },
    { 0x5495, "moveratemultiplier" },
    { 0x5496, "movercreate" },
    { 0x5497, "moverdomove" },
    { 0x5498, "movermis" },
    { 0x5499, "movers" },
    { 0x549A, "moverun" },
    { 0x549B, "moverwaitforuse" },
    { 0x549C, "movesound_waitfordoneordeath" },
    { 0x549D, "movesoundorigin" },
    { 0x549E, "movespeed_get_func" },
    { 0x549F, "movespeed_multiplier" },
    { 0x54A0, "movespeed_scale" },
    { 0x54A1, "movespeed_set_func" },
    { 0x54A2, "movespeedscale" },
    { 0x54A3, "movespeedscaler" },
    { 0x54A4, "movestand_moveoverride" },
    { 0x54A5, "movestartbattlechatter" },
    { 0x54A6, "movestate" },
    { 0x54A7, "movestruct" },
    { 0x54A8, "moveswim" },
    { 0x54A9, "moveswim_combat" },
    { 0x54AA, "moveswim_combat_enter" },
    { 0x54AB, "moveswim_combat_exit" },
    { 0x54AC, "moveswim_combat_forward_enter" },
    { 0x54AD, "moveswim_combat_forward_exit" },
    { 0x54AE, "moveswim_combat_move_set" },
    { 0x54AF, "moveswim_combat_strafe_enter" },
    { 0x54B0, "moveswim_combat_strafe_exit" },
    { 0x54B1, "moveswim_noncombat" },
    { 0x54B2, "moveswim_noncombat_enter" },
    { 0x54B3, "moveswim_noncombat_exit" },
    { 0x54B4, "moveswim_noncombat_twitchupdate" },
    { 0x54B5, "moveswim_set" },
    { 0x54B6, "moveswim_track_combat" },
    { 0x54B7, "movetime" },
    { 0x54B8, "moveto_floor" },
    { 0x54B9, "moveto_rotateto" },
    { 0x54BA, "moveto_rotateto_speed" },
    { 0x54BB, "moveto_speed" },
    { 0x54BC, "moveto_volume_think" },
    { 0x54BD, "movetoendonground" },
    { 0x54BE, "movetonearbycover" },
    { 0x54BF, "movetonodeovertime" },
    { 0x54C0, "movetoposition" },
    { 0x54C1, "movetracker" },
    { 0x54C2, "movetrackers" },
    { 0x54C3, "movetransitionrate" },
    { 0x54C4, "moveup_doublespeed" },
    { 0x54C5, "movewalk" },
    { 0x54C6, "moving" },
    { 0x54C7, "moving_cover" },
    { 0x54C8, "moving_cover_cleanup" },
    { 0x54C9, "moving_cover_death" },
    { 0x54CA, "moving_cover_guys" },
    { 0x54CB, "moving_cover_jumped" },
    { 0x54CC, "moving_cover_lightsoff" },
    { 0x54CD, "moving_cover_main" },
    { 0x54CE, "moving_cover_obj1" },
    { 0x54CF, "moving_cover_opfor" },
    { 0x54D0, "moving_cover_opfor_death_tracker" },
    { 0x54D1, "moving_cover_pre_tele" },
    { 0x54D2, "moving_cover_start" },
    { 0x54D3, "moving_cover_start_node" },
    { 0x54D4, "moving_crates_plane" },
    { 0x54D5, "moving_damage_radius_think_damage" },
    { 0x54D6, "moving_damage_radius_think_push" },
    { 0x54D7, "moving_jeeps_and_crates" },
    { 0x54D8, "moving_large_debris" },
    { 0x54D9, "moving_light" },
    { 0x54DA, "moving_objects_handler" },
    { 0x54DB, "moving_platform" },
    { 0x54DC, "moving_platform_empty_func" },
    { 0x54DD, "moving_unload" },
    { 0x54DE, "moving_water" },
    { 0x54DF, "moving_water_flag" },
    { 0x54E0, "movingplatformdetonate" },
    { 0x54E1, "mp_alien_town_intro_dialog" },
    { 0x54E2, "mp_alien_town_intro_drill_setup" },
    { 0x54E3, "mp_createfx" },
    { 0x54E4, "mp_dart_discoball_light" },
    { 0x54E5, "mp_dart_discoball_light_reverse" },
    { 0x54E6, "mp_dart_ent_flag_clear" },
    { 0x54E7, "mp_dart_ent_flag_init" },
    { 0x54E8, "mp_dart_ent_flag_set" },
    { 0x54E9, "mp_dart_generic_flicker" },
    { 0x54EA, "mp_dart_generic_flicker_msg_watcher" },
    { 0x54EB, "mp_dart_generic_flicker_pause" },
    { 0x54EC, "mp_dart_is_light_entity" },
    { 0x54ED, "mp_dart_pulsing_light" },
    { 0x54EE, "mp_dart_restarteffect" },
    { 0x54EF, "mp_dart_tv_flicker" },
    { 0x54F0, "mp_ents_clean_up" },
    { 0x54F1, "mph_to_ips" },
    { 0x54F2, "msg" },
    { 0x54F3, "mssl_launch_destory_sfx" },
    { 0x54F4, "mssl_launch_front_wheels" },
    { 0x54F5, "mt_getteamheadicon" },
    { 0x54F6, "mt_getteamicon" },
    { 0x54F7, "mt_getteamname" },
    { 0x54F8, "mtdm_updateteamplacement" },
    { 0x54F9, "mugger_add_extra_tag" },
    { 0x54FA, "mugger_bank_limit" },
    { 0x54FB, "mugger_bank_tags" },
    { 0x54FC, "mugger_check_muggernaut" },
    { 0x54FD, "mugger_delayed_banking" },
    { 0x54FE, "mugger_dropzones" },
    { 0x54FF, "mugger_extra_tags" },
    { 0x5500, "mugger_first_unused_or_oldest_extra_tag" },
    { 0x5501, "mugger_fx" },
    { 0x5502, "mugger_fx_playing" },
    { 0x5503, "mugger_init_tags" },
    { 0x5504, "mugger_jackpot_abort_after_time" },
    { 0x5505, "mugger_jackpot_cleanup" },
    { 0x5506, "mugger_jackpot_drop" },
    { 0x5507, "mugger_jackpot_fx" },
    { 0x5508, "mugger_jackpot_fx_cleanup" },
    { 0x5509, "mugger_jackpot_limit" },
    { 0x550A, "mugger_jackpot_num_tags" },
    { 0x550B, "mugger_jackpot_pile_notify" },
    { 0x550C, "mugger_jackpot_pile_notify_cleanup" },
    { 0x550D, "mugger_jackpot_run" },
    { 0x550E, "mugger_jackpot_tags_spawned" },
    { 0x550F, "mugger_jackpot_tags_unspawned" },
    { 0x5510, "mugger_jackpot_text" },
    { 0x5511, "mugger_jackpot_timer" },
    { 0x5512, "mugger_jackpot_wait_sec" },
    { 0x5513, "mugger_jackpot_watch" },
    { 0x5514, "mugger_last_mega_drop" },
    { 0x5515, "mugger_max_extra_tags" },
    { 0x5516, "mugger_min_spawn_dist_sq" },
    { 0x5517, "mugger_monitor_remote_uav_pickups" },
    { 0x5518, "mugger_monitor_tank_pickups" },
    { 0x5519, "mugger_muggernaut_muggings_needed" },
    { 0x551A, "mugger_muggernaut_window" },
    { 0x551B, "mugger_pile_icon_remove" },
    { 0x551C, "mugger_scorelimit" },
    { 0x551D, "mugger_tag_pickup_wait" },
    { 0x551E, "mugger_tag_pile_notify" },
    { 0x551F, "mugger_tag_temp_spawn" },
    { 0x5520, "mugger_targetfxid" },
    { 0x5521, "mugger_throwing_knife_mug_frac" },
    { 0x5522, "mugger_timelimit" },
    { 0x5523, "muggercratethink" },
    { 0x5524, "muggings" },
    { 0x5525, "multibomb" },
    { 0x5526, "multikill" },
    { 0x5527, "multikill_count" },
    { 0x5528, "multikill_monitor" },
    { 0x5529, "multiple_c4" },
    { 0x552A, "multiple_dialogue_queue" },
    { 0x552B, "multipliertextpopup" },
    { 0x552C, "multipliertextpopup_watchdeath" },
    { 0x552D, "multipliertextpopup_watchgameend" },
    { 0x552E, "multiteambased" },
    { 0x552F, "murderzone" },
    { 0x5530, "music_crossfade" },
    { 0x5531, "music_end_jump_stinger" },
    { 0x5532, "music_escape_hot" },
    { 0x5533, "music_flood_exfil_end" },
    { 0x5534, "music_loop" },
    { 0x5535, "music_loop_internal" },
    { 0x5536, "music_loop_internal_stop_with_fade_then_call" },
    { 0x5537, "music_loop_stealth" },
    { 0x5538, "music_loop_stealth_pause" },
    { 0x5539, "music_on_flag" },
    { 0x553A, "music_play" },
    { 0x553B, "music_play_internal_stop_with_fade_then_call" },
    { 0x553C, "music_play_jg" },
    { 0x553D, "music_second_swell" },
    { 0x553E, "music_start" },
    { 0x553F, "music_stealth_broken" },
    { 0x5540, "music_stealth_tension_loop" },
    { 0x5541, "music_stop" },
    { 0x5542, "music_tall_grass" },
    { 0x5543, "musiccontroller" },
    { 0x5544, "musiclength" },
    { 0x5545, "musicplaywrapper" },
    { 0x5546, "muzzleflashoverride" },
    { 0x5547, "my_animnode" },
    { 0x5548, "my_clack_num" },
    { 0x5549, "my_current_node_delays" },
    { 0x554A, "my_name" },
    { 0x554B, "my_speed" },
    { 0x554C, "mygren" },
    { 0x554D, "mygrenadecooldownelapsed" },
    { 0x554E, "mynode" },
    { 0x554F, "mytarget" },
    { 0x5550, "mytimeoutent" },
    { 0x5551, "n" },
    { 0x5552, "n2" },
    { 0x5553, "n3" },
    { 0x5554, "n_door_knock" },
    { 0x5555, "n_hesh_stumble_and_path" },
    { 0x5556, "n_vehicle_1" },
    { 0x5557, "n_vehicle_2" },
    { 0x5558, "n_vehicle_2_anim_link_guy" },
    { 0x5559, "n_vehicle_2_leave" },
    { 0x555A, "n_vehicle_3" },
    { 0x555B, "n_watchers" },
    { 0x555C, "n_watchers_think" },
    { 0x555D, "nag_bag" },
    { 0x555E, "nag_end_on_notify" },
    { 0x555F, "nag_if_shot" },
    { 0x5560, "nag_index" },
    { 0x5561, "nag_line_generator" },
    { 0x5562, "nag_line_generator_text" },
    { 0x5563, "nag_multiple_end_on_notify" },
    { 0x5564, "nag_player_in_garage" },
    { 0x5565, "nag_player_to_jump" },
    { 0x5566, "nag_player_until_flag" },
    { 0x5567, "nag_player_until_hit" },
    { 0x5568, "nag_player_until_hit_again" },
    { 0x5569, "nag_podium" },
    { 0x556A, "nag_shoot_radio_vo" },
    { 0x556B, "nag_until_flag" },
    { 0x556C, "name1" },
    { 0x556D, "name2" },
    { 0x556E, "name3" },
    { 0x556F, "name_col" },
    { 0x5570, "name_complete" },
    { 0x5571, "nameindex" },
    { 0x5572, "nameplatematerial" },
    { 0x5573, "names" },
    { 0x5574, "namesaidrecently" },
    { 0x5575, "narration_flood_infil" },
    { 0x5576, "nationalityokformoveorder" },
    { 0x5577, "nationalityokformoveordernoncombat" },
    { 0x5578, "nationalityusescallsigns" },
    { 0x5579, "nationalityusessurnames" },
    { 0x557A, "nav_mesh_build" },
    { 0x557B, "nav_mesh_exit" },
    { 0x557C, "nav_mesh_exit_recursive" },
    { 0x557D, "nav_mesh_pathing" },
    { 0x557E, "nav_type" },
    { 0x557F, "near_allies_breach" },
    { 0x5580, "near_dist_sq" },
    { 0x5581, "near_knockdown" },
    { 0x5582, "near_player_notify" },
    { 0x5583, "nearby_enemy_tracking" },
    { 0x5584, "neardistance" },
    { 0x5585, "nearest_node" },
    { 0x5586, "nearest_nodes" },
    { 0x5587, "nearest_point_on_pathgrid" },
    { 0x5588, "nearest_points" },
    { 0x5589, "nearflagpoint" },
    { 0x558A, "necksnapped" },
    { 0x558B, "need_end_org" },
    { 0x558C, "need_support" },
    { 0x558D, "needflexibleheightsupport" },
    { 0x558E, "needrecalculategoodshootpos" },
    { 0x558F, "needrecalculatesuppressspot" },
    { 0x5590, "needsbattlebuddy" },
    { 0x5591, "needsbuttontorespawn" },
    { 0x5592, "needsprecaching" },
    { 0x5593, "needstorechamber" },
    { 0x5594, "needtochangecovermode" },
    { 0x5595, "needtodecelforarrival" },
    { 0x5596, "needtoreload" },
    { 0x5597, "needtoturn" },
    { 0x5598, "neighborhood" },
    { 0x5599, "neighborhood_car" },
    { 0x559A, "neighborhood_dialog" },
    { 0x559B, "neighborhood_dialogue" },
    { 0x559C, "neighborhood_fail_if_too_far" },
    { 0x559D, "neighborhood_vehicle_damage" },
    { 0x559E, "neighborhood_vehicle_delete" },
    { 0x559F, "neighbors" },
    { 0x55A0, "nerf_already_activated" },
    { 0x55A1, "nerf_based_on_selection" },
    { 0x55A2, "nerf_scalars" },
    { 0x55A3, "neutralflagfx" },
    { 0x55A4, "neutralize_turret" },
    { 0x55A5, "neutraltarget" },
    { 0x55A6, "neverenablecqb" },
    { 0x55A7, "neverforcesnipermissenemy" },
    { 0x55A8, "neverlean" },
    { 0x55A9, "neversprintforvariation" },
    { 0x55AA, "neverstopmonitoringflash" },
    { 0x55AB, "new" },
    { 0x55AC, "new_ambush_bags" },
    { 0x55AD, "new_ambush_humans" },
    { 0x55AE, "new_canyon_setup" },
    { 0x55AF, "new_cliff_moment" },
    { 0x55B0, "new_color" },
    { 0x55B1, "new_color_being_set" },
    { 0x55B2, "new_dialogue" },
    { 0x55B3, "new_dyn_balloon_think" },
    { 0x55B4, "new_finale_dog_hijack" },
    { 0x55B5, "new_force_color_being_set" },
    { 0x55B6, "new_glowstick_scene" },
    { 0x55B7, "new_hvt_find" },
    { 0x55B8, "new_interrogation" },
    { 0x55B9, "new_l_pip_corner" },
    { 0x55BA, "new_nxsub_breach_moment" },
    { 0x55BB, "new_org" },
    { 0x55BC, "new_player_jump" },
    { 0x55BD, "new_rope_roll" },
    { 0x55BE, "new_set" },
    { 0x55BF, "new_stage_heli_spawn" },
    { 0x55C0, "new_submix_hud" },
    { 0x55C1, "new_tool_hud" },
    { 0x55C2, "new_tool_hudelem" },
    { 0x55C3, "new_trench_setup" },
    { 0x55C4, "new_vault_scene" },
    { 0x55C5, "new_volmod_hud" },
    { 0x55C6, "new_yaw" },
    { 0x55C7, "newenemyreactionanim" },
    { 0x55C8, "newenemyreactiondistsq_old" },
    { 0x55C9, "newenemysurprisedreaction" },
    { 0x55CA, "newfallback_overmind" },
    { 0x55CB, "newprimarygun" },
    { 0x55CC, "newradialbutton" },
    { 0x55CD, "newradialbuttongroup" },
    { 0x55CE, "newrandomcrate" },
    { 0x55CF, "newtonsmethod" },
    { 0x55D0, "next" },
    { 0x55D1, "next_bomb_damage_vo_time" },
    { 0x55D2, "next_button" },
    { 0x55D3, "next_destructible_tank" },
    { 0x55D4, "next_earthquake" },
    { 0x55D5, "next_health_drop_time" },
    { 0x55D6, "next_health_regen_time" },
    { 0x55D7, "next_meteor_vo_time" },
    { 0x55D8, "next_minion_vo_time" },
    { 0x55D9, "next_missile_lockon_notify" },
    { 0x55DA, "next_node" },
    { 0x55DB, "next_pain_vo_time" },
    { 0x55DC, "next_play_time" },
    { 0x55DD, "next_quake_sound" },
    { 0x55DE, "next_random_mortar_index" },
    { 0x55DF, "next_reactive_time" },
    { 0x55E0, "next_repeat_vo" },
    { 0x55E1, "next_scriptable_vo_time" },
    { 0x55E2, "next_targ" },
    { 0x55E3, "nextallowedlooktime" },
    { 0x55E4, "nextallowedsuppresstime" },
    { 0x55E5, "nextcornergrenadedeathtime" },
    { 0x55E6, "nextcrawlingpaintime" },
    { 0x55E7, "nextcrawlingpaintimefromlegdamage" },
    { 0x55E8, "nextdoorgrenadetime" },
    { 0x55E9, "nextforceorienttime" },
    { 0x55EA, "nextgiveuponenemytime" },
    { 0x55EB, "nextgrenadedrop" },
    { 0x55EC, "nextgrenadetrytime" },
    { 0x55ED, "nextlightning" },
    { 0x55EE, "nextmeleechargesound" },
    { 0x55EF, "nextmeleechargetarget" },
    { 0x55F0, "nextmeleechargetime" },
    { 0x55F1, "nextmeleechecktarget" },
    { 0x55F2, "nextmeleechecktime" },
    { 0x55F3, "nextmeleestandardchargetarget" },
    { 0x55F4, "nextmeleestandardchargetime" },
    { 0x55F5, "nextmissiletag" },
    { 0x55F6, "nextmission" },
    { 0x55F7, "nextmission_exit_time" },
    { 0x55F8, "nextorigin" },
    { 0x55F9, "nextpeekoutattempttime" },
    { 0x55FA, "nextsaytime" },
    { 0x55FB, "nextsaytimes" },
    { 0x55FC, "nextslot" },
    { 0x55FD, "nextstandinghitdying" },
    { 0x55FE, "nexttypesaytimes" },
    { 0x55FF, "nh90_convoy_choppers" },
    { 0x5600, "nh90_doors_open" },
    { 0x5601, "nh90_unload" },
    { 0x5602, "nightvision_check" },
    { 0x5603, "nightvision_dlight" },
    { 0x5604, "nightvision_dlight_effect" },
    { 0x5605, "nightvision_effectsoff" },
    { 0x5606, "nightvision_enabled" },
    { 0x5607, "nightvision_off" },
    { 0x5608, "nightvision_on" },
    { 0x5609, "nightvision_reflector_effect" },
    { 0x560A, "nightvision_started" },
    { 0x560B, "nightvision_toggle" },
    { 0x560C, "ninebangdoempdamage" },
    { 0x560D, "ninebangexplodewaiter" },
    { 0x560E, "ninebanghandler" },
    { 0x560F, "ninebangticks" },
    { 0x5610, "nml_audio_set_time_scale_factors" },
    { 0x5611, "nml_locations" },
    { 0x5612, "no_abilities_timer" },
    { 0x5613, "no_ai" },
    { 0x5614, "no_attack_hint" },
    { 0x5615, "no_attractor" },
    { 0x5616, "no_cover_until_spotted" },
    { 0x5617, "no_crouch_hint" },
    { 0x5618, "no_crouch_or_prone_think_for_player" },
    { 0x5619, "no_delete" },
    { 0x561A, "no_destructible_animation" },
    { 0x561B, "no_dog_target" },
    { 0x561C, "no_edge_death" },
    { 0x561D, "no_friendly_fire_penalty" },
    { 0x561E, "no_friendly_fire_splash_damage" },
    { 0x561F, "no_gametype_update" },
    { 0x5620, "no_gas_cloud_attack" },
    { 0x5621, "no_go_back_into_field" },
    { 0x5622, "no_hint" },
    { 0x5623, "no_hint_down" },
    { 0x5624, "no_magic_bullet" },
    { 0x5625, "no_more_outlines" },
    { 0x5626, "no_moving_platfrom_death" },
    { 0x5627, "no_moving_unresolved_collisions" },
    { 0x5628, "no_node_to_go_to" },
    { 0x5629, "no_pain_sound" },
    { 0x562A, "no_pistol_switch" },
    { 0x562B, "no_prone" },
    { 0x562C, "no_prone_for_player" },
    { 0x562D, "no_reload_timer" },
    { 0x562E, "no_rider_death" },
    { 0x562F, "no_shadow" },
    { 0x5630, "no_slowmo" },
    { 0x5631, "no_steam" },
    { 0x5632, "no_swept_hint" },
    { 0x5633, "no_treads" },
    { 0x5634, "no_tremor" },
    { 0x5635, "no_vehicle_getoutanim" },
    { 0x5636, "no_vehicle_ragdoll" },
    { 0x5637, "no_weapon_fired_notify" },
    { 0x5638, "noairdropkills" },
    { 0x5639, "nobuddyspawns" },
    { 0x563A, "nocorpsedelete" },
    { 0x563B, "nocratetimeout" },
    { 0x563C, "nodamage_rewardfunc" },
    { 0x563D, "node_ambushing_from" },
    { 0x563E, "node_array" },
    { 0x563F, "node_change_logic" },
    { 0x5640, "node_closest" },
    { 0x5641, "node_closest_to_defend_center" },
    { 0x5642, "node_flag_triggered" },
    { 0x5643, "node_flag_triggered_cleanup" },
    { 0x5644, "node_has_radius" },
    { 0x5645, "node_is_on_path_from_labels" },
    { 0x5646, "node_is_valid_outside_for_vanguard" },
    { 0x5647, "node_preference_logic" },
    { 0x5648, "node_recently_used" },
    { 0x5649, "node_search" },
    { 0x564A, "node_test" },
    { 0x564B, "node_trigger_process" },
    { 0x564C, "node_type" },
    { 0x564D, "node_wait" },
    { 0x564E, "node_within_use_radius_of_crate" },
    { 0x564F, "nodeath" },
    { 0x5650, "nodeathimpulse" },
    { 0x5651, "nodeathsound" },
    { 0x5652, "nodefiltertracesthisframe" },
    { 0x5653, "nodefiltertracestime" },
    { 0x5654, "nodes" },
    { 0x5655, "nodes_array" },
    { 0x5656, "nodes_end" },
    { 0x5657, "nodes_flag_triggered" },
    { 0x5658, "nodes_start" },
    { 0x5659, "nodescore" },
    { 0x565A, "nodetracker" },
    { 0x565B, "nodisconnect" },
    { 0x565C, "nodroneweaponsound" },
    { 0x565D, "nodrop" },
    { 0x565E, "nofallanim" },
    { 0x565F, "nofirstframemelee" },
    { 0x5660, "nofour" },
    { 0x5661, "nofriendlyhudicon" },
    { 0x5662, "nogun" },
    { 0x5663, "nogunshoot" },
    { 0x5664, "nohide" },
    { 0x5665, "nointerrupt" },
    { 0x5666, "noise_amplitude" },
    { 0x5667, "noise_min_amplitude" },
    { 0x5668, "nomaxmortardist" },
    { 0x5669, "nomeleechargedelay" },
    { 0x566A, "nomortars" },
    { 0x566B, "non_glow_model" },
    { 0x566C, "non_lane_spawn_started" },
    { 0x566D, "non_player_damage" },
    { 0x566E, "nonanimatedpositions" },
    { 0x566F, "nonedgemaintains" },
    { 0x5670, "nontarget" },
    { 0x5671, "nonvectorlength" },
    { 0x5672, "nooffset" },
    { 0x5673, "noplayerinvul" },
    { 0x5674, "noragdoll" },
    { 0x5675, "noragdollents" },
    { 0x5676, "noreload" },
    { 0x5677, "normal_friendly_fire_penalty" },
    { 0x5678, "normal_speed" },
    { 0x5679, "normalfogscale" },
    { 0x567A, "normalfogscale_start" },
    { 0x567B, "normalize_angles_180" },
    { 0x567C, "normalize_script_friendname" },
    { 0x567D, "normalize_value" },
    { 0x567E, "normalizecompassdirection" },
    { 0x567F, "normframes" },
    { 0x5680, "norunngun" },
    { 0x5681, "norunreload" },
    { 0x5682, "noself_array_call" },
    { 0x5683, "noself_delaycall" },
    { 0x5684, "noself_delaycall_proc" },
    { 0x5685, "noself_func" },
    { 0x5686, "noshow" },
    { 0x5687, "nosuspensemusic" },
    { 0x5688, "not_closing" },
    { 0x5689, "not_opening" },
    { 0x568A, "not_used" },
    { 0x568B, "notanksquish" },
    { 0x568C, "notarget" },
    { 0x568D, "notargethudelem" },
    { 0x568E, "notargethudelem_pulse" },
    { 0x568F, "note" },
    { 0x5690, "note_track_start_fx_on_tag" },
    { 0x5691, "note_track_start_sound" },
    { 0x5692, "note_track_stop_efx_on_tag" },
    { 0x5693, "note_track_swap_to_efx" },
    { 0x5694, "note_track_trace_to_efx" },
    { 0x5695, "noteleport" },
    { 0x5696, "notetrack" },
    { 0x5697, "notetrack_ascend_end_player_control" },
    { 0x5698, "notetrack_ascend_rubberband_alpha_start" },
    { 0x5699, "notetrack_ascend_rubberband_alpha_stop" },
    { 0x569A, "notetrack_ascend_rubberband_bravo_stop" },
    { 0x569B, "notetrack_blast_shake_early" },
    { 0x569C, "notetrack_blast_shake_late" },
    { 0x569D, "notetrack_command_dialog_end" },
    { 0x569E, "notetrack_command_dialog_fail_early" },
    { 0x569F, "notetrack_command_dialog_fail_late" },
    { 0x56A0, "notetrack_control_room_allow_free_look" },
    { 0x56A1, "notetrack_control_room_start_baker" },
    { 0x56A2, "notetrack_cw_tape_explode" },
    { 0x56A3, "notetrack_derrick_chunk_hit_barrels" },
    { 0x56A4, "notetrack_derrick_debris_hit_1" },
    { 0x56A5, "notetrack_derrick_debris_hit_2" },
    { 0x56A6, "notetrack_derrick_debris_hitground" },
    { 0x56A7, "notetrack_derrick_impact_rig" },
    { 0x56A8, "notetrack_derrick_large_explosion" },
    { 0x56A9, "notetrack_derrick_small_explosion" },
    { 0x56AA, "notetrack_dialogue_hallclear" },
    { 0x56AB, "notetrack_end_slomo" },
    { 0x56AC, "notetrack_exfil_dialog_1" },
    { 0x56AD, "notetrack_exfil_dialog_2" },
    { 0x56AE, "notetrack_fade_in" },
    { 0x56AF, "notetrack_fade_out" },
    { 0x56B0, "notetrack_fire_shake" },
    { 0x56B1, "notetrack_give_mask" },
    { 0x56B2, "notetrack_grab_shake" },
    { 0x56B3, "notetrack_head_swap" },
    { 0x56B4, "notetrack_headbutt" },
    { 0x56B5, "notetrack_heli_swing" },
    { 0x56B6, "notetrack_hit_door" },
    { 0x56B7, "notetrack_intro_ally2_bubbles" },
    { 0x56B8, "notetrack_oiltank_catwalk_swap" },
    { 0x56B9, "notetrack_open_gate" },
    { 0x56BA, "notetrack_player_additive_anims_start" },
    { 0x56BB, "notetrack_player_blast" },
    { 0x56BC, "notetrack_player_breach_water" },
    { 0x56BD, "notetrack_player_draw_weapon_ascend" },
    { 0x56BE, "notetrack_player_draw_weapon_surface" },
    { 0x56BF, "notetrack_player_free_look_active" },
    { 0x56C0, "notetrack_player_kick_door" },
    { 0x56C1, "notetrack_player_teleport" },
    { 0x56C2, "notetrack_refinery_start_combat" },
    { 0x56C3, "notetrack_release_allies" },
    { 0x56C4, "notetrack_remove_mask" },
    { 0x56C5, "notetrack_shake_start" },
    { 0x56C6, "notetrack_shake_stop" },
    { 0x56C7, "notetrack_shockwave_shake" },
    { 0x56C8, "notetrack_slowmo_start" },
    { 0x56C9, "notetrack_snake_cam_lens_water" },
    { 0x56CA, "notetrack_snake_cam_retract" },
    { 0x56CB, "notetrack_snake_cam_underwater_transition" },
    { 0x56CC, "notetrack_snake_enemy_dismount" },
    { 0x56CD, "notetrack_start_slomo" },
    { 0x56CE, "notetrack_swim_begin_player_control" },
    { 0x56CF, "notetrack_swim_loosen_lookaround" },
    { 0x56D0, "notetrack_takeoff" },
    { 0x56D1, "notetrack_tanks_end_custom_death" },
    { 0x56D2, "notetrack_tanks_start_custom_death" },
    { 0x56D3, "notetrack_test" },
    { 0x56D4, "notetrack_traveling_block_impact" },
    { 0x56D5, "notetrack_wait" },
    { 0x56D6, "notetrackalertnessaiming" },
    { 0x56D7, "notetrackalertnessalert" },
    { 0x56D8, "notetrackalertnesscasual" },
    { 0x56D9, "notetrackbodyfall" },
    { 0x56DA, "notetrackcodemove" },
    { 0x56DB, "notetrackdropclip" },
    { 0x56DC, "notetrackfaceenemy" },
    { 0x56DD, "notetrackfire" },
    { 0x56DE, "notetrackfirespray" },
    { 0x56DF, "notetrackfootscrape" },
    { 0x56E0, "notetrackfootstep" },
    { 0x56E1, "notetrackgravity" },
    { 0x56E2, "notetrackgundrop" },
    { 0x56E3, "notetrackgunhand" },
    { 0x56E4, "notetrackguntoback" },
    { 0x56E5, "notetrackguntochest" },
    { 0x56E6, "notetrackland" },
    { 0x56E7, "notetracklaser" },
    { 0x56E8, "notetrackloadshell" },
    { 0x56E9, "notetrackmovementrun" },
    { 0x56EA, "notetrackmovementstop" },
    { 0x56EB, "notetrackmovementwalk" },
    { 0x56EC, "notetrackpistolpickup" },
    { 0x56ED, "notetrackpistolputaway" },
    { 0x56EE, "notetrackpistolrechamber" },
    { 0x56EF, "notetrackposeback" },
    { 0x56F0, "notetrackposecrawl" },
    { 0x56F1, "notetrackposecrouch" },
    { 0x56F2, "notetrackposeprone" },
    { 0x56F3, "notetrackposestand" },
    { 0x56F4, "notetrackrefillclip" },
    { 0x56F5, "notetrackrocketlauncherammoattach" },
    { 0x56F6, "notetrackrocketlauncherammodelete" },
    { 0x56F7, "notetracks" },
    { 0x56F8, "notetrackspacejet" },
    { 0x56F9, "notetrackspacejet_proc" },
    { 0x56FA, "notetrackstartragdoll" },
    { 0x56FB, "notetrackstopanim" },
    { 0x56FC, "noteworthy_check" },
    { 0x56FD, "notfirsttime" },
    { 0x56FE, "notfirsttimedogs" },
    { 0x56FF, "notfirsttimedogvests" },
    { 0x5700, "nothread_listen_dog_commands" },
    { 0x5701, "notify_ai_on_attack" },
    { 0x5702, "notify_ambush_destroy_player_off" },
    { 0x5703, "notify_baddies_to_retreat" },
    { 0x5704, "notify_delay" },
    { 0x5705, "notify_disable" },
    { 0x5706, "notify_enable" },
    { 0x5707, "notify_enemy_bots_bomb_used" },
    { 0x5708, "notify_explode" },
    { 0x5709, "notify_facial_anim_end" },
    { 0x570A, "notify_level_on_enemy" },
    { 0x570B, "notify_moving_platform_invalid" },
    { 0x570C, "notify_msg" },
    { 0x570D, "notify_on_actor_distance_to_goal" },
    { 0x570E, "notify_on_aigroup_count" },
    { 0x570F, "notify_on_damage" },
    { 0x5710, "notify_on_damage_chopper" },
    { 0x5711, "notify_on_designate" },
    { 0x5712, "notify_on_end" },
    { 0x5713, "notify_on_enemy_count" },
    { 0x5714, "notify_on_enemy_count_touching_volume" },
    { 0x5715, "notify_on_flag_open" },
    { 0x5716, "notify_on_flag_set" },
    { 0x5717, "notify_on_function_finish" },
    { 0x5718, "notify_on_msg" },
    { 0x5719, "notify_patrol_movement_vo" },
    { 0x571A, "notify_spotted_on_damage" },
    { 0x571B, "notify_struct_on_use" },
    { 0x571C, "notify_trigger" },
    { 0x571D, "notify_with_trigger_targetname" },
    { 0x571E, "notifyaftertime" },
    { 0x571F, "notifyanimcomplete" },
    { 0x5720, "notifyconnecting" },
    { 0x5721, "notifydamage" },
    { 0x5722, "notifydamageafterframe" },
    { 0x5723, "notifydamagenotdone" },
    { 0x5724, "notifydeath" },
    { 0x5725, "notifygrenadepickup" },
    { 0x5726, "notifyicon" },
    { 0x5727, "notifyjumppain" },
    { 0x5728, "notifykilledplayer" },
    { 0x5729, "notifymessage" },
    { 0x572A, "notifyonanimend" },
    { 0x572B, "notifyonflockdone" },
    { 0x572C, "notifyonstartaim" },
    { 0x572D, "notifyontimeout" },
    { 0x572E, "notifyoverlay" },
    { 0x572F, "notifyroundover" },
    { 0x5730, "notifystartaim" },
    { 0x5731, "notifystopshootingaftertime" },
    { 0x5732, "notifystring" },
    { 0x5733, "notifytext" },
    { 0x5734, "notifytext2" },
    { 0x5735, "notifytitle" },
    { 0x5736, "notriggerhurt" },
    { 0x5737, "notsolid_ents" },
    { 0x5738, "notti" },
    { 0x5739, "noturnanims" },
    { 0x573A, "notusableforjoiningplayers" },
    { 0x573B, "nousebar" },
    { 0x573C, "npc_physics_pulse" },
    { 0x573D, "npc_post_collision" },
    { 0x573E, "npc_tank_combat_init" },
    { 0x573F, "npcid" },
    { 0x5740, "npcidtracker" },
    { 0x5741, "nuke" },
    { 0x5742, "nuke_activate_at_end_of_match" },
    { 0x5743, "nuke_blur" },
    { 0x5744, "nuke_clockobject" },
    { 0x5745, "nuke_countdown" },
    { 0x5746, "nuke_earthquake" },
    { 0x5747, "nuke_empjam" },
    { 0x5748, "nuke_empteamtracker" },
    { 0x5749, "nuke_end_of_match" },
    { 0x574A, "nuke_fx_exploders" },
    { 0x574B, "nuke_fx_start_time" },
    { 0x574C, "nuke_ground_tilt" },
    { 0x574D, "nuke_slow_motion" },
    { 0x574E, "nuke_soundobject" },
    { 0x574F, "nuke_sounds" },
    { 0x5750, "nuke_trig" },
    { 0x5751, "nukeaftermatheffect" },
    { 0x5752, "nukeangles" },
    { 0x5753, "nukecankill" },
    { 0x5754, "nukecapturethink" },
    { 0x5755, "nukecleartimer" },
    { 0x5756, "nukecratethink" },
    { 0x5757, "nuked" },
    { 0x5758, "nukedeath" },
    { 0x5759, "nukedeathsimple" },
    { 0x575A, "nukedetonated" },
    { 0x575B, "nukeearthquake" },
    { 0x575C, "nukeeffect" },
    { 0x575D, "nukeeffects" },
    { 0x575E, "nukeempjamplayers" },
    { 0x575F, "nukeempjamteam" },
    { 0x5760, "nukeemptimeout" },
    { 0x5761, "nukeemptimeremaining" },
    { 0x5762, "nukeincoming" },
    { 0x5763, "nukeinfo" },
    { 0x5764, "nukeloc" },
    { 0x5765, "nukeslowmo" },
    { 0x5766, "nukesoundexplosion" },
    { 0x5767, "nukesoundincoming" },
    { 0x5768, "nuketimer" },
    { 0x5769, "nukevision" },
    { 0x576A, "nukevisioninprogress" },
    { 0x576B, "nukevisionset" },
    { 0x576C, "null_func" },
    { 0x576D, "num" },
    { 0x576E, "num_active_clacks" },
    { 0x576F, "num_pipe_fx" },
    { 0x5770, "num_players_escaped" },
    { 0x5771, "num_players_left" },
    { 0x5772, "numactive" },
    { 0x5773, "numagents" },
    { 0x5774, "numareas" },
    { 0x5775, "number" },
    { 0x5776, "numberoffishinexistence" },
    { 0x5777, "numberofhitstaken" },
    { 0x5778, "numberofpossiblespawnchoices" },
    { 0x5779, "numberofsoflamammo" },
    { 0x577A, "numbirds" },
    { 0x577B, "numbombs" },
    { 0x577C, "numcaps" },
    { 0x577D, "numcrawls" },
    { 0x577E, "numcrtaescaptured" },
    { 0x577F, "numdeathsuntilcornergrenadedeath" },
    { 0x5780, "numdeathsuntilcrawlingpain" },
    { 0x5781, "numdropcrates" },
    { 0x5782, "numenemiesclose" },
    { 0x5783, "numenemyvoices" },
    { 0x5784, "numexplosives" },
    { 0x5785, "numexplosivesexceedmodelcapacity" },
    { 0x5786, "numflares" },
    { 0x5787, "numfriendlyvoices" },
    { 0x5788, "numgametypereservedobjectives" },
    { 0x5789, "numgasstrikeactive" },
    { 0x578A, "numgrenadesinprogresstowardsplayer" },
    { 0x578B, "numheadshots" },
    { 0x578C, "numkills" },
    { 0x578D, "nummissilevolleys" },
    { 0x578E, "numpieces" },
    { 0x578F, "numplayerswaitingtoenterkillcam" },
    { 0x5790, "numplayerswaitingtospawn" },
    { 0x5791, "numrevives" },
    { 0x5792, "numrockets" },
    { 0x5793, "numrocketsleft" },
    { 0x5794, "numspeakers" },
    { 0x5795, "numstrikes" },
    { 0x5796, "numtags" },
    { 0x5797, "numtankvoices" },
    { 0x5798, "numteams" },
    { 0x5799, "numtouching" },
    { 0x579A, "numwaits" },
    { 0x579B, "nvg_alert_handle" },
    { 0x579C, "nvg_ally_vo" },
    { 0x579D, "nvg_animted_scene" },
    { 0x579E, "nvg_area_lights_on_fx" },
    { 0x579F, "nvg_blackout_anims" },
    { 0x57A0, "nvg_goggles_off" },
    { 0x57A1, "nvg_goggles_on" },
    { 0x57A2, "nvg_intro" },
    { 0x57A3, "nvg_moment_guardsa" },
    { 0x57A4, "nvg_moment_guardsb" },
    { 0x57A5, "nvg_on_check" },
    { 0x57A6, "nvg_recover_anim" },
    { 0x57A7, "nvg_run_and_trip_guy" },
    { 0x57A8, "nvg_wait_for_flags_or_timeout" },
    { 0x57A9, "nvgs_on_blackout" },
    { 0x57AA, "obitweapon" },
    { 0x57AB, "obj" },
    { 0x57AC, "obj3d_origins" },
    { 0x57AD, "obj_array" },
    { 0x57AE, "obj_bodydrag" },
    { 0x57AF, "obj_capture_hvt" },
    { 0x57B0, "obj_clear_deck" },
    { 0x57B1, "obj_confirm_id" },
    { 0x57B2, "obj_defend_carrier" },
    { 0x57B3, "obj_ent" },
    { 0x57B4, "obj_ent_hvt" },
    { 0x57B5, "obj_enterbase" },
    { 0x57B6, "obj_escape" },
    { 0x57B7, "obj_exfil" },
    { 0x57B8, "obj_exists" },
    { 0x57B9, "obj_fire_zipline" },
    { 0x57BA, "obj_flags" },
    { 0x57BB, "obj_flight_deck" },
    { 0x57BC, "obj_getingetajaxgetout" },
    { 0x57BD, "obj_getinjeep" },
    { 0x57BE, "obj_gunship" },
    { 0x57BF, "obj_index" },
    { 0x57C0, "obj_origin" },
    { 0x57C1, "obj_overlay" },
    { 0x57C2, "obj_regroup_with_hesh" },
    { 0x57C3, "obj_sparrow" },
    { 0x57C4, "obj_stabdriver" },
    { 0x57C5, "obj_upload_virus" },
    { 0x57C6, "object" },
    { 0x57C7, "objectfriction" },
    { 0x57C8, "objectgroupcost" },
    { 0x57C9, "objective" },
    { 0x57CA, "objective_breach" },
    { 0x57CB, "objective_clearadditionalpositions" },
    { 0x57CC, "objective_complete" },
    { 0x57CD, "objective_event_init" },
    { 0x57CE, "objective_is_active" },
    { 0x57CF, "objective_is_inactive" },
    { 0x57D0, "objective_outline_add" },
    { 0x57D1, "objective_outline_remove" },
    { 0x57D2, "objective_player_clears_landing" },
    { 0x57D3, "objective_protect_complete" },
    { 0x57D4, "objective_protect_start" },
    { 0x57D5, "objective_radius" },
    { 0x57D6, "objective_recon" },
    { 0x57D7, "objective_start_flags" },
    { 0x57D8, "objective_string_precache" },
    { 0x57D9, "objectivebased" },
    { 0x57DA, "objectiveisallowed" },
    { 0x57DB, "objectivepointsmod" },
    { 0x57DC, "objectives" },
    { 0x57DD, "objectivescaler" },
    { 0x57DE, "objectmass" },
    { 0x57DF, "objid" },
    { 0x57E0, "objid_allies" },
    { 0x57E1, "objid_axis" },
    { 0x57E2, "objidenemy" },
    { 0x57E3, "objidfriendly" },
    { 0x57E4, "objidpingenemy" },
    { 0x57E5, "objidpingfriendly" },
    { 0x57E6, "objnum" },
    { 0x57E7, "objpoint_alpha_default" },
    { 0x57E8, "objpointnames" },
    { 0x57E9, "objpoints" },
    { 0x57EA, "objpointscale" },
    { 0x57EB, "objpointsize" },
    { 0x57EC, "objvisall" },
    { 0x57ED, "observer" },
    { 0x57EE, "occluder" },
    { 0x57EF, "occlusion" },
    { 0x57F0, "occumulator" },
    { 0x57F1, "occupied" },
    { 0x57F2, "occupies_colorcode" },
    { 0x57F3, "ocean_death" },
    { 0x57F4, "ocean_line_emitter_logic" },
    { 0x57F5, "ocean_water" },
    { 0x57F6, "oceantextures" },
    { 0x57F7, "octaves" },
    { 0x57F8, "odin" },
    { 0x57F9, "odin_airdropusetime" },
    { 0x57FA, "odin_ally" },
    { 0x57FB, "odin_animnode" },
    { 0x57FC, "odin_assault_get_target" },
    { 0x57FD, "odin_assault_perform_action" },
    { 0x57FE, "odin_clear_using" },
    { 0x57FF, "odin_control_player_speed" },
    { 0x5800, "odin_dialog_killed_player" },
    { 0x5801, "odin_drop_weapon" },
    { 0x5802, "odin_drop_weapon_cleanup" },
    { 0x5803, "odin_drop_weapon_trigger" },
    { 0x5804, "odin_endride" },
    { 0x5805, "odin_escape" },
    { 0x5806, "odin_fac_cart" },
    { 0x5807, "odin_fac_cart_clip" },
    { 0x5808, "odin_fac_cart_mantle" },
    { 0x5809, "odin_finale" },
    { 0x580A, "odin_fireweapon" },
    { 0x580B, "odin_firing_sequence" },
    { 0x580C, "odin_flag_inits" },
    { 0x580D, "odin_flash_radius" },
    { 0x580E, "odin_fov" },
    { 0x580F, "odin_freezebuffer" },
    { 0x5810, "odin_hall_escape_turn01_ally" },
    { 0x5811, "odin_hall_escape_turn01_ally_spawn" },
    { 0x5812, "odin_hall_escape_turn01_player" },
    { 0x5813, "odin_hall_escape_turn01_player_spawn" },
    { 0x5814, "odin_hall_escape_turn02_ally" },
    { 0x5815, "odin_hall_escape_turn02_ally_spawn" },
    { 0x5816, "odin_hall_escape_turn02_player" },
    { 0x5817, "odin_hall_escape_turn02_player_spawn" },
    { 0x5818, "odin_hint_string_init" },
    { 0x5819, "odin_intro" },
    { 0x581A, "odin_intro_screen" },
    { 0x581B, "odin_invasion_scene" },
    { 0x581C, "odin_juggernautusetime" },
    { 0x581D, "odin_large_rod_radius" },
    { 0x581E, "odin_largerodusetime" },
    { 0x581F, "odin_last_predict_position_time" },
    { 0x5820, "odin_leave" },
    { 0x5821, "odin_lgt_flicker" },
    { 0x5822, "odin_lgt_pulsing" },
    { 0x5823, "odin_marking_flash_radius_max" },
    { 0x5824, "odin_marking_flash_radius_min" },
    { 0x5825, "odin_markingusetime" },
    { 0x5826, "odin_missile_rod" },
    { 0x5827, "odin_onplayerconnect" },
    { 0x5828, "odin_onplayerspawned" },
    { 0x5829, "odin_overlay_ent" },
    { 0x582A, "odin_precache" },
    { 0x582B, "odin_predicted_loc_for_player" },
    { 0x582C, "odin_predicted_loc_time_for_player" },
    { 0x582D, "odin_rcs_prompt" },
    { 0x582E, "odin_refresh_player_speed" },
    { 0x582F, "odin_rotator" },
    { 0x5830, "odin_satellite" },
    { 0x5831, "odin_script_setup" },
    { 0x5832, "odin_set_using" },
    { 0x5833, "odin_small_rod_radius" },
    { 0x5834, "odin_smallrodusetime" },
    { 0x5835, "odin_smokeusetime" },
    { 0x5836, "odin_spin" },
    { 0x5837, "odin_spin_room_logic" },
    { 0x5838, "odin_struggle_fail_hint" },
    { 0x5839, "odin_support_get_target" },
    { 0x583A, "odin_support_perform_action" },
    { 0x583B, "odin_waitfordonefiring" },
    { 0x583C, "odin_watchdeath" },
    { 0x583D, "odin_watchobjectivecamera" },
    { 0x583E, "odin_watchoutlines" },
    { 0x583F, "odin_watchownerloss" },
    { 0x5840, "odin_watchplayerkilled" },
    { 0x5841, "odin_watchroundend" },
    { 0x5842, "odin_watchtargeting" },
    { 0x5843, "odin_watchtimeout" },
    { 0x5844, "odin_zoom_up" },
    { 0x5845, "odinsettings" },
    { 0x5846, "odintype" },
    { 0x5847, "off_flashlight" },
    { 0x5848, "off_hintstring" },
    { 0x5849, "off_models" },
    { 0x584A, "offhand_explosives" },
    { 0x584B, "offhand_secondaries" },
    { 0x584C, "offhandclass" },
    { 0x584D, "office_ally_anims" },
    { 0x584E, "office_door_to_lobby" },
    { 0x584F, "office_enemies" },
    { 0x5850, "office_enemy" },
    { 0x5851, "office_enemy_die" },
    { 0x5852, "office_enemy_setup" },
    { 0x5853, "office_enemy_vo" },
    { 0x5854, "office_guy_a" },
    { 0x5855, "office_guy_b" },
    { 0x5856, "office_guy_c" },
    { 0x5857, "office_handler" },
    { 0x5858, "office_hvt" },
    { 0x5859, "office_jitter" },
    { 0x585A, "office_light" },
    { 0x585B, "office_props" },
    { 0x585C, "office_teleport_allies" },
    { 0x585D, "office_vo" },
    { 0x585E, "officercount" },
    { 0x585F, "officerid" },
    { 0x5860, "officers" },
    { 0x5861, "officerwaiter" },
    { 0x5862, "offline" },
    { 0x5863, "offmodel" },
    { 0x5864, "offscreen_shader" },
    { 0x5865, "offscreen_shader_blink" },
    { 0x5866, "offset" },
    { 0x5867, "offset3d" },
    { 0x5868, "offset_modifier" },
    { 0x5869, "offset_percent" },
    { 0x586A, "offset_tag" },
    { 0x586B, "offset_thread" },
    { 0x586C, "offsetdir" },
    { 0x586D, "offsetdist" },
    { 0x586E, "offsetone" },
    { 0x586F, "offsetrange" },
    { 0x5870, "offsettoorigin" },
    { 0x5871, "offsetzero" },
    { 0x5872, "og_angles" },
    { 0x5873, "og_animname" },
    { 0x5874, "og_facedist" },
    { 0x5875, "og_goalradius" },
    { 0x5876, "og_health" },
    { 0x5877, "og_newenemyreactiondistsq" },
    { 0x5878, "og_node" },
    { 0x5879, "og_script_stealthgroup" },
    { 0x587A, "oil_pumps_animate" },
    { 0x587B, "oilrig_jumpsuit" },
    { 0x587C, "oilrig_jumpsuit_hitbox_ondamage" },
    { 0x587D, "oilrig_jumpsuit_ondamage" },
    { 0x587E, "oilrig_jumpsuit_playidleanim" },
    { 0x587F, "oilrig_jumpsuit_precache" },
    { 0x5880, "oilrig_jumpsuits" },
    { 0x5881, "oilrocks_apache_hint_timers" },
    { 0x5882, "oilrocks_locations" },
    { 0x5883, "old" },
    { 0x5884, "old_accuracy" },
    { 0x5885, "old_ai_eventdistdeath" },
    { 0x5886, "old_ai_eventdistgunshot" },
    { 0x5887, "old_ai_eventdistgunshotteam" },
    { 0x5888, "old_ai_eventdistnewenemy" },
    { 0x5889, "old_ai_target" },
    { 0x588A, "old_alpha" },
    { 0x588B, "old_ang" },
    { 0x588C, "old_angles" },
    { 0x588D, "old_animname" },
    { 0x588E, "old_baseaccuracy" },
    { 0x588F, "old_color" },
    { 0x5890, "old_contents" },
    { 0x5891, "old_deathfunction" },
    { 0x5892, "old_disablearrivals" },
    { 0x5893, "old_dist" },
    { 0x5894, "old_fightdist" },
    { 0x5895, "old_fixednode" },
    { 0x5896, "old_fixednodesaferadius" },
    { 0x5897, "old_force_weapon" },
    { 0x5898, "old_forcecolor" },
    { 0x5899, "old_goalradius" },
    { 0x589A, "old_ignoreme" },
    { 0x589B, "old_intensity" },
    { 0x589C, "old_interval" },
    { 0x589D, "old_introscreen_default" },
    { 0x589E, "old_maxfaceenemydist" },
    { 0x589F, "old_mb" },
    { 0x58A0, "old_move_rate" },
    { 0x58A1, "old_movementtype" },
    { 0x58A2, "old_moveplaybackrate" },
    { 0x58A3, "old_node" },
    { 0x58A4, "old_org" },
    { 0x58A5, "old_origin" },
    { 0x58A6, "old_path" },
    { 0x58A7, "old_pathrandompercent" },
    { 0x58A8, "old_player_angles" },
    { 0x58A9, "old_player_origin" },
    { 0x58AA, "old_pos" },
    { 0x58AB, "old_react_dist" },
    { 0x58AC, "old_threat_bias_group" },
    { 0x58AD, "old_walkdist" },
    { 0x58AE, "old_walkdistfacingmotion" },
    { 0x58AF, "old_weap" },
    { 0x58B0, "old_weapon" },
    { 0x58B1, "oldaccuracy" },
    { 0x58B2, "oldangles" },
    { 0x58B3, "oldangryflood" },
    { 0x58B4, "oldbaseaccuracy" },
    { 0x58B5, "oldboy" },
    { 0x58B6, "oldcombatmode" },
    { 0x58B7, "oldcontents" },
    { 0x58B8, "oldconvergencetime" },
    { 0x58B9, "olddontattackme" },
    { 0x58BA, "oldff_block" },
    { 0x58BB, "oldfightdist" },
    { 0x58BC, "oldfixednode" },
    { 0x58BD, "oldgoalradius" },
    { 0x58BE, "oldgrenadeammo" },
    { 0x58BF, "oldgrenadeawareness" },
    { 0x58C0, "oldgrenadereturnthrow" },
    { 0x58C1, "oldgrenadeweapon" },
    { 0x58C2, "oldgrenawareness" },
    { 0x58C3, "oldhandler" },
    { 0x58C4, "oldignoreme" },
    { 0x58C5, "oldmaxdist" },
    { 0x58C6, "oldmaxsight" },
    { 0x58C7, "oldmaxsightdistsqrd" },
    { 0x58C8, "oldmode" },
    { 0x58C9, "oldmoveplaybackrate" },
    { 0x58CA, "oldname" },
    { 0x58CB, "oldnotifymessage" },
    { 0x58CC, "oldorigin" },
    { 0x58CD, "oldpathenemyfightdist" },
    { 0x58CE, "oldpathenemylookahead" },
    { 0x58CF, "oldprimarygun" },
    { 0x58D0, "oldradius" },
    { 0x58D1, "oldstance" },
    { 0x58D2, "oldtank" },
    { 0x58D3, "omaclasschanged" },
    { 0x58D4, "omausebar" },
    { 0x58D5, "on_agent_dog_killed" },
    { 0x58D6, "on_agent_generic_damaged" },
    { 0x58D7, "on_agent_player_damaged" },
    { 0x58D8, "on_agent_player_killed" },
    { 0x58D9, "on_agent_squadmate_killed" },
    { 0x58DA, "on_alien_type_killed" },
    { 0x58DB, "on_bot_killed" },
    { 0x58DC, "on_bridge" },
    { 0x58DD, "on_chaos_stairs" },
    { 0x58DE, "on_damage_turret_push_friendly_fire" },
    { 0x58DF, "on_damaged_finished" },
    { 0x58E0, "on_death_chopper_leave_immediate" },
    { 0x58E1, "on_fire_main_cannon" },
    { 0x58E2, "on_fire_mg" },
    { 0x58E3, "on_fire_sabot" },
    { 0x58E4, "on_hintstring" },
    { 0x58E5, "on_humanoid_agent_killed_common" },
    { 0x58E6, "on_jump_impact" },
    { 0x58E7, "on_models" },
    { 0x58E8, "on_param_death_delete_self" },
    { 0x58E9, "on_path_from" },
    { 0x58EA, "on_path_grid" },
    { 0x58EB, "on_pop_smoke" },
    { 0x58EC, "on_right_side" },
    { 0x58ED, "on_target" },
    { 0x58EE, "on_turret" },
    { 0x58EF, "on_version" },
    { 0x58F0, "onagentkilled" },
    { 0x58F1, "onaiconnect" },
    { 0x58F2, "onalienagentdamaged" },
    { 0x58F3, "onalienagentkilled" },
    { 0x58F4, "onassist" },
    { 0x58F5, "onattackdelegate" },
    { 0x58F6, "onattackerspawn" },
    { 0x58F7, "onatv" },
    { 0x58F8, "onback" },
    { 0x58F9, "onbattlebuddymenuselection" },
    { 0x58FA, "onbegincarrying" },
    { 0x58FB, "onbeginuse" },
    { 0x58FC, "onbombimpact" },
    { 0x58FD, "onbombtimerend" },
    { 0x58FE, "onboxdeployed" },
    { 0x58FF, "oncancel" },
    { 0x5900, "oncanceldelegate" },
    { 0x5901, "oncantuse" },
    { 0x5902, "oncarried" },
    { 0x5903, "oncarrieddelegate" },
    { 0x5904, "oncarrierdeath" },
    { 0x5905, "oncreatedelegate" },
    { 0x5906, "ondamage" },
    { 0x5907, "ondamaged" },
    { 0x5908, "ondamageddelegate" },
    { 0x5909, "ondamagefinish" },
    { 0x590A, "ondeactivate" },
    { 0x590B, "ondeactivedelegate" },
    { 0x590C, "ondeadevent" },
    { 0x590D, "ondeath" },
    { 0x590E, "ondeathdelegate" },
    { 0x590F, "ondeathdot_buildfunc" },
    { 0x5910, "ondeathdot_poisondamageplayer" },
    { 0x5911, "ondeathfunc" },
    { 0x5912, "ondebrisbridge" },
    { 0x5913, "ondeploycallback" },
    { 0x5914, "ondestroycallback" },
    { 0x5915, "ondestroyed" },
    { 0x5916, "ondestroyeddelegate" },
    { 0x5917, "ondetonateexplosive" },
    { 0x5918, "ondisconnect" },
    { 0x5919, "ondogkilled" },
    { 0x591A, "ondrop" },
    { 0x591B, "ondropintel" },
    { 0x591C, "one_hit_kill" },
    { 0x591D, "one_missile_kill" },
    { 0x591E, "onelefttime" },
    { 0x591F, "onemanarmyweaponchangetracker" },
    { 0x5920, "onenduse" },
    { 0x5921, "onenter" },
    { 0x5922, "onenteranimstate" },
    { 0x5923, "onentercallback" },
    { 0x5924, "onenterdot_buildfunc" },
    { 0x5925, "onenterdot_player" },
    { 0x5926, "onenterdot_poisondamagecount" },
    { 0x5927, "onenterdot_poisondamageoverlay" },
    { 0x5928, "onenterdot_poisondamageplayer" },
    { 0x5929, "onenterfunc" },
    { 0x592A, "onenterstate" },
    { 0x592B, "oneshot_armada" },
    { 0x592C, "oneshotfx" },
    { 0x592D, "oneshotfxthread" },
    { 0x592E, "onexit" },
    { 0x592F, "onexitanimstate" },
    { 0x5930, "onexitcallback" },
    { 0x5931, "onexitdot_buildfunc" },
    { 0x5932, "onexitdot_player" },
    { 0x5933, "onexitdot_poisondamageplayer" },
    { 0x5934, "onexitfunc" },
    { 0x5935, "onexplodesfx" },
    { 0x5936, "onexplodevfx" },
    { 0x5937, "onfinalsurvivor" },
    { 0x5938, "onfirehomingmissile" },
    { 0x5939, "onfirerocket" },
    { 0x593A, "onfirstspawnedplayer" },
    { 0x593B, "onflashbanged" },
    { 0x593C, "onflybycompletedelegate" },
    { 0x593D, "onforfeit" },
    { 0x593E, "onfreeplayerconnect" },
    { 0x593F, "ongameended" },
    { 0x5940, "ongroundpos" },
    { 0x5941, "onhalftime" },
    { 0x5942, "onhelisniper" },
    { 0x5943, "onhitpitchclamp" },
    { 0x5944, "onjoinedspectators" },
    { 0x5945, "onjoinedteam" },
    { 0x5946, "onjointeamblinkinglight" },
    { 0x5947, "onkill" },
    { 0x5948, "onkillstreakdisowned" },
    { 0x5949, "onkillstreakkilled" },
    { 0x594A, "onlastalive" },
    { 0x594B, "onlaunchsfx" },
    { 0x594C, "onlethalequipmentplanted" },
    { 0x594D, "onlinegame" },
    { 0x594E, "only_a_reference" },
    { 0x594F, "only_allowable_tactical_goals" },
    { 0x5950, "only_take_damage_from_player" },
    { 0x5951, "only_use_weapon" },
    { 0x5952, "onlyroundoverride" },
    { 0x5953, "onmodel" },
    { 0x5954, "onmovingplatformcollision" },
    { 0x5955, "onnormaldeath" },
    { 0x5956, "ononeleftevent" },
    { 0x5957, "onpickup" },
    { 0x5958, "onpickupfailed" },
    { 0x5959, "onpickupintel" },
    { 0x595A, "onplaced" },
    { 0x595B, "onplaceddelegate" },
    { 0x595C, "onplayer" },
    { 0x595D, "onplayerconnect" },
    { 0x595E, "onplayerconnectaudioinit" },
    { 0x595F, "onplayerconnected" },
    { 0x5960, "onplayerconnecthorde" },
    { 0x5961, "onplayerconnecting" },
    { 0x5962, "onplayerdisconnect" },
    { 0x5963, "onplayerdrowned" },
    { 0x5964, "onplayergiveloadout" },
    { 0x5965, "onplayerjoinedteam" },
    { 0x5966, "onplayerkilled" },
    { 0x5967, "onplayerlaststand" },
    { 0x5968, "onplayerscore" },
    { 0x5969, "onplayerspawned" },
    { 0x596A, "onportalready" },
    { 0x596B, "onportalused" },
    { 0x596C, "onprecachegametype" },
    { 0x596D, "onreset" },
    { 0x596E, "onrespawndelay" },
    { 0x596F, "onrotatingvehicleturret" },
    { 0x5970, "onroundswitch" },
    { 0x5971, "onsamesideofdoor" },
    { 0x5972, "onsameteam" },
    { 0x5973, "onscorelimit" },
    { 0x5974, "onsnowmobile" },
    { 0x5975, "onspawnfinished" },
    { 0x5976, "onspawnplayer" },
    { 0x5977, "onspawnspectator" },
    { 0x5978, "onspectatingclient" },
    { 0x5979, "onstartgametype" },
    { 0x597A, "onsuicidedeath" },
    { 0x597B, "onsurvivorseliminated" },
    { 0x597C, "ontacticalequipmentplanted" },
    { 0x597D, "ontagspickup" },
    { 0x597E, "ontargetacquired" },
    { 0x597F, "onteam" },
    { 0x5980, "onteamselection" },
    { 0x5981, "ontimelimit" },
    { 0x5982, "ontriggeredfunc" },
    { 0x5983, "ontriggeredsfx" },
    { 0x5984, "onuse" },
    { 0x5985, "onusecallback" },
    { 0x5986, "onusedefuseobject" },
    { 0x5987, "onusedeployable" },
    { 0x5988, "onuseplantobject" },
    { 0x5989, "onusesfx" },
    { 0x598A, "onuseupdate" },
    { 0x598B, "onweapondamage" },
    { 0x598C, "onxpevent" },
    { 0x598D, "op_barracks" },
    { 0x598E, "op_helo" },
    { 0x598F, "open" },
    { 0x5990, "open_and_connect" },
    { 0x5991, "open_angles" },
    { 0x5992, "open_church_doors" },
    { 0x5993, "open_door" },
    { 0x5994, "open_elevator_doors" },
    { 0x5995, "open_elevator_doors_if_stealth_broken" },
    { 0x5996, "open_enemy_infiltration_door_flag" },
    { 0x5997, "open_exfil_door" },
    { 0x5998, "open_exit_doors" },
    { 0x5999, "open_exterior_hatch" },
    { 0x599A, "open_front_door" },
    { 0x599B, "open_gate" },
    { 0x599C, "open_inner_doors" },
    { 0x599D, "open_interrupt" },
    { 0x599E, "open_loading_dock_doors" },
    { 0x599F, "open_outer_doors" },
    { 0x59A0, "open_pos" },
    { 0x59A1, "open_the_ramp" },
    { 0x59A2, "open_trigger" },
    { 0x59A3, "open_up_fov" },
    { 0x59A4, "open_up_player_view_during_weld" },
    { 0x59A5, "open_vault" },
    { 0x59A6, "open_vault_door" },
    { 0x59A7, "open_vip_doors" },
    { 0x59A8, "opened_height" },
    { 0x59A9, "opened_model" },
    { 0x59AA, "opened_width" },
    { 0x59AB, "opened_x" },
    { 0x59AC, "opened_y" },
    { 0x59AD, "openelevatordoors" },
    { 0x59AE, "opening_shot" },
    { 0x59AF, "opening_view_anims" },
    { 0x59B0, "openlist" },
    { 0x59B1, "openlistid" },
    { 0x59B2, "openpos" },
    { 0x59B3, "operationscompleted" },
    { 0x59B4, "opfor3_tussbubbs" },
    { 0x59B5, "opfor_barracks" },
    { 0x59B6, "opfor_bc_lmg" },
    { 0x59B7, "opfor_catwalk_falling_death" },
    { 0x59B8, "opfor_catwalk_low" },
    { 0x59B9, "opfor_common_ambush" },
    { 0x59BA, "opfor_crawl" },
    { 0x59BB, "opfor_death_runners" },
    { 0x59BC, "opfor_helo_rein" },
    { 0x59BD, "opfor_infil" },
    { 0x59BE, "opfor_kicker" },
    { 0x59BF, "opfor_left_flank_run" },
    { 0x59C0, "opfor_low_balcony" },
    { 0x59C1, "opfor_m880_escape" },
    { 0x59C2, "opfor_m880_escape_spawn" },
    { 0x59C3, "opfor_mid_normal" },
    { 0x59C4, "opfor_mid_window" },
    { 0x59C5, "opfor_porch_runner" },
    { 0x59C6, "opfor_retreat" },
    { 0x59C7, "opfor_rope" },
    { 0x59C8, "opfor_run" },
    { 0x59C9, "opfor_runback" },
    { 0x59CA, "opfor_starting_runners" },
    { 0x59CB, "opsrey_control_nag_vo" },
    { 0x59CC, "optimal_height" },
    { 0x59CD, "optimized_process_trigger" },
    { 0x59CE, "optimizedvehicletriggerprocess" },
    { 0x59CF, "optionalnumber" },
    { 0x59D0, "optionalstepeffectfunction" },
    { 0x59D1, "optionalstepeffects" },
    { 0x59D2, "optionalstepeffectsmallfunction" },
    { 0x59D3, "optionalstepeffectssmall" },
    { 0x59D4, "options" },
    { 0x59D5, "orderaction" },
    { 0x59D6, "orderdisplace" },
    { 0x59D7, "ordermove" },
    { 0x59D8, "orderonqueueddialog" },
    { 0x59D9, "orderto" },
    { 0x59DA, "org" },
    { 0x59DB, "org_angles" },
    { 0x59DC, "org_view_roll" },
    { 0x59DD, "orghealth" },
    { 0x59DE, "orgin" },
    { 0x59DF, "orient_ally" },
    { 0x59E0, "orient_dir" },
    { 0x59E1, "orient_to_face" },
    { 0x59E2, "orientmeleevictim" },
    { 0x59E3, "orienttonormal" },
    { 0x59E4, "orig_alpha" },
    { 0x59E5, "orig_flashbangimmunity" },
    { 0x59E6, "orig_org" },
    { 0x59E7, "orig_phys_gravity" },
    { 0x59E8, "orig_ragdoll_gravity" },
    { 0x59E9, "orig_ragdoll_life" },
    { 0x59EA, "orig_speed" },
    { 0x59EB, "orig_sundirection" },
    { 0x59EC, "orig_wakeupradius" },
    { 0x59ED, "origin2" },
    { 0x59EE, "origin_diff" },
    { 0x59EF, "origin_ent" },
    { 0x59F0, "origin_is_valid_for_vanguard" },
    { 0x59F1, "origin_offset" },
    { 0x59F2, "origin_within_volume" },
    { 0x59F3, "original_angles" },
    { 0x59F4, "original_height" },
    { 0x59F5, "original_origin" },
    { 0x59F6, "original_pos" },
    { 0x59F7, "original_view_kick" },
    { 0x59F8, "original_width" },
    { 0x59F9, "original_yaw" },
    { 0x59FA, "originalangles" },
    { 0x59FB, "originalbasaccuracy" },
    { 0x59FC, "originalowner" },
    { 0x59FD, "originaltarget" },
    { 0x59FE, "originalvisionset" },
    { 0x59FF, "originheightoffset" },
    { 0x5A00, "origins" },
    { 0x5A01, "origins_pasrsed" },
    { 0x5A02, "origpos" },
    { 0x5A03, "osprey2_gunship_attack" },
    { 0x5A04, "osprey_carrier_vol" },
    { 0x5A05, "osprey_control" },
    { 0x5A06, "osprey_control_pad" },
    { 0x5A07, "osprey_debug_ai" },
    { 0x5A08, "osprey_delete_watcher" },
    { 0x5A09, "osprey_hit_fake_targets" },
    { 0x5A0A, "osprey_hit_gunboats" },
    { 0x5A0B, "osprey_hit_zodiacs" },
    { 0x5A0C, "osprey_intermission" },
    { 0x5A0D, "osprey_minigun_ammo" },
    { 0x5A0E, "osprey_missile_side_left" },
    { 0x5A0F, "osprey_props" },
    { 0x5A10, "osprey_total_hits" },
    { 0x5A11, "osprey_turret" },
    { 0x5A12, "ospreydropcrates" },
    { 0x5A13, "ospreydropcrateslowimpulse" },
    { 0x5A14, "ospreysettings" },
    { 0x5A15, "ospreyspot" },
    { 0x5A16, "ospreytype" },
    { 0x5A17, "other_col_point" },
    { 0x5A18, "other_linked_parts" },
    { 0x5A19, "other_linked_parts_count" },
    { 0x5A1A, "otherallies" },
    { 0x5A1B, "otherbombzones" },
    { 0x5A1C, "otherdir" },
    { 0x5A1D, "othertanks" },
    { 0x5A1E, "otherteam" },
    { 0x5A1F, "out_volume" },
    { 0x5A20, "outboundflightanim" },
    { 0x5A21, "outboundsfx" },
    { 0x5A22, "outcome_decided" },
    { 0x5A23, "outcomenotify" },
    { 0x5A24, "outcomeoverlay" },
    { 0x5A25, "outdoor_motion_dlight" },
    { 0x5A26, "outdoor_motion_dlight_timeout" },
    { 0x5A27, "outdoor_motion_light" },
    { 0x5A28, "outdoor_only_maxs" },
    { 0x5A29, "outdoor_only_mins" },
    { 0x5A2A, "outdoor_think" },
    { 0x5A2B, "outframes" },
    { 0x5A2C, "outgoing" },
    { 0x5A2D, "outline_disable" },
    { 0x5A2E, "outline_drill_watch_list" },
    { 0x5A2F, "outline_enable" },
    { 0x5A30, "outline_hive_watch_list" },
    { 0x5A31, "outline_init" },
    { 0x5A32, "outline_monitor" },
    { 0x5A33, "outline_monitor_think" },
    { 0x5A34, "outline_off_when_far" },
    { 0x5A35, "outline_pillage_watch_list" },
    { 0x5A36, "outline_proto_enabled" },
    { 0x5A37, "outline_set_global_width" },
    { 0x5A38, "outline_switch" },
    { 0x5A39, "outline_tech" },
    { 0x5A3A, "outline_watch_list" },
    { 0x5A3B, "outline_weapon_watch_list" },
    { 0x5A3C, "outlineaddplayertoexistingteamoutlines" },
    { 0x5A3D, "outlineaddtogloballist" },
    { 0x5A3E, "outlinecatchplayerdisconnect" },
    { 0x5A3F, "outlinecolorindexmap" },
    { 0x5A40, "outlinedisable" },
    { 0x5A41, "outlinedisableinternal" },
    { 0x5A42, "outlinedisableinternalall" },
    { 0x5A43, "outlineenableforall" },
    { 0x5A44, "outlineenableforplayer" },
    { 0x5A45, "outlineenableforteam" },
    { 0x5A46, "outlineenableinternal" },
    { 0x5A47, "outlineents" },
    { 0x5A48, "outlinegenerateuniqueid" },
    { 0x5A49, "outlinegethighestinfoforplayer" },
    { 0x5A4A, "outlinegethighestpriorityid" },
    { 0x5A4B, "outlineids" },
    { 0x5A4C, "outlineonplayerdisconnect" },
    { 0x5A4D, "outlineonplayerjoinedteam" },
    { 0x5A4E, "outlineonplayerjoinedteam_onfirstspawn" },
    { 0x5A4F, "outlineprioritygroupmap" },
    { 0x5A50, "outlineremovefromgloballist" },
    { 0x5A51, "outlineremoveplayerfromvisibletoarrays" },
    { 0x5A52, "outlines" },
    { 0x5A53, "outlinestuckai" },
    { 0x5A54, "outlinewatcher" },
    { 0x5A55, "outro_gate" },
    { 0x5A56, "outro_heli_front" },
    { 0x5A57, "outro_heli_mid" },
    { 0x5A58, "outro_heli_rear" },
    { 0x5A59, "outro_node" },
    { 0x5A5A, "outro_pt1_blood" },
    { 0x5A5B, "outro_pt2_face_01" },
    { 0x5A5C, "outro_pt2_face_02" },
    { 0x5A5D, "outro_pt2_face_03" },
    { 0x5A5E, "outro_pt2_face_04" },
    { 0x5A5F, "outro_pt2_face_05" },
    { 0x5A60, "outro_recruit_scene" },
    { 0x5A61, "outside" },
    { 0x5A62, "outside_reads" },
    { 0x5A63, "outside_start" },
    { 0x5A64, "outside_zones" },
    { 0x5A65, "overall_pitch" },
    { 0x5A66, "overall_pitch_max" },
    { 0x5A67, "overall_pitch_min" },
    { 0x5A68, "overall_pitch_roll_modifier" },
    { 0x5A69, "overall_pitch_roll_modifier_max" },
    { 0x5A6A, "overhead_icon_col" },
    { 0x5A6B, "overheard_radio_chatter" },
    { 0x5A6C, "overheat" },
    { 0x5A6D, "overheated" },
    { 0x5A6E, "overheattime" },
    { 0x5A6F, "overlay" },
    { 0x5A70, "overlay_coords" },
    { 0x5A71, "overlay_frozen" },
    { 0x5A72, "overlay_manage" },
    { 0x5A73, "overlaydelay" },
    { 0x5A74, "overlayoffsety" },
    { 0x5A75, "overlays" },
    { 0x5A76, "overlayweight" },
    { 0x5A77, "overlord_trans1" },
    { 0x5A78, "overlord_trans2" },
    { 0x5A79, "overlord_transition_fx" },
    { 0x5A7A, "override" },
    { 0x5A7B, "override_array_call" },
    { 0x5A7C, "override_array_delete" },
    { 0x5A7D, "override_array_thread" },
    { 0x5A7E, "override_box_moving_platform_death" },
    { 0x5A7F, "override_check" },
    { 0x5A80, "override_class_function" },
    { 0x5A81, "override_crawl_death_anims" },
    { 0x5A82, "override_dog_enemy" },
    { 0x5A83, "override_footstep_notetrack_scripts" },
    { 0x5A84, "override_footsteps" },
    { 0x5A85, "override_ride_anims" },
    { 0x5A86, "override_setup_headmodels_for_allies" },
    { 0x5A87, "override_target" },
    { 0x5A88, "override_water_footsteps" },
    { 0x5A89, "overrideaishot" },
    { 0x5A8A, "overrider" },
    { 0x5A8B, "overridewatchdvars" },
    { 0x5A8C, "overshoot_next_node" },
    { 0x5A8D, "overtimescorewinoverride" },
    { 0x5A8E, "ownerboarded" },
    { 0x5A8F, "ownerdamagedradiussq" },
    { 0x5A90, "ownerfx" },
    { 0x5A91, "ownerhintstring" },
    { 0x5A92, "ownerisinheli" },
    { 0x5A93, "ownerprevpos" },
    { 0x5A94, "ownerradiussq" },
    { 0x5A95, "ownersattacker" },
    { 0x5A96, "ownership" },
    { 0x5A97, "ownershipstring" },
    { 0x5A98, "ownerteam" },
    { 0x5A99, "ownerteamid" },
    { 0x5A9A, "ownertrigger" },
    { 0x5A9B, "ownervehicle" },
    { 0x5A9C, "pa_announcements_chaos" },
    { 0x5A9D, "pa_announcements_chaos_thread" },
    { 0x5A9E, "pa_announcements_cqb" },
    { 0x5A9F, "pa_announcements_cqb_thread" },
    { 0x5AA0, "pa_announcements_interior_combat" },
    { 0x5AA1, "pa_announcements_interior_combat_thread" },
    { 0x5AA2, "pa_bursts" },
    { 0x5AA3, "padding" },
    { 0x5AA4, "pain_getcombinedhitloc" },
    { 0x5AA5, "pain_getincomingdirection" },
    { 0x5AA6, "pain_heartbeat" },
    { 0x5AA7, "pain_interval_monitor" },
    { 0x5AA8, "pain_protection" },
    { 0x5AA9, "pain_protection_check" },
    { 0x5AAA, "pain_registered" },
    { 0x5AAB, "pain_resistance" },
    { 0x5AAC, "pain_setflaggedanimknob" },
    { 0x5AAD, "pain_setflaggedanimknoballrestart" },
    { 0x5AAE, "pain_setflaggedanimknobrestart" },
    { 0x5AAF, "pain_test" },
    { 0x5AB0, "painai" },
    { 0x5AB1, "painanims" },
    { 0x5AB2, "paindeathnotify" },
    { 0x5AB3, "painfunction" },
    { 0x5AB4, "painonstairs" },
    { 0x5AB5, "painpitchdifftolerance" },
    { 0x5AB6, "painted" },
    { 0x5AB7, "paintime" },
    { 0x5AB8, "painyawdiffclosedistsq" },
    { 0x5AB9, "painyawdiffclosetolerance" },
    { 0x5ABA, "painyawdifffartolerance" },
    { 0x5ABB, "pairbattlebuddy" },
    { 0x5ABC, "paired_death_add" },
    { 0x5ABD, "paired_death_group" },
    { 0x5ABE, "paired_death_max_distance" },
    { 0x5ABF, "paired_death_restart" },
    { 0x5AC0, "paired_death_think" },
    { 0x5AC1, "paired_death_wait" },
    { 0x5AC2, "paired_death_wait_flag" },
    { 0x5AC3, "pairflareswithclosestmissile" },
    { 0x5AC4, "palm_style_door_open" },
    { 0x5AC5, "palm_tree" },
    { 0x5AC6, "palm_tree_control" },
    { 0x5AC7, "palm_tree_spawn" },
    { 0x5AC8, "panel_array" },
    { 0x5AC9, "panel_time_array" },
    { 0x5ACA, "panfront" },
    { 0x5ACB, "panic_room_startpoint" },
    { 0x5ACC, "panicdistance" },
    { 0x5ACD, "panzer_delay" },
    { 0x5ACE, "panzer_ent" },
    { 0x5ACF, "panzer_ent_offset" },
    { 0x5AD0, "panzer_node" },
    { 0x5AD1, "panzer_pos" },
    { 0x5AD2, "panzer_target" },
    { 0x5AD3, "parachute_break" },
    { 0x5AD4, "parachute_death_monitor" },
    { 0x5AD5, "parachute_function" },
    { 0x5AD6, "parachute_heartbeat" },
    { 0x5AD7, "parachute_hint" },
    { 0x5AD8, "parachute_input" },
    { 0x5AD9, "parachute_intro_fx" },
    { 0x5ADA, "parachute_intro_sound" },
    { 0x5ADB, "parachute_movement" },
    { 0x5ADC, "parachute_notetrack_logic" },
    { 0x5ADD, "parachute_open_rotate" },
    { 0x5ADE, "parachute_player_land_sounds" },
    { 0x5ADF, "parachute_start" },
    { 0x5AE0, "parachute_sway_settings" },
    { 0x5AE1, "parachute_unload" },
    { 0x5AE2, "parachute_waittill_player_cuts" },
    { 0x5AE3, "parameters_check" },
    { 0x5AE4, "params" },
    { 0x5AE5, "params_default" },
    { 0x5AE6, "parent" },
    { 0x5AE7, "parent_to_me" },
    { 0x5AE8, "parentnode" },
    { 0x5AE9, "parm1" },
    { 0x5AEA, "parm2" },
    { 0x5AEB, "parm3" },
    { 0x5AEC, "parm4" },
    { 0x5AED, "parms" },
    { 0x5AEE, "parse_fog_func" },
    { 0x5AEF, "parse_input_data_for_thruster" },
    { 0x5AF0, "parsed" },
    { 0x5AF1, "parselocationaliases" },
    { 0x5AF2, "part" },
    { 0x5AF3, "part_2_aim_waver" },
    { 0x5AF4, "part_2_ambient_animations" },
    { 0x5AF5, "part_2_animated_seafloor" },
    { 0x5AF6, "part_2_crash" },
    { 0x5AF7, "part_2_crawl" },
    { 0x5AF8, "part_2_crawl_player" },
    { 0x5AF9, "part_2_dialog" },
    { 0x5AFA, "part_2_draw_player" },
    { 0x5AFB, "part_2_dynamic_crawl" },
    { 0x5AFC, "part_2_fight" },
    { 0x5AFD, "part_2_fight_timeout" },
    { 0x5AFE, "part_2_gun_fire" },
    { 0x5AFF, "part_2_gun_reload" },
    { 0x5B00, "part_2_help_ally" },
    { 0x5B01, "part_2_knife_logic" },
    { 0x5B02, "part_2_setup" },
    { 0x5B03, "part_2_shoot_chance" },
    { 0x5B04, "part_2_shoot_chance_timeout" },
    { 0x5B05, "part_2_speedloader" },
    { 0x5B06, "parthealths" },
    { 0x5B07, "participants" },
    { 0x5B08, "participation" },
    { 0x5B09, "participation_point_cap" },
    { 0x5B0A, "participation_point_flattenovertime" },
    { 0x5B0B, "particle_loop" },
    { 0x5B0C, "partner" },
    { 0x5B0D, "parts" },
    { 0x5B0E, "parts_string" },
    { 0x5B0F, "partstates" },
    { 0x5B10, "passallies" },
    { 0x5B11, "passenger" },
    { 0x5B12, "passenger2turret_anime" },
    { 0x5B13, "passenger_2_turret_anim" },
    { 0x5B14, "passenger_2_turret_func" },
    { 0x5B15, "passenger_shooting" },
    { 0x5B16, "passes_spawn_node_filter" },
    { 0x5B17, "passive_missile_settargetandflightmode" },
    { 0x5B18, "passplayer" },
    { 0x5B19, "paste_ents" },
    { 0x5B1A, "pastswitch" },
    { 0x5B1B, "path" },
    { 0x5B1C, "path_array" },
    { 0x5B1D, "path_clip" },
    { 0x5B1E, "path_detour" },
    { 0x5B1F, "path_detour_get_detourpath" },
    { 0x5B20, "path_detour_script_origin" },
    { 0x5B21, "path_disconnector" },
    { 0x5B22, "path_distance" },
    { 0x5B23, "path_end" },
    { 0x5B24, "path_gate_open" },
    { 0x5B25, "path_gate_wait_till_open" },
    { 0x5B26, "path_gobbler" },
    { 0x5B27, "path_nodes" },
    { 0x5B28, "path_solids" },
    { 0x5B29, "path_start" },
    { 0x5B2A, "pathblocker" },
    { 0x5B2B, "pathchange_candoturnanim" },
    { 0x5B2C, "pathchange_cleanupturnanim" },
    { 0x5B2D, "pathchange_doturnanim" },
    { 0x5B2E, "pathchange_getturnanim" },
    { 0x5B2F, "pathchangecheckoverridefunc" },
    { 0x5B30, "pathchangelistener" },
    { 0x5B31, "pathdataavailable" },
    { 0x5B32, "pathend" },
    { 0x5B33, "pathgoal" },
    { 0x5B34, "pathrandompercent_reset" },
    { 0x5B35, "pathrandompercent_set" },
    { 0x5B36, "pathrandompercent_zero" },
    { 0x5B37, "pathstart" },
    { 0x5B38, "pathturnanimblendtime" },
    { 0x5B39, "pathturnanimoverridefunc" },
    { 0x5B3A, "patientzeroname" },
    { 0x5B3B, "patientzerowaiter" },
    { 0x5B3C, "patrol" },
    { 0x5B3D, "patrol_anim_turn180" },
    { 0x5B3E, "patrol_claimed" },
    { 0x5B3F, "patrol_do_start_transition_anim" },
    { 0x5B40, "patrol_do_stop_transition_anim" },
    { 0x5B41, "patrol_end_idle" },
    { 0x5B42, "patrol_goal_pos" },
    { 0x5B43, "patrol_idle_anim" },
    { 0x5B44, "patrol_jog_guys_logic" },
    { 0x5B45, "patrol_master" },
    { 0x5B46, "patrol_no_stop_transition" },
    { 0x5B47, "patrol_pet" },
    { 0x5B48, "patrol_react_anim_count" },
    { 0x5B49, "patrol_resume_move_start_func" },
    { 0x5B4A, "patrol_script_animation" },
    { 0x5B4B, "patrol_scriptedanim" },
    { 0x5B4C, "patrol_scriptedanims" },
    { 0x5B4D, "patrol_start" },
    { 0x5B4E, "patrol_start_nodes" },
    { 0x5B4F, "patrol_stop" },
    { 0x5B50, "patrol_walk_anim" },
    { 0x5B51, "patrol_walk_twitch" },
    { 0x5B52, "patroller_deleted" },
    { 0x5B53, "pause_action" },
    { 0x5B54, "pause_ally_suppression" },
    { 0x5B55, "pause_between_vo" },
    { 0x5B56, "pause_death_wave" },
    { 0x5B57, "pause_horz" },
    { 0x5B58, "pause_smoke_fx" },
    { 0x5B59, "pauseeffect" },
    { 0x5B5A, "pauseexploder" },
    { 0x5B5B, "pausemax" },
    { 0x5B5C, "pausemin" },
    { 0x5B5D, "pausetimer" },
    { 0x5B5E, "pausing_bot_connect_monitor" },
    { 0x5B5F, "pavelowmadeselectionvo" },
    { 0x5B60, "payback_color_trigger_active" },
    { 0x5B61, "payback_color_trigger_disable_previous" },
    { 0x5B62, "payback_color_value" },
    { 0x5B63, "pc_dog_drive_dialogue" },
    { 0x5B64, "pc_dog_drive_dialogue_2" },
    { 0x5B65, "pc_dog_drive_dialogue_3" },
    { 0x5B66, "pc_dog_drive_dialogue_4" },
    { 0x5B67, "pc_dog_drive_end" },
    { 0x5B68, "pc_dog_drive_enemies" },
    { 0x5B69, "pc_dog_drive_killed_by_sniper" },
    { 0x5B6A, "pc_dog_drive_spotted" },
    { 0x5B6B, "pc_house_baker_get_ready" },
    { 0x5B6C, "pc_house_breach_think" },
    { 0x5B6D, "pc_house_fall" },
    { 0x5B6E, "pc_house_melee" },
    { 0x5B6F, "pc_house_yells" },
    { 0x5B70, "pc_saw_second_guy" },
    { 0x5B71, "pc_track_guy_1" },
    { 0x5B72, "pc_walla" },
    { 0x5B73, "pc_watchgamepad" },
    { 0x5B74, "pc_watchstreakuse" },
    { 0x5B75, "peekout" },
    { 0x5B76, "pending_ground_spawns" },
    { 0x5B77, "pending_meteor_spawns" },
    { 0x5B78, "people_react_distance" },
    { 0x5B79, "percentage" },
    { 0x5B7A, "percentchancetodrop" },
    { 0x5B7B, "perch" },
    { 0x5B7C, "perfectaccuracy" },
    { 0x5B7D, "perfectaim" },
    { 0x5B7E, "perferred_crash_location" },
    { 0x5B7F, "perform_swipe" },
    { 0x5B80, "periodically_display_laser_hint" },
    { 0x5B81, "perk_data" },
    { 0x5B82, "perk_getbulletdamagescalar" },
    { 0x5B83, "perk_getcurrencyscaleperhive" },
    { 0x5B84, "perk_getdrillhealthscalar" },
    { 0x5B85, "perk_getdrilltimescalar" },
    { 0x5B86, "perk_getexplosivedamagescalar" },
    { 0x5B87, "perk_getgasdamagescalar" },
    { 0x5B88, "perk_getmaxhealth" },
    { 0x5B89, "perk_getmeleescalar" },
    { 0x5B8A, "perk_getmovespeedscalar" },
    { 0x5B8B, "perk_getpistoloverkill" },
    { 0x5B8C, "perk_getpistolregen" },
    { 0x5B8D, "perk_getrepairdamagescalar" },
    { 0x5B8E, "perk_getrevivedamagescalar" },
    { 0x5B8F, "perk_getrevivetimescalar" },
    { 0x5B90, "perk_gettrapcostscalar" },
    { 0x5B91, "perk_gettrapdamagescalar" },
    { 0x5B92, "perk_gettrapdurationscalar" },
    { 0x5B93, "perk_givesextralaststand" },
    { 0x5B94, "perkcostsforgambler" },
    { 0x5B95, "perkfuncs" },
    { 0x5B96, "perkicon" },
    { 0x5B97, "perkname" },
    { 0x5B98, "perknamesforgambler" },
    { 0x5B99, "perkoutlined" },
    { 0x5B9A, "perkpenalty" },
    { 0x5B9B, "perkrowsforgambler" },
    { 0x5B9C, "perks" },
    { 0x5B9D, "perksetfuncs" },
    { 0x5B9E, "perksperkname" },
    { 0x5B9F, "perksperkpower" },
    { 0x5BA0, "perksuseslot" },
    { 0x5BA1, "perktable_add" },
    { 0x5BA2, "perktable_costs" },
    { 0x5BA3, "perkunsetfuncs" },
    { 0x5BA4, "perkusedeathtracker" },
    { 0x5BA5, "perkwatcher" },
    { 0x5BA6, "perkweaponlaseron" },
    { 0x5BA7, "perm_on" },
    { 0x5BA8, "permanentcustommovetransition" },
    { 0x5BA9, "persclear_stats" },
    { 0x5BAA, "persist" },
    { 0x5BAB, "persistence_weaponstats" },
    { 0x5BAC, "persistentdatainfo" },
    { 0x5BAD, "persistentdebugline" },
    { 0x5BAE, "perslog_attachmentstats" },
    { 0x5BAF, "perslog_weaponstats" },
    { 0x5BB0, "personalcoldbreath" },
    { 0x5BB1, "personalcoldbreathspawner" },
    { 0x5BB2, "personalcoldbreathstop" },
    { 0x5BB3, "personality" },
    { 0x5BB4, "personality_init_function" },
    { 0x5BB5, "personality_update_function" },
    { 0x5BB6, "personalitymanuallyset" },
    { 0x5BB7, "personalsighttime" },
    { 0x5BB8, "personalusebar" },
    { 0x5BB9, "pet" },
    { 0x5BBA, "pet_bombs_removed" },
    { 0x5BBB, "pet_debug_positions" },
    { 0x5BBC, "pet_patrol" },
    { 0x5BBD, "pet_patrol_create_positions" },
    { 0x5BBE, "pet_patrol_get_available_origin" },
    { 0x5BBF, "pet_patrol_handle_move_state" },
    { 0x5BC0, "pet_patrol_handle_movespeed" },
    { 0x5BC1, "pet_patrol_init_positions" },
    { 0x5BC2, "pet_tutorial_given" },
    { 0x5BC3, "petfollowdist" },
    { 0x5BC4, "petowner" },
    { 0x5BC5, "phalanx_fire" },
    { 0x5BC6, "phalanx_fire_complex" },
    { 0x5BC7, "phalanx_gun_fire" },
    { 0x5BC8, "phalanx_gun_fire_at_missiles" },
    { 0x5BC9, "phalanx_gun_fire_stop" },
    { 0x5BCA, "phalanx_gun_fire_target" },
    { 0x5BCB, "phalanx_gun_offline" },
    { 0x5BCC, "phalanx_incoming_hit" },
    { 0x5BCD, "phalanx_missile_think" },
    { 0x5BCE, "phalanx_shoot" },
    { 0x5BCF, "phalanx_stop_shoot" },
    { 0x5BD0, "pharm_roller_shut" },
    { 0x5BD1, "phone" },
    { 0x5BD2, "photo_copier" },
    { 0x5BD3, "photo_copier_copy_bar_goes" },
    { 0x5BD4, "photo_copier_init" },
    { 0x5BD5, "photo_copier_light_on" },
    { 0x5BD6, "photo_copier_no_light" },
    { 0x5BD7, "photo_copier_stop" },
    { 0x5BD8, "photo_light_flicker" },
    { 0x5BD9, "phys_blockers_brush" },
    { 0x5BDA, "phys_blockers_model" },
    { 0x5BDB, "phys_fountain" },
    { 0x5BDC, "physics_fountain" },
    { 0x5BDD, "physics_jolt_node" },
    { 0x5BDE, "physics_launch" },
    { 0x5BDF, "physics_object_remove" },
    { 0x5BE0, "physics_of_objects_in_plane" },
    { 0x5BE1, "physics_pulse_on" },
    { 0x5BE2, "physicsdefaultdamagepush" },
    { 0x5BE3, "physicsjolt_proximity" },
    { 0x5BE4, "physicsmodel" },
    { 0x5BE5, "physicsmultiply" },
    { 0x5BE6, "physicspush" },
    { 0x5BE7, "physicssphereforce" },
    { 0x5BE8, "physicssphereradius" },
    { 0x5BE9, "physicsupdater" },
    { 0x5BEA, "physicswaiter" },
    { 0x5BEB, "physpreset" },
    { 0x5BEC, "pianodamagethink" },
    { 0x5BED, "pianothink" },
    { 0x5BEE, "pick_debris" },
    { 0x5BEF, "pick_drone_gundown_anim" },
    { 0x5BF0, "pick_drone_gundown_dummy" },
    { 0x5BF1, "pick_drone_patrol_anim" },
    { 0x5BF2, "pick_manual_or_auto" },
    { 0x5BF3, "pick_up_pace" },
    { 0x5BF4, "pickai" },
    { 0x5BF5, "picking_up_item" },
    { 0x5BF6, "pickrandomtargetpoint" },
    { 0x5BF7, "pickup_gun" },
    { 0x5BF8, "pickup_guns" },
    { 0x5BF9, "pickup_message_deleted" },
    { 0x5BFA, "pickup_mk32" },
    { 0x5BFB, "pickupbounce" },
    { 0x5BFC, "pickupfunc" },
    { 0x5BFD, "pickupmodel" },
    { 0x5BFE, "pickupmodelobj" },
    { 0x5BFF, "pickupobjectdelay" },
    { 0x5C00, "pickuppos" },
    { 0x5C01, "pickupstartflashing" },
    { 0x5C02, "pickuptimeout" },
    { 0x5C03, "pickuptimer" },
    { 0x5C04, "pickupweaponhandler" },
    { 0x5C05, "piece" },
    { 0x5C06, "piecenum" },
    { 0x5C07, "pieces" },
    { 0x5C08, "pileup" },
    { 0x5C09, "pileupcounter" },
    { 0x5C0A, "pileupsequence" },
    { 0x5C0B, "pillage_area_has_petbomb" },
    { 0x5C0C, "pillage_areas" },
    { 0x5C0D, "pillage_init" },
    { 0x5C0E, "pillage_spot" },
    { 0x5C0F, "pillage_spot_think" },
    { 0x5C10, "pillage_trigger" },
    { 0x5C11, "pillage_type" },
    { 0x5C12, "pillageable_attachments" },
    { 0x5C13, "pillageable_attachments_ar" },
    { 0x5C14, "pillageable_attachments_ar_sc2010" },
    { 0x5C15, "pillageable_attachments_dmr" },
    { 0x5C16, "pillageable_attachments_lmg" },
    { 0x5C17, "pillageable_attachments_lmg_kac" },
    { 0x5C18, "pillageable_attachments_sg" },
    { 0x5C19, "pillageable_attachments_smg" },
    { 0x5C1A, "pillageable_attachments_sr" },
    { 0x5C1B, "pillageable_explosives" },
    { 0x5C1C, "pillageinfo" },
    { 0x5C1D, "pillageitems" },
    { 0x5C1E, "pilot" },
    { 0x5C1F, "pilot_ai" },
    { 0x5C20, "pilot_ai_anim" },
    { 0x5C21, "pilot_ai_death" },
    { 0x5C22, "pilot_ai_spawner" },
    { 0x5C23, "pilot_ai_start" },
    { 0x5C24, "pilot_corpse" },
    { 0x5C25, "pingtime" },
    { 0x5C26, "pintoscreenedge" },
    { 0x5C27, "pip" },
    { 0x5C28, "pip_active" },
    { 0x5C29, "pip_ai_cam" },
    { 0x5C2A, "pip_border" },
    { 0x5C2B, "pip_camera" },
    { 0x5C2C, "pip_close_l_corner" },
    { 0x5C2D, "pip_disable" },
    { 0x5C2E, "pip_display_name" },
    { 0x5C2F, "pip_display_timer" },
    { 0x5C30, "pip_enable" },
    { 0x5C31, "pip_init" },
    { 0x5C32, "pip_interference" },
    { 0x5C33, "pip_open" },
    { 0x5C34, "pip_open_l_corner" },
    { 0x5C35, "pip_remove_l_corners" },
    { 0x5C36, "pip_set_entity" },
    { 0x5C37, "pip_show_target" },
    { 0x5C38, "pip_static" },
    { 0x5C39, "pip_static_lines" },
    { 0x5C3A, "pip_timer" },
    { 0x5C3B, "pip_toggle_ai_cam" },
    { 0x5C3C, "pip_vo" },
    { 0x5C3D, "pip_watch_flag" },
    { 0x5C3E, "pipe" },
    { 0x5C3F, "pipe_calc_ballistic" },
    { 0x5C40, "pipe_calc_nofx" },
    { 0x5C41, "pipe_calc_splash" },
    { 0x5C42, "pipe_damage" },
    { 0x5C43, "pipe_deck_fx" },
    { 0x5C44, "pipe_deck_water_suppression_fx" },
    { 0x5C45, "pipe_fx_array" },
    { 0x5C46, "pipe_logic" },
    { 0x5C47, "pipe_wait_loop" },
    { 0x5C48, "pipe_warning_fx" },
    { 0x5C49, "pipe_warning_shift" },
    { 0x5C4A, "pipedeck_godrays" },
    { 0x5C4B, "pipedecklights" },
    { 0x5C4C, "pipedeckvisionswitching" },
    { 0x5C4D, "pipefx" },
    { 0x5C4E, "pipes_init" },
    { 0x5C4F, "pipesdamage" },
    { 0x5C50, "pipesetup" },
    { 0x5C51, "pistol_ammo_regen" },
    { 0x5C52, "pistol_ammo_remaining" },
    { 0x5C53, "pistol_clip_ammo_right" },
    { 0x5C54, "pistol_overkill" },
    { 0x5C55, "pistol_regen" },
    { 0x5C56, "pistolarray" },
    { 0x5C57, "pistolcombatspeedscalar" },
    { 0x5C58, "pistolshoot" },
    { 0x5C59, "pitch" },
    { 0x5C5A, "pitch_and_roll" },
    { 0x5C5B, "pitch_changed" },
    { 0x5C5C, "pitch_mag" },
    { 0x5C5D, "pitch_max" },
    { 0x5C5E, "pitch_offset_air" },
    { 0x5C5F, "pitch_offset_ground" },
    { 0x5C60, "pitch_offset_mid" },
    { 0x5C61, "pitch_speed_max" },
    { 0x5C62, "pitch_target" },
    { 0x5C63, "pivot" },
    { 0x5C64, "place" },
    { 0x5C65, "place_allies_in_jeep" },
    { 0x5C66, "place_defenses" },
    { 0x5C67, "place_sentry" },
    { 0x5C68, "place_sun_with_moving_source" },
    { 0x5C69, "place_weapon_on" },
    { 0x5C6A, "placeableconfigs" },
    { 0x5C6B, "placed_sentry" },
    { 0x5C6C, "placedims" },
    { 0x5C6D, "placedmodel" },
    { 0x5C6E, "placedsfx" },
    { 0x5C6F, "placement" },
    { 0x5C70, "placementheighttolerance" },
    { 0x5C71, "placementmodel" },
    { 0x5C72, "placementmodelfail" },
    { 0x5C73, "placementoffsetz" },
    { 0x5C74, "placementorigin" },
    { 0x5C75, "placementradius" },
    { 0x5C76, "placementztolerance" },
    { 0x5C77, "placestring" },
    { 0x5C78, "placeweaponon" },
    { 0x5C79, "placingitemstreakname" },
    { 0x5C7A, "placingsentry" },
    { 0x5C7B, "plague" },
    { 0x5C7C, "plan_crash_run" },
    { 0x5C7D, "plane" },
    { 0x5C7E, "plane_bomb_cluster" },
    { 0x5C7F, "plane_bomb_node" },
    { 0x5C80, "plane_core" },
    { 0x5C81, "plane_core_model" },
    { 0x5C82, "plane_core_model_dummy" },
    { 0x5C83, "plane_crash" },
    { 0x5C84, "plane_crash_anims" },
    { 0x5C85, "plane_crash_anims_events" },
    { 0x5C86, "plane_crash_init" },
    { 0x5C87, "plane_explosion" },
    { 0x5C88, "plane_fake_roll" },
    { 0x5C89, "plane_meeting_guys_logic" },
    { 0x5C8A, "plane_quakes" },
    { 0x5C8B, "plane_ramp_light" },
    { 0x5C8C, "plane_sound_node" },
    { 0x5C8D, "plane_sound_players" },
    { 0x5C8E, "plane_sway" },
    { 0x5C8F, "plane_tail" },
    { 0x5C90, "plane_tail_model" },
    { 0x5C91, "plane_test_origin" },
    { 0x5C92, "planecleanup" },
    { 0x5C93, "planeconfigs" },
    { 0x5C94, "planemodel" },
    { 0x5C95, "planemove" },
    { 0x5C96, "planes" },
    { 0x5C97, "planespawn" },
    { 0x5C98, "plant_anims" },
    { 0x5C99, "plant_set_stage" },
    { 0x5C9A, "plant_set_stage_directional" },
    { 0x5C9B, "planted" },
    { 0x5C9C, "plantedlethalequip" },
    { 0x5C9D, "plantedtacticalequip" },
    { 0x5C9E, "planter_hide_and_show" },
    { 0x5C9F, "plants" },
    { 0x5CA0, "planttime" },
    { 0x5CA1, "play2dspawnsound" },
    { 0x5CA2, "play_actuator_click" },
    { 0x5CA3, "play_ally_anim" },
    { 0x5CA4, "play_ally_launcher_vignette" },
    { 0x5CA5, "play_ally_launcher_vignette_wrapper" },
    { 0x5CA6, "play_ambient_elem" },
    { 0x5CA7, "play_ambient_elem_oneshot" },
    { 0x5CA8, "play_ambient_sfx_ext" },
    { 0x5CA9, "play_ambient_sfx_int" },
    { 0x5CAA, "play_anim_and_end_slowmo_logic" },
    { 0x5CAB, "play_anim_and_idle" },
    { 0x5CAC, "play_anim_kill_player_at_end" },
    { 0x5CAD, "play_anim_off_me" },
    { 0x5CAE, "play_attractor_idle" },
    { 0x5CAF, "play_baker_anim" },
    { 0x5CB0, "play_basic_pain_overlay" },
    { 0x5CB1, "play_blood_pool" },
    { 0x5CB2, "play_boat_crash_fx_early" },
    { 0x5CB3, "play_bridge_anim" },
    { 0x5CB4, "play_chatter" },
    { 0x5CB5, "play_church_fall_think" },
    { 0x5CB6, "play_cinematic_thread" },
    { 0x5CB7, "play_cinematic_thread_once" },
    { 0x5CB8, "play_cone_anims" },
    { 0x5CB9, "play_connection_sound" },
    { 0x5CBA, "play_console_scene" },
    { 0x5CBB, "play_crash_anim" },
    { 0x5CBC, "play_crater_fire_on_connect" },
    { 0x5CBD, "play_dam_break_water" },
    { 0x5CBE, "play_dam_destruction_anim" },
    { 0x5CBF, "play_damaged_fx" },
    { 0x5CC0, "play_death_anim_and_ragdoll" },
    { 0x5CC1, "play_death_anim_and_ragdoll_internal" },
    { 0x5CC2, "play_destroy_plane_burst_fx" },
    { 0x5CC3, "play_destroy_plane_spark_fx" },
    { 0x5CC4, "play_detpack_plant_sound" },
    { 0x5CC5, "play_distant_cloud_base" },
    { 0x5CC6, "play_distant_cloud_design" },
    { 0x5CC7, "play_distant_cloud_sounds" },
    { 0x5CC8, "play_enemy_downed_idle" },
    { 0x5CC9, "play_exfil_music" },
    { 0x5CCA, "play_explosion_fx" },
    { 0x5CCB, "play_falling_enemy" },
    { 0x5CCC, "play_fence_off_fx" },
    { 0x5CCD, "play_fence_on_fx" },
    { 0x5CCE, "play_fire" },
    { 0x5CCF, "play_fire_bcs" },
    { 0x5CD0, "play_foilage_sound_custom" },
    { 0x5CD1, "play_fullscreen_blood" },
    { 0x5CD2, "play_fullscreen_blood_bottom" },
    { 0x5CD3, "play_fullscreen_blood_splatter_alt" },
    { 0x5CD4, "play_fullscreen_shader" },
    { 0x5CD5, "play_fullscreen_splash_cinematic" },
    { 0x5CD6, "play_fx" },
    { 0x5CD7, "play_fx_for_sub" },
    { 0x5CD8, "play_fx_for_sub_back" },
    { 0x5CD9, "play_fx_for_sub_blow" },
    { 0x5CDA, "play_fx_for_sub_front" },
    { 0x5CDB, "play_fx_for_sub_largeice" },
    { 0x5CDC, "play_fx_on_tag" },
    { 0x5CDD, "play_fxlighting_fx" },
    { 0x5CDE, "play_goo_pain_overlay" },
    { 0x5CDF, "play_hand_signal_for_player" },
    { 0x5CE0, "play_health_regen_anim" },
    { 0x5CE1, "play_helicopter_leaving_sound" },
    { 0x5CE2, "play_helmet_light_damage" },
    { 0x5CE3, "play_hive_anim" },
    { 0x5CE4, "play_hive_scriptable_animations" },
    { 0x5CE5, "play_house_fall_think" },
    { 0x5CE6, "play_icehole_anim" },
    { 0x5CE7, "play_idle" },
    { 0x5CE8, "play_idle_anims" },
    { 0x5CE9, "play_impact_sound" },
    { 0x5CEA, "play_intro_sequence" },
    { 0x5CEB, "play_lane_change_sound" },
    { 0x5CEC, "play_leap_start_sound" },
    { 0x5CED, "play_linked_sound" },
    { 0x5CEE, "play_linked_sound_internal" },
    { 0x5CEF, "play_linked_sound_think" },
    { 0x5CF0, "play_locked_on_sound" },
    { 0x5CF1, "play_long_crash" },
    { 0x5CF2, "play_loop_sound_in_space_stop_on_flag" },
    { 0x5CF3, "play_loop_sound_on_destructible" },
    { 0x5CF4, "play_loop_sound_on_entity" },
    { 0x5CF5, "play_loop_sound_on_tag" },
    { 0x5CF6, "play_loopsound_in_space" },
    { 0x5CF7, "play_mig_anim" },
    { 0x5CF8, "play_mlrs_m880_end" },
    { 0x5CF9, "play_move_transition" },
    { 0x5CFA, "play_nag" },
    { 0x5CFB, "play_nag_after_delay" },
    { 0x5CFC, "play_nag_stealth" },
    { 0x5CFD, "play_new_idle" },
    { 0x5CFE, "play_next_vargas_line" },
    { 0x5CFF, "play_npc_deaths" },
    { 0x5D00, "play_nuke_rumble" },
    { 0x5D01, "play_nuke_set_music" },
    { 0x5D02, "play_pain_sound" },
    { 0x5D03, "play_pilot_vo" },
    { 0x5D04, "play_player_break_light" },
    { 0x5D05, "play_player_gaz_anim_left" },
    { 0x5D06, "play_player_gaz_anim_right" },
    { 0x5D07, "play_player_hit_front_gaz" },
    { 0x5D08, "play_player_hit_last_gaz" },
    { 0x5D09, "play_player_hit_left_gaz" },
    { 0x5D0A, "play_player_hit_right_gaz" },
    { 0x5D0B, "play_puddle_off_fx" },
    { 0x5D0C, "play_puddle_on_fx" },
    { 0x5D0D, "play_rail_sfx" },
    { 0x5D0E, "play_random_window_lean_anim" },
    { 0x5D0F, "play_reactive_fx" },
    { 0x5D10, "play_reload_bcs" },
    { 0x5D11, "play_rumble_heavy" },
    { 0x5D12, "play_rumble_light" },
    { 0x5D13, "play_rumble_light_3s" },
    { 0x5D14, "play_rumble_pole_hit" },
    { 0x5D15, "play_rumble_seconds" },
    { 0x5D16, "play_rumbles" },
    { 0x5D17, "play_satellite_fx_on_model" },
    { 0x5D18, "play_satellite_static_on_connect" },
    { 0x5D19, "play_shake_sound" },
    { 0x5D1A, "play_shield_impact_fx" },
    { 0x5D1B, "play_slash_pain_overlay" },
    { 0x5D1C, "play_sonic_boom" },
    { 0x5D1D, "play_sound" },
    { 0x5D1E, "play_sound_at_ent" },
    { 0x5D1F, "play_sound_in_space" },
    { 0x5D20, "play_sound_in_space_with_angles" },
    { 0x5D21, "play_sound_on_cover_piece" },
    { 0x5D22, "play_sound_on_ent" },
    { 0x5D23, "play_sound_on_entity" },
    { 0x5D24, "play_sound_on_moving_cover_object" },
    { 0x5D25, "play_sound_on_tag" },
    { 0x5D26, "play_sound_on_tag_endon_death" },
    { 0x5D27, "play_spark_fx_when_falling" },
    { 0x5D28, "play_sparks" },
    { 0x5D29, "play_spit_anim" },
    { 0x5D2A, "play_spitter_pain_overlay" },
    { 0x5D2B, "play_splash_on_activate" },
    { 0x5D2C, "play_stop_anim" },
    { 0x5D2D, "play_street_2_k_move" },
    { 0x5D2E, "play_street_crack_1_think" },
    { 0x5D2F, "play_street_crack_2_think" },
    { 0x5D30, "play_sub_fx_icerise" },
    { 0x5D31, "play_sub_fx_settle" },
    { 0x5D32, "play_synch_attack" },
    { 0x5D33, "play_thruster_loop_audio" },
    { 0x5D34, "play_vo" },
    { 0x5D35, "play_vo_for_get_to_crater" },
    { 0x5D36, "play_vo_for_grab_drill" },
    { 0x5D37, "play_vo_for_next_hive" },
    { 0x5D38, "play_vo_on_player" },
    { 0x5D39, "play_vo_system" },
    { 0x5D3A, "play_vo_when_aliens_dead" },
    { 0x5D3B, "play_wind_sfx" },
    { 0x5D3C, "playabackrate" },
    { 0x5D3D, "playac130effects" },
    { 0x5D3E, "playafterburner" },
    { 0x5D3F, "playaispawneffect" },
    { 0x5D40, "playaliasoverradio" },
    { 0x5D41, "playangryfloodvfx" },
    { 0x5D42, "playanim" },
    { 0x5D43, "playanimations" },
    { 0x5D44, "playanimfortime" },
    { 0x5D45, "playanimnatratefortime" },
    { 0x5D46, "playanimnatrateuntilnotetrack" },
    { 0x5D47, "playanimnfortime" },
    { 0x5D48, "playanimnuntilnotetrack" },
    { 0x5D49, "playanimonallscriptables" },
    { 0x5D4A, "playanimonscriptable" },
    { 0x5D4B, "playanimuntilnotetrack" },
    { 0x5D4C, "playbackrate" },
    { 0x5D4D, "playbark" },
    { 0x5D4E, "playbattlechatter" },
    { 0x5D4F, "playblendtransition" },
    { 0x5D50, "playblendtransitionstandrun" },
    { 0x5D51, "playbombfx" },
    { 0x5D52, "playbubbleeffect" },
    { 0x5D53, "playc4effects" },
    { 0x5D54, "playclaymoreeffects" },
    { 0x5D55, "playcontrail" },
    { 0x5D56, "playcredits" },
    { 0x5D57, "playcustomevent" },
    { 0x5D58, "playdamageefx" },
    { 0x5D59, "playdeathanim" },
    { 0x5D5A, "playdeathfx" },
    { 0x5D5B, "playdeathsound" },
    { 0x5D5C, "playdeathsoundinlaststand" },
    { 0x5D5D, "played" },
    { 0x5D5E, "playedstartingmusic" },
    { 0x5D5F, "playengineeffects" },
    { 0x5D60, "player2" },
    { 0x5D61, "player_abovewater_defaults" },
    { 0x5D62, "player_abovewater_set" },
    { 0x5D63, "player_acceleration_high" },
    { 0x5D64, "player_acceleration_low" },
    { 0x5D65, "player_acceleration_sounds" },
    { 0x5D66, "player_action_slot" },
    { 0x5D67, "player_action_slot_internal" },
    { 0x5D68, "player_adjust_speed" },
    { 0x5D69, "player_ads_time" },
    { 0x5D6A, "player_aim_debug" },
    { 0x5D6B, "player_ambush_area_monitor" },
    { 0x5D6C, "player_angles_worldspace" },
    { 0x5D6D, "player_anim_countdown" },
    { 0x5D6E, "player_anim_fire_rog" },
    { 0x5D6F, "player_anim_not_on" },
    { 0x5D70, "player_anim_origin" },
    { 0x5D71, "player_animate" },
    { 0x5D72, "player_animate_underwater_damage" },
    { 0x5D73, "player_animated_sequence_cleanup" },
    { 0x5D74, "player_animated_sequence_restrictions" },
    { 0x5D75, "player_animations" },
    { 0x5D76, "player_anims" },
    { 0x5D77, "player_animtree" },
    { 0x5D78, "player_apache_standin" },
    { 0x5D79, "player_approach_weld" },
    { 0x5D7A, "player_arms" },
    { 0x5D7B, "player_ascend_anim_node" },
    { 0x5D7C, "player_at_lower_limit" },
    { 0x5D7D, "player_at_upper_limit" },
    { 0x5D7E, "player_at_vertical_upper_cap" },
    { 0x5D7F, "player_attacked" },
    { 0x5D80, "player_attacker" },
    { 0x5D81, "player_attacker_accuracy" },
    { 0x5D82, "player_back_from_sniping" },
    { 0x5D83, "player_bag" },
    { 0x5D84, "player_beach" },
    { 0x5D85, "player_blackhawk" },
    { 0x5D86, "player_blend_swim_speed" },
    { 0x5D87, "player_bob_scale_set" },
    { 0x5D88, "player_body_drag" },
    { 0x5D89, "player_bodydrag_damage_watcher" },
    { 0x5D8A, "player_boundaries_off" },
    { 0x5D8B, "player_boundaries_on" },
    { 0x5D8C, "player_boundary_ai_focus" },
    { 0x5D8D, "player_boundary_ai_return" },
    { 0x5D8E, "player_boundary_check" },
    { 0x5D8F, "player_boundary_fail" },
    { 0x5D90, "player_boundary_vo_player" },
    { 0x5D91, "player_breach" },
    { 0x5D92, "player_breath_timer" },
    { 0x5D93, "player_bubbles_fx" },
    { 0x5D94, "player_bust_thru_scene" },
    { 0x5D95, "player_can_be_shot" },
    { 0x5D96, "player_can_see" },
    { 0x5D97, "player_can_see_ai" },
    { 0x5D98, "player_can_see_corpse" },
    { 0x5D99, "player_cancel" },
    { 0x5D9A, "player_cancel_internal" },
    { 0x5D9B, "player_cant_be_shot" },
    { 0x5D9C, "player_carry_bomb_init" },
    { 0x5D9D, "player_caught_in_the_middle" },
    { 0x5D9E, "player_chaos_blur" },
    { 0x5D9F, "player_chaos_breathing" },
    { 0x5DA0, "player_chaos_heartbeat" },
    { 0x5DA1, "player_check_jump" },
    { 0x5DA2, "player_check_mantle_lookat" },
    { 0x5DA3, "player_chopper_anim_struct" },
    { 0x5DA4, "player_chopper_flyin_setup" },
    { 0x5DA5, "player_cleanupongameended" },
    { 0x5DA6, "player_cleanuponteamchange" },
    { 0x5DA7, "player_clear_groundref" },
    { 0x5DA8, "player_color_node" },
    { 0x5DA9, "player_combat_rappel" },
    { 0x5DAA, "player_combat_rappel_begin" },
    { 0x5DAB, "player_combat_rappel_is_jumping" },
    { 0x5DAC, "player_combat_rappel_second_jump" },
    { 0x5DAD, "player_connect_watch" },
    { 0x5DAE, "player_console_anims" },
    { 0x5DAF, "player_const_quake" },
    { 0x5DB0, "player_const_quake_blendto" },
    { 0x5DB1, "player_control" },
    { 0x5DB2, "player_control_baker_nag_and_fail" },
    { 0x5DB3, "player_control_increase_difficulty" },
    { 0x5DB4, "player_control_sequence" },
    { 0x5DB5, "player_controller" },
    { 0x5DB6, "player_cough_damage" },
    { 0x5DB7, "player_cough_rumble" },
    { 0x5DB8, "player_cough_sound" },
    { 0x5DB9, "player_covertrigger" },
    { 0x5DBA, "player_covertype" },
    { 0x5DBB, "player_crouch_check" },
    { 0x5DBC, "player_damage" },
    { 0x5DBD, "player_deal_underwater_damage" },
    { 0x5DBE, "player_death_detection" },
    { 0x5DBF, "player_debrisbridge_death_fx" },
    { 0x5DC0, "player_default_sway_weight" },
    { 0x5DC1, "player_did_most_damage" },
    { 0x5DC2, "player_died_recently" },
    { 0x5DC3, "player_died_recently_degrades" },
    { 0x5DC4, "player_disable_suppression_sequence" },
    { 0x5DC5, "player_disallow_jump" },
    { 0x5DC6, "player_dismount" },
    { 0x5DC7, "player_dismount_vehicle" },
    { 0x5DC8, "player_distsqrd" },
    { 0x5DC9, "player_dms_ahead_test" },
    { 0x5DCA, "player_dms_get_plane" },
    { 0x5DCB, "player_do_rythme_rumble" },
    { 0x5DCC, "player_do_surfacing_models" },
    { 0x5DCD, "player_do_toolong_fx" },
    { 0x5DCE, "player_dog" },
    { 0x5DCF, "player_door" },
    { 0x5DD0, "player_downed_death_buffer_time" },
    { 0x5DD1, "player_drag_body" },
    { 0x5DD2, "player_drags_ally" },
    { 0x5DD3, "player_drive_dog" },
    { 0x5DD4, "player_drive_dog_pc" },
    { 0x5DD5, "player_drop_bag" },
    { 0x5DD6, "player_dropgun_before_jump" },
    { 0x5DD7, "player_elevator_clip_back" },
    { 0x5DD8, "player_embers" },
    { 0x5DD9, "player_enemy" },
    { 0x5DDA, "player_ent" },
    { 0x5DDB, "player_enter_building" },
    { 0x5DDC, "player_enter_truck_atrium_startpoint" },
    { 0x5DDD, "player_enter_truck_func" },
    { 0x5DDE, "player_enter_truck_progression" },
    { 0x5DDF, "player_enters_allied_tank" },
    { 0x5DE0, "player_escape_door_open" },
    { 0x5DE1, "player_exit_building" },
    { 0x5DE2, "player_exit_jeep" },
    { 0x5DE3, "player_exit_to_combat_rappel_notetrack_handler" },
    { 0x5DE4, "player_exit_to_combat_rappel_rope" },
    { 0x5DE5, "player_exit_to_inverted_rope" },
    { 0x5DE6, "player_explosion_reaction" },
    { 0x5DE7, "player_fade_out" },
    { 0x5DE8, "player_fail_finale" },
    { 0x5DE9, "player_fail_finale_instakill" },
    { 0x5DEA, "player_fail_rigexplode" },
    { 0x5DEB, "player_failcase_leave_garage" },
    { 0x5DEC, "player_failcase_road" },
    { 0x5DED, "player_failcase_road_mk32" },
    { 0x5DEE, "player_failcase_road_overrun" },
    { 0x5DEF, "player_failcase_road_overrun_mk32" },
    { 0x5DF0, "player_failcase_tunnel" },
    { 0x5DF1, "player_failcase_tunnel_overrun" },
    { 0x5DF2, "player_failed_struggle" },
    { 0x5DF3, "player_fall_down" },
    { 0x5DF4, "player_fall_down_trigger" },
    { 0x5DF5, "player_fall_off_balcony" },
    { 0x5DF6, "player_falling" },
    { 0x5DF7, "player_falling_2" },
    { 0x5DF8, "player_falls_down_flat" },
    { 0x5DF9, "player_falls_on_tracks" },
    { 0x5DFA, "player_flap_sleeves" },
    { 0x5DFB, "player_flap_sleeves_setup" },
    { 0x5DFC, "player_flashlight_toggle" },
    { 0x5DFD, "player_fly_back" },
    { 0x5DFE, "player_force_origin_ent" },
    { 0x5DFF, "player_force_prone_recover" },
    { 0x5E00, "player_forward_skip_baker_hold_up" },
    { 0x5E01, "player_friendly_hud_destroy" },
    { 0x5E02, "player_friendlyfire_addreactionevent" },
    { 0x5E03, "player_friendlyfire_waiter" },
    { 0x5E04, "player_friendlyfire_waiter_damage" },
    { 0x5E05, "player_get_closest_node" },
    { 0x5E06, "player_get_favorite_enemy" },
    { 0x5E07, "player_get_mk32" },
    { 0x5E08, "player_get_player_index" },
    { 0x5E09, "player_getout" },
    { 0x5E0A, "player_getout_sound" },
    { 0x5E0B, "player_getout_sound_end" },
    { 0x5E0C, "player_getout_sound_loop" },
    { 0x5E0D, "player_gets_in_matv" },
    { 0x5E0E, "player_gets_pistol" },
    { 0x5E0F, "player_gets_shot_down" },
    { 0x5E10, "player_gets_shot_down_vo" },
    { 0x5E11, "player_gets_weapons_back" },
    { 0x5E12, "player_getvelocity_pc" },
    { 0x5E13, "player_giveachievement_wrapper" },
    { 0x5E14, "player_gives_up" },
    { 0x5E15, "player_glass_crack" },
    { 0x5E16, "player_glass_cutter" },
    { 0x5E17, "player_grace_period" },
    { 0x5E18, "player_gravity_slide" },
    { 0x5E19, "player_gravity_slide_punish" },
    { 0x5E1A, "player_grenade_check" },
    { 0x5E1B, "player_grenade_check_dieout" },
    { 0x5E1C, "player_ground_collapse" },
    { 0x5E1D, "player_ground_ref_mover" },
    { 0x5E1E, "player_handle_outside_effects" },
    { 0x5E1F, "player_handle_perk_upgrades" },
    { 0x5E20, "player_handle_speed_for_knockdown" },
    { 0x5E21, "player_handle_zipline_turret" },
    { 0x5E22, "player_has_enough_currency" },
    { 0x5E23, "player_has_enough_points" },
    { 0x5E24, "player_has_silenced_weapon" },
    { 0x5E25, "player_has_specialized_ammo" },
    { 0x5E26, "player_has_thermal" },
    { 0x5E27, "player_has_weapon" },
    { 0x5E28, "player_health_packets" },
    { 0x5E29, "player_healthbar_update" },
    { 0x5E2A, "player_heartbeat" },
    { 0x5E2B, "player_heartbeat_rate" },
    { 0x5E2C, "player_heartbeat_slowmo" },
    { 0x5E2D, "player_heat_fx" },
    { 0x5E2E, "player_heat_fx_end" },
    { 0x5E2F, "player_heat_fx_start" },
    { 0x5E30, "player_heli_hit" },
    { 0x5E31, "player_helmet" },
    { 0x5E32, "player_helmet_disable" },
    { 0x5E33, "player_hide_flaps_death" },
    { 0x5E34, "player_hideviewmodel" },
    { 0x5E35, "player_hideviewmodelsleeveflaps" },
    { 0x5E36, "player_hit_convoy" },
    { 0x5E37, "player_hit_detect" },
    { 0x5E38, "player_hit_ratio_override" },
    { 0x5E39, "player_hit_vo" },
    { 0x5E3A, "player_hold_vargas" },
    { 0x5E3B, "player_hotjoin" },
    { 0x5E3C, "player_hurt" },
    { 0x5E3D, "player_hurt_cleanup" },
    { 0x5E3E, "player_hurt_effects" },
    { 0x5E3F, "player_hurt_single" },
    { 0x5E40, "player_hurt_sounds" },
    { 0x5E41, "player_idle" },
    { 0x5E42, "player_ignored_2nd_osprey" },
    { 0x5E43, "player_in" },
    { 0x5E44, "player_in_combat_area" },
    { 0x5E45, "player_in_cover" },
    { 0x5E46, "player_in_coverwater" },
    { 0x5E47, "player_in_out_apache" },
    { 0x5E48, "player_in_rorkes_way" },
    { 0x5E49, "player_in_upload_volume" },
    { 0x5E4A, "player_in_zone_score_modifier" },
    { 0x5E4B, "player_init" },
    { 0x5E4C, "player_init_assist_bonus" },
    { 0x5E4D, "player_init_damageshield" },
    { 0x5E4E, "player_init_health_regen" },
    { 0x5E4F, "player_init_invulnerability" },
    { 0x5E50, "player_init_laststand" },
    { 0x5E51, "player_initiates_inverted_kill" },
    { 0x5E52, "player_input_console_animate" },
    { 0x5E53, "player_inside_nvg_area" },
    { 0x5E54, "player_interrupt_watcher" },
    { 0x5E55, "player_intro" },
    { 0x5E56, "player_intro_anim" },
    { 0x5E57, "player_intro_anims" },
    { 0x5E58, "player_intro_weapon" },
    { 0x5E59, "player_invasion_anims" },
    { 0x5E5A, "player_invasion_wipe_flag" },
    { 0x5E5B, "player_inverted_kill" },
    { 0x5E5C, "player_inverted_kill_enemy" },
    { 0x5E5D, "player_inverted_kill_enemy_anims" },
    { 0x5E5E, "player_inverted_kill_enemy_fail_anim" },
    { 0x5E5F, "player_inverted_kill_fail" },
    { 0x5E60, "player_is_aiming_with_rocket" },
    { 0x5E61, "player_is_behind_me" },
    { 0x5E62, "player_is_close_to_breach_location" },
    { 0x5E63, "player_is_good_missile_target" },
    { 0x5E64, "player_is_ignored" },
    { 0x5E65, "player_is_near_live_grenade" },
    { 0x5E66, "player_is_on_left_incline" },
    { 0x5E67, "player_is_on_right_incline" },
    { 0x5E68, "player_is_stunned" },
    { 0x5E69, "player_is_using_missile_launcher" },
    { 0x5E6A, "player_jump_check" },
    { 0x5E6B, "player_jump_down_finished" },
    { 0x5E6C, "player_jump_hint" },
    { 0x5E6D, "player_jump_punishment" },
    { 0x5E6E, "player_jump_to_tower" },
    { 0x5E6F, "player_jump_watcher" },
    { 0x5E70, "player_kill_time" },
    { 0x5E71, "player_killed" },
    { 0x5E72, "player_killed_ai_count" },
    { 0x5E73, "player_kills_all_pt3_enemies" },
    { 0x5E74, "player_killzone" },
    { 0x5E75, "player_knife_throw_enemy" },
    { 0x5E76, "player_landing_sound" },
    { 0x5E77, "player_last_death_pos" },
    { 0x5E78, "player_leaves_humvee" },
    { 0x5E79, "player_ledge_logic" },
    { 0x5E7A, "player_legs" },
    { 0x5E7B, "player_lerp_speed" },
    { 0x5E7C, "player_lerp_swim_vars" },
    { 0x5E7D, "player_lerp_to_anim_start" },
    { 0x5E7E, "player_lever_control_sensitivity" },
    { 0x5E7F, "player_lever_input" },
    { 0x5E80, "player_light" },
    { 0x5E81, "player_limp" },
    { 0x5E82, "player_link" },
    { 0x5E83, "player_link_ent" },
    { 0x5E84, "player_littlebird" },
    { 0x5E85, "player_location" },
    { 0x5E86, "player_location_check" },
    { 0x5E87, "player_location_vfx" },
    { 0x5E88, "player_look_aim" },
    { 0x5E89, "player_looking_at" },
    { 0x5E8A, "player_looking_at_hvt" },
    { 0x5E8B, "player_looking_at_on_dog" },
    { 0x5E8C, "player_looking_at_relative" },
    { 0x5E8D, "player_looking_at_stabguy" },
    { 0x5E8E, "player_looking_at_vargas" },
    { 0x5E8F, "player_loot_init" },
    { 0x5E90, "player_loses_speedscale" },
    { 0x5E91, "player_make_bubbles" },
    { 0x5E92, "player_makes_run" },
    { 0x5E93, "player_mantle_wait" },
    { 0x5E94, "player_mask" },
    { 0x5E95, "player_max" },
    { 0x5E96, "player_max_speed" },
    { 0x5E97, "player_mg_fire_around_feet" },
    { 0x5E98, "player_min_speed" },
    { 0x5E99, "player_missile_control" },
    { 0x5E9A, "player_missile_pitch_control" },
    { 0x5E9B, "player_missile_roll_control" },
    { 0x5E9C, "player_missile_yaw_control" },
    { 0x5E9D, "player_mk32" },
    { 0x5E9E, "player_monitor_mine_friendly_fire" },
    { 0x5E9F, "player_mount_vehicle" },
    { 0x5EA0, "player_move_left_stick_check" },
    { 0x5EA1, "player_move_on_rappel_hint" },
    { 0x5EA2, "player_move_to_checkpoint_start" },
    { 0x5EA3, "player_movement_check" },
    { 0x5EA4, "player_mover" },
    { 0x5EA5, "player_moves" },
    { 0x5EA6, "player_movespeed_calc_loop" },
    { 0x5EA7, "player_moving_toward_me" },
    { 0x5EA8, "player_nades" },
    { 0x5EA9, "player_name_called_recently" },
    { 0x5EAA, "player_near_station_checker" },
    { 0x5EAB, "player_nh90_jumpout" },
    { 0x5EAC, "player_nh90_land" },
    { 0x5EAD, "player_not_obstructed" },
    { 0x5EAE, "player_notify_on_lookup" },
    { 0x5EAF, "player_offset" },
    { 0x5EB0, "player_on_back" },
    { 0x5EB1, "player_on_hill" },
    { 0x5EB2, "player_on_minigun" },
    { 0x5EB3, "player_one_already_breached" },
    { 0x5EB4, "player_outline" },
    { 0x5EB5, "player_outside" },
    { 0x5EB6, "player_pain_vo" },
    { 0x5EB7, "player_panic_bubbles" },
    { 0x5EB8, "player_pc_velocity" },
    { 0x5EB9, "player_percent_toward_max_yaw" },
    { 0x5EBA, "player_persistence_init" },
    { 0x5EBB, "player_physics_pulse" },
    { 0x5EBC, "player_pipe_explosion_reaction" },
    { 0x5EBD, "player_plane_engine_left" },
    { 0x5EBE, "player_plane_engine_right" },
    { 0x5EBF, "player_play_anims" },
    { 0x5EC0, "player_playing_hurt_sounds" },
    { 0x5EC1, "player_poll_button_release_and_notify" },
    { 0x5EC2, "player_post_collision" },
    { 0x5EC3, "player_post_swim" },
    { 0x5EC4, "player_pounce_anim" },
    { 0x5EC5, "player_pulls_mask_down" },
    { 0x5EC6, "player_push" },
    { 0x5EC7, "player_push_distance" },
    { 0x5EC8, "player_push_impulse" },
    { 0x5EC9, "player_push_knife" },
    { 0x5ECA, "player_push_knife_projectile" },
    { 0x5ECB, "player_push_train" },
    { 0x5ECC, "player_pushed_kill" },
    { 0x5ECD, "player_pushes_too_far" },
    { 0x5ECE, "player_pushing_forward" },
    { 0x5ECF, "player_quake_distance" },
    { 0x5ED0, "player_quake_weight" },
    { 0x5ED1, "player_radio_emitter" },
    { 0x5ED2, "player_rain_drops" },
    { 0x5ED3, "player_rambo_rpg" },
    { 0x5ED4, "player_ramp_up_wind" },
    { 0x5ED5, "player_random_blur" },
    { 0x5ED6, "player_random_blur_cleanup" },
    { 0x5ED7, "player_random_sway" },
    { 0x5ED8, "player_rappel_force_jump_away" },
    { 0x5ED9, "player_recoil" },
    { 0x5EDA, "player_recovers_from_red_flashing" },
    { 0x5EDB, "player_recruits" },
    { 0x5EDC, "player_ref_ent" },
    { 0x5EDD, "player_revived_or_dead" },
    { 0x5EDE, "player_ride_rumble" },
    { 0x5EDF, "player_ride_shake" },
    { 0x5EE0, "player_rides_humvee_offset_dismount" },
    { 0x5EE1, "player_rides_in_humvee" },
    { 0x5EE2, "player_rides_in_humvee_offset" },
    { 0x5EE3, "player_rides_shotgun_in_humvee" },
    { 0x5EE4, "player_rig" },
    { 0x5EE5, "player_rig_grab" },
    { 0x5EE6, "player_rope_unwind_anim" },
    { 0x5EE7, "player_rope_unwind_length" },
    { 0x5EE8, "player_rotate_plane01" },
    { 0x5EE9, "player_rpg_attractor" },
    { 0x5EEA, "player_rpg_shield" },
    { 0x5EEB, "player_rubber_banding_solo" },
    { 0x5EEC, "player_rumble" },
    { 0x5EED, "player_rumble_amb_ent" },
    { 0x5EEE, "player_rumble_bump" },
    { 0x5EEF, "player_rumble_distance" },
    { 0x5EF0, "player_rumble_ent" },
    { 0x5EF1, "player_rumble_rog_ent" },
    { 0x5EF2, "player_safe" },
    { 0x5EF3, "player_safe_from_sonar" },
    { 0x5EF4, "player_saw_kill" },
    { 0x5EF5, "player_scuba" },
    { 0x5EF6, "player_scuba_breathe_sound" },
    { 0x5EF7, "player_scuba_bubbles" },
    { 0x5EF8, "player_scuba_mask" },
    { 0x5EF9, "player_scuba_mask_disable" },
    { 0x5EFA, "player_seek" },
    { 0x5EFB, "player_seek_cnd" },
    { 0x5EFC, "player_seek_disable" },
    { 0x5EFD, "player_seek_enable" },
    { 0x5EFE, "player_sees_my_scope" },
    { 0x5EFF, "player_sees_spawner" },
    { 0x5F00, "player_set_spotted" },
    { 0x5F01, "player_set_spotted_internal" },
    { 0x5F02, "player_set_stairwell_speed" },
    { 0x5F03, "player_setup" },
    { 0x5F04, "player_shake" },
    { 0x5F05, "player_shoots" },
    { 0x5F06, "player_shoots_sharks" },
    { 0x5F07, "player_should_see_drill_hint" },
    { 0x5F08, "player_showviewmodel" },
    { 0x5F09, "player_showviewmodelsleeveflaps" },
    { 0x5F0A, "player_slide_check" },
    { 0x5F0B, "player_slide_fall" },
    { 0x5F0C, "player_slide_manager" },
    { 0x5F0D, "player_slow_mo_death_watch" },
    { 0x5F0E, "player_slows_down" },
    { 0x5F0F, "player_smash_death" },
    { 0x5F10, "player_smoke_duck" },
    { 0x5F11, "player_smoke_duck_end" },
    { 0x5F12, "player_smoke_hint" },
    { 0x5F13, "player_space" },
    { 0x5F14, "player_space_anims" },
    { 0x5F15, "player_space_breathe_sound" },
    { 0x5F16, "player_space_breathing" },
    { 0x5F17, "player_space_helmet" },
    { 0x5F18, "player_space_helmet_disable" },
    { 0x5F19, "player_speed" },
    { 0x5F1A, "player_speed_check" },
    { 0x5F1B, "player_speed_default" },
    { 0x5F1C, "player_speed_hud" },
    { 0x5F1D, "player_speed_percent" },
    { 0x5F1E, "player_speed_proc" },
    { 0x5F1F, "player_speed_reaction_distance" },
    { 0x5F20, "player_speed_set" },
    { 0x5F21, "player_spotted_count" },
    { 0x5F22, "player_spotted_logic" },
    { 0x5F23, "player_sprint" },
    { 0x5F24, "player_sprintcamerabob" },
    { 0x5F25, "player_stab_driver" },
    { 0x5F26, "player_start" },
    { 0x5F27, "player_start_1" },
    { 0x5F28, "player_start_2" },
    { 0x5F29, "player_start_rappel_struct" },
    { 0x5F2A, "player_static_value" },
    { 0x5F2B, "player_stealth" },
    { 0x5F2C, "player_stick_magnitude" },
    { 0x5F2D, "player_stop_bubbles" },
    { 0x5F2E, "player_stop_flap_sleeves" },
    { 0x5F2F, "player_struct" },
    { 0x5F30, "player_struggle_anim" },
    { 0x5F31, "player_struggle_anim_additives" },
    { 0x5F32, "player_struggle_mid_additives" },
    { 0x5F33, "player_stun_return_weapons_sprint" },
    { 0x5F34, "player_stunned_speed_blender" },
    { 0x5F35, "player_surface_blur_think" },
    { 0x5F36, "player_surface_logic" },
    { 0x5F37, "player_sway" },
    { 0x5F38, "player_sway_blendto" },
    { 0x5F39, "player_sway_bump" },
    { 0x5F3A, "player_sway_weight" },
    { 0x5F3B, "player_swim_anims" },
    { 0x5F3C, "player_swim_rubberband" },
    { 0x5F3D, "player_swim_setup" },
    { 0x5F3E, "player_swim_think" },
    { 0x5F3F, "player_swim_water_current_logic" },
    { 0x5F40, "player_tank_driving_sound" },
    { 0x5F41, "player_tank_impeded_sound" },
    { 0x5F42, "player_tank_sounds" },
    { 0x5F43, "player_tank_turret_sounds" },
    { 0x5F44, "player_tanks_foreshocks" },
    { 0x5F45, "player_target" },
    { 0x5F46, "player_throwgrenade_timer" },
    { 0x5F47, "player_throws_knife" },
    { 0x5F48, "player_thruster_logic" },
    { 0x5F49, "player_tired" },
    { 0x5F4A, "player_too_far_death" },
    { 0x5F4B, "player_took_too_long_to_open" },
    { 0x5F4C, "player_torso_offset_origin" },
    { 0x5F4D, "player_touched_arr" },
    { 0x5F4E, "player_touching_post_clip" },
    { 0x5F4F, "player_touching_volume" },
    { 0x5F50, "player_train_rythme_rumble_quake" },
    { 0x5F51, "player_trans_repulsor" },
    { 0x5F52, "player_truck" },
    { 0x5F53, "player_turret" },
    { 0x5F54, "player_turret_shoot" },
    { 0x5F55, "player_underwater_set" },
    { 0x5F56, "player_underwater_think" },
    { 0x5F57, "player_unhide_arms_with_notetrack" },
    { 0x5F58, "player_unlink_slide_on_death" },
    { 0x5F59, "player_unresolved_collision_watch" },
    { 0x5F5A, "player_upload_virus_hint" },
    { 0x5F5B, "player_use" },
    { 0x5F5C, "player_use_chaingun_with_viewmodel" },
    { 0x5F5D, "player_using_missile" },
    { 0x5F5E, "player_using_nuke" },
    { 0x5F5F, "player_view" },
    { 0x5F60, "player_view_clamp" },
    { 0x5F61, "player_view_controller" },
    { 0x5F62, "player_view_controller_model" },
    { 0x5F63, "player_view_manager" },
    { 0x5F64, "player_view_org" },
    { 0x5F65, "player_view_pitch_down" },
    { 0x5F66, "player_view_roll_with_traincar" },
    { 0x5F67, "player_view_shake" },
    { 0x5F68, "player_view_shake_blender" },
    { 0x5F69, "player_view_water_fx_source" },
    { 0x5F6A, "player_viewhand_model" },
    { 0x5F6B, "player_viewhands_minigun" },
    { 0x5F6C, "player_viewhands_minigun_hand" },
    { 0x5F6D, "player_viewhands_minigun_idle" },
    { 0x5F6E, "player_viewhands_minigun_presed" },
    { 0x5F6F, "player_viewhands_zipline_launcher" },
    { 0x5F70, "player_viewkick_distance" },
    { 0x5F71, "player_viewkicker" },
    { 0x5F72, "player_viewkicker_timer" },
    { 0x5F73, "player_vision_blind" },
    { 0x5F74, "player_volume_check" },
    { 0x5F75, "player_wait_for_jump_button" },
    { 0x5F76, "player_wait_for_melee_command" },
    { 0x5F77, "player_wait_link_to_blend" },
    { 0x5F78, "player_watch_box_thrown" },
    { 0x5F79, "player_watch_currency_transfer" },
    { 0x5F7A, "player_watch_dpad_upgrade" },
    { 0x5F7B, "player_watch_perk_upgrade" },
    { 0x5F7C, "player_watch_upgrade" },
    { 0x5F7D, "player_watch_upgrade_internal" },
    { 0x5F7E, "player_watch_use" },
    { 0x5F7F, "player_watch_use_ims" },
    { 0x5F80, "player_watch_use_sentry" },
    { 0x5F81, "player_watcher" },
    { 0x5F82, "player_water_breach_moment" },
    { 0x5F83, "player_water_crouch_timer" },
    { 0x5F84, "player_water_height_think" },
    { 0x5F85, "player_water_movement" },
    { 0x5F86, "player_water_wade" },
    { 0x5F87, "player_water_wade_sounds" },
    { 0x5F88, "player_water_wade_speed" },
    { 0x5F89, "player_weapon_hack" },
    { 0x5F8A, "player_weaponstats_track_shots" },
    { 0x5F8B, "player_who_caused_gas_station_explosion" },
    { 0x5F8C, "player_wind_blendto" },
    { 0x5F8D, "player_wind_bump" },
    { 0x5F8E, "player_wind_weight" },
    { 0x5F8F, "player_wins_struggle" },
    { 0x5F90, "player_wobbles" },
    { 0x5F91, "player_woke_scientists" },
    { 0x5F92, "playeractivatedairsupport" },
    { 0x5F93, "playeraffectedarray" },
    { 0x5F94, "playerammoregen" },
    { 0x5F95, "playerassist" },
    { 0x5F96, "playerattackerhind" },
    { 0x5F97, "playerbreathingsound" },
    { 0x5F98, "playerc17_waits" },
    { 0x5F99, "playercardplayer" },
    { 0x5F9A, "playercardsplashnotify" },
    { 0x5F9B, "playerclockdirection" },
    { 0x5F9C, "playercontrolled" },
    { 0x5F9D, "playerdamaged" },
    { 0x5F9E, "playerdamaged_regularmp" },
    { 0x5F9F, "playerdamagerumble" },
    { 0x5FA0, "playerdied" },
    { 0x5FA1, "playerdoginit" },
    { 0x5FA2, "playerdone_anim_laststand" },
    { 0x5FA3, "playerdone_anim_neck_snap" },
    { 0x5FA4, "playerdone_anim_saved" },
    { 0x5FA5, "playerdoublegrenadetime" },
    { 0x5FA6, "playerdrone" },
    { 0x5FA7, "playerdrone_anim_knockdown" },
    { 0x5FA8, "playerdrone_create" },
    { 0x5FA9, "playerenterarea" },
    { 0x5FAA, "playerentersoftlanding" },
    { 0x5FAB, "playerforclientid" },
    { 0x5FAC, "playerfxorg" },
    { 0x5FAD, "playergaz" },
    { 0x5FAE, "playergrenadebasetime" },
    { 0x5FAF, "playergrenaderangetime" },
    { 0x5FB0, "playerhasammo" },
    { 0x5FB1, "playerhaslineofsight" },
    { 0x5FB2, "playerhealth_regularregendelay" },
    { 0x5FB3, "playerhealthregen" },
    { 0x5FB4, "playerhealthregeninit" },
    { 0x5FB5, "playerhind_attackspots" },
    { 0x5FB6, "playerhind_target_player_dialogue" },
    { 0x5FB7, "playerhitable" },
    { 0x5FB8, "playerhurtcheck" },
    { 0x5FB9, "playerintrench" },
    { 0x5FBA, "playerinvul" },
    { 0x5FBB, "playerinwater" },
    { 0x5FBC, "playerisclose" },
    { 0x5FBD, "playerisinfront" },
    { 0x5FBE, "playerjeep" },
    { 0x5FBF, "playerjeephitcount" },
    { 0x5FC0, "playerjoinwatcher" },
    { 0x5FC1, "playerkilled" },
    { 0x5FC2, "playerkilled_internal" },
    { 0x5FC3, "playerkilled_regularmp" },
    { 0x5FC4, "playerlaststandalien_internal" },
    { 0x5FC5, "playerleavearea" },
    { 0x5FC6, "playerleavesoftlanding" },
    { 0x5FC7, "playerlinked" },
    { 0x5FC8, "playerlinktodeltablend" },
    { 0x5FC9, "playermodelforweapon" },
    { 0x5FCA, "playermortar" },
    { 0x5FCB, "playermortarfovoffset" },
    { 0x5FCC, "playernameids" },
    { 0x5FCD, "playernode" },
    { 0x5FCE, "playerpainbreathingsound" },
    { 0x5FCF, "playerpiggyback" },
    { 0x5FD0, "players" },
    { 0x5FD1, "players_undying" },
    { 0x5FD2, "players_waiting_to_join" },
    { 0x5FD3, "players_within_distance" },
    { 0x5FD4, "playersattacked" },
    { 0x5FD5, "playerseesme" },
    { 0x5FD6, "playerseesmetime" },
    { 0x5FD7, "playerslookingforsafespawn" },
    { 0x5FD8, "playersnowfootsteps" },
    { 0x5FD9, "playerspawned" },
    { 0x5FDA, "playerspawned_regularmp" },
    { 0x5FDB, "playerspawnpos" },
    { 0x5FDC, "playerspeed" },
    { 0x5FDD, "playerspread" },
    { 0x5FDE, "playerstartweaponname" },
    { 0x5FDF, "playersvisibleto" },
    { 0x5FE0, "playertank" },
    { 0x5FE1, "playertank_fake_player_enter" },
    { 0x5FE2, "playertank_move" },
    { 0x5FE3, "playertank_waits" },
    { 0x5FE4, "playertarget" },
    { 0x5FE5, "playerteam" },
    { 0x5FE6, "playertouchingtrigger" },
    { 0x5FE7, "playertouchtriggerthink" },
    { 0x5FE8, "playertriggered" },
    { 0x5FE9, "playertweaks" },
    { 0x5FEA, "playerunderwater" },
    { 0x5FEB, "playerunlimitedammothread" },
    { 0x5FEC, "playervehicle" },
    { 0x5FED, "playerview" },
    { 0x5FEE, "playerview_checkinterrupted" },
    { 0x5FEF, "playerview_endsequence" },
    { 0x5FF0, "playerview_knockdownanim" },
    { 0x5FF1, "playerview_knockdownlate" },
    { 0x5FF2, "playerview_playknockdownanim" },
    { 0x5FF3, "playerview_playknockdownanimlimited" },
    { 0x5FF4, "playerview_playmissanim" },
    { 0x5FF5, "playerview_show" },
    { 0x5FF6, "playerview_spawn" },
    { 0x5FF7, "playerview_startsequence" },
    { 0x5FF8, "playerview_unlinkplayeranddelete" },
    { 0x5FF9, "playerviewmodel" },
    { 0x5FFA, "playerwasnearby" },
    { 0x5FFB, "playerwatch_unresolved_collision" },
    { 0x5FFC, "playerwatch_unresolved_collision_count" },
    { 0x5FFD, "playerwaterclearwait" },
    { 0x5FFE, "playerweapon" },
    { 0x5FFF, "playerweather" },
    { 0x6000, "playexplodedeathanim" },
    { 0x6001, "playface_waitfornotify" },
    { 0x6002, "playface_waitfortime" },
    { 0x6003, "playfacethread" },
    { 0x6004, "playfacialanim" },
    { 0x6005, "playflagneutralfx" },
    { 0x6006, "playflarefx" },
    { 0x6007, "playflavorburstline" },
    { 0x6008, "playfootstep" },
    { 0x6009, "playfootstepeffect" },
    { 0x600A, "playfootstepeffectsmall" },
    { 0x600B, "playfx_endon" },
    { 0x600C, "playfx_for_player_tread" },
    { 0x600D, "playfx_for_sub_slide" },
    { 0x600E, "playfx_for_tread" },
    { 0x600F, "playfx_targetname_endon" },
    { 0x6010, "playfxcallback" },
    { 0x6011, "playfxontagspecial" },
    { 0x6012, "playgrowl" },
    { 0x6013, "playharrierfx" },
    { 0x6014, "playheatfx" },
    { 0x6015, "playidle" },
    { 0x6016, "playidleanim" },
    { 0x6017, "playidleanimation" },
    { 0x6018, "playidleface" },
    { 0x6019, "playidlesound" },
    { 0x601A, "playinairjumppainanims" },
    { 0x601B, "playinformevent" },
    { 0x601C, "playing_effect" },
    { 0x601D, "playing_fx" },
    { 0x601E, "playing_pain_animation" },
    { 0x601F, "playing_pain_sound" },
    { 0x6020, "playinglocksound" },
    { 0x6021, "playingloopsound" },
    { 0x6022, "playingmovementanim" },
    { 0x6023, "playlocalsoundwrapper" },
    { 0x6024, "playlockerrorsound" },
    { 0x6025, "playlocksound" },
    { 0x6026, "playlookanimation" },
    { 0x6027, "playloopedfxontag" },
    { 0x6028, "playloopedfxontag_originupdate" },
    { 0x6029, "playloopingfx" },
    { 0x602A, "playlooponent" },
    { 0x602B, "playmoveanim" },
    { 0x602C, "playmoveanimknob" },
    { 0x602D, "playmovesound" },
    { 0x602E, "playmusicbeforereachlayer" },
    { 0x602F, "playorderevent" },
    { 0x6030, "playpainanim" },
    { 0x6031, "playpainoverlay" },
    { 0x6032, "playpanting" },
    { 0x6033, "playphrase" },
    { 0x6034, "playplanefx" },
    { 0x6035, "playplayerandnpcsounds" },
    { 0x6036, "playposthivevo" },
    { 0x6037, "playradiationsound" },
    { 0x6038, "playrandomvoline" },
    { 0x6039, "playreactionevent" },
    { 0x603A, "playresponseevent" },
    { 0x603B, "playshockwaveeffects" },
    { 0x603C, "playsmokefx" },
    { 0x603D, "playsonicboom" },
    { 0x603E, "playsound_and_light" },
    { 0x603F, "playsound_float" },
    { 0x6040, "playsound_loop_on_ent" },
    { 0x6041, "playsound_victim" },
    { 0x6042, "playsound_wrapper" },
    { 0x6043, "playsoundatpoint" },
    { 0x6044, "playsoundinspace" },
    { 0x6045, "playsoundonplayers" },
    { 0x6046, "playsoundoverradio" },
    { 0x6047, "playsoundtoallplayers" },
    { 0x6048, "playspawnvignettefx" },
    { 0x6049, "playspinnerfx" },
    { 0x604A, "playtankexhaust" },
    { 0x604B, "playthreatevent" },
    { 0x604C, "playtickingsound" },
    { 0x604D, "playtransitionanimation" },
    { 0x604E, "playtransitionanimationfunc" },
    { 0x604F, "playtransitionanimationthread_withoutwaitsetstates" },
    { 0x6050, "playtransitionstandwalk" },
    { 0x6051, "playuplinkanimations" },
    { 0x6052, "playvofor10seconds" },
    { 0x6053, "playvofor30seconds" },
    { 0x6054, "playvoforattackchopper" },
    { 0x6055, "playvoforattackchopperincoming" },
    { 0x6056, "playvoforattackchopperleaving" },
    { 0x6057, "playvoforblockerhive" },
    { 0x6058, "playvoforblockerhivereward" },
    { 0x6059, "playvoforbombdetonate" },
    { 0x605A, "playvoforbombplant" },
    { 0x605B, "playvoforchoppertakingdamage" },
    { 0x605C, "playvoforchoppertakingtoomuchdamage" },
    { 0x605D, "playvofordeathmachine" },
    { 0x605E, "playvofordowned" },
    { 0x605F, "playvofordrilldamaged" },
    { 0x6060, "playvofordrillhalfway" },
    { 0x6061, "playvofordrillhot" },
    { 0x6062, "playvofordrilloffline" },
    { 0x6063, "playvofordrone" },
    { 0x6064, "playvoforgettolz" },
    { 0x6065, "playvoforims" },
    { 0x6066, "playvoforincomingchopperblockerhive" },
    { 0x6067, "playvoformeteor" },
    { 0x6068, "playvoforminions" },
    { 0x6069, "playvoformortarstrike" },
    { 0x606A, "playvofornukearmed" },
    { 0x606B, "playvofornukecountdown" },
    { 0x606C, "playvoforpillage" },
    { 0x606D, "playvoforpredator" },
    { 0x606E, "playvoforprovidingcoveratblockerhive" },
    { 0x606F, "playvoforqueenspawn" },
    { 0x6070, "playvoforrandombox" },
    { 0x6071, "playvoforrevived" },
    { 0x6072, "playvoforscriptable" },
    { 0x6073, "playvoforsentry" },
    { 0x6074, "playvoforspecialammo" },
    { 0x6075, "playvoforspitterspawn" },
    { 0x6076, "playvoforsupportitems" },
    { 0x6077, "playvoforteamammo" },
    { 0x6078, "playvoforteamarmor" },
    { 0x6079, "playvoforteamboost" },
    { 0x607A, "playvofortrapactivation" },
    { 0x607B, "playvoforwarmachine" },
    { 0x607C, "playvoforwavestart" },
    { 0x607D, "playvotoallplayers" },
    { 0x607E, "plot_points" },
    { 0x607F, "plugins" },
    { 0x6080, "plyr_is_moving_up" },
    { 0x6081, "plyr_rappel_jump_down" },
    { 0x6082, "plyr_rappel_legs_set_origin" },
    { 0x6083, "plyr_rpl_groundref" },
    { 0x6084, "pmc_match" },
    { 0x6085, "pod_two_spools_up" },
    { 0x6086, "point" },
    { 0x6087, "point_cost" },
    { 0x6088, "point_in_fov" },
    { 0x6089, "point_to_ambush" },
    { 0x608A, "pointevents" },
    { 0x608B, "pointinfov" },
    { 0x608C, "pointisinairstrikearea" },
    { 0x608D, "pointoncircle" },
    { 0x608E, "points" },
    { 0x608F, "poison" },
    { 0x6090, "pokebiasgroups" },
    { 0x6091, "poker_table_spooked" },
    { 0x6092, "poll_for_found" },
    { 0x6093, "pollallowedstancesthread" },
    { 0x6094, "pool" },
    { 0x6095, "poolindex" },
    { 0x6096, "pop_first_vo_out_of_queue" },
    { 0x6097, "pop_smoke" },
    { 0x6098, "pop_smoke_hud" },
    { 0x6099, "pop_up" },
    { 0x609A, "pop_up_and_hide_speed" },
    { 0x609B, "pop_up_targets_set_buttons" },
    { 0x609C, "populate_combat_resource_from_table" },
    { 0x609D, "populate_lane_spawners" },
    { 0x609E, "populateintelchallenges" },
    { 0x609F, "popupandshoot" },
    { 0x60A0, "port_to_escape_spitter_location" },
    { 0x60A1, "port_to_player_loc" },
    { 0x60A2, "portable_mg_behavior" },
    { 0x60A3, "portable_mg_gun_tag" },
    { 0x60A4, "portable_mg_spot" },
    { 0x60A5, "portableaoegeneratorsettings" },
    { 0x60A6, "portallist" },
    { 0x60A7, "portals" },
    { 0x60A8, "portcullis_watch" },
    { 0x60A9, "pos" },
    { 0x60AA, "pos_angle" },
    { 0x60AB, "pos_info" },
    { 0x60AC, "pos_info_array" },
    { 0x60AD, "pos_is_valid_outside_for_vanguard" },
    { 0x60AE, "pos_lookahead_dist" },
    { 0x60AF, "pos_passes_sky_trace" },
    { 0x60B0, "posclosed" },
    { 0x60B1, "pose" },
    { 0x60B2, "position_elevators" },
    { 0x60B3, "positionarray" },
    { 0x60B4, "positions" },
    { 0x60B5, "posopen" },
    { 0x60B6, "possible_guns" },
    { 0x60B7, "possiblethreatcallouts" },
    { 0x60B8, "post" },
    { 0x60B9, "post_ascend_cleanup" },
    { 0x60BA, "post_breach_doors" },
    { 0x60BB, "post_breach_positional_ambience" },
    { 0x60BC, "post_crater_breach_dialogue" },
    { 0x60BD, "post_crater_breach_dialogue_2" },
    { 0x60BE, "post_crater_breach_walla" },
    { 0x60BF, "post_crater_dog_scared" },
    { 0x60C0, "post_crater_dog_setup" },
    { 0x60C1, "post_crater_end" },
    { 0x60C2, "post_crater_house_door_crash" },
    { 0x60C3, "post_entity_creation_function" },
    { 0x60C4, "post_infil_door" },
    { 0x60C5, "post_invasion_push_back" },
    { 0x60C6, "post_load" },
    { 0x60C7, "post_load_funcs" },
    { 0x60C8, "post_load_precache" },
    { 0x60C9, "post_missile_launch_begin" },
    { 0x60CA, "post_missile_launch_init" },
    { 0x60CB, "post_missile_launch_main" },
    { 0x60CC, "post_org" },
    { 0x60CD, "post_quake_vo" },
    { 0x60CE, "post_teleport" },
    { 0x60CF, "post_window_nag" },
    { 0x60D0, "post_z_push" },
    { 0x60D1, "post_z_push_cancel" },
    { 0x60D2, "postdeathdogkill" },
    { 0x60D3, "postdeathkill" },
    { 0x60D4, "postdelay" },
    { 0x60D5, "postgamenotifies" },
    { 0x60D6, "postgamepromotion" },
    { 0x60D7, "postion_dot_check" },
    { 0x60D8, "postpainfunc" },
    { 0x60D9, "postroundtime" },
    { 0x60DA, "postscriptfunc" },
    { 0x60DB, "postspawn_crash_blackhawk_rocket" },
    { 0x60DC, "posture_after_enemy_downed" },
    { 0x60DD, "power" },
    { 0x60DE, "power_down" },
    { 0x60DF, "power_junction_patrollers" },
    { 0x60E0, "power_up" },
    { 0x60E1, "pre_ambush" },
    { 0x60E2, "pre_ambush_scene_org" },
    { 0x60E3, "pre_breach_guys" },
    { 0x60E4, "pre_dogcam_weapon" },
    { 0x60E5, "pre_drill_weapon" },
    { 0x60E6, "pre_elevator_doors_shut" },
    { 0x60E7, "pre_garden_spawn" },
    { 0x60E8, "pre_gunship_attack_vo" },
    { 0x60E9, "pre_load" },
    { 0x60EA, "pre_lookout" },
    { 0x60EB, "pre_melee_origin" },
    { 0x60EC, "pre_org" },
    { 0x60ED, "pre_pre_sniping_weapon" },
    { 0x60EE, "pre_quake_scriptables" },
    { 0x60EF, "pre_sniping_weapon" },
    { 0x60F0, "pre_spawn_atrium_runners" },
    { 0x60F1, "pre_spotted_func" },
    { 0x60F2, "pre_tall_grass_friendly_movement" },
    { 0x60F3, "pre_tall_grass_patroller_break_on_sight" },
    { 0x60F4, "pre_tall_grass_patroller_logic" },
    { 0x60F5, "pre_tall_grass_patroller_watcher" },
    { 0x60F6, "pre_tall_grass_stealth_settings" },
    { 0x60F7, "pre_tall_grass_vo_stealth" },
    { 0x60F8, "pre_tall_grass_went_hot_vo" },
    { 0x60F9, "pre_tallgrass_guys_logic" },
    { 0x60FA, "pre_tallgrass_stealth_guys_logic" },
    { 0x60FB, "pre_teleport" },
    { 0x60FC, "pre_teleport_to_start" },
    { 0x60FD, "pre_thermite_amb" },
    { 0x60FE, "pre_unload" },
    { 0x60FF, "pre_unload_idle" },
    { 0x6100, "prebreachcurrentweapon" },
    { 0x6101, "precache" },
    { 0x6102, "precache_cam_names" },
    { 0x6103, "precache_create_fx" },
    { 0x6104, "precache_destructible" },
    { 0x6105, "precache_destructibles" },
    { 0x6106, "precache_for_startpoints" },
    { 0x6107, "precache_items" },
    { 0x6108, "precache_please" },
    { 0x6109, "precache_script" },
    { 0x610A, "precache_script_models" },
    { 0x610B, "precache_scripted_fx" },
    { 0x610C, "precache_scripts" },
    { 0x610D, "precache_stuff" },
    { 0x610E, "precache_teargas" },
    { 0x610F, "precache_zoom" },
    { 0x6110, "precacheanims" },
    { 0x6111, "precachefx" },
    { 0x6112, "precachehelicoptersounds" },
    { 0x6113, "precachemodelarray" },
    { 0x6114, "precachesetup" },
    { 0x6115, "precachestuff" },
    { 0x6116, "precalculated_paths" },
    { 0x6117, "precisepositioning" },
    { 0x6118, "preclack_weapon" },
    { 0x6119, "precommon" },
    { 0x611A, "precommon_bc" },
    { 0x611B, "precommon_scripted_bc" },
    { 0x611C, "precommon_sound" },
    { 0x611D, "predamageshieldignoreme" },
    { 0x611E, "predictabouttospawnplayer" },
    { 0x611F, "predictabouttospawnplayerovertime" },
    { 0x6120, "predictedspawnpoint" },
    { 0x6121, "predictedspawnpointtime" },
    { 0x6122, "preferalliesbydistance" },
    { 0x6123, "preferbyteambase" },
    { 0x6124, "preferdompoints" },
    { 0x6125, "preferred_crash_style" },
    { 0x6126, "preferred_death_anim" },
    { 0x6127, "preferred_offset" },
    { 0x6128, "preferredoffsetfromowner" },
    { 0x6129, "preferredtarget" },
    { 0x612A, "prefers_drones" },
    { 0x612B, "pregame_delay" },
    { 0x612C, "preimpactsmoke" },
    { 0x612D, "prekillcamnotify" },
    { 0x612E, "preload" },
    { 0x612F, "preloop_push_anims" },
    { 0x6130, "prematchperiod" },
    { 0x6131, "prematchperiodend" },
    { 0x6132, "prematurecornergrenadedeath" },
    { 0x6133, "prepare_ambush" },
    { 0x6134, "prepare_crates_for_anim" },
    { 0x6135, "prepare_enemy_for_breach" },
    { 0x6136, "prepare_enemy_for_swimout" },
    { 0x6137, "prepare_enemy_for_wreck" },
    { 0x6138, "prepare_odin_for_window_scene" },
    { 0x6139, "prepare_odin_to_fire" },
    { 0x613A, "prepare_option_for_change" },
    { 0x613B, "prepare_to_be_shot" },
    { 0x613C, "prepare_to_regenerate" },
    { 0x613D, "prepareattackplayer" },
    { 0x613E, "preplacedpostscriptfunc" },
    { 0x613F, "prereqs" },
    { 0x6140, "prescene" },
    { 0x6141, "present_for_gas_station_explosion" },
    { 0x6142, "presnipe_grenades" },
    { 0x6143, "presniper_weapon" },
    { 0x6144, "presniper_weapon_clip" },
    { 0x6145, "presniper_weapon_stock" },
    { 0x6146, "prespawn_decomp_crates" },
    { 0x6147, "prespawn_decomp_enemies" },
    { 0x6148, "prespawn_decomp_legs" },
    { 0x6149, "prespawn_decomp_panels" },
    { 0x614A, "pressurized" },
    { 0x614B, "prestige_getdamagetakenscalar" },
    { 0x614C, "prestige_getmovementspeedscalar" },
    { 0x614D, "prestige_getthreatbiasscalar" },
    { 0x614E, "prestige_getwalletsizescalar" },
    { 0x614F, "prestige_getweapondamagescalar" },
    { 0x6150, "prestige_nerf_func" },
    { 0x6151, "prestigedoubleweaponxp" },
    { 0x6152, "prestigedoublexp" },
    { 0x6153, "prestigespeednerfscalar" },
    { 0x6154, "prev" },
    { 0x6155, "prev_angles" },
    { 0x6156, "prev_defend_node" },
    { 0x6157, "prev_in_use" },
    { 0x6158, "prev_intensity" },
    { 0x6159, "prev_modifyplayerdamage" },
    { 0x615A, "prev_node" },
    { 0x615B, "prev_origin" },
    { 0x615C, "prev_stance" },
    { 0x615D, "prevattack" },
    { 0x615E, "prevatvdeath" },
    { 0x615F, "prevatvdeathtime" },
    { 0x6160, "prevehicles" },
    { 0x6161, "prevenemy" },
    { 0x6162, "prevent_sabot_firing" },
    { 0x6163, "preventpainforashorttime" },
    { 0x6164, "prevframevelocity" },
    { 0x6165, "previous" },
    { 0x6166, "previous_audio_mix" },
    { 0x6167, "previous_button" },
    { 0x6168, "previous_node" },
    { 0x6169, "previousaccuracy" },
    { 0x616A, "previousadrenaline" },
    { 0x616B, "previousanimstate" },
    { 0x616C, "previousdeaths" },
    { 0x616D, "previouspitchdelta" },
    { 0x616E, "previousprimary" },
    { 0x616F, "prevleanfracpitch" },
    { 0x6170, "prevleanfracyaw" },
    { 0x6171, "prevmovearchetype" },
    { 0x6172, "prevmovemode" },
    { 0x6173, "prevmovestate" },
    { 0x6174, "prevownerteam" },
    { 0x6175, "prevpos" },
    { 0x6176, "prevputguninhandtime" },
    { 0x6177, "prevsnowmobiledeath" },
    { 0x6178, "prevsnowmobiledeathtime" },
    { 0x6179, "prevstairsstate" },
    { 0x617A, "prevstance" },
    { 0x617B, "prevturnrate" },
    { 0x617C, "prevuibombtimer" },
    { 0x617D, "prevweapon" },
    { 0x617E, "prevweapons" },
    { 0x617F, "price_breach_ent" },
    { 0x6180, "price_breach_ent_movesto_player" },
    { 0x6181, "price_breach_ent_rotatesto_player" },
    { 0x6182, "price_desired_speed" },
    { 0x6183, "price_match_player_speed" },
    { 0x6184, "priceliner" },
    { 0x6185, "primary_attacker" },
    { 0x6186, "primary_weapon" },
    { 0x6187, "primary_weapon_array" },
    { 0x6188, "primarygrenade" },
    { 0x6189, "primaryprogressbarfontsize" },
    { 0x618A, "primaryprogressbarheight" },
    { 0x618B, "primaryprogressbartextx" },
    { 0x618C, "primaryprogressbartexty" },
    { 0x618D, "primaryprogressbarwidth" },
    { 0x618E, "primaryprogressbarx" },
    { 0x618F, "primaryprogressbary" },
    { 0x6190, "primarytarget" },
    { 0x6191, "primaryturretanim" },
    { 0x6192, "primaryweapon" },
    { 0x6193, "print3d_on_ent" },
    { 0x6194, "print3d_on_me" },
    { 0x6195, "print3d_time" },
    { 0x6196, "print3ddraw" },
    { 0x6197, "print3dfortime" },
    { 0x6198, "print3drise" },
    { 0x6199, "print3dtime" },
    { 0x619A, "print_csv_asset" },
    { 0x619B, "print_fx_options" },
    { 0x619C, "print_object_vectors" },
    { 0x619D, "print_org" },
    { 0x619E, "print_player_speed" },
    { 0x619F, "print_vehicle_info" },
    { 0x61A0, "printabovehead" },
    { 0x61A1, "printandsoundoneveryone" },
    { 0x61A2, "printandsoundonplayer" },
    { 0x61A3, "printandsoundonteam" },
    { 0x61A4, "printboldonteam" },
    { 0x61A5, "printboldonteamarg" },
    { 0x61A6, "printdebugtexthud" },
    { 0x61A7, "printdebugtextstringhud" },
    { 0x61A8, "printdisplaceinfo" },
    { 0x61A9, "printer" },
    { 0x61AA, "printerdebugger" },
    { 0x61AB, "printonplayers" },
    { 0x61AC, "printonteam" },
    { 0x61AD, "printonteamarg" },
    { 0x61AE, "printpredictedspawnpointcorrectness" },
    { 0x61AF, "printshoot" },
    { 0x61B0, "printshootproc" },
    { 0x61B1, "printturnrate" },
    { 0x61B2, "printyaws" },
    { 0x61B3, "printyawtoenemy" },
    { 0x61B4, "prioritize_colorcoded_nodes" },
    { 0x61B5, "prioritize_watch_nodes_toward_enemies" },
    { 0x61B6, "priority" },
    { 0x61B7, "prisonbreak" },
    { 0x61B8, "pristine_crate" },
    { 0x61B9, "privatematch" },
    { 0x61BA, "probedx9lightingfix" },
    { 0x61BB, "process" },
    { 0x61BC, "process_beach_notetracks" },
    { 0x61BD, "process_blend" },
    { 0x61BE, "process_button_held_and_clicked" },
    { 0x61BF, "process_color_order_to_ai" },
    { 0x61C0, "process_cover_node" },
    { 0x61C1, "process_cover_node_with_last_in_mind_allies" },
    { 0x61C2, "process_cover_node_with_last_in_mind_axis" },
    { 0x61C3, "process_deathflags" },
    { 0x61C4, "process_end_game_score_escaped" },
    { 0x61C5, "process_fx_rotater" },
    { 0x61C6, "process_intro_notetracks" },
    { 0x61C7, "process_moving_platform_death" },
    { 0x61C8, "process_path" },
    { 0x61C9, "process_path_node" },
    { 0x61CA, "process_spawn_event_spawning" },
    { 0x61CB, "process_stop_short_of_node" },
    { 0x61CC, "processassist" },
    { 0x61CD, "processassist_regularmp" },
    { 0x61CE, "processchallenge" },
    { 0x61CF, "processchallenge_regularmp" },
    { 0x61D0, "processed_for_fireteam" },
    { 0x61D1, "processed_trigger" },
    { 0x61D2, "processingkilledchallenges" },
    { 0x61D3, "processlobbydata" },
    { 0x61D4, "processlobbyscoreboards" },
    { 0x61D5, "processscoring" },
    { 0x61D6, "processshieldassist" },
    { 0x61D7, "processshieldassist_regularmp" },
    { 0x61D8, "progress" },
    { 0x61D9, "progress_bar" },
    { 0x61DA, "progress_dif" },
    { 0x61DB, "progress_maps" },
    { 0x61DC, "progress_targ" },
    { 0x61DD, "progress_trigger_callbacks" },
    { 0x61DE, "progtime" },
    { 0x61DF, "project" },
    { 0x61E0, "projectile" },
    { 0x61E1, "projectileexplode" },
    { 0x61E2, "projectilename" },
    { 0x61E3, "projecttoline" },
    { 0x61E4, "projecttolineseg" },
    { 0x61E5, "projectvectortoplane" },
    { 0x61E6, "projintooutright" },
    { 0x61E7, "prologue" },
    { 0x61E8, "prologue_transition_back_to_youngblood" },
    { 0x61E9, "prologue_transition_to_odin" },
    { 0x61EA, "promo_dof" },
    { 0x61EB, "promote_nearest_friendly" },
    { 0x61EC, "promote_nearest_friendly_with_classname" },
    { 0x61ED, "promotion_anims" },
    { 0x61EE, "promotion_dog" },
    { 0x61EF, "promotionsplashnotify" },
    { 0x61F0, "prompt" },
    { 0x61F1, "prompt_player_controls" },
    { 0x61F2, "prompt_qte_grow" },
    { 0x61F3, "prompt_qte_pulse" },
    { 0x61F4, "prone_anim_override" },
    { 0x61F5, "prone_hint_off" },
    { 0x61F6, "prone_kill_trigger" },
    { 0x61F7, "prone_only" },
    { 0x61F8, "prone_rate_override" },
    { 0x61F9, "prone_transitionto" },
    { 0x61FA, "prone_visible_from" },
    { 0x61FB, "proneaiming" },
    { 0x61FC, "pronecombatmainloop" },
    { 0x61FD, "pronecrawl" },
    { 0x61FE, "pronecrawltoprone" },
    { 0x61FF, "pronelegsstraighttree" },
    { 0x6200, "pronereload" },
    { 0x6201, "pronerun_begin" },
    { 0x6202, "pronestill" },
    { 0x6203, "pronestop_begin" },
    { 0x6204, "proneto" },
    { 0x6205, "pronetocrouch" },
    { 0x6206, "pronetocrouchrun" },
    { 0x6207, "pronetocrouchwalk" },
    { 0x6208, "pronetopronemove" },
    { 0x6209, "pronetopronerun" },
    { 0x620A, "pronetostand" },
    { 0x620B, "pronetostandrun" },
    { 0x620C, "pronetostandwalk" },
    { 0x620D, "pronewalk_begin" },
    { 0x620E, "prop" },
    { 0x620F, "prop_anims" },
    { 0x6210, "prop_attach_coll" },
    { 0x6211, "prop_cig_throw" },
    { 0x6212, "prop_delete" },
    { 0x6213, "prop_delete_cig" },
    { 0x6214, "prop_destroy" },
    { 0x6215, "prop_drop" },
    { 0x6216, "prop_launch" },
    { 0x6217, "prop_notetrack_exist" },
    { 0x6218, "prop_notetracks" },
    { 0x6219, "prop_sentry" },
    { 0x621A, "propanetankwatchuse" },
    { 0x621B, "props_cleanup" },
    { 0x621C, "props_setup" },
    { 0x621D, "propsstate" },
    { 0x621E, "protect_radius" },
    { 0x621F, "protect_watch_allies" },
    { 0x6220, "proxbar" },
    { 0x6221, "proxbartext" },
    { 0x6222, "proximity_player_seek" },
    { 0x6223, "proximity_spawn" },
    { 0x6224, "proximity_spawn_ai" },
    { 0x6225, "proximityassist" },
    { 0x6226, "proximityexplosivetrigger" },
    { 0x6227, "proximityexplosiveused" },
    { 0x6228, "proximitykill" },
    { 0x6229, "proximitythink" },
    { 0x622A, "proximitythinkloop" },
    { 0x622B, "proxmity_check_stop_loop" },
    { 0x622C, "proxmity_check_stop_relative" },
    { 0x622D, "proxtriggerlos" },
    { 0x622E, "proxtriggerthink" },
    { 0x622F, "proxy_start_test" },
    { 0x6230, "proxytestent" },
    { 0x6231, "prt_array" },
    { 0x6232, "prune_currently_spawned" },
    { 0x6233, "ps3" },
    { 0x6234, "ps4" },
    { 0x6235, "pt2_force_look_down" },
    { 0x6236, "pt2_successful_shot" },
    { 0x6237, "pt2_upper_enemy_anim" },
    { 0x6238, "puddle_trap_setup_sizes" },
    { 0x6239, "pulse" },
    { 0x623A, "pulse_cut_hint" },
    { 0x623B, "pulse_fx" },
    { 0x623C, "pulse_think" },
    { 0x623D, "pulsing" },
    { 0x623E, "punch_glass" },
    { 0x623F, "punching_sounds" },
    { 0x6240, "punchit_end" },
    { 0x6241, "punchit_jeeps" },
    { 0x6242, "punchit_start" },
    { 0x6243, "push_anim" },
    { 0x6244, "push_crates" },
    { 0x6245, "push_enemy" },
    { 0x6246, "push_out_of_doorway" },
    { 0x6247, "push_player" },
    { 0x6248, "push_player_around" },
    { 0x6249, "push_player_back_from_thor" },
    { 0x624A, "push_player_impulse" },
    { 0x624B, "push_player_out_of_brush" },
    { 0x624C, "push_player_out_of_volume" },
    { 0x624D, "pushcorpseonownerdeath" },
    { 0x624E, "pusher_pulses" },
    { 0x624F, "pushplayer" },
    { 0x6250, "pushvehicles" },
    { 0x6251, "put_ally_in_chair" },
    { 0x6252, "put_launcher_in_place" },
    { 0x6253, "put_toy_in_volume" },
    { 0x6254, "putgunaway" },
    { 0x6255, "putgunbackinhandonkillanimscript" },
    { 0x6256, "putguninhand" },
    { 0x6257, "putter_out_rocket_fx" },
    { 0x6258, "putweaponbackinrighthand" },
    { 0x6259, "pyramid_death_report" },
    { 0x625A, "pyramid_spawn" },
    { 0x625B, "pyramid_spawner_reports_death" },
    { 0x625C, "qafinished" },
    { 0x625D, "qsetgoalpos" },
    { 0x625E, "qte_bullet_blender" },
    { 0x625F, "qte_bullet_catch_blend_view_dof" },
    { 0x6260, "qte_bullet_catch_dof" },
    { 0x6261, "qte_bullet_catch_slomo" },
    { 0x6262, "qte_bullet_shine" },
    { 0x6263, "qte_prompt" },
    { 0x6264, "quadrantanimweights" },
    { 0x6265, "quake" },
    { 0x6266, "quake_anim_funcs" },
    { 0x6267, "quake_anim_init_funcs" },
    { 0x6268, "quake_anims" },
    { 0x6269, "quake_anims_ref" },
    { 0x626A, "quake_event_animate" },
    { 0x626B, "quake_event_bats" },
    { 0x626C, "quake_event_connect_node" },
    { 0x626D, "quake_event_connect_traverse" },
    { 0x626E, "quake_event_delete" },
    { 0x626F, "quake_event_disconnect_node" },
    { 0x6270, "quake_event_disconnect_traverse" },
    { 0x6271, "quake_event_exploder" },
    { 0x6272, "quake_event_fx" },
    { 0x6273, "quake_event_gas_leak" },
    { 0x6274, "quake_event_hurt" },
    { 0x6275, "quake_event_init" },
    { 0x6276, "quake_event_init_ent" },
    { 0x6277, "quake_event_move_to" },
    { 0x6278, "quake_event_playsound" },
    { 0x6279, "quake_event_pole_fall_on_car" },
    { 0x627A, "quake_event_pole_fall_on_car_init" },
    { 0x627B, "quake_event_pole_link_nodes" },
    { 0x627C, "quake_event_pole_unlink_nodes" },
    { 0x627D, "quake_event_send_notify" },
    { 0x627E, "quake_event_shake" },
    { 0x627F, "quake_event_show" },
    { 0x6280, "quake_event_trigger" },
    { 0x6281, "quake_event_trigger_wait" },
    { 0x6282, "quake_event_wait" },
    { 0x6283, "quake_events" },
    { 0x6284, "quake_hurt_time" },
    { 0x6285, "quake_hurt_trigger" },
    { 0x6286, "quake_interval_msec" },
    { 0x6287, "quake_rotate" },
    { 0x6288, "quake_run" },
    { 0x6289, "quake_run_scriptables" },
    { 0x628A, "quake_scale" },
    { 0x628B, "quake_scriptable_time" },
    { 0x628C, "quake_scriptables" },
    { 0x628D, "quake_time" },
    { 0x628E, "quake_trigs" },
    { 0x628F, "quakes" },
    { 0x6290, "que_body" },
    { 0x6291, "queen_health_regen" },
    { 0x6292, "queendamageprocessing" },
    { 0x6293, "querymemberanimstate" },
    { 0x6294, "querymemberstate" },
    { 0x6295, "queueadd" },
    { 0x6296, "queueanim" },
    { 0x6297, "queuecreate" },
    { 0x6298, "queued_anim_threads" },
    { 0x6299, "queueremovefirst" },
    { 0x629A, "queues" },
    { 0x629B, "queueshieldforremoval" },
    { 0x629C, "quick_cursor" },
    { 0x629D, "quick_dunk" },
    { 0x629E, "quick_getout" },
    { 0x629F, "quick_pulse" },
    { 0x62A0, "quickmessagetoall" },
    { 0x62A1, "quicksort" },
    { 0x62A2, "quicksortmid" },
    { 0x62A3, "rack" },
    { 0x62A4, "rack_pull_out_lookat" },
    { 0x62A5, "rack_pull_out_trigger" },
    { 0x62A6, "rack_shut" },
    { 0x62A7, "radar" },
    { 0x62A8, "radarbuddyplayfx" },
    { 0x62A9, "radarmover" },
    { 0x62AA, "radarviewtime" },
    { 0x62AB, "radial" },
    { 0x62AC, "radial_angle_to_vector" },
    { 0x62AD, "radial_button_current_group" },
    { 0x62AE, "radial_button_definitions" },
    { 0x62AF, "radial_button_group" },
    { 0x62B0, "radial_button_group_info" },
    { 0x62B1, "radial_button_previous_group" },
    { 0x62B2, "radial_init" },
    { 0x62B3, "radiation" },
    { 0x62B4, "radiation_check" },
    { 0x62B5, "radiation_kill" },
    { 0x62B6, "radiation_totalpercent" },
    { 0x62B7, "radiationdeath" },
    { 0x62B8, "radiationeffect" },
    { 0x62B9, "radiationoverlay" },
    { 0x62BA, "radiationsound" },
    { 0x62BB, "radio" },
    { 0x62BC, "radio_add" },
    { 0x62BD, "radio_dialog_add_and_go" },
    { 0x62BE, "radio_dialog_add_and_go_interrupt" },
    { 0x62BF, "radio_dialog_playing" },
    { 0x62C0, "radio_dialogue" },
    { 0x62C1, "radio_dialogue_clear_stack" },
    { 0x62C2, "radio_dialogue_interupt" },
    { 0x62C3, "radio_dialogue_overlap" },
    { 0x62C4, "radio_dialogue_queue" },
    { 0x62C5, "radio_dialogue_queue_single" },
    { 0x62C6, "radio_dialogue_safe" },
    { 0x62C7, "radio_dialogue_stop" },
    { 0x62C8, "radio_emitter" },
    { 0x62C9, "radio_in_use" },
    { 0x62CA, "radio_queue_thread" },
    { 0x62CB, "radio_tower_guy_shot" },
    { 0x62CC, "radioforcedtransmissionqueue" },
    { 0x62CD, "radios" },
    { 0x62CE, "radiosity" },
    { 0x62CF, "radiosityscale" },
    { 0x62D0, "radiosityscale_ng" },
    { 0x62D1, "radiousityscale" },
    { 0x62D2, "radiousityscale_ng" },
    { 0x62D3, "radius_damage_when_player_is_close" },
    { 0x62D4, "radius_max_sq" },
    { 0x62D5, "radius_min_sq" },
    { 0x62D6, "radius_pos" },
    { 0x62D7, "radiusartilleryshellshock" },
    { 0x62D8, "ragdoll_and_delete" },
    { 0x62D9, "ragdoll_corpses" },
    { 0x62DA, "ragdoll_directionscale" },
    { 0x62DB, "ragdoll_fall_anim" },
    { 0x62DC, "ragdoll_getout_death" },
    { 0x62DD, "ragdoll_immediate" },
    { 0x62DE, "ragdoll_shield" },
    { 0x62DF, "ragdoll_start_vel" },
    { 0x62E0, "ragdoll_timeout" },
    { 0x62E1, "ragdolldeath" },
    { 0x62E2, "ragdolltime" },
    { 0x62E3, "railyard_style" },
    { 0x62E4, "rain" },
    { 0x62E5, "rain_effect" },
    { 0x62E6, "rain_overlay" },
    { 0x62E7, "rain_overlay_alpha" },
    { 0x62E8, "rain_skybox" },
    { 0x62E9, "raineffectchange" },
    { 0x62EA, "rainfxstage" },
    { 0x62EB, "rainhard" },
    { 0x62EC, "raining_missiles_test" },
    { 0x62ED, "raininit" },
    { 0x62EE, "rainlevel" },
    { 0x62EF, "rainlevelrandomwait" },
    { 0x62F0, "rainlevelwait" },
    { 0x62F1, "rainlight" },
    { 0x62F2, "rainmedium" },
    { 0x62F3, "rainnone" },
    { 0x62F4, "rainscriptables" },
    { 0x62F5, "raise_rear_elevator" },
    { 0x62F6, "raise_rear_elevator_intro" },
    { 0x62F7, "raise_top_bay_door" },
    { 0x62F8, "rambo" },
    { 0x62F9, "ramboaccuracymult" },
    { 0x62FA, "ramboaim" },
    { 0x62FB, "ramboaiminternal" },
    { 0x62FC, "ramboanims" },
    { 0x62FD, "rambochance" },
    { 0x62FE, "ramp_down_accurracy" },
    { 0x62FF, "ramp_down_push" },
    { 0x6300, "ramp_red_light" },
    { 0x6301, "ramp_up_accurracy" },
    { 0x6302, "rampfx" },
    { 0x6303, "ramping_explosions" },
    { 0x6304, "rampsnow" },
    { 0x6305, "randassignintel" },
    { 0x6306, "random" },
    { 0x6307, "random_ambient_escape_fx" },
    { 0x6308, "random_building_shake_loop" },
    { 0x6309, "random_death_anim" },
    { 0x630A, "random_depth_charges" },
    { 0x630B, "random_destruction" },
    { 0x630C, "random_destruction_destroy" },
    { 0x630D, "random_destruction_preprocess" },
    { 0x630E, "random_destruction_restore" },
    { 0x630F, "random_destruction_wait" },
    { 0x6310, "random_dynamic_attachment" },
    { 0x6311, "random_earthquakes" },
    { 0x6312, "random_enemy_kill" },
    { 0x6313, "random_explosions" },
    { 0x6314, "random_flash" },
    { 0x6315, "random_killspawner" },
    { 0x6316, "random_line_flicker" },
    { 0x6317, "random_line_placement" },
    { 0x6318, "random_mortars_fire" },
    { 0x6319, "random_mortars_fire_run" },
    { 0x631A, "random_mortars_get_model" },
    { 0x631B, "random_mortars_get_target" },
    { 0x631C, "random_mortars_incoming_sound" },
    { 0x631D, "random_movemode_change" },
    { 0x631E, "random_nag_line" },
    { 0x631F, "random_offset" },
    { 0x6320, "random_pick_r_or_l" },
    { 0x6321, "random_player_wall_push" },
    { 0x6322, "random_player_wall_pushdownup" },
    { 0x6323, "random_point_in_circle" },
    { 0x6324, "random_post_hit_explosions" },
    { 0x6325, "random_shader_cycling" },
    { 0x6326, "random_spawn" },
    { 0x6327, "random_spread" },
    { 0x6328, "random_trench_falling" },
    { 0x6329, "random_wait_and_kill" },
    { 0x632A, "random_weight" },
    { 0x632B, "random_weight_sorted" },
    { 0x632C, "randomaditionaltime" },
    { 0x632D, "randomanimoftwo" },
    { 0x632E, "randombox_items" },
    { 0x632F, "randombox_table_init" },
    { 0x6330, "randomdeath" },
    { 0x6331, "randomdestructionindicies" },
    { 0x6332, "randomfasteranimspeed" },
    { 0x6333, "randomgrenaderange" },
    { 0x6334, "randomharriermovement" },
    { 0x6335, "randomintrange_limit" },
    { 0x6336, "randominttable" },
    { 0x6337, "randominttablesize" },
    { 0x6338, "randomitem" },
    { 0x6339, "randomize_name_list" },
    { 0x633A, "randomizeidleset" },
    { 0x633B, "randomizer_create" },
    { 0x633C, "randomizer_get_no_repeat" },
    { 0x633D, "randomly_kill_drone" },
    { 0x633E, "randomly_rotate_and_fire" },
    { 0x633F, "randomly_spawn_above_enemies_targetname" },
    { 0x6340, "randomoccurrance" },
    { 0x6341, "randompathstoptime" },
    { 0x6342, "randomspawnscore" },
    { 0x6343, "randomvector" },
    { 0x6344, "randomvectorrange" },
    { 0x6345, "range" },
    { 0x6346, "rangecountdownactive" },
    { 0x6347, "rangetrigger" },
    { 0x6348, "rangetriggeroverride" },
    { 0x6349, "rank_init" },
    { 0x634A, "rankedmatch" },
    { 0x634B, "rankedmatchupdates" },
    { 0x634C, "rankingenabled" },
    { 0x634D, "ranktable" },
    { 0x634E, "rappel" },
    { 0x634F, "rappel_aim_get_parent_node" },
    { 0x6350, "rappel_aim_idle_thread" },
    { 0x6351, "rappel_anim_struct" },
    { 0x6352, "rappel_balcony_enemies" },
    { 0x6353, "rappel_balcony_setup" },
    { 0x6354, "rappel_clear_vertical_limits" },
    { 0x6355, "rappel_combat_two_volume_downstairs" },
    { 0x6356, "rappel_combat_two_volume_upstairs" },
    { 0x6357, "rappel_death" },
    { 0x6358, "rappel_death_vo" },
    { 0x6359, "rappel_disable_fidgit" },
    { 0x635A, "rappel_do_not_fidgit" },
    { 0x635B, "rappel_enemy" },
    { 0x635C, "rappel_enter" },
    { 0x635D, "rappel_enter_death" },
    { 0x635E, "rappel_entry_anim_struct" },
    { 0x635F, "rappel_exit" },
    { 0x6360, "rappel_get_angle_facing_wall" },
    { 0x6361, "rappel_get_plane_d" },
    { 0x6362, "rappel_get_plane_normal_left" },
    { 0x6363, "rappel_get_plane_normal_out" },
    { 0x6364, "rappel_guy" },
    { 0x6365, "rappel_guy_internal" },
    { 0x6366, "rappel_idle" },
    { 0x6367, "rappel_ignore_first_two_encounters" },
    { 0x6368, "rappel_jump_anim" },
    { 0x6369, "rappel_jump_land_struct" },
    { 0x636A, "rappel_kill" },
    { 0x636B, "rappel_kill_achievement" },
    { 0x636C, "rappel_last_enemy_timer" },
    { 0x636D, "rappel_lateral_speed_to_world_units" },
    { 0x636E, "rappel_legs_jump_anim" },
    { 0x636F, "rappel_limit_vertical_move" },
    { 0x6370, "rappel_lower_limit" },
    { 0x6371, "rappel_max_downward_speed" },
    { 0x6372, "rappel_max_lateral_dist_left" },
    { 0x6373, "rappel_max_lateral_dist_right" },
    { 0x6374, "rappel_max_lateral_speed" },
    { 0x6375, "rappel_max_upward_speed" },
    { 0x6376, "rappel_move_direction" },
    { 0x6377, "rappel_pain" },
    { 0x6378, "rappel_params" },
    { 0x6379, "rappel_physical_rope_animation_origin" },
    { 0x637A, "rappel_physical_rope_origin" },
    { 0x637B, "rappel_player_arms" },
    { 0x637C, "rappel_player_legs" },
    { 0x637D, "rappel_reloading" },
    { 0x637E, "rappel_rope_additive_jump_animations" },
    { 0x637F, "rappel_rope_animate_rotate" },
    { 0x6380, "rappel_rope_rig" },
    { 0x6381, "rappel_rotate_jump_anim" },
    { 0x6382, "rappel_section" },
    { 0x6383, "rappel_shooting_loop" },
    { 0x6384, "rappel_stealth" },
    { 0x6385, "rappel_stealth_checkpoint" },
    { 0x6386, "rappel_stealth_combat" },
    { 0x6387, "rappel_stealth_first_floor_combat_stealth_broken_vo" },
    { 0x6388, "rappel_stealth_first_floor_combat_vo" },
    { 0x6389, "rappel_stealth_second_floor_combat_stealth_broken_vo" },
    { 0x638A, "rappel_stealth_second_floor_combat_vo" },
    { 0x638B, "rappel_stealth_table_guy_nag" },
    { 0x638C, "rappel_type" },
    { 0x638D, "rappel_type_aim" },
    { 0x638E, "rappel_upper_limit" },
    { 0x638F, "rappel_use_plyr_legs" },
    { 0x6390, "rappel_vertical_speed_to_world_units" },
    { 0x6391, "rappel_window_frame_obj" },
    { 0x6392, "rappeller" },
    { 0x6393, "rappellers" },
    { 0x6394, "rate" },
    { 0x6395, "rateofchange" },
    { 0x6396, "ratepercent" },
    { 0x6397, "raven_player_can_see_ai" },
    { 0x6398, "ravine_jeeps_to_the_right" },
    { 0x6399, "raw_weight" },
    { 0x639A, "re_distribute_pillage_spots" },
    { 0x639B, "reach_and_play_anim" },
    { 0x639C, "reach_death_notify" },
    { 0x639D, "reach_goal_die" },
    { 0x639E, "reach_goal_pos" },
    { 0x639F, "reach_layer_earthquake" },
    { 0x63A0, "reach_layer_spawn_event" },
    { 0x63A1, "reach_with_arrivals_begin" },
    { 0x63A2, "reach_with_planting" },
    { 0x63A3, "reach_with_planting_and_arrivals" },
    { 0x63A4, "reach_with_standard_adjustments_begin" },
    { 0x63A5, "reach_with_standard_adjustments_end" },
    { 0x63A6, "reached_max_xp_multiplier" },
    { 0x63A7, "reached_node_but_could_not_claim_it" },
    { 0x63A8, "reached_target_floor_count" },
    { 0x63A9, "reachedbottom" },
    { 0x63AA, "reachers" },
    { 0x63AB, "reachidle" },
    { 0x63AC, "reacquire_state" },
    { 0x63AD, "reacquire_without_facing" },
    { 0x63AE, "reacquirewhennecessary" },
    { 0x63AF, "react_correctly_to_tank_fire" },
    { 0x63B0, "react_distance" },
    { 0x63B1, "react_node" },
    { 0x63B2, "react_to_attractor_flare" },
    { 0x63B3, "reactanim" },
    { 0x63B4, "reactdistance" },
    { 0x63B5, "reactingtobullet" },
    { 0x63B6, "reaction" },
    { 0x63B7, "reaction_anims" },
    { 0x63B8, "reaction_proc" },
    { 0x63B9, "reaction_sleep" },
    { 0x63BA, "reaction_sleep_wait_wakeup" },
    { 0x63BB, "reaction_sleep_wait_wakeup_dist" },
    { 0x63BC, "reaction_wait" },
    { 0x63BD, "reactioncasualty" },
    { 0x63BE, "reactionfriendlyfire" },
    { 0x63BF, "reactionscheckloop" },
    { 0x63C0, "reactiontakingfire" },
    { 0x63C1, "reactiontaunt" },
    { 0x63C2, "reactive_fx_ents" },
    { 0x63C3, "reactive_fx_thread" },
    { 0x63C4, "reactive_grass_settings" },
    { 0x63C5, "reactive_grass_settings_pc" },
    { 0x63C6, "reactive_sound_ents" },
    { 0x63C7, "reactive_thread" },
    { 0x63C8, "reactto" },
    { 0x63C9, "reacttobulletchance" },
    { 0x63CA, "reacttobulletsinterruptcheck" },
    { 0x63CB, "read_in_table" },
    { 0x63CC, "read_parameters" },
    { 0x63CD, "readcredits" },
    { 0x63CE, "readncolumns" },
    { 0x63CF, "readtriple" },
    { 0x63D0, "ready" },
    { 0x63D1, "ready_for_deathanim" },
    { 0x63D2, "ready_to_attack" },
    { 0x63D3, "readyanimarray" },
    { 0x63D4, "readyanimweights" },
    { 0x63D5, "readyplayer" },
    { 0x63D6, "readystand_anims_inited" },
    { 0x63D7, "readytobemanhandled" },
    { 0x63D8, "readytobreach" },
    { 0x63D9, "readytomanhandle" },
    { 0x63DA, "readytomeleetarget" },
    { 0x63DB, "readytoreturntocover" },
    { 0x63DC, "real_reload" },
    { 0x63DD, "real_reload_proc" },
    { 0x63DE, "realorigin" },
    { 0x63DF, "realtarget" },
    { 0x63E0, "realtargetorigin" },
    { 0x63E1, "rear_elevator" },
    { 0x63E2, "rear_elevator_vol" },
    { 0x63E3, "rear_left_anchor_impact" },
    { 0x63E4, "rear_right_anchor_impact" },
    { 0x63E5, "rearmtime" },
    { 0x63E6, "reassign_bug" },
    { 0x63E7, "reassign_commander" },
    { 0x63E8, "reassign_comps" },
    { 0x63E9, "reassign_dir_group" },
    { 0x63EA, "reassign_dog_group" },
    { 0x63EB, "reassign_goal_volume" },
    { 0x63EC, "reassign_interrogate" },
    { 0x63ED, "reassign_meetup" },
    { 0x63EE, "reassign_runners" },
    { 0x63EF, "reassign_typer" },
    { 0x63F0, "reassign_vault_guys" },
    { 0x63F1, "reassign_walkers" },
    { 0x63F2, "reattach_eyes_on_teleport" },
    { 0x63F3, "rebar_rotate" },
    { 0x63F4, "rebreather_plug_in" },
    { 0x63F5, "rebuild_door" },
    { 0x63F6, "rebuild_friendly_icon" },
    { 0x63F7, "rec_blink" },
    { 0x63F8, "recent_pain_hits" },
    { 0x63F9, "recent_rog_hits" },
    { 0x63FA, "recentdamageamount" },
    { 0x63FB, "recentdamages" },
    { 0x63FC, "recentkillcount" },
    { 0x63FD, "recently_used_spawn_zone_score_modifier" },
    { 0x63FE, "recentlysawenemy" },
    { 0x63FF, "recentshieldxp" },
    { 0x6400, "rechamber" },
    { 0x6401, "recipe" },
    { 0x6402, "recipe_getkillstreak" },
    { 0x6403, "recipeclassapplyjuggernaut" },
    { 0x6404, "reclaimedreservedobjectives" },
    { 0x6405, "recoilscale" },
    { 0x6406, "recon_checkpoint_lasttime" },
    { 0x6407, "recon_objective_lasttime" },
    { 0x6408, "recon_player" },
    { 0x6409, "recon_player_downed" },
    { 0x640A, "record_bread_crumbs_for_ambush" },
    { 0x640B, "record_enemy_sightings" },
    { 0x640C, "record_last_player_damage" },
    { 0x640D, "record_sighting" },
    { 0x640E, "recordfinalkillcam" },
    { 0x640F, "recover" },
    { 0x6410, "recover_from_careful_disable" },
    { 0x6411, "recover_interval" },
    { 0x6412, "recruit_player_visual" },
    { 0x6413, "recruit_sound_setup" },
    { 0x6414, "recursed" },
    { 0x6415, "red" },
    { 0x6416, "red_crosshair" },
    { 0x6417, "red_lights" },
    { 0x6418, "redshirt_cq_enc_handles" },
    { 0x6419, "redshirt_cq_enc_handles2" },
    { 0x641A, "redshirts" },
    { 0x641B, "reduce_wallet_size" },
    { 0x641C, "reducegiptponkillanimscript" },
    { 0x641D, "reducetakecoverwarnings" },
    { 0x641E, "reenable_stealth" },
    { 0x641F, "reenable_usability" },
    { 0x6420, "reequiplightarmor" },
    { 0x6421, "ref" },
    { 0x6422, "ref_col" },
    { 0x6423, "ref_end" },
    { 0x6424, "ref_ent" },
    { 0x6425, "ref_node" },
    { 0x6426, "ref_origin" },
    { 0x6427, "ref_start" },
    { 0x6428, "reference" },
    { 0x6429, "refillammo" },
    { 0x642A, "refillclip" },
    { 0x642B, "refillexplosiveweapons" },
    { 0x642C, "refinery_alarm_dist" },
    { 0x642D, "refinery_buildup_quake_delay" },
    { 0x642E, "refinery_fire_01" },
    { 0x642F, "refinery_fire_02" },
    { 0x6430, "refinery_fire_03" },
    { 0x6431, "refinery_fire_04" },
    { 0x6432, "refinery_stop_chunk_spark_fx" },
    { 0x6433, "refinery_stop_travelling_block_spark_fx" },
    { 0x6434, "refinery_travelling_block_impact_fx" },
    { 0x6435, "refinery_turn_on_buildup_fx_01" },
    { 0x6436, "reflection_color_correction" },
    { 0x6437, "reflection_window_inverted" },
    { 0x6438, "reflectionprobebuttons" },
    { 0x6439, "refnum" },
    { 0x643A, "refresh_existing_bots" },
    { 0x643B, "refresh_reactive_fx_ents" },
    { 0x643C, "refreshspectatorportalfx" },
    { 0x643D, "refreshteamportalfx" },
    { 0x643E, "refreshwaiticon" },
    { 0x643F, "refsc" },
    { 0x6440, "refscale" },
    { 0x6441, "regen_front_armor" },
    { 0x6442, "regenamount" },
    { 0x6443, "regenfasterhealthmod" },
    { 0x6444, "regenfastermod" },
    { 0x6445, "regenhealthmod" },
    { 0x6446, "regenrate" },
    { 0x6447, "regenspeed" },
    { 0x6448, "regenspeedwatcher" },
    { 0x6449, "register_achievement" },
    { 0x644A, "register_airdrop_sub_items" },
    { 0x644B, "register_archetype" },
    { 0x644C, "register_challenge" },
    { 0x644D, "register_coverwater_area" },
    { 0x644E, "register_default_achievements" },
    { 0x644F, "register_default_end_game_string_index" },
    { 0x6450, "register_default_unlocks" },
    { 0x6451, "register_end_game_string_index" },
    { 0x6452, "register_gundown_archetype" },
    { 0x6453, "register_hive_performance_metric" },
    { 0x6454, "register_kill" },
    { 0x6455, "register_laststand_ammo" },
    { 0x6456, "register_level_parameter" },
    { 0x6457, "register_max_hive_score" },
    { 0x6458, "register_max_score_info" },
    { 0x6459, "register_nerf_activated" },
    { 0x645A, "register_new_weapon" },
    { 0x645B, "register_node" },
    { 0x645C, "register_pain" },
    { 0x645D, "register_performance_metric" },
    { 0x645E, "register_perk_callback" },
    { 0x645F, "register_score_constants" },
    { 0x6460, "register_scoring_mode" },
    { 0x6461, "register_shot_hit" },
    { 0x6462, "register_sub_item" },
    { 0x6463, "register_unlock" },
    { 0x6464, "registeractionbinding" },
    { 0x6465, "registeradrenalineinfo" },
    { 0x6466, "registerarchetype" },
    { 0x6467, "registerdamage" },
    { 0x6468, "registerdvars" },
    { 0x6469, "registergenerator" },
    { 0x646A, "registerhalftimedvar" },
    { 0x646B, "registeringshothit" },
    { 0x646C, "registerkill" },
    { 0x646D, "registerlaststandparameter" },
    { 0x646E, "registermissioncallback" },
    { 0x646F, "registernotetracks" },
    { 0x6470, "registernumlivesdvar" },
    { 0x6471, "registernumteamsdvar" },
    { 0x6472, "registerroundlimitdvar" },
    { 0x6473, "registerroundswitchdvar" },
    { 0x6474, "registerscoreinfo" },
    { 0x6475, "registerscorelimitdvar" },
    { 0x6476, "registertimelimitdvar" },
    { 0x6477, "registertraversedata" },
    { 0x6478, "registertweakable" },
    { 0x6479, "registerwatchdvar" },
    { 0x647A, "registerwatchdvarfloat" },
    { 0x647B, "registerwatchdvarint" },
    { 0x647C, "registerwinlimitdvar" },
    { 0x647D, "reincrement_count_if_deleted" },
    { 0x647E, "reinitializematchrulesonmigration" },
    { 0x647F, "reinitializethermal" },
    { 0x6480, "relatedbrushmodel" },
    { 0x6481, "relative_speed" },
    { 0x6482, "relativeangle" },
    { 0x6483, "relativepoint" },
    { 0x6484, "release_dog_on_death" },
    { 0x6485, "release_spit_node" },
    { 0x6486, "release_use_trigger" },
    { 0x6487, "release_view" },
    { 0x6488, "release_view_count" },
    { 0x6489, "release_waver" },
    { 0x648A, "reload_aim_active" },
    { 0x648B, "reload_disable_safe" },
    { 0x648C, "reload_enable" },
    { 0x648D, "reloading_anim_clip_throw" },
    { 0x648E, "reloadtimer" },
    { 0x648F, "reloadtracking" },
    { 0x6490, "relocatespeed" },
    { 0x6491, "remaining_kill" },
    { 0x6492, "remote_canreload" },
    { 0x6493, "remote_mortar" },
    { 0x6494, "remote_mortar_fx" },
    { 0x6495, "remote_mortar_togglezoom" },
    { 0x6496, "remote_sniper_origin" },
    { 0x6497, "remote_sniper_return_struct" },
    { 0x6498, "remote_tank_armor_bulletdamage" },
    { 0x6499, "remote_target_override_function" },
    { 0x649A, "remote_turret_activate" },
    { 0x649B, "remote_turret_badplace" },
    { 0x649C, "remote_turret_bottom_arc" },
    { 0x649D, "remote_turret_clear_hud" },
    { 0x649E, "remote_turret_compass_lines" },
    { 0x649F, "remote_turret_compass_numbers" },
    { 0x64A0, "remote_turret_current_fov" },
    { 0x64A1, "remote_turret_current_slow_pitch" },
    { 0x64A2, "remote_turret_current_slow_yaw" },
    { 0x64A3, "remote_turret_deactivate" },
    { 0x64A4, "remote_turret_delay_fade_in" },
    { 0x64A5, "remote_turret_disable" },
    { 0x64A6, "remote_turret_enable" },
    { 0x64A7, "remote_turret_fade_in" },
    { 0x64A8, "remote_turret_firing_slow_aim_modifier" },
    { 0x64A9, "remote_turret_handle_zoom" },
    { 0x64AA, "remote_turret_hud" },
    { 0x64AB, "remote_turret_init" },
    { 0x64AC, "remote_turret_last_kill_time" },
    { 0x64AD, "remote_turret_left_arc" },
    { 0x64AE, "remote_turret_lerp_dof" },
    { 0x64AF, "remote_turret_loop" },
    { 0x64B0, "remote_turret_max_fov" },
    { 0x64B1, "remote_turret_max_slow_aim_pitch" },
    { 0x64B2, "remote_turret_max_slow_aim_yaw" },
    { 0x64B3, "remote_turret_min_fov" },
    { 0x64B4, "remote_turret_min_slow_aim_pitch" },
    { 0x64B5, "remote_turret_min_slow_aim_yaw" },
    { 0x64B6, "remote_turret_monitor_ammo" },
    { 0x64B7, "remote_turret_monitor_dryfire" },
    { 0x64B8, "remote_turret_next" },
    { 0x64B9, "remote_turret_pitch_lines_left" },
    { 0x64BA, "remote_turret_pitch_lines_mini_left" },
    { 0x64BB, "remote_turret_pitch_lines_mini_right" },
    { 0x64BC, "remote_turret_pitch_lines_right" },
    { 0x64BD, "remote_turret_pitch_numbers_left" },
    { 0x64BE, "remote_turret_pitch_numbers_right" },
    { 0x64BF, "remote_turret_right_arc" },
    { 0x64C0, "remote_turret_shot_missed" },
    { 0x64C1, "remote_turret_start_look" },
    { 0x64C2, "remote_turret_static_overlay" },
    { 0x64C3, "remote_turret_terminal_think" },
    { 0x64C4, "remote_turret_top_arc" },
    { 0x64C5, "remote_turret_trace" },
    { 0x64C6, "remote_turret_type" },
    { 0x64C7, "remote_turret_update_air_temp" },
    { 0x64C8, "remote_turret_update_compass" },
    { 0x64C9, "remote_turret_update_humidity" },
    { 0x64CA, "remote_turret_update_pitch" },
    { 0x64CB, "remote_turret_update_player_position" },
    { 0x64CC, "remote_turret_update_range" },
    { 0x64CD, "remote_turret_update_reticle" },
    { 0x64CE, "remote_turret_update_scanline" },
    { 0x64CF, "remote_turret_update_status" },
    { 0x64D0, "remote_turret_update_wind" },
    { 0x64D1, "remote_turret_update_zoom" },
    { 0x64D2, "remote_uav" },
    { 0x64D3, "remote_uav_ridelifeid" },
    { 0x64D4, "remote_vehicle_setup" },
    { 0x64D5, "remoteendride" },
    { 0x64D6, "remoteexplode" },
    { 0x64D7, "remotefiring" },
    { 0x64D8, "remoteinfo" },
    { 0x64D9, "remoteleave" },
    { 0x64DA, "remotemissile_actionslot" },
    { 0x64DB, "remotemissile_fx" },
    { 0x64DC, "remotemissiledistance" },
    { 0x64DD, "remotemissileinprogress" },
    { 0x64DE, "remotemissilelife" },
    { 0x64DF, "remoteride" },
    { 0x64E0, "remotetargeting" },
    { 0x64E1, "remoteturretlist" },
    { 0x64E2, "remoteuav" },
    { 0x64E3, "remoteuav_cantargetuav" },
    { 0x64E4, "remoteuav_cleanup" },
    { 0x64E5, "remoteuav_clear_marked_on_gameended" },
    { 0x64E6, "remoteuav_clearincomingwarning" },
    { 0x64E7, "remoteuav_clearmarkedforowner" },
    { 0x64E8, "remoteuav_clearrideintro" },
    { 0x64E9, "remoteuav_delaylaunchdialog" },
    { 0x64EA, "remoteuav_dialog" },
    { 0x64EB, "remoteuav_endride" },
    { 0x64EC, "remoteuav_explode_on_changeteams" },
    { 0x64ED, "remoteuav_explode_on_death" },
    { 0x64EE, "remoteuav_explode_on_disconnect" },
    { 0x64EF, "remoteuav_fire" },
    { 0x64F0, "remoteuav_freezebuffer" },
    { 0x64F1, "remoteuav_fx" },
    { 0x64F2, "remoteuav_handledamage" },
    { 0x64F3, "remoteuav_handleincomingsam" },
    { 0x64F4, "remoteuav_handleincomingstinger" },
    { 0x64F5, "remoteuav_in_range" },
    { 0x64F6, "remoteuav_lastdialogtime" },
    { 0x64F7, "remoteuav_leave" },
    { 0x64F8, "remoteuav_leave_on_timeout" },
    { 0x64F9, "remoteuav_light_fx" },
    { 0x64FA, "remoteuav_markplayer" },
    { 0x64FB, "remoteuav_nodeployzones" },
    { 0x64FC, "remoteuav_operationrumble" },
    { 0x64FD, "remoteuav_playerexit" },
    { 0x64FE, "remoteuav_processtaggedassist" },
    { 0x64FF, "remoteuav_rangecountdown" },
    { 0x6500, "remoteuav_ride" },
    { 0x6501, "remoteuav_rumble" },
    { 0x6502, "remoteuav_staticfade" },
    { 0x6503, "remoteuav_track" },
    { 0x6504, "remoteuav_trackentities" },
    { 0x6505, "remoteuav_unmarkremovedplayer" },
    { 0x6506, "remoteuav_watch_distance" },
    { 0x6507, "remoteuav_watchheliproximity" },
    { 0x6508, "remoteuavmarkedobjid01" },
    { 0x6509, "remoteuavmarkedobjid02" },
    { 0x650A, "remoteuavmarkedobjid03" },
    { 0x650B, "remotezoom" },
    { 0x650C, "remove_all_challenge_cases" },
    { 0x650D, "remove_all_intel" },
    { 0x650E, "remove_all_static_lines" },
    { 0x650F, "remove_all_tags" },
    { 0x6510, "remove_allies" },
    { 0x6511, "remove_ally_mk32" },
    { 0x6512, "remove_ally_tanks" },
    { 0x6513, "remove_bridge_deploy_tanks" },
    { 0x6514, "remove_care_packages_in_volume" },
    { 0x6515, "remove_color_from_array" },
    { 0x6516, "remove_corpse_loop_while_stealth_broken" },
    { 0x6517, "remove_crawled" },
    { 0x6518, "remove_damage_function" },
    { 0x6519, "remove_damagefeedback" },
    { 0x651A, "remove_dead_from_array" },
    { 0x651B, "remove_deathfx_entity_delay" },
    { 0x651C, "remove_detonator" },
    { 0x651D, "remove_drone_on_path_end" },
    { 0x651E, "remove_dyn_objects" },
    { 0x651F, "remove_ends_from_path" },
    { 0x6520, "remove_ent_objective_from_compass" },
    { 0x6521, "remove_existing_offhand_primary" },
    { 0x6522, "remove_expired_vo_from_queue" },
    { 0x6523, "remove_extra_autosave_check" },
    { 0x6524, "remove_extra_equipment" },
    { 0x6525, "remove_extra_last_stand" },
    { 0x6526, "remove_farthest_lurker" },
    { 0x6527, "remove_friendly_fire_damage_modifier" },
    { 0x6528, "remove_from_animloop" },
    { 0x6529, "remove_from_bot_damage_targets" },
    { 0x652A, "remove_from_bot_use_targets" },
    { 0x652B, "remove_from_outline_drill_watch_list" },
    { 0x652C, "remove_from_outline_hive_watch_list" },
    { 0x652D, "remove_from_outline_pillage_watch_list" },
    { 0x652E, "remove_from_outline_watch_list" },
    { 0x652F, "remove_from_outline_weapon_watch_list" },
    { 0x6530, "remove_fxlighting_object" },
    { 0x6531, "remove_global_spawn_function" },
    { 0x6532, "remove_hall_clip" },
    { 0x6533, "remove_head_icon" },
    { 0x6534, "remove_headicons_from_players" },
    { 0x6535, "remove_heroes_from_array" },
    { 0x6536, "remove_hud_text" },
    { 0x6537, "remove_if_touching" },
    { 0x6538, "remove_ignoreme_on_heros" },
    { 0x6539, "remove_intel_item" },
    { 0x653A, "remove_items_in_area" },
    { 0x653B, "remove_junk_behind_player" },
    { 0x653C, "remove_kill1_collision" },
    { 0x653D, "remove_knife_on_drop" },
    { 0x653E, "remove_level_first_frame" },
    { 0x653F, "remove_live_grenades" },
    { 0x6540, "remove_loot" },
    { 0x6541, "remove_magic_bullet_shield_from_guy_on_unload_or_death" },
    { 0x6542, "remove_name" },
    { 0x6543, "remove_nocolor_from_array" },
    { 0x6544, "remove_non_riders_from_array" },
    { 0x6545, "remove_noteworthy_from_array" },
    { 0x6546, "remove_option" },
    { 0x6547, "remove_other_gassed_nodes" },
    { 0x6548, "remove_pet_bombs_from_pillage_system" },
    { 0x6549, "remove_player_missile_control" },
    { 0x654A, "remove_player_missile_control_internal" },
    { 0x654B, "remove_random_pillage_spots" },
    { 0x654C, "remove_reflection_objects" },
    { 0x654D, "remove_remote_turret_target_on_death" },
    { 0x654E, "remove_remote_turret_targets" },
    { 0x654F, "remove_replace_on_death" },
    { 0x6550, "remove_rpgs_on_death" },
    { 0x6551, "remove_sam_target_on_death" },
    { 0x6552, "remove_script_friendnames_from_list" },
    { 0x6553, "remove_selected_option" },
    { 0x6554, "remove_slowmo_breacher" },
    { 0x6555, "remove_spawn_function" },
    { 0x6556, "remove_spawn_location" },
    { 0x6557, "remove_spawn_type" },
    { 0x6558, "remove_spawner" },
    { 0x6559, "remove_specialized_ammo" },
    { 0x655A, "remove_static_line" },
    { 0x655B, "remove_streets_ents" },
    { 0x655C, "remove_streets_to_dam_ents" },
    { 0x655D, "remove_stuff_for_animation" },
    { 0x655E, "remove_tag_on_death" },
    { 0x655F, "remove_target_on_death" },
    { 0x6560, "remove_targets_tracking_undefined" },
    { 0x6561, "remove_thrown_entity_in_area" },
    { 0x6562, "remove_unused_hives" },
    { 0x6563, "remove_used_pillage_spots" },
    { 0x6564, "remove_vehicle_spawned_thisframe" },
    { 0x6565, "remove_weapon_clip_on_notify" },
    { 0x6566, "remove_weapons" },
    { 0x6567, "remove_without_classname" },
    { 0x6568, "remove_without_model" },
    { 0x6569, "remove_world_item" },
    { 0x656A, "removeables" },
    { 0x656B, "removeac130player" },
    { 0x656C, "removeac130playeraftertime" },
    { 0x656D, "removeac130playeronchangeteams" },
    { 0x656E, "removeac130playeroncrash" },
    { 0x656F, "removeac130playerondeath" },
    { 0x6570, "removeac130playerondisconnect" },
    { 0x6571, "removeac130playerongamecleanup" },
    { 0x6572, "removeac130playerongameend" },
    { 0x6573, "removeac130playeronspectate" },
    { 0x6574, "removeactivecounteruav" },
    { 0x6575, "removeactivespawner" },
    { 0x6576, "removeactiveuav" },
    { 0x6577, "removeallfromlivescount" },
    { 0x6578, "removealtituedmesh" },
    { 0x6579, "removeatroundend" },
    { 0x657A, "removeballdrone" },
    { 0x657B, "removebodyarmorondeath" },
    { 0x657C, "removebodyarmoronmatchend" },
    { 0x657D, "removebombcarrierclass" },
    { 0x657E, "removebombzonec" },
    { 0x657F, "removeboxfromlevelarray" },
    { 0x6580, "removeburiedlightgrid" },
    { 0x6581, "removechild" },
    { 0x6582, "removecomexpbenefits" },
    { 0x6583, "removed" },
    { 0x6584, "removed_hives" },
    { 0x6585, "removedeadsentry" },
    { 0x6586, "removedestroyedchildren" },
    { 0x6587, "removedisconnectedplayerfromplacement" },
    { 0x6588, "removeentityheadicon" },
    { 0x6589, "removefromalivecount" },
    { 0x658A, "removefromballdronelistondeath" },
    { 0x658B, "removefrombattlebuddywaitlist" },
    { 0x658C, "removefromcharactersarray" },
    { 0x658D, "removefromhelilist" },
    { 0x658E, "removefromhelilistondeath" },
    { 0x658F, "removefromimslist" },
    { 0x6590, "removefromlittlebirdlistondeath" },
    { 0x6591, "removefromlivescount" },
    { 0x6592, "removefromparticipantsarray" },
    { 0x6593, "removefromsquad" },
    { 0x6594, "removefromsystem" },
    { 0x6595, "removefromtanklist" },
    { 0x6596, "removefromteamcount" },
    { 0x6597, "removefromturretlist" },
    { 0x6598, "removefromugvlist" },
    { 0x6599, "removefunc" },
    { 0x659A, "removegrenadesplash" },
    { 0x659B, "removekillstreakicons" },
    { 0x659C, "removelightarmorondeath" },
    { 0x659D, "removelightarmoronmatchend" },
    { 0x659E, "removelittlebird" },
    { 0x659F, "removelockedontarget" },
    { 0x65A0, "removelowermessage" },
    { 0x65A1, "removenotetrack" },
    { 0x65A2, "removeofficerfromsquad" },
    { 0x65A3, "removeonnextairdrop" },
    { 0x65A4, "removeoutline" },
    { 0x65A5, "removeperkhud" },
    { 0x65A6, "removeperks" },
    { 0x65A7, "removeperplayerempeffects" },
    { 0x65A8, "removepickup" },
    { 0x65A9, "removeplanefromlist" },
    { 0x65AA, "removeplayerondisconnect" },
    { 0x65AB, "removeremote" },
    { 0x65AC, "removeremoteweapon" },
    { 0x65AD, "removesafetyhealth" },
    { 0x65AE, "removeselffrom_squadlastseenenemypos" },
    { 0x65AF, "removespawnerfromcolornumberarray" },
    { 0x65B0, "removespawnmessageshortly" },
    { 0x65B1, "removespeaker" },
    { 0x65B2, "removetarget" },
    { 0x65B3, "removetargetted" },
    { 0x65B4, "removetime" },
    { 0x65B5, "removetrackingtarget" },
    { 0x65B6, "removetypefromqueue" },
    { 0x65B7, "removeuavmodel" },
    { 0x65B8, "removeuavmodelondeath" },
    { 0x65B9, "removeundefined" },
    { 0x65BA, "removeunlitlightgrid" },
    { 0x65BB, "removeuplinkfromlevellist" },
    { 0x65BC, "removeweapononoutofammo" },
    { 0x65BD, "removeweaponpickuphorde" },
    { 0x65BE, "removeweapons" },
    { 0x65BF, "repair_damage_scalar" },
    { 0x65C0, "repeat" },
    { 0x65C1, "replace_attacker_request" },
    { 0x65C2, "replace_on_death" },
    { 0x65C3, "replenish_on_pickup" },
    { 0x65C4, "replenishammo" },
    { 0x65C5, "replenishloadout" },
    { 0x65C6, "report_trigger" },
    { 0x65C7, "reportalias" },
    { 0x65C8, "request_ai_spawn" },
    { 0x65C9, "request_move" },
    { 0x65CA, "request_move_now" },
    { 0x65CB, "requestamount" },
    { 0x65CC, "requestedfloor" },
    { 0x65CD, "requestreacttobullet" },
    { 0x65CE, "requiredexitstance" },
    { 0x65CF, "requiredmapaspectratio" },
    { 0x65D0, "requires_push" },
    { 0x65D1, "requireslos" },
    { 0x65D2, "rescue_anim_struct" },
    { 0x65D3, "rescue_checkpoint" },
    { 0x65D4, "rescue_heli" },
    { 0x65D5, "rescue_scene_sfx" },
    { 0x65D6, "rescue_think" },
    { 0x65D7, "rescue_waypoint" },
    { 0x65D8, "rescueajax" },
    { 0x65D9, "rescues" },
    { 0x65DA, "reserve_node" },
    { 0x65DB, "reserve_turret" },
    { 0x65DC, "reserved" },
    { 0x65DD, "reset" },
    { 0x65DE, "reset_allies_to_defaults" },
    { 0x65DF, "reset_axis_of_selected_ents" },
    { 0x65E0, "reset_burn_on_death" },
    { 0x65E1, "reset_colors_start_guard" },
    { 0x65E2, "reset_copier" },
    { 0x65E3, "reset_default_limp" },
    { 0x65E4, "reset_end_game_score" },
    { 0x65E5, "reset_fx_hud_colors" },
    { 0x65E6, "reset_group_advance_to_enemy_timer" },
    { 0x65E7, "reset_hive_performance" },
    { 0x65E8, "reset_interrupt_vo" },
    { 0x65E9, "reset_kill_10_with_propane_progress" },
    { 0x65EA, "reset_kill_10_with_traps_progress" },
    { 0x65EB, "reset_kill_10_with_turrets_progress" },
    { 0x65EC, "reset_kill_airborne_aliens_progress" },
    { 0x65ED, "reset_laststand" },
    { 0x65EE, "reset_melee_goons_progress" },
    { 0x65EF, "reset_melee_only_progress" },
    { 0x65F0, "reset_melee_spitter_progress" },
    { 0x65F1, "reset_my_leader" },
    { 0x65F2, "reset_nuke_usage" },
    { 0x65F3, "reset_player_hive_performance" },
    { 0x65F4, "reset_player_speed" },
    { 0x65F5, "reset_player_sprint_speed_scale" },
    { 0x65F6, "reset_players_hive_score" },
    { 0x65F7, "reset_rear_elevator" },
    { 0x65F8, "reset_spend_money_progress" },
    { 0x65F9, "reset_stay_prone_progress" },
    { 0x65FA, "reset_tablet_screen" },
    { 0x65FB, "reset_team_hive_performance" },
    { 0x65FC, "reset_teleport_inuse" },
    { 0x65FD, "reset_threat_on_blocker_destroyed" },
    { 0x65FE, "reset_threat_on_death" },
    { 0x65FF, "reset_time" },
    { 0x6600, "reset_unresolved_collision_handler" },
    { 0x6601, "reset_visionset_on_disconnect" },
    { 0x6602, "reset_visionset_on_team_change" },
    { 0x6603, "resetaccuracyandpause" },
    { 0x6604, "resetadrenaline" },
    { 0x6605, "resetanimmode" },
    { 0x6606, "resetattackerlist" },
    { 0x6607, "resetbrinkofdeathkillstreakshortly" },
    { 0x6608, "resetc4explodethisframe" },
    { 0x6609, "resetcliponabort" },
    { 0x660A, "resetflagbaseeffect" },
    { 0x660B, "resetgiveuponenemytime" },
    { 0x660C, "resetjavelinlocking" },
    { 0x660D, "resetlookforbettercovertime" },
    { 0x660E, "resetmissdebouncetime" },
    { 0x660F, "resetmisstime" },
    { 0x6610, "resetnextsaytimes" },
    { 0x6611, "resetnotify" },
    { 0x6612, "resetnow" },
    { 0x6613, "resetoncancel" },
    { 0x6614, "resetondeath" },
    { 0x6615, "resetplayervariables" },
    { 0x6616, "resetrespondtodeathtime" },
    { 0x6617, "resetseekoutenemytime" },
    { 0x6618, "resetskill" },
    { 0x6619, "resetsniperaim" },
    { 0x661A, "resetstate" },
    { 0x661B, "resetstingerlocking" },
    { 0x661C, "resetstingerlockingondeath" },
    { 0x661D, "resetstreakcount" },
    { 0x661E, "resettags" },
    { 0x661F, "resetuidvarsonconnect" },
    { 0x6620, "resetuidvarsondeath" },
    { 0x6621, "resetuidvarsonspawn" },
    { 0x6622, "resetuidvarsonspectate" },
    { 0x6623, "resetusability" },
    { 0x6624, "resisthint" },
    { 0x6625, "resolve_link_yaw" },
    { 0x6626, "resource_tracking_init" },
    { 0x6627, "respawn" },
    { 0x6628, "respawn_asspectator" },
    { 0x6629, "respawn_delay" },
    { 0x662A, "respawn_friendlies_force_vision_check" },
    { 0x662B, "respawn_friendlies_without_vision_check" },
    { 0x662C, "respawn_max" },
    { 0x662D, "respawn_on_death" },
    { 0x662E, "respawn_spawner_org" },
    { 0x662F, "respawn_test" },
    { 0x6630, "respawn_test_trig_setup" },
    { 0x6631, "respawn_threshold" },
    { 0x6632, "respawn_threshold_monitor" },
    { 0x6633, "respawn_watcher" },
    { 0x6634, "respawn_with_launcher" },
    { 0x6635, "respawneliminatedplayers" },
    { 0x6636, "respawntimerstarttime" },
    { 0x6637, "responder" },
    { 0x6638, "responderclockdirection" },
    { 0x6639, "respondto" },
    { 0x663A, "respondtodeadteammate" },
    { 0x663B, "respondtodeathtime" },
    { 0x663C, "responseevent_failsafe" },
    { 0x663D, "responsegeneric" },
    { 0x663E, "responsetakingfire" },
    { 0x663F, "responsethreatcallout" },
    { 0x6640, "responsethreatexposed" },
    { 0x6641, "restart_fx_looper" },
    { 0x6642, "restart_loop_near_enemy" },
    { 0x6643, "restarteffect" },
    { 0x6644, "restartexploder" },
    { 0x6645, "restartmoveloop" },
    { 0x6646, "restockammoaura" },
    { 0x6647, "restockownerammo" },
    { 0x6648, "restocktrophy" },
    { 0x6649, "restore_after_deathsdoor" },
    { 0x664A, "restore_all_perks" },
    { 0x664B, "restore_attack_flag_on_death" },
    { 0x664C, "restore_footstep_notetrack_scripts" },
    { 0x664D, "restore_grenade_weapons" },
    { 0x664E, "restore_ignore_setting" },
    { 0x664F, "restore_ignoreme" },
    { 0x6650, "restore_last_valid_weapon" },
    { 0x6651, "restore_last_weapon" },
    { 0x6652, "restore_playback_on_stairs_end" },
    { 0x6653, "restore_players_weapons" },
    { 0x6654, "restore_prebreach_weapons" },
    { 0x6655, "restore_water_footsteps" },
    { 0x6656, "restore_weapons_no_first_raise" },
    { 0x6657, "restore_weapons_status" },
    { 0x6658, "restoreangles" },
    { 0x6659, "restorebasevisionset" },
    { 0x665A, "restoredata" },
    { 0x665B, "restoredefaultpitch" },
    { 0x665C, "restoredefaults" },
    { 0x665D, "restoreperk" },
    { 0x665E, "restoreperks" },
    { 0x665F, "restorepitch" },
    { 0x6660, "restoreplayercontrols" },
    { 0x6661, "restoreplayerweaponstatepersistent" },
    { 0x6662, "restorevision" },
    { 0x6663, "restorevision_no_blur" },
    { 0x6664, "restorevisionset" },
    { 0x6665, "restoreweapon" },
    { 0x6666, "restoreweaponclipammo" },
    { 0x6667, "restoreweapons" },
    { 0x6668, "restoreweaponstockammo" },
    { 0x6669, "resumetimer" },
    { 0x666A, "retain_alert_level" },
    { 0x666B, "retarget_breach_water" },
    { 0x666C, "retarget_engines" },
    { 0x666D, "retarget_rig" },
    { 0x666E, "retreat_artemis" },
    { 0x666F, "retreat_dam_harassers" },
    { 0x6670, "retreat_final" },
    { 0x6671, "retreat_from_vol_to_vol" },
    { 0x6672, "retreat_hovercraft" },
    { 0x6673, "retreat_proc" },
    { 0x6674, "retreat_spawn_functions" },
    { 0x6675, "retreat_to_elevator_room" },
    { 0x6676, "retreat_vol" },
    { 0x6677, "retreat_watcher" },
    { 0x6678, "retrieve_interrupt_vo" },
    { 0x6679, "retrieve_vo_from_queue" },
    { 0x667A, "return_after_time" },
    { 0x667B, "return_base_weapon_name" },
    { 0x667C, "return_collision_model" },
    { 0x667D, "return_fail_los" },
    { 0x667E, "return_false" },
    { 0x667F, "return_hud" },
    { 0x6680, "return_on_movement" },
    { 0x6681, "return_on_velocity" },
    { 0x6682, "return_point_in_circle" },
    { 0x6683, "return_random_spot_in_circle" },
    { 0x6684, "return_struct_spline" },
    { 0x6685, "return_triggerer" },
    { 0x6686, "returnhome" },
    { 0x6687, "returnplayer" },
    { 0x6688, "returns" },
    { 0x6689, "returntocover" },
    { 0x668A, "returntrue" },
    { 0x668B, "revenge" },
    { 0x668C, "revengeparams" },
    { 0x668D, "reverb" },
    { 0x668E, "reverb_settings" },
    { 0x668F, "reverse_node" },
    { 0x6690, "reversegraphid" },
    { 0x6691, "revert_runoverrideanim" },
    { 0x6692, "revertvisionset" },
    { 0x6693, "revive_damage_scalar" },
    { 0x6694, "revive_player" },
    { 0x6695, "revive_time_scalar" },
    { 0x6696, "revive_use_hold_think" },
    { 0x6697, "revive_watch_for_finished" },
    { 0x6698, "revived" },
    { 0x6699, "revivesetup" },
    { 0x669A, "revivetriggerthink" },
    { 0x669B, "revivetriggerthinkhorde" },
    { 0x669C, "reward" },
    { 0x669D, "reward_pool" },
    { 0x669E, "rewardfunc" },
    { 0x669F, "ride_dog_bark" },
    { 0x66A0, "ride_init" },
    { 0x66A1, "ride_main" },
    { 0x66A2, "ride_start" },
    { 0x66A3, "ridegunner" },
    { 0x66A4, "rider_attack" },
    { 0x66A5, "rider_attack_check" },
    { 0x66A6, "rider_death_detection" },
    { 0x66A7, "rider_func" },
    { 0x66A8, "riders" },
    { 0x66A9, "riders_unloadable" },
    { 0x66AA, "riding_heli" },
    { 0x66AB, "riding_vehicle" },
    { 0x66AC, "ridingvehicle" },
    { 0x66AD, "rifle" },
    { 0x66AE, "rifleshoot" },
    { 0x66AF, "rifleshootobjectiveambush" },
    { 0x66B0, "rifleshootobjectivenormal" },
    { 0x66B1, "rifleshootobjectivesuppress" },
    { 0x66B2, "rig" },
    { 0x66B3, "rig_animtree" },
    { 0x66B4, "rig_fx" },
    { 0x66B5, "rig_model" },
    { 0x66B6, "rig_numtags" },
    { 0x66B7, "right_arc" },
    { 0x66B8, "right_direction_worldspace" },
    { 0x66B9, "right_ent" },
    { 0x66BA, "right_jerk" },
    { 0x66BB, "right_meeting_guys" },
    { 0x66BC, "right_meeting_guys_logic" },
    { 0x66BD, "right_missile_target" },
    { 0x66BE, "right_move_strength" },
    { 0x66BF, "right_offset" },
    { 0x66C0, "right_post" },
    { 0x66C1, "right_velocity" },
    { 0x66C2, "right_weight" },
    { 0x66C3, "rigmodel_anims" },
    { 0x66C4, "rigmodel_pauseend" },
    { 0x66C5, "rigmodel_pausestart" },
    { 0x66C6, "riing_fx" },
    { 0x66C7, "riley" },
    { 0x66C8, "riley_animation" },
    { 0x66C9, "ring" },
    { 0x66CA, "ring_ent" },
    { 0x66CB, "ring_fx" },
    { 0x66CC, "ring_interval" },
    { 0x66CD, "rings" },
    { 0x66CE, "rings_isspread" },
    { 0x66CF, "ringvertoffset" },
    { 0x66D0, "riotshield_attach" },
    { 0x66D1, "riotshield_clear" },
    { 0x66D2, "riotshield_detach" },
    { 0x66D3, "riotshield_getmodel" },
    { 0x66D4, "riotshield_hastwo" },
    { 0x66D5, "riotshield_hasweapon" },
    { 0x66D6, "riotshield_lock_orientation" },
    { 0x66D7, "riotshield_move" },
    { 0x66D8, "riotshield_unlock_orientation" },
    { 0x66D9, "riotshieldammo" },
    { 0x66DA, "riotshieldammotracker" },
    { 0x66DB, "riotshieldmod" },
    { 0x66DC, "riotshieldmodel" },
    { 0x66DD, "riotshieldmodelstowed" },
    { 0x66DE, "riotshieldname" },
    { 0x66DF, "riotshieldxpbullets" },
    { 0x66E0, "rip_left_wing_off" },
    { 0x66E1, "rip_tail_off" },
    { 0x66E2, "riserate" },
    { 0x66E3, "river_apache" },
    { 0x66E4, "river_drones" },
    { 0x66E5, "rndpitchmax" },
    { 0x66E6, "rndrollhmax" },
    { 0x66E7, "ro_index" },
    { 0x66E8, "road_width" },
    { 0x66E9, "robot_arm" },
    { 0x66EA, "robot_arm_get_scaled_position" },
    { 0x66EB, "rock_idle" },
    { 0x66EC, "rock_radio" },
    { 0x66ED, "rock_slide_damage_watch" },
    { 0x66EE, "rock_slide_run" },
    { 0x66EF, "rock_slides" },
    { 0x66F0, "rock_slides_init" },
    { 0x66F1, "rock_slides_precache" },
    { 0x66F2, "rocket_cleanupondeath" },
    { 0x66F3, "rocket_delete" },
    { 0x66F4, "rocket_destroyed_for_achievement" },
    { 0x66F5, "rocketlauncherammo" },
    { 0x66F6, "rocketmodelname" },
    { 0x66F7, "rockets" },
    { 0x66F8, "rocketvisible" },
    { 0x66F9, "rocking_mag" },
    { 0x66FA, "rocks" },
    { 0x66FB, "rod_firing_sfx" },
    { 0x66FC, "rod_of_god_carrier" },
    { 0x66FD, "rod_of_god_carrier_front" },
    { 0x66FE, "rod_of_god_victory" },
    { 0x66FF, "rog" },
    { 0x6700, "rog_achievement_check" },
    { 0x6701, "rog_active_visibilty_volume" },
    { 0x6702, "rog_add_hud_element_on_target" },
    { 0x6703, "rog_adjust_aoe_target_height" },
    { 0x6704, "rog_adjust_firing_position" },
    { 0x6705, "rog_airstrike" },
    { 0x6706, "rog_alt_ui_fill_alpha" },
    { 0x6707, "rog_alt_ui_pip_end" },
    { 0x6708, "rog_alt_ui_pip_start" },
    { 0x6709, "rog_altimeter_delta" },
    { 0x670A, "rog_altimeter_end_value" },
    { 0x670B, "rog_altimeter_game_world_delta" },
    { 0x670C, "rog_altimeter_hud_logic" },
    { 0x670D, "rog_altimeter_logic_loop" },
    { 0x670E, "rog_altimeter_start_value" },
    { 0x670F, "rog_altimeter_ui_dynamic" },
    { 0x6710, "rog_ambiant_battle_chatter" },
    { 0x6711, "rog_ammo_animate_depleted_round" },
    { 0x6712, "rog_ammo_counter_hud_logic" },
    { 0x6713, "rog_ammo_ui" },
    { 0x6714, "rog_aoe_hide_reticle" },
    { 0x6715, "rog_aoe_reticle" },
    { 0x6716, "rog_aoe_reticle_visibility_logic" },
    { 0x6717, "rog_aoe_show_reticle" },
    { 0x6718, "rog_attach_to_firing_position" },
    { 0x6719, "rog_blast_markers" },
    { 0x671A, "rog_building_collapse" },
    { 0x671B, "rog_cam_fx" },
    { 0x671C, "rog_card_swap" },
    { 0x671D, "rog_check_done" },
    { 0x671E, "rog_check_early_out" },
    { 0x671F, "rog_check_friendly_fire" },
    { 0x6720, "rog_check_pass_fail" },
    { 0x6721, "rog_check_progress" },
    { 0x6722, "rog_cleanup" },
    { 0x6723, "rog_cleanup_altimeter_hud" },
    { 0x6724, "rog_cleanup_ammo_counter_hud" },
    { 0x6725, "rog_cleanup_static_hud" },
    { 0x6726, "rog_cleanup_temp_hud" },
    { 0x6727, "rog_cleanup_zoom_hud" },
    { 0x6728, "rog_current_lookat_node_index" },
    { 0x6729, "rog_decrement_active_strikes" },
    { 0x672A, "rog_display_hint_strings" },
    { 0x672B, "rog_effects" },
    { 0x672C, "rog_exit" },
    { 0x672D, "rog_explosion_fx" },
    { 0x672E, "rog_explosion_grow_time" },
    { 0x672F, "rog_explosion_radius" },
    { 0x6730, "rog_fail_wrapper" },
    { 0x6731, "rog_ff_fail" },
    { 0x6732, "rog_fire_at_off_axis_target" },
    { 0x6733, "rog_fire_single_new" },
    { 0x6734, "rog_fired_targ" },
    { 0x6735, "rog_firing_back_thrusters" },
    { 0x6736, "rog_firing_fx_at_player" },
    { 0x6737, "rog_flash" },
    { 0x6738, "rog_full_sequence_max_time" },
    { 0x6739, "rog_fx_delay" },
    { 0x673A, "rog_get_next_target_marker" },
    { 0x673B, "rog_getcirclepoints" },
    { 0x673C, "rog_hide_target_marker" },
    { 0x673D, "rog_hit_radiate_ground_shockwave" },
    { 0x673E, "rog_hits" },
    { 0x673F, "rog_hits_far" },
    { 0x6740, "rog_hits_solo" },
    { 0x6741, "rog_hits_solo_far" },
    { 0x6742, "rog_hud" },
    { 0x6743, "rog_hud_fade_out" },
    { 0x6744, "rog_hud_logic_reset" },
    { 0x6745, "rog_impact_danger_close_check" },
    { 0x6746, "rog_in_flight" },
    { 0x6747, "rog_incoming" },
    { 0x6748, "rog_increment_active_strikes" },
    { 0x6749, "rog_init" },
    { 0x674A, "rog_kill_helicopter" },
    { 0x674B, "rog_kill_jet" },
    { 0x674C, "rog_kill_jet_even_more" },
    { 0x674D, "rog_logic" },
    { 0x674E, "rog_max_waypoints" },
    { 0x674F, "rog_mechanics" },
    { 0x6750, "rog_missile_fx_trail" },
    { 0x6751, "rog_mission_dialogue" },
    { 0x6752, "rog_move_aoe_target" },
    { 0x6753, "rog_num_enemy_targets_killed" },
    { 0x6754, "rog_pass_fail" },
    { 0x6755, "rog_play_countdown_beeps" },
    { 0x6756, "rog_ready_audio" },
    { 0x6757, "rog_rechamber_logic" },
    { 0x6758, "rog_reticle_hieght" },
    { 0x6759, "rog_reveal_audio" },
    { 0x675A, "rog_running_cleanup" },
    { 0x675B, "rog_scriptable_radius_damage" },
    { 0x675C, "rog_scriptables" },
    { 0x675D, "rog_section" },
    { 0x675E, "rog_setup_altimeter_hud" },
    { 0x675F, "rog_setup_ammo_counter_hud" },
    { 0x6760, "rog_setup_static_hud" },
    { 0x6761, "rog_setup_structures" },
    { 0x6762, "rog_setup_temp_hud" },
    { 0x6763, "rog_setup_zoom_hud" },
    { 0x6764, "rog_shockwave" },
    { 0x6765, "rog_show_target_marker" },
    { 0x6766, "rog_single_acceleration" },
    { 0x6767, "rog_single_velocity_max" },
    { 0x6768, "rog_spawn_and_move" },
    { 0x6769, "rog_spawn_and_move_friendly" },
    { 0x676A, "rog_start" },
    { 0x676B, "rog_static_hud_logic" },
    { 0x676C, "rog_static_ui" },
    { 0x676D, "rog_stop_countdown_beebs" },
    { 0x676E, "rog_strike_active" },
    { 0x676F, "rog_strikes" },
    { 0x6770, "rog_structure_destruction" },
    { 0x6771, "rog_structures" },
    { 0x6772, "rog_tag_train" },
    { 0x6773, "rog_target_add_hud_element" },
    { 0x6774, "rog_target_cleaned_up_by_allies" },
    { 0x6775, "rog_target_cleanup" },
    { 0x6776, "rog_target_create_model_logic" },
    { 0x6777, "rog_target_deathtimer" },
    { 0x6778, "rog_target_firing_logic" },
    { 0x6779, "rog_target_get_thrown" },
    { 0x677A, "rog_target_handle_enemy_fire" },
    { 0x677B, "rog_target_handle_explosions" },
    { 0x677C, "rog_target_handle_rod_impact" },
    { 0x677D, "rog_target_hud_logic" },
    { 0x677E, "rog_target_interupt_path" },
    { 0x677F, "rog_target_launch_missile" },
    { 0x6780, "rog_target_marker_blink" },
    { 0x6781, "rog_target_models" },
    { 0x6782, "rog_target_move_along_path" },
    { 0x6783, "rog_target_normal_death" },
    { 0x6784, "rog_target_overkill_death" },
    { 0x6785, "rog_target_remove_hud_element" },
    { 0x6786, "rog_target_spawn_logic" },
    { 0x6787, "rog_target_update_firing_position" },
    { 0x6788, "rog_target_vehicle_tracking" },
    { 0x6789, "rog_targeting_logic" },
    { 0x678A, "rog_targeting_pip" },
    { 0x678B, "rog_temp_hud_logic" },
    { 0x678C, "rog_temp_text" },
    { 0x678D, "rog_temp_ui" },
    { 0x678E, "rog_train" },
    { 0x678F, "rog_uav_camera_logic" },
    { 0x6790, "rog_uav_camera_move_audio" },
    { 0x6791, "rog_uav_clamp_logic" },
    { 0x6792, "rog_uav_explosion_effects" },
    { 0x6793, "rog_uav_initial_blur" },
    { 0x6794, "rog_uav_lookat_pos" },
    { 0x6795, "rog_uav_update_lookat" },
    { 0x6796, "rog_update_visibility_volume" },
    { 0x6797, "rog_update_visibility_volume_empty" },
    { 0x6798, "rog_update_visibility_volume_on_notify" },
    { 0x6799, "rog_visibility_volume_index" },
    { 0x679A, "rog_vision_fade_out" },
    { 0x679B, "rog_vision_set" },
    { 0x679C, "rog_vo_section_a" },
    { 0x679D, "rog_vo_section_b" },
    { 0x679E, "rog_vo_section_c" },
    { 0x679F, "rog_zoom_hud_logic" },
    { 0x67A0, "rog_zoom_ui" },
    { 0x67A1, "rog_zoom_ui_pip_0" },
    { 0x67A2, "rog_zoom_ui_pip_1" },
    { 0x67A3, "roll" },
    { 0x67A4, "roll_current" },
    { 0x67A5, "roll_diff" },
    { 0x67A6, "roll_end_crossfade" },
    { 0x67A7, "roll_max" },
    { 0x67A8, "roll_max_roll" },
    { 0x67A9, "roll_mult" },
    { 0x67AA, "roll_other_mult" },
    { 0x67AB, "roll_speed_max" },
    { 0x67AC, "roll_start_crossfade" },
    { 0x67AD, "rollingdeath" },
    { 0x67AE, "ronnie_knife_watcher" },
    { 0x67AF, "ronnie_talks" },
    { 0x67B0, "roof_guy" },
    { 0x67B1, "roof_guy_logic" },
    { 0x67B2, "roof_stealth" },
    { 0x67B3, "roof_stealth_cleanup" },
    { 0x67B4, "roof_stealth_create_enemies" },
    { 0x67B5, "roof_stealth_enemy_debris" },
    { 0x67B6, "roof_stealth_enemy_flashlight" },
    { 0x67B7, "roof_stealth_enemy_spawn_func" },
    { 0x67B8, "roof_stealth_start" },
    { 0x67B9, "roofcollapse_retreat" },
    { 0x67BA, "rooftop1_generic_human" },
    { 0x67BB, "rooftop2_generic_human" },
    { 0x67BC, "rooftop_01_misc_fx" },
    { 0x67BD, "rooftop_ally_temp" },
    { 0x67BE, "rooftop_collapse_crumble_01_sfx" },
    { 0x67BF, "rooftop_collapse_end_build_sfx" },
    { 0x67C0, "rooftop_collapse_sfx" },
    { 0x67C1, "rooftop_door_outdoor" },
    { 0x67C2, "rooftop_enemy_exfil_logic" },
    { 0x67C3, "rooftop_enemy_runner_logic" },
    { 0x67C4, "rooftop_heli" },
    { 0x67C5, "rooftop_heli_opfor" },
    { 0x67C6, "rooftop_jumpcheck" },
    { 0x67C7, "rooftop_jumpfail" },
    { 0x67C8, "rooftop_outro_props" },
    { 0x67C9, "rooftop_runner_force_gunfire" },
    { 0x67CA, "rooftop_water" },
    { 0x67CB, "rooftop_water_start" },
    { 0x67CC, "rooftop_water_to_debrisbridge_transition" },
    { 0x67CD, "rooftops" },
    { 0x67CE, "rooftops_ally_advance_to_roof" },
    { 0x67CF, "rooftops_ally_cqb_to_first_node" },
    { 0x67D0, "rooftops_ally_holdup" },
    { 0x67D1, "rooftops_ally_holdup_interrupt" },
    { 0x67D2, "rooftops_cleanup_jumpto" },
    { 0x67D3, "rooftops_cleanup_post_debrisbridge" },
    { 0x67D4, "rooftops_cleanup_post_debrisbridge_dropdown" },
    { 0x67D5, "rooftops_cleanup_post_skybridge" },
    { 0x67D6, "rooftops_cleanup_post_walkway" },
    { 0x67D7, "rooftops_cleanup_post_wallkick" },
    { 0x67D8, "rooftops_encounter_a" },
    { 0x67D9, "rooftops_encounter_a_ally_cleanup_logic" },
    { 0x67DA, "rooftops_encounter_a_ally_crouch_walk_to_cover" },
    { 0x67DB, "rooftops_encounter_a_ally_reveal_logic" },
    { 0x67DC, "rooftops_encounter_a_ally_vo" },
    { 0x67DD, "rooftops_encounter_a_ally_vo_holdup" },
    { 0x67DE, "rooftops_encounter_a_ally_vo_runners" },
    { 0x67DF, "rooftops_encounter_a_enemy_logic" },
    { 0x67E0, "rooftops_encounter_a_outro" },
    { 0x67E1, "rooftops_encounter_a_runners_escape_vo" },
    { 0x67E2, "rooftops_encounter_a_runners_vo" },
    { 0x67E3, "rooftops_encounter_b" },
    { 0x67E4, "rooftops_encounter_b_ally_end_vo" },
    { 0x67E5, "rooftops_encounter_b_ally_logic" },
    { 0x67E6, "rooftops_encounter_b_ally_use_water_correctly" },
    { 0x67E7, "rooftops_encounter_b_ally_vo" },
    { 0x67E8, "rooftops_encounter_b_enemy_movement_logic" },
    { 0x67E9, "rooftops_encounter_b_enemy_vo" },
    { 0x67EA, "rooftops_encounter_b_flank_vo" },
    { 0x67EB, "rooftops_encounter_b_force_clear" },
    { 0x67EC, "rooftops_encounter_b_handle_defensive" },
    { 0x67ED, "rooftops_encounter_b_handle_turtling" },
    { 0x67EE, "rooftops_encounter_b_outro" },
    { 0x67EF, "rooftops_encounter_b_waittill_flankers_dead" },
    { 0x67F0, "rooftops_encounter_b_water_vo" },
    { 0x67F1, "rooftops_encounters_ally_logic" },
    { 0x67F2, "rooftops_encounters_logic" },
    { 0x67F3, "rooftops_encounters_player_logic" },
    { 0x67F4, "rooftops_enemy_aggresive_logic" },
    { 0x67F5, "rooftops_enemy_alert_rest" },
    { 0x67F6, "rooftops_enemy_combat_logic" },
    { 0x67F7, "rooftops_enemy_exfil_setup_heli" },
    { 0x67F8, "rooftops_enemy_exfil_spawn" },
    { 0x67F9, "rooftops_enemy_exfil_spawn_actors" },
    { 0x67FA, "rooftops_exfil_anim_guys" },
    { 0x67FB, "rooftops_exterior_waittill_encounter_trigger" },
    { 0x67FC, "rooftops_final_heli_idle_lp" },
    { 0x67FD, "rooftops_heli_engine_lp" },
    { 0x67FE, "rooftops_heli_flyaway" },
    { 0x67FF, "rooftops_heli_logic" },
    { 0x6800, "rooftops_heli_ropeladder_cleanup" },
    { 0x6801, "rooftops_interior_player_start_combat_trigger" },
    { 0x6802, "rooftops_interior_start_combat_soft_sight_line" },
    { 0x6803, "rooftops_interior_start_combat_solid_sight_line" },
    { 0x6804, "rooftops_long_jump" },
    { 0x6805, "rooftops_mix_heli_down" },
    { 0x6806, "rooftops_outro_remove_blocker" },
    { 0x6807, "rooftops_outro_scene_setup" },
    { 0x6808, "rooftops_outro_scene_spawn" },
    { 0x6809, "rooftops_outro_setup_blocker" },
    { 0x680A, "rooftops_player_spotted_vo" },
    { 0x680B, "rooftops_player_start_combat_attack" },
    { 0x680C, "rooftops_runner" },
    { 0x680D, "rooftops_script_models" },
    { 0x680E, "rooftops_shoot_around_actor" },
    { 0x680F, "rooftops_stairwell_wind" },
    { 0x6810, "rooftops_start" },
    { 0x6811, "rooftops_to_rooftops_water_transition" },
    { 0x6812, "rooftops_traversal_01_spawn" },
    { 0x6813, "rooftops_traversal_02" },
    { 0x6814, "rooftops_traversal_02_spawn" },
    { 0x6815, "rooftops_traversal_03" },
    { 0x6816, "rooftops_traversal_03_spawn" },
    { 0x6817, "rooftops_water_ally_presence" },
    { 0x6818, "rooftops_water_enemy_heli_logic" },
    { 0x6819, "rooftops_water_enemy_logic" },
    { 0x681A, "rooftops_water_enter_combat_space" },
    { 0x681B, "rooftops_water_enter_combat_space_play_effects" },
    { 0x681C, "rooftops_water_heli" },
    { 0x681D, "rooftops_water_heli_damage_logic" },
    { 0x681E, "rooftops_water_heli_engine_lp" },
    { 0x681F, "rooftops_water_heli_exit_logic" },
    { 0x6820, "rooftops_water_heli_movement_logic" },
    { 0x6821, "rooftops_water_intro" },
    { 0x6822, "rooftops_water_intro_flare_actor_cleanup" },
    { 0x6823, "rooftops_water_intro_flare_scene" },
    { 0x6824, "rooftops_water_intro_flare_setup" },
    { 0x6825, "rooftops_water_intro_spawn_actors" },
    { 0x6826, "rooftops_water_intro_truck_scene" },
    { 0x6827, "rooftops_water_long_jump_spawn" },
    { 0x6828, "rooftops_water_opfor" },
    { 0x6829, "rooftops_water_player_ignoreme_logic" },
    { 0x682A, "rooftops_water_player_logic" },
    { 0x682B, "rooftops_water_reveal_grab_gun" },
    { 0x682C, "rooftops_water_reveal_logic" },
    { 0x682D, "rooftops_water_reveal_shoot" },
    { 0x682E, "rooftops_water_set_advancing_state" },
    { 0x682F, "rooftops_water_splash" },
    { 0x6830, "rooftops_water_truck_actor_setup" },
    { 0x6831, "rooftops_water_truck_intro_weapon_cleanup" },
    { 0x6832, "room_has_multiple_doors" },
    { 0x6833, "room_volume" },
    { 0x6834, "root_anim" },
    { 0x6835, "rootsofcubic" },
    { 0x6836, "rootsofquadratic" },
    { 0x6837, "rope" },
    { 0x6838, "rope_angles" },
    { 0x6839, "rope_cut_death" },
    { 0x683A, "rope_detach" },
    { 0x683B, "rope_main_org" },
    { 0x683C, "rope_melee" },
    { 0x683D, "rope_melee_enemy_anim" },
    { 0x683E, "rope_origin" },
    { 0x683F, "rope_prop" },
    { 0x6840, "rope_prop_anim" },
    { 0x6841, "rope_sound" },
    { 0x6842, "rope_start_rot" },
    { 0x6843, "rope_think" },
    { 0x6844, "rope_unwind_anim" },
    { 0x6845, "rope_unwind_length" },
    { 0x6846, "ropes" },
    { 0x6847, "rorke" },
    { 0x6848, "rorke_and_combat_rappel_rope" },
    { 0x6849, "rorke_approach_footsteps" },
    { 0x684A, "rorke_building_entry_movement" },
    { 0x684B, "rorke_exit_to_inverted_rope" },
    { 0x684C, "rorke_footstep_wait" },
    { 0x684D, "rorke_glass_cutter" },
    { 0x684E, "rorke_glass_start_org" },
    { 0x684F, "rorke_hand_bubbles" },
    { 0x6850, "rorke_heli" },
    { 0x6851, "rorke_inverted_kill" },
    { 0x6852, "rorke_inverted_kill_enemy" },
    { 0x6853, "rorke_inverted_kill_knife" },
    { 0x6854, "rorke_inverted_kill_knife_putaway" },
    { 0x6855, "rorke_jump_vision_change" },
    { 0x6856, "rorke_knife" },
    { 0x6857, "rorke_look_ticker" },
    { 0x6858, "rorke_move_to_building_entry" },
    { 0x6859, "rorke_move_to_glass_position" },
    { 0x685A, "rorke_rappel_hookup" },
    { 0x685B, "rorke_react_to_stealth_break" },
    { 0x685C, "rorke_shadow_kill" },
    { 0x685D, "rorke_shadow_kill_vo" },
    { 0x685E, "rorke_start_shadowkill" },
    { 0x685F, "rorke_swap_head_to_mask" },
    { 0x6860, "rorke_take_down" },
    { 0x6861, "rotate90aroundaxis" },
    { 0x6862, "rotate_barrier_when_near_tank" },
    { 0x6863, "rotate_big_sat" },
    { 0x6864, "rotate_checkpoint_concrete_barrier_when_near_m880" },
    { 0x6865, "rotate_checkpoint_gate_when_near_m880" },
    { 0x6866, "rotate_control_room_top" },
    { 0x6867, "rotate_door_to_struct_ref" },
    { 0x6868, "rotate_engine" },
    { 0x6869, "rotate_fan_on_engine" },
    { 0x686A, "rotate_helicopter_rotor" },
    { 0x686B, "rotate_intel" },
    { 0x686C, "rotate_over_time" },
    { 0x686D, "rotate_plane" },
    { 0x686E, "rotate_radar" },
    { 0x686F, "rotate_rollers_to" },
    { 0x6870, "rotate_secondary_player_enemy" },
    { 0x6871, "rotate_skydome" },
    { 0x6872, "rotate_turbine" },
    { 0x6873, "rotate_vector" },
    { 0x6874, "rotateangles" },
    { 0x6875, "rotatedirection" },
    { 0x6876, "rotatedyaw" },
    { 0x6877, "rotatefan" },
    { 0x6878, "rotatelights" },
    { 0x6879, "rotateme" },
    { 0x687A, "rotateobject" },
    { 0x687B, "rotateplane" },
    { 0x687C, "rotatetoangle" },
    { 0x687D, "rotateuavrig" },
    { 0x687E, "rotating_turbines" },
    { 0x687F, "rotating_windows" },
    { 0x6880, "rotating_windows_init" },
    { 0x6881, "rotating_windows_run" },
    { 0x6882, "rotation_is_occuring" },
    { 0x6883, "rotation_reset" },
    { 0x6884, "rotationperiod" },
    { 0x6885, "rotationspeed" },
    { 0x6886, "rotor_anim" },
    { 0x6887, "rotunda_kill" },
    { 0x6888, "rotunda_kill_gun_sync" },
    { 0x6889, "rotunda_knife" },
    { 0x688A, "rotunda_knife_stab" },
    { 0x688B, "round_end_fraction" },
    { 0x688C, "round_float" },
    { 0x688D, "round_millisec_on_sec" },
    { 0x688E, "round_num" },
    { 0x688F, "round_start_fraction" },
    { 0x6890, "round_to" },
    { 0x6891, "round_up_to_nearest_ten" },
    { 0x6892, "roundbegin" },
    { 0x6893, "rounddecimalplaces" },
    { 0x6894, "roundend" },
    { 0x6895, "roundenddelay" },
    { 0x6896, "roundenddof" },
    { 0x6897, "roundendwait" },
    { 0x6898, "roundrobin" },
    { 0x6899, "roundswitch" },
    { 0x689A, "roundswitchdvar" },
    { 0x689B, "roundswitchmax" },
    { 0x689C, "roundswitchmin" },
    { 0x689D, "roundup" },
    { 0x689E, "roundwinnerdialog" },
    { 0x689F, "row" },
    { 0x68A0, "rpg_ai_attack" },
    { 0x68A1, "rpg_ai_attack_clear_no_shoot" },
    { 0x68A2, "rpg_ai_get_ready_array" },
    { 0x68A3, "rpg_ai_in_position" },
    { 0x68A4, "rpg_ai_pick_shooter" },
    { 0x68A5, "rpg_ai_record_ready" },
    { 0x68A6, "rpg_ambush_guys" },
    { 0x68A7, "rpg_ambushers" },
    { 0x68A8, "rpg_crash" },
    { 0x68A9, "rpg_fx_explosion" },
    { 0x68AA, "rpg_fx_model" },
    { 0x68AB, "rpg_guy_shoot_flyin_choopers" },
    { 0x68AC, "rpg_guy_wait_and_fire_at_target" },
    { 0x68AD, "rpg_kibble" },
    { 0x68AE, "rpg_ord" },
    { 0x68AF, "rpg_org" },
    { 0x68B0, "rpg_vo_react" },
    { 0x68B1, "rpgdeath" },
    { 0x68B2, "rpgfx" },
    { 0x68B3, "rpgplayerrepulsor" },
    { 0x68B4, "rpgplayerrepulsor_create" },
    { 0x68B5, "rpgplayerrepulsor_getnummisses" },
    { 0x68B6, "rpgshoot" },
    { 0x68B7, "rpl" },
    { 0x68B8, "rpl_calc_dist_player_to_top" },
    { 0x68B9, "rpl_calc_max_rot_speed" },
    { 0x68BA, "rpl_calc_max_yaw_left" },
    { 0x68BB, "rpl_calc_max_yaw_right" },
    { 0x68BC, "rpl_get_garden_entry_arms_static_anim" },
    { 0x68BD, "rpl_get_garden_entry_legs_static_anim" },
    { 0x68BE, "rpl_get_idle_anim" },
    { 0x68BF, "rpl_get_jump_percent_considered_complete" },
    { 0x68C0, "rpl_get_legs_idle_anim" },
    { 0x68C1, "rpl_get_legs_jump_anim" },
    { 0x68C2, "rpl_get_max_downward_speed" },
    { 0x68C3, "rpl_get_max_lateral_speed" },
    { 0x68C4, "rpl_get_max_upward_speed" },
    { 0x68C5, "rpl_get_rotate_jump_anim" },
    { 0x68C6, "rpl_get_run_loop_anim" },
    { 0x68C7, "rpl_get_run_stop_anim" },
    { 0x68C8, "rpl_get_state_anim" },
    { 0x68C9, "rpl_get_walk_loop_anim" },
    { 0x68CA, "rpl_get_walk_start_anim" },
    { 0x68CB, "rpl_get_walk_stop_anim" },
    { 0x68CC, "rpl_jump_anim_origin" },
    { 0x68CD, "rpl_legs_changed_directions" },
    { 0x68CE, "rpl_legs_clear_all_idle_anims" },
    { 0x68CF, "rpl_legs_clear_all_move_anims" },
    { 0x68D0, "rpl_legs_clear_anim" },
    { 0x68D1, "rpl_legs_clear_unused_anims" },
    { 0x68D2, "rpl_legs_get_anim_type" },
    { 0x68D3, "rpl_legs_get_animation_rate" },
    { 0x68D4, "rpl_legs_get_blend_time" },
    { 0x68D5, "rpl_legs_get_clear_blend_time" },
    { 0x68D6, "rpl_legs_get_direction_weights" },
    { 0x68D7, "rpl_legs_get_idle_anim" },
    { 0x68D8, "rpl_legs_get_move_directions" },
    { 0x68D9, "rpl_legs_get_parent_node_move" },
    { 0x68DA, "rpl_legs_get_previous_move_directions" },
    { 0x68DB, "rpl_legs_get_start_move_direction" },
    { 0x68DC, "rpl_legs_get_stop_move_direction" },
    { 0x68DD, "rpl_legs_is_idle_ready" },
    { 0x68DE, "rpl_legs_is_loop_state_changing_direction" },
    { 0x68DF, "rpl_legs_is_start_anim_ready_to_blend_out_loops" },
    { 0x68E0, "rpl_legs_is_start_state_complete" },
    { 0x68E1, "rpl_legs_is_state_direction_anim_complete" },
    { 0x68E2, "rpl_legs_is_stop_state_complete" },
    { 0x68E3, "rpl_legs_process_state" },
    { 0x68E4, "rpl_legs_set_anim" },
    { 0x68E5, "rpl_legs_set_anim_move_strength" },
    { 0x68E6, "rpl_legs_set_idle" },
    { 0x68E7, "rpl_legs_should_use_run_loop" },
    { 0x68E8, "rpl_legs_traveling_horizontal" },
    { 0x68E9, "rpl_physical_rope_anim_origin" },
    { 0x68EA, "rpl_physical_rope_origin" },
    { 0x68EB, "rpl_plyr_anim_origin" },
    { 0x68EC, "rpl_plyr_legs_link_ent" },
    { 0x68ED, "rpl_rope_anim_origin" },
    { 0x68EE, "rs_angle" },
    { 0x68EF, "rt_ally_dam_watch" },
    { 0x68F0, "rt_brief_reprieve" },
    { 0x68F1, "rt_combat" },
    { 0x68F2, "rt_combat_fic" },
    { 0x68F3, "rt_fade_in" },
    { 0x68F4, "rt_fade_out" },
    { 0x68F5, "rt_falling_death" },
    { 0x68F6, "rt_fire_proc" },
    { 0x68F7, "rt_helo_break_glass" },
    { 0x68F8, "rt_helo_bullethits" },
    { 0x68F9, "rt_helo_cleanup" },
    { 0x68FA, "rt_helo_crash_ally" },
    { 0x68FB, "rt_helo_crash_ground" },
    { 0x68FC, "rt_helo_crash_train" },
    { 0x68FD, "rt_helo_crashed_fx_setup" },
    { 0x68FE, "rt_helo_dam" },
    { 0x68FF, "rt_helo_damage_fx" },
    { 0x6900, "rt_helo_driver_check" },
    { 0x6901, "rt_helo_flyout" },
    { 0x6902, "rt_helo_fx_setup" },
    { 0x6903, "rt_helo_lane_switch" },
    { 0x6904, "rt_helo_loc_dam" },
    { 0x6905, "rt_helo_loc_dam_watcher" },
    { 0x6906, "rt_helo_proc" },
    { 0x6907, "rt_helo_set_ignore" },
    { 0x6908, "rt_helo_shooter_check" },
    { 0x6909, "rt_helo_target_anim" },
    { 0x690A, "rt_helo_tele_proc" },
    { 0x690B, "rt_helo_tunnel_check" },
    { 0x690C, "rt_helos" },
    { 0x690D, "rt_helos_dead" },
    { 0x690E, "rt_helos_fic" },
    { 0x690F, "rt_helos_kill_ally" },
    { 0x6910, "rt_hero_train_impact" },
    { 0x6911, "rt_hero_train_impact_sequence" },
    { 0x6912, "rt_player_helocrash_effect" },
    { 0x6913, "rt_run" },
    { 0x6914, "rt_run_fic" },
    { 0x6915, "rt_spawn_and_link_helo_glass" },
    { 0x6916, "rt_spawn_node_check" },
    { 0x6917, "rt_start" },
    { 0x6918, "rt_train_impact_fic" },
    { 0x6919, "rt_traincar_tracker" },
    { 0x691A, "rt_tunnel_queue" },
    { 0x691B, "rubber_band_kyra" },
    { 0x691C, "rubberband_far_ally_steam_reaction_runout" },
    { 0x691D, "rubberband_ladder_chase" },
    { 0x691E, "rubberband_near_ally_steam_reaction_runout" },
    { 0x691F, "rubble_flare" },
    { 0x6920, "rules" },
    { 0x6921, "rumble" },
    { 0x6922, "rumble_all_players" },
    { 0x6923, "rumble_basetime" },
    { 0x6924, "rumble_duration" },
    { 0x6925, "rumble_ent" },
    { 0x6926, "rumble_helo_hit" },
    { 0x6927, "rumble_player_push" },
    { 0x6928, "rumble_radius" },
    { 0x6929, "rumble_ramp_off" },
    { 0x692A, "rumble_ramp_on" },
    { 0x692B, "rumble_ramp_to" },
    { 0x692C, "rumble_randomaditionaltime" },
    { 0x692D, "rumble_scale" },
    { 0x692E, "rumble_when_tank_breaks_wall" },
    { 0x692F, "rumbleon" },
    { 0x6930, "rumbletrigger" },
    { 0x6931, "run_accuracy" },
    { 0x6932, "run_allies" },
    { 0x6933, "run_allies_rear_ship" },
    { 0x6934, "run_allies_to_edge" },
    { 0x6935, "run_ally_edge_death" },
    { 0x6936, "run_anim_events" },
    { 0x6937, "run_away_from_dog" },
    { 0x6938, "run_background_sparrow_vehicles" },
    { 0x6939, "run_background_vo" },
    { 0x693A, "run_background_zodiacs" },
    { 0x693B, "run_c17_jet_flyers" },
    { 0x693C, "run_call_after_wait_array" },
    { 0x693D, "run_clearfacialanim" },
    { 0x693E, "run_corpse_cleanup" },
    { 0x693F, "run_cut_rope" },
    { 0x6940, "run_debris" },
    { 0x6941, "run_deck_combat" },
    { 0x6942, "run_deck_combat_background" },
    { 0x6943, "run_deck_transition" },
    { 0x6944, "run_defend_sparrow" },
    { 0x6945, "run_defend_vo" },
    { 0x6946, "run_defend_zodiac" },
    { 0x6947, "run_destructibles" },
    { 0x6948, "run_dog_command" },
    { 0x6949, "run_electric_trap" },
    { 0x694A, "run_enemies" },
    { 0x694B, "run_enemy_destroyer" },
    { 0x694C, "run_enemy_destroyer_2" },
    { 0x694D, "run_enemy_destroyer_gun" },
    { 0x694E, "run_exit" },
    { 0x694F, "run_faster_behavior" },
    { 0x6950, "run_fly_in" },
    { 0x6951, "run_func_after_spawn" },
    { 0x6952, "run_func_after_wait_array" },
    { 0x6953, "run_func_on_notify" },
    { 0x6954, "run_generator" },
    { 0x6955, "run_guy_count" },
    { 0x6956, "run_guy_done" },
    { 0x6957, "run_helis" },
    { 0x6958, "run_hesh" },
    { 0x6959, "run_hesh_vo" },
    { 0x695A, "run_incoming_vo" },
    { 0x695B, "run_intro" },
    { 0x695C, "run_jet_takeoff" },
    { 0x695D, "run_missiles" },
    { 0x695E, "run_nag_vo" },
    { 0x695F, "run_near_enemy" },
    { 0x6960, "run_noself_call_after_wait_array" },
    { 0x6961, "run_osprey_finish_vo" },
    { 0x6962, "run_osprey_hit_vo" },
    { 0x6963, "run_osprey_nag_first_time_vo" },
    { 0x6964, "run_osprey_nag_vo" },
    { 0x6965, "run_osprey_start_2_vo" },
    { 0x6966, "run_osprey_start_vo" },
    { 0x6967, "run_osprey_takeoff" },
    { 0x6968, "run_out_behavior" },
    { 0x6969, "run_override_weights" },
    { 0x696A, "run_overrideanim" },
    { 0x696B, "run_overridebulletreact" },
    { 0x696C, "run_overridesound" },
    { 0x696D, "run_player_out_of_bounds" },
    { 0x696E, "run_playfacialanim" },
    { 0x696F, "run_post_function" },
    { 0x6970, "run_promotion" },
    { 0x6971, "run_quake_scene" },
    { 0x6972, "run_rope_melee" },
    { 0x6973, "run_scene" },
    { 0x6974, "run_sparrow_down_vo" },
    { 0x6975, "run_spawn_event" },
    { 0x6976, "run_spawn_functions" },
    { 0x6977, "run_speed" },
    { 0x6978, "run_speed_state" },
    { 0x6979, "run_thread_on_noteworthy" },
    { 0x697A, "run_thread_on_targetname" },
    { 0x697B, "run_to_and_delete" },
    { 0x697C, "run_to_approach_node" },
    { 0x697D, "run_to_enemy" },
    { 0x697E, "run_to_new_spot_and_setup_gun" },
    { 0x697F, "run_to_slam" },
    { 0x6980, "run_to_sparrow_pre_load" },
    { 0x6981, "run_to_volume_and_delete" },
    { 0x6982, "run_vignettes" },
    { 0x6983, "run_vista" },
    { 0x6984, "run_vo" },
    { 0x6985, "runanim" },
    { 0x6986, "runanimdebug" },
    { 0x6987, "runblitz" },
    { 0x6988, "runcombat" },
    { 0x6989, "rundecidewhatandhowtoshoot" },
    { 0x698A, "rundronehive" },
    { 0x698B, "rundroplocations" },
    { 0x698C, "runhordemode" },
    { 0x698D, "runin_to_ascend" },
    { 0x698E, "runloopcount" },
    { 0x698F, "runloopisnearbeginning" },
    { 0x6990, "runlootdrop" },
    { 0x6991, "runner_anims" },
    { 0x6992, "runner_logic" },
    { 0x6993, "runner_vo" },
    { 0x6994, "runnerguys" },
    { 0x6995, "runngun" },
    { 0x6996, "runngun_backward" },
    { 0x6997, "runngunincrement" },
    { 0x6998, "runnguntransitionpoint" },
    { 0x6999, "runngunweight" },
    { 0x699A, "running" },
    { 0x699B, "runningreacttobullets" },
    { 0x699C, "runningtovehicle" },
    { 0x699D, "runnormalround" },
    { 0x699E, "runobjectivecam" },
    { 0x699F, "runonshootbehaviorend" },
    { 0x69A0, "runout_group1" },
    { 0x69A1, "runout_group2" },
    { 0x69A2, "runout_group3" },
    { 0x69A3, "runportalfx" },
    { 0x69A4, "runportalstatus" },
    { 0x69A5, "runportalthink" },
    { 0x69A6, "runpos" },
    { 0x69A7, "runroundspawning" },
    { 0x69A8, "runscriptabletraverse" },
    { 0x69A9, "runshootwhilemoving" },
    { 0x69AA, "runspecialround" },
    { 0x69AB, "runteamintel" },
    { 0x69AC, "runtovehicleoverride" },
    { 0x69AD, "runway_apache_logic" },
    { 0x69AE, "runway_apache_logic_cliff_chopper" },
    { 0x69AF, "runway_apache_turret_logic" },
    { 0x69B0, "runway_bad_places" },
    { 0x69B1, "runway_chopper_detect_damage" },
    { 0x69B2, "runway_detect_player_stance_and_movement" },
    { 0x69B3, "runway_escape_run_vo_cold" },
    { 0x69B4, "runway_escape_run_vo_hot" },
    { 0x69B5, "runway_escape_weather" },
    { 0x69B6, "runway_got_spotted" },
    { 0x69B7, "runway_sat_launch" },
    { 0x69B8, "runway_setup" },
    { 0x69B9, "runway_start" },
    { 0x69BA, "runway_stop_in_place" },
    { 0x69BB, "runway_vehicles" },
    { 0x69BC, "runzonefx" },
    { 0x69BD, "runzones" },
    { 0x69BE, "runzonestatus" },
    { 0x69BF, "runzonethink" },
    { 0x69C0, "rus_panic_os" },
    { 0x69C1, "rushtime" },
    { 0x69C2, "saf_c17_lower_backdoor_setup" },
    { 0x69C3, "saf_c17_lower_backdoor_top_setup" },
    { 0x69C4, "saf_concrete_barrier_dynamic_func" },
    { 0x69C5, "saf_concrete_barrier_dynamic_setup" },
    { 0x69C6, "saf_exit_door_right_obj" },
    { 0x69C7, "saf_large_sign_01_dynamic_func" },
    { 0x69C8, "saf_large_sign_01_dynamic_setup" },
    { 0x69C9, "saf_streetlight_dynamic_func" },
    { 0x69CA, "saf_streetlight_dynamic_setup" },
    { 0x69CB, "safe_activate_trigger_with_targetname" },
    { 0x69CC, "safe_activate_triggers_with_targetname" },
    { 0x69CD, "safe_delete" },
    { 0x69CE, "safe_delete_array" },
    { 0x69CF, "safe_delete_drone" },
    { 0x69D0, "safe_delete_noteworthy" },
    { 0x69D1, "safe_delete_targetname" },
    { 0x69D2, "safe_delete_trigger_with_targetname" },
    { 0x69D3, "safe_deleteent" },
    { 0x69D4, "safe_disable_trigger_with_targetname" },
    { 0x69D5, "safe_hide" },
    { 0x69D6, "safe_hide_spin" },
    { 0x69D7, "safe_kill" },
    { 0x69D8, "safe_makerealai" },
    { 0x69D9, "safe_offset" },
    { 0x69DA, "safe_spawn_distance_sq" },
    { 0x69DB, "safe_switch_from_detonator" },
    { 0x69DC, "safe_switch_to_detonator" },
    { 0x69DD, "safe_trigger_by_noteworthy" },
    { 0x69DE, "safe_trigger_by_targetname" },
    { 0x69DF, "safe_volume" },
    { 0x69E0, "safelyplayanimatrateuntilnotetrack" },
    { 0x69E1, "safelyplayanimnatrateuntilnotetrack" },
    { 0x69E2, "safelyplayanimnuntilnotetrack" },
    { 0x69E3, "safelyplayanimuntilnotetrack" },
    { 0x69E4, "safemod" },
    { 0x69E5, "safeorigin" },
    { 0x69E6, "safezone_sound_on" },
    { 0x69E7, "salvage_cargo_rise" },
    { 0x69E8, "salvage_cargo_setup" },
    { 0x69E9, "salvage_cargo_show" },
    { 0x69EA, "sam_acquiretarget" },
    { 0x69EB, "sam_add_target" },
    { 0x69EC, "sam_ads" },
    { 0x69ED, "sam_attacktargets" },
    { 0x69EE, "sam_break_lockon" },
    { 0x69EF, "sam_clear_hud" },
    { 0x69F0, "sam_control" },
    { 0x69F1, "sam_damage_dummy" },
    { 0x69F2, "sam_exit" },
    { 0x69F3, "sam_fire_missile" },
    { 0x69F4, "sam_fire_missiles" },
    { 0x69F5, "sam_fireontarget" },
    { 0x69F6, "sam_give_control" },
    { 0x69F7, "sam_health" },
    { 0x69F8, "sam_hud" },
    { 0x69F9, "sam_hud_elements" },
    { 0x69FA, "sam_hud_radar_elements" },
    { 0x69FB, "sam_launcher_index" },
    { 0x69FC, "sam_launchers" },
    { 0x69FD, "sam_lockon_range" },
    { 0x69FE, "sam_lockon_targets" },
    { 0x69FF, "sam_max_health" },
    { 0x6A00, "sam_missile_lockon" },
    { 0x6A01, "sam_missiles" },
    { 0x6A02, "sam_monitor_damage" },
    { 0x6A03, "sam_regen_health" },
    { 0x6A04, "sam_reload_missile" },
    { 0x6A05, "sam_remove_control" },
    { 0x6A06, "sam_start_missile_lockon" },
    { 0x6A07, "sam_targets" },
    { 0x6A08, "sam_update_compass" },
    { 0x6A09, "sam_update_missile_targets" },
    { 0x6A0A, "sam_update_pitch_values" },
    { 0x6A0B, "sam_update_radar" },
    { 0x6A0C, "sam_update_time" },
    { 0x6A0D, "sam_use_auto_lock_on" },
    { 0x6A0E, "sam_watchcrashing" },
    { 0x6A0F, "sam_watchlaser" },
    { 0x6A10, "sam_watchleaving" },
    { 0x6A11, "sam_watchlineofsight" },
    { 0x6A12, "samdamagescale" },
    { 0x6A13, "same_color_code_as_last_time" },
    { 0x6A14, "same_path" },
    { 0x6A15, "sameshotdamage" },
    { 0x6A16, "sammissilegroup" },
    { 0x6A17, "sammissilegroups" },
    { 0x6A18, "samproximitydetonate" },
    { 0x6A19, "samtargetent" },
    { 0x6A1A, "samturret" },
    { 0x6A1B, "sand_effects_init" },
    { 0x6A1C, "sandbag_bunker_gunner_death_function" },
    { 0x6A1D, "sandbag_bunker_gunner_spawn_function" },
    { 0x6A1E, "sandbag_bunker_spotter_death_function" },
    { 0x6A1F, "sandbag_bunker_spotter_spawn_function" },
    { 0x6A20, "sardines" },
    { 0x6A21, "sardines_ball" },
    { 0x6A22, "sardines_ballfindemptyspot" },
    { 0x6A23, "sardines_balllinkpiece" },
    { 0x6A24, "sardines_ballpanic" },
    { 0x6A25, "sardines_ballrotate" },
    { 0x6A26, "sardines_ballwaitthenaddpiece" },
    { 0x6A27, "sardines_detectpeople" },
    { 0x6A28, "sardines_line" },
    { 0x6A29, "sardines_lineattachmodelsandtaperends" },
    { 0x6A2A, "sardines_linedebugdrawstats" },
    { 0x6A2B, "sardines_linedeletepieces" },
    { 0x6A2C, "sardines_linemonitortriggers" },
    { 0x6A2D, "sardines_linespawnpieces" },
    { 0x6A2E, "sardines_linethinkloop" },
    { 0x6A2F, "sardines_path_sound" },
    { 0x6A30, "sardines_path_sound_no_trigger" },
    { 0x6A31, "sardines_piecesetmodels" },
    { 0x6A32, "sardines_piecesetmodelsfromarray" },
    { 0x6A33, "sardines_pieceswimpath" },
    { 0x6A34, "sardines_setpathanimstarttimes" },
    { 0x6A35, "sardines_sortring" },
    { 0x6A36, "sardines_spreadring" },
    { 0x6A37, "sat_acc_overlay" },
    { 0x6A38, "sat_acc_overlay_solo" },
    { 0x6A39, "sat_base_s" },
    { 0x6A3A, "sat_combat" },
    { 0x6A3B, "sat_crane" },
    { 0x6A3C, "sat_crane_arm" },
    { 0x6A3D, "sat_dialogue" },
    { 0x6A3E, "sat_dish_a10_crash_waits" },
    { 0x6A3F, "sat_ent_del" },
    { 0x6A40, "sat_exploder" },
    { 0x6A41, "sat_launch_piece_fall_away" },
    { 0x6A42, "sat_launch_sound_earthquake_rumble" },
    { 0x6A43, "sat_location_check" },
    { 0x6A44, "sat_pretend_to_keep_moving_and_firing" },
    { 0x6A45, "sat_view_ally_and_enemy_tanks" },
    { 0x6A46, "sat_view_enemy_tanks" },
    { 0x6A47, "sat_view_spawn_ally_choppers" },
    { 0x6A48, "satellite" },
    { 0x6A49, "satellite_activate_at_end_of_match" },
    { 0x6A4A, "satellite_cleanup" },
    { 0x6A4B, "satellite_clip_hide" },
    { 0x6A4C, "satellite_clip_show" },
    { 0x6A4D, "satellite_dialogue" },
    { 0x6A4E, "satellite_end_of_match" },
    { 0x6A4F, "satellite_fade_hud" },
    { 0x6A50, "satellite_fade_in_hud" },
    { 0x6A51, "satellite_fall" },
    { 0x6A52, "satellite_flash" },
    { 0x6A53, "satellite_get_script_mover" },
    { 0x6A54, "satellite_group" },
    { 0x6A55, "satellite_group_hide" },
    { 0x6A56, "satellite_group_show" },
    { 0x6A57, "satellite_killstreak_notify_wait" },
    { 0x6A58, "satellite_killstreak_wait" },
    { 0x6A59, "satellite_main" },
    { 0x6A5A, "satellite_move_to" },
    { 0x6A5B, "satellite_paths" },
    { 0x6A5C, "satellite_rcs_thrusters" },
    { 0x6A5D, "satellite_scrambler" },
    { 0x6A5E, "satellite_script_mover" },
    { 0x6A5F, "satellite_set_post_crash" },
    { 0x6A60, "satellite_setup" },
    { 0x6A61, "satellite_small_thrusts" },
    { 0x6A62, "satellite_start" },
    { 0x6A63, "satellite_static" },
    { 0x6A64, "satellite_static_emp_watch" },
    { 0x6A65, "satellite_traversal_props" },
    { 0x6A66, "satellite_view" },
    { 0x6A67, "satellite_view_blink_corners" },
    { 0x6A68, "satellite_view_blink_pip_border" },
    { 0x6A69, "satellite_view_borders" },
    { 0x6A6A, "satellite_view_chopper_fade_hud" },
    { 0x6A6B, "satellite_view_chopper_hud" },
    { 0x6A6C, "satellite_view_chopper_hud_item" },
    { 0x6A6D, "satellite_view_clear_hud" },
    { 0x6A6E, "satellite_view_corner" },
    { 0x6A6F, "satellite_view_corner_pip" },
    { 0x6A70, "satellite_view_hud_item" },
    { 0x6A71, "satellite_view_init_hud" },
    { 0x6A72, "satellite_view_loop_sound" },
    { 0x6A73, "satellite_view_move_to_point" },
    { 0x6A74, "satellite_view_new_l_corner" },
    { 0x6A75, "satellite_view_pan_sound" },
    { 0x6A76, "satellite_view_pan_sound_index" },
    { 0x6A77, "satellite_view_pip" },
    { 0x6A78, "satellite_view_pip_change_size" },
    { 0x6A79, "satellite_view_pip_close_l_corner" },
    { 0x6A7A, "satellite_view_pip_disable" },
    { 0x6A7B, "satellite_view_pip_display_name" },
    { 0x6A7C, "satellite_view_pip_enable" },
    { 0x6A7D, "satellite_view_pip_init" },
    { 0x6A7E, "satellite_view_pip_open_l_corner" },
    { 0x6A7F, "satellite_view_pip_set_entity" },
    { 0x6A80, "satellite_view_precache" },
    { 0x6A81, "satellite_view_remove_l_corners" },
    { 0x6A82, "satellite_view_reticle_color" },
    { 0x6A83, "satellite_view_transitioned_sound" },
    { 0x6A84, "satellite_view_type_anchored_text" },
    { 0x6A85, "satellite_view_type_multiline_text" },
    { 0x6A86, "satellite_view_type_multiline_text_at_point" },
    { 0x6A87, "satellite_view_type_text_at_point" },
    { 0x6A88, "satellite_view_update_borders" },
    { 0x6A89, "satellite_view_update_lines" },
    { 0x6A8A, "satellite_view_update_scanline" },
    { 0x6A8B, "satellite_view_zoom_box" },
    { 0x6A8C, "satellite_view_zoom_in_sound" },
    { 0x6A8D, "satellite_view_zoom_out_sound" },
    { 0x6A8E, "satellitepieceburnup" },
    { 0x6A8F, "satellites" },
    { 0x6A90, "satfarm_chainlink_fence_trigger_animate" },
    { 0x6A91, "satfarm_corpse_cleanup" },
    { 0x6A92, "satfarm_global_flags" },
    { 0x6A93, "satfarm_intro" },
    { 0x6A94, "satfarm_m880_init" },
    { 0x6A95, "satfarm_old_objectives" },
    { 0x6A96, "satfarm_precache" },
    { 0x6A97, "satfarm_starts" },
    { 0x6A98, "satfarm_timer" },
    { 0x6A99, "satfarm_transient_load" },
    { 0x6A9A, "satfarm_transient_sync" },
    { 0x6A9B, "satfarm_transient_unload" },
    { 0x6A9C, "save" },
    { 0x6A9D, "save_aianims" },
    { 0x6A9E, "save_friendlies" },
    { 0x6A9F, "save_intel_for_all_players" },
    { 0x6AA0, "save_turret_sharing_info" },
    { 0x6AA1, "savecommit_aftergrenade" },
    { 0x6AA2, "saved" },
    { 0x6AA3, "saved_actionslotdata" },
    { 0x6AA4, "saved_lastweapon" },
    { 0x6AA5, "saved_lastweaponhack" },
    { 0x6AA6, "saved_speed_percent" },
    { 0x6AA7, "saved_targetname" },
    { 0x6AA8, "savedata" },
    { 0x6AA9, "savednotify" },
    { 0x6AAA, "savehere" },
    { 0x6AAB, "saveplayerweaponstatepersistent" },
    { 0x6AAC, "savetostructfn" },
    { 0x6AAD, "saveweaponammoondeath" },
    { 0x6AAE, "saw_mgturretlink" },
    { 0x6AAF, "sawenemymove" },
    { 0x6AB0, "say_nag_after_delay" },
    { 0x6AB1, "saydamaged" },
    { 0x6AB2, "saygenericdialogue" },
    { 0x6AB3, "saylocalsound" },
    { 0x6AB4, "saylocalsounddelayed" },
    { 0x6AB5, "sayspecificdialogue" },
    { 0x6AB6, "sbadplacename" },
    { 0x6AB7, "scaffold_test_2" },
    { 0x6AB8, "scaffold_test_3" },
    { 0x6AB9, "scale" },
    { 0x6ABA, "scale_lcs_audio_fade" },
    { 0x6ABB, "scan_blur" },
    { 0x6ABC, "scan_hide_hint" },
    { 0x6ABD, "scan_loop_red_sound" },
    { 0x6ABE, "scan_loop_sound" },
    { 0x6ABF, "scanline_flicker" },
    { 0x6AC0, "scanline_move" },
    { 0x6AC1, "scared_behavior" },
    { 0x6AC2, "scared_danger_dialogue" },
    { 0x6AC3, "scareradius" },
    { 0x6AC4, "scavenger_altmode" },
    { 0x6AC5, "scavenger_secondary" },
    { 0x6AC6, "scavengergiveammo" },
    { 0x6AC7, "scene" },
    { 0x6AC8, "scene1emitter" },
    { 0x6AC9, "scene2emitter" },
    { 0x6ACA, "scene_loop" },
    { 0x6ACB, "scene_models" },
    { 0x6ACC, "scene_moveplaybackrate" },
    { 0x6ACD, "scene_node" },
    { 0x6ACE, "scene_slowmo" },
    { 0x6ACF, "scene_spawners" },
    { 0x6AD0, "scene_struct" },
    { 0x6AD1, "scene_trig" },
    { 0x6AD2, "scene_trigs" },
    { 0x6AD3, "scene_vo" },
    { 0x6AD4, "scientist_always_stand" },
    { 0x6AD5, "scientist_set_cowered_anim" },
    { 0x6AD6, "scn_nml_house_enemy_mvmt_lp_death" },
    { 0x6AD7, "scn_rescue_shockfile_thread" },
    { 0x6AD8, "score_and_sort_spawn_zones" },
    { 0x6AD9, "score_col" },
    { 0x6ADA, "score_factor" },
    { 0x6ADB, "scorefactors_awayfromenemies" },
    { 0x6ADC, "scorefactors_domination" },
    { 0x6ADD, "scorefactors_freeforall" },
    { 0x6ADE, "scorefactors_nearteam" },
    { 0x6ADF, "scorefactors_safeguard" },
    { 0x6AE0, "scorefactors_searchandrescue" },
    { 0x6AE1, "scoreinfo" },
    { 0x6AE2, "scorelimitoverride" },
    { 0x6AE3, "scorepercentagecutoff" },
    { 0x6AE4, "scorespawns_awayfromenemies" },
    { 0x6AE5, "scorespawns_domination" },
    { 0x6AE6, "scorespawns_freeforall" },
    { 0x6AE7, "scorespawns_nearteam" },
    { 0x6AE8, "scorespawns_safeguard" },
    { 0x6AE9, "scorespawns_searchandrescue" },
    { 0x6AEA, "scoring_mode" },
    { 0x6AEB, "scr_anim" },
    { 0x6AEC, "scr_animsound" },
    { 0x6AED, "scr_animtree" },
    { 0x6AEE, "scr_deadbody" },
    { 0x6AEF, "scr_enemy_bursts" },
    { 0x6AF0, "scr_face" },
    { 0x6AF1, "scr_goaltime" },
    { 0x6AF2, "scr_look" },
    { 0x6AF3, "scr_model" },
    { 0x6AF4, "scr_notetrack" },
    { 0x6AF5, "scr_radio" },
    { 0x6AF6, "scr_sound" },
    { 0x6AF7, "scr_stub" },
    { 0x6AF8, "scr_text" },
    { 0x6AF9, "scramble_acquiretarget" },
    { 0x6AFA, "scramble_watchcrashing" },
    { 0x6AFB, "scramble_watchlaser" },
    { 0x6AFC, "scramble_watchleaving" },
    { 0x6AFD, "scramble_watchlineofsight" },
    { 0x6AFE, "scrambled" },
    { 0x6AFF, "scrambler" },
    { 0x6B00, "scramblers" },
    { 0x6B01, "scrambletarget" },
    { 0x6B02, "scrambletargetent" },
    { 0x6B03, "scrambleturretattacktargets" },
    { 0x6B04, "scream_node" },
    { 0x6B05, "scream_spot" },
    { 0x6B06, "screen_blood" },
    { 0x6B07, "screen_detailed_alpha" },
    { 0x6B08, "screen_effect_fade" },
    { 0x6B09, "screen_effect_on_open_bottom" },
    { 0x6B0A, "screen_effect_on_open_side" },
    { 0x6B0B, "screen_effect_sides" },
    { 0x6B0C, "screen_effects_middle01" },
    { 0x6B0D, "screen_glitch_org" },
    { 0x6B0E, "screen_glitches" },
    { 0x6B0F, "screen_shake_exfil" },
    { 0x6B10, "screen_shake_jumps" },
    { 0x6B11, "screen_shake_vehicles" },
    { 0x6B12, "screen_shock" },
    { 0x6B13, "screenblood_org" },
    { 0x6B14, "screeneffect" },
    { 0x6B15, "screenrain" },
    { 0x6B16, "screenshake_bust_thru_prep" },
    { 0x6B17, "screenshake_loop" },
    { 0x6B18, "screenshakefade" },
    { 0x6B19, "script_accel" },
    { 0x6B1A, "script_accel_fraction" },
    { 0x6B1B, "script_accumulate" },
    { 0x6B1C, "script_accuracy" },
    { 0x6B1D, "script_ai_invulnerable" },
    { 0x6B1E, "script_aigroup" },
    { 0x6B1F, "script_air_strike_exp01" },
    { 0x6B20, "script_airfield_allies_north_firing01" },
    { 0x6B21, "script_airfield_allies_north_firing02" },
    { 0x6B22, "script_airfield_allies_west_firing01" },
    { 0x6B23, "script_airresistance" },
    { 0x6B24, "script_airspeed" },
    { 0x6B25, "script_airstrike_exp02" },
    { 0x6B26, "script_airstrike_exp03" },
    { 0x6B27, "script_airstrike_exp04" },
    { 0x6B28, "script_airstrike_exp05" },
    { 0x6B29, "script_allow_driver_death" },
    { 0x6B2A, "script_allow_rider_deaths" },
    { 0x6B2B, "script_allowdeath" },
    { 0x6B2C, "script_ammo_alt_clip" },
    { 0x6B2D, "script_ammo_alt_extra" },
    { 0x6B2E, "script_ammo_clip" },
    { 0x6B2F, "script_ammo_extra" },
    { 0x6B30, "script_ammo_max" },
    { 0x6B31, "script_angles" },
    { 0x6B32, "script_anglevehicle" },
    { 0x6B33, "script_animation" },
    { 0x6B34, "script_area" },
    { 0x6B35, "script_assaultnode" },
    { 0x6B36, "script_attackai" },
    { 0x6B37, "script_attackeraccuracy" },
    { 0x6B38, "script_attackmetype" },
    { 0x6B39, "script_attackpattern" },
    { 0x6B3A, "script_attackspeed" },
    { 0x6B3B, "script_audio_blend_mode" },
    { 0x6B3C, "script_audio_enter_func" },
    { 0x6B3D, "script_audio_enter_msg" },
    { 0x6B3E, "script_audio_exit_func" },
    { 0x6B3F, "script_audio_exit_msg" },
    { 0x6B40, "script_audio_point_func" },
    { 0x6B41, "script_audio_progress_func" },
    { 0x6B42, "script_audio_progress_map" },
    { 0x6B43, "script_audio_progress_msg" },
    { 0x6B44, "script_audio_update_rate" },
    { 0x6B45, "script_audio_zones" },
    { 0x6B46, "script_autosave" },
    { 0x6B47, "script_autosavename" },
    { 0x6B48, "script_autotarget" },
    { 0x6B49, "script_avoidplayer" },
    { 0x6B4A, "script_avoidvehicles" },
    { 0x6B4B, "script_badplace" },
    { 0x6B4C, "script_balcony" },
    { 0x6B4D, "script_bark_not_growl" },
    { 0x6B4E, "script_baseoffire" },
    { 0x6B4F, "script_battlechatter" },
    { 0x6B50, "script_battleplan" },
    { 0x6B51, "script_bcdialog" },
    { 0x6B52, "script_bctrigger" },
    { 0x6B53, "script_bg_offset" },
    { 0x6B54, "script_bombmode_dual" },
    { 0x6B55, "script_bombmode_original" },
    { 0x6B56, "script_bombmode_single" },
    { 0x6B57, "script_brake" },
    { 0x6B58, "script_breach_id" },
    { 0x6B59, "script_breachgroup" },
    { 0x6B5A, "script_bulletshield" },
    { 0x6B5B, "script_burst" },
    { 0x6B5C, "script_burst_max" },
    { 0x6B5D, "script_burst_min" },
    { 0x6B5E, "script_careful" },
    { 0x6B5F, "script_chance" },
    { 0x6B60, "script_char_group" },
    { 0x6B61, "script_char_index" },
    { 0x6B62, "script_chatgroup" },
    { 0x6B63, "script_cheap" },
    { 0x6B64, "script_cleartargetyaw" },
    { 0x6B65, "script_cobratarget" },
    { 0x6B66, "script_color_allies" },
    { 0x6B67, "script_color_allies_old" },
    { 0x6B68, "script_color_axis" },
    { 0x6B69, "script_color_delay_override" },
    { 0x6B6A, "script_colorlast" },
    { 0x6B6B, "script_combatbehavior" },
    { 0x6B6C, "script_combatmode" },
    { 0x6B6D, "script_count" },
    { 0x6B6E, "script_count_max" },
    { 0x6B6F, "script_count_min" },
    { 0x6B70, "script_crashtype" },
    { 0x6B71, "script_crashtypeoverride" },
    { 0x6B72, "script_damage" },
    { 0x6B73, "script_danger_react" },
    { 0x6B74, "script_death" },
    { 0x6B75, "script_death_max" },
    { 0x6B76, "script_death_min" },
    { 0x6B77, "script_deathchain" },
    { 0x6B78, "script_deathflag" },
    { 0x6B79, "script_deathflag_longdeath" },
    { 0x6B7A, "script_deathroll" },
    { 0x6B7B, "script_deathtime" },
    { 0x6B7C, "script_decel" },
    { 0x6B7D, "script_decel_fraction" },
    { 0x6B7E, "script_delay_max" },
    { 0x6B7F, "script_delay_min" },
    { 0x6B80, "script_delay_post" },
    { 0x6B81, "script_delay_spawn" },
    { 0x6B82, "script_delayed_playerseek" },
    { 0x6B83, "script_delete" },
    { 0x6B84, "script_delete_vehicles" },
    { 0x6B85, "script_deleteai" },
    { 0x6B86, "script_destruct_collision" },
    { 0x6B87, "script_destructable_area" },
    { 0x6B88, "script_diequietly" },
    { 0x6B89, "script_difficulty" },
    { 0x6B8A, "script_disconnectpaths" },
    { 0x6B8B, "script_displaceable" },
    { 0x6B8C, "script_dof_far_blur" },
    { 0x6B8D, "script_dof_far_end" },
    { 0x6B8E, "script_dof_far_start" },
    { 0x6B8F, "script_dof_near_blur" },
    { 0x6B90, "script_dof_near_end" },
    { 0x6B91, "script_dof_near_start" },
    { 0x6B92, "script_dont_link_turret" },
    { 0x6B93, "script_dontpeek" },
    { 0x6B94, "script_dontshootwhilemoving" },
    { 0x6B95, "script_dontunloadonend" },
    { 0x6B96, "script_dot" },
    { 0x6B97, "script_drone" },
    { 0x6B98, "script_drone_override" },
    { 0x6B99, "script_drone_repeat_count" },
    { 0x6B9A, "script_dronelag" },
    { 0x6B9B, "script_drones_max" },
    { 0x6B9C, "script_drones_min" },
    { 0x6B9D, "script_dronestartmove" },
    { 0x6B9E, "script_duration" },
    { 0x6B9F, "script_earthquake" },
    { 0x6BA0, "script_emptyspawner" },
    { 0x6BA1, "script_ender" },
    { 0x6BA2, "script_engage" },
    { 0x6BA3, "script_engagedelay" },
    { 0x6BA4, "script_ent_flag_clear" },
    { 0x6BA5, "script_ent_flag_clearr" },
    { 0x6BA6, "script_ent_flag_set" },
    { 0x6BA7, "script_ent_flag_sett" },
    { 0x6BA8, "script_ent_flag_wait" },
    { 0x6BA9, "script_explode" },
    { 0x6BAA, "script_exploder" },
    { 0x6BAB, "script_exploder_delay" },
    { 0x6BAC, "script_exploder_group" },
    { 0x6BAD, "script_explosive_bullet_shield" },
    { 0x6BAE, "script_faceangles" },
    { 0x6BAF, "script_faceenemydist" },
    { 0x6BB0, "script_fallback" },
    { 0x6BB1, "script_fallback_group" },
    { 0x6BB2, "script_falldirection" },
    { 0x6BB3, "script_favoriteenemy" },
    { 0x6BB4, "script_fightdist" },
    { 0x6BB5, "script_firefx" },
    { 0x6BB6, "script_firefxdelay" },
    { 0x6BB7, "script_firefxsound" },
    { 0x6BB8, "script_firefxtimeout" },
    { 0x6BB9, "script_firelink" },
    { 0x6BBA, "script_fireondrones" },
    { 0x6BBB, "script_fixed_node" },
    { 0x6BBC, "script_fixednode" },
    { 0x6BBD, "script_flag" },
    { 0x6BBE, "script_flag_clear" },
    { 0x6BBF, "script_flag_false" },
    { 0x6BC0, "script_flag_false_maybe" },
    { 0x6BC1, "script_flag_flase" },
    { 0x6BC2, "script_flag_set" },
    { 0x6BC3, "script_flag_true" },
    { 0x6BC4, "script_flag_wait" },
    { 0x6BC5, "script_flagwait" },
    { 0x6BC6, "script_flakaicount" },
    { 0x6BC7, "script_flanker" },
    { 0x6BC8, "script_flashbangs" },
    { 0x6BC9, "script_fogset_end" },
    { 0x6BCA, "script_fogset_start" },
    { 0x6BCB, "script_followmax" },
    { 0x6BCC, "script_followmin" },
    { 0x6BCD, "script_followmode" },
    { 0x6BCE, "script_force_count" },
    { 0x6BCF, "script_forcecolor" },
    { 0x6BD0, "script_forcefire_delay" },
    { 0x6BD1, "script_forcefire_duration" },
    { 0x6BD2, "script_forcegoal" },
    { 0x6BD3, "script_forcegrenade" },
    { 0x6BD4, "script_forcepawn" },
    { 0x6BD5, "script_forcespawn" },
    { 0x6BD6, "script_forceyaw" },
    { 0x6BD7, "script_friendly_fire_disable" },
    { 0x6BD8, "script_friendname" },
    { 0x6BD9, "script_friendnames" },
    { 0x6BDA, "script_fxcommand" },
    { 0x6BDB, "script_fxid" },
    { 0x6BDC, "script_fxstart" },
    { 0x6BDD, "script_fxstop" },
    { 0x6BDE, "script_gameobjectname" },
    { 0x6BDF, "script_gametype_ctf" },
    { 0x6BE0, "script_gametype_dm" },
    { 0x6BE1, "script_gametype_hq" },
    { 0x6BE2, "script_gametype_koth" },
    { 0x6BE3, "script_gametype_sd" },
    { 0x6BE4, "script_gametype_tdm" },
    { 0x6BE5, "script_gatetrigger" },
    { 0x6BE6, "script_ghettotag" },
    { 0x6BE7, "script_goal_radius" },
    { 0x6BE8, "script_goal_type" },
    { 0x6BE9, "script_goal_yaw" },
    { 0x6BEA, "script_goalheight" },
    { 0x6BEB, "script_goalradius" },
    { 0x6BEC, "script_goalvolume" },
    { 0x6BED, "script_goalyaw" },
    { 0x6BEE, "script_godmode" },
    { 0x6BEF, "script_grenade" },
    { 0x6BF0, "script_grenades" },
    { 0x6BF1, "script_grenadeshield" },
    { 0x6BF2, "script_grenadespeed" },
    { 0x6BF3, "script_group" },
    { 0x6BF4, "script_growl" },
    { 0x6BF5, "script_health" },
    { 0x6BF6, "script_helimove" },
    { 0x6BF7, "script_hidden" },
    { 0x6BF8, "script_hint" },
    { 0x6BF9, "script_hoverwait" },
    { 0x6BFA, "script_idleanim" },
    { 0x6BFB, "script_idlereach" },
    { 0x6BFC, "script_ignore_suppression" },
    { 0x6BFD, "script_ignoreall" },
    { 0x6BFE, "script_ignoreme" },
    { 0x6BFF, "script_ignoresuppression" },
    { 0x6C00, "script_ignroeme" },
    { 0x6C01, "script_immunetoflash" },
    { 0x6C02, "script_increment" },
    { 0x6C03, "script_index" },
    { 0x6C04, "script_intensity_max" },
    { 0x6C05, "script_intensity_min" },
    { 0x6C06, "script_keepdriver" },
    { 0x6C07, "script_kill_vehicle_spawner" },
    { 0x6C08, "script_killspawner" },
    { 0x6C09, "script_killspawner_group" },
    { 0x6C0A, "script_label" },
    { 0x6C0B, "script_land" },
    { 0x6C0C, "script_landmark" },
    { 0x6C0D, "script_laser" },
    { 0x6C0E, "script_light" },
    { 0x6C0F, "script_light_startnotify" },
    { 0x6C10, "script_light_stopnotify" },
    { 0x6C11, "script_linkto" },
    { 0x6C12, "script_location" },
    { 0x6C13, "script_longdeath" },
    { 0x6C14, "script_looping" },
    { 0x6C15, "script_manualtarget" },
    { 0x6C16, "script_mapsize_08" },
    { 0x6C17, "script_mapsize_16" },
    { 0x6C18, "script_mapsize_32" },
    { 0x6C19, "script_mapsize_64" },
    { 0x6C1A, "script_max_left_angle" },
    { 0x6C1B, "script_max_right_angle" },
    { 0x6C1C, "script_maxdist" },
    { 0x6C1D, "script_maxspawn" },
    { 0x6C1E, "script_mg42" },
    { 0x6C1F, "script_mg42auto" },
    { 0x6C20, "script_mg_angle" },
    { 0x6C21, "script_mgturret" },
    { 0x6C22, "script_mgturretauto" },
    { 0x6C23, "script_minspec_hooks_level" },
    { 0x6C24, "script_minspec_level" },
    { 0x6C25, "script_missile_attacks01" },
    { 0x6C26, "script_missile_attacks02" },
    { 0x6C27, "script_missile_attacks03" },
    { 0x6C28, "script_missiles" },
    { 0x6C29, "script_model_anims" },
    { 0x6C2A, "script_model_beach" },
    { 0x6C2B, "script_model_intro" },
    { 0x6C2C, "script_model_recruits" },
    { 0x6C2D, "script_modelname" },
    { 0x6C2E, "script_models" },
    { 0x6C2F, "script_mortargroup" },
    { 0x6C30, "script_mortargroup_domortar" },
    { 0x6C31, "script_mortargroup_mortar_group" },
    { 0x6C32, "script_mortargroup_mortarzone" },
    { 0x6C33, "script_mortargroup_style" },
    { 0x6C34, "script_move_train_02" },
    { 0x6C35, "script_move_vehicles" },
    { 0x6C36, "script_moveoverride" },
    { 0x6C37, "script_moveplaybackrate" },
    { 0x6C38, "script_mover" },
    { 0x6C39, "script_mover_add_hintstring" },
    { 0x6C3A, "script_mover_add_parameters" },
    { 0x6C3B, "script_mover_agent_spawn_watch" },
    { 0x6C3C, "script_mover_allow_usable" },
    { 0x6C3D, "script_mover_apply_move_parameters" },
    { 0x6C3E, "script_mover_call_func_on_notify" },
    { 0x6C3F, "script_mover_classnames" },
    { 0x6C40, "script_mover_connect_watch" },
    { 0x6C41, "script_mover_defaults" },
    { 0x6C42, "script_mover_func_on_notify" },
    { 0x6C43, "script_mover_hintstrings" },
    { 0x6C44, "script_mover_init_move_parameters" },
    { 0x6C45, "script_mover_int" },
    { 0x6C46, "script_mover_is_script_mover" },
    { 0x6C47, "script_mover_move_to_named_goal" },
    { 0x6C48, "script_mover_move_to_target" },
    { 0x6C49, "script_mover_named_goals" },
    { 0x6C4A, "script_mover_parameters" },
    { 0x6C4B, "script_mover_parse_move_parameters" },
    { 0x6C4C, "script_mover_parse_range" },
    { 0x6C4D, "script_mover_parse_targets" },
    { 0x6C4E, "script_mover_run_notify" },
    { 0x6C4F, "script_mover_save_default_move_parameters" },
    { 0x6C50, "script_mover_set_defaults" },
    { 0x6C51, "script_mover_set_param" },
    { 0x6C52, "script_mover_set_usable" },
    { 0x6C53, "script_mover_trigger_on" },
    { 0x6C54, "script_mover_use_trigger" },
    { 0x6C55, "script_mp_style_helicopter" },
    { 0x6C56, "script_multiplier" },
    { 0x6C57, "script_namenumber" },
    { 0x6C58, "script_nobark" },
    { 0x6C59, "script_nobloodpool" },
    { 0x6C5A, "script_node_pausetime" },
    { 0x6C5B, "script_nodestate" },
    { 0x6C5C, "script_nodrop" },
    { 0x6C5D, "script_noflip" },
    { 0x6C5E, "script_nofriendlywave" },
    { 0x6C5F, "script_nohealth" },
    { 0x6C60, "script_nomg" },
    { 0x6C61, "script_nostairs" },
    { 0x6C62, "script_nosurprise" },
    { 0x6C63, "script_noteworthey" },
    { 0x6C64, "script_noteworthy2" },
    { 0x6C65, "script_noteworthy_hide_and_show" },
    { 0x6C66, "script_notewrothy" },
    { 0x6C67, "script_noturnanim" },
    { 0x6C68, "script_nowall" },
    { 0x6C69, "script_objective" },
    { 0x6C6A, "script_objective_active" },
    { 0x6C6B, "script_objective_inactive" },
    { 0x6C6C, "script_offradius" },
    { 0x6C6D, "script_offtime" },
    { 0x6C6E, "script_old_forcecolor" },
    { 0x6C6F, "script_oneway" },
    { 0x6C70, "script_onlyidle" },
    { 0x6C71, "script_origin_other" },
    { 0x6C72, "script_pacifist" },
    { 0x6C73, "script_painter_maxdist" },
    { 0x6C74, "script_painter_treeorient" },
    { 0x6C75, "script_paintergroup" },
    { 0x6C76, "script_parameters" },
    { 0x6C77, "script_paramters" },
    { 0x6C78, "script_pathtype" },
    { 0x6C79, "script_patroller" },
    { 0x6C7A, "script_percent" },
    { 0x6C7B, "script_personality" },
    { 0x6C7C, "script_pet" },
    { 0x6C7D, "script_physics" },
    { 0x6C7E, "script_physicsjolt" },
    { 0x6C7F, "script_pilottalk" },
    { 0x6C80, "script_plane" },
    { 0x6C81, "script_playerconeradius" },
    { 0x6C82, "script_playerseek" },
    { 0x6C83, "script_prefab_exploder" },
    { 0x6C84, "script_presound" },
    { 0x6C85, "script_print_fx" },
    { 0x6C86, "script_qualityspotshadow" },
    { 0x6C87, "script_radius" },
    { 0x6C88, "script_random_killspawner" },
    { 0x6C89, "script_randomspawn" },
    { 0x6C8A, "script_readystand" },
    { 0x6C8B, "script_repeat" },
    { 0x6C8C, "script_requires_player" },
    { 0x6C8D, "script_requres_player" },
    { 0x6C8E, "script_retreating_allies04_firing" },
    { 0x6C8F, "script_reuse" },
    { 0x6C90, "script_reuse_max" },
    { 0x6C91, "script_reuse_min" },
    { 0x6C92, "script_rumble" },
    { 0x6C93, "script_savedata" },
    { 0x6C94, "script_savetrigger_timer" },
    { 0x6C95, "script_seekgoal" },
    { 0x6C96, "script_selfremove" },
    { 0x6C97, "script_setup" },
    { 0x6C98, "script_shooting_tanks_01" },
    { 0x6C99, "script_shooting_tanks_02" },
    { 0x6C9A, "script_shooting_tanks_03" },
    { 0x6C9B, "script_shooting_tanks_04" },
    { 0x6C9C, "script_shooting_tanks_05" },
    { 0x6C9D, "script_shooting_tanks_06" },
    { 0x6C9E, "script_shooting_tanks_07" },
    { 0x6C9F, "script_shooting_tanks_08" },
    { 0x6CA0, "script_shooting_tanks_09" },
    { 0x6CA1, "script_shooting_tanks_10" },
    { 0x6CA2, "script_shotcount" },
    { 0x6CA3, "script_side" },
    { 0x6CA4, "script_sightrange" },
    { 0x6CA5, "script_skilloverride" },
    { 0x6CA6, "script_slowmo_breach" },
    { 0x6CA7, "script_slowmo_breach_doortype" },
    { 0x6CA8, "script_slowmo_breach_spawners" },
    { 0x6CA9, "script_smokegroup" },
    { 0x6CAA, "script_sound" },
    { 0x6CAB, "script_soundalias" },
    { 0x6CAC, "script_spawn_delay" },
    { 0x6CAD, "script_spawn_here" },
    { 0x6CAE, "script_spawn_once" },
    { 0x6CAF, "script_spawn_pool" },
    { 0x6CB0, "script_spawngroup" },
    { 0x6CB1, "script_spawnsubgroup" },
    { 0x6CB2, "script_specialops" },
    { 0x6CB3, "script_specialopsname" },
    { 0x6CB4, "script_speed" },
    { 0x6CB5, "script_spotlight" },
    { 0x6CB6, "script_spotlimit" },
    { 0x6CB7, "script_squad" },
    { 0x6CB8, "script_squadname" },
    { 0x6CB9, "script_stack" },
    { 0x6CBA, "script_stance" },
    { 0x6CBB, "script_start" },
    { 0x6CBC, "script_startinghealth" },
    { 0x6CBD, "script_startingposition" },
    { 0x6CBE, "script_startingpositions" },
    { 0x6CBF, "script_startname" },
    { 0x6CC0, "script_startrunning" },
    { 0x6CC1, "script_stay_drone" },
    { 0x6CC2, "script_stealth" },
    { 0x6CC3, "script_stealth_dontseek" },
    { 0x6CC4, "script_stealth_function" },
    { 0x6CC5, "script_stealthgroup" },
    { 0x6CC6, "script_stopnode" },
    { 0x6CC7, "script_stoptoshoot" },
    { 0x6CC8, "script_string" },
    { 0x6CC9, "script_struct" },
    { 0x6CCA, "script_sunenable" },
    { 0x6CCB, "script_sunsamplesizenear" },
    { 0x6CCC, "script_sunshadowscale" },
    { 0x6CCD, "script_suppression" },
    { 0x6CCE, "script_tankgroup" },
    { 0x6CCF, "script_targetoffset_z" },
    { 0x6CD0, "script_targettype" },
    { 0x6CD1, "script_team" },
    { 0x6CD2, "script_threatbias" },
    { 0x6CD3, "script_threatbiasgroup" },
    { 0x6CD4, "script_threshold" },
    { 0x6CD5, "script_timeout" },
    { 0x6CD6, "script_timer" },
    { 0x6CD7, "script_trace" },
    { 0x6CD8, "script_train_stuff_02" },
    { 0x6CD9, "script_transient" },
    { 0x6CDA, "script_transition" },
    { 0x6CDB, "script_transmission" },
    { 0x6CDC, "script_trigger_group" },
    { 0x6CDD, "script_triggered_playerseek" },
    { 0x6CDE, "script_triggername" },
    { 0x6CDF, "script_turningdir" },
    { 0x6CE0, "script_turret" },
    { 0x6CE1, "script_turret_ambush" },
    { 0x6CE2, "script_turret_reuse_max" },
    { 0x6CE3, "script_turret_reuse_min" },
    { 0x6CE4, "script_turret_share" },
    { 0x6CE5, "script_turretmg" },
    { 0x6CE6, "script_type" },
    { 0x6CE7, "script_unload" },
    { 0x6CE8, "script_unloaddelay" },
    { 0x6CE9, "script_unloadmgguy" },
    { 0x6CEA, "script_usemg42" },
    { 0x6CEB, "script_vehicle_jets_01" },
    { 0x6CEC, "script_vehicle_lights_off" },
    { 0x6CED, "script_vehicle_lights_on" },
    { 0x6CEE, "script_vehicle_self_remove" },
    { 0x6CEF, "script_vehicle_selfremove" },
    { 0x6CF0, "script_vehicleaianim" },
    { 0x6CF1, "script_vehiclecargo" },
    { 0x6CF2, "script_vehicledetour" },
    { 0x6CF3, "script_vehicledetourgroup" },
    { 0x6CF4, "script_vehicledetourtype" },
    { 0x6CF5, "script_vehiclegroup" },
    { 0x6CF6, "script_vehiclegroupdelete" },
    { 0x6CF7, "script_vehiclenodegroup" },
    { 0x6CF8, "script_vehicleride" },
    { 0x6CF9, "script_vehicles_selfremove" },
    { 0x6CFA, "script_vehiclespawn" },
    { 0x6CFB, "script_vehiclespawngroup" },
    { 0x6CFC, "script_vehiclestartmove" },
    { 0x6CFD, "script_vehicletriggergroup" },
    { 0x6CFE, "script_vehiclewalk" },
    { 0x6CFF, "script_visionset_end" },
    { 0x6D00, "script_visionset_ng" },
    { 0x6D01, "script_visionset_start" },
    { 0x6D02, "script_wait" },
    { 0x6D03, "script_wait_add" },
    { 0x6D04, "script_wait_max" },
    { 0x6D05, "script_wait_min" },
    { 0x6D06, "script_wheeldirection" },
    { 0x6D07, "script_wingman" },
    { 0x6D08, "script_wtf" },
    { 0x6D09, "script_yawspeed" },
    { 0x6D0A, "scriptable_vo_handler" },
    { 0x6D0B, "scriptable_vo_played" },
    { 0x6D0C, "scriptables" },
    { 0x6D0D, "scriptabletargetname" },
    { 0x6D0E, "scriptdetour_persist" },
    { 0x6D0F, "scripted" },
    { 0x6D10, "scripted_death" },
    { 0x6D11, "scripted_dialogue" },
    { 0x6D12, "scripted_spawn" },
    { 0x6D13, "scripted_vehicles" },
    { 0x6D14, "scripteddialoguebuffertime" },
    { 0x6D15, "scripteddialoguestarttime" },
    { 0x6D16, "scriptmodel" },
    { 0x6D17, "scriptperks" },
    { 0x6D18, "scriptstarttime" },
    { 0x6D19, "scrub_guy" },
    { 0x6D1A, "scuba_ally_swap" },
    { 0x6D1B, "scuba_fx_cleanup" },
    { 0x6D1C, "scuba_org" },
    { 0x6D1D, "scuba_surface" },
    { 0x6D1E, "scubamask_distortion" },
    { 0x6D1F, "sd_bombs" },
    { 0x6D20, "sd_bombzones" },
    { 0x6D21, "sd_endgame" },
    { 0x6D22, "sd_insertionstarted" },
    { 0x6D23, "sd_insertionvehicles" },
    { 0x6D24, "sd_loadout" },
    { 0x6D25, "sd_loadouts" },
    { 0x6D26, "sd_onbombtimerend" },
    { 0x6D27, "sd_prisonerobjective" },
    { 0x6D28, "sd_triggers" },
    { 0x6D29, "sdbomb" },
    { 0x6D2A, "sdbombmodel" },
    { 0x6D2B, "sdv_follow_2_passby_audio" },
    { 0x6D2C, "sdv_follow_spotted_react" },
    { 0x6D2D, "sdv_patrol_setup" },
    { 0x6D2E, "sdv_play_sound_on_entity" },
    { 0x6D2F, "sdv_setup" },
    { 0x6D30, "sdv_silt_kickup" },
    { 0x6D31, "sdv_stealth_2_sub_1_passby_audio" },
    { 0x6D32, "sdv_stealth_2_sub_2_passby_audio" },
    { 0x6D33, "search_bot" },
    { 0x6D34, "searched" },
    { 0x6D35, "second_bumper_hint" },
    { 0x6D36, "second_distant_sat_launch" },
    { 0x6D37, "second_floor_actors" },
    { 0x6D38, "second_floor_anim_ent" },
    { 0x6D39, "second_floor_anim_struct" },
    { 0x6D3A, "second_floor_combat_intro_vo" },
    { 0x6D3B, "second_floor_combat_left_enemies_down" },
    { 0x6D3C, "second_floor_combat_middle_enemies_down" },
    { 0x6D3D, "second_floor_elevator_guy_setup" },
    { 0x6D3E, "second_floor_enemies" },
    { 0x6D3F, "second_floor_fridge_guy_path" },
    { 0x6D40, "second_floor_fridge_guy_setup" },
    { 0x6D41, "second_floor_fridge_guy_spooked" },
    { 0x6D42, "second_floor_kitchenette_guy" },
    { 0x6D43, "second_floor_kitchenette_guy_setup" },
    { 0x6D44, "second_floor_left_enemies" },
    { 0x6D45, "second_floor_middle_enemies" },
    { 0x6D46, "second_floor_poker_table_guys_setup" },
    { 0x6D47, "second_floor_shift_left_trigger" },
    { 0x6D48, "second_floor_stealth_broken_left_vo" },
    { 0x6D49, "second_floor_stealth_broken_middle_vo" },
    { 0x6D4A, "second_gunship_wing" },
    { 0x6D4B, "second_patroller" },
    { 0x6D4C, "second_two_patrollers_at_goal" },
    { 0x6D4D, "secondarygrenade" },
    { 0x6D4E, "secondarygunner" },
    { 0x6D4F, "secondarytarget" },
    { 0x6D50, "secondaryweapon" },
    { 0x6D51, "secondbunkerheli" },
    { 0x6D52, "secondload" },
    { 0x6D53, "secondowner" },
    { 0x6D54, "secsoffiringbeforereload" },
    { 0x6D55, "secsoffiringbeforereloaddefault" },
    { 0x6D56, "section_flag_init" },
    { 0x6D57, "section_flag_inits" },
    { 0x6D58, "section_hint_string_init" },
    { 0x6D59, "section_main" },
    { 0x6D5A, "section_post_inits" },
    { 0x6D5B, "section_precache" },
    { 0x6D5C, "securestarted" },
    { 0x6D5D, "security_amb" },
    { 0x6D5E, "security_beeps" },
    { 0x6D5F, "security_room_transition" },
    { 0x6D60, "security_vo" },
    { 0x6D61, "see_enemy_dot" },
    { 0x6D62, "see_enemy_dot_close" },
    { 0x6D63, "seekoutenemytime" },
    { 0x6D64, "seen_attacker" },
    { 0x6D65, "segments" },
    { 0x6D66, "select_all_exploders_of_currently_selected" },
    { 0x6D67, "select_and_move" },
    { 0x6D68, "select_and_targetplayer" },
    { 0x6D69, "select_by_name" },
    { 0x6D6A, "select_by_name_list" },
    { 0x6D6B, "select_by_substring" },
    { 0x6D6C, "select_entity" },
    { 0x6D6D, "select_index_array" },
    { 0x6D6E, "select_last_entity" },
    { 0x6D6F, "selectairstrikelocation" },
    { 0x6D70, "selectbestspawnpoint" },
    { 0x6D71, "selectdroplocation" },
    { 0x6D72, "selected" },
    { 0x6D73, "selected_ent_buttons" },
    { 0x6D74, "selected_fx" },
    { 0x6D75, "selected_fx_ents" },
    { 0x6D76, "selected_fx_option_index" },
    { 0x6D77, "selectedclass" },
    { 0x6D78, "selectedmove_forward" },
    { 0x6D79, "selectedmove_right" },
    { 0x6D7A, "selectedmove_up" },
    { 0x6D7B, "selectedrotate_pitch" },
    { 0x6D7C, "selectedrotate_roll" },
    { 0x6D7D, "selectedrotate_yaw" },
    { 0x6D7E, "selectentrancelocation" },
    { 0x6D7F, "selectidleanimstate" },
    { 0x6D80, "selectinglocation" },
    { 0x6D81, "selectlbstrikelocation" },
    { 0x6D82, "selectlocationvo" },
    { 0x6D83, "selectonemanarmyclass" },
    { 0x6D84, "self_add_array" },
    { 0x6D85, "self_cleanup" },
    { 0x6D86, "self_delete" },
    { 0x6D87, "self_func" },
    { 0x6D88, "self_make_chopper_boss" },
    { 0x6D89, "selfdeathicons" },
    { 0x6D8A, "selfdeletedelay" },
    { 0x6D8B, "semifirenumshots" },
    { 0x6D8C, "semtex_sticky_handle" },
    { 0x6D8D, "semtex_tutorial_given" },
    { 0x6D8E, "semtexused" },
    { 0x6D8F, "send_ai_to_colorvolume" },
    { 0x6D90, "send_allies_to_nodes_and_play_anim" },
    { 0x6D91, "send_ally_to_garage_node" },
    { 0x6D92, "send_apaches_to_hangout" },
    { 0x6D93, "send_apaches_to_hangout_thread" },
    { 0x6D94, "send_away_and_die" },
    { 0x6D95, "send_friends_in" },
    { 0x6D96, "send_guy_to_node_then_rotate" },
    { 0x6D97, "send_hill_reenforcements_if_hot" },
    { 0x6D98, "send_notify" },
    { 0x6D99, "send_to_death_volume" },
    { 0x6D9A, "send_to_node_and_set_flag_if_specified_when_reached" },
    { 0x6D9B, "send_to_volume_and_delete" },
    { 0x6D9C, "sendagentweaponnotify" },
    { 0x6D9D, "sendloottoplayer" },
    { 0x6D9E, "sendupdateddmscores" },
    { 0x6D9F, "sendupdatedteamscores" },
    { 0x6DA0, "sensitive_chopper_in_players_view" },
    { 0x6DA1, "sensor" },
    { 0x6DA2, "sensorscreeneffects" },
    { 0x6DA3, "sentient" },
    { 0x6DA4, "sentry_allowfire" },
    { 0x6DA5, "sentry_ammo" },
    { 0x6DA6, "sentry_ammo_debug" },
    { 0x6DA7, "sentry_ammo_enabled" },
    { 0x6DA8, "sentry_attacker_can_get_xp" },
    { 0x6DA9, "sentry_attacker_is_friendly" },
    { 0x6DAA, "sentry_attacktargets" },
    { 0x6DAB, "sentry_badplace_create" },
    { 0x6DAC, "sentry_badplace_delete" },
    { 0x6DAD, "sentry_battery_timer" },
    { 0x6DAE, "sentry_beep_sounds" },
    { 0x6DAF, "sentry_beepsounds" },
    { 0x6DB0, "sentry_burst_fire_start" },
    { 0x6DB1, "sentry_burst_fire_stop" },
    { 0x6DB2, "sentry_burstfirestart" },
    { 0x6DB3, "sentry_burstfirestop" },
    { 0x6DB4, "sentry_cooldown_time" },
    { 0x6DB5, "sentry_cooling" },
    { 0x6DB6, "sentry_cooling_speed" },
    { 0x6DB7, "sentry_death_wait" },
    { 0x6DB8, "sentry_deleteturret" },
    { 0x6DB9, "sentry_destroy_on_owner_leave" },
    { 0x6DBA, "sentry_die_on_ammoout" },
    { 0x6DBB, "sentry_die_on_batteryout" },
    { 0x6DBC, "sentry_emp_damage_wait" },
    { 0x6DBD, "sentry_emp_wait" },
    { 0x6DBE, "sentry_enemy_wait" },
    { 0x6DBF, "sentry_fire" },
    { 0x6DC0, "sentry_fire_time" },
    { 0x6DC1, "sentry_gun_default_settings" },
    { 0x6DC2, "sentry_gun_weak_settings" },
    { 0x6DC3, "sentry_handledamage" },
    { 0x6DC4, "sentry_handledeath" },
    { 0x6DC5, "sentry_handleownerdisconnect" },
    { 0x6DC6, "sentry_handleuse" },
    { 0x6DC7, "sentry_health_monitor" },
    { 0x6DC8, "sentry_heatmonitor" },
    { 0x6DC9, "sentry_hit_bullet_armor" },
    { 0x6DCA, "sentry_init" },
    { 0x6DCB, "sentry_initsentry" },
    { 0x6DCC, "sentry_makenotsolid" },
    { 0x6DCD, "sentry_makesolid" },
    { 0x6DCE, "sentry_minigun_default_settings" },
    { 0x6DCF, "sentry_minigun_weak_settings" },
    { 0x6DD0, "sentry_moving_platform_death" },
    { 0x6DD1, "sentry_obj" },
    { 0x6DD2, "sentry_oncarrierchangedteam" },
    { 0x6DD3, "sentry_oncarrierdeath" },
    { 0x6DD4, "sentry_oncarrierdisconnect" },
    { 0x6DD5, "sentry_ongameended" },
    { 0x6DD6, "sentry_overheat_deactivate" },
    { 0x6DD7, "sentry_overheat_debug" },
    { 0x6DD8, "sentry_overheat_monitor" },
    { 0x6DD9, "sentry_overheat_reactivate" },
    { 0x6DDA, "sentry_overheating_speed" },
    { 0x6DDB, "sentry_pickup_init" },
    { 0x6DDC, "sentry_place_delay" },
    { 0x6DDD, "sentry_place_mode_reset" },
    { 0x6DDE, "sentry_placed_listener" },
    { 0x6DDF, "sentry_placement_cancel_monitor" },
    { 0x6DE0, "sentry_placement_endoflevel_cancel_monitor" },
    { 0x6DE1, "sentry_placement_failed" },
    { 0x6DE2, "sentry_placement_hint_hide" },
    { 0x6DE3, "sentry_placement_hint_show" },
    { 0x6DE4, "sentry_placement_initial_wait" },
    { 0x6DE5, "sentry_player_use_wait" },
    { 0x6DE6, "sentry_reset_on_owner_death" },
    { 0x6DE7, "sentry_restock_wait" },
    { 0x6DE8, "sentry_set_owner" },
    { 0x6DE9, "sentry_setactive" },
    { 0x6DEA, "sentry_setcancelled" },
    { 0x6DEB, "sentry_setcancelled_func" },
    { 0x6DEC, "sentry_setcarried" },
    { 0x6DED, "sentry_setcarried_func" },
    { 0x6DEE, "sentry_setinactive" },
    { 0x6DEF, "sentry_setowner" },
    { 0x6DF0, "sentry_setplaced" },
    { 0x6DF1, "sentry_setplaced_func" },
    { 0x6DF2, "sentry_settings" },
    { 0x6DF3, "sentry_smg_default_settings" },
    { 0x6DF4, "sentry_spindown" },
    { 0x6DF5, "sentry_spinup" },
    { 0x6DF6, "sentry_steam" },
    { 0x6DF7, "sentry_synch_attack_begin" },
    { 0x6DF8, "sentry_synch_attack_end" },
    { 0x6DF9, "sentry_synch_attack_loop" },
    { 0x6DFA, "sentry_targetlocksound" },
    { 0x6DFB, "sentry_team_hide_icon" },
    { 0x6DFC, "sentry_team_setup" },
    { 0x6DFD, "sentry_team_show_icon" },
    { 0x6DFE, "sentry_timeout" },
    { 0x6DFF, "sentry_turn_laser_off" },
    { 0x6E00, "sentry_turn_laser_on" },
    { 0x6E01, "sentry_type" },
    { 0x6E02, "sentry_watch_ammo" },
    { 0x6E03, "sentry_watchdisabled" },
    { 0x6E04, "sentrycratethink" },
    { 0x6E05, "sentryhandledeathdamage" },
    { 0x6E06, "sentrymode" },
    { 0x6E07, "sentrymodeoff" },
    { 0x6E08, "sentrymodeon" },
    { 0x6E09, "sentrymodifydamage" },
    { 0x6E0A, "sentrypoweroff" },
    { 0x6E0B, "sentrypoweron" },
    { 0x6E0C, "sentrysettings" },
    { 0x6E0D, "sentryturretsettings" },
    { 0x6E0E, "sentrytype" },
    { 0x6E0F, "sentryusetracker" },
    { 0x6E10, "serialized" },
    { 0x6E11, "server_culled_sounds" },
    { 0x6E12, "serverphysicsobj" },
    { 0x6E13, "set" },
    { 0x6E14, "set2dicon" },
    { 0x6E15, "set3dicon" },
    { 0x6E16, "set3duseicon" },
    { 0x6E17, "set_a10_strafe_target_vehicle" },
    { 0x6E18, "set_a10_strafe_vehicle" },
    { 0x6E19, "set_accuracy" },
    { 0x6E1A, "set_accuracy_based_on_situation" },
    { 0x6E1B, "set_accuracy_when_allies_are_close" },
    { 0x6E1C, "set_agent_health" },
    { 0x6E1D, "set_agent_team" },
    { 0x6E1E, "set_ai_array" },
    { 0x6E1F, "set_ai_attackeraccuracy" },
    { 0x6E20, "set_ai_bcvoice" },
    { 0x6E21, "set_ai_number" },
    { 0x6E22, "set_aim_and_turn_limits" },
    { 0x6E23, "set_alien_attributes" },
    { 0x6E24, "set_alien_emissive" },
    { 0x6E25, "set_alien_emissive_default" },
    { 0x6E26, "set_alien_model" },
    { 0x6E27, "set_alien_movemode" },
    { 0x6E28, "set_alien_outline" },
    { 0x6E29, "set_all_ai_targetnames" },
    { 0x6E2A, "set_all_exceptions" },
    { 0x6E2B, "set_all_players_undying" },
    { 0x6E2C, "set_allowdeath" },
    { 0x6E2D, "set_ambient_track" },
    { 0x6E2E, "set_ambush_sidestep_anims" },
    { 0x6E2F, "set_and_enable_color" },
    { 0x6E30, "set_anglemod_move_vector" },
    { 0x6E31, "set_anim_array" },
    { 0x6E32, "set_anim_array_aiming" },
    { 0x6E33, "set_anim_playback_rate" },
    { 0x6E34, "set_anim_rate_on_fire_extinguisher" },
    { 0x6E35, "set_animarray_add_turn_aims_crouch" },
    { 0x6E36, "set_animarray_add_turn_aims_stand" },
    { 0x6E37, "set_animarray_burst_and_semi_fire_crouch" },
    { 0x6E38, "set_animarray_burst_and_semi_fire_stand" },
    { 0x6E39, "set_animarray_crouching" },
    { 0x6E3A, "set_animarray_crouching_left" },
    { 0x6E3B, "set_animarray_crouching_right" },
    { 0x6E3C, "set_animarray_crouching_turns" },
    { 0x6E3D, "set_animarray_custom_burst_and_semi_fire_crouch" },
    { 0x6E3E, "set_animarray_custom_burst_and_semi_fire_stand" },
    { 0x6E3F, "set_animarray_prone" },
    { 0x6E40, "set_animarray_stance_change" },
    { 0x6E41, "set_animarray_standing" },
    { 0x6E42, "set_animarray_standing_left" },
    { 0x6E43, "set_animarray_standing_right" },
    { 0x6E44, "set_animarray_standing_turns" },
    { 0x6E45, "set_animarray_standing_turns_pistol" },
    { 0x6E46, "set_archetype" },
    { 0x6E47, "set_attached_models" },
    { 0x6E48, "set_attack_sync_direction" },
    { 0x6E49, "set_attacking" },
    { 0x6E4A, "set_audio_filter" },
    { 0x6E4B, "set_audio_mix" },
    { 0x6E4C, "set_audio_occlusion" },
    { 0x6E4D, "set_audio_zone" },
    { 0x6E4E, "set_bag_objective_visibility" },
    { 0x6E4F, "set_bag_visibility" },
    { 0x6E50, "set_bags_invisible" },
    { 0x6E51, "set_bark_cairo" },
    { 0x6E52, "set_baseaccuracy" },
    { 0x6E53, "set_basic_animated_model" },
    { 0x6E54, "set_battlechatter" },
    { 0x6E55, "set_battlechatter_variable" },
    { 0x6E56, "set_bike_position" },
    { 0x6E57, "set_binoc_target_to_hvt" },
    { 0x6E58, "set_black_fade" },
    { 0x6E59, "set_blow_doors_vis" },
    { 0x6E5A, "set_blur" },
    { 0x6E5B, "set_blur_coverwater" },
    { 0x6E5C, "set_box" },
    { 0x6E5D, "set_brakes" },
    { 0x6E5E, "set_breaching_variable" },
    { 0x6E5F, "set_button" },
    { 0x6E60, "set_chaos_airdrop_icon" },
    { 0x6E61, "set_code_fields" },
    { 0x6E62, "set_combat_stand_animset" },
    { 0x6E63, "set_command_dof" },
    { 0x6E64, "set_console_status" },
    { 0x6E65, "set_cool_walk" },
    { 0x6E66, "set_corner_anim_array" },
    { 0x6E67, "set_count" },
    { 0x6E68, "set_counts" },
    { 0x6E69, "set_crouching_animarray_aiming" },
    { 0x6E6A, "set_crouching_turns" },
    { 0x6E6B, "set_current" },
    { 0x6E6C, "set_current_audio_zone" },
    { 0x6E6D, "set_current_challenge" },
    { 0x6E6E, "set_current_filter" },
    { 0x6E6F, "set_current_track_struct" },
    { 0x6E70, "set_custom_gameskill_func" },
    { 0x6E71, "set_custom_limp" },
    { 0x6E72, "set_custom_move_start_transition" },
    { 0x6E73, "set_cycle_scalars" },
    { 0x6E74, "set_damage_viewkick" },
    { 0x6E75, "set_deadquote" },
    { 0x6E76, "set_death_anim_scene" },
    { 0x6E77, "set_death_icon" },
    { 0x6E78, "set_death_model" },
    { 0x6E79, "set_death_quote" },
    { 0x6E7A, "set_deathanim" },
    { 0x6E7B, "set_deathsdoor" },
    { 0x6E7C, "set_default_aim_limits" },
    { 0x6E7D, "set_default_angles" },
    { 0x6E7E, "set_default_hud_parameters" },
    { 0x6E7F, "set_default_hud_stuff" },
    { 0x6E80, "set_default_mb_values" },
    { 0x6E81, "set_default_pathenemy_settings" },
    { 0x6E82, "set_default_script_noteworthy" },
    { 0x6E83, "set_default_start" },
    { 0x6E84, "set_default_swimmer_aim_limits" },
    { 0x6E85, "set_default_team_move_speed" },
    { 0x6E86, "set_delays" },
    { 0x6E87, "set_diff_accuracy" },
    { 0x6E88, "set_difficulty_from_locked_settings" },
    { 0x6E89, "set_disable_friendlyfire_value_delayed" },
    { 0x6E8A, "set_dof_for_player_mask" },
    { 0x6E8B, "set_dog_arrow" },
    { 0x6E8C, "set_dog_follow_owner" },
    { 0x6E8D, "set_dog_guard_owner" },
    { 0x6E8E, "set_dog_hud_attack" },
    { 0x6E8F, "set_dog_hud_disabled" },
    { 0x6E90, "set_dog_hud_enabled" },
    { 0x6E91, "set_dog_hud_for_guard" },
    { 0x6E92, "set_dog_hud_for_guard_loop" },
    { 0x6E93, "set_dog_hud_for_intro" },
    { 0x6E94, "set_dog_hud_for_intro_loop" },
    { 0x6E95, "set_dog_hud_guard" },
    { 0x6E96, "set_dog_master" },
    { 0x6E97, "set_dog_scripted_mode" },
    { 0x6E98, "set_dog_walk_anim" },
    { 0x6E99, "set_door_burst_light" },
    { 0x6E9A, "set_door_charge_anim_normal" },
    { 0x6E9B, "set_door_charge_anim_special" },
    { 0x6E9C, "set_dpad_down_level" },
    { 0x6E9D, "set_dpad_left_level" },
    { 0x6E9E, "set_dpad_right_level" },
    { 0x6E9F, "set_dpad_up_level" },
    { 0x6EA0, "set_drill_attack_setup" },
    { 0x6EA1, "set_drill_icon" },
    { 0x6EA2, "set_drill_state_offline" },
    { 0x6EA3, "set_drill_state_plant" },
    { 0x6EA4, "set_drill_state_run" },
    { 0x6EA5, "set_early_level" },
    { 0x6EA6, "set_emissive_window_brushes_visible" },
    { 0x6EA7, "set_empty_promotion_order" },
    { 0x6EA8, "set_enter_canope_vf" },
    { 0x6EA9, "set_enter_flood_road" },
    { 0x6EAA, "set_enter_garage2_vf" },
    { 0x6EAB, "set_enter_garage_mall_vf" },
    { 0x6EAC, "set_enter_loadingdocks_vf" },
    { 0x6EAD, "set_enter_rooftop_1_vf" },
    { 0x6EAE, "set_enter_rooftop_water" },
    { 0x6EAF, "set_enter_skybridge_room_vf" },
    { 0x6EB0, "set_enter_stairwell" },
    { 0x6EB1, "set_enter_stealth_vf" },
    { 0x6EB2, "set_enter_swept_vf" },
    { 0x6EB3, "set_exception" },
    { 0x6EB4, "set_favoriteenemy" },
    { 0x6EB5, "set_filter" },
    { 0x6EB6, "set_fire_flag_near_anim_end" },
    { 0x6EB7, "set_firing" },
    { 0x6EB8, "set_fixednode_false" },
    { 0x6EB9, "set_fixednode_true" },
    { 0x6EBA, "set_fixednodesaferadius" },
    { 0x6EBB, "set_flag_after_timer" },
    { 0x6EBC, "set_flag_if_damaged" },
    { 0x6EBD, "set_flag_if_not_set" },
    { 0x6EBE, "set_flag_in_trigger" },
    { 0x6EBF, "set_flag_on_anim_reach" },
    { 0x6EC0, "set_flag_on_dead" },
    { 0x6EC1, "set_flag_on_dead_or_dying" },
    { 0x6EC2, "set_flag_on_func_wait_proc" },
    { 0x6EC3, "set_flag_on_killcount" },
    { 0x6EC4, "set_flag_on_player_action" },
    { 0x6EC5, "set_flag_on_spawned" },
    { 0x6EC6, "set_flag_on_spawned_ai_proc" },
    { 0x6EC7, "set_flag_on_targetname_trigger" },
    { 0x6EC8, "set_flag_on_targetname_trigger_by_player" },
    { 0x6EC9, "set_flag_on_trigger" },
    { 0x6ECA, "set_flag_on_trigger_or_ai_count" },
    { 0x6ECB, "set_flag_on_weapon_pickup" },
    { 0x6ECC, "set_flag_unless_triggered" },
    { 0x6ECD, "set_flag_when_allies_in_garage" },
    { 0x6ECE, "set_flag_when_allies_in_position" },
    { 0x6ECF, "set_flag_when_close" },
    { 0x6ED0, "set_flag_when_enemies_dead" },
    { 0x6ED1, "set_flag_when_first_enemies_dead" },
    { 0x6ED2, "set_flag_when_launcher_in_right_spot" },
    { 0x6ED3, "set_flag_when_not_firing" },
    { 0x6ED4, "set_flag_when_player_ready_to_progress" },
    { 0x6ED5, "set_flag_when_x_remain" },
    { 0x6ED6, "set_flag_when_x_remain_custom_stream" },
    { 0x6ED7, "set_flags_on_input" },
    { 0x6ED8, "set_flavorburst_drones" },
    { 0x6ED9, "set_flavorbursts" },
    { 0x6EDA, "set_flavorbursts_team_state" },
    { 0x6EDB, "set_fog_ent" },
    { 0x6EDC, "set_fog_progress" },
    { 0x6EDD, "set_fog_to_ent_values" },
    { 0x6EDE, "set_follow_path_and_animate" },
    { 0x6EDF, "set_force_color" },
    { 0x6EE0, "set_force_color_spawner" },
    { 0x6EE1, "set_force_cover" },
    { 0x6EE2, "set_forcedgoal" },
    { 0x6EE3, "set_forcegoal" },
    { 0x6EE4, "set_forcegoal_nosight" },
    { 0x6EE5, "set_forcesuppression" },
    { 0x6EE6, "set_forward_and_up_vectors" },
    { 0x6EE7, "set_friendlies_to_not_shoot_at_hostages_mid_anim" },
    { 0x6EE8, "set_friendlyfire_warnings" },
    { 0x6EE9, "set_fungglass_life" },
    { 0x6EEA, "set_fx_hudelement" },
    { 0x6EEB, "set_game_state" },
    { 0x6EEC, "set_generic_deathanim" },
    { 0x6EED, "set_generic_idle_anim" },
    { 0x6EEE, "set_generic_idle_forever" },
    { 0x6EEF, "set_generic_idle_internal" },
    { 0x6EF0, "set_generic_run_anim" },
    { 0x6EF1, "set_generic_run_anim_array" },
    { 0x6EF2, "set_glass_zero_gravity" },
    { 0x6EF3, "set_goal_and_volume" },
    { 0x6EF4, "set_goal_ent" },
    { 0x6EF5, "set_goal_ent_flags" },
    { 0x6EF6, "set_goal_entity" },
    { 0x6EF7, "set_goal_from_settings" },
    { 0x6EF8, "set_goal_height_from_settings" },
    { 0x6EF9, "set_goal_node" },
    { 0x6EFA, "set_goal_node_targetname" },
    { 0x6EFB, "set_goal_pos" },
    { 0x6EFC, "set_goal_pos_think" },
    { 0x6EFD, "set_goal_radius" },
    { 0x6EFE, "set_goal_volume" },
    { 0x6EFF, "set_goalradius" },
    { 0x6F00, "set_goalvolume_after_node_reached" },
    { 0x6F01, "set_grenadeammo" },
    { 0x6F02, "set_group_advance_to_enemy_parameters" },
    { 0x6F03, "set_group_goalvolume" },
    { 0x6F04, "set_high_priority_target_for_bot" },
    { 0x6F05, "set_hint_text" },
    { 0x6F06, "set_hive_icon" },
    { 0x6F07, "set_hud_name_percent_value" },
    { 0x6F08, "set_hud_percent_value" },
    { 0x6F09, "set_hud_value" },
    { 0x6F0A, "set_hud_value_internal" },
    { 0x6F0B, "set_hudoutline" },
    { 0x6F0C, "set_idle" },
    { 0x6F0D, "set_idle_anim" },
    { 0x6F0E, "set_ignore_enemy" },
    { 0x6F0F, "set_ignore_setting" },
    { 0x6F10, "set_ignore_states" },
    { 0x6F11, "set_ignore_until_fired_at" },
    { 0x6F12, "set_ignoreall" },
    { 0x6F13, "set_ignoreme" },
    { 0x6F14, "set_ignoresuppression" },
    { 0x6F15, "set_initial_emissive" },
    { 0x6F16, "set_intensities" },
    { 0x6F17, "set_intensity" },
    { 0x6F18, "set_key" },
    { 0x6F19, "set_last_stand_count" },
    { 0x6F1A, "set_level_fadein_time" },
    { 0x6F1B, "set_line" },
    { 0x6F1C, "set_lookat_from_dest" },
    { 0x6F1D, "set_lookat_point" },
    { 0x6F1E, "set_mall_lights_off" },
    { 0x6F1F, "set_manual_target" },
    { 0x6F20, "set_melee_early" },
    { 0x6F21, "set_melee_timer" },
    { 0x6F22, "set_missile_reaction" },
    { 0x6F23, "set_missile_reply" },
    { 0x6F24, "set_mission_failed_override" },
    { 0x6F25, "set_mission_view_tweaks" },
    { 0x6F26, "set_mix" },
    { 0x6F27, "set_mk23_model" },
    { 0x6F28, "set_mortar_on" },
    { 0x6F29, "set_motion_blur" },
    { 0x6F2A, "set_motionblur" },
    { 0x6F2B, "set_motionblur_values" },
    { 0x6F2C, "set_move_animset" },
    { 0x6F2D, "set_move_rate" },
    { 0x6F2E, "set_moveplaybackrate" },
    { 0x6F2F, "set_nearest_stealth_group" },
    { 0x6F30, "set_nerf_scalar" },
    { 0x6F31, "set_new_enemy_volume" },
    { 0x6F32, "set_next_play_time" },
    { 0x6F33, "set_noragdoll" },
    { 0x6F34, "set_num_allies" },
    { 0x6F35, "set_objective_active" },
    { 0x6F36, "set_objective_inactive" },
    { 0x6F37, "set_occlusion" },
    { 0x6F38, "set_occlusion_thread" },
    { 0x6F39, "set_off_exploders" },
    { 0x6F3A, "set_one_hit_kill" },
    { 0x6F3B, "set_option_index" },
    { 0x6F3C, "set_origin_and_angles" },
    { 0x6F3D, "set_override_offset" },
    { 0x6F3E, "set_override_target" },
    { 0x6F3F, "set_pacifist" },
    { 0x6F40, "set_patrol_run_anim_array" },
    { 0x6F41, "set_perk" },
    { 0x6F42, "set_perk_0_level" },
    { 0x6F43, "set_perk_1_level" },
    { 0x6F44, "set_perk_based_character_model" },
    { 0x6F45, "set_perk_bullet_damage_0" },
    { 0x6F46, "set_perk_bullet_damage_1" },
    { 0x6F47, "set_perk_bullet_damage_2" },
    { 0x6F48, "set_perk_bullet_damage_3" },
    { 0x6F49, "set_perk_bullet_damage_4" },
    { 0x6F4A, "set_perk_health_level_0" },
    { 0x6F4B, "set_perk_health_level_1" },
    { 0x6F4C, "set_perk_health_level_2" },
    { 0x6F4D, "set_perk_health_level_3" },
    { 0x6F4E, "set_perk_health_level_4" },
    { 0x6F4F, "set_perk_medic_0" },
    { 0x6F50, "set_perk_medic_1" },
    { 0x6F51, "set_perk_medic_2" },
    { 0x6F52, "set_perk_medic_3" },
    { 0x6F53, "set_perk_medic_4" },
    { 0x6F54, "set_perk_pistol_m9a1_0" },
    { 0x6F55, "set_perk_pistol_m9a1_1" },
    { 0x6F56, "set_perk_pistol_m9a1_2" },
    { 0x6F57, "set_perk_pistol_m9a1_3" },
    { 0x6F58, "set_perk_pistol_m9a1_4" },
    { 0x6F59, "set_perk_pistol_magnum_0" },
    { 0x6F5A, "set_perk_pistol_magnum_1" },
    { 0x6F5B, "set_perk_pistol_magnum_2" },
    { 0x6F5C, "set_perk_pistol_magnum_3" },
    { 0x6F5D, "set_perk_pistol_magnum_4" },
    { 0x6F5E, "set_perk_pistol_mp443_0" },
    { 0x6F5F, "set_perk_pistol_mp443_1" },
    { 0x6F60, "set_perk_pistol_mp443_2" },
    { 0x6F61, "set_perk_pistol_mp443_3" },
    { 0x6F62, "set_perk_pistol_mp443_4" },
    { 0x6F63, "set_perk_pistol_p226_0" },
    { 0x6F64, "set_perk_pistol_p226_1" },
    { 0x6F65, "set_perk_pistol_p226_2" },
    { 0x6F66, "set_perk_pistol_p226_3" },
    { 0x6F67, "set_perk_pistol_p226_4" },
    { 0x6F68, "set_perk_rigger_0" },
    { 0x6F69, "set_perk_rigger_1" },
    { 0x6F6A, "set_perk_rigger_2" },
    { 0x6F6B, "set_perk_rigger_3" },
    { 0x6F6C, "set_perk_rigger_4" },
    { 0x6F6D, "set_player_anim_flag" },
    { 0x6F6E, "set_player_attacker_accuracy" },
    { 0x6F6F, "set_player_character_model" },
    { 0x6F70, "set_player_currency" },
    { 0x6F71, "set_player_escaped" },
    { 0x6F72, "set_player_hearbeat_rate" },
    { 0x6F73, "set_player_hidden" },
    { 0x6F74, "set_player_max_currency" },
    { 0x6F75, "set_player_points" },
    { 0x6F76, "set_player_prestige" },
    { 0x6F77, "set_player_rank" },
    { 0x6F78, "set_player_score" },
    { 0x6F79, "set_player_session_rankup" },
    { 0x6F7A, "set_player_session_xp" },
    { 0x6F7B, "set_player_speed" },
    { 0x6F7C, "set_player_speed_hud" },
    { 0x6F7D, "set_player_sprint_speed_scale" },
    { 0x6F7E, "set_player_thruster_data" },
    { 0x6F7F, "set_player_viewhand_model" },
    { 0x6F80, "set_player_xp" },
    { 0x6F81, "set_pos" },
    { 0x6F82, "set_promotion_order" },
    { 0x6F83, "set_random_targets" },
    { 0x6F84, "set_reverb" },
    { 0x6F85, "set_road_offset" },
    { 0x6F86, "set_rog_section_gravity" },
    { 0x6F87, "set_room_to_breached" },
    { 0x6F88, "set_rumble_intensity" },
    { 0x6F89, "set_run_anim" },
    { 0x6F8A, "set_run_anim_array" },
    { 0x6F8B, "set_run_anim_ref" },
    { 0x6F8C, "set_scientist_sprinting" },
    { 0x6F8D, "set_scientist_talking" },
    { 0x6F8E, "set_script_fields" },
    { 0x6F8F, "set_search_walk" },
    { 0x6F90, "set_sentry_attack_setup" },
    { 0x6F91, "set_silenthawk_override_anims" },
    { 0x6F92, "set_slow_aim" },
    { 0x6F93, "set_snakecam_dof" },
    { 0x6F94, "set_sneaky_player_flag_on_damage" },
    { 0x6F95, "set_sneaky_player_flag_on_trigger" },
    { 0x6F96, "set_space_goal_node" },
    { 0x6F97, "set_spawncount" },
    { 0x6F98, "set_spawners_for_location" },
    { 0x6F99, "set_stage" },
    { 0x6F9A, "set_stairs_hall_vf" },
    { 0x6F9B, "set_standing_animarray_aiming" },
    { 0x6F9C, "set_standing_turns" },
    { 0x6F9D, "set_start_pos" },
    { 0x6F9E, "set_start_positions" },
    { 0x6F9F, "set_stat_dvars" },
    { 0x6FA0, "set_stop_ignore_flag" },
    { 0x6FA1, "set_sun_shadow_params" },
    { 0x6FA2, "set_swimming_animarray_aiming" },
    { 0x6FA3, "set_swimming_turns" },
    { 0x6FA4, "set_synch_attack_setup" },
    { 0x6FA5, "set_talker_until_msg" },
    { 0x6FA6, "set_team_bcvoice" },
    { 0x6FA7, "set_team_colors" },
    { 0x6FA8, "set_team_ignore_states" },
    { 0x6FA9, "set_team_pacifist" },
    { 0x6FAA, "set_threat_bias_group" },
    { 0x6FAB, "set_threshold" },
    { 0x6FAC, "set_timescale" },
    { 0x6FAD, "set_tool_hudelem" },
    { 0x6FAE, "set_track_values" },
    { 0x6FAF, "set_trigger_flag_permissions" },
    { 0x6FB0, "set_turret_ammocount" },
    { 0x6FB1, "set_turret_team" },
    { 0x6FB2, "set_twitch" },
    { 0x6FB3, "set_unarmed_walk" },
    { 0x6FB4, "set_up_attack_node_watchers" },
    { 0x6FB5, "set_up_vignette_enemies" },
    { 0x6FB6, "set_up_when_patroller_goes" },
    { 0x6FB7, "set_upgrade_level" },
    { 0x6FB8, "set_use_text" },
    { 0x6FB9, "set_use_time" },
    { 0x6FBA, "set_vehicle_anims" },
    { 0x6FBB, "set_vehicle_anims_turret" },
    { 0x6FBC, "set_vehicle_effect" },
    { 0x6FBD, "set_vf_end1" },
    { 0x6FBE, "set_vf_end2" },
    { 0x6FBF, "set_vision_set" },
    { 0x6FC0, "set_vision_set_player" },
    { 0x6FC1, "set_vision_set_stage" },
    { 0x6FC2, "set_visionset_for_watching_players" },
    { 0x6FC3, "set_vo_currently_playing" },
    { 0x6FC4, "set_vo_system_playing" },
    { 0x6FC5, "set_wait_then_clear_skipbloodpool" },
    { 0x6FC6, "set_waits" },
    { 0x6FC7, "set_warelights_off" },
    { 0x6FC8, "set_water_fog" },
    { 0x6FC9, "set_whizby" },
    { 0x6FCA, "set_whizby_radius" },
    { 0x6FCB, "set_whizby_spread" },
    { 0x6FCC, "set_wind" },
    { 0x6FCD, "set_x" },
    { 0x6FCE, "set_y" },
    { 0x6FCF, "set_z" },
    { 0x6FD0, "set_zero_gravity" },
    { 0x6FD1, "set_zodiac_override_anims" },
    { 0x6FD2, "set_zone" },
    { 0x6FD3, "setac130" },
    { 0x6FD4, "setac130player" },
    { 0x6FD5, "setactivegrenadetimer" },
    { 0x6FD6, "setadrenaline" },
    { 0x6FD7, "setaimingparams" },
    { 0x6FD8, "setairdropcratecollision" },
    { 0x6FD9, "setaishootoverride" },
    { 0x6FDA, "setalienloadout" },
    { 0x6FDB, "setallvehiclefx" },
    { 0x6FDC, "setaltsceneobj" },
    { 0x6FDD, "setanimaimweight" },
    { 0x6FDE, "setanimrestart_once" },
    { 0x6FDF, "setanims" },
    { 0x6FE0, "setanims_coverleft_stand" },
    { 0x6FE1, "setanims_coverright_stand" },
    { 0x6FE2, "setanims_coverup_stand" },
    { 0x6FE3, "setanims_flood_infil" },
    { 0x6FE4, "setanims_turret" },
    { 0x6FE5, "setanimtree" },
    { 0x6FE6, "setassists" },
    { 0x6FE7, "setautospot" },
    { 0x6FE8, "setawardrecord" },
    { 0x6FE9, "setblackbox" },
    { 0x6FEA, "setblastermodel" },
    { 0x6FEB, "setblastshield" },
    { 0x6FEC, "setblindeye" },
    { 0x6FED, "setbloodrush" },
    { 0x6FEE, "setbloodrushinternal" },
    { 0x6FEF, "setblur_to_zero" },
    { 0x6FF0, "setbodyarmor" },
    { 0x6FF1, "setboom" },
    { 0x6FF2, "setboominternal" },
    { 0x6FF3, "setbucketval" },
    { 0x6FF4, "setc4death" },
    { 0x6FF5, "setcanuse" },
    { 0x6FF6, "setcarepackage" },
    { 0x6FF7, "setcarrier" },
    { 0x6FF8, "setcarriervisible" },
    { 0x6FF9, "setcarryicon" },
    { 0x6FFA, "setcarryingims" },
    { 0x6FFB, "setcarryingremoteuav" },
    { 0x6FFC, "setcarryingsentry" },
    { 0x6FFD, "setcarryingtank" },
    { 0x6FFE, "setcarryingturret" },
    { 0x6FFF, "setchallenger" },
    { 0x7000, "setcharactermodels" },
    { 0x7001, "setcinematiccamerastyle" },
    { 0x7002, "setclaimteam" },
    { 0x7003, "setclass" },
    { 0x7004, "setclaymoreteamheadicon" },
    { 0x7005, "setcombathigh" },
    { 0x7006, "setcombatspeed" },
    { 0x7007, "setcombatspeedscalar" },
    { 0x7008, "setcombatstandmoveanimweights" },
    { 0x7009, "setcomexp" },
    { 0x700A, "setcommonrulesfrommatchrulesdata" },
    { 0x700B, "setcoopplayerdata_for_everyone" },
    { 0x700C, "setcoopplayerdata_for_everyone_raw" },
    { 0x700D, "setcrankedbombtimer" },
    { 0x700E, "setcratelook" },
    { 0x700F, "setcratelooksbasedontap" },
    { 0x7010, "setcrawlingpaintransanim" },
    { 0x7011, "setdangerspeed" },
    { 0x7012, "setdeadeye" },
    { 0x7013, "setdeadeyeinternal" },
    { 0x7014, "setdefaultactionslot" },
    { 0x7015, "setdefaultcallbacks" },
    { 0x7016, "setdefaultcharacterdata" },
    { 0x7017, "setdefaultcorneranimmode" },
    { 0x7018, "setdefaultmodel" },
    { 0x7019, "setdefaultwallanimmode" },
    { 0x701A, "setdelaymine" },
    { 0x701B, "setdifficulty" },
    { 0x701C, "setdirection" },
    { 0x701D, "setdistanceonparts" },
    { 0x701E, "setdodgeanims" },
    { 0x701F, "setdot_height" },
    { 0x7020, "setdot_ontick" },
    { 0x7021, "setdot_origin" },
    { 0x7022, "setdot_radius" },
    { 0x7023, "setdoubleload" },
    { 0x7024, "setdrivenanim" },
    { 0x7025, "setdropped" },
    { 0x7026, "setdvar_cg_ng" },
    { 0x7027, "setempimmune" },
    { 0x7028, "setemptydvar" },
    { 0x7029, "setendgame" },
    { 0x702A, "setenemyagenthealth" },
    { 0x702B, "setenemydifficultysettings" },
    { 0x702C, "setenforcermodel" },
    { 0x702D, "setengagementspeed" },
    { 0x702E, "setentityheadicon" },
    { 0x702F, "setevadespeed" },
    { 0x7030, "setexitpredatorvisionset" },
    { 0x7031, "setfinalstand" },
    { 0x7032, "setfireloopmod" },
    { 0x7033, "setfirstinfected" },
    { 0x7034, "setflagcaptured" },
    { 0x7035, "setflagneutral" },
    { 0x7036, "setflashbangimmunity" },
    { 0x7037, "setflashfrac" },
    { 0x7038, "setfogsliders" },
    { 0x7039, "setfootstepeffect" },
    { 0x703A, "setfootstepeffectsmall" },
    { 0x703B, "setfreefall" },
    { 0x703C, "setfriendlyfire" },
    { 0x703D, "setfriendlyspawn" },
    { 0x703E, "setgambler" },
    { 0x703F, "setgamblerinternal" },
    { 0x7040, "setgamesplayed" },
    { 0x7041, "setglobalaimsettings" },
    { 0x7042, "setglobaldifficulty" },
    { 0x7043, "setgoalpos" },
    { 0x7044, "setgrenadetimer" },
    { 0x7045, "setgunsmith" },
    { 0x7046, "setgunsmithinternal" },
    { 0x7047, "sethammermodel" },
    { 0x7048, "sethardshell" },
    { 0x7049, "sethasdonecombat" },
    { 0x704A, "setheadicon" },
    { 0x704B, "setheavyarmor" },
    { 0x704C, "setheight" },
    { 0x704D, "sethelicopterminigun" },
    { 0x704E, "sethighvaluetarget" },
    { 0x704F, "sethudtimer" },
    { 0x7050, "seticonshader" },
    { 0x7051, "seticonsize" },
    { 0x7052, "setidleface" },
    { 0x7053, "setidlefacedelayed" },
    { 0x7054, "setincog" },
    { 0x7055, "setinfectedmodels" },
    { 0x7056, "setinfectedmsg" },
    { 0x7057, "setinflictorstat" },
    { 0x7058, "setinitialtonormalinfected" },
    { 0x7059, "setjugg" },
    { 0x705A, "setjuggmaniac" },
    { 0x705B, "setjuiced" },
    { 0x705C, "setkeyobject" },
    { 0x705D, "setkillcamentity" },
    { 0x705E, "setkillcamerastyle" },
    { 0x705F, "setkillstreaks" },
    { 0x7060, "setlastcallouttype" },
    { 0x7061, "setlaststoppedtime" },
    { 0x7062, "setlevelcompleted" },
    { 0x7063, "setlightarmor" },
    { 0x7064, "setlightweight" },
    { 0x7065, "setlittlebirdsupport" },
    { 0x7066, "setlocaljammer" },
    { 0x7067, "setlowermessage" },
    { 0x7068, "setmapcenterfordev" },
    { 0x7069, "setmarksman" },
    { 0x706A, "setmatchrecordifgreater" },
    { 0x706B, "setmatchrecordiflower" },
    { 0x706C, "setmaxheight_overtime" },
    { 0x706D, "setmeleeattackdist" },
    { 0x706E, "setmenu" },
    { 0x706F, "setminheight_overtime" },
    { 0x7070, "setminiengagementspeed" },
    { 0x7071, "setmisstime" },
    { 0x7072, "setmodelfromarray" },
    { 0x7073, "setmodelfromcustomization" },
    { 0x7074, "setmodelvisibility" },
    { 0x7075, "setmoveanim" },
    { 0x7076, "setmovenonforwardanims" },
    { 0x7077, "setnameandrank_andaddtosquad" },
    { 0x7078, "setnewplayerchain" },
    { 0x7079, "setnextdogattackallowtime" },
    { 0x707A, "setnextplayergrenadetime" },
    { 0x707B, "setnohide" },
    { 0x707C, "setnoshow" },
    { 0x707D, "setnotarget" },
    { 0x707E, "setnotetrackeffect" },
    { 0x707F, "setnotetracksound" },
    { 0x7080, "setnpcid" },
    { 0x7081, "setobjectivehinttext" },
    { 0x7082, "setobjectiveicons" },
    { 0x7083, "setobjectivescoretext" },
    { 0x7084, "setobjectivetext" },
    { 0x7085, "setobjectivetextcolors" },
    { 0x7086, "setonbombtimerend" },
    { 0x7087, "setonemanarmy" },
    { 0x7088, "setoriginbyname" },
    { 0x7089, "setoverkillpro" },
    { 0x708A, "setoverlay" },
    { 0x708B, "setoverridewatchdvar" },
    { 0x708C, "setovertimelimitdvar" },
    { 0x708D, "setownerteam" },
    { 0x708E, "setpainted" },
    { 0x708F, "setparent" },
    { 0x7090, "setpastpursuitfailed" },
    { 0x7091, "setpersonalbestifgreater" },
    { 0x7092, "setpersonalbestiflower" },
    { 0x7093, "setpersstat" },
    { 0x7094, "setpickedup" },
    { 0x7095, "setpitcher" },
    { 0x7096, "setpitcherinternal" },
    { 0x7097, "setplayer_anims" },
    { 0x7098, "setplayerbcnameid" },
    { 0x7099, "setplayerheadicon" },
    { 0x709A, "setplayerinside" },
    { 0x709B, "setplayerloadout" },
    { 0x709C, "setplayermodels" },
    { 0x709D, "setplayeroutside" },
    { 0x709E, "setplayerradareffect" },
    { 0x709F, "setplayerscoreboardinfo" },
    { 0x70A0, "setplayerstat" },
    { 0x70A1, "setplayerstatifgreater" },
    { 0x70A2, "setplayerstatiflower" },
    { 0x70A3, "setplayertocamera" },
    { 0x70A4, "setpoint" },
    { 0x70A5, "setpointbar" },
    { 0x70A6, "setpose" },
    { 0x70A7, "setposemovement" },
    { 0x70A8, "setposemovementfnarray" },
    { 0x70A9, "setposition" },
    { 0x70AA, "setprecision_airstrike" },
    { 0x70AB, "setpredatormissile" },
    { 0x70AC, "setquickswap" },
    { 0x70AD, "setrambogrenadeoffsets" },
    { 0x70AE, "setratio" },
    { 0x70AF, "setravagermodel" },
    { 0x70B0, "setrearview" },
    { 0x70B1, "setrecoilscale" },
    { 0x70B2, "setrefillammo" },
    { 0x70B3, "setrefillgrenades" },
    { 0x70B4, "setregenfaster" },
    { 0x70B5, "setrestxpgoal" },
    { 0x70B6, "setrevenge" },
    { 0x70B7, "setridershooting" },
    { 0x70B8, "setrshieldradar" },
    { 0x70B9, "setrshieldradar_cleanup" },
    { 0x70BA, "setrshieldscrambler" },
    { 0x70BB, "setrshieldscrambler_cleanup" },
    { 0x70BC, "setsaboteur" },
    { 0x70BD, "setsaveddvar_cg_ng" },
    { 0x70BE, "setscrambled" },
    { 0x70BF, "setselfusable" },
    { 0x70C0, "setsentryminigun" },
    { 0x70C1, "setsharpfocus" },
    { 0x70C2, "setshootenttoenemy" },
    { 0x70C3, "setshootstyle" },
    { 0x70C4, "setshootstyleforsuppression" },
    { 0x70C5, "setshootstyleforvisibleenemy" },
    { 0x70C6, "setshootwhilemoving" },
    { 0x70C7, "setsilentkill" },
    { 0x70C8, "setsize" },
    { 0x70C9, "setskill" },
    { 0x70CA, "setsniperaccuracy" },
    { 0x70CB, "setsoundstate" },
    { 0x70CC, "setspawnpoint" },
    { 0x70CD, "setspawnvariables" },
    { 0x70CE, "setspecialloadout" },
    { 0x70CF, "setspecialloadouts" },
    { 0x70D0, "setspectatepermissions" },
    { 0x70D1, "setspectator" },
    { 0x70D2, "setstandardspeed" },
    { 0x70D3, "setsteadyaimpro" },
    { 0x70D4, "setsteelnerves" },
    { 0x70D5, "setstoppingpower" },
    { 0x70D6, "setstreakcounttonext" },
    { 0x70D7, "setstrikermodel" },
    { 0x70D8, "setstunresistance" },
    { 0x70D9, "setsurvivaltime" },
    { 0x70DA, "settacticalinsertion" },
    { 0x70DB, "settagger" },
    { 0x70DC, "settaggerinternal" },
    { 0x70DD, "settagvalue" },
    { 0x70DE, "settank" },
    { 0x70DF, "setteam" },
    { 0x70E0, "setteamheadicon" },
    { 0x70E1, "setteamradarwrapper" },
    { 0x70E2, "setteamusetext" },
    { 0x70E3, "setteamusetime" },
    { 0x70E4, "settempnofalldamage" },
    { 0x70E5, "setthermal" },
    { 0x70E6, "setthirdpersondof" },
    { 0x70E7, "settimeofnextsound" },
    { 0x70E8, "settriggerhappy" },
    { 0x70E9, "settriggerhappyinternal" },
    { 0x70EA, "setturretfireondrones" },
    { 0x70EB, "setturretusable" },
    { 0x70EC, "settweakablelastvalue" },
    { 0x70ED, "settweakablevalue" },
    { 0x70EE, "setuav" },
    { 0x70EF, "setup" },
    { 0x70F0, "setup_a10_waits" },
    { 0x70F1, "setup_additive_aim" },
    { 0x70F2, "setup_after_hunt" },
    { 0x70F3, "setup_ai" },
    { 0x70F4, "setup_ai_eq_triggers" },
    { 0x70F5, "setup_ai_for_end" },
    { 0x70F6, "setup_aianimthreads" },
    { 0x70F7, "setup_air_strip_m880" },
    { 0x70F8, "setup_alien_type" },
    { 0x70F9, "setup_allies_streets_to_dam" },
    { 0x70FA, "setup_allies_vehicle_approach" },
    { 0x70FB, "setup_ambient_missile_launches" },
    { 0x70FC, "setup_ambient_tank_drop" },
    { 0x70FD, "setup_ambush" },
    { 0x70FE, "setup_anim_array" },
    { 0x70FF, "setup_ascent" },
    { 0x7100, "setup_atrium" },
    { 0x7101, "setup_atrium_check" },
    { 0x7102, "setup_bar" },
    { 0x7103, "setup_bind_detection" },
    { 0x7104, "setup_blackhawk" },
    { 0x7105, "setup_blocker_hives" },
    { 0x7106, "setup_blockers" },
    { 0x7107, "setup_bodydrag_startpoint" },
    { 0x7108, "setup_bokehdot_volume" },
    { 0x7109, "setup_bot_war" },
    { 0x710A, "setup_building_entry" },
    { 0x710B, "setup_bullet_pinholes" },
    { 0x710C, "setup_callbacks" },
    { 0x710D, "setup_camera_roll" },
    { 0x710E, "setup_capture" },
    { 0x710F, "setup_cave" },
    { 0x7110, "setup_chaos" },
    { 0x7111, "setup_chaos_a" },
    { 0x7112, "setup_chaos_b" },
    { 0x7113, "setup_chaos_collision" },
    { 0x7114, "setup_chase_dog" },
    { 0x7115, "setup_checkpoint" },
    { 0x7116, "setup_checkpoint_combat" },
    { 0x7117, "setup_church" },
    { 0x7118, "setup_clubhouse" },
    { 0x7119, "setup_colors_for_attack" },
    { 0x711A, "setup_combat" },
    { 0x711B, "setup_common" },
    { 0x711C, "setup_contrails" },
    { 0x711D, "setup_courtyard" },
    { 0x711E, "setup_cover_crouch" },
    { 0x711F, "setup_cover_prone" },
    { 0x7120, "setup_cover_stand" },
    { 0x7121, "setup_crater" },
    { 0x7122, "setup_crouching_anim_array" },
    { 0x7123, "setup_current_fireworks" },
    { 0x7124, "setup_cut_rope_hint" },
    { 0x7125, "setup_cycle_end_area_list" },
    { 0x7126, "setup_damageable_exploder_rooftanks" },
    { 0x7127, "setup_dead_destroyed_and_misc" },
    { 0x7128, "setup_deck_combat" },
    { 0x7129, "setup_deck_tilt" },
    { 0x712A, "setup_deck_transition" },
    { 0x712B, "setup_deck_victory" },
    { 0x712C, "setup_deer" },
    { 0x712D, "setup_default_weapons" },
    { 0x712E, "setup_defend" },
    { 0x712F, "setup_defend_blowdoors1" },
    { 0x7130, "setup_defend_blowdoors2" },
    { 0x7131, "setup_defend_fire_blocker" },
    { 0x7132, "setup_defend_plat" },
    { 0x7133, "setup_defend_sparrow" },
    { 0x7134, "setup_defend_zodiac" },
    { 0x7135, "setup_defense_bunkers" },
    { 0x7136, "setup_destructible_dots" },
    { 0x7137, "setup_destructibles" },
    { 0x7138, "setup_destructibles_thread" },
    { 0x7139, "setup_disguise_for_allies" },
    { 0x713A, "setup_dog" },
    { 0x713B, "setup_dog_hunt" },
    { 0x713C, "setup_dog_hunt2" },
    { 0x713D, "setup_door" },
    { 0x713E, "setup_drill" },
    { 0x713F, "setup_drive_in" },
    { 0x7140, "setup_dufflebag_anims" },
    { 0x7141, "setup_dynamic_detour" },
    { 0x7142, "setup_e3" },
    { 0x7143, "setup_edge_lean" },
    { 0x7144, "setup_electric_fence" },
    { 0x7145, "setup_electric_puddle" },
    { 0x7146, "setup_enemies_open_gate" },
    { 0x7147, "setup_engine_fx" },
    { 0x7148, "setup_exfil" },
    { 0x7149, "setup_exfil_alt" },
    { 0x714A, "setup_fake_destroyer_targets" },
    { 0x714B, "setup_fake_riders" },
    { 0x714C, "setup_falling_sat_dish" },
    { 0x714D, "setup_fed_destroyer_osprey" },
    { 0x714E, "setup_finale" },
    { 0x714F, "setup_fire_damage" },
    { 0x7150, "setup_firework" },
    { 0x7151, "setup_fixtures" },
    { 0x7152, "setup_flag_exploders" },
    { 0x7153, "setup_flags" },
    { 0x7154, "setup_flood_water_anims" },
    { 0x7155, "setup_footstep_fx" },
    { 0x7156, "setup_for_exfil" },
    { 0x7157, "setup_friendlies" },
    { 0x7158, "setup_front_elevator" },
    { 0x7159, "setup_fuel_leak_lighting" },
    { 0x715A, "setup_fx" },
    { 0x715B, "setup_gag_stage_silenthawk_load" },
    { 0x715C, "setup_gag_stage_silenthawk_unload" },
    { 0x715D, "setup_garden" },
    { 0x715E, "setup_garden_entry" },
    { 0x715F, "setup_gate" },
    { 0x7160, "setup_gate_ai" },
    { 0x7161, "setup_ghost_town" },
    { 0x7162, "setup_groundnode_detour" },
    { 0x7163, "setup_hangar_truck_pre_loaded" },
    { 0x7164, "setup_hangar_truck_to_load" },
    { 0x7165, "setup_hill_enemies" },
    { 0x7166, "setup_hints" },
    { 0x7167, "setup_house" },
    { 0x7168, "setup_hud_elem" },
    { 0x7169, "setup_hvt" },
    { 0x716A, "setup_hvt_test" },
    { 0x716B, "setup_ignore_suppression_triggers" },
    { 0x716C, "setup_individual_exploder" },
    { 0x716D, "setup_initial_ai" },
    { 0x716E, "setup_interior" },
    { 0x716F, "setup_interior_combat" },
    { 0x7170, "setup_interior_cqb" },
    { 0x7171, "setup_interior_vault_scene" },
    { 0x7172, "setup_intro" },
    { 0x7173, "setup_intro2" },
    { 0x7174, "setup_intro_allies" },
    { 0x7175, "setup_intro_internal" },
    { 0x7176, "setup_inverted_rappel" },
    { 0x7177, "setup_investigate_location" },
    { 0x7178, "setup_island_flag" },
    { 0x7179, "setup_item_data" },
    { 0x717A, "setup_jet_and_clip" },
    { 0x717B, "setup_jimmy" },
    { 0x717C, "setup_junction" },
    { 0x717D, "setup_jungle_enemies" },
    { 0x717E, "setup_last_hive" },
    { 0x717F, "setup_launcher_baker" },
    { 0x7180, "setup_launcher_rorke" },
    { 0x7181, "setup_lcs_audio" },
    { 0x7182, "setup_levelvars" },
    { 0x7183, "setup_lights" },
    { 0x7184, "setup_loadingdocks_water" },
    { 0x7185, "setup_lootbox" },
    { 0x7186, "setup_mall" },
    { 0x7187, "setup_mansion" },
    { 0x7188, "setup_mansion_ext" },
    { 0x7189, "setup_mantle_hint" },
    { 0x718A, "setup_medbay" },
    { 0x718B, "setup_meteor_firework" },
    { 0x718C, "setup_meteoroid_paths" },
    { 0x718D, "setup_mig29_waits" },
    { 0x718E, "setup_minigun_hands" },
    { 0x718F, "setup_miniguns" },
    { 0x7190, "setup_missile_launcher" },
    { 0x7191, "setup_mortar_fire" },
    { 0x7192, "setup_mortar_terrain" },
    { 0x7193, "setup_names" },
    { 0x7194, "setup_neighborhood" },
    { 0x7195, "setup_new_finale" },
    { 0x7196, "setup_object_friction_mass" },
    { 0x7197, "setup_objectives" },
    { 0x7198, "setup_ocean" },
    { 0x7199, "setup_ocean_params" },
    { 0x719A, "setup_ocean_perlin" },
    { 0x719B, "setup_ocean_vista_tilt" },
    { 0x719C, "setup_office_enemy_vo" },
    { 0x719D, "setup_palm_trees_in_rushing_water" },
    { 0x719E, "setup_personalities" },
    { 0x719F, "setup_pickup" },
    { 0x71A0, "setup_plane_debris" },
    { 0x71A1, "setup_planes" },
    { 0x71A2, "setup_play_chaos_chunk_anims" },
    { 0x71A3, "setup_play_street_2_anims_think" },
    { 0x71A4, "setup_player" },
    { 0x71A5, "setup_player_for_animated_sequence" },
    { 0x71A6, "setup_player_loot" },
    { 0x71A7, "setup_player_view_water_fx_source" },
    { 0x71A8, "setup_post_crater" },
    { 0x71A9, "setup_post_crater_dog" },
    { 0x71AA, "setup_post_crater_house" },
    { 0x71AB, "setup_radar_pos" },
    { 0x71AC, "setup_rappel" },
    { 0x71AD, "setup_rappel_stealth" },
    { 0x71AE, "setup_rear_elevator" },
    { 0x71AF, "setup_retreat_vols" },
    { 0x71B0, "setup_rog_warscene" },
    { 0x71B1, "setup_rooftop_dof" },
    { 0x71B2, "setup_rooftop_intro" },
    { 0x71B3, "setup_rooftop_shoot" },
    { 0x71B4, "setup_rope" },
    { 0x71B5, "setup_rope_coil" },
    { 0x71B6, "setup_run_n_gun" },
    { 0x71B7, "setup_run_to_sparrow" },
    { 0x71B8, "setup_satellite" },
    { 0x71B9, "setup_satellite_b" },
    { 0x71BA, "setup_satfarm_chainlink_fence_triggers" },
    { 0x71BB, "setup_scene" },
    { 0x71BC, "setup_scientist" },
    { 0x71BD, "setup_script_gatetrigger" },
    { 0x71BE, "setup_sentry_globals" },
    { 0x71BF, "setup_sentry_grenade_launcher" },
    { 0x71C0, "setup_sentry_grenade_launcher_weak" },
    { 0x71C1, "setup_sentry_minigun" },
    { 0x71C2, "setup_sentry_minigun_weak" },
    { 0x71C3, "setup_sentry_smg" },
    { 0x71C4, "setup_sfx_dam_siren" },
    { 0x71C5, "setup_shadow_kill" },
    { 0x71C6, "setup_shuffle_anim_array" },
    { 0x71C7, "setup_slow_intro" },
    { 0x71C8, "setup_sniper_view" },
    { 0x71C9, "setup_soccer_scene" },
    { 0x71CA, "setup_solar_panel_player_sound_triggers" },
    { 0x71CB, "setup_spawners" },
    { 0x71CC, "setup_squad_stealth" },
    { 0x71CD, "setup_stairwell" },
    { 0x71CE, "setup_standing_anim_array" },
    { 0x71CF, "setup_static_osprey" },
    { 0x71D0, "setup_tag_anim_rig" },
    { 0x71D1, "setup_target_on_vehicle" },
    { 0x71D2, "setup_taxing_osprey" },
    { 0x71D3, "setup_teargas" },
    { 0x71D4, "setup_traverse" },
    { 0x71D5, "setup_trickle_guy" },
    { 0x71D6, "setup_trig_constants" },
    { 0x71D7, "setup_trigger_damaged" },
    { 0x71D8, "setup_triggers" },
    { 0x71D9, "setup_tunnel" },
    { 0x71DA, "setup_turret" },
    { 0x71DB, "setup_turret_anims" },
    { 0x71DC, "setup_turrets" },
    { 0x71DD, "setup_vault_door" },
    { 0x71DE, "setup_vault_props" },
    { 0x71DF, "setup_vehicle_spawners" },
    { 0x71E0, "setup_vehicles" },
    { 0x71E1, "setup_vip" },
    { 0x71E2, "setup_wall" },
    { 0x71E3, "setup_watcher" },
    { 0x71E4, "setup_water_death" },
    { 0x71E5, "setup_window_cutout" },
    { 0x71E6, "setup_windsocks" },
    { 0x71E7, "setup_wolfpack" },
    { 0x71E8, "setup_woods" },
    { 0x71E9, "setup_zipline" },
    { 0x71EA, "setupaim" },
    { 0x71EB, "setupapproachnode" },
    { 0x71EC, "setupbombsquad" },
    { 0x71ED, "setupbrushmodel" },
    { 0x71EE, "setupbus" },
    { 0x71EF, "setupbutton" },
    { 0x71F0, "setupcallbacks" },
    { 0x71F1, "setupcqbpointsofinterest" },
    { 0x71F2, "setupdamageflags" },
    { 0x71F3, "setupdestructiblekillcaments" },
    { 0x71F4, "setupdialog" },
    { 0x71F5, "setupdogstate" },
    { 0x71F6, "setupdoor" },
    { 0x71F7, "setupelevator" },
    { 0x71F8, "setupexploders" },
    { 0x71F9, "setupexposedcombatloop" },
    { 0x71FA, "setupforrandomspawn" },
    { 0x71FB, "setupfx" },
    { 0x71FC, "setuphelirange" },
    { 0x71FD, "setupkillcament" },
    { 0x71FE, "setuplootcrates" },
    { 0x71FF, "setupmb" },
    { 0x7200, "setupminimap" },
    { 0x7201, "setupmovement" },
    { 0x7202, "setuppaths" },
    { 0x7203, "setupplayerforanimations" },
    { 0x7204, "setupplayerforgameplay" },
    { 0x7205, "setupplayermodel" },
    { 0x7206, "setupproneaim" },
    { 0x7207, "setuprandomtable" },
    { 0x7208, "setupsavedactionslots" },
    { 0x7209, "setupuniqueanims" },
    { 0x720A, "setusablebyotherteams" },
    { 0x720B, "setusablebyteam" },
    { 0x720C, "setusehinttext" },
    { 0x720D, "setusetext" },
    { 0x720E, "setusetime" },
    { 0x720F, "setusingremote" },
    { 0x7210, "setvehgoalpos_wrap" },
    { 0x7211, "setvehiclefx" },
    { 0x7212, "setvisibleteam" },
    { 0x7213, "setvisionforplayer" },
    { 0x7214, "setvoprefix" },
    { 0x7215, "setweapon" },
    { 0x7216, "setweaponlaser" },
    { 0x7217, "setweaponlaser_internal" },
    { 0x7218, "setweaponlaser_monitorads" },
    { 0x7219, "setweaponstat" },
    { 0x721A, "setwidth" },
    { 0x721B, "setxenonranks" },
    { 0x721C, "seventyfive_percent_accuracy_success_test" },
    { 0x721D, "sfx_airlock_door" },
    { 0x721E, "sfx_alarms_script" },
    { 0x721F, "sfx_ally_ally_grapple" },
    { 0x7220, "sfx_ally_grab_script" },
    { 0x7221, "sfx_ally_plr_grapple" },
    { 0x7222, "sfx_ally_plr_grapple_failed" },
    { 0x7223, "sfx_ally_plr_grapple_loop" },
    { 0x7224, "sfx_ally_plr_grapple_loop_init" },
    { 0x7225, "sfx_ally_plr_grapple_ss" },
    { 0x7226, "sfx_ally_plr_grapple_stop" },
    { 0x7227, "sfx_ally_plr_grapple_success" },
    { 0x7228, "sfx_and_visual_shake" },
    { 0x7229, "sfx_ascend_check" },
    { 0x722A, "sfx_ascend_node" },
    { 0x722B, "sfx_ascend_wind_01" },
    { 0x722C, "sfx_ascend_wind_02" },
    { 0x722D, "sfx_ascend_wind_03" },
    { 0x722E, "sfx_ascend_wind_03_fade" },
    { 0x722F, "sfx_ascend_wind_last" },
    { 0x7230, "sfx_assault_heli_engine" },
    { 0x7231, "sfx_assault_heli_flyin" },
    { 0x7232, "sfx_assault_heli_wind" },
    { 0x7233, "sfx_baker_fight_scene" },
    { 0x7234, "sfx_baker_move_body_chair" },
    { 0x7235, "sfx_barracks_breach" },
    { 0x7236, "sfx_beach_drags" },
    { 0x7237, "sfx_beginning_rog_fire" },
    { 0x7238, "sfx_bg_fighting" },
    { 0x7239, "sfx_bg_fighting_emt" },
    { 0x723A, "sfx_bg_fighting_line_emitter" },
    { 0x723B, "sfx_big_metal_stress" },
    { 0x723C, "sfx_black_ice_node_init" },
    { 0x723D, "sfx_black_ice_nodes" },
    { 0x723E, "sfx_black_ice_tanks_rumble" },
    { 0x723F, "sfx_blackice_catwalk_collapse" },
    { 0x7240, "sfx_blackice_catwalk_explode" },
    { 0x7241, "sfx_blackice_cmd_fire" },
    { 0x7242, "sfx_blackice_console_fail_explo" },
    { 0x7243, "sfx_blackice_derrick_exp4_ss" },
    { 0x7244, "sfx_blackice_derrick_exp6_ss" },
    { 0x7245, "sfx_blackice_door_rollup" },
    { 0x7246, "sfx_blackice_doorway_wind_emt_barracks" },
    { 0x7247, "sfx_blackice_engine_beam_fall" },
    { 0x7248, "sfx_blackice_engine_dist_explo" },
    { 0x7249, "sfx_blackice_exfil_heli" },
    { 0x724A, "sfx_blackice_fail_explo" },
    { 0x724B, "sfx_blackice_fail_fall" },
    { 0x724C, "sfx_blackice_fire_extinguisher_spray" },
    { 0x724D, "sfx_blackice_helo_flyby" },
    { 0x724E, "sfx_blackice_rig_start2_ss" },
    { 0x724F, "sfx_blackice_rig_start3_ss" },
    { 0x7250, "sfx_blackice_rig_start_ss" },
    { 0x7251, "sfx_blackice_tanks_dist_explo" },
    { 0x7252, "sfx_boss_shot_begin" },
    { 0x7253, "sfx_boss_shot_end" },
    { 0x7254, "sfx_breach_detonate" },
    { 0x7255, "sfx_breach_plant_charges" },
    { 0x7256, "sfx_bridge_down_npc" },
    { 0x7257, "sfx_bridge_down_plr" },
    { 0x7258, "sfx_camera_intro" },
    { 0x7259, "sfx_camera_mvmt" },
    { 0x725A, "sfx_cargo_hatch" },
    { 0x725B, "sfx_cargo_lift" },
    { 0x725C, "sfx_cargo_sway" },
    { 0x725D, "sfx_catwalk_guy_over_railing" },
    { 0x725E, "sfx_change_zone" },
    { 0x725F, "sfx_change_zone_exfil" },
    { 0x7260, "sfx_change_zone_exfil2" },
    { 0x7261, "sfx_chooper_wait_and_play" },
    { 0x7262, "sfx_chopper_4_play" },
    { 0x7263, "sfx_close_first_door" },
    { 0x7264, "sfx_cmd_amb_change" },
    { 0x7265, "sfx_cmd_amb_change_final" },
    { 0x7266, "sfx_cmd_console_acknowledge" },
    { 0x7267, "sfx_cmd_metal_bend" },
    { 0x7268, "sfx_cmd_node_cleanup" },
    { 0x7269, "sfx_cmd_seq_end" },
    { 0x726A, "sfx_command_center_door_open" },
    { 0x726B, "sfx_command_warning_sfx" },
    { 0x726C, "sfx_common_breach_mix" },
    { 0x726D, "sfx_computer_error" },
    { 0x726E, "sfx_continued_shaking" },
    { 0x726F, "sfx_control_room_launch" },
    { 0x7270, "sfx_controlroom_explosions" },
    { 0x7271, "sfx_cw_door_open" },
    { 0x7272, "sfx_dam_start_water" },
    { 0x7273, "sfx_dam_tidal_wave_01" },
    { 0x7274, "sfx_dam_tidal_wave_02" },
    { 0x7275, "sfx_death_stop_rumbles" },
    { 0x7276, "sfx_death_stop_turbines" },
    { 0x7277, "sfx_decomp_door" },
    { 0x7278, "sfx_delete_refinery_alarm_node" },
    { 0x7279, "sfx_delete_refinery_fire_nodes" },
    { 0x727A, "sfx_derrick_expl_init" },
    { 0x727B, "sfx_derrick_expl_trig" },
    { 0x727C, "sfx_derrick_mix_change" },
    { 0x727D, "sfx_destroy_hive" },
    { 0x727E, "sfx_diaz_stealth_kills2" },
    { 0x727F, "sfx_dist_odin_fire" },
    { 0x7280, "sfx_distant_alarm" },
    { 0x7281, "sfx_distant_explo" },
    { 0x7282, "sfx_distant_oil_rig" },
    { 0x7283, "sfx_drill_destroyed" },
    { 0x7284, "sfx_drill_off" },
    { 0x7285, "sfx_drill_offline" },
    { 0x7286, "sfx_drill_offline_beep" },
    { 0x7287, "sfx_drill_on" },
    { 0x7288, "sfx_drill_overheat" },
    { 0x7289, "sfx_drill_plant" },
    { 0x728A, "sfx_drill_reactivate" },
    { 0x728B, "sfx_end_combat_amb" },
    { 0x728C, "sfx_end_explo" },
    { 0x728D, "sfx_enemies_stop" },
    { 0x728E, "sfx_enemy_nodes" },
    { 0x728F, "sfx_escape_destruction_fire_puffs" },
    { 0x7290, "sfx_escape_door_open" },
    { 0x7291, "sfx_exfil_alarm" },
    { 0x7292, "sfx_exfil_outro" },
    { 0x7293, "sfx_exfil_outro_mix" },
    { 0x7294, "sfx_exfil_slomo00" },
    { 0x7295, "sfx_exfil_slomo01" },
    { 0x7296, "sfx_exfil_stop_alarm" },
    { 0x7297, "sfx_exited_flarestack" },
    { 0x7298, "sfx_fail01" },
    { 0x7299, "sfx_faked_hurt_breathing" },
    { 0x729A, "sfx_fire_tower_lookat_flag" },
    { 0x729B, "sfx_fire_tower_lookat_section" },
    { 0x729C, "sfx_fire_tower_spawn" },
    { 0x729D, "sfx_fire_tower_trigger_array" },
    { 0x729E, "sfx_fire_tower_trigger_logic" },
    { 0x729F, "sfx_fire_tower_triggers" },
    { 0x72A0, "sfx_fire_tower_triggers_init" },
    { 0x72A1, "sfx_flare_stack_amb_emt" },
    { 0x72A2, "sfx_flare_stack_arm_expl" },
    { 0x72A3, "sfx_flare_stack_burn" },
    { 0x72A4, "sfx_flare_stack_shutdown" },
    { 0x72A5, "sfx_flarestack_door_open" },
    { 0x72A6, "sfx_flood_int_alarm" },
    { 0x72A7, "sfx_flood_int_alarm_stop" },
    { 0x72A8, "sfx_flood_int_door" },
    { 0x72A9, "sfx_flood_mall_int_npc_mantles" },
    { 0x72AA, "sfx_flood_nodes" },
    { 0x72AB, "sfx_for_street_chunks" },
    { 0x72AC, "sfx_for_street_destroy" },
    { 0x72AD, "sfx_gas_line_cull_fire" },
    { 0x72AE, "sfx_gas_line_dist_explo" },
    { 0x72AF, "sfx_gas_line_explo_logic" },
    { 0x72B0, "sfx_gas_line_fire_lp" },
    { 0x72B1, "sfx_gas_line_fuel_burst" },
    { 0x72B2, "sfx_gas_line_fuel_leak" },
    { 0x72B3, "sfx_gas_line_ignite" },
    { 0x72B4, "sfx_gas_line_scene_faked_hurt_breathing" },
    { 0x72B5, "sfx_gas_line_scene_plr_hit" },
    { 0x72B6, "sfx_gas_line_scene_suit_beeps" },
    { 0x72B7, "sfx_gas_line_stop_fire" },
    { 0x72B8, "sfx_gas_line_stop_sfx" },
    { 0x72B9, "sfx_gen4_fire_puff" },
    { 0x72BA, "sfx_generic_node_delete" },
    { 0x72BB, "sfx_gun_grab_script" },
    { 0x72BC, "sfx_hand_scan" },
    { 0x72BD, "sfx_hangardoor_amb" },
    { 0x72BE, "sfx_heli_crash" },
    { 0x72BF, "sfx_heli_crash_explo" },
    { 0x72C0, "sfx_heli_crash_impact" },
    { 0x72C1, "sfx_heli_dam_passby" },
    { 0x72C2, "sfx_heli_final_passby" },
    { 0x72C3, "sfx_heli_flyaway_boats" },
    { 0x72C4, "sfx_heli_flyaway_cmd_center" },
    { 0x72C5, "sfx_heli_flyin_mudpumps" },
    { 0x72C6, "sfx_heli_flyin_pipedeck" },
    { 0x72C7, "sfx_heli_flyin_sweetener" },
    { 0x72C8, "sfx_heli_infil" },
    { 0x72C9, "sfx_heli_jump_script" },
    { 0x72CA, "sfx_heli_move_pipedeck" },
    { 0x72CB, "sfx_heli_over" },
    { 0x72CC, "sfx_heli_rooftops_engine" },
    { 0x72CD, "sfx_heli_rooftops_sequence" },
    { 0x72CE, "sfx_heli_rooftops_water" },
    { 0x72CF, "sfx_heli_rooftops_water_idle" },
    { 0x72D0, "sfx_heli_rooftops_wind" },
    { 0x72D1, "sfx_heli_turret_fire_squibs" },
    { 0x72D2, "sfx_heli_turret_fire_squibs_stop" },
    { 0x72D3, "sfx_heli_turret_fire_start" },
    { 0x72D4, "sfx_heli_turret_fire_stop" },
    { 0x72D5, "sfx_heli_turret_shells" },
    { 0x72D6, "sfx_heli_turret_shells_stop" },
    { 0x72D7, "sfx_heli_wind_debris" },
    { 0x72D8, "sfx_hummer_over" },
    { 0x72D9, "sfx_impact_train" },
    { 0x72DA, "sfx_infil_heli_flyaway" },
    { 0x72DB, "sfx_infiltrator_door" },
    { 0x72DC, "sfx_infiltrator_foley_01" },
    { 0x72DD, "sfx_infiltrator_foley_02" },
    { 0x72DE, "sfx_infiltrator_foley_03" },
    { 0x72DF, "sfx_infiltrator_mix" },
    { 0x72E0, "sfx_interior_door_close" },
    { 0x72E1, "sfx_interior_door_open" },
    { 0x72E2, "sfx_intro_heli_drop_drill" },
    { 0x72E3, "sfx_intro_heli_engine" },
    { 0x72E4, "sfx_intro_heli_takeoff" },
    { 0x72E5, "sfx_intro_load_weapon" },
    { 0x72E6, "sfx_intro_seat_unlock" },
    { 0x72E7, "sfx_intro_sweeteners" },
    { 0x72E8, "sfx_invader_sounds" },
    { 0x72E9, "sfx_jet_passby_01" },
    { 0x72EA, "sfx_jet_passby_02" },
    { 0x72EB, "sfx_jet_passby_03" },
    { 0x72EC, "sfx_jet_passby_04" },
    { 0x72ED, "sfx_jet_passby_05" },
    { 0x72EE, "sfx_jet_passby_06" },
    { 0x72EF, "sfx_jet_passby_07" },
    { 0x72F0, "sfx_jet_passby_08" },
    { 0x72F1, "sfx_jet_passby_09" },
    { 0x72F2, "sfx_jet_passby_10" },
    { 0x72F3, "sfx_jet_passby_11" },
    { 0x72F4, "sfx_kill_chopper_sound" },
    { 0x72F5, "sfx_kyra_hatch" },
    { 0x72F6, "sfx_kyra_open_station_door" },
    { 0x72F7, "sfx_land_sweetener_array" },
    { 0x72F8, "sfx_land_triggers_spawn" },
    { 0x72F9, "sfx_land_triggers_watcher" },
    { 0x72FA, "sfx_laptop" },
    { 0x72FB, "sfx_laptop_connecting" },
    { 0x72FC, "sfx_laptop_launching" },
    { 0x72FD, "sfx_laptop_offline_lp" },
    { 0x72FE, "sfx_laptop_reboot" },
    { 0x72FF, "sfx_laptop_static" },
    { 0x7300, "sfx_laptop_target_lp" },
    { 0x7301, "sfx_last_pass" },
    { 0x7302, "sfx_let_go" },
    { 0x7303, "sfx_let_go_fail" },
    { 0x7304, "sfx_lever_green" },
    { 0x7305, "sfx_lever_logic" },
    { 0x7306, "sfx_lever_red" },
    { 0x7307, "sfx_lever_rumbles" },
    { 0x7308, "sfx_lever_yellow" },
    { 0x7309, "sfx_loco_breach" },
    { 0x730A, "sfx_loco_breach_02" },
    { 0x730B, "sfx_loco_breach_out" },
    { 0x730C, "sfx_loco_exp_rambo" },
    { 0x730D, "sfx_loki_breathing_logic" },
    { 0x730E, "sfx_loki_control_room_start" },
    { 0x730F, "sfx_loki_shuttle_zone" },
    { 0x7310, "sfx_long_pipe_bursts" },
    { 0x7311, "sfx_loop_hive" },
    { 0x7312, "sfx_loop_sound_for_anim_chunk" },
    { 0x7313, "sfx_lynx_smash" },
    { 0x7314, "sfx_mall_ceiling_debris" },
    { 0x7315, "sfx_mall_exit_door" },
    { 0x7316, "sfx_mall_first_screen_shake" },
    { 0x7317, "sfx_mall_hanging_falling_floor" },
    { 0x7318, "sfx_mall_water" },
    { 0x7319, "sfx_metal_beam_event" },
    { 0x731A, "sfx_missile_buzzer" },
    { 0x731B, "sfx_moving_cover_2" },
    { 0x731C, "sfx_moving_cover_3rd_piece" },
    { 0x731D, "sfx_node_array_init" },
    { 0x731E, "sfx_noticket" },
    { 0x731F, "sfx_npc_death" },
    { 0x7320, "sfx_odin_decompress" },
    { 0x7321, "sfx_odin_decompress_explode" },
    { 0x7322, "sfx_odin_enemies" },
    { 0x7323, "sfx_odin_rog_close" },
    { 0x7324, "sfx_odin_rog_dist" },
    { 0x7325, "sfx_odin_spin_explosion" },
    { 0x7326, "sfx_odin_spinup" },
    { 0x7327, "sfx_oldboy_stumble_stairs" },
    { 0x7328, "sfx_other_derrick_explosions" },
    { 0x7329, "sfx_pa_bursts" },
    { 0x732A, "sfx_parking_lot_explode" },
    { 0x732B, "sfx_plane_crash_script" },
    { 0x732C, "sfx_play_alarms" },
    { 0x732D, "sfx_play_chopper_5" },
    { 0x732E, "sfx_play_outofwater_sound" },
    { 0x732F, "sfx_play_pipe_sounds" },
    { 0x7330, "sfx_play_shuttle_crash" },
    { 0x7331, "sfx_play_suppression_sounds" },
    { 0x7332, "sfx_play_weapon_up" },
    { 0x7333, "sfx_player_exits_water" },
    { 0x7334, "sfx_player_grapple" },
    { 0x7335, "sfx_player_surface" },
    { 0x7336, "sfx_playing_fire_tower_sounds" },
    { 0x7337, "sfx_plr_cmd_console" },
    { 0x7338, "sfx_plr_grapple_loop_playing" },
    { 0x7339, "sfx_plr_grapple_lp" },
    { 0x733A, "sfx_plr_grapple_lt_lp" },
    { 0x733B, "sfx_plr_grapple_playing" },
    { 0x733C, "sfx_plr_open_station_door" },
    { 0x733D, "sfx_plr_vault" },
    { 0x733E, "sfx_post_infil_door" },
    { 0x733F, "sfx_postderrick_pressure" },
    { 0x7340, "sfx_pre_engine_room" },
    { 0x7341, "sfx_pressurize_sound" },
    { 0x7342, "sfx_pressurize_space" },
    { 0x7343, "sfx_rambo_rpg_kill" },
    { 0x7344, "sfx_rcs_damage" },
    { 0x7345, "sfx_rcs_destr" },
    { 0x7346, "sfx_rcs_open" },
    { 0x7347, "sfx_rcs_spark" },
    { 0x7348, "sfx_redshake" },
    { 0x7349, "sfx_rescue_heli_escape" },
    { 0x734A, "sfx_rescue_heli_flyin" },
    { 0x734B, "sfx_rig_ascend_logic" },
    { 0x734C, "sfx_rocket_aiming_sound" },
    { 0x734D, "sfx_rocket_explosion_sound" },
    { 0x734E, "sfx_rog_canyon_impact" },
    { 0x734F, "sfx_rog_impact" },
    { 0x7350, "sfx_rog_incoming" },
    { 0x7351, "sfx_rog_sat_impact" },
    { 0x7352, "sfx_rog_sat_impact_beach" },
    { 0x7353, "sfx_rooftop_collapse" },
    { 0x7354, "sfx_rooftops_ally_jump" },
    { 0x7355, "sfx_rooftops_ally_jumpdown" },
    { 0x7356, "sfx_rooftops_player_jump" },
    { 0x7357, "sfx_rooftops_player_jumpdown" },
    { 0x7358, "sfx_rooftops_wall_kick" },
    { 0x7359, "sfx_rorke_submerge" },
    { 0x735A, "sfx_russian_panic_dx" },
    { 0x735B, "sfx_sat_approach_kyra" },
    { 0x735C, "sfx_sat_approach_plr" },
    { 0x735D, "sfx_sat_big_fire_lp" },
    { 0x735E, "sfx_sat_disintegration" },
    { 0x735F, "sfx_sat_falling" },
    { 0x7360, "sfx_sat_first_explosion" },
    { 0x7361, "sfx_sat_second_explosion" },
    { 0x7362, "sfx_satellite_lat_thruster_loop" },
    { 0x7363, "sfx_satellite_thruster_initial_burst" },
    { 0x7364, "sfx_satellite_thruster_loop" },
    { 0x7365, "sfx_save_script" },
    { 0x7366, "sfx_screenshake" },
    { 0x7367, "sfx_scuttle_alarm" },
    { 0x7368, "sfx_scuttle_pre_decomp" },
    { 0x7369, "sfx_set_audio_zone_after_deathsdoor" },
    { 0x736A, "sfx_set_combat_amb" },
    { 0x736B, "sfx_set_combat_two_amb" },
    { 0x736C, "sfx_set_rog_amb" },
    { 0x736D, "sfx_setup_land_triggers" },
    { 0x736E, "sfx_shaking_logic" },
    { 0x736F, "sfx_shaky_camera_moment" },
    { 0x7370, "sfx_shuttle_passby" },
    { 0x7371, "sfx_skyway_helo" },
    { 0x7372, "sfx_skyway_land_sweetener_init" },
    { 0x7373, "sfx_slomo_script" },
    { 0x7374, "sfx_small_rumble_loop" },
    { 0x7375, "sfx_space_breach_logic" },
    { 0x7376, "sfx_space_breach_over" },
    { 0x7377, "sfx_spawn_refinery_alarm_node" },
    { 0x7378, "sfx_spawn_refinery_fire_nodes" },
    { 0x7379, "sfx_spin_debris_passby" },
    { 0x737A, "sfx_spin_outside_zone" },
    { 0x737B, "sfx_stairwell_heli_trig" },
    { 0x737C, "sfx_stairwell_heli_trig_setup" },
    { 0x737D, "sfx_stairwell_mid_trig" },
    { 0x737E, "sfx_stairwell_mid_trig_setup" },
    { 0x737F, "sfx_stairwell_wind" },
    { 0x7380, "sfx_start_flarestack_room_siren" },
    { 0x7381, "sfx_start_heartbeat_countdown" },
    { 0x7382, "sfx_stealth_heli_flyby" },
    { 0x7383, "sfx_stereo_quake" },
    { 0x7384, "sfx_stop_alarms_script" },
    { 0x7385, "sfx_stop_alley_water" },
    { 0x7386, "sfx_stop_ascend_sound_wait" },
    { 0x7387, "sfx_stop_ascent_sounds" },
    { 0x7388, "sfx_stop_buzzer" },
    { 0x7389, "sfx_stop_dist_oil_rig" },
    { 0x738A, "sfx_stop_mall_water" },
    { 0x738B, "sfx_stop_pa_bursts" },
    { 0x738C, "sfx_stop_stairwell_water" },
    { 0x738D, "sfx_stop_warehouse_water" },
    { 0x738E, "sfx_switch_ambzone_to_end" },
    { 0x738F, "sfx_tank_bust_wall" },
    { 0x7390, "sfx_tanks_door_open" },
    { 0x7391, "sfx_tanks_wind_gust_trigger" },
    { 0x7392, "sfx_tape_breach" },
    { 0x7393, "sfx_temp_enable_chaos_bg_after_getting_up" },
    { 0x7394, "sfx_temp_redshirt_stinger" },
    { 0x7395, "sfx_train_derail" },
    { 0x7396, "sfx_train_derail_logic" },
    { 0x7397, "sfx_train_derail_sound" },
    { 0x7398, "sfx_traversal_01" },
    { 0x7399, "sfx_traversal_02" },
    { 0x739A, "sfx_truck_sinking" },
    { 0x739B, "sfx_turbine_beeps" },
    { 0x739C, "sfx_turbines" },
    { 0x739D, "sfx_underwater_combat_amb" },
    { 0x739E, "sfx_use_console" },
    { 0x739F, "sfx_wait_to_play_ending_sound" },
    { 0x73A0, "sfx_wake_up_script" },
    { 0x73A1, "sfx_wakeup" },
    { 0x73A2, "sfx_warehouse_door_burst_01" },
    { 0x73A3, "sfx_warehouse_door_burst_02" },
    { 0x73A4, "sfx_warehouse_water" },
    { 0x73A5, "sfx_warehouse_water_sprays" },
    { 0x73A6, "sfx_water_amb" },
    { 0x73A7, "sfx_wind_trigger_setup" },
    { 0x73A8, "sfx_wreck_01" },
    { 0x73A9, "sfx_wreck_02" },
    { 0x73AA, "sfx_wreck_03" },
    { 0x73AB, "sfx_yellowshake" },
    { 0x73AC, "sfxcannonbulletimpact" },
    { 0x73AD, "sfxcannonfireburplong_3p" },
    { 0x73AE, "sfxcannonfireburpshort_3p" },
    { 0x73AF, "sfxcannonfireburptime" },
    { 0x73B0, "sfxcannonfireloop_1p" },
    { 0x73B1, "sfxcannonfireloop_3p" },
    { 0x73B2, "sfxcannonfirestop_1p" },
    { 0x73B3, "sfxcannonfirestop_3p" },
    { 0x73B4, "sfxengine_1p" },
    { 0x73B5, "sfxengine_3p" },
    { 0x73B6, "sfxmissile" },
    { 0x73B7, "sfxmissilefire_1p" },
    { 0x73B8, "sfxmissilefire_3p" },
    { 0x73B9, "shader" },
    { 0x73BA, "shader_fade_in" },
    { 0x73BB, "shader_fade_out" },
    { 0x73BC, "shadername" },
    { 0x73BD, "shadow_chaser_logic" },
    { 0x73BE, "shadow_guy_dog_react" },
    { 0x73BF, "shadow_guy_logic" },
    { 0x73C0, "shadow_kill" },
    { 0x73C1, "shadow_kill_combat" },
    { 0x73C2, "shadow_kill_enemy" },
    { 0x73C3, "shadow_kill_enemy_setup" },
    { 0x73C4, "shadow_kill_head_swap" },
    { 0x73C5, "shadow_kill_leadup" },
    { 0x73C6, "shadow_kill_patrol_vo" },
    { 0x73C7, "shadow_kill_startpoint" },
    { 0x73C8, "shadowkill_enemy_phone_array" },
    { 0x73C9, "shadowkill_goggles_off" },
    { 0x73CA, "shadowkill_goggles_on" },
    { 0x73CB, "shadowkill_knife_delete" },
    { 0x73CC, "shadowkill_knife_show" },
    { 0x73CD, "shadowkill_knife_stab" },
    { 0x73CE, "shadowkill_phone" },
    { 0x73CF, "shadowkill_phone_off" },
    { 0x73D0, "shadowkill_phone_on" },
    { 0x73D1, "shadowkill_phone_show" },
    { 0x73D2, "shadowkill_struct" },
    { 0x73D3, "shakedistance" },
    { 0x73D4, "shakeduration" },
    { 0x73D5, "shakemag" },
    { 0x73D6, "shaky_moment" },
    { 0x73D7, "shared_portable_turrets" },
    { 0x73D8, "shared_turrets" },
    { 0x73D9, "shark" },
    { 0x73DA, "shark_attack_2_fx" },
    { 0x73DB, "shark_attack_fx" },
    { 0x73DC, "shark_attack_playbackrate" },
    { 0x73DD, "shark_attack_slomo" },
    { 0x73DE, "shark_chase_player" },
    { 0x73DF, "shark_collision_model" },
    { 0x73E0, "shark_collision_setup" },
    { 0x73E1, "shark_collsions" },
    { 0x73E2, "shark_eat_wandering_player" },
    { 0x73E3, "shark_functions" },
    { 0x73E4, "shark_go_trig" },
    { 0x73E5, "shark_heartbeat" },
    { 0x73E6, "shark_heartbeat_distances" },
    { 0x73E7, "shark_kill_front" },
    { 0x73E8, "shark_kill_player" },
    { 0x73E9, "shark_kill_think" },
    { 0x73EA, "shark_moment" },
    { 0x73EB, "shark_moment_2" },
    { 0x73EC, "shark_room" },
    { 0x73ED, "shark_room_baker_first_dialogue" },
    { 0x73EE, "shark_room_end" },
    { 0x73EF, "shark_room_faster_hint" },
    { 0x73F0, "shark_think" },
    { 0x73F1, "shark_think_real" },
    { 0x73F2, "shark_track_bulletwhizby" },
    { 0x73F3, "shark_updateleananim" },
    { 0x73F4, "shark_vehicle" },
    { 0x73F5, "sharpturnlookaheaddist" },
    { 0x73F6, "shell_fx" },
    { 0x73F7, "shell_screen_effects" },
    { 0x73F8, "shell_sound" },
    { 0x73F9, "shell_sound_enabled" },
    { 0x73FA, "shellscreeneffect" },
    { 0x73FB, "shellshock_audio_disabled" },
    { 0x73FC, "shellshock_forever" },
    { 0x73FD, "shellshocked" },
    { 0x73FE, "shellshockondamage" },
    { 0x73FF, "shellshockreduction" },
    { 0x7400, "shieldbroken" },
    { 0x7401, "shieldbullethits" },
    { 0x7402, "shielddamage" },
    { 0x7403, "shieldmodelvariant" },
    { 0x7404, "shieldtrasharray" },
    { 0x7405, "shiftindexforward" },
    { 0x7406, "ship_artillery_init" },
    { 0x7407, "ship_shoot" },
    { 0x7408, "ship_shoot_loop" },
    { 0x7409, "ship_shoot_vert_missile" },
    { 0x740A, "ship_shoot_vert_missile_loop" },
    { 0x740B, "ship_vista" },
    { 0x740C, "shipartilleryspots" },
    { 0x740D, "shitloc" },
    { 0x740E, "shock_ammo_tracker" },
    { 0x740F, "shock_bar_fx_ent" },
    { 0x7410, "shock_damage" },
    { 0x7411, "shock_distance" },
    { 0x7412, "shock_fx" },
    { 0x7413, "shock_interval" },
    { 0x7414, "shock_ondeath" },
    { 0x7415, "shock_trig" },
    { 0x7416, "shocked" },
    { 0x7417, "shockwave_damage_monitor" },
    { 0x7418, "shockwave_dirt_hit" },
    { 0x7419, "shockwave_pain_anim_index" },
    { 0x741A, "shockwavedeleteondeath" },
    { 0x741B, "shockwavedetonation" },
    { 0x741C, "shockwaves" },
    { 0x741D, "shoot_anim" },
    { 0x741E, "shoot_at_chair_guy" },
    { 0x741F, "shoot_at_fake_target" },
    { 0x7420, "shoot_at_shoot_ent_or_pos" },
    { 0x7421, "shoot_behavior" },
    { 0x7422, "shoot_enemy_until_he_hides_then_shoot_wall" },
    { 0x7423, "shoot_from_ai_to_ai" },
    { 0x7424, "shoot_hangar" },
    { 0x7425, "shoot_loop" },
    { 0x7426, "shoot_mg42_script_targets" },
    { 0x7427, "shoot_patrol_kick_off_gas" },
    { 0x7428, "shoot_rocket" },
    { 0x7429, "shoot_rope" },
    { 0x742A, "shoot_single" },
    { 0x742B, "shoot_tag" },
    { 0x742C, "shoot_while_driving_thread" },
    { 0x742D, "shoot_while_moving_thread" },
    { 0x742E, "shootable_ladder" },
    { 0x742F, "shootanimtime" },
    { 0x7430, "shootastold" },
    { 0x7431, "shootatshootentorpos" },
    { 0x7432, "shootblankorrpg" },
    { 0x7433, "shootenemytarget_bullets" },
    { 0x7434, "shootenemytarget_bullets_debugline" },
    { 0x7435, "shootenemywrapper" },
    { 0x7436, "shootenemywrapper_func" },
    { 0x7437, "shootenemywrapper_normal" },
    { 0x7438, "shootenemywrapper_shootnotify" },
    { 0x7439, "shootent" },
    { 0x743A, "shootentvelocity" },
    { 0x743B, "shooter_animscript" },
    { 0x743C, "shooter_death" },
    { 0x743D, "shooter_shooting" },
    { 0x743E, "shooter_tracking" },
    { 0x743F, "shooter_unload" },
    { 0x7440, "shooters" },
    { 0x7441, "shootflares" },
    { 0x7442, "shootnotetrack" },
    { 0x7443, "shootobjective" },
    { 0x7444, "shootpilot_vfx" },
    { 0x7445, "shootpos" },
    { 0x7446, "shootposoutsidelegalyawrange" },
    { 0x7447, "shootposoverride" },
    { 0x7448, "shootposwrapper" },
    { 0x7449, "shootposwrapper_func" },
    { 0x744A, "shootrateoverride" },
    { 0x744B, "shootstyle" },
    { 0x744C, "shootuntilneedtoturn" },
    { 0x744D, "shootuntilshootbehaviorchange" },
    { 0x744E, "shootuntilshootbehaviorchange_corner" },
    { 0x744F, "shootuntilshootbehaviorchange_coverwall" },
    { 0x7450, "shootuntilshootbehaviorchangefortime" },
    { 0x7451, "shootwhilemoving" },
    { 0x7452, "shootwhileturning" },
    { 0x7453, "shop_door_open" },
    { 0x7454, "shortencolor" },
    { 0x7455, "shortestdepth" },
    { 0x7456, "shot" },
    { 0x7457, "shot_tracker" },
    { 0x7458, "shot_with_rpg" },
    { 0x7459, "shotcount" },
    { 0x745A, "shotcounter" },
    { 0x745B, "shotfired" },
    { 0x745C, "shotfiredphysicssphere" },
    { 0x745D, "shotgundamagemod" },
    { 0x745E, "shotgunfirerate" },
    { 0x745F, "shotgunpumpsound" },
    { 0x7460, "shotgunsetup" },
    { 0x7461, "shotgunswitchfinish" },
    { 0x7462, "shotgunswitchstandruninternal" },
    { 0x7463, "shots_fired" },
    { 0x7464, "shots_fired_recorder" },
    { 0x7465, "shots_hit" },
    { 0x7466, "shotsafterplayerbecomesinvul" },
    { 0x7467, "shotsatzerospeed" },
    { 0x7468, "should_abort" },
    { 0x7469, "should_attract_alien" },
    { 0x746A, "should_bad_path_melee" },
    { 0x746B, "should_break_disable_nvg_print" },
    { 0x746C, "should_break_enter_building_hint" },
    { 0x746D, "should_break_inverted_kill_hint" },
    { 0x746E, "should_break_rappel_movement_hint" },
    { 0x746F, "should_break_virus_upload_hint" },
    { 0x7470, "should_do_car_alarm" },
    { 0x7471, "should_do_health_regen" },
    { 0x7472, "should_do_immediate_ragdoll" },
    { 0x7473, "should_do_ragdoll" },
    { 0x7474, "should_do_sharp_turn" },
    { 0x7475, "should_do_stun_damage" },
    { 0x7476, "should_explode" },
    { 0x7477, "should_explode_on_damage" },
    { 0x7478, "should_give_orghealth" },
    { 0x7479, "should_growl" },
    { 0x747A, "should_i_attack" },
    { 0x747B, "should_i_retreat" },
    { 0x747C, "should_interrupt_vo_system" },
    { 0x747D, "should_land_on_zodiac_death" },
    { 0x747E, "should_lane_spawn" },
    { 0x747F, "should_lean" },
    { 0x7480, "should_make_entity_sentient" },
    { 0x7481, "should_melee_pushback" },
    { 0x7482, "should_move_back" },
    { 0x7483, "should_move_side" },
    { 0x7484, "should_move_straight_ahead" },
    { 0x7485, "should_play_death" },
    { 0x7486, "should_play_next_hive_vo_func" },
    { 0x7487, "should_posture" },
    { 0x7488, "should_put_drill_outline_on" },
    { 0x7489, "should_put_player_outline_on" },
    { 0x748A, "should_react_to_downed_enemies" },
    { 0x748B, "should_revive_continue" },
    { 0x748C, "should_select_new_ambush_point" },
    { 0x748D, "should_show_cover_warning" },
    { 0x748E, "should_snare" },
    { 0x748F, "should_stabilize" },
    { 0x7490, "should_start_cautious_approach_default" },
    { 0x7491, "should_stop_seeking_weapon" },
    { 0x7492, "should_store_ammo_check" },
    { 0x7493, "should_swap_weapon" },
    { 0x7494, "should_switchto_soflam" },
    { 0x7495, "should_toggle_silencer" },
    { 0x7496, "should_topoff_breach_weapon" },
    { 0x7497, "should_update_escape_all_challenge" },
    { 0x7498, "should_update_func" },
    { 0x7499, "should_update_kill_with_trap" },
    { 0x749A, "should_use_soflam" },
    { 0x749B, "shouldaddammo" },
    { 0x749C, "shouldaffectclaymore" },
    { 0x749D, "shouldattackidle" },
    { 0x749E, "shouldattemptstumblingpain" },
    { 0x749F, "shouldbeajerk" },
    { 0x74A0, "shouldbeeyeson" },
    { 0x74A1, "shouldbreaknvghintprint" },
    { 0x74A2, "shouldchangestanceforfun" },
    { 0x74A3, "shouldconserveammotime" },
    { 0x74A4, "shouldcoveridle" },
    { 0x74A5, "shouldcqb" },
    { 0x74A6, "shoulddoarrivals" },
    { 0x74A7, "shoulddoextendedkill" },
    { 0x74A8, "shoulddoleaparrivalanim" },
    { 0x74A9, "shoulddorunningforwarddeath" },
    { 0x74AA, "shoulddosemiforvariety" },
    { 0x74AB, "shoulddosharpturns" },
    { 0x74AC, "shoulddostopanim" },
    { 0x74AD, "shoulddostrongbulletdamage" },
    { 0x74AE, "shoulddroprocketlauncher" },
    { 0x74AF, "shouldfacenodedir" },
    { 0x74B0, "shouldfade" },
    { 0x74B1, "shouldfirewhilechangingpose" },
    { 0x74B2, "shouldforcedisablelaser" },
    { 0x74B3, "shouldforcesnipermissshot" },
    { 0x74B4, "shouldhelpadvancingteammate" },
    { 0x74B5, "shouldkeepcrawling" },
    { 0x74B6, "shouldlean" },
    { 0x74B7, "shouldnt_spawn_because_of_script_difficulty" },
    { 0x74B8, "shouldpingobject" },
    { 0x74B9, "shouldplayerbeaffectedbyemp" },
    { 0x74BA, "shouldplaypainbreathingsound" },
    { 0x74BB, "shouldpreventearlyuse" },
    { 0x74BC, "shouldprocesschallengeforperk" },
    { 0x74BD, "shouldresetgiveuponsuppressiontimer" },
    { 0x74BE, "shouldreturntocover" },
    { 0x74BF, "shouldrunserversideeffects" },
    { 0x74C0, "shouldshootenemyent" },
    { 0x74C1, "shouldshowcompassduetoradar" },
    { 0x74C2, "shouldsighttracewait" },
    { 0x74C3, "shouldsniff" },
    { 0x74C4, "shouldspawnbots" },
    { 0x74C5, "shouldsplash" },
    { 0x74C6, "shouldsprint" },
    { 0x74C7, "shouldsprintforvariation" },
    { 0x74C8, "shouldstartmove" },
    { 0x74C9, "shouldstayalive" },
    { 0x74CA, "shouldstopambushing" },
    { 0x74CB, "shouldstopqueenhealthregen" },
    { 0x74CC, "shouldsuppress" },
    { 0x74CD, "shouldswapshotgun" },
    { 0x74CE, "shouldswitchweaponpostkillstreak" },
    { 0x74CF, "shouldtakedamage" },
    { 0x74D0, "shoulduseinvulnerability" },
    { 0x74D1, "shouldwaitincombatidle" },
    { 0x74D2, "shouldweaponfeedback" },
    { 0x74D3, "show_all_trap_icons_to_teammates" },
    { 0x74D4, "show_and_raise_entity" },
    { 0x74D5, "show_bad_path" },
    { 0x74D6, "show_binoc_scan_hint" },
    { 0x74D7, "show_challenge_outcome" },
    { 0x74D8, "show_combat_two_intro_debris" },
    { 0x74D9, "show_dead_hive_model" },
    { 0x74DA, "show_debris" },
    { 0x74DB, "show_dufflebag" },
    { 0x74DC, "show_dufflebags" },
    { 0x74DD, "show_ent" },
    { 0x74DE, "show_entity" },
    { 0x74DF, "show_ents" },
    { 0x74E0, "show_exploder_models" },
    { 0x74E1, "show_exploder_models_proc" },
    { 0x74E2, "show_fire_hide_aim_idle" },
    { 0x74E3, "show_garage_debris" },
    { 0x74E4, "show_gun" },
    { 0x74E5, "show_hands" },
    { 0x74E6, "show_help" },
    { 0x74E7, "show_hide_all_static" },
    { 0x74E8, "show_hide_mantle" },
    { 0x74E9, "show_hint" },
    { 0x74EA, "show_hive_scores" },
    { 0x74EB, "show_icon" },
    { 0x74EC, "show_if_defined" },
    { 0x74ED, "show_inplane_debris" },
    { 0x74EE, "show_introscreen_text" },
    { 0x74EF, "show_knife" },
    { 0x74F0, "show_legs" },
    { 0x74F1, "show_mantle_hint" },
    { 0x74F2, "show_me" },
    { 0x74F3, "show_missile_launcher_collision" },
    { 0x74F4, "show_models_by_targetname" },
    { 0x74F5, "show_normal_hud_elements" },
    { 0x74F6, "show_pillage_text" },
    { 0x74F7, "show_player_arms" },
    { 0x74F8, "show_player_arms_sleeve_flaps" },
    { 0x74F9, "show_rotunda_knife" },
    { 0x74FA, "show_rushing_water_trees_infil_trees_cleanup" },
    { 0x74FB, "show_solid" },
    { 0x74FC, "show_train_geo" },
    { 0x74FD, "show_trap_icon_to_owner" },
    { 0x74FE, "show_trap_icon_to_team" },
    { 0x74FF, "show_trigger" },
    { 0x7500, "show_turret" },
    { 0x7501, "show_turret_icon" },
    { 0x7502, "show_tutorial_text" },
    { 0x7503, "show_weapon_switch_hints" },
    { 0x7504, "showapart" },
    { 0x7505, "showcapturedbaseeffecttoplayer" },
    { 0x7506, "showclaimed" },
    { 0x7507, "showclosedportalfx" },
    { 0x7508, "showcratesplash" },
    { 0x7509, "showdebugline" },
    { 0x750A, "showdebugproc" },
    { 0x750B, "showdebugtrace" },
    { 0x750C, "showdefendprompt" },
    { 0x750D, "showdrillhole" },
    { 0x750E, "showelem" },
    { 0x750F, "showfirehideaimidle" },
    { 0x7510, "showfriendicon" },
    { 0x7511, "showfx" },
    { 0x7512, "showheadicon" },
    { 0x7513, "showhintprint_struct" },
    { 0x7514, "showicons" },
    { 0x7515, "showingfinalkillcam" },
    { 0x7516, "showingtacticalselections" },
    { 0x7517, "showintermissiontimer" },
    { 0x7518, "showlastenemysightpos" },
    { 0x7519, "showline" },
    { 0x751A, "showlines" },
    { 0x751B, "showmainmenuforteam" },
    { 0x751C, "shownextroundmessage" },
    { 0x751D, "showninfected" },
    { 0x751E, "shownoshow" },
    { 0x751F, "shownotifymessage" },
    { 0x7520, "showopenportalfx" },
    { 0x7521, "showspawnnotifies" },
    { 0x7522, "showspawnpoint" },
    { 0x7523, "showstart" },
    { 0x7524, "showstate" },
    { 0x7525, "showtag" },
    { 0x7526, "showteamportalfx" },
    { 0x7527, "showteamsplashhorde" },
    { 0x7528, "showtimer" },
    { 0x7529, "showto" },
    { 0x752A, "showtoteam" },
    { 0x752B, "shrink_pdeck_lights" },
    { 0x752C, "shufflekillstreaksdown" },
    { 0x752D, "shufflekillstreaksup" },
    { 0x752E, "shufflemove" },
    { 0x752F, "shufflemoveinterrupted" },
    { 0x7530, "shufflenode" },
    { 0x7531, "shut_post_infil_door_flag" },
    { 0x7532, "shut_server_rack" },
    { 0x7533, "shutdown_battlechatter" },
    { 0x7534, "shutdown_squadbattlechatter" },
    { 0x7535, "shutdowncontact" },
    { 0x7536, "shutterwanderleft" },
    { 0x7537, "shutterwanderright" },
    { 0x7538, "shuttle_docking" },
    { 0x7539, "shuttle_fx" },
    { 0x753A, "shuttle_thrust" },
    { 0x753B, "shuttle_thrust_brake" },
    { 0x753C, "shuttle_thrust_fl" },
    { 0x753D, "shuttle_thrust_fr" },
    { 0x753E, "shuttle_thrust_rl" },
    { 0x753F, "shuttle_thrust_rr" },
    { 0x7540, "sickly_vision" },
    { 0x7541, "side_arm_array" },
    { 0x7542, "side_guys" },
    { 0x7543, "side_last" },
    { 0x7544, "sidearm" },
    { 0x7545, "sideisleftright" },
    { 0x7546, "sidelinedbycommander" },
    { 0x7547, "sidesteprate" },
    { 0x7548, "sight_distsqrd" },
    { 0x7549, "sight_trigger_think" },
    { 0x754A, "sightedenemies" },
    { 0x754B, "sightpos" },
    { 0x754C, "sightposleft" },
    { 0x754D, "sightpostime" },
    { 0x754E, "sighttime" },
    { 0x754F, "sighttracepoint" },
    { 0x7550, "sign" },
    { 0x7551, "silent_magic_bullet_windshield" },
    { 0x7552, "silent_script_death" },
    { 0x7553, "silenthawk_landing" },
    { 0x7554, "silenthawk_lands_and_unloads" },
    { 0x7555, "sillyboxtrace" },
    { 0x7556, "similar_deaths" },
    { 0x7557, "simulation_speed" },
    { 0x7558, "single_ally_run" },
    { 0x7559, "single_anim" },
    { 0x755A, "single_bomb_run_script" },
    { 0x755B, "single_fish_detectdamage" },
    { 0x755C, "single_fish_flee" },
    { 0x755D, "single_fish_getnextorigin" },
    { 0x755E, "single_fish_idle" },
    { 0x755F, "single_fish_interruptfollowers" },
    { 0x7560, "single_fish_loadfromstruct" },
    { 0x7561, "single_fish_savetostruct" },
    { 0x7562, "single_fish_start" },
    { 0x7563, "single_fish_start_after_frameend" },
    { 0x7564, "singlebreacher" },
    { 0x7565, "sink_time" },
    { 0x7566, "sinkingplatform_create" },
    { 0x7567, "sinkingplatform_return" },
    { 0x7568, "sinkingplatform_start" },
    { 0x7569, "sinkingplatform_waitforenter" },
    { 0x756A, "sinkingplatform_waitforexit" },
    { 0x756B, "sinkingplatform_waitforreachedbottom" },
    { 0x756C, "sinkingplatformplaysfxsequence" },
    { 0x756D, "sinkrate" },
    { 0x756E, "siren_logic" },
    { 0x756F, "sirenorg_ext_l" },
    { 0x7570, "sirenorg_ext_r" },
    { 0x7571, "sirenorg_ext_s" },
    { 0x7572, "sirenorg_int" },
    { 0x7573, "sittag" },
    { 0x7574, "sittag_offset" },
    { 0x7575, "sitting_wounded_scene" },
    { 0x7576, "sitting_wounded_scene_sound" },
    { 0x7577, "skeleton" },
    { 0x7578, "skip_breach" },
    { 0x7579, "skip_pilot_kill_count" },
    { 0x757A, "skip_start_transition" },
    { 0x757B, "skip_to_end" },
    { 0x757C, "skip_to_mid" },
    { 0x757D, "skipanimbaseddeath" },
    { 0x757E, "skipbloodpool" },
    { 0x757F, "skipdeathanim" },
    { 0x7580, "skipdelete" },
    { 0x7581, "skipendingidle" },
    { 0x7582, "skipkillcamduringdeathtimer" },
    { 0x7583, "skiplivesxpscalar" },
    { 0x7584, "skipmodelswapdeath" },
    { 0x7585, "skipssuccess" },
    { 0x7586, "skipstartmove" },
    { 0x7587, "skipto_sound_setup" },
    { 0x7588, "skiptoend" },
    { 0x7589, "sky_and_visionsets" },
    { 0x758A, "sky_change" },
    { 0x758B, "skybridge" },
    { 0x758C, "skybridge_ally_approach" },
    { 0x758D, "skybridge_ally_cross" },
    { 0x758E, "skybridge_ally_logic" },
    { 0x758F, "skybridge_ally_setup_breach" },
    { 0x7590, "skybridge_ally_vo" },
    { 0x7591, "skybridge_approach_fluff" },
    { 0x7592, "skybridge_building" },
    { 0x7593, "skybridge_bus" },
    { 0x7594, "skybridge_debris_hit" },
    { 0x7595, "skybridge_debris_hit_large" },
    { 0x7596, "skybridge_debris_hit_med" },
    { 0x7597, "skybridge_door" },
    { 0x7598, "skybridge_door_bump" },
    { 0x7599, "skybridge_doorbreach_setup" },
    { 0x759A, "skybridge_doorbreach_spawn" },
    { 0x759B, "skybridge_encounter" },
    { 0x759C, "skybridge_logic" },
    { 0x759D, "skybridge_model" },
    { 0x759E, "skybridge_origins" },
    { 0x759F, "skybridge_player_bridge_vignette" },
    { 0x75A0, "skybridge_player_flinch" },
    { 0x75A1, "skybridge_precursor_emitter" },
    { 0x75A2, "skybridge_restart_player_bridge_loop" },
    { 0x75A3, "skybridge_rumble_logic" },
    { 0x75A4, "skybridge_scene_firstframe" },
    { 0x75A5, "skybridge_scene_spawn" },
    { 0x75A6, "skybridge_script_models" },
    { 0x75A7, "skybridge_sections" },
    { 0x75A8, "skybridge_start" },
    { 0x75A9, "skybridge_teleport_cheats" },
    { 0x75AA, "skybridge_to_rooftops_transition" },
    { 0x75AB, "skybridge_wash_away" },
    { 0x75AC, "skycolor" },
    { 0x75AD, "skycolor_ng" },
    { 0x75AE, "skydome" },
    { 0x75AF, "skydomedesaturation" },
    { 0x75B0, "skydomedesaturation_ng" },
    { 0x75B1, "skydomeintensity" },
    { 0x75B2, "skydomeintensity_ng" },
    { 0x75B3, "skydomelighting" },
    { 0x75B4, "skydomelighting_ng" },
    { 0x75B5, "skydomelightingsaturation" },
    { 0x75B6, "skydomelightingsaturation_ng" },
    { 0x75B7, "skydomeradiosity" },
    { 0x75B8, "skydomeradiosity_ng" },
    { 0x75B9, "skydomesaturation_ng" },
    { 0x75BA, "skyfogintensity" },
    { 0x75BB, "skyfogmaxangle" },
    { 0x75BC, "skyfogminangle" },
    { 0x75BD, "skylight" },
    { 0x75BE, "skylight_ng" },
    { 0x75BF, "skyway_beach_elias_dialog_lower_amb" },
    { 0x75C0, "skyway_beach_fade_to_dev_logo_credits" },
    { 0x75C1, "skyway_beach_fade_to_final_credits" },
    { 0x75C2, "skyway_beach_music" },
    { 0x75C3, "skyway_beach_music_transition" },
    { 0x75C4, "skyway_beach_pre_rorke" },
    { 0x75C5, "skyway_beach_rorke_again" },
    { 0x75C6, "skyway_checkmate_music" },
    { 0x75C7, "skyway_death_fall_sfx" },
    { 0x75C8, "skyway_end_sequence" },
    { 0x75C9, "skyway_endshot_sfx" },
    { 0x75CA, "skyway_hide_hud" },
    { 0x75CB, "skyway_hud" },
    { 0x75CC, "skyway_hud_actionslotshide" },
    { 0x75CD, "skyway_hud_ammocounterhide" },
    { 0x75CE, "skyway_hud_compass" },
    { 0x75CF, "skyway_hud_g_friendlynamedist" },
    { 0x75D0, "skyway_hud_showstance" },
    { 0x75D1, "skyway_intro_sfx" },
    { 0x75D2, "skyway_introscreen" },
    { 0x75D3, "skyway_introscreen_15_mins" },
    { 0x75D4, "skyway_introscreen_fade_in" },
    { 0x75D5, "skyway_show_previous_hud" },
    { 0x75D6, "skyway_sunsample" },
    { 0x75D7, "skyway_swim_music" },
    { 0x75D8, "skyway_train_ambience" },
    { 0x75D9, "slamraam_fire_missile" },
    { 0x75DA, "slamraam_fire_missiles" },
    { 0x75DB, "slamraam_think" },
    { 0x75DC, "slamzoom_end" },
    { 0x75DD, "sleeping_enemy_below_alerted_or_killed" },
    { 0x75DE, "sleeping_enemy_below_setup" },
    { 0x75DF, "sleeping_enemy_below_vo" },
    { 0x75E0, "sleeve_flap_l" },
    { 0x75E1, "sleeve_flap_r" },
    { 0x75E2, "sleeves_flapping" },
    { 0x75E3, "slide_across_car_dog" },
    { 0x75E4, "slide_across_car_human" },
    { 0x75E5, "slide_card" },
    { 0x75E6, "slide_sounds" },
    { 0x75E7, "slidefortime" },
    { 0x75E8, "slidemodel" },
    { 0x75E9, "slidetriggerplayerthink" },
    { 0x75EA, "sliding_door_lock" },
    { 0x75EB, "sliding_door_logic" },
    { 0x75EC, "sliding_earthquake" },
    { 0x75ED, "sliding_fx_org" },
    { 0x75EE, "sliding_jet1" },
    { 0x75EF, "sliding_jet11" },
    { 0x75F0, "sliding_jet12" },
    { 0x75F1, "sliding_jet2" },
    { 0x75F2, "sliding_jet20" },
    { 0x75F3, "sliding_jet21" },
    { 0x75F4, "sliding_jet22" },
    { 0x75F5, "sliding_jet3" },
    { 0x75F6, "slomo" },
    { 0x75F7, "slomo_breach_vision_change" },
    { 0x75F8, "slomo_difficulty_dvars" },
    { 0x75F9, "slomo_sound_scale_setup" },
    { 0x75FA, "slomobasevision" },
    { 0x75FB, "slomobreachduration" },
    { 0x75FC, "slomobreachplayerspeed" },
    { 0x75FD, "slot" },
    { 0x75FE, "slow_aim_pitch_range" },
    { 0x75FF, "slow_aim_yaw_range" },
    { 0x7600, "slow_door_kicker_till_flag" },
    { 0x7601, "slow_intro" },
    { 0x7602, "slow_intro_alarms" },
    { 0x7603, "slow_intro_ally_movement" },
    { 0x7604, "slow_intro_jet_takeoff_guys" },
    { 0x7605, "slow_intro_jet_takeoff_jet" },
    { 0x7606, "slow_intro_pre_load" },
    { 0x7607, "slow_player_down" },
    { 0x7608, "slowconvergence" },
    { 0x7609, "slowmo" },
    { 0x760A, "slowmo_ally" },
    { 0x760B, "slowmo_begins" },
    { 0x760C, "slowmo_breach_damage_trigger_think" },
    { 0x760D, "slowmo_breach_disable_stancemod" },
    { 0x760E, "slowmo_breach_init" },
    { 0x760F, "slowmo_breach_player_speed" },
    { 0x7610, "slowmo_breach_start_delay" },
    { 0x7611, "slowmo_breach_think" },
    { 0x7612, "slowmo_difficulty_dvars" },
    { 0x7613, "slowmo_end" },
    { 0x7614, "slowmo_lerp_in" },
    { 0x7615, "slowmo_lerp_out" },
    { 0x7616, "slowmo_player_cleanup" },
    { 0x7617, "slowmo_setlerptime_in" },
    { 0x7618, "slowmo_setlerptime_out" },
    { 0x7619, "slowmo_setspeed_norm" },
    { 0x761A, "slowmo_setspeed_slow" },
    { 0x761B, "slowmo_start" },
    { 0x761C, "slowmo_system_defaults" },
    { 0x761D, "slowmo_system_init" },
    { 0x761E, "slowmo_viewhands" },
    { 0x761F, "sm_listen_collision" },
    { 0x7620, "sm_listen_jolt" },
    { 0x7621, "sm_listen_landed" },
    { 0x7622, "sm_listen_leftground" },
    { 0x7623, "small_shakes_on" },
    { 0x7624, "small_wreck_setup" },
    { 0x7625, "smallesthole" },
    { 0x7626, "smallestoccluder" },
    { 0x7627, "smallestoclluder" },
    { 0x7628, "smart_dialogue" },
    { 0x7629, "smart_dialogue_generic" },
    { 0x762A, "smart_get_nag_line" },
    { 0x762B, "smart_radio_dialogue" },
    { 0x762C, "smart_radio_dialogue_enable_bc" },
    { 0x762D, "smart_radio_dialogue_facial" },
    { 0x762E, "smart_radio_dialogue_interrupt" },
    { 0x762F, "smart_radio_dialogue_overlap" },
    { 0x7630, "smartstance" },
    { 0x7631, "smash_open" },
    { 0x7632, "smeansofdeath" },
    { 0x7633, "smoke_effect_tags" },
    { 0x7634, "smoke_exhale" },
    { 0x7635, "smoke_grenade_death" },
    { 0x7636, "smoke_launcher_sound_3d" },
    { 0x7637, "smoke_launcher_sound_player" },
    { 0x7638, "smoke_puff" },
    { 0x7639, "smoke_screen_vis_blocker" },
    { 0x763A, "smoke_stop_trigger" },
    { 0x763B, "smoke_thrown" },
    { 0x763C, "smoke_trigger" },
    { 0x763D, "smokegrenades" },
    { 0x763E, "smokehead" },
    { 0x763F, "smokelaunchbadger" },
    { 0x7640, "smoking" },
    { 0x7641, "smooth_moving_cover_look" },
    { 0x7642, "smooth_player_link" },
    { 0x7643, "snake_cam_anim_node" },
    { 0x7644, "snake_cam_dialogue" },
    { 0x7645, "snake_cam_dummy" },
    { 0x7646, "snake_cam_enemies" },
    { 0x7647, "snake_cam_enemy_anims" },
    { 0x7648, "snake_cam_fx" },
    { 0x7649, "snake_cam_hud" },
    { 0x764A, "snake_cam_hud_cleanup" },
    { 0x764B, "snake_cam_input_logic" },
    { 0x764C, "snake_cam_logic" },
    { 0x764D, "snake_cam_noise" },
    { 0x764E, "snake_cam_noise_falloff" },
    { 0x764F, "snake_cam_shake_rumble" },
    { 0x7650, "snake_cam_time_countup" },
    { 0x7651, "snake_cam_transition_to_underwater" },
    { 0x7652, "snake_cam_vision_flicker" },
    { 0x7653, "snap2normal" },
    { 0x7654, "snap_lock_turret_onto_target" },
    { 0x7655, "snd_array" },
    { 0x7656, "sneak_trig" },
    { 0x7657, "sneak_up_on" },
    { 0x7658, "sniff_assign_structs_to_volume" },
    { 0x7659, "sniff_mode" },
    { 0x765A, "sniff_spots" },
    { 0x765B, "sniff_system_init" },
    { 0x765C, "sniff_trig_logic" },
    { 0x765D, "snipe_audio_fire" },
    { 0x765E, "snipe_audio_impact" },
    { 0x765F, "snipe_till_dead" },
    { 0x7660, "sniper_cancel_flag" },
    { 0x7661, "sniper_degx" },
    { 0x7662, "sniper_degy" },
    { 0x7663, "sniper_dvar" },
    { 0x7664, "sniper_explode" },
    { 0x7665, "sniper_glint_behavior" },
    { 0x7666, "sniper_hint" },
    { 0x7667, "sniper_paces" },
    { 0x7668, "sniper_paces_static" },
    { 0x7669, "sniper_vip_breach" },
    { 0x766A, "sniper_vision_override" },
    { 0x766B, "sniper_wait_extra_black" },
    { 0x766C, "sniper_zoom_hint_hud" },
    { 0x766D, "sniperdustwatcher" },
    { 0x766E, "sniperhitcount" },
    { 0x766F, "snipershotcount" },
    { 0x7670, "sniperuse_hint_wait" },
    { 0x7671, "snow" },
    { 0x7672, "snow_satellite_allowed" },
    { 0x7673, "snow_spray" },
    { 0x7674, "snowcustombotkillstreakfunc" },
    { 0x7675, "snowcustomcratefunc" },
    { 0x7676, "snowcustomkillstreakfunc" },
    { 0x7677, "snowman_death_watch" },
    { 0x7678, "snowmen" },
    { 0x7679, "snowmobile_bodies" },
    { 0x767A, "snowmobile_collide_death" },
    { 0x767B, "snowmobile_death_launchslide" },
    { 0x767C, "snowmobile_decide_shoot" },
    { 0x767D, "snowmobile_decide_shoot_internal" },
    { 0x767E, "snowmobile_do_event" },
    { 0x767F, "snowmobile_fx" },
    { 0x7680, "snowmobile_get_death_anim" },
    { 0x7681, "snowmobile_getoff" },
    { 0x7682, "snowmobile_geton" },
    { 0x7683, "snowmobile_handle_events" },
    { 0x7684, "snowmobile_loop_driver" },
    { 0x7685, "snowmobile_loop_driver_shooting" },
    { 0x7686, "snowmobile_loop_passenger" },
    { 0x7687, "snowmobile_loop_passenger_shooting" },
    { 0x7688, "snowmobile_mount_anims" },
    { 0x7689, "snowmobile_normal_death" },
    { 0x768A, "snowmobile_path" },
    { 0x768B, "snowmobile_reload" },
    { 0x768C, "snowmobile_reload_internal" },
    { 0x768D, "snowmobile_setanim_common" },
    { 0x768E, "snowmobile_setanim_driver" },
    { 0x768F, "snowmobile_setanim_passenger" },
    { 0x7690, "snowmobile_shoot" },
    { 0x7691, "snowmobile_sounds" },
    { 0x7692, "snowmobile_start_shooting" },
    { 0x7693, "snowmobile_stop_shooting" },
    { 0x7694, "snowmobile_trackshootentorpos_driver" },
    { 0x7695, "snowmobile_trackshootentorpos_passenger" },
    { 0x7696, "snowmobile_waitfor_end" },
    { 0x7697, "snowmobile_waitfor_start_aim" },
    { 0x7698, "snowmobile_waitfor_start_lean" },
    { 0x7699, "snowmobiles" },
    { 0x769A, "snowmobiles_tunnel" },
    { 0x769B, "snowmobileshootbehavior" },
    { 0x769C, "snowspeed" },
    { 0x769D, "so_can_player_see_dog" },
    { 0x769E, "so_dog_death_quote" },
    { 0x769F, "soccer_goal_guy1" },
    { 0x76A0, "soccer_goal_guy2" },
    { 0x76A1, "soccer_pass_guy1" },
    { 0x76A2, "soccer_pass_guy2" },
    { 0x76A3, "soccer_scene_ball" },
    { 0x76A4, "soccer_scene_enemies" },
    { 0x76A5, "soccerball_goal" },
    { 0x76A6, "soccerball_pass" },
    { 0x76A7, "soda_array" },
    { 0x76A8, "soda_can_drop" },
    { 0x76A9, "soda_can_eject" },
    { 0x76AA, "soda_count" },
    { 0x76AB, "soda_slot" },
    { 0x76AC, "soflam_tutorial_given" },
    { 0x76AD, "soflamammoused" },
    { 0x76AE, "soflamcrate" },
    { 0x76AF, "softlanding" },
    { 0x76B0, "softlandingtriggers" },
    { 0x76B1, "softlandingwaiter" },
    { 0x76B2, "softsighttest" },
    { 0x76B3, "solar_array0" },
    { 0x76B4, "solar_array1" },
    { 0x76B5, "solar_panel_handling" },
    { 0x76B6, "solar_panel_player_sound_trigger_wait" },
    { 0x76B7, "solarpanel_disconnect_nodes" },
    { 0x76B8, "solarpanels_damage_think" },
    { 0x76B9, "solarpanels_damage_think_instant" },
    { 0x76BA, "solid" },
    { 0x76BB, "solid_ents" },
    { 0x76BC, "solo_fires" },
    { 0x76BD, "solo_firing" },
    { 0x76BE, "solo_player_in_coop_gameskill_settings" },
    { 0x76BF, "solo_player_in_special_ops" },
    { 0x76C0, "someone_please_kill_me_now" },
    { 0x76C1, "sonar_approach" },
    { 0x76C2, "sonar_boat" },
    { 0x76C3, "sonar_boat_audio" },
    { 0x76C4, "sonar_boat_audio_e3" },
    { 0x76C5, "sonar_boat_audio_mover" },
    { 0x76C6, "sonar_boat_cave_quake" },
    { 0x76C7, "sonar_boat_cave_think" },
    { 0x76C8, "sonar_boat_e3" },
    { 0x76C9, "sonar_boat_one_shot_audio" },
    { 0x76CA, "sonar_boat_think" },
    { 0x76CB, "sonar_crash_dialogue" },
    { 0x76CC, "sonar_crash_dof" },
    { 0x76CD, "sonar_crash_earthquake" },
    { 0x76CE, "sonar_crash_fx" },
    { 0x76CF, "sonar_crash_player_setup" },
    { 0x76D0, "sonar_crash_solo_arms" },
    { 0x76D1, "sonar_door_think" },
    { 0x76D2, "sonar_exploder" },
    { 0x76D3, "sonar_fire_trigger_think" },
    { 0x76D4, "sonar_glass_destroy" },
    { 0x76D5, "sonar_mine_setup" },
    { 0x76D6, "sonar_mine_think" },
    { 0x76D7, "sonar_mines" },
    { 0x76D8, "sonar_mines_boat_reaction" },
    { 0x76D9, "sonar_mines_dialogue" },
    { 0x76DA, "sonar_mover_think" },
    { 0x76DB, "sonar_movers" },
    { 0x76DC, "sonar_node" },
    { 0x76DD, "sonar_ping" },
    { 0x76DE, "sonar_ping_delay" },
    { 0x76DF, "sonar_ping_light" },
    { 0x76E0, "sonar_ping_light_think" },
    { 0x76E1, "sonar_quake_org" },
    { 0x76E2, "sonar_safe_trigger_think" },
    { 0x76E3, "sonar_setup" },
    { 0x76E4, "sonar_times_hit" },
    { 0x76E5, "sonar_wreck" },
    { 0x76E6, "sonar_wreck_crash_after" },
    { 0x76E7, "sonar_wreck_think" },
    { 0x76E8, "sonicboomsfx" },
    { 0x76E9, "sort_array" },
    { 0x76EA, "sort_breachers" },
    { 0x76EB, "sort_buttons_by_angle" },
    { 0x76EC, "sort_by_index" },
    { 0x76ED, "sort_by_startingpos" },
    { 0x76EE, "sort_closest_distance_to_players_func" },
    { 0x76EF, "sort_closest_to_players" },
    { 0x76F0, "sort_destructible_frame_queue" },
    { 0x76F1, "sort_hive_level_activation_time_func" },
    { 0x76F2, "sort_intensity_levels_func" },
    { 0x76F3, "sort_priority_levels_func" },
    { 0x76F4, "sort_reactive_ents" },
    { 0x76F5, "sort_vectors_by_distance" },
    { 0x76F6, "sort_zone_score_func" },
    { 0x76F7, "sortbyweight" },
    { 0x76F8, "sortdroplocations" },
    { 0x76F9, "sorter" },
    { 0x76FA, "sortlowermessages" },
    { 0x76FB, "sortnodetransitionangles" },
    { 0x76FC, "sotf" },
    { 0x76FD, "sotf_chest_spawnpoints" },
    { 0x76FE, "sotf_loadouts" },
    { 0x76FF, "sotfcratecontents" },
    { 0x7700, "sotfcratethink" },
    { 0x7701, "sound" },
    { 0x7702, "sound_col" },
    { 0x7703, "sound_csv_include" },
    { 0x7704, "sound_effect" },
    { 0x7705, "sound_effect_play" },
    { 0x7706, "sound_ent" },
    { 0x7707, "sound_ents" },
    { 0x7708, "sound_explode" },
    { 0x7709, "sound_fade_and_delete" },
    { 0x770A, "sound_fade_in" },
    { 0x770B, "sound_flames" },
    { 0x770C, "sound_lockon" },
    { 0x770D, "sound_on_stick_movement" },
    { 0x770E, "sound_org" },
    { 0x770F, "sound_org_four" },
    { 0x7710, "sound_ping_npc" },
    { 0x7711, "sound_ping_plr" },
    { 0x7712, "sound_prefix" },
    { 0x7713, "sound_ramp" },
    { 0x7714, "sound_reset_time" },
    { 0x7715, "sound_suffix" },
    { 0x7716, "sound_tag_dupe" },
    { 0x7717, "sound_targeting" },
    { 0x7718, "sound_test" },
    { 0x7719, "sound_torpedo_ent" },
    { 0x771A, "sound_water_suppression" },
    { 0x771B, "sound_weapon" },
    { 0x771C, "soundalias" },
    { 0x771D, "soundaliases" },
    { 0x771E, "soundent" },
    { 0x771F, "soundfx" },
    { 0x7720, "soundfxdelete" },
    { 0x7721, "sounds" },
    { 0x7722, "sounds_fire_trap" },
    { 0x7723, "sounds_kill_flames" },
    { 0x7724, "soundstate" },
    { 0x7725, "soundtag" },
    { 0x7726, "soundwatcher" },
    { 0x7727, "sovereign" },
    { 0x7728, "sovereigncustombotkillstreakfunc" },
    { 0x7729, "sovereigncustomcratefunc" },
    { 0x772A, "sovereigncustomkillstreakfunc" },
    { 0x772B, "sp_stat_tracking_func" },
    { 0x772C, "space_accel" },
    { 0x772D, "space_actor_lights" },
    { 0x772E, "space_actor_lights_kill" },
    { 0x772F, "space_arrival_turnrate_delay" },
    { 0x7730, "space_blood" },
    { 0x7731, "space_breach" },
    { 0x7732, "space_breach_dialogue" },
    { 0x7733, "space_breach_enemies" },
    { 0x7734, "space_breach_start" },
    { 0x7735, "space_breathing_enabled" },
    { 0x7736, "space_cleanup" },
    { 0x7737, "space_crate_01" },
    { 0x7738, "space_crate_02" },
    { 0x7739, "space_death_fx" },
    { 0x773A, "space_friction" },
    { 0x773B, "space_getdefaultturnrate" },
    { 0x773C, "space_getorientturnrate" },
    { 0x773D, "space_hud_enable" },
    { 0x773E, "space_intense_breathing" },
    { 0x773F, "space_screen" },
    { 0x7740, "space_script_setup" },
    { 0x7741, "space_shotgun_firing" },
    { 0x7742, "space_speed" },
    { 0x7743, "space_sprint" },
    { 0x7744, "space_sprinting_adjustments" },
    { 0x7745, "space_stuggle_enemy_death" },
    { 0x7746, "space_thruster_audio" },
    { 0x7747, "space_vertical_accel" },
    { 0x7748, "space_vertical_speed" },
    { 0x7749, "spacedust_cam_fx" },
    { 0x774A, "spacing" },
    { 0x774B, "spam_points_popup" },
    { 0x774C, "spammed_model" },
    { 0x774D, "sparkeffect" },
    { 0x774E, "sparks" },
    { 0x774F, "sparrow_background_helis" },
    { 0x7750, "sparrow_control" },
    { 0x7751, "sparrow_dead_operator" },
    { 0x7752, "sparrow_fire_hint" },
    { 0x7753, "sparrow_helis" },
    { 0x7754, "sparrow_init" },
    { 0x7755, "sparrow_launchers" },
    { 0x7756, "sparrow_left" },
    { 0x7757, "sparrow_right" },
    { 0x7758, "sparrow_run_death" },
    { 0x7759, "sparrow_run_enemies" },
    { 0x775A, "sparrow_run_enemy_01" },
    { 0x775B, "sparrow_run_enemy_logic" },
    { 0x775C, "sparrow_run_mantle" },
    { 0x775D, "sparrow_zodiacs" },
    { 0x775E, "spawn" },
    { 0x775F, "spawn_a10_gun_dive_entrance" },
    { 0x7760, "spawn_a10s" },
    { 0x7761, "spawn_a_drone" },
    { 0x7762, "spawn_ac130" },
    { 0x7763, "spawn_adam" },
    { 0x7764, "spawn_adjusted_train_node" },
    { 0x7765, "spawn_agent_player" },
    { 0x7766, "spawn_ai" },
    { 0x7767, "spawn_ai_for_location" },
    { 0x7768, "spawn_ai_for_location_from_pool" },
    { 0x7769, "spawn_ai_for_structs" },
    { 0x776A, "spawn_ai_from_spawner_send_to_volume" },
    { 0x776B, "spawn_ai_throttled_targetname" },
    { 0x776C, "spawn_alien" },
    { 0x776D, "spawn_alien_agent" },
    { 0x776E, "spawn_alien_meteoroid" },
    { 0x776F, "spawn_aliens" },
    { 0x7770, "spawn_all_friendlies" },
    { 0x7771, "spawn_allies" },
    { 0x7772, "spawn_allies_deploy" },
    { 0x7773, "spawn_allies_group" },
    { 0x7774, "spawn_allies_swim" },
    { 0x7775, "spawn_ally" },
    { 0x7776, "spawn_ambush_vehicles" },
    { 0x7777, "spawn_and_assemble_animated_satellite" },
    { 0x7778, "spawn_and_link_models_to_tags" },
    { 0x7779, "spawn_and_place_sentry" },
    { 0x777A, "spawn_and_put_player_in_jeep" },
    { 0x777B, "spawn_and_reinforce" },
    { 0x777C, "spawn_and_restart_monitoring" },
    { 0x777D, "spawn_and_setup_elias" },
    { 0x777E, "spawn_anim_ent" },
    { 0x777F, "spawn_anim_model" },
    { 0x7780, "spawn_animate_and_get_shot" },
    { 0x7781, "spawn_animate_delete" },
    { 0x7782, "spawn_apache_allies" },
    { 0x7783, "spawn_apache_ally" },
    { 0x7784, "spawn_apache_ally_targetname" },
    { 0x7785, "spawn_apache_player" },
    { 0x7786, "spawn_apache_player_at_struct" },
    { 0x7787, "spawn_array" },
    { 0x7788, "spawn_background_helis" },
    { 0x7789, "spawn_baker" },
    { 0x778A, "spawn_bishop" },
    { 0x778B, "spawn_blackhawk_ally" },
    { 0x778C, "spawn_bombing_run" },
    { 0x778D, "spawn_boss" },
    { 0x778E, "spawn_bot_latent" },
    { 0x778F, "spawn_bots" },
    { 0x7790, "spawn_bravo" },
    { 0x7791, "spawn_bravo_group" },
    { 0x7792, "spawn_bridge_gazs" },
    { 0x7793, "spawn_bridge_guys" },
    { 0x7794, "spawn_cargo_carrier" },
    { 0x7795, "spawn_challenge" },
    { 0x7796, "spawn_challenge_internal" },
    { 0x7797, "spawn_checkpoint_guys" },
    { 0x7798, "spawn_checkpoint_only_allies" },
    { 0x7799, "spawn_convoy" },
    { 0x779A, "spawn_cycles" },
    { 0x779B, "spawn_dam_harrassers" },
    { 0x779C, "spawn_dam_harrassers_fake" },
    { 0x779D, "spawn_dead_bodies_mudpumps" },
    { 0x779E, "spawn_dead_bodies_pipe_deck" },
    { 0x779F, "spawn_dead_body" },
    { 0x77A0, "spawn_deadbodies" },
    { 0x77A1, "spawn_death_collision" },
    { 0x77A2, "spawn_death_collision_phys" },
    { 0x77A3, "spawn_delay" },
    { 0x77A4, "spawn_director_loop" },
    { 0x77A5, "spawn_discovery_guys" },
    { 0x77A6, "spawn_dog" },
    { 0x77A7, "spawn_dog_jump_guy" },
    { 0x77A8, "spawn_dogfight_pass" },
    { 0x77A9, "spawn_drill_raw" },
    { 0x77AA, "spawn_elias" },
    { 0x77AB, "spawn_elite" },
    { 0x77AC, "spawn_enemies" },
    { 0x77AD, "spawn_enemies_on_ai_count" },
    { 0x77AE, "spawn_enemies_on_flag" },
    { 0x77AF, "spawn_enemy_bike" },
    { 0x77B0, "spawn_enemy_bike_at_spawer" },
    { 0x77B1, "spawn_enemy_death_hud_element" },
    { 0x77B2, "spawn_enemy_road_jeep" },
    { 0x77B3, "spawn_event_delayed_wave_spawn" },
    { 0x77B4, "spawn_event_elite_wave_spawn" },
    { 0x77B5, "spawn_event_max_activation_increase" },
    { 0x77B6, "spawn_event_min_activation_time" },
    { 0x77B7, "spawn_event_minion_wave_spawn" },
    { 0x77B8, "spawn_event_per_alien_activation_increase" },
    { 0x77B9, "spawn_event_time_limit_monitor" },
    { 0x77BA, "spawn_event_wave_block" },
    { 0x77BB, "spawn_event_wave_spawn" },
    { 0x77BC, "spawn_event_waves" },
    { 0x77BD, "spawn_events" },
    { 0x77BE, "spawn_failed" },
    { 0x77BF, "spawn_fake_zodiac" },
    { 0x77C0, "spawn_fake_zodiacs" },
    { 0x77C1, "spawn_flyers" },
    { 0x77C2, "spawn_forward" },
    { 0x77C3, "spawn_friendlies" },
    { 0x77C4, "spawn_friendlies_and_put_in_jeep" },
    { 0x77C5, "spawn_front" },
    { 0x77C6, "spawn_funcs" },
    { 0x77C7, "spawn_functions" },
    { 0x77C8, "spawn_fx_at_hit_pos" },
    { 0x77C9, "spawn_fx_near_player" },
    { 0x77CA, "spawn_gaz" },
    { 0x77CB, "spawn_glass_cutter" },
    { 0x77CC, "spawn_grenade" },
    { 0x77CD, "spawn_grenade_bag" },
    { 0x77CE, "spawn_ground_alien" },
    { 0x77CF, "spawn_ground_aliens" },
    { 0x77D0, "spawn_group" },
    { 0x77D1, "spawn_group_staggered" },
    { 0x77D2, "spawn_groups" },
    { 0x77D3, "spawn_gunboat" },
    { 0x77D4, "spawn_guys_until_death_or_no_count" },
    { 0x77D5, "spawn_helicopter" },
    { 0x77D6, "spawn_heroes_checkpoint" },
    { 0x77D7, "spawn_hesh" },
    { 0x77D8, "spawn_hesh_and_dog" },
    { 0x77D9, "spawn_hidden_reinforcement" },
    { 0x77DA, "spawn_hill_enemies_hot" },
    { 0x77DB, "spawn_hind_enemies" },
    { 0x77DC, "spawn_hind_enemy" },
    { 0x77DD, "spawn_hive_heli_reward" },
    { 0x77DE, "spawn_in_wave_2" },
    { 0x77DF, "spawn_infantry_friends" },
    { 0x77E0, "spawn_infantry_in_blackhawk" },
    { 0x77E1, "spawn_initial_combat_helis" },
    { 0x77E2, "spawn_item" },
    { 0x77E3, "spawn_items_in_area" },
    { 0x77E4, "spawn_items_inside_lootbox" },
    { 0x77E5, "spawn_jeep2_riders" },
    { 0x77E6, "spawn_jeep_riders" },
    { 0x77E7, "spawn_jump_point" },
    { 0x77E8, "spawn_junction_pip_drones" },
    { 0x77E9, "spawn_keegan" },
    { 0x77EA, "spawn_lariver_defend_balcony_guys" },
    { 0x77EB, "spawn_left" },
    { 0x77EC, "spawn_lockdown_guy" },
    { 0x77ED, "spawn_locs" },
    { 0x77EE, "spawn_loot" },
    { 0x77EF, "spawn_loot_fx" },
    { 0x77F0, "spawn_lurker" },
    { 0x77F1, "spawn_mall_exit" },
    { 0x77F2, "spawn_merrick" },
    { 0x77F3, "spawn_meteor_aliens" },
    { 0x77F4, "spawn_meteoroid_aliens" },
    { 0x77F5, "spawn_minions" },
    { 0x77F6, "spawn_ml_drivers" },
    { 0x77F7, "spawn_model" },
    { 0x77F8, "spawn_model_and_linkto_me" },
    { 0x77F9, "spawn_model_from_struct" },
    { 0x77FA, "spawn_model_fx" },
    { 0x77FB, "spawn_model_on_me" },
    { 0x77FC, "spawn_new_care_package" },
    { 0x77FD, "spawn_node_based_enemy_tank" },
    { 0x77FE, "spawn_node_based_enemy_tanks_targetname" },
    { 0x77FF, "spawn_node_info" },
    { 0x7800, "spawn_node_info_table" },
    { 0x7801, "spawn_node_traces_frame_time" },
    { 0x7802, "spawn_node_traces_this_frame" },
    { 0x7803, "spawn_nodes" },
    { 0x7804, "spawn_obj_on_launchers" },
    { 0x7805, "spawn_odin_actor_array" },
    { 0x7806, "spawn_odin_actor_internal" },
    { 0x7807, "spawn_odin_actor_single" },
    { 0x7808, "spawn_pickup_gun" },
    { 0x7809, "spawn_player_checkpoint" },
    { 0x780A, "spawn_player_dummy" },
    { 0x780B, "spawn_player_truck" },
    { 0x780C, "spawn_point_last_used_duration" },
    { 0x780D, "spawn_pool_copy_function" },
    { 0x780E, "spawn_pool_enabled" },
    { 0x780F, "spawn_pre_sparrow_helis" },
    { 0x7810, "spawn_prethink" },
    { 0x7811, "spawn_random_airdrop_sub_items" },
    { 0x7812, "spawn_random_item" },
    { 0x7813, "spawn_reinforcement" },
    { 0x7814, "spawn_repeating_background_heli" },
    { 0x7815, "spawn_repeating_heli" },
    { 0x7816, "spawn_right" },
    { 0x7817, "spawn_rorke" },
    { 0x7818, "spawn_rorke_inverted_kill_knife" },
    { 0x7819, "spawn_rpg_guys" },
    { 0x781A, "spawn_sat_array_a10_gun_dive_1" },
    { 0x781B, "spawn_sat_array_a10_missile_dive_1" },
    { 0x781C, "spawn_scaffold_guys" },
    { 0x781D, "spawn_scene_alien" },
    { 0x781E, "spawn_scientists" },
    { 0x781F, "spawn_script_noteworthy" },
    { 0x7820, "spawn_setcharacter" },
    { 0x7821, "spawn_single_ground_vehicle" },
    { 0x7822, "spawn_single_helo" },
    { 0x7823, "spawn_single_stage1_ground_vehicle" },
    { 0x7824, "spawn_single_stage2_ground_vehicle" },
    { 0x7825, "spawn_single_stage3_ground_vehicle" },
    { 0x7826, "spawn_soda" },
    { 0x7827, "spawn_space_ai" },
    { 0x7828, "spawn_space_ai_from_targetname" },
    { 0x7829, "spawn_space_ais_from_targetname" },
    { 0x782A, "spawn_stage1_attack_ground_vehicles" },
    { 0x782B, "spawn_stage1_attack_helos" },
    { 0x782C, "spawn_stage1_bombing_runs" },
    { 0x782D, "spawn_stage1_missile_trucks" },
    { 0x782E, "spawn_stage2_attack_ground_vehicles" },
    { 0x782F, "spawn_stage2_missile_trucks" },
    { 0x7830, "spawn_stage3_attack_ground_vehicles" },
    { 0x7831, "spawn_stage3_missile_trucks" },
    { 0x7832, "spawn_stair_runner" },
    { 0x7833, "spawn_start_guys" },
    { 0x7834, "spawn_street_fake_first_frame" },
    { 0x7835, "spawn_tag_fx" },
    { 0x7836, "spawn_tag_origin" },
    { 0x7837, "spawn_tag_origin_from_tag" },
    { 0x7838, "spawn_tag_play_sound" },
    { 0x7839, "spawn_targetname" },
    { 0x783A, "spawn_targetname_at_struct_targetname" },
    { 0x783B, "spawn_team2" },
    { 0x783C, "spawn_team_allies" },
    { 0x783D, "spawn_team_axis" },
    { 0x783E, "spawn_team_neutral" },
    { 0x783F, "spawn_team_team3" },
    { 0x7840, "spawn_think" },
    { 0x7841, "spawn_think_action" },
    { 0x7842, "spawn_think_game_skill_related" },
    { 0x7843, "spawn_think_script_inits" },
    { 0x7844, "spawn_trigger" },
    { 0x7845, "spawn_trolley_ally" },
    { 0x7846, "spawn_truck_setup_riders" },
    { 0x7847, "spawn_trucks" },
    { 0x7848, "spawn_type" },
    { 0x7849, "spawn_type_vo_monitor" },
    { 0x784A, "spawn_unload_group" },
    { 0x784B, "spawn_vehicle" },
    { 0x784C, "spawn_vehicle_and_attach_to_spline_path" },
    { 0x784D, "spawn_vehicle_and_gopath" },
    { 0x784E, "spawn_vehicle_from_targetname" },
    { 0x784F, "spawn_vehicle_from_targetname_and_drive" },
    { 0x7850, "spawn_vehicles_from_targetname" },
    { 0x7851, "spawn_vehicles_from_targetname_and_drive" },
    { 0x7852, "spawn_vehicles_from_targetname_newstyle" },
    { 0x7853, "spawn_vehicles_not_already_spawning" },
    { 0x7854, "spawn_vehicles_throttled" },
    { 0x7855, "spawn_vip_drone" },
    { 0x7856, "spawn_wave" },
    { 0x7857, "spawn_wave1_enemies" },
    { 0x7858, "spawn_waves" },
    { 0x7859, "spawn_world_item" },
    { 0x785A, "spawn_zodiac_rappel" },
    { 0x785B, "spawn_zodiacs" },
    { 0x785C, "spawn_zone_exists" },
    { 0x785D, "spawn_zones" },
    { 0x785E, "spawnaircraft" },
    { 0x785F, "spawnalien" },
    { 0x7860, "spawnallypet" },
    { 0x7861, "spawnarmor" },
    { 0x7862, "spawnattacklittlebird" },
    { 0x7863, "spawnbomb" },
    { 0x7864, "spawnbreachhostiles" },
    { 0x7865, "spawnchests" },
    { 0x7866, "spawnclient" },
    { 0x7867, "spawndefensiveharrier" },
    { 0x7868, "spawndogtags" },
    { 0x7869, "spawned_count" },
    { 0x786A, "spawned_lurker" },
    { 0x786B, "spawned_reenforcements" },
    { 0x786C, "spawnedkillcamcleanup" },
    { 0x786D, "spawnendofgame" },
    { 0x786E, "spawner_cleanup" },
    { 0x786F, "spawner_deathflag" },
    { 0x7870, "spawner_dronespawn" },
    { 0x7871, "spawner_fallbackers" },
    { 0x7872, "spawner_id" },
    { 0x7873, "spawner_makerealai" },
    { 0x7874, "spawner_number" },
    { 0x7875, "spawner_pool" },
    { 0x7876, "spawner_random_team" },
    { 0x7877, "spawnercallbackthread" },
    { 0x7878, "spawnercount" },
    { 0x7879, "spawners" },
    { 0x787A, "spawnerwave" },
    { 0x787B, "spawnfire" },
    { 0x787C, "spawnfirstintel" },
    { 0x787D, "spawnflag" },
    { 0x787E, "spawnfunc_ally" },
    { 0x787F, "spawnfunc_bravo" },
    { 0x7880, "spawnfunc_death_override" },
    { 0x7881, "spawnfunc_enemies_balcony" },
    { 0x7882, "spawnfunc_enemies_boats" },
    { 0x7883, "spawnfunc_enemies_derrick_heat_shield" },
    { 0x7884, "spawnfunc_enemies_generic" },
    { 0x7885, "spawnfunc_enemies_generic_ignore" },
    { 0x7886, "spawnfunc_enemies_generic_rush" },
    { 0x7887, "spawnfunc_enemies_ignore" },
    { 0x7888, "spawnfunc_enemies_noticket" },
    { 0x7889, "spawnfunc_enemies_pipe_run" },
    { 0x788A, "spawnfunc_enemies_rog" },
    { 0x788B, "spawnfunc_enemies_runner" },
    { 0x788C, "spawnfunc_enemies_sat2_top" },
    { 0x788D, "spawnfunc_enemy_elevator" },
    { 0x788E, "spawnfunc_enemy_elevator_damage_interrupt" },
    { 0x788F, "spawnfunc_enemy_elevator_wait" },
    { 0x7890, "spawnfunc_enemy_generic" },
    { 0x7891, "spawnfunc_enemy_plan_b" },
    { 0x7892, "spawnfunc_enemy_right" },
    { 0x7893, "spawnfunc_enemy_rpg" },
    { 0x7894, "spawnfunc_enemy_scene_anim" },
    { 0x7895, "spawnfunc_enemy_scene_anim_controller" },
    { 0x7896, "spawnfunc_enemy_scene_scripted" },
    { 0x7897, "spawnfunc_enemy_scene_scripted_damage_interrupt" },
    { 0x7898, "spawnfunc_enemy_scene_scripted_natural_interrupt" },
    { 0x7899, "spawnfunc_enemy_scene_solo" },
    { 0x789A, "spawnfunc_enemy_scene_solo_auto_kill" },
    { 0x789B, "spawnfunc_enemy_scene_solo_crate_guy" },
    { 0x789C, "spawnfunc_enemy_scene_solo_foreman_smash_end" },
    { 0x789D, "spawnfunc_enemy_tanks" },
    { 0x789E, "spawnfunc_engine_room_extinguisher_guys" },
    { 0x789F, "spawnfunc_engine_room_reinforcements" },
    { 0x78A0, "spawnfunc_engine_room_reinforcements_2" },
    { 0x78A1, "spawnfunc_intro" },
    { 0x78A2, "spawnfx_test" },
    { 0x78A3, "spawnfxdelay" },
    { 0x78A4, "spawnglow" },
    { 0x78A5, "spawnglowmodel" },
    { 0x78A6, "spawnhostile" },
    { 0x78A7, "spawningafterremotedeath" },
    { 0x78A8, "spawningclientthisframereset" },
    { 0x78A9, "spawningguy" },
    { 0x78AA, "spawnintermission" },
    { 0x78AB, "spawnlogicteam" },
    { 0x78AC, "spawnlogictraceheight" },
    { 0x78AD, "spawnmaxs" },
    { 0x78AE, "spawnmine" },
    { 0x78AF, "spawnmins" },
    { 0x78B0, "spawnmotionsensor" },
    { 0x78B1, "spawnnewgenerator" },
    { 0x78B2, "spawnorigin" },
    { 0x78B3, "spawnperk" },
    { 0x78B4, "spawnpickup" },
    { 0x78B5, "spawnplayer" },
    { 0x78B6, "spawnpointarray" },
    { 0x78B7, "spawnpointdistanceupdate" },
    { 0x78B8, "spawnpointinit" },
    { 0x78B9, "spawnpoints" },
    { 0x78BA, "spawnpointsightupdate" },
    { 0x78BB, "spawnpointupdate" },
    { 0x78BC, "spawnpos" },
    { 0x78BD, "spawnremote" },
    { 0x78BE, "spawnscore" },
    { 0x78BF, "spawnsolarpanels" },
    { 0x78C0, "spawnsolarpanelsinit" },
    { 0x78C1, "spawnspectator" },
    { 0x78C2, "spawnswitchblade" },
    { 0x78C3, "spawntag" },
    { 0x78C4, "spawntime" },
    { 0x78C5, "spawntracelocation" },
    { 0x78C6, "spawnwavestoptrigger" },
    { 0x78C7, "spawnwaypointfriendlies" },
    { 0x78C8, "speaker_playsound" },
    { 0x78C9, "speakers" },
    { 0x78CA, "spec_cg" },
    { 0x78CB, "spec_cg_fireworks_high" },
    { 0x78CC, "spec_cg_fireworks_low" },
    { 0x78CD, "spec_ng" },
    { 0x78CE, "spec_ng_fireworks_high" },
    { 0x78CF, "spec_ng_fireworks_low" },
    { 0x78D0, "special" },
    { 0x78D1, "special_ammo_weapon_change_monitor" },
    { 0x78D2, "special_ammo_weapon_fire_monitor" },
    { 0x78D3, "special_ammocount" },
    { 0x78D4, "special_ammocount_ap" },
    { 0x78D5, "special_ammocount_ap_rank" },
    { 0x78D6, "special_ammocount_explo" },
    { 0x78D7, "special_ammocount_explo_rank" },
    { 0x78D8, "special_ammocount_in" },
    { 0x78D9, "special_ammocount_in_rank" },
    { 0x78DA, "special_ammocount_rank" },
    { 0x78DB, "special_autosavecondition" },
    { 0x78DC, "special_case" },
    { 0x78DD, "special_death_guys" },
    { 0x78DE, "special_death_hint" },
    { 0x78DF, "special_death_proc" },
    { 0x78E0, "special_gulag_adjustment" },
    { 0x78E1, "special_hopper_open" },
    { 0x78E2, "special_spawn_trigs" },
    { 0x78E3, "special_weapon_and_deployable_monitor" },
    { 0x78E4, "special_weapon_dof_funcs" },
    { 0x78E5, "special_weapon_hints" },
    { 0x78E6, "specialcheck" },
    { 0x78E7, "specialcleanupfunc" },
    { 0x78E8, "specialdamage" },
    { 0x78E9, "specialdamagecallback" },
    { 0x78EA, "specialdeath" },
    { 0x78EB, "specialdeathfunc" },
    { 0x78EC, "specialflashedfunc" },
    { 0x78ED, "specialidleanim" },
    { 0x78EE, "specialidleloop" },
    { 0x78EF, "specialmelee_standard" },
    { 0x78F0, "specialmeleechooseaction" },
    { 0x78F1, "specialpain" },
    { 0x78F2, "specialpainblocker" },
    { 0x78F3, "specialreloadanimfunc" },
    { 0x78F4, "specialroundtime" },
    { 0x78F5, "specialshootbehavior" },
    { 0x78F6, "specialty" },
    { 0x78F7, "species" },
    { 0x78F8, "specific_combat" },
    { 0x78F9, "specops_dmg" },
    { 0x78FA, "specops_reward_gameskill" },
    { 0x78FB, "specops_think" },
    { 0x78FC, "spectateoverride" },
    { 0x78FD, "spectator_takeover_other" },
    { 0x78FE, "speechcommands" },
    { 0x78FF, "speed_direction_check" },
    { 0x7900, "speed_norm" },
    { 0x7901, "speed_slow" },
    { 0x7902, "speed_up_slow_mo" },
    { 0x7903, "speedend" },
    { 0x7904, "speedforanimmult" },
    { 0x7905, "speedjeep" },
    { 0x7906, "speedloader" },
    { 0x7907, "speedloader_fail" },
    { 0x7908, "speedstart" },
    { 0x7909, "speedtype" },
    { 0x790A, "spend_no_money_timer" },
    { 0x790B, "spin_allowance_y" },
    { 0x790C, "spin_allowance_z" },
    { 0x790D, "spin_ally_logic" },
    { 0x790E, "spin_busted_module" },
    { 0x790F, "spin_cleanup" },
    { 0x7910, "spin_colliders_go" },
    { 0x7911, "spin_deadguys" },
    { 0x7912, "spin_debris_rotation" },
    { 0x7913, "spin_dialogue" },
    { 0x7914, "spin_do_moving_debris" },
    { 0x7915, "spin_do_moving_debris_fx" },
    { 0x7916, "spin_do_moving_prefab_debris" },
    { 0x7917, "spin_fans" },
    { 0x7918, "spin_main" },
    { 0x7919, "spin_piece_fire" },
    { 0x791A, "spin_piece_pieces" },
    { 0x791B, "spin_piece_sparks" },
    { 0x791C, "spin_push_to_spacejump" },
    { 0x791D, "spin_sat_and_earth_mover" },
    { 0x791E, "spin_setup" },
    { 0x791F, "spin_start" },
    { 0x7920, "spinbuttonpressed" },
    { 0x7921, "spinning_cover" },
    { 0x7922, "spinning_object" },
    { 0x7923, "spinning_room_geo_simple" },
    { 0x7924, "spinning_room_parts" },
    { 0x7925, "spinsoundshortly" },
    { 0x7926, "spinuptime" },
    { 0x7927, "spit_aoe_cloud_damage" },
    { 0x7928, "spit_at_struct" },
    { 0x7929, "spit_attack" },
    { 0x792A, "spit_basic_projectile" },
    { 0x792B, "spit_basic_projectile_impact_monitor" },
    { 0x792C, "spit_gas_cloud_projectile" },
    { 0x792D, "spit_gas_cloud_projectile_impact_monitor" },
    { 0x792E, "spit_projectile" },
    { 0x792F, "spit_target" },
    { 0x7930, "spit_target_location" },
    { 0x7931, "spit_type" },
    { 0x7932, "spitter_attack" },
    { 0x7933, "spitter_combat" },
    { 0x7934, "spitter_death" },
    { 0x7935, "spitter_gas_cloud_count" },
    { 0x7936, "spitter_init" },
    { 0x7937, "spitter_last_cloud_time" },
    { 0x7938, "spitter_node_attacked_monitor" },
    { 0x7939, "spitter_node_duration_monitor" },
    { 0x793A, "spitter_node_player_proximity" },
    { 0x793B, "spitters_against_chopper" },
    { 0x793C, "spitters_against_players" },
    { 0x793D, "spitters_against_players_ratio" },
    { 0x793E, "spitters_array" },
    { 0x793F, "splash_angles" },
    { 0x7940, "splash_delay" },
    { 0x7941, "splash_fx" },
    { 0x7942, "splash_on_hit_water" },
    { 0x7943, "splash_on_hit_water_ragdoll" },
    { 0x7944, "splash_on_hit_water_zodiac" },
    { 0x7945, "splash_on_player" },
    { 0x7946, "splash_on_player_choose_location" },
    { 0x7947, "splash_tag" },
    { 0x7948, "splash_x" },
    { 0x7949, "splash_y" },
    { 0x794A, "splash_z" },
    { 0x794B, "splashname" },
    { 0x794C, "splashnotify" },
    { 0x794D, "splashnotifydelayed" },
    { 0x794E, "splashnotifyurgent" },
    { 0x794F, "splashqueue" },
    { 0x7950, "splashusedname" },
    { 0x7951, "spline" },
    { 0x7952, "spline_cam_intro" },
    { 0x7953, "spline_cam_outro" },
    { 0x7954, "spline_id" },
    { 0x7955, "spline_min_progress" },
    { 0x7956, "splinenode_id" },
    { 0x7957, "splinenode_label" },
    { 0x7958, "splitarrivalsleft" },
    { 0x7959, "splitarrivalsright" },
    { 0x795A, "splitexitsleft" },
    { 0x795B, "splitexitsright" },
    { 0x795C, "splitscreen" },
    { 0x795D, "splshtag1" },
    { 0x795E, "splshtag11" },
    { 0x795F, "splshtag15" },
    { 0x7960, "splshtag2" },
    { 0x7961, "splshtag3" },
    { 0x7962, "splshtag4" },
    { 0x7963, "splshtag7" },
    { 0x7964, "spool" },
    { 0x7965, "spool_prop" },
    { 0x7966, "spot" },
    { 0x7967, "spot_light" },
    { 0x7968, "spot_light_death" },
    { 0x7969, "spot_noise" },
    { 0x796A, "spotlight" },
    { 0x796B, "spotlight_aim_ents" },
    { 0x796C, "spotlight_fizzles_out" },
    { 0x796D, "spotlight_hind" },
    { 0x796E, "spotlight_loop" },
    { 0x796F, "spotlight_motion" },
    { 0x7970, "spotlight_tag_origin_cleanup" },
    { 0x7971, "spotlight_think" },
    { 0x7972, "spottarget" },
    { 0x7973, "spotted_an_enemy" },
    { 0x7974, "spotted_enemy" },
    { 0x7975, "spotted_list" },
    { 0x7976, "spotter" },
    { 0x7977, "sprimaryweapon" },
    { 0x7978, "spring_cam_max_clamp" },
    { 0x7979, "spring_cam_min_clamp" },
    { 0x797A, "sprinkler_fx" },
    { 0x797B, "sprinkler_fx_tag" },
    { 0x797C, "sprinkler_watch" },
    { 0x797D, "sprint" },
    { 0x797E, "sprint_fade" },
    { 0x797F, "sprint_hint_check" },
    { 0x7980, "sprint_time" },
    { 0x7981, "sprintdistthissprint" },
    { 0x7982, "sprinting" },
    { 0x7983, "sprintreloadtimestamp" },
    { 0x7984, "sprinttracking" },
    { 0x7985, "spupdatetotal" },
    { 0x7986, "squad" },
    { 0x7987, "squad_kill" },
    { 0x7988, "squad_leader_logic" },
    { 0x7989, "squad_manager" },
    { 0x798A, "squad_member_logic" },
    { 0x798B, "squad_save_old_color" },
    { 0x798C, "squad_vo" },
    { 0x798D, "squadcanburst" },
    { 0x798E, "squadchange" },
    { 0x798F, "squadcreatefuncs" },
    { 0x7990, "squadcreatestrings" },
    { 0x7991, "squadflavorbursttransmissions" },
    { 0x7992, "squadhasofficer" },
    { 0x7993, "squadid" },
    { 0x7994, "squadindex" },
    { 0x7995, "squadinitialized" },
    { 0x7996, "squadlist" },
    { 0x7997, "squadmate_agent_think" },
    { 0x7998, "squadname" },
    { 0x7999, "squadnum" },
    { 0x799A, "squadofficerwaiter" },
    { 0x799B, "squadrand" },
    { 0x799C, "squads" },
    { 0x799D, "squadstates" },
    { 0x799E, "squadthreatwaiter" },
    { 0x799F, "squadtracker" },
    { 0x79A0, "squadupdatefuncs" },
    { 0x79A1, "squadupdatestrings" },
    { 0x79A2, "squib_debris" },
    { 0x79A3, "sr_notifyplayer" },
    { 0x79A4, "sr_notifyteam" },
    { 0x79A5, "sr_respawn" },
    { 0x79A6, "sr_splashnotifyteam" },
    { 0x79A7, "stab_enemy_hint" },
    { 0x79A8, "stab_enemy_hint_cleanup" },
    { 0x79A9, "stabalize" },
    { 0x79AA, "stabbed" },
    { 0x79AB, "stable_unlink" },
    { 0x79AC, "stage_1_fraction" },
    { 0x79AD, "stage_2_fraction" },
    { 0x79AE, "stage_guy" },
    { 0x79AF, "stagedvisionsets" },
    { 0x79B0, "stairs_low_speed" },
    { 0x79B1, "stairwell_baker" },
    { 0x79B2, "stairwell_checkpoint" },
    { 0x79B3, "stairwell_crack_flat" },
    { 0x79B4, "stairwell_cracks" },
    { 0x79B5, "stairwell_handler" },
    { 0x79B6, "stairwell_light" },
    { 0x79B7, "stairwell_office_vo" },
    { 0x79B8, "stairwell_pipes" },
    { 0x79B9, "stairwell_rorke" },
    { 0x79BA, "stalemate" },
    { 0x79BB, "stance" },
    { 0x79BC, "stance_carry" },
    { 0x79BD, "stance_carry_icon_disable" },
    { 0x79BE, "stance_carry_icon_enable" },
    { 0x79BF, "stance_change" },
    { 0x79C0, "stance_change_time" },
    { 0x79C1, "stance_handler" },
    { 0x79C2, "stance_num" },
    { 0x79C3, "stance_up" },
    { 0x79C4, "stancerecoiladjuster" },
    { 0x79C5, "stances" },
    { 0x79C6, "stand_player_up" },
    { 0x79C7, "stand_up_if_necessary" },
    { 0x79C8, "standally" },
    { 0x79C9, "standardmaxhealth" },
    { 0x79CA, "standardspeed" },
    { 0x79CB, "standattack" },
    { 0x79CC, "standby_watcher" },
    { 0x79CD, "standdfsd" },
    { 0x79CE, "standdown" },
    { 0x79CF, "standidle" },
    { 0x79D0, "standifmakesenemyvisible" },
    { 0x79D1, "standing" },
    { 0x79D2, "standoff_sunlight" },
    { 0x79D3, "standoff_temp_vo_hesh_4" },
    { 0x79D4, "standoff_temp_vo_hesh_5" },
    { 0x79D5, "standrun_begin" },
    { 0x79D6, "standrun_checkchangeweapon" },
    { 0x79D7, "standrun_checkreload" },
    { 0x79D8, "standrun_combatnormal" },
    { 0x79D9, "standrun_noncombatnormal" },
    { 0x79DA, "standrun_reloadinternal" },
    { 0x79DB, "standruntocrouch" },
    { 0x79DC, "standruntostand" },
    { 0x79DD, "standruntranstime" },
    { 0x79DE, "standstop_begin" },
    { 0x79DF, "standtocrouch" },
    { 0x79E0, "standtoprone" },
    { 0x79E1, "standtopronerun" },
    { 0x79E2, "standtopronewalk" },
    { 0x79E3, "standwalk_begin" },
    { 0x79E4, "standwalktocrouch" },
    { 0x79E5, "standwalktostand" },
    { 0x79E6, "start" },
    { 0x79E7, "start2" },
    { 0x79E8, "start_a10_showcase" },
    { 0x79E9, "start_a10_test" },
    { 0x79EA, "start_after_hunt" },
    { 0x79EB, "start_aiming_after_move" },
    { 0x79EC, "start_ally1_bubbles" },
    { 0x79ED, "start_ally1_submerge_bubbles" },
    { 0x79EE, "start_ambient_event_internal" },
    { 0x79EF, "start_ambient_event_zone" },
    { 0x79F0, "start_ambush_scene" },
    { 0x79F1, "start_angle" },
    { 0x79F2, "start_angles" },
    { 0x79F3, "start_anim" },
    { 0x79F4, "start_anim_time" },
    { 0x79F5, "start_apache_common" },
    { 0x79F6, "start_arrays" },
    { 0x79F7, "start_artillery_test" },
    { 0x79F8, "start_ascend" },
    { 0x79F9, "start_ascend_time" },
    { 0x79FA, "start_ascent" },
    { 0x79FB, "start_atrium_combat" },
    { 0x79FC, "start_attack_heli" },
    { 0x79FD, "start_baker" },
    { 0x79FE, "start_balcony_fall" },
    { 0x79FF, "start_barracks" },
    { 0x7A00, "start_beach_ambient" },
    { 0x7A01, "start_big_wreck" },
    { 0x7A02, "start_big_wreck_2" },
    { 0x7A03, "start_blend_to_endpos" },
    { 0x7A04, "start_bunker_artillery_sequence" },
    { 0x7A05, "start_bunker_sequence" },
    { 0x7A06, "start_bunker_wave2_sequence" },
    { 0x7A07, "start_camp" },
    { 0x7A08, "start_canyon" },
    { 0x7A09, "start_canyon_combat" },
    { 0x7A0A, "start_catwalk_snow" },
    { 0x7A0B, "start_catwalks" },
    { 0x7A0C, "start_catwalks_end" },
    { 0x7A0D, "start_cave" },
    { 0x7A0E, "start_chaos_a" },
    { 0x7A0F, "start_chaos_b" },
    { 0x7A10, "start_chaos_walkers" },
    { 0x7A11, "start_chase_dog" },
    { 0x7A12, "start_chopper_test" },
    { 0x7A13, "start_church" },
    { 0x7A14, "start_church_destruction" },
    { 0x7A15, "start_circling_heli" },
    { 0x7A16, "start_climbover" },
    { 0x7A17, "start_color" },
    { 0x7A18, "start_combat_after_seeing_launcher" },
    { 0x7A19, "start_command" },
    { 0x7A1A, "start_command_outside" },
    { 0x7A1B, "start_common" },
    { 0x7A1C, "start_coverheight_water_rising" },
    { 0x7A1D, "start_coverheight_water_swap" },
    { 0x7A1E, "start_coverwater" },
    { 0x7A1F, "start_crater" },
    { 0x7A20, "start_current_car_watcher" },
    { 0x7A21, "start_cycle" },
    { 0x7A22, "start_deer" },
    { 0x7A23, "start_delay" },
    { 0x7A24, "start_depth_charges" },
    { 0x7A25, "start_description" },
    { 0x7A26, "start_display_cleanup" },
    { 0x7A27, "start_dog_hunt" },
    { 0x7A28, "start_dog_hunt2" },
    { 0x7A29, "start_dog_reunite" },
    { 0x7A2A, "start_elias_house" },
    { 0x7A2B, "start_elias_house_attack" },
    { 0x7A2C, "start_elias_street" },
    { 0x7A2D, "start_end_beach" },
    { 0x7A2E, "start_end_fail_timer" },
    { 0x7A2F, "start_end_surface" },
    { 0x7A30, "start_end_swim" },
    { 0x7A31, "start_end_time" },
    { 0x7A32, "start_end_tunnel_swim" },
    { 0x7A33, "start_end_wreck" },
    { 0x7A34, "start_engine_room" },
    { 0x7A35, "start_exfil" },
    { 0x7A36, "start_f15_attack" },
    { 0x7A37, "start_fardist" },
    { 0x7A38, "start_fire_and_aim_idle_thread" },
    { 0x7A39, "start_firing" },
    { 0x7A3A, "start_flarestack" },
    { 0x7A3B, "start_fuel_explosion_fx" },
    { 0x7A3C, "start_fuel_leak_fx" },
    { 0x7A3D, "start_fuel_leak_fx_main" },
    { 0x7A3E, "start_fuel_leak_lighting" },
    { 0x7A3F, "start_functions" },
    { 0x7A40, "start_ghost_town" },
    { 0x7A41, "start_glow" },
    { 0x7A42, "start_greenlight" },
    { 0x7A43, "start_hangar" },
    { 0x7A44, "start_hangar_nomove" },
    { 0x7A45, "start_hdrcolorintensity" },
    { 0x7A46, "start_hdrsuncolorintensity" },
    { 0x7A47, "start_hesh" },
    { 0x7A48, "start_hind_test" },
    { 0x7A49, "start_hvt_scene" },
    { 0x7A4A, "start_ice_effects" },
    { 0x7A4B, "start_individual_wave" },
    { 0x7A4C, "start_inside" },
    { 0x7A4D, "start_intro" },
    { 0x7A4E, "start_inverted_rappel_trigger" },
    { 0x7A4F, "start_jeep_fire" },
    { 0x7A50, "start_knife_test" },
    { 0x7A51, "start_len" },
    { 0x7A52, "start_list_menu" },
    { 0x7A53, "start_list_settext" },
    { 0x7A54, "start_loadingdocks_water" },
    { 0x7A55, "start_loco" },
    { 0x7A56, "start_loco_nomove" },
    { 0x7A57, "start_loco_standoff" },
    { 0x7A58, "start_loco_standoff_nomove" },
    { 0x7A59, "start_mall" },
    { 0x7A5A, "start_mansion" },
    { 0x7A5B, "start_mansion_ext" },
    { 0x7A5C, "start_menu" },
    { 0x7A5D, "start_merrick" },
    { 0x7A5E, "start_mocap_ar" },
    { 0x7A5F, "start_moving_cover" },
    { 0x7A60, "start_moving_cover3" },
    { 0x7A61, "start_mudpumps" },
    { 0x7A62, "start_neardist" },
    { 0x7A63, "start_neighborhood" },
    { 0x7A64, "start_new_canyon" },
    { 0x7A65, "start_new_trench" },
    { 0x7A66, "start_nogame" },
    { 0x7A67, "start_notetrack" },
    { 0x7A68, "start_notetrack_wait" },
    { 0x7A69, "start_odin_ally" },
    { 0x7A6A, "start_odin_escape" },
    { 0x7A6B, "start_odin_intro" },
    { 0x7A6C, "start_odin_satellite" },
    { 0x7A6D, "start_odin_spin" },
    { 0x7A6E, "start_off_running" },
    { 0x7A6F, "start_opacity" },
    { 0x7A70, "start_opening_setup" },
    { 0x7A71, "start_org" },
    { 0x7A72, "start_origin" },
    { 0x7A73, "start_outside" },
    { 0x7A74, "start_overhead_waves" },
    { 0x7A75, "start_overlay" },
    { 0x7A76, "start_pickup" },
    { 0x7A77, "start_pipe_deck" },
    { 0x7A78, "start_player_apache_engine_audio" },
    { 0x7A79, "start_point" },
    { 0x7A7A, "start_point_is_after" },
    { 0x7A7B, "start_point_is_before" },
    { 0x7A7C, "start_pos" },
    { 0x7A7D, "start_post_crater" },
    { 0x7A7E, "start_post_crater_dog" },
    { 0x7A7F, "start_post_crater_house" },
    { 0x7A80, "start_raining" },
    { 0x7A81, "start_recruit_scene" },
    { 0x7A82, "start_refinery" },
    { 0x7A83, "start_rog_fail_timer" },
    { 0x7A84, "start_roof_combat" },
    { 0x7A85, "start_rooftops" },
    { 0x7A86, "start_rotunda_fight" },
    { 0x7A87, "start_rt_combat_nomove" },
    { 0x7A88, "start_rt_nomove" },
    { 0x7A89, "start_sand_effects" },
    { 0x7A8A, "start_sat" },
    { 0x7A8B, "start_sat_nomove" },
    { 0x7A8C, "start_satellite" },
    { 0x7A8D, "start_satellite_b" },
    { 0x7A8E, "start_scan" },
    { 0x7A8F, "start_sfx_dam_siren_ext" },
    { 0x7A90, "start_sfx_dam_siren_int" },
    { 0x7A91, "start_skyfogintensity" },
    { 0x7A92, "start_skyfogmaxangle" },
    { 0x7A93, "start_skyfogminangle" },
    { 0x7A94, "start_small_wreck" },
    { 0x7A95, "start_sonar" },
    { 0x7A96, "start_sonar_mines" },
    { 0x7A97, "start_sound" },
    { 0x7A98, "start_stealth_1" },
    { 0x7A99, "start_stealth_2" },
    { 0x7A9A, "start_strafe_1" },
    { 0x7A9B, "start_strafe_2" },
    { 0x7A9C, "start_street_sequence" },
    { 0x7A9D, "start_struct" },
    { 0x7A9E, "start_struggle_spin" },
    { 0x7A9F, "start_sunbeginfadeangle" },
    { 0x7AA0, "start_suncolor" },
    { 0x7AA1, "start_sundir" },
    { 0x7AA2, "start_sunendfadeangle" },
    { 0x7AA3, "start_sunfogscale" },
    { 0x7AA4, "start_supply_drop_sequence" },
    { 0x7AA5, "start_swept_control" },
    { 0x7AA6, "start_swept_control_old" },
    { 0x7AA7, "start_swim" },
    { 0x7AA8, "start_tanks" },
    { 0x7AA9, "start_test" },
    { 0x7AAA, "start_test_1" },
    { 0x7AAB, "start_test_2" },
    { 0x7AAC, "start_test_above_1" },
    { 0x7AAD, "start_test_above_2" },
    { 0x7AAE, "start_test_area_a" },
    { 0x7AAF, "start_test_area_b" },
    { 0x7AB0, "start_thread" },
    { 0x7AB1, "start_time" },
    { 0x7AB2, "start_timed_monitor_fx" },
    { 0x7AB3, "start_to_end_length" },
    { 0x7AB4, "start_tower_explosion_test" },
    { 0x7AB5, "start_tower_retreat" },
    { 0x7AB6, "start_trench" },
    { 0x7AB7, "start_trenches2_sequence" },
    { 0x7AB8, "start_trenches_sequence" },
    { 0x7AB9, "start_tunnel" },
    { 0x7ABA, "start_tutorial" },
    { 0x7ABB, "start_vo_system" },
    { 0x7ABC, "start_width" },
    { 0x7ABD, "start_wolfpack" },
    { 0x7ABE, "start_woods" },
    { 0x7ABF, "start_wreck_approach" },
    { 0x7AC0, "startaiming" },
    { 0x7AC1, "startang" },
    { 0x7AC2, "startangles" },
    { 0x7AC3, "startballdrone" },
    { 0x7AC4, "startclientspawnpointtraces" },
    { 0x7AC5, "startcombat" },
    { 0x7AC6, "startcoverapproach" },
    { 0x7AC7, "startdist" },
    { 0x7AC8, "startdot_group" },
    { 0x7AC9, "startdot_player" },
    { 0x7ACA, "startdrivenmovement" },
    { 0x7ACB, "startdyingcrawlbackaimsoon" },
    { 0x7ACC, "started_bar_from_startpoint" },
    { 0x7ACD, "started_courtyard_from_startpoint" },
    { 0x7ACE, "started_junction_from_startpoint" },
    { 0x7ACF, "started_moving" },
    { 0x7AD0, "startedfallmonitor" },
    { 0x7AD1, "startempjamsequence" },
    { 0x7AD2, "startfireandaimidlethread" },
    { 0x7AD3, "startfireworklightsonsection" },
    { 0x7AD4, "startflashing" },
    { 0x7AD5, "startgame" },
    { 0x7AD6, "startharrierwingfx" },
    { 0x7AD7, "starthelicopter" },
    { 0x7AD8, "starthelipilot" },
    { 0x7AD9, "starting_combat_encounter" },
    { 0x7ADA, "startingbunkerheli" },
    { 0x7ADB, "startingorigin" },
    { 0x7ADC, "startinsertionvehicles" },
    { 0x7ADD, "startjeep" },
    { 0x7ADE, "startjeepmoving" },
    { 0x7ADF, "startlbfiring1" },
    { 0x7AE0, "startlbsupport" },
    { 0x7AE1, "startmanhandling" },
    { 0x7AE2, "startmonitoringflash" },
    { 0x7AE3, "startmove" },
    { 0x7AE4, "startmove_updateangle" },
    { 0x7AE5, "startmovetransition" },
    { 0x7AE6, "startmovetransitionanim" },
    { 0x7AE7, "startnode" },
    { 0x7AE8, "startnoncombat" },
    { 0x7AE9, "startnpcbombusesound" },
    { 0x7AEA, "startodin" },
    { 0x7AEB, "startorigin" },
    { 0x7AEC, "startportal" },
    { 0x7AED, "startpos" },
    { 0x7AEE, "startposoffset" },
    { 0x7AEF, "startremotemortar" },
    { 0x7AF0, "startremoteuav" },
    { 0x7AF1, "startrot" },
    { 0x7AF2, "startspawnchest" },
    { 0x7AF3, "startspawnpoints" },
    { 0x7AF4, "startstopstate" },
    { 0x7AF5, "startstrafesequence" },
    { 0x7AF6, "starttank" },
    { 0x7AF7, "startthreadstorunwhilemoving" },
    { 0x7AF8, "starttime" },
    { 0x7AF9, "starttotargetcornerangles" },
    { 0x7AFA, "starttrackingplane" },
    { 0x7AFB, "startuplink" },
    { 0x7AFC, "startupvector" },
    { 0x7AFD, "startusingremoteturret" },
    { 0x7AFE, "startusingtank" },
    { 0x7AFF, "startvanguard" },
    { 0x7B00, "startwatervisuals" },
    { 0x7B01, "startweaponpickupflashing" },
    { 0x7B02, "startyaw" },
    { 0x7B03, "startzone" },
    { 0x7B04, "stashloudout" },
    { 0x7B05, "stat_track_damage_func" },
    { 0x7B06, "stat_track_kill_func" },
    { 0x7B07, "statadd" },
    { 0x7B08, "stataddbuffered" },
    { 0x7B09, "stataddbufferedwithmax" },
    { 0x7B0A, "stataddchild" },
    { 0x7B0B, "stataddchildbuffered" },
    { 0x7B0C, "stataddchildbufferedwithmax" },
    { 0x7B0D, "state" },
    { 0x7B0E, "state_anim_percent_complete" },
    { 0x7B0F, "statecurr" },
    { 0x7B10, "statedone" },
    { 0x7B11, "statefns" },
    { 0x7B12, "stateinterrupted" },
    { 0x7B13, "statements" },
    { 0x7B14, "stateprev" },
    { 0x7B15, "states" },
    { 0x7B16, "statget" },
    { 0x7B17, "statgetbuffered" },
    { 0x7B18, "statgetchild" },
    { 0x7B19, "statgetchildbuffered" },
    { 0x7B1A, "static" },
    { 0x7B1B, "static_damping_factor" },
    { 0x7B1C, "static_flash" },
    { 0x7B1D, "static_lines" },
    { 0x7B1E, "static_on" },
    { 0x7B1F, "static_overlay" },
    { 0x7B20, "staticeffect" },
    { 0x7B21, "staticfieldinit" },
    { 0x7B22, "staticfieldsetstrength" },
    { 0x7B23, "station_entrance_to_infiltration" },
    { 0x7B24, "stationary" },
    { 0x7B25, "stats" },
    { 0x7B26, "statset" },
    { 0x7B27, "statsetbuffered" },
    { 0x7B28, "statsetchild" },
    { 0x7B29, "statsetchildbuffered" },
    { 0x7B2A, "status" },
    { 0x7B2B, "statusdialog" },
    { 0x7B2C, "statvaluechanged" },
    { 0x7B2D, "stay" },
    { 0x7B2E, "stay_solid_on_death" },
    { 0x7B2F, "stayontag" },
    { 0x7B30, "stealth_1_dialogue" },
    { 0x7B31, "stealth_1_dialogue_kickoff" },
    { 0x7B32, "stealth_1_encounter" },
    { 0x7B33, "stealth_1_zodiac_setup" },
    { 0x7B34, "stealth_1_zodiac_soundindex" },
    { 0x7B35, "stealth_1_zodiac_sounds" },
    { 0x7B36, "stealth_2_dialogue" },
    { 0x7B37, "stealth_2_encounter" },
    { 0x7B38, "stealth_2_light_off" },
    { 0x7B39, "stealth_2_melee" },
    { 0x7B3A, "stealth_2_middle_boat_think" },
    { 0x7B3B, "stealth_2_movement" },
    { 0x7B3C, "stealth_2_other_guys" },
    { 0x7B3D, "stealth_2_spotted" },
    { 0x7B3E, "stealth_accuracy_friendly_main" },
    { 0x7B3F, "stealth_accuracy_state_custom" },
    { 0x7B40, "stealth_accuracy_state_default" },
    { 0x7B41, "stealth_ai_clear_custom_idle_and_react" },
    { 0x7B42, "stealth_ai_clear_custom_react" },
    { 0x7B43, "stealth_ai_event_dist_custom" },
    { 0x7B44, "stealth_ai_event_dist_default" },
    { 0x7B45, "stealth_ai_idle" },
    { 0x7B46, "stealth_ai_idle_and_react" },
    { 0x7B47, "stealth_ai_reach_and_arrive_idle_and_react" },
    { 0x7B48, "stealth_ai_reach_and_arrive_idle_and_react_proc" },
    { 0x7B49, "stealth_ai_reach_idle_and_react" },
    { 0x7B4A, "stealth_ai_reach_idle_and_react_proc" },
    { 0x7B4B, "stealth_ai_react" },
    { 0x7B4C, "stealth_alert_level_duration" },
    { 0x7B4D, "stealth_ally_accu" },
    { 0x7B4E, "stealth_anim" },
    { 0x7B4F, "stealth_anim_custom_animmode" },
    { 0x7B50, "stealth_anim_interupt_detection" },
    { 0x7B51, "stealth_area_1_setup" },
    { 0x7B52, "stealth_area_2_setup" },
    { 0x7B53, "stealth_basic_states_custom" },
    { 0x7B54, "stealth_basic_states_default" },
    { 0x7B55, "stealth_behavior_enemy_main" },
    { 0x7B56, "stealth_behavior_friendly_main" },
    { 0x7B57, "stealth_behavior_over" },
    { 0x7B58, "stealth_behavior_system_init" },
    { 0x7B59, "stealth_behavior_system_main" },
    { 0x7B5A, "stealth_blockers" },
    { 0x7B5B, "stealth_break_rorke_vo" },
    { 0x7B5C, "stealth_broken_flag" },
    { 0x7B5D, "stealth_color_friendly_main" },
    { 0x7B5E, "stealth_color_state_custom" },
    { 0x7B5F, "stealth_color_state_default" },
    { 0x7B60, "stealth_corpse_behavior_custom" },
    { 0x7B61, "stealth_corpse_behavior_default" },
    { 0x7B62, "stealth_corpse_collect_func" },
    { 0x7B63, "stealth_corpse_default_collect_func" },
    { 0x7B64, "stealth_corpse_default_distances" },
    { 0x7B65, "stealth_corpse_default_forget_time" },
    { 0x7B66, "stealth_corpse_default_reset_time" },
    { 0x7B67, "stealth_corpse_enemy_main" },
    { 0x7B68, "stealth_corpse_forget_time_custom" },
    { 0x7B69, "stealth_corpse_forget_time_default" },
    { 0x7B6A, "stealth_corpse_ranges_custom" },
    { 0x7B6B, "stealth_corpse_ranges_default" },
    { 0x7B6C, "stealth_corpse_reset_collect_func" },
    { 0x7B6D, "stealth_corpse_reset_time_custom" },
    { 0x7B6E, "stealth_corpse_reset_time_default" },
    { 0x7B6F, "stealth_corpse_set_collect_func" },
    { 0x7B70, "stealth_corpse_set_distances" },
    { 0x7B71, "stealth_corpse_set_forget_time" },
    { 0x7B72, "stealth_corpse_set_reset_time" },
    { 0x7B73, "stealth_corpse_system_init" },
    { 0x7B74, "stealth_corpse_system_main" },
    { 0x7B75, "stealth_debris_collision" },
    { 0x7B76, "stealth_debug_print" },
    { 0x7B77, "stealth_default" },
    { 0x7B78, "stealth_default_func" },
    { 0x7B79, "stealth_detect_ranges_default" },
    { 0x7B7A, "stealth_detect_ranges_set" },
    { 0x7B7B, "stealth_disable" },
    { 0x7B7C, "stealth_disable_seek_player_on_spotted" },
    { 0x7B7D, "stealth_door_traverse_think" },
    { 0x7B7E, "stealth_enable_seek_player_on_spotted" },
    { 0x7B7F, "stealth_enemy_1" },
    { 0x7B80, "stealth_enemy_2" },
    { 0x7B81, "stealth_enemy_3" },
    { 0x7B82, "stealth_enemy_endon_alert" },
    { 0x7B83, "stealth_enemy_waittill_alert" },
    { 0x7B84, "stealth_event_anim_defaults" },
    { 0x7B85, "stealth_event_defaults" },
    { 0x7B86, "stealth_event_enemy_main" },
    { 0x7B87, "stealth_event_handler" },
    { 0x7B88, "stealth_event_listener_defaults" },
    { 0x7B89, "stealth_event_mod" },
    { 0x7B8A, "stealth_event_mod_all" },
    { 0x7B8B, "stealth_event_validate" },
    { 0x7B8C, "stealth_filecab1" },
    { 0x7B8D, "stealth_filecab2" },
    { 0x7B8E, "stealth_first_alert_new_patrol_path" },
    { 0x7B8F, "stealth_flag_debug_print" },
    { 0x7B90, "stealth_friendly_movespeed_scale_default" },
    { 0x7B91, "stealth_friendly_movespeed_scale_set" },
    { 0x7B92, "stealth_friendly_stance_handler_distances_default" },
    { 0x7B93, "stealth_friendly_stance_handler_distances_set" },
    { 0x7B94, "stealth_generic_human" },
    { 0x7B95, "stealth_get_group" },
    { 0x7B96, "stealth_get_group_corpse_flag" },
    { 0x7B97, "stealth_get_group_spotted_flag" },
    { 0x7B98, "stealth_group_corpse_flag" },
    { 0x7B99, "stealth_group_corpse_flag_wait" },
    { 0x7B9A, "stealth_group_corpse_flag_waitopen" },
    { 0x7B9B, "stealth_group_return_ai_with_corpse_flag" },
    { 0x7B9C, "stealth_group_return_ai_with_event_flag" },
    { 0x7B9D, "stealth_group_return_ai_with_spotted_flag" },
    { 0x7B9E, "stealth_group_return_groups_with_corpse_flag" },
    { 0x7B9F, "stealth_group_return_groups_with_event_flag" },
    { 0x7BA0, "stealth_group_return_groups_with_spotted_flag" },
    { 0x7BA1, "stealth_group_spotted_flag" },
    { 0x7BA2, "stealth_group_spotted_flag_wait" },
    { 0x7BA3, "stealth_group_spotted_flag_waitopen" },
    { 0x7BA4, "stealth_hard_reset" },
    { 0x7BA5, "stealth_idle" },
    { 0x7BA6, "stealth_idle_ender" },
    { 0x7BA7, "stealth_idle_reach" },
    { 0x7BA8, "stealth_init" },
    { 0x7BA9, "stealth_insure_enabled" },
    { 0x7BAA, "stealth_is_broken" },
    { 0x7BAB, "stealth_is_everything_normal" },
    { 0x7BAC, "stealth_is_everything_normal_for_group" },
    { 0x7BAD, "stealth_kill_01" },
    { 0x7BAE, "stealth_kill_01_enemy1" },
    { 0x7BAF, "stealth_kill_01_enemy2" },
    { 0x7BB0, "stealth_kill_02_ally" },
    { 0x7BB1, "stealth_kill_02_player" },
    { 0x7BB2, "stealth_kill_02_vision_hack" },
    { 0x7BB3, "stealth_logic_loop" },
    { 0x7BB4, "stealth_melee" },
    { 0x7BB5, "stealth_photocopier" },
    { 0x7BB6, "stealth_player_aware_enemies" },
    { 0x7BB7, "stealth_plugin_accuracy" },
    { 0x7BB8, "stealth_plugin_aicolor" },
    { 0x7BB9, "stealth_plugin_basic" },
    { 0x7BBA, "stealth_plugin_corpse" },
    { 0x7BBB, "stealth_plugin_event_all" },
    { 0x7BBC, "stealth_plugin_event_custom" },
    { 0x7BBD, "stealth_plugin_event_explosion" },
    { 0x7BBE, "stealth_plugin_event_flashbang" },
    { 0x7BBF, "stealth_plugin_event_heard_scream" },
    { 0x7BC0, "stealth_plugin_event_main" },
    { 0x7BC1, "stealth_plugin_smart_stance" },
    { 0x7BC2, "stealth_plugin_threat" },
    { 0x7BC3, "stealth_pre_spotted_function_custom" },
    { 0x7BC4, "stealth_pre_spotted_function_default" },
    { 0x7BC5, "stealth_range_trigger" },
    { 0x7BC6, "stealth_satellite_guys" },
    { 0x7BC7, "stealth_set_default_stealth_function" },
    { 0x7BC8, "stealth_set_group" },
    { 0x7BC9, "stealth_set_group_default" },
    { 0x7BCA, "stealth_set_group_proc" },
    { 0x7BCB, "stealth_set_idle_anim" },
    { 0x7BCC, "stealth_set_run_anim" },
    { 0x7BCD, "stealth_settings" },
    { 0x7BCE, "stealth_settings_dog" },
    { 0x7BCF, "stealth_settings_dog_dropdown" },
    { 0x7BD0, "stealth_settings_dog_pc" },
    { 0x7BD1, "stealth_settings_intro" },
    { 0x7BD2, "stealth_settings_tunnel" },
    { 0x7BD3, "stealth_shadow_ai_in_volume" },
    { 0x7BD4, "stealth_shadow_volumes" },
    { 0x7BD5, "stealth_shot" },
    { 0x7BD6, "stealth_shot_accuracy" },
    { 0x7BD7, "stealth_smartstance_friendly_main" },
    { 0x7BD8, "stealth_spotted_time" },
    { 0x7BD9, "stealth_threat_behavior_custom" },
    { 0x7BDA, "stealth_threat_behavior_default" },
    { 0x7BDB, "stealth_threat_behavior_default_no_warnings" },
    { 0x7BDC, "stealth_threat_behavior_replace" },
    { 0x7BDD, "stealth_threat_enemy_main" },
    { 0x7BDE, "stealth_visibility_enemy_main" },
    { 0x7BDF, "stealth_visibility_friendly_main" },
    { 0x7BE0, "stealth_visibility_system_main" },
    { 0x7BE1, "stealthairstrike_earthquake" },
    { 0x7BE2, "stealthbomber_killcam" },
    { 0x7BE3, "stealthbombfx" },
    { 0x7BE4, "stealthed_stream_vo" },
    { 0x7BE5, "stealthnewenemyreactanim" },
    { 0x7BE6, "steering" },
    { 0x7BE7, "steering_enable" },
    { 0x7BE8, "steering_maxdelta" },
    { 0x7BE9, "steering_maxroll" },
    { 0x7BEA, "stepout" },
    { 0x7BEB, "stepoutandhidespeed" },
    { 0x7BEC, "stepoutandshootenemy" },
    { 0x7BED, "stepoutyaw" },
    { 0x7BEE, "stern_corner_clean" },
    { 0x7BEF, "stern_corner_dmg" },
    { 0x7BF0, "sticky_grenade_01" },
    { 0x7BF1, "sticky_grenade_02" },
    { 0x7BF2, "sticky_grenade_03" },
    { 0x7BF3, "sticky_grenade_04" },
    { 0x7BF4, "sticky_grenade_05" },
    { 0x7BF5, "sticky_grenade_06" },
    { 0x7BF6, "sticky_grenade_07" },
    { 0x7BF7, "stillvalidjavelinlock" },
    { 0x7BF8, "stillvalidstingerlock" },
    { 0x7BF9, "stinger_target_set" },
    { 0x7BFA, "stingerdebugdraw" },
    { 0x7BFB, "stingerfxid" },
    { 0x7BFC, "stingerlockstarttime" },
    { 0x7BFD, "stingerlostsightlinetime" },
    { 0x7BFE, "stingerproximitydetonate" },
    { 0x7BFF, "stingerstage" },
    { 0x7C00, "stingertarget" },
    { 0x7C01, "stingertargets" },
    { 0x7C02, "stingerusageloop" },
    { 0x7C03, "stingeruseentered" },
    { 0x7C04, "stockammo" },
    { 0x7C05, "stool_prop" },
    { 0x7C06, "stop_ads_moment" },
    { 0x7C07, "stop_aiming_for_reload" },
    { 0x7C08, "stop_all_ambient_events" },
    { 0x7C09, "stop_ambient_event_thread" },
    { 0x7C0A, "stop_ambient_event_zone" },
    { 0x7C0B, "stop_ambient_track" },
    { 0x7C0C, "stop_ambient_tracks" },
    { 0x7C0D, "stop_anim_direction" },
    { 0x7C0E, "stop_anim_fake_loop" },
    { 0x7C0F, "stop_anim_on_damage" },
    { 0x7C10, "stop_anim_on_damage_stealth" },
    { 0x7C11, "stop_anim_on_spotted_or_chopper_leaves" },
    { 0x7C12, "stop_ascend_time" },
    { 0x7C13, "stop_audio_zones" },
    { 0x7C14, "stop_blend" },
    { 0x7C15, "stop_camera_roll" },
    { 0x7C16, "stop_chopper_boss_agro_chopper" },
    { 0x7C17, "stop_chopper_bosses" },
    { 0x7C18, "stop_chopper_lean" },
    { 0x7C19, "stop_crash_fx_in_array" },
    { 0x7C1A, "stop_current_ambient" },
    { 0x7C1B, "stop_current_car_watcher" },
    { 0x7C1C, "stop_drilling_sounds" },
    { 0x7C1D, "stop_dynamic_run_speed" },
    { 0x7C1E, "stop_dynamic_run_speed_wait" },
    { 0x7C1F, "stop_enemy_dialogue" },
    { 0x7C20, "stop_enemy_dialogue_on_death_or_trigger" },
    { 0x7C21, "stop_execution_dialoigue_on_shot" },
    { 0x7C22, "stop_exploder" },
    { 0x7C23, "stop_exploder_proc" },
    { 0x7C24, "stop_externalfx" },
    { 0x7C25, "stop_finale_flames" },
    { 0x7C26, "stop_fire_fx" },
    { 0x7C27, "stop_firing" },
    { 0x7C28, "stop_fuel_leak_fx" },
    { 0x7C29, "stop_fuel_leak_fx_explosion" },
    { 0x7C2A, "stop_fx_looper" },
    { 0x7C2B, "stop_fx_on_tag" },
    { 0x7C2C, "stop_handling_moving_platforms" },
    { 0x7C2D, "stop_hovering_at_path_end" },
    { 0x7C2E, "stop_ignore_run" },
    { 0x7C2F, "stop_in_your_face_hint" },
    { 0x7C30, "stop_last_spot_light" },
    { 0x7C31, "stop_lean" },
    { 0x7C32, "stop_load" },
    { 0x7C33, "stop_loop_sound_on_entity" },
    { 0x7C34, "stop_looping_anims" },
    { 0x7C35, "stop_looping_splashes" },
    { 0x7C36, "stop_loopsound" },
    { 0x7C37, "stop_lynx_fx" },
    { 0x7C38, "stop_magic_bullet_shield" },
    { 0x7C39, "stop_magic_bullet_shield_if_on" },
    { 0x7C3A, "stop_mg_behavior_if_flanked" },
    { 0x7C3B, "stop_momentum" },
    { 0x7C3C, "stop_momentum_change" },
    { 0x7C3D, "stop_music_jg" },
    { 0x7C3E, "stop_overhead_waves" },
    { 0x7C3F, "stop_path_on_damage" },
    { 0x7C40, "stop_patrol_vo" },
    { 0x7C41, "stop_player_backtracking" },
    { 0x7C42, "stop_player_pushed_kill" },
    { 0x7C43, "stop_player_scuba" },
    { 0x7C44, "stop_player_space" },
    { 0x7C45, "stop_playerwatch_unresolved_collision" },
    { 0x7C46, "stop_reflector_effect" },
    { 0x7C47, "stop_reviving" },
    { 0x7C48, "stop_rumble_all_players" },
    { 0x7C49, "stop_scan" },
    { 0x7C4A, "stop_sfx_dam_siren_ext" },
    { 0x7C4B, "stop_sfx_dam_siren_int" },
    { 0x7C4C, "stop_sound" },
    { 0x7C4D, "stop_space_push" },
    { 0x7C4E, "stop_speaking" },
    { 0x7C4F, "stop_spotlight_killed" },
    { 0x7C50, "stop_spotlight_provoked" },
    { 0x7C51, "stop_suit_loops" },
    { 0x7C52, "stop_tread" },
    { 0x7C53, "stop_truck_05_fx" },
    { 0x7C54, "stop_using_crate" },
    { 0x7C55, "stop_vehicle_hit_reactions" },
    { 0x7C56, "stop_vo_on_event" },
    { 0x7C57, "stop_vo_on_spotted" },
    { 0x7C58, "stop_zone" },
    { 0x7C59, "stop_zones" },
    { 0x7C5A, "stopaiming" },
    { 0x7C5B, "stopblinkinglight" },
    { 0x7C5C, "stopdroneunload" },
    { 0x7C5D, "stopempjamsequence" },
    { 0x7C5E, "stopempjamsequenceimmediate" },
    { 0x7C5F, "stopflashing" },
    { 0x7C60, "stopglow" },
    { 0x7C61, "stopguy1" },
    { 0x7C62, "stopguy2" },
    { 0x7C63, "stopguy3" },
    { 0x7C64, "stopharrierwingfx" },
    { 0x7C65, "stopidlesound" },
    { 0x7C66, "stoplocationselection" },
    { 0x7C67, "stoplookatidle" },
    { 0x7C68, "stoploopafter" },
    { 0x7C69, "stopmonitordamage" },
    { 0x7C6A, "stopmonitoringflash" },
    { 0x7C6B, "stopmovesound" },
    { 0x7C6C, "stoponback" },
    { 0x7C6D, "stopped_crash_fx" },
    { 0x7C6E, "stoprunngun" },
    { 0x7C6F, "stopselectionwatcher" },
    { 0x7C70, "stopshortly" },
    { 0x7C71, "stopshotgunpumpaftertime" },
    { 0x7C72, "stopsoon_notifydist" },
    { 0x7C73, "stoptickingsound" },
    { 0x7C74, "stoptoforward" },
    { 0x7C75, "stoptoreverse" },
    { 0x7C76, "stoptrackingplane" },
    { 0x7C77, "stopuplink" },
    { 0x7C78, "stopusingremote" },
    { 0x7C79, "stopusingremoteturret" },
    { 0x7C7A, "stopusingturretwhennodelost" },
    { 0x7C7B, "stopwatervisuals" },
    { 0x7C7C, "stopwatervisualsonremote" },
    { 0x7C7D, "store_players_weapons" },
    { 0x7C7E, "store_weapons_status" },
    { 0x7C7F, "storecompletedchallenge" },
    { 0x7C80, "storecompletedoperation" },
    { 0x7C81, "stored_ammo" },
    { 0x7C82, "stored_ents" },
    { 0x7C83, "stored_weapons" },
    { 0x7C84, "storeshots" },
    { 0x7C85, "storm_stage" },
    { 0x7C86, "str" },
    { 0x7C87, "strafe_1_bullet_tags" },
    { 0x7C88, "strafe_2_bullet_tags" },
    { 0x7C89, "strafe_nodes" },
    { 0x7C8A, "strafe_vehicles_add" },
    { 0x7C8B, "strafecooldown" },
    { 0x7C8C, "strafetargetvehicles" },
    { 0x7C8D, "strafevehicles" },
    { 0x7C8E, "straightenemytanks" },
    { 0x7C8F, "straps" },
    { 0x7C90, "streakmsg" },
    { 0x7C91, "streakname" },
    { 0x7C92, "streaknotifytracker" },
    { 0x7C93, "streakselectdowntracker" },
    { 0x7C94, "streakselectuptracker" },
    { 0x7C95, "streakshouldchain" },
    { 0x7C96, "streaktype" },
    { 0x7C97, "streaktyperesetsondeath" },
    { 0x7C98, "streakusetimetracker" },
    { 0x7C99, "stream_backend_start" },
    { 0x7C9A, "stream_baddies" },
    { 0x7C9B, "stream_bridge_guard_logic" },
    { 0x7C9C, "stream_close_enemy_logic" },
    { 0x7C9D, "stream_enemy_alert_team_after_chopper_leaves" },
    { 0x7C9E, "stream_enemy_alerted_after_chopper_logic" },
    { 0x7C9F, "stream_enemy_logic" },
    { 0x7CA0, "stream_enemy_setup" },
    { 0x7CA1, "stream_enemy_setup_on_going_hot" },
    { 0x7CA2, "stream_fight_goes_hot" },
    { 0x7CA3, "stream_fight_stealth" },
    { 0x7CA4, "stream_friendly_setup" },
    { 0x7CA5, "stream_friendly_setup_e3" },
    { 0x7CA6, "stream_guys_start_removing" },
    { 0x7CA7, "stream_player_rushes_chopper" },
    { 0x7CA8, "stream_set_cleared_when_guys_dead" },
    { 0x7CA9, "stream_squad_disengage_stealth_after_chopper_leaves_on_hot" },
    { 0x7CAA, "stream_start" },
    { 0x7CAB, "stream_trig_logic" },
    { 0x7CAC, "stream_upper_logic" },
    { 0x7CAD, "stream_vo" },
    { 0x7CAE, "stream_waterfall_start" },
    { 0x7CAF, "stream_waterfx" },
    { 0x7CB0, "stream_went_hot_vo" },
    { 0x7CB1, "street_start" },
    { 0x7CB2, "street_start_allies" },
    { 0x7CB3, "street_stop_sign_01" },
    { 0x7CB4, "street_stop_sign_01_spawn" },
    { 0x7CB5, "streets" },
    { 0x7CB6, "streets_battle_blackhawk" },
    { 0x7CB7, "streets_battle_fire_rocket" },
    { 0x7CB8, "streets_crash_blackhawk" },
    { 0x7CB9, "streets_nag_end_on_notify" },
    { 0x7CBA, "streets_script_vehicle_cleanup" },
    { 0x7CBB, "streets_start" },
    { 0x7CBC, "streets_to_dam" },
    { 0x7CBD, "streets_to_dam_2" },
    { 0x7CBE, "streets_to_dam_2_harrassers_close_spawn_func" },
    { 0x7CBF, "streets_to_dam_2_harrassers_spawn_func" },
    { 0x7CC0, "streets_to_dam_2_side_guys_spawn_logic" },
    { 0x7CC1, "streets_to_dam_2_staggered_retreat" },
    { 0x7CC2, "streets_to_dam_2_start" },
    { 0x7CC3, "streets_to_dam_drive_missile_launcher" },
    { 0x7CC4, "streets_to_dam_heli_far_flyby" },
    { 0x7CC5, "streets_to_dam_heli_flyover" },
    { 0x7CC6, "streets_to_dam_heli_flyover_hover" },
    { 0x7CC7, "streets_to_dam_sequence" },
    { 0x7CC8, "streets_to_dam_start" },
    { 0x7CC9, "streets_to_dam_wave_1_init" },
    { 0x7CCA, "streets_to_dam_wave_1_rpg_spawn_func" },
    { 0x7CCB, "streets_to_dam_wave_1_spawn_func" },
    { 0x7CCC, "streets_to_dam_wave_1_street_patrol_spawn_func" },
    { 0x7CCD, "streets_to_dam_wave_1_vignette_extra_spawn_func" },
    { 0x7CCE, "streets_to_dam_wave_1_vignette_spawn_func" },
    { 0x7CCF, "streets_to_dam_wave_2_1_spawn_func" },
    { 0x7CD0, "streets_to_dam_wave_2_5_spawn_func" },
    { 0x7CD1, "streets_to_dam_wave_2_first_spawn_func" },
    { 0x7CD2, "streets_to_dam_wave_2_sequence" },
    { 0x7CD3, "streets_to_dam_wave_2_side_spawn_func" },
    { 0x7CD4, "streets_to_dam_wave_2_spawn_func" },
    { 0x7CD5, "streets_vehicle_hide_at_start" },
    { 0x7CD6, "streets_vehicle_show_after_knife_kill" },
    { 0x7CD7, "strikeradius" },
    { 0x7CD8, "strikezone" },
    { 0x7CD9, "strikezone_rog_post_teleport_init" },
    { 0x7CDA, "strikezonecustombotkillstreakfunc" },
    { 0x7CDB, "strikezonecustomcratefunc" },
    { 0x7CDC, "strikezonecustomkillstreakfunc" },
    { 0x7CDD, "string" },
    { 0x7CDE, "string_explosive_bullet_shield" },
    { 0x7CDF, "string_is_single_digit_integer" },
    { 0x7CE0, "string_is_valid" },
    { 0x7CE1, "string_starts_with" },
    { 0x7CE2, "string_to_bool" },
    { 0x7CE3, "string_to_float" },
    { 0x7CE4, "string_to_int" },
    { 0x7CE5, "stringcannotplace" },
    { 0x7CE6, "stringfix" },
    { 0x7CE7, "stringplace" },
    { 0x7CE8, "strings" },
    { 0x7CE9, "stringtofloat" },
    { 0x7CEA, "strip_suffix" },
    { 0x7CEB, "strips" },
    { 0x7CEC, "strips_disabled" },
    { 0x7CED, "strobe_off_hide_hint" },
    { 0x7CEE, "strobe_on_hide_hint" },
    { 0x7CEF, "strobe_tag" },
    { 0x7CF0, "strobelight" },
    { 0x7CF1, "stronghold" },
    { 0x7CF2, "stronghold_hive_locs" },
    { 0x7CF3, "strongholds" },
    { 0x7CF4, "struct" },
    { 0x7CF5, "struct_array_index" },
    { 0x7CF6, "struct_arrayspawn" },
    { 0x7CF7, "struct_bridge" },
    { 0x7CF8, "struct_check_delete" },
    { 0x7CF9, "struct_class_init" },
    { 0x7CFA, "struct_class_names" },
    { 0x7CFB, "structarray_add" },
    { 0x7CFC, "structarray_remove" },
    { 0x7CFD, "structarray_remove_index" },
    { 0x7CFE, "structarray_remove_undefined" },
    { 0x7CFF, "structarray_shuffle" },
    { 0x7D00, "structarray_swap" },
    { 0x7D01, "structarray_swaptolast" },
    { 0x7D02, "struggle_anim_prog" },
    { 0x7D03, "struggle_anim_time" },
    { 0x7D04, "struggle_bullets" },
    { 0x7D05, "struggle_door_opens" },
    { 0x7D06, "struggle_flashlight" },
    { 0x7D07, "struggle_grunts" },
    { 0x7D08, "struggle_logic" },
    { 0x7D09, "struggle_rotate" },
    { 0x7D0A, "struggle_shot_grunt" },
    { 0x7D0B, "struggle_succeed_fx" },
    { 0x7D0C, "struggle_succeed_slowmo" },
    { 0x7D0D, "stuck" },
    { 0x7D0E, "stuck_times" },
    { 0x7D0F, "stuckenemyentity" },
    { 0x7D10, "stucklerp" },
    { 0x7D11, "stumble" },
    { 0x7D12, "stumble_and_quake" },
    { 0x7D13, "stumble_anim" },
    { 0x7D14, "stumble_run" },
    { 0x7D15, "stumble_volume_setup" },
    { 0x7D16, "stumbler_upstairs" },
    { 0x7D17, "stumblingpain" },
    { 0x7D18, "stumblingpainanimseq" },
    { 0x7D19, "stumblingpainnotetrackhandler" },
    { 0x7D1A, "stunned" },
    { 0x7D1B, "stunnedanimnumber" },
    { 0x7D1C, "stunnedtime" },
    { 0x7D1D, "stunscaler" },
    { 0x7D1E, "stutterstep" },
    { 0x7D1F, "stylized_center_text" },
    { 0x7D20, "stylized_fadeout" },
    { 0x7D21, "stylized_line" },
    { 0x7D22, "sub_breach_ice_chunks" },
    { 0x7D23, "sub_line" },
    { 0x7D24, "sub_locs" },
    { 0x7D25, "subclass" },
    { 0x7D26, "subclass_elite" },
    { 0x7D27, "subclass_regular" },
    { 0x7D28, "subclass_spawn_functions" },
    { 0x7D29, "subfx" },
    { 0x7D2A, "submarine_rise" },
    { 0x7D2B, "submerge_node" },
    { 0x7D2C, "submerging_bubble_effects" },
    { 0x7D2D, "subtitle" },
    { 0x7D2E, "success" },
    { 0x7D2F, "sucess_swelling_rumble" },
    { 0x7D30, "suicides" },
    { 0x7D31, "sum" },
    { 0x7D32, "sun_angles_deck_combat" },
    { 0x7D33, "sun_angles_deck_tilt" },
    { 0x7D34, "sun_angles_deck_tilt_end" },
    { 0x7D35, "sun_angles_default" },
    { 0x7D36, "sun_angles_intro" },
    { 0x7D37, "sun_angles_intro_deck" },
    { 0x7D38, "sun_flicker" },
    { 0x7D39, "sun_hit_transition" },
    { 0x7D3A, "sun_lerp_value" },
    { 0x7D3B, "sun_light_fade" },
    { 0x7D3C, "sun_manage" },
    { 0x7D3D, "sun_shadow_trigger" },
    { 0x7D3E, "sunbeginfadeangle" },
    { 0x7D3F, "sunbeginfadeangle_start" },
    { 0x7D40, "sunblue" },
    { 0x7D41, "sunblue_start" },
    { 0x7D42, "suncolor_ng" },
    { 0x7D43, "sundir" },
    { 0x7D44, "sundir_start" },
    { 0x7D45, "sundirection_ng" },
    { 0x7D46, "sunendfadeangle" },
    { 0x7D47, "sunendfadeangle_start" },
    { 0x7D48, "sunflare" },
    { 0x7D49, "sunflare_changes" },
    { 0x7D4A, "sunflare_ent" },
    { 0x7D4B, "sunflare_settings" },
    { 0x7D4C, "sunfog_enabled" },
    { 0x7D4D, "sunfogenabled" },
    { 0x7D4E, "sungreen" },
    { 0x7D4F, "sungreen_start" },
    { 0x7D50, "sunisprimarylight" },
    { 0x7D51, "sunlight_ng" },
    { 0x7D52, "sunradiosity" },
    { 0x7D53, "sunradiosity_ng" },
    { 0x7D54, "sunred" },
    { 0x7D55, "sunred_start" },
    { 0x7D56, "sunsamplesizenear" },
    { 0x7D57, "sunsamplesizenear_ng" },
    { 0x7D58, "sunshadowmaptilesize" },
    { 0x7D59, "sunshadowscale" },
    { 0x7D5A, "sunshadowscale_ng" },
    { 0x7D5B, "super_dose" },
    { 0x7D5C, "super_guy" },
    { 0x7D5D, "super_human" },
    { 0x7D5E, "super_ignore_all" },
    { 0x7D5F, "super_radiation_trigger" },
    { 0x7D60, "supportbuddyspawn" },
    { 0x7D61, "supportintel" },
    { 0x7D62, "supportnuke" },
    { 0x7D63, "suppresionfire" },
    { 0x7D64, "suppressed" },
    { 0x7D65, "suppressedbehavior" },
    { 0x7D66, "suppressedtime" },
    { 0x7D67, "suppressingenemy" },
    { 0x7D68, "suppressingfiretracking" },
    { 0x7D69, "suppressionstart" },
    { 0x7D6A, "suppressionthreshold" },
    { 0x7D6B, "suppressiontime" },
    { 0x7D6C, "suppresstimeout" },
    { 0x7D6D, "suppresswaiter" },
    { 0x7D6E, "supression_shutdown_sequencer" },
    { 0x7D6F, "surface" },
    { 0x7D70, "surface_blur" },
    { 0x7D71, "surface_breach" },
    { 0x7D72, "surface_fx" },
    { 0x7D73, "surface_truck" },
    { 0x7D74, "surface_truck_rear" },
    { 0x7D75, "surfacing_now_vo" },
    { 0x7D76, "surprise_anims" },
    { 0x7D77, "survivalistchallenge" },
    { 0x7D78, "survivalstarttime" },
    { 0x7D79, "survive" },
    { 0x7D7A, "surviveanimallowed" },
    { 0x7D7B, "surviveanimname" },
    { 0x7D7C, "survived_time" },
    { 0x7D7D, "sus_b" },
    { 0x7D7E, "sus_bd" },
    { 0x7D7F, "sus_bl" },
    { 0x7D80, "sus_blink" },
    { 0x7D81, "sus_br" },
    { 0x7D82, "sus_f" },
    { 0x7D83, "sus_fd" },
    { 0x7D84, "sus_fl" },
    { 0x7D85, "sus_flink" },
    { 0x7D86, "sus_fr" },
    { 0x7D87, "suspend_actor_turnanims" },
    { 0x7D88, "suspend_drive_anims" },
    { 0x7D89, "suspend_driveanims" },
    { 0x7D8A, "suspensemusic" },
    { 0x7D8B, "sw_wreck_dialogue01" },
    { 0x7D8C, "sw_wreck_dialogue02" },
    { 0x7D8D, "swap" },
    { 0x7D8E, "swap_ambient_event_zone_internal" },
    { 0x7D8F, "swap_ambient_event_zones" },
    { 0x7D90, "swap_attachment" },
    { 0x7D91, "swap_destroyed_deck" },
    { 0x7D92, "swap_goal_volumes" },
    { 0x7D93, "swap_head" },
    { 0x7D94, "swap_hi_res_dam" },
    { 0x7D95, "swap_nodes" },
    { 0x7D96, "swap_nodes_init" },
    { 0x7D97, "swap_tablet" },
    { 0x7D98, "swap_to_overcast_sky" },
    { 0x7D99, "swap_to_regular_gun" },
    { 0x7D9A, "swapanim" },
    { 0x7D9B, "swapout_mk32" },
    { 0x7D9C, "swapped_weapon_ammocount" },
    { 0x7D9D, "sweapon" },
    { 0x7D9E, "sweep_tells_vehicles_to_get_off_path" },
    { 0x7D9F, "swept" },
    { 0x7DA0, "swept_abovewater" },
    { 0x7DA1, "swept_allow_movement" },
    { 0x7DA2, "swept_allowed_slide" },
    { 0x7DA3, "swept_away" },
    { 0x7DA4, "swept_away_scene" },
    { 0x7DA5, "swept_blur" },
    { 0x7DA6, "swept_cleanup" },
    { 0x7DA7, "swept_coming_out_01" },
    { 0x7DA8, "swept_emerge_02" },
    { 0x7DA9, "swept_emerge_03" },
    { 0x7DAA, "swept_end" },
    { 0x7DAB, "swept_end_ally_vo" },
    { 0x7DAC, "swept_end_player" },
    { 0x7DAD, "swept_end_player_test" },
    { 0x7DAE, "swept_fall_dunk" },
    { 0x7DAF, "swept_hands_anim" },
    { 0x7DB0, "swept_hint" },
    { 0x7DB1, "swept_movement_step" },
    { 0x7DB2, "swept_path_anim" },
    { 0x7DB3, "swept_path_offset" },
    { 0x7DB4, "swept_path_rig" },
    { 0x7DB5, "swept_plunge_01" },
    { 0x7DB6, "swept_plunge_02" },
    { 0x7DB7, "swept_plunge_03" },
    { 0x7DB8, "swept_plunge_2_5" },
    { 0x7DB9, "swept_start" },
    { 0x7DBA, "swept_underwater" },
    { 0x7DBB, "swept_water_toggle" },
    { 0x7DBC, "sweptaway" },
    { 0x7DBD, "sweptaway_antenna_01" },
    { 0x7DBE, "sweptaway_antenna_02" },
    { 0x7DBF, "sweptaway_spawn" },
    { 0x7DC0, "sweptaway_test" },
    { 0x7DC1, "swim" },
    { 0x7DC2, "swim_allies_swim_forward" },
    { 0x7DC3, "swim_ally_surface_anim" },
    { 0x7DC4, "swim_approachnode" },
    { 0x7DC5, "swim_approachpos" },
    { 0x7DC6, "swim_await_detonate_anims" },
    { 0x7DC7, "swim_begin" },
    { 0x7DC8, "swim_breach_anims" },
    { 0x7DC9, "swim_breach_dialog" },
    { 0x7DCA, "swim_breach_ice_anims" },
    { 0x7DCB, "swim_cancelcurrentapproach" },
    { 0x7DCC, "swim_check_node_distance" },
    { 0x7DCD, "swim_choosestart" },
    { 0x7DCE, "swim_cleanupturnanim" },
    { 0x7DCF, "swim_clearleananims" },
    { 0x7DD0, "swim_coverarrival_main" },
    { 0x7DD1, "swim_determineapproachanim" },
    { 0x7DD2, "swim_determineapproachanim3d" },
    { 0x7DD3, "swim_detonate_logic" },
    { 0x7DD4, "swim_dofinalarrival" },
    { 0x7DD5, "swim_doposarrival" },
    { 0x7DD6, "swim_dostrafe" },
    { 0x7DD7, "swim_end" },
    { 0x7DD8, "swim_enemies_first_frame_anims" },
    { 0x7DD9, "swim_enemy_death_anim_override" },
    { 0x7DDA, "swim_getangleindex" },
    { 0x7DDB, "swim_getanimstartpos" },
    { 0x7DDC, "swim_getapproachtype" },
    { 0x7DDD, "swim_getmaxanimdist" },
    { 0x7DDE, "swim_getstrafeblendtime" },
    { 0x7DDF, "swim_godrays" },
    { 0x7DE0, "swim_handlestartcoveraim" },
    { 0x7DE1, "swim_intro_anims" },
    { 0x7DE2, "swim_intro_dialogue" },
    { 0x7DE3, "swim_isapproachablenode" },
    { 0x7DE4, "swim_maymovefrompointtopoint" },
    { 0x7DE5, "swim_movebegin" },
    { 0x7DE6, "swim_moveend" },
    { 0x7DE7, "swim_null" },
    { 0x7DE8, "swim_pathchange_getturnanim" },
    { 0x7DE9, "swim_player_start_breach" },
    { 0x7DEA, "swim_player_surface_anim" },
    { 0x7DEB, "swim_props_first_frame_anims" },
    { 0x7DEC, "swim_restartapproachlistener" },
    { 0x7DED, "swim_setleananims" },
    { 0x7DEE, "swim_setstrafeaimset" },
    { 0x7DEF, "swim_setstrafeaimweights" },
    { 0x7DF0, "swim_setstrafeweights" },
    { 0x7DF1, "swim_setupapproach" },
    { 0x7DF2, "swim_shoulddonodeexit" },
    { 0x7DF3, "swim_single_ally_swim_forward" },
    { 0x7DF4, "swim_speed" },
    { 0x7DF5, "swim_speed_delta" },
    { 0x7DF6, "swim_startcoveraim" },
    { 0x7DF7, "swim_surface_dialog" },
    { 0x7DF8, "swim_track_forward_enter" },
    { 0x7DF9, "swim_track_forward_exit" },
    { 0x7DFA, "swim_track_set" },
    { 0x7DFB, "swim_track_strafe_enter" },
    { 0x7DFC, "swim_track_strafe_exit" },
    { 0x7DFD, "swim_truck_surface_anim" },
    { 0x7DFE, "swim_truck_surface_destroy" },
    { 0x7DFF, "swim_updateleananim" },
    { 0x7E00, "swim_updatestrafeaimanim" },
    { 0x7E01, "swim_updatestrafeanim" },
    { 0x7E02, "swim_vehicles_snake_cam_anims" },
    { 0x7E03, "swim_wait_for_detonate" },
    { 0x7E04, "swim_waitforapproachpos" },
    { 0x7E05, "swing" },
    { 0x7E06, "swing_positions" },
    { 0x7E07, "swipe_melee" },
    { 0x7E08, "swipe_static_melee" },
    { 0x7E09, "swipechance" },
    { 0x7E0A, "switch_active" },
    { 0x7E0B, "switch_enemy_heads" },
    { 0x7E0C, "switch_from_cqb_to_creepwalk" },
    { 0x7E0D, "switch_from_cqb_to_gundown" },
    { 0x7E0E, "switch_from_creepwalk_to_cqb" },
    { 0x7E0F, "switch_from_gundown_to_cqb" },
    { 0x7E10, "switch_node" },
    { 0x7E11, "switch_node_now" },
    { 0x7E12, "switch_node_now_heli" },
    { 0x7E13, "switch_node_on_flag" },
    { 0x7E14, "switch_to_detonator" },
    { 0x7E15, "switch_to_ghost_intro_screen" },
    { 0x7E16, "switch_to_last_player_weapon" },
    { 0x7E17, "switch_to_last_weapon" },
    { 0x7E18, "switchactive" },
    { 0x7E19, "switchaircraft" },
    { 0x7E1A, "switchblade_handle_awareness" },
    { 0x7E1B, "switchedweapons" },
    { 0x7E1C, "switching_from_detonator" },
    { 0x7E1D, "switching_teams" },
    { 0x7E1E, "switching_to_detonator" },
    { 0x7E1F, "switchmsg" },
    { 0x7E20, "switchtodrill" },
    { 0x7E21, "switchtojog" },
    { 0x7E22, "switchtolastweapon" },
    { 0x7E23, "switchtosidearm" },
    { 0x7E24, "sync_carry_walk_anims" },
    { 0x7E25, "sync_nag" },
    { 0x7E26, "sync_transients" },
    { 0x7E27, "syncedmeleetarget2" },
    { 0x7E28, "synch_anim_state" },
    { 0x7E29, "synch_attack_anim_lerp" },
    { 0x7E2A, "synch_attack_index" },
    { 0x7E2B, "synch_attack_pos" },
    { 0x7E2C, "synch_attack_setup" },
    { 0x7E2D, "synch_directions" },
    { 0x7E2E, "synch_melee" },
    { 0x7E2F, "synched_turret" },
    { 0x7E30, "syncnotetrackent" },
    { 0x7E31, "synctransients_safe" },
    { 0x7E32, "syncxpstat" },
    { 0x7E33, "system_default_detect_ranges" },
    { 0x7E34, "system_default_event_distances" },
    { 0x7E35, "system_event_change" },
    { 0x7E36, "system_handle_clipbrush" },
    { 0x7E37, "system_init" },
    { 0x7E38, "system_init_shadows" },
    { 0x7E39, "system_message_loop" },
    { 0x7E3A, "system_save_processes" },
    { 0x7E3B, "system_set_detect_ranges" },
    { 0x7E3C, "system_set_event_distances" },
    { 0x7E3D, "system_state_check_no_enemy" },
    { 0x7E3E, "system_state_spotted" },
    { 0x7E3F, "system_state_try_clear_flag" },
    { 0x7E40, "systems_down" },
    { 0x7E41, "systems_down_end" },
    { 0x7E42, "systems_down_fluid" },
    { 0x7E43, "systems_down_hud" },
    { 0x7E44, "systems_down_mid" },
    { 0x7E45, "systems_down_smoke" },
    { 0x7E46, "systems_down_thermal" },
    { 0x7E47, "systems_down_tow_out" },
    { 0x7E48, "table_combine" },
    { 0x7E49, "table_getcharactertype" },
    { 0x7E4A, "table_getequipment" },
    { 0x7E4B, "table_getkillstreak" },
    { 0x7E4C, "table_getoffhand" },
    { 0x7E4D, "table_getperk" },
    { 0x7E4E, "table_getteamperk" },
    { 0x7E4F, "table_getweapon" },
    { 0x7E50, "table_getweaponattachment" },
    { 0x7E51, "table_getweaponbuff" },
    { 0x7E52, "table_getweaponcamo" },
    { 0x7E53, "table_getweaponreticle" },
    { 0x7E54, "table_origins" },
    { 0x7E55, "tablet" },
    { 0x7E56, "tablet_light_off" },
    { 0x7E57, "tablet_light_on" },
    { 0x7E58, "tablet_prop" },
    { 0x7E59, "tactic_notifies" },
    { 0x7E5A, "tactical_goals" },
    { 0x7E5B, "tag1" },
    { 0x7E5C, "tag2" },
    { 0x7E5D, "tag_anim_rig_init_and_flag_wait" },
    { 0x7E5E, "tag_anim_rig_models" },
    { 0x7E5F, "tag_name" },
    { 0x7E60, "tag_project" },
    { 0x7E61, "tag_sound" },
    { 0x7E62, "tag_stowed_hip" },
    { 0x7E63, "tagavailable" },
    { 0x7E64, "tagdropcrates" },
    { 0x7E65, "tagetname" },
    { 0x7E66, "tagged_ent" },
    { 0x7E67, "taggedassist" },
    { 0x7E68, "taghatchl" },
    { 0x7E69, "taghatchr" },
    { 0x7E6A, "tagmodels" },
    { 0x7E6B, "tagprefix" },
    { 0x7E6C, "tags" },
    { 0x7E6D, "tags_carried" },
    { 0x7E6E, "tags_to_bank" },
    { 0x7E6F, "tagscarried" },
    { 0x7E70, "tagsicon" },
    { 0x7E71, "tagstext" },
    { 0x7E72, "tagteamupdater" },
    { 0x7E73, "tail_lights" },
    { 0x7E74, "take_all_currency" },
    { 0x7E75, "take_all_laststand" },
    { 0x7E76, "take_away_offhands" },
    { 0x7E77, "take_binoculars" },
    { 0x7E78, "take_color_node" },
    { 0x7E79, "take_control" },
    { 0x7E7A, "take_cover_warning" },
    { 0x7E7B, "take_cover_warning_loop" },
    { 0x7E7C, "take_cover_warnings_enabled" },
    { 0x7E7D, "take_fire_tracking" },
    { 0x7E7E, "take_flashlight" },
    { 0x7E7F, "take_hatchet" },
    { 0x7E80, "take_laststand" },
    { 0x7E81, "take_loot" },
    { 0x7E82, "take_pistol" },
    { 0x7E83, "take_player_currency" },
    { 0x7E84, "take_player_points" },
    { 0x7E85, "take_prebreach_weapons" },
    { 0x7E86, "takedeployableonstuck" },
    { 0x7E87, "takekillstreakweaponifnodupe" },
    { 0x7E88, "takekillstreakweapons" },
    { 0x7E89, "takeobject" },
    { 0x7E8A, "takeoffanim" },
    { 0x7E8B, "takeoffdelay" },
    { 0x7E8C, "takeover_flash" },
    { 0x7E8D, "takeoverflashoverlay" },
    { 0x7E8E, "takeuseweapon" },
    { 0x7E8F, "taking_damage" },
    { 0x7E90, "talk" },
    { 0x7E91, "talk_for_time" },
    { 0x7E92, "tall_grass_chopper_group_flag" },
    { 0x7E93, "tall_grass_chopper_start" },
    { 0x7E94, "tall_grass_do_wind_gust" },
    { 0x7E95, "tall_grass_friendly_exit_logic" },
    { 0x7E96, "tall_grass_friendly_ignore_state" },
    { 0x7E97, "tall_grass_friendly_logic" },
    { 0x7E98, "tall_grass_friendly_navigation" },
    { 0x7E99, "tall_grass_friendly_setup" },
    { 0x7E9A, "tall_grass_get_enemies_except_prone_and_rpg_guys" },
    { 0x7E9B, "tall_grass_globals" },
    { 0x7E9C, "tall_grass_guys_path_to_trees" },
    { 0x7E9D, "tall_grass_guys_went_hot" },
    { 0x7E9E, "tall_grass_handle_player_opening_fire" },
    { 0x7E9F, "tall_grass_hot_vo_end" },
    { 0x7EA0, "tall_grass_intro_goes_hot" },
    { 0x7EA1, "tall_grass_moving_grass_settings" },
    { 0x7EA2, "tall_grass_nogame_start" },
    { 0x7EA3, "tall_grass_start" },
    { 0x7EA4, "tall_grass_start_cold" },
    { 0x7EA5, "tall_grass_stealth_settings" },
    { 0x7EA6, "tall_grass_vo" },
    { 0x7EA7, "tall_grass_weather" },
    { 0x7EA8, "tall_grass_wind_gust_logic" },
    { 0x7EA9, "tangentjump" },
    { 0x7EAA, "tank" },
    { 0x7EAB, "tank_ally_joel" },
    { 0x7EAC, "tank_ambient_deploy_chutes" },
    { 0x7EAD, "tank_ambient_waits" },
    { 0x7EAE, "tank_battle" },
    { 0x7EAF, "tank_bc" },
    { 0x7EB0, "tank_blinkylightantenna" },
    { 0x7EB1, "tank_blinkylightcamera" },
    { 0x7EB2, "tank_boost" },
    { 0x7EB3, "tank_bridge" },
    { 0x7EB4, "tank_chatter_enabled" },
    { 0x7EB5, "tank_clear_hud" },
    { 0x7EB6, "tank_compass" },
    { 0x7EB7, "tank_compass_objective_positions" },
    { 0x7EB8, "tank_compass_pulse" },
    { 0x7EB9, "tank_compass_scanline" },
    { 0x7EBA, "tank_compass_vehicle_positions" },
    { 0x7EBB, "tank_crush" },
    { 0x7EBC, "tank_crush_anims" },
    { 0x7EBD, "tank_crush_fx_on_tag" },
    { 0x7EBE, "tank_damage_allies" },
    { 0x7EBF, "tank_damage_player" },
    { 0x7EC0, "tank_death_allies" },
    { 0x7EC1, "tank_death_anim" },
    { 0x7EC2, "tank_death_player" },
    { 0x7EC3, "tank_deploy_chutes" },
    { 0x7EC4, "tank_drop" },
    { 0x7EC5, "tank_drop_fighter_1" },
    { 0x7EC6, "tank_drop_fighter_2" },
    { 0x7EC7, "tank_drop_jet_center" },
    { 0x7EC8, "tank_drop_jet_left" },
    { 0x7EC9, "tank_drop_jet_right" },
    { 0x7ECA, "tank_drop_player" },
    { 0x7ECB, "tank_drop_slide_allies" },
    { 0x7ECC, "tank_dropmines" },
    { 0x7ECD, "tank_dynamic_zoom_monitor" },
    { 0x7ECE, "tank_earthquake" },
    { 0x7ECF, "tank_empgrenaded" },
    { 0x7ED0, "tank_event" },
    { 0x7ED1, "tank_fire_at_enemies" },
    { 0x7ED2, "tank_firemissiles" },
    { 0x7ED3, "tank_freezebuffer" },
    { 0x7ED4, "tank_fx" },
    { 0x7ED5, "tank_giveweapononplaced" },
    { 0x7ED6, "tank_guy_anim" },
    { 0x7ED7, "tank_handle_sabot" },
    { 0x7ED8, "tank_handlechangeteams" },
    { 0x7ED9, "tank_handledamage" },
    { 0x7EDA, "tank_handledeath" },
    { 0x7EDB, "tank_handledisconnect" },
    { 0x7EDC, "tank_handlestopusing" },
    { 0x7EDD, "tank_handletimeout" },
    { 0x7EDE, "tank_health_monitor" },
    { 0x7EDF, "tank_health_regen" },
    { 0x7EE0, "tank_hud" },
    { 0x7EE1, "tank_hud_blink_warning" },
    { 0x7EE2, "tank_hud_body" },
    { 0x7EE3, "tank_hud_compass" },
    { 0x7EE4, "tank_hud_compass_movement" },
    { 0x7EE5, "tank_hud_crack_left" },
    { 0x7EE6, "tank_hud_crack_right" },
    { 0x7EE7, "tank_hud_initialize" },
    { 0x7EE8, "tank_hud_item" },
    { 0x7EE9, "tank_hud_mg" },
    { 0x7EEA, "tank_hud_missile" },
    { 0x7EEB, "tank_hud_missile_warning" },
    { 0x7EEC, "tank_hud_offline" },
    { 0x7EED, "tank_hud_reticle" },
    { 0x7EEE, "tank_hud_smoke" },
    { 0x7EEF, "tank_hud_speed" },
    { 0x7EF0, "tank_hud_turret" },
    { 0x7EF1, "tank_hud_vignette" },
    { 0x7EF2, "tank_in_position" },
    { 0x7EF3, "tank_incrementdamagefade" },
    { 0x7EF4, "tank_invulnerable_warning" },
    { 0x7EF5, "tank_link_crew" },
    { 0x7EF6, "tank_missile_targeting" },
    { 0x7EF7, "tank_move_target" },
    { 0x7EF8, "tank_moving_spawn_func" },
    { 0x7EF9, "tank_oncarrierdeath" },
    { 0x7EFA, "tank_oncarrierdisconnect" },
    { 0x7EFB, "tank_ongameended" },
    { 0x7EFC, "tank_override_moving_platform_death" },
    { 0x7EFD, "tank_play_traced_effect" },
    { 0x7EFE, "tank_playerexit" },
    { 0x7EFF, "tank_quake" },
    { 0x7F00, "tank_queue" },
    { 0x7F01, "tank_relative_speed" },
    { 0x7F02, "tank_relative_speed_stop" },
    { 0x7F03, "tank_rumble" },
    { 0x7F04, "tank_save" },
    { 0x7F05, "tank_setactive" },
    { 0x7F06, "tank_setcancelled" },
    { 0x7F07, "tank_setcarried" },
    { 0x7F08, "tank_setinactive" },
    { 0x7F09, "tank_setplaced" },
    { 0x7F0A, "tank_shoot_tracking" },
    { 0x7F0B, "tank_sound_pitch" },
    { 0x7F0C, "tank_spawn_crew" },
    { 0x7F0D, "tank_spawn_func" },
    { 0x7F0E, "tank_target" },
    { 0x7F0F, "tank_targets" },
    { 0x7F10, "tank_thermal_effects" },
    { 0x7F11, "tank_think_fire_count" },
    { 0x7F12, "tank_tread_freq" },
    { 0x7F13, "tank_tread_freq_all" },
    { 0x7F14, "tank_truck_crush_anim" },
    { 0x7F15, "tank_turret_handledamage" },
    { 0x7F16, "tank_update_primary_reticle" },
    { 0x7F17, "tank_update_speed" },
    { 0x7F18, "tank_update_weapon_hud" },
    { 0x7F19, "tank_wait_kill_me" },
    { 0x7F1A, "tank_wall_sfx" },
    { 0x7F1B, "tank_wall_stuff" },
    { 0x7F1C, "tank_watch_for_vehicle_death" },
    { 0x7F1D, "tank_watchfiring" },
    { 0x7F1E, "tank_watchlowhealth" },
    { 0x7F1F, "tank_window_array" },
    { 0x7F20, "tank_zoom" },
    { 0x7F21, "tankcover" },
    { 0x7F22, "tankdamagemonitor" },
    { 0x7F23, "tankdust1" },
    { 0x7F24, "tankdust2" },
    { 0x7F25, "tankexplode" },
    { 0x7F26, "tankfire" },
    { 0x7F27, "tankfire_spline_jeep" },
    { 0x7F28, "tankfireoverride" },
    { 0x7F29, "tankflash" },
    { 0x7F2A, "tankgetminitargets" },
    { 0x7F2B, "tankgetout" },
    { 0x7F2C, "tankgettargets" },
    { 0x7F2D, "tankinuse" },
    { 0x7F2E, "tanks" },
    { 0x7F2F, "tanks_bridge_aftershocks" },
    { 0x7F30, "tanks_bridge_fall_explosions" },
    { 0x7F31, "tanks_bridge_fall_fx" },
    { 0x7F32, "tanks_cleanup" },
    { 0x7F33, "tanksettings" },
    { 0x7F34, "tankspawner" },
    { 0x7F35, "tanksquish" },
    { 0x7F36, "tanksquish_damage_check" },
    { 0x7F37, "tankturret" },
    { 0x7F38, "tanktype" },
    { 0x7F39, "tankupdate" },
    { 0x7F3A, "tape_breach_door" },
    { 0x7F3B, "taper" },
    { 0x7F3C, "targ" },
    { 0x7F3D, "targeffect" },
    { 0x7F3E, "targent" },
    { 0x7F3F, "targertname" },
    { 0x7F40, "target_confirm" },
    { 0x7F41, "target_count" },
    { 0x7F42, "target_dist_compare" },
    { 0x7F43, "target_enable" },
    { 0x7F44, "target_enable_sat_view" },
    { 0x7F45, "target_ent" },
    { 0x7F46, "target_ent_cleanup" },
    { 0x7F47, "target_entity" },
    { 0x7F48, "target_in_range_for_lock" },
    { 0x7F49, "target_islockedon" },
    { 0x7F4A, "target_islockedonbyanyweaponsystem" },
    { 0x7F4B, "target_islockedontome" },
    { 0x7F4C, "target_min_range" },
    { 0x7F4D, "target_monitorfreelockedon" },
    { 0x7F4E, "target_outofrange_check" },
    { 0x7F4F, "target_points" },
    { 0x7F50, "target_practice_guys_logic" },
    { 0x7F51, "target_set_islockedon" },
    { 0x7F52, "target_settings" },
    { 0x7F53, "target_swim_speed" },
    { 0x7F54, "target_time" },
    { 0x7F55, "target_trace_to_owners_eyes" },
    { 0x7F56, "target_track" },
    { 0x7F57, "target_unset_islockedon" },
    { 0x7F58, "target_water_current" },
    { 0x7F59, "targetdeathwaiter" },
    { 0x7F5A, "targetdefault" },
    { 0x7F5B, "targetdisconnectwatcher" },
    { 0x7F5C, "targeteffect" },
    { 0x7F5D, "targetent" },
    { 0x7F5E, "targetentpos" },
    { 0x7F5F, "targetgetdist" },
    { 0x7F60, "targeting" },
    { 0x7F61, "targeting_delay" },
    { 0x7F62, "targeting_marker" },
    { 0x7F63, "targetingoffset" },
    { 0x7F64, "targetingplayer" },
    { 0x7F65, "targetisclose" },
    { 0x7F66, "targetisinfront" },
    { 0x7F67, "targetlist" },
    { 0x7F68, "targetname_spawn" },
    { 0x7F69, "targetobjid" },
    { 0x7F6A, "targetpointtooclose" },
    { 0x7F6B, "targetpos" },
    { 0x7F6C, "targets" },
    { 0x7F6D, "targets_and_uses_turret" },
    { 0x7F6E, "targets_tracking" },
    { 0x7F6F, "targetsfilter" },
    { 0x7F70, "targetssortbydot" },
    { 0x7F71, "targettingradius" },
    { 0x7F72, "targettype" },
    { 0x7F73, "tarps" },
    { 0x7F74, "taxing_jet_anim_catchup" },
    { 0x7F75, "taxing_osprey" },
    { 0x7F76, "taxing_osprey_cart_drone_anims" },
    { 0x7F77, "tb_spark_fx_tag" },
    { 0x7F78, "team1" },
    { 0x7F79, "team2" },
    { 0x7F7A, "team2_nav_logic" },
    { 0x7F7B, "team_2_unset_colors" },
    { 0x7F7C, "team_adrenaline_rank" },
    { 0x7F7D, "team_ammo_rank" },
    { 0x7F7E, "team_ammo_regen" },
    { 0x7F7F, "team_armor_rank" },
    { 0x7F80, "team_boost_rank" },
    { 0x7F81, "team_currency_rank" },
    { 0x7F82, "team_explosives_rank" },
    { 0x7F83, "team_foley_lights_out" },
    { 0x7F84, "team_hive_performance" },
    { 0x7F85, "team_randombox_rank" },
    { 0x7F86, "team_set_colors" },
    { 0x7F87, "team_specialammo_rank" },
    { 0x7F88, "team_specific_spawn_functions" },
    { 0x7F89, "team_unset_colors" },
    { 0x7F8A, "teamairdenied" },
    { 0x7F8B, "teambalance" },
    { 0x7F8C, "teambase" },
    { 0x7F8D, "teambased" },
    { 0x7F8E, "teamchallenge" },
    { 0x7F8F, "teamchangedthisframe" },
    { 0x7F90, "teamcount" },
    { 0x7F91, "teamemped" },
    { 0x7F92, "teamflashbangimmune" },
    { 0x7F93, "teamflashbangimmunity" },
    { 0x7F94, "teamheadicon" },
    { 0x7F95, "teamintelendhud" },
    { 0x7F96, "teamintelstarthud" },
    { 0x7F97, "teamkilldelay" },
    { 0x7F98, "teamkillsthisround" },
    { 0x7F99, "teamlimit" },
    { 0x7F9A, "teamlist" },
    { 0x7F9B, "teammates_react" },
    { 0x7F9C, "teamnamelist" },
    { 0x7F9D, "teamnukeemped" },
    { 0x7F9E, "teamobjids" },
    { 0x7F9F, "teamoutcomenotify" },
    { 0x7FA0, "teamplayercardsplash" },
    { 0x7FA1, "teamprogressbarfontsize" },
    { 0x7FA2, "teamprogressbarheight" },
    { 0x7FA3, "teamprogressbartexty" },
    { 0x7FA4, "teamprogressbarwidth" },
    { 0x7FA5, "teamprogressbary" },
    { 0x7FA6, "teams" },
    { 0x7FA7, "teamspawnpoints" },
    { 0x7FA8, "teamsplash" },
    { 0x7FA9, "teamthreatcalloutlimittimeout" },
    { 0x7FAA, "teamtweaks" },
    { 0x7FAB, "teamusetexts" },
    { 0x7FAC, "teamusetimes" },
    { 0x7FAD, "teamxpscale" },
    { 0x7FAE, "teargas_bag" },
    { 0x7FAF, "teargas_cough_count" },
    { 0x7FB0, "teargas_cough_vo" },
    { 0x7FB1, "teargas_coughing" },
    { 0x7FB2, "teargas_count" },
    { 0x7FB3, "teargas_flush_volumes" },
    { 0x7FB4, "teargas_grab" },
    { 0x7FB5, "teargas_hint" },
    { 0x7FB6, "teargas_hint_wait" },
    { 0x7FB7, "teargas_hot_vo" },
    { 0x7FB8, "teargas_last_cough_sound" },
    { 0x7FB9, "teargas_loaded" },
    { 0x7FBA, "teargas_patrol" },
    { 0x7FBB, "teargas_reaction_anim" },
    { 0x7FBC, "teargas_recover_anim" },
    { 0x7FBD, "teargas_scripted_guys" },
    { 0x7FBE, "teargas_traverse_window" },
    { 0x7FBF, "teargas_vo" },
    { 0x7FC0, "teargassed" },
    { 0x7FC1, "teargassed_ai" },
    { 0x7FC2, "tele_catwalks_end" },
    { 0x7FC3, "teleport_a10_inboundlist" },
    { 0x7FC4, "teleport_a10_outboundlist" },
    { 0x7FC5, "teleport_add_delta" },
    { 0x7FC6, "teleport_add_delta_targets" },
    { 0x7FC7, "teleport_ai" },
    { 0x7FC8, "teleport_ai_instant" },
    { 0x7FC9, "teleport_allies" },
    { 0x7FCA, "teleport_allies_on_flag" },
    { 0x7FCB, "teleport_allies_to_comm_center_interior" },
    { 0x7FCC, "teleport_allowed" },
    { 0x7FCD, "teleport_ally2" },
    { 0x7FCE, "teleport_ally_1_to_comm_center_interior" },
    { 0x7FCF, "teleport_change_targetname" },
    { 0x7FD0, "teleport_closest_zone" },
    { 0x7FD1, "teleport_delta_this_frame" },
    { 0x7FD2, "teleport_dom_finished_initializing" },
    { 0x7FD3, "teleport_dom_post_bot_cleanup" },
    { 0x7FD4, "teleport_drill" },
    { 0x7FD5, "teleport_enemies" },
    { 0x7FD6, "teleport_ent" },
    { 0x7FD7, "teleport_ent_generic" },
    { 0x7FD8, "teleport_failsafe" },
    { 0x7FD9, "teleport_filter_spawn_point" },
    { 0x7FDA, "teleport_gamemode_disable_teleport" },
    { 0x7FDB, "teleport_gamemode_func" },
    { 0x7FDC, "teleport_get_active_nodes" },
    { 0x7FDD, "teleport_get_care_packages" },
    { 0x7FDE, "teleport_get_deployable_boxes" },
    { 0x7FDF, "teleport_get_matching_dom_flag" },
    { 0x7FE0, "teleport_get_safe_node_near" },
    { 0x7FE1, "teleport_hesh_post_osprey" },
    { 0x7FE2, "teleport_hidegrindzone" },
    { 0x7FE3, "teleport_include_killsteaks" },
    { 0x7FE4, "teleport_include_killstreaks" },
    { 0x7FE5, "teleport_init" },
    { 0x7FE6, "teleport_init_spawn_info" },
    { 0x7FE7, "teleport_inuse" },
    { 0x7FE8, "teleport_is_valid_zone" },
    { 0x7FE9, "teleport_mask" },
    { 0x7FEA, "teleport_minimaps" },
    { 0x7FEB, "teleport_nodes_in_zone" },
    { 0x7FEC, "teleport_notify_death" },
    { 0x7FED, "teleport_onstartgameconf" },
    { 0x7FEE, "teleport_onstartgamedom" },
    { 0x7FEF, "teleport_onstartgamegrind" },
    { 0x7FF0, "teleport_onstartgamehorde" },
    { 0x7FF1, "teleport_onstartgamesotf" },
    { 0x7FF2, "teleport_onstartgametype" },
    { 0x7FF3, "teleport_onteleportblitz" },
    { 0x7FF4, "teleport_onteleportconf" },
    { 0x7FF5, "teleport_onteleportdom" },
    { 0x7FF6, "teleport_onteleportgrind" },
    { 0x7FF7, "teleport_onteleportsotf" },
    { 0x7FF8, "teleport_origin_use_nodes" },
    { 0x7FF9, "teleport_origin_use_offset" },
    { 0x7FFA, "teleport_origins" },
    { 0x7FFB, "teleport_parse_zone_targets" },
    { 0x7FFC, "teleport_place_on_ground" },
    { 0x7FFD, "teleport_player" },
    { 0x7FFE, "teleport_player_post_osprey" },
    { 0x7FFF, "teleport_players" },
    { 0x8000, "teleport_post_funcs" },
    { 0x8001, "teleport_pre_funcs" },
    { 0x8002, "teleport_pre_onstartgameblitz" },
    { 0x8003, "teleport_pre_onstartgamesd" },
    { 0x8004, "teleport_pre_onstartgamesd_and_sr" },
    { 0x8005, "teleport_pre_onstartgamesr" },
    { 0x8006, "teleport_restore_targetname" },
    { 0x8007, "teleport_self_add_delta" },
    { 0x8008, "teleport_self_add_delta_targets" },
    { 0x8009, "teleport_set_a10_splines_for_zone" },
    { 0x800A, "teleport_set_current_zone" },
    { 0x800B, "teleport_set_minimap_for_zone" },
    { 0x800C, "teleport_set_post_func" },
    { 0x800D, "teleport_set_pre_func" },
    { 0x800E, "teleport_spawn_info" },
    { 0x800F, "teleport_squad" },
    { 0x8010, "teleport_squadmember" },
    { 0x8011, "teleport_to_ent_tag" },
    { 0x8012, "teleport_to_nodes" },
    { 0x8013, "teleport_to_offset" },
    { 0x8014, "teleport_to_target" },
    { 0x8015, "teleport_to_zone" },
    { 0x8016, "teleport_to_zone_agents" },
    { 0x8017, "teleport_to_zone_character" },
    { 0x8018, "teleport_to_zone_killstreaks" },
    { 0x8019, "teleport_to_zone_players" },
    { 0x801A, "teleport_validate_success" },
    { 0x801B, "teleport_zone" },
    { 0x801C, "teleport_zone_current" },
    { 0x801D, "teleport_zones" },
    { 0x801E, "teleported" },
    { 0x801F, "teleported_to_path_section" },
    { 0x8020, "teleportgetactivenodesfunc" },
    { 0x8021, "teleporting" },
    { 0x8022, "teleportthread" },
    { 0x8023, "teleportthreadex" },
    { 0x8024, "teletospot" },
    { 0x8025, "television" },
    { 0x8026, "tell_adam_stop" },
    { 0x8027, "tell_player_to_stay" },
    { 0x8028, "temp_debrisbridge_remove_base_clip" },
    { 0x8029, "temp_dialogue" },
    { 0x802A, "temp_dialogue_fade" },
    { 0x802B, "temp_dialogue_line" },
    { 0x802C, "temp_dist" },
    { 0x802D, "temp_dist_check" },
    { 0x802E, "temp_ghost_flee" },
    { 0x802F, "temp_green_fx_tag" },
    { 0x8030, "temp_missile_impacts" },
    { 0x8031, "temp_music_thread_defend_prep_2" },
    { 0x8032, "temp_on" },
    { 0x8033, "temp_ref_check" },
    { 0x8034, "temp_sat_view_ents" },
    { 0x8035, "temp_spawn_locs" },
    { 0x8036, "temp_tag" },
    { 0x8037, "temp_think" },
    { 0x8038, "temp_trigger_off" },
    { 0x8039, "template_level" },
    { 0x803A, "template_script" },
    { 0x803B, "template_so_level" },
    { 0x803C, "temporary_disable_pain" },
    { 0x803D, "temptarget" },
    { 0x803E, "tendwounded" },
    { 0x803F, "ter_op" },
    { 0x8040, "terminal" },
    { 0x8041, "terrain" },
    { 0x8042, "test_all" },
    { 0x8043, "test_attack_heli" },
    { 0x8044, "test_brake_lights" },
    { 0x8045, "test_connect_paths" },
    { 0x8046, "test_dist_check" },
    { 0x8047, "test_func_on_button" },
    { 0x8048, "test_guy_do_goalor_die" },
    { 0x8049, "test_individual_spawner" },
    { 0x804A, "test_lights" },
    { 0x804B, "test_location" },
    { 0x804C, "test_origin" },
    { 0x804D, "test_quick_breach" },
    { 0x804E, "test_radius" },
    { 0x804F, "test_ref_check" },
    { 0x8050, "test_supply_drop" },
    { 0x8051, "test_trace" },
    { 0x8052, "test_trace_tag" },
    { 0x8053, "test_tracer_fire" },
    { 0x8054, "test_viewmodel_anim" },
    { 0x8055, "testedarray" },
    { 0x8056, "testing_outline" },
    { 0x8057, "testingapache_animations" },
    { 0x8058, "testmenu" },
    { 0x8059, "testshock" },
    { 0x805A, "text" },
    { 0x805B, "text1" },
    { 0x805C, "text2label" },
    { 0x805D, "text_3d_ent" },
    { 0x805E, "text_incoming" },
    { 0x805F, "text_incoming_x" },
    { 0x8060, "text_incoming_y" },
    { 0x8061, "text_list" },
    { 0x8062, "text_sound" },
    { 0x8063, "text_titlecreate" },
    { 0x8064, "text_titledestroy" },
    { 0x8065, "text_titlefadeout" },
    { 0x8066, "text_titlesettext" },
    { 0x8067, "text_x" },
    { 0x8068, "text_y" },
    { 0x8069, "textalpha" },
    { 0x806A, "textglowcolor" },
    { 0x806B, "textisstring" },
    { 0x806C, "textlabel" },
    { 0x806D, "textscale" },
    { 0x806E, "tg_old_animname" },
    { 0x806F, "tg_old_badplace_awareness" },
    { 0x8070, "the_dog" },
    { 0x8071, "the_end" },
    { 0x8072, "theater_door_deer_dist_check" },
    { 0x8073, "theatre_doors" },
    { 0x8074, "thermal_effectsoff" },
    { 0x8075, "thermal_effectson" },
    { 0x8076, "thermal_hint" },
    { 0x8077, "thermal_state" },
    { 0x8078, "thermal_tracker" },
    { 0x8079, "thermal_vision" },
    { 0x807A, "thermaldrawenabledrone" },
    { 0x807B, "thermalvision" },
    { 0x807C, "thermite" },
    { 0x807D, "thermite1" },
    { 0x807E, "thermite2" },
    { 0x807F, "thermite3" },
    { 0x8080, "thermite_fx" },
    { 0x8081, "thermite_start" },
    { 0x8082, "thermite_timing" },
    { 0x8083, "thermodebuffed" },
    { 0x8084, "thermodebuffmod" },
    { 0x8085, "thermodebuffwatcher" },
    { 0x8086, "thicknessoffset" },
    { 0x8087, "think" },
    { 0x8088, "third_enemy_shooting" },
    { 0x8089, "third_floor_actors" },
    { 0x808A, "third_floor_anim_ent" },
    { 0x808B, "thor_finale_movement" },
    { 0x808C, "thor_pod_opens" },
    { 0x808D, "thor_pod_opens_fx" },
    { 0x808E, "thorough_delete" },
    { 0x808F, "thrash_player" },
    { 0x8090, "thread_active" },
    { 0x8091, "threadedsetweaponstatbyname" },
    { 0x8092, "threads" },
    { 0x8093, "threat" },
    { 0x8094, "threat_bias_grouping" },
    { 0x8095, "threat_group_inits" },
    { 0x8096, "threatcallouts" },
    { 0x8097, "threatcallouttracking" },
    { 0x8098, "threatdog" },
    { 0x8099, "threatent" },
    { 0x809A, "threatinfantry" },
    { 0x809B, "threatinfantry_docalloutlocation" },
    { 0x809C, "threatinfantryexposed" },
    { 0x809D, "threatinfantryrpg" },
    { 0x809E, "threatisviable" },
    { 0x809F, "threatlevel" },
    { 0x80A0, "threattype" },
    { 0x80A1, "threatwasalreadycalledout" },
    { 0x80A2, "threw_ninebang" },
    { 0x80A3, "threwairdropmarker" },
    { 0x80A4, "threwairdropmarkerindex" },
    { 0x80A5, "threwback" },
    { 0x80A6, "throw_grenade_if_player_behind_tank" },
    { 0x80A7, "throw_linked_care_packages" },
    { 0x80A8, "throw_player_to_window" },
    { 0x80A9, "throw_rog_destruction" },
    { 0x80AA, "throw_stones_idle" },
    { 0x80AB, "throwable_items" },
    { 0x80AC, "throwdownweapon" },
    { 0x80AD, "throwgrenadeatplayerasap" },
    { 0x80AE, "throwgrenadeatplayerasap_combat_utility" },
    { 0x80AF, "throwgun" },
    { 0x80B0, "throwinggrenade" },
    { 0x80B1, "throwingknifeused" },
    { 0x80B2, "thrown_entities" },
    { 0x80B3, "thrown_semtex_grenades" },
    { 0x80B4, "thruster_01" },
    { 0x80B5, "thruster_01_fx" },
    { 0x80B6, "thruster_01_lat" },
    { 0x80B7, "thruster_01_lat_fx" },
    { 0x80B8, "thruster_02" },
    { 0x80B9, "thruster_02_fx" },
    { 0x80BA, "thruster_02_lat" },
    { 0x80BB, "thruster_02_lat_fx" },
    { 0x80BC, "thruster_03" },
    { 0x80BD, "thruster_03_fx" },
    { 0x80BE, "thruster_03_lat" },
    { 0x80BF, "thruster_03_lat_fx" },
    { 0x80C0, "thruster_04" },
    { 0x80C1, "thruster_04_fx" },
    { 0x80C2, "thruster_04_lat" },
    { 0x80C3, "thruster_04_lat_fx" },
    { 0x80C4, "thruster_audio_logic" },
    { 0x80C5, "thruster_oneshot" },
    { 0x80C6, "thruster_timer" },
    { 0x80C7, "thruster_timer_logic" },
    { 0x80C8, "thumpersetup" },
    { 0x80C9, "thunder" },
    { 0x80CA, "thunder_and_lightning" },
    { 0x80CB, "thunder_big_sound_moving" },
    { 0x80CC, "ti_overridemovingplatformdeath" },
    { 0x80CD, "ti_spawn" },
    { 0x80CE, "tickingobject" },
    { 0x80CF, "ticks" },
    { 0x80D0, "tier" },
    { 0x80D1, "tile" },
    { 0x80D2, "tile_attached_to_edge" },
    { 0x80D3, "tile_death" },
    { 0x80D4, "tile_spider" },
    { 0x80D5, "tilealive" },
    { 0x80D6, "tilesize" },
    { 0x80D7, "tilt" },
    { 0x80D8, "tilt_allies" },
    { 0x80D9, "tilt_anim_gen_prop_raven" },
    { 0x80DA, "tilt_anim_solo" },
    { 0x80DB, "tilt_deck_impact" },
    { 0x80DC, "tilt_drone_anim" },
    { 0x80DD, "tilt_exfil" },
    { 0x80DE, "tilt_exfil_planes" },
    { 0x80DF, "tilt_exfil_player" },
    { 0x80E0, "tilt_exfil_props" },
    { 0x80E1, "tilt_exp_heli_clip" },
    { 0x80E2, "tilt_falling_guys" },
    { 0x80E3, "tilt_front_deck_impact" },
    { 0x80E4, "tilt_generic_fall" },
    { 0x80E5, "tilt_generic_grapes" },
    { 0x80E6, "tilt_ground_ref" },
    { 0x80E7, "tilt_handle_player_fail" },
    { 0x80E8, "tilt_handler" },
    { 0x80E9, "tilt_helicopter_destroyed" },
    { 0x80EA, "tilt_island_glass" },
    { 0x80EB, "tilt_left" },
    { 0x80EC, "tilt_ocean_fx_setup" },
    { 0x80ED, "tilt_odin_impact" },
    { 0x80EE, "tilt_odin_strike" },
    { 0x80EF, "tilt_osprey_1" },
    { 0x80F0, "tilt_osprey_clip" },
    { 0x80F1, "tilt_player_fail" },
    { 0x80F2, "tilt_player_rog_stumble" },
    { 0x80F3, "tilt_player_slide" },
    { 0x80F4, "tilt_player_stumble" },
    { 0x80F5, "tilt_player_vault" },
    { 0x80F6, "tilt_props_aircraft" },
    { 0x80F7, "tilt_props_barrels_x3" },
    { 0x80F8, "tilt_props_barrels_x30" },
    { 0x80F9, "tilt_props_elevator" },
    { 0x80FA, "tilt_props_impact_barrels" },
    { 0x80FB, "tilt_props_impact_x30" },
    { 0x80FC, "tilt_props_island_antenna" },
    { 0x80FD, "tilt_props_island_corner" },
    { 0x80FE, "tilt_props_jet11_cart" },
    { 0x80FF, "tilt_props_large" },
    { 0x8100, "tilt_props_life_rafts" },
    { 0x8101, "tilt_props_medium" },
    { 0x8102, "tilt_props_odin_jet" },
    { 0x8103, "tilt_props_odin_phys" },
    { 0x8104, "tilt_props_tugger" },
    { 0x8105, "tilt_props_tugger3" },
    { 0x8106, "tilt_props_tugger4" },
    { 0x8107, "tilt_props_tugger_vault" },
    { 0x8108, "tilt_right" },
    { 0x8109, "tilt_run_forward_monitor" },
    { 0x810A, "tilt_sky" },
    { 0x810B, "tilt_vel" },
    { 0x810C, "tilt_vo" },
    { 0x810D, "time" },
    { 0x810E, "time_before_checking_enemy_count" },
    { 0x810F, "time_countdown" },
    { 0x8110, "time_countup" },
    { 0x8111, "time_cut" },
    { 0x8112, "time_limit" },
    { 0x8113, "time_slice" },
    { 0x8114, "time_synchronizer" },
    { 0x8115, "time_to_go" },
    { 0x8116, "time_to_pass_before_hint" },
    { 0x8117, "timebetweenshots" },
    { 0x8118, "timecheck" },
    { 0x8119, "timed_out" },
    { 0x811A, "timed_remove_arrow" },
    { 0x811B, "timednotify" },
    { 0x811C, "timehack" },
    { 0x811D, "timelastfired" },
    { 0x811E, "timelimitclock" },
    { 0x811F, "timelimitclock_intermission" },
    { 0x8120, "timelimitoverride" },
    { 0x8121, "timelimitthread" },
    { 0x8122, "timeofmaincqbupdate" },
    { 0x8123, "timeofnextsound" },
    { 0x8124, "timeout" },
    { 0x8125, "timeout_death" },
    { 0x8126, "timeout_watch" },
    { 0x8127, "timeoutent" },
    { 0x8128, "timeoutregenfaster" },
    { 0x8129, "timepaused" },
    { 0x812A, "timepercentagecutoff" },
    { 0x812B, "timeplayed" },
    { 0x812C, "timer" },
    { 0x812D, "timer_on_player_jump" },
    { 0x812E, "timer_override_check" },
    { 0x812F, "timer_ten_change" },
    { 0x8130, "timer_tick" },
    { 0x8131, "timername" },
    { 0x8132, "timerpausetime" },
    { 0x8133, "timerstopped" },
    { 0x8134, "timerstoppedforgamemode" },
    { 0x8135, "times_stuck" },
    { 0x8136, "timescale" },
    { 0x8137, "timestep" },
    { 0x8138, "timetoadd" },
    { 0x8139, "timeuntilroundend" },
    { 0x813A, "timeuntilspawn" },
    { 0x813B, "timeuntilwavespawn" },
    { 0x813C, "tired" },
    { 0x813D, "tired_time_remaining" },
    { 0x813E, "tispawndelay" },
    { 0x813F, "tispawnposition" },
    { 0x8140, "title" },
    { 0x8141, "title_line" },
    { 0x8142, "titleisstring" },
    { 0x8143, "titlelabel" },
    { 0x8144, "titletext" },
    { 0x8145, "tivalidationcheck" },
    { 0x8146, "tmp_subtitle" },
    { 0x8147, "to_string" },
    { 0x8148, "toggle_aim_assist" },
    { 0x8149, "toggle_ally_outlines" },
    { 0x814A, "toggle_axismode" },
    { 0x814B, "toggle_createfx_drawing" },
    { 0x814C, "toggle_entity_selection" },
    { 0x814D, "toggle_mall_door_clip" },
    { 0x814E, "toggle_npc_target" },
    { 0x814F, "toggle_snap2normal" },
    { 0x8150, "toggle_thermal" },
    { 0x8151, "toggle_thermal_npc" },
    { 0x8152, "toggle_visibility" },
    { 0x8153, "toggle_zoom" },
    { 0x8154, "tographid" },
    { 0x8155, "tographnode" },
    { 0x8156, "tolerance" },
    { 0x8157, "too_close_to_ally" },
    { 0x8158, "too_close_to_boat" },
    { 0x8159, "too_close_to_guys" },
    { 0x815A, "took_damage" },
    { 0x815B, "tookweaponfrom" },
    { 0x815C, "tool_hud" },
    { 0x815D, "tool_hud_visible" },
    { 0x815E, "tool_hudelems" },
    { 0x815F, "top_arc" },
    { 0x8160, "top_tower_enemies" },
    { 0x8161, "topattackpasses" },
    { 0x8162, "topspeed" },
    { 0x8163, "torch_fx_org" },
    { 0x8164, "torch_rotate" },
    { 0x8165, "torpedo_accel" },
    { 0x8166, "torpedo_boot_sequence" },
    { 0x8167, "torpedo_choice_hints" },
    { 0x8168, "torpedo_dialogue" },
    { 0x8169, "torpedo_dialogue_2" },
    { 0x816A, "torpedo_dialogue_3" },
    { 0x816B, "torpedo_drillbit_audio" },
    { 0x816C, "torpedo_fire" },
    { 0x816D, "torpedo_get_distance_to_target" },
    { 0x816E, "torpedo_go" },
    { 0x816F, "torpedo_hud_items" },
    { 0x8170, "torpedo_load_bar" },
    { 0x8171, "torpedo_the_ship" },
    { 0x8172, "tostr" },
    { 0x8173, "tostring" },
    { 0x8174, "total" },
    { 0x8175, "total_balcony_deaths" },
    { 0x8176, "total_chance" },
    { 0x8177, "total_cost" },
    { 0x8178, "total_currency_earned" },
    { 0x8179, "total_depth" },
    { 0x817A, "total_drones" },
    { 0x817B, "total_jumpers" },
    { 0x817C, "total_runner_drone_spawn_count" },
    { 0x817D, "total_shots_fired" },
    { 0x817E, "total_shots_hit" },
    { 0x817F, "total_tags_banked" },
    { 0x8180, "total_times_without_waver" },
    { 0x8181, "totalaltitudesum" },
    { 0x8182, "totaldamage" },
    { 0x8183, "totalfriends" },
    { 0x8184, "totalpercent" },
    { 0x8185, "totalplayers" },
    { 0x8186, "totalscore" },
    { 0x8187, "totestarray" },
    { 0x8188, "touched" },
    { 0x8189, "touched_trigger_runs_func" },
    { 0x818A, "touching" },
    { 0x818B, "touching_trigger_ent" },
    { 0x818C, "touching_water_trigger" },
    { 0x818D, "touchingbadtrigger" },
    { 0x818E, "touchingtiles" },
    { 0x818F, "touchlist" },
    { 0x8190, "touchtriggers" },
    { 0x8191, "tow_missile_explode" },
    { 0x8192, "tow_missile_launch" },
    { 0x8193, "tower_a10_flyby" },
    { 0x8194, "tower_a10_strafe_1" },
    { 0x8195, "tower_a10_strafe_2" },
    { 0x8196, "tower_a10_strafe_3" },
    { 0x8197, "tower_ally_retreaters_wave1" },
    { 0x8198, "tower_ambient_explosions" },
    { 0x8199, "tower_begin" },
    { 0x819A, "tower_broken_support" },
    { 0x819B, "tower_command_table" },
    { 0x819C, "tower_command_table_typing" },
    { 0x819D, "tower_courtyard_advancing_enemies" },
    { 0x819E, "tower_courtyard_advancing_mid_flooders" },
    { 0x819F, "tower_courtyard_mortars" },
    { 0x81A0, "tower_dialogue" },
    { 0x81A1, "tower_distant_choppers" },
    { 0x81A2, "tower_distant_combat" },
    { 0x81A3, "tower_door_breach" },
    { 0x81A4, "tower_door_explosion" },
    { 0x81A5, "tower_door_listen" },
    { 0x81A6, "tower_door_listen_2" },
    { 0x81A7, "tower_door_pitchfx" },
    { 0x81A8, "tower_dying_guy" },
    { 0x81A9, "tower_enemies_volume" },
    { 0x81AA, "tower_entrance_attackers" },
    { 0x81AB, "tower_entrance_attackers_think" },
    { 0x81AC, "tower_entrance_door" },
    { 0x81AD, "tower_entrance_fakeshooters" },
    { 0x81AE, "tower_entrance_hesco_guys" },
    { 0x81AF, "tower_entrance_respawners" },
    { 0x81B0, "tower_entrance_stumblers" },
    { 0x81B1, "tower_explosion_guy" },
    { 0x81B2, "tower_falling_debris" },
    { 0x81B3, "tower_firefighter" },
    { 0x81B4, "tower_helicopter_flyover" },
    { 0x81B5, "tower_hesh_help_wounded" },
    { 0x81B6, "tower_hesh_wave" },
    { 0x81B7, "tower_hind_targetplayer" },
    { 0x81B8, "tower_init" },
    { 0x81B9, "tower_inside_hurt_guys" },
    { 0x81BA, "tower_main" },
    { 0x81BB, "tower_mortar_allow_target_ai" },
    { 0x81BC, "tower_mortars_target_ai" },
    { 0x81BD, "tower_nh90_guys" },
    { 0x81BE, "tower_pickup_b" },
    { 0x81BF, "tower_radio" },
    { 0x81C0, "tower_radio_damage_watch" },
    { 0x81C1, "tower_radio_sounds" },
    { 0x81C2, "tower_rappel_nh90" },
    { 0x81C3, "tower_redshirt" },
    { 0x81C4, "tower_redshirt_setup" },
    { 0x81C5, "tower_retreat_hind" },
    { 0x81C6, "tower_retreat_mortar_kill_player" },
    { 0x81C7, "tower_retreat_mortars" },
    { 0x81C8, "tower_retreat_mortars_hit" },
    { 0x81C9, "tower_retreat_sequence" },
    { 0x81CA, "tower_retreaters" },
    { 0x81CB, "tower_sprinker_screeneffect" },
    { 0x81CC, "tower_tapglass_scene" },
    { 0x81CD, "tower_to_bridge_deploy" },
    { 0x81CE, "tower_to_bridge_deploy_bink" },
    { 0x81CF, "tower_vista_retreat_tank" },
    { 0x81D0, "tower_windows" },
    { 0x81D1, "tower_wreckage" },
    { 0x81D2, "towerhind" },
    { 0x81D3, "town_car" },
    { 0x81D4, "town_intro_precache" },
    { 0x81D5, "toy_model" },
    { 0x81D6, "toy_tvs_flatscreen" },
    { 0x81D7, "toy_tvs_flatscreen_cinematic" },
    { 0x81D8, "toy_tvs_flatscreen_sturdy" },
    { 0x81D9, "trace" },
    { 0x81DA, "trace_fx" },
    { 0x81DB, "trace_length" },
    { 0x81DC, "trace_part_for_efx" },
    { 0x81DD, "trace_part_for_efx_cancel" },
    { 0x81DE, "trace_to_forward" },
    { 0x81DF, "tracefx" },
    { 0x81E0, "tracefx_on_tag" },
    { 0x81E1, "tracegroundpoint" },
    { 0x81E2, "tracelocation" },
    { 0x81E3, "tracenewpoint" },
    { 0x81E4, "traceshow" },
    { 0x81E5, "tracestart" },
    { 0x81E6, "track" },
    { 0x81E7, "track_ai" },
    { 0x81E8, "track_concussion_grenade" },
    { 0x81E9, "track_death" },
    { 0x81EA, "track_deployables" },
    { 0x81EB, "track_distance_from_friendlies" },
    { 0x81EC, "track_dog_attacks" },
    { 0x81ED, "track_dud" },
    { 0x81EE, "track_enemy" },
    { 0x81EF, "track_entered_vehicle" },
    { 0x81F0, "track_fuel_leak_hit" },
    { 0x81F1, "track_gren" },
    { 0x81F2, "track_hiding_think" },
    { 0x81F3, "track_hint_down" },
    { 0x81F4, "track_hint_sprint" },
    { 0x81F5, "track_hint_up" },
    { 0x81F6, "track_lcs_targets" },
    { 0x81F7, "track_left_stick" },
    { 0x81F8, "track_live" },
    { 0x81F9, "track_odin_down" },
    { 0x81FA, "track_odin_up" },
    { 0x81FB, "track_origin" },
    { 0x81FC, "track_percent_accuracy_shots_fired" },
    { 0x81FD, "track_percent_accuracy_shots_fired_internal" },
    { 0x81FE, "track_player_bark" },
    { 0x81FF, "track_player_direction" },
    { 0x8200, "track_player_direction_mig" },
    { 0x8201, "track_player_for_time" },
    { 0x8202, "track_player_hiding" },
    { 0x8203, "track_player_progress" },
    { 0x8204, "track_progress" },
    { 0x8205, "track_right_stick" },
    { 0x8206, "track_semtex_grenade" },
    { 0x8207, "track_shark_flag" },
    { 0x8208, "track_shark_warning" },
    { 0x8209, "track_sharks" },
    { 0x820A, "track_show_hide" },
    { 0x820B, "track_support" },
    { 0x820C, "track_survived_time" },
    { 0x820D, "track_teargas" },
    { 0x820E, "track_underwater_melee_achievement" },
    { 0x820F, "track_underwater_melee_achievement_ai" },
    { 0x8210, "trackattackerleaderboarddeathstats" },
    { 0x8211, "trackcarepackages" },
    { 0x8212, "trackcarrier" },
    { 0x8213, "trackfreeplayedtime" },
    { 0x8214, "trackgrenades" },
    { 0x8215, "trackhostmigrationend" },
    { 0x8216, "tracking" },
    { 0x8217, "tracking_time_start" },
    { 0x8218, "trackingweapondeaths" },
    { 0x8219, "trackingweaponheadshots" },
    { 0x821A, "trackingweaponhits" },
    { 0x821B, "trackingweaponkills" },
    { 0x821C, "trackingweaponname" },
    { 0x821D, "trackingweaponshots" },
    { 0x821E, "tracklaststandchanges" },
    { 0x821F, "trackleaderboarddeathstats" },
    { 0x8220, "tracklist" },
    { 0x8221, "trackloop" },
    { 0x8222, "trackloop_anglesfornoshootpos" },
    { 0x8223, "trackloop_clampangles" },
    { 0x8224, "trackloop_cqbshootpos" },
    { 0x8225, "trackloop_getdesiredangles" },
    { 0x8226, "trackloop_setanimweights" },
    { 0x8227, "trackmissiles" },
    { 0x8228, "trackplayedtime" },
    { 0x8229, "trackriotshield" },
    { 0x822A, "trackshootentorpos" },
    { 0x822B, "trackstate" },
    { 0x822C, "trackteamchanges" },
    { 0x822D, "trail_fx" },
    { 0x822E, "trailtag_sphere" },
    { 0x822F, "trailwait" },
    { 0x8230, "train" },
    { 0x8231, "train_build" },
    { 0x8232, "train_car" },
    { 0x8233, "train_car_fall" },
    { 0x8234, "train_car_tag_origin" },
    { 0x8235, "train_factor_explosion_time_offset_weight_dir" },
    { 0x8236, "train_get_next_path" },
    { 0x8237, "train_impact_player_effcts" },
    { 0x8238, "train_leaving" },
    { 0x8239, "train_nag" },
    { 0x823A, "train_new_sus_path_anims" },
    { 0x823B, "train_overlay" },
    { 0x823C, "train_overlay_auto_restart" },
    { 0x823D, "train_overlay_cleanup" },
    { 0x823E, "train_overlay_solo" },
    { 0x823F, "train_path" },
    { 0x8240, "train_pathing" },
    { 0x8241, "train_quake" },
    { 0x8242, "train_quake_proc" },
    { 0x8243, "train_quake_tele_check" },
    { 0x8244, "train_queue_path_anim" },
    { 0x8245, "train_queue_path_anim_loop" },
    { 0x8246, "train_queue_path_anims" },
    { 0x8247, "train_rail_sfx_ents" },
    { 0x8248, "train_setup_teleport_triggers" },
    { 0x8249, "train_sync_end_stop_anim" },
    { 0x824A, "train_tele_trig_proc" },
    { 0x824B, "train_teleport" },
    { 0x824C, "train_wheel_anims" },
    { 0x824D, "train_wind01_sfx_ents" },
    { 0x824E, "train_wind02_sfx_ents" },
    { 0x824F, "trains" },
    { 0x8250, "trains_move" },
    { 0x8251, "trains_periph_logic" },
    { 0x8252, "trajectoryactive" },
    { 0x8253, "trans_talker" },
    { 0x8254, "trans_talker_runoff" },
    { 0x8255, "transfer_grenade_ownership" },
    { 0x8256, "transfer_to_new_terminal" },
    { 0x8257, "transform_posrot" },
    { 0x8258, "transient_init" },
    { 0x8259, "transient_load" },
    { 0x825A, "transient_load_outro" },
    { 0x825B, "transient_switch" },
    { 0x825C, "transient_switch_to_end" },
    { 0x825D, "transient_unload" },
    { 0x825E, "transient_unloadall_and_load" },
    { 0x825F, "transindex" },
    { 0x8260, "transition_stance_cover" },
    { 0x8261, "transition_start_anim" },
    { 0x8262, "transition_static" },
    { 0x8263, "transition_to_stealth_1" },
    { 0x8264, "transition_to_stealth_1_glint_off" },
    { 0x8265, "transition_to_tunnel" },
    { 0x8266, "transitionfadein" },
    { 0x8267, "transitionfadeout" },
    { 0x8268, "transitionlightcolor" },
    { 0x8269, "transitionpulsefxin" },
    { 0x826A, "transitionreset" },
    { 0x826B, "transitions" },
    { 0x826C, "transitionslidein" },
    { 0x826D, "transitionslideout" },
    { 0x826E, "transitiontime" },
    { 0x826F, "transitionto" },
    { 0x8270, "transitiontocombat" },
    { 0x8271, "transitiontoidle" },
    { 0x8272, "transitiontostance" },
    { 0x8273, "transitionzoomin" },
    { 0x8274, "transitionzoomout" },
    { 0x8275, "translate_local" },
    { 0x8276, "translate_local_on_ent" },
    { 0x8277, "translate_off_edge" },
    { 0x8278, "trap_activator" },
    { 0x8279, "trap_active_watch" },
    { 0x827A, "trap_add_type" },
    { 0x827B, "trap_angles_clamp_180" },
    { 0x827C, "trap_bbprint" },
    { 0x827D, "trap_cage_activate" },
    { 0x827E, "trap_cage_init" },
    { 0x827F, "trap_can_player_trigger" },
    { 0x8280, "trap_common_mover_init" },
    { 0x8281, "trap_cost_scalar" },
    { 0x8282, "trap_damage_scalar" },
    { 0x8283, "trap_delete_visuals" },
    { 0x8284, "trap_do_owner_damage" },
    { 0x8285, "trap_duration_scalar" },
    { 0x8286, "trap_explosive_activate" },
    { 0x8287, "trap_explosive_init" },
    { 0x8288, "trap_get_init_func" },
    { 0x8289, "trap_get_launch_dir" },
    { 0x828A, "trap_get_set_hint_text" },
    { 0x828B, "trap_get_set_use_text" },
    { 0x828C, "trap_get_set_use_time" },
    { 0x828D, "trap_get_target" },
    { 0x828E, "trap_get_targets" },
    { 0x828F, "trap_get_unset_hint_text" },
    { 0x8290, "trap_get_unset_use_text" },
    { 0x8291, "trap_get_unset_use_time" },
    { 0x8292, "trap_icons_handle_team_changes" },
    { 0x8293, "trap_init" },
    { 0x8294, "trap_kill_trigger_start" },
    { 0x8295, "trap_kill_trigger_stop" },
    { 0x8296, "trap_last_state_time" },
    { 0x8297, "trap_launcher_activate" },
    { 0x8298, "trap_launcher_debris" },
    { 0x8299, "trap_launcher_debris_run" },
    { 0x829A, "trap_launcher_init" },
    { 0x829B, "trap_launcher_pre_set" },
    { 0x829C, "trap_launcher_reset" },
    { 0x829D, "trap_mover_to_position" },
    { 0x829E, "trap_mover_to_position_speed" },
    { 0x829F, "trap_onuse" },
    { 0x82A0, "trap_owner" },
    { 0x82A1, "trap_owner_set" },
    { 0x82A2, "trap_owner_watch" },
    { 0x82A3, "trap_pit_activate" },
    { 0x82A4, "trap_pit_init" },
    { 0x82A5, "trap_player_pushed" },
    { 0x82A6, "trap_run" },
    { 0x82A7, "trap_run_activate_trigger" },
    { 0x82A8, "trap_run_func_with_target_type" },
    { 0x82A9, "trap_run_set_icon" },
    { 0x82AA, "trap_run_show_when_set" },
    { 0x82AB, "trap_run_show_with_perk" },
    { 0x82AC, "trap_run_use_icon" },
    { 0x82AD, "trap_set_can_use" },
    { 0x82AE, "trap_set_state" },
    { 0x82AF, "trap_shock" },
    { 0x82B0, "trap_state" },
    { 0x82B1, "trap_state_funcs" },
    { 0x82B2, "trap_swing_activate" },
    { 0x82B3, "trap_swing_init" },
    { 0x82B4, "trap_swing_set_next_pos" },
    { 0x82B5, "trap_target_check" },
    { 0x82B6, "trap_targets" },
    { 0x82B7, "trap_type" },
    { 0x82B8, "trap_types" },
    { 0x82B9, "trap_unresolved_collision" },
    { 0x82BA, "trap_use_trigger_init" },
    { 0x82BB, "trap_use_trigger_oneuse" },
    { 0x82BC, "trap_use_trigger_update_can_use" },
    { 0x82BD, "trap_use_trigger_update_text" },
    { 0x82BE, "trap_use_watch" },
    { 0x82BF, "trap_void" },
    { 0x82C0, "trap_warning" },
    { 0x82C1, "traps" },
    { 0x82C2, "traps_init" },
    { 0x82C3, "traps_precache" },
    { 0x82C4, "traps_watch_player_connect" },
    { 0x82C5, "travel_view_fx" },
    { 0x82C6, "traveltonode" },
    { 0x82C7, "traversal_hack" },
    { 0x82C8, "traversalstartfromidle" },
    { 0x82C9, "traverse_allow_death" },
    { 0x82CA, "traverse_blend_link" },
    { 0x82CB, "traverse_height" },
    { 0x82CC, "traverse_height_delta" },
    { 0x82CD, "traverse_nodes" },
    { 0x82CE, "traverseanim" },
    { 0x82CF, "traverseanimlerp" },
    { 0x82D0, "traverseanimroot" },
    { 0x82D1, "traverseclimbdownlerp" },
    { 0x82D2, "traverseclimbuplerp" },
    { 0x82D3, "traversecomplete" },
    { 0x82D4, "traversedata" },
    { 0x82D5, "traversedeath" },
    { 0x82D6, "traversedeathanim" },
    { 0x82D7, "traversedeathindex" },
    { 0x82D8, "traversefall" },
    { 0x82D9, "traverseheight" },
    { 0x82DA, "traverseinfo" },
    { 0x82DB, "traversestartnode" },
    { 0x82DC, "traversestartz" },
    { 0x82DD, "traversethink" },
    { 0x82DE, "traversetype" },
    { 0x82DF, "tread" },
    { 0x82E0, "tread_override_thread" },
    { 0x82E1, "tread_wait" },
    { 0x82E2, "treadfx_freq_scale" },
    { 0x82E3, "treadfx_maxheight" },
    { 0x82E4, "treadfx_override" },
    { 0x82E5, "treadfx_override_aas" },
    { 0x82E6, "treadfx_override_nh90" },
    { 0x82E7, "treadfx_override_silenthawk" },
    { 0x82E8, "treadfx_override_y_8_gunship" },
    { 0x82E9, "tree" },
    { 0x82EA, "tree_bridge_damage_watch" },
    { 0x82EB, "tree_bridge_init" },
    { 0x82EC, "tree_bridge_run" },
    { 0x82ED, "tree_bridges" },
    { 0x82EE, "tree_delete" },
    { 0x82EF, "tree_hop_human" },
    { 0x82F0, "tree_pitch" },
    { 0x82F1, "tree_sway" },
    { 0x82F2, "trench_artemis" },
    { 0x82F3, "trench_artemis_friendlies" },
    { 0x82F4, "trench_artemis_guy" },
    { 0x82F5, "trench_beach_allies_ambient" },
    { 0x82F6, "trench_beach_allies_ambient_off" },
    { 0x82F7, "trench_beach_axis_ambient" },
    { 0x82F8, "trench_beach_axis_ambient_off" },
    { 0x82F9, "trench_beach_hovercrafts" },
    { 0x82FA, "trench_boat_think" },
    { 0x82FB, "trench_chargers" },
    { 0x82FC, "trench_chargers_think" },
    { 0x82FD, "trench_custom_mortars" },
    { 0x82FE, "trench_death_warning" },
    { 0x82FF, "trench_drowning" },
    { 0x8300, "trench_enemy_nest_ai" },
    { 0x8301, "trench_first_nh90_lander" },
    { 0x8302, "trench_friendly_orange_guy" },
    { 0x8303, "trench_hovercraft_a10" },
    { 0x8304, "trench_hovercraft_over_moment" },
    { 0x8305, "trench_hovercraft_over_moment_stumblers" },
    { 0x8306, "trench_hovercraft_side_sand" },
    { 0x8307, "trench_hovercraft_side_sand_fx" },
    { 0x8308, "trench_intel_drop" },
    { 0x8309, "trench_lcs_crashing" },
    { 0x830A, "trench_light_flicker" },
    { 0x830B, "trench_main_friendlies" },
    { 0x830C, "trench_main_friendlies_respawner_logic" },
    { 0x830D, "trench_run_dialogue" },
    { 0x830E, "trench_smash_death" },
    { 0x830F, "trench_spawn_functions" },
    { 0x8310, "trench_sprint_hint" },
    { 0x8311, "trench_stay_close_1" },
    { 0x8312, "trench_stay_close_2" },
    { 0x8313, "trench_things_crashing" },
    { 0x8314, "trench_tower_explode" },
    { 0x8315, "trench_tower_explode_missiles" },
    { 0x8316, "trench_tower_explosion_scene" },
    { 0x8317, "trench_tower_hind" },
    { 0x8318, "trench_tower_hind_gopath" },
    { 0x8319, "trench_tower_hind_leave" },
    { 0x831A, "trench_tower_hind_pathlogic" },
    { 0x831B, "trench_tower_hind_targetent" },
    { 0x831C, "trench_wakeup" },
    { 0x831D, "trenches_combat_right_path" },
    { 0x831E, "trenchsmokespotent" },
    { 0x831F, "trickle_spawn" },
    { 0x8320, "trig" },
    { 0x8321, "trig_active_on_look" },
    { 0x8322, "trig_disable_cqb" },
    { 0x8323, "trig_enable_cqb" },
    { 0x8324, "trig_stairs_proc" },
    { 0x8325, "trig_stairs_setup" },
    { 0x8326, "trig_watcher" },
    { 0x8327, "trig_watcher_off" },
    { 0x8328, "trigblock" },
    { 0x8329, "trigblockname" },
    { 0x832A, "trigger_activate_targetname_safe" },
    { 0x832B, "trigger_animate" },
    { 0x832C, "trigger_autosave" },
    { 0x832D, "trigger_autosave_immediate" },
    { 0x832E, "trigger_autosave_stealth" },
    { 0x832F, "trigger_autosave_tactical" },
    { 0x8330, "trigger_battlechatter" },
    { 0x8331, "trigger_body" },
    { 0x8332, "trigger_cansee" },
    { 0x8333, "trigger_createart_transient" },
    { 0x8334, "trigger_damage_car" },
    { 0x8335, "trigger_damage_player_flag_set" },
    { 0x8336, "trigger_debris_bridge_water" },
    { 0x8337, "trigger_delete_link_chain" },
    { 0x8338, "trigger_delete_on_touch" },
    { 0x8339, "trigger_delete_target_chain" },
    { 0x833A, "trigger_depth_charges" },
    { 0x833B, "trigger_disable_on_jump" },
    { 0x833C, "trigger_door" },
    { 0x833D, "trigger_dooropen" },
    { 0x833E, "trigger_enablelinkto" },
    { 0x833F, "trigger_enemy_spawn" },
    { 0x8340, "trigger_enemy_spawn_in_order" },
    { 0x8341, "trigger_fish_school" },
    { 0x8342, "trigger_flag_clear" },
    { 0x8343, "trigger_flag_on_cleared" },
    { 0x8344, "trigger_flag_set" },
    { 0x8345, "trigger_flag_set_coop" },
    { 0x8346, "trigger_flag_set_player" },
    { 0x8347, "trigger_flag_set_specialops" },
    { 0x8348, "trigger_flag_set_specialops_clear" },
    { 0x8349, "trigger_flag_set_touching" },
    { 0x834A, "trigger_flags" },
    { 0x834B, "trigger_fog" },
    { 0x834C, "trigger_friendly_respawn" },
    { 0x834D, "trigger_friendly_stop_respawn" },
    { 0x834E, "trigger_func" },
    { 0x834F, "trigger_functions" },
    { 0x8350, "trigger_fx" },
    { 0x8351, "trigger_glass_break" },
    { 0x8352, "trigger_group" },
    { 0x8353, "trigger_group_remove" },
    { 0x8354, "trigger_heli_staircase" },
    { 0x8355, "trigger_heli_wait" },
    { 0x8356, "trigger_hint" },
    { 0x8357, "trigger_hint_func" },
    { 0x8358, "trigger_hint_string" },
    { 0x8359, "trigger_hurt" },
    { 0x835A, "trigger_ignore" },
    { 0x835B, "trigger_int_building_hit_01_wait" },
    { 0x835C, "trigger_int_building_hit_02_wait" },
    { 0x835D, "trigger_int_building_hits" },
    { 0x835E, "trigger_interior_detect" },
    { 0x835F, "trigger_issues_orders" },
    { 0x8360, "trigger_kill_gazs" },
    { 0x8361, "trigger_land" },
    { 0x8362, "trigger_list" },
    { 0x8363, "trigger_lookat" },
    { 0x8364, "trigger_lookat_think" },
    { 0x8365, "trigger_looking" },
    { 0x8366, "trigger_missile_launcher_aim_flag" },
    { 0x8367, "trigger_moveto" },
    { 0x8368, "trigger_multiple_audio_blend" },
    { 0x8369, "trigger_multiple_audio_progress" },
    { 0x836A, "trigger_multiple_audio_progress_point" },
    { 0x836B, "trigger_multiple_audio_trigger" },
    { 0x836C, "trigger_multiple_compass" },
    { 0x836D, "trigger_multiple_depthoffield" },
    { 0x836E, "trigger_multiple_fx_trigger_off_think" },
    { 0x836F, "trigger_multiple_fx_trigger_on_think" },
    { 0x8370, "trigger_multiple_fx_volume" },
    { 0x8371, "trigger_multiple_fx_volume_off_target" },
    { 0x8372, "trigger_multiple_fx_watersheeting" },
    { 0x8373, "trigger_multiple_sunflare" },
    { 0x8374, "trigger_multiple_visionset" },
    { 0x8375, "trigger_named_and_turn_off_prior" },
    { 0x8376, "trigger_no_crouch_or_prone" },
    { 0x8377, "trigger_no_prone" },
    { 0x8378, "trigger_nobloodpool" },
    { 0x8379, "trigger_off" },
    { 0x837A, "trigger_off_proc" },
    { 0x837B, "trigger_on" },
    { 0x837C, "trigger_on_ai_group_size" },
    { 0x837D, "trigger_on_proc" },
    { 0x837E, "trigger_origin" },
    { 0x837F, "trigger_pacifist" },
    { 0x8380, "trigger_parse_parameters" },
    { 0x8381, "trigger_physics" },
    { 0x8382, "trigger_player_jum_wait" },
    { 0x8383, "trigger_player_jumpdown_wait" },
    { 0x8384, "trigger_player_mall_rooftop" },
    { 0x8385, "trigger_playerseek" },
    { 0x8386, "trigger_pool_spawners" },
    { 0x8387, "trigger_process" },
    { 0x8388, "trigger_process_optimized" },
    { 0x8389, "trigger_process_set" },
    { 0x838A, "trigger_qte_prompt_check" },
    { 0x838B, "trigger_radio" },
    { 0x838C, "trigger_radius_damage" },
    { 0x838D, "trigger_radius_push" },
    { 0x838E, "trigger_reinforcement_get_reinforcement_spawner" },
    { 0x838F, "trigger_reinforcement_spawn_guys" },
    { 0x8390, "trigger_requires_player" },
    { 0x8391, "trigger_reset" },
    { 0x8392, "trigger_restore_dvars" },
    { 0x8393, "trigger_runs_function_on_touch" },
    { 0x8394, "trigger_script_flag_false" },
    { 0x8395, "trigger_script_flag_true" },
    { 0x8396, "trigger_show" },
    { 0x8397, "trigger_slide" },
    { 0x8398, "trigger_sort_and_attach" },
    { 0x8399, "trigger_spawn" },
    { 0x839A, "trigger_spawner" },
    { 0x839B, "trigger_spawner_reinforcement" },
    { 0x839C, "trigger_spawner_spawns_guys" },
    { 0x839D, "trigger_spawngroup" },
    { 0x839E, "trigger_splash_wet" },
    { 0x839F, "trigger_sun_off" },
    { 0x83A0, "trigger_sun_on" },
    { 0x83A1, "trigger_targeted" },
    { 0x83A2, "trigger_targeted_mortars" },
    { 0x83A3, "trigger_threads_after_chaos" },
    { 0x83A4, "trigger_throw_grenade_at_player" },
    { 0x83A5, "trigger_turns_off" },
    { 0x83A6, "trigger_unlock" },
    { 0x83A7, "trigger_unlock_death" },
    { 0x83A8, "trigger_vehicle_getin_spawn" },
    { 0x83A9, "trigger_vehicle_spawn" },
    { 0x83AA, "trigger_vehicle_spline_spawn" },
    { 0x83AB, "trigger_vo_in_combat" },
    { 0x83AC, "trigger_volume_think" },
    { 0x83AD, "trigger_wait" },
    { 0x83AE, "trigger_wait_damage" },
    { 0x83AF, "trigger_wait_retreat" },
    { 0x83B0, "trigger_wait_targetname" },
    { 0x83B1, "trigger_warehouse_door_burst" },
    { 0x83B2, "trigger_warehouse_hallway_vo" },
    { 0x83B3, "trigger_wave2" },
    { 0x83B4, "trigger_wave3" },
    { 0x83B5, "trigger_wave_3_during_moving_cover" },
    { 0x83B6, "trigger_wing_guys" },
    { 0x83B7, "triggered" },
    { 0x83B8, "triggerheight" },
    { 0x83B9, "triggerhintstring" },
    { 0x83BA, "triggerradius" },
    { 0x83BB, "triggers" },
    { 0x83BC, "triggers_on_fingers_vo" },
    { 0x83BD, "triggertouchthink" },
    { 0x83BE, "triggertype" },
    { 0x83BF, "triggerunlocked" },
    { 0x83C0, "trigs" },
    { 0x83C1, "trim_decimal_points" },
    { 0x83C2, "trimkillcamtime" },
    { 0x83C3, "troll_stairs_trigger" },
    { 0x83C4, "troop_cache" },
    { 0x83C5, "troop_cache_update_next" },
    { 0x83C6, "trophy_getprotectiondistance" },
    { 0x83C7, "trophy_grenadeiskillstreakmissile" },
    { 0x83C8, "trophy_tutorial_given" },
    { 0x83C9, "trophyactive" },
    { 0x83CA, "trophydamage" },
    { 0x83CB, "trophydisconnectwaiter" },
    { 0x83CC, "trophyhandledeathdamage" },
    { 0x83CD, "trophymodifydamage" },
    { 0x83CE, "trophyplayerspawnwaiter" },
    { 0x83CF, "trophyremainingammo" },
    { 0x83D0, "trophyused" },
    { 0x83D1, "trophyuselistener" },
    { 0x83D2, "trophywaitfordetonation" },
    { 0x83D3, "truck" },
    { 0x83D4, "truck_anims" },
    { 0x83D5, "truck_bash_guys" },
    { 0x83D6, "truck_bash_moment" },
    { 0x83D7, "truck_broke_glass" },
    { 0x83D8, "truck_exploder_start_driving" },
    { 0x83D9, "truck_flip_moment" },
    { 0x83DA, "truck_pathblockers" },
    { 0x83DB, "truck_player_arms" },
    { 0x83DC, "truck_rumble" },
    { 0x83DD, "truck_start_driving" },
    { 0x83DE, "truck_starts_up" },
    { 0x83DF, "truck_turret_fail" },
    { 0x83E0, "truckjunk" },
    { 0x83E1, "truckjunk_dyn" },
    { 0x83E2, "truecount" },
    { 0x83E3, "try_clear_hide_goal" },
    { 0x83E4, "try_drop_loot" },
    { 0x83E5, "try_exausting_location" },
    { 0x83E6, "try_forever_spawn" },
    { 0x83E7, "try_leap_melee" },
    { 0x83E8, "try_move_side" },
    { 0x83E9, "try_place_global_badplace" },
    { 0x83EA, "try_preliminary_swipes" },
    { 0x83EB, "try_slide_hint" },
    { 0x83EC, "try_take_player_currency" },
    { 0x83ED, "try_take_player_points" },
    { 0x83EE, "try_to_autosave_now" },
    { 0x83EF, "try_to_draw_line_to_node" },
    { 0x83F0, "try_to_give_player_explosives" },
    { 0x83F1, "try_to_give_player_flares" },
    { 0x83F2, "try_to_give_player_the_leash" },
    { 0x83F3, "try_to_give_player_trophy" },
    { 0x83F4, "try_to_melee_player" },
    { 0x83F5, "tryadddeathanim" },
    { 0x83F6, "tryaddfiringdeathanim" },
    { 0x83F7, "tryattach" },
    { 0x83F8, "tryautosave" },
    { 0x83F9, "trycornerrightgrenadedeath" },
    { 0x83FA, "trydive" },
    { 0x83FB, "trydodge" },
    { 0x83FC, "trydodgewithanim" },
    { 0x83FD, "tryexposedreacquire" },
    { 0x83FE, "tryexposedthrowgrenade" },
    { 0x83FF, "trygivehordeweapon" },
    { 0x8400, "trygrenade" },
    { 0x8401, "trygrenadeposproc" },
    { 0x8402, "trygrenadethrow" },
    { 0x8403, "trymelee" },
    { 0x8404, "tryorderto" },
    { 0x8405, "tryrunningtoenemy" },
    { 0x8406, "trythrowinggrenade" },
    { 0x8407, "trythrowinggrenadestayhidden" },
    { 0x8408, "trytogetoutofdangeroussituation" },
    { 0x8409, "tryuse" },
    { 0x840A, "tryuse3dping" },
    { 0x840B, "tryuse_dpad_airstrike" },
    { 0x840C, "tryuse_dpad_backup_buddy" },
    { 0x840D, "tryuse_dpad_death_machine" },
    { 0x840E, "tryuse_dpad_death_machine_internal" },
    { 0x840F, "tryuse_dpad_glsentry" },
    { 0x8410, "tryuse_dpad_ims" },
    { 0x8411, "tryuse_dpad_minigun_turret" },
    { 0x8412, "tryuse_dpad_predator" },
    { 0x8413, "tryuse_dpad_riotshield" },
    { 0x8414, "tryuse_dpad_riotshield_internal" },
    { 0x8415, "tryuse_dpad_sentry" },
    { 0x8416, "tryuse_dpad_team_adrenaline" },
    { 0x8417, "tryuse_dpad_team_ammo" },
    { 0x8418, "tryuse_dpad_team_armor" },
    { 0x8419, "tryuse_dpad_team_boost" },
    { 0x841A, "tryuse_dpad_team_currency" },
    { 0x841B, "tryuse_dpad_team_explosives" },
    { 0x841C, "tryuse_dpad_team_randombox" },
    { 0x841D, "tryuse_dpad_team_specialammo" },
    { 0x841E, "tryuse_dpad_team_specialammo_ap" },
    { 0x841F, "tryuse_dpad_team_specialammo_explo" },
    { 0x8420, "tryuse_dpad_team_specialammo_in" },
    { 0x8421, "tryuse_dpad_war_machine" },
    { 0x8422, "tryuse_dpad_war_machine_internal" },
    { 0x8423, "tryuseaalauncher" },
    { 0x8424, "tryuseaamissile" },
    { 0x8425, "tryuseaastrike" },
    { 0x8426, "tryuseac130" },
    { 0x8427, "tryuseairdrop" },
    { 0x8428, "tryuseairstrike" },
    { 0x8429, "tryuseallperks" },
    { 0x842A, "tryuseautosentry" },
    { 0x842B, "tryuseautoshotgun" },
    { 0x842C, "tryuseballdrone" },
    { 0x842D, "tryusedeployable" },
    { 0x842E, "tryusedeployableammo" },
    { 0x842F, "tryusedeployablecurrency" },
    { 0x8430, "tryusedeployablegrenades" },
    { 0x8431, "tryusedeployablejuiced" },
    { 0x8432, "tryusedeployablerandombox" },
    { 0x8433, "tryusedeployablespecialammo" },
    { 0x8434, "tryusedeployablevest" },
    { 0x8435, "tryusedog" },
    { 0x8436, "tryusedronehive" },
    { 0x8437, "tryuseescortairdrop" },
    { 0x8438, "tryusehashimamissiles" },
    { 0x8439, "tryusehelicopter" },
    { 0x843A, "tryusehelipilot" },
    { 0x843B, "tryusehelisniper" },
    { 0x843C, "tryusehighvaluetarget" },
    { 0x843D, "tryuseims" },
    { 0x843E, "tryuselasedstrike" },
    { 0x843F, "tryuselbflock" },
    { 0x8440, "tryuselbsupport" },
    { 0x8441, "tryusemobilemortar" },
    { 0x8442, "tryusenuke" },
    { 0x8443, "tryuseodin" },
    { 0x8444, "tryuseospreygunner" },
    { 0x8445, "tryuseperkstreak" },
    { 0x8446, "tryuseplaceable" },
    { 0x8447, "tryusepredatormissile" },
    { 0x8448, "tryusereconsquadmate" },
    { 0x8449, "tryuserefillammo" },
    { 0x844A, "tryuserefillgrenades" },
    { 0x844B, "tryuseregenfaster" },
    { 0x844C, "tryuseremotemgturret" },
    { 0x844D, "tryuseremotemortar" },
    { 0x844E, "tryuseremotetank" },
    { 0x844F, "tryuseremoteturret" },
    { 0x8450, "tryuseremoteuav" },
    { 0x8451, "tryusesam" },
    { 0x8452, "tryusesnowsatellite" },
    { 0x8453, "tryusesovereigngas" },
    { 0x8454, "tryusespeedboost" },
    { 0x8455, "tryusesquadmate" },
    { 0x8456, "tryusestrike" },
    { 0x8457, "tryusetank" },
    { 0x8458, "tryuseteamammorefill" },
    { 0x8459, "tryusethumper" },
    { 0x845A, "tryuseuav" },
    { 0x845B, "tryuseuplink" },
    { 0x845C, "tryusevanguard" },
    { 0x845D, "tryusewarhawkmortars" },
    { 0x845E, "tryusingsidearm" },
    { 0x845F, "tube_rip_sequence" },
    { 0x8460, "tugger_closeup" },
    { 0x8461, "tugger_events" },
    { 0x8462, "tugger_hookup" },
    { 0x8463, "tugger_jet_taxi" },
    { 0x8464, "tunnel_behavior" },
    { 0x8465, "tunnel_convoy" },
    { 0x8466, "tunnel_dialogue" },
    { 0x8467, "tunnel_door" },
    { 0x8468, "tunnel_door_clip" },
    { 0x8469, "tunnel_door_scene" },
    { 0x846A, "tunnel_enter" },
    { 0x846B, "tunnel_exit_dialogue" },
    { 0x846C, "tunnel_exit_jeeps" },
    { 0x846D, "tunnel_guys_exit_think" },
    { 0x846E, "tunnel_guys_think" },
    { 0x846F, "tunnel_idle_guys" },
    { 0x8470, "tunnel_kill_dog" },
    { 0x8471, "tunnel_lights" },
    { 0x8472, "tunnel_lights_engineroom" },
    { 0x8473, "tunnel_new" },
    { 0x8474, "tunnel_pipe_fall" },
    { 0x8475, "tunnel_pipe_logic" },
    { 0x8476, "tunnel_pipe_quake" },
    { 0x8477, "tunnel_pipe_sway" },
    { 0x8478, "tunnel_pipe_trigger" },
    { 0x8479, "tunnel_pipe_trigger_fall" },
    { 0x847A, "tunnel_player_jump_trigger" },
    { 0x847B, "tunnel_slide" },
    { 0x847C, "tunnel_spotted" },
    { 0x847D, "tunnel_spotted_kill" },
    { 0x847E, "tunnel_spotted_trigger" },
    { 0x847F, "tunnel_tank_crush" },
    { 0x8480, "tunnel_vehicle_think" },
    { 0x8481, "tunnel_vehix_sounds" },
    { 0x8482, "tunnel_vehix_stop_sounds" },
    { 0x8483, "turbangles" },
    { 0x8484, "turbine_fail_node" },
    { 0x8485, "turbulence" },
    { 0x8486, "turbulence_loop" },
    { 0x8487, "turn_180_move_start_func" },
    { 0x8488, "turn_effects_on" },
    { 0x8489, "turn_engine_off_on_spawn" },
    { 0x848A, "turn_exit_trigger_on" },
    { 0x848B, "turn_left" },
    { 0x848C, "turn_lights_off" },
    { 0x848D, "turn_off_bm21_2_underwater_lights_fx" },
    { 0x848E, "turn_off_cold_breath_fx" },
    { 0x848F, "turn_off_combat_two_triggers" },
    { 0x8490, "turn_off_cqb_if_player_too_far_forward" },
    { 0x8491, "turn_off_gas_fx" },
    { 0x8492, "turn_off_gaztiger_underwater_lights_fx" },
    { 0x8493, "turn_off_glint_when_player_looks" },
    { 0x8494, "turn_off_lean" },
    { 0x8495, "turn_off_nodes" },
    { 0x8496, "turn_off_oil_derrick_lightsfx" },
    { 0x8497, "turn_off_player_clip" },
    { 0x8498, "turn_off_rain_fx" },
    { 0x8499, "turn_off_refinery_buildup_fx_01" },
    { 0x849A, "turn_off_safety_clip" },
    { 0x849B, "turn_off_sniping" },
    { 0x849C, "turn_off_the_tanks_lights" },
    { 0x849D, "turn_off_trigger_on_notify" },
    { 0x849E, "turn_off_triggers_until_trigger" },
    { 0x849F, "turn_on_ally_tracker" },
    { 0x84A0, "turn_on_bm21_2_underwater_lights_fx" },
    { 0x84A1, "turn_on_bm21_underwater_bubble_fx" },
    { 0x84A2, "turn_on_bokeh_fieryflash_player_fx" },
    { 0x84A3, "turn_on_cold_breath_fx" },
    { 0x84A4, "turn_on_cold_breath_player_fx" },
    { 0x84A5, "turn_on_flarestack_fx" },
    { 0x84A6, "turn_on_gaztiger_underwater_bubble_fx" },
    { 0x84A7, "turn_on_gaztiger_underwater_lights_fx" },
    { 0x84A8, "turn_on_lights" },
    { 0x84A9, "turn_on_lnyx_treadfx" },
    { 0x84AA, "turn_on_node_once_player_advances" },
    { 0x84AB, "turn_on_oil_derrick_lightsfx" },
    { 0x84AC, "turn_on_snowmobile_treadfx" },
    { 0x84AD, "turn_on_tatra_treadfx" },
    { 0x84AE, "turn_on_the_tanks_lights" },
    { 0x84AF, "turn_on_vault_damage" },
    { 0x84B0, "turn_right" },
    { 0x84B1, "turn_thermal_off" },
    { 0x84B2, "turn_thermal_on" },
    { 0x84B3, "turn_unloading_drones_to_ai" },
    { 0x84B4, "turnanim" },
    { 0x84B5, "turnbackon" },
    { 0x84B6, "turningaimingoff" },
    { 0x84B7, "turningaimingon" },
    { 0x84B8, "turnlastresort" },
    { 0x84B9, "turnoff" },
    { 0x84BA, "turnoffvariablescopehud" },
    { 0x84BB, "turnonvariablescopehud" },
    { 0x84BC, "turnthreshold" },
    { 0x84BD, "turntime" },
    { 0x84BE, "turntoangle" },
    { 0x84BF, "turntofacerelativeyaw" },
    { 0x84C0, "turntomatchnode" },
    { 0x84C1, "turntomatchnodedirection" },
    { 0x84C2, "turntowardsentity" },
    { 0x84C3, "turntowardsvector" },
    { 0x84C4, "turret" },
    { 0x84C5, "turret2passenger_anime" },
    { 0x84C6, "turret_activate" },
    { 0x84C7, "turret_aim" },
    { 0x84C8, "turret_aim_restore" },
    { 0x84C9, "turret_aim_straight" },
    { 0x84CA, "turret_aiming_near_target" },
    { 0x84CB, "turret_ammo" },
    { 0x84CC, "turret_animate" },
    { 0x84CD, "turret_animfirstframe" },
    { 0x84CE, "turret_blinky_light" },
    { 0x84CF, "turret_burst_fire_at_ent" },
    { 0x84D0, "turret_cleanup" },
    { 0x84D1, "turret_cleanup_on_unload" },
    { 0x84D2, "turret_cooldown_monitor" },
    { 0x84D3, "turret_cooldownrate" },
    { 0x84D4, "turret_coolmonitor" },
    { 0x84D5, "turret_damage_max" },
    { 0x84D6, "turret_damage_min" },
    { 0x84D7, "turret_damage_range" },
    { 0x84D8, "turret_default_fire" },
    { 0x84D9, "turret_delete_aim_arrow" },
    { 0x84DA, "turret_deleteme" },
    { 0x84DB, "turret_down" },
    { 0x84DC, "turret_find_user" },
    { 0x84DD, "turret_fire_at_target" },
    { 0x84DE, "turret_fire_tag" },
    { 0x84DF, "turret_function" },
    { 0x84E0, "turret_get_angle_to_target" },
    { 0x84E1, "turret_gunner_custom_anim" },
    { 0x84E2, "turret_handledamage" },
    { 0x84E3, "turret_handledeath" },
    { 0x84E4, "turret_handleownerdisconnect" },
    { 0x84E5, "turret_handlepickup" },
    { 0x84E6, "turret_handleuse" },
    { 0x84E7, "turret_heat_and_cool" },
    { 0x84E8, "turret_heat_max" },
    { 0x84E9, "turret_heat_status" },
    { 0x84EA, "turret_heatmonitor" },
    { 0x84EB, "turret_impact" },
    { 0x84EC, "turret_incrementdamagefade" },
    { 0x84ED, "turret_init" },
    { 0x84EE, "turret_is_mine" },
    { 0x84EF, "turret_look_at_ent" },
    { 0x84F0, "turret_minigun_fire" },
    { 0x84F1, "turret_minigun_target_track" },
    { 0x84F2, "turret_monitoruse" },
    { 0x84F3, "turret_move" },
    { 0x84F4, "turret_moving" },
    { 0x84F5, "turret_oncarrierchangedteam" },
    { 0x84F6, "turret_oncarrierdeath" },
    { 0x84F7, "turret_oncarrierdisconnect" },
    { 0x84F8, "turret_ongameended" },
    { 0x84F9, "turret_overheat_bar" },
    { 0x84FA, "turret_overheat_cool" },
    { 0x84FB, "turret_overheat_monitor" },
    { 0x84FC, "turret_playerthread" },
    { 0x84FD, "turret_recenter" },
    { 0x84FE, "turret_reset" },
    { 0x84FF, "turret_rounds" },
    { 0x8500, "turret_set_default_on_mode" },
    { 0x8501, "turret_setactive" },
    { 0x8502, "turret_setcancelled" },
    { 0x8503, "turret_setcarried" },
    { 0x8504, "turret_setinactive" },
    { 0x8505, "turret_setplaced" },
    { 0x8506, "turret_shell_fx" },
    { 0x8507, "turret_shell_sound" },
    { 0x8508, "turret_shoot_targets" },
    { 0x8509, "turret_shotmonitor" },
    { 0x850A, "turret_spawn_aim_arrow" },
    { 0x850B, "turret_start_anim_wait" },
    { 0x850C, "turret_startfakefiring" },
    { 0x850D, "turret_startfiring" },
    { 0x850E, "turret_stopfiring" },
    { 0x850F, "turret_stun" },
    { 0x8510, "turret_switch_input_loop" },
    { 0x8511, "turret_target" },
    { 0x8512, "turret_target_updater" },
    { 0x8513, "turret_target_validate" },
    { 0x8514, "turret_think" },
    { 0x8515, "turret_timeout" },
    { 0x8516, "turret_too_slow_failsafe" },
    { 0x8517, "turret_track_rotatedirection" },
    { 0x8518, "turret_turnleft" },
    { 0x8519, "turret_update_ammocounter" },
    { 0x851A, "turret_update_rotatedirection" },
    { 0x851B, "turret_use_time" },
    { 0x851C, "turret_user_moves" },
    { 0x851D, "turret_waittill_damage" },
    { 0x851E, "turret_watchlowhealth" },
    { 0x851F, "turretaccmaxs" },
    { 0x8520, "turretaccmins" },
    { 0x8521, "turretattachpoint" },
    { 0x8522, "turretdeathanim" },
    { 0x8523, "turretdeathanimroot" },
    { 0x8524, "turretdeathdetacher" },
    { 0x8525, "turretdetacher" },
    { 0x8526, "turretdoaimanims" },
    { 0x8527, "turretdoshoot" },
    { 0x8528, "turretdoshootanims" },
    { 0x8529, "turretfiretimer" },
    { 0x852A, "turretflashbangedanim" },
    { 0x852B, "turretinfo" },
    { 0x852C, "turretinit" },
    { 0x852D, "turretmodel" },
    { 0x852E, "turretname" },
    { 0x852F, "turretonvistarg" },
    { 0x8530, "turretonvistarg_failed" },
    { 0x8531, "turretpainanims" },
    { 0x8532, "turretreloadanim" },
    { 0x8533, "turrets" },
    { 0x8534, "turretsettings" },
    { 0x8535, "turretsighttrace" },
    { 0x8536, "turretspecialanims" },
    { 0x8537, "turretspecialanimsroot" },
    { 0x8538, "turretstate" },
    { 0x8539, "turrettimer" },
    { 0x853A, "turretturntime" },
    { 0x853B, "turrettype" },
    { 0x853C, "tutorial_player_recover" },
    { 0x853D, "tutorial_setup" },
    { 0x853E, "tv_changes_color" },
    { 0x853F, "tv_changes_intensity" },
    { 0x8540, "tv_damage" },
    { 0x8541, "tv_lite_array" },
    { 0x8542, "tv_logic" },
    { 0x8543, "tv_off" },
    { 0x8544, "tv_play" },
    { 0x8545, "tv_stop" },
    { 0x8546, "tweak_off_axis_player" },
    { 0x8547, "tweak_off_translation_player" },
    { 0x8548, "tweak_player_view_based_on_movement" },
    { 0x8549, "tweak_player_view_do_rotate" },
    { 0x854A, "tweak_player_wall_push" },
    { 0x854B, "tweakablesinitialized" },
    { 0x854C, "tweakfile" },
    { 0x854D, "two_guys_talking_patrol" },
    { 0x854E, "two_stage_spawner_think" },
    { 0x854F, "type_flag_trigger" },
    { 0x8550, "type_goalvolume" },
    { 0x8551, "type_has_head_armor" },
    { 0x8552, "type_infovolume" },
    { 0x8553, "type_killspawner_trigger" },
    { 0x8554, "type_max_counts" },
    { 0x8555, "type_missile" },
    { 0x8556, "type_name" },
    { 0x8557, "type_spawn_trigger" },
    { 0x8558, "type_specific" },
    { 0x8559, "type_specific_init" },
    { 0x855A, "type_trigger" },
    { 0x855B, "typelimited" },
    { 0x855C, "types" },
    { 0x855D, "types_array" },
    { 0x855E, "typespecificdamageprocessing" },
    { 0x855F, "uav" },
    { 0x8560, "uav_cam_lookat" },
    { 0x8561, "uav_defualt_fov" },
    { 0x8562, "uav_destroy_hud" },
    { 0x8563, "uav_destroy_hud_wrapper" },
    { 0x8564, "uav_disable_view" },
    { 0x8565, "uav_enable_view" },
    { 0x8566, "uav_focus_recover" },
    { 0x8567, "uav_fontscale" },
    { 0x8568, "uav_hud_color" },
    { 0x8569, "uav_hud_scanline" },
    { 0x856A, "uav_huds" },
    { 0x856B, "uav_model" },
    { 0x856C, "uav_rig_controller" },
    { 0x856D, "uav_set_hud_data" },
    { 0x856E, "uav_set_target_hud_data" },
    { 0x856F, "uav_sort" },
    { 0x8570, "uav_static_lines" },
    { 0x8571, "uav_thermal_off" },
    { 0x8572, "uav_thermal_on" },
    { 0x8573, "uav_useby" },
    { 0x8574, "uavblocktime" },
    { 0x8575, "uavmodels" },
    { 0x8576, "uavremotemarkedby" },
    { 0x8577, "uavrig" },
    { 0x8578, "uavsettings" },
    { 0x8579, "uavtracker" },
    { 0x857A, "uavtype" },
    { 0x857B, "ugvs" },
    { 0x857C, "ui_action_slot_force_active_off" },
    { 0x857D, "ui_action_slot_force_active_on" },
    { 0x857E, "ui_action_slot_force_active_one_time" },
    { 0x857F, "ui_bomb_planting_defusing" },
    { 0x8580, "ui_dog_grenade_logic" },
    { 0x8581, "ui_dom_securing" },
    { 0x8582, "ui_dom_stalemate" },
    { 0x8583, "ui_num" },
    { 0x8584, "ui_num_dead" },
    { 0x8585, "ui_num_fired" },
    { 0x8586, "ui_num_move" },
    { 0x8587, "ui_securing" },
    { 0x8588, "uiparent" },
    { 0x8589, "umbra" },
    { 0x858A, "unavailable_string" },
    { 0x858B, "unblock_curtain" },
    { 0x858C, "unblockarea" },
    { 0x858D, "unblockentsinarea" },
    { 0x858E, "unclip" },
    { 0x858F, "underwater" },
    { 0x8590, "underwater_blood" },
    { 0x8591, "underwater_choke_node" },
    { 0x8592, "underwater_combat_amb" },
    { 0x8593, "underwater_flood_spawn" },
    { 0x8594, "underwater_hud_enable" },
    { 0x8595, "underwater_melee_kill_achievement_count" },
    { 0x8596, "underwater_setup" },
    { 0x8597, "underwater_sfx" },
    { 0x8598, "underwater_test" },
    { 0x8599, "underwater_visible_dist" },
    { 0x859A, "underwaterbubbles" },
    { 0x859B, "undying" },
    { 0x859C, "unearned_icon_col" },
    { 0x859D, "unequipped_hide_weapon" },
    { 0x859E, "unequipped_weapon" },
    { 0x859F, "unflash_flag" },
    { 0x85A0, "unfreezecontrols" },
    { 0x85A1, "unhide_prop" },
    { 0x85A2, "unhideallpanels" },
    { 0x85A3, "unignore_everything" },
    { 0x85A4, "unique_id" },
    { 0x85A5, "unlimited_ammo" },
    { 0x85A6, "unlink_ally_from_heli" },
    { 0x85A7, "unlink_baker" },
    { 0x85A8, "unlink_door_traversal_nodes" },
    { 0x85A9, "unlink_final_exposed_nodes" },
    { 0x85AA, "unlink_gun_on_flag" },
    { 0x85AB, "unlink_on_stick" },
    { 0x85AC, "unlink_player" },
    { 0x85AD, "unlink_player_after_catch" },
    { 0x85AE, "unlinknextframe" },
    { 0x85AF, "unlit_model" },
    { 0x85B0, "unlit_models" },
    { 0x85B1, "unload_anim_height" },
    { 0x85B2, "unload_delay" },
    { 0x85B3, "unload_group" },
    { 0x85B4, "unload_groups" },
    { 0x85B5, "unload_model" },
    { 0x85B6, "unload_model_unload_anim" },
    { 0x85B7, "unload_node" },
    { 0x85B8, "unload_ondeath" },
    { 0x85B9, "unloadanim" },
    { 0x85BA, "unloaddrones" },
    { 0x85BB, "unloaded" },
    { 0x85BC, "unloadque" },
    { 0x85BD, "unloadspawners" },
    { 0x85BE, "unlock" },
    { 0x85BF, "unlock_flag" },
    { 0x85C0, "unlock_list" },
    { 0x85C1, "unlock_player_control" },
    { 0x85C2, "unlock_registration_func" },
    { 0x85C3, "unlock_thread" },
    { 0x85C4, "unlock_wait" },
    { 0x85C5, "unmake_hero" },
    { 0x85C6, "unmatched_death_rig_light_waits_for_lights_off" },
    { 0x85C7, "unresolved_collision_count" },
    { 0x85C8, "unresolved_collision_damage" },
    { 0x85C9, "unresolved_collision_func" },
    { 0x85CA, "unresolved_collision_kill" },
    { 0x85CB, "unresolved_collision_nearest_node" },
    { 0x85CC, "unresolved_collision_nodes" },
    { 0x85CD, "unresolved_collision_notify_min" },
    { 0x85CE, "unresolved_collision_owner_damage" },
    { 0x85CF, "unresolved_collision_void" },
    { 0x85D0, "unset" },
    { 0x85D1, "unset_alien_outline" },
    { 0x85D2, "unset_current_challenge" },
    { 0x85D3, "unset_forcegoal" },
    { 0x85D4, "unset_forcegoal_nosight" },
    { 0x85D5, "unset_hint_text" },
    { 0x85D6, "unset_perk" },
    { 0x85D7, "unset_perk_bullet_damage_0" },
    { 0x85D8, "unset_perk_bullet_damage_1" },
    { 0x85D9, "unset_perk_bullet_damage_2" },
    { 0x85DA, "unset_perk_bullet_damage_3" },
    { 0x85DB, "unset_perk_bullet_damage_4" },
    { 0x85DC, "unset_perk_health_level_0" },
    { 0x85DD, "unset_perk_health_level_1" },
    { 0x85DE, "unset_perk_health_level_2" },
    { 0x85DF, "unset_perk_health_level_3" },
    { 0x85E0, "unset_perk_health_level_4" },
    { 0x85E1, "unset_perk_medic_0" },
    { 0x85E2, "unset_perk_medic_1" },
    { 0x85E3, "unset_perk_medic_2" },
    { 0x85E4, "unset_perk_medic_3" },
    { 0x85E5, "unset_perk_medic_4" },
    { 0x85E6, "unset_perk_pistol_m9a1_0" },
    { 0x85E7, "unset_perk_pistol_m9a1_1" },
    { 0x85E8, "unset_perk_pistol_m9a1_2" },
    { 0x85E9, "unset_perk_pistol_m9a1_3" },
    { 0x85EA, "unset_perk_pistol_m9a1_4" },
    { 0x85EB, "unset_perk_pistol_magnum_0" },
    { 0x85EC, "unset_perk_pistol_magnum_1" },
    { 0x85ED, "unset_perk_pistol_magnum_2" },
    { 0x85EE, "unset_perk_pistol_magnum_3" },
    { 0x85EF, "unset_perk_pistol_magnum_4" },
    { 0x85F0, "unset_perk_pistol_mp443_0" },
    { 0x85F1, "unset_perk_pistol_mp443_1" },
    { 0x85F2, "unset_perk_pistol_mp443_2" },
    { 0x85F3, "unset_perk_pistol_mp443_3" },
    { 0x85F4, "unset_perk_pistol_mp443_4" },
    { 0x85F5, "unset_perk_pistol_p226_0" },
    { 0x85F6, "unset_perk_pistol_p226_1" },
    { 0x85F7, "unset_perk_pistol_p226_2" },
    { 0x85F8, "unset_perk_pistol_p226_3" },
    { 0x85F9, "unset_perk_pistol_p226_4" },
    { 0x85FA, "unset_perk_rigger_0" },
    { 0x85FB, "unset_perk_rigger_1" },
    { 0x85FC, "unset_perk_rigger_2" },
    { 0x85FD, "unset_perk_rigger_3" },
    { 0x85FE, "unset_perk_rigger_4" },
    { 0x85FF, "unset_use_text" },
    { 0x8600, "unset_use_time" },
    { 0x8601, "unset_vo_currently_playing" },
    { 0x8602, "unsetac130" },
    { 0x8603, "unsetassists" },
    { 0x8604, "unsetautospot" },
    { 0x8605, "unsetblackbox" },
    { 0x8606, "unsetblastshield" },
    { 0x8607, "unsetblindeye" },
    { 0x8608, "unsetbloodrush" },
    { 0x8609, "unsetbodyarmor" },
    { 0x860A, "unsetboom" },
    { 0x860B, "unsetc4death" },
    { 0x860C, "unsetcarepackage" },
    { 0x860D, "unsetchallenger" },
    { 0x860E, "unsetcombathigh" },
    { 0x860F, "unsetcombathighondeath" },
    { 0x8610, "unsetcombathighonride" },
    { 0x8611, "unsetcombatspeed" },
    { 0x8612, "unsetcombatspeedscalar" },
    { 0x8613, "unsetcomexp" },
    { 0x8614, "unsetcustomjuiced" },
    { 0x8615, "unsetcustomjuicedondeath" },
    { 0x8616, "unsetcustomjuicedonmatchend" },
    { 0x8617, "unsetcustomjuicedonride" },
    { 0x8618, "unsetdeadeye" },
    { 0x8619, "unsetdelaymine" },
    { 0x861A, "unsetdoubleload" },
    { 0x861B, "unsetempimmune" },
    { 0x861C, "unsetendgame" },
    { 0x861D, "unsetfinalstand" },
    { 0x861E, "unsetfootstepeffect" },
    { 0x861F, "unsetfootstepeffectsmall" },
    { 0x8620, "unsetfreefall" },
    { 0x8621, "unsetfriendlyspawn" },
    { 0x8622, "unsetgambler" },
    { 0x8623, "unsetgunsmith" },
    { 0x8624, "unsethardshell" },
    { 0x8625, "unsethelicopterminigun" },
    { 0x8626, "unsetincog" },
    { 0x8627, "unsetjuiced" },
    { 0x8628, "unsetjuicedondeath" },
    { 0x8629, "unsetjuicedonmatchend" },
    { 0x862A, "unsetjuicedonride" },
    { 0x862B, "unsetlightarmor" },
    { 0x862C, "unsetlightweight" },
    { 0x862D, "unsetlittlebirdsupport" },
    { 0x862E, "unsetlocaljammer" },
    { 0x862F, "unsetmarksman" },
    { 0x8630, "unsetonemanarmy" },
    { 0x8631, "unsetoverkillpro" },
    { 0x8632, "unsetpainted" },
    { 0x8633, "unsetpitcher" },
    { 0x8634, "unsetprecision_airstrike" },
    { 0x8635, "unsetpredatormissile" },
    { 0x8636, "unsetquickswap" },
    { 0x8637, "unsetrearview" },
    { 0x8638, "unsetrefillammo" },
    { 0x8639, "unsetrefillgrenades" },
    { 0x863A, "unsetregenfaster" },
    { 0x863B, "unsetrevenge" },
    { 0x863C, "unsetrshieldradar" },
    { 0x863D, "unsetrshieldscrambler" },
    { 0x863E, "unsetsaboteur" },
    { 0x863F, "unsetsentryminigun" },
    { 0x8640, "unsetsharpfocus" },
    { 0x8641, "unsetsilentkill" },
    { 0x8642, "unsetsteadyaimpro" },
    { 0x8643, "unsetsteelnerves" },
    { 0x8644, "unsetstoppingpower" },
    { 0x8645, "unsetstunresistance" },
    { 0x8646, "unsettacticalinsertion" },
    { 0x8647, "unsettagger" },
    { 0x8648, "unsettank" },
    { 0x8649, "unsetthermal" },
    { 0x864A, "unsettriggerhappy" },
    { 0x864B, "unsetuav" },
    { 0x864C, "unsetweapon" },
    { 0x864D, "unsetweaponlaser" },
    { 0x864E, "unstoppable_friendly_fire_shield" },
    { 0x864F, "unsynchappened" },
    { 0x8650, "uoff" },
    { 0x8651, "up_direction_worldspace" },
    { 0x8652, "up_leg_move_percent" },
    { 0x8653, "up_velocity" },
    { 0x8654, "up_weight" },
    { 0x8655, "upangles" },
    { 0x8656, "update_50_percent_accuracy" },
    { 0x8657, "update_75_percent_accuracy" },
    { 0x8658, "update_achievement" },
    { 0x8659, "update_achievement_all_players" },
    { 0x865A, "update_alien_damage_challenge" },
    { 0x865B, "update_alien_death_challenges" },
    { 0x865C, "update_alien_kill_achievements" },
    { 0x865D, "update_alien_weapon_challenges" },
    { 0x865E, "update_altitude" },
    { 0x865F, "update_ar_only" },
    { 0x8660, "update_avoid_minion_exp" },
    { 0x8661, "update_battlechatter_hud" },
    { 0x8662, "update_bcs_locations" },
    { 0x8663, "update_bike_player_avoidance" },
    { 0x8664, "update_blocker_hive_achievements" },
    { 0x8665, "update_bot_maxsightdistsqrd" },
    { 0x8666, "update_challenge" },
    { 0x8667, "update_challenge_percent" },
    { 0x8668, "update_challenge_progress" },
    { 0x8669, "update_crawl_speed" },
    { 0x866A, "update_current_challenge_timer" },
    { 0x866B, "update_deathflag" },
    { 0x866C, "update_debug_friendlycolor" },
    { 0x866D, "update_debug_friendlycolor_on_death" },
    { 0x866E, "update_debug_hud" },
    { 0x866F, "update_deck_post_intro" },
    { 0x8670, "update_drill_outline" },
    { 0x8671, "update_drone_anim" },
    { 0x8672, "update_end_game_score_escape_time" },
    { 0x8673, "update_end_game_score_hive_killed" },
    { 0x8674, "update_end_game_score_partial_hive" },
    { 0x8675, "update_enemy_target_pos_while_running" },
    { 0x8676, "update_escape_achievements" },
    { 0x8677, "update_escape_item_unlock" },
    { 0x8678, "update_event_type" },
    { 0x8679, "update_file_download" },
    { 0x867A, "update_goal_vol_from_trigger" },
    { 0x867B, "update_heli_crash_location" },
    { 0x867C, "update_hint" },
    { 0x867D, "update_hive_performance_internal" },
    { 0x867E, "update_kill_10_in_30" },
    { 0x867F, "update_kill_10_with_propane" },
    { 0x8680, "update_kill_10_with_traps" },
    { 0x8681, "update_kill_10_with_turrets" },
    { 0x8682, "update_kill_airborne_aliens" },
    { 0x8683, "update_kill_leper" },
    { 0x8684, "update_line" },
    { 0x8685, "update_lmgs_only" },
    { 0x8686, "update_loadout_for_everyone" },
    { 0x8687, "update_melee_goons" },
    { 0x8688, "update_melee_only" },
    { 0x8689, "update_melee_spitter" },
    { 0x868A, "update_motion_tracker_speed" },
    { 0x868B, "update_move_anim_type" },
    { 0x868C, "update_move_front_bias" },
    { 0x868D, "update_no_abilities" },
    { 0x868E, "update_no_bleedout" },
    { 0x868F, "update_no_laststand" },
    { 0x8690, "update_no_reloads" },
    { 0x8691, "update_no_stuck_drill" },
    { 0x8692, "update_percent_accuracy" },
    { 0x8693, "update_performance_alien_damage" },
    { 0x8694, "update_perks_from_table" },
    { 0x8695, "update_personal_escape_achievements" },
    { 0x8696, "update_personal_escape_item_unlock" },
    { 0x8697, "update_personal_hive_performance" },
    { 0x8698, "update_personality_camper" },
    { 0x8699, "update_personality_default" },
    { 0x869A, "update_pistols_only" },
    { 0x869B, "update_player_attacker_accuracy" },
    { 0x869C, "update_player_session_rankup" },
    { 0x869D, "update_player_threat" },
    { 0x869E, "update_players_hive_performance" },
    { 0x869F, "update_position_on_spline" },
    { 0x86A0, "update_progress" },
    { 0x86A1, "update_protect_a_player" },
    { 0x86A2, "update_remote_turret_targets" },
    { 0x86A3, "update_resource_stats" },
    { 0x86A4, "update_resource_stats_raw" },
    { 0x86A5, "update_rumble_intensity" },
    { 0x86A6, "update_rumble_intensity_linked" },
    { 0x86A7, "update_scavenge_achievement" },
    { 0x86A8, "update_scripted_explosion_point" },
    { 0x86A9, "update_selected_entities" },
    { 0x86AA, "update_shotguns_only" },
    { 0x86AB, "update_smgs_only" },
    { 0x86AC, "update_snipers_only" },
    { 0x86AD, "update_soflam_ammocount" },
    { 0x86AE, "update_spend_currency" },
    { 0x86AF, "update_spend_no_money" },
    { 0x86B0, "update_stay_prone" },
    { 0x86B1, "update_stay_within_area" },
    { 0x86B2, "update_steering" },
    { 0x86B3, "update_sun" },
    { 0x86B4, "update_take_no_damage" },
    { 0x86B5, "update_targets" },
    { 0x86B6, "update_team_hive_performance" },
    { 0x86B7, "update_time" },
    { 0x86B8, "update_train_path_anims" },
    { 0x86B9, "update_trigger_based_on_flags" },
    { 0x86BA, "update_ui_timers" },
    { 0x86BB, "update_unlock" },
    { 0x86BC, "update_vol_node_count" },
    { 0x86BD, "update_weapon_state" },
    { 0x86BE, "update_weapon_status" },
    { 0x86BF, "update_weapon_tag_visibility" },
    { 0x86C0, "update_weaponstats" },
    { 0x86C1, "update_weaponstats_hits" },
    { 0x86C2, "update_weaponstats_kills" },
    { 0x86C3, "update_weaponstats_shots" },
    { 0x86C4, "updateactiveperks" },
    { 0x86C5, "updateaimingcoords" },
    { 0x86C6, "updateall" },
    { 0x86C7, "updatealldifficulty" },
    { 0x86C8, "updatealluplinkthreads" },
    { 0x86C9, "updateangle" },
    { 0x86CA, "updateanimpose" },
    { 0x86CB, "updateareanodes" },
    { 0x86CC, "updateattachedweaponmodels" },
    { 0x86CD, "updatebar" },
    { 0x86CE, "updatebarscale" },
    { 0x86CF, "updateblinkinglight" },
    { 0x86D0, "updatebufferedstats" },
    { 0x86D1, "updatecannonshake" },
    { 0x86D2, "updatecarryobjectorigin" },
    { 0x86D3, "updatecarryremoteuavplacement" },
    { 0x86D4, "updatechallegeonspawn" },
    { 0x86D5, "updatechallenges" },
    { 0x86D6, "updatechatter" },
    { 0x86D7, "updatecheckforceragdoll" },
    { 0x86D8, "updatechildren" },
    { 0x86D9, "updatecombat" },
    { 0x86DA, "updatecombatspeedscalar" },
    { 0x86DB, "updatecomexpuplink" },
    { 0x86DC, "updatecompassicon" },
    { 0x86DD, "updatecompassicons" },
    { 0x86DE, "updatecontact" },
    { 0x86DF, "updatecpm" },
    { 0x86E0, "updatedamagefeedback" },
    { 0x86E1, "updateddmscores" },
    { 0x86E2, "updatedeathiconsenabled" },
    { 0x86E3, "updatedefcon" },
    { 0x86E4, "updatedomscores" },
    { 0x86E5, "updateenemy" },
    { 0x86E6, "updateenemyuse" },
    { 0x86E7, "updateentityheadicon" },
    { 0x86E8, "updateentityheadiconorigin" },
    { 0x86E9, "updatefreeplayedtime" },
    { 0x86EA, "updatefreeplayertimes" },
    { 0x86EB, "updatefriendicons" },
    { 0x86EC, "updatefriendiconsettings" },
    { 0x86ED, "updatefunc" },
    { 0x86EE, "updategameevents" },
    { 0x86EF, "updategameskill" },
    { 0x86F0, "updategametypedvars" },
    { 0x86F1, "updategiveuponsuppressiontimer" },
    { 0x86F2, "updateheading" },
    { 0x86F3, "updatehordesettings" },
    { 0x86F4, "updateidle" },
    { 0x86F5, "updateimsplacement" },
    { 0x86F6, "updateisincombattimer" },
    { 0x86F7, "updatekillstreaks" },
    { 0x86F8, "updatelaserstatus" },
    { 0x86F9, "updatelerppos" },
    { 0x86FA, "updatelocation" },
    { 0x86FB, "updatelossstats" },
    { 0x86FC, "updatelowermessage" },
    { 0x86FD, "updatemagshots" },
    { 0x86FE, "updatemagshots_regularmp" },
    { 0x86FF, "updatemainmenu" },
    { 0x8700, "updatematchbonusscores" },
    { 0x8701, "updatemelee" },
    { 0x8702, "updatememberstates" },
    { 0x8703, "updateminimapsetting" },
    { 0x8704, "updatemove" },
    { 0x8705, "updatemoveanimweights" },
    { 0x8706, "updatemovemode" },
    { 0x8707, "updatemovespeedscale" },
    { 0x8708, "updatemovestate" },
    { 0x8709, "updateobjectivetext" },
    { 0x870A, "updateorigin" },
    { 0x870B, "updatepaths" },
    { 0x870C, "updatepersratio" },
    { 0x870D, "updatepersratiobuffered" },
    { 0x870E, "updateplacement" },
    { 0x870F, "updateplanemodelcoords" },
    { 0x8710, "updateplayedtime" },
    { 0x8711, "updateplayerpositioncoords" },
    { 0x8712, "updateplayersuavstatus" },
    { 0x8713, "updateplayertimes" },
    { 0x8714, "updateplayeruplink" },
    { 0x8715, "updatepronethread" },
    { 0x8716, "updatepronewrapper" },
    { 0x8717, "updateproxbar" },
    { 0x8718, "updateradiationblackout" },
    { 0x8719, "updateradiationdosage" },
    { 0x871A, "updateradiationdosimeter" },
    { 0x871B, "updateradiationdosimetercolor" },
    { 0x871C, "updateradiationflag" },
    { 0x871D, "updateradiationratepercent" },
    { 0x871E, "updateradiationshock" },
    { 0x871F, "updateradiationsound" },
    { 0x8720, "updateradiationtrigger_perplayer" },
    { 0x8721, "updateradiationtriggers" },
    { 0x8722, "updaterank" },
    { 0x8723, "updaterankannouncehud" },
    { 0x8724, "updaterecentkills" },
    { 0x8725, "updatereflectionprobe" },
    { 0x8726, "updaterespawnsplash" },
    { 0x8727, "updateroundendreasontext" },
    { 0x8728, "updaterunweightsonce" },
    { 0x8729, "updatesavedlastweapon" },
    { 0x872A, "updateselectedbutton" },
    { 0x872B, "updatesentryplacement" },
    { 0x872C, "updatesentryposition" },
    { 0x872D, "updatesentrypositionclockwork" },
    { 0x872E, "updatesentrypositionthread" },
    { 0x872F, "updateserversettings" },
    { 0x8730, "updatesessionstate" },
    { 0x8731, "updatesinkrate" },
    { 0x8732, "updatespecialistkillstreaks" },
    { 0x8733, "updatespectatesettings" },
    { 0x8734, "updatesppercent" },
    { 0x8735, "updatesquadlist" },
    { 0x8736, "updatestairsstate" },
    { 0x8737, "updatestate" },
    { 0x8738, "updatestates" },
    { 0x8739, "updatestreakcount" },
    { 0x873A, "updatestreakslots" },
    { 0x873B, "updatetankplacement" },
    { 0x873C, "updateteambalance" },
    { 0x873D, "updateteambalancedvar" },
    { 0x873E, "updateteamintelprogress" },
    { 0x873F, "updateteamplacement" },
    { 0x8740, "updateteamscore" },
    { 0x8741, "updateteamscores" },
    { 0x8742, "updateteamtime" },
    { 0x8743, "updateteamuavstatus" },
    { 0x8744, "updateteamuavtype" },
    { 0x8745, "updateteamuplink" },
    { 0x8746, "updatetiestats" },
    { 0x8747, "updatetimer" },
    { 0x8748, "updatetimerpausedness" },
    { 0x8749, "updatetispawnposition" },
    { 0x874A, "updatetrigger" },
    { 0x874B, "updatetriggerposition" },
    { 0x874C, "updateturretplacement" },
    { 0x874D, "updateuavmodelvisibility" },
    { 0x874E, "updateuiprogress" },
    { 0x874F, "updateuiscorelimit" },
    { 0x8750, "updateuisecuring" },
    { 0x8751, "updateusablebyteam" },
    { 0x8752, "updateuserate" },
    { 0x8753, "updatevisibilityaccordingtoradar" },
    { 0x8754, "updatewaiter" },
    { 0x8755, "updatewatcheddvars" },
    { 0x8756, "updateweaponbufferedstats" },
    { 0x8757, "updatewinlossstats" },
    { 0x8758, "updatewinstats" },
    { 0x8759, "updateworldicon" },
    { 0x875A, "updateworldicons" },
    { 0x875B, "upgrade_rank" },
    { 0x875C, "upgrades" },
    { 0x875D, "uphill" },
    { 0x875E, "uphill_trigger" },
    { 0x875F, "uplink" },
    { 0x8760, "uplink_override_moving_platform_death" },
    { 0x8761, "uplinks" },
    { 0x8762, "uplinktracker" },
    { 0x8763, "uplinkupdateeyeson" },
    { 0x8764, "upload_hint_cleanup" },
    { 0x8765, "upload_hold" },
    { 0x8766, "upload_progress" },
    { 0x8767, "upload_virus_anims" },
    { 0x8768, "upload_virus_enter" },
    { 0x8769, "upload_virus_exit" },
    { 0x876A, "upload_virus_loop" },
    { 0x876B, "upload_virus_loop_anims" },
    { 0x876C, "upload_virus_setup" },
    { 0x876D, "uploadglobalstatcounters" },
    { 0x876E, "upper_nav_mesh" },
    { 0x876F, "upvec" },
    { 0x8770, "usable_turret_trigger" },
    { 0x8771, "uscale" },
    { 0x8772, "uscrollrate" },
    { 0x8773, "use" },
    { 0x8774, "use_a_turret" },
    { 0x8775, "use_ak12" },
    { 0x8776, "use_alternate_drill" },
    { 0x8777, "use_alternate_specialammo_pillage_amounts" },
    { 0x8778, "use_big_goal_until_goal_is_safe" },
    { 0x8779, "use_big_splash" },
    { 0x877A, "use_box" },
    { 0x877B, "use_button_stopped_notify" },
    { 0x877C, "use_crate" },
    { 0x877D, "use_dpad_airstrike" },
    { 0x877E, "use_dpad_backup_buddy" },
    { 0x877F, "use_dpad_death_machine" },
    { 0x8780, "use_dpad_glsentry" },
    { 0x8781, "use_dpad_ims" },
    { 0x8782, "use_dpad_minigun_turret" },
    { 0x8783, "use_dpad_predator" },
    { 0x8784, "use_dpad_riotshield" },
    { 0x8785, "use_dpad_sentry" },
    { 0x8786, "use_dpad_team_adrenaline" },
    { 0x8787, "use_dpad_team_ammo" },
    { 0x8788, "use_dpad_team_armor" },
    { 0x8789, "use_dpad_team_boost" },
    { 0x878A, "use_dpad_team_currency" },
    { 0x878B, "use_dpad_team_explosives" },
    { 0x878C, "use_dpad_team_randombox" },
    { 0x878D, "use_dpad_team_specialammo" },
    { 0x878E, "use_dpad_war_machine" },
    { 0x878F, "use_ent" },
    { 0x8790, "use_eq_settings" },
    { 0x8791, "use_icon_angles" },
    { 0x8792, "use_icon_origin" },
    { 0x8793, "use_laser" },
    { 0x8794, "use_model" },
    { 0x8795, "use_old_dog_attack" },
    { 0x8796, "use_pip" },
    { 0x8797, "use_pressed" },
    { 0x8798, "use_spawn_director" },
    { 0x8799, "use_switch_toggle_multiple" },
    { 0x879A, "use_switch_toggle_multiple_init" },
    { 0x879B, "use_switch_toggle_wait" },
    { 0x879C, "use_synched_attack" },
    { 0x879D, "use_the_turret" },
    { 0x879E, "use_time" },
    { 0x879F, "use_toggle" },
    { 0x87A0, "use_trigger" },
    { 0x87A1, "use_triggers" },
    { 0x87A2, "use_use_trigger" },
    { 0x87A3, "useaalauncher" },
    { 0x87A4, "useairstrike" },
    { 0x87A5, "useballdrone" },
    { 0x87A6, "usebartext" },
    { 0x87A7, "usebreachapproach" },
    { 0x87A8, "useclip" },
    { 0x87A9, "usecondition" },
    { 0x87AA, "usecovernodeifpossible" },
    { 0x87AB, "used" },
    { 0x87AC, "used_an_mg42" },
    { 0x87AD, "used_by" },
    { 0x87AE, "used_nodes" },
    { 0x87AF, "used_nodes_list_index" },
    { 0x87B0, "used_nodes_list_size" },
    { 0x87B1, "usedby" },
    { 0x87B2, "usedids" },
    { 0x87B3, "usedkillstreak" },
    { 0x87B4, "usedlocations" },
    { 0x87B5, "usedog" },
    { 0x87B6, "usedpositions" },
    { 0x87B7, "usedronehive" },
    { 0x87B8, "usedweapons" },
    { 0x87B9, "usefacialanims" },
    { 0x87BA, "usehardpoint" },
    { 0x87BB, "usehardpoint_regularmp" },
    { 0x87BC, "usehelicopter" },
    { 0x87BD, "usehighvaluetarget" },
    { 0x87BE, "usehintstring" },
    { 0x87BF, "useholdthink" },
    { 0x87C0, "useholdthinkloop" },
    { 0x87C1, "useinvulnerability" },
    { 0x87C2, "uselasedstrike" },
    { 0x87C3, "uselaststandparams" },
    { 0x87C4, "usemuzzlesideoffset" },
    { 0x87C5, "useobj" },
    { 0x87C6, "useobject" },
    { 0x87C7, "useobjectproxthink" },
    { 0x87C8, "useobjects" },
    { 0x87C9, "useobjectusethink" },
    { 0x87CA, "useospreygunner" },
    { 0x87CB, "useplayeruav" },
    { 0x87CC, "user" },
    { 0x87CD, "user_trigger" },
    { 0x87CE, "userate" },
    { 0x87CF, "usereadystand" },
    { 0x87D0, "useremoteuav" },
    { 0x87D1, "useselfplacedturret" },
    { 0x87D2, "usesound" },
    { 0x87D3, "usesquadmate" },
    { 0x87D4, "usesremaining" },
    { 0x87D5, "usestartspawns" },
    { 0x87D6, "usestationaryturret" },
    { 0x87D7, "usesupportescortairdrop" },
    { 0x87D8, "usetank" },
    { 0x87D9, "useteam" },
    { 0x87DA, "usetest" },
    { 0x87DB, "usetext" },
    { 0x87DC, "usetime" },
    { 0x87DD, "usetrig" },
    { 0x87DE, "useuav" },
    { 0x87DF, "usevanguard" },
    { 0x87E0, "useweapon" },
    { 0x87E1, "usexp" },
    { 0x87E2, "using_a_turret" },
    { 0x87E3, "using_ammo_cache" },
    { 0x87E4, "using_depth_charge" },
    { 0x87E5, "using_hdr_fog" },
    { 0x87E6, "using_illegal_breach_weapon" },
    { 0x87E7, "using_remote_a10" },
    { 0x87E8, "using_remote_tank" },
    { 0x87E9, "using_remote_turret" },
    { 0x87EA, "using_remote_turret_when_died" },
    { 0x87EB, "using_sam" },
    { 0x87EC, "using_string_tables" },
    { 0x87ED, "using_uav" },
    { 0x87EE, "usingantiairweapon" },
    { 0x87EF, "usingautomaticweapon" },
    { 0x87F0, "usingboltactionweapon" },
    { 0x87F1, "usingmg" },
    { 0x87F2, "usingnvfx" },
    { 0x87F3, "usingonlinedataoffline" },
    { 0x87F4, "usingpistol" },
    { 0x87F5, "usingplayergrenadetimer" },
    { 0x87F6, "usingprimary" },
    { 0x87F7, "usingremote" },
    { 0x87F8, "usingremoteandwillbelowhealth" },
    { 0x87F9, "usingriflelikeweapon" },
    { 0x87FA, "usingrocketlauncher" },
    { 0x87FB, "usingsecondary" },
    { 0x87FC, "usingsemiautoweapon" },
    { 0x87FD, "usingshotgun" },
    { 0x87FE, "usingsidearm" },
    { 0x87FF, "usingturret" },
    { 0x8800, "util_clear_max_visible_dist" },
    { 0x8801, "util_debris_remove" },
    { 0x8802, "util_delete_on_vignette_kill" },
    { 0x8803, "util_derrick_destroy_quick" },
    { 0x8804, "util_enable_death_anim" },
    { 0x8805, "util_evaluateknownenemylocation" },
    { 0x8806, "util_flicker_geyeser_light" },
    { 0x8807, "util_ignorecurrentsightpos" },
    { 0x8808, "util_open_exfil_door" },
    { 0x8809, "util_player_rubber_banding_solo" },
    { 0x880A, "util_refinery_stack_cleanup" },
    { 0x880B, "util_set_max_visible_dist" },
    { 0x880C, "util_show_destroyed_derrick" },
    { 0x880D, "util_show_rig_after_blend" },
    { 0x880E, "v" },
    { 0x880F, "v_static" },
    { 0x8810, "vacate_enemies" },
    { 0x8811, "valid_for_vanguard" },
    { 0x8812, "valid_missile_target" },
    { 0x8813, "valid_moving_spit_attack_time" },
    { 0x8814, "validate_zone" },
    { 0x8815, "validateaccuratetouching" },
    { 0x8816, "validateopenconditions" },
    { 0x8817, "validateperk" },
    { 0x8818, "validateusestreak" },
    { 0x8819, "validattacker" },
    { 0x881A, "validplayers" },
    { 0x881B, "validtype" },
    { 0x881C, "value" },
    { 0x881D, "value_hudelem" },
    { 0x881E, "valueiswithin" },
    { 0x881F, "vanguard_allowed" },
    { 0x8820, "vanguard_carrying" },
    { 0x8821, "vanguard_control_aiming" },
    { 0x8822, "vanguard_endride" },
    { 0x8823, "vanguard_firemissile" },
    { 0x8824, "vanguard_freezecontrolsbuffer" },
    { 0x8825, "vanguard_fx" },
    { 0x8826, "vanguard_get_node_origin" },
    { 0x8827, "vanguard_handledamage" },
    { 0x8828, "vanguard_in_range" },
    { 0x8829, "vanguard_is_outside" },
    { 0x882A, "vanguard_lastdialogtime" },
    { 0x882B, "vanguard_missile_radius" },
    { 0x882C, "vanguard_monitordeath" },
    { 0x882D, "vanguard_monitorfire" },
    { 0x882E, "vanguard_monitorkillstreakdisowned" },
    { 0x882F, "vanguard_monitormanualplayerexit" },
    { 0x8830, "vanguard_monitorobjectivecam" },
    { 0x8831, "vanguard_monitortimeout" },
    { 0x8832, "vanguard_moving_platform_death" },
    { 0x8833, "vanguard_origin" },
    { 0x8834, "vanguard_pick_node" },
    { 0x8835, "vanguard_rangecountdown" },
    { 0x8836, "vanguard_removeplayer" },
    { 0x8837, "vanguard_reticlestart" },
    { 0x8838, "vanguard_reticlewaitforjoinedteam" },
    { 0x8839, "vanguard_ride" },
    { 0x883A, "vanguard_rumble" },
    { 0x883B, "vanguard_selecttarget" },
    { 0x883C, "vanguard_showreticletoplayer" },
    { 0x883D, "vanguard_think" },
    { 0x883E, "vanguard_turret_handledamage" },
    { 0x883F, "vanguard_turrettarget" },
    { 0x8840, "vanguard_watch_distance" },
    { 0x8841, "vanguard_watchheliproximity" },
    { 0x8842, "vanguardfiremisslefunc" },
    { 0x8843, "vanguardmaxheight" },
    { 0x8844, "vanguardmaxheightent" },
    { 0x8845, "vanguardrangetrigger" },
    { 0x8846, "vanguradmaxdistancesq" },
    { 0x8847, "vantage_nag" },
    { 0x8848, "var1" },
    { 0x8849, "var2" },
    { 0x884A, "vargas" },
    { 0x884B, "vargas_anim" },
    { 0x884C, "vargas_instakill" },
    { 0x884D, "vargas_line_count" },
    { 0x884E, "vargas_lines" },
    { 0x884F, "vargas_scene" },
    { 0x8850, "vargas_scene_dialogue" },
    { 0x8851, "vargas_scene_dialogue_volume" },
    { 0x8852, "vargas_scene_flag_waiter" },
    { 0x8853, "vargas_scene_get_lookat_score" },
    { 0x8854, "vargas_scene_save" },
    { 0x8855, "vargas_think" },
    { 0x8856, "variable_scope_shadow_center" },
    { 0x8857, "variable_scope_weapons" },
    { 0x8858, "variance" },
    { 0x8859, "variants" },
    { 0x885A, "vault" },
    { 0x885B, "vault_anim_vol_check" },
    { 0x885C, "vault_bag_drops" },
    { 0x885D, "vault_ceiling_lights" },
    { 0x885E, "vault_damage_trigger" },
    { 0x885F, "vault_door" },
    { 0x8860, "vault_fail_vo" },
    { 0x8861, "vault_foley" },
    { 0x8862, "vault_keegan_charge_set" },
    { 0x8863, "vault_keegan_drill_get" },
    { 0x8864, "vault_keegan_drill_set" },
    { 0x8865, "vault_nag" },
    { 0x8866, "vault_nvg_off_hint" },
    { 0x8867, "vault_objective" },
    { 0x8868, "vault_pick_anim" },
    { 0x8869, "vault_props" },
    { 0x886A, "vault_vo" },
    { 0x886B, "vault_vol_1" },
    { 0x886C, "vault_vol_2" },
    { 0x886D, "vault_vol_3" },
    { 0x886E, "vault_vol_4" },
    { 0x886F, "vault_water" },
    { 0x8870, "vault_water2" },
    { 0x8871, "vaultguys" },
    { 0x8872, "vaultguys_vo" },
    { 0x8873, "vdir" },
    { 0x8874, "vecscale" },
    { 0x8875, "vector" },
    { 0x8876, "vector2d" },
    { 0x8877, "vector_multiply" },
    { 0x8878, "vegas_locations" },
    { 0x8879, "veh_missiles_targeting" },
    { 0x887A, "veh_see_player_logic" },
    { 0x887B, "veh_turret_range_squared" },
    { 0x887C, "veh_turrets_targeting" },
    { 0x887D, "vehicle" },
    { 0x887E, "vehicle_activate_outline" },
    { 0x887F, "vehicle_ai_event" },
    { 0x8880, "vehicle_ai_turret_can_target" },
    { 0x8881, "vehicle_ai_turret_get_fx_shoot_flash" },
    { 0x8882, "vehicle_ai_turret_get_target" },
    { 0x8883, "vehicle_ai_turret_get_target_type" },
    { 0x8884, "vehicle_ai_turret_gunner_ignore_all_until_unload" },
    { 0x8885, "vehicle_ai_turret_register_target" },
    { 0x8886, "vehicle_ai_turret_shoot_target" },
    { 0x8887, "vehicle_ai_turret_think" },
    { 0x8888, "vehicle_ai_turret_think_next_missile_time" },
    { 0x8889, "vehicle_aianimcheck" },
    { 0x888A, "vehicle_aianims" },
    { 0x888B, "vehicle_aianimthread" },
    { 0x888C, "vehicle_aim_turret_at_angle" },
    { 0x888D, "vehicle_allow_player_death" },
    { 0x888E, "vehicle_allows_driver_death" },
    { 0x888F, "vehicle_allows_rider_death" },
    { 0x8890, "vehicle_animate" },
    { 0x8891, "vehicle_anims" },
    { 0x8892, "vehicle_attachedmodels" },
    { 0x8893, "vehicle_attack_missile" },
    { 0x8894, "vehicle_attack_missile_dummy_delete" },
    { 0x8895, "vehicle_attacker" },
    { 0x8896, "vehicle_badplace" },
    { 0x8897, "vehicle_becomes_crashable" },
    { 0x8898, "vehicle_blow_up_from_rog" },
    { 0x8899, "vehicle_bulletshield" },
    { 0x889A, "vehicle_controlling" },
    { 0x889B, "vehicle_crash_guy" },
    { 0x889C, "vehicle_crash_launch_guys" },
    { 0x889D, "vehicle_crashpaths" },
    { 0x889E, "vehicle_csv_export" },
    { 0x889F, "vehicle_death" },
    { 0x88A0, "vehicle_death_anim" },
    { 0x88A1, "vehicle_death_badplace" },
    { 0x88A2, "vehicle_death_check" },
    { 0x88A3, "vehicle_death_earthquake" },
    { 0x88A4, "vehicle_death_fx" },
    { 0x88A5, "vehicle_death_fx_override" },
    { 0x88A6, "vehicle_death_jolt" },
    { 0x88A7, "vehicle_death_radiusdamage" },
    { 0x88A8, "vehicle_death_thread" },
    { 0x88A9, "vehicle_deathflag" },
    { 0x88AA, "vehicle_deathmodel" },
    { 0x88AB, "vehicle_deathmodel_delay" },
    { 0x88AC, "vehicle_deathswitch" },
    { 0x88AD, "vehicle_deckdust" },
    { 0x88AE, "vehicle_deletegroup" },
    { 0x88AF, "vehicle_detachfrompath" },
    { 0x88B0, "vehicle_detourpaths" },
    { 0x88B1, "vehicle_do_crash" },
    { 0x88B2, "vehicle_draw_thermal" },
    { 0x88B3, "vehicle_drive_shake" },
    { 0x88B4, "vehicle_driveidle" },
    { 0x88B5, "vehicle_driveidle_animrate" },
    { 0x88B6, "vehicle_driveidle_normal_speed" },
    { 0x88B7, "vehicle_driveidle_r" },
    { 0x88B8, "vehicle_duck_once" },
    { 0x88B9, "vehicle_dynamicpath" },
    { 0x88BA, "vehicle_exhaust" },
    { 0x88BB, "vehicle_finish_death" },
    { 0x88BC, "vehicle_fire" },
    { 0x88BD, "vehicle_fire_at_targets" },
    { 0x88BE, "vehicle_fire_loop" },
    { 0x88BF, "vehicle_fired_from" },
    { 0x88C0, "vehicle_frontarmor" },
    { 0x88C1, "vehicle_gatetrigger" },
    { 0x88C2, "vehicle_get_firetime" },
    { 0x88C3, "vehicle_get_idle_pos" },
    { 0x88C4, "vehicle_get_path_array" },
    { 0x88C5, "vehicle_get_riders" },
    { 0x88C6, "vehicle_get_riders_by_group" },
    { 0x88C7, "vehicle_getanimstart" },
    { 0x88C8, "vehicle_getinanim" },
    { 0x88C9, "vehicle_getinanim_clear" },
    { 0x88CA, "vehicle_getinsound" },
    { 0x88CB, "vehicle_getinsoundtag" },
    { 0x88CC, "vehicle_getinstart" },
    { 0x88CD, "vehicle_getoutanim" },
    { 0x88CE, "vehicle_getoutanim_clear" },
    { 0x88CF, "vehicle_getoutsound" },
    { 0x88D0, "vehicle_getoutsoundtag" },
    { 0x88D1, "vehicle_grenadeshield" },
    { 0x88D2, "vehicle_handleunloadevent" },
    { 0x88D3, "vehicle_has_rocket_death" },
    { 0x88D4, "vehicle_hasavailablespots" },
    { 0x88D5, "vehicle_hasmainturret" },
    { 0x88D6, "vehicle_hasname" },
    { 0x88D7, "vehicle_hide_list" },
    { 0x88D8, "vehicle_hit_drift" },
    { 0x88D9, "vehicle_idle" },
    { 0x88DA, "vehicle_idle_override" },
    { 0x88DB, "vehicle_idleanim" },
    { 0x88DC, "vehicle_idling" },
    { 0x88DD, "vehicle_init" },
    { 0x88DE, "vehicle_is_crashing" },
    { 0x88DF, "vehicle_isstationary" },
    { 0x88E0, "vehicle_keeps_going_after_driver_dies" },
    { 0x88E1, "vehicle_kill" },
    { 0x88E2, "vehicle_kill_badplace_forever" },
    { 0x88E3, "vehicle_kill_rumble_forever" },
    { 0x88E4, "vehicle_kill_treads_forever" },
    { 0x88E5, "vehicle_killspawn_groups" },
    { 0x88E6, "vehicle_land" },
    { 0x88E7, "vehicle_land_beneath_node" },
    { 0x88E8, "vehicle_landvehicle" },
    { 0x88E9, "vehicle_levelstuff" },
    { 0x88EA, "vehicle_life" },
    { 0x88EB, "vehicle_life_range_high" },
    { 0x88EC, "vehicle_life_range_low" },
    { 0x88ED, "vehicle_liftoff" },
    { 0x88EE, "vehicle_liftoffvehicle" },
    { 0x88EF, "vehicle_lights" },
    { 0x88F0, "vehicle_lights_group" },
    { 0x88F1, "vehicle_lights_group_override" },
    { 0x88F2, "vehicle_lights_off" },
    { 0x88F3, "vehicle_lights_on" },
    { 0x88F4, "vehicle_line" },
    { 0x88F5, "vehicle_link" },
    { 0x88F6, "vehicle_linked_entities_think" },
    { 0x88F7, "vehicle_load_ai" },
    { 0x88F8, "vehicle_load_ai_single" },
    { 0x88F9, "vehicle_loaded_if_full" },
    { 0x88FA, "vehicle_loaded_notify_size" },
    { 0x88FB, "vehicle_loop_anim" },
    { 0x88FC, "vehicle_mainturrets" },
    { 0x88FD, "vehicle_mgturret" },
    { 0x88FE, "vehicle_overkill_from_rog" },
    { 0x88FF, "vehicle_passenger_2_turret" },
    { 0x8900, "vehicle_path_notifications" },
    { 0x8901, "vehicle_pathdetach" },
    { 0x8902, "vehicle_paths" },
    { 0x8903, "vehicle_paths_helicopter" },
    { 0x8904, "vehicle_paths_non_heli" },
    { 0x8905, "vehicle_play_guy_anim" },
    { 0x8906, "vehicle_play_jeep_anim" },
    { 0x8907, "vehicle_play_jeep_scripted_anim" },
    { 0x8908, "vehicle_play_scripted_loop_anim" },
    { 0x8909, "vehicle_play_scripted_single_anim" },
    { 0x890A, "vehicle_play_sound" },
    { 0x890B, "vehicle_player_01" },
    { 0x890C, "vehicle_position" },
    { 0x890D, "vehicle_processtriggers" },
    { 0x890E, "vehicle_reload" },
    { 0x890F, "vehicle_respawn_test" },
    { 0x8910, "vehicle_resume_named" },
    { 0x8911, "vehicle_resumepath" },
    { 0x8912, "vehicle_resumepathvehicle" },
    { 0x8913, "vehicle_rideai" },
    { 0x8914, "vehicle_rider_death_detection" },
    { 0x8915, "vehicle_rider_death_func" },
    { 0x8916, "vehicle_ridespawners" },
    { 0x8917, "vehicle_rumble" },
    { 0x8918, "vehicle_rumble_even_if_not_moving" },
    { 0x8919, "vehicle_rumble_override" },
    { 0x891A, "vehicle_rumble_unique" },
    { 0x891B, "vehicle_runtooverride" },
    { 0x891C, "vehicle_script_forcecolor_riders" },
    { 0x891D, "vehicle_set_parameters" },
    { 0x891E, "vehicle_setteam" },
    { 0x891F, "vehicle_setup" },
    { 0x8920, "vehicle_setup_levelvars" },
    { 0x8921, "vehicle_shoot_shock" },
    { 0x8922, "vehicle_shoot_shock_overlay" },
    { 0x8923, "vehicle_should_do_rocket_death" },
    { 0x8924, "vehicle_should_regenerate" },
    { 0x8925, "vehicle_should_unload" },
    { 0x8926, "vehicle_single_tread_list" },
    { 0x8927, "vehicle_spawn" },
    { 0x8928, "vehicle_spawn_functions_enable" },
    { 0x8929, "vehicle_spawn_think" },
    { 0x892A, "vehicle_spawned_thisframe" },
    { 0x892B, "vehicle_spawner" },
    { 0x892C, "vehicle_spawner_adjust_health_and_damage" },
    { 0x892D, "vehicle_spawner_deathflag" },
    { 0x892E, "vehicle_spawns_targets_and_rides" },
    { 0x892F, "vehicle_spline_cam" },
    { 0x8930, "vehicle_standattack" },
    { 0x8931, "vehicle_startmovegroup" },
    { 0x8932, "vehicle_startnodes" },
    { 0x8933, "vehicle_stays_alive" },
    { 0x8934, "vehicle_stop_load_fail" },
    { 0x8935, "vehicle_stop_named" },
    { 0x8936, "vehicle_switch_paths" },
    { 0x8937, "vehicle_team" },
    { 0x8938, "vehicle_to_dummy" },
    { 0x8939, "vehicle_to_model" },
    { 0x893A, "vehicle_treads" },
    { 0x893B, "vehicle_turn_left" },
    { 0x893C, "vehicle_turn_right" },
    { 0x893D, "vehicle_turret_fire" },
    { 0x893E, "vehicle_turret_requiresrider" },
    { 0x893F, "vehicle_turret_scan_off" },
    { 0x8940, "vehicle_turret_scan_on" },
    { 0x8941, "vehicle_types" },
    { 0x8942, "vehicle_unload" },
    { 0x8943, "vehicle_unload_drones" },
    { 0x8944, "vehicle_unload_fail" },
    { 0x8945, "vehicle_unloadgroups" },
    { 0x8946, "vehicle_unloadwhenattacked" },
    { 0x8947, "vehicle_vs_player_lock_on_time" },
    { 0x8948, "vehicle_weave" },
    { 0x8949, "vehicle_wheels_backward" },
    { 0x894A, "vehicle_wheels_forward" },
    { 0x894B, "vehicle_would_exceed_limit" },
    { 0x894C, "vehicle_zpu_can_target" },
    { 0x894D, "vehicle_zpu_get_target" },
    { 0x894E, "vehicle_zpu_register_target" },
    { 0x894F, "vehicle_zpu_shoot_target" },
    { 0x8950, "vehicle_zpu_think" },
    { 0x8951, "vehiclefireanim" },
    { 0x8952, "vehiclefireanim_settle" },
    { 0x8953, "vehicleinfo" },
    { 0x8954, "vehicleinitthread" },
    { 0x8955, "vehiclekilled" },
    { 0x8956, "vehiclelocksighttest" },
    { 0x8957, "vehiclemove" },
    { 0x8958, "vehicleoverride" },
    { 0x8959, "vehicles" },
    { 0x895A, "vehicles_anim" },
    { 0x895B, "vehicles_anims" },
    { 0x895C, "vehicles_approaching" },
    { 0x895D, "vehicles_loop_and_unload_until_endon" },
    { 0x895E, "vehicles_loop_until_endon" },
    { 0x895F, "vehicles_no_breach" },
    { 0x8960, "vehiclespawncallbackthread" },
    { 0x8961, "velocity_factor" },
    { 0x8962, "vending_machine" },
    { 0x8963, "vending_machine_damage_monitor" },
    { 0x8964, "verify_effects_assignment" },
    { 0x8965, "verify_effects_assignment_print" },
    { 0x8966, "verifydedicatedconfiguration" },
    { 0x8967, "vert_dist_to_vert_cap" },
    { 0x8968, "vert_missile_wait_max" },
    { 0x8969, "vert_missile_wait_min" },
    { 0x896A, "vertexlit" },
    { 0x896B, "vertexlitselfshadow" },
    { 0x896C, "vertical" },
    { 0x896D, "vertical_change_this_update" },
    { 0x896E, "vertical_struct" },
    { 0x896F, "veteran_achievement" },
    { 0x8970, "vfx_baker_hand_l_off" },
    { 0x8971, "vfx_baker_hand_l_on" },
    { 0x8972, "vfx_baker_hand_r_off" },
    { 0x8973, "vfx_baker_hand_r_on" },
    { 0x8974, "vfx_baker_hand_strain" },
    { 0x8975, "vfx_debug_do_rog_impact_effect" },
    { 0x8976, "vfx_debug_do_rog_post_hit_vfx" },
    { 0x8977, "vfx_debug_do_shockwave" },
    { 0x8978, "vfx_debug_do_structure_destruction" },
    { 0x8979, "vfx_for_street_destroy" },
    { 0x897A, "vfx_hand_free_debris_burst_fx" },
    { 0x897B, "vfx_hostage1_arm_l_liftout" },
    { 0x897C, "vfx_hostage1_arm_l_splash" },
    { 0x897D, "vfx_hostage1_arm_r_liftout" },
    { 0x897E, "vfx_hostage1_arm_r_pushsplash" },
    { 0x897F, "vfx_hostage1_arm_r_splash" },
    { 0x8980, "vfx_hostage1_body_ripple" },
    { 0x8981, "vfx_hostage1_dunk" },
    { 0x8982, "vfx_hostage1_leg_l_pushsplash" },
    { 0x8983, "vfx_hostage1_leg_l_splash" },
    { 0x8984, "vfx_hostage1_leg_r_lift" },
    { 0x8985, "vfx_hostage1_leg_r_pushsplash" },
    { 0x8986, "vfx_hostage1_lift" },
    { 0x8987, "vfx_hostage1_liftup" },
    { 0x8988, "vfx_hostage1_push_splash" },
    { 0x8989, "vfx_hostage1_waterboard_start" },
    { 0x898A, "vfx_hostage1_waterboard_stop" },
    { 0x898B, "vfx_hostage1_wateridle_start" },
    { 0x898C, "vfx_hostage1_wateridle_stop" },
    { 0x898D, "vfx_metal_bubbles" },
    { 0x898E, "vfx_on_player" },
    { 0x898F, "vfx_on_player_location_to_odin" },
    { 0x8990, "vfx_on_player_while_moving" },
    { 0x8991, "vfx_open_door_sequence" },
    { 0x8992, "vfx_player_hand_l_off" },
    { 0x8993, "vfx_player_hand_l_on" },
    { 0x8994, "vfx_player_hand_r_off" },
    { 0x8995, "vfx_player_hand_r_on" },
    { 0x8996, "vfx_player_strain_forearm" },
    { 0x8997, "vfx_player_strain_wrist" },
    { 0x8998, "vfx_torpedo_kickup" },
    { 0x8999, "vfx_torpedo_wings_out" },
    { 0x899A, "vfxarry" },
    { 0x899B, "vfxinit" },
    { 0x899C, "vfxradius" },
    { 0x899D, "victim" },
    { 0x899E, "victim_anim_and_death" },
    { 0x899F, "victimonground" },
    { 0x89A0, "victimteam" },
    { 0x89A1, "victory_ac130" },
    { 0x89A2, "victory_choppers_land" },
    { 0x89A3, "victory_player" },
    { 0x89A4, "videotaper_think" },
    { 0x89A5, "view" },
    { 0x89A6, "view_control_lerp" },
    { 0x89A7, "view_controller" },
    { 0x89A8, "view_goal_pos" },
    { 0x89A9, "view_kick" },
    { 0x89AA, "view_particle_source" },
    { 0x89AB, "view_particle_source_alt" },
    { 0x89AC, "view_particle_source_locked" },
    { 0x89AD, "view_path_setup" },
    { 0x89AE, "view_paths" },
    { 0x89AF, "view_ref_base_rotator" },
    { 0x89B0, "view_ref_ent" },
    { 0x89B1, "view_ref_movement_rotator" },
    { 0x89B2, "view_rig" },
    { 0x89B3, "view_rollers" },
    { 0x89B4, "view_tag" },
    { 0x89B5, "viewfx" },
    { 0x89B6, "viewhands" },
    { 0x89B7, "viewmodel" },
    { 0x89B8, "viewmodel_anim_off" },
    { 0x89B9, "viewmodel_anim_on" },
    { 0x89BA, "viewtag" },
    { 0x89BB, "vig_actor_kill" },
    { 0x89BC, "vig_pipdeck_wires" },
    { 0x89BD, "vignette_actor_aware_everything" },
    { 0x89BE, "vignette_actor_delete" },
    { 0x89BF, "vignette_actor_ignore_everything" },
    { 0x89C0, "vignette_actor_kill" },
    { 0x89C1, "vignette_actor_spawn" },
    { 0x89C2, "vignette_actor_spawn_func" },
    { 0x89C3, "vignette_drone_spawn" },
    { 0x89C4, "vignette_end" },
    { 0x89C5, "vignette_ignore_everything" },
    { 0x89C6, "vignette_interrupt" },
    { 0x89C7, "vignette_interrupt_solo" },
    { 0x89C8, "vignette_interrupt_watcher" },
    { 0x89C9, "vignette_interrupt_watcher_damage" },
    { 0x89CA, "vignette_interrupt_watcher_other" },
    { 0x89CB, "vignette_interrupt_watcher_player_close" },
    { 0x89CC, "vignette_isdefined" },
    { 0x89CD, "vignette_kill" },
    { 0x89CE, "vignette_old_choppers_for_test" },
    { 0x89CF, "vignette_register" },
    { 0x89D0, "vignette_register_wait" },
    { 0x89D1, "vignette_restore_ignore_setting" },
    { 0x89D2, "vignette_set_ignore_setting" },
    { 0x89D3, "vignette_setup" },
    { 0x89D4, "vignette_single" },
    { 0x89D5, "vignette_single_solo" },
    { 0x89D6, "vignette_state" },
    { 0x89D7, "vignette_stop_interrupt_scripts" },
    { 0x89D8, "vignette_unignore_everything" },
    { 0x89D9, "vignette_vehicle_delete" },
    { 0x89DA, "vignette_vehicle_spawn" },
    { 0x89DB, "vignetteaniminfo" },
    { 0x89DC, "vignetteinfo" },
    { 0x89DD, "vignettenotetrackhandler" },
    { 0x89DE, "vignettes" },
    { 0x89DF, "vines" },
    { 0x89E0, "vip_dog_attack" },
    { 0x89E1, "vip_enemy_animate_intro" },
    { 0x89E2, "vip_enemy_interrupt" },
    { 0x89E3, "vip_heli" },
    { 0x89E4, "vip_notify_on_death" },
    { 0x89E5, "vip_wall_slam" },
    { 0x89E6, "virus_deploy" },
    { 0x89E7, "virus_deploy_bink" },
    { 0x89E8, "virus_dynamic_dof" },
    { 0x89E9, "virus_upload_anim_array" },
    { 0x89EA, "virus_upload_bink" },
    { 0x89EB, "virus_upload_bink_internal" },
    { 0x89EC, "virus_upload_bink_progress" },
    { 0x89ED, "virus_upload_bink_start" },
    { 0x89EE, "virus_upload_lookat" },
    { 0x89EF, "virus_upload_trigger" },
    { 0x89F0, "virus_upload_vo_nags" },
    { 0x89F1, "vis" },
    { 0x89F2, "visable_contents" },
    { 0x89F3, "visable_model" },
    { 0x89F4, "visible" },
    { 0x89F5, "visibleteam" },
    { 0x89F6, "visibleto" },
    { 0x89F7, "vision_change_multiple_init" },
    { 0x89F8, "vision_change_multiple_internal" },
    { 0x89F9, "vision_cheat_enabled" },
    { 0x89FA, "vision_engine_room_end" },
    { 0x89FB, "vision_engine_room_start" },
    { 0x89FC, "vision_hit_transition" },
    { 0x89FD, "vision_mudpumps_end" },
    { 0x89FE, "vision_mudpumps_start" },
    { 0x89FF, "vision_set" },
    { 0x8A00, "vision_set_changes" },
    { 0x8A01, "vision_set_fog" },
    { 0x8A02, "vision_set_fog_changes" },
    { 0x8A03, "vision_set_fog_progress" },
    { 0x8A04, "vision_set_refinery_visionsets" },
    { 0x8A05, "vision_set_stage" },
    { 0x8A06, "vision_set_transition_ent" },
    { 0x8A07, "vision_sets" },
    { 0x8A08, "vision_watcher" },
    { 0x8A09, "vision_watcher_thread" },
    { 0x8A0A, "visionfadetoblack" },
    { 0x8A0B, "visionset_diff" },
    { 0x8A0C, "visiontest" },
    { 0x8A0D, "visionthermaldefault" },
    { 0x8A0E, "visited" },
    { 0x8A0F, "vista" },
    { 0x8A10, "vista_boat_animate" },
    { 0x8A11, "vista_boats" },
    { 0x8A12, "vista_element_link" },
    { 0x8A13, "vista_element_move" },
    { 0x8A14, "vista_fx" },
    { 0x8A15, "vista_oil_slicks" },
    { 0x8A16, "vista_pivot" },
    { 0x8A17, "vista_pre_load" },
    { 0x8A18, "vista_rig" },
    { 0x8A19, "vista_tilt" },
    { 0x8A1A, "vista_tilt_animnode" },
    { 0x8A1B, "vista_tilt_model" },
    { 0x8A1C, "vista_tilt_setup" },
    { 0x8A1D, "vista_vehicles" },
    { 0x8A1E, "visual" },
    { 0x8A1F, "visual_origin" },
    { 0x8A20, "visual_range_sq" },
    { 0x8A21, "visuals" },
    { 0x8A22, "vlength" },
    { 0x8A23, "vm_damaged_model" },
    { 0x8A24, "vm_fx_loc" },
    { 0x8A25, "vm_launch_from" },
    { 0x8A26, "vm_launch_to" },
    { 0x8A27, "vm_normal" },
    { 0x8A28, "vm_normal_model" },
    { 0x8A29, "vm_soda_model" },
    { 0x8A2A, "vm_soda_start_angle" },
    { 0x8A2B, "vm_soda_start_pos" },
    { 0x8A2C, "vm_soda_stop_angle" },
    { 0x8A2D, "vm_soda_stop_pos" },
    { 0x8A2E, "vnum" },
    { 0x8A2F, "vo_activity" },
    { 0x8A30, "vo_by_volume" },
    { 0x8A31, "vo_currently_playing" },
    { 0x8A32, "vo_expired" },
    { 0x8A33, "vo_flag_timer" },
    { 0x8A34, "vo_move_up" },
    { 0x8A35, "vo_prefix" },
    { 0x8A36, "vo_queue" },
    { 0x8A37, "vo_system" },
    { 0x8A38, "vo_tower_shoot" },
    { 0x8A39, "vo_wait" },
    { 0x8A3A, "voairdrop" },
    { 0x8A3B, "vodestroyed" },
    { 0x8A3C, "voff" },
    { 0x8A3D, "vogone" },
    { 0x8A3E, "voice" },
    { 0x8A3F, "voice_is_british_based" },
    { 0x8A40, "voicecanburst" },
    { 0x8A41, "voiceid" },
    { 0x8A42, "void" },
    { 0x8A43, "vojugg" },
    { 0x8A44, "vokillmulti" },
    { 0x8A45, "vokillsingle" },
    { 0x8A46, "vol" },
    { 0x8A47, "volume" },
    { 0x8A48, "volume_holding_state" },
    { 0x8A49, "volume_is_empty" },
    { 0x8A4A, "volume_waittill_no_axis" },
    { 0x8A4B, "vomarkedmulti" },
    { 0x8A4C, "vomarkedsingle" },
    { 0x8A4D, "vomarking" },
    { 0x8A4E, "vosmoke" },
    { 0x8A4F, "votimedout" },
    { 0x8A50, "votimeout" },
    { 0x8A51, "vpoint" },
    { 0x8A52, "vscale" },
    { 0x8A53, "vscrollrate" },
    { 0x8A54, "vtclassname" },
    { 0x8A55, "vtmodel" },
    { 0x8A56, "vtoverride" },
    { 0x8A57, "vttype" },
    { 0x8A58, "vulture" },
    { 0x8A59, "vulture_circle" },
    { 0x8A5A, "vulture_deletewithbody" },
    { 0x8A5B, "vulture_detect_damage" },
    { 0x8A5C, "vulture_idle" },
    { 0x8A5D, "vulture_loadfromstruct" },
    { 0x8A5E, "vulture_react" },
    { 0x8A5F, "vulture_savetostruct" },
    { 0x8A60, "vulture_savetostructandwaitfortriggerstart" },
    { 0x8A61, "vulture_waitforstart" },
    { 0x8A62, "vulture_waitfortriggerstop" },
    { 0x8A63, "vultures" },
    { 0x8A64, "w_alpha" },
    { 0x8A65, "wait_and_delete" },
    { 0x8A66, "wait_and_trigger_fx" },
    { 0x8A67, "wait_and_unhide_ascend_aim_assets" },
    { 0x8A68, "wait_anim_finished" },
    { 0x8A69, "wait_any_func_array" },
    { 0x8A6A, "wait_at_slow_door" },
    { 0x8A6B, "wait_commander_takeover_bot" },
    { 0x8A6C, "wait_endon" },
    { 0x8A6D, "wait_for_ability_use" },
    { 0x8A6E, "wait_for_all_aliens_killed" },
    { 0x8A6F, "wait_for_all_enemies_to_leave_volume" },
    { 0x8A70, "wait_for_all_player_use" },
    { 0x8A71, "wait_for_an_unlocked_trigger" },
    { 0x8A72, "wait_for_at_least_one_enemy_to_spawn" },
    { 0x8A73, "wait_for_breach_or_deletion" },
    { 0x8A74, "wait_for_buffer_time_to_pass" },
    { 0x8A75, "wait_for_bullet" },
    { 0x8A76, "wait_for_capture" },
    { 0x8A77, "wait_for_cut_rope" },
    { 0x8A78, "wait_for_damage_or_attack" },
    { 0x8A79, "wait_for_deck_transition_cleanup" },
    { 0x8A7A, "wait_for_disable_turret" },
    { 0x8A7B, "wait_for_dpad" },
    { 0x8A7C, "wait_for_drill_plant" },
    { 0x8A7D, "wait_for_either_trigger" },
    { 0x8A7E, "wait_for_escape_conditions_met" },
    { 0x8A7F, "wait_for_exit_revive_use_hold_think" },
    { 0x8A80, "wait_for_first_player_connect" },
    { 0x8A81, "wait_for_flag_or_time_elapses" },
    { 0x8A82, "wait_for_flag_or_timeout" },
    { 0x8A83, "wait_for_group_attack" },
    { 0x8A84, "wait_for_guy_to_die_or_get_in_position" },
    { 0x8A85, "wait_for_intro_vignette_use" },
    { 0x8A86, "wait_for_killanimscript_or_time" },
    { 0x8A87, "wait_for_not_using_remote" },
    { 0x8A88, "wait_for_notify_or_timeout" },
    { 0x8A89, "wait_for_nuke_detonate" },
    { 0x8A8A, "wait_for_pickup" },
    { 0x8A8B, "wait_for_player_approach" },
    { 0x8A8C, "wait_for_player_gas" },
    { 0x8A8D, "wait_for_player_movement_or_time" },
    { 0x8A8E, "wait_for_player_to_use_chair" },
    { 0x8A8F, "wait_for_player_to_use_ladder" },
    { 0x8A90, "wait_for_player_use_rourke" },
    { 0x8A91, "wait_for_proximity_check_activation" },
    { 0x8A92, "wait_for_ragdoll_pos" },
    { 0x8A93, "wait_for_reactivation" },
    { 0x8A94, "wait_for_reload" },
    { 0x8A95, "wait_for_reset" },
    { 0x8A96, "wait_for_rope_melee" },
    { 0x8A97, "wait_for_rpg_guy_to_appear" },
    { 0x8A98, "wait_for_script_noteworthy_trigger" },
    { 0x8A99, "wait_for_self_revive" },
    { 0x8A9A, "wait_for_sounddone_or_death" },
    { 0x8A9B, "wait_for_spawn_event_delay" },
    { 0x8A9C, "wait_for_special_spawn" },
    { 0x8A9D, "wait_for_special_spawn_trigs" },
    { 0x8A9E, "wait_for_targetname_trigger" },
    { 0x8A9F, "wait_for_time_then_shoot_bomb" },
    { 0x8AA0, "wait_for_trigger" },
    { 0x8AA1, "wait_for_trigger_or_timeout" },
    { 0x8AA2, "wait_for_trigger_think" },
    { 0x8AA3, "wait_for_trigger_timeout" },
    { 0x8AA4, "wait_for_use" },
    { 0x8AA5, "wait_for_valid_leap_melee" },
    { 0x8AA6, "wait_for_x_input" },
    { 0x8AA7, "wait_for_x_pressed" },
    { 0x8AA8, "wait_game_percent_complete" },
    { 0x8AA9, "wait_goal" },
    { 0x8AAA, "wait_incremental_nag_timer" },
    { 0x8AAB, "wait_keegan_drag" },
    { 0x8AAC, "wait_kill_me" },
    { 0x8AAD, "wait_player_not_in_open_or_needs_garage" },
    { 0x8AAE, "wait_resume_path" },
    { 0x8AAF, "wait_show_and_delete_debris" },
    { 0x8AB0, "wait_spreader_allotment" },
    { 0x8AB1, "wait_spreaders" },
    { 0x8AB2, "wait_teleport" },
    { 0x8AB3, "wait_then_check_if_player_touching_kill" },
    { 0x8AB4, "wait_then_fn" },
    { 0x8AB5, "wait_till_agent_funcs_defined" },
    { 0x8AB6, "wait_till_breach_end_conditions" },
    { 0x8AB7, "wait_till_distance_from_enemy" },
    { 0x8AB8, "wait_till_every_thing_stealth_normal_for" },
    { 0x8AB9, "wait_till_offscreen_then_delete" },
    { 0x8ABA, "wait_till_player_uses_terminal" },
    { 0x8ABB, "wait_till_reached_goal_or_distance_from_enemy" },
    { 0x8ABC, "wait_till_shot" },
    { 0x8ABD, "wait_to_be_revived" },
    { 0x8ABE, "wait_to_delete" },
    { 0x8ABF, "wait_to_give_rewards" },
    { 0x8AC0, "wait_to_go" },
    { 0x8AC1, "wait_to_wakeup_enemies" },
    { 0x8AC2, "wait_until_an_enemy_is_in_safe_area" },
    { 0x8AC3, "wait_until_anim_finishes" },
    { 0x8AC4, "wait_until_done_speaking" },
    { 0x8AC5, "wait_until_enemies_in_volume" },
    { 0x8AC6, "wait_until_vision_check_satisfied_or_disabled" },
    { 0x8AC7, "wait_until_volume_empty" },
    { 0x8AC8, "wait_while_color_status_in_green" },
    { 0x8AC9, "waitabit" },
    { 0x8ACA, "waitactivatebutton" },
    { 0x8ACB, "waitaftershot" },
    { 0x8ACC, "waitandanimate" },
    { 0x8ACD, "waitanddelete" },
    { 0x8ACE, "waitanddetonate" },
    { 0x8ACF, "waitandprocessplayerkilledcallback" },
    { 0x8AD0, "waitandspawnclient" },
    { 0x8AD1, "waitandspawnjugg" },
    { 0x8AD2, "waitdelay" },
    { 0x8AD3, "waitdelayminetime" },
    { 0x8AD4, "waitfor_merrick" },
    { 0x8AD5, "waitforairstrikecancel" },
    { 0x8AD6, "waitforbadpath" },
    { 0x8AD7, "waitforbadpathhorde" },
    { 0x8AD8, "waitforbark" },
    { 0x8AD9, "waitforblockedwhilestopping" },
    { 0x8ADA, "waitforbuddyspawntimer" },
    { 0x8ADB, "waitforchangeteam" },
    { 0x8ADC, "waitforchangeteams" },
    { 0x8ADD, "waitforclassselect" },
    { 0x8ADE, "waitforconfirmation" },
    { 0x8ADF, "waitfordisco" },
    { 0x8AE0, "waitfordodgechance" },
    { 0x8AE1, "waitfordrivenchange" },
    { 0x8AE2, "waitfordropcratemsg" },
    { 0x8AE3, "waitforfacesound" },
    { 0x8AE4, "waitforfacialanim" },
    { 0x8AE5, "waitforfollowspeed" },
    { 0x8AE6, "waitforjumpsoon" },
    { 0x8AE7, "waitforlandimpact" },
    { 0x8AE8, "waitformovemodechange" },
    { 0x8AE9, "waitfornearmiss" },
    { 0x8AEA, "waitforpathgoalpos" },
    { 0x8AEB, "waitforpathset" },
    { 0x8AEC, "waitforpathsetwhilestopping" },
    { 0x8AED, "waitforplayerrespawnchoice" },
    { 0x8AEE, "waitforplayers" },
    { 0x8AEF, "waitforragdoll" },
    { 0x8AF0, "waitforratechange" },
    { 0x8AF1, "waitforrunwalkchange" },
    { 0x8AF2, "waitforrunwalkslopechange" },
    { 0x8AF3, "waitforsharpturn" },
    { 0x8AF4, "waitforsharpturnduringsharpturn" },
    { 0x8AF5, "waitforsharpturnwhilestopping" },
    { 0x8AF6, "waitforstancechange" },
    { 0x8AF7, "waitforstatechange" },
    { 0x8AF8, "waitforstop" },
    { 0x8AF9, "waitforstopearly" },
    { 0x8AFA, "waitforstuck" },
    { 0x8AFB, "waitfortimeornotifies" },
    { 0x8AFC, "waitfortimeornotify" },
    { 0x8AFD, "waitforturretready" },
    { 0x8AFE, "waitframe" },
    { 0x8AFF, "waiticonactive" },
    { 0x8B00, "waitill_damage_or_death" },
    { 0x8B01, "waiting" },
    { 0x8B02, "waiting_for_queue" },
    { 0x8B03, "waiting_for_sound" },
    { 0x8B04, "waitingforgate" },
    { 0x8B05, "waitingtodeactivate" },
    { 0x8B06, "waitingtoselectclass" },
    { 0x8B07, "waitingtospawn" },
    { 0x8B08, "waitingtospawnamortize" },
    { 0x8B09, "waitinlaststand" },
    { 0x8B0A, "waitinspecator" },
    { 0x8B0B, "waitloadoutdone" },
    { 0x8B0C, "waitlongdurationwithgameendtimeupdate" },
    { 0x8B0D, "waitlongdurationwithhostmigrationpause" },
    { 0x8B0E, "waitontargetordeath" },
    { 0x8B0F, "waitreplaysmokefxfornewplayer" },
    { 0x8B10, "waitrequirevisibility" },
    { 0x8B11, "waitrespawnbutton" },
    { 0x8B12, "waitrestoreperks" },
    { 0x8B13, "waitrestoreweapons" },
    { 0x8B14, "waitsetstates" },
    { 0x8B15, "waitsetstop" },
    { 0x8B16, "waitsetthermal" },
    { 0x8B17, "waitskipkillcambutton" },
    { 0x8B18, "waitskipkillcambuttonduringdeathtimer" },
    { 0x8B19, "waitskipkillcamduringdeathtimer" },
    { 0x8B1A, "waitsmoketime" },
    { 0x8B1B, "waitspread_code" },
    { 0x8B1C, "waitspread_insert" },
    { 0x8B1D, "waitsuppresstimeout" },
    { 0x8B1E, "waittakekillstreakweapon" },
    { 0x8B1F, "waitthenflashhudtimer" },
    { 0x8B20, "waittill_abort_func_ends" },
    { 0x8B21, "waittill_aigroup_count_or_timeout" },
    { 0x8B22, "waittill_aigroup_count_or_trigger" },
    { 0x8B23, "waittill_aigroupcleared" },
    { 0x8B24, "waittill_aigroupcount" },
    { 0x8B25, "waittill_aigroupcount_or_trigger_targetname" },
    { 0x8B26, "waittill_allies_at_goal" },
    { 0x8B27, "waittill_allies_exit" },
    { 0x8B28, "waittill_allies_out_of_fire_blocker" },
    { 0x8B29, "waittill_ally_goals" },
    { 0x8B2A, "waittill_any" },
    { 0x8B2B, "waittill_any_ents" },
    { 0x8B2C, "waittill_any_in_array_or_timeout" },
    { 0x8B2D, "waittill_any_in_array_or_timeout_no_endon_death" },
    { 0x8B2E, "waittill_any_in_array_return" },
    { 0x8B2F, "waittill_any_in_array_return_no_endon_death" },
    { 0x8B30, "waittill_any_of_these_take_damage" },
    { 0x8B31, "waittill_any_or_timeout" },
    { 0x8B32, "waittill_any_plus_return" },
    { 0x8B33, "waittill_any_return" },
    { 0x8B34, "waittill_any_return_no_endon_death" },
    { 0x8B35, "waittill_any_timeout" },
    { 0x8B36, "waittill_any_timeout_no_endon_death" },
    { 0x8B37, "waittill_any_timeout_pause_on_death_and_prematch" },
    { 0x8B38, "waittill_any_triggered_return_triggerer" },
    { 0x8B39, "waittill_array_dead" },
    { 0x8B3A, "waittill_binoculars_active" },
    { 0x8B3B, "waittill_breach_enemy_dead" },
    { 0x8B3C, "waittill_clockambush_driver_dead" },
    { 0x8B3D, "waittill_clockambush_end_enemies" },
    { 0x8B3E, "waittill_combat" },
    { 0x8B3F, "waittill_combat_wait" },
    { 0x8B40, "waittill_control_panel_notetrack" },
    { 0x8B41, "waittill_copier_copies" },
    { 0x8B42, "waittill_damage_done" },
    { 0x8B43, "waittill_damage_flag_set" },
    { 0x8B44, "waittill_danger" },
    { 0x8B45, "waittill_danger_or_trigger" },
    { 0x8B46, "waittill_dead" },
    { 0x8B47, "waittill_dead_or_dying" },
    { 0x8B48, "waittill_dead_or_dying_thread" },
    { 0x8B49, "waittill_dead_set_flag" },
    { 0x8B4A, "waittill_dead_thread" },
    { 0x8B4B, "waittill_dead_timeout" },
    { 0x8B4C, "waittill_death" },
    { 0x8B4D, "waittill_death_respawn" },
    { 0x8B4E, "waittill_dropoff_height" },
    { 0x8B4F, "waittill_either" },
    { 0x8B50, "waittill_either_function" },
    { 0x8B51, "waittill_either_function_internal" },
    { 0x8B52, "waittill_either_in_position_or_nuke" },
    { 0x8B53, "waittill_end_of_anim_for_loop" },
    { 0x8B54, "waittill_enemies_above_killed" },
    { 0x8B55, "waittill_enemy_count_or_flag" },
    { 0x8B56, "waittill_enemy_count_or_trigger" },
    { 0x8B57, "waittill_enemy_num_remaining" },
    { 0x8B58, "waittill_ent1_in_z_range_of_ent2" },
    { 0x8B59, "waittill_ent_moving_dir_world_relative" },
    { 0x8B5A, "waittill_entity_in_range" },
    { 0x8B5B, "waittill_entity_in_range_or_timeout" },
    { 0x8B5C, "waittill_entity_out_of_range" },
    { 0x8B5D, "waittill_finish_moving" },
    { 0x8B5E, "waittill_fired_or_timeout" },
    { 0x8B5F, "waittill_forceviewmodel_done" },
    { 0x8B60, "waittill_forceviewmodel_weapon_ready" },
    { 0x8B61, "waittill_forever" },
    { 0x8B62, "waittill_func" },
    { 0x8B63, "waittill_func_ends" },
    { 0x8B64, "waittill_goal" },
    { 0x8B65, "waittill_goal_and_animate" },
    { 0x8B66, "waittill_goal_and_set_flag_to_cave" },
    { 0x8B67, "waittill_goal_or_dist" },
    { 0x8B68, "waittill_grenade_fire" },
    { 0x8B69, "waittill_in_range" },
    { 0x8B6A, "waittill_kickoff_zodiac" },
    { 0x8B6B, "waittill_knockdown_moment" },
    { 0x8B6C, "waittill_look_yaw" },
    { 0x8B6D, "waittill_looking" },
    { 0x8B6E, "waittill_match_or_timeout" },
    { 0x8B6F, "waittill_missile_fire" },
    { 0x8B70, "waittill_movement" },
    { 0x8B71, "waittill_msg" },
    { 0x8B72, "waittill_msg_or_timeout" },
    { 0x8B73, "waittill_multiple" },
    { 0x8B74, "waittill_multiple_ents" },
    { 0x8B75, "waittill_my_death" },
    { 0x8B76, "waittill_no_char_dialog" },
    { 0x8B77, "waittill_no_radio_dialog" },
    { 0x8B78, "waittill_notetrack_or_damage" },
    { 0x8B79, "waittill_notify" },
    { 0x8B7A, "waittill_notify_flag_set" },
    { 0x8B7B, "waittill_notify_func" },
    { 0x8B7C, "waittill_notify_or_timeout" },
    { 0x8B7D, "waittill_notify_or_timeout_hostmigration_pause" },
    { 0x8B7E, "waittill_notify_or_timeout_return" },
    { 0x8B7F, "waittill_nt" },
    { 0x8B80, "waittill_objective_event" },
    { 0x8B81, "waittill_objective_event_notrigger" },
    { 0x8B82, "waittill_objective_event_proc" },
    { 0x8B83, "waittill_or_timeout" },
    { 0x8B84, "waittill_player_advances_or_timeout" },
    { 0x8B85, "waittill_player_close_to" },
    { 0x8B86, "waittill_player_close_to_or_aiming_at" },
    { 0x8B87, "waittill_player_lookat" },
    { 0x8B88, "waittill_player_lookat_drone" },
    { 0x8B89, "waittill_player_lookat_for_time" },
    { 0x8B8A, "waittill_player_lookat_on_dog" },
    { 0x8B8B, "waittill_player_looking_at_ent" },
    { 0x8B8C, "waittill_player_looking_at_rorke" },
    { 0x8B8D, "waittill_player_moves_or_timeout_controller" },
    { 0x8B8E, "waittill_player_moves_or_timeout_kb" },
    { 0x8B8F, "waittill_player_not_behind_me" },
    { 0x8B90, "waittill_player_not_holding_fire_trigger_or_overheat" },
    { 0x8B91, "waittill_player_not_lookat_me" },
    { 0x8B92, "waittill_player_not_looking" },
    { 0x8B93, "waittill_player_out_of_trigger" },
    { 0x8B94, "waittill_player_triggers_stealth_kill" },
    { 0x8B95, "waittill_proximity" },
    { 0x8B96, "waittill_ready_to_do_smoke" },
    { 0x8B97, "waittill_real_goal" },
    { 0x8B98, "waittill_scene_over_enable_weapons" },
    { 0x8B99, "waittill_spawner_spawns" },
    { 0x8B9A, "waittill_spawners_empty" },
    { 0x8B9B, "waittill_stable" },
    { 0x8B9C, "waittill_stealth_notify" },
    { 0x8B9D, "waittill_still" },
    { 0x8B9E, "waittill_string" },
    { 0x8B9F, "waittill_string_no_endon_death" },
    { 0x8BA0, "waittill_targetname_volume_dead_then_set_flag" },
    { 0x8BA1, "waittill_time_out" },
    { 0x8BA2, "waittill_trig_or_time_out" },
    { 0x8BA3, "waittill_trigger" },
    { 0x8BA4, "waittill_trigger_activate_looking_at" },
    { 0x8BA5, "waittill_trigger_ent" },
    { 0x8BA6, "waittill_trigger_ent_targetname" },
    { 0x8BA7, "waittill_trigger_targetname" },
    { 0x8BA8, "waittill_triggered_current" },
    { 0x8BA9, "waittill_true_goal" },
    { 0x8BAA, "waittill_turret_is_released" },
    { 0x8BAB, "waittill_volume_dead" },
    { 0x8BAC, "waittill_volume_dead_or_dying" },
    { 0x8BAD, "waittill_volume_dead_then_set_flag" },
    { 0x8BAE, "waittill_weapon_placed" },
    { 0x8BAF, "waittill_x_passed" },
    { 0x8BB0, "waittill_y_passed" },
    { 0x8BB1, "waittilldeathorempty" },
    { 0x8BB2, "waittilldeathorleavesquad" },
    { 0x8BB3, "waittilldeathorpaindeath" },
    { 0x8BB4, "waittilldeletedordeath" },
    { 0x8BB5, "waittillenabled" },
    { 0x8BB6, "waittillend_of_anim_set_walk" },
    { 0x8BB7, "waittillfinalkillcamdone" },
    { 0x8BB8, "waittillgrenadedrops" },
    { 0x8BB9, "waittillhelisdead" },
    { 0x8BBA, "waittillhostmigrationdone" },
    { 0x8BBB, "waittillhostmigrationstarts" },
    { 0x8BBC, "waittillkillcamover" },
    { 0x8BBD, "waittillplayerishitagain" },
    { 0x8BBE, "waittillrecoveredhealth" },
    { 0x8BBF, "waittillreloadfinished" },
    { 0x8BC0, "waittillrestartordistance" },
    { 0x8BC1, "waittillslowprocessallowed" },
    { 0x8BC2, "waittilltanksdead" },
    { 0x8BC3, "waittillthread" },
    { 0x8BC4, "waittillthread_proc" },
    { 0x8BC5, "waittimebetweenregen" },
    { 0x8BC6, "waittimeifplayerishit" },
    { 0x8BC7, "waittimeoruntilturretstatechange" },
    { 0x8BC8, "waittoturnlightson" },
    { 0x8BC9, "waituntilmatchstart" },
    { 0x8BCA, "waituntilnotetrack" },
    { 0x8BCB, "waituntilwaverelease" },
    { 0x8BCC, "wake" },
    { 0x8BCD, "wake_fx" },
    { 0x8BCE, "wake_org" },
    { 0x8BCF, "wake_up" },
    { 0x8BD0, "wakeup_drone_kill" },
    { 0x8BD1, "wakeup_enemies" },
    { 0x8BD2, "wakeup_on_knife" },
    { 0x8BD3, "wakeup_to_enemy" },
    { 0x8BD4, "wakeup_to_player_damage" },
    { 0x8BD5, "wakeup_to_player_distance" },
    { 0x8BD6, "walk_accuracy" },
    { 0x8BD7, "walk_override_weights" },
    { 0x8BD8, "walk_overrideanim" },
    { 0x8BD9, "walk_patrol_loop" },
    { 0x8BDA, "walk_up_amount" },
    { 0x8BDB, "walkdist_reset" },
    { 0x8BDC, "walkdist_zero" },
    { 0x8BDD, "walkers" },
    { 0x8BDE, "walkin_anim" },
    { 0x8BDF, "walkout_do_start_transition_anim" },
    { 0x8BE0, "walkout_do_stop_transition_anim" },
    { 0x8BE1, "walkout_idle" },
    { 0x8BE2, "walkout_jet_attack" },
    { 0x8BE3, "walkout_vo" },
    { 0x8BE4, "walkway_collapse" },
    { 0x8BE5, "walkway_collapse_clip_hide" },
    { 0x8BE6, "walkway_collapse_clip_show" },
    { 0x8BE7, "walkway_collapse_group" },
    { 0x8BE8, "walkway_collapse_hide" },
    { 0x8BE9, "walkway_collapse_hurt_trigger" },
    { 0x8BEA, "walkway_collapse_hurt_trigger_stop" },
    { 0x8BEB, "walkway_collapse_show" },
    { 0x8BEC, "walkway_play_fx" },
    { 0x8BED, "walkway_wait" },
    { 0x8BEE, "walkway_wait_dvar" },
    { 0x8BEF, "walkway_wait_trigger" },
    { 0x8BF0, "wall_chunks_hide" },
    { 0x8BF1, "wall_chunks_show" },
    { 0x8BF2, "wall_friction_enabled" },
    { 0x8BF3, "wall_friction_offset_dist" },
    { 0x8BF4, "wall_friction_trace_dist" },
    { 0x8BF5, "wall_hop_human" },
    { 0x8BF6, "wall_kick_func" },
    { 0x8BF7, "wall_leap_melee" },
    { 0x8BF8, "wall_leap_melee_node" },
    { 0x8BF9, "wall_lights" },
    { 0x8BFA, "wall_lights_think" },
    { 0x8BFB, "wall_push" },
    { 0x8BFC, "wall_ride_cilivians" },
    { 0x8BFD, "walla" },
    { 0x8BFE, "walldowncheck" },
    { 0x8BFF, "wander_redirect_time" },
    { 0x8C00, "wants_to_fire" },
    { 0x8C01, "wantsafespawn" },
    { 0x8C02, "wantsbattlebuddy" },
    { 0x8C03, "wantshotgun" },
    { 0x8C04, "wantstogrowlattarget" },
    { 0x8C05, "wanttoattacktargetbutcant" },
    { 0x8C06, "warehouse_ambient_animated_enemies" },
    { 0x8C07, "warehouse_bay_doors" },
    { 0x8C08, "warehouse_begin" },
    { 0x8C09, "warehouse_collision_hacks_toggle" },
    { 0x8C0A, "warehouse_combat" },
    { 0x8C0B, "warehouse_double_doors" },
    { 0x8C0C, "warehouse_elevator" },
    { 0x8C0D, "warehouse_elevator_doors" },
    { 0x8C0E, "warehouse_elevator_mantle_left" },
    { 0x8C0F, "warehouse_elevator_mantle_right" },
    { 0x8C10, "warehouse_elevator_origin" },
    { 0x8C11, "warehouse_elevator_platform" },
    { 0x8C12, "warehouse_elevator_setup" },
    { 0x8C13, "warehouse_elevator_struct" },
    { 0x8C14, "warehouse_enemies" },
    { 0x8C15, "warehouse_enemies_right_flank_setup" },
    { 0x8C16, "warehouse_enemies_run_in_1" },
    { 0x8C17, "warehouse_enemy_ambient_runners_setup" },
    { 0x8C18, "warehouse_enemy_ambient_setup" },
    { 0x8C19, "warehouse_enemy_last_wave_setup" },
    { 0x8C1A, "warehouse_enemy_lift_setup" },
    { 0x8C1B, "warehouse_enemy_setup" },
    { 0x8C1C, "warehouse_enemy_upper_setup" },
    { 0x8C1D, "warehouse_init" },
    { 0x8C1E, "warehouse_last_push" },
    { 0x8C1F, "warehouse_lift" },
    { 0x8C20, "warehouse_lift_enemy_1_origin" },
    { 0x8C21, "warehouse_lift_enemy_2" },
    { 0x8C22, "warehouse_lift_enemy_2_origin" },
    { 0x8C23, "warehouse_lift_tag_origin" },
    { 0x8C24, "warehouse_main" },
    { 0x8C25, "warehouse_right_flank" },
    { 0x8C26, "warehouse_right_flank_threatbiasgroup" },
    { 0x8C27, "warehouse_stairs_start" },
    { 0x8C28, "warehouse_stairs_start_spawn" },
    { 0x8C29, "warelights_off" },
    { 0x8C2A, "warhawk" },
    { 0x8C2B, "warhawkcustombotkillstreakfunc" },
    { 0x8C2C, "warhawkcustomcratefunc" },
    { 0x8C2D, "warhawkcustomkillstreakfunc" },
    { 0x8C2E, "warn_all_players" },
    { 0x8C2F, "warn_facial_dialogue_too_many" },
    { 0x8C30, "warn_facial_dialogue_unspoken" },
    { 0x8C31, "warn_player" },
    { 0x8C32, "warningradiussq" },
    { 0x8C33, "warningzheight" },
    { 0x8C34, "warp_up_friendlies_if_necessary" },
    { 0x8C35, "warthog" },
    { 0x8C36, "warthog_crash_roll" },
    { 0x8C37, "warthog_player_crash" },
    { 0x8C38, "warthog_player_fadeout_crash" },
    { 0x8C39, "warthog_player_tower_crash" },
    { 0x8C3A, "was_headshot" },
    { 0x8C3B, "was_in_thermal" },
    { 0x8C3C, "was_running" },
    { 0x8C3D, "was_spotted" },
    { 0x8C3E, "was_walking" },
    { 0x8C3F, "wasaliveatmatchstart" },
    { 0x8C40, "wasallowingpain" },
    { 0x8C41, "waschained" },
    { 0x8C42, "wascooked" },
    { 0x8C43, "wascqb" },
    { 0x8C44, "wasdamaged" },
    { 0x8C45, "wasdamagedbyexplosive" },
    { 0x8C46, "wasdamagedfrombulletpenetration" },
    { 0x8C47, "wasfacingmotion" },
    { 0x8C48, "wasflashbangimmune" },
    { 0x8C49, "waslastround" },
    { 0x8C4A, "wasonlyround" },
    { 0x8C4B, "waspreviouslyincover" },
    { 0x8C4C, "wasswitchingteamsforonplayerkilled" },
    { 0x8C4D, "wasti" },
    { 0x8C4E, "waswinning" },
    { 0x8C4F, "watch3dping" },
    { 0x8C50, "watch3dpingtimeout" },
    { 0x8C51, "watch_active_zones" },
    { 0x8C52, "watch_alien_soflam_usage" },
    { 0x8C53, "watch_alien_soflam_weaponswitch" },
    { 0x8C54, "watch_allow_dynamic_events" },
    { 0x8C55, "watch_ally_throw_end_smoke" },
    { 0x8C56, "watch_ammo" },
    { 0x8C57, "watch_anim_end" },
    { 0x8C58, "watch_attack" },
    { 0x8C59, "watch_backfill" },
    { 0x8C5A, "watch_baker_prepare_to_leave_trig" },
    { 0x8C5B, "watch_bot_died_during_crate" },
    { 0x8C5C, "watch_bot_died_during_revive" },
    { 0x8C5D, "watch_bullet_fired" },
    { 0x8C5E, "watch_charge_hit" },
    { 0x8C5F, "watch_clacker" },
    { 0x8C60, "watch_color_change_on_guard" },
    { 0x8C61, "watch_convoy_trig" },
    { 0x8C62, "watch_damage" },
    { 0x8C63, "watch_damage_to_rooftop_destructibles" },
    { 0x8C64, "watch_dog_hot_dog" },
    { 0x8C65, "watch_drill_depth_for_vo" },
    { 0x8C66, "watch_drill_detonated" },
    { 0x8C67, "watch_drill_health_for_challenge" },
    { 0x8C68, "watch_dryfire" },
    { 0x8C69, "watch_end_switchblade" },
    { 0x8C6A, "watch_enemy_for_damage" },
    { 0x8C6B, "watch_footstep_notetrack" },
    { 0x8C6C, "watch_for_air_drop_death" },
    { 0x8C6D, "watch_for_ally" },
    { 0x8C6E, "watch_for_ally_see_convoy" },
    { 0x8C6F, "watch_for_badpath" },
    { 0x8C70, "watch_for_damage" },
    { 0x8C71, "watch_for_death" },
    { 0x8C72, "watch_for_death_and_alert_all_in_volume" },
    { 0x8C73, "watch_for_death_to_notify_vo" },
    { 0x8C74, "watch_for_end_of_sniping" },
    { 0x8C75, "watch_for_hashima_missiles_crate" },
    { 0x8C76, "watch_for_insolid" },
    { 0x8C77, "watch_for_letter_reset" },
    { 0x8C78, "watch_for_nuke_activation" },
    { 0x8C79, "watch_for_player_death" },
    { 0x8C7A, "watch_for_player_grenade" },
    { 0x8C7B, "watch_for_player_on_train" },
    { 0x8C7C, "watch_for_player_to_break_stealth" },
    { 0x8C7D, "watch_for_player_to_shoot_while_enemy_in_volume" },
    { 0x8C7E, "watch_for_player_to_shoot_while_in_volume" },
    { 0x8C7F, "watch_for_remote_turret_activate" },
    { 0x8C80, "watch_for_round_room_combat" },
    { 0x8C81, "watch_for_scripted" },
    { 0x8C82, "watch_for_shockwave_hit" },
    { 0x8C83, "watch_for_snow_satellite_crate" },
    { 0x8C84, "watch_for_sovereign_gas_crate" },
    { 0x8C85, "watch_for_strikezone_rog_crate" },
    { 0x8C86, "watch_for_use" },
    { 0x8C87, "watch_for_warhawk_mortars_crate" },
    { 0x8C88, "watch_glass" },
    { 0x8C89, "watch_glass_shot" },
    { 0x8C8A, "watch_goal_aborted" },
    { 0x8C8B, "watch_goalvolume" },
    { 0x8C8C, "watch_guard_me" },
    { 0x8C8D, "watch_hit_player" },
    { 0x8C8E, "watch_if_used" },
    { 0x8C8F, "watch_input" },
    { 0x8C90, "watch_input_infil" },
    { 0x8C91, "watch_input_old" },
    { 0x8C92, "watch_inside_trigger" },
    { 0x8C93, "watch_laser" },
    { 0x8C94, "watch_last_truck" },
    { 0x8C95, "watch_light_fx" },
    { 0x8C96, "watch_node_chance" },
    { 0x8C97, "watch_nodes" },
    { 0x8C98, "watch_nodes_aborted" },
    { 0x8C99, "watch_nodes_stop" },
    { 0x8C9A, "watch_out_of_ammo" },
    { 0x8C9B, "watch_outside_trigger" },
    { 0x8C9C, "watch_patrollers" },
    { 0x8C9D, "watch_placed_sentry" },
    { 0x8C9E, "watch_player" },
    { 0x8C9F, "watch_player_after_shadow_kill" },
    { 0x8CA0, "watch_player_button_press" },
    { 0x8CA1, "watch_player_disengage" },
    { 0x8CA2, "watch_player_escape" },
    { 0x8CA3, "watch_player_for_attack" },
    { 0x8CA4, "watch_player_for_trigger" },
    { 0x8CA5, "watch_player_in_volume" },
    { 0x8CA6, "watch_player_leave_area" },
    { 0x8CA7, "watch_player_left_stick" },
    { 0x8CA8, "watch_player_onroof_timer" },
    { 0x8CA9, "watch_player_pitch_in_volume" },
    { 0x8CAA, "watch_player_pos" },
    { 0x8CAB, "watch_player_push_volume" },
    { 0x8CAC, "watch_player_wake_scientists" },
    { 0x8CAD, "watch_players_connecting" },
    { 0x8CAE, "watch_players_onoff_turret" },
    { 0x8CAF, "watch_pod" },
    { 0x8CB0, "watch_pod_blocker" },
    { 0x8CB1, "watch_push_knife_throw" },
    { 0x8CB2, "watch_remove_hint" },
    { 0x8CB3, "watch_sentry_badplace" },
    { 0x8CB4, "watch_smoke" },
    { 0x8CB5, "watch_special_spawn_trig" },
    { 0x8CB6, "watch_target_player" },
    { 0x8CB7, "watch_throwing_knife" },
    { 0x8CB8, "watch_throwing_knife_land" },
    { 0x8CB9, "watch_tick" },
    { 0x8CBA, "watch_to_repair" },
    { 0x8CBB, "watch_tv_for_damage" },
    { 0x8CBC, "watch_vertical_limit" },
    { 0x8CBD, "watch_waterlevel" },
    { 0x8CBE, "watch_weaponswitch" },
    { 0x8CBF, "watch_while_in_volume_and_set_flag_when_out" },
    { 0x8CC0, "watchads" },
    { 0x8CC1, "watchairdropmarker" },
    { 0x8CC2, "watchairdropmarkerusage" },
    { 0x8CC3, "watchairdropuse" },
    { 0x8CC4, "watchairdropweaponchange" },
    { 0x8CC5, "watchattackstate" },
    { 0x8CC6, "watchattackstatefunc" },
    { 0x8CC7, "watchbackbuttonpress" },
    { 0x8CC8, "watchbarking" },
    { 0x8CC9, "watchbomb" },
    { 0x8CCA, "watchbombstuck" },
    { 0x8CCB, "watchbombtimer" },
    { 0x8CCC, "watchc4" },
    { 0x8CCD, "watchc4altdetonate" },
    { 0x8CCE, "watchc4altdetonation" },
    { 0x8CCF, "watchc4detonation" },
    { 0x8CD0, "watchc4stuck" },
    { 0x8CD1, "watchclaymores" },
    { 0x8CD2, "watchcloseinterrupted" },
    { 0x8CD3, "watchcombatspeedscaler" },
    { 0x8CD4, "watchconnectedplayfx" },
    { 0x8CD5, "watchdamage" },
    { 0x8CD6, "watchdeath" },
    { 0x8CD7, "watchdeployablemarkercancel" },
    { 0x8CD8, "watchdeployablemarkerplacement" },
    { 0x8CD9, "watchdisablejuggernaut" },
    { 0x8CDA, "watchdisconnect" },
    { 0x8CDB, "watchdisconnectendgame" },
    { 0x8CDC, "watchdrop" },
    { 0x8CDD, "watchdvars" },
    { 0x8CDE, "watchearlyexit" },
    { 0x8CDF, "watchempdamage" },
    { 0x8CE0, "watchenablejuggernaut" },
    { 0x8CE1, "watchendgame" },
    { 0x8CE2, "watchenemyvelocity" },
    { 0x8CE3, "watchenterandexit" },
    { 0x8CE4, "watchfavoriteenemydeath" },
    { 0x8CE5, "watchflamingriotshield" },
    { 0x8CE6, "watchforclasschange" },
    { 0x8CE7, "watchforhuntedelimination" },
    { 0x8CE8, "watchforhunterdeath" },
    { 0x8CE9, "watchforincomingfire" },
    { 0x8CEA, "watchforleavegame" },
    { 0x8CEB, "watchforneedtoturnortimeout" },
    { 0x8CEC, "watchforplayerdisconnect" },
    { 0x8CED, "watchforrandomspawnbutton" },
    { 0x8CEE, "watchforslide" },
    { 0x8CEF, "watchfortbag" },
    { 0x8CF0, "watchforteamchange" },
    { 0x8CF1, "watchforthreat" },
    { 0x8CF2, "watchgoalchanged" },
    { 0x8CF3, "watchgrenadedeath" },
    { 0x8CF4, "watchgrenadetowardsplayer" },
    { 0x8CF5, "watchgrenadetowardsplayerinternal" },
    { 0x8CF6, "watchgrenadetowardsplayertimeout" },
    { 0x8CF7, "watchgrenadeusage" },
    { 0x8CF8, "watchhighlightfadetime" },
    { 0x8CF9, "watchhitbymissile" },
    { 0x8CFA, "watchhvtowner" },
    { 0x8CFB, "watchintrocleared" },
    { 0x8CFC, "watchjavelinusage" },
    { 0x8CFD, "watchjoinedteamplayfx" },
    { 0x8CFE, "watchjuggernautdeath" },
    { 0x8CFF, "watchjuggernautuse" },
    { 0x8D00, "watchlargeroduse" },
    { 0x8D01, "watchmarkinguse" },
    { 0x8D02, "watchminimap" },
    { 0x8D03, "watchminitargetdeath" },
    { 0x8D04, "watchminitargetdistance" },
    { 0x8D05, "watchminitargetthreat" },
    { 0x8D06, "watchmissileusage" },
    { 0x8D07, "watchoffhandcancel" },
    { 0x8D08, "watchowner" },
    { 0x8D09, "watchownerdamage" },
    { 0x8D0A, "watchownerdeath" },
    { 0x8D0B, "watchownermessageondeath" },
    { 0x8D0C, "watchownerteamchange" },
    { 0x8D0D, "watchpainteddeath" },
    { 0x8D0E, "watchpickup" },
    { 0x8D0F, "watchplayerenterwater" },
    { 0x8D10, "watchprojectileonminimap" },
    { 0x8D11, "watchproximity" },
    { 0x8D12, "watchrangerusage" },
    { 0x8D13, "watchreload" },
    { 0x8D14, "watchreloading" },
    { 0x8D15, "watchrevengedeath" },
    { 0x8D16, "watchrevengedisconnected" },
    { 0x8D17, "watchrevengekill" },
    { 0x8D18, "watchrevengevictimdisconnected" },
    { 0x8D19, "watchroundend" },
    { 0x8D1A, "watchsamproximity" },
    { 0x8D1B, "watchselectbuttonpress" },
    { 0x8D1C, "watchsentryusage" },
    { 0x8D1D, "watchshockwaves" },
    { 0x8D1E, "watchshootentvelocity" },
    { 0x8D1F, "watchshotgunswitchnotetracks" },
    { 0x8D20, "watchsmallroduse" },
    { 0x8D21, "watchsmokeexplode" },
    { 0x8D22, "watchsmokeuse" },
    { 0x8D23, "watchsoflamusage" },
    { 0x8D24, "watchstartweaponchange" },
    { 0x8D25, "watchstingerproximity" },
    { 0x8D26, "watchstingerusage" },
    { 0x8D27, "watchstoppingpowerkill" },
    { 0x8D28, "watchstoprevenge" },
    { 0x8D29, "watchsuppression" },
    { 0x8D2A, "watchtargetdeath" },
    { 0x8D2B, "watchtargetlos" },
    { 0x8D2C, "watchthrowableitems" },
    { 0x8D2D, "watchthrowableitemstopped" },
    { 0x8D2E, "watchtimeout" },
    { 0x8D2F, "watchuse" },
    { 0x8D30, "watchvehtargetcrash" },
    { 0x8D31, "watchvehtargetdeath" },
    { 0x8D32, "watchvelocity" },
    { 0x8D33, "watchweaponchange" },
    { 0x8D34, "watchweaponpickuphorde" },
    { 0x8D35, "watchweaponreload" },
    { 0x8D36, "watchweaponswitch" },
    { 0x8D37, "watchweaponusage" },
    { 0x8D38, "water_current" },
    { 0x8D39, "water_current_delta" },
    { 0x8D3A, "water_death_fx" },
    { 0x8D3B, "water_drops_on_ocean" },
    { 0x8D3C, "water_fx" },
    { 0x8D3D, "water_fx_plume" },
    { 0x8D3E, "water_fx_ring" },
    { 0x8D3F, "water_hit" },
    { 0x8D40, "water_hit_player" },
    { 0x8D41, "water_kill_trigger" },
    { 0x8D42, "water_level" },
    { 0x8D43, "water_level_z" },
    { 0x8D44, "water_particulates" },
    { 0x8D45, "water_particulates_while_moving" },
    { 0x8D46, "water_plume_inc" },
    { 0x8D47, "water_plume_next" },
    { 0x8D48, "water_push_player" },
    { 0x8D49, "water_shutdown_exploder_manager" },
    { 0x8D4A, "water_splash" },
    { 0x8D4B, "water_splash_function" },
    { 0x8D4C, "water_splash_info" },
    { 0x8D4D, "water_splash_reset_function" },
    { 0x8D4E, "water_splash_reset_hovercraft" },
    { 0x8D4F, "water_splash_single" },
    { 0x8D50, "water_splash_trigger" },
    { 0x8D51, "water_supression_level" },
    { 0x8D52, "water_surface_think" },
    { 0x8D53, "water_tag_trace_cache" },
    { 0x8D54, "water_tags" },
    { 0x8D55, "waterball_alley_setup" },
    { 0x8D56, "waterball_alley_spawn" },
    { 0x8D57, "waterball_alley_stream_setup" },
    { 0x8D58, "waterball_alley_stream_spawn" },
    { 0x8D59, "waterball_debris_whee" },
    { 0x8D5A, "waterball_get_pathnodes" },
    { 0x8D5B, "waterball_loadingdocks_floor" },
    { 0x8D5C, "waterball_loadingdocks_setup" },
    { 0x8D5D, "waterball_loadingdocks_spawn" },
    { 0x8D5E, "waterball_main_setup" },
    { 0x8D5F, "waterball_main_side_setup" },
    { 0x8D60, "waterball_main_side_spawn" },
    { 0x8D61, "waterball_main_spawn" },
    { 0x8D62, "waterball_main_startfx" },
    { 0x8D63, "waterball_main_stream" },
    { 0x8D64, "waterball_main_stream_setup" },
    { 0x8D65, "waterball_play_bigfx" },
    { 0x8D66, "waterball_play_fx" },
    { 0x8D67, "waterball_play_smallfx" },
    { 0x8D68, "waterball_play_smallfx_fast" },
    { 0x8D69, "waterball_test" },
    { 0x8D6A, "waterdrops_once" },
    { 0x8D6B, "waterfall_check_patrollers" },
    { 0x8D6C, "waterfall_execution" },
    { 0x8D6D, "waterfall_goes_hot" },
    { 0x8D6E, "waterfx" },
    { 0x8D6F, "waterlevel_hack" },
    { 0x8D70, "watershallowfx" },
    { 0x8D71, "watershallowinit" },
    { 0x8D72, "watersheet_sound" },
    { 0x8D73, "watersheet_trig_setup" },
    { 0x8D74, "waterthink" },
    { 0x8D75, "waterthink_rampspeed" },
    { 0x8D76, "wave1_hovercraft_missile_barrage" },
    { 0x8D77, "wave1_radio_chatter" },
    { 0x8D78, "wave2_vehiclewatcher" },
    { 0x8D79, "wave_3_charge_spawn_func" },
    { 0x8D7A, "wave_3_extra_spawn_func" },
    { 0x8D7B, "wave_3_high_spawn_func" },
    { 0x8D7C, "wave_3_spawn_func" },
    { 0x8D7D, "wave_anim" },
    { 0x8D7E, "wave_has_delayed_spawn_type" },
    { 0x8D7F, "wave_has_type" },
    { 0x8D80, "wave_spawn" },
    { 0x8D81, "wave_spawn_raw" },
    { 0x8D82, "wave_spawn_table_init" },
    { 0x8D83, "wave_spawned" },
    { 0x8D84, "wave_spawners_init" },
    { 0x8D85, "wavedelay" },
    { 0x8D86, "waveplayerspawnindex" },
    { 0x8D87, "waver" },
    { 0x8D88, "waves" },
    { 0x8D89, "wavespawnindex" },
    { 0x8D8A, "wavespawntimer" },
    { 0x8D8B, "weap" },
    { 0x8D8C, "weap_detonate" },
    { 0x8D8D, "weap_has_thermal" },
    { 0x8D8E, "weapon_alt_check" },
    { 0x8D8F, "weapon_ammo" },
    { 0x8D90, "weapon_anim_start" },
    { 0x8D91, "weapon_change_timer" },
    { 0x8D92, "weapon_col" },
    { 0x8D93, "weapon_curr" },
    { 0x8D94, "weapon_down_vo" },
    { 0x8D95, "weapon_exterior" },
    { 0x8D96, "weapon_interior" },
    { 0x8D97, "weapon_list_debug" },
    { 0x8D98, "weapon_make_fall" },
    { 0x8D99, "weapon_name" },
    { 0x8D9A, "weapon_notify_loop" },
    { 0x8D9B, "weapon_pump_action_shotgun" },
    { 0x8D9C, "weapon_removed" },
    { 0x8D9D, "weapon_should_count_towards_accuracy_challenge" },
    { 0x8D9E, "weapon_toggle_hint" },
    { 0x8D9F, "weaponarray" },
    { 0x8DA0, "weaponattachmentperkupdate" },
    { 0x8DA1, "weaponattachments" },
    { 0x8DA2, "weaponclip" },
    { 0x8DA3, "weaponconfigs" },
    { 0x8DA4, "weapondamagetracepassed" },
    { 0x8DA5, "weapondropfunction" },
    { 0x8DA6, "weaponfiredthread" },
    { 0x8DA7, "weaponized_sonar_chargeup" },
    { 0x8DA8, "weaponized_sonar_pings" },
    { 0x8DA9, "weaponlasercalls" },
    { 0x8DAA, "weaponlevelforexperience" },
    { 0x8DAB, "weaponlist" },
    { 0x8DAC, "weaponmap" },
    { 0x8DAD, "weaponmaxval" },
    { 0x8DAE, "weaponmodel" },
    { 0x8DAF, "weaponmodelleft" },
    { 0x8DB0, "weaponmodelright" },
    { 0x8DB1, "weaponname" },
    { 0x8DB2, "weaponpickup" },
    { 0x8DB3, "weaponpickupfunc" },
    { 0x8DB4, "weaponpickupmodel" },
    { 0x8DB5, "weaponpos" },
    { 0x8DB6, "weaponposdropping" },
    { 0x8DB7, "weaponpromotionsplashnotify" },
    { 0x8DB8, "weaponranktable" },
    { 0x8DB9, "weaponrefs" },
    { 0x8DBA, "weaponreload" },
    { 0x8DBB, "weaponreloadtime" },
    { 0x8DBC, "weapons" },
    { 0x8DBD, "weapons_tracking_init" },
    { 0x8DBE, "weapons_with_ir" },
    { 0x8DBF, "weaponshouldgetxp" },
    { 0x8DC0, "weaponslot" },
    { 0x8DC1, "weaponsound" },
    { 0x8DC2, "weaponspeed" },
    { 0x8DC3, "weaponstate" },
    { 0x8DC4, "weaponstats_reset" },
    { 0x8DC5, "weaponstorestore" },
    { 0x8DC6, "weaponsused" },
    { 0x8DC7, "weapontag" },
    { 0x8DC8, "weapontagleft" },
    { 0x8DC9, "weapontagright" },
    { 0x8DCA, "weapontweaks" },
    { 0x8DCB, "weaponxpearned" },
    { 0x8DCC, "weave" },
    { 0x8DCD, "weight" },
    { 0x8DCE, "weld_breach_fx" },
    { 0x8DCF, "weld_door_setup" },
    { 0x8DD0, "weld_fx_off" },
    { 0x8DD1, "weld_fx_on" },
    { 0x8DD2, "weld_fx_pop" },
    { 0x8DD3, "weld_sound_loop_npc" },
    { 0x8DD4, "weld_sound_loop_player" },
    { 0x8DD5, "weld_use_trigger" },
    { 0x8DD6, "welder_scene" },
    { 0x8DD7, "welding" },
    { 0x8DD8, "welding_start" },
    { 0x8DD9, "welding_stop" },
    { 0x8DDA, "weldtool" },
    { 0x8DDB, "wh_amb_fx" },
    { 0x8DDC, "wh_debris_01_top_vfx" },
    { 0x8DDD, "wh_debris_01_vfx" },
    { 0x8DDE, "wh_debris_02_top_vfx" },
    { 0x8DDF, "wh_debris_02_vfx" },
    { 0x8DE0, "wh_debris_03_top_vfx" },
    { 0x8DE1, "wh_debris_03_vfx" },
    { 0x8DE2, "wheeldir" },
    { 0x8DE3, "wheeldirectionchange" },
    { 0x8DE4, "whisper" },
    { 0x8DE5, "white_hide" },
    { 0x8DE6, "white_overlay" },
    { 0x8DE7, "whizby" },
    { 0x8DE8, "whizby_settings" },
    { 0x8DE9, "whizbyenemy" },
    { 0x8DEA, "will_be_manhandled" },
    { 0x8DEB, "wind" },
    { 0x8DEC, "wind_amb" },
    { 0x8DED, "wind_blendtonewvalue" },
    { 0x8DEE, "wind_funcs" },
    { 0x8DEF, "wind_internal_blendovertime" },
    { 0x8DF0, "wind_last_state" },
    { 0x8DF1, "wind_pushing_player" },
    { 0x8DF2, "wind_random" },
    { 0x8DF3, "wind_random_delay_max" },
    { 0x8DF4, "wind_random_delay_min" },
    { 0x8DF5, "wind_random_next_time" },
    { 0x8DF6, "wind_state" },
    { 0x8DF7, "wind_strength" },
    { 0x8DF8, "wind_watcher" },
    { 0x8DF9, "windcontroller" },
    { 0x8DFA, "window_crash" },
    { 0x8DFB, "window_cutout_shattered_player" },
    { 0x8DFC, "window_cutout_shattered_rorke" },
    { 0x8DFD, "window_destroy" },
    { 0x8DFE, "window_down_height" },
    { 0x8DFF, "window_fx_model" },
    { 0x8E00, "window_god_rays" },
    { 0x8E01, "window_ribbon_player" },
    { 0x8E02, "window_ribbon_rorke" },
    { 0x8E03, "window_vo_01" },
    { 0x8E04, "window_vo_02" },
    { 0x8E05, "window_vo_03" },
    { 0x8E06, "window_vo_04" },
    { 0x8E07, "window_vo_05" },
    { 0x8E08, "window_vo_06" },
    { 0x8E09, "window_vo_07" },
    { 0x8E0A, "windsock_anim" },
    { 0x8E0B, "wing_break_off" },
    { 0x8E0C, "wing_tag" },
    { 0x8E0D, "wingman" },
    { 0x8E0E, "wingman_getgoalpos" },
    { 0x8E0F, "wingman_think" },
    { 0x8E10, "wings_up" },
    { 0x8E11, "winner" },
    { 0x8E12, "winners" },
    { 0x8E13, "winningshot" },
    { 0x8E14, "wipe_out" },
    { 0x8E15, "wipeout" },
    { 0x8E16, "wipeout_bikes" },
    { 0x8E17, "wirewander" },
    { 0x8E18, "within_fov" },
    { 0x8E19, "within_fov_2d" },
    { 0x8E1A, "within_fov_of_players" },
    { 0x8E1B, "within_player_fov" },
    { 0x8E1C, "within_player_rappel_fov_2d" },
    { 0x8E1D, "wolf_backup" },
    { 0x8E1E, "wolf_baker_fire_thread" },
    { 0x8E1F, "wolf_dog_save" },
    { 0x8E20, "wolf_event" },
    { 0x8E21, "wolf_event_vfx" },
    { 0x8E22, "wolf_face" },
    { 0x8E23, "wolf_face_clear" },
    { 0x8E24, "wolf_growl" },
    { 0x8E25, "wolf_howl_struct" },
    { 0x8E26, "wolf_howls" },
    { 0x8E27, "wolf_init" },
    { 0x8E28, "wolf_player_hunt" },
    { 0x8E29, "wolf_runaway" },
    { 0x8E2A, "wolf_scene_death" },
    { 0x8E2B, "wolf_scene_end" },
    { 0x8E2C, "wolf_setup" },
    { 0x8E2D, "wolf_slowmo" },
    { 0x8E2E, "wolf_start_pos" },
    { 0x8E2F, "wolf_thrown" },
    { 0x8E30, "wolfpack" },
    { 0x8E31, "wolfpack_cairo" },
    { 0x8E32, "wolfpack_circle" },
    { 0x8E33, "wolfpack_circle_dialogue" },
    { 0x8E34, "wolfpack_dialogue" },
    { 0x8E35, "wolfpack_drag" },
    { 0x8E36, "wolfpack_hesh" },
    { 0x8E37, "wolfpack_pack" },
    { 0x8E38, "wolfpack_watcher" },
    { 0x8E39, "woods" },
    { 0x8E3A, "woods_dialogue" },
    { 0x8E3B, "woods_hesh_halt_run" },
    { 0x8E3C, "woods_movement" },
    { 0x8E3D, "woods_oneshots" },
    { 0x8E3E, "woof" },
    { 0x8E3F, "world_areas" },
    { 0x8E40, "world_areas_by_cycle" },
    { 0x8E41, "world_fire_damage" },
    { 0x8E42, "world_items" },
    { 0x8E43, "world_lootboxes" },
    { 0x8E44, "world_vault_clip" },
    { 0x8E45, "world_vault_door" },
    { 0x8E46, "worldicons" },
    { 0x8E47, "worldtolocalcoords" },
    { 0x8E48, "worlduseicons" },
    { 0x8E49, "worthydamageratio" },
    { 0x8E4A, "wouldcollide" },
    { 0x8E4B, "wounded_carry_guy" },
    { 0x8E4C, "wounded_carry_guy_sound" },
    { 0x8E4D, "wrap" },
    { 0x8E4E, "wreck_approach_setup" },
    { 0x8E4F, "wreck_cargo_surprise" },
    { 0x8E50, "wreck_enemy_setup" },
    { 0x8E51, "wreck_hint_up" },
    { 0x8E52, "wreck_jumper_watcher" },
    { 0x8E53, "wreck_reveal_spotted" },
    { 0x8E54, "wreck_reveal_spotted_ai_swarm" },
    { 0x8E55, "wreck_spotted_reaction" },
    { 0x8E56, "wreck_tilt_baker_hurt" },
    { 0x8E57, "wreck_zodiac_event" },
    { 0x8E58, "wrecksfx01" },
    { 0x8E59, "wrecksfx02" },
    { 0x8E5A, "wrecksfx03" },
    { 0x8E5B, "write_log" },
    { 0x8E5C, "writebufferedstats" },
    { 0x8E5D, "wtf_is_it" },
    { 0x8E5E, "x30_hookup" },
    { 0x8E5F, "x_hint" },
    { 0x8E60, "x_hint_blinks" },
    { 0x8E61, "x_slide_incr" },
    { 0x8E62, "x_turretcheck" },
    { 0x8E63, "xb3" },
    { 0x8E64, "xenon" },
    { 0x8E65, "xm25_destroy_hud" },
    { 0x8E66, "xoff" },
    { 0x8E67, "xoffset" },
    { 0x8E68, "xoffset_default" },
    { 0x8E69, "xp" },
    { 0x8E6A, "xp_ai_func" },
    { 0x8E6B, "xp_enable" },
    { 0x8E6C, "xp_give_func" },
    { 0x8E6D, "xpadding" },
    { 0x8E6E, "xpeventpopup" },
    { 0x8E6F, "xpeventpopup_regularmp" },
    { 0x8E70, "xpeventpopupfinalize" },
    { 0x8E71, "xpgains" },
    { 0x8E72, "xplotag1" },
    { 0x8E73, "xplotag2" },
    { 0x8E74, "xplotag3" },
    { 0x8E75, "xplotag4" },
    { 0x8E76, "xplotag5" },
    { 0x8E77, "xppointspopup" },
    { 0x8E78, "xppopup" },
    { 0x8E79, "xpscalar" },
    { 0x8E7A, "xpscale" },
    { 0x8E7B, "xpscaler" },
    { 0x8E7C, "xpupdatetotal" },
    { 0x8E7D, "xscale" },
    { 0x8E7E, "xy" },
    { 0x8E7F, "xyanimscale" },
    { 0x8E80, "y_turretcheck" },
    { 0x8E81, "yaw" },
    { 0x8E82, "yaw_speed_max" },
    { 0x8E83, "yaw_target" },
    { 0x8E84, "yb_alert_startmovetransition" },
    { 0x8E85, "yb_alert_stopmovetransition" },
    { 0x8E86, "yb_calm_startmovetransition" },
    { 0x8E87, "yb_calm_stopmovetransition" },
    { 0x8E88, "yb_flag_inits" },
    { 0x8E89, "yb_follow_path_and_animate" },
    { 0x8E8A, "yb_follow_path_animate_set_ent" },
    { 0x8E8B, "yb_follow_path_animate_set_node" },
    { 0x8E8C, "yb_follow_path_animate_set_struct" },
    { 0x8E8D, "yb_player_speed_percent" },
    { 0x8E8E, "yb_precache" },
    { 0x8E8F, "yb_save_trigger" },
    { 0x8E90, "yb_setup" },
    { 0x8E91, "yell_and_scream" },
    { 0x8E92, "yell_and_scream_kill" },
    { 0x8E93, "yell_and_scream_stop" },
    { 0x8E94, "yell_and_scream_think" },
    { 0x8E95, "yellow_enemy_replenishers" },
    { 0x8E96, "yoff" },
    { 0x8E97, "yoffset" },
    { 0x8E98, "yoffset_default" },
    { 0x8E99, "youngblood_earthquake_setup" },
    { 0x8E9A, "youngblood_script_setup" },
    { 0x8E9B, "ypadding" },
    { 0x8E9C, "yscale" },
    { 0x8E9D, "yurilast_vo" },
    { 0x8E9E, "z_max" },
    { 0x8E9F, "z_min" },
    { 0x8EA0, "z_trans" },
    { 0x8EA1, "z_trans_player" },
    { 0x8EA2, "zebra" },
    { 0x8EA3, "zero_out_specialammo_clip" },
    { 0x8EA4, "zerocomponent" },
    { 0x8EA5, "zerog" },
    { 0x8EA6, "zerog_origin" },
    { 0x8EA7, "zip" },
    { 0x8EA8, "zipline" },
    { 0x8EA9, "zipline_allies_anims" },
    { 0x8EAA, "zipline_allies_vo" },
    { 0x8EAB, "zipline_anim_struct" },
    { 0x8EAC, "zipline_anims" },
    { 0x8EAD, "zipline_baker_anims" },
    { 0x8EAE, "zipline_equipment_anims" },
    { 0x8EAF, "zipline_gun_up" },
    { 0x8EB0, "zipline_gunup_count" },
    { 0x8EB1, "zipline_launcher_aim_anims" },
    { 0x8EB2, "zipline_launcher_baker" },
    { 0x8EB3, "zipline_launcher_baker_count" },
    { 0x8EB4, "zipline_launcher_fire_anims" },
    { 0x8EB5, "zipline_launcher_player" },
    { 0x8EB6, "zipline_launcher_rorke" },
    { 0x8EB7, "zipline_launcher_rorke_count" },
    { 0x8EB8, "zipline_launcher_setup_anims" },
    { 0x8EB9, "zipline_mvmt_npc" },
    { 0x8EBA, "zipline_player_anims" },
    { 0x8EBB, "zipline_rope" },
    { 0x8EBC, "zipline_rope_baker" },
    { 0x8EBD, "zipline_rope_rorke" },
    { 0x8EBE, "zipline_rope_swap_ally" },
    { 0x8EBF, "zipline_rorke_anims" },
    { 0x8EC0, "zipline_setup" },
    { 0x8EC1, "zipline_startpoint" },
    { 0x8EC2, "zipline_trolley_baker" },
    { 0x8EC3, "zipline_trolley_obj" },
    { 0x8EC4, "zipline_trolley_player" },
    { 0x8EC5, "zipline_trolley_rorke" },
    { 0x8EC6, "zipline_wait_anims" },
    { 0x8EC7, "zipline_window_player_hit" },
    { 0x8EC8, "zodiac_aianimthread_setup" },
    { 0x8EC9, "zodiac_allies" },
    { 0x8ECA, "zodiac_ally_shoot_targets" },
    { 0x8ECB, "zodiac_arrive" },
    { 0x8ECC, "zodiac_b" },
    { 0x8ECD, "zodiac_background_sparrow_vo" },
    { 0x8ECE, "zodiac_death" },
    { 0x8ECF, "zodiac_defend_clear_vo" },
    { 0x8ED0, "zodiac_dockeddeath" },
    { 0x8ED1, "zodiac_drone_fire" },
    { 0x8ED2, "zodiac_drone_fire_rpg" },
    { 0x8ED3, "zodiac_flipdeath" },
    { 0x8ED4, "zodiac_initial_attack" },
    { 0x8ED5, "zodiac_main_wave" },
    { 0x8ED6, "zodiac_main_wave_2" },
    { 0x8ED7, "zodiac_osprey_2_wave" },
    { 0x8ED8, "zodiac_osprey_wave" },
    { 0x8ED9, "zodiac_rappel_logic" },
    { 0x8EDA, "zodiac_repulsor" },
    { 0x8EDB, "zodiac_rider_death" },
    { 0x8EDC, "zodiac_rider_logic" },
    { 0x8EDD, "zodiac_safe_remove" },
    { 0x8EDE, "zodiac_setup" },
    { 0x8EDF, "zodiac_sparrow_death" },
    { 0x8EE0, "zodiac_teleport_logic" },
    { 0x8EE1, "zodiac_treadfx" },
    { 0x8EE2, "zodiac_turn_wave" },
    { 0x8EE3, "zodiac_wait_for_attack" },
    { 0x8EE4, "zodiac_waittill_death" },
    { 0x8EE5, "zodiac_wake" },
    { 0x8EE6, "zodiacs" },
    { 0x8EE7, "zodiacs_defend_vo" },
    { 0x8EE8, "zoffset" },
    { 0x8EE9, "zone" },
    { 0x8EEA, "zone_name" },
    { 0x8EEB, "zone_score" },
    { 0x8EEC, "zonecount" },
    { 0x8EED, "zonelist" },
    { 0x8EEE, "zoom_blur" },
    { 0x8EEF, "zoom_fov" },
    { 0x8EF0, "zoom_hint_wait" },
    { 0x8EF1, "zoom_into_apache" },
    { 0x8EF2, "zoom_lerp_dof" },
    { 0x8EF3, "zoom_out_on_left_stick_movement" },
    { 0x8EF4, "zoom_player_view" },
    { 0x8EF5, "zoom_to_radial_menu" },
    { 0x8EF6, "zoomed" },
    { 0x8EF7, "zoomlevel" },
    { 0x8EF8, "zpu_magic_bullets" },
    { 0x8EF9, "zpu_range_squared" },
    { 0x8EFA, "zpus_targeting" },
    { 0x8EFB, "destructible_scripts_toy_wall_fan" },
    { 0x8EFC, "destructible_scripts_vehicle_pickup" },
    { 0x8EFD, "maps/createart/mp_alien_armory_art" },
    { 0x8EFE, "maps/createart/mp_alien_armory_fog" },
    { 0x8EFF, "maps/createart/mp_boneyard_ns_art" },
    { 0x8F00, "maps/createart/mp_boneyard_ns_fog" },
    { 0x8F01, "maps/createart/mp_ca_red_river_art" },
    { 0x8F02, "maps/createart/mp_ca_red_river_fog" },
    { 0x8F03, "maps/createart/mp_ca_rumble_art" },
    { 0x8F04, "maps/createart/mp_ca_rumble_fog" },
    { 0x8F05, "maps/createart/mp_swamp_art" },
    { 0x8F06, "maps/createart/mp_swamp_fog" },
    { 0x8F07, "maps/createfx/mp_alien_armory_fx" },
    { 0x8F08, "maps/createfx/mp_boneyard_ns_fx" },
    { 0x8F09, "maps/createfx/mp_ca_red_river_fx" },
    { 0x8F0A, "maps/createfx/mp_ca_rumble_fx" },
    { 0x8F0B, "maps/createfx/mp_swamp_fx" },
    { 0x8F0C, "maps/mp/_dlcalienegg" },
    { 0x8F0D, "maps/mp/mp_alien_armory_fx" },
    { 0x8F0E, "maps/mp/mp_alien_armory_precache" },
    { 0x8F0F, "maps/mp/mp_boneyard_ns_fx" },
    { 0x8F10, "maps/mp/mp_boneyard_ns_precache" },
    { 0x8F11, "maps/mp/mp_ca_red_river_fx" },
    { 0x8F12, "maps/mp/mp_ca_red_river_precache" },
    { 0x8F13, "maps/mp/mp_ca_rumble_fx" },
    { 0x8F14, "maps/mp/mp_ca_rumble_precache" },
    { 0x8F15, "maps/mp/mp_swamp_fx" },
    { 0x8F16, "maps/mp/mp_swamp_precache" },
    { 0x8F17, "maps/mp/alien/_achievement_dlc" },
    { 0x8F18, "maps/mp/alien/_alien_matchdata" },
    { 0x8F19, "maps/mp/alien/_armory_weapon" },
    { 0x8F1A, "maps/mp/alien/_container_spawn" },
    { 0x8F1B, "maps/mp/alien/_crafting" },
    { 0x8F1C, "maps/mp/alien/_crafting_traps" },
    { 0x8F1D, "maps/mp/alien/_deployablebox_functions" },
    { 0x8F1E, "maps/mp/alien/_ffotd" },
    { 0x8F1F, "maps/mp/alien/_gamescore_armory" },
    { 0x8F20, "maps/mp/alien/_hive" },
    { 0x8F21, "maps/mp/alien/_music_and_dialog_dlc" },
    { 0x8F22, "maps/mp/alien/_pillage_intel" },
    { 0x8F23, "maps/mp/alien/_pillage_locker" },
    { 0x8F24, "maps/mp/alien/mp_alien_armory_challenges" },
    { 0x8F25, "_enableadditionalprimaryweapon" },
    { 0x8F26, "_has_armory_weapon" },
    { 0x8F27, "activate_container" },
    { 0x8F28, "activate_container_spawn_for_hive" },
    { 0x8F29, "activate_container_spawner_by_id" },
    { 0x8F2A, "activate_container_spawners_in_area" },
    { 0x8F2B, "activate_easter_egg_conduit" },
    { 0x8F2C, "activate_first_spider_fight_challenge" },
    { 0x8F2D, "activate_kill_marked" },
    { 0x8F2E, "activate_kill_nodamage" },
    { 0x8F2F, "activate_kill_spider" },
    { 0x8F30, "activate_long_shot" },
    { 0x8F31, "activate_shoot_spider_eggs" },
    { 0x8F32, "activate_weakpoint" },
    { 0x8F33, "activateplayerhud" },
    { 0x8F34, "activatespecialattacktimers" },
    { 0x8F35, "add_loot_drops_around_body" },
    { 0x8F36, "add_missing_nodes" },
    { 0x8F37, "add_new_encounter_lane" },
    { 0x8F38, "add_to_crafted_item_list" },
    { 0x8F39, "add_to_outline_intel_watch_list" },
    { 0x8F3A, "additional_player_count_multiplier" },
    { 0x8F3B, "additional_tactical_logic_func" },
    { 0x8F3C, "advance_to_next_area" },
    { 0x8F3D, "agent_player_conf_think" },
    { 0x8F3E, "agent_player_dom_think" },
    { 0x8F3F, "agent_player_mugger_think" },
    { 0x8F40, "agent_player_sd_think" },
    { 0x8F41, "agent_squadmember_conf_think" },
    { 0x8F42, "agent_squadmember_dom_think" },
    { 0x8F43, "agent_squadmember_mugger_think" },
    { 0x8F44, "agentthink" },
    { 0x8F45, "alarm1_a" },
    { 0x8F46, "alarm1_b" },
    { 0x8F47, "alarm1_c" },
    { 0x8F48, "alarm1_d" },
    { 0x8F49, "alarm2_a" },
    { 0x8F4A, "alarm2_b" },
    { 0x8F4B, "alarm2_vo" },
    { 0x8F4C, "alien_cloak_fx_off" },
    { 0x8F4D, "alien_cloak_fx_on" },
    { 0x8F4E, "alien_corrosive_off" },
    { 0x8F4F, "alien_corrosive_on" },
    { 0x8F50, "alien_crafting_items" },
    { 0x8F51, "alien_crafting_table" },
    { 0x8F52, "alien_matchdata" },
    { 0x8F53, "alienhumandamaged" },
    { 0x8F54, "alienhumandamagefinished" },
    { 0x8F55, "alienhumankilled" },
    { 0x8F56, "alienhumanspawn" },
    { 0x8F57, "aliens_lab_scene" },
    { 0x8F58, "alienspiderdamaged" },
    { 0x8F59, "alienspiderdamagefinished" },
    { 0x8F5A, "alienspiderkilled" },
    { 0x8F5B, "alienspiderprocesshitloc" },
    { 0x8F5C, "alienspiderrunstage" },
    { 0x8F5D, "alienspiderspawn" },
    { 0x8F5E, "alienwallrun" },
    { 0x8F5F, "alliesteam" },
    { 0x8F60, "alliesweightorg" },
    { 0x8F61, "allocate_new_tank_crack" },
    { 0x8F62, "allow_backstabbers" },
    { 0x8F63, "allow_initial_delay" },
    { 0x8F64, "allow_random_killers" },
    { 0x8F65, "allowcamo" },
    { 0x8F66, "allowcamoswap" },
    { 0x8F67, "ally_pet_time_out" },
    { 0x8F68, "already_activated" },
    { 0x8F69, "alt_canpurchase" },
    { 0x8F6A, "alt_canuse" },
    { 0x8F6B, "alter_drill_locations" },
    { 0x8F6C, "always_sprint" },
    { 0x8F6D, "ammoincompatibleweaponslist" },
    { 0x8F6E, "anim_names" },
    { 0x8F6F, "anim_state_modifier" },
    { 0x8F70, "animate_alien" },
    { 0x8F71, "animate_human" },
    { 0x8F72, "animations" },
    { 0x8F73, "area1_final_hive_setup" },
    { 0x8F74, "area1_first_hive_setup" },
    { 0x8F75, "area1_third_hive_setup" },
    { 0x8F76, "area2_2nd_hive_setup" },
    { 0x8F77, "area_1_final_hive" },
    { 0x8F78, "area_array" },
    { 0x8F79, "area_name" },
    { 0x8F7A, "armory_cangive_weapon_handler_func" },
    { 0x8F7B, "armory_challenge_scalar_func" },
    { 0x8F7C, "armory_custom_onalienagentdamaged_func" },
    { 0x8F7D, "armory_damage_challenge_func" },
    { 0x8F7E, "armory_death_challenge_func" },
    { 0x8F7F, "armory_enter_area_func" },
    { 0x8F80, "armory_give_weapon_handler_func" },
    { 0x8F81, "armory_hint_precache" },
    { 0x8F82, "armory_leave_area_func" },
    { 0x8F83, "armory_special_gun_outline_func" },
    { 0x8F84, "assign_spawn_priority" },
    { 0x8F85, "assignintel" },
    { 0x8F86, "assignspiderattributes" },
    { 0x8F87, "at_max_alien_count" },
    { 0x8F88, "at_max_damage_based_container" },
    { 0x8F89, "atk_bomber" },
    { 0x8F8A, "atk_bomber_no_path_to_bomb_count" },
    { 0x8F8B, "atk_bomber_update" },
    { 0x8F8C, "attachment_model" },
    { 0x8F8D, "attack_behavior" },
    { 0x8F8E, "attackzheightdown" },
    { 0x8F8F, "audio_command_vo" },
    { 0x8F90, "automatic_drill" },
    { 0x8F91, "avoidcloseenemies" },
    { 0x8F92, "awardhordecrateused" },
    { 0x8F93, "awardhordekill" },
    { 0x8F94, "awardhorderevive" },
    { 0x8F95, "awardhorderoundnumber" },
    { 0x8F96, "awardhordweaponlevel" },
    { 0x8F97, "axisteam" },
    { 0x8F98, "axisweightorg" },
    { 0x8F99, "backstabber_stage" },
    { 0x8F9A, "backstabber_update" },
    { 0x8F9B, "base_player_count_multiplier" },
    { 0x8F9C, "battle_time_limit" },
    { 0x8F9D, "beam_anim_turn_monitor" },
    { 0x8F9E, "beam_cone_damage" },
    { 0x8F9F, "beam_find_new_target" },
    { 0x8FA0, "beam_origin_dummy" },
    { 0x8FA1, "beam_setup_new_target" },
    { 0x8FA2, "beam_turret" },
    { 0x8FA3, "beamattack" },
    { 0x8FA4, "beamattackanim" },
    { 0x8FA5, "beamattackfx" },
    { 0x8FA6, "beamattacktarget" },
    { 0x8FA7, "beamchargeup" },
    { 0x8FA8, "beamprecursor" },
    { 0x8FA9, "beamsattacktarget" },
    { 0x8FAA, "beamsweepattack" },
    { 0x8FAB, "beat_blocker_hive" },
    { 0x8FAC, "beat_regular_hive" },
    { 0x8FAD, "beat_spider_egg_challenge" },
    { 0x8FAE, "bell_sound_alias" },
    { 0x8FAF, "biswolf" },
    { 0x8FB0, "bitcounts" },
    { 0x8FB1, "blitz_bot_attacker_limit_for_team" },
    { 0x8FB2, "blitz_bot_defender_limit_for_team" },
    { 0x8FB3, "blitz_get_num_players_on_team" },
    { 0x8FB4, "blitz_set_role" },
    { 0x8FB5, "blocker_hive" },
    { 0x8FB6, "blocker_hive_explode_sequence" },
    { 0x8FB7, "bomb_defuser" },
    { 0x8FB8, "bomb_defuser_update" },
    { 0x8FB9, "bomb_zone_assaulting" },
    { 0x8FBA, "bomber_monitor_no_path" },
    { 0x8FBB, "bomber_wait_for_bomb_reset" },
    { 0x8FBC, "bomber_wait_for_death" },
    { 0x8FBD, "bombplantweapon" },
    { 0x8FBE, "bombzone_num_picked" },
    { 0x8FBF, "bombzonegoal" },
    { 0x8FC0, "boneyard" },
    { 0x8FC1, "boneyard_fire_horizontal_setup" },
    { 0x8FC2, "boneyard_fire_horizontal_trigger" },
    { 0x8FC3, "boneyard_killstreak_activate" },
    { 0x8FC4, "boneyard_killstreak_bot_use" },
    { 0x8FC5, "boneyard_killstreak_disable" },
    { 0x8FC6, "boneyard_killstreak_enable" },
    { 0x8FC7, "boneyard_killstreak_endgame" },
    { 0x8FC8, "boneyard_killstreak_setup" },
    { 0x8FC9, "boneyard_killstreak_ui_on" },
    { 0x8FCA, "boneyard_killstreak_ui_watcher" },
    { 0x8FCB, "boneyard_killstreak_watch_for_crate" },
    { 0x8FCC, "boneyardcustombotkillstreakfunc" },
    { 0x8FCD, "boneyardcustomcratefunc" },
    { 0x8FCE, "boneyardcustomkillstreakfunc" },
    { 0x8FCF, "boss_introduction" },
    { 0x8FD0, "boss_spawners" },
    { 0x8FD1, "bot_allow_to_capture_flag" },
    { 0x8FD2, "bot_allowed_to_3_cap" },
    { 0x8FD3, "bot_blitz_ai_director_update" },
    { 0x8FD4, "bot_blitz_think" },
    { 0x8FD5, "bot_cache_flag_distances" },
    { 0x8FD6, "bot_camp_tag" },
    { 0x8FD7, "bot_camp_zone" },
    { 0x8FD8, "bot_camping" },
    { 0x8FD9, "bot_can_join_team" },
    { 0x8FDA, "bot_check_tag_above_head" },
    { 0x8FDB, "bot_choose_flag" },
    { 0x8FDC, "bot_cm_human_picked" },
    { 0x8FDD, "bot_combine_tag_seen_arrays" },
    { 0x8FDE, "bot_conf_think" },
    { 0x8FDF, "bot_default_sd_role_behavior" },
    { 0x8FE0, "bot_dom_apply_commander_tactics" },
    { 0x8FE1, "bot_dom_debug_should_capture_all" },
    { 0x8FE2, "bot_dom_debug_should_protect_all" },
    { 0x8FE3, "bot_dom_get_node_chance" },
    { 0x8FE4, "bot_dom_leader_dialog" },
    { 0x8FE5, "bot_dom_override_flag_targets" },
    { 0x8FE6, "bot_dom_think" },
    { 0x8FE7, "bot_fallback_personality" },
    { 0x8FE8, "bot_fallback_weapon" },
    { 0x8FE9, "bot_find_best_tag_from_array" },
    { 0x8FEA, "bot_find_closest_tag" },
    { 0x8FEB, "bot_find_visible_tags" },
    { 0x8FEC, "bot_find_visible_tags_mugger" },
    { 0x8FED, "bot_get_all_possible_flags" },
    { 0x8FEE, "bot_get_human_picked_team" },
    { 0x8FEF, "bot_goto_zone" },
    { 0x8FF0, "bot_grind_extra_think" },
    { 0x8FF1, "bot_grind_think" },
    { 0x8FF2, "bot_infect_ai_director_update" },
    { 0x8FF3, "bot_infect_angle_too_steep_for_knife_throw" },
    { 0x8FF4, "bot_infect_find_node_can_see_ent" },
    { 0x8FF5, "bot_infect_retrieve_knife" },
    { 0x8FF6, "bot_infect_think" },
    { 0x8FF7, "bot_is_assigned_location" },
    { 0x8FF8, "bot_is_capturing_flag" },
    { 0x8FF9, "bot_is_protecting_flag" },
    { 0x8FFA, "bot_is_tag_visible" },
    { 0x8FFB, "bot_israndom" },
    { 0x8FFC, "bot_jump_for_tag" },
    { 0x8FFD, "bot_loadout_choose_fallback_primary" },
    { 0x8FFE, "bot_loadout_item_allowed" },
    { 0x8FFF, "bot_loadout_setup_squad_vs_squad_match" },
    { 0x9000, "bot_loadout_setup_wargame_match" },
    { 0x9001, "bot_mugger_loadout_modify" },
    { 0x9002, "bot_mugger_think" },
    { 0x9003, "bot_perktypes" },
    { 0x9004, "bot_personality_list" },
    { 0x9005, "bot_pick_personality_from_weapon" },
    { 0x9006, "bot_picking_up" },
    { 0x9007, "bot_rank_weapon_class" },
    { 0x9008, "bot_remove_invalid_tags" },
    { 0x9009, "bot_sd_ai_director_update" },
    { 0x900A, "bot_sd_override_zone_targets" },
    { 0x900B, "bot_sd_start" },
    { 0x900C, "bot_sd_think" },
    { 0x900D, "bot_set_role" },
    { 0x900E, "bot_set_role_delayed" },
    { 0x900F, "bot_should_defend" },
    { 0x9010, "bot_should_defend_flag" },
    { 0x9011, "bot_should_pickup_weapons_infect" },
    { 0x9012, "bot_sr_think" },
    { 0x9013, "bot_tag_allowable_jump_height" },
    { 0x9014, "bot_tag_obj_radius" },
    { 0x9015, "bot_target_is_flag" },
    { 0x9016, "bot_watch_new_tags" },
    { 0x9017, "bot_weapon_is_better_class" },
    { 0x9018, "breach_animate_model" },
    { 0x9019, "bridge_anim_time" },
    { 0x901A, "bridge_animated_models" },
    { 0x901B, "bridge_destroyedents" },
    { 0x901C, "bridge_device" },
    { 0x901D, "bridge_device_activate_at_end_of_match" },
    { 0x901E, "bridge_device_init" },
    { 0x901F, "bridge_device_mortar_attack" },
    { 0x9020, "bridge_device_mortar_hit_nuke" },
    { 0x9021, "bridge_device_scramble_radar" },
    { 0x9022, "bridge_device_sequence_volley" },
    { 0x9023, "bridge_device_sequence_waitforhit" },
    { 0x9024, "bridge_device_static" },
    { 0x9025, "bridge_device_static_update" },
    { 0x9026, "bridge_event_handle_caralarms" },
    { 0x9027, "bridge_event_handle_churchbells" },
    { 0x9028, "bridge_event_handle_glass" },
    { 0x9029, "bridge_event_handle_vehicle" },
    { 0x902A, "bridge_event_handle_vehicles" },
    { 0x902B, "bridge_event_play_caralarm" },
    { 0x902C, "bridge_event_update_caralarm" },
    { 0x902D, "bridge_event_update_churchbell" },
    { 0x902E, "bridge_extras_init" },
    { 0x902F, "bridge_hideparts" },
    { 0x9030, "bridge_play_fx" },
    { 0x9031, "bridge_precache" },
    { 0x9032, "bridge_scriptables" },
    { 0x9033, "bridge_showparts" },
    { 0x9034, "bridge_wait_explode" },
    { 0x9035, "bridge_wholeents" },
    { 0x9036, "bridgepathnodes" },
    { 0x9037, "build_locker_pillageitem_arrays" },
    { 0x9038, "building_impact_timing" },
    { 0x9039, "buildrandomweapontable" },
    { 0x903A, "bullethitarmor" },
    { 0x903B, "burst_out" },
    { 0x903C, "cac_vo_female" },
    { 0x903D, "cac_vo_male" },
    { 0x903E, "calculate_and_show_encounter_scores" },
    { 0x903F, "calculate_and_show_first_spider_score" },
    { 0x9040, "calculate_encounter_scores" },
    { 0x9041, "calculate_escape_score" },
    { 0x9042, "calculate_final_spider_score" },
    { 0x9043, "calculate_func" },
    { 0x9044, "calculate_player_encounter_scores" },
    { 0x9045, "calculate_spider_score" },
    { 0x9046, "calculate_tag_on_path_grid" },
    { 0x9047, "calculations_in_progress" },
    { 0x9048, "cameramapobjs" },
    { 0x9049, "camp_bomb_update" },
    { 0x904A, "can_allocate_new_tank_crack" },
    { 0x904B, "can_kill_character" },
    { 0x904C, "can_melee_enemy_time" },
    { 0x904D, "can_pickup_bomb_time" },
    { 0x904E, "can_pickup_sentry" },
    { 0x904F, "can_use_attachment" },
    { 0x9050, "candoelevatedeggattack" },
    { 0x9051, "cangive_crafting_item" },
    { 0x9052, "canperformeggattack" },
    { 0x9053, "capture_flag" },
    { 0x9054, "capture_radius" },
    { 0x9055, "carriedobj" },
    { 0x9056, "cautious_approach_till_close" },
    { 0x9057, "challenge_headicon" },
    { 0x9058, "challenge_name" },
    { 0x9059, "challenge_results" },
    { 0x905A, "challenge_ring_location_func" },
    { 0x905B, "challenge_ring_locations" },
    { 0x905C, "chaos_house_climb_kill_thread" },
    { 0x905D, "chargeendnotetrackhandler" },
    { 0x905E, "chargestartnotetrackhandler" },
    { 0x905F, "check_for_direction_vo" },
    { 0x9060, "check_for_drill_planted" },
    { 0x9061, "check_for_easter_egg" },
    { 0x9062, "check_for_existing_crafting_item" },
    { 0x9063, "check_for_last_stand" },
    { 0x9064, "check_for_reloading" },
    { 0x9065, "checklocation" },
    { 0x9066, "cleanup_crate_capture" },
    { 0x9067, "cleanupbeamfirefx" },
    { 0x9068, "cleanupcrankedtimer" },
    { 0x9069, "clear_bot_camping_on_bot_death" },
    { 0x906A, "clear_bot_camping_on_reset" },
    { 0x906B, "clear_bot_on_bot_death" },
    { 0x906C, "clear_bot_on_reset" },
    { 0x906D, "clear_target_zone_update" },
    { 0x906E, "clearn_vulnerable_on_killanim" },
    { 0x906F, "clip_model" },
    { 0x9070, "cloak_fx" },
    { 0x9071, "close_melee_target" },
    { 0x9072, "closeclassmenu" },
    { 0x9073, "closemelee" },
    { 0x9074, "closemeleeattack" },
    { 0x9075, "cloud_melt_alien" },
    { 0x9076, "cloudmonitor" },
    { 0x9077, "collision_brush" },
    { 0x9078, "combine_inventory_items" },
    { 0x9079, "comexpnotifywatcher" },
    { 0x907A, "companion_distance" },
    { 0x907B, "conf_camper_camp_tags" },
    { 0x907C, "conf_camping_tag" },
    { 0x907D, "conf_camping_zone" },
    { 0x907E, "connect_tesla_generators" },
    { 0x907F, "console_beep" },
    { 0x9080, "container_spawn_hive_monitor" },
    { 0x9081, "container_spawn_table" },
    { 0x9082, "container_warning_sounds" },
    { 0x9083, "convertalientopet" },
    { 0x9084, "coop_gameshouldend" },
    { 0x9085, "coop_maydolaststand" },
    { 0x9086, "copy_from_playerdata" },
    { 0x9087, "correcthomogenization" },
    { 0x9088, "craftable_pet_trap" },
    { 0x9089, "craftable_tesla_generator" },
    { 0x908A, "crafted_items" },
    { 0x908B, "crafting_easy" },
    { 0x908C, "crafting_hard" },
    { 0x908D, "crafting_item_dupe" },
    { 0x908E, "crafting_item_table" },
    { 0x908F, "crafting_medium" },
    { 0x9090, "crafting_model" },
    { 0x9091, "crafting_onplayerconnect" },
    { 0x9092, "crafting_table_check" },
    { 0x9093, "crafting_table_item_icon" },
    { 0x9094, "crafting_table_item_index" },
    { 0x9095, "crafting_table_item_name" },
    { 0x9096, "crafting_table_item_ref" },
    { 0x9097, "crafting_table_thread" },
    { 0x9098, "craftingeasy" },
    { 0x9099, "craftinghard" },
    { 0x909A, "craftingitem" },
    { 0x909B, "craftingitems" },
    { 0x909C, "craftingmedium" },
    { 0x909D, "crash_after" },
    { 0x909E, "crash_before" },
    { 0x909F, "crash_delete" },
    { 0x90A0, "crash_path" },
    { 0x90A1, "crate_can_use" },
    { 0x90A2, "crate_can_use_smartglass" },
    { 0x90A3, "cratealluselogic" },
    { 0x90A4, "crateuseents" },
    { 0x90A5, "create_attackable_ent" },
    { 0x90A6, "create_attackable_ent_override_func" },
    { 0x90A7, "create_dropped_pillage_item" },
    { 0x90A8, "create_gun_with_max_attachments_list" },
    { 0x90A9, "create_intel_by_section" },
    { 0x90AA, "create_intel_from_pillage_spot" },
    { 0x90AB, "create_intel_section" },
    { 0x90AC, "create_intel_spots" },
    { 0x90AD, "createbosshealthbar" },
    { 0x90AE, "createcarriedobject" },
    { 0x90AF, "createmlgcamobject" },
    { 0x90B0, "cross_armory_exit" },
    { 0x90B1, "cross_lab_scene" },
    { 0x90B2, "cross_nags" },
    { 0x90B3, "cross_office_vo" },
    { 0x90B4, "current_area_index" },
    { 0x90B5, "current_direction_triggers" },
    { 0x90B6, "current_encounter_info" },
    { 0x90B7, "current_flag" },
    { 0x90B8, "cursuspsensetrack" },
    { 0x90B9, "custom_alien_attribute_table_init" },
    { 0x90BA, "custom_alien_scale_alien_damage_func" },
    { 0x90BB, "custom_build_pillageitem_array_func" },
    { 0x90BC, "custom_cangive_weapon_func" },
    { 0x90BD, "custom_damage_challenge_func" },
    { 0x90BE, "custom_death_challenge_func" },
    { 0x90BF, "custom_give_weapon_func" },
    { 0x90C0, "custom_intermission_func" },
    { 0x90C1, "custom_lockerpillageinitfunc" },
    { 0x90C2, "custom_onalienagentdamaged_func" },
    { 0x90C3, "custom_onspawnplayer_func" },
    { 0x90C4, "custom_onstartgametypefunc" },
    { 0x90C5, "custom_pillageinitfunc" },
    { 0x90C6, "custom_scale_alien_damage_func" },
    { 0x90C7, "custom_unset_adrenaline" },
    { 0x90C8, "custom_unset_juicebox" },
    { 0x90C9, "cycle_spawning_active" },
    { 0x90CA, "damage_characters" },
    { 0x90CB, "damage_targets" },
    { 0x90CC, "damaged_by_players" },
    { 0x90CD, "damagedownertome" },
    { 0x90CE, "deactivate_container" },
    { 0x90CF, "deactivate_container_spawners_in_area" },
    { 0x90D0, "deactivate_focus_fire" },
    { 0x90D1, "deactivate_kill_marked" },
    { 0x90D2, "deactivate_long_shot" },
    { 0x90D3, "default_alien_definition" },
    { 0x90D4, "default_canpurchase" },
    { 0x90D5, "default_canuse" },
    { 0x90D6, "default_canusedeployable" },
    { 0x90D7, "default_hotjoin_skill_points" },
    { 0x90D8, "default_level_specific_pillage_show_func" },
    { 0x90D9, "default_meleechargedist" },
    { 0x90DA, "default_onusedeployable" },
    { 0x90DB, "default_radial_craftable" },
    { 0x90DC, "default_specialammo_onusedeployable" },
    { 0x90DD, "default_trap_craftable" },
    { 0x90DE, "default_tryuse_dpad_team_specialammo" },
    { 0x90DF, "default_tryusedeployable" },
    { 0x90E0, "default_use_time" },
    { 0x90E1, "defend_flag" },
    { 0x90E2, "defend_planted_bomb_update" },
    { 0x90E3, "defend_zone" },
    { 0x90E4, "defender_set_script_pathstyle" },
    { 0x90E5, "defender_update" },
    { 0x90E6, "defendnode" },
    { 0x90E7, "defuser_bad_path_counter" },
    { 0x90E8, "defuser_wait_for_death" },
    { 0x90E9, "delay_vo_until_all_clear" },
    { 0x90EA, "delayed_enable_usability" },
    { 0x90EB, "delete_items" },
    { 0x90EC, "deployables_init" },
    { 0x90ED, "destroy_weakpoint" },
    { 0x90EE, "destroypathnodes" },
    { 0x90EF, "detecthomogenization" },
    { 0x90F0, "device_det_radius" },
    { 0x90F1, "device_det_splash" },
    { 0x90F2, "device_model" },
    { 0x90F3, "device_scrambler_active" },
    { 0x90F4, "disable_force_sprint" },
    { 0x90F5, "disable_idle_move" },
    { 0x90F6, "disable_redriver_nuke" },
    { 0x90F7, "disable_special_gun_purchase" },
    { 0x90F8, "disable_usability" },
    { 0x90F9, "disable_weakpoints" },
    { 0x90FA, "disable_weapon_timeout" },
    { 0x90FB, "dlc_attacknotetrack_override_func" },
    { 0x90FC, "dlc_melee_override_func" },
    { 0x90FD, "dlc_vo_init_on_player_spawn" },
    { 0x90FE, "dlcalieneggs" },
    { 0x90FF, "dlcaliengeggmaptopack" },
    { 0x9100, "dont_plant_until_time" },
    { 0x9101, "doportalanimation" },
    { 0x9102, "doprematch" },
    { 0x9103, "downed_sequence_vo_handler" },
    { 0x9104, "downed_state" },
    { 0x9105, "drainable" },
    { 0x9106, "drop_locker_pillage_item_on_ground" },
    { 0x9107, "drop_override_func" },
    { 0x9108, "drop_pillage_intel_on_ground" },
    { 0x9109, "during_host_migration" },
    { 0x910A, "easter_egg_conduit" },
    { 0x910B, "easter_egg_conduit_hits" },
    { 0x910C, "easter_egg_conduit_trigs" },
    { 0x910D, "easy_attachment" },
    { 0x910E, "easy_clip" },
    { 0x910F, "easy_explosive" },
    { 0x9110, "easy_leash" },
    { 0x9111, "easy_locker_key" },
    { 0x9112, "easy_money" },
    { 0x9113, "easy_soflam" },
    { 0x9114, "easy_specialammo" },
    { 0x9115, "egg_cleanup" },
    { 0x9116, "egg_spawn_remaining" },
    { 0x9117, "eggallfoundforpack" },
    { 0x9118, "eggcountcompletedeggsforpack" },
    { 0x9119, "egghascompletedformap" },
    { 0x911A, "egghits" },
    { 0x911B, "eggregisterhit" },
    { 0x911C, "eggsetcompletedformap" },
    { 0x911D, "eggspawn" },
    { 0x911E, "eggtrackhits" },
    { 0x911F, "electric_death" },
    { 0x9120, "elevated_attack_available" },
    { 0x9121, "elevatedattackmonitor" },
    { 0x9122, "elevatedeggattack" },
    { 0x9123, "elevatedretreat" },
    { 0x9124, "elevatedretreatstruct" },
    { 0x9125, "elevatedreturn" },
    { 0x9126, "enable_redriver_nuke" },
    { 0x9127, "enable_usability" },
    { 0x9128, "enable_weapon_after_timeout" },
    { 0x9129, "enable_weapon_wrapper" },
    { 0x912A, "encounter_cash_earned" },
    { 0x912B, "encounter_cycle_spawn" },
    { 0x912C, "encounter_init" },
    { 0x912D, "encounter_lanes" },
    { 0x912E, "encounter_name" },
    { 0x912F, "encounter_performance" },
    { 0x9130, "encounter_score_components" },
    { 0x9131, "encounter_score_earned" },
    { 0x9132, "encounters" },
    { 0x9133, "end_game_score_component_ref" },
    { 0x9134, "end_of_match_volley" },
    { 0x9135, "ending_flourish" },
    { 0x9136, "endmatchonhostdisconnect" },
    { 0x9137, "enemy_trigger" },
    { 0x9138, "enemy_watcher" },
    { 0x9139, "enter_area_func" },
    { 0x913A, "enter_gamemodespecificaction_getcurrentweapon" },
    { 0x913B, "eog_score_components" },
    { 0x913C, "eog_to_lb_playerdata_mapping" },
    { 0x913D, "escape" },
    { 0x913E, "event_rocket_countdown" },
    { 0x913F, "event_rocket_explode" },
    { 0x9140, "event_rocket_success" },
    { 0x9141, "eventvalue" },
    { 0x9142, "explo_nums" },
    { 0x9143, "explode_projectile" },
    { 0x9144, "exploder_queue" },
    { 0x9145, "explosion_vo" },
    { 0x9146, "extinction_episode" },
    { 0x9147, "facility_hive" },
    { 0x9148, "fail_kill_nodamage" },
    { 0x9149, "fail_spider_egg_challenge" },
    { 0x914A, "fall_anim" },
    { 0x914B, "female_index" },
    { 0x914C, "feral_vision_set" },
    { 0x914D, "filter_spawn_points" },
    { 0x914E, "final_hive_vo" },
    { 0x914F, "find_closest_bombzone_to_player" },
    { 0x9150, "find_squad_member_index" },
    { 0x9151, "find_ticking_bomb" },
    { 0x9152, "findeggspawnpoint" },
    { 0x9153, "fire_event_a" },
    { 0x9154, "fire_event_b" },
    { 0x9155, "fire_fx_array" },
    { 0x9156, "fire_horiz" },
    { 0x9157, "fire_horiz_alarm" },
    { 0x9158, "fire_horiz_fire" },
    { 0x9159, "fire_horiz_firing_fx" },
    { 0x915A, "fire_node1" },
    { 0x915B, "fire_node2" },
    { 0x915C, "fire_node3" },
    { 0x915D, "first_spider_fence" },
    { 0x915E, "first_spider_fight" },
    { 0x915F, "fixallbadoperations" },
    { 0x9160, "fixbadoperationstate" },
    { 0x9161, "flag_distances" },
    { 0x9162, "flag_has_been_captured_before" },
    { 0x9163, "flag_has_never_been_captured" },
    { 0x9164, "flare_model" },
    { 0x9165, "flashingperkindex" },
    { 0x9166, "flung" },
    { 0x9167, "followthink" },
    { 0x9168, "force_all_players_to_role" },
    { 0x9169, "force_end_func" },
    { 0x916A, "force_new_goal" },
    { 0x916B, "from_previous_hive" },
    { 0x916C, "fx_archer_shoots" },
    { 0x916D, "fx_cross_lab_light_flicker" },
    { 0x916E, "fx_cross_lab_light_off" },
    { 0x916F, "fx_cross_lab_light_on" },
    { 0x9170, "fx_fiery_debris" },
    { 0x9171, "fx_intro_tunnel_stab" },
    { 0x9172, "fx_snow" },
    { 0x9173, "fx_spider_death_blood_vomit" },
    { 0x9174, "fx_spider_death_effects_sequence" },
    { 0x9175, "fx_spider_entrance_b" },
    { 0x9176, "fx_spider_exit_b" },
    { 0x9177, "fx_spider_head_hit_ground" },
    { 0x9178, "fx_spider_impact_big" },
    { 0x9179, "fx_spider_leg_hit_ground" },
    { 0x917A, "fx_throw_egg_effect" },
    { 0x917B, "fx_vulnerable_effects" },
    { 0x917C, "gamemodeusesdeathmatchscoring" },
    { 0x917D, "gascloudimpact" },
    { 0x917E, "gate_check" },
    { 0x917F, "gate_is_open" },
    { 0x9180, "generic_activate_challenge" },
    { 0x9181, "generic_electric_trap_check" },
    { 0x9182, "generic_spawn_events" },
    { 0x9183, "generic_update_challenge" },
    { 0x9184, "get_activate_chance" },
    { 0x9185, "get_activation_method" },
    { 0x9186, "get_activation_trigger" },
    { 0x9187, "get_allied_attackers_for_team" },
    { 0x9188, "get_allied_defenders_for_team" },
    { 0x9189, "get_ally_flags" },
    { 0x918A, "get_attackable_ent" },
    { 0x918B, "get_bots_defending_flag" },
    { 0x918C, "get_bridge_vehicles" },
    { 0x918D, "get_challenge_ring_location" },
    { 0x918E, "get_closest_flag" },
    { 0x918F, "get_container_health" },
    { 0x9190, "get_container_id_list_for_hive" },
    { 0x9191, "get_container_info" },
    { 0x9192, "get_container_info_array" },
    { 0x9193, "get_current_area_name" },
    { 0x9194, "get_current_drill_state" },
    { 0x9195, "get_current_encounter" },
    { 0x9196, "get_current_encounter_lane_index" },
    { 0x9197, "get_custom_weapon_outline_func" },
    { 0x9198, "get_cycle_spawn_delay" },
    { 0x9199, "get_damage_weight" },
    { 0x919A, "get_dog_model_letter_type" },
    { 0x919B, "get_end_condition" },
    { 0x919C, "get_enemy_flags" },
    { 0x919D, "get_final_spider_score_component_name_list" },
    { 0x919E, "get_first_spider_score_component_name_list" },
    { 0x919F, "get_flag_capture_radius" },
    { 0x91A0, "get_flag_label" },
    { 0x91A1, "get_flag_protect_radius" },
    { 0x91A2, "get_hintstring_for_item_pickup_func" },
    { 0x91A3, "get_hintstring_for_locker_item_pickup" },
    { 0x91A4, "get_hintstring_for_pillaged_item_func" },
    { 0x91A5, "get_hive_score_component_name_list" },
    { 0x91A6, "get_hotjoin_skill_points" },
    { 0x91A7, "get_intel_item_outline_color" },
    { 0x91A8, "get_lanes_from_names" },
    { 0x91A9, "get_lb_final_spider_rank" },
    { 0x91AA, "get_living_players_on_team" },
    { 0x91AB, "get_locker_hintstring_for_pillaged_item" },
    { 0x91AC, "get_locker_weapon_from_list" },
    { 0x91AD, "get_mapped_lb_ref_from_eog_ref" },
    { 0x91AE, "get_mid_point" },
    { 0x91AF, "get_move_target_facing" },
    { 0x91B0, "get_move_target_position_index" },
    { 0x91B1, "get_notify_message" },
    { 0x91B2, "get_notify_weight" },
    { 0x91B3, "get_num_allies_capturing_flag" },
    { 0x91B4, "get_num_allies_getting_tag" },
    { 0x91B5, "get_num_ally_flags" },
    { 0x91B6, "get_other_flag" },
    { 0x91B7, "get_override_flag_targets" },
    { 0x91B8, "get_override_lane_entry" },
    { 0x91B9, "get_override_zone_targets" },
    { 0x91BA, "get_play_time" },
    { 0x91BB, "get_player_encounter_performance" },
    { 0x91BC, "get_player_highest_nerf_escape_count" },
    { 0x91BD, "get_player_kills" },
    { 0x91BE, "get_player_revives" },
    { 0x91BF, "get_player_vo_index" },
    { 0x91C0, "get_players_by_role" },
    { 0x91C1, "get_players_defending_zone" },
    { 0x91C2, "get_posture_spawn_event" },
    { 0x91C3, "get_proximity_weight" },
    { 0x91C4, "get_random_pillage_item" },
    { 0x91C5, "get_rest_of_attachments" },
    { 0x91C6, "get_round_end_time" },
    { 0x91C7, "get_scalar_from_table" },
    { 0x91C8, "get_should_force_spawn" },
    { 0x91C9, "get_should_play_alarm_spawn" },
    { 0x91CA, "get_should_play_warning_spawn" },
    { 0x91CB, "get_single_value_struct" },
    { 0x91CC, "get_spawn_info" },
    { 0x91CD, "get_spawn_priority" },
    { 0x91CE, "get_spawn_quantity" },
    { 0x91CF, "get_spawn_type_weights" },
    { 0x91D0, "get_spawn_types" },
    { 0x91D1, "get_spawner_id_array" },
    { 0x91D2, "get_spawner_priority_array" },
    { 0x91D3, "get_specific_flag" },
    { 0x91D4, "get_specific_zone" },
    { 0x91D5, "get_start_point_index" },
    { 0x91D6, "get_starting_currency" },
    { 0x91D7, "get_starting_skill_point" },
    { 0x91D8, "get_string_for_hintstring" },
    { 0x91D9, "get_team_encounter_performance" },
    { 0x91DA, "get_threat_bias" },
    { 0x91DB, "get_time_before_auto_trigger_array" },
    { 0x91DC, "get_trigger_chance" },
    { 0x91DD, "get_valid_grenade_turret_count" },
    { 0x91DE, "get_valid_minigun_turret_count" },
    { 0x91DF, "get_watertank_hit_angle" },
    { 0x91E0, "get_weakpoint_array" },
    { 0x91E1, "get_weakpoint_index" },
    { 0x91E2, "get_weakpoint_model" },
    { 0x91E3, "get_weakpoint_models_active" },
    { 0x91E4, "get_weakpoint_models_inactive" },
    { 0x91E5, "getavailableregenpods" },
    { 0x91E6, "getavailablespitchokes" },
    { 0x91E7, "getcamoindex" },
    { 0x91E8, "getchokespittargets" },
    { 0x91E9, "getdefinitionvalue" },
    { 0x91EA, "getdesiredanimstate" },
    { 0x91EB, "geteggattackindex" },
    { 0x91EC, "geteggspawncount" },
    { 0x91ED, "gethealthratio" },
    { 0x91EE, "gethighestprogressedplayers" },
    { 0x91EF, "getmeleeattacktarget" },
    { 0x91F0, "getnextgun" },
    { 0x91F1, "getplayerspittargets" },
    { 0x91F2, "getportalspawncount" },
    { 0x91F3, "getrandomweaponfromcategory" },
    { 0x91F4, "getregenpods" },
    { 0x91F5, "getsignalstrengthalpha" },
    { 0x91F6, "getspidereggattackbrutethresholdscalar" },
    { 0x91F7, "getspiderhealthscalar" },
    { 0x91F8, "getstagedefinitionvalues" },
    { 0x91F9, "getstartspawnpoint_freeforall" },
    { 0x91FA, "gettagforweakpoint" },
    { 0x91FB, "gettarget" },
    { 0x91FC, "give_crafting_item" },
    { 0x91FD, "give_player_intel" },
    { 0x91FE, "give_player_laststand" },
    { 0x91FF, "give_players_points" },
    { 0x9200, "give_reward_box_post_first_spider" },
    { 0x9201, "give_special_gun" },
    { 0x9202, "givenextgun" },
    { 0x9203, "giveortakethrowingknife" },
    { 0x9204, "go_next_area" },
    { 0x9205, "goal_zone" },
    { 0x9206, "godfather_area_1_first" },
    { 0x9207, "godfather_area_1_midway" },
    { 0x9208, "godfather_hive_explain_vo" },
    { 0x9209, "grind_waiting_to_bank" },
    { 0x920A, "gun_firstspawn" },
    { 0x920B, "gun_guns" },
    { 0x920C, "gun_loadouts" },
    { 0x920D, "gun_nextguns" },
    { 0x920E, "gun_prevguns" },
    { 0x920F, "gungamegunindex" },
    { 0x9210, "gungameprevgunindex" },
    { 0x9211, "gunswap" },
    { 0x9212, "handle_nondeterministic_entities_internal" },
    { 0x9213, "handle_posture_note" },
    { 0x9214, "handlefootstep" },
    { 0x9215, "handleplayeruse" },
    { 0x9216, "handlespidernotetracks" },
    { 0x9217, "hard_attachment" },
    { 0x9218, "hard_explosive" },
    { 0x9219, "hard_leash" },
    { 0x921A, "hard_locker_key" },
    { 0x921B, "hard_maxammo" },
    { 0x921C, "hard_money" },
    { 0x921D, "hard_soflam" },
    { 0x921E, "hard_specialammo" },
    { 0x921F, "hard_trophy" },
    { 0x9220, "hardcore_damage_scalar" },
    { 0x9221, "hardcore_health_scalar" },
    { 0x9222, "hardcore_reward_scalar" },
    { 0x9223, "hardcore_score_scalar" },
    { 0x9224, "hardcore_skill_point" },
    { 0x9225, "hardcore_spawn_multiplier" },
    { 0x9226, "has_encounter_score_component" },
    { 0x9227, "has_eog_score_component" },
    { 0x9228, "has_override_flag_targets" },
    { 0x9229, "has_override_zone_targets" },
    { 0x922A, "has_player_found" },
    { 0x922B, "has_score_component_internal" },
    { 0x922C, "has_started_thinking" },
    { 0x922D, "heading_for_tag_pile" },
    { 0x922E, "healthmonitor" },
    { 0x922F, "heli_inbound" },
    { 0x9230, "heliremoveoutline" },
    { 0x9231, "hide_barrier_hive_intel" },
    { 0x9232, "hideplacedmodel" },
    { 0x9233, "hiding_until_bank" },
    { 0x9234, "hintprecachefunc" },
    { 0x9235, "hit" },
    { 0x9236, "hotjoin_skill_points_fun" },
    { 0x9237, "human_agent_anim_class" },
    { 0x9238, "human_notetracks" },
    { 0x9239, "human_team_bot_added" },
    { 0x923A, "hunt_human" },
    { 0x923B, "hvtisfollowing" },
    { 0x923C, "hvttrigger" },
    { 0x923D, "idle_downed" },
    { 0x923E, "idle_move_data" },
    { 0x923F, "idx" },
    { 0x9240, "inc_bleedout_counts" },
    { 0x9241, "inc_current_area_index" },
    { 0x9242, "inc_downed_counts" },
    { 0x9243, "inc_drill_heli_damages" },
    { 0x9244, "inc_laststand_record" },
    { 0x9245, "inc_revived_counts" },
    { 0x9246, "inc_starting_skill_point" },
    { 0x9247, "infect_countdowninprogress" },
    { 0x9248, "infinitemode" },
    { 0x9249, "init_armory_encounter_score_components" },
    { 0x924A, "init_armory_eog_score_components" },
    { 0x924B, "init_armory_weapon_fx" },
    { 0x924C, "init_blocker_hive_personal_score_component" },
    { 0x924D, "init_blocker_hive_teamwork_score_component" },
    { 0x924E, "init_blocker_personal_score" },
    { 0x924F, "init_blocker_teamwork_score" },
    { 0x9250, "init_challenge_score" },
    { 0x9251, "init_challenge_score_component" },
    { 0x9252, "init_cinematics" },
    { 0x9253, "init_container_spawn" },
    { 0x9254, "init_cycle_count" },
    { 0x9255, "init_deployable" },
    { 0x9256, "init_dog_pc" },
    { 0x9257, "init_drill_score" },
    { 0x9258, "init_drill_score_component" },
    { 0x9259, "init_encounter_score_components" },
    { 0x925A, "init_eog_score_components" },
    { 0x925B, "init_escape" },
    { 0x925C, "init_escape_score" },
    { 0x925D, "init_escape_score_component" },
    { 0x925E, "init_final_spider_score" },
    { 0x925F, "init_final_spider_score_component" },
    { 0x9260, "init_first_spider_score" },
    { 0x9261, "init_first_spider_score_component" },
    { 0x9262, "init_hives" },
    { 0x9263, "init_idle_move" },
    { 0x9264, "init_personal_score" },
    { 0x9265, "init_personal_score_component" },
    { 0x9266, "init_selfrevive_icon" },
    { 0x9267, "init_spawn_factors" },
    { 0x9268, "init_spider_challenge_score" },
    { 0x9269, "init_spider_challenge_score_component" },
    { 0x926A, "init_spider_personal_score" },
    { 0x926B, "init_spider_personal_score_component" },
    { 0x926C, "init_spider_teamwork_score_component" },
    { 0x926D, "init_teamwork_score" },
    { 0x926E, "init_teamwork_score_component" },
    { 0x926F, "init_warning_sounds" },
    { 0x9270, "init_wolf_pc" },
    { 0x9271, "initadditionalcollision" },
    { 0x9272, "initextracollision" },
    { 0x9273, "inithuman" },
    { 0x9274, "initial_bomb_location" },
    { 0x9275, "initial_bomb_location_nearest_node" },
    { 0x9276, "initial_bomb_pickup_time" },
    { 0x9277, "initial_pickup_wait_time" },
    { 0x9278, "initial_spawn_loc_override_func" },
    { 0x9279, "initial_spawn_pos_override" },
    { 0x927A, "initial_spawn_time" },
    { 0x927B, "initialize_blitz_role" },
    { 0x927C, "initialize_sd_role" },
    { 0x927D, "initializespecialattacks" },
    { 0x927E, "initpatchmodels" },
    { 0x927F, "initspider" },
    { 0x9280, "initvanguardhud" },
    { 0x9281, "intel_listener" },
    { 0x9282, "intel_on_player_connect" },
    { 0x9283, "intel_outline" },
    { 0x9284, "intel_outline_func" },
    { 0x9285, "intel_pillage_allowed_func" },
    { 0x9286, "intel_pillage_outline" },
    { 0x9287, "intel_pillage_show_func" },
    { 0x9288, "intel_table" },
    { 0x9289, "intel_type" },
    { 0x928A, "intel_type_1" },
    { 0x928B, "intel_type_1_vo_snip" },
    { 0x928C, "intel_type_2" },
    { 0x928D, "intel_type_2_vo_snip" },
    { 0x928E, "inteldeathposition" },
    { 0x928F, "intro_clips" },
    { 0x9290, "investigate_someone_using_bomb_update" },
    { 0x9291, "is_alien_agent_damage_allowed" },
    { 0x9292, "is_axe" },
    { 0x9293, "is_clip" },
    { 0x9294, "is_cloaking" },
    { 0x9295, "is_corrosive" },
    { 0x9296, "is_dlc_weapon" },
    { 0x9297, "is_electrified" },
    { 0x9298, "is_explosive_kill" },
    { 0x9299, "is_generic_electric_trap_func" },
    { 0x929A, "is_higher_priority" },
    { 0x929B, "is_infinite_mode" },
    { 0x929C, "is_intel" },
    { 0x929D, "is_killed_by_kill_trigger" },
    { 0x929E, "is_locker" },
    { 0x929F, "is_long_shot" },
    { 0x92A0, "is_mp_descent" },
    { 0x92A1, "is_ricochet_damage" },
    { 0x92A2, "is_sliding" },
    { 0x92A3, "is_spider_beam_weapon" },
    { 0x92A4, "is_start_point_enable" },
    { 0x92A5, "is_swaying" },
    { 0x92A6, "is_using_relic" },
    { 0x92A7, "isaliennonmannedturret" },
    { 0x92A8, "isbelowregenhp" },
    { 0x92A9, "isevenint" },
    { 0x92AA, "isjuggernautswampslasher" },
    { 0x92AB, "ismlgmatch" },
    { 0x92AC, "ismlgprivatematch" },
    { 0x92AD, "ismlgsystemlink" },
    { 0x92AE, "isoutofbound" },
    { 0x92AF, "isperformingmove" },
    { 0x92B0, "isplayerusingbox" },
    { 0x92B1, "isspecialattackavailable" },
    { 0x92B2, "isvalidtarget" },
    { 0x92B3, "isvalidthrowingknifekill" },
    { 0x92B4, "iswithinattackheight" },
    { 0x92B5, "item_class" },
    { 0x92B6, "item_name_ref" },
    { 0x92B7, "join_sync_exploders" },
    { 0x92B8, "join_sync_exploders_proc" },
    { 0x92B9, "jump_to_1st_area" },
    { 0x92BA, "jump_to_cabin" },
    { 0x92BB, "jump_to_checkpoint" },
    { 0x92BC, "jump_to_city" },
    { 0x92BD, "jump_to_compound" },
    { 0x92BE, "jump_to_compound_final" },
    { 0x92BF, "jump_to_crater_hive" },
    { 0x92C0, "jump_to_escape" },
    { 0x92C1, "jump_to_facility" },
    { 0x92C2, "jump_to_loadingdock" },
    { 0x92C3, "jump_to_lodge" },
    { 0x92C4, "jumped_to_final_boss" },
    { 0x92C5, "kill_dog_fur_effect" },
    { 0x92C6, "kill_dog_fur_effect_and_delete" },
    { 0x92C7, "kill_nodamage_monitor" },
    { 0x92C8, "kill_spider_timer" },
    { 0x92C9, "knock_players_back" },
    { 0x92CA, "knockback_players" },
    { 0x92CB, "ks_manage_spawns" },
    { 0x92CC, "ks_vertical" },
    { 0x92CD, "ks_vertical_fire" },
    { 0x92CE, "ks_vertical_firing_fx" },
    { 0x92CF, "ks_vertical_warning_alarm" },
    { 0x92D0, "ks_vertical_warning_lights" },
    { 0x92D1, "lab_alarm1" },
    { 0x92D2, "lab_doors_sfx" },
    { 0x92D3, "lab_gunfire" },
    { 0x92D4, "lab_scene_marker" },
    { 0x92D5, "lab_scene_music" },
    { 0x92D6, "lab_scene_vo" },
    { 0x92D7, "last_atk_bomber_death_time" },
    { 0x92D8, "last_bomb_location" },
    { 0x92D9, "last_direction_vo" },
    { 0x92DA, "last_facility_hive" },
    { 0x92DB, "last_infected_hiding_loc" },
    { 0x92DC, "last_infected_hiding_time" },
    { 0x92DD, "last_killtag_tactical_goal_pos" },
    { 0x92DE, "last_losing_flag_react" },
    { 0x92DF, "last_position_index" },
    { 0x92E0, "last_spider_vo" },
    { 0x92E1, "last_tag_pile_location" },
    { 0x92E2, "last_tag_pile_time" },
    { 0x92E3, "last_time_jumped_for_tag" },
    { 0x92E4, "lastspittime" },
    { 0x92E5, "laststand_record" },
    { 0x92E6, "launch_command_vo" },
    { 0x92E7, "launch_vo1" },
    { 0x92E8, "launch_vo2" },
    { 0x92E9, "lb_player_update_stat" },
    { 0x92EA, "leash_model" },
    { 0x92EB, "leave_area_func" },
    { 0x92EC, "lerpeggtospawnpoint" },
    { 0x92ED, "less_than_goal" },
    { 0x92EE, "level_specific_pillage_show_func" },
    { 0x92EF, "light_broke" },
    { 0x92F0, "light_off" },
    { 0x92F1, "light_on" },
    { 0x92F2, "link_spider_collision" },
    { 0x92F3, "load_encounter_lanes_from_table" },
    { 0x92F4, "loadspiderattributes" },
    { 0x92F5, "loadspiderfx" },
    { 0x92F6, "locker_angles" },
    { 0x92F7, "locker_attachment" },
    { 0x92F8, "locker_build_pillageitem_array_func" },
    { 0x92F9, "locker_drop_item_on_ground_func" },
    { 0x92FA, "locker_explosive" },
    { 0x92FB, "locker_key" },
    { 0x92FC, "locker_key_check" },
    { 0x92FD, "locker_key_check_func" },
    { 0x92FE, "locker_key_model" },
    { 0x92FF, "locker_leash" },
    { 0x9300, "locker_locker_weapon" },
    { 0x9301, "locker_maxammo" },
    { 0x9302, "locker_money" },
    { 0x9303, "locker_origin" },
    { 0x9304, "locker_pillage_functions_init" },
    { 0x9305, "locker_pillage_init" },
    { 0x9306, "locker_soflam" },
    { 0x9307, "locker_specialammo" },
    { 0x9308, "locker_trophy" },
    { 0x9309, "long_shot_logic" },
    { 0x930A, "lua_string_index" },
    { 0x930B, "maintain_fx" },
    { 0x930C, "maintain_watertank_fish" },
    { 0x930D, "make_waypoint" },
    { 0x930E, "make_weapon_string_and_add_to_array" },
    { 0x930F, "male_index" },
    { 0x9310, "manage_direction_triggers" },
    { 0x9311, "mapcustomjuggfunc" },
    { 0x9312, "mark_spawn_clips_on" },
    { 0x9313, "marked_for_challenge" },
    { 0x9314, "max_crafting_items" },
    { 0x9315, "max_damage_based_container" },
    { 0x9316, "max_player_count" },
    { 0x9317, "max_score" },
    { 0x9318, "max_score_accuracy" },
    { 0x9319, "max_score_damage" },
    { 0x931A, "max_score_damage_damage" },
    { 0x931B, "max_score_damage_taken" },
    { 0x931C, "max_score_deploy" },
    { 0x931D, "max_score_revive" },
    { 0x931E, "max_score_spider" },
    { 0x931F, "max_uses" },
    { 0x9320, "max_weapon_list" },
    { 0x9321, "maxammo_model" },
    { 0x9322, "maxweaponlevel" },
    { 0x9323, "md_health" },
    { 0x9324, "medium_attachment" },
    { 0x9325, "medium_clip" },
    { 0x9326, "medium_explosive" },
    { 0x9327, "medium_leash" },
    { 0x9328, "medium_locker_key" },
    { 0x9329, "medium_money" },
    { 0x932A, "medium_soflam" },
    { 0x932B, "medium_specialammo" },
    { 0x932C, "medium_trophy" },
    { 0x932D, "melee_enemy" },
    { 0x932E, "melee_enemy_new_node_time" },
    { 0x932F, "melee_enemy_node" },
    { 0x9330, "melee_self_at_same_node_time" },
    { 0x9331, "melee_self_new_node_time" },
    { 0x9332, "melee_self_node" },
    { 0x9333, "melting" },
    { 0x9334, "metal_detector_broke" },
    { 0x9335, "metal_detector_damage_monitor" },
    { 0x9336, "metal_detector_monitor_alive" },
    { 0x9337, "metal_detector_off" },
    { 0x9338, "metal_detector_on" },
    { 0x9339, "metal_detectorpart_damage_monitor" },
    { 0x933A, "modifyweapon" },
    { 0x933B, "money_stack" },
    { 0x933C, "monitor_conduit_hit" },
    { 0x933D, "monitor_fail_condition" },
    { 0x933E, "monitor_flag_ownership" },
    { 0x933F, "monitor_flag_status" },
    { 0x9340, "monitor_spider_intro_damage" },
    { 0x9341, "monitor_spider_intro_proximity" },
    { 0x9342, "monitor_trolley_dvar" },
    { 0x9343, "monitor_watertank_hit" },
    { 0x9344, "monitor_zone_control" },
    { 0x9345, "monitorjointeam" },
    { 0x9346, "monitoroutofbound" },
    { 0x9347, "monitorpointnotifylua" },
    { 0x9348, "monitorsharpfocus" },
    { 0x9349, "monitortargetvisibility" },
    { 0x934A, "mortar_delay_range" },
    { 0x934B, "mortar_fire" },
    { 0x934C, "mortar_siren" },
    { 0x934D, "mortar_siren_ent" },
    { 0x934E, "mortar_sources" },
    { 0x934F, "mortar_targets" },
    { 0x9350, "mortars_activate_at_end_of_match" },
    { 0x9351, "move_anim_timeout" },
    { 0x9352, "mp_alien_armory_intermission_func" },
    { 0x9353, "mp_alien_armory_onspawnplayer_func" },
    { 0x9354, "mp_alien_armory_pillage_init" },
    { 0x9355, "mp_alien_armory_scale_alien_damage_func" },
    { 0x9356, "mp_alien_town_onstartgametypefunc" },
    { 0x9357, "mp_alien_town_pillage_init" },
    { 0x9358, "mp_alien_town_pillage_modification" },
    { 0x9359, "mp_alien_town_post_intro_func" },
    { 0x935A, "mp_exploder" },
    { 0x935B, "mugger_go_to_tag_pile" },
    { 0x935C, "mugger_pick_up_tag" },
    { 0x935D, "nearest_node_for_camping" },
    { 0x935E, "new_goal_time" },
    { 0x935F, "next_direction_vo_time" },
    { 0x9360, "next_reload_vo_time" },
    { 0x9361, "next_spider_vo_time" },
    { 0x9362, "next_strat_level_check" },
    { 0x9363, "next_tank_hitfx_time" },
    { 0x9364, "next_time_check_tags" },
    { 0x9365, "next_valid_move_time" },
    { 0x9366, "nonphysicslaunch" },
    { 0x9367, "notify_enemy_team_bomb_used" },
    { 0x9368, "notify_on_timeout" },
    { 0x9369, "notify_on_whizby" },
    { 0x936A, "notify_when_tag_aborted" },
    { 0x936B, "notify_when_tag_picked_up" },
    { 0x936C, "notify_when_tag_picked_up_or_unavailable" },
    { 0x936D, "notify_when_triggered" },
    { 0x936E, "nousekillstreak" },
    { 0x936F, "num_damage_based_container" },
    { 0x9370, "numadditionalprimaries" },
    { 0x9371, "on_player_connect" },
    { 0x9372, "onfreecam" },
    { 0x9373, "onheli" },
    { 0x9374, "onjuggswampslasherdeath" },
    { 0x9375, "onjuggswampslasherenemykilled" },
    { 0x9376, "onkilledcallback" },
    { 0x9377, "onspawn" },
    { 0x9378, "onspawnalien" },
    { 0x9379, "onusedeployable_adrenaline" },
    { 0x937A, "onusedeployable_ammo" },
    { 0x937B, "onusedeployable_currency" },
    { 0x937C, "onusedeployable_explosives" },
    { 0x937D, "onusedeployable_juicebox" },
    { 0x937E, "onusedeployable_randombox" },
    { 0x937F, "onusedeployable_vest" },
    { 0x9380, "open_locker_model" },
    { 0x9381, "operationindexes" },
    { 0x9382, "originalorigin" },
    { 0x9383, "outline_intel_watch_list" },
    { 0x9384, "outline_player_intel_found_list" },
    { 0x9385, "override_lane_index" },
    { 0x9386, "override_unresolved_collision" },
    { 0x9387, "pause_time" },
    { 0x9388, "pending_custom_spawns" },
    { 0x9389, "perform_move" },
    { 0x938A, "performmeleeattack" },
    { 0x938B, "performspecialattack" },
    { 0x938C, "perimiter_defense_items" },
    { 0x938D, "perimiter_defense_think" },
    { 0x938E, "perk_upgraded" },
    { 0x938F, "pet_trap_idle_fx" },
    { 0x9390, "pillageable_crafting_items" },
    { 0x9391, "play_and_stop_spotlight_fx" },
    { 0x9392, "play_fx_with_entity" },
    { 0x9393, "play_hit" },
    { 0x9394, "play_intel_pickup_vo" },
    { 0x9395, "play_move_anim" },
    { 0x9396, "play_pinata_hit" },
    { 0x9397, "play_retreat" },
    { 0x9398, "play_sound_alien" },
    { 0x9399, "play_spider_intro_loop" },
    { 0x939A, "play_spider_intro_music" },
    { 0x939B, "play_third_spider_music" },
    { 0x939C, "play_time_monitor" },
    { 0x939D, "play_vignette_vo" },
    { 0x939E, "playanimation" },
    { 0x939F, "playdirectionvo" },
    { 0x93A0, "playeggattackanim" },
    { 0x93A1, "playeggspawnsequence" },
    { 0x93A2, "player_casualty_vo" },
    { 0x93A3, "player_dlc_pain_vo" },
    { 0x93A4, "player_impulse" },
    { 0x93A5, "player_initial_spawn_loc_override" },
    { 0x93A6, "player_kill_quad" },
    { 0x93A7, "player_picked_team" },
    { 0x93A8, "player_push_quad" },
    { 0x93A9, "player_watch_equalizer_use" },
    { 0x93AA, "playerremoveoutline" },
    { 0x93AB, "players_use_nuke_monitor" },
    { 0x93AC, "playersettagcount" },
    { 0x93AD, "playersprintslidrecently" },
    { 0x93AE, "playertriggeredportal" },
    { 0x93AF, "playflashfxonspider" },
    { 0x93B0, "playing_loopsound" },
    { 0x93B1, "playspiderretreatvo" },
    { 0x93B2, "playspidervo" },
    { 0x93B3, "playtogatevo" },
    { 0x93B4, "playtraversal" },
    { 0x93B5, "playvoforbrutespawn" },
    { 0x93B6, "playvofordrillonline" },
    { 0x93B7, "playvofordrillrepair" },
    { 0x93B8, "playvofordrillrepaircomplete" },
    { 0x93B9, "playvoforexplosiveammo" },
    { 0x93BA, "playvoforexplosives" },
    { 0x93BB, "playvoforincendiaryammo" },
    { 0x93BC, "playvoforintelrecovered" },
    { 0x93BD, "playvoforlaststand" },
    { 0x93BE, "playvoformk32" },
    { 0x93BF, "playvoforneutralizedalien" },
    { 0x93C0, "playvoforreloading" },
    { 0x93C1, "playvoforriotshield" },
    { 0x93C2, "playvoforvulture" },
    { 0x93C3, "pod_coll_model" },
    { 0x93C4, "pointnotifylua" },
    { 0x93C5, "portal_ent" },
    { 0x93C6, "portalspawn" },
    { 0x93C7, "post_final_boss_vo" },
    { 0x93C8, "post_first_boss_vo" },
    { 0x93C9, "postintroscreenfunc" },
    { 0x93CA, "posture" },
    { 0x93CB, "posture_internal" },
    { 0x93CC, "posture_spawn" },
    { 0x93CD, "posture_spawn_count" },
    { 0x93CE, "pre_activate_stay_within_area" },
    { 0x93CF, "pre_encounter_func" },
    { 0x93D0, "pre_heli_sequence" },
    { 0x93D1, "pre_second_boss_vo" },
    { 0x93D2, "precache_anims" },
    { 0x93D3, "prematch_over" },
    { 0x93D4, "prev_role" },
    { 0x93D5, "process_custom_spawn" },
    { 0x93D6, "process_intro_vignette_ai_type" },
    { 0x93D7, "process_spawn" },
    { 0x93D8, "processeggdamage" },
    { 0x93D9, "projectilespit" },
    { 0x93DA, "radial_push_player" },
    { 0x93DB, "rand_pos_or_neg" },
    { 0x93DC, "random_killer_update" },
    { 0x93DD, "random_mortars_get_source_structs" },
    { 0x93DE, "record_perk_upgrade" },
    { 0x93DF, "recordspecialattack" },
    { 0x93E0, "redriver_breach_init" },
    { 0x93E1, "redriver_breach_update" },
    { 0x93E2, "redriver_detecthit_churchbell" },
    { 0x93E3, "redriver_update_hitsway_churchbell" },
    { 0x93E4, "redrivercustombotkillstreakfunc" },
    { 0x93E5, "redrivercustomcratefunc" },
    { 0x93E6, "redrivercustomkillstreakfunc" },
    { 0x93E7, "redshirt_vo" },
    { 0x93E8, "refillammohorde" },
    { 0x93E9, "refillsinglecountammo" },
    { 0x93EA, "refreshfreecambasefx" },
    { 0x93EB, "refreshfreecamportalfx" },
    { 0x93EC, "regen_delay_timer" },
    { 0x93ED, "regeneration" },
    { 0x93EE, "regenfx" },
    { 0x93EF, "regenpoddamagehandler" },
    { 0x93F0, "regenpoddrain" },
    { 0x93F1, "regenpodinitialanim" },
    { 0x93F2, "register_achievements_dlc" },
    { 0x93F3, "register_armory_challenges" },
    { 0x93F4, "register_encounter" },
    { 0x93F5, "register_encounter_score_component" },
    { 0x93F6, "register_eog_score_component" },
    { 0x93F7, "register_eog_to_lb_playerdata_mapping" },
    { 0x93F8, "regular_hive" },
    { 0x93F9, "regular_hive_listener" },
    { 0x93FA, "release_custom_spawn_space" },
    { 0x93FB, "release_custom_spawn_space_on_interrupt" },
    { 0x93FC, "remove_dummy_on_target_death" },
    { 0x93FD, "remove_from_crafted_item_list" },
    { 0x93FE, "remove_from_outline_intel_watch_list" },
    { 0x93FF, "remove_mantles" },
    { 0x9400, "remove_outline_for_player" },
    { 0x9401, "remove_outline_on_death" },
    { 0x9402, "removelastelement" },
    { 0x9403, "removetagsongameended" },
    { 0x9404, "rescuedplayers" },
    { 0x9405, "reserve_custom_spawn_space" },
    { 0x9406, "reset_encounter_performance" },
    { 0x9407, "reset_player_challenge_performance" },
    { 0x9408, "reset_player_encounter_lua_omnvars" },
    { 0x9409, "reset_player_encounter_performance" },
    { 0x940A, "reset_player_performance_func" },
    { 0x940B, "reset_player_personal_score_performance" },
    { 0x940C, "reset_player_teamwork_score_performance" },
    { 0x940D, "reset_players_encounter_performance_and_lua" },
    { 0x940E, "reset_team_drill_performance" },
    { 0x940F, "reset_team_performance_func" },
    { 0x9410, "reset_team_score_performance" },
    { 0x9411, "reset_team_spider_performance" },
    { 0x9412, "resetregenpodidleoninterrupt" },
    { 0x9413, "retreatindex" },
    { 0x9414, "retreatstate" },
    { 0x9415, "retreatstruct" },
    { 0x9416, "ricochetdamage" },
    { 0x9417, "ricochetdamagemax" },
    { 0x9418, "rocket_explo" },
    { 0x9419, "rocket_explo_destroy_tank" },
    { 0x941A, "rocket_explo_drop_part" },
    { 0x941B, "rocket_explo_part_ground_hit" },
    { 0x941C, "rocket_explo_tank_clip_swap" },
    { 0x941D, "role" },
    { 0x941E, "roundsplayed" },
    { 0x941F, "rumblecustombotkillstreakfunc" },
    { 0x9420, "rumblecustomcratefunc" },
    { 0x9421, "rumblecustomkillstreakfunc" },
    { 0x9422, "run_encounters" },
    { 0x9423, "run_tables" },
    { 0x9424, "runspiderstage1" },
    { 0x9425, "runspiderstage2" },
    { 0x9426, "runstage" },
    { 0x9427, "scale_alien_damage_by_perks" },
    { 0x9428, "scale_alien_damage_by_prestige" },
    { 0x9429, "scale_alien_damage_by_weapon_type" },
    { 0x942A, "scriptablestate" },
    { 0x942B, "scripted_path_style" },
    { 0x942C, "sd_bomb_just_planted" },
    { 0x942D, "sd_press_use" },
    { 0x942E, "second_spider_fight" },
    { 0x942F, "security_room_vo" },
    { 0x9430, "select_container_structs_in_area" },
    { 0x9431, "select_hives" },
    { 0x9432, "selectedweapons" },
    { 0x9433, "set_alien_damage_by_weapon_type" },
    { 0x9434, "set_alien_loadout" },
    { 0x9435, "set_dog_model" },
    { 0x9436, "set_dog_model_no_fur" },
    { 0x9437, "set_drill_location" },
    { 0x9438, "set_escape_time_remaining" },
    { 0x9439, "set_force_sprint" },
    { 0x943A, "set_game_data" },
    { 0x943B, "set_initial_rush_goal" },
    { 0x943C, "set_join_in_progress" },
    { 0x943D, "set_laststand_stats" },
    { 0x943E, "set_locker_hint_strings" },
    { 0x943F, "set_lua_encounter_score_row" },
    { 0x9440, "set_lua_eog_score_row" },
    { 0x9441, "set_max_player_count" },
    { 0x9442, "set_new_bomber" },
    { 0x9443, "set_perk_upgraded" },
    { 0x9444, "set_player_game_data" },
    { 0x9445, "set_player_kills" },
    { 0x9446, "set_player_revives" },
    { 0x9447, "set_relics_selected" },
    { 0x9448, "set_scripted_pathing_style" },
    { 0x9449, "set_single_value_stats" },
    { 0x944A, "set_split_screen" },
    { 0x944B, "set_up_building_facade" },
    { 0x944C, "set_weak_point_glow" },
    { 0x944D, "setfollowerhintstring" },
    { 0x944E, "setguns" },
    { 0x944F, "setgunsfinal" },
    { 0x9450, "setinitialemissive" },
    { 0x9451, "setjuggswampslasher" },
    { 0x9452, "setmlgcamvisibility" },
    { 0x9453, "setnukeaftermathvision" },
    { 0x9454, "setspiderhealth" },
    { 0x9455, "setspidermodel" },
    { 0x9456, "setspiderscriptfields" },
    { 0x9457, "setteamintelprogress" },
    { 0x9458, "settimeromnvar" },
    { 0x9459, "setup_bot_blitz" },
    { 0x945A, "setup_bot_conf" },
    { 0x945B, "setup_bot_dom" },
    { 0x945C, "setup_bot_infect" },
    { 0x945D, "setup_bot_sd" },
    { 0x945E, "setup_bot_sotf" },
    { 0x945F, "setup_bouys" },
    { 0x9460, "setup_dock_boats" },
    { 0x9461, "setup_events" },
    { 0x9462, "setup_first_spider" },
    { 0x9463, "setup_fish" },
    { 0x9464, "setup_fountain_fx" },
    { 0x9465, "setup_metal_detectors" },
    { 0x9466, "setup_monitors" },
    { 0x9467, "setup_no_events" },
    { 0x9468, "setup_pinatas" },
    { 0x9469, "setup_rocket_explo_part" },
    { 0x946A, "setup_special_spawn_trigs" },
    { 0x946B, "setup_watertanks" },
    { 0x946C, "setupbeamweapon" },
    { 0x946D, "setupbeamweapons" },
    { 0x946E, "setupeggformap" },
    { 0x946F, "setupeggspawnstructs" },
    { 0x9470, "setupspiderattacks" },
    { 0x9471, "setupspiderregenpods" },
    { 0x9472, "setupspitchokestructs" },
    { 0x9473, "setxyanimscale" },
    { 0x9474, "sfx" },
    { 0x9475, "sfx_console_activate" },
    { 0x9476, "sfx_console_beeps_start" },
    { 0x9477, "sfx_console_beeps_stop" },
    { 0x9478, "sfx_dist_debris" },
    { 0x9479, "sfx_intro" },
    { 0x947A, "sfx_intro_guard" },
    { 0x947B, "shark_room_pusher" },
    { 0x947C, "shot_only_by_pistol" },
    { 0x947D, "should_activate_container_in_area" },
    { 0x947E, "should_activated_by_chance" },
    { 0x947F, "should_delay_flag_decision" },
    { 0x9480, "should_run_pre_encounter_func" },
    { 0x9481, "should_skip_area_activation" },
    { 0x9482, "should_skip_area_activation_func" },
    { 0x9483, "should_skip_encounter" },
    { 0x9484, "should_start_cautious_approach_dom" },
    { 0x9485, "should_start_cautious_approach_sd" },
    { 0x9486, "should_update_all_challenge" },
    { 0x9487, "should_update_kill_rhino_pistol" },
    { 0x9488, "should_update_kill_with_sweapon" },
    { 0x9489, "shouldcallforregen" },
    { 0x948A, "shouldplayhitreaction" },
    { 0x948B, "shouldregen" },
    { 0x948C, "shouldspawntags" },
    { 0x948D, "shoulduseteamstartspawn" },
    { 0x948E, "show_alternate_spend_hint" },
    { 0x948F, "show_encounter_scores" },
    { 0x9490, "show_specialweapon_hint" },
    { 0x9491, "show_weapon_waypoint" },
    { 0x9492, "showplacedmodel" },
    { 0x9493, "showspectatorportalfx" },
    { 0x9494, "single_value_stats" },
    { 0x9495, "skill_point" },
    { 0x9496, "skip_escape" },
    { 0x9497, "skip_first_spider_fight" },
    { 0x9498, "skip_func" },
    { 0x9499, "skip_hive" },
    { 0x949A, "skip_second_spider_fight" },
    { 0x949B, "skip_third_spider_fight" },
    { 0x949C, "small_bells" },
    { 0x949D, "smartglass_commander" },
    { 0x949E, "snipers" },
    { 0x949F, "soflam_model" },
    { 0x94A0, "solo_gameshouldend" },
    { 0x94A1, "solo_maydolaststand" },
    { 0x94A2, "sort_based_on_priority" },
    { 0x94A3, "sort_encounter_level_activation_time_func" },
    { 0x94A4, "sotf_bot_think_seek_dropped_weapons" },
    { 0x94A5, "sotf_crate_can_use" },
    { 0x94A6, "sotf_crate_in_range" },
    { 0x94A7, "sotf_crate_low_ammo_check" },
    { 0x94A8, "sotf_crate_should_claim" },
    { 0x94A9, "sotf_crate_wait_use" },
    { 0x94AA, "sotf_should_stop_seeking_weapon" },
    { 0x94AB, "sound_fire_elements" },
    { 0x94AC, "sound_logic_impacts" },
    { 0x94AD, "sound_wait_for_pre_explosion" },
    { 0x94AE, "spark_structs" },
    { 0x94AF, "spawn_alien_from_container" },
    { 0x94B0, "spawn_closeenemydistsq" },
    { 0x94B1, "spawn_origin" },
    { 0x94B2, "spawn_quantity" },
    { 0x94B3, "spawn_second_spider_in_third_fight" },
    { 0x94B4, "spawn_spider" },
    { 0x94B5, "spawn_struct" },
    { 0x94B6, "spawn_watertank_hit" },
    { 0x94B7, "spawnelevatedattackwave" },
    { 0x94B8, "spawner_list" },
    { 0x94B9, "spawnregenpod" },
    { 0x94BA, "spawnregenpods" },
    { 0x94BB, "spawnregenpodsraw" },
    { 0x94BC, "spawnthroughportal" },
    { 0x94BD, "special_attacks_available" },
    { 0x94BE, "special_gun_watcher" },
    { 0x94BF, "specialammo_init" },
    { 0x94C0, "specialattackavailable" },
    { 0x94C1, "specialattacktimer" },
    { 0x94C2, "spider" },
    { 0x94C3, "spider_boss_easter_egg_active" },
    { 0x94C4, "spider_egg_spawn_structs" },
    { 0x94C5, "spider_entrance_b" },
    { 0x94C6, "spider_entrance_c" },
    { 0x94C7, "spider_exit_a_props" },
    { 0x94C8, "spider_exit_b" },
    { 0x94C9, "spider_health_padding" },
    { 0x94CA, "spider_hide_all_debris" },
    { 0x94CB, "spider_initial_intro" },
    { 0x94CC, "spider_intro_screen_shake" },
    { 0x94CD, "spider_intro_screen_shake_exit" },
    { 0x94CE, "spider_play_snow_debris_anim" },
    { 0x94CF, "spider_player_multipliers" },
    { 0x94D0, "spider_posture_b" },
    { 0x94D1, "spider_regen_pods" },
    { 0x94D2, "spider_spit_choke_structs" },
    { 0x94D3, "spider_start_cycle" },
    { 0x94D4, "spider_tunnel" },
    { 0x94D5, "spiderinterrupttest" },
    { 0x94D6, "spiderstage1think" },
    { 0x94D7, "spiderstage2think" },
    { 0x94D8, "spitattack" },
    { 0x94D9, "spitter_ammo_active" },
    { 0x94DA, "spitter_ammo_delete" },
    { 0x94DB, "spitter_ammo_drop" },
    { 0x94DC, "spitter_ammo_drop_logic" },
    { 0x94DD, "spitter_ammo_rotate" },
    { 0x94DE, "spitter_ammo_think" },
    { 0x94DF, "squad_bot_dog_type" },
    { 0x94E0, "squad_vs_squad_has_forfeited" },
    { 0x94E1, "sr_ally_near_tag" },
    { 0x94E2, "sr_camp_tag" },
    { 0x94E3, "sr_pick_up_tag" },
    { 0x94E4, "srkillcamoverrideposition" },
    { 0x94E5, "stage" },
    { 0x94E6, "start_game_type" },
    { 0x94E7, "startanimtime" },
    { 0x94E8, "staticfieldgetstrength" },
    { 0x94E9, "stop_electric_trap_on_disconnect" },
    { 0x94EA, "stop_firetrap_on_disconnect" },
    { 0x94EB, "stopsuspensemusic" },
    { 0x94EC, "strategy_level" },
    { 0x94ED, "suspend_sd_role" },
    { 0x94EE, "swampcustombotkillstreakfunc" },
    { 0x94EF, "swampcustomcratefunc" },
    { 0x94F0, "swampcustomkillstreakfunc" },
    { 0x94F1, "swampslasherbeginmusic" },
    { 0x94F2, "swampslashercreatefunc" },
    { 0x94F3, "swampslasherendmusic" },
    { 0x94F4, "swampslasherkilleffect" },
    { 0x94F5, "swampslashersounds" },
    { 0x94F6, "sweep_dummy" },
    { 0x94F7, "sweepturning" },
    { 0x94F8, "tag_getting" },
    { 0x94F9, "tag_pile_watcher" },
    { 0x94FA, "tag_watcher" },
    { 0x94FB, "tags_seen" },
    { 0x94FC, "tags_seen_by_owner" },
    { 0x94FD, "take_crafting_items" },
    { 0x94FE, "tank_damage" },
    { 0x94FF, "tank_hitfx_throttle" },
    { 0x9500, "tank_hitfx_throttle_max" },
    { 0x9501, "target_dummy" },
    { 0x9502, "team_encounter_performance" },
    { 0x9503, "tesla_generator_amb_fx" },
    { 0x9504, "test_calls" },
    { 0x9505, "test_human" },
    { 0x9506, "test_meteoroid" },
    { 0x9507, "testspiderstage" },
    { 0x9508, "testspiderstagethink" },
    { 0x9509, "third_spider_fight" },
    { 0x950A, "throwegg" },
    { 0x950B, "time_spent_hiding" },
    { 0x950C, "timeoflastdamage" },
    { 0x950D, "timeromnvars" },
    { 0x950E, "toggle_usablity_on_distance" },
    { 0x950F, "town_hint_precache" },
    { 0x9510, "track_percent_accuracy_turret_shots_fired" },
    { 0x9511, "trackintelkills" },
    { 0x9512, "traverse" },
    { 0x9513, "trolley_attach_lights" },
    { 0x9514, "trophy_model" },
    { 0x9515, "try_move_idle" },
    { 0x9516, "try_to_give_player_locker_weapon" },
    { 0x9517, "try_to_give_player_the_locker_key" },
    { 0x9518, "try_update_lb_playerdata" },
    { 0x9519, "tryspecialattacks" },
    { 0x951A, "tryuseboneyardkillstreak" },
    { 0x951B, "tryusejuggernautswampslasher" },
    { 0x951C, "tryuseredrivernuke" },
    { 0x951D, "tryuserumblemortars" },
    { 0x951E, "tu_electric_fence_fix" },
    { 0x951F, "tu_fix_door_trigger_positions" },
    { 0x9520, "tunnel_instant_spotted" },
    { 0x9521, "turn_off_intel_for_player" },
    { 0x9522, "turn_off_pillage_intel_for_players" },
    { 0x9523, "turret_handlepickup_pc" },
    { 0x9524, "ui_elem" },
    { 0x9525, "ui_icon" },
    { 0x9526, "ui_searching" },
    { 0x9527, "ui_state" },
    { 0x9528, "uncloak_fx" },
    { 0x9529, "unlink_spider_collision" },
    { 0x952A, "unsetadrenalineondeath" },
    { 0x952B, "unsetjuiceboxondeath" },
    { 0x952C, "update_achievement_damage_weapon" },
    { 0x952D, "update_achievement_damage_weapon_dlc" },
    { 0x952E, "update_achievement_damage_weapon_func" },
    { 0x952F, "update_alien_kill_achievements_dlc" },
    { 0x9530, "update_alien_kill_achievements_func" },
    { 0x9531, "update_alien_outline" },
    { 0x9532, "update_artillery_fx" },
    { 0x9533, "update_boss_achievements" },
    { 0x9534, "update_bouy" },
    { 0x9535, "update_bridge_event_player_effects" },
    { 0x9536, "update_challenges_status" },
    { 0x9537, "update_damage_score" },
    { 0x9538, "update_destroyer" },
    { 0x9539, "update_destructibles" },
    { 0x953A, "update_dock_boat" },
    { 0x953B, "update_encounter_performance_internal" },
    { 0x953C, "update_fish" },
    { 0x953D, "update_flybyjet_fx" },
    { 0x953E, "update_fountain_fx" },
    { 0x953F, "update_heli_fx" },
    { 0x9540, "update_intel_achievement" },
    { 0x9541, "update_kill_nodamage" },
    { 0x9542, "update_kill_spider" },
    { 0x9543, "update_lb_aliensession_final_spider" },
    { 0x9544, "update_lighthouse_light" },
    { 0x9545, "update_metal_detector" },
    { 0x9546, "update_monitor" },
    { 0x9547, "update_mortars" },
    { 0x9548, "update_mp_eggs_achievement" },
    { 0x9549, "update_personal_encounter_performance" },
    { 0x954A, "update_pinata" },
    { 0x954B, "update_players_encounter_performance" },
    { 0x954C, "update_spending_type" },
    { 0x954D, "update_target_dummy" },
    { 0x954E, "update_team_encounter_performance" },
    { 0x954F, "update_trolley" },
    { 0x9550, "update_watertank" },
    { 0x9551, "update_watertank_fish" },
    { 0x9552, "update_watertank_invulnerable" },
    { 0x9553, "updateachievements" },
    { 0x9554, "updatecrateusestate" },
    { 0x9555, "updateinteldeathposition" },
    { 0x9556, "updatemlgcameras" },
    { 0x9557, "updatenukevisiononhostmigration" },
    { 0x9558, "updateoutlines" },
    { 0x9559, "updateplayercombatstatus" },
    { 0x955A, "updatetimeromnvars" },
    { 0x955B, "updateweaponcamo" },
    { 0x955C, "updateweaponui" },
    { 0x955D, "use_dlc_vo" },
    { 0x955E, "use_dpad_team_specialammo_explo" },
    { 0x955F, "use_dpad_team_specialammo_in" },
    { 0x9560, "uses" },
    { 0x9561, "valid_positions" },
    { 0x9562, "validate_byte" },
    { 0x9563, "validate_int" },
    { 0x9564, "validate_short" },
    { 0x9565, "validate_value" },
    { 0x9566, "validscorercheck" },
    { 0x9567, "value_type" },
    { 0x9568, "vanguardrangetriggers" },
    { 0x9569, "vfxbatcavetrigger" },
    { 0x956A, "vfxbatcavewaitinit" },
    { 0x956B, "vfxbatcavewatchplayerstate" },
    { 0x956C, "vfxbatcavewatchplayerweapons" },
    { 0x956D, "vfxcreatefrogtrigger" },
    { 0x956E, "vfxrunfrogtrigger" },
    { 0x956F, "vfxsetupfrogfx" },
    { 0x9570, "vignette_death_skip" },
    { 0x9571, "vignette_precache" },
    { 0x9572, "vignettes_startup" },
    { 0x9573, "vo_index_1" },
    { 0x9574, "vo_listener_init" },
    { 0x9575, "vo_listener_player_init" },
    { 0x9576, "voice_count" },
    { 0x9577, "vulnerable" },
    { 0x9578, "vulnerable_damage" },
    { 0x9579, "vulnerable_internal" },
    { 0x957A, "wait_and_set_dog_fur" },
    { 0x957B, "wait_damage_activate" },
    { 0x957C, "wait_for_detonation" },
    { 0x957D, "wait_for_downed_state" },
    { 0x957E, "wait_for_marked_aliens" },
    { 0x957F, "wait_for_player_near_spider" },
    { 0x9580, "wait_notify_activate" },
    { 0x9581, "wait_set_initial_player_count" },
    { 0x9582, "wait_trigger_activate" },
    { 0x9583, "waitforegghatch" },
    { 0x9584, "waitformove" },
    { 0x9585, "waitforplayerconnect" },
    { 0x9586, "waitillcanspawnclient" },
    { 0x9587, "waitthink" },
    { 0x9588, "waittill_tag_calculated_on_path_grid" },
    { 0x9589, "wasinantifoliage" },
    { 0x958A, "watch_cinematic_use" },
    { 0x958B, "watch_for_nearby_generators" },
    { 0x958C, "watch_for_redriver_nuke_crate" },
    { 0x958D, "watch_for_rumble_mortars_crate" },
    { 0x958E, "watch_for_swamp_slasher_crate" },
    { 0x958F, "watch_for_use_nuke_trigger" },
    { 0x9590, "watch_for_vulnerability" },
    { 0x9591, "watch_tag_destination" },
    { 0x9592, "watch_trigger_by_player" },
    { 0x9593, "watchantifoliage" },
    { 0x9594, "watchcrankedhostmigration" },
    { 0x9595, "watchexplosion" },
    { 0x9596, "watchforhostmigrationsetround" },
    { 0x9597, "watchforperkremoval" },
    { 0x9598, "watchforremotekillstreak" },
    { 0x9599, "watchplayersspawning" },
    { 0x959A, "waypoint_dist_override" },
    { 0x959B, "weakpoints" },
    { 0x959C, "weakpointstate" },
    { 0x959D, "weapon_item" },
    { 0x959E, "weapon_string" },
    { 0x959F, "weaponcategories" },
    { 0x95A0, "window_active" },
    { 0x95A1, "wolffurfx" },
}};

} // namespace xsk::gsc::iw6_pc
