// Copyright 2023 xensik. All rights reserved.
//
// Use of this source code is governed by a GNU GPLv3 license
// that can be found in the LICENSE file.

#include "xsk/gsc/engine/iw9.hpp"

namespace xsk::gsc::iw9
{

extern std::array<std::pair<u64, char const*>, hash_count> const hash_list
{{
    { 0xAC0E9D4AC96B3934, "-" },
    { 0xAC0E2F4AC96A474A, "_" },
    { 0x7A01D32B5E35730B, "__ending_origin" },
    { 0xBB7D35520AF8237B, "__smangles" },
    { 0x43722A6C295BEE16, "__smid" },
    { 0xEF267DA376AFA200, "__smname" },
    { 0x7ABE0049420B0625, "__smorigin" },
    { 0x781D27DECCFCFE27, "__smuid" },
    { 0xA86D29E04D06B31D, "_accessreaderscriptableused" },
    { 0xFB5272CFB7AE237D, "_add_objective" },
    { 0x3250F83BEE52E9D0, "_add_z" },
    { 0x4FB61E9253064FFA, "_ai_delete" },
    { 0x0E62646953CDFA95, "_ai_gesture_head_additives" },
    { 0x19920918C8A75B9C, "_ai_group" },
    { 0x48145E8B7460BAEA, "_ai_head_weight_blend_in" },
    { 0xF0EFF838BF05CE7F, "_ai_health" },
    { 0x9EEEBAA57E2899E9, "_ai_torso_weight_blend_in" },
    { 0x828B7FB08FF9321E, "_alarmmonitorinternal" },
    { 0x71226EA8E321D316, "_allowbattleslide" },
    { 0xED8021A21E3EA937, "_ambush_rpg_after_spawn" },
    { 0xEABEB299E0ED311E, "_ambush_squad_func" },
    { 0x3D28EF4642449573, "_anim_scene_actor_end_interrupt_think" },
    { 0x3BEF754D1D6865FE, "_anim_scene_ender_think" },
    { 0xCE3BBFC19CC0B009, "_anim_scene_force_end_think" },
    { 0xE6A0107717ED2CDC, "_anim_scene_internal" },
    { 0x4EEA378CD4914822, "_anim_scene_internal_blend_in" },
    { 0x9CA3B10993C75EFE, "_anim_scene_internal_end" },
    { 0xE7FC87AF0ECE0F1A, "_anim_scene_internal_finish_blend" },
    { 0xDB9B15371E119F26, "_anim_scene_internal_get_anim_duration" },
    { 0xE994D25643E29176, "_anim_scene_internal_start_anims" },
    { 0x3EFB841AC2BAC42F, "_anim_scene_interrupt_think" },
    { 0x75AB0D34DBA89F5D, "_animactive" },
    { 0x607A9725A4C69362, "_anime" },
    { 0x42BC33A83030F0FC, "_animmode" },
    { 0x92D8B193A09397F8, "_animname" },
    { 0x036CA31FD89AE890, "_applydvarstosettings" },
    { 0x5B4AD1296EE82C51, "_applysalesdiscount" },
    { 0xF3D895E494A55799, "_ar_callout_tracker" },
    { 0x861545F8F5177F3D, "_array_wait" },
    { 0xA040B518C3122017, "_arraytostring" },
    { 0x8EC398B91515257A, "_assignthinkoffset" },
    { 0xDB76AB22274EFC21, "_attachmentblocks" },
    { 0x3A9BE2D5FCD39289, "_audio_random_array_dict" },
    { 0x832B59C49CD2DF40, "_autosave_game_now" },
    { 0x78B2ABA712CF3DC4, "_autosave_stealthcheck" },
    { 0x70A1BF9351B993E2, "_baseeffect" },
    { 0x386D9C78590F19EE, "_baseeffectenemy" },
    { 0xFCC9B153CCF2352D, "_baseeffectfriendly" },
    { 0x590CCC10405A5A11, "_battlechatter" },
    { 0xE256E3D5C5022D96, "_beginlocationselection" },
    { 0xF5F3D824A53FCF0B, "_blackboard" },
    { 0x7609D456546714F6, "_blankfunc" },
    { 0xFC6E1F0C5EAE2466, "_box_setactivehelper" },
    { 0x98BDA8D1D24C294D, "_br_circle_expected_players" },
    { 0x0AFE1F41842BF74C, "_br_circle_min_lerp_time" },
    { 0x5A17EFBC5BBFAD89, "_br_circles_dist" },
    { 0x1662F6BA99ABE18A, "_branalytics_addevent" },
    { 0x7CF2BC6E15DAA6D6, "_branalytics_addeventallowed" },
    { 0xC7E9353E6351C274, "_branalytics_addeventdelayed" },
    { 0x79D5767C8BD582ED, "_branalytics_geteventtimestamp" },
    { 0x66EFFDE60006A7AA, "_branalytics_header" },
    { 0x3532983985200883, "_branalytics_headerplayer" },
    { 0x611F0D5EC2E37379, "_branalytics_headerplayerposrow" },
    { 0x828A4F3AB85E43AF, "_btactions" },
    { 0x5AB4F888A379BA59, "_buildweaponcustom" },
    { 0x2AFDB1F3D53DD2F0, "_bullet_trace" },
    { 0x71E8DEECCC735BB1, "_bullet_trace_passed" },
    { 0x2229C2337CD06E1E, "_calloutmarkerping_checkforbuybackrequest" },
    { 0x2F6615B4E7408753, "_calloutmarkerping_handleluinotify_acknowledged" },
    { 0xBFD8F95F56D9D4D5, "_calloutmarkerping_handleluinotify_acknowledgedcancel" },
    { 0xD535182C958656BF, "_calloutmarkerping_handleluinotify_added" },
    { 0x1588BB430B4806D6, "_calloutmarkerping_handleluinotify_brinventoryslotrequest" },
    { 0x2E875341F190CE65, "_calloutmarkerping_handleluinotify_cleared" },
    { 0x88BDDB93F294397D, "_calloutmarkerping_handleluinotify_enemyrepinged" },
    { 0x48C1794F5CECA756, "_calloutmarkerping_handleluinotify_mappingdeletemarker" },
    { 0xCD43107A11763EC7, "_calloutmarkerping_isdropcrate" },
    { 0xD8AC9CA9A1037BD3, "_calloutmarkerping_isenemy" },
    { 0xC0EF2E5ACEB08AB0, "_calloutmarkerping_iskiosk" },
    { 0x5DC10CCAF607C90A, "_calloutmarkerping_isplunderextract" },
    { 0xBE9630DB741F8F7E, "_calloutmarkerping_isvehicleoccupiedbyenemy" },
    { 0xB20B821EF2309889, "_calloutmarkerping_onpingchallenge" },
    { 0xCC19D9D81AB1A7F9, "_calloutmarkerping_poolidisdanger" },
    { 0xCE0545D5E7E0E189, "_calloutmarkerping_poolidisentity" },
    { 0x6E8D50FA5CBA8774, "_calloutmarkerping_poolidisloot" },
    { 0x62E60CB78977CF48, "_calloutmarkerping_predicted_isanypingactive" },
    { 0x9FE026BD151419DF, "_calloutmarkerping_predicted_listenfornotifies" },
    { 0xB07869B20A644586, "_calloutmarkerping_predicted_log" },
    { 0x57E56DCFB474118F, "_calloutmarkerping_predicted_timeout" },
    { 0x3B496AB1BD2CF5EE, "_calloutmarkerping_scriptableisusable" },
    { 0xBCA2416FE8954727, "_calloutmarkerping_shouldremovecalloutifwholesquadinvehicle" },
    { 0x19AFCE4C736D243A, "_cancelputawayonuseend" },
    { 0x48209027C09264C4, "_checkforregister" },
    { 0xF9BDB78BBC662EB0, "_circledurationforplayer" },
    { 0x310A7625D4D1E7D8, "_cleanuptabletallows" },
    { 0x4D3A8A1D21CA4DB5, "_clearalltextafterhudelem" },
    { 0x17BDE0DAC07787B3, "_clearexecution" },
    { 0xCCAFBCDD37B845F8, "_clearperks" },
    { 0xC7DBC65DEDE4402F, "_clearregisters" },
    { 0xAAC9573C63883A51, "_closepurchasemenuwithresponse" },
    { 0xD713D5684027D360, "_codecomputerscriptableused" },
    { 0x197C565EAE7F69D7, "_codephonescriptableused" },
    { 0x9A003C82B65514BD, "_color" },
    { 0x49EF458861FB9F33, "_color_friendly_spawners" },
    { 0x98C3A6948E903FB4, "_colors_go_line" },
    { 0x6D577D438FE76B80, "_completebet" },
    { 0xED092E68B4D530A8, "_computerrebootsequence_start" },
    { 0x0446E532641A6679, "_create_tagging_highlight" },
    { 0x6BA5B5161CE13410, "_createfx" },
    { 0xAED1CAFE031E3CE9, "_createheadicon" },
    { 0x07C87DDC78061E5E, "_createnavobstacle" },
    { 0x2BF6811DF12A6874, "_csm_bound_center" },
    { 0x4C4C8FB92DEAF6CD, "_csm_bound_halfsize" },
    { 0x5E4D07BCE4686E11, "_custom" },
    { 0x5A7EA319301D11B3, "_custom_anim" },
    { 0x47502FE835747E1A, "_custom_anim_loop" },
    { 0x3E8235F64DAA8DFC, "_custom_anim_thread" },
    { 0x79FEB00CD05E01E5, "_dangercircledurationforplayer" },
    { 0x16D62DB9EC489AAE, "_debug_rooftop_activesat" },
    { 0xF202E822D4CA4DCF, "_debug_rooftop_heli_start" },
    { 0x3D8551E33DB37647, "_debug_rooftop_raid_exfil" },
    { 0x92FF3716DB572BF8, "_debug_rooftopobjstart" },
    { 0x315B7BE8DAE28C66, "_defaultnotetrackhandler" },
    { 0x46548B8642A0FCD5, "_defusesetup" },
    { 0x34E9AA1DDFFA67A8, "_delete_ents" },
    { 0x833A33E4B7775F9F, "_deletevehicle" },
    { 0x98D84ECCF352115C, "_deployhacktablet" },
    { 0xF2D8A7707F60D663, "_destroyheadicon" },
    { 0xA86B4C6BB6B284B0, "_destroynavobstacle" },
    { 0x3FEEA123ADE49ECC, "_detachall" },
    { 0x6A2230A77EF25619, "_determinelocationarray" },
    { 0xC41BE5932B23A554, "_disable_hudoutline_on_ent" },
    { 0x6457DC7AC65CDD03, "_disableequipdeployvfx" },
    { 0xE64E5361B2ADACCA, "_disableignoreme" },
    { 0x84C4CE5A63E54BA9, "_domflageffect" },
    { 0xAF797AC2EFFDBAA0, "_domflagpulseeffect" },
    { 0x8BAC51419FD1265A, "_donewithcorpse" },
    { 0x53D7F9C346F3591A, "_draw_arrow" },
    { 0xFB1D6AF3C3554B37, "_effect" },
    { 0x241CFE2421DF79FC, "_effect_keys" },
    { 0x96FD7A169494868C, "_effects" },
    { 0xB861B0CF4EB9FE3A, "_emp_grenade_apply_player" },
    { 0xA2EC1B344F7C8743, "_emp_grenade_end_early" },
    { 0xBCE10D25B9ECC994, "_enable_hudoutline_on_channel_ents" },
    { 0xC02D56FC2A8AE2FB, "_enable_hudoutline_on_ent" },
    { 0xD85F602428889466, "_enablecollisionnotifies" },
    { 0xA4034FA6371431E8, "_enableequipdeployvfx" },
    { 0x61C7706DB7AEDF71, "_enableignoreme" },
    { 0xC3F11BDEFFAA7FE4, "_end_heli_spawn_group" },
    { 0x944F833AFBEADCE6, "_end_reinforcements" },
    { 0x7DD4787AC812FCEB, "_end_spawn_group" },
    { 0x9A489CF9F980846C, "_end_tagging_highlighting" },
    { 0xE4255334884679ED, "_findexisitingquestlocale" },
    { 0xFDB2B30DE32297F3, "_findgivearmoramountanddropleftovers" },
    { 0xADE1B77DD678E23A, "_findnewdomflagoriginplaced" },
    { 0x627B0DD39D20B384, "_findnewdomflagoriginrandom" },
    { 0x3DF73BE71C9CBBF2, "_findnewlocaleplacement" },
    { 0x295F55E48E51A056, "_findunobstructedfiringpointhelper" },
    { 0x4056297A0E3C83AE, "_fire" },
    { 0x6C2AE6545685AD7A, "_first_frame_anim" },
    { 0xB7D9094BF02B4FDF, "_flag_wait_trigger" },
    { 0x15BE655D9FAF959D, "_flageffect" },
    { 0x4B1D370696092517, "_flagradiuseffect" },
    { 0xCD261A085CC63334, "_freeze_until_phototaken" },
    { 0xBE72062BE79337CB, "_freezecontrols" },
    { 0x0237748AB219D884, "_freezelookcontrols" },
    { 0x9C04BD0236341C74, "_fx" },
    { 0x4FB8CE2D61F879D6, "_genericsearcharea" },
    { 0x0306BA0D1E77CA78, "_get_sorted_list_of_channel_plus_child_channels" },
    { 0x35281117D3A7C755, "_getactualcost" },
    { 0x1FF8F493E9D99F60, "_getdeathstatecode" },
    { 0x9ECBAD8DEA127DC5, "_getequipmentammotomax" },
    { 0x51B60746C327586D, "_getlocation" },
    { 0x8120F32B8060DBB7, "_getlocationscircleinfluencedwithnoise" },
    { 0x27F3767AB2795E98, "_getphysicspointaboutnavmesh" },
    { 0xFAF37FEFC3FC0883, "_getplayerscore" },
    { 0x53C90ABFD429ECA7, "_getplunderextractlocations" },
    { 0x619D47A3BAF2B3B7, "_getradarstrength" },
    { 0xBA693161ED03466B, "_getrandomlocations" },
    { 0xB0314F5FD060561A, "_getrandomspawnstructs" },
    { 0xC3E9CDF7F898D4FF, "_getsingleplunderextractlocations" },
    { 0x5B8F5032D23B1B03, "_getteamscore" },
    { 0xD5545C099F905F2B, "_getvehiclespawnerarray" },
    { 0x252BE1A4E6529C8E, "_givebrsuper" },
    { 0xDE38E84F3B98CC13, "_giveexecution" },
    { 0xD4346E37F43A1CC3, "_giveweapon" },
    { 0x8B909B9B8E510F93, "_global_fx_ents" },
    { 0x29A1F6B2F2E90453, "_goto_goal_and_snipe" },
    { 0x8AD06BECCEDC0C6C, "_hacksetup" },
    { 0xE50A7D1E51ECEF3F, "_handlefieldupgradepurchase" },
    { 0xA7947CE89029CD8D, "_handlekillstreakpurchase" },
    { 0x4FEBCF1C7F96C198, "_handlespecialpurchase" },
    { 0xFC46B43BC7083D87, "_handlevehiclepurchase" },
    { 0x4BD4C8130E339EB9, "_handlevehiclerepair" },
    { 0xD1F88D660FBF596E, "_hardpointeffect" },
    { 0x62E20364839E755E, "_hasperk" },
    { 0xCA79D8E177251215, "_heapgreaterthan" },
    { 0x642F6B10D8EC4822, "_heapify" },
    { 0xDB71FEADAD565429, "_heapleftchild" },
    { 0xB66115BBD1E5D066, "_heaplessthan" },
    { 0x615724567AC97398, "_heapparent" },
    { 0xF618F79810F3EAE0, "_heaprightchild" },
    { 0x9B9B7C100BB625E7, "_hidefromplayer" },
    { 0x321F6DDBF00539F5, "_hidesafecircleui" },
    { 0xA85FEE28521A219E, "_hint_stick_get_config_suffix" },
    { 0x68DAEB80DA2AF6A2, "_hint_stick_update_breakfunc" },
    { 0xE2809B9EFFCDFD2C, "_hint_stick_update_string" },
    { 0x648E81BC7970A464, "_hudoutlineenableforclient" },
    { 0x960B687F12B8DE95, "_hudoutlineenableforclients" },
    { 0x32E8F8CBB3DE6AA5, "_hudoutlineviewmodeldisable" },
    { 0xA36F4C3A4761C32C, "_hudoutlineviewmodelenable" },
    { 0x58C6DCC13A5C7837, "_init_door_internal" },
    { 0xBBE5551C043E2920, "_initignoredtabspergamemode" },
    { 0x2B193AA8EE864C6F, "_initmanagerquestthread" },
    { 0xA02349F3CECD6A68, "_initpic" },
    { 0x4A288CC2378C4083, "_initsalesdiscount" },
    { 0xE43E2890175E0293, "_intel_dismiss_button_listener" },
    { 0x907B2B285E43B9D6, "_intel_waypoint_button_listener" },
    { 0x492D44576F9244FA, "_interactive" },
    { 0xD996C8551811AF72, "_interactmonitor" },
    { 0xCF3329FFC818F170, "_is_godmode" },
    { 0x0997342145CEA7D2, "_is_looking_at_range" },
    { 0xE8CE0684A8E0E6B7, "_isalive" },
    { 0xD78AE49DB892A097, "_ispointinbadarea" },
    { 0x3D25CD6C7975A699, "_isquestthreaded" },
    { 0xEC088DED93A441B1, "_issuspendedvehicle" },
    { 0x430D087713088380, "_keypadscriptableused" },
    { 0x8EA839FCEB9D8903, "_keypadscriptableused_bunkeralt" },
    { 0x6BAA9D485D6E8892, "_kill_fx_play_direction" },
    { 0x6FD8A95D9687CE0C, "_killstreakneedslocationselection" },
    { 0x91C24698AC9F5AB6, "_lastanime" },
    { 0x0AAECE966FB5B546, "_lastanimtime" },
    { 0xADDC62F9FA47CF05, "_launchgrenade" },
    { 0xEED1D85905B15A04, "_launchsinglenuke" },
    { 0xA9C05ABF71E5CBF4, "_leaderafterspawnfunc" },
    { 0x36EA33099E6C3DB7, "_linkto" },
    { 0x75E5304D87E45A69, "_loadout_setcopyloadoutomvnaronspawn" },
    { 0xF2E0D4DC33078FCB, "_loadstarted" },
    { 0x1F4807587B494B1C, "_locationselectioninterrupt" },
    { 0xF69E0D72ECB897EA, "_luidecision" },
    { 0x9058B785F36A4CED, "_magicbullet" },
    { 0xB0412FCAA2ED6572, "_mainturretoff" },
    { 0x9AD7E4B884279838, "_mainturreton" },
    { 0xF02EABE03A22BBEC, "_makekioskpurchase" },
    { 0x20488950717A8B0D, "_managenukeexplosionvisionset" },
    { 0x9114201BE35156D9, "_maphint_cheese2scriptableused" },
    { 0xBA518FC7610D9659, "_maphint_cheesescriptableused" },
    { 0x0928DDE6EA013BA1, "_maphint_computerscriptableused" },
    { 0x7F023A65B2B154DC, "_maphint_keypadscriptableused" },
    { 0xE64AA19B22DA5F46, "_maphint_offerscriptableused" },
    { 0x093E692141AE1C80, "_maphint_phonescriptableused" },
    { 0x3935B11E464A26ED, "_max_script_health" },
    { 0xFD8D511AFFB54C36, "_maxoutequipmentammo" },
    { 0x000C251EB29D66C3, "_mgoff" },
    { 0xD7FB66049A0207BF, "_mgon" },
    { 0xA1CCEFEE5984FCC5, "_missing_fx" },
    { 0x66209B9268A5A301, "_mobilearmorychooseclass" },
    { 0x43944D16374C9C8E, "_mobilearmoryendusethink" },
    { 0xED7C2DD72B0554D5, "_mobilearmorymanageminimapicon" },
    { 0x0B0FBC78DC31C07F, "_mobilearmoryusethink" },
    { 0x2ABBEAD22570526A, "_newhudelem" },
    { 0x36FA05E063FBABB3, "_notetrackfx" },
    { 0x9FCA023F69649B96, "_objective_addlocation" },
    { 0xCDBF9987E2563261, "_objective_delete" },
    { 0xD81D838F810D02AE, "_objective_getindexforname" },
    { 0x3B5F2DC86655B532, "_objective_getnextfreelocationindex" },
    { 0xA714915A6B63FF6C, "_objective_getnextfreeobjectiveindex" },
    { 0x4B944D1953E4BD64, "_objective_initindexforname" },
    { 0x47CF64C47B93E19B, "_objective_validatename" },
    { 0xB26BDE607E245D51, "_ondeathordisconnectinternal" },
    { 0xD3CC6718FA5FA2EA, "_onenteractivestate" },
    { 0x13F6BA52CC4D89C5, "_onenterchargingstate" },
    { 0x4E3330734AF15B17, "_onentercooldownstate" },
    { 0x1A11CF154587C5B5, "_onenterdefaultstate" },
    { 0x39A233F1DBE263ED, "_onenterscanningstate" },
    { 0xE7148D7C8B6C97FE, "_onexitactivestate" },
    { 0x0AB315BD4AFC4E79, "_onexitchargingstate" },
    { 0xCA9D78196BC4A239, "_onexitdefaultstate" },
    { 0x5C31B54283360859, "_onexitscanningstate" },
    { 0x728A68DEADAFBD34, "_onmatchstartbr" },
    { 0x80FFA812DCE2CEEC, "_ontabletgiven" },
    { 0x26CDFB769D16A777, "_ontabletpulledout" },
    { 0xCCB342D6A98BC12A, "_ontabletputaway" },
    { 0x4978FE56B1DA52AF, "_open_door" },
    { 0x7FB8E13A25BB8858, "_parsepurchaseitemtables" },
    { 0xA959B2B8EF841402, "_phonemorsesinglescriptableused" },
    { 0xF680E199B70FC97F, "_picknextcirclecenter" },
    { 0x5508C68774B187EA, "_play_interaction_anim_vo_note" },
    { 0x1FF037AF0BDEF7F7, "_play_player_dialogue" },
    { 0x47270199FDDEC0E6, "_player_allowed_stances" },
    { 0x68E4368C35454FBA, "_playerrespawntext" },
    { 0xEB6337C59F4C3D44, "_playerwaittillcinematiccompleteinternal" },
    { 0x9143BB1B073B8CB6, "_playradioecho" },
    { 0x6F03AE12A20A8B8B, "_playsound" },
    { 0xF906CFE75301FF32, "_poistateupdate" },
    { 0xB779B1C7F1ECCE57, "_precache" },
    { 0xD739AD3C2A4CC963, "_precalcsafecirclecenters" },
    { 0x0760D6BB49A9D236, "_precomputedlosdatatest" },
    { 0x730515908900852F, "_primarylightcount" },
    { 0x76D42925F06814FF, "_process_native_script" },
    { 0xF60CBB98B17B7FF2, "_processusethink" },
    { 0xB879430D4B5C0689, "_proximitywatcher" },
    { 0x870BAE9898C15C3C, "_purchasemenuclosedbyclient" },
    { 0x380BF7BD22819DC6, "_questinstancesactive" },
    { 0xB33F3C4C0AE35BB3, "_questmanagerthread" },
    { 0x838AEC9CAF542697, "_questthreadsactive" },
    { 0xC234B03129BC9790, "_questtimerwait" },
    { 0xA639621C19CECB09, "_radiusdamage" },
    { 0x3C06AD8A18C24930, "_redbuttonused_internal" },
    { 0x4EF4B2705A8A248D, "_redefine_interaction_radius_cleanup" },
    { 0x7193B6D3D5142137, "_registerquestcategory" },
    { 0x5A9E90DC5CA50EB9, "_registerquestfunc" },
    { 0x23E6A9CE6FE4378E, "_remove_tagging_highlight_on_death" },
    { 0x76A4C46DF5D64C1C, "_removecashstateforplayer" },
    { 0x6FD3D1F31ADBEB91, "_removemanagerquestthread" },
    { 0x2EC14BFCF9CF2FBE, "_resetenableignoreme" },
    { 0x76DEF26874501230, "_rpg_skit_after_spawn" },
    { 0x184066E4BFEBEEA3, "_runaddquestinstance" },
    { 0xD2B58456B001D458, "_runaddquestthread" },
    { 0xCAA9C7B60CA1F323, "_runcheckiflocaleisavailable" },
    { 0xA077A48E7D51F990, "_runclearquestvars" },
    { 0xA6CEEC22614819D5, "_runcooldownphase" },
    { 0x26A4DE4AB4FC4C2D, "_runcreatequestlocale" },
    { 0x8BF004622CBE97C5, "_runfindsearcharea" },
    { 0x916F99619371D025, "_runinitquesttype" },
    { 0x047B2F915A6D717F, "_runinitquestvars" },
    { 0x7D661419C1F34F46, "_runmovequestlocale" },
    { 0xE043C7FC05C22243, "_runpurchasemenu" },
    { 0xDE5D1888177F40AD, "_runquestthink" },
    { 0x44DB3060E6A3B626, "_runquestthinkfunctions" },
    { 0xB0ABC3E440ABD494, "_runremovequestinstance" },
    { 0xC9843CFCA82D6747, "_runremovequestthread" },
    { 0xCAE1CD7F76EE6E17, "_safecircledurationforplayer" },
    { 0x819D7D9208CE4F07, "_satellitetruckactivate" },
    { 0xBE6D54254C6D03EE, "_satellitetruckendusethink" },
    { 0x2956B9E57BEDF235, "_satellitetruckmanageminimapicon" },
    { 0x73B323CA875519F5, "_satellitetruckstartsound" },
    { 0xE0FA5E8F07109B5F, "_satellitetruckusethink" },
    { 0xEA712197DD401E2B, "_schedulenukes" },
    { 0xF236BF3192C0EA0E, "_screenshakeonposition" },
    { 0xBDE1C5531C27065E, "_scriptnoteworthycheck" },
    { 0x84D419FF57BF8092, "_set_node_relative_anim_actor" },
    { 0xBB3C4F5FE9EB43B4, "_setactionslot" },
    { 0x8DDBCC0547D1A80C, "_setclientkillstreakavailability" },
    { 0xC4702A128074E03D, "_setclientkillstreakindexes" },
    { 0xD857311A9DCC32B5, "_setdof_internal" },
    { 0x0F03E9F417F7C59A, "_setdomencountericoninfo" },
    { 0x1F15A9EA3E5E2AB1, "_setdomflagiconinfo" },
    { 0x198E1D222F222C39, "_setdomquesticoninfo" },
    { 0xBBA3B4388934A37D, "_setextraperks" },
    { 0xE82A80B74FF55FC9, "_setgoalpos" },
    { 0x126682CD0C1A9A76, "_setperk" },
    { 0xBB72CB64527F0B4B, "_setperkinternal" },
    { 0x08A6702FB6FCF59F, "_setplayerscore" },
    { 0x64C07815CE14A81C, "_setplayerteamrank" },
    { 0x37D30DBA90222AD7, "_setsuit" },
    { 0xC3D8CC519ED4A258, "_setteamradarstrength" },
    { 0xEE13A0BA4CE2E6E7, "_setteamscore" },
    { 0xF5A8A2304272E521, "_settext" },
    { 0x8DEDB32F6C7C0E87, "_setuppiccontrols" },
    { 0x028B6B93930ECA20, "_setvehgoalpos" },
    { 0x0DC0107178499FAD, "_setvehgoalpos_wrap" },
    { 0x78048E8E9324983F, "_setvehgoalposadheretomesh" },
    { 0xF02C3316108E5F1B, "_setvisibiilityomnvarforkillstreak" },
    { 0xAD0318B954928176, "_shellshock" },
    { 0xB2A03C8D8FC550CF, "_simple_interaction_prop_clear" },
    { 0xAC08C9F83F974CBB, "_simple_interaction_prop_random_anim" },
    { 0x8436F6ED5161202E, "_simple_interaction_prop_start" },
    { 0x6E6698DEE358F12E, "_snd_doppler_main" },
    { 0x0AB355AF79C3AB8C, "_snd_get_velocity" },
    { 0xC20111B8DEE8C192, "_spawner_mg42_think" },
    { 0x73EB6971CFB2DF94, "_spawnhelicopter" },
    { 0xEFD95D4C755D93F1, "_spawnpiccontrols" },
    { 0xBAAE2EBC134885DC, "_spawnpois" },
    { 0x3D1DBF37D578F859, "_spawnsoldier" },
    { 0x25777423CBAE41B3, "_spawnvehicle" },
    { 0xA3A12F14A08E2312, "_start_rooftop_obj" },
    { 0xB78E50BEE98F2366, "_start_rooftop_raid_exfil" },
    { 0x514EF03F7FA4323A, "_start_rooftop_raid_heli" },
    { 0x41E882E353FDF7BF, "_start_rooftop_raid_sats" },
    { 0x2CF401D002FA2720, "_start_spawn_modules" },
    { 0x8624E89AF8AD0705, "_startragdoll" },
    { 0x72045A708220C09F, "_startragdollwithvehiclefeature" },
    { 0x6B06C5216D9F725A, "_startsoldierpatrol" },
    { 0x3DD0B1E3B56198DB, "_startusethink" },
    { 0x9FC4F6932196BAD1, "_stealth" },
    { 0x18A18CECC40D5C60, "_stop_spawn_modules" },
    { 0xFDD49A5D7A52AE9E, "_stopshellshock" },
    { 0x5AE530D787DA7AC2, "_suicide" },
    { 0xEBF5E099C0803ABA, "_suspendvehicle" },
    { 0x8686EC28E6D67D67, "_switchtoweapon" },
    { 0xA55D189CEA319210, "_switchtoweaponimmediate" },
    { 0x7DB2E462D82B7E3E, "_tablethide" },
    { 0xF3B4B16887B66EF0, "_tag_entity" },
    { 0xE1773A10315A65DD, "_takeweapon" },
    { 0x2E31800C85C4B26F, "_takeweaponsexceptlist" },
    { 0xD72A714604854710, "_testing_ending" },
    { 0xA00E9EA456CAE4DD, "_timeout" },
    { 0x98D4475AF0E2BE2D, "_timeoutpiccontrols" },
    { 0xB77E10AA951CEC66, "_tmtyl_bomber_squadafterspawnfunc" },
    { 0x36915EBD873D6C5B, "_tmtylsquadafterspawnfunc" },
    { 0x1811CC482A255524, "_togglecellphoneallows" },
    { 0xAA654FB057B7BDA8, "_toggletabletallows" },
    { 0xA1B601C05553387B, "_tryusehoverjetfromstructinternal" },
    { 0xACC8E9206C8419A8, "_turretoffshared" },
    { 0x767227BFD74DEB1C, "_turretonshared" },
    { 0x660DB9BA7BF8010D, "_unlink" },
    { 0x922AF7C0726C8E5F, "_unlinkcorpsefromvehicle" },
    { 0x6743D95EFA954DF8, "_unsetextraperks" },
    { 0x7A5CA78E32DF1B8F, "_unsetperk" },
    { 0xDE227810F22397E6, "_unsetperkinternal" },
    { 0x5F5C0DFCE34AAFB4, "_update_emp_scramble" },
    { 0x101F7CEDC115B4C1, "_update_spawn_data_on_death" },
    { 0x0D97C573C90E1136, "_updatechopperseatplayerusable" },
    { 0xF42A3BF029F6C9DE, "_updatechopperseatteamusable" },
    { 0xC0592138C2518EF5, "_updateenemyusable" },
    { 0x1D388686DBBAC112, "_updatehackomnvars" },
    { 0xF2E8797FB6C0D0B2, "_updatehackprogressomnvar" },
    { 0xF07E2A3CBFFBEFBD, "_updateiconowner" },
    { 0x05A7D588396FA0FB, "_updatematchtimerhudinternal" },
    { 0x4B6CEC9155DC025F, "_updatereviveplayerusable" },
    { 0x7A29EC99F0706A97, "_updatereviveteamusable" },
    { 0x80EDF27AC5BD357E, "_updateteamusable" },
    { 0x641BD2F3DE057A94, "_updateuseobjs" },
    { 0xE25A5F78090752AE, "_useperkenabled" },
    { 0xAD495D0849B999A2, "_utilflare_flareexplode" },
    { 0xDB6688AB200BF5C9, "_utilflare_isvalidflaretype" },
    { 0xD33ACAA9A28A8BEA, "_utilflare_lerpflare" },
    { 0x2421B2BF5674EF67, "_validateattacker" },
    { 0x5B21FC4ED016DD1C, "_validateitempurchase" },
    { 0xC24E72C33B6C88B9, "_validateplayer" },
    { 0xCE3A1C6B234A3F4B, "_validateplayerfilter" },
    { 0x34BF56D9D27F78CC, "_validatevictim" },
    { 0xA8F5187DD40612FA, "_vehicle_landvehicle" },
    { 0x906DA5C2D4E4D70D, "_vehicle_paths" },
    { 0xCEEFED97CDC3AC7E, "_vehicle_resume_named" },
    { 0xC53613D156897F61, "_vehicle_stop_named" },
    { 0x6FA4977D080C0250, "_vehicle_unload" },
    { 0x6CFF9FDC72185D05, "_visionsetnaked" },
    { 0x3E4504269844F365, "_visionsetnakedforplayer" },
    { 0xA4F1E9570F16C078, "_visionunsetnakedforplayer" },
    { 0x8AFA24D02262A734, "_waitforlui" },
    { 0xF4B78B12936E8DAA, "_waittill_dead_notify_done" },
    { 0x410303272D1FDE7B, "_waittill_trigger" },
    { 0x466651C42BE9F9EC, "_waittillplayerdoneskydivingac130timeout" },
    { 0x3CB3282AC438AE4D, "_waituntilinteractfinished" },
    { 0xA14D1D0F986E115D, "_wakeupvehicle" },
    { 0x1E8F704223EFB4EA, "_watch_for_flight_over_origin" },
    { 0xE7762B302C88BB6D, "_watchforcircleclosure" },
    { 0xD75FFA94874CBF83, "_watchforjuggstop" },
    { 0xCE3C4C0FDAB5B444, "_watchforstopambient6waves" },
    { 0xB0EADB4C40B2B792, "_watchforstopwaves" },
    { 0xA68E463B54245D65, "_watchforwalkstopwaves" },
    { 0x042F04714DFDDA97, "_watchnavobstacle" },
    { 0xCB30A95C7938360B, "_watchpiccontroltimeout" },
    { 0x9822D7EE271607EB, "_watchpiccontroluse" },
    { 0x97ED70A050C8D522, "_watchtoautoclosemenu" },
    { 0x90F0B43D42A2A8FB, "_weapons" },
    { 0xB5CF690D18009612, "_whizbyfxent" },
    { 0xE835ECCE97E604CD, "_x1opsassignnpctoteam" },
    { 0xE3EE65112057F3AF, "_x1opsnpcpulsecheckteamnearby" },
    { 0x4FB008F6D5CDA2F3, "_x1opsnpcwaittilluse" },
    { 0x383034ED0A6B8157, "_x1opsplayerredactalltacmaplocation" },
    { 0xACEAB3A0F40021BD, "_x1opsplayerunredacttacmaplocation" },
    { 0x5C72EF041D324891, "_x1opsunassignnpcfromteam" },
    { 0xAC0E514AC96A9210, "a" },
    { 0xC4D5CA082559357F, "a10_airstrike_fx" },
    { 0x5024D49AC2A849B6, "a10_flyby" },
    { 0x9C37B2320F7ED8C5, "a10_play_contrail" },
    { 0x64E058BE73F3171E, "aa_status" },
    { 0x508A70027A230A67, "aarawardcount" },
    { 0x9CD8DA4E326C9661, "aarawards" },
    { 0x62373E24E22ADFCB, "aarpriority" },
    { 0xC410CD77FED4CBF9, "abandonbrsquadleader" },
    { 0xB44D6B39310FD7E9, "abandonedtimeoutcallback" },
    { 0x997E966DAE2330F9, "abandonedtimeoutdelay" },
    { 0x042093C5F0696B96, "abandonedtimeoutoverride" },
    { 0x410357F3BDA8CE76, "abh_used" },
    { 0xD05A7C6AB9C16A29, "abilities" },
    { 0xF46E969C6B073EB9, "ability_invulnerable" },
    { 0xE1BB562AB74D8D1C, "abilitykey" },
    { 0xE189D77C11903D00, "abilityleft" },
    { 0x45CB0B4EEB4F25CD, "abort" },
    { 0x80D0D1767F2703E5, "abort_count" },
    { 0xF944C5D160FA910B, "abort_wait_any_func_array" },
    { 0x35D509946FC6AD94, "aborted" },
    { 0x5B53958412CA4D72, "abortextractpickup" },
    { 0xCB4AAED36E38C235, "abortlevel" },
    { 0x622D7B7347F11818, "abortmonitoredweaponswitch" },
    { 0x50AF50B1D7C13A7B, "abortreliableweaponswitch" },
    { 0x478D7C19460426F6, "abortshufflecleanup" },
    { 0xA33582C6C395EF45, "abortspacejump" },
    { 0xCDF344499D7F8F0E, "above_pain_breathing_sfx_threshold" },
    { 0x8B8C2A03A244E13F, "abs" },
    { 0x61625F68015ABBD1, "abs_int" },
    { 0x6B8C32B811EEE56C, "absangleclamp180" },
    { 0xC5CB22838FE6471D, "abshotfootlastposition" },
    { 0x276DFC923B71DE93, "absolutevelocity" },
    { 0xA3020203B3FD0FFF, "absyawtoangles" },
    { 0xC40E74204E32D33D, "absyawtoenemy" },
    { 0xD83869564ECD7B7B, "absyawtoenemy2d" },
    { 0xF8CA5C2BDB152171, "absyawtoorigin" },
    { 0xDFDD35642756DE03, "ac130" },
    { 0xA1376CA58F5D3242, "ac130_activate_function" },
    { 0x2E3BDC97AF02C756, "ac130_attachgunner" },
    { 0xF6D4E4FF74932354, "ac130_cloudsfx" },
    { 0xD84BC789AF26239F, "ac130_crash" },
    { 0x11E1F77115EEE798, "ac130_flight_path" },
    { 0xAFDFC3EA3DF01DD5, "ac130_getfiretime" },
    { 0x812BA60AC8E9C664, "ac130_gunship" },
    { 0x06F5806CE815C7DB, "ac130_leave" },
    { 0x62D5C2A52C7CC303, "ac130_location" },
    { 0x71A3892EE84F95D2, "ac130_magnitude" },
    { 0x0A9D5C3E0CD11E11, "ac130_monitormanualplayerexit" },
    { 0xD28F8159A8BBD745, "ac130_paratrooper_veh" },
    { 0x1EDB37B0FB7D1C87, "ac130_playflares" },
    { 0x39903B9D52576EB9, "ac130_playfocalfx" },
    { 0xBE498B0C5238F7A2, "ac130_playpilotfx" },
    { 0x24527129DAABFEF6, "ac130_removeplane" },
    { 0xFBF7C6D0D614D803, "ac130_returnplayer" },
    { 0xED9CBB0A505D392B, "ac130_spawn" },
    { 0xB67F0D0A29089D9F, "ac130_speed" },
    { 0xD6CBCD7FB3690ACB, "ac130_startuse" },
    { 0x38AF4E88DD408DB9, "ac130_track105mmmissile" },
    { 0xEE6DC2A8FAC05434, "ac130_updateaimingcoords" },
    { 0xC343AD6B06D71981, "ac130_updateoverlaycoords" },
    { 0xBF026FEEEBB7C684, "ac130_updateplanemodelcoords" },
    { 0x7EC3E505702C74C1, "ac130_updateplayerpositioncoords" },
    { 0x57F439A27C9AB000, "ac130_waitforweaponreloadtime" },
    { 0x309E5289681A90D2, "ac130_waittilldestination" },
    { 0x00C6EDE4F3ED81EA, "ac130_watch105mmexplosion" },
    { 0xE7DEC5DC0A812F40, "ac130_watchchangeweapons" },
    { 0xE3207E89E76B5CC6, "ac130_watchdamage" },
    { 0x3F025924EE3D6EE2, "ac130_watchowner" },
    { 0x4FA0C0518FB4751A, "ac130_watchtimeout" },
    { 0x19A1AFDCBDB2FCC5, "ac130_watchweaponfired" },
    { 0x0867C98632AD40CD, "ac130_watchweaponimpact" },
    { 0xA18FB68C9E8BA29D, "ac130_weaponreload" },
    { 0x80DB1890AC42BCB8, "ac130activatefunc" },
    { 0xA9809336548561B8, "ac130handlemovement" },
    { 0xABF3BC0E77B58A4C, "ac130height" },
    { 0xD2687F56D07F9437, "ac130heightoffset" },
    { 0x84C529C09B2DA013, "ac130inuse" },
    { 0x7763139A329870D8, "ac130linkandspin" },
    { 0xF204F2F179AEFA9C, "ac130linker" },
    { 0x86D982DECC233472, "ac130player" },
    { 0x2DD88B02391DA022, "ac130queue" },
    { 0xAA5ADB42840B3050, "ac130s" },
    { 0x75A82AD63D6E74E9, "ac130setupanim" },
    { 0xD662353D5883101F, "ac130shellshock" },
    { 0x71877360E6D76A97, "accel" },
    { 0x1448CE48BCDBCB95, "acceptablemeleefraction" },
    { 0xE92E841688B8A99E, "access_card" },
    { 0x87E6FFAC89B185F9, "accesscard" },
    { 0x72D4029095ED6F60, "accesscardsspawned_red" },
    { 0x58F6E6E69B5C2521, "accessories" },
    { 0x870CE8AB6D67B440, "accessoryattachment" },
    { 0xB78BC026F3B57588, "accessoryattachmentfem" },
    { 0x699B43A38F50BA01, "accessorybig" },
    { 0xD822E0202AC30D2D, "accessorydata" },
    { 0x9454A451A0731DE4, "accessoryface" },
    { 0x2D9295A362928F43, "accessoryfem" },
    { 0x83A0ECC4E034C504, "accessoryfemband" },
    { 0xD5FA5B9993D783A8, "accessoryfullweapon" },
    { 0x9A1792AAD51ACE1D, "accessoryinfo" },
    { 0xE538D372D1561658, "accessoryinfobyindex" },
    { 0x0905D6F2C20AC819, "accessorylogic" },
    { 0xB5A6CDB7DCF068C4, "accessorylogicbyindex" },
    { 0x6039F08B1D1EFF54, "accessoryweaponbyindex" },
    { 0xAB70C91082AE7436, "accessreaderscriptableused" },
    { 0x258ADC7830201534, "accolades" },
    { 0xF11B60F21780E4CF, "accumulate" },
    { 0xCBD86DD2C13CA168, "accumulatedtime" },
    { 0xCC6A88309A048218, "accuracy" },
    { 0xBABBEDAE811D85FA, "accuracy_bonus_factor" },
    { 0x7FD4D52E5CE7D735, "accuracy_shots_fired" },
    { 0x5769F05A36C956FA, "accuracy_shots_on_target" },
    { 0xDB8047132B2FCE9B, "accuracy_think" },
    { 0x53375E24EAFC977C, "accuracygrowthmultiplier" },
    { 0x8F2C5E83E290940E, "accuracystationarymod" },
    { 0x36C8CAFDE6135715, "aces" },
    { 0xA8419B392632F194, "achievement" },
    { 0x33ABBEC168F576FE, "achievement_completed" },
    { 0x20E6787B6C7BBBEA, "achievement_death_tracker" },
    { 0xA93474E27F59BF44, "achievement_id" },
    { 0x6DF4BF977F51C8BD, "achievement_list" },
    { 0x12B35DDE9559D8F1, "achievement_pistol_enemies" },
    { 0x2BA4865E07742F2B, "achievement_registration_func" },
    { 0xEFD6B7BAE0BBE61B, "achievement_watcher" },
    { 0xEE919ACDFD7D743C, "achievementtrackerforkills" },
    { 0xDAFEA41F322D81EF, "acievement_monitor" },
    { 0x36AEC2FDE5F71C73, "acos" },
    { 0xC21382A2CB8FE48F, "acquire_alley_bodyguard" },
    { 0x465A9E22DBE5E747, "acquire_alley_fence_guy" },
    { 0x600B263CDCDE1B98, "acquire_autosave_before_cafe" },
    { 0x147442E02C3E894A, "acquire_birds_fly" },
    { 0xE6F299050FCEA357, "acquire_butcher_over_fence_fallback" },
    { 0x45EC3FFC73D1B80A, "acquire_catchup" },
    { 0xF685B842E58EED4C, "acquire_containment" },
    { 0x10C4F14499EE4943, "acquire_door_handler" },
    { 0x7B9D4465E09538F7, "acquire_enemy_handler" },
    { 0x42A43870DC3C542F, "acquire_enforcer_handler" },
    { 0x96EAE1292B3F17CA, "acquire_init" },
    { 0x6812FE8B993CA7B5, "acquire_main" },
    { 0x2B1647D2C7D04E0F, "acquire_player_anim" },
    { 0x93E6C355C8259B3E, "acquire_price_handler" },
    { 0xF014FCF1943A8DE3, "acquire_pursuit_timer_handler" },
    { 0x214C0D0A1FCD0D40, "acquire_restore_user_fov" },
    { 0xDC098DB75E4830DF, "acquire_sniper_laser" },
    { 0x57189E96059908A4, "acquire_start" },
    { 0x2534A82F74D2BBEF, "acquire_stp_main" },
    { 0x54705592D219741B, "acquirecannontarget" },
    { 0xDE9A30AC07098634, "acquireturrettarget" },
    { 0xEF9B70ACEABA009F, "acript_attackeraccuracy" },
    { 0x958600BF370E6D61, "across_delta" },
    { 0x254DC5DD10A08391, "across_delta_local" },
    { 0x1AC9F4DB355032A3, "action" },
    { 0x81195FC0E980306C, "action_thread" },
    { 0x8FD3B471557EFA00, "actioncancellation" },
    { 0x16C4BACBE7316CE2, "actioncount" },
    { 0xC565C184CF2A5429, "actionendtime" },
    { 0xAFC2DAED5F5CF723, "actionfn" },
    { 0x85EC366CB1ABB2D1, "actionglobals" },
    { 0x6A7038091AAC0C93, "actionmap" },
    { 0x973DDDACE92B815E, "actionmapfuncs" },
    { 0x3A584E163F5FBF70, "actions" },
    { 0x327BAC2CA34CFF56, "actionsets" },
    { 0x7FC8EAD1563E1E1A, "actionslot1" },
    { 0x7FC8E9D1563E1BE7, "actionslot2" },
    { 0x7FC8E8D1563E19B4, "actionslot3" },
    { 0x7FC8E7D1563E1781, "actionslot4" },
    { 0x7FC8E6D1563E154E, "actionslot5" },
    { 0x7FC8E5D1563E131B, "actionslot6" },
    { 0x7FC8E4D1563E10E8, "actionslot7" },
    { 0x7C661CF52FEA623F, "actionslotoverride" },
    { 0xDFDA2EF20DCFA2A8, "actionslotoverridecallback" },
    { 0xCB8055A269ABD5E3, "actionslotoverrideremove" },
    { 0x0DD60C49C46A3FAF, "actionslotweapon" },
    { 0x3312C163991C0408, "actionstarttime" },
    { 0x1AECF86B1F3EA925, "actionstates" },
    { 0x7CFCB863E371E517, "activate_ac130_on_player" },
    { 0x2DB7D4A158EA85D0, "activate_additional_ammo_crates" },
    { 0x3A91F8E727D2A21A, "activate_adrenaline" },
    { 0x1C40D473978AB852, "activate_adrenaline_boost" },
    { 0x3243ABF7641894C9, "activate_all_targets" },
    { 0xBEE00C1AA1D1E19B, "activate_apache_on_player" },
    { 0x8BFDCBF4BBC344D2, "activate_auto_revive_crate" },
    { 0xBB1083B9D2342DE0, "activate_battle_station" },
    { 0x41DE42D283DB99CA, "activate_blackbox_interaction" },
    { 0x7E9B7DA437BE39ED, "activate_bomb_for_pick_up" },
    { 0x3B35ED6042DDA12F, "activate_bomb_interactions" },
    { 0x767B217C94799F86, "activate_c4_for_pick_up" },
    { 0x4FB7A6B4BDC8EEC0, "activate_chopper_boss_ammo_crates" },
    { 0x780ABB1E22B6DCB7, "activate_clientside_exploder" },
    { 0x960BE7BEA8AEFB9F, "activate_cloak" },
    { 0x4F2D17ECCCD66768, "activate_cluster_strike" },
    { 0x5BFD3259B25B0AC8, "activate_color_code_internal" },
    { 0xCB1C36FF02A2DBCF, "activate_color_trigger" },
    { 0xF2203912066F9331, "activate_colortrig_on_aigroup_death" },
    { 0xCB5E3A02AADAAD9F, "activate_colortrig_on_death" },
    { 0x08C7BB77725524E6, "activate_colortrig_safe" },
    { 0x33DBE73B8EE40865, "activate_control_station" },
    { 0x84A945489BE8F9D6, "activate_control_station_interaction" },
    { 0x79DE261C105318A2, "activate_destructible_cinderblock" },
    { 0x56A6A0B7E6BF93A3, "activate_destructible_cinderblocks" },
    { 0x6C2F90D269B22255, "activate_drone_mode_on_player" },
    { 0x261A54F559B8E4CC, "activate_emp_drone" },
    { 0xA13A13A085C101B3, "activate_emp_drone_func" },
    { 0x04CFEE4A6669668C, "activate_emp_drone_pick_up" },
    { 0xC02180359040A0E2, "activate_enemy_turret" },
    { 0x935B6A6F54072475, "activate_enemy_turret_when_reach_it" },
    { 0x898B79E488BDDC38, "activate_escape_maze" },
    { 0xE8BC5E64EFD1C8F8, "activate_exploder" },
    { 0xAFE96B1B459E2740, "activate_exploders_in_volume" },
    { 0xD216694D8847AC7C, "activate_extraction" },
    { 0x45EFE7BBB221B6CB, "activate_extraction_flare" },
    { 0x7A2EEA459C3C64F9, "activate_front_trigger_hurt" },
    { 0xC670DFFC8E4D0C6C, "activate_gas_trap" },
    { 0x0D4FA5228B47120A, "activate_gas_trap_cloud" },
    { 0x907A28A50E7DDAFF, "activate_gas_trap_cloud_parent" },
    { 0x7E98C41E3B1570F2, "activate_gas_trap_puddles" },
    { 0x5667FECE3BFA2516, "activate_gasmask" },
    { 0x61F420A1B9F40F71, "activate_grenade_object" },
    { 0xABFCB42A3FA629D0, "activate_group_fulton_interact" },
    { 0xEDE92181B998FC46, "activate_individual_exploder" },
    { 0x9B8A1F85842DC993, "activate_individual_exploder_proc" },
    { 0x181F7C5FED106414, "activate_infinite_ammo" },
    { 0xC041E3F3011E444A, "activate_instant_revive" },
    { 0xE41B524BA2E6E919, "activate_interactives_in_volume" },
    { 0xC06CCA98EF41097C, "activate_inv_cooldown" },
    { 0xF39747485292EA18, "activate_invulnerability" },
    { 0x6305EE4AEF1D37AC, "activate_javelin_ammo_refill" },
    { 0xF2F1A934CE488508, "activate_javelin_pick_up" },
    { 0xD62B71EBED57BF5E, "activate_jugg_suit" },
    { 0x61F5C06360F07905, "activate_ks_on_use" },
    { 0x4366E07758A9CB3B, "activate_laser_from_struct" },
    { 0xA628E27A94D08759, "activate_laser_on_ambush_sniper" },
    { 0x414A4C46A62A6C6D, "activate_laser_shut_down_button" },
    { 0x5529433165968B47, "activate_laser_shut_down_interaction" },
    { 0x7865C7B753774F72, "activate_laser_trap" },
    { 0x1F52D7D1CD24A557, "activate_laser_trap_parent" },
    { 0x14A50A831EDF8473, "activate_linked_ied_spawners" },
    { 0xABC4EACFD53C778F, "activate_mark_enemies" },
    { 0x743BA797A9ACC70F, "activate_mh_trigger" },
    { 0x94A279B7F1CD7DCC, "activate_minigun" },
    { 0xD2388996F6AB9A98, "activate_mortar" },
    { 0xEB71AA4D4D2199CB, "activate_mortar_enemy" },
    { 0xF03AA5E06EC51387, "activate_mortar_when_reach_path_end" },
    { 0x792BD9E5322E0EB0, "activate_nerf" },
    { 0x90BCD96A444B8546, "activate_object" },
    { 0x76C72BFED5049B8D, "activate_out_of_bounds_triggers" },
    { 0x868E41264E6504BE, "activate_precision_use_lua" },
    { 0x5C31368D352F353D, "activate_pressure_sensor" },
    { 0x264E98A5E2A1B829, "activate_punchcard" },
    { 0x09B51A50221DF05F, "activate_radar" },
    { 0xE846B90AC332FEDC, "activate_radius_distance_trigger_markers" },
    { 0x3C73ED8CF2199028, "activate_respawn_flare" },
    { 0x65216461148B9DD2, "activate_right_street_trigger" },
    { 0x26F282C6FB98D2F3, "activate_rpgs_on_use" },
    { 0x9429EDF4C2E6D28F, "activate_scavenger" },
    { 0x65CF17CB9DF4D556, "activate_scavenger_bag" },
    { 0xA6C5E72708BFAEC4, "activate_scout_drone" },
    { 0x55B2C921E0B70D55, "activate_sentry_turret" },
    { 0x65A25C7013FA3BF9, "activate_seq_button" },
    { 0xE3E043A2EA816191, "activate_server_for_interact" },
    { 0x17545553980E0C3B, "activate_sledge_lookin_dialogue" },
    { 0x50C10E2BB128EF5A, "activate_sniper" },
    { 0x2ABC06A0AA3FF0FF, "activate_station" },
    { 0xF17E275B0F8E29E8, "activate_stealth_settings" },
    { 0xB86271941FFFA1B4, "activate_subway_fast_travel" },
    { 0xCF64F6EDC49C9151, "activate_subway_track_trigger_hurt" },
    { 0xF942D286AEC807B7, "activate_subway_track_trigger_hurt_internal" },
    { 0xD2CA85C0CE6AA017, "activate_switch_cooldown" },
    { 0x199AFE9B2DBFC81C, "activate_target" },
    { 0x0A7002A249476AF0, "activate_target_group" },
    { 0xF3B81B606FE97FF0, "activate_team_armor_buff" },
    { 0x6F8328719D3A5C62, "activate_team_auto_revive" },
    { 0xF5D928710CC7D033, "activate_team_stopping_power" },
    { 0x78EB7D09E8A3B2CC, "activate_thermite_launcher" },
    { 0x588C2B433CEC3DF2, "activate_timed_laser_trap" },
    { 0xA880A5DEFB8B42B3, "activate_timed_laser_traps" },
    { 0x035339379AFD5335, "activate_toma_strike" },
    { 0xAE643405B9B123DA, "activate_track_timer" },
    { 0x3782119760916CAB, "activate_track_timers" },
    { 0xA1AB3A41D821D068, "activate_trap_from_interaction" },
    { 0x9C8D595AA5EEDDB8, "activate_trap_object" },
    { 0xD4DC3C9B2F6E7240, "activate_trig_when_vol_clear" },
    { 0x96ADD877215FB80F, "activate_trigger" },
    { 0x67C964F7A8D5B14D, "activate_trigger_process" },
    { 0xEA5F1B2EE448032A, "activate_trigger_with_noteworthy" },
    { 0x4B7886D6C7B4A49B, "activate_trigger_with_targetname" },
    { 0xF7476E46BF4DC41F, "activate_trophy_protection" },
    { 0x716E1F6EB865A064, "activate_twister_homing" },
    { 0x890B0EA4F849191B, "activate_uav" },
    { 0xA6D56976A3C736AB, "activate_upload_station" },
    { 0x9DAA17489FF98E8A, "activate_upload_station_for_interact" },
    { 0x48C303C063616BF2, "activate_vehicle_progress_marker" },
    { 0x0EE0476D9C068BB0, "activate_vehicle_spawner" },
    { 0x1EF4CA5F53D6DA45, "activateagent" },
    { 0xAF01933576D3C268, "activateaxeblood" },
    { 0x49BD6EFDFAB2DE67, "activatecallback" },
    { 0xFCAEA5036636456A, "activateclientexploder" },
    { 0xC4D160111ECC4EBF, "activatecrate" },
    { 0xF72BE6CF26627332, "activatecratefirsttime" },
    { 0x58354E8148C759DC, "activatecratephysics" },
    { 0xE264DCCD06B0E018, "activated" },
    { 0x99B0700B3997EB23, "activated_color_trigger" },
    { 0xC431A1362E9C43F5, "activated_nerfs" },
    { 0x95E5719A8884FF2D, "activated_relics" },
    { 0xDF68BEB666EE90B1, "activatedtime" },
    { 0xCB5EAD58A3381B6B, "activateendzone" },
    { 0xB835A1DEFE04CC4A, "activatefunc" },
    { 0x7AD817D3B94D63BE, "activategastrap" },
    { 0xD07CFD5BBBEAAB52, "activateimmediately" },
    { 0x3D79FD8712874C73, "activatejugg" },
    { 0xCF3B5D2BD3CF9DF2, "activatejuggcrate" },
    { 0x19259C1E86EB4C53, "activatekeypressed" },
    { 0x95772B6DD7825E02, "activatelifepackboost" },
    { 0x5A4086EA293D4668, "activatemeleeblood" },
    { 0x8A461468492415F9, "activatemusictrigger" },
    { 0xC36C1C17D8A976B8, "activatenewjuggcrate" },
    { 0xD1F9EDBCB006C002, "activatenewjuggernaut" },
    { 0xF3CC081A63CA907D, "activatenightvisionblind" },
    { 0x347BFD87B52AEC39, "activatepenalty" },
    { 0x112C1A86B04890C8, "activatepenaltyalt" },
    { 0xEACB1259239CF035, "activatepower" },
    { 0x077F5BEF287FA910, "activatespawns" },
    { 0x9D54D126D9EDC5C1, "activatespawnset" },
    { 0x72A5CCC6515AF26D, "activatestring" },
    { 0x6B20CB330B21BA1F, "activatesuper" },
    { 0xAF28A129A5B863CD, "activatetime" },
    { 0xC602BFFE67070815, "activatezombiestealth" },
    { 0xFBAD96F8F362631A, "activatezone" },
    { 0xA39C96AFD3CCDB8C, "activation_func" },
    { 0xFE8CDD184178F949, "activation_radius_sq" },
    { 0x26EE6F0AE3CE9AE5, "activationarms1" },
    { 0x26EE6C0AE3CE944C, "activationarms2" },
    { 0x26EE6D0AE3CE967F, "activationarms3" },
    { 0x26EE6A0AE3CE8FE6, "activationarms4" },
    { 0x9E1AA124486F2983, "activationcalltraininteract" },
    { 0x1D7BACA941373662, "activationcommslaptop" },
    { 0x97DB4402B6930834, "activationdelay" },
    { 0x93BC8B079D625671, "activationdelaystarttime" },
    { 0xD626A32E6283DBBC, "activationmoraleslaptop" },
    { 0x33B0155F84A2476C, "activationmoralessignal" },
    { 0x6660F223E82FC8C4, "activationnuke" },
    { 0x87485155418DF976, "activationstiminteract" },
    { 0x2EA4067C57D7A22B, "activationtmtylinterrogate" },
    { 0xE290EACD06E16548, "activator" },
    { 0x1B2EE9DB35BEFBC3, "active" },
    { 0xE414E7F4BB4D1AB9, "active_cam_id" },
    { 0xD1E538F279FE49D3, "active_camera" },
    { 0x1BCD396A3B17BD2E, "active_cs_files" },
    { 0xAB3804DAB036E647, "active_drones" },
    { 0xA6B3287E3D8C49A0, "active_feed" },
    { 0x2DC298FF6D312E5C, "active_fob_think" },
    { 0xF671EBA759ED2BA8, "active_healthpacks" },
    { 0x4DAC7471E54C941B, "active_jackals" },
    { 0x53D6E8548FFB2EAA, "active_level" },
    { 0x0D8878B9E030FF58, "active_loot_spots" },
    { 0x248A7A5E2A15FE1C, "active_neurotoxin_clouds" },
    { 0x74C90F968A6EE214, "active_objectives_string" },
    { 0x06EA17D2B41A6A40, "active_player_respawn_locs" },
    { 0xE28335D3AF3E1542, "active_relic_bang_and_boom" },
    { 0x8FBB485F7459DD19, "active_scene_data" },
    { 0xA1B93814FD805473, "active_section" },
    { 0xB29AA0DD9911FE4A, "active_sense_funcs" },
    { 0x78D087BCD4933585, "active_spawn_module_structs" },
    { 0x8A5C9AFFE613D265, "active_spawn_modules" },
    { 0xC46C8B8193A9E357, "active_spawn_volumes" },
    { 0xC9B627DFB45C530D, "active_volume_check" },
    { 0x5AD7C53860A9361E, "activeadvanceduavcount" },
    { 0xD35337440444549C, "activeadvanceduavs" },
    { 0x8E4EE819FBBA245C, "activeairstrikes" },
    { 0x1CAF8C771627A59F, "activebreadcrumbs" },
    { 0x9B0D3C63D7F701E8, "activeclosingpool" },
    { 0xABD710BB223218F6, "activeconfigs" },
    { 0x39EFF4D34298598F, "activecontextualwalltraversals" },
    { 0x82219A4211D5A182, "activecount" },
    { 0x6E0CE0BB03BEC804, "activecounteruavs" },
    { 0x783AD23E922D9D60, "activecurrstate" },
    { 0x39A724FDA67241CF, "activeextractions" },
    { 0xCBF77464BAE79CAA, "activeextractors" },
    { 0x43CD39257604CDEF, "activegesturenotify" },
    { 0x73955D84BEB36448, "activegrenadetimer" },
    { 0xCD425584D29F7E85, "activeheadicons" },
    { 0x305AA67830F0BD2B, "activehostagecount" },
    { 0xE817DF0DD8501150, "activehvts" },
    { 0x405B2205309E1B0E, "activeid" },
    { 0xAB105E1ECE0D90E2, "activeintelchallengekeys" },
    { 0x80FC60AF666F0A68, "activejuggcrates" },
    { 0x0D7D1BADC67300F4, "activejuggernauts" },
    { 0xDEEC7ECA003AC56C, "activekillstreaklistcontains" },
    { 0xF82F431C6F3194AA, "activekillstreaks" },
    { 0xB6A76C26D370E5C5, "activelocations" },
    { 0x50C4F802C6921A73, "activemission" },
    { 0x7956D4C6D25557A0, "activenodes" },
    { 0x49A0DAB829C1B182, "activenumber" },
    { 0xF41E123940CF3FEC, "activeoutlines" },
    { 0x513B022D6F8E4D3D, "activeparachuters" },
    { 0xCE43363B64B69B50, "activeparachutersfactionvo" },
    { 0x9A66ED3B49D989F3, "activeplayers" },
    { 0x8EC9944B2E100F78, "activeplayerstreak" },
    { 0x9CA7898ED09D05F5, "activequarrydefense" },
    { 0xD98B8C4D41EF2DF0, "activequests" },
    { 0xC397F457781D04CB, "activescreeneffectoverlays" },
    { 0x385EE92A9116C374, "activescriptfactors" },
    { 0xC02770B5457D95D0, "activesentientcount" },
    { 0xE90C9D22AA31054E, "activesentients" },
    { 0x7178D9E0CE2BADB1, "activespawncontext" },
    { 0x3CD9DDAD1E8FE4D4, "activespawnlogic" },
    { 0x35D3A47D817538B7, "activespawnsets" },
    { 0x20F82174F13351D4, "activestate" },
    { 0xFAFE240F804C31AC, "activesupertrophies" },
    { 0x7657975C405B6030, "activetablets" },
    { 0x32FEAC98D59EA9A4, "activetargetmarkergroups" },
    { 0x691952F04773644F, "activetimeseconds" },
    { 0xE1D05B6A7483BF9E, "activetvs" },
    { 0x461EED0A489C33CA, "activeuavs" },
    { 0x371C37A7E8913AE6, "activevehicles" },
    { 0x2084E286536E777D, "activevisionset" },
    { 0x20C79D0CFA4E4075, "activevisionsetduration" },
    { 0x4C5F3204481D96B9, "activevisionsetlist" },
    { 0x219A03ADE32BA1A1, "activewpfires" },
    { 0xD393B3964E2992B1, "activewpflares" },
    { 0xE75DF718E8E076A3, "activewpinnerzones" },
    { 0x4BFDF2E09AA917C3, "activewpzones" },
    { 0x76F6A550220BAEC9, "activezone" },
    { 0x86619261B238CB7E, "actor" },
    { 0xC1603BDAF2E71EBD, "actor1" },
    { 0xC16038DAF2E71824, "actor2" },
    { 0xAC6AF367C18D1028, "actor_animloop" },
    { 0x98D4B3CE18D5C211, "actor_die_when_shot" },
    { 0x50216AD4C493E942, "actor_interactive_think" },
    { 0xDF0BA9977AF06AC8, "actor_is3d" },
    { 0xDB0F3ED97934E943, "actor_isspace" },
    { 0x1A54821C2BDD00B7, "actor_normal_think" },
    { 0x75A3B21281CBF82D, "actoraimassistoff" },
    { 0x6072B00C4F598E11, "actoraimassiston" },
    { 0x58A2B076BA6F5DDF, "actorcalcsharpturnanim" },
    { 0xA8198F52317E627B, "actorcalcstopdata" },
    { 0x736F92D8B416AE68, "actorgetgroundslope" },
    { 0x2CCC6B84313A8B03, "actorid" },
    { 0xE78376C85491F204, "actorloop" },
    { 0xB91BF2530D3F9069, "actorloopanim" },
    { 0x272CB9D812936EC4, "actorloopthink" },
    { 0x02B3B6D684EFF5C7, "actorplayer" },
    { 0xF6CB573428DAC4E2, "actorrope" },
    { 0x443B8C7DD37ADB24, "actorropeplayscene" },
    { 0xC15FF9DAF2E68D97, "actors" },
    { 0x2F05016EEA6DAD32, "actorthink" },
    { 0x158D68AE7F14226B, "actorthinkanim" },
    { 0x5476ED1E49A66EF1, "actorthinkpath" },
    { 0x57380477E13DF237, "actorthinkpath_default" },
    { 0x873FE5B8AC55F03D, "actualhealth" },
    { 0x3283E81166640370, "actualstarttime" },
    { 0x6AE9856F046B7C97, "adaptive" },
    { 0xB97BC50A856EE4D8, "adaptive_density" },
    { 0x046C6C72DD60C8D4, "adaptive_expected_players_max" },
    { 0x8B954303A24F36E8, "add" },
    { 0xB5FFEF81A7843869, "add_abort" },
    { 0x48EB08CFDEAF600B, "add_active_sense_function" },
    { 0xCBC66B63EF960D86, "add_actor_to_manager" },
    { 0x4654E8740B0C3DB1, "add_actor_tointeractionmanager" },
    { 0x4D4F9A7056346E89, "add_additional_parts" },
    { 0x4D2F05AA7CF452C4, "add_additional_parts_func" },
    { 0x31083E690D974D50, "add_agents_to_game" },
    { 0x3AB0FE3F1C885849, "add_ai_air_infil" },
    { 0xA0BCED326F47F9FA, "add_ai_ground_infil" },
    { 0xB1800185FF179286, "add_ai_rider_to_decho" },
    { 0xAEBFBE4527A98279, "add_ai_to_marked_critical_enemy_ai_list" },
    { 0xD3826F26A810615D, "add_ai_to_marked_enemy_ai_list" },
    { 0xEBB5F3B46AEC5049, "add_aitype_spawner_override" },
    { 0xBC5BE76E975E153D, "add_ammo_if_needed" },
    { 0x862C3FF66B84B547, "add_and_select_entity" },
    { 0x78DD5DAB61082616, "add_and_watch_group" },
    { 0x976C229727E631AD, "add_animation" },
    { 0xAC55B7DD33CE4152, "add_animents" },
    { 0xB6C92B947E7B270F, "add_animsound" },
    { 0xD530AC8A86FF22E4, "add_announce_debounce" },
    { 0x8CB3CC296B6830FD, "add_attachment_to_weapon" },
    { 0x529FCE4D3709B672, "add_bcs_location_mapping" },
    { 0x4BEC9DF627D43E2F, "add_beacon_effect" },
    { 0x586012B2AECB86E1, "add_button" },
    { 0xF9D745412D0A2E79, "add_call" },
    { 0xD34255D9E7A7EF79, "add_cleanup_ent" },
    { 0xFCFF230E3D796478, "add_client_back_to_mask_after_delay" },
    { 0x973218419F90D7CB, "add_clip" },
    { 0xF9B00271201D45DA, "add_collision_to_hack_point" },
    { 0x91D42BD9A4AAF9F6, "add_command_to_action_tracker" },
    { 0xFD69E730CD57F4AE, "add_condition" },
    { 0xF50869CFD268DEA4, "add_context_sensitive_dialog" },
    { 0x62CCA2C7592B22AF, "add_context_sensitive_timeout" },
    { 0xDB4B4FE16BB62CA2, "add_contextualwalltraversal_array" },
    { 0x4A72B34F24AC7954, "add_convoy_to_level" },
    { 0x6043C7383ADF19C8, "add_cortex_charge_func" },
    { 0xF800F59CFA1314C5, "add_cover_node" },
    { 0xADCB813FD364D5A2, "add_crafted_item_to_dpad" },
    { 0x40C158DFA73EA281, "add_damage_function" },
    { 0x6416791C3C8F1F08, "add_debugdvar_func" },
    { 0x6F15948DD8AE5D2A, "add_demo_button_combo" },
    { 0xD385BA84B6DA7B0B, "add_destructible" },
    { 0xE987FE9D0C8F1EB1, "add_destructible_array" },
    { 0xA8D8FC86C6FA05C6, "add_dialogue_line" },
    { 0xEAAF50071C6B1C93, "add_dialogue_line_alex" },
    { 0x5ACED2F10C7ED2ED, "add_dialogue_line_aq" },
    { 0xE69B3BC2E0EBBEB8, "add_dialogue_line_aq_soldier" },
    { 0xC36184F3F7EABC22, "add_dialogue_line_butcher" },
    { 0x9A72AC1E21502945, "add_dialogue_line_butcher_son" },
    { 0x122CB3EBC3C5F406, "add_dialogue_line_butcher_wife" },
    { 0x899C41C2881D1D2B, "add_dialogue_line_civ_ambusher" },
    { 0xCE0510954BBA7932, "add_dialogue_line_civilian" },
    { 0x2E780B00C4DC2B1C, "add_dialogue_line_convoy_apc" },
    { 0xEAC216566BDFD674, "add_dialogue_line_griggs" },
    { 0xB6B6CA6DA1E8BB32, "add_dialogue_line_heli_pilot" },
    { 0xCCA1671E2ED5786D, "add_dialogue_line_hms" },
    { 0xBCEAAB1D66664720, "add_dialogue_line_kyle" },
    { 0xAAE4446378F2C895, "add_dialogue_line_marine" },
    { 0x92EBBFD92A9F503E, "add_dialogue_line_nikolai" },
    { 0xF3C0299D31ECC869, "add_dialogue_line_police" },
    { 0x82D07EC57B77A364, "add_dialogue_line_price" },
    { 0x84855238E6E6009E, "add_dialogue_line_radio" },
    { 0x163A13BB172787D3, "add_dialogue_line_wolf" },
    { 0xD049E1197A217EA7, "add_dialogue_line_yegor" },
    { 0x9D9F255D5CDC5340, "add_door_speed_modifiers" },
    { 0x3C27F3439D5DE776, "add_dynamicladder" },
    { 0x8039345C585EDA87, "add_dynolight" },
    { 0x0DFE7166EADC26B0, "add_earthquake" },
    { 0xF39F651602DF126B, "add_emp_ent" },
    { 0xC40B5C1D9FB1F69B, "add_encounter_start_condition" },
    { 0xD6779F54BF3ECCA2, "add_encounter_start_function" },
    { 0x35A9518AB7A63AB3, "add_endon" },
    { 0xEC31ED8C11A2266C, "add_exploder" },
    { 0xCC528A82346B065F, "add_extra_autosave_check" },
    { 0x653EBD35606D5A73, "add_extrahuds" },
    { 0x6AA67E6BC8577C69, "add_fake_silencer_to_new_weapons" },
    { 0xE7DE31A15E10F0B9, "add_frame_event" },
    { 0xF8B06DFE647DA057, "add_func" },
    { 0xC5366CA6011E2443, "add_fx" },
    { 0xE7248542E8B33EAB, "add_global_spawn_function" },
    { 0x00CCC0B526EBBC7E, "add_grenadier_anchor" },
    { 0xB6B2BA6375B74209, "add_gunner_turret" },
    { 0xE3047AFEB616D11E, "add_head_icon_on_allies" },
    { 0x46DB19067F422A48, "add_hint_string" },
    { 0x3B544F9EDDBA8B9C, "add_humanoid_agent" },
    { 0xE50E474D59C9D10F, "add_init_script" },
    { 0xD22D41870B8AF424, "add_interaction_structs_to_interaction_arrays" },
    { 0xF47502C5C8D659C8, "add_item_to_outline_watcher" },
    { 0x71B5854DF1C6165B, "add_item_to_priority_queue" },
    { 0x30581BA9B365AA75, "add_item_to_priority_queue_internal" },
    { 0xAB2F3D5C19ADD201, "add_kb_button" },
    { 0x7349F214E906DE3C, "add_key" },
    { 0x4285B51AD483D0F2, "add_launcher_xmags" },
    { 0xC255D3524B93B6E2, "add_linkedents" },
    { 0x5B94D3235446E887, "add_location_start_condition" },
    { 0x753B9C4444638F4F, "add_marine_to_color_array" },
    { 0xE92EEC72C5B2264A, "add_menu" },
    { 0x75D935EAEC8012DF, "add_menu_child" },
    { 0x057ACF1C9175FD87, "add_menuent" },
    { 0xC50C7D5783D11104, "add_menuoptions" },
    { 0x88F3C32228631B55, "add_missing_nodes" },
    { 0x25DAD66DACF4D902, "add_module_ai_spawn_func_to_module" },
    { 0x98D0B8B60E49E7D6, "add_name" },
    { 0x5F2031057CB335EC, "add_name_from_table" },
    { 0x5CEDDD616C886FDF, "add_names" },
    { 0xA414E508764D07D8, "add_neurotoxin_damage_area" },
    { 0xC60DAF7B6A48DCB7, "add_no_game_starts" },
    { 0xAF11EE8E49C290CE, "add_node_to_global_arrays" },
    { 0xC075C6DF17D583AD, "add_noself_call" },
    { 0x466AF21F2CFF9896, "add_notetrack_and_get_index" },
    { 0xA25B36935783580A, "add_notetrack_array" },
    { 0x8C18F1B00FA4817D, "add_object_to_trap_room_ents" },
    { 0x0030BA9728B42168, "add_objective" },
    { 0xE91D5D83E6C4A7A6, "add_option_to_selected_entities" },
    { 0x74467A4D38F6A78D, "add_outline" },
    { 0x12964F0FB0838BE9, "add_pack_camanim" },
    { 0xF92E73169DB8AABD, "add_pack_characteranim" },
    { 0x8C3B08D30085881B, "add_pack_fx" },
    { 0x58FA32BB3E0718CB, "add_pack_modelanim" },
    { 0x7628F6EF167D852D, "add_pack_playeranim" },
    { 0x27F2E6048038E675, "add_pack_startfunc" },
    { 0x4783523AB7CDAF8B, "add_path_node" },
    { 0x88141A0177D398D1, "add_pathpoints" },
    { 0x2C3548C7BCB33807, "add_pilot_setup" },
    { 0xC7FD7B81CD09FFE7, "add_player_to_focus_fire_attacker_list" },
    { 0xA9DD315BE975F630, "add_player_to_threatbias_group" },
    { 0x5885A6A172721FEF, "add_practice_bots" },
    { 0x66E1DBA2CC8E8862, "add_pushent" },
    { 0xD0BBE88FA8AD31E2, "add_random_killspawner_to_spawngroup" },
    { 0x1AC1196DFEEF5789, "add_reactive_fx" },
    { 0x9B731BFA279DB5D5, "add_reverb" },
    { 0x47C353C2A855983B, "add_rider_to_decho" },
    { 0x2AEC82BB11AEADA4, "add_rider_to_decho_dirty" },
    { 0xD46E870ED70A31EC, "add_rider_to_decho_rebel" },
    { 0x37EB4607A706C77B, "add_say_on_closest_ally_to_chatter" },
    { 0xAB5F3AEF52ADFFF4, "add_scriptable_setup" },
    { 0x08B2D8E02F80E7E4, "add_scripted_movement_arrivefuncs" },
    { 0x7E5FA22AE608305D, "add_selectable" },
    { 0x9276D24152C1C51F, "add_skill_point_to_skill" },
    { 0xB58C3477843300A4, "add_smartobject_point" },
    { 0xE5B6AA776AD71262, "add_smartobject_type" },
    { 0x51FEEB9B068C5F15, "add_space_to_string" },
    { 0x13805FBAA915A3E5, "add_spammodel" },
    { 0x406A6D6BD7E83C15, "add_spawn_disable_struct" },
    { 0x08A20F7408C44ED9, "add_spawn_function" },
    { 0xA5387406685077F1, "add_spawn_scoring_poi" },
    { 0xCFC250CE6EA20B86, "add_spawn_skit" },
    { 0x1B1DD8456D83E358, "add_spawner_to_color_spawner_array" },
    { 0xD3D9C3D77FE5A4F6, "add_spawners_to_passive_wave_spawning" },
    { 0x951C9DB22E53880F, "add_start" },
    { 0xB4E91B728ADB7EF2, "add_start_assert" },
    { 0x44EC34183FAB86E5, "add_start_construct" },
    { 0x952590B22E5D8A26, "add_state" },
    { 0xF4BFDC44939FE6B8, "add_state_ent" },
    { 0xABC6B7865D6CAFA7, "add_stealth_logic_to_group" },
    { 0x4AF9CB24DE50F890, "add_struct" },
    { 0x85630451263BFE78, "add_targetname_kvps" },
    { 0x807D5EF25F75055F, "add_to_ambient_sound_queue" },
    { 0x501061B10EB2677C, "add_to_ambush_vehicle_array" },
    { 0xE0353F6022CD42AE, "add_to_ambush_vehicles_ahead_player_vehicle_array" },
    { 0x376A8D267A0C191D, "add_to_ambush_vehicles_behind_player_vehicle_array" },
    { 0x76C3F0343EE6F993, "add_to_animsound" },
    { 0x1C3D1C78DD3E9F8D, "add_to_blocker_vehicles_array" },
    { 0xDEDB1F2D4E94FC28, "add_to_bomb_detonator_waiting_for_pick_up_array" },
    { 0xBB57EEDED6968507, "add_to_bot_damage_targets" },
    { 0xD044DED29C0FE25F, "add_to_bot_use_targets" },
    { 0x2455BFC095EAFCA7, "add_to_characters_array" },
    { 0xB0AED11E212C91FA, "add_to_chatter" },
    { 0xC88330FFB7C986DE, "add_to_convoy_structs" },
    { 0x3C8ECEA632C6EA9A, "add_to_cruise_missile_list" },
    { 0x3E8BD45EF79D6B6E, "add_to_current_interaction_list" },
    { 0x7C6F9363099498AA, "add_to_current_interaction_list_for_player" },
    { 0x8557965E0915829F, "add_to_dialogue" },
    { 0xB32985C908F0B28D, "add_to_dialogue_generic" },
    { 0xF7055FB0C156247D, "add_to_emp_drone_target_list" },
    { 0xDCEFAED2B81A458D, "add_to_ents_to_clean_up" },
    { 0x5D89958C0C7CCB16, "add_to_friendly_convoy_list" },
    { 0xA988D5CF0A5DFC6E, "add_to_fulton_actor_players" },
    { 0x7436E5F4C2B72590, "add_to_fulton_actors" },
    { 0x84F8B951C2526260, "add_to_grenade_cache" },
    { 0x62E4AD188BB5227C, "add_to_hack_attackers_list" },
    { 0x847B32F725043DC3, "add_to_hvt_bodyguard_vehicles_array" },
    { 0x4E251ACC938A3DDF, "add_to_identified_ieds_list" },
    { 0xEE0C027A7B6FB346, "add_to_interrupt_vo" },
    { 0x2E1B5A5FED04DDE3, "add_to_kick_queue" },
    { 0x67E574C01901D604, "add_to_kill_off_list" },
    { 0x63431F963314B66B, "add_to_lightbar_stack" },
    { 0x98C46981542B5A43, "add_to_list_of_current_chain_idx" },
    { 0x72F1595B195274B7, "add_to_mine_list" },
    { 0x4CABE4450E91C060, "add_to_module_vehicles_list" },
    { 0x2CE5497191F5EAF9, "add_to_nag_vo" },
    { 0xA8DAA2EDF75857B8, "add_to_notify_queue" },
    { 0x8B9D7FE5429DC297, "add_to_player_dialogue" },
    { 0x925684B6BCEF51E5, "add_to_player_revive_icon_list" },
    { 0x4886B745BC63A9B2, "add_to_players_as_passenger_list" },
    { 0x90F34982588D3AA5, "add_to_players_being_revived" },
    { 0x513AB7F326B4F647, "add_to_players_cannot_see_vehicle_icon_list" },
    { 0x1DCC2AB2175D19D5, "add_to_queue_at_priority" },
    { 0xF27E52FDB9FF9D28, "add_to_radio" },
    { 0x0A909B610D7DEBF7, "add_to_revive_icon_ent_icon_list" },
    { 0x487713E36D73D093, "add_to_revive_icon_entity_list" },
    { 0x737F8A85BF5493B9, "add_to_score_message" },
    { 0xE241DAF3C80A8369, "add_to_spawn_count_from_group" },
    { 0xE63532115FEF4A1F, "add_to_spawner_flags" },
    { 0x93AE4E6A0B1A517F, "add_to_spawnflags" },
    { 0x3A5D57F570B8649F, "add_to_spawngroup" },
    { 0x18ACA62396147E86, "add_to_special_lockon_target_list" },
    { 0x66CD48AC71B01249, "add_to_spotlight_array" },
    { 0xDA6FF5465BF2E088, "add_to_unidentified_ieds_list" },
    { 0xA7098A1386374D6B, "add_to_vehicle_queue" },
    { 0x59EBAA675B91BED7, "add_to_vehicle_repair_interaction_list" },
    { 0x9491FFB794C5A686, "add_to_vehicle_travel_array" },
    { 0xFFAF72CBCB3F16F2, "add_to_vo_queue" },
    { 0x9408B46B925BBA5A, "add_to_vo_system" },
    { 0xB5A3260BFA43D656, "add_to_vo_system_internal" },
    { 0xCB2B6E09E267501F, "add_to_weapon_array" },
    { 0xE4C360DF6B737109, "add_to_weapons_status" },
    { 0x7DB1897851A0019A, "add_tokens_to_trigger_flags" },
    { 0x8D0CFD2811349A62, "add_track_points" },
    { 0xB54B05438D7E0A82, "add_traversalassist" },
    { 0x411037C3698AE124, "add_traversalassist_array" },
    { 0x3E70ABF0229526F7, "add_trigger_func_thread" },
    { 0x2567A6497707754C, "add_trigger_function" },
    { 0x7C46F3B7302E7CFE, "add_trigger_to_oob_system" },
    { 0xC5870E5D75F8F867, "add_turret" },
    { 0xD25BCC5AF281D34F, "add_universal_button" },
    { 0xB864166699A691AC, "add_veh_anim" },
    { 0xBEA010A69216148A, "add_veh_spawners_to_passive_wave_spawning" },
    { 0x5C1A91B3A4A50CE2, "add_visionset_to_stack" },
    { 0xAAF7D983A2C3B095, "add_vo_line" },
    { 0x93F251A4F31BD057, "add_vo_line_linked" },
    { 0xB30A9F486EA092C8, "add_vo_line_scaled" },
    { 0x928F1E044F27F022, "add_vo_notify" },
    { 0x5D56BA6DBABC1C39, "add_vo_rule" },
    { 0x478A81CB68EE1B26, "add_vo_rules_all" },
    { 0x47818ACB68E41043, "add_vo_rules_any" },
    { 0x0EAA90F8581AF75E, "add_vo_wait" },
    { 0xEBA832E6C143EDF4, "add_volume_to_global_arrays" },
    { 0xABDDDAE30259E2AE, "add_volumes_to_array" },
    { 0x07ED8D6D50D2F830, "add_wait" },
    { 0x70CBE5603CE2C2D0, "add_wait_asserter" },
    { 0x06459458A3C5FD67, "add_wave_overrides_to_module" },
    { 0xAB25C3ADC483F370, "add_weak_spot_on_hvt_vehicle" },
    { 0x019DA666FA8E0091, "add_weapon" },
    { 0x0BDB4010B8C9EC7C, "add_welding_alias" },
    { 0xEFEBC09D216934EF, "add_wheel_tag" },
    { 0x97A3D2801147DCFD, "add_z" },
    { 0x0F6DEDC5DC7C8630, "addaccesscard" },
    { 0x5487B457CB2BF6B2, "addaction" },
    { 0x275C3E9BCA17C820, "addactioncovermealiasex" },
    { 0x1ADBD6FD273AD0DE, "addactivecounteruav" },
    { 0xFC77C545A138927E, "addactiveuav" },
    { 0x391D06A5E35A0A49, "addagent" },
    { 0xFD583F75F1EF78DE, "addaieventlistener" },
    { 0xA5A6976E06A0BA79, "addaieventlistener_func" },
    { 0xC11491F1F2F4CDF3, "addairexplosion" },
    { 0x8AD63318D812DBE7, "addaliasarraytoqueue" },
    { 0x52F71BC260978B1F, "addallkillstreaksunlocked" },
    { 0xB3572DCF65EA63AA, "addallkillstreaksunlockedinonelife" },
    { 0x6CC2BA3AB1FD0EEC, "addallowedthreatcallout" },
    { 0x47FDFC59C8C733C6, "addanimation" },
    { 0x8948C38F41578FC9, "addarmcratedata" },
    { 0x96915ECC6F297A38, "addattachmenttoweapon" },
    { 0x7133C50417E3D483, "addattacker" },
    { 0x0EF6C4F53600489D, "addattackerkillstreak" },
    { 0x11A06592F1FEE94C, "addawardtoaarlist" },
    { 0x11DAB47A886D8CB8, "addbattlepassxpmultiplier" },
    { 0x381637A422422A95, "addbot" },
    { 0x9B0743F7578457D2, "addbots" },
    { 0x393ACA65BE3F6D0F, "addboxtolevelarray" },
    { 0x3657B692E808D7C4, "addboxtoownerarray" },
    { 0xC2CBE7AA79709CF9, "addcalloutresponseevent" },
    { 0x3CE0CA37727E3550, "addcheckfirealias" },
    { 0xB5D9FC08EC1DE59E, "addchild" },
    { 0xF0934C3D767C39C2, "addclassstructtocache" },
    { 0x725CF1C4EC163911, "addclienttoheadiconmask" },
    { 0x27BEFD4503A26500, "addclienttotargetmarkergroupmask" },
    { 0x2CBF783CDF42BC73, "addconcatdirectionalias" },
    { 0x69FA41EE5D6BEBEB, "addconcattargetalias" },
    { 0x8E537A54952F4F50, "addcustombc" },
    { 0x62D42BD19B89D929, "addcustombcstealthalias" },
    { 0xE62FE6C05D206F8C, "adddamagemodifier" },
    { 0xC5A3D0B7F0C8AEA0, "adddamagepart" },
    { 0x70D133299013FCDC, "adddamagetaken" },
    { 0x99EE2B830197C5A7, "adddeathicon" },
    { 0x8B3332EC12D389FC, "adddebugcommand" },
    { 0x206B6BCECD6BA78D, "adddroponplayerdeath" },
    { 0x08209854827233E5, "adddynamicspawnarea" },
    { 0x6E9405763EDEB2D9, "added_lines" },
    { 0x941F92A742F0FD13, "addedcollision" },
    { 0xD70B2302DD4FD5B9, "addedtowave" },
    { 0xF252046216216FB3, "addenemydeathicon" },
    { 0x0EE8528B85E94F4F, "addentrytodevgui" },
    { 0xBEF254979F86F771, "addentrytodevgui_internal" },
    { 0xE7CDA416661C0C4E, "addeventplaybcs" },
    { 0x3FDC602928E884AE, "addexecutioncharge" },
    { 0x9B19815F57881119, "addexecutionquip" },
    { 0x5B856658FEBA46EE, "addfunc" },
    { 0x0E4BC435C36C9A2F, "addglobalbattlepassxpmultiplier" },
    { 0xC41FD75E78DEE2EE, "addglobalrankxpmultiplier" },
    { 0xD9AA54B040D73A1F, "addglobalspawnarea" },
    { 0x83D654133C70810E, "addglobalweaponrankxpmultiplier" },
    { 0xAF8E5A7F59C7C874, "addgrenadethrowanimoffset" },
    { 0x36A1F0E14DDF4F17, "addheadicon" },
    { 0x9017A746099C6D7D, "addhealthback" },
    { 0x52FBD93F3C289A8E, "addheavyarmor" },
    { 0xF032E45A3DEF0D19, "addhelidroppingcratetolist" },
    { 0x1C76D39637131518, "addhostileburstalias" },
    { 0x825F9DF725C4BFD5, "addhudincoming_attacker" },
    { 0xA91D2E1830BFFB0A, "addhudwarningmessage" },
    { 0xB0826DF7F072B40A, "addhvtheadicons" },
    { 0xE1203F0EA672849C, "addincoming" },
    { 0xA920BE983A70B06E, "addincominghelperdrone" },
    { 0x4CD3937579CF8286, "addincominghelperdroneifpossible" },
    { 0x4DC148C4D01C77CF, "addinformalias" },
    { 0x9871C23999B28A27, "addinformevent" },
    { 0x2FF370F1820AF005, "addinformreloadingaliasex" },
    { 0x90F36D18321BE37C, "addinitexploders" },
    { 0xADAD4B0E74754C90, "addinitialattachmentsprimary" },
    { 0xD35238BD8187AC40, "addinitialattachmentssecondary" },
    { 0xD5D9CE6DDDC73004, "addinstancetodomflag" },
    { 0x4E3076AA6ECF794D, "additional_corpse" },
    { 0xCACC648718213001, "additional_false_positive_dots_needed" },
    { 0x6AAF3D64D57D97BF, "additional_laststand_weapon_exclusion" },
    { 0xCDD633CE38C4EBB0, "additional_tactical_logic_func" },
    { 0x7B9876843EC21091, "additionalassets" },
    { 0x98A00967E16B48DA, "additionalents" },
    { 0xA49BB60FFFFCCF6F, "additionalrecondronetargets" },
    { 0xD7024F980834F44D, "additionalsighttraceentities" },
    { 0x50912FD3A64191FB, "additive_anim" },
    { 0xDFD5B9D9BDA4194A, "additive_branch" },
    { 0xAF32B732A8C31F2E, "additive_pain" },
    { 0xEB28E6D8611F3E5E, "additivedamagemodifierignorefuncs" },
    { 0x29648E4EFE305A92, "additivedamagemodifiers" },
    { 0x52570D6EBAAF95C8, "addjuggernautcharge" },
    { 0x15C2678A5C3FB5EA, "addjuggfunctionality" },
    { 0xD1CCF1E65F8532AA, "addjuggsettings" },
    { 0x7D014DEFC6099944, "addkillcharge" },
    { 0xF7EF3810145BC22A, "addkillstreakcharge" },
    { 0x55EB94122618ED81, "addkillstreakcratedata" },
    { 0x1E5B7E60246DABF1, "addkillstreakstoqueue" },
    { 0x288A358F56F8003E, "addlaststandoverheadiconcallback" },
    { 0x38ECAD5F26962071, "addleadobjective" },
    { 0xDC1AC1126792DA1E, "addlevel" },
    { 0xE1FFD0A574B1B3F2, "addlevelstoexperience" },
    { 0xC6F670524B053529, "addloadingplayer" },
    { 0x380E4E110FA2F456, "addloadingplayerdisconnectwatch" },
    { 0xFF4BC5F67F51D9F8, "addlocationresponsealias" },
    { 0x74E13B4FC0CE0897, "addlockedon" },
    { 0x2E7163B867A059F8, "addloopinganimation" },
    { 0x1B85BA07C0F5941C, "addlowermessage" },
    { 0x5D71F216B3972562, "addmarkpoints" },
    { 0x037B4BD72AB55649, "addmodeltoplayer" },
    { 0xEC5EEDEE999C052E, "addmovecombataliasex" },
    { 0x2EF8BE5DB32C24D5, "addmovenoncombataliasex" },
    { 0xA82E9D84CBDF8082, "addmpbottoteam" },
    { 0xA72DBFF3BD16EAD5, "addnamealias" },
    { 0xD0DAEA761B9B77B8, "addnamealiasex" },
    { 0x359999F4C1DDFD78, "addnotetrack_animsound" },
    { 0x3E9AE0BE5F5424C1, "addnotetrack_attach" },
    { 0x6BF2787DDB0EDDC8, "addnotetrack_attach_gun" },
    { 0x69E6B97749BBFC87, "addnotetrack_customfunction" },
    { 0x23E6EE6BD440640B, "addnotetrack_detach" },
    { 0x3A7B4E09F1241F56, "addnotetrack_detach_gun" },
    { 0x31AB1D949931B33A, "addnotetrack_dialogue" },
    { 0xECF2C963991C0816, "addnotetrack_flag" },
    { 0x28BBC16FA3BC6914, "addnotetrack_flag_clear" },
    { 0xFB2170B5B9EA3EEE, "addnotetrack_mayhemend" },
    { 0xA074C4425CB7E98B, "addnotetrack_mayhemstart" },
    { 0x85212AC2A9C7A6A5, "addnotetrack_notify" },
    { 0xA31A9A7DF99DB00F, "addnotetrack_playerdialogue" },
    { 0x675071329F220418, "addnotetrack_playersound" },
    { 0x045213C467ECE193, "addnotetrack_sound" },
    { 0x44EC2EDA2A1C655D, "addnotetrack_startfxontag" },
    { 0xA2CFA62849CF9911, "addnotetrack_stopfxontag" },
    { 0x303A22AD80DDBAF0, "addnotetrack_swapparttoefx" },
    { 0x5D71983C7E3CE87C, "addnotetrack_tracepartforefx" },
    { 0xF2998B4B3CD05479, "addnukecharge" },
    { 0x4B158BA1395C9A27, "addobjectivescorecharge" },
    { 0xB793B33FD47EE5E7, "addofficertosquad" },
    { 0x22DC98CEA9AC60E0, "addonstart_animsound" },
    { 0x5FCD8594EA971B36, "addontoviewmodel" },
    { 0xBFB3414CB16C2061, "addoption" },
    { 0x6A9B1392B4F19DCC, "addorderalias" },
    { 0xF77A678FDD76A7E8, "addorderevent" },
    { 0x980C28FCA84ADBD9, "addoutlineoccluder" },
    { 0x5C7346188100517D, "addoverheadicon" },
    { 0x37A1CBD600522C1F, "addoverridearchetypepriority" },
    { 0x930AF79C0700A38E, "addpitch" },
    { 0xD9133AABBBC154D3, "addplantingcharge" },
    { 0xFD006F6B446806B7, "addplatepouch" },
    { 0x56CA9C74D192F01D, "addplayerasexpiredlootleader" },
    { 0x25E27B79F5150A22, "addplayeraslootleader" },
    { 0x7BBC622CA7C12E8A, "addplayernamealias" },
    { 0x0F530FCD85077CC0, "addplayertolevelarrays" },
    { 0xC6F9C64C52A3B856, "addplayertosquad" },
    { 0x2A7B27DE15E402FD, "addplayertoteam" },
    { 0x8A5CAD5C1F300668, "addplundercarrycredit" },
    { 0x80EA0DDA09999AC9, "addpossiblethreatcallout" },
    { 0xF69402864476AFA1, "addpostlaunchspawns" },
    { 0xF66DE46EE5D451D5, "addpowerbutton" },
    { 0x28BC180F354F3F9F, "addprereq" },
    { 0x2B37749344620906, "addprintlinetext" },
    { 0xDB7116A7C31E6D90, "addproptolist" },
    { 0x1139335E0A0F72C5, "addquestinstance" },
    { 0x95D617594F3FAEC9, "addquestrewardtier" },
    { 0x2945DD6831193727, "addquestrewardtierframeend" },
    { 0x6C264974C33A5D62, "addrankalias" },
    { 0x0803E29BA704E581, "addrankxpmultiplier" },
    { 0x01CFC4604197187D, "addreactionalias" },
    { 0x891CBF327B2A2511, "addreactionevent" },
    { 0x297C467C6BB29C78, "addrecentattacker" },
    { 0x3BD41A865F075072, "addrecentdamage" },
    { 0x4A755A5EA9EC93E9, "addrespawntoken" },
    { 0x3AD78E905C6A2311, "addresponsealias" },
    { 0xFED6374CBE237145, "addresponseevent" },
    { 0x8842440D60535703, "addresponseevent_internal" },
    { 0x9B2C1872EFE45EF3, "addroll" },
    { 0x5E28C9B83229DDD3, "addscavengercliptoweapon" },
    { 0xF99B873E8E020B0A, "addscriptedspawnpoints" },
    { 0xC328B9B55BB87EA1, "addselected" },
    { 0xE2E0005D5F60C6C4, "addselfrevivetoken" },
    { 0x5E52DB11F3D1326F, "addsmartobjectanim" },
    { 0x94A62A7EAE1C8ED1, "addsmartobjectanim_internal" },
    { 0x689CC03E39C1A063, "addsmartobjectarrivalanims" },
    { 0x9088A57158C1C6E9, "addsmartobjectdeathanim" },
    { 0x2289C7637F1BBB5C, "addsmartobjectexitanims" },
    { 0xB5CD99CE0C5909F5, "addsmartobjectintroanim" },
    { 0xD86980A48A58C000, "addsmartobjectoutroanim" },
    { 0x9745E9BC54E0C633, "addsmartobjectpainanim" },
    { 0xA3DA213BA984DFF4, "addsmartobjectreactanim" },
    { 0x76D7743DE75E72E6, "addspawnareaonspawn" },
    { 0x8BBD9C621FC481DD, "addspawnareatoconfig" },
    { 0x659AC6CA6EC3DE92, "addspawndangerzone" },
    { 0x8774F158F8A830C0, "addspawnlocation" },
    { 0x16C0C43E1A0BD714, "addspawnpoints" },
    { 0x10B18BBD6C4050A5, "addspawnviewer" },
    { 0x00E6306E14D4D2F1, "addspeaker" },
    { 0x0EB1B17DB650A0A8, "addspecialistbonus" },
    { 0x022D729A2C2F3B84, "addspecialistbonuspickup" },
    { 0x3537D2B5445E5A5D, "addspecialistdialog" },
    { 0xCA773A85623B6B0F, "addstackcount" },
    { 0xFC277FDF39EAD360, "addstartspawnpoints" },
    { 0xA420F66D25693C21, "addstealthalias" },
    { 0x97418AB44E976D35, "addstealthevent" },
    { 0x020617FF638149A2, "addsurvivorattachmentsprimary" },
    { 0x3A0D4525C1A4BD2E, "addsurvivorattachmentssecondary" },
    { 0xCE0D1D9F3353CDAC, "addtakingfirealias" },
    { 0x4A43DD2D34A74011, "addtarget" },
    { 0x6920043A61A3E40A, "addtargetmarkergroup" },
    { 0x3982446E86C064E8, "addtauntalias" },
    { 0x96FC449F3606323C, "addteabagcharge" },
    { 0x9D79DD771B228850, "addteamrankxpmultiplier" },
    { 0x1B18261ADDCC4ABB, "addteamtoheadiconmask" },
    { 0x124C814836EDDF9A, "addteamtotargetmarkergroupmask" },
    { 0xA56FA4E6D03B97B7, "addtenkillcharge" },
    { 0xB475C7B44D789B8B, "addtestclient" },
    { 0x57A22986603F0268, "addtestclients" },
    { 0x19F18A96EE4FE837, "addthinker" },
    { 0x587F4927FDCE9054, "addthreatalias" },
    { 0x3D40E58A0C513768, "addthreatcalloutalias" },
    { 0x5F8CE87743E6FF3D, "addthreatcalloutecho" },
    { 0x29D1D013BF82DF28, "addthreatcalloutlandmarkalias" },
    { 0x38ADB72E9930D545, "addthreatcalloutlocationalias" },
    { 0xA7225000E0ACC1AC, "addthreatcalloutqa_nextline" },
    { 0xBF670438A16D9B25, "addthreatcalloutresponsealias" },
    { 0xA4AA6B6B3650B9CD, "addthreatdistancealias" },
    { 0x6694BF060A673989, "addthreatelevationalias" },
    { 0xCFBBE3154EB66080, "addthreatevent" },
    { 0xE31D925FABFEA1C4, "addthreatexposedalias" },
    { 0x038DC8B2D58A2823, "addthreatobviousalias" },
    { 0xAC8A596B522B82B5, "addthrowingknifecharge" },
    { 0x92BAB5A54B59AD61, "addtime" },
    { 0x914A0266DBB6E5E9, "addtoactivekillstreaklist" },
    { 0xB6D07FC7717D9A3D, "addtoairstrikelist" },
    { 0xA09798A772AD7F69, "addtoalivecount" },
    { 0xA4D859C67972C6E6, "addtoassaultdronelist" },
    { 0x4D8C83BDB3521650, "addtoc130infil" },
    { 0xBD3876DCAFE8B19C, "addtocarrylist" },
    { 0xE1CB27D65B415846, "addtocharactersarray" },
    { 0xB096A7E2741AB255, "addtodismembermentlist" },
    { 0x4F6871779B9777F6, "addtogamemodestat" },
    { 0x25AF364BC925A438, "addtogroup" },
    { 0xC5D554B6DD3F124D, "addtohelilist" },
    { 0x3559E3915CE1A840, "addtointensitybuffer" },
    { 0x465BA1F44AAB6C36, "addtointeractionslistbynoteworthy" },
    { 0xA554DC8EEECD955A, "addtolists" },
    { 0x83B29D62BB584C2E, "addtolittlebirdlist" },
    { 0x1A717F35BF49424A, "addtolittlebirdmglist" },
    { 0xF0AA136AE30BBA8F, "addtolivescount" },
    { 0x589BCE521C823CD0, "addtomatchstat" },
    { 0x4FA367CD11BDDAE8, "addtop3brcharge" },
    { 0x98A0C0A3C5C17740, "addtoparticipantsarray" },
    { 0x1DC76406B978BCB1, "addtopatrolexclusion" },
    { 0xDB49EC2E544886EF, "addtopersonalinteractionlist" },
    { 0x8E11761182C43979, "addtopkillstreakcharge" },
    { 0x8E6EE5068B32658A, "addtoplayerkillstreaklist" },
    { 0xF7CBFD2B6CCF838E, "addtoplayerstat" },
    { 0x21EB92F3E85C6B12, "addtoplayerstat_internal" },
    { 0xA200D3F5D4D36F39, "addtoplayerstatbuffered" },
    { 0x9467A65E75B688A0, "addtopod" },
    { 0xD42961967388546A, "addtoprojectilelist" },
    { 0x13316E9A14A85F1D, "addtoremotekillstreaklist" },
    { 0x2F9C51C6E4D30CE5, "addtosquad" },
    { 0x249F79162125B51A, "addtostatgroup" },
    { 0xD67A636D77B8B5F9, "addtostructarray" },
    { 0x25612BCC3522545A, "addtosupportdronelist" },
    { 0xE127A0A0ED440960, "addtosystem" },
    { 0xB8ABCD4746326C71, "addtotacopsmap" },
    { 0x37C149148976B320, "addtoteam" },
    { 0x36C071574A301F2F, "addtoteamcount" },
    { 0x1F4E344855F3FA83, "addtoteamlives" },
    { 0xFA2F960C4DE07192, "addtotraplist" },
    { 0x97469FD4F9D1EA3B, "addtoturretlist" },
    { 0x5F6A02E8F1047E4B, "addtouavlist" },
    { 0xE5C625B7BB644C91, "addtougvlist" },
    { 0x05D91CF2113510D9, "addtovoqueue" },
    { 0x7B778F1629C79A2C, "addtowavespawner" },
    { 0x04202E1C1721A853, "addtriggerdeathicon" },
    { 0x8988507CA32B8386, "addttlosoverride" },
    { 0xD3E4845D12DB2CC2, "addturret" },
    { 0x4CB7A2056AE4C879, "adduavmodel" },
    { 0x3A1F2B20F1AE5170, "addupperrighthudelem" },
    { 0x36008B45B202B92F, "addvaluetocardmeter" },
    { 0x11B7C52607F3FEF4, "addvehiclealias" },
    { 0x848F5F135407D920, "addvehicleevent" },
    { 0xFFAAB2B3E08B2B40, "addvehicularmanslaughtercharge" },
    { 0x0EA34FC5CA3B10A4, "addwatch2v2topscore" },
    { 0xF254A675D7E97533, "addwatchchargewin" },
    { 0x3E3EB938050A275B, "addwatchchargewintop3" },
    { 0x7E3B4D9D32F2C68D, "addweaponrankxpmultiplier" },
    { 0x9DDC53A46CF105E3, "addyaw" },
    { 0x1A0C66D3932F3C63, "addzombiepowerbutton" },
    { 0xA5B7273B4B191E67, "adjacent_volumes" },
    { 0xAEC8E4340872E9F7, "adjust_ai_pistol_accuracy" },
    { 0xE343FD547BA64F6F, "adjust_allowed_civilian_deaths" },
    { 0x436224A20A093F2E, "adjust_angles_for_heli_path" },
    { 0x8E05DBD0F418C503, "adjust_angles_to_player" },
    { 0x84197028DB0B770C, "adjust_clip_ammo_from_stock" },
    { 0xBAA0D9D2BBC31377, "adjust_cursor_hint_side" },
    { 0x2C3A49EDD0D3827D, "adjust_damage_based_on_weaponclass" },
    { 0xED7E8E25DC28D089, "adjust_damage_to_vehicle" },
    { 0xF0F00A6FBDCCDF71, "adjust_entcounthud_pos" },
    { 0x900922AE363A6FE6, "adjust_entity_count_hud_color" },
    { 0xA9F155D43449DA93, "adjust_for_stance" },
    { 0xA81A18A39B76A650, "adjust_heartbeat_sensor_settings" },
    { 0x32333D706F31D586, "adjust_move_speed_while_crouched" },
    { 0xBB28C824A87B6205, "adjust_move_speed_while_sliding" },
    { 0x1FF935318B60DD97, "adjust_player_pos_memory_array_size" },
    { 0x392FD4BB1D21EECD, "adjust_reaper_camera_zoom_level" },
    { 0x0DC455690F6F6004, "adjust_target_circle_fov_and_radius" },
    { 0x6B1A312AC1DF1CEB, "adjust_vector_field" },
    { 0x9D95C71EDC7F5882, "adjust_vehicle_speed_on_center_dist" },
    { 0x1D7A23EB4DF9EFBE, "adjust_vehicle_speed_on_player_dist" },
    { 0x2040E545DD3557AF, "adjustactivespawnlogic" },
    { 0x6269655BF52330A6, "adjustbulletstokill" },
    { 0x5C5EE0208BD0E428, "adjustedstarttime" },
    { 0x3CEA93C7D8C8F8F1, "adjusteventdistributionpadding" },
    { 0x5D37359BE2492F97, "adjustlootleadermarkcount" },
    { 0x828F7E02A27259C5, "adjustmatchtimerpausedstatefromleadchange" },
    { 0x45DAE94E1A41BC4F, "adjustmatchtimerpausedstatefromscore" },
    { 0xA6863B29FB1115FF, "adjustmodelvis" },
    { 0x2827DBECCF1F388A, "adjustmovespeed" },
    { 0x1A19EE7D69EC1CB3, "adjustposforvisibility" },
    { 0xE03C567F466287D4, "adjustroundendtimer" },
    { 0xF47E069819A015B0, "adjustshipmentspawns" },
    { 0xB299ECFF1DC7AAF9, "adjustuniqueitemposition" },
    { 0x79AAC1789E16660A, "adjustzoneactivationdelayforlargemaps" },
    { 0xB08E18A086E72E82, "adr_boost" },
    { 0x2F354083DEB5E662, "adrenaline" },
    { 0x55DBF308D48F182D, "adrenaline_crate_init" },
    { 0xD97657FBC1BAE5AE, "adrenaline_crate_player_at_max_ammo" },
    { 0x28E7CA70E9A65536, "adrenaline_crate_spawn" },
    { 0xEC27AF7150DF0CA2, "adrenaline_crate_use" },
    { 0x757079AD7DFEC778, "adrenaline_missionondeaththink" },
    { 0xC8C616A13C140BD5, "adrenaline_missiononuse" },
    { 0x6D762D985D58DEE3, "adrenaline_removeondamage" },
    { 0xA5A902E0AE47E541, "adrenaline_removeongameend" },
    { 0x6AE0E5BDA84C0BDA, "adrenaline_removeonplayernotifies" },
    { 0xAF28B7F23822D067, "adrenaline_shot" },
    { 0xB4CCE52EADC755F2, "adrenalinebox_canusedeployable" },
    { 0xDD45D86DD50EEDBF, "adrenalinebox_onusedeployable" },
    { 0xF0164BFBB616127D, "adrenalinepoweractive" },
    { 0x3539759759629636, "adsbreathhold" },
    { 0x5C4FCF2DEB5C3A39, "adsbuttonpressed" },
    { 0x9BAB752CEACA02A1, "adsfire" },
    { 0x2C253B9A962233C0, "adshint" },
    { 0x742DE7D90CD02662, "adsoff" },
    { 0x175B6B7FB4164408, "adson" },
    { 0x984B0DB630AA81AB, "adsraisedelaytimer" },
    { 0xF8DC037F3463AF3C, "adstime" },
    { 0xBB015A713B5BDB2E, "adsviewbobhack" },
    { 0xEA1781EA3C2BFE8F, "adult_fail_watcher" },
    { 0x4CD389A88BDEC633, "advance_animatedfarahenemydeathanimationlogic" },
    { 0x8C968E3E5E25E133, "advance_bomb_wire_list" },
    { 0x2E5216CEDE2C2406, "advance_down_the_bridge" },
    { 0x3F59349E7CEA99FF, "advance_down_the_bridge_via_struct" },
    { 0x3BA0D763551A080C, "advance_down_the_bridge_via_volume" },
    { 0x2C882C6C2228E821, "advance_enemiesconversationlogic" },
    { 0xB843BE85E43A4176, "advance_enemyshootalertalllogic" },
    { 0xC5A93EB1808C1517, "advance_farahenemybreakoutlogic" },
    { 0x2456EDE8E24EF68A, "advance_getenemies" },
    { 0xFCBE4FE8E2600C03, "advance_main" },
    { 0xE9456525DADDDFB9, "advance_regardless_of_numbers" },
    { 0xF2F8FAFF2A5C6BD3, "advance_scenefarahenemydamagelogic" },
    { 0x568D3EF538B7F759, "advance_scenefarahenemyreactlogic" },
    { 0x6257D4DFC494BA16, "advance_scenefarahscaleanimratehack" },
    { 0x7EBBFF883E342090, "advance_scenefarahtakedownfinishlogic" },
    { 0xB5F7B4022FA60A61, "advance_scenefarahtakedownlogic" },
    { 0x37F9366984DEE8E8, "advance_scenelogic" },
    { 0xEC112602736ED595, "advance_sceneplayerenemyreactdamagelogic" },
    { 0xCFF1ABDD96192B1E, "advance_sceneplayerenemyreactlogic" },
    { 0x84470A196331ACA1, "advance_spawnfarahenemy" },
    { 0x846BBC9F10710A84, "advance_spawnplayerenemies" },
    { 0x7B0669281D5698D2, "advance_start" },
    { 0xC797F16F7EF4FF31, "advance_tank_bullet_pings" },
    { 0x346CCA096E77A285, "advance_through_struct_path" },
    { 0x6342CCF502323873, "advance_watchallenemydeathslogic" },
    { 0xBAEE1BCAD6CE9876, "advance_watchenemydeathslogic" },
    { 0xDA7D69E3FD1778C9, "advancebombcase" },
    { 0xD2462B5408634224, "advanced_supply_drop_marker_sfx" },
    { 0x9EBA8E3AD0067478, "advanced_supply_drop_marker_used" },
    { 0x81835CB38D599D2D, "advanced_supply_drop_refund_on_death" },
    { 0xB9A462E6B281BB35, "advanceduavrig" },
    { 0x523078093FEC201F, "advancetoenemygroup" },
    { 0x00B2B52B295CEE77, "advancetoenemygroupmax" },
    { 0xE9CD96ADC1BC4B3D, "advancetoenemyinterval" },
    { 0x4EB57025706AF856, "advradarviewtime" },
    { 0xFFCB469A5E4A6B9C, "aerial_danger_exists_for" },
    { 0x0A28A85E325BD983, "aerial_vehicle_allowed" },
    { 0x709B54B77BDF31FA, "affect_hvt_healthdrain" },
    { 0x786A968D7521F0E6, "affectedbylockon" },
    { 0xA247A1902729A1D9, "afkroundcounted" },
    { 0x73581FFB56C5DD0B, "after_hit_by_emp_func" },
    { 0x93C4345B3EEFE910, "after_spawn_func" },
    { 0x1FB56EC3F8B52B20, "aftermath_ambience" },
    { 0x8BC36FC38A97E54A, "agent" },
    { 0x872D8CA06925341F, "agent_anims" },
    { 0x2400D64F53C682E2, "agent_available_to_spawn_time" },
    { 0x2861CE80AF006F2D, "agent_damage_finished" },
    { 0xEB415BE29E18FFE2, "agent_definition" },
    { 0x8CE27BE004C65B78, "agent_exit_heli" },
    { 0x274E6DB7CF152ADA, "agent_funcs" },
    { 0x2B23F1F62792984E, "agent_gameparticipant" },
    { 0x9ECF86A572958E9E, "agent_go_to_pos" },
    { 0xAB4CE64F7A62DBC3, "agent_handledamagefeedback" },
    { 0xABE0BCD128F35F70, "agent_height" },
    { 0xAE4F6AFB762C9849, "agent_init" },
    { 0xB1E5930AE61E9BF8, "agent_init_anims" },
    { 0xC15B77941D68B172, "agent_killed_queue" },
    { 0xDBA0CCCA6F4517E2, "agent_monitor_death" },
    { 0xC3A267C251D29086, "agent_move_and_take_cover" },
    { 0x8D94BA8E138807AD, "agent_onuse" },
    { 0x28ED35BC83C55726, "agent_pickup_hostage_scene" },
    { 0xD7F04D855C6DF7E3, "agent_pickup_hostage_scene_body" },
    { 0x5ACE52C958BA59CA, "agent_player_air_think" },
    { 0x0A24C6C6A3A902A8, "agent_player_bhd_think" },
    { 0x1C3B49909F9799BD, "agent_player_blitz_think" },
    { 0x9A7EE09EECB9864A, "agent_player_conf_think" },
    { 0xDDEE178C6E49733E, "agent_player_dom_think" },
    { 0x01D3AD091DE8869B, "agent_player_mugger_think" },
    { 0xFF486016EF53C1E9, "agent_player_sam_think" },
    { 0xB75198ED65752037, "agent_player_sd_think" },
    { 0x0F51F13827DE93A2, "agent_player_wmd_think" },
    { 0xDAB0E119A65A9AE9, "agent_put_on_heli" },
    { 0xC49377DEE0B5E32D, "agent_radius" },
    { 0xC1E73EA7CBB24F28, "agent_recycle_interval" },
    { 0xF02B93D74E1E1EE8, "agent_spawnai" },
    { 0x5728C66A173F610D, "agent_squadmember_air_think" },
    { 0x5B0E499561D85CFF, "agent_squadmember_bhd_think" },
    { 0x62E8719C406A334E, "agent_squadmember_blitz_think" },
    { 0x3F4133F3AF7F353B, "agent_squadmember_conf_think" },
    { 0xA039120851BCF4F5, "agent_squadmember_dom_think" },
    { 0x9B83A463D7E3077E, "agent_squadmember_mugger_think" },
    { 0xC16B82F8691D3756, "agent_squadmember_sam_think" },
    { 0xF08EEF17BAFA11AD, "agent_squadmember_wmd_think" },
    { 0x042DB8A5DA2F5E73, "agent_teamparticipant" },
    { 0x270A0AEC8F4F4D97, "agent_type" },
    { 0xCE0B50FD998026C0, "agent_use_door_spawner" },
    { 0x2F4FB72D7918100B, "agentarray" },
    { 0xF54331DEEE83FB69, "agentcanseesentient" },
    { 0xD75E9DE022F3059D, "agentcantbeignored" },
    { 0xE0A9E282B51B107D, "agentclasscallback" },
    { 0xE6FBAFA12BB8BD12, "agentclearscriptvars" },
    { 0xB70752640FBD7FDC, "agentdamagefeedback" },
    { 0x11EEA9B8C977ED7C, "agentfunc" },
    { 0x9BC6D14167553920, "agenthealth" },
    { 0x8568EE9F8FD82919, "agentisfnfimmune" },
    { 0x8B179608298FDBD8, "agentisinstakillimmune" },
    { 0x4A90E1D63B909537, "agentisspecialzombie" },
    { 0x19E208A501CBED19, "agentmodeltable" },
    { 0x00D2C2B005412BC9, "agentmodeltabledata" },
    { 0xA4CC3AFFCEEE5CD1, "agentname" },
    { 0xF6B40409CC0D1C5B, "agents" },
    { 0x414DDA593086843F, "agentsetclipmode" },
    { 0x637E7C3C320B3C9A, "agentsetfavoriteenemy" },
    { 0x68F15D906CA664FD, "agentsinsphere" },
    { 0xB6BF5E311B3EA0BA, "agentskilled" },
    { 0x851FBA73E277DE0D, "agentsnear" },
    { 0xE2D6245CF4ED9A7D, "agenttargetloadout" },
    { 0x76CA515D8681F2EB, "agentteam" },
    { 0x133775B99FEE61A0, "agentteamarray" },
    { 0x538C0B7724B41676, "agentthink" },
    { 0x64A6230ADF2A0D67, "agentvalidateattacker" },
    { 0x84796D15F19E2CE9, "aggregateweaponkills" },
    { 0x51C9D95DA9F4A37D, "aggressive" },
    { 0xCE4C5B8DC826DC5D, "aggressive_melee_active" },
    { 0xFD70803264509436, "aggressive_melee_charge_init" },
    { 0x5FE131A12AEF3B60, "aggressiveblindfire" },
    { 0x62D9A97A9EEF78D5, "aggressivelowcover_dist" },
    { 0x840115C46E866E47, "aggressivelowcovermode" },
    { 0xD6E54E74750A6E04, "aggressively_chase_down_target" },
    { 0xFA6F7A265197E02A, "aggressivemode" },
    { 0xC6A4EF9FAEAE502C, "aggro_player_weight" },
    { 0x632BB242C972D027, "ahdmode" },
    { 0x59803C3DE584A36E, "ahead_of_player" },
    { 0x1AFB9B511D54B804, "ahmadzai_wh02_model" },
    { 0xCE0F4078F560201B, "ai" },
    { 0xFD071877F51067CC, "aiSpread" },
    { 0x20A46C4F8E405931, "ai_3d_sighting_model" },
    { 0x49A6341BB2B9DCD5, "ai_ac130_firedata" },
    { 0x55BB18FBD5DB75C3, "ai_after_animation" },
    { 0x29264E2E281A7CCC, "ai_aggro_goal_shrink" },
    { 0x264D01164A56F541, "ai_anim" },
    { 0x89C12DE3CEC73F8E, "ai_anim_first_frame" },
    { 0x8AA5F0AF9D02A70A, "ai_anim_relative" },
    { 0x914CB2D73F11B002, "ai_anim_start" },
    { 0x20D075314499F8C1, "ai_array" },
    { 0x22BA88561F1B262C, "ai_ascender_animin" },
    { 0x1A0826F58BF9D5AD, "ai_ascender_animloop" },
    { 0x266E2D662B3609D9, "ai_ascender_animout" },
    { 0xDE9B3444CF515D0B, "ai_ascender_doanims" },
    { 0xDBE50278CB207F68, "ai_ascender_getclosestascender" },
    { 0x3075001FB073266A, "ai_ascender_getclosestdescender" },
    { 0xB4B38EF6CBCD15A8, "ai_ascender_getstartpos" },
    { 0xC847571F38DEBC0E, "ai_ascender_giveascender" },
    { 0x6F7B2CF370D25EDC, "ai_ascender_takeascender" },
    { 0xF05C1ACFAD2B9ED9, "ai_ascender_use" },
    { 0x6E4E97542E7EDA1E, "ai_attachhat" },
    { 0x4CCADA22684AE26F, "ai_attachhead" },
    { 0x89EF693E17D00CD4, "ai_burn_death_scream" },
    { 0xF3964CABEB84B455, "ai_can_lookat" },
    { 0x75435626340B8D02, "ai_cancel_gesture" },
    { 0x818FF7D565FE6BCF, "ai_cellphone_cleanup" },
    { 0x397AE81567CE58F6, "ai_classname_in_level" },
    { 0xCC84716710FD2787, "ai_cleanup_watcher" },
    { 0xF8762C03438D1EB0, "ai_clear_all_navigation" },
    { 0xA457AAC008A2E170, "ai_counter" },
    { 0x0049A23E81EB62CA, "ai_counter_gate" },
    { 0x62BE4D6D7A03B4E3, "ai_create_weapon_stow" },
    { 0xB0DECF2C46B5BA03, "ai_custom_gesture" },
    { 0xEC36C76593AB39F8, "ai_damage_monitor" },
    { 0xA7324E535C024AFA, "ai_damage_think" },
    { 0xF8B1270DF111C586, "ai_deaf_event_active" },
    { 0x9E6D3B8201044889, "ai_death_func" },
    { 0x45103679F3466BE0, "ai_deathflag" },
    { 0xBA44370CC15E3171, "ai_delete_after_level_notify" },
    { 0x5DF95CD57FA7ADB7, "ai_delete_when_out_of_sight" },
    { 0x05953D662E94A5CE, "ai_detachall" },
    { 0xA3801265E7F41014, "ai_detachhat" },
    { 0xE9A0378A8750CFD1, "ai_die_if_far_away" },
    { 0xFFC89456F597C84B, "ai_dieondamageduringanimation" },
    { 0xC1B31A25F214E2F4, "ai_dieondamageduringanimationnotifylogic" },
    { 0xA34609203CE00300, "ai_dismount_turret" },
    { 0xED492CE906A7B011, "ai_display_dmg" },
    { 0xF6B549449EE120E8, "ai_dogfightbarklogic" },
    { 0xFF13747EED06F8AB, "ai_dogforcebark" },
    { 0xF2748045985F60CA, "ai_dogforcegrowl" },
    { 0x0AF1F5E312B07985, "ai_dont_glow_in_thermal" },
    { 0x6A37A1B1F56D5DCC, "ai_door_anim" },
    { 0xBD697B2068406565, "ai_door_spawn_anims" },
    { 0x21F39BEB636EFD44, "ai_drop_func" },
    { 0x2126738731C63FFA, "ai_drop_info" },
    { 0x0F8AD913D246D639, "ai_dropgren_model" },
    { 0xCC78CAFB12A6B569, "ai_dropgren_override_hide" },
    { 0xCC92C5FB12C2D374, "ai_dropgren_override_hint" },
    { 0x43D85FB6D52D42AC, "ai_dropgren_override_string" },
    { 0x8BC2E06CF2F9BFF8, "ai_dropgren_weapontype" },
    { 0xE6DBA53E629D8AC8, "ai_endguardlogic" },
    { 0x06DEB259E0F5BD1B, "ai_endguardproximitylogic" },
    { 0xB5732CD4534941C8, "ai_endpathlogic" },
    { 0xE9FEDD7669677E39, "ai_enter_laststand" },
    { 0x0CA01E62FC2A6A95, "ai_enter_vehicle" },
    { 0x26ECC6FF7F7160E4, "ai_event" },
    { 0x87BB0C3A17D6F1FC, "ai_excluder" },
    { 0xBD484889441E09ED, "ai_extendedtacgraph" },
    { 0xC53DA6BD4F417E89, "ai_extra_think" },
    { 0x616DB9281C9C6AA7, "ai_finish_gesture" },
    { 0x69EC1B111FCBBDB0, "ai_fire_at_chopper" },
    { 0xDF088F03DB9654B9, "ai_fire_suppression_logic" },
    { 0x7118BDBFD4E20B1A, "ai_fire_suppression_postspawn" },
    { 0xFCD3005D83AAE2B4, "ai_flash_swap" },
    { 0xBF3399EF67847BD2, "ai_follow_player_ai_color_manager" },
    { 0x7CD69F73629E088B, "ai_force_damage_hit" },
    { 0x44CFA95791D1F76C, "ai_frontline_behavior" },
    { 0x9941509261FD101D, "ai_frontline_initial_behavior" },
    { 0x628447D671301CBA, "ai_gas_mask" },
    { 0x2AC4422DF8E759E9, "ai_gesture_blink_loop" },
    { 0x5B2CDE7A51346302, "ai_gesture_directional_custom" },
    { 0x1A0067CA33B4430C, "ai_gesture_eyes_leftright" },
    { 0x7413E3F471915BC1, "ai_gesture_eyes_lookat" },
    { 0xC024CE5AE6C68097, "ai_gesture_eyes_stop" },
    { 0x0D578F2E32F3CFD2, "ai_gesture_eyes_updown" },
    { 0x5D0D12C57505EB1C, "ai_gesture_head_leftright" },
    { 0x10B9D04BF964E5A8, "ai_gesture_head_leftright_c6" },
    { 0xB7D34F0467471302, "ai_gesture_head_updown" },
    { 0x22396823349B71EE, "ai_gesture_head_updown_c6" },
    { 0xC4F388D729DEC05E, "ai_gesture_lookat" },
    { 0x2359A484016EC870, "ai_gesture_lookat_natural" },
    { 0x3F54E8C2F43D790E, "ai_gesture_lookat_torso" },
    { 0x09DE5A9C2DF9B3FC, "ai_gesture_lookat_weight_down" },
    { 0x3E3349F008D9741D, "ai_gesture_lookat_weight_up" },
    { 0xC7E19A43126CB15E, "ai_gesture_point" },
    { 0xA0EA3B35618FCC70, "ai_gesture_requested" },
    { 0x41275AC6E64C7C42, "ai_gesture_simple" },
    { 0xD1B93DC04FAD914D, "ai_gesture_single_blink" },
    { 0x163B6E4FE15BEC90, "ai_gesture_stop" },
    { 0xE862C9AD4929C0E4, "ai_gesture_stop_c6" },
    { 0x100B8F6F190FF465, "ai_gesture_torso_leftright" },
    { 0x5E956B324A262CAC, "ai_gesture_torso_stop" },
    { 0x02FBAE76A2667B6B, "ai_gesture_update_eyes_lookat" },
    { 0xA60382CACE92981C, "ai_gesture_update_lookat" },
    { 0x460D276048B347BC, "ai_gestures" },
    { 0x50FF09D76DBD0285, "ai_get_closest_point" },
    { 0x0A8E0344FCD5B648, "ai_getaliveaiarray" },
    { 0x4E7AE59E317C53B6, "ai_getanimationfinalangles" },
    { 0x7BD2092896B09D34, "ai_getanimationfinalorigin" },
    { 0xDBA014D88A7AD824, "ai_getanimationoriginattime" },
    { 0x53B33937F7FCBAE7, "ai_getanimationoriginattimeoverframe" },
    { 0x96D5A46B489B15DA, "ai_getanimationstartangles" },
    { 0xBE94858FD007AAA0, "ai_getanimationstartorigin" },
    { 0x8F6AC3952B84B398, "ai_getstance" },
    { 0x61BB6FE0CE4D1318, "ai_give_flashlight" },
    { 0xE79FEB10BB355DAA, "ai_goal_distribution" },
    { 0x7087A4C52E21954E, "ai_goal_distribution_debug" },
    { 0x668333367238FFDD, "ai_goal_update_population" },
    { 0x58401EBCAAA78558, "ai_going_to_alarm" },
    { 0x2E03E13ECBCDDA85, "ai_goto_ascender_and_wait" },
    { 0x347E6751B552DA1C, "ai_ground_set_goal_radii" },
    { 0x3D1E0E0F92E82F28, "ai_ground_think" },
    { 0xC46E06FEE615ECA7, "ai_ground_veh_spawn" },
    { 0xAFBF9B06E5A1583E, "ai_gunpose_ads" },
    { 0xF7147ABDE0FB0ECB, "ai_gunpose_reset" },
    { 0xFC75390B0D4179AC, "ai_hold_behavior" },
    { 0xFCB767AFC278FE1D, "ai_hold_debug" },
    { 0xB6E762F8E3A983BB, "ai_hold_debug_internal" },
    { 0x64E3B6FD86D42220, "ai_hold_free" },
    { 0x104EF6F40BA9C632, "ai_hold_positions" },
    { 0xF6A7F3426DA9CA03, "ai_hold_positions_freed" },
    { 0x7047D8142D4E3179, "ai_hold_wake_behavior" },
    { 0x7128CEFA258A4356, "ai_hold_wake_watch" },
    { 0x282462E205596669, "ai_ignore_all_until_goal" },
    { 0x2A4475074733DE29, "ai_in_antigrav_should_rerise" },
    { 0x2C643FBE43ABA487, "ai_in_position" },
    { 0xB73665C0397ED1F7, "ai_infil_type" },
    { 0x809EF75D26E5781E, "ai_init" },
    { 0xBDF8AE19FCECBA92, "ai_instantlyremovefromvehicle" },
    { 0x7D2AA0340A817981, "ai_is_juggernaut" },
    { 0x00F46FAD8AEA523C, "ai_is_shooting" },
    { 0x3B4F158CA72A0785, "ai_isalive" },
    { 0x00B0BAAB467D50C9, "ai_iscivilian" },
    { 0x674409671EE7746E, "ai_isdog" },
    { 0x6E2F36FA730A3A5C, "ai_isfemale" },
    { 0x1E05A7BE1953E829, "ai_isguard" },
    { 0xD1F0A1791945050B, "ai_isridingvehicle" },
    { 0x0275DB84CAD247D2, "ai_isvehicledriver" },
    { 0x207A75D7E6B5C83B, "ai_juggernaut_think" },
    { 0xF207C4538A51FEA0, "ai_killondamage" },
    { 0xA9D236432736E6A7, "ai_laser_always_on" },
    { 0x04B1BAF87C12D30C, "ai_lasers" },
    { 0xA6E12BD2833A36B6, "ai_last_weapon_fire_time" },
    { 0xB81985470B10A7FC, "ai_lbravo_spawn" },
    { 0x1C84CB35BC9C752E, "ai_lookat_hold" },
    { 0x509D54FD81C722CC, "ai_lookat_release" },
    { 0xD9439089E0D133FD, "ai_masks" },
    { 0x7EC895D5E72D3448, "ai_mindia8_jugg_spawn" },
    { 0x59DACAFB347397EF, "ai_mode" },
    { 0x6914A4729763AFDC, "ai_molotov_swap" },
    { 0x7C155402F03B5744, "ai_molotov_swapp" },
    { 0xCDFB00FAA24E73CA, "ai_molotov_used" },
    { 0xBE328957ED1B02A4, "ai_monitor_doors" },
    { 0xCEB2194BACF3CD28, "ai_move_away" },
    { 0xB28485AB2CC3C8BD, "ai_movealongpath" },
    { 0x0859C40959C244A4, "ai_movealongpathcleanupobjectivelogic" },
    { 0x0FF1189B8CCA548C, "ai_movealongpathplayerproximityfocushintlogic" },
    { 0xDC31FB99D4174E7D, "ai_movealongpathplayerproximitylogic" },
    { 0xA1EE71ED884C00FF, "ai_movement_control" },
    { 0x809AF06196908023, "ai_notehandler_cellphone" },
    { 0xF0F5543D79FF15B5, "ai_notehandler_smoking" },
    { 0x3F104AB78C368C7E, "ai_notetrack_loop" },
    { 0x34DD4EF90D201D3D, "ai_number" },
    { 0x89C394DDA055D126, "ai_nvg_down" },
    { 0x25BF56DBB66D35E9, "ai_nvg_player_update" },
    { 0x9946DB9353853853, "ai_nvg_up" },
    { 0xB9428F4E7271F0DF, "ai_offhandfiremanager" },
    { 0xD9F19B5676E9AB3A, "ai_open_try_animated" },
    { 0x8B29BB7B99259737, "ai_operate_turret" },
    { 0x93675E4656E9A3CF, "ai_pathdebugenabled" },
    { 0xE6D14E442B54BECA, "ai_pathdoesnodehaveaistop" },
    { 0xC270C6AD23479366, "ai_pathgetnextnodesarray" },
    { 0x77317C8173793FE1, "ai_pathplayerfollowaispeedscaling" },
    { 0xB75A15871666F77D, "ai_picks_destination" },
    { 0xBC16810DCA1883C5, "ai_playsound" },
    { 0x8DB88A75790E3425, "ai_point_gesture_requested" },
    { 0xB60571CD9C835D81, "ai_push_forward_watcher" },
    { 0x8E90C637DD59F553, "ai_push_residence" },
    { 0xAF37614640A39EC6, "ai_push_to_position" },
    { 0xCD43DF9F923A580D, "ai_pushes_terminal" },
    { 0xFB70DC5B5691CD1D, "ai_ragdoll_immediate" },
    { 0x659C93CEE99BB693, "ai_ragdolldeathondamage" },
    { 0x262BA742A95E824D, "ai_raising_alarm" },
    { 0x08932BC79D7C19C7, "ai_removesidearm" },
    { 0x0F79B7B44C8BBFF1, "ai_request_gesture" },
    { 0x1E9DF2415C3D3997, "ai_request_gesture_internal" },
    { 0xA8B4478D4B596344, "ai_resetstances" },
    { 0x2CBAC0CA59ABF781, "ai_roof_think" },
    { 0x63D73F2FE4BBC9BE, "ai_rpg_behavior" },
    { 0x9A8EF0C90D52DD94, "ai_rush_players_thread" },
    { 0xF878AD775C72DB79, "ai_saftey_nets" },
    { 0x4A64AEB8F2469BCE, "ai_semtex_swapp" },
    { 0xC59DB83276F214F6, "ai_setaimassist" },
    { 0x952AC3D80A83B15B, "ai_setallowmelee" },
    { 0xBDFAB7BFA0124CCF, "ai_sethackedname" },
    { 0xC198492D93687B19, "ai_setlookatentity" },
    { 0x66BB670F668B835F, "ai_setname" },
    { 0xFAB3590A252CE977, "ai_setnoarmordrop" },
    { 0xB23895043417B1D1, "ai_sets_goal" },
    { 0x87FCD2A5592232AA, "ai_sets_goal_with_delay" },
    { 0xBCF8C4418F074A5B, "ai_shoot" },
    { 0x2E30AF46356C6697, "ai_shooting_timer" },
    { 0x5CBD855D75B63D45, "ai_shooting_watch" },
    { 0x3A3487BBD59617E8, "ai_should_be_added" },
    { 0xA90034C06F1EAA4E, "ai_should_follow_check" },
    { 0xAE0A6A8E7E485205, "ai_show_shadows_in_compound" },
    { 0xC75C2450AA5E2DBE, "ai_sight_brushes" },
    { 0xEA5D6471BE4A4E08, "ai_sight_monitor" },
    { 0x0F6A1CD0519D6576, "ai_slice_settings" },
    { 0x019A99118D982BD4, "ai_smoking_blowsmoke" },
    { 0xC8F7A4907AF6EC25, "ai_smoking_cleanup" },
    { 0x35C34A2199A5A188, "ai_spawn_door_interal" },
    { 0x2BE258055939A9C2, "ai_spawn_func" },
    { 0x67450ADA49D9AD22, "ai_spawn_intel_extras" },
    { 0x78FA1617A0896E83, "ai_spawn_vehicle_func" },
    { 0xD56043F5F4192BA2, "ai_spawned" },
    { 0xB026625D1498596F, "ai_stance_init" },
    { 0xB3B21847371CEA35, "ai_stance_thread" },
    { 0xE32D20A205771E54, "ai_stop_shooting_watch" },
    { 0x74CDACEEF2165AED, "ai_stumbling" },
    { 0xCA612F908F5CF461, "ai_takecoveratnearestnodeinarray" },
    { 0x98337B17063C10C0, "ai_takecoveratnodes" },
    { 0x1AA392AEBEC740ED, "ai_trace" },
    { 0x0A143E20AFA2E1E7, "ai_trace_get_all_results" },
    { 0xCCBD3A25B115A2A6, "ai_trace_passed" },
    { 0x770B0EA9392A4E13, "ai_truck_rider_think" },
    { 0x05B5741058952293, "ai_try_open_door" },
    { 0x442EBE690C7D1CC2, "ai_turnoff_alarm" },
    { 0xB937DBE0D2675B20, "ai_turnon_alarm" },
    { 0x0DA6E90A9DA608A6, "ai_turret_shoot" },
    { 0x5925967F21D7B22D, "ai_update" },
    { 0x4414676F13E1F781, "ai_use_scripted_navigation" },
    { 0x6C44B5557EF4D3CE, "ai_used_think" },
    { 0xE328A2BC1D6AA004, "ai_wait_go" },
    { 0x52271AC46F49CFE1, "ai_waittillinstance" },
    { 0x59F039F1B57CE12D, "ai_washitbyvehicle" },
    { 0xD74B571E9FE237B5, "ai_weapon_override" },
    { 0x40A41B82D5A8AF48, "ai_weapons_free" },
    { 0x7F8B5F3316C6E065, "aiac130inprogress" },
    { 0x4A1701BD983B22C2, "aiairchief" },
    { 0xFCCA5A8043DB860F, "aiairstrikeinprogress" },
    { 0x3096EE456D2BA352, "aianimcheck" },
    { 0xD8C9070628288553, "aianims" },
    { 0x1E8C5E50F7CAA326, "aianimthread" },
    { 0x5AFCADB8E6B48C2A, "aibackpackmodel" },
    { 0x3A37FE7530FB49D1, "aibashmonitor" },
    { 0xD7F5D00842AAE760, "aibashproxcheck" },
    { 0xEBCA6F11A6B58DC0, "aibattlechatterloop" },
    { 0xAE20BA1C641567DD, "aicalcsuppressspot" },
    { 0x5202B18F16CB433B, "aicanseeplayer" },
    { 0x14C4A10ABC8C2009, "aiclearanim" },
    { 0xA8070F6B853A0BEF, "aicleargesture" },
    { 0x8641492DC3B31396, "aiclearscriptdesiredspeed" },
    { 0xB08E7A79756D8E8A, "aicount" },
    { 0x74FA97C19B847A18, "aidamageradius" },
    { 0x26E9AEF6422F196D, "aideathenemy" },
    { 0xBD5550556623CF09, "aideatheventthread" },
    { 0x43AF64488F26701C, "aideathfriendly" },
    { 0x73B322229D2864D4, "aideaths" },
    { 0x868B88902640A686, "aidisplacewaiter" },
    { 0xE97E4FEC3E212CE4, "aidoorchief" },
    { 0x5FDEAC49CB9FC4F5, "aievent_funcs" },
    { 0x338283E13F3B9D27, "aieventlistenerevent" },
    { 0x53368775499789C8, "aifolloworderwaiter" },
    { 0x742985444BA6A807, "aifusetime" },
    { 0xCEE8B3A816D44839, "aigetanimtime" },
    { 0xCB069B4A97247D00, "aigetanimweight" },
    { 0x290C13657C578C40, "aigetdesiredspeed" },
    { 0xACFFF3AE5582BA33, "aigettargetspeed" },
    { 0x2BCCA8F47051A2E0, "aigetworldweaponoffset" },
    { 0xCA8FEFFE4741829F, "aigibfunction" },
    { 0xF53C780642209352, "aigrenadedangerwaiter" },
    { 0x045CA96F4E7FEAD5, "aigrenadetypecheck" },
    { 0x8B2F558F7E774685, "aigroundturret_cancel" },
    { 0xCA03C58485779D1F, "aigroundturret_dismountcompleted" },
    { 0xC7806AEEE4FBCAA5, "aigroundturret_mountcompleted" },
    { 0xAE99609767D9FD99, "aigroundturret_requestmount" },
    { 0xE4BAB09A3954F43A, "aigroundturret_shouldbegindismountturret" },
    { 0x6C4FF644E17527CE, "aigroundturret_shouldcompletedismount" },
    { 0x5B091FC03F199DAF, "aigroundturret_shouldmountturret" },
    { 0x4F4B24A55550BADF, "aigroundturretref" },
    { 0xBFCA108F49039E53, "aigroundturretstate" },
    { 0x6FDB491800968DDF, "aigroup_create" },
    { 0x23B5F77798B32BE4, "aigroup_decrement" },
    { 0xD1E1DC5960FE3619, "aigroup_soldierthink" },
    { 0xEB674D5E833686ED, "aigroup_spawnerdeath" },
    { 0x328E77AEF02E4DAE, "aigroup_spawnerempty" },
    { 0x224959A4286FB71B, "aigroup_spawnerthink" },
    { 0x418198CCF45F662D, "aihasweapon" },
    { 0xD97D0AAA1FEF1F61, "aihostileburstloop" },
    { 0x43E4D04D024EB4D0, "aiinformweaponwaiter" },
    { 0x856DF8997EDE5F9D, "aikilleventthread" },
    { 0x5169C3EF1E495D79, "aikillradius" },
    { 0x473D0FF4FF7E218F, "aim_2" },
    { 0xF7AA3918D9EEAB2D, "aim_2_default" },
    { 0x473D0DF4FF7E1D29, "aim_4" },
    { 0x302358387F5C5E4F, "aim_4_default" },
    { 0x473D0CF4FF7E1AF6, "aim_5" },
    { 0x473D0BF4FF7E18C3, "aim_6" },
    { 0x13C77CFDEE5ED5E9, "aim_6_default" },
    { 0x473D19F4FF7E378D, "aim_8" },
    { 0x90968CEB7C6F517B, "aim_8_default" },
    { 0xB367CC4CF063520A, "aim_animnode" },
    { 0x27590E7D721BD772, "aim_animprefix" },
    { 0xFDD2D600BF5CF914, "aim_assist" },
    { 0x2A4300CDE3506A92, "aim_at" },
    { 0x87F61C626A19E294, "aim_at_laser_off" },
    { 0x66FB81527A0CB5E2, "aim_at_laser_on" },
    { 0x65F66AFAF8B82550, "aim_highest_bone" },
    { 0x0F1F25A3B2003792, "aim_laser" },
    { 0x39D376CBA0342EC7, "aim_pos" },
    { 0x1ECBB5A90F7FCF61, "aim_search_around" },
    { 0xEA55635BB0E8E8A9, "aim_search_spline" },
    { 0x9E09CA1F70A86911, "aim_status" },
    { 0xA1013E2E5A5F13EA, "aim_target" },
    { 0x4C735E934B3AE5F4, "aim_target_offset" },
    { 0x555D5DB41C9AE451, "aim_think" },
    { 0x25739C835B9E05D1, "aim_turret_at_ambush_point_or_visible_enemy" },
    { 0x06CB25B1BF659406, "aim_vis_bone" },
    { 0x64804F94F1DFC850, "aim_weights" },
    { 0x066A38A800F4FF4F, "aimayshoot" },
    { 0xFEF6717C9C824839, "aimchange_oldturnrate" },
    { 0xCF0672A945BEEB88, "aimchangeorientation" },
    { 0x6DD13D05C4F4330E, "aimedataimtarget" },
    { 0xDD244AC7F31899A4, "aimedsomewhatatenemy" },
    { 0xBB7A98CE4DD01F5F, "aiment" },
    { 0x2A8B1944F1931295, "aimgroup" },
    { 0x46F6F77670EDD966, "aimingdown" },
    { 0x5BD22FA9DEA946A5, "aimlimitstatemappings" },
    { 0x3B1A9F2944D455A6, "aimpitchdifftolerance" },
    { 0x36AE5BD9AE195276, "aimspeedmultiplier" },
    { 0xF4F7A424F6E3E66D, "aimspeedoverride" },
    { 0x428F77B4B1DA1D9B, "aimstarttime" },
    { 0x4169D99ACAEE6763, "aimtarget" },
    { 0x158285B19593D90B, "aimtargetoriginalposition" },
    { 0x99F92950830D586A, "aimweight" },
    { 0x360BAF69EB892EDC, "aimweight_end" },
    { 0xB3CFF99C8CA638C5, "aimweight_start" },
    { 0x48AC81A785B45C01, "aimweight_t" },
    { 0xCBD64994F6D03301, "aimweight_transframes" },
    { 0xCF5A860BBA38017E, "aimyawdiffclosedistsq" },
    { 0x187C11816F56AC19, "aimyawdiffclosetolerance" },
    { 0xFE37A9EEEE8592D6, "aimyawdifffartolerance" },
    { 0x8A9F946FCC104E10, "aimyawspeed" },
    { 0x95FCBBB156AF18C0, "ainame" },
    { 0xFB2796A1C0F8F3CD, "ainameandrankwaiter" },
    { 0x9ACCD83EAFF79B3C, "aiopener" },
    { 0x433DD0758C715F99, "aiphysicstrace" },
    { 0x5CEA42D85E228F5D, "aiphysicstracepassed" },
    { 0xC306E44C71B2C160, "aiplaygesture" },
    { 0xDE0D8FF41C23B2D3, "aipointinfov" },
    { 0x7486F460AE2F4133, "aiprecalcshouldstartarrival" },
    { 0x9E2A59EDAF743255, "air_doors" },
    { 0x3EB40E8C5425FA93, "air_raid_active" },
    { 0xC6F8FFF730531708, "air_raid_team_called" },
    { 0xBE5BF93BA4C4DCF1, "air_reference" },
    { 0xBF748A3CC260FF62, "air_start_nodes" },
    { 0x9E266801B4B037F0, "air_veh_spawner" },
    { 0x045C341D3D86C3D3, "air_vehicles_distant" },
    { 0x1AB0CD63A0FBBB91, "air_vehicles_distant_intro_skipped" },
    { 0x63B29895F6090A21, "airank" },
    { 0x6BAA69555D69B2AF, "aircraft_wash" },
    { 0x7CA133DA7713A9E0, "aircraft_wash_thread" },
    { 0x5739149F336D205A, "airdop_brloadoutcratefirstactivation" },
    { 0xE8F5FC26FBEE3FF5, "airdrop_airdropmultipledropcrates" },
    { 0x0A947C17A27308D6, "airdrop_airdropmultipleinit" },
    { 0x6D781DAD55675C0A, "airdrop_allowactionset" },
    { 0x1FA344B81D4F30C6, "airdrop_applyimmediatejuggernaut" },
    { 0x655B94BF179B7786, "airdrop_awardkillstreak" },
    { 0x74E08DF0FA80178C, "airdrop_botiskillstreaksupported" },
    { 0x174AB5A5BF1116B2, "airdrop_br_forcegiveweapon" },
    { 0x24FD534405B79062, "airdrop_br_givedropbagloadout" },
    { 0x8BD7187A0F2135D4, "airdrop_bronloadoutcratedestroyed" },
    { 0xD51AC26F07DA0DAA, "airdrop_capturelootcachecallback" },
    { 0x032119EC6BFD1C49, "airdrop_crushchicken" },
    { 0x440E2CC2E9AE21F7, "airdrop_getgamemodespecificcratedata" },
    { 0x9C384134DEA831DE, "airdrop_gettargetmarker" },
    { 0x77E773379BA85C28, "airdrop_givecrateuseweapon" },
    { 0x578481B22C38204D, "airdrop_handlemovingplatforms" },
    { 0x584A2EA53803D74C, "airdrop_iskillstreakblockedforbots" },
    { 0x7B535C560882C862, "airdrop_light_tank" },
    { 0x956D642FEE6D7659, "airdrop_makeitemfromcrate" },
    { 0xD1CE59138244F782, "airdrop_makeitemsfromcrate" },
    { 0x0716D8B82416FBAC, "airdrop_makeweaponfromcrate" },
    { 0x2B01D4749ABF9A03, "airdrop_multiple_ac130firstframe" },
    { 0x58383BCD18888D1F, "airdrop_multiple_ac130handledamage" },
    { 0x13C0A2B7EFDC511D, "airdrop_multiple_ac130handlefataldamage" },
    { 0x68B6BA630FECC6AC, "airdrop_multiple_addac130tolist" },
    { 0x97D2DEC8FE3BA400, "airdrop_multiple_createac130" },
    { 0xA723CBC373EE3855, "airdrop_multiple_deleteac130" },
    { 0x8604E0ADA79A437A, "airdrop_multiple_destroyac130" },
    { 0x0078DB0F265E9765, "airdrop_multiple_dropcrates" },
    { 0x099201BBBCF818F3, "airdrop_multiple_getcratedropcaststart" },
    { 0xCE8A2F82D47028FA, "airdrop_multiple_getdropheight" },
    { 0xAF7EF9EFD2B00146, "airdrop_multiple_init" },
    { 0xF6A5A9A9B10F5615, "airdrop_multiple_initanimations" },
    { 0x9A89A37FF8D2E797, "airdrop_multiple_monitordamage" },
    { 0x754384CDCBFE787C, "airdrop_multiple_removeac130fromlist" },
    { 0xE1E99CEE71C5BF8A, "airdrop_multiple_watchdropcrates" },
    { 0x161D89AE9203A897, "airdrop_multiple_watchdropcratesend" },
    { 0x588E6E469BF31577, "airdrop_multiple_watchdropcratesinternal" },
    { 0x201B26B0D54705C5, "airdrop_new_loadout_near_player" },
    { 0xC5F2B912845DE8D5, "airdrop_outlinedisable" },
    { 0x3505F5DC800E404E, "airdrop_playdeploydialog" },
    { 0x0C1FDD8A010BF538, "airdrop_registeractionset" },
    { 0x34071FE1A470D828, "airdrop_registercrateforcleanup" },
    { 0x9FA7023213C5EE7C, "airdrop_registerscoreinfo" },
    { 0x25B0E9602EC62EC1, "airdrop_requests" },
    { 0x0C3B238BAF63330B, "airdrop_showerrormessage" },
    { 0x0AC0B6648468411B, "airdrop_showkillstreaksplash" },
    { 0xC129AAD2CCA1EEA2, "airdrop_specialcasecanusecrate" },
    { 0x2050E0FD6A2528E0, "airdrop_stophandlingmovingplatforms" },
    { 0x02A23A87D271A2D2, "airdrop_trigger_watcher" },
    { 0x904007384CE8D016, "airdrop_unresolvedcollisionnearestnode" },
    { 0xD42C6AB85F817FA3, "airdrop_updateuiprogress" },
    { 0xF0811EA6ED05DCF0, "airdrop_watchforcrateuseend" },
    { 0xF2A6625993742F17, "airdrop_watchplayerweapon" },
    { 0x29F364CB88C83CC8, "airdropbasecashamount" },
    { 0x4CFC79CE396FABE6, "airdroplocations" },
    { 0x32773FFBBD6B31D9, "airdropmarkeractivate" },
    { 0x6631B887A8093E48, "airdropmarkerfired" },
    { 0xBDB2AF133EE9EF40, "airdropmarkerswitchended" },
    { 0x61838ECDCDD0B15F, "airdropmarkertaken" },
    { 0xF8BB334B06F66582, "airdroptype" },
    { 0x3553FA2E252C1295, "airdropvisualmarkeractivate" },
    { 0x9EEED8F3EC1B89C4, "airdropvisualmarkerfired" },
    { 0xA98788A679AA8FCC, "airduct_locations" },
    { 0x33FE2DFCA54A5393, "airfield_mortar_1" },
    { 0x33FE2EFCA54A55C6, "airfield_mortar_2" },
    { 0x510C759FAF62D2AA, "airfield_obj_func" },
    { 0xF4CB77F511F7523D, "airfield_plant_spots" },
    { 0x134437816F07A9A1, "airfield_player_tanks" },
    { 0x4DEDD48C665C69B1, "airfield_safehouse_edit_loadout" },
    { 0x8464AF637274CC78, "airfield_safehouse_loot" },
    { 0xE3563076B33350DD, "airholder" },
    { 0xB844EC86B002EC44, "airlock" },
    { 0x27BBF320D577082B, "airlock_back_blocker" },
    { 0xFDF1AC93FA6C7076, "airlock_button_l" },
    { 0xFDF1A693FA6C6344, "airlock_button_r" },
    { 0x1473EB643A747912, "airlock_button_think" },
    { 0x5B15E57C304CCFB6, "airlock_callbutton_think" },
    { 0xF4183F51AB697586, "airlock_callbuttons" },
    { 0x6B0B45B0810A6FBA, "airlock_doors" },
    { 0x1D8A12BE2482DF59, "airlock_front_blocker" },
    { 0x7CF5F702F5CAE373, "airlock_pivot" },
    { 0xF23C82CDEC2123CF, "airlock_positions" },
    { 0x661E2BBCCBFA35F4, "airlock_show_back_doors" },
    { 0x3912AFFFF04A651E, "airlock_show_doors" },
    { 0x54954B652F05259E, "airlock_show_front_doors" },
    { 0xD3B2EC00DEFEE55C, "airlock_show_room_doors" },
    { 0xB2844CECC88A9185, "airlock_slot" },
    { 0xEB06E30CE5473462, "airlock_slot_think" },
    { 0x58C180EBCBF9FBE1, "airlock_stop" },
    { 0xF580AD3228E1DAF2, "airlookatent" },
    { 0x09E4F9AFD75E59EB, "airpathidx" },
    { 0x278FB4D0CA717FD1, "airpathnodes" },
    { 0x34BABC51F1376F2C, "airplane_list" },
    { 0x13DA00A300E5AEDC, "airport_ecounterstart" },
    { 0x8E88563ABF28E30D, "airport_enemy_setup" },
    { 0xB5DB0C46271F59B7, "airport_gate_open" },
    { 0x072F6BCE353387D5, "airport_gate_trigger" },
    { 0xB5A3061242EB3643, "airport_spawners_trigger" },
    { 0x7DA983DDD3BA09ED, "airportcombat_getallycovernodes" },
    { 0x6C726ED843386CC9, "airstrike_addactivestrike" },
    { 0xA58C8F52CC39BF8D, "airstrike_addspawndangerzone" },
    { 0xEEE7E0B0434F3FFC, "airstrike_canbeused" },
    { 0xB0E08D8414AB3154, "airstrike_delayplayscriptable" },
    { 0x7AF0B25605744E6F, "airstrike_earthquake" },
    { 0xC2D24D81929743AE, "airstrike_getmapselectpoint" },
    { 0x5111206022DE2327, "airstrike_getownerlookatpos" },
    { 0xA28586D92B42E0B1, "airstrike_handleflyoutfxdeath" },
    { 0xF80F00853167EE6C, "airstrike_killcammove" },
    { 0x4DBE044B86AE69A7, "airstrike_movewithplane" },
    { 0x80468B4E10330A32, "airstrike_munitionused" },
    { 0xDD90E25D463BDEE6, "airstrike_playapproachfx" },
    { 0x60B5922BE0F56A6A, "airstrike_playflybyfx" },
    { 0x12EF24ADB62BBDB3, "airstrike_playflyfx" },
    { 0x98A244067BE18B39, "airstrike_playflyoutfx" },
    { 0x736DEE2D0F8D527C, "airstrike_playplaneattackfx" },
    { 0x6CA1E71AC3D03ED2, "airstrike_removeactivestrike" },
    { 0x84E4A8DA822A2284, "airstrike_removemarker" },
    { 0x388D3579FB08BEA3, "airstrike_setmarkerobjective" },
    { 0xAF1AC442AD39049E, "airstrike_showerrormessage" },
    { 0x72B2E7A0DDD1BD69, "airstrike_startmapselectsequence" },
    { 0x32E3CE8F46DD2F85, "airstrike_updatemarkerpos" },
    { 0x192D6B929BFF7A76, "airstrike_watchdeployended" },
    { 0xFF42063990236E3E, "airstrike_watchdeployweaponchange" },
    { 0xC3E5C3BFCBEFCA96, "airstrike_watchforads" },
    { 0x2538CDC2841A4DB8, "airstrike_watchgameend" },
    { 0x096E91052E852E72, "airstrike_watchkills" },
    { 0x76297333B52E9139, "airstrike_watchkillscount" },
    { 0x9E31785BE8FCBBC5, "airstrike_watchkillstimeout" },
    { 0x70A8C2EA25DEFBAC, "airstrike_watchownerdisown" },
    { 0x9D8A6BDCEFE92CF0, "airstrike_watchplayerweapon" },
    { 0xA2030D0E34884A70, "airstrikebetweentwopoints" },
    { 0x35832DAB768BB338, "airstrikecount" },
    { 0x27428D8B0586A7F4, "airstrikeid" },
    { 0xBDEE5BCC3CC5DCFD, "airstrikeinprogress" },
    { 0x3E723C973CC49DA4, "airstrikekillcount" },
    { 0x9C47739B3979795F, "airstrikemodels" },
    { 0x072209A0358D56EC, "airstrikesettings" },
    { 0x80DD137AE389EF74, "aisetanim" },
    { 0x6DA0C20713AC25F6, "aisetanimblendcurve" },
    { 0xF7B359EA2E6837E0, "aisetanimknob" },
    { 0xC9B81263AF9CD002, "aisetanimknoblimited" },
    { 0x40C0C85AD57722CB, "aisetanimknobrestart" },
    { 0xFA87C3BEE01A0B46, "aisetanimlimited" },
    { 0xEF65BBA1D7447C66, "aisetanimrate" },
    { 0xB8BA5F18765F9FD5, "aisetanimtime" },
    { 0x3DBBE34C1A0BC2EC, "aisetdesiredspeed" },
    { 0xCF599733554B4D9A, "aisetriotshieldweapon" },
    { 0x49A555236B787595, "aisetspeedscalemode" },
    { 0xA68AC5A644C41F17, "aisettargetspeed" },
    { 0x274B4F110A360E7C, "aistate" },
    { 0xD815B8CBE7FCC8D2, "aisuppressai" },
    { 0xAAA92BAD26EADBB6, "aisuppressai_code" },
    { 0xB4A9648320074FF8, "aithreadthreader" },
    { 0xAA4ABE59DA0D7400, "aitoplayerdistancesq" },
    { 0xA3C41A6568285C55, "aiturnnotifies" },
    { 0xC938F246CA594348, "aiturretcantarget" },
    { 0x734F67BED17A2D3A, "aiturretgettarget" },
    { 0x91FC765F65FC64D9, "aiturretshoottarget" },
    { 0x9134012D8E2B185B, "aiturretthink" },
    { 0x317B7F294C337C83, "aitype" },
    { 0x9BA05FF09C1CC55C, "aitype_check" },
    { 0x142EAC531DF4C0E8, "aitype_counts" },
    { 0xA7A04FA6A1296B3C, "aitype_override" },
    { 0x777CF85B1F195FF7, "aitype_override_cumulative_weight" },
    { 0x31E7355E44D44ABA, "aitype_override_weights" },
    { 0xB70B989645EB1FD4, "aitypeinitfuncs" },
    { 0x061597D2953BC3D0, "aitypes" },
    { 0xAF5B95A5F7EF3674, "aiupdateanimstate" },
    { 0x1ABF56E64BB14D46, "aiupdatecombat" },
    { 0x1C8A6ADA8A1F5E29, "aiupdatecoverexposetype" },
    { 0x03AD3572143BED94, "aiupdatesuppressed" },
    { 0xBDB3E31D55C4ED2F, "aiusingturret" },
    { 0x7F22A928A8599EDF, "aivehiclekillwaiter" },
    { 0x96E582FE306252D3, "aivehiclewaiter" },
    { 0xC2853CC43B797B6B, "aiweapon" },
    { 0x9D6AFAFE31B45E5D, "ajar" },
    { 0xF67A40CC76E41791, "ajar_opener" },
    { 0xA71EB2D414C23A2E, "ajara_opener" },
    { 0x5687F68DCE18ECF1, "ajarmonitor" },
    { 0xE64A2F536D1E63D3, "ak_shoot_timer" },
    { 0x05B067157EB2548C, "ak_weapon_user" },
    { 0x55D49512E0C86322, "ak_weapon_user_no_sidearm" },
    { 0x29C5CF5EC5177C48, "akimbo_prop" },
    { 0x3CB5FAD54C5322CF, "akproxies" },
    { 0x9DA1D35D91FFFC16, "alameer_wh04_model" },
    { 0xA65B70688E98AA3F, "alarm_audio" },
    { 0xE5E91E0031E907D4, "alarm_box" },
    { 0xDD14B1A6B30CC7C7, "alarm_box_player_interaction" },
    { 0x17DB1867944BDD25, "alarm_box_structs" },
    { 0xBF669FFDCEF5FB53, "alarm_car_debug" },
    { 0xE06A61745380A0C9, "alarm_car_watch_damage" },
    { 0xE95A9991DBBFD6FB, "alarm_cars_init" },
    { 0x26F91E23DDF2A13B, "alarm_fx_off" },
    { 0x3DD2EC62BC303E57, "alarm_fx_on" },
    { 0x94F1A62A49F4ED0E, "alarm_on" },
    { 0xDD66E38382B47CB2, "alarm_sound" },
    { 0xAD8824179418F364, "alarm_sound_off" },
    { 0x90C825C7555BCC48, "alarm_sound_off_encounter_end" },
    { 0xB382D1D8EFE4B1D2, "alarm_sound_on" },
    { 0x551A65C0888F6D42, "alarmbox2_logic" },
    { 0xBE2A677BC40134E9, "alarmcars" },
    { 0x0EE6C6A0AE6F5E0B, "alarmdamage" },
    { 0x0E68C037C180E7B2, "alarmdoor" },
    { 0x2A67E6F614DD2C2C, "alarmeddoors" },
    { 0xE220F3893C248E20, "alarmmonitor" },
    { 0x2CE001A69A9A3375, "alarmprompts" },
    { 0xFDCA204DEFCC1F76, "alarmstillplaying" },
    { 0x97409412DAD28F58, "albedoblendfactor" },
    { 0x75B7B4D5B8117250, "albedoblendmode" },
    { 0x19D25606FD1F0302, "alcove_trig" },
    { 0x66AF6238987D2ED5, "alert" },
    { 0x91361848E07298CA, "alert_all_nearby_enemies" },
    { 0x207CCC960E8846E8, "alert_debug_display" },
    { 0xC28F8F886CFB758B, "alert_delay_distance_time" },
    { 0xA83008795EA526C4, "alert_enemy_soldiers" },
    { 0x5A869E65D375EE3B, "alert_icon" },
    { 0x21F447E9C04CFF42, "alert_levels_exe" },
    { 0xCD0330EA3C940E27, "alert_levels_int" },
    { 0x52E1355C35D1E3A2, "alert_when_see_player" },
    { 0x326EF07DCBD4761C, "alerted" },
    { 0xA0B40C5EA8EE226A, "alerted_hunt_mode" },
    { 0x1C34712F759CD341, "alertedanimationname" },
    { 0xCDD966016347E30E, "alertedhuntmode" },
    { 0xF011F1BE88B3D82B, "alertforspawngroupdirection" },
    { 0x73ABBB2A518B48FC, "alertgroup" },
    { 0xB5AFC561606DDF0C, "alertgroupnames" },
    { 0x0759EB0BB024DDCD, "alertlevel" },
    { 0x2895D9F83C591305, "alertlevel_init_map" },
    { 0x00869B3E23D214C5, "alertlevel_normal" },
    { 0x4403C0E306A2F78C, "alertlevel_script_to_exe" },
    { 0x2DE7A0578A9172D6, "alertlevelint" },
    { 0xB74E99B723DDF1A2, "alertlevelscript" },
    { 0x52A9A82B109EA813, "alertnearbyenemiesafterdelay" },
    { 0x045792BD296A4508, "alertnearbyloop" },
    { 0x457998B0072C9F0F, "alertzombie" },
    { 0xBB783EFE481D68A1, "alex" },
    { 0xFF08C3696EDCB2B8, "alex_ai" },
    { 0x281E0D7F7A328EC8, "alex_call_out_runner" },
    { 0x9684568711874C2E, "alex_dialog_struct" },
    { 0xA76813E105F7D16F, "alex_face_swap" },
    { 0x5CC80A8C61DB6B66, "alex_loadout" },
    { 0xA9F14A416DF94201, "alex_loadout_final" },
    { 0xB2865A8FC080C177, "alex_setup" },
    { 0xE5E97C58B16E55A1, "alex_speaking_stairwell_secure_speaking" },
    { 0xA66C87F7CD4F69CA, "alex_weapons_config" },
    { 0xFECAEB696E9866EE, "alex_wm" },
    { 0x15A44739190D2093, "alias" },
    { 0xBD0634B5B1882EFA, "alias_2d_version_exists" },
    { 0x956639E12DE4F746, "alias_from_distance" },
    { 0xA58F45C45B4CB518, "alias_group_exists" },
    { 0x921316E7CDC7830C, "alias_groups" },
    { 0xA6B7FA4A8080DF83, "aliases" },
    { 0x494BDEF8E9073418, "aliasname" },
    { 0x54D9BB9E07EBE3A7, "aliaspain" },
    { 0x1593423918FB0B38, "alien" },
    { 0x87397476FE1D08CF, "alien_fire_off" },
    { 0xDD129D5ECA576C2B, "alien_fire_on" },
    { 0xA1360203048EAC0C, "alien_health_per_player_init" },
    { 0x539609090CD0482E, "alien_health_per_player_scalar" },
    { 0x34C4EA2D73498503, "alien_loadout" },
    { 0x42BB186FA506D32B, "alien_mode_feature" },
    { 0x9F488FD6CF6FC9B5, "alien_mode_has" },
    { 0x2E9755837DE5AE2A, "alien_perks" },
    { 0x7DD131D060089DBB, "alien_scripted" },
    { 0x353E9B2BD3534174, "aliensnarecount" },
    { 0x44517D438AF5E22C, "aliensnarespeedscalar" },
    { 0x4FFC9591D9D91836, "alignx" },
    { 0x4FFC9691D9D91A69, "aligny" },
    { 0x15D53D39194399D2, "alive" },
    { 0x84C932E2D05B8AE7, "alive_monitor" },
    { 0x0A3291EE680F926A, "alive_support_vehicles" },
    { 0x8962D32374C0029B, "alivejuggernauts" },
    { 0x4BF7A62FDAFA3CC8, "aliveplayers" },
    { 0x462377FFD6AE30CC, "alivestates" },
    { 0x8BB83B03A2756D08, "all" },
    { 0xC333F995D9858442, "all_ai_vehicle_infils" },
    { 0x77625C7DEBA0D926, "all_air_vehicle_spawn_points" },
    { 0x1B127FE45C3A61C2, "all_alive_ai_hunt_players" },
    { 0xFC0735B31927942B, "all_alive_players" },
    { 0x81DBF7F0E0B5FEC0, "all_alive_players_entites" },
    { 0xFC35EDBEB15C73BF, "all_alive_players_entities" },
    { 0x6E646874F7A9DD1F, "all_alive_players_in_chopper" },
    { 0xE565F09FF7907D3D, "all_alive_players_near_exfil" },
    { 0xCB0383EA8565211D, "all_available_pents" },
    { 0x4C46FC4924AFB79B, "all_but_one_player_downed" },
    { 0xEC6EF367BB74580A, "all_but_one_player_in_vehicle" },
    { 0xB209AA1791D789B0, "all_convoys" },
    { 0xC994D0AAD8BC5F0F, "all_dom_flags" },
    { 0x91340E55CBFD5C5A, "all_end_checkpoints_activated" },
    { 0x3F33709F49B37101, "all_gas_trap_structs" },
    { 0x3BC1D491B3E74728, "all_heli_ents" },
    { 0x46A3D3D1F9E8ED0A, "all_interaction_structs" },
    { 0xD0E4B82045294666, "all_lights_off" },
    { 0xB4583376A7B82212, "all_magic_weapons" },
    { 0x0203BA90B46DAD8C, "all_marines" },
    { 0x0B7422C248B308E3, "all_modes" },
    { 0x68470022C4F46D06, "all_node_positions" },
    { 0x50BF6399A0B9E674, "all_obit_models" },
    { 0x1C87145960CC8C22, "all_perk_list" },
    { 0x76708F6CB4D1CBDD, "all_players_are_in_trap_room_entrance" },
    { 0x99BB95BABE67027E, "all_players_fulton" },
    { 0x742E69CC34F72039, "all_players_pushed_past_pos" },
    { 0xE0AD2DDCE52B0945, "all_players_skip_last_stand" },
    { 0x6AB2B44B874BB317, "all_players_within_distance2d" },
    { 0x112A60156CBC20A3, "all_players_within_distance2d_and_below_height" },
    { 0x5836D492491BCD11, "all_repairs_are_done" },
    { 0x72C0D979BB5F6CAC, "all_search_areas" },
    { 0x2096ED1F7F13A35F, "all_secure_check" },
    { 0x708CA7478E339CFF, "all_spawn_locations" },
    { 0x898410426D8D8637, "all_spawned_vehicles" },
    { 0x2EED254C7FFF2555, "all_waves" },
    { 0xC72BA831F57B6DF9, "allaliveplayersplunder" },
    { 0x3216F31331D1BA23, "allammoboxes" },
    { 0x43B32C868D0F88CC, "allassassin_applyquest" },
    { 0x98974838A4C8039F, "allassassin_getsortedteams" },
    { 0x0AC3AC3B28F401B3, "allassassin_give" },
    { 0x59E797EEB975208A, "allassassin_givewait" },
    { 0x146FED50E0DA8EC0, "allassassin_init" },
    { 0xADD9D73BA262D4E5, "allassassin_initteamlist" },
    { 0x63CCA1E6B0F2FE79, "allassassin_initteamlist_timed" },
    { 0xDB3AE5FE2A8B4F44, "allassassin_oninstanceremoved" },
    { 0x84E4CA4ABEA0D2DA, "allassassin_teamcompare" },
    { 0x8738925E08E566C8, "allassassin_teams" },
    { 0xE5841CD3B19FA623, "allassassin_timeout_end" },
    { 0x63FFE749DA56EA83, "allassassin_update" },
    { 0x009AE66BCF05EB23, "allassassin_update_timed" },
    { 0x3FA35CAF1409A52B, "allassassin_updatecircle" },
    { 0xE1C7BE185E0D39DA, "allassassin_updatewait" },
    { 0x20A22A0772FC5A5B, "allclientsprint" },
    { 0x67A49C8338C6AC8A, "allencounters" },
    { 0xCD328C38E3FBD70A, "alley" },
    { 0x8F41A5750339A49B, "alley_anim_node" },
    { 0x20620C91068F6A15, "alley_approach_garage" },
    { 0xCE8B2CC4292EC7E7, "alley_attack" },
    { 0xCF27ACD8B32D5F5A, "alley_bldg_door_handler" },
    { 0x4E88D1B7509A412B, "alley_car_alarm_setup" },
    { 0xF757881E7D9F9FF7, "alley_catchup" },
    { 0x7E6027717A61A142, "alley_children_vo" },
    { 0x16B0ECE280F678D9, "alley_containment" },
    { 0x140F35058DB3A368, "alley_ctbuddy_anim" },
    { 0x2834635902BD005A, "alley_cutter_at_gate" },
    { 0x5A28604947B860FB, "alley_enter" },
    { 0x0A43240F72D3FD2E, "alley_entry_event" },
    { 0x1B34D6954C9B39A6, "alley_fallback_handler" },
    { 0x44E03ADDAF19CE75, "alley_farah" },
    { 0xA4DD8D0437790D33, "alley_farah_aim" },
    { 0x276050CEBE40A699, "alley_gate_open" },
    { 0xD5B55323EEDB5C0C, "alley_grab_anim_node" },
    { 0x9CE7461DAABDC9C7, "alley_grab_guy_model" },
    { 0x85B357F1A7FA86E1, "alley_grab_mask_line" },
    { 0x4C3DB719E4D70128, "alley_grab_mask_model" },
    { 0x8052C702D03072B9, "alley_guy_cleanup" },
    { 0xA55EA366D2FE6A7B, "alley_heli_crash" },
    { 0xE202E9C46D6C615F, "alley_heli_crash_lgt_1" },
    { 0xE202EAC46D6C6392, "alley_heli_crash_lgt_2" },
    { 0x45E96E79D14B6EF5, "alley_ignore_player_clear" },
    { 0xEAB7EE3F04E36607, "alley_ignore_player_enable" },
    { 0x72A1760AD25EB8B1, "alley_jumpers" },
    { 0x93C2147BDFD07AA2, "alley_life_door" },
    { 0x12020307140FF933, "alley_life_kids" },
    { 0xEE69A4311F97E127, "alley_life_kids_animate_then_delete" },
    { 0x5B7DAF39185FB62C, "alley_life_kids_door" },
    { 0x972D7AA728E0F45E, "alley_life_kids_player_distance_listener" },
    { 0x3EFF3FD2C85C8F46, "alley_life_kids_player_firing_listener" },
    { 0x419564DC7EE7DBC1, "alley_life_kids_player_within_distance" },
    { 0x62830BC19C1B4048, "alley_life_tv" },
    { 0x4D42A07FBF545E97, "alley_life_tv_player_firing_listener" },
    { 0x9F7E0F0EBD0B2E67, "alley_life_tv_player_looking_listener" },
    { 0x0FAC29282A8C33E5, "alley_looped_anims" },
    { 0xFA48505D40589E7E, "alley_main" },
    { 0x4CCF0CCA1AEEEBCF, "alley_marine_ignore_handler" },
    { 0x521D1A37E77FD669, "alley_place_truck_start" },
    { 0xE4E7223A853224A8, "alley_price" },
    { 0xEE2595D5BCAAB720, "alley_price_anim" },
    { 0xAF8AFB114E721124, "alley_price_arrival_aim" },
    { 0x374EACB027C755B2, "alley_price_at_gate" },
    { 0x26B41E9DC063FB6E, "alley_price_life_door_aim" },
    { 0x55C75552C5E380A3, "alley_push_up_scripted_dialogue" },
    { 0x405E654C1DD33422, "alley_runners" },
    { 0x551124DBE8D91A10, "alley_setup" },
    { 0x5871453035C91CCB, "alley_smoke_handler" },
    { 0x60FA3EBE4AB1BC22, "alley_soccer_screens" },
    { 0x53A22C4AC82B59A5, "alley_start" },
    { 0xD3C9E38CFFA411A5, "alley_start_vo" },
    { 0x6832D3519BBEADFC, "alley_stealth_aq_alert" },
    { 0xB8CEB3DB9D22A0CE, "alley_stealth_aq_create_badplace_in_combat" },
    { 0x2227E26F9A565B42, "alley_stealth_aq_create_badplace_on_death" },
    { 0xF5F980DDF3F40420, "alley_stealth_aq_prox_check" },
    { 0xB245F59CE04A2D8B, "alley_stealth_aq_setup" },
    { 0x50984421E0DF5CAF, "alley_stealth_background_enemy_handler" },
    { 0xECFB5769C5D8B33B, "alley_stealth_bar_entrance_door_handler" },
    { 0x38BEB0A9CB1F6333, "alley_stealth_catchup" },
    { 0x19D1E0D306BD6168, "alley_stealth_check_for_player_kill" },
    { 0x17F62D1FA06E2938, "alley_stealth_check_if_player_shoots" },
    { 0x601E1C8BC92E495B, "alley_stealth_check_if_player_unholsters" },
    { 0xB149F01B7BB9C9E7, "alley_stealth_check_player" },
    { 0x8E7D16EA2FA90116, "alley_stealth_door_hint_handler" },
    { 0x4DCC82C78C406051, "alley_stealth_draw_weapon_check" },
    { 0x2D64A44A1E323E15, "alley_stealth_enemies" },
    { 0x6809BA7B16C71AD0, "alley_stealth_grabbed_enemy_handler" },
    { 0x18CD1176842118E2, "alley_stealth_main" },
    { 0xA58CFCB7AA0585A3, "alley_stealth_monitor_door_bash" },
    { 0xC8AA0551D46F3193, "alley_stealth_player_fail" },
    { 0x7E87456D9C6D4FC8, "alley_stealth_player_fail_handler" },
    { 0x2D124EDF9998B0DE, "alley_stealth_player_movement" },
    { 0x4F5DB13D0C24F071, "alley_stealth_pre_price_ambush_notify" },
    { 0xBF270D1CCFF7670D, "alley_stealth_price_adjust_ff_penalty" },
    { 0xC6DC7BDA0904090F, "alley_stealth_price_alert_end_door_idle" },
    { 0xFE14064BE379D731, "alley_stealth_price_check_player" },
    { 0x225473CC7169A371, "alley_stealth_price_clean_house" },
    { 0xD2AA9BAD1A6C120D, "alley_stealth_price_combat" },
    { 0x1215647F89AA42CF, "alley_stealth_price_from_start_point" },
    { 0xB168CAABA8CD306E, "alley_stealth_price_post_at_door" },
    { 0x8EF19857F163FF1A, "alley_stealth_price_setup" },
    { 0x565787E7EAB43EC3, "alley_stealth_price_takedown_fire" },
    { 0xCCED09A6EFCCD32B, "alley_stealth_remove_dead_bodies" },
    { 0xA163BFC9AA3A8EC1, "alley_stealth_reset_enemy_alert_level" },
    { 0x732857E637DC2480, "alley_stealth_stakeout_exit_door_handler" },
    { 0x2693B62C5ACCE981, "alley_stealth_start" },
    { 0x0C4D9BCDD874E224, "alley_stealth_start_delayed" },
    { 0xB99DEE4CE02825CE, "alley_stealth_start_function" },
    { 0xCD7A1CAA42AA1044, "alley_stealth_stp_main" },
    { 0xC1AF5A6CDBA7A5AD, "alley_track_player_smoke_grenade" },
    { 0xA16E92E00E7C081B, "alley_triggers_monitor" },
    { 0x63552ECD4BB21DD8, "alley_wolf_escort" },
    { 0x05F0161141D474F9, "alley_wolf_escort_animate_then_idle" },
    { 0xFC536656DEC0A4CE, "alley_wrong_way_spotted" },
    { 0xE0DEC1911B21E625, "alleys_vig_init" },
    { 0xA6EB685093CD09C1, "alleytruckdropoff" },
    { 0x861788B2A0E414DC, "allfobs" },
    { 0xE1221AF280A0A42E, "allfobtriggers" },
    { 0x92FEDE1CE23A7343, "allies" },
    { 0x218E5ACC28D5D0A8, "allies_approach" },
    { 0x7577B294E32876E1, "allies_are_close" },
    { 0x6FD2B1DBB5408474, "allies_explosion_bullet_shield" },
    { 0x58FB99A439700937, "allies_fallback_thread" },
    { 0x05541895D68CAB51, "allies_groundfloor_melee_clear_handler" },
    { 0x2254629130BE75B6, "allies_hold_fire" },
    { 0x8A53AD466A34E1BF, "allies_in_danger" },
    { 0x6FE23E6C24316C79, "allies_juggernaut_flee" },
    { 0x7FEA97540070CA8E, "allies_juggernaut_setup" },
    { 0xA7412E6DA0300F40, "allies_juggernaut_spawn" },
    { 0xE6FEAE5C5E85A117, "allies_molotov_toggle" },
    { 0x98218A61D92F29E0, "allies_move_away" },
    { 0x9611C7AF5B795BB9, "allies_move_through_bunker" },
    { 0x802A3D0F85D8DF7E, "allies_move_through_exterior" },
    { 0x371DD011B7579FA2, "allies_move_through_factory" },
    { 0x8A6D6D5E77CB4E20, "allies_move_to_trucks" },
    { 0x12A5E4552DBFFFFF, "allies_nvg_on" },
    { 0xACB3EBEAC5EE7D4E, "allies_push_stairwell_early" },
    { 0x8347A236807D33B8, "allies_push_up" },
    { 0x07276116F4197428, "allies_respawn" },
    { 0xD50EE07AD3FAE421, "allies_respawns" },
    { 0x5897E4F512F97B76, "allies_same_color" },
    { 0x085C5969B71D1904, "allies_spawn_function" },
    { 0x1BB434ADD4793B0A, "allies_to_combat" },
    { 0xC257CEB8AAAA5F98, "allies_to_cqb" },
    { 0x940C338AFD1FF93E, "alliesaverage" },
    { 0x205204540B2F577C, "alliescapturing" },
    { 0x4D8E67A685ADEDCE, "allieschopper" },
    { 0x6F4FFCA4FC758192, "alliesfrontlinevec" },
    { 0x81446255A2BAB6D5, "allieshealth" },
    { 0x71D5DF816AA09C96, "allieshqloc" },
    { 0x5CAD6ECEB26BB2E3, "allieshqname" },
    { 0xB7DA6BDCF24B3A4D, "alliesmaxhealth" },
    { 0x8FD5C2215C12536F, "alliesprevflagcount" },
    { 0x55C79BD768DD19F0, "alliesspawnareas" },
    { 0x819F785F6EA67A62, "alliessquadleader" },
    { 0x745B2E3494B558AC, "alliesstartspawn" },
    { 0x6C8AE01386215E49, "allieszone" },
    { 0xF1DA93ECEFC46404, "alllocations" },
    { 0x1230219D583BD5E5, "allnodes" },
    { 0xC3AF2B139CC3AEEB, "allow_action_slot_weapon" },
    { 0x367B0D6D49B525BE, "allow_add" },
    { 0x367B206D49B54F87, "allow_ads" },
    { 0x34C69B68E3C65BEC, "allow_airdrop_internal" },
    { 0x7A105A98F0271298, "allow_antigrav_float" },
    { 0x2A296EA661E0713A, "allow_armor" },
    { 0xE5D372A6EB1894A0, "allow_array" },
    { 0xB1F7915784D8DC26, "allow_ascender_use" },
    { 0xCA344827D31558C6, "allow_audio_hints" },
    { 0xC0F76B04F79E7ED5, "allow_autoreload" },
    { 0x0504D0C3AF0A2F3A, "allow_backstabbers" },
    { 0x4FD6BF32FEBE442C, "allow_br_loot_to_br_marked" },
    { 0xFA45D685758C136F, "allow_breach_charge" },
    { 0xAF329B11684B9C66, "allow_carry" },
    { 0xBB449685A3FABDB4, "allow_cg_drawcrosshair" },
    { 0xC0D80B109BBBF960, "allow_change_stance" },
    { 0x5FA68BD276E078FB, "allow_cinematic_motion" },
    { 0x1E6EC09D10EE1BD3, "allow_cough_gesture" },
    { 0x8A76571DD63FBFE1, "allow_cp_munitions" },
    { 0x8F53C14ECDDF1236, "allow_crate_use" },
    { 0x86C5EA19326962C1, "allow_crouch" },
    { 0xABD7D2126D5D72FF, "allow_death" },
    { 0x69B1CB86307CF304, "allow_deleteme_on_path" },
    { 0x21ECB5ECCF497314, "allow_deleteme_path" },
    { 0xA4E388D2B4B64576, "allow_despawn_all_hostages" },
    { 0x5C77778B2E9173F2, "allow_dodge" },
    { 0x8728E436E80D3F5E, "allow_doublejump" },
    { 0x82CB31C3C9DFF23A, "allow_driver_exit" },
    { 0xBDE5BF48649D9E9C, "allow_dvar_infammo" },
    { 0x670BEBB6CBEBA1E6, "allow_earthquake" },
    { 0x71A2B36D757B160F, "allow_emp" },
    { 0x4B6212C3D1B025E5, "allow_emp_player" },
    { 0xD6D4C83229AED215, "allow_equipment" },
    { 0x6F102A5B97A24EBA, "allow_equipment_slot" },
    { 0x7B5E694C3E564068, "allow_execution_attack" },
    { 0xD135A7DA22253624, "allow_execution_victim" },
    { 0xABE9E3A7B6E3D407, "allow_fire" },
    { 0xF6FC8B1D41514912, "allow_flashed" },
    { 0xBBDDE76C3AE0CB9F, "allow_force_player_exit" },
    { 0xF34C551181AAA4EE, "allow_forward_factor" },
    { 0xCB09DF490F6DB656, "allow_funcs" },
    { 0xD6EDF6374E80D43A, "allow_gesture" },
    { 0xCD0F6EF7D80267BD, "allow_gesture_reactions" },
    { 0xA15334A1DFBD99A3, "allow_hands" },
    { 0xAFA0494AAB696DC7, "allow_health_regen" },
    { 0x15FDC04597D80AE2, "allow_hotjoining" },
    { 0xB3BE59740747F3E2, "allow_hvt_stealing_by_ai" },
    { 0x84D5DDE76EA0FC86, "allow_infil_after_full_or_timeout" },
    { 0x7E5A889E36D75C35, "allow_init" },
    { 0x00552B26D3862A5F, "allow_input_internal" },
    { 0xB5E4D58134187F56, "allow_interactions" },
    { 0xD895975F2F059206, "allow_jammer_takedamage" },
    { 0xB650AB6CECA3B6A9, "allow_jog" },
    { 0x570D5B8B81179F87, "allow_jump" },
    { 0x6BF600913EB06592, "allow_killstreaks" },
    { 0x563A87B22ECB2213, "allow_ladder_placement" },
    { 0xD49F2E12E2BAD5A7, "allow_lean" },
    { 0xAA696F4D6C412AB7, "allow_lookpeek" },
    { 0x8B9A0A5EB46708E8, "allow_mantle" },
    { 0x7BF2C2ADB049540D, "allow_melee" },
    { 0xAD2F880B5B5F7215, "allow_momentum" },
    { 0x77E4066F6D71825A, "allow_mount_side" },
    { 0xCE88A14AE48AFE20, "allow_mount_top" },
    { 0x3A98A732115BF4A2, "allow_movement" },
    { 0x442F47056596D063, "allow_munitions" },
    { 0xED9F3F6D142EA844, "allow_nvg" },
    { 0xC3E0B3E3629BF0F5, "allow_nvgs" },
    { 0x6AEF2F6FD2AB5FCA, "allow_offhand_primary_weapons" },
    { 0xAFA53DC2CB1F0372, "allow_offhand_secondary_weapons" },
    { 0x0C377839469CF675, "allow_offhand_shield_weapons" },
    { 0xA362F6E7F7D0F121, "allow_offhand_throwback" },
    { 0xB54196C7C8179233, "allow_offhand_weapons" },
    { 0xE4074284307751AD, "allow_one_hit_melee_victim" },
    { 0xB50E5FE9A85F0EE4, "allow_picking_up_hvts" },
    { 0x4DB3D6A7242F18AA, "allow_pickup_atmine" },
    { 0xEEFE475CD400D806, "allow_player_basejumping" },
    { 0xCCA03D4ED1BE9074, "allow_player_ignore_me" },
    { 0x39AB5BF27EE4DB0A, "allow_player_interactions" },
    { 0x5E434C643A507B05, "allow_player_mantles" },
    { 0xC8DDCB853BC3D63B, "allow_player_minimapforcedisable" },
    { 0x7BAB3019FCFCDC3C, "allow_player_skip_deathshield" },
    { 0xC5A7BC261FB652D3, "allow_player_skip_laststand" },
    { 0xE6556F14AF7CED78, "allow_player_teleport" },
    { 0x7997E66728EA05DC, "allow_player_weapon_info" },
    { 0x7CD9E56E18DF0EC0, "allow_players_exfil" },
    { 0x78CEE28EEA479981, "allow_players_to_restart" },
    { 0x67B7CA82F4D0F923, "allow_prone" },
    { 0xEE3CB7616212F6B7, "allow_random_killers" },
    { 0x80D14D7CD68A5D23, "allow_recruiting_juggernauts" },
    { 0x0F3202EEE6B55975, "allow_recruiting_nearby_soldiers" },
    { 0x780478C72E9EC161, "allow_register_set" },
    { 0xB808506CAD7047D2, "allow_reload" },
    { 0xD9C63AD3131A1C44, "allow_routing_to_any_vehicles" },
    { 0x4580D028484EC55C, "allow_routing_to_backup_support_vehicles" },
    { 0x8FA6E540A34AB24C, "allow_routing_to_backup_vehicles" },
    { 0x0E45AE6D65718CF3, "allow_routing_to_end" },
    { 0x4DE3D6A38E020D86, "allow_script_weapon_switch" },
    { 0x1AD1B8198B9CDBBE, "allow_secondary_offhand_weapons" },
    { 0x02DE4D6DDFFEC519, "allow_set" },
    { 0x4DA9B2A39D4C281E, "allow_sets" },
    { 0x49685570C23C0B87, "allow_shellshock" },
    { 0x29DAB306414BED0C, "allow_slide" },
    { 0xBAF5BD575598E850, "allow_soldiers_attempt_take_target" },
    { 0x8CBF8EEABCA3D33F, "allow_sprint" },
    { 0x7B14B232AF420195, "allow_stand" },
    { 0xB4D64E0EF85C4FA4, "allow_stealing_from_player_car" },
    { 0xE25BC5F89E719072, "allow_stick_kill" },
    { 0x07909CFACB8D082A, "allow_stunned" },
    { 0x20F6D75003B4EC06, "allow_super" },
    { 0x33C7F9F826E4054F, "allow_supers" },
    { 0x39B0B16A01930B38, "allow_to_get_to_corpse" },
    { 0x489FC3B327D4D0F6, "allow_unload_on_path" },
    { 0xA22764284A4AD3B7, "allow_usability" },
    { 0x97A9DF5165449DC5, "allow_vehicle_use" },
    { 0x4FC3B080BBFDEB08, "allow_wallrun" },
    { 0xBADC166C27992CBB, "allow_weapon" },
    { 0x0257AD3CA7364530, "allow_weapon_first_raise_anims" },
    { 0x4D8A3FD4BD2D9A59, "allow_weapon_mp" },
    { 0x401DC7B2DF25AC58, "allow_weapon_mp_init" },
    { 0x911EAAC524312AA0, "allow_weapon_pickup" },
    { 0xC8F5579BA3557847, "allow_weapon_scanning" },
    { 0x158DCF1AB72FB138, "allow_weapon_switch" },
    { 0xF336F1A0D06DB93B, "allow_weapon_switch_clip" },
    { 0x9B81BDD048024F23, "allowable_double_attachments" },
    { 0xD49EF9320C451394, "allowactionset" },
    { 0x9DB284F072067010, "allowads" },
    { 0x26947645C3A05A4A, "allowairexit" },
    { 0xA7794825345B477F, "allowallyblindfire" },
    { 0x4BA8EAAF2CEA8B8C, "allowantigrav" },
    { 0x25337351EF4BA4E1, "allowassassinationdamage" },
    { 0x6C1BCD0A1FE26B79, "allowattackfromexposednonode" },
    { 0x601779292F46392D, "allowboostjump" },
    { 0x6B33AB7452CAD724, "allowcapture" },
    { 0x32AB6F76BA91CD15, "allowcarry" },
    { 0x78833ADFB429FB65, "allowclasschoice" },
    { 0x4C719B286F04C9E7, "allowclasschoicefunc" },
    { 0xFDA0999207F43D1C, "allowcrouch" },
    { 0xB557F7FCAC8E620B, "allowdamageflash" },
    { 0x43BA59CD6A8A7944, "allowdeath" },
    { 0x7EF42667036FD257, "allowdeath_just_ragdoll" },
    { 0x35A7145754356801, "allowdodge" },
    { 0x9598D881B4FE28F7, "allowdoublejump" },
    { 0x6BBA7256EB22B5AF, "allowed_aitypes" },
    { 0x05914173DD4A69C3, "allowed_elite" },
    { 0x114CB29AA150D57E, "allowed_enemy_types" },
    { 0x511EDE2BC54F429B, "allowed_gametypes" },
    { 0x35634639B3B24B57, "allowed_heavy" },
    { 0xD1265F95332FB22C, "allowed_light" },
    { 0x486F54E5946A7768, "allowed_objectives" },
    { 0xB145943AF1D4B922, "allowed_to_exit" },
    { 0x0446D02FE3659DBF, "allowed_to_spawn_agent" },
    { 0x31C37EE77710DC1E, "allowedcallouts" },
    { 0xB22661F912D341E0, "allowedintrigger" },
    { 0x954BBC0A85AF752B, "allowednormaldemeanor" },
    { 0x0B03E05392DAB3CC, "allowedspawnareas" },
    { 0xF697698F27CE6E30, "allowedstances" },
    { 0xFFAA6F164287CD43, "allowedwhileplanting" },
    { 0xE05F3D22B09C705A, "allowedwhilereviving" },
    { 0x2916B0B21D7ECFE5, "allowempdamage" },
    { 0x5C823E25A1437F71, "allowenemyspectate" },
    { 0x1304F522443069DC, "allowfauxdeath" },
    { 0x1CD54024E4D07BAA, "allowfire" },
    { 0x303296A6058CCC13, "allowfreespectate" },
    { 0xAEA011AF2AD294C0, "allowfultondropondeath" },
    { 0xDB7CF8C42778DE5D, "allowgrenadedamage" },
    { 0x20C1F5710E5253D6, "allowhide" },
    { 0x9A31102598FA3F8E, "allowhighjump" },
    { 0x68298E843D4AAF5F, "allowhvtspawn" },
    { 0x4EC76BF969149882, "allowinteractivecombat" },
    { 0xE66F45F0A76A7F12, "allowjog" },
    { 0xBA43183F1D30A19E, "allowjump" },
    { 0x221CA681428EF899, "allowkillstreaks" },
    { 0x42722E8F89DA6F77, "allowladders" },
    { 0x578D150B74940899, "allowlatecomers" },
    { 0x2FA866B6E1817846, "allowleaderboardstatsupdates" },
    { 0xE89BC60E544F3BFA, "allowlean" },
    { 0xCEFB4B30C5FCBA87, "allowlmgarrival" },
    { 0x24ED1DDB10271025, "allowmantle" },
    { 0x53B6A43616BDF0EE, "allowmelee" },
    { 0x7BEF2C29D4FFAE1B, "allowmeleedamage" },
    { 0x7C2532C39EAA7E7F, "allowmeleevehicledamage" },
    { 0xCF698463920D1371, "allowmodestructs" },
    { 0x1B912DC6A0103874, "allowmonitoreddamage" },
    { 0x78DF870F5BEE4B4C, "allowmountside" },
    { 0x557B9BA2536BEA56, "allowmounttop" },
    { 0x1C2B519F49F319C7, "allowmovement" },
    { 0x7219A1FC9F83B9AC, "allownightvisiontoggle" },
    { 0x50E6DD0D2A28A7A5, "allownoisemakerpickups" },
    { 0xA33E0B520D25B54A, "allownvgsatmatchstart" },
    { 0xB4B17CB117F242B9, "allowobjectiveuseaftermatchstart" },
    { 0x0A366F552E34DECC, "allowoffhandshieldweapons" },
    { 0x329B903AA4B37DCA, "allowpain" },
    { 0x66AB898C1A8F4F06, "allowpain_internal" },
    { 0xCDF6DC97D2EF3EDF, "allowpartialrepairs" },
    { 0x2B45F55AE856D3FB, "allowperks" },
    { 0x4A3103B4116DF85C, "allowplayerheadtracking" },
    { 0x254A5411E19D9FF3, "allowplayertobreach" },
    { 0xC4EE1FA9B06AFEE9, "allowprematchdamage" },
    { 0x73814B4FDDB10C0B, "allowprematchlook" },
    { 0x3D1AD04216543A64, "allowprone" },
    { 0x4E0274C3496392D4, "allowrefund" },
    { 0x9A71BC30056B190B, "allowreload" },
    { 0x7E3E5349865754F0, "allowreuseofalldropbags" },
    { 0x3C8FCC3C0E16B220, "allowreviveweapons" },
    { 0xDDEA224EA333C387, "allowridekillstreakplayerexit" },
    { 0x838AE820510C1994, "allowrunninggesture" },
    { 0xEC6CDC1D24A814BF, "allows" },
    { 0xCD04EB1C05A519B1, "allowselfrevive" },
    { 0x61CE8B5669164E9A, "allowshellshockondamage" },
    { 0xA7973D669B86E1C5, "allowshoot" },
    { 0x8E8F70216140946E, "allowskydivecutparachute" },
    { 0xED21220DC576BE6B, "allowslide" },
    { 0x73DA624121552999, "allowspacegrapplecancel" },
    { 0x984C4F51962767B6, "allowspawnlocation" },
    { 0x4E40AB48F12B71EA, "allowspectateallteams" },
    { 0xDA8DCB531B8C1F54, "allowspectateteam" },
    { 0xD4EDD02C086AF6CF, "allowspeedupwhencombathot" },
    { 0xB5710E3317E54AC6, "allowsprint" },
    { 0x1FFF1C4AFCFCCB3A, "allowstand" },
    { 0x046CF1BC4D0C1FDD, "allowstrafe" },
    { 0x0C0872CE1BF4A86A, "allowsupers" },
    { 0xB44C33331628B5CD, "allowsupersprint" },
    { 0x6743CAF6F1B5A55C, "allowsuperweaponstow" },
    { 0x8BB5E52792838F2A, "allowswim" },
    { 0x8E086FB81CEF8F42, "allowswimpredicted" },
    { 0x2F1069852163EBB6, "allowtacopsmapprematch" },
    { 0xFCF2A81FB6B7B656, "allowteamassignment" },
    { 0xD0D77BB88409B56E, "allowtelefrag" },
    { 0x959C237CB6717BFA, "allowturn45" },
    { 0x6F78BF29A410B51F, "allowunresolvedcollision" },
    { 0x7B5076EF9D1565C1, "allowuse" },
    { 0x51767488A02E9837, "allowvehicledamage" },
    { 0x9B94B5B332A87F2C, "allowvipdamage" },
    { 0x5C4F94C59BE4F75F, "allowwalk" },
    { 0xDE2DDDEDE5572D3F, "allowwallrun" },
    { 0xBD987FF5967246A4, "allowweaponcache" },
    { 0xD0F2345C96B7AE0F, "allowweapons" },
    { 0x65D4787A029B92B5, "allowweaponsforsentry" },
    { 0x967524DA666A1C2A, "allparts" },
    { 0xEF16F79B06F85463, "allpieces" },
    { 0x3284F27E8CDAE9D6, "allplayers_clearphysicaldof" },
    { 0x33D1B85FFDC89E0C, "allplayers_setfov" },
    { 0x3CE8F3B1986F933D, "allplayers_setphysicaldof" },
    { 0x8B88BFD3E6D15AC8, "allplayershaveassetsloaded" },
    { 0xEDAA0ED49D202B31, "allprisoners" },
    { 0xBCBFF52E148409FC, "allspatrolpoints" },
    { 0x40A0F86E03ADD354, "allsupportboxes" },
    { 0x90DEDA6E1E4EDFC6, "allteamnamelist" },
    { 0x7EDBD97A05866594, "allteamstied" },
    { 0x59804A7032B1D90C, "alltrackedplayers" },
    { 0xD410B532BF38DCBD, "allweapons" },
    { 0xBB9739FE483FAF83, "ally" },
    { 0x85E043D4FE051256, "ally1_intro_dialogue" },
    { 0xF96627CA8FFA4B05, "ally_01_mortar" },
    { 0x01862F4438A1DA42, "ally_02_mortar" },
    { 0xF0B64900B5545FED, "ally_03" },
    { 0xF0B64200B5545088, "ally_04" },
    { 0xF0B64300B55452BB, "ally_05" },
    { 0xF0B64400B55454EE, "ally_06" },
    { 0x078C918FB58BB658, "ally_anim_reach_after_delay" },
    { 0x8F20A1E505BBB5C0, "ally_armory_02_guards" },
    { 0x2C713587C26502B9, "ally_armory_guards" },
    { 0x716764113DB68246, "ally_burstshoot_enemy" },
    { 0x2DB1F389928D1F90, "ally_burstshoot_pos" },
    { 0x29385E80AE0CA7CB, "ally_charge_dialogue" },
    { 0x7088247959ED907A, "ally_damage_thread" },
    { 0x6CCDC0089BF4A2D6, "ally_death" },
    { 0x16DF90A8801DBD7B, "ally_drone_attack" },
    { 0x2A5F776F2E4BBD67, "ally_equipment_backpack" },
    { 0xBED6C5BE2C085C99, "ally_equipment_backpack_icon" },
    { 0xF740CD57702250CE, "ally_equipment_backpack_interact" },
    { 0xC57917D0A24D7EA1, "ally_equipment_force_ping" },
    { 0x73F1B0D2F075DBAF, "ally_equipment_init" },
    { 0x64018A51AC058781, "ally_equipment_remove" },
    { 0x4E36AD0D66A4575F, "ally_equipment_think" },
    { 0xF0CC177E84C9877B, "ally_equipment_watcher" },
    { 0x988443251DDA62E1, "ally_fob_movement" },
    { 0xA38FD43AA1200808, "ally_go_to_and_wait" },
    { 0xB828C1C8623ADCBC, "ally_groups" },
    { 0x76D7552991BEE66B, "ally_increase_equipment" },
    { 0x29081C19A3FE2BD4, "ally_initial_spawners" },
    { 0x7290244B6FA3AA4B, "ally_manager" },
    { 0x508F434ECFDE806F, "ally_move_with_purpose" },
    { 0xAC9496F0F8B887F6, "ally_movement_containers" },
    { 0x50AD8BAC3E01DF69, "ally_movement_defend_0" },
    { 0x697D78997C1527D8, "ally_nodes_init" },
    { 0xFB9D48FFC1B87944, "ally_nodes_interact" },
    { 0xC31C8BA44F05FCC4, "ally_nodes_interact_recall" },
    { 0x26198ED582876D11, "ally_nodes_interact_remove" },
    { 0xB7C27641C56E8448, "ally_pep_talk_breakout" },
    { 0x24E2410DEC6D0C67, "ally_rpg_guy" },
    { 0xB596EEC03BF67C96, "ally_search_array" },
    { 0xE17966803818AE28, "ally_shoot_enemy" },
    { 0x81E913157A01279E, "ally_shoot_pos" },
    { 0xC3E1E55B82EE9508, "ally_spawns" },
    { 0x0E2B09BF76AB2F1A, "ally_start_at_end" },
    { 0x242B141E39D722F0, "ally_town_movement" },
    { 0x61C356BFAC244217, "ally_town_movement_bink" },
    { 0xEFAFF2D27DE4214A, "ally_track_and_kill" },
    { 0xFF589A708A6C3958, "ally_track_and_kill_noteworthy" },
    { 0x05718D0FEBCAD26A, "ally_tracking_enemy" },
    { 0x77082EC28C949037, "ally_turn_on_player" },
    { 0xEF93ED00B415062B, "ally_vo" },
    { 0x32C35A23405BA6C6, "ally_volume" },
    { 0xB5CCD2261510FD22, "allyaveragedist" },
    { 0xA07D7509EC6CDC84, "allydrones" },
    { 0x6C4E7F77EC4D65DA, "allymarines" },
    { 0x79E24400C5C70E79, "allyonuse" },
    { 0xB1D398E9B754338F, "allytargets" },
    { 0x0F41C8098EEB34CB, "allzpatrolpoints" },
    { 0xAAC74C380F004017, "alpha" },
    { 0x948CC548FD8D1392, "alpha1" },
    { 0x7A6995DE859FF786, "alpha1_final_scene" },
    { 0x915BF972CBA3BBF1, "alpha1_gas_search" },
    { 0xC1E02F92A21ED141, "alpha1_move_into_warehouse" },
    { 0x518C6CCB31AFA9B6, "alpha1_move_to_chem_truck" },
    { 0x70EB2F6096840B6A, "alpha1_wait_for_player" },
    { 0x948CC448FD8D115F, "alpha2" },
    { 0x948CC348FD8D0F2C, "alpha3" },
    { 0x948CC248FD8D0CF9, "alpha4" },
    { 0x948CC148FD8D0AC6, "alpha5" },
    { 0x34FA0047421F4D45, "alpha5_b1_girl_is_dead" },
    { 0x88EA177B04451BD7, "alpha5_b1_girl_secure" },
    { 0x8863529C034F690A, "alpha5_secure" },
    { 0x948CC048FD8D0893, "alpha6" },
    { 0x12D0B8A4C0D3303B, "alpha_ai_array_handler" },
    { 0x0E8A45D506E8482E, "alpha_and_bravo_team" },
    { 0xA24746B3B1A93D4D, "alpha_moveup_post_breach" },
    { 0x28B4FB872D8ABFA1, "alpha_team" },
    { 0xC865639BDABCB08C, "alpha_team_enter" },
    { 0x3F0CCC99D3F4F010, "alpha_trailers" },
    { 0x32BB1FDCE9E01DFD, "alphaagents" },
    { 0x4009BA859EC5DDD1, "alphaai" },
    { 0xF88F15D3B867ADC8, "alphabetize" },
    { 0x680430E49993CCC4, "already_being_cut" },
    { 0xDB17A9960FA274AA, "already_dead" },
    { 0x479F0871387EB3A2, "already_ran_function" },
    { 0x4CF5E8362F14B7C1, "already_used" },
    { 0x65C845453D44256A, "alreadyaddedtoalivecount" },
    { 0xCEB58C3F8CE92E24, "alreadyfindingpoi" },
    { 0x3F90071ABF1D4E34, "alreadyhit" },
    { 0x9892E0601BE197DE, "alreadytouchingtrigger" },
    { 0x9C9CB2AC66CCF6E0, "alt_mode_passive" },
    { 0xE5B0A214F4056187, "alt_mode_weapons_allowed" },
    { 0x6B83C8D52FE67FB5, "alt_node" },
    { 0x844BB2B599CF9891, "alt_rig" },
    { 0xDD0363DBC1B8D3E0, "altclipammo" },
    { 0x9D7580B7C9911C02, "altdeath" },
    { 0xABE9E15BC85A4874, "altdirectionalbloodoverlay" },
    { 0xFB29BB7DD6B57D72, "altdisplayindex" },
    { 0xEDAFF90CF269DE14, "alternate_breach_anim_func" },
    { 0x1F70A247EAE17105, "alternatebrcircle" },
    { 0x6DEA126F211D7D33, "alternateinventory" },
    { 0xB00C74317F3CB4A6, "alternates" },
    { 0x72C100BE90317F9A, "alternateweapons" },
    { 0x3F2FC569AE131315, "altgunnerturret" },
    { 0xF4E01CF7131B2E13, "altmode" },
    { 0x4689F6943A0C8A08, "altstockammo" },
    { 0x2F46442C94A55870, "always" },
    { 0xEAF24A4C624F9558, "always_attempt_killoff" },
    { 0x913C4208A36ACACD, "always_on_exploders" },
    { 0xBB29812428D9336D, "always_pain" },
    { 0x58246DC5B2295B8D, "always_sprint" },
    { 0x5AE25B287C95E312, "always_win_melee" },
    { 0x18E2223F40BA6025, "alwaysdoskyspawnontacinsert" },
    { 0xFA94F38957DB6EB7, "alwaysdrawfriendlynames" },
    { 0x766BA01CE54AD6E3, "alwaysgamemodeclass" },
    { 0x27FBACA4F6CA771A, "alwaysrunforward" },
    { 0xE738BA3DE8A73CA4, "alwaysshowicon" },
    { 0x4A4CADC2ECB783F8, "alwaysshowminimap" },
    { 0xF74FED5D60059742, "alwaysshowsplash" },
    { 0xB2B34EC97FF8C11B, "alwayssnowfight" },
    { 0xE0983C693BBF8AB0, "alwaysstalemate" },
    { 0x830CE95BC5F8DABD, "alwaysusestartspawns" },
    { 0xF351691A28E3E045, "am_i_alive" },
    { 0x6CC7938BF48B0D3E, "amb_info_updater" },
    { 0xB6B0B13880DB04E0, "ambassador_rock" },
    { 0x532E9320562B6512, "ambience_inner" },
    { 0x309070A8BE018E21, "ambience_outer" },
    { 0xBE7490A3309AB2BF, "ambient" },
    { 0x3A3098A1ABE8999A, "ambient_candidates" },
    { 0x5515AF1FB46028C5, "ambient_combat_popo" },
    { 0x744C7D4676F5D037, "ambient_explosion" },
    { 0x9EABC72C772D4F62, "ambient_fighting" },
    { 0x6755F0279892E28D, "ambient_fighting_monitor_player" },
    { 0x4262013C83E44DDE, "ambient_garage_welding" },
    { 0x7BE95E016F90221D, "ambient_garage_welding_light" },
    { 0x7AB653E41ECE30BA, "ambient_house_enter_explosions" },
    { 0xE88CCADD99E04C93, "ambient_idle_anim_node" },
    { 0xB7599A2B0335CB72, "ambient_idle_scenes" },
    { 0xA7CA7A24C630DA36, "ambient_player_stop" },
    { 0x6AB1229819A38D8A, "ambient_player_thread" },
    { 0x00C9E47D520B27C7, "ambient_popo_spawn_func" },
    { 0x0F8AD1B86A657E7F, "ambient_sound_queue" },
    { 0x4BA3557976BFEAC0, "ambient_spawning_paused" },
    { 0x9642D6919B38D8DC, "ambientgroupinit" },
    { 0x15A50681F382F88F, "ambientgroups" },
    { 0xD8B80347AD7B74ED, "ambientplay" },
    { 0x8F34DE027D539B87, "ambientstop" },
    { 0xA33DB27A4687AE68, "ambo_anim_hack" },
    { 0x8B3E640291D4E8E0, "ambo_badplaces" },
    { 0xD872595449CD22E4, "ambo_caught_logic" },
    { 0x4A87F71238B64EE3, "ambo_direct_hint_check" },
    { 0x5200FD7692B643EB, "ambo_last_frame" },
    { 0x716DE69783EB9B0A, "ambo_locate_hint_check" },
    { 0x5304FE1C24FF16D9, "ambulance" },
    { 0x6DFD4323C5E7BCE2, "ambulancedefibrillator" },
    { 0x516A532DB236E7BC, "ambulancedelayreuse" },
    { 0x2B97B182326EB8C7, "ambulancedisable" },
    { 0xD187BFB13B5DBDC3, "ambulancedisabletoteam" },
    { 0x7862C707F4F3E32D, "ambulancedosiren" },
    { 0x1AC44889B42D82C6, "ambulanceenabletoteam" },
    { 0x9094A1F49C518AD4, "ambulancehidefromplayer" },
    { 0x839BD5D7F26DFFD0, "ambulancelights" },
    { 0x53BBA6876EE1366F, "ambulancemakeunsabletoall" },
    { 0xFA2B23E9C681922C, "ambulancemakeunusabletoplayer" },
    { 0x6EA70F8160F76B8F, "ambulancemakeusable" },
    { 0x7DF3DD312C9558C3, "ambulancemakeusabletoplayer" },
    { 0x658B7182F39264DA, "ambulancesetup" },
    { 0x22A4B5813A2BF2F4, "ambulanceshowtoplayer" },
    { 0x00C9D40246DEF9B7, "ambulancethink" },
    { 0xD771D947A223EA4D, "ambush" },
    { 0x1D102A41C7D2CDD7, "ambush1_cleanup" },
    { 0x5D786FFF1FD58512, "ambush1_emergency_lights_on" },
    { 0x36F73EB42DBB54EA, "ambush1_lights_off" },
    { 0xC64F0A8F1916FF70, "ambush1_lights_on" },
    { 0x733BDE7F2793357D, "ambush1_logic" },
    { 0xA9935253BE198819, "ambush_1f_vo" },
    { 0xE7E9CEB6F380A348, "ambush_2f_postspawn" },
    { 0x901010EA41BEF906, "ambush_allieslogic" },
    { 0xEDD07746BC57757A, "ambush_dialoguelogic" },
    { 0x98CAB2C31F231E7A, "ambush_duration" },
    { 0x2D2941D29D109C33, "ambush_end" },
    { 0xDDC07B6A95AD77A8, "ambush_enemieslogic" },
    { 0x963E3A7E4DE2A527, "ambush_enemyballistickillcalloutlogic" },
    { 0x0F2258F4005A163C, "ambush_enemybarrelkillcalloutlogic" },
    { 0x78B706F7E16412D8, "ambush_enemylogic" },
    { 0x2E8EB219C644DBAD, "ambush_entrances" },
    { 0xA4975FBCA177531D, "ambush_getallynodes" },
    { 0x092F31B67CBB40B3, "ambush_getenemiesgoalvolume" },
    { 0xF0C655B2DEBE6CC2, "ambush_getenemycovernodes" },
    { 0x042DA7711323D818, "ambush_getied" },
    { 0x032796F3E6BC4298, "ambush_getlocationvolumes" },
    { 0x3B48FBA3492C4D8F, "ambush_getvolumelines" },
    { 0xF0C13325144B4166, "ambush_guy_think" },
    { 0xE1B686A1373F5206, "ambush_halon_gas_control" },
    { 0x8105585AC8624A7A, "ambush_iedlogic" },
    { 0xAC7E46F49E15B985, "ambush_instructionsdialoguelogic" },
    { 0x8AF1B1EB6D361D9E, "ambush_is_looking_forward" },
    { 0xFCC0B27B8DC5325C, "ambush_is_looking_left" },
    { 0x559EC4A6DB735C7F, "ambush_lighting_change" },
    { 0x2A890AF7CC2DF01A, "ambush_lmg_guy" },
    { 0x1679760ED90B4B1F, "ambush_locationcalloutlogic" },
    { 0xB4A898F29696EF9F, "ambush_main" },
    { 0xCB2411C678C8A5EE, "ambush_nodes_only" },
    { 0x9AACAB5C5BB4C058, "ambush_rpg_after_spawn" },
    { 0x5C26F7A1AF9C6104, "ambush_rpg_monitor" },
    { 0xAEAE27EFF5B0AA53, "ambush_save" },
    { 0x6383A6B4D3C67EFD, "ambush_sniper" },
    { 0xCB6645584282AEDA, "ambush_sniper_fire" },
    { 0x343A65C9D70216EB, "ambush_sniper_mover_clean_up" },
    { 0xE4FEB2CEAC6C2467, "ambush_sniper_sequence" },
    { 0x0ACA5B015909D32A, "ambush_sniper_think" },
    { 0x256ECC246EA167DB, "ambush_spawnenemies" },
    { 0xB7380C0B637AC30C, "ambush_spawning_think" },
    { 0x150D05ECEE4A085F, "ambush_squad_func" },
    { 0xF2022AF817C02636, "ambush_start" },
    { 0x34A5596E72B2E0CB, "ambush_suicide_bomber_think" },
    { 0xE8E86625F2E3ADBA, "ambush_tele_lower_postspawn" },
    { 0xBDBC539E3D6E5B5F, "ambush_tele_upper_postspawn" },
    { 0xA828599D1CA99ED3, "ambush_teleport_to_cover" },
    { 0xEBFF319EF01EF001, "ambush_teleport_to_struct" },
    { 0xA4BC8E7229455D8B, "ambush_trap_ent" },
    { 0x5787E60A171901BC, "ambush_triggeried" },
    { 0x6E40DE2AA67CF74A, "ambush_vehicle_death_monitor" },
    { 0xC56EEB094F5DAB72, "ambush_vehicle_id" },
    { 0x38EE9FB3B8C54C61, "ambush_vehicle_should_slow_down" },
    { 0x8ADFC78C70F6F436, "ambush_vehicle_speed_manager" },
    { 0x162C29B1DBCA0D79, "ambush_vehicle_speed_think" },
    { 0xD557C86BB2D31019, "ambush_vehicle_think" },
    { 0x6ADDA8767C12170C, "ambush_vehicle_unload" },
    { 0x6763AE088CA6F545, "ambush_vehicle_unload_when_player_vehicle_break_down" },
    { 0x4E4ADEC1E1CEB5EB, "ambush_vehicles" },
    { 0xBA3A541EB3CB1760, "ambush_vehicles_ahead_player_vehicle" },
    { 0x8EEF40FD690E78DF, "ambush_vehicles_behind_player_vehicle" },
    { 0xF670AED2762B1D59, "ambush_yaw" },
    { 0x9D627ED3C24F6B78, "ambushcheckpath" },
    { 0xC0B3F26EC991F112, "ambusher_can_be_shot" },
    { 0x01B033777CCD93C1, "ambusher_spawn_func" },
    { 0xBF780A40BC8B05DE, "ambushgetnextambushnode" },
    { 0x83B06B72B11AF0D0, "ambushiscurrentnodevalid" },
    { 0xC7E178FE5070EA63, "ammo" },
    { 0x6CDE52C1C00B407F, "ammo_autorefill" },
    { 0x51FB3388242E6D90, "ammo_box_lids" },
    { 0x10F186B6F1208085, "ammo_box_spawn" },
    { 0x6B8B424DC2A57BE1, "ammo_boxes" },
    { 0x31E6BFC376EEBDFC, "ammo_buy_point_loop" },
    { 0x556E54DCE06313A0, "ammo_cache_delete" },
    { 0xDEEECF43F25911A4, "ammo_cache_setup" },
    { 0x9B15C280405C71E5, "ammo_cache_think" },
    { 0xDA9B68242B370862, "ammo_cache_used" },
    { 0x38DC95BA2BD3EFAB, "ammo_count" },
    { 0x3678E6B36B4645EA, "ammo_crate_init" },
    { 0x4CC7E1334B7770A7, "ammo_crate_spawn" },
    { 0x375D6324CC1C3D50, "ammo_crate_think" },
    { 0x4BE87B1ADD6E35FF, "ammo_crate_trial_think" },
    { 0x88782AEF57200B4B, "ammo_crate_use" },
    { 0xAE9BC2627BCFF6CC, "ammo_crates" },
    { 0xAB9D1E2D1F7F93EB, "ammo_manager" },
    { 0xD8A306CEFCE63705, "ammo_restock" },
    { 0x534CAF7B14490724, "ammo_round_up" },
    { 0x9C2A1E7097D35D2D, "ammobox_addboxweapon" },
    { 0x8B28DC26719076C7, "ammobox_addheadicon" },
    { 0x848E1B53259FB58F, "ammobox_addrandomweapon" },
    { 0xC4CEF0F7666167A3, "ammobox_bufferedattachmentweapon" },
    { 0xBB5AE57D8378387F, "ammobox_bulletdamagetohits" },
    { 0x5CC1C7982CF48A46, "ammobox_canweaponacceptmoreattachments" },
    { 0xED6FE27F9D0B8607, "ammobox_canweaponuserandomattachments" },
    { 0xF897A898BB6C3DF2, "ammobox_checkclearbufferedattachmentweapon" },
    { 0x539AF761292B2C78, "ammobox_clearbufferedattachmentweapon" },
    { 0xA877C75871BB199D, "ammobox_clearbufferedweapon" },
    { 0xA2A37DFAB81DA016, "ammobox_delete" },
    { 0x6ABDE29C7F049DA9, "ammobox_destroy" },
    { 0x8FC05456A1CCBC7E, "ammobox_empapplied" },
    { 0xABCD2D17C0F35552, "ammobox_explode" },
    { 0xBD43D0B5EDBE73B2, "ammobox_explosivedamagetohits" },
    { 0xE2FE03D01D8F352C, "ammobox_fullrefill" },
    { 0xCFA6B89D0290BBDD, "ammobox_getbufferedattachment" },
    { 0x8375685CDD3331F4, "ammobox_getbufferedattachmentsourceweapon" },
    { 0x86FEF62A9F121A19, "ammobox_getbufferedattachmentweapon" },
    { 0x5FEBC358191F99F5, "ammobox_getbufferedplayerdata" },
    { 0x38407C3E2EC5FB14, "ammobox_getbufferedweapon" },
    { 0x1AB6260393D42518, "ammobox_getrandomweapon" },
    { 0x503A4EA678669E28, "ammobox_givepointsfordeath" },
    { 0xC6F51743904D3F42, "ammobox_giverandomattachment" },
    { 0x6ECF99452D23B54E, "ammobox_givexpforuse" },
    { 0xE1A8E836427EDF7E, "ammobox_handledamage" },
    { 0x0C7627CC8F1B2942, "ammobox_handlefataldamage" },
    { 0x7CF75F330D24A25F, "ammobox_handlemovingplatforms" },
    { 0x4895E62C940178DF, "ammobox_init" },
    { 0xD3D434E7AA9B0C0A, "ammobox_internalpreloadweapons" },
    { 0xE711627DAC6E980A, "ammobox_isvalidrandomweapon" },
    { 0x3544BF257A1CAAFE, "ammobox_makedamageable" },
    { 0x04E24784F6D9B3B0, "ammobox_makeunusable" },
    { 0xF063CD65C2584287, "ammobox_makeusable" },
    { 0x8ED6DF2CBFD67B5C, "ammobox_objective_icon" },
    { 0x5153A607CAE0A3E9, "ammobox_onmovingplatformdeath" },
    { 0x35558ADCAF509EC7, "ammobox_onplayerholduse" },
    { 0xFC1DDA35B69F36E8, "ammobox_onplayeruse" },
    { 0xD5D0F6E6C71FE289, "ammobox_playercanuse" },
    { 0x67009855E869A85B, "ammobox_preloadweapons" },
    { 0xA10C3969AC1CC52E, "ammobox_removeheadicon" },
    { 0x44B452D4018F201E, "ammobox_removeowneroutline" },
    { 0x86BA81A9AF62B1FE, "ammobox_settled" },
    { 0xC78C73FABC4B1946, "ammobox_showattachmentflyout" },
    { 0x38517F69DA6AD6EF, "ammobox_think" },
    { 0x0B39FBE63FBBD17D, "ammobox_tryuse" },
    { 0x6311D25D650763D8, "ammobox_tryuseinternal" },
    { 0x3A893E18A025730E, "ammobox_unset" },
    { 0xA5DCFD5E0DAAD11F, "ammobox_updateheadicononjointeam" },
    { 0xB91CC9AE973DBC33, "ammobox_updateplayersused" },
    { 0x3E558FC01A9B34D8, "ammobox_updateplayerusevisibility" },
    { 0x78CE2DFF3B7246AF, "ammobox_usedcallback" },
    { 0x83AECE947D010BD1, "ammobox_watchallplayeruse" },
    { 0x0920359EAEB9B2AC, "ammobox_watchdisownedtimeout" },
    { 0x9ADDC449B7FE1A55, "ammobox_watchdisownedtimeoutinternal" },
    { 0x5AEEBAD0C88821F8, "ammobox_watchplayeruse" },
    { 0x826119C204047099, "ammobox_watchplayeruseinternal" },
    { 0xCFFACA0C65E6AB0B, "ammoboxes_init" },
    { 0xAE1F35CA34484DA1, "ammoboxweapons" },
    { 0xEF69A9D71D6D65D7, "ammocheatinterval" },
    { 0xF75B4D4FAFFE6B13, "ammocheattime" },
    { 0xB43FD4F1800876A2, "ammocount" },
    { 0x2E3EF4ED3E968445, "ammodisabling_impair" },
    { 0x2892C1DE880ADAAA, "ammodisabling_impairend" },
    { 0x07B82133DC723114, "ammodisabling_run" },
    { 0x48E9421A5B650C08, "ammoidmap" },
    { 0xA9DC1F7F25C9E707, "ammoids" },
    { 0xF293559B64F461AF, "ammoincompatibleweaponslist" },
    { 0xBBCFA39F16F91B95, "ammoitems" },
    { 0xE515B27F51A3EAEB, "ammomax" },
    { 0xEDA85575B1F126FE, "ammorestock_customlocale6cleanup" },
    { 0xC0210E318D5D5E6C, "ammorestock_disableusefortime" },
    { 0xF4F5FF7421B8A227, "ammorestock_playeruse" },
    { 0x8A61ED5FA148626F, "ammorestock_think" },
    { 0xA746B4AC2D48861B, "ammorestock_usecooldowncheck" },
    { 0x76D62E2F2D59F644, "ammorestock_used" },
    { 0x70E645E457837A03, "ammorestocklocs" },
    { 0x26FC214049F2EB04, "ammostructreplenish" },
    { 0x1D89E63988D5B22D, "ammotrigger" },
    { 0x0EA724D7FB07E61B, "ammotype" },
    { 0x5836F47FA5B04F30, "ammount" },
    { 0xDEAB43C7BF7A6474, "amortizationstep" },
    { 0x572424C586105888, "amortize" },
    { 0x7972DA3FCB356FE1, "amortizeyawtraces" },
    { 0xF0BF299636D6DCBD, "amount" },
    { 0xFFA2476E0BC943BE, "amount_to_compromise" },
    { 0x80FA1FECA6EB2A8A, "amount_to_compromise_left" },
    { 0xC808ED58B3AC3F25, "amounttotal" },
    { 0xE33F325DE6C03643, "amped_victim_starttime" },
    { 0x2188BF81C4D0FB67, "amped_wid" },
    { 0x19A8D4983B6BFAEA, "ampeddelta" },
    { 0xA9D057D0F552E217, "analytics" },
    { 0xD28780B55F55E120, "analytics_event" },
    { 0x147A5CA89B144664, "analytics_event_upload" },
    { 0x7E920760E651D03F, "analytics_fake_start_point" },
    { 0xAA195634BB94D853, "analytics_getmaxspawneventsforcurrentmode" },
    { 0x05AA4CEA66F6E44A, "analytics_init" },
    { 0xAEFFEF05A3D4235C, "analytics_kleenex_update" },
    { 0xDCD8D3421C0FEF64, "analytics_kleenex_upload" },
    { 0xA44F093718097B80, "analytics_lui_mission_end_dlog" },
    { 0x199ABABB2D6F9AF7, "analytics_obj_failed" },
    { 0xA2048271C6F9C0C5, "analytics_skip_start_point" },
    { 0x95B19E121BCF5FF9, "analytics_storage" },
    { 0x863B675F8D88FA39, "analytics_tracking_player_mount" },
    { 0x7E6E5D5768B60349, "analytics_upload_during_nextmission" },
    { 0x7F726795A9D4DCC9, "analyticsactive" },
    { 0x6B8712AC8B7052BE, "analyticsaddevent" },
    { 0x2C8E0E2BB1147B98, "analyticsdoesspawndataexist" },
    { 0x16222FA8FB8A82CE, "analyticsendgame" },
    { 0x516A6B6B7C239984, "analyticsinitspawndata" },
    { 0xE96716E2EDC18197, "analyticslog" },
    { 0x02EA9F0027BC64CC, "analyticslogenabled" },
    { 0x0BF3AC1DDEA1019A, "analyticslogid" },
    { 0x715B8EEBD026684F, "analyticslogtype" },
    { 0x2376DCB267163556, "analyticsreset" },
    { 0xB5D292731393836F, "analyticssend_shouldsenddata" },
    { 0x6910F7E13B9EE20B, "analyticssend_spawnfactors" },
    { 0x14E4395275E453AA, "analyticssend_spawnplayerdetails" },
    { 0x78EC0C16E94444C9, "analyticssend_spawntype" },
    { 0xB5FDAA9416C0C289, "analyticsspawnlogenabled" },
    { 0xE6068BD96B3C2A87, "analyticsstorespawndata" },
    { 0x516C393D4DE149F9, "analyticsstreamerislogfilestreamingenabled" },
    { 0x7C33985E9E2D218D, "analyticsstreamerlogfileendstream" },
    { 0x37946B9BF7B0539C, "analyticsstreamerlogfilestartstream" },
    { 0xBB3CCFD792F0D51D, "analyticsstreamerlogfiletagplayer" },
    { 0x0BDDDED7E12896BC, "analyticsstreamerlogfilewritetobuffer" },
    { 0xC9D1455D3B152377, "analyticsthread" },
    { 0x7C06F14CAD98028A, "analyticswritecsv" },
    { 0x297A5864C35B9D40, "anchor" },
    { 0x0F2B8D57D853DDD7, "anchordir" },
    { 0xCF72355F22BCFD2C, "anchoredwidgetid" },
    { 0x12E310EE25168F3B, "anchorentity" },
    { 0x4178E8E053DAF9E6, "anchorrt" },
    { 0x73DF4F6A4753B03C, "angle" },
    { 0x7615B505AC8373DA, "angle_deltas" },
    { 0xC492FBC87C2C7AE6, "angle_diff" },
    { 0xD4BBB104DE66607C, "angle_lerp" },
    { 0xE6F321DBEF9D6977, "angle_molotov_mortar" },
    { 0x0088FCD9692C6746, "angle_offset" },
    { 0x038D1049B60274AE, "angle_ref" },
    { 0x3A2F03DF250CBC7A, "anglealongpath" },
    { 0x2377AA55AD58A770, "anglebetweenvectors" },
    { 0x3CEA265E9EEF87A9, "anglebetweenvectorsrounded" },
    { 0x964737FF1C060278, "anglebetweenvectorssigned" },
    { 0x846468D930EFA5FE, "anglebetweenvectorsunit" },
    { 0x2E3278D571FE8AC3, "angleclamp" },
    { 0x55E9029216EA81CE, "angleclamp180" },
    { 0x538B4CD16F92324A, "angledelta" },
    { 0x28A7ED4A62D7320D, "anglediffwalkandtalk" },
    { 0x620F9F33FA6588B8, "angleindex" },
    { 0x42EA4D476F755D8E, "anglelerpquat" },
    { 0x2373DBE7869D05CA, "anglelerpquatfrac" },
    { 0x7B33BE8A5F5C8417, "anglelerprate" },
    { 0x061E10EA2D204891, "anglemortar" },
    { 0x8409EC0428BD33E7, "angleoffset" },
    { 0x27CBF5BADD0CBDBD, "angles" },
    { 0x5173030B995BF1A1, "angles_debug" },
    { 0x3EA831B5C57AC781, "angles_offset" },
    { 0x2ECFBAD68CEC56FF, "anglesclamp180" },
    { 0x90C95A04B7887399, "anglesclamp180_lerp" },
    { 0x0505FBD2C78CF2D9, "anglesdelta" },
    { 0xDFD5429417E46592, "anglesoffset" },
    { 0x3B788DDF6CA7F51D, "anglestoaxis" },
    { 0x6343041D48C52FD1, "anglestoforward" },
    { 0xDCED42AFDD45D69D, "anglestoleft" },
    { 0xF3142D73646911D6, "anglestoright" },
    { 0xE1CBCAB0B57B6631, "anglestoup" },
    { 0x991FB47B2CA3AB8B, "angvels" },
    { 0x750C8807016781FD, "anim_addmodel" },
    { 0x67B33BD2F4CBC2CA, "anim_aim" },
    { 0x7556A31D81ED2CAC, "anim_aim_and_reload" },
    { 0x485A43A451190D7C, "anim_aim_end" },
    { 0xC31864EDF4B0EE06, "anim_aim_internal" },
    { 0x13098CABC86227DA, "anim_aim_shoot" },
    { 0x17EE03D23889F0F5, "anim_angle_delta" },
    { 0x0E7D2F545F4A68D3, "anim_animationendnotify" },
    { 0x1FC845F59F47F832, "anim_array" },
    { 0xE6D496164CE05E86, "anim_at_entity" },
    { 0x7EC31F55B3A526DB, "anim_at_self" },
    { 0xC5D36B92E1DB274D, "anim_blend_time_override" },
    { 0xE439792D421F6E25, "anim_block_in_cleanup_internal" },
    { 0xEAF50F19BB5B8008, "anim_block_in_internal" },
    { 0xEACBF723775B2A01, "anim_block_in_single" },
    { 0x7E87BCB701EA3882, "anim_block_in_solo" },
    { 0x99A5034629392711, "anim_branch" },
    { 0x7AB38599D6285BB6, "anim_changes_pushplayer" },
    { 0x1FD558CD889ED492, "anim_check_loop" },
    { 0x43CC39BE02552F2C, "anim_collision_check" },
    { 0x0436FD41D2821B45, "anim_custom_animmode" },
    { 0xF6F3C5FB2BD84194, "anim_custom_animmode_loop" },
    { 0x33A15E39F26B715E, "anim_custom_animmode_loop_solo" },
    { 0xE9444B8AB3FE5E33, "anim_custom_animmode_on_guy" },
    { 0x3BE3CF75560AA409, "anim_custom_animmode_solo" },
    { 0x3A43CCC3A1D69968, "anim_deathnotify" },
    { 0x5E80B614C978B4EA, "anim_deltas" },
    { 0x9102153DDCBCDD6D, "anim_dialogueendnotify" },
    { 0xA798CE9B82506BC3, "anim_disablepain" },
    { 0xA74E85E86FF735CB, "anim_dontpushplayer" },
    { 0x0B9B3965A86381F5, "anim_door" },
    { 0xEA8AD30E053B9D78, "anim_door_then_loop" },
    { 0x790844D2816E4BA4, "anim_door_then_loop_stopper" },
    { 0x8CACFB3CFCBD8CDA, "anim_earlyinit" },
    { 0x66B3BD55F580594A, "anim_end_early" },
    { 0xC8FCB03AF0FF535A, "anim_ent_debug" },
    { 0xC99BF4DB193865A4, "anim_facialanim" },
    { 0x29C4E57B779A642B, "anim_facialendnotify" },
    { 0xD5ED2BBFF0D85FD3, "anim_facialfiller" },
    { 0x557E728C20A9E5F7, "anim_first_frame" },
    { 0x3BAB3445D8FF0848, "anim_first_frame_door" },
    { 0xC50AB35860B8933D, "anim_first_frame_on_guy" },
    { 0xA5BC1FB5C3117AD7, "anim_first_frame_solo" },
    { 0xDDD44F8E6003AFB9, "anim_fulton_ac130_scene" },
    { 0xA9B3FF321DB57D9F, "anim_fulton_backpack_scene" },
    { 0x85F3FFA75EEEB643, "anim_fulton_balloon_show" },
    { 0x37F4C81313CCEE45, "anim_fulton_exfil_player_scene" },
    { 0xEA76B39C3DF39636, "anim_fulton_hostage_player_scene" },
    { 0x99771F5E77CD769B, "anim_fulton_linkedent_scene" },
    { 0xBEF9208E18F71042, "anim_gate_truck_lights" },
    { 0x0787430F70EA8076, "anim_generic" },
    { 0xB3C14EC11F885923, "anim_generic_custom_animmode" },
    { 0xB361DCBDC435676A, "anim_generic_custom_animmode_loop" },
    { 0x47972918E1587C0D, "anim_generic_first_frame" },
    { 0xE2C2EE3F29B586B3, "anim_generic_gravity" },
    { 0x374B12C90A99E109, "anim_generic_loop" },
    { 0x0755AF9A76EEE05A, "anim_generic_queue" },
    { 0x7A8580F61C744F8A, "anim_generic_reach" },
    { 0xD2E8758A47D58A3E, "anim_generic_reach_and_arrive" },
    { 0x7F1BE07DB17FF3EC, "anim_generic_run" },
    { 0x6EF354AA6A9B2DE4, "anim_generic_teleport" },
    { 0x97A17CB31443DEE1, "anim_get_goal_time" },
    { 0xF5E7A6973B0D3415, "anim_getrootfunc" },
    { 0x3B7AE7FD68A0E01D, "anim_gun_react" },
    { 0x553DFD5885DC18C2, "anim_gun_react_and_idle" },
    { 0x68C5549339BAB754, "anim_gunhand" },
    { 0x94361F62AEE7911F, "anim_guninhand" },
    { 0xA1A26B9675C4CABD, "anim_guy_keep_hidden" },
    { 0x474CA8FC635D7D9B, "anim_handle_notetrack" },
    { 0x96BC2EAC3B9FB81F, "anim_hold_last_frame_solo" },
    { 0x412EC8F7D96B0878, "anim_hostage_fulton_start" },
    { 0x1970EFF9C7024255, "anim_hostage_idle" },
    { 0xF6EA041224CAB80D, "anim_hostage_notetrack_handler" },
    { 0xEF7F69EB9B402DE0, "anim_hostage_wait_release" },
    { 0xAD0FE23619014911, "anim_info" },
    { 0xACE7F93618D50B17, "anim_init" },
    { 0xDC37ACAAA0E82381, "anim_init_exfil_fulton" },
    { 0xD23A055BF426EE65, "anim_init_hostage" },
    { 0x8602E07841783E82, "anim_init_trafficking" },
    { 0x0287FA1B928A0D4B, "anim_init_truck" },
    { 0x64C93E1C7F6889B0, "anim_is_death" },
    { 0x0ED505DE00BA28D8, "anim_last_frame_door" },
    { 0x979A143D219DB1E7, "anim_last_frame_solo" },
    { 0x3B9C3F7CD5A5B80E, "anim_lerp_from_player_pos" },
    { 0xDC0062292348A988, "anim_link_tag_model" },
    { 0x63C01715A99345EA, "anim_long_death" },
    { 0x83AC29CEC0DAA07F, "anim_long_death_relative" },
    { 0x670646AC8626A827, "anim_loop" },
    { 0xA9F18DFA55BA2F58, "anim_loop_door" },
    { 0x06CAD1D8F9C97C05, "anim_loop_door_stop" },
    { 0x5957AE9907DCD9F0, "anim_loop_packet" },
    { 0x93919D3571F7A9D2, "anim_loop_packet_solo" },
    { 0x32B69C59769DB867, "anim_loop_solo" },
    { 0xB2822057E0821B8A, "anim_loop_solo_with_nags" },
    { 0x4D36D377A9590A19, "anim_loop_with_props" },
    { 0xEA4C1758D48AE93E, "anim_model" },
    { 0x88BEB41146E51041, "anim_moveto" },
    { 0x487E2FDBE23DA3E2, "anim_name" },
    { 0x9E9315DC20FD76D1, "anim_node" },
    { 0xC5FC6FCC18768B56, "anim_offset" },
    { 0x4B55F61343C7073B, "anim_origin" },
    { 0x4D76113C121F0759, "anim_override" },
    { 0x3438893A012E674F, "anim_pause_fracs" },
    { 0x25BC5694E8023A54, "anim_player" },
    { 0xDC8AABDB20B88654, "anim_player_internal" },
    { 0xB1C22F5171CB1E1E, "anim_player_solo" },
    { 0xB8FEFBDA24EC1CD1, "anim_playsound_func" },
    { 0xCB740250BAA7D245, "anim_playvm_func" },
    { 0x010D43F3B90052D3, "anim_playvo_func" },
    { 0x5F770ED3AAD463DD, "anim_pos" },
    { 0xC7395380B1174DA8, "anim_pose" },
    { 0xEC0D48D70C64C26F, "anim_prop_models" },
    { 0x3A255DC32AE28814, "anim_pushplayer" },
    { 0x59651CC29DDCE1F4, "anim_rate_watcher" },
    { 0x834B33D6677C555C, "anim_reach" },
    { 0x68534B951D81BD57, "anim_reach_and_approach" },
    { 0xD11508371CB1062E, "anim_reach_and_approach_node_solo" },
    { 0x49ACBFA06859BFF7, "anim_reach_and_approach_solo" },
    { 0xE24AAF5C5D6B1C0C, "anim_reach_and_arrive" },
    { 0xA9F044BE206C5A15, "anim_reach_and_idle" },
    { 0xDC1AC31D034C90B9, "anim_reach_and_idle_solo" },
    { 0x2FE0E0874D9C1501, "anim_reach_and_loop_solo" },
    { 0xB6C86DD750395DFC, "anim_reach_and_plant" },
    { 0x285F5247CC02782C, "anim_reach_and_plant_and_arrive" },
    { 0xAD3BFA7CECA17D65, "anim_reach_arrive_idle" },
    { 0x39BC37FAAF7E673F, "anim_reach_cleanup_solo" },
    { 0xB154F8B2938B5E84, "anim_reach_failsafe" },
    { 0xE54601228F10BBC7, "anim_reach_failsafe_go" },
    { 0x48A018A1AB74A74F, "anim_reach_idle" },
    { 0x16DE191A8296B21C, "anim_reach_safe" },
    { 0x4E2BE519F05B93B6, "anim_reach_solo" },
    { 0x5376AD778239E77F, "anim_reach_solo_skip_check" },
    { 0x600FBF4E797D408E, "anim_reach_solo_skip_offscreen" },
    { 0xCEEDA26037A81A23, "anim_reach_together" },
    { 0xC227D961E48C2363, "anim_reach_watcher" },
    { 0x77DB9EA1C5036129, "anim_reach_with_funcs" },
    { 0x834B27D6677C3AF8, "anim_react" },
    { 0x7D60391815E86888, "anim_react_add_to_alertgroup" },
    { 0xF5D1BFF7AC96C0A1, "anim_react_ai_events" },
    { 0x6D5B964B29724F7A, "anim_react_alertgroup_msg" },
    { 0x202F3119507BE860, "anim_react_damage" },
    { 0x6F5F505EE1861825, "anim_react_data" },
    { 0x7592270B1388090D, "anim_react_death" },
    { 0x075AD6C27E1DD3BF, "anim_react_event" },
    { 0x5E1860B8493259D1, "anim_react_new" },
    { 0x9E48356B89E62893, "anim_react_radius" },
    { 0x25EAFF12122054AC, "anim_react_skip_stopanimscripted" },
    { 0x3595E4BD06BB3151, "anim_react_thread" },
    { 0x22A0C66019324869, "anim_react_wait_thread" },
    { 0xDD240A0FE9D55BEF, "anim_react_waittill" },
    { 0x7CA84BD3C04B5EBE, "anim_ref" },
    { 0x30EB42F4A4000D09, "anim_relative" },
    { 0x5DB4CFC6234DAE0E, "anim_removemodel" },
    { 0xC208EFB8EAB7EDD7, "anim_scene" },
    { 0x64274C619A6CCB06, "anim_scene_create_actor" },
    { 0xDC528EF53E91EFA6, "anim_scene_loop" },
    { 0x46DF808AD5696D6E, "anim_scene_set_actor_interruptable" },
    { 0xA77E7BF39DA1217D, "anim_scene_stance_override" },
    { 0x84FC891D4631CBA0, "anim_scene_stop" },
    { 0xAACD436164F12142, "anim_scene_stop_actor" },
    { 0x6094596E7675C40A, "anim_scriptable" },
    { 0x92CFFE7CFFA54460, "anim_self_set_time" },
    { 0xAF6E98DE8BD0E644, "anim_sequence" },
    { 0xC775C18C8B58B5A9, "anim_sequential_counter" },
    { 0x4776C241ED0BAC82, "anim_set_rate" },
    { 0x5F74AC3C52A3775E, "anim_set_rate_internal" },
    { 0x51E4BC9637D0830F, "anim_set_rate_single" },
    { 0x8C01467309B4AF79, "anim_set_time" },
    { 0x2D75BC8882B71A45, "anim_set_time_solo" },
    { 0x6A7622DB68E299BD, "anim_single" },
    { 0xB732CAFBFA6016E2, "anim_single_and_idle" },
    { 0x69F0034A4386742E, "anim_single_and_loop" },
    { 0xA4EC6EC6AA920FF4, "anim_single_and_loop_solo" },
    { 0x6C7593B85E288B93, "anim_single_failsafe" },
    { 0x6C356C51CBC3BBF9, "anim_single_failsafeonguy" },
    { 0xE5C52F3D3220B5FC, "anim_single_gravity" },
    { 0x63BE62D1B22BAA9B, "anim_single_internal" },
    { 0xD364AC53A18249C1, "anim_single_queue" },
    { 0x84C414A9D277F17F, "anim_single_run" },
    { 0xF836DB8C1B9CD331, "anim_single_solo" },
    { 0x714747A3ABA11461, "anim_single_solo_end_notify" },
    { 0xCCA6DA2D241ECE8B, "anim_single_solo_run" },
    { 0x56A1676715E065E1, "anim_single_solo_scriptable" },
    { 0xA9302A066E0F8106, "anim_single_then_last" },
    { 0x53C72C06300D1D10, "anim_single_then_loop" },
    { 0xC1B4933281AB8292, "anim_single_then_loop_ent" },
    { 0x0AE6BD29224BB3B2, "anim_single_then_loop_solo" },
    { 0x8E8BD58077E1831B, "anim_single_with_props" },
    { 0x4230B47E54E12A99, "anim_smartdialog_func" },
    { 0x85CB8DF1D5E043F0, "anim_spawn_generic_model" },
    { 0xDAB634007266DCD6, "anim_spawn_model" },
    { 0x0B30D586E94EAC05, "anim_spawn_tag_model" },
    { 0x0913AD4B586427BF, "anim_spawner_teleport" },
    { 0xE8E168215E505188, "anim_spawnposition_override" },
    { 0x41F6DB3B8B6233A1, "anim_start_at_groundpos" },
    { 0xCD68587EBEEA643B, "anim_start_delay" },
    { 0xB0538584856FFD83, "anim_start_pct" },
    { 0xB064828485820146, "anim_start_pos" },
    { 0xAED6ADF9AA7D3EBC, "anim_start_pos_solo" },
    { 0x27B5408BF035233E, "anim_stopanimscripted" },
    { 0x9C09C55490DF42CC, "anim_struct" },
    { 0x08BFB7FA9AFFCA0D, "anim_structs" },
    { 0x4818A59E1D466822, "anim_teleport" },
    { 0x166B1F308FFA3310, "anim_teleport_solo" },
    { 0xB63432E1029B2A61, "anim_test" },
    { 0x0DE7D57B73070628, "anim_then_last_frame_and_kill" },
    { 0xC709165C6151B77D, "anim_then_loop" },
    { 0xAF942C4E65DDBDF1, "anim_then_loop_solo" },
    { 0xA6F93C739854AECA, "anim_then_loopender_thread" },
    { 0x651CF9E1831EF8A0, "anim_time" },
    { 0x3504D84D260662C1, "anim_touch_react_and_idle" },
    { 0xCC478EDCC60F4CCB, "anim_trafficking_play_scene" },
    { 0x58765D7C251000FA, "anim_trafficking_play_scene_informant" },
    { 0x9F571B58C1392CA6, "anim_trafficking_play_scene_soldier" },
    { 0x2519F9209B98DDCB, "anim_trafficking_soldier_play" },
    { 0x58AFD2CBAE58A665, "anim_wait_for_ent_flag" },
    { 0x888DE1D8F51E841B, "anim_wait_func" },
    { 0x272254803F462365, "anim_weapon" },
    { 0xA8A3D51701570A17, "anim_weapon_for_player" },
    { 0xEE4844BC6BCF61BD, "anim_weight" },
    { 0x17FAEBB0398DE9ED, "anim_will_finish" },
    { 0x932E181DEB62EEB8, "animalias" },
    { 0xEA9DAAABF7307294, "animang" },
    { 0xA5CF2AEDABA58ADB, "animarchetype" },
    { 0x06C20B2FCA8D3F9F, "animarms" },
    { 0x21B8AB1A3FC26A81, "animarray" },
    { 0x08B6A39F64561198, "animarrayanyexist" },
    { 0xD94F6C7789C2890B, "animarraypickrandom" },
    { 0xE1B7BACEF864CB8D, "animate_2f_extras" },
    { 0xAC730ACEFE75F8BE, "animate_drive_idle" },
    { 0x57D4E3ED6CF0A015, "animate_guys" },
    { 0x95BD6A05103E7FDE, "animated_passanger_logic" },
    { 0x2A670542F4D09EC0, "animated_prop" },
    { 0x321743775187717D, "animated_van_scene" },
    { 0x21D24ACB8D5A4C28, "animatedmask" },
    { 0xEAF78A5805514F33, "animatedprop_setanim" },
    { 0x202628B9346C0E27, "animatedprop_setup" },
    { 0x7FC26624C761CE8B, "animatedprop_startanim" },
    { 0x6A9882AD763E25A1, "animatemodel" },
    { 0x7A0567DE00030426, "animatemoveintoplace" },
    { 0x0D81A623CA543791, "animatescreeneffect" },
    { 0x6C5D22F3CEBB4439, "animation" },
    { 0x2DFD474D8F55D63A, "animation_exists" },
    { 0x8B2607B18F167391, "animation_getloopanimationentity" },
    { 0xAE9E046405E5DCA4, "animation_idle" },
    { 0xD1FF90A9D5D96570, "animation_loop" },
    { 0x9FDBA3C90024F435, "animation_notifyonnotetrack" },
    { 0x1A8D97320A23B049, "animation_reach" },
    { 0x71A6116C68C89750, "animation_reachintofirstframe" },
    { 0x01CB5186C957D98A, "animation_reachtoidle" },
    { 0x1781BA5A2F3EF4B4, "animation_reachtosingle" },
    { 0x168F7A6B4E8B6010, "animation_reachtosingleintoidle" },
    { 0x0BFC784FDE6D137B, "animation_reachtosingleintolastframe" },
    { 0xD87F4DF5F8DD40BC, "animation_reachtosingleintoloop" },
    { 0xD83D737B93F0922A, "animation_single" },
    { 0xD3B7F1AF141C8D07, "animation_single_then_loop" },
    { 0xD450F58F9D74C31E, "animation_singleintoidle" },
    { 0xD9CC496FD5E2C812, "animation_singleintoidleproc" },
    { 0x4780C5815E70BE31, "animation_singleintolastframe" },
    { 0x508F3899AEFE9675, "animation_singleintolastframeproc" },
    { 0x4565D51AC88B478A, "animation_singleintoloop" },
    { 0xDED0140D6A2B5866, "animation_singleintoloopproc" },
    { 0xC2D833CFD80B17D8, "animation_stoploop" },
    { 0xDB7B3FAC98420BA1, "animation_stopreach" },
    { 0x0DE11929030E62FD, "animation_waittillend" },
    { 0x6BD370A988A3964B, "animation_waittillnotetrack" },
    { 0x564F35E9942A9C10, "animationarchetype" },
    { 0x96C996CD5ED1E6CB, "animationorigin" },
    { 0x57BE3636B97CB863, "animationsuite" },
    { 0x60C24A3E3E8B1747, "animcustom" },
    { 0x0A92A5CDDA4F9D83, "animcustomender" },
    { 0x30DE646EEB1BF9A0, "animdroptime" },
    { 0x175A029941374604, "animduration" },
    { 0xE29EA569DCC9B52B, "anime" },
    { 0x27347A0A24C1EF18, "animendtime" },
    { 0xC86E16D80C347466, "animents" },
    { 0xD6B7C0443B7D136A, "animeshotdir" },
    { 0x562B282FC29C0D3B, "animflagnameindex" },
    { 0x762BBE24C90B806B, "animfrac_min" },
    { 0xB99EDC3B8465118C, "animgenericcustomanimmode" },
    { 0xBA89F1B6ADFFBE34, "animhasfacialoverride" },
    { 0x36B981852DABD9DF, "animhasnotetrack" },
    { 0x944E16C5615752C8, "animindex" },
    { 0x71E3ABD9638BAC1C, "animisleaf" },
    { 0x4A49E73A183E56C0, "animlength" },
    { 0x74D80800D1B975D4, "animlist" },
    { 0x0F63E4C100FA1C1E, "animloop_headlook" },
    { 0xE3731F2031493FAF, "animmode" },
    { 0xB917BD31EE102C47, "animname" },
    { 0x626F669D11904206, "animname_incrementer" },
    { 0xD73B0F3204918888, "animnode" },
    { 0xE86B66000C104001, "animnodes" },
    { 0xA6C48425859E6DE3, "animontag" },
    { 0xE5EF5568DF775662, "animontag_ragdoll_death" },
    { 0x92F5ED21C27819C6, "animontag_ragdoll_death_fall" },
    { 0x593F00AB8C8658A2, "animorg" },
    { 0x7D5AEC334BE67F45, "animoverrides" },
    { 0xBEAB124530885A27, "animplaybackrate" },
    { 0x3FBF506A0D74EAD4, "animpriority" },
    { 0x12ADDEA61DF80FBA, "animratefrac" },
    { 0x1C9C9633BD3A2037, "animreactpain" },
    { 0x1C7891861EA5EE0B, "animreactrelative" },
    { 0x6EB0B18320064D3C, "animrelative" },
    { 0xE23A43ACAD0E568A, "animrig" },
    { 0xB2C811C0AD38B678, "animrope" },
    { 0x5AD98EB2E5E7AAA0, "animropethrow" },
    { 0xE29EBB69DCC9E58D, "anims" },
    { 0x8091E2E668D4B5D7, "animscript" },
    { 0xEB06EACF37E777DE, "animscriptdonotetracksthread" },
    { 0xADD01DDB70BB0996, "animscripted" },
    { 0xB07BA6EC902A3E94, "animscripted_clear" },
    { 0x5A3B1A1071062FE9, "animscripted_loop" },
    { 0x64ACF7C4AED20086, "animscripted_loop_earlyend" },
    { 0x952CE0893BA54F2B, "animscripted_loop_for_time" },
    { 0xC43BB9FF9DCA1F91, "animscripted_loop_n_times" },
    { 0xEFD4D1A4111BD892, "animscripted_loop_relative" },
    { 0x90ED9FA3CB175DF3, "animscripted_single" },
    { 0xE8BBAD096083D7F9, "animscripted_single_arrive_at" },
    { 0x18DF4130074EAC88, "animscripted_single_earlyend" },
    { 0x2AC51F37BFB50014, "animscripted_single_relative" },
    { 0x673F2DE53367DAFC, "animscriptedaction" },
    { 0x3C7D203156AF4CAF, "animscriptedaction_cleanup" },
    { 0xC0DB4FAE48939480, "animscriptedaction_terminate" },
    { 0x66DA04E532F89F80, "animscriptedactive" },
    { 0xCED9A2378A89F6C6, "animscriptedcleanup" },
    { 0x2AE5C56065B2E52B, "animscriptedstartup" },
    { 0x0793C3DC0C64C5B2, "animscriptedthirdperson" },
    { 0xC35AD47019D67311, "animscriptentervehicle" },
    { 0x840F11B1BAD0062F, "animscriptexitparachutestate" },
    { 0xAC666D5E6F814C5D, "animscriptexitvehicle" },
    { 0xADF421DB70E38D1A, "animscriptmp" },
    { 0xC70231CD25F33D16, "animscriptmp_internal" },
    { 0xFA0E1560940DADD3, "animscriptmp_loop_internal" },
    { 0x431FDA8740A60399, "animscriptmp_single_internal" },
    { 0x30F529383E125A2C, "animscriptmp_watchcancel" },
    { 0x4997BBA6A64F4490, "animscriptsetinputparamreplicationstatus" },
    { 0x3C5DBF756C671959, "animscriptsetparachutestate" },
    { 0xFBF45D65AE91EF10, "animsdirectionalhit" },
    { 0xC15490A3EB866BF6, "animsdirectionalscrub" },
    { 0x23A2323B0FBEFD89, "animselector" },
    { 0x60B1842281F8640B, "animselectorfeaturetable" },
    { 0xDFFEFFE8E87948F1, "animsequence" },
    { 0xF2F879ACBA25EE24, "animset" },
    { 0xF1035857C8351BC6, "animsetgetallanimindicesforalias" },
    { 0xA43B51737A0652FB, "animsetgetanimfromindex" },
    { 0x7E61EDDD616B2955, "animsets" },
    { 0xAFC97CAEA1507E64, "animsound_aliases" },
    { 0x33805F487A062354, "animsound_exists" },
    { 0x96EE749D0619FC34, "animsound_hudlimit" },
    { 0x6DFDCC963BE549BB, "animsound_start_tracker" },
    { 0xE2D194F1E7601572, "animsound_start_tracker_loop" },
    { 0x5485060F95E79648, "animsound_tagged" },
    { 0x8AB1D0A44F5DF338, "animsound_tracker" },
    { 0x2B9BCB0136FF5340, "animsounds" },
    { 0xA1FF7D977FCE07C2, "animspeedthresholdsexist" },
    { 0x49FAB06AFC88F5FA, "animsriptedactioncivilian_terminate" },
    { 0xB3C13A5ED3EB504A, "animstatename" },
    { 0x1D6693AA28CAC011, "animstoptrailtime" },
    { 0xFC1386685EEF5BFD, "animstruct" },
    { 0xEB8196F627A6C51C, "animsuite_getparentobject" },
    { 0xCC88227BF2E46E60, "animsuite_linkchildrentoparentobject" },
    { 0x0F79F61333681649, "animsuite_playthreadedsound" },
    { 0x25650E27C7919CC7, "animsuite_rotation" },
    { 0xE45A522DB22C308B, "animsuite_rotation_continuous" },
    { 0x3D6A64BFA35E301A, "animsuite_rotation_pingpong" },
    { 0x52ACD2F5CA898954, "animsuite_translation" },
    { 0x81E24E555F31EA18, "animsuite_translation_once" },
    { 0xE2CE8412AEFF9537, "animsuite_translation_pingpong" },
    { 0x8C684DAC6E992D04, "animtag" },
    { 0x55DC0C37EBFD143C, "animtree" },
    { 0xD9D0B6084315868E, "animunhidetime" },
    { 0x16BDFC7C385D1690, "animweapon" },
    { 0x2909B1BC258D3BDE, "anin_playvo_func" },
    { 0xF1CBC10C8A28CFCF, "announce_spotted_acknowledge" },
    { 0xAD7841E3274A7A86, "announcedomplatespawns" },
    { 0x787DA2AB6DFEE5F7, "announceinfilwinner" },
    { 0x00F96EA8330B0696, "announcement" },
    { 0x36B58F0177A490D3, "announceplayercountlandmarks" },
    { 0xAA31E464AB5E43CF, "announcer_vo_playing" },
    { 0x65CE2F762F94278B, "antennae" },
    { 0x129324E136652379, "antepenultimate_struct" },
    { 0x8545020E644C2157, "antigrav" },
    { 0xD9FC1189EE9E07E4, "antigrav_clear_float_ai_override" },
    { 0xD6A000BAD6F415BE, "antigrav_disable_nav_obstacle_for_team" },
    { 0x3C350748E39D2A52, "antigrav_float_ai_override" },
    { 0x18915146F02D4217, "antigrav_float_time_done" },
    { 0x83925614D6BBE206, "antigravgrenstate" },
    { 0x7DAB069E1DB8A85D, "antigravtag" },
    { 0xDD31B85B1C2CD55D, "antithreat" },
    { 0x439F16A85CAE70DC, "any_ai_around_player" },
    { 0xA58BBB0C2280833B, "any_alive" },
    { 0x7938E6C5A8B939C1, "any_alive_player_in_kill_zone_or_under_bridge_zone" },
    { 0x6F4CF589FFDCA580, "any_button_hit" },
    { 0x30F240029F9A6E84, "any_enemy_nearby" },
    { 0x4109C108B9F2C4FD, "any_groups_in_combat" },
    { 0xE883C7AB5D84C72E, "any_ied_left_unidentified_in_zone" },
    { 0x0E25FA643C7C3716, "any_input" },
    { 0x5B75A3A63079AA84, "any_player_in_laststand" },
    { 0xEFCEC3867EC91237, "any_player_nearby" },
    { 0x1882B7A6D0534C67, "any_player_nearby_same_floor" },
    { 0x282E4BB72DCCA577, "any_player_pushed_past_pos" },
    { 0xD19AD5FBA2A0284E, "any_player_under_bridge" },
    { 0x29FE60153C64EF11, "any_player_within_distance2d" },
    { 0x29FA7A153C613268, "any_player_within_distance3d" },
    { 0xF0B2046D0C4D6421, "any_player_within_range" },
    { 0x0E837D71BAEF4E11, "any_rider_still_alive_at_seat" },
    { 0x6F4238EB14A68A5D, "any_soldiers_nearby" },
    { 0x59F35545A5DFC352, "any_vehicle_within_range" },
    { 0xDCE9CD6A8522E1ED, "anyambulancesavailable" },
    { 0x7E49FB772AE94992, "anyammoforweaponmodes" },
    { 0x095EA5381D3F7B50, "anyarmdismembered" },
    { 0x412664D58DABBDAA, "anylegdismembered" },
    { 0x3485E605CE4A5C86, "anyone_can_see" },
    { 0x5B8780A8A3D0C849, "anyone_can_see_spawner" },
    { 0xAF73AFA169A63EAF, "anyone_has_known_player_since_time" },
    { 0xE95ED8B6EA03B574, "anyone_in_combat" },
    { 0xDE7D0E3F6A57B5C1, "anyone_in_hunt" },
    { 0x2FED737B86238B90, "anyoneisinmarkingrange" },
    { 0x28089628F10B8891, "anyplayersinkillcam" },
    { 0xBC13A632ACD0DC47, "anyplayersinlaststandhold" },
    { 0x486C0A1B230D178E, "aoe_instant_revive" },
    { 0x1E1445EFC91EDE37, "aon_loadouts" },
    { 0x1ADE5E8A8630F055, "aonallperks" },
    { 0x51403E5D1A6E480C, "aonperkkillcount" },
    { 0xF880DA67E55D2FA4, "aonrules" },
    { 0xCE0F2778F55FE920, "ap" },
    { 0x2CEC7D6CD03B7ADC, "ap_bpg_md" },
    { 0x3400517ED0B203EB, "ap_bpg_scene" },
    { 0xF394B2573D7D30F0, "ap_breach" },
    { 0xF5DEEABEF6636441, "ap_cctv" },
    { 0xDA1FAD9A69F7936C, "ap_combat_intro" },
    { 0x8EAEAA5191109048, "ap_gar_meetup" },
    { 0x46255BAD55CC066A, "ap_gate_overrun" },
    { 0x60A43D4872DA1579, "ap_infil_crash" },
    { 0x755854FFB464CE4D, "ap_offices_chaos" },
    { 0x72E3AD731D5B83D4, "ap_overlook_reveal" },
    { 0x64C7B5A3C08455C3, "ap_patrol" },
    { 0x775724F9960A322D, "ap_power_lever" },
    { 0x04AF6C383498402B, "ap_residence" },
    { 0xB1CCDD11A0DCE803, "ap_saferoom" },
    { 0x0C167F168F27D267, "ap_stairwell_door" },
    { 0xC690657B8064205C, "ap_stairwell_door_nag_vo" },
    { 0x21744F7279A361E9, "ap_truck_office" },
    { 0x93983E0BA55540CA, "ap_wolf_escort" },
    { 0xE123AC26397D5D36, "apache_activate_function" },
    { 0xAFC62E86974A9CF2, "apache_damage_vision" },
    { 0x7829986F58A13112, "apache_damage_watcher" },
    { 0xA933769440881961, "apache_death_watcher" },
    { 0x03F3591877B4A2BE, "apache_dof_watcher" },
    { 0xE56A70B6E1DD09E6, "apache_fire_vo" },
    { 0x60D6058C0D16C713, "apache_freefall" },
    { 0xC7F57155EE677A56, "apache_hints" },
    { 0xB56C99DC9392A112, "apache_killconfirm_vo" },
    { 0xFA7DC6144DB32321, "apache_missile_fire_vo" },
    { 0xDBF787CE99B1157A, "apache_modify_damage" },
    { 0xBBAEA3B7ECFB738B, "apache_reloading_vo" },
    { 0x34118B8F553DDAEF, "apache_start_moving_nags" },
    { 0xA6732F20AFBB2FC3, "apache_thermalshellshock" },
    { 0xDF4570A5960DD8A2, "apache_vehiclekillconfirm_vo" },
    { 0xB1F67BAD0959FF27, "apachee_pilot" },
    { 0xFA061367968DDF61, "apachepilotpool" },
    { 0xA80374F6C083DAB4, "apachepoints" },
    { 0x5EDCF27E2A32F90C, "apartment_catchup" },
    { 0xB18C2ABCA3526AAA, "apartment_check_if_grenade_explodes_in_apt" },
    { 0x8036087334BCCA2C, "apartment_check_if_grenade_goes_out_window" },
    { 0xE314AB5E986C9069, "apartment_check_if_grenade_kills_civilian" },
    { 0xF304177D674E70D2, "apartment_containment" },
    { 0x818EB99CC9D5059D, "apartment_dead_bodies" },
    { 0x01EF94BEC3CAA546, "apartment_destruction_grenade_effects" },
    { 0x122A3C31C5051CAA, "apartment_dying_crawl_civ" },
    { 0x509D79974F26989F, "apartment_dying_crawl_civ_kill" },
    { 0x638561B7AB61798B, "apartment_enforcer_enter_apt" },
    { 0x10539A0F4DDC5835, "apartment_enforcer_glass_break" },
    { 0xFB7BA0FA117B26E7, "apartment_enforcer_grenade" },
    { 0x90180B9877576CD0, "apartment_enforcer_grenade_throw" },
    { 0x70DDA22F4ACC3E25, "apartment_enforcer_movement_handler" },
    { 0xFE9A6CB7463893BE, "apartment_grenade_door_handler" },
    { 0xA2031A79FA034AC4, "apartment_handsup_civ" },
    { 0xB9A218977E7831B2, "apartment_handsup_civ_mb" },
    { 0xEB6DB02CC97ECB8C, "apartment_init" },
    { 0x820144D4EBB8319F, "apartment_main" },
    { 0x3E0D1DD8E12FAD2F, "apartment_player_grenade_effects" },
    { 0xE3E834F627B319E4, "apartment_price_handler" },
    { 0x6D117D4CEEF9F869, "apartment_pursuit_timer_handler" },
    { 0xAD462DB94FE44C36, "apartment_start" },
    { 0xD85E559F29F71C21, "apartment_stp_main" },
    { 0x47BB9D91A8EDF1B5, "apartment_toggle_containment" },
    { 0x8B3D1203A1EDFE59, "apc" },
    { 0x64EA6903AA72BA4F, "apc_1_sound_ent" },
    { 0x78DC0ED4FBB56929, "apc_attack_target_until_closer_threat" },
    { 0x603636E597489054, "apc_bravo_sounds_start" },
    { 0x52D8D079ABFB17E9, "apc_cleanup_handler" },
    { 0x4AF45AA16B70856D, "apc_destroyed" },
    { 0x11E25A451C799AD9, "apc_disable_turret" },
    { 0x638FD3A7389C43E0, "apc_exit_cops_sequence" },
    { 0x38A16A1FDC4657C1, "apc_exit_counter" },
    { 0x87A3EB0583CB7236, "apc_exit_sequence" },
    { 0xAC79AD53D3BF479F, "apc_exit_thread" },
    { 0xFD08A02D5AF27DBC, "apc_exit_vo" },
    { 0x5FF2E2040BB84902, "apc_fire_main_cannon" },
    { 0x112D9F9E0942B8C7, "apc_horn" },
    { 0x84028F0031DDE30A, "apc_hurttarget" },
    { 0x98D07A258F9368FA, "apc_intro_sounds_start" },
    { 0x0D2BEDA1A3BB0EF6, "apc_intro_vo" },
    { 0x3B499EA6824754CB, "apc_lerp_fov" },
    { 0x79433A137D327E1B, "apc_main" },
    { 0x5C6DAB95FEFF7DC7, "apc_player_detector_monitor" },
    { 0x5313F63B1CE97F42, "apc_player_detector_volume_handler" },
    { 0xF2D2293F103AF1D0, "apc_rus_adjustdriverturretammo" },
    { 0xCE16946D6B7BFCDF, "apc_rus_cp_create" },
    { 0x05C5A2E1F103694B, "apc_rus_cp_createfromstructs" },
    { 0xA3BD3EE5266A3364, "apc_rus_cp_delete" },
    { 0xEE7E97FB9796017D, "apc_rus_cp_getspawnstructscallback" },
    { 0x443BB1DFA4C77B61, "apc_rus_cp_init" },
    { 0x83AA5B2BF7879905, "apc_rus_cp_initlate" },
    { 0x87B213EA491006BC, "apc_rus_cp_initspawning" },
    { 0xCA8E70A9A3AAB7CF, "apc_rus_cp_ondeathrespawncallback" },
    { 0x8166B843E8B9DE65, "apc_rus_cp_spawncallback" },
    { 0x08263362F11C5BF2, "apc_rus_cp_waitandspawn" },
    { 0x28F0F41DBB85B6A1, "apc_rus_create" },
    { 0x5D6F67F9CD14BFF3, "apc_rus_createturret" },
    { 0x708963985B93188C, "apc_rus_damagecancriticalhit" },
    { 0xFA3C08474E60A2BA, "apc_rus_deathcallback" },
    { 0xBCB8F01BB7E3D540, "apc_rus_deletenextframe" },
    { 0x7963634791302654, "apc_rus_driverturretreload" },
    { 0x71666E5A03C61296, "apc_rus_enterend" },
    { 0xE2E471496E60E66B, "apc_rus_enterendinternal" },
    { 0x75E86FAB50B97203, "apc_rus_enterstart" },
    { 0x82F88CEBEEC67D36, "apc_rus_exitend" },
    { 0x26EDBF357FECB20B, "apc_rus_exitendinternal" },
    { 0x40B9AA84D8CDDE62, "apc_rus_explode" },
    { 0x6F3E3E6D830026DB, "apc_rus_getspawnstructscallback" },
    { 0x64FE29E78CA3D32F, "apc_rus_init" },
    { 0x51169CD08CD96F21, "apc_rus_initcollision" },
    { 0x99D1F3561822039E, "apc_rus_initdamage" },
    { 0xDEADF635C600C169, "apc_rus_initfx" },
    { 0x9DA49F242ED48F05, "apc_rus_initinteract" },
    { 0x36A50992528F90C3, "apc_rus_initlate" },
    { 0x0FA5424C042242A8, "apc_rus_initoccupancy" },
    { 0xF48000CF94B8A779, "apc_rus_initomnvars" },
    { 0x1A66D1B15B168336, "apc_rus_initspawning" },
    { 0x31F16F51EAF51E25, "apc_rus_monitor" },
    { 0x2E163048BC92055D, "apc_rus_monitordriverturretfire" },
    { 0x850A92866AC70850, "apc_rus_monitordriverturretreload" },
    { 0xE064EC05269D75D9, "apc_rus_mp_create" },
    { 0x788CD60BD2DE9ACE, "apc_rus_mp_delete" },
    { 0x56632E00B4A717A3, "apc_rus_mp_getspawnstructscallback" },
    { 0x24CC2E8F9EC09D97, "apc_rus_mp_init" },
    { 0x0B925A285F61B49D, "apc_rus_mp_initmines" },
    { 0xA0458138F8D901AE, "apc_rus_mp_initspawning" },
    { 0xE0BB88EB22ED40D1, "apc_rus_mp_ondeathrespawncallback" },
    { 0xD27575392D8330EF, "apc_rus_mp_spawncallback" },
    { 0xD0A3F39C97AAD7D8, "apc_rus_mp_waitandspawn" },
    { 0xFF62C69112343C87, "apc_rus_postmoddamagecallback" },
    { 0xD852F82645A94D8C, "apc_rus_premoddamagecallback" },
    { 0x82425792624145F0, "apc_rus_update" },
    { 0x021CE2AEC5B27576, "apc_rus_updatechassisanglesui" },
    { 0x7D1DF68AA0E63540, "apc_rus_updatedriverturretammoui" },
    { 0x3B53FE17A3A7C64E, "apc_rus_updateomnvarsonseatenter" },
    { 0xCF3690C9AD581509, "apc_shoot_at_target" },
    { 0x378179508A8175D8, "apc_shoot_logic" },
    { 0x6DDC035B5A213F5E, "apc_should_attack_player" },
    { 0x5512D781ED932A2A, "apc_start" },
    { 0x2088A36DE71A030C, "apc_target_enemies" },
    { 0x603C7AEC58A93D75, "apc_target_updater" },
    { 0x065066B142DE6613, "apc_turret_behavior" },
    { 0xAF6EA0CAF6552191, "apc_turret_scanning_behavior" },
    { 0x3C52193816145D86, "apce_p1" },
    { 0xC892D0A410AED4EA, "apcrespawntime" },
    { 0xB16B7893F8EF9A90, "apcsrus" },
    { 0x5B3E8B3D30EF0ADB, "apcstart" },
    { 0x93F42993E32BE8A9, "apcstop" },
    { 0x6786675BF4D339AB, "apcturret" },
    { 0xFC87528B1EC3A627, "apcwid" },
    { 0x382D296A7A82CA00, "aperturespeed" },
    { 0xEB2D7994B65239E8, "apex_delta" },
    { 0x040D0CC4D9F21B58, "apex_delta_local" },
    { 0x17B88D7086C6461C, "aplanted" },
    { 0x0FA85122D4ACEA08, "appliednukethreads" },
    { 0x0B914710E8A26CEA, "apply_and_remove_attention_flag" },
    { 0x4BBCA9DB34D8E161, "apply_apc_soldier_settings" },
    { 0xD53FD6B6A564A926, "apply_common_combat_settings" },
    { 0xB62E65F20512BBD9, "apply_crit_effects" },
    { 0x0018883DEFADA277, "apply_difficulty_settings" },
    { 0x0C460326AC94FF05, "apply_difficulty_settings_shared" },
    { 0xD846813CABCE156A, "apply_emp" },
    { 0x17D5323F26C7700E, "apply_emp_struct" },
    { 0x40566516FFC56864, "apply_friendly_fire_damage_modifier" },
    { 0xB83B7A83A11209BC, "apply_func_to_all_in_group" },
    { 0xE4226020EFDC2908, "apply_juggernaut_part_damage" },
    { 0xDC73CE0B6FBD94AC, "apply_option_to_selected_fx" },
    { 0x29C0E32B56D5CC6C, "apply_reverb" },
    { 0x8A7830E3BF251B6D, "apply_track_settings" },
    { 0x1203D99B227ED748, "apply_truck_dmg" },
    { 0x9AE0D2EEBE228DBC, "applyaccoladestructtoplayerpers" },
    { 0xBD7C69BE28BFDC2C, "applyanglesoffset" },
    { 0xE5C550C0364A8052, "applyarchetype" },
    { 0x937C26B099325B0F, "applybombcarrierclass" },
    { 0x69EB81F2229D4B51, "applybombstoplayers" },
    { 0x828F5CF5A6D22B00, "applycaptureprogress" },
    { 0xD35DD7F0DB4E25F1, "applycaptureprogressanduseupdate" },
    { 0x1A2FCA8EFF421EB1, "applycirclesetdvars" },
    { 0x401FB04F759CE832, "applycirclesettings" },
    { 0x1BDBF86464F964F7, "applyconcussion" },
    { 0xBE40C3D8F49C8CF1, "applydroneimpulsevelocity" },
    { 0xA49630630332E9DF, "applyempshellshock" },
    { 0xB4FF7DB0E8AC6199, "applyempshellshockvisionset" },
    { 0xEE170D2786FBC1AD, "applyflagcarrierclass" },
    { 0xD60E02D34D7FB777, "applyflash" },
    { 0xC2E501530F734CEA, "applyflashfromdamage" },
    { 0x5E762AD49F98A792, "applyfovpresentation" },
    { 0x4ECBC4E6BF0D1F12, "applygamemodecallout" },
    { 0x9E38EEA4C2CDAB9A, "applygasdamageovertime" },
    { 0xC7DABD9275FC03C1, "applygaseffect" },
    { 0x878C1BA6358A1F64, "applyinteractteam" },
    { 0x9E82C66710BCB6FA, "applykillstreakplayeroutline" },
    { 0x5EFA137514993A2B, "applylocaledefaults" },
    { 0x370D52969F663F0D, "applylocaledvars" },
    { 0x80DE3AAAFAE66684, "applymapenableonspawn" },
    { 0xCC06496A83864041, "applymapvisionset" },
    { 0x9D5DC0963E28D1E5, "applyminigunrestrictions" },
    { 0x7BD5CEFAB069AE6A, "applymovingcircles" },
    { 0xAD775E893FCB6046, "applynvgforrevive" },
    { 0xA8C70C57FD913E2C, "applyoffset" },
    { 0xCC91388604C88668, "applyoutlinecalloutsource" },
    { 0x26C34BCF679A392C, "applyparentstructvalues" },
    { 0x9D77E450F5967DD1, "applyperkomnvars" },
    { 0xE0076773FCE8A104, "applyplayercontrolonconnect" },
    { 0x478B057C5C88EB25, "applyprematchplotarmor" },
    { 0xA311441CCECAFF47, "applyquest" },
    { 0x49F6A2654670A47C, "applyradiusdamageasmelee" },
    { 0x455FAA8139538A20, "applyshrapnelfx" },
    { 0xC27EF30002C89FA1, "applyshrapnelfxinternal" },
    { 0xCC52A17767F9A4C7, "applyshutdownonspawn" },
    { 0x4E1B687A28C86131, "applyspawnprotection" },
    { 0x8965BEEE2F258464, "applystoppingpower" },
    { 0xF52428B69906F7EE, "applystunresistence" },
    { 0x498BFE4E2A1A232A, "applythermal" },
    { 0x7BBAE9250D38F177, "applytimervisibleteam" },
    { 0xD12D8FE8BACF5B41, "applyuavshellshock" },
    { 0xEA132733B96FFADB, "applyuavshellshockvisionset" },
    { 0x9BBBF70278220073, "applyweaponchange" },
    { 0xE8C78EF7A0D31C91, "applyweaponsonicstun" },
    { 0x4293BB8A18A211E5, "applyxyzoffset" },
    { 0xDE9132353823E5BB, "applyzombiescriptablestate" },
    { 0xD93E1F54B316D46C, "apprehension_init" },
    { 0xF4DFD11BBF3E583E, "apprehension_interaction" },
    { 0x9EB917DE1BFC8622, "approach_1f_civ_vo" },
    { 0x05AE31527B2D8F0E, "approach_building_wait" },
    { 0xE8D4CB5363E84CE5, "approach_fd_and_idle" },
    { 0xBFF8306535ECE37F, "approach_types" },
    { 0xCB8EE46E4C03C72C, "approachdir" },
    { 0xFEA24879C06EFC01, "approx_location" },
    { 0x62E4074545796791, "apt_grenade" },
    { 0x5CB133F17ABAC300, "apt_hallway_door_setup" },
    { 0x92F1318037698FC5, "aptenforcerfakefire" },
    { 0xF7DCE693E1599CE6, "aptenforcergrenade" },
    { 0xB27F021035053D52, "aptstairblockers" },
    { 0x8B416403A1F2A886, "aq1" },
    { 0x661471532788C1CA, "aq_boy_1" },
    { 0x63807525198D6C35, "aq_chatter" },
    { 0xC97F0C752FE1A980, "aq_enforcer" },
    { 0x871EE98231B834BF, "aq_enforcer_entourage" },
    { 0x4059068FAFAF3B98, "aq_female_1" },
    { 0xD0231DCAE06EF5B6, "aq_hall_blind_corner_shooter" },
    { 0xA3E2813810C340A9, "aq_hall_cover_move" },
    { 0xF5633570F8FD6C69, "aq_hospital_hall_left_flank_ambusher" },
    { 0x3899C3E354EAB3EA, "aq_hospital_hall_left_side" },
    { 0x4215945D658EA789, "aq_hospital_hall_right_side" },
    { 0x33A51CF2EA20C1C4, "aq_hospital_stairwell" },
    { 0xD15B8B1DC073BD5E, "aq_hudenabled" },
    { 0xAEEC652E5E98C06A, "aq_hunter_bounty_hud" },
    { 0xD30C6E903A981B8C, "aq_hunter_target_hud" },
    { 0x0AC8F5B0C31AF5B0, "aq_initquest" },
    { 0xB025D5EDA09F192C, "aq_killer_tag_taken" },
    { 0x13EEEA2FCC58CBA0, "aq_lobby_breach_spawners" },
    { 0x4E44525A4E2E562B, "aq_ontimerexpired" },
    { 0xCFD4125BBEB3D4D3, "aq_ontimerupdate" },
    { 0x228B119761F0E143, "aq_override_ar_lasersight" },
    { 0x8E32B55C36B1CD76, "aq_override_pistol_silenced" },
    { 0x685174C668CA6A9B, "aq_playerdied" },
    { 0xCBA0366325FC96CF, "aq_playerdisconnect" },
    { 0x0F231E1BDA1ECF37, "aq_playerremoved" },
    { 0x6B7E743A4B9E477A, "aq_questthink" },
    { 0x647DA99E45EC6474, "aq_questthink_circleposition" },
    { 0xFD23535E7A426B62, "aq_questthink_objectivevisibility" },
    { 0x64D833C313DB2741, "aq_removequestinstance" },
    { 0x9DA64209206A9862, "aq_removequestthread" },
    { 0x55DC1CF520EDE71E, "aq_run_behind_truck" },
    { 0xA3C501C54B95E436, "aq_soldier_1" },
    { 0xA3C500C54B95E203, "aq_soldier_2" },
    { 0xA3C4FFC54B95DFD0, "aq_soldier_3" },
    { 0x4705DF5387D23549, "aq_soldier_dialog_struct" },
    { 0x5E44CF7EEB3E7F3B, "aq_target_hud" },
    { 0xBD67D7D7974B14CB, "aq_targethudenabled" },
    { 0x694ACA87BFD78B1B, "aq_technical_1_sound" },
    { 0x3C1BC6F82195CA8A, "aq_technical_2_sound" },
    { 0xA4B5A2FB8A8ED545, "aq_technical_spawners" },
    { 0x61DF49A1C60B4DBC, "aq_technical_unload_watcher" },
    { 0xAEDB0E2E6CD5EE50, "aquireplayertime" },
    { 0x7936032039345713, "ar_callout_ent" },
    { 0x7D144A8B9225FC6D, "arbitraryuptriggers" },
    { 0x3F1A09AF4CFAD841, "arbitraryuptriggersstructs" },
    { 0xFF80C988BAA0AF5D, "arbitraryuptriggerstruct" },
    { 0x183440CC5F1033A9, "arcade_games_progress" },
    { 0x78EC44957E3DAC52, "arcade_last_stand_power_func" },
    { 0xDC79968445772578, "archetype" },
    { 0xD97DB8F15BAAE6BD, "archetype_exists" },
    { 0xA321F9D910C8AF40, "archetype_selection_monitor" },
    { 0xEC966AE82B55FE85, "archetypeassetloaded" },
    { 0x4BBD7749B6F45158, "archetypeexists" },
    { 0x4E35CFA4DBAB26A0, "archetypegetalias" },
    { 0x8D4C0AB4DBE60024, "archetypegetaliases" },
    { 0x7C617FDBF8A1D2F5, "archetypegetrandomalias" },
    { 0x89E06AD28A6AE7A5, "archetypehasstate" },
    { 0x20DD4D7110845162, "archetypeids" },
    { 0xABBAB1D37150C374, "archetypeoverridepriorities" },
    { 0x0ADD55EBD84A5CE1, "archetypeoverrides" },
    { 0x3F58B8004F2D9590, "archetypepriority" },
    { 0x568B0FE4C5067731, "archetypes" },
    { 0xA95766CA0E3BA621, "archivecurrentgamestate" },
    { 0x13370A2314FFB2C7, "archived" },
    { 0x28C353A44EDAEF14, "archiveplaybackcleanup" },
    { 0x5C1FC27A55652A3A, "archiverequesthelper" },
    { 0xD04004E925293FF0, "archivetime" },
    { 0x4E61DFD0A72EBC44, "archiveusepotg" },
    { 0x09CEFBC3B7EA419B, "arclimits" },
    { 0x16F5C379A0A62215, "are_achievements_allowed" },
    { 0x439EABA139513F1B, "are_all_alive_players_touching_plane" },
    { 0x0E357348FCD5BD0A, "are_all_hvts_eliminated" },
    { 0x81AAB9E6D4318E9B, "are_all_players_in_region" },
    { 0xC204AB898A4448AA, "are_all_players_nearby" },
    { 0x3F79655D744A5C4D, "are_all_players_on_watchtower" },
    { 0x2F296B53ABDF2592, "are_any_consumables_active" },
    { 0xB0CA2C5DCFB840CC, "are_enemies_nearby" },
    { 0xB5EE3871A345EB06, "are_equal" },
    { 0x10AC17A2B4A2B505, "are_part_of_same_landmark" },
    { 0x76E6AE908D3D281D, "are_players_in_volume" },
    { 0xB36730CCF10D4749, "are_players_nearby_turret" },
    { 0x14AA2CD6C5F5155D, "are_relics_active" },
    { 0x2CFA4EE3D576E1BA, "are_weapons_free" },
    { 0x435127FD34C51F88, "area" },
    { 0x60917547FAC63F92, "area1_targets" },
    { 0x45D465E7D097B2C0, "area1_targets_mount" },
    { 0xD0DEDB5DBE4B32F9, "area_gone_hot_think" },
    { 0xDB09B0BDAA6C829B, "area_marker_add" },
    { 0x1C48DA4F225440B0, "area_marker_remove" },
    { 0xD32F80EF15BFC819, "area_structs" },
    { 0xA21DCA619B0506E9, "area_vehicle_spawning" },
    { 0xC5A05B4D7CD0F29C, "areacounter" },
    { 0xFD45DD455077EFA1, "areaidmap" },
    { 0x0AEC3AA8D2A9AF99, "areallmerittierscomplete" },
    { 0xE9F40278F1632462, "areanygulagfightsactive" },
    { 0xA8E1E9A42D909B24, "areanynavvolumesloaded" },
    { 0xD7A1DE3D13D42F0A, "areas_remaining" },
    { 0x45E573BE4CF96E15, "areatriggers" },
    { 0x8BA45B273A252732, "arefieldupgradesallowed" },
    { 0x8DBE318D0D5F16B4, "arefriendliesnear" },
    { 0x5C86ACAA519379AD, "areinteractionsenabled" },
    { 0x01A4F295E586CBBE, "arekillcamsenabled" },
    { 0x2E754E66108803D8, "arekillstreaksallowed" },
    { 0x377DB3B41C37EEF5, "arekillstreaksequipped" },
    { 0x337B42282541175A, "arematchstatsenabled" },
    { 0xD095F2DB0D7F395C, "arena" },
    { 0xABC981FF8DF08FC4, "arena_bot_get_total_gun_ammo" },
    { 0x14C34939FECD0AC2, "arena_bot_out_of_ammo" },
    { 0xB8293CBF5B47D8E4, "arena_bot_pickup_weapon" },
    { 0x4809BB1B59B3066F, "arena_bot_seek_dropped_weapon" },
    { 0xF7E5193D5C558A91, "arena_bot_think_seek_dropped_weapons" },
    { 0x7CBC5FE5D4AA3874, "arena_endgame" },
    { 0xC63C8EEDBFA1EB74, "arena_loadouts" },
    { 0x2AD62C244240621D, "arena_should_stop_seeking_weapon" },
    { 0x1FC03D778B914F3B, "arena_turret_op" },
    { 0x8BEA292238856C7B, "arena_turret_op_debug" },
    { 0x248B50E3F1DB5395, "arena_turret_op_internal" },
    { 0x4618858355D90296, "arenaballs" },
    { 0x460C1BA8E7C9591D, "arenadamage" },
    { 0x1447910264632E06, "arenaflag" },
    { 0x99B67C617681D6D6, "arenaflag_objectivehide" },
    { 0xDE84E9189A7AFC1B, "arenaflag_objectiveshow" },
    { 0xD8F39231B56EA13B, "arenaflag_oncontested" },
    { 0x9EAB2442B59FC08E, "arenaflag_onuncontested" },
    { 0xA4BD7852F3791961, "arenaflag_onuse" },
    { 0xBCE1920FB0368E0A, "arenaflag_onusebegin" },
    { 0xAA99B73615B3B1C6, "arenaflag_onuseend" },
    { 0xF72ED69921494960, "arenaflag_onuseupdate" },
    { 0xB186F4535A2C28EF, "arenaflag_previewflag" },
    { 0x135F46AC83FA8083, "arenaflag_setcaptured" },
    { 0x1C04E46FCECF4702, "arenaflag_setenabled" },
    { 0xF7BFA0DC52DCBF15, "arenaflag_setvisible" },
    { 0xCEF90AFEFE1586C2, "arenaflag_setvisibledisableinternal" },
    { 0xB3A918BCA3567810, "arenaflag_setvisibleplayer" },
    { 0x6F7C66ED7E33CBB6, "arenaflag_showflagoutline" },
    { 0xE2F0CB5273ED017F, "arenaflag_showflagoutlineplayer" },
    { 0x8DB351D038645CDA, "arenaintroalliesplayers" },
    { 0xC0472BD1BA451A53, "arenaintroaxisplayers" },
    { 0x3129D50D7717F7DE, "arenaknivesout" },
    { 0xFEF785FD4F65C935, "arenaloadouts" },
    { 0x2AF3181699A311C2, "arenaloadouts_getoverrideweaponswithgroup" },
    { 0xEFD5FB77FE6EE4FD, "arenaloadouts_getweapongroup" },
    { 0x458B936947932E0A, "arenaloadouts_removeclass" },
    { 0x776162BE55EB88E6, "arenaloadouts_select" },
    { 0xBA3043D29B0D18C2, "arenamap" },
    { 0x43157594FA90E55A, "arenapickupattachments" },
    { 0x858386DA01ED86C6, "arenaplayers" },
    { 0x38FE46BEAECAC25D, "arenas" },
    { 0xFF306718D4B07265, "arenaspawncounter" },
    { 0xCB64B5B9F07E9259, "arenastpday" },
    { 0x8813118720F3A06C, "arenavday" },
    { 0xFA068146772C4757, "arenaweapont1" },
    { 0xFA068246772C498A, "arenaweapont2" },
    { 0xFA068346772C4BBD, "arenaweapont3" },
    { 0xFA067C46772C3C58, "arenaweapont4" },
    { 0xFA067D46772C3E8B, "arenaweapont5" },
    { 0xFA067E46772C40BE, "arenaweapont6" },
    { 0xFA067F46772C42F1, "arenaweapont7" },
    { 0xFA067846772C338C, "arenaweapont8" },
    { 0x98CB19A3C1D2522B, "arenextpathsinsafebounds" },
    { 0x75EE0B70429A1DDF, "areplayersnear" },
    { 0x39534BEE665D8E5F, "areplayersnearspawnarea" },
    { 0xAACDC6C3BF751474, "areplayerstatsenabled" },
    { 0xF2020557A2FB14AD, "areplayerstatsreadonly" },
    { 0x6C7D0072B9799BF3, "arespawnviewersvalid" },
    { 0x81E86E2E7AD6EA05, "aretagsenabled" },
    { 0xDA0A2E0DF6994FA1, "aretrucksvalid" },
    { 0xEF6CAEF31D82F489, "arevehiclesenabled" },
    { 0x03CF1B548C2E43E9, "areworldweaponsloaded" },
    { 0xA603F4D9E33DDBD6, "argshave" },
    { 0x8B462003A1F83BD1, "arm" },
    { 0x593F0129A6FC8058, "arm_initoutofbounds" },
    { 0x0AFF4F8BD50415F1, "arm_leaderdialogonplayer_internal" },
    { 0x48D9157438CB6723, "arm_player" },
    { 0x7505D6E7463983EE, "arm_playstatusdialog" },
    { 0x43AA618D6C9FDDC6, "arm_playstatusdialogonplayer" },
    { 0x2AB7449EC9017D57, "armageddon_hint_displayed" },
    { 0x2C2038B582796B49, "armcapturestrings" },
    { 0x08054325BC58EF26, "armcrateactivatecallback" },
    { 0x3F462ECC90BE1F69, "armcratecapturecallback" },
    { 0xFAB934DB12E7A723, "armdefconlevels" },
    { 0x43A63FDB6179AB76, "armen" },
    { 0x0C33BAFE5E8E63CA, "armexfilcount" },
    { 0xBAB6A38E285F2DEE, "armingdelay" },
    { 0xFDFB7FFF71667D85, "armnuketimer" },
    { 0x43D233DB61A9F778, "armor" },
    { 0x63A0F8AB84E1264E, "armor_achievementlogic" },
    { 0x2FA5A47CB762CEC5, "armor_audiologic" },
    { 0x5EF633240D49574F, "armor_clearvehiclessmokegrenades" },
    { 0xA2F6326B3880762B, "armor_crate_init" },
    { 0xF4AC3E28C0D57454, "armor_dialogicfeedbacklogic" },
    { 0x349C9835381F3B17, "armor_dialoguelogic" },
    { 0x4E34302AA2333869, "armor_disabled_vfx_loop" },
    { 0xFD760E63C72756AA, "armor_getvehicles" },
    { 0x5F0D193692D5C5E8, "armor_main" },
    { 0x943068464B07A497, "armor_meter_monitor" },
    { 0x1008475C8A86E0F5, "armor_nag" },
    { 0xF85379D232593E05, "armor_notifylevelonvehicleendpath" },
    { 0x5561D3C3417DBD6E, "armor_objectivelogic" },
    { 0xCBB2AD08172B09EE, "armor_piercing" },
    { 0x52BF33D61FBBF6D1, "armor_resistance_to_type" },
    { 0xC59C66CC38E3C061, "armor_spawnvehicles" },
    { 0x34D75ED7FDD175BF, "armor_start" },
    { 0x370D2153C67B5962, "armor_target_vo" },
    { 0xEF6E990D39A0AEED, "armor_vehicleenemieslogic" },
    { 0xA356496578638ED1, "armor_vehicleinitialsmokegrenadeslogic" },
    { 0x6FB0B5B0B880EB33, "armor_vehiclelogic" },
    { 0x1C17F67EEE6A7166, "armor_vehiclespottedlogic" },
    { 0x12D85EB28131B2BF, "armor_vehiclespottedspeedlogic" },
    { 0x0D427C98E85DA0A3, "armor_vehiclesstoppedautosave" },
    { 0x356C26E642C2C391, "armor_vehicletireaudiologic" },
    { 0x6A327892FFD44CD0, "armor_vest_hint_func" },
    { 0x3284D7659A8FFC24, "armoramount" },
    { 0xEFBBFE3F090D8390, "armorbox_canusedeployable" },
    { 0xFAE04A2AB7E7B721, "armorbox_onusedeployable" },
    { 0x08CF3D575FE981CB, "armorbox_used" },
    { 0x78495A10B9745714, "armorbox_usedcallback" },
    { 0x31271F4AF0F0ADF7, "armorbreak" },
    { 0xC26BDF4B5B7ECF41, "armorbroke" },
    { 0x078322F6599C70C6, "armorcancelnotifywait" },
    { 0x7EF1FE1B0722B0CD, "armordamagehints" },
    { 0x1D7533A5A1FACAF9, "armordamagetohealthratiomax" },
    { 0x1D5225A5A1D46477, "armordamagetohealthratiomin" },
    { 0xA3B900D89689E396, "armordistanceratio" },
    { 0xAF64252242230B52, "armordroptimer" },
    { 0x37AA284A2B330711, "armored_basic_combat" },
    { 0xE1B01D79A3E5490E, "armorhealth" },
    { 0x04C5E14CE07F5C35, "armorhealthratio" },
    { 0xA2E846576ACECF6A, "armorinit" },
    { 0xA841AB62DEAB3CD7, "armorinventoryratio" },
    { 0xEAA71E9123579869, "armormaxprobability" },
    { 0x296176A2A0CD9383, "armormitigation" },
    { 0xFAAADC31E46127AC, "armormod" },
    { 0x6CA30ACC6B1D6A1D, "armornoui" },
    { 0xB75896587565838E, "armoronweaponswitchlongpress" },
    { 0xAE39F7E104C3C525, "armorpiercingmod" },
    { 0x51D863147F82C19B, "armorpiercingmodks" },
    { 0xAB5AAE0758669CE1, "armorplateinsertion" },
    { 0xADB3A0EDCE6D65F5, "armorplates" },
    { 0x7BCDB4E7DDC549D5, "armorprotectsdamagetype" },
    { 0x492FBE623A2172E9, "armorqueued" },
    { 0x6B02104DAF25475B, "armorratio" },
    { 0xEDA467244EBA829D, "armorratiohealthregenthreshold" },
    { 0x8B7287463B6E490D, "armorratioinverse" },
    { 0xF7EDA2E8B5CAA7AD, "armorstructreplenish" },
    { 0xCE31BB18C61CEF1E, "armortoggleui" },
    { 0x46DABF5EF56FE689, "armorvest_clearbroke" },
    { 0xED82372B5CEFBC85, "armorvest_clearhit" },
    { 0x0BB50852CAE0116E, "armorvest_setbroke" },
    { 0x66E0887BDEF9DACA, "armorvest_sethit" },
    { 0x1F27714DED412EA1, "armorvest_wasbroke" },
    { 0x051D652153F8099D, "armorvest_washit" },
    { 0x22A8DB1BB22D12B0, "armorvestbulletdelta" },
    { 0x9D532BF712877705, "armorvestcancelblendcontrols" },
    { 0xDE4CBCA8DDF7B96C, "armorweapon" },
    { 0xFDCE0CE713C5EC37, "armory_01" },
    { 0xC32CB1D0979FC716, "armory_01_anim_start" },
    { 0xC40481D25657836A, "armory_01_catchup" },
    { 0x95F29C6EDDA45695, "armory_01_main" },
    { 0xBCDCA172612723DA, "armory_01_nag" },
    { 0x1F14F95AD2A30104, "armory_01_start" },
    { 0xFDCE0DE713C5EE6A, "armory_02" },
    { 0x9C55244AA18F8FE7, "armory_02_door" },
    { 0x3BD1A6E3F26398AD, "armory_02_guards_vo" },
    { 0x4666937CEE19B91E, "armory_02_main" },
    { 0x08231386D4499EC5, "armory_02_start" },
    { 0x5BF892C0EF86C3E3, "armory_guard_breakout" },
    { 0x154176EF9FC46457, "armory_guard_death_watcher" },
    { 0xE1E5929E4B2E985B, "armory_guards_anims" },
    { 0x2E809BDA7C3A1F57, "armory_guards_ignored" },
    { 0x4AB74DD28FCB9941, "armory_lights" },
    { 0x5801CCC3EA841767, "armorykioskpurchaseallowed" },
    { 0x464A180D7C1A282B, "armorykioskused" },
    { 0x45786F113E55F86A, "armorylights" },
    { 0x5897115D9461C8D3, "armoryswitches" },
    { 0xAB0F821020EF23EB, "arms1think" },
    { 0x69F8145E97E3BB0C, "arms2think" },
    { 0x90DCCA745741B6DA, "arms4think" },
    { 0xF4136E762F4D0F20, "arms_race_p1" },
    { 0xA3AD036AC0D52CEE, "arms_race_spawn_music" },
    { 0xB4CD4369C4ECF6DF, "armsdealer_loadout_interaction" },
    { 0x301D1E3133CE8506, "armsrace_c4_charge_detonate_think" },
    { 0x8953018493A4416B, "armsrace_c4_charge_think" },
    { 0x09C64D60916016A8, "armsrace_c4_plant_spot_reset_on_failed_plant" },
    { 0xF6293DEFE6029527, "armsrace_c4_planter_attack" },
    { 0xC690A31FA09AC717, "armsrace_c4_planter_backlot" },
    { 0x644C118CA5BB1B86, "armsrace_c4_planter_internal" },
    { 0xEAABE79994E71B2D, "armsrace_c4_planter_parking" },
    { 0xCCF9C30F6235DF92, "armsrace_c4_planter_super" },
    { 0x6E061DBE70F077D5, "armsrace_caches_defended" },
    { 0xCEF22294A967C424, "armsrace_phase_hold_behavior" },
    { 0xE81F8D2E32C28AE4, "armsrace_phase_hold_behavior_internal" },
    { 0xD1ACD62627574928, "armtime" },
    { 0xA2118F6FB9D55862, "armweights" },
    { 0xC866A7DBC395ACFA, "array" },
    { 0x0B40B1C2C0E2B7DA, "array_add" },
    { 0xA722C631F31ED2FA, "array_add_safe" },
    { 0x093524496F9F6DD7, "array_add_size_limited" },
    { 0x4D2AF4ED2F7BE761, "array_any_wait" },
    { 0xBD6CE282B8662DEB, "array_any_wait_match" },
    { 0xF43B90484BD5E5FC, "array_any_wait_match_proc" },
    { 0x043C1794B4B193B6, "array_any_wait_proc" },
    { 0x748F7FEA54BDD034, "array_any_wait_return" },
    { 0x84E6FA8292D63A95, "array_any_wait_return_proc" },
    { 0x3070BAA3069D86ED, "array_any_wait_timeout" },
    { 0x65FF0057D8BC05DA, "array_any_wait_timeout_proc" },
    { 0x1ACE2C838258AE32, "array_average" },
    { 0xBECA3C1CA1F9088F, "array_call" },
    { 0xDDA01EBAC95643A7, "array_check_for_dupes" },
    { 0x7268A5F8D7166308, "array_combine" },
    { 0xA71F4DB0239CEC71, "array_combine_multiple" },
    { 0x510ACC61768B2307, "array_combine_non_integer_indices" },
    { 0x5B566DEEB1392256, "array_combine_unique" },
    { 0x2E270E989FD4C7F3, "array_combine_unique_keys" },
    { 0x6327773AAD73729E, "array_compare" },
    { 0x57ED2E17553BE616, "array_contains" },
    { 0x99A1728F3D03CEF2, "array_contains_key" },
    { 0x93032DE323A594C4, "array_contains_solution" },
    { 0xB25307E1D886BFA8, "array_convert_keys_to_ints" },
    { 0x2F19A0D820568348, "array_deck_shuffle" },
    { 0x18FAC7C5CFEF531C, "array_delete" },
    { 0x89A83F47879B9726, "array_delete_evenly" },
    { 0x5A6FA985F00E2FD0, "array_difference" },
    { 0x552BFA096E6A0FC6, "array_divide" },
    { 0xD154011BF1CC0245, "array_ent_flag_wait" },
    { 0x9E732A3202CF3E62, "array_ent_flag_wait_proc" },
    { 0x4AB80260035E51B3, "array_exclude" },
    { 0x2888C5D8B0E13544, "array_find" },
    { 0xD0B66DDD9DBB8FE6, "array_get_first_item" },
    { 0x43420D5014AE8522, "array_handling" },
    { 0x514D4EE65CAB670A, "array_hardfail" },
    { 0x49437FCFAAE5E8A3, "array_index_by_classname" },
    { 0x1F38839FD9ABD08C, "array_index_by_parameters" },
    { 0x48125034D5E35DE8, "array_index_by_script_index" },
    { 0x097B4086527464D9, "array_init_distribute" },
    { 0x476DE1E4B57E550F, "array_init_fill" },
    { 0x1A53A7869E8E8656, "array_insert" },
    { 0xFF6337F2696D2B22, "array_intersection" },
    { 0x8CE98363D351B46F, "array_kill" },
    { 0x6C0276E5A915D9EF, "array_levelcall" },
    { 0x34C28312E03C772F, "array_levelthread" },
    { 0x7639622657BB1F35, "array_merge" },
    { 0x9A180424267D997A, "array_notify" },
    { 0x3614537C6FA51AE9, "array_of_light_targetnames" },
    { 0x0A82E88B5FB9393B, "array_of_torrent_points" },
    { 0x3AFAB0711E99C002, "array_randomize" },
    { 0x90F833C17C69E175, "array_randomize_objects" },
    { 0xBCCB64A185146783, "array_remove" },
    { 0x7B9AC886015346E9, "array_remove_array" },
    { 0x0261D80A7CBD82E1, "array_remove_dupes" },
    { 0x851847C1D61AD952, "array_remove_duplicates" },
    { 0xAC32043585EFAACA, "array_remove_first" },
    { 0xD8DA8E2ADD7A3AB0, "array_remove_index" },
    { 0x72DFD1BBABE4D062, "array_remove_keep_index" },
    { 0x5AF7A7A48663D073, "array_remove_key" },
    { 0xA65CE8E158280F99, "array_remove_key_array" },
    { 0x58C82D0E210914BB, "array_remove_nokeys" },
    { 0xB6655BAA7D6F0C15, "array_removedead" },
    { 0xE419F73FDF91B8CB, "array_removedead_keepkeys" },
    { 0x8E0A6BB35F1FAF2D, "array_removedead_or_dying" },
    { 0x498BEAC686C43994, "array_removedeadandai" },
    { 0x0A7B9E770810697D, "array_removedeaddyingorundefined" },
    { 0xE1404543CD62B1C4, "array_removedeadvehicles" },
    { 0x629CA46DF5B265A9, "array_removeundefined" },
    { 0xC32078A43BA1E08B, "array_reverse" },
    { 0x9ADBFEF10D3E508C, "array_rotate" },
    { 0x083176F4297FE19F, "array_slice" },
    { 0xB439BE6E4B545DAE, "array_sort_by_handler" },
    { 0x07E67C0265D0291A, "array_sort_by_script_index" },
    { 0xDD2F6F5ED78E08AF, "array_sort_with_func" },
    { 0xEDD5C4B50513B063, "array_sortbyarray" },
    { 0x99DD3B014A03F1BF, "array_sortbyscriptindex" },
    { 0x1A7E4DCFFDDE8735, "array_sortbysorter" },
    { 0xAE93310FDF41387A, "array_spawn" },
    { 0x8674817C5758D8DF, "array_spawn_function" },
    { 0xA44C24FA4D2675C1, "array_spawn_function_aigroup" },
    { 0x1BAAFB46AB458567, "array_spawn_function_noteworthy" },
    { 0xAA17B5FFC12FEBA2, "array_spawn_function_targetname" },
    { 0x39DF25C7016E6F68, "array_spawn_noteworthy" },
    { 0xCAB75FF9E47926DA, "array_spawn_safe" },
    { 0xD1994CCABE3EC109, "array_spawn_targetname" },
    { 0x063BA8C2019893AA, "array_sum" },
    { 0x962879C361CC3ECF, "array_thread" },
    { 0xB365E702502B2E9F, "array_thread_amortized" },
    { 0x2AF83994091B8795, "array_thread_mod_delayed" },
    { 0x531C879730D3C11D, "array_thread_safe" },
    { 0xFB43D7545EAE921C, "array_to_vector" },
    { 0xCDD76C48C6D1F986, "array_wait" },
    { 0xA51CDDAE55EAC2FC, "array_wait_match" },
    { 0xC53A5AF70F8B580D, "array_wait_match_proc" },
    { 0x68C0DF4BD1B12BD3, "array_wait_proc" },
    { 0x46212492AC508073, "array_wait_timeout_proc" },
    { 0xBEE5A95DEE5E87DF, "array_waitlogic1" },
    { 0xBEE5AA5DEE5E8A12, "array_waitlogic2" },
    { 0x47F2D778954EF0B5, "array_waittill_ballisticdeath" },
    { 0x6C6D8B2529D98F92, "array_waittill_ballisticdeath_proc" },
    { 0x3674BECE75571C83, "arrays_of_colorcoded_ai" },
    { 0x1D54EB83F4C028E6, "arrays_of_colorcoded_nodes" },
    { 0x328D302247D3C040, "arrays_of_colorcoded_spawners" },
    { 0xE991F8573F803AD0, "arrays_of_colorcoded_volumes" },
    { 0x292202D9F2DF52AB, "arrays_of_colorforced_ai" },
    { 0x588301F7FE2185C9, "arrest_lerpend" },
    { 0x1208826C7DD2C578, "arrest_lerpstart" },
    { 0xA30389C9B2738C04, "arrest_main" },
    { 0x65EDA02F10BF8FEF, "arrest_scene" },
    { 0x9E1CA37830B9C393, "arrest_start" },
    { 0x2302C7E53BD21D19, "arrival_animmode" },
    { 0x5A2CAAE63F6F24E7, "arrival_done" },
    { 0xD94CDA805EFAAAA5, "arrival_hadir_pickup_rifle" },
    { 0x0097DC0B7738E4EB, "arrival_hadir_pistol_holster" },
    { 0xD23B3F9559A6EC8A, "arrivalangles" },
    { 0xF9088AA589FB985D, "arrivalasmstatename" },
    { 0xF748BF5C3BBB1CF5, "arrivalcount" },
    { 0xDDD2DEA6A7D85F86, "arrivaldata" },
    { 0x7DF0644809824867, "arrivaldesiredspeed" },
    { 0x1D13D971A74B640E, "arrivaldistsq" },
    { 0x6B2E4193C923B517, "arrivalendstance" },
    { 0x7798EFF5FD8E1427, "arrivalfailed" },
    { 0x4A8D426DE5C392A4, "arrivalhack_emptywait" },
    { 0x6E47EC0B298F302A, "arrivaloptionalprefix" },
    { 0xB8A1EDA2F91B34B9, "arrivalspeed" },
    { 0xFF0A8DD38B04C34C, "arrivalspeedtarget" },
    { 0xD27E0148ADE5240A, "arrivalstance" },
    { 0x7FB9E4403E42997B, "arrivalstate" },
    { 0x286A0148EC768C98, "arrivalstates" },
    { 0x9C2A3A651FABC9C2, "arrivalstopfired" },
    { 0x064FC3E6F394BA90, "arrivalterminate_patrol" },
    { 0x85291996609BC7BC, "arrivalterminatewait" },
    { 0x9630356212B517B5, "arrivalusefootdown" },
    { 0x5C2E35F819FB5E83, "arrivalxanim" },
    { 0xB8B625CFF2B2CF51, "arrive_at_exfil_location" },
    { 0xA46B4A0DF3116BC9, "arriveatvehicle_terminate" },
    { 0xEDD838177BFE5630, "arrived_at_goal" },
    { 0x2BB37B5584B1CDB6, "arrived_at_patrol_exit" },
    { 0xE7C707029A9774DD, "arriving" },
    { 0x72F1526A122AF0DE, "arrow_debug" },
    { 0x60BDD3024CBC5AAB, "art_catchup" },
    { 0x83A9B2F6F5092D8A, "art_main" },
    { 0x40DB70FAABD101E9, "art_start" },
    { 0x0173C519A4751563, "artillery_earthquake" },
    { 0x7AC1E6DFC8344C4F, "ascenddeathlistener" },
    { 0xD8D09766DEDF9188, "ascender" },
    { 0xDBE30AEE88D6FD37, "ascender_deathwatcher" },
    { 0xEE734F83E83062F5, "ascender_disableplayeruse" },
    { 0x7CB77FD0A6CB4543, "ascender_entrance" },
    { 0x6F77B905B6C3A112, "ascender_entrance_2" },
    { 0x11712797F94FE0F1, "ascender_weapon" },
    { 0xB065A19A1D8FCF81, "ascenderinstantstop" },
    { 0xA48F717418BED0E8, "ascendermodelview" },
    { 0x8E5B226E45FC1863, "ascendermodelworld" },
    { 0x7D0DE829675EF983, "ascendermsgfunc" },
    { 0xB24EF23C25AE0B01, "ascenders" },
    { 0x0AF8878748844F3E, "ascenderscriptableused" },
    { 0x59DED40014D290ED, "ascendersoloscriptableused" },
    { 0x36E48AAEF32A3034, "ascenderstart" },
    { 0xF61190D9C5CA487B, "ascenderuse" },
    { 0xD444F17ABA29C809, "ascendsolostarts" },
    { 0x612E9058628516EA, "ascendsolostructs" },
    { 0x7DE5FBC61186080E, "ascendstarts" },
    { 0xBBB7C370CA82BABF, "ascendstructend" },
    { 0x10A9CB7108021606, "ascendstructout" },
    { 0x031E2DAAE9E322D3, "ascendstructs" },
    { 0x509F4DFD3E1493FA, "asin" },
    { 0x75D83D3A9F2152E3, "asleep" },
    { 0x8B4A3C03A1FC6F3C, "asm" },
    { 0x7C0C33318AB97797, "asm_addephemeraleventtowatchlist" },
    { 0x27AD97C23B51103F, "asm_animcustom" },
    { 0xF000B6E17DBEA493, "asm_animcustom_endanimscript" },
    { 0xBE5C741833E45EEC, "asm_animhasfacialoverride" },
    { 0x0DE718D2B0971BD9, "asm_animhasfacialoverridemp" },
    { 0x07152E293B6D43BE, "asm_animscripted" },
    { 0x9F5D959D5D67C075, "asm_checktransitions" },
    { 0x8428FD36134B0F71, "asm_chooseanim" },
    { 0xBFAF5C8D0562BB51, "asm_cleanupaimknobs" },
    { 0x44B9EA9690D6B8D3, "asm_cleanupaimknobsonterminate" },
    { 0x3E83B9DEE1FF1058, "asm_cleanupaimknobswithdelay" },
    { 0xD36CE157F6F0235D, "asm_clearallephemeralevents" },
    { 0x2EF74B507C43FCB0, "asm_cleardemeanoranimoverride" },
    { 0x025098E1ACAFD14B, "asm_clearevents" },
    { 0x9F43207C1CAED177, "asm_clearfacialanim" },
    { 0x765D8C029F4FD9CF, "asm_clearfingerposes" },
    { 0xA2BD495D438F3DCA, "asm_clearikfingeranim" },
    { 0xEBFE9000BECE2678, "asm_clearvisoranim" },
    { 0x66FEC0EED626E3FB, "asm_currentstatehasflag" },
    { 0x01E4F12B57DAABA8, "asm_donotetracks" },
    { 0xB4AA096F2A0E71E6, "asm_donotetracksfortime" },
    { 0xE0393BA97A39BD0F, "asm_donotetracksfortime_helper" },
    { 0x91FC8D22E244AD3A, "asm_donotetrackssingleloop" },
    { 0x2C98ABA27F2AC631, "asm_donotetrackssingleloop_waiter" },
    { 0xD6215EE83FC68793, "asm_donotetrackswithinterceptor" },
    { 0x072C3683CF1D2313, "asm_donotetrackswithtimeout" },
    { 0x408810333BD7859C, "asm_donotetrackswithtimeout_helper" },
    { 0x64A511A241B30247, "asm_dosinglenotetrack" },
    { 0x3489634F54F77EBB, "asm_ephemeral_event_watchlist" },
    { 0x5149C8C8284806FC, "asm_ephemeral_events" },
    { 0xD32073B625C8E668, "asm_ephemeraleventfired" },
    { 0xCD72A30F1D8E5761, "asm_eventfired" },
    { 0x11BF69643FA96F41, "asm_eventfiredrecently" },
    { 0xAF7C689D03B15860, "asm_events" },
    { 0xEE5EB7253E0217EC, "asm_fireephemeralevent" },
    { 0x1E7E0C62A34B6547, "asm_fireevent" },
    { 0xEA6BD84BF8B98BA9, "asm_fireevent_internal" },
    { 0xF0A1B0F359117076, "asm_generichandler" },
    { 0x779997564508B819, "asm_getaimlimitset" },
    { 0xAFAE987AD43AC8E5, "asm_getallanimindicesforalias" },
    { 0x4A1BB818064982ED, "asm_getallanimsforalias" },
    { 0x2A0C9791F2A750C4, "asm_getallanimsforstate" },
    { 0x0940EDB87ADC7572, "asm_getanim" },
    { 0xA859B7DFACD26AE6, "asm_getanimindex" },
    { 0x3A795B3087A48B4F, "asm_getbodyknob" },
    { 0x4CAA6687CC38DB19, "asm_getcurrentstate" },
    { 0x2D7625AFE39093F2, "asm_getcurrentstatename" },
    { 0x7F915C06D2FDEB30, "asm_getdemeanor" },
    { 0x8D80661E8F36C68D, "asm_getdemeanoranimoverride" },
    { 0x718930801D8DC62E, "asm_getephemeraleventdata" },
    { 0x4AD41D5E4324AEB9, "asm_geteventdata" },
    { 0x3B3646CF8C2241C0, "asm_geteventtime" },
    { 0x1E966EC7449A631F, "asm_getfacialknob" },
    { 0x627CB13BBBC855BB, "asm_getfunction" },
    { 0xD0123416DC8E9538, "asm_getgenerichandler" },
    { 0x048FEE919C8EB341, "asm_getheadlookknobifexists" },
    { 0x73C3F3131B2F69C1, "asm_getinnerrootknob" },
    { 0x4B044777A390068D, "asm_getmoveplaybackrate" },
    { 0x474D52A2B9FB160D, "asm_getnotehandler" },
    { 0xC7C25781F3C91451, "asm_getparams" },
    { 0xD9C9836A90DE45B8, "asm_getrandomalias" },
    { 0x24A512FE4942C901, "asm_getrandomanim" },
    { 0x84022A2871F67377, "asm_getroot" },
    { 0x7BCBF580D910F324, "asm_getxanim" },
    { 0x77799C0F89688158, "asm_globalinit" },
    { 0xAE73DF7FE5B7B2DF, "asm_handlenewnotetracks" },
    { 0x80D8C4742F0C12BF, "asm_handlenotetracks" },
    { 0xB8D0558F7CC21409, "asm_hasalias" },
    { 0x9872177879B557B9, "asm_hasdemeanoranimoverride" },
    { 0xDB1FEA8AABDD7468, "asm_hasknobs" },
    { 0xA89405A3AB72077B, "asm_hasstatesp" },
    { 0xB7727C433978D8CD, "asm_ikfingeranim" },
    { 0x1EA7DDE562CF6127, "asm_init" },
    { 0x2F8AA46E88332EE1, "asm_init_blackboard" },
    { 0xCF9533E25D282558, "asm_initfingerposes" },
    { 0xFAF0DBC2EA52F968, "asm_iscrawlmelee" },
    { 0xD0DAECAD39993822, "asm_isfrantic" },
    { 0x9322CB1204B6414D, "asm_isweaponoverride" },
    { 0xDAD067BE8C57BB6E, "asm_lookupanimfromalias" },
    { 0xA02F8BD485314001, "asm_lookupanimfromaliasifexists" },
    { 0x5C9EEB6448F00C54, "asm_lookupdirectionalfootanim" },
    { 0x6B1F670F29DBB89C, "asm_lookuprandomalias" },
    { 0x0DB2018BBFF520B3, "asm_loopanimstate" },
    { 0xF700726251B8884D, "asm_playadditiveanimloopstate" },
    { 0x6D9DC4547321DE12, "asm_playadditiveanimloopstate_helper" },
    { 0xE7563F0C313E0783, "asm_playadditiveanimloopstate_mp" },
    { 0xE6F55B0C30D3599D, "asm_playadditiveanimloopstate_sp" },
    { 0xD027C7A14D39E2CB, "asm_playanimstate" },
    { 0x163C9117C9142601, "asm_playanimstateindex" },
    { 0x008A5EE2BFF55E93, "asm_playanimstatenotransition" },
    { 0xACB6B00091830A2C, "asm_playanimstateuntilnotetrack" },
    { 0x8C7F224833B8E8ED, "asm_playanimstatewithnotetrackinterceptor" },
    { 0x4B316EB41F09CF3E, "asm_playfacialanim" },
    { 0xB501FA1DE3C5565E, "asm_playfacialanim_mp" },
    { 0xB47DE61DE333F730, "asm_playfacialanim_sp" },
    { 0x4EB92E7277DA2015, "asm_playfacialanimfromnotetrack" },
    { 0x2141FADC4EC54313, "asm_playfacialaniminternal" },
    { 0x0D93163691FBD31E, "asm_playfacialaniminternalmp" },
    { 0xF845A858F009EC2B, "asm_playfacialanimsingleframedeath" },
    { 0xBB5C374627901753, "asm_playikfingeranim" },
    { 0xF8385BFD2BCFCCDA, "asm_playvisorraise" },
    { 0x49957823FB500332, "asm_powerdown" },
    { 0x31A03AAE492C06F7, "asm_powerup" },
    { 0x3C277DE3CB499334, "asm_register" },
    { 0x73C091D3F3A6A3E8, "asm_restorefacialanim" },
    { 0xA5A9409916CAA6E4, "asm_setaimlimits" },
    { 0x0D631E64035A039C, "asm_setanimscripted" },
    { 0x8CE7EF60ADB2D19A, "asm_setcrawlmelee" },
    { 0x6A18FFD8C9F28939, "asm_setdemeanoranimoverride" },
    { 0xD0C4EE2E05D42329, "asm_setmoveplaybackrate" },
    { 0x4A5976A84A07732D, "asm_setoverrideparams" },
    { 0x39BDF36317018780, "asm_setstate" },
    { 0xC52674C9A429EB21, "asm_setstateaimlimits" },
    { 0xB2E8B2DC53BDA6F2, "asm_settransitionanimmode" },
    { 0x6E6E5963C22504F0, "asm_settransitionanimmode_legacy" },
    { 0x876D95E1FF69DA78, "asm_settransitionanimmode_transition" },
    { 0x6CB4A61E895B123E, "asm_settransitionorientmode" },
    { 0x7D1A882FCD7F7914, "asm_settransitionorientmode_legacy" },
    { 0x0EDF7BCA3A107F5C, "asm_settransitionorientmode_transition" },
    { 0x8837E3F05654608F, "asm_setupaim" },
    { 0x997E9D86F10A836B, "asm_setupaim_sp" },
    { 0x5F8892C2A936893D, "asm_setupgesture" },
    { 0x769855D3FFB040E7, "asm_shoulddeathtransition" },
    { 0xE2C2A094768384EB, "asm_shouldpowerdown" },
    { 0xA45714C71862C86F, "asm_stopanimcustom" },
    { 0xAE6696ECF8E447CE, "asm_stopanimscripted" },
    { 0x17E5658903C8F5F7, "asm_terminateandreplace" },
    { 0xB71701A1951A1A10, "asm_tick" },
    { 0x7189222ED9F025D6, "asm_tryhandledeathstatechangenotetrack" },
    { 0x65354EB7EF88D833, "asm_trynvgmodelswap" },
    { 0xE20FC291C10F99C1, "asm_updatefrantic" },
    { 0x5930A2DACF7EBD5B, "asm_waitforaimnotetrack" },
    { 0x4DC1CE1CA9E8E694, "asmasset" },
    { 0x3AB4CEDA8A5D1E29, "asmclearephemeralevents" },
    { 0x64347E69FCAB664D, "asmcurrentstatehasaimset" },
    { 0xFB5B18C1997D6DCC, "asmcurrentstatehasflag" },
    { 0x44A5840F85B0B069, "asmcurrentstatehasshootadditive" },
    { 0xEA354EFF9C9DE726, "asmdevgetallnotetrackaimstates" },
    { 0x42722827AB01E346, "asmdevgetallstates" },
    { 0x5AB3FD5337B101FA, "asmdodeathtransition" },
    { 0xDC3FD01372B3B6AB, "asmephemeraleventfired" },
    { 0x3CB143E5163ED1ED, "asmevalpaintransition" },
    { 0x8D2632EAA32E24D4, "asmeventfired" },
    { 0x812DA0A47A9BC9E3, "asmeventfiredwithin" },
    { 0x1C4C3BA542A7DD3D, "asmfireephemeralevent" },
    { 0xA9A19B77A9DE2138, "asmfireevent" },
    { 0x635E1B34CC33884B, "asmfuncs" },
    { 0x3F352955A2120F5D, "asmgetanim" },
    { 0x062DCE37A914F48E, "asmgetcurrentstate" },
    { 0x67501EBE1EAF07F5, "asmgetephemeraleventdata" },
    { 0x77F4137E7159C7F8, "asmgeteventdata" },
    { 0x628BC1FFDA83C869, "asmgeteventtime" },
    { 0x7B23C5433206563D, "asmgetfacialstate" },
    { 0x50D5C2968B365F88, "asmgetnotehandler" },
    { 0x3408E3DD2D8FD202, "asmgetstatetransitioningfrom" },
    { 0x6861CAA31A203A39, "asmhaspainstate" },
    { 0x72A1EE6E5B84EAE1, "asmhasstate" },
    { 0xDC206F1C60EABB94, "asminstantiate" },
    { 0x301694BA27D93FF7, "asmname" },
    { 0xBD131EF7BBAFE32A, "asmparams" },
    { 0xF7EC644D4449F752, "asmregistergenerichandler" },
    { 0xBC5D1270BD7DF9A9, "asmsetstate" },
    { 0x10AB0A9FCF60E433, "asmterminate" },
    { 0x459AE5CFE773AAB1, "asmtick" },
    { 0xB929E0D3F5B9D59C, "aspectratio" },
    { 0x8B4A3203A1FC593E, "ass" },
    { 0x48928E9DBD44BD94, "assaigned" },
    { 0x64C84507F6217344, "assassinate_dialogueenemydeathslogic" },
    { 0xAF7106B5F6857FBC, "assassinate_dialogueinstructionslogic" },
    { 0x4AA26C12BAD27527, "assassinate_dialoguelogic" },
    { 0x1A5C5A282DE1EE5B, "assassinate_dialoguemisslogic" },
    { 0x2BD677833A75A4E6, "assassinate_dialoguetruck" },
    { 0x78E5EAC05C71D5AC, "assassinate_dogslogic" },
    { 0xA9C62AD4953B0230, "assassinate_drawweaponhintlogic" },
    { 0x60F2CEB364AE3D77, "assassinate_driverdeathlogic" },
    { 0xD67F809AFF7723F3, "assassinate_enemiesdeathlogic" },
    { 0x15CA1A7E72F52025, "assassinate_enemiesdialoguelogic" },
    { 0xEB829F4B224AF4BF, "assassinate_enemieslogic" },
    { 0x3B73D30A67DB6701, "assassinate_enemybinocularslogic" },
    { 0x2D3B8C7B5B24887F, "assassinate_enemylogic" },
    { 0x6790DF76EC5F1954, "assassinate_enemyreactlogic" },
    { 0xEC1DDC5D65EC6BA3, "assassinate_farahkillremainingenemieslogic" },
    { 0xE29E0EE1581B26E3, "assassinate_farahlogic" },
    { 0x1FA7AFF6EE94DA77, "assassinate_flankfarahnaglogic" },
    { 0x85F30941CBEED2CE, "assassinate_getanimationstruct" },
    { 0xB237980E035956C6, "assassinate_getbehindtrucktrigger" },
    { 0x4D16701FB9603E96, "assassinate_getcrawlcovernodes" },
    { 0x2215B6B267AA2B08, "assassinate_getdrawweaponhinttrigger" },
    { 0xA9C9CB01CCD8A8F9, "assassinate_getenemies" },
    { 0xB1C7CE548B68C994, "assassinate_getplayerflanktrigger" },
    { 0xFBC60550B50F14F2, "assassinate_getspawners" },
    { 0x218951DAEBBEF3ED, "assassinate_getvehicle" },
    { 0x606A0A61095C6B9F, "assassinate_interiorscenelogic" },
    { 0xF4E2FDEE51B077F8, "assassinate_main" },
    { 0x48FE5D5C4CE396D9, "assassinate_playeralertsenemies" },
    { 0x432DA9075B3FEA52, "assassinate_sfxlogic" },
    { 0x37EFD4DD221E1755, "assassinate_spawnenemiesinvehicle" },
    { 0x5FDE77AAAC75F9B8, "assassinate_spawnvehicle" },
    { 0x5E96FDCA642E31AF, "assassinate_start" },
    { 0x29DF271148143FFF, "assassination_target" },
    { 0x358F01B3D849871B, "assassinationcontract_complete" },
    { 0x200004216B969AB0, "assassinationcontract_get" },
    { 0xB13FAC747EBE9F58, "assassinationtimewarning" },
    { 0x8CF0061761D9ADA5, "assault1_riverbed" },
    { 0xC38ABF197A8F4F96, "assault2_fob" },
    { 0x0211C44D07003B41, "assault3_hangar" },
    { 0x4BB44A51414410FF, "assault_enemieslogic" },
    { 0xE45F06F4EA61C910, "assault_enemymagicmolotovgrenadelogic" },
    { 0xD1DBD25FC29A8158, "assault_getextraenemyspawners" },
    { 0xFF06543A8E9D3038, "assault_main" },
    { 0x148B8769BDCC54EF, "assault_start" },
    { 0x94547B96A9EE602D, "assault_update_hint_logic" },
    { 0x9DB7D9227F9EB31F, "assault_vehicle" },
    { 0x3B5DC2E3695E92EF, "assault_vehicle_sound" },
    { 0x6FF053AD3FEDB8A4, "assault_vehicle_spawner" },
    { 0x856E07DCE878ED10, "assault_weapons_array" },
    { 0x621C0BF3A9286B8B, "assaultdrones" },
    { 0x5A6272BF916659E8, "assaultkill" },
    { 0x0A0026FA68C8708C, "assaultspawns" },
    { 0xD353703EB7E16967, "assert" },
    { 0x44AFC2E6CBA48D1C, "assert_existance_of_anim" },
    { 0x33CA24FC141946DF, "assert_if_identical_origins" },
    { 0xE01B61B2E3701CC2, "assertcirclesettings" },
    { 0x8C41B350EF9AE03C, "assertdemo" },
    { 0xCD0ACB4784E8DEFA, "assertex" },
    { 0x4AFBE349A074B850, "assertmsg" },
    { 0x2EEB698BE4C9112C, "assetname" },
    { 0xF7F23D1CED94691C, "assetoverridename" },
    { 0xAD1AA36E14F0CFE0, "assetref" },
    { 0x2BB1ACB16BB41FC1, "assign_agent_func" },
    { 0xE911E6F858F69823, "assign_animals_tree" },
    { 0x2190EE854B949D48, "assign_animtree" },
    { 0x5072BE12677A4843, "assign_animtree_based_on_subclass" },
    { 0x1C7C4991432F9F3B, "assign_animtree_based_on_unittype" },
    { 0x9A1176EDCD28F316, "assign_bed_civ_index" },
    { 0x00FD3A403C7C8A9F, "assign_c12_animtree" },
    { 0xF32011FA02FA8FB4, "assign_c6_animtree" },
    { 0x7599406F9438F3A6, "assign_c8_animtree" },
    { 0xFC296F99286A0914, "assign_door_ents" },
    { 0xD82C1E077E1A0F36, "assign_drone_tree" },
    { 0x6D2BF9B43588B6D7, "assign_event_location" },
    { 0x12C3DA7A2F7F552E, "assign_fx_to_trigger" },
    { 0x99D9AEC93D335B89, "assign_generic_human_tree" },
    { 0x4D475FBA366A44FE, "assign_heli_positions" },
    { 0x061D8DE4DB74D191, "assign_highest_full_slot_to_active" },
    { 0x45F7EAAC5065A7DA, "assign_human_animtree" },
    { 0x4E4C9A56EF2925A1, "assign_loadout_weapons" },
    { 0x61CCC6C38E86891D, "assign_lowest_full_slot_to_active" },
    { 0xD36CA5704A87078A, "assign_model" },
    { 0xE1A7B1DE4421DF34, "assign_more_vehicle_unload_groups" },
    { 0x3284C6472E89EDEF, "assign_nearby_jammer_as_pursuit_target" },
    { 0x9BF994E6FA234B1D, "assign_npcid" },
    { 0x8D4E7E1CE5CAF854, "assign_player_team" },
    { 0xF2C097180BFF1F59, "assign_pvpe_team_and_slot_number" },
    { 0xA0CE60E960000DA4, "assign_random_bed_civ_index" },
    { 0x7201618F1414CE71, "assign_scripted_movement" },
    { 0x67335E71B0BE3B89, "assign_soldier_spec" },
    { 0x7BD26D49196136FF, "assign_spawner" },
    { 0xD9CB0AAB62D9D99F, "assign_spawnpoints_to_parent_structs" },
    { 0xADC1C1D2A95030EE, "assign_trigger_on_player_spawned" },
    { 0x2B78E454B81ADF06, "assign_unique_id" },
    { 0xBD69D542595ADDE8, "assign_vehicle_interaction" },
    { 0xF59C1F8AA437BEF3, "assign_weapons_to_structs" },
    { 0x9EECCA869E6C9AAD, "assign_window" },
    { 0xEC7DA01DF1DAE7D8, "assignchevrons" },
    { 0xC18AF19E14ED0BB5, "assignclientmatchdataid" },
    { 0x31118BD60D9D6221, "assigncodecomputersdisplaycodes" },
    { 0xA4E9FFB2E4F1B049, "assigned" },
    { 0x944D6D3CA60F81D0, "assigned_ai" },
    { 0x69461E73E2B2DF83, "assigned_ai_index" },
    { 0x0FA35661D3E1F638, "assigned_pos" },
    { 0x42A7FAC07AE09ACD, "assigned_to_player" },
    { 0x70B480F691E81D58, "assignedteam" },
    { 0xB42059A858B4887F, "assigngamemodecallout" },
    { 0xC9E271243A613A2B, "assigngoalpos" },
    { 0xE6FA3C0974E8B6BB, "assignhelitoexfilpoint" },
    { 0x9842FED7013EBBD6, "assignintelchallenges" },
    { 0x2A9857AEC6628987, "assigninteractteam" },
    { 0xDFA48A0B536B60E2, "assignkilledplayermodifiers" },
    { 0x93DD4B03D07E334D, "assignlevelstoturrets" },
    { 0x616C8175EE1C3D62, "assignlootpassivetoweapon" },
    { 0x9F2E27C1FD717CEB, "assignpersonalmodelents" },
    { 0xDEDC2F8E1DDCCBFC, "assignrandomspawnselection" },
    { 0x9C607E0463171ED5, "assignscriptablemodels" },
    { 0xB28597E02AE4F6CC, "assignspectatortofollowplayer" },
    { 0xB84CB67B4C255AF2, "assignspectatortospectateplayer" },
    { 0x3C832C569BFB9BA8, "assignspectatortospectatetryagain" },
    { 0xA373598CDC26304D, "assignteamspawns" },
    { 0x9E7CEF30FC32721C, "assigntimervisibleteam" },
    { 0xB2F577C4247A33E2, "assignvehicleminimumsforvolume" },
    { 0xFB90E5FF2AEB0D8E, "assignvehiclestoteams" },
    { 0xD5D778C55B095FAF, "assignweaponheavyslot" },
    { 0xAFBA63A404EB8144, "assignweaponmeleeslot" },
    { 0x50440BA78DB9577A, "assignweaponoffhandprimary" },
    { 0xB866BD91BACC7FC6, "assignweaponoffhandsecondary" },
    { 0x49C95526FABE641F, "assignweaponoffhandspecial" },
    { 0x416D42F33F6C1328, "assignweaponoffhandtaunt" },
    { 0x2BF4669385DDB7DE, "assignweaponprimaryslot" },
    { 0xAF0FCCA87B7D7FBE, "assist_onbeginuse" },
    { 0x7A9870621C043E16, "assist_onenduse" },
    { 0x53B9B9C792E743A1, "assistedsuicide" },
    { 0xF229048CCA9BC613, "assists" },
    { 0xDB203B721B264A4C, "assists_disabled" },
    { 0x4DE0B077CFFBBB5C, "assistsgiven" },
    { 0x7886E77587D1DA61, "assisttouchlist" },
    { 0x305DB031F892A7F8, "associate_digit_display_model" },
    { 0x7A33A7646328E3FB, "associate_lead_with_player" },
    { 0xEDE3B9FCDC17A67A, "associate_turret_settings_from_type" },
    { 0x50B17F20BD9367F5, "associated_player" },
    { 0x7C349FCA3FAA4EE4, "associated_table" },
    { 0x09419938BB4F5F77, "associatedteams" },
    { 0x738D37D5449186E7, "astar_get_path" },
    { 0xE6144C22617345C9, "astar_node_radius_override" },
    { 0x54D87A3E85BFCCA2, "at_extract" },
    { 0x5A3CA7EC81F933C0, "at_least_goal" },
    { 0x17AF3BACCB7B5565, "at_mine_cleanup_danger_icon_ent" },
    { 0xBBFEA4D0D690F986, "at_mine_create_player_trigger" },
    { 0xBECA23B0644261CE, "at_mine_damage_manually" },
    { 0xE9E374235FF7ECC3, "at_mine_damage_vehicle_manually" },
    { 0x8FCCD36826FA11C4, "at_mine_delete" },
    { 0x799B3572AAB78957, "at_mine_destroy" },
    { 0xC9B99F0CFA714F0C, "at_mine_empapplied" },
    { 0xD81FA516C80CDD9B, "at_mine_explode_from_notify" },
    { 0xC12E75AD8899B9B4, "at_mine_explode_from_player_trigger" },
    { 0x36E591AD990BE979, "at_mine_explode_from_vehicle_trigger" },
    { 0xF94BD37AF926885F, "at_mine_explode_from_vehicle_trigger_internal" },
    { 0x1E666A334ED688C1, "at_mine_init" },
    { 0x2B81391E9C7C205C, "at_mine_modified_damage" },
    { 0xAAA9A4C80A7A37C2, "at_mine_movingplatform_update" },
    { 0x3052EABB0022A533, "at_mine_onownerchanged" },
    { 0x0AF6207D1FF0840C, "at_mine_plant" },
    { 0xEAE7E53ECEFAE3B5, "at_mine_player_trigger" },
    { 0x3BAE72B96B6ACCC3, "at_mine_test" },
    { 0x045DD0E6A300E9E7, "at_mine_update_danger_zone" },
    { 0x62449746C5E1C4DE, "at_mine_use" },
    { 0xEB45E2840B148A6E, "at_mine_vehicle_trigger" },
    { 0xAFCB96DE282711B7, "at_mine_watch_detonate" },
    { 0x11C0C3AF17CDC127, "at_mine_watch_emp" },
    { 0x8D51BF9E0FE10B99, "at_mine_watch_flight" },
    { 0xD71BA63C4AF13404, "at_mine_watch_flight_effects" },
    { 0x192D4F8C7ED81D07, "at_mine_watch_flight_mover" },
    { 0xD5BEF10944F4FAD7, "at_mine_watch_game_end" },
    { 0x32162A72B15CDC19, "at_mine_watch_player_trigger" },
    { 0xE55621246917DE0D, "at_mine_watch_trigger" },
    { 0x5598ABDDA38FAD4A, "at_mine_watch_vehicle_trigger" },
    { 0x5D1B78FD467E651B, "atan" },
    { 0xF2C949899106D3B9, "atbase" },
    { 0x65AEFE1C2A9E773D, "atbrinkofdeath" },
    { 0x5BAA34F817CCA693, "atcapacitycallback" },
    { 0x7587BEDBC12D8481, "atconcealmentnode" },
    { 0x8BDB8F84C1E9F570, "atdangerousnode" },
    { 0x369D0EF1C13C0395, "atk_bomber" },
    { 0x2B8929A0AE459160, "atk_bomber_no_path_to_bomb_count" },
    { 0xCDF2511DB73DF1C7, "atk_bomber_update" },
    { 0x7833B08108B17FCC, "atm_amount_deposited" },
    { 0x536DF12CD0D7F845, "atm_transaction_amount" },
    { 0xD2DFCB1EEAEA9A84, "atmines" },
    { 0xD59577B316D9C8D6, "atmines_delete" },
    { 0x305FC7C3CDBFC129, "atmosphere" },
    { 0x99E7E6FDFE751CB1, "atmosphere_enable" },
    { 0x91420EFB56487D3D, "atmotypes" },
    { 0x7F3F813143C3BAFF, "atr_node" },
    { 0x4AB22DFD59417D0A, "atrest" },
    { 0x694AC5737C6FE890, "attach" },
    { 0xD4F50F58089A6053, "attach_and_detach_phone" },
    { 0x449E10B00FCCA596, "attach_barrels_to_truck" },
    { 0xBF199C0DB5008C23, "attach_chains_to_chair" },
    { 0xE7DA5BBE7840BCD2, "attach_chair" },
    { 0x5C0C1011C5EE3E42, "attach_entity" },
    { 0x99B944BC3A5D0554, "attach_hvt_to_vehicle" },
    { 0x4B49AFF8DB0CAE98, "attach_icon" },
    { 0x4541249B492BFD26, "attach_keycard_left" },
    { 0x15D37A23085B8CFB, "attach_keycard_right" },
    { 0xD668B043ECA14427, "attach_model_override" },
    { 0x5149968ADB6487FA, "attach_player_knife" },
    { 0x51A939F9CE130281, "attach_player_to_heli" },
    { 0xD2DDF05FE45F3D85, "attach_player_to_rig" },
    { 0xF00260A80A01C83F, "attach_price_halligan" },
    { 0x2E5A946AAC001609, "attach_props" },
    { 0xB80CF6835EB0CD06, "attach_shackles_to_rig" },
    { 0x99275870C38C5888, "attach_sidearm" },
    { 0xCA806D59AB71083C, "attach_smuggler_loot" },
    { 0xD090B88B7D52F86F, "attach_turret" },
    { 0x548A2330C24174A7, "attach_vehicle" },
    { 0xA2A04D7AAC5F2C4F, "attach_vehicle_and_gopath" },
    { 0xEE5C804331E1E2AB, "attachcustomtoidmap" },
    { 0x66799146E115A1DA, "attachdefaults" },
    { 0x998CFABBA613986D, "attachdefaulttoidmap" },
    { 0x16C8BFCD2D0BB379, "attachdrill" },
    { 0xAE7B95441E7CCE11, "attached" },
    { 0xE843DE2F14F1D1D4, "attached_bag" },
    { 0x02709608C6AADE03, "attached_barrels" },
    { 0xC9E5185A4DC70A9D, "attached_drones" },
    { 0xCCC472A24C7989F8, "attached_pents" },
    { 0x136BE4D7BAFD2A55, "attachedguys" },
    { 0x335308AA4CAF8C58, "attachedlights" },
    { 0x3D84D119DFF5D5AF, "attachedmodels" },
    { 0x15D5C7E63F9FE94A, "attachedpath" },
    { 0xAA5BB7D17C092C65, "attachedusemodel" },
    { 0x8ECF97D22958D146, "attachedvelocity" },
    { 0x23B16D8A8B719D83, "attachedweaponmodels" },
    { 0x2525EF98B1AD5480, "attachextratoidmap" },
    { 0x3BB54075CCD679A2, "attachflag" },
    { 0xB29743092386B78E, "attachflashlight" },
    { 0x118529F6F782962B, "attachgrenademodel" },
    { 0x611B38CF2B44AE0D, "attachhat" },
    { 0x0F6CEE9C549D1652, "attachhead" },
    { 0x36C81F10DCDFDA04, "attachment" },
    { 0x8B7986BE9287A694, "attachmentammonamehack" },
    { 0x70A33BBA1E33B86C, "attachmentcheck" },
    { 0x4C84DA632C4CC34C, "attachmentdata" },
    { 0x9D21DB25324DBA3E, "attachmentextralist" },
    { 0x64FE2F123EA93497, "attachmentgroup" },
    { 0x2885CFC026D90096, "attachmentinitialprimary" },
    { 0xB7F9A1686F12042A, "attachmentinitialsecondary" },
    { 0xDE668472D42AE4A8, "attachmentinitialsecondarytwo" },
    { 0x4DB27D27B48803CB, "attachmentiscosmetic" },
    { 0xA027A1FB51E0B0C1, "attachmentisdefault" },
    { 0x2CFF631728B984B0, "attachmentismod" },
    { 0x609248DB2DB6A45D, "attachmentisrestricted" },
    { 0x1B6286671FC0EB2C, "attachmentisselectable" },
    { 0x43C1F684B38FFCD7, "attachmentisselectablerootname" },
    { 0xB9AFC42074E03612, "attachmentlogsstats" },
    { 0xB715B271C334EFCA, "attachmentmap" },
    { 0x1188C3F07C9402B9, "attachmentmap_attachtoblocks" },
    { 0x55998E682582D65F, "attachmentmap_attachtoperk" },
    { 0x9D70BC7B580EE89E, "attachmentmap_baseattachtocategory" },
    { 0xFCCDC00227797DC4, "attachmentmap_basetounique" },
    { 0x7EF65C03D406F7DA, "attachmentmap_conflicts" },
    { 0xEC330FBDB9D9D192, "attachmentmap_extratovariantid" },
    { 0x58871801E07E8D27, "attachmentmap_tobase" },
    { 0x9E5D2FA696000974, "attachmentmap_toblocks" },
    { 0x7562AD8BB497E9C2, "attachmentmap_tocategory" },
    { 0x7724B7D0DA366748, "attachmentmap_toextra" },
    { 0x1D5F1288D5D0FF55, "attachmentmap_tounique" },
    { 0x8A3CE9062F0FE418, "attachmentmap_uniqueattachtocategory" },
    { 0x19375E894AE8D238, "attachmentmap_uniquetobase" },
    { 0x0649CAA40A2A61A9, "attachmentmap_uniquetoextra" },
    { 0x0787DC913EE76856, "attachmentperkmap" },
    { 0x771DA372513B26B9, "attachmentref" },
    { 0x87651F68E3CFED57, "attachmentroll" },
    { 0x9EE2E5E3A6D055CE, "attachmentrollcount" },
    { 0x59F6C915C04D73B5, "attachments" },
    { 0x3EA83045584EEFE3, "attachmentscompatible" },
    { 0x3052193596EB2C1F, "attachmentsconflict" },
    { 0x5F75098413B633A1, "attachmentsfilterforstats" },
    { 0xA426FC7992799FDD, "attachmentsourceweapon" },
    { 0x5CCB86F5C7B5F310, "attachmentsurvivorprimary" },
    { 0x71317D647C1156C0, "attachmentsurvivorsecondary" },
    { 0x34678D5DCD3EB21A, "attachmentsurvivorsecondarytwo" },
    { 0xDA99005AC8EEC732, "attachmentvarindices" },
    { 0xC588B21CE45A07E8, "attachmentweapon" },
    { 0x9AA33D92E81C9FC1, "attachmissiles" },
    { 0xC7CA61CF76F3BA75, "attachobj" },
    { 0x72A879053668A572, "attachobjecttocarrier" },
    { 0xF492C2700D2A0D97, "attachpath" },
    { 0xFD92F9E2694B53EB, "attachraritymap" },
    { 0x3E2E36F9F85E429E, "attachshieldmodel" },
    { 0x3EEA01CE5689D8D0, "attachtag" },
    { 0x9DFCD3AD9416B170, "attachtoughenuparmor" },
    { 0x1F97068EB8CC3904, "attachweapon" },
    { 0xD24911CF8DEBC1D4, "attack_behavior" },
    { 0xDEB831171AC35855, "attack_bolt" },
    { 0xAEDDBA8D75F52A0C, "attack_damage_trigger" },
    { 0xF3140702F21BE33A, "attack_heli" },
    { 0x96415D689C8A4009, "attack_heli_cleanup" },
    { 0x7FAE0B59F82486B9, "attack_heli_fx" },
    { 0xC639A0F6BCD742FE, "attack_heli_safe_volumes" },
    { 0xA7537AB84313E7BD, "attack_next_available_time" },
    { 0x557F275936D68A05, "attack_player_cooldown" },
    { 0x9ADFBBB3A7F15A4B, "attack_sequence" },
    { 0xD6C94FA7775F4772, "attack_spot" },
    { 0x17F719FECB6BFF66, "attack_turns" },
    { 0xB32C27D1404D0752, "attackarrow" },
    { 0x21CB9455F69AC4FA, "attackbuttondebounce" },
    { 0x5801698BEC4E134D, "attackbuttonpressed" },
    { 0xA546B03EAB180F64, "attacked_by_chopper" },
    { 0xD8E110443D274922, "attacker" },
    { 0x62D53B600C36C6C6, "attacker_damage" },
    { 0x9C85506E92C466B1, "attacker_isonmyteam" },
    { 0xF79EC7CC19C23CB8, "attacker_troop_isonmyteam" },
    { 0x96D8E4D186C87E40, "attacker_velocity_lerp" },
    { 0x62EEFE3F263FB3AF, "attackeraccuracy" },
    { 0xE7DECFB0984B4B89, "attackercount" },
    { 0x2D418A9C7EF512F2, "attackerdata" },
    { 0x40414FF3F1122B7D, "attackerendzone" },
    { 0xE84CF86217600F7F, "attackerent" },
    { 0x86F6FCDCAD4422FD, "attackerentnum" },
    { 0xEC55688779F55C46, "attackerinitammo" },
    { 0x2509820D490EE4C5, "attackerinremotekillstreak" },
    { 0x4200086D875B31D6, "attackerishittingteam" },
    { 0x5B973BA7BFCB48E0, "attackerisinflictor" },
    { 0xF5C059FE3E71F770, "attackerisinflictorforradiusexplosiveweapon" },
    { 0x71CC7E4FDC6C7E53, "attackerloadoutperks" },
    { 0x30F8C0624CB2238A, "attackernum" },
    { 0x8BA7C9B4D1AD6B3D, "attackerposition" },
    { 0xCAE7A2B039CA5EF9, "attackerregenammo" },
    { 0x1E4017127D663D23, "attackers" },
    { 0x42876803071A0948, "attackerslockedon" },
    { 0x3FB8547D9A21FA7B, "attackerswaittime" },
    { 0x9C4FFDFAE5F9FD96, "attackertable" },
    { 0x6851101842D8B1D3, "attackerteam" },
    { 0xD5896EBC486CC4C6, "attackfactormod" },
    { 0xB408E7BA4E39573B, "attackgroundtarget" },
    { 0xCCB56DA2837D5EF9, "attackheli" },
    { 0x1526A2168380CE2E, "attackheliaiburstsize" },
    { 0xA0DE566EDC2BB8FA, "attackheliexcluders" },
    { 0xAFF06BC396375670, "attackhelifov" },
    { 0x86E5F48487326186, "attackheligraceperiod" },
    { 0x5B6056648A0E21F8, "attackhelikillsai" },
    { 0x16BB0B84322CB652, "attackhelimemory" },
    { 0x96D66DB4C8D40E51, "attackhelimovetime" },
    { 0x4C80CDA298BA3CC3, "attackheliplayerbreak" },
    { 0xB22B03C1A7214CC6, "attackhelirange" },
    { 0xD400224320DB06B0, "attackhelitargetreaquire" },
    { 0x4F3F062F5CC92834, "attackhelitimeout" },
    { 0xBA9C3FDB08FF645A, "attackingtarget" },
    { 0xF653A9DC4C1C9B6B, "attacklasedtarget" },
    { 0x1BD703906CCAC299, "attackpressed" },
    { 0x40428C96A8D31E31, "attempt_ai_air_infil_cooldown" },
    { 0xFFE71745D6BC20C0, "attempt_ai_ground_infil_cooldown" },
    { 0x932D2E7DF3C43594, "attempt_end_sequence" },
    { 0x7A41436E75F5C0FA, "attempt_new_pulse_set" },
    { 0xEA6CCC423744635F, "attempt_take_stunstick" },
    { 0x0813BD9DBB10CD67, "attempt_throttle" },
    { 0xA77D5149DE916CE7, "attempt_to_give_info" },
    { 0x1CC9C2519665AF72, "attempt_to_join_squad" },
    { 0xC93048F3F478DB3A, "attempt_to_walk_around" },
    { 0xD871034B73B0C3EA, "attempted_to_use_gunship" },
    { 0x9EDA2902093A9264, "attempting_teleport" },
    { 0xDA06FFB11CE0BA62, "attempttier" },
    { 0xDF1140027A6360D0, "attic" },
    { 0xD4250FF3F50265A8, "attic_attach_clacker" },
    { 0x8FFAB478FE8EDE84, "attic_bink_start" },
    { 0x92742D7173AF03BC, "attic_death_dialogue" },
    { 0xB14077A66CB89A33, "attic_detach_laptop" },
    { 0xE556DFE78EE5C6EB, "attic_door_triggered" },
    { 0xF79EAE6CDC9AF783, "attic_enemy" },
    { 0x80EED35E2450CF39, "attic_enemy_anim" },
    { 0xCDF0C68C8A7FAAD6, "attic_enemy_death" },
    { 0x2B80B36433BF1358, "attic_enemy_death_vo" },
    { 0x1D43956CAC35D7DE, "attic_enemy_early_death" },
    { 0xD4C72B8BEF20E6F1, "attic_enemy_smartdialog" },
    { 0x4FB09B8E9A673F91, "attic_final_player_deathanim" },
    { 0x4A11B811E46E62C0, "attic_fov_notetrack" },
    { 0xDD95C5D19C2C6C70, "attic_main" },
    { 0xAFB3A1D7D57D50D6, "attic_open_door" },
    { 0xD3E214A1EDCD4AFD, "attic_player_can_shoot" },
    { 0x7A782CE38BFE9BCE, "attic_player_sees_enemy" },
    { 0xE9266A399A87AD9E, "attic_price_anim" },
    { 0x98FDD58E98A79DB2, "attic_price_shoot" },
    { 0x4A0C88D3149189B6, "attic_price_stairtrain" },
    { 0x635206B467BCC482, "attic_room" },
    { 0x858BFCF71D98C687, "attic_start" },
    { 0xADC99C1DFAD22E7B, "attic_swap_door" },
    { 0x04909EEE9C3BCA8B, "attic_swap_door2" },
    { 0xEAAF76C8E6B8D612, "attic_trigger_damage_thread" },
    { 0xC495C25358D8962C, "attic_use_deathanim" },
    { 0x52EB952CA75A47A7, "attic_use_final_deathanim" },
    { 0xDBDD006A0631DC5C, "attic_use_ragdoll" },
    { 0x6F8AA826A8FCC902, "attract_agent_to_alarm" },
    { 0xF87949E37F307EC7, "attract_agent_to_bomb_plant" },
    { 0xDEA80B5D5D4407D4, "attract_agent_to_mortar" },
    { 0x3F771F89CE2AE9C2, "attract_an_agent" },
    { 0xE7E8B96CF2DFC824, "attract_range" },
    { 0xF6113401D6FA21FA, "attract_strength" },
    { 0x87723F6C0CED5756, "attracting" },
    { 0x739B125880651620, "attraction_sr_range_hud" },
    { 0xFAA6F682B163B417, "attractor" },
    { 0xA0E4466C1E452D5F, "attractor2" },
    { 0x8B4E3503A20055AE, "atv" },
    { 0xF22741875A87B87A, "atv_collide_death" },
    { 0xF2A6E2E103A561F5, "atv_cp_create" },
    { 0xA7805FB22B800B89, "atv_cp_createfromstructs" },
    { 0x5C9AB1EA1A9D4D92, "atv_cp_delete" },
    { 0x6F19FADC1BE8A1CF, "atv_cp_getspawnstructscallback" },
    { 0x14ECA3D14B9B4ABB, "atv_cp_init" },
    { 0x64A52326BDB537C7, "atv_cp_initlate" },
    { 0xF4C9FC84AAD94452, "atv_cp_initspawning" },
    { 0xFAD58CDA5697F7C5, "atv_cp_ondeathrespawncallback" },
    { 0xC881D314137E988B, "atv_cp_spawncallback" },
    { 0xB8412FBE3F59B1FC, "atv_cp_waitandspawn" },
    { 0x6B53D3A5D21DE613, "atv_create" },
    { 0x8FD85618620A1B9C, "atv_death_launchslide" },
    { 0xBDBBDA000B4ED5D0, "atv_deathcallback" },
    { 0xC1BBB81E4234635B, "atv_decide_shoot" },
    { 0xECF9B7C0F73DE175, "atv_decide_shoot_internal" },
    { 0x373916E52E29E3E2, "atv_deletenextframe" },
    { 0x35E9015B89920C21, "atv_do_event" },
    { 0xE22D44AA28CC7D24, "atv_enterend" },
    { 0xE2C03066B8622B0D, "atv_enterendinternal" },
    { 0xBB00610B8EDE7C40, "atv_exitend" },
    { 0x45C98ADCDF55A9C1, "atv_exitendinternal" },
    { 0xDA1AAD2E102B7314, "atv_explode" },
    { 0x2941C852F025627C, "atv_get_death_anim" },
    { 0x2EDAD456903C50F2, "atv_getoff" },
    { 0xB4D24CE9DF847EB8, "atv_geton" },
    { 0x5DCD20B1B7A8DEE1, "atv_getspawnstructscallback" },
    { 0x0A176358A9BC318B, "atv_handle_events" },
    { 0x3193D5A77BA170E2, "atv_horn" },
    { 0x5F94A8944A01685D, "atv_init" },
    { 0xF5C625CB24AD0747, "atv_initcollision" },
    { 0x88DC8B0198126068, "atv_initdamage" },
    { 0x667F97A2A846F1DB, "atv_initfx" },
    { 0x6B9BB8E9B242F5C7, "atv_initinteract" },
    { 0x9B080DE91243DF49, "atv_initlate" },
    { 0x76A98A140DBCB2FE, "atv_initoccupancy" },
    { 0xC1759D8B94ACB0AF, "atv_initomnvars" },
    { 0x1AC06447EDA93118, "atv_initspawning" },
    { 0x47DF70B61C6EA214, "atv_loop_driver" },
    { 0x0AB4FB74F0407A4C, "atv_loop_driver_shooting" },
    { 0xE343712FC2F07913, "atv_mp_create" },
    { 0x1ED564E979560300, "atv_mp_delete" },
    { 0x33582EDB558467E1, "atv_mp_getspawnstructscallback" },
    { 0x55D99AA63F63C35D, "atv_mp_init" },
    { 0x9C3DD7FBC1A73877, "atv_mp_initmines" },
    { 0xB1B51DC3EF08EC18, "atv_mp_initspawning" },
    { 0xB7AC8FC03D7C183B, "atv_mp_ondeathrespawncallback" },
    { 0x2AFC3D36879B5899, "atv_mp_spawncallback" },
    { 0xC8CAED8EF512D51E, "atv_mp_waitandspawn" },
    { 0xD50E70A2B7D61E81, "atv_normal_death" },
    { 0x464FF8008B6D0857, "atv_outline" },
    { 0xD7CCD0BD9AE92E4A, "atv_reload" },
    { 0x7CFF683ECA08A886, "atv_reload_internal" },
    { 0xEE9FDD9786DB9BA0, "atv_setanim_common" },
    { 0xD1CF62C0E2ED4D5B, "atv_setanim_driver" },
    { 0x85C8501CBFD2E03E, "atv_shoot" },
    { 0x73F681D4E24FD997, "atv_start_shooting" },
    { 0x7FF02B84D2F90D2D, "atv_stop_shooting" },
    { 0x49A6B975EFB71F12, "atv_trackshootentorpos_driver" },
    { 0xE034C71074475CE9, "atv_trail" },
    { 0x597981F0A222B531, "atv_vehicle" },
    { 0x49F6E24AB6E2BBEF, "atv_waitfor_end" },
    { 0xA062C9BBB426C80C, "atv_waitfor_start_aim" },
    { 0x0E8452CEF3ADB723, "atv_waitfor_start_lean" },
    { 0x567D16FFC3C80733, "atvanglesarray" },
    { 0x9AF4F9914FE573DA, "atvoriginsarray" },
    { 0x5D5473FD46BCD507, "atvs" },
    { 0x577C8332F792B66F, "atvshootbehavior" },
    { 0x53AA66307BD72136, "aud_breached_exit_wind" },
    { 0xF50850FCF31DA5A7, "aud_car_door_opened" },
    { 0xA0C50DBB108C4972, "aud_interior_plane_audio_zones" },
    { 0xE434CAC9F2956A1D, "aud_smoke_grenade_loop" },
    { 0x6726D221318F9355, "audio" },
    { 0x012D5E58EAB6848E, "audio_aq_in_other_room_banging" },
    { 0xF5E7E3BB9A1486A3, "audio_aq_run_behind_truck" },
    { 0x0B43D070B3F4CA02, "audio_aq_run_behind_truck_one_shots" },
    { 0x6F9DEFCD869A3835, "audio_big_truck_turn_on_idle" },
    { 0x9CF1EF53762F31DB, "audio_bink_fadein_ambient" },
    { 0xF6AC86112F9A51EA, "audio_bink_fadeout_ambient" },
    { 0x8A071DEA9D5930B9, "audio_bink_transition_ambient" },
    { 0x279B82D6BEC0EA1E, "audio_bpg_entrance_alarm_loop_start" },
    { 0x3AADB2B06DA50235, "audio_c4_plant_sfx_sequence" },
    { 0xE0F5878A1D307F8F, "audio_carried_music_russians" },
    { 0x4C12CA35D639B0CF, "audio_cctv_mix" },
    { 0xD3317460345A565D, "audio_cctv_mix_clear" },
    { 0x2CBF084E35B02CFA, "audio_chopper_struggling" },
    { 0x29E06BA7FFAC55DE, "audio_clear_audio_zone_heli" },
    { 0xC1233EB05CB57801, "audio_compile_umbra" },
    { 0x510DD840ACD92113, "audio_convoy_flyby" },
    { 0xDF9D700329E6634F, "audio_convoy_sierra_1" },
    { 0xDF9D710329E66582, "audio_convoy_sierra_2" },
    { 0x963493ECCA4132AE, "audio_convoy_tango" },
    { 0xF11328430B1B17B3, "audio_credits_done_rolling" },
    { 0x061A8DFD65773BA5, "audio_credits_start_rolling" },
    { 0x81088AE799181C15, "audio_crowd_angry_outside" },
    { 0x6FDC5D71D61AD3BE, "audio_crowd_cheer_at_end_of_infil_crash" },
    { 0xC6D7A7DF84120CD2, "audio_defend_4_perimeter_zone_state" },
    { 0xCD8F3351EF7B1902, "audio_defend_4_zone_state" },
    { 0xB328FD4AF63A9CF7, "audio_defend_5_zone_state" },
    { 0x2EE66CF1CBBA2600, "audio_defend_6_zone_state" },
    { 0x0E590BE36D3337E7, "audio_dist_shootings" },
    { 0x77F26E464E1AD8D9, "audio_dist_shootings_one_shot_executions" },
    { 0xD089CA6AFD54328F, "audio_distant_gas_death_scream_handler" },
    { 0x0AA4973305538CF9, "audio_distant_gas_death_screams_01" },
    { 0x0AA4943305538660, "audio_distant_gas_death_screams_02" },
    { 0x0AA4953305538893, "audio_distant_gas_death_screams_03" },
    { 0xFE32671B0730052E, "audio_door_clip_thread" },
    { 0xB114F8921BDEC3CD, "audio_door_close" },
    { 0xFAD139B82DED1F43, "audio_door_damage_thread" },
    { 0x303DCB8B1F168213, "audio_door_interaction_wait" },
    { 0x89C63CCB6B42BB7B, "audio_door_open" },
    { 0x300F4C9A26821E8B, "audio_door_set_state" },
    { 0x9F147D4E9348CA95, "audio_door_slam_shut" },
    { 0xB9232D171F5AFF94, "audio_door_sound_clip_init" },
    { 0x6E00ED7C0CD5DE02, "audio_enablepa" },
    { 0x4DA9208EBFEE0BC2, "audio_fade_in_ext_walla" },
    { 0xB1001D35FFC86072, "audio_fade_out_ending_mix" },
    { 0xCE00342A11082505, "audio_fade_out_over_bink" },
    { 0xEB783A9A8C10F746, "audio_farrah_cpapa_ads_handler" },
    { 0x3058D9E2C909AEBC, "audio_final_shot_start" },
    { 0x79D82EFE9F304150, "audio_finale_cockpit_shot" },
    { 0x7D03833B45A0C891, "audio_finale_heli_start" },
    { 0x3AD834ADA9D55A67, "audio_find_script_vehicles" },
    { 0x201F60FE6E69AB76, "audio_fire_loop_start" },
    { 0xD64556549FADB2FB, "audio_front_door_dog_sfx" },
    { 0x9E6930CE6A1F7686, "audio_garage_door_roll_up" },
    { 0x3E5A3535450FA21E, "audio_gas_canister_smoke_atmos" },
    { 0xE9FDAE22D26AB2CD, "audio_gassed_music" },
    { 0xA68DA3432B71BC1A, "audio_gauntlet_leave_sfx_transition" },
    { 0xDB190445B1DFCCF3, "audio_grenade_warning" },
    { 0x675D9783A49FB5D8, "audio_heli_end_fade_out" },
    { 0x1D41FA36312216E3, "audio_heli_fade_up" },
    { 0xF6F604689C3C5CD7, "audio_helmet_transition_helmet_off_no_filter_change" },
    { 0x376DFA7C16086087, "audio_helmet_transition_helmet_off_release_scripted_filter" },
    { 0x3DCC21E6FFD56D23, "audio_helmet_transition_helmet_on_visor_down_w_lma" },
    { 0x9C3A1CC9BF341434, "audio_helmet_transition_helmet_on_visor_up_no_lma" },
    { 0xA0E120E96DD515FB, "audio_helmet_transition_visor_down_w_lma" },
    { 0xACD01CA9F9E523F1, "audio_helmet_transition_visor_up" },
    { 0xBBDF893389F51C64, "audio_hometown_truck_kid_loaded_gate" },
    { 0x760454BA59D86FE9, "audio_hometown_truck_kid_loaded_idle" },
    { 0x6F3ED89F9D865921, "audio_hometown_truck_kid_loaded_leaving" },
    { 0x2D674FA8B1DB73AF, "audio_house_boss_enter_music" },
    { 0xCCCCE8DB576199BB, "audio_house_enter_music" },
    { 0xF2A3B9CD2E0F38AE, "audio_infil_crowd" },
    { 0x1BEFE079F9A85901, "audio_intro_mix" },
    { 0xFA710B6C9A47716E, "audio_intro_mix_change" },
    { 0xDBAA3CBC6A494BF0, "audio_jeep1_idle" },
    { 0x390E7C634D9F36D7, "audio_jeep2_idle" },
    { 0x291679C1C662BB60, "audio_jugg_death" },
    { 0xA94EBEC4AD0B2939, "audio_jugg_spawn" },
    { 0xE2D12181137EB092, "audio_loop_state" },
    { 0xEF63F22782347886, "audio_main_siren_handler" },
    { 0xB6E559FC8AFFAFD4, "audio_mix_bomb_explo" },
    { 0x1E705C4F4C9CD407, "audio_mix_fade_out_end_of_level" },
    { 0x3F68FB4EC3801BCF, "audio_mix_move1" },
    { 0x3F68FC4EC3801E02, "audio_mix_move2" },
    { 0x3F68FD4EC3802035, "audio_mix_move3" },
    { 0x3F68F64EC38010D0, "audio_mix_move4" },
    { 0x1BA9FABF63A4108E, "audio_music_house_post_stab" },
    { 0x0D91F6B77E23CAC8, "audio_music_intro" },
    { 0xB5CE1BC84D8A46AE, "audio_music_stab" },
    { 0x51CFA910F842F23C, "audio_music_stab_kill_brute" },
    { 0xCECB22C1D3E35DAD, "audio_music_start_st_pete" },
    { 0x82A5E56B45E013FA, "audio_music_stop_music_delay" },
    { 0x5A50062EDA3C2C4E, "audio_music_streets_fade_out" },
    { 0x14AF0D1B0C397BDF, "audio_music_streets_grab_player" },
    { 0xE2B99A391065DB05, "audio_music_transition_to_alley" },
    { 0xC9B048FD0DA90A45, "audio_notify_change_mix" },
    { 0xCB2A4AEB1804B008, "audio_office_alarm_loop_start" },
    { 0xA4E80B380E6A79FE, "audio_panodes" },
    { 0x17F25AD374C3BD49, "audio_pipes_bomb_plant_start" },
    { 0x21CE5F82BCD2BBC9, "audio_play_bodyfalls_for_htf_anims" },
    { 0x74DE07E9165972AD, "audio_play_bullet_impacts_around_player" },
    { 0xC5E42652B9EDD77E, "audio_play_littlebird_sfx" },
    { 0x7D3AB3A26A1D02F5, "audio_player_delete_mud_loop" },
    { 0xDAAB068B4F399FA1, "audio_player_spawn_mud_loop" },
    { 0x5B213B5DBFFA7C44, "audio_player_start_mud_loop" },
    { 0x85845B2651F15908, "audio_player_stop_mud_loop" },
    { 0x2527EEA1A6E1BB48, "audio_poppies_mix_change" },
    { 0xE08071DAD3FDC04A, "audio_post_gas" },
    { 0x20838E5E4DA35531, "audio_post_truck_office_alarm_loop_start" },
    { 0x58FFEF8B4725290C, "audio_python_open_filter" },
    { 0x310F7EBFFF10E754, "audio_railyard_fires" },
    { 0x06B78176027266D4, "audio_residence_door_close" },
    { 0x86A6E1E56605A1B8, "audio_residence_door_open" },
    { 0x94A764E11FB7F6E6, "audio_shed_truck_idle_monitor" },
    { 0xCE39E471CD5D4FBC, "audio_shf_kill_hangar_lights" },
    { 0x50B8426C4B4389D0, "audio_start_air_raid_siren" },
    { 0x3CF6CAFAA270ECBD, "audio_start_car_siren_01" },
    { 0x3CF6C7FAA270E624, "audio_start_car_siren_02" },
    { 0x3CF6C8FAA270E857, "audio_start_car_siren_03" },
    { 0xFDBB952ACC510542, "audio_start_car_siren_handler" },
    { 0xB24D9C19B60DA118, "audio_start_obj_room_fires" },
    { 0xC747F4B356A1A41F, "audio_start_pre_impact_group_walla" },
    { 0x5A237A6A24A818E3, "audio_start_ramp_emitters" },
    { 0x70BDE0654A4C2022, "audio_start_stairwell_car_scene" },
    { 0x9A0AB7CAA32F4780, "audio_stop_obj_room_fires" },
    { 0x86F69C497B18DDC9, "audio_stp_intro_amb" },
    { 0x2B59CFBFD671B3F1, "audio_thread_lever" },
    { 0xFDBAA9516E38536A, "audio_toggle_door_propagation" },
    { 0x8596C2AF90929FFD, "audio_train_front_car_low_groan_handler" },
    { 0xBF1706F699090614, "audio_train_front_car_mtl_screech_handler" },
    { 0x4EC67593F62C09E0, "audio_train_mid_car_low_groan_handler" },
    { 0x3FB08BC36B008C39, "audio_train_mid_car_mtl_screech_handler" },
    { 0xC2C4E04EB54645BE, "audio_train_rear_car_low_groan_handler" },
    { 0xEE4D5B2CBB0D7C27, "audio_train_rear_car_mtl_screech_handler" },
    { 0xCE1D095C393B394E, "audio_truck3_wake_up_and_away" },
    { 0xD2CC19A044760B1A, "audio_truck_door_interaction_check" },
    { 0xE2EC49ED3AEB4BC2, "audio_truck_exit" },
    { 0x45572A0B7C3D80F6, "audio_truck_passby_ext" },
    { 0x179CD687BCE3C2E4, "audio_vehicle_print3d_monitor" },
    { 0x5BAE33A0B8832582, "audio_wait_until_player_close_enough_to_obj" },
    { 0x7CAAFF786EA4ED11, "audio_wolf_outro_room_mix" },
    { 0x0714A6DB3DC0391A, "audio_wp_explosions" },
    { 0x7715EC2B41340335, "audio_wp_sizzle" },
    { 0x49D4C6157C621B18, "audio_zd30_dog_kill_handler" },
    { 0x8BBE7C5D46289C4A, "audio_zd30_intro_lbird_bravo_heli" },
    { 0x9301B05DBC9B8B64, "audio_zd30_intro_lbird_plr_heli" },
    { 0x89ECC9B4640DB7D1, "audio_zd30_intro_lbird_plr_heli_kill_entities" },
    { 0x165AC18217B1392D, "audio_zd30_transition_to_tunnels" },
    { 0xFCD87F9BD02ADAF9, "audio_zones" },
    { 0x81687A76A5D8F978, "audioportalent" },
    { 0x751794805873C986, "audiostate" },
    { 0x043678531995EDC5, "audiotoggler" },
    { 0x50671850EFDED058, "auraquickswap_bestowaura" },
    { 0x7F13A1D25AF45F64, "auraquickswap_run" },
    { 0x6E8DA0FD545B6D5A, "auto" },
    { 0xE076BAEC31E0DCF0, "auto_adjust" },
    { 0xF1E2E7AB1D7E6A55, "auto_adjust_data_add" },
    { 0x9D25DFAAE0399422, "auto_adjust_data_get" },
    { 0xA54DEFE2BE19FFC9, "auto_adjust_data_reset" },
    { 0xBF3423ABB4CE3E3E, "auto_adjust_data_set" },
    { 0x9FB5C73BBC23D620, "auto_adjust_debug" },
    { 0x5DD812AB2D30915C, "auto_adjust_debug_update" },
    { 0x19AA285B24E1CF14, "auto_adjust_debuglite" },
    { 0x7813CF6B8E115D56, "auto_adjust_difficult_get" },
    { 0xAF17C87370F09CC8, "auto_adjust_difficulty" },
    { 0xF953BB393531DBBB, "auto_adjust_init" },
    { 0x6BEB688D7A1833F3, "auto_adjust_lerp_setting" },
    { 0xE4FC5606E114E0A6, "auto_adjust_playerdied" },
    { 0x57B1C5DB5B1AAB51, "auto_adjust_save_committed" },
    { 0x5B92E22AD96EB3B0, "auto_adjust_set_table" },
    { 0x0DC385646738CE19, "auto_adjust_thread" },
    { 0x501EB7B4580033C9, "auto_ai" },
    { 0xCA49366D9772169B, "auto_alarm_turnoff" },
    { 0x8414AFDD9061A13B, "auto_change" },
    { 0x430F1CE2DCDB8A1F, "auto_mg42_target" },
    { 0xEB2A65AFAE9277D1, "auto_mgturretlink" },
    { 0xACC6658DCBA39280, "auto_move_on_first_proxy" },
    { 0x6ED1F9BB93B77A8C, "auto_nonai" },
    { 0x56EE63268E2490DF, "auto_respawn_timer" },
    { 0x986238F95D50F8F7, "auto_write_to_map" },
    { 0x29421E3C876842FC, "autoapplyquest" },
    { 0x8A167AD21C16CF63, "autoassign" },
    { 0x71777A3AFA22F007, "autoassignfirstquest" },
    { 0x4745336F235A928A, "autoassignlowteamconsistent" },
    { 0xA280A1221BBA4343, "autoassignquest" },
    { 0x98D60E7675186F17, "autoattachtoplayer" },
    { 0x5EACC4ECE5326275, "autobankedteams" },
    { 0x56003F0436D64B71, "autobankteamplunder" },
    { 0x970E6737152FCA17, "autoboltmissileeffects" },
    { 0xD1AF10227B6B7CC8, "autoclosemonitor" },
    { 0x547AB4234EFDE3E7, "autodestructactivated" },
    { 0xFDC602EE9159CFD6, "autodestructdamagepercent" },
    { 0x5A6FEDFF915A3944, "autodisabletacmapsetting" },
    { 0x36E5C7C4A1EA1BD5, "autofeeder" },
    { 0x3A47CE2D3813A439, "autogenfunc_0" },
    { 0x3A47CD2D3813A206, "autogenfunc_1" },
    { 0x3F8A7072532DBCC2, "autogenfunc_10" },
    { 0x3A47CC2D38139FD3, "autogenfunc_2" },
    { 0x3A47CB2D38139DA0, "autogenfunc_3" },
    { 0x3A47D22D3813AD05, "autogenfunc_4" },
    { 0x3A47D12D3813AAD2, "autogenfunc_5" },
    { 0x3A47D02D3813A89F, "autogenfunc_6" },
    { 0x3A47CF2D3813A66C, "autogenfunc_7" },
    { 0x3A47D62D3813B5D1, "autogenfunc_8" },
    { 0x3A47D52D3813B39E, "autogenfunc_9" },
    { 0x79803653F357E6CE, "automated_respawn_available" },
    { 0x2ADE0532B33962DE, "automated_respawn_delay" },
    { 0xD7783AF68D10E8C8, "automated_respawn_delay_skip" },
    { 0xCBDAFB13F00867DD, "automated_respawn_func" },
    { 0xD0DD3F7F02F5ED06, "automated_respawn_sequence" },
    { 0x91E495EB7DCA8ECF, "automaticignitehint" },
    { 0x62B12F80728B90E4, "autopickupplunder" },
    { 0xC98F7BB13FBC497C, "autoresettime" },
    { 0xB51A0327D2DD79C3, "autorespawntime" },
    { 0xCDCB81D407BC1086, "autorespawnwaittime" },
    { 0x24C868ECFBE6E1A7, "autosave" },
    { 0x5B00A964B79150E3, "autosave_after_shellshock" },
    { 0x19AE32CB70DF88C0, "autosave_block_in_drone" },
    { 0x871E641049621E2D, "autosave_by_name" },
    { 0x0F7EB7EB098CC3C7, "autosave_by_name_silent" },
    { 0x57394B14A0C80CD2, "autosave_by_name_thread" },
    { 0xAB48B268DBE82095, "autosave_check_override" },
    { 0x26A44AF932237A7C, "autosave_hudfail_destroy" },
    { 0xB21893651D9DA5EB, "autosave_hudfail_update" },
    { 0x0DA1F3E0AA0154FC, "autosave_hudprint" },
    { 0x471D0129F55C9996, "autosave_loop" },
    { 0x504A5D700591C4D0, "autosave_now" },
    { 0x2165D411A450B5CC, "autosave_now_silent" },
    { 0xC8F0E7527DC7DB3B, "autosave_now_trigger" },
    { 0xA981168A050DFDE9, "autosave_or_timeout" },
    { 0x0B786B55DD55EBC3, "autosave_or_timeout_silent" },
    { 0x1C02299E9A0C310A, "autosave_proximity_check" },
    { 0x87769253A90672A9, "autosave_proximity_threat_func" },
    { 0xE1551E57D112DABD, "autosave_proximity_threat_func_hometown" },
    { 0xDB60B71C67835E31, "autosave_setup_hometown" },
    { 0xBE5092BAB925C857, "autosave_stealth" },
    { 0x87241F11983EC031, "autosave_stealth_silent" },
    { 0x0B2EF5829FBBF645, "autosave_tactical" },
    { 0xCD21D1136A0A6AD3, "autosave_tactical_grenade_check" },
    { 0xE8D9BA271F00FCDE, "autosave_tactical_grenade_check_dieout" },
    { 0x29C1DD2258060D6E, "autosave_tactical_grenade_check_wait_throw" },
    { 0xD37C71722A4FADCD, "autosave_tactical_nade_flag_clear" },
    { 0xAF2E7D5CF2ABDC0F, "autosave_tactical_player_nades" },
    { 0x1D213E8622A49A62, "autosave_tactical_proc" },
    { 0x98F6349B601819AB, "autosave_tactical_setup" },
    { 0xBBD72E39A89EA300, "autosave_think" },
    { 0xE91BC6C5353D7359, "autosave_threat_check_enabled" },
    { 0xF9BDECF75006D6BF, "autosave_try_once" },
    { 0x0284D177E8E56A0F, "autosaveammocheck" },
    { 0x6E7F383316973849, "autosavecheck" },
    { 0x45DE6B986AB0F380, "autosavecheck_not_picky" },
    { 0xEBB3CA602AE591E0, "autosavefriendlyfirecheck" },
    { 0xE1B544F815DBB033, "autosavehealthcheck" },
    { 0x02023A4471F06726, "autosaveplayercheck" },
    { 0x26CC196B7ACFA4DE, "autosaveprint" },
    { 0xBD3E784529823F9C, "autosaveprint_hometown" },
    { 0xC9F95825CEF4FAD9, "autosavethreatcheck" },
    { 0x15ED102BE22916ED, "autosavethreatcheck_hometown" },
    { 0x115A4CB23AE08163, "autosentry_hint_displayed" },
    { 0x13E3A5081BDBD216, "autoshootanimrate" },
    { 0xD513B94F5294B433, "autoshuffle" },
    { 0x4F74FE300EDF092C, "autospotadswatcher" },
    { 0xDD6AF43B89AD5C50, "autospotdeathwatcher" },
    { 0xF71F6C9F232F6C97, "autospotoverlayoff" },
    { 0xD5BF41D515E35ED3, "autospotoverlayon" },
    { 0x6EC1CD721519473A, "autostartcircle" },
    { 0x54961F31AF5CF75D, "autostructnum" },
    { 0x7678879F609722A9, "autostructural" },
    { 0xCC12BD6A4B11875B, "autotarget" },
    { 0x799834873264A27C, "available" },
    { 0x0AE86B6C36E05423, "available_ai_vehicle_air_infils" },
    { 0x2A20B3E15B157C90, "available_ai_vehicle_ground_infils" },
    { 0x88A7F6453BFFEB66, "available_id_for_bomb_detonator" },
    { 0x10FB13453E49B0C0, "available_ingredient_slots" },
    { 0x7505C8F380558E53, "available_on_start" },
    { 0x6291569A9DE2D505, "available_player_characters" },
    { 0x9A409F2D1F3CE970, "available_time" },
    { 0x400E5301E257BC3A, "availablefunc" },
    { 0x03506984FB7C6B30, "availableomnvars" },
    { 0x8E857CF863F140E4, "availablepositions" },
    { 0xA74D0AC30A222BF8, "availableseatid" },
    { 0x2F67D6103BB0FF75, "availablespawnlocations" },
    { 0x9338335F236110ED, "availableteam" },
    { 0xA7BB25AD5C06A5D9, "avangvel" },
    { 0x4851E8996D68EAB2, "avengedplayer" },
    { 0xF609976BFCB3F040, "average_mag" },
    { 0xB8538D0789C3D8B9, "average_velo" },
    { 0x7B97A9CC77CFCC2E, "average_velocity" },
    { 0xBF1D6427DB33FC90, "averagealliesz" },
    { 0x2762A17097581ABF, "averagenormal" },
    { 0xCF312D855FA246B2, "averagepoint" },
    { 0x7A258734DF2171B8, "avlinvel" },
    { 0x8D8A49BC06318A8A, "avoid_other_helicopters" },
    { 0x85835BC3C105CD50, "avoid_players_vision" },
    { 0xD7F31E77693EDECE, "avoid_recently_used_spawns" },
    { 0xC58B5301A1A7CFF8, "avoidbradleys" },
    { 0xB4C371244110CA06, "avoidcarepackages" },
    { 0x07853887FDED4AFA, "avoidcloseenemies" },
    { 0x87B0CD4820120FEF, "avoidclosestenemy" },
    { 0xD2E9B2D6D3B25151, "avoidclosestenemybydistance" },
    { 0x26909EEF37A59516, "avoidclosetodefenderflag" },
    { 0xF5FF5A30C5643F75, "avoidclosetodefenderflagspawn" },
    { 0xA79E9E9A9BA40B73, "avoidclosetokothzone" },
    { 0x211BDA96C27E04C1, "avoidcornervisibleenemies" },
    { 0x72D73F96BCEAD490, "avoidenemiesbydistance" },
    { 0x9D8F80B6239947B9, "avoidenemyinfluence" },
    { 0xEDBC5796F4E38935, "avoidenemyspawn" },
    { 0xEF9EE34A17EA6C79, "avoidfullvisibleenemies" },
    { 0x799ED2C7DC4C08B9, "avoidgrenades" },
    { 0xF41FDAE379633611, "avoidkillstreakonspawntimer" },
    { 0xDB3C3A3DE0635D6E, "avoidlastattackerlocation" },
    { 0x500D4F43EC5B107B, "avoidlastdeathlocation" },
    { 0x24B4BDD93CB66316, "avoidmines" },
    { 0x4A5928FF67631C5C, "avoidrecentlyusedbyanyone" },
    { 0x9B92DF08F073A27A, "avoidrecentlyusedbyenemies" },
    { 0x9C3F7CF5E1184796, "avoidrugbyoffsides" },
    { 0x54DE68AE6819F095, "avoids_recently_cleared_area" },
    { 0xDDAFC4E2135CFECB, "avoidsamespawn" },
    { 0xAB3C268DF59EE919, "avoidshorttimetoenemysight" },
    { 0xE951F701EE94AF9D, "avoidshorttimetojumpingenemysight" },
    { 0x430F82136555B192, "avoidtelefrag" },
    { 0x455F21C0A350C239, "avoidveryshorttimetojumpingenemysight" },
    { 0xDF09B5AFEC1B28F7, "awaitingdropgunnotetrack" },
    { 0x9B300E5360D31C62, "awaitingpent" },
    { 0x972DEF8C89E6E779, "award_intel" },
    { 0x7D707FC085F911C7, "awardbuffdebuffassists" },
    { 0xC02D0C226FBC4074, "awardbunker11blueprint" },
    { 0xB817F268449D7EE7, "awardcapturepoints" },
    { 0x861582A6E19978AF, "awardgenericmedals" },
    { 0x9445DA8B2462FF86, "awardhqpoints" },
    { 0x201831DC1708CBB4, "awardkillstreak" },
    { 0x11DC768C82AF822D, "awardkillstreakfromstruct" },
    { 0xF219B1F152E4F8EC, "awardmasterychallenge" },
    { 0xED9246F8EE8584F5, "awardnoweaponxp" },
    { 0x3D8A6BD796D3A13F, "awardobjtimeforcarrier" },
    { 0xF37A07AF567528AD, "awardqueue" },
    { 0x2F211F226BA73CCB, "awards" },
    { 0x21DD7FB93F0B8390, "awardstadiumblueprint" },
    { 0x02FE892218B2E691, "awardsthislife" },
    { 0xB2C73B4C37EE5212, "awardsuperlottery" },
    { 0xB65631AB089575C9, "awarenessadjustment" },
    { 0x105CE145AF281D4D, "awarenessaudiopulse" },
    { 0x3A353257921B75DC, "awarenessmonitorstance" },
    { 0x218D4734E627A3EC, "awarenessqueryrate" },
    { 0x19E9220B61AB16F0, "awarenessradius" },
    { 0x02FA911E0E698CC9, "axe_damage" },
    { 0xE47497973E3AC751, "axe_damage_cone" },
    { 0x89FE13FB107B8410, "axe_hint_display" },
    { 0x7DFE61F6FEF25C2C, "axedetachfromcorpse" },
    { 0x85A86BCEB3CB22ED, "axeswingnum" },
    { 0x9934FFFD734E4470, "axis" },
    { 0xD1AE34FC3A679427, "axis_attacked_think" },
    { 0x0DA5DC842F4061A0, "axis_debug" },
    { 0x116771DE9419E486, "axis_grenade_toggle" },
    { 0x8139C2302B96BCCB, "axis_shoot_think" },
    { 0xCD9FB1BAC7681C92, "axis_stealth_cqb_think" },
    { 0x5097751050499ED3, "axis_stealth_filter" },
    { 0x54CDDADC786EDCBA, "axis_stealth_spawnfunc" },
    { 0xCA295A7A720F47CE, "axis_toggle_flashlight_fx_at_dist" },
    { 0x8B527831F41A8EF4, "axisadjuststarttime" },
    { 0x07FAFC889F3F0A37, "axisaverage" },
    { 0xB32277D32ED2C7F5, "axiscapturing" },
    { 0xD926CAB073F174A3, "axischopper" },
    { 0x049C94A4AD9BAFA5, "axisfrontlinevec" },
    { 0xE8F6779063ADF476, "axishealth" },
    { 0x8B299ACEA7325857, "axishqloc" },
    { 0xAF87A052A2CCBA80, "axishqname" },
    { 0xC8AC1BD373DBDA9C, "axismaxhealth" },
    { 0xC98AF9C3C7646B03, "axismode" },
    { 0x112F96A0B1F4D822, "axisnoise" },
    { 0xAB6206828F45B236, "axisprevflagcount" },
    { 0x58B3AEABA64782D3, "axisspawnareas" },
    { 0x4B5D796B9E23C197, "axissquadleader" },
    { 0xB3820E521601CEA3, "axisstartspawn" },
    { 0x5823D1A59130B985, "axistoangles" },
    { 0x4271B627023B1EBB, "axiswinondeath" },
    { 0xFB071C04157DB5B6, "axiszone" },
    { 0xA59E49FD7BA1E962, "ayah" },
    { 0x433121A8A064B806, "azadeh" },
    { 0x9AEBC05795B6C206, "azadeh_brought_in" },
    { 0xAC0E544AC96A98A9, "b" },
    { 0xDE939CCA6919E875, "b1_alpha5_action" },
    { 0x782B2C7A9C080161, "b1_alpha5_lookat" },
    { 0xC326FDB64AFB545C, "b1_alpha5_vo" },
    { 0x88D5C2E41BADFAE2, "b1_alpha6_action" },
    { 0x63E19AD14168A20E, "b1_alpha6_lookat" },
    { 0x7B46DD987EE8CEDF, "b1_alpha6_vo" },
    { 0xCC9B52169C989571, "b1_back_room_approach_vo" },
    { 0xF169AF62FDFFAD8A, "b1_back_room_vo" },
    { 0x67E156468F710EE1, "b1_breach_intro" },
    { 0x413F48A23335F0ED, "b1_child" },
    { 0xA0E78105F8DDE5DC, "b1_child_action" },
    { 0xD47460139237BDD6, "b1_child_fail" },
    { 0xE4CAC8B1634BF229, "b1_child_reaction_vo" },
    { 0xA828AA4368E8F2F4, "b1_clear_vo" },
    { 0x71279AD9C884F518, "b1_door_nag" },
    { 0x9620B3150AE716BE, "b1_door_quick_open" },
    { 0x9A41FADFF2C6B21C, "b1_door_runner" },
    { 0x5ACFE1EA8A9456FF, "b1_door_setup" },
    { 0x80A41167E5F9B680, "b1_flashbang_watcher" },
    { 0x000865E36B5FE6C6, "b1_girl_action" },
    { 0xF05A8F4EB1B8EDFD, "b1_girl_ads_watcher" },
    { 0xDF0A39752D64BD0E, "b1_girl_damage_watcher" },
    { 0x62EE2F7F5BEF3B8F, "b1_girl_in_position" },
    { 0xCC367B23062F1F60, "b1_guy" },
    { 0xE2846DFC3E76626E, "b1_guy_setup" },
    { 0x2A44D51DC6FB51EF, "b1_intro_death_watcher" },
    { 0xD41991AC7077607D, "b1_intro_guy" },
    { 0x9E70BC1F965ADE5F, "b1_mom_action" },
    { 0x529C3250B85DA574, "b1_mom_child_nag" },
    { 0xE9827B66F728E8F3, "b1_mom_damage_tracker" },
    { 0x28748357A66DB660, "b1_mom_flashed" },
    { 0xF5F145F8BE8AE9D6, "b1_mom_setup" },
    { 0xEA374DD253FC3637, "b1_mom_swap_death" },
    { 0xC41C3C98F4875E52, "b1_mom_vo" },
    { 0x03A6F85ADDB35064, "b1_moveup_alpha6" },
    { 0x143EAB7EAA955F8E, "b1_open_door" },
    { 0x23B3E942089B992B, "b1_runner" },
    { 0x8AA09921D06D2A4E, "b1_runner_action" },
    { 0xC0CD6EEEBA3A6B24, "b1_runner_watcher" },
    { 0xD87ED8830F9E35E6, "b1_setup" },
    { 0x7A446E2BEA22A756, "b1_sledge_intro" },
    { 0x9FAF09307CCDC79C, "b_ac130decoytracked" },
    { 0x6BF3A1BB0931FBE6, "b_cleared_for_drop" },
    { 0x3711696A67FBE05A, "b_in_vehicle" },
    { 0x98FBF00D553E2FA2, "b_mg_on_player" },
    { 0x803759EBE0344248, "b_murderhole_suppression_tutorialized" },
    { 0x5D4378F66670D804, "b_player_exposed" },
    { 0xDDF42E940CB8D120, "b_should_get_hit" },
    { 0xD1D6EB56AE586FFB, "b_smoke" },
    { 0x5965C973F20D517C, "b_suppressed" },
    { 0x7EB49975873F54A7, "b_switching_targets" },
    { 0x1D8C27633C105057, "ba_countdown_start" },
    { 0xDD0A1296D9BDB6CC, "ba_destroy_tanks_start" },
    { 0x5F9ED5A2D32FA036, "ba_end_sequence" },
    { 0x889CBC5ACFF1007D, "ba_escape_debug_start" },
    { 0x50778F25609A3499, "ba_escape_start" },
    { 0xE482A01DEE45F9EA, "ba_escape_start_tank" },
    { 0xAB771F6A86696A2E, "ba_mnu_start" },
    { 0xDF845C698AE67E84, "ba_router" },
    { 0xB4313806CC1D2F33, "ba_router_start" },
    { 0xE744CCB7B2961E9D, "ba_searcarea_debug_start" },
    { 0x416362EF59AC5FFA, "ba_searchareas_start" },
    { 0xD63C38068CA4EC83, "ba_shiprecieve_start" },
    { 0x7D0E94FB7F24AD12, "ba_steal_tank_start" },
    { 0x14C7DCBFD8B08B8D, "ba_tower_start" },
    { 0x26577B39BA6C9305, "babort" },
    { 0x0107F341414C57B5, "baby" },
    { 0x64C9CD463DE802A0, "baby_blend_idle" },
    { 0x0B9AA0FB55B09022, "baby_cry" },
    { 0x97DB21EA9C5B9042, "baby_cry_hard" },
    { 0x809ABB9CAB11FA8C, "baby_death" },
    { 0x395DE343C4AA073F, "baby_door_ondamage" },
    { 0x14C6B295284DD5CD, "baby_idle_relative" },
    { 0xDC5B4EEB89C3B23F, "baby_mobile_stay_active" },
    { 0x7A3712FAEB008AED, "baby_mom" },
    { 0x8A65B564872895B9, "baby_mom_add_collision_head" },
    { 0xDD3ABFCD779DE36F, "baby_mom_anim" },
    { 0xB4114FBF39142C4C, "baby_mom_anim_get" },
    { 0xA072E453D507E357, "baby_mom_anim_random" },
    { 0x3CAA55141E81EB2C, "baby_mom_clear_damageshield" },
    { 0xC827AAEB308E03C7, "baby_mom_death_cleanup" },
    { 0xE6A77A9DB555612F, "baby_mom_death_dialogue" },
    { 0xC0AF5364712286C0, "baby_mom_death_react" },
    { 0xDC2A47EE3ADB6DB6, "baby_mom_dialog" },
    { 0xB7AE7D3D1B35CDB4, "baby_mom_idle_react" },
    { 0xDEF3060CA0E51C6B, "baby_mom_is_ads" },
    { 0x9145147B64FD94FC, "baby_mom_normal_death" },
    { 0x0A5ED7361A834B1E, "baby_mom_ondamage" },
    { 0x31A30E9354F4D0CA, "baby_mom_playdeath" },
    { 0xAB2324559E97D78B, "baby_mom_prior_dialog" },
    { 0xD3D425C565098425, "baby_mom_prior_dialog_internal" },
    { 0x927EDEDDDF0D767B, "baby_mom_remove_death" },
    { 0xF5E92538FA11E063, "baby_mom_stand_death" },
    { 0x056012C419DACF1A, "baby_mom_use_move_death" },
    { 0xF8E6DC3CB808C11D, "baby_mom_vo" },
    { 0x63BC320FBAD5F484, "baby_pickup_by_allyanim" },
    { 0xC46BE5DE5D61B220, "baby_pickup_early_time_adjust" },
    { 0x65F061377682A7F5, "baby_room" },
    { 0x88075E604BAA0F06, "baby_room_unlink_baby" },
    { 0x6CD1AD86D2B98472, "babycry_hard_start" },
    { 0x010BD9414150145E, "back" },
    { 0x3982D68234AC7E6B, "back_alley_autosave" },
    { 0xA794AFF84583583D, "back_backroom_player_standing_handler" },
    { 0xBC547921D5A26E56, "back_bedroom_enemy" },
    { 0x006D7856449F635F, "back_bedroom_enemy_death" },
    { 0xD0B571A789F68B5F, "back_door_enemy_watcher" },
    { 0xDBEE99D4D47B1432, "back_enemy_watcher" },
    { 0xEC29A22B9D580D80, "back_field_clip" },
    { 0xB66631258F1DD1EA, "back_left" },
    { 0xBD62BB4BF9A54E9A, "back_line_enemies_attack_logic" },
    { 0x615AE07CCF2CD462, "back_line_enemy_attack_logic" },
    { 0x57D5C527A030FFE3, "back_low" },
    { 0x4B989B27980E07B7, "back_mid" },
    { 0xEABA079C3C82684C, "back_on_roof_nag" },
    { 0x99C8B656AB0935D7, "back_right" },
    { 0x7A1DCF8512C6EE63, "back_street_drive" },
    { 0xB155F25E0478842D, "back_street_traffic_drive" },
    { 0x363A2AB702E5ACDA, "back_struct" },
    { 0x80C4BAE562B9D3C1, "back_suicide_truck_speed_manager" },
    { 0x249D4CFA684B0549, "back_trig" },
    { 0x8F23CCB57F2146E6, "back_up" },
    { 0x8CF725BE08D3B7F0, "back_vector" },
    { 0x4965501A3926AD4B, "backdoor_enter_count" },
    { 0xED1C36705981B054, "backdoor_enter_done" },
    { 0x68FFBE20F888767E, "backdoor_enter_hurry" },
    { 0x6CFE50B4601CE651, "backdoor_entry" },
    { 0x9B7E7A86B7DBA6EE, "backdoor_entry_thread" },
    { 0xA37B8E77EA149768, "backdoor_freeze" },
    { 0x9E9B966C38D61A05, "backdoor_freeze_nag" },
    { 0x6506544FCE2A9798, "backdoor_freeze_rate_thread" },
    { 0x3852109D9A6A0901, "backdoor_freeze_thread" },
    { 0x9A7391F0B693429B, "backdoor_lastguy_nag" },
    { 0x99329BC62DA015C9, "backendevent" },
    { 0xBE4BBEB2B73D03F3, "backextents" },
    { 0x62AB6BE93BD13EE0, "backfillhvts" },
    { 0x54BD4B2D6A26F2A2, "backfire" },
    { 0x67AAAEFF68584F52, "backfunction" },
    { 0x8C9E4C05BD80C45A, "background_civ_vo" },
    { 0xEF06751087EF1259, "background_civs" },
    { 0x511D70EB3DC25552, "background_fakeciv_idle" },
    { 0x7CF8C92EDF1471FE, "background_fakeciv_loop" },
    { 0xF5148CBD6FE4D76E, "background_fakeciv_scatter" },
    { 0xF09113B54E40D15D, "background_fakeciv_setup" },
    { 0xCB08CDFC67F91E24, "background_fakecivs" },
    { 0xCFAEA24B67BACF60, "background_guard_not_reachable_spawn_func" },
    { 0xFB8F11FBD2668C9A, "background_guard_spawn_func" },
    { 0x0405B153CD993D62, "background_heli_turret_cleanup" },
    { 0x3DD07F0CF1D9B63B, "background_marine_handler" },
    { 0x767CFCA2775592B1, "background_outside_murderhouse_allies_cleanup" },
    { 0x8FBC86F19C3B60D4, "background_scatter_fake" },
    { 0x34315267FE26366F, "background_scatter_runto" },
    { 0x780E7D0772810A3C, "background_vehicle_parking_lot_right_sound" },
    { 0xD341EC41F44E7D79, "background_window_scene" },
    { 0x78C83A41617F657B, "backgroundguards" },
    { 0xFD3FF26732C0EBF5, "backhatch_delayshow" },
    { 0x029E9DD05665C0A9, "backoffset" },
    { 0x0B04F9FCA398F0FA, "backpack_delayshow" },
    { 0x283179970BEE342C, "backpack_dummy_spawn" },
    { 0x55BCD47115A3B750, "backpiece" },
    { 0x8388873949A0CD17, "backpiecevarindex" },
    { 0x6270C3A20A2C9D70, "backpoint" },
    { 0x2C40E0C23A02FE02, "backroom_check_if_player_jumps" },
    { 0x9313734665DA53A1, "backroom_check_if_player_shoots" },
    { 0xCE1B7BB64B504D63, "backroom_pre_combat_handler" },
    { 0xD661E3E1D965EC5F, "backroom_price_follow_player" },
    { 0x35E3EC01C44E6F02, "backstabber_stage" },
    { 0x4B20CEE64871F335, "backstabber_update" },
    { 0xAC5CA0E003ADCB31, "backtracking_2f_nag" },
    { 0x1CDD81CF85D44F31, "backtruck" },
    { 0xB03CCF4CB75BDCD3, "backup" },
    { 0x8C56D17A9E63AABA, "backup_called_already" },
    { 0xE07126AC20B473A2, "backup_deposit" },
    { 0xD92C9757281312D5, "backup_deposit_names" },
    { 0x3BDB4D9FC7066ACB, "backup_enemyvehiclescriptablelogic" },
    { 0xEE19618709E3323B, "backup_getanimationstruct" },
    { 0xBF95BB77BD3DF704, "backup_getenemyvehicle" },
    { 0xF7DB2D439D85AB78, "backup_getenemyvehiclespawner" },
    { 0x09066FFF563467C0, "backup_guy_think" },
    { 0x6789D29E92E67EE1, "backup_main" },
    { 0x40CF9F3AEF1D6EE9, "backup_nodes" },
    { 0x50D04BB574B4AC0D, "backup_plane_locations" },
    { 0xB584ADC920C77147, "backup_soldiers" },
    { 0x615156E4A249A43A, "backup_spawned" },
    { 0x0E2E2AAAE24D3303, "backup_spawnenemyvehicle" },
    { 0x4ECE0DED8635BE28, "backup_start" },
    { 0x3D9923B6914E6849, "backup_technical_check_passed" },
    { 0x4036FBBE52E7F4F6, "backup_vehicleenemylogic" },
    { 0xFD1CFE7815840092, "backup_vehiclelogic" },
    { 0x4F6189D867BC25AF, "backup_vehiclesfxlogic" },
    { 0x800423C51F1D88FF, "backup_vehiclewallalogic" },
    { 0x2F82D13BA8E36729, "backuphead" },
    { 0xD1824CC22789A632, "backupsuit" },
    { 0x79B7AA67F9824F0A, "backuptime" },
    { 0x711009F558A2147A, "backwallkeypad" },
    { 0xC303589D58D949BA, "backyard" },
    { 0x2F8934B8ADCFD51A, "backyard_alley_move_solo" },
    { 0x5C9F18DC7B9BA4C1, "backyard_alley_move_thread" },
    { 0x19227A68692848C2, "backyard_ally_counter" },
    { 0xBCBB43E9807BFABB, "backyard_backup_move" },
    { 0x5190E89C3FE79367, "backyard_catchup" },
    { 0xA92E4AA8F13D1BE1, "backyard_cut_gate" },
    { 0x10B666FAFACB1440, "backyard_door_open" },
    { 0x3E4F782356157D62, "backyard_door_open_rotate" },
    { 0x897E38EE0548CE45, "backyard_door_setup" },
    { 0x24188E7FAE9232C2, "backyard_fail_damage_thread" },
    { 0x80CD835EBA8FA3A6, "backyard_fail_onexplode" },
    { 0x6381053633623864, "backyard_fail_thread" },
    { 0xE00A8A267367D25B, "backyard_force_fail" },
    { 0x0C1DED780049FAF3, "backyard_free_move" },
    { 0xD5B01B8CE530DAFB, "backyard_freeze_counter" },
    { 0xFEE245B3BA6E4C13, "backyard_freeze_townhouse" },
    { 0xCCB59E63E7302F2B, "backyard_intro" },
    { 0xE675FA0DE17C8D11, "backyard_intro_anim" },
    { 0x100554FD094CF5E9, "backyard_intro_main" },
    { 0x49B3E8D2D05E4230, "backyard_intro_start" },
    { 0x7898B0F77D49BE42, "backyard_lock_physics" },
    { 0xD8E5A9CB378E00AE, "backyard_main" },
    { 0xF6A7F6CB4DA46676, "backyard_move" },
    { 0x6F6BF691FDD7966D, "backyard_move_counter" },
    { 0x2CF79444F785DBCE, "backyard_move_rate_thread" },
    { 0xA045CABCF75280C3, "backyard_move_thread" },
    { 0x2995AE4701D2DD51, "backyard_player_safe_demeanor_thread" },
    { 0x17CFE7BA99758D20, "backyard_setup" },
    { 0x0797121A0662A9F5, "backyard_start" },
    { 0xFD9D0DFF864CA79C, "bad_ak_monitor" },
    { 0x08EC651DD0AC00D5, "bad_guys" },
    { 0x5A37C7BAD68059F8, "bad_obstacle_id" },
    { 0x0B56482C554EBFCA, "bad_path" },
    { 0xA1D0D25942060235, "bad_place_remover" },
    { 0x43305323BE75FE8B, "baddies" },
    { 0xF2300715A46C0742, "baddies_die" },
    { 0x9C9DC908087E8203, "badpath" },
    { 0xB897FADB30122CE0, "badpathnodes" },
    { 0x01FA9C7B72C1072F, "badplace" },
    { 0xB6B35DC666442DEE, "badplace_cylinder" },
    { 0x24F7284215979469, "badplace_cylinder_func" },
    { 0xEEC38B024A15ADEB, "badplace_delete" },
    { 0x46DF8217AD66D89A, "badplace_delete_func" },
    { 0xAA71D9EE0DC3A497, "badplace_global" },
    { 0x84C980235E2F048D, "badplace_id" },
    { 0xB268A7893D696A8F, "badplace_manager" },
    { 0x73375588C5BD23F4, "badplaceavoid" },
    { 0x0F495B1942278931, "badplaceavoidstarttime" },
    { 0xD85378F129F232E0, "badplaceawareness" },
    { 0x224CA0219E41D620, "badplaceint" },
    { 0x1B2D7F7D5E832F54, "badplaces" },
    { 0x19585C271DD171CA, "badplaceterminate" },
    { 0xD5D53EA39F04F82F, "badspawnreason" },
    { 0xBE290EF1B663E092, "badzone" },
    { 0xD00216E85607F314, "bagentinitialized" },
    { 0x326ACF6163077A66, "baimedataimtarget" },
    { 0x862661260F7B0E4B, "baitedbydecoy" },
    { 0x1EC3A452FE30A89F, "balanceteams" },
    { 0x6DD7E899F1F4CB7E, "balcony_3f_door" },
    { 0x00BBAC5A757E9E8E, "balcony_damage_watcher" },
    { 0x5D92AB8BBA2F4758, "balcony_enemy" },
    { 0xE1D617EC1A67EAF0, "balcony_enemy_2f_action" },
    { 0xF93E9C28E37280F1, "balcony_force_open_door" },
    { 0xE180E5AFB313110A, "balcony_hostage_anims_price" },
    { 0x7F9F7FC100BBBCD3, "balcony_hostage_dof" },
    { 0x9205A2B6CCD8802D, "balcony_hostage_intro_catchup" },
    { 0x44D07E0B7B4DD47C, "balcony_hostage_intro_main" },
    { 0xABA84DE3E7BEEF4B, "balcony_hostage_intro_start" },
    { 0xF3ACA9110DFCB348, "balcony_marine_advancing" },
    { 0x1AE77F51CF1777DC, "balcony_sees_player" },
    { 0x072609ECD0BFD4FD, "balcony_vol_1" },
    { 0xA043E97C436F48EC, "balcony_watcher" },
    { 0x8BEBCBA7EFD50107, "balconydeathnode" },
    { 0x00ECFA41412E0B10, "ball" },
    { 0xA7D247E71F203EDB, "ball_add_start" },
    { 0x6DEBA7077156C4B3, "ball_assign_start" },
    { 0x72486F7962617888, "ball_bot_attacker_limit_for_team" },
    { 0xBBF087620006BFB4, "ball_bot_defender_limit_for_team" },
    { 0xC2DFB97CBDA21932, "ball_can_pickup" },
    { 0xBA666C63CB00E7B9, "ball_carried" },
    { 0x48596309E901F2AC, "ball_carrier_cleanup" },
    { 0x06080C4E8FF5D334, "ball_carrier_touched_goal" },
    { 0x2A37EC36FA992577, "ball_check_assist" },
    { 0x8F7C5C0C5497C173, "ball_check_pass_kill_pickup" },
    { 0x2706C7AB93765EC1, "ball_clear_contents" },
    { 0x861D956083C33371, "ball_connect_watch" },
    { 0x35D43E0AD845636D, "ball_create_ball_starts" },
    { 0xD2190BB3672301F7, "ball_create_killcam_ent" },
    { 0x66E169F4F2C919CB, "ball_create_team_goal" },
    { 0xAEC7B082B10901D2, "ball_default_origins" },
    { 0x37BEBD51C229087E, "ball_dont_interpolate" },
    { 0xB0B4BC80F07FED34, "ball_download_fx" },
    { 0x00F22835D1AF2F6F, "ball_download_wait" },
    { 0x57CECD885A12804D, "ball_drop_on_ability" },
    { 0xC63F69D9996257C8, "ball_find_ground" },
    { 0x983E89378BE73EFE, "ball_fx_active" },
    { 0xDE72F43E9BBF8020, "ball_fx_start" },
    { 0x6CBD81C3E0788448, "ball_fx_start_player" },
    { 0x12E32F5F24FF71A4, "ball_fx_stop" },
    { 0x89913556E06BE3E5, "ball_get_num_players_on_team" },
    { 0xAAA60C08FB766188, "ball_get_path_dist" },
    { 0x5A72B13903570F0B, "ball_get_view_team" },
    { 0x22A2FD2800D2F3E9, "ball_give_score" },
    { 0x6E9B4E94345F039B, "ball_goal_can_use" },
    { 0xAC884A59C6F70CD8, "ball_goal_contested" },
    { 0x526521A22E320225, "ball_goal_fx" },
    { 0x4B82E232A4FC3ED7, "ball_goal_fx_for_player" },
    { 0x079C2899F1F7D625, "ball_goal_uncontested" },
    { 0x7A6D6E934CF3F649, "ball_goal_useobject" },
    { 0xB652728E2006CC67, "ball_goals" },
    { 0x9668B1DA543502C4, "ball_impact_sounds" },
    { 0x745C4EDD70DA3174, "ball_in_goal" },
    { 0x8B36BACC937394DC, "ball_init_map_min_max" },
    { 0x1C91522C525FAEF8, "ball_location_hud" },
    { 0x9056E920E81A5696, "ball_maxs" },
    { 0x03E749213CA22FD4, "ball_mins" },
    { 0xBC17A3EDE50D96C9, "ball_on_connect" },
    { 0x8AE07B883DEE3654, "ball_on_host_migration" },
    { 0x5A60AA92D52E96D5, "ball_on_pickup" },
    { 0x00DE5583746FE033, "ball_on_projectile_death" },
    { 0x1078DEBAB1F8C5E6, "ball_on_projectile_hit_client" },
    { 0x57169A95BA93C870, "ball_on_reset" },
    { 0x8545534B01E7174A, "ball_overridemovingplatformdeath" },
    { 0x335222DE28EDC3E4, "ball_pass_or_shoot" },
    { 0x020A20862E4FC886, "ball_pass_or_throw_active" },
    { 0x2F86D6A79392EC72, "ball_pass_projectile" },
    { 0xBFCEDAB9FA81B21E, "ball_pass_touch_goal" },
    { 0xCAB55DC12A3DD6E0, "ball_pass_watch" },
    { 0xA768F9F2980504A6, "ball_physics_bad_trigger_at_rest" },
    { 0x9792799426D61409, "ball_physics_bad_trigger_watch" },
    { 0xF0D96F7908C5F60B, "ball_physics_fake_bounce" },
    { 0x208C22E7734D3180, "ball_physics_launch" },
    { 0x353D7C9AC3D25F44, "ball_physics_launch_drop" },
    { 0xF751BA39D9EA0692, "ball_physics_out_of_level" },
    { 0x9D90C2D4A8D4C112, "ball_physics_timeout" },
    { 0x04F6CCDE4D831302, "ball_physics_touch_cant_pickup_player" },
    { 0x7805ECD765CBFE74, "ball_physics_touch_goal" },
    { 0x7312AC464DD06822, "ball_play_fx_joined_team" },
    { 0x1A17EE93EF8B7C31, "ball_play_local_team_sound" },
    { 0x852EA8E27108963D, "ball_play_score_fx" },
    { 0x78CC372EE6D56971, "ball_player_on_connect" },
    { 0x65FA327C80977858, "ball_restore_contents" },
    { 0x1F1A5093B52DEDAF, "ball_return_home" },
    { 0xA0BDC1F04C7C6E82, "ball_score_event" },
    { 0x2D4BEC82F4430105, "ball_score_sound" },
    { 0xAAC12721E3FFEC6A, "ball_set_dropped" },
    { 0xC408F9A1C2D77204, "ball_set_role" },
    { 0x006E141977A4A178, "ball_shoot_watch" },
    { 0x9EBB0C66966FAF90, "ball_spawn" },
    { 0xA26B431D78ACFADC, "ball_starts" },
    { 0x0AED6975D1466492, "ball_touch_goal_watch" },
    { 0x5F1D1AF3676AE4F5, "ball_touched_goal" },
    { 0xCC63B70AD224BFFA, "ball_track_pass_lifetime" },
    { 0xE1A7E381707C2BF6, "ball_track_pass_velocity" },
    { 0xDCD686DB016D7AE4, "ball_track_target" },
    { 0x1AE97C06440CDB98, "ball_triggers" },
    { 0x7E00FE5FE0F0C2A5, "ball_waypoint_contest" },
    { 0x839699E2A44D4AA3, "ball_waypoint_download" },
    { 0x3C066693E2688408, "ball_waypoint_held" },
    { 0xB604818A0836C566, "ball_waypoint_neutral" },
    { 0xF9E4DEFB071B9496, "ball_waypoint_reset" },
    { 0x35D0AF0ECA4647BA, "ball_waypoint_upload" },
    { 0x0576BC2B338D5FBA, "ball_weapon_change_watch" },
    { 0x5CEF96A89885D25F, "ballactivationdelay" },
    { 0xEB04D983E3191AFD, "ballallowedtriggers" },
    { 0xE728D7FC8518CA72, "ballbases" },
    { 0x9495881C44002FF3, "balldrones" },
    { 0x270A1BBEB96C5E20, "balldropdelay" },
    { 0x15CCF3C0F3366674, "ballendtime" },
    { 0x135D184F9021616C, "ballindex" },
    { 0x162E8155997B9F79, "ballisticdontpenetrate" },
    { 0x73236D4CF8A7F8DD, "ballistics" },
    { 0x064D060921881B76, "ballistics_aiignoreballisticsweaponpain" },
    { 0x29D0188850421850, "ballistics_bulletfiremonitor" },
    { 0x6E3BF3FD2263515E, "ballistics_createbullet" },
    { 0x3CA657B0EFA8B89C, "ballistics_delaybulletshow" },
    { 0x5BC26BE641C9E27F, "ballistics_delaybulletvfx" },
    { 0xBF64E7C32B70959D, "ballistics_deletebullet" },
    { 0x2F77B311DF709984, "ballistics_doesbullettrajectoryhitentity" },
    { 0xC9DCD15661FEAF5F, "ballistics_impactvfxentitylogic" },
    { 0xA4E93F773B58E2F7, "ballistics_impactvfxentityparentlogic" },
    { 0xDDBABEF004343188, "ballistics_killai" },
    { 0x40AEC9543056ABA6, "ballistics_playerholdingballisticsweapon" },
    { 0xE09C2792E788829C, "ballistics_rotateflags" },
    { 0x5652E9F1CC0FB792, "ballistics_shoulddamageai" },
    { 0x9265EA77B8FCE8F7, "ballistics_shouldkillai" },
    { 0x8BBB4460054A7108, "ballistics_wasaidamagedbyplayerballisticsweapon" },
    { 0x68A842C3C545F909, "ballistics_wasainotdamagedbyplayerballisticsweapon" },
    { 0x689E26B4D26730C0, "ballistics_weaponswitchmonitor" },
    { 0x89A9F0DA2A52450B, "ballistsglobalsettings" },
    { 0xE3CAAF241E654641, "ballon_deposit_nag_stopper" },
    { 0x620BCE0F887CA4F5, "balloon_deposit" },
    { 0xBC4890F8CDF88A69, "balloon_deposit_cash_nags" },
    { 0x74D4DB997B877745, "balloon_deposit_cash_vo_explanation" },
    { 0x4B9D162B3C960120, "balloon_deposit_monitor" },
    { 0x47428C7B175824DC, "balloon_hint_displayed" },
    { 0xFDC2E7420CF78651, "balloon_hint_logic" },
    { 0xBD72C92C07408D31, "balloons" },
    { 0xA3FF9F59E1978C95, "ballowexecutions" },
    { 0x2D66B59D4C319759, "ballowfinish" },
    { 0x6DFA179DEBB686A4, "ballowsecondaries" },
    { 0xD781B476481C012D, "ballpassdist" },
    { 0x29CDE1764DD92796, "ballphysicscontentoverride" },
    { 0x39B89B65A6ECA474, "ballpickupscorefrozen" },
    { 0x2522D95C7DB8F26F, "ballreset" },
    { 0x650D4B261806F242, "ballruntimer" },
    { 0x3735C08258430AB9, "balls" },
    { 0x93211EB1EFB1A369, "balltime" },
    { 0xA3540586F1F3D08F, "balltimerpaused" },
    { 0x459715474B4016A2, "balltimerstopped" },
    { 0xABD7166A6C9C5FAC, "balltimerwait" },
    { 0xF0C71872D4704067, "balltraceradius" },
    { 0xE8E6724A88B76784, "ballweapon" },
    { 0x6F20E863D458952E, "balocked" },
    { 0x291EBFDD8FA9C5BF, "baloon_deposit_death_check" },
    { 0x3822677E7AAC3665, "balwayscoverexposed" },
    { 0x71654230EC83CD17, "bandageactive" },
    { 0xB53EF73528278693, "bandageheal" },
    { 0x8E9FB8E69B30DD43, "bang_bangs" },
    { 0x7E998D743412B40D, "bank_alarm_sfx" },
    { 0xEA0892BEBAB41F27, "bank_ecounterstart" },
    { 0x7D70998395DC589E, "bank_elevator" },
    { 0x40DD40A4BCFDC3DA, "bank_getspawneraitype" },
    { 0x099E7B1B6B7B711E, "bank_hvt" },
    { 0xDB525AE61BB14854, "bank_hvt_cig" },
    { 0x71571BDB322AB630, "bank_hvt_jugg" },
    { 0x49C6ADE5B0D48E63, "bank_hvt_usb" },
    { 0xD86323C1952D3FBF, "bank_roof_doors_clip" },
    { 0xA87843030CE20163, "bank_stair_doors" },
    { 0x236AD8EC2970F572, "bank_stair_doors_clip" },
    { 0x2B2CA460B388D13F, "bankalltriggers" },
    { 0x88A93DE5E2FCA18A, "bankcapturetime" },
    { 0xD587070B2E35B0BD, "bankdisable" },
    { 0xE376B04E9B6021B8, "bankdisabletags" },
    { 0x6F8E6A4E4677B4DC, "bankdisabletime" },
    { 0x3F06541EC2586B3C, "bankingoverlimitwillendot" },
    { 0x7B04760DC35AFB32, "banklights" },
    { 0xC8D17BC50D2CA10C, "bankplayerentering" },
    { 0x679A92B7D3F160EE, "bankplayerexiting" },
    { 0xDFB57E5FEB539683, "bankplunder" },
    { 0x6BD55B8C5213E366, "bankplunderdeposited" },
    { 0x610B89112F873B22, "bankplunderextractinstantly" },
    { 0xD859E0840DFD3420, "bankplunderongameended" },
    { 0x096636A17241E8F1, "bankrate" },
    { 0x0F93C5287B28D51E, "banktags" },
    { 0x20484A62C3785DFD, "bankthink" },
    { 0x9C6D832827164802, "banktime" },
    { 0x7C578FE83611D6BA, "bankturnoffalarm" },
    { 0x6F5798F8EBAD52C6, "bankturnonalarm" },
    { 0xB5ECAC03C0E942DE, "bar" },
    { 0x6C1A706A7392B5B9, "bar_ai_combat_behavior" },
    { 0x9E968BDCA112076A, "bar_alley_entrance_door_interacted" },
    { 0x7E4D69AD45281533, "bar_animate_door" },
    { 0x298CDA7BB8EB68C1, "bar_back_aq_anim" },
    { 0x780DEC6AFCA08F5A, "bar_backroom_catchup" },
    { 0x11CB79E73EAFCEC5, "bar_backroom_main" },
    { 0x62898AEF703EBD0A, "bar_backroom_player_kill" },
    { 0xD593477FD35470FA, "bar_backroom_player_speed_handler" },
    { 0x46CE2A493C7ADB14, "bar_backroom_start" },
    { 0xE50ED98086D4E8FF, "bar_backroom_stp_main" },
    { 0x846D59599112C435, "bar_containment" },
    { 0x3ABD65471BEDE93F, "bar_enforcer_second_handler" },
    { 0x132FB7506BEBBC9A, "bar_enforcer_third_handler" },
    { 0x8B4EE81DA65375AD, "bar_init" },
    { 0x1EDD2A7F0D4318FE, "bar_interior_exit_door_handler" },
    { 0x4462CE52E8A9386E, "bar_pooltable_aq_anim" },
    { 0xAADD1B328E5277FF, "bar_price_handler" },
    { 0x1C9421B30F03DEBA, "bar_right_aq_anim" },
    { 0x0144C045D45C6291, "bar_rotate_door" },
    { 0x30662387E78F05EF, "bar_shootout_ai_dead_check" },
    { 0x17DE24D1154293E9, "bar_shootout_aq" },
    { 0xB531FAB0E3B36B00, "bar_shootout_aq_fallback" },
    { 0xEA72EA193EF96C56, "bar_shootout_aq_regular" },
    { 0x604B8CE10E34604A, "bar_shootout_aq_retreater" },
    { 0xF2F0E0254A32C87F, "bar_shootout_catchup" },
    { 0xF03618A373256EA3, "bar_shootout_door_bash_monitor" },
    { 0xD8929C4C77129C14, "bar_shootout_door_close" },
    { 0x2D777DC81336D88C, "bar_shootout_door_handler" },
    { 0x9A3E9089C25D8BF6, "bar_shootout_door_sight_trace_monitor" },
    { 0xACAB148A98ECB069, "bar_shootout_enemies" },
    { 0xC14C23B0A021E845, "bar_shootout_enemy_shot_earlier" },
    { 0x463218EB79AA9227, "bar_shootout_enforcer_impulse" },
    { 0x933E168C1E971075, "bar_shootout_exit_alley_door_handler" },
    { 0x27E66F38C0775171, "bar_shootout_handler" },
    { 0xF4DAD8A3F4403F76, "bar_shootout_main" },
    { 0x6FBE9CCB4737B95C, "bar_shootout_player_hiding" },
    { 0xFAD042B5BB7E6B4B, "bar_shootout_player_kill" },
    { 0x9E8D1972E10EE1F5, "bar_shootout_price_advance" },
    { 0xC132F371705CCF06, "bar_shootout_price_pain_handler" },
    { 0xD723CFAEB6C3E0B2, "bar_shootout_retreat_enemy_handler" },
    { 0xF1BBCDE2261DC908, "bar_shootout_send_retreater_to_goal" },
    { 0x6D0F34A9E8594C70, "bar_shootout_special_mb" },
    { 0xF8537DF13B7190BD, "bar_shootout_start" },
    { 0x2331EF9F309C0E98, "bar_shootout_stp_main" },
    { 0x831E5926B05F11DB, "bar_street_ai_combat_behavior" },
    { 0xDE7F67C07A6404AD, "bar_street_aq_death_check" },
    { 0xE547DF5BEFCD9B0C, "bar_street_aq_door" },
    { 0x44104A1149202515, "bar_street_aq_door_extra" },
    { 0xBF137736D6F24188, "bar_street_aq_handler" },
    { 0xF6F14CF1F0229EE7, "bar_street_aq_hangback" },
    { 0xA9448B139258CCF5, "bar_street_catchup" },
    { 0x12FD2129AFDE216D, "bar_street_civ_shot_squib" },
    { 0xF25886190E5FD57E, "bar_street_combat_handler" },
    { 0xCEB68E1CACD2CEA3, "bar_street_containment" },
    { 0x9DF1D2150A60776C, "bar_street_dead_bodies" },
    { 0xA6A1FBFBF093C102, "bar_street_enforcer_flee" },
    { 0xE6205FDE483EFD49, "bar_street_enforcer_mb" },
    { 0x2676E4F0F29A6585, "bar_street_enforcer_spawn" },
    { 0xE1A58BA13C024F98, "bar_street_extra_car" },
    { 0x6A254444ADB41FD3, "bar_street_fleeing_civs_vignettes" },
    { 0x1BB37CDB7F890F02, "bar_street_garbage_bag_blood" },
    { 0xB972ECB617D4AEF5, "bar_street_garbage_bag_place" },
    { 0x3AF949CABCFC10F9, "bar_street_mag_bullet" },
    { 0x7911F33ABFEE6114, "bar_street_main" },
    { 0xD270653C49E7578D, "bar_street_player_kill" },
    { 0x6E1110911F83E4E3, "bar_street_price_advance" },
    { 0x6B646E524ACEC37D, "bar_street_price_handler" },
    { 0xC765A7B7CF45EF8D, "bar_street_price_intro_gopath" },
    { 0x244984D1E31960B2, "bar_street_price_wait" },
    { 0x58A93778856B0D03, "bar_street_start" },
    { 0x483B7AF9F11CC116, "bar_street_stp_main" },
    { 0xF6DE1433F3B8C884, "bar_street_swap_corpses_with_trash" },
    { 0x5C971936C4D0C475, "bar_street_timer_handler" },
    { 0xC4628CA5C13E9570, "bar_street_turn_car_alarms_off" },
    { 0x9150DB26761649BB, "barcov_pain" },
    { 0xC054440FB35A1E81, "barelem" },
    { 0x2362F9E67B6FC180, "barkouterradiussq" },
    { 0x625939BE4EEA9A22, "barkov" },
    { 0xD83179875A5AF273, "barkov_charged_player_vo" },
    { 0xA0B89326C23E595C, "barkov_check_for_melee_range" },
    { 0xE4155C6EED5260D2, "barkov_choke_scene" },
    { 0xAF034D29F5F199A8, "barkov_choke_takedown_anims" },
    { 0xA6662E2068D4F636, "barkov_crawl_anim" },
    { 0xA2B777D83D13454B, "barkov_crawl_anim_shot" },
    { 0x9E2CBBA161633A8D, "barkov_crawl_scene" },
    { 0x6C3CEAC51E301B41, "barkov_crawl_scene_nostab" },
    { 0xE66A9F7A481E91C6, "barkov_damage" },
    { 0x2D430ADDA82B3080, "barkov_damage_ending" },
    { 0x27D22AE6D96A39CE, "barkov_damage_ending_setup" },
    { 0x8700AB7E8C1E581E, "barkov_damage_notifies" },
    { 0xA5BEAD52A3BACB5E, "barkov_damaged_during_anim" },
    { 0x9D0D1C3A5932D8CB, "barkov_death" },
    { 0x0E4076FC5EFA5947, "barkov_dialog_interrupt" },
    { 0xF33FA9FFC3C4EE6C, "barkov_dof" },
    { 0xE4DAD6BF9B3067D7, "barkov_execution_path" },
    { 0x198EA564477D5ABA, "barkov_final_anim_and_cleanup" },
    { 0x0BEB334C8CDE7D2F, "barkov_firing_loop" },
    { 0x2E648712860FF7B3, "barkov_gun_path" },
    { 0x43150E085D8CDA70, "barkov_has_no_head" },
    { 0x0C2F29F8FD67AD75, "barkov_idle_vo" },
    { 0x1920B00FA4B053D2, "barkov_in_player_sight" },
    { 0xF2C783B5131C5217, "barkov_is_armed" },
    { 0xF6AAB367CBDC5D0E, "barkov_kick_dialog" },
    { 0x8C3054E75D3C9365, "barkov_kick_out_scene" },
    { 0x3F4D081011D869E6, "barkov_kickoff_anim" },
    { 0x50C5B6B95B3A2394, "barkov_kills_player" },
    { 0xBDC5A97EFFB1B6A7, "barkov_lookback_scene_start" },
    { 0xA3BB9F2BB3E85F34, "barkov_mayhem_end" },
    { 0x5F388777F18C5721, "barkov_melee_path" },
    { 0x4A98D95E8DD377EF, "barkov_melee_setup" },
    { 0x5EA7F990C54802F2, "barkov_move_to_corner" },
    { 0x69D6C0EEFFB14268, "barkov_orders_turn_to_face" },
    { 0xC59BED4F77FDD693, "barkov_pain" },
    { 0x6A4AD023118B036F, "barkov_perform_partial_shock" },
    { 0x5330BDD4DFC860C9, "barkov_perform_shock" },
    { 0x4198F717FC27F38C, "barkov_play_anime_into_idle" },
    { 0xFE4D3A5825CC244F, "barkov_play_chained_anime_into_idle" },
    { 0xDB883A6E2B651448, "barkov_play_idle" },
    { 0x78AB5CA5FAD7F2C1, "barkov_play_response" },
    { 0xF4B17F3DDDF11B61, "barkov_return_ready_next_anim" },
    { 0x799D875E2D403FA4, "barkov_shooting_path" },
    { 0x8E4B6C96254903D6, "barkov_shooting_path_nostab" },
    { 0xF0EF1757C567D313, "barkov_shoots" },
    { 0xD4431D6D7C4AD148, "barkov_shot_dialog" },
    { 0xF72E7D99F1BEFE70, "barkov_shot_dialog_internal" },
    { 0x403E23BE51DED016, "barkov_shot_loop" },
    { 0x17A1F0B48D6DF855, "barkov_spawn_func" },
    { 0x05A77DA4B44D778C, "barkov_stab_dialog" },
    { 0xAA962B72E59B8D12, "barkov_stab_loop" },
    { 0x6A96D85A1C8413BD, "barkov_stab_post_melee" },
    { 0x4879079749725E56, "barkov_start_choke_effect" },
    { 0x925DFE95B119A1CE, "barkov_start_escort" },
    { 0x931520F8EC1204D2, "barkov_struggle_setup" },
    { 0xDD473CC310A27AF9, "barkov_swap_to_blendshape" },
    { 0x2200FF930E32B07D, "barkov_tell_face_wall" },
    { 0xF9BEC25971E47B4E, "barkov_watcher_attack" },
    { 0x739CC0F07C4B7A5E, "barkov_wind_change" },
    { 0xE209C9410427DE2D, "barkov_within_melee_range" },
    { 0x405665C838D0770D, "barkovchopper" },
    { 0x9F288FD74045D6CB, "barkovfakebodies" },
    { 0x6A169543DBC465E8, "barkovmaxmeleedistsq" },
    { 0x67D87F0DBF282EDF, "barkovmodel" },
    { 0xA2818105B85C15D1, "barkovreloading" },
    { 0xF973F08A050DA917, "barkovspeakerlineindex" },
    { 0xC7FDD6FDDF6D2651, "barkradiussq" },
    { 0x95E911B10B371983, "barracks_civ" },
    { 0xCD0EF22CD2834E7F, "barrel_animate_player" },
    { 0x184C24E55BC1AD4F, "barrel_block_gesture" },
    { 0x37699DEBA117DDB4, "barrel_cancel_animate_player" },
    { 0xCE3AB9C2C2D6D946, "barrel_cleanup" },
    { 0xB7EFCA24DA37B411, "barrel_collect_chance" },
    { 0xF8395068F70E19F1, "barrel_debug" },
    { 0xEEFBB547EF8DFD6E, "barrel_early_exit" },
    { 0xC50A12618693F5FD, "barrel_freeze" },
    { 0xAA320CEAAFC98722, "barrel_fulton" },
    { 0x452FDC3B9A152A28, "barrel_fusetimer" },
    { 0xB92E63FD71BAEF76, "barrel_handle_cancellation" },
    { 0xC79C0A816389D864, "barrel_health" },
    { 0xED9FA8135FAD3CA1, "barrel_launch" },
    { 0x839172AB12F8F0A6, "barrel_nav_obstruction" },
    { 0xA67079A225E32F35, "barrel_one_hit_kill" },
    { 0x90D66EA8E586C8DF, "barrel_player" },
    { 0x87764D5060F10F35, "barrel_reaction_gesture" },
    { 0x99CA8B45D7AC9483, "barrel_setup" },
    { 0x05AA001C5EF6D4BE, "barrel_setup_anims" },
    { 0x67DC0D1CD38C1CBA, "barrel_think" },
    { 0xFC6A2B4C265351E8, "barrel_thread_setup" },
    { 0x211DFAA209803BB2, "barrel_unfreeze" },
    { 0x49C65194E501D37A, "barrel_wind_to_above_truck" },
    { 0xEEFAF5ED71DB9DE0, "barrelbarrel_damage_thread" },
    { 0xB72BCBB0352699DA, "barrels" },
    { 0x57840C56827BF0A3, "barrels_on_death" },
    { 0xCF4D595BAA0FE039, "barrelscan_animactor" },
    { 0x17C4E1E27E515DD0, "barrelscan_animscene" },
    { 0xA9CF981AF02CB697, "barrelshouldexplode" },
    { 0x4315ACF7EE478E74, "barricade_player_crushed_monitor" },
    { 0x61B2A6B0B0D860EC, "barrier" },
    { 0x308251F436287C1B, "barrier_deathfunc" },
    { 0x452F488685289CC1, "barrier_destroy" },
    { 0x84CB0408B6C41921, "barrier_dmgfunc" },
    { 0xFBD3AA81B9AED45A, "barrier_explode" },
    { 0x1BABE606646E25AF, "barriermonitordamage" },
    { 0xC1499E3A66F82AD0, "barriermonitordeath" },
    { 0x8479D3E9014D4CBC, "bars_out" },
    { 0x00C5F3414103BE1C, "base" },
    { 0x06D0968864ABACD0, "base_accuracy" },
    { 0x144A03E5FFD3CE65, "base_angles" },
    { 0x096AD19A16E6D6E4, "base_anim" },
    { 0x9CC176E05DA9BDB3, "base_anime" },
    { 0x4C5AA7F8B5E4F829, "base_assault_intro_vo" },
    { 0x336B82F334BB5245, "base_button_text" },
    { 0x80DBBCF752878249, "base_explosion_test" },
    { 0x346BDC4DDEA9DC5A, "base_setupvfx" },
    { 0x3A778C8A7A6DFD84, "base_speed" },
    { 0xE29A48EFD3934E9E, "base_speedscale" },
    { 0xC2D3557E6AE70F3C, "base_tank_ai_speed" },
    { 0x16D45AAA40E57075, "base_weapon" },
    { 0x8AB8E37B468E0269, "baseaccuracy" },
    { 0xD4C6B703E3511A48, "basealias" },
    { 0x83DFE602EB2D9000, "basealpha" },
    { 0xC311E6D22F825DC7, "baseangle" },
    { 0x82BC543E7BB412DC, "baseangles" },
    { 0x3C1DBA6704F8FDCB, "basearchetype" },
    { 0xF2FD25C51CE42CAB, "basecam" },
    { 0x52E3E5B73E6F54BA, "baseeffectforward" },
    { 0x90069CCC864A07A9, "baseeffectpos" },
    { 0xAA6E3EE40478AC1D, "basefontscale" },
    { 0xA4B82D421E5B66DF, "basefusetimers" },
    { 0x0DDBAE09F36A714F, "basefxid" },
    { 0x6986F706FDA27AFF, "baseheight" },
    { 0xD7C17FACBFD808D0, "baseignorerandombulletdamage" },
    { 0x4B30B401FD82ABED, "baseintensity" },
    { 0xBA4F65901D3160A7, "basekilloutlineid" },
    { 0x1B1A483C87C76E00, "basement" },
    { 0x8EBC1E56AB6D3AAF, "basement_aq" },
    { 0x6CD035A5C3FE1751, "basement_bodies" },
    { 0x38B7F97A88588A39, "basement_catchup" },
    { 0xC65A4862083D44F0, "basement_ceiling_guy" },
    { 0xCCD7C63C87B9BC5B, "basement_ceiling_guy_flashlight" },
    { 0xA4111B4DE27881CA, "basement_ceiling_ignoreme_think" },
    { 0x7D576F152D9F155B, "basement_check_crowguy_death" },
    { 0x460D92A7426969E8, "basement_collapse_crawl_vo" },
    { 0xB9213DFF3AB5EE39, "basement_collapse_crawl_vo_structs" },
    { 0xA147A9E103FAD4B5, "basement_collapse_crawl_vo_structs_debug" },
    { 0xB07F092DA9D84D52, "basement_collapse_lights_on" },
    { 0x0013576C87209049, "basement_collapse_lights_out" },
    { 0x245623C9C875439A, "basement_collapse_objective_update" },
    { 0xD61448DE2FB6A9DD, "basement_coward" },
    { 0x2C764F9CA53E00DC, "basement_door_enter" },
    { 0xFBAA28B4707D4D6D, "basement_door_guy" },
    { 0x6E3006BF53DD6899, "basement_door_surprise_guy" },
    { 0xFA18540FB72D5FEF, "basement_enemy_flare_throw" },
    { 0x1217A1A41FCE0C43, "basement_enemy_sfx" },
    { 0xD3D6CE2264E839FB, "basement_enemy_vo" },
    { 0x424A6BCFA3FF7F4F, "basement_env_fx" },
    { 0x07A3FCF0FBB6656D, "basement_falling_rocks_thingy" },
    { 0x71F470454F77C121, "basement_farah_lights_out_and_tripwire_hint_vo" },
    { 0xD9D1A4CB6C146ECB, "basement_final_guy" },
    { 0xEC205928BAA0ECEF, "basement_first_blast_behavior" },
    { 0x83CD10DB78E13C33, "basement_first_blast_cancel" },
    { 0x56096D5E1A07DBD2, "basement_first_cell_guy" },
    { 0x0864923D78489E96, "basement_first_cell_guy_canned_once" },
    { 0x521746B4970F5768, "basement_footsteps" },
    { 0x1CE6AF5BF80F1546, "basement_guard_combat_stealth_filter" },
    { 0x655049EF63E091CC, "basement_guard_combat_think" },
    { 0x5ACC1FF297B488A6, "basement_guard_death_func" },
    { 0xE1F142BC1E00EC8B, "basement_guard_has_lost_enemy" },
    { 0xA5415012BD160340, "basement_guard_pre_combat_stealth_filter" },
    { 0xF213130F1CE2D56F, "basement_guard_pre_stealth_filter" },
    { 0x033C7DE13236E0B9, "basement_guard_spawn_func" },
    { 0x5AF1698AB8D75CD1, "basement_guard_stealth_filter" },
    { 0xC673DA280C65C7AF, "basement_guards" },
    { 0x374E309AEB442B58, "basement_guy" },
    { 0x6BB18FF709AFFDDC, "basement_guy_wake_by_trigger" },
    { 0xC20E7967F06435CF, "basement_intro_add_fov_scale_factor_override" },
    { 0x0F9626C8FE441806, "basement_intro_farah" },
    { 0x9337AFD5FB71B133, "basement_intro_player_speed_management" },
    { 0x7F09144CE96A2902, "basement_intro_scene" },
    { 0xB04BA7E7610BB76E, "basement_intro_skip_think" },
    { 0x19D88D7038690999, "basement_intro_vo" },
    { 0xEF28D305B8D471AE, "basement_jump_start" },
    { 0x4516CD75EA2F739C, "basement_left_flank_camper" },
    { 0x362D6192D2D8F2B9, "basement_left_flank_camper_long_death_think" },
    { 0x8EE14DD432243D62, "basement_light_models" },
    { 0x4CFB216ABF76BA6C, "basement_lights" },
    { 0x0150EAEBBD30E1E3, "basement_lights_out" },
    { 0xD84C403D4AC8F05B, "basement_live_grenade_monitor" },
    { 0x70F491D24896F920, "basement_main" },
    { 0xB482B3694138228B, "basement_override_price_demeanor" },
    { 0xF6D09CEB4BEA3860, "basement_paul_revere_behavior" },
    { 0x9F9886CA11C81C46, "basement_paul_revere_scene" },
    { 0x018364C6DD4C05F8, "basement_player_rush_handler" },
    { 0x3DDE58DEF2298692, "basement_price" },
    { 0xD350A55EDC612AB4, "basement_price_vo" },
    { 0x401E8FAF643A3AFB, "basement_right_flank_runner" },
    { 0xCBFCD91CA9D87A3A, "basement_right_flank_surprise" },
    { 0xA707BA04F3941FE3, "basement_runner" },
    { 0xEA1DA8E3AEC169B0, "basement_runners" },
    { 0x1A14EAA3693E6B4E, "basement_setup" },
    { 0x43F47CC21B28D6E3, "basement_sneak_1" },
    { 0xF72304E17A8944C5, "basement_sneak_1_animated" },
    { 0x6DE4C50C979CFBAA, "basement_sneak_1_backup" },
    { 0xF3FAC7436A2903EA, "basement_sneak_1_backup_spawn" },
    { 0xCEF1E84E61D28955, "basement_special_magic_flash" },
    { 0x3BAECB1BA47E103D, "basement_special_magic_molotov" },
    { 0x1D3F9C4E6A3DAC60, "basement_special_magic_molotov_exploder_cleanup" },
    { 0xCDB18275B92D10C7, "basement_sr_crowbar" },
    { 0xA305F8759A35E549, "basement_sr_crowguy" },
    { 0x7C1595D4812766C6, "basement_sr_last_stand" },
    { 0x8FF43212A134B8D7, "basement_start" },
    { 0xCF13AF9D4E771F15, "basement_stealth_catchup" },
    { 0xC3A36FA31FDE3F88, "basement_stealth_eventdists" },
    { 0x09DEBC316DE80008, "basement_stealth_flags" },
    { 0x88253920CB47A4B4, "basement_stealth_main" },
    { 0x11F33594DA210B5D, "basement_stealth_melee_counter_monitor" },
    { 0xCFBE4F4DCE153545, "basement_stealth_stairwell_cleanup" },
    { 0x66B83909A84DAA23, "basement_stealth_start" },
    { 0xCDC231B696D93BDC, "basement_triggered_vo" },
    { 0x35BB8B8B0030DC0F, "basement_tunnel" },
    { 0x55AF0DE0D3ECD402, "basement_tunnel_catchup" },
    { 0x5869E272C7C3B9DD, "basement_tunnel_dof" },
    { 0x45672D25ECB7C7CC, "basement_tunnel_start" },
    { 0x8EFE1456ABB5BE4A, "basement_vo" },
    { 0x7735D8E4001FD7A1, "basement_vo_another_tripwire" },
    { 0x1A59E1A9F8BAB43E, "basement_vo_farah_followup" },
    { 0x4AD6D74467B2CD6E, "basement_vo_player" },
    { 0x318033C5FB3274D9, "basement_vo_player_play" },
    { 0x8921EA8B915CC47F, "basement_vo_whisper" },
    { 0x373971ED734CDE9C, "basement_whisper_lights_scene" },
    { 0xCA200B978E1A70C2, "basementguards" },
    { 0xE9490D512E1272D7, "basename" },
    { 0x19564D6A998A8C26, "baseorigin" },
    { 0x17EEA6FB796BE5A5, "baseplate_dialogue_struct" },
    { 0xE267498236B265F3, "basepoints" },
    { 0xC5C564183C03408C, "baseraidalblur" },
    { 0x11F739CB7D94206F, "baseraritymap" },
    { 0x4DE6E610BF5CA126, "basescore" },
    { 0x28FE1F9DF1373584, "basetacopstimelimit" },
    { 0xFF0B6C66EDF1A01D, "basetime" },
    { 0xF8ED9FC5CAC893A0, "baseweapon" },
    { 0xB4C895210B942848, "basewidth" },
    { 0xCC2B74E635CD1A9B, "bash_debug" },
    { 0x0565F773B192E950, "bash_door_isplayerclose" },
    { 0x76CD85B61A649233, "bash_manager" },
    { 0xCF089846E2B11622, "bash_monitor" },
    { 0x68109B778511362C, "bash_opening" },
    { 0xD180C8399F6DEB25, "bashblocked" },
    { 0x2680EADBBA03751A, "bashed" },
    { 0x72189BAA232A04DA, "bashed_full" },
    { 0xEB9D7888F065174E, "bashed_locked_door" },
    { 0x289E016A19BA45EE, "bashed_locked_door_sfx" },
    { 0x9845EDCA0AD4331D, "bashedsfx" },
    { 0x5B0BE3317E8A1954, "basher_count" },
    { 0x9465FA8B9460B0BB, "bashmonitor" },
    { 0x377931D2C379ACA7, "bashopen" },
    { 0xA14ED4AD967A394B, "bashpresentation" },
    { 0xDE4B0A91E307323E, "bashproxcheck" },
    { 0xF9F9730DFE814213, "bashscale" },
    { 0xE1347B5E17960DD2, "bashtime" },
    { 0x28E8F59537ED3D96, "basic_combat" },
    { 0x5A4374F7E8AF9520, "basketballhighscore" },
    { 0x0C1D1617CBAA0FC1, "bathroom_2f_guy_breathing" },
    { 0x3F1F49891923D37C, "bathroom_damage_func" },
    { 0xCF3A7524EF8887D0, "bathroom_door" },
    { 0x069A10C34872F41C, "bathroom_enemy" },
    { 0x106FA1226374C1AD, "bathroom_enemy_audio" },
    { 0x97C84F5DECBD6052, "bathroom_enemy_audio_close" },
    { 0x8099CEF92EB804F1, "bathroom_enemy_death" },
    { 0x080AAF4CFA55DEDC, "bathroom_enemy_death_func" },
    { 0xE6E9278E14222BA8, "bathroom_enemy_react" },
    { 0x24412BED3BCCEC20, "bathroom_enemy_react_anim" },
    { 0x76AC008FEB09A9B9, "bathroom_flash_think" },
    { 0xFBC81B007886D32B, "bathroom_inner_trigger" },
    { 0xB3C420F8036D8155, "bathroom_nade_think" },
    { 0x80E03E80766B26FF, "bathroom_sfx" },
    { 0xD3C31C84608575E8, "bathroom_stop_deathanim" },
    { 0xD5285853A35D4CBD, "bathroom_trigger_damage_ondamage" },
    { 0xF85B21BC5648FCDC, "bathroom_trigger_damage_onflashbang" },
    { 0x9BE4B26B4A39A357, "bathroom_trigger_think" },
    { 0x3641715765B1993A, "battery" },
    { 0x1E58161AF84A894E, "battle_chatter_armory_01" },
    { 0x36BF50028B1F78E8, "battle_station_combat_logic" },
    { 0x4B28EF0D4757F8F1, "battle_stations" },
    { 0xF17ADAEE4A244724, "battle_tracks_clearbattletracks" },
    { 0xDD578604598BEC6D, "battle_tracks_createdefaultlisteningzone" },
    { 0x72A2A28351E9DB69, "battle_tracks_createexternallisteningzone" },
    { 0xFECBAE51978EE6A8, "battle_tracks_getbattletracksid" },
    { 0xBCC310F75E7D38CF, "battle_tracks_getmusicstate" },
    { 0xAD044B120B978F7C, "battle_tracks_getnewtogglestate" },
    { 0x25DD6E519707FFB7, "battle_tracks_getplayerdataenum" },
    { 0x43D395397AD9556E, "battle_tracks_getsfxalias" },
    { 0x7935B5748640FF5C, "battle_tracks_gettogglestate" },
    { 0x3569F517EEC76EFA, "battle_tracks_gettrackindex" },
    { 0x5E4E88F80451C44E, "battle_tracks_hasemptybattletracks" },
    { 0x43DA74011D7CFEAD, "battle_tracks_hidetogglewidget" },
    { 0x5B93B21CB2F0627A, "battle_tracks_isbattletracksowner" },
    { 0x942643B788C5BBE5, "battle_tracks_monitorstandingonvehicles" },
    { 0xEC77647C8A23DA0A, "battle_tracks_onentervehicle" },
    { 0xB926B7F1455B7E40, "battle_tracks_onexitvehicle" },
    { 0x3B34859C95FD2A01, "battle_tracks_playbattletrackstoalloccupants" },
    { 0x79C7292E105C7FE5, "battle_tracks_playbattletrackstoplayer" },
    { 0xA6388A34D2D18AA8, "battle_tracks_playbattletrackswhenstandingonvehicle" },
    { 0x5EA9C5773C0D7806, "battle_tracks_playerinlisteningzone" },
    { 0xB1AE94A89D0A369B, "battle_tracks_playerinlisteningzoneinternal" },
    { 0x0461462A77BD6032, "battle_tracks_playerinsidezone" },
    { 0x2B1761345B06EEB7, "battle_tracks_playerselectrandomtracks" },
    { 0x9FF25E2B55E21C93, "battle_tracks_setmusicstate" },
    { 0xAC1539A32EEAF5D8, "battle_tracks_settogglestate" },
    { 0x9FA7550E3AA81271, "battle_tracks_shouldplaybattletrackswhenstandingonvehicle" },
    { 0x6CAD2845C4115514, "battle_tracks_shouldstartbattletracks" },
    { 0x065980D706CE5013, "battle_tracks_standingonsamevehiclewithsametracksowner" },
    { 0x5AE67C9CAEED31B3, "battle_tracks_standingonvehicletimeout" },
    { 0x70D22FC926C39943, "battle_tracks_stopbattletracksforplayer" },
    { 0xCB1B520E406BA002, "battle_tracks_stopbattletracksfromstandingonvehicle" },
    { 0xD010EC316E3FE6FF, "battle_tracks_stopbattletrackstoalloccupants" },
    { 0x02CEA2727EEE92E2, "battle_tracks_stopbattletrackswhenstandingonvehicle" },
    { 0xDD37FDE42501A24B, "battle_tracks_stoptogglethink" },
    { 0xAE7121C15E63DA0F, "battle_tracks_toggleoffstate" },
    { 0x58CF5C398B9D1A55, "battle_tracks_toggleonstate" },
    { 0x6262B5774E03DF2A, "battle_tracks_togglestateis" },
    { 0xEB4A3419BA6EB1CB, "battle_tracks_togglethink" },
    { 0xEA82E312C2325065, "battle_tracks_tryinittogglestate" },
    { 0xCBD2CDB79803AB45, "battle_tracks_tryplayingbattletrackswhenstandingonvehicle" },
    { 0x5E6711E65400C674, "battle_tracks_trystopdrivertogglethink" },
    { 0x9BDAA9C794BC42CA, "battle_tracks_updatebattletracks" },
    { 0xE92E1AC108F2AC1F, "battle_tracks_updatebattletracksfromplayerdata" },
    { 0x3568ACD9106F4F7A, "battle_tracks_updateexternallisteningzone" },
    { 0xE0CA4E5C2DCB6CC5, "battle_tracks_updatetogglestate" },
    { 0x4151128BDA782089, "battle_tracks_vehicleallowlisteningoutsideoccupancy" },
    { 0x5A928CB7D7D88AFE, "battle_tracks_vehicleoccupancyenter" },
    { 0x6EA0E085CC4239A6, "battlecenter" },
    { 0xC84FE513CC6DED08, "battlechatter" },
    { 0x05DE92D20A35AE2C, "battlechatter_addvehicle" },
    { 0xC223AE55BBD6F0A7, "battlechatter_alias" },
    { 0xE2A57B2908362BA7, "battlechatter_anim_active" },
    { 0xE9896F06178C9058, "battlechatter_canprint" },
    { 0x72EFC81744B8BEBE, "battlechatter_canprintdump" },
    { 0xDC16C3CD89D727AC, "battlechatter_canprintscreen" },
    { 0x293CE90CCEA2B8BB, "battlechatter_commander_off" },
    { 0x1D1569902A3348D7, "battlechatter_commander_on" },
    { 0x2C7CE041B73F309F, "battlechatter_debugprint" },
    { 0x1266D47D4433EF32, "battlechatter_dist_check" },
    { 0x1EB40974671426B5, "battlechatter_draw_arrow" },
    { 0x0EE0D9CD41A87449, "battlechatter_filter_internal" },
    { 0xB6F4BBF91E70B2CD, "battlechatter_filter_off" },
    { 0xA90FB6F16FE98831, "battlechatter_filter_on" },
    { 0x3FE499165B8132E2, "battlechatter_friendlyfire_force" },
    { 0xFAD59FA218A9CF9A, "battlechatter_line_ok" },
    { 0x6C1A3B6B303211BA, "battlechatter_off" },
    { 0x9CE6F1C3399D3A5D, "battlechatter_off_spawn_func" },
    { 0x202EFD6522A49FA0, "battlechatter_on" },
    { 0xA321AECAA4C30F09, "battlechatter_on_thread" },
    { 0x7F5624C4D1CF0972, "battlechatter_otn_off" },
    { 0xCACAD6268B836438, "battlechatter_otn_on" },
    { 0x7D481014F863C818, "battlechatter_print" },
    { 0xA844FBA647C6027E, "battlechatter_printdump" },
    { 0xD939BF2FE042EE94, "battlechatter_printdumpline" },
    { 0x8AA16178EB9D753E, "battlechatter_printerror" },
    { 0xEB3B2C939CB0CC6C, "battlechatter_printscreen" },
    { 0x049265E2FE853E97, "battlechatter_printscreenadd" },
    { 0x6245C58FA96A8D44, "battlechatter_printwarning" },
    { 0x11C8A432B8CCFFAC, "battlechatter_probability" },
    { 0xB84F59906C91C3AB, "battlechatter_radioecho_off" },
    { 0x41CEDD1DCFFE8267, "battlechatter_radioecho_on" },
    { 0xC058A201E6101E8B, "battlechatter_removed" },
    { 0xBB651FEB26DDB9DB, "battlechatter_saytimescaled" },
    { 0x7877C333D86BBF78, "battlechatter_target" },
    { 0x210BFA798DB86438, "battlechatterallowed" },
    { 0x34FC45FB10FC74E3, "battlechattercustom" },
    { 0xF54FDA5EA6D52C19, "battlechatterenabled" },
    { 0x9DB0F9B687EEFD9F, "battlechatterintensitybuffer" },
    { 0x2E893E788919AE96, "battlepassxpmultipliers" },
    { 0x1F1A5A67DE0AB819, "battleslid" },
    { 0xB23C9D32BF288FF5, "battleslideshield" },
    { 0x695E3B3F2F7D77F5, "battleslideshield_break" },
    { 0x6E8B86C75B58D3C3, "battleslideshield_breakfx" },
    { 0x902C270B8A2E399B, "battleslideshield_damagedfx" },
    { 0xCFC61449585DAB4A, "battleslideshield_killondeathdisconnectunset" },
    { 0x245F8A2EAAD85836, "battleslideshield_killonjumpfall" },
    { 0x2CFB54764855650F, "battleslideshield_killonsprint" },
    { 0x447B207FCAC1B5B2, "battleslideshield_killontime" },
    { 0x53261F53CFC75373, "battleslideshield_lower" },
    { 0x6408D93A32B43455, "battleslideshield_lowerfx" },
    { 0xEE059F737AB374EC, "battleslideshield_loweronleavearea" },
    { 0xC704C7D5EBFCD287, "battleslideshield_lowerontime" },
    { 0xA0B7EAAD04D14C20, "battleslideshield_monitor" },
    { 0x0F7FF38019EC9046, "battleslideshield_monitorhealth" },
    { 0xFF57BD55B7BA0392, "battleslideshield_raise" },
    { 0x600D5937FBE9386C, "battleslideshield_raisefx" },
    { 0x0654AF84B99F74B1, "battleslideshield_unlink" },
    { 0x2B04F332284DDD94, "battleslideshield_unlinkonstop" },
    { 0x5B7D7100012B1023, "battletracks" },
    { 0x5ABCAC89BE46DEED, "battletracksidstandingonvehicle" },
    { 0xCAF31E8C50DFB3E3, "battletracksmusicstate" },
    { 0x95D13A8C6CE18152, "battletracksmusicstatestandingonvehicle" },
    { 0x8922D541341C7256, "battletracksowner" },
    { 0x7FA65E83242580D9, "bautonomouscombat" },
    { 0x58FB96AF55664F25, "bb_canplaygesture" },
    { 0xD8A631BCAA951085, "bb_canrodeo" },
    { 0xBF3866D7BE3F2D87, "bb_civilianrequestspeed" },
    { 0x5BE9DC1E55834493, "bb_claimshootparams" },
    { 0x2A1D472198CA58A8, "bb_clearanimscripted" },
    { 0x5CFC2C1EBF799206, "bb_clearmeleechargerequest" },
    { 0x0369E7A6942A5EB2, "bb_clearmeleerequest" },
    { 0xC0A8754771805E79, "bb_clearmeleerequestcomplete" },
    { 0xA4B692FCE5E4BE68, "bb_clearmeleetarget" },
    { 0x1C6727F71F44AA17, "bb_clearmoverequest" },
    { 0xB361D89478BEEBAD, "bb_clearplaysmartobject" },
    { 0x24387058BFF87121, "bb_clearrodeorequest" },
    { 0x0C8FAF13E3DAE4F4, "bb_clearshootparams" },
    { 0xF29140DFD0B4403B, "bb_clearsmartobject" },
    { 0xAE38647FF163581C, "bb_clearweaponrequest" },
    { 0x8121D1E06B446980, "bb_dismemberedpart" },
    { 0x8A0E1270B1C322C2, "bb_firerequested" },
    { 0xD960412DD96FBDB8, "bb_getcivilianstate" },
    { 0x13E577564F57C551, "bb_getcivilianstatetime" },
    { 0x21CEB074041F9E0D, "bb_getcovernode" },
    { 0x1BBD0208417EF59D, "bb_gethaywire" },
    { 0xE6FC9F100EBD836F, "bb_getmeleechargetarget" },
    { 0x17D9B34136EB82EF, "bb_getmeleechargetargetpos" },
    { 0xDDB92D755B4D426F, "bb_getmeleetarget" },
    { 0xF1B6A25D55F73B86, "bb_getmissingleg" },
    { 0xF074B45DB8D56BD3, "bb_getprefixstring" },
    { 0x64252CAF767F5099, "bb_getrequestedcoverexposetype" },
    { 0xDEA4456915359E82, "bb_getrequestedcovermultiswitchnodetype" },
    { 0x9E603C156B95EAFA, "bb_getrequestedcoverstate" },
    { 0x130F027C76F03B5C, "bb_getrequestedsmartobject" },
    { 0x6A79EAE08D96EAF6, "bb_getrequestedstance" },
    { 0x2788E679904072D4, "bb_getrequestedturret" },
    { 0x2373C36234A363EA, "bb_getrequestedweapon" },
    { 0x1A210F3F42B8B08B, "bb_getrequestedwhizby" },
    { 0xC307482A57A12135, "bb_getthrowgrenadetarget" },
    { 0x2DCFAB19CFA1F576, "bb_hadcovernode" },
    { 0xBD72E8FBC4D756BB, "bb_hasshufflenode" },
    { 0x693D3966A45D3A61, "bb_isanimscripted" },
    { 0x39E662FD8080BD3E, "bb_iscovermultiswitchrequested" },
    { 0xB816F95108F43D97, "bb_iscrawlmelee" },
    { 0x985197ED2B5CC7EB, "bb_isfrantic" },
    { 0x02C45D99646402B5, "bb_ishaywire" },
    { 0xAF2D0A20839539B1, "bb_isheadless" },
    { 0xF7250F7B29A6044A, "bb_isinbadcrouchspot" },
    { 0xAF487156E45733F5, "bb_isincombat" },
    { 0x8B2A1A8ACE6ED89B, "bb_ismissingaleg" },
    { 0x893EF92B8BE76066, "bb_ispartdismembered" },
    { 0xF750FC91BCDF71C6, "bb_isrequestedstance_refresh" },
    { 0xDADD0842B615741C, "bb_isrequestedstanceanddemeanor" },
    { 0x3D414EB2CE957CCD, "bb_isrodeorequested" },
    { 0x6E9439D328839C6A, "bb_issameshootparamsent" },
    { 0xEE1EBE262895588A, "bb_isselfdestruct" },
    { 0x5A5327B38F7BCB58, "bb_isshort" },
    { 0xCDC658DD992764CE, "bb_isweaponclass" },
    { 0xCBD00013A8EFAF09, "bb_iswhizbyrequested" },
    { 0xB67F138DE5F87775, "bb_meleechargeaborted" },
    { 0xD074EB2AD4BE883E, "bb_meleechargerequested" },
    { 0xD4151F84E3572909, "bb_meleecomplete" },
    { 0x12EF68ECD7FF01DE, "bb_meleeinprogress" },
    { 0x8839A66F677C606E, "bb_meleerequested" },
    { 0x00FC810F91E15CE6, "bb_meleerequestinvalid" },
    { 0xE47D11E78E145919, "bb_moverequested" },
    { 0xE619EB7727C979E1, "bb_movetyperequested" },
    { 0x59DDF96523BE05C9, "bb_newshootparams" },
    { 0x84DC7F5270E0ECEE, "bb_playsmartobjectrequested" },
    { 0x2182A09E9CDD4365, "bb_recovery" },
    { 0xF4F84360571DFCF1, "bb_reloadrequested" },
    { 0xB2DE116996711D7D, "bb_requestcoverblindfire" },
    { 0xAD631F8BA7D68E3A, "bb_requestcoverexposetype" },
    { 0xEC325F825A7D3D77, "bb_requestcovermultiswitch" },
    { 0x061DF3694BCB7093, "bb_requestcoverstate" },
    { 0x40B295173C349DE3, "bb_requestfire" },
    { 0xEDF6511346E5A87F, "bb_requestgrenadereturnthrow" },
    { 0xBA56E77E2DDE5BE9, "bb_requestmelee" },
    { 0xBEB1E5F409AECBC5, "bb_requestmeleecharge" },
    { 0xC8CBDBE39E04F69E, "bb_requestmove" },
    { 0x530763B3CE98975E, "bb_requestmovetype" },
    { 0x8138FCEE654A6739, "bb_requestplaysmartobject" },
    { 0x010A61359C26387E, "bb_requestreload" },
    { 0x50FD92FAFB59C6CF, "bb_requestsmartobject" },
    { 0x8BFFC1BF16A01F73, "bb_requeststance" },
    { 0xB53EA984335E7951, "bb_requestthrowgrenade" },
    { 0x91723D9BDFFB7F71, "bb_requestturret" },
    { 0x6784BBC3F391EDE0, "bb_requestturretpose" },
    { 0x9ABEC8A2B9FA0907, "bb_requestweapon" },
    { 0x79C2B491DD300A16, "bb_requestwhizby" },
    { 0x83B32F4A0C2D19C9, "bb_resetcovermultiswitch" },
    { 0x6734DE77AA386646, "bb_selfdestructnow" },
    { 0x6BECE077B1832305, "bb_setanimscripted" },
    { 0x414780B6CB36E5E5, "bb_setcanrodeo" },
    { 0xF6FFBD18890F0244, "bb_setcivilianstate" },
    { 0x4CB9F59F76077CC1, "bb_setcovernode" },
    { 0xC79BE74DA8AAEA0B, "bb_setcrawlmelee" },
    { 0xB5A6B74F72BDF0B9, "bb_sethaywire" },
    { 0xF978EB4BBF75709D, "bb_setheadless" },
    { 0xA5030FA653934E2A, "bb_setisinbadcrouchspot" },
    { 0x85959F3922976B55, "bb_setisincombat" },
    { 0x5FF196E8F729D2C3, "bb_setmeleetarget" },
    { 0x77E70D1A09BC2A08, "bb_setrodeorequest" },
    { 0x7399169E7D8E0A66, "bb_setselfdestruct" },
    { 0x872B09531CC09FCF, "bb_setshootparams" },
    { 0xD049C8949C131ADC, "bb_setshort" },
    { 0xDFE001BB13217D41, "bb_shootparams_empty" },
    { 0x2B218C15700606EB, "bb_shootparams_idsmatch" },
    { 0x7AE959754011A83B, "bb_shootparamsvalid" },
    { 0x8205670858A54E8C, "bb_shoulddroprocketlauncher" },
    { 0x2B049ECFDADD4D3F, "bb_shouldselfdestructnow" },
    { 0xA1B546EA6F9B15B1, "bb_shouldwildfire" },
    { 0x2A873CEEE1DB370C, "bb_smartobjectrequested" },
    { 0x0F2E44C07E5B4ED6, "bb_think" },
    { 0x55C1EF6358AF0868, "bb_throwgrenaderequested" },
    { 0x0E0BD5DC9BE10A5B, "bb_timer" },
    { 0xBF743945FE63F4A4, "bb_updateshootparams" },
    { 0x724472B8FB700EB5, "bb_updateshootparams_pos" },
    { 0x3CDACF35FB68C643, "bb_updateshootparams_posandent" },
    { 0xFA4B262527D2760B, "bb_wantstostrafe" },
    { 0x57B0E731DB29134B, "bb_waspartjustdismembered" },
    { 0x5ECD2356F42FE383, "bb_werepartsdismemberedinorder" },
    { 0x129D7ED2EC3163F2, "bbadcrouchspot" },
    { 0x6700FDC5FDEA2957, "bbark" },
    { 0xAF7832A6A9E66FD1, "bbeingelectrocuted" },
    { 0xA3632930FA5C5A7F, "bblocked" },
    { 0xD0943990D5EEF45C, "bbprint" },
    { 0x1ADDEF15650266BA, "bbreportspawnfactors" },
    { 0xC385631C41395A23, "bbreportspawnplayerdetails" },
    { 0xF252F2E64170C5AB, "bbreportspawntypes" },
    { 0xC34963868C7ED872, "bc_event_override" },
    { 0x8EDD00CAE4592F89, "bc_looktarget" },
    { 0xEE8618034B802247, "bc_prefix" },
    { 0x3356132CD387E339, "bcallingreinforcements" },
    { 0x3C76E0AB3DE2CC6C, "bcansee" },
    { 0x83CC2F1D6BE4F20F, "bccallsign" },
    { 0x2AB1A4A4005E751F, "bccansee" },
    { 0xA73E86F0CC699BA1, "bccountryid" },
    { 0x06C6619C87D10325, "bccreatemouth" },
    { 0x380ACDDF81F05DA8, "bccustomconvo" },
    { 0x3DB680C7767E62F6, "bcdisabled" },
    { 0x70AB8C4C686C24C4, "bcdrawobjects" },
    { 0x4F9DCBF7CC8950D0, "bcfrequency" },
    { 0xF2289CE3367F9E77, "bcgetclaimednode" },
    { 0x3BC7325880290185, "bcharge" },
    { 0x381D67A9F52CF222, "bchargecomplete" },
    { 0x837AAFAE38FD177C, "bchecklosttarget" },
    { 0x6FA1471F8ECE7B5E, "bcinfo" },
    { 0xD0C32B149DBA261D, "bcinfolastsaytimes" },
    { 0x55FC0411BBD122F7, "bcinfoqueued" },
    { 0x045481C2B0F0D0B8, "bcisgrenade" },
    { 0x4164C9D63C946279, "bcisincombat" },
    { 0xB9B82B80267DB595, "bcisrpg" },
    { 0x9E13B2190FE2AD39, "bcissniper" },
    { 0x6437032D0CBED6B0, "bclocked" },
    { 0xB1DDE978F0AF265D, "bcname" },
    { 0x05A1D44D8ECC4728, "bcnameid" },
    { 0x53293A52CD6E2E4C, "bcorner" },
    { 0x445AC05E9AFE042C, "bcoverhasbeenblown" },
    { 0x162E291E7B3CCF9A, "bcprint_info" },
    { 0x605B4CC8C3543B05, "bcprintfailprefix" },
    { 0x9AA8526AAAEF78C9, "bcprintwarnprefix" },
    { 0xC51E0320B25DA8D8, "bcrank" },
    { 0xC207223CE68F9AC9, "bcs_enabled" },
    { 0xF850E70C0CCE263E, "bcs_frequencyscalar" },
    { 0x1FC7AE466A7BB056, "bcs_jackal" },
    { 0x2364928D9C590E93, "bcs_lastcontactdelay" },
    { 0x0119D1737CAE5F37, "bcs_location_mappings" },
    { 0x580D8647D001B5E9, "bcs_location_trigger_mapping" },
    { 0x5F981A7D956EA81E, "bcs_location_trigs_init" },
    { 0x0EEC9F7EC5B6E234, "bcs_locations" },
    { 0x1AA16E6C9EFC2B96, "bcs_maxstealthdistsqrdfromplayer" },
    { 0x7E0DE2D1FAB1A19B, "bcs_maxtalkingdistsqrdfromplayer" },
    { 0x07BD6B6F77BE3EB1, "bcs_maxthreatdistsqrdfromplayer" },
    { 0xC58941EF69BA0521, "bcs_scripted_dialog_clear" },
    { 0x0000A7DC3B504546, "bcs_scripted_dialogue_start" },
    { 0x6E17009CB97579E6, "bcs_setup_chatter_toggle_array" },
    { 0x502C33B159D9BFA6, "bcs_setup_countryids" },
    { 0x65C22C40BDBC53B7, "bcs_setup_flavorburst_toggle_array" },
    { 0xC308B80DAE6D3C5E, "bcs_setup_playernameids" },
    { 0x53D07C7A276CA842, "bcs_setup_teams_array" },
    { 0x5CCE5195A2A1B2E0, "bcs_setup_voice" },
    { 0x542A088EE0F1435E, "bcs_stealthhuntthink" },
    { 0xEED85CB27D88F9C6, "bcs_threatresettime" },
    { 0xE8CE125D7668B80A, "bcs_trigs_assign_aliases" },
    { 0xE900582937868C52, "bcscooldown" },
    { 0xED3C88E4E053E708, "bcsdebugwaiter" },
    { 0x7FA9C08723F3DA8C, "bcsenabled" },
    { 0xF62AC701583C464A, "bcsounds" },
    { 0x1D5BB4FFD2C93CB2, "bctable" },
    { 0x2C6A0181E653AE24, "bctable_addfile" },
    { 0xCBD098A2E40A2B92, "bctable_categorykey" },
    { 0xFC2BD4CF7F4C49F7, "bctable_exists" },
    { 0x254AF5320830FC1E, "bctable_pickaliasset" },
    { 0xED222C1154818668, "bctable_setfiles" },
    { 0x856F1226E87ACAFB, "bctabledeck" },
    { 0xAB310BE1E1C122C6, "bctablelast" },
    { 0x61FFC58394287033, "bctracking" },
    { 0x27AD8F8486AE600E, "bdiedonce" },
    { 0x7B7F4D9ECB9F6AB2, "bdisabledefaultfacialanims" },
    { 0x13B5058C835C9721, "bdlocked" },
    { 0x3E95B26136C8C954, "bdocoverblownreaction" },
    { 0x51EC9F19BA1833A4, "bdoingbloodsmear" },
    { 0x008539DE2ED88658, "bdonotreact" },
    { 0x95AFC78FFBC903E4, "bdpaddown" },
    { 0x4676C8D717806389, "bdpadleft" },
    { 0x63174A355D163DEA, "bdpadright" },
    { 0x54192DB21ACFFEE5, "bdpadup" },
    { 0xCD03144A0F809501, "bdroppingshield" },
    { 0xD95AB80FC92B2814, "bdyingbackidleandshootsetup" },
    { 0x52ED94C0C280D0DD, "beacon" },
    { 0x64E5172DC40DA663, "beacon_fuse" },
    { 0xF9DBF3A62D09F20B, "beaker_end_time" },
    { 0xD0FBCB738B796C09, "beam_fail_cooldown" },
    { 0x2CC611233A989180, "beam_in_hand" },
    { 0x7EE5530792ED89D3, "beam_nag_lines" },
    { 0x0D290CE208DCB63C, "beam_nags" },
    { 0x5DD16A3B40224824, "beam_weapon_check" },
    { 0x7644D7CE64921283, "beardone" },
    { 0x51222DE2C90AAB2C, "bears" },
    { 0x218571433A1FC208, "bearsetup" },
    { 0x75FB1A7063A968CB, "bearsred" },
    { 0x1D7CD0230934E1AE, "bearwatch" },
    { 0x4EC4D4F26F879E26, "becomehvt" },
    { 0xAD9EA47B5015B811, "bed_civ_2f_action" },
    { 0x2F744AFCCD812E81, "bed_civ_ads_monitor" },
    { 0x5E3379CC354D7F8B, "bed_civ_cleanup_monitor" },
    { 0xAF56CF9E0B46B005, "bed_civ_death_monitor" },
    { 0x5AF92052345C7CA1, "bed_civ_flinch_monitor" },
    { 0xC68DC0D359490C50, "bed_civ_handsup_complete_monitor" },
    { 0x545E2E7EA7A65246, "bed_civ_handsup_trigger" },
    { 0xE86E6C8EFD9C959C, "bed_civ_init" },
    { 0xAB8E21EE017DA817, "bed_civ_state_handsup" },
    { 0xE0EA0DCEF22BDB26, "bed_civ_state_handsup_flinch" },
    { 0x697A776B1EEA42F2, "bed_civ_state_laying" },
    { 0xB1C887EC228C7445, "bed_civ_state_laying_flinch" },
    { 0xBDAB4E9689D81C85, "bed_civ_state_laying_responsive" },
    { 0x1DB036F2E7F7968E, "bed_civ_state_laying_unresponsive" },
    { 0x1ADF355BA4E2EE09, "bed_civs_init" },
    { 0x0663D11265CB0ACB, "bed_enemy_2f_action" },
    { 0x75F2496A71690B7D, "bed_enemy_flash_watcher" },
    { 0xB357F803DCFE92AC, "bed_enemy_watcher" },
    { 0x0EC20C0A3B226798, "bed_guy" },
    { 0x077EB3B4CB3AAB36, "bed_guy_blood_pool" },
    { 0xACCAD729D5E05668, "bed_guy_deathanim" },
    { 0x1A321165F4EECFC6, "bed_guy_dropgun" },
    { 0x90F20FB0538E66C9, "bed_guy_flash" },
    { 0x871EB37F37675BFB, "bed_guy_sight_thread" },
    { 0x3F0B99A979455368, "bed_guy_target" },
    { 0x4C4AA24961DE3D72, "bedciv" },
    { 0x176B7D2C6951D7EC, "bedroom_2f_woman_breathing" },
    { 0x7BCED7C7EB628800, "bedroom_3f_death" },
    { 0xFB55EC331280E3EE, "bedroom_3f_door" },
    { 0x70D66EDE66B270D2, "bedroom_girl_stunned" },
    { 0xB84B0EA87C5062D5, "bedroom_girl_watcher" },
    { 0x066889F22213F8DD, "beeper_loop" },
    { 0xE6638FBAF71AD5C7, "beeper_monitor" },
    { 0xC6C485C85C35FBB2, "beffectlooping" },
    { 0x33F5CF1DCA9E7D86, "beforestairanim" },
    { 0x332BEEE2B2BC121A, "begin" },
    { 0x8B84F549F1E259FA, "begin_anim_reach" },
    { 0xFE84B188E2AABAEF, "begin_attack_heli_behavior" },
    { 0x79830DD5F392D634, "begin_custom_anim" },
    { 0xCE10168BA9D8840C, "begin_firing" },
    { 0x537FAE72966A2964, "begin_firing_left" },
    { 0x9774CAF585EDE28F, "begin_fsm" },
    { 0xCFBCC96B1362F838, "begin_searching_for_landing_loc" },
    { 0xDADDFF957BC330CC, "begin_spectate" },
    { 0x47F637BF696E1EEC, "begin_vo" },
    { 0xA8F1EF403DDA86C2, "begin_wave_spawning" },
    { 0x90BA63FCC27CA881, "beginarchiveplayback" },
    { 0x64565FB0A0CC58EC, "beginbrc130playeraniminfilsequence" },
    { 0x603BFE5C3A53FD64, "beginc4tracking" },
    { 0x4D5C54BA338632C9, "beginclasschoice" },
    { 0x82DF04045A81963B, "begincustomevent" },
    { 0x7FC15DB2D1D25795, "begindeployableviamarker" },
    { 0x4963F18CA536DDDF, "beginevasivemaneuvers" },
    { 0xC868C3B06A19E031, "begingrenadetracking" },
    { 0x88F7664FE5D5D594, "beginjackal" },
    { 0x4FE0B479BE8A1D9C, "beginjackalescort" },
    { 0xC5301B24CAEBA049, "beginlittlebird" },
    { 0x23987328CE284AB1, "beginlocationselection" },
    { 0x08B07A938E8243D2, "beginnewfight" },
    { 0xE7FAC1F512189DE8, "beginningoflevelsave" },
    { 0xA4625E125CA15881, "beginningoflevelsave_thread" },
    { 0x622420BE18028AC7, "beginningoflevelsavedelay" },
    { 0xCE9322CADBBA7648, "beginsliding" },
    { 0x667D19B06845A0D7, "beginslidinglegacy" },
    { 0xEA2D0FA939A6D780, "beginsuperuse" },
    { 0xF639987AE5C37BF8, "beginteamchoice" },
    { 0xAA95FBC12981577D, "beginuse" },
    { 0x55A48C1AB8BA074F, "beginusefunc" },
    { 0xF37D748D6D8AFA0A, "beginusegas" },
    { 0x59BE01E862503BFF, "beginusesupplypack" },
    { 0xB3AD7FBD1CC7E47B, "behavior" },
    { 0x001360B681AF96E1, "behaviortreeasset" },
    { 0xD47C5A120EB9C290, "behind_hadir" },
    { 0x001669D096C0B5A6, "behinddoors" },
    { 0xC41672C3F78AD085, "being_hacked" },
    { 0xCA6B47302B226EF2, "being_hunted_by_kidnapper" },
    { 0x19BA89351670AD88, "being_intercepted" },
    { 0x954DA03D7A9483E2, "being_kicked_from_inactivity" },
    { 0xB7A5CC8364E8F420, "being_pickedup" },
    { 0xAB4684D518C222E8, "being_revived" },
    { 0x1ACA64BE0619E1F4, "being_used" },
    { 0x04067CA80B22E9D4, "beingmarked" },
    { 0xB8E24AADCC14C4B1, "beingpushed" },
    { 0x7D6F7E18EEF32CC5, "beingrallyrespawned" },
    { 0xFF3ED63AC0F6E803, "beingrevived" },
    { 0xE6D5CBE933DA3F0B, "beingshoved" },
    { 0x407A1FF249878F02, "bellycrawl" },
    { 0x33655AEC836DA6ED, "below_player_eye_allowance" },
    { 0x7B687D67CB79F1E8, "belowcriticalhealththreshold" },
    { 0x8A084C6766D6AE5D, "benemyinlowcover" },
    { 0x7DD7A9236A50FD51, "berserk" },
    { 0x426CCA39AE415AED, "best_target" },
    { 0x3918C53F069D1030, "bestairtarget" },
    { 0xDE27DAD710C2EDE5, "bestgroundtarget" },
    { 0x6C924C5D602D38DA, "bestlifetimekillstreak" },
    { 0x7C41F09EB4CF0DED, "bestpatrolpoint" },
    { 0x3D8B07E515D632A2, "bestplayer" },
    { 0x120BC3BFE6F5F5C2, "bestscorestats" },
    { 0x799EC17255F92458, "bestspawnflag" },
    { 0xB110414B1AD23E76, "besttarget" },
    { 0xEACAEDD286ECF14A, "besttime" },
    { 0x7FD7031CDC36BA9F, "besttimestate" },
    { 0x0E0A2A841F891437, "bestwall" },
    { 0x2E2307C6CBE9DBCC, "betchangefail" },
    { 0x3C5685416D3C5999, "bets" },
    { 0xC050F824A3F1BF96, "bettermissiontierbonuses" },
    { 0x6164444B32E5112C, "betting" },
    { 0xEBA61D973301C26C, "bettingopen" },
    { 0xE16AB765CDEDCE03, "between_regen_wait" },
    { 0x926BFCBBC8CA2504, "bexaminerequested" },
    { 0xFC3DF41EA9B3C477, "bfacade" },
    { 0xDDDC274BB235A484, "bfacesomedecentdirectionwhenidle" },
    { 0x63ED94288C13301D, "bfire" },
    { 0xD74B539C49407DCF, "bflashlight" },
    { 0x873BB281C9980AB1, "bforceaim" },
    { 0xD806A38C6D3584B7, "bforcespawn" },
    { 0x3D63B4C0DD95DD47, "bfs_assigned" },
    { 0x89B341CE42BA981A, "bfs_cooldown" },
    { 0xDC01D2D33C9CE268, "bfs_distance" },
    { 0x405C62DF3A2C0083, "bfs_score" },
    { 0x9FF1E8B38D4685D3, "bfs_visited" },
    { 0xCE1C2E78F56E0D0A, "bg" },
    { 0xC9DF8313500FA4B9, "bg_2d" },
    { 0x12CE284B571BEF45, "bg_aa_fire_tracer_fx" },
    { 0xAE9C3E3387AA7039, "bg_aa_trigger_tracer_fx" },
    { 0x24C5ADD4EA44BF6C, "bg_cars" },
    { 0x5A4DFBA0F9B1E49E, "bg_retreat_slaughter_magic_bullets" },
    { 0x47F13F8CA659A9F2, "bg_scene_post_vo" },
    { 0xC2C3F2D6FB26BBE1, "bgameover" },
    { 0xDC26FE7A1C75910D, "bgivensentry" },
    { 0xB7F849C44B6C791A, "bgrenadeavoid" },
    { 0xA9DFD5E8FA6F375D, "bgrenadereturnthrow" },
    { 0xAAD438A88231F14E, "bgrowl" },
    { 0xA84AAF96A271E55D, "bhadriotshield" },
    { 0x9FF6B1446AD69F92, "bhascovernode" },
    { 0x5C991B938EF091F1, "bhasgunwhileriding" },
    { 0x39F041C036DB51F2, "bhaslasertag" },
    { 0xCF7D6F8A0DDF0FF3, "bhaslos" },
    { 0xD87751D90D6CE770, "bhasriotshieldattached" },
    { 0xD33BEC9DEF3FCBFB, "bhasthermitestucktoshield" },
    { 0xDF0A9DE4EFDFD6AC, "bhasthighholster" },
    { 0x5AE98CAC34852E4D, "bhitbyvehicle" },
    { 0x5BB50C7B5F5BC792, "bhunkering" },
    { 0x0D3AD036B84FF1F3, "bidlecurious" },
    { 0x9FEE464409D5BC15, "big_boom" },
    { 0x642DEAFB4AD3C6B1, "big_door_l" },
    { 0x642DF4FB4AD3DCAF, "big_door_r" },
    { 0x06315AA5998E0AA9, "big_door_watcher" },
    { 0xC769D5A68ECABD87, "big_doors_are_open" },
    { 0x29D550E8D6A549E6, "bignoretargetflee" },
    { 0x43773083672EB0BA, "bignoretimeout" },
    { 0x7D51427581D31822, "bigtimer" },
    { 0x48334DC13E293C20, "binary" },
    { 0xBFCA96D3714E8495, "binc130" },
    { 0xE70ADBD75D2AB698, "bindactionscripts" },
    { 0xDC9B484A25EC5DF6, "binding" },
    { 0xE7D0AA451F2142A3, "bindingpc" },
    { 0x3EF984E06457B3BF, "binfullbodypain" },
    { 0x4D3A49434BF08FB6, "binited" },
    { 0x26E5418D550C9032, "binitialhunt" },
    { 0x23D4D14C6A3FF9AA, "binitialinvestigate" },
    { 0x8D289140EC6DCBF3, "bink" },
    { 0xE5603B2B2331906A, "bink_chopper_behavior" },
    { 0xEA2C2ED7EB970824, "bink_choppers" },
    { 0xAEE82D1365523245, "bink_hc" },
    { 0x0A6D3B493D051B4B, "bink_intro_catchup" },
    { 0xFB3515A310ECC4AA, "bink_intro_main" },
    { 0x8E775186A451FB89, "bink_intro_start" },
    { 0x19772DD30A9DCE41, "bink_main" },
    { 0x6EB5B2A828AD07CD, "bink_pip" },
    { 0x34A7AC2D0787A6EB, "bink_save_hack" },
    { 0x6167CE8D4731FE1A, "bink_speech" },
    { 0x19A3A6CCE40DDECE, "bink_speech_main" },
    { 0x62712AEC5DC74A08, "bink_start" },
    { 0x3B18D4AB2ADCC9CF, "bink_technical" },
    { 0xCAC5B950FBA8C957, "bink_town_allies" },
    { 0xF8B18C562CF8BA63, "bink_transition_music" },
    { 0x3941DBA72B89E48A, "binkstopper" },
    { 0xF38759C100F69C45, "binocs" },
    { 0x81CBF7322DC757C3, "binoculars" },
    { 0x1E193E827C30D860, "binoculars_addheadicon" },
    { 0xE9EEEFF2A260A24D, "binoculars_addmarkpoints" },
    { 0xDF1601847C831FD3, "binoculars_addtolosqueue" },
    { 0x4862E0A219B933D1, "binoculars_cansee" },
    { 0x152A69380216BF56, "binoculars_checkexpirationtimer" },
    { 0x07E200ED7211DC0C, "binoculars_checkpendingtimer" },
    { 0x89F653EEBF465E44, "binoculars_cleanupheadiconondisconnect" },
    { 0x7FC383A55E1B4D7D, "binoculars_clearexpirationtimer" },
    { 0x3C9BC626308A9ED1, "binoculars_clearpendingtimer" },
    { 0xA713A3810A0D916F, "binoculars_clearuidata" },
    { 0xB8D34E3DF8C6B0F1, "binoculars_endadslogic" },
    { 0xE9A8CBEDFBDE0513, "binoculars_getfov" },
    { 0x21C419B02B3D538B, "binoculars_getmaxrange" },
    { 0xF3A093ABA849D921, "binoculars_getpendingendtime" },
    { 0x566EC5B70ADF5A92, "binoculars_getpendingtime" },
    { 0x988A6CE28E493F29, "binoculars_giveassistpoints" },
    { 0xB83084313DE4C9B7, "binoculars_hascoldblooded" },
    { 0xF1DB7DF0553F036F, "binoculars_hidetargetmarker" },
    { 0x18AE14539506EC76, "binoculars_init" },
    { 0x414DCDCFD060CBFE, "binoculars_isads" },
    { 0x25A1A2DACBEE7D3D, "binoculars_istargetinbroadfov" },
    { 0xCCB08C1B6086DC6B, "binoculars_istargetinrange" },
    { 0xE6844D3F3C8048C5, "binoculars_iswithinprojectiondistance" },
    { 0x2AB0A241CDCE1193, "binoculars_iswithinprojectiondistance_compute" },
    { 0x157E322285160824, "binoculars_ongive" },
    { 0xEE6E2E8E65A8514E, "binoculars_onstateenterfunc" },
    { 0xE12A03EF417B58B0, "binoculars_onstateexitfunc" },
    { 0x48E453B5198C8235, "binoculars_onstateinvalidenter" },
    { 0x4BAA444FE29AC8CD, "binoculars_onstateinvalidexit" },
    { 0x4EF48E7CDBC5EAFC, "binoculars_onstateinvalidupdate" },
    { 0xAB62925B5981A297, "binoculars_onstatelospendingenter" },
    { 0x5CFF146800AD6793, "binoculars_onstatelospendingexit" },
    { 0xD4A13F44B8D85F82, "binoculars_onstatelospendingupdate" },
    { 0xEF724EAEB2716858, "binoculars_onstatemarkedenter" },
    { 0x29F8957BFAC8CDF6, "binoculars_onstatemarkedexit" },
    { 0x2CFECFC46077DE17, "binoculars_onstatemarkedupdate" },
    { 0x17F75DE9EB663EF8, "binoculars_onstatemarkpendingenter" },
    { 0x339996EEABC43D16, "binoculars_onstatemarkpendingexit" },
    { 0x616E3D1F1098A337, "binoculars_onstatemarkpendingupdate" },
    { 0x74C7D7D9116F3D09, "binoculars_onstateunmarkedenter" },
    { 0x2968E2D74C3E7409, "binoculars_onstateunmarkedexit" },
    { 0x6A3B910A5894C4A8, "binoculars_onstateunmarkedupdate" },
    { 0xE3EDE06438E26315, "binoculars_onstateupdatefunc" },
    { 0x7F7434926F0A513E, "binoculars_ontake" },
    { 0x6347237751C0E5F4, "binoculars_processlosqueue" },
    { 0xC8418353105D2D38, "binoculars_processlosqueuehigh" },
    { 0x637E7D8DD6F86B76, "binoculars_processlosqueuelow" },
    { 0x450FEF23CBEA83C4, "binoculars_processtargetdata" },
    { 0xB9882D4BAC48905A, "binoculars_processtargetlos" },
    { 0x3E56C09B163253D5, "binoculars_registertargetstate" },
    { 0xEF3926F789196DC3, "binoculars_removeheadicon" },
    { 0x32861E591684BD09, "binoculars_runadslogic" },
    { 0xB69328E489F6DCBA, "binoculars_setcurrentstate" },
    { 0x287D23CC23CC6F76, "binoculars_setexpirationtimer" },
    { 0x9FCAC01A8CB61AAC, "binoculars_setpendingtimer" },
    { 0x4D088C9E1CF165B8, "binoculars_settargetmarkerstate" },
    { 0xAAA4737DCDFDBF06, "binoculars_setuidata" },
    { 0x2C4E5BFEC3195D2A, "binoculars_showtargetmarker" },
    { 0xCD92F3A01ABD6319, "binoculars_targetismarked" },
    { 0xC91BDE16B3B143D9, "binoculars_targetisvalid" },
    { 0x87B8A28185E507CC, "binoculars_targetisvalidmark" },
    { 0xB6EAFD8A27342BDA, "binoculars_updateheadiconvisibility" },
    { 0x5C066FC3DFC0DE54, "binoculars_updateheadiconvisibilityforplayer" },
    { 0xF2DE6409C454322B, "binoculars_updateprojectiondistance" },
    { 0x9C060820C1A0D912, "binoculars_updatetargetmarker" },
    { 0xCF02D7E5F1588773, "binoculars_updateuidata" },
    { 0x3969AEC66124BBE1, "binoculars_used" },
    { 0x81418F5A28AF9CAC, "binoculars_watchforads" },
    { 0x5239DD99A2583F59, "binoculars_watchraceadsoff" },
    { 0xB06B9B998255B5BD, "binoculars_watchraceadson" },
    { 0x2C6C1924E6E49ED8, "binoculars_watchracedeath" },
    { 0x28CC80640CBBA1D2, "binoculars_watchracelaststand" },
    { 0xE4C1D2D5ED7BF801, "binoculars_watchracetake" },
    { 0x37214E608182ABE4, "binocularsinited" },
    { 0x8AB4F94E16CCE5D4, "binocularsstate" },
    { 0xC25F6342331F3BCA, "binocularsstruct" },
    { 0xF492E441977AA195, "binprogress" },
    { 0xD07A44493870BAEF, "binseat" },
    { 0xAFA8847009618749, "bintheplane" },
    { 0xBB2FA866446D1786, "binvehicle" },
    { 0xCB1C23F6B09F52D6, "binvestigatelookaround" },
    { 0xD35082558E4F174A, "binvestigateoutofrange" },
    { 0x03080AC8C3F6C176, "birds_in_square_monitor" },
    { 0xBBB26021A2E59C9E, "birth_time" },
    { 0xB4B3C7CB9C6EC56B, "birthtime" },
    { 0x2768774FC4BAF6ED, "bischildthread" },
    { 0x07E490AB3EB5F3F6, "biscodefunc" },
    { 0xB48E9B7E593472E9, "bisdeaf" },
    { 0x6025BF6A20B9E046, "bisgunner" },
    { 0x42CC9AB0BD569CD6, "bisincombat" },
    { 0x90EC9D444AD6B71A, "bisoverwatch" },
    { 0xBF1B53FE41DD8CDD, "bisthread" },
    { 0xA75B336154E868D4, "bistrexactive" },
    { 0x3325B5C8332BDF78, "bit_1" },
    { 0x3325B8C8332BE611, "bit_2" },
    { 0x3325B7C8332BE3DE, "bit_3" },
    { 0x1D46264C49961EEE, "bit_position" },
    { 0x8D42B140EC8A3B5D, "bits" },
    { 0x128238C8C36A7DF9, "black_screen" },
    { 0x3499117410D72B12, "black_screen_overlay" },
    { 0x0317B6E81F94F819, "blackbox_count" },
    { 0x95AE826347766C5F, "blackbox_data_type" },
    { 0x600C07B2F3DF7184, "blackbox_event_run" },
    { 0x3441835CC35A8DE6, "blackfade" },
    { 0x2991894AAA8743B4, "blackout" },
    { 0x11D73293EA989444, "blackout_delay" },
    { 0xEC7E0723A7A84BC0, "blackoverlay" },
    { 0x0DB4CEAEA9D64F16, "blade_hide" },
    { 0x56E93B65D2A59D5B, "blade_show" },
    { 0xBD79C3864E437595, "blade_trigger_think" },
    { 0x60BD993EF4EB6655, "blank" },
    { 0x584C5E0300B4C538, "blank_func" },
    { 0x07FCB0129796DF50, "blank_relic_func" },
    { 0x676E45A4D3E65B7F, "blank_score_component_init" },
    { 0x1E2DC5D6B9E94637, "blankfunc" },
    { 0x2DC2085F40B026F7, "blankline" },
    { 0x037F78F202B0599F, "blankmodulefunc" },
    { 0xFE6589A87C2067CE, "blankobjectivefunc" },
    { 0xDC779BFF92FEED27, "blastshieldclamp" },
    { 0x5896D6918A2E957C, "blastshieldmod" },
    { 0x8C6505B1C1C2514D, "blastshieldusetracker" },
    { 0x6300B62EF4D5F262, "bledout" },
    { 0x27F5F99E51E166CF, "bleedout_heartbeat_sfx_logic" },
    { 0xF7FF49A6B4575BA8, "bleedout_logic" },
    { 0x3500F256D1108057, "bleedoutspawnentityoverride" },
    { 0x3F65E880C654624F, "bleedoutthink" },
    { 0x980F6E33D2A34509, "blend_down_in_progress" },
    { 0x2546091336F4993E, "blend_in_time" },
    { 0x91CC68C81ED27BBB, "blend_movespeedscale" },
    { 0x0C828B9616929D19, "blend_movespeedscale_cpso" },
    { 0x679D63351E404FA1, "blend_movespeedscale_default" },
    { 0x8686DEB5AD492755, "blend_movespeedscale_percent" },
    { 0x54BE99FBBDB71598, "blend_partial_in" },
    { 0x3490E8A25054D2DD, "blend_partial_out" },
    { 0x2D7020FC02173E5A, "blend_player_to_arms" },
    { 0x72E8E8FD7DAE3D1B, "blend_sun_intensity_over_distance_trigger" },
    { 0xC3C643203B4A61FF, "blend_to_ai" },
    { 0xE1061DF4128E9B50, "blend_up_in_progress" },
    { 0x3FD17FD663DE67DA, "blendanimsbyspeed" },
    { 0xF34D8E9580EE63A7, "blenddelete" },
    { 0x65B1E2E568C5A81F, "blended_anim" },
    { 0x11CB15C890212CAF, "blended_anim_solo" },
    { 0xCADC4906BF9B83B0, "blended_interaction_tracecheck" },
    { 0x15E2817B86F5B104, "blended_loop_anim" },
    { 0x46C2031E8C0655AF, "blended_loop_cleanup" },
    { 0x2B3EEB30E779D996, "blended_loop_solo" },
    { 0x749C9AA9071F7DBB, "blendlinktoplayerviewmotion" },
    { 0x2E1B4A9883522F22, "blendshape_disable" },
    { 0x89937A4EDD5A7BC9, "blendshape_enable" },
    { 0xEA746D69FBD8C5AB, "blendshape_get_modelname" },
    { 0x5CDCF6979CCEF7E5, "blendspacerndm" },
    { 0x26278335E06727BF, "blendtoai" },
    { 0x60EA3B90238F77C7, "blendviewoffsetinternal" },
    { 0xECFD573EA02F72D4, "blima" },
    { 0x4A9E413D7E9D760E, "blima_cam_shake_bump" },
    { 0x009C141C56EC1274, "blima_cam_shake_low" },
    { 0xDBECBF0AE8C2180C, "blima_chief_play_sound_func" },
    { 0xD4647268DFA8AF0A, "blima_clean_up" },
    { 0xE5FA4590F18417CF, "blima_commander_play_sound_func" },
    { 0x9F6D78E074E29CC6, "blima_delete" },
    { 0xB4B7D95D16DEB17F, "blima_door_slam" },
    { 0xA8F0D90A141FACFF, "blima_engine_sound" },
    { 0xD1735868A5DC5B5E, "blima_engine_sound_death_watch" },
    { 0xC7EE3A80D3DCB120, "blima_engine_sound_done_watch" },
    { 0xD5129CBF050DD8E6, "blima_rumble_ground" },
    { 0x8DD1DDA37B069905, "blima_rumble_rope" },
    { 0x0F7D16DB8A97EAA5, "blima_spawn_pilot" },
    { 0xECF0223EA020E9C0, "blind" },
    { 0xC090B3E915C9EC51, "blind_fire" },
    { 0x22FCD496D34D1D69, "blinddurations" },
    { 0x30311B5353EFAF41, "blindeyerecipients" },
    { 0x3C880E64E7850264, "blindfire" },
    { 0xFBCDD066CF3D013D, "blindid" },
    { 0x0AE46AA0C31E0A72, "blindparts" },
    { 0xBE52FB736DE6A8D2, "blindplayers" },
    { 0x299C698903EA53F2, "blindstates" },
    { 0x7C81DBA3BE77BFC2, "blink_beacon" },
    { 0x7DC7866D644F681D, "blink_tire_outline" },
    { 0x58A6154A3B1FC831, "blink_train_test" },
    { 0xEF8DEC90E63F4466, "blink_wheelson_chosen_spawn" },
    { 0xFC435CAB8E532954, "blinkblackoverlay" },
    { 0x9419C76DCF1601F1, "blinking_light_thread" },
    { 0xCD90C42DDB70240B, "blinkinglightfx" },
    { 0x4E921ADA2A40108B, "blinkinglighttag" },
    { 0xA5BD6E7A6F3B26A5, "blinkloc" },
    { 0x6D68F4D42B95C29B, "bloadinghvt" },
    { 0x6DB8CC3DCF616F00, "block_for_mantle" },
    { 0x302554741190A0A7, "block_for_push" },
    { 0xAE3A4BBF42D5181A, "block_while_alive" },
    { 0x2095DC92FA8AD387, "block_while_enemy_count" },
    { 0x4559BF6A5D420392, "blockachievementstimestamp" },
    { 0x3A32B5B51537DCA8, "blockade_barbwires" },
    { 0xC261804223FD197D, "blockade_barrier_clip" },
    { 0xB7C5E9A7C98F464D, "blockade_bomb_defusal_success_func" },
    { 0xE6A6CACAAD466600, "blockade_gate" },
    { 0xC3446A68C1D037D2, "blockade_gate_explode_sequence" },
    { 0x87366EBB11D34EE9, "blockade_gates" },
    { 0x059164037DABC8E0, "blockade_gates_are_closing" },
    { 0xB6DBFC0E510686BB, "blockade_gates_are_opening" },
    { 0xFC17C50EB8E1BB08, "blockade_get_bomb_icon_on_cell_phone" },
    { 0x98BF90504253E051, "blockade_landmine" },
    { 0xE2DC550DC6B11B00, "blockade_mindia_unload_func" },
    { 0xA50048AAAB5E9043, "blockade_vindia_unload_func" },
    { 0x20BDD888127F69A3, "blockarea" },
    { 0x336D8C8DD47E0592, "blockclasschange" },
    { 0xD7B43EAC3F725C9A, "blockdrive" },
    { 0x32596462B98E96C7, "blocked" },
    { 0x6B04A169AAEE6C6A, "blockedbywall" },
    { 0x9078F698E05A539F, "blockeddoor" },
    { 0x9559B515887A0EB6, "blockeddoubledoor" },
    { 0x6FF33E64EEED301C, "blockedvariantidsmap" },
    { 0xEC291E45A6FB7169, "blockedwaittillgrouptimerdone" },
    { 0x32165DC198450792, "blockentsinarea" },
    { 0xC24458B3919F32E6, "blocker_vehicle_death_monitor" },
    { 0x4CC4B549299443CA, "blocker_vehicle_spawn_trigger_think" },
    { 0xAF12C216E90AD7F6, "blocker_vehicle_spawned_monitor" },
    { 0xB8ADBCFD9748234D, "blocker_vehicle_think" },
    { 0x854F2CD6B960B48F, "blocker_vehicles" },
    { 0xDFBDD9B78AA1E8B5, "blockfriendlies" },
    { 0x213132829A67462A, "blocking_ratio" },
    { 0x00546C014E915279, "blockingcover" },
    { 0xAF173174785CA5F6, "blockingpain" },
    { 0xEB004722D719C8A5, "blockkillstreakforbots" },
    { 0x441B4B17308C5B90, "blocknukekills" },
    { 0x3995AA9A9C8BEBD3, "blocknumber" },
    { 0x8039D2AE7D413C8E, "blockperkfunction" },
    { 0xEA0DF8D18B144AB1, "blockplayeruav" },
    { 0xBEF1A9F22A96083A, "blockpuzzleactivation" },
    { 0xFF0E2F296A3CD467, "blockpuzzlehint" },
    { 0x48DC703DAED452A0, "blockpuzzleinit" },
    { 0xFC8EE24D9C3737AB, "blockreviveanimation" },
    { 0x456B67283087750F, "blocks" },
    { 0x18BA5ACCE2C0218F, "blocks_binary_sequence" },
    { 0x8264CED3C4113547, "blocksize" },
    { 0x38BC8CF27E4B5BEC, "blockswaploadouts" },
    { 0x3042C3A66E7878B1, "blockteamradar" },
    { 0xD7B59FBB6C503693, "blockupdatewalldata" },
    { 0x4D405A50FB40D799, "blockviewmodelanim" },
    { 0x83F62021A97FB668, "blockweapondrops" },
    { 0xA63F3F3F470DFF01, "blood_camo_222" },
    { 0x276BA45BF6637495, "blood_camo_84" },
    { 0x887C86B305B713E2, "blood_pool" },
    { 0xD0F8B8739148B58A, "blood_pool_mom" },
    { 0x18E68D3710EEECE8, "blood_smear" },
    { 0x8976C353BD6D4E7E, "bloodcamokillcount" },
    { 0x749D0C62DB3C7B8E, "bloodeffect" },
    { 0xAD14A607EBEB521C, "bloodmeleeeffect" },
    { 0x068218E14DB2C609, "bloodoverlay" },
    { 0xF7158CEE4085A0F9, "bloodsplat" },
    { 0x1F157D8E2CCEA670, "blookforvehicles" },
    { 0xAF30E747D9AA88BF, "blowout" },
    { 0x3FECA404679834E0, "blowout_goalradius_on_pathend" },
    { 0xC8FC4856EB8E2D68, "blue_marines_move_to_hospital" },
    { 0x3DDE850C4BC9BBA7, "blue_wire" },
    { 0x1BAD5D758682AF58, "blueprint_chancebase" },
    { 0x57635BB66535DB16, "blueprint_chancepercontract" },
    { 0x2D1F8AF42526D275, "blueprint_maxpermatch" },
    { 0xF6C16C2CAFBC3E5A, "blueprintcreatingteam" },
    { 0x8DA1C1B4FFA62615, "blueprintextract_beforepickupspawned" },
    { 0xCC40C97A4E137C83, "blueprintextract_cleanupwhennoavailablelocales" },
    { 0x1E9D5AE6EFD3385B, "blueprintextract_createtempobjective" },
    { 0x2095338E3378C259, "blueprintextract_onpickupcreated" },
    { 0xC44C5C178C32E775, "blueprintextract_setunlockablelootid" },
    { 0x3AAEB4574E71F51F, "blueprintextract_shouldgivereward" },
    { 0xF725FA7F4DF39886, "blueprintextract_trygetreward" },
    { 0x919DEAA1A1B690C9, "blueprintextractchance" },
    { 0xB2BCD530829A8029, "blueprintextractspawns" },
    { 0x9CA7090CB63137D1, "blueprintref" },
    { 0x2F2B2BA952B89FD5, "blur_burst" },
    { 0xFF7DCC2DE60DFC5A, "blurradius" },
    { 0xC05238C60444D2CF, "bmoendgameot" },
    { 0xFAE94A11AC5FFCE2, "bmoovertime" },
    { 0x0E0D43942BE02F43, "bmoving" },
    { 0x42CA36CD3326AB00, "bnaturaldeath" },
    { 0xC0BA4D0ACFBE8604, "bnoanimunload" },
    { 0x2E0E4815EA4FB8D8, "bnoself" },
    { 0x69C9EBC3AD93E8B3, "board_chopper" },
    { 0x64E15DBDEFEE0E8D, "board_getallydronestartnodes" },
    { 0xAE7F6BE1BE4D3EB6, "boardroomdoorcodeentrysuccess" },
    { 0x33DCF0B86FD0B3E0, "boardroomopen" },
    { 0xFF7DC8EC327A44D8, "boat_vehicle" },
    { 0x914A78704AE1F616, "boatbob" },
    { 0xD7639F6181A51531, "boatfx" },
    { 0x3666DA6A60F5C022, "boatwobble" },
    { 0xE2F199412AD8FE61, "body" },
    { 0xF2525B513B374C23, "body0" },
    { 0xF2525A513B3749F0, "body1" },
    { 0xBB08D19128B22A7D, "body1_dropped" },
    { 0xF2525D513B375089, "body2" },
    { 0x2075344D34F4F42C, "body2_dropped" },
    { 0x3011ADD50B403502, "body_animate_jnt" },
    { 0x8C564557C42D08C0, "body_damage_watcher" },
    { 0x6BD0E40EAA6FB4C9, "body_drag_door_bodies_think" },
    { 0xA6E906F980E9AA79, "body_drag_door_door_think" },
    { 0x65C10A9431BDFD46, "body_drag_door_scene" },
    { 0x46486C0EA52FB84D, "body_drag_door_scene_think" },
    { 0x2BD7099BE01C44AF, "body_drag_dumpster_bodies_think" },
    { 0x827755153549D1AC, "body_drag_dumpster_scene" },
    { 0x733D2621087FA1C7, "body_drag_dumpster_scene_think" },
    { 0x20A1443557D78157, "body_model" },
    { 0xF6B2077EE659D050, "body_poke_scene" },
    { 0x4D71338AB5897723, "body_poke_scene_think" },
    { 0x22DF03E48829C2D8, "body_poker_think" },
    { 0x23062D1D6F5EA9D0, "bodyarmorhp" },
    { 0x78DDB6AB1A20E91F, "bodyclip" },
    { 0xC7F2DC0777CC26DC, "bodydouble" },
    { 0xFF147CD8166D7C9D, "bodyguard_radius" },
    { 0x82C4D1A6F9D10A4D, "bodyguard_vehicle_death_monitor" },
    { 0x20A0DA4EDC4C1653, "bodyguard_vehicle_id" },
    { 0x557162CBB5F82135, "bodyguard_vehicle_spawn_trigger_think" },
    { 0x4525710772345985, "bodyguard_vehicle_spawned_monitor" },
    { 0x0F041287BE066502, "bodyguard_vehicle_think" },
    { 0x4E2D93FD32D0B817, "bodyindex" },
    { 0x6EB271094A7C4A96, "bodymodel" },
    { 0x4DADD4ABCC7A3CB5, "bodymodelname" },
    { 0x13C100F884F3E67C, "bodyonly_guy_damage_monitor" },
    { 0x97372F0897DFEC57, "bodyonly_guy_in_car_damage_monitor" },
    { 0xC67D166910762D2D, "bodyonly_guy_setup" },
    { 0xBBDFB14E6635F52B, "bodyonly_hostage_dmg_monitor" },
    { 0xA9039271831FD09E, "bodyonlyspawn" },
    { 0x16C9EDA8CC5DE65F, "bolt_destroy" },
    { 0x9410D3F9F87F4781, "bolt_trytopickup" },
    { 0xFAC0E17BEA29DA32, "bolt_watchpickup" },
    { 0xF19A9D0F8088959A, "boltcutters" },
    { 0xB7F16DEB27B2255C, "boltdeleteonnote" },
    { 0x095B9438BD6A5A61, "boltdeletethread" },
    { 0x3395107AA0A57BF7, "boltnumber" },
    { 0x8841FCEAD562442E, "boltsinflight" },
    { 0xE4F33863D0E3200D, "boltunlink" },
    { 0xDBAD91E474EEEE14, "boltunlinkonnote" },
    { 0xE31998412B056CBD, "bomb" },
    { 0xE2380C54C3FB4908, "bomb_anim_think" },
    { 0x1DC15109F9E71E47, "bomb_beeps" },
    { 0x6BEBF54B9D47CF06, "bomb_carrier" },
    { 0x92DCF369678F8E28, "bomb_case_detonator_control_think" },
    { 0x5B108FB93E7450C6, "bomb_case_detonator_think" },
    { 0x480A75DD2D6BDFBE, "bomb_case_detonator_timer_bar_think" },
    { 0x21A73957A868C67B, "bomb_case_detonator_wire_color_change_think" },
    { 0x112013BC72856275, "bomb_case_explode_vfx_sequence" },
    { 0x78A05720120816E1, "bomb_count_down_end_time_stamp_ms" },
    { 0xC157D5835B64D645, "bomb_countdown" },
    { 0x550983743164627B, "bomb_defusal_success_func" },
    { 0x734542DFFFA29590, "bomb_defused_end_player_clean_up" },
    { 0x1EA29CDCD09F223A, "bomb_defuser" },
    { 0xE56B10FCAC0170CE, "bomb_defuser_update" },
    { 0xB1BE4D9DC726DF74, "bomb_detonator_bomb_type" },
    { 0xAC84ADF964148F3F, "bomb_detonator_control_think" },
    { 0xDE4A9B36D04086BC, "bomb_detonator_fill_percent" },
    { 0x87A1DB09FBF0BE75, "bomb_detonator_holder" },
    { 0xFD8BD533DB40A57E, "bomb_detonator_id" },
    { 0x90D234646EE67A29, "bomb_detonator_interact" },
    { 0xE1C29A6C92FD2593, "bomb_detonator_pressed_color" },
    { 0xD749239C7382F9A1, "bomb_detonator_pressed_id" },
    { 0xFD20520AAFACF949, "bomb_detonator_timer_bar_think" },
    { 0xA1E1B52A48D7071E, "bomb_detonator_waiting_for_pick_up" },
    { 0xA4E33A3DAE27556C, "bomb_detonator_wire_color_change_think" },
    { 0x65214785CBDAAEBD, "bomb_exploded" },
    { 0x65215085CBDAC288, "bomb_explodes" },
    { 0x5D0CCCA1423C7CD5, "bomb_for_pick_up" },
    { 0x14A2560AE31E8514, "bomb_for_pick_up_use_monitor" },
    { 0xD060BD8C16244354, "bomb_fuse_think" },
    { 0xFF864176BD3BD384, "bomb_guardian_damage_watcher_internal" },
    { 0x9383155451A7C44D, "bomb_guardian_death_watcher_internal" },
    { 0x09EC5412D2896D86, "bomb_guardian_is_killed" },
    { 0x16720398CFB25C6E, "bomb_guardian_watcher" },
    { 0xA9C5D732C8FFC3D2, "bomb_hostage_play_anim" },
    { 0x7FFAF0FB4E18631B, "bomb_id" },
    { 0x8DE1BE3A62055E13, "bomb_id_index_chosen" },
    { 0xE4713BD7BF3F1841, "bomb_id_index_chosen_sorted" },
    { 0xE6259A6A559F1796, "bomb_id_marker" },
    { 0xD1C771C201FFE394, "bomb_id_marker_tag_origin" },
    { 0x76E8E2B3FB0E7620, "bomb_interaction_ent" },
    { 0xB9F94CA5768A70A6, "bomb_is_loaded" },
    { 0x633B599E29482A8C, "bomb_label" },
    { 0x4A3B91769F4EE6D3, "bomb_model" },
    { 0x3D8F7A8EDB02A56A, "bomb_model_as_use_entity" },
    { 0x60C2A03F9FB07E63, "bomb_on_vehicle_clean_up_monior" },
    { 0xCE842C644616E7D4, "bomb_plant_allowed" },
    { 0xA195BE82524446A7, "bomb_plant_cinematic_settings" },
    { 0xD8EA15EE2A9F3EAC, "bomb_plant_dialog" },
    { 0xF43AB3223D054624, "bomb_plant_scene" },
    { 0x7627F2C0A647901C, "bomb_plant_think" },
    { 0x4F4B27E52BDEA97A, "bomb_planted" },
    { 0xD89FBC1E3C4F2D39, "bomb_planted_think" },
    { 0xCD2D2FD399936027, "bomb_play_and_remove" },
    { 0x8800C479C7DD21A3, "bomb_pre_exp_music" },
    { 0x6378B9DD1BEC0D41, "bomb_pre_exp_sfx_wait" },
    { 0x1AF5F6C670BB50E3, "bomb_room_check_if_enforcer_clear" },
    { 0xC97677431E7C94F9, "bomb_room_enemies_handler" },
    { 0x0B25DABC811DAB7B, "bomb_room_enemy_anim_new" },
    { 0x59AE133591375FBE, "bomb_room_front_enemies" },
    { 0xA07FA19EB79CA1DA, "bomb_room_price_advance" },
    { 0x598EF204A5E6D0FF, "bomb_room_set_enemy_model" },
    { 0xD46CC015D7303084, "bomb_room_spawn_extra_guy" },
    { 0x994428EB88A64532, "bomb_sites" },
    { 0x105740BA4E16D612, "bomb_sites_spawn" },
    { 0x246AB42CD6233AF6, "bomb_type" },
    { 0xD9E51A840B37764B, "bomb_use_activate" },
    { 0xC005486069C4E703, "bomb_use_player" },
    { 0x4020581AFCBE4DAA, "bomb_use_watcher" },
    { 0x50BC2C418CC94BE8, "bomb_vest_controller_holder" },
    { 0x3902CAEEECFC3396, "bomb_vest_detonator_control_think" },
    { 0xDABAED6EB40F159C, "bomb_vest_detonator_think" },
    { 0x7734FDFE99AA8267, "bomb_vest_explodes" },
    { 0x25D15CC505321BAA, "bomb_vest_success_fail_think" },
    { 0x13B774BA0F70BB91, "bomb_vest_timer_frozen" },
    { 0x3D85C04109738F25, "bomb_vest_timer_red_starting_frame" },
    { 0xBB243C6B52BB1B0C, "bomb_vest_timer_remaining_num_of_frame" },
    { 0xA692826381072368, "bomb_vest_timer_remaining_time_ms" },
    { 0xF2E1665A57C4C8B6, "bomb_vest_timer_total_num_of_frame" },
    { 0xD3CB3EBA73A28656, "bomb_vest_timer_yellow_starting_frame" },
    { 0xB09E20B783461797, "bomb_vests_explode" },
    { 0xCC49FB55D988B38C, "bomb_wire_cut_color" },
    { 0x011DD96C6F9BE28C, "bomb_wire_cut_id" },
    { 0x6C08BF44DE1B1FCF, "bomb_wires_to_cut" },
    { 0x7096587085BBB87C, "bomb_zone_assaulting" },
    { 0x842F8EED8AD7D234, "bombardment_aq_behavior" },
    { 0xB3C1B7056B8FA77A, "bombardment_aq_hit_monitor" },
    { 0xD3DB838E4B04E590, "bombardment_aq_run_to_cover_monitor" },
    { 0x22E72B588F69BEC6, "bombardment_aq_window_target_player_manager" },
    { 0x4963A8F0013B2927, "bombardment_window_air_bullet_spawners" },
    { 0x97039EDAB51B2E00, "bombardment_window_ground_bullet_spawners" },
    { 0xF0FB16771026871D, "bombardment_window_ground_bullet_targets" },
    { 0x814E399F8F010741, "bombardment_window_kills" },
    { 0xD64C10B538BE0DA1, "bombdefused" },
    { 0x96CFD79DAFCBD375, "bombdefusetrig" },
    { 0x25E0EDBA9B6AD032, "bombdroploc" },
    { 0x02230A7C203BF94E, "bomber" },
    { 0x69EAFF711548040A, "bomber_agentinitonkilled" },
    { 0x3496422111B630A8, "bomber_checktarget" },
    { 0x51A34EFBC416CC57, "bomber_damage_thread" },
    { 0x123952C146FF80F8, "bomber_death_thread" },
    { 0xEF1AC52DD14267A0, "bomber_death_watcher" },
    { 0x29E48B19A0822D77, "bomber_delay_thread" },
    { 0xA8174A80DCABA04E, "bomber_detonation" },
    { 0x082EED86A5F18969, "bomber_disable_movement_for_time" },
    { 0x53A404771665BB26, "bomber_finishpainhead" },
    { 0x657E59F060B0B270, "bomber_gettarget" },
    { 0xFDC8CB0CE53497BD, "bomber_init" },
    { 0x3EB6EB2CEDC59DB3, "bomber_monitor_no_path" },
    { 0x4F1EC36D7DA5720A, "bomber_move" },
    { 0xC44086A37BE1E400, "bomber_moveinit" },
    { 0xD9D9AB2E5221947D, "bomber_moveterminate" },
    { 0xC4400B3E9569CE1C, "bomber_radiusdamage" },
    { 0x243DB43B500CC316, "bomber_set_detonation_dist_squared" },
    { 0x5DB744FB583866DB, "bomber_set_target" },
    { 0x340E8915929F921D, "bomber_shouldmove" },
    { 0x7A44D33639A1DCEA, "bomber_shouldraisearm" },
    { 0xDE67271FD2DEF370, "bomber_shouldusetraversals" },
    { 0xCEA80E500E924ACA, "bomber_spawn_origin_array_init" },
    { 0x1174AB7F235233A2, "bomber_spawn_origins" },
    { 0x631171E7397C6A51, "bomber_spawner" },
    { 0xB57773C6354DACAF, "bomber_spawns" },
    { 0x5563E0F9FD217366, "bomber_terminate" },
    { 0x7BF957455742FB97, "bomber_test" },
    { 0x86561CAD2F5631A5, "bomber_think" },
    { 0xEE187F5897831552, "bomber_updateeveryframe" },
    { 0x266DE870B09E8B64, "bomber_vip_wait_to_engage" },
    { 0x8B34F6506152AA77, "bomber_wait_for_bomb_reset" },
    { 0x8C4AFC605A54A753, "bomber_wait_for_death" },
    { 0xF6EE323DBF419C88, "bombercanexplodebehindtarget" },
    { 0xE86597F653755175, "bomberdisablemovebehavior" },
    { 0x920046AAB9F07172, "bomberexplodeangle" },
    { 0xADADBDFFC7BE506C, "bomberexplodedistance" },
    { 0x0ED7F7297E92831C, "bomberexplodeheight" },
    { 0x70811D920E346D10, "bomberignoresecondarytargets" },
    { 0x03C9E157066ACC23, "bomberlookatdistance" },
    { 0x3BDF4B955970A8F1, "bomberlookattarget" },
    { 0xA3F2B5A638AF9248, "bomberlookattargettime" },
    { 0x112FCE00B7592B45, "bomberplayerseesme" },
    { 0xB4371F0700288234, "bomberraisearm" },
    { 0xF53CA836601790E5, "bomberraisearmdistsquared" },
    { 0x9BEE836739176C95, "bomberraisearmtime" },
    { 0x56808B5FE940FE47, "bombers_spawn_manager" },
    { 0xE7DCA3765A789622, "bombersecondaryexplodedistance" },
    { 0xDF87B4CB92E74D1F, "bombertarget" },
    { 0x8B67D6657B5DF061, "bomberusegrenade" },
    { 0x5724F4F2CD73BF2E, "bombexploded" },
    { 0xF2E3E6849547AF2D, "bombexplodedcount" },
    { 0xA72EB638CBA56FAB, "bombhandler" },
    { 0xA9FB4F4D5B20ED45, "bombnode" },
    { 0x8984125BCD8D457C, "bombowner" },
    { 0xD6366CBF6614FC88, "bombplant_encounterstart" },
    { 0x375E6781674612EB, "bombplanted" },
    { 0x6D275A9BD70B9127, "bombplanted_music" },
    { 0xB58DF569D5799242, "bombplantedteam" },
    { 0x7D824969AD1EBDC2, "bombplantedtime" },
    { 0x0A963C961EFEC1D7, "bombplantent" },
    { 0x8C024AF50D753BFA, "bombplantweapon" },
    { 0x8451BEF927BE5369, "bombpuzzle_debug" },
    { 0x1581E8E048063E62, "bombpuzzle_debug_print3d" },
    { 0x5EBBE7DEC59BD218, "bombpuzzle_lookat_wire" },
    { 0x53ECD9D4B22BDFBB, "bombpuzzle_setup" },
    { 0x75C909448AA20406, "bombpuzzle_setup_bombvest" },
    { 0x43E189E57B59E200, "bombpuzzle_setup_briefcase" },
    { 0x53715F5A8A309CD7, "bombpuzzle_setup_individual" },
    { 0x22BCD99205476411, "bombpuzzle_setup_marker_vfx" },
    { 0x7AE03CD6C5ABB201, "bombpuzzle_setup_wire" },
    { 0xF9B8C0187C41A452, "bombpuzzle_think" },
    { 0xD652AAE85A91BFCC, "bombpuzzle_watch_for_defuse" },
    { 0xD35DBF5863C3D08C, "bombpuzzle_wire_cut_debug" },
    { 0xB79A6C3D0561EEF2, "bombpuzzles" },
    { 0x9DDF5EA8544BF02B, "bombradialfill" },
    { 0x4964318F37C0D988, "bombradialunfill" },
    { 0xF16F5330E6F635A9, "bombresettimer" },
    { 0x78FB8F3845049237, "bombrespawnangles" },
    { 0x042C7A7CCB1C0F8F, "bombrespawnpoint" },
    { 0x76B6A5519CEE490A, "bombs" },
    { 0x40E6E80A534D1440, "bombs_explode" },
    { 0x81F1548C827D1C6E, "bombs_for_coop_bomb_defusal" },
    { 0x4FA96F1B72C27C10, "bombs_setup" },
    { 0x32DE020E79B5CE44, "bombsdefused" },
    { 0x31F9DC386A341D26, "bombsitewatcher" },
    { 0xC0E6F5A2CB9049DE, "bombsplanted" },
    { 0x4D8416F5B9E0E6EE, "bombsquadmodel" },
    { 0x8BD6CE046623A509, "bombstrip" },
    { 0xB85154764C59FFD9, "bombtablet" },
    { 0x000D502587260EAA, "bombtimer" },
    { 0x5F140BA907C4B10F, "bombtimerwait" },
    { 0x902290E737D26243, "bombvest_character" },
    { 0xE004FAA04C2336F4, "bombzone_awardgenericbombzonemedals" },
    { 0xD35BE2FA0BD0788A, "bombzone_holdtimer" },
    { 0xA78FDD01C7C4148F, "bombzone_is_active" },
    { 0x1EFCF6DA0073D691, "bombzone_num_picked" },
    { 0xE63812E478868F17, "bombzone_onactivateobjective" },
    { 0x5E06168E34B3C9E5, "bombzone_onbeginuse" },
    { 0x1E139A4170A75563, "bombzone_onbombplanted" },
    { 0x63D2C9B69B34018E, "bombzone_oncantuse" },
    { 0xEBD708045EB22C42, "bombzone_ondisableobjective" },
    { 0x078F87E5934CC615, "bombzone_onenableobjective" },
    { 0x6FF7039B592A9179, "bombzone_onenduse" },
    { 0x1573751F5ADDC8ED, "bombzone_onusedefuseobject" },
    { 0x8F12436264E4F6CA, "bombzone_onuseplantobject" },
    { 0x1EA6224B2A53E9E0, "bombzone_picked" },
    { 0x5437B76C7F93927B, "bombzone_press_use" },
    { 0x76BD17A7BB301D9D, "bombzone_setupbombcase" },
    { 0xB9EA52206658333B, "bombzone_warningklaxon" },
    { 0xBE263DEE0BF76FB0, "bombzonegoal" },
    { 0x8FF368ACAE01ECD4, "bombzones" },
    { 0xE30CA1412AF76C03, "bone" },
    { 0x3C6585500D3DF329, "boneyard_fire_at_targets" },
    { 0x0872EAA259827B5E, "boneyard_style_heli_missile_attack" },
    { 0xF427D349D3200036, "boneyard_style_heli_missile_attack_linked" },
    { 0x283AD22E91249A10, "bonus_target" },
    { 0x2C3997CB52396D62, "bonus_target_domage" },
    { 0x05B61E8B71986DF2, "bonus_target_hit" },
    { 0x0C8416D07778FC8D, "bonus_target_score" },
    { 0x9DF69F69337F87B9, "bonus_targets" },
    { 0x6BD918010EC21AB8, "bonusdeathplunder" },
    { 0xE1E76B8A0AE19413, "bonusdeathplunderot" },
    { 0x5AB4B3D4B4980745, "bonuskillscharge" },
    { 0x36DCE828383B55C2, "bonuskillstreakcharge" },
    { 0x65B2635056A2DEAF, "bonusobjectivescorecharge" },
    { 0x5E893EB06211A192, "bonusscore" },
    { 0x799A59BEF6318E14, "bonusscorefunc" },
    { 0x55FF1EF96FB71259, "bonustime" },
    { 0x673859BC34D9531E, "bonustimeapplied" },
    { 0xF82C706D85FDCAED, "bonustimemax" },
    { 0x6B96BAF8C30C9AC8, "bonustype" },
    { 0x117B0D603CD6D741, "bonuswingamescharge" },
    { 0xB7635A1DC7D2E228, "bookcase_anim_speed" },
    { 0x79ECE96E08EA1886, "bookcase_beating_timing" },
    { 0x150474A57E4EB3DF, "bookcase_break_out" },
    { 0xEC98299716C81919, "bool_to_string" },
    { 0x6781846A52F844FD, "boombox_hint_displayed" },
    { 0x9B4CFD002885C0EA, "boomtrackplayerdeath" },
    { 0x8A5F5C77F023A6A1, "boomtrackplayers" },
    { 0x8E822AE91FA0B409, "boost_door" },
    { 0x9785539F12ECEAB7, "boost_moment_dof" },
    { 0x3010AF2C65F81CB3, "boostspeed" },
    { 0xA1DE0D815A036094, "boosttrigger" },
    { 0xAA288A95DEDFB314, "boosttriggerthink" },
    { 0x799ACFE6FBE8AED5, "bootcampmodewatcher" },
    { 0xB610BD5054767181, "bored" },
    { 0xE26D720AE8E619EE, "boredofcoverinterval" },
    { 0xC6F93DA21BA90D87, "boredomrate" },
    { 0x2E62EC7469A93393, "boredstart" },
    { 0x74B2B22BF60A8024, "borienttoplayeryrot" },
    { 0x528234F6689A574E, "borigininvestigated" },
    { 0x3837F711372E862A, "borigininvolume" },
    { 0xB60A2CA87340B00B, "borntime" },
    { 0xB13172D1C7C1CB9D, "boss_blocker" },
    { 0x22E20011B4204FC0, "boss_chopper" },
    { 0x36FCE711DA35B214, "boss_chopper_chu_behavior" },
    { 0x2969F54AA8B48E9F, "boss_chopper_damage_watcher" },
    { 0xEFF12F294D50E9AA, "boss_chopper_mg_attack" },
    { 0xF816C20C4FF477CA, "boss_chopper_rockets" },
    { 0x233D929CF40826D0, "boss_current_room" },
    { 0x3BAA459D2AE2FF38, "boss_death_func" },
    { 0x91726DA9F90C2A1B, "boss_efforts_getting_stabbed" },
    { 0xA01755477BA70E2C, "boss_enemy_watcher" },
    { 0x5B9F7B7FC0623CF8, "boss_enter_anim_done" },
    { 0x9362A448535A3BFE, "boss_enter_anim_monitor" },
    { 0x1A62F3C45523B386, "boss_fight_combat" },
    { 0xAA44D55099764246, "boss_fight_combat_cave" },
    { 0xACFDB02847AB1246, "boss_fight_combat_forest" },
    { 0x9A2737C9433472F4, "boss_fight_combat_laser_trap" },
    { 0xC42FAB0048DF9384, "boss_fight_intro" },
    { 0x07D09C46DC0A4C9B, "boss_final_struggle_catch_lines" },
    { 0x60B264D250202764, "boss_heli_weapons_create" },
    { 0xEBCD408F6BE3AF19, "boss_kill_sling_model" },
    { 0x8E3B62AE7093ACCD, "boss_mg_50cal" },
    { 0x5A347694284960F9, "boss_one_minion_watcher" },
    { 0xAF1C7F02CC989F97, "boss_pilot_death_watcher" },
    { 0xC05B0DB9BCCF3FA2, "boss_round_updates" },
    { 0x714F4BEC3C50C622, "boss_shoot_player_model" },
    { 0x253AD5F284D02792, "boss_skip_fight_intro" },
    { 0xA9817420BB164780, "boss_skip_fight_overlay" },
    { 0xBAE5CC7F34CBC579, "boss_stab_player_model" },
    { 0x0CA598393732B148, "boss_stabbed" },
    { 0xC2A8395A2E8781D9, "boss_stabbed_amount" },
    { 0x61624A20EB205B2C, "boss_stream_pos" },
    { 0xFA2AC36B03143E3B, "boss_struggle_anim_node" },
    { 0x3FF0F6E0B4E5EED9, "boss_struggle_anim_node_safe" },
    { 0xB2481F37A30A3DFF, "boss_struggle_light_fill" },
    { 0x4B60FEFB4E35D3C9, "boss_struggle_light_key" },
    { 0xD99A70E84309F033, "boss_struggle_lights_node" },
    { 0x16CB4B064CC1E600, "boss_struggle_player_model" },
    { 0x0207816F2B59A85C, "boss_struggle_vo" },
    { 0x87CCA02A17199971, "boss_turn_on_hadir_hit" },
    { 0xD686815314DE9778, "boss_turns_on_hadir_anim" },
    { 0xDE38B8DD9B8B9167, "boss_two_minion_watcher" },
    { 0x16A482B47C07B40A, "boss_vo" },
    { 0x95108197E62AA63C, "boss_wave" },
    { 0xB5E3A203C0DF0E32, "bot" },
    { 0xE2AB51412A8BD099, "bot1" },
    { 0x8F86FB2FC1C784F4, "bot_3d_sighting_model" },
    { 0xAAE4AC9FA8D7C735, "bot_3d_sighting_model_thread" },
    { 0x58F51556337DE613, "bot_abort_emp_pickup" },
    { 0x19C5E6FB4F4B1155, "bot_abort_tactical_goal" },
    { 0x43961CA09277AB9B, "bot_abort_tactical_goal_for_revive" },
    { 0xCCC2A4408A2F4FF0, "bot_add_ambush_time_delayed" },
    { 0xA7AFA3F7C17F7E76, "bot_add_destination_spot" },
    { 0x36660EFB7183CCD3, "bot_add_landing_spot" },
    { 0x44E8A8E7A6B0E8CB, "bot_add_missing_nodes" },
    { 0x38C8305D1740B294, "bot_add_scavenger_bag" },
    { 0x6A1D513F9883A095, "bot_add_to_bot_damage_targets" },
    { 0x7B515436B49AB1A8, "bot_add_to_bot_level_targets" },
    { 0x8FC50D991D8D4489, "bot_add_to_bot_use_targets" },
    { 0x262B72B47404C8D8, "bot_affirm" },
    { 0xA8409834656AE86E, "bot_air_think" },
    { 0xB322CBA3CA0E82D0, "bot_allow_to_capture_flag" },
    { 0x3201AD3F81CF8502, "bot_allowed_to_3_cap" },
    { 0x20C55C78C061B6C1, "bot_allowed_to_switch_teams" },
    { 0xD25471E9871A25AD, "bot_allowed_to_try_last_loadout" },
    { 0x389A2484497FA1AF, "bot_allowed_to_use_killstreaks" },
    { 0xCCB4AAA35CCC265B, "bot_allowed_weapons" },
    { 0xDA2C54866F216711, "bot_ambush_end" },
    { 0x8711F11403A353DD, "bot_arena_think" },
    { 0xE4C02D32ECC06460, "bot_arm_think" },
    { 0xC5BCF8ACE45C2293, "bot_assign_personality_functions" },
    { 0xEC8385406C9471BD, "bot_attachment_reticle" },
    { 0xCDE1CFD608F62896, "bot_attachmenttable" },
    { 0xC3C0C1D97466CADC, "bot_attacker_limit_for_team" },
    { 0xDB7BE0E91286AE1E, "bot_balance_personality" },
    { 0x3F640965D7E75D16, "bot_ball_ai_director_update" },
    { 0xBCCDA9DE4E1B4A19, "bot_ball_think" },
    { 0x46F786D843A8C744, "bot_bhd_think" },
    { 0x13BBC9A162C38F31, "bot_blitz_think" },
    { 0xB52F09D9A6742687, "bot_body_is_dead" },
    { 0xD0B2CD0B4313F780, "bot_bots_enabled_or_added" },
    { 0xB4DF4C11FEEE54C7, "bot_br_circle_think" },
    { 0xFC7BCF1472635560, "bot_br_think" },
    { 0xE0302C8E91AF8C65, "bot_brtdm_think" },
    { 0x3A4B874493A81A03, "bot_cache_entrances" },
    { 0x3FFABCF7074BE375, "bot_cache_entrances_to_bombzones" },
    { 0xDFDAE4D9461A6D98, "bot_cache_entrances_to_flags_or_radios" },
    { 0x77D48EB88733400A, "bot_cache_entrances_to_gametype_array" },
    { 0x5ECD24830169C621, "bot_cache_entrances_to_other_radios" },
    { 0x549959F8E4754A98, "bot_cache_entrances_to_other_zones" },
    { 0xC4525CBDE2F43641, "bot_cache_entrances_to_zones" },
    { 0x6B890AFC19EA8865, "bot_cache_flag_distances" },
    { 0xE553FAD71F73A9A5, "bot_camotable" },
    { 0xCE043DED7E7F7525, "bot_camp_tag" },
    { 0x3CB0C2BAEEF9DC5D, "bot_camp_zone" },
    { 0x64E3213F5DCD3B56, "bot_camping" },
    { 0x520B3C9489DF5FA3, "bot_can_change_stance_while_watching_nodes" },
    { 0x9EE5D4E89A668DA8, "bot_can_join_team" },
    { 0x35136415C5AC860D, "bot_can_revive" },
    { 0x4EFF9AF2E6AACD62, "bot_can_switch_to_attacker" },
    { 0x77BC66EA521FD8BE, "bot_can_switch_to_defender" },
    { 0x1C114A9324B36FF4, "bot_can_tag_interact_with" },
    { 0x72454CA5A603E5BB, "bot_can_use_aa_launcher" },
    { 0x2BB4FB81F050D49A, "bot_can_use_air_superiority" },
    { 0x11C8B8F3A87DA4C0, "bot_can_use_ball_drone" },
    { 0x5CF906BEA34A4DAC, "bot_can_use_box_by_type" },
    { 0xDA8EC72085F1C3EA, "bot_can_use_emp" },
    { 0xDA99894F88ED947A, "bot_can_use_killstreak" },
    { 0xECC23EEF083E01E9, "bot_can_use_point_in_defend" },
    { 0x62C701AF91946B0A, "bot_capture_hq_zone" },
    { 0x9D68E2BE41589671, "bot_capture_koth_zone" },
    { 0x679910EF490A6796, "bot_capture_point" },
    { 0x4D622591E1FAD566, "bot_capture_zone" },
    { 0x4D2A1C1ACC7434ED, "bot_capture_zone_get_furthest_distance" },
    { 0xEA153BD34FEE0EFF, "bot_check_tag_above_head" },
    { 0x0D4CFB5163EB319F, "bot_check_team_is_using_position" },
    { 0xBFDFF52CE4979980, "bot_choose_attack_role" },
    { 0x3AC839E761D1D9D6, "bot_choose_attack_zone" },
    { 0x21FDAC2CD69FE4AC, "bot_choose_defend_role" },
    { 0x97F2F0E74E68AA22, "bot_choose_defend_zone" },
    { 0x3345D41A0C2757C4, "bot_choose_difficulty_for_default" },
    { 0x98D8ACF736382039, "bot_choose_flag" },
    { 0x580F772D9A50964B, "bot_chosen_difficulty" },
    { 0x7882EE2BC368F0D9, "bot_class" },
    { 0xDA47B7164EE83CC5, "bot_clear_hq_zone" },
    { 0x038E5C8D5C36C165, "bot_client_counts" },
    { 0xAA285AD1895A1D66, "bot_cm_human_picked" },
    { 0xC8F49B07C69265C5, "bot_cm_spawned_bots" },
    { 0xF57427CDD72AD707, "bot_cm_waited_players_time" },
    { 0x7EACDF4DF5E59146, "bot_combine_tag_seen_arrays" },
    { 0xFEAEF06148E9CF4E, "bot_conf_think" },
    { 0x32D5F05CA0F51CA2, "bot_connect_monitor" },
    { 0xA57CC7E8D8F29B79, "bot_connect_monitor_multiteam" },
    { 0xA6487D2C01088805, "bot_control_heli" },
    { 0x0DE924C1C82E3424, "bot_control_heli_main_move_loop" },
    { 0xA5D8CC3EB66853EC, "bot_control_heli_pilot" },
    { 0xD8CAD355A8E48D55, "bot_control_heli_sniper" },
    { 0xB166DEE886E2A691, "bot_control_odin" },
    { 0x78700F08DC5DB365, "bot_control_odin_assault" },
    { 0x9BB18E1260DFB929, "bot_control_odin_support" },
    { 0x8C887BB02C89E1B0, "bot_control_switchblade_cluster" },
    { 0x04543EF4D50EC86B, "bot_control_vanguard" },
    { 0x7049053480E76574, "bot_cranked_think" },
    { 0x32B2B9137761821F, "bot_crate_valid" },
    { 0x7DEF13F4EFB7D456, "bot_ctf_ai_director_update" },
    { 0x0A15803156853006, "bot_ctf_can_switch_to_defender" },
    { 0x7724D41671280B2C, "bot_ctf_enemy_team_flag_is_picked_up" },
    { 0xE6CA9E88D7B08CD4, "bot_ctf_flag_is_home_of_team" },
    { 0x1116B6F105FCB2F6, "bot_ctf_flag_picked_up_of_team" },
    { 0xA062A23EFD514F33, "bot_ctf_get_node_chance" },
    { 0x806005F33B94370C, "bot_ctf_my_team_flag_is_picked_up" },
    { 0x590BBB3F3ECE97F4, "bot_ctf_player_always_attacker" },
    { 0x8CBD87735D4D5DDC, "bot_ctf_player_has_flag" },
    { 0x1491985493E18F30, "bot_ctf_recover_flag" },
    { 0x3ACE6A7A3B5A6559, "bot_ctf_think" },
    { 0x21C247A5BCF4605F, "bot_cur_loadout_num" },
    { 0x7CBFCEDC18799D94, "bot_custom_classes_allowed" },
    { 0xCCCFED02B99D70B7, "bot_cyber_think" },
    { 0x557ABE8CA2F90E54, "bot_damage_callback" },
    { 0xF0791FECA9F9EF83, "bot_dark_volumes" },
    { 0x88D86A1BB6956A59, "bot_dd_ai_director_update" },
    { 0x847EC4AE62CF80D6, "bot_dd_clear_role" },
    { 0x1B35EC6E20C89039, "bot_dd_set_role" },
    { 0x1C3EC364D79A1184, "bot_dd_start" },
    { 0x0A06906289B23F90, "bot_dd_think" },
    { 0xF09F6235EC18F6BF, "bot_default_class_random" },
    { 0xB62F45877A6366AE, "bot_default_sd_role_behavior" },
    { 0x070DD7C164A3CF59, "bot_defcon_think" },
    { 0xC3CF5C17AE668CD7, "bot_defend_get_precalc_entrances_for_current_area" },
    { 0x9F11027B6450B1DA, "bot_defend_get_random_entrance_point_for_current_area" },
    { 0x798BF621A82D1ECD, "bot_defend_player_guarding" },
    { 0x61EE2A0D6B98D774, "bot_defend_requires_center" },
    { 0xBF3AAE55A73D121C, "bot_defend_stop" },
    { 0x0F73A204E630D914, "bot_defend_think" },
    { 0x7E100A0DA71CC118, "bot_defender_limit_for_team" },
    { 0x368AE2867BB4D335, "bot_defending" },
    { 0x8A3855EAEB003F13, "bot_defending_center" },
    { 0xF85522657C1EAADB, "bot_defending_nodes" },
    { 0x8AF1CCB5FF22A772, "bot_defending_override_origin_node" },
    { 0x4B268A1188D93AAC, "bot_defending_radius" },
    { 0x49D705CF0B2404C6, "bot_defending_trigger" },
    { 0x8862292D732D0ADE, "bot_defending_type" },
    { 0x8994AA1EA8AF7128, "bot_defending_zone_id" },
    { 0xE655C3A7EACF6152, "bot_demolition_think" },
    { 0xB2C014647D6A55AF, "bot_destination_spots" },
    { 0x8D75FC0A926974A4, "bot_difficulty_adjust" },
    { 0xFD59DB0F5F67E07D, "bot_difficulty_defaults" },
    { 0xFC0DC26657C3C28D, "bot_disable_movement_for_time" },
    { 0x9578AA1310AECE10, "bot_disable_tactical_goals" },
    { 0x2B0EA02548B7D407, "bot_dm_think" },
    { 0x7361F4084FB1E842, "bot_do_doublejump" },
    { 0x2784A92F5E0B7268, "bot_dom_debug_should_capture_all" },
    { 0xA11C48AA0C417AC5, "bot_dom_debug_should_protect_all" },
    { 0x6790366BEE2865C4, "bot_dom_get_node_chance" },
    { 0x2EC5CC8F9AD3729C, "bot_dom_leader_dialog" },
    { 0x8C5BCBE6D888DCE4, "bot_dom_override_flag_targets" },
    { 0xDDF15B75B956957A, "bot_dom_think" },
    { 0xBCC321F6F3DD6226, "bot_draw_circle" },
    { 0x5AEA9861CF5225E8, "bot_draw_cylinder" },
    { 0xD078B6575D3AB0AB, "bot_draw_cylinder_think" },
    { 0x537A2A4ED2A2612E, "bot_drop" },
    { 0xB8EF4F21AF939353, "bot_enable_tactical_goals" },
    { 0x3B99754BBD6F6865, "bot_end_control_on_respawn" },
    { 0xEC2ADEFC1EE8E2EC, "bot_end_control_on_vehicle_death" },
    { 0x50ACA4C231EC4F11, "bot_end_control_watcher" },
    { 0x0FBDE1E622DA300E, "bot_end_odin_watcher" },
    { 0x94E380AC01603543, "bot_ent_is_anonymous_mine" },
    { 0x6C63AD691785128E, "bot_fallback_personality" },
    { 0x7502B8E6F189297E, "bot_fallback_weapon" },
    { 0xFAF6F4657DE52CD3, "bot_filter_ambush_inuse" },
    { 0x780BE5A8420523EC, "bot_filter_ambush_vicinity" },
    { 0xEA599E3FD867FA45, "bot_find_ambush_entrances" },
    { 0xDBCD0957C2D8B4B3, "bot_find_best_tag_from_array" },
    { 0x5AA801AA2995CE63, "bot_find_closest_tag" },
    { 0x351FB7815F0AF35D, "bot_find_defend_node_func" },
    { 0x3C5795181ADC6C81, "bot_find_node_that_protects_point" },
    { 0x36353E3740359CBF, "bot_find_node_to_capture_point" },
    { 0x5108495F6C37C205, "bot_find_node_to_capture_zone" },
    { 0x03C2E61E4EF40817, "bot_find_node_to_guard_player" },
    { 0xB12ACC28C606E5F6, "bot_find_node_to_protect_zone" },
    { 0x3F725943AC725207, "bot_find_random_midpoint" },
    { 0xF4F2CC588B7D0FE7, "bot_find_visible_tags" },
    { 0xE89480C740594D43, "bot_find_visible_tags_mugger" },
    { 0x34DF2F7F125BDE73, "bot_fixup_bombzone_issues" },
    { 0x95B773A6F6CF3BC0, "bot_fixup_pathnode_issues" },
    { 0xE0836BBDBFC7C1CB, "bot_flag_ai_director_update" },
    { 0x05C82CD1EE7C3042, "bot_flag_trigger" },
    { 0xC8DD08558413BFF8, "bot_flag_trigger_clear" },
    { 0x778492877C1B5CAD, "bot_force_stance_for_time" },
    { 0xEDAB79C84A965C15, "bot_front_think" },
    { 0x97EBA0B0F5C79DA2, "bot_funcs" },
    { 0xB1DFB8A991C1A686, "bot_gametype_allied_attackers_for_team" },
    { 0x4D47C001F8BF36A6, "bot_gametype_allied_defenders_for_team" },
    { 0xBD93D675251DD7D1, "bot_gametype_allowed_to_switch_to_attacker" },
    { 0xB9B8ED73869928F1, "bot_gametype_allowed_to_switch_to_defender" },
    { 0xDAA37A29E3584A07, "bot_gametype_attacker_defender_ai_director_update" },
    { 0x6697A9273F4DCF97, "bot_gametype_attacker_limit_for_team" },
    { 0xCFEA80C5CC077783, "bot_gametype_chooses_class" },
    { 0x853BAE3AB2162D08, "bot_gametype_chooses_team" },
    { 0x49DB21A40F6409B7, "bot_gametype_defender_limit_for_team" },
    { 0x4A63FB4447130259, "bot_gametype_get_allied_attackers_for_team" },
    { 0x576491F1A637E07D, "bot_gametype_get_allied_defenders_for_team" },
    { 0x69F986E6C4496AF8, "bot_gametype_get_num_players_on_team" },
    { 0xFD63C8A9505F6A76, "bot_gametype_get_players_by_role" },
    { 0x20B200641FEB325F, "bot_gametype_human_player_always_attacker" },
    { 0xCFBB4444C8FA88C4, "bot_gametype_human_player_always_considered_attacker" },
    { 0x332B9D4FEEA297B0, "bot_gametype_human_player_always_considered_defender" },
    { 0xBCD2E07C6876F2B7, "bot_gametype_human_player_always_defender" },
    { 0x0D237CA050B66DB1, "bot_gametype_initialize_attacker_defender_role" },
    { 0x47FD390194697095, "bot_gametype_precaching_done" },
    { 0xC1E58C2A4EC9D14A, "bot_gametype_radios_precached" },
    { 0x1F3875EF6CD6125F, "bot_gametype_set_role" },
    { 0x6B5D03C6C2A4D811, "bot_gametype_zones_precached" },
    { 0x0A4BDC007CEF1962, "bot_get_active_tactical_goals_of_type" },
    { 0x7C0BD051DDD50B85, "bot_get_all_possible_flags" },
    { 0x1853C1D4303A87DA, "bot_get_ambush_trap_item" },
    { 0x436366D16D8747FC, "bot_get_angles_to_goal" },
    { 0x39C82847E1F57AB3, "bot_get_available_ball" },
    { 0x9746D519ECF7D5B8, "bot_get_ball_carrier" },
    { 0x146F6ADB36219EF1, "bot_get_client_limit" },
    { 0x62DBFD377074CF93, "bot_get_distance_to_goal" },
    { 0xF2B4C6D31F9D63B2, "bot_get_enemy_team" },
    { 0x6A84439ABED1BD07, "bot_get_entrances_for_stance_and_index" },
    { 0x4FBA43417F6E5373, "bot_get_flag_carrier" },
    { 0x2DCF323AD70708E7, "bot_get_grenade_ammo" },
    { 0xC377BB163FF4C701, "bot_get_grenade_for_purpose" },
    { 0x48496B9C176B3946, "bot_get_heli_goal_dist_sq" },
    { 0x3D86934294F779A4, "bot_get_heli_slowdown_dist_sq" },
    { 0x3F7F865475F9B280, "bot_get_host_team" },
    { 0x93210B948F7D9BE3, "bot_get_human_picked_class" },
    { 0x1628B28D8B1535E8, "bot_get_human_picked_team" },
    { 0x715015E762539CA9, "bot_get_known_attacker" },
    { 0xBE731F2AA5AEDF3E, "bot_get_landing_spot" },
    { 0x5DC33C2C9CEA8793, "bot_get_low_on_all_ammo" },
    { 0xAC828A266CE427CF, "bot_get_low_on_ammo" },
    { 0x7AA921D61624FBF1, "bot_get_max_players_on_team" },
    { 0x573C224208E692B3, "bot_get_nodes_in_cone" },
    { 0x8FC8280E246F16E5, "bot_get_num_teammates_capturing_zone" },
    { 0x5CB632936A869E78, "bot_get_player_enemy" },
    { 0x5DD5030C9F965845, "bot_get_player_team" },
    { 0xC9928EEB5427B829, "bot_get_rank_xp" },
    { 0xB97519BF0BF5DF2E, "bot_get_stored_custom_classes" },
    { 0xC38B55C141165281, "bot_get_stored_launcher_class" },
    { 0xEF1B5D2D55472905, "bot_get_string_index_for_integer" },
    { 0xD7AC2B36777E1644, "bot_get_tdef_flag" },
    { 0x5D5A567F8E586C8F, "bot_get_team_limit" },
    { 0x28DB5C016B0C7CA0, "bot_get_teammates_capturing_zone" },
    { 0x26A51748DFC7274C, "bot_get_teammates_currently_defending_point" },
    { 0x5056E19FD8361AA4, "bot_get_teammates_currently_defending_zone" },
    { 0x0B7B25225FAB6406, "bot_get_teammates_in_radius" },
    { 0x0BF7DB6DC0EC9B6C, "bot_get_total_gun_ammo" },
    { 0xA32EA82C530B38F3, "bot_get_valid_nodes_in_trigger" },
    { 0xEE3F6FE0A4084832, "bot_get_zones_within_dist" },
    { 0x107EDDD4680AAD9D, "bot_get_zones_within_dist_recurs" },
    { 0x984A59EE16BB1F3B, "bot_give_weapon" },
    { 0xB68CF60D7EFF494C, "bot_go_to_destination" },
    { 0x4BE1D62A41731E0E, "bot_goal_can_override" },
    { 0x7B7BBC234CF05013, "bot_goto_zone" },
    { 0x03B258435AC5121C, "bot_grenade_matches_purpose" },
    { 0xFB59BB39DB335DD5, "bot_grind_extra_think" },
    { 0x69FB2AE06C2DA2D0, "bot_grind_think" },
    { 0x93856C0DCBC3235F, "bot_grnd_think" },
    { 0x8A78135068E330BC, "bot_guard_player" },
    { 0x9BA3C79F2BECDD5A, "bot_gulag_think" },
    { 0x195951522A280FDC, "bot_gun_pick_personality_from_weapon" },
    { 0x169996EFF63CC974, "bot_gun_think" },
    { 0x6B9FCAAA314ACDAC, "bot_handle_no_valid_defense_node" },
    { 0x11C9FED5A56B8648, "bot_handle_stance_for_look" },
    { 0xFE04DFC2F301FCE0, "bot_hardpoint_ai_director_update" },
    { 0x28DAED5B5014428F, "bot_hardpoint_think" },
    { 0x7CE4707AF6AE6644, "bot_has_player_enemy" },
    { 0xF4D433BF746114FE, "bot_has_streak_in_crate" },
    { 0x254F9E3AE8EAEA0F, "bot_has_tactical_goal" },
    { 0xE33DB1EA39D8588F, "bot_headquarters_think" },
    { 0xE461272CF8B95999, "bot_heli_find_unvisited_nodes" },
    { 0x6567E2D8EEE7D8BD, "bot_heli_nodes" },
    { 0xDE1E540834332D8B, "bot_heli_pilot_traceoffset" },
    { 0x20408B1A9DC8ACA8, "bot_hp_allow_predictive_capping" },
    { 0x2CD0EB63438DA423, "bot_hq_start" },
    { 0x2E00D7E555AA8BFF, "bot_hq_think" },
    { 0x85BB15AF405D8DB8, "bot_hvt_think" },
    { 0x9EE86538F55FAFF5, "bot_ignore_precalc_paths" },
    { 0x897F1E05771AC52D, "bot_in_combat" },
    { 0x841B18ED3080CBE2, "bot_infect_ai_director_update" },
    { 0x4A96662E213E900E, "bot_infect_angle_too_steep_for_knife_throw" },
    { 0x5DDAD5B5FD5C95AE, "bot_infect_find_node_can_see_ent" },
    { 0x5A899594E6108E6D, "bot_infect_retrieve_knife" },
    { 0xE85932A1BFF4F3CD, "bot_infect_think" },
    { 0x3EDE99A053EB0752, "bot_initialized_remote_vehicles" },
    { 0xB55A048DAD93FEFE, "bot_interaction_type" },
    { 0xE8531788E4869488, "bot_invalid_attachment_combos" },
    { 0x62724398C26908B3, "bot_is_bodyguarding" },
    { 0xBB4F556ED1C120D9, "bot_is_capturing" },
    { 0xB20AC754E53AAF4C, "bot_is_capturing_flag" },
    { 0x738411EA90F00758, "bot_is_capturing_hq_zone" },
    { 0x21D53F39FC4DCECC, "bot_is_capturing_zone" },
    { 0x946809EC584C3038, "bot_is_defending" },
    { 0x685F5A59A8FB7B91, "bot_is_defending_point" },
    { 0x99404AD25AD7C105, "bot_is_guarding_player" },
    { 0x17F5F05CD6B29B81, "bot_is_in_gas" },
    { 0x056ADC0DF87748CF, "bot_is_killstreak_supported" },
    { 0xCEBB1A05285BDEEE, "bot_is_patrolling" },
    { 0x0A086B4B5EFB7C45, "bot_is_protecting" },
    { 0xD9C58E50467947C0, "bot_is_protecting_flag" },
    { 0x9DC258BC1083E10C, "bot_is_protecting_hq_zone" },
    { 0x00A4329CBE8E7C1D, "bot_is_ready_to_spawn" },
    { 0x00E6B6DEC104319E, "bot_is_remote_or_linked" },
    { 0x7B94DE8ED07968BD, "bot_is_tag_visible" },
    { 0x3EA9D43E531EBF7C, "bot_israndom" },
    { 0xB5F3F81EDFF489BF, "bot_item_matches_purpose" },
    { 0x6890FEC55E787054, "bot_jump_for_tag" },
    { 0x5FE3AD3EFF0549E1, "bot_killstreak_choose_loc_enemies" },
    { 0xBA189F959BFA3F4F, "bot_killstreak_drop" },
    { 0xE8CB979ABFE729F1, "bot_killstreak_drop_anywhere" },
    { 0xA3D2106372EEF554, "bot_killstreak_drop_hidden" },
    { 0x6010A621D156129F, "bot_killstreak_drop_outside" },
    { 0xD57F8CD3F4D3B5C1, "bot_killstreak_get_all_outside_allies" },
    { 0xCBDFED518DBA2455, "bot_killstreak_get_all_outside_enemies" },
    { 0x78F5CB5A55CBC18B, "bot_killstreak_get_outside_players" },
    { 0xC899F74B1B5F0B38, "bot_killstreak_get_zone_allies_outside" },
    { 0xF75FB8EC7293BA7E, "bot_killstreak_get_zone_enemies_outside" },
    { 0xFD00D9C5CCA129B1, "bot_killstreak_is_valid_internal" },
    { 0xB21FB5EE4EEED1FC, "bot_killstreak_is_valid_single" },
    { 0x46B80946BDAE51D0, "bot_killstreak_never_use" },
    { 0x03B5FD2AE9668736, "bot_killstreak_remote_control" },
    { 0x6A9D9CD8C35A1A65, "bot_killstreak_sentry" },
    { 0x8C869C0A9A0AF947, "bot_killstreak_setup" },
    { 0x044C424E87763ACE, "bot_killstreak_setup_func" },
    { 0x512DDDA26E7A9204, "bot_killstreak_simple_use" },
    { 0x2593FB1A57CB8CE4, "bot_killstreak_valid_for_specific_streaktype" },
    { 0x3EEAD6AFBD723477, "bot_killstreak_vanguard_start" },
    { 0x6CA964E5C190803A, "bot_know_enemies_on_start" },
    { 0xF122737767D2D75F, "bot_known_flag_carrier_loc" },
    { 0x6D7D89D09610BBE2, "bot_koth_think" },
    { 0xE18089901EC48741, "bot_ks_funcs" },
    { 0x0537DAD87765FFE8, "bot_ks_heli_offset" },
    { 0xCC14036FF74AC8B0, "bot_landing_spots" },
    { 0xEC383FC52EDDFFE3, "bot_last_loadout_num" },
    { 0x8134223C5B53FE38, "bot_last_team_ally" },
    { 0x69B9263945BC2496, "bot_last_team_enemy" },
    { 0x0D48E33C89E8EE0E, "bot_lava_think" },
    { 0xBF819D6E8D760303, "bot_leader_dialog" },
    { 0x9E2DFD8ECDD0E95D, "bot_light_volumes" },
    { 0x4F2280744BEA6561, "bot_loadout" },
    { 0x5BBA366D5F086E7F, "bot_loadout_choose_fallback_primary" },
    { 0x9AE348045B6BA478, "bot_loadout_choose_from_attachmenttable" },
    { 0x5C348631E746E8FF, "bot_loadout_choose_from_camotable" },
    { 0x9DFDCB70CCF571DF, "bot_loadout_choose_from_custom_default_class" },
    { 0x48E34665440BA789, "bot_loadout_choose_from_default_class" },
    { 0x3345D9E2D14AC81B, "bot_loadout_choose_from_perktable" },
    { 0x1EF3E83208DBD597, "bot_loadout_choose_from_set" },
    { 0x0B9C9856E720B4A4, "bot_loadout_choose_from_statstable" },
    { 0xAE6B3C31D6D3E602, "bot_loadout_choose_values" },
    { 0x8128163A9567D9D8, "bot_loadout_class_callback" },
    { 0x1687A051195279E7, "bot_loadout_fields" },
    { 0xCD955ACA71A82B26, "bot_loadout_get_archetype" },
    { 0x1644A45ECE86992A, "bot_loadout_get_difficulty" },
    { 0x71CAD51C62803B16, "bot_loadout_item_allowed" },
    { 0x6B5D00A9020BAF83, "bot_loadout_make_index" },
    { 0xEC099A3CF5739B7C, "bot_loadout_perk_slots" },
    { 0xC2E59F757BAFFB4B, "bot_loadout_pick" },
    { 0x3C2B76D32818B69A, "bot_loadout_set" },
    { 0x6E152168BACBCE0D, "bot_loadout_setup_perks" },
    { 0x438F45D6383712DB, "bot_loadout_team" },
    { 0x5F042F34EC4A299A, "bot_loadout_valid_choice" },
    { 0xF9C105B7E40F039F, "bot_loadouts_initialized" },
    { 0x43DACF26769D2E09, "bot_lui_convert_team_to_int" },
    { 0x4BCD4FC1D44BEBAC, "bot_make_entity_sentient" },
    { 0x34C62915CCC228A1, "bot_map_center" },
    { 0xDD242319A53150E9, "bot_map_max_x" },
    { 0xDD242219A5314EB6, "bot_map_max_y" },
    { 0xDD242119A5314C83, "bot_map_max_z" },
    { 0x392100613D59E06B, "bot_map_min_x" },
    { 0x3920FF613D59DE38, "bot_map_min_y" },
    { 0x392102613D59E4D1, "bot_map_min_z" },
    { 0x80F9FCE496B43A7B, "bot_match_rules_invalidate_loadout" },
    { 0x274D9B9296931CC6, "bot_max_players_on_team" },
    { 0xD15E1950601088C6, "bot_melee_tactical_insertion_check" },
    { 0x88546DCCE33F5B2E, "bot_memory_goal" },
    { 0xCE171CF1C5F5275A, "bot_memory_goal_time" },
    { 0xE00EA66D278F0FCA, "bot_modify_behavior_from_loadout" },
    { 0xB054BCD68D77B3CB, "bot_modify_behavior_from_tweakables" },
    { 0x5684851A7E01AF8A, "bot_monitor_enemy_camp_spots" },
    { 0xEF171DFB316648BE, "bot_monitor_team_limits" },
    { 0xDE51533DB1824D4D, "bot_monitor_watch_entrances_at_goal" },
    { 0x2549411434E1391D, "bot_monitor_watch_entrances_bodyguard" },
    { 0x51BA45B9F159C3B1, "bot_monitor_watch_entrances_camp" },
    { 0x1BCC6789465113E5, "bot_mtmc_think" },
    { 0xA248208E8CBB1C86, "bot_mugger_loadout_modify" },
    { 0xC640C901E99E134F, "bot_mugger_think" },
    { 0x06183E24C27BE44B, "bot_nag" },
    { 0xE334E2D7B676E728, "bot_nags" },
    { 0x7EDBE137EACAACF1, "bot_new_tactical_goal" },
    { 0x7D658A65E7ADFCD4, "bot_next_difficulty_type_index" },
    { 0x2E61D7DF4B407F0C, "bot_nodes" },
    { 0x1FF0375995CED0DB, "bot_notify_streak_used" },
    { 0xF991A977DF6E9853, "bot_odin_find_target_for_airdrop" },
    { 0xA78E1B0A4C09F320, "bot_odin_find_target_for_rods" },
    { 0x43836A0B1C1A1BA3, "bot_odin_get_closest_visible_outside_player" },
    { 0xCC42404458FADF87, "bot_odin_get_high_priority_smoke_locations" },
    { 0x65CB514554993042, "bot_odin_get_num_valid_care_packages" },
    { 0x46752EE8D9602C49, "bot_odin_get_player_target_point" },
    { 0xAA425FCD323B4514, "bot_odin_get_visible_outside_players" },
    { 0xDABF3CF7C2496752, "bot_odin_should_airdrop_at_marker" },
    { 0x2F38022EB075C90C, "bot_odin_should_drop_smoke_at_marker" },
    { 0xF9D1C5E2D6FBC0E6, "bot_odin_should_fire_flash_at_marker" },
    { 0xCF67B845AED5C43D, "bot_odin_should_fire_rod_at_marker" },
    { 0x491B3EC4BD1E10C9, "bot_odin_time_to_move" },
    { 0x219BEA75CD49EFFF, "bot_odin_try_airdrop" },
    { 0x39A528CA4E3C8BAC, "bot_odin_try_flash" },
    { 0xA141C78EC75AD834, "bot_odin_try_rods" },
    { 0x6CEC2F384387B9B7, "bot_odin_try_smoke" },
    { 0x8430FF549A3515D6, "bot_odin_try_spawn_juggernaut" },
    { 0x5C6E15DEA8F37A7F, "bot_on_player_death" },
    { 0xF0C9EA1B4070F95A, "bot_out_of_ammo" },
    { 0xCE16B16C7F3467F0, "bot_out_of_combat_time" },
    { 0xE43CCEA2AFD700B0, "bot_parachute_into_map" },
    { 0x03184457293CEB33, "bot_patrol_area" },
    { 0x8B73DCDA664B2140, "bot_payload_think" },
    { 0x423B81CF093BEAAD, "bot_perk_cost" },
    { 0x8B319947CDA7EFB9, "bot_perktable" },
    { 0xAA644257AE70E7A2, "bot_perktable_groups" },
    { 0x453649FF8949D404, "bot_perktypes" },
    { 0x52EBBAEDFADFBAC2, "bot_pers_init" },
    { 0x228AD3CA4D9F8BC1, "bot_pers_update" },
    { 0xABAC0F8E4A2B6A09, "bot_personality" },
    { 0x8357108DE0C4B13E, "bot_personality_list" },
    { 0x13158247B07FE1F2, "bot_personality_type" },
    { 0x6CC9972778D6BF1E, "bot_personality_types_desired" },
    { 0xF1375D2B015579C2, "bot_pick_dd_zone_with_fewer_defenders" },
    { 0x2A79F50F90864540, "bot_pick_new_loadout_next_spawn" },
    { 0xDDFB1D819D0EDCD6, "bot_pick_new_zone" },
    { 0xBC6C35232FE80483, "bot_pick_personality_from_weapon" },
    { 0x19BE08CB9B6A99B9, "bot_pick_random_point_from_set" },
    { 0x6B9AB78DB8901764, "bot_pick_random_point_in_radius" },
    { 0x1DD9D4608694443E, "bot_picking_up" },
    { 0x850AFF43DC0AEC8A, "bot_pickup_origin" },
    { 0x02315FEBDBD26A1C, "bot_pickup_weapon" },
    { 0xFDFB108DBDEF13F7, "bot_pill_think" },
    { 0x77070580F9FDCA4F, "bot_player_spawned" },
    { 0x7A63A3C6692366C6, "bot_point_is_on_pathgrid" },
    { 0xF0768A302F9E0295, "bot_post_teleport" },
    { 0x2B5A27CADC6B00C0, "bot_post_use_ammo_crate" },
    { 0xDD70132AD437BB96, "bot_post_use_box_of_type" },
    { 0x1EED4363BE82AF9F, "bot_pre_use_ammo_crate" },
    { 0xBD4D151ED2113B2B, "bot_pre_use_box_of_type" },
    { 0x1E05770839B7E71C, "bot_prematchdonetime" },
    { 0xF09C1438F541E537, "bot_protect_hq_zone" },
    { 0x0EFAD82DE04B6723, "bot_protect_point" },
    { 0x2E7E2827B8BF2071, "bot_protect_zone" },
    { 0x5FE4E0CA74752758, "bot_queued_process" },
    { 0x0DBE317103ECF642, "bot_queued_process_level_thread" },
    { 0x302E6C42DC5A4B79, "bot_queued_process_level_thread_active" },
    { 0xCB000D2DBC1DAE18, "bot_queued_process_queue" },
    { 0x5B22B5EBE7CC16D6, "bot_random_path" },
    { 0x28A453D0D270885C, "bot_random_path_default" },
    { 0x187AE623643B5F4B, "bot_random_path_function" },
    { 0x562C6C5893AB6E44, "bot_random_ranks_for_difficulty" },
    { 0xA3439A2E7EA27A75, "bot_rank_weapon_class" },
    { 0x5615C06E976EBC82, "bot_recent_point_of_interest" },
    { 0x3CACA333F5C44424, "bot_register_killstreak_func" },
    { 0x7DF3375B9B83D686, "bot_remove_from_bot_level_targets" },
    { 0xADEBDF42D67FF949, "bot_remove_invalid_tags" },
    { 0x88B674D9FD93199C, "bot_respawn_launcher_name" },
    { 0x4237AA25ACF2BF1B, "bot_restart_think_threads" },
    { 0x6DAC31F00FF3C52B, "bot_rnd_prestige" },
    { 0xE946218DB9BA92C8, "bot_rnd_rank" },
    { 0xCE89F61BF9577B85, "bot_sam_think" },
    { 0x9E4374BC4A8661B5, "bot_scavenger_bags" },
    { 0x901ACF5FA767B264, "bot_sd_ai_director_update" },
    { 0x2AA4B46B7CB02BF1, "bot_sd_override_zone_targets" },
    { 0xCA8A4FC0CCD77DFF, "bot_sd_start" },
    { 0x52F751699442FDFB, "bot_sd_think" },
    { 0x9B463CEB1C7BE0F7, "bot_seek_dropped_weapon" },
    { 0x244CEC8ACA54012C, "bot_send_cancel_notify" },
    { 0x40E7692ACD64C01B, "bot_send_place_notify" },
    { 0x224F59B5C729C008, "bot_sentry_activate" },
    { 0x206F01FB1FECE1E2, "bot_sentry_add_goal" },
    { 0xBC1103D0F79318C3, "bot_sentry_cancel" },
    { 0x255396EAA2F83555, "bot_sentry_cancel_failsafe" },
    { 0x930F1C972A8E2FBF, "bot_sentry_carried_obj" },
    { 0xE9A69091F97929A0, "bot_sentry_choose_placement" },
    { 0xC3277AB0E5DFF268, "bot_sentry_choose_target" },
    { 0x6F0F62C5C18A95E0, "bot_sentry_ensure_exit" },
    { 0x5CAA38E2C94A8A07, "bot_sentry_force_cancel" },
    { 0xA8887FC6087C9091, "bot_sentry_path_start" },
    { 0xAAAE49317233D36B, "bot_sentry_path_thread" },
    { 0xFA9BA84A78AD2A5B, "bot_sentry_should_abort" },
    { 0xB4D203694FDCCCD8, "bot_set_ambush_trap" },
    { 0x67C86BDF9DFF94B1, "bot_set_ambush_trap_wait_fire" },
    { 0xC89DFB75C62BEEA0, "bot_set_bombzone_bottargets" },
    { 0xF20203B1E8EA0A6B, "bot_set_difficulty" },
    { 0xE43A8A2755479B21, "bot_set_difficultysetting" },
    { 0xB2FAE53793F86B21, "bot_set_loadout_class" },
    { 0x16E2142776B7C477, "bot_set_objective_bottargets" },
    { 0xEC8F791DEFA94776, "bot_set_personality" },
    { 0x58449E3657563E7E, "bot_set_role" },
    { 0xAA45EEF37EB26793, "bot_set_role_delayed" },
    { 0x4EF1E441349F3CFA, "bot_set_zone_nodes" },
    { 0xB466434260C8F565, "bot_setup_bombzone_bottargets" },
    { 0xE4BF7D33186307AF, "bot_setup_bot_targets" },
    { 0x8341AE47659265DD, "bot_setup_callback_class" },
    { 0x15D9EFDECAA7F9CF, "bot_setup_loadout_callback" },
    { 0xFBEE2FA51735D7C4, "bot_setup_objective_bottargets" },
    { 0xC922379DF8942690, "bot_setup_radio_bottargets" },
    { 0x6EC24983854683B0, "bot_shotguns" },
    { 0x7EA589F273844ED4, "bot_should_cap_next_zone" },
    { 0x884F02DD249EB2AD, "bot_should_defend" },
    { 0xD871DF78E73D08F8, "bot_should_defend_flag" },
    { 0x00CD0C75B81F8878, "bot_should_do_killcam" },
    { 0xA1192E90E491493A, "bot_should_melee_level_damage_target" },
    { 0xBAC1F9BC3D68C473, "bot_should_pickup_weapons" },
    { 0xA61771E372A1F911, "bot_should_pickup_weapons_infect" },
    { 0xE8FCDDE5136DB95B, "bot_should_use_ammo_crate" },
    { 0x90FAFE548AFCED0F, "bot_should_use_ballistic_vest_crate" },
    { 0xB9508FC86D6E1005, "bot_should_use_grenade_crate" },
    { 0xECDDD8DC1224BC58, "bot_should_use_juicebox_crate" },
    { 0x13414D4A64F0B9A2, "bot_should_use_scavenger_bag" },
    { 0x113FAA83DBE48C30, "bot_should_use_support_crate" },
    { 0x2CC67E1B80EA02CD, "bot_siege_manager_think" },
    { 0x3962FCE6B071A549, "bot_siege_think" },
    { 0x572909796FF860F9, "bot_smoke_sight_clip_large" },
    { 0xF4FFE57AF565A0ED, "bot_snipers" },
    { 0x5228583AB7F8814F, "bot_spawned_before" },
    { 0x76557306DD9A6963, "bot_spawned_this_round" },
    { 0xDA88FC81BBD4319A, "bot_squad_lookup" },
    { 0x93DE73F63E43DCBD, "bot_squad_lookup_enemy" },
    { 0xED4758E666E483FA, "bot_squad_lookup_private" },
    { 0x04401F799030AA24, "bot_squad_lookup_ranked" },
    { 0xF5339D07EB4D691C, "bot_squadmember_lookup" },
    { 0xF59C200BD0CA3E19, "bot_sr_think" },
    { 0x668B3618122FDA5D, "bot_start" },
    { 0xDD1E06107F653173, "bot_start_aa_launcher_tracking" },
    { 0x5B78C88FFFB30736, "bot_start_know_enemy" },
    { 0xC5909D3ABC4E361C, "bot_start_known_by_enemy" },
    { 0x386AA0457593583F, "bot_supported_killstreaks" },
    { 0x2FE3E3E71BA54E9D, "bot_switch_to_killstreak_weapon" },
    { 0xC70EC454717F5B49, "bot_tac_ops_think" },
    { 0xF8B2F2A2D1441286, "bot_tag_allowable_jump_height" },
    { 0xED0D6EE4BFA86DDA, "bot_tag_obj_radius" },
    { 0xD11BFDFA9E080B3A, "bot_target" },
    { 0x751D732CBAEB3BEE, "bot_target_is_flag" },
    { 0xE89AD7298BB0D18B, "bot_targets" },
    { 0x070A00AD32F6E1D3, "bot_tdef_think" },
    { 0x760BCED296B48D26, "bot_team" },
    { 0x12FC214AC65F550E, "bot_thanks" },
    { 0x43BDC12305939D01, "bot_think" },
    { 0xADF9A852CF9D8C01, "bot_think_crate" },
    { 0x0153F536648981D1, "bot_think_crate_blocking_path" },
    { 0x6E29DA85A86E38F1, "bot_think_dynamic_doors" },
    { 0x9F147D3B486128F0, "bot_think_gametype" },
    { 0x4A62D4DB975C28F4, "bot_think_killstreak" },
    { 0x23E8D5493F296424, "bot_think_level_actions" },
    { 0x7DBCF084FE4D4C3B, "bot_think_nvg" },
    { 0xABC07318A6C13627, "bot_think_revive" },
    { 0x26D27AC6B14C5499, "bot_think_seek_dropped_weapons" },
    { 0x69E2FE20C0C781C8, "bot_think_tactical_goals" },
    { 0x426EBE7B17C2CEEB, "bot_think_watch_aerial_killstreak" },
    { 0xB3760C91CC52A326, "bot_think_watch_enemy" },
    { 0x346385AB3CDE86F3, "bot_throw_ball" },
    { 0x23D76FFFEB5294C9, "bot_tjugg_think" },
    { 0xE7ADD95CDD83DA20, "bot_to_hstg_think" },
    { 0x17FF9A229BE2E41E, "bot_triggers" },
    { 0xC78419A762734871, "bot_try_switch_attack_zone" },
    { 0xB1A96D36B5989EBD, "bot_try_trap_follower" },
    { 0xCD7C316F7B8DD3D5, "bot_try_use_ambush_item" },
    { 0x2BDEFD70F6DBD0D6, "bot_update_camp_assassin" },
    { 0xE36292F0869B018F, "bot_update_difficultysetttings" },
    { 0xE6EB2DB1D1BF1D8A, "bot_usebutton_wait" },
    { 0x0DC38F40BC21921F, "bot_valid_camp_assassin" },
    { 0xD0C23DCD763532CE, "bot_validate_perk" },
    { 0xF70956FE61162086, "bot_validate_reticle" },
    { 0x9501F38C9FA33AB2, "bot_validate_weapon" },
    { 0xF1CD0EF9569F9A77, "bot_vanguard_find_unvisited_nodes" },
    { 0x0A5401E8DBFB5EF5, "bot_vanguard_height_trace_size" },
    { 0x689891E3AA1135CD, "bot_variables_initialized" },
    { 0x59FA150FAC5B542F, "bot_vectors_are_equal" },
    { 0x33455E3740E7BEED, "bot_verify_and_cache_bombzones" },
    { 0xB7D36E6D58FBE079, "bot_vip_think" },
    { 0x0FA84C622EF76C0A, "bot_visited_times" },
    { 0x55BFAF746554BD6A, "bot_wait_for_event_flag_swap" },
    { 0x7A646F98CDF25C2A, "bot_waittill_bots_enabled" },
    { 0xB53ADD12F5D9144C, "bot_waittill_goal_or_fail" },
    { 0x343DAF1814BEDCC7, "bot_waittill_out_of_combat_or_time" },
    { 0x542964E99B866AA5, "bot_waittill_using_vehicle" },
    { 0xF53E067F453EAB24, "bot_war_think" },
    { 0x3FC277BFF5D732F3, "bot_watch_entrances_delayed" },
    { 0x1A4F49CC65D2B26F, "bot_watch_for_death" },
    { 0xB433FD00436C7D49, "bot_watch_for_killstreak_use" },
    { 0x4C267A528B1EC8EE, "bot_watch_manual_detonate" },
    { 0x8532063FAA23BEED, "bot_watch_new_tags" },
    { 0xC480307427577B00, "bot_watch_nodes" },
    { 0x9FBA122EE48610C5, "bot_weap_personality" },
    { 0x64A1B275148EB982, "bot_weap_statstable" },
    { 0x0188985B3BD70200, "bot_weapon_is_better_class" },
    { 0x8C0D6CC0B394A19E, "bot_wmd_think" },
    { 0xCDF377E2470DE6D5, "botarchetype" },
    { 0xFC574CA243923F12, "botarchetypes" },
    { 0xAC98D64554C9DFD9, "botblockedkillstreaks" },
    { 0xE2593C056AC2D3C4, "botcanseeentity" },
    { 0xAB061338F693FFA3, "botclearbutton" },
    { 0x814BC500AD0F0C80, "botclearscriptenemy" },
    { 0x1D1F4CF1EDBE0A17, "botclearscriptgoal" },
    { 0x14BC842A8682E74D, "botdebugdrawtrigger" },
    { 0xBFB2B9387BA8C0B5, "botdisablekillstreaks" },
    { 0xADB42D02BBC0CFE1, "botenemyfacesbot" },
    { 0x75E5392E4DF3782D, "botfindrandomgoal" },
    { 0xEEDCD324D98FFBB3, "botfirstavailablegrenade" },
    { 0xB395C6D47AF18AFA, "botflagmemoryevents" },
    { 0xBF745B124E5013D0, "botgetclosestnavigablepoint" },
    { 0xA0790E92695CBFF3, "botgetdifficulty" },
    { 0x7CCB15C662B32379, "botgetdifficultysetting" },
    { 0x57805BEE99DE848A, "botgetentrancepoint" },
    { 0x643FE099D2BD29D4, "botgetfovdot" },
    { 0x35A4A04A7602A9AA, "botgetfovdotz" },
    { 0xAAC95241BC3564F7, "botgetimperfectenemyinfo" },
    { 0x64621D232DB36960, "botgetmemoryevents" },
    { 0x5467E8A599161BF4, "botgetnearestnode" },
    { 0x25F5540619D50C1D, "botgetnegotiationstartnode" },
    { 0x301BC18CCFD0705D, "botgetnodesonpath" },
    { 0xC000EFC9F366A479, "botgetpathdist" },
    { 0xEA74CFA7DA5A2C9E, "botgetpersonality" },
    { 0x3168BB27D90AACBE, "botgetscriptgoal" },
    { 0x3189C2338390FE6A, "botgetscriptgoalnode" },
    { 0x649CF8562D705B4C, "botgetscriptgoalradius" },
    { 0x041C27AAE699397E, "botgetscriptgoaltype" },
    { 0x231ED2D91363CC81, "botgetscriptgoalyaw" },
    { 0x4FBFAA0D12D2CCB6, "botgetteamdifficulty" },
    { 0x8E86C4DD028FF692, "botgetteamlimit" },
    { 0x309F691AD279E1C0, "botgetworldclosestedge" },
    { 0x6372D90F03B7DFFB, "botgetworldsize" },
    { 0x00BA9AF0D8112FB0, "botharmsdismembered" },
    { 0x542534FCE4C77A9A, "bothasscriptgoal" },
    { 0x475A0C61E93C39BA, "bothlegsdismembered" },
    { 0x4A3D822549BD07C7, "botisdoingaisearch" },
    { 0x711B5ECFFADC8167, "botisonplayerteam" },
    { 0x9C51530081AF2D57, "botisrandomized" },
    { 0x22A3307AD1743C96, "botisthrowingscriptedgrenade" },
    { 0xA1E007792E66418A, "botlastloadout" },
    { 0x0113158A7105E73F, "botlastloadoutdifficulty" },
    { 0xBC7058D5D48068CA, "botlastloadoutpersonality" },
    { 0x88E29075FCFCE00A, "botloadoutfavoritecamo" },
    { 0x0C212B27F5EB87DC, "botloadoutfavoritecamoprimary" },
    { 0xEC3368FF943F5D94, "botloadoutfavoritecamosecondary" },
    { 0x58258C7BD4962DAF, "botloadoutsets" },
    { 0xED70D207AA30CBF9, "botloadouttemplates" },
    { 0x4A11862CAD657EA2, "botlookatpoint" },
    { 0x84C7239F0E111577, "botmemoryevent" },
    { 0x84E09A9B32BBD124, "botmemoryflags" },
    { 0x5116DA69AE078EB9, "botmemoryselectpos" },
    { 0x73A6DDDAB610BD25, "botnodeavailable" },
    { 0xC84EC1E055646785, "botnodeavailabletoteam" },
    { 0x273C0605EEC46A2F, "botnodepick" },
    { 0x53E96ED952D8C14B, "botnodepickmultiple" },
    { 0xE08800D6169FF950, "botnodescoremultiple" },
    { 0xF28C75753683E61C, "botopenmonitor" },
    { 0xD3E0F000177564CB, "botoperatorref" },
    { 0x7390F6BAA069D493, "botoperatorteam" },
    { 0x9DDB345F84C51439, "botpathexists" },
    { 0x7617E91C7F1F770F, "botpickskinid" },
    { 0xE99382FFE77802F7, "botpickuphack" },
    { 0xE730F3DFC91872B9, "botpredictenemycampspots" },
    { 0xDDA2005BA81FF908, "botpredictseepoint" },
    { 0x9FBC3A0153BAC305, "botpressbutton" },
    { 0xADA3F47721BD9293, "botpursuingscriptgoal" },
    { 0xE2AB8F412A8C58F3, "bots" },
    { 0xF34D71BDECABDCCE, "bots_attacking_wanted" },
    { 0x0FB0CC9B7C5F92EE, "bots_create_landing_spots" },
    { 0x8FD75D3C4D2D1DE6, "bots_defending_wanted" },
    { 0xAE6C4F9EDE10EAB3, "bots_disable_team_switching" },
    { 0xDCAB3D4DCE5A956F, "bots_exist" },
    { 0x45EADE9159C97431, "bots_gametype_handles_class_choice" },
    { 0xE344B551DBE542E8, "bots_gametype_handles_team_choice" },
    { 0xAC50F45EDFA134F7, "bots_gametype_initialized" },
    { 0x3F82BBD8D50C3D95, "bots_ignore_team_balance" },
    { 0x2BE47937EDB21E06, "bots_init" },
    { 0xC42A1E4EF5AB0ABA, "bots_notify_on_disconnect" },
    { 0xFAAFEC60DEFA634F, "bots_notify_on_spawn" },
    { 0xCB994E5DDF3872F3, "bots_remove_from_array_on_notify" },
    { 0x82E25F705DE812D4, "bots_seek_player" },
    { 0xE2E39961188AF183, "bots_update_difficulty" },
    { 0x9F6AD698A117A791, "bots_used" },
    { 0x0BAE24A7CD83DDBF, "bots_with_player_enemy" },
    { 0xFEB69A729BC9C7E8, "botsenabled" },
    { 0xCA523F61DBE8923B, "botsentientswap" },
    { 0xBCE0353497653219, "botsetattacker" },
    { 0x99A0513BC71C8EAF, "botsetawareness" },
    { 0x2E9D4B3E8575A7B7, "botsetdifficulty" },
    { 0xE32AE68C631D14BD, "botsetdifficultysetting" },
    { 0xA67B12299918B6BC, "botsetflag" },
    { 0xD640CD81837C3340, "botsetpathingstyle" },
    { 0x39E7AA71A794C4A2, "botsetpersonality" },
    { 0x3DD8E801C05DCE07, "botsetscriptenemy" },
    { 0xB57BDF89353B7502, "botsetscriptgoal" },
    { 0x1FF92DACE5F1EB1E, "botsetscriptgoalnode" },
    { 0x02C9E39F1CE82A08, "botsetscriptmove" },
    { 0xA570093A92D4C2FE, "botsetstance" },
    { 0xC9CB1EE42EDBD2AA, "botskinid" },
    { 0xC7D5D10C51CF44BB, "botstopmovingonlaststand" },
    { 0x471AB069482204CD, "botsystemstatus" },
    { 0x4A7A0BB5528E8373, "bottarget" },
    { 0x58EABFC48F6A1900, "bottargets" },
    { 0xB51EE21A70627ECE, "botthrowscriptedgrenade" },
    { 0xDA3161C9295FCEAA, "bottomarc" },
    { 0xCB195A4E24A3EDF3, "bottomextents" },
    { 0x7E642AE15146C9E4, "bottompercentagetoadjusteconomy" },
    { 0x65722C9348936997, "botzonegetcount" },
    { 0x08571B9770CC1164, "botzonegetindoorpercent" },
    { 0x80E7F70BD51AD3C5, "botzonenearestcount" },
    { 0xB86FE41D2AA7EA85, "botzonesetteam" },
    { 0x1EA96F6D343B2393, "bouncelight" },
    { 0x7721954EBD550FE9, "bounceshot" },
    { 0x8F0E942F36113123, "boundary" },
    { 0x58C68C6EFF338777, "boundingoverwatchenabled" },
    { 0x76338EBAD999B87D, "bounty_index" },
    { 0x2EA3EF88008FCF94, "bountycollect" },
    { 0x3A036B3BB526C1A1, "bountyconvert" },
    { 0x66D0F0EB17CBC3C8, "bountyincreasestreak" },
    { 0x18984E8062242998, "bountyinit" },
    { 0x6CD42A77801F4F15, "bountypoints" },
    { 0xCE789E95E65652B8, "bountystreak" },
    { 0xB5E3A603C0DF16FE, "box" },
    { 0xB1430ED5765662E9, "box_activate_func" },
    { 0x66522538FA16566F, "box_addboxforplayer" },
    { 0x16F0C91B58BC0177, "box_agentconnected" },
    { 0x4B8EECCE18570E13, "box_angles" },
    { 0x91B513CB578B5496, "box_center" },
    { 0xC7578DC8827F2099, "box_createinteraction" },
    { 0x9D7FC3812598DABA, "box_debug" },
    { 0xA9B6AECAFECE9763, "box_disabled" },
    { 0xD2620A35096AF4B3, "box_disableplayeruse" },
    { 0xBDA4497C4CA5AF78, "box_enableplayeruse" },
    { 0x5FF8DE0D1751BFB0, "box_handledamage" },
    { 0x3D9D575C5DC1D5DD, "box_handledeath" },
    { 0x71BE621680C541E8, "box_handledeathdamage" },
    { 0x35D5EABCB9330CFE, "box_handleownerdisconnect" },
    { 0xA95913554705FC35, "box_hint_func" },
    { 0x26843A3717DBE836, "box_leave" },
    { 0x9B2B691F6EE342AE, "box_modelteamupdater" },
    { 0x7B6058267C9D31C4, "box_modifydamage" },
    { 0x812F6A42F1C82721, "box_playerconnected" },
    { 0x1A2F390594C5320E, "box_playerjoinedteam" },
    { 0x8615018B83A17763, "box_setactive" },
    { 0xB3FFB49E23554C1C, "box_seticon" },
    { 0x0CB844F4689D6FD4, "box_setinactive" },
    { 0xF3F331FBAFB08A5E, "box_timeout" },
    { 0x359DCB5A83678744, "box_used_common_setup" },
    { 0x338AF30B64C528D3, "box_waittill_player_spawn_and_add_box" },
    { 0x076E788A012C0317, "box_watchownerstatus" },
    { 0x43D43B50BB29F751, "box_x" },
    { 0x2F15A3960B094DDE, "box_x_min" },
    { 0x43D43A50BB29F51E, "box_y" },
    { 0xE74A0A741702CC45, "box_y_min" },
    { 0x43D43950BB29F2EB, "box_z" },
    { 0xE48FB7CAA4137590, "box_z_min" },
    { 0x853230BA6B482B0C, "boxcapturethink" },
    { 0x43B93050BB0B8316, "boxes" },
    { 0xB01D8DD562611976, "boxiconid" },
    { 0xD660F690E03F116B, "boxmodel" },
    { 0x8AE349675A4CC204, "boxparams" },
    { 0x7B9B53AA878FB28B, "boxsettings" },
    { 0x608B42806F3034A5, "boxsizex" },
    { 0x608B41806F303272, "boxsizey" },
    { 0xBA7ABA3A07A89FB2, "boxthink" },
    { 0x954BBEB2822B961B, "boxtouchonly" },
    { 0x7A237EE84A508EBE, "boxtype" },
    { 0xCE1C3978F56E253B, "bp" },
    { 0x9A59E5F58192CA90, "bp_glass_combat_catchup" },
    { 0xDE51B4DE0214B596, "bp_glass_combat_enemies" },
    { 0x03EB3C0E129B478B, "bp_glass_combat_main" },
    { 0x879C52C183FEB23A, "bp_glass_combat_start" },
    { 0x0A78D5951BEB0463, "bp_glass_combat_wave" },
    { 0x0BD1165EEF99B711, "bp_glass_hint_flash" },
    { 0x2917D7C71D045761, "bp_glass_metal_detectors_catchup" },
    { 0x44CDDAF82A2228B8, "bp_glass_metal_detectors_main" },
    { 0x0F515A66C33AD66F, "bp_glass_metal_detectors_start" },
    { 0x50AFAED8253DB054, "bp_glass_price_vo" },
    { 0xF4464F2091ED9556, "bp_glass_scene_catchup" },
    { 0xD193AC0B4545CE19, "bp_glass_scene_main" },
    { 0x4FB9BE545D6B7500, "bp_glass_scene_start" },
    { 0x4454374585701D2A, "bp_glass_vo" },
    { 0xD04788DB09365317, "bpaused" },
    { 0xE7755F66717BB691, "bpg_car_fire_light" },
    { 0x21F4980609C9926C, "bpg_closers" },
    { 0x97080D3E9FC873A5, "bpg_combat" },
    { 0x867699D0D976611F, "bpg_combat_price" },
    { 0x728FAF5A6B13166E, "bpg_combat_wait_autosave" },
    { 0xBD9750B6BDBE2286, "bpg_combat_window_exterior_light_on_and_off" },
    { 0x39F4094496212254, "bpg_first_wave_enemy" },
    { 0x5F00AD71341E2484, "bpg_individual_civ_flee" },
    { 0x6ADEFA5575D4E45F, "bpg_md_aq" },
    { 0xD7AEDA4F956BEA32, "bpg_md_aq_first_wave" },
    { 0x93CA04F7E3D698C1, "bpg_md_aq_stack_up_at_door" },
    { 0x1C93EC1074559A98, "bpg_md_cowering_civ" },
    { 0x420F694038716A01, "bpg_md_door" },
    { 0x20DFCC2F32322B60, "bpg_md_door_civ" },
    { 0x5798810897071860, "bpg_md_first_wave_objects" },
    { 0x5D1F50F1C6267FED, "bpg_md_nag" },
    { 0x5624BE3ABC94789A, "bpg_md_one_off_table" },
    { 0xB44ABA085E100A82, "bpg_md_price" },
    { 0x51BAC0E76B27DA5E, "bpg_md_screens" },
    { 0xD4266E8650CA7337, "bpg_md_table" },
    { 0x602C2F9C8BD505CC, "bpg_metal_detectors" },
    { 0xD3A442E220DA7C1F, "bpg_scene" },
    { 0xF879DC6FB6EC9D86, "bpg_scene_aq" },
    { 0x6C00E2405277AC6E, "bpg_scene_aq_basher" },
    { 0x5060ACC4A8C085A1, "bpg_scene_aq_basher_crowbar" },
    { 0xBB6E84D8F62D1035, "bpg_scene_chair_1" },
    { 0xBB6E81D8F62D099C, "bpg_scene_chair_2" },
    { 0xBB6E82D8F62D0BCF, "bpg_scene_chair_3" },
    { 0x830CF0E9824914B4, "bpg_scene_check_door_interact" },
    { 0x442BE0FF658BE6D8, "bpg_scene_civ_escape" },
    { 0x9966E73FC0CC91B4, "bpg_scene_civ_escape_count" },
    { 0xD886460EC220BDB8, "bpg_scene_civ_otherside" },
    { 0x3DF8DCB6C2D10A54, "bpg_scene_civ_otherside_count" },
    { 0x9345D6C3F6744454, "bpg_scene_civ_vo" },
    { 0x8CC0841C847BC7F4, "bpg_scene_enforcer" },
    { 0x77843FC5881D6887, "bpg_scene_escape_idle_nag_vo" },
    { 0x60E9B9D883017810, "bpg_scene_exit" },
    { 0xFF622B8F137FD0F5, "bpg_scene_handle_exit_doors" },
    { 0xB085A34BB271BFF2, "bpg_scene_key_civ" },
    { 0xDF427381A631D1FE, "bpg_scene_marine" },
    { 0x32456B5270592B96, "bpg_scene_marine_spawn" },
    { 0x3A331CC589435A83, "bpg_scene_mother" },
    { 0x57E0BC201F5621C0, "bpg_scene_player_interact" },
    { 0x44F70A2ACC71D1D3, "bpg_scene_player_interact_aq_enforcer_entourage" },
    { 0x59918AF9BBC88055, "bpg_scene_player_interact_death" },
    { 0x4852676D2A90262A, "bpg_scene_player_interact_struggle" },
    { 0x9D6E1788081A3159, "bpg_scene_pre_vo" },
    { 0x22FD61AE712E7FCD, "bpg_scene_price" },
    { 0x5B90D175FC329F13, "bpg_scene_price_push_door" },
    { 0xC7A1DB963C4C8454, "bpg_scene_price_vo_nag" },
    { 0x62E87139F44BB2E3, "bpg_window_break_through" },
    { 0xD59C4ACB9E80EEEB, "bpgc_conf_aq" },
    { 0x61835CCDA75A2539, "bpgc_conf_civ" },
    { 0x78008619CB2B9386, "bpgc_conf_object" },
    { 0x15DD640ADA59FE7A, "bpgc_conference_room" },
    { 0x6FF6CF11082F0CE4, "bpgc_halligan_breakout_vo" },
    { 0xEE6D5322F5511229, "bpgc_halligan_scene_vo" },
    { 0x067CBF2162745553, "bpgc_hostage" },
    { 0xDF644976550DA74A, "bpgc_hostage_aq" },
    { 0xD1D661F8A30C853C, "bpgc_hostage_bullet_shield" },
    { 0x546322737AC7D750, "bpgc_hostage_char" },
    { 0xD23DFA56F996E1E4, "bpgc_hostage_check_damage" },
    { 0x74A30D3D22C03F96, "bpgc_hostage_civ" },
    { 0x43A377711F802D2A, "bpgc_hostage_entrance" },
    { 0x574676E546F9D0DD, "bpgc_interrogation" },
    { 0x3B4CA19BD9ADD27C, "bpgc_interrogation_aq" },
    { 0xD7C71B9CA5660FAE, "bpgc_interrogation_check_speed_up" },
    { 0xF9EB11BFA38B2EFC, "bpgc_interrogation_civ" },
    { 0x489860A4F530D85A, "bpgc_price_halligan_pre_gesture" },
    { 0xEFE4723E936CBFE3, "bpgc_price_halligan_scene" },
    { 0x6BFC71F32D3744A3, "bpgc_price_halligan_scene_aq_death" },
    { 0xD037F73D4EDB2C27, "bpgc_price_halligan_scene_check_player_tries_door" },
    { 0x48A964E619AF92E7, "bplanted" },
    { 0x959E8199D951365A, "bplayerrevivingteammate" },
    { 0x808494F8BD6EE2EB, "bplayingspecificstealthsound" },
    { 0xF202AFABFCFB55C7, "bplaysmartobject" },
    { 0xB637BB03C13C1C22, "bpm" },
    { 0x8CB9CBEFC54C3BE9, "bposedstyle" },
    { 0xF53B0E2801F41F56, "bpossiblefail" },
    { 0x40DFA8CDFB307F42, "bpowerdown" },
    { 0xBEA12CCDAB7FCE37, "bpowereddown" },
    { 0xF047DBC5E10D9BA4, "bpreragdolled" },
    { 0xC130BE54D4A8938E, "bpullout" },
    { 0xD8D57B52700437A6, "br_ac130" },
    { 0xC1ACAB7BD148ED7A, "br_add_player_commands" },
    { 0x64357FEC8DFFBA26, "br_allguns" },
    { 0xB1AEA93F20BFF743, "br_allowdropspawnafterprematch" },
    { 0x2C4E393D1BB90CB1, "br_allowloadout" },
    { 0x9F4019D96F2D7E17, "br_alt_mode_impulse_player" },
    { 0x00490C686FBEFF5C, "br_alt_mode_inflation" },
    { 0xEED602D976011ECC, "br_ammo" },
    { 0xA2D113CE07D7AF9E, "br_ammo_clipsize" },
    { 0x24A317144C22465D, "br_ammo_give_type" },
    { 0x9EB3576C4AE28B97, "br_ammo_init" },
    { 0x433D6D1ABD72F85D, "br_ammo_max" },
    { 0x34B32E442053B793, "br_ammo_omnvars" },
    { 0x5EC9C492BCD8A006, "br_ammo_player_clear" },
    { 0xF346F1A345C3309F, "br_ammo_player_hud_monitor" },
    { 0x96FD1D8637933D39, "br_ammo_player_hud_update_ammotype" },
    { 0x31B8DE750754550F, "br_ammo_player_init" },
    { 0xA67A5E799ECC5BEA, "br_ammo_player_is_maxed_out" },
    { 0x7A669DB8EF753102, "br_ammo_player_max_out" },
    { 0x6BE7F7D8B8648808, "br_ammo_player_reload_watch" },
    { 0x9BD4F0BC81C8EDA7, "br_ammo_take_type" },
    { 0xBBF09A1949E2D222, "br_ammo_type_for_weapon" },
    { 0x1B81CEE14D4D3729, "br_ammo_type_player_full" },
    { 0xAE2E1B9683A63F56, "br_ammo_types" },
    { 0x356CBE6438C6DB7D, "br_ammo_update_ammotype_weapons" },
    { 0x89C766B5B72B4CD7, "br_ammo_update_from_weapons" },
    { 0x32F9536505AF62A6, "br_ammo_update_weapons" },
    { 0xA4B200A13CBB0296, "br_ammorestock_playeruse" },
    { 0x05F2A80D2690FCBA, "br_armor_plate_amount_equipped_set" },
    { 0x4113BAC23277B0FF, "br_armor_plate_broken_remove" },
    { 0xA39A8B17204C356E, "br_armor_plate_used" },
    { 0xA015FD15B23945BD, "br_armor_repair_end" },
    { 0x3B7ED82D8052B763, "br_armorhealth" },
    { 0x0397EEE2451237B9, "br_armorlevel" },
    { 0xB91792FEB6BDC318, "br_armory_kiosk" },
    { 0x0C0B4F7533BB5C1E, "br_armory_kiosk_enabled" },
    { 0xA4C0C254039F8BA3, "br_assignedplayertofollow" },
    { 0x712392F28E1EEFBD, "br_assignedplayertospectate" },
    { 0xECEE5AAEDF32952B, "br_assignedteamtofollow" },
    { 0x5C06753EE77E9331, "br_badcircleareas" },
    { 0x8ED6580285040C30, "br_bank_alarm_enabled" },
    { 0x1CC0CB1CF6403953, "br_bunker_alt" },
    { 0x3BF1467D742B6FC8, "br_c130spawndone" },
    { 0x9FE28F84994D15F5, "br_cash_count" },
    { 0x277B6435F1C8069F, "br_cash_time" },
    { 0x19EEEADF24E6B5F8, "br_challenges" },
    { 0x7F7476BB89631244, "br_checkforlaststandfinish" },
    { 0x1112672A15CC1B60, "br_checkforlaststandwipe" },
    { 0x2EFE36BDD7FCC052, "br_circle" },
    { 0x749E88842AE61AA6, "br_circle_closing_music" },
    { 0xBEB546A697BEECC7, "br_circle_disabled" },
    { 0x87CDEC666217578C, "br_circle_init_func" },
    { 0x76BFB91146A8A67C, "br_circlecenteroverrides" },
    { 0x2F0BB76A0EA14D4C, "br_circlecenters" },
    { 0xCF10AAFDF9E01AFC, "br_circleclosetimes" },
    { 0xFDFE11D76E357FB5, "br_circledelaytimes" },
    { 0x66E72931BD06476D, "br_circledynamicvfx" },
    { 0x7D2F17749CC072E2, "br_circleinnervfx" },
    { 0x6C641262FD3AC482, "br_circleminimapradii" },
    { 0x17F8122A9F144547, "br_circleradii" },
    { 0x20BCB543E8B74809, "br_circleradiizero" },
    { 0x30D0B92C7CBC6005, "br_circleshowdelaydanger" },
    { 0x70DDCFF396124283, "br_circleshowdelaysafe" },
    { 0x70E41966B6AD73EC, "br_circlestaticvfx" },
    { 0xC55E1CF076085C83, "br_cleanups" },
    { 0x798957F01F15351D, "br_clearinventory" },
    { 0x8659F0166467EA13, "br_contractxpearned" },
    { 0xA6F04BCFEF30E64C, "br_convoytrucks" },
    { 0x15DE824E9A345958, "br_corners" },
    { 0x08969EB0FC9657E6, "br_crateguns" },
    { 0x6F1F67E34833162B, "br_crateitems" },
    { 0x9B1D0039BA51EB8F, "br_currentcalloutzone" },
    { 0x8A7D1E126EE8BE9E, "br_danger_circle_closing_music" },
    { 0xB9445B8476D4BD10, "br_deadcountdownhud" },
    { 0xC7201583B2961002, "br_debugsolotest" },
    { 0xEED537E925CD0B99, "br_delaynojip" },
    { 0xF931A78D2A6E95F5, "br_depots" },
    { 0x95FCB617383AD278, "br_displayperkinfo" },
    { 0xCC329D53272B75CD, "br_domheight" },
    { 0x844F72F86DD79411, "br_drop_bags_enabled" },
    { 0xE87F68F3EDC0D14B, "br_dropinventoryfordropbagloadout" },
    { 0x71991592668F8CF5, "br_dropoffsets" },
    { 0xDA5454AB5779436E, "br_droppedloot" },
    { 0x800C6BF6ACA68911, "br_endgamesplashcallback" },
    { 0x2A59C0724D7CB251, "br_ending" },
    { 0xD2B5282E518AC90A, "br_ending_debugmode" },
    { 0xF307AB064B713CED, "br_ending_delay" },
    { 0xCA79BA613861E2C0, "br_ending_init" },
    { 0xB0ACC72593C84011, "br_equipcount" },
    { 0x1421F51120AB15C1, "br_equipname" },
    { 0xBC9D448E6D24F1BF, "br_equipnametoscriptable" },
    { 0xA59183B9425711D1, "br_fallaccel" },
    { 0x15A66CE8B30A4E5E, "br_finalcircleoverride" },
    { 0x425C940EF5921514, "br_forcegivecustompickupitem" },
    { 0x501F2B8B17AB4A5B, "br_forcegivecustomweapon" },
    { 0x7FCE7555FB4B74A4, "br_forcegiveweapon" },
    { 0xBB13DDAD430EE3D6, "br_getprimaryandsecondaryweapons" },
    { 0x2032FEC8F5AA9304, "br_getrandomkillstreakreward" },
    { 0xE468C4CC687AC583, "br_getrandomlootweapon" },
    { 0x93FD1941E6198B34, "br_getrewardicon" },
    { 0xD8517B4D828CF552, "br_getweaponstartingclipammo" },
    { 0x9DEB5DEB89CECB97, "br_give_starting_ammo" },
    { 0x095D767913FCE44F, "br_give_weapon_ammo" },
    { 0x0E2E04AB78B5511B, "br_give_weapon_clip" },
    { 0xEFC8D1ADB168444C, "br_givedropbagloadout" },
    { 0x8980811F523D58E2, "br_giveselectedclass" },
    { 0x9CCBC4888741BC58, "br_gulagammo" },
    { 0xB1412180356FF0FC, "br_gulaggun" },
    { 0x23C41E8990B78CB9, "br_gulagguncurrent" },
    { 0x422D3BF5852E0A7D, "br_gulagguns" },
    { 0x23A9604F9C309423, "br_gulagoffhands" },
    { 0x517008D977E5E9CB, "br_gulagpickups" },
    { 0x48189C489EDB8E67, "br_guncount" },
    { 0xAF19F275D438269D, "br_hasautopickup" },
    { 0x56216268BB49C4C4, "br_helicopters" },
    { 0xCB6241AA73A9F4F1, "br_helmethealth" },
    { 0x4DC781A7F9B12357, "br_helmetlevel" },
    { 0x452A6CD8BCC5E98D, "br_helosmax" },
    { 0xE7BAD85F00F3A824, "br_helospawns" },
    { 0x2DE59590EF88A4C5, "br_highlightlaststandfinishplayers" },
    { 0xFD543B46C87976F9, "br_infil_type" },
    { 0x2E1E2D2B5EEE9B36, "br_infillocationselectionhandlers" },
    { 0x6C020FF9F98A8366, "br_infils_disabled" },
    { 0xBB82611D5B432E19, "br_infilstarted" },
    { 0xE3469D33D7F19E53, "br_insert_armor" },
    { 0x809F4FC90E2ECDF4, "br_inventory_slots" },
    { 0xF01F7A748642A617, "br_is_allowed_armor_insert" },
    { 0x355C8FC766F231FA, "br_iseliminated" },
    { 0x06369C480E8FE779, "br_isininfil" },
    { 0x751EBF580AB83FE1, "br_isplayerbeforeinitialinfildeploy" },
    { 0x22633DDCF8B64E0E, "br_itemrarity" },
    { 0xD32288A85C2C20EF, "br_itemrow" },
    { 0xF8A96A733ACBD2F9, "br_itemtype" },
    { 0x8566F4CBC8EAE42D, "br_justpickedup" },
    { 0x4BE9AE6DFD1ED7C9, "br_killstreakreference" },
    { 0x9561FB80282CD046, "br_killstreaktoscriptable" },
    { 0x13D9C86D53889041, "br_kiosk" },
    { 0xB9A8DC699EA85F5D, "br_lastincirclenotifytime" },
    { 0x945094935A57EB4E, "br_lastscenecheck" },
    { 0xF2C85B5AD75FEEDC, "br_laststandfinishplayerisincapacitated" },
    { 0x03B8C0456C9629BA, "br_lastweaponchange" },
    { 0xCF6404F5F67DFC1B, "br_latejoininfilready" },
    { 0xF023EB6FD74B9966, "br_latejoinloadscreen" },
    { 0x8D75C89BF7EE1980, "br_leaderbystreak" },
    { 0xF976E4980F8B0532, "br_leftspawn" },
    { 0xECADDA742B17B60B, "br_lerp_minimap_zoom" },
    { 0x7E93D07917E21398, "br_level" },
    { 0x6ADD39113170B1B6, "br_loadout_option" },
    { 0x8E07A0681DF5522F, "br_loadouts" },
    { 0x70FBDD8D5DD26CC7, "br_lootguns" },
    { 0xB3D976F4433A95AF, "br_lootiteminfo" },
    { 0xA2228BC6977971F5, "br_mapbounds" },
    { 0x042910929EDB162C, "br_mapboundsfull" },
    { 0x3C9E825DE1CE9E2D, "br_mapcenter" },
    { 0xCA092255582959DD, "br_mapsize" },
    { 0xFD7A5AAD0DFD29C0, "br_matchstarted" },
    { 0xCD86CDBA24A9BF2D, "br_maxarmorhealth" },
    { 0x5E39F0D7DD9B8E9D, "br_mobile_armory_enabled" },
    { 0x778F0D7DFE89D3BE, "br_mobilearmories" },
    { 0xA08DC2B3B12393DB, "br_movingcirclecount" },
    { 0xAF2B2B89CE51BDDB, "br_movingcirclegulagcloseoffset" },
    { 0x07404C6633764219, "br_movingcirclemovedistmax" },
    { 0x071D3E66334FDB97, "br_movingcirclemovedistmin" },
    { 0x9935280E7D5D3873, "br_objectiveindex" },
    { 0x63DC1AE1C6886159, "br_onvehicledeath" },
    { 0xDD97125BF5CA9C81, "br_orbitcam" },
    { 0x5098C5FAAE4B621A, "br_pe_chopper_crate_index" },
    { 0x201EB67A53B7A21A, "br_pe_chopper_crates" },
    { 0x1F861DA2752BF7BD, "br_pe_chopper_damage_time" },
    { 0x1D79BE41CEB2814A, "br_pe_data" },
    { 0x4D330FF40DBDE4A3, "br_pelletmaxdamage" },
    { 0x14B0BF39E3F68DA6, "br_perk_points_enabled" },
    { 0x0E77F480C2D69171, "br_perkpoints" },
    { 0xF690056773DD2FAF, "br_perks" },
    { 0x5AD805448C92572C, "br_pickupalreadyhavespecialistbonus" },
    { 0x88F8C4D6595B4CB5, "br_pickupconflicts" },
    { 0x8C2D97A41DBF6B34, "br_pickupdenyalreadyhaveks" },
    { 0xDD8C0F669BD6B175, "br_pickupdenyalreadyhaveplatepouch" },
    { 0x24ABB6AE9E9F79F8, "br_pickupdenyalreadyhavequest" },
    { 0x23E1AC75B344479B, "br_pickupdenyalreadyhaverevive" },
    { 0x25421332F7AB65AB, "br_pickupdenyalreadyhavetoken" },
    { 0x4D2A068CC34F0B6E, "br_pickupdenyalreadyhaveweapon" },
    { 0x1D7EDA449618F5FE, "br_pickupdenyammonoroom" },
    { 0x5012C27D95453606, "br_pickupdenyarmorfull" },
    { 0x60B2CF2B9FCEC50E, "br_pickupdenyarmornotbetter" },
    { 0x1219FC3533618D90, "br_pickupdenyequipnoroom" },
    { 0x2CA764C3247D1948, "br_pickupdenyjuggernaut" },
    { 0xA6CD00260DE875B0, "br_pickupdenyparachuting" },
    { 0x5BB6C36262599B0A, "br_pickupdenyplunderpickup" },
    { 0x0F9CBBCE9DF420B5, "br_pickupdenyweaponpickupap" },
    { 0x96D7091B8346A8EC, "br_pickupnomorerespawn" },
    { 0xC20B2FFC23334C37, "br_pickups" },
    { 0x21F7AC54642144AA, "br_pickups_init" },
    { 0xCF847F9BB6476A21, "br_pickupsfx" },
    { 0xF99CC3E58C5F3E4E, "br_picspawns" },
    { 0x7A21A4242477A11D, "br_playersdowned" },
    { 0x48658A8DF5E76B93, "br_playersusingsonar" },
    { 0x866EAD0C5F706240, "br_plunder" },
    { 0x34CFAB5F09827956, "br_plunder_enabled" },
    { 0x69E2D5882186F5C3, "br_plunder_ents" },
    { 0x45EBCE714BA1853B, "br_plunder_lobby" },
    { 0xC05A18E0C3E5F773, "br_plunder_site_use_parts" },
    { 0xDBE9413AB21D1559, "br_plunder_site_use_states" },
    { 0x44137794C03AACAF, "br_plunder_sites" },
    { 0x5F936FFA34F4174C, "br_plunderers" },
    { 0x43641DB8510E5159, "br_practice_match" },
    { 0x62255783BFA3DF73, "br_prematchffa" },
    { 0x6A891D485B56774E, "br_prematchloot" },
    { 0xA67A9EB59A98FA1C, "br_prematchlootparts" },
    { 0xD14F85D7B0894F9D, "br_prematchspawnlocations" },
    { 0x8623761BDBC788C9, "br_prematchstarted" },
    { 0x317CACCF8F2D104B, "br_quests_enabled" },
    { 0x5EB4A2EA4D7668CF, "br_queststashlocations" },
    { 0x39C6DDA46F6D2185, "br_remove_player_commands" },
    { 0x24DA961967BB527C, "br_respawn_enabled" },
    { 0x86FBC40C31280731, "br_respawn_loadout" },
    { 0x2C7EFF6BF8C9670D, "br_respawnambulances" },
    { 0xE033410D3CCEF173, "br_respawned" },
    { 0xFCDC99FD9ADB494E, "br_safecirclereset" },
    { 0xFB4D7D87E8E036B1, "br_satellite_truck_enabled" },
    { 0xDDBF4C2105A54A76, "br_satellitetruck" },
    { 0x301B0E074D289099, "br_selectdropbagclass" },
    { 0x0A38CCB14C814B2D, "br_should_continue_adding_armor" },
    { 0xF3D17FAB0C882D8A, "br_skipending" },
    { 0x23848E3CD61CC66F, "br_sonartickrates" },
    { 0x0B9768BF1FF610C9, "br_spawndensepois" },
    { 0x9EFEEDA9168AAC45, "br_spawndistanceratio" },
    { 0xD6302F5A3F29DBAC, "br_spawnpois" },
    { 0x8DF2D4D6FD89A9D6, "br_spawns" },
    { 0xA1DEB84644A14203, "br_spawnsemidensepois" },
    { 0x887847567EF61AD4, "br_spawnsparsepois" },
    { 0xB242CEECC50D4617, "br_spectatorinitialized" },
    { 0xA389CB323298D1A8, "br_squadindex" },
    { 0x9D5498F8E70F3CA7, "br_squadrevivestatus" },
    { 0xC9461259CB0F6A74, "br_standard_loadout" },
    { 0x784D8F1647C62366, "br_superreference" },
    { 0x0A3D438F504E6B9B, "br_supportedguns" },
    { 0xD8673B5278C929C4, "br_supporteditems" },
    { 0xB3B8750D186000F8, "br_tacmap_icon" },
    { 0xA927AA4214D69BD7, "br_throwables" },
    { 0x2BEBBCC66EBB0145, "br_toggle_armor_allows" },
    { 0xCF6704B9F9011801, "br_totalvehiclesmax" },
    { 0xC94D6FB90A1D87B1, "br_totalvehiclesspawned" },
    { 0x050DB82C2A1D1885, "br_truck" },
    { 0x8B95ED6246FFC018, "br_updategameevents" },
    { 0x3AE0ADA8159700A7, "br_usables" },
    { 0x1A1006083B92DFA6, "br_use_armor_plate" },
    { 0x1B12CA2843683B29, "br_usespawnclosets" },
    { 0xEDD5EF9D0EC883A1, "br_vehicleallspawns" },
    { 0xC23373D078AF8CDF, "br_vehiclealwaysspawns" },
    { 0xA965708AEF3A0663, "br_vehtargetnametoref" },
    { 0x4C64D8937C17FCBD, "br_vieworigin" },
    { 0x3DCF770A0C9C322D, "br_wait_for_complete_reload" },
    { 0x56E1A6F3C8BA487D, "br_watch_armor_cancel_notifys" },
    { 0x2CFD80F9F7655ECA, "br_watch_armor_weapon" },
    { 0x17EB06EC60C8CFE9, "br_weaponsbygroup" },
    { 0x2E799415D0731ACB, "br_weaponsprimary" },
    { 0x25F31E29ADD27F6F, "br_weaponssecondary" },
    { 0xAFDB6471A0EF15E0, "br_weapontoscriptable" },
    { 0x0CADDA4AF1DF35A3, "br_weaponweights" },
    { 0x24B606C99527F0AC, "br_weaponweighttotal" },
    { 0x583F50D4ADCA9D12, "bradley" },
    { 0x3F9AF2B36B3983FC, "bradley_handlefataltacopsdamage" },
    { 0x03349D928C6846D8, "bradley_handletacopsdamage" },
    { 0x3CAED322F6CDB665, "bradley_onfirecamera" },
    { 0xF3E47683FCB54124, "bradley_onfireshocknearplayers" },
    { 0xD47097E49E61C5D8, "bradley_ref_sphere" },
    { 0xFC1502CD160A0899, "bradley_restorehealth" },
    { 0xB3466326C69C1AE6, "bradley_turretdustkickup" },
    { 0x981E87BCB342902D, "bradley_vehicledestroy" },
    { 0x20DBAB9900C6FF1E, "bradleybeginuse" },
    { 0xAE8C4A40003A3641, "bradleydamagewatcher" },
    { 0xD1386A452B48FD9F, "bradleymodeloverride" },
    { 0x0FCA417178D83AF7, "brallowclasschoicefunc" },
    { 0x829A8B983DACAA8F, "branalytics_bonusxp_debugdata" },
    { 0x3BC87E1D53C6C28A, "branalytics_circleenter" },
    { 0x9E8461610984217C, "branalytics_circleexit" },
    { 0x3173953D19DBEB18, "branalytics_delayedshowtablets" },
    { 0x05C1EDB3F5A218ED, "branalytics_deployallowed" },
    { 0x26BACA828406EBD6, "branalytics_deployland" },
    { 0x2223E3EE3A7A254C, "branalytics_deploytriggered" },
    { 0xA618131664780182, "branalytics_disconnect" },
    { 0xA9EEE50D353D0FD4, "branalytics_down" },
    { 0x1A80B275C61A8E4B, "branalytics_dropbagdeployed" },
    { 0xDC8CEB874B50BCB0, "branalytics_dropbagdestroyed" },
    { 0xBFB17D73ADE1F554, "branalytics_dropbagused" },
    { 0x29074EAD3D05B075, "branalytics_economy_snapshot" },
    { 0x1EF484439B2CFC7F, "branalytics_endgame" },
    { 0x21093365D0FE3E63, "branalytics_equipmentuse" },
    { 0x1F4E2F9367698245, "branalytics_gulagend" },
    { 0x82A12AE7CC54F87C, "branalytics_gulagstart" },
    { 0x924A2706B45E51BA, "branalytics_init" },
    { 0x99D77AA8910EB487, "branalytics_inittablets" },
    { 0xD294242607FCAE83, "branalytics_invalidtablet" },
    { 0xFE813A90330A0C79, "branalytics_inventory_snapshot" },
    { 0x90F0FA9E2F84E514, "branalytics_kiosk_menu_event" },
    { 0x9E1E59038C5248A8, "branalytics_kiosk_purchaseitem" },
    { 0x42C42C6760017939, "branalytics_kiosk_purchaseloadout" },
    { 0x8352DA05040BA893, "branalytics_landing" },
    { 0x19DA2D11163E6337, "branalytics_lootdrop" },
    { 0xC0E41B14BD00F0E6, "branalytics_lootpickup" },
    { 0x27F1FBCA3B937F33, "branalytics_missionend" },
    { 0x81ED6C2D70788136, "branalytics_missionstart" },
    { 0x486BABF6F56777A9, "branalytics_planepath" },
    { 0xAA30355994F6321C, "branalytics_playercount" },
    { 0xC00981F11BF432E7, "branalytics_plunder_extraction_failure" },
    { 0xD1A933CBEDECC2A2, "branalytics_plunder_extraction_success" },
    { 0xBC0B2A72298036C3, "branalytics_plunder_placed_into_extraction" },
    { 0xD62ED9C40803D2C1, "branalytics_publiceventended" },
    { 0xED8C9799EA1A33F8, "branalytics_publiceventstarted" },
    { 0xE30BD7DD756A240C, "branalytics_respawn" },
    { 0x0AFC5D805989A8A9, "branalytics_revive" },
    { 0x49BC3A560C0B1FCA, "branalytics_secondwind" },
    { 0x5F27DE9400DEDA6F, "branalytics_selfrevive" },
    { 0x88874A97099994A3, "branalytics_seteventdelayedstate" },
    { 0xAF74B6AA13802327, "branalytics_spawntablet" },
    { 0x3A24C805340F5C11, "branalytics_teameliminated" },
    { 0x8F8308B10640AD0B, "branalytics_validation" },
    { 0x1A77F4CE979963C6, "branalytics_vehiclespawned" },
    { 0x64074B333218E6C5, "branches" },
    { 0x136F695D73F287AD, "brareloadoutdropbagsdelayed" },
    { 0xF02D83E2E25B28C5, "brattractions" },
    { 0x0030773CB0714EF2, "bravo1" },
    { 0x3ED19033DE51EA36, "bravo1_2f_idle" },
    { 0xCD9D45A3A62A45C8, "bravo1_3f_ending" },
    { 0x2BAB73562BDDB6EE, "bravo1_3f_return_fire" },
    { 0xA614387A6F4605C1, "bravo1_3f_shot_at_vo" },
    { 0xC52B52AF7C81BE3E, "bravo1_enters_3f_room" },
    { 0x45A4DFF36188A151, "bravo1_gas_search" },
    { 0x25B4A54F28598365, "bravo1_idle" },
    { 0x4F9CD471D4106561, "bravo1_move_into_warehouse" },
    { 0xFE8EE73BB2D90A18, "bravo1_street_movement" },
    { 0x0030763CB0714CBF, "bravo2" },
    { 0x001DB3EC85297E76, "bravo2_gas_search" },
    { 0xF0953F2158B9C3D2, "bravo2_idle" },
    { 0x8921FF1C8CFB27D4, "bravo2_move_into_warehouse" },
    { 0x2841531FE16EDEF0, "bravo2_tape" },
    { 0xE17FDA9DF6DD613A, "bravo2_truck_convoy" },
    { 0x0030753CB0714A8C, "bravo3" },
    { 0xEC9FA84A649CBF88, "bravo3_approach_and_mask_up" },
    { 0xDB495231658185C4, "bravo3_final_scene" },
    { 0xA308B57C83FE9383, "bravo3_gas_search" },
    { 0x0490984D78724FEC, "bravo3_head_to_convoy" },
    { 0xCC634F59D2E758A7, "bravo3_move_into_warehouse" },
    { 0x44F7BD7EC26F9DC6, "bravo3_vo" },
    { 0x0030743CB0714859, "bravo4" },
    { 0xA1B4F99A61BAD649, "bravo4_3_door_enter" },
    { 0xB1E6F4BF625BA341, "bravo4_4_open_baby_door" },
    { 0x64B117934F3DF781, "bravo4_4_try_early_mom_death" },
    { 0x67CDD8F599821DA7, "bravo4_4_use_death_react" },
    { 0xC596A529B9DA1430, "bravo4_4_use_stand_death_react" },
    { 0x084AAAA5CBF47844, "bravo4_frontdoor_enter" },
    { 0x100C8043EE581680, "bravo4_movements" },
    { 0x0030733CB0714626, "bravo5" },
    { 0x87439A200E2B7859, "bravo5_anim_check" },
    { 0xA455B75394A8CE39, "bravo5_in_door" },
    { 0x0030723CB07143F3, "bravo6" },
    { 0x0030713CB07141C0, "bravo7" },
    { 0x3325FB5F50C9A992, "bravo_3_toggle_laser" },
    { 0xA6841755FDCAD25B, "bravo_ai_array_handler" },
    { 0xCCDA03E19A064826, "bravo_driver" },
    { 0xB48480AD3ECA1998, "bravo_gate_open" },
    { 0x02D6FC103B4DE767, "bravo_gate_vo" },
    { 0x0602C6DDD229FE30, "bravo_gate_vo_open" },
    { 0x037F259EC05329D8, "bravo_midway_anims" },
    { 0x67A960EC79FE2241, "bravo_team" },
    { 0x5A91DB26A9EC325D, "bravoagents" },
    { 0xDB11B5780847B731, "bravoai" },
    { 0x2850AD360A644B88, "brbonusxpallowed" },
    { 0x9698B8537CD782B8, "brbroadcastplayercardsplash" },
    { 0x6A38A53E7EAE2568, "brc130airdropcrateactivatecallback" },
    { 0x02B4B02EC4814927, "brc130airdropcratecapturecallback" },
    { 0x0ED12AD196C50FCB, "brc130airdropcratedestroycallback" },
    { 0x7733366382580055, "brc130airdropcratephysicsoncallback" },
    { 0x1D5363406C754CF8, "brchooselaststandweapon" },
    { 0x7A3EAA0232242E3C, "brcirclebattlechatter" },
    { 0xE6A12DA00144073D, "brcirclecoughnexttime" },
    { 0xEE7318068797C8FE, "brcircleextract" },
    { 0x455958663C870B5D, "brcirclemoveto" },
    { 0x3CB5D9C3FCF4B1E2, "brcircleradialedgespawn" },
    { 0x800BA44DF93E8761, "brclampdamage" },
    { 0xDE4A38D880D51B11, "brclampdamagealtmodegg" },
    { 0x9746A167B604CA9F, "brclampstepdamage" },
    { 0x7C8642689E8AD816, "brcleanuptime" },
    { 0x7C8C96075B9305E7, "brclearscoreboardstats" },
    { 0xF1056DC5A1EECFDF, "brclosealldoors" },
    { 0x43416979B621A476, "brcrateactivatecallback" },
    { 0x8DF24EEAC0A7CFB9, "brcratecapturecallback" },
    { 0xF05E2C68659E981D, "brdisabledamagestattracking" },
    { 0xFDE5CB437E725670, "brdisablefinalkillcam" },
    { 0x2D3DF9EC284E2792, "brdoesloadoutoptiongivecustomweaponsimmediately" },
    { 0x71D743DAE3CFC7D7, "brdoesloadoutoptiongivestandardloadoutimmediately" },
    { 0x15E10A5491D70B22, "brdoesloadoutoptionrequireclassselection" },
    { 0x691AE0567041BAAA, "brdoesloadoutoptionusedropbags" },
    { 0x680BC5952E525B1C, "brdownedbyairstriketime" },
    { 0x8DED5038C2FDB36B, "brdpadcallback" },
    { 0x03093BCEA822BD75, "breach_anims" },
    { 0x6A23242871FC101B, "breach_anims_jumpto" },
    { 0x674E71AE53B0C519, "breach_bomb_detach" },
    { 0xEF4C4212C4670C8E, "breach_door_scene" },
    { 0xB444645085386042, "breach_doors" },
    { 0x30FA0CAA375F40B7, "breach_explosion_fx" },
    { 0x2B8C9329CB5490FE, "breach_gate" },
    { 0xA454C39BF5794E6F, "breach_gate_nag" },
    { 0x47079264CAB76A66, "breach_good_vo" },
    { 0x537DC7DC39E08AB3, "breach_hint_func" },
    { 0x63155476F3A9F49B, "breach_into_courtyard" },
    { 0x736E00EE9035C3F9, "breach_trigger_time" },
    { 0xC6DD02DD66C5870F, "breach_use_func" },
    { 0xB6AE45B7801087C9, "breachanimlength" },
    { 0x51F59B554B4C8B04, "breachdoor" },
    { 0x3E71C108E65B42ED, "breached" },
    { 0x9CC002F732AF3630, "breached_gate_catchup" },
    { 0xB333A97CCFFEA2DA, "breached_gate_start" },
    { 0xD7BE0F9F403B1169, "breachernum" },
    { 0x32440380CAEBE338, "breachindex" },
    { 0x72E27C926D6663BC, "breaching" },
    { 0x486D25E6952C64F2, "breachmonitor" },
    { 0x072C55E87C779293, "breachpoints" },
    { 0x15BFED593FF42C7E, "breachusetriggers" },
    { 0x447E33771108ED30, "breacting" },
    { 0x8DFDCD0850C5680A, "bread_crumbs" },
    { 0xBD166A3BB6427CB8, "breadcrumb_objective" },
    { 0x367ACBF5AA78F5AB, "breadcrumb_update_func" },
    { 0x0CD4E275F590B247, "breadycomplete" },
    { 0xEA73BA39C6D8A655, "break_catchup" },
    { 0xDCE56D9B79F88C96, "break_cover_after_breached" },
    { 0x325B7A9C7BEDEB1D, "break_door" },
    { 0x6EA712F28C6F9E5E, "break_final_catchup" },
    { 0x1C153DB8054FEC31, "break_final_main" },
    { 0x43B655B67A14640C, "break_final_main_wegame" },
    { 0x34F3AFE75C13C7D8, "break_final_start" },
    { 0x489DB297E85D3848, "break_flags" },
    { 0xCD54CCBFA89D490F, "break_glass" },
    { 0xE5DBC5DEA42CBDC0, "break_glass_on_traverse" },
    { 0xA5611805C1F9174F, "break_intro_main" },
    { 0x5A965A60426F743E, "break_lock" },
    { 0x0D1899350B8CFCA9, "break_orders_catchup" },
    { 0xD062CDF9A0E2A290, "break_orders_main" },
    { 0x34AACCF97A514227, "break_orders_start" },
    { 0xE22764BD0EA7A1BC, "break_out_of_disguise_loop" },
    { 0xA1119824C1AC7730, "break_pc_on_damage" },
    { 0x552020DB387D0147, "break_player_out_of_anim" },
    { 0x23DE2C50C6E9C0E0, "break_precache" },
    { 0xA1E42C75217E1362, "break_setup" },
    { 0x91BD46D48E7F4A63, "break_start" },
    { 0x51A7B867CB4A50FA, "break_stealth_for_anyone_near" },
    { 0x3E124F5A67107B65, "break_waterboard_catchup" },
    { 0x32B20681C98C0084, "break_waterboard_main" },
    { 0xB34D6C52FB81F913, "break_waterboard_start" },
    { 0xF2698C60B5AD0CCE, "break_window_glass" },
    { 0x9E354030E5E08585, "breakable_gate_clip" },
    { 0x7CAEA3BA2669272E, "breakanimref" },
    { 0x17B5F1BC15708FB5, "breakanswer1" },
    { 0x17B5EEBC1570891C, "breakanswer2" },
    { 0x17B5EFBC15708B4F, "breakanswer3" },
    { 0x17B5ECBC157084B6, "breakanswer4" },
    { 0xFF94F60F95C67D63, "breakarmor" },
    { 0x6EBE9C08FBB7E4C3, "breaker" },
    { 0xE3A79C910B5DECD4, "breakerstate" },
    { 0x08B23E83F6F067CD, "breakgasmask" },
    { 0xC6E9BB5121E87FDD, "breakgasmaskbr" },
    { 0x4728FB627EF73961, "breakhelmet" },
    { 0xD64482C1FFE1AEF8, "breakout" },
    { 0xEAF10C19A45BADC4, "breakout_to_color" },
    { 0xB2EBA1863DC67A40, "breakout_wait" },
    { 0x70648A20857665EA, "breakuserangesqr" },
    { 0x8D513943F51B1FC6, "breath_fade_delay" },
    { 0xECEFEA098750775F, "breath_fx_thread" },
    { 0x2A1B5FC9C68766B6, "breathdeck" },
    { 0x7369A7252FB4615C, "breathingmanager" },
    { 0xA2D04FACF2B5C5F4, "breathingstoptime" },
    { 0x0C8A1F54D2F3E833, "breathlevel" },
    { 0x00EF17FF3157A444, "breathloopdeck" },
    { 0xA2769C9BC1EEC2E1, "breathoverlay" },
    { 0xAA73C1E4A78DF3BD, "breathranouttime" },
    { 0x03EA9A07F1B51390, "breaths" },
    { 0x5E09F70694C81F0B, "breathviewoffsets_accell" },
    { 0x096D7F5924D41DC3, "breathviewoffsets_accellcycle" },
    { 0xB5D99FA6FC8EBD44, "breathviewoffsetslogic" },
    { 0xE5C0E6D94D9D5C10, "breload" },
    { 0x702FDFACD318C6C4, "brenableagents" },
    { 0x8F48C4940855CA4C, "brendgame" },
    { 0xB67DDFFBEA78789E, "brevent1" },
    { 0x33F017FA9E2137B1, "brevent1playerthink" },
    { 0x9741FFD95EB3AD03, "brevent1playervalid" },
    { 0xB67DDEFBEA78766B, "brevent2" },
    { 0xB67DDDFBEA787438, "brevent3" },
    { 0xB67DE4FBEA78839D, "brevent4" },
    { 0xD1691B91F853D792, "breventflagclear" },
    { 0xE4766D17DF4315F3, "breventflagset" },
    { 0x23F2CCA35A53BF6A, "breventsinit" },
    { 0xE79BD6EA86140FE9, "brexfilanimname" },
    { 0x6B0DBF939B653E13, "brgametype" },
    { 0x38E6923ECD69F667, "brgetloadoutammomax" },
    { 0x83E7841EEF26FDB4, "brgetloadoutammomultiplier" },
    { 0x0B2338A268454537, "brgetloadoutdropbagsdelayseconds" },
    { 0x957EB05FF8936130, "brgetloadoutoptionforname" },
    { 0xAB6EE54F000A1D95, "brgetloadoutoptionstandardloadoutindex" },
    { 0xB03767B4F0C97D1A, "brgetoperatorteam" },
    { 0xEDB722C36D21AADC, "brgivestartfieldupgrade" },
    { 0x8769E3F603260314, "brgulagdamagefilter" },
    { 0x74B374915FAE7E06, "brhandleinvulnerability" },
    { 0x8C30EC52DA768742, "brick_hint" },
    { 0x4F16569ED19D4431, "bridge_blocker_1" },
    { 0x4F16539ED19D3D98, "bridge_blocker_2" },
    { 0x94D5210C52D750B9, "bridge_blocker_friendlies_spawn" },
    { 0x2C308779BEB0B6F8, "bridge_blockers_delete" },
    { 0x3F4AC9972AFC7845, "bridge_catchup" },
    { 0xFF2B7B66FE98F3F0, "bridge_crawlers" },
    { 0xF40759D6933E98E2, "bridge_guy_setup" },
    { 0x8E7CA191911ED190, "bridge_guys_die" },
    { 0x9A06AD5F997061E4, "bridge_main" },
    { 0xCEC89C5CD2721219, "bridge_one_death_func" },
    { 0x0B0194E2C3924247, "bridge_overseer_handler" },
    { 0x4CC43B507F3DC168, "bridge_stair_up_combat_think" },
    { 0xAE44D6E9976BCCF5, "bridge_stair_up_enemy" },
    { 0x4E671D92472990F3, "bridge_start" },
    { 0x86936788DB645A42, "bridge_start_struct_index" },
    { 0x400B0DEA3FF517CB, "bridge_tank_move_sfx" },
    { 0x9CC5AFB59F097FEA, "bridge_tank_shoots" },
    { 0xDF049F27FD959B65, "bridge_three_death_func" },
    { 0x3378A87ACEB7BE23, "bridge_two_death_func" },
    { 0x8947BF35526F1501, "bridgedompoint_onuse" },
    { 0x87307D89F1DB46DD, "bridgeobjectiveindex" },
    { 0x963EB5DF373448C8, "brief_color_disable" },
    { 0x8E06097712627F1F, "brinfilsmokesuffix" },
    { 0x037208F6D4A5B79F, "brinit" },
    { 0xFA2DD066B248ED18, "brinitloadoutoption" },
    { 0x66A5B7BBD2C87C8C, "briotshieldinitialized" },
    { 0xD790C2E3A3D40625, "briskillstreakallowed" },
    { 0x5A9DD58C247A517F, "brjugg_cleanupents" },
    { 0xE65C25B2686AE0B8, "brjugg_dropfunc" },
    { 0x1C28769E1A8C883B, "brjugg_dropondeath" },
    { 0x9BDF7A2D601C47C4, "brjugg_droponplayerdeath" },
    { 0xD23465EC002E6155, "brjugg_initdialog" },
    { 0x7C981C555DA4DC94, "brjugg_initdroplocations" },
    { 0x3BDDD98AA78FAE89, "brjugg_initexternalfeatures" },
    { 0xE75F4BAF4F2512EE, "brjugg_initfeatures" },
    { 0xF49F9B7DAD5C54B2, "brjugg_initpostmain" },
    { 0x1E8023C193F307D4, "brjugg_managedeliveries" },
    { 0x501C23D59E3CCE44, "brjugg_oncrateactivate" },
    { 0x2F6F5D03BCCA2771, "brjugg_oncratedestroy" },
    { 0x40A17CE52C00CBD0, "brjugg_oncrateuse" },
    { 0x52B470D6E6ABE9BA, "brjugg_onplayerkilled" },
    { 0xABCA06A5AAC6129E, "brjugg_ontimelimit" },
    { 0x70CB3DEAEDD8A055, "brjugg_playerwelcomesplashes" },
    { 0x12EF7F3E856F834F, "brjugg_setconfig" },
    { 0x14D2640951C7947F, "brjugg_setjuggwatchers" },
    { 0xB60CB203D5F38BED, "brjugg_startdelivery" },
    { 0x300865564E4A9666, "brjugg_watchgasdamage" },
    { 0x5CF22C1F325F9A99, "brjugg_watchheatreduction" },
    { 0x338D3898597AE786, "brjugg_watchoverheat" },
    { 0xE881BB07E901BAD1, "brjugg_watchplayercounttostart" },
    { 0x6E283D2935F5C1BB, "brjugg_watchstartnotify" },
    { 0x5E682994487A2CF5, "brjugg_watchtimerstart" },
    { 0x8AE622298B741B56, "brjuggernautcrateactivatecallback" },
    { 0xED27FAA739BBC419, "brjuggernautcratecapturecallback" },
    { 0x8E418BBC32DAB149, "brjuggernautcratedestroycallback" },
    { 0xEAE81C748AD91DD3, "brjuggernautcratephysicsoncallback" },
    { 0xD3EC27AC893AFF67, "brjuggsettings" },
    { 0x65461A42A3A648D0, "brkickedfromplane" },
    { 0x6AA7EA471178FA9E, "brkillchainchance" },
    { 0x2FFF2DAF3B703583, "brkillstreak" },
    { 0x78C9D1D155F655ED, "brkillstreakbeginusefunc" },
    { 0x05D54BC3E86DCA49, "brkillstreakhudicon" },
    { 0x57159990051AD3E6, "brkillstreakhudlabel" },
    { 0xE4D48FD1AC5EA662, "brking_addtoc130infil" },
    { 0x313A584E6F2D91AF, "brking_cleanupents" },
    { 0x54A0F31FD308B3C2, "brking_createc130pathstruct" },
    { 0xF30DB7E85CED3675, "brking_getcenterofcircle" },
    { 0xF850517F536BBE49, "brking_getcirclepercentmoved" },
    { 0xA5D335E751BF17F5, "brking_getrandompointinmovingcircle" },
    { 0x2F21E75643FB9332, "brking_getspawnpoint" },
    { 0xDDB9B9DA4934D881, "brking_givepoints" },
    { 0x804ED6598369EA05, "brking_initdialog" },
    { 0xC184151828B6ECD9, "brking_initexternalfeatures" },
    { 0xA0743B0168F79B5E, "brking_initfeatures" },
    { 0x5CEA11EEA150C482, "brking_initpostmain" },
    { 0x3627039BFCB76DAE, "brking_ispointinmovingcircle" },
    { 0x4F3D32522BC03EAD, "brking_kickplayersatcircleedge" },
    { 0xDD31AB4BEF21643D, "brking_managecircles" },
    { 0xB49036257AC15A3B, "brking_managecratedrops" },
    { 0x02D34CEA81F95D1E, "brking_movenextcirclecenter" },
    { 0x00AC75110534CCA0, "brking_oncrateuse" },
    { 0x4E4E7E7BEB44D4FF, "brking_onplayerconnect" },
    { 0xBEC68CC57D684CAA, "brking_onplayerkilled" },
    { 0x5D825E549956BE4E, "brking_ontimelimit" },
    { 0xEE30320B78E4D485, "brking_playerwelcomesplashes" },
    { 0x0458D70F1598FD84, "brking_rankupdate" },
    { 0x5BC2FC3F91A42EC3, "brking_updateteamscore" },
    { 0x635C3DA390E1569C, "brking_watchcircletimers" },
    { 0x10B6D4DC7739A6AD, "brlatespawnplayer" },
    { 0x4981159A65026BB0, "brleaderdialog" },
    { 0x743BD740E3C05CA5, "brleaderdialogplayer" },
    { 0x6E8B69D628F45CC9, "brleaderdialogteam" },
    { 0x67B32D8148065138, "brleaderdialogteamexcludeplayer" },
    { 0xFEE3048D1F50CB88, "brloadoutcrateactivatecallback" },
    { 0xA656739B486A84C7, "brloadoutcratecapturecallback" },
    { 0x8C08FF0A0E367D6B, "brloadoutcratedestroycallback" },
    { 0xECE6697BE4C76234, "brloadoutcratefirstactivation" },
    { 0x2ADB1EDD5AB77042, "brloadoutcratepostcapture" },
    { 0x89F2D836F0879BCC, "brloadouts" },
    { 0x4F1A458A88D81DE0, "brloadoutupdateammo" },
    { 0x70D692C29ED9CF3A, "brloot_ammo" },
    { 0xFCF94A4092483AD7, "brlootcache" },
    { 0x4C6FF687B62CB10A, "brlootcache_init" },
    { 0xF014D90AFF562303, "brlootchoppercrateactivatecallback" },
    { 0x8D6BB50A76897D7A, "brlootchoppercratecapturecallback" },
    { 0xFA420E1E36B4859E, "brlootchoppercratedestroycallback" },
    { 0x01C18290EA4B2726, "brloottablename" },
    { 0xCD238B76567A0C27, "brmapselectionafk" },
    { 0x32C47BFD01CB7273, "brmatchstarted" },
    { 0xE592C258B09BB496, "brmayconsiderplayerdead" },
    { 0xB031DB6827B2B76E, "brmini_addtoc130infil" },
    { 0x4CC7792C77FDEFC3, "brmini_cleanupents" },
    { 0x41A6727528E49DAE, "brmini_createc130pathstruct" },
    { 0x78CF1A407DDECA69, "brmini_initdialog" },
    { 0x5423E65F3FF9749D, "brmini_initexternalfeatures" },
    { 0x69511A395193EF3A, "brmini_initfeatures" },
    { 0xA2A06DB207FF9E56, "brmini_initpostmain" },
    { 0xDA8BF0C9880CC6B1, "brmini_kickplayersatcircleedge" },
    { 0x9EA1B4B26B37E30A, "brmini_ontimelimit" },
    { 0x14185948EE1E41E1, "brmini_playerwelcomesplashes" },
    { 0xD2C1F85B2D09E267, "brmissionscompleted" },
    { 0x2A4A25F144702EFF, "brmissiontypescompleted" },
    { 0xDE5449C17B61591C, "brmodeaddtoteamlives" },
    { 0xBC6C12181D7A3F0A, "brmoderemovefromteamlives" },
    { 0xAC098D6DD60062A6, "brmodevalidatekillstreakslot" },
    { 0x69F8A3A6CA0E9F42, "brmodevariantrewardcullfunc" },
    { 0xCCA5AA7EE383FD8B, "brmodifyplayerdamage" },
    { 0x2EBEF0FA564FD640, "brmodifyvehicledamage" },
    { 0xAA8231AE555CF8B5, "brneverlanded" },
    { 0xB6409903C145F00A, "bro" },
    { 0x3C22F95B3E2FD59C, "broadcast_armor" },
    { 0x2F8AA6A77F076F1F, "broadcast_carry_items" },
    { 0xEEBC11BBE72369CE, "broadcast_currency" },
    { 0xF9367EA5E3587557, "broadcast_health" },
    { 0xC754D9495AB33791, "broadcast_role" },
    { 0xAAC68A32BEF6F2A7, "broadcast_status" },
    { 0xA968FE6F03A1FA0E, "brodeodisabled" },
    { 0xC4EE6262699840D3, "brodeohintdisabled" },
    { 0xC37A3E0A1402B0DF, "brokearmorvest" },
    { 0x292A8577CFB2F3FF, "brokehelmet" },
    { 0x2B6D2076CADCAF95, "broken_pos" },
    { 0x56DEAC036F72147B, "bronattackerdamagenottracked" },
    { 0xD5A4552077FFCDB6, "bronloadoutcratedestroyed" },
    { 0x97A10E5AEA997BB5, "bronzescore" },
    { 0xE3B95B8527C50C44, "bronzetime" },
    { 0x9A5D64054C2C7EFD, "broshotepictauntprops" },
    { 0x513457D08A3DEABD, "broshotepictauntsubprops" },
    { 0x8C3899D18C9D82D7, "broshotfirstcamblends" },
    { 0x82468BC4345E2C7C, "broshotintrodone" },
    { 0x31ECF290D50AB871, "broshotrunning" },
    { 0xFFDF0737E8635999, "broshottauntqueue" },
    { 0x11827CE5E1E21323, "broshotwinnersgoodguys" },
    { 0xBDDD5F44356E42D7, "brouteforward" },
    { 0xC215DC6508689BA7, "brpickupscriptableid" },
    { 0x8C79083B132D5ABA, "brpickupsusecallback" },
    { 0x7B513E9EC1C86713, "brplacementchallengeallowed" },
    { 0xE8E9ECB9E576FC61, "brplayerhudoutlinedelayedhide" },
    { 0x548DB217D5C17555, "brplayerhudoutlineforteammates" },
    { 0x105BF63C86106A48, "brplayerhudoutlineforteammatessafe" },
    { 0x442DF902A44A17E4, "brplayerhudoutlineforteammatesupdate" },
    { 0x48B91CE2A98D57A5, "brplayerhudoutlineupdatefromnotify" },
    { 0xB2E7D0A42B3E61E0, "brplayerkilledspawn" },
    { 0x358CC9094695707A, "brprematchaddkill" },
    { 0x48F389475238E2AD, "brprematchclearkills" },
    { 0x0392099DE90A6C8A, "brpreplayerdamaged" },
    { 0xB5399E15EBD6AFB0, "brprewaitandspawnclient" },
    { 0xC5355899BD5DF52C, "brprewaitandspawnclientcleanup" },
    { 0x5FAB3F4307D52393, "brradialspawnorigin" },
    { 0x4217CBF4F807B70B, "brrebirth_brmayconsiderplayerdead" },
    { 0xDEA31C32CDB0FE50, "brrebirth_cleanupents" },
    { 0x5613D0560AC4C87C, "brrebirth_initdialog" },
    { 0x8875C46A2F3DD6C4, "brrebirth_initexternalfeatures" },
    { 0x58C8F5FE3102231B, "brrebirth_initfeatures" },
    { 0xD87FB5AFFD3E051F, "brrebirth_initpostmain" },
    { 0xBDE029C398A7D3BD, "brrebirth_ontimelimit" },
    { 0x0A10B652F212B5AD, "brrebirth_playernakeddroploadout" },
    { 0x2C05F5D468DF167E, "brrebirth_respawn" },
    { 0x878929686E6B8D8E, "brrebirth_triggerrespawnoverlay" },
    { 0x5ABB996668B98125, "brrebirth_tryrespawn" },
    { 0xEFB08A0E590F0DFC, "brregendelayspeed" },
    { 0xCD3159628D7EC417, "brregenhealthadd" },
    { 0x96C9597EEDAA05B4, "brsingleuse" },
    { 0xCFBFE3F58B420BE7, "brskipplayerkillcams" },
    { 0xE45B2EEEED6F9F15, "brspawnplayersending" },
    { 0x178F9C2E68525E33, "brtdm_config" },
    { 0xB082573BEE48B23D, "brtruck_cleanupents" },
    { 0xEC79761FD8639D13, "brtruck_initdialog" },
    { 0xE0BCB538A6A1D40B, "brtruck_initexternalfeatures" },
    { 0xF64289ABE01CB788, "brtruck_initfeatures" },
    { 0x2144F6E8A0CD30AC, "brtruck_initpostmain" },
    { 0xCCE08325A1D85484, "brtruck_ontimelimit" },
    { 0xF2A4700E63DDB487, "brtruck_playerwelcomesplashes" },
    { 0x897F32426B31D06F, "brush" },
    { 0x55C99BB9F65DC82B, "brush_delete" },
    { 0xEC1BE7DB41693789, "brush_show" },
    { 0xAA96CE30DA65F105, "brush_shown" },
    { 0xC5A3F0EE3B14A2E8, "brush_throw" },
    { 0x9F15F04D2524900C, "brushmodel" },
    { 0x0BCACE828FDFC4C6, "brutefirstspawn" },
    { 0xD06420EB3A1BC066, "brvalidatekillcam" },
    { 0xE27AF1F7C1B8E5BD, "brvehicleonprematchstarted" },
    { 0x4E0AA99965476B12, "brvehiclesinit" },
    { 0xD6A4773785DD5431, "brvehiclesonstartgametype" },
    { 0x041E609A6C661292, "brvehiclespawnvolreset" },
    { 0xC0F6F85C3C22DCAF, "brvehiclesreset" },
    { 0x8FA2348B2031B1C1, "brvehspawnvols" },
    { 0x03D12EF78A3B7362, "brvictiminlaststand" },
    { 0x7338C9BDF9AD28D3, "brwasinlaststand" },
    { 0x31E38BD8D978CEAA, "brwatchforminplayersmatchstart" },
    { 0xB6D37D2D8454AC2F, "bshockactive" },
    { 0xDACDEAD3CB562A6E, "bshootidle" },
    { 0xF080D901C6765DE1, "bshouldattemptdive" },
    { 0x2BB59F9BBFCF19EB, "bshouldoccupantsbeignored" },
    { 0xFDECADB6D577EF09, "bshouldreturnvalue" },
    { 0xD55F6B1D461C5256, "bshouldstop" },
    { 0x72F5BD5C24FFAA2A, "bskipplantsequence" },
    { 0x59A66070899BC422, "bskipstartcoverarrival" },
    { 0xF54D672FECBAACDA, "bsmstate" },
    { 0xB66F5AB049691831, "bsoldier" },
    { 0xB74C4C1158029AC2, "bsoundlooping" },
    { 0x7E260FB65CAB9C8C, "bspawningviaac130" },
    { 0xD3F9B64102AA93CA, "bstarted" },
    { 0xB69EB46C04C00CB5, "bstayincombatoncealerted" },
    { 0x14E786B3F743C387, "bstrafeenabled" },
    { 0xCE1C3D78F56E2E07, "bt" },
    { 0xA3DEDCD5F15D07F7, "bt_createinstance" },
    { 0xE9322B0E894A9511, "bt_createtasktree" },
    { 0x657A494FFDA003EC, "bt_escaping" },
    { 0x75CF8E51D75E81F9, "bt_event_combat" },
    { 0x219185E04E09441D, "bt_event_cover_blown" },
    { 0x055747C91E2F93C3, "bt_event_handler_severity" },
    { 0xD74D141DB68E354C, "bt_event_investigate" },
    { 0x5264C1E31D62FDC8, "bt_eventlistener" },
    { 0xF54702D9647DE1F4, "bt_finalizebehavior" },
    { 0xB31D08F170CFD8C9, "bt_finalizeregistrar" },
    { 0xB47ABD2E56DF3142, "bt_getchildtaskid" },
    { 0x0EB492E68F2E266F, "bt_getdemeanor" },
    { 0x1A68F5756A96C2BC, "bt_getfunction" },
    { 0xA2EF43CE0986967E, "bt_gettaskfuncargs" },
    { 0xB90153B13FF6E01A, "bt_init" },
    { 0xFA4ABCB0906864D1, "bt_initactions" },
    { 0x9745A68F0A46D68F, "bt_initnodetypes" },
    { 0x9ECE81E41D8B4B4E, "bt_initroot" },
    { 0xB2B2952C4EF152F8, "bt_istreeregistered" },
    { 0x920236D10E33DE88, "bt_nativecopyaction" },
    { 0xDB0B3ABBC815A04C, "bt_nativecopybehavior" },
    { 0xBF1615985479648C, "bt_nativeexecaction" },
    { 0x825E718FDD77D288, "bt_nativefinalizeregistrar" },
    { 0xD4309DBF665DAC3F, "bt_nativeistreeregistered" },
    { 0x287408FF975AD53C, "bt_nativeregisteraction" },
    { 0xF4984CC3C62DE390, "bt_nativeregisterbehavior" },
    { 0x14430CE783976731, "bt_nativeregisterbehaviortotree" },
    { 0x8183B97955F9F05A, "bt_nativeregistertree" },
    { 0x5673490F5C752438, "bt_nativesetregistrar" },
    { 0x718EE73EC304817A, "bt_nativetick" },
    { 0xE1AC9189FA3BCA1B, "bt_negateresult" },
    { 0x5CF8598FC0B3F5B3, "bt_registeraction" },
    { 0x9F6BF972D79C896B, "bt_registerbehavior" },
    { 0x1CE3ED420DD8BC6A, "bt_registerbehaviortotree" },
    { 0x5F987F92C0F93EA8, "bt_registerprefabtaskids" },
    { 0x7DE9791C4B6C9FCD, "bt_registertaskargs" },
    { 0x2848A21962C6F519, "bt_registertree" },
    { 0xECFBDC510662D42A, "bt_set_stealth_state" },
    { 0x236DB31A6CE2793F, "bt_setregistrar" },
    { 0xB5DAB5250C457928, "bt_terminateandreplace" },
    { 0x082B3DD23A791653, "bt_terminateprevrunningaction" },
    { 0x0E6C6A2B76F5B365, "bt_tick" },
    { 0x84BA8F9AA0CCE45B, "btargetlastknown" },
    { 0x1358495F414AB8D3, "bteleported" },
    { 0x93CC7C02C35AB50A, "btestclient" },
    { 0x27B796E421383033, "btgoalheight" },
    { 0x4F083C5EDB6DD0BE, "btgoalradius" },
    { 0x6979E1A94FBE945A, "btgoalvalid" },
    { 0xD5836FEF798AA3E3, "bthrowgrenade" },
    { 0xB6499B03C150131E, "btm" },
    { 0x81E822BBA34D6B72, "btmextraprimaryspawnpoints" },
    { 0xD26DA765384EE887, "btmflagobject" },
    { 0x32D46C25C39DF30C, "btmjuggcrate" },
    { 0x32589A49FC2A2EE1, "btmjugginfo" },
    { 0x1693FF5EFBA97F78, "btraversing" },
    { 0x85916F21A6102190, "btreeorient" },
    { 0x866EF0680E03FE86, "btregistertree" },
    { 0x9B42BF283F649C41, "btregistertreeinstance" },
    { 0xDAAB355744B83BDB, "btstate_addsubstate" },
    { 0x48F3B336EACF0102, "btstate_clearsubstates" },
    { 0x8D1949824D1AEEA0, "btstate_endcurrentsubstate" },
    { 0xFFAA4F97A2D88AD4, "btstate_endstates" },
    { 0xEF81E9D3D9E909DF, "btstate_getcurrentsubstate" },
    { 0xF2C700F383E9D90C, "btstate_getsubstate" },
    { 0x26273E76FFDC351B, "btstate_setupstate" },
    { 0x4A2D3D02354FBE4E, "btstate_tickstates" },
    { 0x473D83F2A79B07D7, "btstate_transitionstate" },
    { 0x0E16BCD3034A5F69, "btterminatetreeinstance" },
    { 0x1CF2C025BD3B8056, "bttick" },
    { 0x0832A42FD549AE3B, "bucket" },
    { 0xCA6E0E814B6CF5C9, "bucket_terminator" },
    { 0xFF2B6C525E1490DB, "buddy_boost" },
    { 0xEA7C011BC435B6F7, "buddy_boost_restart" },
    { 0x3EE7CA80349DD60C, "buddy_down" },
    { 0x34C0E437DB629A25, "buddy_down_damage_thread" },
    { 0xA3EF90EA06708927, "buddy_down_dialogue" },
    { 0xFA7C634B4D0FCBCB, "buddy_down_door_damage" },
    { 0x1DABA052DEA3D7DA, "buddy_down_dropgun" },
    { 0xF9B11BF60A40BF9D, "buddy_down_enemydead_interrupt" },
    { 0x784CC888AF7D668F, "buddy_down_gunner_damage_thread" },
    { 0x28D740935F95DA2F, "buddy_down_gunner_death" },
    { 0x30AD7FDB275B3D27, "buddy_down_gunner_flashed_thread" },
    { 0x9D8B0C0E724A70C5, "buddy_down_player_engaging_early" },
    { 0xF87B11F46B14AB8A, "buddy_down_price_anim" },
    { 0x6ED1D189980C324D, "buddy_down_remove_playerclip" },
    { 0xA97564065214CF92, "buddy_down_skip_move" },
    { 0xCBA8648D66772437, "buddy_down_skip_post_clear" },
    { 0xEF7012E8E730EB5C, "buddy_down_skip_setup" },
    { 0x38FFE0C4EE5A1362, "buddy_down_trigger_damage_ondamage" },
    { 0x432B072FA4C3FD75, "buddy_down_trigger_damage_onflashbang" },
    { 0xA9A551DE9051A0C6, "buddy_down_two_enemy_dead_thread" },
    { 0xF59788A03E309903, "buddyplayerid" },
    { 0x07FD3534F1CFE3C0, "buddyrevivingdoneanimevent" },
    { 0xB57974E1519CD5BA, "buddyspawn" },
    { 0x402BCEC284297CB7, "buddyspawnid" },
    { 0x1F38C83799457173, "buddyspawnplayer" },
    { 0x03355B34A202E453, "budgetedents" },
    { 0x60F8CFB22C8E10E5, "budy_death_watcher" },
    { 0xB89BE3C121ACE3C2, "buffedbyplayers" },
    { 0xFAD1F4C6B915BC46, "buffered" },
    { 0xD3C1F56534761059, "bufferedammoboxdata" },
    { 0x98E6FE65905BD625, "bufferedbestscorestats" },
    { 0x4C330FB8558DA2AF, "bufferedchildstats" },
    { 0x8653582A5E656507, "bufferedchildstatsmax" },
    { 0xFAB11A5D0C05DD9A, "bufferednotifications" },
    { 0xD2879A7A90B853F3, "bufferednotify" },
    { 0x9F6966E32D3E742D, "bufferednotify_internal" },
    { 0xBD04DA80E8365A3D, "bufferedstats" },
    { 0x2DEEF828C6DBD3E1, "bufferedstatsmax" },
    { 0x3B420CFED994F15D, "bufferedstatwritethink" },
    { 0x5170616DD5112E1F, "bufferedweapons" },
    { 0x6421956F144E8BD6, "bug_out" },
    { 0x05E878D9B3725F9D, "bug_test_move_startpoint" },
    { 0x145F8E771D2613A9, "bugoutontimeout" },
    { 0xBF9888DE9167BE7F, "build_ace" },
    { 0x3144536C4D4E5CDC, "build_aianims" },
    { 0x386346D35BBF3F6A, "build_all_treadfx" },
    { 0x1CC5B4C0E52FE027, "build_atmo_types" },
    { 0x97AC1DFE7FDA2318, "build_attach_models" },
    { 0x955D6CE546FC9F59, "build_bulletshield" },
    { 0xAF172A53C64B682E, "build_call_buttons" },
    { 0x5DEDAA80D29A3C29, "build_deathanimations" },
    { 0xFBBB56270BD3A6EC, "build_deathfx" },
    { 0x60EB790957578EAF, "build_deathmodel" },
    { 0x9F2A3241A597B13B, "build_deathquake" },
    { 0x43499719F2CCA36E, "build_destructible" },
    { 0xCCDB682A27C72E28, "build_drive" },
    { 0x3D6881F8E0501043, "build_elevators" },
    { 0xAB5A88C321087E3C, "build_enginefx" },
    { 0xD7A68D137D0AB342, "build_exhaust" },
    { 0xF58DF58A2C01690E, "build_fx" },
    { 0x281750DB0A7D63D3, "build_grenadeshield" },
    { 0xB344608833EF18E2, "build_hideparts" },
    { 0x8C4BDB35386F9142, "build_idle" },
    { 0xC086897D2C2A952F, "build_is_airplane" },
    { 0x9E6B76360B414210, "build_is_helicopter" },
    { 0x8D6E692779D9ED69, "build_landanims" },
    { 0xD5F36A78EFE43502, "build_life" },
    { 0x58CF80F784B5E004, "build_light" },
    { 0x7D47EE3324C3FB95, "build_localinit" },
    { 0xB082FB07344CE4AF, "build_mainturret" },
    { 0xD31567956C0440FD, "build_matrix_from_up_and_angles" },
    { 0x7E22EDD5D765D322, "build_mine_cart" },
    { 0x3757188FAA3B4253, "build_our_weapon" },
    { 0x148BA0E99F944F57, "build_path" },
    { 0xD4C15A7873D2509E, "build_path_from_script_linkto" },
    { 0x7621FAC97BDADC05, "build_playercontrolled_model" },
    { 0x5F568B7D8E4230D9, "build_quake" },
    { 0x90D0B5AC4886E9B3, "build_radiusdamage" },
    { 0x6D6BCC600179706C, "build_rebel_mask_lookup" },
    { 0x4A3374F2F04FE0A0, "build_rider_death_func" },
    { 0xA9EEF823BD1E84F3, "build_rocket_deathfx" },
    { 0xED678586719FCDD5, "build_rumble" },
    { 0xB551D5D577EA80C5, "build_semiace" },
    { 0x9533E025FD444CFB, "build_single_tread" },
    { 0x2193EB7AED80EF35, "build_tank_duration" },
    { 0x052D2BE5D274F85E, "build_tank_path" },
    { 0x4CCBF44C59B3DF69, "build_team" },
    { 0xAF2A8533BBF1379A, "build_template" },
    { 0x3EE23F0791C54F5E, "build_treadfx" },
    { 0xAB75A1C920EF0CDC, "build_truck_duration" },
    { 0x8B3368900E268BC3, "build_truck_path" },
    { 0x17D70CBEB585A6EA, "build_turret" },
    { 0xD99FB0D71DAF288E, "build_turret_struct" },
    { 0xA4F7636A5FE0CB3C, "build_unload_groups" },
    { 0x42BE54594945F743, "build_vehicle_drop_off_list" },
    { 0xFD4AA543EEDDF8C9, "build_vehicles" },
    { 0x0D67295E0FA82D7D, "build_weapon_name_func" },
    { 0x5179EA976FF260DA, "build_wheelson_duration" },
    { 0x72A31ECF9BB12311, "buildac130infilanimstruct" },
    { 0x078ECD34011C66D1, "buildandloadweapons" },
    { 0xB32CA95378F87185, "buildattachmentmaps" },
    { 0xF30077F9C9C5FD7E, "buildblueprintpickupweapon" },
    { 0x8DA1DA0D74246234, "buildhuntstealthgroupgraphdata" },
    { 0xD2441A2459372CA3, "buildhuntstealthgrouptransitiondata" },
    { 0x750D509CA05589AB, "building_expl_sfx" },
    { 0xB9D1D83131268940, "building_magic_grenade_damage" },
    { 0x424C384FEA39D859, "building_magic_grenade_kill_watch" },
    { 0x460188C0A2D7EFC8, "building_magic_grenade_watch" },
    { 0xC8B0C71BB286DA51, "building_magic_grenades" },
    { 0x7218BC2ED03C65CD, "building_push_start" },
    { 0x4D66CAAF978D719A, "building_rails_destroy" },
    { 0xDE3ED5EF73DAC6F6, "building_roof_chopper_reenforce" },
    { 0x1CFD057C30CCAEEA, "building_roof_chopper_reenforce_watch" },
    { 0x3509833EDD90265D, "building_roof_jugg_behavior" },
    { 0x166A576910C8D860, "building_roof_jugg_protect_roof_then_chase" },
    { 0x9688CCFAC1DB15BE, "buildkilldeathactionvalue" },
    { 0x393BE015BD1DF076, "buildloadoutindices" },
    { 0x5B35AFF988556FB7, "buildloadoutsforweaponstreaming" },
    { 0x5959ABF150096AF4, "buildloadoutstring" },
    { 0x17406CEEC257AFC8, "buildmeritinfo" },
    { 0xE33AAC2B7B7A4B54, "buildmerittableinfo" },
    { 0x47260622A494A54E, "buildpathextradata" },
    { 0x3B8E6AC8B3334267, "buildprimaries" },
    { 0x96663CBFC13344BE, "buildrandomattachmentarray" },
    { 0x37242DEF76718668, "buildrandomweapontable" },
    { 0xE4062E3B24EE1281, "buildrespawnlist" },
    { 0x6D80781544E3C471, "buildscoreboardtype" },
    { 0x9D5949717091098B, "buildsecondaries" },
    { 0x008A88781E052BBC, "buildspawnpointstatestring" },
    { 0x2DB659F51102DE34, "buildspecialdaypickupweapon" },
    { 0xC0D543CC9D60C165, "buildtripwire" },
    { 0x295726E9034E7162, "buildtripwiretrap" },
    { 0x7937A3647BB3228F, "buildweapon" },
    { 0x45F465D9F294DDAE, "buildweapon_attachmentidmap" },
    { 0x24AEDB2EDD6820EB, "buildweapon_blueprint" },
    { 0x66F8DCA9A9A2A52A, "buildweapon_blueprintwithcustomattachments" },
    { 0x20A1C0216312D7E1, "buildweapon_variant" },
    { 0xC484E0D3814D3662, "buildweaponassetname" },
    { 0x3743D8C4B6193A87, "buildweaponattachmentidmap" },
    { 0xEDB83FC77168835C, "buildweaponfromrandomcategory" },
    { 0x99CC4E5E06476FCF, "buildweaponmap" },
    { 0x83C014C7CF1ABA74, "buildweaponmaps" },
    { 0x960FC6AB000FA4CC, "buildweaponname" },
    { 0xC1CE0BC7FC9C907C, "buildweaponnamecamo" },
    { 0xEF1C0C1AE4068934, "buildweaponnamereticle" },
    { 0x30B4130A7A2ACD98, "buildweaponnamevariantid" },
    { 0xC34097C53639725B, "buildweaponrootlist" },
    { 0x918B91CB4F92604E, "buildweaponuniqueattachments" },
    { 0xF623497161AFD2F1, "buildweaponuniqueattachmenttoidmap" },
    { 0x61D25C03C1E745C2, "buildweaponwithrandomattachments" },
    { 0x1DF75402BF96E05A, "bulblength" },
    { 0x81CF4247F16875CC, "bulbradius" },
    { 0x1BE9694C046A6DAD, "bullet" },
    { 0x1131F22F47671EF3, "bullet_damage" },
    { 0x4A2EA3E17EA2FE88, "bullet_damage_scalar" },
    { 0xC72E6791EDB95733, "bullet_decal" },
    { 0x4A7FDD2C45F8690C, "bullet_feedback_init" },
    { 0xC553629455ED8993, "bullet_feedback_precache" },
    { 0x2FF7332E70E0CBCE, "bullet_fly_fast_to_target" },
    { 0x1D1C4FA9626CD084, "bullet_health" },
    { 0x996996945AD6EDF6, "bullet_hitshield" },
    { 0xB254B6C9C7A36C7B, "bullet_shield" },
    { 0xCEFD923D01D5751B, "bullet_show" },
    { 0xC8E7B6362F6E5239, "bullet_whizby_hud" },
    { 0x1938D12CF333282C, "bulletcount" },
    { 0xE4990919528C4F84, "bulletdrop" },
    { 0xB54F7CC0AB080C22, "bullethit" },
    { 0x0B013C87BA7AA724, "bulletkillsinaframecount" },
    { 0x92F33809BD30A1F5, "bulletoutline" },
    { 0xDDBCC506F3D34058, "bulletoutlineaddenemy" },
    { 0xCD8CFEE23B2A5C97, "bulletoutlinecheck" },
    { 0xD7FFC4F8AF9789D3, "bulletoutlineremoveenemy" },
    { 0x85A45A638ED2C879, "bulletpoint" },
    { 0xCCC0702DB60F9F3A, "bullets" },
    { 0x9C4340E874E4D7D5, "bullets_can_damage" },
    { 0x9BD7B8ABE6133D09, "bulletshielded" },
    { 0x86AAEF8401BF00BB, "bulletsinclip" },
    { 0xE0BAB9A60712857B, "bulletsinitialstate" },
    { 0x50FCD55FB71CC036, "bulletspread" },
    { 0xDB783B3EB3BD02E3, "bulletstormshield" },
    { 0xC7D25C900F7335FC, "bullettracer" },
    { 0xF2208081C964E37C, "bullettracer_hack" },
    { 0x2910BC97EE108E60, "bulletwhizby" },
    { 0x1AFA829747AB2301, "bulletwhizby_monitor" },
    { 0x47B9EEEE4AF7D6EE, "bump_weapon_onpickup" },
    { 0x7D83F69688274448, "bunker11_mistsdoors" },
    { 0x695959C80087E833, "bunker11_mistswindow" },
    { 0xAA1FA2BA3FEB4C40, "bunker11puzzleactive" },
    { 0x0942102D571C3E61, "bunker11vo" },
    { 0x9C40424C29DB31C3, "bunker_black_bars" },
    { 0xAE976BF3EA89C2EB, "bunker_black_fade" },
    { 0x7FB5AB00F3F80836, "bunker_blackoverlaylogic" },
    { 0xF64ADF2131544F01, "bunker_caption_vo" },
    { 0x6F085A5891410735, "bunker_catchup" },
    { 0x77F8E6BA8E309B4A, "bunker_cine_dof_settings" },
    { 0x19C58126E3C78628, "bunker_flags" },
    { 0xC64E6CC720D09878, "bunker_gas_mask_overlay" },
    { 0x5A013192FD53B935, "bunker_getallycovernodes" },
    { 0xAC83F024B2298AB4, "bunker_hint" },
    { 0x98B701365C0BC14D, "bunker_initinteraction" },
    { 0x0CFE625D5192C799, "bunker_loot_vaults" },
    { 0x3E6C56689E792654, "bunker_main" },
    { 0x1D31645E8BC972E0, "bunker_numberstation" },
    { 0x71C3C17DCAB8CEDF, "bunker_outro_fade" },
    { 0x2EA60D893DDE5D82, "bunker_outrologic" },
    { 0x67223743280867CE, "bunker_player_model" },
    { 0xB8B123630BC4E614, "bunker_remove_gas_mask" },
    { 0x8A0AACE52CCD87CC, "bunker_spawning" },
    { 0x674B15638EBFC143, "bunker_start" },
    { 0x61BAFC42369EF282, "bunker_waitforuse" },
    { 0x3A1AF0C5E73DD0FE, "bunkeralt_damagedeathdisconnectwatch" },
    { 0x51EA7C4945D5C55A, "bunkeralt_playeridlewatch" },
    { 0x62E815AE1BD3F0AD, "bunkeralt_playerinteractwithkeypadloop" },
    { 0xD31BB5217442E2CD, "bunkerblackoverlay" },
    { 0x6D6360DBA64E606C, "bunkercounteruav" },
    { 0xA86D88867315AD0D, "bunkerdoorleft" },
    { 0x2B6A11D9F35FED06, "bunkerdoorright" },
    { 0x81F3772699B98455, "bunkerinteriorkeypads" },
    { 0x6CDC600DAF7ED46C, "bunkermusicstarted" },
    { 0x5D0E8E346935B6A4, "bunkernum" },
    { 0x2630FCEE463A56C5, "bunkeropened" },
    { 0x8BCBD3CDBB2DA36A, "bunkeroutroblackoverlay" },
    { 0x3B2D15BFDA0B68DF, "bunkers_enter_watcher" },
    { 0xB0A545B881968E6D, "bunkers_kill_allies" },
    { 0x8F5FD551F5AFC727, "bunkers_main" },
    { 0x612CB5493C86F8FE, "bunkers_start" },
    { 0xDEB365522ABE2949, "bunkervaults" },
    { 0xDE39BD96AA4BA09A, "buried_background_conversations" },
    { 0x669D353F3DBBFAA7, "buried_black_fade" },
    { 0x99A8D6B1F0FCE431, "buried_catchup" },
    { 0x95C85ADFD5DA66C7, "buried_explosion_vfx" },
    { 0xAB5587949E8EF97F, "buried_heard_yells" },
    { 0x9FD177A8EE877856, "buried_hit_sequence" },
    { 0x37DAE241C4849ABA, "buried_intro_scene" },
    { 0xC42D1A20328EC432, "buried_kill_trigger" },
    { 0x9A0CB2C9F697B9C8, "buried_main" },
    { 0x632438F8319E0A3B, "buried_rebar_model" },
    { 0xB2A9F9653EC300D1, "buried_rubble_01_model" },
    { 0x74232A02A32CA9B8, "buried_rubble_02_model" },
    { 0x2292C141E92AD44F, "buried_rubble_03_model" },
    { 0xD0206A92E01BBD7E, "buried_rubble_04_model" },
    { 0xB8D134B2CF30FCE3, "buried_rubble_pile_rocks_model" },
    { 0x3021E4F3071B7A1D, "buried_rubble_setup" },
    { 0xBB503DFC6633811F, "buried_start" },
    { 0x6AA33CA4283129F7, "buried_start_vo" },
    { 0xC1591579D73489D2, "buried_struggle_rubble_hero_01_model" },
    { 0xB83B7DD9F11EE85F, "buried_struggle_rubble_hero_02_model" },
    { 0xB702CC952A956908, "buried_struggle_rubble_hero_03_model" },
    { 0xB4C327EE0376543D, "buried_struggle_rubble_hero_04_model" },
    { 0x3D43F11340A4DE0E, "buried_struggle_rubble_hero_05_model" },
    { 0xC5F2E13DFBD8436B, "buried_struggle_rubble_hero_06_model" },
    { 0x23278163F1A0C384, "buried_struggle_rubble_hero_07_model" },
    { 0xEC4B049758999DB3, "buried_struggle_rubble_model" },
    { 0x4A6253678313667D, "buried_transient_check_first_frame" },
    { 0x8894DAAAE7200206, "buried_unheard_yells" },
    { 0x69E3B92AD579DE31, "buried_vo_finished" },
    { 0x1C783BBEE1E0FFC7, "buried_wires_model" },
    { 0xD6820D8EE5F727AA, "buriedsunangles" },
    { 0xCD669966C90FAE82, "burn_death_overlay" },
    { 0xE55561B95E12A047, "burn_enemies" },
    { 0xE98BEE823B581E1B, "burn_notetrack_handler" },
    { 0x67A532A6A5EBC67D, "burn_player_if_goes_back_down_shaft" },
    { 0xA59D579AFC1EC0FA, "burndelaytime" },
    { 0x25A0611FDE12C3F9, "burndowntime" },
    { 0x98F9009E1C9C3373, "burnfxcorpstablefunc" },
    { 0x52C2FA7D6E5892E7, "burnfxenabled" },
    { 0x895C15EE1AC91544, "burnfxplaying" },
    { 0xABFE9078E2396964, "burnfxstates" },
    { 0x91CDE0694BF7B0A4, "burnfxsuppressed" },
    { 0x06849758B1018DB0, "burnfxsupressed" },
    { 0xAFDAB9AA312EE5B9, "burnid" },
    { 0xED060F4A2A3F69E4, "burning" },
    { 0x61BB1A728419111E, "burning_trash_fire" },
    { 0x91E9814D8793628C, "burningcar_indicator" },
    { 0x2EDBCB9D273109FF, "burningcarindicator" },
    { 0xE77E8537FAA020C5, "burningdirection" },
    { 0x78950592DE3636D0, "burningdown" },
    { 0x2E2BA52F6C988FE9, "burningid" },
    { 0xD78930C26E0AE618, "burninginfo" },
    { 0xC5D3DAE42D9E2ECD, "burningpartlogic" },
    { 0x966E2C02D2354A19, "burningstate" },
    { 0xBAFDB34CD394D215, "burningtodeath" },
    { 0xACA48C493EF53113, "burnsfx" },
    { 0xF8E2E1B758E97F88, "burnsfxenabled" },
    { 0x42487CC176A84391, "burnsource" },
    { 0x6406BD4909B35528, "burnvfx" },
    { 0x9706E755C90272C5, "burst" },
    { 0x000DF06288DD5012, "burst_fire" },
    { 0x88DEA369F5ECF3AA, "burst_fire_settings" },
    { 0xC0C2AFC46BE2AE61, "burst_fire_turret" },
    { 0x592382A3962FFE67, "burst_fire_unmanned" },
    { 0x101CB81E143EFE14, "burstcount" },
    { 0x9F546531801A4258, "burstdelay" },
    { 0x12F4243877987B8C, "burstfirenumshots" },
    { 0x7CC8FF4E48CA2119, "burstmax" },
    { 0x7CA5F14E48A3BA97, "burstmin" },
    { 0xDEEF15ACA83977B7, "burstshootanimrate" },
    { 0xAC64DB8AA7A45A57, "bus_anim" },
    { 0xFEDEFF36FF1C9E5F, "bus_animated_civs" },
    { 0x5A0E7AAA9E6FE69C, "bus_dialogue" },
    { 0x63C4A837A877ADD9, "bus_entered" },
    { 0xFEF53ED0C87906CC, "bus_terrorist" },
    { 0xDDB530576166A9E7, "bus_terrorist_dialogue" },
    { 0xEE2638FA5D00127A, "bus_terrorist_explode" },
    { 0x285D4CF6563E063C, "bus_terrorist_success" },
    { 0x66C1720B2098197E, "bus_terry_killing_logic" },
    { 0x734E7A7CA6740AD1, "busbpulledout" },
    { 0x755B41E9059A84A4, "busebackwardstrafespace" },
    { 0x4A29AC0B9E105C45, "busereadyidle" },
    { 0xCB52FFD8523F7AB1, "buseweakrockets" },
    { 0x18F9F3055CA865F8, "bush_concealment_monitor" },
    { 0x519DDA3074D80622, "bush_onplayerconnect" },
    { 0x4B1311115D357A22, "bush_trig" },
    { 0x2EF68613C438C576, "bush_trig_debug" },
    { 0xE660BF603E1901E7, "bush_zones" },
    { 0x026913BD67242B49, "busingcqbpoi" },
    { 0x9DBB3E71B54102E0, "butcher" },
    { 0x75BDB5227A131B0F, "butcher_dialog_struct" },
    { 0x3460289545521BA2, "butcher_hit_timing_handler" },
    { 0x338E7D78E2FA7E14, "butcher_son_dialog_struct" },
    { 0xEA50820C758C6875, "butcher_stayahead_chase_speeds" },
    { 0x76E92C7987C8A7CB, "butcher_wife_dialog_struct" },
    { 0x14F0951643E8F745, "button" },
    { 0x1D40CF792308D1B8, "button_combo" },
    { 0xFA7CAE20C1708E3F, "button_dof" },
    { 0x663F19FC2CF99C43, "button_interaction_thread" },
    { 0xB1DDC2D834153C60, "button_is_clicked" },
    { 0xED13115BA4F820D8, "button_is_held" },
    { 0x28CD391FC1F6D6B2, "button_is_kb" },
    { 0xE907DB0FD416359B, "button_notifies" },
    { 0x39635FBE491D192A, "button_parse_parameters" },
    { 0x3D0655FCDF1F9F7F, "button_sequence" },
    { 0xCE4B25493E3C428D, "button_sound" },
    { 0x63C930B25EB2BEAF, "buttonclick" },
    { 0xE6F2FDABF0083C02, "buttondebounce" },
    { 0x2B3E85C7B3767AF5, "buttondown" },
    { 0x3C0D0F9838EEBBA6, "buttonhelddown" },
    { 0x3BCDF6148C5F3D8E, "buttonisheld" },
    { 0x60366AFE990A02BF, "buttonmashcount" },
    { 0xE8A684DADB4604DA, "buttonmodel" },
    { 0x55014798455D51DC, "buttonnotify" },
    { 0xAF9FA42A66AF8827, "buttonpress_create_exploder" },
    { 0x916AE333E73DBA7F, "buttonpress_create_interval_sound" },
    { 0x39ACF4BD1FE58316, "buttonpress_create_loopfx" },
    { 0x44A07A4BD43C0F27, "buttonpress_create_loopsound" },
    { 0x1CC8D80459FCB4CA, "buttonpress_create_oneshot" },
    { 0x640E5038B2739C6E, "buttonpress_create_reactiveent" },
    { 0x8F5E8DA9CEEBBD45, "buttonpressed" },
    { 0x66412BFC004EFB03, "buttonpressed_internal" },
    { 0xF60F15F75957ABC2, "buttons" },
    { 0x8F51B4E78A07FA98, "buttonspressed" },
    { 0x85A03C158B0999E0, "buy_menu_closed" },
    { 0x493A1A5FFF0166BD, "buy_point_init" },
    { 0x31743FD516364151, "buy_point_loop" },
    { 0x3D56906EECC16EA5, "buy_point_think" },
    { 0xFF13A840D33E8027, "buy_points" },
    { 0xC10C3EC85BE900D3, "buy_points_objectives_handler" },
    { 0x27118B00479CEE00, "buyperkinslot" },
    { 0x80456D7233DC281C, "buystationsusepaddingdistribution" },
    { 0x76E38900C24ECE8B, "buystationtrig" },
    { 0xFDED3B0B1C2F9FD0, "buzzkill" },
    { 0x4D99894234AB4198, "bval" },
    { 0xA8F4584C97710BD9, "bvaultover" },
    { 0x6AFA97074B558274, "bvictimlinkstoattacker" },
    { 0x55C027EA3CA3165A, "bwaitingforteamselect" },
    { 0x6297FE1D00DC7A7C, "bwaituntilstop" },
    { 0x4784D88DCC3F5DC2, "bwantstostrafe" },
    { 0xC065B73B172BF506, "bwasjuggernaut" },
    { 0x7C772E1488D8D13D, "bypass_flags" },
    { 0x8589DA1DA5CBD207, "bypass_regular_enemy_setmodel" },
    { 0xAEFBB31F3E38DCC0, "bypassclasschoice" },
    { 0xD6C06C2D96B67076, "bypassclasschoicefunc" },
    { 0x830CF5A1F691C0A1, "bypassdbcheck" },
    { 0xAC0E534AC96A9676, "c" },
    { 0xCE177378F5687BF2, "c0" },
    { 0xCE177478F5687E25, "c1" },
    { 0xA6133D03B4CD4C95, "c12" },
    { 0x573EEA49976CF72D, "c12_clearscriptedtargets" },
    { 0xE5EFC26A0FA34A8B, "c12_disablerodeo" },
    { 0x564C6F155E9A01CA, "c12_disablerodeohint" },
    { 0x49FCEB59157BAF85, "c12_enableautonomouscombat" },
    { 0x81F8686F0F1DEFDC, "c12_enablesecondarytargeting" },
    { 0x1D20210BA552FC06, "c12_enablestrafe" },
    { 0xA0780D077969559E, "c12_enableweakrockets" },
    { 0x278E73B1270A889D, "c12_enableweaponslot" },
    { 0x4DD62511C472A315, "c12_getweapontypeforweapon" },
    { 0x60037471910FC316, "c12_initpickuphints" },
    { 0xC405C52C5CA18A8D, "c12_islegdismembered" },
    { 0xF0FFC5362E7EE25B, "c12_player_out_of_heavy_ammo" },
    { 0x73CDD1A39C67FF69, "c12_setaimspeedmultiplier" },
    { 0x2846123C781B226A, "c12_setrocketarc" },
    { 0x056A07D1E6663872, "c12_setscriptedtargets" },
    { 0xF00E49888ACCDCF2, "c12_updateachievement" },
    { 0x8BE97D21F18584FE, "c12_weapon_pickup_hint_check" },
    { 0xEDB8009281A61872, "c12_weapon_pickup_hint_delete_check" },
    { 0x05218DB0D780E12F, "c12_weapon_pickup_respawn_check" },
    { 0xDD750EF9AE948C4B, "c12_weaponsetup" },
    { 0x09974E269F7A7256, "c130" },
    { 0xDE967D48EB5DA81B, "c130_call" },
    { 0xC980B8458483214A, "c130_crash_sequence" },
    { 0xF719C6FEF0807DBA, "c130_crate" },
    { 0x752454153FFC5E4E, "c130_door_badplace_id" },
    { 0x7A1E9EEEB4B5CB32, "c130_drop" },
    { 0x77BCEE8272F3C7C9, "c130_fightpathmove" },
    { 0xB7844CBF1553A747, "c130_final_crash_sequence" },
    { 0x090ED608C8248FF4, "c130_follow_path" },
    { 0xF18C919DEA58C405, "c130_follow_takeoff_path" },
    { 0x6EE8AB94CF747D6C, "c130_heightoverride" },
    { 0xF040F6BF05A56941, "c130_idle" },
    { 0xE2165DA82A4B8CD2, "c130_lights" },
    { 0xCC1C617CBFA70B4F, "c130_parts" },
    { 0xB3F834744D9F7C3D, "c130_path_reached" },
    { 0xACBA0E8393A3FB10, "c130_pickrandomflightpath" },
    { 0x55BDC21A81BD5BA2, "c130_revive" },
    { 0xE73DE995FE852500, "c130_sealeveloverride" },
    { 0x8119457EB8A7A232, "c130_seat_idles" },
    { 0xBC48350A4AC52C61, "c130_seat_refs" },
    { 0x59AF086F0B7FC1B6, "c130_speedoverride" },
    { 0x9580E3AB5E3D04E6, "c130_take_off_sequence" },
    { 0xD8A2313E00AD324B, "c130airdrop_createpath" },
    { 0xC9A37BE5C0D5DD92, "c130airdrop_createpathstruct" },
    { 0x7940545A05FC9FA5, "c130airdrop_deleteatlifetime" },
    { 0xE094BB6B36B23029, "c130airdrop_dropcrates" },
    { 0x291EFE2F68AC41ED, "c130airdrop_findvaliddroplocation" },
    { 0x4CFA558256184792, "c130airdrop_getteamaveragepos" },
    { 0x0C0E48301C1C368F, "c130airdrop_getvalidteaminlastplace" },
    { 0x0AF7D2CA41D8CFDB, "c130airdrop_heightoverride" },
    { 0x1AE2B52FD2945A3D, "c130airdrop_isnearotherdrop" },
    { 0xA2D9FC3C49399C86, "c130airdrop_managedrop" },
    { 0xAF9EF2C096D9E27F, "c130airdrop_oncrateuse" },
    { 0x9DB8F64B167BFB17, "c130airdrop_spawn" },
    { 0xE6825A7F8E274AF4, "c130airdrop_startdelivery" },
    { 0xFDAB084A2D52882D, "c130alignedtolocale" },
    { 0x14557F407B20BEAA, "c130deliveriesinprogress" },
    { 0x8AA8940963CC764B, "c130deliverydirection" },
    { 0x5A52F801172E83E8, "c130distapart" },
    { 0xD1233286081E8D36, "c130firstpassstarted" },
    { 0x9E3980BC28E6D2D4, "c130flightdist" },
    { 0xBC1D41F981BDDD45, "c130forcespawnplayer" },
    { 0xC7641C970352241B, "c130frontlinepos" },
    { 0xE53356971976749F, "c130frontlinevec" },
    { 0x178BAD96CDF58CDC, "c130inbounds" },
    { 0xEE80DC33DE36CE75, "c130minpathmovementinterval" },
    { 0x455E90F9C12CE26E, "c130movementmethod" },
    { 0x49EED4F166A9519F, "c130pathkilltracker" },
    { 0x742F34AA5E3D1498, "c130pathstruct" },
    { 0x8DA2BC047A42F20C, "c130pathstruct_a" },
    { 0x8DA2BF047A42F8A5, "c130pathstruct_b" },
    { 0xC60B8C21594CA122, "c130spacing_usebigmapsettings" },
    { 0x1FEC5219628ED13A, "c130successfulairdrops" },
    { 0xCE177178F568778C, "c2" },
    { 0xCE177278F56879BF, "c3" },
    { 0xCE176F78F5687326, "c4" },
    { 0x6BE9E3785A519A68, "c4_addtoarray" },
    { 0x84963561F1DCC05A, "c4_animdetonate" },
    { 0xC71C2A6384E106C2, "c4_animdetonatecleanup" },
    { 0xCA9D24AAAC0C7FBA, "c4_breach" },
    { 0x5AEBC4C755482379, "c4_breach_think" },
    { 0xA5D83BE278C7791E, "c4_breachable" },
    { 0x71FBA64BC5B3E34B, "c4_candetonate" },
    { 0x22F141BAD00E4307, "c4_charge_detonate_think" },
    { 0x319935772D2B9E82, "c4_countdown" },
    { 0x6641D19623042A3A, "c4_crate_player_at_max_ammo" },
    { 0x74CE807AF0FB80AA, "c4_crate_spawn" },
    { 0x26C18E4C0FB4BC7F, "c4_crate_update_hint_logic_alt" },
    { 0x8A7992E672E6C0A6, "c4_crate_use" },
    { 0xD6257EA7BBF4C6C8, "c4_delete" },
    { 0xA10C142A5F186B32, "c4_deleteonownerdisconnect" },
    { 0x17B9B0C61E7F6523, "c4_destroy" },
    { 0x9CF2002F1F88773C, "c4_destroyonemp" },
    { 0xB71573509A1182A9, "c4_destroyongameend" },
    { 0x3162E798755F04EF, "c4_detonate" },
    { 0xE5554473ACA05B9A, "c4_detonateall" },
    { 0xB2D4C1FD41845F16, "c4_earthquake" },
    { 0x2CCD70B9369D5858, "c4_empapplied" },
    { 0x7588A20360200F02, "c4_escape_array" },
    { 0xECE4533983E828CC, "c4_explode" },
    { 0xA3611013F25E47AC, "c4_explodeonnotify" },
    { 0x4898EFD58057FD78, "c4_monitor_dmg" },
    { 0x2F864B5F795E7FCE, "c4_nuke" },
    { 0xC7645544D87325AC, "c4_obj_and_progress" },
    { 0x632E1BC6949A651E, "c4_obj_and_progress_clear" },
    { 0x6886C9B9540583EB, "c4_on_door" },
    { 0x7F81319655E819F7, "c4_onownerchanged" },
    { 0xE2125B06B6D4BED3, "c4_pick_up_listener" },
    { 0xA006A3FA7E6C7D71, "c4_pickup_dof" },
    { 0x7DBB4386FCA15A14, "c4_placed_bc" },
    { 0xBCB57C084673FFB5, "c4_placing_bc" },
    { 0x74FB33CFFA0403C7, "c4_plating_logic" },
    { 0x93D62FA396974C30, "c4_removefromarray" },
    { 0xA5EB92D1FC54B8B1, "c4_removefromarrayondeath" },
    { 0x12DD71AC5E791A8F, "c4_resetaltdetonpickup" },
    { 0x880583C732DEFD83, "c4_resetscriptableonunlink" },
    { 0xA9EB1F288EAE23E9, "c4_set" },
    { 0xDB40B7028AFAB7C2, "c4_struct" },
    { 0xDBAAF7A56AB384F3, "c4_updatedangerzone" },
    { 0x3C5758E7FC8EABB9, "c4_use_think" },
    { 0xF24453B938AF3C7A, "c4_used" },
    { 0xB30FBD5D8E5F3357, "c4_validdetonationstate" },
    { 0x8A2D5AADC3F8178D, "c4_watchforaltdetonation" },
    { 0x8153132CCA69A784, "c4_watchfordetonation" },
    { 0x8D9F0F4F866CC8C7, "c4activate" },
    { 0x816F19DE5CD979A0, "c4createcursor" },
    { 0xC04D6709EB9970E3, "c4damage" },
    { 0x97D20A218C9B40A6, "c4detonateallcharges" },
    { 0x49A216508D59FC23, "c4detonation" },
    { 0x742B648BF73C3115, "c4empdamage" },
    { 0xDE24021126EB6688, "c4explodethisframe" },
    { 0xF1601A1ED37A8153, "c4firemain" },
    { 0xAACCEF841E0C471E, "c4implode" },
    { 0x3018EC353F84EF3E, "c4nodetonatorfiremain" },
    { 0xA5FD7C03B4B5A3EF, "c4s" },
    { 0xBB394172DD38A1F2, "c4stuck" },
    { 0xED4E27B123878B4F, "c4used" },
    { 0x2DAFBA9F31AF839C, "c4vehiclecooperator" },
    { 0x788E5F7517790280, "c4vehiclemultkill" },
    { 0x8724BFF2AC94BF8D, "c6_initmelee" },
    { 0x02AD1E41AA79580F, "c6_ismeleevalid" },
    { 0x20644AAD126EFAA6, "c6_scriptablecleanup" },
    { 0x6859F192442876AC, "c8_scriptablecleanup" },
    { 0x4E482D0E5D1B3397, "c8deathsound" },
    { 0xE63C7AB989EC6973, "cac_checkoverkillperk" },
    { 0x16C2F30359BE21CD, "cac_getaccessorydata" },
    { 0xC912A92E9ED21039, "cac_getaccessorylogic" },
    { 0x0B00190235200CE9, "cac_getaccessoryweapon" },
    { 0x7D3F734D7BC59263, "cac_getcharacterarchetype" },
    { 0x56EA7DA121728BDB, "cac_getequipmentprimary" },
    { 0xB97ABF95170B339F, "cac_getequipmentsecondary" },
    { 0xB5B1AEDD6AD927B9, "cac_getexecution" },
    { 0x649AA4E2448411AF, "cac_getextraequipmentprimary" },
    { 0xB18D197E337F67AB, "cac_getextraequipmentsecondary" },
    { 0x8CA50F2EF3D0F3E1, "cac_getfieldupgrade" },
    { 0x5DB1B2089A89D3A0, "cac_getgesture" },
    { 0xAE7A2DD0141EC6B3, "cac_getkillstreak" },
    { 0xDC19066D7BC0CBFE, "cac_getloadoutarchetypeperk" },
    { 0xCADFF31379B71463, "cac_getloadoutextraperk" },
    { 0xBAB6B2C76071E4F7, "cac_getloadoutperk" },
    { 0x9F4D6FAB85E40DB9, "cac_getloadoutselectedidx" },
    { 0xFF6C85791C3782F8, "cac_getsuper" },
    { 0xA6E242C25F68577E, "cac_getusingspecialist" },
    { 0x2646220B30D6F7CD, "cac_getweapon" },
    { 0x9F7422FBB3035180, "cac_getweaponattachment" },
    { 0xC50D4801B9A419FD, "cac_getweaponattachmentid" },
    { 0x4D528DA0F48BCE01, "cac_getweaponcamo" },
    { 0x7EEA402CAF00678B, "cac_getweaponcosmeticattachment" },
    { 0xCFE12288D62340D5, "cac_getweaponlootitemid" },
    { 0x884ED95822DA304F, "cac_getweaponreticle" },
    { 0x2D940D3D8C46F4F4, "cac_getweaponsticker" },
    { 0xB281CB33BD1D61E3, "cac_getweaponvariantid" },
    { 0xCB1B5F020961484C, "cac_modified_damage" },
    { 0x46DA67203625DA1F, "cache1_defender_after_spawn" },
    { 0x1476577BDD72E7C8, "cache_catchup" },
    { 0xA3FA49F741CFAAEE, "cache_dialoguelogic" },
    { 0x68A94A324476DD20, "cache_exitlogic" },
    { 0x6C16E6DC583D6885, "cache_getanimationstruct" },
    { 0xF3612D0AACE4A844, "cache_getcouch" },
    { 0xE3ADFAAD529E8FAA, "cache_getdoor" },
    { 0x9A5FBB589E8DC324, "cache_getfarahbackpack" },
    { 0xDA4451B9FF7EF7D3, "cache_main" },
    { 0xB507ACCB0DB6F235, "cache_setupanimatedentities" },
    { 0x5859783E5502D3CF, "cache_setupdoor" },
    { 0x3A394B42A8037F05, "cache_spawnfarahbackpack" },
    { 0x839DD87025C12E42, "cache_start" },
    { 0x820E5EAA5141F80A, "cache_waittillplayerhassilencedweapon" },
    { 0x631CA717B889B725, "cachearenagungameloadouts" },
    { 0x90ED7C6FB2ECE662, "cachedactions" },
    { 0x6994B4DB30A49E35, "cachedomnars" },
    { 0x8DF0E627BA473046, "cacheentity" },
    { 0x9AA766A22EB5A57C, "cachegamemodeloadout" },
    { 0x46E777061A400986, "cacheloottablename" },
    { 0xDDA51973C757AE57, "cachelootweaponweaponinfo" },
    { 0xA376B3296889391E, "cacheplayeraction" },
    { 0x475A651562DE4103, "cacherandomloadouts" },
    { 0x3DCDB95F89A31506, "cachespawnpathnodesincode" },
    { 0x908BFD61DD31688F, "cachewid" },
    { 0xF470C15B6C0C9741, "caclulate_track_distance" },
    { 0x0DFE89A850E76EDD, "calc_best_closest_struct" },
    { 0x4FB385347D4FE9ED, "calc_length_of_full_veh_path" },
    { 0x46243EF7D047A427, "calcanimstartpos" },
    { 0xEBDA52E86C0146D5, "calcarrivaltype" },
    { 0x274EF9DFB3527A13, "calccameraduration" },
    { 0x83DD77349977A1D4, "calcconvergencetarget" },
    { 0xFCFC6CC8DA93CA6B, "calccsplineclosestpoint" },
    { 0x8D35E8C18AD9BAFA, "calccsplinecorridor" },
    { 0xA9DCE5D64CC7F8D3, "calccsplineposition" },
    { 0x64D7B2E11BD03FF9, "calccsplinetangent" },
    { 0x7E0AB09D3728094B, "calcdooropenspeed" },
    { 0x1EBA0BEC3C1C34F3, "calcentity" },
    { 0xE31DF98D592E2BC5, "calcfirstcamerablendpts" },
    { 0xE1ABE00B9F280A1C, "calcfrontposbasedonvelocity" },
    { 0x8E3D35D6B738A612, "calcgoodshootpos" },
    { 0x239E6B054EBCD99F, "calchelicoptertrailpoint" },
    { 0xF378C820AFD849AD, "calchit" },
    { 0xCCF53B8DE70D4DFF, "calckillcamtimes" },
    { 0xCDF06D26FF50B2CF, "calckillmultiplier" },
    { 0xE58B4C8AB15635AB, "calcnormal" },
    { 0xC6AFE18D0786FA0A, "calcorigin" },
    { 0x4CFE1C0205324F5A, "calcprestarttime" },
    { 0x559A9C0FEAE0799F, "calcrockingangles" },
    { 0x68A133C2C568F2C1, "calcsceneplaybacktimes" },
    { 0xAA4A081E169FE0F6, "calcscenepsoffset" },
    { 0x5A6E56CA5BEF9DC1, "calcscriptablepayloadgravityarc" },
    { 0xA99C9F73A70988FB, "calcstreakcost" },
    { 0x3A61BE40409568BA, "calctrailpoint" },
    { 0x1959D6DA947DB4E6, "calctraversetype" },
    { 0x051805B6E6DDED29, "calculate_ai_cluster_spawner_score" },
    { 0x126E25F2C58DB1D4, "calculate_ai_spawner_score" },
    { 0x79969DFEE5E29ED8, "calculate_ai_veh_spawner_score" },
    { 0xD512AA2FABF8CDA9, "calculate_and_show_encounter_scores" },
    { 0x396F4335F1E0C5E7, "calculate_average_velocity" },
    { 0xA3ED09AB717C0F2B, "calculate_consumables_earned_score" },
    { 0x1EB64A040F44EA14, "calculate_damage_score" },
    { 0x72C1863B976F660D, "calculate_defend_stance" },
    { 0x2C5F90A7018F2949, "calculate_encounter_scores" },
    { 0x03FCC30D1B4518FA, "calculate_func" },
    { 0xAC000CEB2BF04447, "calculate_money_earned_score" },
    { 0xCB82186FCE366F5D, "calculate_path_struct" },
    { 0x68AC807DBEB7A1AB, "calculate_player_encounter_scores" },
    { 0x5E2A2A7C80EB5625, "calculate_players_total_end_game_score" },
    { 0x87AD5342869ADE4B, "calculate_tag_on_path_grid" },
    { 0x0F699049FEE588E0, "calculate_teleport_data_for_player" },
    { 0xA308FA71C9DAAD1C, "calculate_tickets_earned_score" },
    { 0x14306EB9ADA613A2, "calculate_total_end_game_score" },
    { 0x12B9DFACCD09D557, "calculate_traverse_data" },
    { 0xA3CB8C540AE46B4A, "calculate_under_max_score" },
    { 0xF5820789C46DB8B9, "calculate_zone_node_extents" },
    { 0x9BBD57E9B8BD5DE0, "calculateadjustedspeedforshortpath" },
    { 0xF2AEF89FD20BC266, "calculateandsettotalfuel" },
    { 0xD802715965F66ED9, "calculateandvalidatefuelstability" },
    { 0x701A7300EF95AAB9, "calculateaveragevelocities" },
    { 0xCE921F9FBB8CA7E6, "calculatebrbonusxp" },
    { 0x282FE69C951AB587, "calculatecameraoffset" },
    { 0x62295E8AD9A6BC51, "calculateclientmatchdataextrainfopayload" },
    { 0xBA4DC7880F8FA783, "calculatecorrectbinarysequence" },
    { 0xA60DCE4C6F3254B0, "calculated_closest_point" },
    { 0x6AB95D2CC0355505, "calculated_nearest_node" },
    { 0xFA14CAE59EB7926C, "calculatedroplocationnearlocation" },
    { 0xA013BFB222AA9212, "calculateeventstarttime" },
    { 0x8EA89AFF997B0FEE, "calculatefactorscore" },
    { 0xC9EEC546D365550A, "calculatefourbitbinarysequence" },
    { 0xB10DC14842497AE8, "calculatefrontline" },
    { 0xDAB4804C250AEF96, "calculatehelispawndata" },
    { 0xE559AF03D3625A44, "calculatehelitimetoarrive" },
    { 0x91CD2E4806E67A39, "calculatehelitimetoflysec" },
    { 0x914EFA9F77B26494, "calculatehqmidpoint" },
    { 0x08CF09F3A7266779, "calculateinterruptdelay" },
    { 0xCD73A3B3B966B5A3, "calculatematchbonus" },
    { 0xA4587B1FF4FBD718, "calculatenodeoffset" },
    { 0x3B83C213F5C233A9, "calculatenumteamswithplayers" },
    { 0xF6D48A8DDA22D7E0, "calculateobjectivesheld" },
    { 0x5B436C336E808BE3, "calculateplayerstatratio" },
    { 0xFEB6C0896B38209B, "calculatepotgscore" },
    { 0x16B47620AA39CD24, "calculatepurchasexp" },
    { 0x98F75D55CC04C64C, "calculaterangeofprojectilemotion" },
    { 0xAA746A8FC4FE5D47, "calculaterotationmatrixaroundx" },
    { 0xAA74698FC4FE5B14, "calculaterotationmatrixaroundy" },
    { 0xAA746C8FC4FE61AD, "calculaterotationmatrixaroundz" },
    { 0xFAE6524A134ED86F, "calculatesharpturnanim" },
    { 0x95483D6921A821F9, "calculatesonartickrate" },
    { 0x7AFF1A87D1170752, "calculatespawndisttoballstart" },
    { 0xBEA3A5BFA86EB53A, "calculatespawndisttodefenderflagstart" },
    { 0xE2718E00F9C2F9C2, "calculatespawndisttozones" },
    { 0x8A28762DAB167535, "calculatestartorientation" },
    { 0xA1EB0D24BEFBCF2B, "calculatestopdata" },
    { 0x193A02D2138B2CAC, "calculatestopdatawarningtime" },
    { 0x4A74524FFD7F0AB5, "calculateteamclusters" },
    { 0xE8B881C28260DE93, "calculateweaponmatchbonus" },
    { 0xA0A8E58A4C01F6C8, "calculatewinningteam" },
    { 0x65514C3278AC23CF, "calculations_in_progress" },
    { 0xC83410DC2D9FA5DB, "call_ai_cellphone" },
    { 0x38557FC073ED57B0, "call_back_func" },
    { 0x6B71F7DE9E202559, "call_continuous" },
    { 0x14907BCB823942A4, "call_elevator" },
    { 0xDB8CF76F5868C912, "call_exfil" },
    { 0x5C883D087801D5CC, "call_for_reinforcements" },
    { 0x9CB238C5A92BBBC5, "call_func_on_death" },
    { 0xAE8F83BAEC039E63, "call_func_set" },
    { 0x1F94F030707C2E80, "call_func_with_params" },
    { 0x900CB8B46B9B6421, "call_in_carepackage" },
    { 0xF4900BF26C02DE30, "call_in_reinforcements" },
    { 0x6BD0842821BC6AD3, "call_nag_func" },
    { 0x4BC2828255D89BCB, "call_on_notetrack" },
    { 0xA7F4C38506C33621, "call_on_notify" },
    { 0x307BA5F5EB5DA9F3, "call_on_notify_no_endon_death" },
    { 0x4D865AF60A8EE5B4, "call_on_notify_no_self" },
    { 0x9A6F23C47D9F3276, "call_on_notify_proc" },
    { 0x50A72EED2B5ED0CC, "call_out_missed_shots" },
    { 0xCA0A6892B1B05B84, "call_out_runner_died" },
    { 0x5118F701A3B32E4C, "call_sung_lighting_setup" },
    { 0x4AD5032C7B5ECA82, "call_vote" },
    { 0xCD899D68E9332BBB, "call_wave_on_group_killed" },
    { 0x53C457E37ABD852B, "call_wave_on_group_killed_interal" },
    { 0xC3C14A86ED28F568, "call_when_thread_ended" },
    { 0x8677D72DC34E550D, "call_with_params" },
    { 0xB6A6CF85F99922C1, "call_with_params_builtin" },
    { 0x303AB3A5E6BA05D5, "call_with_params_script" },
    { 0xB6424E073ECEDAD2, "callback" },
    { 0x13FA5B5BB3447271, "callback_agent_impaled" },
    { 0x991D83D5CB735A3F, "callback_create" },
    { 0x3CBA59C129829737, "callback_defaultplayerlaststand" },
    { 0xF0C189852DC94094, "callback_finishweaponchange" },
    { 0xCBB180A4FCD4DA2B, "callback_frontendhostmigration" },
    { 0xEC4E96ED5BB7A33C, "callback_frontendplayeractive" },
    { 0x2731180210F7A588, "callback_frontendplayerconnect" },
    { 0x9ADA8964A0FC8087, "callback_frontendplayerdamage" },
    { 0x601AF03B7401A9EC, "callback_frontendplayerdisconnect" },
    { 0x6CD292AFBF57A920, "callback_frontendplayerimpaled" },
    { 0xBE11393C25E9371F, "callback_frontendplayerkilled" },
    { 0x98330CD3419E3152, "callback_frontendplayerlaststand" },
    { 0xD8A9922B01AEF47D, "callback_frontendplayermigrated" },
    { 0xAAC16544F8197C8B, "callback_frontendstartgametype" },
    { 0xB48300D4B1275517, "callback_hostmigration" },
    { 0xF6B6706057021245, "callback_killingblow" },
    { 0x468E511825632020, "callback_playeractive" },
    { 0xE1B48D4712AFFA44, "callback_playerconnect" },
    { 0x62425E5BA19893F3, "callback_playerdamage" },
    { 0x62EFD63F8083342D, "callback_playerdamage_internal" },
    { 0xEFA13AC7E71C4AD8, "callback_playerdisconnect" },
    { 0x94A21036426A7024, "callback_playerimpaled" },
    { 0x2D6A417A65E6A5CB, "callback_playerkilled" },
    { 0x2F60E58782C5C8AE, "callback_playerlaststand" },
    { 0x41972740D8FFB111, "callback_playermigrated" },
    { 0x12766CABA6AE1357, "callback_startgametype" },
    { 0x5680EE1DA9166639, "callback_subscribe" },
    { 0x841E99CE7DADA9F9, "callback_trigger" },
    { 0x5869B0F24BFDE460, "callback_unsubscribe" },
    { 0x949BDB7BEBFAA4E8, "callback_vehicledamage" },
    { 0x9EFA7A3D7E966350, "callback_vehicledamage_internal" },
    { 0x33664BEF797CDC05, "callback_vehicledeath" },
    { 0xC2DBC3AA40D94D06, "callbackcodeendgame" },
    { 0x0E15C19F173335B9, "callbackfinishweaponchange" },
    { 0x4072BCF9CC448940, "callbackhostmigration" },
    { 0xEB83E9A2747452C5, "callbackplayeractive" },
    { 0x12C7C04527A69D5F, "callbackplayerconnect" },
    { 0x4CA9A0095111E38A, "callbackplayerdamage" },
    { 0x01E3A09330EE9C11, "callbackplayerdisconnect" },
    { 0x5B5A730BB2DD10CF, "callbackplayerimpaled" },
    { 0x7D75A1810F04068A, "callbackplayerkilled" },
    { 0x9E7CC92C437E7B25, "callbackplayerlaststand" },
    { 0xC8A580890A8827CC, "callbackplayermigrated" },
    { 0xA2AC3AEF20EAD013, "callbacks" },
    { 0x4D6C4A4FC5A9B30C, "callbacksoldieragentdamaged" },
    { 0xAC84F8292504F170, "callbacksoldieragentgametypedamagefinished" },
    { 0xA16E82779F0E15AE, "callbacksoldieragentgametypekilled" },
    { 0xEC8434F4DD11BEED, "callbackspawnpointcritscore" },
    { 0xD9043876059DA463, "callbackspawnpointprecalc" },
    { 0x3B8BA6D3B3923605, "callbackspawnpointscore" },
    { 0x4EA54B9B9A6CC920, "callbackstartgametype" },
    { 0xF6038B91377A961C, "callbackvoid" },
    { 0x38D6015A32217BA2, "callcorpsetablefuncs" },
    { 0xF7FE3E30B80894F2, "calldropbag" },
    { 0x164279A63E9EB6E1, "called50percentprogress" },
    { 0xE5D970EA9760C876, "called75percentprogress" },
    { 0x059BCEDB5987CD4D, "called90percentprogress" },
    { 0x7AA088779B5BAF28, "called_wave_spawning" },
    { 0xADABEB6A97A7F200, "calledout" },
    { 0x433E80959FEE26E6, "caller" },
    { 0x43739C95A028E98E, "callin" },
    { 0x7072E80784F858A2, "calling_reinforcements" },
    { 0x622AF30F239F54AF, "callout" },
    { 0x04C1F7713F5008E1, "callout_bunch_radius" },
    { 0x448BDC0D99ABC3DA, "callout_civilians" },
    { 0xF76ADC449790DBAF, "callout_debounce_all" },
    { 0xD9D57D4481ACE7B7, "callout_debounce_guy" },
    { 0xB2758340D1EA5E18, "callout_disabled" },
    { 0xCDB9A8CF5EBAD4B1, "callout_enabled" },
    { 0xAE1AD2FD637BB4EF, "callout_func_validator" },
    { 0xB9555E95F1E2FEC1, "callout_next" },
    { 0x1ED08731F88C8865, "callout_player_gone_hot" },
    { 0xFCC5BEF1578D9405, "callout_player_location" },
    { 0x11F909358100E320, "callout_proximity_radius" },
    { 0x83D08C24AA9AA076, "callout_radius" },
    { 0x096ED4E43B181FA5, "callout_spotted" },
    { 0x8534BC9D1B6733E8, "callout_trace_contents" },
    { 0x39A0E367CC37495E, "callout_traces" },
    { 0xB3ADE5E6BCF0335D, "callout_type_override" },
    { 0x2F681E402E0D8F82, "calloutarea" },
    { 0x5654618306ACB93E, "calloutareathink" },
    { 0x2E533A6FDA5B731E, "calloutdestroyed" },
    { 0xA624723DD5F78DC5, "calloutglobals" },
    { 0xD18359E3E092991C, "calloutinputcount" },
    { 0x870BFC854077BD09, "calloutmarkerping_canplayerping" },
    { 0x11563E89EF1F45D8, "calloutmarkerping_cp_getcpvehiclevocallout" },
    { 0x33CB37F1519AA944, "calloutmarkerping_cp_setupcptimeouts" },
    { 0xBE53BD2B5A63CE1E, "calloutmarkerping_create" },
    { 0x9744C996AC836B76, "calloutmarkerping_createcallout" },
    { 0xA88E661A09FBBDED, "calloutmarkerping_createcalloutbattlechatter" },
    { 0x195A7FDB183C9AAB, "calloutmarkerping_deathtimeout" },
    { 0x08476720F4CEEBF5, "calloutmarkerping_delete" },
    { 0x7FB521BA3DA32C8A, "calloutmarkerping_enemytodangerdecaycreate" },
    { 0xDE12A5DF28B8D966, "calloutmarkerping_entityzoffset" },
    { 0x59851053EA065E11, "calloutmarkerping_feedback" },
    { 0xBEC5DBF2C68DE0AA, "calloutmarkerping_feedbackdanger" },
    { 0x1DD11BA648CAFFAF, "calloutmarkerping_feedbackenemy" },
    { 0xE543B4E8697ECE73, "calloutmarkerping_feedbackloot" },
    { 0x793ADCC984D32E4F, "calloutmarkerping_feedbacknavigation" },
    { 0x4A68711A68706433, "calloutmarkerping_feedbackvehicle" },
    { 0xCB6253A58CCEF8E7, "calloutmarkerping_feedbackworld" },
    { 0xA57C51A62C1F5F90, "calloutmarkerping_getactive" },
    { 0x413AA7FE3244FB85, "calloutmarkerping_getavailablelootindex" },
    { 0xDD6F243EB905B093, "calloutmarkerping_getcreatedtime" },
    { 0xEFE8FC48BEC31433, "calloutmarkerping_getent" },
    { 0x62AB5A51F363557D, "calloutmarkerping_getfeedback" },
    { 0x10D613FB5D94E888, "calloutmarkerping_getgscobjectiveindex" },
    { 0xBE59D51707A6F933, "calloutmarkerping_geticon" },
    { 0x1184830D884EE076, "calloutmarkerping_getinventoryslot" },
    { 0xD81E7F68210E05E2, "calloutmarkerping_getlootcalloutstringvo" },
    { 0x1232076F762DFD48, "calloutmarkerping_getlootscriptablemarkericon" },
    { 0x93B3B3E82FD062AF, "calloutmarkerping_getlootscriptableoriginfromindex" },
    { 0x9BC35FA781520CF0, "calloutmarkerping_getorigin" },
    { 0x58AD62994DBDAFAF, "calloutmarkerping_getplayerangles" },
    { 0x30E5879D7085283F, "calloutmarkerping_getpoolidnavigation" },
    { 0x6AC44FF33199BC42, "calloutmarkerping_getsavedzoffset" },
    { 0x4B50AC18A9815407, "calloutmarkerping_gettimeoutforpoolid" },
    { 0x4C2F685A35B71A96, "calloutmarkerping_gettype" },
    { 0x38A33BFBDD2F13AF, "calloutmarkerping_getzoffset" },
    { 0x05CDCF0D29A702E5, "calloutmarkerping_handlelookingatexistingcalloutmarker" },
    { 0x97EFD3DFB15DFD6E, "calloutmarkerping_handlelookingatexistingcalloutmarkerscriptable" },
    { 0x8B084BBC77D63C7A, "calloutmarkerping_hide" },
    { 0x5B9D79DB6423BBE0, "calloutmarkerping_init" },
    { 0x1DB950F06430D1B9, "calloutmarkerping_initcommon" },
    { 0x99A1496AFB2DF8B5, "calloutmarkerping_initplayer" },
    { 0x9E64A8D07B6794C0, "calloutmarkerping_islethalequipment" },
    { 0x2AEEE89098533F73, "calloutmarkerping_islookingatexistingcalloutmarker" },
    { 0x4A21E1657A3C800C, "calloutmarkerping_islookingatexistingcalloutmarkerscriptable" },
    { 0x8F58B6E6BE55ACBE, "calloutmarkerping_islootquesttablet" },
    { 0x792AF8BEF4186025, "calloutmarkerping_ismunitionsbox" },
    { 0xE71F98999D9CFC57, "calloutmarkerping_navigationcancelproximity" },
    { 0xFFF5909FD848C81C, "calloutmarkerping_onentity" },
    { 0x1A7B9854D7263454, "calloutmarkerping_onplayerdisconnect" },
    { 0x90C1C7A082EDDFBA, "calloutmarkerping_playteamsoundfx" },
    { 0x63F02EB02F436E2B, "calloutmarkerping_playvo" },
    { 0x294822AB5F0E9DB5, "calloutmarkerping_processinput" },
    { 0xC27EFA9B92A154D8, "calloutmarkerping_processscriptable" },
    { 0x0E21BCBCC1781BB8, "calloutmarkerping_removeallcalloutsforallplayers" },
    { 0x622BF3CA963813E6, "calloutmarkerping_removeallcalloutsforplayer" },
    { 0x6C5951F5A41B8FE6, "calloutmarkerping_removecallout" },
    { 0x0C716737542AF7E8, "calloutmarkerping_removecalloutfromtacmap" },
    { 0xD7845502D72685A4, "calloutmarkerping_removevehiclecalloutonspecialconditions" },
    { 0xCBB56C31CDDC6BF3, "calloutmarkerping_requestinventoryslotindex" },
    { 0xA1C1E9311C2B3C51, "calloutmarkerping_sendmayday" },
    { 0x9C6806390A731F82, "calloutmarkerping_setcalloutdata" },
    { 0xEA0EE2041224EC71, "calloutmarkerping_setfeedback" },
    { 0x281C2CD5CA5C8C1F, "calloutmarkerping_show" },
    { 0xCFB02D3C847E6301, "calloutmarkerping_squadleaderbeaconcreate" },
    { 0x77B33E1B6FFE1725, "calloutmarkerping_squadleaderbeaconkillforplayer" },
    { 0x996C98ABB950D2FA, "calloutmarkerping_squadleaderbeaconplayerfirstlanded" },
    { 0xA67AC1F3D29A1432, "calloutmarkerping_squadleaderbeaconshouldcreate" },
    { 0x75D99A838C8DD7C4, "calloutmarkerping_watchentitydeath" },
    { 0x3D63F549FFA6011D, "calloutmarkerping_watchentitydeathorenemydisconnect" },
    { 0x0ABF17FFD4F328A9, "calloutmarkerping_watchplayerdeathordisconnect" },
    { 0x541967582DB22100, "calloutmarkerping_watchscriptabledeath" },
    { 0x2BEBE56A5C7E7037, "calloutmarkerping_watchwhenmissioncompletes" },
    { 0xAEED2A320109AACD, "calloutmarkerping_watchwhenobjectivedeleted" },
    { 0x8545F44AA5E9668E, "calloutmarkerping_watchwhenobjectivestartsprogress" },
    { 0x87C0004040225337, "calloutmarkerpingpool" },
    { 0x548D90971F73076B, "calloutmarkerpingvo_calculatesounddebouncelength" },
    { 0x3D92D10BE08E280A, "calloutmarkerpingvo_canplaywithspamavoidance" },
    { 0x846518B3944D46FC, "calloutmarkerpingvo_createcalloutbattlechatter" },
    { 0x18E0CF9008C48CDE, "calloutmarkerpingvo_debouncegarbagecollector" },
    { 0xE05BFFE0534753D7, "calloutmarkerpingvo_doesoperatorsupportalias" },
    { 0xCBFFF4248C81FA39, "calloutmarkerpingvo_getaffirmaliasstringloot" },
    { 0x1AEC8448C89DFD43, "calloutmarkerpingvo_getcalloutaliasstringentity" },
    { 0x6867A3E993E68472, "calloutmarkerpingvo_getcalloutaliasstringloot" },
    { 0xF20B3141BD97E2C8, "calloutmarkerpingvo_getcalloutaliasstringvehicle" },
    { 0xD4F1594CBC5FA18C, "calloutmarkerpingvo_getcalloutaliasstringworld" },
    { 0x02729F0484B1407F, "calloutmarkerpingvo_getfulloperatorvoaliasfromsimplealias2d" },
    { 0x026EB10484AD723E, "calloutmarkerpingvo_getfulloperatorvoaliasfromsimplealias3d" },
    { 0xDC42E8A11178A318, "calloutmarkerpingvo_getmaxsoundaliaslength" },
    { 0x94096361B640794A, "calloutmarkerpingvo_handleraddnewelement" },
    { 0xD978EA312230CE76, "calloutmarkerpingvo_handlerdoescontainpoolelement" },
    { 0x55EA7CD1A2AD9469, "calloutmarkerpingvo_play" },
    { 0x9CBE3B943482D434, "calloutmarkerpingvo_playpredictivepingacknowledged" },
    { 0xCAD0F74B4564F956, "calloutmarkerpingvo_playpredictivepingacknowledgedcancel" },
    { 0x24205F6E64A74EE6, "calloutmarkerpingvo_playpredictivepingadded" },
    { 0x76EAE8C2F6BD8A48, "calloutmarkerpingvo_playpredictivepingcleared" },
    { 0xA701C86864A29259, "calloutmarkerpingvo_playpredictivepinginventoryrequest" },
    { 0x08C4120C252AE7E4, "calloutmarkerpingvohandlerpool" },
    { 0x3D221628CC65F95A, "calloutmarkers" },
    { 0xA25291470BFD385D, "calloutpoolsizes" },
    { 0x83C9664B57679FD4, "callouts" },
    { 0x287885B85E069341, "callouttable" },
    { 0xCFAC4D6C5487601C, "callouttypewillrepeat" },
    { 0x4610BC192217D5CA, "calloutzones" },
    { 0x627F6B9C5A9AF625, "callprecisionairstrikeonlocation" },
    { 0xCA31DC569616C868, "callsetlaserflag" },
    { 0x5AB00B7753C7A8D4, "callsign" },
    { 0x4E9C5518740C0462, "callsign_excluders" },
    { 0xF8C5497728AE8805, "callsign_prefix" },
    { 0x36948B077355DDD5, "callsign_squad" },
    { 0x054B2FCCC34E8FC0, "callsign_suffix" },
    { 0x99094981C999B7DF, "callstrike" },
    { 0x0DC38634F22428A8, "callstrike_findoptimaldirection" },
    { 0x4B7AB66D52BFB5BD, "callstrike_fuelbombeffect" },
    { 0x5C8A0B6D26434980, "callstrike_getrandomshotoffset" },
    { 0x113ECA5C71F33E40, "callstrike_playmultitracerfx" },
    { 0x79C4D50DFFCB9C7D, "callstrike_precisionbulleteffect" },
    { 0x59A884A5DE35E2AD, "callweapongivencallback" },
    { 0x4239C7DC106B2A1B, "calulatefrontline" },
    { 0xA5408E03B3E61D68, "cam" },
    { 0x4CBAEC3F7136450D, "cam_angle_change" },
    { 0xC4CCE9153DE4DF46, "cam_enemy_caret_follow_target_til_cleanup" },
    { 0xF32E795A220A4C5B, "cam_enemy_marking" },
    { 0x4BA099B534A1148A, "cam_ent" },
    { 0x220EB3A8C1DB5EE3, "cam_fly_down" },
    { 0x11CE948D7C011FA0, "cam_fly_path" },
    { 0xC3382BDF92E0B6C2, "cam_fly_up" },
    { 0x0719AEB5BDA2CE16, "cam_hud" },
    { 0xDCB932B59EFE79A9, "cam_org" },
    { 0x6D2A155796B3140D, "cam_shake_crush" },
    { 0x4A572B9D08892EC1, "cam_shake_ground" },
    { 0xE5E67FF9A5443A94, "cam_shake_low" },
    { 0xD52D47F99832C76B, "cam_shake_off" },
    { 0x360793E0DCE31B67, "cam_shake_parked" },
    { 0x324EA882334D490D, "cam_shake_running" },
    { 0xF2EE2DDC72E611B9, "cam_structs" },
    { 0xDFA0421896F54A5A, "cam_switcher" },
    { 0x252B617161CC6B4E, "cam_switcher_fade_out" },
    { 0x8BEC0BEA13FEB718, "cam_target" },
    { 0x511B66B5CFC380E8, "camactivation" },
    { 0x6E9A1ECA09B2BFEB, "camangle" },
    { 0x1E7A12C7927AF170, "camdata" },
    { 0x58E90676A1F3BE9A, "camera" },
    { 0xB38B63BAB561CD26, "camera_anchor" },
    { 0x7BE4C0CDA30DBAF0, "camera_and_flag_watcher" },
    { 0xE1CD497BAF9147BE, "camera_blackcell" },
    { 0x6318946CE875DCA2, "camera_blackcell_detail" },
    { 0x61507FCDE99F9FBD, "camera_bro_shot" },
    { 0x41AD30170FA89DCE, "camera_change_hint_check" },
    { 0xFEE4359EEC834F2D, "camera_character_faction_select_l" },
    { 0x47A4B2CE61A8D077, "camera_character_faction_select_l_detail" },
    { 0xFEE4179EEC830D33, "camera_character_faction_select_r" },
    { 0xFE04AE049D6AD755, "camera_character_faction_select_r_detail" },
    { 0xC3CFD633484D3E78, "camera_character_gamebattles" },
    { 0xADC13F94B4E9D18E, "camera_character_preview_select" },
    { 0xDB773629E823A9D2, "camera_character_preview_select_detail" },
    { 0x1F3EC6CFF00C8CAC, "camera_character_tango" },
    { 0xD97AB6CE57674DC1, "camera_character_tournaments" },
    { 0x62F45CA4A46BA136, "camera_controller_init" },
    { 0x3E7C56542DD53080, "camera_enemy_behavior" },
    { 0x21D40D6C13F91457, "camera_fov_change" },
    { 0xB0EDE3AA657B2C09, "camera_ground_point" },
    { 0x51C567A9DA097082, "camera_handle_notetracks" },
    { 0xD4FA9EDD2C43E860, "camera_height" },
    { 0xA47A3DA9C5F7CF61, "camera_interacts_init" },
    { 0xC413314B918D769B, "camera_interacts_remove" },
    { 0xC3AC52311A1C826B, "camera_interacts_remover" },
    { 0xAAF11EA06A30AB79, "camera_interacts_watcher" },
    { 0xBBDE270CC290FFEF, "camera_intro_dof_off" },
    { 0x667AE645235BB8CB, "camera_intro_dof_on" },
    { 0x84D25B6F1D925621, "camera_intro_dof_rack" },
    { 0xE74F30C195FF019C, "camera_intro_fov_start" },
    { 0x5235E03D9E259D9B, "camera_loadout_showcase" },
    { 0xB5D1B63B905FD756, "camera_loadout_showcase_armory" },
    { 0x28F750A83CF8D520, "camera_loadout_showcase_l" },
    { 0x28F753A83CF8DBB9, "camera_loadout_showcase_o" },
    { 0x061B04507354D69D, "camera_loadout_showcase_o_large" },
    { 0x2DC7E21C3143C22F, "camera_loadout_showcase_overview" },
    { 0x28F76CA83CF912B4, "camera_loadout_showcase_p" },
    { 0x85106FAEDBE5A0A0, "camera_loadout_showcase_p_large" },
    { 0x1F923E2B5F3ABB11, "camera_loadout_showcase_perks" },
    { 0xE57A0B251C5FE508, "camera_loadout_showcase_preview" },
    { 0x8B2EBC0155956A41, "camera_loadout_showcase_preview_barrel" },
    { 0x6220171F4798F718, "camera_loadout_showcase_preview_barrel_alt1" },
    { 0x62201A1F4798FDB1, "camera_loadout_showcase_preview_barrel_alt2" },
    { 0x2E122B526AF4F660, "camera_loadout_showcase_preview_charm" },
    { 0xF40126BCF2C284AF, "camera_loadout_showcase_preview_charm_alt1" },
    { 0xF40127BCF2C286E2, "camera_loadout_showcase_preview_charm_alt2" },
    { 0xF40128BCF2C28915, "camera_loadout_showcase_preview_charm_alt3" },
    { 0xF40121BCF2C279B0, "camera_loadout_showcase_preview_charm_alt4" },
    { 0xD7A474DB67EB7F04, "camera_loadout_showcase_preview_large" },
    { 0x3DF24539598C2C9D, "camera_loadout_showcase_preview_large_barrel" },
    { 0x47C44485663F24B4, "camera_loadout_showcase_preview_large_barrel_alt1" },
    { 0x9ED0519405C49AFC, "camera_loadout_showcase_preview_large_charm" },
    { 0xEA911978CD4AD65B, "camera_loadout_showcase_preview_large_charm_alt1" },
    { 0xEA911A78CD4AD88E, "camera_loadout_showcase_preview_large_charm_alt2" },
    { 0x70DF4EC86CB3ECA0, "camera_loadout_showcase_preview_large_laser" },
    { 0x1971C04C797ACCEF, "camera_loadout_showcase_preview_large_magazine" },
    { 0x0E60F0C65C4699EE, "camera_loadout_showcase_preview_large_magazine_alt1" },
    { 0x0E60EFC65C4697BB, "camera_loadout_showcase_preview_large_magazine_alt2" },
    { 0xC8BF1A8137E86758, "camera_loadout_showcase_preview_large_muzzle" },
    { 0x2257BF0AE7C4CB57, "camera_loadout_showcase_preview_large_muzzle_alt1" },
    { 0xBD8D767A165B31D2, "camera_loadout_showcase_preview_large_optic" },
    { 0x063902AFC9AE2C17, "camera_loadout_showcase_preview_large_reargrip" },
    { 0x6474C6976A4A37E6, "camera_loadout_showcase_preview_large_reargrip_alt1" },
    { 0x8729B5D9D1BA76A0, "camera_loadout_showcase_preview_large_sticker" },
    { 0xB1DC715C03703C6F, "camera_loadout_showcase_preview_large_sticker_alt1" },
    { 0xB1DC725C03703EA2, "camera_loadout_showcase_preview_large_sticker_alt2" },
    { 0xB1DC735C037040D5, "camera_loadout_showcase_preview_large_sticker_alt3" },
    { 0x5F349844EBA86AA9, "camera_loadout_showcase_preview_large_stock" },
    { 0xE7F065C992A042F0, "camera_loadout_showcase_preview_large_stock_alt1" },
    { 0xC48ACA93FB0CD7BD, "camera_loadout_showcase_preview_large_underbarrel" },
    { 0xFAEB02FB8CFFE594, "camera_loadout_showcase_preview_large_underbarrel_alt1" },
    { 0xE3E1A2DB700E7FFC, "camera_loadout_showcase_preview_laser" },
    { 0x7057D3DFE5F4E55B, "camera_loadout_showcase_preview_laser_alt1" },
    { 0x7057D4DFE5F4E78E, "camera_loadout_showcase_preview_laser_alt2" },
    { 0x198A17080F536953, "camera_loadout_showcase_preview_magazine" },
    { 0x9615E97DBF832062, "camera_loadout_showcase_preview_magazine_alt1" },
    { 0x9615E87DBF831E2F, "camera_loadout_showcase_preview_magazine_alt2" },
    { 0x3BD11A074785ED1C, "camera_loadout_showcase_preview_muzzle" },
    { 0x2C001440502C46BB, "camera_loadout_showcase_preview_muzzle_alt1" },
    { 0xD245128C182B1DCE, "camera_loadout_showcase_preview_optic" },
    { 0x87B733162035313D, "camera_loadout_showcase_preview_optic_alt1" },
    { 0x4BAE9EFCE241174B, "camera_loadout_showcase_preview_reargrip" },
    { 0x896EBB3472AE74AA, "camera_loadout_showcase_preview_reargrip_alt1" },
    { 0x896EBA3472AE7277, "camera_loadout_showcase_preview_reargrip_alt2" },
    { 0xB962A8767A49C09F, "camera_loadout_showcase_preview_riot" },
    { 0x94D54B5B4856917C, "camera_loadout_showcase_preview_small" },
    { 0x5542C1090D786465, "camera_loadout_showcase_preview_small_barrel" },
    { 0x20225D75E76E02C4, "camera_loadout_showcase_preview_small_charm" },
    { 0xA4564AE8C5F0A8B8, "camera_loadout_showcase_preview_small_laser" },
    { 0x4BE7515333D03887, "camera_loadout_showcase_preview_small_magazine" },
    { 0x5A2110201CDFE4D6, "camera_loadout_showcase_preview_small_magazine_alt1" },
    { 0xD6A1E6F6C231E9B0, "camera_loadout_showcase_preview_small_muzzle" },
    { 0x2E1C5B34A888259A, "camera_loadout_showcase_preview_small_optic" },
    { 0x06A12709D21D341F, "camera_loadout_showcase_preview_small_reargrip" },
    { 0x138EE221EE35E6A8, "camera_loadout_showcase_preview_small_sticker" },
    { 0x9E1BA18C2A34C0D1, "camera_loadout_showcase_preview_small_stock" },
    { 0xD8EAA1AB65CB999F, "camera_loadout_showcase_preview_small_trigger" },
    { 0xE300D9F60D477F6C, "camera_loadout_showcase_preview_sticker" },
    { 0xD1D65B70A9F2E80B, "camera_loadout_showcase_preview_sticker_alt1" },
    { 0xD1D65C70A9F2EA3E, "camera_loadout_showcase_preview_sticker_alt2" },
    { 0xD1D65D70A9F2EC71, "camera_loadout_showcase_preview_sticker_alt3" },
    { 0xD1D65E70A9F2EEA4, "camera_loadout_showcase_preview_sticker_alt4" },
    { 0x996DB612FA116685, "camera_loadout_showcase_preview_stock" },
    { 0xF303F588A589822C, "camera_loadout_showcase_preview_stock_alt1" },
    { 0xF303F888A58988C5, "camera_loadout_showcase_preview_stock_alt2" },
    { 0x01F79AA71CE8CB19, "camera_loadout_showcase_preview_underbarrel" },
    { 0xFE448DC956A22418, "camera_loadout_showcase_preview_watch" },
    { 0x28F76FA83CF9194D, "camera_loadout_showcase_s" },
    { 0x995DF3AC4B530705, "camera_loadout_showcase_specialist" },
    { 0x28F768A83CF909E8, "camera_loadout_showcase_t" },
    { 0x57C76EC1A075EA7F, "camera_loadout_showcase_watch" },
    { 0x28F764A83CF9011C, "camera_loadout_showcase_x" },
    { 0x28F765A83CF9034F, "camera_loadout_showcase_y" },
    { 0x28F766A83CF90582, "camera_loadout_showcase_z" },
    { 0x1210FB0B6D46BA3D, "camera_lobby" },
    { 0x91793851A46F2567, "camera_lobby_detail" },
    { 0xA857014EE393BAF1, "camera_lookat" },
    { 0x9A74BE62C6D79843, "camera_max_height" },
    { 0x16747B686C2708E1, "camera_min_height" },
    { 0xDF4FBB026BF78906, "camera_min_height_think" },
    { 0x2FEBA2315019C316, "camera_move" },
    { 0x65ED20F2906EC8BF, "camera_move_helper" },
    { 0xD04F2C55BA18805D, "camera_movement_think" },
    { 0x331368295041FBFC, "camera_nav_obstacle" },
    { 0x596E82B85A85C49E, "camera_number" },
    { 0x986186BEF79755A3, "camera_quartermaster" },
    { 0xE8DBD904DFB7E025, "camera_quartermaster_detail" },
    { 0xF5EC73E3DBBBB705, "camera_reset_think" },
    { 0xCACB2DE39F381B3B, "camera_section_change" },
    { 0x4BEAE3DE00E7A060, "camera_setup_for_lerping" },
    { 0x3A2C9C7205E4D198, "camera_store" },
    { 0xE4350C32575E7665, "camera_ui_bg_01" },
    { 0x45648AF784AC72E9, "camera_worldmap" },
    { 0x53933E0E88D6500F, "camera_zoom_hint_check" },
    { 0x0B80A8DB74A3AF53, "camera_zoom_think" },
    { 0xEA71B7022F766864, "camera_zoomout" },
    { 0x4A1B71CDFFC2365A, "cameraactivatetrack" },
    { 0x364702552B3221D4, "cameraactivationstructs" },
    { 0xDF03A90DCEDAFA4E, "cameraang" },
    { 0x0E46F8D82D3DE0A7, "cameracapturetrackdata" },
    { 0xE43AC9A3965FB787, "cameradefault" },
    { 0x16703C0DF6860897, "cameraent" },
    { 0xBFE1E4D8F0959579, "cameraentlinktag" },
    { 0x1F1A9182BDD61CB9, "cameraentmoving" },
    { 0x122C5245C4A3993F, "cameraexecutetrackdata_marines_1st" },
    { 0x2E7C29C7A58F3C3B, "cameraexecutetrackdata_marines_1st_alt" },
    { 0x4176CD45E8AF47AB, "cameraexecutetrackdata_marines_2nd" },
    { 0x30349245DB0671E0, "cameraexecutetrackdata_marines_3rd" },
    { 0x5B2071D2B2D5725E, "cameraexecutetrackdata_opfor_1st" },
    { 0x3018E6D29379820A, "cameraexecutetrackdata_opfor_2nd" },
    { 0x3CF521D29C4C2ED5, "cameraexecutetrackdata_opfor_3rd" },
    { 0xF9D999D33642DC56, "camerahighestindex" },
    { 0x778B76E7B44B0182, "cameraidletrackdata_marine" },
    { 0xBA86E1BBF106A07E, "cameraidletrackdata_opfor" },
    { 0x96350D50F65E81DD, "cameraintroidletrackdata" },
    { 0xDB8BC8BBFEDFCCE3, "cameraintrotrackdata" },
    { 0x63177316DA1E64EA, "cameraintrotrackdata_marine" },
    { 0xE41100F7428A7DA6, "cameraintrotrackdata_opfor" },
    { 0x2AF4954AF2955E9D, "camerakilltrackdata" },
    { 0x9BE496E03FF586FA, "cameralerpto" },
    { 0x617F7D9B0B9FF8E7, "cameralinkto" },
    { 0x616704C0AE4E3BFE, "cameramapobjs" },
    { 0x214CB5123827A3AE, "cameramercytrackdata_marines_1st" },
    { 0xF6D24A1219674B9A, "cameramercytrackdata_marines_2nd" },
    { 0x03214512219E19C5, "cameramercytrackdata_marines_3rd" },
    { 0xB5627B98B6D1D99B, "cameramercytrackdata_opfor_1st" },
    { 0xDF96F698D545C56F, "cameramercytrackdata_opfor_2nd" },
    { 0xD2DDAB98CC993D2C, "cameramercytrackdata_opfor_3rd" },
    { 0xE7E2CC0D1985C850, "camerapos" },
    { 0xD659B80D0B8E85DA, "cameraset" },
    { 0x447BF789DF71972F, "camerastyle" },
    { 0x4C60772AB914C19B, "cameratarget" },
    { 0x1D522E01EA7AD75C, "cameratrackcapturecam" },
    { 0x9335C931C7C76A9C, "cameratrackintrocam" },
    { 0x08F78AAE7DDA5524, "cameratrackkillcam" },
    { 0xC360D55C8FB00D7D, "cameraunlink" },
    { 0x18CD6343FE5C407B, "cameraused" },
    { 0xE55F1AB72CCB8731, "camhint" },
    { 0xE2B957CBF6FFE1FA, "caminit" },
    { 0x2E90C4595DE61205, "cammover" },
    { 0x53155924A311D665, "camo" },
    { 0x91C1FF28C2274AC6, "camoname" },
    { 0x4B5BE95346EFC463, "camoset" },
    { 0x9D9F294D174BF313, "camp_bomb_update" },
    { 0xC0B7031CB1CC6DC7, "campaign" },
    { 0xFF8AC5694CC28D8E, "camper_damage_thread" },
    { 0xB4F6A53037678C0B, "camper_guy" },
    { 0x5A4E5C1BA0C9023F, "camper_time_started_hunting" },
    { 0x1429ABBBFA146BF7, "camper_trigger_think" },
    { 0xC697DF43050D36DF, "camping_needs_fallback_camp_location" },
    { 0x53156D24A3120261, "cams" },
    { 0x8858838FE57FFCA0, "camsetorbit" },
    { 0x2166337733F44887, "camstr" },
    { 0x33D9944629473BE1, "camtime" },
    { 0xA5409103B3E62401, "can" },
    { 0xF18EE0D9919DD611, "can_activate_battle_station" },
    { 0x5F37CCD402A5A611, "can_add_item" },
    { 0xD8B63A571C0063A9, "can_announce_sound" },
    { 0x60BD61CA9B1E7825, "can_auto_adjust" },
    { 0x5A5970BEFAC251CA, "can_be_empd" },
    { 0x77E2CE318C20D019, "can_be_executed" },
    { 0xD88B2A43C907F87A, "can_be_interrupted" },
    { 0x938EC5F79ACA42D9, "can_be_killed" },
    { 0x01CEFBF56D92325D, "can_be_script_killed" },
    { 0x9E7DBB11ED390EAF, "can_be_seen" },
    { 0x69D6F3B4B9F72B20, "can_be_seen_by_any_player" },
    { 0xE58C58AF3266C34F, "can_be_shot_again" },
    { 0x864FE1A4A6FDE7A5, "can_callout_enemy" },
    { 0xA03CA27015178334, "can_camp_near_others" },
    { 0x1302E2BB9ADF61E2, "can_combat_action_be_interrupted" },
    { 0xDD56FF8D1C880EF9, "can_compromise_before_first_target" },
    { 0x7BB41A68EAD1D663, "can_do_hotjoin_via_ac130" },
    { 0x7D04A9C6A3624D49, "can_do_segmented_health_regen" },
    { 0xA4E3089CA4F5D4D8, "can_emp_player" },
    { 0x5E54158967E3BAD9, "can_execute" },
    { 0x4CA9CBABFD49E7B2, "can_exit" },
    { 0x667FBC3508DCAC6F, "can_fake_snipe" },
    { 0xD5EC0A21B7768980, "can_find_new_target" },
    { 0xB5E6EDC451C2A45D, "can_fire_turret" },
    { 0x218E86B94DDF3E5D, "can_flashlight_ai_see_player" },
    { 0xF8FAD5466BAB7AF6, "can_fulton" },
    { 0xE44FA2CF62CDA786, "can_give_revive_xp" },
    { 0xD2D3DB44AD571538, "can_give_weapon" },
    { 0x11372FECC1B52E7C, "can_hypno" },
    { 0x8E0F9958B1159253, "can_i_see_an_enemy_or_can_enemies_see_me" },
    { 0x90655C033BE6E3E9, "can_kill_off_list" },
    { 0x4DFEF107477521A7, "can_killstreak_be_detected" },
    { 0xF4D70C7FD6912655, "can_man_turret" },
    { 0x89625EC24AFC2177, "can_melee_enemy_time" },
    { 0xB79F9124BDB58674, "can_move_to_next_node" },
    { 0xD2624BC27FDD4A9B, "can_node_be_added" },
    { 0xB7AB0B6BC9C85C1F, "can_open_door" },
    { 0xA809660953D9BEE1, "can_path_to_target" },
    { 0x740DF285642A4ABD, "can_pickup_bomb_time" },
    { 0xD30E25792301B4B3, "can_pickup_hvt" },
    { 0x54827869C7A3ABA3, "can_pivot_change" },
    { 0x7A2F9ACB7C564281, "can_place_sentry" },
    { 0x6B93C86925AC7EF1, "can_play_dialogue_system" },
    { 0x38451B64847771EA, "can_play_ending" },
    { 0xAB271B48EF5C842A, "can_play_nearby_gesture" },
    { 0x1DC563C3EA4C6B31, "can_play_nearby_interaction" },
    { 0x08919D58D4694EC9, "can_play_random_idle" },
    { 0xE1EC992C56658A3D, "can_player_see_any_part_of_enemy" },
    { 0xFDA1DD5ABD763A9C, "can_purchase_ammo" },
    { 0xF296768F4C60224A, "can_purchase_interaction" },
    { 0xED89BFA14A3B2701, "can_purchase_item" },
    { 0xC29A3AF463E146DF, "can_remind" },
    { 0x65DE955446FD509A, "can_respawn_ied_zone" },
    { 0x61F00298B88D3327, "can_revive" },
    { 0x78F0FEECF0A584FF, "can_rocket_hover" },
    { 0x41388E9D52BC9B60, "can_route_othercar" },
    { 0x541791436C988EE5, "can_say_friendlyfire" },
    { 0xE89F0595FE010D91, "can_see_attacker_for_a_bit" },
    { 0xD806DFA9586715C0, "can_see_drone" },
    { 0xEC94747AAE281CC1, "can_see_farah_watcher" },
    { 0x22516AAF868EA887, "can_see_hadir_watcher" },
    { 0x699AE300FD7F9810, "can_see_origin" },
    { 0x8722C99CA9DA72AF, "can_see_player" },
    { 0x5CC2C270DBCDC4C3, "can_set_traversal_unit_type" },
    { 0xCE771AE4F54282D3, "can_spawn_capsule_trace" },
    { 0xAF5458CC2A286431, "can_spawn_extras" },
    { 0x95F8062E7A9A678E, "can_spawn_heli_group" },
    { 0x7444E4193269A5DE, "can_station_be_selected" },
    { 0x2ADE5C06E1D88ED8, "can_steal_hvt" },
    { 0x592F3B0EC0A40AE3, "can_support_mindia8_min_spawn" },
    { 0xE8AF83DAA4035C3D, "can_teleport" },
    { 0xB1CC0994ED145978, "can_trace_to_ai" },
    { 0x5720112435B3DB13, "can_trace_to_player" },
    { 0x9A09B01F7AB6BD02, "can_trex_apply_to_player" },
    { 0x24BCFECB9C5B93EF, "can_update_player_armor_model" },
    { 0x95B7D52DAB6D2842, "can_upgrade" },
    { 0x6D668909A6E9FB9D, "can_use" },
    { 0xFE91F2CB1B1C2803, "can_use_attachment" },
    { 0x7DCC4F04A0DE8008, "can_use_flashlight" },
    { 0xA973C791716B782E, "can_use_interaction" },
    { 0xF913216270FA8E9F, "can_use_munition" },
    { 0x882B98AD8DE1BE91, "can_use_override_func" },
    { 0xEBDD6B08C25573DA, "can_use_perk" },
    { 0x4B0FC1B869AA7DE3, "can_use_pistol_during_last_stand" },
    { 0x4493A84704907797, "can_use_pistol_during_laststand_func" },
    { 0x35D8CA912C3AE280, "can_use_super_func" },
    { 0x89B677CA034F8CE0, "can_weapon_stun_juggernaut" },
    { 0xFEB12386C8C3BE8E, "canacquirenearbytacvisenemies" },
    { 0xA762848C8E6C2CFF, "canaiflingweapon" },
    { 0x8B127A54402CC8B9, "canaimwhilemoving" },
    { 0x96B65BF336F7297F, "canaimwhilemoving_code" },
    { 0xE8747139F6DF7C47, "canal_ambulance_siren" },
    { 0x7161A99BB5007D94, "canal_background_fakecivs" },
    { 0x12C3D221F7B98672, "canal_car_alarms_off" },
    { 0xBD323C169B16C3B4, "canal_car_damage_check" },
    { 0xADABB9F74C6299DB, "canal_car_death_check" },
    { 0xC923AA8D540F466E, "canal_car_handler" },
    { 0xD828ED398085BD55, "canal_car_hit_player" },
    { 0x73989CE9D5F96987, "canal_car_jumper_setup" },
    { 0xD8AE840627A3F246, "canal_car_kill_player" },
    { 0x4D0F257D3D829CE5, "canal_catchup" },
    { 0x8E12C1A23D52B500, "canal_check_player_shoot_first" },
    { 0xE23BC2248A523F8F, "canal_civ_car_damage_handler" },
    { 0xCDA30FE506490D52, "canal_civ_car_mb" },
    { 0x733A56C9AC9C48D2, "canal_civ_car_setup" },
    { 0x9F1902C5A6A0BF52, "canal_civ_handler" },
    { 0x4998446301DFC739, "canal_civ_panic" },
    { 0x79B61F19E0D1E3F2, "canal_civs_flee_car" },
    { 0xE6EF9FD4D976A1D1, "canal_civs_flee_car_handler" },
    { 0x7C9D13259B1165D0, "canal_civs_flee_handler" },
    { 0x9BC12114EFED90D1, "canal_civs_flee_parent_child" },
    { 0x4B25BED3C23F71D2, "canal_civs_flee_parent_child_handler" },
    { 0x7564B7A8D59B12F2, "canal_civs_onlookers_behavior" },
    { 0xA399A9FBF788D354, "canal_civs_onlookers_handler" },
    { 0xF54215CC3E0CA3B3, "canal_containment" },
    { 0x3E974EF625398F3C, "canal_dead_bodies" },
    { 0x46FEFC970D378B85, "canal_driveby_vignette" },
    { 0x7CCEBF7444230E37, "canal_enemy_death_monitor" },
    { 0x9C44A01A353930A6, "canal_enemy_fallback" },
    { 0xBB3B81CDC34959DC, "canal_enemy_handler" },
    { 0x6148B992EC57FC30, "canal_enemy_in_vehicle" },
    { 0xC872A9E35680DFE3, "canal_enemy_rpg_truck" },
    { 0xE8384028A95946FD, "canal_enemy_setup" },
    { 0x51AF3EEC4E2186A6, "canal_enforcer_handler" },
    { 0xD7C645C401FCDDF9, "canal_enforcer_mb" },
    { 0x6370BA9163ECA59D, "canal_extra_police_car" },
    { 0x2AD15E6935BB897F, "canal_init" },
    { 0x0E7ECC6AC904CD28, "canal_kill_rushing_player" },
    { 0x278569C991062504, "canal_main" },
    { 0x8616D26CA7068C8D, "canal_price_handler" },
    { 0x30EF241C903C3D48, "canal_pursuit_timer_handler" },
    { 0x5D0C9EA532DA401F, "canal_rpg_earthquake_handler" },
    { 0x7B2255023C784AF1, "canal_rpg_firing_loop" },
    { 0x4104A4213969D3F7, "canal_rpg_handler" },
    { 0x9A55432EAD203E93, "canal_start" },
    { 0xCF8A471A974FE0CC, "canal_start_watcher" },
    { 0x51C53496C5A00106, "canal_stp_main" },
    { 0x3D8814EE5FDD3572, "canal_traffic" },
    { 0x3AEB2B8C42484B48, "canal_vig_init" },
    { 0x21DA845D5B9F6E9A, "canal_vig_start" },
    { 0x9E3BE62D3EC96FB7, "canattackenemynode" },
    { 0x249D8997EA0494ED, "canattackenemynodefromexposed" },
    { 0x2BFDCE00414F0337, "canattackfromexposed" },
    { 0xF6F0E83EF4E0FD66, "canattackfromexposedtime" },
    { 0x05BE432508217378, "canautodestruct" },
    { 0x33AD7A6651777F36, "canbecomehvt" },
    { 0xA4C0B80E930F93F3, "canbedamaged" },
    { 0xA58ACB36646CEB25, "canbeflashbanged" },
    { 0x183ACDCE34C5B482, "canbemarkedingroup" },
    { 0xE886FF358AA34451, "canbeplaced" },
    { 0x3FF6FBFB1C13AD98, "canberepaired" },
    { 0x0ADA99C379447A14, "canblindfire" },
    { 0x484F68ADA6F4B887, "canboundingoverwatchmove" },
    { 0xC4632159C0C681D8, "cancalloutlocation" },
    { 0xAC712F8C01027F3D, "cancapture" },
    { 0x5CF8266AE2A0AAC9, "cancaptureimmediately" },
    { 0xB888C575ED3E15BE, "cancarryloot" },
    { 0x11CD460B9F578458, "cancel_fake_molotov" },
    { 0x6D0663389E3AFD57, "cancel_location" },
    { 0x5ECA9900BD52449D, "cancelallmissions" },
    { 0xE23EB51358368088, "cancelanimscriptmp" },
    { 0xC9622EBC16165BB0, "cancelanimscriptmp_internal" },
    { 0x262021959CD8CB4E, "cancelchecklinktotrain" },
    { 0xD50B7E3869ED1311, "cancelentitiesinradius" },
    { 0xC582255806BBAA78, "cancelgivequest" },
    { 0x20454AB4383257CD, "cancelinteraction" },
    { 0x928268723F2C1394, "canceljoins" },
    { 0xE898FE059680D886, "cancelkillcam" },
    { 0x9CC6D3CAB0D45537, "cancelladder" },
    { 0xBD3DEB99D252A370, "cancelled" },
    { 0x7D0B1A8202DF74A8, "cancellethaldelay" },
    { 0x51F2E90013286A04, "cancelmantle" },
    { 0x130D322A2C009228, "cancelmode" },
    { 0x22DE5802E494AA66, "cancelonuserelease" },
    { 0x8803BCF607240E94, "cancelplant" },
    { 0xBA3BCE8AFA7BB34B, "cancelpowerovertime" },
    { 0xB1EC040F35321946, "cancelreload" },
    { 0xCD96439B0527AD8A, "cancelreloading" },
    { 0x628A4F51E2CD5BA5, "cancelsuperdelay" },
    { 0xC508422E45991FB1, "cancelupcomingpublicevents" },
    { 0x7B16232F4438AF75, "cancircledamageplayer" },
    { 0x038A2B3CF1DB1973, "canclaim" },
    { 0x96467CE5059BD2FB, "canclaimsmartobject" },
    { 0xAC5147D3598F9A9F, "canclimbladders" },
    { 0x60C211648646FAC1, "canconcat" },
    { 0xEEA3D8B9F9D31F65, "cancontestclaim" },
    { 0xEE0835D02DBA9ED7, "candamagetrap" },
    { 0xD44A9B8091D36DA4, "candeploykillstreak" },
    { 0x63EA26702E5F4188, "candeploykillstreakweapon" },
    { 0xC2BE6B8F2A28245E, "candeploylmg" },
    { 0xBFF7794C594502BA, "candidatesradio" },
    { 0xB4CFA8218B58CED3, "candidatesvoice" },
    { 0xB80B08F2ED49E003, "candisarm" },
    { 0xD132FCB002047F15, "candles" },
    { 0x15B9D19A0627D8FF, "candocovermelee_anim" },
    { 0x23B16DD0F6C859AC, "candodge" },
    { 0xA062FC190F7F5152, "candoflavorburst" },
    { 0xBA2788BC4E1088C1, "candomeleeanim" },
    { 0x7800D5B99120FAA7, "candomeleeanim_internal" },
    { 0x161819D83B6DCCA9, "candomeleebehind_angles" },
    { 0x97CE331678911D78, "candomeleebehind_anim" },
    { 0x45ED3D84F71FCA28, "candomeleeflip_angles" },
    { 0x8373FF357C6F853D, "candomeleeflip_anim" },
    { 0x4F276006A6C127D1, "candomeleewrestle_angles" },
    { 0x18DE73E5D7C62630, "candomeleewrestle_anim" },
    { 0x5E7B956046B1D332, "candomonitoredswitchtoweapon" },
    { 0x589D4394E6C2E1AB, "candoretreat" },
    { 0x7C4F0BAFC4959DE8, "candrop" },
    { 0x1754C4963C37EBD5, "candrophostage" },
    { 0xED79D1C4D48E6596, "canfly" },
    { 0xC62CEC4277808B57, "cangive_ammo" },
    { 0x6E2F0E8EBA545C27, "cangiveandfireoffhand" },
    { 0x6CBA9114A02DC402, "cangrenaderespond" },
    { 0xA29B6D150D9C91FF, "canholdammobox" },
    { 0x8AA7B9578E56B653, "caninstantrevive" },
    { 0x936A6B261CEFB2C3, "caninteractwith" },
    { 0x43457738161A9125, "canjoin" },
    { 0x5BF322AE54E64974, "canjumpanywhere" },
    { 0x5D9374FC0202F46E, "canjumpseatsonenter" },
    { 0x8D691901020FD5B8, "cankeepusingbomb" },
    { 0xAC23A2E1F5914B83, "cankeepusingcrate" },
    { 0xF6BBA168C86AAF61, "canlean" },
    { 0x500692690AB1EC8E, "canlock" },
    { 0xED76CD0086390B51, "canlogchangeweapon" },
    { 0x7E9FCE226B76D266, "canlogclient" },
    { 0xBBEC85B08549C445, "canlogdeath" },
    { 0x2BF8FD9401371197, "canloglife" },
    { 0x0EDD7E04A9EDBABA, "canmantle" },
    { 0x8D3A3C073C7FB907, "canmelee" },
    { 0x1DE17146B345D7CD, "canmeleeduringstealth" },
    { 0xB9574C548C283A60, "canmove" },
    { 0x41A2465DCA08F283, "canmovefrompointtopoint" },
    { 0x077FD8E082A485B3, "canmovepointtopoint" },
    { 0x614C2AC5295EC908, "cannon" },
    { 0x29544E0DFBEC08E4, "cannon_effect" },
    { 0xD5E3BFA402273BD1, "cannonon" },
    { 0x5D7DEF0957D71531, "cannontarget" },
    { 0x8441EE186EA7913C, "cannonweapon" },
    { 0x611A3FB424CBB2D0, "cannotbesuspended" },
    { 0x21F50B5B65D137C0, "cannothypno" },
    { 0xB9564FECE4D48CFE, "cannotmelee" },
    { 0x2C690F02D9A20B45, "cannotplacehinton" },
    { 0xA3856075D29953A4, "cannotplacestring" },
    { 0x12EEFB32FB45E2D1, "canopendoor" },
    { 0x45571B24AAC5AF89, "canoutlineforplayer" },
    { 0xF1BF079223B23488, "canparachute" },
    { 0xFEEFF7A7528B06C7, "canparachutebecut" },
    { 0x464B9B0247C0A3C2, "canpathtotarget" },
    { 0x5E392552B6B60759, "canphaseslide" },
    { 0x6C7AB0907BDEE366, "canpickupobject" },
    { 0x18EA8240CB92FD7F, "canplaychosenlongdeath" },
    { 0xA06B5B6760F52D99, "canplaycircleclosedialog" },
    { 0x46C0C8E62ABBDDAF, "canplaycircleopendialog" },
    { 0xB15C01F08C08D47A, "canplayerbebuddyspawnedon" },
    { 0x1BED8E239645D390, "canplayerplacesentry" },
    { 0xDED5955B6297818B, "canplayerplacetank" },
    { 0x46C2DC470C646D93, "canplaygasmaskgesturebr" },
    { 0x937A58CB10B70026, "canplaygesture" },
    { 0xFA4F7F9706B053AE, "canplayhalfwayvo" },
    { 0xF29278F03BE9EE35, "canplaykillstreakdialog" },
    { 0x5C6E96CF015A6D3D, "canplaynotetrackvo" },
    { 0xA78D8F01B4BC0703, "canpressuse" },
    { 0xEB966779DB1EAD85, "canprocessot" },
    { 0x4668883E66F906B8, "canprocessselection" },
    { 0x99F7B524C40336F7, "canprogressingunrank" },
    { 0xEAFF7D47E5EBF23B, "canqueuearmorbydefault" },
    { 0xB62DD6CE80E40018, "canrappelreload" },
    { 0x879095C6DB6E227C, "canrecordcombatrecordstats" },
    { 0x52A8EEC63F3F1C30, "canrecordsegmentstats" },
    { 0x46D1816E48EEACCC, "canregenhealth" },
    { 0xCCC0EEAD24CC5730, "canreusebox" },
    { 0x8C916EC4B1A42EA8, "canrevivewithweapon" },
    { 0x8BEE98C5484B9844, "cansay" },
    { 0x2B659B4656FD07B8, "cansaycontact" },
    { 0x39D96940C1CE5B3F, "cansayname" },
    { 0x9E607722C25A7B12, "cansayplayername" },
    { 0x8BDD8CC548397384, "cansee" },
    { 0xCA7C3331BE643023, "cansee_armory" },
    { 0x3E04348F9B26F064, "cansee_bounds" },
    { 0x87D987DBF26126F1, "cansee_detailed" },
    { 0xF865EE194FEDCDDD, "cansee_point" },
    { 0x5AEE51AAB13FC467, "cansee_vertical" },
    { 0x78608AA3FCC26A06, "canseeandshootpoint" },
    { 0x5F4193F8BF303984, "canseecantshoottime" },
    { 0x8C776EBEB059BC55, "canseedangercircleui" },
    { 0x19216375FC7FA198, "canseeenemy" },
    { 0x4BB6914DF8DD65D8, "canseeenemyfromexposed" },
    { 0x3683112433652A31, "canseeenemytime" },
    { 0x748EBEF06AA3E07C, "canseeperipheral" },
    { 0x6629252D5D8D6296, "canseepointfromexposedatcorner" },
    { 0xC0F7A8B2FB917D7F, "canseepointfromexposedatnode" },
    { 0xF4380C0854B16A0B, "canseesafecircleui" },
    { 0x0119D65A063A034D, "canseetarget" },
    { 0x8C14D3C697F42308, "canseethroughfoliage" },
    { 0x6C1135DCB6BB5B9C, "canshoot" },
    { 0x8B63A7348687B370, "canshootenemy" },
    { 0xB0A689CCD9B23B01, "canshootinvehicle" },
    { 0x3C8A5EE7DD92FC45, "canshoottarget" },
    { 0x7CFF224FB1334739, "canshoottargetfrompos" },
    { 0x9BB06EBF159E6417, "canshowsplash" },
    { 0x44BE57C0C1075744, "canshowtoughenupshield" },
    { 0xEA6C19D19E0C2EA6, "canslotitem" },
    { 0x2C377824FA73E70A, "cansnapcamera" },
    { 0x8CDA2A229D08330D, "cansolospawn" },
    { 0x6509B3A63C63C6DC, "canspawn" },
    { 0xC3F7C0D34180D0C3, "canspawnballoon" },
    { 0xB06EADC7E1067B6B, "canspawnbotortestclient" },
    { 0x351E58C73FCB9557, "canspawncallback" },
    { 0xCA073D08E59ED894, "canspawnheli" },
    { 0x36AC2148313334B8, "canspawnitemname" },
    { 0x79915B3093F595B6, "canspawnontacinsert" },
    { 0x565650AAD9D239C6, "canspawnturret" },
    { 0x02D5FD76B154C184, "canspawnvehicle" },
    { 0xF1483F1F52EEAE83, "canstackpickup" },
    { 0x6E9ED2FFC8951D11, "canstartusingbomb" },
    { 0x5FF2F1AF9913B820, "canstartusingcrate" },
    { 0xC661CABF154EB7EB, "canstartusingcratetriggerobject" },
    { 0x2BB051F8FA540C88, "canstealmelee" },
    { 0xA32CA13367DAA79B, "cansticktoent" },
    { 0x6B90E9533CF50809, "canstompprogress" },
    { 0xB0DF5A62A8A08C1B, "canstompprogresswithstalemate" },
    { 0xD9ECDEDD2051B881, "canstop" },
    { 0xD9ECDFDD2051BAB4, "canstow" },
    { 0xA2053E36E133F4BE, "cansuppressenemy" },
    { 0x3FCD7DB37A0CB94E, "cansuppressenemyfromexposed" },
    { 0x187F9A68EB44F0E7, "canswitchtosidearm" },
    { 0x74713CE1323B790A, "canswitchtoweaponreliably" },
    { 0xCC652939F269EB24, "cant_get_out_num" },
    { 0x5BD12463605AFE8F, "cantakedamage" },
    { 0x0658FEC86CD9BD94, "cantakedamageduringcapture" },
    { 0xD334FBE4290832A6, "cantakepickup" },
    { 0x343BE8B52D695F63, "cantarget_turret" },
    { 0x38ED3ABCC342C01A, "canteleslide" },
    { 0xF6E483E14A8A44BB, "canthrow" },
    { 0xF6CB526E779EF18B, "canthrowgrenade" },
    { 0xBBA2FC6A435E0965, "cantiebysimultaneouskill" },
    { 0x6322D7B7D50BA13C, "cantimeout" },
    { 0x58A5BD236F3FFAC5, "cantimeoutfromempty" },
    { 0x3C65F6452653E8C7, "cantraceto" },
    { 0xDB86A458B9DE1BED, "cantracetoaiignoreents" },
    { 0x2593F6794F262E2D, "cantriptrap" },
    { 0x8DDA638FE398926F, "cantswitch" },
    { 0x8750C4593D7B25CB, "canturnoff" },
    { 0xAB865762BB43FB15, "cantusehintthink" },
    { 0xA9CFFEC55E8486E8, "canuse" },
    { 0xE91438B9B5C772F5, "canuseattachment" },
    { 0x667D53B63297BA53, "canusecallback" },
    { 0xE30179D9ACB844CD, "canusecondition" },
    { 0x0B156F3E09277667, "canusedeployable" },
    { 0x485B62EC2B3B97E1, "canuseinlaststand" },
    { 0x6FB2BB4C1D6CADBB, "canuselaser" },
    { 0xF4FC2A67C6C2CE1F, "canuseobject" },
    { 0xA00466131076701F, "canuseotherboxes" },
    { 0x4CA59BF6A1AB5476, "canusesmartobject" },
    { 0x290446582C10F147, "canusesmartobject_nostrafenoturn" },
    { 0xA569A17E1C735922, "canusesmartobject_stealth" },
    { 0xD0C445996C69FCC2, "canuseturret" },
    { 0xCF5639287374B354, "canwakeupvehicle" },
    { 0xAB60949B11E8FFC3, "canweapondealcriticaldamage" },
    { 0x8869BC360B83AC2E, "canweaponhaveattachment" },
    { 0x3C7F42659A7BFB20, "cap_round_number" },
    { 0xC7D7142EE2673FF0, "cap_vehicle_type_on_module" },
    { 0x080C6B497EBF099F, "cap_wave_spawning" },
    { 0xD46F199F3D374FED, "capacity" },
    { 0x6D0039E1A0C4AE25, "caprate" },
    { 0x57189DEE8F815313, "capsperminute" },
    { 0x4BC9C8AB0F7C4197, "capsule_check" },
    { 0xB776B676CBDC3133, "capsule_contents" },
    { 0xE15067020354A548, "capsule_debug" },
    { 0x637BCFC5A7A10532, "capsule_get_closest_point" },
    { 0x4DC0408269A11107, "capsule_halfheight" },
    { 0xB191E2E7BD357C79, "capsule_midpoint_height" },
    { 0xE322B1F33EBA86E3, "capsule_radius" },
    { 0x01D586A582330DDE, "capsule_trace" },
    { 0x514D90DE975C1BBC, "capsule_trace_get_all_results" },
    { 0xD67885A66B7AA7D7, "capsule_trace_passed" },
    { 0xD1807E1BD01C1681, "capsulepass" },
    { 0x661C6B917C59AD05, "capsuletracepassed" },
    { 0xF4450E0A9652F8C1, "captive_timeout" },
    { 0x945DC87585E2A79D, "captive_vent_unlink_player_from_rig" },
    { 0x7686BB97FEBAAB21, "captive_vo_flags" },
    { 0x8D5614F87BA52C13, "capture_current_headquarters" },
    { 0x4C316A361A82E938, "capture_flag" },
    { 0xCDFE6E946A9F2AD4, "capture_radius" },
    { 0x5764D6922F8A955F, "capturebehavior" },
    { 0xC0EC3B6CF13381DB, "captureblocked" },
    { 0x558614BD16D60BBE, "capturecallback" },
    { 0x03A7C13D232B72B6, "capturecondition" },
    { 0x2D85521E927A0C6C, "capturecount" },
    { 0x72FF7CDE9CA41F78, "capturecrate" },
    { 0xE7F76A31EB171627, "captured_civ_screams" },
    { 0x53F607A3C4479305, "capturedecay" },
    { 0x19904B1011EEA245, "captureduration" },
    { 0x517C340B75FDC4BC, "capturelootcachecallback" },
    { 0x8A4AC9B710621D20, "capturesequence" },
    { 0xC2B3EEE92437EF7F, "capturesequencemarinesdata" },
    { 0xBCE012153A01A812, "capturesequenceopfordata" },
    { 0x8705C6535D4026E0, "capturestring" },
    { 0x834CE7367C2BF1EC, "capturetime" },
    { 0x229EE1DB8E12DB6B, "capturetrigger" },
    { 0x98085B35CE8F2265, "capturetype" },
    { 0x65FBB8E9E0641009, "capturevisualscallback" },
    { 0x31B6C7E5FF5BE3DF, "capturevisualsdeletiondelay" },
    { 0x8B835A905D05E9D7, "capturingstring" },
    { 0x8628DBAC1B99338E, "capturnrate" },
    { 0x41801834282F6F1A, "capzones" },
    { 0xA5407D03B3E5F805, "car" },
    { 0x7D016C9F2A9BD835, "car1_terries" },
    { 0xB0709439D3688ED9, "car1_terry" },
    { 0x7024E62BEEF24ED1, "car1_terry2" },
    { 0x7024E52BEEF24C9E, "car1_terry3" },
    { 0x97DAA28F6FA47CCE, "car2_bomb_explosion" },
    { 0x77111376F646C949, "car2_delete_extras" },
    { 0x9AF652FADBF51AF7, "car2_detonates" },
    { 0x1A25FFB3D3EE1F0A, "car2_taking_off_vo" },
    { 0xCF41DC8732CFB5BC, "car2_terries" },
    { 0x1C4DEB0B526F456B, "car_alarm_manager" },
    { 0x9F5A2C7BE9671C74, "car_alarm_think" },
    { 0x5CE2C540E6B1E685, "car_bomb_event" },
    { 0x64099CCE24745952, "car_brakelights_off" },
    { 0xAE71E3B885BFB498, "car_brakelights_on" },
    { 0xA9846C90A6364235, "car_civs" },
    { 0xF5399AF15ED1BFE0, "car_civs_die" },
    { 0xF438F2E9C1BEDF78, "car_civs_intro" },
    { 0x2E965E83E925E689, "car_civs_post_intro" },
    { 0xAC1A49A29CD42A0A, "car_coll_trig_logic" },
    { 0xC7053E210A53C1CE, "car_collision" },
    { 0xC633D2360E66CDE8, "car_drive_control" },
    { 0x3E775F32C75B55A5, "car_explosion_add_fov_user_scale_override" },
    { 0xB5CA68BFBBD7D28E, "car_explosion_remove_fov_user_scale_override" },
    { 0xDA37AF9C5153CFEE, "car_getout" },
    { 0xDE2B0310B52FDF10, "car_interact" },
    { 0x97DD6D961A302F41, "car_jumper" },
    { 0xEA514DD54F46DE04, "car_jumper_car_delete_civs" },
    { 0xCB30E2A1CD004D28, "car_jumper_logic" },
    { 0xE77C8C7D95B48A47, "car_jumper_shooting" },
    { 0x983C55BE07B8E473, "car_lights" },
    { 0x1E5B659DB818CD46, "car_order" },
    { 0xC3C88776DB1BC457, "car_rummage_scene" },
    { 0x159435D5B1ED9070, "car_rummage_scene_think" },
    { 0xEC104865D5FB34EF, "car_runner_deathfunc" },
    { 0xA3F123C4796D65EE, "car_stream" },
    { 0xD2EB31A70FB286E2, "car_think" },
    { 0x7D6B9538C4F0A1F0, "car_trig_debug" },
    { 0xA8A07E9307232A54, "car_vignette_guy" },
    { 0x0EB873D6F822D063, "car_windows_break" },
    { 0x085FE3F3B7EA5BB8, "car_zooms_past_handler" },
    { 0x05A849AF0540A7C3, "carbomb_main" },
    { 0xFC2AC137A31A87B3, "carbomb_player_extras" },
    { 0xAC55C2DACF58A4BB, "carbomb_player_react" },
    { 0x7FF833E5B2CAE2D0, "carbomb_shop_windows" },
    { 0xC13EEE0EEA9E92E4, "card_angles" },
    { 0xA246FAC2E2785B8E, "card_origin" },
    { 0x5FA5D2466EC81F41, "card_refills" },
    { 0x21EBDE9014D2F6FA, "cardstruct" },
    { 0x1F41F52CA18F01C5, "care_package_activate" },
    { 0x1AFBB2537BAC57A8, "care_package_createinteraction" },
    { 0xA17F2E117B6A3DCD, "care_package_hint" },
    { 0xFF6125B74F1CFB34, "care_package_interaction" },
    { 0xF646DBFE9CEF09CD, "care_packages_unusable_think" },
    { 0x0FC641C25D749659, "care_pkg" },
    { 0x6545E2C93C5FC682, "careful_logic" },
    { 0x904E208EE3147D9A, "carepackage_drop_from_heli" },
    { 0x0B7AD41189DA0925, "carepackage_drops" },
    { 0xD4EDB690B8E35A90, "carepackage_get_dropped_entities" },
    { 0xDB7AE9CFC81E2615, "carepackage_glowsticks" },
    { 0xBFC04C4755F88628, "carepackage_id" },
    { 0x56A4FE8E099103E3, "carepackage_index" },
    { 0x5EEBC459E7846346, "carepackage_set_collision_model" },
    { 0x3612C0C1D961BF73, "carepackage_set_useable" },
    { 0x775198C1A2F41ED0, "carepackage_set_visible_model" },
    { 0x9D0CBD1C34F748B0, "carepackage_spawn" },
    { 0xC2C32725BA724F6C, "carepackage_unlink_from_heli" },
    { 0xACE7F7B060B11717, "carepackage_waittill_settle" },
    { 0x96F2172FD3268CE2, "carepackagedropnodes" },
    { 0x64987257C05AEC99, "carepackages" },
    { 0x592EE1C441FCE127, "cargo_truck" },
    { 0x9B691826F0291E10, "cargo_truck_cp_create" },
    { 0x5F240602912D333E, "cargo_truck_cp_createfromstructs" },
    { 0xF17DB2FACD88AACF, "cargo_truck_cp_delete" },
    { 0x0ED278C39C78A4A0, "cargo_truck_cp_getspawnstructscallback" },
    { 0x027867AF10F30386, "cargo_truck_cp_init" },
    { 0xD57A01B657A13CDA, "cargo_truck_cp_initlate" },
    { 0x72AA38B43AD8F07B, "cargo_truck_cp_initspawning" },
    { 0x3737817E943F5E18, "cargo_truck_cp_ondeathrespawncallback" },
    { 0x115B4B3333DE0464, "cargo_truck_cp_spawncallback" },
    { 0x18EBB87A4672B815, "cargo_truck_cp_waitandspawn" },
    { 0x7CCFD581EE33938C, "cargo_truck_create" },
    { 0x7DB10374359E2FCD, "cargo_truck_deathcallback" },
    { 0x19D10AF76A7431BB, "cargo_truck_deletenextframe" },
    { 0x527D182A8234398B, "cargo_truck_enterend" },
    { 0x3487ED18C3016EDA, "cargo_truck_enterendinternal" },
    { 0x5F7F7D2B8E9B7D7D, "cargo_truck_exitend" },
    { 0x0EB73C75A0248FD8, "cargo_truck_exitendinternal" },
    { 0x91F60366F925D47D, "cargo_truck_explode" },
    { 0x24CA651E440E308C, "cargo_truck_getspawnstructscallback" },
    { 0xCD91284F4C246F69, "cargo_truck_horn" },
    { 0x70B26963D30B377A, "cargo_truck_init" },
    { 0xE1A9471D64A1AEEA, "cargo_truck_initcollision" },
    { 0x539ECAC5FB70A377, "cargo_truck_initdamage" },
    { 0x2AA11F95094DFD04, "cargo_truck_initfx" },
    { 0x681EF2B5E105D10C, "cargo_truck_initinteract" },
    { 0x63EFFF49AF7FAC56, "cargo_truck_initlate" },
    { 0x2135AC7B59ED414F, "cargo_truck_initoccupancy" },
    { 0xBB0AD78F0282601E, "cargo_truck_initomnvars" },
    { 0xEB55965F11EC4E3F, "cargo_truck_initspawning" },
    { 0x07EFB24872B0481A, "cargo_truck_mg_addgunnerdamagemod" },
    { 0x51F6E5A044804CBB, "cargo_truck_mg_cp_create" },
    { 0xF7FE987DF63F2B3F, "cargo_truck_mg_cp_createfromstructs" },
    { 0x21EBC30A3F2D8435, "cargo_truck_mg_cp_init" },
    { 0x69BCF672B1593BF1, "cargo_truck_mg_cp_initlate" },
    { 0x3C37D86E18E408D1, "cargo_truck_mg_cp_spawncallback" },
    { 0x0E4AD715AEAD3A2D, "cargo_truck_mg_create" },
    { 0x36B8C981AD3EFFBC, "cargo_truck_mg_creategunnerturret" },
    { 0x484CC4EB94071AAE, "cargo_truck_mg_deathcallback" },
    { 0x358F0319B765DF9C, "cargo_truck_mg_deletenextframe" },
    { 0x183171262AE61142, "cargo_truck_mg_enterend" },
    { 0xE4881E34D64775CF, "cargo_truck_mg_enterendinternal" },
    { 0x0AB9A32667FF0F47, "cargo_truck_mg_enterstart" },
    { 0x3A70C6B1E618615A, "cargo_truck_mg_exitend" },
    { 0xF6FB26FCB88E1687, "cargo_truck_mg_exitendinternal" },
    { 0x0B4D790AA3E2C1B6, "cargo_truck_mg_explode" },
    { 0x94349D3651CB70B7, "cargo_truck_mg_getspawnstructscallback" },
    { 0x8524862057A7EAF9, "cargo_truck_mg_gunnerdamagemodignorefunc" },
    { 0x563D79E4DE573363, "cargo_truck_mg_init" },
    { 0xA0C8E8D6F183D465, "cargo_truck_mg_initcollision" },
    { 0x1580274DC29FD472, "cargo_truck_mg_initdamage" },
    { 0xA5B8D6E14CB051E5, "cargo_truck_mg_initfx" },
    { 0x51BBC47497E761F9, "cargo_truck_mg_initinteract" },
    { 0xB86363DCD6C0D2BF, "cargo_truck_mg_initlate" },
    { 0x793054C7E161C00C, "cargo_truck_mg_initoccupancy" },
    { 0xA8362E3B89983F55, "cargo_truck_mg_initomnvars" },
    { 0x48DC5784DA36F3AA, "cargo_truck_mg_initspawning" },
    { 0xF779717E83426AE3, "cargo_truck_mg_mp_init" },
    { 0x13B2A7F264628AED, "cargo_truck_mg_mp_ondeathrespawncallback" },
    { 0x64B664C925F14C33, "cargo_truck_mg_mp_spawncallback" },
    { 0x9F8ACBD79492BE06, "cargo_truck_mg_reenter" },
    { 0x4A65D95AFEBD6BED, "cargo_truck_mg_removegunnerdamagemod" },
    { 0xAD5EDFE75AF42B62, "cargo_truck_mp_create" },
    { 0xF14A8241BBF5C221, "cargo_truck_mp_delete" },
    { 0x226CAEAD683A397E, "cargo_truck_mp_getspawnstructscallback" },
    { 0xB5074E7B770A32DC, "cargo_truck_mp_init" },
    { 0x4E2FA0D82049669D, "cargo_truck_mp_initdamage" },
    { 0x15DF34240C3FBB74, "cargo_truck_mp_initmines" },
    { 0xAE39A97D1E008FC5, "cargo_truck_mp_initspawning" },
    { 0x3F7158D923DEB20A, "cargo_truck_mp_ondeathrespawncallback" },
    { 0x89E40FBC7E2E6C86, "cargo_truck_mp_spawncallback" },
    { 0x77FFA38723C0C893, "cargo_truck_mp_waitandspawn" },
    { 0xB89EF20F476C1268, "cargobaywatch" },
    { 0x19C374A43E47A7A7, "cargotrucks" },
    { 0x9C6773A5BD6B0E5E, "carjumper" },
    { 0xE8579886116E2936, "carnage_achievementlogic" },
    { 0x0CA1C5B16D57C79C, "carnage_doflogic" },
    { 0x40FA46C0A77E6C27, "carnage_enemieslogic" },
    { 0x391D5E866707009F, "carnage_enemyanimationlogic" },
    { 0x0D2196DBC3337DF9, "carnage_enemyavoidplayerlogic" },
    { 0x1ACDEAC8123D9093, "carnage_enemydummycleanup" },
    { 0x5DA4AE92E5836557, "carnage_enemyexitdoorlogic" },
    { 0x0F66DE2D706B0B82, "carnage_enemygatevehiclelogic" },
    { 0x33E98673EABE2EF1, "carnage_enterlogic" },
    { 0x210D7BD7E7EA8575, "carnage_farahgetdownanimationlogic" },
    { 0xBBE6D2406C3AC456, "carnage_getanimationstruct" },
    { 0xC214C18C62D144D4, "carnage_getcorpseanimations" },
    { 0xBBF2DEF397BE9BF1, "carnage_getenemies" },
    { 0x8C914297E0C994A2, "carnage_getenemyanimations" },
    { 0x1DDAB9436710ABE2, "carnage_getenemynodes" },
    { 0x133AE2886DE8DA29, "carnage_getfarahdoor" },
    { 0x27ED5FC04A0F43E7, "carnage_getfarahdoorclip" },
    { 0xF02CE54F254E1D24, "carnage_getplayerentertrigger" },
    { 0xAEB994CA6EAD59FA, "carnage_getspawners" },
    { 0xCF97BAF533A0C8D0, "carnage_main" },
    { 0x6A7B377D3D172DEC, "carnage_playeravoidancelogic" },
    { 0xB51205553D9F1136, "carnage_playerbrokestealthlogic" },
    { 0xA6A6AEFA9DA8503E, "carnage_playerheartbeatlogic" },
    { 0xB597E8C139232957, "carnage_playerkillcounterworthy" },
    { 0xC2575B5D65CABDD9, "carnage_playerstealthfarahlogic" },
    { 0xF7B0A832D1104E0B, "carnage_playerstealthlogic" },
    { 0x68D6C54207793BCB, "carnage_setupcorpses" },
    { 0x2A74BB91421A350E, "carnage_setupfarahdoor" },
    { 0x52185DCF13DED165, "carnage_spawncorpses" },
    { 0x8EA9ACD3A879D658, "carnage_spawnenemies" },
    { 0x6BD1DB8184B1C5A9, "carnage_spawnvehicles" },
    { 0x3436BA3D32807A67, "carnage_start" },
    { 0x853B109C0D6F502B, "carnage_vehiclelogic" },
    { 0x8AB1076ECE38F5E2, "carnage_vehicleslogic" },
    { 0x78C0391E45916802, "carpunchcount" },
    { 0xA19E638BE89EC009, "carpunchers" },
    { 0x1AA962B5AE3DDFB6, "carriable_can_pickup" },
    { 0x7344F573940E894C, "carriable_damage_wait" },
    { 0xBDCD14E5B2CEC0CF, "carriable_detonate_neurotoxin" },
    { 0xB736A2B4F39BC4E3, "carriable_detonate_propane" },
    { 0x9C4BE359A3D401F6, "carriable_error_messsage_watch" },
    { 0x3CE4E4B6AADF08BA, "carriable_explode" },
    { 0x50E43AA61735E3C7, "carriable_fuse_light_watch" },
    { 0xFBD0A022EEB85417, "carriable_fuse_ui" },
    { 0xEFD75C3E37E43B8A, "carriable_inactive_delete_wait" },
    { 0x748479A2281A3BD7, "carriable_init" },
    { 0x66D1B3DCF515FEC6, "carriable_lightfuse" },
    { 0x7D735A0A348C5A8C, "carriable_physics_launch" },
    { 0x25A095265CCC1280, "carriable_physics_launch_drop" },
    { 0xB73B617DB1AD6791, "carriable_pickup" },
    { 0x13E1481E67E5AD6F, "carriable_pickup_wait" },
    { 0xD24384663C2244E9, "carriable_player_death_watch" },
    { 0xFDDE42F41126DE12, "carriable_player_state_drop_watch" },
    { 0x432ACA7159A51EB0, "carriable_ready" },
    { 0xE90403B03F1505C3, "carriable_respawn" },
    { 0xE70691497279EB06, "carriable_set_dropped" },
    { 0x05C2BFEE065D0217, "carriable_throw_watch" },
    { 0x986C5FA18B5DBA60, "carriable_watch_for_physics_collison" },
    { 0xB1F4AF94094D2B56, "carriable_weapon_change_watch" },
    { 0x8F3E12236DC6415C, "carriablemagicgrenades" },
    { 0x18F7A53547A201C4, "carriabletype" },
    { 0x8AA20B2C8949C575, "carriabletypes" },
    { 0xF3276B0FDB307EC5, "carried" },
    { 0xA17A9FFF3F32DE78, "carried_by_vehicle" },
    { 0xBB45E1AB2D839F04, "carried_catchup" },
    { 0xDC87EC6ED3932076, "carried_depth_of_field" },
    { 0x6855857F843B4DBF, "carried_dof" },
    { 0x2B3D93265F63AC8E, "carried_fireworks_trap" },
    { 0x4A6B437F6DF88F99, "carried_fov" },
    { 0xE44E7AF69864DF24, "carried_hostage_near_vehicle_monitor" },
    { 0xE924B9C9E6107BC7, "carried_main" },
    { 0x9D2ED772684B0000, "carried_mix_wait" },
    { 0xEAD80E7F7A559F8A, "carried_remove_fov_user_scale_override" },
    { 0x22F6A073569E951E, "carried_start" },
    { 0x389176D2A29C1430, "carried_start_vo" },
    { 0x7D53237E3F051DBC, "carried_time_dad_monitor" },
    { 0xC9A8BAB69E790608, "carried_time_player_monitor" },
    { 0xB6079AE1E458380D, "carried_trap" },
    { 0x98E87FE4E67C5B97, "carriedboombox" },
    { 0xDE2154869F3FCEF4, "carriedby" },
    { 0x7B46CE413D755488, "carriedgascan" },
    { 0x0B5940106E2C6388, "carriedims" },
    { 0x8832EC2297223F46, "carrieditem" },
    { 0x59A0A76E5F2F4A9C, "carriedmedusa" },
    { 0xEE34FD1058C36FFA, "carriedobj" },
    { 0x3BC3662823F2DE1A, "carriedobject" },
    { 0xFFDD86B222EC6ED5, "carriedpunchcard" },
    { 0x0F16EDE3BF59AEB0, "carriedrevocator" },
    { 0x855C1E61EF60FB0A, "carriedsentry" },
    { 0x5025F56DF7BB04A6, "carriedtrapangles" },
    { 0x0D3E2B34913AC2A5, "carriedtrapoffset" },
    { 0xF327750FDB3094C3, "carrier" },
    { 0x2EB9DE8D35173EF8, "carrier_cleanup" },
    { 0x1F2A045735783835, "carrier_remove_carriable_weapon" },
    { 0x5281C756DD82EDC2, "carrierarmor" },
    { 0x4C9883990583CD04, "carrierbonusscore" },
    { 0x7D5A08A36813628F, "carrierbonustime" },
    { 0x1F594CDD3E0A4AC9, "carrierendtime" },
    { 0x8C2023FCEE093630, "carriergivescore" },
    { 0x5D981133B9F8FD99, "carrierhascarryweaponinloadout" },
    { 0x6CFD747421F81147, "carriervisible" },
    { 0x5526699FA40A975C, "carrierweaponcurrent" },
    { 0xD6BF6E91EF6477A4, "carry" },
    { 0x9C8CA23B5B84C114, "carry_along_path" },
    { 0x61F5C3A7D93423DF, "carry_along_path_targetname" },
    { 0x6C4D979428F6C1E6, "carry_ref" },
    { 0xC5638F575F6C5424, "carry_struct" },
    { 0x1DCC466DD901DE60, "carry_to" },
    { 0xBB6A40AF0EE1463B, "carrycount" },
    { 0xB2C959FA3881F002, "carrydebuff" },
    { 0xDA1FFF5B909EB07E, "carryflag" },
    { 0xD6024C59ECDC40A5, "carryicon" },
    { 0x7FD8106BECF68E74, "carrying" },
    { 0x261ACBA12B7EB889, "carryingplayer" },
    { 0xDD9D48D1A556DBBC, "carryitem2omnvar" },
    { 0x2706EDC592CD6DFF, "carryiteminfo" },
    { 0xCB5669936D37366C, "carryitemomnvar" },
    { 0x29935D4E8E6652B1, "carrymodel" },
    { 0x3EF563EABA6AD4F3, "carryobject" },
    { 0x278D8FFA2A4F5749, "carryobject_overridemovingplatformdeath" },
    { 0xAB7F0A663F42E545, "carryobjectasset" },
    { 0x14DA851A0EEAD5AA, "carryobjectproxthink" },
    { 0x500DABBFE0073E14, "carryobjectproxthinkdelayed" },
    { 0xF77EF0615BCD461C, "carryobjects_onjuggernaut" },
    { 0xA72E0FA7709E7D9E, "carryobjectusethink" },
    { 0xEDD22BF389DDA990, "carryremoteuav_delete" },
    { 0x543DF53B13209D63, "carryremoteuav_handleexistence" },
    { 0x972C6BB68D155F05, "carryremoteuav_setcarried" },
    { 0xA4E6CEE049807B88, "carryweapon" },
    { 0x183C34193CEC0BA0, "carryweaponthink" },
    { 0x52CB6524A2C16B82, "cars" },
    { 0x769E35FF827D20BF, "cars_bomb" },
    { 0x9D05320F8EC6BCCC, "cart_directional_move" },
    { 0x57EACCEEB1F36561, "cart_push_trigger_array" },
    { 0x33821C0E99C43B5C, "cart_stop" },
    { 0xA6131D7153B57D7A, "case_opened_marker" },
    { 0x078627011465258F, "cash_hud_bink" },
    { 0xE0FA75BC56187F0F, "cash_scalar" },
    { 0xD803F5BA1E066A00, "cash_scalar_alt_weapon" },
    { 0xC5069D1177ACB764, "cash_scalar_weapon" },
    { 0x8A0A1E2764D59ECF, "cashleader_trackdeath" },
    { 0x5B72AC6C1D382D09, "cashleaderbag_attach" },
    { 0x4DD806BBEF5783B3, "cashleaderbag_detach" },
    { 0xF14842F29B49DDBB, "cashmetrics" },
    { 0x1A91FF267DC02231, "cashtorefund" },
    { 0x29CD5D22DEB61787, "cashtypes" },
    { 0x0A6043225B73C696, "castangles" },
    { 0x58E5D6778FC5AAC8, "castcontents" },
    { 0xF1C8F9B5884A89C2, "castdata" },
    { 0xA3EA1F02B2969683, "castdetail" },
    { 0xD93F3130859EC179, "castdir" },
    { 0x969E4A864372110C, "castdistantshadows" },
    { 0xFE25B710586600EA, "castdivisions" },
    { 0xE69B4C308EFE653F, "castend" },
    { 0x743199526D5518D3, "castfails" },
    { 0x4AED436F6EE44644, "castignore" },
    { 0xD0796C9E11A071E0, "casting_shadows" },
    { 0x8C4E6B6378F85077, "castingdynolights" },
    { 0xF86C025D6DD7C0D5, "castmaxtime" },
    { 0x08B50D7A11DC4982, "castrewardvalue" },
    { 0xC5863791E1C5C953, "casts" },
    { 0x6288F7BFF3177A5B, "castshadows" },
    { 0xD0CFEC9D6E6ED12B, "castspotshadows" },
    { 0xC84020FE8CBEAB8A, "caststart" },
    { 0x90B95A4E8E395434, "caststaticshadow" },
    { 0x8A612C6E78C8E550, "caststhisframe" },
    { 0xA27B2257A4104553, "caststotal" },
    { 0x7E74CC399BCDA442, "casttype" },
    { 0x388B77D38E7F37C0, "casual" },
    { 0x429DEDB181B47E7A, "casual_killer" },
    { 0x1992C3F24BB08F09, "casual_killer_damage_func" },
    { 0x635B5AC73C891599, "casual_killer_enemy_reaction" },
    { 0xF47509EAD6AE8299, "casual_killer_sweep" },
    { 0xE3C2989477DE271E, "casual_killer_targeting" },
    { 0x2FBF1092E87BBE17, "casualkiller" },
    { 0x2675FE046F41FE7A, "casualkillernewenemyreaction" },
    { 0xA3C8D1F8A44834B8, "casualkillershootpos" },
    { 0xA6ACDC07407BE593, "casualmode" },
    { 0x72218C4A60C962F1, "casualscorestreaks" },
    { 0xE4C8B40446AFD2E5, "casualshoulddosharpturn" },
    { 0x8DB4FD7C5393B229, "cat_array_add" },
    { 0xABAC4D7C69E4A39E, "cat_array_get" },
    { 0xB5F42FD0C48FCB05, "catch_alien_on_fire" },
    { 0x663BB9917AF5DA38, "catchballoondeployment" },
    { 0xFD5665C9C2DDDDF5, "catchup" },
    { 0xDA0BB0608FA78F8B, "catchup_struct" },
    { 0x64B3EDB5A5B2D2E1, "categories" },
    { 0x17F9933CE08F944D, "category" },
    { 0x4A4837B64D0DE845, "category_1" },
    { 0x4A4834B64D0DE1AC, "category_2" },
    { 0x2465B7E8D76F712F, "categorytogroup" },
    { 0x5C3D04F234B9B5FF, "cattleprod" },
    { 0x15637975DE17E3C8, "cattleprod_think" },
    { 0xD37EE33D259D9D4B, "catwalk_defender_behavior" },
    { 0xECAA71B8D63C263F, "catwalk_guys" },
    { 0x08C91DB3CDD0F780, "caught_dialogue" },
    { 0x18CC2F422699B557, "caught_enemiesandvehiclesmovementlogic" },
    { 0x5228A7F83BB398C5, "caught_enemiesreactionlogic" },
    { 0xB22B5D6ED80ABD41, "caught_enemiesshootlogic" },
    { 0xE1DDFED048EEEFAA, "caught_farahanimationlogic" },
    { 0xDC7745E678C50B6B, "caught_farahbackpackexplosionlogic" },
    { 0x56FCF921FC153F01, "caught_farahreachanimationlogic" },
    { 0x5EB08FF49E16E6BD, "caught_getanimationstruct" },
    { 0x1766781024E9DBA2, "caught_getenemies" },
    { 0x8D42F3E2501A3033, "caught_getenemyspawners" },
    { 0xC46BFB64C9D69151, "caught_getfarahpath" },
    { 0xAB0B03E062AD8D43, "caught_getvehicles" },
    { 0x1FC1DA046DBC567B, "caught_main" },
    { 0x44FAC8D1A9C8F80F, "caught_spawnenemies" },
    { 0x47710DB3341E88ED, "caught_spawnenemiesandvehicleslogic" },
    { 0x004374637D77CDD8, "caught_spawnvehicles" },
    { 0x0BCB3662F190BB0A, "caught_start" },
    { 0x745C9F426F4A8A09, "caught_vehicleshootlogic" },
    { 0x70194391A3BF8584, "cause" },
    { 0x55970179888C6B79, "cause_is_explosive" },
    { 0xCE77AC152A56CFFD, "causeofdeath" },
    { 0xE0567F01A6D58A52, "cautious_approach_till_close" },
    { 0xDBAED5CD79113AF4, "cautiouslookaheaddist" },
    { 0x765D5BD4C792CDC6, "cautiousnavigation" },
    { 0xCD7B99751A10D3BA, "cave_barrels" },
    { 0xFBBB459BF0D57DA5, "cave_combat" },
    { 0x99E94BF89253F24C, "cave_initial_enemy_goto_struct_on_spawn_and_wait_till_seen" },
    { 0xC4E1D92652969FBA, "cbfunc" },
    { 0x15D5819E5E805877, "cbreakers" },
    { 0x544AC38546708A29, "cctv_camera_look_speed" },
    { 0xB1ECCCF23DE57D3E, "cctv_camera_overlay" },
    { 0x004FAA70FC8A73C8, "cctv_enter_add_fov_user_scale_override" },
    { 0x988023221E9972AE, "cctv_fade_in" },
    { 0xDEABEB7D90465199, "cctv_mic" },
    { 0x437AD50461E8C9E0, "cctv_opening_scene_bink" },
    { 0xC366EDF65C2EB2A1, "cctv_outro_bink_catchup" },
    { 0x08D45C5AD79C77F8, "cctv_outro_bink_main" },
    { 0x2669A674EA3231AF, "cctv_outro_bink_start" },
    { 0xF4F1B806EAD10205, "cctv_part_3_fail_trig" },
    { 0x8EB1E8E9CFEC7243, "cctv_save_points" },
    { 0xB0A84F5C32D2CE25, "cctv_spot_light_limit" },
    { 0x458B8CB8D54F80B5, "cctv_vo" },
    { 0x75332DA3CD8CCDB5, "cdlgametuning" },
    { 0x16A3B22475E0E3E4, "ceil" },
    { 0x850E26B23143508F, "ceiling_custom_death_success" },
    { 0xC32B6BB24FFBC0B4, "ceiling_guy_corpse_tripwire" },
    { 0x1912A54E17451DE8, "ceiling_guy_flashlight_helper" },
    { 0xD9D0ACCF3F9867D3, "ceiling_guy_run_away_if_losses_player" },
    { 0x6A7BA702AE0A3575, "ceiling_guy_warning_shots" },
    { 0x726B3A534C07D75C, "ceiling_infinite_ammo" },
    { 0x3BB82B968A586F4E, "ceiling_stance_think" },
    { 0x17EE2B482D0667B0, "ceilingdust" },
    { 0x6FD08F5D5AE51839, "celebration_end" },
    { 0x94FCA4A74D77AD20, "cell_close_doors" },
    { 0x6190B306BBAF0AE4, "cell_door_button_check" },
    { 0x7396960D4CB60195, "cell_door_check" },
    { 0xB9DB5A3DF2148814, "cell_escape_catchup" },
    { 0x8FE98F48E27559B9, "cell_escape_flags" },
    { 0xEA3BF6A5335D6A97, "cell_escape_main" },
    { 0x7F51159FFA08F70E, "cell_escape_start" },
    { 0x60D12BBA756E683C, "cell_open_doors" },
    { 0x3AAFC83A473FE4A2, "cell_phone" },
    { 0xAC0661D485E1329E, "cellblock_close_door" },
    { 0x79E696C26A051EF5, "cellblock_escape_catchup" },
    { 0x0FBCDFE1F872D3E8, "cellblock_escape_flags" },
    { 0x8A190F876F805714, "cellblock_escape_main" },
    { 0x5D42741EA36B0F03, "cellblock_escape_start" },
    { 0xB68D570BA629D430, "cellblock_open_door" },
    { 0xB2CCF681F26721B1, "cellblockgate" },
    { 0x3A9C7D574132A006, "cellchair" },
    { 0xC706A39D42C46B2B, "celldoorclip" },
    { 0xA70968A6442B2E12, "celldoors" },
    { 0x499D10FF772A867C, "celldoorsinuse" },
    { 0xC578B3521671CA5A, "celldoorsopen" },
    { 0x9C77AD0615530A63, "cellphone" },
    { 0xE205EEEE2CCA216F, "cellphone_deathanim" },
    { 0x927E8536EC0046B9, "cellphone_guy_ondeath" },
    { 0x3DB2510990356BBF, "cellphone_guy_vo" },
    { 0x7C3666490696118D, "cellphone_hint" },
    { 0x920D662FDC93F3E0, "cellphone_hint_backup" },
    { 0x36CB95FE08FF612A, "cellphone_hint_listener" },
    { 0xAB95049BC8132A1B, "cellphone_react" },
    { 0xCCCD8E244E7F03C5, "cellphone_timer" },
    { 0x97230A5C08620EBB, "cellphone_use_deathanim" },
    { 0x2AB77708D4B38813, "cells_cascade" },
    { 0x6D55F763F6D26A15, "cellspawns" },
    { 0xDDC4E68AD65C8D20, "center" },
    { 0x52CC3DA67CD69037, "center_chopper_save_watcher" },
    { 0xC89E86CEF4E4B37C, "center_compromises" },
    { 0xC26C1FAE8DE7C351, "center_enemy_spawnfunc" },
    { 0x160B4DB9AF6A4202, "center_guys_to_volume" },
    { 0x8DE1FC3CAA11DB5A, "center_invulnerable" },
    { 0xBCE36AE728B0EDD5, "center_node" },
    { 0xD2C0CF389DD928D7, "center_origin" },
    { 0x6B9D080196A31799, "center_point" },
    { 0xC76FBE7E70ABAEA8, "center_struct" },
    { 0xB305C0F9EF5F0A35, "centeraimpoint" },
    { 0x20E4DAD7DA56F132, "centerflag" },
    { 0xE84126C8324C19A7, "centerprint" },
    { 0xCCF9C8DFE832944C, "centerpt" },
    { 0x1A2F426BBDE380BD, "centerref" },
    { 0x149456556D8ACD89, "centers" },
    { 0xB1928FC5B9271829, "centertarget" },
    { 0xC50A4D0BDEC47E15, "cfxprintln" },
    { 0x3219CD903A00305A, "cfxprintlnend" },
    { 0x843020C84CD0002F, "cfxprintlnstart" },
    { 0xF259641C431C2C40, "chainfallback" },
    { 0xE70B72B2A04BE79E, "chainnode" },
    { 0x9EA0712E4FF2CF1E, "chair" },
    { 0x9F353012646F4AF7, "chair_carry_enter" },
    { 0x28945AA81EAD18A6, "chair_check_show_cursor" },
    { 0xC248E31391B76A46, "chair_done_enter" },
    { 0xF11014FA0D0D1BFC, "chair_done_handler" },
    { 0xD6330A4FC5836F34, "chair_idle_enter" },
    { 0x9A95B63BAA95D65B, "chair_idle_update" },
    { 0x892DE933ADBF9E08, "chair_place_hint_timer" },
    { 0xD66EFB5C64E6B440, "chair_rotate" },
    { 0xE6894EB1F946F869, "chairneardoorvol" },
    { 0x45A2621187E86EBF, "chairplacedpos" },
    { 0x202A3BF76D85BD24, "challenge_name" },
    { 0xB67F144BF64CDB77, "challenge_results" },
    { 0x4A0737BC754FD30B, "challengeandeventglobals" },
    { 0x41E6F2A267952503, "challengeevaluator" },
    { 0x6BA1494FE11AA391, "challengefailurenumber" },
    { 0x4F8CEAAFA6B8B2EA, "challengeglobals" },
    { 0x12AB3FCF5084F116, "challenges_init" },
    { 0x875EA54DC224C835, "challengesallowed" },
    { 0xA5F06FEFA9818A6C, "challengescompleted" },
    { 0x694151D877150093, "challengesdisabled" },
    { 0xA001D0343B8757F8, "challengesenabled" },
    { 0x7CC8CFFBF23C3E46, "challengesenabledforplayer" },
    { 0xF4050818F6EA40BB, "challengestarttime" },
    { 0xD89D078ADFE89B31, "challengetimersenabled" },
    { 0x8B4E819984427E49, "challengetimersenabledforplayer" },
    { 0x2AB43541484CF777, "challengetrackerforjuggkills" },
    { 0xE47C892E667181AA, "champion" },
    { 0xD1386E0587275700, "chance_func" },
    { 0xA20E66CB884F6CC6, "chance_to_play" },
    { 0xEAF85D42AA510092, "chancevalue" },
    { 0x57E7A465A31EA7EC, "change_ai_speed_while_offscreen" },
    { 0x78717D03CD3D4B5B, "change_animshot_dir" },
    { 0x23E266001FBE5885, "change_apc_label" },
    { 0x1CD20CD043900719, "change_camera" },
    { 0xF9E808C4A34A4DEF, "change_civ01_deathanim" },
    { 0x68A83FDB8C56C5C6, "change_civ02_deathanim" },
    { 0xA68848A05A392A37, "change_civ04_deathanima" },
    { 0xA68849A05A392C6A, "change_civ04_deathanimb" },
    { 0xD5D4EA566276B4BC, "change_convoy_objective_target" },
    { 0xE356F520C5756675, "change_fronttruck_label" },
    { 0x6B852901EB76EDD5, "change_goal_radius_weapons_free" },
    { 0xF45C683736303153, "change_goal_radius_weapons_free_internal" },
    { 0x3CDF2F9B00F755A1, "change_keypad_display_digit" },
    { 0x005FF59852912A9D, "change_loadout_watcher" },
    { 0x9BEEBB0A7930BA3F, "change_module_start_escalation" },
    { 0x3E4D5C979DA1223D, "change_module_status" },
    { 0x2F48BA2EB827B2C0, "change_player_health_packets" },
    { 0xB5332B4FBBCDA5DB, "change_riders_demeanor" },
    { 0x9891E1539FB4C85E, "change_scene_speed_while_offscreen" },
    { 0x9A0B60DB9E23DA7F, "change_state" },
    { 0x7A326BA207A5E209, "change_stealth_state_to" },
    { 0xA4BF8A41A98DAA7C, "change_stealth_state_to_combat_warpper" },
    { 0xF9C0A98AD4BDBA4A, "change_texts_green" },
    { 0x519C9606BCA0BE39, "change_to_barkov_dof" },
    { 0x7307D7AA11443132, "change_to_terrorist_archetype_selected" },
    { 0xD58EBF601E178520, "change_to_terrorist_model" },
    { 0xC1948EDB3FF9D3FF, "change_to_terrorist_model_func" },
    { 0xB56F79EFC184DAA8, "change_to_terrorist_model_internal" },
    { 0x754C0BDC47B01E3D, "change_yaw_angle" },
    { 0x3B759BB78519B118, "changearchetype" },
    { 0x1A5E565FCDC3C32A, "changecirclestateatlowtime" },
    { 0x4E23C659716A95E9, "changed_team" },
    { 0x7171728E630FC162, "changedarchetypeinfo" },
    { 0x2AE74E3C974E36C7, "changedteams" },
    { 0x6520EF64E489492D, "changefontscaleovertime" },
    { 0x93668A9CF480BEAD, "changeheadicontext" },
    { 0x31DA3A3BE273DF99, "changeheading" },
    { 0xDD2FFD2B8725F9F9, "changelevel" },
    { 0x2A677CB121362F9F, "changelightcolorto" },
    { 0xA040A2D1BA59DAF9, "changelightcolortoworkerthread" },
    { 0xFBCB749429D800B4, "changemaxpitchrollwhenclosetogoal" },
    { 0x27B9E08DE0B406AC, "changenumdomflags" },
    { 0x817DF50E276CAA38, "changeowner" },
    { 0xE9D4A028A387081B, "changepropkey" },
    { 0x0EA3DF1EBBE58F63, "changesleft" },
    { 0xE20BB09F4B02F27C, "changestanceforfuntime" },
    { 0x03150DD70C368D12, "changestancestarttime" },
    { 0x8BD006E206207562, "changestate" },
    { 0x409717B5EB54BBCD, "changetestrig" },
    { 0x01780101AD05EBCD, "changetestslot" },
    { 0xB5D7C22F76FF63DF, "changetesttaunt" },
    { 0x9124C540D2446049, "changetimertoovertimetimer" },
    { 0xDB8DB4C9902E9F63, "changetomorales2" },
    { 0xDB8DB3C9902E9D30, "changetomorales3" },
    { 0xA2168B06F63EC971, "changing_loadout" },
    { 0x5F746F713D835DA5, "changingtoregularinfected" },
    { 0x2B183CC1C9996804, "changingtoregularinfectedbykill" },
    { 0xC94D84821101FDE2, "changingweapon" },
    { 0xBD88CA17D5CB5B1B, "channelname" },
    { 0x77936D26EFFC14B1, "channels" },
    { 0xBAA313CDE9A5BCC7, "chaos_update_spending_currency_event" },
    { 0xBB3787771A9C6A56, "char_index" },
    { 0x358CCEF2C945D374, "char_loc" },
    { 0xD1EA796CB96D5389, "character_hat_index" },
    { 0x4953AFEE309E1D0C, "character_head_index" },
    { 0x86D965F604304632, "character_index_cache" },
    { 0x4C9AE7D0C8ECAF9F, "character_model_cache" },
    { 0xA7BBD0CB8244B19D, "charactercac" },
    { 0x94E0CE308F933E29, "characterid" },
    { 0xD093C611D1E01055, "characters" },
    { 0x6B6406DA45EF76BD, "charge" },
    { 0x6458EC1A46434945, "charge_ally_variable_speed" },
    { 0xAB2050F853CAB627, "charge_allypathlogic" },
    { 0xDFE36B96D4AB987C, "charge_catchup" },
    { 0xCEE6D4CA7A10167A, "charge_enemy" },
    { 0xFC7FF5E39170A9B9, "charge_enemy_behavior" },
    { 0xCB98B725A9B09B85, "charge_explosion_01" },
    { 0xC68C4097B0CC3E3C, "charge_getallypaths" },
    { 0x4BC1B4AFB8EFEC95, "charge_getplayerexittrigger" },
    { 0x328F4E7CC9DC1D44, "charge_getredshirts" },
    { 0xF8E5AF760CA080CF, "charge_main" },
    { 0xC01E3350002BA39B, "charge_redshirtssfxlogic" },
    { 0x29F08A2FCF059849, "charge_setalliestoredshirts" },
    { 0x4443CF3B03623686, "charge_start" },
    { 0x1FC22518E56663B6, "charge_watcher" },
    { 0x1C71EB07CDA25F3B, "charged" },
    { 0x78CE4ABB582AEAA2, "chargemode_hint_displayed" },
    { 0xF4A6EFC23C62DC00, "chargemode_speedscale" },
    { 0x1C71E007CDA2470A, "charges" },
    { 0x41A7A67E2345D185, "charges_planted" },
    { 0x81B84228BB46E516, "charging" },
    { 0x98844D076C6DC845, "charlie" },
    { 0xD8BDDD53756FDB82, "charlie3" },
    { 0xF090A4F5A31F4572, "charlie_heli_lights" },
    { 0x9ECC782E502344E9, "chase" },
    { 0x9EBAFDF9452C9017, "chase_cam_ent" },
    { 0x8DBCA64FD6D19DC1, "chase_cam_last_num" },
    { 0x81E771C99B6F841B, "chase_cam_target" },
    { 0x91A29BD009CFB5AE, "chase_hvt_vo" },
    { 0x197664A8EEED0BC0, "chasecam" },
    { 0xD708A26F58528D4D, "chasecam_onent" },
    { 0xDD81843691D51A0B, "chaseplayerthenreverttostealth" },
    { 0x93646BF4D1A0C103, "chassis" },
    { 0x1D4FE044C0DD7613, "chatinitialized" },
    { 0x68EA3B1395FF57E6, "chatqueue" },
    { 0xBE5AC6333F70B755, "chatter_loop" },
    { 0xF89D595195BDE5D3, "chatter_loop_internal" },
    { 0x634659B48339C79C, "cheapopen" },
    { 0xAC4D116E4EDD3080, "cheat_save" },
    { 0x5D77002B7D7A29B8, "cheatammoifnecessary" },
    { 0x65B5A56EAC827583, "check_add_beam_nags" },
    { 0x5E4E38C6DAD3E734, "check_aiming_flashbang" },
    { 0xE6BAF9E20151405A, "check_aiming_noisemaker" },
    { 0x2291D6CE1681A727, "check_all_previous_in_pathing" },
    { 0x31782E7CD6D5A2D0, "check_alley_group_dead" },
    { 0x3451422E2DEFA4BB, "check_allow_mantle_hud" },
    { 0x9EF93357A0CBF33C, "check_alt_fire" },
    { 0x078B248284FC0832, "check_and_kill" },
    { 0x1E2E818AC8675F76, "check_and_update_best_stats" },
    { 0xFDF2DF5A096BF6F3, "check_around_the_area" },
    { 0x8F62199C0B8F7B20, "check_attach_jerrycan" },
    { 0xD416324FBB99ECDC, "check_backup_is_set" },
    { 0xEED6D11C76509CCB, "check_best_score" },
    { 0x0CF203FBE6A93164, "check_bonus_leads_xp" },
    { 0x8353D06FB8419E76, "check_callin_strike" },
    { 0x83811B88F59B9DBC, "check_cannot_spawn_tank" },
    { 0x0A827AA17D5BCA77, "check_carrier_status" },
    { 0x58C0FD6C27F6B7AD, "check_chair_door_blocked" },
    { 0x0276F5980768B09B, "check_cleared_residence" },
    { 0xD488CF5ACF8A4584, "check_close_side_gate" },
    { 0x74F7FEAFE6502914, "check_corner_enter" },
    { 0x26D52DC0729E258E, "check_crate_unreachable" },
    { 0xC24F33A12286ED5E, "check_createfx_limit" },
    { 0x4CA735F3A81B2DAA, "check_crouch" },
    { 0x19A47D08DC9744CF, "check_defender_damaged" },
    { 0x5A930AC0AC214D6F, "check_delete" },
    { 0x14CA56685B9F87B5, "check_digit_models_to_create" },
    { 0x347B3943CD9E81CD, "check_dismemberment_vfx" },
    { 0xF852C04F4275C2E7, "check_do_food_nag" },
    { 0x86265128D78C1968, "check_door_button_interact" },
    { 0xD32963D28A65314F, "check_dropped_locations_and_offset" },
    { 0x723BBA84F93012B7, "check_dropped_weapon" },
    { 0x99A4305D741F573F, "check_drs" },
    { 0x0D89E3BE6C519021, "check_encounter_start_conditions" },
    { 0xC4948594892710DA, "check_end_bookcase_dialogue" },
    { 0x04E95787379A3F00, "check_end_game" },
    { 0x2E8A7A1A99DA5438, "check_enter_chair" },
    { 0xD70B83603402BD32, "check_enter_chair_vo" },
    { 0x90EA12EB8FB7B76C, "check_entered_through_secure_door" },
    { 0x74F2530761E26063, "check_event_flag" },
    { 0x249AC2B5C1300124, "check_exit_vent_look" },
    { 0x2205003C193E241B, "check_facing_russian_scene" },
    { 0xDC57B854E9C52655, "check_factory_group_dead" },
    { 0x82D4B1ADAF3E1FC6, "check_feedback_starts_existance" },
    { 0x6152392CA3EBB7DF, "check_for_at_set_final_wave" },
    { 0xD13062CE99050426, "check_for_blacklisted_attachment" },
    { 0xB93A694923498E41, "check_for_clip_deletion" },
    { 0xF0E9A554DDD6AB7D, "check_for_close_victim" },
    { 0xC1B92239C3384007, "check_for_damage_scalar_change" },
    { 0x16AA71F88A361FC9, "check_for_drop" },
    { 0xCDB0637F54B39436, "check_for_early_impact" },
    { 0x48C805B2B3E4CB84, "check_for_empty_munitions" },
    { 0xBCC95D8E399EC891, "check_for_execution_allows" },
    { 0x283AAFAA55B0D052, "check_for_explosive_shotgun_damage" },
    { 0x1B7F5C7DF98495E0, "check_for_get_up" },
    { 0x8ADAA92FD1E4B714, "check_for_gl_proj_override" },
    { 0xFB2FA875C87B22CF, "check_for_grenade_kill" },
    { 0x143B920E8D62AE6A, "check_for_invalid_attachments" },
    { 0x375203E5207715CF, "check_for_moody_traversal" },
    { 0x16D36FFD01F4A41C, "check_for_more_players" },
    { 0x5BCC27A2B503E906, "check_for_move_change" },
    { 0xCF4417AE78355A01, "check_for_movement" },
    { 0xF8F6370F18A6E231, "check_for_nearby_packages" },
    { 0x59F91B49CDCB1BD1, "check_for_objective_timer" },
    { 0xEB15EC91792D5C27, "check_for_sniper_achievement" },
    { 0xBA45821AAE6D9D83, "check_for_solo" },
    { 0x5127985198D5A1C1, "check_for_special_damage" },
    { 0x6598A0FD8E0297A5, "check_for_trexremoval" },
    { 0x45AB2AFE65439A1C, "check_for_unloading_func" },
    { 0x75FAA73F1DD2423E, "check_for_vehicle_in_front" },
    { 0x1A620E6F2A94E262, "check_for_vehicle_trace" },
    { 0x712BA9E48623A366, "check_for_vehicle_unload" },
    { 0xB4F3574B50FCCCF1, "check_forest_walk_anim_speed" },
    { 0x3175F1BDF9D41C30, "check_found_player" },
    { 0xA164DC5AD6BCFC55, "check_front_guards_go_hot" },
    { 0x4E626E944C057337, "check_gesture_not_obstructed" },
    { 0xCB8A683AA5A1128B, "check_going_behind_barkov" },
    { 0xA71CE55BD530AEB3, "check_got_gun" },
    { 0xC8D14C91651ED06D, "check_grabbed" },
    { 0xF8069B88D5741A52, "check_grenade" },
    { 0x67CB73E6B371EB01, "check_health_status" },
    { 0x0C0ECCF49AB89080, "check_heard_player" },
    { 0x4464195DF00FB806, "check_hvt" },
    { 0xB649270A53673F3A, "check_ied_blow_up_sight_blocker" },
    { 0xE00E818FF89D31E6, "check_ied_explodes_near_enemy_hvt" },
    { 0x5A1FE2692E229897, "check_if_ac130_can_see_player" },
    { 0x79B5A65B5E65F06E, "check_if_frozen" },
    { 0xA3D090CA00C14C01, "check_if_guys_are_ready" },
    { 0x29BF56DCD0AA18D6, "check_if_player_is_downed" },
    { 0x2928BC2188077DF6, "check_if_player_is_outside" },
    { 0x3107E0C95266C5F4, "check_if_players_are_not_in_plane" },
    { 0x7F1F4C0871FFF17A, "check_if_throwing_smoke" },
    { 0x707F36571B3A8CC6, "check_in_drain" },
    { 0xDBC5ADEFCDB6B26E, "check_init_beam_nags" },
    { 0xBACFDDC43C96FCB3, "check_initial_group_dead" },
    { 0xCE436A4F3A5C53C7, "check_interact_door" },
    { 0xFE6AEBDB5A6AAB64, "check_interrupt_search" },
    { 0x00D3A3322459549B, "check_interrupt_threshold" },
    { 0x44B5C909E66E92B5, "check_is_visible" },
    { 0x29FD4C2604670060, "check_item_found" },
    { 0xB923B91A8F923E32, "check_item_interact" },
    { 0x517DF9444D4C6642, "check_jump_at_chair" },
    { 0x75907FF35C0C4D66, "check_kill_azadeh" },
    { 0xF22FEEFB343EDAFC, "check_kill_damage" },
    { 0x2884F57FB0BEB30F, "check_kill_final_defender" },
    { 0x8FBBFD1B707D2660, "check_kill_overlook" },
    { 0xB9C5C8D819CAAC99, "check_lbravo_hover_retreat" },
    { 0x85C0139ACF573057, "check_lightswitch_cleanup" },
    { 0x012C28BBFA8E08F0, "check_limit_type" },
    { 0xB42AD373FDCD7DA0, "check_littlebird_damage_states" },
    { 0x3D38A0D4FC4F1DE7, "check_location_start_conditions" },
    { 0x3D5168853CA9F04A, "check_lookat" },
    { 0x73F842158D76B64A, "check_lookat_guy" },
    { 0x7372FD1ED5EC56A7, "check_looking_at" },
    { 0x866499B74FF6229A, "check_los_and_proximity" },
    { 0x25408CA065ED1D56, "check_lost_player" },
    { 0x5E775671E73B8452, "check_loud_weapon_fire" },
    { 0xB01C34D40FD9D24B, "check_marines" },
    { 0xD5CD6755350A4620, "check_maze_ai_state" },
    { 0x5C93B4081974899D, "check_missile_fire_vo" },
    { 0xB4BD0A9CCE3B902C, "check_missiles_reloaded_vo" },
    { 0xBB78FB337527EA14, "check_molotov_fires" },
    { 0x5199AC8E61639AE1, "check_mount" },
    { 0xAC6A65624449AC70, "check_nag_open_door" },
    { 0xCDC19BEC6EED6E3C, "check_nag_out_of_cell" },
    { 0x37C807C7ECE7DBC3, "check_nag_to_warehouse_door" },
    { 0xCC653AA04D697FEB, "check_node_is_claimed" },
    { 0xB059CABA505E9DD9, "check_objective_button_pressed" },
    { 0x3C427ED6B9B9AB99, "check_objective_reset_value" },
    { 0xBD269A73C692ED16, "check_open_gun_locker" },
    { 0x9377AFBA265E1F87, "check_other_haslevelveteranachievement" },
    { 0x44DF408597DCE6FD, "check_overlook_grenades" },
    { 0x7FC541AFDC82B664, "check_overlook_patrol" },
    { 0x181E95E842C94C03, "check_owner" },
    { 0x7AC2FB11EFFECA9B, "check_pickup_noisemaker" },
    { 0xEE20D548F6177C49, "check_player_attacker" },
    { 0xB5A63A3FB82461EC, "check_player_can_stealth_kill_me" },
    { 0x69F868AAC7955212, "check_player_flashlight_visible_to_patrol" },
    { 0x8AB5EDDE54ED550D, "check_player_left_corner" },
    { 0xB64968FDB099F968, "check_player_pos" },
    { 0x9701E00312089B27, "check_player_pos_flag" },
    { 0x7910AFC0F2EB8948, "check_player_prox_in_air" },
    { 0x477E336D6EC29059, "check_player_prox_on_ground" },
    { 0x3439E6DD13FA300A, "check_player_psycho" },
    { 0xC15B2C25F87B0263, "check_player_too_close" },
    { 0xFFCB6E42645EBB41, "check_player_trying_to_obstruct_exit" },
    { 0x0D24F7F523070E5D, "check_player_use_vent" },
    { 0x4D3E063B3B773A76, "check_player_used_tacmap" },
    { 0xB9D89982AD734AB5, "check_player_visibility_to_patrol" },
    { 0xB15BF72054F8FD97, "check_prerequisites_then_start_event" },
    { 0x888FD3FCCF7EA7B1, "check_price_and_player" },
    { 0x188CFF029D21E4AD, "check_rat_run" },
    { 0x092860C1D1AE9CDB, "check_reactive_fx_type" },
    { 0xCE0A709A4BF73322, "check_rush_past_guards" },
    { 0x2D3CD21C1DBED327, "check_script_noteworthy" },
    { 0xE79E6F3F2F3A33ED, "check_show_laser" },
    { 0xA7E9EA0DE502C724, "check_show_take_key_cursor" },
    { 0x14BBEBA008B464FB, "check_skip" },
    { 0xD62D9877256420EB, "check_skip_outro" },
    { 0xEF9628CA74DDD6DE, "check_sniper_dead" },
    { 0x0D43F9ABDE02C81D, "check_sound_tag_dupe" },
    { 0xCA92B6864DF42889, "check_sound_tag_dupe_reset" },
    { 0x07B711045872FBA2, "check_spawn_point" },
    { 0xD488E33F1C2A12C6, "check_spotter_idle_time" },
    { 0xCC14423DEB117830, "check_sprinting" },
    { 0x175FD212B75DA756, "check_stab_countered" },
    { 0x94DA851467AEF38B, "check_stabbed" },
    { 0xC20700D7F4EDBAC7, "check_start_conditions" },
    { 0x7B95248ED8C6A46C, "check_stay_in_river" },
    { 0xAB8EA4FB0229C40B, "check_stealth" },
    { 0x6D8D6FF19D5337F5, "check_stealth_kill_visible" },
    { 0x9CFE860D8D169F6E, "check_stealth_state_change" },
    { 0xC716451B15ED40E3, "check_stepped_back_from_bars" },
    { 0xB4A9A17B0BA9A0F8, "check_sting_is_clear" },
    { 0xD74248D371C20F24, "check_swap_weapon" },
    { 0x1A5C67C9CD410152, "check_swipe_melee_dmg" },
    { 0xA43C3C919E76A6B9, "check_take_frag_grenade" },
    { 0xC2EACF18DE94F2D2, "check_target_in_hit_zone" },
    { 0x2A4559BEBCFF066B, "check_target_is_valid" },
    { 0xEF615484EF974D91, "check_threw_flashbang" },
    { 0xDA7E6E2A2C176739, "check_threw_noisemaker" },
    { 0x4431F97123B8FC22, "check_throw_grenade_during_patrol" },
    { 0xC98D5A8C3734A134, "check_time_in_ads" },
    { 0x05283435381B8D7B, "check_tower_guard" },
    { 0x0837F62953F6CDFB, "check_trigger_spawnflags" },
    { 0xAF9F611493431CF5, "check_try_pickup_stunstick" },
    { 0x3E1B6E7818F9B736, "check_unloadgroup" },
    { 0x46A67FFBEEA621C3, "check_use_grate_cover" },
    { 0x09173A96DDE04B3B, "check_use_vent_cover" },
    { 0x046F92C5B77BC9DD, "check_view_window_scene" },
    { 0xE9DEEE5A3B5F14AE, "check_warp_struct" },
    { 0x04EF8F8AE891D581, "check_weapon_switch" },
    { 0x926CD649A7E17754, "checkadvanceonenemyconditions" },
    { 0xF45E29439B941F14, "checkallowspectating" },
    { 0x42138BE691E2BFDF, "checkaltmodestatus" },
    { 0xCB4F06A332804BD9, "checkammopickup" },
    { 0xCFB2110F438225CD, "checkamorused" },
    { 0x6EF8F7981FA83744, "checkandreportchallengetimer" },
    { 0xD6E61E0516537616, "checkarmorpickup" },
    { 0x826BB0CC33D3E0CD, "checkarrivaltypecivilian" },
    { 0x5FFC0FDCD29AD348, "checkattacker" },
    { 0x0D36A3C9FDD7B930, "checkballjiprules" },
    { 0x1E44DFC389B23F21, "checkbcstatevalid" },
    { 0xCCD4CEEC656E841E, "checkbluemassacre" },
    { 0xDAC8FF27915C49FC, "checkboosttraversal" },
    { 0x0BA7BA0885A54BF1, "checkcarpuncherprogress" },
    { 0xAEDE41A8A972FAEE, "checkcarpuncherprogressgeneric" },
    { 0xACEF0CC64D452DFF, "checkcarryobjectpickupcheck" },
    { 0xC88B703B813AF64C, "checkcasualstreaksreset" },
    { 0x6FB6CED0FC4761C1, "checkcasualty" },
    { 0x0303BDF5F5E3A2FD, "checkclassstructarray" },
    { 0x6CC950EFA57FEC3A, "checkcodcasterplayerdataexists" },
    { 0xCBE0AF725D91210D, "checkcodeentered" },
    { 0xCF93B6D6402C57B4, "checkcoverforsidearm" },
    { 0x4461E58961633DE0, "checkcovermultichangerequest" },
    { 0xD85EB885D263A57B, "checkcritchance" },
    { 0x9D001D603D7AE328, "checkctfjiprules" },
    { 0x586CE3D63C37D10D, "checkcurrentequiptypeammocount" },
    { 0x70CE055940BBF479, "checkdamagesourcerelicswat" },
    { 0x47774A9F39051595, "checkddjiprules" },
    { 0xFE8FF0A59D785A52, "checkdefaultjiprules" },
    { 0x9A63AD768FEFE93A, "checkdodge" },
    { 0xEB3EAB8A26615C87, "checkdomjiprules" },
    { 0xFB048886BC274B71, "checkdoublejumpfinish" },
    { 0xF38683F76EC4561C, "checkdynamicspawns" },
    { 0xE90AE1F653CE294E, "checked_missiles" },
    { 0x787D18685C27EE82, "checkendgame" },
    { 0x8782C8A65F5A3DD9, "checkenemiesinfov" },
    { 0xE5C536407BA873A6, "checkequipforrugged" },
    { 0x642F24FB289B7A2C, "checkfeaturevalue" },
    { 0xB6CC3E66C4171983, "checkffascorejip" },
    { 0xBF853B6CF7065899, "checkfinalkillachievements" },
    { 0x94331C740AB9E5D0, "checkforactiveobjicon" },
    { 0x839A3E54B3897246, "checkforafk" },
    { 0x33DAEA74D25C55AE, "checkforammoquickdrop" },
    { 0x2FF0FF1C6DCEF137, "checkforarenaloadoutoverride" },
    { 0x23D515FA6E1C8B48, "checkforbestweapon" },
    { 0xEAD0DA3F79F8E91F, "checkforcorrectinstance" },
    { 0xBA6297E7AD75655D, "checkforghostweaponfire" },
    { 0x230EFDD3636F9111, "checkforinstance" },
    { 0x7039534564535AD1, "checkforinvalidattachments" },
    { 0x50A0680B20D89F99, "checkforlaststandfinish" },
    { 0x7674CF35F55B6E55, "checkforlaststandwipe" },
    { 0x484F384DAEBB42F1, "checkforlootitemtrigger" },
    { 0x15E71CF86613186C, "checkformatchend" },
    { 0x357F8B7757325F4D, "checkforovertime" },
    { 0xE92514D2FAA1B845, "checkforpersonalbests" },
    { 0x1DD67D4AA3064A4D, "checkforspecialistbonusvo" },
    { 0xC710001D6951CBD7, "checkforsubgametypeoverrides" },
    { 0x87AE742ED1789EC6, "checkgesturethread" },
    { 0x802DF8A625D3F731, "checkgraymassacre" },
    { 0x1527DB6EA7F35293, "checkgreenmassacre" },
    { 0x2AF084A59EBCD84C, "checkgrenadelaunch" },
    { 0x32D03306BADC4016, "checkgrenadelaunchpos" },
    { 0xC19EA14F051C75D5, "checkgrenadethrow" },
    { 0x2D654AFEB6D4FE19, "checkgrenadethrowdist" },
    { 0x462519E8C31D93B9, "checkgrenadethrowpos" },
    { 0x8C51E63D8212258A, "checkgroup" },
    { 0x8C35ED44F7802FC4, "checkgrowth" },
    { 0x39ECA1167A7F3A77, "checkgulagusecount" },
    { 0x005C9C057EED51E6, "checkhealthwinner" },
    { 0xD3A365D10416E464, "checkhit" },
    { 0x61A85BF2F11D7B99, "checkhostagescoring" },
    { 0x636653334C8BC140, "checkifplayerrewardsareenabled" },
    { 0x697E4B5C66C58EE4, "checkifteamrewardsareenabled" },
    { 0x655F1B4CC6612B40, "checkifvalidpropspectate" },
    { 0x0A4AF2F8A42423A0, "checkin" },
    { 0x60E2AF78C5540031, "checkin_guard_idle" },
    { 0x17391647090568CE, "checkin_weapons" },
    { 0xFF2E016B1AE1E843, "checkinflictor" },
    { 0x867653CD83930958, "checkinteractteam" },
    { 0x062C34918FC592C9, "checkisfacing" },
    { 0x17C604C6258D57C7, "checkissameequip" },
    { 0xD3C7D0E6F50E1B75, "checkkillcamtruncation" },
    { 0xAB194DD42C731209, "checkkillrespawn" },
    { 0x1E723B0245622335, "checkkillstreakcratedrop" },
    { 0xBE78C28D2BEBFCF8, "checkkillstreakkillevents" },
    { 0x4AA20E1AAE4626EE, "checklethalequipmentachievement" },
    { 0xE6987EC00DF57130, "checklinktotrain" },
    { 0x9C020114910BA871, "checklinktotraininternal" },
    { 0xF1E2B535363DDB2D, "checkliveswinner" },
    { 0x9FA98AC3AA8D9F99, "checkmapflagangles" },
    { 0x37A233307F9A8C91, "checkmapfxangles" },
    { 0x06B2DCC54CCE2739, "checkmapoffsets" },
    { 0x06FE37F8DC7473FD, "checkmatchdatakills" },
    { 0x47952D75B84A5E38, "checkmeansofdeath" },
    { 0xA62A369D17647ADA, "checkmodeoverridetie" },
    { 0x24B6760FADE72817, "checkmodifiedspawnpoint" },
    { 0xA026306220A726FC, "checkobjectiskeyobject" },
    { 0xEA1B13FA6C4CEB0C, "checkobjweapon" },
    { 0x8E34C701A62BC5E0, "checkpairs" },
    { 0x89E0394C6E99D5CB, "checkpassivemessage" },
    { 0x054CADA4E4AD2A75, "checkpathtime" },
    { 0x14AB98539632D506, "checkpickupequiptypeammocount" },
    { 0x1C3B1FCF5891490B, "checkpitchvisibility" },
    { 0x1C196CB15CBA0AE2, "checkplayer" },
    { 0xA50531D34E8D2F67, "checkplayercarrykeyobject" },
    { 0xC7D0D3B1E8573EC0, "checkplayerscorelimitsoon" },
    { 0xBD4F7DD0DE204AFB, "checkpoint" },
    { 0x3A0B788CACD6D967, "checkpoint_add_carepackage" },
    { 0x2FCE490A77AF8FC2, "checkpoint_add_carepackage_munitions" },
    { 0xBF9AC7ABD8C1CBFF, "checkpoint_add_spawnpoint" },
    { 0x8276EE2F685F1A11, "checkpoint_ai_check" },
    { 0xB01213961A4976EA, "checkpoint_carepackage_munitions_role_init" },
    { 0xA66C19ABB0210050, "checkpoint_carepackage_munitions_role_think" },
    { 0x95D5B97F2BF5E3D5, "checkpoint_carepackage_munitions_think" },
    { 0xD6D08C795551D68C, "checkpoint_carepackage_think" },
    { 0x17D4F60B28DAA556, "checkpoint_carepkg_spawns" },
    { 0x4925B08C6EB51501, "checkpoint_carepkg_spawns_func" },
    { 0xBAD9C0E7A62871C9, "checkpoint_comment" },
    { 0x09FD71F49163D6C4, "checkpoint_create_carepackage" },
    { 0x984232EF80554AB5, "checkpoint_create_carepackage_munitions" },
    { 0xFA33EEFA3325D383, "checkpoint_edit_loadout" },
    { 0x08F258BDEB1500E1, "checkpoint_edit_munitions" },
    { 0x058377069FD33E8A, "checkpoint_edit_munitions_icon_init" },
    { 0x1050A2A09AE3BE88, "checkpoint_edit_munitions_limit_init" },
    { 0x2883D10FC1EA9762, "checkpoint_edit_munitions_limiter" },
    { 0x6B57D2B26F449799, "checkpoint_edit_role" },
    { 0x0DADDD8BB1C54D4A, "checkpoint_edit_role_limiter" },
    { 0x36B65816BD3F23F2, "checkpoint_fx" },
    { 0x66F2C90481E89345, "checkpoint_fx_play" },
    { 0xB001C3E49AEBC26D, "checkpoint_fx_set" },
    { 0xDA62D0C9199263A6, "checkpoint_get_item" },
    { 0x666A30E8AFCFC4B2, "checkpoint_loop" },
    { 0x551EF8198E0025A7, "checkpoint_name" },
    { 0xC9AB31719B7E5EA0, "checkpoint_next_fx" },
    { 0x9E38BF2AD8B5468B, "checkpoint_next_fx_play" },
    { 0x68BD8254B042CD1B, "checkpoint_next_fx_set" },
    { 0x7B1A44FB2E222C1F, "checkpoint_objective" },
    { 0x636F18F4E35D803D, "checkpoint_objective_id" },
    { 0x69C5F60EB61206CD, "checkpoint_overwatch" },
    { 0x9D7409CA5A871576, "checkpoint_player_spawns" },
    { 0xBDE62F2227BE9461, "checkpoint_player_spawns_func" },
    { 0xA9D7B40FA74AA9A5, "checkpoint_register" },
    { 0x7F5E8C1A7583FD3D, "checkpoint_release_spawnpoint" },
    { 0x73C84DF1F7EB3A7D, "checkpoint_revive" },
    { 0xC0FCA9030F2C4604, "checkpoint_set" },
    { 0xCCC9A58CE60A1F50, "checkpoint_trigger" },
    { 0x6E2D6574440409F2, "checkpointrevive" },
    { 0x93C46D29E15D53F4, "checkpoints_count" },
    { 0x8AD23ECD90516013, "checkpoints_init" },
    { 0x3E278077E176BD9B, "checkpoints_think" },
    { 0x5EAE6F2129E5FCA2, "checkpointstruct" },
    { 0xA2B0DFB22F24323E, "checkpostshipballspawns" },
    { 0x37AB73C478F44A27, "checkpostshipgoalplacement" },
    { 0x34E7FDD508F4423B, "checkprone" },
    { 0xD6744C0C3101B8DA, "checkrealismhudsettings" },
    { 0xB9E7B04432301293, "checkredmassacre" },
    { 0x3361354AF47A5C7A, "checkreload" },
    { 0x6A1898635E7C851E, "checkrequiredteamcount" },
    { 0x9EE512EC4BBE5BEE, "checkrequiredteamstreamcount" },
    { 0x2F309D21277C6CA5, "checkroundswitch" },
    { 0x80CDAD12C550674E, "checkscopes" },
    { 0xD8B8363A034549BA, "checkscorelimit" },
    { 0xE1805A0C8DEBD3CA, "checksdjiprules" },
    { 0xF89EF69B0E3699D5, "checkshouldallowtradekilltie" },
    { 0x5A8DF31A3D8C1411, "checkshouldplaymusic" },
    { 0x688BF15B0BF33FB4, "checksolospawnselections" },
    { 0xDE4AFB011FE8F1FC, "checkspawnselectionafk" },
    { 0x1841CBF4B42684F1, "checksprinting" },
    { 0xA0C7ECBBEC1B86FC, "checksquads" },
    { 0xC8B51DA02336D950, "checkstairsoffsetpoint" },
    { 0xF64980223D48D031, "checkstancestatus" },
    { 0x4B07861027BB8A29, "checkstayingbehindcover" },
    { 0x709EAACD8CBE80E2, "checkstreakreward" },
    { 0x9AE2E764C7B95D97, "checksuperkillevents" },
    { 0x59EC8771F2A1CF41, "checksupershutdownevents" },
    { 0xF0DBEB117F1C1F19, "checktacopstimelimit" },
    { 0xEA8B71D7A628413A, "checkteam" },
    { 0xE7BC5239717251F8, "checkteamscorelimitsoon" },
    { 0x3847BACB19E25899, "checktimelimit" },
    { 0x933C483DFACA0197, "checktransitionpreconditions" },
    { 0x0972CDE5E5367351, "checktraverse" },
    { 0xF223B58E855AE222, "checktriggeralarm" },
    { 0x03742E5E7F13D891, "checkttlosdeverrors" },
    { 0xD2B3DCB4A00CB1D6, "checkttlosloaded" },
    { 0xDA82F6F5EF44FD74, "checkttlosoverrides" },
    { 0x0394A1EC5EAA1C99, "checkunscoredspawnpoint" },
    { 0x300B4893217E5E5C, "checkuseconditioninthink" },
    { 0xEED0DE79C6CCE313, "checkweaponswitch" },
    { 0x9C09026561FAF6FE, "checkyellowmassacre" },
    { 0x8E5C3C3C3434A81C, "cheese" },
    { 0xF13A68C457E4FBFB, "cheeselocs" },
    { 0x9BD9EFD7B397034A, "cheeseprompt" },
    { 0x531D2B75A10B3E08, "cheesewedge" },
    { 0x482174FD103D88FE, "cheesewedgeprompt" },
    { 0x3C5E7D47433AC5F8, "chem_room_pad_add_fov_user_scale_override" },
    { 0x239E99FBD6D1FDD5, "chemistcomplaining" },
    { 0xDB091B2E7D19A98A, "chest" },
    { 0x52979667ABE0544C, "chestorigin" },
    { 0xD0C35C3CEACBC4E5, "chevrons" },
    { 0xE970547EF806133E, "chicken_array" },
    { 0x2B75412DFBDA40C1, "child" },
    { 0xF0320A23F9A3DE41, "child_fail_watcher" },
    { 0x11F10AF1F77A22CB, "child_spawners" },
    { 0xC7BB928259276241, "childchannels" },
    { 0xFFC4B13E137FDBFA, "childchecktime" },
    { 0x9DA9D884A837088F, "childoutlineents" },
    { 0x466136481548AD3E, "children" },
    { 0x1EB083DC4DF77DF3, "children_crying" },
    { 0x20C57B2E48B68219, "children_func" },
    { 0x76342DFB41DB0E24, "children_menu" },
    { 0x6E261EC379DA81E6, "childsoundorg" },
    { 0x2B75392DFBDA2F29, "chill" },
    { 0x1E4C14FE8C83A40D, "chill_blind" },
    { 0x4D04F326908FD652, "chill_data" },
    { 0x47300B0B713F2B18, "chill_impair" },
    { 0xF35CBF1299BE795D, "chill_impairend" },
    { 0xC5F1CD9C11B13F48, "chill_init" },
    { 0x8A75874CFC4CBA95, "chill_resetdata" },
    { 0x8A74419188B0F8DE, "chill_resetscriptable" },
    { 0xDADAA8E899ABF85B, "chill_update" },
    { 0xADE2888EFB04C96E, "chillend" },
    { 0x9DBF4654A43E1625, "choke_screen_effects" },
    { 0x49DC14E4C3C5B94E, "chokedeck" },
    { 0xAE3EC3AD6B846CD9, "choose_and_decrement_from_aitype_list" },
    { 0x7E0B601CDAC188F0, "choose_and_drop_tank_near_hostage" },
    { 0x8D87B312E8605294, "choose_and_play_vo_from_array" },
    { 0x6E422D83D69AB5E8, "choose_bomb_ids" },
    { 0xF314D73EE7ACEE94, "choose_escalation_air_vehicle_spawn" },
    { 0xFEBD5CD514153A91, "choose_from_weighted_array" },
    { 0x31AC2CD4A8CC400E, "choose_last_weapon" },
    { 0x7667739D9B954FA7, "choose_new_target" },
    { 0xA79AB6F27BCAD3FA, "choose_random_air_vehicle_spawn" },
    { 0x835C570EB7BB9003, "choose_random_ground_vehicle_spawn" },
    { 0x78373B7009E5EECA, "choose_rappel_weapon" },
    { 0x1E408B34A061C61D, "choose_spawners_from_matching_volumes" },
    { 0xABD364BFA64E1D72, "choose_spawnpoint" },
    { 0x9518FE7C90EAD327, "choose_two_spots" },
    { 0x3B3FF10F6356D027, "choose_vehicle_position" },
    { 0x4826D6FB6442EBC2, "chooseadditivepainanim_stand" },
    { 0x8ABF766C0571DE2E, "chooseandspawnhealth" },
    { 0xB6F5024AB4CFE2DC, "chooseandspawnitems" },
    { 0x8B8A35073CC2B8FA, "chooseandspawnplunder" },
    { 0x979E23DDC8D21CF5, "chooseandspawntactical" },
    { 0x73B8701A6146A08C, "chooseandspawnweapon" },
    { 0xE19363DAF445479F, "chooseanim_arrival" },
    { 0xCDD699EE795FE83E, "chooseanim_arrival_forcode" },
    { 0x3B1478AE22B73EAD, "chooseanim_burning" },
    { 0x30CB6D98395A83FF, "chooseanim_customidle" },
    { 0x360EE404DCF674DC, "chooseanim_damageshieldtoground" },
    { 0x147F09760589D65B, "chooseanim_deploylmg" },
    { 0x63D824D021D98FAD, "chooseanim_dodge" },
    { 0x83B7760AFCDEE67A, "chooseanim_exit" },
    { 0x5AEB6134C6545994, "chooseanim_exitsoldier" },
    { 0xE84FA11E233BE93B, "chooseanim_exposedreload" },
    { 0x5E55B4EA71448F39, "chooseanim_flashed" },
    { 0xBACAB607EB0BEC35, "chooseanim_gesture" },
    { 0x3253F8B70D2D1C8B, "chooseanim_newenemyreaction" },
    { 0xF1B9468038A35771, "chooseanim_patrol_checkflashlight" },
    { 0x2335DBEA0005A967, "chooseanim_patrolreact" },
    { 0xA124EAB35A03642E, "chooseanim_patrolreact_checkflashlight" },
    { 0x6022C48F1DFDC825, "chooseanim_patrolreactlookaround" },
    { 0x53E80483AE7B88B0, "chooseanim_patrolreactlookaround_checkflashlight" },
    { 0xA985670848B902FE, "chooseanim_playerpushed" },
    { 0xFEB7F717DBF64E7C, "chooseanim_stairs" },
    { 0x6840AFB1ADE840D6, "chooseanim_stairs_rise_run" },
    { 0x1D91684FCCDF3EC6, "chooseanim_strafeaimchange" },
    { 0x6DA16A0362088CD6, "chooseanim_strafearrival" },
    { 0xDB707DAD3FD54E8A, "chooseanim_strafearrive" },
    { 0x02E662B0804CC14F, "chooseanim_syncmelee" },
    { 0x3B36B20D1DFB5058, "chooseanim_throwgrenade" },
    { 0x68AAB26FF41EA29E, "chooseanim_tocoverhide" },
    { 0x956276406251E3C7, "chooseanim_tocoverhide_helper" },
    { 0x3609A4E1FEE42E9E, "chooseanim_vehicle" },
    { 0xB0C88E20346AA1D8, "chooseanim_vehicleturret" },
    { 0x5DC815E787F77E9A, "chooseanim_vehicleturretdeath" },
    { 0x9121A700702CB117, "chooseanim_weaponclassprepended" },
    { 0xEF5F63AE3A26274A, "chooseanim_weaponswitch" },
    { 0x2C41A8278A87FB35, "chooseanim_zeroarrival" },
    { 0x7FCF0F78488B612E, "chooseanimantigravfall" },
    { 0x37FBB2AAEE6475D1, "chooseanimantigravfloatidle" },
    { 0xE4411A4C7827EDBA, "chooseanimantigravrise" },
    { 0xAA42B058DA18E2BF, "chooseanimidle" },
    { 0x1F804CAFA642B8CA, "chooseanimidle_interiorexterior" },
    { 0x2C2DBAF580813B1F, "chooseaniminteractable" },
    { 0xB70EC44A7987888B, "chooseanimlongdeath" },
    { 0x345873FFA23D5A8B, "chooseanimmelee_seekerjump" },
    { 0xAFFD45CD9AE910B5, "chooseanimmelee_seekerloop" },
    { 0x5FE2E6260F3C7CC0, "chooseanimmovetype" },
    { 0x74012007E252B984, "chooseanimshoot" },
    { 0xBD9284F00BBC6115, "chooseanimwithoverride" },
    { 0xC538D8F10A46CD59, "choosearrivaltype" },
    { 0x7DBFA5B119B08DB7, "choosebalconydeathanim" },
    { 0x2545CA07DB1FB461, "choosebcdirectionanim" },
    { 0x2DFE439AE5DC3341, "choosebestpropforkillcam" },
    { 0x6BF28A11F0DDD612, "choosebestweapon" },
    { 0x44D60FB44F419FF3, "choosecivilianreactidleanim" },
    { 0x651EE744042BB934, "chooseciviliantransitiontoidleanim" },
    { 0x4B0096C472DF5CFA, "choosecoverdeathanim" },
    { 0x21EA85EA12FA3D0D, "choosecoverlongdeathanims" },
    { 0x908C4AB165CF0279, "choosecoverstandlookorpeekanim" },
    { 0xF7F08AF4C30CA8D0, "choosecratelocation" },
    { 0xD90FBA65DF637567, "choosecrawlingpaintransitionanim" },
    { 0xD7D2CAE0FCCEBE35, "choosecrawllongdeathanims" },
    { 0x3399F5433A55EE49, "choosecrouchingdeathanim" },
    { 0x20770499952028A1, "choosecrouchorstand" },
    { 0x59A62489DB8D19AB, "choosecrouchorstandtac" },
    { 0xB3E08E60CB0331D4, "choosecrouchturnanim" },
    { 0xE2CD41C79264B9FA, "choosedemeanoranimwithoverride" },
    { 0x6E7AEB31A151CC48, "choosedemeanoranimwithoverridevariants" },
    { 0x40B4A10298411F05, "choosedirection" },
    { 0xC1B7CD35C44BDF89, "choosedirectionalcrouchdeathanim" },
    { 0x80326AEA6032523B, "choosedirectionaldeathanim" },
    { 0x6D5A0181620C3E75, "choosedirectionalfullpainanim_exposedstand" },
    { 0x5AAC5D64924D8996, "choosedirectionallargepaindeathanim" },
    { 0x7A8672027A0977C3, "choosedirectionalpainanim_covercrouch" },
    { 0x5B700B9F822B97BB, "choosedirectionalpainanim_coverstand" },
    { 0xF6D51DA952A7193E, "choosedirectionalpainanim_exposedstand" },
    { 0x98A7CCE1421BDC05, "choosedirectionalpainanim_transition" },
    { 0xF2BFCDF90F98E20C, "choosedoublejumpanim" },
    { 0x0ED60EC5E6B10D82, "choosedropbagmodel" },
    { 0xBF0C831373FC1D3C, "choosedyingbackidle" },
    { 0x906BE437BA5C2B7A, "choosedynamicpainanim_back" },
    { 0x0F3E378FA18FA0BE, "choosedynamicpainanim_covercrouch" },
    { 0x5FA8BB6FBA203A58, "choosedynamicpainanim_coverstand" },
    { 0xC45622668253F613, "choosedynamicpainanim_expcrouchlegs" },
    { 0x11F216F6411408A6, "chooseexplosivedeathanim" },
    { 0xE5FA620BF03F0EFA, "chooseexposedlongdeathanims" },
    { 0x7C74B9710BA36EDB, "choosefinalkillcam" },
    { 0xD373B6B5BB23BE52, "choosefirstinfected" },
    { 0x298E59075DEC5756, "choosegestureanim" },
    { 0x83E0C3800E025899, "choosegrenadereturnthrowanim" },
    { 0xE65A2BE09E944D30, "choosegulagloadouttable" },
    { 0xFB2C122B890453C0, "chooseitemrarity" },
    { 0x6EB5F635EC661783, "chooseitemtype" },
    { 0x89F76161F97D5B78, "choosejuggernautcratemodel" },
    { 0xB0AA914C13EF16CA, "chooselightreactionanim" },
    { 0x291DCCD797F3CE3B, "chooselongdeathdeathanim" },
    { 0x1F479286701FF8F5, "choosemovingdeathanim" },
    { 0xE83DD42CDD0C39F5, "choosenlocation" },
    { 0xDABF65B43CD12D83, "choosenukecratelocation" },
    { 0xB86081D3B5998645, "choosenumshotsandbursts" },
    { 0x8A4CB610876E602C, "choosepainanim_covercorner" },
    { 0x0FEED41BA8A11339, "choosepainanim_covercorner_helper" },
    { 0x2C70E79CF4E7FCD3, "choosepainanim_covercorner_tocoverhide" },
    { 0x2993C42D10834C6F, "choosepainanim_covercrouch" },
    { 0x7472755CC6ADF1B3, "choosepainanim_covercrouchlean" },
    { 0x2E88943BCD647217, "choosepainanim_coverstand" },
    { 0x68BA92EB9DC4B360, "choosepainanim_crouch" },
    { 0xDC1DC1992AB68C26, "choosepainanim_damageshield" },
    { 0x0CF0B137EEA8F062, "choosepainanim_faceplayer" },
    { 0x405B3E69C8D29F71, "choosepainanim_pistol" },
    { 0x487F24F65CBC36FB, "choosepainanim_run" },
    { 0xE4ED0BE6D9DC040E, "choosepainanim_stand" },
    { 0xD0160562B00BB57D, "choosepainanim_standtorso" },
    { 0xD7C5EAA8C6D2E144, "choosepainanim_standtorsotoexposed" },
    { 0xF1C9C48D0102EE66, "choosepainanim_tocoverhide" },
    { 0xF0515A2C0B66FE8F, "choosepainanim_tocoverhide_helper" },
    { 0x84B14D9015C3A4A7, "choosepainanimdeafened" },
    { 0x5322B716D542787D, "choosepainanimshock" },
    { 0xD37519877CDA0481, "choosepassive" },
    { 0x2AA7BAF3E93056A7, "choosepubliceventtype" },
    { 0xB9C4E7AC30C7B992, "chooserandomexplosive" },
    { 0x3EA0AB6CBC092708, "choosereloadwhilemoving" },
    { 0x76306703A200FB46, "choosesharpturnanim" },
    { 0xE96EE46990CE0F81, "chooseshockdeathanim" },
    { 0xB1A82F2CA521CF6D, "chooseshockpainrecovery" },
    { 0x72AE4E953F4C1AE9, "chooseshootidle" },
    { 0x5EED2082B0D26F07, "chooseshootposandobjective" },
    { 0x70630BB5CF5CD724, "chooseshootstyle" },
    { 0x2EF4188A2D41FB6B, "choosesmartobjectanim" },
    { 0x3563A5D4F169326C, "choosesmartobjectdeathalias" },
    { 0x12F6703BDBB44D05, "choosesmartobjectdeathanim" },
    { 0xC1E0137CEC09BEF3, "choosesmartobjectexitanim" },
    { 0x9D2BB0536D2734A7, "choosesmartobjectpainanim" },
    { 0xFEA46C6636340958, "choosesmartobjectreactanim" },
    { 0x3BF4732EBDD459C1, "choosespawninstances" },
    { 0x4D8DD6BE563EA87B, "choosespecialdeath" },
    { 0xCCB5263C6EBA1CA3, "choosesquadleader" },
    { 0x2A393C2FEDB5F34F, "choosestandingdeathanim" },
    { 0x6BE3C49F5C60279B, "choosestandingmeleedeathanim" },
    { 0x7DF65A57010CC11E, "choosestandingpistoldeathanim" },
    { 0x7F840900A29806F8, "choosestrongdamagedeath" },
    { 0xD8335443C707D170, "choosestumblingpainanim" },
    { 0xAA707585D559DB17, "choosetransitiontoexposedanim" },
    { 0xBAA11CAC33488E65, "choosetraversaltransition" },
    { 0x9ADB3B2FB8A2988B, "choosetraverseanim_external" },
    { 0x17996654D7498592, "chooseturnanim" },
    { 0xFE3236B406FFD8B5, "chooseturnanim3d" },
    { 0x98599E5EE098D282, "choosewalkandtalkanims" },
    { 0xD09820A528D9F050, "choosewallattachanim" },
    { 0x882CBA1C74989670, "choosewallrunanim" },
    { 0x29F3D8451C0EABC8, "choosewallrunenteranim" },
    { 0x9EB1998E51081DB0, "choosewallrunexitanim" },
    { 0xA68B7F4B18EAFA9A, "choosewallrunturn" },
    { 0xC96F4ADDB278035C, "chopper" },
    { 0x0F258548FCC1078E, "chopper_ads_watcher" },
    { 0xDEE4478DFB126198, "chopper_boss" },
    { 0xD7DA1FB8E35EEE21, "chopper_boss_combat" },
    { 0xEA6F6A75FA1BE9D1, "chopper_boss_combat_actions" },
    { 0x39A9395E2765F7A1, "chopper_boss_damage_monitor" },
    { 0xF78FF1AE84103DF3, "chopper_boss_destroyed_func" },
    { 0xE42617F844C10351, "chopper_boss_drone_target_array" },
    { 0xDE28393EBA7AFA80, "chopper_boss_explosion" },
    { 0x03F9E2E8BECCF882, "chopper_boss_fight_spawn_watcher" },
    { 0x23BAB90723D47938, "chopper_boss_fight_stage_trigger_think" },
    { 0xA4EAD110600851D1, "chopper_boss_fight_trigger_think" },
    { 0xE01568BAB4D5FD7D, "chopper_boss_loc" },
    { 0x8A5B5C00EB1422A1, "chopper_boss_player_monitor" },
    { 0xECE1A44C6A149A61, "chopper_boss_players_connect_monitor" },
    { 0x585E6FD50B5F9843, "chopper_boss_target_tag" },
    { 0x9CF3A44051899F75, "chopper_can_see" },
    { 0x9A472BBBA2D8B1F8, "chopper_carepackage" },
    { 0x1CDE339878B47E13, "chopper_carepackage_pilot_selected" },
    { 0x71241D5881C2F90B, "chopper_carepackage_set_useable" },
    { 0x48601AE316C40A22, "chopper_chatter" },
    { 0xEFC8543763006A0B, "chopper_check" },
    { 0x9A84A2C3A2E358D3, "chopper_crew_behavior" },
    { 0x5F831C0B98E399FB, "chopper_damage_watcher" },
    { 0x4DF5CBE522C20F8D, "chopper_death_callback" },
    { 0xF7B61C70B36904CB, "chopper_final_rocket_behavior" },
    { 0xC9606BFB24F2950F, "chopper_fx" },
    { 0x139D5401B440A9E4, "chopper_glow_sticks" },
    { 0x435BD9E46CFBA1B6, "chopper_gunner" },
    { 0xAAD435F1EB4863D9, "chopper_gunner_assignedtargetmarkers_onnewai" },
    { 0xD1E24C316E2F0586, "chopper_gunner_assigntargetmarkers" },
    { 0x28E6D28C2DD05B14, "chopper_gunner_findtargetstruct" },
    { 0x627D0AC8111B78A9, "chopper_gunner_set_vehicle_hit_damage_data" },
    { 0x910DD9C956A7523A, "chopper_gunners_killed_watcher" },
    { 0x958110AC02DE8E75, "chopper_guns_watcher" },
    { 0xE412581AD587408E, "chopper_height" },
    { 0x184F6BB89F51066D, "chopper_kill" },
    { 0x28A331901FB8E6FB, "chopper_kill_person" },
    { 0x52304FCDDB7001FA, "chopper_kill_vehicle" },
    { 0xBEDBECD59DCAE290, "chopper_lights" },
    { 0x454D612D2DC65CD6, "chopper_nags" },
    { 0x540A802FCFE56CB3, "chopper_pilot_death_watcher" },
    { 0xAD07711439FF1149, "chopper_playfx" },
    { 0xD6A4ED5083750835, "chopper_respawn_timer" },
    { 0x2BD8EF247599ED1C, "chopper_rocket_behavior" },
    { 0x3BE1154221613C7D, "chopper_rockets_watcher" },
    { 0x3654D61F1E6FA771, "chopper_sound_fade_and_delete" },
    { 0x44866C88F34CAD5E, "chopper_support_create_enemy_chopper" },
    { 0x062762B33FD7F7D3, "chopper_support_set_vehicle_hit_damage_data" },
    { 0xFB0F6532D1ADDBF9, "chopper_transport_crew_behavior" },
    { 0x555E82437274D121, "chopper_turret_off" },
    { 0x9B4C26E790CCC1A5, "chopper_turret_on" },
    { 0xEC225F9F8CA87185, "chopper_turret_target" },
    { 0x1286F9D8221156E9, "chopper_watch_death" },
    { 0x1A2516F20EA992E0, "chopperexfil_introsound" },
    { 0x9F966288CFED2D2B, "chopperexfil_music_sh025" },
    { 0x264B566006F9126B, "chopperexfil_music_start" },
    { 0x0B0397E747D31C18, "chopperexfil_pack" },
    { 0x8BF95C21E152C1AC, "chopperexfil_set_brcircle" },
    { 0xBA7B033C9D85E4E3, "chopperexfil_sfx_before_sh070" },
    { 0xEB5B0F7420BDA7F0, "chopperexfil_sh010_start" },
    { 0x4FA6274554418F87, "chopperexfil_sh020_start" },
    { 0x27E6B4EA09884E8C, "chopperexfil_sh025_start" },
    { 0x00E7370ACBA60CAA, "chopperexfil_sh030_start" },
    { 0xFD6DAA2071ED7A79, "chopperexfil_sh040_start" },
    { 0xFB249236B179E0AC, "chopperexfil_sh050_start" },
    { 0x34B07C2D538AF3C3, "chopperexfil_sh060_start" },
    { 0x21AEB116A86B1246, "chopperexfil_sh070_start" },
    { 0xFB96094A58C56616, "chopperexfil_sitting_wind" },
    { 0x214B61F496EC9887, "chopperexfil_skip_ascend0" },
    { 0x214B60F496EC9654, "chopperexfil_skip_ascend1" },
    { 0x214B63F496EC9CED, "chopperexfil_skip_ascend2" },
    { 0x6CDD45EFD91F22D4, "chopperexfil_slamtoblack" },
    { 0x9E33A82A6160E1A0, "chopperexif_fx_init" },
    { 0x40B09722EC09ADCB, "choppergunner_camerashake" },
    { 0x29071D5B947C0A23, "choppergunner_crash" },
    { 0x1148EB62A03786DB, "choppergunner_delete" },
    { 0x853D7126F170959A, "choppergunner_empcleared" },
    { 0xB7BA800B0099075B, "choppergunner_empstarted" },
    { 0xA764F04CF672FFB5, "choppergunner_explode" },
    { 0x2AB24CFEAD404991, "choppergunner_findcrashposition" },
    { 0xC3BBE54F3A1F5C22, "choppergunner_firemissilefx" },
    { 0x5AF9A7B4665F7E4B, "choppergunner_getnearbytargets" },
    { 0x22E5ED4176272428, "choppergunner_getpathend" },
    { 0x42790CBF74D98E14, "choppergunner_getvisionsetbystrength" },
    { 0x68A5E192B06D6337, "choppergunner_getvisionsetformat" },
    { 0xC96113F9672C4423, "choppergunner_handledamage" },
    { 0x1943848D10456CF7, "choppergunner_handledangerzone" },
    { 0x7935690CB67C0385, "choppergunner_handledeathdamage" },
    { 0xDCDFD4FC484955F9, "choppergunner_handledestroyed" },
    { 0x19F811C93E96E38D, "choppergunner_handlemissiledetection" },
    { 0x8863161395E46C56, "choppergunner_handlemissilefire" },
    { 0x8A4F6AD2F7281939, "choppergunner_handlethermalswitch" },
    { 0xFF73FF83C5D03CDC, "choppergunner_handlethermalswitchinternal" },
    { 0x9FE673D53730D77F, "choppergunner_leave" },
    { 0xA01EE4E68879E688, "choppergunner_lockedoncallback" },
    { 0xC4A3B66C257C21A6, "choppergunner_lockedonremovedcallback" },
    { 0xCADDEDF70C5B03FB, "choppergunner_modifydamage" },
    { 0x380F235490D3E44C, "choppergunner_notifyonkillstreakover" },
    { 0x483CBAA4B4309C4C, "choppergunner_pilotanims" },
    { 0x45BE7534A140710B, "choppergunner_playdofintroeffects" },
    { 0x2C9FFD80EBFEED45, "choppergunner_playercameratransition" },
    { 0x869B04BCA3879B2D, "choppergunner_refillmissiles" },
    { 0x87D12713DBF89DFA, "choppergunner_removetargetmarkergroupsonkillstreakover" },
    { 0x1920294C1B1757AF, "choppergunner_returnplayer" },
    { 0xAEFDFCA3FD66FCA4, "choppergunner_screeninterference" },
    { 0x8E69CD713EFE77EC, "choppergunner_spinout" },
    { 0x34D28D4CB80138D9, "choppergunner_startfadetransition" },
    { 0x15715A119B11E47F, "choppergunner_startremotecontrol" },
    { 0x2F9FB0A52A4E53B5, "choppergunner_timerthread" },
    { 0xC88ED33B8F0A035D, "choppergunner_updateflyingspeed" },
    { 0x46E02F20593AE886, "choppergunner_updatetargetmarkergroups" },
    { 0xC9F14F7D354BBCF2, "choppergunner_vehicleanims" },
    { 0xAFC7A2CCCDCAD9E1, "choppergunner_waitintroanimtime" },
    { 0xDB74F6551FD3A05A, "choppergunner_watchearlyexit" },
    { 0x8F7AEC48B8F4A107, "choppergunner_watchendstrobefx" },
    { 0x52C842C3113E99A1, "choppergunner_watchexplosioninfluencepoint" },
    { 0x5A67F46FA6EA700D, "choppergunner_watchgameendleave" },
    { 0xF5041DF121E8A3E3, "choppergunner_watchintrodisown" },
    { 0x83260048024F6448, "choppergunner_watchkills" },
    { 0x0B407B6FF0EBD3B0, "choppergunner_watchlifetime" },
    { 0xB6920BE8113468FE, "choppergunner_watchmissilestate" },
    { 0xBDC4B3E2745FEB0E, "choppergunner_watchowner" },
    { 0x84C89323BDB5FABC, "choppergunner_watchownerexitaction" },
    { 0x1CF025DAE6950CA7, "choppergunner_watchtargets" },
    { 0xAB3A151700779AA9, "choppergunner_watchturretfire" },
    { 0xDD772E619B2520C3, "choppergunnerbeginuse" },
    { 0x75489E6D9F0D4BE4, "choppergunners" },
    { 0xB0E5071121385E78, "chopperoccupied" },
    { 0x77C4D48F7DEF005D, "choppers" },
    { 0x52EBFE871895CE4E, "choppersipport_randommovement" },
    { 0x27E424271CA1116B, "choppersupport_acquireturrettarget" },
    { 0xF1E81C7D00B1FF30, "choppersupport_acquireturrettarget_enemy" },
    { 0x001FF4537DE1064D, "choppersupport_canattackactivetarget" },
    { 0x58A279DB5C4FC36F, "choppersupport_canseeenemy" },
    { 0xCF91CB41F3099441, "choppersupport_checkifactivetargets" },
    { 0x41585A176D5A96F8, "choppersupport_cleanup" },
    { 0x1C8AAA4AC2013757, "choppersupport_clearcurrenttarget" },
    { 0xFE86E8A72D34DA5F, "choppersupport_crash" },
    { 0x24C0693EAF02D278, "choppersupport_engageturrettarget" },
    { 0x16AA70350ABAC26B, "choppersupport_engageturrettarget_enemy" },
    { 0xEE1B11D6A3513029, "choppersupport_explode" },
    { 0x69070E31B4CD6759, "choppersupport_findclosestpatrolstruct" },
    { 0xC53C92F24F9A7005, "choppersupport_findcrashposition" },
    { 0x29DA0C4D4F0AECAF, "choppersupport_findtargetstruct" },
    { 0xEABC8239E3062F96, "choppersupport_fireonturrettarget" },
    { 0xBCB71AD717F2D3D0, "choppersupport_fixatetarget" },
    { 0x2EC700111278FD38, "choppersupport_getactivetargets" },
    { 0xDDA3393C5D011FFF, "choppersupport_getbesttarget" },
    { 0xCDF2E2D3821E897C, "choppersupport_getbesttarget_enemy" },
    { 0xB32B0110C901345E, "choppersupport_gettargets" },
    { 0x778338C818F55999, "choppersupport_gettargets_enemy" },
    { 0x7522E5A2E3ED4B69, "choppersupport_handledeathdamage" },
    { 0xDC851FC1F87CA901, "choppersupport_handlemissiledetection" },
    { 0x5F8539B0E51FA55F, "choppersupport_isactivetarget" },
    { 0xAFF34BE5DB815D63, "choppersupport_isplayeractive" },
    { 0x365844433257465D, "choppersupport_issmallpatrolmap" },
    { 0xE29ED31B9FE09025, "choppersupport_istarget" },
    { 0x3EC971F022D40222, "choppersupport_istarget_enemy" },
    { 0x3C858A25F594209B, "choppersupport_leave" },
    { 0xDFDEA74A2F74CDB4, "choppersupport_leaveoncommand_enemy" },
    { 0x38F6B9A387B7670F, "choppersupport_modifydamage" },
    { 0x7678E14A8A53125C, "choppersupport_modifydamage_trial" },
    { 0x0E61CA3D6A6AD595, "choppersupport_monitorowner" },
    { 0xBD5C95BC9FCAEB07, "choppersupport_movetolocation" },
    { 0x0E13B7247D45FC64, "choppersupport_neargoalsettings" },
    { 0xA8E1E15DD7CD9CDF, "choppersupport_neargoalsettings_enemy" },
    { 0x41D1EF769881A386, "choppersupport_patrolfield" },
    { 0xD8C5F7E5A398F4A1, "choppersupport_patrolfield_enemy" },
    { 0x74BB6DB82802918E, "choppersupport_setattackpoint" },
    { 0x4C891F162901AD8C, "choppersupport_setcurrenttarget" },
    { 0x998BAD3A1F2EA358, "choppersupport_spinout" },
    { 0x1B556AF725FFA54F, "choppersupport_turretlookingattarget" },
    { 0xB3E88925F7EEE0C6, "choppersupport_watchdestoyed" },
    { 0x0F6F0C2E8AF14A8A, "choppersupport_watchforlaststand" },
    { 0x4EACDA92D377F349, "choppersupport_watchforlosttarget" },
    { 0x4E913CDE2AE26CAB, "choppersupport_watchforlosttargetaction" },
    { 0x0AB90E9253892169, "choppersupport_watchgameendleave" },
    { 0x54C2FBA653A4CE5C, "choppersupport_watchleash" },
    { 0x951F750D29E08C21, "choppersupport_watchleashrange" },
    { 0xE460318EC23A255C, "choppersupport_watchlifetime" },
    { 0x81A9D844FA27903C, "choppersupport_watchtargetlos" },
    { 0x8F78B002E803CAD7, "choppersupport_watchtargetrange" },
    { 0xBBD949426E58C21D, "choppersupport_watchtargettimeout" },
    { 0xDF0B36E752108710, "choppersupports" },
    { 0x3FFC28024F67F8B0, "chopperturretfunc" },
    { 0xF261082D2FB3E6E9, "chopperturretofffunc" },
    { 0xFCFFBC41AAB2E8FD, "chopperturretonfunc" },
    { 0x1C4DAC530773FCF7, "chosen" },
    { 0x809AB82235EFD85C, "chosen_airlock_door" },
    { 0xF29D36E94E4D0DD4, "chosenarray" },
    { 0x3C1993D3C7BDD5EF, "chosencodephones" },
    { 0x21ADFD636E688332, "chosentemplates" },
    { 0x19ED96A71B07FC32, "chosenvehicleanimpos" },
    { 0xF55836DA7309E212, "chosenvehicleposition" },
    { 0x3E5B4ADC0593F7BA, "chu_bad_places" },
    { 0x9445C7D087985CBD, "chu_bad_places_armory" },
    { 0xAD6FB4F613A6F193, "chu_bad_places_ids" },
    { 0x9DB1E1F3E9F47E89, "chu_chopper" },
    { 0x0C6D4E8A0F040289, "chu_chopper_pilot_protector" },
    { 0x3E1DE84B2A2756C4, "chu_chopper_spawn_func" },
    { 0xD5F7234DD569AB2F, "chu_chopper_yaw_updater" },
    { 0x6EDF210A36802A09, "chu_explosion" },
    { 0x36253E3631546AAB, "chu_guys_alive_check" },
    { 0x063C4ABA63C6BAB1, "chu_molotov_death" },
    { 0xA6A5B85BE1BF58C2, "chu_right_side" },
    { 0x1E492D1E0123B276, "chuckerlogic" },
    { 0x198AC80D3AF8C49B, "chunkloadouts" },
    { 0xE1D9316F2DC645E9, "churnareas" },
    { 0xF00B7C2DCFCB72AA, "chute" },
    { 0xB26C022656E09A66, "chuteendtime" },
    { 0xB4B4F1BFFC6D933B, "chutes" },
    { 0x49294F09B8593EF5, "cinderblock" },
    { 0x3FB7A1F75C6B68F2, "cinderblock_damage_monitor" },
    { 0x6769E0F539711524, "cinderblockcount" },
    { 0xF64468A6A179FE77, "cine_bars_clamp" },
    { 0x69DBBFBFD1B4CECD, "cine_cam_change" },
    { 0xF768F2238D733AF8, "cine_cam_settings" },
    { 0x7EE0162295E15232, "cine_dof" },
    { 0xCE140A9DD7D5A2FF, "cine_idle_bunker_dof" },
    { 0xB9E165E6F2E76EAC, "cine_lb_down" },
    { 0x71A404491F6FC062, "cine_lb_down_ending" },
    { 0xA0F1F749342C42F2, "cine_letterboxing" },
    { 0xB640D19105B7E1CA, "cine_letterboxing_basement" },
    { 0x2B407B9D881A4C83, "cine_letterboxing_down" },
    { 0x8131672F8AF83F03, "cine_letterboxing_intro" },
    { 0x244D88444654EE62, "cine_letterboxing_up" },
    { 0x620BB970B706A59C, "cine_settings" },
    { 0x2C61D7F8EFFFE818, "cine_skip_mayhem_end" },
    { 0xCC8C06111B4CF4B2, "cinematic" },
    { 0x023F5A9F91ACE2E4, "cinematic_bars_intro" },
    { 0x23E8E8045B1B63A2, "cinematic_camera_settings_tea_house" },
    { 0x7EE73572F3D7C04A, "cinematic_hack" },
    { 0xAAABAC81B28EE7F6, "cinematic_motion_override" },
    { 0xE368EA2E6590E034, "cinematic_replay_recording" },
    { 0xBE2CDAD2DF20605F, "cinematic_skip_input" },
    { 0xD4921230920130C5, "cinematic_waittill_skip_or_time" },
    { 0xF068660679D33412, "cinematiccameratimeline" },
    { 0x8788BA41394CDB8F, "cinematicgetframe" },
    { 0xB80022E186EAF084, "cinematicgettimeinmsec" },
    { 0x1EB3E4964FF5A2EF, "cinematicingame" },
    { 0xB0902078855B0425, "cinematicingameloop" },
    { 0x3ED287F2D5A3A5A1, "cinematicingameloopresident" },
    { 0x1FC5F9C1286C6E88, "cinematicingamesync" },
    { 0x74752B2BBA297A68, "cinematicmotionoverride" },
    { 0xFA23E8788F808007, "cinematicreplay_scriptdata_openfilewrite" },
    { 0xAEC5FC3E61104985, "cinematicreplayrecording_scriptdata_dump" },
    { 0xAD92CD5252D03B69, "cinematicreplaystrings" },
    { 0xFE931F93C0C3A249, "cinematicreplaystringsconcat" },
    { 0xEAC1078B58471635, "circle" },
    { 0x374719CCC0FA2EAE, "circle_acceleration" },
    { 0x90A6F94C727DFECD, "circle_around_target" },
    { 0x49F1429D619F5BF4, "circle_back_to_combat" },
    { 0x286AAFD51869DA69, "circle_debug" },
    { 0x7EB344C732C68E50, "circle_defaults" },
    { 0x673DCD506F650BAC, "circle_radius" },
    { 0x6ECED6B29A2581C1, "circle_speed" },
    { 0xF9B91C22868A9429, "circle_volumes" },
    { 0xD48509AAB02A4E54, "circlecenter" },
    { 0xCCE4B44504BA1D4A, "circlecircleintersect" },
    { 0xCBF6CBB1F09DDE78, "circleclosestarttime" },
    { 0xE5613C2A0A51B454, "circleclosing" },
    { 0xB402E7A533C632C7, "circledamagemultiplier" },
    { 0xE255BD11C32674CD, "circledamagetick" },
    { 0xFA320ADDEF348362, "circledebugpos" },
    { 0x4A2E9953A128839E, "circledebugradius" },
    { 0x8411BC47C194D1EA, "circleemitters" },
    { 0x84696B290AF9F8CA, "circleent" },
    { 0x4E571706ECDDCCFC, "circleenthidefromplayers" },
    { 0xD3EEC9248FBD951B, "circleindex" },
    { 0xD592E3B754EFEDFF, "circleorigin" },
    { 0xCDC1FD78E85A1B2E, "circlepeekcleanup" },
    { 0x66A761B8F84EEE47, "circlepeeks" },
    { 0xD4128581FF7938F5, "circleposattime" },
    { 0x3C08B9F3E1CD2423, "circleradius" },
    { 0x47E38FE9700781FC, "circlerunning" },
    { 0x990B217300525B3A, "circlesettingsassert" },
    { 0x024D8969D3C98606, "circlesetup" },
    { 0xE163869E4D2CF231, "circletestaroundplayer" },
    { 0xFE1AEC5CE2169632, "circletimer" },
    { 0x6453DB6D345C5C8F, "circletimernext" },
    { 0xCA9BE4454FB6A625, "circletimestruct" },
    { 0xFB014D3915679F4E, "circling" },
    { 0xF64BFB7FAEAD9226, "circling_target" },
    { 0x09C2568F8ECEF0A8, "circuitboard" },
    { 0x51E26739A93F5B1E, "circuitbreakerswitchesinit" },
    { 0xFAA434D2A353BF07, "circuitchildren" },
    { 0x3D63E601AB919171, "circuitparents" },
    { 0xF0FC26D0ABFC59FB, "circuitsiblings" },
    { 0xC175035122FA1676, "civ01_1f_setup" },
    { 0x721C36258F19BA5F, "civ01_death" },
    { 0x0DCE2BF533600D96, "civ01_deathwatch" },
    { 0xC90DC203212DBD69, "civ02_1f_setup" },
    { 0xDEB1E8D69C78C736, "civ02_death" },
    { 0xC620B40BC2139135, "civ02_deathwatch" },
    { 0x0805B42FD438D48C, "civ03_1f_setup" },
    { 0x69DE77627AC82405, "civ03_death" },
    { 0x8F7D7A66359AFD28, "civ03_deathwatch" },
    { 0x2B8F1F4B9397F791, "civ_1" },
    { 0x2B8F1C4B9397F0F8, "civ_2" },
    { 0x2B8F1D4B9397F32B, "civ_3" },
    { 0x2B8F224B9397FE2A, "civ_4" },
    { 0x2B8F234B9398005D, "civ_5" },
    { 0x2B8F204B9397F9C4, "civ_6" },
    { 0x55261328EFBF1EBC, "civ_ambush_allies_push_forward" },
    { 0x40C8B1899E26A913, "civ_ambush_catchup" },
    { 0x0A6BDFAEA988B04A, "civ_ambush_compliment_dialogue" },
    { 0x9FA83F28022ACB34, "civ_ambush_exit_door_left" },
    { 0x393798A5C82AB1C1, "civ_ambush_exit_door_right" },
    { 0x709BA0904F18DF7A, "civ_ambush_exit_door_setup" },
    { 0xCD1888DC84B1DD2D, "civ_ambush_init" },
    { 0x169BCC4006402942, "civ_ambush_main" },
    { 0xAFAE1C58C1548915, "civ_ambush_marine_color_reset" },
    { 0xE4C6A642169D8285, "civ_ambush_marine_color_swap_waiting" },
    { 0x3CB9FB4C8126A69B, "civ_ambush_marine_color_update" },
    { 0x33BDF0A2B2D69D09, "civ_ambush_movement_handler" },
    { 0x054CED9B87E08F14, "civ_ambush_poi_structs" },
    { 0xE6BC54D153B749DF, "civ_ambush_stair_blocker_ai_handler" },
    { 0x6422426BE0DEBF06, "civ_ambush_stair_blocking_marine_handler" },
    { 0x9A9318AA68698D15, "civ_ambush_stairwell_advance" },
    { 0x73481F55851C4661, "civ_ambush_start" },
    { 0x32A324353F3DD9A9, "civ_ambusher" },
    { 0xD0F8B9514008985A, "civ_ambusher_ambush_manager" },
    { 0x0301DC9C10E2F181, "civ_ambusher_autokill" },
    { 0xCAB9ED66DB1DCC8F, "civ_ambusher_cleanup_monitor" },
    { 0x314389DA80880891, "civ_ambusher_death_monitor" },
    { 0x6AEA1DEC0505D634, "civ_ambusher_gun_manager" },
    { 0xBC7FA8B044036EC8, "civ_ambusher_init" },
    { 0xC7877033C4FF5D73, "civ_ambusher_move_fake_target" },
    { 0x642825E38C5207E3, "civ_ambusher_player_ads_monitor" },
    { 0x1EB61C4C3AD89D95, "civ_ambusher_player_threat_monitor" },
    { 0x028F7486509205FC, "civ_ambusher_player_whizby_monitor" },
    { 0x98D84F3A34B2F3DF, "civ_ambusher_shooting_manager" },
    { 0x1C839F20A17657E3, "civ_ambusher_target" },
    { 0xF38E86DECA0202F4, "civ_car" },
    { 0x88D754C28E9ED6B2, "civ_car_death_spot" },
    { 0xD6F825D063F79324, "civ_cleanup_array" },
    { 0x2BFD9F7D27E2C0B7, "civ_cleanup_monitor" },
    { 0x3410BB0BAA844231, "civ_count" },
    { 0x8702A459412CEBE8, "civ_death" },
    { 0x47111FC8D005E1F0, "civ_deathfunction" },
    { 0xB1F82E5960749CAD, "civ_debug" },
    { 0x18806EB41544E7D3, "civ_dialogue_handler" },
    { 0xC970B7FDC99445C9, "civ_different_everything" },
    { 0xE06E9EB107CA8F71, "civ_dmg_trig" },
    { 0x94E6DB5E2C9F6688, "civ_exit_door_store_enterers" },
    { 0xD766914D3F362CC1, "civ_ff_idle" },
    { 0xA4FC0C7F55F44406, "civ_flee_to" },
    { 0x32682CE82DDC16A1, "civ_friendly_fire_think" },
    { 0xF13DBD0CAF5CA891, "civ_glancedownpath" },
    { 0xBDBA89C7B4F688D7, "civ_hostage" },
    { 0x79EBC374546DB5A9, "civ_in_position" },
    { 0x6B3A2E61E190D4B0, "civ_init" },
    { 0xFD4982347EA04B7F, "civ_killer_internal" },
    { 0x6C3F389D814C4541, "civ_killers_loop" },
    { 0x3BC80CD5F3868D32, "civ_life_car_00" },
    { 0x3BC80DD5F3868F65, "civ_life_car_01" },
    { 0xAFA211B095B63968, "civ_loop" },
    { 0xDC3D147C2CA017BF, "civ_stairs_blood_splatter" },
    { 0xE9D451B5B9200739, "civ_stairs_death" },
    { 0x2AA1F360CFF761A8, "civ_stationary_ff_penalty_think" },
    { 0x216BB4F1C6BC3779, "civ_struct_ai_go" },
    { 0x799CF0B95BEE03FF, "civ_struct_spawner_init" },
    { 0xE6716A39E14FFD64, "civ_struct_spawner_internal" },
    { 0xC1E20787BA76EDD5, "civ_struct_spawners" },
    { 0x8B4542BEAFBE24F8, "civ_table_animations" },
    { 0x3877897D59DFE246, "civ_think" },
    { 0xD93325C088DDD35C, "civ_think_run" },
    { 0x91B5294CEFB7361D, "civ_think_vignette" },
    { 0x2F0B5E21E6EE1A3E, "civ_thread" },
    { 0x77611E67EE587059, "civ_time_penalty" },
    { 0xB222E73419BCD205, "civ_trap_hint_clear" },
    { 0x3A13763F1044E2F5, "civ_trap_hint_started" },
    { 0x937C374DD9586584, "civ_try_go_to_extract" },
    { 0x506367ED61C0585A, "civ_type" },
    { 0x7669318A72F1993F, "civ_vehicles" },
    { 0x765F4CF34EB3434A, "civ_walkers_anim_and_run_away" },
    { 0xAD378124DC895893, "civ_walkers_breakout" },
    { 0x14AAE23344BFB107, "civambush_griggs_nag_dialogue" },
    { 0x95A1FE08D1914D8B, "civarrival_finishearly" },
    { 0xAEA5712F65BF13A5, "civcontroller" },
    { 0x252A23A722931B78, "civdeathinstafail" },
    { 0xB751F5F24CC53FCC, "civilian" },
    { 0x57C2CE76E8CF1F41, "civilian_ambusher_dialog_struct" },
    { 0x662C19B89F19CD81, "civilian_chooseanim_demeanor" },
    { 0x8F23B58BFD70B7D2, "civilian_chooseanim_exit" },
    { 0x5AFE2F09DB55F126, "civilian_chooseanim_playerpushed" },
    { 0xF3DD72F44F17D2D7, "civilian_death_sequence_01" },
    { 0xD9ACE3C97E4AD573, "civilian_dialog_struct" },
    { 0x49A3D9C22DC561BA, "civilian_exit_cleanup" },
    { 0xDD3506BC617EC461, "civilian_gas_reactions" },
    { 0x25950308E79FCE97, "civilian_init" },
    { 0x061DA1349C8595C0, "civilian_loopidleanim" },
    { 0xAC2DCFC953813D63, "civilian_move_cleanup" },
    { 0x3BBE064ED2B1A9EB, "civilian_playanim_exit" },
    { 0xBDC413C485C4E177, "civilian_playexposedloop" },
    { 0xD32EBA6A0A473A4C, "civilian_playmoveloop" },
    { 0x42920561C75E372B, "civilian_playmoveloopblendspace" },
    { 0x7FC277998BA36043, "civilian_playsharpturnanim" },
    { 0x609614A3D8B73225, "civilian_props" },
    { 0x5AF91B510DD55BB5, "civilian_stairs_death_handler" },
    { 0x7D6D279E42DFE22D, "civilian_stairs_shock_handler" },
    { 0x8A52EE0AA20A2728, "civilian_stairwell_blocker_handler" },
    { 0x39E78C77C80C283D, "civilian_targets" },
    { 0x22DA687359408359, "civilian_walk_animation" },
    { 0xE2C5649B3834316F, "civilian_watchspeed" },
    { 0xC8A64B934E8AEBCC, "civiliancowerindex" },
    { 0x85A91CAFAF2E9DFB, "civilianfailwrapper" },
    { 0x21C98406F181E5EC, "civilianflashedarray" },
    { 0x2192A9930ECE76E5, "civilianfocusapproachingarrival" },
    { 0xD66755B4EF5288FC, "civilianfocuscomputeyawtotarget" },
    { 0x2A6CEA5600E19357, "civilianfocuscurvalue" },
    { 0x31EBC8495D216A95, "civilianfocusdirection" },
    { 0x16FCDDE2D45CB2F5, "civilianfocuslasttime" },
    { 0x8570345627108178, "civilianfocusstartthread" },
    { 0xD16E20DE52ADEDC9, "civilianfocusstate" },
    { 0x605ED874EC5F4182, "civilianfocustargetentity" },
    { 0x0D4181500C2C677B, "civilianfocusthreadrunning" },
    { 0x64E9B3D7AEAEAA6F, "civilianfocusupdateanimparameter" },
    { 0xCA77D91EDCBB411E, "civilianfocusupdatecurrentfocus" },
    { 0xB97A3092405BA3C1, "civilianfocusupdatethread" },
    { 0x005F2B2EF802F82D, "civilianjetflyby" },
    { 0x13B63796902CB931, "civiliannameplate" },
    { 0x1451976728320A43, "civilianqueue" },
    { 0xAC5581C6822E7D81, "civilianreactionalias" },
    { 0xEE7FA2DED5CB310D, "civilians" },
    { 0xE81FCEAB4AAD941B, "civilians_aim" },
    { 0x71B535C969BDEDEE, "civilians_callout" },
    { 0x38A228B5C4775A9A, "civilians_hallway_flee_handler" },
    { 0x82472471AF60D7CA, "civilians_hallway_flee_single" },
    { 0x74E79377A3317F4C, "civilians_init" },
    { 0x5B745DCD3C31B2D9, "civilians_killed_stat_row" },
    { 0xC6ECCB028D508660, "civilians_plead" },
    { 0x96F20B21D49EE9A1, "civilianstateis" },
    { 0x63248CAD303C28C6, "civilianstateisnot" },
    { 0xF41727247DB89EE4, "civisfocusingleft" },
    { 0xD320E725F3F7CC31, "civisfocusingright" },
    { 0xF2FAA8B40175A418, "civmoverequested" },
    { 0xC640A524F72AA256, "civs" },
    { 0xC2D6B9BE2A882176, "civs_bike" },
    { 0x2EED4E112E8D4F82, "civs_bike_breakout" },
    { 0x4D45E23CB8852CBE, "civs_executed" },
    { 0xA9C839E4CC1D09F7, "civs_garage_door_guy" },
    { 0x4BED4E24DFD2DA89, "civs_garage_door_guy_breakout" },
    { 0x09F4AA565668C58F, "civs_garage_door_guy_endon_watcher" },
    { 0x24A0E125FAD16DEA, "civs_killed" },
    { 0x780A1C85F3846299, "civs_running_by_sounds_left_side" },
    { 0x408E6FBCBF06C19C, "civs_running_by_sounds_right_side" },
    { 0x4E93B243566D65FA, "civs_running_exiting_2guys_right_sounds" },
    { 0xD67825B6C37C918E, "civs_running_exiting_sounds" },
    { 0xF051D9FD537FBA51, "civs_soccer_guys" },
    { 0xF07A88D8865A2A88, "civs_soccer_guys_animation" },
    { 0x64A615853D7C7C4C, "civs_soccer_guys_animation_breakout" },
    { 0x1A0CC46D1ADA722F, "civs_spotters" },
    { 0xB20B77A4D7AA5DC1, "civs_spotters_breakout" },
    { 0x19681797CB80360D, "civs_table" },
    { 0x7A8B8A4B0F36CFC7, "civs_table_breakout" },
    { 0x6B8D99046229E976, "civs_walkers" },
    { 0x79385FE2C8191328, "civspawners" },
    { 0x6703D7EF3C5FB512, "civstate" },
    { 0x5497D1D4073F6493, "civstatetime" },
    { 0x2DD8C74EA74D313F, "civvies_killed_calculate" },
    { 0x89F5181ABAEEACBB, "ck_aggressivemode" },
    { 0x2C987310AED7DA8B, "ck_combatmode" },
    { 0x9C5A6CA7EF7AA950, "ck_grenadeammo" },
    { 0xC95D8596426CB971, "ck_target" },
    { 0x540998424C23FC80, "clacker" },
    { 0x768C36FC59A3813C, "clacker_attach" },
    { 0xF64611F7B308738A, "clacker_detach" },
    { 0x7ABFF2A127027F42, "clacker_play_and_remove" },
    { 0xE9A170EACCC6D7C3, "clacker_unusable_thread" },
    { 0xE04FC4E3B78BEB3C, "clackerattached" },
    { 0xD6ED19B03578321C, "claim_a_node" },
    { 0xBF9DFF584A787AE2, "claimed" },
    { 0xCD0EF1D12F9F31E7, "claimed_node" },
    { 0xBF9DE9584A784A80, "claimer" },
    { 0x954EC411E4C7C0B0, "claimgracetime" },
    { 0xA1B13F1D0BE19592, "claimplayer" },
    { 0xAADCE6C60B14640B, "claimsmartobject" },
    { 0x184FD4D685E093EA, "claimteam" },
    { 0xB1F586D611B74900, "clamp" },
    { 0xC4C74B8E6580A7F9, "clamp_angles" },
    { 0xC13D5B62B2DF44B5, "clamp_looping" },
    { 0x17D8B431126ACC20, "clampandnormalize" },
    { 0x9DBECA4D07960BCB, "clampstepbulletdamage" },
    { 0xE9FB4196C3DEA67F, "clampweaponspeed" },
    { 0x4B67DFAD31CA13BD, "clampweaponweightvalue" },
    { 0x93D4DF44D606266F, "clantag" },
    { 0xB1ED99D611AF871B, "class" },
    { 0x58FBB817721F6D4C, "class_num" },
    { 0xAB70312DAD5B5A14, "class_override" },
    { 0x6777480EA124B9D6, "class_progression_init" },
    { 0x7179A479EDB4C3E4, "classcallback" },
    { 0xA6E5A80FF8DE7C65, "classify_players_based_on_laststand" },
    { 0x122C04BC1855318B, "classmap" },
    { 0x62061B8CB8666FC0, "classname" },
    { 0x0118BE56A80F0590, "classname_mp" },
    { 0xF3B134EE926A51DF, "classrefreshed" },
    { 0x154FFD00B12BF0A5, "classselectionbeginnonexclusion" },
    { 0x424EBDB190EE86D1, "classselectionendnonexclusion" },
    { 0xAB586BB81AB8ABC2, "classstruct" },
    { 0xA39363C9AB54F85E, "classtablename" },
    { 0x1F73FF05825CDC92, "classteam" },
    { 0xE7AEB247C10D6866, "classtweaks" },
    { 0x7DECCB98621F8018, "claxon_light_init" },
    { 0x10936FC20EEE0E70, "claxon_lights_off" },
    { 0xB533D4E6E18FB94E, "claxon_lights_on" },
    { 0x1E69C2BA7008E930, "claxon_stop_spin" },
    { 0x50774AF93B1DE4CB, "claxons" },
    { 0x171E0289C60ED390, "claymore_blockdamageuntilframeend" },
    { 0x5C66A2533E573C77, "claymore_crate_player_at_max_ammo" },
    { 0x50538BFF35959695, "claymore_crate_spawn" },
    { 0xD91FED1BEC9BA064, "claymore_crate_update_hint_logic_alt" },
    { 0x1AA319EB60E88541, "claymore_crate_use" },
    { 0x6193FADC9F1718C9, "claymore_delete" },
    { 0x2EE2F8E780F9C520, "claymore_destroy" },
    { 0x6CD18CE6A6E1CC61, "claymore_destroyonemp" },
    { 0x78E1A671A9F15061, "claymore_empapplied" },
    { 0x267E17C8470EB443, "claymore_explode" },
    { 0x1706E2FC7D859BA3, "claymore_explodefromvehicletrigger" },
    { 0x0457C8260F25B30B, "claymore_explodeonnotify" },
    { 0xCB7CBE27EBCD9C7C, "claymore_forceclampangles" },
    { 0x40C05B77697118A4, "claymore_init" },
    { 0x0C340F384C9C099A, "claymore_load_spawning" },
    { 0x466CEFB7C67C32A0, "claymore_modifieddamage" },
    { 0x4852E65BA73F6C06, "claymore_onownerchanged" },
    { 0x458980FF7CD7D9E3, "claymore_plant" },
    { 0xC2DD2BE7B90D8BF1, "claymore_stunned" },
    { 0xBDF4BF3EF251E386, "claymore_test" },
    { 0x25656B70459CAEA6, "claymore_trigger" },
    { 0x6683A5F722CC275E, "claymore_triggerfromvehicle" },
    { 0x0EDA2C7EA5676502, "claymore_updatedangerzone" },
    { 0x863ABA388BABB859, "claymore_use" },
    { 0x2100947AB05F2A44, "claymore_watchfortrigger" },
    { 0x2D1F20C763E3E583, "claymoredetectiondot" },
    { 0xA805EACFE9646BA5, "claymoredetectiongraceperiod" },
    { 0x03BA7719356921E0, "claymoredetectionmindist" },
    { 0x94F451114D10E1BF, "claymoredetonateradius" },
    { 0xBE098D5BFDF8DD00, "claymoredetonation" },
    { 0xFFC369DDE68AAE9E, "claymoreshitby" },
    { 0xB37D313CC0AAB4E0, "claymoreused" },
    { 0x817199378B232D51, "clean_and_spawn_carriables" },
    { 0x9D3C101A15242224, "clean_enemy_ai" },
    { 0x0ADD9EDB2DA86FD1, "clean_fake_actors" },
    { 0xCA8C96FC8EE14896, "clean_streets_enemies" },
    { 0xB77ECBA345E739E7, "clean_up_bomb" },
    { 0x1FF4A46FB00CAB70, "clean_up_breadcrumbs_to_hvt" },
    { 0x0628E642D613DA8C, "clean_up_breadcrumbs_to_roof" },
    { 0x25A04B0AEE2C6322, "clean_up_combat_action" },
    { 0x106BE433CCF50CE0, "clean_up_eliminate_drone" },
    { 0xD84B915F1F30CBED, "clean_up_ents" },
    { 0xC5EC9EA92AF6E55C, "clean_up_first_floor_corpses" },
    { 0x198853191D829489, "clean_up_first_floor_scriptables" },
    { 0x4850D4411E6BD8AD, "clean_up_func" },
    { 0x170B74521DFB921B, "clean_up_laser_trap_ents" },
    { 0x488521C27A6D13DA, "clean_up_minigun" },
    { 0x2F140C4B067C841F, "clean_up_monitor" },
    { 0x82B7F0961213CA94, "clean_up_nodes" },
    { 0xF886A78839838B71, "clean_up_none" },
    { 0x9FE2ED04F33D12FA, "clean_up_on_heli_death" },
    { 0xCC235398D74559AC, "clean_up_on_vehicle_death" },
    { 0xA5C5D2EAE4F9C9EB, "clean_up_overwatch_camera_point" },
    { 0x7E0D4EA7EA8614EB, "clean_up_post_spotter_comment" },
    { 0xFA002D451952F34F, "clean_up_rocket" },
    { 0xA9A1C7BEB6D1EC7F, "clean_up_search" },
    { 0x23F0BACED50E8AF5, "clean_up_steam" },
    { 0x1CC4FBBA397028CF, "clean_up_steam_triggers" },
    { 0xB2CBC60C17A915E4, "clean_up_strafe" },
    { 0x1D35F4C4515AAB67, "clean_up_structs" },
    { 0xCEC440C1CB221A69, "clean_up_think" },
    { 0xF018312D5EECE699, "clean_up_turret" },
    { 0x51B1433186CF75B9, "clean_up_vandalize" },
    { 0x40E349F81CFCC3F3, "cleanac130struct" },
    { 0xB53156CFD9B3ED0E, "cleancustombc" },
    { 0xAF137229B6F2C6BD, "cleanlbarray" },
    { 0xC5FD089AB1388790, "cleanme" },
    { 0x97E0AE792AE480C0, "cleanpatchablecollision" },
    { 0x256C956BF797CF27, "cleanpowercooldowns" },
    { 0xC5DA0D9AB1124AD7, "cleanup" },
    { 0x9B01B1C639D72028, "cleanup_2f" },
    { 0xDFD70A96FC7BB9A0, "cleanup_2f_anim" },
    { 0x9C5DA8C63B5649B6, "cleanup_ai" },
    { 0x8A75B60ED1A464A9, "cleanup_all_dropped_loot" },
    { 0xAD63533C85322938, "cleanup_all_poi" },
    { 0xFD35AEB267CB0391, "cleanup_area" },
    { 0xC8BF2D319DF4748B, "cleanup_background_city_heli" },
    { 0x77A511A98C402A88, "cleanup_compound_ents" },
    { 0x2F11ED030C8AFF4D, "cleanup_corpses" },
    { 0xDF0320866663F880, "cleanup_corpses_in_radius" },
    { 0x3EF45C61E7EB8CD2, "cleanup_corpses_in_trigger" },
    { 0x66EEBFB9ADF0989A, "cleanup_cs_file_objects" },
    { 0x470607FD375253A0, "cleanup_enemies_for_wolf_defuse" },
    { 0x6EB29108D594E09A, "cleanup_ents" },
    { 0x62C074DCC9D3620B, "cleanup_ents_removing_bullet_shield" },
    { 0x4CF79AABE841B445, "cleanup_fake_ai_on_death" },
    { 0xD99192B964687FC1, "cleanup_finale_combat_guys" },
    { 0xF6D97B74AE6EEA8B, "cleanup_goal_population" },
    { 0x3B9CDD56F995FBBA, "cleanup_heli_rockets" },
    { 0x7D1F8DE03AF8299D, "cleanup_intro_ents" },
    { 0x835A38FDEB9FBC4D, "cleanup_lights" },
    { 0xFB45A58969F05FFC, "cleanup_loot_pickups" },
    { 0xEE97A3DEF7B0BCB0, "cleanup_marine_spawner_arrays" },
    { 0xE240C6EDC5162B77, "cleanup_outlines" },
    { 0x2563BCAF49EF8104, "cleanup_player_on_game_end" },
    { 0xDD846BF891B07738, "cleanup_selectable" },
    { 0xAB6E2E463D80E572, "cleanup_spawned_exposed_node" },
    { 0x92ECBEB762B3F420, "cleanup_state_ents" },
    { 0x3313DB3E61F73919, "cleanup_target_stats" },
    { 0x1B57CEA12684D0F1, "cleanup_target_stats_thermal" },
    { 0xAA93E800D218C78D, "cleanup_transitiontocoverhide" },
    { 0x86227104B6E64B27, "cleanup_trap_room" },
    { 0xF5C7ACA5CE9E28A5, "cleanup_triggers" },
    { 0x76743C75DB2AF351, "cleanup_unused_paths" },
    { 0x9C2CA3C63B1FAF7A, "cleanup_vt" },
    { 0x52C061E5C8E62301, "cleanup_wall_truck_civ" },
    { 0xF76DF1DFB21282FF, "cleanup_waypoint_when_near" },
    { 0x0727A40F6AB6520C, "cleanupafterplayerdeath" },
    { 0x14B086AF3BF378B3, "cleanupaftertimeoutordeath" },
    { 0xCB2EF7EE11C1A91F, "cleanupafterweaponswitch" },
    { 0xD7217C6DDCE1EB67, "cleanupallbutxcratesforteam" },
    { 0x94DD06D86F26396C, "cleanupallclones" },
    { 0x7D5EAC2554CADB8D, "cleanupanimscriptedheadlook" },
    { 0x4C481068D1D94E6D, "cleanuparenamolotovs" },
    { 0x58D05297EA4F0BF4, "cleanupascenduse" },
    { 0xFA9FA26DF686A9BE, "cleanupbeamfx" },
    { 0x0D39E98843E0DA23, "cleanupbethud" },
    { 0xF19BC861683D30D6, "cleanupbodydrop" },
    { 0x0E5DDFFAE14DD400, "cleanupbtactions" },
    { 0x07521B25AB4D670B, "cleanupcivilianreactionalias" },
    { 0x126085143B7BF08B, "cleanupconcussionstun" },
    { 0x7CCF304131DE6733, "cleanupcrankedplayertimer" },
    { 0x7825460F6A5B97F8, "cleanupcrankedtimer" },
    { 0xBCDCF9D8132781CD, "cleanupdeployablemarkerondisconnect" },
    { 0xE2DC47C13C59A2C0, "cleanupdeployweapon" },
    { 0xF3118FD4B49F977B, "cleanupdragallyprototype" },
    { 0x6057CFFB8BC24DC0, "cleanupdropbagsoncircle" },
    { 0x58B279C307C24165, "cleanupents" },
    { 0x507E7E46BF000280, "cleanupepictauntprops" },
    { 0xCFFFAE868A58F6D9, "cleanupequipment" },
    { 0x126E2749CF2308EE, "cleanupexplosionleftovers" },
    { 0x5E534BEAD846A490, "cleanupexplosivesondeath" },
    { 0xE4E3EE18F727956E, "cleanupflashanim" },
    { 0x63DF0CAF00B3CAC5, "cleanupfunc" },
    { 0xE710E2CF009AA83B, "cleanupgamemodes" },
    { 0xF05294619A42ECA9, "cleanupgametypevips" },
    { 0x6749E8FA05F80D9A, "cleanuphuntbuilddata" },
    { 0xA3A32DBB8091D313, "cleanupinteractiveinfilai" },
    { 0x203608997E53F69F, "cleanupjuggobjective" },
    { 0x73FB966364C447C0, "cleanupkeybindings" },
    { 0x4B9BEC931BBDCE41, "cleanupkeybindingsondeath" },
    { 0x91D2DB68420138BC, "cleanupkillcamlogic" },
    { 0x39FC21D305283B38, "cleanuplastsaytimes" },
    { 0xD301745612238A66, "cleanuplaststandent" },
    { 0x64B998810650DB68, "cleanuplinkent" },
    { 0x5AD4F1206BAC0C70, "cleanuplocalplayersplashlist" },
    { 0xEC796E1C179E01CA, "cleanuplootitem" },
    { 0x3E3B87434D283340, "cleanuplootitemondelete" },
    { 0xA268BE14D1523CC1, "cleanuplz" },
    { 0xC51C30A768AF1CAA, "cleanuplzvisuals" },
    { 0xF0EA9854C62B962C, "cleanupmolotovs" },
    { 0x2C1985385CAAEAE8, "cleanupobjectiveiconsforjugg" },
    { 0xC6E76562E700883E, "cleanupoutercrates" },
    { 0x8FB26477E6A9548E, "cleanupouterspawnclosets" },
    { 0xB7D59DECE0950BCA, "cleanupoverheadicon" },
    { 0x16696AE901A6372A, "cleanuppainanim" },
    { 0xE7273C0F8864F725, "cleanuppropcontrolshud" },
    { 0x76ED487BB31D6BB2, "cleanuppropcontrolshudondeath" },
    { 0xBA2A84E55B793570, "cleanuprevivetriggericons" },
    { 0x04EE6924E200F417, "cleanupspawn_scriptnoteworthy" },
    { 0x00B6D7A98DD35552, "cleanupsuperdisableweapon" },
    { 0xC8EC8DD281DB3FA3, "cleanupswaploadoutflags" },
    { 0x384736C0132155E0, "cleanupteamicons" },
    { 0x5A2C7218B434EA95, "cleanupthreadforbombobject" },
    { 0xD2FDD710639CEC8C, "cleanuptransitiontocoverhide" },
    { 0x1137DB5E0AF47405, "cleanupvehicleoutline" },
    { 0x8AAEFFAC36070661, "cleanupwallruntransitioncheck" },
    { 0x077CDF40420BD43B, "clear_ai_weapon_override" },
    { 0x5ADC982C787C424D, "clear_aitype" },
    { 0xC4F1F8F1FF3D71C1, "clear_alias_group" },
    { 0x1E5D588B5F9A9569, "clear_all_allow_info" },
    { 0x1A23E1B26D180C3A, "clear_all_crawl_flags" },
    { 0xBE570591B841B4AD, "clear_all_remaining" },
    { 0xC86C64BBD38F5277, "clear_all_vehicle_lights" },
    { 0x5ADED981E9E025FA, "clear_allies_demeanor_override" },
    { 0xE53CD7F597B1A6E1, "clear_allow_info" },
    { 0xC4F57CBDA3E1208C, "clear_and_give_killstreak_loadout_assault" },
    { 0xD48FAB2B990D7236, "clear_and_give_killstreak_loadout_demo" },
    { 0x5ECB7A619C3C9374, "clear_and_give_killstreak_loadout_recon" },
    { 0xB192D94869618648, "clear_and_give_killstreak_loadout_support" },
    { 0xDBDB3929BD8ADD48, "clear_animpos" },
    { 0x7D95A80D56C5BB56, "clear_archetype" },
    { 0x96D399597F86D6E8, "clear_arrival_speed" },
    { 0xB20BC8CB8DB5E04C, "clear_backyard_objective" },
    { 0x64A7BD7A8799630E, "clear_bomb_vest_controller_holder" },
    { 0x68D9065A57644C13, "clear_bot_camping_on_bot_death" },
    { 0x5E51F7B949809DC4, "clear_bot_camping_on_reset" },
    { 0x4A3DE9EAD76A0C5F, "clear_bot_on_bot_death" },
    { 0x07F3C1EBF008FA08, "clear_bot_on_reset" },
    { 0x5402915CFB8E125A, "clear_camper_data" },
    { 0xE7DFE8DA73C4478B, "clear_colors" },
    { 0xB5088550EC25CAE0, "clear_custom_anim" },
    { 0x6293F5E0CC3B4C10, "clear_custom_animset" },
    { 0x544ADFD4426FD54A, "clear_custom_death_quote" },
    { 0x1C60ACC5C27D48D8, "clear_cypher_icon" },
    { 0x18B36BEB7E2AAE16, "clear_deathanim" },
    { 0xFD9822FCC50318A7, "clear_defend" },
    { 0x41AFDF81A0C65135, "clear_demeanor_override" },
    { 0xBF3DD91CE31851D5, "clear_dont_enter_combat_flag" },
    { 0xC4D470008461A654, "clear_earthquake_for_client" },
    { 0xFE79A62774EFCD25, "clear_effort_sound" },
    { 0xACE7AC4DB5B59EBF, "clear_emp" },
    { 0x6A713C12A15EA7B5, "clear_enemy_flags" },
    { 0x2EFE0DBE2D163189, "clear_enemy_grenades" },
    { 0x1863D6E7FC6C8499, "clear_entity_selection" },
    { 0x2B047A26A7F18306, "clear_eog_tracking_types" },
    { 0x0AC1B7C39304CD44, "clear_exception" },
    { 0xD97AA78AF00E4D88, "clear_favorite_enemy" },
    { 0x587075B7961E54C2, "clear_first_wave_override" },
    { 0x360B78D623D249C7, "clear_floor" },
    { 0x23DDE50B3C6C7BFA, "clear_force_color" },
    { 0x147947659925385A, "clear_fx_hudelements" },
    { 0x0421DF61DA3EAB9D, "clear_generic_idle_anim" },
    { 0xC5A4386D16156B9A, "clear_generic_run_anim" },
    { 0xB22CF7C741238440, "clear_goal_when_heli_gone" },
    { 0xE4AAC0CD4B7BCF9D, "clear_goliath_bloody_footsteps" },
    { 0x05710BD9916238C8, "clear_heldspawner" },
    { 0x7E4E5C13494825F2, "clear_hill_apcs" },
    { 0xA47469F26FF86C3A, "clear_hint_objective" },
    { 0x7A44D371AEA6B8D4, "clear_hud_elements" },
    { 0xDCA1838716D13803, "clear_hunted_flags" },
    { 0xB452FEF984912558, "clear_icon_on_cruise_missiles" },
    { 0x61E77F84CC6B5D3A, "clear_icon_on_interceptor_missiles" },
    { 0xC76C66554A4B9173, "clear_idle_anim" },
    { 0x6C7E0E53E1E43C8C, "clear_idle_anim_override" },
    { 0x61E9F873798415D9, "clear_idle_twitch" },
    { 0x7E48645846C516DF, "clear_infil_ambient_zone" },
    { 0x4CA4692FA7683284, "clear_keypad_currentdisplay_models" },
    { 0xC99BF94381296A05, "clear_kill_off_flags" },
    { 0x62A3B02096797FF6, "clear_kill_off_flags_after_unload" },
    { 0xFC3996D4E6759292, "clear_kill_off_flags_after_unload_wait" },
    { 0x31D175B73EDE5986, "clear_last_stand_timer" },
    { 0xB2BE98F12DD571E0, "clear_legacy_pickup_munitions" },
    { 0x54528298B10A7119, "clear_lights_based_on_targetname" },
    { 0x131F4500425BA0DA, "clear_look_at_ent" },
    { 0xD385DF146ED1E359, "clear_lookat_delay" },
    { 0xB24D7016E1B24871, "clear_menu_options" },
    { 0xE6631FBC99C23BC6, "clear_mortar_settings" },
    { 0x6E2931D3C98E937E, "clear_move_anim" },
    { 0x9C03D51702A43E46, "clear_move_with_purpose" },
    { 0x99BF329B8BF0DF42, "clear_movement_speed" },
    { 0x78B2D067D9ECCEF8, "clear_my_munition_slot" },
    { 0x55612F779CEDDEF5, "clear_navobstacle" },
    { 0x11B92B33821C4ADB, "clear_node_path" },
    { 0x7832A1840C5901AB, "clear_objective_icons" },
    { 0x57E2660E0807156C, "clear_omnvar" },
    { 0x35CB08195D146218, "clear_padding_disables" },
    { 0x1BE3010322C1F532, "clear_path_array" },
    { 0xF39D002FEBD2DE83, "clear_pathpoints" },
    { 0xA1FAA5C021EFE68F, "clear_player_class_and_super" },
    { 0x8B1862B02AE62C55, "clear_player_tired_movement" },
    { 0xF688EB3F763CBB69, "clear_players_breadcrumbs_to_safe_house" },
    { 0x55978BDF56C08B0D, "clear_players_from_door_way" },
    { 0x1F4593A99BBA86FA, "clear_players_from_door_way_think" },
    { 0xC17FA93479C87069, "clear_plr_vehicle_submix" },
    { 0xE9E22A664589D8E3, "clear_pos_from_hunt_pos_array" },
    { 0xF4D7E251848ED08D, "clear_power_slot" },
    { 0x4FC55B45BE4D213B, "clear_powers_hud" },
    { 0xC77939B2394F1D64, "clear_prev_goal" },
    { 0xAAB2079228D79661, "clear_remaining_objective" },
    { 0xC3FE6AD32AB2B4F9, "clear_reminder" },
    { 0x5F7F41F33B526A97, "clear_root" },
    { 0x3809CDC77A9886A0, "clear_rumble_for_client" },
    { 0x4D0718C9EADDF284, "clear_run_anim" },
    { 0x2CE9929EAA692FB1, "clear_run_anim_override" },
    { 0xBCEF4F618E4D7782, "clear_script_goal_on" },
    { 0x34049FE728BD3EFD, "clear_script_origin_other_on_ai" },
    { 0x4505B2F4DF58A3BF, "clear_scripted_anim" },
    { 0x2EDCA3F17E32C26A, "clear_settable_fx" },
    { 0x53DB4534600C5C80, "clear_shackled_squat_override" },
    { 0x0B5BA9A3D593FE49, "clear_snake" },
    { 0x00C18CECF475BA25, "clear_tank_stackup" },
    { 0x522DCD55AF8F7FEC, "clear_target_entity" },
    { 0x2CD883C69797B0CB, "clear_target_zone_update" },
    { 0x8C8471739481852F, "clear_team_colors" },
    { 0xEFF3C055D279A7EF, "clear_three_room_screens" },
    { 0x5C231F91CBC9CFC9, "clear_tier_lights" },
    { 0x8FAD4AA4FE9321F9, "clear_tier_lights_all" },
    { 0xDD1BE556FB97BC24, "clear_to_pick_disguise_up" },
    { 0x301D88D573E1F848, "clear_to_pick_disguise_up_veh" },
    { 0x0442769C4596E503, "clear_tool_hud" },
    { 0x50E376226DAF4D5B, "clear_trap_console_activation" },
    { 0xDDC9186AC899BD53, "clear_trap_flag" },
    { 0x9A8ECA531980AB72, "clear_universal_buttons" },
    { 0x273EA8500A2B3287, "clear_unresolved_collision_count_next_frame" },
    { 0x22138078E07B190B, "clear_up_objective_after_delay" },
    { 0xE519AB649DD04501, "clear_up_stealth_meter_when_enter_combat" },
    { 0xFC7307C9B4B7102C, "clear_vehicle_build_to_spawnpoint" },
    { 0x803724D49321786E, "clear_vehicles" },
    { 0x77E1D6AF05254A96, "clear_vehicles_from_mlp1" },
    { 0xD134E2054ABB34FF, "clear_vision" },
    { 0x13BFC81E26C303A5, "clear_wave_ref_override" },
    { 0x5E735C4FAB49FF7F, "clear_weapons_status" },
    { 0xD0444A371CEC6D6C, "clearaccessory" },
    { 0xEAA78DD12D04A969, "clearactivemapconfigs" },
    { 0x66A98ECA2D94C23C, "clearactivespawnquerycontext" },
    { 0x5818DCBDF32BF2B3, "clearadditionalstreampos" },
    { 0x3419563BFC524BEA, "clearafterfade" },
    { 0x2848F85016809A15, "clearaiblackboard" },
    { 0x90FA07A4EEEFE685, "clearall" },
    { 0x875CAAADACDD8DFA, "clearallcorpses" },
    { 0xF19E85228A653837, "clearallequipment" },
    { 0x17D037F0377D99AD, "clearallgroups" },
    { 0x0A4A89A82EA8BF84, "clearallsoundsubmixes" },
    { 0x69C8927D5832CAEA, "clearalltextafterhudelem" },
    { 0xB64769E539E22874, "clearancecheckheight" },
    { 0x95FD6EA0336181E6, "clearancecheckminradii" },
    { 0x3E56E750FFF720CB, "clearancecheckminradius" },
    { 0x963B58E57C0D4C66, "clearancecheckoffsetz" },
    { 0xDFD245401E405E39, "clearancecheckradius" },
    { 0x079E107C6C34B85C, "clearandrestoreinfectedtacinsert" },
    { 0xDFAE09B98B7236DF, "clearanim" },
    { 0xE708BDEFCEF94A89, "cleararchetype" },
    { 0xEE9DD909EC6D1CEA, "clearaveragevelocities" },
    { 0x9A054D3C07E5E0F7, "clearavoidanceignoreent" },
    { 0xB05DBFBBD8CBF10E, "clearbrinventory" },
    { 0x5D5CD1CC7834E4BB, "clearbtgoal" },
    { 0xC6400ED6B4C4E90B, "clearbtgoalonarrival" },
    { 0x1F5A9E8112A1F219, "clearburnfx" },
    { 0xD9AD1736DEDC08BE, "clearcallbacks" },
    { 0x6F230DF037063CE4, "clearcalloutareaondeath" },
    { 0x49CCA556A2F9A28A, "clearcamoscripts" },
    { 0x1603E4DF5A065626, "clearcarrier" },
    { 0x6A72C38A8D646A21, "clearcinematicmotionoverride" },
    { 0xA87718F4C645AB6D, "clearclienttriggeraudiozone" },
    { 0x926670EC4FD27305, "clearcodefactors" },
    { 0x98BC22D99347D273, "clearconvergence" },
    { 0x6C4AB7017083D7F9, "clearcorpsetablefuncs" },
    { 0x88106A3DF4571445, "clearcover" },
    { 0x3F7666A4D9571270, "clearcoveranim" },
    { 0x2F0C0B893D669245, "clearcoverbb" },
    { 0x846FE587CFA7D239, "clearcurrentcustombcevent" },
    { 0x820422DBCACEDA43, "clearcurrenthintforced" },
    { 0x7765F49ED2B89B43, "clearcustomization" },
    { 0x60C0882834A3DD9D, "cleardamagehistory" },
    { 0x0729CC3BCC0C1811, "cleardamageindicators" },
    { 0x98C5C3951DA0D243, "cleardamagemodifiers" },
    { 0xDDB78644629441A6, "cleardata" },
    { 0x49742F2512DB8E30, "cleardemeanorsafe" },
    { 0x764CFB30338AFD82, "cleardooropen" },
    { 0x0E2981F3A6FC1B89, "cleared_storage" },
    { 0xABC318E7E693A948, "clearedddsoundmix" },
    { 0x8A144CB1601C409A, "clearenemy" },
    { 0x46CF9B9F2C001C42, "clearentityspawnviewer" },
    { 0x6330AFCB41C05FF8, "clearentitytarget" },
    { 0x490AEAD0DA64F70C, "clearexecution" },
    { 0xB2A575CD608B387E, "clearfaceanimonanimdone" },
    { 0xE523BAF4E74F987B, "clearfacialstate" },
    { 0x1CE2B487DF6864F3, "clearfixednodesafevolume" },
    { 0x8EAD6FA61A4CAFC4, "clearflash" },
    { 0x148D31F7001B88A9, "cleargesture" },
    { 0xEAB98D675106B934, "cleargestureanim" },
    { 0x094745FC32BE4093, "cleargoalvolume" },
    { 0x6BD1D6D886EB222C, "cleargoalyaw" },
    { 0x55A7F02A459DDE15, "clearhealthshield" },
    { 0xA765E4EE4494885A, "clearhighpriorityweapon" },
    { 0x994C985F6B3DDD13, "clearhint" },
    { 0x57EF119B3B6FB3E8, "clearhintobject" },
    { 0xACE673D5F52C528C, "clearhudtutorialmessage" },
    { 0x096CF877A910304C, "clearhudwarningmessage" },
    { 0xD94E39E2B992A813, "clearignoreriotshieldxp" },
    { 0xE8023AB8738ACBA2, "clearimpactmarks" },
    { 0x05105F9A0580BDA3, "clearinfilstateatinfilend" },
    { 0x48A5926DB2143260, "clearirtarget" },
    { 0x2B8BA6C87B604974, "clearisspeaking" },
    { 0x93E139149682318A, "clearjugghud" },
    { 0x9F12767258476A60, "clearkillcamattachmentomnvars" },
    { 0x1C692DCE985BB6CE, "clearkillcamkilledbyitemomnvars" },
    { 0xDC4F76FA9EC3E733, "clearkillcamomnvars" },
    { 0xC2F1971D76C9B4AA, "clearkillcamstate" },
    { 0x58362909DB45E269, "clearkillstreaks" },
    { 0xED402262519FC5CE, "clearkillstreakselection" },
    { 0x5F8321225422AA13, "clearladderstate" },
    { 0x19BCECB9FEB5CC1E, "clearlaststandinvuln" },
    { 0xD8C205928E8E6EC7, "clearlastteamspawns" },
    { 0x728C97A581948FBE, "clearlethalonunresolvedcollision" },
    { 0x8DEBB469EBC6225F, "clearlocalizedstrings" },
    { 0xD4166F20A9767AB1, "clearlockedon" },
    { 0x31FAF444C6B9D336, "clearlockedonondisconnect" },
    { 0xBF58B76FDC4B6695, "clearlookatent" },
    { 0xEE73704F33940C6D, "clearlookatstateoverride" },
    { 0x5F4750A21CC1E340, "clearloopingcoughaudio" },
    { 0x3903FBC26FCB9678, "clearlootweaponomnvars" },
    { 0xE6F1FF899DFCBED2, "clearlowermessage" },
    { 0xE2F39CA672D73C13, "clearlowermessages" },
    { 0x9DB403FCA9C5223A, "clearmarkonrespawn" },
    { 0xA081D81A62A3C257, "clearmatchdata" },
    { 0x782BDDCBC108A984, "clearmatchhasmorethan1playervariablesonroundend" },
    { 0xE6BC9521361E21D4, "clearmeleeaction" },
    { 0xDE041111D7C927F6, "clearmiss" },
    { 0x9E2535A4F81924D7, "clearnvg" },
    { 0xA7D66B58F369FA2A, "clearobjectivetext" },
    { 0x3A1B4B04B64BD204, "clearobjectivetextforplayer" },
    { 0x1A4E80DCC59A18EC, "clearoffhandprimary" },
    { 0xC2632333A871E944, "clearoffhandsecondary" },
    { 0xC6E4D6C2BB9A8391, "clearoffhandspecial" },
    { 0xFBDF48A2C37E94C1, "clearomnvarsaftertime" },
    { 0xD910E265F5EDF923, "clearondeath" },
    { 0x62C88147EAD64645, "clearonvictimdisconnect" },
    { 0xAEE761A505349C4A, "clearoob" },
    { 0x3359AF728FFBE9A9, "clearoverridearchetype" },
    { 0xACD9BA3834AF926F, "clearoverridearchetype_code" },
    { 0xBED283DEB6ABE04B, "clearpainturnrate" },
    { 0x4BA15489D3F3E752, "clearpassivedeathwatching" },
    { 0xAF647666C6D94140, "clearpassives" },
    { 0xCB01711839B5112D, "clearpath" },
    { 0x8E65DC6830752FCC, "clearpathactionvalue" },
    { 0xAE0674A864099CAB, "clearperks" },
    { 0xAF8E2C64AD838550, "clearpinnedobjectives" },
    { 0x85A4F45AC0583CD5, "clearpitchorient" },
    { 0x15F1B7E65441050F, "clearplayeraccessory" },
    { 0xFD197586E9F733B9, "clearplayerhintlock" },
    { 0x697DC71EDCBDC275, "clearplayerlockfromremoteuavlaunch" },
    { 0x8A74544228A2C539, "clearplayerwind" },
    { 0x04BEDD9521C9EF17, "clearportableradar" },
    { 0x79235FC8F051FFA0, "clearpotentialthreat" },
    { 0xB18091644FE0B96C, "clearpowers" },
    { 0x5A0500CE07A57204, "clearpredictedstreampos" },
    { 0xA80BAE91352C749B, "clearprematchlook" },
    { 0x91A385760EDF6881, "clearpriorityclienttriggeraudiozone" },
    { 0x188717933CC51B6E, "clearprojectilelockedon" },
    { 0x04D56F589267410E, "clearrideintro" },
    { 0x9E6A14357A899693, "clearscoreeventlistafterwait" },
    { 0x271D5F01CF132135, "clearscrambler" },
    { 0x7E6DC92279953D15, "clearscriptable" },
    { 0x6974A877625337B7, "clearscriptabledamageowner" },
    { 0xFE5DB4E96F4DF7EE, "clearselectedareaonspawn" },
    { 0x180C662DE452D771, "clearshotgroup" },
    { 0xC6927DFF78BAF4D5, "clearsightposnear" },
    { 0xDDC3526F69335BA0, "clearsixthsense" },
    { 0xE0AE7E0B0ECA06A8, "clearsmartobject" },
    { 0xCC1B9A57E3562848, "clearsoundduck" },
    { 0x8ED21B9D35C2AB01, "clearsoundsubmix" },
    { 0x596B790A961DDA5B, "clearsoundsubmixfadetoblackamb" },
    { 0x3BE9BF79FB0701FA, "clearsoundsubmixmpbrinfilac130" },
    { 0x5108427C1BD2BA6F, "clearsoundsubmixmpbrinfilanim" },
    { 0x791874E07F57BE4B, "clearspaceforscriptableinstance" },
    { 0x0E8D8F266A8D7D6F, "clearspacegrapple" },
    { 0xDE4A6B771E7F7E0C, "clearspacejump" },
    { 0xA91B2FC4A9E71021, "clearspacejumpentoverride" },
    { 0xF758D6560BDDE7EE, "clearspawnpointdistancedata" },
    { 0x3179E7C9DF05BD02, "clearspawnpointsightdata" },
    { 0x903F375E9408ACE8, "clearsplashqueue" },
    { 0x2D95D2DE0E83E6FF, "clearstartpointtransients" },
    { 0x495DCB3027D0DB4F, "clearstealthvolume" },
    { 0x4D3BFBD810991869, "clearsticker" },
    { 0x7402F62C80B0012E, "clearstickers" },
    { 0xE56C4459FB4A1BA0, "clearstockondrop" },
    { 0x3CC98188F2877B17, "clearstoredkillstreakoperatordialog" },
    { 0xAE7A3E108EAD682D, "clearsuper" },
    { 0x6F1855246E781BF0, "clearsuperreminderondeath" },
    { 0xCB1524CE58335431, "clearsuperreminderondeathinternal" },
    { 0xEFE9C776695CE010, "clearsuperremindersplash" },
    { 0xBF5B7A93B352B037, "cleartarget" },
    { 0x4757568B4BC7AF54, "cleartargetent" },
    { 0x6EE6A733927A2CD0, "cleartargetentity" },
    { 0x0F7BA58B23A12C12, "cleartargetyaw" },
    { 0x92F59D311D7D69EF, "clearteamspawnpointdistancedata" },
    { 0x69F53105741624CD, "clearteamspawnpointsightdata" },
    { 0x07D0FBD27F681667, "cleartextmarker" },
    { 0x0CDEC47B31F5F0A7, "clearthreatbias" },
    { 0xFFFDD39AE6A7E189, "clearturrettarget" },
    { 0xAC6D5CAA6B9C9758, "clearusingremote" },
    { 0x6DFDA4FA3AD3841D, "clearvehiclearchetype" },
    { 0xAC1FF699C6B91072, "clearvehiclecamo" },
    { 0x4E660BBE6628239C, "clearvehiclereservation" },
    { 0xD64C13AA0A791705, "clearvehiclesticker" },
    { 0xC266B4F5084E9882, "clearvehiclestickers" },
    { 0xF2A5DA488BBBE584, "clearvehicleturretcamo" },
    { 0x70F20FFF56E2C553, "clearvehicleturretsticker" },
    { 0x471E4E8C14B78560, "clearvehicleturretstickers" },
    { 0xCD5464E6F0A1C2DB, "clearviewmodeladdons" },
    { 0x711755927F001AB1, "clearvisionsetnaked" },
    { 0xF05E46C5C13F00F7, "clearvisionsettimer" },
    { 0xA35D445C46411746, "clearweaponloadrequestsforplayer" },
    { 0x8B03BC0230D2CDB1, "clearweaponoutlines" },
    { 0xBE8DEEBD3CDDA88F, "clearweaponscriptvfx" },
    { 0xE41C07B764D60E3D, "clearweaponsfree" },
    { 0xBB4367CAB5E9C51B, "clearworldweapons" },
    { 0x4BE8BA8BA9476AB5, "clearwristwatchtime" },
    { 0x572D2E2DC1B1725A, "client_activate" },
    { 0x367D721E8FC89E4E, "client_hint" },
    { 0x9E115D78EBB2F171, "client_is_dev_bot" },
    { 0x72BF45936B0C0D03, "client_settle_time_get" },
    { 0x858658BEF6610691, "clientannouncement" },
    { 0x8D7D044743F2108E, "clientclaimtrigger" },
    { 0xDFF6DCA7E89D4037, "clientid" },
    { 0xEB034AE7493CC5D3, "clientmatchdata" },
    { 0x815EB329D05F59C1, "clientmatchdata_data_type" },
    { 0xFC7260C93F3FB2A3, "clientmatchdata_logplayerdeath" },
    { 0xDCDCF5A6F1C15BF5, "clientmatchdata_struct" },
    { 0xDD71F3369EEDF11E, "clientmatchdataid" },
    { 0x362BA8449AD33552, "clientnum" },
    { 0x828E95589C009DDD, "clientprint" },
    { 0xF5D175E029066025, "clientreleasetrigger" },
    { 0x22E2E0252126D78B, "clients" },
    { 0x693DD080A160BE6C, "clients_hacked" },
    { 0xAB1E4AE1E17F7874, "clientsettletime" },
    { 0xC2ED6B605E9C0687, "clienttweakables" },
    { 0xD4FE95DFC5CD6079, "climber" },
    { 0x7D57DF24C19621EF, "clip" },
    { 0x830AA42CB074F3FE, "clip_ammo" },
    { 0x0AC986445C3D4BBB, "clip_crawl" },
    { 0x75E27322AA2DC0AB, "clip_delete" },
    { 0x388B7EE4F3AF2F05, "clip_ent" },
    { 0x181A1C312B0434FD, "clip_mover" },
    { 0xE3399A22BCC52804, "clip_nosight" },
    { 0x0D4D2A1D3C4490E0, "clip_stand" },
    { 0xED8D5CC3F6766B95, "clipammo" },
    { 0x9A26ADF09F1267E8, "clipdistance" },
    { 0xE68A960CE87BA08C, "clipent" },
    { 0x838608C8380DDC46, "clipleft" },
    { 0xDCF5B453A5D6D48C, "clipmodel" },
    { 0xF889118FF288559B, "clipright" },
    { 0x3E6159D5BD2BEA14, "clips" },
    { 0x834C581144E735C6, "clipsize" },
    { 0xB54AB6855F5C82E0, "clock_display" },
    { 0xEC5DBB02B03B5471, "clocksounds" },
    { 0xE50541D57AD24CC6, "clone" },
    { 0x5F275803CE8AE9B6, "clone_brushmodel_to_script_model" },
    { 0x18E2E8038458EBD3, "cloneagent" },
    { 0x9159EA89E3137322, "clonebrushmodeltoscriptmodel" },
    { 0xC49D817832BD37FD, "cloned_collision" },
    { 0x987193C780A2BA14, "clonedeath" },
    { 0x13895DD5EA5F729D, "clonekey" },
    { 0x4E26709EFB461DAF, "cloneplayer" },
    { 0xF6B09C486B203CA7, "cloneprop" },
    { 0xE69FBF2090728966, "clonesleft" },
    { 0x3DFAEF3FC570B917, "close_airport_gate" },
    { 0x4E1167683FEFA235, "close_alley_gate" },
    { 0xCC1D46C148ECA75A, "close_and_lock_door" },
    { 0x876216E24FE9BBE0, "close_angles" },
    { 0x7E7DD65E2D16E26F, "close_assassination_door" },
    { 0x8B95E323F06975C8, "close_blockade_gates" },
    { 0x77D0765271D29930, "close_c130crate_gate" },
    { 0x73348857E46797D8, "close_check" },
    { 0xE922CD7109750E70, "close_dist" },
    { 0xD9DA61EC9F7AC021, "close_dist_sq" },
    { 0xCB4A7970F3466610, "close_door" },
    { 0x5B2F766703D32BB9, "close_doors" },
    { 0xA9FC7CED370751A7, "close_doors_after_hvt_anim" },
    { 0xE87D762017E3DB34, "close_elevator_doors" },
    { 0x5E2322D1CC347B83, "close_elevator_doors_roof" },
    { 0x64E856FEBEA9C6B6, "close_exit_doors" },
    { 0x030663F2E044EB6B, "close_gunshop_door" },
    { 0x1CDFDE01137DFDF5, "close_in_on_far_player" },
    { 0x2C621193AE61145B, "close_in_on_player" },
    { 0x3F66471BB6CE1E06, "close_inner_doors" },
    { 0x3B28BF91D7ED5F9C, "close_kioskgate" },
    { 0x14E4D2E1BA75533E, "close_map_write" },
    { 0x37A560C4D983722D, "close_outer_doors" },
    { 0xF7D0D4576A8E4D24, "close_plane_doors" },
    { 0xD0E47F519F7F733C, "close_plane_doors_anim" },
    { 0xCD313EA1BCBC38D6, "close_prompt" },
    { 0x6C068E57F417CB43, "close_runner_logic" },
    { 0x8469B30D9BB5874C, "close_safehouse_door" },
    { 0xE9FC05ED70386F8D, "close_safehouse_doors" },
    { 0x1F00B91C19C224DF, "close_scripted_door" },
    { 0xEF010481B128151E, "close_silo_entrance_doors" },
    { 0x0D584A92532442CA, "close_spawn_min_dist_sq" },
    { 0x750779D0EA871B78, "close_teleport_room_door" },
    { 0x08C2E3E4A91227B9, "close_time" },
    { 0x7996A33B12B23710, "close_trap_room_door" },
    { 0xC974E089EFA74E69, "close_tut_gate" },
    { 0x38590B21459EEEDC, "close_warehouse_door" },
    { 0x92E4544E9853FE3C, "closecapturekiller" },
    { 0xDA73F77BEAA48301, "closed" },
    { 0x2B7331D45579AE1E, "closed_angles" },
    { 0x445928BE95C60EF0, "closed_pos" },
    { 0xE208E8B00B57C145, "closed_position" },
    { 0x4F0290686DD989CD, "closedangles" },
    { 0xCED4D8EE722FCD50, "closedcenter" },
    { 0x17F2A007D0B4E297, "closedoor" },
    { 0xB75BB5377F4907BB, "closedoorifnecessary" },
    { 0x47050A07F48423B5, "closedpos" },
    { 0xEA61CE9C1AF18036, "closeelevatordoors" },
    { 0xC3355AD82068CEB1, "closefile" },
    { 0x248AD09E9976AA41, "closeingamemenu" },
    { 0xA710B231F981F550, "closemenu" },
    { 0xEB61330146DB938F, "closemonitor" },
    { 0xA8154FA2FC799B71, "closenukecrate" },
    { 0x14ADB58AABD6C9FA, "closeobjectiveiconid" },
    { 0x0643F7521B8ED282, "closeomamenuondeath" },
    { 0xE98B38BA731835F0, "closeplundergate" },
    { 0xCBDA3DD4601D7400, "closepopupmenu" },
    { 0xB6F2728FA7D73BBF, "closepos" },
    { 0xDA73E97BEAA46437, "closer" },
    { 0xD88199664F06B025, "closerfunc" },
    { 0xD3E06EAD9FB43892, "closerightblimadoor" },
    { 0xE5CA30A736B41F59, "closescriptabledoors" },
    { 0x8D2ABFE67AC78F5E, "closest_dist_sq" },
    { 0x856749940B32B15C, "closest_point_on_grid" },
    { 0x4137225076A7C0A0, "closest_target" },
    { 0xB1EBCA01A1B282D5, "closest_type" },
    { 0x7A9C7C0B5ABE3F38, "closestalliesflag" },
    { 0xD4BAD35A77E11DEB, "closestaxisflag" },
    { 0xEE28C97165580CFC, "closestdistancebetweenlines" },
    { 0xE8418C0915BF00AF, "closestdistancebetweensegments" },
    { 0x41A24C4615B9CA1A, "closestdoorpos" },
    { 0xBA40EB4B8BCD4FF8, "closestenemies" },
    { 0x66057DAEA44CF246, "closestenemies_array" },
    { 0xE6A1625C5F38A345, "closestplayer" },
    { 0xABD4FBC126FCBD06, "closestpoint" },
    { 0x97742569DC467A1F, "closestpointtowall" },
    { 0xC7B46A10758742D7, "closestquad" },
    { 0x08EAFDE641C999BF, "closet_runner_ignore_manager" },
    { 0xB5967E4863A8532F, "closetacopsmap" },
    { 0xCB2394373B97CAB1, "closetargetsinouterradius" },
    { 0x70686E1C08A71A17, "closetogoalcheck" },
    { 0x600E120A2BAEDEE3, "closetoscorelimit" },
    { 0x4A99FCD0327A3747, "closeweaponmaxdist" },
    { 0xE4A44AD57A677517, "cloth" },
    { 0x0A378BBCA70453CF, "clothtype" },
    { 0xA360D2DC740CCE8E, "cloud_cover" },
    { 0x0A459B5B315D0F2D, "cloudanimfx" },
    { 0x01A444D7EE3D1537, "cloudcoverfx" },
    { 0x0940494530162C44, "cloudorigin" },
    { 0x6FAA88490FB7608B, "cloudref" },
    { 0x8052BF491CB6C725, "cloudsfx" },
    { 0x78DC67F96CDE4680, "cluster_child_spawnpoint_scoring" },
    { 0x39A9824A351EFA9B, "cluster_spawners" },
    { 0xFB582E64A4B9D377, "cluster_spawnpoint_scoring" },
    { 0x85E99E19AC4989F8, "cluster_spawnpoint_valid" },
    { 0x3FFE6624A31E961A, "clusterammoleft" },
    { 0xF010F58010A1C0BA, "clustergrenadeexplode" },
    { 0x9092E202592E63D7, "clustergrenadeinit" },
    { 0x61F122A630481ECD, "clustergrenadeovercookfunc" },
    { 0x5611D79035218BAC, "clustergrenadeused" },
    { 0x1D14013EF230CC7D, "clusterlist" },
    { 0x58F5FEA818996C26, "clusters" },
    { 0xFD3D3176900C6341, "clusterticks" },
    { 0xBF66AB3400C7AA67, "cmd_endgame" },
    { 0x8AB22AC730E1CD00, "cmdattackingteam" },
    { 0xB703010774A33BF4, "cmddefendingteam" },
    { 0xA169CE9705534AB6, "cmdrules" },
    { 0x2EA4DEBEA7D0333D, "co_butcher_mayhem" },
    { 0x65B1D7622CAC44F3, "co_cine_dof" },
    { 0xCDBFB24F6AC2F24C, "co_wolf_mayhem" },
    { 0x927AAA855C97D7A8, "cobra_missile_models" },
    { 0x6561B4E34DEAFE7D, "cobra_weapon_tags" },
    { 0x8E04B7DF8A9D98EE, "cobraweapon" },
    { 0x15816119031E2CF5, "cockpitcamera" },
    { 0xFC3F0F4E11CE05C0, "codcasterball" },
    { 0x56F6ADA6D17C12A2, "codcasterballcamfollow" },
    { 0x4626A8D80E037314, "codcasterballinitialforcevector" },
    { 0x38C8CA2EE48C4A27, "codcasterballowner" },
    { 0x01C23785741927CA, "codcasterenabled" },
    { 0xDF7C412539E907CA, "codcastermatchdata" },
    { 0xA5870B03313FB0C7, "codcastermatchdataid" },
    { 0x6CD2B124B4BD16D8, "code" },
    { 0x9FFF6F80861E709C, "code_classname" },
    { 0x213DFDC2D5CEA806, "code_damageradius" },
    { 0xE11F4C9F166B064A, "code_generation_init" },
    { 0x41169EC652E71174, "code_move" },
    { 0x45BEFBEDCB96B872, "code_move_slide" },
    { 0x784863A1179DAE5D, "codecallback_agentadded" },
    { 0x943FA0402F4EDED4, "codecallback_agentdamaged" },
    { 0xB507A5D6712D264E, "codecallback_agentfinishweaponchange" },
    { 0xEE76918316A5CC5D, "codecallback_agentimpaled" },
    { 0xFB8E8C19610A63D8, "codecallback_agentkilled" },
    { 0x3422DFB178BAEAF8, "codecallback_getprojectilespeedscale" },
    { 0xE7B8983CE0256066, "codecallback_hostmigration" },
    { 0x8102A700C3614B19, "codecallback_leaderdialog" },
    { 0x8C0B0A7EDCEFD18C, "codecallback_omnvarschanged" },
    { 0x679AC1334A6CE30B, "codecallback_playeractive" },
    { 0x11617F0FB38C4C5D, "codecallback_playerconnect" },
    { 0x22B0021865C59BC4, "codecallback_playerdamage" },
    { 0xAE14BE53DC957B9F, "codecallback_playerdisconnect" },
    { 0xDDBBB5A2F8270A52, "codecallback_playerfinishweaponchange" },
    { 0xD14FD411AF018EE1, "codecallback_playerimpaled" },
    { 0xC8E08675699FA284, "codecallback_playerkilled" },
    { 0xDA009D0068600A0B, "codecallback_playerlaststand" },
    { 0xF803CFC2A44D4ACA, "codecallback_playermigrated" },
    { 0x289BD9FAF34C51D5, "codecallback_playerspawned" },
    { 0x36EF48397045E707, "codecallback_spawnpointcritscore" },
    { 0x2E96F9FBA333AC0F, "codecallback_spawnpointscore" },
    { 0x2C101BDB7DF263A0, "codecallback_spawnpointsprecalc" },
    { 0x8F73458AD9403B8A, "codecallback_startgametype" },
    { 0x405302B18EC8BC9D, "codecallback_vehicledamage" },
    { 0xECDA79B92006D401, "codecallbackhandler_spawnpointcritscore" },
    { 0xF6378644FB61A44F, "codecallbackhandler_spawnpointprecalc" },
    { 0xB04B7F2BF80AFF11, "codecallbackhandler_spawnpointscore" },
    { 0xA46998417BF77C7B, "codecomputerscriptableused" },
    { 0xE3497BD1E11E6923, "codecorrectlyenteredbyanyone" },
    { 0x4105CDC52EFB1DFF, "codeentered" },
    { 0x6EA9EC9FE33DFC3E, "codeloc" },
    { 0x9AFCC2584B8E6312, "codemoveanimrate" },
    { 0x2B2E57CA3E2704C3, "codemoverequested" },
    { 0x599EF0632C8EA0A9, "codenumber" },
    { 0x8D121AA7F8176AD5, "codephonescodeenteredringingfrenzy" },
    { 0x12A7D2C57F0F081A, "codephonescriptableused" },
    { 0x207E8B62F74B722A, "codescripted" },
    { 0x401B678712C5294C, "codevehicletest" },
    { 0x6A8B3D83EDE860BF, "cointoss" },
    { 0x821BA7A0956DE2C0, "cointoss_variable" },
    { 0xA5489303B3EE1415, "col" },
    { 0x04FF358D6615E05E, "col_checkiflocaleisavailable" },
    { 0xAFAA07513AA82073, "col_circletick" },
    { 0xCE4507C045FC8C10, "col_createcircleobjectiveicon" },
    { 0x97C62D389C5AE94E, "col_createquestlocale" },
    { 0x90E7777D86D11E95, "col_localethink_itemspawn" },
    { 0x702129D22AC6E124, "col_localethink_objectivevisibility" },
    { 0x3F5A9C5C9B168347, "col_removelocaleinstance" },
    { 0xBEE503B602218EEF, "col_removequestinstance" },
    { 0x5C48D6CC9ED3BB38, "cold_weapon" },
    { 0x867F4B6119275A0B, "coldopen_bink_catchup" },
    { 0x16F8EEB5D5E4FB55, "coldopen_bink_move_scene" },
    { 0xC3FAB8814ABED849, "coldopen_bink_start" },
    { 0xB0C0E8583D7FCB8A, "collapse" },
    { 0x55EFD825EF854B1A, "collapse_beam_bend" },
    { 0xA591D6297C44EDFA, "collapse_burn_player" },
    { 0x7C1767DAC6F6B70D, "collapse_burn_player_death_hint" },
    { 0xCA93AC1CCFF52477, "collapse_catchup" },
    { 0x29602501ED41BEE9, "collapse_clip" },
    { 0x6CFC2ECF0FF2CBE0, "collapse_crawl_segment_anim" },
    { 0x8CFEB962D605782E, "collapse_delay" },
    { 0x30ADC11C03191EAB, "collapse_earthquakes" },
    { 0xF5A3E2ECEF55E6C0, "collapse_explode" },
    { 0x8D52C11259EA5976, "collapse_exploder" },
    { 0x9CD031FB352BF171, "collapse_farah_crawl" },
    { 0xF002F87355C3A2A5, "collapse_farah_demeanor" },
    { 0x0D21BC9D014F1EBE, "collapse_farah_scene" },
    { 0x0F2F474AF575A404, "collapse_fuel_hint_dialogue" },
    { 0x2F2CDC7F39352F69, "collapse_geo_after" },
    { 0xF62AAB113D78C2BE, "collapse_geo_before" },
    { 0x3CBE0019A47243F1, "collapse_hurt_trig" },
    { 0x081DBA64A74A76E6, "collapse_hurt_trigs" },
    { 0x33B2AE288DEB6F1B, "collapse_oil_trap_wait" },
    { 0xD6980456DD1F4CEA, "collapse_player_slow_crawl" },
    { 0x33500A5A37A4C5BA, "collapse_sag_beam" },
    { 0x14F3DB43B35E0A90, "collapse_setup" },
    { 0xA2A2C792B10D9344, "collapse_setup_tunnel_scriptables" },
    { 0xAFD4D7B5A7C1038A, "collapse_sfx" },
    { 0x1384E2B292B04A25, "collapse_start" },
    { 0x8900F5A5D9DD9E5F, "collapse_thread" },
    { 0x81125EB5844A828D, "collapse_vfx" },
    { 0x380AE80F400D7C6A, "collapsed" },
    { 0x86D889B8A485AFAC, "collateral" },
    { 0x2955D77B05EFC4B7, "collateraldamageassessment" },
    { 0xCEBC183311306079, "collbrush" },
    { 0x767AA2B733CAD80D, "collect_circuit_children" },
    { 0xB439D7CE0DA6456F, "collect_circuit_siblines" },
    { 0x8DF8DF9C3CC5617E, "collect_intel" },
    { 0xC4DCB46CFFD01BDA, "collect_intel_anim" },
    { 0xD69CE53F258AF19D, "collect_investigate" },
    { 0x865054DB53515B81, "collect_jugg_key" },
    { 0xBB9068F7D214942C, "collect_lead" },
    { 0x2E8E5AF320D8A7EC, "collectall" },
    { 0x66DCCB5C656BE88D, "collected_enough_leads" },
    { 0x6FD9E78E2B7E4A78, "collecteditems" },
    { 0x225672E3375C7B82, "collectibles" },
    { 0x5F9CAE4A257457E6, "collection_num" },
    { 0xA81CC1584B19145B, "collision" },
    { 0xA042CADEC0F3E320, "collision_check_failed" },
    { 0x683DC8BE9C46D914, "collision_created" },
    { 0xD10C3D14A36D10C6, "collision_damage_watcher" },
    { 0xE212B271A1F528B8, "collision_down" },
    { 0xC6480E681F15FE11, "collision_up" },
    { 0xF9210A124C82702D, "collisioncheck" },
    { 0xF5F8F55E5559693C, "collorigin1" },
    { 0xF5F8F85E55596FD5, "collorigin2" },
    { 0xDBCD7CA2933CF076, "colmaps" },
    { 0xC803F357899B250A, "colmodel" },
    { 0x85CD7BCCDDC5D847, "colmodelent" },
    { 0x9DA3FDB928271BF4, "color" },
    { 0xE47269746E517D46, "color_01" },
    { 0xE47268746E517B13, "color_02" },
    { 0xD843F2DFE2AE1FB9, "color_arrive_handler" },
    { 0xC8BC199D452F635C, "color_base" },
    { 0x261452EFF029CD4B, "color_blind_toggled" },
    { 0x3415BD399AA19E3C, "color_debug" },
    { 0x3784FA00A9944330, "color_doesnt_care_about_classname" },
    { 0x6E9E1DFF41F5FF07, "color_index" },
    { 0x657EACB83697D8F9, "color_node" },
    { 0x06A3DAD131192B65, "color_node_arrive" },
    { 0x31ED414EACE51B34, "color_node_finds_a_user" },
    { 0x7518BE3743A04C91, "color_node_finds_user_for_colorcode" },
    { 0x343C65EDD8E14105, "color_node_finds_user_from_colorcodes" },
    { 0x92EDB6B76C316A9C, "color_node_left_cleanup" },
    { 0x7D1C079CD21148A7, "color_node_type_function" },
    { 0x84A99700068C2EC1, "color_ordered_node_assignment" },
    { 0xB93979B9EBE1AC70, "color_respawn_spawner" },
    { 0x2B56C8CDBB018A39, "color_teams" },
    { 0x9D9BE3580E9EE0A3, "color_traversal_nagtill" },
    { 0x9092F96F4F225499, "color_trig_touching" },
    { 0xB6DD3F3F364381DE, "color_user" },
    { 0xB7A354BDBF19C2C4, "colorchecklist" },
    { 0x45032D9E227801A5, "colorcode_is_used_in_map" },
    { 0x5CD75A734F4D24EA, "colordye" },
    { 0x9123B3B62084C450, "colorindex" },
    { 0xDFB53452BC9CA0B9, "colorise_toggle_onto" },
    { 0xD85B2CF7FFF71A09, "colorise_warnings" },
    { 0x2E66CD9D034812AB, "colorise_warnings_clear" },
    { 0x0DD885B581680195, "colorislegit" },
    { 0x3946E64FE103C33C, "colorlist" },
    { 0x783C69EA03AC3BB1, "colornode_arrived_func" },
    { 0x9930FCFF07CA2106, "colornode_assign_bravo2_2" },
    { 0x3B0C77349070D846, "colornode_assign_price" },
    { 0xBCECB64301B8D44F, "colornode_func" },
    { 0x38BFBEE2113C1D8C, "colornode_replace_on_death" },
    { 0x64A0494530CCEAAB, "colornode_setgoal_func" },
    { 0x4B53FF100DE7BAA2, "colornode_spawn_reinforcement" },
    { 0xEF7C55154572D3E7, "colornodes_debug_array" },
    { 0xD6C285334E0189E5, "colors" },
    { 0x64981589C743BA01, "colorspawners" },
    { 0x50021D35CBC32E55, "colorvolumes_debug_array" },
    { 0x055E4F13A70BB545, "combat" },
    { 0x13FEE6712313C924, "combat_action" },
    { 0x65FAA3F0BFE71B22, "combat_ambience" },
    { 0x2A5D5552709151AE, "combat_clearfacialanim" },
    { 0x4F57AEC79E2CBA72, "combat_counter_reset" },
    { 0xEBF39A9BF97F904C, "combat_distract" },
    { 0x82D7C39AE1349D0B, "combat_end" },
    { 0x8515F258B5E928C8, "combat_func" },
    { 0x62DA365B0635AE9F, "combat_func_active" },
    { 0xD06BF58C0F3880AD, "combat_func_override" },
    { 0x968C7B27413D890B, "combat_getinfoinradius" },
    { 0x08598FE13CF8AD3F, "combat_goalradius" },
    { 0xC2F3BE75800E4FCD, "combat_icon_objective_id" },
    { 0x90848644AF234DF4, "combat_init" },
    { 0x52000A3AC7C61B60, "combat_interaction_process" },
    { 0x7FCFDFD4F0338A6C, "combat_interaction_run" },
    { 0xE16E27954818673C, "combat_logic" },
    { 0xAC5860CF9C63CF94, "combat_loop" },
    { 0x56799D0FEA802426, "combat_objectives" },
    { 0x3D27D17BB51E8EB5, "combat_playfacialanim" },
    { 0x04BDAD8D10BF7985, "combat_reaction_previous_anim" },
    { 0xC6CC791EC7F02392, "combat_reaction_return_state" },
    { 0x02C7645F6878D24F, "combat_reaction_wait" },
    { 0x25BB2139C52FEF4A, "combat_reaction_wait_buffer" },
    { 0x212463C057110BB6, "combat_resource" },
    { 0x2718ED3BDCAF379E, "combat_start" },
    { 0xD285E55941B24619, "combat_terminate" },
    { 0x97D049820CEE21D0, "combat_volume" },
    { 0xCD334C026FB3F979, "combat_volumes" },
    { 0x895569417541A992, "combataimlimits" },
    { 0x96C5700071A55F63, "combatcrouchanims" },
    { 0x49E1611E399CE5CB, "combatendtime" },
    { 0x9BD3D567AD2610C7, "combatfunc" },
    { 0x355F41526E399BDD, "combathigh" },
    { 0x028BFABE85533B38, "combathighicon" },
    { 0x0046F075F821A35B, "combathighoverlay" },
    { 0x6EB7A8D8D373594A, "combathightimer" },
    { 0x93966E38F2A8ACDB, "combating" },
    { 0x01112860969FC172, "combatmemorytimeconst" },
    { 0x3EBA64D8ABF02478, "combatmemorytimerand" },
    { 0x08C63DDD266EAFD2, "combatmode" },
    { 0xAC8A62A76A05EFA3, "combatradiussq" },
    { 0x9529A27C431E5CEF, "combatrecordarchetypedeath" },
    { 0xA63803632C0C88BB, "combatrecordarchetypekill" },
    { 0x4476A6B723A74639, "combatrecordequipmentused" },
    { 0x13CC1CA88DF2FCFB, "combatrecordincrementkillstreakawardedstat" },
    { 0xFE8350491B917185, "combatrecordincrementkillstreakextrastat" },
    { 0x9E17AF50F1839914, "combatrecordkillstreakstat" },
    { 0xF7CCA4F440B987B9, "combatrecordkillstreakuse" },
    { 0x662FA114D84302EA, "combatrecordlethalkill" },
    { 0x4B8FBBF9EF4C540F, "combatrecordsuperkill" },
    { 0xFD1864D3CA2ED0DB, "combatrecordsupermisc" },
    { 0x055FD4C4EA7287B6, "combatrecordsuperuse" },
    { 0x4116B6D38C6F47F3, "combatrecordtacticalstat" },
    { 0x31EE79806D04D14C, "combatspeedscalar" },
    { 0xDB6AB933CA8E601B, "combatstandanims" },
    { 0xFD6A415530966DB6, "combatstate" },
    { 0xA232F0F4040D8B15, "combatstate_addupdatefunc" },
    { 0xAA2020B4A5672630, "combatstate_removeupdatefunc" },
    { 0xEAB80A3E4B08CF03, "combatstate_thread" },
    { 0x5B2B48FE96B6EA0E, "combatstate_updatethread" },
    { 0x069CD8B2A9AD46A4, "combattime" },
    { 0x00954C809202D700, "combattraverseenabled" },
    { 0x8608C8D40609B3C5, "combine_module_counters" },
    { 0x276DE4115DB4DD92, "combineangles" },
    { 0xB62909905B67FB4D, "combined_alias" },
    { 0xCC378423E5EE9442, "combined_counters" },
    { 0x1FD09853FFAB3407, "combined_counters_groups" },
    { 0xFC64B319CB5E94CC, "combinedefaultandcustomattachmentidmaps" },
    { 0x08F904A34D8E4EB5, "combo_duration_calculate" },
    { 0x5D7FE3030C7F4469, "combo_progression" },
    { 0x74E708B28F413609, "combo_reset" },
    { 0x67C8DB9F7433E0C2, "comeback" },
    { 0xDBBCEFFCE49AC20E, "comloadout" },
    { 0x6853BDD7DCA5617C, "command_given" },
    { 0xBDDBDA09CEB19626, "commanddown" },
    { 0xB00E474183060929, "commander" },
    { 0x49C4B8E52F4CE382, "commander_approach" },
    { 0x65CAC46CB1920DD5, "commander_delay" },
    { 0x354C3336C041E522, "commander_dialog" },
    { 0x5A6342E2AB42072F, "commander_play_sound_func" },
    { 0xC369DF8391A8E8FC, "commander_speaking" },
    { 0xD4FD472361F3701C, "commanding_bot" },
    { 0xA22DE3F0A804E477, "commands" },
    { 0x24F1E1EAE3A45675, "commands_requested_recently" },
    { 0xAFC8454182B97553, "commandup" },
    { 0xE67BD937BBDFA6AE, "commandwatcher" },
    { 0x9D5FB33B4CA1E875, "commitsave" },
    { 0xB23AE75CE61CBC36, "commitwouldbevalid" },
    { 0x3C98A89B4B7265FD, "common_friendly_convoy_vehicle_func" },
    { 0xD8EF6C84B79AAFFA, "commoninit" },
    { 0x8BF7D5B91A0965CA, "comms" },
    { 0xA932879AA122A89F, "comms_crates" },
    { 0x14C75B251A5A0411, "comp_1f_catchup" },
    { 0x605A66ED4BB49EFF, "comp_1f_start" },
    { 0xABE27258F498B0DA, "comp_2f_catchup" },
    { 0x7B097F33182F2094, "comp_2f_start" },
    { 0xEEA97B2235C9F5F7, "comp_3f_catchup" },
    { 0x1B0A08AEDEE9D189, "comp_3f_finished_vo" },
    { 0x423369615B11BFA5, "comp_3f_start" },
    { 0xA439AAC762B40CB2, "comp_cleared_pillage_vo" },
    { 0x81245557AAFCCAC0, "comp_cleared_price_stairs_vo" },
    { 0xB21A15DD6FD60E40, "compare" },
    { 0x4EAD2C619F74CF07, "compare_arrays" },
    { 0x78F1FAE841AA0B9F, "compare_bomb_id" },
    { 0xFB75F8FB8E272793, "compare_breadcrumb_order" },
    { 0x6C698E967E4ABE8A, "compare_group_name" },
    { 0xB6AA4AFA5A0D3137, "compare_higher_score" },
    { 0xD3316A8FA7AE5730, "compare_player_pass_dot" },
    { 0xF7DF0D7789F19265, "compare_player_score" },
    { 0x3C303BE93204EF53, "compare_values" },
    { 0x16F602A20F21B2FB, "compareballindexes" },
    { 0x8A6DA4B72D5F4446, "compareclassstructs" },
    { 0x57750C2A68D9ED14, "comparekillcounts" },
    { 0x95ABAB75A256479E, "compareplundercounts" },
    { 0xAE6F4A869815C148, "comparepriorityandtime" },
    { 0xB337463F7707B772, "comparescore" },
    { 0x5DC95AA3471ED2B9, "comparescriptindex" },
    { 0xEAC38C44A751BF44, "comparescriptindexobscuredspawns" },
    { 0xA54363E293222948, "comparescriptindexsmalltolarge" },
    { 0xB546F24763AA4548, "comparesizesfx" },
    { 0x1642B28C0E60BDCF, "comparesoundpriorities" },
    { 0x0E81EA0C534FB156, "compareteamscores" },
    { 0x690C90E8C7892264, "comparevehdisttoends" },
    { 0x39F3BCF66484D70A, "comparezoneindexes" },
    { 0xB21523DD6FD00433, "compass" },
    { 0x0191DA9A8631E650, "compasshideshots" },
    { 0x1BC456606910A57E, "compassiconenemy" },
    { 0xFB96257F48A5F8BD, "compassiconfriendly" },
    { 0x4F29D369A7758C73, "compassicons" },
    { 0x45C91BB32455C294, "compensatetoground" },
    { 0xA1B141489758D01A, "complete_breakout" },
    { 0xBBFA6923CD24BE70, "complete_checkin_weapons" },
    { 0x535B4568E5B45946, "complete_find_hvi" },
    { 0x7FB53DB3BB9D3B09, "complete_func" },
    { 0xD3E4A39FEA3F8A71, "complete_game" },
    { 0x9EB8A616775506CC, "complete_game_win" },
    { 0x8465EB5CC09D4347, "complete_go_to_the_prison" },
    { 0x45B72EB09F0E2A00, "complete_hack_console" },
    { 0xAADB280C8ACBCE60, "complete_killer" },
    { 0xC3A0D9002297EDFC, "complete_meet_with_informant" },
    { 0x47395EB7BBAB5374, "complete_state" },
    { 0xEA58EDDC027BF16E, "complete_trap_room" },
    { 0x912A249D39FF3138, "complete_vault_assault_retrieve_saw" },
    { 0xBC0E92FBF3B09659, "completearmsraceobj" },
    { 0xE4DDF3238AE78A59, "completeballoon" },
    { 0x5284693678D24650, "completecollectionquest" },
    { 0xBF7789EB2F0427B7, "completed_areas" },
    { 0x52340A5801B5C362, "completed_delay" },
    { 0x513BAC75F4760053, "completed_fusebox_tut_anim" },
    { 0x459B8E89C3E32FDC, "completedanims" },
    { 0xD49F0D32D00D6FA8, "completedmounttut" },
    { 0x9F1E0B23CBFA3D9B, "completednodes" },
    { 0x207B04937DF9B901, "completedobjective" },
    { 0x6844825E0C32D5B6, "completedobjectives" },
    { 0xFB4AF09CDA184E26, "completelyremovelittlebird" },
    { 0x0E1639AC53371B31, "completemorales_1" },
    { 0x0E1636AC53371498, "completemorales_2" },
    { 0x0E1637AC533716CB, "completemorales_3" },
    { 0x0E163CAC533721CA, "completemorales_4" },
    { 0x0E163DAC533723FD, "completemorales_5" },
    { 0x0E163AAC53371D64, "completemorales_6" },
    { 0x43F94C4BF3EF2DD0, "completemoralesfastloadobj" },
    { 0x6D1704B30EF4B519, "completemoraleshackobj" },
    { 0xCA2AE15C47B80B15, "completemoralesholdoutobj" },
    { 0x3C0DC02FF7348EAE, "completemoralesinfilobj" },
    { 0x36D7AABB8417E1D5, "completemoralesrescueobj" },
    { 0x6D1E16FCA7B32442, "completemoralessignalobj" },
    { 0xCB48FA464555B6F5, "completemoralesslowloadobj" },
    { 0xAA82914DA2A77351, "completeobjective" },
    { 0xA498EDBCB642BC20, "completeobjective1" },
    { 0xA498F0BCB642C2B9, "completeobjective2" },
    { 0xA498EFBCB642C086, "completeobjective3" },
    { 0xF7E24F6471E3D632, "completeobjstr" },
    { 0x817BAEEA127C9FDB, "completepayloadexfilobjective" },
    { 0xD265F9F34A9DA159, "completepayloadobj" },
    { 0x26C9287520741F31, "completepayloadpunish" },
    { 0xE625595DE2EB697C, "completescavengerquest" },
    { 0xD4CBB69D89D4F3F5, "completescenetransition" },
    { 0xA077AAC63DF4F733, "completesecretstashquest" },
    { 0xCE9DEB8D266D94E4, "completesmokinggunquest" },
    { 0xEF19BE72BC9956D0, "completetimedrunquest" },
    { 0xFEF0539D42903C0F, "completetmtylobj" },
    { 0xF9F6FEBB381CD95E, "completeweapon" },
    { 0xB750E21D49A4EB40, "completex1finquest" },
    { 0x9C9DD602F7C82DD0, "completex1stashquest" },
    { 0x860D0B57531C023B, "completion" },
    { 0x42A0C528FCF8FEFC, "component_specific_init" },
    { 0x2CCE9A10685E833D, "compositemodel" },
    { 0xD3ACA6943490D0EF, "compound_door_setup" },
    { 0x0D8BC4090408E2F6, "compound_lights_off" },
    { 0x4546D36D99B2A5BC, "compound_lights_on" },
    { 0x6E3680657503B2DC, "compound_lights_sequence" },
    { 0x3A4E834112D48658, "compound_objective" },
    { 0x036DE9D9BFB41306, "compound_open_side_door" },
    { 0x5ECEDF72B93E4E13, "compound_residence" },
    { 0x38EE20A6CE9025B4, "compound_residence_exit" },
    { 0xB13C732D6900AC84, "compound_return_lighting" },
    { 0xE899B8476ACF49A7, "compound_scriptables" },
    { 0x28AB8B04D6EC1161, "compound_technicals" },
    { 0xA6F096960B36BC19, "compromise_center_truck" },
    { 0x404DC2BA3A480531, "computedropbagpositions" },
    { 0xB289E8292F0556CC, "computer" },
    { 0x91A18A5B1AF48E34, "computer_activate" },
    { 0x18529D59B146B4DF, "computer_anim_loop" },
    { 0x870160D1761FE4D0, "computer_anim_loop_exit" },
    { 0xC3CFFDE2633F5FC1, "computer_animation" },
    { 0x3D720D15B6BE5F37, "computer_animation_off" },
    { 0x51AA1873E4F6F37E, "computer_debugtestloop" },
    { 0xFBC3B30801E1723C, "computer_disconnect_handler" },
    { 0x3F067FDE557E6A04, "computer_event_listener" },
    { 0x817673AC96A3F7A9, "computer_force_player_to_exit" },
    { 0x31F31F7AB359EBC4, "computer_interaction_start" },
    { 0x79CCE5907CACE4B1, "computer_interface_think_internal" },
    { 0xEFD8F221FBF99720, "computer_laststand_handler" },
    { 0x14549857B506B8F5, "computer_listener_all" },
    { 0x672F06887568CC62, "computer_name" },
    { 0xBC811F69AF26DFBC, "computer_objective" },
    { 0x8F1813F3351ED648, "computer_omnvar_setup" },
    { 0x0A4C5037C8947E96, "computer_player_allow" },
    { 0x1663190714877C25, "computer_player_listener" },
    { 0x2E6D73013F17A35E, "computer_prompt_pressed" },
    { 0xE3054C5E4220008E, "computer_result_omnvar" },
    { 0xD4B92C5828FA9EF4, "computer_search_action" },
    { 0xD4E5098D95C652E1, "computer_test" },
    { 0xBAD63B8F7F988827, "computer_think" },
    { 0x08D22AF95C46E8C9, "computer_think_internal" },
    { 0x94E468899DCBE79D, "computer_watch_for_search" },
    { 0x4B43360538BF079E, "computermakingnose" },
    { 0xF5CF76A5D32C8CDB, "computerrebootsequence_init" },
    { 0x8787037D9B8240E8, "computerrebootused" },
    { 0xD6D15A051E0F04B3, "computerscriptable" },
    { 0x1C2187CB9EC0B100, "computescoreboardslot" },
    { 0x93BD038B3C394F13, "computeweaponclientloadout" },
    { 0x3BF41709203DA93D, "conceal_add_cleanup" },
    { 0x8A3CDB7E673FD7EB, "concrete_blocker_markers" },
    { 0x80A839159E3A3EB7, "concussionendtime" },
    { 0x3165E56AD4C101D7, "concussiongrenadefx" },
    { 0xBDE5606BB8DFEAF8, "concussionimmune" },
    { 0x1B6DB4E603061D1C, "concussionused" },
    { 0xD2CB6A27D5F70CFB, "concusspushstart" },
    { 0x6CA6B624B48CBB71, "cond" },
    { 0x46EC727206D5B25C, "cond_func" },
    { 0x09C22C246E846FE5, "condition_allplayersoutsideradius" },
    { 0x468F1D175F718D00, "condition_anyplayerinsideradius" },
    { 0xB9D0019F2BA41876, "condition_circlecount" },
    { 0x820D4067F80B1070, "condition_circlesremaining" },
    { 0xBCE3C5DDCC269EEC, "condition_debugpaused" },
    { 0x31F458941C18B137, "condition_disabled" },
    { 0xC6814BE9DAAFA81D, "condition_insafecircle" },
    { 0x069EA9F9DFB8E7E9, "condition_lastencounterstarttime" },
    { 0xAD20E348F6CE22FB, "condition_maxactivelocations" },
    { 0xF37F42733668F6A2, "condition_maxaliveplayers" },
    { 0xBD8A537CA0812308, "condition_mintimepassed" },
    { 0x7FB4C57D73096A4D, "condition_prematchdone" },
    { 0xA9A3A149417BAF00, "condition_stateis" },
    { 0x9492CC937633C6D8, "conditional_enemies" },
    { 0x6CA6B524B48CB93E, "cone" },
    { 0x47751250D64C1BFA, "conf_camper_camp_tags" },
    { 0xCA9C90EC725EC760, "conf_camping_tag" },
    { 0xB20A07909CC48FC6, "conf_camping_zone" },
    { 0x14DD1C1A23D1D262, "conf_fx" },
    { 0x8075C201695E12D3, "config" },
    { 0xE10C491AB9E2F5E0, "configs" },
    { 0x700C281D83789F9C, "confirm_cut" },
    { 0x70F1069D70B5C50C, "confirm_good_pickup_location" },
    { 0x89F868406FEEBB03, "confirm_location" },
    { 0xE7BB1D8AF000F517, "confirmcontextualworldmarkercb" },
    { 0x14B9B3B5EFE081E3, "confirmed_pilot" },
    { 0x46540D0D39977E6E, "confirmenemymarkercb" },
    { 0x403574421A02E0F2, "confirmlootmarkercb" },
    { 0x3ECEB4AE76452313, "confused_about_phone" },
    { 0x8105826DEF380DA3, "connect_and_delete" },
    { 0xAEC8D9DF35CAE97E, "connect_circlar_path" },
    { 0xC8CDB9DD74EC6116, "connect_doorway_paths" },
    { 0x458A740BF2732214, "connect_init" },
    { 0x55ABE9F99B9F69C3, "connect_jumpdown_traversal" },
    { 0xBFE3493ADEF6C599, "connect_ml_p2_doorway_paths" },
    { 0x5409F850B210B470, "connect_office_door_paths" },
    { 0x2CF353CD2DF2EA07, "connect_time" },
    { 0x242F16D16FFD2BBC, "connect_validateplayerteam" },
    { 0xC500FA3CAE041DAC, "connected" },
    { 0x429B434DA4FF16AA, "connected_search_node" },
    { 0x8B12AED16EEA5798, "connected_vandalize_node" },
    { 0x485AF33C30537A18, "connectedplayercount" },
    { 0xC0C63A340E33932C, "connectedpostgame" },
    { 0xB92549819C6E9F3B, "connectingplayers" },
    { 0x37D7F2FBE966402A, "connectnewagent" },
    { 0x4586023ECC3AE8AD, "connectnode" },
    { 0xEF6547A66CE826A9, "connectnodepair" },
    { 0xFFBED949DF01807F, "connectpaths" },
    { 0xF27142AB45B0EBFF, "connectpathsfunction" },
    { 0x794A6CD03AAEAE84, "connecttime" },
    { 0xC4972A70687F4386, "consecutiveKills" },
    { 0xBEF6B0A44425DA9B, "consecutive_kills" },
    { 0x7913FB2CBA4457B2, "consecutivehitsperweapon" },
    { 0xE8EAD2D284D63A16, "console" },
    { 0x44790AE0E3467DEF, "console_being_hacked" },
    { 0x47318595293FA652, "const_cos60" },
    { 0xDAFA7DE6237B4ACB, "constant_quake" },
    { 0xB1166164FE27C898, "constantsize" },
    { 0x72A9CD6334E3268F, "constrained" },
    { 0x14CEF449D50C33CC, "constraingametype" },
    { 0x473F6B6B1406815D, "constraintoscriptgoalradius" },
    { 0x337BDA809455BE3D, "constructhelipath" },
    { 0x4767FF88AD62A695, "construction_animatedcivilianlogic" },
    { 0x91803E8330EEE84E, "construction_animatedenemylogic" },
    { 0xE5852054646ED422, "construction_animatedscenelogic" },
    { 0xAB479A8AA68B3EDF, "construction_dialoguelogic" },
    { 0xCCA95E89533796BB, "construction_getanimatedcivilian" },
    { 0x29DCDC68850612B6, "construction_getanimatedenemies" },
    { 0x17FB0F971489B1BE, "construction_getanimatedvehicle" },
    { 0x61C699EB725AEF64, "construction_getanimatedvehiclecivilians" },
    { 0xBF36976A568096D6, "construction_getanimationstruct" },
    { 0x2AEB28F485964D29, "construction_getcivilianworkers" },
    { 0x5812A82E168B2F36, "construction_getfarahpath" },
    { 0x3AA7AD90455E8EC4, "construction_getguardvolumealertednotify" },
    { 0x1274E8AE96953459, "construction_getplayerabandontrigger" },
    { 0x411AF255B575F202, "construction_getvehicles" },
    { 0xB89724AD7FA8DF50, "construction_main" },
    { 0x5E809BB3F1FF90A6, "construction_objectivelogic" },
    { 0xC6E8F69543C9E5C1, "construction_playerabandonlogic" },
    { 0xB0A349C436C9D664, "construction_spawnanimatedcivilian" },
    { 0xC95531A125DB70EF, "construction_spawnanimatedenemies" },
    { 0x93A65112D7D22634, "construction_spawnanimatedunloadercivilian" },
    { 0x5C484D87B2C1FB93, "construction_spawnanimatedvehiclecivilians" },
    { 0x0DEE9F6E71C5F93A, "construction_spawncivilians" },
    { 0x8A4757F0BB96B664, "construction_spawncivilianworkers" },
    { 0x73603AA5E003BCD8, "construction_spawnenemies" },
    { 0xA602BA8C6849F5E7, "construction_start" },
    { 0xF3CF07DF993E080A, "construction_wallalogic" },
    { 0x2A5037F487C2D8EE, "consumable_activate" },
    { 0x391BC3AC595D5DB2, "consumable_activate_internal" },
    { 0x695C42E085D27468, "consumable_activate_internal_irish" },
    { 0x73489BF8BE50FBAD, "consumable_cash_scalar" },
    { 0x94CAF113E4B68578, "consumable_meter" },
    { 0x1C800BF056B1DB9C, "consumable_meter_full" },
    { 0xCB7D2A11EA1E9719, "consumable_meter_max" },
    { 0x33815B561767DC32, "consumable_setup_functions" },
    { 0x8975654904B00235, "consumable_table" },
    { 0x3AC039E46F4B1397, "consumables" },
    { 0x1F7FBEC07A820B65, "consumables_equipped" },
    { 0x2E8D5BE361953BF1, "consumables_pre_irish_luck_usage" },
    { 0x542F59C44B574C3D, "consumables_used" },
    { 0xF223411CB4FCEA59, "consume_from_inventory" },
    { 0x83BCF1C25946D375, "consumepowerovertime" },
    { 0x895D71BD73E13A17, "contact" },
    { 0x9AB55D28B4EB5752, "contact_pos" },
    { 0xCE6D95C2FCAB27E4, "contacts_animatedenemydeathlogic" },
    { 0x5B28E2E53B4E391A, "contacts_animatedenemylogic" },
    { 0xC568BC22FC74451F, "contacts_animatedenemyreactlogic" },
    { 0xD3929390A3F1C8AB, "contacts_dialoguelogic" },
    { 0x6FCC80365DC5A998, "contacts_enemyinvestigatorlogic" },
    { 0x96AB06FB26B0FFFE, "contacts_farahalertedbyproximitylogic" },
    { 0xCFF8F9B320FB3BF7, "contacts_farahkillremainingenemieslogic" },
    { 0x0623FF3C666BE494, "contacts_farahpushplayerlogic" },
    { 0x5EBE6BD986959479, "contacts_getfarahnode" },
    { 0x60B70739317B43BB, "contacts_getholetrigger" },
    { 0x70F4B24564A14C5D, "contacts_getinteriortrigger" },
    { 0xA8B203F95F780B24, "contacts_guardsalertedlogic" },
    { 0xF557AED4D21950BC, "contacts_main" },
    { 0x3AA20E1214F51E73, "contacts_playerspottedenemieslogic" },
    { 0xCF795B884936263B, "contacts_scenelogic" },
    { 0x977A0EBD49DE116A, "contacts_setupanimateddesk" },
    { 0x76827C792698BDFB, "contacts_spawnanimatedenemy" },
    { 0x489CD35C0DE5C2AC, "contacts_spawnenemies" },
    { 0x2CECAE34EC23C90E, "contacts_spawnstealthbrokenenemies" },
    { 0xBFC9414958AFB88B, "contacts_start" },
    { 0x2943F9F4F135BD57, "container_getallypaths" },
    { 0x7E1A9E8B0AC2165E, "container_nodes" },
    { 0xC272F32B47CD7113, "containers_gate_main" },
    { 0x845E8D2DBE9A8782, "containers_gate_start" },
    { 0xB98ACE4D15406F5E, "containers_start" },
    { 0x3A1D8E3607A41F08, "containers_truck_catchup" },
    { 0x6D43078F66825913, "containers_truck_main" },
    { 0xE0E3655D4674BF82, "containers_truck_start" },
    { 0x30C13A4E2B09F227, "containing_regions" },
    { 0x4E20B4AAD73710FA, "containment_civambush" },
    { 0x445774DA6C6E40F8, "containment_civambush_teleport" },
    { 0x61AAE776FEC4A49B, "containment_groundfloor" },
    { 0xD378AFD7C35DA147, "containment_groundfloor_teleport" },
    { 0xCCA5DDF4F3926E96, "containment_init" },
    { 0xFC60E5BEC4D0C58F, "containment_mghall" },
    { 0x2D053C5FB1FD091B, "containment_mghall_teleport" },
    { 0x76FFE10095C1CFD8, "containment_start" },
    { 0x0DE0D08F3B12A8A4, "containment_wolf" },
    { 0x0FBDF142DFA5FF24, "containment_wolf_fail_monitor" },
    { 0x0AD18C0C37E51C58, "containment_wolf_warn_monitor" },
    { 0x94AC505870395C50, "content_warning_ui" },
    { 0x48605FDA36B56376, "contentoverride" },
    { 0xB1D14B08356125BF, "contents" },
    { 0x08B21CAE73137B5A, "contested" },
    { 0x89046117864C4F1A, "contestedbrush" },
    { 0x7F41CC372FA0605B, "contestedtime" },
    { 0xF7E5B7BC78340170, "contestedzonebrushes" },
    { 0xC5B113BDA0F202B8, "context" },
    { 0x58CF0BC91BB2822D, "context_melee_allow" },
    { 0x1E67085584675496, "context_melee_allow_blocked_hint" },
    { 0xB0B7BEC7FF09E608, "context_melee_allow_directions" },
    { 0xA5300326B19ECFF4, "context_melee_allowed" },
    { 0xC4003462F12BE1EC, "context_melee_angles" },
    { 0x341477208E874981, "context_melee_anim" },
    { 0x0FD33FAA55205A81, "context_melee_anim_name" },
    { 0x344F57EDF6A47D6A, "context_melee_animation" },
    { 0x6AB1906C9299A090, "context_melee_back_dot_override" },
    { 0x8EDEF287F90EDF3F, "context_melee_blocked_hint_allowed" },
    { 0x7D589BE7E69086B9, "context_melee_cansee" },
    { 0x9899EB63FCD5AB90, "context_melee_clear_blocked_custom_hint" },
    { 0x14433627B4490297, "context_melee_clear_custom_hint" },
    { 0xE8A856C8A80B68BE, "context_melee_collision_offset" },
    { 0x56F91121E04032E7, "context_melee_combat_buffer" },
    { 0xCE9AFB214187AEA8, "context_melee_combatsight_buffer" },
    { 0x72DACBB06788C3F3, "context_melee_combatsight_lastime" },
    { 0x8948DDDA902955A9, "context_melee_cursor_hint_blocked" },
    { 0xC73B17D331DAC55F, "context_melee_cursor_hint_create" },
    { 0x49B7D4D250F6CB1B, "context_melee_cursor_hint_remove" },
    { 0xCA3411A92C81348E, "context_melee_death" },
    { 0xA2762489A90BFE7D, "context_melee_direction" },
    { 0x5842638757359679, "context_melee_do_launch" },
    { 0xCDCD9F683CCBB34B, "context_melee_enable" },
    { 0x66E8C13DB3FB105D, "context_melee_enabled" },
    { 0x58E703BD1B22A190, "context_melee_eye_height_crouch" },
    { 0x62E5D4B649D4FD5E, "context_melee_eye_height_stand" },
    { 0x8EE4B17A66FEF05F, "context_melee_fail_attempts" },
    { 0x8B948AD9B0CCDA12, "context_melee_fx" },
    { 0x046F22D24A3A84F1, "context_melee_has_been_enabled" },
    { 0x8A476880EC54E947, "context_melee_has_enemy" },
    { 0x09626852FAA7D455, "context_melee_hint" },
    { 0x34CAC8FA2CA0C03A, "context_melee_hint_blocked" },
    { 0x089CD99ED907334C, "context_melee_hint_blocked_custom" },
    { 0x1C5D99C58274E395, "context_melee_hint_break" },
    { 0xBA362A264CD977D5, "context_melee_hint_custom" },
    { 0x5F7FB6163DC7B0CB, "context_melee_hint_ent" },
    { 0xB6157E73684174F4, "context_melee_hint_ent_set" },
    { 0x101E40A5D1F0EABE, "context_melee_hint_fail" },
    { 0xC7DB94867D352054, "context_melee_hint_not_allowed" },
    { 0x1483751E6B21EF99, "context_melee_hint_scripted_fail" },
    { 0x5B886B94913C267B, "context_melee_hint_scripted_noweap" },
    { 0x948F8171C101F79C, "context_melee_hinted" },
    { 0x0FC7AA595268770B, "context_melee_kill_origin" },
    { 0xD1C6BC2D6CD076DD, "context_melee_knife" },
    { 0x66CAC21AC3C89A4D, "context_melee_last_active_time" },
    { 0xAAEBBC54B481EDE0, "context_melee_last_inactive_time" },
    { 0x1606B5561E4CB959, "context_melee_last_melee_finish_time" },
    { 0x095957DF324DC734, "context_melee_lastframe_bone" },
    { 0x52A168F45BC8D022, "context_melee_lastframe_type" },
    { 0xBF2A0842D44D5587, "context_melee_launch" },
    { 0x202B1F8174421A11, "context_melee_launching" },
    { 0x888D2021B0F7DCA5, "context_melee_next" },
    { 0x043DA14A0697DE9A, "context_melee_og_allowdeath" },
    { 0xA732AACD6F1E68A5, "context_melee_og_animname" },
    { 0x65CCD9EC5E1D8866, "context_melee_og_battlechatter" },
    { 0x37172D7C7DE0A592, "context_melee_og_maxsightdistsqrd" },
    { 0xC1855D0D518F4EEA, "context_melee_og_newenemyreactiondistsq" },
    { 0xB46F90D8A2126436, "context_melee_origin" },
    { 0xE59A9BFD44A7A5AC, "context_melee_override_anim" },
    { 0xDE31115B06A139DD, "context_melee_player_link_bone" },
    { 0xA7C5BB3CF10BA2D7, "context_melee_ragdoll" },
    { 0xEBCA69A96C134F99, "context_melee_rumble_heavy" },
    { 0xF50FD9397EBD58EE, "context_melee_rumble_light" },
    { 0x419BD9D390777FD7, "context_melee_scripted_enemy_guess" },
    { 0x69C56C1EB6932576, "context_melee_set_arms" },
    { 0x816DB327C610C15D, "context_melee_set_blocked_custom_hint" },
    { 0x4988DAC4C28C854E, "context_melee_set_custom_hint" },
    { 0xB2CC62FFBCD33A9F, "context_melee_set_hint_directions" },
    { 0x4AFF4BEF7F62EDF9, "context_melee_set_lastframe_bone" },
    { 0xBD552BF55E9B5693, "context_melee_set_lastframe_type" },
    { 0x100BD3E47D861131, "context_melee_set_silent_kill" },
    { 0x831CE2EEE5068A9D, "context_melee_set_weapon" },
    { 0xF7CF21C0B4B7692B, "context_melee_sfx" },
    { 0x323CAAC9625CD611, "context_melee_sfx_player" },
    { 0xDFF7EAEB903C45D0, "context_melee_sight_buffer" },
    { 0x83BA0FC439ADBDDE, "context_melee_sight_disabled" },
    { 0x8A174C6337D3C404, "context_melee_victim" },
    { 0xB258E0797D874620, "context_melee_victim_lives" },
    { 0xB8FD221C81F55049, "context_melee_waittill_player_finished" },
    { 0xE4C2F953331491A8, "context_sensative_dialog" },
    { 0x4F9204757219906F, "context_sensative_dialog_filler" },
    { 0xE71000B7359A0FC0, "context_sensative_dialog_guy_crawling" },
    { 0xA8E0B9D05808B9A8, "context_sensative_dialog_guy_in_sight" },
    { 0x80EB06709C4B9AD7, "context_sensative_dialog_guy_in_sight_check" },
    { 0x176089BDD247C09D, "context_sensative_dialog_guy_pain" },
    { 0x112E757970B042E9, "context_sensative_dialog_kill" },
    { 0x270D10C0BB782356, "context_sensative_dialog_kill_thread" },
    { 0xD9BDEC7CC7274CDF, "context_sensative_dialog_locations" },
    { 0x77E7DF2A91896EE2, "context_sensative_dialog_locations_add_notify_event" },
    { 0xFFBB9CCDE384B950, "context_sensative_dialog_locations_thread" },
    { 0x5463BE9F812B0B1F, "context_sensative_dialog_play_random_group_sound" },
    { 0x8FF6AF8C1D2D18FA, "context_sensative_dialog_secondary_explosion_vehicle" },
    { 0xE168C705F27AADF4, "context_sensative_dialog_timedout" },
    { 0xDD049D021BC9B751, "context_sensative_dialog_timeouts" },
    { 0x53FEA6DDD13AB383, "context_sensative_dialog_vehicledeath" },
    { 0xD53E495EEE621E1A, "context_sensative_dialog_vehiclespawn" },
    { 0xC019AD7AC23783E6, "contextmeleeactive" },
    { 0x14D0254AFC37AE59, "contextualwalltraversals" },
    { 0x1971ADED1FD3B463, "continue_interaction" },
    { 0xC8B5907CFE94FF30, "continue_interactions" },
    { 0x6C9B4EBFE34DC08C, "continue_reminders" },
    { 0xD4299DF4F75E1EE4, "continue_to_push_monitor" },
    { 0x921490FE742B798C, "continuous_stabs" },
    { 0xE8ECBF35D931C688, "contour_point" },
    { 0x6BAB4E357B31D103, "contract_death_cash_flag" },
    { 0x3444A5893A667894, "contracts" },
    { 0x59BF82587A0C41DD, "contributingplayers" },
    { 0x9F2586BE4048C25A, "control" },
    { 0xC3840A142C8C0C58, "control_marine_movement_at_ied" },
    { 0x37C11EA33FA7BCF1, "control_room_button" },
    { 0xBDD70DF206EC228D, "control_room_button_green" },
    { 0xCA6D9A72CB7968FD, "control_station" },
    { 0xCC45DCBDDB258628, "control_station_interact" },
    { 0xCADC621B920BDA6F, "controlagent" },
    { 0x65BCBCFEBF655137, "controler_hud_add" },
    { 0xA642FC6FC5467276, "controler_hud_update_button" },
    { 0xC91516ED50882085, "controler_hud_update_text" },
    { 0x34A45E1EA88EE90D, "controlledcallbacks" },
    { 0xF489D5F0B32598D0, "controlledcallbacksqueue" },
    { 0x08515437C7BD16A3, "controlproxyagent" },
    { 0xA4FBC2F3AD8BB66E, "controlroomenterref" },
    { 0x36983575C10623DB, "controls_linkto_safe" },
    { 0x6F9372D9671FC651, "controls_unlink_safe" },
    { 0x2F91D7803A3F9D1D, "controlsfrozen" },
    { 0xEF3FDB0D044796AE, "controlslinked" },
    { 0xEF8AB20D0499F4CA, "controlslinkto" },
    { 0x32F21A56DCA2908C, "controlsunlink" },
    { 0xAEC00FFFFF424960, "controltoprogress" },
    { 0xA957B3E034932A49, "controlturretoff" },
    { 0xBE96046BB5858F8D, "controlturreton" },
    { 0x3BD810075D97233C, "converge_after_flag" },
    { 0x026CF5E434392BB4, "converge_curtime" },
    { 0xD9DF62BDE5785B08, "converge_laserofftime" },
    { 0x8BA093D673156EAF, "converge_locked_on_time" },
    { 0x66BA3E660C654009, "converge_missinnerradius" },
    { 0x488C62ECCE8099D6, "converge_missouterradius" },
    { 0xD81D2195E72F43F1, "converge_offsetdir" },
    { 0x251635D4AE9BD411, "converge_on_players" },
    { 0x91786C98870ADD29, "converge_shoottime" },
    { 0x00C748417FAFAB64, "converge_time" },
    { 0x41E073ED8726BF62, "convergence" },
    { 0x689DD8BD677EFB3A, "convergencetargettick" },
    { 0x28D8892C3AF8C0C3, "convergencetime" },
    { 0x2BF18FF68E8C87FD, "convert_aitruck_to_playertruck" },
    { 0xEEBBF6958C8BC6A5, "convert_capsule_data" },
    { 0xE31043CA5CAFC867, "convert_color_to_short_string" },
    { 0x0449A61B5BA534B9, "convert_guy_to_drone" },
    { 0x2E1F58DECDF229D0, "convert_remaining_to_ai" },
    { 0xC5871E8C8F351F9D, "convert_selection_to_exploder" },
    { 0x6DA6E921A303B5B7, "convert_surface_flag" },
    { 0x4231CFEFDE52188A, "convert_time_stamp_to_sec" },
    { 0x9F273D03C75A37C4, "convert_to_time_string" },
    { 0x7111114F8E2E2969, "convertfrombinary" },
    { 0x5C8E954F23EE1CB4, "converttobinary" },
    { 0x3F5CC08C7ED256C8, "convertvar_toarray" },
    { 0x678C6C021261433F, "convoy" },
    { 0x7852A1A6582EFE36, "convoy4_ac130" },
    { 0x6C320E327871777A, "convoy4_ac130_player" },
    { 0x7F152254B8BB8FDB, "convoy4_actively_hacking" },
    { 0x69DFF8B67F313981, "convoy4_buildings_secure" },
    { 0xF6A95889CF259D9A, "convoy4_comms_laptop_int_struct" },
    { 0x23CBDC77BB5A3384, "convoy4_comms_laptop_sn" },
    { 0xEB1C700ADB02D676, "convoy4_failed_calltrain" },
    { 0x3E8BB5BA43A0D42D, "convoy4_failed_extract" },
    { 0x20427AABF3CE2B87, "convoy4_hostage" },
    { 0x7E65F2E13C9597B8, "convoy4_module_02a" },
    { 0x1C4E8FAEF9644726, "convoy4_module_02a_pre" },
    { 0x7E65F5E13C959E51, "convoy4_module_02b" },
    { 0x8FDA21583D0B53B9, "convoy4_module_02b2" },
    { 0xD9410A2D96FD0D5B, "convoy4_module_02b2_pre" },
    { 0x24AE88949AE704A3, "convoy4_module_02b_pre" },
    { 0x7E65F4E13C959C1E, "convoy4_module_02c" },
    { 0xDC5C659ADBB11A68, "convoy4_module_02c_bomber" },
    { 0x424C8F70BE88995C, "convoy4_module_02c_pre" },
    { 0x7E610EE13C8FAC75, "convoy4_module_03a" },
    { 0x7E610BE13C8FA5DC, "convoy4_module_03b" },
    { 0x71505A34ED4CA57A, "convoy4_module_04a_1" },
    { 0x71505934ED4CA347, "convoy4_module_04a_2" },
    { 0x71505834ED4CA114, "convoy4_module_04a_3" },
    { 0xD27F831D65761D4C, "convoy4_module_hostage" },
    { 0x55F5F9E6B4218601, "convoy4_module_juggs_1" },
    { 0x55F5F6E6B4217F68, "convoy4_module_juggs_2" },
    { 0x55F5F7E6B421819B, "convoy4_module_juggs_3" },
    { 0xCC7511308E5719EA, "convoy4_module_roofs" },
    { 0xFC8EA5C9098DD608, "convoy4_module_roofs2" },
    { 0xDE3F6D3B1DDECBA0, "convoy4_module_smugg_1" },
    { 0x32A57D4D43D52909, "convoy4_module_snipers" },
    { 0x56407093D46A4573, "convoy4_modules_01" },
    { 0x2CFB16183C422A82, "convoy4_modules_pesants" },
    { 0xD9B802B9D27C42AC, "convoy4_mortar_guys" },
    { 0x4949DC61887D39D0, "convoy4_objective_func" },
    { 0x5C4300E53E502B8E, "convoy4_roof_jugg" },
    { 0xC62627B958F73351, "convoy4_roof_rpgs" },
    { 0x1AD17F37A328C708, "convoy4_startobj_index_1" },
    { 0x1AD18237A328CDA1, "convoy4_startobj_index_2" },
    { 0x1AD18137A328CB6E, "convoy4_startobj_index_3" },
    { 0x03FF1DC843D46997, "convoy4_terminal_keys" },
    { 0x6CF4F6AEE30D9A88, "convoy4_train" },
    { 0x28BC8C87FD45CC64, "convoy4_train_c4objs" },
    { 0x588DBC4BCE533D03, "convoy4_train_c4s" },
    { 0x07E8C1D11081763E, "convoy4_train_doors" },
    { 0x851FA86CC453E520, "convoy4_train_follow" },
    { 0xEDE983E71790A398, "convoy4_train_trackers" },
    { 0x5396BAEDAF73F628, "convoy4_vo_hacks" },
    { 0x6F683F266DC041A6, "convoy4_vo_keys" },
    { 0x1413B29C10571D39, "convoy4_vo_nag_hacks" },
    { 0x0B884FAAFDF7F432, "convoy4_vo_searches" },
    { 0x86C728AA40A5233D, "convoy_ambush_catchup" },
    { 0x1F554D636BF20214, "convoy_ambush_explosion" },
    { 0x7E7EBD1986DA4C4C, "convoy_ambush_main" },
    { 0x9C61D2C28905F53B, "convoy_ambush_start" },
    { 0xE12345A006C76E9F, "convoy_anim_sequence" },
    { 0x8FDD3C714EE935A9, "convoy_apc_dialog_struct" },
    { 0x73BE790B31B82A19, "convoy_apc_spawned_riders" },
    { 0x17B6C30D629921C6, "convoy_attempt_pickup" },
    { 0x1C13A9D0ED162A91, "convoy_board_pos" },
    { 0x63DC32DE5A9CE7E7, "convoy_can_pickup" },
    { 0xB4DCE9E34A572CEC, "convoy_damage_monitor" },
    { 0xE193DE495B1C377F, "convoy_damaged_tires" },
    { 0x187ADB4F0C2685A5, "convoy_delay_attach" },
    { 0x6051E821B6809DBC, "convoy_dialoguelogic" },
    { 0xBA65D3F8A1915F7F, "convoy_earlyambushstealthbrokenlogic" },
    { 0x557BDEF0BA5DD5F9, "convoy_end_this_event" },
    { 0x1C582F22C716EBF4, "convoy_force_exit" },
    { 0x4F15007626726F04, "convoy_getenemies" },
    { 0x16FED5FE041394D9, "convoy_getspawners" },
    { 0x115ECD5ABC24BB35, "convoy_getvehicles" },
    { 0x35ABDDFEAD772BDD, "convoy_getvehiclescovernodes" },
    { 0xE034EB265A93EADF, "convoy_go_to_helidown_location" },
    { 0xDEF1D97962A72A40, "convoy_handle_stuck_compromise" },
    { 0x22FE576A3BE2CEA9, "convoy_hud_text" },
    { 0xB1F0FD72E066EE3D, "convoy_hvt_squad_alive" },
    { 0x784EBEDA30E184BE, "convoy_hvt_struct" },
    { 0xEA42D73798142582, "convoy_init" },
    { 0x43B1DBD87D32455A, "convoy_init_settings" },
    { 0x08A69143AD433B0B, "convoy_intro_marine_anim" },
    { 0x25002BEE2D0A9C03, "convoy_left_gulag_monitor" },
    { 0x9A7EAF892120CD06, "convoy_location_dialogue" },
    { 0x1F7094900B73344D, "convoy_main" },
    { 0x23EB51EA53EFC56E, "convoy_movement_handler" },
    { 0x61E6F357A8089E28, "convoy_obj_func" },
    { 0x157C4637B5F7F53A, "convoy_objectivestruct" },
    { 0x766683B6727C28FE, "convoy_path_jitter" },
    { 0x5D7DC823DB8F4CB9, "convoy_path_number" },
    { 0x4903AA3AD799DAE9, "convoy_paths_override" },
    { 0x8B3B3B8CA51AD7DD, "convoy_pickedup" },
    { 0xF34558BD127E251F, "convoy_pickup_hvt_settings" },
    { 0xC82DFD8C0168E393, "convoy_player_awareness" },
    { 0xCD4CED28D88BDA3A, "convoy_pos" },
    { 0x51374B1497863D29, "convoy_proto_event" },
    { 0x19457C5B642F2831, "convoy_proto_index" },
    { 0x0876D04450E560AC, "convoy_proto_text" },
    { 0xE668AD437C50FF23, "convoy_proto_type" },
    { 0x024C56E0A855D687, "convoy_resume_all_cars" },
    { 0xD21836BD94C3DF4B, "convoy_runners" },
    { 0x5131A57A3120E880, "convoy_runners_handler" },
    { 0xD6568F2A10E523E1, "convoy_send_out_after_hvt_onboard" },
    { 0x427B80573BB3486F, "convoy_set_can_pickup_hvt" },
    { 0x41D1CD1C569B95CF, "convoy_set_helidown_pickup_hvt" },
    { 0x216D5BC0A4C8A24D, "convoy_settings" },
    { 0x3CF33BDA7F1E14A3, "convoy_sfxlogic" },
    { 0xBA2F0BB94C33580F, "convoy_spawn" },
    { 0x373B13F0DB72F417, "convoy_spawnenemiesinvehicles" },
    { 0xE006D4E0613DFC72, "convoy_spawnvehicles" },
    { 0x961AB2E2B27EB944, "convoy_speed_override" },
    { 0x08AF880EE46202DC, "convoy_start" },
    { 0x57210FD48BD809F8, "convoy_start_1" },
    { 0x572112D48BD81091, "convoy_start_2" },
    { 0x75CD5C6F8C2D4669, "convoy_start_2b" },
    { 0x572111D48BD80E5E, "convoy_start_3" },
    { 0x75C8726F8C274DF4, "convoy_start_3b" },
    { 0x572114D48BD814F7, "convoy_start_4" },
    { 0x75D5646F8C3543AF, "convoy_start_4b" },
    { 0x572113D48BD812C4, "convoy_start_5" },
    { 0x75D1426F8C310312, "convoy_start_5b" },
    { 0x572116D48BD8195D, "convoy_start_6" },
    { 0xAC34F8CBE6E926F0, "convoy_steal_hvt_from_player_car" },
    { 0x7FEE289A6B2FC212, "convoy_stop_all_cars" },
    { 0x0AA04DE52BF81AE3, "convoy_think_handler" },
    { 0x8D0D606F22559033, "convoy_tripwire_monitor" },
    { 0x6C26D428F58098CC, "convoy_tripwire_nag_handler" },
    { 0x3A60B9520CBA825A, "convoy_turret" },
    { 0x3531896E28E1D110, "convoy_unloadanimatedenemylogic" },
    { 0x31E5A1FA3EBAABE5, "convoy_unloadenemylogic" },
    { 0x0BAFBFDACDE44A9C, "convoy_update_label_to_loot_num" },
    { 0x842B7601F2F46731, "convoy_vehicle_monitor" },
    { 0xD3FCFE2DB7E02C00, "convoy_vehicle_passenger_handler" },
    { 0xC26A356520C2902B, "convoy_vehiclealertedspeeduplogic" },
    { 0x88CD9BF830B17182, "convoy_vehicledriverdeathlogic" },
    { 0xCEC88A9921AB16BB, "convoy_vehiclepathlogic" },
    { 0xD3FFFAEB0E1D8F25, "convoy_vehicleslogic" },
    { 0x9856CD4F0CE3D6AC, "convoy_vehiclesunloadlogic" },
    { 0xCECB045777CA34F0, "convoy_wait_for_pulses" },
    { 0x6E1261FE46E12DA8, "convoyescort_interaction" },
    { 0x13E2EAC08281DA88, "convoyescort_obj_func" },
    { 0x856249C2EBE33AF2, "convtime" },
    { 0xFAF588198C5A2661, "cool_circle" },
    { 0x0A221A06622EC01C, "cooldown" },
    { 0x9A8DA9C2258E767C, "cooldown_munition" },
    { 0x11989895345A2A49, "cooldown_override" },
    { 0x9103E9EB77E37D72, "cooldown_progress" },
    { 0x5B09D4CF8ACD2900, "cooldowncounter" },
    { 0xFF94BA4B19BCEA2D, "cooldownleft" },
    { 0xEF619C961390573C, "cooldownpatrolpoint" },
    { 0xF32927A3295366D2, "cooldownratemod" },
    { 0x3F9BD6D2A13CEAB1, "cooldownsec" },
    { 0x58C317CABFED394C, "cooldownsqueued" },
    { 0x91C24C921E71C21D, "cooldowntime" },
    { 0xB1F1689C5E2F34BC, "cooldownwaittime" },
    { 0x4B3A31F46E8F3C55, "cooling_down" },
    { 0xD235957FC04F697F, "coop_bomb_defusal_count_down_started" },
    { 0xFD31B27E44F41D19, "coop_bomb_defusal_fail" },
    { 0x3ECDD9B6BF9F3FB4, "coop_bomb_defusal_success" },
    { 0x9E23AE415E58AE43, "coop_escort_get_vehicle_driver_hint_string_func" },
    { 0x5971BBDCBB99D777, "coop_escort_try_start_driving_func" },
    { 0xC709CDD70425C88D, "coop_gameshouldend" },
    { 0x8AC6FF45BA912B3F, "coop_gameshouldendfunc" },
    { 0xA27940754F197AD5, "coop_getweaponclass" },
    { 0xB3A66C992B199023, "coop_handle_invuln_ac130" },
    { 0x13C9298070754F23, "coop_interaction_pregame" },
    { 0xEA9184EB0C1A4E31, "coop_maydolaststand" },
    { 0xEA20D3A3692B64DC, "coop_mode_enable" },
    { 0x58066C31F0F6DD97, "coop_mode_feature" },
    { 0x02FF3CDBE702F729, "coop_mode_has" },
    { 0x7A1A868C0D8A05DA, "coop_perk_callbacks" },
    { 0xE3E8BF8B23AA4CEB, "coop_stealth_init" },
    { 0xFA24228B702BF26D, "coop_vehicle_race_success" },
    { 0xBCBC6552CA8C05D7, "coop_weapontable" },
    { 0xF79EF576831F311C, "coopspawning_init" },
    { 0x3BF1DD5B39E5249A, "coopstartgametype" },
    { 0xC7C04570F665F9AC, "coopvehicles_init" },
    { 0x7DB55B36A49CFDCF, "cop_car_cp_create" },
    { 0x74722D3100D33C3B, "cop_car_cp_createfromstructs" },
    { 0x7AC6107E9031F9B4, "cop_car_cp_delete" },
    { 0x5887FCA2C050E80D, "cop_car_cp_getspawnstructscallback" },
    { 0x7F805253F4A5EEB1, "cop_car_cp_init" },
    { 0xFE2DD0D9FA8DF835, "cop_car_cp_initlate" },
    { 0xE4AE99F65BACF46C, "cop_car_cp_initspawning" },
    { 0xD16FB7889317A31F, "cop_car_cp_ondeathrespawncallback" },
    { 0x52442EDA2957DE15, "cop_car_cp_spawncallback" },
    { 0x571DB5C85D6AD942, "cop_car_cp_waitandspawn" },
    { 0xAE2D13A36950BDB1, "cop_car_create" },
    { 0x0A2A863DD7B52C0A, "cop_car_deathcallback" },
    { 0xA184D619CA329BF0, "cop_car_deletenextframe" },
    { 0x93A590C53549AEA6, "cop_car_enterend" },
    { 0xA829E59C3829773B, "cop_car_enterendinternal" },
    { 0xD78EA467AF0E4D66, "cop_car_exitend" },
    { 0x74C5E761E2C434FB, "cop_car_exitendinternal" },
    { 0x9D6F6AF13211BCD2, "cop_car_explode" },
    { 0x5E78E652E03E1A0B, "cop_car_getspawnstructscallback" },
    { 0x0AC8C3C67D6F6F5F, "cop_car_init" },
    { 0x262B87AAA6C7D0CE, "cop_car_initdamage" },
    { 0xC01DBB62FAB5FAF9, "cop_car_initfx" },
    { 0x3DF94750F5803195, "cop_car_initinteract" },
    { 0xA0C8FABD74C07F13, "cop_car_initlate" },
    { 0xBADBBFD384CF9C58, "cop_car_initoccupancy" },
    { 0xE1FBA6537470F9E9, "cop_car_initomnvars" },
    { 0xA11A3F92B5C03146, "cop_car_initspawning" },
    { 0x5B4905B5E7E70C49, "cop_car_mp_create" },
    { 0xDF9E55D339DDF11E, "cop_car_mp_delete" },
    { 0xB09CE514AF53A373, "cop_car_mp_getspawnstructscallback" },
    { 0xBF1425A6637181E7, "cop_car_mp_init" },
    { 0xC36DBF49805ECEAD, "cop_car_mp_initmines" },
    { 0x3645BC4140BFE51E, "cop_car_mp_initspawning" },
    { 0x3776F28C02055761, "cop_car_mp_ondeathrespawncallback" },
    { 0x4DC155D74B597ADF, "cop_car_mp_spawncallback" },
    { 0xE2F5E30B4C5BA8E8, "cop_car_mp_waitandspawn" },
    { 0x0465C546AA530762, "copcars" },
    { 0x44D187D8215F34B7, "copilot" },
    { 0x09E47EBDD000180B, "cops_die" },
    { 0xDF4026D59455CD4C, "cops_lead_to_underground_right" },
    { 0x1DB0032430758546, "copterdeathwatcher" },
    { 0xA1CE71D2CFB4A9A2, "copterhealthwatcher" },
    { 0xD2A3B67EBB2157A3, "copterpath" },
    { 0x26DA83EA6FD7F0A3, "copy_all_powers" },
    { 0xE30E32749195B618, "copy_angles_of_selected_ents" },
    { 0x78C13290B3E8A9F9, "copy_crafting_struct" },
    { 0x6FC945EFEF1D744B, "copy_ents" },
    { 0xBF827EEDD1B13A5C, "copy_from_level_struct" },
    { 0xC6FC7B084306428F, "copy_from_playerdata" },
    { 0xD1632F4D59D351A8, "copy_fullweaponlist" },
    { 0x911035575D4DB58F, "copy_names" },
    { 0xA15E9D86B14A34E2, "copy_path_struct_at_new_pos" },
    { 0x52952974BF10D9F0, "copy_special_ammo_type" },
    { 0x2FC27C2C66083B1B, "copy_to_soldier_from_spawn_point" },
    { 0x4161C7C4ECFC36BA, "copy_vehicle_build_to_spawnpoint" },
    { 0xEBDC1B7B130F3A16, "copy_wave_settings_from_module" },
    { 0x74BEF4CD4224DEA7, "copy_weapon_ammo_clip" },
    { 0x6C6E4FC621AD5A79, "copy_weapon_ammo_clip_left" },
    { 0x093C82616FAC1BE1, "copy_weapon_ammo_stock" },
    { 0x9283028070FED37B, "copy_weapon_current" },
    { 0x8BB6554300DEA578, "copy_weapon_level" },
    { 0xCBB8E06B37AF3E58, "copycirclearraystartingat" },
    { 0xF2F4BD06F607AB3C, "copyclassfornextlife" },
    { 0x7996DDCD4D802A48, "copyenemyinfo" },
    { 0x21A927030AE57A92, "copyloadoutbuttonpressed" },
    { 0x682D5E24F6D7AF93, "copyplayerplundereventdata" },
    { 0xC5E22BBB6153068A, "copystructwithoffset" },
    { 0x61E59B42DB5BE0BF, "copyvehiclespawndata" },
    { 0x2493AD41A6A4B87A, "core_events" },
    { 0xFE3A349BD7249A4B, "core_health_regen" },
    { 0x31F5CDC56A842659, "corner0to2dist" },
    { 0xF043F95EA7B152FC, "corner3to0dist" },
    { 0x11707F034A819C59, "corner_redshirts" },
    { 0x399487C6DB6A333A, "corner_wall_kill_player" },
    { 0xCB41927AF0EE20C9, "cornerarray" },
    { 0x55DEA3E42319D338, "cornerchecknode" },
    { 0x1CE4FBDAA9D380C5, "cornerchecknodestarttime" },
    { 0x529413C7F4CBB7BF, "cornerdeathreleasegrenade" },
    { 0x406D457C878A1ED4, "cornerline_height" },
    { 0xD58D9ECE75096637, "cornermode" },
    { 0xCBDE4BE80B8EDDB6, "cornerrightgrenadedeath" },
    { 0x1350052053758132, "cornersights" },
    { 0x56BC1C3A7C136BEB, "cornerstepoutsdisabled" },
    { 0x8E0420E6F36ADEC9, "corpse" },
    { 0x280B9B146D6073F5, "corpse_anim_hack" },
    { 0x65445ACF137602CF, "corpse_check_shadow" },
    { 0x8D32EEA0860A4E1A, "corpse_cleanup" },
    { 0x63B9BC4E6F43746B, "corpse_clear" },
    { 0x0E1CA5DF67F7F02E, "corpse_found" },
    { 0xBEC91CEE8140BA6A, "corpse_init_entity" },
    { 0x617510D59446C2AD, "corpse_init_level" },
    { 0xF56CC2F34E289AB4, "corpse_is_too_far_away" },
    { 0xC1FD670DA77CBF4E, "corpse_nexttime" },
    { 0x86B7FCC638375641, "corpse_seen" },
    { 0x61C3143C1A4EE946, "corpse_seen_claim" },
    { 0xDA0C6B45761FB127, "corpse_sight" },
    { 0x0E229F7ABAB775E7, "corpse_weapon_pos" },
    { 0xCAF8FB347B9F95E3, "corpse_world_pos" },
    { 0xE38D986A78D4EA2D, "corpselootthink" },
    { 0xBDF315E95407D30E, "corpses" },
    { 0xAE8FCCE4F1CFB659, "corpsetablefunccounts" },
    { 0x6C0BE28B6CA52CAE, "corpsetablefuncs" },
    { 0x48AAB05C99C84942, "correct_alias" },
    { 0x581E1E0611BFBE0B, "correctcodeentered" },
    { 0xA5488403B3EDF318, "cos" },
    { 0xC28D52B887041461, "cos10" },
    { 0xC28D55B887041AFA, "cos15" },
    { 0xC2963EB8870E0713, "cos30" },
    { 0xC2A350B8871C432E, "cos60" },
    { 0xB40AAFD4781BDE5B, "cosfov" },
    { 0xF7AC9BD3EE1E0856, "cosine" },
    { 0x97E93BAEC113F93F, "cosmeticattachment" },
    { 0x6C6DC024B44E5684, "cost" },
    { 0x31EFF659E9BE4E18, "costomnvars" },
    { 0xF865128550F3EEBD, "couldntseeenemypos" },
    { 0x18AA86B8C5CC7E88, "count" },
    { 0x9D44665BD16EE6CD, "count_total" },
    { 0x9287528482762416, "countdown_end" },
    { 0x408B7B210F8D3F83, "countdown_start" },
    { 0xF17B3A58D9892CBA, "countdownendcallback" },
    { 0x4600CD691343E58E, "countdownhudpulse" },
    { 0x5B953BD8E8FABD05, "countdowntimer" },
    { 0x1117AA229B8EAF89, "counted" },
    { 0x11179C229B8E90BF, "counter" },
    { 0x4BA2D9D9AB378962, "counter_black_fade" },
    { 0xF06B04B403D39280, "counter_hit_effects" },
    { 0xD321A7393B8D7DAE, "counterblackoverlay" },
    { 0x8EF92C6E3871F0B0, "counterhintdestroy" },
    { 0xC317DD67FC7FCD02, "countersuccess" },
    { 0x156C2EF3EB366C65, "counteruavrig" },
    { 0x35AED36AFD85C354, "countlefthand" },
    { 0x35A4877B2153FFAA, "countplayers" },
    { 0xFB5553FCE84C2DD0, "countryid" },
    { 0x08D55832DF885D79, "countryids" },
    { 0x0B85435B00BB4201, "counts" },
    { 0xBEA33425477B7C6D, "countteammates" },
    { 0x4B9AACA06F8CACE0, "course_accuracy" },
    { 0x22125D61ECB25807, "course_movers" },
    { 0xC60906F7625D9CDD, "course_start_wait" },
    { 0xA1EFEB84FFEB27FD, "course_targets" },
    { 0x4700DA8C86279114, "course_triggers" },
    { 0x6073109CD4EED1C8, "course_triggers_expl" },
    { 0x15F9983A06507056, "courtyard_bomber" },
    { 0xC6007429CB79A9C8, "courtyard_defender_spawnfunc" },
    { 0x6D890CEFA6672D69, "courtyard_intel_sequence" },
    { 0xBF41A4CEA2A249F8, "courtyard_mid_catchup" },
    { 0x0A4D320B11F5DCBD, "courtyard_retreat_catchup" },
    { 0xCD26587A486C38CC, "courtyard_retreat_main" },
    { 0x28E9088C3CF112BB, "courtyard_retreat_start" },
    { 0x407C28546FD05516, "courtyardbreachref" },
    { 0xFD9F7E67E1210FF3, "courtyarddefendgroup" },
    { 0x09A1F90D81132645, "courtyarddoorleft" },
    { 0x9516B71F20E7C5DE, "courtyarddoorright" },
    { 0x7229F80BDC85A3B9, "courytard_retreat_enemy_kill_at_fallback" },
    { 0x0C5F53B8BD992B0C, "cover" },
    { 0xC359EC069A43EF16, "cover3dcanexposedir" },
    { 0xDFF11A6BEAF2D46A, "cover3dexposedirpicked" },
    { 0x8DB4D6ECF198A051, "cover3dpickexposedir" },
    { 0x69C7F3B418F88815, "cover_approach" },
    { 0x3B0986CB2B2E704F, "cover_canattackfromexposed" },
    { 0x20C0FA648764B685, "cover_canattackfromexposedcached" },
    { 0x72C24732932A94F9, "cover_canattackfromexposedgetcache" },
    { 0xFFD86F24F0D8516C, "cover_getplayerinteract" },
    { 0x00B7F270609B4B21, "cover_guys_debug" },
    { 0x43FF70BB72DA1C9C, "cover_main" },
    { 0xC92A949DDA0674BB, "cover_node_spawners" },
    { 0xE357808704D1F4F4, "cover_node_spawners_override" },
    { 0x690196D80043CCE4, "cover_node_spawners_override_id" },
    { 0x7FFB9D7BAF376B06, "cover_nodes" },
    { 0xF3E8B365C24F3C0F, "cover_nodes_first" },
    { 0x18124BCC4D92D2AB, "cover_nodes_last" },
    { 0x4887ECE5415710DA, "cover_playerflashbanglogic" },
    { 0x82CBB82D57CA6D01, "cover_shouldlookforbettercover" },
    { 0x68E355FF015C4D8C, "cover_spawnenemies" },
    { 0x6C30E6E1514333EB, "cover_start" },
    { 0x3E86CC79744E6CF7, "coverblindfire" },
    { 0x7D30F0FFB9FD0AC4, "coverchangestance" },
    { 0xE41397545820F333, "covercrouchlean_aimmode" },
    { 0x3202ED74E2FE0EBC, "covercrouchleanpitch" },
    { 0xAD6CC64A6249A682, "covercrouchtype" },
    { 0xD46F182817A5D5FC, "coverexit" },
    { 0x2046FD49C84917BC, "coverexitangles" },
    { 0x06D521D52DDF1D3C, "coverexitdist" },
    { 0x981CFA9DB1ECBA0A, "coverexitpostdist" },
    { 0x7265AB121A12B928, "coverexpose" },
    { 0x374B0270E372C9D3, "coverexposelostenemytime" },
    { 0xD34657843333EC46, "coverexposenewtargettime" },
    { 0x4D798C079B927945, "coverexposenoenemy" },
    { 0x988843A6C47061D8, "coverexposenoenemyangle" },
    { 0xF520AE6189968352, "coverexposenoenemytimemax" },
    { 0xF4FD986189700B38, "coverexposenoenemytimemin" },
    { 0x1FEBA5FAD99E7A80, "coverexposetype" },
    { 0x0057964CBD44D494, "coverexppainselectreturna" },
    { 0x3E12F3B280C8B1CC, "coverhide" },
    { 0x3351683D45AB11CF, "coverlmgterminate" },
    { 0x90D8CF5B2CCFF7A7, "coverlook" },
    { 0x2307E16FA666E56F, "covermode" },
    { 0x855DDDC06B8D3A45, "covermultiswitch" },
    { 0x9A2382CCBB4AA525, "covermultiswitchdata" },
    { 0x9949D18C1CA92648, "covernode" },
    { 0xDA3C4FE969ED6DFB, "coverpeek" },
    { 0x93B6574D44CB5A2F, "coverpose_request" },
    { 0xEB0DBC6B31104AB1, "coverreload" },
    { 0x6AA1BC9D052CEE7C, "coverreloadnotetrackhandler" },
    { 0xF479F94EAB80E629, "coversearchinterval" },
    { 0x5B1109759F57DA99, "coversearchintervalafterfailure" },
    { 0xC18B34733EB8E2D9, "coverselectoroverride" },
    { 0xF3C1082B0262D1D4, "coversetupanim" },
    { 0x1E6EA658291ABADB, "covershoot" },
    { 0x572BE88051F409B0, "covershootpoints" },
    { 0xB3D7946D35BAA1BF, "covershouldexpose" },
    { 0x10615BE461D320AB, "covershouldexposelostenemy" },
    { 0xAFAE2EF2CF1A2738, "covershouldexposenoenemy" },
    { 0xD4904B4FEC6AC739, "coverstarttime" },
    { 0xD851912C96C15511, "coverstate" },
    { 0xDE08B886DC901D48, "covertest" },
    { 0x81A11B30B60A1392, "coverthrowgrenade" },
    { 0x7BE95EC558A624CE, "covertrans" },
    { 0x5C79BE12849422B2, "covertransangles" },
    { 0xE159899CC8769DF2, "covertransdist" },
    { 0xCC3492E0F6C2865D, "covertransitionrate" },
    { 0x16F5EF627C2A8F48, "covertranslongestdist" },
    { 0xDC2947C4F4BEEFF7, "covertranspredist" },
    { 0x31254DDE7FF62141, "coverturretterminate" },
    { 0xD497EC9C0401A8C6, "coverupbrokenmodels" },
    { 0xC2988E20D1B4F3EF, "coverupmodels" },
    { 0xBB8707B3C846EE47, "coward_buddy_whisper" },
    { 0x983572CEFF8B6A5C, "coward_monitor_if_player_is_close" },
    { 0x28676082D7E52150, "coward_monitor_if_player_look_at" },
    { 0x072A33B62E948031, "coward_monitor_if_player_shot_at" },
    { 0xFEFB3B4440F38845, "cowering" },
    { 0x48A80AAA531C3C55, "cp_3_doors_scene" },
    { 0x56DD852F94F5BC27, "cp_3_enemy" },
    { 0x7DBFA8ECB469D135, "cp_3_enemy_setup" },
    { 0xFAEAD2A3237AE606, "cp_5_fastforward_anim" },
    { 0xD229408FBC55FD2B, "cp_5_redshirt_die" },
    { 0x3A8BC359ED506024, "cp_add_dialogue_line" },
    { 0x349FAA45A97A8DBD, "cp_arms_dealer_sound_load" },
    { 0x8E235DB660BCA1E0, "cp_blockade_spawning" },
    { 0x2395BA16F3B9F695, "cp_br_syrk_tutorial_dialogue" },
    { 0xC782CF43F839FC80, "cp_destroy_dialogue_hud" },
    { 0x469ED602B15670F7, "cp_dntsk_raid_sound_load" },
    { 0x985356D86A7E09E2, "cp_dntsk_raid_specific_init" },
    { 0xB682C5230F52CC95, "cp_donetsk_spawning" },
    { 0xFE66F6246948BC64, "cp_dwn_twn_2_sound_load" },
    { 0x372F38E41CD1D122, "cp_fake_stealth" },
    { 0xA02275B8C22E7B8E, "cp_friendlyfire_enabled" },
    { 0xFD92E1772D559147, "cp_get_spot_by_priority" },
    { 0x5E833567D5385F37, "cp_infil_player_allow" },
    { 0x04772CCD781B1AE4, "cp_is_point_in_front" },
    { 0x50C6F1FBB7F7D293, "cp_is_point_on_right" },
    { 0xC16A7CCC80E7D63F, "cp_kidnappers_active" },
    { 0xAB622592AAE51452, "cp_landlord_sound_load" },
    { 0x68723BBE60B48E52, "cp_mapbounds" },
    { 0x4392BF469E540E98, "cp_matchdata" },
    { 0x0198B687AFFCA5CA, "cp_player_free_spot" },
    { 0x226FEB5F2B27D4EC, "cp_player_join_infil_cp" },
    { 0xEFB4204988886F4B, "cp_raid_complex_behavior" },
    { 0xD9090C411CE5FD4B, "cp_relics" },
    { 0x9D302A40BF0ED678, "cp_smuggler_sound_load" },
    { 0xF50E6BEDE02D4F62, "cp_speed" },
    { 0x418B89532C3F3395, "cp_struct_filter" },
    { 0x950B743759A2EF69, "cp_suicidebomber_init" },
    { 0xAA5D3E5034BCF90A, "cp_vehicle_damage_monitor" },
    { 0xE2EADFCF30FDF9E1, "cp_vehicle_debug" },
    { 0x5F2C2960DB3DAA1A, "cp_weapon_passives" },
    { 0x644233A0F2BDA997, "cp_weapons_init" },
    { 0x8CD051BADB0B1DE9, "cp_weapontable" },
    { 0xF7BAF9FD19BAA6E5, "cp_zmb_number_of_quest_pieces" },
    { 0xC91412D5D672A62E, "cpcpammoarmorcratecapturecallback" },
    { 0x6316E9DFBB1DB47F, "cpcrateactivatecallback" },
    { 0x4E091326BF3D1E16, "cpcratecapturecallback" },
    { 0x0438EE73955989D3, "cploadoutcrateactivatecallback" },
    { 0x2ABC8E2A983AA78A, "cploadoutcratecapturecallback" },
    { 0xA4F59203B3936DED, "cpm" },
    { 0xE9E3AC76EEFD349A, "cponplayerdisconnectinfil" },
    { 0x762A68DB0764B028, "cpoperationcrateactivatecallback" },
    { 0xCFFAE574C27DBFE7, "cpoperationcratecapturecallback" },
    { 0x09A8EB2F0AD0F923, "cprooftopcratecapturecallback" },
    { 0x30898188740119D6, "cpu_manifest1_idx" },
    { 0x26847D8EE7186E0D, "cpvehiclename" },
    { 0x8D59A5F58BBD7603, "cqb_aim" },
    { 0x869E0E287AF9E349, "cqb_laser_guy" },
    { 0x9ADAF1F8ADF4F9EF, "cqb_laser_guy_internal" },
    { 0xD0C059621EB2A3CE, "cqb_marines_movement_monitor" },
    { 0x2B0D5167C68BAA2A, "cqb_module" },
    { 0xF31DDAAA0718EA18, "cqb_player_movement_monitor" },
    { 0x6E6D6FF3EC74313B, "cqb_point_of_interest" },
    { 0x6FF503F74E461F5F, "cqb_target" },
    { 0x82E10FEC90B801F7, "cqb_walk" },
    { 0xD61CBF16B552D05A, "cqb_when_in_range" },
    { 0x5BEBBA4ED32651AA, "cqb_wide_poi_track" },
    { 0x909BAA47BED61BAB, "cqb_wide_target_track" },
    { 0x2E39828E62A3185E, "cqbenabled" },
    { 0xA785BF289B745BF9, "cqbpointsofinterest" },
    { 0xDE16C9AA03DE358C, "cqbtargetendtime" },
    { 0x5DFC761B79A7329F, "cqbtargetnexttwitchtime" },
    { 0x7304BABEA0793EA1, "cqbtargettime" },
    { 0x43931589F477FB51, "cqbtwitchdir" },
    { 0x5554308A02AB9517, "cqbtwitchend" },
    { 0xA640558981F96776, "cqbtwitching" },
    { 0xFD3FDB501096485F, "cqbtwitchstate" },
    { 0x56E0804FD6E83269, "craft_scout_drone" },
    { 0x85607745529A6717, "craftable_weapons" },
    { 0x422932811C8D9433, "crafteditem" },
    { 0xADBBD4D62CF893A9, "crafteditemindex" },
    { 0x0959871A2EB3CF70, "crafteditemmodel" },
    { 0xE87FA2836B802759, "crafteditempowerreference" },
    { 0x659EE8F992CBC0A5, "crafteditemsanimdata" },
    { 0xBCEE04794312F928, "crafteditemslist" },
    { 0x1B0C962A92BA12DA, "crafteditemstruct" },
    { 0xDCE479A9CDEDBF8B, "crafteditemtype" },
    { 0x937F0614362375C5, "crafting_icon_create_func" },
    { 0xA42F1013947DCB72, "crafting_materials" },
    { 0x9112D13420A34D53, "crafting_remove_func" },
    { 0x8749E0EEED2B55DD, "crafting_table_data" },
    { 0x54AA67E49F0CBC31, "cranked" },
    { 0x47528DC828DBF891, "cranked_end_time" },
    { 0x3FD08E15BE554C8A, "crankedbombtimer" },
    { 0x6845CE37D304F39D, "crankedprogressuiupdater" },
    { 0x390EF4F06F331567, "crash_deathfx" },
    { 0x95F58ED6A7FA7E6B, "crash_dialoguelogic" },
    { 0xF869141E1DEA8E3F, "crash_fall_remove_fov_scale_factor_override" },
    { 0x96201E2BCB0773DA, "crash_getanimationstruct" },
    { 0xA16B8BE89F9BFDC1, "crash_hadiranimationlogic" },
    { 0x1C50EAABE3CA207C, "crash_main" },
    { 0xE905951388B4D310, "crash_playeranimationlogic" },
    { 0xC295BD0CBF13C634, "crash_speed" },
    { 0x176332A9B11A134B, "crash_start" },
    { 0x658C1B786F8B8092, "crash_start_point" },
    { 0xA5F012FC2A53BC1D, "crashed" },
    { 0xAF439F8040FF8754, "crashed_nuke_interaction" },
    { 0x3D7A4BC0BD5AC191, "crashforward" },
    { 0xF932826A653B8397, "crashoffset" },
    { 0x88C7D65565B21F16, "crashorigin" },
    { 0xF1DD273428670D8A, "crashpathused" },
    { 0x085705D0C4C08634, "crate" },
    { 0x44B815EC3332FFF6, "crate_calculate_on_path_grid" },
    { 0x9FB9029A549E461D, "crate_can_use" },
    { 0x263D2D379596C0E3, "crate_can_use_always" },
    { 0xB7E47DE81E3082E4, "crate_drop_time" },
    { 0xFA245006E8C5EF5B, "crate_equipment" },
    { 0xA69DABCB4B73F0AB, "crate_falling_collision" },
    { 0xC389022AC622405A, "crate_follow_text" },
    { 0x985BD3CCE9108B73, "crate_get_bot_target" },
    { 0xFFEEB624C5739406, "crate_get_bot_target_check_distance" },
    { 0x2C80F60E90B40EFD, "crate_get_nearest_valid_nodes" },
    { 0x95C6189CD932F234, "crate_has_landed" },
    { 0xF65B6C57188AAF4C, "crate_in_range" },
    { 0xF4CE9ACF574C9747, "crate_index" },
    { 0x264F3F4E7B7053FF, "crate_interaction" },
    { 0x5B25194CD27020C4, "crate_is_on_path_grid" },
    { 0x1273E497604E95D6, "crate_landed_and_on_path_grid" },
    { 0xBB4DF5A6C6F1CA5F, "crate_low_ammo_check" },
    { 0x7747F79F62F69D08, "crate_model_anim_setup" },
    { 0x740695629C257669, "crate_monitor_position" },
    { 0x157C212A7C8454A5, "crate_munitions" },
    { 0x60273A0190205058, "crate_obj_offset" },
    { 0x6217B6FF90E52955, "crate_objectives" },
    { 0x9435F149E1B90E63, "crate_picked_up" },
    { 0xB96587108A5554A0, "crate_random_weapons" },
    { 0x066E476926279E76, "crate_set_flag_on_use" },
    { 0x8C77F2616C2C1105, "crate_should_claim" },
    { 0x0C920687883078CE, "crate_vo_play_on_first_use" },
    { 0xC139553E29545D30, "crate_wait_use" },
    { 0xD9C826509B3907BA, "crate_weapons" },
    { 0xD81A1CC8332700F1, "crateallcapturethink" },
    { 0xE67744335F73CB69, "crateanimdroptime" },
    { 0x52431DD5A06F34EF, "crateballoondeath" },
    { 0xE830F6BA5AECB67E, "crateballoonrise" },
    { 0xDDA9CFD867BA24A0, "cratebankplunder" },
    { 0x967379AF1F11C798, "cratecleanup" },
    { 0x719CE7534CBB5C1C, "cratedata" },
    { 0x2BFF7818E64D5771, "cratedropdata" },
    { 0xB7FF6477C0DC0145, "cratedropplunder" },
    { 0xB8A211942A361E38, "cratedroptime" },
    { 0x428AF2D8D5049CBE, "cratedroptimer" },
    { 0x8CE0AA457C239300, "crateendtime" },
    { 0x29D5DC84BE0C7C95, "cratefall" },
    { 0x5460455B13EFFA1C, "crateguard_bosssetup" },
    { 0xCEFD1D57BC0E7985, "crateguard_encounterstart" },
    { 0x33A73C4894515C94, "crateguard_getspawneraitype" },
    { 0xB788508F838CE553, "crateheadicon" },
    { 0x1DC4A0774AD91F90, "crateiconid" },
    { 0xFB0CEFEA8C9C0D39, "crateid" },
    { 0xEB6A71DE77C69BD5, "crateimpactsound" },
    { 0x142A3BB1C58F5464, "cratekill" },
    { 0x96CBEB9036CE5B8F, "cratemantle" },
    { 0xDF1F4F2E27490721, "cratemodel" },
    { 0x0FB446247CE16A54, "cratenonownerusetime" },
    { 0xF1856BA95F2CED83, "crateownerusetime" },
    { 0xDFD346D3D747F832, "cratephysicsoff" },
    { 0xE084FE90F91B7AF8, "cratephysicson" },
    { 0x29B669E98BD35B63, "cratephysicsoncallback" },
    { 0x17E81120B3674E25, "crates" },
    { 0xFF81C2593F6EEEA6, "crates_active_at_location" },
    { 0x379965BD9F44E5D1, "crates_delete_early" },
    { 0x4E0A059C1D4235AF, "cratesetupforuse" },
    { 0x75135A8612ED51F9, "cratestoptrailtime" },
    { 0xAE7D598F3F83C434, "cratethink" },
    { 0xAFE799E0AE40571C, "cratetype" },
    { 0xFFA824E420D7A962, "crateunresolvedcollisioncallback" },
    { 0xD52E3E38784E0EDD, "crateusefunc" },
    { 0x168E2750A80E8ADC, "cratewatcher" },
    { 0xB287F937CBCC6ECF, "crawl_farahlogic" },
    { 0xA6E49B5200B3DB07, "crawl_fx" },
    { 0x52C23E45330DE70A, "crawl_fx_rate" },
    { 0x7E54109D9F918515, "crawl_getenemies" },
    { 0x7056F285A6D359C3, "crawl_getfarahanimationorigin" },
    { 0x6E0C66CC2944118F, "crawl_getied" },
    { 0x217865EC75608AFA, "crawl_getpronehinttrigger" },
    { 0x53ABFAD66F53602A, "crawl_gettriggers" },
    { 0xBEB8644169EE1CEE, "crawl_hint_vo" },
    { 0xC57BDCFBE3FFBD24, "crawl_main" },
    { 0x4B52A241FAFCB2EE, "crawl_nags" },
    { 0x9B66C17CC50DE917, "crawl_node_reveal" },
    { 0xD029FE638CC998A6, "crawl_playerspeedscalinglogic" },
    { 0x06B27D33A0D69BBE, "crawl_pronehinttriggerlogic" },
    { 0xA7E5914449B0C450, "crawl_spawnenemy" },
    { 0x5CC54F7F3C5C2AEE, "crawl_spawnied" },
    { 0xF8EC7ADB28094033, "crawl_start" },
    { 0x16B3BF0C48751C88, "crawl_targets_init_flags" },
    { 0x9523B4E952EFB90B, "crawl_triggerlogic" },
    { 0xDAB57EA4BFFFAB75, "crawled" },
    { 0xFC7082523EDC5420, "crawlers" },
    { 0x79B69BF574D6D2DC, "crawlingpain" },
    { 0x00A436751B5B4F9B, "crawlingpainanimoverridefunc" },
    { 0x1CB6BAC04403B3C7, "crawlingpaintransanim" },
    { 0x4B202143C8EBF673, "crawlingpistol" },
    { 0x4DE2C4C61DBDAC70, "crawlmelee" },
    { 0x819C5775B4A3074A, "crawlmeleegrab" },
    { 0x7D6833B84D9F31A0, "crawlnode" },
    { 0x3B9361C93B971EA1, "create" },
    { 0x2D3E854FFD8177B1, "create_2d_background" },
    { 0x271ABD8C4D8C5EA2, "create_2d_text" },
    { 0xF2B6D538CB879316, "create_a_rider" },
    { 0xE36E6D8B0167BE51, "create_agent_definition" },
    { 0x6B19E8BEF31397C6, "create_ai_plr_vehicle" },
    { 0xA2ABEA136C2F1496, "create_ai_type_override" },
    { 0x548CE59C182FC452, "create_aim_contents" },
    { 0xF89164DB920D200C, "create_aiment" },
    { 0x6FA5B6EA2B24DAB9, "create_ainoshoot_contents" },
    { 0x6568246813348C97, "create_ainosight_contents" },
    { 0xEEEB21C5B6E2D4FA, "create_airdrop_spawn_structs" },
    { 0x1FD8210D5FA13E40, "create_all_contents" },
    { 0xA51709FC1AE4EE99, "create_ambient_vehicle" },
    { 0x96D47C6E20A2E0ED, "create_ammo_crate_objectives" },
    { 0xAE3454DCCDEFE803, "create_and_update_box" },
    { 0x53FBCBAC9ACF020F, "create_and_validate_node" },
    { 0xB0A042276BFBCC7F, "create_and_validate_node_from_single_grid_point" },
    { 0xA25AF98F78BA2E8C, "create_anim_scene" },
    { 0x1BA24AE0F648951E, "create_animpack" },
    { 0x351370E52A5E5A20, "create_apc_vehicle_interaction" },
    { 0x338F8E3248C76515, "create_array_of_intel_items" },
    { 0x63F56D31CADBD8BD, "create_array_of_origins_from_table" },
    { 0x830A8FFC77C93B5E, "create_attachment_variant_list" },
    { 0x0EB5D6752D19F0DA, "create_background" },
    { 0xB83935D687DBE864, "create_backyard_aimpath" },
    { 0xF5D649587AB31C24, "create_badplace_extraction" },
    { 0x8C7E7CA296BA9A38, "create_bleedout_objective_timer" },
    { 0x9EDECAD7AD2CF721, "create_blend" },
    { 0x2C4DA3B479F17680, "create_blood_decal" },
    { 0xA9A941592BDB22CE, "create_bomb" },
    { 0x4E59D777E8BF5D1F, "create_bomb_wire_info" },
    { 0x5D54EE059D683DC7, "create_box" },
    { 0xD3A3313C5FE0A22D, "create_breadcrumb_for_player" },
    { 0xED558C2A50124081, "create_breadcrumb_for_team" },
    { 0x6F240605ABAC1879, "create_cam" },
    { 0x8FD9DD89413E0352, "create_camera_position_list" },
    { 0x7CB9AA9EC1776DCC, "create_character_contents" },
    { 0x8CD15FAEBAFDB2BF, "create_chopper_boss" },
    { 0x9E276ADE8865B171, "create_circular_path_around" },
    { 0xCD3C6489777D85F2, "create_client_overlay" },
    { 0x30901ACDB5A3D430, "create_client_overlay_custom_size" },
    { 0x797C50835E85570E, "create_client_overlay_fullscreen" },
    { 0x1D90523220EF3E00, "create_computer_interaction" },
    { 0xA0E1863BDEE9BE40, "create_contents" },
    { 0x21C5004FE5E58514, "create_convoy_truck" },
    { 0xC36050784DFBD8E7, "create_copy" },
    { 0x395E56592B65C94F, "create_corpses" },
    { 0xBE3591C8D5FAA42D, "create_cover_node_init" },
    { 0x0F0ED783F812F48C, "create_cover_nodes_from_grid_point" },
    { 0x3098F63A91B0CCCD, "create_cover_nodes_from_grid_points" },
    { 0x69526858EA267D07, "create_cover_nodes_from_single_grid_point" },
    { 0x530EC7553AF6FAE2, "create_cover_nodes_within_volume" },
    { 0xDE5F7C5F1982F5FA, "create_crate_objectives" },
    { 0x9F4E6D1EE387FA48, "create_cursor_hint" },
    { 0x68BD800CA5E2EFD0, "create_cursor_hint_forced" },
    { 0x103A3B6056EABE3D, "create_cut_interaction" },
    { 0x9ACEE2DF2640858A, "create_cut_interactions" },
    { 0x7C90C96009803C2C, "create_cypher_piece" },
    { 0x092DD24358DDA359, "create_death_hudelem" },
    { 0x9F7B1CD7E13CA3AE, "create_debug_hud_line" },
    { 0x9FF453C4B8F0591B, "create_debug_model_for_spawnpoint" },
    { 0x2B48D4EDC1B8D473, "create_deck" },
    { 0x91F7565BF53A907A, "create_default_contents" },
    { 0x8AA3621BE1BEB081, "create_default_struct" },
    { 0x37F9C6D44967B7E9, "create_deposit_box_interaction" },
    { 0x79ECAE7442BF922E, "create_dialog_struct" },
    { 0x797552733AC69C62, "create_digit_models" },
    { 0x05352EC57C21BD6A, "create_direct_heli_path" },
    { 0x772F7F1260A52991, "create_direct_path_from_landing_point" },
    { 0x7644A2B9B618FF31, "create_disconnectplayer" },
    { 0x99E941ED570CBA16, "create_door" },
    { 0x639A652EFD3C302D, "create_door_clip" },
    { 0xDA236AC995E9E2AC, "create_drone" },
    { 0x6DB273D0C49EDD5E, "create_drone_model" },
    { 0xD704111029EB9198, "create_dummy_defender" },
    { 0x8A86230370D025C6, "create_dyndof" },
    { 0xB2CF3FC327AE8224, "create_empty_func_ref" },
    { 0x82088BBC57DC4D46, "create_entrance_points" },
    { 0x8A9CAC4416500D85, "create_escort_health_objective" },
    { 0x816BD04A5548F29F, "create_execution_devgui" },
    { 0xC29DA4D2AF00C0DF, "create_exfil_animstruct" },
    { 0x434C38D6A9726F89, "create_exfil_interaction" },
    { 0x1E14FCB4135C1633, "create_exposed_node" },
    { 0x5296B7D9FFD6A4E7, "create_extra_structpath" },
    { 0xB54C912809E9B8B6, "create_fake_loot" },
    { 0x225D018EE5BB6E9B, "create_fake_loot_model_from_struct" },
    { 0x731A223F86558725, "create_feedback_context" },
    { 0x3CAC21D23AD38835, "create_feedback_endfunc" },
    { 0xE08916BF5E2B054A, "create_feedback_endfunc_thread" },
    { 0xAD1FAE20FB45B3C3, "create_feedback_starts" },
    { 0xA2BCB71ED3980FFC, "create_final_hack_spot_interaction" },
    { 0x1B10E757D80F0679, "create_flags_and_return_tokens" },
    { 0x0717C88F9D89F163, "create_fly_cam" },
    { 0x66F182AEA77026D7, "create_friendly_convoy_vehicle" },
    { 0x8B511A182CC6AFC2, "create_fulton_group_interactions" },
    { 0x40BBB4256270485E, "create_func_ref" },
    { 0x08C4DE9DFE7A4556, "create_fx_menu" },
    { 0x29B0FA8B25C72482, "create_fxlighting_object" },
    { 0xADC382D47CCB9DC5, "create_glass_contents" },
    { 0xFF95F9BBC538DE4B, "create_graycard_object" },
    { 0x7961A52EA1AEAEDF, "create_grid_point" },
    { 0x7038FD6E7A9EA752, "create_grid_point_in_volume" },
    { 0x2281F2BA1BC5137E, "create_grid_point_new" },
    { 0xD1C5968F3891455C, "create_group_interaction_linebook" },
    { 0xBD8AF37DDD871DB3, "create_head_icon_for_ai" },
    { 0xE3787E832F130D0C, "create_head_icon_for_crate" },
    { 0xC91A40721332BD5D, "create_heartbeat_sensor_pick_up" },
    { 0x7778E8E038960C2A, "create_heartbeat_sensor_pick_ups" },
    { 0x6FDA0B66E3872510, "create_heli_path" },
    { 0x070F670DBF1BE0F8, "create_heli_stuct" },
    { 0xD1093FC2E31EE39E, "create_hostage_interact" },
    { 0xB3449B61C2D7CBA4, "create_hudelem" },
    { 0x743E77C1171CEC9C, "create_intel_model" },
    { 0xFC3AE28FCE485EE0, "create_interaction_linebook" },
    { 0x09F0124180F2971F, "create_interval_sound" },
    { 0xFC701D8E8763AD10, "create_item_contents" },
    { 0xDA0CE6C44AE9C692, "create_itemclip_contents" },
    { 0x9B9C56ABF43CFF36, "create_juggernaut_damagedata" },
    { 0x1F259D164CF9C5A5, "create_juggernaut_spawner" },
    { 0xC7A23FD6E018B400, "create_key_card" },
    { 0x2260B4B7D3E94833, "create_key_card_interaction" },
    { 0xDA03FBD471232397, "create_keycard_for_reader" },
    { 0xF60F32E41F97A469, "create_laser_point_to_point" },
    { 0x7572BBFE9170A7C9, "create_laser_trap" },
    { 0xCCBE167CAE1781C1, "create_level_funcs_tables_and_vars" },
    { 0x283A512AECE3F439, "create_light_setting" },
    { 0x58FE51C58AFD5EA5, "create_light_setting_bpg" },
    { 0x23DA4232DF286355, "create_lock" },
    { 0x3245C4F89EAF2840, "create_long_cut_interaction" },
    { 0x3E9861C4FB356829, "create_long_cut_interactions" },
    { 0xB4A9223AC2765A44, "create_lookat_delay" },
    { 0xDE840EB425FD861F, "create_looper" },
    { 0x7AEBFED7DB0DED87, "create_loopsound" },
    { 0x24BA2A89A6673C88, "create_lua_progress_bar" },
    { 0xE57A7A53F14CE5C1, "create_mantle" },
    { 0xF71E7D53CEF54597, "create_mantle_hint" },
    { 0x0E56DC4E59885222, "create_mg_team" },
    { 0x4B2D4A1590BFB4F2, "create_mhc_path" },
    { 0x0E2E70D68B57F065, "create_middle_ent" },
    { 0xEDF8AA2709866323, "create_missile_defense_camera_anchor" },
    { 0x3FD0F126366F8C7E, "create_missileattractor_on_player_chopper" },
    { 0x379D2DC603304121, "create_mod_damage_data_empty" },
    { 0x86CD6FFA4EFF87DD, "create_model_at" },
    { 0x6A1B66D66B97D4F6, "create_module_debug_struct" },
    { 0xE08F5B985BCAC262, "create_module_struct" },
    { 0xDFBFE9779DB96AA6, "create_molotov_take_deck" },
    { 0x25BB7BDA1180BDEF, "create_motion_blur_defaults" },
    { 0x54785D93A109F25B, "create_mp_version_of_vehicle" },
    { 0x30D4E9EC2E1B613A, "create_munition_change_points" },
    { 0x36945C33D7F5AF33, "create_munitions_interaction" },
    { 0x23FCD7BD0B30E210, "create_myid_from_levelarray" },
    { 0x26A02F0576865400, "create_nag" },
    { 0x78F239AB1551BF64, "create_name_fx" },
    { 0xFE4F1B2C4DB0142C, "create_name_fx_base" },
    { 0x7B37842E45655403, "create_nav_obstacle_for_wheelson" },
    { 0xAAE7C2C7E7BC4112, "create_navobstacle" },
    { 0x3A11C4676753D7DE, "create_new_projectile" },
    { 0xD8487732A1787233, "create_node_throttle" },
    { 0xA01481D790448200, "create_node_trace" },
    { 0x0F95AC7F45BA5C98, "create_not_drivable_player_vehicle" },
    { 0x27A4019DC9B41962, "create_not_driver_group" },
    { 0x62090D63B9425DAD, "create_objective" },
    { 0x35A19B223387F789, "create_objective_waypoint" },
    { 0x731EFDC4FF5BAAB3, "create_opaque_ai_contents" },
    { 0x0EE987E4C4638073, "create_open_interact_hint" },
    { 0xF739C8468963CA87, "create_oscilloscope" },
    { 0x6D6E66C28EC6191C, "create_oscilloscope_screen" },
    { 0x61A9016702162323, "create_paratrooper" },
    { 0x9654A4B7BF123FC1, "create_paratrooper_spawners" },
    { 0x93D95D731B38EEA8, "create_passengers_unload_groups" },
    { 0x421472B52322C5D2, "create_path_data" },
    { 0xAED2209082027496, "create_path_from_struct_to_struct" },
    { 0x5FA6787DF9D2CAF0, "create_path_to_delete_node" },
    { 0xDDAFDDDCF5B98522, "create_player_rig" },
    { 0xD1C36047F7331EAF, "create_player_rig_laser_panel" },
    { 0x568B6F5A9FB79F7A, "create_player_threatbias_groups" },
    { 0x57E2A6936EE2A044, "create_playerclip_contents" },
    { 0x143A0531AAE0D609, "create_primary_weapon_obj_from_custom_loadout" },
    { 0x6F50B4A1557BE342, "create_priority_queue" },
    { 0xA653A15AEB2FFD62, "create_puddle_triggers" },
    { 0x4AF994E84DE41DB7, "create_race" },
    { 0x4BBAC6C3D1313B65, "create_radius_around_point" },
    { 0x7BF8745BE4D837E3, "create_randomized_ambush_vehicle_group" },
    { 0xFC10B5B29CD82D2B, "create_reflection_object" },
    { 0x30ECEFCEEF6BB888, "create_reflection_objects" },
    { 0x585B2986BD931D3C, "create_rig_for_usb_animation" },
    { 0x1A145BA8D16D4B8A, "create_rocket_death_fx" },
    { 0x1D81811D6C29CD1C, "create_saw_interaction" },
    { 0x9A8A67B6E66A6867, "create_scanning_camera_anchor" },
    { 0x024B3ADFE1BAA94C, "create_score_message" },
    { 0x8841BEB9A26B09AD, "create_script_file_ids" },
    { 0x1B68DAA4F99F2793, "create_script_wait_for_flags" },
    { 0x9B00D7BB026EC469, "create_seat_name_array" },
    { 0x4192B9494BA607EC, "create_seatids_override" },
    { 0xEC73B0F3CBED9ADF, "create_shotclip_contents" },
    { 0xD988987AAFF084A5, "create_silencer_pick_up" },
    { 0x57EC2BD0EDF422A2, "create_silencer_pick_ups" },
    { 0xB99249EED0ABDBB6, "create_simple_path" },
    { 0x957C1E5543763F90, "create_simple_vehicle_path_from_struct" },
    { 0x0F2C1F02F5697F77, "create_smoke_occluder" },
    { 0x9806C4182C74D2A9, "create_sniper_rifle_pickup" },
    { 0x0B136AE80B1781CF, "create_solid_ai_contents" },
    { 0x330ECBB087011BB9, "create_solution_digit_mark" },
    { 0x7E8B5CB3FE7CD33E, "create_sound_origin_at_eye" },
    { 0xF4C74C8F2F698C9D, "create_spawn_scoring_struct" },
    { 0x88D36EFFDDA3A395, "create_spawn_structs_in_radius" },
    { 0xA99B968314EEB079, "create_stair_doors" },
    { 0x8088CC5F80A10722, "create_start" },
    { 0xE65A227ACB422F75, "create_state_machine" },
    { 0xDC569A70ADD5460C, "create_state_machine_for_ai" },
    { 0x088A8EBEB9038B9F, "create_struct" },
    { 0xC6D229DC80144305, "create_struct_at" },
    { 0x5B33A230E9041E53, "create_sunflare_setting" },
    { 0x3773491E28E94DB9, "create_tag_origin" },
    { 0x2C1253FBFD577518, "create_temp_infil_structs" },
    { 0x1C21B5B6796C44D5, "create_thrust_fire" },
    { 0x3BBA150665DBC6C0, "create_traversal_node_and_link" },
    { 0xC49A7A0F490A30FB, "create_trial_weapon_spawn" },
    { 0x2FB8B9B3052CC67C, "create_trigger_based_on_charges" },
    { 0x3EA6E17653758E84, "create_triggerfx" },
    { 0xCD614CBC58CE64A7, "create_trophy_station" },
    { 0xA8758838F2587942, "create_tut_loot_struct" },
    { 0x5CC8A9D541E3F4F3, "create_unique_kvp_string" },
    { 0x51312E366BC323CB, "create_unload_nodes" },
    { 0x91AF177D984B006E, "create_usable_c4_model" },
    { 0xC4655892F101F61B, "create_usable_intel_model" },
    { 0x19C41764E374E05C, "create_usable_key_model" },
    { 0x057E70E9A808B71D, "create_usable_laptop_model" },
    { 0x8522EA1D3F507640, "create_usable_model" },
    { 0x6CBE17B324B5E461, "create_usb_anim_rig" },
    { 0xF37B9B8932F89756, "create_usb_pickup_interaction" },
    { 0x0DF2D49703561128, "create_vault_assault_loadout_selection" },
    { 0x803C745BD6B6A3D6, "create_vehicle_builds" },
    { 0x2D265D18597F714D, "create_vehicle_contents" },
    { 0x076BE316D9A92B61, "create_vehicle_interact" },
    { 0x9EFED3D4A2A1E721, "create_vehicle_interaction" },
    { 0x444A7983F3EE8181, "create_vehicle_occupancy_data" },
    { 0x8B6EC958EC4F3DC6, "create_vehicle_omnvars_data" },
    { 0x7CF83838572B0A9C, "create_vehicle_path" },
    { 0x1EF41F801B5611E9, "create_vehicle_vehicledata" },
    { 0x4227CA62B2717B1F, "create_vent_mantle_hint" },
    { 0x86FF8C3A56CB2D91, "create_vip_fulton_trigger" },
    { 0xAA221E4FBF36CF76, "create_vip_trigger" },
    { 0x7E6F8472CA9E78D1, "create_visionset_stack" },
    { 0x429C3451A499234C, "create_vo_bucket" },
    { 0x7630B96FF892177A, "create_vo_data" },
    { 0xD3B15BE0E25D065D, "create_waypoint" },
    { 0x2646D589C491E9CE, "create_weapon_in_script" },
    { 0x8BE8769B82FFA242, "create_weapon_pick_up" },
    { 0xAFDF09011831B1C3, "create_weapon_pick_ups" },
    { 0x07FEAF9C9AAB4074, "create_weapon_pickups" },
    { 0x641CBF497586DEFD, "create_world_contents" },
    { 0xF3F5C9F267D90AE7, "create_zombie_base_to_unique_map" },
    { 0xF6931DEFE7EA7436, "createactivecontextualwalltraversal" },
    { 0xB273C9859726F8CD, "createagenttargetloadout" },
    { 0x057FE173DAF633B4, "createalldestinationvfx" },
    { 0x1490347330A3BC29, "createallhistorydestinations" },
    { 0x4B2065E1B2754A9F, "createandstartlights" },
    { 0x390824D294D3041B, "createapcturret" },
    { 0x3E4CC9CA5A19FE68, "createart_transient_thread" },
    { 0x65FF35B1595FB873, "createattractionicontrigger" },
    { 0x214600FAEE124025, "createballbase" },
    { 0xB7EBDD4AD970F16E, "createbar" },
    { 0x6C58C8623FEA459F, "createbombzone" },
    { 0x078512A5052B6F04, "createboosttrigger" },
    { 0x45BF97E5C28BFDE0, "createboxforplayer" },
    { 0x2A52AA581EF550C5, "createbridgecapturesite" },
    { 0x37CEF8095889F27D, "createbullet" },
    { 0x9B9BBE24FC530F20, "createburnvfxpacket" },
    { 0x6553FD858DC8A546, "createc130" },
    { 0x3E7A934B43F0A628, "createc130pathstruct" },
    { 0x20CD7403BD63CF63, "createcallbacks" },
    { 0xBC9141341988585F, "createcalloutareaidmap" },
    { 0x2AA1974A7FA43447, "createcalloutdata" },
    { 0x02F33BE2626B65FD, "createcalloutmarker" },
    { 0x428034442DDC45C4, "createcamnode" },
    { 0xB8714723AEFDA550, "createcaptureobjective" },
    { 0x63DB2CF059691E3D, "createcapzone" },
    { 0x71D56568D7D0E5AA, "createcarriedobject" },
    { 0xE57BBFD8F8B17CE3, "createcarryobject" },
    { 0x34E47952D86DFE0E, "createcarryremoteuav" },
    { 0x1A69587ABF2A02CD, "createcenterimage" },
    { 0x5AA6F168D34C4D9D, "createchatevent" },
    { 0xBA083BC8615138E2, "createchatphrase" },
    { 0xC3BAF55D848655BE, "createchuteforscripteddrop" },
    { 0x5ABDFEF180D9336B, "createclientbar" },
    { 0x38F4F0FF70C9651E, "createclientfontstring" },
    { 0x0DCB2C435FD77AB9, "createclientfontstring_func" },
    { 0xAB3B23A965273AE7, "createclienticon" },
    { 0xFE005EE5FAA4534A, "createclientprogressbar" },
    { 0x36555E465167659B, "createclienttimer" },
    { 0x889D87D53F67ECE1, "createcluster" },
    { 0x4C24CE29C3FCEFF4, "createcodcastermatchdataforplayer" },
    { 0xE270CF4A6B025264, "createcrate" },
    { 0x1A94E4E339A4D654, "createcrateforscripteddrop" },
    { 0xA94A2761B0C649F3, "createcreditelem" },
    { 0xDB63C81A10BCE604, "createdangerzone" },
    { 0xADC3A38134FF04C6, "createdefaultcameras" },
    { 0xD185431CC5047600, "createdefaultrectangularzone" },
    { 0x14C35876BCC237A1, "createdestinationvfx" },
    { 0xC5D04F982FEFC90E, "createdevguientryforkidnapper" },
    { 0x131766B3830F08FB, "createdevguientryforobjective" },
    { 0xB684F7CC332241F6, "createdronestrikeheightpoint" },
    { 0xE9C83451F2C8CA3D, "createdropoffheli" },
    { 0x4511B8C72E7FB15E, "createdropplayerhud" },
    { 0x005FE6B2F85518BC, "createdropweapon" },
    { 0x0DC263F0DE321217, "createdropzones" },
    { 0xD2D785AD8F116DA9, "createdynamicholduseobject" },
    { 0xEDA82B11C84BFC4C, "createechoalias" },
    { 0x4B13E120130F58B8, "createeffect" },
    { 0x4DC9EAC89C54E688, "createendzone" },
    { 0xAB3E3FF435A4E0BB, "createendzoneobjective" },
    { 0x08190E580E81AAA2, "createentityeventdata" },
    { 0xD5E7068D40D5A120, "createexploder" },
    { 0x1F04AA287C1A93A5, "createexploderex" },
    { 0xAA260F3851F787C3, "createextractionlocation" },
    { 0xEFD71FA319BCA65A, "createextractvfx" },
    { 0xD34CE89FB6CC1D6A, "createflagsandhud" },
    { 0x27D005DC890C20F9, "createflagstart" },
    { 0x863627AF1F2AE8CD, "createfontstring" },
    { 0x6B8F55EA81042759, "createfullscreenimage" },
    { 0xF6DD51675A0AC307, "createfx" },
    { 0xB0A2C946AE9DD8E5, "createfx_adjust_array" },
    { 0xAB1582CB443AA40A, "createfx_autosave" },
    { 0x0E371D9333C3BE3C, "createfx_centerprint" },
    { 0x53A850202C12C52D, "createfx_centerprint_thread" },
    { 0xB54CFE68F1F65C91, "createfx_common" },
    { 0xF1B5F2A6DC819C66, "createfx_devraw_map" },
    { 0xA0189194550007F4, "createfx_draw_enabled" },
    { 0xF22A2EF40440D899, "createfx_enabled" },
    { 0xFEF279D42CF2EF3D, "createfx_ent" },
    { 0x35BB8E0AD3AFF1FC, "createfx_filter_types" },
    { 0x6194210CAF443352, "createfx_inputlocked" },
    { 0xF3F812025A6C7E56, "createfx_loopcounter" },
    { 0x20E8D97CB236C23B, "createfx_offset" },
    { 0x99E6673E80981876, "createfx_only_triggers" },
    { 0x536F66D1B4A51FC0, "createfx_print3d" },
    { 0x799A4DF3C3DBC288, "createfx_selecting" },
    { 0x7817A3908521B8D5, "createfxcursor" },
    { 0xA18D057032017124, "createfxent" },
    { 0x73BC222032602137, "createfxexploders" },
    { 0x3DFFCC190B9C636B, "createfxlogic" },
    { 0x3DF326413E725B10, "createfxmasks" },
    { 0x9C8D7BE03608F21A, "creategoal" },
    { 0x47C4E41437BBB0EE, "creategulagarenaloadout" },
    { 0xD649BE32413E0835, "creategulagjailloadout" },
    { 0x3E1C82D2B9F44C4D, "creategulagloadout" },
    { 0x5785EAFE94D0276B, "creategulagloadoutarry" },
    { 0x6AE1EE7C9EFEC4BE, "createheadicon" },
    { 0x718B3F3E9ED3DEC5, "createheadiconatorigin" },
    { 0xAD00F32E073B48A1, "createheli" },
    { 0xF84B660036AF4E41, "createheliextractobjectiveicons" },
    { 0xE3EE9B5BB21C93DA, "createhelipath" },
    { 0x65873362D8FD895D, "createhelipilot" },
    { 0x5DBC121778EE1145, "createhelperdrone" },
    { 0xF0BEAF8D7A984573, "createhintobject" },
    { 0x4A0100C325F66899, "createhistorydestination" },
    { 0xF7CA14AECF4F8124, "createholduseobject" },
    { 0x2AEC7354E8D6B018, "createhostagelz" },
    { 0xCCDF681F01F1B81D, "createhudelem" },
    { 0x3DCB923F77992633, "createhudelements" },
    { 0x810A6A31469899EA, "createhudelems" },
    { 0x9D21645A2142C193, "createhudstring" },
    { 0x6B8AF63CAE89E4EB, "createhudtimer" },
    { 0x1180CB4B1C08AD49, "createhvt" },
    { 0x58BBE2B1BCE99107, "createhvtextractionsite" },
    { 0xE136FE1152D4428C, "createicon" },
    { 0x5AD8D4D7624D4445, "createicon_hudelem" },
    { 0xF08295A6804C3A69, "createinitialnavmodifier" },
    { 0x33706CD30246BF5E, "createinstance" },
    { 0xC34FCCC3A496F9F0, "createinteractobject" },
    { 0x2FDEABB7299695B3, "createintervalsound" },
    { 0x1736C13B088EE3F1, "createinvalidcirclearea" },
    { 0xE3A40C8C01C2DF95, "createiwsignature" },
    { 0x34190017B3A5C9D9, "createjuggcrate" },
    { 0x06082030D3D328AC, "createjuggcrateobjective" },
    { 0x77D502CFAFC86B40, "createjuggdroplocation" },
    { 0xE7DFD852EB824B95, "createjuggobjective" },
    { 0xC6D1449CD62959A0, "createjuggobjectiveicon" },
    { 0x6E017A6841F9E81C, "createkillcam" },
    { 0x84668A713842DADA, "createkillchallengeevent" },
    { 0xD08EA82BFE68706E, "createkitobjective" },
    { 0x834281BBA1AA932E, "createkscrate" },
    { 0x3739BE413956174C, "createleaderalias" },
    { 0xA75FE8D9DCFFE685, "createlightswitchtrigger" },
    { 0xD6A077867336A4DB, "createline" },
    { 0xEECBA90465DC3C20, "createlineconstantly" },
    { 0xA4DFAF49EF587860, "createlocaleinstance" },
    { 0xED7882E49CE1EF8A, "createloopeffect" },
    { 0x79EEA57E211ED8D6, "createloopsound" },
    { 0x7FD4103446DEE9D7, "createlootcache" },
    { 0x9E1CC39DD79B4AEF, "createmapconfig" },
    { 0x29DEEE6E2C8EA6F1, "createminimapicon" },
    { 0x1CE2A21D67A97295, "createmission" },
    { 0x9C473B462BE906C3, "createmlgcamobject" },
    { 0x02D382C782DA79DF, "createmodels" },
    { 0x55882EC6B7A41332, "createmoltovinteract" },
    { 0x98C91BBA979C16E9, "createmoltovinteractwhenavailable" },
    { 0xA14F7580482084FA, "createmountmantlemodel" },
    { 0xC730DD52DB2D5E2D, "createmvparrayentry" },
    { 0x3D7751290DDDA8AE, "createmwlogo" },
    { 0x2CB0E720334EC212, "createnagarray" },
    { 0xAA5B6775C83BB198, "createnavbadplacebybounds" },
    { 0x740CD79D53241E2A, "createnavbadplacebyent" },
    { 0x4865714999953C56, "createnavbadplacebyshape" },
    { 0x95C8DFF88843E0FE, "createnavlink" },
    { 0x0C5C9A79BF64E5CB, "createnavmodifier" },
    { 0xDE8005E35B477D23, "createnavobstaclebybounds" },
    { 0xB846D71027D2D00B, "createnavobstaclebyboundsforlayer" },
    { 0x2270D99159991C6F, "createnavobstaclebyent" },
    { 0x8A2AD920BA3A6517, "createnavobstaclebyentforlayer" },
    { 0x9D4D001A5D8F376F, "createnavobstaclebyshape" },
    { 0x39F67DD46725E017, "createnavobstaclebyshapeforlayer" },
    { 0xAF282DF026CDAFC0, "createnavrepulsor" },
    { 0x0F7D2D1CE7D18597, "createnavrepulsor3d" },
    { 0x39E112DD222E9154, "createnewexploder" },
    { 0x9DA07D781C147B54, "createnewexploder_internal" },
    { 0xAF8D08C65A8F2E6D, "createnoisedata" },
    { 0x1363332DA2F7914A, "createnotification" },
    { 0x5EF321916E077147, "createnukecrate" },
    { 0x91AE8AA3954F1949, "createnvidiavideo" },
    { 0x1E7C31D47B43A494, "createobjective" },
    { 0xD979CB1600051184, "createobjective_engineer" },
    { 0xDAD347684A4A1495, "createobjectiveicon" },
    { 0x0DC624F34A734110, "createobjectiveiconsforactivejugg" },
    { 0xE603D8F32A9130DC, "createobjectivelist" },
    { 0x80B86048C9A27200, "createobjidobject" },
    { 0x877A4B9F3D9F632E, "createoneshoteffect" },
    { 0xCA40EB9DBF56495A, "createoperatorcustomization" },
    { 0x922707DDF8CF4AF7, "createoverlay" },
    { 0xA2E7EB8A1BD158DB, "createpatharray" },
    { 0x5A0D3B599A84823E, "createpenthintobj" },
    { 0xE9F1965FBBD3EFA4, "createpickupicon" },
    { 0x77405C4551EE68D5, "createpickupuseent" },
    { 0xFA628840ED7AAB58, "createplaceable" },
    { 0x93692BA43C1AEFB2, "createplayerdeadcountdownhud" },
    { 0x51F9BD65B25BB12A, "createplayerplundereventdata" },
    { 0x65DD65D66628129C, "createplayersegmentstats" },
    { 0x168E7AF8E89DA47B, "createplayerstreakdatastruct" },
    { 0x6716326F85C9B265, "createprematchloadout" },
    { 0xB4AB62AD1281F7DF, "createprimaryprogressbar" },
    { 0x7D628791E00FD548, "createprimaryprogressbartext" },
    { 0x44B6FE860A5240AF, "createprintchannel" },
    { 0x35ACA94459BE410E, "createpropspecatehud" },
    { 0xBD33C70486653457, "createpropspeclist" },
    { 0xE96CC958B2FECB71, "createpulluptrigger" },
    { 0xC3F5738F88469E8D, "createquestcircle" },
    { 0x2AD67F6D41934A96, "createquestinstance" },
    { 0x27A6C95FB8E8CF2B, "createquestobjicon" },
    { 0xFCBADC40023F3E93, "createreactiveent" },
    { 0xC36E9CD4495D20CA, "createrectangularzonebasedonent" },
    { 0x51F2DE97B4EB47A9, "createremoteuav" },
    { 0x3D70352E5711A8CB, "createrewardicon" },
    { 0xCD48EF8674C9322F, "createrpgrepulsors" },
    { 0x1F9FC439FD9890A1, "createscenefromnewevent" },
    { 0x8FAC663A89E23844, "createscreeneffect" },
    { 0xD241A1E8A8CB26DF, "createscreeneffectext" },
    { 0xBC844689F0EEFF84, "createscreeneffectoffsets" },
    { 0xA72F9B4D546337CF, "createscript_covernodes" },
    { 0xEB0954836570605C, "createscriptedspawnpoint" },
    { 0x616F746C663E90F9, "createscriptfilesinitialized" },
    { 0xB314EAD3E9F9AB40, "createsentryforplayer" },
    { 0xB018B48D08C94472, "createserverfontstring" },
    { 0x53065BDCC7EC8637, "createservertimer" },
    { 0x5282F5751D155325, "createsmartobjectinfo" },
    { 0x37BDFBF1509F162C, "createsmokesignalfx" },
    { 0x8C428E44F030B02B, "createspawncamera" },
    { 0x7BFD977A8AC5E1CB, "createspawner" },
    { 0x4D0A25021D965137, "createspawnerstructbehindplayer" },
    { 0x0EFC898F3F9BE993, "createspawninfluencepoint" },
    { 0xD5389B98CF3BC1BB, "createspawnlocation" },
    { 0x28910D90A6E42DAB, "createspawnquerycontext" },
    { 0x1A489FABFFE23D09, "createspawnweaponatpos" },
    { 0x4D857B5F9431425A, "createspawnweaponatposfromname" },
    { 0x2A1D3EE6E8ADA585, "createsquad" },
    { 0x86ECE07498D9C5EB, "createstreakinfo" },
    { 0x0E39637D8C154979, "createstreakinfo_ai_turret" },
    { 0xDD830479D07C08D1, "createstreakitemstruct" },
    { 0x8CD022D849C783C4, "createstruct" },
    { 0x754058AA41C6AB75, "createstructs" },
    { 0xC59528380C2FF303, "createsupplypack" },
    { 0xA8FFBFADEADAB3D5, "createtacopskitstation" },
    { 0x219A863E990F24CC, "createtags" },
    { 0x12467DEAD8D5CFC0, "createtagsofcolor" },
    { 0x21737E3E98E4D5A5, "createtank" },
    { 0x5F43069F286831F1, "createtargetmarkergroup" },
    { 0x242B84A10A662AFD, "createteamdefenderflag" },
    { 0xDD5C26C8346FB410, "createteamdefenderflagbase" },
    { 0xE3A7587A79FF8B52, "createteamflag" },
    { 0xA545D87285EFB68F, "createteamflagbase" },
    { 0x607D1C3E6EDD6311, "createteamobjpoint" },
    { 0xE5FD559C0B1DCE35, "createtestc130path" },
    { 0xC8A17E41CFDE8E12, "createtesthelipath" },
    { 0xCC034AC829E1C38E, "createtesthelis" },
    { 0x3CC3DE7DB472C9E7, "createthreatbiasgroup" },
    { 0x158BE273D871507C, "createthreatbiasgroups" },
    { 0xC86A1AF28C2AA71E, "createtimer" },
    { 0x60265B8D56450ACF, "createtomastrikebomber" },
    { 0xB13F362CAD8F6CDA, "createtomastrikedrone" },
    { 0x06604499ACC76B0C, "createtoptrigger" },
    { 0xD54B6B8AF84D1F76, "createtrackedobject" },
    { 0xA373728EBBC571BC, "createtriggers" },
    { 0xCA919951BE41AB97, "createuseableobject" },
    { 0xBBD7EB8055A6A5BD, "createuseent" },
    { 0xFF8F5258396E3F3F, "createuseobject" },
    { 0xB7C3758F75102DB9, "createvehicleinteraction" },
    { 0xFF1B6C9BBCC71072, "createvisualsinfo" },
    { 0xC92E41AB17B1715C, "createweapondefaultsarray" },
    { 0x6EE67E243B268230, "createwinnersandlosersarrays" },
    { 0x438369B365EB6CA5, "createzombieloadout" },
    { 0x859529549A3DA728, "createzones" },
    { 0x3D75D3592B358999, "creationtime" },
    { 0x9AF621A44CDFBA74, "credit_move" },
    { 0xCF83C16DEABFED4D, "creditdept_fadeoutin" },
    { 0x59DCD61394E8A792, "creditdept_moveside_flag_thread" },
    { 0x14731298245A25C2, "creditline" },
    { 0x7B047F8566B65B23, "creditlinearray" },
    { 0xF6A8A6980E3B901F, "creditlogo" },
    { 0x74421B073DA37F99, "creditlogo_fadein" },
    { 0xFBF869EC511D459A, "creditlogo_fadeout" },
    { 0x4C24B6E0C79EDB0D, "creditlogo_move" },
    { 0xF742610378397311, "credits" },
    { 0x2FEAC9ACA330583C, "credits_active" },
    { 0x851CCBE928615B5E, "credits_showmessage" },
    { 0x4C93C7F41580D74A, "creditsbg" },
    { 0xE3C23F19F87F210E, "creditscomplete" },
    { 0xD239D9CB67BCC409, "crew_chopper_death_watcher_behavior" },
    { 0x4EE962E1CEC743A5, "crew_chopper_transport_behavior" },
    { 0x44EDE8F75E1D5CBF, "crew_ignore_manager" },
    { 0x77C3E89BBCA09A0C, "crew_spawn" },
    { 0x3384347B1989BD06, "crew_unload" },
    { 0x71998D982418FBED, "critchance" },
    { 0xEE13A81855F8EBAA, "critical_factor" },
    { 0x3DF226B04C9B3921, "critical_messages" },
    { 0xE31F308F9BF535DC, "critical_target_icon_objective_id" },
    { 0x1C3425AB21D4BF81, "criticalbulletdamagedist" },
    { 0x2AEE9ACB48046082, "criticalfactors_callback" },
    { 0x418BCABFC5DCCD5C, "criticalfactortypes" },
    { 0xEB0A9FC25DB2490D, "criticalhealththreshold" },
    { 0x64496A8BAD57DE99, "critically_damped_move_and_rotate_to" },
    { 0x229074EE3CBA1086, "critically_damped_move_and_rotate_to_thread" },
    { 0x6E6B0D9FA8A0CC5B, "critically_damped_move_to" },
    { 0x6BED8BA20A404414, "critically_damped_move_to_thread" },
    { 0x1000D7BFCBCC9D74, "critkillcount" },
    { 0xB598D9E3CF9B15C1, "cross2d" },
    { 0xC6F5412554EEEBE0, "cross_street_drive" },
    { 0x82D2B604E4C9D095, "crossbow" },
    { 0x525E38314F508C1F, "crossbowbolts" },
    { 0x81653BEFFB326C29, "crossbowimpactwatcher" },
    { 0x604C2A48FAE46526, "crossbowusageloop" },
    { 0xC29BCEADAA1614FF, "crosshair" },
    { 0xC461C83AF505B093, "crosshair_fadetopoint" },
    { 0x2154B0E07ABFB9F0, "crosshair_overlay" },
    { 0x26070647F7657178, "crosshair_overlay_dot" },
    { 0xDFE70F7EBD1EE4D1, "crosshair_value" },
    { 0x0B80D4A9CACE7AC6, "crossproduct" },
    { 0x9C32CF0641C249E2, "crotch_damage_multiplier" },
    { 0x02C5CA370DD4EF97, "crouch" },
    { 0xC8F5A24E55096EB3, "crouch_visible_from" },
    { 0x4047C55CC52C16D0, "croucharrivalnode" },
    { 0xD4C75D00D1EC88DC, "croucharrivaltype" },
    { 0xA702C5AF24534B65, "crouchblendratio" },
    { 0x04FCE80F55B2FA8F, "crouchbuttonpressed" },
    { 0x722D9A9E8D696B20, "crouchdetectdist" },
    { 0x19A6F364EE3B005A, "crouching_phone" },
    { 0x9CA07D9B34E29665, "crouchupoffset" },
    { 0x10D8D8257C6A4E56, "crowbar_anim_think" },
    { 0xB306EC2E1B2F9EE4, "crowbar_breach_try_think" },
    { 0x6FC0B12DD35E895B, "crowbar_planted_think" },
    { 0x13A8498654537E69, "crowbar_use_activate" },
    { 0x77654ED05A8D1CAA, "crowd" },
    { 0xB1BEE790029FD76E, "crowd_ap" },
    { 0x6278854846AADC29, "crowd_change_anim_at_offices" },
    { 0xAB415AFD9B054EEC, "crowd_delete" },
    { 0xE9C1CDB2C53B1EF8, "crowd_enterer" },
    { 0xFF0975B87AD32505, "crowd_get_and_store" },
    { 0x178F4BECE209389F, "crowd_individual_vehicle" },
    { 0x34923F7AC96B49B4, "crowd_is_back_row" },
    { 0xBE8E52F41ABC2A70, "crowd_is_front_row" },
    { 0x816B9393F51E9DC9, "crowd_removed_for_skinned_verts" },
    { 0x3257E0F5DBB444CB, "crowd_screams" },
    { 0x5A9149A34AAFF94C, "crowd_setup_ap" },
    { 0xA269482F72898F32, "crowd_vehicles" },
    { 0x20E92D372456713B, "crowds" },
    { 0x8FE5026735B0415D, "crowguy_vo" },
    { 0xD89C26F779761D47, "cruise_missile_objective_id" },
    { 0xEB0AE8DC09439D10, "cruise_missile_reach_target_ent_monitor" },
    { 0xC67336418DA4C7E1, "cruise_missile_target_ent_clean_up" },
    { 0x012F386B997F5622, "cruise_missiles" },
    { 0x012561BD5E935DCB, "cruise_predator_direction_override" },
    { 0x58F549BDB66D2B96, "cruisepredator_aicharacterchecks" },
    { 0x9D3FE0C8612F9465, "cruisepredator_assigntargetmarkers" },
    { 0x2A2FC9ADCF0D0220, "cruisepredator_cameramove" },
    { 0x0087CF708E5A85D4, "cruisepredator_cpmarkenemies" },
    { 0x83B6E61F0CF8FB01, "cruisepredator_cpunmarkenemies" },
    { 0xCF606CCE88DEEADB, "cruisepredator_createbackupheight" },
    { 0x0E82698B8B332795, "cruisepredator_delaymissilecollision" },
    { 0x3558561F7BF4EAB5, "cruisepredator_delayplayslamzoom" },
    { 0xA9D17410373654B2, "cruisepredator_detachplayerfromintro" },
    { 0x41EC56DD5F6D3247, "cruisepredator_directionoverride" },
    { 0xF9EC263C2B68A45D, "cruisepredator_empapplied" },
    { 0x36936BB1F231BBCB, "cruisepredator_eventrecord" },
    { 0xC5E48084518569D0, "cruisepredator_followmissilepod" },
    { 0x18C32FAF4BE4C7E2, "cruisepredator_handlevfxstates" },
    { 0xF41AADC6C67388A1, "cruisepredator_istouchingkillborder" },
    { 0xC03623494F2B0664, "cruisepredator_playdofsequence" },
    { 0x9A5702BBFCA720A8, "cruisepredator_registervo" },
    { 0xA76D32C213745081, "cruisepredator_removeitemfromslot" },
    { 0xCD5C2DFE37777721, "cruisepredator_returnplayer" },
    { 0x3476D843516768EC, "cruisepredator_shakerider" },
    { 0xEF64378C23FE45AD, "cruisepredator_startexplodecamtransition" },
    { 0xAD45414EA2083DE4, "cruisepredator_startfadecamtransition" },
    { 0x9D9901BF08596BA2, "cruisepredator_takecontrol" },
    { 0xA67EB58BD878105D, "cruisepredator_waittillexplode" },
    { 0xDA2331184B1E13A4, "cruisepredator_watchexplosion" },
    { 0x9A5F074BEAFF362F, "cruisepredator_watchexplosiondistance" },
    { 0xC6E2B123D21EB970, "cruisepredator_watchgameend" },
    { 0x63054CCEA8B80B90, "cruisepredator_watchintropoddisown" },
    { 0x2D8C38649F4A7C5F, "cruisepredator_watchkillborder" },
    { 0x65D63C5E0ECE3C6A, "cruisepredator_watchkills" },
    { 0x1A75F4019594C37A, "cruisepredator_watchmissileboost" },
    { 0xCB68B4E296FACACE, "cruisepredator_watchmissileexplosion" },
    { 0xC123D4B8D86BAE33, "cruisepredator_watchmissileinfo" },
    { 0xA3ABAB200736B3B4, "cruisepredator_watchownerdisown" },
    { 0xFBAEE1825D393756, "cruisepredator_watchownerdisownaction" },
    { 0xF59E24A1FD6C3B96, "cruisepredator_watchtimer" },
    { 0xFDABF3D808B6D815, "cruisepredatorbeginuse" },
    { 0x81F36BCAE01960BE, "crushcar" },
    { 0xB54C43BFD38E8DA9, "crushing_players" },
    { 0x215F217A48B435F0, "crypto_key_objective" },
    { 0xC1FC4219C4E395D9, "cs_add_to_struct_array" },
    { 0xD346A866BFAF341F, "cs_angle_offset" },
    { 0x69E68BE8BD054302, "cs_creation_counter" },
    { 0xE717D998F495B6C6, "cs_flags_init" },
    { 0x80966DBB85B888FE, "cs_init_flags" },
    { 0x3E08D5007388A5BE, "cs_is_starttime" },
    { 0x461DEABC67D5378F, "cs_object_container" },
    { 0x93E28BE51676CAFC, "cs_origin_offset" },
    { 0x4EF2B1EA302D24FB, "cs_return_and_wait_for_flag" },
    { 0x45525AC9A75D2172, "cs_scripted_spawners" },
    { 0x21211F3CA4478E65, "cs_scripted_spawners_models" },
    { 0xC0E7065C647D485E, "cs_scripted_spawners_triggers" },
    { 0xCE3A75936A5BFB94, "cs_setup_arrays" },
    { 0x4873CCFB00502DDA, "csdependency" },
    { 0xFAD60AF10C89F523, "csm_alg" },
    { 0x5D4DBD83260C6EF4, "csm_enable" },
    { 0x4F60C9EDD5E3B14E, "csm_max_resolution" },
    { 0x25D40B732866B623, "csm_sample_size" },
    { 0x6C8C599DFDA8EFCE, "cspline_adjusttime" },
    { 0xBCA5D4AFE9D5C43A, "cspline_calctangent" },
    { 0xA632DCCC017BB6BF, "cspline_calctangentnatural" },
    { 0x0E3B28ABFB4B62CB, "cspline_calctangenttcb" },
    { 0xAE8EDAB9A6B3E951, "cspline_findpathnodes" },
    { 0x43AD1E45813B6E01, "cspline_getnodes" },
    { 0x3E7FE6F3608D08D0, "cspline_getpointatdistance" },
    { 0xD9485663BEBC7806, "cspline_getpointattime" },
    { 0x8168C208B602305C, "cspline_initnoise" },
    { 0x96A050348CAEDACC, "cspline_length" },
    { 0x0CFB99D5799D8793, "cspline_makenoisepath" },
    { 0x3F8358A24F095BF0, "cspline_makenoisepathnodes" },
    { 0xC4DA9C1E0BAC2649, "cspline_makepath" },
    { 0xC687D0C94A2A4B91, "cspline_makepath1seg" },
    { 0xE2FFCD18C629B32E, "cspline_makepathtopoint" },
    { 0x0CC1E00A90DAEF35, "cspline_movefirstpoint" },
    { 0x4A7D90F611420BC2, "cspline_noise" },
    { 0x89F2BF43245DE250, "cspline_speedfromdistance" },
    { 0x7036FEAC59B938D4, "cspline_test" },
    { 0x164ECFE202B1F0D9, "cspline_testnodes" },
    { 0x34A15FAC2D7A57E9, "cspline_time" },
    { 0x8797EC531512B7EA, "csplineseg_calccoeffs" },
    { 0x4D070A82BC0A152D, "csplineseg_calccoeffscapspeed" },
    { 0xA7C126C641CEDC27, "csplineseg_calclengthbystepping" },
    { 0x8246489264C64C76, "csplineseg_calctopspeed" },
    { 0xFE45FE8EEED9E893, "csplineseg_calctopspeedbyderiving" },
    { 0x4BD144894B4F0491, "csplineseg_calctopspeedbystepping" },
    { 0x3D2C7B2903A39CD0, "csplineseg_copy" },
    { 0xD70107A2329B7353, "csplineseg_getpoint" },
    { 0x483CD49BE47128DC, "cstillrighttheredistsq" },
    { 0xA2AC9C04D0700316, "ctbuddy" },
    { 0x2B07F1A4C859E7F8, "ctf_bot_attacker_limit_for_team" },
    { 0x8ABC912B0AFFA1E4, "ctf_bot_defender_limit_for_team" },
    { 0x79436D0561E89588, "ctf_loadouts" },
    { 0x33CD8E88CEEBCCEB, "ctfnukeended" },
    { 0xEDC6169A208CB186, "ctfteamspawnsetids" },
    { 0xE2FAC9D10774EE53, "ctgs_buildstatstrackerstruct" },
    { 0xF8722977EDFEA747, "ctgs_comparestats" },
    { 0x94F1B56AABEE9E38, "ctgs_compareweaponxp" },
    { 0x29D4F1939C06BD54, "ctgs_recordmatchstats" },
    { 0xC1923D2275F12778, "ctgs_statstracker" },
    { 0x1B8899B4130634A5, "ctgsreportusermatchstats" },
    { 0x6FC4528D4D8F2FFB, "ctimetolose" },
    { 0xD32CFF933681D04E, "ctpassenger" },
    { 0x00F65C2F0CABBFF9, "cue_exit_civs" },
    { 0x0798DABEE8896786, "cuffs" },
    { 0x387A79ED4F0D64FB, "cull_list_of_players" },
    { 0x196C4CC7412736CB, "cull_redshirts_for_startpoint" },
    { 0x6107548F39709BE7, "cull_spawners_from_killspawner" },
    { 0xFE7FDE3F7A6705ED, "cullcoverposesforshort" },
    { 0x83A9245FE364227C, "cumulative_damage_expire_time" },
    { 0x2F518F29C14D5827, "cumulative_damage_monitor" },
    { 0x32E14F122E641EA6, "cumulative_damage_to_chopper_boss" },
    { 0xCF00E13F603D119F, "cur_defend_angle_override" },
    { 0x0E23066AC03DAD4B, "cur_defend_node" },
    { 0x417035E5706011FC, "cur_defend_point_override" },
    { 0x055A7F8A2E15E97F, "cur_defend_stance" },
    { 0xF01C30424EEFE35B, "cur_goal_struct" },
    { 0xDA50D8841FF58CB8, "cur_infil_track" },
    { 0x0FFD769F13285B9B, "cur_move_mode" },
    { 0x9BED4F146566FF26, "cur_node" },
    { 0x82B074AE6F86236C, "cur_shaft_level_index" },
    { 0x4A479DB7D988E10A, "cur_vision" },
    { 0x5F6B5E2E0A875117, "cur_vol" },
    { 0x927BBA1B7A58363C, "cur_wave_start_time" },
    { 0x1843595B6470EBBD, "curamount" },
    { 0x55F19A084E1D48A7, "curautosave" },
    { 0x201B9B4DA5473AAF, "curbombzone" },
    { 0xCE6895E61E862F81, "curcache" },
    { 0xCA188DC0D3AB4EBA, "curcachelocation" },
    { 0x498255E40167600D, "curcarrierorigin" },
    { 0xD01D4229A1743C1B, "curclass" },
    { 0x50104DE10F1B482B, "curevent" },
    { 0xB158ED35905D04D2, "curiousstarttime" },
    { 0x276EA3062AC403A6, "curobj" },
    { 0x717E6F1926497640, "curobjectiveindex" },
    { 0x81D884CCC3CFE3BB, "curobjid" },
    { 0xF680526524784243, "curorigin" },
    { 0x9BBE01E9BC039E5B, "curplayertohavekidnapperspawned" },
    { 0x2044923427498DD3, "curpotgscene" },
    { 0xF5C7B90D365F4DFA, "curprogress" },
    { 0x30992A23CE045A79, "curr" },
    { 0xA7B89DB3DC88F390, "curr_airlock_pos" },
    { 0xE9FEC06331B02BCB, "curr_anim" },
    { 0x100150B1CF0B9876, "curr_dist" },
    { 0xC6CCFD96FC8FDC10, "curr_projectile_hits" },
    { 0x40639DA3149837D3, "curr_target" },
    { 0xFA296D238EF53777, "curr_weap" },
    { 0x735A17C13E6BA5E9, "curregion" },
    { 0xBED6CA1C4DFA55A6, "currency_scale_func" },
    { 0xB00A0E367B64D461, "currencycaches" },
    { 0x632DE1160313DB0E, "current" },
    { 0x03AC6A02BE38A5D8, "current_ally_volume" },
    { 0x2B5EAFBAD8B47F60, "current_anim_data_scene" },
    { 0xD409B1D357630440, "current_anim_ref" },
    { 0x7525F1484657C604, "current_automated_respawn_timer_value" },
    { 0x259ED454AAD9C677, "current_blackbox" },
    { 0x43936241214C5AEC, "current_blackbox_corpse" },
    { 0x70853956E4F84FA7, "current_blocks_sequence" },
    { 0x7DCE61CE4F4E282B, "current_body" },
    { 0x3E7E8F97E9C9EA71, "current_bombzone" },
    { 0xF5F29A6098BBE197, "current_breath_blur" },
    { 0xEF0C0B081D54E240, "current_button_counter" },
    { 0x5F1F15A9E4E99877, "current_button_progress" },
    { 0x0FC18EE7A3A9FEB9, "current_carrier" },
    { 0xD04D5E9854130A53, "current_carrier_time" },
    { 0x293C7F1139194BBC, "current_cbreaker_sequence" },
    { 0xB411ADBBAECE116C, "current_challenge" },
    { 0xED6BFF6A5E23DA31, "current_checkpoint" },
    { 0x2AD54A928A983999, "current_color_order" },
    { 0xA030A0E70A65BA0D, "current_color_trig" },
    { 0xBDA6989F98119653, "current_count_down" },
    { 0xAE62E0A6C102C1B5, "current_crafted_inventory" },
    { 0x0108CA237722472F, "current_crafting_struct" },
    { 0x0BD66DF2B306FB22, "current_cypher_pieces" },
    { 0x5D85ED6EB3971611, "current_dialogue" },
    { 0x964F6A094C92F1C9, "current_enemy" },
    { 0x312185F702F2F459, "current_enemy_deaths" },
    { 0xF7B74BBC18BE039B, "current_escalation_level" },
    { 0x351DE4D28F003571, "current_event" },
    { 0xBE27FB30533F066D, "current_flag" },
    { 0x52E72846FD335CEF, "current_floor" },
    { 0x044C3D5E81221DBC, "current_follow_path" },
    { 0xBA89DE804BD5DDD9, "current_forward_dist" },
    { 0x8A1B4DB933EFB9F8, "current_global_hint" },
    { 0xFD44351BB6415D6C, "current_goal" },
    { 0xBD273246C4D896B9, "current_goal_override" },
    { 0x65649C6BE5B1721A, "current_group" },
    { 0x04894209E03663E9, "current_health_regen_segment_ceiling" },
    { 0xE9D4E87F17C105B4, "current_health_regen_segment_floor" },
    { 0x93CE5F55AA2965C9, "current_hint_active" },
    { 0x197F63A5BE7C51A2, "current_icon" },
    { 0xF1C77C849852B94C, "current_interaction_structs" },
    { 0x4E1257CEA6599C99, "current_knife_weapon" },
    { 0x84DBC48AED0E910B, "current_knife_weapon_string" },
    { 0xF2A7C04871E381BB, "current_knock_off" },
    { 0x9F8EAF8AB26724D9, "current_lookahead" },
    { 0xFA47B17A9E163D22, "current_mode_hud" },
    { 0x38AB4EE9572DECF3, "current_node" },
    { 0xE081787918B3131B, "current_num_spawned_enemies" },
    { 0x79257049FB6BAFBA, "current_num_spawned_juggernauts" },
    { 0x20A48037621F26A2, "current_num_spawned_soldiers" },
    { 0xE9C4FCC3AC949F94, "current_num_spawned_zombies" },
    { 0xF2BE2ADD5D817948, "current_obj" },
    { 0x68EA4C0EC0776EFD, "current_objectve" },
    { 0x8F535DC235DD205E, "current_output" },
    { 0x4CC311206A179116, "current_overwatch_vo" },
    { 0xA4418C7AEDBC2F24, "current_path" },
    { 0x5FCD1FECF31AC995, "current_personal_interaction_structs" },
    { 0xDA916182D4174657, "current_pivot_struct" },
    { 0x498941E2410AFA92, "current_player" },
    { 0x595332DDA9141413, "current_pos" },
    { 0x62163FF0D5E794FF, "current_puddle_count" },
    { 0x5CBEF95C761E62C1, "current_reaper_camera_zoom_level" },
    { 0xAF287FBD414925A5, "current_requested_snd" },
    { 0xAC8B3EE16060A7E4, "current_respawn_point" },
    { 0x3AB2B1DAAFFB1351, "current_respawn_point_override" },
    { 0xE39BC78A4B44BBF2, "current_revive_icon_color" },
    { 0x7D2D5749E6D4AB14, "current_room" },
    { 0x68A417E19AAE81E3, "current_safehouse_spawn_structs" },
    { 0x46A79D0165C47B04, "current_sentry" },
    { 0xDC6C73F477DFFDE4, "current_shield_tagattach" },
    { 0x75660A6BEF618013, "current_spawn_scoring_index" },
    { 0xCC910A020B88DF11, "current_spawner" },
    { 0xD04DEF1C51A64EDE, "current_speed" },
    { 0x81433574637E6431, "current_start" },
    { 0x813B4074637690B4, "current_state" },
    { 0x5E554E08FF05E62F, "current_state_ents" },
    { 0xF702932437279242, "current_stealth_meter_progress" },
    { 0x6650BC27B4161E60, "current_stealth_state" },
    { 0x4A027A743C036456, "current_steps" },
    { 0x17D3FC876F3EBE2A, "current_struct" },
    { 0x1421DF2397EB8C6F, "current_struct_angles" },
    { 0x9304658292698E56, "current_sunflare_setting" },
    { 0xAA32F7B37A51B0C3, "current_tablet" },
    { 0xF12BF740264B46E6, "current_target" },
    { 0x04F1D5D380FE44FA, "current_time" },
    { 0x0477E221BA2634ED, "current_trigger" },
    { 0x83F5C0DDC80129AF, "current_uid" },
    { 0xA32E96E7B8BCFF0F, "current_vehicle_seat" },
    { 0xF81BF6F2BCE8095D, "current_visionset" },
    { 0xFB44DA86B9BE9BB0, "current_vo_queue" },
    { 0x5C84121F5BF67D00, "current_volume_allies" },
    { 0x8169496E6E46EABA, "current_volume_enemy" },
    { 0x058D948CF8D0D14E, "current_volume_num" },
    { 0x0C469920955105F1, "current_weapon_double_super" },
    { 0xF1017F068F6DDF7C, "current_weapon_jump_super" },
    { 0xF44074045FD7B229, "current_zone" },
    { 0x8B50D5D81EC34D63, "current_zone_target" },
    { 0x565B9B0B854809FC, "currentability" },
    { 0xAA78821F5C2E3F04, "currentaction" },
    { 0x062280680E92A037, "currentactivevehiclecount" },
    { 0x553D230926D37F10, "currentalphanumericcode" },
    { 0xCF1D0CCF4BC017D5, "currentambientgroup" },
    { 0xEAFA4A815B3E2B7F, "currentanimpriority" },
    { 0xF3F750E9F2AAF9BC, "currentbestdist" },
    { 0xA0B53F30911F9126, "currentbestpos" },
    { 0xBD937D48D4D51BDD, "currentcamera" },
    { 0xA9E2CF10D8B5808E, "currentcarrier" },
    { 0xAAF44A715A855862, "currentcarryobject" },
    { 0x5D5EB06EC35B6B91, "currentcheckgroup" },
    { 0xA3631E3C5FB1D2F3, "currentclientmatchdataid" },
    { 0x9C3805FC03A36187, "currentclustercamera" },
    { 0x9106EBC5701EF058, "currentcolorcode" },
    { 0x96C3BDA78F95CDBC, "currentcolorforced" },
    { 0x8D5A3A01E70A0759, "currentcombatmode" },
    { 0xCE62396C064327CF, "currentcost" },
    { 0x29FC2AC039AFB91C, "currentdamagestate" },
    { 0xA69A0EF933D3FA75, "currentdebugweapon" },
    { 0x6419235280458D5B, "currentdebugweaponindex" },
    { 0x86903F53C0CD1D72, "currentdestination" },
    { 0xBF6EE820C7BD54AA, "currentdestindex" },
    { 0xFFE03D27EC964E82, "currentdoor" },
    { 0x533F48256840D0F2, "currentdropcount" },
    { 0x4C4A36F73A21FA91, "currentfefx" },
    { 0x2F682CB6BE170DE0, "currentfirstupgrade" },
    { 0xC41652DCF8B5BB79, "currentfov" },
    { 0x37A028F66EF51B4A, "currentfrac" },
    { 0x17E4F76885372540, "currentfx" },
    { 0xFFCE28BC99CD1DED, "currentgametypestopsclock" },
    { 0xA7D57ED999591BF7, "currentgroupindex" },
    { 0x8711E4FF9D895220, "currentguardlocation" },
    { 0xA70A34E9D0B2E8B6, "currentgunshipweapon" },
    { 0xEA8F0E3795CF316C, "currenthealth" },
    { 0xCBF8F6C5F10347AB, "currenthint" },
    { 0xA978B9C51BF1B71E, "currenthudy" },
    { 0x908BE42E9116E852, "currentindex" },
    { 0x73DA01AA3AC83406, "currentinteldialog" },
    { 0x6F74D1E5C1FDC388, "currentintelflag" },
    { 0xF78933C740CA538A, "currentintelindex" },
    { 0x284EB473776EE2BF, "currentintensity" },
    { 0x50A1A42A2E9F59CC, "currentkillstreakopvo" },
    { 0xFABFCB85654042A4, "currentlabel" },
    { 0x9A124D71ACA7468A, "currentleftangle" },
    { 0x0F78BB40511CAB52, "currentlight" },
    { 0x82AE473F945CE38A, "currentlookatents" },
    { 0x8A0B66481EBBA77F, "currentlycrafteditem" },
    { 0x3E72DB41C872CA06, "currentmeleeweapon" },
    { 0x1B954B81EDD19F95, "currentmode" },
    { 0xF5529FC4A2F27AB1, "currentmoduledeaths" },
    { 0x8BE2760E3E5405D7, "currentmodulekills" },
    { 0x8DA59E20AAEC66C6, "currentmovespeed" },
    { 0x938195DB00999107, "currentmultikill" },
    { 0x7DDF01ABD4C076F8, "currentnagindex" },
    { 0x7CCD3B3C7FD006BA, "currentnode" },
    { 0x514259AB46B5BF7A, "currentnotifyhandlers" },
    { 0x39E999E986B238BB, "currentnumber" },
    { 0x5D6727DCAD06AAAB, "currentobj" },
    { 0xE4D6D24FA1393791, "currentobjective" },
    { 0x22D2224A9C10CA87, "currentobjectiveindex" },
    { 0x9A7FC2C81C6CA62D, "currentpatrolstruct" },
    { 0x67667654A0A5A354, "currentpatternduration" },
    { 0x54E3B13732A7A680, "currentpiece" },
    { 0xEDF3D02C6E4BD2EC, "currentplayeroffset" },
    { 0x562BE8F6FD6034FA, "currentplayertarget" },
    { 0x0454D5DDE3D9AC92, "currentpoi" },
    { 0x62B1C068286776C0, "currentpoint" },
    { 0x609F49FC182012E3, "currentpose" },
    { 0x9D37AB533963F834, "currentprimaryweapon" },
    { 0x99424E2B37966687, "currentpronespeedscale" },
    { 0x95B73E2CBBA83C3E, "currentregendelay" },
    { 0xD8ABF8FB26BE9427, "currentrelativeanimpriority" },
    { 0xCF479A11430CED36, "currentreservedindex" },
    { 0x12AB9F776DFC1414, "currentrewarddropindex" },
    { 0x3D4334BA87F0EEDF, "currentrightangle" },
    { 0xC58746C7CB60F7F6, "currentround" },
    { 0x99BB40ACE75B4DD8, "currentscramblerstrength" },
    { 0x76E93A1CFE93BD4A, "currentsectionname" },
    { 0x2FB0B081E35B4A55, "currentselectedkillstreakslot" },
    { 0xCAE97369267AA00B, "currentsetup" },
    { 0x735D9612B609BC97, "currentshottarget" },
    { 0xA91A8803FC6AD653, "currentsnaptonodeis" },
    { 0xF2A0C3DDD5B43B1C, "currentsol" },
    { 0xAD755A94D0BB159D, "currentsolsign" },
    { 0xEAABC5B02B617D6A, "currentspawnlogicsupportsfrontline" },
    { 0x29A95BAD6584BB37, "currentspectatorcamref" },
    { 0x82910FE996015F45, "currentspeedscale" },
    { 0xF6B538F8ECECD7B3, "currentstate" },
    { 0x6B2FB6ECFC12C538, "currentstatename" },
    { 0x2C7638746D8C3E85, "currentstealthlevel" },
    { 0x9492AE30F4150AFF, "currentstring" },
    { 0xF0063CCBAB2617E1, "currentsubstate" },
    { 0xC5240771AC1A98DF, "currenttarget" },
    { 0x64DB024D62C13AF5, "currenttargettag" },
    { 0x0E99CB994C4DB9A7, "currentteam" },
    { 0x50486A1FE4651A1F, "currentteamobjectivechain" },
    { 0x06A94265DEB6037D, "currentthrowobject" },
    { 0xD24B0C991F42DA16, "currenttier" },
    { 0xD26E2F991F696EC7, "currenttime" },
    { 0xA0E32C211D6B932F, "currenttime_bonus" },
    { 0x847959D9F7B81C35, "currenttimelimitdelay" },
    { 0xAF8A4F6BCFDCA243, "currenttrackindex" },
    { 0x75EA42B86C0F68E8, "currentturret" },
    { 0xCB04AABE0BF86E4F, "currentvalue" },
    { 0xA92347A319156F72, "currentvehicle" },
    { 0x9C66D74642FD10B5, "currentvehicleanimalias" },
    { 0x80C0E65359CABE5E, "currentvisionset" },
    { 0xAA0AD8DDA07A0D4B, "currentvol" },
    { 0xC564B7B8B75AD556, "currentwarningindex" },
    { 0xAB85F7E6F84CFB9E, "currentweapon" },
    { 0x5B2DD07DA099B01E, "currentweaponatspawn" },
    { 0xF227A5E386EDE2B3, "currentweaponpose" },
    { 0x34DDB99873C72F62, "currlocation" },
    { 0x87117DDD0A418E94, "curroutepoint" },
    { 0x70E8069BC4F0780C, "currtarget" },
    { 0x913F41050108C9BB, "cursor" },
    { 0x86B272059E5E4834, "cursor_highlight" },
    { 0xA36335F9C93FB22B, "cursor_hint_ent" },
    { 0x0DB64CBAC07DFB0A, "cursor_hint_thread" },
    { 0xC83919932D25B026, "cursor_hint_unusable_think" },
    { 0x6B4D0352441AB1B2, "cursor_hints" },
    { 0x513F952BA11EEE5D, "cursor_hints_game" },
    { 0xCE71BCEAAAC3E9FF, "cursor_hints_max" },
    { 0x48AEEF9AABE2B7B6, "cursor_pos" },
    { 0xA9302DF56C210757, "cursor_refresh" },
    { 0x73D70C13EFA7D39A, "cursorhint" },
    { 0xC05B0FBE8A486C61, "cursorhintdir" },
    { 0xBDC2979A579638C2, "curstate" },
    { 0xE92C196E9F5EAD43, "curstates" },
    { 0xD6AFA9A40870FD5F, "cursuspsensetrack" },
    { 0xA7848A471F84DD50, "curteam" },
    { 0x01776EB11F10148F, "custom_allowedweaponnames" },
    { 0xF4D17E15B63FD592, "custom_ammo_function" },
    { 0x3342C3E7CEA65275, "custom_animscript" },
    { 0x7163C555D2CDDB27, "custom_arrival_animmode" },
    { 0x2B948E27A172ADB7, "custom_attach_00" },
    { 0x2B948D27A172AB84, "custom_attach_01" },
    { 0x2B949027A172B21D, "custom_attach_02" },
    { 0x2B948F27A172AFEA, "custom_attach_03" },
    { 0x2B948A27A172A4EB, "custom_attach_04" },
    { 0x2B948927A172A2B8, "custom_attach_05" },
    { 0x2B948C27A172A951, "custom_attach_06" },
    { 0x2B948B27A172A71E, "custom_attach_07" },
    { 0x2B948627A1729C1F, "custom_attach_08" },
    { 0x2B948527A17299EC, "custom_attach_09" },
    { 0x2B900827A16D912E, "custom_attach_10" },
    { 0x2B900927A16D9361, "custom_attach_11" },
    { 0x2B900627A16D8CC8, "custom_attach_12" },
    { 0x2B900727A16D8EFB, "custom_attach_13" },
    { 0x2B900C27A16D99FA, "custom_attach_14" },
    { 0x2B900D27A16D9C2D, "custom_attach_15" },
    { 0x16A9BC01BE3A4FD6, "custom_battlechatter" },
    { 0x35FAB4C724888699, "custom_battlechatter_init_valid_phrases" },
    { 0xE21AEECEE5DFA39A, "custom_battlechatter_internal" },
    { 0x67E139749654BA6B, "custom_battlechatter_validate_phrase" },
    { 0x0F7BB4A534806166, "custom_cangive_weapon_func" },
    { 0x752C7BEB696044DC, "custom_collapse_oilfire_think" },
    { 0x7CACEA6F25483547, "custom_combat_jugg" },
    { 0x906AEE5D479E6E60, "custom_context_range" },
    { 0x9D153DFF0C4BCE4E, "custom_crawl_sound" },
    { 0x6D00CB7AABBD8D75, "custom_crawling_death_array" },
    { 0xDAE9B40DCA5B3243, "custom_damage_challenge_func" },
    { 0xB467951CA106FFC5, "custom_damage_handler" },
    { 0x69125EF54BDBFDD3, "custom_damageshield" },
    { 0x9EF590734024786D, "custom_damageshield_cooldown" },
    { 0x3D8349A8D62FC5E6, "custom_death_active" },
    { 0xAA2D53AF658CB44D, "custom_death_effect" },
    { 0x049106A2DF2B2912, "custom_death_func" },
    { 0x47A2CD744B784493, "custom_death_override_quote" },
    { 0x9D9D62250266C7C0, "custom_death_quote" },
    { 0xE5124B5A600B931F, "custom_death_script" },
    { 0xD1164B5947A0F8DB, "custom_death_sound" },
    { 0xEC71269C29C1A062, "custom_dof_trace" },
    { 0x06CE195E02E9D08B, "custom_eject_door_back_left" },
    { 0x037113D323893D97, "custom_eject_door_front_left" },
    { 0x33004B2814EBC46E, "custom_eject_fin" },
    { 0x7DD6FF4C398759F7, "custom_eject_hood" },
    { 0x734DDCC8DDEB540C, "custom_eject_rack_bar" },
    { 0x2A8ECBDD22FE1992, "custom_eject_siren" },
    { 0xA98F9FB0472F9AB5, "custom_eject_spoiler" },
    { 0x807A28C2E960DE09, "custom_eject_trunk" },
    { 0x763EB8C72F2CEBDC, "custom_ending" },
    { 0x65587C2BB7F9C2F1, "custom_epehermal_attachment_func" },
    { 0xD1FD117D525EF14A, "custom_epehermal_weapon_func" },
    { 0x0CE05A29F32DCA1D, "custom_ephermal_camo_func" },
    { 0xA1BE67C4D1D969CE, "custom_explode_mine" },
    { 0x5E7837EC8A2750F0, "custom_followpath_parameter_func" },
    { 0x9FB18320ED3A7C8E, "custom_fov" },
    { 0x867ACBF1F287E615, "custom_friendly_fire_message" },
    { 0x4F38635F9278203F, "custom_friendly_fire_shader" },
    { 0xD7F8A7C9B89AC1C2, "custom_giveloadout" },
    { 0xC8226CE52F4C4324, "custom_gl_proj_func_init" },
    { 0x5E948127CA4F6097, "custom_grenade_pullback_func" },
    { 0xCA44C4024AE96F7D, "custom_ground_vehicle_death_func" },
    { 0x30B810169DAFF648, "custom_hdromeo_check" },
    { 0xEA422802DBC056C8, "custom_helicopter_firendly_dmg_func" },
    { 0x01084A041C34AB94, "custom_hint_text" },
    { 0x3D10DC2DFC9FACAD, "custom_impact_nose" },
    { 0x55C24F5DFE2AAD8E, "custom_initializeweaponpickups" },
    { 0x6310817F33BF203E, "custom_intermission_func" },
    { 0xCDF545EC66BDA55F, "custom_laser_function" },
    { 0xD8094AD3D776AAF4, "custom_linkto_slide" },
    { 0x79D6767A98D0A2E6, "custom_loadout_index" },
    { 0x0724EEB4A04B4451, "custom_marine" },
    { 0xF078D02CB27BFE13, "custom_no_game_setupfunc" },
    { 0xB2C508E8DAB9313B, "custom_nvg_update_func" },
    { 0x35C57CF1A363C56E, "custom_oilfire_think" },
    { 0xC3120E1C939D8AFE, "custom_onplayerconnect_func" },
    { 0x95E183FC907F9183, "custom_onspawnplayer_func" },
    { 0x488073818C987201, "custom_player_hotjoin_func" },
    { 0xFDDA7E3DEE347F80, "custom_playerdamage_challenge_func" },
    { 0x78C824464F8DBA7B, "custom_proj_func" },
    { 0x546CDAEC149EE6C0, "custom_putongroundfunc" },
    { 0x4C0F272E3C511D90, "custom_search_dist" },
    { 0x7D7F5DD4DAFBF29E, "custom_shouldtakedamage" },
    { 0x5B5290B57A22F246, "custom_state_functions" },
    { 0x4D1FA70ED7C439DD, "custom_var_done" },
    { 0xC1317FAB05578124, "custom_vehicle_damage_function" },
    { 0x2FD89EB2513AD580, "custom_weaponnamestring_func" },
    { 0x6EE3C57B73F5EE8C, "custombc_alias2" },
    { 0xAF7D53A37C10137B, "custombcs_validphrases" },
    { 0x05BD78CB6DE1C9A0, "custombcshiftarray" },
    { 0x4FE0A77D37BC334C, "customchatevent" },
    { 0xC76E0452C6A57FA9, "customchatphrase" },
    { 0x75921B8B9C94609A, "customdata" },
    { 0xAF33FD620B99DE38, "customdeath" },
    { 0x6844095AA761C71C, "customfunc" },
    { 0xC93C4D4C1F5D4A45, "customground" },
    { 0x5968CE8D1827B55D, "customgroup" },
    { 0x9296868034FD8329, "customheight_mode" },
    { 0x457781B8A6CE32BF, "customheight_mode_off" },
    { 0xE1F046BFE4D3C2CB, "customheight_mode_offsetmodels" },
    { 0xFFD57E268A916B3D, "customhostmigrationend" },
    { 0xBC464AEAE45F06F7, "customidleanimset" },
    { 0xA38EAE2FBE43FB38, "customidlenode" },
    { 0x116EB0746F02B642, "customjuiced" },
    { 0x162896ABCD1DD530, "customlaststandactionset" },
    { 0xB7AED4D9E4105166, "custommoveanimset" },
    { 0x98F537DCE02071D3, "customnotetrackfx" },
    { 0xC67128E48F3BE133, "customnotetrackhandler" },
    { 0xE99A73392DA66D9D, "custompassengerwaitfunc" },
    { 0x1B5471274BAC5BF2, "customrotation_mode" },
    { 0x96838928E59F8DA4, "customrotation_mode_off" },
    { 0x44F064854F8A8CED, "customspeed" },
    { 0x71E48C8706FE967B, "customtargetpos" },
    { 0x272E8F7718CA5BF4, "customturret" },
    { 0x81B99800D5B2F89F, "customusefunc" },
    { 0x7FEF4FD7DD51D9B8, "customwaypointid" },
    { 0x878BB79DC89E0791, "customweaponname" },
    { 0xA4E88703B3854137, "cut" },
    { 0xDA2ABCAD4AD0D793, "cut_alt" },
    { 0x9FB137A8A34AECB1, "cut_alt_model" },
    { 0xE64FD7AC23667100, "cut_anim_short" },
    { 0x8E6129396651A389, "cut_interactions" },
    { 0x061AB11A257118C5, "cut_model" },
    { 0xF1487C6C8ADF0C57, "cut_objective_progress" },
    { 0x8891C960C9C67650, "cut_pa_on_flag" },
    { 0x8ECDB5F55EA0B34B, "cut_progress" },
    { 0x895B46E355ADF6CF, "cut_progress_objective" },
    { 0xEAFC91F5677ABF6C, "cut_progress_think" },
    { 0x187734D7D533F06D, "cut_short_if_player_enters_quickly" },
    { 0xB9F6E0E55F7A7F59, "cut_to_back" },
    { 0xA12E27DF21A5C3DE, "cut_vault_gate" },
    { 0x534009105272857C, "cutframe" },
    { 0x6D8FABD5D995017C, "cutoff_distance_current" },
    { 0xE61DF4BB02CB683C, "cutoff_distance_goal" },
    { 0xEACD8463AEB38CC3, "cutoff_falloff_current" },
    { 0x42D2D636E1E8777D, "cutoff_falloff_goal" },
    { 0x5340B166D66AED62, "cutout_door_main" },
    { 0xBC16C3C82CDBD4C0, "cutout_pilot" },
    { 0xB184C21F65B478AB, "cutout_pilot_long" },
    { 0x6052E9D8478DFBE2, "cutout_test" },
    { 0x264FC8E997F78EC1, "cutscenedone" },
    { 0x1A695A493077B773, "cutters" },
    { 0x88D0DF77E1803FDD, "cutters_stress_test" },
    { 0x4EBC5815FE880524, "cyber_bot_pickup_emp" },
    { 0x7A892F4C8A95E882, "cyber_loadouts" },
    { 0x7C6EC7E8ABDB88DA, "cyberattack" },
    { 0xD779B82924A9B5DC, "cyberemp" },
    { 0x620A0DDBFEA472D4, "cyberteamspawnsetids" },
    { 0x2C3A1895CDA54CC8, "cycle_bank_combat_cut_spawn_modules" },
    { 0xF9F94FB780BC7200, "cycle_damage_scalar" },
    { 0x7BD7D8251130C83A, "cycle_reward_scalar" },
    { 0x254F094AFF1850A9, "cycle_score_scalar" },
    { 0x03E828A78E59436B, "cycle_thrust_fx" },
    { 0xE240953A56AFE42A, "cyclevalidsquadspectate" },
    { 0xCC28992F26F30B8B, "cylinder" },
    { 0x6C08EB98E36E2F54, "cypher_current_string" },
    { 0x7BA7E0D6E851A29F, "cypher_iconid" },
    { 0xC1D68EAA0CCBF4E1, "cypher_id_pool" },
    { 0xE5666BEE1CE4ABC4, "cypher_signal_strength_nag" },
    { 0x2AD33D850EC8E84A, "cypher_vo_complete" },
    { 0x37E895F6E606D03E, "cypher_vo_hack_progress" },
    { 0x8C0EB39BA7519269, "cypher_vo_intro" },
    { 0x22331A68BCF797D9, "d1_health" },
    { 0x2FAC72D60C497A9E, "d2_health" },
    { 0x53E7A7C8A3D1C8C3, "d3_health" },
    { 0x7C2B8934979662F0, "d4_health" },
    { 0xEB5DC8786C2AED04, "dad_beckon_loop" },
    { 0x5982AAD9C98950A2, "dad_boost_mayhem" },
    { 0x82CEB56F10DDD6BC, "dad_dies_fight_hits" },
    { 0x2E0ADEF1D7ADC33D, "dad_dies_fight_hits_hadir" },
    { 0x0FB78CA81E061736, "dad_glance_loop" },
    { 0xE12EDCAC336FF088, "dad_go_to_house" },
    { 0x03D20DD0F71BC6E6, "dad_move_speed" },
    { 0x22034BDDC7B3D750, "dad_phone_blocker" },
    { 0x758C451A0FC9D4F8, "dad_procedural_bones" },
    { 0x562E9EE3D3A835C0, "dad_shot_by_boss_listener" },
    { 0x6817800257BD14B0, "dadchildangles" },
    { 0x0A51C8538AB357F1, "damagable" },
    { 0xCF24794C0804B49C, "damage" },
    { 0x3E2C861B5C0260A1, "damage_alien_over_time" },
    { 0xD970A615C72612F0, "damage_area" },
    { 0xC5C8768B6603CA23, "damage_armored_player" },
    { 0x6B375375DBA7E80C, "damage_auto_range" },
    { 0x1515D90F5DD91DA8, "damage_breakout_of_anim" },
    { 0x652F6D553DAC5F77, "damage_counter" },
    { 0x814D4D89F314B589, "damage_data" },
    { 0x9F97838A09C011C5, "damage_done" },
    { 0xBADDEAF41C0019EC, "damage_empty_vehicles_infrontofme" },
    { 0x5B8A04DFA9627E2C, "damage_enemies_in_trigger" },
    { 0xF99DEB63BD7DDEBC, "damage_feedback_setup" },
    { 0x7A2294794A480C4A, "damage_feedback_watch" },
    { 0x134E1E4A30998FAB, "damage_from_above" },
    { 0xE81723BBE48910A3, "damage_func" },
    { 0x5A67B14D5B78F24A, "damage_functions" },
    { 0xFB39DAEE03F4A79F, "damage_handler" },
    { 0xA501B8427C9D0558, "damage_hint_bullet_only" },
    { 0xF72ED3EF877E452D, "damage_hints" },
    { 0x2CE6916C6EC45166, "damage_hints_cleanup" },
    { 0x2365EB07A8A2B253, "damage_hostages" },
    { 0x538A343F56BA1E8A, "damage_infront_of_train" },
    { 0xE3BA965D2560F347, "damage_init" },
    { 0x05D641A9D4E385F1, "damage_is_explosive" },
    { 0x45514750CE00C1E6, "damage_is_fire" },
    { 0x9DD597C4E55B51CD, "damage_is_valid_for_friendlyfire_warning" },
    { 0xEC2FDE22E0B318ED, "damage_monitor" },
    { 0x979C9204934EB6BA, "damage_multiplier" },
    { 0x7B764E60149AEA5A, "damage_nearby_dynolights" },
    { 0x3C8FC78E61954A1D, "damage_nearby_map_vehicles" },
    { 0x62D91901F35AF323, "damage_nearby_players" },
    { 0xB444C1A593970736, "damage_nearby_vehicles" },
    { 0x83C74696BC257436, "damage_notdone" },
    { 0x521109FD24419B1B, "damage_on_elbow_strike" },
    { 0x2F7C7C8FD2555E92, "damage_on_gun_shot" },
    { 0xEEF8913F0575BB52, "damage_on_marked_enemies" },
    { 0xB490D5EA8EEF3AFB, "damage_on_rooftop_enter" },
    { 0x241974CBCD65421D, "damage_over_time" },
    { 0x16150A93B7ABE9BF, "damage_parts_enabled" },
    { 0xBCCCC6868D68B8AD, "damage_per_second" },
    { 0xAF6D815280411063, "damage_players_on_blades" },
    { 0x100639F9A37C9DCB, "damage_players_on_bottom" },
    { 0x34426C1180B0BA73, "damage_players_on_top" },
    { 0xA52EB3CCA6A823D4, "damage_players_when_enter_trigger" },
    { 0xC00F7A66A7F8C36E, "damage_shield_reduction" },
    { 0x4755718464B1CB58, "damage_should_ignore_blast_shield" },
    { 0x9317FFFF53252724, "damage_sight_range" },
    { 0x596CB501C7C0633D, "damage_stage_final_watcher" },
    { 0xAAD0E75B56A0DB1A, "damage_state" },
    { 0x5E2F0391EE09B80C, "damage_taken" },
    { 0xA4B4FF691F7A0FB7, "damage_think" },
    { 0x540DCC1B7A13F3A3, "damage_watcher" },
    { 0x94345D39736E3A6F, "damage_watcher_for_c130" },
    { 0x67D795DEF1FDFF81, "damageapplied" },
    { 0x2E1D251CD4E0E66D, "damagearea" },
    { 0xD6F46D67D58D7E9B, "damagearmor" },
    { 0x5FBEB968F5DF0111, "damagearray" },
    { 0xED0B4D70B6FB3B2F, "damageattacker" },
    { 0x4EF24B4581F2CCEE, "damageblockedtotal" },
    { 0x775E7A7A26FFC3AC, "damagebloodoverlay" },
    { 0xC9065F264A9FBEC8, "damagebloodoverlaydirectional" },
    { 0x80D2B4635C6DAFA5, "damagebloodoverlayfullscreen" },
    { 0x438298F40C05F139, "damageby" },
    { 0x785AB1F542C90417, "damagecallback" },
    { 0x7879C261E014A7EC, "damagecallbacks" },
    { 0xD3BC3D99149C9495, "damagecenter" },
    { 0xB2AF23650AFE296C, "damageclonewatch" },
    { 0xAB0543A15D0F6594, "damageconetrace" },
    { 0x91EBBA35A259FD68, "damaged" },
    { 0x9CCF7031E5D957EC, "damaged_by_player" },
    { 0xB58B5CBC7CFBB2AD, "damaged_by_players" },
    { 0x516A79E0AECB5E0C, "damagedamagepart" },
    { 0xB51E3DA753AB2384, "damagedata" },
    { 0x655F3DCBF0CE896A, "damagedatalookup" },
    { 0x2439B6B62E16DCE5, "damagedby" },
    { 0x2412A5B62DEC79F3, "damagedir" },
    { 0x05BDF26341F2C40B, "damagedisabledfeedback" },
    { 0xB638A5CDFC146FBD, "damagedplayer" },
    { 0xD304720160F1E20A, "damagedplayers" },
    { 0xA6045225C418FEFB, "damagedsubpart" },
    { 0x39BB7D79925FABE2, "damageeffects" },
    { 0xDC9AF796F8E24A68, "damageendtime" },
    { 0x35E5E4B63C34A041, "damageent" },
    { 0x4DBE5B3024711F8B, "damageeventcount" },
    { 0xD44FA62AF3B2B8C5, "damageevents" },
    { 0x4F15EF0FA4088857, "damagefactor" },
    { 0x55BA4D0999A7FEBB, "damagefactorhigh" },
    { 0x4567A9D176838107, "damagefactorlow" },
    { 0xFFE8E541FA924378, "damagefactormedium" },
    { 0x559F45D068A8EFD3, "damagefeedback" },
    { 0x82B426660088B359, "damagefeedback_took_damage" },
    { 0x29D1B05C2FBE8039, "damagefeedbackgroupheavy" },
    { 0x426A0887D1D3C58E, "damagefeedbackgrouplight" },
    { 0xB2EC93B6231B9E17, "damagefeedbacknosound" },
    { 0xF980EDD8702816B0, "damagefire" },
    { 0xB0AA02D83AA78246, "damageflag" },
    { 0x2D667688FE635A8F, "damageflags" },
    { 0x21D4F7F4218F53F5, "damagefunctions" },
    { 0x13BB63AD89CDAB59, "damagehelmet" },
    { 0xDA290A63319E7D60, "damageinfo" },
    { 0x54DF9E3D0566579D, "damageinfocolorindex" },
    { 0xD8C827EAF3E91610, "damageinfovictim" },
    { 0x045BB4B19E31F243, "damageinvulnerability" },
    { 0x19861080F4A2C400, "damagelistindex" },
    { 0x1724E0390DABA95B, "damagelocation" },
    { 0x0ABA20BBE7DED6FF, "damagelocationisany" },
    { 0xC21476B5E76641A0, "damagemod" },
    { 0xFA61F78F8F8317AD, "damagemodifier" },
    { 0xCB792354E5326F52, "damagemonitor" },
    { 0x07E24CF76DC267D4, "damagemonitorfunc" },
    { 0x57A6CD8F6D3C3603, "damagemultiplier" },
    { 0x027028E83A99E702, "damagemultiplierarmor" },
    { 0xBCA3D55165F2089A, "damagemultiplierexplosive" },
    { 0xE46586793C361D95, "damagemultiplierhealth" },
    { 0x92B6BF9BD942EEA6, "damageorigin" },
    { 0xCFEC6693A756F94B, "damageowner" },
    { 0x0655E64228F72834, "damagepainvision" },
    { 0xA73BC43566ABDDDE, "damageparts" },
    { 0x85525AA64D04982E, "damagepartshandler" },
    { 0xDDC6C118FF953DE7, "damagepartshandlerpart" },
    { 0x526A5764CC6DF8F9, "damagepartshandlersubpart" },
    { 0x03CD9FA87DEF39C5, "damagepercent" },
    { 0x16E692F9DEA8A85D, "damagepercenthigh" },
    { 0x21334EE7BB5CE981, "damagepercentlow" },
    { 0x8E026DC119E132D6, "damagepercentmedium" },
    { 0x18AF3EBD7A1260B2, "damagepoint" },
    { 0x797EB8B5B22C76C6, "damagepos" },
    { 0x7EFB9DBC07A5C6B8, "damageradialdistortion" },
    { 0x9571CB19BE2EA6A2, "damageradius" },
    { 0xCF15A18B70AB72D7, "damageratio" },
    { 0x831D3574F6F5B6C1, "damagerumble" },
    { 0xAD107A5829B49DD2, "damagerumblequake" },
    { 0x4CA6EAE020FBCCEE, "damagescreenshake" },
    { 0xA4DF3AB5D1EB531B, "damagesfx" },
    { 0x44E29912BD863516, "damageshakebulletnum" },
    { 0x3B1AD12AF3B9A3CF, "damageshakeexplosivenum" },
    { 0xEB5D1226C8EF057C, "damageshellshockandrumble" },
    { 0xF5BE6DFA402D48ED, "damageshield" },
    { 0xDB55E897290CB83F, "damageshield_cooldown" },
    { 0x81937DEF983A9731, "damageshield_threshold" },
    { 0xEE39F933ED10E36F, "damageshield_time" },
    { 0x4ED0F613EB353EDB, "damageshieldcounter" },
    { 0x8EBDBA420329A8CB, "damageshieldexpiretime" },
    { 0x502A329EE8B9F21D, "damageshieldpain" },
    { 0x3CD973B355DDE8B6, "damageshock" },
    { 0xDE0E879F35CFE4B2, "damageskipburndown" },
    { 0x2BDD1EC90931EACA, "damageskipburndownhigh" },
    { 0xE4F4C2363033D048, "damageskipburndownlow" },
    { 0x8F8D81177D4C6121, "damageskipburndownmedium" },
    { 0xD7AF76988C50EE61, "damagestate" },
    { 0x0B27293EADF98111, "damagestatedata" },
    { 0xC6C47B42A16C23C6, "damagestateref" },
    { 0x957293DCCE79F682, "damagesubpartlocationisany" },
    { 0xA2CA70925C0224F3, "damagetaken" },
    { 0xB1498995F06D0D20, "damagethisround" },
    { 0xC3F1063609CD7C11, "damagetick" },
    { 0xE116FC5990361ED0, "damagetracker" },
    { 0xFDA590DA433A74CB, "damagetrapfuncthink" },
    { 0x432588F40B9ED866, "damageui" },
    { 0xB9682AE2BFC4B02F, "damagewatch" },
    { 0x9078F3B1E30636A4, "damagewatcher" },
    { 0x724E11F70A80F620, "damageweapon" },
    { 0xA211D6BE71115030, "damageweaponnames" },
    { 0x13CAADB56791FE37, "damageyaw" },
    { 0xC649DAA3E93A15E5, "damgeignoreents" },
    { 0xDAC2EB26E9623188, "dance_floor_volume" },
    { 0x5CC6D9FB35B67D1F, "dangercircleent" },
    { 0x47EE5CEFAB4CC9D3, "dangercircleenthidefromplayers" },
    { 0x1EA95DD62315EC07, "dangercircletick" },
    { 0x21268291A22ED5DB, "dangercircletick_carriable" },
    { 0x3E2555F42B97BD14, "dangercircleui" },
    { 0x4F09EEF5ACE8E584, "dangericonent" },
    { 0x5A3101576A371B76, "dangernotifyplayer" },
    { 0x7D5CF4D3262C69A9, "dangernotifyplayersinrange" },
    { 0x44DEEC9136910C48, "dangernotifyresetforplayer" },
    { 0xFDE67FAD9A598A0D, "dangerreactduration" },
    { 0xFE916BADB32060B4, "dangerzone" },
    { 0xDA10C8FF18DC9387, "dangerzoneheight" },
    { 0x6E10A910449D0BB9, "dangerzoneid" },
    { 0xABAF98C6E560ED3E, "dangerzoneids" },
    { 0xD94A60C0DCEF3BCA, "dangerzoneradius" },
    { 0xFA309600F034D5A5, "dangerzones" },
    { 0x58535FFF589B2CB5, "dangerzoneskipequipment" },
    { 0x66125EDC1F0A2266, "darine" },
    { 0xE495D628544956E4, "dark_visionset_turbine_room" },
    { 0xB8BCEF72B20C5461, "data" },
    { 0x3D86B849150DCE2E, "data_center_sfx_loop" },
    { 0x471BB0DAFDD10D97, "data_pickup_logic" },
    { 0xD5403799BA9CA076, "data_pickup_logic_new" },
    { 0xBFDCF91BF3375C55, "data_room_2f_enemy_vo" },
    { 0x9187E4FBB58B7998, "data_room_nag" },
    { 0xCCAE90786D9A6D3D, "databyref" },
    { 0xB4DC209D466251B1, "dataciv" },
    { 0x5F09445E6621BA5F, "dataciv_death_watcher" },
    { 0x2D186E79ECF659D7, "dataenemies" },
    { 0x28BB599D9B408348, "datakey" },
    { 0x67AF1DB3A202B96F, "datalog_archivesaved" },
    { 0xA21F8F824D1BAE94, "datalog_getlogversion" },
    { 0xB314770C0497DB40, "datalog_isloggingenabled" },
    { 0x1541BC07089FA578, "datalog_newevent" },
    { 0x13907587C0BF5B08, "datalog_scenefinalized" },
    { 0xF72E3E1532203750, "datalogprint" },
    { 0x0ABC9F9815052E6A, "datapoints" },
    { 0xE4FF72694E8C4ECC, "datawritten" },
    { 0xB8BCF372B20C5D2D, "date" },
    { 0x2E258F20238534F9, "db_2_enemy" },
    { 0xB8D661B2432088A4, "dbgmoloburnlooponly" },
    { 0x222A481E66B2388F, "dbgmolodiedownonly" },
    { 0xDA3819C2830B0F01, "dbgmolodrawhits" },
    { 0x3B92EB698FE6D9F8, "dbgmoloflareuponly" },
    { 0xCE253178F5783251, "dd" },
    { 0xEC9C6636469503FD, "dd_endgame" },
    { 0xA56ACB49993564B2, "ddbombmodel" },
    { 0x8E2C637293338087, "ddlz" },
    { 0xFA35A03A6E0DB078, "ddtimetoadd" },
    { 0x62D622C163A4AB4F, "deactivate" },
    { 0x64B30231847E0A0D, "deactivate_battle_station" },
    { 0x2BBBC0B9F87E77E0, "deactivate_bomb_interactions" },
    { 0x941DA9EAF00BECF8, "deactivate_cloak" },
    { 0x97C8DFC35358709D, "deactivate_cluster_strike" },
    { 0x1781D82A7336E7BB, "deactivate_enemy_turret" },
    { 0xFFD81D54EF5F29D4, "deactivate_front_trigger_hurt" },
    { 0x9954BBDA074DEE05, "deactivate_gas_trap" },
    { 0x43457E48FAEB8C8B, "deactivate_gas_trap_cloud" },
    { 0x664F47036A8C5074, "deactivate_gas_trap_cloud_parent" },
    { 0xD7E87EEED5DF9BE3, "deactivate_gas_trap_puddles" },
    { 0xD6FF5D3B55B1FC16, "deactivate_gas_trap_trigger" },
    { 0x1E5A7B7F6F4D0102, "deactivate_hacked_console" },
    { 0xC03F85AD94F5AA37, "deactivate_infinite_ammo" },
    { 0xD13DEE43608314DF, "deactivate_instant_revive" },
    { 0x0C8AA0A9CE2F96C5, "deactivate_inv_cooldown" },
    { 0xC3305394B177AE1F, "deactivate_invulnerability" },
    { 0xCCB9E38889603CBC, "deactivate_laser_from_struct" },
    { 0x2019FE37663D951F, "deactivate_laser_trap" },
    { 0xD423341B51FEDC80, "deactivate_laser_trap_parent" },
    { 0x58E61B395357AB8C, "deactivate_linked_ied_spawners" },
    { 0xDB3E19ADFEB9ADDE, "deactivate_mark_enemies" },
    { 0xBED91D160E836BEB, "deactivate_minigun" },
    { 0x3B8AE3DAFC07DDC0, "deactivate_scavenger" },
    { 0xBF8CEC7FEF0B82BC, "deactivate_station" },
    { 0x0F353ED86D0D3D0F, "deactivate_stealth_kill_check" },
    { 0xB4435415729F207D, "deactivate_stealth_settings" },
    { 0xDDC2D9CA367785D9, "deactivate_target" },
    { 0x539A22540D1F03D7, "deactivate_team_armor_buff" },
    { 0x0CBA99B6DD826A7E, "deactivate_track_timers" },
    { 0x0910BC12DE54A4C3, "deactivate_trap_object" },
    { 0xB19A86AB50C8CA24, "deactivate_uav" },
    { 0x201B5D5FFD79BBF4, "deactivateagent" },
    { 0xE8B947FE5DD50322, "deactivateagentdelayed" },
    { 0x7446649F7EB9C0DF, "deactivateallocclusion" },
    { 0xAF3ABA1288CB3D7C, "deactivateallspawnsets" },
    { 0xA22F6D750504A1E2, "deactivatebrushmodel" },
    { 0xC3008E74416D7CF8, "deactivatecallback" },
    { 0x482211023C5819B6, "deactivatecrate" },
    { 0x88914513687EC0CF, "deactivatecratephysics" },
    { 0xCF7C0A9C5FBA41EA, "deactivateendzone" },
    { 0xA93955D7491C1E5D, "deactivateeq" },
    { 0xB8C8B68115896A8B, "deactivategastrap" },
    { 0x13E9D48A23291CF3, "deactivatejuggernaut" },
    { 0x17E0A941A0DEB130, "deactivateocclusion" },
    { 0x02807987B780F8E0, "deactivatepower" },
    { 0x5346F2C3A81F7A1F, "deactivatereverb" },
    { 0xE3469FAAAB3AFBCA, "deactivatespawnset" },
    { 0x523A870F538A561D, "deactivatezone" },
    { 0x3A1473DFF3ABCE4B, "deactive_trophy_protection" },
    { 0x81AC2C728AC59F2B, "dead" },
    { 0x2B0767A4CA4C4C5D, "dead_body_create" },
    { 0x2680FD6FE1A9AC28, "dead_body_search_patrol" },
    { 0x071B93B62A3311E8, "dead_boss_blocker" },
    { 0xFC6FC0EE68C58EE4, "dead_boss_blocker_use" },
    { 0xB96E3C057442C7F8, "dead_charred_bodies" },
    { 0xF3518DB6D8CADD40, "dead_dad_blocker" },
    { 0xC93CA80A60427C81, "dead_dad_blocker_hadir" },
    { 0x8ABF56EB3C44C102, "dead_from_smoke" },
    { 0x78D902C892F4A1AD, "dead_target_count" },
    { 0x43217F46574EC18F, "deadblue" },
    { 0x7055D1B0AFF51789, "deaddriver" },
    { 0x2230E30C35E6284D, "deadeye_charge" },
    { 0x6EA63370B592988B, "deadeyekillcount" },
    { 0x8445BB8AC47CF060, "deadgray" },
    { 0x9DC7242E4AE6B1AA, "deadgreen" },
    { 0x53D671DA50A9F491, "deadmans_cash_pickup" },
    { 0xA2BAC6E8DBEED93B, "deadpair" },
    { 0x961CE04E5DA0B852, "deadquote_recently_used" },
    { 0x9AEF9A202908F6BA, "deadred" },
    { 0x9D25BC12FD6C08EE, "deadsilencebeginuse" },
    { 0x446AB62E7A41E486, "deadsilenceenduse" },
    { 0x12E3E88042A6587F, "deadsilencekills" },
    { 0x0E3544B4DA422929, "deadsilenceuistate" },
    { 0x47B9D1F83A55115F, "deadyellow" },
    { 0x0E796CC49EA7E295, "deafen_ai" },
    { 0x0BFC6DEB47D325AB, "deafen_ai_near_pa_for_duration" },
    { 0xDCF834BCDD0825A8, "deal_damage_after_time" },
    { 0x2163457624A8E25C, "deal_damage_to_enemies" },
    { 0x91DD431E95E5BD0B, "deal_damage_to_zombies_entering_the_link" },
    { 0xDF1D860B0DA8B437, "dealaoedamage" },
    { 0xF38B22E730EA1629, "death" },
    { 0x1A33513C178DE600, "death_01_snd_handle" },
    { 0xBBCCF149731BB207, "death_02_snd_handle" },
    { 0xEECB132F957E18AA, "death_03_snd_handle" },
    { 0x1A74A4F9CE5508C0, "death_alert_timeout" },
    { 0x8B2CC1C69DD21287, "death_anim_no_ragdoll" },
    { 0x90F56E103CEFCCEC, "death_badplace" },
    { 0xAA3F84FB6C879C3A, "death_cleanup" },
    { 0xBD490ECF0C1EC869, "death_count" },
    { 0x9B75F177F7EB249C, "death_delayed_ragdoll" },
    { 0x07CEDEA43F5CF6D7, "death_earthquake" },
    { 0x5BCBC0F4147A2517, "death_explode" },
    { 0x0D42877F229BC39B, "death_face" },
    { 0xB2FFE33C440209D7, "death_fight1" },
    { 0xB2FFE43C44020C0A, "death_fight2" },
    { 0xE2844FD06174AE65, "death_firesound" },
    { 0x5355EFFE79F327FC, "death_fx" },
    { 0xE6F2088229520ADB, "death_fx_on_self" },
    { 0x5120D9C7EEC81978, "death_hint_think" },
    { 0xCF48AB1A5A873E0F, "death_hint_watcher_marines_civ_ambush_death" },
    { 0x683C2790B4E66555, "death_hint_watcher_marines_machinegun_death" },
    { 0x676B4205A4900CC8, "death_hint_watcher_marines_mg_death" },
    { 0x8C602DC0049A84B6, "death_hint_watcher_marines_tripwire_death" },
    { 0xB365803B9729CAD5, "death_icon_budget_delete" },
    { 0x059AC7226A089CD6, "death_icon_enemy_budget_delete" },
    { 0xBDAFCB107B467455, "death_impulse" },
    { 0x3B7A36F7FEB7213D, "death_info_func" },
    { 0x5F2902E1EE4BC45D, "death_jolt" },
    { 0xC28FA0A66CBA32B3, "death_killstreak_watcher" },
    { 0xC6CF5D678EE44EC4, "death_monitor" },
    { 0xF3F0A0C2BF938CBD, "death_no_ragdoll" },
    { 0xF649680326409824, "death_origin" },
    { 0xC0B801A12EB9E3A1, "death_radiusdamage" },
    { 0x84C3F50971560E18, "death_safety" },
    { 0x05F736FE500FCF1E, "death_scene_3f" },
    { 0x9A5FF1BA98A203F5, "death_scene_enemy" },
    { 0x96039DFC5600809E, "death_stance" },
    { 0xE5B848CA04C57B3E, "death_think" },
    { 0x132E7A4975152696, "death_thread" },
    { 0x5572C4F23393CD58, "death_timer_length" },
    { 0x539CFEFE7A420B69, "death_vo" },
    { 0xF99DDB62B2C1437A, "death_vo_cleanup" },
    { 0xD623F4CBFF1321FB, "deathalias" },
    { 0x99BEC16CAAB7DEB4, "deathanim" },
    { 0x490EFE029F613356, "deathanimations" },
    { 0x711159CD0069EC5C, "deathanimduration" },
    { 0xD66232FB725F05A3, "deathanime" },
    { 0xFB7E6CE7DC9FE5B7, "deathanimmode" },
    { 0x6299EC3E82FC29AF, "deathanimscript" },
    { 0x46701EB18FE8DC63, "deathbysuffocation" },
    { 0x33EEB966DB209ABA, "deathcallback" },
    { 0x569C8633E8B4680B, "deathcallbacks" },
    { 0xDF6EA5022F4EB5A9, "deathcashcollected" },
    { 0xAB93B8F499BD4F72, "deathchain_goalvolume" },
    { 0x517868CBD5C81D7F, "deathcleanup" },
    { 0xC05788777F712E72, "deathdamagemax" },
    { 0xC03472777F4AB658, "deathdamagemin" },
    { 0xE912E34D842323FA, "deathdamageradius" },
    { 0x195239EC2E743F80, "deathdelaycleanup" },
    { 0x7DC69C12A9318E73, "deathflag" },
    { 0xCD573D0A17FB4A00, "deathflags" },
    { 0xFA122712483BCC93, "deathfunc" },
    { 0x43A696862F50450D, "deathfunction" },
    { 0x17A2871A0D88D41A, "deathfunctions" },
    { 0x7A321F92DD5FAE3F, "deathfx" },
    { 0x1BE97DFCD96BC8CA, "deathfx1" },
    { 0x1BE97CFCD96BC697, "deathfx2" },
    { 0xDB0C300B488A77D5, "deathfx_ent" },
    { 0x3B299266F343960B, "deathfxfire" },
    { 0xBF29F92AC1E0E5A5, "deathfxoverlay" },
    { 0xB27BFDD95709695D, "deathhints" },
    { 0x8176BEB1BAF0FA64, "deathicon" },
    { 0x2DA7AC1C0996D9DF, "deathinvulnerabletime" },
    { 0xF3CA9B9B83F56597, "deathisanimexempt" },
    { 0xB98DEED558FD2735, "deathlmgcleanup" },
    { 0x877BA844D08E501E, "deathmodel" },
    { 0xD0834647CE604D9D, "deathmonitor" },
    { 0x2916E10865AC68B5, "deathnoise" },
    { 0xB2B0ACBFE13FAFD4, "deathnotetrackhandler" },
    { 0x7C99B77CDE88588A, "deathoverridecallback" },
    { 0x87B0B335752A6966, "deathplant" },
    { 0xC5BAE7DC2528995E, "deathposition" },
    { 0x24849AC321B51E64, "deathreset" },
    { 0xCF006A0722F639EB, "deathretainstreaks" },
    { 0xD2802342415AD517, "deathrolloff" },
    { 0x66A4647CB516D453, "deathrollon" },
    { 0x85141C7092CF27EE, "deaths" },
    { 0xEA2AD3E5A04DD8C3, "deaths_door" },
    { 0x012340E346CF3AA6, "deathscenetimems" },
    { 0xE10742D5244C7687, "deathscenetimesec" },
    { 0x2D8A5795F5E27D26, "deathscript" },
    { 0x72B563F1F7374762, "deathsdoor" },
    { 0x79232D209656F63C, "deathsdoor_enabled" },
    { 0x79A2F88A6AD6CE62, "deathsdoor_sfx" },
    { 0x5AA145120CEF547E, "deathsdoorduration" },
    { 0xBD3B606DC768E603, "deathsdooroverlaypulse" },
    { 0x1BE68371BDCB86E9, "deathsdooroverlaypulsefinal" },
    { 0x74FA63F9DC54E41A, "deathsdooroverride" },
    { 0x10C4651A064B6579, "deathsdoorpulsenorm" },
    { 0x17C9D1C0913800E5, "deathsdoorsfx" },
    { 0x9CBA31150EFA8B8C, "deathshield" },
    { 0xED5839C630C452EA, "deathshieldfunc" },
    { 0xC74AAA380F78E433, "deathshieldinvulnerability" },
    { 0xC881E724C0C681D0, "deathsound" },
    { 0x67C8369EF11C2DC5, "deathsoundent" },
    { 0x675FB458409A17D9, "deathspawnerents" },
    { 0xBC935BF20B12EBA5, "deathspawnerpreview" },
    { 0xF70097E74AB7FEA2, "deathspectateangles" },
    { 0xEB12C86D2590AAA4, "deathspectatepos" },
    { 0x3FD4826E2688A76A, "deathstate" },
    { 0x4D647AD2194F6D02, "deathstateoverride" },
    { 0x0746A96D62BD9A84, "deathstring" },
    { 0x2ECB0DE6A770FB85, "deathstring_passed" },
    { 0x0757DA756DABC1BA, "deathswitch_loopblinkinglight" },
    { 0xFEDD38A443809049, "deathswitch_payloadrelease" },
    { 0x1691353ACB7AABB6, "deathswitch_payloadreleaseondeath" },
    { 0x5FCB5F9DC6164C21, "deathswitch_payloadreleasetype" },
    { 0xB42AA4572BAEAD5E, "deathswitch_releaseartilleryexplosion" },
    { 0x232A62EAC2834FE9, "deathswitch_releaselocalexplosion" },
    { 0x4A7E5CD6BE46A474, "deathswitch_startpayloadreleasesequence" },
    { 0x6C31FEF279C739E5, "deathswitch_watchbleedout" },
    { 0x560F2FF9E694CA4A, "deathswitchent" },
    { 0xD7019A5D97BB7A00, "deathtime" },
    { 0xC23D5E5E454EA601, "deathtype" },
    { 0x023F3AFD819B7F0B, "deathvfx" },
    { 0x2768D3444B77622A, "deavtivate_destructible_cinderblock" },
    { 0x5F40C225E4C2899E, "debounce" },
    { 0x3DF4F35617D570CE, "debounced" },
    { 0xBD80F823DA1F32EF, "debris_logic" },
    { 0x61298B0794DE3043, "debuffedbyplayers" },
    { 0xC894A0E711A043FC, "debug" },
    { 0xC77BE7A2E806EE28, "debug_activity" },
    { 0xC55A1042A56DFCB6, "debug_ai_aggro" },
    { 0x6F30934FB6BD11E9, "debug_animsoundtag" },
    { 0x1EE58C1077C5B868, "debug_animsoundtagselected" },
    { 0x64C0F67887C07849, "debug_assignroles" },
    { 0xD203809717FD9548, "debug_attack_heli_test_start" },
    { 0x6042F41663CA85F4, "debug_beat_func" },
    { 0x3A4654FA53962C1B, "debug_blockade_phone_drop" },
    { 0x3D8D7C4EFBFA350E, "debug_boxes" },
    { 0xB8932A87F7794862, "debug_boxes_count" },
    { 0xA1C02923346D5F23, "debug_boxes_max_count" },
    { 0x67CDEAE0982A6260, "debug_breakout" },
    { 0xB54B2B72E4E2F1ED, "debug_bunkerpuzzledebugdraw" },
    { 0xE18C069A917CEEFF, "debug_bunkertestaccesscardlocs" },
    { 0x5124CF0CFC4DFA89, "debug_button_combos" },
    { 0x909056FA17D966B2, "debug_calculatecashonground" },
    { 0x3D62D6536CD6C78A, "debug_cars" },
    { 0x6B73E2667F22B89D, "debug_change_vo_prefix_watcher" },
    { 0x45E68B1CB1ACF3B0, "debug_character_count" },
    { 0xE548F8CBAB7618B6, "debug_checkin_weapons" },
    { 0xA698BC0EC3D13520, "debug_chopper_boss" },
    { 0x34871D1198053B09, "debug_chopper_boss_combat" },
    { 0xF3BD0486D82A5F5A, "debug_color_friendlies" },
    { 0x49BB6A5429BC9233, "debug_color_huds" },
    { 0x76E8B2E8FA75EAF1, "debug_colornodes" },
    { 0x3DB0C0AB2993A8C7, "debug_consoles" },
    { 0xFB144069E6F2CC9C, "debug_corner" },
    { 0xCF8F27FA4C8F3453, "debug_cursor" },
    { 0x0282F857DB27482B, "debug_cutters" },
    { 0x24B34096DD624929, "debug_data" },
    { 0x02CAA31E02B2C9DB, "debug_display_rule_of_thirds" },
    { 0x8CD7D96735A66A1E, "debug_display_track_tilts" },
    { 0x0DCDC7980332A54B, "debug_display_veh_hit" },
    { 0xFE88A9977D23DE47, "debug_draw" },
    { 0xCFBABC13A2F94C98, "debug_draw_slope_angles" },
    { 0x5FA8A5D60DD59162, "debug_draw_until_newpath" },
    { 0x24C2BFC963F798DF, "debug_droploadoutcrateonplayer" },
    { 0x0361F38227366112, "debug_enabled" },
    { 0xD138B2EC2A9E16F7, "debug_enemypos" },
    { 0x6C01CB26A7B320F7, "debug_enemyposproc" },
    { 0xE9D0D02D737A9EE0, "debug_enemyposreplay" },
    { 0x10DA0A67FAE8228A, "debug_escape_silo" },
    { 0x358639C2EAC8398D, "debug_fail_player_prone_dirt_fx" },
    { 0x7C91050381A5AFAC, "debug_find_hvi" },
    { 0xC51FF60AF413D0F5, "debug_forest_combat" },
    { 0x875378A93CFA28EC, "debug_freight_lift" },
    { 0x595066383DCA9E0E, "debug_friendlyfire" },
    { 0xA5CE3A9FA07E8CD7, "debug_fxlighting" },
    { 0x242D6F0B78022B0D, "debug_fxlighting_buttons" },
    { 0x5685DA89CAB0C657, "debug_gates" },
    { 0x6113C5F4C7A4317F, "debug_give_class" },
    { 0x62AC6D5E5A65FD7B, "debug_give_faction" },
    { 0x1D5DD599B5BFA214, "debug_give_super" },
    { 0xEDE47FAA635373C5, "debug_go_to_the_prison" },
    { 0xF7054164F520EDAD, "debug_gray_card" },
    { 0xE191F9639E998D23, "debug_gray_card_mp" },
    { 0x0FE5C31BE02318A2, "debug_graycard_buttons" },
    { 0x09E9B850C152B1E4, "debug_hiding_spots" },
    { 0xD3256D06E03E2FE1, "debug_hintadjustmentthink" },
    { 0x7EB2DE8C9D36B9F5, "debug_hudelem" },
    { 0xC6624D21CB9E489E, "debug_interaction_point" },
    { 0xDC76634CCD30BE2A, "debug_interaction_status" },
    { 0x8CC71DECE86C1414, "debug_interaction_toggle" },
    { 0x46D4A5CF154043FE, "debug_intro_start" },
    { 0xE330BB5B4EF33CC9, "debug_jugg_health" },
    { 0xDBC15A2D1D1353B8, "debug_jugg_maze" },
    { 0xB6BEAAE6C347DCCA, "debug_kill_ent_after_time" },
    { 0x219149FE53323158, "debug_kill_soldier" },
    { 0xB43DC36EE8BE7D7B, "debug_kill_soldier_after_anim" },
    { 0xAC89FFDA988F4D8C, "debug_kill_tromeo" },
    { 0xDDBFF0D7C38DEDAF, "debug_last_triggered" },
    { 0xEECD87DE0A4FB783, "debug_line" },
    { 0xFC79F9BD47EBACD5, "debug_listing_helis" },
    { 0xBE399F82C37F7A44, "debug_logarchiveresult" },
    { 0xD8F5C9D9D81C0EFF, "debug_loop_explosion" },
    { 0xB36470033EE44A86, "debug_loopbuddyboostanims" },
    { 0xF80C77060AC8A7C2, "debug_m1_p1_obj_start" },
    { 0xB92A94D0274BF8C4, "debug_m1_p3_obj_start" },
    { 0x88719BC6D38EFB2E, "debug_meet_with_informant" },
    { 0x57230B89C1807870, "debug_message" },
    { 0x82BC615E259639BA, "debug_message_clear" },
    { 0x101AB9B136EC09F1, "debug_message_players" },
    { 0x3A831DDD9845F8E3, "debug_mine_caves" },
    { 0x9370E147DB37FB7D, "debug_ml_p2_interrogate_start" },
    { 0xE0244148D7366A7B, "debug_node_array" },
    { 0xFB66880EFEBA66FC, "debug_nuke" },
    { 0xC7334B981F81A39B, "debug_nuke_vault" },
    { 0xC842B14D60AD2847, "debug_oil_fire_snake" },
    { 0x7B5B1FD7D0483F19, "debug_outline" },
    { 0x7C99118FD023659E, "debug_pass_player_prone_dirt_fx" },
    { 0xCFDA65C9134B212F, "debug_patrol_point_score" },
    { 0xF024C6B89770B58E, "debug_patrol_point_score_loop" },
    { 0x1F65475081710EA5, "debug_pipe_room" },
    { 0x0EFDDF16CAA00319, "debug_player_death" },
    { 0x3C566E71F33FFF16, "debug_player_fwd" },
    { 0x33A64074C7129AFE, "debug_pre_start_coop_defuse" },
    { 0xD23436B87C521D43, "debug_pre_start_coop_escape" },
    { 0x27941BB8BA4A2B90, "debug_pre_start_coop_escort" },
    { 0xFC6690CF6AAB6504, "debug_pre_start_coop_push" },
    { 0x3B8A6C3CC78AEA74, "debug_print" },
    { 0xF30DA8B5BE331CF3, "debug_print3d" },
    { 0x570086DF4AAB6126, "debug_print3d_simple" },
    { 0x43A9DFD7362FA784, "debug_print_target" },
    { 0x24E107B021AE791E, "debug_print_vo" },
    { 0xB1DA1086D6DEC741, "debug_printcode" },
    { 0xF23EB0B5BD4F4312, "debug_println" },
    { 0x26B9D210F4BE4F54, "debug_randomflightpathstest" },
    { 0x0B92D2A0EC20EE3F, "debug_reach_drop_zone" },
    { 0x7928801004C808E8, "debug_reach_exhaust_waste" },
    { 0x33D776D8DEBBB7CA, "debug_reach_icbm_launch" },
    { 0x41F3F6874CDBEBDF, "debug_reach_lz" },
    { 0x5E05B2A71E560C55, "debug_reach_pipe_room" },
    { 0xCFAF660FC365075F, "debug_reach_wind_room" },
    { 0x52922F420EE8BE6E, "debug_reflection_buttons" },
    { 0x3E7C61BB173C280E, "debug_reflection_probes" },
    { 0xFDFAB4F4EFE5F8BC, "debug_rooftop_heli_start" },
    { 0x900D782804F06CD5, "debug_rooftopobjstart" },
    { 0x145B6EA13031F46E, "debug_run_helicopter_boss" },
    { 0x8AB63DFC385DD072, "debug_safehouse_gunshop_start" },
    { 0x2048B4C92CA42120, "debug_safehouse_regroup_start" },
    { 0x9D2CE973D49608C4, "debug_safehouse_return_start" },
    { 0x7BEAB9E2BE5BE4D7, "debug_safehouse_start" },
    { 0x7E87B30DD47BEF63, "debug_set_relic" },
    { 0x5DEBEBBD81F164CB, "debug_set_super" },
    { 0x18B94EB80EB67787, "debug_setup_warp_jeep_to_players" },
    { 0x9DA1B5D3FE636993, "debug_setupmatchdata" },
    { 0x2566C8E349EF102E, "debug_shoot_offset" },
    { 0x92C4996B99E6C7A6, "debug_show2dvotext" },
    { 0xEF5A331AC0C30145, "debug_show_all_live_events" },
    { 0x09A596D464BC6461, "debug_showcardlocs" },
    { 0x07AC2FB3BA496F91, "debug_silo_jump" },
    { 0xB3AEFC0C32008A8F, "debug_silo_thrust" },
    { 0x185D3D55A496FAC5, "debug_spawn_crate_on_train" },
    { 0x9ACB95FAFC47B22C, "debug_spawnallaccesscards" },
    { 0x45F4D8F912A07897, "debug_spawncover_badnodetest" },
    { 0xC08D7D7F3BD010A4, "debug_spawning" },
    { 0xE1AAB1BAFACAA7F4, "debug_spawnrewardstest" },
    { 0xCF38B9B7FC5BCB7B, "debug_start" },
    { 0x470B3A794B5A2730, "debug_start_apprehension" },
    { 0x91D51476E6B5B78F, "debug_start_caches" },
    { 0x5D5FEF39840F7501, "debug_start_caches_threaded" },
    { 0xF81B8985AF2E550C, "debug_start_call" },
    { 0xA9BEAD1F60A7B352, "debug_start_convoyescort" },
    { 0x4FE1BF8F2856A140, "debug_start_event_force" },
    { 0xCDF8273114146535, "debug_start_extraction" },
    { 0x2EF34413CA455396, "debug_start_hostages" },
    { 0x4ECF2807C1750F03, "debug_start_iedrace" },
    { 0x5EE84BCA6182B378, "debug_start_keys" },
    { 0xB655F2CCACEA3FFE, "debug_start_numbers_threaded" },
    { 0x6DA310F5396A2B4D, "debug_start_overwatch" },
    { 0x41C6915268A51C4C, "debug_start_silo_elevator" },
    { 0xDBB59CCF223A6A5C, "debug_start_switches" },
    { 0x89410B9CC16727EC, "debug_start_terminal" },
    { 0x2D7D93C9DC8202E1, "debug_start_waittrain" },
    { 0xCF1ECCB7FC3FCC3A, "debug_state" },
    { 0x7AF4C1B0E3CAC5A6, "debug_state_print" },
    { 0x1C394E0B77471DFE, "debug_stop_event_force" },
    { 0xE1DDE39823444E67, "debug_stopenemypos" },
    { 0x28A3B7DE02910F1C, "debug_struct" },
    { 0x38B68CE1AACED7B9, "debug_swivelroom_start" },
    { 0xA8770E12E1F1F622, "debug_tag_accessory" },
    { 0xF3B1187AC6CCF1A4, "debug_teleport_to_c130" },
    { 0x54DB667232BE8109, "debug_temp_sphere" },
    { 0xC9021A82068E63B7, "debug_test_kill_kidnapper" },
    { 0x4EC3CA6ABBDEC0D6, "debug_test_next_mission" },
    { 0xF86EBC5762D4D748, "debug_testcratedroplocationpicker" },
    { 0x7A68614260DBE84E, "debug_trans_1_start" },
    { 0x73E8F7C74FA41F44, "debug_trap_room" },
    { 0xB13DE02E1746A897, "debug_trap_toggle" },
    { 0x8B9FB1BC859CA8BD, "debug_trigger_objective_events" },
    { 0x49D9082E8870D4CB, "debug_unlock_silo" },
    { 0xCB75D3FD58AA1F06, "debug_unset_relic" },
    { 0x3AF5A68CE7F9B58D, "debug_vault_assault_crypto" },
    { 0x05A545270F43D354, "debug_vault_assault_cut" },
    { 0x587F66EA25990DC5, "debug_vault_assault_hack" },
    { 0x329A780D80CEAA22, "debug_vault_assault_obj_start" },
    { 0x229EE6368C198CB3, "debug_vault_assault_retrieve_saw_obj_start" },
    { 0x1EFDECAB655E8B88, "debug_vault_assault_roof_defend_start" },
    { 0x5CCBB1B77E489A92, "debug_vault_assault_roof_exfil_start" },
    { 0x7C1DCDC665A588CB, "debug_vault_assault_roof_obj_start" },
    { 0xA97A91810AC61A68, "debug_vault_assault_vault" },
    { 0x76D07CBC9B51E511, "debug_vest_pos_ang" },
    { 0xF3579466C0F3BFB4, "debug_warp_jeep_to_player" },
    { 0x14752524B5802CAF, "debug_warpplayer_monitor" },
    { 0xD33FFE460118A99C, "debug_watcharchivefinished" },
    { 0x67482BBA6EDF3564, "debug_watcharchiveinterrupted" },
    { 0x7B8C42156906CE53, "debug_watcharchivesize" },
    { 0x0536B37A57DE0385, "debugafterlifearcadeenabled" },
    { 0x5D8B6B951C7E9B1F, "debugarmsraceobjectivestart" },
    { 0x7A5B4F8FF792132D, "debugaxis" },
    { 0xEAA0ABC7E76BCF43, "debugbeatobjective" },
    { 0x6B2938A1F2193350, "debugbeatobjective3" },
    { 0xBB1E507ED9A91265, "debugbroshot" },
    { 0x57B61910BC3510FD, "debugburstprint" },
    { 0x62584014C6A64297, "debugcaptureflares" },
    { 0x34FC618352986A70, "debugcircle" },
    { 0x84266298F09B9877, "debugcircleincircle" },
    { 0xF1D618433BBA8AD3, "debugcircleplayerfx" },
    { 0x81E31531C762752C, "debugcolorfriendlies" },
    { 0x7054E01A0C111AE4, "debugdata" },
    { 0xA404115E3BD5D62F, "debugdestroyempdrones" },
    { 0x51F306540E999015, "debugdrawtocameras" },
    { 0xE3A13D305594426E, "debugdvars" },
    { 0x88B3DB38775EC896, "debugemp" },
    { 0x4D8452973F1C1490, "debugempdrone" },
    { 0x9E6170605E150492, "debugequip_disguise" },
    { 0x998BBD6BCA7908AE, "debugexfilc130objective" },
    { 0x394ACE78D79F12BB, "debugextractlz" },
    { 0xF43695D114657DF6, "debugextractsite" },
    { 0xD499CC8EFCE399DB, "debugfakeduel" },
    { 0x642B85896747CD06, "debugfakewinner" },
    { 0x2873FA0C023C504C, "debugforcesre1" },
    { 0x2873FD0C023C56E5, "debugforcesre2" },
    { 0xA94FC301E5EB9586, "debuggiveperkpoints" },
    { 0x8B2F6CA9F6DAFDD7, "debughackequipment" },
    { 0xBEBEB5F6D0F4897B, "debugholdout" },
    { 0xD7E9A2E78F8DB7FB, "debughostagegame" },
    { 0x3FEA143841EC97DD, "debughud" },
    { 0xC419BDB2B36D8147, "debuginfil_plane" },
    { 0x0240AD6D031A525C, "debuginstances" },
    { 0xDAD52EE970101548, "debugjump" },
    { 0x1918BB22D4F4E150, "debugkill_tunnel_spawns" },
    { 0x8A27FBAE939C82E6, "debuglandatlz" },
    { 0x250FB761E5E5A97E, "debugline" },
    { 0xA46D04BE6A08F4B1, "debuglitehud" },
    { 0x08A871381A6F99CA, "debugloc" },
    { 0x90EC9D30BBCA714D, "debugmisstime" },
    { 0x359EF691BD29E8B2, "debugmisstimeoff" },
    { 0x298C72AED4AB56E1, "debugmoralesobjectivesstart" },
    { 0x443AC2FA3147FCBC, "debugmovingplatformview" },
    { 0x50C1012F2FB26879, "debugnewspawnmodule" },
    { 0x58930E7BDB1E8C44, "debugnextpropindex" },
    { 0x43378BB87D17E406, "debugorigin" },
    { 0xE7608F352E16910F, "debugpathspheres" },
    { 0x62B695EB9A7ECB92, "debugpayloadobjectivesstart" },
    { 0xA540F6E8D2264A6B, "debugpayloadobjectivesstart_infil" },
    { 0x78D8B315AD916306, "debugplanecircle" },
    { 0x1633D68D19617C4E, "debugplantjammers" },
    { 0x2EB8DC70E9650D6F, "debugplayercirclevfx" },
    { 0xCC48C537ED52D9A6, "debugpos" },
    { 0x3A970A0D38EA023B, "debugposinternal" },
    { 0x3F36AF7BD0E99A27, "debugpossize" },
    { 0x29D39CA0AA4B3CFB, "debugprint" },
    { 0xB1AA08AC05EE642E, "debugprintevents" },
    { 0x242D604A2385D531, "debugprintline" },
    { 0x6680605D2ED8B0E4, "debugprintsquads" },
    { 0x13ED29D61D7EE033, "debugprintteams" },
    { 0x2EF68A212FFC3A90, "debugprintvipstates" },
    { 0x60DE66AEA99F6BD6, "debugqueueevents" },
    { 0x137008E9F84C11DD, "debugrecover_nuclear_core" },
    { 0x34BE8890CBBBBDE6, "debugremoveinteractionandsendmessage" },
    { 0xBABE1D2D83E8890C, "debugresetguns" },
    { 0xE95A8C45AE1A263A, "debugrocks" },
    { 0xF6F8DAA158DA6F15, "debugsetlasttime" },
    { 0xB80D9E0FA14A2BD6, "debugshutdown" },
    { 0x59B35103FE6DD0F9, "debugspawners" },
    { 0x5D1B6728741624F5, "debugspawnlocations" },
    { 0x387BA241012881A0, "debugspawns" },
    { 0x4E9537C8C739160B, "debugsphereonlocation" },
    { 0xB2164D43FA638544, "debugstar" },
    { 0x810FA32D9CD9173E, "debugstartc130objective" },
    { 0x4CE2604D87686E95, "debugstartdestroyc130" },
    { 0xC4FF8A1AD2BA0D70, "debugtestcirclevfx" },
    { 0xBB9D0306E42B2C6C, "debugthink" },
    { 0x5B417F0DE14E1F74, "debugthreat" },
    { 0xCDF936C2B51C53A9, "debugthreatcalc" },
    { 0x64EC108E786F9619, "debugtimedelta" },
    { 0xA77B77F09AC54DD7, "debugtimeout" },
    { 0x83717803B268FA28, "debugtmtylobjectivesstart" },
    { 0x949442A8155AC414, "debugtype" },
    { 0xB524A0CF90CF4645, "debugview" },
    { 0x41E372E694ECA957, "debugwarptojail" },
    { 0x9D0F768B2F5EF5BF, "debugwarptojailsingle" },
    { 0xA19D08C50837BEAF, "debugweaponchangeprint" },
    { 0xACE3C4FB384EA0AE, "decaygraceperiod" },
    { 0x9037DF411C5328BD, "decayholdtime" },
    { 0x2CB57A045957E603, "decayrate" },
    { 0xC2643DDDFCE80617, "decayreviveprogress" },
    { 0x6D17C4327D5646C4, "decaythreshold" },
    { 0xEE872E2AD2C083C8, "decaytime" },
    { 0x81A321728ABB684C, "decc" },
    { 0xD521B2E71A1BE87E, "decel" },
    { 0x72BDB9B09B6FB42D, "decho_brakes_off" },
    { 0xA2A49A3C55C2E211, "decho_brakes_on" },
    { 0x30155433BFFE2D04, "decho_lights_off" },
    { 0x2CAFDBFE45E930F2, "decho_lights_on" },
    { 0xC68099667B5BBB7C, "decide_new_code" },
    { 0x4E9758746A9E87FF, "decidenumcrawls" },
    { 0x54BAE546D3AAE2F3, "decidenumshotsforburst" },
    { 0x78C59C8D3408C402, "decidenumshotsforfull" },
    { 0xCE3A004F9289E81B, "decidenumshotsformg" },
    { 0x1BE0FAAC7709A1B6, "decidewhatandhowtoshoot" },
    { 0x8FE6A75D6CACD178, "deck_add" },
    { 0x412279ECB3D935AF, "deck_draw" },
    { 0x0A9EC2399B7ACAB8, "deck_draw_specific" },
    { 0xB89A8023A8C4DE5F, "deck_is_empty" },
    { 0x6A8F215E0D566D49, "deck_nag" },
    { 0x9D3DF6C3297C37EF, "deck_nag_internal" },
    { 0x1EDF7043F57589F1, "deck_remove" },
    { 0x272372F14125D379, "deck_select_ready" },
    { 0x52F53722FE5CA82A, "deck_shuffle" },
    { 0xD54DBDE71A4C6715, "decks" },
    { 0x772E5B3C7DAFD083, "decoy_activated" },
    { 0x5F61DA50605E77A1, "decoy_addtogloballist" },
    { 0x4174958A2119091A, "decoy_aicanseeanyplayer" },
    { 0xBCB9634DD0EE7858, "decoy_aiseenplayerrecently" },
    { 0x09D231FA33C1AA4C, "decoy_canseeplayer" },
    { 0x9A8B915A4867C755, "decoy_clearaithreatbiasgroup" },
    { 0xDD4FBAE2D1EF1D66, "decoy_debuffenemiesinrange" },
    { 0xE0BF8F08EAD5684E, "decoy_debuffenemy" },
    { 0xDA214A54D2FE3F39, "decoy_delaystoptrackingassist" },
    { 0x0A65D49CBE59176F, "decoy_delete" },
    { 0xD93203F8D443D856, "decoy_destroy" },
    { 0xC04BA35ED3D81A97, "decoy_empapplied" },
    { 0x6CA8C2B5106FBBF0, "decoy_fireevent" },
    { 0xC48A546E373B3EF5, "decoy_firesequence" },
    { 0xEE003A86ED1C86DC, "decoy_getfireeventangles" },
    { 0x73162EBB24BD9467, "decoy_getfireeventimpulse" },
    { 0xCDA58DD5AFEF43EC, "decoy_getfiretype" },
    { 0x15C0392B131A5046, "decoy_getleveldata" },
    { 0xED67EB2EA50CF273, "decoy_getvelocity" },
    { 0xA0680B623EC96550, "decoy_giveassistpoint" },
    { 0x7BF0F89E3736A27D, "decoy_givepointsfordestroy" },
    { 0x8F341A0C14ABDA27, "decoy_handledamage" },
    { 0x30E2F9E83270DDA5, "decoy_handlefataldamage" },
    { 0x1E1BE39387BD28CD, "decoy_ignoredbyenemy" },
    { 0xDA15B13D333F9E26, "decoy_init" },
    { 0x8182B2249B72380E, "decoy_isonground" },
    { 0x42D7E356312EC1AB, "decoy_isongroundraycastonly" },
    { 0x0B5E510C9CA726FF, "decoy_monitorfuse" },
    { 0x2472F683042E1585, "decoy_monitorposition" },
    { 0x32000F27838C827B, "decoy_removefromgloballist" },
    { 0xC6BB0E933ED2D3B1, "decoy_used" },
    { 0x724476D02B251B41, "decoyassists" },
    { 0x01581AFAABB45EEB, "decoygrenadedata" },
    { 0x3BB4D016FC752190, "decoygrenades" },
    { 0x441455B7A8E501EE, "decrease_delayed_spawn_slots" },
    { 0xFA48EB71EA5DF650, "decrease_escalation_counter" },
    { 0xD02F10B24EE12125, "decrease_hint_timer" },
    { 0x2B0A8C81471D7311, "decrease_lookat_weight" },
    { 0x0CB5103963FE2D50, "decrease_material_amount" },
    { 0x340CEA92384DDE30, "decrease_reserved_spawn_slots" },
    { 0x111F3459DA500647, "decrease_stealth_meter" },
    { 0x7487E9EEC36D4E69, "decrease_super_progress" },
    { 0x1B0217091F83A070, "decrease_threatlevel" },
    { 0x199621BB951865A6, "decreasecurrentstealthvalue" },
    { 0xE2BB9789202D061F, "decrement_airdrop_requests" },
    { 0xA768F29EDCE2A9B0, "decrement_counter_of_consumables" },
    { 0x5C9CE78BB629BFCC, "decrement_door_count_on_death" },
    { 0xE3622F2B34734CAB, "decrement_escalation_level" },
    { 0x7FF1A7391918C8B7, "decrement_list_offset" },
    { 0xAF4BF873FF507AA0, "decrement_num_of_frame_frozen" },
    { 0x0B6790A6EB8C59C5, "decrement_spawners_using_count" },
    { 0x1034C7E1DF6B1D65, "decrement_vehicles_active" },
    { 0x9D25D90BB71E2002, "decrement_wave_veh_count" },
    { 0x77974EAD3DD2064E, "decrementalivecount" },
    { 0x79591FF9C96B5AB6, "decrementbulletsinclip" },
    { 0x4D4AE20AA9975267, "decrementcolorusers" },
    { 0x8D2ADE63EF63899F, "decremented" },
    { 0x2583400A4297CEB0, "decrementequipmentammo" },
    { 0x9BE5E1ADEF51CCF4, "decrementequipmentslotammo" },
    { 0x3034802D7319C501, "decrementfauxvehiclecount" },
    { 0xD3FA1203D75297E8, "def" },
    { 0xB20679748AC15DCE, "default_ambient_vals" },
    { 0x9F285F92F275C961, "default_ball_origin" },
    { 0x53CD46CA7FD76B5C, "default_class_chosen" },
    { 0x8598E6F22E55FA16, "default_compare" },
    { 0x7996AF11FF2B2CE2, "default_door_node_flashbang_frequency" },
    { 0x495B2BD8905FE505, "default_flag_origins" },
    { 0x183868551DF8CA0A, "default_footsteps" },
    { 0x04288631E6B3B502, "default_gametype_think" },
    { 0x70760D46132729A4, "default_goal_origins" },
    { 0x132AEB40D87FDFF3, "default_goalheight" },
    { 0x361490BB8DDD247E, "default_goalradius" },
    { 0xA69539B21E4ADFD7, "default_if_undefined" },
    { 0x24A1C6C6DE30D551, "default_init" },
    { 0xE6D00851E8CFCDBD, "default_init_objective" },
    { 0x84484B224E0AEE89, "default_meleechargedist" },
    { 0x9BFB2DA99A833206, "default_on_damage" },
    { 0x152AF157AA746C35, "default_on_damage_finished" },
    { 0xA057EC3DB7A26B8A, "default_on_enter_animstate" },
    { 0x22D6BE91360B4236, "default_on_killed" },
    { 0xC5AFC4678600AFD0, "default_ondeadevent" },
    { 0xF13E944D9429909E, "default_onhalftime" },
    { 0x3333C28B3DD0B6B5, "default_ononeleftevent" },
    { 0x927349CD8DBC575E, "default_ontimelimit" },
    { 0x1B445A56795A300B, "default_patrol_style" },
    { 0x5AB35E5EAD93E9A0, "default_player_connect_black_screen" },
    { 0x3AA957981404D476, "default_player_init_laststand" },
    { 0xCD38254BC0588017, "default_player_spawns" },
    { 0x3568C2939DAF831E, "default_playerlaststand" },
    { 0x024BCF6DE5B1F7AE, "default_prisoner_movement_speeds" },
    { 0x49B86253DF460A00, "default_should_update" },
    { 0xEBCF815538B2C9F5, "default_spawn_func" },
    { 0xDD6B13DDB7CA2A8D, "default_start" },
    { 0x95C10853CEF24016, "default_start_override" },
    { 0xF0D8AA29F7E1FF26, "default_start_override_alt" },
    { 0x71E82619E70B6E99, "default_starting_melee_weapon" },
    { 0xC74E07D526F19D83, "default_starting_pistol" },
    { 0x476B0302FEA91A6B, "default_strike_player_connect_black_screen" },
    { 0x7DA5E06CF67A31E7, "default_suicidebomber_combat" },
    { 0x93717F697B15E680, "default_trigger_loop" },
    { 0xFFC546F0679A41A5, "default_undefined" },
    { 0x85C8C179D3F6F754, "default_unresolved_collision_handler" },
    { 0x7A387B7F555FDC07, "default_weapon" },
    { 0xCE146FB50ADE66FC, "default_weapon_hint_func" },
    { 0x80CEBCC9BA4968D8, "default_weaponsetup" },
    { 0x8DF9533D5403C54B, "defaultalliesspawn" },
    { 0x56A1FC31ABFDD79C, "defaultalliesspawncamera" },
    { 0x35E7AE8F960889E2, "defaultaxisspawn" },
    { 0x8DC7DB48340A2AA1, "defaultaxisspawncamera" },
    { 0x9EA5F4533311C666, "defaultbody" },
    { 0x541BCEAF54585B40, "defaultbodymodels" },
    { 0x7E850C5BAC9DD1D0, "defaultbreakeraction" },
    { 0x21698768543445DE, "defaultcapturevisualscallback" },
    { 0x4A4B98B3257740B2, "defaultclass" },
    { 0x625F1E8ABEA3A226, "defaultclassindex" },
    { 0x0B149101B8B794BC, "defaultcompleteobjective" },
    { 0x122466E034D29A80, "defaultcoverselector" },
    { 0x7A67DE200574224A, "defaultdamagenotify" },
    { 0xDF6C532A2A5361CA, "defaultdestroyvisualscallback" },
    { 0x2C5F0CFF51EE6933, "defaultdroppitch" },
    { 0x2BC93CEF32E328B2, "defaultdropyaw" },
    { 0x9AF8D4FCDA88A175, "defaultemissive" },
    { 0x61BF93B3AF404265, "defaultendgame" },
    { 0x0926ACDE7CC25FAB, "defaultexception" },
    { 0xF1E26D5234E2E27C, "defaultfilter" },
    { 0xC9A7912CBE7A4B99, "defaultgetspawnpoint" },
    { 0xB2A5963F0A051C4C, "defaulthead" },
    { 0x5BECA109D9F35BDE, "defaultheadmodels" },
    { 0xBE4472390498BA10, "defaulthostmigration" },
    { 0x28B25B3EAC023E68, "defaultlightfx" },
    { 0x0D4E7226C24D4F87, "defaultnvgvision" },
    { 0xA922927DEDABAE64, "defaultonmode" },
    { 0x3218EBE7897C292D, "defaultoperatorskinindex" },
    { 0xFD04B57C3246BEBC, "defaultoperatorskins" },
    { 0x98B431C4BF3C8143, "defaultoperatorteam" },
    { 0x2179610BB3B37894, "defaultownerteam" },
    { 0xACE339C61903B96A, "defaultpitchturnthreshold" },
    { 0x74307F882BBDB7AF, "defaultplayerconnect" },
    { 0xEDEF318B541FDA1A, "defaultplayerdamage" },
    { 0x631EB426B3383821, "defaultplayerdisconnect" },
    { 0x8BE12F265F131C5A, "defaultplayerkilled" },
    { 0x05EA57FCF5132D05, "defaultplayermaxhealth" },
    { 0xE393CDD384FD61DC, "defaultplayermigrated" },
    { 0xC0758ECF563A3BC3, "defaults" },
    { 0x5FB36BE368755266, "defaultslot" },
    { 0xB2A3C1D724462B64, "defaultsortfunc" },
    { 0xF764123C93105CD4, "defaultspectaterules" },
    { 0x7AD15257E894D78C, "defaulttalk" },
    { 0x724C7C15A7E39084, "defaultturnthreshold" },
    { 0x2B17EA0A9778EF14, "defaultusetime" },
    { 0x7093AB94E703E701, "defaultviewarmmodels" },
    { 0x7CD1DBFAA21F91C3, "defaultvm" },
    { 0x27DBC5AD5D5CF305, "defaultvoices" },
    { 0x029E52A1C4D2FA42, "defaultweapon" },
    { 0x2F0DD0E87EE0F42A, "defaultweight" },
    { 0xABA4E45E3F83A4B8, "defcon_alarms_stop" },
    { 0x9EC49BC57E937E14, "defcon_models_cleanup" },
    { 0x5D9D98A281F57522, "defconlevel" },
    { 0x092C490B39B9F3A5, "defeated_on_kill_backup" },
    { 0xC4A331469E9D24C5, "defeatedlookat" },
    { 0xB8675245C1FEC273, "defend_approach_catchup" },
    { 0xA2049A9F3B521068, "defend_approach_hadir_to_roof" },
    { 0x474AA201146B4F22, "defend_approach_main" },
    { 0xAEEE56E7AE011EC1, "defend_approach_start" },
    { 0xC7BB546CC68879BD, "defend_autosaves" },
    { 0x5CB702E66DE526AF, "defend_death_counter" },
    { 0x273FD8A06D33BD9F, "defend_entrance_index" },
    { 0x70C938121554D158, "defend_flag" },
    { 0xC394B67F05A47550, "defend_get_ally_bots_at_zone_for_stance" },
    { 0xC26E036E32F9B9CD, "defend_inits" },
    { 0xFB144F182FF4B99F, "defend_main" },
    { 0x80423036890D7E9A, "defend_mortar_house_favela" },
    { 0x8CCB314E3BE34FC0, "defend_objective_radius" },
    { 0x229BAADFD6AEB329, "defend_planted_bomb_update" },
    { 0x6F6A10A1553FB678, "defend_push_weapon_cleanup" },
    { 0x746654B3F7A07C1A, "defend_spawn_crates" },
    { 0x2EADBFA861036436, "defend_start" },
    { 0x16777CE574F4F2A4, "defend_valid_center" },
    { 0x9A501E43A52885AE, "defend_wait_time_when_no_path" },
    { 0xA105E306724B6409, "defend_wave_0_catchup" },
    { 0x74C96D61AECAD770, "defend_wave_0_main" },
    { 0xAA907ED00FFE1787, "defend_wave_0_start" },
    { 0xE526932DF9323C03, "defend_wave_1" },
    { 0xAE5BFE684030D6FE, "defend_wave_1_catchup" },
    { 0x927EA0D77E9F1351, "defend_wave_1_main" },
    { 0x66FE8E147D53F278, "defend_wave_1_start" },
    { 0xE526942DF9323E36, "defend_wave_2" },
    { 0x09C4CB7C7A6C9FD2, "defend_wave_2_mortars_catchup" },
    { 0x2585664796CC2CED, "defend_wave_2_mortars_main" },
    { 0x43EC1EC0FC0868FC, "defend_wave_2_mortars_start" },
    { 0x8B11C1ACAC6B6462, "defend_wave_2_push_catchup" },
    { 0x2CC80343476BF0FD, "defend_wave_2_push_main" },
    { 0x15BFA3B8FFE64D2C, "defend_wave_2_push_start" },
    { 0xD6932E0E290F525A, "defend_wave_2_trucks_catchup" },
    { 0x43C83789D68397C5, "defend_wave_2_trucks_main" },
    { 0x096C36DD233DE614, "defend_wave_2_trucks_start" },
    { 0xE526952DF9324069, "defend_wave_3" },
    { 0x8252D05F609D9502, "defend_wave_3_buildings_catchup" },
    { 0xFAB97715158D201D, "defend_wave_3_buildings_main" },
    { 0x8ABB517B1BA0A0CC, "defend_wave_3_buildings_start" },
    { 0x3671C94FCFC8B1BC, "defend_wave_3_ladder_vo" },
    { 0xCCD2EDB1161EF3F7, "defend_wave_3_triage_catchup" },
    { 0xDD7D7FC1C5A89A7E, "defend_wave_3_triage_main" },
    { 0x5195665BF7128DA5, "defend_wave_3_triage_start" },
    { 0xE526962DF932429C, "defend_wave_4" },
    { 0x43D2F4EB2B206939, "defend_wave_4_snipers_main" },
    { 0x671CE2BAD85A19A0, "defend_wave_4_snipers_start" },
    { 0x7B0EF85BDC3A360D, "defend_wave_4_targeting_catchup" },
    { 0xD38634FB7EC1E1DC, "defend_wave_4_targeting_main" },
    { 0xF9573FBB7FF8E62B, "defend_wave_4_targeting_start" },
    { 0xE7D83819AC9FD042, "defend_wave_4_technicles_catchup" },
    { 0x811A6979E15F1F5D, "defend_wave_4_technicles_main" },
    { 0xF3440DC2E9E3830C, "defend_wave_4_technicles_start" },
    { 0xA01D99A95FA3D70F, "defend_wave_5_mortar_attack_catchup" },
    { 0x60D78263C7A9D9C6, "defend_wave_5_mortar_attack_main" },
    { 0x57464FFAD3FBDEED, "defend_wave_5_mortar_attack_start" },
    { 0x2A9E3F0565BDC503, "defend_wave_5_mortar_house_boost_catchup" },
    { 0x90F8512EF2618F72, "defend_wave_5_mortar_house_boost_main" },
    { 0x3021886723026431, "defend_wave_5_mortar_house_boost_start" },
    { 0x8BBE07EF5093F77B, "defend_wave_5_mortar_house_catchup" },
    { 0x608B5F119ED34F9A, "defend_wave_5_mortar_house_main" },
    { 0xD4B00E7D0A325699, "defend_wave_5_mortar_house_start" },
    { 0x4A4B4B21C49CBF6F, "defend_wave_6_catchup" },
    { 0x5CDC0A997F8DE9A6, "defend_wave_6_main" },
    { 0x794DFE1E3E8B554D, "defend_wave_6_start" },
    { 0xB7E8DA4A0F1E86E4, "defend_while_chopper_arrives" },
    { 0x7CA8DC65D85855E0, "defend_wolf_escapes_catchup" },
    { 0xB0EFD8D757EC13F9, "defend_wolf_escapes_ending" },
    { 0xD38B95EB680920AF, "defend_wolf_escapes_ending_camera_settings" },
    { 0x4A1FFC3B5B024C9B, "defend_wolf_escapes_main" },
    { 0x2278481174BB5F86, "defend_wolf_escapes_scene_main" },
    { 0x3D5E4CEE7183EAAD, "defend_wolf_escapes_scene_start" },
    { 0x7A60552EBD964DAA, "defend_wolf_escapes_start" },
    { 0x4655FF1423B6A4C8, "defend_wolf_hostage" },
    { 0x3B0A90B9A156AB38, "defend_zone" },
    { 0x9C25070204BCC629, "defendedplayer" },
    { 0x6F91357DF55754FA, "defender_set_script_pathstyle" },
    { 0xF6AFF6930A511E12, "defender_update" },
    { 0x74B20F03525888D1, "defenderendzone" },
    { 0xA5456993F4CCA910, "defenderflag" },
    { 0xBE3F5197CD1EC045, "defenderflag_bflagstart" },
    { 0x2A2639CBD39B24DC, "defenderflag_starts" },
    { 0x4E019164688F0BB5, "defenderflagbase" },
    { 0x1C7E85D1F296E472, "defenderflagbases" },
    { 0xEE62E4A5EC809E74, "defenderflagpickupscorefrozen" },
    { 0x5A788731EB370C6F, "defenderflagreset" },
    { 0x3DB5861B722A6FA1, "defendkill" },
    { 0xCDFA1FA64383AD55, "defendloc" },
    { 0x856880724628DC7E, "defendlocation" },
    { 0xFE5ABD9357B8C386, "defendlocationescort" },
    { 0x731D94FC02FF16D2, "defense_cautious_approach" },
    { 0xC30C5A060B8158BF, "defense_death_monitor" },
    { 0xC6DCF5607EF4C260, "defense_force_next_node_goal" },
    { 0x9C5ED2CA0F581A07, "defense_get_initial_entrances" },
    { 0x882254B3DFDAAF15, "defense_investigate_specific_point" },
    { 0xABA59B2166CC0F60, "defense_override_entrances" },
    { 0x6618E72951961FAA, "defense_override_watch_nodes" },
    { 0x2CBF5F7C4E07CF96, "defense_score_flags" },
    { 0x846013D18EE04612, "defense_sequence_duration" },
    { 0xA3A7322F4A5A494D, "defense_watch_entrances_at_goal" },
    { 0xECD50D5A2D760D40, "defense_wave_send_support" },
    { 0x3E50964FD3FD1CBC, "defensefactormod" },
    { 0xA6A97FB2A1F8B3DA, "defibrillator" },
    { 0xFE9A5CC962705986, "define" },
    { 0xD1F980743D4C117D, "define_as_cluster_spawner" },
    { 0x31782AC0E6A04F46, "define_as_level_infil_driver" },
    { 0x34697D9616F82A0F, "define_as_vehicle_spawner" },
    { 0xC7DEC91E3A4451CC, "define_crafting_materials" },
    { 0xBCCCF53CD09F3F2D, "define_face_anim_if_exists" },
    { 0xD7B9E97EF223EEAE, "define_interacton_position" },
    { 0x3A95597763946549, "define_spawner" },
    { 0x28DD26398288FA5E, "define_trial_mission_init_func" },
    { 0x7F74219900AE6169, "define_var_if_undefined" },
    { 0x9E0E8DADD2E933CC, "definechestweapons" },
    { 0x963BC0645AB020F0, "definepassivevalue" },
    { 0x500C382063D94479, "defineplayerloadout" },
    { 0x2DF8097473BCFF84, "definepowerovertimeduration" },
    { 0x5DD403E37D15D5CF, "defines" },
    { 0x46B2567994E2AC5C, "defuse_bomb" },
    { 0xB5D52D694C667FF3, "defuse_count" },
    { 0x7F017A01281BDD01, "defuse_failed" },
    { 0x37F2C039EA621046, "defuse_nag" },
    { 0xE30D9D75BB40C469, "defuse_spawners" },
    { 0xDFD4B666E5505303, "defuse_tripwires" },
    { 0x5C190B11D55F5513, "defusebomb" },
    { 0x80338528CD393794, "defusec4" },
    { 0x34E4C86FEE2D2D8D, "defused" },
    { 0xCA7D96EE3D25DFA1, "defuseendtime" },
    { 0x226FDF65E998963F, "defusehintstruct" },
    { 0x59F59CD75FC5B89C, "defuser_bad_path_counter" },
    { 0xE269E1D139244234, "defuser_wait_for_death" },
    { 0xC04C53B35F7D922D, "defusethink" },
    { 0xC7AD6127D3B3AE12, "defusetime" },
    { 0x7F29C2279E8E64C1, "defusetrig" },
    { 0x458F75666EF6325C, "defuseusemonitoring" },
    { 0x3D416396C18395CB, "degrees_to_radians" },
    { 0xCDF8E82E28F1C374, "dejected_idle_count" },
    { 0x37D400E6A7A39C44, "delay" },
    { 0x9C3AEABBE1D96A57, "delay_activate_damage_trigger" },
    { 0x5D06889099DF5B18, "delay_activate_laser" },
    { 0x0388D177E3D7A261, "delay_add_to_chopper_boss_drone_target_array" },
    { 0xCCD718ED09606D03, "delay_allow_pickup" },
    { 0xBDF672736011D914, "delay_allowdeath" },
    { 0xA8D971C0C1A2A86D, "delay_and_play_vo_to_team" },
    { 0x4744127CA53E618C, "delay_before_delete" },
    { 0x6EA36A98F13314F8, "delay_camera_normal" },
    { 0xA175B6BD01755897, "delay_coop_escort_spawning" },
    { 0x3B4F32B5FC9BCEE0, "delay_debug_roof_start" },
    { 0xE1055B1CBA26DC96, "delay_delete" },
    { 0x8D25227CF2F64FA2, "delay_delete_alerted_icon" },
    { 0x05A24F88AE920D5D, "delay_delete_combat_icon" },
    { 0x87E0F8333B324166, "delay_delete_objective" },
    { 0x3D736EE5D84D3518, "delay_delete_reinforcement_called_icon" },
    { 0x879FBE19E6E1F759, "delay_delete_rpg_missile" },
    { 0xADFC35D5DDEA75AE, "delay_delete_tv_station_boss_icon" },
    { 0xE80723C6E0BDDF05, "delay_deletescriptable" },
    { 0x94C3BAD03DD42787, "delay_demeanor_override" },
    { 0xDADC14B5CFC189E7, "delay_deploy_friendly_convoy" },
    { 0x9AA46DD60E532169, "delay_deploy_suicide_truck" },
    { 0x1F3BE20250535743, "delay_disable_use" },
    { 0xA21DBF4EDA1C0744, "delay_end_alarm_sound" },
    { 0x9A040647BA08DC77, "delay_end_common_combat" },
    { 0xF56D60EA470ACA62, "delay_end_game_hvt_escaped" },
    { 0x4C69F7FEAECA1691, "delay_end_soldiers_spawns" },
    { 0xE87CE79D38FBD53F, "delay_endon" },
    { 0x20C97689650D79C6, "delay_enter_combat" },
    { 0x4C9A65B6F0A4E58D, "delay_enter_combat_after_investigating_grenade" },
    { 0x66154E27BD7DF90B, "delay_enter_combat_after_stealth" },
    { 0xC40C8506D34FEF96, "delay_enter_vehicle" },
    { 0x37DE63089C93F0CC, "delay_exit_drone" },
    { 0x1963BF69E5D39D9F, "delay_explosion_fx" },
    { 0x8E361BF0F5AE4EC7, "delay_fade" },
    { 0xAB328A150C2C80FF, "delay_for_clip" },
    { 0x6BB0F472EF4CEE87, "delay_give_archetype_loadout" },
    { 0x46AE6FD9CB6C13E2, "delay_give_lethal_grenade" },
    { 0xFFC1FDF244DB0B61, "delay_give_tactical_grenade" },
    { 0x6FFD859C20982704, "delay_giving_controls_back" },
    { 0xD76399F7742321DA, "delay_hide_player_clip" },
    { 0x98B9D58A112854CA, "delay_hide_progress_widget" },
    { 0xD2BCAF2212537CE4, "delay_hint" },
    { 0x3DE73731D4AE904E, "delay_init_infil" },
    { 0x7AEB1E41C47993B3, "delay_jackal_arrive_sfx" },
    { 0x2254A16105AA95EF, "delay_kick_inactive_player" },
    { 0x63F06D1D22C49D9D, "delay_kill_convoy_accessories" },
    { 0x1A061F4FA4048FB3, "delay_kill_convoy_ents" },
    { 0x528ACB9EA234A304, "delay_kill_convoy_riders" },
    { 0x7C7F30147C4DA5AB, "delay_kill_main_truck" },
    { 0xF337E987D8E5C996, "delay_loading_screen_omnvar" },
    { 0x3713B35D591C48BE, "delay_makeuseable" },
    { 0xB1EE77C591B129CB, "delay_music_reinforcements" },
    { 0xA8D5A229C6EE0010, "delay_nag_mark_ied_vo" },
    { 0x2E55851BBF4D3802, "delay_node_creation_from_look_at" },
    { 0xE5E74600C31DB198, "delay_node_creation_from_single_point" },
    { 0xC1BF94476E20C162, "delay_notify_player_target_hit" },
    { 0xF852F1AB65C265A3, "delay_nvgs" },
    { 0x7A9A097308BA0050, "delay_objective_update" },
    { 0xD98B67EA262BC753, "delay_orbit_cam" },
    { 0x0D56F624420F955D, "delay_plane_explosion" },
    { 0xF7D7D2E4D59B8EF0, "delay_play_depart_vo" },
    { 0x7CF8C32AA0AE9AFC, "delay_play_ignition_vfx" },
    { 0x857711FEC5B86A61, "delay_play_marker_vfx_to_players_waiting_to_respawn" },
    { 0x704BD400380B0D87, "delay_player_open_door_monitor" },
    { 0xE9025DFFBDF9E839, "delay_player_say_attached" },
    { 0x349D19B22FA31C9D, "delay_player_say_hellyeah" },
    { 0xF750B49AF84030B1, "delay_player_say_in_air" },
    { 0xFC3B0E8ADFA76DB7, "delay_poi_enable" },
    { 0x6DF559F2C11BE36A, "delay_push_player_clear_door_way" },
    { 0xE0B21B5A61B74AC0, "delay_put_players_in_black_screen" },
    { 0xC9A403091A5459FD, "delay_put_vehicles_on_compass" },
    { 0x486F0B5DF00B55D4, "delay_relax_view_arc" },
    { 0x2CA5ED7BAB7A1EED, "delay_reset_player_wander_nag" },
    { 0x65E2918C2877F85D, "delay_reset_team_score_omnvar" },
    { 0xA44257E94EE6A819, "delay_respawn_ied_zone" },
    { 0x2F6760BEBA7E3FA0, "delay_safe_spawn_chopper_boss" },
    { 0xA83A352D2F03FC73, "delay_set_bomber_traversals" },
    { 0xFFFE8762CEC7416E, "delay_set_goal_volume" },
    { 0x22F0582132915892, "delay_set_plane_specific_vars" },
    { 0xA0074CF39BB6037E, "delay_set_starge_three_flag" },
    { 0xE21A13F37AF6342C, "delay_set_starge_two_flag" },
    { 0x80643B42E89CABA6, "delay_set_team_score_omnvar" },
    { 0x4E4284F7ADF32A04, "delay_set_up_coop_push" },
    { 0xFE8FA708590EDE5D, "delay_set_up_ieds" },
    { 0xAE7B3BB2965DDB1B, "delay_show_backpack" },
    { 0xA2506DBFEFE5236C, "delay_show_balloon" },
    { 0x85318A2C713F8607, "delay_show_marker_to_tv_station" },
    { 0xB193957FB6503913, "delay_show_player_clip" },
    { 0xEEB022AF0BE074E9, "delay_spawn_nav_repulsor" },
    { 0x84864378E5072963, "delay_spawn_player_vehicle" },
    { 0x9F20FC5F12536FF8, "delay_spawn_room_soldiers" },
    { 0x84A16A53141C902A, "delay_spawn_tanks" },
    { 0xBDC183A580408CF3, "delay_start" },
    { 0x553A7B056334AD24, "delay_start_cover_node_spawning" },
    { 0xA0DB9A1F28D125CE, "delay_start_escort_enter_vehicle_objective" },
    { 0xD6B143DE90C2159E, "delay_start_escort_protect_hvi_objective" },
    { 0x8CB93A53916589E1, "delay_start_gun_game" },
    { 0x6DF8127FABFE7EE0, "delay_start_infiltrate_objective" },
    { 0xAD7790C5D7A1BB14, "delay_start_player_grenade_fire_monitor" },
    { 0xEB84C5854CBDA520, "delay_start_player_weapon_fired_monitor" },
    { 0x39DAA239364C6F77, "delay_start_player_wire_cutting_think" },
    { 0xBDCCE7625D396717, "delay_start_specified_module" },
    { 0x6192790AF47485FB, "delay_start_wave_spawning" },
    { 0x8BED3A38D3A7861C, "delay_str" },
    { 0x2AE726B17E703908, "delay_suspend_vehicle" },
    { 0x7E66FD6B8D2403E3, "delay_suspend_vehicle_convoy" },
    { 0xBCA40FBAE90A6F5F, "delay_target_cruise_missile_target" },
    { 0xCDE0C086B2D9C6B7, "delay_teleport_players" },
    { 0x1E2A2C483E85EA1C, "delay_test_explodes" },
    { 0xD3F41209B31C3A93, "delay_then_run_cover_node_spawning" },
    { 0x4A9CD414A5049F0D, "delay_then_run_spawn_module" },
    { 0x3B55EB6B1EEE5C31, "delay_then_run_wave_override" },
    { 0xEA5D99723CDA9D30, "delay_thirdpersoncamera" },
    { 0x01BAE93D6F5A38D8, "delay_time" },
    { 0x4B6CD2E7F7D84986, "delay_turn_laser_trap_back_on" },
    { 0x8A50B11309893E5E, "delay_turn_off_red_lights_along_track" },
    { 0x70E50E70A65BB1DC, "delay_turn_off_tum_display" },
    { 0x108B34881135D315, "delay_turn_on_birds_eye_hud" },
    { 0x95425551368558E0, "delay_turn_on_headlights" },
    { 0xE79252399D517126, "delay_unset_wire_color_shown_on_bomb_detonator" },
    { 0x838AFCFF734390AF, "delay_until_first_shot" },
    { 0x7702FC3A4ABA433F, "delay_update_damagefeedback" },
    { 0x0823AB5B4B899FED, "delay_use_assault_drone_vo" },
    { 0x5DB751080A9CA7A9, "delay_use_gunner_turret_vo" },
    { 0x7D9C208BB74D91E7, "delay_values" },
    { 0xFFE859F68AE38E1C, "delay_vehicle_to_push_explode_sequence" },
    { 0xB9F05BF9012680D1, "delay_vip_death_vo" },
    { 0x90B40CA315AAA015, "delaybulletshow" },
    { 0x011C7251797FC230, "delaybulletvfx" },
    { 0xB5B093537127BDC4, "delaycall" },
    { 0xD19D1F0126D1D4E5, "delaycall_proc" },
    { 0x357FDD611B93ADAF, "delaycall_proc_watchself" },
    { 0x8469643E4FB880D9, "delaycallwatchself" },
    { 0x414A84EBA94E38C6, "delaychildthread" },
    { 0xD4E0279E8ABC6F13, "delaychildthread_proc" },
    { 0x5F8CAA03C53217B7, "delaydeletefxents" },
    { 0x20E85768C7279DD8, "delaydestroyhudelem" },
    { 0x7A398AD8A0B632E5, "delaydialogstatustoavoidcaptureoverlap" },
    { 0xBCC0E9F6338093CD, "delaydisabledof" },
    { 0x6F9B37D0492E0D1A, "delaydropbags" },
    { 0x8035C74B6491AADE, "delayed_activation_stim" },
    { 0x516861F78C9C5419, "delayed_creation_calls" },
    { 0x4A8AD5730EBFE398, "delayed_depositing" },
    { 0xCAB57DDE45593EB6, "delayed_disable_respawns" },
    { 0xF819414A51B135D3, "delayed_earthquake" },
    { 0xA25A5A08C0DDBE14, "delayed_enable_fulton_extract" },
    { 0xC29B07C7C04903CB, "delayed_explosion_things" },
    { 0x0625E2D9EEE47D93, "delayed_player_seek_think" },
    { 0x8D6D3A2508C2D58E, "delayed_remove_peent_interaction" },
    { 0x94D61FAD3714AE03, "delayed_spawn_slots" },
    { 0x8D7A850EA4393202, "delayed_stun_damage" },
    { 0xDD78EC0D15ACCE04, "delayed_trigger_unset" },
    { 0xE13C634057A85114, "delayedattach" },
    { 0x9357DD08D55198BD, "delayeddeath" },
    { 0xCE85C73EE8763A82, "delayeddetach" },
    { 0xAB1BB8214A3178A9, "delayeddetachbreak" },
    { 0xC111146C138E504C, "delayedeventtypes" },
    { 0xCC8A3EC2625A66C4, "delayedfofoverlay" },
    { 0xAB93890CAA3FBAA5, "delayedhostagespawn" },
    { 0xF087D7F8C4453464, "delayedleaderdialog" },
    { 0x26D6A811790F18DE, "delayedprocesskill" },
    { 0x5D255F531B555E9D, "delayedshowtablets" },
    { 0x77373D840FCDB6AD, "delayedspawnedplayernotify" },
    { 0x1C1BDC70C788C60B, "delayedsuperbonus" },
    { 0x144C5BA0C7699AC2, "delayedunsetbettermissionrewards" },
    { 0xECF4B648C9134FE8, "delayenabledof" },
    { 0x84A1DC2D4024614E, "delayentdelete" },
    { 0xCE0907A20E3C42D3, "delayer" },
    { 0x96EB7BDE11DE3F9C, "delayeventfired" },
    { 0xE9D4B984CE48159E, "delayfxcall" },
    { 0x44B087D1013B9CC5, "delayfxdelete" },
    { 0xC651A8FB31D7ED86, "delaygivecurrency" },
    { 0x05477565CAEA0AC8, "delayinc" },
    { 0xE656E2E077929267, "delayjackalloopsfx" },
    { 0xA0091C0E3E600034, "delaykill" },
    { 0x0B04EB874D1BE759, "delayleadtakendialog" },
    { 0xF4FC072CE1DAEE76, "delayminetime" },
    { 0x16D3599F76341BAE, "delaymodifybasefov" },
    { 0x3228BBCEC010EA39, "delayplayer" },
    { 0x03A81247B9851981, "delayplayerscorepopup" },
    { 0x9160EE3095CA1F4B, "delayplayerwarning" },
    { 0xF0FEEE8190A9D56B, "delayreturningperks" },
    { 0x8E1A394E239B4A7F, "delayscriptablechangethread" },
    { 0x9641F06635270F0C, "delayset" },
    { 0x138DD8A2CD1109FC, "delaysetclientomnvar" },
    { 0x7FAE93478EF7BE0B, "delayslowmotion" },
    { 0x5DA6D8F8CBC1FA81, "delayspawntoc130" },
    { 0xF6AFBD28F3EE7DD7, "delayspawnuntilpointcap" },
    { 0x6A940FF087B16B83, "delaystartragdoll" },
    { 0x82C9AD35EAFCCB8F, "delaystreamtomovingplane" },
    { 0xB4921DEBBDAB7DB9, "delayswaploadout" },
    { 0x394B5944B2C86EB2, "delaytakeminigun" },
    { 0x1BC203C6FDFA253C, "delaythread" },
    { 0x66A859C73F4A744D, "delaythread_proc" },
    { 0x7E39892684DC91BE, "delayusetime" },
    { 0x49BE277E509F7898, "deletable_magic_bullet_shield" },
    { 0xE3087321DF351D38, "deletables_convoy_ambush" },
    { 0x71A19DE04BAC2139, "deletables_thread" },
    { 0xCC1EA3A4F3360850, "deletables_wait_convoy_ambush" },
    { 0x33827C42853B31E6, "delete" },
    { 0x17B4B1214A5B1A33, "delete_accessories" },
    { 0x23B6F64CF67511E9, "delete_after_anim" },
    { 0xC9019A3A7425D8CA, "delete_after_flank_trigger_spawns" },
    { 0x2C9B5DFB27C0125B, "delete_after_objective_a" },
    { 0x3121B049E7CBDBC5, "delete_after_time" },
    { 0x22CE0FB956569E85, "delete_ai" },
    { 0x8314E508FE98182D, "delete_aiment" },
    { 0x327999A8F50841C5, "delete_airlock_ents" },
    { 0x6D9C624231AF8E57, "delete_all_bad_guys" },
    { 0x2AEFA946BC316A9A, "delete_all_leads" },
    { 0xD7E67638B93B57C0, "delete_all_molotovs" },
    { 0x96F40F784A7A4311, "delete_all_script_models_with_modelname" },
    { 0x77BB0639858DE4EE, "delete_all_script_models_with_modelname_async" },
    { 0x58A1F1E144600035, "delete_all_team_chain_objectives" },
    { 0x7C43103C3B2006DD, "delete_all_vehicles_in_friendly_convoy" },
    { 0xD72D6477B3842B4C, "delete_alley_trucks_monitor" },
    { 0x01FCF7E918F08D19, "delete_allies" },
    { 0x38FF735E9E767C90, "delete_at_distance_to_player" },
    { 0x246912BADC7B087F, "delete_bad_trucks" },
    { 0xAD15EF58C81963B9, "delete_barricaded_door_boards" },
    { 0xC1679BB9E7BD8E9A, "delete_basement_runner_wait_trig" },
    { 0xD99A6C609474639A, "delete_bomb_strip" },
    { 0x0AE8A4A585C16233, "delete_breach_engine_loop_after_time" },
    { 0x3B886EAF8769709E, "delete_breadcrumb" },
    { 0x8DDB25BAF1C39948, "delete_breadcrumb_array" },
    { 0x7B811F104005FDC5, "delete_camera_point" },
    { 0xCEF570F724F4482D, "delete_cattleprod" },
    { 0xB834B699034789EF, "delete_center_guys" },
    { 0xEECC5574EF46AA01, "delete_clip_during_walk" },
    { 0x68DA06923E32B00D, "delete_combat_icon" },
    { 0xE6AD17714291AD68, "delete_convoy_at_pathend" },
    { 0xDA596F98CADA0AA0, "delete_corpses" },
    { 0x6807078F1EA83225, "delete_corpses_around_pos" },
    { 0xDA856594AD7C2DC1, "delete_cover_after_timer" },
    { 0xBF018EA121331FB7, "delete_covernodes" },
    { 0xAE5134D83F82E79B, "delete_crate_objectives" },
    { 0x37FB49E88CA22C9F, "delete_critical_target_icon_on_death" },
    { 0x956E7A823583C66C, "delete_destructibles_in_volumes" },
    { 0x93A45AAA83FB9AFB, "delete_door" },
    { 0xAC00D7B6C53C700A, "delete_door_clip" },
    { 0x1417F162FA91A635, "delete_drone_model" },
    { 0xFB105B89CB8CF56C, "delete_dropped_weapon" },
    { 0x2132BF3C3BDDB039, "delete_elevator" },
    { 0x16CD15C46682AD2D, "delete_enemies_if_reaching_max_ai" },
    { 0x19A6379908A3DE78, "delete_ent" },
    { 0xE6828A8AC93A7035, "delete_entarray" },
    { 0x909F812D1B76CA9F, "delete_ents_to_clean_up" },
    { 0x16713ACFA9F98D5D, "delete_exfil_ai_structs" },
    { 0xD00882E2360C989A, "delete_exploder" },
    { 0xDE688263E58A478F, "delete_exploder_proc" },
    { 0x37B08DDA37AC961F, "delete_exploders_in_volumes" },
    { 0xC722172A2A4CB81A, "delete_fan_blades" },
    { 0x953E891D54A06321, "delete_fly_choppers" },
    { 0x61D4F2D0A2CCD2D4, "delete_furthest_respawn_enemy" },
    { 0x9140289950DFCAD7, "delete_grenade_when_thrown" },
    { 0x572C9EDD3085230C, "delete_headicon" },
    { 0x10DE596FB9F900E9, "delete_headicon_on_death" },
    { 0xEF36AB590D957EE9, "delete_ied_marker_vfx_to_non_overwatch" },
    { 0x4A02B2469643BF28, "delete_interactives_in_volumes" },
    { 0x67EE60AC8A712CFD, "delete_intro_lights" },
    { 0x84669E947E13A2EC, "delete_intro_lights_after_delay" },
    { 0x8E733C7BD466CC9D, "delete_keypad_display_models" },
    { 0x4EC492EEF3E349E8, "delete_laser_entities" },
    { 0x06A5D1D1E8FB973F, "delete_last_second_grenade_throws" },
    { 0xF49C8AC2F30AF4FD, "delete_launchers_on_death" },
    { 0xBF26888AB6496425, "delete_light" },
    { 0x06983AE492638CE1, "delete_links_then_self" },
    { 0xD4E035C6D82B3AB1, "delete_live_grenades" },
    { 0xD283F010F73EB53C, "delete_lotus_decho" },
    { 0x80663E60A77E4D61, "delete_magic_flash_if_triggered" },
    { 0x1000291559F0FBE0, "delete_mansion_spawners" },
    { 0x22BC03B9564246C5, "delete_me" },
    { 0x9943E54F3C698A89, "delete_model_and_fx_on_crate_drop" },
    { 0xEE084D704ECF9C9B, "delete_molotov" },
    { 0xACA1802965D0FC17, "delete_my_drone_models" },
    { 0x84BB772A956B277F, "delete_my_old_path" },
    { 0xD26105569134DEFA, "delete_my_script_collision" },
    { 0x1EFF6D13047AB18B, "delete_name_fx" },
    { 0xC75858C560A0CE60, "delete_nav_obstacle" },
    { 0xA31A9F9CFC6788CD, "delete_nav_obstacle_on_death" },
    { 0x2029646E8D415ED1, "delete_non_overwatch_ied_marker_vfx_for_player" },
    { 0x1CE6BF26B0FF6BE7, "delete_noteworthy_ents" },
    { 0x66DC771EEFA6B4D6, "delete_objective" },
    { 0x2AF982C8C80780AF, "delete_objective_on_death" },
    { 0x375FED177DCD563D, "delete_objective_on_death_safe" },
    { 0xCAB529A913BC9A51, "delete_off_screen" },
    { 0x6816B4DA4A92211E, "delete_old_gate" },
    { 0x87C6C82385270CF2, "delete_old_objective_location" },
    { 0x8BB1A699A2492A20, "delete_old_rebels" },
    { 0xB7735F2F35BABC6F, "delete_on_animend" },
    { 0x953F8B63677B933F, "delete_on_death" },
    { 0x19175104E1182D4E, "delete_on_death_delayed" },
    { 0x3AE215DCDE20042F, "delete_on_death_or_dissconnect" },
    { 0x544F0343FD24EAF1, "delete_on_death_wait_sound" },
    { 0x92C443DF8700EA98, "delete_on_end" },
    { 0x11DAF0570A44AA2C, "delete_on_ent_notify" },
    { 0x5539101183B77B74, "delete_on_exit_icon_trigger_pre_race" },
    { 0x8B9CD7799CB666E5, "delete_on_flag" },
    { 0x38B530E859D91695, "delete_on_level_notify" },
    { 0xF43C4AEFF6B41CCB, "delete_on_load" },
    { 0x7170EAC4FF236346, "delete_on_notify" },
    { 0x9CD44667BDB72F3A, "delete_on_notify_delay" },
    { 0xE30494F329FB3169, "delete_on_removed" },
    { 0xA69D6293C13E7042, "delete_on_sounddone" },
    { 0x0D143231AA220B0C, "delete_on_track_delete" },
    { 0xFCAEDC29E93665C1, "delete_on_unloaded" },
    { 0x68C64F971575DE38, "delete_onflag" },
    { 0x489E23F18D86E525, "delete_org_on_finish" },
    { 0x226EA3A3C088FEAC, "delete_orgs" },
    { 0x54E75AC372EB34FA, "delete_pipe_ents" },
    { 0x1C99419D5E5039D5, "delete_player_overlay" },
    { 0xE0A1DDF7311AB9D4, "delete_players_black_screen" },
    { 0xBCCF271954FB4993, "delete_pressed" },
    { 0x7C4533A5A2A66B06, "delete_race" },
    { 0xCA275E94A056F8A9, "delete_rebar_model" },
    { 0x450FBF1529D1AD7A, "delete_respawner_markers" },
    { 0xCA76953FF7FAED86, "delete_riders" },
    { 0x620B685316B84BFC, "delete_screens" },
    { 0x7C0A340F8C84C726, "delete_script_object" },
    { 0xFD15F3307202F20B, "delete_scriptables_in_bar" },
    { 0xBF2FFEA83D0FB43D, "delete_scriptables_in_canal" },
    { 0x381FA1414C327F2F, "delete_selection" },
    { 0x4777C67D151DF84F, "delete_shell" },
    { 0xF402E78842320A92, "delete_silo_lights" },
    { 0x4C71EE49DD03F6CF, "delete_smoke_fx" },
    { 0x3BEEDD1CC9CDC56D, "delete_starting_boxes" },
    { 0x74C0ECE374983EB4, "delete_stealth_meter" },
    { 0x05E5BBA2635C9762, "delete_storefront_signs" },
    { 0x5072487B525810E5, "delete_structs_on_self_death" },
    { 0x3ACF9A9EE4584C6B, "delete_subway_car" },
    { 0x5C54D4D6198A831D, "delete_targetname" },
    { 0x804F26CC1806C660, "delete_technical_roof_trig" },
    { 0x69ECF55895B7428A, "delete_tires" },
    { 0x689E63E42757349A, "delete_track" },
    { 0x0123CC203781112A, "delete_trapfunc" },
    { 0x4D20781C801BBE58, "delete_trigger_with_noteworthy" },
    { 0xF59094268B55C679, "delete_trigger_with_targetname" },
    { 0xF4424A387F972D90, "delete_undeployed_subway_cars" },
    { 0x428AEC6A8FC98F7A, "delete_vehicles_turrets" },
    { 0x2A6827B2933E6957, "delete_waste_groundfloor" },
    { 0x05BECBA768B53182, "delete_weapon_after_time" },
    { 0x47D6ACCD58AA75AB, "delete_when_dist_away" },
    { 0xEEC8214A9B6A6829, "delete_when_offscreen" },
    { 0xD7D4E5752FE1FC9E, "delete_window_blocker" },
    { 0x20D099DB74E03AF6, "delete_wire_blocker_on_trigger" },
    { 0x1495F304B6403D2A, "deleteable" },
    { 0x62FE0732EA72198D, "deleteaftertime" },
    { 0x490A1ACE7DD6496B, "deleteallglass" },
    { 0xEBF18D0CFDC7EDAA, "deleteallgrenades" },
    { 0xC3B2B1683D48CA4D, "deleteatframeend" },
    { 0xA2A9702E6C40FF4A, "deletebullet" },
    { 0x93761AD418C921DA, "deletecarryobject" },
    { 0x0B81A534B20A66CE, "deletecircle" },
    { 0x4A5782F018113F85, "deletecover" },
    { 0xCD491EACF722C505, "deletecrate" },
    { 0xFB5E5D1D9F09871A, "deletecrateimmediate" },
    { 0x62B5AC0ACFD603D6, "deletecrateold" },
    { 0x39B50FB60C4A3E89, "deletedelay" },
    { 0xD31BBCE9BBA30648, "deletedestructiblekillcament" },
    { 0x3AE5091F321C30F6, "deletedisparateplacedequipment" },
    { 0x73E77B0DBE4A1545, "deletedomflaggameobject" },
    { 0x3BEA431EBFE28058, "deletedriver" },
    { 0xA14F969C0C2CCE1F, "deletedroppedobject" },
    { 0xCA075A628CEB3A99, "deletedroppedscriptablebatch" },
    { 0x45ABE7E7467AECA9, "deleteendzone" },
    { 0x3A46A8C198D74961, "deleteepictauntprops" },
    { 0x62CDCBF9386922C5, "deleteexplosive" },
    { 0xABD61FC38171FD2B, "deleteextantvehicles" },
    { 0x37576D69BC619A50, "deletefunc" },
    { 0x7B31F94D687125D2, "deleteglass" },
    { 0x1339673416413AF6, "deletehandler" },
    { 0x120EF59307207451, "deleteheadicon" },
    { 0xB523FCAB3EE46EDE, "deleteheli" },
    { 0x4F528ED21E93D733, "deletehistoryhud" },
    { 0x390E69BE178FF396, "deleteinfilclip" },
    { 0xA0B91BF398116E3C, "deleteme" },
    { 0xD154A867D23327F5, "deletemine" },
    { 0x32D810880ED419A9, "deleteobjective" },
    { 0xFAFFE59E6A7BF5E4, "deleteobjectiveicon" },
    { 0xAB90C40657AE3F1B, "deleteobjpoint" },
    { 0xC2E0DDD067255563, "deleteondeath" },
    { 0x7E66FACF80065C35, "deleteonentnotify" },
    { 0xB4EE1681721C36A0, "deleteoninfilcomplete" },
    { 0x9E95E1B81D54C378, "deleteonownerdeath" },
    { 0xCCB7B2A49734E953, "deleteonparentdeath" },
    { 0x61646249BBC895E6, "deleteonplayerdeathdisconnect" },
    { 0x44208051844CBFFA, "deleteonspawn" },
    { 0x16FAD2DAF763E09F, "deleteotpreview" },
    { 0x5E9726FBF17EC1F3, "deletepentsondisconnect" },
    { 0xF18C61D72A32A0C7, "deletepentsonrespawn" },
    { 0xC2A5EAF7E6A6D15C, "deletepickupafterawhile" },
    { 0xC9741B1FD441AC3F, "deletepickuphostage" },
    { 0x4F80C46F4B51D8B9, "deleteplacedequipment" },
    { 0xD4257CA6EAC26580, "deletepropsifatmax" },
    { 0x54985EA62568A114, "deletequestcircle" },
    { 0x3EB6ACD5C4B33AE0, "deletequestobjicon" },
    { 0xD9B24E993C88D4F7, "deletescavengerhud" },
    { 0x106768528A514F42, "deletescriptableinstance" },
    { 0x3BD659B627E50271, "deletescriptableinstanceaftertime" },
    { 0x4EBBD2D3FBDDBC06, "deletescriptableinstanceaftertime_proc" },
    { 0xCB9482229348D900, "deletesecretstashhud" },
    { 0x466F9C4D890A8DB7, "deleteshortly" },
    { 0x381E139D3ACD190F, "deletesmokinggunhud" },
    { 0x3AA25E27BF57159D, "deletesolospawnstruct" },
    { 0xFB5108457D0D041B, "deletesoundents" },
    { 0x897975F31DAB7AEE, "deletespawncamera" },
    { 0xCA47EB7E465B1310, "deletesquad" },
    { 0x82FC08FCEFEE999E, "deletesquadspawnstruct" },
    { 0xDFF6C65157828981, "deletestackedstreak" },
    { 0x9CA87264171C4259, "deletestruct_ref" },
    { 0xE01320BFAF54D268, "deletestructarray" },
    { 0x787BDAB68F0E76D2, "deletestructarray_ref" },
    { 0x75F904B374D552BB, "deletetacinsert" },
    { 0xDF3072ED3271EA7C, "deletetargetmarkergroup" },
    { 0xADFBF3363249AD33, "deletetimedrunhud" },
    { 0xEA65DAC0AAE7FC25, "deletetmtylheadicon" },
    { 0x156B591CD7823ECB, "deletetrackedobject" },
    { 0x97C494C038DB6708, "deletetrackedobjectoncarrierdisconnect" },
    { 0xFDD9BAC268911966, "deleteuseent" },
    { 0x1A7DE69B46F8074E, "deleteuseobject" },
    { 0xD12085B7A393586E, "deletevfx" },
    { 0xF908C8BC280DCEF3, "deletex1finhud" },
    { 0x55B9B66CF3EA1FB3, "deletex1stashhud" },
    { 0x4FBFF9F418B58DF1, "deleting" },
    { 0xAF15E391183461DB, "delivertime" },
    { 0xEC4D088AD4BC7A76, "deliverybox" },
    { 0xE2ECA5A0D9439E68, "deliverydrone_delivertopoint" },
    { 0xB36B20AE6A4FF00C, "deliverytarget" },
    { 0x3525C20CD7024759, "delta_to_mover" },
    { 0x24835F08A6C87C5A, "demeanor_exit_func_wait" },
    { 0x0234D674416C01FA, "demeanor_hack" },
    { 0x6CC139BE1A403237, "demeanor_override" },
    { 0x40ED67C411B23434, "demeanor_override_all_enemies" },
    { 0x5CCEFABD8A660967, "demeanor_switch" },
    { 0xD8D7A3D8EA2EE281, "demeanorhasblendspace" },
    { 0x3141B3A448CEDB1A, "demeanoroverride" },
    { 0x6C14DFF1824DD684, "demeanorsafeenabled" },
    { 0xEA2C395DA1D0BB9A, "demeanorsprintdisable" },
    { 0x817725728A8B0AB2, "demo" },
    { 0xA5B3DBDA0DE86D68, "demo_allowed_debug_outline" },
    { 0x1AB6C2745911AF09, "demo_bathroom_fakeblood" },
    { 0x61C84A8B801AF4B1, "demo_button_combo_debug_watcher" },
    { 0x32E350F1527515E7, "demo_button_combos" },
    { 0x3E83AB339D782BAE, "demo_debug_nuke" },
    { 0x019203AD8B8DF4FB, "demo_debug_outline_button_watcher" },
    { 0xDA24D72009C3474D, "demo_debug_outline_settings" },
    { 0x4122A4B70D5B2091, "demo_toggle_godmode" },
    { 0xED546BB1F30841AA, "demo_toggle_infiniteammo" },
    { 0x8617C8D41055B1A8, "demo_toggle_ufo" },
    { 0x237899AA0EDD6A1F, "demo_trigger_damage" },
    { 0xFA0F5345961888E3, "demo_update_hint_logic" },
    { 0x21A6B176191E6073, "demoforcesre" },
    { 0x6EBA44F9CC514495, "demotehvt" },
    { 0x254DCC9B0516244F, "density" },
    { 0x6340E4EBFF2FA358, "density_cap" },
    { 0x137B80530C1D0A34, "density_cap_count" },
    { 0x268CF7EE4DA622D6, "density_radius" },
    { 0xE7FD6820AC373788, "denyascendmessage" },
    { 0x15DB640849B288F7, "denyascendmessagejugg" },
    { 0x523A906DB2FEDA78, "denyascendmessagelaststand" },
    { 0x61C82F5D902769BE, "denyclasschoice" },
    { 0x223729736530E59C, "denysystemicteamchoice" },
    { 0x8AFE5883262A1CCC, "depends" },
    { 0xA991EE915DED5F96, "depletiondelay" },
    { 0xBCC37338197830CD, "depletionrate" },
    { 0xEBDE1F3CBA0A7598, "deploy_ac130_drone" },
    { 0xB14C0C0B077B01C8, "deploy_balloon_nags" },
    { 0x666314E3446EF222, "deploy_collection_drone" },
    { 0xE4222CC17AAB7FB7, "deploy_concrtete_blockers_for_puzzle" },
    { 0x61459BA4583CE5E3, "deploy_drone" },
    { 0xDF0D88EC9CD75286, "deploy_emp_drone" },
    { 0xB5025D01121AFC60, "deploy_enemy_turret" },
    { 0x2F2E9C5AD1585DC9, "deploy_enemy_turrets" },
    { 0x46E7DA02509371E6, "deploy_fast_rope" },
    { 0xE7AC1C1F0F216497, "deploy_friendly_convoy" },
    { 0xC263261A1B6A7D6D, "deploy_friendly_hvi_vehicle" },
    { 0xF920EEA604A6552D, "deploy_friendly_reinforcement_convoy" },
    { 0xF73247B58DE0B4D9, "deploy_helper_drone_actual" },
    { 0xB618908149EDC027, "deploy_ladder" },
    { 0x26072ED82D143461, "deploy_scout_detonate_drone" },
    { 0x3C967FFA7345A8C2, "deploy_scout_drone" },
    { 0x9C67921650E16158, "deploy_scout_drone_generic" },
    { 0x776A78376F66248B, "deploy_smoke_grenades_for_infil" },
    { 0x13158DC6406D683D, "deploy_smoke_grenades_for_infil_via_structs" },
    { 0x56ECA0EEBD6C3FCA, "deploy_subway_car_at_station" },
    { 0x884A80E04ABD55E8, "deploy_subway_cars_on_track" },
    { 0x0EBA146C17631E79, "deploy_suicide_truck" },
    { 0xFB66F205CD8087D9, "deploy_suicide_truck_in_blockade" },
    { 0xD75103795306F15A, "deploy_suicide_truck_in_farm" },
    { 0xC7FC7502BDD96D7A, "deploy_suicide_truck_in_lumber_yard" },
    { 0x884A1B9AEAE8B9E5, "deploy_vehicle" },
    { 0x3A08C5CEEF3CF900, "deploy_vehicle_to_push" },
    { 0x86159A1C243D4D78, "deploy_wp" },
    { 0xCCAE4AB1C2D4A534, "deployable_box" },
    { 0x89A6B99EFF9FC2FF, "deployable_box_interaction" },
    { 0x57F1FFB1D4CACC8F, "deployable_box_onuse_message" },
    { 0x96AC331C39F08099, "deployable_cover_cancel" },
    { 0x6CF03C24C46E327E, "deployable_ladder_init" },
    { 0xDC4038DCB3658334, "deployable_ladder_thread" },
    { 0x0AA57C81498CFC83, "deployablebox_vest_max" },
    { 0xFA0D4A0BCD060711, "deployablebox_vest_rank" },
    { 0x2337D5B4C7A7E8DE, "deployableexclusion" },
    { 0x41C306ED54EDFA97, "deployables" },
    { 0x66C2B2CB1070EF77, "deployanimduration" },
    { 0xD96ADF0F83A8D72B, "deployed" },
    { 0x5B21DA16FEBD4A15, "deployedlmgnode" },
    { 0xC7643A7708F35E96, "deployedsfx" },
    { 0x76AE4723018E354B, "deployflares" },
    { 0x68E701EA70D4B5AC, "deployfunc" },
    { 0x55DFA07291E54ACF, "deployingplayer" },
    { 0x33632CD78AA28581, "deployweaponname" },
    { 0x137F8CE2677118E7, "deployweaponobj" },
    { 0x866F422E9875ED8D, "deployweapontaken" },
    { 0x369C629734AF053A, "deposit_ai_from_drones_in_vehicle" },
    { 0xBE3D940C75DAA891, "deposit_box_activate" },
    { 0x0FC0ED5AF27EC5C9, "deposit_box_hint" },
    { 0x01D65026DA92DD51, "deposit_box_interactions" },
    { 0xAC8EDE2DF10E300C, "deposit_box_search" },
    { 0x5F47344662E8D01B, "deposit_from_compromised_convoy_delayed" },
    { 0xEAC224585E2E098D, "deposit_from_compromised_convoy_delayed_failsafe" },
    { 0x41ACA8C8BAB0BED7, "depotmakeunsabletoall" },
    { 0x113EA68B12379654, "depotmakeunusabletoplayer" },
    { 0xEE3F3A9418BD629B, "depotmakeusabletoplayer" },
    { 0x45C6AA8E8D54E001, "depotplayerprogressthink" },
    { 0x662E16BA7D11BD86, "depotprogressthink" },
    { 0xDE34DB2271E10DBF, "depotthink" },
    { 0x76D03C453721774F, "depthoffieldvalues" },
    { 0xEF8C9F5FD81B4F41, "dequeuecorpsetablefunc" },
    { 0x0FDF6898595CECB6, "deregistered" },
    { 0xFA55631074223401, "deregisterentforoob" },
    { 0x68E4BCBC52C9F0D0, "deregistergasmaskscriptableatframeend" },
    { 0xA7620A58F2716C91, "deregisterloot" },
    { 0x3050369C0F5261A4, "deregisterpotgentity" },
    { 0x7AFBF2D82BAD1103, "deregisterscriptableinstance" },
    { 0x5434287E9F97F852, "deregisterspawn" },
    { 0x98AE6B0DF454C431, "descend" },
    { 0x90DC892A34EAE185, "descendpos" },
    { 0x9EF9B05DB77C4F87, "descendsolostarts" },
    { 0x6B96A6EFA28E51B0, "descendstarts" },
    { 0x4052DB5B72AF1394, "describerole" },
    { 0x87F80F97C9F8BF75, "description" },
    { 0x5B5E7999FC2AE4E6, "deselect" },
    { 0x4E955E17096B3859, "deselect_all_ents" },
    { 0xA77AAAEC0094D504, "deselect_entity" },
    { 0x1446253065BA0AFE, "desired_accel" },
    { 0x0D314131E645C239, "desired_anim_pose" },
    { 0x15C2026C6D779F79, "desired_dist_from_vehicle_to_chase" },
    { 0xC3F8D471E6D4227F, "desired_enemy_deaths_this_wave" },
    { 0x67AAD79132B8F036, "desired_landing_spot" },
    { 0x7D854615928A35A5, "desired_speed" },
    { 0xA6305EA66C75929B, "desiredaction" },
    { 0xD631DE4D43F0E5B0, "desiredaimpos" },
    { 0xA44CC6A06D9CCC74, "desiredangle" },
    { 0x0A705206983EB6EB, "desiredbone" },
    { 0x81DFABD2A6CBDBD0, "desiredmovetype" },
    { 0x3FCBDA7A860063B1, "desiredstance" },
    { 0x38FE77466FC742A9, "desiredtimeofdeath" },
    { 0x65D2882E7B6F8F59, "desiredturnyaw" },
    { 0x3EEEC7A21F7016AE, "desiredturretposeis" },
    { 0xC475B4240360129A, "despawn_dist" },
    { 0x6B73F7C5ECF7EE28, "despawn_dist_enable" },
    { 0xC9F9B154FD6E458B, "despawn_hostage" },
    { 0x3961363A2A60EB1E, "despawnagent" },
    { 0xF905D520D83D3A64, "despawncovernode" },
    { 0x7776857C99AC084C, "despawncoverwall" },
    { 0xEC384D6AF12CA170, "despawned_vehicles" },
    { 0x07C4406998F4D14B, "destination" },
    { 0x8C6AE37980093854, "destinationentity" },
    { 0x1C9F2E656327EA0C, "destinationhit" },
    { 0x8220FA748F6B0834, "destinationnormal" },
    { 0x096AE03B62681E28, "destinations" },
    { 0x47FDB09004EEEF22, "destinationtime" },
    { 0x02281D690FA5CF6B, "destorder" },
    { 0x6B02CA66E0314807, "destoyedsplash" },
    { 0x4E90128DEAEA6835, "destpoint" },
    { 0xC8EDD7EB732573F2, "destprogress" },
    { 0x0EE6B37D2CAE13B9, "destroy" },
    { 0x6277435A3CA21CC5, "destroy_bad_traversals" },
    { 0xB44FEA35FAD85290, "destroy_bleedout_timer" },
    { 0xE009E8E99FCF4F36, "destroy_building" },
    { 0x9F54A714B63244DD, "destroy_cars" },
    { 0x12D68862E7DB956E, "destroy_dialogue_hud" },
    { 0xD3F6C74F28FFC30E, "destroy_dyndof" },
    { 0xA7B2F132D83BB1ED, "destroy_first_roof_mortar" },
    { 0x7BA41851C8CD9F4A, "destroy_hint_on_endon" },
    { 0x2EC7676177596F3F, "destroy_hint_on_endon_proc" },
    { 0x4EFE58C3576103B1, "destroy_hint_on_friendlyfire" },
    { 0xC7236DFB9F70626E, "destroy_hint_on_player_death" },
    { 0xA35C5C7EA0AE68DD, "destroy_intro_tank" },
    { 0x22FB3DF38B0095AC, "destroy_jammer_relocate" },
    { 0x9C24A444B91D0B9F, "destroy_lmgs" },
    { 0x4E8526615C356CD5, "destroy_menu" },
    { 0x9B5A74FBDE29D181, "destroy_objective_waypoint" },
    { 0xD0B380FD73254BDE, "destroy_scripternote" },
    { 0x994F8A77DFCA0C0C, "destroy_scripternote_bg" },
    { 0xAF25D033583913E8, "destroy_service_fusebox" },
    { 0xB955F185B3C74E57, "destroy_vehicle_if_driver_dies" },
    { 0x4E632EE815997532, "destroy_vehicle_on_pilot_death" },
    { 0x2430A20D916912E7, "destroy_vehicles" },
    { 0xF3CC4B9532267BB9, "destroyactiveobjects" },
    { 0x80D4501403FD6161, "destroyalldamageparts" },
    { 0xEE3607BDE71C2492, "destroyaward" },
    { 0x22D0C97126037877, "destroyawardlaunchonly" },
    { 0x600AF17F6A29968A, "destroycallback" },
    { 0x7DCF7D436FAB62F2, "destroychute" },
    { 0xD2210B493884C12C, "destroycrate" },
    { 0xA0419B9739F794FE, "destroycrateinbadtrigger" },
    { 0x8B415CC558021811, "destroydamagepart" },
    { 0x8B9E4D0FDBA31F7C, "destroydangerzone" },
    { 0x09A63885717F7F80, "destroydroneoncollision" },
    { 0xB64B991DFBEAC710, "destroyed" },
    { 0x5F5E5E610E619CFE, "destroyedapc" },
    { 0xCDBEA6F8726D0548, "destroyedbydamage" },
    { 0x344C45EA6D5751E7, "destroyedobject" },
    { 0x6E1F853906A46ABF, "destroyedsplash" },
    { 0x719D150EB8E10527, "destroyedvo" },
    { 0xE4D95F0F0D0BD70E, "destroyelem" },
    { 0x7E9E3666EFE77E96, "destroyemitters" },
    { 0x01B559AE8F0B6B70, "destroyenemyiconslowly" },
    { 0xAF2F36547E1709AB, "destroyexplosiveoncollision" },
    { 0x1DE9891B45EB41F7, "destroyglass" },
    { 0x9DDD3869F0261528, "destroyheadiconsondeath" },
    { 0x7189BF105807BD49, "destroyheli" },
    { 0xF4EB77F70982EEDA, "destroyhelicallback" },
    { 0x605245B7C008F53D, "destroyhqaftertime" },
    { 0xE9F7B2779325C132, "destroyiconsondeath" },
    { 0x242057F084D0AE47, "destroying" },
    { 0xBC24F1F32B7C1CE3, "destroylight" },
    { 0xB29FDEE8A8B0A314, "destroylootnotification" },
    { 0xBC3D3CD14B221B39, "destroyminimapicon" },
    { 0x7565668B01661682, "destroymountmantlemodel" },
    { 0xDB2D0107C273A6F6, "destroynavlink" },
    { 0xDE3E3EB9A110B31F, "destroynavobstacle" },
    { 0x0A5B749FD2530538, "destroynavrepulsor" },
    { 0x16D116B629AF4FEF, "destroynavrepulsor3d" },
    { 0x77B648D57D167D55, "destroyonactivate" },
    { 0x3DCAB0C7C6F38766, "destroyoncapture" },
    { 0x52012AC521F61189, "destroyonownerdisconnect" },
    { 0x889B077AE82B7D2F, "destroyoverlay" },
    { 0x42B156B2F8808FA6, "destroypropspecatehud" },
    { 0xDCB9F8428304E1DB, "destroyscoreevent" },
    { 0xAE16F25F760DC5AC, "destroyscorelaunchonly" },
    { 0x9863466BBCA2C733, "destroyslowly" },
    { 0xC5EC404716322E3B, "destroyspawninfluencepoint" },
    { 0xF914B8F065709C20, "destroytvs" },
    { 0xF24436178B82FE05, "destroyvisualscallback" },
    { 0x392D9ADB40236223, "destroyvisualsdeletiondelay" },
    { 0x6F80E198DA1E8936, "destructable_car" },
    { 0xCF50618CE9913C8A, "destructable_destruct" },
    { 0xFBE0306874B40450, "destructable_think" },
    { 0xF785066F3DE676DF, "destructible" },
    { 0x2FBE33BE48F40342, "destructible_death" },
    { 0x44E6FAD121D8DD74, "destructible_ignore_attacker" },
    { 0xF599E348D5D062E1, "destructible_interactions" },
    { 0xADE3FCD49C8F0D8D, "destructible_model" },
    { 0x2591119FA745B884, "destructible_objective_think" },
    { 0x385BFD294DD679AB, "destructible_objectives_init" },
    { 0xADB1A5C21EF32A4B, "destructible_perimeter" },
    { 0xD1006ADDD65A476F, "destructible_piece_thread" },
    { 0xD0F77493243D1A68, "destructible_type" },
    { 0x36C917B7622D701B, "destructible_vehicle_init" },
    { 0x64410A54F2ACD030, "destructible_vehicle_main" },
    { 0x7BB08317946F9479, "destructible_vehicle_thread" },
    { 0xEE9E6F380B130D32, "destructible_wall_mortar_end" },
    { 0xDF39C2E207D6F483, "destructiblecarlightssetup" },
    { 0x4003D2A521D6FC44, "destructibles" },
    { 0x4352EA9B17CBFA07, "destructibletrucksetup" },
    { 0xCA3C456798F47D36, "destructiblevehiclesetup" },
    { 0x78582B96B8597CAF, "destruction_encounterstart" },
    { 0xD87B7457E5215D0A, "det_sparks_vfx" },
    { 0xAC1FB28A323BB226, "detach" },
    { 0x91A0FD56CB1C5BD3, "detach_bomb" },
    { 0x630125518424660C, "detach_getoutrigs" },
    { 0xD7153A5D85544D64, "detach_linkedaniment" },
    { 0x57FC72AC38658995, "detach_linkedaniments" },
    { 0xC485DE07224CA306, "detach_models_with_substr" },
    { 0x54DECF5FA8F91EAC, "detach_player_knife" },
    { 0x97D1F666CB21BE05, "detachall" },
    { 0x68B30BF7D9B31F9F, "detachallweaponmodels" },
    { 0x0242236AA6267E28, "detachflag" },
    { 0xCABEC715EFE5DA88, "detachflashlight" },
    { 0x25746B8928EEF4AE, "detachgrenadeonscriptchange" },
    { 0xBDDF134C459F4D61, "detachifattached" },
    { 0xCAD90D7B108D27FC, "detachobjectifcarried" },
    { 0x545F9960290D1D6D, "detachriotshield" },
    { 0x8573688D3169B508, "detachshieldmodel" },
    { 0x33992705B13182AF, "detachusemodels" },
    { 0x16764C21A64E8AF6, "detachweapon" },
    { 0x74491A8A0A1B8EB6, "detect" },
    { 0x8075D06754E36A52, "detect_bulletwhizby" },
    { 0xB75F386AD1670A1D, "detect_distsqrd" },
    { 0x0BBC80C030B8BFBE, "detect_events" },
    { 0x2E7C85F7DDFEE360, "detect_people" },
    { 0xBC7575E23F68D58B, "detect_people_trigger" },
    { 0xCFA15F90DABAB5E3, "detect_player_death" },
    { 0x6410036FCA6AA01D, "detect_player_event" },
    { 0x1112246F876B46B4, "detect_player_leaving_after_wolf_death" },
    { 0x96AE94C6F90F089C, "detected_temp_stealth_meter" },
    { 0x66270D093FE1447E, "detected_temp_stealth_meter_delete" },
    { 0x9156A2D996CC3133, "detectfriendlyfireonentity" },
    { 0xA932F527F05C3198, "detection" },
    { 0x5E2CA08527469961, "detectiongraceperiod" },
    { 0xBBF229676CB10483, "detectionheight" },
    { 0x7D8CAF89ACE2E64E, "detectionradius" },
    { 0x41CD8612A504D0EE, "detectplayerdamage" },
    { 0xA8A21BB82DE85714, "detectplayersinvicinity" },
    { 0xC5E31E84A8DF84CA, "determine_correct_month" },
    { 0xA3317E95A71039DC, "determine_max_gun_game_level" },
    { 0x5DB72A77990C8645, "determine_starting_breadcrumb" },
    { 0x990DD5423ADFE772, "determinecurrentstairsstate" },
    { 0x08ECC0B40F4528EB, "determinedesiredexitspeed" },
    { 0x4011938F122206AD, "determinelocalecenter" },
    { 0x55177B38C049678C, "determineobjectiveiconvisibility" },
    { 0x8F6DDE46DB9F5C85, "determineobjectivevisibility" },
    { 0x9ED6A0AB77BD2977, "determineoperation" },
    { 0x82C9D66BD9373D12, "determinerequestedstance" },
    { 0xB0A8E78AA3B9D3C5, "determinespawnangles" },
    { 0x71CB1BECD283274B, "determinespawnorigin" },
    { 0x506828C453BD9245, "determinesquadleader" },
    { 0x17F9324932FE0C33, "determinestartanim" },
    { 0x629802D4FEE52398, "determinestashlocation" },
    { 0xAD5D128E0F8A3E20, "determinetargetbounty" },
    { 0xDEF8525ACA62D062, "determinetargetplayer" },
    { 0x22C70ADF2C748ABA, "determinetargetteam" },
    { 0xFCC25F929384643C, "determinetrackingcircleoffset" },
    { 0xF9F563720B670234, "determinetrackingcircleposition" },
    { 0xAA57972A809BE95E, "determinetrackingcirclesize" },
    { 0x36F73F8EB4D6E4C1, "determinewinnertype" },
    { 0xEE3AE75954C1CE25, "detonate" },
    { 0x10D18AD03AFB4B18, "detonate_after_time" },
    { 0xF135FEFD0E50E4AF, "detonate_disabletruckvisionvolume" },
    { 0x05B78B2889413F27, "detonate_distractedenemieslogic" },
    { 0x60EEDED59BF6DCA6, "detonate_effectslogic" },
    { 0xBD064232D31AB91A, "detonate_enabletruckvisionvolume" },
    { 0xEDD99E4D38C05BFD, "detonate_explosive" },
    { 0xD5F2B1D3CF09594A, "detonate_explosives" },
    { 0xC31FE358F2BC06D3, "detonate_getenemynodes" },
    { 0xA3D2C5EF8D5E6F77, "detonate_getlights" },
    { 0xB168C8320A5E2C03, "detonate_gettruckvisionvolume" },
    { 0x6ADED2D7BCFCEE36, "detonate_getvehicle" },
    { 0x4307F58BC7C83C67, "detonate_main" },
    { 0xA35B12B0C0A7957A, "detonate_mines" },
    { 0x2D1A47B031A3E5DD, "detonate_playerleaveroomlogic" },
    { 0xCA42418929BFF093, "detonate_spawnenemies" },
    { 0x837EF1E57758BA50, "detonate_spewing_barrel" },
    { 0x07886BE15BE0AA3E, "detonate_start" },
    { 0xFD4E66349A584D87, "detonate_the_bomb_monitor" },
    { 0x2A4E8AAFCFCD83A4, "detonateball" },
    { 0x25B59E2172529AA9, "detonated_grenade_origin" },
    { 0x825E4BA38B3D3384, "detonatedripfx" },
    { 0xA9EB354F1393ADA7, "detonatefunc" },
    { 0x7373872FCE818F93, "detonatefx" },
    { 0x1D8DCFEBC55F06AD, "detonatefxair" },
    { 0x22B1034B3C6498F5, "detonatescore" },
    { 0x9D6089655932B494, "detonatesound" },
    { 0xB62155B760DC5587, "detonatingplayer" },
    { 0xD7D1C14DE637E898, "detonation_code_omnvar_value" },
    { 0x40522BA872B2349C, "detonation_color_omnvar_value" },
    { 0x40CB7473FDEB2AF0, "detonation_time" },
    { 0x96226115929CF4FD, "detonationtime" },
    { 0xAD7320756654F25F, "detonator" },
    { 0x9D09C2C737BE6E13, "detonator_hero_lighting_on" },
    { 0xB2C096819B621977, "detonator_hero_lighting_setup" },
    { 0x7DA89C8184B41063, "dev_build" },
    { 0x4209985C33971A45, "dev_damage_show_damage_numbers" },
    { 0x6CB323D7B395422B, "dev_debug_menus" },
    { 0xA4C1A05567FDC817, "dev_flag_find_ground" },
    { 0x9BE5F73CEAA48746, "dev_forcelivelobbystart" },
    { 0xE5CEAF7BCE2E195F, "dev_spawning_bots" },
    { 0x25DC510B279E6F40, "devaliengiveplayersmoney" },
    { 0x4C8FB5444F31DD7D, "devball" },
    { 0xB681E0804C0A98BD, "devfindhost" },
    { 0x114ACAC15866A6CF, "devgivefieldupgradethink" },
    { 0x676DB60DD7201DB0, "devgivesuperthink" },
    { 0x926F9B871B03539C, "devgui_setup_func" },
    { 0xC3890BA522664224, "devlistinventory" },
    { 0x0022A9EA8D92C2BB, "devmonitoroperatorcustomization" },
    { 0x1187586E3E809EAA, "devmonitoroperatorcustomizationprint" },
    { 0x0F9FEDD5DDA6A9D0, "devmonitoroperatorskincustomization" },
    { 0xE4C52821ECF7321B, "devoverridematchstart" },
    { 0x111A89862CCA04B7, "devprintweaponlist" },
    { 0x48FF4029B76CE6BB, "devscriptedtests" },
    { 0x58781FDE61871417, "devsetminimapdvarsettings" },
    { 0x086C075D5200E217, "devspectateenemyteam1" },
    { 0x086C085D5200E44A, "devspectateenemyteam2" },
    { 0x47B6145A9AA3C00B, "devspectateloc" },
    { 0x09CC420D99712403, "devspectatetest" },
    { 0x36AC358C5FA563ED, "devspectatetesthost" },
    { 0xAE76C3E31B176CD6, "devui_bg_swap" },
    { 0x78DA91C6D4B60971, "diable_heli_lights" },
    { 0x4F036DD241D8E506, "diablecachesaroundorigin" },
    { 0x5C9A38EB1E04DA12, "dialgue_armory_01_enemies" },
    { 0x7ABB2AF8CBDE5395, "dialog" },
    { 0x0F4714D9DE122073, "dialog_clear_start_watcher" },
    { 0x2D7E7109B49C06A4, "dialog_collateral_watcher" },
    { 0xCDA8AF359E917974, "dialog_grenade_missed" },
    { 0x6396D2AD03673EE0, "dialog_grenade_update" },
    { 0x10A6D6BDEF601E64, "dialog_hurry" },
    { 0x3D48C6DA4AC69185, "dialog_hurry_up_thread" },
    { 0x96DBF9708945CF0B, "dialog_hurry_up_watcher" },
    { 0x46B0610B5ACD7064, "dialog_init" },
    { 0x03B48BF940328818, "dialog_intro" },
    { 0x0EA10868E33461A9, "dialog_kill_watcher" },
    { 0x2CC9A049762D5B68, "dialog_kill_watcher_civ" },
    { 0x48ADFFC10134A807, "dialog_killstreak_acknowledgement" },
    { 0x3FA94DC4CDD3C1F3, "dialog_low_health" },
    { 0x9DA073B348C6AF12, "dialog_missed_shots_watcher" },
    { 0x7A0DA7A7C74FFEAF, "dialog_monitor_getoffground" },
    { 0x3CA4CB103019B9E1, "dialog_monitor_hurry" },
    { 0x04717F6E76CEC268, "dialog_monitor_shieldraise" },
    { 0x46E9086D1757CD55, "dialog_monitor_shieldstow" },
    { 0x912B33B68506C9BD, "dialog_monitor_waitreload" },
    { 0x98DABD5B86948B69, "dialog_mount_nag_watcher" },
    { 0xBC353BF8262F828E, "dialog_nags_heli" },
    { 0x9D8F363B730F690E, "dialog_new_line_monitor" },
    { 0x675DBB7A53131705, "dialog_play_shieldstow" },
    { 0x5D528125F50E9590, "dialog_push_forward" },
    { 0xF1CA56BA48F67086, "dialog_reachnextcheckpoint" },
    { 0xFD2D49229E989CCE, "dialog_start" },
    { 0x36053C31785B779F, "dialog_system" },
    { 0x579564357090B57C, "dialog_target_down" },
    { 0x65529911E3178493, "dialog_wait_ready" },
    { 0xE7B5F82448540ED6, "dialog_wait_ready_civ" },
    { 0xD8DD045C0AF8A104, "dialog_wait_think" },
    { 0x54CFC46086723771, "dialog_wait_think_civ" },
    { 0x3D1DB259418E8A24, "dialoge_fly_off_course" },
    { 0x9A0BCCBB4DF7B148, "dialogqueue" },
    { 0xAEB470BDD039003F, "dialogue" },
    { 0x4C310496DDD54064, "dialogue_armory_01" },
    { 0x4C310796DDD546FD, "dialogue_armory_02" },
    { 0xE34EFB8E6C97D092, "dialogue_armory_boost" },
    { 0x5FF89B6DB5D89D0B, "dialogue_armory_hatch" },
    { 0xAD1D7EFA795B3873, "dialogue_arr" },
    { 0x6D8A4445CBE8AA9A, "dialogue_bookcase_scene" },
    { 0x628963865F313258, "dialogue_cam_change" },
    { 0x16EA022BBDE6E5DE, "dialogue_cctv_cell_phone" },
    { 0x4615495393E5DB3A, "dialogue_cctv_first_room_exit" },
    { 0x7C19E294AD19B961, "dialogue_cctv_intro" },
    { 0x9EE37864C6BFB55A, "dialogue_cctv_intro_gameplay" },
    { 0xA3A7909F4E46E74A, "dialogue_cctv_nodes" },
    { 0xE28A5B04F1D718AC, "dialogue_charge" },
    { 0xFDA64F09FA55E025, "dialogue_check_lock_and_nag_boost" },
    { 0xDB98161EFBEA4D3E, "dialogue_containers_gate" },
    { 0x996F8C2F68CF6FD1, "dialogue_containers_gate_smash" },
    { 0xAAA811A6695B3CA7, "dialogue_cooldown_setup" },
    { 0x340C8DF8DDF0645B, "dialogue_cooldown_timer" },
    { 0xE875DF920E3ACDDD, "dialogue_decks_init" },
    { 0xCB85F7D6AB6061DA, "dialogue_distant_threat_callouts" },
    { 0xE3CF51BB22D1DF35, "dialogue_drag_scene" },
    { 0x9572F2D5ED5CBE64, "dialogue_ending_scene" },
    { 0xF62D54FAAF1A1999, "dialogue_fly" },
    { 0x38D7875C195326AA, "dialogue_fob_bunkers" },
    { 0x6D8F0798FA7D9439, "dialogue_fob_center" },
    { 0x47F3DDB93BD9EE16, "dialogue_glanceatentity" },
    { 0x1DFF80D8763579FF, "dialogue_hadirstruct" },
    { 0xB63D53DF7DF007D0, "dialogue_hangar_defend" },
    { 0xEAE60A7F93BD978E, "dialogue_huds" },
    { 0xE747DC16372DEC0A, "dialogue_killstreak_chopper" },
    { 0xEE739D3570C84F22, "dialogue_killstreak_waiting" },
    { 0xB06E6B9FB5C925EF, "dialogue_last_flare" },
    { 0x33BC709A672DEB39, "dialogue_nag_open_armory_02" },
    { 0x6729E65E129793C6, "dialogue_naganimationlogic" },
    { 0xCF2CE2144EB85798, "dialogue_nagendonlogic" },
    { 0x2F14C243F8B0A6E8, "dialogue_nagendonnotifies_proc" },
    { 0x1A9FA9AD0A9E3222, "dialogue_nagflaglogic" },
    { 0x98733CCE90C80D90, "dialogue_naglogic" },
    { 0x41829DD5A54B9B69, "dialogue_naglogic_proc" },
    { 0xD52BFD1CCAF63E9D, "dialogue_play_backup" },
    { 0xE9BC42E3758F769E, "dialogue_play_sound" },
    { 0x776E897142A7A95E, "dialogue_playing" },
    { 0x5E78F962F9B61B22, "dialogue_pre_charge" },
    { 0x863CC971B6285AB7, "dialogue_pre_charge_branch" },
    { 0x94C1E7161734D631, "dialogue_pre_charge_fire_cannon" },
    { 0x2C662C19D54BC560, "dialogue_pre_charge_pep" },
    { 0x7E63F037EEBBDBF8, "dialogue_proc" },
    { 0x4677B52F7DBFCAAF, "dialogue_queue" },
    { 0x79C5B897603DE93E, "dialogue_rooftops" },
    { 0xA5762B6EE716DD8B, "dialogue_rooftops_approach" },
    { 0xA6850C857EECF975, "dialogue_rooftops_wave_0" },
    { 0x459296A2FB48DFFB, "dialogue_rooftops_wave_0_cafe" },
    { 0x3554C3B46D55D7D4, "dialogue_rooftops_wave_0_lights_shot" },
    { 0x3B5A58AD94A98437, "dialogue_rooftops_wave_0_shooting_nags" },
    { 0xA6850B857EECF742, "dialogue_rooftops_wave_1" },
    { 0xF5F4DAE70BA09B42, "dialogue_rooftops_wave_1_post_flare" },
    { 0xA6850A857EECF50F, "dialogue_rooftops_wave_2" },
    { 0x83268DCE5BCFAAFA, "dialogue_rooftops_wave_2_mortars" },
    { 0xA68509857EECF2DC, "dialogue_rooftops_wave_3" },
    { 0xB02EA13ED643C751, "dialogue_rooftops_wave_3_building" },
    { 0xA68508857EECF0A9, "dialogue_rooftops_wave_4" },
    { 0x48381E7063FE6092, "dialogue_rooftops_wave_4_technicals" },
    { 0xA68507857EECEE76, "dialogue_rooftops_wave_5" },
    { 0xA68506857EECEC43, "dialogue_rooftops_wave_6" },
    { 0x276F8E3C6233F484, "dialogue_safehouse_interior" },
    { 0xEE080E790B944C5D, "dialogue_setup" },
    { 0xF15E31877FE78238, "dialogue_stop" },
    { 0xD95B2365C53E4C3B, "dialogue_stop_and_clear_stack" },
    { 0x5C9D827DFA27DE92, "dialogue_tarmac" },
    { 0x1F133B14C52FFA79, "dialogue_wave_1_flare_2_chatter" },
    { 0x32EC9F5293FE5E7A, "dialogue_wave_1_flare_3_chatter" },
    { 0x0DAC4B252B7B0AB5, "dialogue_wave_4_snipers" },
    { 0xDD476CC3D585DC15, "dialogue_wave_5_marines" },
    { 0x6A1526F4305523A8, "dialogue_wheel_check" },
    { 0x5E4D9E246F4DAE33, "dialogue_wheel_player_state" },
    { 0x29577827C97E284C, "dialogue_wheel_start" },
    { 0xD8AE000D498D9DBD, "dialogue_wounded_scene" },
    { 0x6E8674F25D39A51B, "dialoguecooldowns" },
    { 0x09F819EFB1F591CC, "dialoguehud" },
    { 0x0D96183E6D7C1345, "dialogueindex" },
    { 0x15AD6E062C70D4EA, "dialoguelines" },
    { 0x4CD5B987A5365949, "dialoguelinescale" },
    { 0xDE18AECDCED5AF3E, "dialoguenotetrack" },
    { 0x566D72470D3F6CD3, "dialogueprefix" },
    { 0xB23390F8420E146D, "did_ads_hint" },
    { 0x61F729EEF47D12D2, "did_anyone_see_this" },
    { 0xC31DD604EE79C73F, "diddamagewithlethalequipment" },
    { 0x9984A3F3FDDCBEF7, "diddamagewithprimary" },
    { 0x587A380F3C3B7C46, "diddamagewithtacticalequipment" },
    { 0x05B5A5E575B97C36, "didfocus" },
    { 0x7B5E1C0CD1A32CCD, "didgasmaskpipschange" },
    { 0xC0893D0CC5EA169B, "didhalfscorevoboost" },
    { 0x879D1700A6B9F404, "didinitiallog" },
    { 0xE87011DDF750A162, "didnonmeleedamage" },
    { 0x7BD498D346EBDC93, "didnotselectclassintime" },
    { 0xB281178660B1943B, "didnt_shoot_ak_in_time" },
    { 0x2901E04862F851C2, "didsomethingotherthanshooting" },
    { 0x124B87B913A75685, "didstatusnotify" },
    { 0x681DA705B33E6E89, "didzoom" },
    { 0xD3E80503D73E3DF5, "die" },
    { 0x17C0728DA77B8FBA, "die_a_statue" },
    { 0x9EB1AA9B27504F5F, "die_a_statue_new" },
    { 0xC7DF4BFCE10EC9CC, "die_after_anim" },
    { 0x56971827E26C88A8, "die_when_offscreen_and_distant" },
    { 0x44CA30A5360931E8, "died_of_headshot" },
    { 0x1BE25E04963A05F7, "died_poorly" },
    { 0x1CDFD1D060B73B77, "died_poorly_funcs" },
    { 0x6EF2C39E53273A0E, "died_poorly_health" },
    { 0xBF343144A965EE62, "diedrecentlycooldown" },
    { 0x48133E16A8FDE86F, "diehardmode" },
    { 0xC45138C9C7986318, "diequietly" },
    { 0x1A8096F7E3567EB0, "diewithowner" },
    { 0x359E0C93C617A237, "differentteamsinsamevehicle" },
    { 0xD276D1B8B55FA3FC, "difficulty" },
    { 0x9F015E1B51110C8F, "difficulty_allowseekafterthreshold" },
    { 0x5C8D124DC90CB0E7, "difficulty_init" },
    { 0xF39F09057DE7F1D7, "difficulty_think" },
    { 0x45A88AE9849A3E84, "difficulty_update_time" },
    { 0x987D6AE7CCDCC941, "difficultysettings" },
    { 0x09651CFAE93029DD, "difficultystring" },
    { 0x0771810AA6949C58, "difficultytabledata" },
    { 0xB7E97E02F9802414, "difficultytype" },
    { 0x1FCB4FC946B54067, "diffusefraction" },
    { 0xEC4EA81DCBA5E294, "digitaldistortsetparams" },
    { 0xF924164FD75D5FDB, "dim_hangar_lights" },
    { 0x9D87FD59FEC6F7D2, "dining_death_counter" },
    { 0xD7B94EE2C170D5B9, "dining_death_vo" },
    { 0x29BEB057419EF70D, "dining_delete_clip" },
    { 0xFE0214DCA878F60F, "dining_dialogue" },
    { 0x231094B155313587, "dining_dialogue_from_kitchen" },
    { 0x3FE1A8551E135A7F, "dining_drop_phone" },
    { 0xAC056E775E672477, "dining_enemies" },
    { 0x409BC9F106F90B49, "dining_enemy1_react_lookat" },
    { 0xD7F4C3D24CB0E2D3, "dining_enemy2_investigate" },
    { 0xFADC26FAB517ED2B, "dining_enemy2_investigate_react" },
    { 0xF4004A49A059B9F9, "dining_enemy3_grenade" },
    { 0x1FBC4BFFE59AD780, "dining_enemy3_react" },
    { 0x16F67317F1A5030F, "dining_enemy3_react_goto_gun" },
    { 0xECC4EF932E459248, "dining_enemy_flashbang" },
    { 0x5FB70F81A5F5C0AF, "dining_enemy_react" },
    { 0xCA5997EA1D915DD5, "dining_engage_enemy" },
    { 0x911A194430F44DDE, "dining_light_death" },
    { 0x5CBAEC853F044394, "dining_long_death_vo" },
    { 0xEFC1861A50557598, "dining_longdeath_count_get" },
    { 0x8DB6A01C8FE9DA18, "dining_longdeath_counter" },
    { 0x33B162FFEF5BB9BE, "dining_nolight_delay" },
    { 0x6D0D5685784D2BD0, "dining_nolight_dist_thread" },
    { 0xFF18FDE5FC86FDDD, "dining_nolight_enemy3_dialogue" },
    { 0xB50AA07D8E100718, "dining_nolight_scaredlook" },
    { 0x73CF7FA5730ACD92, "dining_nolight_wait_anim" },
    { 0xFD3711A9AC229252, "dining_nolight_wait_time" },
    { 0x2BAD8BE49A7AF139, "dining_price_dialogue" },
    { 0x1F7F5763B4B3FA75, "dining_react_death" },
    { 0x10A60CA66863BA6B, "dining_react_dialogue" },
    { 0x7381355CD5420356, "dining_react_flagwait" },
    { 0x92957919992F659E, "dining_room" },
    { 0x6009961C68EB15EE, "dining_room_animrate_adjust" },
    { 0x11367FA0EF66D953, "dining_room_catchup" },
    { 0xAB065D3D1718B919, "dining_room_ceiling_dialogue" },
    { 0x0531F62C27F281BF, "dining_room_ceiling_dialogue_internal" },
    { 0xE9D3F3D6F1223586, "dining_room_chair_anim_end" },
    { 0xA465E6DC5514E5E7, "dining_room_chair_init" },
    { 0x242586C5A8D5F8C3, "dining_room_chest_fx" },
    { 0x53D04C1AF5C6B75C, "dining_room_clear" },
    { 0x006CF2D0E37D93B5, "dining_room_door_damage" },
    { 0xB0C72CFC4AF98663, "dining_room_foyer_trigger" },
    { 0xA7C4706CF5832A93, "dining_room_is_light_dead" },
    { 0xF8B77F3CFFE08A97, "dining_room_late_long_death" },
    { 0x91903DA13FF2AA82, "dining_room_main" },
    { 0xFC204F96776832A1, "dining_room_start" },
    { 0xF2DEAEB0A1C1CF2E, "dining_room_teleport_price" },
    { 0xD9C78C6EAB391F36, "dining_trigger_damage_onnotify" },
    { 0x16EA15ADF59FC176, "dining_trigger_damage_thread" },
    { 0x18DDA834F7BD45D5, "diningroom_skipanimreach" },
    { 0xA97CCCFA9F193396, "dinnig_enemy_react_then_pain" },
    { 0x59B80BB2429D4CDC, "diode_light_think" },
    { 0xD3E7EE03D73E0B60, "dir" },
    { 0xDA542EDE7B7F6272, "dir_fails" },
    { 0xB412EC20857442E5, "dir_override" },
    { 0x8A82EBAC6320C429, "dir_valid" },
    { 0xF14E8AA509552308, "diraimlimit" },
    { 0x5739A53763909B20, "direct" },
    { 0x185B39AEFC5BCB18, "direct_shoot" },
    { 0xC1B95D2E894EA0A6, "directimpactkill" },
    { 0xAD5CF1FCDD236ECA, "directing_01" },
    { 0xAD5CF0FCDD236C97, "directing_02" },
    { 0x756733C61BA20A6C, "directing_breakout" },
    { 0x71770CE332057C66, "direction" },
    { 0x85EE624027B2E14F, "direction_vec" },
    { 0x176A963B4EDA951C, "directlineofsighttest" },
    { 0x4C3348013F1FCEF2, "dirfacing" },
    { 0x58EB1C3CC874E545, "dirteffect" },
    { 0x6DE532838281787F, "dirty" },
    { 0x24090FA35029E605, "dirtyrate" },
    { 0xA86E7558B9FABA55, "dirtystart" },
    { 0x9C44CCFB47D414EC, "disable_accuracy_at_dist" },
    { 0xD2DED80F1FB4D352, "disable_ai_color" },
    { 0x458171CC215EC730, "disable_ai_dynolight_behavior" },
    { 0x1BF82B3EDC62B312, "disable_all_players_use" },
    { 0xD905463001A41345, "disable_all_turrets_permanently" },
    { 0xBB5713A63D004650, "disable_allies_firing" },
    { 0x3BCED57B70225958, "disable_ally_firing" },
    { 0xA71BEE2C176368C7, "disable_ally_vision" },
    { 0x6C4C662FD3F6B2D7, "disable_armor" },
    { 0x6F6817D298FD0552, "disable_arrivals" },
    { 0x62D24DF5CB3FD660, "disable_back_light" },
    { 0x09599F156F029D2F, "disable_bleedout_ent_usability" },
    { 0x757DB995BAB68666, "disable_bleedout_ent_usability_func" },
    { 0x1ED354CA40BCD41B, "disable_blindfire" },
    { 0xB5E1E3B95D75323E, "disable_blindfire_behavior" },
    { 0x0EBB4A5ED04C5ECB, "disable_blood_pool" },
    { 0x699E2D28E85B273B, "disable_bomb_detonator_interactivity" },
    { 0xE685C76EDDBFFB73, "disable_bounceback" },
    { 0xD392E085103C8B71, "disable_breath_fx" },
    { 0x005129C86CC223D2, "disable_breathing_sound" },
    { 0xD315B03955FFF192, "disable_bulletwhizbyreaction" },
    { 0x368B39EB8E356D24, "disable_burnsfx" },
    { 0xE5AAECF0F4EE5A7B, "disable_canal_trigs" },
    { 0x74320570C7C4C5DE, "disable_canshootinvehicle" },
    { 0x42C2414D74C8C934, "disable_careful" },
    { 0x8B474011FDC4E779, "disable_casual_killer" },
    { 0x3689F61C524C625F, "disable_casual_killer_internal" },
    { 0x8A90D0FFB2743835, "disable_chair_carry" },
    { 0x8D70DC9580E4A035, "disable_cinematic_skip" },
    { 0xDC05CB4842F5380E, "disable_collect_leads" },
    { 0x5E045D83E958ADC3, "disable_consumable" },
    { 0x1C47591A2E05FA10, "disable_consumables" },
    { 0x22BD66119E9946C0, "disable_context_melee" },
    { 0x93DBE0C891C918B7, "disable_cover_node_behavior" },
    { 0x677E38436C5FD21A, "disable_covering_fire" },
    { 0xDFB97EDF57A9B3E7, "disable_cqbwalk" },
    { 0x1C97070DBFF7E058, "disable_crosshair_for_time" },
    { 0xB26323F84D394F8E, "disable_damagefeedback" },
    { 0xBE5D4E3B7A68DCEB, "disable_danger_react" },
    { 0x4F0267B71B24260D, "disable_default_player_control_carry" },
    { 0xDE20EFF7314E4EFF, "disable_delay" },
    { 0xC4466B56741AEE76, "disable_dontevershoot" },
    { 0x32D459D77407FB77, "disable_dynamic_run_speed" },
    { 0x44A4AF6155B183E6, "disable_dynamic_takedowns" },
    { 0xF34D6D388D688B03, "disable_enemy_battlechatter_while_inside" },
    { 0xC5CE1112428FD65D, "disable_enemy_monitor" },
    { 0x94FFC826B004880C, "disable_escort_gesture" },
    { 0xB842E840743444CD, "disable_exit_sounds" },
    { 0x4DAB8A1FBC9A1AC9, "disable_exits" },
    { 0x12F972246DD97162, "disable_exposed_nodes" },
    { 0x458BDD8CB483BE24, "disable_features_for_core_carrier" },
    { 0xA26841471CAADDA7, "disable_features_for_disguised_player" },
    { 0xCBAC75072595C9CC, "disable_fire_triggers" },
    { 0x5EB367B458B0FE47, "disable_firing" },
    { 0x088A2B10EE985E62, "disable_flag" },
    { 0x17F4197A2BEED008, "disable_force_sprint" },
    { 0xDAB9442BEA567C5C, "disable_fulton_group_interactions" },
    { 0x8EEA5449ACD5DEEB, "disable_fuseboxes_on_grid" },
    { 0xE3509602F04F4108, "disable_global_vehicle_spawn" },
    { 0x1228A3D44B99EAF3, "disable_green_beam" },
    { 0xD06AFDDDD055C9CA, "disable_gun_recall" },
    { 0xEAF555EFC6E440D8, "disable_health_regen" },
    { 0xC63865CB73C605B1, "disable_heat_behavior" },
    { 0xF3BD77BF67F59554, "disable_heli_lights" },
    { 0x49E2EA92917EEE70, "disable_hilltop_roof_traversal" },
    { 0x04B50B41D64487C1, "disable_horn" },
    { 0xA70618844B0C5623, "disable_hotjoin_via_ac130" },
    { 0xBF8FDABF7C9C9108, "disable_hotjoining_after_time" },
    { 0x28C38E8B30E6652F, "disable_hvt_nomantle" },
    { 0xCE86264062C525BF, "disable_hvt_pickup" },
    { 0xF3567CCA694D9FE2, "disable_if_player_close" },
    { 0xC37C9C0A902320C1, "disable_ignore_if_near_player" },
    { 0xE9C47A7A323E1DB0, "disable_ignore_on_getto" },
    { 0x6C934989C75D792D, "disable_ignorerandombulletdamage_drone" },
    { 0xCB8CA4F21BC0E84F, "disable_jip" },
    { 0x0DEEB59B036782D8, "disable_jugg_objective_position_on_death" },
    { 0xFEFDBA7480FF55CF, "disable_juggernaut_move_behavior" },
    { 0x6E97B3A1BB673EE2, "disable_kill_off" },
    { 0x5C49629444BC076F, "disable_killcam" },
    { 0x8E50B4CB07291196, "disable_killstreak_useexit" },
    { 0x8FC7C51382319ED5, "disable_ladders" },
    { 0x77E4A3F7D7AE5CE3, "disable_leave_truck" },
    { 0x02EF86BAE9A2BE87, "disable_light_fx" },
    { 0x76EFE5D0B32B6BC0, "disable_lobby_color_triggers" },
    { 0xCA39F9B0862B1117, "disable_long_death" },
    { 0xD2184D6CF6BE8283, "disable_longdeath_post_stealth" },
    { 0x089B3F0E2BE6AE26, "disable_lookat" },
    { 0x2B3F8F95DA674606, "disable_loot_drop" },
    { 0xC29EAC022CBED941, "disable_lower_priority_states" },
    { 0xD7403D65DBE2C0CE, "disable_magic_bullet_delete" },
    { 0x195DAC4F18093FAC, "disable_magic_bullet_shield" },
    { 0x14012D29845635D8, "disable_map_ammo_munitions" },
    { 0xB4E0BE407F100F13, "disable_map_munitions" },
    { 0xC91E13CF3B9A52AB, "disable_map_tablet" },
    { 0x5643BC9E15611466, "disable_marines_backtrack_color" },
    { 0x86180AB6A19DEBF7, "disable_menu" },
    { 0xBFE7030F295BFCFA, "disable_munitions" },
    { 0xD7EE1C4370487016, "disable_near_snake_cam_after_door_open" },
    { 0x501BBEDB0956240D, "disable_near_snake_cam_after_open" },
    { 0x678E2604E1599D85, "disable_nearby_vehicles" },
    { 0x034435F243BEAA79, "disable_nvg" },
    { 0x01793EC3546B767E, "disable_nvg_proc" },
    { 0xD824734BEB2E2915, "disable_objective_update" },
    { 0x50D822D79E02C812, "disable_on_world_progress_bar_for_other_players" },
    { 0x7810174545A90DCB, "disable_oob_immunity_on_riders" },
    { 0xA8B19EE5306F1806, "disable_outline" },
    { 0xFA5A6BFCC534DAE2, "disable_outline_for_player" },
    { 0xC9B60DE5B33CACE3, "disable_outline_for_players" },
    { 0x0927B84808F15BD4, "disable_outline_on_atv_use" },
    { 0x9A41647F635DA377, "disable_overwatch_model" },
    { 0xC1BBA90B2F48C080, "disable_pain" },
    { 0x3D1E9256DCFF4F1A, "disable_pickuphostage_interaction" },
    { 0x54BDB9272EC73F6B, "disable_pipes_lights" },
    { 0x4C13D0D0A9281F32, "disable_player_collision_damage" },
    { 0x688F4F0DDA0FEB29, "disable_player_headtracking" },
    { 0xDDE5483EC503E8BF, "disable_player_sealth" },
    { 0x55E607966D7CD447, "disable_player_weapon_info" },
    { 0x9A192DCC2129AD54, "disable_playeruse" },
    { 0xEE79FA01970E1CA7, "disable_procedural_bones" },
    { 0xF97EAEA4AA33927E, "disable_purchase_munitions" },
    { 0xE407FF0C042235F4, "disable_push" },
    { 0x2DDC24503F600051, "disable_readystand" },
    { 0x56AAE9B91CD47A62, "disable_reaper_drone" },
    { 0x30D26FAA6385D5A1, "disable_recent_area_memory" },
    { 0x174A0B841C38374E, "disable_repeating_event" },
    { 0xD16AA78230C1A3F5, "disable_replace_on_death" },
    { 0xF0CFA586F858D8EF, "disable_respawn_tokens" },
    { 0x1FA98AF5ACC7F065, "disable_respawns" },
    { 0xE8B1164AAC60D302, "disable_retreat_exterior_triggers" },
    { 0xFCDC179DB2915A02, "disable_revive_icon_hotjoin_monitor" },
    { 0xDD00AE63A76C01AD, "disable_sas_color" },
    { 0xFB319C2D4226FB65, "disable_scriptable_shadows" },
    { 0x79F544A8B5777C89, "disable_segmented_health_regen" },
    { 0x4AF6C1999AC80D16, "disable_self_revive" },
    { 0xC36B21A79C8E29D8, "disable_set_speed" },
    { 0xD811FEE32B9A9336, "disable_slide_trigger" },
    { 0xD92ADF02175D38B3, "disable_slow_aim" },
    { 0x6044F7950D975DE1, "disable_snake_cams_when_doors_open" },
    { 0xD35779068BAFD020, "disable_snakecams_by_target" },
    { 0x4A2FF21211ABF668, "disable_sniper_glint" },
    { 0x2605DA4DD1AB3BB6, "disable_spawn_point" },
    { 0x5F26C4FC7EFFD13C, "disable_spawn_window" },
    { 0x6AF66983F3A70294, "disable_spawner" },
    { 0x3DDAFF5270C81CF6, "disable_spawner_until_owner_death" },
    { 0x4C46E473BB344E8F, "disable_spawners_until_owner_death" },
    { 0xAF4EB0992AE88EAC, "disable_spawnpoints_in_hangar" },
    { 0x32D250183862D6F4, "disable_sprint" },
    { 0xD13D3D37792958D7, "disable_start_spawn_on_navmesh" },
    { 0x1F1EEA51C3A3E4E2, "disable_stayahead" },
    { 0x0A3BDE8C1F32670F, "disable_stealth_reinforcement_icon" },
    { 0xAC534E656B45FC31, "disable_stealth_system" },
    { 0x8B6BB6A237FF554B, "disable_super" },
    { 0x442CFB2C11F223AE, "disable_super_in_turret" },
    { 0x3313B9318B7A3C33, "disable_surprise" },
    { 0x0B1D69A4753BC601, "disable_teamflashbangimmunity" },
    { 0xD29C15D8661C536F, "disable_thermalswitch" },
    { 0x543E6936E23A7BBA, "disable_this_node_for_us" },
    { 0x9BD28856CCBCD9A1, "disable_timer" },
    { 0x993B92ECF99F342A, "disable_traversalassists" },
    { 0xF1C670BDCEF9CB0C, "disable_trigger" },
    { 0x0777A70729773CD9, "disable_trigger_helper" },
    { 0x71788CA67AF839A9, "disable_trigger_with_noteworthy" },
    { 0xA067B999E6248F74, "disable_trigger_with_targetname" },
    { 0x3231860D5A926F0F, "disable_turnanims" },
    { 0xEE2E14BF67570603, "disable_usability_for_duration" },
    { 0x00D6E293B7C0CA9B, "disable_vehicle_idle" },
    { 0x63278B93687D3153, "disable_vehicle_interaction" },
    { 0xAC0B6FF086B4B2E1, "disable_volumetrics" },
    { 0x2159C35062238439, "disable_wall_buy_interactions" },
    { 0x191EF5B1820FEBFF, "disable_wash" },
    { 0x153FC73A41FF23F7, "disable_wave_hud" },
    { 0xE15155D05FE8D94A, "disable_weapon_check_interactions_on_death" },
    { 0xAEB2699F2289F2D1, "disable_weapon_pickup_near_hvt" },
    { 0xD4A037A7D298AC44, "disable_weapon_progression" },
    { 0x079B1F2E6C44EEB2, "disable_weapon_swap" },
    { 0x2B05AEA03AB7C098, "disable_weapon_swap_until_swap_finished" },
    { 0x6C28D547BDB43775, "disable_weapons" },
    { 0x7DB8F879EC6829D1, "disable_you_spotted_message" },
    { 0x02A1B27B68258A1F, "disableactivation" },
    { 0x0F807A01ED0CF8EB, "disableaimassist" },
    { 0x9415376D1A02802D, "disableaimchangetime" },
    { 0xBBA5ECCFBC3547B5, "disableallambulancesforplayer" },
    { 0xB352F2F59420B8C0, "disableallarmorykiosks" },
    { 0x79F284C278E126B5, "disablealldepotsforplayer" },
    { 0xE980AAC618B6B927, "disablealltablets" },
    { 0x4CB2AC8DA116B33E, "disableannouncer" },
    { 0x4B414ED0BD919AD0, "disablearmorykiosk" },
    { 0x7492F6439359623D, "disablearrivals" },
    { 0x86D3E60623205C27, "disableattack" },
    { 0x71B02CB97BBC4655, "disableaudiotrigger" },
    { 0xD7740FE7ADB71A62, "disableautolookat" },
    { 0x76CCF7D167F7ECA1, "disableautoreload" },
    { 0xDD9C0C696A058A76, "disablebattlechatter" },
    { 0xEF72A6BCCE3C6F1A, "disablebreaching" },
    { 0x5CD38181061F31A0, "disablebuddyspawn" },
    { 0x1FB1EA369956E469, "disablebulletwhizbyreaction" },
    { 0x7E812C37AC4F4656, "disablebunker11cachelocations" },
    { 0xC1482A0F990CEE58, "disableburnfx" },
    { 0x22FD0BD6AC142901, "disableciviliantargetfocus" },
    { 0xE0A4256D386BDBAE, "disableclassswapallowed" },
    { 0x1C69810B484AA99E, "disablecopycatloadout" },
    { 0x80B6535A5AD2C2F1, "disabled" },
    { 0x7496DF192AFB089A, "disabled_by_convoy" },
    { 0xA6894981ED4870EC, "disabled_due_to_damage" },
    { 0xD90DE131FD9C6D5B, "disabled_interactions" },
    { 0xCF22E8A1252543CF, "disabled_nodes" },
    { 0x05D7C7B7C38F3F4F, "disabled_permanently" },
    { 0xB692929A1D001EB3, "disabled_seats_for_vehicle" },
    { 0x848E0305161C0A6D, "disabled_use_for" },
    { 0x1E1B6B744B025518, "disabledamagefilter" },
    { 0xA29726FD85FB94BD, "disabledamageinvulnerability" },
    { 0xF34E4947D35BD507, "disabledamageshieldpain" },
    { 0x1329B9309455656D, "disabledamagestattracking" },
    { 0x217B15EF0487FB1F, "disabledamagestattrackingfunc" },
    { 0x52475D0A70BC43E9, "disabledbyallow" },
    { 0xBDAFD55D986035DA, "disabledcurrstate" },
    { 0x1411BFFA4AF0B77C, "disableddodge" },
    { 0x3741DA8E3C3FFD80, "disabledeathdirectionalorient" },
    { 0x8ED1CACD068F9256, "disabledeathorient" },
    { 0xD75C5FFE4D86BAD0, "disabledeathsdoor" },
    { 0xEEF3044494F9569C, "disabledebugdialogue" },
    { 0xB8DB72A127E5512A, "disabledefaultfacialanims" },
    { 0x72A2EFFE9C4CC731, "disabledemeanorsafe" },
    { 0xE5E7C81F1369E54E, "disabledfeatures" },
    { 0x523E9E62D09569A0, "disabledgesture" },
    { 0x2ED6D1D28B603984, "disabledguidedinteractions" },
    { 0x295C0F0E317F3384, "disabledinteractions" },
    { 0x6805851450BC4E7E, "disabledismemberbehaviors" },
    { 0xC47650D004CEB783, "disabledismemberment" },
    { 0xFB999BAC5CB43DA1, "disabledismembermenttag" },
    { 0xB9E9540EFD14B997, "disabledmelee" },
    { 0x6F250B62AD2999C6, "disabledodge" },
    { 0x3C8A2872B8F6D008, "disabledomflagscriptable" },
    { 0x64C99A5B0159A6BB, "disabledpaths" },
    { 0x8065E3154789EF1D, "disabledreason" },
    { 0x306FF24F9F11CA93, "disabledropbagobjective" },
    { 0x165A2AF5A8114F84, "disabledsecondaryoffhandweapons" },
    { 0xD7361CB285CF5390, "disabledspeedmod" },
    { 0x2D18B750F7E3D362, "disabledstate" },
    { 0x2D18A150F7E3A300, "disabledstats" },
    { 0xDBEE7A5AABE966DB, "disabledteleportation" },
    { 0x95F5DE980FAB29A0, "disabledvehicles" },
    { 0x7D693A4D5BA0AA62, "disableeasystealthheadshot" },
    { 0x8786D61C7A0D8432, "disableemptyclipweaponswitch" },
    { 0x0163CBB27D6695B6, "disableenemybaseoutline" },
    { 0x0C611D532ACA50DE, "disableentitymarks" },
    { 0xE0EFACCBFD2793DA, "disableescalation" },
    { 0x30811E9089FF4B2F, "disableexecutionattack" },
    { 0x9BD3273EFF64B1CD, "disableexecutionattackfunc" },
    { 0x31AA23559FF926B6, "disableexecutionattackwrapper" },
    { 0x4C989A340C325057, "disableexecutionvictim" },
    { 0x283F042C48F9E845, "disableexecutionvictimfunc" },
    { 0x8A80264134C6FECE, "disableexecutionvictimwrapper" },
    { 0x43ACAE41B31D3854, "disableexits" },
    { 0x740D265695B7E902, "disableexplosiveshellshock" },
    { 0x1B914366AB251311, "disablefade" },
    { 0xF904EB9FB193F3F3, "disablefeature" },
    { 0xA6D93E5ED91D6DB1, "disableforcedsunshadows" },
    { 0x264939BEF33BD833, "disableforcehelmetwhenspectating" },
    { 0x9DAE93B1A7CE0EC6, "disableforcethirdpersonwhenspectating" },
    { 0x8C54973932DFC09D, "disableforceviewmodeldof" },
    { 0x5F884D1DB1E71B9E, "disableforfeit" },
    { 0x2E64ADFA6D670EBC, "disablegrenaderesponse" },
    { 0xB2D04DC47D0F1723, "disablegrenadetouchdamage" },
    { 0x7B785EB2A78FEA1F, "disableheadpopbyturret" },
    { 0x2459DBC9235D41E8, "disableheavystatedamagefloor" },
    { 0xB2E47089D980C0AA, "disableinitplayergameobjects" },
    { 0x1B244EF8B063CF35, "disableinteractable" },
    { 0xA37D7D12FA18670D, "disableinteraction" },
    { 0xDB41A42C21FEA7E6, "disableinvulnerability" },
    { 0xF8D5323294BFA3BB, "disablelifepackboost" },
    { 0x2FAAB48076D0726C, "disablelittlebirdrally" },
    { 0x5ABD4D9A2F15C496, "disablelmgmount" },
    { 0xC22C153B0DEDB811, "disablelongdeath" },
    { 0xF19385F40A3BF2E1, "disablelongpain" },
    { 0x9D21BA1E9A6E2B41, "disablelookat" },
    { 0xD6756BCD392BEB27, "disablelookdownpath" },
    { 0x4416C8B8BBC79D13, "disableloopingcoughaudio" },
    { 0xFE53C14FE83BB848, "disableloopingcoughaudiosupression" },
    { 0x6F57F736B2B6ADEA, "disablelootbunkercachelocations" },
    { 0x5778BD7F90E6902A, "disablelootspawnpoint" },
    { 0xD514DCBCB263C630, "disablemissileboosting" },
    { 0x319C64C0D8C53A33, "disablemissilestick" },
    { 0x8411F8FCD9EEAB8F, "disablemonitorflash" },
    { 0xE4F5E23296282338, "disablemount" },
    { 0x3D1FD41C6AD70E92, "disablemusic" },
    { 0xB1E57F6066DA8A59, "disablenavobstacleteams" },
    { 0x23CA0A4582BFE736, "disablenoisemakers" },
    { 0xC0ED5F7EF938852C, "disableobject" },
    { 0x1E85E053565A1437, "disableobjectiveongameended" },
    { 0xD94233429B3741FA, "disableoffhandprimaryweapons" },
    { 0x7E5E003B97B864A2, "disableoffhandsecondaryweapons" },
    { 0x6B9B4A1973383BC0, "disableoffhandthrowback" },
    { 0x04195080F571379E, "disableoffhandweapons" },
    { 0x8D68EAFB82F7565A, "disableonemilannounce" },
    { 0xB9D425AF51275E0D, "disableoob" },
    { 0x80BA6655D6EBC33F, "disableoobimmunity" },
    { 0xB3ABE4CAC7D5A686, "disableotflag" },
    { 0x570A7C983C8E34A3, "disableotherseats" },
    { 0x6AF2816479E6A76D, "disableouterspacemodellighting" },
    { 0x3D5100614F33F11B, "disablepain" },
    { 0x63D7B1792B5E29F5, "disablepaspeaker" },
    { 0x0E2FDB9929E20E65, "disablepercentageannouncements" },
    { 0x8026B4E4B5C705EA, "disablepersonalnuke" },
    { 0xCF11B3C57840986F, "disablepersupdates" },
    { 0xA09FF8D4DB2FEAD7, "disablephysicaldepthoffieldscripting" },
    { 0x6F9679CF374EECD0, "disablepistol" },
    { 0x4559CC3955929EBE, "disableplayeradsloscheck" },
    { 0xBFF52B188EC58248, "disableplayerinfil" },
    { 0x226D252F8D67750A, "disableplayerkillrewards" },
    { 0x83213333C4E4E4A4, "disableplayermarks" },
    { 0xB474F6C1359BB5A5, "disableplayerminimap" },
    { 0x6F750B4BCD0CC266, "disableplayerrewards" },
    { 0x766594025CFA0369, "disableplayeruse" },
    { 0xAC2037BC44F1B45F, "disableplayeruseforallplayers" },
    { 0x5E63603C857D0EF6, "disablepowerfunc" },
    { 0x24F65AB9BD900003, "disableprecomputedlos" },
    { 0xDE8C6564C999B486, "disablereload" },
    { 0x7DD290B701C9D1CA, "disablereloading" },
    { 0x1C7A6A7B95EE85F5, "disablereloadwhilemoving" },
    { 0x9BA6AB96C7CF9F34, "disablerespawnscenarios" },
    { 0xCEC849BE88856260, "disablerunngun" },
    { 0x2CB7335C039B2F03, "disablescriptablepartplayeruse" },
    { 0x938D0A30D2C86274, "disablescriptableplayeruse" },
    { 0x35FBE7538BDF918F, "disablescriptableplayeruseall" },
    { 0xE4F388BD5948E0F1, "disableshellshockfunc" },
    { 0x3532344699DC8792, "disableslotinternal" },
    { 0x62E24429AE4BE81B, "disableslowaim" },
    { 0x4320EDBFFFD992CC, "disablesmartobjects" },
    { 0x7A4CA4735E8CF92F, "disablesniperbehaviors" },
    { 0x4493973CEA309039, "disablespawncamera" },
    { 0x23014A377C32FA36, "disablespawning" },
    { 0x89758E1C325A0968, "disablespawningforplayer" },
    { 0x93CE19DED8E8816E, "disablespawningforplayerfunc" },
    { 0x8665F01027BDBF8F, "disablespawnpointbyindex" },
    { 0x643B2E7A4069D604, "disablespawnpointlist" },
    { 0xD1D50219898BD2BD, "disablespawnpoints" },
    { 0xE1B25D40E4D29FFF, "disablespawnpointsbyclassname" },
    { 0x5DBE63943370DDDF, "disablespawnwarnings" },
    { 0x8FED79ABB9197942, "disablestairsexits" },
    { 0xDC5A89723CE8753C, "disablestattracking" },
    { 0x4130FDD3D1B786A2, "disablestrangeondeath" },
    { 0xF6E85E1A8F544CB4, "disablesuperammo" },
    { 0x73A6406E1458E512, "disablesupersprint" },
    { 0x5D2F893C3907255E, "disabletacopskitstationuse" },
    { 0x66247C2013165181, "disabletakecoverwarning" },
    { 0xCEB25492D303E748, "disabletargetmarkergroups" },
    { 0x98C0E17CD64660E8, "disabletargetmarks" },
    { 0x8319539E06D20A8A, "disableteamkillrewards" },
    { 0x6A6AD83BDCD5BFE6, "disableteamrewards" },
    { 0xE12BBE6373F94FAA, "disableteamstartspawns" },
    { 0x9C3F952DEEBBA111, "disabletrigger" },
    { 0x3B362CFB6BFE5FA4, "disableturretdismount" },
    { 0x7A1B8D15A0BACE91, "disableunloadanim" },
    { 0xB97BF302A995D03B, "disableusability" },
    { 0xDCC37CA23EE34BAD, "disableusabilityatspawn" },
    { 0xDC89CFB73BB25A0C, "disableuseotherplayerspents" },
    { 0xFE6173D5F2A6664B, "disablevehiclescripts" },
    { 0x3E2F6047CCC23E7A, "disableweaponlaser" },
    { 0x5FAC5D9E49092C5F, "disableweaponpickup" },
    { 0x13D48E98713D3634, "disableweapons" },
    { 0x5FB13C13C224871F, "disableweaponsovertime" },
    { 0x8C3D0CA48076EF02, "disableweaponstats" },
    { 0xFED7B4323FFBACAF, "disableweaponswitch" },
    { 0xDDB9EFA34C4E3748, "disablewinonscore" },
    { 0x4B67C7ED0E23F072, "disabling_truck_1_node_handler" },
    { 0xA074EA454948B4B9, "disabling_truck_2_node_handler" },
    { 0x30664BEF92C232DE, "disabling_vehicle_due_to_damage" },
    { 0xF74B6664A2402123, "disallow_player_mantles" },
    { 0xA4D02C9E8EEB1EB9, "disallow_tablet_usage_on_player" },
    { 0x60F0EAB44F14B63E, "disallow_tablet_usage_on_players" },
    { 0xC358F3426D54B55E, "disallowheadiconid" },
    { 0x2A6DE952FDD5BD95, "disallowplayertobreach" },
    { 0x2EC465B917D6BE99, "disarmfunc" },
    { 0x74B979E692021C39, "disarmfuncfrag" },
    { 0x6C1D1CE9E0E941B5, "disarmfuncsemtex" },
    { 0x4EF23CF7F82D2F77, "disarmfuncthink" },
    { 0xF66FC44A417B603A, "disarmgiveweapon" },
    { 0x6BDB26DBBEEB20A4, "discardtime" },
    { 0x62CCCB65934D3599, "disconnect_jumpdown_traversal" },
    { 0x3EF41F3EF85C63C4, "disconnect_paths" },
    { 0x3F369D8FEEB7ABA6, "disconnect_paths_whenstopped" },
    { 0x4AC1053B12444EE4, "disconnect_player_team_slot_assignment" },
    { 0x6D3CB2CC05C2BFFB, "disconnect_traversals" },
    { 0x9C914F39F4E57546, "disconnected" },
    { 0xE8355976157169D1, "disconnecting" },
    { 0x547AAB3C2787AC87, "disconnectnode" },
    { 0xF5169DBC36C294C7, "disconnectnodepair" },
    { 0x9FB3C456E0449C79, "disconnectpaths" },
    { 0x8F77531F377D4F9D, "disconnectpathsfunction" },
    { 0x392D8294CCC8E404, "disconnectshouldforceend" },
    { 0x92B081E98B6DA391, "discotrap_active" },
    { 0x733CEE8ECB35086C, "discovergasref" },
    { 0x406072B0941AA5A1, "discrete_waittill" },
    { 0xA58D9F118F90169D, "disengage_enter" },
    { 0x1713500EC89BFDCF, "disengage_watcher" },
    { 0xF63A9ED17869A47C, "disguise_as_enemy" },
    { 0x43C65276B97C3833, "disguise_catchup" },
    { 0x772141BF975BC4EC, "disguise_cleanuptunnels" },
    { 0x1EE51BC8D17BAC10, "disguise_ent" },
    { 0x0886A5D8D6C58DF0, "disguise_fovlogic" },
    { 0x461E9B6D7E8C78A0, "disguise_getanimationstruct" },
    { 0xDF9B0BEF2355FEC1, "disguise_getcurtain" },
    { 0xAA37F4B4F5738752, "disguise_getfarahfoldeddisguise" },
    { 0xC693F65EA7372503, "disguise_getplayerdisguise" },
    { 0x5B23CA1DBAD2CC5D, "disguise_getplayerfoldeddisguise" },
    { 0x38AF49433B9DF347, "disguise_holsterhintlogic" },
    { 0x82AE8D01411359C3, "disguise_intro_remove_fov_user_scale" },
    { 0x4A60D85F76AC17E2, "disguise_main" },
    { 0x0D2F6BF34696D431, "disguise_overlay" },
    { 0xF236830858B6F062, "disguise_player" },
    { 0x9FA66D5FE05BCA16, "disguise_playerdisguiseshowlogic" },
    { 0xD73863FBAA622517, "disguise_playerfoldeddisguiselogic" },
    { 0x2C9B4D508941E931, "disguise_playerinteractedlogic" },
    { 0x3C95D7E519616A1E, "disguise_setupcurtain" },
    { 0x7796E5CED43F5411, "disguise_setupfarahfoldeddisguise" },
    { 0x00A5D5AFE59279E0, "disguise_setupplayerfoldeddisguise" },
    { 0xB9912879C27BB681, "disguise_start" },
    { 0x3462490D4731F166, "disguise_technical" },
    { 0x53BE3521DA635C6E, "disguised" },
    { 0x5881637FA6B335F3, "disguised_players" },
    { 0x7DBEAFEBAF882CB4, "dismantlehintstring" },
    { 0x5E9ADCEC5FFFD245, "dismantleobj" },
    { 0x189FFF46692B2F95, "dismember_crawl" },
    { 0x72040E545946C2CA, "dismemberedparts" },
    { 0x5DB89B7B0808E7FA, "dismemberheavyfx" },
    { 0xE91C13E9C438F4AB, "dismembermentcheck" },
    { 0x27395B8C69EFDB53, "dismount_after_accum_damage" },
    { 0x09A9894F34FCAE4D, "dismount_after_accum_damage_internal" },
    { 0x9F91BDABBB1E1BE4, "dismountvehicle" },
    { 0x6DB1E4FCE709514C, "disownalarmmonitor" },
    { 0x16192F132A46ABEF, "dispersedamage" },
    { 0x064D2C7E11C2C3F0, "display_ai" },
    { 0x9CDA2AE7DA94FFFC, "display_ai_count" },
    { 0x1CE6318380819D39, "display_ai_group_info" },
    { 0x42414AE302338C65, "display_ai_keys" },
    { 0x8A77B83D1D2CBB80, "display_all_ent_names" },
    { 0x19B33CCBA9F51973, "display_all_last_anims" },
    { 0x69DEFF72CC5B3061, "display_all_node_names" },
    { 0xC4ADA485E06C493A, "display_already_have_weapon_message" },
    { 0x6B72C63A6A6DE4AD, "display_avg_dmg" },
    { 0xA103F128923F2686, "display_bomb_id" },
    { 0x4B75F0894EB86496, "display_combat_icon_to_player" },
    { 0xF80B4C51F9E9C6C7, "display_current_cypher_to_player" },
    { 0xA962A92D5FFF77C5, "display_cypher_updated" },
    { 0x24992F1352F16E7A, "display_detonate_hint_message" },
    { 0x89D2A2D5D83DBCB9, "display_dont_have_weapon_message" },
    { 0xA612709F33934562, "display_enemy_count" },
    { 0x6ABB3A4D15B052BD, "display_enemy_lasknown_pos" },
    { 0x7352AEFFD9A7D952, "display_equipment" },
    { 0xF188F4912FAC67DD, "display_feedback_context" },
    { 0xAACC9A41178D8D9D, "display_fov" },
    { 0x7FF357EB7F388A5D, "display_fx_add_options" },
    { 0x59254B25A935C841, "display_fx_info" },
    { 0x03E253B0BC0673F0, "display_fx_names_after_plane_spawns" },
    { 0x39C7D046934EB445, "display_get_away_from_vehicle_message" },
    { 0x1DF2DCAA40ABE171, "display_goto_path" },
    { 0x2439BBA528C38B76, "display_headicon_to_players" },
    { 0xFDACA2B04EB1A94E, "display_heli_hint" },
    { 0x73372CBB358D42EF, "display_hint" },
    { 0x0C3EB160E00C5C3F, "display_hint_dist_check" },
    { 0x1F3792239821E6F3, "display_hint_for_all" },
    { 0xD0ACC13DEE780375, "display_hint_for_player" },
    { 0x11D83652324D67B6, "display_hint_for_player_single" },
    { 0x077D6B29B99CEFC5, "display_hint_forced" },
    { 0x459A6517D15C5FB2, "display_hint_function_cancel_logic" },
    { 0x576CF04664FA6028, "display_hint_proc" },
    { 0xC0741022345BE39C, "display_hint_single" },
    { 0x97FA275284676026, "display_icon_logic" },
    { 0x467AC296D83F1403, "display_icon_shutdown_logic" },
    { 0x1538CC75A4C6959B, "display_ied_warning_dialogue_or_end_game" },
    { 0xF94C1CD6F391B36A, "display_message_to_guilty_player" },
    { 0x60164A3B4D4CC45D, "display_message_to_teammates" },
    { 0x14F9B94B0A626D96, "display_mission_failed_text" },
    { 0xFFF233EA545FBC09, "display_name" },
    { 0xACFAB01F513A993F, "display_obj_hint_if_needed" },
    { 0x4C47E147B9843E70, "display_objective_text_func" },
    { 0xA13BE2808862F498, "display_ping_hint_with_radial_check" },
    { 0x1EB965688533096F, "display_range" },
    { 0x7744AC31537F4A63, "display_ready_for_sequence" },
    { 0x845AF9CE4B2459E3, "display_reinforcement_called_icon" },
    { 0x28B70A3158243B04, "display_relics_splash" },
    { 0x304092BB81CB1D41, "display_retry_dialog" },
    { 0xF2D113226B9BC8BB, "display_retry_loadout" },
    { 0x3DF94F96EAEB796B, "display_starts" },
    { 0x13AD1237A42159E4, "display_super_fired_splash" },
    { 0x23238586A7933691, "display_super_ready_splash" },
    { 0xB656A081412432E3, "display_timer" },
    { 0x9D5A2AA5C940BCCE, "display_warning_message_to_player" },
    { 0x7746920D67E06AC4, "display_wave_num" },
    { 0x8B29B0A6B795A296, "display_welcome" },
    { 0xCB8246371355CA80, "display_who_broke_stealth_message" },
    { 0x2810D109FF28761C, "displaycodeindex" },
    { 0x3D1C7B618B120A29, "displaycodes" },
    { 0x64893BBCA51C7BDD, "displaydelayedmissioncompletesplash" },
    { 0x8D2089D5D6794C19, "displayed_hints" },
    { 0x12E0E43D63A6DF48, "displayed_ied_ahead_warning" },
    { 0x7F4667B9E53FAF90, "displaygameend" },
    { 0xD464B797A85EC8D0, "displayingdamagehints" },
    { 0x8AC239D94C0829CB, "displayplayersplash" },
    { 0xCAC5962DA0D09A92, "displayplunderloss" },
    { 0x7C6ACBD8329B5614, "displayroundend" },
    { 0x308D908BC3871C07, "displayroundswitch" },
    { 0x9B432BB827D827C0, "displayscoreeventpoints" },
    { 0x912349695085C95F, "displaysplashtoplayers" },
    { 0xE777CEDEE9720FFA, "displaysplashtoplayersinradius" },
    { 0x3DD14B1F1389FF70, "displaysquadmessagetoplayer" },
    { 0xE0C3968351DCF15C, "displaysquadmessagetoteam" },
    { 0x6EA174DCD4ED7A67, "displayteamsplash" },
    { 0x51B8FA6A392C360D, "displaythreat" },
    { 0xD40C9BE90C2F5B5F, "displaywelcome" },
    { 0xDB64EE0625E82D94, "dissociate_from_player" },
    { 0x45208C725D789305, "dist" },
    { 0xF5844D8818FD392C, "dist_ambulance_sfx" },
    { 0xFC8867636881399F, "dist_from_node_to_end" },
    { 0xF54C0FBB07306DB0, "dist_miles" },
    { 0xE8AC326BC366BAD8, "dist_sq_to_ref" },
    { 0x037A0D8F87051596, "dist_test" },
    { 0x5132F8739D54FABA, "dist_to_chopper_pos" },
    { 0xED63404EA62A2436, "dist_to_line" },
    { 0x9A203764A53746B0, "dist_to_line_seg" },
    { 0xE143D18043CE5C5D, "dist_to_next" },
    { 0xB4FF3960D7C8162E, "distance" },
    { 0x4D9A080429F7BCD0, "distance2d" },
    { 0x1D1DE5374B805F71, "distance2dsquared" },
    { 0x9A8D39A9F093AD1B, "distance_2d_squared" },
    { 0x21B48FEB53BB46D6, "distance_checker" },
    { 0x8B8566C47EE2F882, "distance_compare" },
    { 0x7C4C37962D79EFDE, "distance_notify" },
    { 0xC6DD00E4E8DDD37F, "distance_weight" },
    { 0x4F1000042B93119B, "distance_z" },
    { 0x35385A75994F492E, "distancebeforedeescalate" },
    { 0xFF868EAC84022FD8, "distancefalloff" },
    { 0x0062D746FEE72D9B, "distancesquared" },
    { 0x24387B793F4929FC, "distancetobottom" },
    { 0x9BEABA781F568FE7, "distancetotarg" },
    { 0xA9D34C70E4571514, "distant_civs" },
    { 0xB2221F9FEE7940D8, "distant_enemies_spawn_func" },
    { 0xE8D9B8122203D84A, "distant_guy_spawner_watcher" },
    { 0x9D9618D1F4E267A7, "distant_guys" },
    { 0x617F61FEF8DF8CF3, "distant_threat" },
    { 0xC50A9ADF8A833DD6, "distant_threat_gate_init" },
    { 0x6FB7B27EEDAF34E1, "distant_threat_gate_move" },
    { 0x39D0DD671DD2834C, "distanttargetmarkergroup" },
    { 0x9426D336AA57B294, "distanttargetsinouterradius" },
    { 0xC535791E1D026AB5, "distdown" },
    { 0xEDBF8EA4399DAEDA, "distforward" },
    { 0xC608F79F86467912, "distforwardwall" },
    { 0x78F22D47BCCACF59, "distmax" },
    { 0x78CF1F47BCA468D7, "distmin" },
    { 0xA9647EC41BA6B694, "distmove" },
    { 0x8BC17169879559FB, "distort_fx" },
    { 0xDDF47B22FFDA7C7B, "distract" },
    { 0x366182DAAB2EBAC4, "distract_check" },
    { 0x0D127B0F1B777E01, "distract_end" },
    { 0xDDFAFCC9E503A392, "distract_end_followup" },
    { 0x02A1BBEE0C26998C, "distract_followup" },
    { 0xE2C261ED18A494E6, "distracted_breakout" },
    { 0xFF1A4D497AD03C5E, "distraction_dialogue" },
    { 0x679C19F668DC7F6E, "distraction_fx" },
    { 0x0444CB01A155B9C6, "distraction_icons" },
    { 0xEFD29BA171E44A6E, "distraction_structs" },
    { 0x7A531D38DCC6AEE4, "distraction_triggers_logic" },
    { 0xD2010356116D3A69, "distsq" },
    { 0xF5DE270F017C15FF, "distsqrd" },
    { 0x27B55ED601136247, "distsqtoballstart" },
    { 0xCB793E1FA62EA1ED, "distsqtodefenderfalgstart" },
    { 0x1E44EAB8AE8AC04F, "distsqtodefenderflagstart" },
    { 0x12108DB86DC78AE9, "distsqtokothzones" },
    { 0xD4769F332C6E9566, "distsquaredcheck" },
    { 0x69880911F050F7F9, "distsumsquared" },
    { 0x43FE48C70A0C7B4C, "distsumsquaredcapped" },
    { 0x7828F86B06E6558E, "disttohomebase" },
    { 0x3705DF05453349AE, "disttravelled" },
    { 0xD1E5FE56114ED360, "distup" },
    { 0xD3E7F203D73E142C, "div" },
    { 0xF311B7DB049761F3, "divebombpos" },
    { 0x7A4027A8F2888773, "divide_living_ai" },
    { 0x3B088BB112070E33, "divisions" },
    { 0x4B8ECCEC03F0DD88, "dlc_get_non_agent_enemies" },
    { 0xC6C4D68D760DD2C9, "dlight" },
    { 0x8FC8A6C05E35B633, "dlog_analytics_init" },
    { 0x0278663F6C13B582, "dlog_init" },
    { 0x5CB82E5914C9C59F, "dlog_recordevent" },
    { 0x44362B47D0CD3B48, "dlog_recordplayerevent" },
    { 0xBAD2A698D2E577A7, "dlogdata" },
    { 0x1438A51EF61CABF2, "dlogid" },
    { 0xD3D6E303D72BE8D3, "dmg" },
    { 0xD639C18F78625CF4, "dmg_from_player" },
    { 0x5C6D3C85827C42E6, "dmg_models" },
    { 0xC76FDC60C36153EE, "dmg_trig" },
    { 0xA3350DE39324DEE5, "dmg_vfx_hp" },
    { 0xED7B7B9AB37FF646, "dmg_vfx_smoke" },
    { 0x4F323F10855786C2, "dmg_vfx_smoke_move" },
    { 0x4DF1B17CC61FE793, "dmg_vfx_tag" },
    { 0x1C7EBC89702CAC28, "dmgarray" },
    { 0x32C2A338F62C267B, "dmgpoint" },
    { 0xBE7F97A3C2D1F0A7, "dmgtoplayer" },
    { 0x79EF28468DD4952F, "dmz_bot_callback_func" },
    { 0x7F00E1D9AAB824F7, "dmz_numteamswithplayers" },
    { 0x0FC8AB8899E3A008, "dmzextractcost" },
    { 0xF89E03328A045AEC, "dmzextractcostdecrease" },
    { 0x070766C7212E0723, "dmzlootleaderupdateonpickup" },
    { 0x6289E8C2697DB8DC, "dmzminextractcost" },
    { 0xE8FE8D5F0F7E320D, "dmztut_endgame" },
    { 0x5D5AFE2A47A5953A, "dmztut_endgametransition" },
    { 0x3948FE95D058C49E, "dmztut_endgamewithreward" },
    { 0xE0D9927707F7755F, "dmztut_luicallback" },
    { 0xFCB43C2A908CD983, "dmztutdropcash" },
    { 0xADBFDE2B5D2892AC, "dmztutendgame" },
    { 0x2533F07F83FA006B, "dmzwincost" },
    { 0x40C5F293248FC6A1, "do_abort" },
    { 0x95007A83AD387EBC, "do_additional_damage" },
    { 0x77A7D0B64AF05CCF, "do_ads_hint" },
    { 0x7DB49E5DC70F7195, "do_animation" },
    { 0x478573A5B3F0144B, "do_as_chatter" },
    { 0xA9DCDA7D607004E5, "do_as_chatter_internal" },
    { 0xF284A8DB483E09D7, "do_ascender_entrance" },
    { 0xB93C69B969930DEE, "do_cache_2_prep" },
    { 0xD3D1E8D86D28AEDB, "do_camera_zoom_out" },
    { 0x80C8EA1F7B4D2AD1, "do_complete_escape_zoom_out" },
    { 0xCA3EE1C6D72A7981, "do_computer_anims" },
    { 0x3CA7F3BC4CEAC007, "do_context_melee" },
    { 0x9299071582D9165C, "do_convoy_moving_vo" },
    { 0x60078EA84DB58609, "do_cough" },
    { 0xC6CE835385AFC4BB, "do_custom_evade_start" },
    { 0x2588B17D7D509B16, "do_cut_anims" },
    { 0xCCF746B4285E30F5, "do_cut_anims_long" },
    { 0xDBC19581CE641098, "do_damage" },
    { 0xB9AC52A8A968A6F1, "do_damage_to_all_players_as_passenger" },
    { 0x126785AE4D206AA0, "do_damage_to_player_armor" },
    { 0xC2112227D5147EAC, "do_damage_to_target_in_range" },
    { 0xC94EE52494A3C712, "do_damage_when_trigger" },
    { 0x6C81B2D4275D999D, "do_death_sound" },
    { 0x0DFCA6D4D9D905B5, "do_defuse_anim" },
    { 0xD1979556C374904B, "do_deletable_delete" },
    { 0xC81E07297E4F5171, "do_door_spawn" },
    { 0xDF983569342B5788, "do_earthquake" },
    { 0x74D470E11217F261, "do_executing_anim" },
    { 0xD2C684AA1DC2ECDF, "do_exfil_vo" },
    { 0x59FF20A10984D90F, "do_facial_anim" },
    { 0x6E35842CFF3BC56D, "do_fadeout" },
    { 0x1774A7D5660F1F47, "do_fast_hvt_pickup" },
    { 0x6F400A0E2BA13C20, "do_flir_footsteps" },
    { 0x13355EC1E581F2FF, "do_func" },
    { 0xC051F06BBCC869E4, "do_funcs" },
    { 0xDB206B8DE21E9706, "do_ghost_skit" },
    { 0x34888921BBAFCCEA, "do_gl_hint" },
    { 0x7EAA5C2FB91ED7D0, "do_hack_sequence" },
    { 0x55E4E262DAC31711, "do_heli_crash" },
    { 0x17ADCFA90D285534, "do_heli_takeoff_vo" },
    { 0xCF8A9950FC40B0C0, "do_hood_repair_animation" },
    { 0x1D17B51BF57D3B0F, "do_hood_repair_animation_actual" },
    { 0x8930364C1BAFDFA8, "do_hood_repair_anims" },
    { 0x396B0FBD7310D951, "do_hvt_drop_anim" },
    { 0x5E8B1C1E9E4F8EBA, "do_hvt_load_on_truck_anim" },
    { 0xC1A64EDED3C1FF1E, "do_hvt_pickup_anim" },
    { 0xFF8793BEB0133EAD, "do_hvt_pickup_from_truck_anim" },
    { 0xDE84171E66C883FB, "do_idle_twitch" },
    { 0xA5A13CAC01CE53B2, "do_immediate_ragdoll" },
    { 0x85AE089ECAF6D22F, "do_kidnapping_anims" },
    { 0x7754A5A9F18D5904, "do_killstreaks" },
    { 0xEE6FB77F17E4E154, "do_landing" },
    { 0x96925B85429BB949, "do_laser_panel_anim_sequence" },
    { 0x64B80F66A775ECF3, "do_laser_target_on_player_humvee" },
    { 0x4CA08EED23C4310A, "do_level_first_frame" },
    { 0x264E23EF5EF0A0D4, "do_level_specific_callback" },
    { 0x38B73835256A2918, "do_lilly_execition" },
    { 0x7CC6A8B58135B46D, "do_lilly_struggle" },
    { 0x31970D1B63A06AC1, "do_ls_anims" },
    { 0xD8147EDAF4C91F82, "do_manual_splash_damage_when_frag_explodes" },
    { 0x8F6906B722C78E18, "do_melee_attack_anim" },
    { 0x3BA74C5552E8089B, "do_multiple_treads" },
    { 0x66E4E75B0C3FE1B6, "do_no_game_start" },
    { 0x99A204ED9084D924, "do_no_game_start_teleport" },
    { 0xA4F7A23F537F6384, "do_not_unload" },
    { 0xF7F41D64CCAD0E7D, "do_pain" },
    { 0x28A97555BD000120, "do_player_rescued_anim" },
    { 0xE3458CFC9B855007, "do_resurrection_logic" },
    { 0xBF10E0A5E077C873, "do_seated_anim" },
    { 0x4F7CA9B888054F56, "do_secured_player_vo" },
    { 0xC97908F4C203AB32, "do_single_tread" },
    { 0x8C5DC71A25D48A42, "do_slide_hint" },
    { 0xA1E3D9F456503829, "do_sound_on_death" },
    { 0xE6DBAB1F671A3571, "do_spawn_vo_callout" },
    { 0xF5A1B1016741220C, "do_starts" },
    { 0xFAFCA64A9315D72E, "do_state" },
    { 0x82812169D06AD207, "do_state_change" },
    { 0xFA52DEBB4DF60674, "do_stealth" },
    { 0x72FB0294C5DBA2F2, "do_subduing_anim" },
    { 0x1EDFEE18084112E5, "do_terrorist_ragdoll" },
    { 0x53DF4823D12E5FB9, "do_traverse_anim" },
    { 0x993A5DDA4B20CDA4, "do_vehicle_repair_animation" },
    { 0xCF14C6433D2E634B, "do_vehicle_repair_animation_actual" },
    { 0x8786FF9A0DA0ED6A, "do_vent_rumble" },
    { 0x14C3C12160AB4538, "do_wait" },
    { 0x0F903158F821582D, "do_wait_any" },
    { 0xF78A039A1741E35E, "do_wait_endons_array" },
    { 0x80BC01B3990E5E2E, "do_wave_spawning_while_players_return_to_safehouse" },
    { 0x8B26E2A31DBA6C8F, "do_whizby_flinch" },
    { 0xB7AAFCD79BE62D5A, "doaction" },
    { 0x569F3C63DB301660, "doaction_begin" },
    { 0x3DB83BC10745AE2C, "doaction_end" },
    { 0x01A21A24FD6A2F8E, "doaction_tick" },
    { 0xEA8C7E10F2FF269E, "doairstrike" },
    { 0x4128E398D7902EDE, "doalert" },
    { 0x47187A070F93CC4C, "doambushcoverfind" },
    { 0x9BD613CC999745A5, "doambushspawning" },
    { 0x9533355EA43FF4CF, "doantigravgrenaderagdoll" },
    { 0x9C0D93CF0C6D2068, "doapcdamagevo" },
    { 0xF3C949DC98368260, "doapcshellshot" },
    { 0x03C7C62C934DE95A, "doarmsracelocationnags" },
    { 0xCBD2F32F70446A87, "doarmsraceopencachenags" },
    { 0xA8515C3AE09E8065, "doarrival" },
    { 0xF6DAA81793F1E5B5, "doavoidanceblocking" },
    { 0xEC868588EB4E3896, "doblinkinglight" },
    { 0xF080540B2E14D1BC, "dobreakeractivation" },
    { 0xD969AE7AC1DFDB71, "docache1" },
    { 0xD969AB7AC1DFD4D8, "docache2" },
    { 0xD969AC7AC1DFD70B, "docache3" },
    { 0xD969B17AC1DFE20A, "docache4" },
    { 0xEE7404F88DC5DDEB, "docache4voskits" },
    { 0xD969B27AC1DFE43D, "docache5" },
    { 0x4877602C65576536, "docapturekill" },
    { 0xA2DB7C023313C8CC, "dochangeweapon" },
    { 0x92BE8329439CEE15, "dochants" },
    { 0xDEE88A580583490E, "dock_door_init" },
    { 0xE365A49A7C120E84, "dock_doors_move" },
    { 0x339DED72AB2ABC77, "dockmovingplatform" },
    { 0xFEE9A897FEF5D525, "doclocksound" },
    { 0xB31A1F65C421CD8F, "docmdoutro" },
    { 0x8342C46985464EA4, "docovermultiswitchnode" },
    { 0xC58E0DFE08E42C2C, "docovermultiswitchnodetype" },
    { 0x1C8EED3A2BD0DD30, "docratedropfrommanualheli" },
    { 0x457A2742FB3B19BC, "docratedropfromscripted" },
    { 0x9BB2303752F24F74, "docratedropfromscriptedheli" },
    { 0xD5DF3024EE786AAB, "docratedropsmoke" },
    { 0x65DFE65F034EA393, "docustommusicloopafternuke" },
    { 0xB66AF8C7826E62F1, "dodamage" },
    { 0xFFCB439412C4DBA3, "dodamagefilter" },
    { 0xE3C3D196D216EFA3, "dodamagetoall" },
    { 0x9919E54027483E02, "dodamagetokillstreak" },
    { 0xF126EA22A89CE6A2, "dodamagewhiledown" },
    { 0xEC564D0790FB427E, "dodangerreact" },
    { 0xBD092F680E995B4F, "dodeathfromarray" },
    { 0x8E79763AA2780AD1, "dodgeanim" },
    { 0x70E94C6E14589C15, "dodgecooldown" },
    { 0x6624318674C03938, "dodgedbullet" },
    { 0x2CA2D34C9F7F9B74, "dodgedefenseignorefunc" },
    { 0xC1D574479551AA2F, "dodging" },
    { 0xBC1B30B1DF5F5FFD, "dodirectionalswivelmove" },
    { 0xED8C6284090A8C5F, "dodisintegrate" },
    { 0x77124629F688B891, "dodragonsbreathpainfxhack" },
    { 0x59E87E682C326110, "dodyingcrawlbloodsmear" },
    { 0x40C40B0F9D752FC5, "doearthquake" },
    { 0xD13394E61B0E882B, "doendofmatchotsequence" },
    { 0x1C799598522A6035, "doentitiessharehierarchy" },
    { 0x12D759D9FBB4FA8F, "doeomcombat" },
    { 0xBE2355CEF5B7E5F6, "doepictauntscriptablestep" },
    { 0xC3E40457BE5B5786, "does_day_fit_in_current_month" },
    { 0x7388707210A855F2, "does_goliath_know_where_player_is" },
    { 0xE68763EB9DF5E5EC, "does_hero_player_pass_traces" },
    { 0x14D43941A692E6A0, "does_team_have_active_chain" },
    { 0x520D433FD96580A3, "does_want_to_move" },
    { 0x2E610BB799002183, "doesattachmentconflict" },
    { 0x548FCC9F3DDCB081, "doesmodesupportplayerteamchoice" },
    { 0xA5AB3B3C6B3B68B1, "doesnodeallowstance" },
    { 0x5CF5D1CEA4778815, "doesscenefitincurrentarchive" },
    { 0x5D2E4D1C149094C6, "doesscenehaveenoughbufferrecordingtime" },
    { 0x68A06EFD50C8A966, "doesscenehaveenoughtotalrecordingtime" },
    { 0x2BB5A6C0C50D3A85, "doesshareammo" },
    { 0x1170C8448A58E710, "doesstreakinfomatchequippedstreak" },
    { 0x52BE20B6896BE2FC, "doesstumblingpainstatehavealias" },
    { 0x1D1FCCE12477362E, "doesteamhaveactivejugg" },
    { 0x8052022A4A754DA3, "doesweaponhaveattachmenttype" },
    { 0x209EAB1C4DABA494, "doexfilallyidle" },
    { 0x10B940E4AC0A02DF, "doexfilsplashforpassengers" },
    { 0x49D4F6D4AD1C06A3, "doexposedcalloutresponse" },
    { 0xD860B2782047276B, "doextractionevent" },
    { 0xD3CDE203D721C7F2, "dof" },
    { 0xEA190124F1652D06, "dof_apply_to_results" },
    { 0xD51F9C7C1DC395E2, "dof_auto_barkov" },
    { 0xF4D8AC0C447F3A16, "dof_auto_knife" },
    { 0x16290A3BE28164A9, "dof_auto_knife_prompt" },
    { 0xBE8044AAADFE736E, "dof_blend_interior_ads" },
    { 0xF1558C8ED2CAC915, "dof_blend_interior_ads_element" },
    { 0xA8C0DCD500EC86AF, "dof_blend_interior_ads_scalar" },
    { 0xF8809C9A0CAFCE81, "dof_blend_interior_generic" },
    { 0x8312C2C3A9C5A4C3, "dof_calc_results" },
    { 0x45D09C6DEFD454C0, "dof_default" },
    { 0x50E94581217355D9, "dof_disable" },
    { 0x06502A20DCA0230C, "dof_disable_ads" },
    { 0xD397C5E6F880F4EB, "dof_disable_autofocus" },
    { 0x109177EF782B9479, "dof_disable_script" },
    { 0x4389651185DCF040, "dof_enable" },
    { 0xD8F1828446E988A9, "dof_enable_ads" },
    { 0xAA649036CB866932, "dof_enable_autofocus" },
    { 0xD702B75C65777A02, "dof_enable_script" },
    { 0x372CE4F52F7A650B, "dof_finale_choke_stab01" },
    { 0x372CE7F52F7A6BA4, "dof_finale_choke_stab04" },
    { 0xB98DAB58E6A1D565, "dof_func" },
    { 0x69BE2887F61D9B21, "dof_init" },
    { 0xCA74061CD7CD8457, "dof_interrogation_enforcer" },
    { 0xB992BFBB0B6F7B6D, "dof_interrogation_revolver_pickup" },
    { 0x00414DB7A7A4707D, "dof_interrogation_van_open" },
    { 0x2584EFB9755B6E76, "dof_kyledrone" },
    { 0x88BDD32C1AB9B9A4, "dof_off" },
    { 0xC50FCD92D0A4126D, "dof_process_ads" },
    { 0xCDB3AF1EF3B9ED7D, "dof_process_physical_ads" },
    { 0xC64C26446D597DFA, "dof_ref_ent" },
    { 0x13225EE2C0E5E4DB, "dof_set_base" },
    { 0x8679F02C3937A0A7, "dof_set_generic" },
    { 0x706CF3B294B53266, "dof_update" },
    { 0x1550639674FE950F, "doffar" },
    { 0x2289317DE8FD148A, "doffarblur" },
    { 0x9B574E60F477CC5C, "doffarend" },
    { 0x286C145EE8867245, "doffarstart" },
    { 0xDCE8105DD8BBF327, "dofinalkillcam" },
    { 0x45BD9C97B0C40B8C, "dofirstcache" },
    { 0xFB89F2CC3B31F5E8, "doflyby" },
    { 0xE7A93BA6413B0E1C, "dofnear" },
    { 0x88290F34049FB925, "dofnearblur" },
    { 0x16D81E12FB6F8591, "dofnearend" },
    { 0x34AF963AA7EA1830, "dofnearstart" },
    { 0xFD66F7C3E4F6440C, "dofovzoom" },
    { 0xD3CDE303D721CA25, "dog" },
    { 0xD7B208CD27A677E1, "dog_combat_init" },
    { 0x461FA4697D229A61, "dog_followenemy" },
    { 0xD50A60E9345756F0, "dog_followenemy_init" },
    { 0xCBB0C033887EC9CD, "dog_followenemy_terminate" },
    { 0x8768C616B6F2CFF8, "dog_idle" },
    { 0xA47D553483656133, "dog_idle_init" },
    { 0xC7FD8C6B2FDB2501, "dog_idle_init_task" },
    { 0x313A07EC64C6E190, "dog_idle_terminate_task" },
    { 0x186B6F1721382514, "dog_init" },
    { 0x6FF8CDCD60E631E5, "dog_investigate" },
    { 0x0DA4FA5898D5FA20, "dog_investigate_init_task" },
    { 0x3334B7525FCFABFF, "dog_investigate_terminate_task" },
    { 0xDE152857009DB7D6, "dog_is_killed" },
    { 0xE285D00FCDFEF107, "dog_jump_down" },
    { 0xE6AB75CCB3A35B1B, "dog_kill_and_main_house_vo" },
    { 0x095678D9E49F8632, "dog_notehandler" },
    { 0x9C5CDCF30F65C3DC, "dogfighttarget" },
    { 0xA980D3B30188123F, "dogfn0" },
    { 0xD3C2BAEF01F70BF3, "doghandler" },
    { 0xD6333A68955B8FED, "doghostweaponfired" },
    { 0x339857FADCB538F2, "dogib" },
    { 0x75E98C87E0D2E09F, "dogibdefault" },
    { 0x20F8220796206472, "dogoalreset" },
    { 0xCBB6E7B3D648C35A, "dograb" },
    { 0x2AA4DD44137F44FE, "dogrenadethrow" },
    { 0xEF9497721F4FFB22, "dogs" },
    { 0x75BD0D16DADE5EB9, "dogs_dialoguedeathlogic" },
    { 0xA3412F02A1F0B611, "dogs_dialoguelogic" },
    { 0x81D6B3B33844A0DE, "dogs_dialogueplayermisslogic" },
    { 0x61EBC4BED7CA2C06, "dogs_main" },
    { 0xABF09293F5509546, "dogs_pathlogic" },
    { 0xD60A1DFADE0088EA, "dogs_playerspotteddogslogic" },
    { 0xD7154F5203D81E36, "dogs_runlogic" },
    { 0xE3CCDEFD4943E629, "dogs_spawndogs" },
    { 0xD725FE3F4B0FA82D, "dogs_start" },
    { 0x75C1BEB397ACE1F3, "dogtag" },
    { 0x63098FCAB46DD087, "dogtag_collected" },
    { 0xE9876FC262965085, "dogtag_collected_lap" },
    { 0xB27BC5E67167E7C5, "dogtag_revive" },
    { 0xCE1C40E4B8357C9F, "dogtag_visibility_watcher" },
    { 0xDC078F2689F684EE, "dogtagallyonusecb" },
    { 0xF5D30CD2D3D1593C, "dogtagallyonusecbconf" },
    { 0x8424F8F91F846631, "dogtagcommonallyonusecb" },
    { 0xF4D09CBFA804CD5F, "dogtagcommonenemyonusecb" },
    { 0x8EEF7CD1EAD22F12, "dogtagenemyonusecb" },
    { 0x415DE17A2452D8E8, "dogtagenemyonusecbconf" },
    { 0xA5F7E4F69133EC80, "dogtags" },
    { 0xEB6BC4538AF50F81, "dogtagsenabled" },
    { 0xD00861A56A3A5A21, "dogtagsicon" },
    { 0x6BBB3C4148DA9855, "dogtagsplayer" },
    { 0xB4D6CAAEB4DE6157, "dogtagstext" },
    { 0x932A0725660FF4A7, "dogundropphysicsimpulse" },
    { 0xB0AA591F669CF057, "dohalftimevo" },
    { 0xB264A1403445CBB2, "dohalfwayflash" },
    { 0xF53EB15A4394BB03, "dohoist" },
    { 0xB399FFB6640F6DB6, "dohudplunderpulse" },
    { 0x9B4E52700601EF26, "dohudplunderroll" },
    { 0xA2EAF50622892FB5, "dohudplunderrollsound" },
    { 0x1D8BBB124F4EF813, "doidlemovement" },
    { 0xE44623E27F18123A, "doimmediateragdolldeath" },
    { 0xF2B57464D002FDA4, "doingadditivepain" },
    { 0xAF345D32838F2F44, "doingambush" },
    { 0xF07D970022F5C351, "doingbroshot" },
    { 0x0ABBFB7AC62F9F70, "doingcheck" },
    { 0xDA12715F42B30582, "doingkillcamslowmo" },
    { 0x20596C271D7E1044, "doinglongdeath" },
    { 0xDA13A0EF800BEDC4, "doingpoi" },
    { 0x8D487E31DA895837, "doingsplash" },
    { 0x4835C9344FFEC2D4, "doinjuredgesture" },
    { 0xC1CE3377C443F714, "dointerrogationvo" },
    { 0xBC9F7B1041D85162, "dointro" },
    { 0xE748E306A3BACD49, "dointrovo" },
    { 0xA6EBAA0A796EB43F, "dojailbreak" },
    { 0x2EE5DE650773A11E, "dokidnapsequence" },
    { 0xD5F6E03932E94BDF, "dokillcam" },
    { 0xD3916C4989CB5BFA, "dokillcamfromstruct" },
    { 0x568863CC86B1C8DA, "dokillcamslowmo" },
    { 0xD9A9A0C7922EF720, "dokillstreakaction" },
    { 0x2E6B9ED29979DAAB, "doleaderfinalsurrender" },
    { 0x9C04B6BACEB19DD2, "doleaderinterrogationnag" },
    { 0x8AF063F7C7E45E9A, "doleaderreturntocombat" },
    { 0x555E0DDD74089305, "doleaderstun" },
    { 0x08153C38F4D081E9, "doleadersurrender" },
    { 0x04E124286CCF475A, "doline" },
    { 0xF39CB078FC4B759D, "dolmgtracking" },
    { 0x16641BD06FE454C6, "dolocalrailgundamage" },
    { 0xD3CDE903D721D757, "dom" },
    { 0x8834C101C7324C51, "dom_circletick" },
    { 0x10C94684961B81F7, "dom_encounterstart" },
    { 0x31EE65320FC9E5A4, "dom_initquest" },
    { 0x7CE5CF992E36226F, "dom_ontimerexpired" },
    { 0xCB52D73D797263B6, "dom_questthink" },
    { 0x66594818A73AC4BD, "dom_removequestinstance" },
    { 0xE6B333FD0BABC176, "dom_removequestthread" },
    { 0x6C1B7E152285A012, "domagicdoorchecks" },
    { 0x75D9ADEF00DAD1D5, "domassairetreat" },
    { 0x3B7A3147629B482E, "domeleeaction" },
    { 0x53EAE9260E575A05, "domencounter_icons" },
    { 0x0A2F07DDFC1F6DB0, "domencounter_onenduse" },
    { 0xDD23902AB1BF9E8F, "domencounter_onuse" },
    { 0xB8E082FF610C2A9E, "domencounter_onuseupdate" },
    { 0x3B1B06E2399EF798, "domencounter_setdomscriptablepartstate" },
    { 0x9182A2C442C31E92, "domeritcallback" },
    { 0x1F08A1219AF8B0C9, "domflag" },
    { 0xDFD139518D20445F, "domflag_dropplunder" },
    { 0x5913FC2DBC8CF5C2, "domflag_hideiconfromplayer" },
    { 0xE07695AADE907BB4, "domflag_icons" },
    { 0xF18C80F6023B2AA7, "domflag_onbeginuse" },
    { 0x9288FBD45EB9945B, "domflag_onenduse" },
    { 0x26A43C83CCC6F9FA, "domflag_onuse" },
    { 0x346683F7095B6053, "domflag_onuseupdate" },
    { 0xDD8BCA9C69876A31, "domflag_setdomscriptablepartstate" },
    { 0xE251E5024CB9D6DD, "domflag_setneutral" },
    { 0x7B47BAACAD172CDA, "domflag_showicontoplayer" },
    { 0x1ACE75F780F6972E, "domflag_usecondition" },
    { 0x8F06D3C117D29245, "domflagassignments" },
    { 0x38AB16E7D0ECA90E, "domflags" },
    { 0xF2D6486A9CB7AFBE, "domflagupdateicons" },
    { 0x186C22651CC3151C, "domflagupdateiconsframeend" },
    { 0xDAC1CA17E6DABB0D, "domgulagsounds" },
    { 0x7E3E9F0BA6D2F54B, "dominating_music" },
    { 0x82A99D7D1F56E9D2, "domlocale_checkiflocaleisavailable" },
    { 0xC2FDCE4023C542BF, "domlocale_circletick" },
    { 0xC85B55C7C695905A, "domlocale_createquestlocale" },
    { 0xF728A3A319A82180, "domlocale_findsearcharea" },
    { 0x76110152C8091FE5, "domlocale_onentergulag" },
    { 0x2202B6DB1C1C63D1, "domlocale_onrespawn" },
    { 0x20C051EB3B783283, "domlocale_removelocaleinstance" },
    { 0xA124BA80149BC728, "domlocale_removequestinstances" },
    { 0xAC9283BF67A668AC, "dommainloop" },
    { 0xE6B2FB430713F257, "domonitoredweaponswitch" },
    { 0xFF87A72E65222E74, "domoralesnags" },
    { 0xB20896795B9CE1C0, "domoralestiedanim" },
    { 0xD568E4A848539A7C, "domplatecapturetime" },
    { 0x89F566596E5523A8, "dompoint_cancelholdtimer" },
    { 0x7B695A650379FB0A, "dompoint_holdtimer" },
    { 0x208D96A00DBF4597, "dompoint_onactivateobjective" },
    { 0x9D2636CCDE7DC965, "dompoint_onbeginuse" },
    { 0x7F5CCC7E97BFF212, "dompoint_oncontested" },
    { 0xFFDE087A78E11BC2, "dompoint_ondisableobjective" },
    { 0x91506B7A796D9895, "dompoint_onenableobjective" },
    { 0x8BEE6BB82F5184F9, "dompoint_onenduse" },
    { 0xD2931343A5785DC4, "dompoint_onpinnedstate" },
    { 0x0EFAB663AC526273, "dompoint_onuncontested" },
    { 0x158E268931145C6E, "dompoint_onunoccupied" },
    { 0x729BEEF707AFC8FD, "dompoint_onunpinnedstate" },
    { 0x6F319227F32E8490, "dompoint_onuse" },
    { 0x0AE83E1EDF000635, "dompoint_onusebegin" },
    { 0xC97C5BB957DDE1B5, "dompoint_onuseend" },
    { 0xCEB390B9368EFA51, "dompoint_onuseupdate" },
    { 0xFE82B904AC459B72, "dompoint_setcaptured" },
    { 0x9657E29654FAE62D, "dompoint_setupflagmodels" },
    { 0xBCC6C8BE1E6AD031, "dompoint_stompprogressreward" },
    { 0xEBF62E94E4BEEDD9, "domquest_dropplunder" },
    { 0x2179452814390E9E, "domquest_icons" },
    { 0x879ADEC325F244C1, "domquest_onenduse" },
    { 0x6089B451B055B438, "domquest_onuse" },
    { 0xEEFFDD7431571ED9, "domquest_onuseupdate" },
    { 0x160C57143541196D, "domquest_removequestinstance" },
    { 0xBE3C9F711E2A3CFA, "domquest_removequestinstances" },
    { 0x166DB527518FB52B, "domquest_setdomscriptablepartstate" },
    { 0x1285A1A1C4EE3F7A, "domtablet_init" },
    { 0xEFB395721F72489D, "done" },
    { 0x59C99ECEE038056E, "donelosttargetshot" },
    { 0xCFE23B3A37989185, "donetsksubmap" },
    { 0xFF617AE637FF1CBE, "donightvision" },
    { 0x58D6EEB418402712, "doninebang" },
    { 0x500919E0E2B3CA60, "donotetracks" },
    { 0xF76CE38E5AE0787F, "donotetracks_vsplayer" },
    { 0xFD97F60530242C0F, "donotetracksforever" },
    { 0x0C05071FA232817F, "donotetracksforeverintercept" },
    { 0x79FD5602661FC41F, "donotetracksforeverproc" },
    { 0xED384F940FEE2A3E, "donotetracksfortime" },
    { 0xB547CC0FCD0899D6, "donotetracksfortimeendnotify" },
    { 0xD7D24A8355992C4C, "donotetracksfortimeintercept" },
    { 0xC573F0EB10E1F422, "donotetracksfortimeout" },
    { 0xD19F8EB26458D632, "donotetracksfortimeproc" },
    { 0x3229553172FDC2AE, "donotetracksintercept" },
    { 0x7CA1E434FD00376D, "donotetrackspostcallback" },
    { 0x110DFEA169AEDFEB, "donotetrackswithtimeout" },
    { 0x09B9BA52A58F47DD, "donothing" },
    { 0x6A51CBBC5FCD80AF, "donothingfunc" },
    { 0x574D01E7823D29FE, "donotmodifydamage" },
    { 0xBD77950E6BAD71BD, "donotunloadondriverdeath" },
    { 0x4EBF87BDDBFA7B4C, "donotunloadonend" },
    { 0x1728348825D85598, "donotuse" },
    { 0x75573CA1085119F8, "donotwatchabandoned" },
    { 0xE7ABDCC4788B01CF, "dont_auto_balance" },
    { 0x5BA95BE8EF656BE3, "dont_auto_ride" },
    { 0x49460098B9BE79CE, "dont_callout_sniper_kill" },
    { 0x9AFDE8FC9E686EA9, "dont_cleanup" },
    { 0x81D95223EB631D45, "dont_crouch" },
    { 0x817C69A07BDC677C, "dont_delete" },
    { 0x0C7FAEB5A70677F1, "dont_disable" },
    { 0xB734F53B1A83BB0A, "dont_do_flir_footsteps" },
    { 0x0FF0D0C91EA07728, "dont_drop_weapons" },
    { 0xB1606143C215C3C4, "dont_enter_combat" },
    { 0x873A578EDDD345F0, "dont_explode" },
    { 0x50DB4FA9A69FCEC2, "dont_kill_flag" },
    { 0xDE6C41A8E806D955, "dont_kill_off" },
    { 0x981BB1A7A70C22FB, "dont_kill_off_old" },
    { 0x79D621FA38864B7A, "dont_lerp_player" },
    { 0xE9CB0FA892BAD9A8, "dont_let_player_die_in_tunnel" },
    { 0x95086859E590CE53, "dont_link" },
    { 0xB48907A620C34131, "dont_lmg" },
    { 0xF22A0E387333A5FA, "dont_move_from_drone" },
    { 0xEDE4FAC45ABDF1B5, "dont_plant_until_time" },
    { 0x6238D09D30B4BC57, "dont_prone" },
    { 0x07DBD92674B68D6B, "dont_propagate_events_prespawn" },
    { 0xC5B7757A3547FF88, "dont_scriptkill" },
    { 0x170C1DDE394A7293, "dont_shoot_parachutes" },
    { 0x0CBB7905443929BE, "dont_shoot_player_in_the_back" },
    { 0x3E5C5391FA464250, "dont_shoot_through_bp_glass" },
    { 0x0CFD0C72F4410A5D, "dont_shoot_through_civilians" },
    { 0x6BFD5CA2E683FCE9, "dont_stand" },
    { 0x1ABA4A5819FD3AB0, "dont_unlink_ragdoll" },
    { 0xEF43CAE45D879C1D, "dont_update_volume" },
    { 0xF90BA1D5F4836EA8, "dont_use_charges" },
    { 0xD1BF9BC2EED5180C, "dontattackme" },
    { 0x5F50238457490BC2, "dontavoidplayer" },
    { 0xA6F3F98C38E66D04, "dontbreakhelmet" },
    { 0x4354D0A2F4B37C02, "dontcallpostplunder" },
    { 0xE0293A756D0F67F7, "dontcastdistantshadows" },
    { 0x8BAA620B49E2BEBA, "dontcastshadows" },
    { 0xBCFF67EEC48E370F, "dontchangepushplayer" },
    { 0x7285F48BF0D11C67, "dontchatter" },
    { 0x6DF36A0E48B6B5C6, "dontclose" },
    { 0x57CDE7D82DB3973C, "dontcolormove" },
    { 0xA50A80EB72EB4C21, "dontdeleteonseatenter" },
    { 0xACE3852461E3FD18, "dontdisconnectpaths" },
    { 0xBCDBE2C06F1DF7E7, "dontdonotetracks" },
    { 0x2645B073FFD20B67, "dontdrawoncompass" },
    { 0xCA618DF7DA67157F, "dontdropweapon" },
    { 0x509A8D1B0ABC71E8, "dontendonscore" },
    { 0x2BAF25B49902F479, "dontevershoot" },
    { 0xC2A86EA819DFE7A8, "dontgetonpath" },
    { 0x590E621919773C8E, "dontgiveuponsuppression" },
    { 0xEF0AF81EE1DA0A4C, "dontgiveuponsuppressionyet" },
    { 0xD1CD7D57E08882D6, "dontgrenademe" },
    { 0xD97C3150F73B6859, "dontinterpolate" },
    { 0xEBBA4B8D69D88C4B, "dontkilloff" },
    { 0xA76F6034FD3E5FD2, "dontmelee" },
    { 0xC5391E283203C7B8, "dontmeleeme" },
    { 0x058E583A402AA494, "dontrallynag" },
    { 0xBD2883EB602979E7, "dontsave" },
    { 0x8D714DEAA55289D8, "dontshootwhilemoving" },
    { 0x57257FDFEF8173B2, "dontshootwhileparachuting" },
    { 0x7660E9D808992231, "dontshowscoreevent" },
    { 0x87BDE6EF659A999E, "dontspawncargotruck" },
    { 0xF3C33229D47DF931, "dontspawnjeep" },
    { 0x16DB8A78B413EAD7, "dontsyncmelee" },
    { 0xCC264BB218530632, "dontunloadondeath" },
    { 0x9336F910F4DB9495, "dontunloadonend" },
    { 0x09266AC01EB28FFE, "dontwaitforpathend" },
    { 0xEFB7A8721F76683D, "door" },
    { 0xA74F81FB3166D8FD, "door2" },
    { 0x5C211B6DA6C10F75, "door_1" },
    { 0x5C21186DA6C108DC, "door_2" },
    { 0x8F6E29BF56CAA609, "door_add_opener" },
    { 0x94D34678E6893A07, "door_ai_allowed" },
    { 0xF716F1BEA6124A72, "door_ajar" },
    { 0xD4B8BA6FFCE141BB, "door_ajar_custom_func" },
    { 0x201142665C202CC6, "door_angle_check" },
    { 0xBAFD40BE79420EBF, "door_anim" },
    { 0x3CDCBF8B1ECC9588, "door_back_left_dmg" },
    { 0xAE4FF6FE2F116113, "door_back_right_dmg" },
    { 0xB9DB380E2DC2DBD5, "door_bash_open" },
    { 0x2F47CD57B9DCD185, "door_bash_presentation" },
    { 0xC81F13A7962033FD, "door_bash_thread" },
    { 0x37E25FE4B2316D78, "door_bashable_by_player" },
    { 0xF1A58A1B34789A94, "door_bust_guy" },
    { 0x5F044F19C9974047, "door_bust_guy_autosave" },
    { 0xD837273B2834BB8F, "door_bust_scene" },
    { 0xA9B22F31B849F03E, "door_can_open_check" },
    { 0x026048853DCF8686, "door_check_base" },
    { 0x9C8FB58EEF68F850, "door_clip" },
    { 0x04298EFA935646F1, "door_clip_boss_enter" },
    { 0xA59367F5369DB720, "door_clip_delay" },
    { 0x0E687858C1D60EE2, "door_close" },
    { 0xA2C492FB407C2E74, "door_col" },
    { 0x594E7F458669B0E6, "door_creak_sound" },
    { 0x809041B7315881F3, "door_creak_sound_stop" },
    { 0xB196070EF20AB29A, "door_createnavobstacle" },
    { 0x5771FD3D1041D3AE, "door_cut_interactions" },
    { 0xF5B9F5C19FD61CD6, "door_cut_precache" },
    { 0x8AE3D7ACB311CE6E, "door_damage_scale" },
    { 0xFA52ABE4D78B855C, "door_destroynavobstacle" },
    { 0x697DB83D5547FC5E, "door_disableaudioportal" },
    { 0x779512FB20F3E5C2, "door_dmg" },
    { 0x09B1112298B0BAB8, "door_dynamic_parse_parameters" },
    { 0x587A88F9FAF44DB1, "door_dynamic_setup" },
    { 0x5CAA1B90E329D7B9, "door_dynamic_setup_adapter" },
    { 0xEA14325DB0B34947, "door_dynamic_setup_post_init" },
    { 0xC9D45605F5BA7B28, "door_ease_in_open_input" },
    { 0xB0FD7425B842C9A7, "door_enableaudioportal" },
    { 0x84DF2AFB2A3F4593, "door_ent" },
    { 0x4F2AE2638E19FED9, "door_ent_movement" },
    { 0x6989225133D7ABFB, "door_entitylessscriptable_togglelock" },
    { 0x13A91A73BB44BF2E, "door_event_wait" },
    { 0x1619FEFCAC9D121D, "door_force_open_fully" },
    { 0x731FE0D10F7AC334, "door_front_left_dmg" },
    { 0x4778E7403BE7CA77, "door_front_right_dmg" },
    { 0x0EA5D855231A8AC3, "door_gag_door_watcher" },
    { 0x028330F9CD7121D0, "door_gag_magic_bullet" },
    { 0xCB3BA32C813B1A30, "door_gags" },
    { 0xD77939A0F53ED25B, "door_get_pushspot" },
    { 0xC3824A9269F96211, "door_guy_spawn" },
    { 0x01552642299BC6A5, "door_hint_dist_scale" },
    { 0x38DC17EE97CCCE26, "door_hit_fx" },
    { 0x075896A524A10449, "door_interact_presentation" },
    { 0x4CFEF09C6AC6DA8E, "door_interaction" },
    { 0xAF5E2399CFDD8DB2, "door_intro_end" },
    { 0xDF2E95DDF67B582D, "door_intro_performance" },
    { 0x1D03A90B6B533CD3, "door_is_at_max_yaw" },
    { 0xF2CE919AA76457C1, "door_is_frozen" },
    { 0x2D0797D7AB4B757B, "door_is_half_open" },
    { 0xCFE7BC273EDEB84B, "door_is_open_at_least" },
    { 0xD75556D6AB7B9CFD, "door_kick_player_push" },
    { 0x295F6D975493DB2B, "door_kick_scene" },
    { 0xA15ADDC594C42740, "door_latch" },
    { 0xCBDE3386E78E4DCE, "door_manage_openers" },
    { 0x4AC72A1B3F72C74C, "door_manager_try_ai_opener" },
    { 0x5EA785D300C03BA5, "door_name" },
    { 0x3AC5D8896C8FDE2E, "door_needs_to_close" },
    { 0x80EFC7E5B0FA6E46, "door_open" },
    { 0x5F47978FC79817C8, "door_open_close_loop" },
    { 0x4EBEF577B2198C0F, "door_open_completely" },
    { 0x42B2FF241AE3E14D, "door_open_think" },
    { 0xB7855FA468B81B47, "door_opened" },
    { 0x8C789C6421DA94FE, "door_opener_check_for_damage" },
    { 0xBB0EE77D9559A222, "door_parse_parameters" },
    { 0x29D3E41DD26F4CE4, "door_parts" },
    { 0xDEDC0CB518559DD8, "door_peak_alerted_monitor" },
    { 0x688DDA1C10ABF64D, "door_peak_death_monitor" },
    { 0x9A72F17250BF538F, "door_peak_timer" },
    { 0xF9CCD9A62065364D, "door_peek_death_fail" },
    { 0xC1E13BAD57C8BF79, "door_post_load" },
    { 0xF2E002DFADF8ED99, "door_react" },
    { 0x7E93C4F16EC6C7AB, "door_react_anim" },
    { 0xD57A380BD59D375B, "door_remove_open_prompts" },
    { 0xF517E23674C24D05, "door_scene_init" },
    { 0x355D5B724EEDDE56, "door_script_model_anims" },
    { 0x0C5F4E39026AFF35, "door_set_frozen" },
    { 0xC04A9E6A7474A853, "door_setup" },
    { 0x07E913C1A574B704, "door_spawn_entrance" },
    { 0x7C3A5131B4D75BB6, "door_spawner" },
    { 0x5908DECFDDBFC5A6, "door_speed_modifier_monitor" },
    { 0xD9E0213BAEA226FC, "door_state_change" },
    { 0xBB7C98542E14391C, "door_state_exit" },
    { 0xA88540AD522D0E05, "door_state_next" },
    { 0x539434A415811B11, "door_state_on_interrupt" },
    { 0x399D97CF33F3F2CD, "door_state_update" },
    { 0xC99F5ADD364A4E45, "door_state_update_sound" },
    { 0xEE79DA0EA8E95983, "door_surprise_breach" },
    { 0x6D172AEB0783A69A, "door_system_init" },
    { 0xC36E327CEC989CD8, "door_team_member_arrived" },
    { 0x6208B118E16E4670, "door_team_member_at_gate" },
    { 0x9ED42621355D1C6A, "door_think" },
    { 0x519A86DD5DCEADF3, "door_unlocked" },
    { 0x75DDCC84D7828302, "door_unresolved_collision_count" },
    { 0xFE129B2570AFE68D, "door_unresolved_collision_origin" },
    { 0x95BFEE1D75F7BA6B, "door_unresolved_collision_start_time" },
    { 0x1253188F0BB73B2D, "door_waittill_open" },
    { 0x996B4703053B9EE6, "door_waittill_snakecam" },
    { 0xF76BA7A15B0528C6, "door_watch_unresolved_collision" },
    { 0xBD6B73BEDFD2F76A, "door_watch_unresolved_collision_count" },
    { 0x3C384AA3505093DF, "dooralarment" },
    { 0x1CFF90BA75C98F3D, "dooralarmowner" },
    { 0x8AA92437A9FA0FF0, "dooralarmprompt" },
    { 0x146609D3B7DAB943, "dooralreadyopen" },
    { 0x3BECA59AF4E5E5D1, "doorarrivalcount" },
    { 0x0E5B8EFBC91ECAD7, "doorbottomcenter" },
    { 0x45F82B815CB31DCC, "doorbottomhandle" },
    { 0x07FB1F10D1BBD534, "doorbottomorigin" },
    { 0x3B58622325574F83, "doorbust_guy_becomes_ai_if_alive" },
    { 0x8A05714FBA5AB2E2, "doorbust_guy_spawn_func" },
    { 0x881667936BBA44E3, "doorbuttoninteract" },
    { 0x5175DF58569BFA2C, "doorcenter" },
    { 0xA62B659AE54FA433, "doorclip" },
    { 0xDF2607A664935C0B, "doorclose" },
    { 0xB2AFEE0A01905672, "doorcontentoverride" },
    { 0x13273089AFF212DC, "doorcount" },
    { 0x577FCFF5C5A9EF9C, "doordamagemod" },
    { 0x845AF0D26AFE8B3E, "doordamagepoint" },
    { 0xA3715266E5A9BD58, "doorfirecount" },
    { 0xA052F45329A3FE6D, "doorflashchance" },
    { 0xA25498081AF79521, "doorgatecount" },
    { 0xE7860E2562FE0F48, "doorguy" },
    { 0x5BE3726DA67D2B08, "doorid" },
    { 0x0176691202323F1D, "doorisclosed" },
    { 0xCC5C99B9A61A7CED, "doormovetime" },
    { 0x71E1888FD236452B, "doornavobstacle" },
    { 0x09D96F8B5613CFBD, "doorneedstoclose" },
    { 0x50C6129C468E60C5, "doornode" },
    { 0x7A126663A4F8DC12, "dooroffset" },
    { 0xC92F4E7F08C96421, "dooropen" },
    { 0xFD1BBEA1382536FB, "dooropenfunc" },
    { 0x06F0A1580D3C0670, "doorphase" },
    { 0x2BCB0324D9B3D221, "doorpos" },
    { 0x49B44A24EFF46846, "doorrot" },
    { 0xA74FC0FB3167638A, "doors" },
    { 0x7A69D8FB5632E2D3, "doors_initialized" },
    { 0x5C1DA629FBB05892, "doors_opened" },
    { 0xDB9FC75F1E997D4A, "doors_opened_music" },
    { 0xCBDADFE064F13F49, "doors_think" },
    { 0x0D821327DA7F68A9, "doors_waittill_any_open" },
    { 0x7A5C86D5A7066172, "doors_waittill_any_snakecam" },
    { 0xDB705726855A27AA, "doors_waittill_open_internal" },
    { 0xE1AE2B4508885D95, "doors_waittill_snakecam" },
    { 0xFFD0BEC5AAF5A0C0, "doorsetupfinished" },
    { 0xC2CABFC5B3498F8F, "doorsetupstarted" },
    { 0x51EB318BDE5F792A, "doorspeedscale" },
    { 0xDE74E294F3A8C45E, "doorstate" },
    { 0xFD344E2978B5B0E0, "doortarget" },
    { 0x33AEF1A8F300915B, "doortargetccw" },
    { 0xE722EFC4B4D731AC, "doortoopen" },
    { 0x6C8317D8B557BD16, "doortraceframetime" },
    { 0xB5EA4D45CB97BB93, "doortracemetrics" },
    { 0x495E9E0738A8DC11, "doortracequeue" },
    { 0xFF900D5E25B3AA9F, "doortraces" },
    { 0xC446700F21A7AAA4, "doortracesthisframe" },
    { 0x6B396FB2C55AC315, "doortype" },
    { 0x7D4770953C436968, "doorused" },
    { 0xF663A54771600054, "dooutrovo" },
    { 0x7E4EA98056DD8D30, "dopain" },
    { 0x8FAD2F312B63793D, "dopainfromarray" },
    { 0x2E171A103AD1F3D3, "dopickyautosavechecks" },
    { 0xF229DA80ABB7B758, "doping" },
    { 0x157C09D75B76E408, "doplanestrike" },
    { 0xE9EFFDF277A6C9B7, "doplayerkilledsplashes" },
    { 0x21D3996B3FBB97B3, "dopotgkillcam" },
    { 0xD17DEEF5B3CF817F, "dopotgkillcamforplayer" },
    { 0x7D07B2CC0F325EC2, "doprematch" },
    { 0x523600B5B8A56BB7, "dopunishhelivocalls" },
    { 0x6709394E19D7A77E, "doradiationdamage" },
    { 0x6057A3312EA47E09, "dorandomguardanim" },
    { 0x9FBD8E1F3B83D618, "dorestartvo" },
    { 0x6D758A1D400AAA8D, "doreturnvo" },
    { 0x526EA1A234B64160, "dorpgambushvo" },
    { 0xB07046E2BCEAD947, "dosharpturnspeedscaling" },
    { 0x1CE691E43CA18080, "doshellshock" },
    { 0x0E5F2986315AD0E7, "doshieldbashdeath" },
    { 0x350119AECE078BD7, "doshieldoutlinesweep" },
    { 0x042DDB503ED7322F, "doshoot" },
    { 0x012B15334D32CC94, "doshoot_lmg" },
    { 0xF541D73E4E3ECFFA, "doshoot_mgturret" },
    { 0x7340E4B266345EF5, "doslide" },
    { 0x668AF4C48EBA0015, "doslowmo" },
    { 0xDE6EA945AE26384E, "dosmartobject" },
    { 0xC6182ECB869674BD, "dosmartobject_init" },
    { 0x367B4DB3F4AC54B9, "dosmartobjectterminate" },
    { 0xE85DC9C90B59699A, "dosmokecurtains" },
    { 0x0189ACCA2C88CE82, "dosoloboost" },
    { 0x9EC565C4618092CF, "dosound" },
    { 0xD40DED8691CE620F, "dospawn" },
    { 0x482B56384D6F1991, "dospawnaitype" },
    { 0xAF729894B30503AD, "dospawnvfx" },
    { 0x77191534EB7AC8EB, "doswivelfiring" },
    { 0xD3CDF003D721E6BC, "dot" },
    { 0x645C2E42BF4A8429, "dot_override" },
    { 0x86B622C0F752A3B4, "dotaunt" },
    { 0x277824D90B403284, "doteamcirclebattlechatter" },
    { 0x7EDDC64698026F22, "doteamextractedupdate" },
    { 0xC15F9441A59E368D, "doteleporttosafehouse" },
    { 0x1FCEB221FD2F8CE3, "dothreatcalloutresponse" },
    { 0xE6CFD9FCD7C5BCD1, "dotimer" },
    { 0x48D5BCC61859B4DB, "dotmtylgroup" },
    { 0x179E274DD3E84843, "dotooclosetominenags" },
    { 0x2D17DDD166A62582, "dotournamentendgame" },
    { 0x6DE74B6B920ED982, "dotraversal" },
    { 0xCB74AE3A0E9FC416, "dotraversalwithflexibleheight" },
    { 0x38FA9E985BFA41DA, "dotraversalwithflexibleheight_internal" },
    { 0x7D5A0DA86EC0C94E, "dotraverse" },
    { 0xE08E91692515C3DB, "dotypelimit" },
    { 0x89CB4AC87E18C322, "double_agent" },
    { 0x49A971AEC75D2D7B, "double_doors_hint_pos" },
    { 0x72EBA24E26C27181, "double_doors_init" },
    { 0xDB659FE50798B275, "double_doors_init_auto" },
    { 0x32C333AF27B41BE0, "double_doors_init_targetname" },
    { 0x7355DC24B6A1C115, "double_doors_waittill_bashed" },
    { 0x5E1464F08440A8D0, "double_doors_waittill_interact" },
    { 0x1DB18F9FD4078807, "double_doors_waittill_open_completely" },
    { 0x1800126A03310E1D, "double_grenades_allowed" },
    { 0xFA801F61C82DCC23, "double_wood_stack" },
    { 0xCD09E703B7FA8002, "doublebubblesort" },
    { 0xEDDC7C5ACFCBEAE9, "doubledip" },
    { 0xADF00C917530CB96, "doubledoorother" },
    { 0x4AED8FF8A5031185, "doubledoors" },
    { 0x9C6274654920B526, "doublejumpdetected" },
    { 0x7865EFF567886C62, "doublejumpearlyterminate" },
    { 0xDED97FACF8730A4C, "doublejumpenergy" },
    { 0xA615587E251A8E74, "doublejumpenergyrestorerate" },
    { 0x7085DA553515807B, "doublejumpmantlepos" },
    { 0xE4CAEA2619C78E23, "doublejumpneedsfinishanim" },
    { 0xF3B6837F732DB4B7, "doublejumpterminate" },
    { 0x3A3C4AB3EA880C0B, "doublekillreloadwatcher" },
    { 0xB11E037EA557E8FE, "dovisualdeath" },
    { 0x9A6D65EC0E81B094, "dovofacingwait" },
    { 0xDFFB9AF0C62736F5, "dovofacingwaittime" },
    { 0xBABF5AE06D59F9A1, "dovoforleaderinterrogated" },
    { 0xD659EE26AA5E5501, "dowait" },
    { 0xBCBA60D901BC4C11, "doweaponperkupdate" },
    { 0x397F0436D23C32FD, "dowhizby" },
    { 0x86E6DF23AFA687BB, "dowhizbycleanup" },
    { 0xEFDAAC721F9CB8C1, "down" },
    { 0x7D08460477C9D5DE, "down_angles" },
    { 0x90B2566C33BAB911, "downaimlimit" },
    { 0x6CCA38925426278D, "downangles" },
    { 0xEC413293F29DA3B8, "downed_pilot_dialogue" },
    { 0x5C7B9F30D281D400, "downed_pilot_nag" },
    { 0x294BAFCEE3FC6E00, "downed_player" },
    { 0x96A84ADE3C59FC1E, "downed_reviver_watch_for_return_to_usability" },
    { 0xE2E702B102AA5C94, "downedwithbombweapon" },
    { 0x6DAD0B73918591C4, "downgradeweapon" },
    { 0x71E66D1C5CB06719, "downgradeweaponaftertimeout" },
    { 0x93D798B826CFAE23, "download_paused_watcher" },
    { 0xBE1A1E9F8482E1C9, "download_progress" },
    { 0xEEAE44A6BEF370BD, "downsperweaponlog" },
    { 0x0A4BFFF9B94A601E, "downstairs_catchup" },
    { 0x8AC8A1AC502CDC6C, "downstairs_clip_management" },
    { 0xE19744DFFA5FCF47, "downstairs_nags" },
    { 0x9FD8146999279D98, "downstairs_start" },
    { 0x519F7B3576B1DBF2, "downswithweapon" },
    { 0x195E99A969546E38, "downtime" },
    { 0x70F61A10C6146FE0, "downtown_gw_ambient_sound_load" },
    { 0x16D177036346B2DC, "downtown_helicopter_start" },
    { 0xD443B9E6488A77CF, "dpad_consumable_selection_watch" },
    { 0x768915536D9B7F8B, "dpad_drain_activations" },
    { 0x7A188B4C54AB7ECB, "dpad_drain_time" },
    { 0xF33E94BD86E556BF, "dpad_drain_triggerpassive" },
    { 0xE37B6B37D6365D8B, "dpad_drain_wave" },
    { 0x0C318A9517D603F1, "dpad_munition_monitor" },
    { 0x1EB9865FCE70E0DA, "dpad_selection_index" },
    { 0xAC2DB5282B6055BB, "dpadcallback" },
    { 0x2EA3556F9CC4362C, "dpaddown" },
    { 0x4704D8285A053861, "dpadleft" },
    { 0x3AD06359F7936323, "dpadname" },
    { 0x016D6C0A7B848342, "dpadright" },
    { 0xB83CC6E691CCA46D, "dpadup" },
    { 0x4C509D76C9CCCFCA, "drag_buddy_go_to_combat" },
    { 0x66C2904EEEDF8CBD, "drag_main" },
    { 0x14BE6D22CB46099B, "drag_pistol_swap" },
    { 0x725D8CB0728B06BC, "drag_player_away" },
    { 0x10562EAF16FAC812, "drag_playerblackoverlaylogic" },
    { 0xB09C0C935E98832E, "drag_playerblurlogic" },
    { 0x946535E5FC59F142, "drag_playerfovlogic" },
    { 0x4B2C76EDD25D6458, "drag_playergasmaskoverlaylogic" },
    { 0xD3D8F9E168CD8C98, "drag_scene" },
    { 0x1F7ABEF630F1DD00, "drag_scene_internal" },
    { 0x47EA5DE41C28EBF0, "drag_scene_shoot" },
    { 0x752B2BB40BE72AEC, "drag_start" },
    { 0xE961E6A7A82E117D, "dragallyprototype" },
    { 0xA67395BDAA02CC83, "draggedmarine" },
    { 0x28A003FEA0386FCE, "draggingmarine" },
    { 0x8D9CD3F713F63EDD, "dragonpoints" },
    { 0x5E3FC0C156A37153, "dragons_breath_catchup" },
    { 0x53DAF7793B19C9EB, "dragons_breath_hit_farah" },
    { 0xE79ABBC0AA247282, "dragons_breath_main" },
    { 0x995CF81CC4FF8151, "dragons_breath_scene" },
    { 0xCAE36C0B2BE86D13, "dragons_breath_shot" },
    { 0x66FBAEAD02E30AA1, "dragons_breath_start" },
    { 0xDD836E8207C1C470, "dragonsbreathdamage" },
    { 0x8BC69A64B5048B20, "dragonsbreathhitloccollection" },
    { 0xC64DA35DBBC4A936, "dragonsbreathpainfxhack" },
    { 0x2754F3C9210FB2F7, "dragonsbreathpainfxhackspawnfunc" },
    { 0xDA3299FF6C8837D3, "dragtaguntildeath" },
    { 0xD2121FA6CE339E1C, "dragtoidle" },
    { 0xF5258177DDA573BF, "drain_super_meter" },
    { 0x6092D534D5E9FA22, "draining_health" },
    { 0x06946D99F9DAB520, "drainroomdoorinteract" },
    { 0xC961ABD7A81CD14F, "draw_3d_path" },
    { 0x1E97651487D318C0, "draw_angles" },
    { 0x74AC30A8DDA419C7, "draw_angles_on_line" },
    { 0x7E7DA3D578307639, "draw_arrow" },
    { 0x3FB47263DF1EC71B, "draw_arrow_for_time" },
    { 0xB79F275E8D8500D3, "draw_arrow_time" },
    { 0xA1B1689A7CCAF181, "draw_axis" },
    { 0xBC7ADCF1C68D6469, "draw_box" },
    { 0xCA4BAB4E16FE8069, "draw_box_forever" },
    { 0x85A02155A429278F, "draw_capsule" },
    { 0x76F6F7D1C18CC338, "draw_capsule_until_notifies" },
    { 0x106CFDCA5743702F, "draw_character_capsule" },
    { 0x3970A41E6ACD29E4, "draw_circle" },
    { 0x70A767D7A6AE4BD9, "draw_circle_lines_until_notify" },
    { 0x538FFB25FD3DF12D, "draw_circle_until_notify" },
    { 0xE00DE4F7EAE95AEE, "draw_closest_wall_points" },
    { 0xFC5AAF4F4915C50F, "draw_color_friendlies" },
    { 0xD0DA1999B197242C, "draw_colornodes" },
    { 0x6BE27CFF5C0C4612, "draw_cool_circle" },
    { 0x524F1A0426DD5096, "draw_cool_circle_for_time" },
    { 0x90AAD37E518AF8B8, "draw_cool_circle_til_notify" },
    { 0x756A91F3E2D91CC8, "draw_cross" },
    { 0x283DF98EE734AB68, "draw_cross_forever" },
    { 0xAD03FD515708C190, "draw_debug_cross" },
    { 0xD2ADDC62D8F8093D, "draw_debug_rectangle" },
    { 0xF12243EB55C8D71D, "draw_debug_sphere" },
    { 0xCEDA2671C3E7367B, "draw_distance" },
    { 0xEE26847755F1CE53, "draw_door_forwards" },
    { 0xD957C2BEB810179D, "draw_dot_for_ent" },
    { 0xF2AB03BEC9461B53, "draw_dot_for_guy" },
    { 0xE8AE78A45E02B723, "draw_effects_list" },
    { 0xC9B5307A7EFD7673, "draw_ent_axis" },
    { 0x36126F81F739F7B3, "draw_ent_axis_forever" },
    { 0x2D7C0BCD5E1DF948, "draw_ent_bone_forever" },
    { 0x269AD2FD1B81913D, "draw_entity_bounds" },
    { 0xE226A47B91435F82, "draw_flashlight_fov" },
    { 0xF4747AF1EED3DCC3, "draw_fov" },
    { 0x1C40402D5FD451D0, "draw_highlight" },
    { 0xDBC06AA1D2A31C5A, "draw_line" },
    { 0x8C93C6586DDF1B9E, "draw_line_for_time" },
    { 0xF4592D7DBFA4B110, "draw_line_for_time_endon_death" },
    { 0x23B1D73E71DF4F0B, "draw_line_from_ent_for_time" },
    { 0xE019CC8BC93AA48F, "draw_line_from_ent_to_ent_for_time" },
    { 0xABFABA7DE076DD96, "draw_line_from_ent_to_ent_until_notify" },
    { 0x4A1CB3ADD943C4FE, "draw_line_from_ent_to_vec_for_time" },
    { 0x7589D31DA7FA9FCB, "draw_line_orgtoent" },
    { 0xDE6CD27E5A7D89B0, "draw_line_to_ent_for_time" },
    { 0x79B9F1EA74A4215B, "draw_line_until_endons" },
    { 0xB11858410BF6B2AF, "draw_line_until_notify" },
    { 0xF80F3DF22827891D, "draw_lines_based_on_delay" },
    { 0x869119A57EE307FE, "draw_max_yaw" },
    { 0x7721158933F82996, "draw_menu_options" },
    { 0xCB36E4D2B1A8AAEC, "draw_node" },
    { 0x2888943FE5682AF3, "draw_node_line" },
    { 0x3DB2FB90CFC4FB42, "draw_origin" },
    { 0x5CFDBAAEB0DC289C, "draw_placement_circle" },
    { 0x85A2ED7782EF4A19, "draw_player_capsule" },
    { 0x0906AF8623462B36, "draw_point" },
    { 0x40B137D2A31FB251, "draw_small_arrow" },
    { 0x3EC666A8D43BD184, "draw_spawner" },
    { 0x66E9DD1EB64242B5, "draw_spawner_edit_path" },
    { 0xB04F8C97FA2D5020, "draw_spotlight_fov" },
    { 0x07929A64FB541ADC, "draw_tag_axis" },
    { 0xBA10266F37C8FA6C, "draw_tag_axis_forever" },
    { 0x8DCF1C5C773B87F7, "draw_text" },
    { 0x48FC1B351EEDABBF, "draw_thermal" },
    { 0x22417F5C99FD6949, "draw_trace" },
    { 0x36C68226A61EDF53, "draw_trace_hit" },
    { 0xF2587A195C983A32, "draw_trace_type" },
    { 0x350C8D0A6D5B847F, "drawangles" },
    { 0x213875FCA8A1255C, "drawarrow" },
    { 0x15CAEA913D983672, "drawassignedgoalpos" },
    { 0x2B7313C1E93AE88A, "drawaxis" },
    { 0x715037F30B73F76A, "drawbcdirections" },
    { 0x68CD64251C996B9B, "drawbcobject" },
    { 0xF46388DD4A2F3D6F, "drawboxfrompoints" },
    { 0xB32750A7D93D74E7, "drawcircle" },
    { 0x6ABC434BEC5BEC5F, "drawcirculararrow" },
    { 0xDA2621919D309B3E, "drawcompassfriendlies" },
    { 0x48B2D589F3664D66, "drawcount" },
    { 0x9A6A10A3B1CA3E7D, "drawcross" },
    { 0x5AC91D490CF40265, "drawcylinder" },
    { 0xC20511F4F3AEE522, "drawdebugdestination" },
    { 0x3C2A4DB598FBCC9C, "drawent" },
    { 0x62CFFF60E770CF29, "drawentitybounds" },
    { 0xBE5334714B6FAED4, "drawenttag" },
    { 0x0F4E0B7E5F8327C3, "drawfriend" },
    { 0xCC33342B7947BF1A, "drawgoalpos" },
    { 0xA275F5C3E0C9551D, "drawline" },
    { 0x4D278E7D326BC9A7, "drawminimapbounds" },
    { 0x5832769B967EFE23, "drawn" },
    { 0x91ECCD31B0C70285, "drawneedtoturn" },
    { 0xC0028A5D087C3326, "drawoncompass" },
    { 0x6EE1D87A34204039, "drawprematchareas" },
    { 0x144D364501955183, "drawsoundshape" },
    { 0x23EE40C8FB9A31EA, "drawsphere" },
    { 0x835000BE06446AAA, "drawstring" },
    { 0x3CB2E6D516750ACB, "drawstringtime" },
    { 0x62BDF9B4F9AD3CD5, "drawtag" },
    { 0x2E42124AD8AD5128, "drawtagforever" },
    { 0x879764C12F5B1AD1, "drive_along_path" },
    { 0xBC4CFD90C7158C7E, "drive_black_fade" },
    { 0x72070C45250485B8, "drive_caption_vo" },
    { 0x9E956ED15508FD9E, "drive_catchup" },
    { 0x68ECAF6A249CE291, "drive_cine_dof_settings" },
    { 0xE79BC440E58DD6EA, "drive_down_hill_enemy_spawn_think" },
    { 0x1BF473A02E2E7471, "drive_main" },
    { 0xBD7EBB5B52599657, "drive_normal" },
    { 0x0DC422AE9DB9C1A4, "drive_or_slow_for_collision" },
    { 0x4D6AE3CD091EF545, "drive_skip_blackoverlay" },
    { 0x591F0669CFED66D3, "drive_spline_path_fun" },
    { 0x447DFD6E95A5FF18, "drive_start" },
    { 0x7EF569E6DBF90CD2, "drive_start_vo" },
    { 0x9B6649AEE290833D, "driveby_proximity_monitor" },
    { 0x215C606D6484DE59, "driveidle" },
    { 0x39B89C6317F1D531, "driveidle_animrate" },
    { 0x1D8302A3BF68813D, "driveidle_normal_speed" },
    { 0x7AAAE79FA2F8B1C0, "driveidle_r" },
    { 0xF4A990E5BB9464E3, "driver" },
    { 0x2B80BECB1E052FFD, "driver_death_watcher" },
    { 0xC2E3A16ABA7632AE, "driver_idle_speed" },
    { 0xD7427884B92FF896, "driver_models" },
    { 0xDF3D2FFB4F2A5B05, "driver_play_sound_func" },
    { 0x2E0762C9015B6223, "driver_ready" },
    { 0x92D17CA8B8705CD5, "driver_shooting" },
    { 0xCC15DE6766F95975, "driverdead" },
    { 0x496573FBF81919B3, "drivernode" },
    { 0x58A3D767DEE76CD7, "driverseatid" },
    { 0x983B7C7C246B685B, "driverwindow" },
    { 0x60104286A7D33349, "drivevehicleandcontrolturret" },
    { 0x088AD977F2B9C9CE, "drivevehicleandcontrolturretoff" },
    { 0x958FC1A59AF53FB4, "drivingtank" },
    { 0xA867D8254B23382C, "drivingvehicle" },
    { 0x7681A19BAD306B05, "drone" },
    { 0x131064F41058C9DF, "drone_ammo_watcher" },
    { 0xC89A5E6F06B513EC, "drone_anims" },
    { 0xE204DA407E9F0819, "drone_array_handling" },
    { 0x97AE063193F575B6, "drone_attack_checks" },
    { 0x7191F95863E749E8, "drone_cancel_notify_delay" },
    { 0x39BB209931C58944, "drone_catchup" },
    { 0x7A933F75C3253883, "drone_control" },
    { 0x13500524608D1C89, "drone_controls_hints" },
    { 0x1C64AD2678FC5E1E, "drone_counter" },
    { 0x8A9BC4B51A24E00F, "drone_death_cleanup" },
    { 0xA10E7248BDCDF91F, "drone_death_handler" },
    { 0x830222289EE490CD, "drone_death_thread" },
    { 0x769F9C79C03F7F57, "drone_delete_on_unload" },
    { 0xD1477C20F38FA9D3, "drone_destroy_catcher" },
    { 0x414793E4FDF5FFEE, "drone_drop_real_weapon_on_death" },
    { 0xFB75FF1CB357C0BB, "drone_exit_delayed" },
    { 0xCAA5005ADBDE3D53, "drone_explode" },
    { 0x258E65A2F154B88F, "drone_fail_audio" },
    { 0xCEDBC8290AE9EEA8, "drone_fight" },
    { 0xCF7581699581849F, "drone_fire_randomly" },
    { 0x811B2C36C6EC95A5, "drone_friendly_fire_watcher" },
    { 0x6F1F2321A5F410AC, "drone_get_goal_loc_with_arrival" },
    { 0xBEB8AD8A387C81FB, "drone_give_soul" },
    { 0xC316D3E979C020F2, "drone_gone_watcher" },
    { 0xCB39A63E1866253D, "drone_hero_lighting_on" },
    { 0xCA5274E7DC06B821, "drone_hero_lighting_setup" },
    { 0x11B422F8EC5B3098, "drone_idle" },
    { 0xFE380C2634EA0ECE, "drone_idle_custom" },
    { 0xD9C961389BB8519D, "drone_idle_override" },
    { 0xA2B7CBF956A2B8B4, "drone_init" },
    { 0x05E7A9A72B978F0A, "drone_init_path" },
    { 0xFFD19D7AC2F5BE2C, "drone_instant_killed_monitor" },
    { 0x9148B48875F0E9EE, "drone_intro_cine_camera_settings" },
    { 0x88D0A0D392228BC3, "drone_intro_scene" },
    { 0x5A9F25E787121708, "drone_inverted_controls_swap" },
    { 0x46C51319EA025E60, "drone_killed_due_to_out_of_range_monitor" },
    { 0xF9661B834B726BB2, "drone_look_ahead_point" },
    { 0x1D88D8EB5C4B7220, "drone_lookahead_value" },
    { 0x2D575B166C1C2B68, "drone_lookat" },
    { 0x6F40B2013303DF4A, "drone_loop_custom" },
    { 0x3BF174B1E9472721, "drone_loop_override" },
    { 0xECCF20A371F93C07, "drone_main" },
    { 0x2D27254D4C2D50FB, "drone_model" },
    { 0xD384D3A360CD3C9B, "drone_move" },
    { 0xF746E5A1298BC987, "drone_move_callback" },
    { 0xF1047D4B04BB7C82, "drone_move_z" },
    { 0x0E99218973278B46, "drone_movement_vector_monitor" },
    { 0x673E6B5D5B48F8DD, "drone_nags" },
    { 0x77A4E273365F112E, "drone_nags_disable" },
    { 0xA3EA50BEE1866DA5, "drone_nags_enable" },
    { 0x9B75FF097FBFEEF2, "drone_origin_updater" },
    { 0x620517139A7D3928, "drone_out_of_bound_monitor" },
    { 0xCCE4F71B3ADB2522, "drone_paths" },
    { 0xC1AA190324E50CA7, "drone_play_looping_anim" },
    { 0x2EB9F645B4F8ED29, "drone_play_scripted_anim" },
    { 0x8F6C05371981D6A9, "drone_play_weapon_sound" },
    { 0xE5E5F6E6BE9DE288, "drone_rocket_delay_msg" },
    { 0x060C35B7DE263C43, "drone_run_speed" },
    { 0x469649278F4CBDFD, "drone_shoot" },
    { 0xA89C52ACF05AE9C8, "drone_shoot_fx" },
    { 0x5DA442AC6DCDC640, "drone_spawn_func" },
    { 0xA8DF7988350FB95E, "drone_start" },
    { 0xCF8BFD55F968B740, "drone_start_position" },
    { 0x6C2A37BFD4CB7C5D, "drone_strike_activate_function" },
    { 0x67CDE61E60CFAF35, "drone_strike_dir_override" },
    { 0xD3DBA98D619378BF, "drone_target" },
    { 0xAA21433455A73B73, "drone_thermal_draw_disable" },
    { 0x83BE390B5C6BD099, "drone_turret_canseetarget" },
    { 0xB667F9905CDDF541, "drone_turrets" },
    { 0x2D888A838A7B8D5F, "drone_updater" },
    { 0x8DF0B977322265C5, "drone_vo" },
    { 0x2ACBC672DF67AA21, "drone_wait_move" },
    { 0x9F14D20C5849BA30, "droneanim" },
    { 0x248434262A24A159, "droneanims" },
    { 0xFBA43A7AAA912533, "dronebankeffects" },
    { 0x46C4572B38D0E442, "dronecallbackthread" },
    { 0x7F2F9EEE021EF0D4, "dronedamageeffectslogic" },
    { 0x0D571C7841CEBDD6, "dronedamagelogic" },
    { 0xAD36AFC608FD26A3, "dronedamagerotatelogic" },
    { 0x01296B3715F5F75E, "dronedamagevisionlogic" },
    { 0x83FA6CA1A0816A5B, "dronedetonatewatcher" },
    { 0x9BCAF873B8AE920F, "droneenemieslogic" },
    { 0xAF8DA80CA77F807C, "droneenemiestargetlogic" },
    { 0xF2C913B6A8D9EADC, "droneenemyshootvfxlogic" },
    { 0xA643034E74024D57, "droneenemyvalid" },
    { 0x3E0AB13BA2949146, "droneenginesfx" },
    { 0x7F4AFF82BE788E54, "dronefailed" },
    { 0x2D0D7945AAC6147A, "dronegetimpactinfoondeath" },
    { 0x5B108794C0C83199, "droneheliimpactwatcher" },
    { 0xA76E6AFAB58AE46E, "droneimpactexplosion" },
    { 0xDD7C039A30283B19, "droneimpactwatcher" },
    { 0xA0708B46A215A4C6, "dronekillcamlogic" },
    { 0xD7F42954215F6C2F, "dronemissilespawnarray" },
    { 0x985810C93A09F3B7, "droneoutofboundslogic" },
    { 0x8D1C0F62F9C36EFB, "droneoutofboundsvisionlogic" },
    { 0x37F60BEFA8DF7D22, "droneplayerrestore" },
    { 0x7A6BFE3BF383AE5D, "droneplayersetup" },
    { 0x63E485043B6071A2, "dronepropellerfx" },
    { 0xC114FDBB4375C99D, "dronerunoffset" },
    { 0xCF81DF5DE17C5482, "drones" },
    { 0x747E07FCF13B2317, "drones_disabled" },
    { 0x7752C2311FCD753E, "drones_spawning" },
    { 0x46C15BB1678149A9, "drones_targets_sets_to_default" },
    { 0xC1A040FCBE8A8817, "dronescreenfx" },
    { 0x1DC9A72753D4A395, "dronesetvehspeed" },
    { 0x1D5F5D206C8C2EB8, "dronesetvehspeedthreaded" },
    { 0xB129EB18AFC9B678, "dronespawn" },
    { 0x176B1BE5F67E23E7, "dronespawn_bodyonly" },
    { 0xCF76962E56BE31B2, "dronespawner_init" },
    { 0xF10FD6496EAEEDDC, "dronesprinteffectsinlogic" },
    { 0x7F7C5214F11C6FD3, "dronesprinteffectsoutlogic" },
    { 0x2E254C46B31C1141, "dronesprintlogic" },
    { 0x41BC0FBE7BFDC71A, "dronestaticmbscreenfx" },
    { 0x16B98230FC0EC828, "dronesthermalteamselect" },
    { 0x3052F54D436FA9DC, "dronestrikeactivatefunc" },
    { 0xB3667D2CF514F15E, "dronetimeoutlogic" },
    { 0x72180A1093663446, "droneupdateoriginandanglestildeath" },
    { 0xF6801A7F5703EE02, "drop_bomb_detonator" },
    { 0x48573425B1AE2F1A, "drop_bomb_detonator_from_ai" },
    { 0x08D3EB9AF3D8D2C1, "drop_bomb_detonator_from_player" },
    { 0x3C8BC4CC6A33D537, "drop_bots" },
    { 0x6742ACD024F0AB6C, "drop_fast_rope" },
    { 0x0F2E206E2656C9BF, "drop_flare_when_dead" },
    { 0xDC0D6EA91AF4F8FC, "drop_glowstick" },
    { 0x79BE1CF5D33EC31D, "drop_grenade" },
    { 0x34D2E98A686BA2BB, "drop_grenade_internal" },
    { 0xB8833F4DE9294A65, "drop_gun" },
    { 0xF6CD691E0D278D75, "drop_hvt_key" },
    { 0xACD848B9A7187BEC, "drop_in_progress" },
    { 0x4F42EB44DECB9F15, "drop_intel_from_hvt" },
    { 0xB977BFE1A2453203, "drop_intel_on_death_regardless" },
    { 0x44DF3DD155979DD2, "drop_intel_piece" },
    { 0xF6E508C81E799B90, "drop_interaction_structs_to_ground" },
    { 0x9E153E5416C63812, "drop_jugg_crate" },
    { 0x511F9C9E67F85A7B, "drop_jugg_suit_on_death" },
    { 0xDC7445C95BF83F8F, "drop_locations" },
    { 0x87D4D49B05283296, "drop_marker_after_time" },
    { 0x0E44434E278C8859, "drop_max" },
    { 0x1BB8AAAA57909EA8, "drop_minigun" },
    { 0x7814069A27D030B1, "drop_new_carepackage" },
    { 0x93237240D088E3C1, "drop_obstacle_on_death" },
    { 0xE1F83D83248A9E99, "drop_officer" },
    { 0xCE134801FC6680A5, "drop_on_death" },
    { 0x40732A572B7AADDA, "drop_percent" },
    { 0x4FC796085AF5204F, "drop_pistol_on_death" },
    { 0x7E8C7B7418B61FB2, "drop_platform" },
    { 0x9EBCA3C26DCD7845, "drop_priorities" },
    { 0xD3987FE2357507CA, "drop_ready_item" },
    { 0xF082319362C0A549, "drop_saw_think" },
    { 0xA370E37C5E2F00E2, "drop_scavenger_bag" },
    { 0x16C2A8EF49329237, "drop_script_weapon_from_ai" },
    { 0x09F4B1B0F222D527, "drop_selection_to_ground" },
    { 0x25F7B8C206AAB25E, "drop_special_item" },
    { 0x2D7EB4697D146969, "drop_structs" },
    { 0xA9884CFDC21138C9, "drop_support_crate_intro" },
    { 0x6AAB379A21DCCD99, "drop_support_crates" },
    { 0x6B991526D79D88F2, "drop_to_ground" },
    { 0x3089F8C7648DD09A, "drop_to_ground_ignore_vehicle" },
    { 0xB78A11B714516A0D, "drop_type" },
    { 0xD3F99EF274F99442, "drop_usb_stick" },
    { 0xC0FECBB1BECFA912, "drop_walkie_prop" },
    { 0xD8AAA527C6D33861, "drop_weapon" },
    { 0xAFE99F731D7EB1EC, "drop_weapon_func" },
    { 0xD8BB0BDD51DEF0BA, "drop_weapon_now" },
    { 0xDA5B6AAC76A4CF08, "drop_weapon_scripted" },
    { 0x784D42DF2E789DA0, "dropaccesscard" },
    { 0x131A8CFCF60B59E6, "dropaiweapon" },
    { 0x4225F7EBC0C5D17B, "dropaiweaponinternal" },
    { 0xF25D919C6FC64B96, "dropallaiweapons" },
    { 0x6817744D592124E4, "dropallunusableitems" },
    { 0x679EA659782BC9B8, "dropangles" },
    { 0x4186F0039E4F7B6D, "dropanim" },
    { 0xB433EAE630D74E57, "droparmcratefromscriptedheli" },
    { 0xF6B941E4970FD16F, "droparmor" },
    { 0xF183A1FCBDB75374, "dropbagspawned" },
    { 0xAEBDFDD3FE5A09BB, "dropbagstruct" },
    { 0x2914971569764AC4, "dropbody" },
    { 0xF2C69F1BCBF8B7F5, "dropbombmodel" },
    { 0x355D22173AF3B481, "dropbombs" },
    { 0x83C81D0D1D91BB8F, "dropbrammoboxes" },
    { 0x3A45DBE30D227A5D, "dropbrattackerperkammo" },
    { 0x97BC3E19927A866B, "dropbrc130airdropcrate" },
    { 0xD23B26B2A00A27ED, "dropbrcratefrommanualheli" },
    { 0x897420F4C8539D9D, "dropbrcratefromscriptedheli" },
    { 0xAF2EA7746710FD58, "dropbrcustompickupitem" },
    { 0x3A3A507871237DF4, "dropbrequipment" },
    { 0xFAA5D85B5307B28D, "dropbrgasmask" },
    { 0x0C5A0AA29740EA4B, "dropbrhealthpack" },
    { 0x1776103681A527B6, "dropbrkillstreak" },
    { 0xCBE40BDF85821B2F, "dropbrloadoutcrate" },
    { 0x9F272249B8B5207E, "dropbrloot" },
    { 0x164B0AE8AA8C3FF4, "dropbrlootchoppercrate" },
    { 0xD19660751D40B782, "dropbrlootchoppercrateforpublicevent" },
    { 0x597C6C4B966EB2D6, "dropbrmissiontablet" },
    { 0xB735B0B3E578669D, "dropbrpersonalcratefrommanualheli" },
    { 0x0D26A49C3EF9701B, "dropbrplatepouch" },
    { 0xEE23A1CCE3E34753, "dropbrprimaryweapons" },
    { 0x8DEDC83E0DB61110, "dropbrselfrevivetoken" },
    { 0x4BA4A636ED2BE817, "dropbrsuper" },
    { 0xF07D9559F86AC3F3, "dropbrsuperfulton" },
    { 0x4CC88E7BC733A2F8, "dropbrweapon" },
    { 0xF768B5F7DF0F9E87, "dropcarepackage" },
    { 0x0D17D2DFB4CA888C, "dropcarryobject" },
    { 0x45171540EC84B3F9, "dropcashdeny" },
    { 0x6799C0F935E9F855, "dropchances" },
    { 0xEB99E14126A1D3FC, "dropcircle" },
    { 0x95BFD4F5B6077BCB, "dropclipmodel" },
    { 0x35D26D5E2B59843D, "dropcondensedplunder" },
    { 0xC77BAF9E9BFCF317, "dropcount" },
    { 0x75AA2A52535C9EE4, "dropcpcratefromscriptedheli" },
    { 0x4509B712A95B2F73, "dropcrate" },
    { 0xF9030A51219D3AA1, "dropcratefrommanualheli" },
    { 0xEA483684AE0319D1, "dropcratefrommanualheli_cp" },
    { 0xB4E1EFFDB57264E9, "dropcratefromscriptedheli" },
    { 0x2F8C9E0A73885D00, "dropcrates" },
    { 0x0576E270DDFB7694, "dropdefconkillstreaks" },
    { 0x51A22B8DC5D96179, "dropdeliveryatpos" },
    { 0x159763DF482F08E3, "dropequipmentinslot" },
    { 0xB6DCB37861BA1C1E, "dropfunc" },
    { 0x2C25B618EFF0AF46, "dropgrenade" },
    { 0x044ACE0258F4D11B, "drophelicrate" },
    { 0xDBEBE847FACBB7DC, "drophintstring" },
    { 0xDADB6F021A651845, "drophostage" },
    { 0xCEC2492C2F1715E1, "drophud" },
    { 0xE5BC090C02FC183A, "dropintolaststand" },
    { 0x5C6D654990A1F2E7, "dropitem" },
    { 0xDC0BE18D79AF9155, "dropitemfrominventory" },
    { 0x23CB45E7753E6F38, "dropjuggbox" },
    { 0x52DD53EF507C6F2F, "dropjuggernautcrate" },
    { 0xD690A4C6262CC4C0, "dropjuggernautweapon" },
    { 0x1B63775EC911A3C1, "dropkillstreakcrate" },
    { 0x046C960AE57A814F, "dropkillstreakcratefrommanualheli" },
    { 0x47C35A645A3CD96F, "dropkillstreakcratefromscriptedheli" },
    { 0x4D63377431CB0076, "dropkillstreakcrates" },
    { 0xD2E092FA1F993B95, "dropkit_crate_logic" },
    { 0xAFB4E0CDBAEAB7D2, "dropkit_marker_hints" },
    { 0x2193B9DB4A727B92, "droplaunchchunkbots" },
    { 0xF619D61203F999D4, "droplocations" },
    { 0x5DB2AD8E8BF08A12, "droploot" },
    { 0xF8DC40182849024D, "dropmenu_tut" },
    { 0xBC7DE9194AD3A9DC, "dropminigunondeath" },
    { 0x10350DF43416B4C9, "dropnukeweapon" },
    { 0x3595462C7AEE3C3D, "dropoff" },
    { 0xE5B91D1693B0A96F, "dropoff_point_spawner" },
    { 0xF94C12A54F7194B3, "dropoff_sound_hvt_handler" },
    { 0x2E6E37F7CF018949, "dropoff_sound_playervm_handler" },
    { 0xBCA35C05D5211904, "dropoff_sound_playerwm_handler" },
    { 0x14E4781813D9B8DB, "dropoldequipinplace" },
    { 0xFE0B4EB00671B04E, "droponplayerdeath" },
    { 0xC6CEB87DE65C2ABA, "droporigin" },
    { 0x3C00D50A050A7632, "dropped_weapon" },
    { 0x0D5B3A1F501C8331, "dropped_weapon_cleanup" },
    { 0x0AFE2EDE85C363D7, "dropped_weapon_cleanup_internal" },
    { 0x0B66E1036AFF55A5, "dropped_weapon_func" },
    { 0x004AC609160210F3, "dropped_weapons" },
    { 0x00815785B8297A4D, "droppeddeathweapon" },
    { 0xA71810F31D00262F, "droppedgasmasks" },
    { 0x03014B25143516D3, "droppeditems" },
    { 0xE544BBC946F13FD3, "droppedlmg" },
    { 0xB56F501B6C0B0432, "droppedlmgpickuptime" },
    { 0x1A53ADDCEFF06BEB, "droppedscriptables" },
    { 0x5A358CE43C02DB88, "droppedteam" },
    { 0xF7E075E1B65A3A8A, "droppedweaponent" },
    { 0x4145BE0525DA69B2, "droppedweapons" },
    { 0x249D14F10E157AE0, "dropping_minigun" },
    { 0x7E81D77BF7DE56CA, "droppingtoground" },
    { 0x809262F6155870C3, "dropplayerstags" },
    { 0x589C74F68242759A, "dropplunder" },
    { 0xFFFD57515C0A6608, "dropplunderbyrarity" },
    { 0xE67967DDB006A0C6, "dropplundersounds" },
    { 0xB33A5E0191664C0E, "droppoint" },
    { 0x726A6D40E7BBE0EB, "dropposition" },
    { 0x2293111003F48E78, "droppostoground" },
    { 0x6B4C60B723789D6E, "dropradius" },
    { 0x2482603EE761779E, "dropscavengerbag" },
    { 0x343A1DDCBE440B7B, "dropscavengerfordeath" },
    { 0x20D9C6493ED1558A, "dropscavengerfordeathinternal" },
    { 0xAA7602EAA7B34461, "dropshield" },
    { 0x92C978A86975C426, "dropship_change_thrust_sfx" },
    { 0xE70CC02436D9AE67, "dropspawn" },
    { 0x1DF2542D7A93C50F, "dropspawnmindist2dsqrbyref" },
    { 0xBFBA8C2BACB9FA79, "dropspawnmindistbyref" },
    { 0xFAB8A3A4A0B9D5FC, "dropspawns" },
    { 0xB3A20ABD463BE258, "dropspecialistbonus" },
    { 0xC3E909319C8A64D1, "dropstruct" },
    { 0x8E1BA1D3D1824A01, "droptags" },
    { 0x975DDB2B6BF0CD0A, "droptagsesc" },
    { 0xF91B795B23A1AD6C, "droptagsoftype" },
    { 0xC3C58069B9C6EA5F, "droptank_deathwatcherandspawn" },
    { 0x9B1F7438DC4A77F3, "droptank_onposition" },
    { 0x91A6A972B282CF1F, "droptank_playincomingdialog" },
    { 0x014A15A1CB54F570, "droptestminigunondeath" },
    { 0x0141DFD42594CE51, "droptime" },
    { 0xB28492789F7DDBA8, "droptogroundmultitrace" },
    { 0x13DD4C3BDC2029D6, "droptonavmeshtriggers" },
    { 0x690C8A57AA911332, "dropturret" },
    { 0xB7AC5DDC77C0EF1E, "dropturretproc" },
    { 0xEBD57BD4D26DF470, "droptype" },
    { 0x87BA9FBD02C98BB3, "dropusestraceorigin" },
    { 0xDB80535FDEB421AC, "dropweapon" },
    { 0x203DFFF2E4D4E5AB, "dropweaponcarepackage" },
    { 0xA0EFDC278C8F2E37, "dropweaponfordeath" },
    { 0x1C7C1E6AD9EFE568, "dropweaponfordeathlaunch" },
    { 0x2293E5201125AD3C, "dropweaponnovelocity" },
    { 0x214196FE9BEB590F, "dropweaponwrapper" },
    { 0x34D7ACE9FB9CB44E, "dropzone" },
    { 0x83B333A2943FB698, "drug_guy_kill" },
    { 0x907A2BAC65BE15B5, "druggedwomanresponsecount" },
    { 0xAAEA56DDCDCC89AD, "dry_fire_bullet_anims" },
    { 0x3BB0374134FCB153, "dual_firing" },
    { 0x935307E3B5E5B105, "duckingtime" },
    { 0xE91C9FF8FA3540CD, "dudes_carried_anim" },
    { 0x52FF5E06BF4C55B1, "dudgrenadeused" },
    { 0xC1D60B57A548E6FF, "dummy" },
    { 0xF152287D3838D686, "dummy_backpack" },
    { 0xBF814377E5A9CCEA, "dummy_damage_watcher" },
    { 0xF1C6F4FB769F2BB5, "dummy_flares" },
    { 0x2C610E0282606119, "dummy_flares_snake_go" },
    { 0xD30768A010891059, "dummy_hint" },
    { 0xC55ECBF0B6A7AC6D, "dummy_model" },
    { 0x46F8C7CF5A693EB5, "dummy_player" },
    { 0xB1AB850638CFF3E9, "dummy_target" },
    { 0x8C2926AEF154BBAE, "dummy_targets" },
    { 0x02D1B29F80757F02, "dummychopper" },
    { 0x990705892441C378, "dummydefender" },
    { 0xE0E4867C6F0FBA7C, "dummymodel" },
    { 0xB4D8DDF06679E422, "dummytarget" },
    { 0x47E50EAEF9F5412E, "dump_models" },
    { 0x2DA9A6B194A5D106, "dumplogsloop" },
    { 0xA961B9A5F6A9AB70, "dumpster_guy_stand_up" },
    { 0x6BD67C105BF74F86, "duplicate_struct" },
    { 0x6C089FD18FB04661, "duration" },
    { 0x348B32E9A74D13CA, "duration_increase" },
    { 0x3EFAC73C525D75DD, "duration_multiplier" },
    { 0x04C76C26BD41399F, "dustfx" },
    { 0xB35FCA448A5D5224, "dustmaterial" },
    { 0x5B48A7732A48E0F4, "dvar" },
    { 0xE66836AEDAF9C067, "dvarfloatvalue" },
    { 0x83EA742C65F297C3, "dvarfuncs" },
    { 0xDCF318ADE1C044D2, "dvarintvalue" },
    { 0xF199C457F5E36770, "dvarlocations" },
    { 0x90EFA3895BAA758A, "dwell_aggro" },
    { 0xF5C9AF3D10345DDB, "dwn_twn_safehouse_loadout" },
    { 0x254FD5CEA8AF8C18, "dx_mortar_launch_callout" },
    { 0x8ED482303593038C, "dyanmic_sun_sample_size" },
    { 0xF6F05D003B53A71E, "dying" },
    { 0xB2069020ED5A6A69, "dying_boy_face" },
    { 0x65936FE393D58888, "dying_soon" },
    { 0xD3249F958A4588B1, "dyingcrawl" },
    { 0xC43E46410756E8FE, "dyingcrawlaiming" },
    { 0xB83F687052F53793, "dyingcrawlbackaim" },
    { 0xF992C7F7E020551D, "dyingcrawlbloodsmear" },
    { 0xBCB0C4E0649AE1ED, "dyn_door" },
    { 0xE3ACA688E4E352C8, "dynamic_backdist" },
    { 0x51BE4890871A1A14, "dynamic_dof" },
    { 0xDF750DD91E45E407, "dynamic_door" },
    { 0x269CC030B5FAC59A, "dynamic_frontdist" },
    { 0x32A1B3BEF8FE0025, "dynamic_knife_anims" },
    { 0xC2C81176A49E5224, "dynamic_knife_kill_anims" },
    { 0x87316D8567171DCC, "dynamic_knife_kill_anims_player" },
    { 0x5C4281E0747A901B, "dynamic_middist" },
    { 0x14098698A8BCA8A6, "dynamic_run_setup" },
    { 0x0BD0D9383298EF74, "dynamic_run_speed_goalpos" },
    { 0xF5345B4B07951FEB, "dynamic_run_speed_set" },
    { 0x6A2A563FDD295BF9, "dynamic_run_speed_thread" },
    { 0x3DA140AE2DAD3721, "dynamic_spawn_locations" },
    { 0x1A8B32DEB412547C, "dynamic_takedowns_monitor" },
    { 0x1C101B6646DB6807, "dynamicent" },
    { 0x634461F088F23EE3, "dynamicladders" },
    { 0x3A8719EED494A756, "dynamiclightset" },
    { 0x8EA6A446EC943591, "dynamiclightsethq" },
    { 0xD4EB9BC19CB96586, "dynamicspawns" },
    { 0x2D7AF59E6E933AA1, "dyndof" },
    { 0xCD55D26283F4192D, "dyndof_debug" },
    { 0xA116EE601B238922, "dyndof_disable" },
    { 0x30128B76EDBCD541, "dyndof_distance" },
    { 0xDB491DB9D62E249F, "dyndof_getplayerangles" },
    { 0x81400134A327A211, "dyndof_getplayerorigin" },
    { 0x51CAC2460404A90A, "dyndof_hastag" },
    { 0xDD779E3AF84CE7BE, "dyndof_thread" },
    { 0xA3FB0999ACA23849, "dyndof_trace_internal" },
    { 0x64A9872DAE5DE491, "dyndof_trace_target" },
    { 0x312F7D7FDC997EA4, "dynolight_area_ai" },
    { 0xC08F7F8143E7EE07, "dynolight_area_trigger_logic" },
    { 0x7AAA493F2BF05DB5, "dynolight_death_watcher" },
    { 0xAF603F3EB64226C7, "dynolight_falloff_dist" },
    { 0xBF68A97126C86A27, "dynolight_postload_state_init" },
    { 0xD65CED89A0544D5F, "dynolight_set_onoff_state" },
    { 0x44ADE52E5F6494EC, "dynolight_trace_contents" },
    { 0xECB1EA70A9A96A86, "dynolight_trace_passed" },
    { 0x07C6F8831F30A09B, "dynolight_update_nvg_mode" },
    { 0x315957BF9092DB98, "dynolights" },
    { 0xF331DB1FD58EB79D, "dynolights_initialized" },
    { 0x8D2A95117B81DE64, "dzmainloop" },
    { 0xAC0E554AC96A9ADC, "e" },
    { 0xCE208078F572B737, "e1" },
    { 0xCE208178F572B96A, "e2" },
    { 0xCE208278F572BB9D, "e3" },
    { 0xBA159475AA9B5EFE, "e3_audio_demo" },
    { 0xA3EDD3030A0FC9C1, "e3_audio_demo_start" },
    { 0xCE207B78F572AC38, "e4" },
    { 0xCE207C78F572AE6B, "e5" },
    { 0x61CFCEB6B9DBA394, "each_player_remotestarted" },
    { 0xBDAD71F17E2441D1, "eairstrikeheight" },
    { 0xD330F31BBE9341F5, "early_death" },
    { 0x3178FA66758FBC35, "early_level" },
    { 0x9B33FA2CF23991D7, "early_return" },
    { 0x0DD6ED6E531BD58D, "early_tank_guy" },
    { 0x5C198EFFD4293CF0, "earlyexit" },
    { 0xF23A091596974E1E, "earlyfinishtime" },
    { 0xFAFD45A64EF5F330, "earlyremoveradarperk" },
    { 0xDFC7EF05E5F2CBF2, "earned" },
    { 0xD8188F76C473F58C, "earnedfastexfil" },
    { 0xC43767D249352AF6, "earnedmaxkillstreak" },
    { 0x639CAE44ED67DF57, "earnednuke" },
    { 0x875143AFC5E427AE, "earnedstreaklevel" },
    { 0x85ACADFEDDDEEFAD, "earnkillstreak" },
    { 0xB6FAB1BF67525776, "earnperiodicxp" },
    { 0x0D471BEB98E219FC, "earthquake" },
    { 0x2E9FC17991079CF6, "earthquake_and_rumble" },
    { 0xADFEF3F070CEAE52, "earthquake_for_client" },
    { 0xA2672CA84BAB52C2, "earthquakeforplayer" },
    { 0xCBA155DFE2944CB4, "easeback" },
    { 0x6DB8CBF5D460F4A3, "easebounce" },
    { 0x3A17C932FDF87DE2, "easeelastic" },
    { 0x681B42DA1E40957E, "easeexponential" },
    { 0x60149D1C13E3C0EE, "easelogarithmic" },
    { 0xA08FC4B9A02EB60C, "easepower" },
    { 0x8A415E4F4FF29F16, "easesine" },
    { 0x0E8F982D88723932, "east_gate" },
    { 0xF0D090B633DF5841, "east_wall_01" },
    { 0xF0D08DB633DF51A8, "east_wall_02" },
    { 0xF0D08EB633DF53DB, "east_wall_03" },
    { 0xF0D093B633DF5EDA, "east_wall_04" },
    { 0xF0D094B633DF610D, "east_wall_05" },
    { 0xF0D091B633DF5A74, "east_wall_06" },
    { 0xF0D092B633DF5CA7, "east_wall_07" },
    { 0x60A26932528343F4, "east_wall_mortars" },
    { 0xED5E6EFCC8277DCC, "easter_egg_tv_light_flicker" },
    { 0xFC3D90F5DC7A6C29, "easter_egg_tv_teddy" },
    { 0x3EACA2D3CFA364C4, "easter_egg_tv_teddy_monitor" },
    { 0xCC1E4B2CD231FF51, "easter_egg_tv_teddy_monitor_helper" },
    { 0xDC6A3B1D5256F33A, "easter_eggs" },
    { 0x3F80B5DD07FFAA84, "easy_position_creator" },
    { 0x9C7D4BBC996C146F, "eattacker" },
    { 0x0C9C5DE36E63FCB0, "edge_placement" },
    { 0x7DC5396FCB9D5FCC, "edge_point_valid" },
    { 0xEE3CD4A383BD2E72, "edit_loadout" },
    { 0x1966C18C4FC3D641, "edit_loadout_think" },
    { 0xF00B5170A7F6303E, "edit_spawner" },
    { 0x260D33799D55A003, "edit_spawner_exit" },
    { 0xAA79AEBB9B434848, "effect" },
    { 0x4D490E9967CF179D, "effect_list_offset" },
    { 0xEB01C5699C729A58, "effect_list_offset_max" },
    { 0xCDF44D834975A38A, "effect_loopsound" },
    { 0xA9467748956DFE00, "effect_soundalias" },
    { 0x3783137BFE0B5663, "effect_tag" },
    { 0xAFBDC6E33C96FF35, "effectid" },
    { 0x34497BD6BC9DDFC1, "effecttime" },
    { 0xE6F9AD4AE5506E87, "effortvoice" },
    { 0x4B00F1F1FD74D336, "efsm_add_machine_state" },
    { 0x294C644BC0DD54A2, "efsm_add_machine_transition" },
    { 0xC34CD1DF99EFA3BB, "efsm_can_interrupt" },
    { 0x4D76D001B47100FD, "efsm_change_state" },
    { 0xF4F9B8A94D54B01C, "efsm_event_monitor" },
    { 0xCD85A84A3F429C1B, "efsm_get_state" },
    { 0x29251A4059ECFD82, "efsm_idle_check" },
    { 0x1A745169A5D2A38D, "efsm_init" },
    { 0xFF7FE0F674F6E6B0, "efsm_is_valid_transition" },
    { 0x5230D8175D7C38EA, "efsm_request_state" },
    { 0x07EA16034DB2288A, "efsm_setup_movement_machine" },
    { 0x869123A759BAD3D8, "efsm_spawn_machine" },
    { 0x6A357A026E2BA89A, "efsm_stick_input" },
    { 0xA459EF5DD542C75A, "eftarc" },
    { 0xBACCD13151F35248, "eggbear" },
    { 0x21825B7EF39A5E4F, "eggbox" },
    { 0x1C0D3BD4EB5013F5, "eggdebug" },
    { 0xCB73CB18EE24B10A, "eggrolls" },
    { 0xEC66F755FD0C28D3, "eggs" },
    { 0xA19BF197AAE0DEFF, "eggsetup" },
    { 0x11393479FFE1ABD2, "eggtrigger" },
    { 0x938FE67E10151A61, "egress_landlord_vo" },
    { 0x937D8A0D5DC69112, "eight_point_strafe_requested" },
    { 0xEEED31F4B33C6C5E, "einflictor" },
    { 0xBBD8C080A3187CD2, "either_player_looking_at" },
    { 0xC3AECF4F285D19D1, "ejectplayerfromturret" },
    { 0xCBF1459F04D12147, "electrictrap_hint_displayed" },
    { 0xF475E3F2DD7B60B0, "electrocuted" },
    { 0x9A1D0038DA39A3E0, "elements" },
    { 0x411BBDF084F74C11, "elements_hidden" },
    { 0x8170549784173FB6, "elemtype" },
    { 0x3D402570E3587094, "elevator_accel" },
    { 0x015117665A0FCA6D, "elevator_aggressive_call" },
    { 0x113EDCBFE6763048, "elevator_button_activate" },
    { 0x7D6793DACD53D010, "elevator_button_hint" },
    { 0x703E88E4F0C489E4, "elevator_call" },
    { 0x0E4D57C0152AFC66, "elevator_callbutton_link_h" },
    { 0x0E4D71C0152B3594, "elevator_callbutton_link_v" },
    { 0x282942222EDB2B89, "elevator_callbuttons" },
    { 0x487D157DB2242B83, "elevator_debug" },
    { 0x3BEFD77DA9A8263D, "elevator_decel" },
    { 0x2412F0869D233E76, "elevator_doors_open" },
    { 0x9218B57079DFD4F6, "elevator_floor_update" },
    { 0xDDCCD380E1D45326, "elevator_fsm" },
    { 0x4DFB30D872350140, "elevator_get_dvar" },
    { 0x693872257A7ED7B6, "elevator_get_dvar_int" },
    { 0xC786D47968087826, "elevator_init" },
    { 0xADD42A56EC368F87, "elevator_innerdoorspeed" },
    { 0x219AAE0272DC5A57, "elevator_interrupt" },
    { 0x9BFD3DDA01776216, "elevator_interrupted" },
    { 0xD4F5F40A373CD992, "elevator_lights_toggle" },
    { 0x026D487D18A7CA91, "elevator_lower" },
    { 0xE7941F473B6BA5DB, "elevator_manager" },
    { 0xCDFF73B107CC0971, "elevator_model" },
    { 0xB08DD6B702DCD8A2, "elevator_motion_detection" },
    { 0xD33B8C162445FA31, "elevator_move" },
    { 0x5ADA65F60ADF1E22, "elevator_moving" },
    { 0xA80DD60E0926DC3F, "elevator_music" },
    { 0xAF889421618BC63E, "elevator_outterdoorspeed" },
    { 0x1E55E85E10D23C94, "elevator_raise" },
    { 0x0ABCF9052148B9BA, "elevator_return" },
    { 0x8FF9104397540573, "elevator_silo_lights" },
    { 0xA33DBDFE3AC5813C, "elevator_sound_think" },
    { 0x34EF3DCDC816B94F, "elevator_speed" },
    { 0xD67D1808C877DDA4, "elevator_think" },
    { 0x460C338DFC6F5A28, "elevator_trigger_wait_for_spawn" },
    { 0x1F4146F2B1A33A54, "elevator_update_global_dvars" },
    { 0xE9C399CCEF17D2D4, "elevator_waittime" },
    { 0xA52C8539C3C27AC0, "elevatordoors" },
    { 0x3B4786758AA40860, "elevators" },
    { 0xACA905237F387FD4, "elim_hud" },
    { 0xFB20926F91D44692, "eliminate_drone" },
    { 0xE0782250A753D556, "eliminate_drone_attack_max_cooldown" },
    { 0x91E6D73CE53D4FB4, "eliminate_drone_attack_min_cooldown" },
    { 0xD6D7296C4CEA44AE, "eliminate_drone_internal" },
    { 0xB5FDC32222B4B3D2, "eliminate_drone_minigun_speed" },
    { 0xE0DF0BAB3BD48235, "eliminate_drone_spotlight_speed" },
    { 0x57E7FE03B4056551, "eliminated" },
    { 0x8ABECFE0DA99C64C, "eliminatedhudmonitor" },
    { 0x367AA759D1E74083, "eliminatenullweapons" },
    { 0x5F6EF677CC95194E, "eliminateplayer" },
    { 0xB282E67FD3583051, "elite_chance" },
    { 0xB744CC7673B214BC, "emb_nt_fire_magic_bullet" },
    { 0xF7A43397629BFD02, "emb_nt_hide_viewmodel" },
    { 0x3379AF284CDA06D0, "emb_roof_door_open" },
    { 0x9C178D33A1246D50, "emb_roof_door_remove" },
    { 0x4353FE54BDF07795, "emb_roof_door_setup" },
    { 0x43DB374EDFBC8B21, "emb_roof_pre_office_vo" },
    { 0xA030421D6B554DFC, "emb_roof_vo" },
    { 0xD201D325CE9870D9, "emb_rooftop_corner_clean" },
    { 0x29E622836DC51123, "emb_rooftop_corner_destructed" },
    { 0x78AFC00D35E1BB37, "embassy_alarm_sound_ent_01" },
    { 0x78AFC10D35E1BD6A, "embassy_alarm_sound_ent_02" },
    { 0x78AFC20D35E1BF9D, "embassy_alarm_sound_ent_03" },
    { 0x78AFBB0D35E1B038, "embassy_alarm_sound_ent_04" },
    { 0x9F10A4CC47FE80A4, "embassy_cctv_flags" },
    { 0xB08DA8CA6FFC4C9B, "embassy_cctv_fx" },
    { 0x4DAFBB54E1E9EAFB, "embassy_cctv_init" },
    { 0x090F0FAC29E1992C, "embassy_cctv_precache" },
    { 0x9BAD913A76C917AB, "embassy_crowd_sound_ent_01" },
    { 0x9BAD923A76C919DE, "embassy_crowd_sound_ent_02" },
    { 0x30793CB6EFB28FF0, "embassy_defend_flags" },
    { 0xE00308F1D19ECE8F, "embassy_defend_fx" },
    { 0x52D3E119241B8238, "embassy_defend_precache" },
    { 0x18DF1CEE75AD5A18, "embassy_defend_precache_delay" },
    { 0xB0E0C49DEB4EBCFB, "embassy_flags" },
    { 0x55052BA1D1C32796, "embassy_fx" },
    { 0xAEB7D9301FCD93F1, "embassy_gate_sound_ent_01" },
    { 0xCC3038A7871926FF, "embassy_helicopter_struggle_sound_ent" },
    { 0x55BE2643EF4FD238, "embassy_helicopter_struggle_tone_sound_ent" },
    { 0x36F8A648292058C6, "embassy_hints" },
    { 0xAFD6CB0B5BD1E22F, "embassy_infil_chopper_crash_explo_sfx" },
    { 0x71E9100B13FDA7D2, "embassy_infil_flags" },
    { 0x74FE7273BD2D41AD, "embassy_infil_fx" },
    { 0xD48A5F6B5F17EC4B, "embassy_infil_hints" },
    { 0x4951CA65402E53C5, "embassy_infil_init" },
    { 0xD94121601691831F, "embassy_infil_objectives" },
    { 0x07919DC10396C82E, "embassy_infil_precache" },
    { 0xC1EF72CD03382472, "embassy_infil_precache_delay" },
    { 0xBC705E161B166BA4, "embassy_infil_scriptables_grab" },
    { 0x164D41F63748EAEB, "embassy_inits" },
    { 0x6C9D4C236B76CF4D, "embassy_level_init" },
    { 0x744941856DEB7365, "embassy_main" },
    { 0x45D713CC02E059F2, "embassy_palm_trees" },
    { 0xB12564944A03DBEC, "embassy_post_truck_alarm_sound_ent_01" },
    { 0xB12567944A03E285, "embassy_post_truck_alarm_sound_ent_02" },
    { 0xF287CAF52C741921, "embassy_precache" },
    { 0xB84049C89C51AC8B, "embassy_roof_catchup" },
    { 0x8622A06EE19C6CEA, "embassy_roof_main" },
    { 0xC6874FC2969FE6C9, "embassy_roof_start" },
    { 0xA317202C6B2A68CB, "embassy_scale_speed_near_price" },
    { 0xA4763F6B93E92225, "embassy_starts" },
    { 0xB1DDFB7F6AC54998, "embassy_technicals" },
    { 0xBBAEFE221BB1EFD8, "embassy_util_flags" },
    { 0x706A0867B6CC466F, "embassy_weapon_cleanup" },
    { 0x587B4742CF17C360, "emerge_main" },
    { 0xDCC7817FE24E4162, "emerge_playerspeedscalinglogic" },
    { 0x2EAB0FEEDF02FB17, "emerge_start" },
    { 0xADE982210D37AB83, "emergency_cleanupents" },
    { 0xBC87B8190019B98A, "emissive" },
    { 0x781859B0776375B1, "emissiveblend" },
    { 0xF0B804E968B4F50A, "emitfalldamage" },
    { 0xC329C903CA269929, "emp" },
    { 0x1BBB3310216F20AB, "emp_damage_callback" },
    { 0x2E8252C8DCBFBAE7, "emp_debuff_init" },
    { 0x5724AD4938F9A744, "emp_drone" },
    { 0x52242BC7E1B1ABDA, "emp_drone_clean_up" },
    { 0x320F9714A0B579BD, "emp_drone_clean_up_func" },
    { 0xF9D91D8809A3961D, "emp_drone_damage_monitor" },
    { 0x691F3608183C376B, "emp_drone_pick_up_use_think" },
    { 0x2997A66FB8EEA464, "emp_drone_proximity_explode" },
    { 0xDAB6C53AC818A8A0, "emp_drone_should_take_damage" },
    { 0xA6B066AEC381DD68, "emp_drone_success_use" },
    { 0x52DC9F74182C7E32, "emp_drone_targeted_getmapselectpoint" },
    { 0x301F4BC2E8AED1C1, "emp_drone_targeted_monitordamage" },
    { 0x52504F439599F00D, "emp_drone_targeted_startmapselectsequence" },
    { 0x98BBA71702F18250, "emp_effect_duration" },
    { 0xA7E9A6CAD6B02FDD, "emp_effects_flickering" },
    { 0x1017D18D9E3A0FA3, "emp_effects_on_nearby_players" },
    { 0x18959F6998A916EC, "emp_get_level_data" },
    { 0xA1198EAD127191E5, "emp_grenade_apply_non_player" },
    { 0xE01F4E55860D39B1, "emp_grenade_apply_player" },
    { 0x5D213D7B01F2B38E, "emp_grenade_end_early" },
    { 0x866C7AF2DA04EA00, "emp_grenade_used" },
    { 0x1D27B375863B3D48, "emp_init" },
    { 0xCB0CB613F6B1C6D0, "emp_nearby_targets" },
    { 0x7C179A2A5FEA5E28, "emp_reset_ents" },
    { 0x14EAC591970CA93C, "emp_target_list" },
    { 0x2DADDD15F2AFFA2A, "emp_target_monitor" },
    { 0xA5806A3B16E22DE6, "emp_update_ents" },
    { 0xB8BA101DAE9F6F88, "empapplycallback" },
    { 0x805B729EFFC76B81, "empclearcallback" },
    { 0x44B629098858D570, "empcount" },
    { 0xE561F6D27AE40C44, "empdamage" },
    { 0xEAA80A0747D46505, "empdamageenabled" },
    { 0xE485BE143A8CEB2C, "empdrone_applyemp" },
    { 0xF87786BEC6EB0906, "empdrone_beginsuper" },
    { 0x2D3172F40673072E, "empdrone_calculatepositions" },
    { 0xBAB9A5022FEEE831, "empdrone_clearomnvars" },
    { 0x4FBB0F6C13338088, "empdrone_collidethink" },
    { 0x1395304DF4274534, "empdrone_createdrone" },
    { 0x1BAA2F8D5BDE6CD1, "empdrone_delete" },
    { 0x91CFA1198E1A1388, "empdrone_destroy" },
    { 0x3588C29B800F334C, "empdrone_divebombthink" },
    { 0xDBCF929D3532FFE9, "empdrone_empapplied" },
    { 0x819A9DA09E2C88E8, "empdrone_empendearly" },
    { 0x69B0A4A436D72A92, "empdrone_equipment_wrapper" },
    { 0x1D233703FAC7C3FE, "empdrone_exit" },
    { 0xCA4865E82882E59B, "empdrone_explode" },
    { 0x620E8DB120E099BF, "empdrone_explodeemp" },
    { 0x656C095757B47330, "empdrone_findstartposition" },
    { 0x9B132CECCADED940, "empdrone_gameendedthink" },
    { 0xB5F9085B8511852F, "empdrone_givepointsfordeath" },
    { 0x7E8E6EF370BFCDDF, "empdrone_handledeathdamage" },
    { 0xA837A9C86BA02C57, "empdrone_killstreaktargetthink" },
    { 0x5DB42EF1E3C84F95, "empdrone_returnplayer" },
    { 0xFF798BE51780EB53, "empdrone_rundrone" },
    { 0x9D6EF479016B674C, "empdrone_superusethink" },
    { 0xAAFB3CAD9A1BBFEF, "empdrone_timeoutthink" },
    { 0x03613E619373F256, "empdrone_tryuse" },
    { 0xEFD28361488C1741, "empdrone_watchdetonate" },
    { 0x884C8DB894733A9C, "empdrone_watchearlyexit" },
    { 0xC9B27EB28BC6D3BB, "empdrone_weapongiven" },
    { 0xEB2B1E06572AD3E1, "empdronebeginuse" },
    { 0x7AB4294E4B8CF365, "empendearly" },
    { 0xAE6F618912C81627, "empendtime" },
    { 0xC8FB7E433DF1A85F, "empgrenaded" },
    { 0xA071E00D294FC87F, "empjamandrumbleclients" },
    { 0x52E02BF1FB44C2A0, "emplights" },
    { 0x2316D51C41DFE925, "emplightsoff" },
    { 0x9B04DC6E15411BD6, "emplooptime" },
    { 0xF374B57AED230B6D, "empmarked" },
    { 0xD25730FCF783A322, "empnotallowed" },
    { 0x4BE2F3470F8430B4, "empplayer" },
    { 0x22616AFA42D676E1, "empradarwatcher" },
    { 0x2EF02DBDF5B3EA6A, "empremovecallback" },
    { 0x57AB9379E9DC3967, "empremoved" },
    { 0x470CD2A715A90411, "empscramblelevels" },
    { 0xFAA1D52CDA260572, "empsitewatcher" },
    { 0xA2DED05DC8A62200, "empspawnindex" },
    { 0x824489E9CCC62C54, "empstartcallback" },
    { 0x186153EF2C04F85C, "empstuntime" },
    { 0x2C2AFEAA197D1826, "emptriggerholdonuse" },
    { 0x1A590A3209D7539A, "empty" },
    { 0x87C19E738BA5703E, "empty_breathing_func" },
    { 0x30D52FD3EC8AE332, "empty_collision_handler" },
    { 0xECF73E04D600037D, "empty_func" },
    { 0xE333AEC75B066DBF, "empty_function" },
    { 0xDB5E407083B6DE94, "empty_init_func" },
    { 0x63E9F9DF79C5598D, "empty_offhand" },
    { 0xD00EF9F8F57103CD, "empty_spawner" },
    { 0x99E3ADAA3F744393, "empty_vo_func" },
    { 0x9448C06013E13E50, "emptyallvehicles" },
    { 0x90276E9C17C2D92C, "emptyfunc" },
    { 0xA2A9FCC97E4111AE, "emptylocations" },
    { 0x513E1CDC153828E9, "emptytimeelapsed" },
    { 0x81B8EC33097B3D85, "emptytimeoutduration" },
    { 0xE26F9E0BB5B9800B, "empvfx" },
    { 0x5A4D12201B2D6DC6, "emradiation" },
    { 0x66C21E47711A233A, "enable" },
    { 0x7C42B1D97F071F39, "enable_a10_wait_flags" },
    { 0xB8C864E66674F2B5, "enable_ai_color" },
    { 0x454FF84B49D0EA28, "enable_ai_color_dontmove" },
    { 0x53C8B482CF8006A9, "enable_ai_dynolight_behavior" },
    { 0xD76C64047F7C500D, "enable_alien_scripted" },
    { 0x83E7BC0708D67655, "enable_allies_firing" },
    { 0x814DD8E2CD63E0DA, "enable_allowdeath" },
    { 0x451E2B427502A7E1, "enable_ally_firing" },
    { 0x230901F243D143C2, "enable_ally_vision" },
    { 0x46304B56A42CA4ED, "enable_arrivals" },
    { 0xDE16A919C021DB3C, "enable_bleedout_ent_usability" },
    { 0x2FB773E0C16C6B83, "enable_bleedout_ent_usability_func" },
    { 0x633E4512DC61467D, "enable_blindfire_behavior" },
    { 0x6CC728D331B733E8, "enable_blood_pool" },
    { 0xF6A6829742B56C5C, "enable_breath_fx" },
    { 0x28B5D1FD3BCF33F9, "enable_bulletwhizbyreaction" },
    { 0x159AE023BB3C1833, "enable_c4_on_locked" },
    { 0xA07E8B9BDBA96759, "enable_careful" },
    { 0x6A75674C5BDAA900, "enable_casual_killer" },
    { 0xCA4223A54D8E89A3, "enable_cell_door_collision" },
    { 0xF29A6218B4C30E38, "enable_chair_carry" },
    { 0xAC7CB5C27A689D7D, "enable_context_melee" },
    { 0x40CDC491FD35956E, "enable_cover_node_behavior" },
    { 0x004D66F1C09349C2, "enable_cqbwalk" },
    { 0x98E8D5530D583D8E, "enable_damage" },
    { 0xE5570BBD33D5A982, "enable_damage_on_landing" },
    { 0x9E027BF59BCE9735, "enable_damagefeedback" },
    { 0x0336604878065F18, "enable_danger_react" },
    { 0xC9BFECD9BC78127E, "enable_death_clearscriptedanim" },
    { 0xD78FEC9B5344A9B8, "enable_defeat_on_kill_backup" },
    { 0xE6D01716C8686993, "enable_dogtag_revive" },
    { 0x959D7C6B07A886BF, "enable_dontevershoot" },
    { 0x3C75DA3E4D25EDCE, "enable_dynamic_run_speed" },
    { 0xB4AAF93432E89A5B, "enable_dynamic_takedowns" },
    { 0xCD52666072ADCF4B, "enable_eight_point_strafe" },
    { 0x049C66145F5D082B, "enable_escort_gesture" },
    { 0x04522190787CA284, "enable_exits" },
    { 0xA1AF773F8C32A3E6, "enable_features_for_disguised_player" },
    { 0x1F162E04E548A76C, "enable_firing" },
    { 0x1D2B8725498A3CA9, "enable_flashlight" },
    { 0x904DF1EF7EB703F5, "enable_global_vehicle_spawn_functions" },
    { 0xCBA4E04A73573DB8, "enable_hangar_vehicles" },
    { 0x278007678C246548, "enable_heat_behavior" },
    { 0xBF8D0751877AA153, "enable_ied" },
    { 0x7A69E6CFA6833F86, "enable_ignorerandombulletdamage_drone" },
    { 0xA219A4A90A523E82, "enable_infinite_ammo" },
    { 0x548426D428A7BC21, "enable_intro_wait_flags" },
    { 0x1843CCF55CDAD1A1, "enable_jammer_damage" },
    { 0xB0F9BFDF45497B9C, "enable_juggernaut_move_behavior" },
    { 0x347CAF35F36F8B70, "enable_keypad_interaction" },
    { 0xB8BB40CC00BB582A, "enable_laser" },
    { 0x1C8D86AAAB366CC8, "enable_lbravo_player_infil" },
    { 0x2DBFD58139A8901A, "enable_leaderboard" },
    { 0xBCEEB1C8295259D0, "enable_long_death" },
    { 0x1C8A721F8CBFA9D1, "enable_lookat" },
    { 0x3BDD2AC7103955B1, "enable_magic_bullet_shield" },
    { 0xA19A7CF548031537, "enable_manual_revive" },
    { 0x795C59EC63222AD0, "enable_menu" },
    { 0x086BE76214CCCD18, "enable_motionblur" },
    { 0xBC74AED8844A3431, "enable_nvgs" },
    { 0x08749469B8C0A503, "enable_on_world_progress_bar_for_other_players" },
    { 0x4FF0FBF82CB6DA40, "enable_oob_immunity_on_riders" },
    { 0x0A45B794AB88E80B, "enable_outline" },
    { 0xDDAD228563079139, "enable_outline_for_player" },
    { 0x8B543558C9A485BE, "enable_outline_for_players" },
    { 0x5140B1782B85FA0A, "enable_overwatch_model" },
    { 0x9244E4A8F2D50BEB, "enable_pain" },
    { 0xB7EAD3CD5A07131B, "enable_pilot_carry" },
    { 0xA288F0FADA28FAB7, "enable_pipes_hero_lights" },
    { 0xE428366F1EE2FD53, "enable_pipes_jumpdown_lights" },
    { 0x4D0BAFFCDA8D9728, "enable_player_headtracking" },
    { 0x3EC09D855C4FBB28, "enable_procedural_bones" },
    { 0xB1D8C6CA9A894552, "enable_readystand" },
    { 0xBC2E9B2535289D67, "enable_retreat_exterior_triggers" },
    { 0x2061CA8CA061CC48, "enable_runout_bullet_clip" },
    { 0xD51AD0BC82AEFC6E, "enable_scriptable_shadows" },
    { 0x8EF97D4433771C52, "enable_segmented_health_regen" },
    { 0xA2343E7664620157, "enable_self_revive" },
    { 0xE96C04665505D27A, "enable_snake_cams" },
    { 0x1C47785C72C11719, "enable_snakecams_by_target" },
    { 0xDB23C45D33E6272D, "enable_spawner" },
    { 0xFE0AF1D9C096A28E, "enable_spawner_after_vehicle_death" },
    { 0x061DAFA3967CEE65, "enable_springcam" },
    { 0xC555F34195DD28F3, "enable_sprint" },
    { 0x9408E6DEE52A9BEB, "enable_stayahead" },
    { 0xB44ED5E17BD4DD98, "enable_stayahead_turbo" },
    { 0xF931D516BFD159A5, "enable_stealth_for_ai" },
    { 0xC11BB92DC117570A, "enable_stealth_system" },
    { 0x51B85868F35C6F03, "enable_stop_all_cars" },
    { 0x9408CF82CD91B6E2, "enable_super" },
    { 0x6DFC788C9518FDE3, "enable_super_when_leaving_turret" },
    { 0x086304EF1BF84FDC, "enable_surprise" },
    { 0x741681A717F65CA1, "enable_tank_stackup" },
    { 0x5E51AA8A83CAED4C, "enable_teamflashbangimmunity" },
    { 0xD38594EF262BCE1D, "enable_teamflashbangimmunity_proc" },
    { 0x39D347240D17D44F, "enable_traversals_for_bombers" },
    { 0x29C8E47ECBF6CD41, "enable_trigger" },
    { 0x0ABF5BE82AEFB6FC, "enable_trigger_with_noteworthy" },
    { 0xC281A6F93B12151D, "enable_trigger_with_targetname" },
    { 0x05F73A05DB497226, "enable_turnanims" },
    { 0xED651DD6E76DBEDC, "enable_van_lights" },
    { 0x99AFE235D26AB576, "enable_vehicle_interaction" },
    { 0x3C67BA406AC50BC0, "enable_volumetrics" },
    { 0xAE7F39F218308CAC, "enableaimassist" },
    { 0x23E886CC591500A8, "enablealldepotsforplayer" },
    { 0x585CF9B7FA84EFB4, "enableanimstate" },
    { 0x1672BBAF348113DA, "enableapcturretinteraction" },
    { 0xA8717DD4154974A2, "enableaudioportal" },
    { 0x57A327FDD5C7E498, "enableaudiotrigger" },
    { 0x3260D29F9586F21C, "enableautoreload" },
    { 0x7E763899297EC59C, "enableavoidance" },
    { 0x9A539F600E73A5C1, "enablebattlechatter" },
    { 0xC1FAE9CB1043CEC5, "enablebreaching" },
    { 0x2E78AAC547FC4FD5, "enableburnfx" },
    { 0x84E7B336E1847179, "enableburnfxfortime" },
    { 0x000BD9DC71B067DE, "enableburnsfx" },
    { 0x464329C62895D0E3, "enablecallouts" },
    { 0x4BF7F0108E5C2C8A, "enableciviliantargetfocus" },
    { 0xE9C4421866E6FA8F, "enablecollisionnotifies" },
    { 0x170BF51DBC7BC7BA, "enabled" },
    { 0x0277B24602D02C1E, "enabledamageinvulnerability" },
    { 0x88421B4D57492B55, "enabledbasejumping" },
    { 0x76D58573BCFD200F, "enabledcollisionnotifies" },
    { 0xAD3359F99EC8A1CD, "enabledeathsdoor" },
    { 0x28FB77BD5F1B2F91, "enabledeathshield" },
    { 0x5632D844A6EDC084, "enabledemeanorsafe" },
    { 0x8AA4A329B8844C1B, "enabledequipdeployvfx" },
    { 0x66E15AA2D388E1DD, "enabledfeatures" },
    { 0x1218F8A0A0A25EF2, "enabledignoreme" },
    { 0xBA1ABA7F1177F50C, "enabledismemberment" },
    { 0x6568D50A08EC9DC4, "enabledismembermenttag" },
    { 0xC2BD9547C84A19EF, "enabledminimapdisable" },
    { 0xF138381C9D40BB0A, "enabledropbagobjective" },
    { 0x8CE414D537A7A75C, "enabledskipdeathshield" },
    { 0xF97ED88339B763F3, "enabledskiplaststand" },
    { 0x31BA9ACFCD7FEACF, "enableenemybaseoutline" },
    { 0x9A2EFB5D142A62FD, "enableentitymarks" },
    { 0xBA7C858810941B9B, "enableequipdeployvfx" },
    { 0x5CF901C9B2D3C2DB, "enableeventlisteners" },
    { 0xA644AEE4905C2D54, "enableexecutionattack" },
    { 0x0D8E8F3EDE6BC1A2, "enableexecutionattackfunc" },
    { 0x39AD9AE6FD2EE567, "enableexecutionattackwrapper" },
    { 0xC334F0EB2D31B188, "enableexecutionvictim" },
    { 0x43374498A369C68E, "enableexecutionvictimfunc" },
    { 0x89C7D92C04212293, "enableexecutionvictimwrapper" },
    { 0x3D65C54A60240E20, "enableexitprompt" },
    { 0x1B217B4B8F79A25C, "enablefeature" },
    { 0xB23EF909F9FC11E3, "enableforcednosunshadows" },
    { 0x1263D3C2F40730C4, "enableforcedsunshadows" },
    { 0xC075873FDFD8B04A, "enableforceviewmodeldof" },
    { 0xBE5F80DA9BAEA259, "enablefrontlinecriticalfactor" },
    { 0x78AA80B9A0233186, "enablegrenadetouchdamage" },
    { 0x9D3F5C96127DDADE, "enablegroundwarspawnlogic" },
    { 0x8491DBD4909E67C9, "enablehealthshield" },
    { 0x74FDB08D01CDE75F, "enablehudlighting" },
    { 0x19E9B785A7CDF0BA, "enableinfectedtracker" },
    { 0x6091D91ED8BC5231, "enableinvulnerability" },
    { 0x3BB24AEDDBC376BC, "enablejuggernautcrateobjective" },
    { 0x9D510A070D1AF387, "enablelinkto" },
    { 0x1A55F7583ADE6B73, "enablelookdownpathtime" },
    { 0xC530A82328A9D0F4, "enableloopingcoughaudio" },
    { 0x8712106B02887843, "enableloopingcoughaudiosupression" },
    { 0xC8D8D096DB7C6404, "enablemanualpullchute" },
    { 0x90033F0A52833F0E, "enablemeleeforsentry" },
    { 0x33C6BAADEDC4DCDE, "enablemissedbulletclientonly" },
    { 0x0D3C4613784DC66B, "enablemissileboosting" },
    { 0x9D28D345507AF8F3, "enablemissilehint" },
    { 0x1E5F411DD431877E, "enablemissilestick" },
    { 0x87809D404CFC4DAA, "enablemousesteer" },
    { 0xD5E5656504AB6F21, "enablemultibombui" },
    { 0x5510F7402B489819, "enablemusic" },
    { 0x01D1E883F6BB3E31, "enableobject" },
    { 0x4F77ED1F436E1B05, "enableoffhandprimaryweapons" },
    { 0x852D33465469D2D5, "enableoffhandsecondaryweapons" },
    { 0x3CB1578BFD31CEFD, "enableoffhandthrowback" },
    { 0x29BE14E5FCED4997, "enableoffhandweapons" },
    { 0x7046004165DD9706, "enableoob" },
    { 0x509026128C667514, "enableoobimmunity" },
    { 0xA9DD9B9EF895CABE, "enableouterspacemodellighting" },
    { 0x16B10B229ECDEE71, "enableovertimegameplay" },
    { 0x5A8DBA516863782A, "enablepaspeaker" },
    { 0x218521A2147E0E3C, "enablephysicaldepthoffieldscripting" },
    { 0xD81E56B8C7612834, "enablephysicsmoverpush" },
    { 0x776205D759BAD592, "enableping" },
    { 0x88EC1E2F345EA814, "enableplayerbreathsystem" },
    { 0xC317E254C5FAC1E1, "enableplayerforspawnlogic" },
    { 0x920314B4526ABB8F, "enableplayermarks" },
    { 0xE3B1539DC51113C6, "enableplayeroutlinesforoverheadcam" },
    { 0xB0CCB977E93A2462, "enableplayeruse" },
    { 0xF3EF37ACAB707F8A, "enableplayeruseforallplayers" },
    { 0x2CCC2CE188629841, "enablepowerfunc" },
    { 0xF5920A37AC95A6F5, "enablequickweaponswitch" },
    { 0x99705BFB5A3288A4, "enableragdollzerog" },
    { 0x6D1E743EA0646119, "enablereloading" },
    { 0x2AB2E26583CD875C, "enablerl" },
    { 0x1D8394B642B7A8BC, "enablescriptablepartplayeruse" },
    { 0xBEB2AFDE496F7EB7, "enablescriptableplayeruse" },
    { 0x9609E422B6D68F52, "enablescriptableplayeruseall" },
    { 0xC0C9DFF780EE1B5E, "enablescriptedlookat" },
    { 0xF0B276B1BD9D22D3, "enableshadows" },
    { 0x385CF200AD402150, "enableshellshockfunc" },
    { 0x11CAA1932AEDB6F3, "enableslotinternal" },
    { 0x9163E162C36DBE68, "enableslowaim" },
    { 0xAAAF2E915E142F38, "enablespawnpointbyindex" },
    { 0x501270BE80BD9AB9, "enablespawnpointlist" },
    { 0xFEC2FBAF7D59DFCA, "enablespawnpoints" },
    { 0x6065E0A29DB35746, "enablespawnpointsbyclassname" },
    { 0x71008AE7FD406A96, "enablesplitscreen" },
    { 0xBE75A091C5C77AE1, "enablestatelookat" },
    { 0x2F8244D2E47873AA, "enabletacopskit" },
    { 0xE5E860CA8F284FDB, "enabletacopsstations" },
    { 0x42D5BF515F42C7A7, "enabletargetmarks" },
    { 0x55B6AA24F750BA4A, "enableteamwalking" },
    { 0x4B12264783E60CA1, "enabletraversals" },
    { 0x7F2F820663D6CC1A, "enabletrigger" },
    { 0x64B1E5FE48525E35, "enableturretdismount" },
    { 0x5F257F5B49C8BF20, "enableusability" },
    { 0x27AAE7178535A1D3, "enablevariantdrops" },
    { 0x6D33F532AC724E8E, "enablevisibilitycullingforclient" },
    { 0x6C9E1498531C3149, "enableweaponlaser" },
    { 0x8904144C9B467F5E, "enableweaponpickup" },
    { 0x84D0A0846521E72B, "enableweapons" },
    { 0x7DEF2F95232E6A02, "enableweaponswitch" },
    { 0xE27C0C9DE2C6125B, "enableworldup" },
    { 0x79CB724D0EF13916, "encounter" },
    { 0x7B466EA7B856F578, "encounter_end" },
    { 0x773644D193C910D5, "encounter_location_start_functions" },
    { 0xD572AB17555FCD2A, "encounter_manager" },
    { 0xE3FFB5599EDD9877, "encounter_performance" },
    { 0xE7CF858C4273C9EC, "encounter_score_components" },
    { 0x91A35429AA7C2809, "encounter_start" },
    { 0x2DACEE42036A52BF, "encounter_start_functions" },
    { 0xD4FED34730477938, "encounterdeletedomgameobjectonend" },
    { 0xA54BD5AE16B92A8C, "encounterdeleteentonend" },
    { 0x81294F41B76C359D, "encounterlocation" },
    { 0x5E7050BA41808F6A, "encounterremovenavobstacle" },
    { 0xB2502A85D768FA0D, "encounterremovenavobstacledelay" },
    { 0x0C1180D882AECB2D, "encounterremovenavobstacleonencounterend" },
    { 0xCBA5C477DC81391F, "encounters" },
    { 0x8DF08D9BE07C1906, "encourage_explosive_use" },
    { 0xC32DDB03CA2AB696, "end" },
    { 0x688F50559BEFB145, "end1" },
    { 0x688F4D559BEFAAAC, "end2" },
    { 0x9D3D0664A1A7254B, "end_angles" },
    { 0x43425B0B73AB20E2, "end_barkov_model" },
    { 0x8B60D5E397F0E025, "end_blended_interaction_anims" },
    { 0xD8D945E27938C67C, "end_breach_fx_structs" },
    { 0xFC774E38A96D7400, "end_bridge_start_struct_index" },
    { 0x249B856A71E0587B, "end_bus_bomber" },
    { 0x4DC83CC1A085AF8D, "end_captive_01_model" },
    { 0x0F1EF88C36F37C54, "end_captive_02_model" },
    { 0x2E6C812A8B40F63B, "end_captive_03_model" },
    { 0x0F83EF9544B5B8A2, "end_captive_04_model" },
    { 0x7E6ABFAF058FA305, "end_captive_truck_model" },
    { 0x57BF86DF7376CDAA, "end_chopper_boss" },
    { 0xC1F0C9D652EDEFFC, "end_collect_nuclear_core" },
    { 0xCC9C897E2F0015AA, "end_color" },
    { 0x633D94330BC4E8B7, "end_destroy_c130" },
    { 0x3CD3FE12AD68874D, "end_equip_disguise" },
    { 0x60D753BEDBB3EF8C, "end_escape_silo" },
    { 0x78B1D3197752DF60, "end_exfil_plane" },
    { 0x2392FDB7EBD54573, "end_extract_lz" },
    { 0x0A16E9610C0B96E0, "end_fardist" },
    { 0xB14DFE3C5AC0F530, "end_firing" },
    { 0x7F0DC7A941561E78, "end_firing_left" },
    { 0xCD1DFF7563FAA98E, "end_flares" },
    { 0x8ECA6207503771F2, "end_freight_lift" },
    { 0x345C2ED0AA392B41, "end_func" },
    { 0x588B752CE1D9D562, "end_function_after_time" },
    { 0x4F0CF50F35814D3B, "end_game_cheer" },
    { 0x0D27003A8D3C5670, "end_game_logic" },
    { 0xC067F1E17E468A28, "end_game_score" },
    { 0x3C0251BFF1A6E62A, "end_game_score_component_ref" },
    { 0xB7D9B02DE4A2F36B, "end_game_sequence" },
    { 0xC0DD6C360DF332C8, "end_game_string_index" },
    { 0x3DFDCEA4ACC550D4, "end_game_string_override" },
    { 0xD2965D32ABE0CD7B, "end_game_tutorial_func" },
    { 0xFB6E83363F38D354, "end_game_win" },
    { 0x914AFE51F4B603DD, "end_gates" },
    { 0x37D482BD59C85727, "end_guys" },
    { 0xF5A529B275A1FF0D, "end_health" },
    { 0x26E50C710775071F, "end_heli_spawn_group" },
    { 0x0E29957ABC7BD97E, "end_holdout" },
    { 0x05D7759506210722, "end_infil_plane" },
    { 0x4C15038048FC9D8D, "end_intro_obj" },
    { 0x5BD916D163D4A4A2, "end_jugg_maze" },
    { 0x20BD17BD8A095B87, "end_kill_tunnel_spawns" },
    { 0x29D64AE412000F65, "end_land_at_lz" },
    { 0x0B1A426749EF7C2E, "end_leave_cave" },
    { 0x0D41D68B3F75290B, "end_level" },
    { 0x479C4B56DF1C26CD, "end_loop_emp_spark_vfx" },
    { 0x94A6EBC042C99421, "end_mine_caves" },
    { 0x8DA79B2D0322E38B, "end_ml_p1_intel" },
    { 0x2F27A8A280FADA19, "end_ml_p3_exfil" },
    { 0x102CE3A4ECFC8549, "end_ml_p3_intel" },
    { 0x5D6EB97720098CF0, "end_ml_p3_intel_2" },
    { 0x5D6EBA7720098F23, "end_ml_p3_intel_3" },
    { 0xE0CB17C169E6B1DC, "end_module_if_weapons_free" },
    { 0xA45E2B4B28D47631, "end_neardist" },
    { 0xCB73B6186E199F5B, "end_node" },
    { 0x659AF9F959D9B336, "end_node_origin" },
    { 0x765EA4183073E65E, "end_nuke" },
    { 0x5F25BD98688479D5, "end_nuke_vault" },
    { 0xE80CD64E8F00C992, "end_objective_when_all_dead" },
    { 0xC6447607AC9276B2, "end_objective_when_all_dead_interal" },
    { 0x4A551D4BA09EBF75, "end_origin" },
    { 0x3878F09C120C989A, "end_origin_final" },
    { 0xABAF2197FF0C1AB3, "end_p1_spawn_loop" },
    { 0x7D8BB541E5A77675, "end_paratroopers_group" },
    { 0x0DC7C2814C11BB9B, "end_pipe_room" },
    { 0xC36127A06CACF02A, "end_plant_jammers" },
    { 0xC2886EB774B43DBC, "end_player_model" },
    { 0xF867C80F91ECECF3, "end_point" },
    { 0xB78CBD9C03BCF9FB, "end_pos" },
    { 0x290FCD5102CF5A33, "end_pre_vault_assault" },
    { 0x3F75925727390F2C, "end_prisoner_hood_model" },
    { 0x83F7D324D53B3501, "end_reach_drop_zone" },
    { 0xA2D361E3BA6BFDCA, "end_reach_exhaust_waste" },
    { 0xF5192A743F9E1C40, "end_reach_icbm_launch" },
    { 0x6FFAD2C700DCC2D9, "end_reach_lz" },
    { 0x529520F42CD40B8F, "end_reach_pipe_room" },
    { 0x80B0EF09C5B92F01, "end_reach_wind_room" },
    { 0x31D6397A2D20EFB2, "end_recover_nuclear_core" },
    { 0x67944E01104F6421, "end_reinforcements" },
    { 0x4D8C4917A107F369, "end_rope_rumble" },
    { 0xACE24CAAB96D3D7C, "end_russian_01_model" },
    { 0x2CA01EA11BADDD55, "end_russian_02_model" },
    { 0xFD6A33581ADE72E6, "end_russian_03_model" },
    { 0x131D2C4F21D0CB2A, "end_russian_truck_model" },
    { 0x4A93A902C8AFB2BC, "end_script" },
    { 0x21C0403E3EE94BD4, "end_sequence_dof" },
    { 0x0AFA8418DB7ABDB9, "end_silo_elevator" },
    { 0x2A9B025FE4D497F7, "end_silo_jump" },
    { 0xB7516FCDDB8AA4D1, "end_silo_thrust" },
    { 0x9D1970F09FC1AACC, "end_slide_delay" },
    { 0x3D4854CE001F0668, "end_slow_mode" },
    { 0x6F25110C6E0B9FE8, "end_slow_mode_safe" },
    { 0x552E00F77588979A, "end_spawn_group" },
    { 0x9A762893328F187A, "end_super_meter_progress_early" },
    { 0xA746D6900E693342, "end_swivelroom_obj" },
    { 0xDF7337F1DA89221C, "end_this_module" },
    { 0x4523C2A215E80BA3, "end_thread" },
    { 0x188DDE7390C8D3E2, "end_time" },
    { 0xDC969B3D8013AD81, "end_trans_1_obj" },
    { 0xF094C6BD69FE4573, "end_trial_sequence" },
    { 0x15259388523239E8, "end_turret_reservation" },
    { 0x1B0438EF99252425, "end_unlock_silo" },
    { 0x319D8A520623DB21, "end_vault_assault" },
    { 0xE575E38B8C862A67, "end_vault_assault_crypto" },
    { 0xBA109CB920A98A7A, "end_vault_assault_cut" },
    { 0xC333C38388038F33, "end_vault_assault_rooftop" },
    { 0x08211499F0B7C42B, "end_vault_assault_rooftop_call_exfil" },
    { 0x9CBD786A6DB68B08, "end_vault_assault_rooftop_defend" },
    { 0xAAD34C71EFD48EA8, "end_vault_assault_rooftop_exfil" },
    { 0x62CAE6A80060C76C, "end_vault_assault_rooftop_heli" },
    { 0x7BFD061F5643FB26, "end_vault_assault_vault" },
    { 0x0A1A3AB99865654C, "end_vault_assault_vault_fake_end" },
    { 0x6062A24D7CF4010C, "end_vo_group" },
    { 0x67276CFFCF386F5B, "end_wave_spawn_ahead_of_completion" },
    { 0x33822AE902397EB3, "endac130infilanimsinternal" },
    { 0xE6FB0354287F88A6, "endactionflag" },
    { 0xDC79CA85A2C81442, "endangleoffset" },
    { 0xD12D9C086210EBBA, "endangles" },
    { 0xDB952B2718D7D87E, "endascenderanim" },
    { 0xE43EDD45F1A5E1F3, "endat" },
    { 0xC88B3F58B9D4A7CD, "endbetting" },
    { 0xD6408975C30AA53F, "endbroshot" },
    { 0x184CFBB7435D2C01, "endcameraangles" },
    { 0x480A92C8F7DCE8AB, "endcameradebug_think" },
    { 0x850DB7C02FA6A944, "endcameraorigins" },
    { 0x767E6590DAF2D868, "endcondition_focuschanged" },
    { 0x70DD3AB92E453446, "endconditionwatcher_focuschanged" },
    { 0x4EC95AC06DBD7830, "endconditionwatcher_gameended" },
    { 0x9032EBC965ECF5CC, "endconditionwatcher_mapchanged" },
    { 0x0B2C14DEE1BBEF3C, "endconditionwatcher_mapcleared" },
    { 0xDA214C67040A976B, "endconditionwatcher_nuke" },
    { 0x1496295D126070BD, "endconditionwatcher_selectionmade" },
    { 0x4DD38454946DD739, "endcreatescript" },
    { 0xA9362D18172B0107, "endcustomevent" },
    { 0xE42CDD45F191A497, "ended" },
    { 0x1CCD336A040C0242, "endedby" },
    { 0x7684E63F3431E2AE, "endedkillcamcleanup" },
    { 0xE42CEB45F191C361, "ender" },
    { 0x3D8CE825DD475A60, "endfunc" },
    { 0x9E5A7A43005AE2DC, "endgame" },
    { 0xA464C8E81DCA9E72, "endgame_camera" },
    { 0x48475A81FF69C79B, "endgame_clientmatchdata" },
    { 0x9F6C664362FC11F4, "endgame_endgame" },
    { 0x46B805253258C706, "endgame_endround" },
    { 0x92A3377EB57B11BE, "endgame_finitewaves_camera" },
    { 0x1C94E02EA54611A4, "endgame_finitewaves_music" },
    { 0xC15A582FA6A47BC2, "endgame_finitewaves_vo" },
    { 0x622201CBAEA055FC, "endgame_luidecisionreceived" },
    { 0x5AEF3060ED2CD50F, "endgame_overlay" },
    { 0xF76977404933AFAE, "endgame_regularmp" },
    { 0x7EEBFDCB07F83DFF, "endgame_showkillcam" },
    { 0xD4FA04D787BB299A, "endgame_stars" },
    { 0x52D1924BF1F50420, "endgame_write_clientmatchdata_for_player_func" },
    { 0x40AD27FDBCF3D7DE, "endgamedeath" },
    { 0x6FD897D598AD3E93, "endgameencounterscorefunc" },
    { 0x24C4BFBFCB1D410D, "endgameicon" },
    { 0xE85DB810A3D237D7, "endgameontimelimit" },
    { 0x987B78126CDA6CDD, "endgametimer" },
    { 0x93E5C575ABC93FB1, "endgametutorial_func" },
    { 0xA8B5277292B00643, "endgamevo" },
    { 0xAD2E41D2D37755D9, "endhostagegame" },
    { 0x08A32FBFA83D5878, "endhover" },
    { 0x02F562D2BBA6AA9B, "endhud" },
    { 0x161694AF900EB74E, "endinactiveinstructionondeath" },
    { 0x059772EE78BBECC2, "ending_bink_audio_transition" },
    { 0x50AF55D87F09FED4, "ending_bink_init" },
    { 0x147F550BC53A2113, "ending_bink_skipped_audio_transition" },
    { 0x47AC67983D6F3245, "ending_camera_animation" },
    { 0xD31AF0D7DF2532C9, "ending_cleanup" },
    { 0xF2ECD9B76675C810, "ending_extras" },
    { 0xE633B46CA8FDED05, "ending_fade_in" },
    { 0x5B949FF7B854DC6E, "ending_fade_out" },
    { 0x100860D8F6838903, "ending_mortars" },
    { 0xDBBB88EE887F0B06, "ending_player_disconnect_thread" },
    { 0xBCF8337DF461925D, "ending_scene" },
    { 0x8A0CDE688FDEBA04, "ending_scene_anims" },
    { 0x9D0DC05D37E6BB8A, "ending_scene_bodies" },
    { 0x6500F6547CD03212, "ending_scene_celebration" },
    { 0x1EB045998FFC4777, "ending_scene_dof" },
    { 0x69708761D06822C8, "ending_scene_ent_cleanup" },
    { 0xAD0EA8FB87153B7B, "ending_scene_ent_cleanup_loop" },
    { 0xB1DFA57F43C4CF9B, "ending_scene_lights" },
    { 0xDF3AC29EB4D21B31, "ending_scene_lights_off" },
    { 0x6B9F0C8F55A3E72F, "ending_scene_main" },
    { 0x0AE767BEA9D7CFF6, "ending_scene_mayhem_anims" },
    { 0x1C322DE13DAD0966, "ending_scene_start" },
    { 0xC0A334EBBE2BD586, "ending_truck_idle_scene" },
    { 0x965280A4D4EF6939, "ending_viewing_players_setup" },
    { 0x5B05AA546D340D82, "ending_winning_players_setup" },
    { 0xFD02B925104231DC, "ending_zplanes" },
    { 0x9CDE61077DD3AA62, "endingph" },
    { 0xABD2D39B6D188FDC, "endingpropspecate" },
    { 0xABD8679C103C9CF5, "endingsoon" },
    { 0xB9591681CD05733C, "endinstructiononnotification" },
    { 0x2350389942D21E2B, "endkillcamifnothingtoshow" },
    { 0x08BF5D1BD176DAA5, "endlesslobbyfloor" },
    { 0x7A90688F925364DE, "endlobby" },
    { 0xD7325855CB9D247D, "endlocationselection" },
    { 0x703541C442AB1F7E, "endmatchcamerastriggered" },
    { 0xE7AB6F2819307700, "endmatchcameratransitions" },
    { 0x7D5A0CD305A1671E, "endmatchonhostdisconnect" },
    { 0x4ACD76A7B5316DF7, "endmission_bink_skip" },
    { 0x42A7D9FEDB311367, "endmission_main_func" },
    { 0x71E50DA70B7EAE4A, "endmusicplayed" },
    { 0x8C9F18DEC1662B22, "endnode" },
    { 0x69D8475F59557727, "endnode_pos" },
    { 0x3DAD7923AC254BF8, "endnodepos" },
    { 0x8CE4F8DEC1B27432, "endnote" },
    { 0x2F0BF00DB8C0ABD3, "endofgamesummarylogger" },
    { 0x2B68FBF592736836, "endofmatchdatasent" },
    { 0xD5BB753AC36B314F, "endofroundvisionset" },
    { 0x1FB77EF6916E9132, "endofspeedwatcher" },
    { 0x303A98FA9DE7A7FF, "endon_str" },
    { 0x0F6DA4818468DB93, "endondeath" },
    { 0xE6534E11A5D7F790, "endonnotification" },
    { 0x671CCF771C1D61AC, "endonremoveanimactive" },
    { 0xE53BEE695B5339F5, "endonshutdown" },
    { 0x543FA6B21661C09A, "endonstring" },
    { 0xFAD268E6800CB97B, "endontest" },
    { 0x4D463C4CB66CE84C, "endontest_endon" },
    { 0x87199A37B3E7A44E, "endoperatorsfxondisconnect" },
    { 0x0CA565C87DBEE580, "endorigin" },
    { 0xA94F18EF743DE362, "endparty" },
    { 0x81C1B1D8EC5A9C48, "endpoint" },
    { 0xA4E76FD1BA5DF23C, "endpos" },
    { 0xE4807B4221BA5AA0, "endprematchskydiving" },
    { 0xE3F3DF45F1532E12, "endpt" },
    { 0xB9E4703BE8B96B04, "endptui" },
    { 0x68D50CDC9F7A647B, "endrespawnnotify" },
    { 0xFC6DADADB59F70CA, "endreviveonownerdeathordisconnect" },
    { 0xD5A5245CA37B4033, "endround_timescalefactor" },
    { 0x0E258CD157A3F1F6, "endscene" },
    { 0x267B6A40DE153FDB, "endselectiononaction" },
    { 0x60F47F1B82003C74, "endselectiononendgame" },
    { 0x68AA76D36ED627CC, "endsliding" },
    { 0x2C7EDA33ED454E13, "endslidinglegacy" },
    { 0x3935B26A597C667E, "endspawncamera" },
    { 0x27BF7DF60D8FAC32, "endspectatorview" },
    { 0xA7E5E7B124234EFB, "endsuperdisableweapon" },
    { 0xFDF9442187BE81CB, "endsuperdisableweaponbr" },
    { 0xFC0A08E487C91B8F, "endtime" },
    { 0x132D8A969F488B34, "endtimes" },
    { 0x20B24DFAD7DEAE24, "endtimeutcseconds" },
    { 0x2DBEE11A1B9142E4, "endturretonplayer" },
    { 0x2F9D04624A0F878E, "endturretonplayerstatus" },
    { 0x96D938FB1506D0F2, "endturretusewatch" },
    { 0x11ECBC7BEDBE4D44, "enduavonlatejoiner" },
    { 0x28D8A500F525BF7B, "endusefunc" },
    { 0x5C9138D9123011DE, "endvehiclemotionwarp" },
    { 0x0ABD655A4AE70271, "endzone_oncontested" },
    { 0x1467E3B4F5ED6BF8, "endzone_onuncontested" },
    { 0x79294BD7DBB66F93, "endzone_onuse" },
    { 0x844C4B39DEA90B74, "endzone_onusebegin" },
    { 0x66502D5BF5886DA0, "endzone_onuseend" },
    { 0x87FC977C8BEB266D, "endzone_setcaptured" },
    { 0x8C556537266D329A, "endzone_stompprogressreward" },
    { 0xB7A28523CF9AE3B8, "endzoneobjid" },
    { 0x407AA9D68A0B2AF1, "endzones" },
    { 0xDFEE24FFC1ACA147, "enemies" },
    { 0x2E0839DF5D73F182, "enemies_alive_watcher" },
    { 0x1C321A84C21C3E0E, "enemies_battlecry" },
    { 0x63F5059FFA839BBA, "enemies_cleared_move_forward" },
    { 0xCDA26526A5D6D65B, "enemies_distracted" },
    { 0xBDD0C294F9B60AD9, "enemies_flood_interior" },
    { 0x5163293BBE2D3AE1, "enemies_goal_player" },
    { 0x713758C102AF72F7, "enemies_hunt_player" },
    { 0xE9B051ADA1463F5A, "enemies_init" },
    { 0xD013E1EF73A1D029, "enemies_killed" },
    { 0x8FBDB79736D8D00E, "enemies_look_at_jets" },
    { 0x365B2BECACA73F43, "enemies_management" },
    { 0x8F89BAC4BFF5E291, "enemies_missed" },
    { 0x843B53067654FF6D, "enemies_shoot_down_nearest" },
    { 0x8672D1486510580E, "enemies_skip_front_2" },
    { 0xA088ECF269F30890, "enemies_spawnif_noactive" },
    { 0xE628D48BBB9195E1, "enemies_validate_life" },
    { 0xC4DD1AAFA4EB27E1, "enemies_wave_01_engage" },
    { 0xFFF436205D14E272, "enemies_wave_01_refill" },
    { 0x0E545107A723BF2C, "enemies_wave_01_scatter_delay" },
    { 0x66C2ADF813F467B5, "enemiesactivenb" },
    { 0xBF6D9B609664C0CB, "enemiesaffectedbyscambler" },
    { 0x11A1223607004A56, "enemieskilled" },
    { 0xCAC59C7C0FA06A0C, "enemieskilledintimewindow" },
    { 0xC6A2098CA638E6A3, "enemiesmarked" },
    { 0x53F41DDE6DAC4A1F, "enemiestotal" },
    { 0xF0741145F9C1046F, "enemy" },
    { 0x2667D0623229F373, "enemy_3f_damage" },
    { 0x43015107B30A06C4, "enemy_3f_death" },
    { 0x0B1DBDA5BDE950F5, "enemy_3f_door_action" },
    { 0x61D9F82F1516751A, "enemy_3f_weap_clip" },
    { 0x42003A17EC451240, "enemy_ac130" },
    { 0x37BE79B31F924A32, "enemy_accuracy_think" },
    { 0xB3984F3B4F99E48E, "enemy_aggro_at_closest_player" },
    { 0xC71186119DC92C48, "enemy_ai_corpse_locations" },
    { 0x9A4DCA86E37C3C66, "enemy_ai_enter_alert" },
    { 0x807BF0B287F2635E, "enemy_ai_enter_alert_due_to_grenade_explode" },
    { 0xAC87880BC10A8DE3, "enemy_ai_target_marker_group_id" },
    { 0x6634D6490E2ACFC8, "enemy_alive_counter_gate" },
    { 0xF2A774AE67D0FF40, "enemy_already_near_node" },
    { 0x591A4E84FFE74587, "enemy_ambush_vehicle_spawned_monitor" },
    { 0xBFC3C7713F0686CC, "enemy_ambush_vehicle_think" },
    { 0x251212E82BA5FD9D, "enemy_armory_guards" },
    { 0xA81095BF2A462364, "enemy_armory_guards_ignored" },
    { 0x29A38BAA3CB2E226, "enemy_back_line_spawner_think" },
    { 0x7F0158CEA05E0A42, "enemy_blocker_vehicle_think" },
    { 0xC3AC7CFE0FBD5D3B, "enemy_camp_assassin" },
    { 0x37F52B89D7356657, "enemy_camp_assassin_goal" },
    { 0x3ADD0A3BFE0BFFAF, "enemy_camp_spots" },
    { 0x87B88073A65A4A41, "enemy_chatter" },
    { 0xF6DA81BC14CE5B71, "enemy_chopper_infil_think" },
    { 0x98C3AC6B24F14DC5, "enemy_claymore_watchfortrigger" },
    { 0xD15D8917A2151C15, "enemy_clear_scrambler" },
    { 0x96D60B6E529BD2B6, "enemy_close_in_on_player" },
    { 0x8DC91F4DAF78D2DB, "enemy_combatantfn0" },
    { 0x8DC91E4DAF78D0A8, "enemy_combatantfn1" },
    { 0x8DC9214DAF78D741, "enemy_combatantfn2" },
    { 0x8DC9204DAF78D50E, "enemy_combatantfn3" },
    { 0x8DC9234DAF78DBA7, "enemy_combatantfn4" },
    { 0x8DC9224DAF78D974, "enemy_combatantfn5" },
    { 0x8DC9254DAF78E00D, "enemy_combatantfn6" },
    { 0x8DC9244DAF78DDDA, "enemy_combatantfn7" },
    { 0x8DC9174DAF78C143, "enemy_combatantfn8" },
    { 0x8DC9164DAF78BF10, "enemy_combatantfn9" },
    { 0xAFCB6A0D6323983C, "enemy_damage_monitoring" },
    { 0x108FC3D0527496E3, "enemy_death_by_fire" },
    { 0xBA5F479AD9E2AF74, "enemy_death_by_fire_think" },
    { 0x817DBBEF7E559B0E, "enemy_death_count" },
    { 0xFE5A5C8B0A2EE9E9, "enemy_delay_shooting" },
    { 0xDC7337BAA2CF71B5, "enemy_end_death_logic" },
    { 0x6DEDA07BFE35E9C0, "enemy_engages_ambo" },
    { 0xCA2415EA9262CFB5, "enemy_failsafe_ifonedidntspawn" },
    { 0xF08EACC30691F6E9, "enemy_fall_back_killer" },
    { 0xC787233BECC2420F, "enemy_fallback_logic" },
    { 0x976C46F8ED06C474, "enemy_favor_player" },
    { 0x317569192904143B, "enemy_flare_behavior" },
    { 0x9B5A7C20FF14CE87, "enemy_flare_behavior_wave_3" },
    { 0xB361C2D7A0D62825, "enemy_fob_movement" },
    { 0xA5CA2D956BE5FECD, "enemy_force_ak47" },
    { 0xFD3B25CD6B33D0F0, "enemy_force_ak47_bright_muzzleflash" },
    { 0xB7AFA3573C245FC8, "enemy_force_lmg" },
    { 0xD50D7363FC7EB9B3, "enemy_force_pistol" },
    { 0x180134817CC5B2E6, "enemy_goal_volume" },
    { 0x0E30B257CDF85A07, "enemy_goto_struct_on_spawn" },
    { 0x66B97DEAFE6D9033, "enemy_group" },
    { 0x57802BCD8AF43CC0, "enemy_groups" },
    { 0xBF913A41FB1771FD, "enemy_gun_pump" },
    { 0x33E0F54BC847F243, "enemy_heli_attacking" },
    { 0xA4B0B6D5A1650950, "enemy_heli_killed" },
    { 0xBE374C3482F42D77, "enemy_hitmarker" },
    { 0x7EF41BFAE5D22C74, "enemy_hvt_bodyguard_vehicle_think" },
    { 0x63F057771A59AB9D, "enemy_hvt_boss_watcher" },
    { 0x54EC80893F6098D7, "enemy_hvt_got_away_fail" },
    { 0xD9E39682FB2A4E63, "enemy_hvt_mover_vertical_offset" },
    { 0x168FACBC116729B3, "enemy_hvt_start_to_get_away" },
    { 0xF2A7C820A3297355, "enemy_hvt_vehicle" },
    { 0x7B6F7E3FBA3718D2, "enemy_hvt_vehicle_damage_monitor" },
    { 0x59290BB6026E7BE1, "enemy_hvt_vehicle_damage_state" },
    { 0x0886550E98BF1610, "enemy_hvt_vehicle_explodes" },
    { 0x50C693246742AA7B, "enemy_hvt_vehicle_should_speed_up" },
    { 0xAD6C765A5C1F1D13, "enemy_individual_spawn" },
    { 0xF5A7FF96ADA7A80C, "enemy_info" },
    { 0x11A60306E5003983, "enemy_info_table" },
    { 0xD2B02473DF2AEB0D, "enemy_is_a_threat" },
    { 0xE852A97B156C3181, "enemy_is_visible" },
    { 0xB130C0D38606604E, "enemy_killed_thread" },
    { 0x81229FBFCF18197B, "enemy_last_scripted_vo" },
    { 0xE9E4309AFCF62423, "enemy_lbravo_flyby" },
    { 0x00D5795C425CA06C, "enemy_left_monitor" },
    { 0xD5073DDAD48E8538, "enemy_list" },
    { 0xA31CD170F734FBEC, "enemy_magic_bullet_shield" },
    { 0x85F45F2FF0F9D29C, "enemy_mine_damaged_think" },
    { 0x54C942CC5925BDA2, "enemy_mine_proximity_think" },
    { 0x4319F624E5283CC3, "enemy_mines_init" },
    { 0xA8875645021567D3, "enemy_model_setup" },
    { 0x8DBA65B6F1848E50, "enemy_molotov_launch" },
    { 0x2D5663A48CDF7106, "enemy_monitor" },
    { 0x861BB0AD080EC3CF, "enemy_monitor_death" },
    { 0x5625D57B94CCDE51, "enemy_monitor_func" },
    { 0x39DE693BF64253C2, "enemy_monitor_reload" },
    { 0x062B86D06E6D1AFA, "enemy_monitor_trialending" },
    { 0xA987E27442194E0D, "enemy_mortar" },
    { 0xB68D5ECD12B93AE5, "enemy_mortar_animations" },
    { 0xEA3EBF92B728FCF3, "enemy_mortar_end" },
    { 0xFC4E8EDB22A3C87E, "enemy_mortar_house_mortar_guy" },
    { 0x3BED4D22480255E1, "enemy_mortar_launch" },
    { 0xCA08DCFBEA7534B1, "enemy_mortar_strike_exists" },
    { 0x2D81D1C01FCAF1FA, "enemy_mortar_think" },
    { 0xD799ACEB328CBF1B, "enemy_move_and_cover" },
    { 0xCC193B122C6D4AC4, "enemy_move_to_exposed" },
    { 0x886B582E16F2D9B8, "enemy_move_up_and_ignore" },
    { 0x60F0C2B216BF34DF, "enemy_notify_range" },
    { 0x79D9DD1533B13FD1, "enemy_odin_assault_exists" },
    { 0x0B9D6984D7758494, "enemy_push_players_logic" },
    { 0x0EF7415DBCAB5E9B, "enemy_radio_vo" },
    { 0x11E7FF927D3E21E0, "enemy_respawn_manager" },
    { 0xD2A544C4B66EFBE7, "enemy_right_monitor" },
    { 0xE60977B5D354052E, "enemy_rushdown_player" },
    { 0xFEF9EEFAFBF66AAF, "enemy_sentry_debug" },
    { 0x70805992268186AA, "enemy_shoot_buddy_down_door" },
    { 0x41ECA806D7C30B02, "enemy_sight_increased" },
    { 0xE9438C4BB1D61DDF, "enemy_sight_trace" },
    { 0xE6D3B9056EB5B790, "enemy_sight_trace_passed" },
    { 0xDD42828DA2010C3D, "enemy_sight_trace_process" },
    { 0xF7C795DC09C90401, "enemy_sight_trace_request" },
    { 0x466DD163E5606BE0, "enemy_sighted" },
    { 0xABA2F35AD603BDE3, "enemy_sighted_lost" },
    { 0x7C72E140D2ECAEB3, "enemy_signal_flare" },
    { 0x782FDA9F36ACC19C, "enemy_sniper_player_monitor" },
    { 0xE1659381020C8EC1, "enemy_soldier_think" },
    { 0xA03418D8D836DEFF, "enemy_spawn" },
    { 0x464184D8F3912E41, "enemy_spawn_influence_dist_sq" },
    { 0x902D57A3BB941096, "enemy_spawn_logic" },
    { 0xA04FDE733B709B63, "enemy_spawner_checkdist" },
    { 0xD3D5177479092E25, "enemy_spawner_umike_think" },
    { 0x92610441E968F18F, "enemy_spawner_vehicle_spawned_monitor" },
    { 0x5A0FFF078D09ACA4, "enemy_spawner_vehicle_think" },
    { 0xE5F7D8D561B32D60, "enemy_spawner_vehicles" },
    { 0x36D2BDAD36A91445, "enemy_spawners" },
    { 0xBCC2C282E9E37D7E, "enemy_spawnnewscrambler" },
    { 0x72EED6AACE1FD0AF, "enemy_suicide_truck_think" },
    { 0x0FFA3AE75DBE3B2B, "enemy_switchblade_exists" },
    { 0x516A29264F137679, "enemy_tanks" },
    { 0x6A616A6C38B03539, "enemy_target" },
    { 0xA4725600AB8531BE, "enemy_targets" },
    { 0x1B2344DAECD2C7E9, "enemy_targets_headshot" },
    { 0xC4AACCA3962F0FA9, "enemy_team" },
    { 0x3B394B9D7933CA89, "enemy_team_name" },
    { 0x2E32CC04DF662D27, "enemy_test_trig" },
    { 0x9FE0294E136BECF8, "enemy_think" },
    { 0x1AA923D5D39799AC, "enemy_traversal_management" },
    { 0xFF1A3DD5F28C724E, "enemy_turn_off_lantern" },
    { 0x1C0586E6EC144BDC, "enemy_turret_fire_think" },
    { 0xC62AA258C711EA83, "enemy_turret_player_monitor" },
    { 0x3FF4A3ED08BEDF93, "enemy_turret_players_connect_monitor" },
    { 0x598BC304C8C6F7C6, "enemy_turret_should_keep_firing" },
    { 0xAFCBAC6B55B56CBB, "enemy_turrets" },
    { 0x54FBC830EAEF1625, "enemy_validate_node_proximity" },
    { 0x16C79D1031139F79, "enemy_vehicle_damage_monitor" },
    { 0x00E758C7A9F76087, "enemy_vehicle_explodes" },
    { 0x808A1A0526320940, "enemy_vehicle_no_rider_monitor" },
    { 0x92D5F3C11BFAB7AE, "enemy_vehicle_setup" },
    { 0x1EF2E5611A5C5909, "enemy_vehicles" },
    { 0x73B7ECB1DF1203F2, "enemy_visible" },
    { 0x813DB917421197A9, "enemy_vo_wave_1" },
    { 0x0EF11AAACED99283, "enemy_volume_changer" },
    { 0x9CC7732844B2ED0C, "enemy_waittill_seen" },
    { 0x003A9E24E953DF38, "enemy_watcher" },
    { 0x99C35879D09457FB, "enemyactionsref" },
    { 0x50EA8BB187337586, "enemyaveragedist" },
    { 0x90F54E116A92DE1B, "enemybasekillreveal" },
    { 0x6A1CC3220C2113E4, "enemybasekillstreakwatcher" },
    { 0x5BA4D7FABA4F2978, "enemybasescore" },
    { 0x7A50D24CB18FB252, "enemybasetriggerwatcher" },
    { 0xC04B75CD3B96AA12, "enemybasewatcher" },
    { 0x782C6EEC54A4C515, "enemybodymodels" },
    { 0x676B298C5B6FD2ED, "enemybrush" },
    { 0x85E98A92AF13FAF1, "enemyclass" },
    { 0x3FDA944AE14BC841, "enemydistcheck" },
    { 0x335BF2E52748828A, "enemyendtimes" },
    { 0xFC2BF059FF6A10DC, "enemyfiring" },
    { 0xD28298C75A9984BE, "enemyflashed" },
    { 0x29D9CABD78A86F39, "enemygunship_attackgoal" },
    { 0x8751A2DE8FD48A9F, "enemygunship_firerounds" },
    { 0xDCAFEEF41C14929B, "enemygunship_getfiretime" },
    { 0x535F45FFD954C559, "enemygunship_getnearbytargets" },
    { 0xEE5F3A5C62804C71, "enemygunship_getshotgoal" },
    { 0x7603C072F5424BB7, "enemygunship_handlemissiledetection" },
    { 0x7488E4710A679ABB, "enemygunship_spawngunship" },
    { 0x89459A804A3C9124, "enemygunship_updatedebugflashlight" },
    { 0x140F5EF33FB122BC, "enemygunship_watchdamage" },
    { 0xDDA701B47A4D115B, "enemygunship_watchdebuglocation" },
    { 0x9AEBCC5BC7DC91E2, "enemygunship_watchexfilsequencestart" },
    { 0xB3707C6DF623837E, "enemygunship_watchplanedistance" },
    { 0x60E7FEACB6D2E215, "enemygunship_watchtargets" },
    { 0x1B6A688343B6E6BF, "enemygunship_watchweaponimpact" },
    { 0x438A77BCCD1554D0, "enemyhasauav" },
    { 0xEC89ABE3EF9B2CD6, "enemyhascuav" },
    { 0x92B1158C46A3BE77, "enemyhasuavkill" },
    { 0xBFE5B0D354C4D7FB, "enemyheadmodels" },
    { 0x6B22C7E7BBDC1A23, "enemyids" },
    { 0x3020721DB47BEE51, "enemyincrosshairs" },
    { 0x01F08DC8F3565F7D, "enemyinfotabledata" },
    { 0xA5689769EC8DEAA4, "enemyinlowcover_init" },
    { 0xFD17576E43C093A9, "enemyinlowcover_terminate" },
    { 0xE5CEDE4297EF1307, "enemyinlowcover_update" },
    { 0xFC44076BD03E2B8D, "enemyisapproaching" },
    { 0xF0193DD0C1E923E4, "enemyishiding" },
    { 0x01B0D023BE300F19, "enemyisingeneraldirection" },
    { 0xCE803D8AF4A9D07E, "enemykilled" },
    { 0x99D76F9A147EE70D, "enemymarker" },
    { 0xE5AB1803332FAC0C, "enemymodel" },
    { 0xE0F1EC6C3D699E48, "enemynearbylistener" },
    { 0x95914429CEB496FC, "enemynearplayer" },
    { 0x49347698C57B3509, "enemyobjid" },
    { 0xCF4F35AA1F02F4ED, "enemyonuse" },
    { 0xB70675EB956BEFC4, "enemyoutlineinfos" },
    { 0x0E7149D2B7911A38, "enemypulsebrush" },
    { 0xD105808999AD16E6, "enemyselector" },
    { 0x6F128397D993F8EA, "enemyspawners" },
    { 0xF4CA5D89F55D38A5, "enemyspawninfluencedistsq" },
    { 0x8DA423B5376FE869, "enemystartpos" },
    { 0xBCE72A0C6DAEA82B, "enemytargetmarkergroup" },
    { 0xAE364E40E0AE12F3, "enemytargets" },
    { 0xA33E778804AE622E, "enemyteam" },
    { 0x3F51516C0F3154F3, "enemyteamid" },
    { 0x1362658B206B6151, "enemytrigger" },
    { 0x5650683B82D1F328, "enemyvelocity" },
    { 0x48886862760344D0, "enemywasmeleed" },
    { 0x8F941562D38F65DB, "enemyzonebrushes" },
    { 0xE4D57E3B6126FB5E, "energy_getenergy" },
    { 0xA945DFC5D12785B8, "energy_getmax" },
    { 0x737ACF5761C35DA6, "energy_getrestorerate" },
    { 0x69E49C7F4BAE2BD1, "energy_getresttimems" },
    { 0x9F1C55BA6E254583, "energy_getuserate" },
    { 0x42D95463E2266752, "energy_setenergy" },
    { 0x78340E6D82B1A99C, "energy_setmax" },
    { 0x434CE91D23123192, "energy_setrestorerate" },
    { 0xD02FE3EE2F008115, "energy_setresttimems" },
    { 0x97B96A504ABFAE6F, "energy_setuserate" },
    { 0x1DB58FD7F505582C, "enforceantiboosting" },
    { 0x96F285060430621D, "enforcer" },
    { 0x716BF6B04EA900E1, "enforcer_ads_anims" },
    { 0x419E76F2A6E3D44F, "enforcer_backroom_shot" },
    { 0xFB7DC3C461DD7285, "enforcer_blindfire" },
    { 0xEAEC17DC6836B5AB, "enforcer_chair_swap" },
    { 0x4F03E75945024019, "enforcer_death_fail" },
    { 0x31445C1206E98053, "enforcer_grenade_throw" },
    { 0xC071B020FB684008, "enforcer_ground_impact" },
    { 0xD356AAE517791D06, "enforcer_hurt_nag" },
    { 0xC34EB9956F36C4CB, "enforcer_los_handler" },
    { 0x22D4AE66D2C974FC, "enforcer_monitor_health_handler" },
    { 0x8E239B625D62A1E2, "enforcer_pistol_fire" },
    { 0xC39F0F6F6B4CA457, "enforcer_play_additive_anim" },
    { 0x81DBA709CAE28220, "enforcer_react_death" },
    { 0xCF4D4E6C49D2D522, "enforcer_reset_fake_health" },
    { 0x4C12F99C34BB0FC1, "enforcer_safe_run" },
    { 0xD96460973FFD0C24, "enforcer_set_low_fake_health" },
    { 0x045BB129ECFA159D, "enforcer_van_hit" },
    { 0x77416029984CE012, "enforcer_window_break" },
    { 0x89EB68FECD4E6A84, "enforceranimnode" },
    { 0x982B414D624FB532, "enforcerchair" },
    { 0x4A25495A88069AA2, "enforcerdeathack" },
    { 0xBD10FC98E8B76063, "enforcerson" },
    { 0x1B38ABF22123CF84, "enforcerwife" },
    { 0x375B5EEC5C24A70B, "engage_target_circle_strafe" },
    { 0xB04B5111EAF18DDE, "engage_target_from_pos" },
    { 0x2BABF2657433C889, "engage_target_think" },
    { 0xF3B60987AB2A2FE0, "engagedradius" },
    { 0x1E4ECE62427C25D4, "engagemaxdist" },
    { 0x9B15337EC19A32FE, "engagemaxfalloffdist" },
    { 0xA3CB80B3A25484D9, "engagementcount" },
    { 0x6C357965B442D42B, "engagementstarttime" },
    { 0xE26882A6EB2F7013, "engagementtime" },
    { 0x1B47B51739542320, "engagementtimes" },
    { 0xFD8E263B8AAFD78A, "engagemindist" },
    { 0xC659120E7A273CD0, "engageminfalloffdist" },
    { 0xA2C1BD57E17092BD, "engageprimarytarget" },
    { 0x70861D8ACDD3F495, "engagesecondarytarget" },
    { 0xD3B6B147C8221F31, "engine_audio_active" },
    { 0xB38D169F5FEBEF4E, "engine_fx" },
    { 0x799842EA863CC7FC, "enginebanksfxtag" },
    { 0x1E30D3A3F7536D60, "engineblock" },
    { 0x334DD511665A8574, "engineer_enablemarksafterprematch" },
    { 0xD76498EBDFCE8BEE, "engineerdrone_earthquake" },
    { 0x9060ADD35EE6DF11, "enginefx_effort_scale" },
    { 0x9E28E1324C26F352, "enginesfxtag" },
    { 0x06589C3BD9097FAB, "enginevfxtag" },
    { 0x42769E28299A68C0, "engstructks" },
    { 0x97749E7F075FBD4C, "enhanced_vision" },
    { 0xC5A667CAFBCB2909, "enqueuecorpsetablefunc" },
    { 0x8555F0C25209A2FF, "enqueueweapononkillcorpsetablefuncs" },
    { 0x93378DF2D3CC73FE, "ensure_players_are_near" },
    { 0xC32DCB03CA2A9366, "ent" },
    { 0xFA48813D879AF7BD, "ent_cleanup" },
    { 0x52E74EC16EC0C49C, "ent_createheadicon" },
    { 0x341852C02059B18F, "ent_delete_by_targetname" },
    { 0xFBDBF93E1AABC937, "ent_deleteheadicon" },
    { 0x2503E97B95D78407, "ent_draw_axis" },
    { 0x1FD03FDC86CE1C0E, "ent_facing_away_from_mypos" },
    { 0xAAB9B5F27576B8D5, "ent_flag" },
    { 0xDF0FB28321A2BDF4, "ent_flag_assert" },
    { 0xD593FF23EBCF30AF, "ent_flag_clear" },
    { 0x5233601DF71B26BE, "ent_flag_clear_delayed" },
    { 0xD233C832671AB051, "ent_flag_exist" },
    { 0x6309CF658F1EC1A4, "ent_flag_init" },
    { 0xC7E968BA31A42626, "ent_flag_set" },
    { 0xE9588CCCCB75BDEB, "ent_flag_set_delayed" },
    { 0x12A06D187253CD33, "ent_flag_wait" },
    { 0xDFB4C871B9226F25, "ent_flag_wait_either" },
    { 0xB1AD1CAF86BFA665, "ent_flag_wait_or_timeout" },
    { 0x4B5628FBBB356191, "ent_flag_wait_vehicle_node" },
    { 0xA83A983056D3899F, "ent_flag_waitopen" },
    { 0x1D9AC012CDB57AA9, "ent_flag_waitopen_either" },
    { 0x3713A6971F701220, "ent_flags_lock" },
    { 0xA87E1BF40BACF891, "ent_is_highlighted" },
    { 0x2D42711660152F39, "ent_is_near_equipment" },
    { 0x38BBA7CC1C034389, "ent_is_selected" },
    { 0x33CFC7E59CD572F8, "ent_model" },
    { 0x9E96CFD9F8BE495B, "ent_wait_for_flag_or_time_elapses" },
    { 0xF190F398D3565A60, "ent_waits_for_trigger" },
    { 0x095F408F78068ACF, "entbudget" },
    { 0x6E6E967EAAF4A3E6, "entbudgetused" },
    { 0x0DB9DFF209BF6876, "entcleanup" },
    { 0x37023568D6BEA555, "entcount" },
    { 0xDCB414EE52714D1B, "entdeletefunc" },
    { 0x31ECE116701BF7EF, "enter_3f_vo" },
    { 0x181E564AC4F7A318, "enter_alert" },
    { 0x7FAA06B23A026551, "enter_bleed_out" },
    { 0x73DA670C5DD6D5D3, "enter_camera_zoomout" },
    { 0xE84E14D97D0A9FAB, "enter_casual" },
    { 0x41829F83455E5625, "enter_change_loadout" },
    { 0x0E954D946873D276, "enter_combat" },
    { 0x5C2E7C4970050B34, "enter_combat_after_call" },
    { 0x45DF2D639B8BBD74, "enter_combat_after_call_internal" },
    { 0xCA0FB8088F7620A7, "enter_combat_after_go_to_node" },
    { 0xC46A2D915D75079B, "enter_combat_after_stealth" },
    { 0x60414F55750B5E74, "enter_combat_callback" },
    { 0xEB50B67A028A51E5, "enter_combat_flag" },
    { 0x0B03AD5B948C030B, "enter_combat_maze_ai" },
    { 0x41440C00B89739C7, "enter_combat_space" },
    { 0xCE9D25008351D159, "enter_current_stealth_state" },
    { 0x8F9B1C78C2C94419, "enter_demeanor_green_beam" },
    { 0xCFAC4B3F0E0C5E19, "enter_demeanor_normal" },
    { 0x784512A546DEDF49, "enter_demeanor_relaxed" },
    { 0x83D703EA066CB887, "enter_demeanor_safe" },
    { 0x99B02C71855AC608, "enter_execution_sequence" },
    { 0x7FA8857B99DB2095, "enter_gamemodespecificaction" },
    { 0x4E3B362FE3C525C4, "enter_globaldefaultaction" },
    { 0x3D3C45B8B4096560, "enter_globaldefaultaction_getcurrentweapon" },
    { 0x59978A768F048665, "enter_grenadier_seat" },
    { 0x0D568EEBF8B215B3, "enter_gunner_seat" },
    { 0xACABDD940A7DD606, "enter_hacked_cam" },
    { 0x14B5EDD54EF143D8, "enter_hacked_cam_model" },
    { 0x3742649532EE8F34, "enter_hood_repair" },
    { 0x1FBE3D3589B66768, "enter_laser_panel_anim_sequence" },
    { 0x8F13B43073D48C12, "enter_laststand" },
    { 0xAC7C6176A4BD0C5E, "enter_launcher" },
    { 0xB1E3DA10A6AA56B5, "enter_left_back_seat" },
    { 0xFE07EC712E258D0D, "enter_maze_ai_combat" },
    { 0x07AE968D8C9EC30C, "enter_mine_drone" },
    { 0xC8AEBC74A6E00664, "enter_mine_drone_left" },
    { 0x83E5C67075A06AB1, "enter_mine_drone_right" },
    { 0xB34E4BA3A851DE51, "enter_missile_defense" },
    { 0xD22C799A5BE333EF, "enter_missile_defense_control" },
    { 0x46258BD83E7B76E7, "enter_missile_defense_left" },
    { 0xAEA2C99C62A6C798, "enter_missile_defense_right" },
    { 0xA3DAC6D30F31A5C3, "enter_missile_defense_view" },
    { 0x7FC330DD4C3D55B5, "enter_missile_defense_vision_set" },
    { 0x07CEFD892E4D19D3, "enter_numbers_debug_start" },
    { 0x0C446A2CC5D7628E, "enter_numbers_end" },
    { 0x15F7775C0FB04617, "enter_numbers_init" },
    { 0x7BB883647F56D82B, "enter_numbers_start" },
    { 0x8D5DCBDFAAAF2F93, "enter_overwatch" },
    { 0x4045FB760014FC39, "enter_overwatch_control" },
    { 0x1CD61C893EF72D77, "enter_overwatch_vision_set" },
    { 0xE940CD3FC560A746, "enter_passenger_seat" },
    { 0xB7CD329B1EDEAF80, "enter_ragdoll_focus_camera" },
    { 0x6C85A223B7DD1441, "enter_reaper" },
    { 0x465311998471D2FF, "enter_reaper_control" },
    { 0xAF238A03A0FC87B7, "enter_reaper_left" },
    { 0xCEFB7C3B4F1D83A8, "enter_reaper_right" },
    { 0x7505C219E2B43A73, "enter_reaper_view" },
    { 0x26BA3BDB39DDF6E1, "enter_refill_ammo" },
    { 0x44E2E5C422C9B857, "enter_repair" },
    { 0x5EFF9C8FE0332CB0, "enter_retrieve_hostage" },
    { 0x4ABAAD0EC5E82946, "enter_revive_use_hold_think" },
    { 0x697A7B9CF940910E, "enter_right_back_seat" },
    { 0xB9331C7969A9E30F, "enter_seat" },
    { 0x3ACD307FD2C8BE67, "enter_seat_omnvar" },
    { 0xDA20006A42638A09, "enter_seat_omnvar_internal" },
    { 0x334089DABBDF5BFD, "enter_spawn_queue" },
    { 0x0814C023EA065591, "enter_spectate" },
    { 0x7248FC877DB4EA12, "enter_spectator_func" },
    { 0xA5247CA68034C0F6, "enter_stealth_state_func" },
    { 0x9EF23B366A78E030, "enter_through_3f_balcony_vo" },
    { 0xF6DC7B29F83F49A8, "enter_trap_door_vo" },
    { 0xEEC0AAB769CD5E26, "enter_vehicle" },
    { 0x2EAF56710C01B3DF, "enter_vent_hint" },
    { 0xE98CEE211C1DCAF9, "enterattackheli" },
    { 0xDBB71EF87294B413, "entercallbacks" },
    { 0x767670E1C52F0CA9, "entercodenumber" },
    { 0x4D59363586C22A51, "entered_combat" },
    { 0xEA3260F8BAB80D64, "entered_foyer_timer" },
    { 0x852724C9F7F0947F, "entered_playspace" },
    { 0x4CEB8B0EBB562CA9, "entered_vehicle_notify" },
    { 0x22A50763101847E7, "enteredcamera" },
    { 0x57B5218079D0905B, "enteredroom" },
    { 0x7E3F96A69364D318, "enteredvehicle" },
    { 0xAB4120E92E283E29, "enterendcallback" },
    { 0xBCB0FD7E2BB20633, "enterexitvehiclemotionwarp" },
    { 0x60220CCEB3CFA68B, "entergulag" },
    { 0x2060555921202372, "entergulagwait" },
    { 0x6A0D4424EC2F02A5, "enterpos" },
    { 0xC3F6229BD2017B71, "enterprone" },
    { 0x3B60F3C5C459D248, "enterpronewrapper" },
    { 0x219612735B0A5270, "enterpronewrapperproc" },
    { 0xB58CED39944A033E, "enterspectator" },
    { 0x12A50ACBE50A6478, "enterspectatorfunc" },
    { 0xB6AB48853D92F67C, "enterstartcallback" },
    { 0xCB11286465D6AB60, "enterstartcomplete" },
    { 0xFF9297867712E96F, "enterstartwaitmsg" },
    { 0xFADD309C3ACAD305, "enterstealthstate" },
    { 0x394C42E1533DA9F3, "entervehicle" },
    { 0xDDEDC7F7EA5227FB, "entervehicle_terminate" },
    { 0x44565E4EBB94147F, "entinfos" },
    { 0x00B615804C135CEC, "entinfrontarc" },
    { 0xEF850005ABDE8111, "entisalivevehicle" },
    { 0xA6C3892CF0F10626, "entisvehicle" },
    { 0xF36DA2642FC849FE, "entities" },
    { 0x300BF596C2749075, "entities_are_selected" },
    { 0x6D1C5154813635F6, "entity" },
    { 0x9DBFF72FF1B7517A, "entity_count" },
    { 0x12B4391025863727, "entity_count_delta" },
    { 0x79616A39BD9FA46C, "entity_count_hud" },
    { 0x9B130BD01A37DD85, "entity_getbehindentitydistance" },
    { 0x55316BC8161F78BD, "entity_getbehindforwarddistance" },
    { 0xE1F3084D7E8075C0, "entity_getlateralentitydistance" },
    { 0x23A6017991A7F75C, "entity_getnextclosestgoalinpath" },
    { 0x349EAAF46B864D11, "entity_handle_notetrack" },
    { 0xC12BCE5D7B07DCE2, "entity_highlight_disable" },
    { 0x5CFBA73E59E10E89, "entity_highlight_enable" },
    { 0xEA58C8884114F6F5, "entity_init" },
    { 0xF2CF0915909ABBEF, "entity_is_approved" },
    { 0x0CF6298D1C9E4CD7, "entity_isbehindentitydistance" },
    { 0x3ED2899F83E5AC31, "entity_isbesideentitydistance" },
    { 0x9FFCB4D9C933AF56, "entity_movingplatform_update" },
    { 0xD99DB838E8CAD52A, "entity_number" },
    { 0x275B261675E709CA, "entity_used" },
    { 0xE10DFDA30D1A6727, "entityhasmark" },
    { 0x03424CB5EA5DA461, "entityheadicon" },
    { 0xD040AF08742BB81E, "entityheadiconoffset" },
    { 0x8872C6126BEFD396, "entityheadicons" },
    { 0x031BDBA7439D2E00, "entityheadiconteam" },
    { 0xE0908EC928EC44A7, "entityhit" },
    { 0x0741C080BC0DD6FF, "entityhittype" },
    { 0x42A125C1EBD35870, "entitylerpovertime" },
    { 0xD5AF6BB7EE08F206, "entitylookingat" },
    { 0x0BEF480330D02537, "entitymarkfilteredin" },
    { 0x64CD920497C82D5C, "entitymarkfilteredout" },
    { 0xA97E9C1A9A10CCC9, "entitymarkfilterindistance" },
    { 0xD43DA3B201BF58C3, "entitynumber" },
    { 0x696F1127BB505B31, "entityoutlines" },
    { 0x54399B3CEADF6DB8, "entityplunderbankalldeposited" },
    { 0xA248DEFF93AA254B, "entityplunderlosealldeposited" },
    { 0xBD24605877DDE3B0, "entlockedonto" },
    { 0xA9C2878A11696ACE, "entmantling" },
    { 0x1FE402C88136F5DD, "entmantlingcrate" },
    { 0xEC6C24C081409C02, "entmantlingendtime" },
    { 0xD9AC678C8A5742D6, "entmarked" },
    { 0x0AFF46543A8DFAEE, "entnum" },
    { 0x0678336B9B343273, "entnumber" },
    { 0xD5BD33CDD46E9E35, "entoutlineid" },
    { 0x32534AF172C76819, "entowner" },
    { 0x136D71AC833397FD, "entrance_add_fov_scale_factor_override" },
    { 0xEA125F780FC1C4CE, "entrance_blindfire_vignette" },
    { 0x66938F5653AFA6F5, "entrance_indices" },
    { 0xBD42583211042CF4, "entrance_is_fully_repaired" },
    { 0x86DA4784AA73817C, "entrance_origin_points" },
    { 0x51F4172F71B3D9F7, "entrance_points" },
    { 0xC1665D116025AF78, "entrance_points_finished_caching" },
    { 0x9E223D9A0F072F71, "entrance_to_enemy_zone" },
    { 0xE2A2893A240E3603, "entrance_visible_from" },
    { 0xE4EB8086A9DD9D81, "entrance_watched_by_ally" },
    { 0x0A977FB3CEF81F06, "entrance_watched_by_player" },
    { 0xA4B5354DABADF857, "entries" },
    { 0x4D40534D33281508, "entry_open" },
    { 0x68488E559BA1772F, "ents" },
    { 0x110B8B48A81AF4ED, "ents_to_clean_up" },
    { 0xF8EF4DE67EBFB320, "entscurrent" },
    { 0xDBAE4B5CB30426BF, "entsinside" },
    { 0x8DF29837F50290F5, "entsound" },
    { 0x1885D13239B6CBB7, "entstotal" },
    { 0xE178CBBC23462A6A, "entstouching" },
    { 0xE612E43E079694B9, "enttargetjoint" },
    { 0x9633913C8BA76BF3, "environment_listener" },
    { 0x0F17AF44AFA78C6D, "eog_player_tracking_init" },
    { 0x03DF7E41AE03470C, "eog_player_update_pvpve_downs" },
    { 0x0661BFE1D822649D, "eog_player_update_stat" },
    { 0x27717BAAC96CD5A0, "eog_score_components" },
    { 0x5CE8324FFFEABB5B, "eog_setup_track_items" },
    { 0xBE6676BF3D17080A, "eog_to_lb_playerdata_mapping" },
    { 0x00A3122011BD2EBD, "eog_update_on_player_disconnect" },
    { 0xB1D26301D64CEA90, "eogscoreboard" },
    { 0x10F943C8ADC2460D, "eogscoringtable" },
    { 0xAB06DF4D183C6D30, "eogscoringtotalpoints" },
    { 0x40090DC04AEAB5C7, "eogtracking" },
    { 0xC332C103CA30A63F, "eol" },
    { 0xD758377F20D6BE38, "eomawardplayerxp" },
    { 0x518849FE3A3DE888, "eomcamerapullout" },
    { 0x1F2159BCFD15D4B6, "eomcombatwaitforhitmarkersanddelaystartpostgameui" },
    { 0x385F96E4D39576A4, "ephemeral_downgrade" },
    { 0x229BF387E2C9E6AC, "ephemeralweapon" },
    { 0x12D2A8555D91337C, "epic" },
    { 0x7979C7B3DFEF5966, "epic_scripted_fx" },
    { 0x8B0C56D5C6332F10, "epictauntlistener" },
    { 0xCE204078F5722A77, "eq" },
    { 0x7D03523DA68D5A71, "eqforclient" },
    { 0x098271B65B4214B1, "equal_to_goal" },
    { 0xD0A8220C7D9EDEDD, "equals_any" },
    { 0x5F1E481F6B16BD8F, "equip_armor" },
    { 0xAE97038B80E5C651, "equip_deploy_failed" },
    { 0x4F61CE85FF9C26F1, "equip_deploy_succeeded" },
    { 0xAB87E994E60BB0FD, "equip_helmet" },
    { 0x7C3266914304443E, "equip_random_grenade" },
    { 0xE92903531ABF005A, "equip_trophies" },
    { 0x0ECF995EB775FB58, "equipextras" },
    { 0xB4F2A6DCA47B3AC8, "equipgasmask" },
    { 0x71D346C2456E1344, "equipgasmaskbr" },
    { 0x456B44D87BC41031, "equipkillstreak" },
    { 0x135E2FD5369F00DB, "equipment" },
    { 0x28FC985719505EDD, "equipment_enabled" },
    { 0xCBDB62D0BB87C4DE, "equipment_init" },
    { 0x0182BA8B2D92C30F, "equipment_nags" },
    { 0xF7D522D0A1248B8D, "equipmentdeathvfx" },
    { 0xABC779CAD05F6024, "equipmentdeletevfx" },
    { 0x7A8AADBE064575A2, "equipmentdestroyed" },
    { 0x40A39C5620EEBA29, "equipmentempstunvfx" },
    { 0x1B97D03A211A755C, "equipmenthit" },
    { 0x7F82D938495F2D60, "equipmentinteract_init" },
    { 0x99C74E2466ABDE86, "equipmentisrestricted" },
    { 0xE768BFA9DE169CED, "equipmentmatchstartshieldms" },
    { 0xCEC5F42C394E3E51, "equipmentpingactive" },
    { 0x8AB43839B6F79784, "equipmentref" },
    { 0x15E2517228063801, "equipmentscriptableused" },
    { 0xD7499DC54E97DFFA, "equipmentslothasroom" },
    { 0xD3752839EC6003BA, "equipmentuse" },
    { 0x93866936E4785EAF, "equipmentusedbyslot" },
    { 0x8C495DB9E822AC9D, "equipmentwatchuse" },
    { 0xE30EBAC3360DDD14, "equipname" },
    { 0x46634043F3ED65CA, "equiponplayerdamaged" },
    { 0xC0FA2238FB0B164F, "equiponplayerspawned" },
    { 0xF483E6FAF8CA1BF9, "equippedweapons" },
    { 0xE9E807523DD4F435, "equipping_lastpingtime" },
    { 0xD300110787B609C7, "equipprimarypickup" },
    { 0x07722736BC3DBA9B, "equipsecondarypickup" },
    { 0x8419B71BD5845A0B, "equipslotonekillstreak" },
    { 0x4B56891281E6657B, "equipslotthreekillstreak" },
    { 0xADCF1AEDD1E6122D, "equipslottwokillstreak" },
    { 0xDFFD2CBCECDED6CF, "equiptype" },
    { 0x8F47FA30B4454A82, "erasefinalkillcam" },
    { 0xFADDECEE70CE9C35, "error" },
    { 0x30DEB4FB49E467C9, "error_print" },
    { 0x17B112719EEA4083, "errormessagebitflipper" },
    { 0x92EEB34EB23141C3, "esc_com_aq" },
    { 0x3EA07B8FC696FEE0, "esc_com_aq_alley_health_drop" },
    { 0x88824E5595ED9E3E, "esc_com_aq_alley_start" },
    { 0x922A3D26679F4037, "esc_com_aq_courtyard" },
    { 0x0CA32D4B968DB388, "esc_com_aq_courtyard_exit" },
    { 0x3843851DA6072E41, "esc_com_aq_garage_courtyard" },
    { 0x6C823C857C0185F8, "esc_com_aq_handler" },
    { 0x372D6CCD7DF73F57, "esc_com_enemy_vo" },
    { 0xEC0AF1B3AA0CFD6B, "esc_com_farah" },
    { 0xA5BB8C650946BE06, "esc_com_keycard" },
    { 0xDA6AF982515DB106, "esc_com_price" },
    { 0x8267C8FCD81B1451, "esc_com_stacy" },
    { 0x9353D14EB2A0650E, "esc_com_vo" },
    { 0x18BBDAB4D90FA666, "esc_embassy_fallen_vo" },
    { 0x7B283DFAF2F4FE5C, "esc_garage_vo" },
    { 0x1C9EDAF08F153291, "esc_lootinfo" },
    { 0xC6F11D8C2D930C76, "escalate_grounds" },
    { 0x848CE34747D9667F, "escalate_grounds_to_alert" },
    { 0x94BA68B508436C4E, "escalate_grounds_to_hunt" },
    { 0x8940EF3C1E862F12, "escalate_grounds_with_func" },
    { 0xF4A7D0BE014A6057, "escalation_counter" },
    { 0x1BBA94F362634C31, "escalation_level" },
    { 0x224D473C95D68999, "escalation_level_clamp" },
    { 0x02FC6D3628B7F40A, "escalation_patroller_combat_filter" },
    { 0x25E20CAFA580B3C9, "escalation_patroller_init" },
    { 0x5838101E8CC2BC11, "escalation_patroller_investigate_think" },
    { 0xBBB64EE01D7E3FDB, "escalation_patrollers" },
    { 0xDF7AA73C6E4D94E3, "escalation_patrollers_callout_think" },
    { 0x0C7C895D32890198, "escalation_patrollers_interrupt_think" },
    { 0x3D400468336E4FFA, "escalation_state" },
    { 0x2F699A7357627E0F, "escape_animatedsceneslogic" },
    { 0xAEBAD9579B585859, "escape_barkovspeakerlogic" },
    { 0x5338C4569346E3A6, "escape_binary_sequence" },
    { 0xEF31D39F4E75D655, "escape_bullyciviliandamagelogic" },
    { 0x5E67D0A7C08799CE, "escape_bullycivilianexitlogic" },
    { 0x5B2CBCC79BC5B50E, "escape_bullydamageanimationcleanup" },
    { 0xE41205D928DF9BF4, "escape_bullyenemyknifefxlogic" },
    { 0xF485DA620D5BFD0D, "escape_bullyidledialoguelogic" },
    { 0xC8D119FEC72AEE97, "escape_bullyidlelogic" },
    { 0x5235CD876A02A0F0, "escape_bullymeleeallowcleanup" },
    { 0x28448A977D4DA633, "escape_bullymeleeanimationeffectslogic" },
    { 0xFE97229E8924B4A7, "escape_bullymeleeanimationlogic" },
    { 0x27F749D5A64E2C28, "escape_bullymeleehintlogic" },
    { 0x2EB932F3E9D1BDBE, "escape_bullymeleeplayeranimationlogic" },
    { 0xE891CA9E1DF7747A, "escape_bullymeleeplayerenemyanimationlogic" },
    { 0xB3739BE5E75494B7, "escape_bullyscenelogic" },
    { 0x12D197E7DE0DF23F, "escape_catchup" },
    { 0xFCDD424686AFFD3B, "escape_cinderblockdrophintlogic" },
    { 0x5D2869106187DECC, "escape_cine_dof" },
    { 0xA613259E58CC32E9, "escape_cinematictelevisionstandbylogic" },
    { 0x857FA020C7EFAADA, "escape_civilianbuilderalertedlogic" },
    { 0xE155971BD6742815, "escape_civilianbuilderlogic" },
    { 0xB3B6E250A9AA5226, "escape_color_trig_think" },
    { 0xAF5449629FF70C32, "escape_combat_catchup" },
    { 0x064518C365D8B6CD, "escape_combat_main" },
    { 0x1390C4FEB1A0025C, "escape_combat_start" },
    { 0xCF916D0531500757, "escape_demeanor_think" },
    { 0xD0E198E9C28E88F5, "escape_dialogue" },
    { 0xF93AE4A6136D9667, "escape_dialoguefindguardlogic" },
    { 0xD95408B4A2F23590, "escape_enter_to_idle" },
    { 0xE04B302BE4C93C13, "escape_exteriorenemylogic" },
    { 0x6985D6562C2F6C48, "escape_exteriorholsterdialoguelogic" },
    { 0xC9A80F65D72880BD, "escape_exteriorlogic" },
    { 0xDC2D250CA3B76709, "escape_farahexitlogic" },
    { 0x00820E862C366E1C, "escape_farahmeleesceneaanimationlogic" },
    { 0x94D90E75CAA919C6, "escape_farahmeleesceneadoorlogic" },
    { 0x591C54FD097951FC, "escape_farahmeleesceneaendguardlogic" },
    { 0xEDA9FACE1C8B27C8, "escape_farahmeleesceneaenemyanimationlogic" },
    { 0x7765767AB3FF82A9, "escape_farahmeleesceneaenemydamagelogic" },
    { 0x4509C77433469F6D, "escape_farahmeleesceneaenemydieearlylogic" },
    { 0xBEECC5D6323BB8D6, "escape_farahmeleescenealogic" },
    { 0xAA4113FD1791E98B, "escape_farahmeleescenebendguardlogic" },
    { 0x9A5B1C1DFE146E7F, "escape_farahmeleescenebenemydeathlogic" },
    { 0xDF87F571A2AD3385, "escape_farahmeleesceneblogic" },
    { 0x37AF2E2528A75A9B, "escape_farahmeleescenedoorinteractlogic" },
    { 0x71C068DB1E16F94D, "escape_farahmeleescenelogic" },
    { 0x0933E29F78DDF5F8, "escape_garage_exit_door" },
    { 0xC65776C1EDB8212C, "escape_garage_keycard" },
    { 0x7869777DD2E36E6A, "escape_getcinderblockanimations" },
    { 0x81FF8EBB289A70E9, "escape_getescapeanimationstruct" },
    { 0xB587E880F6C4C72D, "escape_getexitdoor" },
    { 0x389A5BBF7B629DC3, "escape_getexitdoorclip" },
    { 0xC7B6105F1392480B, "escape_getfarahdoor" },
    { 0x3BB0AEA4FAF221AD, "escape_getfarahdoorclip" },
    { 0x1D9D271369752E43, "escape_goal_hint_trigger" },
    { 0x3B10DBD3063A59DE, "escape_guardsalertedfarahlogic" },
    { 0x09F5FB931249CF6F, "escape_heli" },
    { 0xD4B9884A1ECD4296, "escape_heli_spawn_func" },
    { 0x18B8B4AAAC27581D, "escape_idle_nags" },
    { 0x9B3CEED2C62FB5ED, "escape_if_player_is_in_hangar" },
    { 0x71DCEC3466A5A5EE, "escape_interaction_registration_func" },
    { 0x64B54D35F44061D3, "escape_interiorlogic" },
    { 0x2C7A13E2C1103F1E, "escape_intro_catchup" },
    { 0x438F57BF4737F8F1, "escape_intro_main" },
    { 0xFD91D1D6E71DAF2C, "escape_intro_scene" },
    { 0x67A62DD2A5946498, "escape_intro_start" },
    { 0x0F52C8D3A8E0BED2, "escape_kyle_third_person" },
    { 0xB896000CFABFC3F0, "escape_lerp_value_fill" },
    { 0x4620D8614907E503, "escape_lerp_value_rim" },
    { 0xA655401E5D06BD36, "escape_main" },
    { 0xD24ABE5EE00854A0, "escape_meleescenegetplayertrigger" },
    { 0xBC330D0191E401C8, "escape_nags" },
    { 0xE5A00A11BC63C691, "escape_now" },
    { 0xC95782A2A5F393D2, "escape_objective" },
    { 0x45A802A537CFD064, "escape_player_attack_think" },
    { 0x866F2AEAF3E08055, "escape_player_attack_wait" },
    { 0x0ADDA2E3B514288D, "escape_player_exposed" },
    { 0x9E6185F7FB17A89B, "escape_player_hidden" },
    { 0x2E1B94F7D6E3F781, "escape_price_crew_door" },
    { 0x9ECE3B28DEFAD9E7, "escape_rank_array" },
    { 0xA184EC229023DF07, "escape_scene_fadein" },
    { 0x0900F63B203A2EA8, "escape_setupexitdoor" },
    { 0x0602FF70D21D2010, "escape_setupfarahdoor" },
    { 0x2697776E226F646B, "escape_spawnbullycivilian" },
    { 0x9BDA22E8DF332D5E, "escape_spawnbullyenemy" },
    { 0x3B45A5C707870D3A, "escape_spawncivilianbuilder" },
    { 0x2F86BCD6978E46E6, "escape_spawnenemies" },
    { 0x520C6CB333036D1A, "escape_spawnfarahenemy" },
    { 0x0A9C5025A320DB7D, "escape_start" },
    { 0xFBB84118A4929E1F, "escape_start_fade_off_lighting" },
    { 0x54E8B8F868B25C39, "escape_start_fade_on_lighting" },
    { 0x576145FBBC37A91D, "escape_trig" },
    { 0x369D9A09C45960B4, "escape_trig_logic" },
    { 0x0CB03EA2BFDC8BAF, "escape_vo_init" },
    { 0x67B8A5F297E04100, "escape_waittillplayerholsteredlogic" },
    { 0xEDC639A21D1DD6CC, "escapepathpermutations" },
    { 0x24CC32C547F9B049, "escort" },
    { 0x9EBA90AA0086C699, "escort_a" },
    { 0x9EBA8DAA0086C000, "escort_b" },
    { 0xB37427A87DB098F6, "escort_containment" },
    { 0x3B618E5808F21259, "escort_disengage" },
    { 0x97A68D32C8EE50D2, "escort_drone_swap" },
    { 0xEC420AA16B84118D, "escort_engage" },
    { 0x5F2974B65D4247A8, "escort_friendly_ai_riders" },
    { 0x3D577EE5E85961DB, "escort_gesture_rumble" },
    { 0xD486F1C62238A683, "escort_hvi" },
    { 0xA0A060CC3DBF6E70, "escort_hvi_damage_monitor" },
    { 0x719E51DB73C5D928, "escort_init" },
    { 0x330009E606F88DD2, "escort_intro_pre_anim_wait" },
    { 0x2476359A8AF82055, "escort_monitors" },
    { 0x76B3F0A71F3147E8, "escort_phase_init" },
    { 0x48797AAD7A47A2EC, "escort_suit_toggle" },
    { 0x7ED9511C24534F0E, "escort_vehicle_push_clip" },
    { 0x9DE2D6593E4F9D6A, "escort_vehicle_push_volume" },
    { 0x65E190C68CDEB26D, "escort_vip" },
    { 0x52CC8CB69DC035E7, "escort_vip_to_chopper" },
    { 0xF0FB4106529938FA, "escortdrones" },
    { 0x750F7BCF3C609019, "escortheli" },
    { 0x132886AFE576CB7F, "escortidle" },
    { 0x82B665B2BF40AABC, "escortlookatoffset" },
    { 0x3E693BB86308CD9C, "escortphase" },
    { 0xD050FC7D736ECCA0, "escortspawners" },
    { 0x8C18593065B78F99, "escorttargetanimnode" },
    { 0x62360A698438F066, "escorttargetdrone" },
    { 0x99D7DEA7B975C83D, "escorttargets" },
    { 0x830825DCDC2FA2A1, "estate" },
    { 0xD056CFF3F1CE4791, "estate_escape_flags" },
    { 0xE6378E8619C71E13, "estate_escape_precache" },
    { 0xB41EC00C55357195, "estate_flags" },
    { 0xF28312EB30E20E3E, "estate_gl_endtag_delay_music_change" },
    { 0x8885DC5EB1882C6E, "estate_grounds_flags" },
    { 0x3027882FDFCE1B4A, "estate_grounds_precache" },
    { 0x036A17820901ADA8, "estate_infil_flags" },
    { 0x9463BE49C621D1C0, "estate_infil_precache" },
    { 0x68578CC53D263D64, "estate_intro" },
    { 0x7E449AA5B7F13E87, "estate_objectives_create" },
    { 0x7B930F004C7006E2, "estate_objectives_reveal" },
    { 0xB79A46D6E1006227, "estate_precache" },
    { 0x9CEDA098DA26E877, "estate_rappel_catchup" },
    { 0xBFA09C248813B7FE, "estate_rappel_main" },
    { 0x0FEA538D88A46E25, "estate_rappel_start" },
    { 0x083E686BDAC20323, "estate_starts" },
    { 0xD2648151F25E6AAA, "estimatedtimetillscorelimit" },
    { 0x1612F610F9216A85, "etarget" },
    { 0x82947C99D74765C7, "evac_hvt" },
    { 0xB067A49BD4BD0DAB, "evac_pilot" },
    { 0x58C3D17FF890EAFF, "evade_animate_door" },
    { 0x13D1B08315301AE3, "evade_autosave_in_cafe" },
    { 0xDF7552368209B1DC, "evade_cafe_molotov_handler" },
    { 0x40C9AA4F6AD7A637, "evade_catchup" },
    { 0xA9E9C763AEE517FB, "evade_enforcer_escape_goal" },
    { 0x8C7504539CF3399C, "evade_enforcer_exit_door_bash" },
    { 0x6963ED94984D8D18, "evade_enforcer_handler" },
    { 0xCCA44D358FD2F9BE, "evade_main" },
    { 0x70A0D64E280EBE88, "evade_molotov_throw" },
    { 0xD70AAADB43D6B6CC, "evade_player_extra_fire_damage" },
    { 0x64204B199D413D02, "evade_player_gesture" },
    { 0x36FE47CBFFB009E3, "evade_player_kill" },
    { 0x4ED10C68944BEF9D, "evade_player_stray_fail" },
    { 0xA0DB81783E1440D9, "evade_police_assault" },
    { 0xB2C47D7D55BF6310, "evade_police_assault_extra" },
    { 0xB1AC0FE848B911F0, "evade_police_driveby_handler" },
    { 0x0295F03A18C0E750, "evade_police_enter_anim" },
    { 0xB6D58599CDF1C5BE, "evade_police_handler" },
    { 0xB0E6CB5A9940F7F2, "evade_police_runby" },
    { 0xF3D57670E335CC37, "evade_police_runby_exit" },
    { 0x664091C4FA943436, "evade_police_runby_retreat" },
    { 0x79A8D1FB52D16375, "evade_police_window_shooter" },
    { 0x395D7CAA73215483, "evade_price_handler" },
    { 0xD6B4DBFF530C4AEF, "evade_price_molotov_react_anim" },
    { 0x74720DA62FFC1852, "evade_price_shoot_at_ent" },
    { 0x2DB1F2278D3E312D, "evade_radius" },
    { 0x0D4F4322B786438E, "evade_spawn_flashbangs" },
    { 0xE815DE3437354300, "evade_sprinklers_triggered" },
    { 0xFB22E4927EB231E5, "evade_start" },
    { 0xD840E8AD827DF91C, "evade_start_targetname" },
    { 0x3AE39F489CF9D310, "evade_stp_main" },
    { 0xF7CA77622E2B0B45, "evade_window_shoot_at" },
    { 0xF5AB395548261C53, "eval" },
    { 0x77313AC8C80126F0, "evaluadeallaccolades" },
    { 0x479894E800C9D4C2, "evaluate_rules" },
    { 0x890276D633356B18, "evaluateaccolade" },
    { 0x97A563CAA9319F20, "evaluateallaccolades" },
    { 0xE2A316798D9AB74E, "evaluateattackevent" },
    { 0x4F2AD151A7CB9E27, "evaluatecontrolledcallback" },
    { 0xF31CFD58234D0803, "evaluatedemotion" },
    { 0x9603FECB467A9DB7, "evaluatefiringevent" },
    { 0x09B48756DC767DA9, "evaluatefobspawns" },
    { 0x5E0415E2D83B7D7B, "evaluatefrontline" },
    { 0x296825E9EDFC2AB0, "evaluatefunc" },
    { 0xADD7AED3EA8F6DCA, "evaluatemeleeevent" },
    { 0xEF268702D5C47F81, "evaluatemoveevent" },
    { 0x9DF71778CF48E472, "evaluateprecomputedlos" },
    { 0x69A6D18E383D6929, "evaluatereloadevent" },
    { 0x784BE3A2C1FED62B, "evaluatespawnforcameraselection" },
    { 0x8B33845BCB3790DF, "evaluatesquadspawn" },
    { 0x2815C5CD79D2E083, "evaluatesuppressionevent" },
    { 0x46FE4AD094165F08, "evaluatesyncedmelee" },
    { 0xEC024E8DA609D5BE, "evaluatesyncedmeleebyxanim" },
    { 0x3F702CED982FE89C, "evaluationcallback" },
    { 0xFF073F209B8DC2FF, "evalweaponscore" },
    { 0x760F294F21001A2A, "evasive_addpoint" },
    { 0x56DCBD34EF894E47, "evasive_createmaneuvers" },
    { 0xB999BE584B930198, "evasive_drawpoints" },
    { 0x077384DBD11E34F6, "evasive_endmaneuvers" },
    { 0x7E1EA19AD9DD4FF5, "evasive_getallpoints" },
    { 0xFBD596A187630866, "evasive_points" },
    { 0x4312CB6A89EDB04D, "evasive_startmaneuvers" },
    { 0x85849C6875811F5B, "evasive_think" },
    { 0x184689C0AC3F2BC0, "evasivemaneuvers" },
    { 0x31E0A58D7F56932B, "event" },
    { 0x2998D6281A570C2E, "event_active" },
    { 0x961C169DF5AAFFE3, "event_anyone_within_radius" },
    { 0x99D0EFEAE80423F9, "event_broadcast_axis" },
    { 0xAF168C300F0D4A2D, "event_broadcast_axis_by_sight" },
    { 0xB2C660227E18B0D2, "event_broadcast_axis_by_sight_thread" },
    { 0xA5A56B10055C16B1, "event_broadcast_axis_by_tacsight" },
    { 0xDC9142DD8E52ACB5, "event_broadcast_generic" },
    { 0xCCC8C68F332E332E, "event_can_pickup_hvt" },
    { 0x1364A723CC5383AC, "event_change" },
    { 0x664B1C060ED948A4, "event_director" },
    { 0x713B3AD888A2D66E, "event_entity_core_set_enabled" },
    { 0x1975BE80504735B1, "event_escalation" },
    { 0x55E22930E57820F3, "event_escalation_clear" },
    { 0x59EF5EEE22A390E1, "event_escalation_count" },
    { 0x9DC0640CC9B9E726, "event_escalation_get" },
    { 0xFBA4268ACA7E519A, "event_escalation_scalar" },
    { 0x563AED018231E359, "event_escalation_scalar_get" },
    { 0xE852AC3B53CE236B, "event_escalation_scalars" },
    { 0x5309E5A777F5FAE0, "event_escalation_to_combat" },
    { 0xAC57340269DC5BCF, "event_escalation_to_combat_get" },
    { 0xAAF2084712CF917D, "event_handler_should_ignore" },
    { 0xE67BBE4D4C7D2F21, "event_handler_translate_severity" },
    { 0xF1018CB6853C0F19, "event_heli_type" },
    { 0x33DA3293AA48A1DC, "event_init_entity" },
    { 0xAA3218F57E967193, "event_init_level" },
    { 0x195FA90573CA5D4D, "event_listener_thread" },
    { 0xA230AA0DE9F79BA9, "event_override_controlling_robot" },
    { 0x93437FDF49CC14AE, "event_override_disguise" },
    { 0x4D5D3B52B4AF0184, "event_priority" },
    { 0xF851408B4E0C5D23, "event_severity" },
    { 0x7B5A236417FC0DD3, "event_severity_compare" },
    { 0xB1F0747CE42DF3D0, "event_severity_get" },
    { 0x07B0847D228F1928, "event_severity_min" },
    { 0x0295887C632CDE5C, "event_severity_set" },
    { 0x441921B66C5F1000, "event_severity_shift" },
    { 0x08E50725505EDD6A, "event_table_ref" },
    { 0xD84FDDD0F35D7D56, "event_to_stop" },
    { 0x285F93A5667CA1FB, "event_update_internal" },
    { 0xB6E355210C8CA969, "eventaction" },
    { 0xDF91716DA082099A, "eventactionminwait" },
    { 0xA980410E5CF92174, "eventcallback" },
    { 0xAF8429A36B4834BB, "eventchance" },
    { 0x6E061D4A175CB5B3, "eventdata" },
    { 0x321A07D2559C4DEF, "eventduration" },
    { 0xFE660418DB4764E5, "eventflag" },
    { 0x2949317610FEFF26, "eventid" },
    { 0xF803E4602C7F3E90, "eventname" },
    { 0x9D677ED39013FF93, "eventpriority" },
    { 0x18CEE5A85591EE54, "eventref" },
    { 0x079F6E2F0B660A88, "events" },
    { 0x681CFEC439590F51, "events_issliding" },
    { 0x12605F1C847E5FF3, "events_monitorslideupdate" },
    { 0x5589B93BC201A880, "eventsplashesthink" },
    { 0xC0B26FCC596B9BD3, "eventsslideendtime" },
    { 0x73901641BFC7962E, "eventstring" },
    { 0x63380E824ED52F21, "eventswassliding" },
    { 0x2A9DF15BA5A2D8ED, "eventtable" },
    { 0xF147FA2562ABB318, "eventtable_getscore" },
    { 0x3243CEF5BF449844, "eventtable_isaddonevent" },
    { 0xBB4545E8B9D0B7F6, "eventtable_isevent" },
    { 0xD7F63C06818AF558, "eventtotals" },
    { 0x5EDF4ABB60DD7033, "eventtype" },
    { 0x3ADA68B691494580, "eventtypeminwait" },
    { 0xE99D8C06446395A8, "eventvalue" },
    { 0xCE1954C8A431FF85, "everhadarmor" },
    { 0x780D074C36CB7AA9, "everusessecondaryweapon" },
    { 0xD58E6F30D76EA74D, "everyone_else_all_in_laststand" },
    { 0x1F4FE1EDE79775E5, "exceededmaxhelipilots" },
    { 0xE2682C554910B11D, "exceededmaxhelperdrones" },
    { 0x79657EE15979723A, "exceededmaxlittlebirds" },
    { 0x9E3CFDC2649D3311, "exceededmaxremoteuavs" },
    { 0x668328014A1CC002, "exception" },
    { 0xD2D03BA11D2F5906, "exclude_interaction" },
    { 0xDC1753D47E988954, "exclude_ladder_centerline" },
    { 0xB2A76EC389B82E9F, "exclude_mantle_on" },
    { 0xC604AB52BD52D2FC, "exclude_mantle_over" },
    { 0xFE3C70F8D9958884, "exclude_me" },
    { 0x14F42A6325870C1F, "exclude_mount" },
    { 0x047B9DA96BB963C7, "excludedattachments" },
    { 0xBE2C3B01A1B5130E, "excludedfromrandompool" },
    { 0x3585C4FA79F65E04, "excludedir" },
    { 0x72C6893DAA2B662A, "excludedpatrolpoints" },
    { 0xE130EF87D49054B3, "excludedplayers" },
    { 0xC03CF0D03F60025B, "excludedteams" },
    { 0xBC0D51E81F9D801F, "exclusionmax" },
    { 0xBBEA3FE81F7710D1, "exclusionmin" },
    { 0xC39F44D43A95F0A7, "exclusive" },
    { 0x9EF8619C940120D9, "exclusiveclaim" },
    { 0x18CD3F99829DD869, "exclusiveinventory" },
    { 0x4C99A29C0834DC0E, "exclusiveuse" },
    { 0xC1A89F1AD1E99909, "exec_call" },
    { 0x6D6CE1EB5154FD2B, "exec_call_noself" },
    { 0xF37EA7D6B89D9787, "exec_func" },
    { 0xD1A1259EE8761404, "execute_combat_action" },
    { 0xD64438EE5991859E, "execute_entities" },
    { 0x71BB2D16BA8F1F26, "execute_transition" },
    { 0x3F4E4814AEAFC59B, "execute_use_hold_think" },
    { 0x842666C64AAF516C, "executeclasschange" },
    { 0x0818CAFDAFD31AD0, "executed" },
    { 0xC9E2F5E8191CEED9, "executeent" },
    { 0xF148077DCCCB3542, "executeent_use_think" },
    { 0x196056652C8E1006, "executehover" },
    { 0x67E9B6E88C611456, "executehvt" },
    { 0xE935DB386F09AC54, "executeoffhandfired" },
    { 0x156ECB10C1036D43, "executewiretapsweeps" },
    { 0xF2B946E92CC1F707, "executing" },
    { 0xF2BD1FE92CC59719, "execution" },
    { 0x837A667941742918, "execution_anim_node" },
    { 0x2D858B2684DD8DD4, "execution_blockladders" },
    { 0x4AE88ABDC19DDF0B, "execution_civs_array" },
    { 0x386C446FE9398FD5, "execution_debug" },
    { 0xF8CCDDF21951FF26, "execution_getexecutionbyref" },
    { 0xFC8C3F31C0AA5C8F, "execution_getidbyref" },
    { 0xE8692DEF9F602083, "execution_getpropweaponbyref" },
    { 0x8A854A27C183F803, "execution_getrefbyplayer" },
    { 0x3ED656365450B018, "execution_init" },
    { 0xB1FA07F957D66F5E, "execution_loadtable" },
    { 0x49A33F429506971A, "execution_mp_init" },
    { 0x61F50E98BF0CC973, "execution_obstacle" },
    { 0xD267350F74D749E2, "execution_scene" },
    { 0xB68A1A5E2C835A74, "execution_scene_end" },
    { 0xEB52205A1BB13774, "execution_skip_monitor" },
    { 0xEE0147B0F505DED9, "executioncashmultiplier" },
    { 0xC6133F8AC8A96DDE, "executionquip" },
    { 0xEC12AA310567358E, "executionref" },
    { 0xCEF2CDEA8E67B11E, "executionscharge" },
    { 0x9A1B1203D8E5585B, "exfil" },
    { 0x6074158C05D2E36D, "exfil_clear_objective" },
    { 0xFD1CCAEFA0DADA2B, "exfil_delay" },
    { 0xC63E06A25B7EB028, "exfil_enemy_spawning" },
    { 0xABA16089D723DF04, "exfil_heli" },
    { 0x5DC3847540EEB3A8, "exfil_heli_landing" },
    { 0xAEB1AB28B88B29F5, "exfil_helpers" },
    { 0xBB760D6C295F81AB, "exfil_hopoff_think" },
    { 0xA1E66B81EF3AFFE7, "exfil_morales" },
    { 0xB3D145CBD31CF4BF, "exfil_objective" },
    { 0x26623332FA508AEA, "exfil_pilot" },
    { 0x89FA72961E4A64D6, "exfil_players" },
    { 0xA0E9700DAED5E477, "exfil_players_on_rescue_fail" },
    { 0xF123A91DCD0D9579, "exfil_regroup_spot" },
    { 0x93F72FD6F24F6A9F, "exfil_retreat" },
    { 0xFE94576B1F959071, "exfil_sequence" },
    { 0xE007E4185673C5B6, "exfil_smoke_vfx" },
    { 0x39B4B89931063E0F, "exfil_spawn_anim_model" },
    { 0xDE4370193FA94653, "exfil_spawners_triggered" },
    { 0x6C5A563DAEFD0E49, "exfil_spawnfunc" },
    { 0x8F6E86EF98B2E22C, "exfil_spawning_logic" },
    { 0x60472FB4AC21B1E7, "exfil_speed" },
    { 0x10F98C42C283E288, "exfil_spots_objs_settings" },
    { 0x27E7ABEB20CF577D, "exfil_struct" },
    { 0x89DC463AAFB35160, "exfil_use_think" },
    { 0xE09258D3DB99FD75, "exfilactive" },
    { 0x490919114B079372, "exfilactivetimer" },
    { 0x4C38D7FA72E4AE4E, "exfilactorloop" },
    { 0xE3237D5346BBDAC2, "exfilactorloopthink" },
    { 0xF056D708E07D582D, "exfilactorthinkanim" },
    { 0xEDD5FF837ADE21CF, "exfilactorthinkpath" },
    { 0x07D4B9751B29A0A6, "exfilallyturning" },
    { 0xAF2E47AFEFC984B6, "exfilchopper" },
    { 0xB2420711081EDBD9, "exfilextracttimer" },
    { 0xA84896B1BA51CA89, "exfilgoalent" },
    { 0x8D3FA25FBBD72528, "exfilgoaltrigger" },
    { 0x302C0524DB7EF905, "exfilinit" },
    { 0xBA90EF8DAE944768, "exfill_chopper_dialogue" },
    { 0x789F001DC2BC9FC2, "exfill_vehicle" },
    { 0x90A02E2D69EB5C6F, "exfilleavesequence" },
    { 0xC90AA2D14C067F4E, "exfilnotactive" },
    { 0xA682BCCB7C046CCD, "exfilobjid" },
    { 0x893491E063D30E04, "exfilpilotactorthink" },
    { 0x51B279FC6B5CBD17, "exfilspace" },
    { 0xFB43C72FA3BF8A90, "exfilstarted" },
    { 0xA7C87EE30AE1C502, "exfilstruct" },
    { 0x1F356089494AB6FB, "exfilusetriggerused" },
    { 0xCB122CD2A04611E4, "exhaust_fx" },
    { 0x57889F2C913BEC0C, "existinarray" },
    { 0x2635900944DEABB1, "existingkills" },
    { 0xF7AF9382081238F2, "exists_global_spawn_function" },
    { 0x5A52DD79404B43F8, "exit_alert" },
    { 0x939A32AE003E70D3, "exit_anim" },
    { 0xC219F09DF3822C7D, "exit_bed_remove_fov_user_scale" },
    { 0xDE985C00070E1B65, "exit_breach_area" },
    { 0x3266E38B1C97695C, "exit_breach_door" },
    { 0x63CA264BA7532DD2, "exit_button" },
    { 0x214D7AC2875BA073, "exit_camera_zoomout" },
    { 0xB27CF1F6484ADC0B, "exit_casual" },
    { 0xC4297A38B49723C5, "exit_change_loadout" },
    { 0xE818134CC3217DD6, "exit_combat" },
    { 0x32ABF4EB9FA58439, "exit_current_stealth_state" },
    { 0x8B6494A6AA481FB9, "exit_demeanor_normal" },
    { 0x0865E18C7C715A69, "exit_demeanor_relaxed" },
    { 0x884A91420B09A527, "exit_demeanor_safe" },
    { 0x069CE5FB5ED20BD2, "exit_done" },
    { 0xC49E5EC48C8871FD, "exit_driver_role" },
    { 0x977B338688C2BE3C, "exit_drone" },
    { 0xCCF299C068F53BA8, "exit_execution_sequence" },
    { 0x9CA7BCDE8E38F557, "exit_finish_time" },
    { 0x4DF5551097C17AF5, "exit_gamemodespecificaction" },
    { 0x3321994499EA06A4, "exit_globaldefaultaction" },
    { 0xE65C7DAD9F10C785, "exit_grenadier_seat" },
    { 0x09520F3270F68563, "exit_guard" },
    { 0xD2FCC866835FD6D3, "exit_gunner_seat" },
    { 0xA237670B66F2D654, "exit_hood_repair" },
    { 0xF530F54E074F2008, "exit_laser_panel_anim_sequence" },
    { 0x356190B6D28EC5A0, "exit_last_finish_time" },
    { 0xA4ECE143A80C30F2, "exit_laststand" },
    { 0xAC304B46F2F0F065, "exit_laststand_func" },
    { 0x0A6A451AD61C5493, "exit_laststand_usability" },
    { 0xC157D4FF5385D0BE, "exit_launcher" },
    { 0x059AC9772C4DCD15, "exit_left_back_seat" },
    { 0x0DF375A0D7936C28, "exit_level" },
    { 0xB51E880F9C7AD1B4, "exit_map" },
    { 0x90B16B54F51AF1ED, "exit_menu" },
    { 0xC4925870603EC02C, "exit_mine_drone" },
    { 0x3D75BB8CCC204671, "exit_missile_defense" },
    { 0xA622705511BC4023, "exit_missile_defense_view" },
    { 0x9682068E5370E3D5, "exit_missile_defense_vision_set" },
    { 0x5461E5114701D486, "exit_node" },
    { 0xD9FAE125B812F652, "exit_open" },
    { 0xAA139152D7EDBC73, "exit_overwatch" },
    { 0xFA907B2A19B281D9, "exit_overwatch_control" },
    { 0x5145502510A4C357, "exit_overwatch_vision_set" },
    { 0x2D0AF9213AB455A8, "exit_parts" },
    { 0x562BA53484361066, "exit_passenger_seat" },
    { 0x47C35CCCD26277EA, "exit_patrol_mode" },
    { 0xC7D63E77607C999D, "exit_points" },
    { 0xDFB5A8EEA1407AE0, "exit_ragdoll_focus_camera" },
    { 0x36B47F40831D50A1, "exit_reaper" },
    { 0x9BAC9663D5D8AB13, "exit_reaper_view" },
    { 0x0F11C2E0EE09F4B7, "exit_repair" },
    { 0xEB9641A8A978FF50, "exit_retrieve_hostage" },
    { 0x77DC81AC1460546E, "exit_right_back_seat" },
    { 0xDC91ADFA5B13C96F, "exit_seat" },
    { 0x9C4C997B4339D44A, "exit_seat_but_stay_in_vehicle" },
    { 0x4A9E824EA684E1CD, "exit_seat_but_stay_on_seat" },
    { 0xCB16415AB7F2A107, "exit_seat_omnvar" },
    { 0x9E7D36D49915E4AD, "exit_speed" },
    { 0x120EC7A8F0914CD6, "exit_stealth_state_func" },
    { 0xB2B07099BFC3CF00, "exit_use_func" },
    { 0x519290FFC5168706, "exit_vehicle" },
    { 0xE929A909657A3C68, "exit_vehicle_when_exit_seat" },
    { 0xDEB97824FCCBB7A2, "exitandcleanup" },
    { 0x5BE0658A4CC09EDC, "exitangle" },
    { 0xCF1DFE26CB9CFADD, "exitangles" },
    { 0x3AFBE93B5F980A11, "exitboundinginfo" },
    { 0x861EF5ED6CA25AB3, "exitcallbacks" },
    { 0xCFFA6651B20C904F, "exitdirections" },
    { 0x0E93B0AB7C936403, "exitdriver" },
    { 0x87E3F1632E1F04A9, "exited_suv" },
    { 0x0385E71369A22AB8, "exitedvehicle" },
    { 0xF8891153C99C54C9, "exitendcallback" },
    { 0xCA896DAAE3ECA2AA, "exitextents" },
    { 0x248AA659458C8244, "exitfallbackoffset" },
    { 0x8995B89152EA8A69, "exitfallbackoffsetinverted" },
    { 0xCAF85416C1127F75, "exitids" },
    { 0xCCE313179C09CA00, "exitignorelistcallback" },
    { 0xCADE6016C0F670CF, "exiting" },
    { 0x09F74A27D21C88CA, "exiting_waittill_pickup_players" },
    { 0x9180E478C2D7F899, "exitingafterlifearcade" },
    { 0xB227B12377606C75, "exitingvehicle" },
    { 0x0EA96C5C77417FAB, "exitinteract" },
    { 0x5708FBBAEC69F8F9, "exitlevel" },
    { 0x801AAB6D36B96E26, "exitmenu" },
    { 0xA3F1B9236992A887, "exitoffsets" },
    { 0x365BDC08B83E60B6, "exitposition" },
    { 0xCA65AC2D312ED13F, "exitpositions" },
    { 0xF8B18BEC5778C611, "exitprone" },
    { 0xF662309CBCC8C368, "exitpronewrapper" },
    { 0x098FCCA394218890, "exitpronewrapperproc" },
    { 0x2C8E83C133698487, "exitsfailed" },
    { 0x3F333ECA18E79275, "exitspeedtarget" },
    { 0x723DA9B1AE6AFC1C, "exitstartcallback" },
    { 0x7DA86C8A7FED4300, "exitstartcomplete" },
    { 0x05A905716B647462, "exitstate" },
    { 0xD72B096F2DEB4163, "exitstates" },
    { 0x1A384C09E3B6F925, "exitstealthstate" },
    { 0xB6196515F5AB5F47, "exittag" },
    { 0x535324FB4957AE74, "exittopcastoffset" },
    { 0xCADC994A4AAA5459, "exittype" },
    { 0x9819E0B4B6C69893, "exitvehicle" },
    { 0x26458CD93666BA74, "exitvehicle_oldturnrate" },
    { 0x8D294E207490E7DB, "exitvehicle_terminate" },
    { 0xCDFF136C488DE92E, "exitvehicleanimindex" },
    { 0xF0B877989A6254C2, "exitvehicledelay" },
    { 0xA47F956CBE82415D, "exitvehiclerequested" },
    { 0xF8BFB56257A1DB71, "exitvehiclewatchpath" },
    { 0x068C9879EA0CE8FA, "exitvent" },
    { 0xC2F0DB03C9E845D4, "exp" },
    { 0x9F2396C67A1C8B34, "exp_touch" },
    { 0x71D5B1ED97495A27, "exp_trig" },
    { 0x07CED897D4F7B24F, "expand_goalradius" },
    { 0xE1F433B5B26EE7CE, "expandmaxs" },
    { 0x6F01E3B55E948DFC, "expandmins" },
    { 0x11056C06D169FA7F, "expandspawnpointbounds" },
    { 0xBC6410E88D06B7A4, "expected_card" },
    { 0xBE36940983C6818E, "expectedstate" },
    { 0xCD23EE998115F8E5, "expirationtimer" },
    { 0xD644F3197535DE4A, "expire_time" },
    { 0x43B48D0EE637A96B, "expiredbydeath" },
    { 0x7D6EF4C28BEEC352, "expiredlootleaderenabled" },
    { 0x97C9082F28B685E6, "expiredlootleaderinstance" },
    { 0x11FA4E82472F876D, "expiredlootleadermarks" },
    { 0x79A47CD984D7713E, "expiredlootleaders" },
    { 0x9FF1646A4D0E6597, "expiretime" },
    { 0x4001BF29F058694E, "expl_dmg_monitor" },
    { 0x8BD5F7644F0687EB, "exploboltexplode" },
    { 0x4D58DAAF7F159662, "explode" },
    { 0x2629E8BB34D88334, "explode1available" },
    { 0x46A48511D632DE7B, "explode2available" },
    { 0xB3D2031B0D9B23B1, "explode_fx" },
    { 0x6ECC18F2CC0411B7, "explode_results" },
    { 0x0D4137D6917A7E46, "explode_tarmac_scriptables" },
    { 0x5EF4D6DCE20F5DA5, "explode_tarmac_scriptables_by_trigger" },
    { 0x2FFEF5F47C78EF32, "exploded" },
    { 0xA24E5518CD09F8BF, "explodeent" },
    { 0x84A893A1F6251494, "explodeonexpire" },
    { 0x2FFEFFF47C790530, "exploder" },
    { 0x149B1B29478F1442, "exploder_after_load" },
    { 0xF7D873E0E44B8B1B, "exploder_before_load" },
    { 0x6349E6E9FF960728, "exploder_damage" },
    { 0x4C35A60836601AC0, "exploder_delay" },
    { 0x43201D6BE5C0E918, "exploder_earthquake" },
    { 0xDCBAE4126FE68CEB, "exploder_fade" },
    { 0xA0F0EFDCF5401381, "exploder_flag_wait" },
    { 0x21F393C6BC925593, "exploder_is_chunk" },
    { 0x3CE60C991054A89B, "exploder_is_damaged_model" },
    { 0xF7794628EF05B281, "exploder_load" },
    { 0x9C53774F5337695E, "exploder_name" },
    { 0x3AC0F2692F49126A, "exploder_playsound" },
    { 0x9BEF8285AC21824A, "exploder_ref" },
    { 0x6908E8EDA36486EC, "exploder_rumble" },
    { 0xEC9B0ED4442B293C, "exploder_sound" },
    { 0x9DE0284B9CE673FD, "exploder_starts_hidden" },
    { 0xAA56503C2E2F2BD8, "exploderfunction" },
    { 0x4466080A1940AD0C, "exploderindex" },
    { 0x06D229ADBE269259, "exploders" },
    { 0x5ECB7819572A41A2, "explodevfx" },
    { 0x4293C1ADEA95CA45, "exploding" },
    { 0xF2CE89C455518C4F, "exploding_barrel_death" },
    { 0x842A70F4E3C0D115, "exploimpactmod" },
    { 0x791829D095D0846E, "explore_dof" },
    { 0x19D7CA9E8CACB67C, "explosion" },
    { 0x9CB41D0BCE029368, "explosion_and_fire_sounds" },
    { 0xD19EE68C766D5111, "explosion_death" },
    { 0x5D901FF709E00DFD, "explosion_death_offset" },
    { 0xDBB3B5012D4F842B, "explosion_death_ragdollfraction" },
    { 0xF361662F796166E3, "explosion_flicker" },
    { 0x6D8747C70FD5A4BD, "explosion_gethellcannonstructs" },
    { 0xCEFF2B5C00D04EAA, "explosion_gethellcannontargetstructs" },
    { 0xA44C7C9D09761867, "explosion_init" },
    { 0x4BC760D0A95A4B8D, "explosion_monitor" },
    { 0xB9B541159F82EA85, "explosionspots" },
    { 0x1972A19E8C3D7B00, "explosive" },
    { 0x587CBBEE471763C9, "explosive_barrel" },
    { 0xB1B507065870520E, "explosive_barrels" },
    { 0xE6E93DDBE7732A45, "explosive_bulletshielded" },
    { 0x7A4B8BD0A6440740, "explosive_canisters_init" },
    { 0x23C13D4F923762BE, "explosive_cars" },
    { 0x3408E080209873BD, "explosive_damage_scalar" },
    { 0x760078021DD984F6, "explosive_kills" },
    { 0x8F3FB8B25F531897, "explosive_up_func" },
    { 0x68F3C85D79699AFF, "explosivedamagemod" },
    { 0xA0FB051F353528E0, "explosivehandlemovers" },
    { 0x4261EB4E4246187C, "explosiveinfo" },
    { 0x8DF11B0E5E58294C, "explosivemodoverride" },
    { 0x6FE257C8F6A67BC4, "explosiveplanttime" },
    { 0x25A47C2B11F5C87C, "explosivetrigger" },
    { 0xA1AF246AEE349F67, "explozone" },
    { 0x5280D5CD3C949BB2, "exponent" },
    { 0xD08ED518FCBA8687, "export" },
    { 0x5D08966C37933364, "exposed_node" },
    { 0x2D15E6FE38B95B95, "exposed_nodes" },
    { 0x2707A9996F5E5EFC, "exposed_shouldlookforbettercover" },
    { 0x081B322A7EBC56C9, "exposed_to_chopper_boss_time" },
    { 0xA9EC511A6B3051AC, "exposed_to_enemy_sniper_time" },
    { 0x499CBDD4F2270577, "exposed_to_enemy_turret_time" },
    { 0x806CD2AFDA9F18C3, "exposedduration" },
    { 0x29EC5E4BEF733EF8, "exposedtransition" },
    { 0x2D231D62860B6DAD, "exposure_monitor" },
    { 0xAEC1237E69B53EFB, "exposure_to_sniper_monitor" },
    { 0x477B21B4E36FDCE0, "extactioncancel" },
    { 0x4BB5DF1C2D076699, "extactioncomplete" },
    { 0x350A53924927CA4A, "extactionstart" },
    { 0xE7FBC10CF51F3A9D, "extendcirclelist" },
    { 0xB262DDF213C07E13, "extendtacopstimelimitms" },
    { 0xA0D44937548E1159, "exterior_allies_run_inside" },
    { 0x19152FA1437649B7, "exterior_aq_face_enemy_dist_override" },
    { 0x41EF10BD6DF3C942, "exterior_cascade" },
    { 0x7E069613FC847F83, "exterior_fight_catchup" },
    { 0xF1A09148C8B5AA7A, "exterior_fight_flags" },
    { 0x1ED4907B5D37FEF2, "exterior_fight_main" },
    { 0x01F03D7618999AB1, "exterior_fight_start" },
    { 0x4A90329F9DE71873, "exterior_fight_truck_reinforce_spawn_func" },
    { 0xF12C8AE4D1C11C52, "exterior_goal_func" },
    { 0xF19CB15164EA5CF9, "extinguisher_fx" },
    { 0x68D720BB22BE5C61, "extinguishonexplode" },
    { 0x66C53F046F7D905D, "extra" },
    { 0x1FD1C9B01F721138, "extra_autosave_checks" },
    { 0x0B8011ED1119B4D4, "extra_autosave_checks_failed" },
    { 0x21EEECF965CF119E, "extra_bomb_explode_vfx_func" },
    { 0x2B1DB7F44A0512A1, "extra_charge_func" },
    { 0x7ECD4C6DB563CFC6, "extra_collision" },
    { 0x35AFB542B347F609, "extra_delay" },
    { 0x2F0AECCB60627C30, "extra_drone_delay" },
    { 0xC6A0A20443254A0A, "extra_enemies" },
    { 0xC5C59205FC1C1884, "extra_glow_sticks_init" },
    { 0xDEEBA6BA3A18E45C, "extra_infil_time" },
    { 0xDDA7098A2BFA8DB7, "extra_location_trigger_mapping" },
    { 0xAE14C56BAE1B518C, "extra_patrol_triggers" },
    { 0x5453B42647A43B2A, "extra_riders_func" },
    { 0xD6E41A6034C307E0, "extra_riders_getin_anim_func" },
    { 0x403B611F426878DC, "extra_riders_intro_scene_func" },
    { 0x764320CC1E294E14, "extra_sas_guys" },
    { 0x0CB1E918FD68025B, "extra_street_alles_movement" },
    { 0x96547F5C8E982E75, "extra_street_alles_movement_internal" },
    { 0x0A0E4993877D9DED, "extra_vo" },
    { 0x0051D2630197F059, "extract_dialogue_played" },
    { 0xBF0515FAB90CA7F3, "extract_ismissionweapon" },
    { 0x69D69DEDA7613130, "extract_ontimerexpired" },
    { 0x90BD02FB6AE9C178, "extract_proximity" },
    { 0x2B19990478CD81D3, "extract_removemissionweapon" },
    { 0xC0561703973581A7, "extract_toggle_objective" },
    { 0xE1592BCFC5887CCD, "extractcallback" },
    { 0x4310700C3F1E05B1, "extractcountdown" },
    { 0x4208A06A742D99C6, "extractcountdownmsg" },
    { 0xC8AE5FF04231E93B, "extracted" },
    { 0x71383F6429D87349, "extractgroundpos" },
    { 0x13DEED7691FB7155, "extracthelipadusecallback" },
    { 0x43E84D5E20168327, "extracthelipadwatchforhelileaving" },
    { 0x1BADA8C141741D1A, "extracthideiconfromplayer" },
    { 0x2628B930FDC2AE3E, "extractindex" },
    { 0xDA375D6112F36316, "extracting" },
    { 0xFB19AD5E4A1D4044, "extractingplayers" },
    { 0x83E3999791FF3393, "extraction_active" },
    { 0x070C1784DE0196AA, "extraction_attachfultonballoontoescort" },
    { 0xB9D0C00EEFB34FAD, "extraction_balloon_num_completed" },
    { 0x8A78BBD1E70CE3AC, "extraction_balloon_total_plunder" },
    { 0x3602CB9191FB4718, "extraction_changeescortusefunction" },
    { 0x7EBE2D7E30A15E99, "extraction_checkescortradius" },
    { 0x2A73123EB080068C, "extraction_cooldown" },
    { 0x48A6363F8C36B529, "extraction_createescort" },
    { 0x021F4037F2E0CBF4, "extraction_dropbody" },
    { 0x38634F9959B55366, "extraction_encounterstart" },
    { 0xE1E8F20C0E027197, "extraction_escortthink" },
    { 0x2E7E3B5F3D71543B, "extraction_func" },
    { 0x7D6398423B89B5B6, "extraction_function_toggle" },
    { 0x51F1E6AD48078237, "extraction_helicoptor_num_completed" },
    { 0x3F99DB5F541B0B2E, "extraction_helicoptor_total_plunder" },
    { 0xC5151BAC41484F18, "extraction_in_progress" },
    { 0x846061A1BA38FA4A, "extraction_infil_player_rig" },
    { 0x1416F19ACFB9C22C, "extraction_playerpickupbody" },
    { 0xFA63C6ABA1459B35, "extraction_structs" },
    { 0xEAF4B28E5519C741, "extraction_uses" },
    { 0xC9A08C1DC9FDAEC3, "extraction_vehicle" },
    { 0x69C2D58338E72D10, "extraction_vehicles" },
    { 0x52CC23C418B23046, "extractionactive" },
    { 0x3F23FC741939AACB, "extractioncomplete" },
    { 0xF9742EA08473DA78, "extractioninfo" },
    { 0xF24C029434FE50D3, "extractionlocation" },
    { 0xDB7A4BF08B4B4FE0, "extractionlocations" },
    { 0x84DC6D0BD638365F, "extractionlocent" },
    { 0xD25961F8914D606D, "extractionmethod" },
    { 0x7AD6356FFBAB69EE, "extractionpos" },
    { 0xABB66DEECD1332A5, "extractionteam" },
    { 0xE7E209EEF9F77D85, "extractiontime" },
    { 0x82832130918AFC42, "extractionzone" },
    { 0x04DEBC6131E63A2C, "extractloc" },
    { 0xB0B49413C8A6A875, "extractlocale_checkiflocaleisavailable" },
    { 0x8A168E65C63C99CC, "extractlocale_circletick" },
    { 0x7477C722AA7E9673, "extractlocale_createquestlocale" },
    { 0x46385D73B43928B2, "extractlocale_islocaleavailable" },
    { 0x5A6512E38D620266, "extractlocale_onentergulag" },
    { 0x3F0F49574163B9E8, "extractlocale_onrespawn" },
    { 0x2FD8942B13B99EB8, "extractlocale_removelocaleinstance" },
    { 0xAEF2A63C8C5780EE, "extractmissionhelipadmodel" },
    { 0xE7544D58B2AD82DA, "extractmissionhelipadscriptable" },
    { 0xDBB72B1202D43C50, "extractplayers" },
    { 0x3FCD6BF39E8047D0, "extractplunder" },
    { 0x50E5DD177D199B8E, "extractplunderhelihealth" },
    { 0x5026E8FD642F2B17, "extractplunderheliinvulnerable" },
    { 0x4484ABB75AAE3515, "extractposition" },
    { 0x13BB4D02E0FE1B11, "extractquest_alwaysallowdeposit" },
    { 0xE911460C042A89FB, "extractquest_helipadid" },
    { 0xA2EB9296BF3E56B6, "extractquest_missionitem" },
    { 0x88A991C6D4E878F1, "extractquest_missionweapon" },
    { 0xA2D2BFBCDD7049E6, "extractquest_removequestinstance" },
    { 0xE14A52016774B2AE, "extractquest_unlockablelootid" },
    { 0x82FC77D3F5907982, "extractshowicontoplayer" },
    { 0x9E46BB65B40DA502, "extractsilentcountdown" },
    { 0x8D5832B9E7192AED, "extracttablet_init" },
    { 0xA3C026F7385F32CB, "extractteam" },
    { 0x9851EC83F61A70D6, "extractthink" },
    { 0x415F8E60118D73CA, "extracttriggerwatcher" },
    { 0x0D8E9DDDA08C8122, "extractunlockablechance" },
    { 0xDB90C8CD02F2AD19, "extractunlockablelootid" },
    { 0xF9E0B0EFA3821C97, "extractunusabletoallplayers" },
    { 0xEFA10F8F43D5B7B8, "extractupdatehud" },
    { 0xB1D226ECDEEFA763, "extractupdateicons" },
    { 0x64196CF6CDC351CD, "extractupdateiconsframeend" },
    { 0x52696B273BBAB7FC, "extractvehicledeathwatcher" },
    { 0x4E7DB3AAD5570874, "extractzone" },
    { 0x4F4AC6FF4928AC8D, "extractzone_oncontested" },
    { 0xC7A6D4440549F8A4, "extractzone_onuncontested" },
    { 0xF17CF732863C1077, "extractzone_onuse" },
    { 0x5272831A3F023028, "extractzone_onusebegin" },
    { 0xFD15E2428D259C64, "extractzone_onuseend" },
    { 0xCD595CD859F7EAE1, "extractzone_setcaptured" },
    { 0xC629F692516B4926, "extractzone_stompprogressreward" },
    { 0x99F61583FAE88D00, "extradelay" },
    { 0x6AED7D23FEFDC477, "extrahuds" },
    { 0x58D715171F263451, "extraperkmap" },
    { 0x57392009E4860C0E, "extrapoints" },
    { 0x8159C4C13124152A, "extras" },
    { 0x58E09639F45EAF47, "extrascore0" },
    { 0x58E09539F45EAD14, "extrascore1" },
    { 0x58E09839F45EB3AD, "extrascore2" },
    { 0x58E09739F45EB17A, "extrascore3" },
    { 0x58E09239F45EA67B, "extrascore4" },
    { 0x1A15FA07CD9CD87C, "extratime" },
    { 0xBF88527CC11653F3, "extratimebonus" },
    { 0xF5991C5D49D60E33, "extratimeincreasecount" },
    { 0x0C6CF45E49DEFE49, "extratimeincreasecountcap" },
    { 0x6115FC93351C244A, "extravarindex" },
    { 0x2144892ADC34A09E, "extraweapons" },
    { 0x0704435686E900CE, "eye_activated" },
    { 0x20B2357F79D38190, "eye_blend_in_time" },
    { 0x6225DF06B9C5A29F, "eye_catchup_speed" },
    { 0x440BAC7D92D7351D, "eyeoffnotehandler" },
    { 0x48AACBB97A24CBD1, "eyeonnotehandler" },
    { 0xE4DCA34F1287D423, "eyes_leftright_anim" },
    { 0x39E89797448C011E, "eyes_lookat" },
    { 0x6E211E4E3E783F97, "eyes_updown_anim" },
    { 0x6633B75F25EFF52C, "eyeshutoverlay" },
    { 0x7F855076E9810433, "eyespyalerted" },
    { 0xAC0E584AC96AA175, "f" },
    { 0xCE2D7078F580A88C, "f1" },
    { 0xAA451520C30A2936, "f11lights" },
    { 0x4BA408FB969B8485, "f11onarmoryswitchon" },
    { 0x863D30F71FF3D696, "f11scriptlightinit" },
    { 0xBDEA7CD3E3B4B580, "f11scriptlighttoggle" },
    { 0x319B97C515165A34, "f14_3pastcodes" },
    { 0x653BAE830B7B00DD, "f14_current_inputamt" },
    { 0x9C4C6F8278FD5984, "f14_current_inputseq" },
    { 0x3A8DCAB997054A36, "f14_keypadnumstr" },
    { 0x8294A13F22F94BB0, "f14_puzzle_active" },
    { 0xCE2D7378F580AF25, "f2" },
    { 0x147FF04782E58310, "f_churn" },
    { 0x50691B1506753C76, "f_endon" },
    { 0x0EA9FDFFCE8746F7, "f_match" },
    { 0xD00336F4CA3A6C8B, "f_notify" },
    { 0x6E35A9040BE07B19, "f_resume" },
    { 0xAC46B4DCD93542B0, "f_running_func" },
    { 0x7902F13445F283A1, "f_running_func_call" },
    { 0x5E7D35C06E9E99F9, "f_running_nested_1" },
    { 0x5E7D32C06E9E9360, "f_running_nested_2" },
    { 0x5E7D33C06E9E9593, "f_running_nested_3" },
    { 0x5E7D38C06E9EA092, "f_running_nested_4" },
    { 0x5E7D39C06E9EA2C5, "f_running_nested_5" },
    { 0xB1EE89BC6C7395B6, "f_running_nested_call" },
    { 0xF56178230B4CA717, "f_running_thread_call" },
    { 0xF0AC0D94655FBDD8, "f_waitframe" },
    { 0xDEDBFEB6BA1A381D, "f_waitframeend" },
    { 0x4E3225CED5735216, "fa_franticnodeyaws" },
    { 0x1DBE488AAEEF9025, "fa_nodeyaws" },
    { 0xD440A976A731C98D, "fa_state_machines" },
    { 0x83286F3CEBE292F8, "face_angle" },
    { 0x132AED89FC06DFD2, "face_angle_3d" },
    { 0x875AF571D9AB329B, "face_angle_abs" },
    { 0x98B80972A13666D4, "face_angle_rel" },
    { 0xBF2CE40ACEB8A7DA, "face_current" },
    { 0xBD6C08D6D2F311BF, "face_current_angles" },
    { 0x1D4B4CB8EBF23DBE, "face_default" },
    { 0xABD5ED8F26FF1FEA, "face_direction" },
    { 0xBB5A5156BDF6140B, "face_enemy" },
    { 0xD63053B441E8D590, "face_enemy_or_motion" },
    { 0xE600A38673A081F6, "face_goal" },
    { 0xE621393D83097E47, "face_motion" },
    { 0x61C2224DE1DCB066, "face_pip" },
    { 0xEE07E731C1E99A71, "face_point" },
    { 0x7487F9342563D7E9, "faceawayfromowner" },
    { 0xE9FEA925E94EF8BB, "faceenemyincombat" },
    { 0x6753B3B164E3D1EB, "faceenemyspawn" },
    { 0x27F449A8393BB6E9, "faceenemywhenneeded" },
    { 0x34D44C0CDB7BE583, "facegoalthread" },
    { 0xA65B054F6952CFA1, "facegoalthread_newenemyreaction" },
    { 0x9AE7B57EA9CE06EA, "facemotion" },
    { 0xC1EF1A77720BC3CD, "faceplayer" },
    { 0x9D444C61A96442A1, "facial" },
    { 0x7C812FAC64A523E3, "facial_clear" },
    { 0x00FE2EB5E1AF3068, "facial_death" },
    { 0x24DF80B99AC2B20E, "facial_notetrack_handler" },
    { 0xB52CFE346ECBCBAF, "facial_state" },
    { 0x518CC0088A02827C, "facialanimdone" },
    { 0x8E55267EC21C37AB, "facialanimidx" },
    { 0xD13E9B34379BC664, "facialidx" },
    { 0x211A062A93D1F828, "facialsounddone" },
    { 0x7120688CBA9CDE92, "facialstate" },
    { 0x0795404E3A694B66, "facingventpos" },
    { 0xB5B05B02975E32FD, "fact_str_to_name" },
    { 0x895F1FAFB062F58F, "faction" },
    { 0x486351C03A4D639A, "faction_progression_init" },
    { 0xD84331C2F2E071EA, "factionenemyheadicon" },
    { 0x9BD7A953F39932FB, "factionfriendlyheadicon" },
    { 0xE0E888868CA72A04, "factor_value" },
    { 0xA1F41EE9FD5C1B98, "factorparams" },
    { 0xA73364AFC68D871B, "factors" },
    { 0x706ACBB68352365C, "factory_cascade" },
    { 0x2E7373F322CA378D, "factory_floor_catchup" },
    { 0x2A99CBE80FAB8729, "factory_floor_enter" },
    { 0xFFEB7B9974880AA0, "factory_floor_flags" },
    { 0x4EB42A22E545A65C, "factory_floor_main" },
    { 0x632DE561F3C20BAB, "factory_floor_start" },
    { 0x5425F406B00951E5, "factoryfloordoor" },
    { 0xD0C93D9551A1F458, "facts" },
    { 0xEE58BB99803CDAF7, "fade" },
    { 0x3812F69F0C13DB63, "fade_cover" },
    { 0x9C93B48ACA8CA724, "fade_farah_glowstick" },
    { 0x8C517C115DD33297, "fade_in" },
    { 0xDED896EB93404171, "fade_in_time" },
    { 0xC439AD319A554D3C, "fade_out" },
    { 0x201ADA6A90B4C830, "fade_out_time" },
    { 0x61540ACA8C3DA706, "fade_over_time" },
    { 0x85053DEC0EAC80DE, "fade_text_over_time" },
    { 0xAF0A7C0E5E820011, "fade_time" },
    { 0xA7C73F9A079335C5, "fade_to_black" },
    { 0xF0F69CEB95D6871E, "fade_tree_fire_out" },
    { 0x8C408A115DC14705, "fade_up" },
    { 0x9423FCFC4B502C6E, "fade_up_light_buried_mom" },
    { 0x0EBDDC8D5E5257E9, "fadeaway" },
    { 0x55B27FB74A348282, "fadeblackforgeo" },
    { 0x2F720AEB4BC37748, "fadecurrent" },
    { 0x9CEAE5208B013451, "fadeinblackout" },
    { 0x56DE7DE3C5435218, "fadeinscreen" },
    { 0xA5BEF610B5618489, "fadeout" },
    { 0xC259CB672138C6DC, "fadeoutblackout" },
    { 0xF3FBA3D2A531ED0A, "fadeoutin" },
    { 0x5AA18DE2FCB8BF6C, "fadeoutinspectatorsofplayer" },
    { 0xAE686EAA2084D7BF, "fadeoutoverlay" },
    { 0x87255EEC1A362EE2, "fadeoutpinnedicon" },
    { 0x2E9F1C69F9FD5D2D, "fadeoutscreen" },
    { 0x9CD28D21F7ADB8C1, "fadeoutshellshock" },
    { 0x9369DCF11EE6F53D, "fadeoverlay" },
    { 0xA4853B6520318AC0, "fadeoverlayanddestroy" },
    { 0x80065872B7B344CC, "fadeovertime" },
    { 0xF3CC9A492F660264, "fadesoundanddelete" },
    { 0x58BD214F79DE1EBA, "fadetoalpha" },
    { 0xB51A154059AD6FBB, "fadetoalphatime" },
    { 0xE6DEDE74C839548D, "fadetoblack" },
    { 0xA266EE51E39F0D6D, "fadetoblackforplayer" },
    { 0x1D07D5C86E1531E5, "fadetoblackforxsec" },
    { 0xEEE97AD57A504196, "fadetogearingup" },
    { 0x72033DDDBF1735F0, "faf_burned_out" },
    { 0xEE4BB899802EBFD9, "fail" },
    { 0xE094195BB1088CA2, "fail_cut" },
    { 0x2761A569F4B58F14, "fail_for_wild_firing" },
    { 0x99E0274B6D4CC0E5, "fail_for_wild_firing_charlie" },
    { 0x3EF03E7349B8FCE4, "fail_huds" },
    { 0x1FB77369B9488FD4, "fail_mission" },
    { 0x8D4881A1CE8B441E, "fail_mission_if_killed" },
    { 0x114794C789A041A5, "fail_objective" },
    { 0xF35E0182BA7044F8, "fail_on_friendly_fire" },
    { 0x81F597F65291E8C0, "fail_on_transmission_timeout" },
    { 0x3C6AF7DCB196CBB2, "fail_state_active" },
    { 0xB6BD358342CB8C29, "fail_steal_truck" },
    { 0x3BF7961F98D21595, "failcollectionquest" },
    { 0x147271F812DD6D90, "failcondition_noplayersinengagedradius" },
    { 0x2B874DE95454937D, "failcondition_outsidedangercircle" },
    { 0x355CA43F47F349A8, "failconditionengagedradiustime" },
    { 0xF82B66779AB30130, "failed" },
    { 0x7A86CAEDEB675D1E, "failedmission" },
    { 0x68593AE7AF6862A7, "failedtext" },
    { 0x7F4E5ABBA0C07F1B, "failhistoryquest" },
    { 0x15888EC348368767, "failingmission" },
    { 0xD33D46CA9D659B07, "failonfriendlyfire" },
    { 0x73D1B3E2C5D7AAE3, "failsafe_2f_balcony_death" },
    { 0x17F43FAC371AFD60, "failsafe_2f_balcony_setup" },
    { 0x61668E0CD76431FA, "failsafe_door_breach_frozen" },
    { 0xEFB4D0F49EDFB43E, "failsafe_door_breach_frozen_player" },
    { 0xE30EA0733B5FEBFE, "failsafe_triggered" },
    { 0x51C5451740B231B7, "failsafetimeout" },
    { 0xB50196A0F95B9E3F, "failscavengerquest" },
    { 0x848345C4799C19D4, "failsecretstashquest" },
    { 0xBB83D2D97151E225, "failsmokinggunquest" },
    { 0x4591487EBB387981, "failstringsetup" },
    { 0x86B6D23D2CACC3B1, "failtimedrunquest" },
    { 0x51C59EF3DCEED6FF, "failtrigger" },
    { 0x93C602088F1B9045, "failure" },
    { 0x0BA7F16FF33A0E5F, "failx1finquest" },
    { 0x131D0441AF76E113, "failx1stashquest" },
    { 0xB0B8C832F82313C7, "fake_actor_anims" },
    { 0x743D22DA5995126D, "fake_actor_random_death" },
    { 0x594B883E29E08FE1, "fake_actor_think" },
    { 0xA7DC228224DE1AAE, "fake_actor_think_kill" },
    { 0x42DE1204C64954BE, "fake_agent_model_setup" },
    { 0x6E4CDDC390B0C2F9, "fake_ally_death_watcher" },
    { 0xDF03E18A4678BA4D, "fake_ally_setup" },
    { 0x457853C027BB28C5, "fake_animation" },
    { 0xCC7D75143FC5CDCA, "fake_animscripted" },
    { 0xFFDA78BCF8523539, "fake_back_left_passenger" },
    { 0x7EA85B45E527F52C, "fake_back_right_passenger" },
    { 0x579C20EF7782D2D3, "fake_bomber_audio" },
    { 0x14FDA2295DC97DD1, "fake_bullet" },
    { 0x1BD90FD46F5CAB06, "fake_civ_stream" },
    { 0x6B64BF86AA0DCA7F, "fake_detonator_lights_off" },
    { 0x1A59DCAAD5492D21, "fake_digit_pool" },
    { 0x7EBD06CC8A3F9D7C, "fake_driver_anim_loop" },
    { 0x0BBEA42521031D42, "fake_drone_activation" },
    { 0x77151B1E59FB564D, "fake_effects" },
    { 0x72DA9CDD3082E49D, "fake_enemy_death_watcher" },
    { 0xE744110A306F1441, "fake_enemy_setup" },
    { 0x21E89B01F86B25A4, "fake_exploder" },
    { 0x462A69CD7B36EE7B, "fake_flashlight" },
    { 0x37D4E4CEA6639D52, "fake_headlights" },
    { 0x550070FC31037DD7, "fake_health" },
    { 0x84FC6D5E3A6B0D0F, "fake_hit_target_monitor" },
    { 0x4E3DBBF931F25261, "fake_jugg_detonator_lights_off" },
    { 0x39C39832846664CA, "fake_magic_grenade_kill_watch" },
    { 0x1AA8D7B9E72E4189, "fake_magic_grenade_watch" },
    { 0xD0F529B4E36A5645, "fake_magic_grenade_watch_individual" },
    { 0x8D21BBC49E8B4A72, "fake_model" },
    { 0x3F668C4401F9D59F, "fake_molotov_explode" },
    { 0x97F55AEF2A34916C, "fake_molotov_trig" },
    { 0xA139026B6DD092D8, "fake_player" },
    { 0x6051555C92611800, "fake_player_damage" },
    { 0x60F2FD4281B28E11, "fake_players" },
    { 0x2DA14053A1C296EF, "fake_slerp" },
    { 0x1E1D17706DB8ED3A, "fake_snake_cam_logic" },
    { 0xF5DAA0F507D053A4, "fake_stealth" },
    { 0x42830503E8009678, "fake_stealth_funcs" },
    { 0x69040A3C89713C72, "fake_stealth_state" },
    { 0x937BF2440B70D271, "fake_structs" },
    { 0x1B46501EA40D84A0, "fake_target" },
    { 0xA7340CB9D834189A, "fake_trees" },
    { 0x2AA1E74B488B105C, "fake_trigger_think" },
    { 0x31E7F2269729BB54, "fake_vista_windows" },
    { 0xF4BEFCF40A39E739, "fake_weapon" },
    { 0x5A4D0D9CCD3F4914, "fake_weapon_models" },
    { 0x8712F1E6861A9EBD, "fake_windows_close" },
    { 0x89C15333D40C1844, "fake_world_structs_defend_download" },
    { 0x23B63FF3D4C46AEC, "fakeactor_check_delete" },
    { 0x9AD2152D7A52892F, "fakeactor_check_node" },
    { 0xFA68D845B7F0018E, "fakeactor_cross_canal_runners" },
    { 0xF8C205B8C56CC6E1, "fakeactor_droppedweapons" },
    { 0x06A019FFF53FDF89, "fakeactor_face_anim" },
    { 0x842A4CF6DD899BA7, "fakeactor_give_soul" },
    { 0xDCB6BE4044B87790, "fakeactor_init" },
    { 0x98E202AAF842992D, "fakeactor_loop_override" },
    { 0x18FAF58704506647, "fakeactor_node_allow_arrivals" },
    { 0xCB0E2D7FFE8AF62E, "fakeactor_node_allow_exits" },
    { 0xB373F893A6B84E02, "fakeactor_node_clear_claimed" },
    { 0xC4ABEECD51F55018, "fakeactor_node_clear_path_claimed" },
    { 0xFFA39EB9D4BD5822, "fakeactor_node_debug" },
    { 0xFA1342D7E352B428, "fakeactor_node_get_all_valid" },
    { 0x8251B2CFDA3F8912, "fakeactor_node_get_angles" },
    { 0x297D14B23224C862, "fakeactor_node_get_cover_list" },
    { 0x5F3D47DB42E872C3, "fakeactor_node_get_next" },
    { 0x2DE0FA9B88565A65, "fakeactor_node_get_path" },
    { 0xB9A512095228F96C, "fakeactor_node_get_valid_count" },
    { 0x6048CD868C7D02A2, "fakeactor_node_group" },
    { 0xAF974261381AC61E, "fakeactor_node_group_set_disabled" },
    { 0x31218DEA939B6239, "fakeactor_node_init_flags" },
    { 0x1718C2EE66BBDC04, "fakeactor_node_init_params" },
    { 0xAD117C3DE10618BE, "fakeactor_node_init_type" },
    { 0x080D215524162E1E, "fakeactor_node_is_animation" },
    { 0x37AC070C9A0A7DAF, "fakeactor_node_is_claimed_by" },
    { 0x8827EE3BC8CF19F8, "fakeactor_node_is_disabled" },
    { 0xB739C7509EE52635, "fakeactor_node_is_end_path" },
    { 0xF1BBBF464730A336, "fakeactor_node_is_locked" },
    { 0xAA90D01A25D8C312, "fakeactor_node_is_on_moving_platform" },
    { 0xB2B52660E7E3F656, "fakeactor_node_is_passthrough" },
    { 0x21151AFDFD70123E, "fakeactor_node_is_traverse" },
    { 0xDEE39C1F93F8817F, "fakeactor_node_is_turn" },
    { 0x93F432AD6D872792, "fakeactor_node_is_valid" },
    { 0x17253A6283D81F51, "fakeactor_node_is_wait" },
    { 0x5D71C90D6923AF65, "fakeactor_node_remove_claimed" },
    { 0x3E248C6ACCA5C1DF, "fakeactor_node_set_claimed" },
    { 0xCDBF3796BC51FA2A, "fakeactor_node_set_disabled" },
    { 0x011C5BF4B829B264, "fakeactor_node_set_locked" },
    { 0x1A6BAF36E5984B50, "fakeactor_node_set_passthrough" },
    { 0x75E3FBDD37B938F7, "fakeactor_node_set_path_claimed" },
    { 0xFDB24DC56BD03807, "fakeactor_node_set_wait" },
    { 0xF141AF207F9DC73C, "fakeactor_node_setup" },
    { 0xA94DCBCCBCF0858A, "fakeactor_node_update" },
    { 0xD12A6657612953E7, "fakeactor_rotate_to" },
    { 0x0475969EA7E639CD, "fakeactor_scripted_override" },
    { 0x83A92C88F7CA9781, "fakeactor_spawn" },
    { 0xFB11910DE3908FCC, "fakeactor_spawn_func" },
    { 0x03621277B0693199, "fakeactor_spawner_init" },
    { 0xF2F511CC3794E76F, "fakeactor_thinks" },
    { 0x66C47F513F91EEF6, "fakeactors" },
    { 0xBC69FF88F3E9C328, "fakeactors_aim" },
    { 0x13340893CF768E0D, "fakeactors_callout" },
    { 0xB91C8D564F89AE1C, "fakeactorspawn" },
    { 0x6555012AE6EC2ACE, "fakeactorspawner_init" },
    { 0x163462A956BF2076, "fakeaq" },
    { 0x20F50624009F84E1, "fakebreachdoor" },
    { 0x636234BD4638F472, "fakedrone" },
    { 0xE9ACE86A0443966A, "fakegun" },
    { 0x0DD6478F04B47E56, "fakehealth" },
    { 0xF47074890C88C3FC, "fakeknob" },
    { 0x357CDAD2E7B47DC3, "fakelaser" },
    { 0xD5D3120E42C16028, "fakepapa" },
    { 0x004F711040858C0D, "fakepickups" },
    { 0x01CB02EDEFBA1646, "fakeprops" },
    { 0x8F1FD521CAEA117B, "fakesniper" },
    { 0x4650F7F8FE30C3B1, "fakesniper_control" },
    { 0xD6110040B712629A, "fakestreakinfo" },
    { 0x8EB454A3001C2A44, "fakevote" },
    { 0xFC353B576FA61419, "fall_back_func" },
    { 0x1AD27900648BE24F, "fall_damage_remove_setup" },
    { 0x5DD1E5B452637C3E, "fall_damage_remove_think" },
    { 0x723C0E1E9668E73E, "fallback_enemieslogic" },
    { 0xAC90E8B4BE4DB604, "fallback_getenemies" },
    { 0x57786BB02520555D, "fallback_getenemygoalvolume" },
    { 0x89C597A5FB50B9D9, "fallback_getspawners" },
    { 0x0E01C407F6FBBC7C, "fallback_index" },
    { 0x7AE57DAC95D1B34D, "fallback_main" },
    { 0xD031D5475011A6E1, "fallback_spawnenemies" },
    { 0x894B31D332334FDC, "fallback_start" },
    { 0x7F70F968DBC45FA2, "fallback_to_closest_spot" },
    { 0xDDFCDFA1FCE36CCB, "fallback_to_pos_if_weapons_free" },
    { 0x83C772BAFADCB023, "fallback_trigger_func" },
    { 0xF459934F77D21EAD, "fallbackspawnpoints" },
    { 0x2584924374AB169A, "fallbackspawnset" },
    { 0x2DA493599443626B, "fallbackspawnsets" },
    { 0x38A72000E9C8F6EB, "falldir" },
    { 0x607DFB0224F25CA4, "falldist" },
    { 0xF40F280172B88984, "falling" },
    { 0xCEB2915C29AE0C73, "falling_rocks_thingy_time" },
    { 0x8B51434DD8D4AA9D, "falling_xyratio" },
    { 0xD601C7015C4F3F79, "falloff" },
    { 0xDA77EE63381B4B7B, "falloffstart" },
    { 0xD3F936402DA903BE, "false_positive_dots_bank" },
    { 0x1538E9D8E4B14FF3, "family_setup" },
    { 0x968B3A207170C3B2, "familychair" },
    { 0x69057989F8FEED6F, "familyflinchanims" },
    { 0x666ED546855E88E7, "fan_spin" },
    { 0xC7C9A2BF8E18AE0F, "fananim" },
    { 0xEDC35803E909924A, "far" },
    { 0x399EB0BCFFCCCF0F, "far_dist" },
    { 0x2995EC40E20B10B8, "far_dist_sq" },
    { 0x472122AEF9F4BE43, "far_score" },
    { 0xD8D58B949B653F9B, "farah" },
    { 0x8436FE7DC8A4213A, "farah_ai" },
    { 0x57DDB5A44FE3BA7E, "farah_as_player_vo" },
    { 0x1E0EAD7A5C6018D9, "farah_asking_are_you_ok" },
    { 0x9A9916138C2C9290, "farah_basement_intro_enter_anim_with_glowstick" },
    { 0x1073C691D678A95E, "farah_body_swap" },
    { 0x98BEA687B2364D29, "farah_body_swap_again" },
    { 0x94BB6257EFA9225E, "farah_call_out_runner" },
    { 0x4E03EC70824B6F8B, "farah_calls_out_ceiling_guys" },
    { 0x19756C5DC349EFF9, "farah_calls_out_ceiling_hole" },
    { 0x55A6C5D221BB8793, "farah_ceiling_takedown" },
    { 0x2A70F87A2BE45B8A, "farah_ceiling_takedown_aq" },
    { 0x9BFFF440E5DA0BFF, "farah_ceiling_takedown_early_watch" },
    { 0xFEBEB99C4F2D5B1C, "farah_ceiling_takedown_scene" },
    { 0xE50614765030D044, "farah_ceiling_takedown_scene_on" },
    { 0xC5AFB18BA778AC8E, "farah_collapse_nag" },
    { 0xC600BAB499E380BB, "farah_collapse_react" },
    { 0xAFB84408FED4DE07, "farah_collapse_react_timeout" },
    { 0x6BF409C75991971E, "farah_defuse_anim" },
    { 0x037FFC8C07F16F54, "farah_disable_ai_color_before_hallway_takedown" },
    { 0x3F84DA5DCE5F1965, "farah_door_kill" },
    { 0xCEA5C13EC759A605, "farah_drs_setup" },
    { 0xB7BEB84A30237AA1, "farah_father_ai" },
    { 0x012B004BEA190B46, "farah_first_cell_guy_warn_vo" },
    { 0xD8E63A89307AAFB9, "farah_gasmask_swap" },
    { 0x8D8019E4F31ED5E2, "farah_gesture1" },
    { 0x8D8018E4F31ED3AF, "farah_gesture2" },
    { 0x358A7C9F5C9DFED2, "farah_gesture_timing" },
    { 0x143E93E0AD9A9637, "farah_gestures_fallback" },
    { 0x7B2F7AF9F524A09E, "farah_glow_stick_attach" },
    { 0x1E2B465268423E2C, "farah_hallway_takedown" },
    { 0x35736AD4B98B3DEB, "farah_hallway_takedown_aq" },
    { 0x94A78EEB988C9499, "farah_hallway_takedown_clean_enemies" },
    { 0xD78EC1576F04C177, "farah_hallway_takedown_scene" },
    { 0x22A84165C4A868ED, "farah_hit_grunts" },
    { 0xDA462E086FAD1232, "farah_idle_hide_hints" },
    { 0xEF8214C5E2565F1A, "farah_intro_anim" },
    { 0xD85E4B53D3027B49, "farah_kick_light" },
    { 0xA87289715BC03596, "farah_main_light" },
    { 0xA85E22FE282D1E8C, "farah_monitor_mg_shot" },
    { 0x3BEBE523435BEC5D, "farah_mother_model" },
    { 0x8E069A33E99777AF, "farah_move_up" },
    { 0x8F6D6EB6D52F73DD, "farah_nobraids_body" },
    { 0x2F26F8ED336F3549, "farah_nobraids_body_reset" },
    { 0x17DD748BAF6E8CE1, "farah_nobraids_body_swap" },
    { 0x42B844A0E0822ED8, "farah_poi" },
    { 0xA8E5191D32F81548, "farah_pushable_reset" },
    { 0xCA0280688C9A2DDD, "farah_right_flank_hint" },
    { 0xD15A44FD3FD0B379, "farah_says_cut_wire_green" },
    { 0xC85E1371E161C845, "farah_says_cut_wire_red" },
    { 0x4E0799E6398835B6, "farah_says_cut_wire_yellow" },
    { 0xF3D80AE1FDF20D44, "farah_set_stayahead_values" },
    { 0x5EB372F0DF1D503A, "farah_sister_model" },
    { 0x6CA1909F906A59CA, "farah_swap_mask_back" },
    { 0xC3D1F2C7E6123D2D, "farah_tag_acc_ang" },
    { 0x55315CC850BDFD5F, "farah_tag_acc_org" },
    { 0x4DA19C92C35FC58B, "farah_takedown_burst_fire" },
    { 0x2C59DB582024A247, "farah_teleport" },
    { 0x1F252CFE8F1D821D, "farah_teleport_and_reset" },
    { 0x5BE499C3F937A2B1, "farah_teleport_in_player_fov" },
    { 0x349173F18A834B3C, "farah_to_van_start" },
    { 0xA5E1285357A73761, "farah_trap_scene_enable_ai_color" },
    { 0x7AB6CC1684D3DE17, "farah_trapped_blend_anim_init" },
    { 0x8B31D7F9DB6FBBDB, "farblur" },
    { 0xBA05CA39F534E438, "farendfactor" },
    { 0xD421055045273FE1, "farexploderthink" },
    { 0xE75995057D5B6D99, "farm_danger_path_taken" },
    { 0x7BC511EDE90C9439, "farms2_gw_ambient_sound_load" },
    { 0x9121E4D378159A85, "farobjectiveiconid" },
    { 0xA37C6030EAE755AC, "farrah_anim_think" },
    { 0xDB379521954B41B5, "farstartfactor" },
    { 0x8B43EAAD00AE9BD7, "fartrackthink" },
    { 0x9CB3899F3F4B69DC, "fast_open" },
    { 0x08AC6CA53A9F3588, "fast_radar" },
    { 0x991A8E6976B413AF, "fast_revive_time" },
    { 0xAFF88529695DFAA8, "fast_rope" },
    { 0xB43561B96A06B069, "fast_rope_approach" },
    { 0x25E63B2A9A4F7253, "fast_rope_over_black" },
    { 0xBABCFF3426920278, "fast_tread_vfx_trigger_speed" },
    { 0xC2829D395DB2E79F, "fastburst" },
    { 0xB084249C249E81CE, "fastburstfirenumshots" },
    { 0x5E509D3F46CCA180, "fastcrouchspeedmod" },
    { 0x79A3B86A5117CCA8, "fasteranimspeed" },
    { 0x6E87FD03249F57DF, "fastreloadlaunchers" },
    { 0x51A7A0B2AEC5F109, "fastrope_anim" },
    { 0x8749C3D41E252DEB, "fastroperig" },
    { 0x4586B035545D2761, "fastroperiganimating" },
    { 0xFD402D671AC3FA4D, "fastthrow" },
    { 0x1A638E9BC00EB56B, "fate_card_weapon" },
    { 0xCA58515A63392306, "father_body_model" },
    { 0x522DC0914F04194D, "father_mayhem" },
    { 0x27638C037AE283FE, "father_spawn_func" },
    { 0xC19B7093F81E577A, "fatigue" },
    { 0xEE16C4997FF45529, "faux" },
    { 0x8293D4B6DFF1B85A, "faux_spawn_infected" },
    { 0x8AF2AF9A51C4815E, "faux_spawn_stance" },
    { 0x251E730BAC611983, "fauxdead" },
    { 0xAD121258A7D8813A, "fauxvehiclecount" },
    { 0x40C4D9380CE5335F, "favela_door" },
    { 0xB24F40C48E8A75E4, "favela_door_distance_check" },
    { 0x2D5F5CFCA2184BEE, "favela_door_fastopen" },
    { 0xB021B9509E8085AB, "favela_door_guy" },
    { 0xA40E0E8AE8EFB106, "favela_door_guy_anims" },
    { 0xB394CD069A38E7A8, "favela_door_open" },
    { 0x4A514DEBE6A02C9B, "favela_door_open_loop" },
    { 0x722BF4E076AAA27C, "favela_door_trigger" },
    { 0x42B2D937F67F478F, "favor_blindfire" },
    { 0xB9577678883EDFB9, "favorclosespawnent" },
    { 0x745BAD4DBD0601B8, "favorclosespawnscalar" },
    { 0x7C578AE682589DFF, "favoriteenemy" },
    { 0x7D40C4BCE2F6B092, "favoritenemy" },
    { 0xB9A658C2420F5644, "fbt_desireddistmax" },
    { 0x48E152E0D52A6B00, "fbt_firstburst" },
    { 0xEB825EF8C165B740, "fbt_lastbursterid" },
    { 0xF309E6A6524EC9B1, "fbt_linebreakmax" },
    { 0xF32DD8A65277259F, "fbt_linebreakmin" },
    { 0xB2F7447DC948E629, "fbt_waitmax" },
    { 0xB2D4567DC922C607, "fbt_waitmin" },
    { 0x69D358BE3D00A72E, "features" },
    { 0x5417C6D636FFE583, "feedaction" },
    { 0x802EFD66F6DD399B, "feedback_check_end" },
    { 0x39FEB543AACB9731, "feedback_check_endfunc" },
    { 0x6143771B4845062E, "feedback_check_start" },
    { 0xEA531C9CE6464D9A, "feedback_context" },
    { 0xECA8278AED1999A8, "feedback_increase_index" },
    { 0x72C81335F71334CC, "feedback_start_point" },
    { 0xAEE62F1BA464BBB6, "feedback_starts" },
    { 0xE6713B4EA0588979, "feedbackcontextual" },
    { 0x78F743271461AC52, "feedbackenemy" },
    { 0x497C9A100B5286F8, "feedbackloot" },
    { 0xBAD7F6D36F806586, "feedbackruggedeqp" },
    { 0xF0158F32932270E8, "feedcount" },
    { 0xDBD4B7BA47573979, "femaleprisoner" },
    { 0x1E73916FF85B89CB, "fence_ai_clear" },
    { 0x8499C7D468B4B09C, "feral_occludes" },
    { 0x70B92D473FDD99C4, "ffmessageonspawn" },
    { 0x70AF3AB7B3050C99, "ffsm_introsetup" },
    { 0xE15A81D8C58825AA, "ffsm_isgulagrespawn" },
    { 0x52F8CBDA430A5656, "ffsm_landed_stateenter" },
    { 0xE032BB4C227B8277, "ffsm_nextstreamhinttime" },
    { 0x9099EC30C6FE5234, "ffsm_onground_stateenter" },
    { 0x3E0F66004C2FDF9F, "ffsm_parachuteopen_stateenter" },
    { 0x3A7407DD07631A13, "ffsm_skydive_stateenter" },
    { 0x76AB3E191862C877, "ffsm_state" },
    { 0xDD95B386ACAD9325, "fgetarg" },
    { 0x6D520C2574E931E9, "field_cover_direction" },
    { 0x38F45E80C75D3CF2, "field_ent_cleanup" },
    { 0x474928874F90E47B, "field_ent_cleanup_logic" },
    { 0x9AE0E6408F157A29, "field_light_ondamage" },
    { 0x2B1BB625DE322FF9, "field_lights" },
    { 0xBA30CD86D520E33B, "field_weapon_cleanup" },
    { 0x18D04E91759438BA, "fiftypercent_music" },
    { 0xAFAFFB206A962A22, "fight_enemy" },
    { 0x25904C5E97B199F8, "fight_idle" },
    { 0x6896DAB22BC1C113, "fight_on_jammer_2_bridge" },
    { 0x707B61CAB4ED6CC2, "fight_think" },
    { 0xAFB9C112C57B206E, "fight_with_player" },
    { 0x8E6607B18B0742E9, "fightdist" },
    { 0x4344BA6E6163FAD9, "fighter_deathfx" },
    { 0xD25C6BA6CDFF65BA, "fighterindex" },
    { 0x267C191C789D03FF, "fighters" },
    { 0xA75E55B3235A146C, "fighting_with_player" },
    { 0x150BEB882E9D7E6F, "fightover" },
    { 0x26971A5A5E1E0C51, "fightspawns" },
    { 0xEDE75A03E9321168, "fil" },
    { 0x6BE92E86F7BDA12F, "file_path" },
    { 0xA7CD1713D3CC42DB, "fileprint_launcher" },
    { 0x004AF767071287DC, "fileprint_launcher_end_file" },
    { 0x63E4FE5518D8514B, "fileprint_launcher_start_file" },
    { 0xE942526D137757C5, "fileprint_map_entity_end" },
    { 0x545465CF410529FC, "fileprint_map_entity_start" },
    { 0x2CA391079CCA41C1, "fileprint_map_header" },
    { 0xC9D84FE589FFF2C2, "fileprint_map_keypairprint" },
    { 0x4BB02BFF9DD579A8, "fileprint_map_start" },
    { 0xA035DD12FA1ECD47, "fileprint_radiant_vec" },
    { 0x222A9FB193D5EF71, "fileprint_start" },
    { 0xB60381480D8B5C64, "fileprintlauncher_linecount" },
    { 0x82FEC194D3F9052A, "fill_linked_struct_array" },
    { 0x917FAD16D88FE437, "fill_max_intensity" },
    { 0xAAEFC07BC97D9021, "fill_type" },
    { 0x01F5F94001409D9C, "fillemptystreakslots" },
    { 0xEFD281009EFBA21F, "fillmaxarmorplate" },
    { 0x062C82F6BC5CA919, "filloffhandweapons" },
    { 0xBF1517C4292FFF22, "filter_out_friendly_damage" },
    { 0xCF43F35525CE3418, "filter_surface_type" },
    { 0xE8EA6E6AC3A5FAC7, "filterattachments" },
    { 0xC22116F03056A258, "filterattachmenttoidmap" },
    { 0x0B95845225914B02, "filtercondition_hasbeeningulag" },
    { 0x545C35EF7A80D425, "filtercondition_hasbeentracked" },
    { 0x80B91B752371C396, "filtercondition_ingulag" },
    { 0x91B50CB8498FA3CB, "filtercondition_isdead" },
    { 0x49522AF774854E78, "filtercondition_isdowned" },
    { 0x122ADD0AAAB6ED92, "filterdamage" },
    { 0x1B8F490D29C8B896, "filterinform" },
    { 0x24333E8A53C67DC9, "filterinplayermarks" },
    { 0xB86F677F94991BCD, "filterinvalidattachmentsfromidmap" },
    { 0xD0FD612BFC404865, "filterorder" },
    { 0x290DB6F8863477A6, "filteroutplayermarks" },
    { 0x406AED00FA0F74D0, "filterpairs" },
    { 0x0AE91FF34F2BF3A4, "filterpreset" },
    { 0xF867FAC99C56AAA0, "filterreaction" },
    { 0xCE347ADA234CA390, "filterresponse" },
    { 0xB6B71553EEA839D0, "filters" },
    { 0xADC9CFC9082ED011, "filterspawnpoints" },
    { 0xADA810D0AB2B130A, "filterstealth" },
    { 0x825CF9632F50BC9B, "filterstructs" },
    { 0xD00984DBC391181B, "filterthreat" },
    { 0x9D3DBB6A6BFBE1B1, "filtervehicle" },
    { 0x4406EFFD2438470A, "filtervehiclespawnstructs" },
    { 0x375DD4479542573C, "filtervehiclespawnstructsfunc" },
    { 0x0EC72F37CB45C6DA, "final_defender_behavior" },
    { 0x113652ABCB7F98F0, "final_defender_check_damage" },
    { 0x7496A3D87A85CF6E, "final_defender_death_anim" },
    { 0x0973DE9FF9DAE5BD, "final_defender_setup_from_start" },
    { 0xAE80697AB5E1AE7D, "final_hack" },
    { 0x1F6B72BAE314D8AD, "final_hack_location" },
    { 0x2E262F0166D8F03A, "final_hack_locations" },
    { 0x54A5D0A138BAF676, "final_hack_spot_activate" },
    { 0x0A3EFDA5257C776A, "final_hack_spot_hint" },
    { 0xB18F1E6EB6584B88, "final_pipes_catchup" },
    { 0x95F63E93007E1E93, "final_pipes_main" },
    { 0x5ECAE248EB281802, "final_pipes_start" },
    { 0xE82FC253520AE629, "final_radius_think" },
    { 0xC0820E1A8223A713, "final_scene_remove_weapons" },
    { 0x445EA59004100671, "final_shot_shake" },
    { 0xB333EEB6747F96B3, "final_switch_think" },
    { 0xE0B1B58E64425A8B, "final_vehicle_check" },
    { 0xB9A7FCD79C9FC7EE, "final_walk_scene" },
    { 0xC51B21D85894D71B, "final_waterboard_sequence" },
    { 0xEAB5D531D5B887CD, "final_wave" },
    { 0xD41A926C29519FFA, "final_wave_enemies" },
    { 0xCE14F96BC254CFC2, "finalaccuracy" },
    { 0xAACC73ECD59464E3, "finalangles" },
    { 0x52BF51FD8A668334, "finaldefender" },
    { 0xBA8D44C006AAD992, "finale" },
    { 0xB0D4060ABF47199A, "finale_cam_anim" },
    { 0xC85F323FD87E9F29, "finale_cam_barkov_anims" },
    { 0x759E0E444FE108D4, "finale_cam_extras" },
    { 0x1466446F77495F48, "finale_cam_farah_anims" },
    { 0xEF21232C6AB44DDC, "finale_cam_finish" },
    { 0x3083EFCD859DD310, "finale_cam_finish_kickoff" },
    { 0x8F860B7CA306D532, "finale_cam_other_anims" },
    { 0xF5370D28A4461617, "finale_cam_player_anims" },
    { 0xE633E0A1DF72D569, "finale_choke_stab01_add_fov_user_scale_override" },
    { 0x85B4FD8B2160875F, "finale_choke_stab04_remove_fov_user_scale_override" },
    { 0x8C317B2B286D72AE, "finale_combat_ai" },
    { 0x4D2F9DB581550356, "finale_extras_setup" },
    { 0xA3BEA85654C9EDEF, "finale_heli" },
    { 0x3DBE7747EE6EE7A2, "finale_heli_catchup" },
    { 0x17086F44BB0A6A72, "finale_heli_intro" },
    { 0xE4B1FDB93A465175, "finale_heli_lights" },
    { 0xB3F39AEDCC5F103D, "finale_heli_main" },
    { 0xD5F9217342C13E6D, "finale_heli_setup" },
    { 0xB78907152B555D6C, "finale_heli_start" },
    { 0x39C07CA2B5A6C3A5, "finale_kick_scene_setup_rig" },
    { 0x64F173FCEA342217, "finale_kickoff_catchup" },
    { 0x2DE465DBC1556D1E, "finale_kickoff_main" },
    { 0xFB735E7FCB050ABB, "finale_kickoff_sh01_add_fov_user_scale_override" },
    { 0x5D8CBA1160967AC5, "finale_kickoff_start" },
    { 0xC9BC4AE1F7BF0A02, "finale_knock_down_add_fov_user_scale_override" },
    { 0x5ABE35FF31099171, "finale_knockdown_scene_setup_rig" },
    { 0x401DECE19F86DBB6, "finale_main" },
    { 0x885436CC8F78D8F6, "finale_perspective_catchup" },
    { 0x4849B2C2B0047839, "finale_perspective_main" },
    { 0x1C4F63B419E716A0, "finale_perspective_start" },
    { 0x0A56F3481B595929, "finale_player_dialogue" },
    { 0xB19EA4B17989F35C, "finale_player_setup" },
    { 0x7C3095557CD91A55, "finale_postload" },
    { 0xC3A51116F23AF8CC, "finale_preload" },
    { 0xA0B0B732CB8C6E88, "finale_setup" },
    { 0x0A81F79C53D2B464, "finale_shot_cleanup" },
    { 0x6CD0565FEC7A4BB7, "finale_show_heli" },
    { 0x40EE3ADC1460D43C, "finale_skip" },
    { 0x29BF398D61F29A18, "finale_skippable_section" },
    { 0x3896EFDCCA4AD74B, "finale_stab" },
    { 0xE454A7D4699FEF36, "finale_stab02_remove_fov_user_scale_override" },
    { 0xDCF19B132BA5C124, "finale_stab_loop_vo" },
    { 0xD5BF83A4B1158CCA, "finale_trees_delete" },
    { 0x21499DE52DA2AA80, "finaledialogue" },
    { 0x0CBB3DFCDD1A9A9E, "finaledialoguelong" },
    { 0x5C1FE4A1C473B70A, "finalizeallrecordings" },
    { 0xDC8E61C9D8A48A9D, "finalized" },
    { 0x6F6532E7B7FF0BB8, "finalizeplayertimes" },
    { 0x349601AE14945C46, "finalizepotgsystem" },
    { 0xE701B8A17CE25EA9, "finalizescene" },
    { 0x1E63983562C7269B, "finalizespawnpointchoice" },
    { 0x37BEED9DB5A56EE7, "finalizespawnpointchoiceforplayer" },
    { 0x35CB94992EF8C063, "finalkill" },
    { 0xF8CED559A133CC6B, "finalkillcam_killcamentityindex" },
    { 0x40562B353EB8F458, "finalkillcam_winner" },
    { 0xF3D1418F9F90E637, "finalkillcamenabled" },
    { 0x220255AC1473C3F0, "finalkillcamplaybackbegin" },
    { 0x44D98B657FC04F2B, "finalkillcams" },
    { 0xE7606A0E36DD6B9A, "finalkillcamtype" },
    { 0xDAE1FFFF8912D75F, "finalorg" },
    { 0x028216519E8BFAA1, "finalroundenddelay" },
    { 0x7856CB33AC52F532, "finalsequence" },
    { 0x169AC6FFB57857FA, "finalstr" },
    { 0x71B655B31ED39864, "finalsurvivorcount" },
    { 0xF5F03C126E43191F, "finalsurvivoruav" },
    { 0x97D727A36E617CE3, "finalthreeuav" },
    { 0x0F5F3B24CA4F1343, "find_a_new_turret_spot" },
    { 0x97D85BF88EB66366, "find_ai_spawner" },
    { 0x358D3C575B9E468C, "find_ai_to_kill" },
    { 0x3B3A2B23CBBCB799, "find_ally_to_respond" },
    { 0xD98E3A00486ADD94, "find_ambush_node" },
    { 0x565C3E3C9399703E, "find_and_register_vo_source" },
    { 0xC4A4D973D259C118, "find_and_run_elevator_spawngroup" },
    { 0x80F97344D1861C66, "find_and_teleport_to_cover" },
    { 0xACA355F5E049E3DC, "find_best_bombzone" },
    { 0xF93634BB8B9E69F3, "find_camp_node" },
    { 0x7A71105F448B7CAA, "find_camp_node_worker" },
    { 0x80B255B10C87B105, "find_closest_bombzone_to_player" },
    { 0x31F9366F053A98B3, "find_closest_heli_node_2d" },
    { 0x0D26AF3CAEF88A24, "find_closest_path_struct" },
    { 0xD5762201AE1348E2, "find_cluster_rocket_for_bot" },
    { 0x8614FAF3085AC2A2, "find_connected_turrets" },
    { 0xB2DC5EA2197E8FC0, "find_current_radio" },
    { 0x9447F51519641672, "find_defend_node_bodyguard" },
    { 0x49009A84EB6DD365, "find_defend_node_capture" },
    { 0xA08041FB51289300, "find_defend_node_capture_zone" },
    { 0xE06796AC33208F67, "find_defend_node_patrol" },
    { 0xDA18374BA7AA8B08, "find_defend_node_protect" },
    { 0x5BEB29D78AB31EF7, "find_defend_node_protect_zone" },
    { 0x988D6996DBF177A2, "find_different_way_to_attack_last_seen_position" },
    { 0xED44A37FA9424DCD, "find_final_position" },
    { 0xF03F274030F9A53F, "find_free_drop_location" },
    { 0xE9367AE2275E2DA4, "find_good_ambush_spot" },
    { 0xED8FE40B18B2F7A5, "find_hadir_dof" },
    { 0x8BF341FB895E9BAC, "find_hvt_1_start" },
    { 0x8D19BC1F8A238D6D, "find_hvt_2_start" },
    { 0x5E736DAF4BD180CE, "find_hvt_3_start" },
    { 0x434598A5B31D574E, "find_hvt_catchup" },
    { 0x61AD3932516FE2AB, "find_hvt_jump_to_start" },
    { 0x52D61084E2745E21, "find_hvt_main" },
    { 0xB8C33F15B5B71FAA, "find_new_chase_target" },
    { 0xBB3198EC7108D3B2, "find_new_health_regen_segment_ceiling" },
    { 0xF3567DC0AECD4022, "find_new_patrol" },
    { 0x139DC72F4C878F3B, "find_plunder" },
    { 0xBD31BFC8A092E7B6, "find_safe_spawn" },
    { 0x48938DFC8863BEB4, "find_spawn_loc_from_vehicle_spawner" },
    { 0x5813F31485994DC5, "find_squad_member_index" },
    { 0x534F06C8AC57BC73, "find_supply_station" },
    { 0x77858D325F2D1123, "find_ticking_bomb" },
    { 0xAC3A524736CD1A4E, "find_unclaimed_node" },
    { 0xFCE589F5E29B0282, "findandrunrandomprimaryobjective" },
    { 0xF614EBCDE60ED29C, "findanyaliveplayer" },
    { 0xAA4A44908920999C, "findavailableteam" },
    { 0xC875728711D621DF, "findbestcoverlist" },
    { 0xE24C8757B0964077, "findbestcovernode" },
    { 0x88FAEED45AF91A58, "findbestpoi" },
    { 0xCABF7E6A84980D10, "findbestrespawncloset" },
    { 0x013C1165E219AD8E, "findboxcenter" },
    { 0x3FC81EC6460034CD, "findbuddypathnode" },
    { 0xF94AF16476DFB88D, "findbuddyspawn" },
    { 0x13CA1F03E7AD7058, "findclearflightyaw" },
    { 0x5899BDBAAB9690C3, "findclosestdroplocation" },
    { 0xA033160F4263370E, "findclosestlospointwithin" },
    { 0x399DED0682B263FC, "findclosestlospointwithinradius" },
    { 0x160D900BFEAA97B0, "findclosestlospointwithinvolume" },
    { 0x06FF1E2DCDF87411, "findclosestnonlospointwithinradius" },
    { 0x21A2CA31B658CDFD, "findclosestnonlospointwithinvolume" },
    { 0x611864A3FDA1AEA3, "findclosestpointbyapproxpathdist" },
    { 0x2D63FBCF5A0FF945, "findcovernode" },
    { 0xFEC131CDF11BDBB8, "findcqbpointsofinterest" },
    { 0x5AC0330DC82C4114, "findcurposonroute" },
    { 0xC556E635798619A2, "findenemytype" },
    { 0xCFA49837CDF76F45, "findentrances" },
    { 0x8D9875791079F592, "findequipmentslot" },
    { 0x3D8A96B45FF514CB, "findeventforchosenweight" },
    { 0xA12ED7E6B1844827, "findexistingdomflag" },
    { 0xB4F148BD3CD55108, "findfirstaliveplayer" },
    { 0xA80FB119F5E0C9FB, "findfirstpoiinlink" },
    { 0xB612B8305982EA92, "findfirststreakdifferentcost" },
    { 0xE8B8B8DF6C513658, "findgoodinvestigatelookdir" },
    { 0x0D683F48EC999F68, "findgoodsuppressspot" },
    { 0x5CF3FA99E5DAACAB, "findgunsmithattachments" },
    { 0x17292FD199991CD4, "findingcqbpointsofinterest" },
    { 0xF948AA30F2CE51CC, "findisfacing" },
    { 0x43E28AF234174CE5, "findkillstreakslotnumber" },
    { 0xDC3E712739096E5F, "findlastpointonpathwithinvolume" },
    { 0x4652FF676B972FD7, "findloadoutperks" },
    { 0x3A56FE8D94ADF053, "findmaxstreakcost" },
    { 0x6045159DD5CB4B7C, "findminmaxangleovertime" },
    { 0x518291FFA7F0C94C, "findnearbycovernode" },
    { 0x850EDCCE3051C56A, "findnearestdompoint" },
    { 0xA3D33A54A81AD2BA, "findnearestsquad" },
    { 0x11403E3D5868B578, "findnewdomflagorigin" },
    { 0x752EFA74B5B3465F, "findnewowner" },
    { 0x8EBBE48892F3B3B4, "findnewplunderextractsite" },
    { 0x993EC3AD1B9DA86A, "findnextpoiinlink" },
    { 0x362F8674CF3C6CCC, "findnextpointofinterest" },
    { 0x4A4B5DAAEE5B9DE4, "findopenlookdir" },
    { 0x5A6625E32AA354E7, "findorcreatesquad" },
    { 0x9192D9F7170B6311, "findoverridearchetype" },
    { 0x41BF894DF5AEAEC7, "findoverridearchetype_code" },
    { 0xD7BB4E6AD754C615, "findpath" },
    { 0x39C3C47072D05C02, "findpath3d" },
    { 0x66F672960348DBC4, "findpathcount" },
    { 0xF23EF3E292D3D21E, "findpathcustom" },
    { 0xED56CA70A8F5BEF0, "findpoint" },
    { 0x215C5DE600022C4F, "findquestplacement" },
    { 0x970BC3DCE50F89D3, "findreacquiredirectpath" },
    { 0x6A492B178323FC3A, "findshufflecovernode" },
    { 0x05F3469ED56C67ED, "findspawnlocationnearplayer" },
    { 0xF0A43174927D0871, "findteammatebuddyspawn" },
    { 0x4A52E5BD1C7C75BE, "findteamwithnoplayers" },
    { 0x3F1F09331211F6B7, "findunobstructedfiringinfo" },
    { 0xF2EB18244CBA39CB, "findunobstructedfiringpoint" },
    { 0x7D503B32E894972D, "findunobstructedfiringpointaroundy" },
    { 0x7D503832E8949094, "findunobstructedfiringpointaroundz" },
    { 0x6D44998CA6029BDA, "findunuseddropbaglocation" },
    { 0x6A939F74BD492362, "findvalidspectateprop" },
    { 0xC46D96BC0DD9DEEA, "fine_drop_pos" },
    { 0x46F8FFBFB21F45DE, "finish" },
    { 0x232204D4913C6126, "finish_creating_entity" },
    { 0xF5EC9DA9FD87F088, "finish_spline_path" },
    { 0x6B626BC794254D8A, "finishagentdamage" },
    { 0xB9DAE4E79FB1E167, "finishairstrikeusage" },
    { 0x23672724DA0C24A3, "finisharrival" },
    { 0x4F1159C237F5BFBA, "finishcoverarrival" },
    { 0xF1FDCDAE0170EA73, "finishcovermultichangerequest" },
    { 0xC9F7E59B3AB75955, "finished_attic_clear_vo" },
    { 0x43ADAB42038A0FDB, "finished_convo" },
    { 0x2EF032480254EE29, "finished_spawning" },
    { 0x892D1BD64E96E768, "finishlinevfx" },
    { 0x674C62FDA2E836C9, "finishmapselectairstrikeusage" },
    { 0xA860C1B38AE77612, "finishpain" },
    { 0x5935FE270073E706, "finishplayerdamage" },
    { 0xA3C007C334067981, "finishplayerdamagewrapper" },
    { 0x67455C208EFB430B, "finishplayerdeath" },
    { 0xF447522D5CF7408A, "finishreviveplayer" },
    { 0x8648F81E70602FEA, "finishstandardairstrikeusage" },
    { 0x0837B7CD34B93ECC, "finishtraverse" },
    { 0xEB0E79E4F8101349, "finishtraversedrop" },
    { 0x05B8FEE7B32C02F9, "finishzeroarrival" },
    { 0x658D1799D8C4FD75, "fire" },
    { 0xA11191EA3EF047E6, "fire_a_rocket_to_target" },
    { 0x5831B58FA85CF9E1, "fire_at_player" },
    { 0x01C12C8511885124, "fire_at_player_easy" },
    { 0xD74A2FD38DA6DEA8, "fire_aware" },
    { 0xE65BD165B899EB50, "fire_bullets_and_tracers" },
    { 0x372BDCFD748A1BFD, "fire_count" },
    { 0xE3B44AB46F40F5FC, "fire_cruise_missile_toward" },
    { 0xFF24D723C1F0424C, "fire_death" },
    { 0x435046AA84E53BD5, "fire_deployable_cover" },
    { 0x591A7E9BCD88426B, "fire_dps" },
    { 0x9663E78CB952E765, "fire_drone_rocket" },
    { 0x040E6A8A2067FB63, "fire_drone_rocket_internal" },
    { 0xF151B6044F4FABD2, "fire_duration" },
    { 0x474C2F0B79E20773, "fire_effect" },
    { 0x20323498E39CC0BD, "fire_exploder_on" },
    { 0x2A0FC47F93F7F3F5, "fire_fill_hurt" },
    { 0xDFA17FDCA497921E, "fire_flicker" },
    { 0xA66CA34D9CC79F71, "fire_flicker_alley_heli_crash" },
    { 0xE24FD7A1329EDD77, "fire_flicker_bpg_car" },
    { 0x89D0788C7CC62FB5, "fire_flicker_bpg_metal_detector" },
    { 0xF719BF16F56310F6, "fire_flicker_roof_heli_crash" },
    { 0x4DE7EA1E9F9D28A0, "fire_flicker_stair_b_car" },
    { 0x0AA8158717457ECD, "fire_guns" },
    { 0xB87940A5BE3889CC, "fire_homing_rpg_to_leading_vehicle" },
    { 0x640874C52A1E4476, "fire_hp" },
    { 0xA7A3AAAA45EA4D4B, "fire_if_alive" },
    { 0x4907F72702E15748, "fire_interceptor_missile_toward" },
    { 0x68482E70A4A5AFF2, "fire_launcher" },
    { 0xCF659F885B7FBEBB, "fire_mb_1_hit" },
    { 0x3B96F5561B9AF282, "fire_mb_1_miss" },
    { 0xB90148F12E446CDA, "fire_mb_2_hit" },
    { 0x9BD816F335D789A9, "fire_mb_2_miss" },
    { 0xEE702AE40E4379A9, "fire_minigun" },
    { 0xBBBD7A4BC15D21AA, "fire_missile" },
    { 0x3ED5CD9A3FD1703B, "fire_missiles" },
    { 0x532295822FD8825F, "fire_notetrack_functions" },
    { 0x30212398C81CF50E, "fire_on_nearby_players" },
    { 0xE4ED655F67747C6B, "fire_one_shot" },
    { 0xA5CF1C10896B779D, "fire_projectile" },
    { 0xB93AEE5790FE741C, "fire_rate" },
    { 0x641EF28902AE0B9A, "fire_reaper_missile" },
    { 0xDA7330E21D6DBA83, "fire_rockets_to_target" },
    { 0xF14C7AC3475E3FAE, "fire_rpg_to_payload" },
    { 0xD90B774D25A77309, "fire_rpg_to_target" },
    { 0xCBC435B60B8DB932, "fire_sfx_1f_door" },
    { 0xDB5B44788DFB2980, "fire_sfx_org" },
    { 0x6457B505CB3A1C54, "fire_silent_weapon" },
    { 0x7BF855144162C20B, "fire_struct" },
    { 0xF1880928D7EF3F15, "fire_super" },
    { 0xEAF473863B85A974, "fire_suppression_button_off" },
    { 0x812BB4931BD7B342, "fire_suppression_button_on" },
    { 0x7D29779DD88A8D0C, "fire_suppression_fx_on" },
    { 0x4F2AFCF171AA144D, "fire_suppression_jugg_vo" },
    { 0x2871318581453A88, "fire_suppression_logic" },
    { 0x667A18243966B53E, "fire_trigger_on_and_off" },
    { 0xAAB4DE9B34C82298, "fire_turret" },
    { 0x7839581F62DEE3D2, "fire_victim_watch_for_player_damage" },
    { 0x77C100273B4C1AF8, "fire_warhead_toward_target" },
    { 0xCB651CC25572816E, "fire_weapon" },
    { 0x5FE1A31952EE913F, "fire_weapon_fail" },
    { 0xF8FB592FF3306309, "firebullet" },
    { 0xBAD87FD1384F7F4A, "firebullettrace" },
    { 0x1A47F857B9388C63, "fired" },
    { 0xCA322578C95BC08A, "fired_commands" },
    { 0xA3E9E70465DE844D, "fired_missiles" },
    { 0x205B3F87FE439150, "firedamage" },
    { 0xA48C5062790D540E, "firedamagefx" },
    { 0x0806906EA31E556B, "firedamagefxoff" },
    { 0xE75DA51F4DFC3C7B, "firedamagegesture" },
    { 0x68CDCABE5CA81D9D, "firedamagegesturesoff" },
    { 0x9ED25C2ECAE3DFA0, "firedamageoverlay" },
    { 0xA5B86B6A8E161943, "firedamageratio" },
    { 0x600D24F0F852AF03, "firedamagevfxintensitythink" },
    { 0x0347C11AA5D704BE, "firednotify" },
    { 0x67DC36E94FD9D2F8, "firedronesfx" },
    { 0x0A822E7B311E0A2C, "firefuncs" },
    { 0xF94E4550A247EF85, "firefx_hack_viewkick" },
    { 0xE191570B6F9FADC4, "firegesture" },
    { 0xF10D0F4E3CA2F232, "firegesturegrenade" },
    { 0xB018234C2FD230FF, "firehealth" },
    { 0x6BC673F433FD91C1, "fireholdtime" },
    { 0xD1AF3AE8E9234664, "fireintervalmaxtimes" },
    { 0x2A3994D8556E7E22, "fireintervalmintimes" },
    { 0xB9D1A6DC59906849, "fireloopmod" },
    { 0xEA321649AFD31A9C, "firemanager" },
    { 0xA7A6D018FFF97679, "firemaxcounts" },
    { 0xEA9097B3595F8871, "firemaxforwardimpulse" },
    { 0x88BC5FFA6C31F6D7, "firemaxupimpulse" },
    { 0x3DB10A33E33A30BF, "fireminforwardimpulse" },
    { 0xDC44CB96C8F44825, "fireminupimpulse" },
    { 0x79467C1430773273, "firemissile" },
    { 0x69F74A4369D5F01C, "firemode_feedback" },
    { 0xEA8E356479C79129, "fireoffsplashforplayer" },
    { 0x50E1937DA3EC5BE0, "fireoncannontarget" },
    { 0xE553612D11C59EC9, "fireontarget" },
    { 0xCF4311D13E8562FB, "fireonturrettarget" },
    { 0x40B79B3ABB892E03, "firepainoverlay" },
    { 0x7297C219E8E29E33, "firepistolhint" },
    { 0x5101ED36B29397DC, "firerapidmissiles" },
    { 0x1F56F5A3DA25C464, "firerumble" },
    { 0x460C690FC36B74F9, "firesalediscount" },
    { 0x996976F6CE04BD89, "firesaleforplayers" },
    { 0x5AF4BCC3AC98EB0C, "firesfx" },
    { 0x92B8BA3A53036220, "fireshield" },
    { 0x7121619BC173B681, "firesmolsfx" },
    { 0x370F500241D9D311, "firespoutwatch" },
    { 0x5C328A04E7F94973, "firestation_jugg_spawn" },
    { 0x74FE28D54097F5F8, "firestation_jugg_test" },
    { 0x117149C130556898, "firetarget" },
    { 0x0542640E258C671D, "fireteamleader" },
    { 0x2C05C9DFD11DA0B4, "firetime" },
    { 0xEE5BBE38E42895A5, "firetimes" },
    { 0x45FB1DDF2940C81D, "firetype" },
    { 0x280B1FC7B978C9EA, "firetypes" },
    { 0x89229B1F32B54E26, "firetypeweights" },
    { 0x309843C38DF8930F, "firevfx" },
    { 0xA567DB9E6311A191, "fireweapon" },
    { 0x96B0A6C875FDFE2D, "firing_start_locs" },
    { 0xE2A7C53A58785B92, "firingbullet" },
    { 0xD314345058195FA4, "firingdeathallowed" },
    { 0xE587A50BC156E2FD, "firingguns" },
    { 0xDCCA1E91C585EB0B, "firingmissiles" },
    { 0xE24C2C894116B79F, "first_blast_enemy" },
    { 0x89F6A87364AC91AA, "first_bleedout" },
    { 0xC94A8F6A6FD9CDA8, "first_cell_look_at_watch" },
    { 0x312EF31E1EC9F0C0, "first_convoy" },
    { 0x2AAEBD57169E4B5C, "first_convoy_lmgs" },
    { 0x0E0B6F286AFEF352, "first_entered_search_area" },
    { 0x2F69390FF48D4713, "first_equipped" },
    { 0x4B5C99919F0F7F36, "first_floor_clear_dialogue_handler" },
    { 0x08FF602E977E9AC8, "first_floor_lookup_handler" },
    { 0x18773291FE63CBF9, "first_floor_stairs_climbing_dialogue_handler" },
    { 0x9268D8AE9214A67F, "first_frame" },
    { 0x017878F9546EFAD9, "first_frame_time" },
    { 0x3CA293D2159DE17A, "first_hint_func" },
    { 0xE2938FBB472ECB53, "first_hvt_callout" },
    { 0x50D82DC08D377A95, "first_hvt_pickup" },
    { 0xE5C64608B6DCA036, "first_interaction" },
    { 0x6E0061C63587296E, "first_intro_text" },
    { 0x6C8A2509187270D4, "first_lost" },
    { 0x8591562839D1D81B, "first_move" },
    { 0x90AA91EC2CF53E73, "first_person" },
    { 0x0686868F644BB9FD, "first_press" },
    { 0xC682A9A7624D5360, "first_pressure_switch_triggered" },
    { 0x9493425DBE596364, "first_roof_struct" },
    { 0xF8DD7228610F252F, "first_spotted" },
    { 0x8D85DBB5CA6700EE, "first_stab_lines" },
    { 0x9E21B410390F0D7B, "first_struct" },
    { 0xF622CEC282B765B6, "first_switch" },
    { 0x3C2C2E3F6B24E927, "first_time" },
    { 0xBE73CCF200738531, "first_time_enter_vehicle" },
    { 0x0A08E7E64CF45671, "first_touch" },
    { 0xBB1D04A233DB122A, "first_trip_defused_vo" },
    { 0xDADF87EEDD10AB55, "first_waterboard_sequence" },
    { 0x73DB83C98F54AFA8, "first_wave_override" },
    { 0xAF82BF4364BB8015, "firstblendtargetpos" },
    { 0xCD6D0E437AFE5AD2, "firstblendtargetrot" },
    { 0x23D543D2D78E5847, "firstblood" },
    { 0x5504902B5466AC46, "firstc130endtime" },
    { 0x29BA1D0C63D02441, "firstcapture" },
    { 0x75D0397736A7C9B6, "firstcirclecomplete" },
    { 0x5C1DD7C557ACD336, "firstcircletimer" },
    { 0xDABE161438C3E27A, "firstclosetime" },
    { 0xAE127740947C50C3, "firstcontact" },
    { 0xF0AA8B4B318D642D, "firstcratedrop" },
    { 0x48C5D96C7DDF8E10, "firstdamagedone" },
    { 0xE95788FFC2550DB1, "firstdelaytime" },
    { 0x3FA4885E7B5D97AE, "firstforwarddist" },
    { 0x594D99A2BB3E297E, "firstforwarddistwall" },
    { 0x61FE84BF48420472, "firstforwardmindist" },
    { 0xAF7FA35F0F013FA4, "firstforwardmodanglesfunc" },
    { 0x89786C27494F2332, "firstinfectedsplash" },
    { 0x0211ACCFEB8FEE73, "firstinit" },
    { 0xE344FE10EE993095, "firstkillplayers" },
    { 0xCB12A99EC230AA1A, "firstminimapradius" },
    { 0x1D4920382649EB66, "firstnomovetime" },
    { 0xF54881184FFF245D, "firstphaseend" },
    { 0xAD1F5F9C057852C5, "firstpickup" },
    { 0x787719A76DAE1200, "firstplacement" },
    { 0x88EA0F7331E943D3, "firstradius" },
    { 0x350E0AFDC4EB7056, "firststabs" },
    { 0x944C4438927FF495, "firsttaunttracker" },
    { 0x902DD744BF95948C, "firstteam" },
    { 0xBD340FA68C08347B, "firstthink" },
    { 0xCC358344EC5187E4, "firsttime" },
    { 0xCD439377C7582AB4, "firsttimebomb" },
    { 0x6A8693A0D145FC23, "firsttimedamaged" },
    { 0x64C78617301373B9, "firsttimehit" },
    { 0x422741D6DB407BDF, "firsttimeplace" },
    { 0x973B9DD879103517, "firstupgrade" },
    { 0x20B3D8645F6B5D66, "firstzoneactivationdelay" },
    { 0xF01B9FB150250DB9, "fists_weapon" },
    { 0xD8BBB52EC9AF61AC, "fivecontracts" },
    { 0xF2F9DF2FFD6A9B7A, "fix_badcover_atend" },
    { 0x6BD6AB547E0DEBAB, "fix_collision" },
    { 0xCE3F694CD812DCF3, "fix_collisiontwo" },
    { 0x4EF890A43F0458A0, "fix_door_clip" },
    { 0xA4C5448B4A2E1C75, "fix_heli_blades" },
    { 0x6D312BAA2B1576C0, "fix_wall_traversal" },
    { 0x45D2B146BB8390A3, "fixarchetype" },
    { 0xFDB15B0E153FC4B1, "fixattachment" },
    { 0x7A4EAB2ABC6384BC, "fixcollision" },
    { 0x47EC6714739B94C0, "fixedlzs" },
    { 0x1589562AA617B6BD, "fixednode" },
    { 0x0E683A3126867C56, "fixednodesaferadius" },
    { 0x475B889F1E209DDC, "fixednodesaferadius_default" },
    { 0xE1F83665E7F6C896, "fixednodeshouldsticktocover" },
    { 0xFB3D3417148419F3, "fixednodewason" },
    { 0x067CC52CE98FB208, "fixedshouldsticktocovercached" },
    { 0x0AA97EB5C277A177, "fixedshouldsticktocovertime" },
    { 0x01123978222CCBC9, "fixinvaliditems" },
    { 0xAEF82F48F2B306CF, "fixkillstreaks" },
    { 0x19A5E47108E352C5, "fixlinktointerpolationbug" },
    { 0x04080153D2C4C0CC, "fixloadout" },
    { 0x188B792B05DB4180, "fixperk" },
    { 0x06F8DD51F1DD224A, "fixplacedweapons" },
    { 0xE2A4000B2B72B7ED, "fixpower" },
    { 0x4B2697717BEE5AA7, "fixsuper" },
    { 0x949B55F544830686, "fixsuperforbr" },
    { 0x314476C7CB17F916, "fixture" },
    { 0x0EFE6FA6231B58E3, "fixuppickuporigin" },
    { 0x6008B6FCFA4F3091, "fixupplayerweapons" },
    { 0x293AA255AB2B466C, "fixupscriptableorigin" },
    { 0x9E216BAAED1AB49C, "fixupsupersandtacticalsforgunfightmaps" },
    { 0x367DED8CA2FCB394, "fixuptrigspostship" },
    { 0x8D57EB3054757CE8, "fixweapon" },
    { 0x36F28A99B57AC10B, "flag" },
    { 0x52280B0A1CF6F4C1, "flag0" },
    { 0x52280A0A1CF6F28E, "flag1" },
    { 0x40AEDD9A9BD9446E, "flag_assert" },
    { 0x2D664055C6F9A7CB, "flag_bot_attacker_limit_for_team" },
    { 0x557C1DD01944B62B, "flag_bot_defender_limit_for_team" },
    { 0x2415405593CFA791, "flag_carriers" },
    { 0x6DBA7BE8A128ED91, "flag_clear" },
    { 0x4B12711715192DF4, "flag_clear_delayed" },
    { 0x7A9C28DBFD2E0ED5, "flag_clear_delayed_endonset" },
    { 0xF628587EFD95D7B2, "flag_create_team_goal" },
    { 0xF63AC4077561DFCD, "flag_default_origins" },
    { 0x35F9A695A0E599BC, "flag_distances" },
    { 0x57B9EDD3A74CE257, "flag_exist" },
    { 0x634A74024E12FB0B, "flag_find_ground" },
    { 0x3BEDE2CE006EB050, "flag_has_been_captured_before" },
    { 0xF15623FAC1C8B73B, "flag_has_never_been_captured" },
    { 0x53F9CFA02EE2DAAE, "flag_init" },
    { 0x3CDE92353C9520E1, "flag_num_players_on_team" },
    { 0x55ED1E135BB5852E, "flag_on_button" },
    { 0xA88C9BCF58625531, "flag_on_crouch_pressed" },
    { 0x794ABE67B9576C9C, "flag_on_death" },
    { 0x8000F6C7B2C56283, "flag_on_jump_pressed" },
    { 0x93549D08B77C5D06, "flag_on_moving_forward" },
    { 0x2B4731EAAA0BE85B, "flag_on_sprint_pressed" },
    { 0xC8D54CF4007005A0, "flag_on_vip_cash_collect" },
    { 0x3851F96B45B42653, "flag_progression" },
    { 0x33245CA16261F3C1, "flag_react_sound_array" },
    { 0xD761A955FC25B534, "flag_set" },
    { 0x38BBCA38B665CCB5, "flag_set_delayed" },
    { 0x1351F75D22249E5D, "flag_set_role" },
    { 0xA2C56623BC916719, "flag_setup" },
    { 0x265C98AD9A434E9B, "flag_setupvfx" },
    { 0x3EDEC261EC68B90D, "flag_struct" },
    { 0x0074CAE6C68EE52C, "flag_think" },
    { 0xD29A5A27D31A2C4B, "flag_trigger_init" },
    { 0xCA54CD69750C73A8, "flag_triggers_init" },
    { 0x993C89B6CCCE803D, "flag_wait" },
    { 0x31A5F5A842B2F3E5, "flag_wait_all" },
    { 0x31AEFCA842BD21F8, "flag_wait_any" },
    { 0xCAFB88106ECACB7F, "flag_wait_any_return" },
    { 0xBB26D43DDFC5BBA8, "flag_wait_any_timeout" },
    { 0x6DA221D47A59579B, "flag_wait_either" },
    { 0xA28A160A1B4C533D, "flag_wait_either_or_timeout" },
    { 0xD8E11F7AA93822D2, "flag_wait_either_return" },
    { 0xA5860E547F11BB47, "flag_wait_or_timeout" },
    { 0x3AB8792BF55EFC21, "flag_waitopen" },
    { 0x4BD4BDA9BCAE301B, "flag_waitopen_all_array" },
    { 0xD44A64799DF61212, "flag_waitopen_any_array" },
    { 0x004A4AE40E1E8857, "flag_waitopen_either" },
    { 0xF12C2A28989E881B, "flag_waitopen_or_timeout" },
    { 0x08259F6E9F8269E2, "flagactivationdelay" },
    { 0xDE489771B528954E, "flagattachradar" },
    { 0xBC982A3C64E22236, "flagbase" },
    { 0xCCA3C8BB62962450, "flagbaseglowfxid" },
    { 0xDBB9F74991E9D814, "flagcapsuccess" },
    { 0x20254E54964BFDEA, "flagcapturetime" },
    { 0x41834F99888F788F, "flagender" },
    { 0xC412A43E0007D5A6, "flagenemyunattackable" },
    { 0x96DFF2DC569060D9, "flagged_for_use" },
    { 0xF8C5FBA0C28F5155, "flaginit" },
    { 0x9DFD1C11084E91D2, "flaglockedtimer" },
    { 0x9370A973DD857748, "flagmodel" },
    { 0x723B8DE6D140C070, "flagname" },
    { 0x28C3A34222205A52, "flagneutralization" },
    { 0x54377E7A070786CE, "flagonexit" },
    { 0x93181AA11E3788D3, "flagonrevive" },
    { 0x40466D8F5B011C78, "flagownersalive" },
    { 0x2D572B4D3A6CFCD2, "flagpickupchecks" },
    { 0xC5641512F1B3230A, "flagradarmover" },
    { 0x3813C285C8E22132, "flagradiusfxid" },
    { 0x5228480A1CF77AE8, "flags" },
    { 0x2F46C1C7C34A24F2, "flags_lock" },
    { 0x9C76EF12667FFF3C, "flagsetup" },
    { 0x4DC4D9F5A2A2FDB2, "flagsrequiredtoscore" },
    { 0xEFDEDC54EC031682, "flagstatforbufferedwrite" },
    { 0x6B29F2C2A60E2506, "flagwaitthread" },
    { 0xB7ECF8FFD151BE53, "flagwaitthread_proc" },
    { 0x340A8194D10EA463, "flagwatchradarownerlost" },
    { 0x585BB1D671709910, "flame_damage_time" },
    { 0xC5A61193DDB90B69, "flame_emitter" },
    { 0x78DD136A3355EC31, "flank_alley_helis_1" },
    { 0x78DD106A3355E598, "flank_alley_helis_2" },
    { 0x5441496C34A6020E, "flappy_clothes" },
    { 0x5284480A1D5C3D8B, "flaps" },
    { 0x9AA5A2145F74C5DD, "flapsthink" },
    { 0x527B4A0A1D522343, "flare" },
    { 0x3780E7873927E3F3, "flare_activated" },
    { 0x22BE9AE2CEA4B4C8, "flare_ai_ent_flag_setting" },
    { 0xB44AC6A82E808353, "flare_box_setup" },
    { 0x92D44E5EEF68F76A, "flare_box_think" },
    { 0x3B6B6228A4E6EE01, "flare_boxes" },
    { 0xB37E1AF11CC13E87, "flare_countdown" },
    { 0x170AF17534211A08, "flare_counter" },
    { 0x2DA990BAA5D4CD3C, "flare_duration" },
    { 0xA4CAE56ED81E263A, "flare_enable_loop" },
    { 0x4BD727E918DA4D8A, "flare_fx" },
    { 0xF88A843BA0D8390C, "flare_fx_ent" },
    { 0x9238626ED0597A3B, "flare_held" },
    { 0xE469B4D7D12279E5, "flare_launchers" },
    { 0x1CD3904406FEFE17, "flare_lifetime" },
    { 0x584101DC675ED558, "flare_light" },
    { 0xB8B5F31BC973B3C0, "flare_light_up" },
    { 0x0DBE9EDB7F5403E9, "flare_mover" },
    { 0x3FBFD2519BB17596, "flare_nag_1" },
    { 0x3FBFD1519BB17363, "flare_nag_2" },
    { 0x4288E8EB28F2A7D8, "flare_nag_2_skipped" },
    { 0x3FBFD0519BB17130, "flare_nag_3" },
    { 0xB3F67512D4E36981, "flare_objective_struct" },
    { 0xA17CA2F8898DDAF5, "flare_pickup_disabled" },
    { 0x1774FF0731DAA381, "flare_setup" },
    { 0x858A571F76AA52D1, "flare_spawn_array" },
    { 0xFCCB65E77D9465CC, "flare_thread" },
    { 0x93981659F8EEBCE5, "flare_timer" },
    { 0x690B13F2AD7DC376, "flarecooldown" },
    { 0xEFF07E082EFBA02D, "flarefastpickup" },
    { 0x3F38C3E9CA10427F, "flarenag" },
    { 0x1A18E72761C14064, "flarenags" },
    { 0x2FFD31EEF540458D, "flareorigin" },
    { 0xE2A362A21D9802EA, "flareready" },
    { 0xB747043E7BA36290, "flares" },
    { 0x55793B783CB53508, "flares_areavailable" },
    { 0x81D86529A4F7FD66, "flares_cleanflareslivearray" },
    { 0x5C37956D43AE2AE1, "flares_deleteaftertime" },
    { 0x65C7DC8877BCC746, "flares_deploy" },
    { 0xA8D42DE3888158C1, "flares_fire" },
    { 0x021E6A26959E79A0, "flares_fire_burst" },
    { 0x15DECF7BB2500AF0, "flares_from_structs" },
    { 0xCE77DAAC2C2CF84A, "flares_get_vehicle_velocity" },
    { 0xCDCAC43FB64B0BA7, "flares_getflarelive" },
    { 0xBA280F2DF6C5ADB3, "flares_getflarereserve" },
    { 0x79B8D1DF4DEF0618, "flares_getnumleft" },
    { 0x534F2974E97DF672, "flares_handleincomingsam" },
    { 0xB57E016AD1756B33, "flares_handleincomingstinger" },
    { 0xDEFB073F150B101B, "flares_init" },
    { 0xAE66B53CE4C39851, "flares_monitor" },
    { 0xC1A4E869B23C070D, "flares_playfx" },
    { 0x9791B4EA77779B27, "flares_redirect_missiles" },
    { 0xBA66212CC6DFB57E, "flares_reducereserves" },
    { 0xE9DC08E04AC20563, "flares_think" },
    { 0x1E898D388D6465D8, "flares_watchsamproximity" },
    { 0x8CA017CEB4C97287, "flares_watchstingerproximity" },
    { 0x47E72F1D2E7B577F, "flarescount" },
    { 0x6A6E7AB2AA5AB252, "flareslive" },
    { 0x764EF8493D8685D7, "flaresreservecount" },
    { 0x52803B0A1D582B1D, "flash" },
    { 0x82A283158DF298E0, "flash_allies" },
    { 0x65EEC493267E29E9, "flash_color" },
    { 0xED58298A6E04528F, "flash_crate_player_at_max_ammo" },
    { 0xD42DA8E00B5E062D, "flash_crate_spawn" },
    { 0x25E7956CCA7AD5CC, "flash_crate_update_hint_logic_alt" },
    { 0x324CDC2900576B29, "flash_crate_use" },
    { 0x116323D86145D7B9, "flash_group" },
    { 0xC6B4F7C108F94315, "flash_hint_timer" },
    { 0x1DBB7AF1512BC56D, "flash_icon_extraction" },
    { 0xBA19271EB8646352, "flash_inventory" },
    { 0x4D0A56DE199D5EE6, "flash_react_thread" },
    { 0xE082B03E445B7834, "flashanimindex" },
    { 0x61215D6F2BCE7DDB, "flashbang" },
    { 0xCB71A35E342E527A, "flashbang_ai" },
    { 0x3CE104F08DA94D46, "flashbang_immunity" },
    { 0xA67522D604E94456, "flashbang_tutorial" },
    { 0xF906458EDE038394, "flashbang_watcher" },
    { 0x87D58120A60524D2, "flashbanganim" },
    { 0x25412CA69826B9DA, "flashbanged" },
    { 0x4C3DF4F7BA4EB028, "flashbangedloop" },
    { 0xF84C45A7ACBACF42, "flashbanggettimeleftsec" },
    { 0x7F7C0347D58DACC9, "flashbangimmunity" },
    { 0x10E228E6F17372DA, "flashbanginvulnerability" },
    { 0xCAC01CA4332FD461, "flashbangisactive" },
    { 0xD52FEC86E829FD7B, "flashbangmonitor" },
    { 0x508729DA40FA9048, "flashbangrumbleloop" },
    { 0x96AEC168E7046BB9, "flashbangstart" },
    { 0xE9D60673AEAE48F3, "flashbangstop" },
    { 0x233DD28715547BE4, "flashed" },
    { 0x3814AFDB7FE76AF8, "flashed_animnode" },
    { 0x3AA97A6EAFA65903, "flashendtime" },
    { 0x3E14817921425B63, "flashenemies" },
    { 0x4A2F811388DBE9F4, "flashentercode" },
    { 0xA4C69D5C0A901124, "flashfiremain" },
    { 0x85138C17B44CC601, "flashfrac" },
    { 0x65EF7C28D1E3B1F4, "flashimmune" },
    { 0x117E08E12B255132, "flashing_lights_decho_loop" },
    { 0xAA2C29FC779E8E3D, "flashing_lives_screens" },
    { 0xB139793E57816F6A, "flashingteam" },
    { 0x530AF479BF933339, "flashinvul" },
    { 0x9E6B05B51FC52BC7, "flashlight" },
    { 0x85202FEE15CD331B, "flashlight_equip_hint_check" },
    { 0xBD7E1B5C8AAB2E00, "flashlight_laser_cleanup" },
    { 0xB039A24BFAE17531, "flashlight_laser_off" },
    { 0xCD8F3861E59E1DD5, "flashlight_laser_on" },
    { 0xAC5CBC7A1441F2C3, "flashlight_management" },
    { 0xDE9FBCA68462A82D, "flashlight_off" },
    { 0xD404D72BF2981E11, "flashlight_on" },
    { 0x05DAAE007CF66CAA, "flashlight_tutorial" },
    { 0x2AA44FA597915451, "flashlightfx" },
    { 0x83E3CE5585E60641, "flashlightfxoverride" },
    { 0xE34083F9ED13E397, "flashlightfxoverridetag" },
    { 0x5A5C7D443507B327, "flashlightfxtag" },
    { 0xB92BD668CDAFD007, "flashlightinuse" },
    { 0x1B09925ACC0ECC52, "flashlightlaser" },
    { 0x30DD3FA28AF93AD2, "flashlightlaserweapon" },
    { 0x582E421EB0CC7AE4, "flashlightmodel" },
    { 0x95A45A690BB92BAC, "flashlightmodeloverride" },
    { 0xF1D1882DCA906DF1, "flashlightnotehandler" },
    { 0x2AC25FA597B19662, "flashlighton" },
    { 0xBDE5E1B4AF1C65D7, "flashlightoverride" },
    { 0xA82EC3BA685B6B9C, "flashlightreactionnotehandler" },
    { 0x6C5B3146B2841488, "flashlightxanim" },
    { 0x70B2609C26668A5A, "flashlockpropkey" },
    { 0x231AE387152E598F, "flashme" },
    { 0x1098FBDBC1DE02E9, "flashpoint_addeventtoqueue" },
    { 0xE3016E85BF72B1F9, "flashpoint_checkforownerupdate" },
    { 0xFC5B7D1D418C3F8A, "flashpoint_clearoldestpoint" },
    { 0x16BE49BEA7071F3C, "flashpoint_createmarker" },
    { 0x19C392412A0F8D20, "flashpoint_createnew" },
    { 0x95E954ACEA7393CE, "flashpoint_endingsoon" },
    { 0x31CE079174C993F2, "flashpoint_objectives" },
    { 0x0268DE721FD31CAD, "flashpoint_processnewevent" },
    { 0xADB4DA841D4F5254, "flashpoint_shutdown" },
    { 0xFB444058B20C1933, "flashpoint_spawnselectionvfx" },
    { 0xDB92EA46C1C350C7, "flashpoint_struct" },
    { 0xFF393F86CCE44D5D, "flashpoint_systemthink" },
    { 0x86D4918174E0428F, "flashpoint_systemtoggle" },
    { 0x3B3B299B547975DA, "flashpoint_trackingevents" },
    { 0xEBC7912053137EE5, "flashpoint_trackplayerevents" },
    { 0x4F6A20A78AE21003, "flashpoint_updatepoint" },
    { 0xA4A284411480B508, "flashpoint_usebigmapsettings" },
    { 0x2E86AC1CA68677EB, "flashpointactive" },
    { 0xECF5DC5D63DF8B26, "flashpointdebugactive" },
    { 0x728F6CA7433E9F53, "flashpointmindist" },
    { 0x367D3E1F60B52FCE, "flashpoints" },
    { 0x9C2E516A4F2CBBF2, "flashrumbleloop" },
    { 0x541C7B020E3C189A, "flashtheprops" },
    { 0x0A099AAAA12EA559, "flashthread" },
    { 0x406EBA2E0030E562, "flat_angle" },
    { 0x11460DFEB729AC0D, "flat_origin" },
    { 0x35A1C00164E2151D, "flatten_vector" },
    { 0x1AB65A326EB6B662, "flavorburstlinedebug" },
    { 0x40EA843437FFAE46, "flavorbursts" },
    { 0x84260A9C2E9EA658, "flavorbursts_off" },
    { 0x1255977E3B31C696, "flavorbursts_on" },
    { 0x580C3102B2CE826F, "flavorburstsused" },
    { 0x1FB21AAB271C41E2, "flavorburstvoices" },
    { 0x1BD027B4CEE06E81, "flavorburstwouldrepeat" },
    { 0xBCEB67309035B860, "flicker_flare" },
    { 0x7AD6154E2A46C9C8, "flicker_flare_up" },
    { 0xE20F3FD2792B8ED0, "flicker_light" },
    { 0xEF05F75558A8C3B4, "flicker_light_and_fixture" },
    { 0x17C681A34EDFCFBE, "flicker_light_setup" },
    { 0xA28EA1C4E3B1B490, "flicker_tank_lights" },
    { 0x1AF78574AF05545A, "flickerdelay" },
    { 0xDA5FA9C27F4780E1, "flickerendtime" },
    { 0x7915D76380A561D7, "flickerfire" },
    { 0x68C20D94CA6A106A, "flickerlightintensity" },
    { 0xDCA3D91D9D06B950, "flickerlightmh" },
    { 0x56CA25D4DAFE4FE2, "flickerlights" },
    { 0x96890F0D634BF6CD, "flickersinglelight" },
    { 0x941B986D7A4BA6DE, "flickersource" },
    { 0x05BAA9B5F81BAD1A, "flight_pos" },
    { 0x69AE06903D5CB71A, "flight_pos_dot" },
    { 0x243E4EE5A9CBBD7E, "flightdir" },
    { 0xEA25472D0BBCCE00, "flightheight" },
    { 0x7D4F1BFB6096DBB8, "flightpath" },
    { 0x0327BCA375BAFE2E, "flighttime" },
    { 0xF5A2F6E4CCBB6A7A, "flightyaw" },
    { 0x82E0C5738666CE97, "flinch_civs" },
    { 0x48216D354E4E83BD, "flinching" },
    { 0x35938012FFF0AECD, "fling_zombie_thundergun_harpoon" },
    { 0xF4F0A8E7E99DE81A, "flip_target" },
    { 0xF604BEC6202DC5C6, "flip_time" },
    { 0x07F0062A6C748B2B, "flipleftright" },
    { 0x64576B1E09AAC20A, "flipping" },
    { 0x36CF8D99B5547FEC, "flir" },
    { 0x60646D1EDA302813, "flirfootprinteffects" },
    { 0x207276082C653C4C, "flirfootprints" },
    { 0xF9004909DAD666A9, "float" },
    { 0x2446B6E4D3ADF8CF, "float_remap" },
    { 0x664A0AC354518057, "floating" },
    { 0x7727BF683BC9FA97, "flood_and_secure" },
    { 0x9AD8ABF476246A07, "flood_and_secure_spawn" },
    { 0xA3D12ADE55673C5B, "flood_and_secure_spawn_goal" },
    { 0xC82F377B064BE79C, "flood_and_secure_spawner" },
    { 0x02DFB4D9D9316AB7, "flood_and_secure_spawner_think" },
    { 0xC5BC5FD75ECC65A7, "flood_spawn" },
    { 0xB7873EDD31D4F45E, "flood_spawn_allies" },
    { 0xE7CE407E456E7AEA, "flood_spawn_till_flag" },
    { 0xBD78AE86E2D0EB27, "flood_spawner_init" },
    { 0xB55D7019E5DB8737, "flood_spawner_scripted" },
    { 0x607C5AA3CB6F1E17, "flood_spawner_think" },
    { 0x2B801F9C4DC5EF7F, "flood_trigger_think" },
    { 0x6A138961BCD0EF25, "floodlight_blowout_think" },
    { 0x64483086B1438861, "floodlight_controller_init" },
    { 0x7D757BC57632B0F3, "floodlight_controllers" },
    { 0x30A1E226E2C1DF3F, "floodlight_death_watcher" },
    { 0xEB0EBDA167C8BA86, "floodlights" },
    { 0x1D360C3338589C09, "floodlights_death_hint" },
    { 0x2DE82237A68A7CE5, "floodlights_init" },
    { 0x28EB6CEAD0AC6F98, "floodlights_off" },
    { 0x7EBC8F98BE7018D6, "floodlights_on" },
    { 0xFA0550520FA618E7, "floodlights_on_audio" },
    { 0x38990E41E8676DF1, "floodlights_stealth_filter" },
    { 0x107E91F763A9D78D, "floodlights_think" },
    { 0x281FEC181AF2C0A8, "floodlights_vision_think" },
    { 0xF8D45309DAA61641, "floor" },
    { 0xED64FA86D9BF0FB5, "floor1lights" },
    { 0x73188687E8FB9960, "floor2lights" },
    { 0x3147CF4317FB19D3, "floor_gas" },
    { 0xAD485C42B6B2A412, "floor_num" },
    { 0x3E2CC9BF9D0E3B32, "floor_override" },
    { 0x7D4C05A8C81466E4, "floor_turrets_11" },
    { 0xFDAEA9ADD73C2AA5, "floorobjectives" },
    { 0x3F29E53EB5F8844E, "fluctuatevalues" },
    { 0xA2EC50099C189CF1, "flung" },
    { 0x26FFF6D30DD78F46, "flushmidmatchawardqueue" },
    { 0x0A6602497CF6AE7A, "flushmidmatchawardqueuewhenable" },
    { 0x9B9C3D5D629EEF02, "flushscoreeventpopupqueue" },
    { 0x4A93C336A0BD51FE, "flushscoreeventpopupqueueonspawn" },
    { 0x696B6A18868EF423, "flushscorepointspopupqueue" },
    { 0xBECF5E698F9244BD, "flushscorepointspopupqueueonspawn" },
    { 0x1D74F97DD7D3FA04, "fly_allydroneflynearplayerupdate" },
    { 0x631A8D340317F938, "fly_allydronepathlogic" },
    { 0x817574056EA764D4, "fly_allydronesshotdownlogic" },
    { 0x895E1E7947D333F7, "fly_blima_death" },
    { 0x524DE3BAF4ED9DB1, "fly_blima_god_mode_off" },
    { 0x317ECFB25F41789B, "fly_catchup" },
    { 0xEB3F14D9CA3FC349, "fly_enemieslogic" },
    { 0xBFDB962067EAB206, "fly_getallydronestartnodes" },
    { 0x60651EDA9E0FBFDC, "fly_getallyvehiclespawners" },
    { 0x4B168E458B21B728, "fly_getenemynodes" },
    { 0x14DE987BDBE1210E, "fly_getenemyspawners" },
    { 0x7299A538532439A0, "fly_getenemyvehiclespawners" },
    { 0x0A14CA930B0B42B2, "fly_getplayerdrone" },
    { 0x6002B3EEF9B39B86, "fly_getplayerdronestartnode" },
    { 0xA0836511B4DC81DF, "fly_getplayerdronesuccessvolume" },
    { 0x8DCA3372C764A8E8, "fly_hintlogic" },
    { 0xFBD24CE9117409E4, "fly_in_lights" },
    { 0x35B1700B38BA263A, "fly_main" },
    { 0x6A6DB826D7E08501, "fly_over_path" },
    { 0xCECFD293E0EA809A, "fly_over_start" },
    { 0x579ECD0F2542CE8C, "fly_path" },
    { 0xA35987040652973B, "fly_player_hit_helo" },
    { 0x4348B4B665240B35, "fly_spawnallyvehicles" },
    { 0xA3169E60D1F9ABE2, "fly_spawnenemies" },
    { 0xD05704635491E3C7, "fly_spawnenemyvehicles" },
    { 0x7E3EC36A80DDFEB9, "fly_start" },
    { 0x19272DD573DF974D, "fly_tarmac_blima_01" },
    { 0x19272AD573DF90B4, "fly_tarmac_blima_02" },
    { 0x4B89B3E6A0FCF331, "fly_to_end_point" },
    { 0xB8B325D5BC00994E, "fly_to_laser_trap_start_pos" },
    { 0x53CBC01381A95B07, "fly_to_loc" },
    { 0xB64218B68782987B, "fly_to_node" },
    { 0x7AEC1E2C89818C58, "fly_toward_retreat_struct" },
    { 0xF62EE0556E1FB41F, "flycam_intro_start" },
    { 0xDB8C6B28142B096D, "flyheight" },
    { 0xCE8943E16212BEFF, "flytime" },
    { 0xB73FAF6B79D464B9, "fn_damage_pack" },
    { 0x6D4DC94100DCEC1A, "fn_spec_op_post_customization" },
    { 0xDA4BA0849DEDF212, "fn_weapons_free" },
    { 0x71B35038BB2611B5, "fnachievements" },
    { 0x423778BB08A26DDE, "fnaddeventplaybcs" },
    { 0x5C3EF1DD9288FAB6, "fnadditive_twitch_get" },
    { 0x4206F871DC6BBA70, "fnaddthreatevent" },
    { 0x7FDC101A45BB6FE3, "fnanimatedprop_setanim" },
    { 0x6733FF1C7F785497, "fnanimatedprop_setup" },
    { 0xBE7A3BF5D24A513B, "fnanimatedprop_startanim" },
    { 0x2337334B01867EE4, "fnanimbranch" },
    { 0xB05DE9E0D9BCD93C, "fnanimgenericcustomanimmode" },
    { 0x0AE5676CAAB5047F, "fnasm_clearfingerposes" },
    { 0x2365C0D8067FD9C6, "fnasm_handlenotetrack" },
    { 0x0D41C7ACB085D017, "fnasm_init" },
    { 0xF1163445E2921968, "fnasm_initfingerposes" },
    { 0x62A81C062415093D, "fnasm_playadditiveanimloopstate" },
    { 0xB1BEE49B72C9744E, "fnasm_playfacialanim" },
    { 0xBC9A718AB668B08D, "fnasm_setanimmode" },
    { 0x5634C3C46579FD59, "fnasm_setorientmode" },
    { 0x97C8AB1C9E96545F, "fnasm_setupaim" },
    { 0x59DE1F69ABC2F0CD, "fnasm_setupgesture" },
    { 0xA3949155A03CD26F, "fnasmsoldiergetpainweaponsize" },
    { 0xE24EAA8913FE8D0A, "fnbegin" },
    { 0xE2E702362EBEA1D8, "fnbotdamagecallback" },
    { 0xB3D090F909ECE85F, "fnbuildweapon" },
    { 0xC469A01704E7BDCE, "fnbuildweaponspecial" },
    { 0x05CCCBBB28A79D93, "fncanmovefrompointtopoint" },
    { 0x5494AF445EA57E23, "fnchildscorefunc" },
    { 0xD7CA18623D4630D1, "fncleanupbt" },
    { 0xA1BC88EF578FDA1F, "fnclearstealthvolume" },
    { 0x01E4E6530743D8EC, "fndamage" },
    { 0x198C1CB8CE632785, "fndamagefunctions" },
    { 0xF7F8A058593CC3D1, "fndamagesubparthandler" },
    { 0x92BB5D3845F4AB0F, "fndismembermenthandler" },
    { 0x030337285D0DA2BF, "fndispersedamage" },
    { 0x0D0E3AB896E77CF3, "fndooralreadyopen" },
    { 0xEEADCEF007D38CBB, "fndoorclose" },
    { 0xB238675B60DD1CEB, "fndoorinit" },
    { 0x209E3E0A189773CD, "fndoorneedstoclose" },
    { 0x71CD8F2B028152F1, "fndooropen" },
    { 0x2F63FABB3249707C, "fndropweapon" },
    { 0xA2E37D390F1598C6, "fnend" },
    { 0x63DFDFBE5781F19E, "fnevaluateattackevent" },
    { 0x960837E5BAACE4B1, "fnevaluatemoveevent" },
    { 0xAD4E33CCE1673999, "fnevaluatereloadevent" },
    { 0x962F78D5CB38FF53, "fnf_upgrade_weapon" },
    { 0x1AAE0C59EAD5BADC, "fnfimmune" },
    { 0x815FE9AC34DD2D28, "fnfindcqbpointsofinterest" },
    { 0xAEDFEDB18B700BE9, "fnfootprinteffect" },
    { 0xBCC196B618CEA73A, "fnfootstepeffect" },
    { 0x62A86A555B937289, "fnfootstepeffectsmall" },
    { 0xC7DD26A6F2486206, "fngetcorpsearrayfunc" },
    { 0x4C3638DCF65BDB05, "fngetcorpseorigin" },
    { 0x3BCB4C465EC93FF6, "fngetdoorcenter" },
    { 0x0E915878E4013FD0, "fngetfootstepsound" },
    { 0x9EA98B84686EAA07, "fngetinfo" },
    { 0x29A91CB036FD0064, "fngetplayerdrone" },
    { 0x40EB6A0944A189C0, "fngetprioritymultiplier" },
    { 0x4C658A2D0A0C6522, "fngetturretaimangles" },
    { 0xFB8D50A0D2D30CDC, "fngetusedturret" },
    { 0x0F2D04A66736D0BC, "fngetweaponrootname" },
    { 0x12AD87E64216CDFC, "fngrenadecooldownelapsedoverride" },
    { 0xE0A19B399B8AAE2F, "fngroupspottedflag" },
    { 0x3A7D32940534373B, "fnhelmetpop" },
    { 0xBAF810A88649CFD5, "fnhidefoundintel" },
    { 0x18E07241EC78A564, "fnhudoutlinedefaultsettings" },
    { 0xAD12B753ABF4040F, "fninitenemygame" },
    { 0xA84166A5EFAFD51C, "fninterrupt" },
    { 0xF103023A337522BD, "fnisinstealthcombat" },
    { 0xB6FE22199EC86AE0, "fnisinstealthhunt" },
    { 0xC1F5B605977F715F, "fnisinstealthidle" },
    { 0x9CA3970970C00BD4, "fnisinstealthidlescriptedanim" },
    { 0x2B9421148FD88F18, "fnisinstealthinvestigate" },
    { 0xC9D7240E1D480CD3, "fnismeleevalid" },
    { 0xBD4335C2BD767765, "fnlaseroff" },
    { 0x5C07D5121457E6C9, "fnlaseron" },
    { 0xBE0C614865AAD814, "fnlookforcover" },
    { 0xADC8D2A678FFDB58, "fnlookforvehicles" },
    { 0xC5FD6EF6786150DC, "fnmeleeaction_init" },
    { 0x732B3D1E3CE7218A, "fnmeleecharge_init" },
    { 0xDEA6A8861E08A4D7, "fnmeleecharge_terminate" },
    { 0xA2A9EF7EA6332C94, "fnmeleevsplayer_init" },
    { 0x1F76215293965139, "fnmeleevsplayer_terminate" },
    { 0x6848200ED2F75380, "fnmovetocovernode" },
    { 0x418D5F39830D8BE9, "fnnag" },
    { 0xA18A0675BAD92F16, "fnnotetrackhandle" },
    { 0x7F69B9929A2C043D, "fnnotetrackmodeltranslate" },
    { 0x11A28033517CCA50, "fnnotetrackprefixhandler" },
    { 0x3D29F23613ED19A7, "fnoffhandfire" },
    { 0xF7DEE3E9AE8D0527, "fnonuse" },
    { 0x7719631B7EE3516D, "fnplaceweaponon" },
    { 0x161BD79AD6CF70EE, "fnplaybattlechatter" },
    { 0x179B97AE8698BF73, "fnplayerlootenabled" },
    { 0x4997ED24658E3380, "fnplaysoundonentity" },
    { 0xEA93C235754F834D, "fnplaysoundontag" },
    { 0xB7AA6E2774CE43C5, "fnpreragdoll" },
    { 0x92161DF27F120C80, "fnreact" },
    { 0xCED0ACBF7377A6A0, "fnreactanime" },
    { 0x4891412A0EBBDBFD, "fnresetmisstime" },
    { 0xC8B2F2EE412C2447, "fnsaygenericdialogue" },
    { 0xC73D359EA0F5B426, "fnscriptedweaponassignment" },
    { 0x61CF9AF0A0A9C0FE, "fnsetbattlechatter" },
    { 0x161A4C3B2AE597FE, "fnsetcorpseremovetimerfunc" },
    { 0x80A12E9EED649C24, "fnsetdisguised" },
    { 0x84CCC0FCBE28D1EC, "fnsetlaserflag" },
    { 0x656F544C2E50466D, "fnsetstealthmode" },
    { 0x8B6A68E523B5685B, "fnsetstealthstate" },
    { 0xADE59BDC214B7EBA, "fnshoulddogesture" },
    { 0x6ED6CA763E234313, "fnshouldlookforcover" },
    { 0x0AE23BCD0B1AF55D, "fnshouldplaypainanim" },
    { 0x6BD464BC097B6069, "fnstealthflashlightdetach" },
    { 0xF44187B716B2CC9B, "fnstealthflashlightoff" },
    { 0x15B212B6353DC537, "fnstealthflashlighton" },
    { 0x2AAE32E7AFF4A233, "fnstealthgotonode" },
    { 0xB9A10ADC6179CB00, "fnstealthisidlecurious" },
    { 0x3E57C7941D1E230C, "fnstealthmusictransition" },
    { 0xC41D8E84F91F344C, "fnstealthupdatevisionforlighting" },
    { 0xF2F7134B030F4746, "fnthreatsightplayersightaudio" },
    { 0x6DF3E35C1B617A13, "fnthreatsightsetstateparameters" },
    { 0x48F52A0C8A32EE18, "fntick" },
    { 0x7D28E370359F301E, "fntrapactivation" },
    { 0x5AFF0048B8EBD5C9, "fntrapdeactivation" },
    { 0xDE4DB07BB941E54E, "fnunlink" },
    { 0x77E1ECB86B7D1699, "fnupdatefrantic" },
    { 0x97A85294F0CFE3BD, "fnupdatelightmeter" },
    { 0xF062D60F7780282D, "fnusecondition" },
    { 0xEDDE4803E927CB24, "fob" },
    { 0x6597F9FA8DEAC1A9, "fob_allies_spawn_setup" },
    { 0x04C17FFD6DF493FA, "fob_bombs" },
    { 0xA06F70BB25942BFB, "fob_center_autosave" },
    { 0xE7FFA05FC15B04AF, "fob_center_chopper_behavior" },
    { 0x6ED989A7A545300C, "fob_center_chopper_guys_spawn_func" },
    { 0x9CD0470BC93F2C4F, "fob_center_chopper_spawn_func" },
    { 0x86EAC360D2640E8C, "fob_center_guys_spawn_func" },
    { 0x4985F36777663B70, "fob_center_main" },
    { 0x208F3D883DBB0387, "fob_center_start" },
    { 0x3C20FC7EEA62C239, "fob_center_transport_behavior" },
    { 0xBCF68223661300A6, "fob_chopper_transport_guys_spawn_func" },
    { 0x44D4BD6B21AF6C81, "fob_chopper_transport_spawn_func" },
    { 0xD61CEE75E5521C20, "fob_container_guys_spawn_func" },
    { 0xC969A44109AEA177, "fob_enemies" },
    { 0x524D224A5672C15A, "fob_enemies_chu" },
    { 0x865C06EDFC4F5CB6, "fob_enemies_rear" },
    { 0x9143343BEE816F18, "fob_flags" },
    { 0x9D0509676985C438, "fob_front_guys_spawn_func" },
    { 0xABCA404CE9C09DE7, "fob_fx" },
    { 0x65445297F77F0A25, "fob_getallyentrancevolume" },
    { 0xFCEA34773C23C09A, "fob_guys_center_spawn_func" },
    { 0x09A75DB39E42A2C7, "fob_guys_center_start_spawn_func" },
    { 0x7B6A48F5FE3CA3D5, "fob_guys_chu_right" },
    { 0x31BFE8005AC3AFA7, "fob_helo_count" },
    { 0x49B99F2D6626657E, "fob_ks_chopper_behavior" },
    { 0x0DD794155A20BFC8, "fob_left_flank_init" },
    { 0xD6D484540EF32B10, "fob_post_load_inits" },
    { 0x19092E8C8286BE30, "fob_precache" },
    { 0x7CA20C1549A80498, "fob_scriptables_cleanup" },
    { 0x5D94F63A06766C30, "fob_spawn_funcs" },
    { 0xA0BB75ED0BF97B78, "fob_spawn_manager" },
    { 0xE7B851AE7234390F, "fob_think" },
    { 0x5B13C08F2B1182DE, "fob_umike_03" },
    { 0xC63C575F1B7E2588, "fobcenter_getallycovernodes" },
    { 0x2D13F7CD2F01F33B, "fobchu_getallycovernodes" },
    { 0x1DF61626D162210F, "focus" },
    { 0xF9B1C030A9ED1BB2, "focus_ambo_finder" },
    { 0xF412C118BB63B802, "focus_display_hint" },
    { 0x2195E23F643DC7DA, "focus_fire_attacker_timeout" },
    { 0xF351C7EA4DC750E3, "focus_fire_attackers" },
    { 0x1ECF5B4B40C0AF2E, "focus_fire_headicon" },
    { 0xDAACCB40AFE288F5, "focus_fire_icon_delete_think" },
    { 0x3DDDF58EBC1AAB0C, "focus_fire_icon_objective_id" },
    { 0xC515FD94B20FA08D, "focus_fire_is_activated" },
    { 0xED4AAE3CFDB861B7, "focus_fire_outline_enabled" },
    { 0x25C014DC9065B6D7, "focus_fire_outline_id" },
    { 0x133FAC057A0D20AC, "focus_held_down" },
    { 0xBEBD5B64C4B51DA0, "focus_infinite_hold" },
    { 0xAC77D55ECD23EF81, "focus_objectives_update_display" },
    { 0x5B70760A39700FA6, "focus_pressed" },
    { 0xD5D482E756BBA8E6, "focus_reminder" },
    { 0xB42145DDBAFF722E, "focus_test_mode" },
    { 0x41EAC78401765BEA, "focusactivate" },
    { 0x3ACD86CE0BC5E39D, "focusdeactivate" },
    { 0xB71FFC46AD22C4C1, "focusdisable" },
    { 0xDA5C68A6BBF64008, "focusdistance" },
    { 0xE6DFC058B172E1F8, "focusenable" },
    { 0x92DB58CD0812DF91, "focusflag" },
    { 0x3348769E130BBAF6, "focushighlightadditionalentsdisable" },
    { 0x9AF1F1E85CDAA5DD, "focushighlightadditionalentsenable" },
    { 0xBFC705CA011CD81F, "focusmonitor" },
    { 0x4ACFC1D0046352B3, "focusrelease_waittill" },
    { 0xFE88BCFE0C351B2A, "focusspeed" },
    { 0xA8395314C4D2E5C5, "focustimeadjust" },
    { 0x96E36FD3F3639849, "fog_fx_check" },
    { 0x2A3A1C3373A50DB0, "fogenabled" },
    { 0xA920333F081B5292, "foliage_react_radius_monitor" },
    { 0xD8A442142C51D6D4, "foliage_react_radius_set" },
    { 0x4EF7AD60DD509C3C, "follow" },
    { 0xBEFE32425ABEFDA7, "follow_another_vehicle" },
    { 0x94A877BEF6378D1D, "follow_enemy_hvt_vehicle" },
    { 0x10843456DEF4B14E, "follow_ent" },
    { 0x4770580C5421C927, "follow_ents" },
    { 0xB4ACDF6E2CEF1075, "follow_first_vehicle_driver" },
    { 0xBFB35E54E6363A82, "follow_path" },
    { 0x3E1A0448128497E8, "follow_path_and_animate" },
    { 0x7965E9F2DB98669B, "follow_path_animate_set_ent" },
    { 0x3DF2351A5132C1BA, "follow_path_animate_set_node" },
    { 0x45A5704B722A431B, "follow_path_animate_set_struct" },
    { 0x06CC9855D06D479C, "follow_path_from_grid" },
    { 0xE05D24D8C19E8C51, "follow_path_until" },
    { 0xAC0720EBA2D556FA, "follow_path_wait_for_player" },
    { 0xB751B40D1568C1FA, "follow_player_look_at" },
    { 0x5FA52979FF280179, "follow_players_when_close" },
    { 0x5883805202696A67, "follow_sniper_bullet" },
    { 0x471A5313BA0F7BC9, "follow_tag_laser_attach" },
    { 0xB4955B439B6505AB, "follow_triggering_player" },
    { 0x87C9FFC28D6EA15F, "followairpath" },
    { 0x70C6E039B36BD1ED, "followcam_enabled" },
    { 0xC6FBF8F35D604DFA, "followclip" },
    { 0x3EECD3F8E82F0983, "followhelipath" },
    { 0x5499D03EC424313C, "following" },
    { 0x8B09EA7156F437A4, "following_player" },
    { 0x9F5E1F75277FBF31, "followingplayer" },
    { 0x1CFC293E9C4267BA, "followmax" },
    { 0x1D1F333E9C68C570, "followmin" },
    { 0x64BE36EECD956318, "follownaglineindex" },
    { 0x3B398F3EB2E01901, "followoff" },
    { 0x6EAF07570F889231, "followplayer" },
    { 0x476EB099C2499BDC, "font" },
    { 0x70DAC8657713B3BF, "fontheight" },
    { 0x3D0B3F4A7077E53D, "fontpulse" },
    { 0x446335E42306281B, "fontpulseinit" },
    { 0xA7353686F1689616, "fontscale" },
    { 0xEDDE3D03E927B2F3, "foo" },
    { 0x4772C699C24DC215, "food" },
    { 0x980B81957EF57E15, "foodbowl" },
    { 0x461951783B376BEF, "foodbowl_dof" },
    { 0x4772B699C24D9EE5, "foot" },
    { 0xF4257598E54149B7, "footprint_mask_clipheight" },
    { 0x295BAB7A41A5D641, "footprint_mask_enable" },
    { 0x1FE5D59C555F7FE5, "footprint_mask_group" },
    { 0xA285C5675A43641F, "footstep_sound" },
    { 0x8B822A4F5B2AD688, "footstepdetectdist" },
    { 0xA5DE6ED1E0F33E2C, "footstepdetectdistsprint" },
    { 0xE13F14925DE66849, "footstepdetectdistwalk" },
    { 0x291F2F3C9B8B26D4, "footsteps" },
    { 0xE0C019DCFA7B18B7, "footsteps_heard" },
    { 0xC800D489749F6AD3, "for_simple" },
    { 0xF1A92BA4A9B54128, "forbiddencachespawns" },
    { 0x6F9EC676495CE341, "force_ai_see_player_car_flank" },
    { 0x51CAC66617939DB8, "force_ai_see_player_gas_start" },
    { 0xC1236407AB860FF5, "force_ai_see_player_gas_start_execution" },
    { 0x462CA5E04F8597D9, "force_ai_see_player_square" },
    { 0xD6A31F84F79AF717, "force_ai_to_drop_thermites" },
    { 0xC54BA4E69CBCE936, "force_all_complete" },
    { 0x4469232CBC9895EC, "force_all_players_to_role" },
    { 0x62F2311CE1364A30, "force_armor_drop" },
    { 0x9F777DA690A4D942, "force_bleedout_all_downed_players" },
    { 0x067DCE6489F12DE8, "force_call_lz" },
    { 0x22DAFBB1FAB13F24, "force_close_door" },
    { 0x4FB4F1DFB2C891F8, "force_crawl_angle" },
    { 0xC97AACCAA78A74C5, "force_crawling_death" },
    { 0x3302CA647540C5E2, "force_crawling_death_proc" },
    { 0xC2945309D2E7BEE8, "force_dismount" },
    { 0x3E9D1480852DE3FB, "force_driver_out_of_vehicle" },
    { 0xBFA9D07C3590F974, "force_drop" },
    { 0x78BED4D0ECAB7B71, "force_flash" },
    { 0xE41AF9349184FB96, "force_flash_enemy" },
    { 0xC44EFD728E382CC0, "force_group_thermites" },
    { 0x89A011FBCDE2473F, "force_gunship_off_time" },
    { 0x4F381D1453D092B1, "force_high_reaction" },
    { 0xF5F41E55C0D1CFA5, "force_hint_prompt_timer" },
    { 0x47AADCFF48399D5D, "force_intel_drop" },
    { 0x04DCEBC6B4967AFF, "force_interrupt_all_current_combat_actions" },
    { 0x4B08710BF9830A52, "force_interrupt_current_combat_action" },
    { 0x8A64BE479EC2E5D9, "force_kill_off_other_ai" },
    { 0x14630F53E33E70CE, "force_long_death" },
    { 0xADE0D3A0D1F4B1A9, "force_long_death_crawling_away" },
    { 0xC68F157799CA78E5, "force_long_death_on_back_with_pistol" },
    { 0xF8D8F2EA8D393085, "force_long_death_on_back_with_pistol_lab" },
    { 0x15716419D22FDB74, "force_long_death_stumbling" },
    { 0x3A8C530E8AB0FD75, "force_low_reaction" },
    { 0x30A3EF750D053607, "force_maze_ai_state" },
    { 0xE12A680B6EA47986, "force_module_cqb_scoring" },
    { 0x03F17D771057434A, "force_molotov_throw" },
    { 0x2EE777AF062CADBD, "force_new_goal" },
    { 0xF5506F4AF52998B4, "force_num_crawls" },
    { 0x319D93A078BF45BE, "force_nvg" },
    { 0xF3F7ACC3C20B86B6, "force_open_door" },
    { 0xBFDD5120E159A54D, "force_open_door_targetname" },
    { 0x9537B783BF59633F, "force_open_doors" },
    { 0x05ED26513DE17A99, "force_p_ent_reset" },
    { 0x9DD6E4EEEE2842D2, "force_player_exit_vehicle" },
    { 0x11A6CB62BDA6A050, "force_player_exit_vehicle_gas_sequence" },
    { 0xCD6AD926F9EE6B8F, "force_player_to_stand" },
    { 0x5E1D394319F77EEA, "force_player_vehicle_to_stop" },
    { 0x0F80B7074ECAC499, "force_players_out_of_vehicle" },
    { 0xA70F1E2242CB6617, "force_reminder_delay" },
    { 0x55B48DB388CE0D07, "force_remove_stim" },
    { 0x6B8304D199A485CF, "force_respawn_location" },
    { 0xF04B4573B6F334C0, "force_save" },
    { 0x13FB882E94658211, "force_search" },
    { 0x268BDA25FF5B05D5, "force_select" },
    { 0x7A670785C181BA4B, "force_select_ent" },
    { 0xC799652D7F59F6EE, "force_spawn_all_dead_players" },
    { 0xCDD90AEC6F57455A, "force_start_catchup" },
    { 0x16F5B2E22B23FEF2, "force_start_event_non_repeating" },
    { 0x4C09513136FA2FEF, "force_stop_anim" },
    { 0x045B812EFF53E22F, "force_teleport_downedplayer" },
    { 0x4D7FF0D5F8B025C8, "force_teleport_player_into_plane" },
    { 0xFB1A68A4C34E3EEC, "force_thermites" },
    { 0xE9FEFC119D4157DB, "force_usability_enabled" },
    { 0x141DA194A0795080, "force_var_to_array" },
    { 0xDB14FBDE8DDAB839, "force_visible" },
    { 0x683964F0A265F266, "force_visible_thread" },
    { 0x404D8377362D2820, "force_wave_vehicles_on" },
    { 0x323E4A05071EC74B, "forceabshotfoot" },
    { 0x724D7790B426A92C, "forceac130onplayernow" },
    { 0x1C4FC4FC86ED8BF4, "forceactivategimmekillstreak" },
    { 0x266B2CA244BBE213, "forceactivatekillstreak" },
    { 0x99CFB6945B42342C, "forceamount" },
    { 0x43A58C8BB9AFF9AB, "forcearmordropondeath" },
    { 0xE160B623FFE2A8FA, "forcebalconydeath" },
    { 0xB51911F53AD24ECA, "forcebark" },
    { 0xDC18D9EE0A9B094C, "forcebleedout" },
    { 0xD6C8FC79C941012D, "forceboostonlyjump" },
    { 0xF84B6D34CBF81C19, "forcebroshot" },
    { 0x7C9DE91F02E6C46F, "forcebuddyspawn" },
    { 0x2E9D441AA4DC0667, "forcecolor" },
    { 0xF360E567630828A1, "forcecustomization" },
    { 0x2C670034D43A989A, "forced_aitype_armored" },
    { 0x68D374F93D3D4D08, "forced_aitypes" },
    { 0x241CE3EAABB22109, "forced_bleedout" },
    { 0xAA330BCA868B9773, "forced_kill_off" },
    { 0x53BA478AAFF1B230, "forced_laststand_weapon" },
    { 0x36827E1FE111F649, "forced_node_path" },
    { 0x7C15047D3CAE6854, "forced_revive" },
    { 0xDE9CB2C51C0FAEF6, "forced_start_catchup" },
    { 0x48EB3B123D567312, "forced_startingposition" },
    { 0x90EE4070CCD9EC09, "forcedavailablespawnlocation" },
    { 0xED8ED807581B053B, "forcedc4" },
    { 0x5A2F2D1980C8CCE7, "forcedeathfall" },
    { 0x797A9E3B484D4D82, "forcedefaultmodel" },
    { 0x293C1791C3E2AAE6, "forcedemeanorsafe" },
    { 0xBD6146A546AC9AD1, "forcedemeanorsafeinteral" },
    { 0x35E5612684783731, "forcedend" },
    { 0xF62D26732CDBBE2F, "forcedgameskill" },
    { 0xAB90F1BC7C34284C, "forcedisable" },
    { 0x0E7172990F0F307C, "forcedisablelaststand" },
    { 0xCDF1DBFDDC15C5C2, "forcedisconnectuntil" },
    { 0x6AB960E347A73895, "forcedobjectiveindex" },
    { 0x135F7B5CCAE96CEA, "forcedpatrol" },
    { 0x072AAC8B0B463ED9, "forcedropweapon" },
    { 0x72513697667CA6C9, "forcedspawncameraref" },
    { 0x6F4E7014376397C0, "forcedweapon" },
    { 0xE1D0D82C47A1DCA4, "forcedweaponclose" },
    { 0x9148C4DDCBE25AE1, "forcedweaponfar" },
    { 0x04041F6DB03F324F, "forcedweaponoriginal" },
    { 0x6C890B56AB918440, "forceejectall" },
    { 0xF993C50760012F55, "forceend" },
    { 0x27C38C5C4AD8B517, "forceendgame" },
    { 0xA59B44CF79456449, "forceendmonitor" },
    { 0xC73534FE7C93EDE3, "forceendscene" },
    { 0x2186F4390DE0EAC0, "forceexit" },
    { 0x881AA576B2328EDB, "forceexplosivedeath" },
    { 0x431F9A8CC36B4982, "forceextractscriptable" },
    { 0x86AAC35576A309B4, "forcefail" },
    { 0x983C12F90EA1104C, "forcefallthroughonropes" },
    { 0x61F723C9D161A490, "forceflashlightplayercanseeifnecessary" },
    { 0xDC51E3BC67387340, "forcegameendcontesttimeout" },
    { 0x40DC76AE8F20F2AB, "forcegivekillstreak" },
    { 0xCA24F2D83D39EBD0, "forcegivesuper" },
    { 0xCA3945BD0A39CFEA, "forcegoal_radius" },
    { 0x988BE62E5F42C925, "forcegrowl" },
    { 0x0D193A6280977541, "forceheadpop" },
    { 0x454124A429FFEC99, "forcehelmetwhenspectating" },
    { 0x66406BBD240E6D25, "forcehidegrenadehudwarning" },
    { 0x5345B52C8E119940, "forcehideottimer" },
    { 0x5BD43277DA7FBD06, "forcehitlocation" },
    { 0x5F8C971E915B3BEB, "forceinitbroshot" },
    { 0x739F32A6C50EF121, "forcejumpaftertimeout" },
    { 0x57A86F44FEE3DA41, "forcejumpnearobjective" },
    { 0x1DA86BF798F07B17, "forcelinkgoaltriggerwatcher" },
    { 0xC5559E981A6AED3C, "forcelongdeath" },
    { 0x9758316E4EE230A6, "forcelongdeathskipintroanim" },
    { 0x83C018F511F7C053, "forcemantle" },
    { 0x1C601F28E8ED0AE7, "forcemeleeyaw" },
    { 0xF0673C9870B6898A, "forcemovingplatformentity" },
    { 0xC08B08A8D1E10340, "forcenetfieldhighlod" },
    { 0x4F9383A467DC7FB5, "forcenewenemyreaction" },
    { 0x02F380D4FC2DE682, "forcenextpathfindimmediate" },
    { 0x716BA8E4C3E1364A, "forceoldatv" },
    { 0x3B9DB86B3A98583B, "forceotlogictorun" },
    { 0x088E427EA27FD37B, "forceplayerspectatetarget" },
    { 0x1FFE9D92588409C5, "forceplaygestureviewmodel" },
    { 0xCA7869068263962A, "forcepos" },
    { 0x3D7DBA71146E2223, "forcequickduration" },
    { 0xCDEBAB9FFF411C1C, "forceragdollimmediate" },
    { 0xB9E007C76706F1E2, "forceranking" },
    { 0x8C50F5A53981EDCB, "forcereloading" },
    { 0x4A0A07B04CD7C68F, "forcereset" },
    { 0xF0E73F70E85AA935, "forcerumble" },
    { 0xF24136B296C3ED99, "forceselfdestructtimer" },
    { 0x406E706C6F50637C, "forcesetamount" },
    { 0x63EC8869D4737B9F, "forcesethudoutlinealpha" },
    { 0x92AC1AF6BB4A51B4, "forceshowlootcaches" },
    { 0x2906000BA3BF5D7B, "forcesidearm" },
    { 0xB19915000C703AAE, "forcespacejump" },
    { 0xD20F811C3916369F, "forcespawn" },
    { 0x1DF9F25F6466A8DF, "forcespawnangles" },
    { 0x4B2D97047AA16570, "forcespawncameraang" },
    { 0x1440C5050D47621E, "forcespawncameraorg" },
    { 0x107875D9F85108B8, "forcespawnitem" },
    { 0x80997821159E1C62, "forcespawnnearteammates" },
    { 0x73C24C878B7EBA51, "forcespawnorigin" },
    { 0x0A3206BBE68D6217, "forcespawnplayers" },
    { 0x12647869B4409FF2, "forcespawnsettings" },
    { 0xD2F48DD29EAAEE3E, "forcespawnteam" },
    { 0x8AF8ED37A14DDA16, "forcespectatorclient" },
    { 0xC0C69D1BCD5F34E5, "forcestartnegotiation" },
    { 0x8C42A72A766C7AC3, "forcestoprecording" },
    { 0x743D6194B624EC03, "forcestrafe" },
    { 0xE9AF80D1F2697E81, "forcestrafefacingpos" },
    { 0xD06A785CA0A5473D, "forcestuckdamage" },
    { 0xF83A2172420A841A, "forcestuckdamageclear" },
    { 0xAEDDCFD92135B15D, "forcesuppressai" },
    { 0x3B3475845DC258F7, "forcesuppression" },
    { 0x20A8F7AF5908695B, "forceteleport" },
    { 0x8C63E3735C75C73C, "forcethirdpersonwhenspectating" },
    { 0xCA2C60E9F91280B1, "forcethreatupdate" },
    { 0x3FF545C4DC604CC2, "forcetopickafob" },
    { 0xC3EFFF35FFD76267, "forcetostand" },
    { 0xC5913B4CDE82A21D, "forcetrackloop" },
    { 0xF79EBF85C25BB192, "forceunsetdemeanor" },
    { 0x1DD0F8340A316271, "forceupdate" },
    { 0xBA4314F91BACDC00, "forceupdategoalpos" },
    { 0x0F27AA784307463F, "forceusehintoff" },
    { 0xF1139CA45CE1293B, "forceusehinton" },
    { 0x0BCB4B37F8105C6D, "forceusekillstreak" },
    { 0xA44E41287553C783, "forceuseweapon" },
    { 0x99B4FC50A11CE012, "forcevalidweapon" },
    { 0x01FFF32A7C40BB14, "forceviewmodelanimation" },
    { 0x1CEDD1EBB50A19BD, "foreach_shared_variables" },
    { 0xDCF666C1D241CDE4, "foreach_simple" },
    { 0x87E34FD56277CE2C, "foreground" },
    { 0xDAD31FF191FCFAAF, "forest_barrel_damage_watch" },
    { 0xD253E2ECD7F40992, "forest_barrels" },
    { 0x724B2829BF42193D, "forest_combat" },
    { 0x722F773ECC7813C0, "forest_exit_ally" },
    { 0xDF66911527DB5610, "forest_exit_catchup" },
    { 0xCBC7325A4861AA0B, "forest_exit_main" },
    { 0xD6BD7C5BC74951BA, "forest_exit_start" },
    { 0x40CEC0C9D9743E73, "forest_fire_setup" },
    { 0x8A7FB035A5C703A7, "forest_magic_bullet_volley" },
    { 0x87142FC2191B6FFE, "forest_overlook_alpha1" },
    { 0x87142EC2191B6DCB, "forest_overlook_alpha2" },
    { 0xE98FB322C0F4ECC1, "forest_overlook_catchup" },
    { 0x92904EBA09718F19, "forest_overlook_door" },
    { 0x90369B6019746698, "forest_overlook_main" },
    { 0xCF2387A04C5939CF, "forest_overlook_start" },
    { 0xBB1473C5703E0886, "forest_patrol_ally" },
    { 0xDB36F3D5B8ED482A, "forest_patrol_catchup" },
    { 0xC5E682122FFA2CD7, "forest_patrol_eliminate_speed_runner" },
    { 0x713ACF619E756F3D, "forest_patrol_enemy_approach" },
    { 0x7180D142079D0AE8, "forest_patrol_enemy_approach_flashlight" },
    { 0xC8329DBC75DE8AE4, "forest_patrol_enemy_light_sweep" },
    { 0x6DB46185443C122B, "forest_patrol_enemy_return" },
    { 0xF7E6296D4FAD3A55, "forest_patrol_main" },
    { 0x8C7EF90E6B0542FA, "forest_patrol_player_fire_checker" },
    { 0x06042B6FFCD34A8C, "forest_patrol_player_visible_checker" },
    { 0x92974CEF9C2EC6C4, "forest_patrol_start" },
    { 0xFBEDD74920060689, "forest_phosphorus_alpha" },
    { 0xA37959B2399BD139, "forest_phosphorus_bravo" },
    { 0x23899F83650B473F, "forest_phosphorus_catchup" },
    { 0xFFBE84F863AE8806, "forest_phosphorus_freeze_offscreen" },
    { 0xA5A18CD59AB33C36, "forest_phosphorus_main" },
    { 0x2BE80722457C287D, "forest_phosphorus_start" },
    { 0x7B97D57C3B53BEA6, "forest_trees_ally_alpha" },
    { 0xDB82FEC99DD1E306, "forest_trees_ally_bravo" },
    { 0xC2707DE5E575C48F, "forest_trees_alpha_to_ridge" },
    { 0x962F56857D5DF8EB, "forest_trees_catchup" },
    { 0x8BE857ADB68319CA, "forest_trees_main" },
    { 0x4FB286553E813529, "forest_trees_start" },
    { 0x14840DEF4C0F33EE, "forestmoveref" },
    { 0xAF6B8C4D100C8BBC, "forfeit_aborted" },
    { 0xB08D78AA8C88B8EC, "forfeitinprogress" },
    { 0xFBF3555F85EA9B2A, "forfeitwaitforabort" },
    { 0xAAC2C61E4A3A9818, "forgefreeze_hint_display" },
    { 0xB75BFA2D99A94E62, "forgetpassives" },
    { 0xBDA34CB17ED3C45B, "formedtime" },
    { 0x5F8D412D619C1CC5, "former_mule_weapon" },
    { 0xCC72D288B9A67D95, "forteam" },
    { 0x5D7BBB4E65DA546E, "fortune_visit_cost_1" },
    { 0x5D7BBA4E65DA523B, "fortune_visit_cost_2" },
    { 0x1AA3C5CEA8B95F9E, "forward" },
    { 0xA37F834C61A95A39, "forward_nag_notify" },
    { 0x2A189D77963F874E, "forward_notify" },
    { 0x87E63DC82495FA87, "forwardanim" },
    { 0x09958B9BE55FD405, "forwarddistance" },
    { 0xF5852A3812908E22, "forwardplus" },
    { 0xE75815DC16243382, "forwardpushevent" },
    { 0x4F8BED7D0FADEB38, "forwardv" },
    { 0x651F3DDA930F3C6C, "forwardvec" },
    { 0xEACC6F27682B203B, "found" },
    { 0x233CF860B9FE8F42, "found_distsqrd" },
    { 0x6D10AFB2CE1F50D5, "found_exposed_pos" },
    { 0xB0335096B331415F, "found_left_edge" },
    { 0x220AD4E7413E1DC1, "found_player" },
    { 0x23048EF46AC31E56, "found_right_edge" },
    { 0x3AE1D0B583FCFB70, "found_toucher" },
    { 0x7A6269B837F24383, "found_up_edge" },
    { 0x126994DE176A27CE, "found_valid_node_pos" },
    { 0x1087BE10773F900A, "fourprisoners" },
    { 0xB3A84CE955932B71, "fourth_floor_catchup" },
    { 0x1AC69937DFF22B1B, "fourth_floor_clear_nag" },
    { 0xDF33F89E2CD61229, "fourth_floor_door" },
    { 0xE140654441AF5908, "fourth_floor_main" },
    { 0x6A0140617D086518, "fourth_floor_movement" },
    { 0x2E0F6306B7608D36, "fourth_floor_price_anim" },
    { 0xF78B74900278EA66, "fourth_floor_price_movement" },
    { 0x92A3C197E5B87EAC, "fourth_floor_price_open_door" },
    { 0xF67969807796E55F, "fourth_floor_start" },
    { 0xEDDE5403E927E588, "fov" },
    { 0x39B83B8D8DE9C2BC, "fov_basement" },
    { 0x28A99E2F67CBF9A6, "fov_calculation" },
    { 0x449DBB881C9C2373, "fov_close" },
    { 0x2D27EFE56FF15E5E, "fov_collimation" },
    { 0xD609F7633237B60E, "fov_default" },
    { 0xAEB64DCD9AC50B77, "fov_inner" },
    { 0x631568C936F31C46, "fov_mine" },
    { 0x6C850AFBA0C058F9, "fov_open" },
    { 0x9ED91D1CF9567B44, "fov_outer" },
    { 0x04A5BA6418F2D2BD, "fov_wolf_bomb_defuse" },
    { 0x6839572896B3EFBE, "fovanimframe" },
    { 0x33AA098DD4DE59A7, "fovcosine" },
    { 0x15CDCFC8109C3AAA, "fovcosinebusy" },
    { 0x14E9688F7FE159ED, "fovcosineperiph" },
    { 0x98A647474B6358A9, "fovcosineperiphmaxdistsq" },
    { 0x7D4CDFEB24FFA107, "fovcosinez" },
    { 0x819F2C95E288B6D5, "fovforward" },
    { 0xAC4E1998B021EEE3, "fovground" },
    { 0x73F4EC65C84E02F7, "fovkey" },
    { 0xDFABC3EEFEF3119C, "fovshift" },
    { 0xA689D3201452444C, "fovtest" },
    { 0xC5E82EF179D49854, "fovzoomstyle" },
    { 0x766D04D71F778C45, "fprintfields" },
    { 0x91900F887AA81F56, "fprintln" },
    { 0x31C5AC98F6048ADD, "frac" },
    { 0x67C0C14892E5A11F, "fraction" },
    { 0x31C5A898F6048211, "frag" },
    { 0x5939554ABE2FB1EB, "frag_crate_player_at_max_ammo" },
    { 0x73FF3D4394C027B1, "frag_crate_spawn" },
    { 0xC20514F257A474ED, "frag_crate_use" },
    { 0x90D7F2777E666285, "fragbuttonpressed" },
    { 0xABF925A1F5EE2118, "fragfiremain" },
    { 0xAE1FE086B543692D, "fraggrenadeovercookfunc" },
    { 0x7A0840650BBA8782, "frame" },
    { 0x957DEDE51064CD42, "frame_events" },
    { 0x9EF03CFABE7D149E, "frameduration" },
    { 0x2998A9ABEBDEF17B, "framedurationseconds" },
    { 0xED70EA1721317B16, "frames_visible" },
    { 0xF9CE7E8638EEC6C4, "framescloserequired" },
    { 0x624C912C6D29CC31, "framesclosetotarget" },
    { 0x441ED0994C5846FA, "frametimestamp" },
    { 0xAE8BB8F95D373B0A, "frantic" },
    { 0x634E7EE26B3F84BB, "franticaimlimits" },
    { 0x0A307116B6E5EDD2, "franticcooldowntime" },
    { 0xB9A3E8432B6C20B2, "franticnodeexposedyaws" },
    { 0xBD5B07127CFF1CCA, "franticnodeleanyaws" },
    { 0xBEA63173770ED24E, "franticnodeyaws" },
    { 0x60C0CD09E524EA5F, "franticstate" },
    { 0x6A9AAAE502DC432F, "freadln" },
    { 0x31B49698F5F2501F, "free" },
    { 0x64C7A77BCC809604, "free_expendable" },
    { 0xFC628A17DD0D9128, "free_groupname" },
    { 0x3EEC1E2E7BB03DB5, "free_landing_spots" },
    { 0x45C451B0A108B280, "free_lilly_civs" },
    { 0x4FB9CC5F537730F0, "free_prisoners_catchup" },
    { 0xB93BA20E9FA94E5D, "free_prisoners_flags" },
    { 0x83B089306C19026B, "free_prisoners_main" },
    { 0x0440154C5381399A, "free_prisoners_start" },
    { 0x7C7A0BA185B316F9, "freecamcallback" },
    { 0x135147C45B2C0510, "freecamera" },
    { 0x4277AD64E3E6FE81, "freed" },
    { 0x890555BEFBC57362, "freeentitysentient" },
    { 0x5B7BFBC32FED6AE1, "freefall_start" },
    { 0xC3411245AF48E9DA, "freefallfromplanestatemachine" },
    { 0xC41E10E4656FD14F, "freefallstartcb" },
    { 0x0A3372C751D92733, "freefallstartdefault" },
    { 0x636EAAA9A7D38688, "freefallstartfunc" },
    { 0x0F27AB7CAFE625A0, "freegameplayhudelems" },
    { 0xF0153EA8823A7984, "freelook" },
    { 0x939D1F10A03F527E, "freeplayer" },
    { 0x5543243AF73F1DE0, "freescriptable" },
    { 0x053A73F76C8F1011, "freesquadindex" },
    { 0xF46AF3298D540588, "freeworldid" },
    { 0x96BED1F3B706C937, "freeworldidbyobjid" },
    { 0xA44584F1AE2D01C1, "freeze_all_players_control" },
    { 0xBB63FE51FC3C847A, "freeze_bomb_case_timer" },
    { 0xD31879DD49A0DD50, "freeze_bomb_vest_timer" },
    { 0x6F6ADCC2FAE49313, "freeze_controls_when_standing" },
    { 0x58B942B1BD9265F4, "freeze_location" },
    { 0x365FB483DC2E0D51, "freeze_player_controls" },
    { 0xDFBEC5ACC9053CC5, "freeze_timer_at_max_time_bomb_case" },
    { 0x6364BC951E549AF7, "freeze_timer_at_max_time_bomb_vest" },
    { 0x0992F8AC82B18F19, "freeze_until_phototaken" },
    { 0xC5F3AB956AE9FFB1, "freeze_zombie" },
    { 0x4D490E7B1EBCD871, "freezeallplayers" },
    { 0xFE71F7DFBFD66D30, "freezecontrols" },
    { 0xEA69DA6F426B22AB, "freezecontrolswrapper" },
    { 0x1D8F7FD83FC9CEB7, "freezelookcontrols" },
    { 0xDAE67FA2148D874F, "freezeplayerforroundend" },
    { 0x4A2CB2B58C98EA78, "freezestatename" },
    { 0x38F729E81CE57814, "freight_lift" },
    { 0x382964439DF11142, "freight_lift_attacker" },
    { 0x076A8C24C0595C1E, "freight_lift_attacker_internal" },
    { 0xD0B5A00C7FE62DCF, "freight_lift_build" },
    { 0x97C6B34A11FBBB86, "freight_lift_button_activation" },
    { 0xEE412F2243184D65, "freight_lift_combat" },
    { 0xBD10284EB835B0A5, "freight_lift_dogtag_revive" },
    { 0x53A876069526E7CE, "freight_lift_door_switch" },
    { 0x44D8350D98EDDD9E, "freight_lift_run" },
    { 0x6D86A1B26009CC70, "freight_lift_waittill_occupied" },
    { 0x202614AE924D32FF, "freight_lift_waittill_progress" },
    { 0x38F7A443A01D0AFD, "frequency" },
    { 0x9DD7ECBDABC8FA1C, "frequencytime" },
    { 0xA658A17E9613E4C5, "fridgeusethink" },
    { 0x0A5F6EA00FBC5770, "friend_kill_points" },
    { 0xA4305E0D9ACB6212, "friendlies" },
    { 0x12417E32310DB79F, "friendlies_at_door" },
    { 0xC90AF18A44876ABF, "friendlies_defend_using_volume" },
    { 0x44A77726E0E55BF4, "friendlies_end_of_bridge" },
    { 0x74F6880351D1A630, "friendlies_follow_tanks" },
    { 0x8B4C0FBA8E9DACF2, "friendlies_on_bridge_move" },
    { 0x161A585023742212, "friendlies_scared_of_dark" },
    { 0xAA2E80FA8A1036C2, "friendliesaffectedbyscrambler" },
    { 0x5F705D41D5CC7E61, "friendly_convoy" },
    { 0xE1618B5525597188, "friendly_convoy_intro_decho_idle_animation" },
    { 0x24CAEE21D0BB013F, "friendly_convoy_vehicle_damage_monitor" },
    { 0x3A033E677634307D, "friendly_convoy_vehicle_explodes" },
    { 0x208C3ED734BACFA6, "friendly_convoy_vehicle_id" },
    { 0x75C730E73ED7AF77, "friendly_convoy_vehicle_path_think" },
    { 0xD8F2BD5B42CECC94, "friendly_convoy_vehicle_rider_model_index" },
    { 0x4E7CB36C6A4F574C, "friendly_convoy_vehicle_rider_models" },
    { 0xB6B6A13B31033E8D, "friendly_damage_check" },
    { 0x402DC113E2567EFA, "friendly_death_func" },
    { 0x8337A6E85F2EBB1B, "friendly_dmg_text_cooldown" },
    { 0x922DB48339810B67, "friendly_exit" },
    { 0x3404F8B1DE606573, "friendly_fire_checkpoints" },
    { 0xDECB1C3D665C863B, "friendly_fire_combat_start" },
    { 0xF4F0C034333A7F87, "friendly_fire_dialogue_monitor" },
    { 0x9247F109C090CE37, "friendly_fire_fail_check" },
    { 0x05E69FF8EBA466D1, "friendly_fire_grenade_think" },
    { 0x9C591874E11F6173, "friendly_fire_melee_think" },
    { 0x9A7E9F0CA93FF204, "friendly_fire_skip_function" },
    { 0x12378AC074392794, "friendly_fire_think" },
    { 0x5C36F74A41E1D5E3, "friendly_flare_sender" },
    { 0xE3890A5AA6A0082A, "friendly_flare_sender_loop" },
    { 0x331CEA9483AE69A4, "friendly_groundfloor_setup" },
    { 0x47F451A4057530DF, "friendly_hvi_vehicle" },
    { 0xA4A324DC22AB4167, "friendly_hvi_vehicle_add_additional_parts_func" },
    { 0x40F34333C534A177, "friendly_hvi_vehicle_death_monitor" },
    { 0xF4B7AF7EA84660E6, "friendly_hvi_vehicle_extra_riders" },
    { 0xC9D47F64E23EDAE1, "friendly_hvi_vehicle_extra_riders_getin_scene" },
    { 0x7CE52C48EF0C5B10, "friendly_hvi_vehicle_extra_riders_intro_scene" },
    { 0x4BBB063D273FF1BD, "friendly_mg42" },
    { 0xC677DCBEEC443196, "friendly_mg42_cleanup" },
    { 0x102E4B165C9E4E38, "friendly_mg42_death_notify" },
    { 0x62B6C83731B8CEE4, "friendly_mg42_doneusingturret" },
    { 0x4450549CEF473D8D, "friendly_mg42_endtrigger" },
    { 0x2EE49C6F6E3B39EA, "friendly_mg42_think" },
    { 0x4456F174BE0F32D1, "friendly_mg42_useable" },
    { 0xB0E5233EBCDDF42F, "friendly_mg42_wait_for_use" },
    { 0xDD6CF26C88CE4585, "friendly_mgturret" },
    { 0x12ACE7AFB69D8663, "friendly_nav_repulsor" },
    { 0x71496E84B05D9128, "friendly_nearby" },
    { 0x2CA1BF433A454FCE, "friendly_nvg_setup" },
    { 0x6CADBD9C3FF2E79E, "friendly_projectile_nearby" },
    { 0x708AFFA15AA9145D, "friendly_promotion_thread" },
    { 0xD7B52902B262379C, "friendly_respawn_lock_func" },
    { 0x88B33F9516246133, "friendly_respawn_vision_checker_thread" },
    { 0xCC47A16E7B6FDD8E, "friendly_spawner_vision_checker" },
    { 0x6265CE7CA0B364C1, "friendly_startup_thread" },
    { 0x56A074B3C0C2FB58, "friendly_stealth_off" },
    { 0xC8FF1469FE9EC226, "friendly_struct" },
    { 0x8D7DB29EE8822F39, "friendly_tank_force_target" },
    { 0xEB072B3B813ED294, "friendly_tank_stop_internal" },
    { 0xAB1715B899481EB3, "friendlybasescore" },
    { 0x4D2C942B6084B0CB, "friendlybasetriggerwatcher" },
    { 0x3697EB9E338B7501, "friendlybasewatcher" },
    { 0x912538515726B2C2, "friendlybrush" },
    { 0xC7495BC527DF6F8F, "friendlydamage" },
    { 0xC8D004E77E853E16, "friendlyfire" },
    { 0xB1C358629C093D7D, "friendlyfire_allowed" },
    { 0x6CF444520B04A536, "friendlyfire_damage_modifier" },
    { 0xA9EA9496FEB99BA9, "friendlyfire_destructible_attacker" },
    { 0xA539346C89C72A89, "friendlyfire_enable_attacker_owner_check" },
    { 0x06FF998A7309FA96, "friendlyfire_force" },
    { 0xB0FEED27A4CA6028, "friendlyfire_ignoresdamageattacker" },
    { 0xFA20D5063D6DEA8D, "friendlyfire_warning" },
    { 0x74CB1888CE4C6E5F, "friendlyfire_warning_team" },
    { 0x841F7AB918BBCC9A, "friendlyfire_warnings" },
    { 0xE2C1C902B0DE3AF1, "friendlyfire_warnings_disable" },
    { 0x13B7F3CC5A75FB4C, "friendlyfire_warnings_off" },
    { 0x0FE7E9474C18D57A, "friendlyfire_warnings_on" },
    { 0x81DEB2DB4FF6F914, "friendlyfire_whizby_distances_valid" },
    { 0x32FC7724097863B6, "friendlyfirecheck" },
    { 0xCF7C0121EF4508A4, "friendlyfiredeath" },
    { 0xAD65CCCCBA91898E, "friendlyfiredisabled" },
    { 0x6711FFF43A0BE5BB, "friendlyfiredisabledfordestructible" },
    { 0xB173EE8E3BD6480F, "friendlyicon" },
    { 0xDF1DAD5347476078, "friendlymarker" },
    { 0x38E6E7CF4147AC9F, "friendlymodel" },
    { 0x80A31EB86B4CA2B1, "friendlyoutlineid" },
    { 0x9368B92A8456ED81, "friendlypulsebrush" },
    { 0xF61A4C3E86368E33, "friendlystatuschangedcallback" },
    { 0xF28B275D00E71064, "friendlystatusdirty" },
    { 0x06EB36DCE13ECDB8, "friendlytargetmarkergroup" },
    { 0x3920C1E700BC7DDE, "friendlyteamid" },
    { 0x199E54CE18C737A7, "friendlyuseonly" },
    { 0xD2E8321FD9049C48, "friendlyzonebrushes" },
    { 0x31DFC298F620E449, "from" },
    { 0x23164D8C3E96FB0D, "front_2_timeout" },
    { 0xE8587E09EB883D52, "front_door_boost_open_anim" },
    { 0x3F5E8124F465073F, "front_door_boost_open_mask_spawn" },
    { 0x9FAA424305EDC662, "front_door_light" },
    { 0x43804BA7019676DD, "front_gate_l" },
    { 0x43804DA701967B43, "front_gate_r" },
    { 0xE94BFAF34616E358, "front_goal_vol" },
    { 0x1EBDE0D0D96B7F64, "front_left" },
    { 0xAD1369FE986A7D47, "front_mantle_handler_left" },
    { 0xEFDB0F58A0BB1378, "front_mantle_handler_right" },
    { 0x185F8FAA1AA4540F, "front_offset_from_tag_origin" },
    { 0x1C9FA3373650692F, "front_passenger" },
    { 0x52ABBD339E5B85B1, "front_right" },
    { 0x391E3DCDE78C6C47, "front_row" },
    { 0xBE4210D7292FD68C, "front_struct" },
    { 0xA155AF53621EEAE3, "front_suicide_truck_speed_manager" },
    { 0x702D40FB14FBFCAF, "front_trig" },
    { 0x8485A90C1CCE7B76, "front_vector" },
    { 0x2D77BADC7228F382, "front_window_scene" },
    { 0x128C55764507B6BE, "frontdoordog" },
    { 0xFE1E3AC78BC1F7EF, "frontend4" },
    { 0x601C7DCCD4F002FC, "frontend5lobby" },
    { 0xC53FCA2B9B0C7A1F, "frontend_camera_move" },
    { 0x5522D519A39F9F8F, "frontend_camera_setup" },
    { 0xAAC8BF919996DD45, "frontend_camera_teleport" },
    { 0x1498C12BEF415842, "frontend_camera_watcher" },
    { 0x9D1BD7D85A1A63C7, "frontendfx" },
    { 0x3AC4F0EC78D87B44, "frontendscenecameracharacters" },
    { 0xBC6579022C3816E5, "frontendscenecameracinematic" },
    { 0x6463A6E30478B456, "frontendscenecamerafade" },
    { 0xA6797C0321D86B03, "frontendscenecamerafov" },
    { 0x32F4AA63012035BE, "frontendscenegetactivesection" },
    { 0x5E6C72C64C8F9275, "frontextents" },
    { 0x21FD39FC4DDEC072, "frontinteract" },
    { 0xBDB5C25118184588, "frontline_police_logic" },
    { 0x3241FD562F348D65, "frontlinedir" },
    { 0x875EADDEC67BF32B, "frontlineenabled" },
    { 0xD82061443189B6EE, "frontlineinfo" },
    { 0x1D6C63A9975F9565, "frontlinelogictypes" },
    { 0x547D405703FBCEB4, "frontlinepos" },
    { 0x901A46BDAC4CA538, "frontlinespawnsets" },
    { 0xF752D205951B7E67, "frontlineteam" },
    { 0x6314C5187B894AF7, "frontlineused" },
    { 0x657BB7654BF2DDCE, "frontpiece" },
    { 0xCE0B94A50D499B11, "frontpiecevarindex" },
    { 0x58E196345785B2C2, "frontpoint" },
    { 0xF15E876866D0D323, "frontshieldanglecos" },
    { 0xD3DDD726E6B2D848, "fronttest" },
    { 0xF0A494BC22DFC8D7, "fronttruck" },
    { 0x9CEF9357D5899F96, "frontturret" },
    { 0xE5BFE9C1DB07C0BF, "frozen" },
    { 0x62119EA46CF2F24E, "frozentick" },
    { 0x63CFED8311B37EFC, "fs_soundorg" },
    { 0xA238E49DFA4C1820, "fs_systemactive" },
    { 0xC3375FACE30A3A2C, "fsa_02" },
    { 0x8F009C5282FB14F5, "fstop" },
    { 0x19CD1C3E1DC11C36, "fubar_breach_logic" },
    { 0x7C4D4C924E9A63AC, "fubar_breach_logic_plane_combat" },
    { 0x144D7A2F3B591715, "fubar_breach_spawners" },
    { 0x22031ACC071FD1A1, "fubar_hint_breach" },
    { 0x030D82D89C313EF8, "fuckwithgravity" },
    { 0xD49807A29E058635, "fuel_stability_event_init" },
    { 0x52F8F8E19A5183E9, "fuel_stability_event_start" },
    { 0x9BD6622E61689FAF, "fuelsequencestability" },
    { 0xE0D1EA7930EE67B4, "fuitems" },
    { 0xCF494712AB91824D, "full_gib" },
    { 0x49DAA82A62A5CC6F, "full_partname" },
    { 0x0C66D7690E1AC245, "fullmodel" },
    { 0x6168B4FCB5E7BD3F, "fullscreen_overlay" },
    { 0x75A446BF3297ADB6, "fullsights" },
    { 0x9EAA9F7CA21D0627, "fullweaponname" },
    { 0xEE5BF3E23F634B11, "fullweaponobj" },
    { 0x53545EDD444F7EB9, "fulton" },
    { 0xF38C3E94719BB100, "fulton_ac130_model" },
    { 0x8C1F12E9383B2570, "fulton_actors" },
    { 0xF83EDE4C10FA56F1, "fulton_actors_players" },
    { 0xB69C39619F69589C, "fulton_cancreate" },
    { 0x35B581F28B767399, "fulton_check_for_moving_platform" },
    { 0xB47F7C65E1CEF898, "fulton_crate_model_playclosedidle" },
    { 0x8D56758E11C575C6, "fulton_create" },
    { 0xD09A6D185F59F97D, "fulton_deletenextframe" },
    { 0x9B79E3545A6D945C, "fulton_destroy" },
    { 0xD1E78C7139FF1B28, "fulton_exfil_model" },
    { 0x1342BC61BF070DF7, "fulton_group_exfil_at_pos" },
    { 0x6C3AB02F31BB2719, "fulton_group_exfil_at_pos_internal" },
    { 0x7248EB8F10D4359E, "fulton_group_use_think" },
    { 0x3B10030BA93D89ED, "fulton_handledamage" },
    { 0xF3C8B4462D371BA3, "fulton_handlefataldamage" },
    { 0x19EC8E664BA86717, "fulton_hostage_vo" },
    { 0xC4729D660D94155C, "fulton_hostageent" },
    { 0x63CFB8E532F358F8, "fulton_init" },
    { 0x596C7C842755023A, "fulton_initanims" },
    { 0x901D6AAC16C9ADAC, "fulton_initrepository" },
    { 0xDB24264D0DED69F3, "fulton_interactions" },
    { 0x5539066F332EB26C, "fulton_interactions_disabled" },
    { 0x590FB91536B98BBB, "fulton_last_usetime" },
    { 0xBFC4AAE7E691380E, "fulton_launch_player_effects" },
    { 0x39670116B9EE3E1A, "fulton_open" },
    { 0x2A89E3DA9D30D76C, "fulton_openidle" },
    { 0x26089F76B8199D16, "fulton_planted" },
    { 0xEC8596E3368A5B83, "fulton_refundsuper" },
    { 0xD1BFA676A596B62C, "fulton_repositoryatcapacitycallback" },
    { 0x99F10D0416872B31, "fulton_repositorycountdownendcallback" },
    { 0xCA7F8121E411DE40, "fulton_repositoryextractcallback" },
    { 0xAB88A1AA3B5C0A46, "fulton_repositoryusecallback" },
    { 0xA0C75C117A54B393, "fulton_used" },
    { 0xF5D453B079C24F4E, "fultonextract_used" },
    { 0xCFC28598AF783B4B, "func" },
    { 0x62DF37CE44D74082, "func_after_anim" },
    { 0x1CFDE9859459B776, "func_bcs_location_trigs" },
    { 0x76F08491C97FD6D1, "func_bot_get_closest_navigable_point" },
    { 0xDFA2902EB54B886A, "func_create_loopsound" },
    { 0x475430E8F720D753, "func_encounterstart" },
    { 0x2A8A225DB1972798, "func_get_level_fx" },
    { 0x6716AFEBD42BCA28, "func_get_nodes_on_path" },
    { 0xC03E1EC4765DFD9B, "func_get_path_dist" },
    { 0x7F0DD9BB2FD523BA, "func_getspawneraitype" },
    { 0x0EDBDDFF0C26EEEB, "func_glass_handler" },
    { 0x56C7FABFC81DA8DF, "func_load_difficulty_table" },
    { 0x02249EB30D8BD524, "func_loopfxthread" },
    { 0xF94464D9F1341C4A, "func_oneshotfxthread" },
    { 0x483A5A8F23616F5A, "func_patch" },
    { 0x22E50CD601DF19AD, "func_player_speed" },
    { 0xED5D2559A1957125, "func_pointer" },
    { 0x81A025744B284D35, "func_position_player" },
    { 0xB165D5249E297AEA, "func_position_player_get" },
    { 0x890177CA5D125B0C, "func_process_fx_rotater" },
    { 0x63AE3FFF0F762265, "func_ref_exist" },
    { 0xA8C7341F951E4AF8, "func_run_lean_threads" },
    { 0x43F0E6B933BB9D44, "func_thread" },
    { 0x1C4C59C93562F7BB, "func_updatefx" },
    { 0x610706C9E56A3C28, "funcs" },
    { 0x616E7AB0A4FC6F77, "funcs_after_notifies" },
    { 0xECEC76F917DC2735, "function" },
    { 0x59E842F0EA2B542E, "function_stack" },
    { 0x79C2A2FDBC1B42F1, "function_stack_caller_waits_for_turn" },
    { 0xA6E1A3175A532A6C, "function_stack_clear" },
    { 0xCB36C5BA779EAE4B, "function_stack_func_begun" },
    { 0x3761CC25E99886AB, "function_stack_proc" },
    { 0xF983EA22DEBB6904, "function_stack_self_death" },
    { 0xAB0BC8059EC6320E, "function_stack_timeout" },
    { 0xAE6A3E449356A3DA, "function_stack_wait" },
    { 0x71709BFF231691F8, "function_stack_wait_finish" },
    { 0xFDCD9FA6A84F4399, "furthestspawndistsq" },
    { 0xB823CD59639C254D, "fusebox" },
    { 0x18B3B9331B1C73EF, "fusebox_animnode" },
    { 0xED407D155DDCFBA4, "fusebox_damage_think" },
    { 0x3D7CF823424AE945, "fusebox_door_interact" },
    { 0x77DF8A23DC1CB4CD, "fusebox_handle_down" },
    { 0xC78E41671B55DA8C, "fusebox_init" },
    { 0xA07D135EE995FC10, "fusebox_interact_anim" },
    { 0x3458E143986FBCBE, "fusebox_interact_anim_unlink_player" },
    { 0xFD033E8944DAF193, "fusebox_runner_stealth_filter" },
    { 0x07660E9DA61F2DDE, "fusebox_switch" },
    { 0x616F7EA1D049BB3C, "fusebox_switchoff_think" },
    { 0xC0E1694D0218E9BA, "fusebox_tut_catchup" },
    { 0x84BE051CD755BDB4, "fusebox_tut_cleanup" },
    { 0x92469037D72DEF1F, "fusebox_tut_gate" },
    { 0x1C323E4DEC3C03A5, "fusebox_tut_main" },
    { 0xC12DAD65513C8A55, "fusebox_tut_price" },
    { 0xE1FE7CDC1564E58F, "fusebox_tut_price_breakout" },
    { 0x683E93D755A64AA9, "fusebox_tut_price_finish" },
    { 0xAE9F3818E2FD8774, "fusebox_tut_start" },
    { 0x63ED6C7838DBCAA8, "fusebox_tut_victim" },
    { 0x98E60EF955F11E44, "fusebox_tutorial_temp_sounds" },
    { 0xE077B64128A4BF0E, "fusebox_victim" },
    { 0x6C37AE060FB073B1, "fuseboxes" },
    { 0xC1119C78A7E2647A, "fusefx" },
    { 0xD5F3135979C09035, "fuselit" },
    { 0xA0E74CDD27C6E5DB, "fusesound" },
    { 0xEBAAC27FE5C44E25, "fusetime" },
    { 0xED743603E8B29966, "fwd" },
    { 0x45A493B3549F8752, "fwd_anim" },
    { 0xCE2D3978F5802F97, "fx" },
    { 0x5F77BA35EAF6CDFD, "fx_airstrike_afterburner" },
    { 0xAD0200CDD742D9B7, "fx_airstrike_contrail" },
    { 0xF50EB1233753AA22, "fx_airstrike_wingtip_light_green" },
    { 0x8E96872843AC5DA2, "fx_airstrike_wingtip_light_red" },
    { 0xF977718E9F0CA1FD, "fx_array_fire_chains" },
    { 0x9107557EAE61D9BB, "fx_contrail_tag" },
    { 0xCB28D1285D25CAD1, "fx_death_check" },
    { 0x0227B63C11CFF84D, "fx_ent" },
    { 0xA92403F94DC9AA5A, "fx_ent_index" },
    { 0x8D4E041B2C5EF05A, "fx_ents" },
    { 0x6893F79C46F77B4D, "fx_explode" },
    { 0xB86875317ED0329C, "fx_flare_oil_fire" },
    { 0x27F92C175959CEA5, "fx_forward" },
    { 0x419F1835BB0028AE, "fx_highlightedent" },
    { 0x34B06AC1ACB6681F, "fx_kill_watcher" },
    { 0xC624F80BA4DE5C05, "fx_killontag_safe" },
    { 0xA6DF3DEEBAFB5BC3, "fx_killontag_safe_internal" },
    { 0x278A2578F9A231A8, "fx_leave_tag" },
    { 0xB4DEEA7B97FD8765, "fx_model" },
    { 0xA8E5CA3BCF92E4CD, "fx_obj" },
    { 0x0841ADF777808561, "fx_on" },
    { 0x9793CF51819E5BDA, "fx_origin" },
    { 0xB209282D1CE94A5A, "fx_paused" },
    { 0xBE9F69345487CCE7, "fx_playontag_safe" },
    { 0xCA5319020869DD89, "fx_playontag_safe_internal" },
    { 0x52B982501CD0AFE1, "fx_regulate" },
    { 0x076BBCA6ADC26770, "fx_regulate_init" },
    { 0xBE7D292F5EC1B9E3, "fx_regulator" },
    { 0x5587EA048B376870, "fx_rotating" },
    { 0xCF7A042E7840E33D, "fx_stopontag_safe" },
    { 0x826130A8596EDF1B, "fx_stopontag_safe_internal" },
    { 0x5DFCA94D35DDE0F1, "fx_struct" },
    { 0x08F47AA34DD41808, "fx_stun_damage" },
    { 0x0A5F0A3B5BC18428, "fx_tag" },
    { 0x9087DB8ACA961421, "fx_tags" },
    { 0xE0B964006BD0A677, "fx_thermal" },
    { 0x2252D27E98F07FBD, "fx_thermal_end" },
    { 0x70937AF97A8322AC, "fx_ticket" },
    { 0x6E977C6BED6ED484, "fx_ticket_queue" },
    { 0x08159BF7774FF765, "fx_up" },
    { 0xA656F051EA36201F, "fx_volume_pause" },
    { 0xA29A05B329031CA7, "fx_volume_pause_noteworthy" },
    { 0xC708B0157907E1E8, "fx_volume_pause_noteworthy_thread" },
    { 0x39ABACA9CA42C176, "fx_volume_restart" },
    { 0xF233B538DD1CA26C, "fx_volume_restart_noteworthy" },
    { 0x421544007C3F88DD, "fx_volume_restart_noteworthy_thread" },
    { 0xC035E4F5267B7F97, "fxangles" },
    { 0xDFD64B2F445A2406, "fxdelay" },
    { 0x3BAAC9DEDF148D10, "fxdlightent" },
    { 0x6AD15BF93783B634, "fxent" },
    { 0x6E234B1516A94F32, "fxent2" },
    { 0x1EC058B6C2E057C7, "fxentdeletelist" },
    { 0xD6618F0F88D8EE57, "fxexists" },
    { 0x303898276501854E, "fxgreen" },
    { 0x4D357C1B0595FA6D, "fxhudelements" },
    { 0x2C5889549507D94B, "fxid_contrail" },
    { 0x31A0F7997F727BF0, "fxid_explode" },
    { 0xB60EECC3C985754A, "fxid_leave" },
    { 0xE4C468EF5B442558, "fxid_light1" },
    { 0x2DA34439C2BEF6C3, "fxid_ping" },
    { 0xD0447CC7E25E53ED, "fxid_sparks" },
    { 0xB413C5BB5B91FC94, "fxname" },
    { 0xBFAC5FF974E8A27C, "fxobj" },
    { 0x046F23442103110C, "fxoffset" },
    { 0xDB5945A3217AB709, "fxorigin" },
    { 0x210DCE2E6981056F, "fxorigintag" },
    { 0x32617D1206BE1B97, "fxorigintagb" },
    { 0xAF2B3AF8AE4F48DE, "fxred" },
    { 0xB5DAF56FAB8573BE, "fxrings" },
    { 0x448FA357FE9B4DBD, "fxstart" },
    { 0x1445EFC8AE90AB8F, "fxstop" },
    { 0x911EE7F897E8509D, "fxtag" },
    { 0x9802ABB5BB4D7CC6, "fxtime" },
    { 0x6734BE87D5681C6C, "fxtoplay" },
    { 0xAC0E574AC96A9F42, "g" },
    { 0x1C4FD58D5895A70F, "g_bob_scale_get_func" },
    { 0xCEDB25A055281823, "g_bob_scale_set_func" },
    { 0x470BDD6248A6B642, "g_effect" },
    { 0x4B19168C5810F307, "g_inuse" },
    { 0xF7B113764C068350, "g_nextusepress" },
    { 0xDFB15D6EA9B1AC52, "g_speed" },
    { 0x14C1C53C9DFD67CC, "g_speed_get_func" },
    { 0x243A0C61D797AD20, "g_speed_set_func" },
    { 0x0ACA9273176D3691, "gainedjuggupdater" },
    { 0xD03B9F38CAC8C081, "game_end" },
    { 0xD4C977191305877A, "game_end_watcher" },
    { 0xCB89258CA6DC1545, "game_ended_fadeout" },
    { 0x9D08A4BFAE39EFD9, "game_ended_vo_watcher" },
    { 0x55D010622D8068D2, "game_extrainfo" },
    { 0x7681508566E5E93E, "game_init" },
    { 0x1ABE8B8DF9E20FF0, "game_mode_attachment_map" },
    { 0x5D046D8CAE7174C5, "game_mode_statstable" },
    { 0x7B0469E3DB044ECD, "game_should_end_early" },
    { 0x381F9D9ABDB034E0, "game_start" },
    { 0xD8C8DD98AF89D025, "game_type_col" },
    { 0x9F14269D9D143AD4, "game_utility_cp_gettimesincegamestart" },
    { 0xCD0EA58C2894F4E9, "game_utility_cp_init" },
    { 0xC96FD95328969917, "game_utility_init" },
    { 0xE45CA4D992C163A6, "game_utility_mp_gettimesincegamestart" },
    { 0xC90A833EF2E8E20F, "game_utility_mp_init" },
    { 0xE26A9937A560FFDB, "gamealreadyended" },
    { 0x978999C46FF5D9A9, "gamedvrprohibitrecording" },
    { 0x2F8FC90CDBEBB037, "gamedvrprohibitscreenshots" },
    { 0x52885EC261ABDE0E, "gamedvrsetscreenshotmetadata" },
    { 0x42A8740B14403CD7, "gamedvrsetvideometadata" },
    { 0xC5315EB5EC899696, "gamedvrstartrecording" },
    { 0x029CC838A36B8600, "gamedvrstoprecording" },
    { 0x27A6503A553ECD49, "gameended" },
    { 0xA011575E4F84D38A, "gameendfreezemovement" },
    { 0xC6FBA248FD5D1800, "gameending" },
    { 0x19BB0F165ED0F0B0, "gameendlistener" },
    { 0xCBC6AAF4C820BBC1, "gameendtime" },
    { 0xC1AF1092AD81C675, "gameflag" },
    { 0x3156F4AED4DCA032, "gameflagclear" },
    { 0x7CB4C5A525588FAD, "gameflagexists" },
    { 0x94E3A4BA21F0DAC3, "gameflaginit" },
    { 0x5224754A7038AC93, "gameflagset" },
    { 0x332D5751BE238A30, "gameflagwait" },
    { 0x0545284270123539, "gamehasinfil" },
    { 0x2A0E74E3564EE792, "gamehasneutralcrateowner" },
    { 0x5815D78C234A3A22, "gamehasstarted" },
    { 0x6E33AA1588AA892C, "gameisending" },
    { 0xE2B7A447C0C1AE89, "gamemode_chosenclass" },
    { 0x96E868A7C228F69D, "gamemodecalloutent" },
    { 0x9FB54F4F29CAEAE1, "gamemodecallouttime" },
    { 0x195B72F8D6971661, "gamemodefirstspawn" },
    { 0x9505C09A2D5D6FD3, "gamemodeforcednewloadout" },
    { 0x628548B1D6250908, "gamemodegesturecalloutassign" },
    { 0x113669B8E84B2478, "gamemodegesturecalloutverify" },
    { 0x33225BAFF342CEA4, "gamemodejoinedatstart" },
    { 0x2E00CC7E279FA390, "gamemodemaydropweapon" },
    { 0x416149E6A3687ECA, "gamemodemodifyplayerdamage" },
    { 0x75E843C825DB5CE8, "gamemodemolotovfunc" },
    { 0x5BAC39632A5DA1BB, "gamemodeoverridemeleeviewkickscale" },
    { 0x52737F43A7FC0F5A, "gamemodeoverriderestockrechargeperupdate" },
    { 0x393A0412056B40C1, "gamemodespawnpointnames" },
    { 0xD8C55EB84178DD1C, "gamemodespawnprotectedcallback" },
    { 0xED295C41104E102D, "gamemodestartspawnpointnames" },
    { 0xB6021062AE46AB34, "gamemodeusesdeathmatchscoring" },
    { 0x11262FA417A8FF30, "gameobject" },
    { 0xB4650F98596D9AC8, "gameobject_fauxspawn" },
    { 0x7BE451E4B3185839, "gameobjectreleaseid_delayed" },
    { 0xECBE227ADD622857, "gameobjects_getcurrentprimaryweapon" },
    { 0x6C7DAD14CC44F858, "gameoff" },
    { 0xFEADC786A1542C96, "gameon" },
    { 0xA62427E13B20FDA3, "gameon_thread" },
    { 0x617788C3E3F1208F, "gameon_toggle" },
    { 0x7FD00D30C4FF35B2, "gamepadwasenabled" },
    { 0x070052F7A84E8909, "gameplay_asset_adjustments" },
    { 0xBA51A694E89933E3, "gameplay_main" },
    { 0x9A7B1EE0A85B6DEA, "gamescore_init" },
    { 0xF41E7C48A6513F55, "gamescoreevent" },
    { 0x816ABF0BB314263D, "gameshouldend" },
    { 0x02DF7F134CE9BBB8, "gameskill" },
    { 0x21F62C12FFFAE9AE, "gameskill_breath_func" },
    { 0xECFA0E69E19378A8, "gameskill_change_monitor" },
    { 0x24E50CA98B9169F3, "gameskill_init" },
    { 0xD9AAE24332B6E9E9, "gameskill_set_player" },
    { 0x0FD30EE16B3816B0, "gamestarted" },
    { 0x637E1B81E35FCD64, "gamestatedisplaymonitor" },
    { 0xB9CDE847F88257B2, "gametime" },
    { 0x222D964786A6FB40, "gametimer" },
    { 0x16E5DC50F8C4752D, "gametimerbeeps" },
    { 0xFBAEBE95383D4646, "gametweaks" },
    { 0xD3367447500AA863, "gametype" },
    { 0xFA2835B347C04E8C, "gametype_agent_init" },
    { 0xB4047EA73DD8EF8B, "gametype_interaction_func" },
    { 0xAC62214235307DCD, "gametypefilter" },
    { 0xA4C237E9EF8EF05F, "gametypekillsperhouravg" },
    { 0xD66F0A195214A53E, "gametypekillspermatchmax" },
    { 0xD3107BF16ECBC2FC, "gametypeoverrideassassinsearchparams" },
    { 0x292F76DFC492399B, "gametypeoverridedomsearchparams" },
    { 0x86675707EB5480C8, "gametypeoverridescavsearchparams" },
    { 0x201125206D914CCB, "gametyperoundendscoresetomnvar" },
    { 0x0CF5C13BB8B86548, "gametypestarted" },
    { 0x791C46D6C54B7A3E, "gametypesupportsbasejumping" },
    { 0xFFD17EFB77106D72, "gametypeweaponxpmodifier" },
    { 0x2E237CC249C428C2, "gametypexpmodifier" },
    { 0x3B8B9FEC13D4D094, "gamewinnerdialog" },
    { 0x11E91DE1017EF599, "gap_ai_cleanup" },
    { 0x28EE44FFD6F2D8FB, "gap_bomber" },
    { 0x66470F45D3A418B3, "gap_bomber_detoantes" },
    { 0x66FF661B40054DB8, "gap_bomber_dmg" },
    { 0xC36B9D5031829855, "gap_bomber_internal" },
    { 0x24DE8B07B4C60E52, "gap_bomber_logic" },
    { 0xEA1501535245586F, "gap_flags" },
    { 0x9876B98CCE2DD4E4, "gap_hostage_beeper_loop" },
    { 0xFE14F0D0310CABBB, "gap_hostage_dmg_monitor" },
    { 0x222E28352C1AB6D6, "gap_nag" },
    { 0xD534F697F9C490CB, "gap_right_combat" },
    { 0x71B889B980687AD0, "garage" },
    { 0xA867D8FE6DCE937C, "garage2_carjack" },
    { 0xA49602DAD5BCDD8A, "garage2_easy_light" },
    { 0xEB57228F06718423, "garage2_exit_vo" },
    { 0x6130F470B8A297CB, "garage2_force_combat" },
    { 0x27D7A210C1211456, "garage2_is_light_off" },
    { 0xED034D52DEE981B4, "garage2_lifted_taxi" },
    { 0xF443CF735987FD02, "garage2_lights" },
    { 0x8D115A8FDECE2386, "garage2_lower_carjack" },
    { 0xCDDC2E80C1D33621, "garage2_price_exit" },
    { 0x21A3C6FA0A63BD59, "garage2_scene" },
    { 0x2AE49F790074C7F2, "garage2_temp_sounds" },
    { 0x9CAD85653168780B, "garage2_train" },
    { 0x13182D8AF8B74076, "garage_ambush_thread" },
    { 0x99C360F9E11FC342, "garage_ambusher" },
    { 0xCD0298B527EA6581, "garage_approach_vo" },
    { 0x978FD4D951E0ED41, "garage_door" },
    { 0xD29A46A68D642DE3, "garage_door_anim" },
    { 0xFC68D927D1DF541D, "garage_door_lights_off" },
    { 0xCD1F7DC3BAFDC72A, "garage_enemy_going_hot" },
    { 0x8A8AD5BEFB155F36, "garage_entry_catchup" },
    { 0x6B77C25D4402EC2C, "garage_entry_dialog" },
    { 0x2D706A0547C41E79, "garage_entry_main" },
    { 0x52052B1D363A99E0, "garage_entry_start" },
    { 0x897F2BC539B4B11D, "garage_exit" },
    { 0xD1A1DF99F89EB98A, "garage_explosive_explode" },
    { 0xA4976C1A688D46AD, "garage_explosive_thread" },
    { 0xF6BF854C373E9A1C, "garage_explosives_init" },
    { 0x7DCAD408B3353801, "garage_fire" },
    { 0x85E183A49715D350, "garage_fire_init" },
    { 0xA5689FA22434B3DE, "garage_fire_thread" },
    { 0xB3F0AD643FBCBC5B, "garage_init" },
    { 0x1FDD3117FAF59FED, "garage_inner_main" },
    { 0xFC72270D433051FC, "garage_inner_start" },
    { 0xCD990027BD7F6027, "garage_knock" },
    { 0xDB40251F82ABF5A4, "garage_knock_enemy" },
    { 0x8A6AD095F1E48E2F, "garage_knock_vo" },
    { 0xD7A8060CA7C15430, "garage_model_swap" },
    { 0x88B098A2480A1DB9, "garage_office_alert_thread" },
    { 0xFE56326E91636BE8, "garage_office_alert_wait" },
    { 0x0D6F23F5A010288F, "garage_scriptables" },
    { 0xD6B2BD7EC8C5A7F8, "garage_tires" },
    { 0xA185BCDD5F5D2812, "garage_tripwire_init" },
    { 0x677B82768C7E30A7, "garage_tv" },
    { 0x8D902A1B9C590D00, "garagedoor" },
    { 0xB57E1638DB136235, "garbage_bin_clip" },
    { 0xF8A25C249E820ED8, "garbage_collector" },
    { 0x75C4EF73C4781F5B, "garbage_collector_think" },
    { 0x3BD7384338D8F814, "gas_alley_hadir_blocker" },
    { 0xBD7BBD46F6488742, "gas_alley_start_blocker" },
    { 0xD64EBEBB2C6A508D, "gas_allieslogic" },
    { 0xC5484AFA6C46F00A, "gas_and_kidnap_sequence" },
    { 0x29EFF161646A9E78, "gas_applyblur" },
    { 0x0CD88718E8206DF1, "gas_applycough" },
    { 0x8E98E7F00027843A, "gas_applyspeedredux" },
    { 0x97AEAB693E2FB9D2, "gas_at_computer" },
    { 0x4F9869DB602CDF4B, "gas_attack" },
    { 0xB7F37C2C50FFA186, "gas_attack_anim_node" },
    { 0x4BBBC4AF430755C6, "gas_attack_catchup" },
    { 0x20CEF9E69F6FBA90, "gas_attack_corpse_shader" },
    { 0xE2A4DE4019B1E8EF, "gas_attack_deploy" },
    { 0x9ADD1721E29429E7, "gas_attack_house_door_model" },
    { 0x6FAF0FC7C0503CBC, "gas_attack_left_anim_node" },
    { 0xD4C9F783F1EFDEC9, "gas_attack_main" },
    { 0x2FEF778F16774790, "gas_attack_start" },
    { 0x096EC2E30CE394E4, "gas_attack_triggers_monitor" },
    { 0x77FA05FE2E6AEE29, "gas_badplace" },
    { 0xDA3BD8F1F4DCBC02, "gas_begincoughing" },
    { 0x0B990DF639922A58, "gas_blockers" },
    { 0xA9AE63EBA7E798D5, "gas_can_save" },
    { 0x32929815A7D82F70, "gas_cannister_launch" },
    { 0x99E5721A158F00F3, "gas_catchup" },
    { 0xF4C3CFC4341D99BD, "gas_chambers_catchup" },
    { 0x2481DA63449BEFCC, "gas_chambers_main" },
    { 0x76DEBBEED9E087BB, "gas_chambers_start" },
    { 0xCB2768A5CA6694FC, "gas_clear" },
    { 0xA3895872B8E7BF05, "gas_clearblur" },
    { 0xB3E7BAD1FF31E7E6, "gas_clearcough" },
    { 0xA09D97A9384B910B, "gas_clearspeedredux" },
    { 0x2AABA38959972AAF, "gas_cloud_vfx" },
    { 0x32D2A89E19DA98DD, "gas_coughisblocked" },
    { 0x5D6EB8F01C7ACC22, "gas_cover_blown_monitor" },
    { 0x482EF80964BCB3CD, "gas_crawl_end_blocker" },
    { 0x9B92A47ED3C0CEC4, "gas_crawl_start_blocker" },
    { 0x90483DA24F1ED1AD, "gas_createtrigger" },
    { 0x78E134A7CE206595, "gas_destroytrigger" },
    { 0xF08C98A700A0C7ED, "gas_dialoguelogic" },
    { 0xA491F96F2C40FDB0, "gas_door_down" },
    { 0xFFB1E32E80C15623, "gas_dyingaidamagelogic" },
    { 0x7D517143D38D2D60, "gas_dyingailogic" },
    { 0xA38F1A14FE4472FF, "gas_emit_vfx" },
    { 0xF7DD3355AA41633E, "gas_exit_catchup" },
    { 0xC72FBCF7F859A591, "gas_exit_main" },
    { 0x89F3298ADA7702B8, "gas_exit_start" },
    { 0x8AB9FCCCB71A0CB2, "gas_exit_start_vo" },
    { 0xBCFC936DE007BDD9, "gas_exit_trigger_monitor" },
    { 0xC678FC22FB430CC8, "gas_explosionlogic" },
    { 0x11815F49A26277C9, "gas_explosionsfxlogic" },
    { 0x4BD0BDC6BB5B91DD, "gas_factory_mid_spawn_func" },
    { 0xCABA8B1037A77DC1, "gas_fail_timer" },
    { 0x01618B854606E82C, "gas_fail_trigger" },
    { 0x2667919F066EF3A8, "gas_flyby_plane" },
    { 0xE1CA589CF88D3675, "gas_fx" },
    { 0x256B4237D668A060, "gas_getanimationstruct" },
    { 0x36CCE29F8707517E, "gas_getbarrels" },
    { 0xC3C1025AE4A926AA, "gas_getblurinterruptdelayms" },
    { 0xA9F9BCD3596566D0, "gas_getplayermask" },
    { 0xCAA3F5D41529E590, "gas_isintrigger" },
    { 0xB1CFD67BD5B0F90D, "gas_killai" },
    { 0x57E120272D87410B, "gas_linger_large_vfx" },
    { 0x94224BF3FB1F2417, "gas_linger_vfx" },
    { 0x985D40F644E84AA2, "gas_main" },
    { 0x354681078399DEB8, "gas_main_setup" },
    { 0x988945F64518BC07, "gas_mask" },
    { 0x4B2DD7F050135DBE, "gas_mask_from_boss_model" },
    { 0xBAEED0225C4F7DBC, "gas_mask_from_boss_model_pre" },
    { 0x42D9380E91E53D38, "gas_mask_overlay" },
    { 0x3A53151A1ACA0032, "gas_mask_pickup_playerlogic" },
    { 0xF37B22C9C92CC342, "gas_mask_remove_trigger_monitor" },
    { 0x20964D87D1D0418B, "gas_mask_swap" },
    { 0x8B3019128EC6EED4, "gas_masks_middle" },
    { 0x17C637F24B7C68B2, "gas_masks_side" },
    { 0x06CDD850692A1E0A, "gas_mid_catchup" },
    { 0xC591D0493584D9B5, "gas_mid_main" },
    { 0x3D31E294B85EFEA4, "gas_mid_start" },
    { 0x6FBB988BA604F06E, "gas_mid_start_vo" },
    { 0x4E8D60F351CA18E5, "gas_mid_trigger_monitor" },
    { 0xF8A51F61F7C54AF4, "gas_modifyspeed" },
    { 0xCE56AB7AFF211D0B, "gas_monitorcoughduration" },
    { 0xD8213D26233319AD, "gas_monitorcoughweaponfired" },
    { 0xD582AC73CD219A16, "gas_monitorcoughweapontaken" },
    { 0xA81233C44D93ED7C, "gas_objectivelogic" },
    { 0xAB776A3223950234, "gas_onentertrigger" },
    { 0x1BEBFFE57E8F55FE, "gas_onexittrigger" },
    { 0x016411289E37E756, "gas_onplayerdamaged" },
    { 0x2442498EF36F4890, "gas_payloads" },
    { 0x1B13F1052EB3201B, "gas_playerexposedblackoverlaylogic" },
    { 0xF690EB2A5E8CFECB, "gas_playerexposedblurlogic" },
    { 0x819EF1B8E0F2E258, "gas_playerexposedeffects" },
    { 0x8EBBA35D0E5693DD, "gas_playerexposedfovlogic" },
    { 0x2EAEF5E90B74B854, "gas_playerexposedlogic" },
    { 0x9CD545DA26997034, "gas_playerexposedproneimpactlogic" },
    { 0x359C1B1E3FE36245, "gas_playerexposedspeedlogic" },
    { 0xECDDAB1BA3F27A71, "gas_playerpassoutlogic" },
    { 0x6C0B2306D0C49991, "gas_playerpistolweaponlogic" },
    { 0x3F8282A080112B28, "gas_playerrecovereffects" },
    { 0xF794A77E30F52CEC, "gas_queuecough" },
    { 0x1170F082BB837D9A, "gas_removeblur" },
    { 0x170C070A3704530B, "gas_removecough" },
    { 0xFBD19F991980ACD4, "gas_removespeedredux" },
    { 0x38B0551E04FBB55C, "gas_restoreheldoffhand" },
    { 0x65738F3D25A00022, "gas_sequence_activated" },
    { 0x3DA0BFF93E2BFC8C, "gas_shouldtakeheldoffhand" },
    { 0xE13A2307E973A8EF, "gas_sources" },
    { 0x77DD6C2150DE3941, "gas_start" },
    { 0x9F0EF1C5B8EF5168, "gas_start_execution" },
    { 0x0F1FAFAFEB063914, "gas_start_soldier" },
    { 0x3BA90D0EA47456B1, "gas_start_vo" },
    { 0xFB46B2EED0F96ABD, "gas_takeheldoffhand" },
    { 0x52B2918130E614BE, "gas_trail_ground_done" },
    { 0xC22BA6D8760DA93F, "gas_trap_cloud_structs" },
    { 0x8E9EEEE022977A6F, "gas_trap_damage_trigger" },
    { 0x7513128F311F17D5, "gas_trap_structs" },
    { 0xED92C9B4448E9B1D, "gas_trap_weapon" },
    { 0x2BBCB34AA45AE01D, "gas_trigger" },
    { 0x8EA555559B7637E8, "gas_trigger_monitor" },
    { 0x56EA892BED932ED8, "gas_trigger_player_think" },
    { 0x0BB5E4BC757EEE8A, "gas_trigger_think" },
    { 0x62F3D0439656C729, "gas_triggers_init" },
    { 0x3289439B21CB3422, "gas_tryplaycoughaudio" },
    { 0xEF1EFFDE4B11F387, "gas_updateplayereffects" },
    { 0x3351A6BEC953FDD2, "gas_used" },
    { 0xBE1570D04ACE1A61, "gas_vfx_and_triggers" },
    { 0xA7F5C2E688F7DF08, "gas_vfx_range_think" },
    { 0x34B3FE5A7C274DD4, "gas_victim_spawn_and_loop" },
    { 0xC214B7105FBD7D88, "gas_victims" },
    { 0x3C886DFC4EA6D727, "gas_victims_start_loops" },
    { 0xFA0575B64E1F91A7, "gas_watchexplode" },
    { 0xE41A0F0F7B2D91C4, "gas_watchtriggerenter" },
    { 0x3422429F7F39540A, "gas_watchtriggerexit" },
    { 0x421227620CFC2366, "gas_window_blocker" },
    { 0xE71D484F0C64AB71, "gasattack_ambulance_truck_model" },
    { 0x742D21ABBF3FD042, "gasattack_attack_rus_01_model" },
    { 0x417113F4308A3DCF, "gasattack_attack_rus_02_model" },
    { 0x93017CB4EA8C1338, "gasattack_attack_rus_03_model" },
    { 0x92BD60E0C56833CA, "gasattack_civ01_model" },
    { 0xE93CA480446AA117, "gasattack_civ02_model" },
    { 0xF2E57C415A67F820, "gasattack_civ03_model" },
    { 0x3A701C74F6EB2FF5, "gasattack_civ04_model" },
    { 0x3D86A7E3F3368486, "gasattack_civ05_model" },
    { 0xFD6F93CC16BFE023, "gasattack_civ06_model" },
    { 0x0141EED78C71CE9C, "gasattack_civ07_model" },
    { 0xC35DD24BAD0AAE3E, "gasattack_civ_female_01" },
    { 0x6DC66429C1F222B5, "gasattack_civ_male_01" },
    { 0x6DC66129C1F21C1C, "gasattack_civ_male_02" },
    { 0x6DC66229C1F21E4F, "gasattack_civ_male_03" },
    { 0xB15260E21DBFDB0B, "gasattack_enemy_truck_01_model" },
    { 0x1460431667DFF62E, "gasattack_enemy_truck_02_model" },
    { 0x5ADE155602522201, "gasattack_wh01_model" },
    { 0x91547F8581F18FE8, "gasattack_wh02_model" },
    { 0x879F482EBDE3C93F, "gasattack_wh03_model" },
    { 0xC12A76933E78D280, "gascan_hint_displayed" },
    { 0x3BA7FB54E9EE7215, "gascankills" },
    { 0xB0844300EE028133, "gascanowner" },
    { 0x846EBFEE91CF2792, "gascanownercount" },
    { 0x6821CE8C699F8458, "gascoughinprogress" },
    { 0x1B9AAFB9697119A1, "gasdamagebuffer" },
    { 0xAA499C2A90DD3910, "gasfx" },
    { 0x327014FCDF28B804, "gasfxair" },
    { 0x358A3F57EF83BE0B, "gasfxground" },
    { 0x592D2EDFD8B15B38, "gasgrenade_crate_player_at_max_ammo" },
    { 0xCFEDBD3E70A39D1C, "gasgrenade_crate_spawn" },
    { 0x5381B7DF4C674228, "gasgrenade_crate_use" },
    { 0x7093C9963D07B05D, "gaslabanimref" },
    { 0x196950D6617B5939, "gaslabdoor" },
    { 0x02608E69476F94D3, "gaslabdoorinteract" },
    { 0x07D346E9AD64F3EE, "gasmask" },
    { 0x398362569F69B3DE, "gasmask_on" },
    { 0x34C09F420414F34A, "gasmask_on_belt" },
    { 0xFBC1F4D6DF9CEE4E, "gasmask_onpickupcreated" },
    { 0x3523A3A4AEDAA7C9, "gasmask_resist" },
    { 0xE94C1E1E5E897C1D, "gasmaskcarryinfo" },
    { 0x69F881CEBB64B093, "gasmaskequipped" },
    { 0xEDC0EC5D76083C4C, "gasmaskhealth" },
    { 0xAACF4A3BF066DD30, "gasmaskhealthperpip" },
    { 0x9FA3E8A2FE9EBAB6, "gasmaskmaxhealth" },
    { 0x5FAB381611DA0CF6, "gasmaskoverlay" },
    { 0x28C4DB6CE4C3DCD5, "gasmaskswapinprogress" },
    { 0xF343836937ADB80E, "gasmasktype" },
    { 0x5C4640C23C563BEB, "gasmodel" },
    { 0xF0D3F1F486664D2F, "gasspeedmod" },
    { 0xF03C454AD9D164D7, "gastakenweaponammo" },
    { 0x81558AADDEA41FA2, "gastakenweaponobj" },
    { 0x80D7EEC6C2C8014D, "gastrap_dmg_trig" },
    { 0xDFBE7F739CDACCB8, "gastrapstruct" },
    { 0x2A4F0DF2DE0F30AA, "gastriggerstouching" },
    { 0x8199D4D8E4F0A0C0, "gasvfxstructs" },
    { 0x4D649D873F1C8B52, "gate_already_open_and_connect_paths" },
    { 0x81B132536C3C8C7F, "gate_aq_spawners" },
    { 0x5FF7A016060F8B6A, "gate_breach_sfx" },
    { 0x38848B929E605710, "gate_burning_cars" },
    { 0x33836AD0BE00FD2B, "gate_catchup" },
    { 0x5885C55F5A5E2590, "gate_chain" },
    { 0x38C5C4E612A1F91B, "gate_chain_init" },
    { 0x804534B601FA7E9B, "gate_climber" },
    { 0x30B1D65085C539B4, "gate_climbers_respawner" },
    { 0xC026C3481C51B036, "gate_climbers_setup" },
    { 0x4A7D96415A4216E6, "gate_closes" },
    { 0x9137BE2C6F1DC1AF, "gate_collapse_rumble_handler" },
    { 0xFF3328D06131C0FF, "gate_damage_monitor" },
    { 0xB51FA7E1534D6900, "gate_enemy_goes_hot" },
    { 0x2CCB62C57868AB50, "gate_enemy_react_to_sprinting" },
    { 0xD64A9D941D9C0664, "gate_enemy_stealth_filter" },
    { 0xC74F4E6E5E0F6F05, "gate_flares_think" },
    { 0x52F1EE7CF037276E, "gate_light_watcher" },
    { 0x6C066A2D977C95B2, "gate_lock_swap" },
    { 0x1265E8BEBD1D550A, "gate_main" },
    { 0xB8F51809DACD4D97, "gate_marine_spawners" },
    { 0x6B16817C7247D40E, "gate_mob_aq_spawners" },
    { 0x618605C6FD8102E2, "gate_mob_civ_spawners" },
    { 0xF68963E0350C7464, "gate_nvg_hint" },
    { 0xCE47F22B2C1A51AF, "gate_open_and_connect_paths" },
    { 0x46FB5DFFD9CF1C86, "gate_overrun" },
    { 0x2BBAA8394C5B0663, "gate_overrun_fire_rate_controller" },
    { 0x7C31FA90C37285C0, "gate_overrun_respawner_aq_fighters" },
    { 0x38F906A88CA75F26, "gate_overrun_respawner_marines" },
    { 0xF742EFFE60FDCAE2, "gate_overrun_respawner_mob_aq" },
    { 0xE3B5C26F642D02EE, "gate_overrun_respawner_mob_civ" },
    { 0xBB92ACD31D7ECA85, "gate_overrun_set_dont_shoot" },
    { 0x7471F5624130EC13, "gate_overrunners_aq" },
    { 0xE0A15CDA31B0446B, "gate_overrunners_marine" },
    { 0x316C881CA1558C68, "gate_overrunners_mob_aq" },
    { 0xE8FA22F6B881AAD8, "gate_overrunners_mob_civ" },
    { 0x3CED3757B023E069, "gate_start" },
    { 0xC59ABB2713EA28F1, "gate_swings_open" },
    { 0x6BFAB08E01AA1002, "gate_team_approach_and_mask_up" },
    { 0x15BEC4C849AEF1D0, "gate_team_open_and_enter" },
    { 0x1511091FA55AC6CE, "gate_truck" },
    { 0xF4820FB2DAC0E5E1, "gatelock" },
    { 0xD9221A2AB46BF83F, "gates" },
    { 0x73F0B8AFE5F15CD0, "gates_combat" },
    { 0x392B734BE1ADCB44, "gates_puzzle" },
    { 0x487EBF2FA63EA965, "gatesmash_laswell_convo" },
    { 0xE5BA18480AC1C2C2, "gather_delay" },
    { 0xFB13AE4D776A9BC7, "gather_delay_proc" },
    { 0x65842A4B29699B3B, "gatherc130playerstospawn" },
    { 0xA6BE148DB30B8DA3, "gatherdynamiccqbstructs" },
    { 0x27D05E556D7C1B66, "gathergroups" },
    { 0xEBF06404BFB7E98E, "gathermappointinfo" },
    { 0xE49D830D37641259, "gatheroutercrates" },
    { 0xF50957ECABC36696, "gatherstadiumlocs" },
    { 0xC71BAF066D2FECB0, "gathervalidspawnclosets" },
    { 0xD93C212AB48830AE, "gator" },
    { 0x161DEDC272DDFFEF, "gauntlet_actor_animate_single_then_loop" },
    { 0xD544ED9F0D8FBBAB, "gauntlet_aq_chasing_handler" },
    { 0xFC8C838B6A2D24A2, "gauntlet_aq_chasing_player_van" },
    { 0x9465D4B00FB557AB, "gauntlet_aq_clean_up_handler" },
    { 0x49887D911F62A731, "gauntlet_aq_create_badplace_in_combat" },
    { 0x5681704E91F94A3F, "gauntlet_aq_create_badplace_on_death" },
    { 0x254B22F4EF2FF555, "gauntlet_aq_dead" },
    { 0xC33EA08C33F4F18E, "gauntlet_aq_death_count_monitor" },
    { 0xF8B3A84297CD97E4, "gauntlet_aq_fighting_police" },
    { 0x8674091042A1E32D, "gauntlet_aq_force_target_police_cars" },
    { 0x3D58C7CE7612FB24, "gauntlet_aq_force_target_van" },
    { 0x5F121AC523A1B930, "gauntlet_aq_on_foot_spawner" },
    { 0x90D75F5A6875ED6A, "gauntlet_aq_runner_handler" },
    { 0x57B5365BF0BC642D, "gauntlet_aq_spawn_handler" },
    { 0xFF00727C009137B7, "gauntlet_aq_state_handler" },
    { 0xD009740114978432, "gauntlet_aq_vehicle_cleanup" },
    { 0x19C823527DE68515, "gauntlet_aq_vehicle_destroyed" },
    { 0x9B8A731CEB5DBFCA, "gauntlet_aq_vehicle_driver_death_handler" },
    { 0xEBB757E5822E80C0, "gauntlet_aq_vehicle_movement_handler" },
    { 0x1C7829804286A0EC, "gauntlet_autosave_weapon_pickup" },
    { 0xB8CA4551D58C72AB, "gauntlet_background_fakecivs" },
    { 0xF4D6C7DF74D875A3, "gauntlet_blood_handler" },
    { 0xF30E0E1A3CD005A8, "gauntlet_car_death_check" },
    { 0x9156DDD870091566, "gauntlet_car_death_monitor" },
    { 0x38160D5D2CA8C826, "gauntlet_car_fx_handler" },
    { 0x6CD5DCA0E49CA37D, "gauntlet_car_fx_stopper" },
    { 0x53E44A2D5CACB16A, "gauntlet_car_wheel_fx_handler" },
    { 0xC09DB59B96F87A49, "gauntlet_car_wheel_fx_stopper" },
    { 0x7B63873685A5C7BA, "gauntlet_catchup" },
    { 0xF358156A852EEBE6, "gauntlet_check_player_returning_fire" },
    { 0x171BBF90DDF3C33E, "gauntlet_civ_car_climb_handler" },
    { 0x916714E0E6ABC1E0, "gauntlet_civ_setup" },
    { 0x20D5C26434FE6F85, "gauntlet_civilian_vehicle_explosion_handler" },
    { 0x15428D6CC83F4B23, "gauntlet_civilian_vehicles" },
    { 0x92DE159500ADE31C, "gauntlet_containment" },
    { 0x079CE90CDB52A61F, "gauntlet_containment_handler" },
    { 0xBCE5275011610422, "gauntlet_enforcer_force_cold_breath" },
    { 0x01358064B57E6AFB, "gauntlet_enforcer_health_check_during_van_load" },
    { 0x6D4BB41C071CABAB, "gauntlet_enforcer_in_van_handler" },
    { 0xB6BB736DB2C84218, "gauntlet_enforcer_ragdoll_clamp" },
    { 0x5F6129818C04DDDF, "gauntlet_enforcer_ragdoll_handler" },
    { 0x56B522998F4D586F, "gauntlet_enter_van_handler" },
    { 0x530C7A1302EE6176, "gauntlet_enter_van_timer" },
    { 0x863CF2F7CD91D781, "gauntlet_grenade_interact" },
    { 0x462371D8CF9481C3, "gauntlet_hack_bench_badplace" },
    { 0x2B8FAE70E8E84D6A, "gauntlet_increase_player_grenades" },
    { 0xF164BDD37057F3FE, "gauntlet_increase_player_lmg_ammo" },
    { 0x84E86DB6CB180E5A, "gauntlet_init" },
    { 0x3F1804EFD8ECDEA6, "gauntlet_init_threatbias" },
    { 0xD4AE6B0E974D9DA5, "gauntlet_main" },
    { 0xC2B3016A900AFA27, "gauntlet_player_attackeraccuracy_handler" },
    { 0xA12A54EFC88B9FFF, "gauntlet_police_car_array_setup" },
    { 0x619F9FA92C514220, "gauntlet_police_cars" },
    { 0x1DF284EE0590A595, "gauntlet_police_handler" },
    { 0xF9B3D3D0F80B980D, "gauntlet_police_sirens" },
    { 0x4BD249D5FC79D767, "gauntlet_police_vehicle_lights" },
    { 0xA3060FE0BA06D2C6, "gauntlet_price_get_in_van" },
    { 0x6932307109FEB5CE, "gauntlet_price_handler" },
    { 0xBA6D7DEBCCDFA4BC, "gauntlet_remove_enforcer_clip" },
    { 0x0D7894D944E03171, "gauntlet_set_ai_in_range_to_pacifist" },
    { 0xDABB0F72959D1881, "gauntlet_set_van_health" },
    { 0x2DFBAFD669A55DD0, "gauntlet_shootout_autosave" },
    { 0x88FEB46F88AB9E30, "gauntlet_shootout_catchup" },
    { 0xC0AE0D7B501BCAB5, "gauntlet_shootout_combat_handler" },
    { 0x5C397A054BC26CAB, "gauntlet_shootout_main" },
    { 0xCF532624D8A81C5B, "gauntlet_shootout_mb_windows" },
    { 0xC8E6FDD2EF389766, "gauntlet_shootout_police_arrive" },
    { 0x60A28D77FE3FFB58, "gauntlet_shootout_price_handler" },
    { 0x9F747C509F24C305, "gauntlet_shootout_setup_van" },
    { 0xE2D379743514CADA, "gauntlet_shootout_start" },
    { 0xADCF3B0D80B7FC8D, "gauntlet_shootout_stp_main" },
    { 0x5CDFAF30DADFAA7F, "gauntlet_shootout_van_destroyed" },
    { 0xA2A68A1F452F9C17, "gauntlet_spawn_nikolai" },
    { 0x794FA3D11AB33574, "gauntlet_start" },
    { 0x210A6CADD6FA36D6, "gauntlet_stop_vehicle_fx" },
    { 0x4224D6682314C61F, "gauntlet_stp_main" },
    { 0xA3D3C41EC6C529A4, "gauntlet_swap_van_clip" },
    { 0xC55DF6E7334C6F1D, "gauntlet_van_attach_windows" },
    { 0xDBBE49CA1DE457D2, "gauntlet_van_bullethit_monitor" },
    { 0x4119E88C21D9E676, "gauntlet_van_cleanup" },
    { 0x156CDDC229824639, "gauntlet_van_create_bullethole" },
    { 0x900B39622116B037, "gauntlet_van_create_random_bullethole" },
    { 0x1285C5F274061C46, "gauntlet_van_damage_impact" },
    { 0x2DFB7B400C4AAF54, "gauntlet_van_engine" },
    { 0xB3F10CF34803F145, "gauntlet_van_health_monitor" },
    { 0x7F5C010AD3725C0A, "gauntlet_van_hit_vignette" },
    { 0x4C225D4B77223B5C, "gauntlet_van_light_off" },
    { 0xED6BD2DF652824EA, "gauntlet_van_light_on" },
    { 0x5F4A22CF879437E9, "gauntlet_van_sunblocker_handler" },
    { 0x1E33EF7A1C9E6B52, "gauntlet_van_takeoff" },
    { 0x3E64BDE14D32841B, "gauntlet_van_to_interrogation" },
    { 0x76CE4F8D903D0D32, "gauntlet_vehicle_unload" },
    { 0xD1A0C2BB7EA50C64, "gauntlet_vfx" },
    { 0xFA1A29BBB45F8BEF, "gauntlet_vig_civ_1" },
    { 0xFA1A2ABBB45F8E22, "gauntlet_vig_civ_2" },
    { 0xFA1A2BBBB45F9055, "gauntlet_vig_civ_3" },
    { 0xFA1A24BBB45F80F0, "gauntlet_vig_civ_4" },
    { 0xFA1A25BBB45F8323, "gauntlet_vig_civ_5" },
    { 0xFA1A26BBB45F8556, "gauntlet_vig_civ_6" },
    { 0xFA1A27BBB45F8789, "gauntlet_vig_civ_7" },
    { 0xFA1A30BBB45F9B54, "gauntlet_vig_civ_8" },
    { 0x8535918E237ADFFE, "gauntlet_vig_civ_prox_handler" },
    { 0xA4C5B68234585AA0, "gauntlet_vig_civ_react_handler" },
    { 0xD5AB1FCB2DE86509, "gauntlet_vig_init" },
    { 0xEE8591BD2C481DA5, "gauntlet_vig_start" },
    { 0xBD614ADF71CA3E22, "gauntlet_weapon_pickup_handler" },
    { 0xE87DA5AF2FBCE351, "gavehcr" },
    { 0xE05B2F03DF9DEE35, "gcd" },
    { 0xCE292078F57C02C5, "ge" },
    { 0x5353C4625A5E7826, "gearchangedfromloadout" },
    { 0x99521050B95E0046, "gearup_nag_count" },
    { 0xB91FB88AD0CD1C0B, "gearup_nags" },
    { 0x12347530E28A27C4, "gender" },
    { 0xC5763D6FC24ED507, "general" },
    { 0xF8FCD18BFBCCA3D0, "general_notetrack_handler" },
    { 0xFBA607734FEC67C3, "generate_achievementid" },
    { 0xD97FBE45D0B32816, "generate_bomb_wire_list" },
    { 0x236287775C0D4DD8, "generate_cypher" },
    { 0xDC2B6AC655503784, "generate_fx_log" },
    { 0xD3EF5A666758124E, "generate_grenade_types_via_dvar" },
    { 0xB701ED9AF980D3D3, "generate_randomized_primary_weapon_objs" },
    { 0xD9A6DDA121092B4C, "generate_solution" },
    { 0x1413B6BF238DF91B, "generateaxisanglesfromforwardvector" },
    { 0x6410D7AAAD3C0D81, "generateaxisanglesfromupvector" },
    { 0x388F5F5C94509F50, "generatecodestoshow" },
    { 0x8F6F37F3A4C5E552, "generatenavmesh" },
    { 0xAE4833C810C7CA7F, "generatenearbyspawner" },
    { 0xF28A03E76D86AD22, "generatenumbercode" },
    { 0x1CE0FDBBA8266984, "generatenumbercode_array" },
    { 0x6B8E62490290F725, "generatepath" },
    { 0x2B035111A6727EB9, "generatespawnpoint" },
    { 0xD40855FF33E390D9, "generatinglosdata" },
    { 0xC553426FC228984E, "generic" },
    { 0x6B28D129873F3953, "generic_combat" },
    { 0x7F74DC51578FF647, "generic_damage_monitor" },
    { 0x6E263A69AFBFE641, "generic_damage_think" },
    { 0x8EBA04A782426ABD, "generic_dialogue_queue" },
    { 0x56B65792E8430296, "generic_double_strobe" },
    { 0x4298F09064587DC8, "generic_human" },
    { 0xC8F506D0B9691CE9, "generic_human_anims" },
    { 0xC58CBF52DC06C7D9, "generic_index" },
    { 0x3D3B7DE580C2CFF4, "generic_lerp_value" },
    { 0xC99A9CA5CC98327F, "generic_pulsing" },
    { 0x59CE1FB18CD60D50, "generic_radio_confrimation" },
    { 0x61B4E0B861F3FDAB, "generic_spot" },
    { 0xC09BBDA62A00EAF8, "generic_voice_override" },
    { 0x1F442C8FF4585316, "generic_waittill_button_press" },
    { 0x05AC5F30DA14A34D, "geneva" },
    { 0x9D0B33ED9A0CFB7E, "genuine_cypher_pieces" },
    { 0xE0751403DFB9DBDE, "geo" },
    { 0x01F1C22C1F498700, "gesture" },
    { 0x1AC7439F721AAE67, "gesture_active" },
    { 0x59D0163ACB5259B0, "gesture_armup_anim" },
    { 0x8FDAB6042A96BC3A, "gesture_body_knob" },
    { 0x7B9A295EC9F3BE45, "gesture_catchup_speed" },
    { 0xA84014309E819F94, "gesture_checker" },
    { 0x2D89A33F1A490F59, "gesture_coinflipthink" },
    { 0xB9BA0BA72DEB5C19, "gesture_cross_anim" },
    { 0xC11C6410C7B0DB16, "gesture_custom" },
    { 0x324D9F2C023C3327, "gesture_death_anim" },
    { 0x7239E5EEE1BBD4F7, "gesture_determinerockpaperscissorswinner" },
    { 0x7618B77AF3F02E2B, "gesture_directional_custom" },
    { 0x91317126756D6291, "gesture_door" },
    { 0xFE5D429D9881BEA3, "gesture_door_hard" },
    { 0x2329E2D20A8036D1, "gesture_eye_dart_loop" },
    { 0xF04B3CA5993D631C, "gesture_eyes_stop" },
    { 0x05A65061F6CF0778, "gesture_fallback_down_anim" },
    { 0x2600D61F88BC14DB, "gesture_fallback_up_anim" },
    { 0xB9D071A67A35DCE9, "gesture_finishearly" },
    { 0x1A992FA0CEB3144E, "gesture_follow_eye_update" },
    { 0x3BD454D41C0BA60B, "gesture_follow_eyes" },
    { 0x815F7AA7320165F3, "gesture_follow_lookat" },
    { 0xE9662C317E2ADBA5, "gesture_follow_lookat_natural" },
    { 0xC98DA62C851F2245, "gesture_follow_lookat_update" },
    { 0xB9550B6FE98E5004, "gesture_follow_torso" },
    { 0x02EB94F2462F0E53, "gesture_getrockpaperscissorsplayers" },
    { 0xCD1FF67AB58FC9A4, "gesture_head_stop" },
    { 0xA8900B048E982DB8, "gesture_hold_anim" },
    { 0xFB54B3812F57379B, "gesture_lookat" },
    { 0x319AD39A7D6864B4, "gesture_manage3rdperson" },
    { 0xDE9C8DA9605E8983, "gesture_moveup_anim" },
    { 0xC9306DC49231DD6E, "gesture_nod_anim" },
    { 0x6077789F4DB1E327, "gesture_nvgs" },
    { 0xED585260F47C1E3A, "gesture_on_start_cough" },
    { 0xEFB044F10B9D787A, "gesture_onme_anim" },
    { 0x2DF8F5628D85D9CE, "gesture_pickrockpaperscissors" },
    { 0xF81C5980FB10765F, "gesture_playrockpaperscissors" },
    { 0xF100442FED8A0EB9, "gesture_point" },
    { 0x0A2A8C7E09197177, "gesture_point_center" },
    { 0x9E76F259818D5B6A, "gesture_point_down" },
    { 0xAA95B5146944E45F, "gesture_point_left" },
    { 0x2CCFFF9E4A662C0A, "gesture_point_parent" },
    { 0x94741D0A1BC55E90, "gesture_point_right" },
    { 0x3CFDA7D33596CC8F, "gesture_point_up" },
    { 0xC19555574E70880C, "gesture_reaction_distance_based" },
    { 0x260DC7552FA89FEE, "gesture_reaction_queue" },
    { 0x2C1427AAEDF7B539, "gesture_resetcoinflipgesture" },
    { 0x7491C0F0FC156D99, "gesture_resetrockpaperscissorsgesture" },
    { 0xACB78918CED703FB, "gesture_rockpaperscissorsthink" },
    { 0xABB7914CAB22D11B, "gesture_salute_anim" },
    { 0x7E2DB442A3D47428, "gesture_shake_head_anim" },
    { 0xF0647DC41789D43C, "gesture_should_disable_lookat" },
    { 0x70A2B36CB4117E6C, "gesture_shrug_anim" },
    { 0x587838E454A648D7, "gesture_simple" },
    { 0x18382E9BE7F8460B, "gesture_simple_when_close" },
    { 0x21BC7E0ED3993ADD, "gesture_stop" },
    { 0x2A5221CC781F58F0, "gesture_target" },
    { 0x2A2D3C5F0C3A8BE9, "gesture_torso_stop" },
    { 0x5AFB77CC1E3DB610, "gesture_wait_anim" },
    { 0xD4947160191B4784, "gesture_wave_anim" },
    { 0x1E2F82CCCF404675, "gesture_window" },
    { 0x9F472A60BC45D221, "gesturedonotetracks" },
    { 0x8C7A3750AAF0E47C, "gestureinfo" },
    { 0x48294B4D098B73CF, "gestureinfobyindex" },
    { 0x6EC95FB1EC0DFB67, "gestureinterruptible" },
    { 0x4EDE1E93167AD55A, "gestureinterruptibleifplayerwithindist" },
    { 0xC46307288EDF12AA, "gesturenotetracktimeoutthread" },
    { 0xBF86B57ECA4F3381, "gesturerequest" },
    { 0x90357A08CEB4E1E9, "gestures" },
    { 0xF277D0C7331D552F, "gestures_enabled" },
    { 0x35E001D7E480D254, "gesturesounds" },
    { 0xE02C462568BAE6B4, "gestureweapon" },
    { 0x1F4753121C3DC00A, "get3dcoveranglelimits" },
    { 0x25B2414BA4E23F91, "get_accuracy" },
    { 0x533AF57EBFED896C, "get_action_slot_weapon" },
    { 0xFF1AB2C2B555CC0E, "get_active_bombzones" },
    { 0x3377B2F9A957E138, "get_active_from_grouped_modules" },
    { 0x2E63AB968B0483EF, "get_active_objectives" },
    { 0x158799FB24B750DF, "get_active_oil_fires" },
    { 0x2BB98BA90AA17276, "get_active_station_names" },
    { 0xC954953788A0FB76, "get_activecount_from_group" },
    { 0xCAC2CD23BAFDDA52, "get_actor_alive_states" },
    { 0x522FEC0003DE53DA, "get_actor_stance" },
    { 0x55D7574EB9FF65EB, "get_actual_grenade_name" },
    { 0xF35B4228233AEC01, "get_actual_tag_flash_loc" },
    { 0x15B387006BA0941F, "get_actual_time_from_civil" },
    { 0xB0C0966225489DF6, "get_add_item_func" },
    { 0x4D88357297232F6F, "get_additional_num_false_positive_dots_needed" },
    { 0xA0053B73F328DC66, "get_adjacent_volumes_from_volume" },
    { 0x3475FCFBFF3A54C6, "get_adjusted_armor" },
    { 0xE77C63FF5256298E, "get_adjusted_difficulty" },
    { 0x29E166905E211D01, "get_adjusted_friendly_kill_points" },
    { 0x6D210EA76D038AC3, "get_adjusted_marker_vfx_pos" },
    { 0x34C1C0710D1E2586, "get_agent_type" },
    { 0xA1FAEF9BE2D9828D, "get_ai_by_groupname" },
    { 0x1C755863983BD04E, "get_ai_from_array_by_targetname" },
    { 0x402C0D41F9DBCE6D, "get_ai_group_ai" },
    { 0x7617A10621B8AFF2, "get_ai_group_count" },
    { 0x89CADB2BE4450E27, "get_ai_group_death_count" },
    { 0xCF0039327FDE3899, "get_ai_group_sentient_count" },
    { 0x158A187CC692EB71, "get_ai_group_spawner_count" },
    { 0xC11D9031528DE896, "get_ai_group_spawners" },
    { 0x829CC69460B88928, "get_ai_hearing_bomb_plant_sound" },
    { 0xA51A19249932D0A7, "get_ai_highlight_hudoutline" },
    { 0x258D42208E1C6B76, "get_ai_number" },
    { 0x618DAEC56ED177C5, "get_ai_spawner" },
    { 0xB86E05A66D9B54C6, "get_ai_team" },
    { 0xD9BF4B14B6897901, "get_ai_touching_volume" },
    { 0x226A9DA54410740F, "get_ai_type" },
    { 0x18FD5E014A21CC6E, "get_ai_within_range" },
    { 0xE8D19E95E9EFF88F, "get_aim_anim" },
    { 0xC72915A0681EAF87, "get_aim_target" },
    { 0x14BFF1020C2A0224, "get_aim_to_hide_anim" },
    { 0x468D0C6B4B18721A, "get_aitype_settings" },
    { 0xB2631E1A65AA161A, "get_aitypes_and_weights_from_call_counter" },
    { 0x677816820685E2A3, "get_aitypes_from_spawner" },
    { 0xC55F232BA40A2178, "get_ak_remove_fov_user_scale" },
    { 0x98D5A368A0056E5A, "get_alertreset_alias" },
    { 0x1FFF987D2BF1A26A, "get_alias_2d_func" },
    { 0xD2A2A1A387B7B620, "get_alias_2d_version" },
    { 0xCBDF227F33F024B1, "get_alias_3d_version" },
    { 0x414A450B66E76C19, "get_alias_from_stored" },
    { 0x39B354910898F09C, "get_aliensession_stat" },
    { 0x3D57A02BC5ABE55F, "get_alive_able_players" },
    { 0xCBFCBF4C7CE0F434, "get_alive_bots" },
    { 0xEE8541F1F5926202, "get_alive_enemies" },
    { 0x7F5D482A8C1FCED8, "get_alive_nonspecating_players" },
    { 0xD2F472BD9D8CC01C, "get_alive_players" },
    { 0x495C7FD85EF11CA3, "get_alive_riders" },
    { 0x5F719E758FFC5154, "get_alive_wave_1_guys" },
    { 0x4E0F1A98E216FB44, "get_all_bashable_doors" },
    { 0xACAF7042882D77D6, "get_all_closed_doors" },
    { 0xB18E4274B39503F9, "get_all_closest_living" },
    { 0x6D2BB06E2DF3C582, "get_all_cluster_spawners" },
    { 0x35EC7D26BEC83445, "get_all_connected_nodes" },
    { 0xD68282C0623A50BB, "get_all_doors_ai_should_open" },
    { 0x01E3D99B32AF6A53, "get_all_force_color_friendlies" },
    { 0xC51DD5DFC51F12AE, "get_all_good_guys" },
    { 0xDA395AF0EA570D51, "get_all_hero_players" },
    { 0x306EAF19E3B4C617, "get_all_infils" },
    { 0x6583C842558AD852, "get_all_interactive_doors" },
    { 0xD69AB5856B558027, "get_all_interactive_doors_blocking_paths" },
    { 0x12AEF9621A110671, "get_all_my_locations" },
    { 0xA36A2D1896905FDD, "get_all_nodes" },
    { 0x758EFC3DA2B7BB4E, "get_all_players_enemy_info" },
    { 0x5D3B30ADDD2828F3, "get_all_players_enemy_info_new" },
    { 0x2E10C7E4DF73513A, "get_all_script_models_with_modelname" },
    { 0xF40F3236B5FB86A1, "get_alley_gate" },
    { 0x7592E1D5E0327CB8, "get_allied_attackers_for_team" },
    { 0xB4FDBC60AD50FED0, "get_allied_defenders_for_team" },
    { 0x5788663129B0C276, "get_allowed_population" },
    { 0x33DA26B05EE809D5, "get_allowed_vehicle_types" },
    { 0x6F1BC47AD31269AC, "get_allowed_vehicle_types_from_spawnpoint" },
    { 0xC65ED3C66D0A91D6, "get_allowed_vehicle_types_from_wave" },
    { 0x535011D170516E9E, "get_ally_flags" },
    { 0xA98E1C8EEB312FCA, "get_ally_target" },
    { 0xA29BB0AB0F748C54, "get_allykilled_alias" },
    { 0xF99C0B486A1ACECC, "get_alt_weapon" },
    { 0x456864705332A8C5, "get_ambient_max_count" },
    { 0xA2A7E20D1F86857B, "get_ambient_min_count" },
    { 0x644BEAFBD19EB5B3, "get_angle_offset" },
    { 0xD34BED9E395B6C91, "get_angles_between_two_vehicle" },
    { 0x4AE826CF4B9D7013, "get_angles_from_actor" },
    { 0x14B3F9EAD410BD76, "get_angles_to_attacker" },
    { 0x7D511BE0068894C2, "get_anim_data" },
    { 0x3D6ED18B1C4A13C7, "get_anim_direction" },
    { 0x89D8C646C3B26B81, "get_anim_frac_from_time" },
    { 0x05AA0AE9F13229E4, "get_anim_from_direction" },
    { 0x7E8CCD326CB34068, "get_anim_model_root" },
    { 0xB528A4250E44728D, "get_anim_position" },
    { 0x3B47377FAEF1FC3A, "get_animated_player_death" },
    { 0x0D466061FD2B58E2, "get_animation" },
    { 0xBDA5F11FB1726938, "get_animation_from_alias" },
    { 0x8173B33FCD6492E6, "get_any_player_has_respawn" },
    { 0x49DF41FCE92A9347, "get_any_player_spectating" },
    { 0x11260F4B4F7C6AE3, "get_any_speaking_vo_source" },
    { 0x634615ED18A968E8, "get_any_vo_source_is_speaking" },
    { 0x298A3CD4922C202A, "get_aq_for_shootout_anim" },
    { 0x4D5CC6929CAD56A5, "get_area" },
    { 0x53C66C115346FACC, "get_area_clear_alias" },
    { 0x51220623C58D77BF, "get_area_for_power" },
    { 0x21A1867A61F8FF00, "get_armsrace_interaction_loc" },
    { 0x5CE6F3FE01618DEF, "get_array_of_closest" },
    { 0xC6614FDE105E890B, "get_array_of_farthest" },
    { 0x41B91DF49FE16F00, "get_array_of_living_allies_by_color" },
    { 0xF5C839D54E85093B, "get_array_of_valid_players" },
    { 0xF5F3EAC0BDCA4239, "get_array_of_valid_spawnpoints" },
    { 0x38E11C72078DAFC8, "get_array_rule_token_value" },
    { 0xF35D3E4487700A03, "get_arrival_anim" },
    { 0x16462392773DD83C, "get_arrivalstate_from_interaction" },
    { 0xF01369FC1C3B3CA0, "get_associated_keycard" },
    { 0xCB96A41E97F1A079, "get_at_goalpos" },
    { 0x808FA3DB994BFF29, "get_attachment_from_interaction" },
    { 0xE92958C6EBD2A30F, "get_attachment_mod_damage_data" },
    { 0x653854046C5757E0, "get_attacker_as_player" },
    { 0x2C7C7FB539E1ADA8, "get_audio_approved_length_extender_for_non_english_vo" },
    { 0x0F285F608AFDDC79, "get_available_bomb_detonator_id" },
    { 0xB05BB19D4C2FD15A, "get_available_players" },
    { 0x3EFBD94353F6555E, "get_available_respawn_locs" },
    { 0x1513591E7E0F42C7, "get_available_slot_index_for_team_id" },
    { 0xCFFCAF76B4A6BFAD, "get_available_unique_id" },
    { 0x8291AC816BF083D5, "get_availablepositions" },
    { 0xA1482DF7C2F6B3DE, "get_average_origin" },
    { 0xAD0233AB6581E294, "get_away_from_target_entity_monitor" },
    { 0xC1EC353BC0823B13, "get_axis_vehicles" },
    { 0x9E34AF5AAEA0F9BD, "get_badcountryidstr" },
    { 0xF478214F8031CF01, "get_barrels" },
    { 0xBC67B7966EF53CD2, "get_base_focus_fire_multipler" },
    { 0x0EE330C3B8A7A55C, "get_base_weapon_name" },
    { 0x097361D96BDA3088, "get_baseaccuracy" },
    { 0x3626BC7CBF2ED9A2, "get_baseweapon_pap_level" },
    { 0x7694823CE26FB962, "get_bash_yaw" },
    { 0x6634BF3682C799F7, "get_battle_station_combat_action_default" },
    { 0xB8879BCCA3659040, "get_bb_string" },
    { 0x7F1A69201C7D37A2, "get_bcrumbstruct_proximity" },
    { 0x84E92CDC47117104, "get_best_area_attack_node" },
    { 0x809EB39AA4F308C8, "get_best_available_colored_node" },
    { 0xB7EA06528FA58AD7, "get_best_available_new_colored_node" },
    { 0x4A7C18E175000578, "get_best_civ_node" },
    { 0x9174ABC8D0C6148D, "get_best_end_point" },
    { 0x45FB25FA4816338F, "get_best_goal_closest_to_any_player" },
    { 0xF47B7CB625D5E37A, "get_best_goal_position" },
    { 0x8B59E9697A893CB1, "get_best_goto_node" },
    { 0xBF073932CA80A199, "get_best_heli_struct" },
    { 0x0A383FF2B89DD5CE, "get_best_hover_point" },
    { 0x9C48E2A7CF0EA8F2, "get_best_node_at_fork" },
    { 0x838EA5436D7B032C, "get_best_scoring_target" },
    { 0xB83BDB829A57065C, "get_best_weapons" },
    { 0x232FDB5A7EF22844, "get_bestdrone" },
    { 0x60C0933C338B1723, "get_bit_position" },
    { 0xD986C942A211536D, "get_bleed_out_time" },
    { 0x943B07CEBDD206A1, "get_bomb_case_omnvar_value_based_on_color" },
    { 0x16E829F8B744CD15, "get_bomb_icon_on_cell_phone_func" },
    { 0x884819F947FF03D3, "get_bomb_id_vfx" },
    { 0x92934E942B1C82EA, "get_bomb_interaction_ent_cut_hint" },
    { 0x8814A28AFD283A0E, "get_bomb_serial_number_based_on_bomb_id" },
    { 0xEDC2DAD2CF535076, "get_bomb_vest_id_vfx" },
    { 0x4D5646A243024150, "get_bombzone_node_to_defuse_on" },
    { 0x314F8D0F5875BD79, "get_bombzone_node_to_plant_on" },
    { 0x547BE547F180A052, "get_bonus_targets" },
    { 0x41A4E53099ACA06A, "get_bot_defusing_zone" },
    { 0x6F72B148D67BE404, "get_bot_planting_zone" },
    { 0xF2DDC077EFF3D5BC, "get_bots_defending_flag" },
    { 0xCCE1E4E0D5E93960, "get_bots_using_zone" },
    { 0x513B15B14FEB58D1, "get_br_jugg_setting" },
    { 0x692301D60D40A4C6, "get_bridge_start_struct" },
    { 0x46413EB85A27DBE7, "get_brushmodel_dependencies" },
    { 0x4BED898E53B2B5D7, "get_buddy_down_gunner_animnode" },
    { 0xECAC08AE24410974, "get_building_def_time" },
    { 0x148DC10645E70901, "get_building_loc" },
    { 0x65E34404983640D8, "get_building_support_time" },
    { 0x01C68E7B4FC02996, "get_bulletwhizby_alias" },
    { 0x89485110B158C471, "get_cache_num" },
    { 0x0E23BB362DC909F3, "get_camera_control_up_offset" },
    { 0x969B545C853CC0FE, "get_camera_dist_per_frame" },
    { 0x13ACC09B431F49ED, "get_camera_final_pos" },
    { 0x6D93FA3354E86307, "get_camera_pos_relative_to_bullet_pos" },
    { 0x6DAE6B232E65878A, "get_camera_reset_point" },
    { 0xA7C11F43B252EDA2, "get_camera_spawn_point" },
    { 0x53D0AC821BB5CB31, "get_car_stop_struct" },
    { 0x5B3C702A78829857, "get_car_type" },
    { 0x05810ED8D31A36AE, "get_card_deck_size" },
    { 0x8A84BFBFC05BAAA3, "get_carry_item_omnvar" },
    { 0xCDF04255B89BFA87, "get_cart_incline" },
    { 0x3702AC81AA894B0A, "get_categories_from_alias" },
    { 0x97A8C6D670ED119F, "get_cave_combat_logic" },
    { 0xAB3EF9CAF715DA1A, "get_cell_chair" },
    { 0x3CD391B9728E9C84, "get_center_loc_among_target_players" },
    { 0x581647B460DD5A35, "get_center_of_array" },
    { 0x35EE912A18DAB9B8, "get_center_point" },
    { 0x547D3CDD2E82F936, "get_center_point_of_array" },
    { 0x77E2BC91FB6FE849, "get_character_bit_value" },
    { 0x180FC95B03C8199A, "get_chatter_item_index" },
    { 0x31722BC94306EA3F, "get_checking_area_alias" },
    { 0xFFB03E5B8BE98289, "get_chopper_boss_combat_action" },
    { 0x7D5DD464CA564AA5, "get_chopper_minigun_start_node" },
    { 0xD989FFFDD15813AC, "get_chopperexfil_transient" },
    { 0xB69296A6D6127723, "get_circle_back_nodes_on_same_side" },
    { 0x115C1C43E0A62A52, "get_circle_back_start_node" },
    { 0xEB7596FB0B195363, "get_civ_cower_anim" },
    { 0x5078F1C8FD38792C, "get_close_distance_var" },
    { 0x10C6B633F3AB9C17, "get_closed_door_closest_to_nav_modifier" },
    { 0x9C04665136E0CC62, "get_closer_track" },
    { 0x291739CFF1599D21, "get_closest_actor" },
    { 0x7EE1282A33545F3E, "get_closest_ai" },
    { 0xD88588CF1F1E2F37, "get_closest_ai_exclude" },
    { 0x5517F556AACC2086, "get_closest_alive_enemy" },
    { 0xBBCE245814D330D3, "get_closest_alive_player" },
    { 0x7EE1302A335470D6, "get_closest_aq" },
    { 0xF10CB0DD32736B7C, "get_closest_attackable_player" },
    { 0xFD75DA76CC535AC1, "get_closest_available_player" },
    { 0x12F0DADC63343064, "get_closest_available_player_new" },
    { 0x82903F08C7C63CE1, "get_closest_bomber_target" },
    { 0xF2FCEECCD940A678, "get_closest_car_in_front_of_player" },
    { 0x7B62DECEF8BC0C22, "get_closest_civ" },
    { 0xDAD95278D55C86F0, "get_closest_colored_friendly" },
    { 0xE713BED710202091, "get_closest_colored_friendly_with_classname" },
    { 0x7AB01A8CFC4C9030, "get_closest_destination" },
    { 0xFAA70432BF3375EE, "get_closest_enemy_near_turret" },
    { 0xB0D3E478DBA494E9, "get_closest_enemy_to_hadir" },
    { 0xF6B96C7F47BEEF3E, "get_closest_entrance" },
    { 0x5353CAFC7163ACEA, "get_closest_exclude" },
    { 0x4B2085716A4FC8C2, "get_closest_flag" },
    { 0x1FE794C783F45F41, "get_closest_guy_by_path" },
    { 0xCB08EAC946006913, "get_closest_heli_entrance" },
    { 0x4EDE2F3E4F8EB160, "get_closest_ied_triggering_tag" },
    { 0x4B9B34DB836FBDD7, "get_closest_in_front" },
    { 0x20A14F153A03158C, "get_closest_index" },
    { 0x0C72A15426B39AF0, "get_closest_index_to_player_view" },
    { 0x2E883E4257650815, "get_closest_living" },
    { 0xB8B14E6E4593F0CC, "get_closest_living_ai" },
    { 0x58D5C2223C9A5B07, "get_closest_living_player" },
    { 0x1A24EE06FCDC46AE, "get_closest_living_player_not_in_laststand" },
    { 0x336CBF853CD62CFC, "get_closest_look_at_interact" },
    { 0xF3D8B51C9BBDE7A4, "get_closest_ls_entrance" },
    { 0x3A74E907580A344B, "get_closest_male_redshirt" },
    { 0x9F2C19CB61EDA80E, "get_closest_marine" },
    { 0x9D32CE0E14B94142, "get_closest_marine_no_vo" },
    { 0x7AE997D78155CEDA, "get_closest_munitions" },
    { 0x9BCA89F766D2AF31, "get_closest_on_path" },
    { 0xE8CE3E5FD307267D, "get_closest_origin_index" },
    { 0x2BCE78E0BB1BD9F3, "get_closest_pa_object" },
    { 0x7CE4CD89DB695FF2, "get_closest_player_dist" },
    { 0xEFFC6D670F0A1E7B, "get_closest_respawner_on_direction" },
    { 0xD5C96F75A66D6904, "get_closest_spawns" },
    { 0xFE64FC5B9D143279, "get_closest_speaker" },
    { 0x90EBE705913A9612, "get_closest_squad_guy" },
    { 0x6153A0D27B960769, "get_closest_tank_targets" },
    { 0xA113EF536C61F7A5, "get_closest_to_player_view" },
    { 0xE93C9B1BC30969FB, "get_closest_unclaimed_destination" },
    { 0x77AD170D927FEFED, "get_closest_unhunted_player" },
    { 0xDFAE17906F685EF6, "get_closest_valid_player" },
    { 0xA6F170F087E55259, "get_closest_vehicle_door_available" },
    { 0xD7E4F88F14A96BC5, "get_closest_vehicle_in_convoy" },
    { 0x2ACE2EC6064F3EEC, "get_closest_vehicle_within_range" },
    { 0x4DAD80ABC7B6A84B, "get_closest_visible_drone" },
    { 0xBA010BAE7D651A36, "get_closet_alive_player" },
    { 0xA1C8D6FE97B6A703, "get_color_from_order" },
    { 0x169153EE1656A29E, "get_color_info_from_trigger" },
    { 0xDE3998F2D9C85854, "get_color_list" },
    { 0xD87F094AA4647D9D, "get_color_nodes_from_trigger" },
    { 0x5B9EBD30ED38F280, "get_color_spawner" },
    { 0x6D97BB23B30A673C, "get_color_volume_from_trigger" },
    { 0x8E08A743B43388C1, "get_colorcoded_volume" },
    { 0xB5F8FAF4464CC1E3, "get_colorcodes" },
    { 0xBB34DCD82125F8CC, "get_colorcodes_and_activate_trigger" },
    { 0xC2762AB74626B9FF, "get_colorcodes_from_trigger" },
    { 0x0601D7151882F35D, "get_colortable" },
    { 0x9A722174816754FB, "get_combat_action" },
    { 0x8533E8B237D6A74B, "get_combat_alias" },
    { 0xE5A919AAB682B679, "get_combat_station_next_combat_action" },
    { 0x37C9E99BA34A81EE, "get_combat_volume_targetname" },
    { 0x1DBC36351EADB063, "get_comp_count" },
    { 0xEC25029765A67E68, "get_comp_dist_for_info_loop" },
    { 0x1FD8C41564ED748E, "get_connected_nodes_targetname_array" },
    { 0xFDBEA707A99F87AE, "get_consecutive_def" },
    { 0xDB81734CD00B7C83, "get_consumable_index_in_player_data" },
    { 0x088A7E6229BC278A, "get_consumable_loot_id" },
    { 0x25AA3E1F8CB31C76, "get_control_station_side_array" },
    { 0xA46C90641F143CB2, "get_convoy_target" },
    { 0x8022585AAA88C956, "get_convoy_targeted_hvt" },
    { 0x680F24CD94694783, "get_convoy_vehicle_get_in_scene_name" },
    { 0x8CD924844309C1B7, "get_cop_barriers" },
    { 0xA433C857B8B92366, "get_corpse_array" },
    { 0xC4F2E1E15D9D840F, "get_corpse_origin" },
    { 0x4190586ED98E2BCE, "get_correct_bomb_wire_pair" },
    { 0xDB0617CE46C679B1, "get_countdown_hud" },
    { 0xE42E5CB64727C20F, "get_country_prefix" },
    { 0xC06BE2D142C48684, "get_cover_volume_forward" },
    { 0x2B6ABC79CE3385D8, "get_coverblown_alias" },
    { 0xBA2B1A2783267A68, "get_createfx_array" },
    { 0x8F3B11A2485934C3, "get_createfx_exploders" },
    { 0x625CDAD6DB8F54C8, "get_createfx_types" },
    { 0xCCA501CAC9CB6FFF, "get_cumulative_damage_expire_time" },
    { 0x280AA1510BB39989, "get_cumulative_weights" },
    { 0x8333B5F30A2F1308, "get_curfloor" },
    { 0x070B83BB3492B64A, "get_currency_penalty_amount" },
    { 0x3273FFDFF8E4C68B, "get_current_ai_cap" },
    { 0xDD1C41908A6DEF8C, "get_current_armor_ammo" },
    { 0x651D0B65DB164B90, "get_current_building_obj_struct" },
    { 0x33200E442B5AA4A3, "get_current_bush_zone" },
    { 0xF3B139ED163FC2BE, "get_current_exterior_path" },
    { 0x1C39F3B48EC05965, "get_current_fov" },
    { 0x3D6BD99438D60528, "get_current_house_room" },
    { 0x8C76F87F5B62ED95, "get_current_menu_name" },
    { 0x2395BAA985CEFFEB, "get_current_spawn_score_player_index" },
    { 0xC450D852D76CD87F, "get_current_state" },
    { 0x57947EE8B41AC6EC, "get_current_station_signage_structs" },
    { 0x8272506A08CD1B3F, "get_current_stealth_state" },
    { 0x3D0BECEC9DCFC836, "get_current_vo_alias" },
    { 0x42156DCD2EA4C701, "get_current_wave_ref" },
    { 0x600FCAB2837BD6CA, "get_current_weapon" },
    { 0x3898466E88CB83F4, "get_current_zone" },
    { 0x199A3379337C7050, "get_cursorhintent" },
    { 0x1277333975225B5B, "get_custom_gl_projectile" },
    { 0x975271776EF1D9B7, "get_cypher_verbal_string_from_id" },
    { 0xA1C82042F5DEBE93, "get_damage_direction" },
    { 0x4D223514450434E8, "get_damage_from_grey" },
    { 0xE766F36EE924F744, "get_damageable_grenade" },
    { 0x2C2083E576191D95, "get_damageable_grenade_pos" },
    { 0xAF0F6AFB15EC439D, "get_damageable_mine" },
    { 0x03D22A13528B6B07, "get_damageable_player" },
    { 0xD34C0CDF40287C62, "get_damageable_player_pos" },
    { 0x9F75F174547593F1, "get_damageable_sentry" },
    { 0x848AC84BDAC66904, "get_data_to_update" },
    { 0xB6D38B347D9C40F4, "get_datascene" },
    { 0x5CF1BAD50ACEACC2, "get_death_anim" },
    { 0x3658AA64A23E7C54, "get_death_callback" },
    { 0xA0F91CD518496A3B, "get_default_num_equipment_charges" },
    { 0xB3CC9BC913A33DFB, "get_defined_value" },
    { 0xC4F9CDB5F544F23E, "get_defuse_time" },
    { 0xE62ED2C6816A86BC, "get_depletion_delay" },
    { 0x83E80F71AE60DACB, "get_depletion_rate" },
    { 0x60FFB87C20FF1053, "get_desired_bodyguard_vehicle_angle" },
    { 0xD4EDC21DA62C920B, "get_desired_direction_based_on_input" },
    { 0x726D13CAA2A08533, "get_desried_camera_pos" },
    { 0x4616C04E30AA0209, "get_destination_in_current_circle" },
    { 0x1CF93AC4C99FFE40, "get_destinations_in_current_circle" },
    { 0xC994079740564C81, "get_destructible_heli_target" },
    { 0x322C961FA6619241, "get_detect_range" },
    { 0x572F0CB9886CAC37, "get_different_player" },
    { 0x75F0AAA34D92C9DC, "get_difficulty_for_difficulty_type" },
    { 0x09F72511FE3F54AB, "get_difficultysetting" },
    { 0x95D5DC1E29454124, "get_difficultysetting_frac" },
    { 0x2CA2BEA419FE0293, "get_difficultysetting_global" },
    { 0x3CF22EAD88A902BE, "get_direction_override" },
    { 0x53FDF3FCA80D68DF, "get_direction_value" },
    { 0x4CD5921F621E56F2, "get_dist_on_segment" },
    { 0xBE13AB48C3A9238C, "get_dist_to_closest_player" },
    { 0x0B5D6E058DFDBFAE, "get_distance_to_closest_teammate" },
    { 0x7386BA152074BDE5, "get_door_angles" },
    { 0x71E69947952237C8, "get_door_anim_from_ai_anim" },
    { 0xFB778872C1EAA38B, "get_door_audio_material" },
    { 0x2351F82FA0B0FF3E, "get_door_bottom_center" },
    { 0x51E172D35119F89D, "get_door_bottom_handle" },
    { 0x67F31B31180A4FD5, "get_door_bottom_origin" },
    { 0xD35926E92E874F38, "get_door_center" },
    { 0x30ADFB3217058564, "get_door_dependencies" },
    { 0x433D7F40BF36F667, "get_door_targetname" },
    { 0x1957CD7F5EE5771B, "get_dot" },
    { 0xD0C81DA93D4F52B7, "get_dot_by_direction" },
    { 0x98816603C831A04E, "get_double_door_mid_point" },
    { 0xA5F39261CFCA9621, "get_doublejumpenergy" },
    { 0x661470C71E1FD7D7, "get_doublejumpenergyrestorerate" },
    { 0xC56C52D7493B15AC, "get_download_state_hud" },
    { 0xEC86B505377190F5, "get_driver_interaction_hint_string" },
    { 0xB5D66635E4A798BC, "get_drone_movement_vector" },
    { 0x59D49C8B2B336537, "get_drone_target_loc" },
    { 0xB62C2751C56914F4, "get_drones_touching_volume" },
    { 0x1FF91456B8F18053, "get_drones_with_targetname" },
    { 0x42184881A6B828BC, "get_drop_item_func" },
    { 0x8AFC94FB0BCF0E69, "get_drop_location" },
    { 0x0EEC6F145A5FFD31, "get_dropkit_price" },
    { 0xE643E14421C1A128, "get_dropoff_point_spawner" },
    { 0x0D1C426DCD9C167C, "get_dummy_flares" },
    { 0xC1CF4AC496B3CD93, "get_duration_between_points" },
    { 0x713C444DED30792F, "get_dyndof_contents" },
    { 0x10F02DDAC3E7ADED, "get_either_nags" },
    { 0x07A1371915D68D90, "get_emp_damage_callback" },
    { 0xB9DABD8AE05B36FF, "get_emp_effect_duration" },
    { 0x7CCBA62588077169, "get_emp_ents" },
    { 0x2ECD925D3A520884, "get_empty_munition_slot" },
    { 0xE8E81239D76A2C16, "get_end_ang" },
    { 0x06E25B0DF84C9D87, "get_end_condition" },
    { 0x2D9D619DB3295264, "get_end_door_state" },
    { 0x7A56BD829441A243, "get_end_game_string_index" },
    { 0x11DF163397BE3AD1, "get_ending_struct" },
    { 0xE8E1E665E35C7454, "get_enemies_in_range" },
    { 0xD1A31DECDCCC6B42, "get_enemies_to_advance_on_players" },
    { 0x5BEB207F3E69A37C, "get_enemy_flags" },
    { 0xB4FE8DD9F28C3DCC, "get_enemy_group_randomized" },
    { 0xFAF4D4CE4F7351AD, "get_enemy_info_all" },
    { 0xBDC6248BEC766904, "get_enemy_info_loop" },
    { 0x1CA5EC735793BA31, "get_enemy_left_max_spawn" },
    { 0x13DA6A7583F509A0, "get_enemy_right_max_spawn" },
    { 0xB3BE2F44AD4F7BB9, "get_enemy_rpg_max_spawn" },
    { 0xC14A58892304B1BB, "get_enemy_sniper_max_spawn" },
    { 0x6C679C26727A9D9C, "get_enemy_team" },
    { 0x9BFEC18988CB8B7B, "get_enemy_vanguard" },
    { 0x656F6D87740E6987, "get_enter_leave_station_time" },
    { 0xB61530D9C63BA608, "get_entity_count_list" },
    { 0x2F10CB63DCC6249F, "get_entrance_pos" },
    { 0x81539C9BA944937F, "get_eog_tracking_idx" },
    { 0xDE77DC76C48A36A3, "get_equipment_ammo" },
    { 0xB124131654D74FA6, "get_escalation_aliases" },
    { 0xFF9A25221E2F1502, "get_escalation_counter" },
    { 0xE393780006D6EC2B, "get_evade_start_structs_in_front" },
    { 0xCCC31373D7518D32, "get_event_location" },
    { 0xBBAAD10EA5E0CE11, "get_event_xp_base_value" },
    { 0xB1347862F2354EBF, "get_event_xp_multiplier_value" },
    { 0xBBF24B408411253C, "get_exit_anim" },
    { 0xD9F007EA93D5DAEE, "get_exit_base_interaction_point" },
    { 0x656B0EFC8CB0F378, "get_exit_direction_vector" },
    { 0x0FB91F139ED5B5F2, "get_exit_route" },
    { 0x4A92666CFDB314C4, "get_exit_vehicle_teleport_to_loc" },
    { 0x91CEEA0CFBCDC6A1, "get_exitstate_from_interaction" },
    { 0xA8EA39E65F44BB9B, "get_exploder_array" },
    { 0xBEF826FB987140AC, "get_exploder_array_proc" },
    { 0x2EB737282D604ED6, "get_exploders" },
    { 0x5786668C16A13338, "get_explosion_alias" },
    { 0xDAF5335BAE563545, "get_explosive_damage_on_player" },
    { 0xA8553F32CF89171D, "get_extended_path" },
    { 0x379C9C7FFEE9B64F, "get_extra_focus_fire_multipler" },
    { 0x8C9870B21F7C2F6F, "get_extraction_cooldown" },
    { 0xD06AA5EC9A2B2AF5, "get_fact_value_from_context" },
    { 0x7A5BEDE00A13A6CB, "get_fake_attacker_struct" },
    { 0xC73B865718E7F61F, "get_fake_digit_from_pool" },
    { 0xEEF8FA1E64F4A218, "get_fake_slerped_angles" },
    { 0x97301186EF3B1C83, "get_fakeactors" },
    { 0x76877376142229F8, "get_false_positive_dots_within_scan_range" },
    { 0x1FCA530467FB3E2C, "get_far_away_startpath" },
    { 0xC71A8AC0DD4DAD01, "get_farthest_ent" },
    { 0x683BB2187D659838, "get_farthest_living_ai" },
    { 0x18C36EB51DF748E2, "get_farthest_living_player_not_in_laststand" },
    { 0x17209602032B1465, "get_final_fly_segment_camera_end_pos" },
    { 0xFD8904D9DD968B39, "get_final_hvt_location" },
    { 0x6CE8CB8DC0B94F47, "get_fire_damage_vfx" },
    { 0xFA85A35083C7865E, "get_first_living_in_array" },
    { 0xA07BAB130266BC8C, "get_first_vehicle_in_convoy" },
    { 0xF10324ADE5B42D52, "get_flag_capture_radius" },
    { 0xB692438962627A8B, "get_flag_label" },
    { 0x82B2077194632EBD, "get_flag_protect_radius" },
    { 0x16AC92C7C0C7D2E1, "get_flare_launch_entrance" },
    { 0xDE24AB3CDA64B8BD, "get_flashed_anim" },
    { 0xAD19639F8A1DDCD8, "get_flight_path" },
    { 0x675110D236082495, "get_flight_path_down" },
    { 0x0DBC684469EBF640, "get_flight_path_up" },
    { 0x075E37026FCDCE12, "get_floor" },
    { 0x6E4235C5FFDC57DB, "get_focus_fire_damage_multiplier" },
    { 0x0585EA470C87ECC1, "get_focus_fire_icon_image" },
    { 0x8F52CF9CBD206680, "get_focus_fire_multipler" },
    { 0xCB71B06EB1412E5C, "get_follow_anim_from_breach_anim" },
    { 0xBD171F5DC465BC99, "get_footstep_alias" },
    { 0xACCF0A45A6429359, "get_footstepsprint_alias" },
    { 0xEC00527F8525AF7F, "get_force_color" },
    { 0x69505D853B59F468, "get_force_color_guys" },
    { 0x6A1E895B3B5BED7E, "get_force_push_direction" },
    { 0x673D9A1FBD40AF13, "get_forest_combat_logic" },
    { 0xAC59D9DA657404F2, "get_forward_scalar" },
    { 0x6C7ADFB13FB1AAFE, "get_freight_lift_spawnpoints" },
    { 0xA861A85F312EC7AD, "get_friendly_convoy_vehicle" },
    { 0x62E0EA5C0D9714EA, "get_friendly_convoy_vehicle_behind" },
    { 0x494B1F6E5424E653, "get_friendly_hvi_vehicle_info" },
    { 0x78EA708C19EFA80E, "get_from_entity" },
    { 0x59AAC6F785E8F3E5, "get_from_spawnstruct" },
    { 0x2D4AE7C107B85E28, "get_from_vehicle_node" },
    { 0x81CEC4FC2A261397, "get_fullrank_by_id" },
    { 0x809E23E29FFAB074, "get_func_by_name" },
    { 0xF70571990337BF28, "get_fx_direction" },
    { 0xABBAF55F93A77ACF, "get_fx_ticket" },
    { 0xFB45C489F693DAF3, "get_gamemode_subdir" },
    { 0xD9F3FAD5A1058F87, "get_gameskill" },
    { 0x741EC9F19EB2F968, "get_gameskill_as_string" },
    { 0xF2E9A558DE4B1949, "get_garage_milk_crate" },
    { 0x733A1902E3F93722, "get_gas_martyr_grenade_types" },
    { 0x3556BB2649AFE399, "get_gender" },
    { 0xB7EA02BB6A52B70A, "get_generic_anime" },
    { 0x99D46B0E9A154FBF, "get_gesture" },
    { 0x49590B18DDBFAC8C, "get_gesture_alias" },
    { 0x3F70992173A66A24, "get_globalthreat_timer_paused" },
    { 0x3D516AEEF4B66D46, "get_goal_radius" },
    { 0xB316CFACFAD1A2BF, "get_goalpos" },
    { 0x05E11573D14765A5, "get_goto_nodes" },
    { 0x93E675D873B8ABD3, "get_grenade_cast_contents" },
    { 0x3BB78A8E8815E572, "get_grenade_force" },
    { 0x8D507F95840AC61D, "get_grenade_from_struct" },
    { 0xB8CC259B69678816, "get_grenade_fuse_time" },
    { 0x0F04C1A8D8A7B457, "get_grenade_settings_from_group" },
    { 0x718E0F93BEE476C6, "get_grenadedanger_alias" },
    { 0xF6D96B2F582581CB, "get_ground_normal" },
    { 0x0C17ECCB7ECE9858, "get_ground_slope_angles" },
    { 0x616B010AACD255E7, "get_group" },
    { 0x8986A099D1E96F11, "get_group_flagname" },
    { 0x6A87211BA3738AF0, "get_guilty_player_name" },
    { 0x7D52D1815048061F, "get_gun_game_weapon_at_level" },
    { 0xCA5256282286EB04, "get_gun_nags" },
    { 0x8BB2EDD174131D40, "get_gun_vo" },
    { 0x651E71D2135FE397, "get_gunner" },
    { 0xF4471424F78DE745, "get_gunshot_alias" },
    { 0x285C723670670E41, "get_gunshotteammate_alias" },
    { 0xB08AAA3D4C60AC26, "get_guys_in_stealthgroups" },
    { 0x2429B23FD1AE4E03, "get_hadir_gas_escape_nag" },
    { 0xAA8B7FAC588935F1, "get_has_combined_counters_alias" },
    { 0xE7AD7535A7B493B5, "get_has_seen_tutorial" },
    { 0xB57846CAB441E40B, "get_health_multiplier_relic_mythic" },
    { 0xE9DCCDD23B1EDD23, "get_health_stage" },
    { 0x26A5374A512639DB, "get_height_offset" },
    { 0xE331A079F11DBA25, "get_heli_intro_vo" },
    { 0xBE895C9D4DE15154, "get_heli_spawn_struct" },
    { 0x21640D73BA49D85D, "get_heli_structs" },
    { 0x6D33490FD2D33D4C, "get_heli_target" },
    { 0x43EC4A8263ADCB9E, "get_helicopter_path_positions" },
    { 0x8A8FCC89EFFB509F, "get_hellfire_killcount" },
    { 0x0D3F1F11CE83E07A, "get_hide_to_aim_anim" },
    { 0x1B5266C62197A760, "get_highest_dot" },
    { 0xAF46EB42CB8F13F1, "get_highest_priority_goal_position" },
    { 0x81C56A7F3A9FA179, "get_him_farah" },
    { 0x2AF8BE26174EB1EA, "get_hint_dist" },
    { 0x472BE07C39EA0307, "get_hint_timer" },
    { 0x424B05B77160136F, "get_hit_damage" },
    { 0xE91CFCB531586DEA, "get_hives_destroyed_stat" },
    { 0xED87C84DEB23D682, "get_hostage_drop_pos" },
    { 0x0A5BCB4DCE083E73, "get_housing_children" },
    { 0x83E21AEBCE975A2E, "get_housing_closedpos" },
    { 0xDD0FB14A10D067FF, "get_housing_door_trigger" },
    { 0xC510AA4E6EB7633B, "get_housing_inside_trigger" },
    { 0x9B43BCD355EF9799, "get_housing_leftdoor" },
    { 0xE55701D97DA2B126, "get_housing_leftdoor_opened_pos" },
    { 0x6069B664DD7AE942, "get_housing_mainframe" },
    { 0x0AA5F5734CEE56B6, "get_housing_models" },
    { 0x57767DCC711466AD, "get_housing_musak_model" },
    { 0x665F6641EA24B0F6, "get_housing_primarylight" },
    { 0xAA070AE93589FC82, "get_housing_rightdoor" },
    { 0xC86CE7FE019F5FAF, "get_housing_rightdoor_opened_pos" },
    { 0x1F74BAED4CBFF935, "get_hover_attack_direction" },
    { 0xEB1AFD9A1CAA6DC6, "get_hudoutline_for_player_health" },
    { 0x2431861211611015, "get_hudoutline_item" },
    { 0x4BB314EC06040F2F, "get_human_player" },
    { 0x8457F004639D72A3, "get_humvee_info" },
    { 0x6F07DFE013167D20, "get_huntfirstlost_alias" },
    { 0xC696EF69E719C965, "get_icon_by_id" },
    { 0x3A4BAB090C3DD8F1, "get_id_based_on_task" },
    { 0x3C44C1BD218330D6, "get_ideal_dist" },
    { 0xD8504560C731C797, "get_ideal_heli_spot" },
    { 0xB820481DBE8B88FA, "get_idle_anim" },
    { 0xC5FF547A8D6CBF91, "get_idle_scene" },
    { 0xB37EE8BAADD9D8E7, "get_idlestate_from_interaction" },
    { 0x9097C8574584DE8C, "get_ignoreme" },
    { 0x068A1930C50619BF, "get_in_danger" },
    { 0x807D112F1C08C285, "get_in_moving_vehicle" },
    { 0x00EE8A50E1E5FFEC, "get_in_there_nags" },
    { 0x4030A714813155A4, "get_in_vehicle" },
    { 0xA75971494C930185, "get_infil_rider_start_targetname" },
    { 0x1131436C2090C2BF, "get_info_for_player_powers" },
    { 0xCF2191143D637EE7, "get_ingamerank_by_id" },
    { 0xD55C62738285C8E1, "get_init_func" },
    { 0xEBA3A93F5FAB3288, "get_initfloor" },
    { 0x4ADD17A23C03A3C4, "get_int_or_0" },
    { 0x9021B58A3F9C59B9, "get_intel_loc" },
    { 0x2AD1366A945A6F64, "get_intel_location_vo" },
    { 0x7EB32A22714803C2, "get_intel_omnvar" },
    { 0xAA59ED775E612311, "get_intel_pickup_vo" },
    { 0xFF574E89D593DDAE, "get_intel_ref" },
    { 0x3C27BC3BD6120739, "get_intel_weapon_hold_time" },
    { 0x836BE8C52673AE25, "get_interact_vehicle" },
    { 0x54913C08064AD417, "get_interact_vehicle_array" },
    { 0x49526CA43486DD14, "get_interaction" },
    { 0xE4EF7C83CF92C953, "get_interaction_actor_lookatidle" },
    { 0xD11CE930A07B736A, "get_interaction_actor_optionalstruct" },
    { 0x659F3E6B62AE8CA4, "get_interaction_cost" },
    { 0x2116FA7DF4B8C7F5, "get_interaction_hintstring" },
    { 0xE2FCB95E3976CF63, "get_interaction_origin" },
    { 0xEE92D37CB9E69628, "get_interaction_sound" },
    { 0xCCB1604865BA2628, "get_interaction_starting_idle" },
    { 0x5B9FAA79482068D9, "get_interaction_vo_line" },
    { 0x0384DFDBCA48DBD3, "get_interaction_vo_line_array" },
    { 0xFCB7151F0B9D3769, "get_interactive_door" },
    { 0x48E85229AE5E6D23, "get_interactive_door_array" },
    { 0x9A9FA1A707248BDC, "get_intermission_time" },
    { 0x33A86529F4CA84EF, "get_interrogate_anim_priority" },
    { 0xF9C47177E4B9DA58, "get_intro_cars" },
    { 0x92E7780EB8FF2C50, "get_invalid_seats_from_module_struct" },
    { 0x42FA1EC66E7EDE1C, "get_investigate_alias" },
    { 0x6C1CCEF6CE8AEBC6, "get_investigate_loc" },
    { 0x12F0F27C7E3933B0, "get_investigate_point_in_oil_fire" },
    { 0x0642890AEDF64A46, "get_is_looking_at" },
    { 0xC48EA26A241F1C5B, "get_is_vehicle_right_before_player_vehicle" },
    { 0x413F46387957A4B8, "get_jammer_mdl" },
    { 0x787DAD41EBE65E51, "get_jugg_minpaindamage" },
    { 0x090289E2149BAA83, "get_killoff_time" },
    { 0x313D4BAFD3933240, "get_ladder_struct" },
    { 0x72300D4A1AF1CE3C, "get_landing_spots_in_current_circle" },
    { 0xDE5A71633731CFC9, "get_laser_combat_logic" },
    { 0x733CAC9EA26D3D78, "get_laser_end_loc" },
    { 0x095F409FCC1AD0D4, "get_laser_end_pos" },
    { 0xC7F6243713821E1A, "get_last_anim_frame" },
    { 0x08332E1808533502, "get_last_anim_name" },
    { 0x03A5393605DCB849, "get_last_callout_time" },
    { 0x95F1DC4E3979D206, "get_last_ent_in_chain" },
    { 0x6BA9F5C8ACA9111F, "get_last_none_player_vehicle_in_convoy" },
    { 0xB12C84774D41FFA2, "get_last_selected_ent" },
    { 0x96A1C0FB51457860, "get_last_spawn_time" },
    { 0xCE78FE2FF2C62BEF, "get_last_stand_count" },
    { 0xD08DF97A9BD6E15D, "get_last_stand_id" },
    { 0xA015A0DDB54E78E7, "get_last_stand_pistol" },
    { 0xFFDBCB95EF93C25B, "get_lastentinspline" },
    { 0x5C7486198D2E209B, "get_lastentinsplinefunction" },
    { 0x1150E26196F7E51B, "get_lb_escape_rank" },
    { 0x6D0833BDD898522C, "get_leads_type" },
    { 0x523228B0714D9B06, "get_least_used_from_array" },
    { 0xA8098117D2D4CF24, "get_least_used_index" },
    { 0x267CC0ECA90F1C35, "get_least_used_model" },
    { 0x3DB584391F887558, "get_least_used_node_close_to_pos" },
    { 0xD1A2E1AC611EC515, "get_left_vindia_infil_rider_start_targetname" },
    { 0x6204BF916629C7F2, "get_length_from_table" },
    { 0xD48D6D9A06FBA5D3, "get_lerped_origin" },
    { 0x8F3615E97B8E61E2, "get_level_by_id" },
    { 0x0EE20C8826D70EC2, "get_level_xp_scale" },
    { 0x56D0DAB2DE91F1BA, "get_light_and_linkto" },
    { 0xC2183C1AF779B918, "get_lightswitch_fx_tag" },
    { 0xB153D709566CD8F8, "get_line_from_landmark" },
    { 0x6ED6E5628D31F9E1, "get_line_to_play" },
    { 0x1347B3676594762B, "get_linked_ent" },
    { 0xFB25E46465804388, "get_linked_ents" },
    { 0x115C4EB0B885129B, "get_linked_nodes" },
    { 0xCA91E0BC9A246219, "get_linked_points" },
    { 0x312F2B5EEA71FB9A, "get_linked_scriptables" },
    { 0xA047B2B9E35BB247, "get_linked_spawners" },
    { 0x44A4730788F9DF8B, "get_linked_struct" },
    { 0x6D5E58AF6FC6C904, "get_linked_struct_with_script_noteworthy" },
    { 0xEF88F1923D878E68, "get_linked_structs" },
    { 0x4B9805BBFE507DED, "get_linked_structs_with_script_noteworthy" },
    { 0xE05C3674CDFA6E87, "get_linked_vehicle_node" },
    { 0x653AB6E0FDC2029C, "get_linked_vehicle_nodes" },
    { 0x697F033DD76EA8D2, "get_linked_vehicle_spawners" },
    { 0xB58006D40DB6E943, "get_linked_vehicles" },
    { 0xE519E3F4D361A49C, "get_linkedentitiesinspline" },
    { 0xCCDE0F00836287B5, "get_links" },
    { 0x9F0939F85300C26E, "get_linkto_goals" },
    { 0x16918CB50182DF3B, "get_linkto_structs_return_to_array" },
    { 0xEC7D46B2FDA2FD67, "get_living_agent_count" },
    { 0xD210D7BFF37A9B3C, "get_living_agents" },
    { 0xC4BC6D3FBFDE5F20, "get_living_ai" },
    { 0xF54B2B9D47568F4E, "get_living_ai_array" },
    { 0x26DCAFA0874CDECE, "get_living_aispecies" },
    { 0x576BF27EA2F406B8, "get_living_aispecies_array" },
    { 0xDBF33497F79E07E4, "get_living_players_on_team" },
    { 0x8D2F5AC1B2196458, "get_load_trigger_classes" },
    { 0x145E717B13B48EC3, "get_load_trigger_funcs" },
    { 0xAFF795F76871CC2C, "get_locked_on_cruise_missile_to_intercept" },
    { 0xC84DE9B70A213190, "get_longest_anim_ent" },
    { 0x2D913CD4BD300A53, "get_longest_animating_ent" },
    { 0x20320FEF600F99FF, "get_lookat_angles" },
    { 0x1B854E7B66B76944, "get_lostsight_alias" },
    { 0xB178A6321F10E738, "get_ls_entrance" },
    { 0x748F52B0AA07416B, "get_main_road_targetname" },
    { 0x9D16805DA37C0914, "get_main_turret" },
    { 0x73D84C8B9E28BBE5, "get_mapped_lb_ref_from_eog_ref" },
    { 0x597B7CE59C557625, "get_mark_target_array" },
    { 0x55A8952E835E13B5, "get_mark_ui_duration" },
    { 0xAB829AD224294DC2, "get_martyrdom_grenade_types" },
    { 0xF690BFB863348501, "get_mask_anim_node" },
    { 0x3DC9D281D4A70B4E, "get_mask_nags" },
    { 0xAB309883565223D0, "get_mask_remove_fov_user_scale" },
    { 0xDAB32685E6EF296E, "get_mask_vo" },
    { 0xA3D68257E43FB770, "get_max_agent_count" },
    { 0xBF9DE04C8C901EBB, "get_max_ai_from_infil_name" },
    { 0x963E38A89B212021, "get_max_ai_per_site" },
    { 0x5571DEB7CE49818C, "get_max_charges" },
    { 0xA17188AF16980E32, "get_max_escalation_decay_rate" },
    { 0x37E35EE09886AA4C, "get_max_escalation_decay_start" },
    { 0x86D6D4648DDE9E47, "get_max_escalation_level" },
    { 0xF17FC5A9D20CD150, "get_max_from_call_count" },
    { 0x33A005C332ABF004, "get_max_meter" },
    { 0x4A61A4534EF9C3FB, "get_max_num_defenders_wanted_per_flag" },
    { 0x4D840BDE9F84C5A6, "get_max_weapon_rank" },
    { 0x4CF825C0CC152C64, "get_max_weapon_rank_for_root_weapon" },
    { 0x8F987EA1A574D9C2, "get_max_yaw" },
    { 0xD22C6717009A7D9E, "get_max_yaw_internal" },
    { 0x41382E7EDFFAC043, "get_max_yaws" },
    { 0xE4F4E533681399F2, "get_maxxp_by_id" },
    { 0x3C4BD89C24B95AFB, "get_melee_contents" },
    { 0x1FD12F4871B5C24D, "get_melee_sight_contents" },
    { 0x9D0F41848B51BA89, "get_melee_weapon" },
    { 0xD0BD3B8046C3553D, "get_melee_weapon_fov" },
    { 0x332E963F6E5D0A2F, "get_melee_weapon_hit_distance" },
    { 0x021C71BEA6EE7057, "get_melee_weapon_max_enemies" },
    { 0x57DAB267CD81123E, "get_melee_weapon_melee_damage" },
    { 0xAD45807A9970E6B3, "get_mid_point" },
    { 0x9337D39E09D97E3D, "get_min_escalation_level" },
    { 0x5887318CCB351589, "get_min_time_to_point" },
    { 0x9109C3004CE638A6, "get_mindia_infil_rider_start_targetname" },
    { 0xB31B5F715680B707, "get_mine_ignore_list" },
    { 0xD78B129563EEE7E7, "get_minigun_path" },
    { 0xB1EB726D0060CD95, "get_minutes_and_seconds" },
    { 0x7F2F883DEE4E292C, "get_minxp_by_id" },
    { 0x0C18BF8033984515, "get_missile_defense_player" },
    { 0xF17ED52AC1297AD0, "get_mod_damage" },
    { 0xC79D1B18DC4B2488, "get_mod_damage_modifier" },
    { 0x076FFAAB4ACE5797, "get_model_dependencies" },
    { 0x45A7D0501B17D6BB, "get_model_for_color_wire" },
    { 0x04585CAA2563FB84, "get_model_for_color_wire_cut" },
    { 0xDA450F1419C2E074, "get_model_trace_start" },
    { 0x173428C2D1797415, "get_module_call_count" },
    { 0x0050D2C8C2A247E1, "get_module_debug_data" },
    { 0xB0042E393D3D9D1A, "get_module_spawn_points" },
    { 0x3BAA0F115C3A74E8, "get_module_struct_from_level" },
    { 0x96E5084D21596AB8, "get_module_structs_by_groupname" },
    { 0xFCDA3D890E7EB48F, "get_mortar_group_randomized" },
    { 0x07F1E4495F69A209, "get_mortar_impact_pos" },
    { 0xECA15B702F44FB7D, "get_mortar_impact_spot" },
    { 0xF0EB7EB47CBB0B90, "get_mortar_targets" },
    { 0xDE07BD455CDC5254, "get_most_recent_danger_ping" },
    { 0xCE7ACA7854989B0F, "get_most_recent_dmg_or_death_time" },
    { 0xA1572A41CBEC4AA8, "get_most_recent_location_ping" },
    { 0x3737E0720CEF2F30, "get_most_recent_ping" },
    { 0x4C7465B9B521F0D8, "get_mount_activation_mode" },
    { 0x13DC5A514A41005B, "get_move_direction_from_vectors" },
    { 0xD66B3ACF29DBC21B, "get_movement_anim" },
    { 0x0B81C1B2EFDE7784, "get_mover_ents" },
    { 0x29FA2E68BB739481, "get_moves_till_stop" },
    { 0xF3903D0893A11567, "get_mph_speed" },
    { 0x27F08F2632B744B1, "get_munition" },
    { 0x221D34C5BD4A554B, "get_my_node" },
    { 0xCFCB0397C9D6ED67, "get_my_spline_node" },
    { 0xAA32787FC8FE600E, "get_nag" },
    { 0x4B337807073DBF4F, "get_name" },
    { 0x7D5C5A6AB743E616, "get_name_for_nationality" },
    { 0x58BC2D8830774202, "get_near_vehicle_spawner" },
    { 0xC8CD2D942B4E476C, "get_nearby_enemy" },
    { 0x6D304730ADE06483, "get_nearby_enemy_in_tvstation" },
    { 0x3A74FC7234549F02, "get_nearby_players" },
    { 0xDA2958837FD92970, "get_nearby_respawners" },
    { 0xE81531DD14903409, "get_nearby_vehicles" },
    { 0x23EBE26D3FF83A3A, "get_nearest_free_color_node" },
    { 0x062E17E3A7E993BE, "get_nearest_point_near_objective" },
    { 0x9D1CEA5ED34D9D0E, "get_nerf_scalar" },
    { 0x2C0B9D45FFAE1C7E, "get_nervous" },
    { 0xBA5953F8684D48A5, "get_new_camera_anchor_pos" },
    { 0xA60ED76BB9D33CBE, "get_new_intel_dropper" },
    { 0xDBEAD04411CBB370, "get_new_random_wire_color_except" },
    { 0x0B8AFAE3783FD019, "get_new_vehicle_speed" },
    { 0xBD7C87A29D8ADBC3, "get_new_wire_currently_looking_at" },
    { 0xCC980BEFD0E44E94, "get_new_wire_look_at_marker_currently_looking_at" },
    { 0x1371D906DF338CAD, "get_next" },
    { 0x90D441157DD9EA70, "get_next_alias_in_group" },
    { 0x1A69D28AAA74E72F, "get_next_anim" },
    { 0xD254B06EDF5FE62C, "get_next_available_wire_for_bomb" },
    { 0x3BD4D1D1300ED913, "get_next_closest_path_id" },
    { 0x4200CE28D426EA27, "get_next_cypher_id_from_pool" },
    { 0x8AF83D5F8DD8A6A0, "get_next_empty_slot" },
    { 0x004CFB8CE7838B7F, "get_next_free_num" },
    { 0x7000AEC5AD8A9B64, "get_next_node_array" },
    { 0xD9B8616159184596, "get_next_node_on_spline" },
    { 0xA673072F37762B83, "get_next_open_stop" },
    { 0xF9113384FCF40420, "get_next_origin" },
    { 0x366DCB2894F0E93C, "get_next_player_index" },
    { 0x2E4DA7634048FB28, "get_next_point_in_chain" },
    { 0x93D7917A51D9A48C, "get_next_rein_group" },
    { 0x1133297F25B56002, "get_next_spawn_index" },
    { 0xE9FDC80DD5BDFE4E, "get_next_station_on_track" },
    { 0x5241947E1DBED5D8, "get_next_station_on_track_after_index" },
    { 0xD08F314B0020F403, "get_next_struct" },
    { 0xBDD75B3F2CF37252, "get_next_track_index" },
    { 0x1BB20436BCC4EDFF, "get_next_volume_origin" },
    { 0xF7EDF1FDF09C2245, "get_nexttargetedpathgoal" },
    { 0x00F627DC42B9571D, "get_nextxp_by_id" },
    { 0x864C236258CDA7E9, "get_nice_text_elem" },
    { 0xFC2C8C8C9E241098, "get_nitrate_label" },
    { 0xC3C149611852CC95, "get_node_closest_to_target_loc" },
    { 0x17A3A9562B199ECC, "get_node_or_struct" },
    { 0xD1EF6AC953DE8BA7, "get_node_type_from_type" },
    { 0xC17D14700073992F, "get_normal_anim_time" },
    { 0xC11E904626EC6CB3, "get_normal_revive_time" },
    { 0xEAB8471BEE0B357D, "get_notetrack_movement" },
    { 0x5874916922938FC1, "get_notetrack_time" },
    { 0x68D3FCA52CFD8FD9, "get_noteworthy_array" },
    { 0xEBAFF9535D21DA89, "get_noteworthy_ent" },
    { 0xA1DA39C9EB0CF3B9, "get_num_ai_capturing_headquarters" },
    { 0x38FEDC8EDC39D514, "get_num_allies_capturing_flag" },
    { 0x5935D041D2FDD41F, "get_num_allies_getting_tag" },
    { 0xF68BF9E748AB4337, "get_num_ally_flags" },
    { 0x216873083A8C998F, "get_num_ambient" },
    { 0xC315D4D18412BBEB, "get_num_dogtag_in_kill_zone_or_under_bridge_zone" },
    { 0x4CACEE7CA67289B4, "get_num_nerf_selected" },
    { 0x93394D5AF5AEC512, "get_num_of_alive_riders" },
    { 0x01655EB53C11C360, "get_num_of_charges_for_power" },
    { 0x2565CA962A2F5937, "get_num_of_ied_to_spawn" },
    { 0x893BFCE933F2DFF3, "get_num_of_player_touching_volume" },
    { 0x5F9E8405D119F32B, "get_num_of_segments" },
    { 0xDAA86ED7FD8B5C04, "get_num_of_valid_players" },
    { 0x8498F0AE4B9759CB, "get_num_of_wire_to_cut" },
    { 0x29B228B6AC5B51E9, "get_num_players_on_team" },
    { 0xFE4E070E26A39071, "get_num_spots_taken_at_higher_priority" },
    { 0x9EC7A786C5A1C76B, "get_number_of_last_stand_clips" },
    { 0x859456FEE25E5C46, "get_nums_from_origins" },
    { 0x969011266DC39BC6, "get_nvg_bar_level" },
    { 0x4D64097CB36B9083, "get_object" },
    { 0x6AB5915C37C267E9, "get_object_array" },
    { 0x4386FE6E59BDE0F6, "get_objective_label" },
    { 0xD499826D38CD2B34, "get_objective_slot" },
    { 0x6788FA1158D64181, "get_objective_struct" },
    { 0xAAD76E8128DCE860, "get_objective_type" },
    { 0x1A2E06877FAAD288, "get_off_tank_path" },
    { 0x0C7329A6EAF9020B, "get_offhand_box_item_slot_struct" },
    { 0x7D5420EAC92FE9AC, "get_offhand_item_model" },
    { 0x6139E5F3DB2C6B79, "get_offhand_item_pickup_hint" },
    { 0x56B28D8CF439579D, "get_offset_from_stance" },
    { 0x9A7AAC9264161D86, "get_oldest_item_at_priority" },
    { 0xA3F446239A245F1D, "get_omnvar_value_based_on_bomb_label" },
    { 0xB9C744E565492F9F, "get_omnvar_value_based_on_color" },
    { 0x7E4D49C87AE616C5, "get_on_north_roof_nag" },
    { 0x8B1F53152CFFD806, "get_opposite_door" },
    { 0xDF6045EDF473D0DD, "get_option" },
    { 0x594DE8288563F293, "get_optional_overlay" },
    { 0xE92A17758B09D43D, "get_origin_offset_decho_dirty" },
    { 0x7C4C36F486104E1D, "get_origin_offset_decho_rebel" },
    { 0xC5736DB4F836F080, "get_other_active_zone" },
    { 0x2856E5305467DF75, "get_other_blocker_vehicles_in_front" },
    { 0x363C5F7241480966, "get_other_bodyguard_vehicles_in_front" },
    { 0x00E0281DFF199645, "get_other_flag" },
    { 0x52A293E60F35D5FD, "get_out_override" },
    { 0xE0D8B241F9A5C8CA, "get_outer_closedpos" },
    { 0x47CE0C4A5B27C190, "get_outer_doorset" },
    { 0x11E6EA86786F6639, "get_outer_doorsets" },
    { 0xF6B3E8B18FDCAF7D, "get_outer_leftdoor" },
    { 0x9144061597844547, "get_outer_leftdoor_openedpos" },
    { 0x8D1785F38B983009, "get_outer_reticle_targets" },
    { 0xFFE05EA1FD806EAE, "get_outer_rightdoor" },
    { 0xC21D91379766ADF4, "get_outer_rightdoor_openedpos" },
    { 0xF4C7EA785D549669, "get_outside_range" },
    { 0x16F589D2CB79B261, "get_overheat_org" },
    { 0x5BBC96E51E178C3C, "get_overlay" },
    { 0x5F03354C3D964A4A, "get_override_flag_targets" },
    { 0x0D0B6E9B5937723A, "get_override_zone_targets" },
    { 0x01F17EA72844FDF9, "get_overwatch_camera_zoom_max_delta" },
    { 0xB7661A729BE8D4F3, "get_p1_intel_group_spawner" },
    { 0x7FABA26A6C6C2561, "get_pacifist" },
    { 0x223BCD45AB95E764, "get_pain_anim" },
    { 0x862DD9343ED3FEAE, "get_pain_breathing_sfx_alias" },
    { 0x0E5C106C9A979DE0, "get_painter_groups" },
    { 0xA379871FF729DFA2, "get_paired_bombvest_chair" },
    { 0xEDE7D5307A9C6236, "get_pap_camo" },
    { 0xEF259F43F96CBDE7, "get_parachute_path" },
    { 0x9F9B8BFC4A479CD2, "get_passive_spawn_window_time" },
    { 0x05415D51447EFD00, "get_passive_wave_high_threshold" },
    { 0x5A9E578FEE203C8E, "get_passive_wave_low_threshold" },
    { 0xB9709DC95F6B7405, "get_passive_wave_spawn_time" },
    { 0x6877BAB971BC2949, "get_path_array" },
    { 0xD42C72673EB09C2B, "get_path_choice_entering_farm" },
    { 0xB519D54AA591F688, "get_path_choice_entering_lumber" },
    { 0x61FE0D70F46AF845, "get_path_dist_sq" },
    { 0x4949C0495426BD1E, "get_path_end_node" },
    { 0x43DBD3AD79F213E6, "get_path_getfunc" },
    { 0xE033948F8F2CAE3B, "get_path_over_players" },
    { 0x1B05CACCEF7E9B5B, "get_path_points" },
    { 0xE6AF9ABC7DC892BF, "get_path_start_node_array" },
    { 0x47C2058CC65542F8, "get_patharray" },
    { 0x28C38DAB9FE08F2A, "get_pathstruct" },
    { 0x35CC43568AA321D5, "get_patrol_react_magnitude_int" },
    { 0xAFB511F295D5CCF8, "get_patrol_style" },
    { 0xE0A7DD6B29D2749E, "get_patrol_style_default" },
    { 0x2D6B723E41C7D271, "get_pavelow_boss_info" },
    { 0x6A52340192C78510, "get_perk" },
    { 0x85DE13C9B7879172, "get_perk_machine_cost" },
    { 0x6219DD2711344046, "get_perk_mod_damage_data" },
    { 0xB3AFC99F1F73DB91, "get_phase_anim" },
    { 0xBBB418E3D7CE27FB, "get_phraseinvalidstr" },
    { 0x857A912ED2B506DB, "get_picc_civ_spawner" },
    { 0x02EB2736C000E521, "get_pilot_exfil" },
    { 0x4EB35EECEC35251C, "get_pipe_room_spawnpoint" },
    { 0x25AEE6DFF6D4A06A, "get_play_time" },
    { 0x51B1489292791CA9, "get_player" },
    { 0xC749BB3749EAF87D, "get_player_aggro_score" },
    { 0x7E3BFF7D33F9D6EE, "get_player_armor_amount" },
    { 0xAA73EF19E5C27463, "get_player_array" },
    { 0xECCB78E29ADE88C0, "get_player_at_spot" },
    { 0x8106CCF71AFAFF26, "get_player_body" },
    { 0x943080803DC7A3D6, "get_player_character_num" },
    { 0x1DD531C5BACD9772, "get_player_class" },
    { 0xD46690122674A6D8, "get_player_closest_to_any_goal" },
    { 0x1EA6C5537070F759, "get_player_controller_direction_in_world" },
    { 0xFB29CACFAE09890B, "get_player_cumulative_damage" },
    { 0x1734557685062531, "get_player_currency" },
    { 0x228B067D130EB479, "get_player_deaths" },
    { 0x3CFFBB2D57AEC0DA, "get_player_defusing_zone" },
    { 0x7AA96BBDE81BB2D9, "get_player_demeanor" },
    { 0xB871653A133D6EC4, "get_player_drone" },
    { 0x82CB2CEF43ED6446, "get_player_encounter_performance" },
    { 0xF5CAC591C3F2E28E, "get_player_enemy" },
    { 0x4C139F9594A3AC3C, "get_player_expose_time_to_sniper" },
    { 0xBA7D5FFC3ADEC6BD, "get_player_feet_from_view" },
    { 0x0FBD831E09CE1DF5, "get_player_from_self" },
    { 0x0E0E7AF5F94B6D6D, "get_player_gameskill" },
    { 0x50F0AE9233FB11D6, "get_player_gun_game_level" },
    { 0x8B5910831A029A7C, "get_player_health_after_revived_func" },
    { 0x0A3108BF9A9090CF, "get_player_info_proc" },
    { 0xA6653C7796A9A989, "get_player_interaction_trigger" },
    { 0x53AB7638DAE12D87, "get_player_legs" },
    { 0xCE53F0E028587218, "get_player_looking_at_interact_dot" },
    { 0xAD40D46F8B6C8A8B, "get_player_matchdata" },
    { 0xF02E3DC7C8A76CBA, "get_player_max_currency" },
    { 0xBB04F9C1A44DF76F, "get_player_munition_currency" },
    { 0x434588624F9E3379, "get_player_offhand_ammo" },
    { 0x182D9D450107C63A, "get_player_offhand_max_ammo" },
    { 0xB5B167562570195B, "get_player_offhand_weapon" },
    { 0xCC17ECF9E34673D6, "get_player_on_right" },
    { 0xDAD520A67A8B9A4B, "get_player_past_loc" },
    { 0x6ED5A9E9E8FD8E52, "get_player_pistol_data" },
    { 0xB45C0CD9084B2A34, "get_player_planting_zone" },
    { 0xBB3CC964EB8304FF, "get_player_prestige" },
    { 0x6841A0061F6C3517, "get_player_progress_flag_to_set" },
    { 0xBB5A8A41A4D9A2F4, "get_player_progress_toward_self" },
    { 0xD373C66A2368A794, "get_player_rank" },
    { 0x764CBF2523C9FC00, "get_player_recent_pos_adjusted_with_exposure" },
    { 0xDEC789F95E568BF4, "get_player_rig" },
    { 0x204FD0D2ED9BBED6, "get_player_seat_org" },
    { 0x4719EF96D2E73BE4, "get_player_session_rankup" },
    { 0x657A1EB2EFE42B31, "get_player_session_tokens" },
    { 0xDA042B535D3F724B, "get_player_session_xp" },
    { 0x47C5E8DFACEDAD07, "get_player_side_spawn_group_randomized" },
    { 0x953F01DBECAE1CDE, "get_player_target_score" },
    { 0x9ECEB767EEC67C60, "get_player_target_score_for_sniper" },
    { 0xC689AE479D0E4D18, "get_player_velo_array" },
    { 0x0696F1BA1702C4AC, "get_player_view_controller" },
    { 0xFB945FA757949B16, "get_player_weapon_rank_cp_xp" },
    { 0x1024072EA3574154, "get_player_weapon_rank_mp_xp" },
    { 0x8D1C4F59786AD244, "get_player_weapon_xp_scalar" },
    { 0x44B3DAFF1B6FBE83, "get_player_weapons" },
    { 0x95F8D050E763E7A3, "get_player_who_most_likely_broke_stealth" },
    { 0x8AAF95E7378315D7, "get_player_who_most_recently_fired_weapon" },
    { 0x81D4EA898F308AED, "get_player_who_most_recently_threw_grenade" },
    { 0xDE64E73AA45254DA, "get_player_with_player_id" },
    { 0x3E96D693C4CA455A, "get_player_xp" },
    { 0x1016E6150020FF21, "get_players_at_zone" },
    { 0xB351B0322857D9D7, "get_players_by_role" },
    { 0x362934E80DCA2C2C, "get_players_defending_flag" },
    { 0xA5F3ACCD24DD4BAC, "get_players_defending_zone" },
    { 0xBD0D9324E60D6822, "get_players_groups_by_whether_in_killzone" },
    { 0x55C4A6AC6739763C, "get_players_in_area" },
    { 0x6DAA1FCC11C0285B, "get_players_in_killzone" },
    { 0x2F6DD133525D093E, "get_players_in_mortar_range" },
    { 0xF54A406536FE4102, "get_players_inside_the_plane" },
    { 0x726EFD43717E9631, "get_players_not_in_laststand" },
    { 0xC05288EB3F25747A, "get_players_not_targeted_by_other_battle_station" },
    { 0x4742B4B7CE0AB51C, "get_players_on_rooftop" },
    { 0xD999A7F1502DC71E, "get_players_watching" },
    { 0x445AD6D14B9DB6C7, "get_poi_total_time" },
    { 0xBA1D57DC3F629D67, "get_point_in_local_ent_space" },
    { 0x29F9E7F4E7EF3489, "get_point_on_parabola" },
    { 0x8D6CAEA1A9ECFEC6, "get_point_on_struct_target" },
    { 0xEDE36B037FA9F4B6, "get_poppies_nags" },
    { 0x5D0612968E69D2E1, "get_portable_mg_spot" },
    { 0x62BB538F4B3FBF3A, "get_position_from_actor" },
    { 0xF56143845796B58A, "get_positions_around_vector" },
    { 0x3591ACA32E043AE5, "get_possible_attachments_by_weaponclass" },
    { 0x078B35D6968E8F53, "get_post_mod_damage_callback" },
    { 0xC4E5FC4D8DD27791, "get_potential_hero_players_as_target" },
    { 0x6481FE79B3378DAC, "get_power_charges_in_slot" },
    { 0xF72FF4C77DB0EA3A, "get_power_max_charge_in_slot" },
    { 0x92E778B41BE78D6E, "get_power_name_in_slot" },
    { 0x1EF0BD56E50C1E41, "get_power_ref_from_weapon" },
    { 0xEB25FC89F5174F4C, "get_pre_mod_damage_callback" },
    { 0x9E87790E0B80C3C6, "get_pre_respawn_group_wait" },
    { 0xD4C1B565AE1CAFAD, "get_precision_use_parameters" },
    { 0xD16B80C2D2D0CD48, "get_prefab_base_ent" },
    { 0xB4562F915AF4A39F, "get_prev_struct" },
    { 0x6136EE2AEBA04FD9, "get_primary_equipment" },
    { 0x24C3867E6E17DAD4, "get_primary_equipment_ammo" },
    { 0x661A28572DC979BA, "get_print3d_text" },
    { 0xC342F7B40A1CB11C, "get_prioritized_colorcoded_nodes" },
    { 0x67DB3CAE2970A884, "get_priority_player" },
    { 0xF5E2EC9D901B4F7F, "get_progress" },
    { 0xA4F96D2333731F9A, "get_prohibited_weapons_back" },
    { 0x2C3CBBE3A2DB4435, "get_proper_zoom_weapon" },
    { 0x203CE2716421CE7E, "get_proto_convoy_event" },
    { 0xB48CE12CA1AE70D2, "get_proto_convoy_type" },
    { 0x97C458C5B9E4C189, "get_prototype_scriptable_map" },
    { 0x8B9A07F6EA3F87B2, "get_proximity_alias" },
    { 0x7F673323CA6391DE, "get_push_force_direction" },
    { 0xC5BE617C9D2E8345, "get_pushent" },
    { 0xEA31B83FF8648255, "get_queue_max_entries" },
    { 0xA490401C08C93A5C, "get_radio_alias" },
    { 0x0AB51B30B653DFAA, "get_radius" },
    { 0xCEB1C03FB0080CE6, "get_random_array_element_no_repeat" },
    { 0x70A5A599FBAE38EE, "get_random_attachments" },
    { 0x4DD1138DECA0075A, "get_random_available_air_ai_infil" },
    { 0xC840EBDA4F1CCC53, "get_random_available_ground_ai_infil" },
    { 0x34A2A92E3F335093, "get_random_character" },
    { 0xEB704DDD54AFCFE2, "get_random_circle_direction" },
    { 0x2894BE879578E67D, "get_random_civilian_speed" },
    { 0x30CCA121D00D5BDB, "get_random_impact_point" },
    { 0x6D31E4D793F4B4D4, "get_random_impact_point_on_line" },
    { 0xF42B0A85E64A0DE8, "get_random_leftover_letter" },
    { 0xF49CFAC2A52C7BCE, "get_random_line" },
    { 0x00C321D88865FBC2, "get_random_notnegative" },
    { 0x02ADF061792CE155, "get_random_outside_target" },
    { 0xAA5C7500997BE0D6, "get_random_pos" },
    { 0x9499E1D1BE8B8575, "get_random_primary_weapon_obj" },
    { 0x57A7373AA91B42FE, "get_random_rider_model" },
    { 0xC3593C155B186CA5, "get_random_search_node" },
    { 0x8D8AD9C11B0066C0, "get_random_spawner" },
    { 0x840CAE85256BBA25, "get_random_spawner_type" },
    { 0xAA9F18956F52DDBF, "get_random_spec" },
    { 0xAAB931956F6F3DC4, "get_random_spot" },
    { 0xEC539D9AF53EEC7B, "get_random_spot_in_infil" },
    { 0xFB54BCBA2D996521, "get_random_starting_station_name_on_track" },
    { 0x6ACD8773C3C1A969, "get_random_station_names_on_track" },
    { 0x99DC446CCDD800EB, "get_random_value_in_segment" },
    { 0x6748BF710D8E3050, "get_random_weapon" },
    { 0x010A46D489AED64D, "get_random_wire_color" },
    { 0x692A95B4C5D76A2E, "get_randomize_bomb_label_list" },
    { 0xF850C60E69BBFFB1, "get_randomized_group" },
    { 0x961698C9684A2B35, "get_randomized_rpg_group_name" },
    { 0x9BA559DF6B3B8F0C, "get_randomly_weighted_character" },
    { 0x9F9AE429E174433F, "get_rank_by_xp" },
    { 0xED07BBCD06C2647D, "get_rank_xp_for_bot" },
    { 0xA0FAB5B916D91AA0, "get_raw_or_devraw_subdir" },
    { 0x50FBF165C64E13A4, "get_react_type" },
    { 0xC735058F898785E5, "get_reactive_sound_ent" },
    { 0x0166F21A56D7BF16, "get_reaper_player_look_at_ground_pos" },
    { 0x5147CC614953932C, "get_rebel_spawn_struct" },
    { 0xA10ED31E9144D2CD, "get_recent_spawn_time_threshold" },
    { 0x1F5610D97C6A0D7D, "get_recently_shot_at_by_rpg" },
    { 0x7BFF1E5AFCAF3E81, "get_ref_by_id" },
    { 0x566758A5B7491AD1, "get_reinforcement_icon_image" },
    { 0xDD43051273D6C4CB, "get_reload_anim" },
    { 0x6EB36AE81771D07F, "get_remaining_bots" },
    { 0xE06B5753B9A6FF7B, "get_repair_interaction_point_name" },
    { 0x4E2C3299BD72416D, "get_replaceable_weapon" },
    { 0xAB5BAEA66242F84F, "get_request_backup_alias" },
    { 0x188ED8815A269530, "get_requested_spawn_count" },
    { 0x5F59532D02C3837B, "get_reserved_slot_count_by_string_id" },
    { 0x7BEF30AECF02EFF8, "get_respawn_cooldown" },
    { 0x33AB86703431B320, "get_respawn_loc_near_team_center" },
    { 0xDA65C14DEB71A270, "get_respawn_loc_rated" },
    { 0x2EBF7B78FECB5905, "get_respawners_in_desired_direction" },
    { 0xB490F6E8E2975B01, "get_respawning_players" },
    { 0xC237FC7E99173711, "get_revive_gesture" },
    { 0xC31EF382A7A114D3, "get_revive_icon_initial_alpha" },
    { 0xCAE577606A8B57F7, "get_revive_result" },
    { 0x081865A9DFEE9CF3, "get_revolver_reminders" },
    { 0xA3385BC8BC5F3B0F, "get_reward_point_for_kill" },
    { 0xB5AC1E00F145F586, "get_rid_of_guys_blocking_path" },
    { 0x409E3EAD353FA685, "get_rid_of_minigun" },
    { 0xAC190C4E2C4648B9, "get_rider_animation" },
    { 0xD93F75DA5D46E189, "get_rider_initial_target" },
    { 0xDEDDE5ABF213676A, "get_right_vindia_infil_rider_start_targetname" },
    { 0x4FCDF54BAE2AA49C, "get_role_munition" },
    { 0xB4FCD464B99B32EA, "get_rotation_anchor_move_speed" },
    { 0x8D6A0E9625DC7392, "get_round_end_time" },
    { 0xB6C36FCDFAB715A5, "get_rpg_fire_duration_limit" },
    { 0x0D048D8350899839, "get_rpg_fire_pos" },
    { 0x81FC7F65AF2848B9, "get_rpg_group_randomized" },
    { 0x3BE51ADE390CEE11, "get_rpg_guy_target" },
    { 0x37530A777027BA24, "get_rpg_location_z_offset" },
    { 0x933ED3B70F2BD0CE, "get_rpg_miss_offset" },
    { 0xB02BE4F68DEA3188, "get_rpg_weapon" },
    { 0xD1FD54D33CABF79C, "get_rpg_weapon_def" },
    { 0xAEA997FBE8A832F6, "get_rule_result" },
    { 0x539769E53C9614CE, "get_rule_token_value" },
    { 0x14927D85E53EF08F, "get_rumble_ent" },
    { 0x3CAB46E503C61E08, "get_russian_code_from_id" },
    { 0xF1BC589FCF023C84, "get_safe_set_spawn_weapons" },
    { 0x18112E8CD975B2AB, "get_safe_spawners" },
    { 0x29361C0405DE2808, "get_sat_objective" },
    { 0xA6D0DC4BDCEB49A6, "get_scale_for_axis" },
    { 0x5530503A657E9C93, "get_scaled_xp" },
    { 0xB57A861C859E7676, "get_scoot_velocity" },
    { 0xC4D8F823C6D49EBF, "get_scoot_velocity_bump" },
    { 0xB2B82C51F2F8B613, "get_score_target_override" },
    { 0x394185DF47B0961B, "get_score_target_pos" },
    { 0x52418754BBDCAE29, "get_screens" },
    { 0x080EDB21CD74F8D5, "get_script_car_collision" },
    { 0x0119FF72B0ECBB9F, "get_script_delay" },
    { 0x58E8763B18A0BD77, "get_script_delay2" },
    { 0x999AFC6B4365D34C, "get_script_index" },
    { 0xA43DED238654CC10, "get_script_linkto_targets" },
    { 0x0E503176735F11AE, "get_script_loop" },
    { 0xD3D84E57F074CF37, "get_script_noteworthy" },
    { 0xD934586A97361DAF, "get_script_palette" },
    { 0x315EE899ADA34816, "get_script_radius" },
    { 0x1C13123F4B7D0289, "get_script_team" },
    { 0x0EE3DA7276C0FB4C, "get_scriptable_door_anim" },
    { 0x4DAB0F52B98140B2, "get_scriptable_map" },
    { 0x193FBD39E26DF0C6, "get_scriptablepartinfo" },
    { 0x0C321671C31C3F03, "get_scripted_movement_arrivefuncs" },
    { 0x4B77D591B29C2823, "get_search_node_closest_to_spotlight_goal_node" },
    { 0xBACB46750AA31BA0, "get_search_node_closest_to_target_loc" },
    { 0xDE21CD601CD97601, "get_search_point" },
    { 0xDAD38ADE38823143, "get_search_turret_target_player" },
    { 0x6885826FB8444235, "get_seat_omnvar_name" },
    { 0xEC5EE243C412928E, "get_seat_tag" },
    { 0xA370294A1DF01728, "get_seat_tag_name" },
    { 0xF1824F6BD45DDAC2, "get_second_fly_segment_bullet_end_pos" },
    { 0x0C8BF91252FD721D, "get_secondary_equipment" },
    { 0x7390CD7DD600C1A0, "get_secondary_equipment_ammo" },
    { 0x94A3E1E90B9C17F9, "get_section_state" },
    { 0xAD6176F5FF1B3A85, "get_section_time" },
    { 0x8709F312BA2D40DA, "get_see_recently_time_overrides" },
    { 0x7C473421FA6782DA, "get_segments" },
    { 0x464543F0698FB7E6, "get_selectable_ent" },
    { 0x4CB54977790996C3, "get_selectable_from_array" },
    { 0x591FB6A041D507E3, "get_selected_move_vector" },
    { 0xFDB203FBDF2861EB, "get_selected_nerf" },
    { 0x63113B2F6FB5B66B, "get_selected_option" },
    { 0xEA4F6BBE3B5BA528, "get_selection_index_loop_around" },
    { 0x36FEC6E48DF50B71, "get_shelfs" },
    { 0x793BCFDAD615062A, "get_shock_anim" },
    { 0x78BDCB13853CFAB9, "get_shoot_anim" },
    { 0xC68C37613735DC78, "get_shoot_start" },
    { 0x2B3E2925E679A8C4, "get_shootable_scriptables" },
    { 0x4D8B4FF7CA246214, "get_shortrank_by_id" },
    { 0x4BC6E1E2278C8363, "get_shot_fired" },
    { 0x07B482B97AA3F9C1, "get_showing_bomb_wire_pair_to_player" },
    { 0x0E383362E5B48E0A, "get_sight_alias" },
    { 0x265985AB1830EF1A, "get_sight_dist_for_laststand_check" },
    { 0x22D9025D8382EB1B, "get_sight_dist_for_taccover_check" },
    { 0xF68742FAABAAE466, "get_sight_dist_for_vehicle_check" },
    { 0x08A1A2923BD266BE, "get_silencedshot_alias" },
    { 0xCF19CBF34954B690, "get_silo_jump_spawnpoint" },
    { 0x68B0990EBA643CE6, "get_silo_thrust_spawnpoint" },
    { 0x8DB32C431C644AE6, "get_single_value_struct" },
    { 0xFD072194C2B17341, "get_skill_from_index" },
    { 0xE1F7AA1C64956417, "get_smallest_cumulative_damage" },
    { 0xE31DD25F0D646BB6, "get_smoke_grenade_start_pos" },
    { 0x582B0B41BE145827, "get_smoke_grenade_struct_targetname" },
    { 0x7B3CDCF484947524, "get_smuggler_loot_amount" },
    { 0xA6821244E98084E9, "get_snakecam_interactions_by_target" },
    { 0x009A03ECABA6BC08, "get_snd_priority" },
    { 0x5F6A4010688C0BD5, "get_sniper_group_randomized" },
    { 0xA8B3A9B88833CA66, "get_soldier_model_from_type" },
    { 0x8D979E72B53C6770, "get_sound_length" },
    { 0x1F9EC6995EE09B73, "get_spaced_out_station_names_on_track" },
    { 0x125F31A955B4C851, "get_spawn_anim" },
    { 0xD191E313F757C0B3, "get_spawn_count_from_groupname" },
    { 0x3AB8766F6E4A9C7B, "get_spawn_delay" },
    { 0xB2831FE98B3FB2C1, "get_spawn_point_targetname" },
    { 0xD338ECD22EC7946B, "get_spawn_scoring_array" },
    { 0x1B68C03F43020A0A, "get_spawn_scoring_type" },
    { 0x23446E3BEDB0F2FE, "get_spawn_time_from_wave" },
    { 0x3DA97A6844F33099, "get_spawn_volume_func" },
    { 0x8898F212DFAF2824, "get_spawn_volumes_player_is_in" },
    { 0xBF5E731AF2C257A5, "get_spawncount_from_groupnames" },
    { 0x26C58D892FB15206, "get_spawned_ai_from_group_struct" },
    { 0x106CCBE703D900A8, "get_spawner" },
    { 0x88B6391CE0894FF6, "get_spawner_array" },
    { 0x5FB68A44AC5464C3, "get_specific_flag" },
    { 0x318E88FA191F7CC0, "get_specific_flag_by_label" },
    { 0xF14865933391DA86, "get_specific_flag_by_letter" },
    { 0x31149E4E4169C1A4, "get_specific_truck" },
    { 0x33AFAEB8B77DF313, "get_specific_zone" },
    { 0x55227B8310652369, "get_spectator_revive_time" },
    { 0xC63CC1F4667A966D, "get_speed_addition_from_distance" },
    { 0x74DB78FB13FD0221, "get_speed_addition_from_player_cheating" },
    { 0x0A558BB5D33CB668, "get_speed_type" },
    { 0x084784337FDE17DF, "get_splash_by_id" },
    { 0x2AB596C9805A60F8, "get_splineid" },
    { 0x8A4E901ABFE227B5, "get_splineidarray" },
    { 0x223816A57002EED9, "get_spot_by_priority" },
    { 0x712FDBA2C193E943, "get_spot_from_player" },
    { 0x5523CD26225E3A85, "get_spot_in_lane" },
    { 0xFDF637A3E6707D30, "get_spot_taken_count" },
    { 0xB24D0D71A5A42B23, "get_spotlight_goal_node" },
    { 0x51A74EE805538B0C, "get_stance" },
    { 0x8B4762706E11A6DB, "get_stance_change_anim" },
    { 0x122AFD777178E1B3, "get_start_ang" },
    { 0x8CF9180871D75AB1, "get_start_dvars" },
    { 0xF996049C5C9D7787, "get_start_func" },
    { 0x309A9D55EAB0E78D, "get_start_node" },
    { 0x33EF6E31E589D286, "get_start_to_end" },
    { 0x053766A1EF65C97B, "get_starting_ai_per_site" },
    { 0xCE06688524F1AB0E, "get_starting_currency" },
    { 0xC4B041BA63530509, "get_state" },
    { 0x939303D2DDA42842, "get_state_interaction" },
    { 0x46E871392A04DAEB, "get_state_machine" },
    { 0xF03E97A6C9A7A19F, "get_station_controller_struct" },
    { 0xD31E4E576BB914A6, "get_station_index_in_active_stations" },
    { 0x9E5985E44CA39E1D, "get_station_index_on_track" },
    { 0xF9B6098E1E768C41, "get_station_names_on_track" },
    { 0xA333B477F91B7DA4, "get_station_track_available_time_stamp" },
    { 0x6E57ADE65E226DB0, "get_status_bit_value" },
    { 0x5F2DAEBE2E0049D4, "get_stay_at_station_time" },
    { 0x222ACD155934B061, "get_stealth_alert_music_alias" },
    { 0xA8F991F0F7E25E46, "get_stealth_breaking_guilty_player_name" },
    { 0xA73BBF5B053E1DC6, "get_stealth_broken_music_alias" },
    { 0xF48A44D5E72505B1, "get_stealth_state" },
    { 0x9A785CC2CE1FCD01, "get_sticky_grenade_destination" },
    { 0x23C9A8E458135D23, "get_stop_func" },
    { 0x604810DA20821D34, "get_stop_watch" },
    { 0xCB7C617BFBC368BA, "get_storage_mg_target" },
    { 0xD36CBD04B6C4D5A9, "get_stored_primary_equipment" },
    { 0x4572C395FD487E24, "get_stored_primary_equipment_ammo" },
    { 0xC9BC6D41A53A1ECD, "get_stored_secondary_equipment" },
    { 0xE628A2FDFE878550, "get_stored_secondary_equipment_ammo" },
    { 0xDE143B4297D724DA, "get_stowed_primary_weapon" },
    { 0x6715A61B65366314, "get_strafe_target_loc" },
    { 0xC02C8F82BD2932E7, "get_string_for_starts" },
    { 0x306D8AFF1C119F68, "get_struct_with_sight_to_player" },
    { 0x0DDD9DE6800290EA, "get_subway_car_available_to_deploy" },
    { 0x753DCE94646CB282, "get_subway_train_hit_damage" },
    { 0x93B02D0C9A62D9FC, "get_subway_train_hit_damage_multiplier" },
    { 0x7BE768C9D6708544, "get_successful_vehicle_spawns_from_module" },
    { 0x23C62922812E2858, "get_super_from_playerdata" },
    { 0x55D95F8232FB76CE, "get_suppress_point" },
    { 0x9B97A9EE54CF3606, "get_surface_point" },
    { 0x84C456DCCD2B3C11, "get_surface_types" },
    { 0x5D4D8E9BC03A7FB6, "get_swivel_spawnpoint" },
    { 0xEFE01CDF752B3E04, "get_synch_direction_list" },
    { 0x03F72D0FD67688F6, "get_table_name" },
    { 0x010C42AAA76386D4, "get_table_time" },
    { 0xA8FD38155B263CDE, "get_tag_anim_offset" },
    { 0xF5C6931EB6AA52A5, "get_tag_list" },
    { 0xF1545E9774E0A218, "get_tag_to_target" },
    { 0x7C8A7BF4A8ECBA06, "get_tagorigin" },
    { 0x3CDE10BAAD36B558, "get_taken_spot_count" },
    { 0x668A6ACE9775B4EE, "get_taken_spot_percent" },
    { 0x9BDDB25C4DE25BCF, "get_target_array" },
    { 0x990287AAAE6F7213, "get_target_ent" },
    { 0x64F3CB259B3698F3, "get_target_ent_position_on_player" },
    { 0x1F1A2227860E1DDE, "get_target_goals" },
    { 0xB28908B83D614019, "get_target_group" },
    { 0x8F5E5C5885025BDE, "get_target_intel" },
    { 0x049796FA6F4A0B3A, "get_target_laser_angles" },
    { 0x46A57EC2260726EC, "get_target_located" },
    { 0xF3DA3865C3A70758, "get_target_point" },
    { 0x667F1549AC51C2CF, "get_target_priority_level" },
    { 0xB7194C9296C7CCA3, "get_target_retreat_struct" },
    { 0x583258AB8F683D44, "get_target_spotted_alias" },
    { 0x4A7B06EB6A190469, "get_target_tag_to_link_to" },
    { 0xFE19A7C7CD7FE7C5, "get_targetedentitiesinspline" },
    { 0xE178A10027A1A046, "get_targetedentwithcallinsplinewithkvp" },
    { 0x82E8D14BE11791FE, "get_targetname" },
    { 0x66FFE10181D7290A, "get_targets" },
    { 0xF0B8A9A9A888CDD5, "get_team" },
    { 0xC62682917498EE9C, "get_team_and_slot_number_struct" },
    { 0xF81238DAA7EABC0A, "get_team_encounter_performance" },
    { 0x2C551923BF07E169, "get_team_id_one_assignment_first" },
    { 0xF8655B1817DE4221, "get_team_id_one_slot" },
    { 0x94C5B656125D9AE3, "get_team_id_zero_assignment_first" },
    { 0x18C6201938997ED7, "get_team_id_zero_slot" },
    { 0x422D10775F2EEDAB, "get_team_number" },
    { 0x56037AB65E1CACBA, "get_team_score_component_name" },
    { 0x6D65CCA2DBD38328, "get_team_slot_assignment_from_player_disconnect" },
    { 0x4274F3EF94B4008B, "get_team_substr" },
    { 0xD98EA22B5ACD362D, "get_teaminquiry_alias" },
    { 0x6C68BC8E4C776F62, "get_threatlevel" },
    { 0x14DB3BC59E40A141, "get_tier_reward_for_total_time" },
    { 0xA404D34687EC85D6, "get_to_charge" },
    { 0x3058E03E1D6D1F4D, "get_to_target_player" },
    { 0xB6A06CE3056099C6, "get_to_z_and_fly_off" },
    { 0xC70FD5466C134B45, "get_token_reward_by_id" },
    { 0x5A9BAEC29AC1A21B, "get_too_far_ahead_monitor" },
    { 0xD74A06A30B98D7BE, "get_too_far_dist_sq" },
    { 0x0E0335E731746E83, "get_tool_hudelem" },
    { 0x5C2F272C43AC888A, "get_tossed_flares" },
    { 0x05C3EF9D46387AEE, "get_total_count_color" },
    { 0x345F9D144D992D24, "get_total_from_call_count" },
    { 0x8355935184D915BF, "get_total_leads_label_large" },
    { 0x443BA1A012F133E7, "get_total_leads_label_small" },
    { 0xEE330A07AC4CEE46, "get_total_line_duration" },
    { 0x43E0B7B8FF62E31C, "get_total_reserved_slot_count" },
    { 0x0113CB920A9F0F25, "get_total_successful_vehicle_spawns_from_module" },
    { 0xABBFA4B32534DFFF, "get_touching_goal_vol" },
    { 0xA363870BA0BC2F3C, "get_touching_goal_vol_index" },
    { 0xC5ABA2811299C407, "get_trace_types" },
    { 0xA67C5E10BD13A58C, "get_track_controller_struct" },
    { 0x54F2C68FDA061E8F, "get_track_end_struct" },
    { 0x90310E1601A7F0E8, "get_track_location_index" },
    { 0x830B97F67FC14D48, "get_track_setting" },
    { 0x76BF66F3EC64FE5C, "get_track_star_time_from_col" },
    { 0x0EE17D698F965C91, "get_track_star_times" },
    { 0xA60C3FEB65F66678, "get_track_start_struct" },
    { 0x0CE3F8A3E91A1F73, "get_track_timer_struct" },
    { 0xC95617A7D6F3E63A, "get_train_special_speed" },
    { 0x7BDFD1107A79F292, "get_train_travel_time_between_stations" },
    { 0xAC47A7AA31A287FF, "get_trap" },
    { 0x0428D8A4F105D920, "get_trap_room_spawnpoints" },
    { 0x6070C7831FE494BE, "get_traverse_anim" },
    { 0x64AC229F47651173, "get_tread_vfx" },
    { 0x1995D0E4BA75986A, "get_treadfx" },
    { 0x30682827E1C67C77, "get_trigger_flag" },
    { 0x61439517DF1D5536, "get_trigger_targs" },
    { 0xC6E27EDFE211A0DE, "get_truck_driver" },
    { 0x800A12D0208753AA, "get_truck_turret_start_node" },
    { 0x392118F4FE0F2391, "get_turn_anim" },
    { 0x912BAA42B5125280, "get_turret_model_from_short" },
    { 0x99500E6EB77C09B4, "get_turret_path" },
    { 0x0B1A17380B1BE12C, "get_turret_setup_anim" },
    { 0x2A91077D575732BB, "get_turret_target_pos" },
    { 0x06E02BED1E8AB6B7, "get_turrets" },
    { 0x9054F56A2A253D6F, "get_tv_station_infil_rider_start_targetname" },
    { 0x6FE41683D0029B51, "get_type_label" },
    { 0xD3A6E7935D4656FC, "get_type_to_drop" },
    { 0x428466F694D9CB38, "get_unarmed_response" },
    { 0xB355DF0A5AC2D03F, "get_under_bridge_enemy_start_structs" },
    { 0x70EA68762FC5194B, "get_under_bridge_max_spawn" },
    { 0x139D637E1076CC8E, "get_unidentidied_ieds_within_scan_range" },
    { 0xA2419279D5E04C81, "get_unique_id" },
    { 0xE3F8C7E85204CAC3, "get_unload_group" },
    { 0x4F189D6845C84A96, "get_unload_marker_for_spawn_group" },
    { 0x911FB5E6ACD0A2B5, "get_unused_crash_locations" },
    { 0x5A6AFBBF9DC792D9, "get_unused_struct_from_array" },
    { 0x64A18384B95C091D, "get_up_from_seat_after_teleporting" },
    { 0x85FEC9C05FB66C06, "get_valid_lines" },
    { 0xCE65FDDFA78DC213, "get_valid_seats" },
    { 0x1618EB78D741715E, "get_valid_starting_station_name_on_track" },
    { 0xC3E0DA3A75E93B4F, "get_validated_priority" },
    { 0x8532B62D7675493D, "get_value_with_index" },
    { 0xB1BF9EDC444DC048, "get_veh_linked_structs" },
    { 0x3B1E7E0BA4459894, "get_veh_spawn_test_spawners" },
    { 0x7549C4799AF0A0DC, "get_vehicle" },
    { 0x39258992E8BB3CAA, "get_vehicle_adjust_speed" },
    { 0x21A2BA1D9483DB78, "get_vehicle_ai_spawner" },
    { 0x3A7CC60897726582, "get_vehicle_array" },
    { 0x66DF28D56D6B71C8, "get_vehicle_classname" },
    { 0x603EF755975B4C3B, "get_vehicle_driver" },
    { 0x3DADD6A7AE9FC1E6, "get_vehicle_driver_hint_string_func" },
    { 0xCFB6512782121A10, "get_vehicle_effect" },
    { 0x5501D0088253FB80, "get_vehicle_getin_anim" },
    { 0x810C80A89E7F692F, "get_vehicle_hit_damage_data" },
    { 0xDCF0DCF653BD7775, "get_vehicle_idle_anim" },
    { 0x2262620844C59414, "get_vehicle_interaction_info" },
    { 0x71A01C8B7C688EFE, "get_vehicle_interaction_point" },
    { 0x9EEA534349F46262, "get_vehicle_mod_damage_data" },
    { 0x58A746EF59D0F11F, "get_vehicle_node_to_wait_based_on_group" },
    { 0x2A6F1C03A343806E, "get_vehicle_node_to_wait_for_lbravo_based_on_group" },
    { 0xC1832D2EE6E59BD8, "get_vehicle_part_struct" },
    { 0xEA6781807EFBDE40, "get_vehicle_riders" },
    { 0xE301CA89900FB94C, "get_vehicle_riders_spawners" },
    { 0x4F71E3FA36F9F2DA, "get_vehicle_spawn_points" },
    { 0xE544E8D238E6B5C2, "get_vehicle_unloadable_riders" },
    { 0xD22AB3144EE5E7E3, "get_vehiclenode_any_dynamic" },
    { 0x5A5D91F51D2E6586, "get_vehicles_in_field" },
    { 0x6BC857C61BCF3931, "get_vip_close_to_exfil_dist_sq" },
    { 0x7C7B6B70C226ED06, "get_visible_nodes_array" },
    { 0x610A184E03917978, "get_vo_bucket_sequential" },
    { 0x99A099D439C047F4, "get_vo_duration" },
    { 0x2C2EA88EC4197A5E, "get_vo_line" },
    { 0x9F02252B15747BC9, "get_vo_source" },
    { 0x448C8A5A6C1F1EF1, "get_vo_source_from_line" },
    { 0x90BDCC057B431DFD, "get_vo_source_is_speaking" },
    { 0x62835CF129281970, "get_vo_to_play" },
    { 0x1AAA7AE7789C4F6C, "get_volume_and_linkto" },
    { 0x918594ECC819F1DA, "get_wait_between_stations_time" },
    { 0x96D63A5B4ABEFE38, "get_wait_for_repeating_event" },
    { 0xDAFED52BB56C33DA, "get_wait_node" },
    { 0x40D078D58845E190, "get_wall_buy_hint_func" },
    { 0xF70D5C11893A9025, "get_wash_effect" },
    { 0x1EB061B5C5A94382, "get_wash_fx" },
    { 0xF59268D6333D7408, "get_wave_cur_count" },
    { 0x2D25E398FBE4ADB6, "get_wave_data" },
    { 0xB2DAFCA44F0AC6C9, "get_wave_group_name" },
    { 0x905B62284E518716, "get_wave_high_threshold" },
    { 0x077D29C5F723D1A6, "get_wave_info" },
    { 0xBDF750313DB8FE2C, "get_wave_low_threshold" },
    { 0xC7467FDA7A736F04, "get_wave_max_count" },
    { 0x59931A88CBF55401, "get_wave_max_spawns" },
    { 0x33CE6C200552A135, "get_wave_name" },
    { 0x63D42005619DBEC7, "get_wave_perc_increase" },
    { 0x813A314F32EB93FD, "get_wave_spawn_count" },
    { 0xD93DD4BBFE70A5B0, "get_wave_spawn_total" },
    { 0x88C7785BE7658B44, "get_wave_targetname" },
    { 0x7ADF891B9F6E8048, "get_weapon_ammo_matched" },
    { 0x0A302C17C1D90FE5, "get_weapon_base_ads_fov" },
    { 0x9C47B3933B9C0359, "get_weapon_class_mod_damage_data" },
    { 0x89C51AB44327543B, "get_weapon_hit_damage_data" },
    { 0xE08FCECA49028245, "get_weapon_in_power_slot" },
    { 0x8417BEDF273CEDBD, "get_weapon_level" },
    { 0x91E9316C5B370D70, "get_weapon_level_func" },
    { 0xB0F002D7977AE8D1, "get_weapon_max_rank_xp" },
    { 0xC73F03F5C2BE2BD3, "get_weapon_name_from_alt" },
    { 0x1515B6611506EF3E, "get_weapon_name_string" },
    { 0x4B497301C500C19E, "get_weapon_passive_xp_scale" },
    { 0xFB4212D660A2A490, "get_weapon_rank_for_xp" },
    { 0x3FBCA309969A0726, "get_weapon_rank_info_max_xp" },
    { 0xF9911439663E2F14, "get_weapon_rank_info_min_xp" },
    { 0x2B9CA37828369611, "get_weapon_redirect" },
    { 0xDDB304DA68FB17A2, "get_weapon_ref" },
    { 0xDC88EB3044C3565F, "get_weapon_scope_fov" },
    { 0xE2F9692F50128B95, "get_weapon_type_from_input" },
    { 0x61A8895C6112EB76, "get_weapon_variant_id" },
    { 0x66EFFD6B4AC93EB8, "get_weapon_variation_obj" },
    { 0x1201798024D12090, "get_weapon_weighted" },
    { 0xFB26A950E08134B7, "get_weapon_with_most_kills" },
    { 0x095C4A0F28C8D61B, "get_weapons_list_primaries" },
    { 0x6D7E241189C8CEE7, "get_weighted_anim" },
    { 0x45BDDB55500E4FEA, "get_whizby_fx_from_weapon" },
    { 0x837884B44DC60865, "get_wind_index" },
    { 0x9DDCEF907A12744A, "get_wind_string" },
    { 0x5A98CFDA9CA92716, "get_winning_team_name" },
    { 0x001A75A056514546, "get_wire_cut_hint" },
    { 0xCA3106576F1925A1, "get_wire_from_interact" },
    { 0xCB5091EA2B121FAB, "get_wire_hudoutline" },
    { 0xD13E122E7D1518F9, "get_within_range" },
    { 0xA59AA1BAF82352A2, "get_within_sight_angles" },
    { 0xB7CDF79F3FDF8426, "get_xp_value" },
    { 0x5E591544E5D8C41B, "get_zombie_killed_weapon_xp_multiplier_type" },
    { 0x7FC65B9FF2A57D9F, "get_zombie_targets" },
    { 0xED9A5B3D949DF92E, "getac130weaponrootname" },
    { 0xEB7BAD17E1EBE573, "getaccessorydata" },
    { 0x87E718EBC4D183F2, "getaccessorydatabyindex" },
    { 0x23624DA58E813C81, "getaccessorygesturename" },
    { 0x73093B7BBA8F694F, "getaccessorylogic" },
    { 0x1677F06B4DC765DE, "getaccessorylogicbyindex" },
    { 0x9BB7C3B5D84247BB, "getaccessoryweapon" },
    { 0xBFDA65A0C0188EAA, "getaccessoryweaponbyindex" },
    { 0x6ED9CBF2AEF3CEB8, "getaccuracyfraction" },
    { 0x657B83AE7ED3A43E, "getachievement" },
    { 0x8F80F97F21C00A60, "getactionallowfunc" },
    { 0x4CF69373D4651A33, "getactionscenedurationmax" },
    { 0x4D1AA973D48DC54D, "getactionscenedurationmin" },
    { 0x4043D2BE4637E858, "getactiveagentsofspecies" },
    { 0xAF84100ACC60433A, "getactiveagentsoftype" },
    { 0xBFF1B0B268491447, "getactivebradleys" },
    { 0xDFDD62C710B4AE25, "getactiveclientcount" },
    { 0x84646C9F4D1CF0A9, "getactiveenemyagents" },
    { 0xB09C98BD9CAF18BC, "getactiveequipmentarray" },
    { 0x59BEFE97547A88E1, "getactiveforteam" },
    { 0x14A18F541DF18032, "getactivekillstreakid" },
    { 0x387D33819075BAEB, "getactivemapconfig" },
    { 0x12CF2B5E3E145250, "getactiveplayerlist" },
    { 0x03CE90D85D4BC727, "getactivespawnquerycontext" },
    { 0x750542BB18816CBB, "getactiveteamcount" },
    { 0x8FC355CD5520FE00, "getactorsinradius" },
    { 0x78FE84F510FC20B2, "getadjustedexitdirection" },
    { 0x707425A2FEA29000, "getadjustedfirstroundbombcaseposition" },
    { 0xD2261A887C1B7A1E, "getaiarray" },
    { 0x3164F28155ED07DF, "getaiarrayinradius" },
    { 0x4A2C55648B431CB4, "getaiblackboard" },
    { 0x64A5501BC44597FC, "getaicount" },
    { 0x86475598D67F13B2, "getaicurrentweapon" },
    { 0x180CC18982997656, "getaicurrentweaponslot" },
    { 0xACEBC6109AD99183, "getaimangle" },
    { 0xAFCDA40D477DC808, "getaimpitchdifftolerance" },
    { 0x06064B5B250409FC, "getaimpitchtopoint3d" },
    { 0xC0225521E39B2BB8, "getaimpitchtoshootentorpos" },
    { 0x6B6CA594CD59AAD8, "getaimyawtopoint" },
    { 0x02E9A3E483E8940F, "getaimyawtopoint3d" },
    { 0x57D972F791BD6A57, "getaimyawtoshootentorpos" },
    { 0x26CF4738DB1535ED, "getaiprimaryweapon" },
    { 0x00FE9B73D9F25A8C, "getairdropcrates" },
    { 0x9962D3768816CC25, "getaisecondaryweapon" },
    { 0x96F486C10BBBADDC, "getaisidearmweapon" },
    { 0xC737306019608ABB, "getaisightdirection" },
    { 0x555E2759CE9D949A, "getaispeciesarray" },
    { 0xE8EFBD9AD34EC2A4, "getaiunittypearray" },
    { 0x845987BBA2568BD0, "getaliastypefromsoundalias" },
    { 0x39D33677003C609A, "getaliveagents" },
    { 0x04FAA9A34B76AE02, "getaliveagentsofteam" },
    { 0x04C5B72045A27EEB, "getalivecount" },
    { 0xF6029335FF0F320F, "getallactivequestsforteam" },
    { 0x294E668EF7ECE895, "getallanimsforalias" },
    { 0xD7754A4BBEE56297, "getallavailablekillstreakstructs" },
    { 0x22EE944A482E9BAE, "getallequip" },
    { 0x24392F9A39F93CDE, "getallextractspawninstances" },
    { 0xE462293A63859F91, "getallies" },
    { 0x56C76109C045BB83, "getallnodes" },
    { 0xA3E9E2D77F3CF79E, "getallredbarrels" },
    { 0xED3474A4D8C460F8, "getallrespawnableplayers" },
    { 0x25E290E874274004, "getallselectableattachments" },
    { 0x409457FAC897D8C3, "getallspawninstances" },
    { 0xEA0254462A1F96AA, "getallspleveltransients" },
    { 0xD79BCEAA7F07851F, "getallvehiclenodes" },
    { 0x04591AD67E62DE4F, "getallweapons" },
    { 0x297F5797A29DBF90, "getallyhelitarget" },
    { 0x8F9619BB948EA17C, "getallyspawners" },
    { 0xFAED61B9F4CAAA3D, "getalphabetstring" },
    { 0x4A6030C56BB90B87, "getaltbunkerindexforname" },
    { 0x8CE651892B8266BB, "getaltbunkerkeypadindexforscriptable" },
    { 0x2AA810C52AB4AFFC, "getaltgunanimstring" },
    { 0xA3F5FD8FF286D6C1, "getaltmodeweapon" },
    { 0x42C30CDD42E3D1EE, "getaltweapon" },
    { 0x64B1C9FE2795ED5C, "getambientgroup" },
    { 0x7756FF8269A9CCB8, "getammocount" },
    { 0x6C0A00CE12894C69, "getammofromcache" },
    { 0x39FDBAA426A041A7, "getammolootamount" },
    { 0x8DA028AC4A57285A, "getammoname" },
    { 0x0EFA40FAE6AF5F96, "getammonameamount" },
    { 0xC37592549EC884E0, "getammonamemaxamount" },
    { 0x8C2486DE10524AB1, "getammooverride" },
    { 0x9FC47218BF3E62DF, "getammopurchasestring" },
    { 0x0731E533A7951969, "getammotype" },
    { 0x8D075621AB418874, "getangledelta" },
    { 0x4E1C039356866AF3, "getangledelta3d" },
    { 0x625E382AA78498D6, "getangleindex" },
    { 0x8BAA662B0F1552FF, "getangleindexfromselfyaw" },
    { 0xE9D315D450E49767, "getangleindices" },
    { 0xA5D2465972A1E2E7, "getanglesfacingorigin" },
    { 0xE2041E05EF74CBAE, "getanglesforanimtime" },
    { 0xC95E6ABA6A5717A9, "getanglesfromsurfacenormal" },
    { 0x1E2F0F491B0CE699, "getanglestolikelyenemypath" },
    { 0x75523306A63B1FCA, "getanim" },
    { 0x2C58C55A07570212, "getanim_from_animname" },
    { 0x83D565B147A6B2D0, "getanim_generic" },
    { 0xEDA46F0842F60C9E, "getanimassettype" },
    { 0xB342DBBDE5C8BCDB, "getanimatemodel" },
    { 0xB156BF32C9190D68, "getanimdataforexplosive" },
    { 0xA79DA8325CC313F7, "getanimendpos" },
    { 0xBFE497ABBC577FC2, "getanimentry" },
    { 0x90DFB1D0FF1BCDA9, "getanimentrycount" },
    { 0x87FF404955086049, "getanimentryname" },
    { 0x4F980CE6758646B7, "getanimikweights" },
    { 0x4FCF2A1F8525CF76, "getanimindexfromalias" },
    { 0x170380CF79A235EE, "getanimlength" },
    { 0x7D25358925BF7F51, "getanimname" },
    { 0x6E6FEB5D014721F8, "getanimrate" },
    { 0xBEA94A9F65852C10, "getanimscalefactors" },
    { 0xD891C95D03C86A82, "getanimsdatafromthedestructiontable" },
    { 0x094DA4EE13444F4B, "getanimselectorfilenames" },
    { 0xCD6CC7676BADCCAA, "getanimset" },
    { 0x82001FF00250DCF2, "getanimsforplanefacing" },
    { 0x7CF4D93C7215AFE3, "getanimspeedbetweenthresholds" },
    { 0x9501B55A55920B70, "getanimspeedthreshold" },
    { 0x9FDA67E65C664EEB, "getanimtime" },
    { 0x7EDB4DE592626D72, "getanimweight" },
    { 0x54012304A10181D6, "getapproxeyepos" },
    { 0xA7FB3F39537368FE, "getarbitraryuptrigger" },
    { 0xCC0EF472D1AC05E3, "getarbitraryuptriggerbase" },
    { 0xCA03DD9F3BB81BC2, "getarbitraryuptriggerblinkloc" },
    { 0x1C0DA765A81353CF, "getarenaomnvarbitpackinginfo" },
    { 0x64C5D7F7CA26B3F0, "getarenapickupattachmentoverrides" },
    { 0x1EFFABF21CD6EC5A, "getarenaroundendmusictype" },
    { 0x6B0AC7077782F560, "getarkattachmentlist" },
    { 0x168D501181F1F2B6, "getarmcratedatabystreakname" },
    { 0xD4936D2AAB3FD60A, "getarmkillsteakstoexcludebyteamdefconlevel" },
    { 0x348A628FC4257AEE, "getarmoramount" },
    { 0x22C57673E21F79A8, "getarmormaxamount" },
    { 0x2B402A924CE4BBC1, "getarmorplateperpickup" },
    { 0x37A5F7E74AA497A8, "getarmorvestamount" },
    { 0x81F7AF806C139C7E, "getarmorvestmaxamount" },
    { 0x359E715AF5E401DC, "getarraykeys" },
    { 0x6FE5BCACBDF3E03D, "getarrayofdialoguealiases" },
    { 0x85FF592B74B1B2B4, "getarrivalnode" },
    { 0xA8BCED256011F320, "getarrivaltype" },
    { 0x8171AFAC5318EBF0, "getassignedspawnpoint" },
    { 0x438822EDEF459557, "getassignedspawnpointbasedonteam" },
    { 0xE013EE2563301912, "getassignedteam" },
    { 0x990578DCF10E5CEB, "getassistbonusamount" },
    { 0x2199170966B0D35C, "getattachedpersonalent" },
    { 0xE9FA4DA64354BA98, "getattachignorecollision" },
    { 0x15B0B6DD7BAE86B1, "getattachmentbasenames" },
    { 0x31079B118EDC111A, "getattachmentlist" },
    { 0x8D597BC115F387C5, "getattachmentlistbasenames" },
    { 0x5358D6FB18EAD411, "getattachmentlistforpickup" },
    { 0xC39E1FD13BF589D0, "getattachmentlistforscriptablepartname" },
    { 0x92FA83250439052F, "getattachmentlistuniquenames" },
    { 0x2C5C404740EBC42B, "getattachmentloadoutstring" },
    { 0x824B0F2CFAF00F4E, "getattachmentoverride" },
    { 0x0F6F3E3DA91C364E, "getattachmenttype" },
    { 0x423FF18CA886130F, "getattachmenttypeslist" },
    { 0x39EA083459BE8FA0, "getattachmodelname" },
    { 0xE0BC9EEF70FAA454, "getattachpos" },
    { 0xFC228F813B070BAF, "getattachsize" },
    { 0x6D4807C92FBCC10D, "getattachtagname" },
    { 0x50D3C00BB17A7D83, "getattractionomnvarbitpackinginfo" },
    { 0x2E287698B2508394, "getatvspawns" },
    { 0x66C65AEA5F303DD1, "getautodeploynorm" },
    { 0x60D2376F8392C79C, "getavailableattachments" },
    { 0xF87C14683CCBE56D, "getavailableequippedkillstreakstructs" },
    { 0x8AB6C3D01D178D8F, "getavailableperks" },
    { 0xF2423E47A1D74208, "getavailablesquadindex" },
    { 0x14E5ABEEFB4B9877, "getaverageangularvelocity" },
    { 0x301CC4141EEBE97D, "getaverageforwardvectorforplayersinteam" },
    { 0xC263C4B76146EBC0, "getaveragelinearvelocity" },
    { 0xE245BFCB8EB7AEA3, "getaveragelowspawnpoint" },
    { 0x75C984CE58B27328, "getaverageorigin" },
    { 0x4EC76FAB120DDA37, "getbackdeathanim" },
    { 0x8405E4FFFB9EDC30, "getballorigin" },
    { 0x4C4D00C6B76236AF, "getballstarts" },
    { 0x2B11539234BB41C7, "getballtriggers" },
    { 0x6821AEA791B94443, "getbandagehealfractionbr" },
    { 0x6BAE5286934E2C90, "getbandagehealtimebr" },
    { 0x991918CB4E76C946, "getbandagetime" },
    { 0x7D3B16CC848E78A2, "getbankedplunder" },
    { 0xA4DE3DFE90EF6DB5, "getbarrelspinrate" },
    { 0x2871F21A217667C1, "getbasearchetype" },
    { 0x688B5B6B5FFAD777, "getbasearchetype_code" },
    { 0x8EB76F40C1F4F3B7, "getbasearray" },
    { 0xACE9013AF71F9F59, "getbaseeventcalloutsplash" },
    { 0x57ED7208D7EB5EF8, "getbasekillstreakdialog" },
    { 0x5CA03B7273C0C4B9, "getbaseperkname" },
    { 0xAA194F050AA9C9FE, "getbaseweapon" },
    { 0x338409FCE6C9E715, "getbaseweaponforpickup" },
    { 0x913F52A3FA66C9D4, "getbaseweaponforscriptablepartname" },
    { 0x6102DCE5ADF2A31D, "getbaseweaponname" },
    { 0x470EF352ECE428D6, "getbattlechatteralias" },
    { 0x9D240C11944A6713, "getbattlepassxpmultiplier" },
    { 0xB9144042B9BA3C44, "getbattlepassxpultipliertotal" },
    { 0x35C824204A5A44E5, "getbattleslideoffensedamage" },
    { 0xDA1CA4A50765BA71, "getbcintensity" },
    { 0x7DEC43C488179205, "getbcstate" },
    { 0xCEC06EF2FBE2FAC8, "getbcwaittime" },
    { 0x8758617AAC36330D, "getbeingrevived" },
    { 0x80DA82AB4473EE68, "getbeingrevivedinternal" },
    { 0x5BB9B5A2A6A97802, "getbestcameraindex" },
    { 0x7B6542EDA2FC4645, "getbestcovermultinodetype" },
    { 0x5C0C00EE168CEF44, "getbestintersectionpt" },
    { 0xA63EA711AB28CA68, "getbestmissilespawnpoint" },
    { 0xF51A510C8EAAC330, "getbestplayer" },
    { 0x8B28BA5571338AF9, "getbestpotgscore" },
    { 0xE95A62FAA868199C, "getbestprimarytarget" },
    { 0xD8383BD8D1CC3C91, "getbestsentientfrompool" },
    { 0xF2C39C440E21FEB9, "getbestsepctatecandidatefromlist" },
    { 0xF5907FD45E746519, "getbestsmartobject" },
    { 0x4AF6981EAC9242BC, "getbestsmartobjectalongline" },
    { 0x01CD56E87762445E, "getbestspawnpoint" },
    { 0xC0B4584BB25A57EB, "getbestspectatecandidate" },
    { 0x4325029ADCF14E6C, "getbeststingertarget" },
    { 0xB18CA18F90FCF858, "getbesttarget" },
    { 0xAC6AE6AC2891A809, "getbestteammate" },
    { 0xFC4927FA61F12730, "getbetterplayer" },
    { 0xDE2E193F5E287D1C, "getbetterteam" },
    { 0x9D1A059B147C1D7C, "getbettingplayers" },
    { 0xF7E4C7590920F413, "getbinarysequencemapping" },
    { 0x823CEF0A9B890E0A, "getbleedouttime" },
    { 0x47D1D3E1DD363A62, "getblockedweaponvariantidsmap" },
    { 0xBA12C4179438FA61, "getblueprintforpickupweapon" },
    { 0xE654652A8C0B5674, "getbnetigrbattlepassxpmultiplier" },
    { 0x6A8A0B2E8ADCE0FA, "getbnetigrplayerxpmultiplier" },
    { 0x86C9F5BBF9805977, "getbnetigrweaponxpmultiplier" },
    { 0xC3F3128E07284950, "getbobrate" },
    { 0x75A7B7BD54C38188, "getbodymodel" },
    { 0x7D16487F1A999321, "getboltmodel" },
    { 0x4A1F1A4E73A4CC58, "getbombmodel" },
    { 0xE90CC2285B276DB2, "getbombteam" },
    { 0xC3FCEDB7AE8CEBC0, "getbot" },
    { 0x7F7B65F5AA35E654, "getbottomarc" },
    { 0xB38FC07C71FFD98A, "getboundshalfsize" },
    { 0xC23D1A1777738B02, "getboundsmidpoint" },
    { 0x717A9ECEB9ECC3A3, "getbrcratedatabytype" },
    { 0x8CB3E4BB314F532C, "getbrendsplashpostgamestate" },
    { 0x98D0D20207DC90B9, "getbrgametypedata" },
    { 0x0CCB0ABAE8A5F88B, "getbrnuketraveltime" },
    { 0x5CB8BA3C7443EA3C, "getbrplayersnoteliminated" },
    { 0x4CC3B98B6965F93B, "getbrushmodelcenter" },
    { 0x5AD27AB8C5D53AD8, "getbsmstate" },
    { 0x0B6FCD1099DAC4BF, "getbtaction" },
    { 0x598ECA39AD79BCCC, "getbuddyspawnangles" },
    { 0xF9DC057C609A5954, "getbuildnumber" },
    { 0xAE1BE4F31CDE3C53, "getbuildversion" },
    { 0xE21C637084F44E6D, "getbulletstokill" },
    { 0xF8522DDF49915A85, "getbunkernamefromkeypadscriptableinstance" },
    { 0x98C1D586707B3C0D, "getburnfxstatepriority" },
    { 0x2C20E7A7A47CC15B, "getburnvfxtagpackets" },
    { 0x16F4D3FB3B46024F, "getburstdelaytime" },
    { 0x93B84AE10C867213, "getburstdelaytimemg" },
    { 0x0F5E43B0FFE87DBC, "getburster" },
    { 0x8F27F68B7B1FDABE, "getburstsize" },
    { 0xC1229711112760E3, "getbuttonpressed" },
    { 0xB0686B1B6FD57DC6, "getc130airdropheight" },
    { 0x1811BFD8B00A3D5B, "getc130height" },
    { 0xEEFC9DB33F88EA81, "getc130knownsafeheight" },
    { 0xC36985650465095F, "getc130sealevel" },
    { 0xBFD89CD372A5DE0B, "getc130speed" },
    { 0xDEF89E48E9C97DFE, "getcachedloadoutstruct" },
    { 0xD33D6376C855A8BC, "getcallback" },
    { 0x78C4E0E6DE848DBE, "getcallsign" },
    { 0x65DA158F62D4D94A, "getcamdata" },
    { 0x9FB205D1CB59870D, "getcameravecorang" },
    { 0xD4B8B217013CF721, "getcamotablecolumnindex" },
    { 0x154BB6204502B89D, "getcannedresponse" },
    { 0xB6ADA86E08FA146E, "getcanshootandsee" },
    { 0xB551E349ADA1F4AC, "getcanshootandsee_hometown" },
    { 0x400FB86FFBB8978D, "getcapturebehavior" },
    { 0x93A2DF6DC2346AB7, "getcapturedialog" },
    { 0x73C76474529E8684, "getcaptureprogress" },
    { 0x773C09357FCA2A63, "getcapturetype" },
    { 0xE1A03ED814291F8D, "getcapxpscale" },
    { 0xBC8A455B49396528, "getcargotruckspawns" },
    { 0xB04E14D52C298478, "getcash" },
    { 0x090977A621E5F46B, "getcashnags" },
    { 0xC13156F2516B3DF9, "getcashsoundaliasforplayer" },
    { 0xE0F26C0B1E23B4A2, "getcenterfrac" },
    { 0xD34DAD6A77310818, "getcenterpoint" },
    { 0xDC69BCA30D639423, "getcentroid" },
    { 0x7D89B5775DF63A88, "getchain" },
    { 0x0C151083A483B601, "getchains" },
    { 0xC50281591E3ACFED, "getchallengegamemode" },
    { 0x301E8F4A17F7141B, "getcharactercardgesturelength" },
    { 0x524FDF284CA8D83D, "getchildoutlineents" },
    { 0x99472967F858C4C8, "getcircleclosetime" },
    { 0x88C7FFC68381B59A, "getcircleindexforpoint" },
    { 0x34FF9DAFFBD7264E, "getcirclerangemax" },
    { 0x3522AFAFFBFD959C, "getcirclerangemin" },
    { 0xC52278C9B1A421CA, "getcirclesize" },
    { 0x21180BA9836AD460, "getclaimednode" },
    { 0xE765F0AA423D7A94, "getclaimteam" },
    { 0x816A93C4578A796E, "getclanidhigh" },
    { 0x141D5121D702DE34, "getclanidlow" },
    { 0xBD5FF1F12E234881, "getclantag" },
    { 0x1280DBDC096A5A3B, "getclanwarsbonus" },
    { 0x609488BBCE87A9E6, "getclasschoice" },
    { 0x0C5278B68B723128, "getclassiclaststandpistol" },
    { 0x8A398825055ECA7B, "getclassindex" },
    { 0x8604A1E59DC435C4, "getclearpathflightyaw" },
    { 0xAB6F82DD5CE0482D, "getclientmatchdata" },
    { 0x020651BDAA374DAB, "getclientomnvar" },
    { 0x15238F9783951FFA, "getclientwaypointicon" },
    { 0x99639EB4945C30D1, "getclocksoundaliasfortimeleft" },
    { 0xEE30D7D2D58F74C1, "getcloseambulance" },
    { 0x9E36C09C790CF5BF, "getclosenoderadiusdist" },
    { 0x4C06D03BB1935B5E, "getclosest" },
    { 0x3231397C4ADF917F, "getclosestavailablespawnlocation" },
    { 0x1134F36548F4B240, "getclosestcheckpoint" },
    { 0xAC6AFC868F52D2F2, "getclosestenemy" },
    { 0xCBAE2EC01077A99A, "getclosestenemysqdist" },
    { 0x88B4729C0A4DCA14, "getclosestfleezone" },
    { 0x498B5C4579123CF6, "getclosestfriendlyspeaker" },
    { 0x43507E4E0BBAC3F0, "getclosestfx" },
    { 0x34BD9E63D72085E9, "getclosestmatchingmasterlootnode" },
    { 0x367C224E33F41C4E, "getclosestnodeinsight" },
    { 0xB487F7943ED0ADFD, "getclosestplayerforreward" },
    { 0xED477FCBEBF8C3F3, "getclosestplayeronteam" },
    { 0x57FCFAC4E3859DC7, "getclosestpointonnavmesh" },
    { 0x30F7E1D09A410E68, "getclosestpointonnavmesh3d" },
    { 0x8BEF2E61C22E7D60, "getclosestreachablepointonnavmesh" },
    { 0xDB184AA7FB769A0B, "getcloseststruct" },
    { 0x53BDC652B169638D, "getclosesttargetinview" },
    { 0xAA84075C0635BCEE, "getclosesttocoverhideindex" },
    { 0x65B7D9CD0DBB9B0D, "getcodcasterclientmatchdata" },
    { 0xD587F2D1EDA5639B, "getcodcasterplayervalue" },
    { 0xB401CD43356E828E, "getcodecomputerdisplaycode" },
    { 0xDCB6D2E5ADD724D2, "getcollateraldamagegrade" },
    { 0x8469F795A6FA3DC5, "getcollision" },
    { 0xF9399C098556F3EC, "getcolornumberarray" },
    { 0x711F391C2F85F29D, "getcombatrecordsupermisc" },
    { 0x9B6B71498236D0B6, "getcombatspeedscalar" },
    { 0xCC2305A31B740AA6, "getcommanderassets" },
    { 0x161B6AE27DB8AAF6, "getcompletenameforweapon" },
    { 0x08496EC60376420F, "getcompleteweaponname" },
    { 0xB7C60EB8C5BE4B77, "getcompleteweaponnamenoalt" },
    { 0xF302861C29F14F6F, "getcooldowntime" },
    { 0xBF711EC080454C6E, "getcoremapdropzones" },
    { 0x4E3C11B602279FBC, "getcornersfromarray" },
    { 0x525D01C0516EE935, "getcornerstepoutsdisabled" },
    { 0xEAAB55A2B24AD482, "getcorpseanim" },
    { 0x711EE46B94BCBE00, "getcorpsearray" },
    { 0x8375FC8F5F6EFFDD, "getcorpsearrayinradius" },
    { 0xB0265483931DC0A5, "getcorpsearraymp" },
    { 0xB04058839339F27B, "getcorpsearraysp" },
    { 0xF5728068784324D4, "getcorpseentity" },
    { 0x98B011DDE8E31F35, "getcorpseorigin" },
    { 0xA662905B1D181E42, "getcorpsephysicsorigin" },
    { 0x74F4A6D482E2B495, "getcorpstablestate" },
    { 0x902C783EA35463C0, "getcorrectheight" },
    { 0xBC941801CEEDDE90, "getcorrectheightescort" },
    { 0x794F72D5BEBBAD5A, "getcost" },
    { 0xE7EA51A6543F4CAD, "getcountertotal" },
    { 0x828301C69AEC78BA, "getcover3dnodeoffset" },
    { 0x65CB43CF10FE24F1, "getcoveranglelimits" },
    { 0x96FAE9B85E38F157, "getcovercrouchanglelimits" },
    { 0x1E15BBC9C1781BE2, "getcoverlongdeathalias" },
    { 0x03EB797497033666, "getcovernode" },
    { 0xA2F8C2D67707C38F, "getcovernodehelitarget" },
    { 0xD847C404BB212DDF, "getcoverstate" },
    { 0x5C4ABBAD6C13E1D8, "getcovertacpoint" },
    { 0x5E8B2B2BECB075BE, "getcpcratedatabytype" },
    { 0xF848B124065C4403, "getcpcratedropcaststart" },
    { 0x94F14A1E0B12B2B0, "getcpscriptedhelidropheight" },
    { 0xC01D88112714CBBA, "getcraftingmaterialmax" },
    { 0xA7477C0BD5C692D3, "getcratedatabytype" },
    { 0xC6315FA9F0BD463D, "getcratedropcastend" },
    { 0x7EA077FA48C24EC4, "getcratedropcaststart" },
    { 0x94056C1EC52E9C4D, "getcratedropdestination" },
    { 0xA3122447BE706509, "getcratedropignorelist" },
    { 0x6312FB5C41A8CA34, "getcrateusetime" },
    { 0xFC5F034C0FE96A36, "getcrawllongdeathalias" },
    { 0x3B90AC6835EE360D, "getcrossbowammotype" },
    { 0xE0C15052133425E7, "getcrossbowimpactfunc" },
    { 0x7657433FB39E6A0C, "getcrouchdeathanim" },
    { 0xA3169FC41816D61C, "getcrouchpainanim" },
    { 0x50F26477016E95C8, "getcsplinecount" },
    { 0x174B3AC1FE6AFAE4, "getcsplineid" },
    { 0xDE4D6DF4073D7239, "getcsplineidarray" },
    { 0x2578EA06BD392429, "getcsplinelength" },
    { 0xEB1D6889E6303664, "getcsplinepointcorridordims" },
    { 0x1D7F2BB31CDFE06C, "getcsplinepointcount" },
    { 0x02C1297BE2E1CA6D, "getcsplinepointdisttonextpoint" },
    { 0x0E4963DBDCFA70F8, "getcsplinepointid" },
    { 0xC8127F2206A56275, "getcsplinepointlabel" },
    { 0x01EACD0ED448C3A2, "getcsplinepointposition" },
    { 0xAF5347FFBB3162E0, "getcsplinepointstring" },
    { 0xB88F6A2FE2D6B6DA, "getcsplinepointtangent" },
    { 0x6B5A0A65D1E90EF0, "getcsplinepointtarget" },
    { 0x0679673CF85FDA33, "getcsplinepointtargetname" },
    { 0xD4A6E6FB58D72845, "getcsplinepointtension" },
    { 0x65253E318923CFFF, "getcsplinetargetname" },
    { 0x0F4AC43138C57F6F, "getculldist" },
    { 0xCBF278546FB01529, "getcurpotgscene" },
    { 0xBCA77CEC408F4FD9, "getcurrent_groupstruct" },
    { 0x559E0CEE4593DCE7, "getcurrentarmsracecachelocation" },
    { 0xEE0D6E4D4DEF04D8, "getcurrentbtaction" },
    { 0x8E61E14872D8F557, "getcurrentcamoname" },
    { 0x77E21F5BDE144119, "getcurrentdesiredbtactionname" },
    { 0xAF3B277ACB3EF706, "getcurrentents" },
    { 0xCD001A5F8CD0F52C, "getcurrentequipment" },
    { 0x66923CFDC8908C66, "getcurrentfraction" },
    { 0x509DF10149E03623, "getcurrentmonitoredweaponswitchweapon" },
    { 0x51BB5F1539048C4C, "getcurrentoffhand" },
    { 0x14BA6124DCD452A7, "getcurrentplayerlifeidforkillstreak" },
    { 0x644A968D41B2315D, "getcurrentpoistate" },
    { 0xFCE68B394743E06A, "getcurrentprimaryweapon" },
    { 0x393522E06EE7F430, "getcurrentprimaryweaponsminusalt" },
    { 0xC39F2C1BCB304C6A, "getcurrentreliableweaponswitchweapon" },
    { 0xD76FAE2AE5C60EDB, "getcurrentstagespawners" },
    { 0x8CD698441ED5411F, "getcurrentsuper" },
    { 0xCE90D51F1428D425, "getcurrentsuperbasepoints" },
    { 0xEFF67CA844F00368, "getcurrentsuperextrapoints" },
    { 0x23FE40D6F51E138C, "getcurrentsuperpoints" },
    { 0x907E744CC3B58C10, "getcurrentsuperref" },
    { 0x4D4A4579357AF348, "getcurrentusereloadconfig" },
    { 0xE2AAEC1CF0AFB025, "getcurrentvalue" },
    { 0x72FFAE5F008B8030, "getcurrentweapon" },
    { 0xF11422DBB0A770F0, "getcurrentweaponclipammo" },
    { 0x971DC1D1EBC42BF7, "getcurrentweaponslotname" },
    { 0xC402A8E6E041FD64, "getcurrentxp" },
    { 0x17E6462AA5261ABC, "getcurwindowstarttime" },
    { 0x62B819799B2B62E1, "getcustomarrivalangles" },
    { 0x5583F2EBA020900F, "getcustombc" },
    { 0x49345CDEF821923E, "getcustombcradioprefix" },
    { 0x89FB554D12C2147B, "getcustomgametypeteammax" },
    { 0x63A91BC07B850088, "getcustomization" },
    { 0x4E08FA0D13F76834, "getcustomizationbody" },
    { 0x3A0056213CF9EF3A, "getcustomizationhead" },
    { 0x83871C09B49734A4, "getcustomizationprefix" },
    { 0xE412A28904C3C23E, "getcustomizationviewmodel" },
    { 0xA080DD52F4CCE21A, "getcycleoriginoffset" },
    { 0xE47260712EDA7DE0, "getdamageableents" },
    { 0xAD6C7D1E427AD907, "getdamagedirection" },
    { 0x350A1D3B0F2DDDD2, "getdamagedirectionsuffix" },
    { 0x3DA61FD62A2BFB74, "getdamagedirstring" },
    { 0x8FF5B242E5654494, "getdamagefromzombietype" },
    { 0x2A23571792EBA186, "getdamagemod" },
    { 0x702D82B456E99157, "getdamagemodifiertotal" },
    { 0x1A44039B2D7C1265, "getdamageparthealth" },
    { 0x90A087999FA6C172, "getdamageshieldpainanim" },
    { 0x247BC78F751D9582, "getdamagetype" },
    { 0x4A6D80DC47CE65DE, "getdangercircleorigin" },
    { 0xAF38F7F4162403EA, "getdangercircleradius" },
    { 0xB04B02788C7BCCE6, "getdatetime" },
    { 0xFBD6A7F4E32A07DE, "getdaytime" },
    { 0x86C8714BB9A08C2E, "getdeathanim" },
    { 0x267CAD6BCFA6F2FC, "getdeathsdoorduration" },
    { 0xD741E3F619B6CCF4, "getdeathsfortypeandstance" },
    { 0x8B0C498D1FB61E55, "getdeathsshieldduration" },
    { 0xC6F66789137F4F42, "getdeathtypefromcause" },
    { 0xED399C7E1CFCA4FE, "getdebuffattackersbyweapon" },
    { 0xFBCAC39B51A1C2EB, "getdebugeye" },
    { 0x9B03FC86F937FC39, "getdediserverguid" },
    { 0x9340F8FD052CAB74, "getdefaultcapturevisualscallback" },
    { 0x66BE73F1BAD668C8, "getdefaultcapturevisualsdeletiondelay" },
    { 0x26ECDACEF53EC2C4, "getdefaultdestroyvisualscallback" },
    { 0x6FF7F418F579A0B8, "getdefaultdestroyvisualsdeletiondelay" },
    { 0x14502D4B645516DB, "getdefaultlaststandrevivetimervalue" },
    { 0xA8C53979DBEAF2CA, "getdefaultlaststandtimervalue" },
    { 0xF99DD37C19102BD1, "getdefaultminedangerzoneradiussize" },
    { 0xE5FD5D65FAF37707, "getdefaultmountmantlemodel" },
    { 0x4D683B90FB022A48, "getdefaultslot" },
    { 0x6EE5732F0A8443F4, "getdefaultstreamhinttimeoutms" },
    { 0x2ECCD5FAD70C6BFE, "getdefaultweaponbasename" },
    { 0x5C4A4C36300BE84B, "getdegreeselevation" },
    { 0x02C6BD8D5B2C223E, "getdemeanorviewmodel" },
    { 0x0DFAB9BCB6E1B117, "getdescription" },
    { 0xEC835BAAA52233B5, "getdesiredgrenadetimervalue" },
    { 0xA0176F2D2E5FD70C, "getdesiredoffset" },
    { 0xD91E7EA59D56681F, "getdesiredscaledspeedforposalongpath" },
    { 0x47250D967E5A0097, "getdialoguedebouncetime" },
    { 0x339F8E9DBCF63D42, "getdifficulty" },
    { 0x406DE53E201396B0, "getdifficultylevel" },
    { 0xB0D0830C8E4F4914, "getdirectioncompass" },
    { 0xEEBB086329BBEA88, "getdirectionfacingclock" },
    { 0x4AFD3E5B4F250B48, "getdirectionfacingflank" },
    { 0xF00920DAD84795C7, "getdisarmfunc" },
    { 0x67304B0DBC51FE9F, "getdismembermentlist" },
    { 0x626A545502507AC3, "getdisplayweapon" },
    { 0x83BA38C24F3DD982, "getdistancemeters" },
    { 0x6C7DA99895906717, "getdistancemetersnormalized" },
    { 0x29EAC296E792922E, "getdistancemiles" },
    { 0xE25904ADC8F79A63, "getdistancemilesnormalized" },
    { 0xD9F0F3923F065491, "getdobjcount" },
    { 0x967661A287903E4B, "getdodgemeter" },
    { 0xD54A96BA2260CB62, "getdomneutralizeomnvarvalue" },
    { 0xB3B9241436E53395, "getdomplateradius" },
    { 0x927E6E9035E294DB, "getdompointsearchorigin" },
    { 0xF96A5F7EA2783C46, "getdoorcenter" },
    { 0x60AF635F4DF9C0CC, "getdooropenspeedlookup" },
    { 0xA95CFCBA59BF4C76, "getdoorowner" },
    { 0xD5345DAA8FE2F3F6, "getdoublejumpoffsetposition" },
    { 0x16AC5906563055FE, "getdragonsbreathvfxpackets" },
    { 0x046B7B9BFA3D90B4, "getdriverassets" },
    { 0x03D0093F208F52D3, "getdropbagdelay" },
    { 0x0E469C123D1CC4DA, "getdropbagspawntypeenum" },
    { 0xBDD55E7F303512F0, "getdroplocationnearcurrentcircle" },
    { 0xB7ACCEEE6E288745, "getdropposition" },
    { 0xDA60E1E9FC92B900, "getdroptofloorposition" },
    { 0xA4985E9940A0499F, "getdropzonecratetype" },
    { 0xE170DE7C1E9A3DDE, "getdvar" },
    { 0xAB10A695B43FC2B4, "getdvarfloat" },
    { 0x0FBDB5FD2AC2902F, "getdvarint" },
    { 0xF54D1AAD9E652735, "getdvarvector" },
    { 0xE757D6AE0E6CE1DF, "getearliestclaimplayer" },
    { 0x5B69C0FE4C5E3EF6, "getemptyleveldata" },
    { 0x12B9B14AD3071350, "getemptyloadout" },
    { 0x7F71B70DE15256B0, "getenemycount" },
    { 0xD9759C07E0C62ECC, "getenemyeyepos" },
    { 0x505B46E0E78A3EB1, "getenemyinfo" },
    { 0x8D9C1A929A2FE9E5, "getenemyplayers" },
    { 0x566ACE8D055C8050, "getenemysightpos" },
    { 0xE0361830833E1F81, "getenemysqdist" },
    { 0x0CB4C14170A3BC3D, "getenemysquaddata" },
    { 0x1BA866EBB36DC669, "getenemysquaddogtype" },
    { 0xB793EC6338D979DC, "getenemytarget" },
    { 0x93CA8D3606469BDD, "getenemytargets" },
    { 0x3DF67517EF34A431, "getenemyteams" },
    { 0x0C8DBAB7E3C0AEC0, "getent" },
    { 0x67105FD3A3FEA35C, "getent_or_struct" },
    { 0xBEBE1FB6103CC4BD, "getentarray" },
    { 0xF04DC495B0AC5AB4, "getentarrayinradius" },
    { 0x927C5686EDA6947B, "getentarraywithflag" },
    { 0x2EB520693F94EC8B, "getentbynum" },
    { 0x210C604DDEA57FD0, "getentchannelname" },
    { 0x27C0BE4CEE395D47, "getentchannelscount" },
    { 0xB8822BC358F63E79, "getenthitpos" },
    { 0x2B84EC4D16D90E75, "getentitiesinradius" },
    { 0xA2BA833CF233451C, "getentityeventdata" },
    { 0xE5ED4AE356CE8171, "getentityid" },
    { 0x23D8DFA245A80857, "getentitylessscriptablearray" },
    { 0x36705EDF1FE6FA62, "getentitylessscriptablearrayinradius" },
    { 0x834D6E34D701302D, "getentitynumber" },
    { 0x3891B0D883A37190, "getentitypotgdata" },
    { 0x9B8CAEF2CFF98357, "getentityvelocity" },
    { 0xBB0FB310F1E79869, "getentityweapons" },
    { 0xC41152D6446C0600, "getentnum" },
    { 0x6E27A37801B36E7A, "getentwithflag" },
    { 0xF29B5FCD66D35BE7, "getequipmentammo" },
    { 0x472952E9E0A56451, "getequipmenthinticon" },
    { 0xB8D377F4BFA12D19, "getequipmenthintstring" },
    { 0xEDBBE5395EA92223, "getequipmentmaxammo" },
    { 0xB83823DD14C5F382, "getequipmentmodel" },
    { 0x7E143C39F753F52E, "getequipmentreffromweapon" },
    { 0xA63ED9042D73623B, "getequipmentslotammo" },
    { 0x78054938CD1C464D, "getequipmentstartammo" },
    { 0x2267F64541EF3763, "getequipmenttableinfo" },
    { 0x59CBCAFC409F93E5, "getequipmenttype" },
    { 0x7A2587020789FBF6, "getequippedkillstreakbyname" },
    { 0x23636C765196D8EA, "getequippedkillstreakslotbyname" },
    { 0xE70AD7708A3E3302, "geteventstate" },
    { 0x68B7558706F19F07, "getexecutionpartner" },
    { 0x9AD0F180857CFCD6, "getexfilloccallback" },
    { 0xD35DEA6233DCB4C1, "getexfilstructs" },
    { 0xB6727A13E8105883, "getexitnode" },
    { 0xA2C5B2D9D596A080, "getexitsplittime" },
    { 0x0263B3182F472643, "getexpectednumberofteams" },
    { 0x6AF507CE218FA55F, "getexplodedistance" },
    { 0xA6AB3F420909D3BE, "getexploderdelaydefault" },
    { 0x726E16F98EBD3699, "getexplosiveusableoffset" },
    { 0x0E0656AE16CBF241, "getexposedlongdeathalias" },
    { 0x23B991AE596703AE, "getexternaltraverseinfo" },
    { 0x21E5ECC90CC63261, "getextractionbtmflag" },
    { 0x4B479BE1401656A4, "getextractionpadent" },
    { 0x7EB7A6F9F45D6E71, "getextractionposition" },
    { 0x382CD3B8C9708132, "getextractionsites" },
    { 0x015A722F11D2669A, "getextractiontimeconst" },
    { 0x0C42CBB7E36E1BDC, "geteye" },
    { 0x671F997079264B07, "geteyeheightfromstance" },
    { 0x807FEC2C96997225, "getfaction" },
    { 0xA56FE31686FE0B74, "getfactorfunction" },
    { 0x27AF97525559D0D6, "getfactorparamreflist" },
    { 0x700CFC977D66A28C, "getfadetime" },
    { 0x90FE41B9A56EED7D, "getfakeaiarray" },
    { 0xCCEC9671BEB63674, "getfakeaiarrayinradius" },
    { 0x1647D9A63DF7BEEE, "getfarnoderadiusdist" },
    { 0xBB1561C92D471385, "getfarrahbloodymodel" },
    { 0x2B2459594D1ACE5C, "getfarthest" },
    { 0x256E8C1D771E5F41, "getfilterformodifier" },
    { 0xA3D5CC0ACD23671D, "getfinalpotginfo" },
    { 0xD9360C2C6ED23F18, "getfirechainstarget" },
    { 0xB6FE49F2D4C1B984, "getfireengulfrate" },
    { 0xD9AA18EF8DA3CCDC, "getfireinvulseconds" },
    { 0xFE4F6D3E94F7C149, "getfirespoutlaunchvectors" },
    { 0xC4ED79257F74DE31, "getfireteammembers" },
    { 0x5B8489C4346EE9FC, "getfiretimescale" },
    { 0xA8679913C4F96628, "getfirstaidhealtimebr" },
    { 0x4CCFEE6F73819653, "getfirstarraykey" },
    { 0x8125148E8A084C72, "getfirstbtmbombloc" },
    { 0x6220A3C50222B849, "getfirstopenjumporigin" },
    { 0xCEBFA0FFD601ED87, "getfirstopenslot" },
    { 0x25910FC56F2B78D7, "getfirstprimaryweapon" },
    { 0x776229845278A94B, "getfirsttimevoforobjective" },
    { 0x9E5965AA5D24B0B5, "getfirstzone" },
    { 0x4119F9FC38E27D1C, "getfixednodesafevolume" },
    { 0xD2A4EA47248FBC8C, "getflagcount" },
    { 0x86EDF64602F601D1, "getflagpos" },
    { 0x0A450A2596254486, "getflagradarowner" },
    { 0x0B2602ED610CD3E2, "getflagspawnidforobjectivekey" },
    { 0x82B2F1A3010B6E84, "getflagteam" },
    { 0x9F61AA0D9F33B01B, "getflankingpointforenemyonmedian" },
    { 0xF59FE03BA4056F5C, "getflankpositiononplayer" },
    { 0x6ABE249B6A79C1FA, "getflashlightmodel" },
    { 0x1750EC9568F23461, "getflavorburstaliases" },
    { 0x4771F35C586C7D2E, "getflavorburstid" },
    { 0x1A1646D201ED18E2, "getflightpath" },
    { 0xACFA39690B1BCBB6, "getfloatproperty" },
    { 0x542390A35DB9548B, "getfocusendtime" },
    { 0xA4C00168137C6AD6, "getfollowedplayer" },
    { 0x5F8B537D6E60C7A2, "getforcedloadoutweapon" },
    { 0x4E146FBB1C34B4D6, "getforcedlongdeathalias" },
    { 0x00BD373867A095C7, "getformattedtimestamp" },
    { 0xC92B0BA7F18A6AE3, "getfractionmaxammo" },
    { 0x144CE0A2165B620D, "getfractionstartammo" },
    { 0x3FDD1ABAAB8C20E2, "getfreeagent" },
    { 0xD501623AFE0C5749, "getfreeagentcount" },
    { 0xCD95990D79DDE142, "getfreeaicount" },
    { 0xDE5FA7FA4108964C, "getfriendlies" },
    { 0x846B1DD32A594A1A, "getfriendlyplayers" },
    { 0x1E90A4796F1D1AE9, "getfrontarcclockdirection" },
    { 0xC56139E2ED276D05, "getfrontcrawldeath" },
    { 0x2ADE7EA531F3DA98, "getfrontlineteamcenter" },
    { 0x63082CAD543F9B0A, "getfullweaponobjforpickup" },
    { 0x7B0FA53C6FFC4AB7, "getfullweaponobjforscriptablepartname" },
    { 0xE147A1CF266BBC3B, "getfullweaponobjfromscriptablename" },
    { 0x03AA958BEBEB1BC5, "getfx" },
    { 0x8ADCD5F049603745, "getfxvisibility" },
    { 0x0D2BC3EEF16C358B, "getgamebattlematchreportstate" },
    { 0x6EC7C484C89BC084, "getgamemodestat" },
    { 0xF4F0EDFF027FB761, "getgamemodeweaponspeed" },
    { 0x9D51F6D5A4E8ED39, "getgametype" },
    { 0x207E63A0EFAF536F, "getgametypeindex" },
    { 0x985B534CC46DA685, "getgametypekillsperhouravg" },
    { 0x88E747D2156A39B4, "getgametypekillspermatchmaximum" },
    { 0x47C356A588CFEAEA, "getgametypenumlives" },
    { 0x65EA67E33F270124, "getgametypevip" },
    { 0x1400F67F27F4A986, "getgametypeweaponxpmultiplier" },
    { 0xE438B1BCF4EF78FA, "getgametypexpmultiplier" },
    { 0x66D4061904550F84, "getgamewinnerfunc" },
    { 0x8C474B6488FA766B, "getgamewinnerprop" },
    { 0xBEF323DC11387461, "getgenericanim" },
    { 0x2383D03FDAB13453, "getgestureanimlength" },
    { 0x62A8BE68CF16FD52, "getgesturedata" },
    { 0x84DC21412EC86721, "getgesturedatabyindex" },
    { 0xB009DD5CAEC7B9DD, "getgesturenotetracktimes" },
    { 0x5FEA37CA979AF99B, "getgesturestarttime" },
    { 0x35063ABCAA28A768, "getgestureviewmodel" },
    { 0x4A8C02902F1667D3, "getggweapontablelootvariants" },
    { 0xC1A056066A54662C, "getgimmeslotkillstreakstructs" },
    { 0x111D0617FA0F1589, "getglass" },
    { 0x24642E648A544FF2, "getglassarray" },
    { 0x25F7D8AF853120FB, "getglassorigin" },
    { 0xC99C19F763D77771, "getglcustomization" },
    { 0x36593F2065044218, "getglcustomizationhackney" },
    { 0x839FB49CF149F668, "getglobalbattlepassxpmultiplier" },
    { 0x2AB1598EA2B6325D, "getglobalfrontlineinfo" },
    { 0x3BCD8347911F388A, "getglobalintermissionpoint" },
    { 0x06A7B038422513F1, "getglobalrankxpmultiplier" },
    { 0xA8E11E904D5CCAFD, "getglobalweaponrankxpmultiplier" },
    { 0x6CF9D16A3B579506, "getgoalspeedmph" },
    { 0x3728A40040AB0E6E, "getgoalvolume" },
    { 0xE6F1E753B255DE59, "getgrenadeammofromcache" },
    { 0xCAA60C6BE48E6290, "getgrenadedamageradius" },
    { 0x93097167A0DCB1F1, "getgrenadedropvelocity" },
    { 0xE889DFDDFF67669F, "getgrenadefusetime" },
    { 0xCDB1F8ABF3A09669, "getgrenadefusetimeai" },
    { 0x5F9DE00AD1582171, "getgrenadeheldatdeath" },
    { 0xF422CCC6B43605F8, "getgrenadeinpullback" },
    { 0x32AF0697CAA967B8, "getgrenadeithrew" },
    { 0x95A58EAB36872070, "getgrenademodel" },
    { 0xC9E3106638D7482A, "getgrenadethrowoffset" },
    { 0x2EC61F7F76548B41, "getgrenadetimertime" },
    { 0xF575698F50939C87, "getgrenadetossvel" },
    { 0x6F2393047F537677, "getgroundangle" },
    { 0x0AB3536AC4440225, "getgroundcompensationheight" },
    { 0x27AE5B328B1597F7, "getgroundentity" },
    { 0xCBAB2966E6FD4EB9, "getgroundenttype" },
    { 0x38F84F7565AFCD8F, "getgroundposition" },
    { 0xBE187FD8251DD7BA, "getgroup" },
    { 0xCF97F9388F3DF976, "getguid" },
    { 0xF8B3ADCF1106C3F0, "getgulagarenaspawns" },
    { 0xE8CBCD787E92DE90, "getgulagcenter" },
    { 0x33D38B40532A155B, "getgulagclosedcircleindex" },
    { 0x756946BFA189C87F, "getgulagpickupsforclass" },
    { 0x263618842BF0888F, "getgunangles" },
    { 0x936FC6255890511A, "getgunanimindex" },
    { 0x73E0C9CBD46C5FC7, "getgunanimstring" },
    { 0x3FA97C7F9855D331, "getgunbenchents" },
    { 0x562AB674A91C4DF7, "getgunfromcache" },
    { 0xBBFA7DA5A68A08F9, "getgungameloadoutindex" },
    { 0x893FEC94D29C89E0, "getgungameloadoutomnvarindex" },
    { 0xB1215192C312643A, "getgunputawayduration" },
    { 0x2DCC2CDBE9AD4592, "getgunshipweaponrootname" },
    { 0x949BD7BD01FF5F8F, "gethalftime" },
    { 0x27B6D8FACAC7194B, "gethandsoccupied" },
    { 0x3589560652095765, "gethardenedaward" },
    { 0xDCF2318CCAAEDB4B, "gethealthcap" },
    { 0xEC6307657A522A51, "gethealthperframe" },
    { 0xC2420D1145A330F9, "gethealthpersec" },
    { 0xEBFCEB05D6A4C78D, "gethealthregendelay" },
    { 0xFD7117960FDC88E1, "gethealthregenpersecond" },
    { 0x05AD77517B787F0B, "gethealthregentime" },
    { 0xF0DE13D236EEA151, "gethealthshielddamage" },
    { 0xF3DDBE4A0481636D, "getheavyarmor" },
    { 0x412A8C191A597FDC, "getheldoffhand" },
    { 0x72665B7CFB73DD83, "getheliflyheight" },
    { 0x30AFDAA741D47044, "gethelinextgroupafterwait" },
    { 0x31A76D51C503845D, "gethelipilotmeshoffset" },
    { 0xA28334F1A2ED11DF, "gethelipilottraceoffset" },
    { 0x6580F17C4960FEB7, "gethelispawns" },
    { 0x476BFFA7E247753B, "gethighestallowedstance" },
    { 0x001D0E7756376929, "gethighestnodestance" },
    { 0x357A5EB456BD81D7, "gethighestpriorityevent" },
    { 0x745B9F68C0466E53, "gethighestprogressedplayers" },
    { 0x02E4E7100DA81EE1, "gethighestscore" },
    { 0x5FDEA466B304086B, "gethighestscoringplayer" },
    { 0x75E2F93338EEA4F9, "gethighestscoringspawn" },
    { 0xABD81C4C8C00FD23, "gethighestscoringteam" },
    { 0x9A2FCCAA25330FD7, "gethighpriorityweapon" },
    { 0x52614E4766851CA9, "gethightestpriotiryactiveburnstate" },
    { 0x3C0DE5E2A860E34C, "gethillspawnshutofforigin" },
    { 0x1D8391A78739BD08, "gethillspawnshutoffradius" },
    { 0x32158FE7D0CF71C1, "gethitlocheight" },
    { 0x03A544EFF29B9BE2, "gethitmarkerpriority" },
    { 0x44C195DEF81F872D, "gethost" },
    { 0x6986981ABDABB128, "gethostplayer" },
    { 0xAF09ED5BF025106A, "gethours" },
    { 0x37CFC87504B1FBBC, "gethourtime" },
    { 0xAAABC767E9F9A0B7, "gethqownerteamvalue" },
    { 0xBAF0F1948B00C301, "gethumandamagedirstring" },
    { 0x2277A26FE660677B, "gethunterkillerid" },
    { 0x697500663A51109C, "gethuntroutepoints" },
    { 0xFFA5441776E7DDBD, "gethuntstealthgroups" },
    { 0xAAF66B5F433645DB, "gethuntstealthgroupvolumelists" },
    { 0x68EB84CBB371CD08, "gethybridscopestate" },
    { 0x56E2DB9FE2B3D7AB, "geticonshader" },
    { 0x6CA9F4AB64E50105, "getignoreprops" },
    { 0x4DC1E6A8E5E3FB50, "getimpactsfx" },
    { 0x03C09D8BEC036090, "getin" },
    { 0x4A855B482E55D48B, "getin_enteredvehicletrack" },
    { 0xBD0712AF0B6B1C49, "getin_hints" },
    { 0x15B01C8140C07DBA, "getin_idle_func" },
    { 0xD3CD02A2009A48D8, "getindexforluincstring" },
    { 0x9D6D054134EFB820, "getindexfromhitloc" },
    { 0x293AA56602786CF0, "getindicesofelements" },
    { 0x24A52D62CF6FD5C7, "getinfectedairdropposition" },
    { 0xA1811CAB2E553958, "getinfillocationselectionfunc" },
    { 0xC474CFDA7A25C4B0, "getinfilpath" },
    { 0x680C8E6870488BAF, "getinfilplayers" },
    { 0xC14FACF72C4D05A5, "getinfilspawnoffset" },
    { 0x1DBDB27A9A88C535, "getinfilspawnselectendfunc" },
    { 0xC8A467A3BF7FB364, "getinfilspawnselectstartfunc" },
    { 0xF03651C1237116B7, "getinfo" },
    { 0x5917D3F1A7919D66, "getinitialwinningteam" },
    { 0xA35B4A2113A40EB7, "getinorgs" },
    { 0x6DAB4D6FB62C4039, "getintensitysuffix" },
    { 0x99C19B806803759F, "getinteractionbynoteworthy" },
    { 0x9BBA64D58E0EF16F, "getinteractiveinfilline" },
    { 0x6CEB75DDD4868453, "getinteractiveoutlineasset" },
    { 0xCBF944A702CFB030, "getintermissionspawnpointoverride" },
    { 0x1A43D3D1413DA70F, "getintervalsounddelaymaxdefault" },
    { 0x1175F792D5B928E5, "getintervalsounddelaymindefault" },
    { 0xB7B4CAAA670C697F, "getintorzero" },
    { 0x71104E93A2C943BD, "getintproperty" },
    { 0x4F37B622A4B1A952, "getinventoryslotscriptabletypeinfo" },
    { 0xA274A381EDBE1886, "getinventoryslotvo" },
    { 0x9730306161F0CF02, "getinvultime" },
    { 0x6A643D9E84CB4138, "getislosdatafileloaded" },
    { 0x67F37F949013D10D, "getistouchingentities" },
    { 0x3F6C2F6864067E5B, "getitemcount" },
    { 0x665256F353B5B149, "getitemdropinfo" },
    { 0x28D806CC536A1F34, "getitemdroporiginandangles" },
    { 0x5A18B246BB005CA6, "getitemfromcache" },
    { 0x258F43BCF754AC18, "getitemslot" },
    { 0x0BF9C23128781D8B, "getitemweaponname" },
    { 0xE9EE43F92B6578D3, "getjeepspawns" },
    { 0x79E076E7589C49DA, "getjointeampermissions" },
    { 0x9ECFE1DC10E4DDBB, "getjointype" },
    { 0xAA4C5219B490D1E5, "getjuggdamagescale" },
    { 0xECF731B34620FD8D, "getjuggdefaultmusicenabled" },
    { 0x8DADB98AA85F8E6C, "getjuggmaxhealth" },
    { 0x7A1FC37DC59B5BE7, "getjuggmazebutton" },
    { 0x55772FE609EEE924, "getjuggmazespawnpoint" },
    { 0xA4073FB6A2084702, "getjuggorcratepos" },
    { 0x82B2AC3616481C47, "getjuggspeedscalar" },
    { 0x58E63978DF3CBA73, "getjuggtimeout" },
    { 0x1DB99975A2437068, "getjuggtimeoutenabled" },
    { 0x47E77540809426C3, "getkeepweapons" },
    { 0x3ABB618EFFEEE387, "getkeybinding" },
    { 0xBAD26619D4B8E6D1, "getkeypadcodelengthfromomnvar" },
    { 0xF79FF9B263E737AE, "getkeypadomnvarbitpackinginfo" },
    { 0x0D5FC72571C2466B, "getkeypadstatefromomnvar" },
    { 0x8EA004F691411B89, "getkillcamentity" },
    { 0x9E45EA988FF35E5D, "getkillstreak" },
    { 0xA3CB5C872E71108F, "getkillstreakairstrikeheightent" },
    { 0xB52C47BE56C439C6, "getkillstreakaudioref" },
    { 0xFB2EA748168B4466, "getkillstreakaudiorefoverride" },
    { 0x6397B470424764C0, "getkillstreakcratedatabystreakname" },
    { 0xEFD78462922A0F36, "getkillstreakdeployweapon" },
    { 0xDE27DACD6B4CD8AC, "getkillstreakdialogcooldown" },
    { 0xA45C8C2E6B4A83A0, "getkillstreakenemyusedialogue" },
    { 0xA7ED15FDC5DF5594, "getkillstreakgameweapons" },
    { 0x5D069CF0B4FC16E3, "getkillstreakindex" },
    { 0x12E02A2593B7F552, "getkillstreakinslot" },
    { 0xEC741699916AA7A6, "getkillstreakkills" },
    { 0x5FD7FB2FB378B6DA, "getkillstreaklifeid" },
    { 0xAD27E163C5D9229A, "getkillstreaknamefromweapon" },
    { 0x50686C8D90F1ABDB, "getkillstreaknomeleetarget" },
    { 0x4BAF5D743DFF19A8, "getkillstreakoverheadicon" },
    { 0x033E945DD15B2B3E, "getkillstreaksetupinfo" },
    { 0xF82F1AF0C2E0EFC7, "getkillstreaktypepassives" },
    { 0xC47448D66B69B997, "getkillstreakvisibleslotbyname" },
    { 0x797DF7E88F1DC899, "getkillstreakweapon" },
    { 0x56B1F81AE32923B6, "getkilltriggerspawnloc" },
    { 0xE07AA0704247271A, "getkioskyawoffsetoverride" },
    { 0x8DF91DBF05D4FFE9, "getknivesoutsetting" },
    { 0x8C9AB0A209827B4B, "getkothlocations" },
    { 0xFB3D402A8196EC8F, "getkothzonedeadzonedist" },
    { 0xB2C8FE2254C08F4B, "getlabel" },
    { 0x94BA215AC7050946, "getlabelid" },
    { 0x3CE46EED60D1E75A, "getlaserangles" },
    { 0x4AB2B9CC4A53702B, "getlaserdirection" },
    { 0xFB55A4FB07630108, "getlaserstartpoint" },
    { 0x13D44D2CFF53F667, "getlastarraykey" },
    { 0x8AC5AF0D2681CBB4, "getlastclaimteam" },
    { 0x4F05BA64929988B6, "getlastgroundorigin" },
    { 0x486EF36957963BEB, "getlastlivingplayer" },
    { 0x15291D74456AF9EF, "getlastoobtrigger" },
    { 0x776D1F8AF22A9102, "getlastpathpointwithingoal" },
    { 0xDCCF43CF97BCEDB3, "getlastweapon" },
    { 0xD71AEA3E32AC9C6C, "getlaunchangles" },
    { 0xF5922328477DE97E, "getleftarc" },
    { 0x7CB78BCF830D7D4E, "getleftstickx" },
    { 0x7CB78CCF830D7F81, "getleftsticky" },
    { 0x09FC885C58E901F5, "getlengthofconversation" },
    { 0x964A261F0A07A903, "getlethaltypepassives" },
    { 0x93B249A663898D61, "getlevelbink" },
    { 0x0353EB330F9B669C, "getlevelcompleted" },
    { 0xC56FCC2FBF036B7B, "getleveldata" },
    { 0x56E43653DA1274A9, "getlevelindex" },
    { 0x9E72223EECA10C4F, "getlevelmlgcams" },
    { 0x4EE334C16BC624B8, "getlevelname" },
    { 0xFEA025E4C83CBC60, "getlevelskill" },
    { 0xB5B414EB89F4A7EC, "getlevelstreamsync" },
    { 0x8CEB6E06BE94F28A, "getleveltriggers" },
    { 0xEDC313FF378C7697, "getlevelveteranaward" },
    { 0xA5379CB95EC3A3A8, "getlifelinktarget" },
    { 0xE1D4881D92D87625, "getlightarmorvalue" },
    { 0xCDD36EB036403400, "getlightcolor" },
    { 0x28D145E970C86A84, "getlightfovinner" },
    { 0x9810BBCE6955FADF, "getlightfovouter" },
    { 0x0C7E92A30DBA1A99, "getlightingvalues" },
    { 0x7260F6ED685E81D2, "getlightintensity" },
    { 0x2C41B0490398B48B, "getlightradius" },
    { 0xCFADE0E1E3BFC09B, "getlightswitchstatus" },
    { 0x8F02265BD92406EB, "getlighttrigger" },
    { 0xDD688D729A7557AB, "getlightuvintensity" },
    { 0x26A8CD0BE2F064B0, "getlinespacetime" },
    { 0x98CD3ED6BCD276B1, "getlinkedchildren" },
    { 0xD23D2BAEFD870413, "getlinkednodes" },
    { 0xFF434A450AD5AF46, "getlinkedparent" },
    { 0xB110B73EE3EA2DA2, "getlinkedscriptableinstance" },
    { 0xC4FEF31B868BA32F, "getlinkedvehiclenodes" },
    { 0x8D687DA5BD7DA309, "getlinknamenodes" },
    { 0xC56B7B00F85CA902, "getlinks_array" },
    { 0x7A09E539689D2E2A, "getlinktarget" },
    { 0x2C5CF76D9A89B254, "getlistenerdirection" },
    { 0x32658EF765634AA5, "getlistenerorigin" },
    { 0x1FD5B3394D482528, "getlivingplayers" },
    { 0x9B80EA24EC68D69C, "getlivingplayers_team" },
    { 0x4FEE5FFEDCC8E270, "getlivingplayersonteam" },
    { 0xF55C507AA00148AE, "getloadedspleveltransients" },
    { 0xCD90F28A67D15E1B, "getloadoutindex" },
    { 0x585748F8486CAD89, "getloadoutstreaktypefromstreaktype" },
    { 0x9889DA3DF03E02B3, "getlobbysquadindex" },
    { 0xC4D2FC254836FC8A, "getlocaleent" },
    { 0xA38D5BB57EC3DA50, "getlocaleid" },
    { 0xDFC3DE8CD50BE010, "getlocalestruct" },
    { 0x18DB4E85BED2F04D, "getlocalestructarray" },
    { 0x55B77786CB0A2E58, "getlocalized" },
    { 0x569AC32FF1837D7C, "getlocalplayerprofiledata" },
    { 0x55110BEBBAFB0FD4, "getlocation" },
    { 0x00E9423EDE6DFF6C, "getlocationnameforpoint" },
    { 0x1C01501B2DEA8ED3, "getloccalloutalias" },
    { 0x14B6F3DDD985C608, "getlookaheaddir" },
    { 0x9721EC746C8AFCF0, "getlookaheadtime" },
    { 0xCB9F92F2D9850FF0, "getloopeffectdelaydefault" },
    { 0x88124500103CB4EC, "getlootinfoforweapon" },
    { 0x2BE362A4EA7E4E3E, "getlootname" },
    { 0x38473C5775ACD08F, "getlootscriptablearray" },
    { 0x3E072AB52F07B68A, "getlootscriptablearrayinradius" },
    { 0x6F7DBC1A9811399C, "getlootsound" },
    { 0xE84E7152D07AB486, "getlootspawnpoint" },
    { 0x60C8C8B35722F9F5, "getlootspawnpointcount" },
    { 0xB237F55700BC2111, "getlootspawnscriptableindexfirst" },
    { 0xB4765B15AF906E65, "getlootteamleader" },
    { 0x1149E2F60CD9D98E, "getlootvariant" },
    { 0xDE90CD8D7288782E, "getlootweaponref" },
    { 0xE3BCC6280D1A8D35, "getlosingplayers" },
    { 0x81D5B2413C85E9E7, "getlowermessage" },
    { 0xD2EDA062F8F868ED, "getlowermessageindex" },
    { 0x83CD57AC0E6B86C6, "getlowestclientnum" },
    { 0xF6FB49E8504EBD66, "getlowestskill" },
    { 0xA99EBB2F60A83EAE, "getmapbaselinetempurature" },
    { 0x19C8C7924B8CBB38, "getmapname" },
    { 0x3E2980D9B3DF3CF3, "getmapselectweapon" },
    { 0x1EEFF4C271DFA4D3, "getmapsunangles" },
    { 0xFF09EC899B4054D0, "getmapsuncolorandintensity" },
    { 0xC09FCC9DCBE5A7AC, "getmapsuncolorraw" },
    { 0xA912A14E64A0993C, "getmapsundirection" },
    { 0xF4111CCB9C5727BD, "getmapsunlight" },
    { 0xE4F92C301DCA633D, "getmarkingdelay" },
    { 0xB0E0B86DCF0EB42F, "getmatchbonusspm" },
    { 0xE82EE54B1EB59D1C, "getmatchdata" },
    { 0x36A91C2B63F16A46, "getmatchendtimeutc" },
    { 0xBFB4DFA13137B023, "getmatchrulesdata" },
    { 0x3BFD0898D9213959, "getmatchrulesdatawithteamandindex" },
    { 0x594F4DF8A1C69692, "getmatchrulesspecialclass" },
    { 0x095D0DB3D57F64E6, "getmatchspm" },
    { 0x826C9B57F5507371, "getmatchstarttimeutc" },
    { 0xDF68107E5F447456, "getmatchstat" },
    { 0x539847F3C5AD0474, "getmatchstatpathkey" },
    { 0x26399837D65B48B1, "getmaxagents" },
    { 0x91048D1405FBCF47, "getmaxarrivaldistfornodetype" },
    { 0xA167C6CFC730A38F, "getmaxattachments" },
    { 0xAF75A9E6A061640D, "getmaxclients" },
    { 0xDED648A805644B6A, "getmaxdamage" },
    { 0x02E9F2F11C6A2BA5, "getmaxdistancetolos" },
    { 0xFD3B1DDABBBD82BE, "getmaxnumplayerslogging" },
    { 0x4EEEDCA5ACC19195, "getmaxobjectivecount" },
    { 0xD97C74EB6915F998, "getmaxoutofboundsbrtime" },
    { 0x4A19ED5EEA11689C, "getmaxoutofboundscooldown" },
    { 0x6382AA2D0771D0B7, "getmaxoutofboundsminefieldtime" },
    { 0x75D8AFA7744F66D9, "getmaxoutofboundsrestrictedtime" },
    { 0xCC8AD782AF74C3A8, "getmaxoutofboundstime" },
    { 0xFAE50FB4276B42B2, "getmaxovertimeroundsbygametype" },
    { 0x5A12CADAAD3FB1D3, "getmaxplantedhackedequip" },
    { 0xE6F477B733F3A471, "getmaxplantedlethalequip" },
    { 0x624804757413AA2C, "getmaxplantedsuperequip" },
    { 0x23244FA3D087C30C, "getmaxplantedtacticalequip" },
    { 0xCF8E045FB8A27F85, "getmaxplatesperslot" },
    { 0x6A9C446A22F2B9AB, "getmaxplayers" },
    { 0xB0E27513908C7C4F, "getmaxprimaryattachments" },
    { 0x19F3F8D32C0D4249, "getmaxsceneduration" },
    { 0x5B2346679214D61B, "getmaxsecondaryattachments" },
    { 0xE15CA965F3E37421, "getmaxweaponrank" },
    { 0x0810B3004B0F6D38, "getmaxweaponrankforrootweapon" },
    { 0x039E8AF6E8051305, "getmaxwinbytworounds" },
    { 0xCB9D92F39382799C, "getmedianpointforplayersinteam" },
    { 0xF8BE8684E1C23B55, "getmeleeattackisalternate" },
    { 0x46247689FBFB5085, "getmeleeattacktype" },
    { 0xFCD6393AC288969E, "getmeleeattackvariant" },
    { 0x8DAEB999EDCF6ACE, "getmeleechargerange" },
    { 0xFE8C28DD3633C3CA, "getmeritfilter" },
    { 0x5F5EEDD7C6A5A647, "getmeritmasterchallenge" },
    { 0xF18BECD9B7AB403A, "getmeritstatus" },
    { 0x52429473328E120F, "getmid1damage" },
    { 0x31C19BAFF1A2DD9E, "getmid2damage" },
    { 0xCE2CB0DF273B88BD, "getmid3damage" },
    { 0xE5C28CA9152233F3, "getminigundamagescale" },
    { 0xDBE5BFDE14399E90, "getminimumscorerequired" },
    { 0xBCE92D162BD1CC1E, "getminimumscorerequirednvidiahighlights" },
    { 0xE154987A59187DF8, "getminradiusofteamblob" },
    { 0x2FFF08005C212D8B, "getmintimetillpointindangercircle" },
    { 0xDD3243552EF8C588, "getminutespassed" },
    { 0xEAA5CAE28CAD3AED, "getmissedinfilcamerapositions" },
    { 0xB3EDF69886D0AE92, "getmissileexplradius" },
    { 0x3BB118BF6F9C0F66, "getmissileexplscale" },
    { 0x05B5A3E6ECEFED34, "getmissileowner" },
    { 0xAF42AA8B18EA2112, "getmissilevelocity" },
    { 0x18E1978BEBD8896D, "getmlgselectedcamera" },
    { 0xD3373E16626F0102, "getmlgsettings" },
    { 0xB61EA8CA1EFD6FE1, "getmlgspectatorteam" },
    { 0x0C4DCD9E12A7FB31, "getmlgteamcolor" },
    { 0x41E85121BC46C30C, "getmode" },
    { 0x38ADCD310F9FAC20, "getmodel" },
    { 0x554B9975C0520412, "getmodestatindex" },
    { 0xE95AFC77FD598E3F, "getmodifiedantikillstreakdamage" },
    { 0x72F9AC2818146742, "getmodifiedbarrierdamage" },
    { 0x44C4BBC47AA36271, "getmodifiedtankdamage" },
    { 0xF87BD818DB0F0573, "getmodifierlocationbetween" },
    { 0x1E42449855AF5F2B, "getmodifierlocationonpath" },
    { 0xB31C2FFD77E42CFC, "getmotionangle" },
    { 0x9CAE0761A43C74BB, "getmotionangle3d" },
    { 0xCE9657F6574C69A3, "getmotiontrackervisible" },
    { 0x44B1A44B3F2EF137, "getmountconfigenabled" },
    { 0xC3B9720BCA1629FC, "getmovedelta" },
    { 0x2E7AE23367220653, "getmovespeedforsuperweapon" },
    { 0xE4B96FD22CC88C0B, "getmovetime" },
    { 0x73218377D39DC003, "getmovetimescale" },
    { 0xFE93E3D184CD9DCA, "getmovetype" },
    { 0xC655B3E515670E32, "getmovingplatformparent" },
    { 0x16B4C40F3B68D721, "getmuzzleangle" },
    { 0xDFCEA01BE4B93639, "getmuzzledir" },
    { 0xBD827B1B0FE02C88, "getmuzzlepos" },
    { 0x921CACAFF6A79A44, "getmuzzlesideoffsetpos" },
    { 0xACDB4F052ECA04C8, "getname" },
    { 0xF0538365E6486741, "getnames" },
    { 0xD8316461941038FF, "getnavposition" },
    { 0xF913AFB37E3ACB1F, "getnavspaceent" },
    { 0x04F45515637F2A50, "getnearbyaliveplayer" },
    { 0x5B5C93FC476648AD, "getnearbynegotiationinfo" },
    { 0x11127778249FEE55, "getnearestbombsiteteam" },
    { 0xCA4399AA55DF57E8, "getnearestflagteam" },
    { 0xB3807516A20AB6C7, "getnearestnode" },
    { 0x90C9D2B3D2BCE77E, "getnearestspeedthresholdname" },
    { 0x269D1A1D92B06C45, "getnearnodelistforspawncheck" },
    { 0x60BC41B12AEFD87D, "getnegotiationendnode" },
    { 0xAA781E0294DA0719, "getnegotiationendpos" },
    { 0xF5C41D832C446228, "getnegotiationstartnode" },
    { 0x59E844357A7AD6CD, "getnemesis" },
    { 0x4396E1C37261C064, "getnewenemyreactalias" },
    { 0xFA5CA28EB7AED241, "getnewenemyreactangleindex" },
    { 0x0C9F0421B27C44C5, "getnewenemyreactdirindex" },
    { 0x8491910D00EA75FB, "getnewpoint" },
    { 0x39A4CC898D61086D, "getnewsquadindex" },
    { 0xCFE48FB0C440797F, "getnewtargetplayer" },
    { 0x03E8AE1111F6DC20, "getnextarenaspawn" },
    { 0x6DB433AE7304A362, "getnextarraykey" },
    { 0x7D3C761142F28EA6, "getnextcircleindex" },
    { 0xAF9971F0117003EE, "getnextcombatareaid" },
    { 0xCBB4319132C22A45, "getnextflashanim" },
    { 0x323F296E9811F8C8, "getnextgun" },
    { 0xBEE0F8051ABD6670, "getnexthelicopterwithroom" },
    { 0x50A9D38BA625AC9E, "getnexthelimodule" },
    { 0xDDF5EFCC678BD751, "getnexthelispawnmodule" },
    { 0x0FCB26E2CC2A4540, "getnextholdoutspawnmodule" },
    { 0x3348724669A72A35, "getnextjailspawn" },
    { 0x1DB18F6EEE868514, "getnextlevelindex" },
    { 0x55F88573B2E75DE7, "getnextlowestspeedthresholdstring" },
    { 0x01313F35BF111124, "getnextminimapid" },
    { 0x3CEBBC9C01D06B0B, "getnextmissilespawnindex" },
    { 0xABC3163906276E0D, "getnextobjective" },
    { 0x5F41C6E4AC276A18, "getnextobjectiveid" },
    { 0x9EC967975A24D23E, "getnextoperatorindex" },
    { 0xC42C5F7E5347F4BB, "getnextpayloadspawnmodule" },
    { 0xEAB37F781E0DF573, "getnextprop" },
    { 0xC7E684640138BE85, "getnextquarrydefensespawnmodule" },
    { 0xE03B3BE9CB7D29E8, "getnextrpgspawnmodule" },
    { 0xE0513B10C53F30B1, "getnextsafecircleorigin" },
    { 0x31041B4DC65AE75D, "getnextsafecircleradius" },
    { 0x696631388662F23C, "getnextselectablekillstreakslot" },
    { 0x4AFC3A5568F348E5, "getnextskinindex" },
    { 0x4636CD2A2C28E8CF, "getnextspectatecandidatefromchain" },
    { 0xD396FB7198AAFF73, "getnextstreakname" },
    { 0x44F295B44CCD6636, "getnexttruckwithroom" },
    { 0x35A09C82DCE83FEF, "getnextwalkarspawnmodule" },
    { 0x590DF1A5EFE5F213, "getnextwalksniperspawnmodule" },
    { 0x203DE935A335F83B, "getnextworldid" },
    { 0x36FC2E978E3553E4, "getnextzone" },
    { 0x58A715EE9CBE9E6A, "getninebangsubexplosionpos" },
    { 0x187037AC04F1BCF3, "getnoaltweapon" },
    { 0xCAD27105451A9113, "getnode" },
    { 0xEC292A177E882571, "getnodeaimpitchoffset" },
    { 0x8D9A7AA9E645DF98, "getnodeaimyawoffset" },
    { 0x4E96FA1643DEDA68, "getnodearray" },
    { 0xE329295DEB04A070, "getnodearrayfunction" },
    { 0xCEDEF6B7CA332112, "getnodebyindex" },
    { 0x8DCCA05D04F390F2, "getnodecount" },
    { 0x12C4E92972E14378, "getnodeforwardangles" },
    { 0xB461B4DF1EA07B93, "getnodeforwardyaw" },
    { 0xF284E974FAC93EED, "getnodeforwardyawnodetypelookupoverride" },
    { 0xD675C13112D50D73, "getnodefunction" },
    { 0x80162965B5A34C1E, "getnodehideyaw" },
    { 0x46F13848A9BF0469, "getnodehideyawoffset" },
    { 0x69D3072144692209, "getnodeindex" },
    { 0x38451A2E50E1E9C6, "getnodeinzone" },
    { 0xDC22C76F2B3617F2, "getnodeleanaimpitch" },
    { 0x2953C5857A26E695, "getnodeleanaimpitchoffset" },
    { 0xDCD463673588C4D7, "getnodeleanaimyaw" },
    { 0xEE2C9EDBF1F73A4C, "getnodeleanaimyawoffset" },
    { 0xE260E2B62F49CC2A, "getnodeleanyaw" },
    { 0xB9FF46DE77CFE692, "getnodenumber" },
    { 0x4F88F0DC0F0EF0E0, "getnodeoffset" },
    { 0x7F505338C5A1BCCC, "getnodeoffset_code" },
    { 0x11B6D7BC15FE7B05, "getnodeoffsetposeoverride" },
    { 0x7053959A620E7326, "getnodeowner" },
    { 0x0065B77EB03063FD, "getnodesinradius" },
    { 0xA49DD65E8C162370, "getnodesinradiussorted" },
    { 0xBBF13EF22E817CC1, "getnodesintrigger" },
    { 0x7B5C3BF7C681D419, "getnodesnapyawoffset" },
    { 0x7EA028E7C12C9DD2, "getnodesonpath" },
    { 0x422537B78E95C6D0, "getnodetypename" },
    { 0x6CEB0799EE4A0677, "getnodeyawfromoffsettable" },
    { 0x013B4AB41511FE19, "getnodeyawoffset" },
    { 0x2C5B1662B95BC4F9, "getnodeyawtoenemy" },
    { 0xA772D94EC581CFBD, "getnodeyawtoorigin" },
    { 0xF440E23CA48B5979, "getnodezone" },
    { 0xA040DDCB057CD9A1, "getnonopticattachmentlistbasenames" },
    { 0x5FDB3449578E6D2A, "getnonstick" },
    { 0x5DB16564E21F36AA, "getnormalhealth" },
    { 0x2B02D04D86C0E740, "getnormalizedcameramovement" },
    { 0x0857CAEF5EA14F2F, "getnormalizedmovement" },
    { 0x5A7DB9D4B4C50E4B, "getnormtripwirelength" },
    { 0x6952A2E805B3EA05, "getnorthyaw" },
    { 0x784E1D9EC7E7A590, "getnotetracktimes" },
    { 0xFF3C193EF24BA1C0, "getnoteworthykillstreakactive" },
    { 0xDF70152BB82C4859, "getnumactiveagents" },
    { 0x65ECF6E6D2FB175D, "getnumactivekillstreakperteam" },
    { 0xDC180A574C10307A, "getnumactivetanksforteam" },
    { 0x6A922A03CF27736E, "getnumairdropcrates" },
    { 0xAA49FA00E7E019D8, "getnumbersspawnpoint" },
    { 0x3FCEDD81EFA1F3C1, "getnumbersspawnpoint_late" },
    { 0xC4CD060C5DBC2A3B, "getnumberstring" },
    { 0xBAFA07D59105B76D, "getnumdroppedcrates" },
    { 0x348F475076AD32D1, "getnumdrops" },
    { 0x48407B46D77C3DE2, "getnumownedactiveagents" },
    { 0x70FF505957803803, "getnumownedactiveagentsbytype" },
    { 0xD9DF00C23DAB61E9, "getnumownedagentsonteambytype" },
    { 0xA005C2B26CA1AD45, "getnumownedjackals" },
    { 0x3639B0105491F241, "getnumparts" },
    { 0x6A83DDFE02D1D84D, "getnumplayersusingthisinteraction" },
    { 0xE26EDBF75AAD1214, "getnumtouchingexceptteam" },
    { 0x3E654A42BCA61B52, "getnumtouchingforteam" },
    { 0x8A84ACC8D9701A60, "getnumvehicles" },
    { 0xD1B5D2DC61A28EFB, "getobjanimfile" },
    { 0x79591E78EBE7E590, "getobjectiveflag" },
    { 0x3AB0F0E6C8674E8D, "getobjectiveforfloor" },
    { 0x5B686D448A3E06EC, "getobjectivehinttext" },
    { 0x7536C733E9003E2B, "getobjectivescoretext" },
    { 0xB6546A45E69C47A3, "getobjectivestate" },
    { 0x1C156493684A7D88, "getobjectivestructfromref" },
    { 0x3E45552ECDA7647D, "getobjectivetext" },
    { 0x9B65C2B8CBAF381D, "getobjpointbyindex" },
    { 0x1FF43F9A1D6BC814, "getobjpointbyname" },
    { 0xC033C2722BC8AB7E, "getobjzonedeadzonedist" },
    { 0x12BB70DC2B11DFD8, "getofffirevfxnames" },
    { 0xE6B751989CF4F30F, "getoffhandprimaryclass" },
    { 0x438E3DCB03C4AA9B, "getoffhandprobabilityfromname" },
    { 0x264848618C0DFC4F, "getoffhandsecondaryclass" },
    { 0xBF650573CEC651B5, "getoffhandslot" },
    { 0x2F41D0CBD3C5EECC, "getoffhandspecialclass" },
    { 0xA74D7FD12025342E, "getoffhandweaponname" },
    { 0x47D6D48321F133B1, "getoffsetspawnorigin" },
    { 0x8A2E6C1DFACFBC0B, "getoffsetspawnoriginmultitrace" },
    { 0x0A9CD64F8B89CD06, "getoffvehiclefunc" },
    { 0x4046D780055D7320, "getoldarmorent" },
    { 0x3725599D2E3391CF, "getoldestdogtags" },
    { 0x2BFB04C093125E04, "getomnvar" },
    { 0xABCB5949280B8B60, "getoneshoteffectdelaydefault" },
    { 0x5D837C1C078075AE, "getonfirevfxnames" },
    { 0x3581C3705EE79A15, "getonpath" },
    { 0x3533B628640C3AB9, "getoobdata" },
    { 0xD3B52AD720F89891, "getoperatorbrinfilsmokesuffix" },
    { 0x4856070C606FB05D, "getoperatorclothtype" },
    { 0x5A465B56F7AD2568, "getoperatorcustomization" },
    { 0x5AAB06DF0C6EB303, "getoperatorexecution" },
    { 0x6289B832C06BD920, "getoperatorexecutionquip" },
    { 0xB3C639FE2FE688DA, "getoperatorgender" },
    { 0x04E8341B1CC58870, "getoperators" },
    { 0x1F67ACAA00E45CA7, "getoperatorspecificaccessoryweapon" },
    { 0x24C9B876ABB13422, "getoperatorsuperfaction" },
    { 0xB3B0D880654BDC6C, "getoperatorteambyref" },
    { 0xE1892DA4A4B9BCE7, "getoperatorvoice" },
    { 0x11D4E8DC5758BD84, "getopticattachmentlistbasenames" },
    { 0x20B0D712B013CD8D, "getorigin" },
    { 0x003D97A77A1F7B2C, "getoriginforanimtime" },
    { 0xA46A0E6034324197, "getoriginidentifierstring" },
    { 0x248E7EEBB8A347D2, "getoriginidentifierstringnoz" },
    { 0x17D6213AA3D786A3, "getoriginoffsets" },
    { 0xAD28090DDE530F18, "getothermode" },
    { 0xD2A9CDBDF6FDFBE4, "getothersplitscreenplayer" },
    { 0x37CE6A67753D20BE, "getotherteam" },
    { 0x6176B6B82135D0F5, "getout" },
    { 0x9308B497C790CA29, "getout_delete" },
    { 0xF13D491A34941914, "getout_hover_land" },
    { 0x826CC11A9F0B9BD3, "getout_hover_loop" },
    { 0x99F8A461B8980A5E, "getout_landed" },
    { 0xD4CB8F4A6C390540, "getout_rig_delay" },
    { 0x78A2546E9AF8999F, "getout_rigspawn" },
    { 0xEB5E69DC78988520, "getout_secondary" },
    { 0xE11CF4EF78BB846B, "getout_secondary_tag" },
    { 0x17694C383AC716DB, "getout_timed_anim" },
    { 0x3702437090779E81, "getoutlineasset" },
    { 0x8F675CA2492873B2, "getoutloopsnd" },
    { 0xC0B32C38883AC090, "getoutofboundstime" },
    { 0x12ADAC435887E024, "getoutrig_abort" },
    { 0xB8ADBD1C12A844C4, "getoutrig_abort_while_deploying" },
    { 0x51D6FE1DFD702D67, "getoutrig_disable_abort_notify_after_riders_out" },
    { 0xBDDBB13FA751CB0F, "getoutrig_model" },
    { 0xBFD02B9F236907E2, "getoutrig_model_idle" },
    { 0x9E5262DB345B44EE, "getoutrig_model_new" },
    { 0x209409D1BEE4C210, "getoutsnd" },
    { 0x62C2DC4C8ED4B735, "getoutstance" },
    { 0x5FDE56A8731FB871, "getoverlordaliasfortimeleft" },
    { 0x9DE8DFF2B8901429, "getoverridedvarexceptmatchrulesvalues" },
    { 0x847475168BEC520C, "getoverridedvarfloat" },
    { 0x632BE12ACCD99CDF, "getoverridedvarfloatexceptmatchrulesvalues" },
    { 0x0FFD2871AD5D0447, "getoverridedvarint" },
    { 0xE240FC960CC2B414, "getoverridedvarintexceptmatchrulesvalues" },
    { 0x0E3460D358D0397E, "getovertimebombzone" },
    { 0xADED2D0A4D1AB584, "getovertimelength" },
    { 0x239A81254CB4F3BB, "getowneddomflags" },
    { 0x4AAD27B260749654, "getownedvehicle" },
    { 0xF9AD32C868D1C87F, "getownerteam" },
    { 0x434AFE1D6D92B4DE, "getownerteamplayer" },
    { 0x4E64E2D01C34CBC7, "getpackeddata" },
    { 0xA0E532903B0859CE, "getpainanim" },
    { 0x1D0B09672E2FD66A, "getpainbodypartcrouchdeath" },
    { 0xA995711DF59B0E70, "getpainbodypartdeath" },
    { 0x53F87CAA923D90F6, "getpaindirectiontoactor" },
    { 0xAB1BF821D6299DCE, "getpainweaponsize" },
    { 0xAA2F19BCF80ECFF5, "getpainweaponsize_exposed" },
    { 0xCC82973C5D7B31AB, "getparent" },
    { 0x7327F532495BEC2C, "getparticipantsinradius" },
    { 0xE985C2A3D4C5BB7D, "getpartname" },
    { 0xDB03AE3261685460, "getpartyid" },
    { 0xCD12F55E0FB81B86, "getpasserdirection" },
    { 0xEFD243C3B371F4E3, "getpasserorigin" },
    { 0xE1ACD9E266E9D959, "getpassiveattachment" },
    { 0xB23961FC2A88AE23, "getpassivedeathwatching" },
    { 0x4F27E8551CD7A93B, "getpassivemessage" },
    { 0xD258B126DC820F28, "getpassiveperk" },
    { 0x79A453818BA79E3C, "getpassivesforweapon" },
    { 0xB12C3381F6DC17AD, "getpassivestruct" },
    { 0x3BE57AF0FC20ADB5, "getpassivevalue" },
    { 0x7535D1843FCF7507, "getpathactionvalue" },
    { 0xDF34251909AE4719, "getpatharray" },
    { 0x5E0445E9F348AFD4, "getpathdist" },
    { 0xB3821FA5FC11C399, "getpathend" },
    { 0xE829DA2BF910114F, "getpathgoalpos" },
    { 0xE34C8BDC3568F73A, "getpathsighttestnodes" },
    { 0x976967192C280208, "getpathstart" },
    { 0xD05640781B5A586C, "getpatrolreactalias" },
    { 0x7F11CB22AD92C69D, "getpatrolreactdirindex" },
    { 0x8E179897259C2E69, "getpatrolscore" },
    { 0xCA3E2666BA97D76B, "getpentinteractionusefunc" },
    { 0x38E1D89870153F44, "getpentparams" },
    { 0xC68CB7BC55E2DA0E, "getperkadjustedkillstreakcost" },
    { 0x45BD35CCAB157386, "getperkid" },
    { 0xABB68D1BC9C1C297, "getperkslot" },
    { 0xE705D59A15793299, "getpersonalpatrolscore" },
    { 0xD28BE6D175483019, "getpersstat" },
    { 0x5DB350B6BEA14CAD, "getphysicspointaboutnavmesh" },
    { 0xB62CCCDBCB405D43, "getpitchtoshootentorpos" },
    { 0x703AFFC0953254B1, "getpitchtoshootspot" },
    { 0xFCF668C8748D103D, "getpitchtospot3d" },
    { 0xA5709DAFFD9888CE, "getplaneflightplan" },
    { 0xA6C49702B42C7D63, "getplaneflyheight" },
    { 0x0B01080F7A9B95EE, "getplanepathsaferadiusfromcenter" },
    { 0x4D4D65FC86BA4BFF, "getplateinsertiontime" },
    { 0x719F6983A0ABD6ED, "getplatformrankxpmultiplier" },
    { 0x0F37C7F85DEAEDB9, "getplatformweaponrankxpmultiplier" },
    { 0x57DB283948DBA836, "getplayerangles" },
    { 0xC7582488D3812D05, "getplayeranimfile" },
    { 0xD8CB9B9CFAF0B05F, "getplayerassets" },
    { 0x884AD039C32257E3, "getplayerbodymodel" },
    { 0xED1F00E06C08B3DC, "getplayerbuffs" },
    { 0xA14998BE7B603345, "getplayercharacter" },
    { 0xCB43389A46B4A123, "getplayerclaymores" },
    { 0x913C0522375B738F, "getplayercustomization" },
    { 0x19D41038FF220E62, "getplayerdata" },
    { 0x61C93A81D49EAC41, "getplayerdataloadoutgroup" },
    { 0x4080792DBF3A3D0D, "getplayerdebuffs" },
    { 0xBBDF9E14A01D1CFD, "getplayerempimmune" },
    { 0x6EFEFBE513FA431D, "getplayerfoleytype" },
    { 0x1FFC8C04AA638160, "getplayerforguid" },
    { 0x97F222002C850833, "getplayerfromclientnum" },
    { 0x670FD33A0B0D14C1, "getplayergpadenabled" },
    { 0x70E9EBE8A6D77AE9, "getplayerheadmodel" },
    { 0x8577B02160832E6D, "getplayerhelispeed" },
    { 0xB0E56E4A9D063A62, "getplayerintelisfound" },
    { 0xC4EFA5F2C5066AA3, "getplayerip" },
    { 0xFBE2ACC583D3084F, "getplayerkills" },
    { 0xA30C2D702F644C67, "getplayerkillstreakcombatmode" },
    { 0xFEF2A661C6290ED8, "getplayerknifemodel" },
    { 0x6D7406A6E5276FA4, "getplayerlightlevel" },
    { 0x210FD4B8EB9E98F5, "getplayerlookattarget" },
    { 0xBBCABE77AD6139A8, "getplayermarks" },
    { 0x95768055A3DF8555, "getplayermodelindex" },
    { 0xDDE738F597150C0C, "getplayermodelname" },
    { 0x857D7B30CB39E4F0, "getplayerpitch" },
    { 0x2583E4BC5ABCA7B5, "getplayerprogression" },
    { 0xA9429CC8A1D362A9, "getplayerrateofgamerevenue" },
    { 0x0EECB3D1C8BF551C, "getplayerrespawnloc" },
    { 0x97C276F6EC0F9E8A, "getplayerrollvelocity" },
    { 0xCC20C3D6FA275C16, "getplayerrotationforbreach" },
    { 0xAC57ACA165BFAC73, "getplayers" },
    { 0x34BB5FB0FECD937E, "getplayersetting" },
    { 0x696EBC54E5E0EAAD, "getplayersidesfromposition" },
    { 0x43D2D40E9E3714C6, "getplayersinradius" },
    { 0x469E828532B80DB7, "getplayersinradiusview" },
    { 0x88EF8F3BBD8ED6B9, "getplayersinteam" },
    { 0x6BA9E81EE4511CC2, "getplayerspawnarray" },
    { 0x9789F241F756BFB8, "getplayerspeedbyweapon" },
    { 0x4DCAA5B350E13F5E, "getplayerssightingme" },
    { 0xA04F6247E52177A8, "getplayerstat" },
    { 0xD6AEF60A8D797A26, "getplayerstatpathkey" },
    { 0x5CF916D94A95DEE0, "getplayerstreakdata" },
    { 0x2BD91F22B921CC4F, "getplayersuperfaction" },
    { 0xE07BD7F2B036B9CF, "getplayersusingthisinteraction" },
    { 0x851A5E51A9DC3F03, "getplayerthatseesmyscope" },
    { 0xF9A7C8585B6F3794, "getplayertospectate" },
    { 0xF8CC0493E4023210, "getplayertraceheight" },
    { 0x6771B103926E7A7A, "getplayeruseentity" },
    { 0x54D8512FAE666B94, "getplayerviewheight" },
    { 0x1EB537954237B834, "getplayerviewmodelfrombody" },
    { 0x2D62FD431318BF4F, "getplayerweaponmodel" },
    { 0x8B158D66835CCDE4, "getplayerweaponrank" },
    { 0xB09DDCADD42E05EC, "getplayerweaponrankxp" },
    { 0x36CF38E6A02FA725, "getplayeryaw" },
    { 0xEBCD2F7517076A18, "getplayeryolostate" },
    { 0xA88305D68AE8C220, "getplaylistid" },
    { 0xC1488101461674E6, "getplaylistname" },
    { 0x85C156B2BD33A617, "getplaylistversion" },
    { 0x5B0F1951EE8363C6, "getplcratedata" },
    { 0xA285D3BA203E8D9A, "getplunderextractionsites" },
    { 0x3CA8C35AF0F59611, "getplundernamebyamount" },
    { 0xE5AD73B1AC0F0210, "getpointafternegotiation" },
    { 0xAD8C6970F720E939, "getpointinbounds" },
    { 0xBFFA1A1CF1B6F487, "getpoolindex" },
    { 0x273A78C9937F1B45, "getposonpath" },
    { 0x4359B9B4293376C0, "getposoutsidebadplace" },
    { 0x308E7F6C2CE4AC5B, "getpostloadbink" },
    { 0x7BBC91E84796281C, "getpotentiallivingplayers" },
    { 0x06886788DD1586CB, "getpotgduration" },
    { 0x75097F1DC39A1684, "getpotgstarttime" },
    { 0x88B6269396916D54, "getpower" },
    { 0x7AF647C2F826511C, "getpowercooldowntime" },
    { 0x4483FF1DA692C4FB, "getpowerovertimeduration" },
    { 0x85FFA9858838DDEF, "getpowerpassiveasset" },
    { 0x13095754E7F7BA54, "getpowerpassivestruct" },
    { 0x6F0DF371CAC63DF9, "getpredictedaimpitchtoshootentorpos3d" },
    { 0x1A37D540E1C3E1D5, "getpredictedaimyawtoshootentorpos" },
    { 0xC7D2732D6ECD3442, "getpredictedaimyawtoshootentorpos3d" },
    { 0xF8AE3902300DEA2D, "getpredictedentityposition" },
    { 0x34327E1CBBFDAA4B, "getpreferreddompoints" },
    { 0x642A834292DCC7EC, "getpreferredweapon" },
    { 0x94361EFCAC4D5CC4, "getprematchlocationspawnorigins" },
    { 0x7BDA0B9E0C5F2603, "getprematchradius" },
    { 0xB135508D9F59EAEA, "getprematchspawnorigin" },
    { 0x136FE4C86B5A4F7B, "getpresettruckspawns" },
    { 0x45A855B1EAF213E0, "getprestigelevel" },
    { 0xB79A0603528BBDEE, "getprevarraykey" },
    { 0x7ED1028ECF28DFB1, "getpreviousplacement" },
    { 0xC3F11B1C651BC990, "getpreviousselectablekillstreakslot" },
    { 0x1E97A60D3EA74F89, "getpriceenemytarget" },
    { 0x98E3232B725FA1D0, "getprioritymultiplier" },
    { 0x637AE1C31CEC6D73, "getprioritywaittime" },
    { 0xDF807FFBBE4823E3, "getprivatepartysize" },
    { 0xE1254A9798C3DD06, "getpronedeathanim" },
    { 0xE6D59FC355C46F86, "getpronepainanim" },
    { 0xCB223D8DD04146AA, "getproperty" },
    { 0x4FCA3DF45B98FF2C, "getprophealth" },
    { 0x5994CB6F1BD807CA, "getpropnextstartlocation" },
    { 0x338C68311857F18F, "getpropsize" },
    { 0xB5D1251D8A2A387E, "getpropspawnlocation" },
    { 0x51A18494A4168F82, "getpubliceventchance" },
    { 0xDD173D8C4BDEA571, "getpubliceventcount" },
    { 0x42C61D442F26966D, "getqacalloutalias" },
    { 0xA87BDC5E4DDC4C73, "getquadrant" },
    { 0x460CF27C1CC8684B, "getquestdata" },
    { 0xFE3DC6108E538819, "getquestindex" },
    { 0x37F8E865EA55B148, "getquestinstancedata" },
    { 0x155EBE62CEB78DD5, "getquestinstancedatasafe" },
    { 0xA877F0D3675310CE, "getquestperkbonus" },
    { 0x902006BA2E97A21C, "getquestplunderreward" },
    { 0x7F9B8C6CB1114E67, "getquestplunderrewardinstance" },
    { 0x8E58DC4B701BE708, "getquestpoints" },
    { 0xAD39C5AFE40ADA34, "getquestreward" },
    { 0x7C709C92640C0FE7, "getquestreward_checkforvalueoverride" },
    { 0x2C13A287B31A9738, "getquestrewardbuildgroupref" },
    { 0x2B6A528BFA27918D, "getquestrewardgroupindex" },
    { 0x04755DC90779B5DC, "getquestrewardgroupstablerewards" },
    { 0x8DAC27C1A4297F8B, "getquestrewardscalerstablescaleinfo" },
    { 0x5447619646CF12C0, "getquestrewardsgrouptable" },
    { 0xFC975FD39760AE07, "getquestrewardstabletype" },
    { 0x098265B8C4842DF4, "getquestrewardstablevalue" },
    { 0x1A0C15F7EC130A8A, "getquestrewardstablevaluecolumnindex" },
    { 0x18FD396DE2A3AFE8, "getquestrewardtier" },
    { 0x7723CDC24C39DE12, "getquestscaledvalue" },
    { 0x6BB5A2C9BD95A2C8, "getquestscalervalue" },
    { 0xD88700D27E11E9AB, "getquesttableindex" },
    { 0xDA51AC1171DFF19A, "getquesttablereward" },
    { 0xB503A45056D4264D, "getquesttablerewardgroup" },
    { 0x1A9D679E92D3393E, "getquesttimefrac" },
    { 0x30CD58D6E7729922, "getquestunlockableindexfromlootid" },
    { 0x95F659A52D006FA4, "getquestweaponxpreward" },
    { 0x8F77726F373B269F, "getquestweaponxprewardinstance" },
    { 0xC3AC95FC49854834, "getquestxpreward" },
    { 0xF8999A70C656156F, "getquestxprewardinstance" },
    { 0x4AFE6156D168133E, "getqueuedspleveltransients" },
    { 0xB88EBD3D0624FCF7, "getqueueevents" },
    { 0xE7E277BD0C5B4790, "getquickdropammocount" },
    { 0x0CAEB4873319BEA1, "getquickdropammotype" },
    { 0xCFE99F8F1B594941, "getquickdroparmorcount" },
    { 0x827187CCE35EA463, "getquickdropitemcount" },
    { 0x66164BAE6EDE6A12, "getquickdropplundercount" },
    { 0x1452FFB018C3AD6B, "getquickdropweapon" },
    { 0x9B1AE2FEAF977658, "getradiuspathsighttestnodes" },
    { 0x11A3636BE48102B0, "getraidspawnpoint" },
    { 0x0376C8922AB8B652, "getrallyvehiclespawndata" },
    { 0x1C39C7A9E156C859, "getrandom_spammodel" },
    { 0x07FBE22C161B5EC7, "getrandomanimentry" },
    { 0xEA30D967EE272AA3, "getrandomarchetype" },
    { 0xFE2267DE5CC918D8, "getrandomarmkillstreak" },
    { 0x6D50FA2D022D60A6, "getrandomattachments" },
    { 0x10AFBFBB78CA6265, "getrandomdirection" },
    { 0x1EA634DA9E73AFFA, "getrandomextractunlockablelootid" },
    { 0x3084E767B516CDD8, "getrandomgraverobberattachment" },
    { 0x497C5D9F6C023120, "getrandomindex" },
    { 0x81C7A1272E116194, "getrandomintfromseed" },
    { 0x0074719FC20D2FB5, "getrandomkeyfromweaponweightsarray" },
    { 0xDC28BC8926461B95, "getrandomkeyfromweightsarray" },
    { 0x5D59C23FE1A31286, "getrandomkillstreak" },
    { 0xD559E028A160777D, "getrandomnavpoint" },
    { 0x951F075AE725D3CA, "getrandomnavpoints" },
    { 0x4DA420D33BE00520, "getrandomnodedestination" },
    { 0x70BD26820FA733A0, "getrandomplayersinteam" },
    { 0xAC1CF88E988735FA, "getrandompoint" },
    { 0x426EDCDB03FB926C, "getrandompointinboundscircle" },
    { 0xB0901AA5C71F25D9, "getrandompointinboundssafecircle" },
    { 0x8F1423F2F53D26E9, "getrandompointincircle" },
    { 0x417EDD763F8250CE, "getrandompointincirclenearby" },
    { 0x12F5459B7BD7CDFD, "getrandompointincirclewithindistance" },
    { 0x509EF242AEB58B20, "getrandompointincpmap" },
    { 0xB25BF502C01CA9F2, "getrandompointincurrentcircle" },
    { 0x5D7C7E5522D2281C, "getrandompointinsafecircle" },
    { 0x730BF15D68716EF7, "getrandompointinsafecirclenearby" },
    { 0xEC2DB30BF0206136, "getrandomprematchequipment" },
    { 0xADE5DCADEB9BA4DC, "getrandomspawnpointfromactivesets" },
    { 0xFA569C2FD0257CA5, "getrandomspawnpointfromset" },
    { 0x002DF2583AADA92B, "getrandomspawnweapon" },
    { 0xBE88C8A4D3D7E534, "getrandomunblockedanim" },
    { 0xBACC4CEEA6214AE8, "getrandomweapon" },
    { 0xF8E049667A4B48B2, "getrandomweaponattachments" },
    { 0x877D70C9CE42EE27, "getrandomweaponforweapontier" },
    { 0x1CA2E17DB39ABE30, "getrandomweaponfromcategory" },
    { 0x32F79AF65DF696BB, "getrandomweaponfromgroup" },
    { 0x7E25DD656A4BB049, "getrank" },
    { 0x10DC22FEA2C93EC4, "getrankforxp" },
    { 0x1BE771BCAA93219A, "getrankfromname" },
    { 0xF3B293A1EA84F2F8, "getrankinfofull" },
    { 0x9BBF63B4FDF9EB3C, "getrankinfoicon" },
    { 0xB20A518369C4A519, "getrankinfolevel" },
    { 0xA303355004D0CAA5, "getrankinfomaxxp" },
    { 0x8A4FB412DF6D13DB, "getrankinfominxp" },
    { 0x9525A5886BEE76D9, "getrankinfoxpamt" },
    { 0x39B05B480C2C0AA9, "getrankxp" },
    { 0x92416FF75243324A, "getrankxpmultiplier" },
    { 0x1D68172C99B6F224, "getrankxpmultipliertotal" },
    { 0x4610A04816E842EB, "getrapidarchivewarningrate" },
    { 0x49ED138D89B2979D, "getrawbaseweaponname" },
    { 0x2E1998B0A4E41CF7, "getreacquirestate" },
    { 0x46527994864682AB, "getreactangleindex" },
    { 0xC0FEA3BD3BA503F7, "getrecoilreductionvalue" },
    { 0x76DDD75F35568359, "getreflectionlocs" },
    { 0x4860B9A06A617178, "getregendata" },
    { 0x8DA57480E5C9FCF4, "getregionforpos" },
    { 0xFBE7C95CDA9BA48B, "getrelativeangles" },
    { 0x9A8C1823CDBF42A2, "getrelativeteam" },
    { 0xC3EA39852504CDCD, "getremainingburstdelaytime" },
    { 0xE343857A36D8F5E2, "getremotename" },
    { 0x3A8DB2F2DFB89EF5, "getreservedobjid" },
    { 0x08560CF7AF71DD85, "getrespawnableplayers" },
    { 0x3737B9E769A2105C, "getrespawndelay" },
    { 0x9DA03BA4ED8C7537, "getresponder" },
    { 0x74330098703AD288, "getrestartlevel" },
    { 0xE184D453707D702D, "getrestedtime" },
    { 0x772F54372445EAF7, "getreticleindex" },
    { 0x1F679D9D484EBCC9, "getrevivecameradata" },
    { 0x5144695277D01843, "getrevivetimescaler" },
    { 0xE3F272758C359665, "getrewardvaluetype" },
    { 0x7A15374610C2AA32, "getridofkillstreakdeployweapon" },
    { 0xD8988A05FD8758EF, "getridofweapon" },
    { 0x293CC55501737699, "getrightarc" },
    { 0x3B2B93C8275A346B, "getrightstickx" },
    { 0x3B2B92C8275A3238, "getrightsticky" },
    { 0xAF4673FFA334841D, "getrigindexfromarchetyperef" },
    { 0x4377E3FBDB94F592, "getrigsuperputawaydurationfromref" },
    { 0xDB2B379EE058B6F0, "getrigsupertakeoutdurationfromref" },
    { 0xA7E682E3B2791FF7, "getrigtransstringfromref" },
    { 0x64C08881898E2534, "getrockettargetpos" },
    { 0xD5C55973AC63064B, "getrootsuperref" },
    { 0x2E3AD68A8C4A2EB6, "getroundswon" },
    { 0x46E3D0FC22903CBA, "getrunningforwarddeathanim" },
    { 0x0EB68C07F2B8F612, "getrunningforwardpainanim" },
    { 0x23592E23ADC99E68, "getsafeanimmovedeltapercentage" },
    { 0x5158A7847FF836C0, "getsafecircleorigin" },
    { 0x46C89B3FE647AD34, "getsafecircleradius" },
    { 0xEB20047EE80B91AD, "getsafeoriginaroundpoint" },
    { 0xFA248B97D80F2B79, "getsantizedhealth" },
    { 0xC580A674E4683C23, "getsavegametransients" },
    { 0xCFA8B625A1886CA3, "getscenebufferduration" },
    { 0xFC5F87C39E049027, "getscoredpatrolpoint" },
    { 0x0AA7A8348408DE2F, "getscoredpatrolpoint2" },
    { 0x0AA7E734840968BC, "getscoredpatrolpoints" },
    { 0x53C96CF0A1501BC1, "getscoreeventpriority" },
    { 0x6965B4322397446F, "getscoreinfocategory" },
    { 0x66998EACCA6C3BA8, "getscoreinfovalue" },
    { 0x6FF55CF1C60759CA, "getscorelimit" },
    { 0x4DDF7F6A329C0A0A, "getscoreperminute" },
    { 0xF8899587DA9BA149, "getscoreperminuteroundbased" },
    { 0x6508A448F2AA0339, "getscoreremaining" },
    { 0xD303605D43C88A5F, "getscrapassistplayers" },
    { 0xEA667F987463D9D1, "getscriptablearray" },
    { 0x0ED975376766E160, "getscriptablearrayinradius" },
    { 0xEE3C37717DD5FBF9, "getscriptablehaspart" },
    { 0x50871E4C2A9E6E51, "getscriptableinstancefromindex" },
    { 0x517E919A31C07395, "getscriptableislinked" },
    { 0xB697BC60BFB1C61E, "getscriptableisloot" },
    { 0x744107E620F5B4E0, "getscriptableisreserved" },
    { 0xCB58DDF897C15F70, "getscriptableisusableonanypart" },
    { 0x72049AEEC4560922, "getscriptablelinkedentity" },
    { 0x070D4DD6A65FDF16, "getscriptablelootcachecontents" },
    { 0x8EE44084DD6A921D, "getscriptablelootspawnedcountbyname" },
    { 0x94DAE7E09E0E11C9, "getscriptablelootspawnedcountbyrarity" },
    { 0xA7A9E3F22FADE0BE, "getscriptablelootspawnedcountbytype" },
    { 0x1FC9AADD6FEF5080, "getscriptablepartcount" },
    { 0xE88C6C8564CD1CE0, "getscriptableparthasstate" },
    { 0xC26DB7D271CF98AD, "getscriptablepartnameatindex" },
    { 0xE1E657CE44F37EDA, "getscriptablepartstate" },
    { 0x6686728B8849F592, "getscriptablepartstateeventfield" },
    { 0x627208CD585F138E, "getscriptablepartstatefield" },
    { 0xF7D5EF1A0ADD27AE, "getscriptablepartstatehasevent" },
    { 0xBB72DF06FB208024, "getscriptablereservedremaining" },
    { 0x8E68E5926CC82D34, "getscriptbundle" },
    { 0x0E016C7FE6DF4904, "getscriptcachecontents" },
    { 0x7F8F3DA396BC1200, "getscriptdataversion" },
    { 0xBCBE3EFC9F0BF5FF, "getscriptedhelidropheight" },
    { 0x9C2610115304FD42, "getscriptedhelidropheightbase" },
    { 0x1C0D8A5083B6A18E, "getscriptedmeleetarget" },
    { 0x138C8BA382241E31, "getscriptedweapon" },
    { 0x07DA2DD76C4EB831, "getsearchparams" },
    { 0xAF352CE892FF9F1C, "getseatoriginangles" },
    { 0xF30E03565A9BEFFB, "getsecondarytargets" },
    { 0xFFF8C730ED3A76E6, "getsecondbtmbombloc" },
    { 0xE06883A2ECCAE038, "getsecondspassed" },
    { 0xCA34FF672B32BEBC, "getselectedkillstreak" },
    { 0xBC7BCCC8FEF16438, "getselectedkillstreakindex" },
    { 0x3B03A0D42932B26B, "getselectmappoint" },
    { 0x0D85FB20FB99EC6C, "getselfobjcaptureddialog" },
    { 0x24DD8F25209F58F9, "getsentientcounts" },
    { 0x6C49BC0A237EE171, "getsentientlimits" },
    { 0xD20A1771D415DB27, "getserachparams" },
    { 0x5719A2537A1CBED9, "getserverhostname" },
    { 0x8B377E71C639B8F8, "getserverroomspawnpoint" },
    { 0xE88A45899AEA2F7E, "getsetclassicsuit" },
    { 0x564265D0959278BC, "getsetplundercountdatanosplash" },
    { 0x583CBC0A7163FE5B, "getsettdefsuit" },
    { 0xDC6BA478609EF46C, "getsharedfunc" },
    { 0x48EA61C5524B88A9, "getshellshockinterruptdelayms" },
    { 0xEF23F1F97AA50037, "getshieldcurrentenergy" },
    { 0x2A68203AE79119C0, "getshieldmaxenergy" },
    { 0xE4F23D15B994114B, "getshootatpos" },
    { 0x80795300D78E3A10, "getshootfrompos" },
    { 0x5105208115CD7444, "getshootpos" },
    { 0xD245C3B81ADF4434, "getshotdistancetype" },
    { 0x63A5A5797FD4B576, "getsidearmdist" },
    { 0xC3E1DA1B1520CEED, "getsightedplayers" },
    { 0x3158DC18D831ED2D, "getsitreplocname" },
    { 0x3F3A7374CE8E36D6, "getsixthsensedirection" },
    { 0x99B8A467578F9BF0, "getskill" },
    { 0x968FF5409B515D0F, "getsmartobjectinfo" },
    { 0xDC7D6291B18C9C8D, "getsmartobjectradiussq" },
    { 0x76A7D8E1DE2254B3, "getsmartobjecttype" },
    { 0x89C158EC3F55CD8B, "getsmoothstep" },
    { 0xD1643EFBCF66DF6E, "getsniper_starttime" },
    { 0x57B1D22FFFC5D0C2, "getsniperadsblurtime" },
    { 0xDB9DD149665352B8, "getsniperburstdelaytime" },
    { 0x0661D2A266F5A252, "getsolospawnstruct" },
    { 0x927403ACC42EA85C, "getsoonerhud" },
    { 0xD6FC2EDF2ADE52B6, "getsoundlength" },
    { 0xCA1E3B3528F9A189, "getspacegrappleentity" },
    { 0x270AEDD6EB995C41, "getspacegrappleplatform" },
    { 0x60F1D8218303342F, "getspacegrapplewalkable" },
    { 0x71C3D153EC2554BC, "getspacejumpstate" },
    { 0xC76BCE430983054A, "getspawnangles" },
    { 0x4D2BA4C1617E1E0F, "getspawnarray" },
    { 0xB7214990D1297F8E, "getspawnbucketforplayer" },
    { 0x73747550D61197F9, "getspawnbucketfromstring" },
    { 0x5801CEC0D21404A5, "getspawncamera" },
    { 0x3C4ACE98AE85CE91, "getspawncamerablendtime" },
    { 0x7756CEBD33469F19, "getspawncamerawaittime" },
    { 0xE3806FB4226405BD, "getspawnclosetposition" },
    { 0x2387688936D207B1, "getspawner" },
    { 0x91E8F01DD90DE05A, "getspawnerarray" },
    { 0x058FC12C0B8236EE, "getspawnerarrayfunction" },
    { 0x813638398A224113, "getspawnerstructbehindcurplayer" },
    { 0x4570A5E1C6E3BDED, "getspawnerteamarray" },
    { 0xBCA3C931021F03D6, "getspawninfo" },
    { 0x4AC767CDCA5696A0, "getspawninfofunc" },
    { 0x18598C1360EE8C90, "getspawnorigin" },
    { 0xA5282ACAD742C998, "getspawnpoint" },
    { 0x8C601D845A559BDE, "getspawnpoint_legacy" },
    { 0x3012E2F4A2A70502, "getspawnpoint_random" },
    { 0x4CB69C88590C06BA, "getspawnpoint_startspawn" },
    { 0xF9D5F8B3F5C3E2D5, "getspawnpointarray" },
    { 0x24B7126C88705938, "getspawnpointdist" },
    { 0x09C1ECD9661C91E7, "getspawnpointflagassignment" },
    { 0xB4DFBE6F29BA0B66, "getspawnpointforplayer" },
    { 0xF19F35B617AE48AD, "getspawnpointfromcode" },
    { 0xE09D4219814ECA50, "getspawnpointfromlist" },
    { 0xF997623ECDFB0EEE, "getspawnpointpreprocess" },
    { 0x5F653DEED5BFA806, "getspawnselectionconstexclusiongrowth" },
    { 0x149480803A3EC573, "getspawnselectioncontexclusiongrowth" },
    { 0x92E4CE1DCD55737D, "getspawnselectionexclusionsize" },
    { 0x25048F324FE4E920, "getspawnselectionlerpexclusiongrowth" },
    { 0x125E43BE55B2CCF7, "getspawnselectionlockedtimer" },
    { 0x02ECEAC2EED29DEC, "getspawnselectionpoi" },
    { 0x6685A3AEBE95C0B2, "getspawnsessionteamassignment" },
    { 0x9A850CF438A6765F, "getspawnsetsize" },
    { 0xEFCBF640D7B5DEDB, "getspawnstructscallback" },
    { 0x242FA874CFCE28AF, "getspawnteam" },
    { 0xFD6A95292E1FDC66, "getspawnteamassignment" },
    { 0x5CEDCC0CA876727C, "getspeakerinfo" },
    { 0x873C76A99DCAC722, "getspeakerorigin" },
    { 0x64DF4AC11F688BE9, "getspeakers" },
    { 0x066462ADC79EA32C, "getspecialactive" },
    { 0xEE4E0D369AE8E911, "getspecialdaycamos" },
    { 0x829708802D6CD1CC, "getspecialdaycosmetics" },
    { 0x2DA2D157275BB6B4, "getspecialdaystickers" },
    { 0xCD6A99427362B15F, "getspecialistindexforstreak" },
    { 0x2B8E744804E26BDF, "getspecialistperkforstreak" },
    { 0xF9A4F42235F75C1F, "getspecialistsplashfromkillstreak" },
    { 0xAF444ED8B6EE9F56, "getspectatepoint" },
    { 0xC38D93DE541F7AAA, "getspectatingplayer" },
    { 0xB140F7AECED602AD, "getspectatorsofplayer" },
    { 0xBCF0755FAB4CEBAC, "getspeedmatchanimrate" },
    { 0xA36D6AFF8DF79229, "getsplashid" },
    { 0x821C47239139B85A, "getsplashtablemaxaltdisplays" },
    { 0x4C859338B1AA41BB, "getsplashtablename" },
    { 0x6C5E1013B1542819, "getsplittimes" },
    { 0xB743B26E3948BC72, "getsplittimesside" },
    { 0xC33150C26F25FF2F, "getsppmdata" },
    { 0xC7766A329D462CA2, "getspreadpelletspershot" },
    { 0xAA50E7BD0F50937E, "getsprintmeterfraction" },
    { 0xAD4D2F7938548454, "getsquadassaultelo" },
    { 0xF064FCE6FD007D93, "getsquadassaultenemyprestige" },
    { 0x720EBCB12CBEC7C8, "getsquadassaultsquadindex" },
    { 0x547F811F7A08481D, "getsquadindex" },
    { 0x7E86CCC528C4A262, "getsquadleader" },
    { 0x1B71DE0C74DB2106, "getsquadspawnlocations" },
    { 0x555B1230A46DC8B7, "getsquadspawnstruct" },
    { 0xDA69B2B3A39A5286, "getsquadteam" },
    { 0x7CCDFC87F3039364, "getstackcount" },
    { 0x5C528EBA55F6146B, "getstackvalues" },
    { 0xDB92A9BACD4CFEA5, "getstairsenterdist" },
    { 0xC7E92343289B7745, "getstairsexitdist" },
    { 0x431ADC215348E6A0, "getstairsexitdistup" },
    { 0x33CE3A923FCA11E7, "getstairsstateatdist" },
    { 0xCB9AFFF5598E3197, "getstance" },
    { 0xA57F93342983C0BA, "getstancecenter" },
    { 0x677E8B4C74308156, "getstancetop" },
    { 0xDA0739B6DE2F0FE0, "getstanddeathanim" },
    { 0x45C478A477762078, "getstandpainanim" },
    { 0x771070052DC99091, "getstandpistoldeathanim" },
    { 0xF671EED23B684B7B, "getstandpistolpainanim" },
    { 0x94B8F4812077F6BD, "getstartangles" },
    { 0x091274B4EB72CA4C, "getstartanim" },
    { 0x5BD9D37C1C75D18B, "getstartmindist" },
    { 0x3BE921663A496C43, "getstartorigin" },
    { 0xA561E3403441BCDF, "getstartparachutespawnpoint" },
    { 0xDDD987CA54D9C71C, "getstartspawnavg" },
    { 0xCD23E09D2B09B203, "getstartspawnpoint_freeforall" },
    { 0x74E9BAAD526FF428, "getstarttime" },
    { 0xB48EB49E8E86AD52, "getstat_intel" },
    { 0xC4A95834336752D5, "getstat_progression" },
    { 0x59B2DA7153A7DCDD, "getstaticcameraposition" },
    { 0x92199D1F44D17ACB, "getstealthlocationalias" },
    { 0xBE80A7FC97DC4D1F, "getstealthstate" },
    { 0x91D78452E67B457B, "getstickerloadoutstring" },
    { 0x1B7EDAC07FDAEA54, "getsticksconfig" },
    { 0xBCDE0D0208CE9E23, "getstopanims" },
    { 0xDF8C73C2654A54CD, "getstopdatafortransition" },
    { 0xB34356A24EEAC9FE, "getstrafeanimweights" },
    { 0xE950887B37415AFC, "getstreakrecordtype" },
    { 0x2325CCDA0346C2FF, "getstreamedinplayercount" },
    { 0x84935CCAE1629C08, "getstrongbulletdamagedeathanim" },
    { 0x74DEF57A7CF6934A, "getstruct" },
    { 0x5D5DE3377544894C, "getstruct_delete" },
    { 0x8D124C36B0245A0B, "getstructarray" },
    { 0x0FC5D1561B76F317, "getstructarray_delete" },
    { 0xB5088F66FC374905, "getsubgametype" },
    { 0x094F85A4DB0F161E, "getsubstr" },
    { 0xE37320D7CA4B5AED, "getsuffocationdeathanim" },
    { 0x04DB313B27CE9AF3, "getsuperid" },
    { 0xF7A38E65587E3624, "getsuperpointsforevent" },
    { 0xEB9EE48A2507DCF8, "getsuperpointsneeded" },
    { 0xFF2FE0C6517EE5E1, "getsuperrefforsuperextraweapon" },
    { 0x7D5B495AE09F40C3, "getsuperrefforsuperoffhand" },
    { 0x0C389E7A76F3B784, "getsuperrefforsuperuseweapon" },
    { 0x4E2BEE963B52DDD5, "getsuperrefforsuperweapon" },
    { 0x42BD48437D4127B8, "getsuperuseuiprogress" },
    { 0x1F021EDC2DCE01AC, "getsuperweapondisabledammobr" },
    { 0xCEEFE73D247C254B, "getsuppressionstrength" },
    { 0x832F9E73ACD9B4B7, "getsuspendedvehiclecount" },
    { 0x359F9B1AAF97833E, "getswitchside_spawnpoint" },
    { 0xC5AC7565BEFE4BEB, "getsystemtime" },
    { 0x4E57E270868FE799, "getsystemtimeinmicroseconds" },
    { 0x283D9500AA68F864, "gettacopstimeextensionsms" },
    { 0x7D4D64B10DEB3FAD, "gettacopstimelimitms" },
    { 0xF7A58A3E36729E42, "gettacopstimepassedms" },
    { 0xB73B364002A47842, "gettacopstimeremainingms" },
    { 0xED24B247960B80E3, "gettacroverspawns" },
    { 0x3E573AD41B75214C, "gettacticaltypepassives" },
    { 0xFFBA96B894BCAB61, "gettag" },
    { 0x737F4A037C6AF72D, "gettagangles" },
    { 0x8F5621E19386A6A8, "gettagcode" },
    { 0x7A00746E64A6F222, "gettagcountfromcache" },
    { 0xD6FB3AE96E8BA70E, "gettagforpos" },
    { 0x7F19025A98976973, "gettagorigin" },
    { 0x0195078712116FFF, "gettakennodes" },
    { 0x142425EB2FEA7869, "gettangentoncirclefrompoint" },
    { 0x712F7E4FA1B06C06, "gettarget" },
    { 0x114BC96C293FAE92, "gettargetangleoffset" },
    { 0x8468E549E4EDC0CF, "gettargetarray" },
    { 0xDFDC00A1CB7BE005, "gettargetbounty" },
    { 0xE26663A13B0C5BFC, "gettargetchargepos" },
    { 0x84EE99E3644B9D35, "gettargetentity" },
    { 0xB4C564D6CD9CE7AC, "gettargetmarker" },
    { 0x9AB15E86B802CA3F, "gettargetmarkergroup" },
    { 0x6EE4D380006FFB81, "gettargetoffset" },
    { 0x35FD2F046C8B1E50, "gettargetorigin" },
    { 0x8D2031D91B0080B8, "gettargettingai" },
    { 0x3AD2D0A80D3475CB, "getteamarray" },
    { 0x9496DBE9825ADD3E, "getteambalance" },
    { 0x5D4547F75216F6AA, "getteamcarriedplunder" },
    { 0x7A7730521AAAE7BF, "getteamcenter" },
    { 0x0551737FABC513F9, "getteamcontenders" },
    { 0xD3B57C92AFA2E401, "getteamcount" },
    { 0x3F2985BC09804ABA, "getteamdata" },
    { 0x1CDE20CE3ECFAAC1, "getteamdompoints" },
    { 0xD58687445F613593, "getteamfactionsfrommap" },
    { 0x683A1D075B7EE304, "getteamfallbackspawnpoints" },
    { 0x2FB6995B039A180B, "getteamflagcount" },
    { 0x93D34EE9F9ED5C05, "getteamheadicon" },
    { 0x7AD845C007B84187, "getteamicon" },
    { 0x600E090DD409A89E, "getteamindex" },
    { 0xE4DC1DBC46F5CD25, "getteammatesoutofcombat" },
    { 0xC91E04D21E981691, "getteamname" },
    { 0x03700EA34F7E2284, "getteamoperatorvoicefaction" },
    { 0x9A9892E6421DEB21, "getteamplayersalive" },
    { 0xA3B22A8D2B085C30, "getteamplunder" },
    { 0x0CE42CF857332799, "getteamplunderhud" },
    { 0xABAD2CF9C915E3B2, "getteamradar" },
    { 0x1B70E4B95857EE53, "getteamradarstrength" },
    { 0x9F25FC9F79484A8B, "getteamrankxpmultiplier" },
    { 0xB9584A96908DF850, "getteamscore" },
    { 0x80BC6E1F558BF101, "getteamscoreint" },
    { 0xD9526E71FDB0D9BC, "getteamscoreplacements" },
    { 0x31872F726B3D3D17, "getteamshortname" },
    { 0x934D26C4EA3F8573, "getteamsize" },
    { 0xB6D2442738255D73, "getteamspawnbots" },
    { 0xF23898D68398E2BA, "getteamspawnpoints" },
    { 0x82DC30852901FE04, "getteamtokens" },
    { 0xB492F7EF14301785, "getteamtokenshud" },
    { 0x0DE93BA9CDE1E22F, "getteamvehiclearray" },
    { 0x3DDCE9D3303630EE, "getteamvoiceinfix" },
    { 0x77B0B7F0BE0225AE, "getterminalhint" },
    { 0x503DE2BBD3EC383F, "getthermalscopeperweaponclass" },
    { 0x6679AE53D4BFAE0C, "getthermalswitchplayercommand" },
    { 0x22E927ECA29CD224, "getthirdpersoncrosshairoffset" },
    { 0x3201A4D107773C2D, "getthirdpersonheightoffsetforsize" },
    { 0x5A4563785B6CE2AC, "getthirdpersonrangeforsize" },
    { 0x39A5C3C92EEF58D2, "getthreatbias" },
    { 0x70B6A9E2750FB1A5, "getthreatbiasgroup" },
    { 0x1B0E3AD6C75615EE, "getthreatinfantrycallouttype" },
    { 0x6FDB1E37C61C5B08, "getthreatsight" },
    { 0xBBC0FC1C4AE58313, "getthreatsovertime" },
    { 0x604E4F718E43CFF2, "getthrowbackweapon" },
    { 0x9B7FF7EF73C3451A, "gettime" },
    { 0x96B2883A158C231D, "gettimefrommatchstart" },
    { 0x03C8B0F24965C9A9, "gettimelimit" },
    { 0x6405A13C7C5F5D6A, "gettimepassed" },
    { 0x09C67D7094C3B74A, "gettimepassedpercentage" },
    { 0xBC2808391BD53BEA, "gettimeremaining" },
    { 0x5F44CC24309EA9CA, "gettimeremainingpercentage" },
    { 0x9DFE538A9BC51070, "gettimescale" },
    { 0x0F01927A3F32E19C, "gettimesincedompointcapture" },
    { 0xEF9AB9081D19CD46, "gettimesincegamestart" },
    { 0xE4CABFE8C1C075D6, "gettimesincelastpaused" },
    { 0xC820606A9257E315, "gettimetogulagclosed" },
    { 0x630105CA61529029, "getting_pushed" },
    { 0x9C5AB63FC61818ED, "getting_too_close_with_player_humvee" },
    { 0x0C15A30556001ADE, "getting_too_close_with_vehicle_to_chase" },
    { 0xE25B9CD1C8A9FC1C, "gettinggassed" },
    { 0x1F7E64842F19C9BD, "gettingloadout" },
    { 0x8ED805B5AC78D602, "gettingupfromlaststand" },
    { 0x8719F06D8AEC719E, "gettoparc" },
    { 0xC2FAEB734B620444, "gettotalpercentcompletesp" },
    { 0x95E8C5809ACFA615, "gettouchinglocaletriggers" },
    { 0x60BC55A2FEEA6374, "gettouchingspraylocaletriggers" },
    { 0x18D9902DDD82755F, "gettransientsetnames" },
    { 0x4B2EEF7AEDA21AB9, "gettransientsinset" },
    { 0x1BF66F86ABEDC7CC, "gettranssplittime" },
    { 0xD1E8110424698E9A, "gettraversalendpos" },
    { 0xD0E0CBEF4607AE49, "gettraversalstartnode" },
    { 0x34CC7FE4949A90BF, "gettraverserindex" },
    { 0x345893F81CC31FC1, "gettriggeredslotfromnotify" },
    { 0xC8C1111A2C80DB3F, "gettriggerfunc" },
    { 0xDE0BFFB71CB896C2, "gettriggerobject" },
    { 0x049658667E370705, "gettriggertype" },
    { 0x17F7A94CA7C543E6, "gettripwiremodel" },
    { 0xA07EA1405011E2F4, "gettripwirestaticmodel" },
    { 0xDF5FBDCFECE6E83F, "gettripwirestretchanim" },
    { 0x8F9650A14DFD1DDF, "gettripwiretraps" },
    { 0x3F0FC590E7E53EAE, "gettripwiretriggeranim" },
    { 0x5CA1CFC7BBEAB60E, "gettripwiretriggersound" },
    { 0xBCD4FF7F5A1FC862, "gettruckspawns" },
    { 0x6B70114626173643, "gettruegroundposition" },
    { 0xBA9B49DB210D7DEF, "gettruenodeangles" },
    { 0xD81CE0093AAA479F, "getturndesiredpitch3d" },
    { 0xD1F2BEA23F20740D, "getturndesiredyaw" },
    { 0x450DBD430E56345A, "getturndesiredyaw3d" },
    { 0x5DC0C6E389CB612D, "getturret" },
    { 0xF24BD136D96AC272, "getturretaimangles" },
    { 0x05343733184A0B59, "getturretaimanglessp" },
    { 0x1959623F094566C0, "getturretcurrentpitch" },
    { 0x3DE54A6DE76FC435, "getturretcurrentyaw" },
    { 0x7E22D64685D6F44C, "getturretowner" },
    { 0x7A31CC2E8B86E730, "getturrettarget" },
    { 0x4FFA3FD9FFC5E031, "getturretweaponinfo" },
    { 0x8A961319F4E73BCC, "gettweakabledvar" },
    { 0x0CCB1F3095065785, "gettweakabledvarvalue" },
    { 0x7712330C9CA5B472, "gettweakablelastvalue" },
    { 0xABC88A2C992E5A16, "gettweakablevalue" },
    { 0xB824B68F06B54AE1, "getuavrig" },
    { 0xEC1978FE66EC71F9, "getuavstrengthlevelneutral" },
    { 0x61607293C1127BE3, "getuavstrengthlevelshowenemydirectional" },
    { 0x14D7EE0E0D7460FD, "getuavstrengthlevelshowenemyfastsweep" },
    { 0x7AB3ED3C16AF18C6, "getuavstrengthmax" },
    { 0x7A90DF3C1688B244, "getuavstrengthmin" },
    { 0xDA09A4BB8684A4BC, "getucdidhigh" },
    { 0xE36A809778F34BA2, "getucdidlow" },
    { 0x0E9DCDF369B726E0, "getunarchiveddebugdvar" },
    { 0x4A4D71EC10047646, "getunclaimedpersonalent" },
    { 0xC4BDDE2B0FE69AF9, "getunifedspawnselectioncameraheight" },
    { 0xFE841C7EF7CDF38F, "getuniqueflagnameindex" },
    { 0xA706D024687E6BBD, "getuniqueid" },
    { 0xD1AF598821B59B7F, "getuniquekillstreakid" },
    { 0x2484438DEF1695DF, "getuniquematerialscost" },
    { 0x6964D334F5F063FA, "getuniqueobjectid" },
    { 0x544E7CE4E2D05841, "getunownedflagneareststart" },
    { 0x0726B569C1CA15E4, "getunusedlootcachepoints" },
    { 0xB7E013CE497FA7E6, "getup_from_prone" },
    { 0x310AD8CF1EF9F0A0, "getupdateteams" },
    { 0xF0E6289DD0E9376A, "getupenemy" },
    { 0xE73C0F688F36F673, "getupenemy_logic" },
    { 0x09950193C884C36C, "getusedturret" },
    { 0x83BE7790433ADFC2, "getuseholdkbmprofile" },
    { 0x054699C750A59309, "getusingproxdoors" },
    { 0xDF5BAB0768A4F6CC, "getvalidatedspawnorgangles" },
    { 0xA6E83FDEFE6151CB, "getvalidattachments" },
    { 0x30170B3205A80E4C, "getvalidcovermultinodetypes" },
    { 0x6FD69054E5D65AC8, "getvalidcoverpeekouts" },
    { 0x3C04819C49EF7AEA, "getvalidextraammoweapons" },
    { 0xAE9A435C2E41D0D8, "getvalidlocation" },
    { 0x6E4F3204DEB6E6B1, "getvalidplayersinarray" },
    { 0xF93A9B65EE07822D, "getvalidplayersinteam" },
    { 0xC1F8BE293C33C65A, "getvalidpointtopointmovelocation" },
    { 0x2353E07F49A0EA3A, "getvalidspawnpathnodenearplayer" },
    { 0x32EFF0B9F3C9A0D0, "getvalidtakeweapon" },
    { 0xD1B52238FBE77420, "getvartype" },
    { 0xC6D92A29A1705530, "getvectorarrayaverage" },
    { 0x37DF8419E57A8B71, "getvectorrightangle" },
    { 0xE57F60B011DA9271, "getvehicle" },
    { 0xC60118A96F877EE8, "getvehicleanimtargetoriginandangles" },
    { 0xF0B649DE03B1031A, "getvehiclearray" },
    { 0x51BD9EB70232223F, "getvehiclearray_in_radius" },
    { 0x61FD8239BC66A505, "getvehiclecamo" },
    { 0xB420402A19745DA8, "getvehiclecount" },
    { 0x2E5AAF66AD98CD59, "getvehiclenode" },
    { 0x2189D165FB6121C2, "getvehiclenodearray" },
    { 0x400A7F7FCC3306B8, "getvehicleowner" },
    { 0x57DF3DA9514218AA, "getvehiclepath" },
    { 0xA6D2C07E3B046CCC, "getvehicleplayercamo" },
    { 0xED4A467742A2C73D, "getvehicleplayerhorn" },
    { 0x2A98EC9CC8095620, "getvehicleplayertrail" },
    { 0x386859F3BD67442E, "getvehicleplayerturretcamo" },
    { 0x7D12D1D132747594, "getvehiclespawndata" },
    { 0xC72A6AFD1B2BA73B, "getvehiclespawner" },
    { 0x3386E1E2E58326F0, "getvehiclespawnerarray" },
    { 0x6A65FD401BC93F0D, "getvehiclespawns" },
    { 0x75C7A684A7B45430, "getvehiclesticker" },
    { 0xC1C214C2E6EC488F, "getvehicleturretcamo" },
    { 0x85BEC27D116F5E1E, "getvehicleturretsticker" },
    { 0xFCF21CB82CA79A74, "getvelocity" },
    { 0x2BCAC343C17B1672, "getviewkickscale" },
    { 0x9FA568CC66605BB3, "getviewmodel" },
    { 0x2E7840803DE856B0, "getvieworigin" },
    { 0xAFFECC0CEE7CA1EC, "getvisiblekillstreakavailable" },
    { 0x357A73A3E24ABB0C, "getvisionlerprate" },
    { 0xB41D8CD7158B9833, "getvocalpainsfx" },
    { 0xFE79EBEF05ECBD4A, "getvoforobjective" },
    { 0xA3860E3B3C8531FC, "getvolength" },
    { 0x8F872F9302A53748, "getvolumebasenamefromlinkname" },
    { 0xB77B4F43C0B36E71, "getvulnerableplayersinteam" },
    { 0x2E1400D96D5A2999, "getwalkandtalkanimweights" },
    { 0x5B62CC00CC38ACEA, "getwallattachoffsetposition" },
    { 0x2EE5953CD9E68CF4, "getwallnodeposition" },
    { 0x4CBC87DDC3BB2701, "getwallrundirection" },
    { 0x7B81CA22E0FFBA2B, "getwallrundirectionfromstartnode" },
    { 0x304BB41018D88383, "getwallrunmantleangles" },
    { 0xA693E2CBF9EBC710, "getwallrunmantleposition" },
    { 0xAAD4DC01F7A19CC2, "getwallruntomantletype" },
    { 0xB53408FAF256AC45, "getwallrunyawfromstartnode" },
    { 0x4EE2A09BA05725F3, "getwartrackpassengerenabled" },
    { 0xEEE04C6319A42A2E, "getwatcheddvar" },
    { 0xB3B4394D629FFB1F, "getwatcheddvarstring" },
    { 0x33FED3D8DACA4B4F, "getwaypointbackgroundcolor" },
    { 0xAAA9CAFA3697EE50, "getwaypointbackgroundtype" },
    { 0x5AFFBF1E4368486A, "getwaypointobjpulse" },
    { 0xC72738B3A352258D, "getwaypointshader" },
    { 0xD39AB8033714FD4D, "getwaypointstring" },
    { 0x8FF9B18D63EF7913, "getweapon" },
    { 0xAB8952673F57EC0A, "getweapon_aq" },
    { 0xE273A680A663F1D4, "getweapon_hero" },
    { 0x8DF7541103998B25, "getweapon_reb" },
    { 0xABD43E673FAA7855, "getweapon_ru" },
    { 0x3D1C7C36E9114D02, "getweapon_ru_1999" },
    { 0x1BCF11243976BFD5, "getweapon_ru_lab" },
    { 0x9B459C110CE94A5D, "getweapon_sas" },
    { 0xBC0D177FA6A77528, "getweapon_so15" },
    { 0x86D6C0F6475BD92C, "getweapon_usmc" },
    { 0xAF42AA595919798F, "getweaponammoclip" },
    { 0x2652C60802BAB274, "getweaponammopoolname" },
    { 0x9A7F509646E1EF99, "getweaponammostock" },
    { 0x0DC4A40BC6C89268, "getweaponarray" },
    { 0xDE7FCEAE0EB250D5, "getweaponarrayinradius" },
    { 0x9AB5A495A51D91B1, "getweaponassetfromrootweapon" },
    { 0x56A1493BE1E16EE7, "getweaponattachmentarray" },
    { 0x51B8A0FF6780F366, "getweaponattachmentarrayfromstats" },
    { 0xB069155475C5D877, "getweaponattachments" },
    { 0x1EE4B5327798AA16, "getweaponattachmentsbasenames" },
    { 0x7A039BFD9561A394, "getweaponattachmentworldmodels" },
    { 0x21CFC2E451602B7D, "getweaponbasename" },
    { 0xE4D2EB272D52C5D2, "getweaponbasenamescript" },
    { 0xA3877957C4C3C93F, "getweaponcamo" },
    { 0xF46B21821D93E97C, "getweaponcamoname" },
    { 0xFC51FB7772BD51C0, "getweaponchoice" },
    { 0x38A7F103F8A3A945, "getweaponclass" },
    { 0x73DCB498A35E87DE, "getweaponclassint" },
    { 0xD1FC5439963EC66A, "getweaponclipmodel" },
    { 0x3A67C8B42CC61F81, "getweaponcosmeticattachment" },
    { 0xBD8E62878420BFF3, "getweaponcostint" },
    { 0xEEBFAB9D8FFCE0D5, "getweapondefaults" },
    { 0xC9760075785DAE78, "getweaponexplosionradius" },
    { 0xEFF2837AF3728B72, "getweaponflashtagname" },
    { 0x4F14B39D55C8673C, "getweaponforpos" },
    { 0xBE6C5819BF3AFA76, "getweaponfromequipmentref" },
    { 0x9EF44117CE56A374, "getweaponfrommerit" },
    { 0xB8B187C228D83D3D, "getweaponfullname" },
    { 0x6C28F31D48E5604A, "getweapongroup" },
    { 0x5A179676107EDF79, "getweapongunsmithattachmenttable" },
    { 0x46E21F699A430797, "getweaponheaviestvalue" },
    { 0x9E337D91B4634016, "getweaponhidetags" },
    { 0xA970530036F2F1C9, "getweaponhudiconoverride" },
    { 0xC112CD38EA415D8B, "getweaponhudiconoverrideammo" },
    { 0x2900B116C752DA09, "getweaponindex" },
    { 0xA00FDFEC452D09A7, "getweaponloottable" },
    { 0x71C76371A20EA2F1, "getweaponmaxrankxp" },
    { 0x2D0D72FB575CDA31, "getweaponmeleeslot" },
    { 0x071963656C0A40D0, "getweaponmodel" },
    { 0x20E966C054688161, "getweaponnamestring" },
    { 0xFCB957122EDE4769, "getweaponnvgattachment" },
    { 0xE48BA09A874DB56B, "getweaponoffhandclass" },
    { 0x017E86763F174A89, "getweaponoffhandtype" },
    { 0x2259413AAE53C43D, "getweaponpaintjobid" },
    { 0x3DDD76C50F86F18D, "getweaponpassives" },
    { 0x415DBAE0C99F5C40, "getweaponqualitybyid" },
    { 0x3DA18B5E8C698F80, "getweaponrandomvariantid" },
    { 0x636D298C891E2734, "getweaponrankforxp" },
    { 0x2EC3F0F3881969D5, "getweaponrankinfomaxxp" },
    { 0x64FE8FAD154F246B, "getweaponrankinfominxp" },
    { 0xD4F92C3C49D3BEAB, "getweaponrankinfoxptonextrank" },
    { 0x246FD7C9FE5BCEBA, "getweaponrankxpmultiplier" },
    { 0x2544C79122884134, "getweaponrankxpmultipliertotal" },
    { 0x65AF032480EF10B1, "getweaponreticle" },
    { 0xA420C268D31DCFAA, "getweaponreticlename" },
    { 0x2BFEEF1893B778EC, "getweaponrootname" },
    { 0x919AD9F2C7A7EE20, "getweapons" },
    { 0xBAADE0C480696A88, "getweaponslist" },
    { 0x1ACB4F4C167FDECB, "getweaponslistall" },
    { 0x1775DC5132893599, "getweaponslistexclusives" },
    { 0x0C53938F1D65306C, "getweaponslistitems" },
    { 0xFD8AC49AB5308427, "getweaponslistmodelonly" },
    { 0xBFA8D72FC7A0EEC1, "getweaponslistoffhands" },
    { 0xD41C6447657A015E, "getweaponslistprimaries" },
    { 0x25BE21E49C9B897F, "getweaponslot" },
    { 0x7080291C979ACBEE, "getweaponspeed" },
    { 0xA107DEE0DBA63A91, "getweaponspeedslowest" },
    { 0x81E92B60C4794D4D, "getweaponswithpassive" },
    { 0x0CE4B20E1291F1D4, "getweapontoswitchbackto" },
    { 0x39287E8B7901E86B, "getweapontype" },
    { 0x83A838A267BFD435, "getweapontypepassives" },
    { 0xB1D5D9887C159EE6, "getweaponvariantattachments" },
    { 0xC0C71A6A67165C8E, "getweaponvariantids" },
    { 0xFF95F119CE4B3860, "getweaponvariantindex" },
    { 0x44B2A93705A5D75B, "getweaponvarianttablename" },
    { 0xE1D7BBE7559BC863, "getweaponviewmodel" },
    { 0x3F25ECE89E58A3CF, "getweaponweight" },
    { 0x3963EEA3CDF58DD9, "getweightedchanceroll" },
    { 0xCB193C980D32B951, "getweightedsum" },
    { 0x2124BFE74C1872B1, "getwheelsurface" },
    { 0xA81BDB0106E08144, "getwholescenedurationmax" },
    { 0xA7F8E90106BA5856, "getwholescenedurationmin" },
    { 0x78B27AD03FCDC22A, "getwincost" },
    { 0x335BBA9949B88348, "getwingamebytype" },
    { 0x1B29DE2C277FB230, "getwinningteam" },
    { 0x05D93FB5E2BF2E2D, "getworldupreferenceangles" },
    { 0x4F6BBF12A159A2BB, "getxmike109ammotype" },
    { 0xF32436EBE47B0299, "getxmike109impactfunc" },
    { 0x17975D502B433E51, "getxuid" },
    { 0xD8935EEBA17F1DB1, "getxuidhigh" },
    { 0x6525E4093AC8C15D, "getxuidlow" },
    { 0x2E9801B8B851699E, "getyaw" },
    { 0xA575F5EF3A0F6560, "getyaw2d" },
    { 0x6421EF363702E79C, "getyawfromorigin" },
    { 0x96F23707DC672229, "getyawtoenemy" },
    { 0xC72DDB3DF014334D, "getyawtoorigin" },
    { 0x02059D66CFEF6E4B, "getyawtospot" },
    { 0x99F8DB072D9036E4, "getyawtospot3d" },
    { 0x28C49EE819C67255, "getzbaseweaponname" },
    { 0x913EDB1142943356, "getzeroarray" },
    { 0x99ADBDFC81F7A4D6, "getzombiestealthvalues" },
    { 0x7C3A671E156DBCB2, "getzonearray" },
    { 0x24CC2BF690D70A10, "getzonecount" },
    { 0xC0A2A42BD9BE8095, "getzonenearest" },
    { 0x0ECA810F03A755B0, "getzonenodeforindex" },
    { 0x1761D6450391AAC6, "getzonenodes" },
    { 0xCB719ED303CD104F, "getzonenodesbydist" },
    { 0xC019620F18D62CBB, "getzoneorigin" },
    { 0x52D83C57A558D812, "getzonepath" },
    { 0x0725DD10ED19D41D, "ghalia" },
    { 0x57E175B17E91BAEA, "ghostadvanceduavwatcher" },
    { 0xAF62CF863D25AC18, "ghostridewhip" },
    { 0x88C5B286037272A3, "ghostskulls_complete_status" },
    { 0x8A9413CEF785F796, "ghostskulls_total_waves" },
    { 0x7A6B612D4AA9BA31, "ghostskullstimestart" },
    { 0x6FAD86218873A09D, "gib_override_func" },
    { 0x4FB108AFB065AC6C, "gibbing_buildskeletonlower" },
    { 0x098669FCDC2BBE51, "gibbing_buildskeletonupper" },
    { 0x96BEFABC28F26C68, "gibbing_cleanupgibmodels" },
    { 0x767ED6636AB32517, "gibbing_codeversion" },
    { 0xBE5A32755634FF10, "gibbing_gibai" },
    { 0x24EEF920D5A9F08D, "gibbing_scriptversion" },
    { 0x2B12183A0FC96869, "gibbing_shouldgibai" },
    { 0x66D7DB77F0219FD9, "gibbing_skeltonbuildpart" },
    { 0xD39FF646D941170D, "giv_emp_drone" },
    { 0xD5F0D0014D9FB41D, "give_action_slot_weapon" },
    { 0x442121D8337AC912, "give_adrenaline_for_time" },
    { 0x74143A1C5C0A3C43, "give_adrenaline_shot" },
    { 0x467EAEFE0DF829E6, "give_alex_weapon" },
    { 0x32BDB61957780497, "give_all_players_munition" },
    { 0x4F6C2B66623E3365, "give_all_players_nearby" },
    { 0xDC882FCD61EB5A38, "give_ally_equipment" },
    { 0x184093DDC60898C7, "give_ammo" },
    { 0x09E56D4D54B45F0E, "give_ammo_clip" },
    { 0x692D1133165A54B6, "give_ammo_from_scavenged_weapon" },
    { 0x42F1CE000CB0CCBD, "give_ammo_to_player_through_crate" },
    { 0x21F93B95C13AB67C, "give_ammo_to_stock" },
    { 0x91623ABB668BDAB8, "give_amped" },
    { 0x63E95B23D44DB3C4, "give_and_switch_to_loadout_weapons" },
    { 0xC5A8A8476C198CD1, "give_and_switch_to_primary_weapon" },
    { 0x7B230F2052DA7E21, "give_and_switch_to_secondary_weapon" },
    { 0x6B2A4CCE26242C06, "give_and_switch_to_weapon" },
    { 0xC60580650487BC5F, "give_armor_loadout" },
    { 0xA5A1EB6E01DE729B, "give_assault_class" },
    { 0xB58A54FDFFDD7018, "give_attacker_kill_rewards" },
    { 0x9E1C6D26C38B336A, "give_auto_revive" },
    { 0x61C42D3FFD7BB2F6, "give_auto_revive_crate" },
    { 0x031EC48B709D070D, "give_beam_ammo" },
    { 0xB47C4B3BDDCE9723, "give_bullet_penetration" },
    { 0x3451C5EBC2999A7F, "give_capture_credit" },
    { 0x2BE51DF6675E9FD8, "give_clip_of_ammo" },
    { 0x7CDC50A039EA349B, "give_cloak" },
    { 0x4BB9B734C6605AEE, "give_closest_player_nearby" },
    { 0x5C4D2EC12BB86754, "give_cluster_strike" },
    { 0x37921108EFB33EDA, "give_consumable" },
    { 0x3F6EE00ECD0C7876, "give_core" },
    { 0xA0B9997B7CB254B3, "give_crafted_ammo_crate" },
    { 0xEA5300BD1389B282, "give_crafted_sentry" },
    { 0xD3A7C85C364D6439, "give_crusader_class" },
    { 0xD3F1897F0181E556, "give_death_intel" },
    { 0x18689B982C0EB60D, "give_default_class" },
    { 0xA00D1D1C03CAE3E8, "give_default_terrorist_loadout" },
    { 0x497C7136042511A6, "give_deployable_cover" },
    { 0xDFB57B4F3980E2C6, "give_deployable_crate" },
    { 0x09A304F05367209E, "give_disguise_via_clothes" },
    { 0x6D89AEEF01FFE397, "give_engineer_class" },
    { 0x641448BDD5D95283, "give_eod" },
    { 0xB7DB6D736EF6235B, "give_equipment_from_loadout" },
    { 0xCC945D57CDD3F10C, "give_fast_fire" },
    { 0x571E1E2550758F54, "give_fists" },
    { 0x0A3955A11F15FAD2, "give_fists_if_no_real_weapon" },
    { 0xA7BAD423C5793CCB, "give_flashlight" },
    { 0x29B7039B014391AD, "give_full_stoppingpower_clip" },
    { 0x140A21967360EAA6, "give_green_beam" },
    { 0xCA02FA31BE9AC8A5, "give_grenade" },
    { 0x1F5B1864F989FAE7, "give_grenadier_launcher" },
    { 0x809FC4D6C3CFCD21, "give_gunner_turret" },
    { 0x58085A349DE117A8, "give_gunship_access_after_personal_delay" },
    { 0xDC43381BDFDE28E1, "give_guy_pacifist_override" },
    { 0x0805B1F3F3EB9FE0, "give_hack_target" },
    { 0x6EB81D9B3225E2C9, "give_health_pack" },
    { 0xA4280E20524DC334, "give_hunter_class" },
    { 0xBD301E34CFD03B05, "give_hvt_ar" },
    { 0x7BE665AAED53B698, "give_infinite_ammo" },
    { 0x20F3A678E95414E6, "give_instant_revive" },
    { 0x045DF71D314A4CA8, "give_intel_data" },
    { 0x28DC831590525254, "give_intel_weapon" },
    { 0x82759FB97C665F10, "give_inv_cooldown" },
    { 0x5A9B44C92B36BAB4, "give_invulnerability" },
    { 0xE7FA3281578F473B, "give_juggernaut_suit" },
    { 0x41888373A22BD906, "give_kidnapper_loadout" },
    { 0x0EB0D77A36AB933E, "give_killstreak_airstrike" },
    { 0x5F0BF17F905384A2, "give_killstreak_cluster" },
    { 0xFECADD3C02E2B287, "give_killstreak_sentry" },
    { 0x34017BFD5FFFCDEB, "give_kyle_weapon" },
    { 0xFE012CF0418983BF, "give_laststand" },
    { 0x7596F5B44C383C81, "give_launchers_xmags" },
    { 0xDE998EEFA69B4BB0, "give_loadout_after_entire_landing_is_done" },
    { 0x78AE6FF9FE150A39, "give_loadout_and_core" },
    { 0xA07CF658CFE2A0A6, "give_loadout_back_after_landing" },
    { 0xCBD8374BACEABC7A, "give_loadout_func" },
    { 0xA84A2522BCD8BE46, "give_long_range_loadout" },
    { 0x12A2ED3503719432, "give_loot_based_on_pickup" },
    { 0x1CDE8250D50F2DFB, "give_mark_enemies" },
    { 0x34228315E69A4410, "give_max_ammo_to_player" },
    { 0x0FFB174DC81ACAAA, "give_medic_class" },
    { 0x90DD19ACC32ADF08, "give_melee_weapon" },
    { 0x4DE28DBE7A7FB2A0, "give_message_to_player" },
    { 0x01E6494349C8911E, "give_missile_defense_weapons" },
    { 0x6C81802C07800EF5, "give_mp_super_weapon" },
    { 0xC9922F92D0C7B8B0, "give_munition" },
    { 0xA2C68C7CD89353EE, "give_munition_currency" },
    { 0xBFD590C98FBB7FAD, "give_munition_to_slot" },
    { 0x06C1A2DFC14B15E5, "give_nuclear_core" },
    { 0x7DACE53237C52B12, "give_nuclear_core_from_parachute" },
    { 0x4BD84802E6AB81C6, "give_nvgs_after_delay" },
    { 0x69AF5C026AB8BB09, "give_objective_skillpoints" },
    { 0x5C1B4DE3A8D0312A, "give_objective_xp_to_all_players" },
    { 0xA35EF83301F8C4F7, "give_offhand" },
    { 0x42A05C2D56182E4C, "give_offhands" },
    { 0x8EAC908AF2898E46, "give_one_lead_to_each_player" },
    { 0xA43D908A94B4293D, "give_operator_based_on_task" },
    { 0x1B3D7603E4C33309, "give_periodic_jugg_pulses" },
    { 0x1F049D8F5B6D77DB, "give_permanent_perks" },
    { 0x59071B41019EDFA1, "give_pistol_ammo" },
    { 0x0C026DBA6C14596E, "give_pistol_ammo_if_nerf_active" },
    { 0x0BFB9D96E9338B6F, "give_player_class" },
    { 0x368051228A72B51E, "give_player_class_abilities" },
    { 0x3EF9A1F268C574F6, "give_player_crafted_power" },
    { 0xAFCE699786827E86, "give_player_currency" },
    { 0xA5F6754AA006C6CB, "give_player_faction" },
    { 0x47D8310A2182DCB4, "give_player_grenade_on_respawn" },
    { 0xF56A06DC7C4C4F8D, "give_player_juggernaut" },
    { 0xD6848C0548D97DC5, "give_player_knife_on_respawn" },
    { 0x317E0BCA8D181824, "give_player_max_ammo" },
    { 0x8F94FBECB1E98151, "give_player_max_ammo_on_pickup" },
    { 0x03E03D9D5DB85EE9, "give_player_max_armor" },
    { 0x19DCE2103AC46C3A, "give_player_saw" },
    { 0x82802B488B16A04A, "give_player_session_tokens" },
    { 0x1530C176B6F11AA0, "give_player_session_xp" },
    { 0xCEBF24AFBB59C704, "give_player_super" },
    { 0x6A8C3CC12112FBB7, "give_player_wall_bought_power" },
    { 0xB7B3ED43D5D428D2, "give_player_weapon_xp" },
    { 0x6C7590E11BF9AF25, "give_player_xp" },
    { 0xA5FE5B012F504D0A, "give_playtest_munitions" },
    { 0xCF24CCC36F2CAC99, "give_point" },
    { 0x134A35971AEDD334, "give_poison_gas_loadout" },
    { 0x5312B0EF274EA153, "give_primary_attachments_only" },
    { 0x63196F9F231D137A, "give_primary_weapon" },
    { 0xF3B5284C421C2EED, "give_punchcard" },
    { 0xC38876CDCDA6375F, "give_radar_to_team" },
    { 0x355D71E8CDA98E06, "give_random_munition" },
    { 0x1DAEBD8D0D1A2334, "give_reaper_weapons" },
    { 0x6349FB719BB6B62E, "give_recon_silencer" },
    { 0x93A0ECAE78EDEB8C, "give_respawn_flare" },
    { 0xCEE56378E52CE906, "give_restock" },
    { 0x6DC421AD4171A326, "give_reward_based_on_task" },
    { 0x4552718A4794DF16, "give_saw_to_player" },
    { 0xFEFA65FF2DF7EF23, "give_scavenger" },
    { 0x57E26DFE26A0B768, "give_score_to_hero_team" },
    { 0xECA888C1A6397BF0, "give_scout_drone" },
    { 0xD3A98A37523DA32B, "give_secondary_attachments_only" },
    { 0xAEA8ED7448849D92, "give_secondary_weapon" },
    { 0xFCAE9EA9C4A4E8E1, "give_sentry_turret" },
    { 0x3EA85AB255C57BF3, "give_shoulder_launchers" },
    { 0xE4D7C10C710750F0, "give_shrapnel" },
    { 0x0B60D86DCD9972E8, "give_skill_points" },
    { 0xBA133F32CACE7084, "give_skillpoints_at_start" },
    { 0x973EC87D6A870B75, "give_soldier_armor" },
    { 0x631EDE1C791A506B, "give_soldier_helmet" },
    { 0x64AD57C43A167883, "give_spotter_scope" },
    { 0xAE09FC6D994EC287, "give_stealth_loadout" },
    { 0x5976617C460FB6B0, "give_suicide_bomber_loadout" },
    { 0x6E1D0165FA6E2D5B, "give_super_ammo_after_loadout_given" },
    { 0x5C6B8D4FA6D8BD45, "give_super_weapon" },
    { 0x55525452D23B2023, "give_surrendered_intel" },
    { 0x3AC6B35571E59A3A, "give_tank_class" },
    { 0x33F3D18BE04C65FC, "give_team_armor_buff" },
    { 0xCFAE5F87B73586B6, "give_team_auto_revive" },
    { 0x85E50FEE1C3E238F, "give_team_stopping_power" },
    { 0x76C3ABFFCFE12EA8, "give_thermite_launcher" },
    { 0x4DAD410E30B8D0D1, "give_toma_strike" },
    { 0x81A477EA7811F821, "give_tune_up" },
    { 0x4E77DABE827E0667, "give_uav" },
    { 0x070DDD0EC653DD8B, "give_up_asset" },
    { 0x53F472176A39E413, "give_up_counter" },
    { 0xF18F78248FD99379, "give_up_easy_setup" },
    { 0x0FFC088CAE58DDB7, "give_up_func" },
    { 0x3D7EAA154B66B23B, "give_up_loop" },
    { 0x311425484DBD63C9, "give_up_monitor" },
    { 0xAB6BA1307B8719AF, "give_up_push_anim" },
    { 0x591A90FE8AEC7E2A, "give_up_release_anim" },
    { 0x1E50AFD60AAB3D92, "give_up_release_sequence" },
    { 0x7663416C52E38C5E, "give_up_request_sequence" },
    { 0x6AA962C3943EDB33, "give_up_requested" },
    { 0x6D16052732396D76, "give_up_rumble_ent" },
    { 0xABA8179E9B861106, "give_up_state" },
    { 0xBA252BEB5BF39F13, "give_updated_loadout" },
    { 0x6D8B97A8FFC1E109, "give_weapon" },
    { 0x8654E32063ADB4E5, "give_weapon_alt_clip_ammo_hack" },
    { 0x962560EFBA183503, "give_weapon_coop" },
    { 0x71FB40116E94ED6C, "give_weapons_back" },
    { 0x51E8F609CEF7F100, "give_weapons_from_loadout" },
    { 0x114C82A86DF71CE2, "give_xp_to_all_players_hack" },
    { 0xCFD94459ABE0D302, "giveaccessory" },
    { 0xCD350B8CB786A21F, "giveachievement" },
    { 0xAB844168745A6A3B, "giveachievement_wrapper" },
    { 0x79B83FCDDDBFEDFB, "giveachievementpilotkill" },
    { 0xA05F0DAFA7688E60, "giveachievementsmoke" },
    { 0x44A9B9E27FE430F7, "giveachievementwildfire" },
    { 0xCE313D6E41910BBA, "giveadrenalinecrate" },
    { 0xC74AC81183FCF2CE, "giveammo" },
    { 0x8418DE3712A88DDD, "giveammocrate" },
    { 0xE9F7FB3B9F2DA2F7, "giveandfireoffhand" },
    { 0x773FB9E4C98AA447, "givearmor" },
    { 0xC4D12714BA4D1FFE, "givearmorcrate" },
    { 0x842738452D75619C, "givearmorvalue" },
    { 0xE6EDF027E1155B61, "giveaward" },
    { 0x5AAAF978319DBB60, "giveawardfake" },
    { 0x150CA912CDE33DCC, "givebmodevloadouts" },
    { 0xC062207E974AFA37, "giveboostscore" },
    { 0x67691DE9BA5422B3, "givebrbonusxp" },
    { 0xA257BD65267FB3BD, "givebreachscore" },
    { 0x7259BBD451F83388, "givebrweaponxp" },
    { 0x8510D8316285AFFC, "givecaptureawards" },
    { 0x6153C8E6D8101F8F, "givecarryremoteuav" },
    { 0xD020EEFE2FF6CBAB, "givecover" },
    { 0xA5F5D2AC3A48EB24, "givecrafteditemthruluinotify" },
    { 0xAEFDA910C1F37ACD, "givecustomloadout" },
    { 0xBD371F78C23EB66F, "givedefaultlaststandweapon" },
    { 0xFE9BB257D2E862DB, "givedefaultloadout" },
    { 0x4FD2EDF3ED13192C, "givedefusescore" },
    { 0xB3AAFEDD3E181945, "givedisguiseonspawn" },
    { 0x3D653F3713F0E6F8, "giveequipment" },
    { 0xB62A0ACA894C2FEB, "giveequipmentasaweapon" },
    { 0xCB4BD8C0114EF7D6, "giveexecution" },
    { 0xDB6D8E91E7A5F4C5, "giveextraaonperks" },
    { 0x9C72EA7A14472543, "giveextrainfectedperks" },
    { 0xE5A882F92907A531, "giveflagassistedcapturepoints" },
    { 0x7A447A977325CF27, "giveflagcaptureassistxp" },
    { 0x8A1904D6938F3528, "giveflagcapturexp" },
    { 0x7ABF0A91FA621EE4, "givefriendlyperks" },
    { 0x39F33710D9D0B6EB, "givegesture" },
    { 0x466A333F4C125E81, "givegoproattachments" },
    { 0xB41AB5E68C8DC680, "givegrabscore" },
    { 0x350399150CA1BB62, "givegrenadelauncher" },
    { 0x19DC3BEA51C16E63, "givegunless" },
    { 0xF7D92FE481EF9450, "givegunlesscp" },
    { 0x1B931D62B5A5BE89, "givehealedoverlay" },
    { 0xB631ACF8424DD5E5, "givehealthcrate" },
    { 0x6DA1A0A7D456DD61, "giveholywater" },
    { 0xDFB46E8022B11E7A, "giveinteractiveinfilweapon" },
    { 0x9036F6F20C9F97CC, "giveitembasedoncraftingstruct" },
    { 0x8D5688086CF2A4A4, "givejuggernaut" },
    { 0x74D661D82767C5A9, "givejuggloadout" },
    { 0xCDA72811C45FDA57, "givekillreward" },
    { 0x09DD7CC4B39234D2, "givekillstreak" },
    { 0x20BA533C4F0FD00E, "giveknifeback" },
    { 0x9232ADFFA2714865, "givekscratetoteam" },
    { 0x5C63D7CD1EBD4914, "givelastonteamwarning" },
    { 0x13CD5E520293E12A, "givelaststandifneeded" },
    { 0x764020F80E195974, "givelaststandweapon" },
    { 0x9A848CA1A9AFBBC0, "giveloadout" },
    { 0x03D4FEB8785CE894, "giveloadoutafterinfil" },
    { 0x5E4F35E05D3545BA, "giveloadouteverytime" },
    { 0x2A51074FB0756070, "givematchbonus" },
    { 0xD5DA06849CBB0057, "givematchloadout" },
    { 0xB1215751E274DAEC, "givematchloadoutfordropbags" },
    { 0x9DD91F863EFD7F55, "givematchplacementchallenge" },
    { 0xA48787F7C04D6C58, "givemaxammo" },
    { 0x3B65F99DD63F8079, "givemeritscore" },
    { 0x3E29B5D30D872A60, "givemidmatchaward" },
    { 0xDD4CBC595A3BE216, "givemidmatchawardfunc" },
    { 0x8F5DABBE3912EF08, "givemunitionfromluinotify" },
    { 0x39CC23E844F1488A, "given_achievement" },
    { 0x4E5AF3EC711647E1, "givenextgun" },
    { 0xBC2AA04252146DD7, "giveobject" },
    { 0x8EF7A394D0A2CFB3, "giveonemanarmyclass" },
    { 0x5300A8CCE25DA0EB, "giveortakethrowingknife" },
    { 0xA5D3C1702980ED84, "giveperk" },
    { 0xD5CA75C5C107E084, "giveperkoffhand" },
    { 0xF127E9BD3355BE6F, "giveperkpointstoplayer" },
    { 0x31A060AB468B5635, "giveperks" },
    { 0xF1223197CF7F4794, "giveperksafterspawn" },
    { 0x4578E9AF13702719, "givephteamscore" },
    { 0x47894D6BB98419AF, "giveplaceable" },
    { 0x665A929A53A004A9, "giveplayeraccessory" },
    { 0xCA5E7B9C217B32AF, "giveplayerbonuscash" },
    { 0xFEF6DB0E405B0C2E, "giveplayerpassive" },
    { 0x4E1B71ED6A33D096, "giveplayerpoints" },
    { 0xCE82F58A092772A5, "giveplayerscore" },
    { 0x29F5A54915370BE1, "giveplayerweaponxp" },
    { 0x82A2CE142F7CFC60, "givepointsandxp" },
    { 0x97148D952485EE59, "givepower" },
    { 0x34264DC248C1CA10, "givepracticemessage" },
    { 0x5CAA4716946BA06E, "giveprematchloadout" },
    { 0x808194167FD80F22, "givequest" },
    { 0x301A01B6F1CA8E2D, "givequestreward" },
    { 0x9643D532BC6D8F74, "givequestrewardgroup" },
    { 0xB82F187BCD61D01A, "givequestrewardref" },
    { 0x93C02355C07718BA, "givequestrewards" },
    { 0x0B755ABF70E11D45, "givequestrewardsinstance" },
    { 0x033D79ADED412499, "givequestsplash" },
    { 0x397BC7DE326579C7, "giverandomloadoutindex" },
    { 0x73FE60D7406C5926, "giverankxp" },
    { 0x6188A5454258592D, "giverankxpafterwait" },
    { 0x2AC61D7C2201DF0C, "giverateye" },
    { 0x1272F2639F08B15A, "giverecentshieldxp" },
    { 0x716DDF210859470C, "giverewards" },
    { 0x2D2549F4F06FEAFB, "giveriotshield" },
    { 0x89BFFCB6EC9B389E, "givescavengerammo" },
    { 0x2A6DCB843CA1F795, "givescoreforassistdestroymarkedtarget" },
    { 0xD2BE6C31B019119D, "givescoreforblackhat" },
    { 0x4EF455DBDF0BF372, "givescorefordestorymarkedtarget" },
    { 0x79FCBDC59D54CF89, "givescorefordestroyedtacinsert" },
    { 0x0E98AE52B7B7EA22, "givescoreforempedkillstreak" },
    { 0x74222880C1FA4645, "givescoreforempedplayer" },
    { 0xEDE31196436A5860, "givescoreforempedvehicle" },
    { 0xE24709B5959DB78B, "givescoreforequipment" },
    { 0x64EE6AF7DC7116E4, "givescoreforhack" },
    { 0x135ACCD3168BD51D, "givescoreformarktarget" },
    { 0x362BF059DE7B7C46, "givescorefortriggeredalarmeddoor" },
    { 0x6BCEAD8ACC824795, "givescorefortrophyblocks" },
    { 0xEBA7CFB6697F2A67, "givesentry" },
    { 0x4725198CB5B3F7D2, "giveskillpointsthruluinotify" },
    { 0x994525DD538955C0, "givespecialistbonus" },
    { 0x630E0C26F0422A2A, "givespecialistbonusifneeded" },
    { 0x4A96E9B9ECDDC6C9, "givestandardtableloadout" },
    { 0x91991726F6EAE8D2, "givestartammo" },
    { 0x3F4E418CCB85D65B, "givestartingarmor" },
    { 0x7DDCD0BCD8BACF24, "givestealthperks" },
    { 0xEEEE12236AB1B1D5, "givestreakpoints" },
    { 0x0292AB89330A9A7A, "givestreakpointswithtext" },
    { 0xB27395D2849655FB, "givesuper" },
    { 0x81F1D36DF357D709, "givesuperdisableweapon" },
    { 0x9136D75AC27E2DD0, "givesuperpoints" },
    { 0x49E33D5515B9EB57, "givesuperpointsonprematchdone" },
    { 0x9E8F2A48AF34184B, "givesuperweapon" },
    { 0x6B600B932639F597, "givesurvivortimescore" },
    { 0x17A8E3AC782EA771, "givetagsfromcache" },
    { 0xF16F9A4A7E014983, "giveteamplunderdistributive" },
    { 0x5C4253D45D7CE3D2, "giveteamplunderflat" },
    { 0x2B5F989F4D42FB32, "giveteampoints" },
    { 0x23EF4C9A6F8B4B17, "giveteamscoreforobjective" },
    { 0x3CE29FDE92AED50A, "givetkontispawn" },
    { 0xEB90A96B50733F85, "giveunifiedpoints" },
    { 0x32BAF6998EF3B74E, "giveuponsuppressiontime" },
    { 0xBC6893BAB6BD0D42, "givevalidweapon" },
    { 0xEB90439FF464A7D4, "giveweapon" },
    { 0xA82326E94CB19BA4, "giveweaponmaxammo" },
    { 0x3BB7B6337DBC67C6, "giveweaponpassives" },
    { 0xFCA35E5B52F377C8, "giveweaponpickup" },
    { 0x37AD45348C6CD092, "giveweaponsfromdropbag" },
    { 0xD8C2A359A2BDF895, "giveweaponxpfromtimebr" },
    { 0x7E8C7F40AA8F50DB, "givewincondition" },
    { 0x78FC456DBB15B6D7, "givexpwithtext" },
    { 0x04FBCCC70E3227D8, "gl_audio_hooks" },
    { 0x99E43685E5B992F1, "gl_proj_override" },
    { 0x46D468323565D63B, "glanceatentity" },
    { 0xE84C347205D6B6DA, "glanceatpos" },
    { 0xA31633BC52893EED, "glancestop" },
    { 0x72C6E5AED4EF8276, "glancing" },
    { 0xD6DE6231DD3558AF, "glass" },
    { 0xA9E3F2D7D131807B, "glass_destroyed" },
    { 0x9633142A95D6232B, "glass_management" },
    { 0xE05C8F952AED02CF, "glass_panes" },
    { 0x98FFDCD771506CF8, "glassradiusdamage" },
    { 0xF27B742BFC735AD0, "glgrenade" },
    { 0xFEFF46A81EA6CB30, "glgrenadeparent" },
    { 0x641D1531899194B3, "glint" },
    { 0x01C67A350E0E2295, "glintfx" },
    { 0x01E582350E30860E, "glinton" },
    { 0x819B2A1606B37BCA, "global_ai_func_array" },
    { 0x12C945EFB313CE61, "global_callbacks" },
    { 0x5005BFD4D91F273A, "global_civ_spawn_func" },
    { 0x86518B4515977209, "global_color_func" },
    { 0xDC73045D46562531, "global_door_threads" },
    { 0xECEDD71B7ADBA84A, "global_empty_callback" },
    { 0xCFE5FBCC01663F99, "global_fx" },
    { 0xF719B487C62C5F81, "global_physics_sound_monitor" },
    { 0x8178EAA5BBBF8AC1, "global_relic_amped_func" },
    { 0x239A649FD3A19AF3, "global_relic_landlocked_func" },
    { 0x17AB40E859B7716E, "global_relic_squadlink_func" },
    { 0xA11536C3B3A34629, "global_relic_team_prox_func" },
    { 0x23B8A2409ADCBEFD, "global_spawn_func" },
    { 0x24F0BDCFDB364022, "global_stealth_broken" },
    { 0x2ADCB138902D6C35, "global_stealth_broken_func" },
    { 0xDFA384CF4EEC25D5, "global_stealth_tracker" },
    { 0x8859D0BD7BB1DE86, "global_tables" },
    { 0x6DFAF15852A7B6E0, "global_variables" },
    { 0x5DE643A6BD91DBE0, "global_vehicle_spawn_func" },
    { 0xA5D928639CF6454F, "global_weapons_free" },
    { 0x071D0019DECE4B7D, "globalchatqueuecheck" },
    { 0xBCD18BE83068A2FA, "globalobjectives" },
    { 0x6FED4F7C0054E990, "globalrelicsfunc" },
    { 0xE99F382E195F986B, "globalsonarthink" },
    { 0x739CA7B9E571BA71, "globalspawnareas" },
    { 0xF07F44FD8CAFD75F, "globalstruct" },
    { 0x5D885E3843B19386, "globalthink" },
    { 0x532096957067520C, "globalthreatlevel" },
    { 0x713681798600831C, "glowalpha" },
    { 0x119A64F0CA1BBC8F, "glowcolor" },
    { 0x8CC9233E713805A8, "glowstick" },
    { 0x9D07E89F45B53A20, "glowstick_anim" },
    { 0x358182E561B0C208, "glowstick_fade_vfx" },
    { 0x749FF3F8AA01B383, "glowstick_tag" },
    { 0x92DD40F8C09F2DCF, "glowstick_vfx" },
    { 0x6F33B9D5F55F5F24, "glprox_trygetweaponname" },
    { 0x78F265A4B05B41FE, "glstarthelidownevent" },
    { 0x528F883E68F769BE, "glstophelidownevent" },
    { 0xE3ECF9F47887F465, "glstopmoralesquest" },
    { 0xD78874E663B6C432, "go_away" },
    { 0xEC4A16EC3BFF00DC, "go_check_out_corpse" },
    { 0xF2DA71A4B65A6056, "go_fight" },
    { 0x8AD24B89972AE4EA, "go_hunt_down_player" },
    { 0x0A04E809469738C5, "go_into_elevator" },
    { 0xBD1AB5DADCF4F522, "go_investigate_loc" },
    { 0xA9E13EF1CE377164, "go_investigate_player_loc" },
    { 0x7E81B1B23B0C1054, "go_patrol_the_maze" },
    { 0x90D8983C85DF63F2, "go_through_patharray" },
    { 0x63B9E8735BEE0F8E, "go_to_3rd_floor_stairtain" },
    { 0x4A90962D6C692D97, "go_to_backyard_main" },
    { 0x652EEE356EE6D00E, "go_to_backyard_start" },
    { 0xFB655D0182BE2B16, "go_to_combat" },
    { 0xD7885E1858964874, "go_to_exfil_location" },
    { 0xFA6373759F0AD764, "go_to_exit_spots" },
    { 0xEFB79A79F34EBB43, "go_to_hunt" },
    { 0xB37B3EABFFD41FB2, "go_to_landing_destination" },
    { 0x3F47AFCD199643E4, "go_to_last_player_position" },
    { 0x6801F3AA79D494C6, "go_to_node" },
    { 0xFD912DB29FBC11FC, "go_to_node_arrived" },
    { 0xBE25C5A7ACB96C44, "go_to_node_callback" },
    { 0x197702D225F3A0C8, "go_to_node_end" },
    { 0x7BD583E89D1E368A, "go_to_node_internal" },
    { 0xF7B48D44F08544BB, "go_to_node_post_wait" },
    { 0xBFE0A231D9D9A1BD, "go_to_node_set_goal" },
    { 0xC4C0713F7B3DD713, "go_to_node_set_goal_ent" },
    { 0xBB8C3C110A22FA92, "go_to_node_set_goal_node" },
    { 0xD9C2814046CB878C, "go_to_node_set_goal_pos" },
    { 0xF78265C13C0F01E5, "go_to_node_should_stop" },
    { 0x18FCDA555204BDBD, "go_to_node_targetname" },
    { 0x82EAF584B13C58E2, "go_to_node_wait" },
    { 0x5712C9D968C46136, "go_to_node_wait_for_player" },
    { 0x20B3C6A95E23DE1A, "go_to_node_wait_investigate" },
    { 0xDEEAC392C673C40A, "go_to_spot" },
    { 0x33A72EB6ED0D2CB2, "go_to_struct_targetname" },
    { 0x9472108EA332CEF0, "go_to_targetname" },
    { 0x5E1FCD142C493805, "go_to_targetname_helper" },
    { 0xB1318C85443D2A4A, "goal" },
    { 0x93103AE81F939E68, "goal_ar" },
    { 0x7C67FAE1FEC7BB7D, "goal_changed" },
    { 0x59FA582299B14078, "goal_default" },
    { 0x30CAD27562817428, "goal_distance" },
    { 0xC4B0F47D455B89CC, "goal_ent" },
    { 0x72C32E977158D7D4, "goal_ent_player" },
    { 0x44776487D024E97E, "goal_ent_position" },
    { 0x18C3F62682692720, "goal_pos_override" },
    { 0xA0365F49840C066C, "goal_position" },
    { 0xE0C49E0DEDB76A2D, "goal_radius" },
    { 0xAF37F152A36A7E8F, "goal_reached" },
    { 0xA46448572CF5A1FB, "goal_shotgun" },
    { 0xC917F97E03F848F4, "goal_smg" },
    { 0x5451FD0EC17F7C97, "goal_type" },
    { 0x3EA39675E3EBA8BE, "goal_watch_game_ended" },
    { 0x1544DFE54BBF7648, "goal_waypoint" },
    { 0x7310F37DC548772A, "goal_yaw" },
    { 0xA409667B8122DCFD, "goal_zone" },
    { 0xD3A1B5E90B1221DE, "goalang" },
    { 0x54DE9ADC3641AC00, "goalanims" },
    { 0xDC80B0D82014ED26, "goalenabletimer" },
    { 0x0B0F68E932BFA987, "goalent" },
    { 0x3757049500521C14, "goalflag" },
    { 0x40B8B6BDC03E9E89, "goalheight" },
    { 0xC3B8B6D160C5ABEC, "goalmovetimer" },
    { 0xBCF750DBFC8ADD26, "goalnode" },
    { 0xC3713612FF6ADD92, "goalnode_pw" },
    { 0x1EC428CC6564C1EF, "goalnodes" },
    { 0xACD018E9AA1C2EE0, "goalpos" },
    { 0xE7CB4378AE750A20, "goalpos_and_nagtill" },
    { 0x0AD9AB002FA846C8, "goalradius" },
    { 0xCAC6426601DBD2F1, "goalradiustarget" },
    { 0xED2242151283DB5B, "goals" },
    { 0x6B4377D91AE9C7AF, "goalstruct" },
    { 0x70C12D399D8B416B, "goaltime" },
    { 0xA96A874216DD2DEA, "goaltriggerwatcher" },
    { 0xE5CC812995723F62, "goalvolumecoveryaw" },
    { 0xD9C6D591653E1DDD, "goalvolumes" },
    { 0x465A0DE95EABDF5D, "goalyaw" },
    { 0x4550334D598D7C1F, "goback_func" },
    { 0x72B16591EA41E3C2, "god_until_damage_by_player" },
    { 0xF96168E10CCC5326, "godmode" },
    { 0x2B5466139608F8CE, "godoff" },
    { 0xC272D214F388F334, "godon" },
    { 0xA6B41E0D8F961A0B, "going_for_knife" },
    { 0x12927D2F439A133F, "going_to" },
    { 0x599783FA248BF7B4, "going_to_exfil" },
    { 0x801D5348006B2FD7, "going_to_object" },
    { 0x9151D872CF4BD6F5, "going_to_player" },
    { 0xC6E430D545EB7223, "goingtoproneaim" },
    { 0xE17078393030B702, "golden_enemydamage" },
    { 0xC302B4A85C31EB07, "golden_enemydeath" },
    { 0x6361B55C5E5814FA, "golden_friendlyfire" },
    { 0x04D394AFECC92A5F, "golden_path_fail" },
    { 0x501A4FAB6567C414, "goldenpath_moveto" },
    { 0xC547BD0274C8D5B3, "goldscore" },
    { 0x951F0F82583882CE, "goldtime" },
    { 0x0C44BDBD892D4EBE, "goliath_ai" },
    { 0xE97AA6BCE0DBEF0C, "goliath_blood_stab_hands" },
    { 0x2DED8C96B5E78712, "goliath_blood_stab_vfx" },
    { 0x26A2EF78AFCA4423, "goliath_bloody_footsteps" },
    { 0x8D51D50D4CA1472E, "goliath_body_model" },
    { 0x5D53EDD0A33A6DB1, "goliath_boss" },
    { 0xBBE4C2CEB818D994, "goliath_boss_location_monitor" },
    { 0x5F98280851DC489A, "goliath_boss_round" },
    { 0xC8D16C591A2E1B25, "goliath_counter_kill" },
    { 0x89AE3A5E567604E5, "goliath_counter_monitor" },
    { 0xC7AF72D8DAC1E5FD, "goliath_delete_weapon_interacts_monitor" },
    { 0xC68AFC74A281482E, "goliath_flashlight" },
    { 0xB7A9B12B1128AE84, "goliath_grab_give_up_and_shoot" },
    { 0x6EBA78CD46EF7309, "goliath_grab_init" },
    { 0x80BA89D46E575C7F, "goliath_grab_monitor" },
    { 0x282B320C244222B0, "goliath_has_lost_enemy" },
    { 0x579232E48B469CD8, "goliath_hunt_known_location_monitor" },
    { 0x4E040C76AA4E8BF2, "goliath_init" },
    { 0x037EBD12E4E6D1AB, "goliath_investigate" },
    { 0xFAB380FFA7D9C472, "goliath_knife_fov_scale_factor" },
    { 0xE1349E01E087C9AC, "goliath_knife_monitor" },
    { 0x5E52AEEBC74FAC8F, "goliath_melee_allowed" },
    { 0x35BC95B2FA3EFED0, "goliath_melee_weapon_interact" },
    { 0x3C4D3F3984C8AF85, "goliath_melee_weapon_spawn_count" },
    { 0xF851E57D027DF678, "goliath_melee_weapon_spawn_interact" },
    { 0xBBB14864894186A9, "goliath_melee_weapon_swap" },
    { 0x9388A40D7D627D0D, "goliath_player_death_monitor" },
    { 0xA1582EA99D1448F0, "goliath_player_location_monitor" },
    { 0xBBA30F19D8BB98C7, "goliath_procedural_bones" },
    { 0x4DD1993BA0C04C50, "goliath_room_time_monitor" },
    { 0x3F649A8506D8F369, "goliath_round_monitor" },
    { 0x0A4CA0A05FEEB899, "goliath_sees_player_monitor" },
    { 0x3692771EA0ED69D5, "goliath_setup_stealth" },
    { 0xDD8967CF3D2EC2D1, "goliath_smartobject_notetrack_handler" },
    { 0x8DCF87AABBCDF376, "goliath_spawn_func" },
    { 0x3FC7B9C20470FC41, "goliath_stab_model_swap_monitor" },
    { 0x8BE52641CF44D69D, "goliath_stab_time_monitor" },
    { 0xD2DD27826C481C82, "goliath_stealth_filter" },
    { 0xD3781FD79C5018C7, "goliath_strangle_effects" },
    { 0xD91CA99452D701DA, "goliath_strangle_effects_capture" },
    { 0x725B4E02B930CE97, "goliath_struggle" },
    { 0x234FC346028BC97C, "goliath_struggle_fail" },
    { 0x7338261BE3749913, "goliath_struggle_fill_intensity" },
    { 0x4B9FA3102A8D6DE9, "goliath_struggle_key_intensity" },
    { 0xA99E85BC5F10610D, "goliath_struggle_lights" },
    { 0x4CA803D7DA1E5B00, "goliath_struggle_player_check_final_pos" },
    { 0x4720D08E57AE3DE8, "goliath_struggle_stab" },
    { 0xCB998B82EFDF0E81, "goliath_struggle_stab_check_for_close_victim" },
    { 0x984DDD858AAC1C1A, "goliath_struggle_stab_direction" },
    { 0xF835E152B96F46E9, "goliath_struggle_stab_monitor" },
    { 0xFBD00BB9AAD466C8, "goliath_struggle_stab_slow" },
    { 0x818FCC8128391F10, "goliath_struggle_stab_slow_player" },
    { 0x74820F9E9E7DB209, "goliath_struggle_use_gun_scene" },
    { 0x2718CE6118978A20, "goliath_swipe_awareness" },
    { 0x1797A22E72D0F2C9, "goliath_weapon_exists" },
    { 0xEC679C0AB1309406, "goliath_weapon_interacts_array" },
    { 0x25D4F99D83CFB2B1, "gonevo" },
    { 0x7FD593B719CE6E45, "good_guys" },
    { 0xCB8F5E69EFF27776, "good_hit" },
    { 0x2755E271CBE043CB, "goodbye_father_vo_captions" },
    { 0x7487AE5DA56F7AD8, "goodenemy" },
    { 0x1CF07E2042BAE046, "goodjobplayer" },
    { 0xF1BEE346A446E863, "goodshootpos" },
    { 0x8A8120A0359D7A51, "goodwork" },
    { 0x166B40F84B0DB6C0, "gopath" },
    { 0x5A853C13BF1A9C40, "goprocamerasettings" },
    { 0x9C9207C084229ED8, "goprohasattachments" },
    { 0xFA285528E1F47EA3, "goprohelmet" },
    { 0xD849421A3180BE86, "goprohelmetprecache" },
    { 0x6C15FEB117FF08C4, "gopronone" },
    { 0x881A44913199BAD6, "goprooverlay" },
    { 0x0C7969033EAAEF17, "goproplayerthread" },
    { 0x803A9E188752BFF6, "goprotest" },
    { 0x82B1EFF6F1CC2346, "goprovision" },
    { 0xDF7FC4322A4B1541, "got_a_lead_return_to_safehouse_vo" },
    { 0x4A838A971835997C, "got_gas_mask" },
    { 0xF54AF8D0045207FF, "got_hint" },
    { 0x53A4C3DC88D2F5C0, "got_rebar" },
    { 0x1A5F9D72ECCEDC6C, "gotachievement" },
    { 0xDE25209703068DE9, "goto_alarm_or_nearest_cover" },
    { 0xC73738B029A35E43, "goto_anim_pos" },
    { 0xDC4140303218CE05, "goto_bomb_and_use" },
    { 0x73F6885AE346C67E, "goto_boss_phase" },
    { 0xEFE5783C5132B9F4, "goto_current_colorindex" },
    { 0x3AEA580E5B3F7F94, "goto_delete" },
    { 0x768A8C8C2DA5CB01, "goto_finished" },
    { 0x8E80EDF3A1C4C512, "goto_goal_and_snipe" },
    { 0x1E661CAE4CC557AB, "goto_last_goal" },
    { 0x652B4D8AB31691F7, "goto_last_goal_and_clear" },
    { 0xAFEC376296BD1C72, "goto_nextnode" },
    { 0x93D53EB9334EFD42, "goto_node_and_callout" },
    { 0xF21685E8D01E01CD, "goto_patharray" },
    { 0xF0E43FA5D45CADA6, "goto_selected" },
    { 0xE048723261D95E08, "goto_state" },
    { 0x08803A4EA0796618, "goto_state_previous" },
    { 0xCB84597FB2452AF8, "gotocombatonly" },
    { 0x9E36D180D2D2FD85, "gotocornernagindex" },
    { 0x44A8C59331ED193A, "gotonextspawn" },
    { 0xAA882908510E13BE, "gotopatrolpoint" },
    { 0x1EA56A61D60C4D8B, "gotopoistate" },
    { 0xE6F18554E8C61E97, "gotopoistateontimer" },
    { 0xE83A14A788ABB2D8, "gotopos" },
    { 0xE6B8DA4A768836E2, "gotoprevspawn" },
    { 0x1BD9C33072111140, "gotpullbacknotify" },
    { 0x5315B1CB91C9876C, "grab_and_store_gates" },
    { 0x0B3593CD4C8EC76F, "grab_disguise" },
    { 0x5BA40C2E39FEEA4C, "grab_entities_inside" },
    { 0xB901E35D4EC34D37, "grab_glowstick" },
    { 0x20C04EAC151EE9DC, "grab_halligan" },
    { 0x2FEACA36975E44C6, "grab_nearby_soldiers_and_apply_settings" },
    { 0xFFEFAF7076C5DB4B, "grab_players_inside" },
    { 0xA0833399013B332A, "grab_rope_nags" },
    { 0xA92D216F35F72B8E, "graceperiod" },
    { 0x89B90A0F72DE27E8, "graceperiodgrenademod" },
    { 0x66B9CE2CD7AFE8B0, "graceperiodmonitor" },
    { 0x78CD7E7B42E32A49, "graduallyincreasespeed" },
    { 0xDC4E67493D6088BA, "granthelicopterpilot" },
    { 0xD82E7A71E5F421C8, "grantspotterkit" },
    { 0xA44AB8AD4C489057, "graph_position" },
    { 0xEA9E2AB46489F97C, "graverobberammo" },
    { 0x550768B5349E3D11, "gravity" },
    { 0x05CBD4AC217B294A, "gravity_gameplay" },
    { 0xCF3BD0C4472F19AB, "gravity_physics" },
    { 0x1B35FD7597786A99, "greatestuniqueplayerkills" },
    { 0x509F3EE700CB6402, "green_beam" },
    { 0xBD97E9FA26320ACC, "green_beam_demeanor" },
    { 0xFC32B88D76F8A4E4, "green_beam_does_vo" },
    { 0x9A2689F524794D60, "green_beam_equip_hint_check" },
    { 0x3189C78E658EB704, "green_beam_fade_off_lighting" },
    { 0x5DF3055C29187958, "green_beam_fade_on_lighting" },
    { 0x794A263A5C6B43DD, "green_beam_fill_light" },
    { 0xC437C488861F7EA6, "green_beam_icon" },
    { 0xD3B8BC13638F3017, "green_beam_pickup" },
    { 0x8F0A020D624FEB3A, "green_beam_rim_light" },
    { 0x5CC4DC9214CAA8EF, "green_beam_swap_hint_check" },
    { 0xCA3E8B840514EFD5, "green_beam_target_hint_check" },
    { 0xE2065EC74F7E07C7, "green_beam_weapon" },
    { 0x3B8142FE4D77155B, "green_light_transition" },
    { 0xFA098F40674F2D9F, "green_marines_move_to_hospital" },
    { 0xF7A43100FD12C0E0, "green_wire" },
    { 0x7077066037A69B1F, "greenbeamerror" },
    { 0xE36871C303729774, "greenhouse_misters" },
    { 0xD8EA7C97A47AA1C4, "greenlight" },
    { 0xE64004627B6EE146, "greenlight_end" },
    { 0x625CA34FFB0AF112, "greenlight_end_blackoverlay" },
    { 0x2A572CE13521DED5, "greenlight_fade_to_black" },
    { 0xE6E84444F5206FB9, "greenlight_fadeout" },
    { 0xFF637F326A472E42, "greenlight_mission_end_monitor" },
    { 0xCD6390AA1A3090C8, "greeter_marine" },
    { 0x5E6B07E3A2131CA9, "grenade" },
    { 0x2F7A02F0A50C7463, "grenade_array" },
    { 0xBE80F05C9545B707, "grenade_backup_handler" },
    { 0xC5CA51978C68F387, "grenade_badplace_think" },
    { 0xA4361064646AFB40, "grenade_cache" },
    { 0x47AF9C1C50F775F3, "grenade_cache_index" },
    { 0x8E8C26AB91EF909B, "grenade_chances" },
    { 0xE0E633C68561EC58, "grenade_crate_init" },
    { 0x5F45C74B26957F2A, "grenade_detonated" },
    { 0xCF260D89A8FB0979, "grenade_drop_cooldown" },
    { 0x5CABCE910A1EFE57, "grenade_earthquake" },
    { 0xE68F09D2BBFE0E5D, "grenade_earthquakeatposition" },
    { 0x700A42983974D5FB, "grenade_earthquakeatposition_internal" },
    { 0x1791136664E829CF, "grenade_effect" },
    { 0x6E687735BE7A0D74, "grenade_exploded_during_stealth_listener" },
    { 0x196ADD21CC1D7636, "grenade_fire" },
    { 0xE3B37615C8E8116A, "grenade_handler" },
    { 0x38AFBEF10DA36B2E, "grenade_listener" },
    { 0x4D2C85EB26CF59DC, "grenade_location_monitor" },
    { 0x8EE7DB8C4B5A14F2, "grenade_menu_kill" },
    { 0xB5FA9037ED663E22, "grenade_model_anims" },
    { 0x14DF7F28E9A748FF, "grenade_obj" },
    { 0x5A989D7F3E1600A5, "grenade_owner_name" },
    { 0x348039F820D62A2D, "grenade_pickup_handler" },
    { 0x3EA2C42450D79416, "grenade_pullback" },
    { 0xC470C8C81686B55F, "grenade_shield" },
    { 0xDBD6364E2D2C86BC, "grenade_structs" },
    { 0x765AC95AE354B795, "grenade_swap" },
    { 0xAAAEEFE1B5456F6F, "grenade_swap_clear" },
    { 0x4199750E345B5BCA, "grenade_trail_modifier" },
    { 0xD8EF48D72B9E1313, "grenade_types" },
    { 0xE42A43EEF8072C6B, "grenadeammo" },
    { 0x082D62B573E517D2, "grenadeavoid_terminate" },
    { 0xFD17B8C049B608FA, "grenadeawareness" },
    { 0x8BF8E97DE76BD4AD, "grenadebox_think" },
    { 0x841CB45DF03F09ED, "grenadeboxes_init" },
    { 0xCFFAF54D5C0F5C44, "grenadecooldownelapsed" },
    { 0x0CB68DF70E62A88B, "grenadecowerfunction" },
    { 0xCD046C549B32829D, "grenadedamagedialogdeck" },
    { 0x27F4C553E73468D2, "grenadedanger" },
    { 0x4F9D6BDC3494B6D1, "grenadedroptimer" },
    { 0x3AD28454627733DA, "grenadeexplosionfx" },
    { 0x0030F2951ECDF41D, "grenadefire" },
    { 0x3E4EF1625DFBCB2B, "grenadehealth" },
    { 0xC5A286D9B15DDA13, "grenadehealthatdeathframeupdatecallback" },
    { 0x43A1C81B5F19D483, "grenadeheldatdeath" },
    { 0x00635F48F9D3CD47, "grenadehits" },
    { 0x5C3B3B8A9E43493F, "grenadeinitialize" },
    { 0x557FA7F2A2E4FD0E, "grenadeinpullback" },
    { 0x269A3B4B5A2F7142, "grenadelandednearplayer" },
    { 0x3F2C22589488425B, "grenadelauncherfirerate" },
    { 0x893381AB32DBAFF3, "grenadeline" },
    { 0x5773FD935B6A8DAB, "grenadepossafewrapper" },
    { 0x56D66C1EB7658DFB, "grenadeproximitytracking" },
    { 0x0C1CE3462AA51C09, "grenadepullback" },
    { 0xF556375520A444B7, "grenadepullenabled" },
    { 0x1E66485BE6B237DB, "grenadepulltime" },
    { 0x8D28CB1C59F068AB, "grenadepulltimer" },
    { 0x97DB402FAD3AF025, "grenadereturnthrow" },
    { 0x306A2F4F0C5A80B9, "grenadereturnthrow_terminate" },
    { 0x273343D6154CAE01, "grenadereturnthrowchance" },
    { 0xB87F339D7008736E, "grenades" },
    { 0x341134196B8DED0C, "grenadesafedist" },
    { 0xFAC6540BE2213A7D, "grenadeshielded" },
    { 0xCA67A6AEA32A1267, "grenadestuckkill" },
    { 0xC17ADB7C32C447E2, "grenadestuckto" },
    { 0x7F2BF8751CF1A059, "grenadestucktosplash" },
    { 0x08D9A1FFF1449E8F, "grenadetag" },
    { 0xE6180C9264AC980B, "grenadethrowanims" },
    { 0xD2D9054414601FC7, "grenadethrown" },
    { 0x2F55A06FDBC45685, "grenadethrownevent" },
    { 0xA74040915CAEC229, "grenadethrowoffsets" },
    { 0xD742090E3F4E6333, "grenadethrowvaliditycheck" },
    { 0x25CA614074BDFBBF, "grenadetimers" },
    { 0x6475B47D35B9AA16, "grenadeusefunc" },
    { 0xBC0EA58AE7F0FC45, "grenadeweapon" },
    { 0xC0315A9C841D413D, "grenadeweaponoverride" },
    { 0xCE50D7B5FA90476A, "grenadier_anchor" },
    { 0x9D8CD9393E1C3CE3, "grenadier_weapon" },
    { 0xA8576A0DCD1D7100, "grid_origin" },
    { 0xB33623DAF7F62556, "grid_points_found" },
    { 0x4DC61B2A29AB78CE, "griggs" },
    { 0x97D7F6F6CA0B5830, "griggs_can_smoke_nag" },
    { 0x18F83B305B5F73AD, "griggs_damage_juggle_decay_handler" },
    { 0x349B516644563836, "griggs_damage_juggle_monitor" },
    { 0xDCABABE5FDC30474, "griggs_damage_points" },
    { 0x88C373CE0579BC29, "griggs_dialog_struct" },
    { 0xA4813DD231354695, "griggs_equipment_nag_monitor" },
    { 0x1AEF2B8C2CCE7491, "griggs_ied_street_stayahead_behavior" },
    { 0x049D50D28B704B26, "griggs_initial_smoke_reminder_called" },
    { 0xF7E8A29ED1F66A55, "griggs_loadout" },
    { 0xA6005D404B11D795, "griggs_lobby_cleared_vo_done" },
    { 0x3ACE71FF39099DBA, "griggs_move_up" },
    { 0x391492766A7E6739, "griggs_movement_handler" },
    { 0x7512F4E34488EF8C, "griggs_movement_to_alley" },
    { 0x93B7DD306270049E, "griggs_retreat_line_done" },
    { 0x21B633418AF9FBE9, "griggs_retreat_speaking" },
    { 0x8F56D9D540E3C6B5, "griggs_stairwell_advance_demeanor" },
    { 0x31A8F8CE32629C65, "griggs_supplies_refill" },
    { 0x0B80BD0CFD427A1C, "griggs_vo_civambush_speaking" },
    { 0xF5DFD4BB93D91722, "grill_dead" },
    { 0x2D08FC0B1A63BEC6, "grind_waiting_to_bank" },
    { 0x639A812BE2F10F66, "grnd_previouscratetypes" },
    { 0xB0CEDF07CE03BFE6, "grndextraprimaryspawnpoints" },
    { 0x0C2434DA4058A3AD, "groundEntChanged" },
    { 0xB0A890FA3C7A318D, "ground_detection_think" },
    { 0x084C46C33D3058C4, "ground_ent" },
    { 0x1D94EFA3518AE3B1, "ground_ent_angles_offset" },
    { 0x3291DA9B2A64CC9E, "ground_ent_offset" },
    { 0xBB266FBD50D83FF9, "ground_origin" },
    { 0xD8E5221C01DFD4C6, "ground_plane_seats" },
    { 0x37F4AAC41B695567, "ground_pos" },
    { 0x8AD5EC1FB584472A, "ground_ref_ent" },
    { 0x5E1D6739A67E6FB2, "ground_spawners" },
    { 0x8E67FB105837A393, "ground_trigger_pipes_room" },
    { 0xB4C6461BA4620D71, "ground_veh_spawner" },
    { 0x06C8C4F0EDB0C0DE, "ground_vehicle_sound_handler" },
    { 0x0178E8ACD838EDF9, "ground_vehicle_spawn_points" },
    { 0x377C350CF9F17C50, "ground_vehicle_structs" },
    { 0xA730F7A32730F7BF, "groundent" },
    { 0x7469ACA6FB9846A1, "groundentity" },
    { 0xA6107BAA20C64B7D, "groundentrance_effects" },
    { 0x4AF7ED86FA726038, "groundfloor_aq_alive_monitor" },
    { 0x321621830AFE9CAE, "groundfloor_bed_civ_hack_ally" },
    { 0xB592568E37A9DAED, "groundfloor_catchup" },
    { 0xE49CDDA9843659E9, "groundfloor_civ_manager" },
    { 0xC2037D630CC1F76F, "groundfloor_civ_run_2_early_death" },
    { 0x3EA4232ACC43B57F, "groundfloor_cleanup" },
    { 0x0F31A35E6AF88359, "groundfloor_color_advance_manager" },
    { 0xEF936B0E8C9A616F, "groundfloor_color_handler" },
    { 0x563497C546043AC5, "groundfloor_door_bash_monitor" },
    { 0xA48FF9BE317B1892, "groundfloor_doors" },
    { 0xB7CCD9927FBE1C13, "groundfloor_entry_door_handler" },
    { 0x3C2EAAD73DF603D0, "groundfloor_entry_door_left" },
    { 0x20FCCD42EB99E625, "groundfloor_entry_door_right" },
    { 0x9FF96FD45CE608EA, "groundfloor_entry_doors_door_ajar_custom_func" },
    { 0x80CDD3BB325C0766, "groundfloor_extra_marines_handler" },
    { 0x717F5E5ADF9ED9D9, "groundfloor_floodspawn_1_handler" },
    { 0xE1B8979D610C19E4, "groundfloor_floodspawn_2_handler" },
    { 0xE45E6EE802BEBAF7, "groundfloor_floodspawn_3_handler" },
    { 0x3D6FC36C92488A76, "groundfloor_floodspawn_3_reinforce" },
    { 0x4FAFBA92D0789393, "groundfloor_floodspawn_3_reinforce_flank" },
    { 0xFBC6D40E1CE831E2, "groundfloor_floodspawn_4_handler" },
    { 0x026E95D771FA78E1, "groundfloor_floodspawner_3_reinforce" },
    { 0xCE7F14257D76ACF9, "groundfloor_friendly_fire_penalty_manager" },
    { 0x4C31A2986B60C2E1, "groundfloor_glass_hack" },
    { 0x770B18FC72218739, "groundfloor_last_stand_handler" },
    { 0x9D60709F70BC719E, "groundfloor_last_stand_ignoreme_monitor" },
    { 0x37F02E078F380556, "groundfloor_last_stand_manager" },
    { 0x98EC8C7BE0F6923C, "groundfloor_main" },
    { 0x76AAE4A41824AB80, "groundfloor_rear_gunner_handler" },
    { 0x5D6E37AF0946C50B, "groundfloor_start" },
    { 0xF4ED444D81996A4F, "groundfloor_tripwire_defuse_monitor" },
    { 0x2BA8B4403FBDA32D, "groundlockmisses" },
    { 0x01AC66F8B3BAE7CD, "groundlockonent" },
    { 0x88587F1F82A57BE6, "groundnormals" },
    { 0x5B61A953A7070304, "groundorigin" },
    { 0x0109A1FE0544E225, "groundpoints" },
    { 0x4A0BC7A39FC46738, "groundpos" },
    { 0x58E4EA070BD834C5, "groundpound_raisefx" },
    { 0x94E9DE5E8FEB0D0F, "groundpoundboost_onimpact" },
    { 0x1DA2C98916601B21, "groundpoundshield" },
    { 0xE9630D4638A18E21, "groundpoundshield_break" },
    { 0xFADB381C57EB9E87, "groundpoundshield_breakfx" },
    { 0xFB9FD46E7F5CD7FF, "groundpoundshield_damagedfx" },
    { 0x153F97FA4733FAEA, "groundpoundshield_deleteondisconnect" },
    { 0x72CD620C76532050, "groundpoundshield_deleteshield" },
    { 0x83974449336CDE77, "groundpoundshield_lower" },
    { 0x70326C69B6552861, "groundpoundshield_lowerfx" },
    { 0x3993C9166FAE6E2A, "groundpoundshield_loweronjump" },
    { 0x47CC683A32C55280, "groundpoundshield_loweronleavearea" },
    { 0x554BE87389062693, "groundpoundshield_lowerontime" },
    { 0xC53F3745600FC41A, "groundpoundshield_monitorhealth" },
    { 0xD30AEF2441820A84, "groundpoundshield_monitorjoinedteam" },
    { 0xF7EAF2EBA5219909, "groundpoundshield_onimpact" },
    { 0x12B1124C4D615B8E, "groundpoundshield_raise" },
    { 0xE7D0068174E329D6, "groundpoundshield_raiseondelay" },
    { 0xFA257898E78F78B2, "groundpoundshock_empplayer" },
    { 0xA7D3174E636792E8, "groundpoundshock_onimpact" },
    { 0x42204C44CA50F7F6, "groundpoundshock_onimpactfx" },
    { 0x9277E71C05471FB5, "groundraycast" },
    { 0xEE4DD6322B482A68, "groundrefent" },
    { 0x1209845601A94B83, "grounds_alerted" },
    { 0xAE73E1D09742AEFA, "grounds_axis_deathfunc" },
    { 0xB8A80F5C23CC99BF, "grounds_axis_spawnfunc" },
    { 0xC936227878B0EFB7, "grounds_hunting" },
    { 0x96BD41212FFE5D2E, "groundspawning_usebigmapsettings" },
    { 0x3C04EA44B96080C0, "groundtargetent" },
    { 0x60AEF2F1FEB3FAA3, "groundtriggers" },
    { 0x26B95C2EDB7DB232, "groundtype" },
    { 0x545CF89C9F21FDC8, "groundz" },
    { 0x5C0D9163E573B908, "group" },
    { 0x7DA9288E618FA160, "group1_damage_func" },
    { 0xCBC4131555CD7126, "group1_guy_logic" },
    { 0xFEFBF547A89F4824, "group_add" },
    { 0x2BE0DF0E5B848904, "group_anyoneincombat" },
    { 0x0923676649877550, "group_assigntocombatpod" },
    { 0xAA3BFC6E8F19F2E7, "group_assigntohuntpod" },
    { 0x6B9C61F7B8D3A9B7, "group_assigntoinvestigatepod" },
    { 0xF0BB744D5A0163BB, "group_by_flag" },
    { 0x1AB8B336AC3F3C5E, "group_checkrequestbackupoutsideofvolume" },
    { 0xBFBD0ACCAB8D4F8D, "group_coverblown_seekbackup" },
    { 0x23455D4143BF8469, "group_delayedcombatpropagation" },
    { 0x4084F4EFADEE7C18, "group_delayedcombatpropagationfromhunt" },
    { 0x397C48A4F65C0BC0, "group_delayedcoverblownpropagation" },
    { 0x316FC93E46F59545, "group_end_index" },
    { 0x3DBEB9C4204BB657, "group_eventcombat" },
    { 0xABFB0FE96C6C0880, "group_eventcoverblown" },
    { 0x2D2DF73622E6D5CA, "group_eventhunt" },
    { 0x355DDF5E9EA25CC2, "group_eventinvestigate" },
    { 0x9FCE953BDE65D8C4, "group_fallback_to_pos" },
    { 0xD5BAA9E9F3AFAA35, "group_findpod" },
    { 0x7D1D8F4237B58B8D, "group_findsomeotherguytoinvestigate" },
    { 0x77FCC9831A823D87, "group_flag" },
    { 0x3AD0B33B67626F55, "group_flag_clear" },
    { 0x45919B8A0CD69E9A, "group_flag_init" },
    { 0x2CE26EF0829F97C8, "group_flag_set" },
    { 0x0B18E1475BD91999, "group_flag_wait" },
    { 0x96C3491B0BEA2883, "group_flag_wait_or_timeout" },
    { 0x48D3A20AF2416485, "group_flag_waitopen" },
    { 0x148C38798C230ADF, "group_flag_waitopen_or_timeout" },
    { 0xA54C372B971DF366, "group_generateinitialinvestigatepoints" },
    { 0x9129B0E9E967DD2C, "group_getinvestigatepoint" },
    { 0x71CDECDBFF5EF7E1, "group_has_combined_counters" },
    { 0x76E9F612166F36CB, "group_hold_free" },
    { 0xF596904732A5D687, "group_investigate_seekbackup" },
    { 0xE21D51380ECCEA38, "group_isplayerfocus" },
    { 0x5F1828AB11270C3F, "group_light" },
    { 0x6075A73BB309D8B6, "group_name" },
    { 0x4D3FB1570A99AB04, "group_removefrompod" },
    { 0x930D1BF48DC3EA7C, "group_reset_goalradius" },
    { 0x5E86C2B7F2F86F32, "group_setcombatgoalradius" },
    { 0x820CDEF786524F21, "group_spotted_flag" },
    { 0xBC34E512B01B58B1, "group_trytojoinexistingpod" },
    { 0xC9A6C64934CBD28B, "group_unset_ignoreall_after_notify" },
    { 0x743C8E0C2A7EFF11, "group_unset_jugg_ignoreall_after_notify" },
    { 0xB092286AFFC5E13B, "group_unset_jugg_standstill" },
    { 0x47F35D4F7F967314, "group_updatepodhuntorigin" },
    { 0x065A53B0DBBE0E21, "group_vignette_death_func" },
    { 0x659CDAE25D80D6BF, "group_vignette_dmg_func" },
    { 0x0C96F05937AD44B6, "group_wait_for_activecount_notify" },
    { 0x59F3763AC0FC2F43, "group_waitfordeath" },
    { 0xD9E8E4384EBC7610, "groupdata" },
    { 0x9F3E01B06DFBB777, "grouped_modules" },
    { 0x1AE254689DAB56C5, "groupedanim_pos" },
    { 0x02DEBC0EB25D09E4, "groupindex" },
    { 0x503053A6A1AF086B, "groupname" },
    { 0xE59039B19D80E981, "groups" },
    { 0xC1472B9E8F40C226, "groups_combat_checklosttarget" },
    { 0xCF6E2B87F5C94976, "groupspawned" },
    { 0x9E36029D07D35EA7, "grouptorewards" },
    { 0x155AD2CED3DDD45B, "growpet" },
    { 0xAC6455DF78B7C613, "growthtime" },
    { 0xCE292A78F57C18C3, "gs" },
    { 0xCE292F78F57C23C2, "gt" },
    { 0xA9945BCD67CAC3FD, "guantlet_first_car_collision_kill" },
    { 0x641693FEFE6BBCAA, "guard" },
    { 0x896414C986EFC8E1, "guard1" },
    { 0x896411C986EFC248, "guard2" },
    { 0x896412C986EFC47B, "guard3" },
    { 0x53B4EC3034AA2801, "guard_1_patrol_unaware" },
    { 0xAA88A2044ED7407A, "guard_2_patrol_unaware" },
    { 0xFD027C942CF4403E, "guard_damage" },
    { 0x49A6D97EAAF0E1AE, "guard_door_clip" },
    { 0x2086DA5FF40235B5, "guard_shack_mantle" },
    { 0x6E8C499F6090364A, "guard_spawners" },
    { 0x9DF9AC6C0E5F67C0, "guard_takedown_anim" },
    { 0x378DBA095D73ADA5, "guard_tower_logic" },
    { 0x7EE9F4F42B7D8CB2, "guarded_barkovspeakerlogic" },
    { 0xCFB585D9F08DF144, "guarded_cinematictelevisionstandbylogic" },
    { 0x8C37528EBFC7A037, "guarded_cleanuppreviousscenelogic" },
    { 0x96A85AB4CB38D028, "guarded_dialoguelogic" },
    { 0x7339631815085847, "guarded_enemiesconversationlogic" },
    { 0xB46AC9A5ED44CE6A, "guarded_farahlogic" },
    { 0x616D09F59DE53AC3, "guarded_getanimationstruct" },
    { 0xC3268B697B69B6C2, "guarded_getcivilians" },
    { 0xF8394E353321D640, "guarded_getenemies" },
    { 0x280AE05966C28897, "guarded_getfarahpath" },
    { 0x8F56B6C326C8E967, "guarded_getguardvolumealertednotify" },
    { 0xCC0F571E64B9DC24, "guarded_getplayersilencerinteract" },
    { 0x3B9E0CC51BF179A9, "guarded_getstreettrigger" },
    { 0xFF61D86CA70F6C39, "guarded_main" },
    { 0x7803608E2FF90775, "guarded_objectivecleanuplogic" },
    { 0x853C2610256E58C1, "guarded_playerfalsesilencerinteractlogic" },
    { 0x792F0C3094250E21, "guarded_silencerdialoguelogic" },
    { 0xDD32BCE9CB55815B, "guarded_spawncivilians" },
    { 0x36FA04E8C275B7C5, "guarded_spawnenemies" },
    { 0xD15E387E66FDB2A0, "guarded_start" },
    { 0x6267E27DB7EB4B19, "guardlocation" },
    { 0x699BF86E843D5495, "guardposition" },
    { 0xF962252E432A2EA5, "guardpositionescort" },
    { 0x3C2FF9F6BF938291, "guards_killed_by_sas" },
    { 0x3ECF37749F469FB5, "guared_farahreactdialoguelogic" },
    { 0xB62E9F4EA2A3A7BD, "gui_giveattachment" },
    { 0xB48FFD3F6792B49B, "gui_giveattachment_internal" },
    { 0x426E3A85AEC33850, "guid" },
    { 0x6F0166271E69840B, "guided_interaction_offset_func" },
    { 0x28454ADA01DA3F36, "guidedinteractionendposoverride" },
    { 0x8560202503DA04C1, "guidedinteractionexclusion" },
    { 0x43C001383D067C3A, "guidgen" },
    { 0x36EFF01AADAF2C44, "guidtoplayer" },
    { 0xACDC5FFF33DA028B, "gulag" },
    { 0x9A1A2FA0D8AB8C80, "gulag_intro_vo" },
    { 0x474CB4FF3F8AFAAC, "gulag_think" },
    { 0x88AF191FDEAF9728, "gulag_tutorial_vo" },
    { 0x751DD1A821D17DF2, "gulagarena" },
    { 0x07C7B42B0B9F3042, "gulagblackoverlay" },
    { 0xB80D66DD173924F3, "gulagcountdowntimer" },
    { 0xC1016321E17B0137, "gulagdone" },
    { 0xEDE3A4F3270E8084, "gulagfadefromblack" },
    { 0x328887F019391D8E, "gulagfadefromblackspectatorsofplayer" },
    { 0xC9090987925A1887, "gulagfadetoblack" },
    { 0x62E2BDFA687C6941, "gulagfadetoblackspectatorsofplayer" },
    { 0x492F954453926782, "gulagfixuparena" },
    { 0xEED15F2FD1F59B75, "gulaggesturesinit" },
    { 0xCEAADC0CCAB41AE1, "gulaggetarenas" },
    { 0xE0EF4498102CF356, "gulagholding" },
    { 0x91BC47EA7F80EEC1, "gulagindex" },
    { 0xEC064BDC082DC740, "gulaginitloadouts" },
    { 0xF97E5156C49EABEF, "gulagisfaded" },
    { 0x3B12062E8D155160, "gulagisspawnpositionreasonablysafe" },
    { 0x6F12396FFFF0E548, "gulagisspawnpositionsafe" },
    { 0xA6A434B056B9377D, "gulagisspawnpositionwithindangercircle" },
    { 0x2728F8223FD4A99F, "gulagisspawnpositionwithinsafecircle" },
    { 0xBB3B494B5E5EDB8B, "gulagjailbreakhud" },
    { 0xD6B761ADE3F45EA0, "gulaglaststandholdremove" },
    { 0xF986486AFB36CF8D, "gulagloading" },
    { 0x93160178EBFC7BB6, "gulagloadingtext" },
    { 0xD7E68F9F56264847, "gulagloadingtextclear" },
    { 0x0C2A098CAFF88923, "gulagloadoutindex" },
    { 0x531BF078623B5A6A, "gulagloadouts" },
    { 0xB1B864E9E289D017, "gulagloadouttable" },
    { 0xA4DAA96BE93A2BAC, "gulagloser" },
    { 0x2388721E0671E120, "gulaglosercleanup" },
    { 0x4CAD8E67797DC136, "gulagmatchclocksounds" },
    { 0x9965517E19635868, "gulagplayerlost" },
    { 0xAC1611762DF42066, "gulagplayerwatchfordeath" },
    { 0xC9AE6FB15DE36208, "gulagposition" },
    { 0x76396252DE61B547, "gulagqueuehud" },
    { 0x8F60655C44797993, "gulagstreamexit" },
    { 0x4A81EACB7E631E69, "gulagstreamlocationend" },
    { 0x8F859A7E9C37B518, "gulagstreamlocationstart" },
    { 0xD693B646F7613225, "gulagstreamlocationwait" },
    { 0xF455DDB8908CE408, "gulagstreamlocationwaittimeout" },
    { 0x4104D3D394B7448B, "gulagtableloadout" },
    { 0x5F9E0D1F155E3699, "gulagtimerhud" },
    { 0x9ADD868081DA6CDB, "gulaguses" },
    { 0xD52530B1867FE67F, "gulagvictory" },
    { 0x59F109572F5DFD7C, "gulagwinnerloadout" },
    { 0x09C7ED8640EA1906, "gulagwinnerremembergunandammo" },
    { 0xE699B5674AF86568, "gulagwinnerrespawn" },
    { 0xEF1779E99BA5C867, "gulagwinnerrestoregunandammo" },
    { 0xBAEC9E00D0240B22, "gulagwinnerrestoreloadout" },
    { 0x79298CAC631D1068, "gulagwinnertableloadout" },
    { 0xE0BB3503E006B3E1, "gun" },
    { 0x4EAF6C2B4729C4C4, "gun_ads" },
    { 0xF95CA44DB46007CF, "gun_buildoverrideattachmentlist" },
    { 0x5F9FE5EDA687B3B5, "gun_course_forward" },
    { 0x33C9A65580006972, "gun_create_fake" },
    { 0x212A11F6CE5E1DD5, "gun_createrandomweapon" },
    { 0xAC9B54C642BB10A5, "gun_fired_and_ready_105mm" },
    { 0x6D26032BA51C8DAF, "gun_firstspawn" },
    { 0xD26ADC5866C9C295, "gun_game_change_to_weapon_at_level" },
    { 0xC8EBECEE894A7E12, "gun_game_primary_weapon" },
    { 0x53FDAD5F3D56D1A1, "gun_guns" },
    { 0x37B584F75E41CFA4, "gun_launched" },
    { 0x81DCDE1FD8FB20B6, "gun_leave_behind" },
    { 0xBC77281CB2372B6F, "gun_loadouts" },
    { 0xE5BCE88C66176AD7, "gun_model" },
    { 0x7F8D436B806046E6, "gun_on_death" },
    { 0xE5FF1BEDE0817BD7, "gun_on_ground" },
    { 0x69ABC1BD222B716A, "gun_pickup_left" },
    { 0xE96533AF11FEFC57, "gun_pickup_right" },
    { 0xA5F83002C4C129F7, "gun_recall" },
    { 0x8218C18BE2006E9E, "gun_remove" },
    { 0x5BD2F84141D6C942, "gun_remove_fake" },
    { 0xC3A27B0158B645AD, "gun_silencer" },
    { 0x8E6B1BFFEEDDE29A, "gun_targ" },
    { 0xCB954AF2C4FCAAC8, "gun_try_pickup" },
    { 0xE28DD7E70A0AF899, "gun_try_pickup_hadir" },
    { 0x2178D4F3A83C9FCD, "gun_up_for_reload" },
    { 0x14078E12A01584E9, "gunadditiveoverride" },
    { 0x474F3E6DF29A2A70, "gunbed" },
    { 0x331C4E4F053B5CF6, "gunbenchbulletent" },
    { 0x8E49092182E51C5A, "gunblockedbywall" },
    { 0xD51D9E03232E915B, "gunblockedbywalltime" },
    { 0x86A8BFCBE05E1DAC, "gunbutt" },
    { 0x27E2157C8655DA1B, "gundiscipline" },
    { 0x69388DDF1DCD445D, "gunfireloopfx" },
    { 0x7FD842DC47F5A199, "gunfireloopfxthread" },
    { 0x0B16E180E8D0E87D, "gungamegunindex" },
    { 0x1AB5897739690D60, "gungameprevgunindex" },
    { 0x38884053663FB19C, "gunhand" },
    { 0x24759554F8087BE7, "gunkillerhackthread" },
    { 0x708A7BB6201A6924, "gunless" },
    { 0x2EA984A6BA19C108, "gunlessweapon" },
    { 0xF1FD286E6E76500E, "gunner" },
    { 0xD546F8E45FD74228, "gunner1_final_vol" },
    { 0x077379A03AFA9D25, "gunner2_final_vol" },
    { 0x29BB57EA5E9E5AA5, "gunner_bravo_spawn" },
    { 0x1F4004435427292D, "gunner_can_shoot_player" },
    { 0xF63AA00C52AD1060, "gunner_death_watcher" },
    { 0xBC328A1E3121BD75, "gunner_ignore_delay" },
    { 0x94A3C41AC4C19865, "gunner_think" },
    { 0x3FA30C4687214C0D, "gunner_turret" },
    { 0xE00D0E4A2EDBC9F3, "gunner_weapon" },
    { 0x62F0DE328D1374FA, "gunnerdamagemodifier" },
    { 0xA61067DCEE3302E7, "gunners" },
    { 0x3F182591B2F675E8, "gunnerturret" },
    { 0x74B3DAC03F34089E, "gunnerweapon" },
    { 0x0DC87E26DE252634, "gunnlessweapon" },
    { 0xE44EADC36AF5D51C, "gunpose_enabler" },
    { 0xEA18ACF0431EB3A0, "gunposeoverride" },
    { 0x486BFC768B358E28, "gunposeoverride_internal" },
    { 0x6CB1F7024931F4CF, "gunremoved" },
    { 0xEA23362BA1F92F7B, "gunship" },
    { 0x57E38D62043DE7AA, "gunship_allowstances" },
    { 0x67282B680C41A8D8, "gunship_assignedtargetmarkers_onnewai" },
    { 0x98AE4E281B377EBB, "gunship_assigntargetmarkers" },
    { 0x9553FC4B8F8401BE, "gunship_attachgunner" },
    { 0x8F335DDF568BA21C, "gunship_cloudsfx" },
    { 0xFA371797749C6A63, "gunship_control_bot_aiming" },
    { 0x7586BC5252C3B377, "gunship_crash" },
    { 0x8DC33DA874F45C42, "gunship_crash_audio" },
    { 0x607F474BA0484F0A, "gunship_crashanimlength" },
    { 0x8EC064173EF7025B, "gunship_crashexplosionradiostatic" },
    { 0xB37597A159F7818C, "gunship_crashexplosionscreenshake" },
    { 0xD3DE6CC4777B5B7B, "gunship_delayhide" },
    { 0x938524027C0A8A38, "gunship_detachplayerfromintro" },
    { 0x4009CA0763BD8A8D, "gunship_disabledstances" },
    { 0x65299E821F1E3F99, "gunship_findboxcenter" },
    { 0xAB07C91D9D090D36, "gunship_getbombingpoint" },
    { 0x2B2C91205AE82EBF, "gunship_getbombingpoints" },
    { 0x21C963CD2A404918, "gunship_getdofinfobyweapon" },
    { 0xC6945931E97C1BCF, "gunship_getnearbytargets" },
    { 0x1856774967848330, "gunship_getvisionset" },
    { 0x26E5FBE50F4F8453, "gunship_getvisionsetformat" },
    { 0x67B58133516CD019, "gunship_handlemissiledetection" },
    { 0xD5F5F41B80391C63, "gunship_handlemovement" },
    { 0xFD5041F0377AEBF3, "gunship_hideintromodelonplayerconnect" },
    { 0xA68B173B2AA0F84B, "gunship_intromodel" },
    { 0xD226734DC15C81F6, "gunship_iskillstreakweapon" },
    { 0x41E51768F53348E3, "gunship_islargemap" },
    { 0x40A1CC86ACA2FD93, "gunship_leave" },
    { 0xA115BEF3783AD9EB, "gunship_linklightfxent" },
    { 0x06B6E94BA3E908B7, "gunship_linkwingfxents" },
    { 0x08839401C7935B04, "gunship_lockedoncallback" },
    { 0xB5A9CD25076942EA, "gunship_lockedonremovedcallback" },
    { 0x06C2590BED6A6D8A, "gunship_magnitude" },
    { 0x7EA3502BFEF9C319, "gunship_monitormanualplayerexit" },
    { 0x2046F2CC7A8B6F3B, "gunship_movetocrashpos" },
    { 0x6CD1F4BC466AD973, "gunship_origin_override" },
    { 0x1AD84A9EC767A65F, "gunship_playdofintroeffects" },
    { 0x04B989E6D3DEBEE6, "gunship_playfakebodyexplosion" },
    { 0x4E61B289C3B10A29, "gunship_playflaresfx" },
    { 0xDDBA55852BBB4CF0, "gunship_playintro" },
    { 0x69043874D2042D0A, "gunship_playpilotfx" },
    { 0x0BE28660FCA6E197, "gunship_queuecamerazoom" },
    { 0x7551562D1330873E, "gunship_removeplane" },
    { 0xB761FCD6F6A572FF, "gunship_restoreplayerweapon" },
    { 0xDCC0DC8203D3658B, "gunship_returnplayer" },
    { 0x37A5FDAE0D1528F8, "gunship_screeninterference" },
    { 0xDD25F2E50E721733, "gunship_showflashlight" },
    { 0x72CA0C79727DD903, "gunship_spawn" },
    { 0x19C93E3C4A854089, "gunship_spawnvfx" },
    { 0x36B86E7945B5B2C7, "gunship_speed" },
    { 0x4D014FA005A6E6B0, "gunship_startbrrespawn" },
    { 0x4A7FD3297E87A318, "gunship_startengineblowoutfx" },
    { 0x7B2DB43898D52C8C, "gunship_startintroshake" },
    { 0x78E95094E2BDAAC3, "gunship_startuse" },
    { 0x94ABD558A8FBF2D1, "gunship_track105mmmissile" },
    { 0x74DB43C10664F374, "gunship_trackvelocity" },
    { 0xDE15AE624B4FD9AC, "gunship_updateaimingcoords" },
    { 0xC1308144A4454019, "gunship_updateoverlaycoords" },
    { 0x436E91CFD43857CC, "gunship_updateplanemodelcoords" },
    { 0x5560FE972B30B147, "gunship_updateplayercount" },
    { 0x69A927A6C5FDFFE9, "gunship_updateplayerpositioncoords" },
    { 0x188487C16382FB3C, "gunship_uses" },
    { 0x449D671798A118C8, "gunship_waitforweaponreloadtime" },
    { 0x9E99C98DD3F5FA6A, "gunship_waittilldestination" },
    { 0x7D64307070FDBBE2, "gunship_watch105mmexplosion" },
    { 0xD4E677CEC659A208, "gunship_watchchangeweapons" },
    { 0xC36AC331FA02D38E, "gunship_watchdamage" },
    { 0x1565E969744F6626, "gunship_watchendgame" },
    { 0xE8C2F7B8635B66FA, "gunship_watchgameend" },
    { 0x2156369A63D9B067, "gunship_watchintrodisown" },
    { 0x25A26575D25785D4, "gunship_watchkills" },
    { 0x528EF4CE061C4AEA, "gunship_watchowner" },
    { 0x8E2CEC79F2432450, "gunship_watchownerexitaction" },
    { 0xD89EA5C467F006C3, "gunship_watchtargets" },
    { 0x58261560C6681B46, "gunship_watchthermalflashlightpos" },
    { 0x198C92B061991E48, "gunship_watchthermalflashlighttoggle" },
    { 0x29E81410B11791CA, "gunship_watchthermaltoggle" },
    { 0xCAA26662627E97B7, "gunship_watchthermaltoggleinternal" },
    { 0x3FE61B0FB2ABA2B2, "gunship_watchtimeout" },
    { 0x550AF2D459991D1D, "gunship_watchweaponfired" },
    { 0x420E696978E67105, "gunship_watchweaponimpact" },
    { 0xF51E28E9A4585FD5, "gunship_weaponreload" },
    { 0x8116289386A6ADDB, "gunshipinuse" },
    { 0x98B27AAEA48C14EA, "gunshipplayer" },
    { 0xB78CD5926B0E5A6A, "gunshipqueue" },
    { 0xC998BF85B1E5886A, "gunshop_safehouse_loadout" },
    { 0xEA2C3E2BA2035FC1, "gunshot" },
    { 0xD3E56A5DD25E0CD6, "gunshot_teammate" },
    { 0xE0BB2603E00692E4, "guy" },
    { 0x42276F85AE74EA6F, "guy1" },
    { 0x42277085AE74ECA2, "guy2" },
    { 0x33D3520D5E0F05ED, "guy_becomes_real_ai" },
    { 0x4C42BE959BE328D0, "guy_blowup" },
    { 0x7B79DDBCAF6F1FDE, "guy_cleanup_vehiclevars" },
    { 0xF5D19F60569E4499, "guy_death" },
    { 0xB1D5A25CBCF80F57, "guy_deathhandle" },
    { 0x4A12E45797F8C1C4, "guy_deathimate_me" },
    { 0x008129506327F921, "guy_enter" },
    { 0x609FA49D5B36AAAF, "guy_fall_loop" },
    { 0x3A2F706542CF74F5, "guy_fall_loop_end" },
    { 0xC1BEE7BDE26C676F, "guy_handle" },
    { 0x3585AA0BADF16817, "guy_idle" },
    { 0xB6B33C5C2B5F1E1E, "guy_man_turret" },
    { 0xBBB0F39126CFA752, "guy_pushes_building" },
    { 0x2121646EE6D95606, "guy_pushes_terminal" },
    { 0x2DA04A3B35ABFD9D, "guy_resets_goalpos" },
    { 0x6946EEC19A16685C, "guy_reveal" },
    { 0x31140C61B53A1D01, "guy_runtovehicle" },
    { 0xE5924CAFDD732B23, "guy_runtovehicle_loaded" },
    { 0x95E91D2A62514DBF, "guy_setup_rope" },
    { 0xC1DD2AD6C18E82F8, "guy_should_man_turret" },
    { 0xCFA82AEADB0C70CF, "guy_think" },
    { 0xFB18DE73AFF56CC7, "guy_unlink_on_death" },
    { 0x28D0875DB92BC336, "guy_unload" },
    { 0x0FDD074AD6487B46, "guy_unload_land" },
    { 0x89CC7B96FC73B90C, "guy_unload_que" },
    { 0xAC2A6A19FEDDD4FC, "guy_up_stairs_watcher" },
    { 0x712BCD2604911E36, "guy_vehicle_death" },
    { 0x42273185AE746215, "guys" },
    { 0xEFB1F8AE00E4DCE6, "guys_assigned" },
    { 0xE6ACEB40D36617BE, "guys_exit_garage" },
    { 0x278E48E76A247C25, "guys_in_place" },
    { 0x501D018950620A74, "guys_react_to_jets" },
    { 0xAAE91052DE997184, "guys_spawned" },
    { 0x21377F3ADD2069EF, "gw_fobs_init" },
    { 0x281BD963764DCAF0, "gw_objstruct" },
    { 0xFA4EC679E197CC33, "gwinputtypesused" },
    { 0xF112C1B7367232A6, "gwperifvfx_plumes" },
    { 0x08C619341F179A65, "gwsiege_config" },
    { 0xAC0E5A4AC96AA5DB, "h" },
    { 0xC08E11614FA44A35, "hack_addkilltriggers" },
    { 0xF616AA3B0C737A24, "hack_after_manifest_search" },
    { 0x3BDC5D07F5EDEFF4, "hack_airport_combat_init" },
    { 0x4C9340776A7D0683, "hack_attackers" },
    { 0x156618E321E0B092, "hack_console_activation_func" },
    { 0x99F99C9275D6887C, "hack_damage" },
    { 0xCCFFA831F796A7F1, "hack_damage_test" },
    { 0x0E41DD38811AB741, "hack_duration" },
    { 0x7A4D650B8F405793, "hack_fail_timer" },
    { 0x156B656397E84A63, "hack_health" },
    { 0x0E3AE5E06FB69F27, "hack_index" },
    { 0x3D76C65D9D2AD30F, "hack_init" },
    { 0x9F34BE8E1C914070, "hack_laser_trap_control" },
    { 0x2FCC39C58EBA3D14, "hack_modifier" },
    { 0x6D2970369B8D9182, "hack_multiplier" },
    { 0x66D7C558D59357DA, "hack_progress" },
    { 0x5571793F5C674169, "hack_radar_activate" },
    { 0x3B39E28789E3C181, "hack_radar_hint" },
    { 0xFEA165C19B8F93C9, "hack_region" },
    { 0x6230EFC8CD1D7546, "hack_relocate" },
    { 0x78BDA797EF63EF96, "hack_setup_a_struct" },
    { 0x2D45C08521ABA863, "hack_start" },
    { 0x963A2E26830B3C22, "hack_started" },
    { 0xF5BA3FE1253BAE25, "hack_structs" },
    { 0x8D3C06FDC1C2DB0C, "hackable" },
    { 0xB689496230C6C67B, "hackclientomnvarclamp" },
    { 0x82CAE0DC2315DD26, "hackedname" },
    { 0x9482566B326FB816, "hackemptyarray" },
    { 0x19ACD32B9548F934, "hackequipment" },
    { 0xBEFFA0F7D8B162C3, "hacker" },
    { 0x77FDF3244C393430, "hackexclusionlist" },
    { 0xFA7127323D2C5EE9, "hackfixcameras" },
    { 0xE8FD2A0EC3CCBD9F, "hacking_init" },
    { 0xA3BA50F24B1229FD, "hacking_labels_init" },
    { 0xC9EF1000B26324DB, "hacking_lua_notify" },
    { 0xEB98A83921D4BEAA, "hacking_lua_notify_func" },
    { 0xB6EF29830AC64005, "hacking_magicgrenade_watcher" },
    { 0x55E3ED8D6087B4C8, "hacking_objective_time" },
    { 0xC015DA9373FC12CF, "hacking_paused" },
    { 0x10FAA2AFB93EE98E, "hacking_player_nearby" },
    { 0x864D9A3618CB97B8, "hacking_sfx" },
    { 0xCB432747F09FB7EF, "hacking_ui" },
    { 0xCB502547F0ADC80E, "hacking_vo" },
    { 0x406325372FD7371B, "hackingblockautosave" },
    { 0xBF6E83DC54EEEFB2, "hackingfunc" },
    { 0x5A53776C2916F3EF, "hackingspeed" },
    { 0xF5FBB5C48AD20D60, "hackingtabledata" },
    { 0x1E0F871FDDDC674F, "hackingtotalmeter" },
    { 0x51DE3C663BF76B05, "hackingtotalsteps" },
    { 0x9B9BBF387D6190DF, "hackingtotaltime" },
    { 0x2394BA6276932AAA, "hackomnvarclamp" },
    { 0x6E9AA27109DE9476, "hacks_done" },
    { 0x335DE480A54CD19F, "hacks_needed" },
    { 0xD130FF6B27AF471F, "hacks_started" },
    { 0x6BC0C216012496D8, "hackspottest" },
    { 0xD94F16D5DE4AA6BD, "hadarmor" },
    { 0xAFBF2A59E58D2DA5, "hadir" },
    { 0x0DD7430F73437BEA, "hadir_advance_flank_trigger_wait" },
    { 0xDC29FD33639687DC, "hadir_ai" },
    { 0xE93F1C034046A379, "hadir_beckon_gas_start" },
    { 0x86F81E11A8AF2467, "hadir_beckon_loop" },
    { 0x8B4BF66A718386C4, "hadir_beckon_loop_suspend" },
    { 0xE4531D2FA268ACE4, "hadir_body_model" },
    { 0x421B52949172E4AB, "hadir_boost_lights" },
    { 0x54002C1342C4058B, "hadir_boost_mayhem" },
    { 0x009A4E217BB410E4, "hadir_boost_nag" },
    { 0x076A6AA30D007C15, "hadir_boost_nags" },
    { 0x9646BA004D29020D, "hadir_call_interact" },
    { 0x5472721D71D85FC1, "hadir_choking" },
    { 0xF5DB53F91528C73F, "hadir_craw_vo" },
    { 0x7680B17FCC853CD8, "hadir_crawl_dialogue" },
    { 0xA8AAF923311B302C, "hadir_dad_dies_scene" },
    { 0xB277ABD48F734702, "hadir_disable_wait" },
    { 0x7E419703CECA415F, "hadir_dof" },
    { 0x416541C78564C8FF, "hadir_dragged_away" },
    { 0x1FA05B5F89626F07, "hadir_duck" },
    { 0xC3986E7464CE90B6, "hadir_face_kick" },
    { 0xE3E6D6B651F4C33E, "hadir_field_start_scene" },
    { 0x3E771802A6191601, "hadir_follow_player" },
    { 0xF88D7E25BF91E7AF, "hadir_go_to_vehicle" },
    { 0x37530E7F3B3B1541, "hadir_helps_dad_monitor" },
    { 0xF9C151C50F01748A, "hadir_hero_lights" },
    { 0x9495C5DD0E6A7A2B, "hadir_icon_showing" },
    { 0xE4770B202D7CB2A3, "hadir_in_gas" },
    { 0xB66D62DF1A27E680, "hadir_in_shed" },
    { 0x40AA2FCD1D9EAAF0, "hadir_interact" },
    { 0x542C1F0BC6A15634, "hadir_landing_clip" },
    { 0x53FD08A58D111E24, "hadir_line" },
    { 0x69E544851F33DE90, "hadir_mayhem_phone" },
    { 0x24F47DC30238ADA0, "hadir_melee_weapon_pickup" },
    { 0x8ACA673A7179C843, "hadir_melee_weapon_spawn" },
    { 0x2F4D8978FB58663E, "hadir_melee_weapon_spawn_catchup" },
    { 0x6176E8FC19637338, "hadir_mourn_father" },
    { 0x50C68ECBBF0DF8EE, "hadir_move_speed_execution" },
    { 0x16CF2E2C015AC756, "hadir_move_speed_gas_exit" },
    { 0xDB662CC161042BFE, "hadir_move_speed_gas_start" },
    { 0x4C1E6791D8E7B662, "hadir_move_to_door" },
    { 0x213331C390C9C947, "hadir_objective_icon" },
    { 0x6A9F34C079420D3C, "hadir_pick_up_loop" },
    { 0x79A25398401F22D7, "hadir_poppies_start_anim" },
    { 0x4E9FD2E36B979A09, "hadir_procedural_bones" },
    { 0xA768B4D05948DDBA, "hadir_ready_to_cross_street" },
    { 0xE3C823C10C611077, "hadir_remove_mask_gesture" },
    { 0x251198B34962956C, "hadir_russian_wait_flag" },
    { 0x25F9EB914F49CF78, "hadir_scramble_monitor" },
    { 0xED568344E2CE94A9, "hadir_setgoal" },
    { 0xD3E075F1F09A76C7, "hadir_soldier_warning" },
    { 0x9092F58842D90260, "hadir_spawn_func" },
    { 0x06B4BB00FCFC74EF, "hadir_stair_idle_nag" },
    { 0x52E53D3C8CD9FC48, "hadir_stayahead_pause_when_enabled" },
    { 0xF110FA16B5E810E1, "hadir_table_clip" },
    { 0xBD59F1951734B1AC, "hadir_tablet_idle_nag" },
    { 0x55D927AF90EADF50, "hadir_talk_mayhem" },
    { 0xE88002853625FB59, "hadir_talk_monitor" },
    { 0xBE962D504DAD9AF8, "hadir_truck_entrance" },
    { 0xAA224B840ACC3A1B, "hadir_tunnel_think" },
    { 0xE6A1E0CE112EDC42, "hadir_vehicle_node_blocker" },
    { 0xFDF3DEEF52E2DA3B, "hadir_wakeup_react" },
    { 0xA1414BF6BB6179B5, "hadir_window_scene" },
    { 0x6EA0EDD517AC7D0B, "hair_model" },
    { 0x57D095E4DD4039AA, "hairmodel" },
    { 0xF843A1809AD75484, "half_size" },
    { 0x561593F25A9E26F1, "halfcooldown" },
    { 0x95570BF57155F7FB, "halfheight" },
    { 0x4692194B5B968FFC, "halflength" },
    { 0xC425BAED7A1A34B1, "halfsize" },
    { 0x3CE44101A758F933, "halftimeroundenddelay" },
    { 0x219BBFA4EA3A7491, "halftimetype" },
    { 0x18DB78C89653C16C, "halfwidth" },
    { 0xDFB5365973EB2F1F, "hall_rush_civ_behavior" },
    { 0xF8502862FEF26E12, "hall_rush_crutch_civs_handler" },
    { 0xFE6A48D615F200DE, "hall_rush_crutch_magic_bullet" },
    { 0x093DDAA62B316014, "hall_rush_gunner_immunity_timeout" },
    { 0xE58BFCC1F405A97C, "hall_rush_gunner_target_handler" },
    { 0x25730196FCF8FF42, "hall_rush_gunners" },
    { 0xF23F2B1630E97388, "hall_rush_initial_civilians_handler" },
    { 0xBDE2C8A969EB9BBB, "hall_rush_initial_civilians_spawn" },
    { 0x767BA45DA140A899, "hall_rush_support" },
    { 0x3B6A4FD6DBEBC4E1, "halligan" },
    { 0x553059C2016BAC9B, "halligan_breakout" },
    { 0x10B50BF0EFBB58B7, "halligan_breakout_a" },
    { 0x10B50CF0EFBB5AEA, "halligan_breakout_b" },
    { 0x012806EA378C0E61, "halligan_breakout_end" },
    { 0xDECF6DE5FB0816E4, "halligan_draw" },
    { 0x2BD9A3FEFA82B963, "halligan_stow" },
    { 0x7EBEDB4A49B2F522, "halligan_stowed" },
    { 0x6D4A0E2F7E7A4762, "halligan_tag" },
    { 0x0E21BBF405C40FC7, "halliganinhand" },
    { 0x17D258208DEF4B85, "halliganstowed" },
    { 0x46371D8F5DFB0A90, "hallway_1f_nag" },
    { 0x8649A99048EEA90E, "hallway_1f_poi" },
    { 0x3337729B00409074, "hallway_2f_door_check" },
    { 0xE0939E0234B63EEA, "hallway_exploder_lookat" },
    { 0x9C55A153A06C8F22, "hallway_jugg_spawner" },
    { 0x3E295B6EF0EE2F2E, "hallway_mh_mg_current_inaccuracy_offset_x" },
    { 0x3E295C6EF0EE3161, "hallway_mh_mg_current_inaccuracy_offset_y" },
    { 0x3E29596EF0EE2AC8, "hallway_mh_mg_current_inaccuracy_offset_z" },
    { 0x750EEE6C29797542, "hallway_mh_mg_variance" },
    { 0x542B8EB16B8811F6, "hallway_peak_handler" },
    { 0xDD0058F79C83A83A, "hallway_run_catchup" },
    { 0x9A768A68C3887F25, "hallway_run_main" },
    { 0xAB4E1720603121F4, "hallway_run_start" },
    { 0x78F16B79299D0458, "hallway_run_start_post_load" },
    { 0xB7C229488EAAED6E, "hallway_scene" },
    { 0xFE1DFE2E3DABFDC7, "hallway_soldier_spawner" },
    { 0x5602ADE91FC66513, "halt_heli_end_movement" },
    { 0xACEB9DCA91AA6F45, "handcuffs" },
    { 0xCC7918C9CD65656E, "handle_ai_launcher_death" },
    { 0x775D8FAC2FE985BC, "handle_associated_lead_disconnect" },
    { 0xA20C4E1C18C74634, "handle_associated_lead_lookat" },
    { 0xF632CA70F76A72AD, "handle_attached_guys" },
    { 0x84DEBBE75AC84974, "handle_cam_enemy_caret" },
    { 0x04ABD76ACD222B8C, "handle_cam_enemy_marking" },
    { 0x4468A0A5425AF0CB, "handle_carry_special_item" },
    { 0x7791126FA18317E8, "handle_civ_exit_door" },
    { 0x72A74D65578C4317, "handle_death_sounds" },
    { 0x95D87578545AAA70, "handle_detached_guys_check" },
    { 0x500FD3E9B093B03B, "handle_disable_rotation" },
    { 0xC53D4EAAC7A71917, "handle_escalation_increases" },
    { 0xFE9F3E4D66FF5B12, "handle_escalation_on_death" },
    { 0x5E48103DBCC4A655, "handle_ground_spawning" },
    { 0x2CFEBF4EA6919646, "handle_healthdrain_from_lowhealth" },
    { 0x13048751BFA823B0, "handle_hints_vo" },
    { 0x58B0D8E1EF22F80E, "handle_hostage_objectives" },
    { 0xE3BE0C594C0FA741, "handle_hvt_go_outside" },
    { 0x5E8152202D8CB763, "handle_identified_ied_to_overwatch_max" },
    { 0xA3BF142B02082281, "handle_just_keep_moving" },
    { 0x7DB1011405051035, "handle_leads_collected_hideiconbuilding" },
    { 0x9469FCD57D1436C9, "handle_leads_creation" },
    { 0xB0DFA348FAAEDAF7, "handle_leads_text" },
    { 0x9A2A4438A26810DC, "handle_linked_ents" },
    { 0xB611CBDB54D1B524, "handle_moving_platform_invalid" },
    { 0xEA8C89C1A6D701A4, "handle_moving_platform_touch" },
    { 0x867474E469736255, "handle_moving_platforms" },
    { 0x7B36BEBFE6260EF1, "handle_nav_bounds_buildings" },
    { 0xC6E4C9B42EDF1619, "handle_no_ammo_mun" },
    { 0x2D2F856748B59273, "handle_pause_wavespawning" },
    { 0xEAFEBB160227ED72, "handle_players_near_hack_b" },
    { 0x0F71C5299D1C4ECF, "handle_remind_hack" },
    { 0x12F795F9A3789D23, "handle_respawn_via_c130" },
    { 0xF6E6DDCE5E72EBEA, "handle_roof_spawning" },
    { 0x70A9769994F6911C, "handle_scriptable_vfx" },
    { 0x132A779C22FBB822, "handle_search_buildings_vo_nags" },
    { 0x463CB2699324C7A4, "handle_selected_ents" },
    { 0x7CBB4CA23B29D461, "handle_set_respawn_overrides" },
    { 0x0E2655E7149B646A, "handle_set_speed_to_goal" },
    { 0xB53E6053251BBEAB, "handle_settings_for_techo_group" },
    { 0x99B4B65D8A74E189, "handle_smoke" },
    { 0xC0CE74A1A72A93C9, "handle_smuggler_loot_attach" },
    { 0xD3919B865E9EDD31, "handle_smuggler_loot_drop" },
    { 0x937B408EBD544EDD, "handle_starts" },
    { 0x9EE6980FC1B51B45, "handle_stim" },
    { 0x5993EBAC1418A348, "handle_tank_spawning" },
    { 0xD6FD193382A2A63E, "handle_train_collision_items" },
    { 0x1F64E3F0AD9EC395, "handle_train_veh_collision" },
    { 0xD919823A113ED11D, "handle_truck_spawning" },
    { 0xB299263A72BCFB84, "handle_unresolved_collision" },
    { 0x86D747A9B758C4CE, "handle_vehicle_death_type" },
    { 0xAF54F0C29A4A276C, "handle_vfx_on_damage" },
    { 0xE5BF2F6837D12B70, "handle_wavespawner_amount" },
    { 0xE62FD8137CBEBC4C, "handleairbornesuper" },
    { 0xDEAD3FE4698538DD, "handleammoonlastshotskill" },
    { 0x24728E770C3864EF, "handleaonperkonkillpassive" },
    { 0x3494BEB46F490C6B, "handleapdamage" },
    { 0x135A041165D0CF03, "handlebackcrawlnotetracks" },
    { 0x5C12B3BB1E9BE93F, "handleberserk" },
    { 0xACFE70760941F569, "handlebmoendgamesplash" },
    { 0xCC0EEE7ABE4BA9D6, "handlebrdefeatedpostgamestate" },
    { 0x862AECB4C7747692, "handleburndeathmodelswap" },
    { 0x2DD39819FC801B48, "handleburndeathvfx" },
    { 0x288284B729961853, "handleburningtodeath" },
    { 0x2BD34C51645B989A, "handleburstdelay" },
    { 0xC592BB3A06E89D76, "handlec130motion" },
    { 0xBBE47C6DDFC9D6AD, "handlecinematicmotionnotetrack" },
    { 0xD740B8164C063495, "handleclassedit" },
    { 0x16F59F7D4676F6FC, "handlecommand" },
    { 0xC5F0E752602292C9, "handlecommand_br" },
    { 0xFD8A6CD047EE020B, "handlecommandfuncs" },
    { 0x1CCBA4BB230A15B1, "handlecommonnotetrack" },
    { 0x5DD28F5703B05561, "handlecornernotetrack" },
    { 0xA9D1AAFC003D2299, "handlecustomnotetrackhandler" },
    { 0xC7D0A215863A5BAE, "handledamage" },
    { 0x6A1D69232EDC7855, "handledamagefeedback" },
    { 0xCF97C45F40A005C3, "handledeath" },
    { 0xCEA5563523F56CB5, "handledeathcleanup" },
    { 0xB5529FF2D684EDD2, "handledeathdamage" },
    { 0x2BCCF8CC0D229684, "handledeathfromabove" },
    { 0x4D20C164D9A7F8BE, "handledestroydamage" },
    { 0xEDAF3D8697FDD908, "handledevcommand_publicevents" },
    { 0xD7E7B4342BC841F7, "handledofnotetrack" },
    { 0x38F9697E90FBC0DD, "handledogfootstepnotetracks" },
    { 0x6C540B0C5B3F0B3A, "handledooropennotetrack" },
    { 0x2FA166CFA224395E, "handledooropenterminate" },
    { 0x43AAC0834530C612, "handledoublekillssuper" },
    { 0x66C3CF8791729C39, "handledropbags" },
    { 0x9685CD9BC4085A10, "handledropclip" },
    { 0x71739951638D930A, "handleempdamage" },
    { 0xC4F09A8A93FDBA43, "handleemponoff" },
    { 0x584199220DB180B3, "handleendarena" },
    { 0x91648DF22AA744E9, "handleendgamenonwinnersplash" },
    { 0x5E9460EF2BAC62F5, "handleendgamespectatingsplash" },
    { 0x47C34167B26BF4D5, "handleendgamesplash" },
    { 0xC7233CB7C3CB1156, "handleenemygunshipdamage" },
    { 0xC86DD6A00C8976B2, "handleequipmentkills" },
    { 0x7C6BA4139742108E, "handleeventcallback" },
    { 0x42C16A046187A53D, "handleexclusionils" },
    { 0xD1BD4D520AF6E370, "handleexitsquadeliminatedstate" },
    { 0xBD20B0DD4A7E74A3, "handleexplosivedamage" },
    { 0xEA0266405C14ED12, "handleexplosivepickup" },
    { 0xA1EF3D3806E9BA18, "handlefacegoalnotetrack" },
    { 0x7B13C046B18BDEEC, "handlefacegoalnotetrack_newenemyreaction" },
    { 0x5CA3906CF1BC6A79, "handlefinalkill" },
    { 0xF8421757DF6F7FC5, "handlefocusfire" },
    { 0xE3519FB6E0E0C9AD, "handlefortified" },
    { 0xC09EB77674F99CB1, "handlefriendlyfiredamage" },
    { 0xC1FA738C0DF32822, "handlefriendlyfiredeath" },
    { 0xBC8B056611240400, "handlefriendlyvisibility" },
    { 0xF7B244D3AB03DEA9, "handlegesturenotetrack" },
    { 0x5986D00D30AF436C, "handleglobalnotetracks" },
    { 0x9FD056A373BB6F01, "handlegoreeffect" },
    { 0xA9DCDDCEEED970E5, "handlegorepassive" },
    { 0x701914BB2FA793EE, "handlegrenadedamage" },
    { 0x80A5B9E506D12E00, "handleheadshotammopassive" },
    { 0x8BBBD6254E95D92B, "handleheadshotkillrewardbullets" },
    { 0x7DD1854D8AD5DBF1, "handlehealthonkillpassive" },
    { 0xC77C4FF257506CB0, "handlehealthregenonkillpassive" },
    { 0x70ED9DA1E3488C81, "handlehitmanpassive" },
    { 0xCDCD6124D12CDE1F, "handlehostmigration" },
    { 0x2B4DB52FF76E7105, "handleimpact" },
    { 0x1F642139C535AB2E, "handleincomingmissiles" },
    { 0x53CC58F1AA27DA57, "handleincomingstinger" },
    { 0x833D75BAB612CF7A, "handleinfillocationselection" },
    { 0xA093BF087B1B0F7B, "handleinfilspawnselectend" },
    { 0x40C1A6EB933A5A0E, "handleinfilspawnselectstart" },
    { 0x878811139DE7FFDA, "handleinfiniteammopassive" },
    { 0x5F38E862D1F274C6, "handleinlaststanddeath" },
    { 0x869A7AA0A56A4EE9, "handlejuggjumpspam" },
    { 0xAF77E75689C44495, "handlejumpteleports" },
    { 0x8F31A79FD38827BF, "handlekillmodifiers" },
    { 0xD8CEBCF95CFB7CBB, "handlelaststandweapongivedelay" },
    { 0x7DFBC2905510737A, "handlelaststandweapongivepipeline" },
    { 0xE83D87A49535FA36, "handlelfo" },
    { 0x24693B35CBF0C5E2, "handlematchscoreboardinfo" },
    { 0xFC8FC0ABA520B0E3, "handlemeleeconeexplode" },
    { 0xDA5724503B149BFC, "handlemeleedamage" },
    { 0x9451390829E2F95E, "handlemeleekillpassive" },
    { 0xD0E2636B55F39C1F, "handlemeleekillrewardbullets" },
    { 0xF4AAB58B7D68FC42, "handlemeleekills" },
    { 0x8253C9A0323E1C2E, "handlemeleekillsteelballs" },
    { 0xA961936CB5347138, "handlemeleesuper" },
    { 0x693A611527D6F76C, "handlemissiledamage" },
    { 0x63CFBA1EDC73F4E1, "handlemovespeedonkillpassive" },
    { 0x009C91B91F60006B, "handlemoveto" },
    { 0xC37DF94F48EDEEBB, "handlemovetoblended" },
    { 0xB7363020090368CF, "handlemovingplatforms" },
    { 0xD009A5BF10648069, "handlemythic" },
    { 0x5A9A2BDC58CFA7B6, "handlenavobstacles" },
    { 0xC7100236810A0C88, "handleninjaonlastshot" },
    { 0x5668C88668AD0D6F, "handlenokillstreaks" },
    { 0x11E76510AFBC47B7, "handlenondeterministicentities" },
    { 0x255C40524D85BEEA, "handlenormaldeath" },
    { 0xE4A55A0DF5E0BE7F, "handlenormaldeath_sounds" },
    { 0xE25717C5B91AD03E, "handlenotetrack" },
    { 0xF15B0F2B5FB1DAB9, "handlenotetrack_vsplayer" },
    { 0xA872B444EC63748D, "handleonekillwin" },
    { 0x36F81B4BF23D239A, "handleorientnotetracks" },
    { 0xA83950E587FB7EB6, "handleoutlinesforstreaks" },
    { 0xD178F818EA33CBF2, "handleownervisibility" },
    { 0x51604BF7B7BA196B, "handlepassiverefresh" },
    { 0x37457CB218E29687, "handlepassivescrambler" },
    { 0x9D0983A29D63DB2C, "handlepassivesonic" },
    { 0xA363BCA368243B22, "handlepersistentgungame" },
    { 0x0C3B1505101F5B85, "handlepersistentlandlocked" },
    { 0xC6AA816A2239C271, "handlepersistentrelicsquadlink" },
    { 0x0C5ADAA63104FFBC, "handlepersistentteamproximity" },
    { 0xF8A70D7D35C2F399, "handlephasecancellation" },
    { 0x20C203ABB150F5DD, "handleplunderendgamesplash" },
    { 0xBB130C1C4E77AE4F, "handlepointdecay" },
    { 0xDBC36DA61CC86F0C, "handlepopoffent" },
    { 0x019EC89315424892, "handleprop" },
    { 0x55D904FA96F44D98, "handleratvisionburst" },
    { 0x9D044CFDEA152A70, "handlerelicampedonkill" },
    { 0x41900F89F5F0F6B1, "handlerelicboom" },
    { 0xED3019B23D565445, "handlereliccatch" },
    { 0xF56878F29A6268E4, "handlereliccollatdamage" },
    { 0x83E081B0E583499F, "handlerelicmartyrdom" },
    { 0xCED6EA26291B8F19, "handlerelicmartyrdom_common" },
    { 0x5E316ACEBC4FB97B, "handlerelicmartyrdomfrag" },
    { 0x5420839C4701E9A8, "handlerelicmartyrdomgas" },
    { 0xEA39AE3607796177, "handlerelicshieldsonlyonkill" },
    { 0x5EAD3F29D81A5E59, "handlerelicswat" },
    { 0x5998B547B1F79405, "handlerespawnselection" },
    { 0xC01DDE3435030C25, "handlerevivemessage" },
    { 0x9E46E377E972F525, "handleriotshielddamage" },
    { 0x40D206E951BC006E, "handleriotshieldhits" },
    { 0x22C82BCB561E90B2, "handlerocketkillsgiverockets" },
    { 0xAD2DDB902E3566F5, "handlescavengerbagpickup" },
    { 0xF074D5E6D8E66511, "handlesecondarypainflag" },
    { 0xC706285B80F35C2A, "handleshotgundamage" },
    { 0x00937A69B163AADE, "handlesoloexclusionils" },
    { 0x11B1192DA082DF9F, "handlespectating" },
    { 0x11E3A3CA6F1EFDE7, "handlesplashqueue" },
    { 0xAB28B75452714B08, "handlesquadspawnabort" },
    { 0xD392B75B33F5792E, "handlesquadspawnconfirm" },
    { 0xB4B8CF806E454930, "handlesquadspawncycle" },
    { 0x42934CC7D9FFDC3B, "handlestationaryturnfacegoalnotetrack" },
    { 0x3606BFBC302A64FC, "handlestrafenotetracks" },
    { 0x4CB19494ECBC9885, "handlesuicidedeath" },
    { 0x2DDAAB2B67DBCB57, "handlesuperearnovertime" },
    { 0xAE99C9710E8B2DCA, "handleteamchange" },
    { 0x9599BB17B4A80F98, "handleteamchangedeath" },
    { 0xE099BB91BD32E749, "handleteamplacement" },
    { 0x50360D7C654C23CE, "handleteamvisibility" },
    { 0x89BFB9F5837A1586, "handletraversealignment" },
    { 0x67687E70C4CC7470, "handletraversearrivalwarpnotetracks" },
    { 0xDB204EAC96A27A24, "handletraversedeathnotetrack" },
    { 0xEE29F4ECF6E27204, "handletraversedrop" },
    { 0xD319BCDD3B1E4206, "handletraverselegacynotetracks" },
    { 0x7A8DC3360EB5105D, "handletraversenotetracks" },
    { 0x633E17D139A4095F, "handletraversewarpnotetracks" },
    { 0x91F5F430337BC7A4, "handletrex" },
    { 0x642810A433D54876, "handleuse" },
    { 0x385534AB8B16DE72, "handlevehiclerequest" },
    { 0xFB5EDA274FE75B53, "handlevisordetonation" },
    { 0xB6040AD9A2222920, "handlewallrunattachnotetrack" },
    { 0xD81E24BBC1FF12FB, "handlewarpacrossnotetrack" },
    { 0x12257FA2D2449241, "handlewarparrivalnotetrack" },
    { 0x65C6B66587ACCDE1, "handlewarpdownendnotetrack" },
    { 0x89D9CB7C4AD93A02, "handlewarpdownstartnotetrack" },
    { 0x3CE65CCCA4B34553, "handlewarpexitstart" },
    { 0x00170E3C0F91CD17, "handlewarpupnotetrack" },
    { 0x9AF37BBCA5444922, "handleweaponchangecallbacksondeath" },
    { 0x297D36D5DD31337D, "handleweaponreloadammodrop" },
    { 0x4F30843009ECD923, "handleweaponstatenotetrack" },
    { 0x1194EBB0F98A2810, "handleweaponstatenotetrackcp" },
    { 0xFDA649DFB0DA973B, "handlewiretap" },
    { 0x639ABCDB6BB3D185, "handleworlddeath" },
    { 0x203B4800A4A92477, "handoffset" },
    { 0x69F4C8B25910CF58, "handsignal" },
    { 0x3331C9B389A97472, "handsup_complete" },
    { 0xAB6FB780DAE66391, "hangar_allies_move_up" },
    { 0x64C9D25417291D59, "hangar_defend_main" },
    { 0xF31FB079F453D840, "hangar_defend_start" },
    { 0xFCB2E6276020F420, "hangar_defend_vfx_main" },
    { 0x5CECBF36DE43B46C, "hangar_door_button" },
    { 0x4540CCD82A23ED7E, "hangar_doors_opening_quadrace" },
    { 0x2348F32CD6C46A56, "hangar_drag_scene" },
    { 0x010347A261830D29, "hangar_fire_lights" },
    { 0x7CB14CB3919AD24B, "hangar_hatch" },
    { 0x279CBB12AF7CE535, "hangar_juggs" },
    { 0x3CB11ED3C1F49488, "hanging_crate_think" },
    { 0x0FD6BF3FF00EB381, "hardcoreinjuredlooopsplayed" },
    { 0x8786E9261D63CEB8, "hardcoremode" },
    { 0x3C2092E7A1519197, "hardenedaward" },
    { 0x43AEB2B5AB67DE5C, "hardlineactive" },
    { 0xFBC0523A380DA1DC, "hardpoint_setneutral" },
    { 0x20DECD3829C3C9A5, "hardpointmainloop" },
    { 0xB6DCE1FB3D5C305F, "hardpointtweaks" },
    { 0x157C0DF9F8E80CC8, "harpoon_impale_additional_func" },
    { 0x061BA1A252FCDE1B, "harpoonv1_passive" },
    { 0xDCC30DA97782A80F, "harrier_afterburnerfx" },
    { 0x48DAC843997E0140, "harrier_smoke" },
    { 0x0A9241028A91CE59, "has_access_card" },
    { 0xB0EB385D0C434737, "has_aimed_flashbang" },
    { 0x207ED0D4BD414C8B, "has_aimed_noisemaker" },
    { 0x6A825E233BDBD1CA, "has_alert_icon" },
    { 0x934E75EFBDFC0F06, "has_ammo" },
    { 0xCE42781390858949, "has_ammo_drain_passive" },
    { 0x8E3125D50765878A, "has_antennae" },
    { 0x90EAD5FFD822CBBF, "has_armor" },
    { 0xFD7EE5206A11B18D, "has_attached_props" },
    { 0x8BF08BE4F4A695B5, "has_attachment" },
    { 0x727628F9A868ED11, "has_auto_revive" },
    { 0x47827679B1E0550E, "has_backpack" },
    { 0x7100D8767254EB13, "has_balanced_personality" },
    { 0x87BA97B663CD92DF, "has_balloon" },
    { 0x706C7C3E5FC21B03, "has_been_turned_on" },
    { 0x39A04D1C6C2F3E7F, "has_building_upgrade" },
    { 0x7BDA7EB5D3329CE7, "has_ceiling" },
    { 0x7D0D5BB7140C42F5, "has_cluster_strike" },
    { 0x9F8D2438F32EC01F, "has_color" },
    { 0xEFD805ABEBD4D5B0, "has_combat_icon" },
    { 0x657E65CCFE5C8AA5, "has_critical_target_icon" },
    { 0x681133A773B087B0, "has_crowbar" },
    { 0xC308689BE712D685, "has_current_combat_action" },
    { 0x3CD4B0B4375A1AE7, "has_current_target" },
    { 0xE3C220AEBC3948EE, "has_cursor_hint" },
    { 0x1F06E8545C22F2CE, "has_displayed_chair_fail" },
    { 0x09F2E4A689C36EA9, "has_dongle" },
    { 0xC2DF74D959F5FB1D, "has_dont_kill_off_flag" },
    { 0xAD58BD2143BB6C9E, "has_drawn_attention_recently" },
    { 0xB53F821802CF3AC5, "has_drop_kit_marker" },
    { 0x337B285EB8EE226C, "has_encounter_score_component" },
    { 0x8A44D5F5AA141D4C, "has_eog_score_component" },
    { 0x0899F176963064C7, "has_explosive_touch" },
    { 0x14B76685CFB9693D, "has_eye" },
    { 0xFFF3458DBFFB634A, "has_filled_amped_bar" },
    { 0xCCFB773E15D2D523, "has_fnf_weapon" },
    { 0xA6AD2A27A4ABF105, "has_focus_fire_headicon" },
    { 0x27A47C2B9CE27DFD, "has_focus_fire_objective" },
    { 0xB184920202085A6E, "has_fortified_passive" },
    { 0x0776F9D145A3921F, "has_func_for_aievent" },
    { 0xBC7FA86AA3A60923, "has_gl" },
    { 0x893704F9FDD642D7, "has_headicon" },
    { 0x44B06BFB66C528B8, "has_hostage_on_board" },
    { 0x589F508546081E42, "has_hvt" },
    { 0x6AAA59C191617259, "has_incendiary_ammo" },
    { 0x7CA3D553311F1AEF, "has_infinite_ammo" },
    { 0xED747DD36F131C07, "has_instant_revive" },
    { 0x89EEE18337588BD8, "has_intel" },
    { 0x49DAD65F15C9FD3D, "has_inv_cooldown" },
    { 0x6146002D1C2817F1, "has_keycard" },
    { 0xE229CBCCC6DDCA42, "has_los_to_player" },
    { 0x207A88FE62D28248, "has_main_turret" },
    { 0x38D4498E3E8F5478, "has_module_met_max_vehicles" },
    { 0x0D352CC8E721A640, "has_multiple_lights" },
    { 0xC152E0792BE7BFC5, "has_munition" },
    { 0xAAB59EAE991AB618, "has_never_kill_off_flag" },
    { 0x65716328B48327A6, "has_no_focus_fire_attackers" },
    { 0x8B286CD2ED0EA2D3, "has_no_ir" },
    { 0xFFAF0E0E874858AD, "has_no_real_weapon" },
    { 0xB587B766647122B8, "has_open_case_marker" },
    { 0x10B72E2EF1A858B6, "has_override_flag_targets" },
    { 0xC4D123CFB206E1E6, "has_override_zone_targets" },
    { 0x6F76C03445DA3731, "has_picked_up_fuses" },
    { 0x3EEB016430DCDD0F, "has_relic_amped_victim_filled_bar" },
    { 0xBF871866F826B3D1, "has_relic_amped_victim_survived_time" },
    { 0xDD48B27EFD6F3E65, "has_replaced_starting_pistol" },
    { 0xF05FC3CFFA23C19A, "has_riot_shield" },
    { 0xA09551CB96033921, "has_rockets" },
    { 0xB6F00C0F7BE7FB46, "has_said_cam_switch" },
    { 0xE116A28665FF09F5, "has_saw" },
    { 0x9F108D7A9593C838, "has_scavenger" },
    { 0x5FE8C56A25D227F6, "has_score_component_internal" },
    { 0xBDDDB99BE5BB1B53, "has_script_color" },
    { 0xEF6BAD9696372F9B, "has_script_delay2" },
    { 0xB0D49FE538376022, "has_script_time_min" },
    { 0xACB43BC1300F452D, "has_script_wait" },
    { 0x961F5111C8C42A7E, "has_seen_any_player_long_enough" },
    { 0xE22CD152FD948B14, "has_seen_any_player_long_enough_to_trigger_alert" },
    { 0x8F4D3372CECC9077, "has_seen_any_player_recently" },
    { 0xA532953F3304D0A0, "has_seen_any_player_recently_watcher" },
    { 0x423D3C343149AE48, "has_semtex_on_it" },
    { 0xB42E1AB4B93BB30A, "has_sequence_been_entered_correctly" },
    { 0xE650D6E4B7D11FE2, "has_shotgun" },
    { 0x1313BA4F1CC4A585, "has_slayer_ammo" },
    { 0x431F5DB997BF1566, "has_spawner_chosen_nearby_flag" },
    { 0x6CAED5092B6548A8, "has_special_weapon" },
    { 0x42F1EB0853BD08C4, "has_started_cache_defenses" },
    { 0x087098CB9225BBBE, "has_started_thinking" },
    { 0x59D1650B0F7DF769, "has_stealth_meter" },
    { 0x8E9B637073445527, "has_stun_ammo" },
    { 0xB33FF8EFAF304165, "has_tac_vis" },
    { 0xEE88CB866F76FFB8, "has_tag" },
    { 0xD64B90CAFECEE123, "has_target_player" },
    { 0x6522D766D81C7829, "has_target_player_with_battle_stations" },
    { 0x3767D3EE23103AC1, "has_team_armor" },
    { 0x63DDC809770FB0C7, "has_termal" },
    { 0x6FCD7AFD330B9319, "has_thrown_flashbang" },
    { 0x1A80DCB83D094351, "has_thrown_noisemaker" },
    { 0xBA18AACFF53A8FE3, "has_unmatching_deathmodel_rig" },
    { 0xFF7317867CBF2E1A, "has_usb" },
    { 0xBDE35F2E5C999A8B, "has_vehicle_type_exceeded_module_cap" },
    { 0x3DC0D9EB0C27A851, "has_vehicles" },
    { 0x3F69742F18B972CA, "has_weapon_variation" },
    { 0x0AE66B2D35D80364, "has_weapon_variation_without_attachments" },
    { 0x3646577245D057E4, "has_zis_soul_key" },
    { 0x1800FC6C2D612CEF, "has_zombie_perk" },
    { 0xB1474EBD492F2A1E, "has_zone" },
    { 0x067C70D1BDC6840F, "hasaccesscard" },
    { 0x43F386E0569AA392, "hasachievement" },
    { 0x07E2DFE0A2230219, "hasactivepunchcard" },
    { 0xD2A9DBF8A901A320, "hasactivesmokegrenade" },
    { 0x8BDB5E8541118853, "hasalternate" },
    { 0x582F888DA0F53FE0, "hasammoinclip" },
    { 0x08915AF46742C03E, "hasanim" },
    { 0xD474BD4BC6B7483C, "hasanim_generic" },
    { 0x56E1A951A807E84A, "hasanimalias" },
    { 0x42919C557E7CAA55, "hasanimspeedthresholdstring" },
    { 0xC3309F0031B867DF, "hasanotherwallrun" },
    { 0xCD5A55004C0DCD91, "hasanykillstreak" },
    { 0x0C5AB2E496AF42AC, "hasarenaspawned" },
    { 0x03E684F04393D18E, "hasarmor" },
    { 0x95FC5EFC5A5C1975, "hasarrivals" },
    { 0x8B8133A959089C71, "hasatleastammo" },
    { 0xA118955F93A44130, "hasattachedweapons" },
    { 0x9FBE963140D0E772, "hasattachment" },
    { 0x89DD213E5C7D91E0, "hasattachmentconflict" },
    { 0x96F91D2D2275C4EC, "hasattachmentconflictwithweapon" },
    { 0x8DE76E0B4C8181A2, "hasattachmenttype" },
    { 0xF739D7F5A87C88DC, "hasbanked" },
    { 0x7B28DB1AD3C605EC, "hasbeenhitwithemp" },
    { 0x2AB4A5279F3B1CD8, "hasbeeninprisonarea" },
    { 0x23A60EC0039B7236, "hasbeenjugg" },
    { 0x1B72E8D76949DA55, "hasbeentracked" },
    { 0x868E3B50B077B798, "hasbeenused" },
    { 0x70D69DEFD6D63D23, "hasbettermissionrewards" },
    { 0xD1629DD6A83A20CD, "hasbots" },
    { 0x06BE8CD19ADEC41D, "hasbrspecialistbonus" },
    { 0xB721A8F0606661AC, "haschangedarchetype" },
    { 0xB0DC2F362C95895F, "haschangedclass" },
    { 0x0FC0FDC20A6AEA41, "hasclip" },
    { 0x4F0E148700D3CD9F, "hasclusterdata" },
    { 0xD4FB12B37F7CBDE1, "hascustomnotetrackhandler" },
    { 0xD4E9A3611B8D46CB, "hasdeath" },
    { 0xF19D96B0188480D1, "hasdied" },
    { 0x36417DCE193FBF9F, "hasdistdata" },
    { 0xD8329199B981C924, "hasdomflags" },
    { 0x85ED334B5B3E12E3, "hasdonecombat" },
    { 0xF21593A5E7BEA2C5, "hasdonepainbreathloopthislife" },
    { 0x449FBF89B3519E28, "hasdonestartmusic" },
    { 0xA386690506645C3B, "hasdropped" },
    { 0x4C6EF340B24339BD, "hasdroppedlmg" },
    { 0x1EB5727F54D22D50, "hasenemybeenseen" },
    { 0x3BEFBEAF3461D604, "hasenemysightpos" },
    { 0x10C8A5A3DA023C09, "hasequipment" },
    { 0x943BEB68BD2F5F74, "hasequipmentoftype" },
    { 0x3812326DDDDA73AF, "hasexecution" },
    { 0x51C2BD2DA782BA18, "hasexiteddriver" },
    { 0x1CDDBB2183BE156A, "hasexitedvehicle" },
    { 0x743584497B90743C, "hasexits" },
    { 0xB92E2AF888264514, "hasexploded" },
    { 0x3A753B3F81751D7C, "hasextractionkillstreak" },
    { 0x0B329FB597C6AE29, "hasfemalecustomizationmodel" },
    { 0xB1CC8352B28D4FB8, "hasgasmask" },
    { 0x094F9E64B31AE511, "hasgl3weapon" },
    { 0xFBC82485F0CA47EC, "hasgrenadetimerelapsed" },
    { 0x7822BB472F2CA7C9, "hashandle" },
    { 0xBDBA6F1CF5331B66, "hasheadgear" },
    { 0xECF45952328D1F64, "hashealthshield" },
    { 0xE62F65DD21BB5431, "hasheavyarmor" },
    { 0x36503AF9580D8A30, "hasheavyarmorinvulnerability" },
    { 0x96625EF047905380, "hashelicopterturret" },
    { 0x7727C8E5D991AC62, "hashelmet" },
    { 0xC65443D33A75D80D, "hashitplayer" },
    { 0xC8EE9D16AA15E47F, "hasincoming" },
    { 0xE3696D7F6C689C87, "hasinflictor" },
    { 0xEC1088AD507A93EB, "hasinitfunc" },
    { 0xC39F3FC19B575513, "hasintro" },
    { 0xF7E16D28D698E3AB, "hasjuiced" },
    { 0x6803A9797F1800A1, "haskillstreak" },
    { 0x9BBD7117515CF464, "hasknife" },
    { 0x80297319B541C74D, "haslanedata" },
    { 0x527EA6DE6281D2CA, "haslastgroundorigin" },
    { 0xA17ADEBF3FB6196F, "haslethalequipment" },
    { 0xF72DDB17E95DED5F, "hasleveldata" },
    { 0x9BC276E0F1A5E703, "haslevelveteranaward" },
    { 0x6A1FA10FEB515DC8, "haslightarmor" },
    { 0x2978A43CB47BDD23, "hasloadedcustomizationplayerview" },
    { 0xF8E066E98493F276, "hasloadedcustomizationplayerworld" },
    { 0xBBEC0624530F7778, "hasloadedcustomizationviewmodels" },
    { 0x9C962F0FEA7C17AF, "hasloadedcustomizationworldmodels" },
    { 0x1EAE77053CFC5DE4, "hasloadedviewweapons" },
    { 0x2F0D06A4CD5C38B3, "hasloadedworldweapons" },
    { 0x2FAA6868C51CAF8B, "haslos" },
    { 0xB94720829B655B1E, "haslowarmor" },
    { 0xB3C590848CE8B595, "hasmaxammo" },
    { 0xDAB2B211FA54A066, "hasmaxarmor" },
    { 0x07103AB4498C9F89, "hasmaxarmorvests" },
    { 0xDFC0338D8C6E0CE9, "hasmaxhealth" },
    { 0x16A1DFA75DD4E212, "hasminigun" },
    { 0xBF607BB74762B839, "hasmissionhardenedaward" },
    { 0x2495E2565D7F2A4C, "hasnointeraction" },
    { 0x501EBAAD90E5871E, "hasnolethalequipment" },
    { 0xC6ADD5DB5102D905, "hasnophysics" },
    { 0xC56621508D8AD960, "hasnukeselectks" },
    { 0xFC053652309BB71A, "hasoutro" },
    { 0x44CEA7840BB4D3E2, "hasowner" },
    { 0x6255ECABA725DFDD, "haspackage" },
    { 0x567C8E844897B093, "haspain" },
    { 0x41BFFC7C66D86ABA, "haspassedsquadleader" },
    { 0x1A20ED841B7EFE77, "hasperk" },
    { 0x224F697AA7C97827, "hasperksprintfire" },
    { 0x0E0DB0D2F3BAAE16, "haspickedupplunderyet" },
    { 0x631AC0FA87262388, "hasplatepouch" },
    { 0xDEB818AF77E65120, "hasplayedidleintro" },
    { 0x12A606D6BA22E84F, "hasplayedvignetteanim" },
    { 0xD4D2077A777A58A6, "hasplayerdata" },
    { 0x74F6D8D53E212855, "hasplayerdiedwhileusingkillstreak" },
    { 0xA76272EFD71CD89F, "hasplayerentattached" },
    { 0xD77BC2736E8632F8, "haspower" },
    { 0xB9A767FA9514CD3D, "hasprogressbar" },
    { 0x087CBE2F366404D9, "hasradar" },
    { 0x0C93BECEDBF9795A, "hasreact" },
    { 0xA003A7C32D1B644B, "hasrearguardshield" },
    { 0xCEA43F31BA6F3FCD, "hasregenfaster" },
    { 0xA4050616E5179285, "hasrephase" },
    { 0x7175D1A51864E633, "hasrequiredcrafteditemfordestruction" },
    { 0x2C89C35F396DA8EA, "hasrespawntoken" },
    { 0xA534418C18D74A0C, "hasriotshield" },
    { 0x37516A7DFC323699, "hasriotshieldequipped" },
    { 0x4FA9F059AACAE249, "hasroomtofullexposecorner" },
    { 0x4962CDB0343C9B48, "hasroomtoplaypeekout" },
    { 0xEFC926E7584074D9, "hasruggedeqp" },
    { 0x953D726566B2AB25, "hasscope" },
    { 0x357D3ED240DB13AB, "hasscrapassist" },
    { 0xF75679A3E65CB6D8, "hasseendiscountsplash" },
    { 0x159153D53C7952BC, "hasseenendgamesplash" },
    { 0x257C7D5B992ECCC1, "hasselfrevivetoken" },
    { 0xE7A7D5F58CBA2ADD, "hasshownlaststandicon" },
    { 0xACD97030D8C3A740, "hasshownvisdistdataerror" },
    { 0x8795007E9A631234, "hassightdata" },
    { 0x1D6A9C964D21667B, "hassolobuddyboost" },
    { 0x9F419D28193AB053, "hasspawned" },
    { 0x983F365B688F203A, "hasspawnradar" },
    { 0xDCA07D2EB51A1603, "hasspawnweapons" },
    { 0x7A55DA822CFE834D, "hasspecialistbonus" },
    { 0x3E2F50E60FE8084F, "hassquadmatepassengers" },
    { 0x1796E8AE14B602F4, "hasstarted" },
    { 0x176838B54E058EC4, "hassuppressableenemy" },
    { 0xA76F39B0DB6D954A, "hassuppressedweapons" },
    { 0x2BF45DCAEBDB87A5, "hastacvis" },
    { 0xA266C46918BA6BAD, "hastag" },
    { 0x36B0136508CEF600, "hastargetmarker" },
    { 0xFA9E0C014BD0DAF1, "hasthreespawns" },
    { 0x70405338EEDC60E3, "hastraversed" },
    { 0xC81F0F99083623B5, "hastripwirechild" },
    { 0x225B335975557791, "hasvalidationinfraction" },
    { 0xA2EC223A59AF3B6D, "hasvehicle" },
    { 0xEC0A82EB8838537A, "hasvisitedgwspawnselection" },
    { 0xE28E592D8C367227, "hasweapon" },
    { 0x0BE2A803FF86F44E, "hat" },
    { 0x3C35990FBCA8340C, "hatch_model_linkto_train" },
    { 0x8D0E6D3978535FDB, "hatmodel" },
    { 0x88A7ABD992674862, "hatsforgoats" },
    { 0x320D5E3D7CF6D4C5, "have_civilian" },
    { 0x69490DBA3865EA17, "have_clan_tag" },
    { 0xD81A95E1F3D48D16, "have_custom_evade_start" },
    { 0x1C1BFDE5A4C9F2C0, "have_permanent_perks" },
    { 0x446FD22ABD3F541F, "have_players_reached_points" },
    { 0x1A2902D9965BE5D9, "have_players_reached_points_endon_weapons_free" },
    { 0x745BB8607C37FDA7, "have_props_spawned" },
    { 0x6FEBE4C669BD6CFE, "have_self_revive" },
    { 0x3C546F125ACC6F36, "have_target_hud_turned_on" },
    { 0xA1C73F81C04DA82D, "have_things_in_lost_and_found" },
    { 0x465A736E22CDCFFB, "havedataformerit" },
    { 0x1A26E73C0954BE05, "havefuellevelsreachedoptimalvalue" },
    { 0x18F15FD0D016BED5, "haveinvulnerabilityavailable" },
    { 0x3DB5EF460BC6C165, "havemapentseffects" },
    { 0xD652947CAC056D8C, "havenothingtoshoot" },
    { 0x7DA94A2393E2CC14, "haveselfrevive" },
    { 0x13F410ECC46FE1B3, "havespawnedplayers" },
    { 0x24A7D47B8DC9AC12, "havesquadmemberscompletedmove" },
    { 0xEAFEED563056FC08, "haywire" },
    { 0x87E0668209E540D4, "haze_watcher" },
    { 0x0A29A4B3F5BC635E, "hb_sensor_used" },
    { 0xABD403FB497EFD1B, "hc_worker_01" },
    { 0x31B2108AF9672C47, "hc_workers_scene" },
    { 0xA68A43965A7C80EE, "hcrdata" },
    { 0xE2123CCB1DB6B25F, "head" },
    { 0xF3EDCD27C151418B, "head_center_anim" },
    { 0x81661676E6583BA1, "head_icon" },
    { 0x03B38C928C960F01, "head_is_exploding" },
    { 0x2C5440927C562E23, "head_left_anim" },
    { 0xD157B931183448AA, "head_leftback_anim" },
    { 0x28CA23542298CD0D, "head_model" },
    { 0x51101F49ADED8FFE, "head_right_anim" },
    { 0x63B2BEA5D7020623, "head_rightback_anim" },
    { 0xEC28183146B2D0A1, "head_shot_dist" },
    { 0xB2FE2E8DB423B085, "headed_to_level_3_vo" },
    { 0xF0828A269CA409F7, "headequiptoggleloop" },
    { 0x4F2465B05C9C7C07, "headequiptoggleloopbr" },
    { 0x563B0F61B8B7656E, "headicon" },
    { 0x2401B2FE41E385B8, "headicon_image" },
    { 0x89429802DD3D6458, "headicon_range" },
    { 0x369F0909DC872F36, "headicon_time_left" },
    { 0xE8F6F90D7F698837, "headicon_z_offset" },
    { 0x0FB770084D797648, "headiconactive" },
    { 0x403B3B3EF62F898B, "headiconbox" },
    { 0x1A29FCCC9861719C, "headicondeath" },
    { 0xED4F4FEB217FC4AD, "headicondrawrange" },
    { 0x8ACF8C65A0028E98, "headiconents" },
    { 0xC8E1C19BBE1C3502, "headiconfaction" },
    { 0xF3A7201771401E61, "headiconforcapture" },
    { 0x7E689C217C6A4305, "headiconheight" },
    { 0x12346FED77EE2C33, "headiconid" },
    { 0xD331499C283C7160, "headiconnaturalrange" },
    { 0x1359147074DFD6F9, "headiconoffset" },
    { 0xBBF1996606209461, "headiconowneroverride" },
    { 0xC706E8C3CD8AE607, "headiconteam" },
    { 0xA15F3A9DFF7E8D17, "headiconteamoverride" },
    { 0x5E8A09E4ADF486E5, "headindex" },
    { 0x8F4524F0B6DE66F9, "heading" },
    { 0xA7CC7419A97CE7F7, "heading_for_tag_pile" },
    { 0x38F03D73B6E5676A, "heading_to_rooftop_check" },
    { 0xB85BF8328C5C93FB, "headknob" },
    { 0x8675BEBACE6BDD79, "headlesscustomizationops" },
    { 0x277879D6A95C4DA6, "headlessinfilplayers" },
    { 0x87581E31C1E11C3D, "headlessinfils" },
    { 0x596AE85FAEF12954, "headlessloadoutindexprimary" },
    { 0xFFD0F2A534D6F34C, "headlessloadoutindexsecondary" },
    { 0x98DE18BC0FFE849F, "headlessoperatorcustomization" },
    { 0xEB87615198E81CFB, "headlessopindex" },
    { 0x899762FFC0B65954, "headlightleft" },
    { 0x3DB14C1DD513B561, "headlightright" },
    { 0x5339418D3A9DDE1E, "headlights" },
    { 0x969A41979D66CBEA, "headlook_enabled" },
    { 0x341974CCEF6B034E, "headlookatoffset" },
    { 0x98D29D9DF306D35C, "headmodel" },
    { 0x84E25C0688929917, "headmodelname" },
    { 0xF8373187155EC744, "headoffset" },
    { 0x29571AF06C0342B2, "headpop" },
    { 0x623A7F5A25929EF9, "headquarters_captured_music" },
    { 0xDB4BCDB2EBFF24A5, "headquarters_deactivate_music" },
    { 0x2DBFED3ACF034578, "headquarters_newhq_music" },
    { 0x5F2F0B7829982D9F, "headshot" },
    { 0xA8BBDF1866D3AB02, "headshot_death" },
    { 0xB615F5A762C8A89B, "headshot_distance" },
    { 0x6CC7135ECAD633FE, "headshot_reload_check" },
    { 0x0640E5D7F627D727, "headshot_reload_time" },
    { 0xECA4254379ACFE04, "headshots" },
    { 0x86A5E3E57382F7C0, "headtrack_off" },
    { 0x49B0CAE7DA76FABE, "headtrack_on" },
    { 0xC38FEB942E6FD38B, "headtrack_player_toggle" },
    { 0x81E4F05CFEA0D444, "heal_removeondamage" },
    { 0xFA3BA0C452195981, "heal_removeonplayernotifies" },
    { 0x25BA4ED8A108FFD6, "healdamage" },
    { 0x0D369F2098D7F9BE, "healedoverlay" },
    { 0x9272D3ACCB764109, "healedoverlaydestructor" },
    { 0xD448152373556AC8, "healedoverlayfade" },
    { 0x8A4546A95E73C2E4, "healend" },
    { 0x6DCFC039980A09EC, "healer" },
    { 0xCFEE66C87107C4CB, "healerperkteammatedestructor" },
    { 0x1359ADE231D534E4, "healerperkteammatewatcher" },
    { 0xA49BE23A1BE96D9E, "healhregenthink" },
    { 0x6D8DD03997C19383, "health" },
    { 0x1EE23B7FA17A133F, "health_bar_player_connect_monitor" },
    { 0x38578B114E1CE99E, "health_drain" },
    { 0x60B4F030056C8248, "health_meter_monitor" },
    { 0xC724401A29CEEA7C, "health_overlay" },
    { 0xEF0801A068C57CED, "health_reduction" },
    { 0x41F2143C2A4BA5F0, "health_remaining" },
    { 0x3268C9BB15168001, "health_remaining_max" },
    { 0x2B1A548D91A6BA98, "health_scalar" },
    { 0xA5D89BBCF46FAAAE, "health_scale" },
    { 0xA2FD66AC3EA9D541, "healthbarid" },
    { 0x2575ECD59041180D, "healthbars" },
    { 0x7D6F41FDD7154C97, "healthbox_canusedeployable" },
    { 0x3F6AFA128F467ED4, "healthbox_grenadelaunchfunc" },
    { 0x61FB4DD9E6855C54, "healthbox_onusedeployable" },
    { 0x27DECADBD88FF039, "healthbuffer" },
    { 0x964B5D492F50B2A3, "healthdraining_ui_set" },
    { 0x34A432D2CD7886C4, "healthfireengulfrate" },
    { 0x08F36C547513451C, "healthfireinvulseconds" },
    { 0xC04030AB9F4A8F35, "healthitems" },
    { 0xE609FA743A5E6234, "healthoverlaycutoff" },
    { 0x75AB237D1518F5A5, "healthpack_health" },
    { 0x41714F77E51EB2D1, "healthpool" },
    { 0x5FAA3C85EAF169E6, "healthratio" },
    { 0xDB85D0AFE02DFCF6, "healthratioinverse" },
    { 0xCC75C2DDCC6E34D0, "healthregen" },
    { 0xE6E3D495DD86207F, "healthregendelay" },
    { 0x273D0B5D3E527557, "healthregendelaymax" },
    { 0x275FF95D3E789579, "healthregendelaymin" },
    { 0x24EA7BC6E763E718, "healthregendisabled" },
    { 0x92DA4645C5287CAC, "healthregeneration" },
    { 0x009D9FA466E05792, "healthregeninit" },
    { 0xD1B8F38AA932AF92, "healthregenrate" },
    { 0x7DA4CACBA580E6F4, "healthregenratemax" },
    { 0x7D81B8CBA55A77A6, "healthregenratemin" },
    { 0x4AB07E804BB53CAA, "healthshield" },
    { 0x2C34FE235BE64AEE, "healthshieldmod" },
    { 0xE21248CB1DB6CCC3, "heap" },
    { 0x55F23DBF015AC352, "heapinsert" },
    { 0x3C722604046BFBC8, "heappeek" },
    { 0x8A2B3C0A7705E266, "heappop" },
    { 0x910257C0C0720CC2, "heapsize" },
    { 0x3B5C1B372DBE5D8D, "heard_player" },
    { 0xE55C30AB2F96358B, "heardparachuteoverheadtime" },
    { 0xBC0E5FC0CF52676F, "heartbeat_sensor_pick_up_monitor" },
    { 0xE2124CCB1DB6D58F, "heat" },
    { 0x17ED24545AC55567, "heat_reload_anim" },
    { 0x78E5014E10ED1079, "heat_signature_tracker" },
    { 0x326BA1A938A3AD21, "heatcounter" },
    { 0x79C87C2D42A8CA2F, "heatlevel" },
    { 0x1453A2F13171859D, "heavy_chance" },
    { 0x75E4CA2C67901655, "heavy_enemy_spawning_pause_monitor" },
    { 0x1932F53104ECEA53, "heavyarmor" },
    { 0xC20E5158BD1A9B43, "heavyarmor_break" },
    { 0x9BD70ABAE53AF6F4, "heavyarmor_getdamagemodifier" },
    { 0xB67E6CF82DA30004, "heavyarmormodifydamage" },
    { 0x25EC274837218826, "heavydamageaward" },
    { 0xF5061274BCC232EB, "heavydamageawardlaunchonly" },
    { 0x88D33D28C9CF48DF, "heavydamagescoreevent" },
    { 0x919DF1822E2395B0, "heavydamagescorelaunchonly" },
    { 0xDBB08ED7C776C46E, "heavystatehealthadd" },
    { 0x596241E1DD2B4541, "heavyweapons" },
    { 0x4C972E80D661F936, "height" },
    { 0x2B78D972DD572A73, "heightforhighcallout" },
    { 0x300CC13D0930CDFF, "heightmapmaxsize" },
    { 0x74734B622065CCB1, "heightoffset" },
    { 0x73CBAC721BFDD430, "heirarchytest" },
    { 0xD1CA4279EB165CFD, "heldoffhandbreak" },
    { 0x885E8B3A4A686812, "heldspawner" },
    { 0xDE69AF85A4E9C121, "heldspawner_think" },
    { 0xE1FC43CB1D9E8E91, "heli" },
    { 0x441BE88E1B17AA3A, "heli_activate_instruct" },
    { 0xD6A17464F9B36346, "heli_add_mg" },
    { 0x19391C0F5FFF2285, "heli_angle_offset" },
    { 0x7BD586ABB6C5E333, "heli_anim" },
    { 0x19A66AEA65468AB7, "heli_approach_catchup" },
    { 0x7691166D2026DC45, "heli_approach_instruct" },
    { 0xB1FADD53F8CAE73E, "heli_approach_main" },
    { 0x506F577357F18265, "heli_approach_start" },
    { 0x72422482E5F6E22B, "heli_arrived" },
    { 0x953A6133B3E0DBF3, "heli_assault2_death_watcher" },
    { 0x9BAAA3B7AEC2D804, "heli_assault3_death_watcher" },
    { 0x76775A4BE65C7924, "heli_assault3_fob_death_watcher" },
    { 0x611177EC28B15072, "heli_assault3_hangar_death_watcher" },
    { 0xF7FF1C548D511C5B, "heli_attack_catchup" },
    { 0xD1BB28C1F759501F, "heli_attack_fire_progression" },
    { 0xF32243B83D1993DF, "heli_attack_logic" },
    { 0x3B000741D4D21CFA, "heli_attack_main" },
    { 0x4B78B5540055E696, "heli_attack_objective" },
    { 0x8432AA9285020D8E, "heli_attack_player_heli_return" },
    { 0x97CDDCE2C7A2BFB9, "heli_attack_scene" },
    { 0x46719083CE66B679, "heli_attack_start" },
    { 0x5B5B0BAE5F8B9AB5, "heli_attract_range" },
    { 0x9E13BE35E8CFCCA1, "heli_attract_strength" },
    { 0x0330E028EB0BC644, "heli_audio" },
    { 0x9CB06367901FEF53, "heli_boss" },
    { 0x5792D3C88E7D786A, "heli_boss_logic" },
    { 0xC19D342B942C30BD, "heli_boss_precache" },
    { 0x38CF7A42474D6FF3, "heli_boss_shoot" },
    { 0x8F1E319083EC4E43, "heli_bosses" },
    { 0x163F0BE2C6294C6C, "heli_bravo_main_snd_ent" },
    { 0x1E005FD3BC0AE838, "heli_can_see_target" },
    { 0x8815AD29A71E3288, "heli_can_shoot" },
    { 0xDE654474B536FCC0, "heli_can_target" },
    { 0x0C815A1166209741, "heli_can_target_dist" },
    { 0x19BE6F10192B8953, "heli_carrier_logic" },
    { 0x490AC76922014888, "heli_charlie" },
    { 0x6B39A3669D8A6C94, "heli_check_player_below_starts" },
    { 0xF889C08C938DB877, "heli_check_players" },
    { 0xA709EB412FABE5A2, "heli_circling_think" },
    { 0x1B2386EE9512D169, "heli_civ_ambush_1" },
    { 0x8581FDC89E16CD3F, "heli_cleanup_exfil_area" },
    { 0x0D6CB723406D05FC, "heli_commander_sfx" },
    { 0xB21AD70F28972D89, "heli_convert" },
    { 0x648876A1B8A7BF3B, "heli_convertforplayerfunc" },
    { 0x2697894C70258F82, "heli_corpse_burn" },
    { 0xEC7F58D4A05D5E7A, "heli_counter" },
    { 0x4F72A3DE6FADD59D, "heli_crash" },
    { 0xC5E3C4FE167FEDC4, "heli_crash_debris_post" },
    { 0x91D6069ED43C0D33, "heli_crash_debris_post_roof" },
    { 0x14CF6F50EED25DEB, "heli_crash_debris_pre" },
    { 0x44506F305810F0CF, "heli_crash_debris_setup" },
    { 0x63F943C36D6E91DE, "heli_crash_fire_lights" },
    { 0xEA32D0FFBBF40AC2, "heli_crash_indirect_zoff" },
    { 0x3C5AEB7E54CD11AC, "heli_crash_lead" },
    { 0x0D2EC08154C0E6DB, "heli_crash_lights" },
    { 0xD11F0C40F1F46AF3, "heli_crash_nodes" },
    { 0xABA34AB3AF949617, "heli_crash_on_pilot_death" },
    { 0x271B4AA3E358689E, "heli_crash_path_loc_setup" },
    { 0xAB822C7AD29DE3A1, "heli_crash_swap" },
    { 0x516E520F44F134B1, "heli_crash_timeout" },
    { 0xA6A9D1A55F0876D7, "heli_crash_timer" },
    { 0xDEFEB325076B75BE, "heli_crawl_to_idle" },
    { 0x9ADF63FEC722714A, "heli_damage_death" },
    { 0xB0936B9A6264953E, "heli_damage_monitor" },
    { 0xFF1EE8BD21B90A89, "heli_damage_update" },
    { 0x44A33C7B01EBC6B7, "heli_damagemonitor" },
    { 0x522DB8ADF72F2B39, "heli_death_monitor" },
    { 0xCD620FCD13C4BEF1, "heli_death_thread" },
    { 0x8DC399457969F09D, "heli_debug" },
    { 0xC813AFB1F395415F, "heli_default_missiles_off" },
    { 0xD05EF5260E8761DB, "heli_default_missiles_on" },
    { 0x7B325A4A4CA73642, "heli_default_target_cleanup" },
    { 0x778001DD89EF94B7, "heli_default_target_setup" },
    { 0xCCFF52884F32D3C3, "heli_delayedpadstateupdate" },
    { 0x4ACE31271D4E8E2C, "heli_depart" },
    { 0xD460931BC1A605E7, "heli_deposit_instruct" },
    { 0x35F9D07F4C172AF5, "heli_destroyed" },
    { 0x3588369BF0330679, "heli_destructible_ceiling_logic" },
    { 0x6960D921626E750E, "heli_destructible_propane_tank_logic" },
    { 0x5D3AA8608F6738E9, "heli_dmg_sparks" },
    { 0xE32149A8805462A4, "heli_done_unloading" },
    { 0x7227DC7467645FC7, "heli_door_open_sfx" },
    { 0xB16F6339C5CC3D11, "heli_down_init" },
    { 0xEEBAE8711BF8981A, "heli_down_precache" },
    { 0xE64D84F8CA0E034F, "heli_down_structs" },
    { 0x9894382B3536B69B, "heli_evade" },
    { 0xAB87CDF022ECA61C, "heli_event_escape" },
    { 0xB1088D0AF4D4EFA5, "heli_event_hallway_run" },
    { 0x3F8E86E977E58CC2, "heli_event_obj_room" },
    { 0xE65F08C655428295, "heli_event_stairs_explosion" },
    { 0xDC4C748B449507ED, "heli_event_tunnel" },
    { 0xB828134C247BA99E, "heli_existance" },
    { 0xAC2D7D44E9E01EBF, "heli_explode" },
    { 0xB85F1AB453507A3B, "heli_extraction" },
    { 0x670F61AFC744BC64, "heli_fail_time_within_limit" },
    { 0x93DB9E6CCA37EF43, "heli_fight_start" },
    { 0x3281DB5BD0BD700C, "heli_final_path" },
    { 0x7286B625219DE88B, "heli_fire_at_players" },
    { 0xFE42CF559E54656B, "heli_fire_magic_bullet" },
    { 0x9F29AAA17056E3E5, "heli_fire_missile" },
    { 0x5F85D70A0F1682E2, "heli_fire_missiles" },
    { 0x85C0391B9DCFF746, "heli_fire_rocket_at_building" },
    { 0x4B3532DDA4ECD2C6, "heli_firelink" },
    { 0x9564947885BAA7D8, "heli_fly_loop_path" },
    { 0xB7EF765A7FD374CC, "heli_fly_simple_path" },
    { 0xF19243756C7D3B5C, "heli_fly_well" },
    { 0x02669C1987DBB781, "heli_flyloop" },
    { 0x0BD87CE98097A582, "heli_force_search" },
    { 0x8123EED7B83F8671, "heli_forced_wait" },
    { 0xE397E1996E5EE7BE, "heli_fov_check" },
    { 0xB12D56063DF8EE84, "heli_gate_molotov" },
    { 0x8F20542390957A11, "heli_gate_molotov_helper" },
    { 0x91AD729327AF5746, "heli_get_node_origin" },
    { 0xF78513BB600D631E, "heli_get_target" },
    { 0x18FD232D3BBD8F00, "heli_get_target_ai_only" },
    { 0xAC92ADC2467642E9, "heli_get_target_player_only" },
    { 0xB1288EE59B1C9ECF, "heli_getteamforsoundclip" },
    { 0xA1013BA26A7D5B19, "heli_go_search" },
    { 0xF58D2D49E388C402, "heli_go_to_exfil_point" },
    { 0x14B55AA9746FD882, "heli_goal_think" },
    { 0xF29ECE64E61FE050, "heli_goto_pos" },
    { 0x72D52DDFCCA8C677, "heli_group_nextspawntime" },
    { 0x4AB5C61603144ECC, "heli_gunner_logic" },
    { 0x37FAF5DBB38CBDFA, "heli_guys" },
    { 0xE041DBC692F21F96, "heli_hallway_mover" },
    { 0xD2671EB50FB3819E, "heli_has_player_target" },
    { 0x711F46C015AD2BEA, "heli_has_target" },
    { 0x924958FE60469605, "heli_headicon" },
    { 0xA9122979E40202E0, "heli_health" },
    { 0xD9EF67DDCA5EF2AD, "heli_help" },
    { 0xABB0E8E97FB84E33, "heli_hover_between_points" },
    { 0x55F0CA07527A82AC, "heli_idle_movement" },
    { 0xE741D7C8E12F4A93, "heli_infil_radio_idle" },
    { 0x10A08A1659D7A679, "heli_interactive_think" },
    { 0x37EB535FB1E970CE, "heli_interior_lights" },
    { 0x651FC915E055206A, "heli_interior_sfx" },
    { 0xE5073570EABB22F4, "heli_intro" },
    { 0xBF3DABC5776A1D8C, "heli_intro_anim" },
    { 0xD4A6CA438B128CEA, "heli_intro_anim_unlink_player" },
    { 0x58E4D463E7713C7F, "heli_intro_scene" },
    { 0xAB69CCCE4365F69E, "heli_intro_vo" },
    { 0x7DF115C42E6CAE7F, "heli_intro_vo_done" },
    { 0xA8EA217CD9F9483D, "heli_is_threatened" },
    { 0xFE084CCA89DEF716, "heli_isleaving" },
    { 0x38B45A5BA77DB29F, "heli_killed" },
    { 0xCBB9CC03B6E6ABF1, "heli_kyle_third_person" },
    { 0x26F46BA6895F68CA, "heli_land_logic" },
    { 0xB43E00C727EE78F9, "heli_landing_volumes" },
    { 0xF1B4A4CB42536EBD, "heli_lastattacker" },
    { 0xC4CB928F5619E5E1, "heli_leave" },
    { 0xA90AD7F9B6A87FFF, "heli_leave_nodes" },
    { 0x1D0658B1EB2133D2, "heli_leave_on_changeteams" },
    { 0xCBE02890F0C8999E, "heli_leave_on_disconnect" },
    { 0xAC9034939CDF6FCA, "heli_leave_on_gameended" },
    { 0xA430B1A88A0F76BA, "heli_leave_on_spawned" },
    { 0x954CD7AAC60FBA7F, "heli_leave_on_timeout" },
    { 0xB7AE4E8B0D49F9E7, "heli_leaving_monitor" },
    { 0x8F4F417FB225D47C, "heli_letter_boxing" },
    { 0x6D2ADC13B8469DF7, "heli_light_disable_on_spawn" },
    { 0x01D4519CF88DAC8C, "heli_loc" },
    { 0xF82EFB20C422BBD8, "heli_logic" },
    { 0x32239FCBB92E78D5, "heli_lookat_monitor" },
    { 0x69138CA46B54AADA, "heli_loop_nodes" },
    { 0xEBA3EC51D45F1836, "heli_loop_speed_control" },
    { 0x6F1F86B8E17DA6DA, "heli_maxhealth" },
    { 0x169EA9307A535E06, "heli_mg" },
    { 0xBD69286D6BA7750B, "heli_mg_create" },
    { 0x3318B60FBCF5577E, "heli_minigun_override" },
    { 0xAE6F3FF7023E306D, "heli_minigun_shoot_til_notify" },
    { 0x0454DD2F99096788, "heli_missiles_think" },
    { 0xD640B8118D382C7A, "heli_mosoleum_flyby_1" },
    { 0x0A81655316892D87, "heli_move" },
    { 0x7086C251E6264C9B, "heli_move_script" },
    { 0xE2DDB026C44D529B, "heli_move_to_target" },
    { 0x1A125FE75D8CBDEB, "heli_movement" },
    { 0xF828B0FB8EF4848F, "heli_movement_escape" },
    { 0x02AE41ED94867E61, "heli_movetopos_and_idle" },
    { 0x3D20BE2AD65EB26E, "heli_murder_player_in_hallway" },
    { 0x9998B05BEAAD67AE, "heli_normal_think" },
    { 0xABDF7B393AEC3C7B, "heli_orbit_logic" },
    { 0x254D8476AB28BAD1, "heli_outro" },
    { 0xEFEC7E0A0C788359, "heli_path" },
    { 0x047460AB883482B4, "heli_path_func" },
    { 0xC2B70140C31CF931, "heli_pick_node_furthest_from_center" },
    { 0x1A57825F48D1AFE8, "heli_pilot" },
    { 0xC0DF0200D7CA2393, "heli_pilot_allowed" },
    { 0x82386AD5858F1E4B, "heli_pilot_control_heli_aiming" },
    { 0xAB25250E3CB277AC, "heli_pilot_mesh" },
    { 0xCD2F65E103EC6F7A, "heli_pilot_missile_radius" },
    { 0x69B8143B29D72B43, "heli_pilot_monitor_flares" },
    { 0x7A61477654A8691D, "heli_pilot_pick_node" },
    { 0x1201AF2938C66646, "heli_pilot_setup" },
    { 0x7878D180DF726B0A, "heli_pilot_waittill_initial_goal" },
    { 0xFAC41B959569BC9C, "heli_player_damage_radius" },
    { 0x04F1373C754BE2C2, "heli_player_prone" },
    { 0xDBD872F72A1722A0, "heli_pos_override_trig" },
    { 0x8A2C58F103131117, "heli_precache" },
    { 0x7CD1D849A9F13BF7, "heli_replenish_health_after_death" },
    { 0x391D0FBF754FEA8D, "heli_reset" },
    { 0x631B9A3B32BF6116, "heli_return_spotlight_player_exposed" },
    { 0x5BD8CF32536E15DA, "heli_return_spotlight_player_hidden" },
    { 0x96CD5196F2762EFD, "heli_ride_in_fx" },
    { 0xC3A7B515B34996F3, "heli_ride_in_fx_skippable" },
    { 0x97143A96F2C4BED8, "heli_ride_in_vo" },
    { 0xCB9C9EB82D69C9C9, "heli_ride_intro_extras" },
    { 0x871778B1EA6FCA0A, "heli_rocket" },
    { 0x3FB59F0B99B228DB, "heli_rocket_fire" },
    { 0x12C07B44B0DBC32F, "heli_rocket_think_default" },
    { 0xB5B06A4EDE01B9AE, "heli_rocketeer" },
    { 0x053E08E864FBF51B, "heli_rpg_enemy_run_away" },
    { 0xE4E7B1A6C4CCD459, "heli_rpg_enemy_think" },
    { 0xACBB2D665AE5D528, "heli_rumble_helper" },
    { 0x86B865BAA3820390, "heli_screenshake" },
    { 0xBE31C4252237FA9D, "heli_secondary_explosions" },
    { 0x511EDD7AF825B40F, "heli_setup_and_attack_logic" },
    { 0x46030BDA56BA8948, "heli_sfx_shutdown" },
    { 0xB73B788E4A2A3DC5, "heli_shake_controller" },
    { 0x903DB2AADEE5A6E2, "heli_shake_door_closed" },
    { 0xC9D10FBFF8083B36, "heli_shake_door_open" },
    { 0x7A0736AFD6D12219, "heli_shake_rope" },
    { 0xF2DA52929980E93D, "heli_shake_spin" },
    { 0xB682C4926C6C56C1, "heli_shake_stop" },
    { 0x09634838128B0AC3, "heli_shoot_obj_room" },
    { 0x33005F82893D5EFB, "heli_shoot_player" },
    { 0xBCA20992E2B8DCFE, "heli_shoot_think" },
    { 0x478FC6C15A881C27, "heli_shoots_hallway" },
    { 0x70C24A08FFEE71F6, "heli_sniper_allowed" },
    { 0x93B2180BEDBA890C, "heli_sniper_clear_script_goal_on_ride" },
    { 0x13D05B5F4BE5F928, "heli_sniper_pick_node" },
    { 0xBFBF5121F0383817, "heli_sniper_waittill_initial_goal" },
    { 0xD1258EA3F7FA0961, "heli_sound" },
    { 0xB91AABF5B2537962, "heli_sound_handler" },
    { 0xB67A157721FBE0B2, "heli_spawn_alpha" },
    { 0x184CAD354EC3FF0A, "heli_spawn_bravo" },
    { 0x14EAB9AB250FC448, "heli_spawn_charlie" },
    { 0xAF05EEF74535EAF2, "heli_spin" },
    { 0x43F73BF6B57A1B50, "heli_spotlight_aim" },
    { 0xCCAA0F866B246428, "heli_spotlight_aim_ents_cleanup" },
    { 0x9DB002A62C94D975, "heli_spotlight_cleanup" },
    { 0xBE45253D39F79993, "heli_spotlight_create" },
    { 0x7F7AE32D724C0380, "heli_spotlight_create_default_targets" },
    { 0x5584BB19BBE6FB7B, "heli_spotlight_damage_death" },
    { 0xBE76F23C15B82BD8, "heli_spotlight_destroy_default_targets" },
    { 0x1E9951AEBE9D1DA4, "heli_spotlight_escape" },
    { 0x184B675ABB6A5E52, "heli_spotlight_heli_return" },
    { 0x5CCA085D66D8CFD6, "heli_spotlight_hunt" },
    { 0x5BEF6EC71B2E4746, "heli_spotlight_killed_heli_return" },
    { 0xD4DFAEF71FA2D0A0, "heli_spotlight_off" },
    { 0x3AA36B09FCDF9E1E, "heli_spotlight_on" },
    { 0xB0870DE0ACC3F26B, "heli_spotlight_random_targets_off" },
    { 0xBA3058180B385827, "heli_spotlight_random_targets_on" },
    { 0xBCCF82FDBC51027D, "heli_spotlight_sweep" },
    { 0x572C5E878DDD0D45, "heli_spotlight_think" },
    { 0x7D9845263C1713C7, "heli_spotlight_toggle" },
    { 0x9B35B4801901860B, "heli_stairwell_1" },
    { 0x9B35B5801901883E, "heli_stairwell_2" },
    { 0x2360EEB9ACC1120C, "heli_start_nodes" },
    { 0xEBCCCBBC9BE42D35, "heli_starts_addstart" },
    { 0x59BC7DA68D9A2FF9, "heli_starts_clear" },
    { 0xAA12D3E0CDA722B0, "heli_starts_restrict_to" },
    { 0xEAF3A0F771D5C272, "heli_stop" },
    { 0xB4D04CC6FAD3E00E, "heli_stop_for_context" },
    { 0x3A49F2996113E9D8, "heli_strafing_run" },
    { 0x4DDC7FB16424CADC, "heli_structs_entrances" },
    { 0x0962B3BAEA7C1B7B, "heli_structs_goals" },
    { 0xEF1E43F6A4696E3B, "heli_structs_paths" },
    { 0x2AF31DFA9447E2BB, "heli_target_recognition" },
    { 0x7AE5AEF607BEF00D, "heli_targeting" },
    { 0xD41637CA3EC367F9, "heli_targeting_delay" },
    { 0x391BE5C48667F036, "heli_think" },
    { 0xA891928D471B7A7C, "heli_think_default" },
    { 0x926ABAC41160E7BB, "heli_triggers" },
    { 0xC464CA84691FC21E, "heli_trip_vehicle" },
    { 0x7C8316AA968B506D, "heli_try_rockets" },
    { 0x673573C16E47A31B, "heli_turretclipsize" },
    { 0x05DC896BF1BAC6EA, "heli_type" },
    { 0x9EC8D1649DC2C27B, "heli_types" },
    { 0xF1AE555F76B83E6D, "heli_under_fire" },
    { 0x83C964EA6D2338F2, "heli_under_fire_magic_bullet" },
    { 0x57930C57EA0BD16A, "heli_update_shake" },
    { 0x43B7443F90ADEB00, "heli_visual_range" },
    { 0x09F6A2C070D1649C, "heli_volume" },
    { 0xEF48C7FBEFA8CA1C, "heli_wait_node" },
    { 0xEB6048504A467448, "heli_waittill_full_or_timeout" },
    { 0xE08EFAE40009034E, "heli_watch_for_fly_away" },
    { 0x707CF21109797509, "heli_watchdeath" },
    { 0x96C949C06B5ECB24, "heli_watchempdamage" },
    { 0x424F0B1E38D316B1, "heli_windy_price" },
    { 0x380CDB6167A2BA17, "heli_wreckage" },
    { 0x46E713B3AD588F57, "heli_wreckage_break" },
    { 0x2F390AE700ACDD80, "heli_wreckage_first_frame" },
    { 0xF2647207FAAA78C5, "heli_wreckage_setup" },
    { 0xBD26829D8165661D, "heli_yaw" },
    { 0x3B35AF03B0A64D53, "heliatcapacitycallback" },
    { 0xC2A1BA331E765CDB, "heliattackwarning" },
    { 0x421B2FD966F5D943, "helibankplunder" },
    { 0x70BC83203D9FDADB, "helicircleindex" },
    { 0xA1A6FF328A983497, "helicleanup" },
    { 0x41CBEDF9CBFD710A, "helicleanupdepotonleaving" },
    { 0xA8A4ED37EA4535B4, "helicleanupextract" },
    { 0xA9369531B52D64A0, "heliconfigs" },
    { 0x932CEEE8A266C655, "helicopter_catchup" },
    { 0x511B0BEDE00D154E, "helicopter_crash_beats" },
    { 0xF62A254C969303CD, "helicopter_crash_catchup" },
    { 0x904753525F6AFEE9, "helicopter_crash_directed" },
    { 0xC7913A327ECDB86C, "helicopter_crash_fall" },
    { 0x45480B3803ED198F, "helicopter_crash_fall_price_gun" },
    { 0x265116B1DB72226C, "helicopter_crash_fall_relative_to_world" },
    { 0xFAAE3DCD1C0D7F4D, "helicopter_crash_flavor" },
    { 0xB23559876C429B18, "helicopter_crash_lerp_ap" },
    { 0x4BD027AA9C05CCD3, "helicopter_crash_locations" },
    { 0x00893B294A444C9C, "helicopter_crash_main" },
    { 0x6F25A828DF943C68, "helicopter_crash_move" },
    { 0x3E019F1C6A249052, "helicopter_crash_path" },
    { 0x4BC45AC49AD357A5, "helicopter_crash_pilot" },
    { 0x8A6A19A32C6C010D, "helicopter_crash_rack_focus" },
    { 0x403832DDA4D800BE, "helicopter_crash_rotate" },
    { 0x796916720FCAC3EB, "helicopter_crash_start" },
    { 0x5B18ACFD8FE07BEB, "helicopter_crash_vfx" },
    { 0x6E9EF551D1AD41F9, "helicopter_crash_zigzag" },
    { 0x11376CFEC5EA39A5, "helicopter_crawl_catchup" },
    { 0xD7A765A83B3551C4, "helicopter_crawl_main" },
    { 0x243F6DDEF2E0C253, "helicopter_crawl_start" },
    { 0xFD6581F179C850A2, "helicopter_death_lockon_clear" },
    { 0xAAC57B34823C5B96, "helicopter_fall_camera_control_locking" },
    { 0x1852AD3F22B3DB5B, "helicopter_firelinkfunk" },
    { 0xD4080BF78CAA8326, "helicopter_firendly_dmg_text_display" },
    { 0x42FB8B5BA4DD9875, "helicopter_in_air_explosion" },
    { 0x7874FD8760D17AE4, "helicopter_lerp_crash_anim" },
    { 0xE885814A72096AFD, "helicopter_list" },
    { 0xC72BB92D7F7621F4, "helicopter_main" },
    { 0x08A2C1AA294BAE2C, "helicopter_pilot_death_explosion" },
    { 0x33B3BFDD6F99983C, "helicopter_player_fall" },
    { 0xD245BF3D1DB38744, "helicopter_player_fall_anim" },
    { 0x500BCF60590D5026, "helicopter_predator_target_shader" },
    { 0xDB59CCA9E98B92EC, "helicopter_spawn_function_init" },
    { 0x39EDECAD1DECCD16, "helicopter_spin_fail" },
    { 0x9EB1AC53B8206A63, "helicopter_start" },
    { 0xF5E2B723B4AD4762, "helicopter_tree_watcher" },
    { 0xF272BC8D07322571, "helicopter_unloading_watcher" },
    { 0xFA30CAFCDEE30C6E, "helicopters_controller" },
    { 0xF8CE61DD5DF6487A, "helicountdownendcallback" },
    { 0xC73B731EECAD5A6C, "helicrash" },
    { 0x7A8A7C878A7644DF, "helicratedelete" },
    { 0x72A7AB7583654F1A, "helicreateextractvfx" },
    { 0x8FFEF4D1A05686A6, "helidelete" },
    { 0xDB24A4F9C205077F, "helidepotthink" },
    { 0x155ACDC68C9B16F1, "helidescend" },
    { 0xFBA38AEB604944D0, "helidestroyed" },
    { 0xD60DD429FCC8D1CA, "helidestroyvehiclestouchnotify" },
    { 0x7A755BF5212326CC, "helidestroyvehiclestouchtrace" },
    { 0xC7E3BAEC578C3955, "helidialog" },
    { 0x649B26CC0E28DEB1, "helidisabled" },
    { 0x56CA0F24D07B5A41, "helidisapateextractvfx" },
    { 0xDDA60511BDDEE99A, "helidown_corpse_present" },
    { 0x8D01AF90F9CD4EF2, "helidown_downed_pilot" },
    { 0xE117A483A8E38938, "helidown_escort_start_func" },
    { 0x64E505A8D4082C85, "helidown_event_active" },
    { 0xFCA6187A388A86AF, "helidown_long_cut_len" },
    { 0xD45CB9C72B1CBD15, "helidown_start_func" },
    { 0x3816B330C7364C89, "helidown_start_func_debug" },
    { 0xAE5855F223435F8B, "helidown_vip_close_to_exfil_dist_sq" },
    { 0x1F953806996E9DEC, "helidrivable" },
    { 0x39862236615E902E, "helidrivabledeath" },
    { 0x8338AF75D94F1D3D, "helidrivabledeathall" },
    { 0x877F99D35C77BDA1, "helidrivableenablesiteondeath" },
    { 0x7EB799A15129649C, "helidrivableenablesiteonflyaway" },
    { 0xF49BBDDF6EF9098A, "helidrivablemission" },
    { 0xE3E1BF72B1C8DBDC, "helidrivablethink" },
    { 0x305308130EAB0933, "helidronefx" },
    { 0xC43454FB83138A4F, "heliendtime" },
    { 0xE490EFD2D1BDF4ED, "heliexfilthink" },
    { 0x2926CC47589DB322, "heliexplode" },
    { 0x491F1812C0702026, "heliextract_used" },
    { 0x6CC9B35D4F9CA418, "heliextractarrivewait" },
    { 0x219D1904B345E18D, "heliextractcallback" },
    { 0xFC7EE927BE266190, "heliextractplunder" },
    { 0xE9599FFD19B8634F, "heliextractwait" },
    { 0x872B959F461C80BB, "helifollowpath" },
    { 0x427E013CB1F53A0C, "heligotoplunderrepository" },
    { 0xE7BD11F92B81F5E5, "heligotostartposition" },
    { 0x76C73057F4628EF6, "heliheight" },
    { 0x620CC5854B045171, "heliheightoffset" },
    { 0x300EE7289FBF0336, "heliheightoverride" },
    { 0xE0351FBAE9CDBD6C, "helihint_activate" },
    { 0x0E4CEA2185173CE6, "helihint_activate_vo" },
    { 0x67B8AFD0A4E2F2B9, "helihint_deposit" },
    { 0x98466475C9E6EBD9, "helihint_deposit_vo" },
    { 0xBFEB3DDF5496BF43, "helihint_gotopad" },
    { 0xB16E91A3A2A3C3EB, "helihint_gotopad_vo" },
    { 0x7482BE8AF92FFAFD, "helihint_logic" },
    { 0x524BC16C4959F11C, "helihint_wait" },
    { 0xE2C19E7DEF8ECA1F, "heliinproximity" },
    { 0x1A967983FDBDCE63, "heliisfacing" },
    { 0xA962726118CA787A, "helilandingorigin" },
    { 0x361EF279995B8E44, "helileave" },
    { 0xD4181E9D52C9FDCA, "helilifetime" },
    { 0xF1DE62BA80018D3A, "helimakedepotwait" },
    { 0x9064E7EC8840FA50, "helimakeexfilwait" },
    { 0x2822D53142090496, "helipad" },
    { 0xFE7D5C6A72664AF6, "helipad_activated" },
    { 0xB7A509C63185E8C5, "helipad_getheli" },
    { 0xDD5FB23FC8634705, "helipadscriptable" },
    { 0x5E58377B8D8FD355, "helipathmemory" },
    { 0x28ABFE4067A877C1, "helipilot_endride" },
    { 0x18EB9D34DB7EC113, "helipilot_freezebuffer" },
    { 0xFC7CC442C6699FFB, "helipilot_getcloseststartnode" },
    { 0x3338ECE6F24C1622, "helipilot_getlinkedstruct" },
    { 0xD19E18CFF1ED24D5, "helipilot_leave" },
    { 0xAFC6862E19AD2864, "helipilot_lightfx" },
    { 0x9B550EDE423EBEE7, "helipilot_setairstartnodes" },
    { 0xB1D4B9A519566001, "helipilot_watchads" },
    { 0x72DA9F3E1D8AAC3D, "helipilot_watchdeath" },
    { 0x070E8E315BA9AE87, "helipilot_watchobjectivecam" },
    { 0x59816D6C916ED273, "helipilot_watchownerloss" },
    { 0xC3E330157A4C49F8, "helipilot_watchroundend" },
    { 0xAD8DA8C661384E98, "helipilot_watchtimeout" },
    { 0x47D58AFFA72D07D0, "helipilotsettings" },
    { 0x790E157C55C450A5, "helipilottype" },
    { 0x052261C9F8A370A8, "heliplayloopanim" },
    { 0x2F496AEB0D8BC3D5, "heliplayloopbadanim" },
    { 0xF65F7904C5BA0010, "heliplayloopropeanim" },
    { 0x06B9D210DD3AA831, "heliremoveoutline" },
    { 0xA6CE848B4BC7BB18, "helirpgenemy" },
    { 0x9C57F9B223B43B06, "helis" },
    { 0x8BCF3CCD7D5904B4, "helis_assault2" },
    { 0x75A64EB5380DF99D, "helis_assault2_check_size" },
    { 0x8BCF3DCD7D5906E7, "helis_assault3" },
    { 0xF5E7EED241EC7854, "helis_assault3_check_size" },
    { 0x2170ECFD2BAC1BE7, "helis_assault3_fob" },
    { 0x2BFF156D0F97DF54, "helis_assault3_fob_check_size" },
    { 0x94F3F3C9B3F02B93, "helis_assault3_hangar" },
    { 0x1EB3F60A46CC65B8, "helis_assault3_hangar_check_size" },
    { 0x4D57362E34B6521E, "helis_convoy_overhead_1" },
    { 0x4D57352E34B64FEB, "helis_convoy_overhead_2" },
    { 0x337C1AF257B632E1, "helis_convoy_overhead_detonated_1" },
    { 0x337C17F257B62C48, "helis_convoy_overhead_detonated_2" },
    { 0xBA9F66B490F004AD, "helis_house_stairs_window_1" },
    { 0x4345C731428FB42F, "helis_if_you_look_backwards_1" },
    { 0xAF60021318838C70, "helis_surround_hospital_1" },
    { 0xAF60051318839309, "helis_surround_hospital_2" },
    { 0xAF600413188390D6, "helis_surround_hospital_3" },
    { 0x83586E79C26B8D3C, "helisetteamextractionhud" },
    { 0xE61DFF1BA9849310, "helistoreplunder" },
    { 0x5B585B16FD1FA49F, "helithink" },
    { 0xCA58FBB66AE34C07, "helitrig" },
    { 0x96C21182C1298608, "helitrip_next_rig_num" },
    { 0x6348AEB61EC904F9, "helitype" },
    { 0x519120D65C0184A4, "heliusecleanup" },
    { 0x3A56F5D998022F8D, "heliwaitatplunderrepository" },
    { 0x9892F5A2BDF01506, "heliwatchgameendleave" },
    { 0x767489AB691ABDAC, "hell_cannon_intro_scene" },
    { 0x6D6E9C2953366CB5, "hell_cannon_reactions" },
    { 0xEAD6876224E7CDA5, "hellcannon_first_strike" },
    { 0x0C17D1A8C0F10721, "hellcannon_lights" },
    { 0xFE699124959354E2, "hellfire_count" },
    { 0x8D7FE3D31F7AEE02, "hellfire_launch_attempt" },
    { 0x285CCFEBB2ABC62B, "hellfire_max" },
    { 0xFC0A2BA5094677B7, "hellfire_rocket_launch_sfx" },
    { 0xC1B844C4ADAF7A54, "helmet" },
    { 0xC981FC0ADFAADFEB, "helmet_clearbroke" },
    { 0x51EA1CD539174337, "helmet_clearhit" },
    { 0x1804F35FF7722DEF, "helmet_meters" },
    { 0xE6C7121571653D93, "helmet_meters_airlock_in" },
    { 0xCF7D54284BCB2A20, "helmet_meters_airlock_out" },
    { 0x4BD9CCE0E82E91B1, "helmet_meters_forced_decompress" },
    { 0xEC0A2536EE4F73D2, "helmet_meters_init" },
    { 0x3B2EFD02D9F6122E, "helmet_meters_normal_ship" },
    { 0x943D5E01A31F3B6D, "helmet_meters_normal_suit" },
    { 0x0531FA1B9EC20635, "helmet_meters_off" },
    { 0x5C0804BCC09F6BF9, "helmet_meters_on" },
    { 0xC163901D354BB6D8, "helmet_meters_ramp" },
    { 0x8A0913C49B801FEC, "helmet_meters_ramp_and_stabilize" },
    { 0x41A710A2C0D2FC80, "helmet_meters_rounding" },
    { 0xC49642D05BCF1799, "helmet_meters_set_oxygen" },
    { 0x5C39CDCEB4BFBAEA, "helmet_meters_set_pressure" },
    { 0x1CD3E75E2B828E3D, "helmet_meters_set_temperature" },
    { 0x0EF02635EA759E0D, "helmet_meters_stabilize" },
    { 0xFDCE0E22308F0C84, "helmet_setbroke" },
    { 0xD6B018CA5F22CBE8, "helmet_sethit" },
    { 0x45C5CE0C36A5A3C3, "helmet_wasbroke" },
    { 0xC0871A2BBF72DF8F, "helmet_washit" },
    { 0x06457251A45E4FE2, "helmethealth" },
    { 0xF4264A9C58BB1B84, "helmetitemtypeforlevel" },
    { 0xBE47D693D1B867DF, "helmetlaunch" },
    { 0x6F4031D29BEBC82B, "helmetpop" },
    { 0xEE184E2C9C909563, "helmetshatterfx" },
    { 0x77D6094F19989D7C, "helmetsidemodel" },
    { 0x8B154F927439058F, "helmetsubpart" },
    { 0x6622C6B7BE56C407, "helo_alley_wait" },
    { 0x6C254EDD36D69F16, "helo_controller_spawn_func_alley_close" },
    { 0x25600549CAA4F217, "helo_controller_spawn_func_alley_far" },
    { 0xA63C11C24E605EBB, "helo_controller_spawn_func_poppies_close" },
    { 0xC48581DE3A0482A6, "helo_controller_spawn_func_poppies_far" },
    { 0xD379B8C6BBB80360, "helo_poppies_wait" },
    { 0x127AEDCE994505BC, "heloextracttryuse" },
    { 0x5286F6B39D1E6D1C, "helokills" },
    { 0xCDCBBD7F7A6497D7, "helper_drone_init" },
    { 0x72F88F1B3DA40BB5, "helperdrone" },
    { 0x58CE0468DE25B5D5, "helperdrone_checkmanualpulsetargets" },
    { 0xA9930BAEDD5BF3E3, "helperdrone_deliver" },
    { 0x226A10AC20F44110, "helperdrone_destroyongameend" },
    { 0x16077C3C98F424BE, "helperdrone_disableradar" },
    { 0xE6D583C841999B81, "helperdrone_empapplied" },
    { 0x34360B36FF1166D7, "helperdrone_enableoffhanddelayed" },
    { 0x876B102DF9DF2963, "helperdrone_enableradar" },
    { 0x58076195DA582A87, "helperdrone_endscramblereffect" },
    { 0x5F5E68E31DC3A265, "helperdrone_entaffectedbyscramble" },
    { 0x527438E8590BACBA, "helperdrone_followplayer" },
    { 0xAF2711E849C6040B, "helperdrone_forcereconcontrolsoff" },
    { 0xBA0BC9F4D8EE5DCD, "helperdrone_getcurrenthealth" },
    { 0xD20B93938CE0E136, "helperdrone_getheightoffset" },
    { 0x8A0E817F97E35FB5, "helperdrone_getnumdrones" },
    { 0x4DC7D9B5DF260483, "helperdrone_getownerlookat" },
    { 0x0F310EEBE9671F1E, "helperdrone_getpathend" },
    { 0xF25B77DB7C1A9488, "helperdrone_gettargetoffset" },
    { 0x4CAC8B033765B499, "helperdrone_getthermalswitchplayercommand" },
    { 0x0EAB098CB13BDCD4, "helperdrone_giveplayerfauxremote" },
    { 0x1CF01D095D6436B0, "helperdrone_guardlocation" },
    { 0x4F43EA50A0377BBC, "helperdrone_handleplayerthermalinputchange" },
    { 0x30442D761B633FF9, "helperdrone_handleteamvisibility" },
    { 0xBF5E928935CD13A7, "helperdrone_handlethermalswitch" },
    { 0x75A5B8D3DE33C3FE, "helperdrone_handlethermalswitchinternal" },
    { 0x61D581EE6CE9A0C5, "helperdrone_isbeingpingedbydrone" },
    { 0xD163DD8100BB8E40, "helperdrone_istargetinreticle" },
    { 0xFD844CFA0F76EB9D, "helperdrone_leave" },
    { 0x97EFE43B7C892CCA, "helperdrone_lockedoncallback" },
    { 0x2AF284B220A7DA90, "helperdrone_lockedonremovedcallback" },
    { 0x6D12ACA77CBA6925, "helperdrone_managescramblereffect" },
    { 0xC8A2CD2D8BC0E330, "helperdrone_managescramblerplayerbuff" },
    { 0x7BC9F58748685BC5, "helperdrone_managevisibilityonteamjoin" },
    { 0x11382C69706D7751, "helperdrone_markequipment" },
    { 0x0D80D7CF0AC8E0FE, "helperdrone_markkillstreaks" },
    { 0xAFD8C2C9017198CC, "helperdrone_marklastposition" },
    { 0x1C4D2004B62DF9E7, "helperdrone_markplayers" },
    { 0x159702F912A26333, "helperdrone_markplayers_cp" },
    { 0x34E4610431E697AE, "helperdrone_modifydamageresponse" },
    { 0x02DB89460C1CC24F, "helperdrone_modifydamagestates" },
    { 0x0B5282299CCC1EB8, "helperdrone_monitorcollision" },
    { 0xD9D1BC1397C64AE0, "helperdrone_moveintoplace" },
    { 0xA14B592B52AB400F, "helperdrone_movetoplayer" },
    { 0x7D2D082595AC3947, "helperdrone_moving_platform_death" },
    { 0xC2C2CAFAA9043F83, "helperdrone_notifyenemyplayersinrange" },
    { 0xFC7D8EB61312CC96, "helperdrone_overwatchplayer" },
    { 0x4C44FA0BE71BAC03, "helperdrone_pingnearbyenemies" },
    { 0xE6C369CC8DB71631, "helperdrone_play_lightfx" },
    { 0x0112119F2EC6882D, "helperdrone_returnplayer" },
    { 0xB17913BE3198E4C3, "helperdrone_setscramblerjammed" },
    { 0xD82DAAEAC3BE7C86, "helperdrone_setscramblerplayerbuffs" },
    { 0x2B96D48E7C75F6F6, "helperdrone_showminimaponspawn" },
    { 0x83EFFD5551BBA518, "helperdrone_spawnnewscrambler" },
    { 0xE61AA40D755D5C1D, "helperdrone_startmanualradarpulse" },
    { 0x5C3528658A120E91, "helperdrone_stunned" },
    { 0x784C8DA87E7A7B72, "helperdrone_takeplayerfauxremote" },
    { 0xD7F7B9C730B5CF8C, "helperdrone_updateheadicononjointeam" },
    { 0xD4C94AE61757954F, "helperdrone_watchaltitude" },
    { 0xC0842DF7A9FB88E8, "helperdrone_watchdamage" },
    { 0x52BE91EB0A0E8434, "helperdrone_watchearlyexit" },
    { 0x5953C8F3914A2C5B, "helperdrone_watchforgoal" },
    { 0xA9F216BCBD624152, "helperdrone_watchmodeswitch" },
    { 0xA11682C5BBB85D33, "helperdrone_watchnotificationstate" },
    { 0x09F714263D2FCD89, "helperdrone_watchouterreticlestate" },
    { 0x16D023D917CE458A, "helperdrone_watchouterreticletargets" },
    { 0x8B7CDE14AB27391E, "helperdrone_watchownerdeath" },
    { 0x95567BE04CFF7D6B, "helperdrone_watchownerloss" },
    { 0x18A02BF78E1C50A6, "helperdrone_watchownerstatus" },
    { 0xBA36F4B103FE87DA, "helperdrone_watchpingedstatus" },
    { 0x473EA8A21AB6C063, "helperdrone_watchpulsedart" },
    { 0x08190D8A15493972, "helperdrone_watchpulsedartdamage" },
    { 0x937911E1C68F4777, "helperdrone_watchpulsedartdeath" },
    { 0x4EF19451E33C0A6E, "helperdrone_watchpulsedarttimeout" },
    { 0xA3E27F995A187AEC, "helperdrone_watchradarpulse" },
    { 0xB7C09178C5425DED, "helperdrone_watchradartrigger" },
    { 0x347337D85086C5FD, "helperdrone_watchremotescrambledent" },
    { 0x3F8CC84567C4F650, "helperdrone_watchroundend" },
    { 0x5A6F8607EC33FDA9, "helperdrone_watchscamblereffectdist" },
    { 0x4691F47FCD130939, "helperdrone_watchscramblereffectdist" },
    { 0x600DBB28C6884F1F, "helperdrone_watchscramblestrength" },
    { 0x82BFAE04B835023C, "helperdrone_watchshootpulsedart" },
    { 0x8ED800E42A62F980, "helperdrone_watchtimeout" },
    { 0xEF6960EB9D1ED91F, "helperdronecreationfailedfx" },
    { 0xEC5D56822B85807C, "helperdronedestroyed" },
    { 0xD67FF7F260133DD6, "helperdroneexplode" },
    { 0xF9DF217430752B83, "helperdronefx" },
    { 0xC4A6740503BD4778, "helperdronesettings" },
    { 0xBC873044A2175F5D, "helperdronetype" },
    { 0x426C5E5B6568285E, "helpresponses" },
    { 0x34825479E6A79C41, "henchman" },
    { 0x223C3B16429D10E9, "henchman2" },
    { 0x223C3A16429D0EB6, "henchman3" },
    { 0x869DAFFC93AC314A, "henchman_fire_at_player" },
    { 0x7F54749A55AD8BC3, "henchman_shove_doorway" },
    { 0x19299EB8E9998A4A, "henchman_shove_moving" },
    { 0xF4B9314D7D677ACC, "henchman_spawn_func" },
    { 0x3D504D34B9F74AD7, "henchman_start_escort" },
    { 0x5586E3CE7795253D, "henchman_waterboard_walk" },
    { 0x519231FD8308AB47, "henchman_waterboard_walk_shove" },
    { 0xE94194894D9A428F, "henchmen_final_anim_and_cleanup" },
    { 0x9EB5A201D8EA44F7, "hero_battlechattteradjustments" },
    { 0x3D6177FE6451271C, "herodrop" },
    { 0xB1000079F448E079, "heroes" },
    { 0xE8BC12E9B313F612, "hi_wait" },
    { 0xAEE6A4998499C505, "hidden" },
    { 0x3DB6AD20903F8CDC, "hiddencrouchdetectdist" },
    { 0xD693DC6EE6F312D1, "hiddenobjcount" },
    { 0x5EE3421AED4AC293, "hiddenplayercrouchmovedist" },
    { 0xD09CB29A9FC7BC9B, "hiddenplayerpronemovedist" },
    { 0x209E57EBE8FDA5D1, "hiddenplayerstandmovedist" },
    { 0x5EF9549DBF0DF576, "hiddenpronedetectdist" },
    { 0x7C689FCC58BF2502, "hiddenreviveents" },
    { 0x5389F8082EF612C4, "hiddenstanddetectdist" },
    { 0x32C573CA9CC63169, "hide" },
    { 0x62563B890AFA02C0, "hide_ai_marker_vfx_to_player" },
    { 0x4C1C7BDFDD14AEE6, "hide_all_revive_icons" },
    { 0x3E73B2C19FD7089E, "hide_apache_forward_hint" },
    { 0x3C39E8875CD97BB0, "hide_apache_retreat_hint" },
    { 0x052D74C80DE713EA, "hide_armory_guns" },
    { 0xDAF98B70E6B88489, "hide_bomb_case_timer" },
    { 0xA4D9EF111DD6073A, "hide_bomb_from_drone" },
    { 0x0CA0DB5B414DD581, "hide_bombdetonationkillenemieslogic" },
    { 0x4D9046886ABC60F7, "hide_bombdetonationlogic" },
    { 0x8005EED6AC7506F7, "hide_bottle_monitor" },
    { 0xB220FAA07B413722, "hide_brush" },
    { 0xB46F3B9A48172F7B, "hide_chopper_guns_hint" },
    { 0xC78E435085EFCB83, "hide_chopper_hint" },
    { 0x2DC67F0BD73DD072, "hide_chopper_rocket_hint" },
    { 0xB6871CE96300FBBB, "hide_chopper_zoom_hint" },
    { 0x18230473E776A371, "hide_clip_stuff" },
    { 0xF6DFB20CA01405D3, "hide_combat_stuff" },
    { 0x8CEF13B127FD76B5, "hide_crawl_forward_hint" },
    { 0xB307450B1BEFFA0B, "hide_critical_target_icon_to_player" },
    { 0x35DA7D676273217D, "hide_defend_scriptables" },
    { 0x69EEF3A5578E0F15, "hide_delay" },
    { 0x4ADDAA427B90DB40, "hide_door_rotate" },
    { 0xEA8BCE215AC2B68C, "hide_doorlogic" },
    { 0xE4920CB3522677DB, "hide_drone_detonate_hint" },
    { 0xA0F83A0C25486024, "hide_drone_hint" },
    { 0x9D7F3DD2E55B0707, "hide_drone_sprint_hint" },
    { 0x6895251C8497CBAE, "hide_during_intro" },
    { 0x517DF84765F144E4, "hide_enemieslogic" },
    { 0x1C68440AF668C433, "hide_enemy_hvt_get_away_message" },
    { 0xD5144D546067A1F7, "hide_enemy_mortar_shell" },
    { 0xD3CD580FFBF2AE3D, "hide_ent_array" },
    { 0x2680B5FC4F3D3F01, "hide_entity" },
    { 0xB417D82253D93804, "hide_ents" },
    { 0x607B38180780971A, "hide_exploder_models" },
    { 0x71A77F2953E6F30F, "hide_exploder_models_proc" },
    { 0x7D178ED8234BBD2D, "hide_fakeplayer_head" },
    { 0x49499EED218CAAB7, "hide_farthest_targetmarker_for_player" },
    { 0x142F859F7219F15D, "hide_flash_bang_hint" },
    { 0xC11053314FDBF225, "hide_found_intel" },
    { 0x12388207CEF251D1, "hide_gas_shack_window_shadow_brush" },
    { 0xD1A0557335F3B88D, "hide_getanimationstruct" },
    { 0x35E663A32B3FAFC2, "hide_getdoor" },
    { 0x1FEB715AB0F118C1, "hide_getfarahpath" },
    { 0x0A4B1A41280A9CD3, "hide_getlights" },
    { 0x81EA1E810183E1FD, "hide_headicon" },
    { 0x42E5484BB25F5F07, "hide_health_bar_to_players" },
    { 0x5DD8E13BBB61CFA7, "hide_hill_weapons" },
    { 0xF55718C7278D89C0, "hide_hud_on_death" },
    { 0x92FA1DC9CF3EC532, "hide_hud_on_game_end" },
    { 0x14EF19E86033E036, "hide_icon_on_pickup" },
    { 0xCEA905AADB54A170, "hide_ied_zone_from_player" },
    { 0x325D870919BA96B3, "hide_interact_vehicle" },
    { 0x0A1D3BE04016BDBC, "hide_interaction_trigger_from_others" },
    { 0xE5BFAD420E62C88D, "hide_intro_car" },
    { 0xB2A71BD8D15C55AE, "hide_jump_hint" },
    { 0x222F7D7CFACE2F69, "hide_machete" },
    { 0xAB1B4EDD29ACEEAB, "hide_main" },
    { 0xAABA51DD294209CA, "hide_mask" },
    { 0x1B095B083D4BAED3, "hide_middle_enemy_turret" },
    { 0x883C0D9527C98553, "hide_minimap_on_spawn" },
    { 0x5F2B934DE7EC3978, "hide_molotov_hint" },
    { 0xAED055A5F3EB4481, "hide_multiple_brush" },
    { 0x7B6E7CAADCCCA170, "hide_name_fx_from_players" },
    { 0xD97FFB3D82EA8D8E, "hide_names" },
    { 0x4EA6F90465E9AC6A, "hide_notsolid" },
    { 0x02EFF58C99843302, "hide_objective_widget" },
    { 0x1F7E8D5F241F9DE0, "hide_offscreen_shadow" },
    { 0xE2380EFB7A39B291, "hide_old_tarmac_scriptables" },
    { 0xBEE08E86C648421C, "hide_part_list" },
    { 0x6A85E0263570458A, "hide_player_clip" },
    { 0x6FBEE3FCDFAF219D, "hide_plunderboxes" },
    { 0x82CB0655F9E0DBF2, "hide_prompt_knife" },
    { 0xFD32CFAA8EDAD4F5, "hide_rocket_fuel_readings_to_player" },
    { 0x394641B4A60FBA1C, "hide_scaffolding_mayhem" },
    { 0x1D7B9F87490C1D17, "hide_scriptables_til_flag" },
    { 0x180C4D581A5AC2B1, "hide_shield_mortar_guy" },
    { 0xFD3203E3AC6AE8FF, "hide_spawnenemies" },
    { 0xA7AE468D9A41B81A, "hide_spawnenemyvehicles" },
    { 0xD4E8FC32E9DECCF9, "hide_square_civs" },
    { 0x47FC90313FD0B0DA, "hide_start" },
    { 0xFD306E1B69C743CC, "hide_stealth_meter_from" },
    { 0xDEA3198CAAAF495C, "hide_structdamagetriggerlogic" },
    { 0x484E43E99156CE07, "hide_tarmac_scriptables_until_apache" },
    { 0x8355F1FC49144CCD, "hide_tarmac_trucks" },
    { 0x3302CAE7DE348E2C, "hide_turret" },
    { 0x73F5045A187F16A4, "hide_tutorial" },
    { 0x9E03513A3FD34EA7, "hide_vehicleaccuracylogic" },
    { 0xE6DCB6E843E2B3B9, "hide_vehicleshootlogic" },
    { 0x8822F82C2C6C994A, "hide_vehicletargetentitycleanuplogic" },
    { 0xC52F8B62C40999D3, "hide_vehicletargetlogic" },
    { 0x4AAA75089959C19F, "hideactors" },
    { 0x95C70F8DD5C11207, "hideallambulancesforplayer" },
    { 0x6E1E95E53EC7B577, "hideallambulancesforteam" },
    { 0x91EB3830625D8658, "hideallendzonevisuals" },
    { 0x55010FB1508E6E62, "hideallparts" },
    { 0x1CBF6458F5F65441, "hideallunselectedextractpads" },
    { 0xDE2684E8A0B0F8E1, "hideammoindex" },
    { 0xD7FADA0C0358325E, "hideassassinationhud" },
    { 0x0C2CAD49A0B37229, "hideassassinationtargethud" },
    { 0xD12B0DB0E51C0DE6, "hidebar" },
    { 0x8209AE47809F0E40, "hidebasebrushes" },
    { 0x2615934F9F8B7DB4, "hidebombsitesaftermatchstart" },
    { 0xAC5DF6DF7A8E798F, "hidebrushes" },
    { 0x9A757C9993287063, "hidecapturebrush" },
    { 0xA804C7F800B85617, "hidecarryiconongameend" },
    { 0x274BF339B4FE2645, "hidecinematicletterboxing" },
    { 0x1B88D41CC8D7706A, "hideconesifinfil" },
    { 0x0BA939B12570314A, "hidedangercircle" },
    { 0xFBB9292F006B51EC, "hidedeathicon" },
    { 0x04741725D6861695, "hideeffectsforbroshot" },
    { 0xB49C4A1A28CFB1FE, "hideelem" },
    { 0xCD1366F4C4C6A291, "hideendzonevisualsforteam" },
    { 0x0B6F4F617A2B7523, "hideenemyfobs" },
    { 0xA3F301A138001FC4, "hideenemyhq" },
    { 0x5C58586B467206AA, "hideextractionobjectivefromteam" },
    { 0x8BE0750BAEB77658, "hidefromall" },
    { 0xBDD991788098D54C, "hidefromplayer" },
    { 0xF55A4D2DE275D95C, "hidefxarray" },
    { 0x48C56C2C07C01046, "hideheadicon" },
    { 0xA7C4864A84C689D3, "hideheadiconfromplayersinmask" },
    { 0xCA3D19D50B63A48F, "hideheadicons" },
    { 0xB770D07B4388F28A, "hideheldweapon" },
    { 0xB912DD5047A78DB5, "hidehistoryhudfromplayer" },
    { 0x3FDD89B07A8451E2, "hidehud" },
    { 0x70C7365DFF861E6B, "hidehudclear" },
    { 0x8A95D02B8BB0909A, "hidehuddisable" },
    { 0x7CEFDC0847ABEDE6, "hidehudelementongameend" },
    { 0xD83EE8F0911C1B11, "hidehudenable" },
    { 0xAE75BE0F20D0624F, "hidehudenabled" },
    { 0x4833A0F6471863A6, "hidehudintermission" },
    { 0x78352D0468F6B618, "hidein3rdperson" },
    { 0x7349FA89F4BD982D, "hideinmenu" },
    { 0x9F3BC55CFA1635B5, "hideintelinstancefromplayer" },
    { 0xA91C82D578FFE118, "hideintelscriptablesfromplayer" },
    { 0x913581D36D8EA111, "hideleaderhashuntilpercent" },
    { 0x5D2C9076089CA6E8, "hidelegs" },
    { 0xD7D5EF1BA6D19E25, "hidelegsandshadow" },
    { 0x543B9023B3DCB47C, "hidemayhem" },
    { 0x227A6666BA93BBF8, "hideminimap" },
    { 0x0A70C0F9C8D93025, "hidenukefromeveryone" },
    { 0xA4C6FFC7B720B609, "hidenukefromplayer" },
    { 0x994BBBC76F7025DE, "hideoccupant" },
    { 0x75FE6F3FC4A9D763, "hideonclient" },
    { 0x8656DF4A0C4E8DE0, "hidepart" },
    { 0x8171EDD19DAD291C, "hidepart_allinstances" },
    { 0x9B7A1927CACBBFAE, "hidepartandchildren_allinstances" },
    { 0x10948767FA080CEA, "hidepartatdepth" },
    { 0xA7FF4997D510A381, "hideplacedmodel" },
    { 0xBE65F53AF6A604E5, "hideplacementuntilpercent" },
    { 0x0B02EBA46B7514C8, "hideplayerspecificbrushes" },
    { 0x304109DDB92046F0, "hidequestcirclefromplayer" },
    { 0x9C8D3AC5D180A9DF, "hidequestcircletoall" },
    { 0x0F2A6A313CCAE59E, "hidequestobjiconfromplayer" },
    { 0xA93DAFE32CE98F18, "hiderespawntimer" },
    { 0x7BFBE88FDEFFBCE0, "hidesafecircle" },
    { 0xDA48DD5C221276D9, "hidescavengerhudfromplayer" },
    { 0x322E3CC5E97084FA, "hidesecretstashhudfromplayer" },
    { 0xE3B369CA9124248D, "hideshadow" },
    { 0xD9EE7C436E712D23, "hidesmokinggunhudfromplayer" },
    { 0x8F82D53335CA0FB9, "hidestowedweapon" },
    { 0x8F18D44027970A66, "hidetargetmarkergroupfromplayersinmask" },
    { 0x9904FA53C4DF228F, "hidetimedrunhudfromplayer" },
    { 0x0557108CBFF8552C, "hidetimerdisplayongameend" },
    { 0x03A216DE21D509AE, "hideuielements" },
    { 0x0F61FB1CE72ED501, "hideviewmodel" },
    { 0x6373611A3B7356E1, "hideweaponmagattachment" },
    { 0x3220662FCFB2B3A7, "hidewhendead" },
    { 0x25EC8E73CB203B81, "hidewhenindemo" },
    { 0x09CAE3CDA43B2091, "hidewheninmenu" },
    { 0x19A6CF36CF1743A2, "hideworldiconongameend" },
    { 0x2197BF05663BB959, "hidex1finhudfromplayer" },
    { 0x70346844002B8C1D, "hidex1stashhudfromplayer" },
    { 0x6A4DE09A0D8796FA, "hiding" },
    { 0x69D6128C14C46032, "hiding_door_anim_thread" },
    { 0x6961F32AF97D50AA, "hiding_door_enemy_dead_dialogue" },
    { 0xDB37A2071247B430, "hiding_door_enemy_death_dialogue" },
    { 0x11FE397058988F2F, "hiding_door_make_pushable" },
    { 0xFD18A581AFD3EBA5, "hiding_door_model" },
    { 0x02730372945CAEEB, "hiding_munitions_purchase" },
    { 0x34CD331E085FE887, "hiding_spot" },
    { 0x0B18C048F70C0DA4, "hiding_until_bank" },
    { 0xE76E791A22AD2EBE, "high_priority" },
    { 0x2CB6C1DE91B28356, "high_priority_for" },
    { 0x998F26CF0E9FCB45, "high_threshold" },
    { 0x933785565F9626E3, "high_tower_guys_cleanup" },
    { 0x1365392F5118BEF7, "highalpha" },
    { 0x48B9AEB0FEDAA08D, "highestallowedstance" },
    { 0x6674C07C400DB883, "highestavgaltitude_evaluate" },
    { 0xAB3216D8EFC51EDC, "highestinfilname" },
    { 0x778FA03B706FCF53, "highestinfilscore" },
    { 0x7A7F57B00E636E2E, "highestmission_ifnotcheating_set" },
    { 0xBAC39952C98C6051, "highestspawndistratio" },
    { 0xA9156B9765631F7C, "highesttraceindex" },
    { 0x1249F6CF3FDCE9DA, "highlight_all_ents" },
    { 0xE494BDD6F17A6173, "highlight_atvs_until_router" },
    { 0x55FD1BDC9003F374, "highlight_current_selection" },
    { 0xDC7AD2B321ECA171, "highlight_ent" },
    { 0x5DCE065CB8F10C9A, "highlight_leads_in_fov_init" },
    { 0x37DA94D15DB6E15D, "highlight_leads_in_fov_player" },
    { 0xF8F3C7DA9EC5A662, "highlight_leads_loop" },
    { 0xE2EAC40534B60691, "highlighted_enemies" },
    { 0x691F19C4917C6EDC, "highlighted_ent" },
    { 0xDC063101D1828578, "highlightent" },
    { 0x21E52F42F6C714FF, "highlighttoteam" },
    { 0xBE23E0BE795C513A, "highlighttoteamonce" },
    { 0xD7E431E807840982, "highlyawareradius" },
    { 0x711BB44B6D9AF1B1, "highpriorityweapon" },
    { 0xD3A2FA7F8C43F853, "highresgpulightgrid" },
    { 0x82EEEDEC7A473AF8, "hill_apcs" },
    { 0xEF6BBA143311305E, "hill_bottom_apc_attack" },
    { 0x144B7F83349F4D15, "hill_bottom_catchup" },
    { 0x35CEEBD358732EB4, "hill_bottom_main" },
    { 0x7E7637B61F0E2823, "hill_bottom_start" },
    { 0x8BFA5F046E604C28, "hill_dmg_func" },
    { 0x9F5D1A1540EBFC96, "hill_lot_enemies_seek" },
    { 0x81355DB8C858FD02, "hill_mid_catchup" },
    { 0xB9B9CD798443581D, "hill_mid_main" },
    { 0x35D577DA3306B1C6, "hill_mid_move_up_nag" },
    { 0xF5499F82AC7B7879, "hill_mid_spawning" },
    { 0x4EB1505A965DC8CC, "hill_mid_start" },
    { 0x9243E0A023CC5996, "hill_pa_chatter_say" },
    { 0x35A5C26C3CF89778, "hill_pa_say" },
    { 0x53ED8D6FA8B0B851, "hill_postload" },
    { 0xB905111FACDDC0F8, "hill_preload" },
    { 0x13C1C88D5A2D255F, "hill_top_catchup" },
    { 0x947B25D1633BEBD6, "hill_top_main" },
    { 0x0189D8DC4EEE349D, "hill_top_start" },
    { 0xBDB8B326DBD17EB2, "hilltop_heli" },
    { 0xD0E321AE4BDA997D, "hindlegstraceoffset" },
    { 0x41A16587BB09792E, "hinge_side" },
    { 0x32DF6ECA9CE24F74, "hint" },
    { 0xA0501D19634BC99D, "hint_alt_fire_swap" },
    { 0x11C8A8FE6AF1CBF2, "hint_blackbox_interaction" },
    { 0x3913C9827801C410, "hint_bones" },
    { 0x9C2E120A5051F932, "hint_boost_vo" },
    { 0xD08A86FB2228B1E2, "hint_breakfunc" },
    { 0x84043E1C673C7526, "hint_buttons_main" },
    { 0x5F643051BAB3E5A9, "hint_buttons_rotation" },
    { 0x7A357BA9F0AF805C, "hint_buttons_zoffset" },
    { 0x372C5CDACBD97157, "hint_crouch" },
    { 0x2AC9FCEA6E6CF1C3, "hint_delay_until" },
    { 0xA98BBEA1CA4D49B5, "hint_delete_on_trigger" },
    { 0x18AE8CF28C3B4E7C, "hint_delete_on_trigger_waittill" },
    { 0xB022D01CFDAD7C6C, "hint_dist_scale" },
    { 0x30703A0C7ACCEE26, "hint_ent" },
    { 0x24A5C07C1ED70735, "hint_ent_notify_trigger" },
    { 0x653A4EC3B00E88E0, "hint_escape_maze" },
    { 0xCBCA7B1F37A31904, "hint_extraction" },
    { 0xD9CE2BB5F54B88B7, "hint_fade" },
    { 0xB6D1F5B51FB0C00B, "hint_func" },
    { 0x49E90504914D33AE, "hint_gasmask" },
    { 0xAC152039A72F6652, "hint_grenade_throw" },
    { 0x579E8AACE8B5F03F, "hint_jammer_damage" },
    { 0x3698E89ABFC03FE3, "hint_locked_door_think" },
    { 0xB5639D1B690B39D9, "hint_locked_doors_vo" },
    { 0xF626C21FFDA40646, "hint_mount" },
    { 0xDBC38A15E498ED8D, "hint_mount_fx" },
    { 0xE6F2C26C71404A12, "hint_nvg_disable_check" },
    { 0xF0001DE079A0101F, "hint_nvg_enable_check" },
    { 0x56CFE0C3DA102716, "hint_obj_id" },
    { 0xEBAAC2364F32C300, "hint_obj_name" },
    { 0xD9B1E3FFB84D2ABC, "hint_outline_target_think" },
    { 0x06590D188E6B747F, "hint_prompt" },
    { 0xE2783D2FA7BBA06A, "hint_push_cart_vo" },
    { 0xB34B60FADBDA25B1, "hint_seq_button" },
    { 0xC534A8B53DE09B05, "hint_shoot_on_ladder" },
    { 0x9D273CB401B720C8, "hint_stick_get_updated" },
    { 0x43A994C8E0950825, "hint_stick_update" },
    { 0xBC6D81CDEB367BF1, "hint_stop" },
    { 0x0E49A18BF3E4A06C, "hint_string" },
    { 0x1771454EDC895AAF, "hint_target_think" },
    { 0x528DDF46E3F7A0E5, "hint_tether" },
    { 0x19DCC5B0604ABB0C, "hint_timeout" },
    { 0xC675C63A55B9CE4C, "hint_to_move" },
    { 0x457BA70BCD88F058, "hint_use" },
    { 0x3944D730CB390C98, "hint_waittill_trigger" },
    { 0xEC306B4635D612D1, "hint_weapon_swap" },
    { 0xB9B234D142588932, "hintarms1" },
    { 0xB9B233D1425886FF, "hintarms2" },
    { 0xB9B232D1425884CC, "hintarms3" },
    { 0xB9B231D142588299, "hintarms4" },
    { 0xC19F7351B6EE6550, "hintcalltraininteract" },
    { 0x9A4B8D39ACB52205, "hintcommslaptop" },
    { 0x233CE792789ECA44, "hintdist" },
    { 0xCB8DDF3F02A4A83C, "hintelement" },
    { 0x77AAC4F8F48A3292, "hintenter" },
    { 0x45D524A52931D304, "hintexit" },
    { 0xC4B3A766ACCAF2CF, "hintfirepistol" },
    { 0x7CDA2563DC9905C1, "hintfirepistolcheck" },
    { 0x63C496C3DF1C8637, "hintfov" },
    { 0xBE8347627E957FB8, "hintlight" },
    { 0x9020EB4CE26171EF, "hintlightcolor" },
    { 0x8B064C60ABF810C5, "hintlightmodel" },
    { 0xC60D9BC425F51A73, "hintmdl" },
    { 0xAB265546FDE05AD3, "hintmessage" },
    { 0xB8F6B232B918E0F1, "hintmessagedeaththink" },
    { 0x5D7D388058DAAFA3, "hintmoraleslaptop" },
    { 0xF7E2457EA367CC47, "hintmoralessignal" },
    { 0xD528FD7C901881A1, "hintnuke" },
    { 0xE30A0BC43B320069, "hintobj" },
    { 0xF8BDF72FCFAB9068, "hintpickup" },
    { 0xB96ED8BFDE766BA3, "hintprint" },
    { 0x7B84307EAAE789DA, "hintprintbreakout" },
    { 0xC3AFAE9705B3CC65, "hints" },
    { 0x2D88B63ECC61E358, "hints_vo_audio" },
    { 0xB46747D53BB7403F, "hints_vo_visual_send_to" },
    { 0xC82100F9C91FFFC3, "hintstiminteract" },
    { 0x65541845A14939D5, "hintstring" },
    { 0xCBCB141EB0E76503, "hinttext" },
    { 0x4850243EB3A75D46, "hinttmtylinterrogate" },
    { 0x944D6CB10FDFB677, "his_completemission" },
    { 0x76A9BEC58E9505E7, "his_detectplayers" },
    { 0x6C2D51799958E557, "his_ontimerexpired" },
    { 0x787BACEDF1EF86BB, "his_playerdisconnect" },
    { 0xDF1922AB734D3D25, "his_removequestinstance" },
    { 0x0C14559CF9E04E24, "his_respawn" },
    { 0x0BBE9803FF5E5666, "hit" },
    { 0x9C7920E7B637C976, "hit_by_emp_func" },
    { 0x34DD3B720C1C8341, "hit_by_emp_internal" },
    { 0xF289C0BB39404E16, "hit_by_emp_monitor" },
    { 0x9BE19C19FD128DED, "hit_by_missile" },
    { 0x5886599D91288F8A, "hit_pilot_head" },
    { 0x0017390883ECE516, "hit_surface" },
    { 0x540C97289FAC38DD, "hit_target_entity_monitor" },
    { 0x75868BF1788721EA, "hit_water" },
    { 0x109852B2DCBBAE43, "hitarmorvest" },
    { 0x1ABB5604B132E000, "hitboxoffset" },
    { 0x6C72157EEF591891, "hitbychargedshot" },
    { 0xA77A57D4F79522B7, "hitbytrain" },
    { 0x9CE85E7B35A08E55, "hitcount" },
    { 0xBFF8A24747D0B723, "hitdamage" },
    { 0xD2D3DB37E23520D1, "hitfflimit" },
    { 0x87C0A796CDC0F50B, "hithelmet" },
    { 0xD0B9D7AA778C32C8, "hitleashrange" },
    { 0x7FB3BE1B95CE4280, "hitloc" },
    { 0xE02A62D7DD6D584D, "hitlocation" },
    { 0xE6C42D2695A8EB87, "hitlocdebug" },
    { 0xB546AD58B96463B3, "hitlocinited" },
    { 0x10C0BAEA7F397B39, "hitmankeyexists" },
    { 0x7728188ADA531527, "hitmankills" },
    { 0x86F516B6A6C8E505, "hitmanpassivedeathwatcher" },
    { 0xD4C1ACF3352A8F0C, "hitmarker" },
    { 0x899B5FE140B4B883, "hitmarkeraudioevents" },
    { 0x9AD0C58D4145B6C0, "hitmarkerpriorities" },
    { 0x99EFE541B7CDDD46, "hitpositions" },
    { 0x1079895498B240E3, "hitrecord" },
    { 0xE0C96C4E6DFF744D, "hitroundlimit" },
    { 0x327E65CA9C77502F, "hits" },
    { 0xF3B1BEA11B25C987, "hitscorelimit" },
    { 0x3975D48F7FC34020, "hitslocs" },
    { 0xECAF1CC4D39C9D1A, "hitsperattack" },
    { 0xD910E60C348B9153, "hitsperattackforclass" },
    { 0x777E02AD059510CB, "hitsperattackforvehicle" },
    { 0x62F050B5F33DC5C6, "hitsthismag" },
    { 0xDE054F8D2F24D725, "hitsthismag_init" },
    { 0xDCEDA4D8274B5B5A, "hitsthismag_update" },
    { 0xE38CEA932916559E, "hitstokill" },
    { 0x9425BD65A5EF80EA, "hittimelimit" },
    { 0xDE61C88CAFBC265F, "hittypes" },
    { 0x413338BC23E8D793, "hitwinlimit" },
    { 0x58354429A54A048B, "hitwithmeleetime" },
    { 0x8CC5CB3DC20937F7, "hoister" },
    { 0xEBA075324C148F40, "hold_count" },
    { 0xDB717443C7FDB1FF, "hold_count_check" },
    { 0x3D1454813560252C, "hold_health_on_objectiveicon" },
    { 0x7870EE8729640C06, "hold_indefintely" },
    { 0x6C1FC0C8DF4706F7, "hold_lookat" },
    { 0x371E3F517C204022, "hold_while_juggheli_alive" },
    { 0x0EFA7AEF4166C2DF, "holdallflagstimer" },
    { 0x8485A755DC350B73, "holdbeforeshoottime" },
    { 0xFFEA9434FAE39F9C, "holding" },
    { 0xF4BD535703663561, "holding_gun_game_max_level_weapon" },
    { 0xD42C28356A6498E1, "holdingbodyhud" },
    { 0xE34E1312E4C3C6FB, "holdoutafterspawnfunc" },
    { 0x9F535843911D7D37, "holdoutphase" },
    { 0x4097DD768F8622F7, "holdouttext" },
    { 0x4D8FD1571BAE7E8D, "holdteam" },
    { 0xE7B11EEADCB7ECBF, "holdteammatestosquadleader" },
    { 0x9E8DCD569B10341D, "holdtime" },
    { 0xF04A11B5BF8DECBC, "holoeffect" },
    { 0xA2491B634F30C98D, "holster_catchup" },
    { 0x396416C0099DFA7F, "holster_cleanup_manager" },
    { 0xA2A24357F3C9E6C6, "holster_dooropenedlogic" },
    { 0x77035072CFB4D4BA, "holster_getanimationstruct" },
    { 0x23AC55229360BF8B, "holster_getdoor" },
    { 0xF4B06DC6670AD12D, "holster_getdoorclip" },
    { 0xD157DC2F470987A3, "holster_inventory_manager" },
    { 0x5FEA60E05533E5F5, "holster_logic" },
    { 0x9352E9209CA65C5C, "holster_main" },
    { 0xA01D7B551276F383, "holster_playerholsterlogic" },
    { 0x96DC53FACAA667C6, "holster_setupdoor" },
    { 0x0A06FB7529457D2C, "holster_spawnmarketscene" },
    { 0xAD01ED5C3D724DAB, "holster_start" },
    { 0xA445F30226F626F4, "holsterallowed" },
    { 0x2E67A3DCE4BCFD48, "homepos" },
    { 0xD4528DF1B855EC16, "hometown_flags" },
    { 0x5626BDD75759F40B, "hometown_objectives" },
    { 0x6EF01CF23A8D5A7A, "hometown_print3d_on_me" },
    { 0x9FDF9FA901A640EE, "hometown_stealth" },
    { 0x265071D3CDAA0066, "honk_turret_horn" },
    { 0xDB0AEF7CC39E83D8, "hoopties" },
    { 0xB53041384C4E14F7, "hoopty_cp_create" },
    { 0x15B8F8E6FDF4E5D3, "hoopty_cp_createfromstructs" },
    { 0xF220FAE3100465AC, "hoopty_cp_delete" },
    { 0x3E0FCDE79F1252C5, "hoopty_cp_getspawnstructscallback" },
    { 0x4506EBF8EF033FA9, "hoopty_cp_init" },
    { 0xAFBDCF585F839B1D, "hoopty_cp_initlate" },
    { 0x080C872A80E3F7B4, "hoopty_cp_initspawning" },
    { 0xC6E265ED0BF5F197, "hoopty_cp_ondeathrespawncallback" },
    { 0xFEA0F17B06D2A74D, "hoopty_cp_spawncallback" },
    { 0x892863CCC55FD13A, "hoopty_cp_waitandspawn" },
    { 0x9BD8D4E35BBF6E19, "hoopty_create" },
    { 0x5218344C072DF962, "hoopty_deathcallback" },
    { 0x53FD896F7B56A3A8, "hoopty_deletenextframe" },
    { 0x10312CA6D1B502AE, "hoopty_enterend" },
    { 0x3008C38F711E6D83, "hoopty_enterendinternal" },
    { 0x0329FCE42B35642E, "hoopty_exitend" },
    { 0x11CA886CCD7BFF03, "hoopty_exitendinternal" },
    { 0xDE66D6995ABB23BA, "hoopty_explode" },
    { 0x3C7656347BF810E3, "hoopty_getspawnstructscallback" },
    { 0x6A1D3BF760920CD7, "hoopty_init" },
    { 0xA3CFACA0BAB1FDB6, "hoopty_initdamage" },
    { 0xC27F65A0C0C3ECC1, "hoopty_initfx" },
    { 0xBD1331DB6A91908D, "hoopty_initinteract" },
    { 0x0A919BDB3B58EC7B, "hoopty_initlate" },
    { 0x058A9AA6D97D1B70, "hoopty_initoccupancy" },
    { 0x2D6E92D2656D7C21, "hoopty_initomnvars" },
    { 0xEF6E55774375C5EE, "hoopty_initspawning" },
    { 0x3238E85B1FBE9E41, "hoopty_mp_create" },
    { 0x4D2090F0D7100186, "hoopty_mp_delete" },
    { 0x92781EC868E14FFB, "hoopty_mp_getspawnstructscallback" },
    { 0xC350ACB00F42A1CF, "hoopty_mp_init" },
    { 0x4E0697D87551A855, "hoopty_mp_initmines" },
    { 0x0F6242DFBBDEB3D6, "hoopty_mp_initspawning" },
    { 0x1B3A2729958BC149, "hoopty_mp_ondeathrespawncallback" },
    { 0xD8781AFEDA698A47, "hoopty_mp_spawncallback" },
    { 0xD9F3BDB4584112D0, "hoopty_mp_waitandspawn" },
    { 0xAFB383A93EE2C8DF, "hoopty_truck_cp_create" },
    { 0x1AD16397EAF82D4B, "hoopty_truck_cp_createfromstructs" },
    { 0x855A2E20F9D0FF64, "hoopty_truck_cp_delete" },
    { 0x3A2DBEA5D111A57D, "hoopty_truck_cp_getspawnstructscallback" },
    { 0x7565D007C8196761, "hoopty_truck_cp_init" },
    { 0xB7FFFC13F1864505, "hoopty_truck_cp_initlate" },
    { 0xD68CD27D606772BC, "hoopty_truck_cp_initspawning" },
    { 0xC2CD236E600483CF, "hoopty_truck_cp_ondeathrespawncallback" },
    { 0x43E3D5C03DFC6265, "hoopty_truck_cp_spawncallback" },
    { 0x5700F1F60873C7F2, "hoopty_truck_cp_waitandspawn" },
    { 0xEEF6C30FB5381AA1, "hoopty_truck_create" },
    { 0x9C9CA063EBF22EBA, "hoopty_truck_deathcallback" },
    { 0x0B93AEAECF3B4140, "hoopty_truck_deletenextframe" },
    { 0xE2F2C09FB0F01696, "hoopty_truck_enterend" },
    { 0xA5618EC5C3A36A6B, "hoopty_truck_enterendinternal" },
    { 0xB422AB1412186936, "hoopty_truck_exitend" },
    { 0x75C87DC897441E0B, "hoopty_truck_exitendinternal" },
    { 0x71E3C8ACFC1FCA62, "hoopty_truck_explode" },
    { 0xBB027B97780D12DB, "hoopty_truck_getspawnstructscallback" },
    { 0xFAE190FD1DE7972F, "hoopty_truck_init" },
    { 0x2CC013E80334A79E, "hoopty_truck_initdamage" },
    { 0xA4B3C527BFB32569, "hoopty_truck_initfx" },
    { 0xB4A17D4EF9E8D305, "hoopty_truck_initinteract" },
    { 0xA8315BD7FFB994C3, "hoopty_truck_initlate" },
    { 0xB205DA68A1B3CEA8, "hoopty_truck_initoccupancy" },
    { 0x28D5A1B78EB75379, "hoopty_truck_initomnvars" },
    { 0x3163AFDC262AC736, "hoopty_truck_initspawning" },
    { 0xC201DB40FA0441D9, "hoopty_truck_mp_create" },
    { 0x5A29C547A64566CE, "hoopty_truck_mp_delete" },
    { 0xA21254AAEE22BBA3, "hoopty_truck_mp_getspawnstructscallback" },
    { 0x55F64CB7C2128997, "hoopty_truck_mp_init" },
    { 0x228F38532A75F89D, "hoopty_truck_mp_initmines" },
    { 0xEF203FCC10306DAE, "hoopty_truck_mp_initspawning" },
    { 0xD8FA3BAFDF470CD1, "hoopty_truck_mp_ondeathrespawncallback" },
    { 0x94F292B582C5B4EF, "hoopty_truck_mp_spawncallback" },
    { 0x1F7EB22FAF0243D8, "hoopty_truck_mp_waitandspawn" },
    { 0x65B00BCCBC4E92AC, "hooptytrucks" },
    { 0xB222E5F223903AFD, "horzalign" },
    { 0xEDC4E1F01328FF80, "hospital_dof_monitor" },
    { 0x6E34E86BF0AE4AD7, "hospital_dof_on" },
    { 0x505B2C9B7E3EF468, "hospital_exterior_vehicle_monitor" },
    { 0xB676D840CDBDFED0, "hospital_ground_vehicle_movement_sound" },
    { 0x18466381E57E30BA, "hospital_init" },
    { 0x72A8DA503B4867FC, "hospital_laststand_roof_alive_monitor" },
    { 0x3EA2B3BDB94F29CF, "hospital_upper_init" },
    { 0x1F6791C3678DE4DA, "hospital_upperfloor_mg_los" },
    { 0x70B416D38F9B404B, "host_migration_init" },
    { 0x492238C67EEFAEFA, "host_spawn_point" },
    { 0x7ADD352E611680AC, "host_sucks_end_game" },
    { 0x6DD857DD0CEDAC3A, "hostage" },
    { 0x8237B4F7712195BA, "hostage_1_death_monitor" },
    { 0xC42FED590F678D89, "hostage_1_handler" },
    { 0x267609050C125694, "hostage_2_handler" },
    { 0x2EE3EA2EB5D49FE7, "hostage_3_handler" },
    { 0x28E7756CD3C8260F, "hostage_3f_death" },
    { 0x701A3252BE63BA62, "hostage_3f_reaction_vo" },
    { 0xEAF88BFE2D559DE9, "hostage_ai" },
    { 0x4D82B91566A9545A, "hostage_aliases_exiting" },
    { 0x20A3FF7C4AA15D11, "hostage_aliases_idles" },
    { 0x486B330D26813917, "hostage_aliases_release" },
    { 0xB42352AC160C9986, "hostage_allow_long_death" },
    { 0x86EDF4B6BFD8D0D1, "hostage_building_id" },
    { 0xEBC256F0DB6F325B, "hostage_callout_saveme_time" },
    { 0xCD768BDBC7027DE2, "hostage_carrier_oob" },
    { 0x10553F9F957A1DAD, "hostage_change_extract" },
    { 0x9A6DE1190B1D809C, "hostage_confirm_good_angles" },
    { 0xADF84125E2598D3C, "hostage_cry_idle" },
    { 0x0DD256647E1CF22B, "hostage_cry_release" },
    { 0xCB1B9F515C2E540B, "hostage_damage_thread" },
    { 0x350F0E3B3CE7D223, "hostage_death" },
    { 0x64644B162E2D30A8, "hostage_death_counter" },
    { 0x535937DB6E981D99, "hostage_death_with_gun" },
    { 0x632F70D92A7C81F9, "hostage_detach_weapon" },
    { 0xB977E699AAAB192D, "hostage_dialogue" },
    { 0xF0950DAC27154A26, "hostage_drop" },
    { 0x5DE2BC3176DE5E1E, "hostage_drop_call_back_func" },
    { 0xAD62A8A626E36E9C, "hostage_drop_override_data" },
    { 0xFE0DB38878DA826D, "hostage_elbow_hit_wall" },
    { 0x036A6AAB27D7A69C, "hostage_enable_rescue" },
    { 0xF5BD03899CA0351D, "hostage_enemy" },
    { 0xD0F2900B64984B84, "hostage_enemy_dialogue" },
    { 0xFE32D67E9181ED10, "hostage_enemy_engage_dialogue" },
    { 0x94FB77C14B9798A8, "hostage_enemy_fx" },
    { 0x696815BC60C622A3, "hostage_enemy_ondeath" },
    { 0x910B674225B63263, "hostage_enemy_sight" },
    { 0xC5829657B2694802, "hostage_enemy_thread" },
    { 0x35EB957479D4A939, "hostage_executed_fail_state" },
    { 0xC5AD0FA8C9BC9950, "hostage_extras" },
    { 0x793E6250A409AD67, "hostage_flank_react" },
    { 0x72B16A55E08C7766, "hostage_flashbang_thread" },
    { 0xFDA5252D4CC729DD, "hostage_hit_wall" },
    { 0xEAD566FE2D2F04D2, "hostage_id" },
    { 0xC44F1D36DFA52BD9, "hostage_init" },
    { 0xD50FD86702AD7FFC, "hostage_keep_goal" },
    { 0x196D0CA97FC9D8A0, "hostage_kicked_react" },
    { 0xB333CC075F1FABAF, "hostage_kill" },
    { 0xEB5C77DA3C212695, "hostage_killed_fail_state" },
    { 0x269782D6E5C25873, "hostage_last_played" },
    { 0xD9BA8DCCF26778ED, "hostage_laststandlistener" },
    { 0x0C2B9F4B266A476E, "hostage_loop_watcher" },
    { 0x29A7DF03A06F22EB, "hostage_near_vehicle_monitor" },
    { 0xD5771F0DD26C816D, "hostage_ondeath_remove_linkedents" },
    { 0x00F511A7B4F39FBD, "hostage_onuse" },
    { 0x26E89EE709DACC8F, "hostage_onusefunc" },
    { 0x91366F0BDC6EBA4F, "hostage_pickup" },
    { 0xBC478CFF51B1A5AA, "hostage_pickup_pos" },
    { 0xEB4C0D9DCE782858, "hostage_play_sound_idle" },
    { 0x00CCF8BF57DEA5B3, "hostage_price_idle" },
    { 0x3C1826A45033D197, "hostage_rescue_fight" },
    { 0xADB019433ECBBF6D, "hostage_rescue_meatshield" },
    { 0xB57858614F067E38, "hostage_room" },
    { 0xFC753EA91ABC3924, "hostage_room_enemy_watcher" },
    { 0x1A9862365AA14815, "hostage_saw_player_recently" },
    { 0xC4654696A12FA09D, "hostage_scene" },
    { 0xADEEB99D9D630F64, "hostage_scene_plr_rumble" },
    { 0xCA566D575425B095, "hostage_seeplayer_frantic" },
    { 0xF1EDB23C48077F05, "hostage_seeplayer_frantic_share" },
    { 0xF7B04B86E2476386, "hostage_sequence" },
    { 0x4E3E67DF6E401E71, "hostage_sequence_lillywhites" },
    { 0x3CAE8AD43E76C0DB, "hostage_turn_to_enemy" },
    { 0xEA9B6DFE2CEE664C, "hostage_vo" },
    { 0x21D384A08817BC4B, "hostage_watchdrop" },
    { 0xCB5D02A77B21F78D, "hostageallydroppedchatterwatcher" },
    { 0x12D51A8FBDD456DE, "hostageallydroppedwatcher" },
    { 0xC9EE65815C85532A, "hostageallygrabbedchatterwatcher" },
    { 0xF0B4C8F32FD1BC8B, "hostageallygrabbedwatcher" },
    { 0x679C4064B74C47AC, "hostageaxisgrabbedwatcher" },
    { 0x5213314BF020DA58, "hostagecarried" },
    { 0x5213474BF0210ABA, "hostagecarrier" },
    { 0x62322145C5397983, "hostagecarrystates" },
    { 0x2BC2F4AFBF723D81, "hostagecheckpointent" },
    { 0xBFCD5947330FFB2B, "hostagecheckscoring" },
    { 0x6E46F09BE217DB93, "hostagedompoint_onuse" },
    { 0xA9431D56945575FF, "hostagedrop" },
    { 0x55546E7803F273D5, "hostageexitpoints" },
    { 0x0CC3135F7667A0EA, "hostagegoalent" },
    { 0xAA48E6DD4AF96E7B, "hostagehidespots" },
    { 0xD6FC0E949A4C7E2B, "hostagenearbywatcher" },
    { 0xF4339614BA5D3522, "hostageonuse" },
    { 0x0443DE953210B5C9, "hostageoutlineid" },
    { 0x807584236EB1E48B, "hostages" },
    { 0xCECA584107FA2AFE, "hostages_disablelookat" },
    { 0xD37239D406EA013C, "hostages_disablesounds" },
    { 0x405BF21C9D12E83E, "hostages_spawned_triggers" },
    { 0xBCEFFC1195DAE675, "hostagespawnpos" },
    { 0x8EB6563D4C6A7E50, "hostagespawnpushedwatcher" },
    { 0xA685AC2EDDCD945D, "hostagespawnwm" },
    { 0xFE4217CA77F97674, "hostagestates" },
    { 0x10BAF1464C4A71AC, "hostagestatuswatcher" },
    { 0x0625E0FFD9B20621, "hostagestoprunning" },
    { 0x917EB12B9ADADA3D, "hostagesysteminit" },
    { 0x0C22D114A0D2ABE7, "hostagetemppistol" },
    { 0x8EDBF2B08078879E, "hostagethreatwatcher" },
    { 0x1185954BAC3B1FE0, "hostattackfactormod" },
    { 0x04A84F2FA586B8C5, "hostdamagefactorhigh" },
    { 0xC03ED14CC6515E69, "hostdamagefactorlow" },
    { 0xE57FC35CF183729E, "hostdamagefactormedium" },
    { 0x6605B060DBB21157, "hostdamagepercenthigh" },
    { 0x43FF6B0DF896201B, "hostdamagepercentlow" },
    { 0x1BF0C313A11FA024, "hostdamagepercentmedium" },
    { 0x6C3B37A3A95E5BCE, "hostdefensefactormod" },
    { 0x2A8A2569329552F3, "hostforcedend" },
    { 0x34A4170B71FF8EB1, "hostidledout" },
    { 0xF936573F5DA599A5, "hostilemarkerthink" },
    { 0x6EEB1F14F8E21E8D, "hostmigration" },
    { 0x8D6BFD4591713D41, "hostmigration_waitlongdurationwithpause" },
    { 0x11FE9DFA55B6E347, "hostmigration_waittillnotifyortimeoutpause" },
    { 0xE9663DB78D1E5C0B, "hostmigrationconnectwatcher" },
    { 0xCAB6EFEC0A6CD531, "hostmigrationcontrolsfrozen" },
    { 0x9842C1D103C8F8F2, "hostmigrationend" },
    { 0xF7936036688012CE, "hostmigrationname" },
    { 0x88AE5760705D1CC6, "hostmigrationreturnedplayercount" },
    { 0xA63F547ACC5404F7, "hostmigrationstart" },
    { 0xC752FE8D0427AE9A, "hostmigrationtimer" },
    { 0xF9BB18B01531F4C6, "hostmigrationtimerthink" },
    { 0x30BB11CA497C568A, "hostmigrationtimerthink_internal" },
    { 0x044B194DD89AD778, "hostmigrationwait" },
    { 0x931A3ADA2FABAA0F, "hostmigrationwaitforplayers" },
    { 0xFEB17BAEA2ED8110, "hostname" },
    { 0x5CEB6470BC64F713, "hostoverride" },
    { 0xD8671CB6D986F395, "hostskipburndownhigh" },
    { 0xE2D12AFC881DCEF9, "hostskipburndownlow" },
    { 0x833FCA7B5DC5968E, "hostskipburndownmedium" },
    { 0x4F90BE6059CBA6B8, "hostvictimattackfactormod" },
    { 0x05964D97357378DD, "hostvictimdamagefactorhigh" },
    { 0x830C5231381B5701, "hostvictimdamagefactorlow" },
    { 0xA9AF32ACCCA79756, "hostvictimdamagefactormedium" },
    { 0x34518281D5C1CB7F, "hostvictimdamagepercenthigh" },
    { 0xE43F7AE6EC250743, "hostvictimdamagepercentlow" },
    { 0x0CCE932FEE29BB6C, "hostvictimdamagepercentmedium" },
    { 0xEA459FFA09E0CAF6, "hostvictimdefensefactormod" },
    { 0x835A420D46B3B19B, "hostvictimoverride" },
    { 0xFB487C35716744BD, "hostvictimskipburndownhigh" },
    { 0xF7DB7CBBBB290861, "hostvictimskipburndownlow" },
    { 0x047EDFF163D69536, "hostvictimskipburndownmedium" },
    { 0x4532EC178F50000B, "hotfootabsloops" },
    { 0x8AF29FB662194305, "hotfootdisttraveledsq" },
    { 0xDEF292DE9EEE190F, "hotfootlastposition" },
    { 0x55996C3D66BA1AEB, "hotfootreset" },
    { 0x46CD193B6DA88CCA, "hotjoin_protection" },
    { 0x901A97E9328BDF6C, "hotjoin_via_ac130" },
    { 0x4C7B45C7990EDE58, "hours" },
    { 0x1B30E6ABC07A620A, "hoursawakesincelastupdate" },
    { 0x02F1E0932C63C66A, "house_boss_analytics" },
    { 0x174517A7771F3FF0, "house_boss_catchup" },
    { 0x72A2649CA756AF6B, "house_boss_main" },
    { 0xFF4764250E3763B4, "house_boss_skip_fight_hide_intro" },
    { 0x19F4D2C047308879, "house_boss_skip_fight_show_intro" },
    { 0xBFD2A4529C24B09A, "house_boss_start" },
    { 0xF3A825B3E706BE6C, "house_boss_start_vo" },
    { 0xBB61CAE9D94AF5C2, "house_dad_dies_late_save" },
    { 0x8FDCD7DBE51B11E7, "house_enter_animate_and_kill_player" },
    { 0x629B7A3DE9591513, "house_enter_catchup" },
    { 0x0867A97CDC71615A, "house_enter_goliath_kill" },
    { 0x811D39DAB0656D42, "house_enter_main" },
    { 0xD3302A79B510D261, "house_enter_start" },
    { 0xC0B38A896F25A611, "house_enter_start_vo" },
    { 0x0AD3DA488E513BC8, "house_enter_trigger_monitor" },
    { 0x6D54155F2E4C3461, "house_exit_catchup" },
    { 0x2DB77B1E00023FB8, "house_exit_main" },
    { 0x04453F58C2114CAE, "house_exit_skip_boss_fight_catchup" },
    { 0x29338D9C1F0D6B6F, "house_exit_start" },
    { 0xE36AE37822C404A7, "house_exit_start_vo" },
    { 0x3CA493BEEFE52DAC, "house_exterior_dof" },
    { 0xCD0F1D2F8B47E442, "house_fstop" },
    { 0xD92DC8EBD1079F04, "house_intro_deadbolt_model" },
    { 0xD5BE76377CC21D1C, "house_intro_phone_farah_model" },
    { 0x84ED16623BD2B26E, "hover_accel" },
    { 0x9D56502CADB8AAFD, "hover_and_shoot_rockets" },
    { 0xC277CAD9F5A04AAC, "hover_attack_direction" },
    { 0x4DBDFC572F84A86D, "hover_attack_directions" },
    { 0x1E105D353987FA24, "hover_origin" },
    { 0xFAD422DF029C0490, "hover_pattern_internal" },
    { 0x30412BEB27D52610, "hover_radius" },
    { 0xB30EDFD4D3858FD5, "hover_speed" },
    { 0x2CCBFB2DFF06A8BC, "hover_states" },
    { 0xE69DCD2D6397D6BE, "hoverheight" },
    { 0xE4B9924152003CD7, "hovering" },
    { 0x49CE61583A72D760, "hoverjet_airtargetistooclose" },
    { 0xA4F4B91C653B83D0, "hoverjet_airtargetiswithinview" },
    { 0x92C428E6DBF73808, "hoverjet_breakofftarget" },
    { 0x4259A0AC9512944B, "hoverjet_cleanup" },
    { 0xFEDCCE02216A0980, "hoverjet_crash" },
    { 0x6205B8DEDA8ECC62, "hoverjet_defendlocation" },
    { 0xE0848396691C2E09, "hoverjet_delaymissiletracking" },
    { 0x5992B4B8C122C130, "hoverjet_delayresetscriptable" },
    { 0xCDBD5DFD69E7807F, "hoverjet_delaysetscriptable" },
    { 0xD1E1C07427ED3E10, "hoverjet_engageairtargets" },
    { 0x0788F7DC35EEEA2D, "hoverjet_engagegroundtargets" },
    { 0xFC4FA86EF404D24E, "hoverjet_explode" },
    { 0x099D38D7FFCCA35A, "hoverjet_findcrashposition" },
    { 0x8EEBDD1354E0DECF, "hoverjet_findmissiletarget" },
    { 0x1427679637B6B450, "hoverjet_firemissilescriptable" },
    { 0x2122A914D260D951, "hoverjet_fireonairtarget" },
    { 0x219ABC56638F6472, "hoverjet_fireongroundtarget" },
    { 0x7EF94BE0921E5BD6, "hoverjet_firetrackermissiles" },
    { 0x11C18DAF5695760E, "hoverjet_getbestairtarget" },
    { 0x02128760D14D5123, "hoverjet_getbestgroundtarget" },
    { 0xE6AFE6E2F4230454, "hoverjet_getcorrectheight" },
    { 0x1568BA9A056C4EBF, "hoverjet_getmapselectioninfo" },
    { 0x6E88D89D0B03C98E, "hoverjet_handledeathdamage" },
    { 0x5CDC6DD8F857A0B2, "hoverjet_handledestroyed" },
    { 0x067141AC75D04DA4, "hoverjet_handlemissiledetection" },
    { 0x6ABC988830A53210, "hoverjet_istarget" },
    { 0x5FDF1A115B705328, "hoverjet_leave" },
    { 0xCAA9D6C8769C46A1, "hoverjet_leaveonownernotify" },
    { 0xCB5109096F01898F, "hoverjet_missilekillcammove" },
    { 0x2B6C5D293EE6F7EA, "hoverjet_modifydamage" },
    { 0xDBFC2B906F7704CB, "hoverjet_moveawayfromtarget" },
    { 0xDB9893AD8B02B1B6, "hoverjet_movetolocation" },
    { 0x1B7F5D6994F4F2A5, "hoverjet_playapproachfx" },
    { 0xCF3D8063B28DFB93, "hoverjet_playflybyfx" },
    { 0xF9733845CE1483B6, "hoverjet_playflyfx" },
    { 0x94BA8261147F492F, "hoverjet_playreturnfx" },
    { 0xB8D378435ABF9419, "hoverjet_randomizemovement" },
    { 0x40AED3BC6935C56B, "hoverjet_setattackpoint" },
    { 0x5AE8EFD2C4EFB3C2, "hoverjet_setmissileoffset" },
    { 0x88D38624CDC22C3B, "hoverjet_spinout" },
    { 0xD807F89F21E61143, "hoverjet_startcombatlogic" },
    { 0xE88E645D358F4B75, "hoverjet_tracegroundpoint" },
    { 0xDBB34D191D3F3BB4, "hoverjet_turretlookingattarget" },
    { 0x11FE914DFEDFDD55, "hoverjet_watchairtargetdeath" },
    { 0x8765C45EF2BFAB80, "hoverjet_watchforbreakaction" },
    { 0x085E03984EF6E25F, "hoverjet_watchfornearmovementgoal" },
    { 0x3EE94A2C65177C61, "hoverjet_watchforreposition" },
    { 0x0D7036A953145E7F, "hoverjet_watchgameend" },
    { 0x7500D00AA29441D6, "hoverjet_watchgroundtargetdeathdisconnect" },
    { 0x5CBC2BCDCA6B9C83, "hoverjet_watchlifetime" },
    { 0xFF5B35D2AB09D437, "hoverjet_watchowner" },
    { 0x7BE0A0502DF540C9, "hoverjet_watchtargetlos" },
    { 0xE756B6EB7C6FACBB, "hoverjet_watchtargetstatus" },
    { 0x4EE3191F8FF48CD4, "hoverjet_watchtargettimeout" },
    { 0x05F880ED0BFD5969, "hoverjets" },
    { 0x1A3CE7F32EAA5C56, "hoverlifepack" },
    { 0x5034A7425CBAB2BD, "hoverpos" },
    { 0xCE363D78F58A5711, "hp" },
    { 0x1741B35F74D0F863, "hp_move_soon" },
    { 0x39B8CBE6CEB1ED7E, "hpcapteam" },
    { 0xB21403612C1B7E03, "hpcaptureloop" },
    { 0x7A61BAEB71212D1A, "hpstarttime" },
    { 0xEABFFF63DA5150FD, "hq_captured_music" },
    { 0xA849A5BDFF21481F, "hq_targets" },
    { 0xAAF76024B041C9C0, "hqactivatenextzone" },
    { 0x06FBB4DE20815FA0, "hqautodestroytime" },
    { 0x2AD116516E78D5F1, "hqdestroyedbytimer" },
    { 0x5054FE5AF9021179, "hqdestroytime" },
    { 0xBFA24D98EBA2B133, "hqdisttomid" },
    { 0xB6ACAF992273555D, "hqmainloop" },
    { 0xD98012E88D1F7862, "hqmidpoint" },
    { 0x77E021787964531A, "hqrevealtime" },
    { 0xF30D88017239EEB4, "hqvecttomid_allies" },
    { 0x4DA50D3625AB4E87, "hqvecttomid_axis" },
    { 0x4A011C50F6C3E25F, "ht_on" },
    { 0x0BAD9803FF4C4C0A, "hud" },
    { 0x598B4E74AB3037AB, "hud_attempt_over" },
    { 0x8E90318E7B962924, "hud_besttime_update" },
    { 0x66D28918275CFFB5, "hud_bink" },
    { 0x95519FC370793C77, "hud_controler" },
    { 0x1686FB741ABE57C5, "hud_damagefeedback" },
    { 0xE8612498B0F2891F, "hud_destroy" },
    { 0xE3029EB63728B343, "hud_fade_to_black" },
    { 0x28D5808171A9580A, "hud_fadeovertime" },
    { 0x7371653A0EA5C4AC, "hud_finale_black" },
    { 0x260BC60599FB1E8E, "hud_fluff_text_message" },
    { 0x66055583F6FBF80A, "hud_hitmarker" },
    { 0x1C355071DD4FF809, "hud_init" },
    { 0x0F07315DFB348A09, "hud_intel_message" },
    { 0x949ED68AA24CF3DD, "hud_inter_round_flow" },
    { 0x685BD5C1E29620AB, "hud_lap_scoreboard" },
    { 0x26A48A8C2E5BAA04, "hud_mantle" },
    { 0x5878A2764FED8AFD, "hud_moveovertime" },
    { 0xDB8BC3C9017D393B, "hud_objectives" },
    { 0x2418088178E78C02, "hud_omnvar_change_listener" },
    { 0xABED75A25A077682, "hud_racetrack_info" },
    { 0x1F00CC6570AFF1EB, "hud_racetrack_timer" },
    { 0x6442054B81BAACCE, "hud_reward_tiers_tracking" },
    { 0xF0CCABD6F3749544, "hud_scoring" },
    { 0x2FD77C2DBBEA4166, "hud_selector" },
    { 0x1BB4B4B2B9D8D8D2, "hud_selector_fade_out" },
    { 0x2DF0DA536D2B06B1, "hud_set_progress" },
    { 0x3409D0FD98F48552, "hud_set_reward_tier" },
    { 0xAF75FFDB51FA8B24, "hud_set_timers" },
    { 0x78018950ED105740, "hud_stars" },
    { 0x6EAFB9DF9FD883C9, "hud_think" },
    { 0x7AECD8CDCC9684C4, "hud_timer" },
    { 0xD0F25C0D4E1BD5B0, "hud_timer_reward_tiers" },
    { 0x4863102ED9B9BB30, "hud_update_placed_model_count" },
    { 0x93E1952BDB013F04, "hud_value" },
    { 0x1B12EBC150CD849D, "hud_visibility_timer" },
    { 0x462E8F5C972D8309, "hud_x_offset" },
    { 0x152C076A4CF6331C, "hud_y_offset" },
    { 0x106804F4625ABF91, "hudammount" },
    { 0xD7304D90FEE06130, "hudattractionobj" },
    { 0x20A280A478C67519, "hudavailable" },
    { 0x2ABA1EB553927FE9, "hudbetonplayer" },
    { 0x4462A08017AAE3CF, "hudbooted" },
    { 0xB1680B8247E9C19B, "hudcost" },
    { 0xF4E407D20313103E, "hudcoststring" },
    { 0x81011B50BEE36CE8, "huddopulse" },
    { 0x4B8047477B8CB125, "hudelem_count" },
    { 0x6F9F0147A6110D7D, "hudelemdestroy" },
    { 0xF585CC2C2DA81F8B, "hudelementsetupandposition" },
    { 0xD276794A7FA6E21A, "hudelems" },
    { 0xA43FC57298C463F7, "hudextractmax" },
    { 0x97268B728FAF489D, "hudextractnum" },
    { 0xF36EB29D04CFBEBD, "hudfocusname" },
    { 0x0412BA5BB2D224D0, "hudglobalkillcount" },
    { 0x97C3B0D887A541FE, "hudglobalkillcountmax" },
    { 0x1D6ED8FB920B6887, "hudicon" },
    { 0x29E7ED965E4483DF, "hudicontype" },
    { 0xD8EA05A9124FC2CF, "hudkothbesttime" },
    { 0xFCF30715A42288F7, "hudkothbesttimelabel" },
    { 0x815244D01BC2F879, "hudkothtimer" },
    { 0xCE7CC443E7EED118, "hudnumconsumed" },
    { 0x6AED34FD7CB61397, "hudnumtoconsume" },
    { 0xD67EFCBA045557BF, "hudoutline_activate_best_channel" },
    { 0x5112150B25EAEBE0, "hudoutline_activate_channel" },
    { 0x45CCDE6CDCBB27D4, "hudoutline_add_channel" },
    { 0xE50555C9A36FE6D4, "hudoutline_add_channel_internal" },
    { 0x1331E75B261CF971, "hudoutline_add_child_channel" },
    { 0xA2BC9A7BE4203E17, "hudoutline_add_child_channel_internal" },
    { 0x098DD3AF41EA413D, "hudoutline_ar_callout" },
    { 0xEA475C8E6CCD8B0D, "hudoutline_ar_disable" },
    { 0x65DCCBE4ED4D410B, "hudoutline_cctv_settings" },
    { 0x2664F3B0AE1C5D3D, "hudoutline_channel_animation" },
    { 0xAFCA2A2F8A7CC59C, "hudoutline_channel_animation_loop" },
    { 0xDE0342C1EE87BEE0, "hudoutline_channels_init" },
    { 0x7E7CE7900DFA6093, "hudoutline_create_entinfo" },
    { 0x753B4A2F249E9FBB, "hudoutline_deactivate_channel" },
    { 0xC9F678BC56EF829A, "hudoutline_default_settings" },
    { 0xF187B788019888AF, "hudoutline_disable" },
    { 0xE685244A1A5D2311, "hudoutline_disable_internal" },
    { 0xD84963EE14086220, "hudoutline_disable_on_death" },
    { 0x4BFF61BDC8530ABA, "hudoutline_enable" },
    { 0x55D7752CCF3360F6, "hudoutline_enable_internal" },
    { 0x96A32EEA7582FA5F, "hudoutline_enable_new" },
    { 0x591ACFA58C79EA8C, "hudoutline_force_channel" },
    { 0x7BE58470B5BE05EC, "hudoutline_force_channel_internal" },
    { 0x5545CA3D7FFE1013, "hudoutline_is_ent_in_channel" },
    { 0x6AB89543D6675109, "hudoutline_override_channel_settingsfunc" },
    { 0x3F6DDAD2F987C93C, "hudoutline_set_channel_settings_delayed" },
    { 0xCE3F740A96AD938A, "hudoutline_update_entinfo" },
    { 0xFAB26E2069177872, "hudoutline_vis_enemy" },
    { 0x9E9E85446ACDD84A, "hudoutline_vis_enemy_settings" },
    { 0xA9247D35573A4D3C, "hudoutlineasset" },
    { 0x7C264308387FFDF7, "hudoutlineassetname" },
    { 0x6AA6305F992AC8FC, "hudoutlinechannels" },
    { 0x9658B8D0F97DAFF1, "hudoutlinecurchannel" },
    { 0x31F6BB2999CD5EF0, "hudoutlinedisable" },
    { 0xC293BF1899F1A290, "hudoutlinedisableforclient" },
    { 0xDC90261A8E693939, "hudoutlinedisableforclients" },
    { 0xD0A5456E513E66B3, "hudoutlineenable" },
    { 0xA099A979CA65F9C5, "hudoutlineenableforclient" },
    { 0x97E96CD81E442B42, "hudoutlineenableforclients" },
    { 0x0994E97E3ADE27D9, "hudoutlineforcedchannels" },
    { 0x5A102890F00D1279, "hudoutlinesettings" },
    { 0x394E89398C3FCD9A, "hudoutlineviewmodeldisable" },
    { 0x961FF3459F34EA11, "hudoutlineviewmodelenable" },
    { 0x3816FFE7CC6A41E8, "hudoutlineviewmodelenableonnextspawn" },
    { 0x5DCD0EED32B0A80C, "hudplunderstart" },
    { 0x6018C817D861AC99, "hudplunderstring" },
    { 0xFB11C9CA74CC2E1B, "huds" },
    { 0xA41A7304D283B889, "hudsbredeploy" },
    { 0x411196ED24A8C5E3, "hudsetpoint_func" },
    { 0x9596AFBD3966FD5F, "hudstate" },
    { 0xB9CC66D04795DB4B, "hudtweaks" },
    { 0x1F6519EB59717C88, "hudzombie" },
    { 0x744977B6A06E6A78, "hull_invulnerable" },
    { 0x8D5BFC3E91125086, "human" },
    { 0xAEF33BFACCF9E1C1, "human_team_bot_added" },
    { 0x78AE60235DC29BDD, "humanpowersenabled" },
    { 0xF39CB2990B480ACF, "humans" },
    { 0x20DECED706ED6C1A, "humanspawninair" },
    { 0xE5E877008B89B66B, "humvee_add_additional_parts_func" },
    { 0x09B2C34B8388C7D2, "humvee_marker_group_id" },
    { 0xEE23EE558434F280, "hungry" },
    { 0x881F3BA644737A02, "hungryrate" },
    { 0x80E0EA25734CD7BC, "hungrystart" },
    { 0xE236D1E76C25D06F, "hunkerstarttime" },
    { 0xFAE5CACA749BC9E8, "hunt" },
    { 0xA2B58BFCC7029B5F, "hunt_active_terminate" },
    { 0x640099F37CFFFC11, "hunt_clearroomdata" },
    { 0x424D073023509505, "hunt_cqbtargetupdate" },
    { 0xE0BC9D400DDA8FF6, "hunt_finddoorbetween" },
    { 0xABE287D7439B4857, "hunt_getnextclearpos" },
    { 0x36459725F5B41E87, "hunt_getpos" },
    { 0xC853FA7B4EF6F7EA, "hunt_human" },
    { 0x46EE06EAF62F7BD2, "hunt_hunker" },
    { 0x170EA321CE02433F, "hunt_hunker_expose" },
    { 0xB259E6BDCBD72582, "hunt_hunker_expose_init" },
    { 0x2B11DD1BAB60FB9F, "hunt_hunker_expose_terminate" },
    { 0x0C688B6C8654B9C1, "hunt_hunker_init" },
    { 0xCA1B78F9FB5D0810, "hunt_hunker_shouldexpose" },
    { 0x7FFB02CAE35E8EF2, "hunt_hunker_terminate" },
    { 0x65DC362824C2A1C3, "hunt_init" },
    { 0xE0C4ADA764C26F82, "hunt_initialdelay" },
    { 0x1D788E8513C52191, "hunt_initialdelay_init" },
    { 0xF656AF01DDF2C062, "hunt_initialdelay_terminate" },
    { 0xB40838BF7EC9477D, "hunt_isincover" },
    { 0x6C84C7B65BE7833B, "hunt_lookaround" },
    { 0x9BF5BE1C136B8B7E, "hunt_lookaround_init" },
    { 0xBA497C9C90A2AB63, "hunt_lookaround_terminate" },
    { 0x226B6AD971ADCDDB, "hunt_loop" },
    { 0x8FA73DC4F7736724, "hunt_move" },
    { 0x557FF2220799027F, "hunt_move_init" },
    { 0x59F0C01F51CC0228, "hunt_move_terminate" },
    { 0x58359C92A4ED2170, "hunt_player" },
    { 0x1742EA8351258B81, "hunt_player_delayed" },
    { 0xE2EAB1063887BB16, "hunt_region_load" },
    { 0x84F67018148AA49A, "hunt_regions" },
    { 0xB8001EBD4A2E7ECD, "hunt_shouldhunker" },
    { 0xB32A65C02AD24EB3, "hunt_shouldinvestigateorigin" },
    { 0x93891837CB6B2F17, "hunt_sidechecks" },
    { 0x3E9505A65EC3CFB0, "hunt_speed" },
    { 0x413BA6159FE0E42F, "hunt_stealth_group_region_sets" },
    { 0xFC85F43C0A94F3F4, "hunt_terminate" },
    { 0xC17A142AEAB9FC81, "hunt_thread" },
    { 0xF3F3F4E048CC7D1C, "hunt_updateeveryframe" },
    { 0x55C5F9D3E141FDF6, "hunt_updateregiontoclear" },
    { 0x6C3E2588E0D815C4, "hunt_volumes" },
    { 0xC45A84BC762D687C, "huntassigntoregion" },
    { 0xB0B8ADBE4F8F6EF4, "huntcomputeaiindependentregionscores" },
    { 0x6C3F094B2A50CD8B, "huntdecaiassignment" },
    { 0xCB72916FFF33A629, "hunted_count" },
    { 0x3C0C6287131675EE, "hunterkillerents" },
    { 0x25DE70B28859CDEE, "hunterkillerids" },
    { 0x96E02A537F5424A8, "hunterkillerlistenforconnect" },
    { 0x49B1081E4667FC27, "hunterkillerlistenfordamage" },
    { 0x5BFE800912F9628C, "hunterkillerlistenfordisconnect" },
    { 0x04A315307A5A4900, "hunterkillerlistenforhealth" },
    { 0x82C6A2902781B093, "hunterkilleroutlines" },
    { 0x2E2397C515682A31, "hunters_killed_by_targets" },
    { 0x6716B806F411E0F7, "hunterswonending" },
    { 0x30752E9A5CFC70BE, "hunterteam" },
    { 0x53618C55D5515055, "huntgetnextregion" },
    { 0xB481FA7A096ACC76, "hunthunkerlastexposetime" },
    { 0x23E4CA06211E47C7, "huntincaiassignment" },
    { 0xC941831EA057FE85, "hunting_groups" },
    { 0x6F8779A88BC77D48, "hunting_player" },
    { 0x94E576EC0CF7D41B, "hunttimeout" },
    { 0xA9226F1D141ABD54, "hunttrytoenterregionvolume" },
    { 0xDEAD0FAE47BAED16, "hunttrytoexitregionvolume" },
    { 0x342B72B657C6A352, "huntunassignfromregion" },
    { 0x0C93D2DECA2932BA, "hurt_enabled" },
    { 0x01F6A61195F6EDF2, "hurt_trigger_active" },
    { 0x0523B732733F4F45, "hurt_trigger_manage_dog_tag" },
    { 0x4DDB79BF6D5F0169, "hurtbadlywait" },
    { 0x0680649ADE5B61C9, "hurtplayer" },
    { 0xE8B944A4446EDCF4, "hurtplayersinbunker" },
    { 0x3F9B33B37478FFDD, "hurttarget" },
    { 0x9602F4503E5C5191, "hurttriggers" },
    { 0x0BA8B503FF4662FA, "hvi" },
    { 0x112995CFFD946F70, "hvi_escort_exit" },
    { 0x08BEB1B1EFA3A762, "hvi_escort_intro" },
    { 0xCA8D23FF7FDFB059, "hvi_follow_player_loop" },
    { 0xB1F6DB98FDE8EE06, "hvi_patrol_exit" },
    { 0x21FAA99E4A6B18D8, "hvi_patrol_intro" },
    { 0xB67D7D6A6BB8C63C, "hvi_vehicle_rider_special_setup" },
    { 0x9C7CA704B0036184, "hvt_anim_and_close_doors" },
    { 0x8A8379753E1CE78C, "hvt_anim_think" },
    { 0x45744FE7D56FFE41, "hvt_ar" },
    { 0xA59716DBC9E76F62, "hvt_bodyguard_vehicle_should_speed_up" },
    { 0xC3B7419E6C86D6E9, "hvt_bodyguard_vehicles" },
    { 0xC54C83A83E3EBC64, "hvt_boss_clean_up_think" },
    { 0x91A9AC8D37A656CF, "hvt_boss_combat_think" },
    { 0xAB0985465E503AC8, "hvt_boss_damage_monitor" },
    { 0x2ABEE2DE66BBAA92, "hvt_boss_do_combat" },
    { 0xBC293628F8D97D18, "hvt_boss_laser_tag" },
    { 0x4F83F089B3B764E2, "hvt_boss_move_to_target_vertical_offset" },
    { 0x4E6352D1F3991361, "hvt_boss_mover" },
    { 0x587455D5F8E0CD84, "hvt_boss_mover_face_player_humvee" },
    { 0x0C3974CFA30C4A5E, "hvt_boss_mover_follow_enemy_hvt_vehicle" },
    { 0x1E07A44F6E6B6E44, "hvt_breakout_think" },
    { 0x5D95496E84C42E0F, "hvt_can_lose_health" },
    { 0xD2AD42E502613143, "hvt_combat_start_marker_think" },
    { 0x43D32920F3F28740, "hvt_death" },
    { 0x2AD204EB2F5DD4A8, "hvt_death_anim" },
    { 0x53C2FCC74BF76242, "hvt_death_player_vo" },
    { 0x5E406CAC3D3FE846, "hvt_death_post_interact" },
    { 0x1AC2D71214587CA9, "hvt_death_pre_interact" },
    { 0x426B3946507AF616, "hvt_delayed_cig" },
    { 0x855EED18F8FCA10D, "hvt_delete_clip_on_death" },
    { 0x591079DA83D458BC, "hvt_die" },
    { 0x90DDFBE6981CD50F, "hvt_disable_interact_on_interrogation" },
    { 0x90F426ED213BBB02, "hvt_drop_from_truck_to_ground" },
    { 0xFFF218134546103E, "hvt_elevator_jugg" },
    { 0xFD3627B8F47E4F2C, "hvt_enable_interact" },
    { 0x75920A80D3AD9254, "hvt_ent_delete_wm" },
    { 0x2AC924AE95ED9E0A, "hvt_exit" },
    { 0x24469604AA4F34C4, "hvt_idle" },
    { 0xC5767ACD46A9D1B2, "hvt_if_heli_destroyed" },
    { 0xC8EA3D4F0847A83E, "hvt_in_heli" },
    { 0x1F9FBA627D33122F, "hvt_interact_think" },
    { 0x1A067EC1DD1292C5, "hvt_jugg" },
    { 0xCAC8131BBA76DF34, "hvt_jugg_skit_spawn_func" },
    { 0x9926E4AD06E2DC00, "hvt_jugg_spawn_func" },
    { 0xC237AD6C19B1B03C, "hvt_key_dropped" },
    { 0xDCC19749A2036D52, "hvt_key_picked_up" },
    { 0x43C7C51628FC9386, "hvt_locations" },
    { 0x86C742ADBAA74474, "hvt_made_it_to_heli" },
    { 0xE8633F428CF8DCEA, "hvt_module_struct" },
    { 0x7AFB7825C745AFB0, "hvt_obj_num" },
    { 0x0A10A0385FE0726E, "hvt_run_to_heli" },
    { 0x7B8A744A0731B97A, "hvt_skit_notetrack_handler" },
    { 0x78AB7E2B05EABFC6, "hvt_snore_think" },
    { 0xF371A3280033B58C, "hvt_structs" },
    { 0x0517C1047E3D473F, "hvt_temp_movesideways" },
    { 0x2139BE6E01E22DE9, "hvt_think_func" },
    { 0x7E50DE043F85BB32, "hvt_trace_contents" },
    { 0x664A2EF0337060A1, "hvt_vehicle_weak_spot_damage_monitor" },
    { 0xBC46F7FC55C89695, "hvt_visual_callout" },
    { 0x0E55D9C822315FC2, "hvt_visual_leaving_callout" },
    { 0x47B7072D76214174, "hvt_wait_for_pickup" },
    { 0xD19BAC9DFE6D45C5, "hvt_waittill_pickup_players_gobackup" },
    { 0xB5D9289C80C20312, "hvt_waypoint_think" },
    { 0x2185680B2F1D0F37, "hvt_yelling_anim_think" },
    { 0xDD45778D9800393A, "hvtboardingside" },
    { 0xBA22FA829766FA4A, "hvtcapturevalue" },
    { 0x6A7D9669CAC76C4F, "hvtcleanup" },
    { 0xCFB6FC74353F563B, "hvtclearmove" },
    { 0x5B548B04A58A1280, "hvtcount" },
    { 0x40498D01A491ECDB, "hvtdeathwatcher" },
    { 0x3B311EF7FA874139, "hvtdelayedendinvulnerability" },
    { 0x34143249513BD32E, "hvtent_sethotfunc" },
    { 0x5D23144D799ACB34, "hvtkilled" },
    { 0xF50EC349586E0BFA, "hvtkills" },
    { 0xEB3294E1B5203371, "hvtlabel" },
    { 0xF11868281619AEC5, "hvtlist" },
    { 0x7FF8B9EEDDFB222E, "hvtlocent" },
    { 0x2FD9054E3064DC59, "hvtmaxtargets" },
    { 0x2B7607893EDE5AEE, "hvtmovetoextractpt" },
    { 0xE8A19F4C7729274B, "hvtnorevive" },
    { 0xAB1AF72E5E5F7C64, "hvtreveal" },
    { 0xE9F2A0CA6749C79E, "hvts" },
    { 0xF4742720560C9DCA, "hvts_identified" },
    { 0x2345D244F07CD560, "hvts_seen" },
    { 0x0076FAE8D9441A1E, "hvtspawnpos" },
    { 0x435F32AC4DEC5D37, "hvtthreatwatcher" },
    { 0xC3ECA5492605A5B6, "hvttriggerholdonuse" },
    { 0xBFE265D5DFA7C40B, "hvttriggerholdonusebegin" },
    { 0xC6AA3DC4217BFBD3, "hvttriggerholdonuseend" },
    { 0xE523ADDAC2006CB7, "hvttriggeroncantuse" },
    { 0x582125A1890C8AC7, "hvydamage" },
    { 0x948AC47BE70D5FAF, "hybrid_assist" },
    { 0x2A4E57E4DF54E946, "i_am_seeing_this_player" },
    { 0x741AE30EF1DA4C80, "i_current_state" },
    { 0x146B6F1DA2BDE0F2, "i_player_shooting_murderhole_monitor_counter" },
    { 0x48985F52EE0A69B6, "i_previous_state" },
    { 0x4FF225E900EC315E, "i_saw_player" },
    { 0x2218906A14F5923C, "i_see_friendly_corpse_watcher" },
    { 0x98B55566D694A45E, "i_see_laststand_player_watcher" },
    { 0x4165FBBAAB28F38A, "i_see_player_drone_watcher" },
    { 0xB9A44EF5CBBE8077, "i_see_player_shield_watcher" },
    { 0x4F5F506F5B1649B8, "i_see_player_vehicle_watcher" },
    { 0x694D10138087FFBF, "i_see_player_watcher" },
    { 0xC2A592F83D920229, "iamflashed" },
    { 0xF5DB4EB66109077C, "icon" },
    { 0xCE5A88C338B4C971, "icon_clean_up_think" },
    { 0xF252D5C041DA238A, "icon_death_watcher" },
    { 0xA8B1DA52E77D8A11, "icon_spot" },
    { 0x4D33FEB28D2D0F26, "icon_trigger_enter" },
    { 0x3E9771867E738290, "icon_trigger_exit" },
    { 0x6A6F750743476A25, "icon_update_visibility" },
    { 0x330F2E81BE57699E, "iconbombcapture" },
    { 0x9C3B1DD0F1A99160, "iconbombdefend" },
    { 0xE63D4FA2BB58D7AE, "iconcapture" },
    { 0x5ACA82BAF3583001, "iconcaptureendzone" },
    { 0xA57438BDCD7C3DC3, "iconcaptureextract" },
    { 0x2719CB23D0611A40, "iconcaptureflag" },
    { 0x19D24271F570C5D6, "iconcaptureflag2d" },
    { 0x19D63071F5749417, "iconcaptureflag3d" },
    { 0xB84933AC4608E4ED, "iconcontested" },
    { 0x159F509FC883B3FB, "iconcontestendzone" },
    { 0xD87014A527FCA8FD, "iconcontestingextract" },
    { 0xBAEE0F7718A7DA90, "icondefend" },
    { 0x5143F291C5306E57, "icondefendendzone" },
    { 0xA6FBBCA0B59CD7C1, "icondefendextract" },
    { 0xE3A12C9B108A8BA2, "icondefendflag" },
    { 0x94693E0C9F47124A, "icondefendhvt" },
    { 0xA5BD560CAD03D878, "icondefending" },
    { 0x68867F2D6F135ED5, "icondefusing" },
    { 0x68C5E05B61E79A71, "iconenemycontested" },
    { 0x4CC76DE27D7A5357, "iconenemyextract2d" },
    { 0x4CC27FE27D745216, "iconenemyextract3d" },
    { 0xFE2C7A2E97D1E274, "iconescort" },
    { 0xF53C6BA74CDAF6E2, "iconescort2d" },
    { 0xF54149A74CE0D4F3, "iconescort3d" },
    { 0x249D02CC93E9AFBD, "iconextract" },
    { 0x241D94948A536EF1, "iconflashpointcontested" },
    { 0x17A8D3920ADA9F2C, "iconflashpointenemy" },
    { 0xC50CDE1D41C43D8F, "iconflashpointfriendly" },
    { 0xA3E0622EDEF9883F, "iconflashpointneutral" },
    { 0x4E80BB01DF36A078, "iconfriendlycontested" },
    { 0xACCCE2BF77093C56, "iconfriendlyextract2d" },
    { 0xACD0D0BF770D0A97, "iconfriendlyextract3d" },
    { 0x7FC1713990C61A1F, "iconfriendlyzone2d" },
    { 0x7FBC833990C018DE, "iconfriendlyzone3d" },
    { 0x1B81583A58F35F99, "icongoalflag" },
    { 0x3F1DA498A4EA523F, "iconhqcapture" },
    { 0x3D9C86D218A067EC, "iconhqcontested" },
    { 0x20F7DDC89BBD56A3, "iconhqdefend" },
    { 0xAAD1E1EF6F73F57D, "iconhqlosing" },
    { 0x2C9D38BD37B62D26, "iconhqneutral" },
    { 0x14F7AFC55F079C47, "iconhqtaking" },
    { 0x4305C0DCE929599A, "iconhqtarget" },
    { 0xC40EDB717A7A7F6C, "iconkill" },
    { 0x0BCF8379018F493A, "iconkill2d" },
    { 0x0BD361790192F44B, "iconkill3d" },
    { 0xA514D10D684C6F4A, "iconlabel" },
    { 0xC26FC34CF3B2FF52, "iconlocked" },
    { 0xFB9735C0A4BEA9C6, "iconlosing" },
    { 0xEC63F5F056BD7409, "iconlosingendzone" },
    { 0x08A5A66805E7E39B, "iconlosingextract" },
    { 0x8A95FE1B437439C8, "iconlosingflag" },
    { 0xB1483FFC4470F737, "iconname" },
    { 0x412932EB121A00FB, "iconneutral" },
    { 0xA6CA9FAE16CCB2D7, "iconovertime" },
    { 0x0230161FDD18F24E, "iconpickupdefendflag" },
    { 0xA0921B42C0891822, "iconpickupflag" },
    { 0x546802DC9B292E41, "iconplant" },
    { 0x65C13EA75CCF587F, "iconplanting" },
    { 0xAD78E1241B5DB026, "iconpos" },
    { 0x29B8622DB003DB87, "iconposref" },
    { 0xD4A0C11F70F6A5D3, "iconpreventextract" },
    { 0xD87B3DABE34BF7AE, "iconrallypoint" },
    { 0x2239D4C909EB0736, "iconrallypointheli" },
    { 0x5436D403013A63B8, "iconrecover" },
    { 0x6D399205BD4777BD, "iconresettingflag" },
    { 0x30A7CF59B076B09C, "iconreturnflag" },
    { 0x97DFF7ADAF9FBA55, "iconsize" },
    { 0x9E6F3482468066ED, "iconstoppingextract" },
    { 0x3ABCF31258FBF80F, "icontake" },
    { 0xA632C342EBC82EB8, "icontaking" },
    { 0xB4BA27E12C15066F, "icontakingendzone" },
    { 0x98EB69697D69A0E9, "icontakingextract" },
    { 0xBCDEE39C2DB5A125, "icontarget" },
    { 0x162C1DB454948420, "icontrigger" },
    { 0x23AC93DA317BAF09, "iconvisall" },
    { 0xCE322B78F58639A4, "id" },
    { 0xE3EDBC488B142FE9, "idamage" },
    { 0x9F72753372B365CE, "ideal" },
    { 0x4C5BAB3645868953, "ideal_dist" },
    { 0xC4BD870569F1BE18, "identified" },
    { 0xDA344D103D29A552, "identified_ieds" },
    { 0xC4BD9D0569F1EE7A, "identifier" },
    { 0x95C1DA9297945502, "identify_anim_playing" },
    { 0x9BB8FF2285CE7E84, "identify_anim_think" },
    { 0xC0A7D7EB9027B4E5, "identify_anim_unlink_player_on_damage" },
    { 0x70B10C422A61927E, "idflag" },
    { 0x36F0028334943297, "idflags" },
    { 0x0FFDE7F6EADD4ED8, "idflags_br_armor_break" },
    { 0xB66572A0EAE8D24A, "idflags_br_armor_hit" },
    { 0xDC416FD19034860C, "idflags_hyper_burst_round" },
    { 0x55C83751259BE42F, "idflags_no_armor" },
    { 0x0405895CFCD79ACE, "idflags_no_dismemberment" },
    { 0x19430A07C7977B8F, "idflags_no_knockback" },
    { 0x1F12A92591D2B683, "idflags_no_protection" },
    { 0x192DBD9E79E79259, "idflags_no_team_protection" },
    { 0xA71AF4D641FBC1B0, "idflags_passthru" },
    { 0xFB13FF2CA1742405, "idflags_penetration" },
    { 0xD096CFE4A82C3A2A, "idflags_penetration_player_only" },
    { 0x0FBA2ADF72A2478E, "idflags_radius" },
    { 0x862799C5C234B89D, "idflags_ricochet" },
    { 0x51DC94D238627AF8, "idflags_shield_explosive_impact" },
    { 0xF4DA53550EDC5FA2, "idflags_shield_explosive_impact_huge" },
    { 0x49A759FCB8F699D9, "idflags_shield_explosive_splash" },
    { 0x0FDFF8EBA347E645, "idflags_source_left_hand" },
    { 0x268DA753653F1450, "idflags_stun" },
    { 0x06697EB66DEC35A7, "idle" },
    { 0x2C4B672ECEDAF25D, "idle_anim" },
    { 0x747BB3BD6A7A8B06, "idle_anim_override" },
    { 0x2589E005EE95DC8F, "idle_animations" },
    { 0x32E270282A29343C, "idle_animnode1" },
    { 0x32E273282A293AD5, "idle_animnode2" },
    { 0x2D5042041DDE872D, "idle_animstop" },
    { 0x33FC1E3095E94308, "idle_at_stairs" },
    { 0x9D6D4DF876493370, "idle_check" },
    { 0xC0244416AF228C18, "idle_combat" },
    { 0xD0BFC2805015B075, "idle_crouching_phone" },
    { 0x7FAF6C2B0942AE2E, "idle_enter" },
    { 0x65356CF9343CA9B5, "idle_exfilally_loop" },
    { 0x43923243CA4F6D16, "idle_finished" },
    { 0x391905A73D1407C7, "idle_funcs" },
    { 0xB082DA6ED109B176, "idle_fx" },
    { 0xFBA0C6B7E359A860, "idle_guys" },
    { 0x09C03C62B77D2D05, "idle_hunt" },
    { 0x58059D7700FD24FA, "idle_init" },
    { 0xD9A878214710699E, "idle_monitor" },
    { 0x632542A4EAFFA7A1, "idle_on_reach" },
    { 0x60976A41DA1C6B09, "idle_pilot_loop" },
    { 0xBDC24F8EB312A8F9, "idle_prop" },
    { 0xF4F582B641583FC7, "idle_sfx" },
    { 0x17A50486906EFC4D, "idle_target_trigs" },
    { 0x1AB7A776C3F773A7, "idle_terminate" },
    { 0x527AF761F03A5700, "idle_think" },
    { 0x249B1196796ABA8F, "idle_twitch" },
    { 0x150A998DB2CF7569, "idle_update" },
    { 0xCA804EBAF8181C21, "idle_updatecurious" },
    { 0xD32175773F9FA352, "idle_updateflashlighttarget" },
    { 0x109218F41F0F5E1A, "idle_updatestyle" },
    { 0x20B73024474FB4FE, "idleanim" },
    { 0x42937AC8D44A30E1, "idleanime" },
    { 0x2FC96EC8C79857A8, "idleanime_b" },
    { 0x89201318C0A032EE, "idlecurioustarget" },
    { 0xAC365D71B62DF9E7, "idlenode" },
    { 0xDBE821293DD43866, "idleoccurrence" },
    { 0xD1E6ADA6995A8452, "idlereactanime" },
    { 0xCA9FF8D077D18BBF, "idleresettime" },
    { 0xA835246D545E293D, "idleset" },
    { 0xD8D06875111D962B, "idlespottertime" },
    { 0x5463E9B72854A0EC, "idlestarttime" },
    { 0xE8523DF213BA8028, "idlestate" },
    { 0xA7F636DBEBA0B3DA, "idletimeout" },
    { 0x9D22F5E85DE558D4, "idmask" },
    { 0xD5721AC54252511A, "ied_controller" },
    { 0xBB8EF9E489546EA6, "ied_controller_activation_monitor" },
    { 0x1252A5C0EE2C9A46, "ied_damage_monitor" },
    { 0x3ABE3D7F57F621EF, "ied_enabled" },
    { 0x44E4D09A269C606C, "ied_explodes" },
    { 0x6694F5FB8BCCAB7B, "ied_explosion_action_func" },
    { 0xF0E440E4D9F3C87D, "ied_marked_vo_monitor" },
    { 0x1F6CE3CB7A505BB6, "ied_marker_vfxs_non_overwatch" },
    { 0x161AB1E0ECB63ED8, "ied_pinned_marine_handler" },
    { 0x03DFE1B5DCB19C13, "ied_should_explode" },
    { 0xE5125E37C29D5273, "ied_to_alley_nag_handler" },
    { 0x994ABA4CD1867FF7, "ied_trigger_monitor" },
    { 0x2135F21527DCCC0F, "ied_triggered_by_friendly_convoy_func" },
    { 0x7F95673687EF1B10, "ied_triggered_by_players" },
    { 0xC45F729D6FD0A28F, "ied_triggered_by_vehicles" },
    { 0x7364DB2C2E2DF7D1, "ied_triggering_tag" },
    { 0x08F131A2F27E1867, "ied_triggering_tag_to_repair_tag_mapping" },
    { 0xF4C5A4298F179946, "ied_triggering_tags" },
    { 0x3FB1B6ACAE350FD2, "ied_unique_names" },
    { 0xD0AD397ED648957E, "ied_vehicle" },
    { 0xB0D05EA890F55B12, "ied_vehicle_sound" },
    { 0x85257E311A3CB3E1, "ied_vehicle_spawner" },
    { 0x254DD67E4D1014EB, "ied_vignette_handler" },
    { 0xF12E7F55AFAB5CAA, "iedcanplaydetonategesture" },
    { 0x1EF33421B166F713, "iedcreatecursor" },
    { 0x8CFDBD8F66CE0C87, "iedcursorlogic" },
    { 0xEE2678E9B6DA563D, "ieddetonate" },
    { 0x3D7DF7ED3D8371BC, "ieddetonategesture" },
    { 0x47E756775C4A6C4A, "ieddetonationlogic" },
    { 0xB6F201AA91F56910, "iedfiremain" },
    { 0x68CF84FA8EDF7FA7, "iedplaydetonateeffects" },
    { 0xB00AA7E91F77D44F, "iedrace_init" },
    { 0x510D29FC7C423E1F, "iedrace_interaction" },
    { 0x729CBEAE36161552, "ifcanseeplayer" },
    { 0x915B0448CAFE0E6C, "ifinstealth" },
    { 0x4D3580B43748F777, "ifisalive" },
    { 0x262A7FEC3B7D84E6, "ifselfdestruct" },
    { 0xA7490CD0693D5BEA, "ifshoulddosmartobject" },
    { 0x87933F0461D1D12A, "iftest" },
    { 0xC1E1FD6DA93967F9, "ignorclutter" },
    { 0xE3631DDF0E4CC47F, "ignore" },
    { 0x3E59F58D3DADA3B3, "ignore_all" },
    { 0xEBE03712EC80FA69, "ignore_background_tracers" },
    { 0x387B6BACDF5B4399, "ignore_bullets" },
    { 0x451E10CB340C72B1, "ignore_cooldown" },
    { 0x517E525BEB112E44, "ignore_corpse" },
    { 0xD76CE15129D5CCC8, "ignore_disabled" },
    { 0x7BA2AE4681B705E1, "ignore_enabled" },
    { 0x9363A68C0E28FDD7, "ignore_fire_armor_check" },
    { 0x7AC3151A21410267, "ignore_grenades" },
    { 0x08D0A1BFD21F107F, "ignore_player_for_breach" },
    { 0x4B719E9323A337E1, "ignore_player_silencer" },
    { 0xABE443E1284E1E47, "ignore_players_not_on_roof" },
    { 0x706223EF246C3053, "ignore_spawn_scoring_pois" },
    { 0xFA24CF0EF36351D9, "ignore_stealth_sight" },
    { 0x779A4DB429FCF85D, "ignore_triggers" },
    { 0xCE1BBC7DF9A29AE0, "ignore_until_fob" },
    { 0xECE911BD1287E09C, "ignore_visibility" },
    { 0x8372D6AA2F31829F, "ignoreafkcheck" },
    { 0x2058EA85A4D9EE06, "ignoreaftertime" },
    { 0x9301E9EF06147635, "ignoreaimsets" },
    { 0x7C81E0C83D0A184A, "ignoreall" },
    { 0xCCCDE0928585CE3E, "ignoreallenemies" },
    { 0xD7F4F90CD2D96B85, "ignoreallies" },
    { 0x5DCE589BD55CB938, "ignoreanimdeltacheck" },
    { 0x3664FAF8387DCE63, "ignoreattractions" },
    { 0x99D9F57D824B91DA, "ignoreburstdelay" },
    { 0xFC315ED3FE3A507C, "ignorecharacterduringspawnselection" },
    { 0xF6FD28E3C510FDC8, "ignoreclosefoliage" },
    { 0x18ED3EC8F045F99C, "ignoreclutter" },
    { 0x3CEE6EB3EC5172B1, "ignorecollision" },
    { 0xAE588F264CAC22F4, "ignorecovervalidity" },
    { 0x7C9865D6690EB1BD, "ignored_by_attack_heli" },
    { 0x52BA2EB6A144BBB3, "ignoredamageid" },
    { 0x3A802BA1DE763F55, "ignoredamagesignatures" },
    { 0x99F5E72E82855FB8, "ignoredbycheck" },
    { 0x2D776FFC18672D80, "ignoredeathsdoor" },
    { 0xC539BEB0B98AC304, "ignoreeachother" },
    { 0xAF46595C8364269C, "ignoreentities" },
    { 0x5D58270593ED34DD, "ignoreents" },
    { 0x552BC76C70061D61, "ignoreexitwarp" },
    { 0x55B7E56DC0148773, "ignoreexplosionevents" },
    { 0x6DD58ACF4F95CD1D, "ignorefallback" },
    { 0x7F88C9B9FD10F042, "ignorefalldamagetime" },
    { 0x1AFAD675B1A8897F, "ignoreforfixednodesafecheck" },
    { 0xC9B40AF435A5763B, "ignoregrenadesafetime" },
    { 0xCBCFA2478E60BC04, "ignoregulagredeploysplash" },
    { 0x832AEC9ACA58D0F2, "ignoreimmune" },
    { 0x7727BD4B47C3D095, "ignorekdrstats" },
    { 0x3093545F600EFD27, "ignorelist" },
    { 0x8683316E02DDF9F1, "ignoremarkedents" },
    { 0x63BC00E0867B3F69, "ignoreme" },
    { 0xFBAA95E7119FCE36, "ignoreme_til_player_sees" },
    { 0x2FB21E73098709E9, "ignoremegroups" },
    { 0xE13D535944F2EC77, "ignoreplayers" },
    { 0x3526AB5E5AD30338, "ignoreplayersuppressionlines" },
    { 0xD6997BB79983FF91, "ignorerandombulletdamage" },
    { 0x131E2435298F61ED, "ignorerandombulletdamage_drone_proc" },
    { 0x1179A82888E2D92E, "ignorereset" },
    { 0xACF049417A38119C, "ignoreriotshieldxp" },
    { 0x8D03FFC8E903EDB4, "ignorescoring" },
    { 0x0310EFBA4E2BC1D0, "ignorestomp" },
    { 0xAA2B55F331376F3E, "ignoresuppression" },
    { 0x34C20FC58BF56D81, "ignoretriggerenter" },
    { 0x5FF72CEDFFEA8F41, "ignoretriggerexit" },
    { 0x391B73D448BEE956, "ignoretriggers" },
    { 0xBC240BF7BDEADF45, "ignorevehicleexplosivedamage" },
    { 0x38C660A7E8A57319, "ignorevehicletypeinstancelimit" },
    { 0xCDB96185AC15313E, "ignorevolumes" },
    { 0x0237BD63CDFDC3F0, "ignorewash" },
    { 0xA2BB7373AB91A135, "illumination_flare" },
    { 0x5ABE52F9779D8B44, "illumination_flare_init" },
    { 0xD9BDF6E52A2C216C, "illumination_mortar_friendly" },
    { 0xB7B9A7698B5E462B, "illumination_mortars" },
    { 0x489378EBE413EE56, "illumination_mortars_friendly_init" },
    { 0xE34791E291AA2C0E, "illumination_mortars_init" },
    { 0xEB27458FCB63B586, "image" },
    { 0xB553ED7015DBBF1E, "immediate" },
    { 0xCE55463B0090B27E, "immediatecleanup" },
    { 0x83BE067890C34A4D, "immediatelevelstartsave" },
    { 0x77D4EF613BCC251E, "immune_against_kick_for_inactivity" },
    { 0xA09F417DB633BFF3, "immune_against_repulsor" },
    { 0xA8012440A3757151, "immune_to_melee_damage" },
    { 0x904440049252E3FD, "immunetokidnapper" },
    { 0x88D4BA32A02D79E0, "immunityframe" },
    { 0x0F3AC7DA73441718, "impact_vfx" },
    { 0xAC2B50BBF8842993, "impactfunc_carbon" },
    { 0xA5A8CC4DFA51568C, "impactfunc_explo" },
    { 0x30F868582C971C26, "impactfunc_fire" },
    { 0x409EF21026798DF3, "impactfunc_null" },
    { 0x4444DC9631816D1A, "impactfunc_stun" },
    { 0xE446AB193C32A273, "impactincidence" },
    { 0xC17B952C40B95EA7, "impactinfo" },
    { 0xFA7EC5BACC68D01E, "impactsfx" },
    { 0x2F681721C6576FB7, "impactshoulddestroyent" },
    { 0xCF72F875FC01EA6A, "impacttime" },
    { 0xE867977C14106B3C, "impactvfxentitylogic" },
    { 0x0169B236D55E000C, "impactvfxentityparentlogic" },
    { 0x8DA42C0DA7A8CA65, "impactwatcher" },
    { 0x31D5B6D1469468D2, "impairedkill" },
    { 0x1BE43ADD3CE472D7, "impale" },
    { 0x87C8F3B18D127D64, "impale_cleanup" },
    { 0x034ED54A1FE9D426, "impale_detachaftertime" },
    { 0x0809DBEC789DDFEE, "impale_effects" },
    { 0x8699F2F8695AD2C9, "impale_endpoint" },
    { 0x420ACD8FEDF0A995, "implement_cointoss" },
    { 0xF12FA1C2C3B3E0B6, "impulsefx" },
    { 0xFE708203F60F0524, "ims" },
    { 0x7DD34708E2684910, "ims_hint_displayed" },
    { 0x7CF80F80DEB383FE, "in_afterlife_arcade" },
    { 0xF9DD401D13374BD4, "in_array" },
    { 0x48AD38C05213055F, "in_combat" },
    { 0x453428476594EB88, "in_deathsdoor" },
    { 0xFB70C42207D8EEE2, "in_dynolight_trigger" },
    { 0xC45D27F85DED5398, "in_goal" },
    { 0xD8C9323AE03B0470, "in_inclusion_list" },
    { 0x4726ACC4901D4660, "in_melee_death" },
    { 0xA42FC9D0AC6B3C9A, "in_player_fov" },
    { 0x4B736A99B6F1FA84, "in_position" },
    { 0x978668F1114CA9C5, "in_rain" },
    { 0xC21E69DBD26C066C, "in_realism_mode" },
    { 0xA595F345D1DF05FD, "in_reaper_target_circle" },
    { 0x98DF8762FE0E1A7F, "in_region" },
    { 0x9C4F79A9226705D9, "in_respawn_delay" },
    { 0xE8EF976EF0BE11D6, "in_room_check_func" },
    { 0xFE41232DF7FE3DC5, "in_screen_center" },
    { 0x96DB1995FA1D4D7F, "in_shadow" },
    { 0x31627214F0247082, "in_shadow_origin" },
    { 0xC7A8C3A39F111F30, "in_shadow_thread" },
    { 0x15C7CBFD6061C9BB, "in_spawnspectator" },
    { 0xEFF3FFA233259288, "in_specialist_mode" },
    { 0x737FDB849FDBE83E, "in_use" },
    { 0xC97EA2A305451F73, "in_vr" },
    { 0xBAF53DB401139913, "in_world_scriptables_visible" },
    { 0x50CE945AABC91750, "in_yolo_mode" },
    { 0x06B4DC6FC79310F8, "in_zero_gravity" },
    { 0x0841E112A9DFD134, "inactive" },
    { 0x5874997FFB40D62A, "inactiveextractions" },
    { 0x83249A7F58B4F082, "inactivefunc" },
    { 0x251BC96C85C91314, "inactiveoffhand" },
    { 0x37A0484579884B7D, "inactivevehicles" },
    { 0x3D9689B3DE531850, "inairsincelastkill" },
    { 0xF2525C27E05329AB, "inanim" },
    { 0x8E350E611961CB58, "inantigrav" },
    { 0x7E829B5BD6BAC983, "inbounds" },
    { 0x723E8820B0446205, "inboundsfx" },
    { 0xF412B6F93CD86CE9, "inboundvo" },
    { 0xFFDA31FF351BBA15, "inc_bleedout_counts" },
    { 0x029E84C1DB893306, "inc_downed_counts" },
    { 0xA3CB54AD2DD6EB90, "inc_laststand_record" },
    { 0xF2272C4E39B3E0E8, "inc_revived_counts" },
    { 0xFAC631C4388D166F, "inc_session_stat" },
    { 0xDF40D15D5C457C16, "inc_stat" },
    { 0xA3DE964A087E72AA, "incendiary_attacker_logic" },
    { 0x1C0966D909A43CDB, "incendiary_pickup_watcher" },
    { 0xCBA4AB1E424F729D, "inchopper" },
    { 0xF96D1C399D574169, "incline" },
    { 0xFE2C429603B3419E, "include_default_achievements" },
    { 0xEED9D2BFD60044E1, "incombatspeed" },
    { 0x47A33356371428DD, "incomingallchoppergunners" },
    { 0xD81EAEE38232B923, "incomingallchoppersupports" },
    { 0x472CBCF9A57DEE6A, "incomingallhoverjets" },
    { 0x63B641E30CFBF113, "incomingallremotetanks" },
    { 0x8C3884AAA5D21AAB, "incomingapache" },
    { 0x0258AD83FE82E77E, "incomingcallback" },
    { 0xED7D223CC0114CC8, "incomingchoppergunners" },
    { 0xE6CDE0FE6CAB6D9C, "incomingchoppersupports" },
    { 0xE8D4CDDA299B25B6, "incominghelperdrones" },
    { 0x2BA0A0D050ABEAC5, "incominghoverjets" },
    { 0x1AA970B0954311D8, "incomingmissiles" },
    { 0xFBFD34B12C490D44, "incomingremotetanks" },
    { 0x8116775A2D2425EC, "incomingremovedcallback" },
    { 0x20048B2863B7FE02, "incomming_missiles" },
    { 0x10C5A6285B6DB0B3, "incooldown" },
    { 0xC72A12F02EC140FF, "incorrect_alias" },
    { 0x45D9AA469C046814, "incorrectcodeentered" },
    { 0xD2C3C5FB8D3EEF7C, "incorrectswitch" },
    { 0x2AD878F8B7EB2439, "incpersstat" },
    { 0x22205ADCD0450117, "incplayerrecord" },
    { 0x93C21D3C757D715B, "incranimaimweight" },
    { 0x4730E3B4D9D5DDC9, "incrankxp" },
    { 0xFAAE94379E59DB66, "increase_accuracy_after_delay" },
    { 0xBF96055EFD3DBD27, "increase_attacker_accuracy" },
    { 0x3E071BEBDA383EE4, "increase_damage_scalar" },
    { 0xDD38C932A41BD69A, "increase_delayed_spawn_slots" },
    { 0xAD17435CFE01B77C, "increase_escalation_counter" },
    { 0x1922004C635DBC62, "increase_hp_from_relic_mythic" },
    { 0x3AE938C23EFB8BB5, "increase_lookat_weight" },
    { 0x13EC550A86C6E54D, "increase_max_count_per_kill" },
    { 0xEE02B1AE5F134EB4, "increase_max_dist_and_watch_for_point_crossed" },
    { 0x6C8912F3F409480B, "increase_minimum_escalation_level" },
    { 0xA86A6EF1A8D02808, "increase_player_gun_game_level" },
    { 0x21A1522B1F43A42E, "increase_repair_script_maxdist" },
    { 0x441DA45807373E14, "increase_reserved_spawn_slots" },
    { 0x5FE882235814200C, "increase_script_maxdist" },
    { 0x7D40C19115049AE8, "increase_sequence_tier" },
    { 0x0F716C1E6EEAAE8B, "increase_stealth_meter" },
    { 0x02C86F4B8CDA8060, "increase_stealth_meter_when_approaching_corpse" },
    { 0x2E94F9D3DF8DC44D, "increase_super_progress" },
    { 0x4185263423517AF3, "increase_threatbias" },
    { 0x2B51431F0811975C, "increase_threatlevel" },
    { 0x3F000D926F420136, "increase_total_count_per_module_call" },
    { 0xCD8636FF46BCA505, "increase_wave_ai_killed_counter" },
    { 0xC0A8385504316070, "increase_wave_ai_spawned_counter" },
    { 0xE9840CE1A50BA11C, "increase_wave_num" },
    { 0x65E26D1DBA474136, "increase_x" },
    { 0x6E638F88CB592C2D, "increase_x_coordinate" },
    { 0x385850136E494040, "increase_x_coordinate_new" },
    { 0x65E26E1DBA474369, "increase_y" },
    { 0xAD4955EC6BE122E4, "increase_y_coordinate" },
    { 0xF22E3A4BFDFB1BED, "increase_y_coordinate_new" },
    { 0x65E26B1DBA473CD0, "increase_z" },
    { 0x65F726F20F2F962D, "increasecritchance" },
    { 0x10E7617051A3AF22, "increasecurrentstealthvalue" },
    { 0xE553321DBB3EEA44, "increased_melee_damage" },
    { 0x6F0CEB2E242FF187, "increased_threatlevel_effects" },
    { 0xB6FC6A97BA1C8E0F, "increaseplayerconsecutivekills" },
    { 0x78D54ADD64D927BB, "increment_airdrop_requests" },
    { 0x62FBDF5FE95832CA, "increment_alias_group_index" },
    { 0x500A9B2E2C87B60B, "increment_and_decay_nervousness" },
    { 0xD70F344F65FFBF07, "increment_escalation_level" },
    { 0x346D227A8D373368, "increment_factor" },
    { 0x3B6A17DCC2E646D3, "increment_list_offset" },
    { 0x3F56599D21E1CF09, "increment_num_of_quest_piece_completed" },
    { 0x1A85351AA3F79A1D, "increment_player_career_doors_opened" },
    { 0x2433127A9B8ECC77, "increment_player_career_downs" },
    { 0xABF812D888DF53C3, "increment_player_career_explosive_kills" },
    { 0xD3E44CED9AA47E96, "increment_player_career_headshot_kills" },
    { 0x7BFBD86CFA78EC0B, "increment_player_career_kills" },
    { 0x090DCD844EF73659, "increment_player_career_perks_used" },
    { 0x0008AA7D96FD2790, "increment_player_career_revives" },
    { 0xA3F95A4B9D48C988, "increment_player_career_shots_fired" },
    { 0xF19B30BE83DC090B, "increment_player_career_shots_on_target" },
    { 0x6F0C11AA82540895, "increment_player_career_total_score" },
    { 0x37D63D3781E93B45, "increment_player_career_total_waves" },
    { 0xEE28295733591C20, "increment_player_participation" },
    { 0x088518F124AB816B, "increment_round_number" },
    { 0xC4C64E619C8D46AC, "increment_timer" },
    { 0x5896DAC93B94B37E, "increment_zombiecareerstats" },
    { 0xD41A72DA56D2C53A, "incrementalivecount" },
    { 0xD7355D16634B4FA0, "incrementalrespawnpunish" },
    { 0x6084C447514E868E, "incrementalrespawnpunishmax" },
    { 0xE709B3EE4D128C35, "incrementattachmentstat" },
    { 0x8DA5AC011C6C95C1, "incrementcleanupsstat" },
    { 0x7B3948050541A3E2, "incrementcounter" },
    { 0xDD35DF43CF0F64F4, "incrementequipmentammo" },
    { 0xDA21552223FADBB0, "incrementequipmentslotammo" },
    { 0x5A4BF591584A2685, "incrementfauxvehiclecount" },
    { 0x56F66B72CF162175, "incrementfauxvehiclecountifpossible" },
    { 0x419E110763BDB865, "incrementkillcount" },
    { 0xB5975B8EE6D047F7, "incrementleaderboardstat" },
    { 0x97183E8691127708, "incrementobjectiveachievementkill" },
    { 0x4EA053254706D5BD, "incrementpersistentstat" },
    { 0x333FF380B2CCA507, "incrementplayersdownedstat" },
    { 0x1AE432258D393B47, "incrementrankedreservedhistory" },
    { 0xD0DD88C645628DD8, "incrementweaponstat" },
    { 0xE04E90B63718B2E0, "incvariablestate" },
    { 0x47913F5A52B8E321, "indanger" },
    { 0x8D89DDD67E9EE94B, "indarkarea" },
    { 0x457AF58A90BAB7B0, "indarkvolume" },
    { 0xFBC9E472FB5F4DE9, "independent_hack_defenses" },
    { 0x7C3C01A2112250C7, "index" },
    { 0x6A68FF287946B50C, "index_is_selected" },
    { 0x5530488EECFDFB79, "indexflag" },
    { 0x79C8BA9F17ECC8AD, "indicate_start" },
    { 0x97658B66D9090F19, "individual_canister_think" },
    { 0x2096837C52446879, "individual_target_think" },
    { 0x1522DCBB9FEEACEB, "indonotspawnlootvolume" },
    { 0x4454BD39572F0077, "indoor_event_dists" },
    { 0xA96D61CF74C235E3, "indoor_monitor" },
    { 0x96D5584FD17A96E5, "indoor_sfx_think" },
    { 0xD45542DEE45DA945, "indoor_think" },
    { 0xE47367A796ACA670, "indrain" },
    { 0x5EBF3AD91CE1B023, "inenemybase" },
    { 0xBA3E9CBCD378C321, "ineractivecombatmessaging" },
    { 0x513836BEA30A231E, "infect_allowsuicide" },
    { 0xD490F12F21688C78, "infect_allyrigs" },
    { 0x4C30714CDEFF661B, "infect_awardedfinalsurvivor" },
    { 0xD5F50E64BC13AFF3, "infect_choosingfirstinfected" },
    { 0xE3E20016761F41A7, "infect_chosefirstinfected" },
    { 0x50707CEB6C5953D4, "infect_countdowninprogress" },
    { 0xDC9F464FF4B93F46, "infect_isbeingchosen" },
    { 0x49C93A7A64D4E69C, "infect_loadouts" },
    { 0x27900F3F3455927D, "infect_players" },
    { 0x04497D7D9FF5C2CA, "infect_skipsounds" },
    { 0x21CED68EE92B50B6, "infect_spawnpos" },
    { 0xC1107B65E27DE4E3, "infect_teamscores" },
    { 0x0ED01EFC303C2077, "infectbonusscore" },
    { 0x0C45A60B8EEDEECA, "infectbonussuperonspawn" },
    { 0xD41FA55A21FEDBF4, "infectbonussuperontacinsert" },
    { 0x44C3A51354E9106E, "infected_class" },
    { 0x1F2229139A387515, "infected_music" },
    { 0xCD68D97A883001CE, "infectedairdroppositions" },
    { 0x3D93A6EAAFE477DC, "infecteddisablenvg" },
    { 0x45692833077CE604, "infectedkillsthislife" },
    { 0xD7B8BD809452677B, "infectedlethal" },
    { 0x905A29DA0911BC5E, "infectednightmode" },
    { 0xA92D141C93CB3495, "infectedprimaryweapon" },
    { 0x21780B79724EA521, "infectedrejoined" },
    { 0xA36474C4169F556D, "infectedsecondaryweapon" },
    { 0x22D9D2A900C54574, "infectedsuper" },
    { 0x03217FACFD4E756E, "infectedsupertwo" },
    { 0x39EEEA24EE183734, "infectedtactical" },
    { 0xE23443890AF663A6, "infectextratimeperkill" },
    { 0x1F461A2B59FCBFB2, "infectjugg_setconfig" },
    { 0x874D8A75D2B99E43, "infectparachuteheightoffset" },
    { 0x5D0524E43C547946, "infectsetradaronnumsurvivors" },
    { 0x32951D8C05221729, "infectstreakbonus" },
    { 0x5F029FA1FBA318D9, "infil" },
    { 0x3CFBA43CFEE3B709, "infil_add" },
    { 0x0D5AA3EFD1AF25F4, "infil_anim_type" },
    { 0x3C058C7725B6730A, "infil_car1_catchup" },
    { 0x77584AA4195E58B5, "infil_car1_main" },
    { 0x0E2FF877CFB14BA4, "infil_car1_start" },
    { 0x9C81C6F8A52B1D44, "infil_chopper_dialogue" },
    { 0x6ACEE780B1498F71, "infil_chopper_path_flags_manager" },
    { 0xFE0D01AD03F6EE79, "infil_complete" },
    { 0x9398585813C8880A, "infil_disabled" },
    { 0x9155DF0373CB75CC, "infil_dog1_watcher" },
    { 0x68BF7D685C8FC4B9, "infil_dogs" },
    { 0x970FE540E6D0CE0C, "infil_driver" },
    { 0x057000A7D425B39E, "infil_ended" },
    { 0xEBD855A7DD6452BA, "infil_enemies_attack_logic" },
    { 0x4D0347539FFF7D1A, "infil_enemy_combat_logic" },
    { 0xE2284AD1FEDE51BE, "infil_has_map_config" },
    { 0x8D8F19C0097BCA6A, "infil_heli" },
    { 0x8B99D6F32B208ED1, "infil_heli_alpha" },
    { 0x832DA7ECA0D15DF1, "infil_heli_bravo" },
    { 0xA3F8D3E2B3812577, "infil_heli_cockpit_light" },
    { 0x39F9F7A9C1F3CEFE, "infil_heli_damage" },
    { 0x9A90BF7E81FB2EAC, "infil_heli_delete" },
    { 0xB1FED3A3DEB44B56, "infil_heli_exterior_light" },
    { 0x72BC0761B83BC155, "infil_heli_fill_light" },
    { 0x73B9AD4B4FBDB2ED, "infil_heli_jump_ahead" },
    { 0x553450E7C91FE33B, "infil_heli_kyle_light" },
    { 0x0D2289C85C18B88E, "infil_heli_lights" },
    { 0x0B9A08F7860F1F85, "infil_heli_lights_alpha" },
    { 0x35F1E1BA00E1E5F2, "infil_heli_rim_light" },
    { 0xE0B691F8B7033230, "infil_heli_setup" },
    { 0x95BC723AE8FD17AE, "infil_heli_under_fire_setup" },
    { 0x82B09CCA339E0D58, "infil_heli_under_fire_setup_array" },
    { 0x99943538977259C9, "infil_in_progress" },
    { 0xA02F0B82ED9419CC, "infil_in_progress_buffer" },
    { 0x510AB7DD73D6D7D8, "infil_init" },
    { 0x3E8D450A1E4A8075, "infil_init_spawn_selection" },
    { 0xF49E8EB97C82EAA6, "infil_is_gamemode" },
    { 0xF1CF0A00C251EADD, "infil_is_interactive" },
    { 0x2AB4EB9A10D3FF67, "infil_is_subtype" },
    { 0xF61D065962113753, "infil_is_type" },
    { 0x2B84D7FFB5173EE3, "infil_lbravo_damage_monitor" },
    { 0x717EA6B8E41C2335, "infil_lbravo_is_alive" },
    { 0x5A9C96123B5A5637, "infil_leader" },
    { 0x88755F7B13A7DA4F, "infil_light_dvars" },
    { 0x117B3D0A433A877F, "infil_lightmeter" },
    { 0x80C49DF1A6647539, "infil_name" },
    { 0x122BCD44A19E555E, "infil_plane_vo" },
    { 0xF27E67C85C21959F, "infil_play_sound_func" },
    { 0xA367A3F1CBAAD49D, "infil_player_allow" },
    { 0x6407BC83967AC6BD, "infil_player_allow_cp" },
    { 0x3B44EB27B57FB6B2, "infil_player_array_handler" },
    { 0xE0F1C3BA74E9147A, "infil_player_rig" },
    { 0x8A96628E22D84F1E, "infil_player_rig_updated" },
    { 0x084FFE6C971BEDCC, "infil_radio_idle" },
    { 0x2FAD998CF6EFF79C, "infil_remove_fov_scale_factor_override" },
    { 0x9F52F24CB4488C66, "infil_remove_fov_user_scale_override" },
    { 0x82FD2ACBC0450076, "infil_rope_sfx" },
    { 0xFFC098A5BB0E8CED, "infil_scene_fade_in" },
    { 0x5A8501131B4E20D2, "infil_setup_ui" },
    { 0xD3644DE3AEBF2693, "infil_show_countdown" },
    { 0x0340F09637B3CB08, "infil_spawn_building1_runner" },
    { 0xEA93A25D3C0390AA, "infil_start" },
    { 0x55D393CB24596777, "infil_struct" },
    { 0x50625F4205E0823D, "infil_vignette_anim_type" },
    { 0xFB75AD29EB056F02, "infil_visionset" },
    { 0x61C5CB3BA67C3B56, "infil_wait_for_all_players" },
    { 0x937FAD28E820EDBA, "infil_wait_for_players" },
    { 0x7EB456976B2BB6A2, "infilallfadetoblack" },
    { 0xFFB241D951151D64, "infilallfadetowhite" },
    { 0x51AACF157F099E00, "infilanimindex" },
    { 0x18F6645D7EE72AB8, "infilblackoverlay" },
    { 0xA8694BB1E95E8833, "infilcanusec130" },
    { 0x4D2082EA57A9BEE6, "infilcanuseconvoy" },
    { 0x04189725225B6EC8, "infilcanuseheli" },
    { 0x10A21C86DDD353F6, "infilcanusemap" },
    { 0x330F0EBBA6CF913C, "infilcinematicactive" },
    { 0x6B1351FD6F32695C, "infilcoveroverlay" },
    { 0x5CB2D6109AFABE09, "infilfreefallparachuteaudio" },
    { 0xAC48DB64D26BD2C8, "infilheightcompensation" },
    { 0x9470E265756E2D8A, "infilhelipartnerref" },
    { 0x10AC68C5CC541DA9, "infilheliplayerref" },
    { 0xAA0F41E142B8B8A2, "infilinitonce" },
    { 0x470741658FE7821B, "infiljumpentsspawned" },
    { 0x3A0BB67BDF3C07A1, "infillength" },
    { 0xA3558705C5ECD2BC, "infilparachutevfx" },
    { 0xC1194C4D7DD7D8EC, "infilplaneyaw" },
    { 0xA33CBA1D33ADECB8, "infilsactive" },
    { 0x46BE3D1DE04B7B41, "infilscore" },
    { 0x804331432260A4C4, "infilselectionmethod" },
    { 0x17789D59770604F7, "infilspectatorview" },
    { 0x422EEAABF0D42F7C, "infilstruct" },
    { 0x3F66067B93BF802D, "infiltargets" },
    { 0x3FCCB16C8EF4BFB7, "infilthink" },
    { 0x4BAD9DB8326949D9, "infiltransistioning" },
    { 0x22987AFC33870518, "infilvideocompletecallback" },
    { 0x38822706AE000EEA, "infilvideoplay" },
    { 0x7A9541E30D9640CD, "infilvideopreload" },
    { 0x869187FDB006A2C8, "infilvideowaituntilcomplete" },
    { 0xCB4F018A8DCE0518, "infilvotiming" },
    { 0x4E1E7A878E371FF5, "infilweapon" },
    { 0x318ED8FA32C45613, "infilweaponraise" },
    { 0xFF064BCDB0ACE76A, "infilwhiteoverlay" },
    { 0x08937140D4771D5C, "infinite_ammo" },
    { 0x9AF8428854D0E665, "infinite_chopper" },
    { 0x8D3C2D6D3866C07D, "infinite_drones" },
    { 0xC1E01E40C6A2AB92, "infinite_energy" },
    { 0x419824D1C8AC26B9, "infinite_grenades" },
    { 0xC757D24FF8812E99, "infinite_reserve_ammo" },
    { 0xEE5BFB4C94DDE93F, "infinite_reserve_ammo_not_revolver" },
    { 0xB3640C91F507EB43, "infiniteammo" },
    { 0x4273A1A712CB2535, "infiniteammocounter" },
    { 0x2B312350CACAF5AB, "infiniteammothread" },
    { 0xE66BD76A58A95510, "infiniteammoupdaterate" },
    { 0xBEBD5468FAAC0AFC, "infinitehold" },
    { 0x03632AC98A7AD5DF, "infiniteloop" },
    { 0x9FF718CC828F74B5, "infiniteobjectives" },
    { 0x2D81FD7EA6C24B89, "inflictor" },
    { 0x9790DA1DC4E268DA, "inflictoragentinfo" },
    { 0x3ACAC82841566165, "influencenodealloccounts" },
    { 0x3C99A901C5CD62AA, "influencepoint_add" },
    { 0x734C8062EEEEB7B7, "influencepoint_cleanupthink" },
    { 0x6746BAC1A7614DD0, "influencepoint_getalloccountfromscripthandle" },
    { 0x0C6E279D6C8084C7, "influencepoint_getcodehandlefromscripthandle" },
    { 0x004F828D85061B64, "influencepoint_getnewscripthandle" },
    { 0xBEA61F5AD4E00EA4, "influencepoint_invalidatescripthandlesforcodehandle" },
    { 0x3817BBCCFB17750C, "influencepoint_isscripthandlevalid" },
    { 0x557A2614D391C373, "influencepoint_remove" },
    { 0xAD1E82B62BA4E049, "info" },
    { 0x4C9A45B46F206584, "info_func" },
    { 0xDED5908C67DC0752, "info_notnull" },
    { 0xB9966DCBA2C1A240, "info_player_start" },
    { 0xDFEC33D577950B75, "informant" },
    { 0xC06EC893691774F1, "informant_goal" },
    { 0x85D1865FFC46C742, "informant_onfirstuse" },
    { 0x1D53622B1886E6BE, "informant_onuse" },
    { 0xB9621660389FA7B8, "informattacking" },
    { 0x8F0D9218060D8C35, "informed" },
    { 0xB59CF74AA4F69150, "informincoming" },
    { 0xADE2509BBB96D6E0, "informkillfirm" },
    { 0xA88DD959D8B1F0B7, "informreloading" },
    { 0x9517A92EB6321306, "informsuppressed" },
    { 0x8817C3563B6B4EF0, "inframes" },
    { 0xAEA936CB0D8F3571, "infreefall" },
    { 0x5028D8CCCB8E7A90, "infriendlybase" },
    { 0x3742E631E90BA375, "infront" },
    { 0xBB5C69595ED21020, "ingame" },
    { 0xF7781504CCE66E79, "ingame_cinematic_loop" },
    { 0x07D369CD3CAD4093, "ingraceperiod" },
    { 0x039B8E8FF79E1395, "inhackring" },
    { 0x40C8EAA5ABDECBA7, "inheliproximity" },
    { 0xAD3D69B62BC6FB2F, "init" },
    { 0x0B0D3FF1E73BC5F3, "init_2ndfloor_muzzle_flash" },
    { 0xA2DBACA8B1EC90CA, "init_ac130_vo" },
    { 0x42C4C26DEE000751, "init_agent" },
    { 0xB6B05E5F9F572971, "init_agent_models_by_weapon" },
    { 0xF983EB6EB63855DE, "init_ai" },
    { 0x1CB028D36BEBD532, "init_ai_kill_params_for_events" },
    { 0x114D8E7CECCE3E36, "init_ai_spawners" },
    { 0xF279618EF033413F, "init_ai_spawns" },
    { 0xABE3EA63160D0290, "init_ai_weapons" },
    { 0x8D2732E9FF369A85, "init_aibattlechatter" },
    { 0xAA4F1E51EFDF9500, "init_airdrop_anims" },
    { 0xECE0C7676DECDB6B, "init_airlock" },
    { 0x3177FBD51F1C6951, "init_airlock_buttons" },
    { 0x6F8AF13EADCF47B1, "init_airlock_callbuttons" },
    { 0x8DC5DA03B25010A7, "init_airrop_vehicle_anims" },
    { 0x3BFBF4031DBCD344, "init_airstrike_flyby_anims" },
    { 0x4F3D556A68E41A89, "init_airstrike_params" },
    { 0xCFC88B52B6588B20, "init_airstrike_vo" },
    { 0x85557001122425B7, "init_alarm_system" },
    { 0x5004D21963E6AAAC, "init_all_weapon_upgrades" },
    { 0x60C370C03FCADAB0, "init_ammo_boxes" },
    { 0xFCA812A5ED475794, "init_ammoresocklocs" },
    { 0x0DF94532451B4428, "init_analytics" },
    { 0x2A4988C03F75C08B, "init_and_set_relics" },
    { 0xD747B2FCEA0B6C04, "init_and_start_whack_a_mole_sequence_data" },
    { 0xDE5825EFBC7EFB15, "init_anim" },
    { 0x0C18BAA82F6136BC, "init_anim_dog" },
    { 0xB9DC7916D553FD29, "init_anim_generic_human" },
    { 0xC7DC5082A7A3F7F0, "init_anim_generic_human_level" },
    { 0x561AB3DA9E6E1D84, "init_anim_generic_human_level_civilian_react" },
    { 0xDE3D82428B95236F, "init_anim_generic_human_level_civilian_worker" },
    { 0x50675483A0FAA17D, "init_anim_generic_human_level_execution" },
    { 0xD374C7860F41BC07, "init_anim_player" },
    { 0x9AC744844E903FA3, "init_anim_script_model" },
    { 0xF28367B31419822F, "init_anim_sets" },
    { 0x2AF0A6B27CA71D23, "init_anim_vehicles" },
    { 0x58DD597653589367, "init_animatedmodels" },
    { 0x7AD6D43B8B42E152, "init_anims" },
    { 0x3C7393615237BBEA, "init_anims_generic_human" },
    { 0x650436075D2F37B6, "init_anims_player" },
    { 0x637B655938189F92, "init_anims_script_model" },
    { 0x0D8725E1D2DC4391, "init_anims_scriptables" },
    { 0xB8B0034ED4EF2A2A, "init_anims_vehicles" },
    { 0x262874B73D7CC000, "init_animset_ambush" },
    { 0x0587E5B7EDD4592E, "init_animset_complete_custom_crouch" },
    { 0x2EEC9894AE42ACA8, "init_animset_complete_custom_stand" },
    { 0x47681707A9558C16, "init_animset_cqb_move" },
    { 0x4F3266D7ACE5F4E9, "init_animset_cqb_stand" },
    { 0x811127992007DFF6, "init_animset_custom_crouch" },
    { 0x134BAB83C7329950, "init_animset_custom_stand" },
    { 0x6C9560B6CBFEEB06, "init_animset_death" },
    { 0x580DF2FC56C70818, "init_animset_default_crouch" },
    { 0xF3D813026E8C81C0, "init_animset_default_prone" },
    { 0x35DA44E833D7AC66, "init_animset_default_stand" },
    { 0x43E67DDB78992F77, "init_animset_flashed" },
    { 0x7C3A4F97B639CC62, "init_animset_heat_reload" },
    { 0xBF23844424E76878, "init_animset_heat_run_move" },
    { 0xF85CC3CE9F2A0A65, "init_animset_heat_stand" },
    { 0x469FBE902D12C92C, "init_animset_pain" },
    { 0x41BB6CB1E92F0094, "init_animset_pistol_stand" },
    { 0xF35BD40D739159BA, "init_animset_rpg_crouch" },
    { 0xCCB254F8B245AC74, "init_animset_rpg_stand" },
    { 0xBFBB2B8B80496677, "init_animset_run_move" },
    { 0xC91D48A6B2D8DD29, "init_animset_run_n_gun" },
    { 0x34A03494DE9F0029, "init_animset_shotgun_crouch" },
    { 0x4F2570F21447861D, "init_animset_shotgun_stand" },
    { 0x1B7804BECA15046B, "init_animset_walk_move" },
    { 0xFA8CD1359A7D5C55, "init_animsounds" },
    { 0x65439AF0CBE70E84, "init_animsounds_for_animname" },
    { 0xC9DDC648FF6DEA14, "init_apache_chatter" },
    { 0x7B574D37EDF12469, "init_apache_vehicleanims" },
    { 0xDEE594109FE904EA, "init_audio" },
    { 0x5B4829B7DC0D928E, "init_audio_struct" },
    { 0x7B638AF9DAB9D48E, "init_auto_crouch" },
    { 0xD1BBCEC49E07194D, "init_b_side_wall" },
    { 0x8444B815010D1161, "init_ba_objective" },
    { 0xE34F79AC616ADA3C, "init_ballistics" },
    { 0xE9F176E6BB5DE9AE, "init_bank_interactions" },
    { 0xA3B05F083D9178D7, "init_battlechatter" },
    { 0xA1B2340E71F108F0, "init_bg_tracer_fx" },
    { 0x55D6156A48FDE1B2, "init_binary_puzzle" },
    { 0x96A10B64DC84D78F, "init_blackbox_interaction" },
    { 0xADB1DEE987D45091, "init_block_puzzle_interaction" },
    { 0x55EEB1DC91BB2280, "init_bomb_objective" },
    { 0x90A03A9708416D6F, "init_bomb_sites" },
    { 0x2FDAE63013FDDEE9, "init_bombs" },
    { 0x93B77BC86DE39C6E, "init_bot_archetypes" },
    { 0x382240F8418C5FC5, "init_bot_attachmenttable" },
    { 0xC2465B01AD197162, "init_bot_camotable" },
    { 0x3BC333CEC41B86E8, "init_bot_game_ctf" },
    { 0x73FFEC34B04D4356, "init_bot_game_cyber" },
    { 0x40260BA611AA68AB, "init_bot_game_demolition" },
    { 0xFB51006A59B3785A, "init_bot_game_headquarters" },
    { 0x0EC6477B858473B9, "init_bot_weap_statstable" },
    { 0x69698494C5180F52, "init_box_interaction" },
    { 0xC6D18AB5F6941255, "init_br_jugg_setting" },
    { 0x57AB7488688DB29F, "init_br_rewards" },
    { 0x758A2DB9B712A496, "init_bravo_gate" },
    { 0x4306B2E1045708C1, "init_breakout" },
    { 0xC89FC293BBB1746C, "init_building_flags" },
    { 0x23B36215F1B79393, "init_building_num" },
    { 0xC6824570BAE87775, "init_buttons" },
    { 0xF98CC66EB642232D, "init_c6" },
    { 0x77969B71920EFF08, "init_callbacks" },
    { 0x965EC86304372D3E, "init_callout_vo" },
    { 0x563F54779FA80F28, "init_camera_interaction" },
    { 0x1237DC071BC9D652, "init_cardprinter" },
    { 0x3FE5A508D06B62C4, "init_carepackages" },
    { 0xBC21323F2570A139, "init_cctv_anims" },
    { 0x8BBF2F6CAADA3301, "init_chatter" },
    { 0xE068FCB5EFC8641D, "init_checkin_weapons" },
    { 0xBA629BF3DEFEB40D, "init_chopper_boss" },
    { 0x2085FC9C76282ABC, "init_chopper_boss_battle" },
    { 0xC8EBC3A85A19CF51, "init_chopper_lights" },
    { 0x7065509114C3A5FB, "init_chopper_support" },
    { 0x5999D4164E8FCE33, "init_chopper_support_vo" },
    { 0x2F8C1A1C003D2781, "init_chu_fire_lights" },
    { 0xAAAA0D41F08D96A3, "init_civchater_vo" },
    { 0x6A5BE335C0A3486C, "init_civilian_props" },
    { 0x47889CE5844D4E58, "init_civkill_vo" },
    { 0x8484E92065853EC3, "init_civs" },
    { 0xD368509BFE7FA572, "init_class_changed_values" },
    { 0xD192D9F79225624F, "init_class_table" },
    { 0x233DB6624350A9FF, "init_client" },
    { 0x0DA46A275FDAE9F7, "init_cluster_parent" },
    { 0x8A7C0F42059373B3, "init_collect_nuclear_core" },
    { 0x02BA8E739464AC0D, "init_color_grouping" },
    { 0x06508C0770225B9C, "init_colors" },
    { 0x619FD9217E67DE47, "init_complete" },
    { 0x23B9F92A6D07EC40, "init_computer_anims" },
    { 0x6FAFDE1004C2C5FD, "init_consumable_meter" },
    { 0x6FE9AA53AD673B10, "init_consumables" },
    { 0xB79B005CD0F7895F, "init_consumables_earned_score" },
    { 0x9AC82DE3ADCEB4CF, "init_consumables_earned_score_component" },
    { 0x1C4B256DF61D17E8, "init_consumables_used" },
    { 0xFB97DD8433B99BE6, "init_coop_escort" },
    { 0xAC69D671A9ACC613, "init_core_mp_perks" },
    { 0x5B55C014D00B8976, "init_corner_wall" },
    { 0x4CA1EE6533C32AC6, "init_corner_wall_building_b" },
    { 0xB11BAC5282D32194, "init_corpse" },
    { 0xBC7DE0C7958A043F, "init_count" },
    { 0xF98D006EB642A2BB, "init_cp" },
    { 0xC00B3C5DFFA435FB, "init_cp_3_doors" },
    { 0xAC776617A58B3D85, "init_cp_5_doors" },
    { 0x0E969562F7B5E7A9, "init_cp_aiparachute" },
    { 0x0C87560CBEC99F1A, "init_cp_execution" },
    { 0x5F93CCACABDCD7D5, "init_cp_hud_message" },
    { 0x1E8E078D5CEAAC94, "init_cp_vehicle" },
    { 0x91B3B5511581986F, "init_craftingsystem" },
    { 0x722D54594263F604, "init_crate_type" },
    { 0x3982D09ADC24C2D7, "init_create_fx" },
    { 0xB64E67B125E6B4BE, "init_create_script" },
    { 0x13B4A240CF609BCB, "init_create_script_for_level" },
    { 0x271688F72DD7F7EA, "init_createfx" },
    { 0xAC14608432D32164, "init_crosshair" },
    { 0xF89707836209D9A9, "init_cs_ents" },
    { 0x2D9F2C4E222F2C83, "init_cs_oob_triggers" },
    { 0x1A7AAC235F0822F6, "init_cursor_hint" },
    { 0x855EEA7BE15EB95D, "init_cutout_anims" },
    { 0x7AC683449547CCC6, "init_damage_callback_data" },
    { 0x403BFCC4E5314000, "init_damage_score" },
    { 0xF25F82B443080888, "init_damage_score_component" },
    { 0x1532AA8B88F7A99F, "init_damageable_start_door" },
    { 0x2C1CDF0583E4E464, "init_death_animations" },
    { 0x98FD8305C36E49EC, "init_deathfx" },
    { 0xAB19238439B75C7F, "init_defend_global_spawn_function" },
    { 0xC66EF13560861077, "init_demo" },
    { 0x55D4DE01068F490C, "init_destroy_c130" },
    { 0x16DD3C8F74672C6E, "init_destructible" },
    { 0x599C058734137566, "init_destructible_perimeter" },
    { 0xE7590798FA638B27, "init_destructible_roof_walls" },
    { 0x7D0E3016FDAF225C, "init_destruction" },
    { 0x2904C6242C9114A1, "init_dev_hud" },
    { 0x38FD2CAEF0029621, "init_dialog_structs" },
    { 0x20B5D87ADD80BA8A, "init_dog" },
    { 0xBBDEC9CB2EDB9DD9, "init_donnas" },
    { 0x5BAE2E6C9B1FBD3E, "init_door_ent_flags" },
    { 0x1651B3409D79C9C8, "init_door_internal" },
    { 0x6F368D484A1E68CE, "init_door_state" },
    { 0x607401D9A876F969, "init_doors" },
    { 0x394679D3D326AC5D, "init_drone_strike" },
    { 0xF3712214F9B6C1D4, "init_drone_vo" },
    { 0x2DEDB14FE1CD39FA, "init_drop_locations" },
    { 0x12537704A69C56DA, "init_dvars" },
    { 0x953D65A5AA98FF4F, "init_dynolights_state" },
    { 0x7EDFF6504369B12E, "init_each_perk" },
    { 0x44FF6A438471A7B5, "init_earthquake" },
    { 0xF9C3E01117623BDD, "init_earthquake_for_client" },
    { 0x112F0BEDDC912611, "init_easter_eggs" },
    { 0x803130AD08AEC2C2, "init_elevator" },
    { 0xC4F5A0B693ECA1D4, "init_elevator_animations" },
    { 0x3E90AEDC68073243, "init_emp_damage_data" },
    { 0x9A263F36C88EDE45, "init_encounter" },
    { 0x793264CBB0B76B45, "init_encounter_score_components" },
    { 0x90FB3B7B1232B0C2, "init_encounters" },
    { 0x7F616689F227F509, "init_ending_lights" },
    { 0x99726C4CE6A030B3, "init_enemy_spawner" },
    { 0x6F641A2865EF6337, "init_enemy_type_tracking" },
    { 0xB53AA699DC20D1C0, "init_ent_flag" },
    { 0xF2B80918C2E44CA5, "init_eog_score_components" },
    { 0xCE75B68FCBDFF0EE, "init_equip_disguise" },
    { 0xED502FAF01115F88, "init_equipment" },
    { 0x6C07260BBFB7835D, "init_escalation" },
    { 0x40811CB60168639D, "init_escalation_battlechatter" },
    { 0xA1B346C5ABAA65CB, "init_escape_maze" },
    { 0x78EABE082A5D40C5, "init_escape_silo" },
    { 0x3FD7C97811C3BAA3, "init_event_distances" },
    { 0xE898CD8B7E3AD8A4, "init_exfil" },
    { 0x737EF4B97212263D, "init_exfil_anims" },
    { 0x0FB4FFF4221361B1, "init_exfil_plane" },
    { 0xC5FF535C152FD326, "init_exit_doors" },
    { 0xD5441966D80E64B2, "init_exploders" },
    { 0xDB035C6617B1F9D4, "init_exposed_turn_animations" },
    { 0x1661D05E0329E6BB, "init_extra_xp" },
    { 0x5BACB0FFE9E2A688, "init_extract_lz" },
    { 0xECD26100544E52C1, "init_extraction" },
    { 0x7B35EAB8A7740CD1, "init_fake_magic_grenades" },
    { 0x1030D83040408FF2, "init_fallback_triggers" },
    { 0x6A9B9FCA92688561, "init_fan_blades" },
    { 0xCBA329F23022FCB5, "init_find_hvi" },
    { 0x7DB55FA3116F41FB, "init_first_button" },
    { 0x7B5A82A8D7D12863, "init_flags" },
    { 0x1A4A5581B34D7E93, "init_flavorbursts" },
    { 0x79A24F42746F810C, "init_flicker_and_siren_lights" },
    { 0x758EB6DB8B591D99, "init_floor_enemy_info_table" },
    { 0x3E123F7AF326452F, "init_fob" },
    { 0x5CE3291E44B7E5AD, "init_footstep_fx" },
    { 0xEB459901BAE652EF, "init_footsteps" },
    { 0x9775B73BEDAD94D8, "init_for_final_sequence" },
    { 0x51B5D9C74B7E8E61, "init_freight_lift" },
    { 0xAA8645AEB844AE2C, "init_front_wall" },
    { 0x39A2696527ADE066, "init_func" },
    { 0x6E0DDE764363CE2F, "init_funcs" },
    { 0x0F819DA5873A30A3, "init_function_refs" },
    { 0xF999FA6EB650AA0E, "init_fx" },
    { 0x8CE785D58D9B448B, "init_fx_thread" },
    { 0x9D87A5C4D43B41F6, "init_gamer_profile" },
    { 0x4FA0B80910EBBE58, "init_gamescore" },
    { 0xD2829BC0A5329A13, "init_gameskill" },
    { 0x0269FDF9A1AF9759, "init_gas_escape_vo" },
    { 0x4E139678C8EC759F, "init_gas_masks" },
    { 0x42BA40B56488E82B, "init_gas_trap_cloud" },
    { 0xB973397BE82CEF54, "init_gas_trap_cloud_parent" },
    { 0xA6840F6BD4DA1239, "init_gas_trap_damage_triggers" },
    { 0xB0389F111F549085, "init_gas_trap_room" },
    { 0x88BCF23E8E514C02, "init_gas_vents" },
    { 0x4CBAB2BEA452B161, "init_gasmask" },
    { 0x93D12E18C54EE39A, "init_gastrap" },
    { 0x282EAF0B584B3CFC, "init_gates" },
    { 0x4D9B1D1E79620CE8, "init_gibbing" },
    { 0xF6A4688117934A9C, "init_glass" },
    { 0xD239A082B8023307, "init_global_cp_flags" },
    { 0xBC12558496D72E4F, "init_global_cp_script_funcs" },
    { 0x9FEAA71F7D4894D2, "init_global_dvars" },
    { 0xE719F3A0585D5E84, "init_global_omnvars" },
    { 0xE78E19A4237CCB31, "init_global_precache" },
    { 0xBC92CCB4D8A078DE, "init_global_systems" },
    { 0xF85C78A821A09831, "init_global_variables" },
    { 0xBA3626011F16DEB3, "init_glowstick" },
    { 0xB220106E32C72EA4, "init_go_to_the_prison" },
    { 0xFFA91B571B737DCE, "init_gravity" },
    { 0x4586F1B5091D6909, "init_graycard" },
    { 0x3B4DE5EBD35FB8E8, "init_grenade_animations" },
    { 0x0EAF9A7F342D1924, "init_ground_vehicle" },
    { 0xB728062394EA6628, "init_grounds" },
    { 0x7CCB519D2BA46C1A, "init_groundwarvehicles" },
    { 0x4EE606FD34527122, "init_gun_checkin" },
    { 0x57805FDE77800438, "init_gunship_intro_anims" },
    { 0x6F843CD917A0DC5A, "init_gunship_vo" },
    { 0xDE490B4BE02D51DB, "init_hack_console" },
    { 0xD4C59162E9D9A7D6, "init_hacking_consoles" },
    { 0x76B515B11FCF2B9A, "init_hacking_consoles_internal" },
    { 0x0A2487F5CC6F715C, "init_hacking_table" },
    { 0x3A54BF99654FB9E5, "init_hangar_vehicles" },
    { 0x462AB69015635B85, "init_headshot_ammo" },
    { 0x38CEF6567FB95DE2, "init_headshot_super" },
    { 0x70516E830DF27839, "init_helicopter" },
    { 0xF58E5437AC3E8ABE, "init_helicopters" },
    { 0xD6192EC1382F5060, "init_help_responses" },
    { 0xE2DCDB167F7705FB, "init_helper_drone_anim" },
    { 0x46897DBF1269FEE9, "init_helper_drone_vo" },
    { 0xBCF472A45654E0EE, "init_hints" },
    { 0x2026F079861EF0B4, "init_hit_damage_data" },
    { 0x3233A9DC33E632F7, "init_holdout" },
    { 0xAF00F23AA469159A, "init_hostages" },
    { 0x6011DE0C7117BCB3, "init_hover_jet_anims" },
    { 0xDB547D65AB0B01E8, "init_hover_jet_vo" },
    { 0xF54375969CBF47BE, "init_huds" },
    { 0x89946B3B04A23C79, "init_human" },
    { 0xA722BC359E799573, "init_hunt_regions" },
    { 0x63BB24E740120975, "init_infectgroundwarvehicles" },
    { 0x77D5465BD0A42FFE, "init_infil" },
    { 0xC42FBF242F7F220B, "init_infil_plane" },
    { 0x8083245C93F47080, "init_intel" },
    { 0xA561F969FAFA6FFA, "init_intel_pieces" },
    { 0xC84E306CFAC8A6B1, "init_interactions" },
    { 0x7DD21CFF3041E291, "init_internal" },
    { 0xD5768A745868A112, "init_interrogator" },
    { 0xE9479D6F2F7A2F67, "init_intro_anims" },
    { 0x11CD10C79A3EC27E, "init_intro_armor" },
    { 0xA16C9BE63BB92EB2, "init_intro_heli_anims" },
    { 0x8913CB9B26CAFA9C, "init_intro_obj" },
    { 0x4D5E73DE9919ACAE, "init_introscreen" },
    { 0x55784479FE1C5D07, "init_jugg_maze" },
    { 0x74AE4FEA25D17C87, "init_jugg_vo" },
    { 0x43DB6E7C60DB7B8B, "init_juggernaut_damage_states" },
    { 0x867C017B282FB26F, "init_key" },
    { 0xD301C03706C964D0, "init_keypad_display_digits" },
    { 0x84B4F13FD09F8052, "init_kidnapper_combat_loop" },
    { 0xE6E5F2913A64F874, "init_kill_tunnel_spawns" },
    { 0x2EDF9C6FF8D88B5E, "init_killstreak_data_for_challenges" },
    { 0x33DBB575BFE4334D, "init_lab_lights" },
    { 0xDFA35095C968C10E, "init_land_at_lz" },
    { 0x5C1A9D7A40F76AC3, "init_laser" },
    { 0xABC7F76E260C32F7, "init_laser_panel_anims" },
    { 0xE837732BD000967F, "init_laser_trap" },
    { 0xB288555A7149FC64, "init_laser_traps" },
    { 0x2C49C57DC097FE50, "init_laststand" },
    { 0x8E5C745B85BA7131, "init_laststand_anims" },
    { 0xCB2D6B48D8CF39AC, "init_lbravo_spawn_after_level_restart" },
    { 0x4AF8101BCF7482FD, "init_leave_cave" },
    { 0x96860E69B9B69BA4, "init_lethal_boxes" },
    { 0x34B7AE1794122956, "init_level" },
    { 0x4E34E646D503E9DF, "init_level_drop_structs" },
    { 0xCC75D0D6E08B4633, "init_level_systems" },
    { 0x5ADB134821285C6C, "init_level_variables" },
    { 0xF7E6EA31E601CB04, "init_light" },
    { 0x4D8962E5D04CA227, "init_light_destructable" },
    { 0x5D1D7D0634CE65EB, "init_light_flicker" },
    { 0x080D427A4CD39524, "init_light_generic_iw7" },
    { 0x0E6F81511048EF08, "init_light_pulse_iw7" },
    { 0x156124F733679057, "init_light_trig" },
    { 0xAEDE17F6E7E927E9, "init_light_type" },
    { 0x398F1FE0642B3154, "init_lighting" },
    { 0x3D83352826F3AFC5, "init_lighting_dvars" },
    { 0x32A082BCD5F276B5, "init_lights" },
    { 0xF462A3B3E7301550, "init_loadout" },
    { 0x36645873488DB820, "init_loadout_selection_structs" },
    { 0xB35B3000C9561E4B, "init_local" },
    { 0x7ADB7EB81F89E797, "init_location" },
    { 0xBA9F92ED5C48FA6C, "init_locations" },
    { 0x168BA66ED4E465B3, "init_locked_list" },
    { 0x990626B1C61F0CF6, "init_lone_patroller" },
    { 0x15A414EE44CB0C5A, "init_loot" },
    { 0x5ABE35FC6EFEE9A9, "init_loot_scriptables" },
    { 0x8131AEDD1B058EB7, "init_loot_structs" },
    { 0xCB996DEAB19B7441, "init_low_vent_covers" },
    { 0x97557BC1DC62A00E, "init_manipulate_ent" },
    { 0x94ECF29B6C0C3D4A, "init_manned_turret" },
    { 0x53EF6958E61B7D82, "init_manned_turret_settings" },
    { 0xE949DD1FE2093DE3, "init_manual_turret_settings" },
    { 0x8C44BA764D3C4A1D, "init_manual_turret_vo" },
    { 0x423A4FB0980E3A43, "init_map_data" },
    { 0x757CD276FCCCB791, "init_marine_arrays" },
    { 0x4BFD2A1D711F8389, "init_marquees" },
    { 0x22E11C0A25690201, "init_matchdata" },
    { 0x24309E93F49692E7, "init_max_yaws" },
    { 0xA2F51141D6A57DE9, "init_meet_with_informant" },
    { 0x36B6FC0A7D4B7EF7, "init_menu" },
    { 0x9FEACF118D073C4C, "init_menus" },
    { 0xC0FB740539AC2FFF, "init_mgturretsettings" },
    { 0x49D1CAA6BE2C67EE, "init_mine_caves" },
    { 0xC0EA20EA78D2BC0C, "init_minigun_lifetime_shot_count" },
    { 0x84FBD7A0E71E6E43, "init_mission_select" },
    { 0x8FA5FFCD9B904252, "init_mission_select_new" },
    { 0xBC89A77858BFED4E, "init_ml_p1_intel" },
    { 0xB09CF9942E0C35B8, "init_ml_p3_intel" },
    { 0x1D2CCB6A6CA029F5, "init_ml_p3_intel_2" },
    { 0x1D2CCA6A6CA027C2, "init_ml_p3_intel_3" },
    { 0x903296888AF9F9F2, "init_mocap_ar" },
    { 0x68EE8050FC45A6C9, "init_mod_damage_data" },
    { 0xD98C1C97D60BCE17, "init_modern" },
    { 0x1C791BEA20375D5E, "init_modular_spawning" },
    { 0x2702C831DA7500CA, "init_modular_spawning_flags" },
    { 0xD49FEFAD150A0888, "init_molotov_throw_targets" },
    { 0x58D5098A7C2877EB, "init_money_earned_score" },
    { 0x0341F5B372C0387B, "init_money_earned_score_component" },
    { 0x03C62D1F4AC8D394, "init_move_transition_arrays" },
    { 0x3D62E1D37A2ECA5C, "init_mover_candidates" },
    { 0x60FC0535EE0D1472, "init_moving_turn_animations" },
    { 0xF9B8FC6EB6730055, "init_mp" },
    { 0x44EDC4406CF74667, "init_mp_faridah" },
    { 0xCCDA99D6BE8155FA, "init_munitions" },
    { 0xAB70781E2DD64BBA, "init_nerf_scalar" },
    { 0x4FF10141B087C7E3, "init_notetracks_for_animname" },
    { 0x3BB21CA03B1690E2, "init_nuke_vault" },
    { 0xADC1AACC64B0E4DB, "init_nuke_vault_oil_puddles" },
    { 0xAAB260E90587C6E1, "init_nuke_vault_scriptables" },
    { 0xAF697ED4D3166918, "init_objective_colors" },
    { 0x026A37165C4B3DF0, "init_objectives" },
    { 0x57032AB0A420C9F2, "init_onlookers" },
    { 0xF56BDEA95B17D116, "init_oscilloscopes" },
    { 0xC701E40DE7EDA66C, "init_out_of_bounds_triggers" },
    { 0xFF66D95D4EF38641, "init_overwatch" },
    { 0xEEA92EDD441749E4, "init_pac_sentry_vo" },
    { 0x725A9A5F0AF65380, "init_pain" },
    { 0x157C83792A7BDB0E, "init_paratroopers_spawners" },
    { 0x08C987BC53C8BC99, "init_passive_below_the_belt" },
    { 0x71E77DB4660E3E14, "init_passive_berserk" },
    { 0x12CCB8AD437B41A0, "init_passive_cold_damage" },
    { 0x69B5E0226FF5BC48, "init_passive_crouch_move_speed" },
    { 0x476F08FB095D9498, "init_passive_double_kill_reload" },
    { 0x9C144484ABF8B5F8, "init_passive_double_kill_super" },
    { 0xF31E59101540BD05, "init_passive_empty_reload_speed" },
    { 0x31C736FC07D57947, "init_passive_fast_melee" },
    { 0xBA12C2911693F9D2, "init_passive_fortified" },
    { 0xD4CC749A8AE9D3AD, "init_passive_gore" },
    { 0x2BFA291D27920AA5, "init_passive_health_on_kill" },
    { 0x36DE6FCABC75FE7B, "init_passive_health_regen_on_kill" },
    { 0x5AEF46077B968971, "init_passive_hitman" },
    { 0x00892E11039901D6, "init_passive_hunter_killer" },
    { 0x10E3A6A8A6B5628C, "init_passive_increased_scope_breath" },
    { 0x41CF826440ED98AD, "init_passive_infinite_ammo" },
    { 0x754FDD2381D57286, "init_passive_jump_super" },
    { 0x2DB050DB5A4162BB, "init_passive_last_shots_ammo" },
    { 0xF1835A3733A94F00, "init_passive_melee_cone_expl" },
    { 0xC83A17F93690456B, "init_passive_melee_kill" },
    { 0x21330C22516FD526, "init_passive_melee_super" },
    { 0xE33DF118E67F6FBB, "init_passive_minimap_damage" },
    { 0xB884B093502BA871, "init_passive_miss_refund" },
    { 0x2B7133801547EF77, "init_passive_mode_switch_score" },
    { 0x86452A019F85DA67, "init_passive_move_speed" },
    { 0xFE38D976C41937BE, "init_passive_move_speed_on_kill" },
    { 0xCB5A23A6E32F8E4A, "init_passive_ninja" },
    { 0x412B45C3DE5E764B, "init_passive_nuke" },
    { 0xE7DC83929AA41A17, "init_passive_railgun_overload" },
    { 0x1FCF717A99425C6F, "init_passive_random_attachment" },
    { 0x4CAB9945A5D1C7A7, "init_passive_random_perks" },
    { 0xC0D002A1249C6E35, "init_passive_refresh" },
    { 0xAA919F6464B8BC31, "init_passive_scope_radar" },
    { 0x31D5B1CA554C3A3E, "init_passive_score_bonus_kills" },
    { 0x173A20AE4CD27322, "init_passive_scorestreak_damage" },
    { 0x6C2CCBEA18AA35A8, "init_passive_scoutping" },
    { 0xE2F38F5F2A4A04AD, "init_passive_scrambler" },
    { 0x61924384EA6FBA16, "init_passive_sonic" },
    { 0x750673652C4C7D43, "init_passive_visor_detonation" },
    { 0x5C66EF6FEF959811, "init_passive_wave_struct" },
    { 0xF58BE37EB81C3866, "init_patches" },
    { 0x72079E5F0A9BB857, "init_path" },
    { 0xBB648F43028EFE59, "init_perimeter_lights" },
    { 0x13A57C8AD2D842E8, "init_perktable" },
    { 0xDFDB9A3C7DF001D2, "init_personal_ent_zones" },
    { 0x881DE01FF64E0F07, "init_personality_camper" },
    { 0x1DC6FCD0DA1C5A3A, "init_personality_default" },
    { 0xF436C32F30EF840D, "init_petrograd_bsp_patch" },
    { 0x9CBF83DB44E5C080, "init_pipe_room_obj" },
    { 0xEDC43A0D3D4F0787, "init_pipe_traps" },
    { 0x01EE6BC506341026, "init_placed_equipment" },
    { 0xA8C7674AD9ED6A67, "init_plane_anims" },
    { 0x6B9CD76146495863, "init_plant_jammers" },
    { 0x3ADBE7E1B94F0645, "init_player" },
    { 0x24C06F0222A37BC5, "init_player_achievement" },
    { 0x76AFD7B22D891142, "init_player_achievements" },
    { 0x273A35A14E6C23A6, "init_player_animated_death" },
    { 0xF62657A92A2FE7A2, "init_player_body" },
    { 0xE556650D0BDCF69E, "init_player_characters" },
    { 0xE2A8C35D2744C5D1, "init_player_clips" },
    { 0xDC9EDB2D003F9BBA, "init_player_consumables" },
    { 0xA0EA403F2F282C5C, "init_player_death" },
    { 0xDD00A513D4C9EDAD, "init_player_death_monitor" },
    { 0x906482F523078664, "init_player_falling_anims" },
    { 0x3B39C834E23C7D40, "init_player_gameobjects" },
    { 0xE709819136AF178C, "init_player_health" },
    { 0xADD33B6BC3274079, "init_player_monitors" },
    { 0x0228D0BA20386A24, "init_player_plane_exit_anims" },
    { 0x8F9110D5C37791C0, "init_player_rig" },
    { 0xE4607131AB5A9C5A, "init_player_rig_no_precache" },
    { 0x108BA69CC0D51CF7, "init_player_rig_script_anims" },
    { 0xAFC90D868A59E1DC, "init_player_score" },
    { 0x4E96F41C46328D37, "init_player_seated_anims" },
    { 0x8A82BF28C26242DC, "init_player_seating_anims" },
    { 0x9BC255D2067317B2, "init_player_sessiondata" },
    { 0x23484B742A8D47F1, "init_player_suppression" },
    { 0x4C2A354E176B1C9E, "init_playerchatter" },
    { 0xC65AEBB0411F680C, "init_police_helpresponses" },
    { 0xFDD3B87A08024B4A, "init_pos" },
    { 0xAFD740C239FFE76E, "init_post_bsp_entities" },
    { 0x58BCF191CEAB9F47, "init_post_bsp_fx" },
    { 0x6411487691594FB6, "init_post_flags" },
    { 0x6D1461F33E53D596, "init_postspawns" },
    { 0xBBD990FC93458DF6, "init_pre_vault_assault" },
    { 0x7304316F6C5E200D, "init_pre_wave_spawning" },
    { 0x1F0E552039A9C339, "init_precache" },
    { 0x298AC06B230203C4, "init_preset_solutions" },
    { 0x4485A0D732427CA3, "init_price_attic_lights" },
    { 0xBFA8609A3B7398CC, "init_price_intro_lights" },
    { 0x4FC846D82B9CC5C1, "init_pulse" },
    { 0x987DF45B8AA880B8, "init_pushable_minecart" },
    { 0xA104125FE8173469, "init_pvpe" },
    { 0x32D564EB6AACAF3F, "init_pvpve" },
    { 0x5FAF6683D142BEF6, "init_quest_system" },
    { 0x66C6BE3A791D6F13, "init_quest_util" },
    { 0xD2A80CB89B7CE9F4, "init_radar_activate" },
    { 0xECA49C6A14901A59, "init_radio_tower" },
    { 0xAE62ACBF00C2EA9D, "init_rallyvehicles" },
    { 0x29F951BF4F9E4B85, "init_range" },
    { 0x5F94222F9AFDA91F, "init_range_target_show_damage" },
    { 0xAE5AF8F1E9979924, "init_range_targets" },
    { 0xED9ABDBC19210E02, "init_ranges" },
    { 0xC338E2F6A93C6C5C, "init_reach_drop_zone" },
    { 0xCF63822BC93CA817, "init_reach_exhaust_waste" },
    { 0x9ABEF1D1931377B1, "init_reach_icbm_launch" },
    { 0x2832D5E40D255D6E, "init_reach_lz" },
    { 0x1E68517C57620AE2, "init_reach_pipe_room" },
    { 0x0F843A2971D1A380, "init_reach_wind_room" },
    { 0x07512CD4B8B0A9A1, "init_recover_nuclear_core" },
    { 0x0B5BAF64CF91F9F8, "init_reflection_probe" },
    { 0x8E38D993CBE0550F, "init_relic_aggressive_melee" },
    { 0x593B6745B4AD3EF7, "init_relic_ammo_drain" },
    { 0x3B8CE772F9156FF3, "init_relic_amped" },
    { 0x54F7F9F02B660956, "init_relic_bang_and_boom" },
    { 0xA74EFDD9FC668EFF, "init_relic_boom" },
    { 0xC2F6C349BB6F9F8B, "init_relic_catch" },
    { 0x0C03E8CD354D6798, "init_relic_collat_dmg" },
    { 0x2B940996709B28B4, "init_relic_damage_from_above" },
    { 0xD9E55AC1DA23DC59, "init_relic_dfa" },
    { 0x1B54C3D3B1DB5A57, "init_relic_dogtags" },
    { 0xBE40A58C46C5C44B, "init_relic_doomslayer" },
    { 0x55049DCDE19200E6, "init_relic_doubletap" },
    { 0xC90B2792C87192CB, "init_relic_explodedmg" },
    { 0xDD2A70BA2B614996, "init_relic_fastbleedout" },
    { 0x48349F52E91A006D, "init_relic_focus_fire" },
    { 0x2B20A8FE7226F301, "init_relic_gas_martyr" },
    { 0x8743B9D18007B865, "init_relic_glasscannon" },
    { 0xEB5D57CA013ED0E6, "init_relic_grounded" },
    { 0xAE517F290B363A11, "init_relic_gun_game" },
    { 0x4BE362C7DD15AFFB, "init_relic_headbullets" },
    { 0xED52EE89BEB5D988, "init_relic_healthpacks" },
    { 0x9C21C9F61F982D95, "init_relic_hideobjicons" },
    { 0x089D096F2A34DB2F, "init_relic_landlocked" },
    { 0xBEDD4D3B1FE10174, "init_relic_laststand" },
    { 0xC087A0B43DD96F00, "init_relic_laststandmelee" },
    { 0x4CDFACC22E06263F, "init_relic_lfo" },
    { 0xE5D1C2E0ED889461, "init_relic_martyrdom" },
    { 0x9A4390624124277E, "init_relic_mythic" },
    { 0xEECFFB352049E105, "init_relic_no_ammo_mun" },
    { 0xB4DA6C33A323D8C2, "init_relic_nobulletdamage" },
    { 0xB8D9143BDCD2C1C1, "init_relic_noks" },
    { 0x64A7991FA756288E, "init_relic_noluck" },
    { 0xBD8EAE868C028080, "init_relic_noregen" },
    { 0x3B680216B8FEA21E, "init_relic_nuketimer" },
    { 0x93DB8618A932110E, "init_relic_oneclip" },
    { 0x5E01A1F1A501335D, "init_relic_punchbullets" },
    { 0xEE33CA62430236F0, "init_relic_rocket_kill_ammo" },
    { 0x254C5C4D1EE8D6D4, "init_relic_shieldsonly" },
    { 0xE5D6841A70172FE6, "init_relic_squadlink" },
    { 0xEBB2F2E06073F1B7, "init_relic_steelballs" },
    { 0x913A4D7B2F14E4F3, "init_relic_swat" },
    { 0xE44D701AE11C49AB, "init_relic_team_proximity" },
    { 0xFC873854E773BC60, "init_relic_thirdperson" },
    { 0xE6E383DF9E24D783, "init_relic_trex" },
    { 0x7E74437B6D3E04F2, "init_relic_vampire" },
    { 0x2467B805B5F067D2, "init_relic_vars" },
    { 0x080EFC5F0CD33BFF, "init_remote_tank" },
    { 0x2AC07CC579AC3D5E, "init_reset_ai" },
    { 0xA6E56A3E3020972D, "init_residence_wall" },
    { 0x512E2D1A67EE3365, "init_respawns" },
    { 0xF201E19CC0E29504, "init_reverb" },
    { 0x412BB86D801F3200, "init_revive_icon_list" },
    { 0xA901A513D7F00149, "init_roof_destruction" },
    { 0xAB318C42A6DA5394, "init_rpg_spawns" },
    { 0x19CEF0EA6B959ED5, "init_rumble" },
    { 0x16CDF96C872E407D, "init_rumble_for_client" },
    { 0x929E660047A6D3E3, "init_safehouse" },
    { 0x1815C29040A391F2, "init_safehouse_gunshop" },
    { 0x648970C73C3BCA4A, "init_safehouse_return" },
    { 0xF85075A52215CB8D, "init_save" },
    { 0x3125C840183A6D4F, "init_score_data" },
    { 0xF85A2649C711D713, "init_script" },
    { 0xF15AD2147035A8B6, "init_script_brushmodels" },
    { 0xE15F5485A6809871, "init_script_car_collision" },
    { 0x81A09A486DD0F44C, "init_script_friendnames" },
    { 0x5EC3D6984C1FF741, "init_script_triggers" },
    { 0x12AACC2DD59FE55C, "init_scriptable_reds" },
    { 0xB7F6047F7A39BCF0, "init_scriptable_trucks" },
    { 0x4AF6B42E42906101, "init_scripted_fx" },
    { 0x6643342F3BEB0B80, "init_season3_intel_challenges" },
    { 0x2A97AE9983540C4B, "init_selection_and_cursor" },
    { 0xBD6C23ADC47D2368, "init_sentry_traps" },
    { 0x3B716D78EFB3A754, "init_seq_button" },
    { 0xBDE06D76B90BF49B, "init_server" },
    { 0x8AE2BC48FBBCE83D, "init_settings" },
    { 0xA606FEB98987C365, "init_shootable_lanterns" },
    { 0x400030BF615A4F63, "init_shootable_lanterns_internal" },
    { 0x9996860F46379900, "init_shooting_targets" },
    { 0xC7BC5BBE505BBB80, "init_silo_elevator" },
    { 0x21F54043F4BEB4BC, "init_silo_jump_obj" },
    { 0x757FF7033A844E16, "init_silo_platforms" },
    { 0x63B61A8C187BC4A6, "init_silo_thrust_obj" },
    { 0xC1E44CF44DFA5A37, "init_smartobjects" },
    { 0xAB3D6017AAE9DA54, "init_smuggler_loot_interaction" },
    { 0xFA38C191E075313B, "init_snap_to_head" },
    { 0x1EBFF578F224FA04, "init_sounds" },
    { 0xB76BF17FEC10B06F, "init_sp_flags" },
    { 0xCA1DB5339712BCFE, "init_spawn_anim_skits" },
    { 0x02328FCE2BF42810, "init_spawn_factors" },
    { 0xBF3E76B1E031A601, "init_spawn_modules" },
    { 0x415DB07F039DFB63, "init_spawn_radius_check_for_modules" },
    { 0xB84E51F8F6697B1E, "init_spawn_times" },
    { 0xBE13B67C12FF6C7F, "init_spawn_vars_and_pointers" },
    { 0x147196559371A505, "init_spawners" },
    { 0xAEE7041BCAA0A624, "init_spawnfunctions" },
    { 0x7B89096F70BD2657, "init_spawnpoints_from_cover_nodes" },
    { 0x6B00991D26632B29, "init_squadbattlechatter" },
    { 0x6BC0B4B6A2046749, "init_squadmanager" },
    { 0xC5CAB2DA5214D433, "init_squads" },
    { 0x2FB1BB3D1FBA042B, "init_standard_range" },
    { 0xB4674F00F720836D, "init_starts" },
    { 0x2160BE2D04A65D83, "init_stats" },
    { 0xE363F54F60BF910F, "init_stealth" },
    { 0x79708B20340B904E, "init_stealth_areas" },
    { 0x839CAC8549EA35E3, "init_stealth_volumes" },
    { 0x6D9ED17B9600F03E, "init_strings" },
    { 0xC4E0F0721772A349, "init_strobe" },
    { 0xB8815056E4911652, "init_struct_class" },
    { 0x3BA805626857368E, "init_structs" },
    { 0xD0DA73F51CD111EF, "init_structs_mp_br_mechanics" },
    { 0x49D0CAC047CF8B19, "init_structs_mp_don3" },
    { 0x74D7C75E3DC7A1BD, "init_subway_cars" },
    { 0xA68B720E56B99E4B, "init_super" },
    { 0x6FF67BC2FBD2ED79, "init_super_for_player" },
    { 0x14955878A2116C68, "init_swivelroom_currsolution_marquee" },
    { 0x3B7227097C31F12D, "init_swivelroom_obj" },
    { 0xB7CB77626959C491, "init_swivelroom_variables" },
    { 0x55F542E4A6DB21B3, "init_tactical_boxes" },
    { 0x01273F0794345270, "init_tape_machine_animations" },
    { 0xB43FF5791942CCB1, "init_tarmac_fire_lights" },
    { 0x0FCA2031097E5651, "init_template_table" },
    { 0x9166DDCE388ED315, "init_threatbias" },
    { 0x99F635C505E7E4A6, "init_threatbias_groups" },
    { 0xEAEB616C0DF423A8, "init_tickets_earned_score" },
    { 0xB7F09E32E0D94F50, "init_tickets_earned_score_component" },
    { 0x0EEAD7FACBEAB0C4, "init_timed_laser_trap_trigger" },
    { 0xB6F243C2EB7722A1, "init_timer" },
    { 0xD33F76835CF5B67D, "init_timescale" },
    { 0x2313834334CAFC34, "init_tire_outlines" },
    { 0xAA467B2A4C140C64, "init_toma_strike_vo" },
    { 0x0F877B7E67C8CF9C, "init_tool_hud" },
    { 0x1344A5B63735E68B, "init_touching_triggers" },
    { 0x980FD120B9D54B8A, "init_towers" },
    { 0x2DC0D90C50A807D7, "init_track" },
    { 0x9DABCAA0FCCE61EE, "init_track_point" },
    { 0x482A2A3855CB14A5, "init_track_settings" },
    { 0x4724FA156188CDAC, "init_tracks" },
    { 0x2DDAF40C50C46C42, "init_train" },
    { 0x8A72FAC617147E15, "init_train_arrays" },
    { 0x8DDE718427AA7256, "init_train_lights" },
    { 0x194B8880B94A6F94, "init_trans_1_obj" },
    { 0x528B18BE19B9B2AF, "init_trap_room" },
    { 0x60A524F864C6BED7, "init_trap_room_debug" },
    { 0xA9EE336EA6F254E9, "init_trap_room_doors" },
    { 0xAC83070FF24D2D31, "init_trap_room_interactions" },
    { 0x5A0AC80BD0433CB5, "init_trap_room_obj" },
    { 0xB02C7CB5B8A3B28E, "init_trap_room_spawning_module" },
    { 0x777D0AA14F6BFCF0, "init_trap_room_traps" },
    { 0xEF4CB30AC65874EC, "init_trap_room_vfx" },
    { 0xBCDBA8C4271411B1, "init_trap_room_wave" },
    { 0xC7A410AFD13177B6, "init_tree_fire_light" },
    { 0x657D8D0C78AC3FD1, "init_trees" },
    { 0x0400C6E163D1D441, "init_trial_patches" },
    { 0xA3871C76E56699E0, "init_trigger_flags" },
    { 0x030A2F333291CD44, "init_trigger_spawn" },
    { 0xF13BC639C2D7D5D1, "init_trigger_spawn_groups" },
    { 0x6F33C1A81EC4C0E0, "init_trigger_spawners" },
    { 0x4133049836A64FF5, "init_trigger_spawns" },
    { 0x16A2F7EC2A2A07C7, "init_tripwires" },
    { 0xDCE4C175FE28D011, "init_turret_lifetime_shot_count" },
    { 0x90D9CD47EC88057B, "init_turrets" },
    { 0xE577111FFBC2502B, "init_tut_doors" },
    { 0x0BD1BDF8353C0090, "init_tutorial_message_array" },
    { 0xD49F8864FF857EE2, "init_uav_cp" },
    { 0xD4CB8464FFB5DC7C, "init_uav_mp" },
    { 0x2284742B30948A0C, "init_unlock_silo" },
    { 0xFB1D0A265F03FBD5, "init_upgrade_weapon" },
    { 0x0A35A9B58A661264, "init_usb_animations" },
    { 0x24E138FC45CDE87B, "init_useprompt_interactions" },
    { 0x91353B0B3B3AC570, "init_utility_triggers" },
    { 0xFC56A13F5FDF9CA8, "init_vault_assault" },
    { 0x13D7A80E43B06620, "init_vault_assault_crypto" },
    { 0xA10C97EA5D3F2B93, "init_vault_assault_cut" },
    { 0x9A0BB8F1A968C9BD, "init_vault_assault_infil" },
    { 0x080576F1DF418493, "init_vault_assault_retrieve_saw" },
    { 0x316E9B96235CB3FE, "init_vault_assault_rooftop" },
    { 0x0E5FAF495C9C8138, "init_vault_assault_rooftop_call_exfil" },
    { 0x0F5308FE3C68B4EF, "init_vault_assault_rooftop_defend" },
    { 0xDB58935E6B7643FD, "init_vault_assault_rooftop_exfil" },
    { 0x7702C577E3AFB8EB, "init_vault_assault_rooftop_heli" },
    { 0xB74EF42D28E607DF, "init_vault_assault_vault" },
    { 0xE46E83236C4B985F, "init_vault_assault_vault_fake_end" },
    { 0x54585EAA441CD1DD, "init_vault_door" },
    { 0x4D22F3D632CC9860, "init_vehicle" },
    { 0x96B5C9195C1A38C3, "init_vehicle_heavy_destruction" },
    { 0xFCB977E780CFFED7, "init_vehicle_interact" },
    { 0xA63965AE080D8A5F, "init_vehicle_omnvars" },
    { 0xC7A151374D6E2105, "init_vehicle_repair_anims" },
    { 0xF24048BE716A77E4, "init_vehicle_spawn_funcs" },
    { 0x93A96E8EA03B7E68, "init_vehicle_spawning" },
    { 0x70765311B7F271C9, "init_vehicles" },
    { 0xCE5E10AC37602C0C, "init_vehicles_after_flags" },
    { 0xFAD09D0F167EBFF6, "init_vehicles_thread" },
    { 0x57F6A37A4B37856C, "init_vfx" },
    { 0x3E45FDCBF11D9598, "init_vision" },
    { 0x3C2548757537463E, "init_visionsetnight" },
    { 0x95F159DCDA49E0E2, "init_vo_arrays" },
    { 0xB9FAD235F7F3DD29, "init_vo_system" },
    { 0xF2DF5ACC1560C4E6, "init_waits" },
    { 0xE29EC112C49A2FD2, "init_wall_state" },
    { 0xDC457E5DFCB9C426, "init_warning_levels" },
    { 0x610BEF8510F054EF, "init_wave_settings" },
    { 0x9CEFB1E198B4518F, "init_wave_spawning" },
    { 0x34F053D0EB7C57B8, "init_wave_spawning_module" },
    { 0xE44D2093C5417DC1, "init_wave_spawning_module_proc" },
    { 0x916A59D499DD61B1, "init_wave_spawning_module_secondary" },
    { 0xB7DDF3D078D24DA1, "init_weapon_and_player_analytics" },
    { 0xEEBE5DB20F9CE8EC, "init_weapon_box_caches" },
    { 0x55BBE8499135A195, "init_weapon_placements" },
    { 0xA1FEE84AC2056425, "init_weapon_rank_events" },
    { 0x20F4B2A97E8BAEBD, "init_weapon_spawns" },
    { 0xF4CC46F2A58FBD1B, "init_weapon_upgrade" },
    { 0x4E8680D81DA1E3E9, "init_weapon_upgrade_for_player" },
    { 0x2C451F95BAC5E793, "init_weapon_variant_spawns" },
    { 0x4B4F2D860F6EC82B, "init_wileys" },
    { 0x3C7F5505B1618B8E, "init_wind" },
    { 0x2C30EC3FC3D5D533, "init_wind_at_point" },
    { 0x91F7F1AF04843D82, "init_wind_tunnels" },
    { 0x82CD9CB7231115AC, "init_window" },
    { 0x694FA6FA4613B40C, "init_zombie_scoring" },
    { 0x3FEA09F0C491CFAE, "initaarawardlist" },
    { 0x6E049BFB2DBAE456, "initadvancetoenemy" },
    { 0x8521CCCBF469E947, "initagentlevelvariables" },
    { 0xD187CE49489A6070, "initagentscriptvariables" },
    { 0x416E0A0BC2AF5C24, "initaimlimits" },
    { 0xF2FE1BA800EF2D02, "initandstartvosystem" },
    { 0x39D269646C806016, "initanim" },
    { 0xE1604874CB97286E, "initanimcallbacks" },
    { 0xAA1E2CDA9E53FE1F, "initanims" },
    { 0xAB031ED701555BA7, "initanimspeedthresholds_civilian" },
    { 0x25ED341D7E5EEEE6, "initanimspeedthresholds_juggernaut" },
    { 0xD5D213FCB8AA0078, "initanimspeedthresholds_soldier" },
    { 0xCE5D4D368BE5165F, "initanimteddoor" },
    { 0xE66F6165B2597C9A, "initanimtree" },
    { 0x6DC03A33B2889640, "initanimvars" },
    { 0x7BA69B65402ACACB, "initarbitraryuptriggers" },
    { 0xCCEB4A7B24798906, "initarmcratedata" },
    { 0xC195EFF086F5DA5A, "initarmcratedatalate" },
    { 0xD2EC81AEA1A12FA6, "initarmor" },
    { 0xD2DAC8AEA18D8E6F, "initarms1" },
    { 0xD2DAC9AEA18D90A2, "initarms2" },
    { 0xD2DACAAEA18D92D5, "initarms3" },
    { 0xD2DAC3AEA18D8370, "initarms4" },
    { 0x558686F2D185384D, "initarmsraceanims" },
    { 0x181D186EAE759666, "initarmsraceobj" },
    { 0x234437FEAE31714D, "initarrays" },
    { 0x5A45E94CEEAD9929, "initassisttrackers" },
    { 0xAA6F497AE0EFAD6D, "initawards" },
    { 0x3D771B310987BCB3, "initballtimer" },
    { 0x2D76CE73F72FA2F7, "initbaseaward" },
    { 0x08B39C849A658142, "initbasemidmatchaward" },
    { 0x2CD5ADDC8CE77D76, "initbattlechatter" },
    { 0x709CE533A609CCC0, "initbattleroyalec130airdropcratedata" },
    { 0x74F3A9C7423D6C4E, "initbattleroyalecratedata" },
    { 0xE7427D02B8E9CD9A, "initbattleroyalejuggernautcratedata" },
    { 0x8D69DE4FFFC8EF2C, "initbattleroyaleloadoutcratedata" },
    { 0x8044570E27162C97, "initbattleroyalelootchoppercratedata" },
    { 0x5BD7629A16C2329C, "initbestscorestatstable" },
    { 0x9B27B9CC8248CD77, "initbloodoverlay" },
    { 0xD02AB95FC036F31C, "initbombs" },
    { 0x3DC3433114432ED0, "initbombsitespawns" },
    { 0x7B0DF80961B44847, "initbotlevelvariables" },
    { 0x66EE284AD2DC7C9F, "initbotmapextents" },
    { 0xC3EE929E84F0D256, "initbrc130airdropdropanims" },
    { 0x9CCE3F4912508E68, "initbreachpoint" },
    { 0x67C3AFD6D2133F92, "initbrmechanics" },
    { 0x80FDF6061B7F6DF0, "initbroshot" },
    { 0x486F6BF4A35B52AE, "initbroshotfx" },
    { 0xB7D67BBA446E9367, "initbufferedstats" },
    { 0xF64E6B609050F8C2, "initbunker" },
    { 0x9170CA5CB716A1F8, "initbunker11keypad" },
    { 0xFB093FA3B4865ED8, "initbunkeranims" },
    { 0x20C74FDD300FEC72, "initbunkerbackwallkeypads" },
    { 0x9924687BFCA0231E, "initbunkerdoor" },
    { 0x3D8426470BCE61C0, "initbunkerdooreffects" },
    { 0x53EEEC3C5BAF6982, "initbunkervfx" },
    { 0x7299EC04CF1A8311, "initcallbacks" },
    { 0x1C9DE59173062FBD, "initcalltraininteract" },
    { 0xB653A0954869F829, "initcameras" },
    { 0x12DE52E658F27C3F, "initcarriables" },
    { 0xFC38E980A159213D, "initcashtracking" },
    { 0x4C411DAE1312D1E1, "initchallengeandeventglobals" },
    { 0x7765EFF13B3B07EF, "initchangestance" },
    { 0x02CA2CE9894433F7, "initcircle" },
    { 0x33D576BF404D607F, "initcircledata" },
    { 0xD1762CE41EFE0BA2, "initcirclepoststarttocircleindex" },
    { 0x02F754AEF2BC555F, "initcircuitbreakers" },
    { 0x4C2861208FDEDCAE, "initcivilian" },
    { 0xD6E7FEF35994A64A, "initclientdvars" },
    { 0xCDBA5185851F0BDE, "initclientdvarssplitscreenspecific" },
    { 0x830D3AAF8A07714C, "initcombatfunctions" },
    { 0x0FCEDD7BCDE227D4, "initcombatfunctions_mp" },
    { 0x7F38C762E86D82EC, "initcommslaptop" },
    { 0xCE29081BE77DC5DD, "initconfig" },
    { 0x55195FAA92CCC8B9, "initcontact" },
    { 0x380DB54DB5002B36, "initcover" },
    { 0x038B6CC0CE8F733A, "initcoverbb" },
    { 0x5F7D59714458CB4F, "initcoverexposenoenemy" },
    { 0x20B46581F7F0276C, "initcpammoarmorcrate" },
    { 0x6992B2CE781F686E, "initcparmsraceemptycrate" },
    { 0xA5DBA73F7467B637, "initcpcratedata" },
    { 0x976C40D10C9074EF, "initcploadoutcratedata" },
    { 0xADA31A3247735E20, "initcprooftopcrate" },
    { 0x1146527BD43F22AA, "initcpvosystem" },
    { 0xEC6BE2063E225FB6, "initcratedata" },
    { 0x6AE42E268D99D993, "initcratedropdata" },
    { 0x2ECE8042620303C7, "initcredits" },
    { 0x5361067683C38846, "initcreditsstruct" },
    { 0x2FD4117BF1CAF5B2, "initcrossbowusage" },
    { 0x91B8383A8EB1A2E6, "initdamageoverlay" },
    { 0xD433DD3B3417D74C, "initdamageparts" },
    { 0x36FE20B8E9CE6200, "initdeaths" },
    { 0x7BB2DC25A8BB8B51, "initdeathsdooroverlaypulse" },
    { 0xCAC8C349B33A4299, "initdeathvfx" },
    { 0xDA965BFCC3C6AFCF, "initdefaulthvtmodel" },
    { 0x31C470705DB41A36, "initdefaultoperatorskins" },
    { 0x4A3A0AAC6ADF9D05, "initdefaultsettings" },
    { 0xBE64B87EA88851DA, "initdestructables" },
    { 0x7DEAA1B2B929B0FB, "initdeveloperdvars" },
    { 0xB74E145B930BBA3B, "initdialog" },
    { 0xF041FF390012E86B, "initdismembermentlist" },
    { 0xD22E09A2D8A2E1F4, "initdragonsbreathpainfxhack" },
    { 0x9D5122833B8BBE32, "initdragonsbreathusage" },
    { 0xA368763290228421, "initdropbagsystem" },
    { 0x2E24A1ADA9C80157, "initdropbagvo" },
    { 0xDFF74DA856CFFE0A, "initdroplocations" },
    { 0x5F211A36C182D211, "initdropzonekillstreakcratedata" },
    { 0xF1547DE14616586E, "inited" },
    { 0xFCD0539381B2C95B, "initeffects" },
    { 0x83B38EBCBF314D8D, "initendcameralocations" },
    { 0xDFFD7E05687E7C87, "initendzoneent" },
    { 0x18F919E4CE2CCC9C, "initendzoneents" },
    { 0x7C86C54CECE3CC5A, "initevents" },
    { 0x6AD6F59F82F6E1D7, "initexpose" },
    { 0x41B8A1D9BF010E8E, "initextractionlocations" },
    { 0x40FEF1F2D8264E57, "initfacialanims" },
    { 0xB8C23CF46163AD60, "initfinalkillcam" },
    { 0x7C8F161E2961BE7A, "initfiredamageoverlay" },
    { 0x4E4874963C5A2821, "initfirefxrumbleent" },
    { 0x952579C1FB029CF5, "initfirepainoverlay" },
    { 0x8E5C68DAAD606DA0, "initfiresfxdrone" },
    { 0xF1C1DF73CC101ABA, "initfiresfxfire" },
    { 0x8A502A182FB0B1D0, "initfiresfxsmolder" },
    { 0x55A01C6D107D0636, "initfirevfxent" },
    { 0x9E8AF2EF8F5139B1, "initflag" },
    { 0xFCCE06D82FA205A6, "initflags" },
    { 0x10264EA401B7652C, "initfrontline" },
    { 0xF15063E146122969, "initfx" },
    { 0x301E4D62DC30730C, "initgameflags" },
    { 0x178607D30BF1BA28, "initgate" },
    { 0xB1BF8460C94F5AAE, "initgesture" },
    { 0x378AFDDAB984D407, "initgestures" },
    { 0xB37C90EB6B18BD45, "initglobals" },
    { 0x5D2BC3F24F4E7F45, "initgrenadeoffsets" },
    { 0x217B9F9B57284314, "initgrenades" },
    { 0x33935F99D707274D, "initgrenadethrowanims" },
    { 0x6C4A4CC457D4C3F6, "initgroup" },
    { 0x64B6BB088FA4F005, "initgulag" },
    { 0x4E587680BFBAD389, "initheadlessoperatorcustomization" },
    { 0xD58ED7BE10E27BF7, "initheli" },
    { 0x65A0168204FFD17E, "initheliextractanims" },
    { 0x364A97745F8BCD90, "inithelipropanims" },
    { 0x99A7E3D0230FADBB, "inithelirepository" },
    { 0x847FB7BE916E6CDF, "inithide" },
    { 0xC8D41B9A2DB72BC5, "inithidetimers" },
    { 0xA7E3716D0383477C, "inithud" },
    { 0x86770F739D7A7856, "inithuntregiondata" },
    { 0xE995EFD2B9661204, "inithvtmodel" },
    { 0x6AFCBB7FAC977BC6, "initial_allies" },
    { 0x0B24E437F245F3A0, "initial_angles" },
    { 0xB16A0CA90081692E, "initial_bomb_location" },
    { 0xEA8C80879ABB6734, "initial_bomb_location_nearest_node" },
    { 0x73ACE9C54E36989F, "initial_bomb_pickup_time" },
    { 0x327DC5BECDE93DC3, "initial_enemy_spawner" },
    { 0x6034238952DF276D, "initial_forward" },
    { 0x1ED6BEB50457223C, "initial_guard_logic" },
    { 0xC1DDC4B51463FE41, "initial_intensity" },
    { 0x23FA53F16E7CB120, "initial_loadout" },
    { 0x88C5F1278EFDA90B, "initial_loadout_init" },
    { 0x0AD2AAE4DA26CF84, "initial_loadout_manager" },
    { 0xDA207BEF0D43FE09, "initial_loadout_weapon" },
    { 0xCD6E20472A256B28, "initial_pickup_wait_time" },
    { 0xB932EA6AC80DCDE2, "initial_right" },
    { 0x636FAA7C34D873E9, "initial_spawn_time" },
    { 0x6CC28DB3A3FC9231, "initial_timer" },
    { 0xAAF2D5E0C68AD98D, "initial_up" },
    { 0xA1B0F0436E6F87F0, "initialcovergunblockedbywalltime" },
    { 0x845FC58ED4565593, "initialinvestigatetime" },
    { 0xB84A62E3028640D7, "initialize" },
    { 0x2B4C8040BDC0E00B, "initialize_alarm_box" },
    { 0xCE6890C1E89FA3EB, "initialize_as_veh_spawner" },
    { 0xD028987DDEB0B90E, "initialize_ball_role" },
    { 0xBDFDA98BE87A7F0C, "initialize_blended_interaction_anims" },
    { 0x8FD6C252E879D587, "initialize_blending_actor" },
    { 0x4A235C03BB67D6FB, "initialize_character_group" },
    { 0xA09BCC88C44A8D36, "initialize_create_script" },
    { 0x79FF585DAD5F5105, "initialize_create_script_file" },
    { 0x095A40E55CA9B1CB, "initialize_flag_role" },
    { 0xBC51A1D8E36A3752, "initialize_group_lookat" },
    { 0x6A426D9AC8144E48, "initialize_intel" },
    { 0xD20FA61B262A3473, "initialize_laser_trap_entity" },
    { 0x919239832A13615C, "initialize_path_node_placement" },
    { 0x99972E5234201294, "initialize_player_team_slot_assignment" },
    { 0x632F4CA9098C248B, "initialize_radio" },
    { 0x60154060016F7C71, "initialize_registered_create_script_files" },
    { 0xA10BC77250B9AE68, "initialize_role" },
    { 0xE503406CA948AB60, "initialize_sd_role" },
    { 0x3DC8EA255DFC7CD1, "initialize_switches_pattern" },
    { 0x9A7D38BF0017E2F1, "initialize_transition_array" },
    { 0x69EA850F43F4616B, "initialize_water_trap" },
    { 0x28DC86E0EC1F9367, "initialize_wave_spawn_modules" },
    { 0x8D5A018983820D41, "initializeaardata" },
    { 0xD65E17082503F47F, "initializearmorvalue" },
    { 0xD1D82C3E8D4049A9, "initialized" },
    { 0xB6512CBD2AE48FEE, "initialized_gameobject_vars" },
    { 0x5D25ACD74A1A63F7, "initializedynamiclzs" },
    { 0x6F88C33C964CABA2, "initializefixedlzs" },
    { 0x90B51D3EA829808B, "initializematchrecording" },
    { 0xA38801BD1155E447, "initializematchrules" },
    { 0x2B3801D797401852, "initializeobjective" },
    { 0x4C442E21A1F51093, "initializeobjectives" },
    { 0x15266AFC74827CBE, "initializerocketfuelreadings" },
    { 0x4AB3AA47B7105EBB, "initializetagpathvariables" },
    { 0x57B3AA30C9C90B02, "initializetweakableoverrides" },
    { 0xEE4EA80B6ADD6A1C, "initializeweaponpickups" },
    { 0x4D214FD9D6929A75, "initiallandingcomplete" },
    { 0x62D05EE2C471C553, "initialorg" },
    { 0xED6FEAB1DF6AD5C1, "initialpatrolpoint" },
    { 0x61BBCA50ADC5C6BE, "initialplayer" },
    { 0x60B0DCC261F7F757, "initialprespawn" },
    { 0xF4B512D000ED947F, "initialprimaryweapon" },
    { 0x10342CCEFFFF11CB, "initialsecondaryweapon" },
    { 0xB3DB6836555771F0, "initialstate" },
    { 0xC42CC69BEA54AE81, "initialtrigger" },
    { 0xDA22770FDD39E60F, "initialtriggerthink" },
    { 0x16EBD890FCCCDAF8, "initialvelocity" },
    { 0x8970EC2004D41634, "initialwinningteam" },
    { 0x1D014267B6E86526, "initiated" },
    { 0x36CE0D5BEB2A8982, "initindividualgastrap" },
    { 0xBAA4C66E30742F13, "initinfillocationselectionhandlers" },
    { 0xBA54B6994F7D3D2F, "initinputtypewatcher" },
    { 0xC7CBD739A55491A1, "inititems" },
    { 0xD654C18E9EB560D4, "initjugg" },
    { 0xEC568C1248D4FC8A, "initjuggcratesetupents" },
    { 0x147C5A3161AA7CD9, "initkillstreak" },
    { 0x5A2AF894778B1694, "initkillstreakcratedata" },
    { 0x528FB85C02AC9CB8, "initkillstreakcratedatalate" },
    { 0xE7E2C1F83B16E989, "initkillstreakdata" },
    { 0x21138779742299FC, "initkilltriggerspawn" },
    { 0xC5BF82A0EAE84854, "initksbonuscrates" },
    { 0xCB21BC246019C0F9, "initlaststand" },
    { 0x1F12C04F053BB531, "initlaunchchunkoperatorskins" },
    { 0x978E18B0E1CF0CCB, "initlauncherlogic" },
    { 0x5CF11D9B1BBB8680, "initleaderboardstat" },
    { 0x82891B3D09956C11, "initleanplayerstats" },
    { 0xFAD0CB9752241F50, "initlethalmaxoffsetmap" },
    { 0x1577019B0A71C486, "initlevelface" },
    { 0x02BC72B1CAF46C46, "initlevelflags" },
    { 0x353E350EAA395B25, "initlevelvars" },
    { 0x48599A8CEE472E77, "initlinkednodes" },
    { 0x96B3A4CFE3B905C6, "initlocalizedcredits" },
    { 0xB412654C7F11438C, "initlocationcircle" },
    { 0xAB8CFB2497A0FB4C, "initlocs_bunkertest" },
    { 0x322BCF8EBF4B9363, "initlocs_codeprovidingphones" },
    { 0x8049E5F640284060, "initlocs_computer" },
    { 0x35128AD80F1344A5, "initlocs_donetsk" },
    { 0x966C98E41E60EC3E, "initlocs_keypads" },
    { 0x78F4C29FFB6BADBC, "initlocs_morsephones" },
    { 0xA0E98A9D6229AF1B, "initlocs_nonmorsephones" },
    { 0x45F07CA74D3DB8AC, "initlocs_phones" },
    { 0xE29F7CD7C8825F6C, "initlocs_radio" },
    { 0x806E5B1378787DED, "initlocs_test" },
    { 0x84ED0339A628741A, "initlongdeathgrenadepull" },
    { 0x222DB35DEBA1B394, "initlook" },
    { 0x222D9A5DEBA17C99, "initloot" },
    { 0x0BE3C05626D3590E, "initlootcaches" },
    { 0x8BE14502492A1F63, "initlootvaultkeypad" },
    { 0x74D0C2D35D635DCD, "initmarker" },
    { 0x4AAFCE7C893FD652, "initmaxspeedforpathlengthtable" },
    { 0xD6A7229BD7D4BAF3, "initmeleeaction" },
    { 0x91CA268FAC23A49A, "initmeleecharges" },
    { 0xA3D0030058C860A2, "initmeleefunctions" },
    { 0x019ECC8F1027D07C, "initmeritdata" },
    { 0x5C53B21822740605, "initmidmatchaward" },
    { 0x80172113C52A3582, "initmidmatchawards" },
    { 0x97F9EA0EEF6F6735, "initmines" },
    { 0xEE0FFD253A7879C0, "initmissilelauncherusage" },
    { 0x4A647C38EF028AE2, "initmonitoradstime" },
    { 0x34C774B3D76BF746, "initmorales_1" },
    { 0x34C773B3D76BF513, "initmorales_2" },
    { 0x34C772B3D76BF2E0, "initmorales_3" },
    { 0x34C779B3D76C0245, "initmorales_4" },
    { 0x34C778B3D76C0012, "initmorales_5" },
    { 0x34C777B3D76BFDDF, "initmorales_6" },
    { 0x60775C39ABA3008D, "initmoralesfastloadobj" },
    { 0x2A571090E419C2D4, "initmoraleshackobj" },
    { 0x61253AE975FA2F66, "initmoralesholdoutobj" },
    { 0xB64328C6554D20A5, "initmoraleshvtmodel" },
    { 0xE0C4AEA8FC416C2D, "initmoralesinfilobj" },
    { 0xEAE12BC7958C7C7E, "initmoraleslaptop" },
    { 0x0D53165C5AF00478, "initmoralesrescueobj" },
    { 0x51C420AEAEDC9276, "initmoralessignal" },
    { 0xD4B143C1EAD44163, "initmoralessignalobj" },
    { 0xC5968B85F20EA714, "initmoralesslowloadobj" },
    { 0x68E37E9709D876D2, "initmovestartstoptransitions" },
    { 0xDBA1B192155A6C43, "initmovestrafeloop" },
    { 0xF7535800CD3E9E53, "initmovestrafeloopnew" },
    { 0x9005FB8427BF528E, "initnightvisionheadoverrides" },
    { 0x5F901C68E175730A, "initnodeyaw" },
    { 0x7E24D90B317BB2BE, "initnodeyaw_dev" },
    { 0xF995A382E1D0F885, "initnodeyaw_rebel" },
    { 0xDC5834A76FB81D57, "initnodeyaw_soldier" },
    { 0xF343C6EE23FE3842, "initnonbr" },
    { 0x8CA22B6F4854B7AB, "initnonbunkerdoorkeypad" },
    { 0x2718CB9C48B245D0, "initnonbunkerdoors" },
    { 0xD99D332C10C6F0BA, "initnuke" },
    { 0x2E4B9797B78F1297, "initnukeobjectivelocations" },
    { 0x6CDEBAD1A896B9A1, "initobjective1" },
    { 0x6CDEB7D1A896B308, "initobjective2" },
    { 0x6CDEB8D1A896B53B, "initobjective3" },
    { 0xD93B3FD97CFF9129, "initobjectivecam" },
    { 0x72CE05D93198F8F7, "initobjectivehud" },
    { 0x2D9376868560F3FC, "initobjectiveicons" },
    { 0x8D4A273FD3DF3242, "initobjicons" },
    { 0xFCD5C2E894322BF1, "initobjspawners" },
    { 0x414A6A6CB7ECB90D, "initoob" },
    { 0xEA80E57038394B27, "initoperationcratedata" },
    { 0x69584790023C28B4, "initoperatorcustomization" },
    { 0xCE62146F825698FC, "initoperatorunlocks" },
    { 0x471E460A1DBB63B9, "initoutlineoccluders" },
    { 0x2E0143E9EE7EBD45, "initoverheadcameras" },
    { 0x1D1AE606FFDDD5AD, "initpainfx" },
    { 0x76480667E3197814, "initparachutedvars" },
    { 0x9C99C4C58D9AE406, "initpatrolpoints" },
    { 0x8453A163018E5714, "initpayloadobj" },
    { 0x97A685DAE641EBCA, "initpayloadpunish" },
    { 0xC4ED1005E72CD7CB, "initperkdvars" },
    { 0x21E3EFFE7E89A1F4, "initperks" },
    { 0x2F4B433C95664161, "initperktable" },
    { 0x9CD4C11CAD68DD8D, "initpersstat" },
    { 0x01A6496E0013F784, "initpet" },
    { 0x6AB933B6F85846DD, "initpickupcleanupmonitor" },
    { 0xBA354E8D4B5022AB, "initpickupusability" },
    { 0xA865B8E4D0B2E86E, "initplayer" },
    { 0x281DF3BB0D069DE9, "initplayerarena" },
    { 0xAB2D280FD09E7ECE, "initplayerclass" },
    { 0xD7A099ABC9BB499B, "initplayerdamage" },
    { 0x709AB60EFD92F378, "initplayerdamagefunctions" },
    { 0x8066D0ACB21A12BE, "initplayerdefaultsettings" },
    { 0x051E76CEB3D19048, "initplayerdvars" },
    { 0x27FC46123B85FBB2, "initplayerentflags" },
    { 0x6D97035ED51F3392, "initplayerfocus" },
    { 0x8B1232E203FBD8E2, "initplayerjail" },
    { 0xBFB25F1BDF91695E, "initplayerloadoutnames" },
    { 0xFF5761F285D25EDB, "initplayernotifies" },
    { 0xB859A7902FB590BA, "initplayeromnvars" },
    { 0x13B4F52A1BC8C7F3, "initplayerperks" },
    { 0x4B89FB36AA80750D, "initplayerplunderevents" },
    { 0xF4EB341FF246327B, "initplayerprecache" },
    { 0x57190181A5882C4B, "initplayerprestige" },
    { 0x067C93A7D3684C6A, "initplayerscriptvariables" },
    { 0x7A9B374F7CB47FB1, "initplayersessionstats" },
    { 0x9DEBEC344A737FF5, "initplayerstats" },
    { 0x7D4BAE26F93733D6, "initplayervfx" },
    { 0x431413E386493831, "initplayerviewblender" },
    { 0x031F8181F5A176BE, "initplundercratedata" },
    { 0xEF4DE7C0B815A3E1, "initplunderpads" },
    { 0x6EA3D19F718C0D24, "initpostmain" },
    { 0xDB19BF9051E0062E, "initprematchc130" },
    { 0x439DE557CFE7A3A0, "initprematchspawnlocations" },
    { 0x7B64974A4CE65CCE, "initprestige" },
    { 0x28DF29DEECA9B78E, "initpropaganda" },
    { 0x8E19F70A5634714B, "initpropcircles" },
    { 0xF9AC20D0E853FD86, "initreload" },
    { 0x2944A25887A4C2CF, "initridekillstreak" },
    { 0x4B75653D18ED49F1, "initridekillstreak_internal" },
    { 0x3701EB8D41ABF6A4, "initriotshield" },
    { 0x7D60728FCAF60352, "initriotshieldhealth" },
    { 0xE7CA0B3026FCE458, "initroles" },
    { 0x766B41055C562F28, "initrugbyents" },
    { 0xD111A01A660F73A6, "initrules" },
    { 0x2437A08CE90F5442, "initsandbox" },
    { 0x877A43830EC15B89, "initschoolmgturret" },
    { 0x057B60E846D229EB, "initscoredata" },
    { 0x30FAA3809FDEC4F0, "initscriptable" },
    { 0x5BD32CDFE90D424B, "initscriptablemanagement" },
    { 0xB58D97C3980EBD85, "initscriptablepart" },
    { 0xC7BD823FC0D4B5A2, "initscriptedhelidropanims" },
    { 0xD0427127B37F0BA8, "initscriptedhelidropdata" },
    { 0xB197C5F9321245B2, "initscriptedhelidropvehicleanims" },
    { 0xA4A303554A8532E3, "initsegmentstats" },
    { 0x8C539573E7493632, "initsharedomnvars" },
    { 0x6B27C9A72E6247F5, "initship" },
    { 0xEC9CBBAAEB9A205A, "initshoot" },
    { 0x40B821F3B0BDDCC6, "initslidemonitor" },
    { 0x4166D8813A9B4296, "initsolospawnstruct" },
    { 0xF299B1ED7C47A10F, "initspawnarea" },
    { 0x14C441713A2B9407, "initspawnexclusionpois" },
    { 0xD111557204C0AB52, "initspawnpointvalues" },
    { 0x77DBCA5DD463E9DB, "initspawns" },
    { 0x2878242482B51A09, "initspawnsoverridefunc" },
    { 0x48E0C12F9D0F32F7, "initspawnswar" },
    { 0x8792084D2AC5C99F, "initspecatatorcameras" },
    { 0xCBAD4B01D11F7C5D, "initspecialistkillstreaks" },
    { 0xCE836274C900B6F3, "initsquaddata" },
    { 0x87659B0266C3B47B, "initsquadspawnstruct" },
    { 0xF6CED394B96B0016, "initstancetracking" },
    { 0x53C6325E94B56222, "initstandardloadout" },
    { 0x666223FA54D2B974, "initstatemachineforpoitype" },
    { 0x882EF8904148DDCD, "initstatusdialog" },
    { 0x2539C417559EEDED, "initstatusdialogonplayer" },
    { 0xF11E9DB8B7560DEC, "initstealthfuncsmp" },
    { 0xF7207B203AFAC4B3, "initstealthfunctions" },
    { 0xA506056225A1DF90, "initstealthfunctionssp" },
    { 0xF15CF26E1AFE6B5B, "initstealthmp" },
    { 0x94828FB44731D4A4, "initstiminteract" },
    { 0x9000B66B7789A7AE, "initstingerusage" },
    { 0xE046E22F1004F607, "initstructs" },
    { 0x6E23CF319E65F9D4, "initsuperdvars" },
    { 0xC8DD76B54805C748, "initsurvivaltime" },
    { 0x4ACAAAE8701200B4, "inittablets" },
    { 0x6789CB6C8AEA2AFF, "inittankspawns" },
    { 0x99439637A15E153E, "inittankspawnsplaced" },
    { 0x1AD3B429CBD7882B, "initteamdatafields" },
    { 0x6BB5C2A12A7536EA, "inittestclientlatent" },
    { 0x9D01D3B4278985BC, "initthermometerwatch" },
    { 0x74ADF9C048BE25A9, "initthrowgrenade" },
    { 0x533144DB28033359, "inittmtylapproach" },
    { 0x98D88789A2B4A3A5, "inittmtylinterrogate" },
    { 0x4E228C6770A9D8FA, "inittmtylobj" },
    { 0x8762E2C9FE0D5D39, "inittripwireanims" },
    { 0x819CBD354F469D58, "inittripwirestaticmodel" },
    { 0x84D5E3650B81B0A7, "initturretinteraction" },
    { 0xB991FE328680483E, "initturrets" },
    { 0x7F237003611A4DC7, "inittutzones" },
    { 0x8DF7AC941E7C07DE, "initusage" },
    { 0x3AD9AE94A0526892, "initvehicles" },
    { 0x70974078A23259AA, "initvehiclespawnvolume" },
    { 0x5FC734C1F7725DE8, "initvelocity" },
    { 0x65360CB9397556BF, "initviewblenderstruct" },
    { 0xF19674E1465EDE3C, "initvo" },
    { 0x33C512E080659D5D, "initwaypointbackgrounds" },
    { 0x6952BCD9E1B0373E, "initwaypointicons" },
    { 0x184F0C9EDCFF0D8F, "initweapon" },
    { 0xF9B82DC0E35476EC, "initweaponarray" },
    { 0x0CF7FC2BCF5BE8CF, "initweaponmap" },
    { 0x71B11ED22439BC5D, "initwindowtraverse" },
    { 0x8251AE6353FA568D, "injured_actor_death" },
    { 0x8B0414E083F03431, "injured_actors" },
    { 0x2BA3FDACA93B1CCD, "injured_civilian_reactions" },
    { 0x07561D4A9791576D, "injured_dmg_death_logic" },
    { 0xCE2FB1CC0FDE231B, "injured_loop_single_death" },
    { 0xB675444D8CFC2DF8, "injured_loop_vignette" },
    { 0x313CC77D41AA1E82, "injured_vignettes" },
    { 0x9803000ED9B410AA, "inlaststand" },
    { 0x78F7CD87352A8DEB, "inlmgstate" },
    { 0xC58BFF7ABD5C76D9, "inlosid" },
    { 0xA9D1679CDEFB58ED, "inmapbounds" },
    { 0xFB756C8B8264F1E3, "inmhccam" },
    { 0xD61670DD99D9D8E4, "inmoralesholdout" },
    { 0x2F36817C8AC1062C, "inmotionlight" },
    { 0x0ABACAAC08231FDE, "innards" },
    { 0xD674E9A2546FB783, "inner" },
    { 0xE78520EDDC690721, "inneurotoxintimestamp" },
    { 0xE527BD3A0FB36C0A, "innocent_damage_thread" },
    { 0xF1DCA12586C3C07E, "inobjectiveot" },
    { 0xAD466DB62BD122A9, "inot" },
    { 0x9B9EE0E91559EA19, "inovertime" },
    { 0xE4ACEC382B4D2C41, "inparachute" },
    { 0x3D293211E517853A, "inplunderlivelobby" },
    { 0x31693BE98864CFE1, "inpotgkillcam" },
    { 0x38885ACB2C9904CD, "inprogress" },
    { 0x5A2DD1A13C8DD2A7, "input" },
    { 0x8BD9C04D4EAF26E0, "input_has_happened" },
    { 0x40BD461E82784C96, "input_loop" },
    { 0xE75F43CDA303308A, "input_reactive_radius" },
    { 0x8D68C3AD034FB507, "inputthread" },
    { 0x176D603A0E1A2797, "inradzone" },
    { 0xC512CD02377D1405, "inrespawnc130" },
    { 0x163251BBEDC503CB, "inreticledistssqr" },
    { 0x70260D0261B0A41B, "inreticlesortedids" },
    { 0x05EB7E889E1DA7A0, "insert_effect" },
    { 0xE6819BD5F21ABD3F, "insert_index" },
    { 0x59F4C9682B6D4C2D, "insertbypriority" },
    { 0x1F3E5ECF8DCB0265, "insertingarmorplate" },
    { 0x0206294AF6F7929C, "inside_bush" },
    { 0x8962DD28C730B617, "inside_gap_nag" },
    { 0x0D1BB3BD2832DD6C, "inside_plane" },
    { 0x67F2AD93346F53F5, "inside_shaft_trig" },
    { 0x08A00CE7219B2B6C, "inside_volume" },
    { 0x3A8F593FD64C80E7, "insidecuavbunker" },
    { 0xFDEC70B4F92CC7F9, "insidestingerreticlelocked" },
    { 0xF888E2926D43E468, "insidestingerreticlelockoverride" },
    { 0x2CE781F19C43F64B, "insidestingerreticlenolock" },
    { 0x7F9F148AA4A75D15, "insolid" },
    { 0x8A8B312A1526F272, "inspawncamera" },
    { 0xCA58DE3EB4B12141, "inspawnselection" },
    { 0x15449BB07B69C965, "inspect_dead_russians" },
    { 0x8608A477A9A6C91D, "insta_kill" },
    { 0xAD232D5394529BB9, "instakillimmune" },
    { 0xDEDB65F72361D44E, "instance" },
    { 0x5E222E9AC817C0CE, "instancedata" },
    { 0x6AC5853317F66FDD, "instancelimitmessages" },
    { 0xEE0C634594EC7AEA, "instancelimits" },
    { 0x7E557B82D025C227, "instances" },
    { 0x1F04112AF3FCE21B, "instancesbyref" },
    { 0xC2B924BEDB73BD42, "instant_revive" },
    { 0x718BAADBB34F721D, "instant_revive_buffer" },
    { 0xB0E8F5BC9F88FA92, "instant_revived" },
    { 0xD3AC0599525C3C1F, "instantbleedoutsquadwipe" },
    { 0x71C9CF4ED08E4C57, "instantclassswapallowed" },
    { 0xE92042E61AEA0DBB, "instantexplode" },
    { 0xECA7F9B541BA4E5B, "instantly_promote_nearest_friendly" },
    { 0x722FC27D4738D050, "instantly_promote_nearest_friendly_with_classname" },
    { 0x5DE39D02F512A139, "instantly_set_color_from_array" },
    { 0x9864855B57C5B946, "instantly_set_color_from_array_with_classname" },
    { 0xFB4789225ED97B46, "instantlylogusageanalysisdata" },
    { 0xFBEF3DA0475C824F, "instructions_flag" },
    { 0xDF43B15C6C201871, "insure_player_does_not_set_forcecolor_twice_in_one_frame" },
    { 0xFE746F03F612D132, "int" },
    { 0xE4C59F6BC21E5231, "int_min" },
    { 0x08348D2FD12CAC3C, "int_to_stealth_state" },
    { 0x5FF0C1B3B135CF0B, "int_vips" },
    { 0x7AEAA98658D2B30D, "int_vips_struct" },
    { 0x7D877F280930BCDE, "intel_active" },
    { 0xF35D21A4B106E6DF, "intel_collect_vo_func" },
    { 0xF0B998086875A24F, "intel_collected" },
    { 0xEAB71397E17D90B0, "intel_counter" },
    { 0x79A27B38C80BF032, "intel_dismiss_request" },
    { 0x83F41B991EC5A015, "intel_drop_chance_inc" },
    { 0x5D624FD044867784, "intel_drop_func" },
    { 0x02F277292AA03DCA, "intel_drop_num" },
    { 0xC2FAD4C0F692D6F8, "intel_dropper" },
    { 0xD28784906363118E, "intel_drops" },
    { 0x3150A2C66D020C03, "intel_feedback" },
    { 0xFAEE7AC10A5274D4, "intel_guys" },
    { 0xB034AFCF6BE04628, "intel_headicons" },
    { 0x649ACA2F54B8FC5E, "intel_init" },
    { 0xBB51929021B943D0, "intel_items" },
    { 0x1CC630BD5C677672, "intel_level" },
    { 0x0952352D582C11FA, "intel_loc" },
    { 0x9DD93479D92AE503, "intel_location_vo" },
    { 0x0F24A01EF358D94A, "intel_pickup_vo" },
    { 0x9ADBADB1D07EFD67, "intel_pieces" },
    { 0x6EE9DA1570AAB823, "intel_spawn" },
    { 0x5823F3DE9DDA3FA4, "intel_spawn_listener" },
    { 0x21F9D1F0C436CA3C, "intel_think" },
    { 0x1C6F54C318B92D65, "intel_upload_text" },
    { 0x30C64AB3F21F4FBE, "intel_use_logic" },
    { 0xF4CA26C8D9D23400, "intel_used_logic" },
    { 0xD7795386C41BBBAD, "intel_waypoint_request" },
    { 0xACA8C888790092A5, "intelchallengesdata" },
    { 0x8F160B9E7C8C6CE4, "intelprogress" },
    { 0x292EE5079CC5EBBA, "intelused" },
    { 0x64391103DFF2A656, "intended_target" },
    { 0x5CF837A397F70BA6, "intensity" },
    { 0xF36544DF0427A260, "intensity_01" },
    { 0xF36547DF0427A8F9, "intensity_02" },
    { 0x457AFA5F16AF9FB1, "intensity_heat" },
    { 0x75DCE87916BAC7D1, "intensity_inc" },
    { 0xF49D8DDF057F058C, "intensity_ir" },
    { 0x909E19CE7D6AB68B, "interact" },
    { 0x78CBEF287A012704, "interact_disabled" },
    { 0x2FB392CA569B73EA, "interact_door_dopusheffects" },
    { 0xED171807C83F0C95, "interact_door_get_endpoint" },
    { 0x198B7AFBA0A7CC86, "interact_door_isplayerfacing" },
    { 0x8250CB48FE28E1F2, "interact_door_ispushentclose" },
    { 0xE4F3B81B53E59572, "interact_door_setup" },
    { 0xFED10670ACEDE738, "interact_entry_anim" },
    { 0x1129790013EFB65D, "interact_getanim" },
    { 0x4EC3AC3BAE177C77, "interact_give_control_back" },
    { 0xFB1EEB7362E9DF8F, "interact_interior_door_hack" },
    { 0x4AFD7EFDBA59B26E, "interact_interior_door_open" },
    { 0x6F4B1ED3AE8D24CF, "interact_interior_door_open_remove" },
    { 0x4EF01B4C5FAB77E7, "interact_offset" },
    { 0x1698C439B4D557E6, "interact_on_boss_body_timer" },
    { 0x7991C2A509373364, "interact_vehicle" },
    { 0xB94D21D0E281CCCD, "interact_vehicle_animate_door" },
    { 0xE26BE9F86E061768, "interact_vehicle_delete_ground_ref_ent" },
    { 0x66CC2666EE8FC026, "interact_vehicle_doors_inactive" },
    { 0x447F9C6D1333FB50, "interact_vehicle_doors_state" },
    { 0x8EB3338608D693E1, "interact_vehicle_duck_toggle" },
    { 0x1D0729EED89BE571, "interact_vehicle_inside" },
    { 0x36AE493743EADE8E, "interact_vehicle_mantle_hint" },
    { 0x0604870F81FDC88D, "interact_vehicle_mantle_hint_active" },
    { 0xCAD79AE6657F12F4, "interact_vehicle_movement" },
    { 0x95E4BC0DCF901A39, "interact_vehicle_spawn_cover_node" },
    { 0xDCFC7DA93CAAA237, "interactable" },
    { 0x550E9FD02EA6CAD1, "interactablefinished" },
    { 0xA9EA9F306B42DB8C, "interactables" },
    { 0xE245891AC58A4192, "interactableterminate" },
    { 0xA6C8411E3D0B4513, "interactdata" },
    { 0x44FCA4A32DBFDF2C, "interacted_with_laptop" },
    { 0xCF94EAC6188B7486, "interactendtimes" },
    { 0x1A851C9426810086, "interactid" },
    { 0xD3DCC3D0ADD5217F, "interaction" },
    { 0xC3A3F1EE4BB83E8A, "interaction1" },
    { 0xC3A3F0EE4BB83C57, "interaction2" },
    { 0xC3A3EFEE4BB83A24, "interaction3" },
    { 0xC3A3EEEE4BB837F1, "interaction4" },
    { 0x271AAEFEA07BD9B1, "interaction_cooldown" },
    { 0x168EFA4A612FCE9B, "interaction_cooldown_timer" },
    { 0x0CB22284940F2261, "interaction_disable_on_exit" },
    { 0x2B0CCB6136978FE5, "interaction_end" },
    { 0x40C298F7228BE5D1, "interaction_end_cheap" },
    { 0xDCAC38C17E5C6E64, "interaction_fail_internal" },
    { 0xEC4BC00E0F60CB3B, "interaction_follow_process" },
    { 0x2A1B3FD1965D537C, "interaction_get_cost" },
    { 0x9E0E3DB6BCEF80E6, "interaction_handle" },
    { 0xCD666F03304E4405, "interaction_hintstrings" },
    { 0x5042CAC0417C15D3, "interaction_immediate_process" },
    { 0xC77DAD948F73AE0F, "interaction_is_atm" },
    { 0x012AFDBA1672CAEF, "interaction_is_button_mash" },
    { 0x3B658E9D402520DA, "interaction_is_chess_piece" },
    { 0xD90439B3D3BD2752, "interaction_is_chi_door" },
    { 0x25C8CC483E05C77C, "interaction_is_crafting_station" },
    { 0x87B172594A7565F2, "interaction_is_door_buy" },
    { 0x52942ED2460A8A69, "interaction_is_floor_is_lava_client" },
    { 0x9AEE8606219B85BF, "interaction_is_fortune_teller" },
    { 0x725A96DF84AECEC9, "interaction_is_grenade_wall_buy" },
    { 0x6E44FB49ECAFEC6D, "interaction_is_jugg_maze_button" },
    { 0xD2CF9D59377994CD, "interaction_is_perk" },
    { 0xD572F2BC34EC8E16, "interaction_is_pvpve_weapon_pickup" },
    { 0xA500B2FFF85CCFEA, "interaction_is_special_door_buy" },
    { 0x469DF27BB099919E, "interaction_is_ticket_buy" },
    { 0xA71F98F5CC139A12, "interaction_is_trap" },
    { 0x21CB7BDA408D5101, "interaction_is_valid" },
    { 0xCF204D6B8AF65A6A, "interaction_is_weapon_buy" },
    { 0x9C450CC9F3CCB56E, "interaction_is_weapon_pickup" },
    { 0x71D5A26BAB891612, "interaction_is_weapon_upgrade" },
    { 0xCDB59D695E745CEC, "interaction_is_window_entrance" },
    { 0xDE569606A787A49F, "interaction_manager" },
    { 0xD72627F853B637A2, "interaction_manager_init" },
    { 0xADD894A0E35526A3, "interaction_name" },
    { 0x652D89D253AC5B70, "interaction_pain" },
    { 0xED34066570F302D9, "interaction_pain_listener" },
    { 0xD9509DC97955EBDE, "interaction_point_has_changed" },
    { 0xB96BD80B8C072E2E, "interaction_post_activate_delay" },
    { 0xDF7A49A94F56157E, "interaction_post_activate_update" },
    { 0x357F67827D5BE259, "interaction_post_activate_update_func" },
    { 0x75CE9E6A2CEB4C9D, "interaction_process" },
    { 0xC110B9473779482C, "interaction_process_blended" },
    { 0x6104E249BC700478, "interaction_process_for_states" },
    { 0xF64A4BB2E3302DB0, "interaction_purchase_weapon" },
    { 0xF51615E93F76522B, "interaction_reboot_timer" },
    { 0x7C1C15BAF71B2338, "interaction_set_anim_movement" },
    { 0x3D3C0FF9F6E415EC, "interaction_setups_array" },
    { 0x967CE99AD0CDDA43, "interaction_show_fail_reason" },
    { 0x37C07EFA1AE071E6, "interaction_sound_monitor" },
    { 0x4B5CF4F7C59C285C, "interaction_trigger" },
    { 0xE44681EC4126D340, "interaction_trigger_properties" },
    { 0xA415669FA461C3DF, "interaction_trigger_properties_func" },
    { 0xCB6828311CF3C265, "interaction_upgrade_weapon" },
    { 0x09E79A505AC17094, "interaction_use_think" },
    { 0x7A2A170F40685993, "interaction_waiting_on_power" },
    { 0x11E56F5B1B8B5E72, "interactionanimlength" },
    { 0x0E4EB358B5E45FF5, "interactionhasactivation" },
    { 0x173EDFFE8596FC0E, "interactionready" },
    { 0xC3A3AFEE4BB7AD64, "interactions" },
    { 0xEEE15A11E668A541, "interactions_disabled" },
    { 0xE8BCCD123C2E239E, "interactionstruct" },
    { 0x491B73A7D070E656, "interactiontriggers" },
    { 0x9AA15DE8182337DA, "interactionusethink" },
    { 0xD3FBD8D0ADF7A18F, "interactive" },
    { 0x1DA2B76E2708E8C5, "interactive_addusedcallback" },
    { 0x4C5438145271D37F, "interactive_addusedcallbacktoentity" },
    { 0x2074FC8C8C37B315, "interactive_door_force_open" },
    { 0x5DC4F957DDFB0A55, "interactive_door_lock_one_side" },
    { 0x438A68DC2F2ECF09, "interactive_doors" },
    { 0x4ABF9E7DB8ACFBB3, "interactive_double_door_force_open" },
    { 0x8B5E8B683B7E14A0, "interactive_landanim" },
    { 0xAF51363DEAC64621, "interactive_number" },
    { 0x3F0F818F92990B99, "interactive_removeusedcallbackfromentity" },
    { 0xB323481824B40425, "interactive_takeoffanim" },
    { 0xCF5346C5EA479EF8, "interactive_type" },
    { 0xD7CF42AB22E1D9A0, "interactive_used_func_id" },
    { 0xC2B8CE6141FB8871, "interactive_used_funcs" },
    { 0xE8F437D1B0EB06E3, "interactive_used_funcs_unique_id" },
    { 0xA5EA025874942AB7, "interactivecombat" },
    { 0xEB2C7F22FA475083, "interactivecombatduration" },
    { 0x199CA132F4B742E1, "interactivecombatmessaging" },
    { 0xBC595149ED8E4711, "interactiveelement" },
    { 0xF0D2F66818CA5C13, "interactiveinfil" },
    { 0xA9F28FE3F87389C1, "interactiveinfilstart" },
    { 0xD07E58C1D68DAC55, "interactiveinfilthink" },
    { 0x8243FE2B06EC0B4B, "interactiveinfilwindow" },
    { 0xD4BEA1511B23C4DF, "interactivekeypairs" },
    { 0x2A7FCEEE97993D34, "interactives" },
    { 0x38FA769DEEB10FA2, "interactives_drawdebuglinefortime" },
    { 0x7669B91DD1B06368, "interacts" },
    { 0xDF690CC87366A074, "interactsquads" },
    { 0xF731BCE4B10EAC2C, "interactstate" },
    { 0x738737B33841D7DD, "interactswithgivenoobtrigger" },
    { 0x8A87E2F4EF579149, "interactswithoobtriggers" },
    { 0xE8B4AE8F06044AE2, "interactteam" },
    { 0xC9A6758A3B6FFCE3, "interactteams" },
    { 0x1444161EEE3644BF, "interacttimedvar" },
    { 0x2D26B1317BAEA763, "interacttimes" },
    { 0x97A16E8F868BFF93, "interacttype" },
    { 0x4019B855CD4AC3D7, "interactuseobj" },
    { 0x0B5071ED0D4144CB, "intercept_mode_get_target_in_circle_omnvar_value" },
    { 0x204B089B49641383, "interceptor_missile" },
    { 0x9DB6F47B94542BCB, "interceptor_missile_death_monitor" },
    { 0x21FBD72860185345, "interceptor_missile_explodes_with_target" },
    { 0x1EDF0B5B790B2C35, "interceptor_missile_objective_id" },
    { 0x6917DD826717D8D0, "interceptor_missiles" },
    { 0x03AA4FCED1610039, "interior" },
    { 0x0D4096AA68E88F2A, "interior_dof_monitor" },
    { 0x03F252228319FC59, "interior_door_interaction" },
    { 0x49C36DDD0598BAA5, "interior_enemy_watcher" },
    { 0x6D30CD684F556029, "interior_price_settings" },
    { 0xE191A04DE772E875, "interior_sfx" },
    { 0x2DC6446CDC98F405, "interior_volumes" },
    { 0x3B5EF1816F2D54C5, "interiordoor" },
    { 0xF55C52A34CBDD263, "interiorlight" },
    { 0x57DBCD21C574F930, "interiorlights" },
    { 0x2A88FCD424EB02CD, "interiors_init" },
    { 0xFAE0A3128CAF1C79, "intermission" },
    { 0xBB873C20C1EF5143, "intermissionfunc" },
    { 0x24BD6AAD61BF2E7E, "intermissionspawnorigin" },
    { 0xB3BD9D6A14E497D5, "intermissionspawntime" },
    { 0x62F294F9A60275A1, "internal_aim_at_laser_tracker" },
    { 0xC3B878C2B87ACECD, "internal_aim_occlusion_override" },
    { 0xBA4155B71416745E, "internal_civglancedownpath" },
    { 0xD5E61EB79A6F2396, "internal_create_debug_data" },
    { 0xD5524EF98958403D, "internal_entitytolookat" },
    { 0x2758A5C8727DFEE0, "internal_hint_toggle_use_by_angles" },
    { 0xA3967570D0F7AF63, "internal_isplayerindanger_think" },
    { 0xF9DCC051C7B294FF, "internal_magic_gun_track_target" },
    { 0xD7BE37C96D25269F, "internal_mg_forward" },
    { 0x6E8A08A321CEEC3F, "internal_mg_left_vector" },
    { 0x558E9AC13EC92B3C, "internal_move_scripted_door" },
    { 0x43A88D764EB12C5C, "internal_pack_default_trace" },
    { 0x07EA2D4A4AEEB889, "internal_play_overwatch_vo" },
    { 0x5D2BEB3C933A44C1, "internal_reclaimworldid" },
    { 0x56E73C3E6B572749, "internal_useholdthinkloop" },
    { 0x400FDE2DA7419DD6, "internal_wait_for_any_flag_or_time_elapses" },
    { 0x5239595F3C6C673D, "interrogate_guy" },
    { 0xFB8AAFB4B64E92F2, "interrogating" },
    { 0xFB85B6B4B6487980, "interrogation" },
    { 0xE6CC176EB172B035, "interrogation_abandon_handler" },
    { 0xEFA6CDB7715F0B3E, "interrogation_abandon_outro" },
    { 0xF716818CC319C9D1, "interrogation_abandon_price_nag" },
    { 0xAA93C0AA39EC3578, "interrogation_actor_setup" },
    { 0xE4EC623A3AF51246, "interrogation_anim_setup" },
    { 0xB0CC6E4ABC2516AB, "interrogation_anim_think" },
    { 0x0061ACE55C827454, "interrogation_chair_anim_setup" },
    { 0x9BD7AA7DBA1F41CE, "interrogation_cine_letterboxing" },
    { 0xA2CB34D56491F05A, "interrogation_cine_skip" },
    { 0xD8D5A7ECFC6E5087, "interrogation_cine_start" },
    { 0xDF437F58D6BB3E4C, "interrogation_disengage" },
    { 0x8C6B59E920E6CA5E, "interrogation_dof_settings" },
    { 0x6854844718E00C11, "interrogation_door_anim_setup" },
    { 0xEFCBB3A5D1983752, "interrogation_end" },
    { 0x926E4087A3A12B6A, "interrogation_family_escort" },
    { 0x0E022948B716102B, "interrogation_init" },
    { 0x0F4789EAC4424AF9, "interrogation_intro" },
    { 0x7D21F62059E87AF1, "interrogation_intro_camera" },
    { 0xFF07F8BC128156C0, "interrogation_intro_catchup" },
    { 0x0DC7927451CC9038, "interrogation_intro_init" },
    { 0xF3A0FC275F68988A, "interrogation_intro_start" },
    { 0xBF0FFBF0EBCA2BA0, "interrogation_main" },
    { 0x5CE7C9C2B7053F34, "interrogation_outro_blackoverlay_delay" },
    { 0xBF450F1387AEC026, "interrogation_outro_camera" },
    { 0x04196FAD1B6CB80B, "interrogation_outro_dialogue" },
    { 0x28356A95190DDDBE, "interrogation_outro_dof" },
    { 0x34C0CF7C451725B7, "interrogation_phase_dry_fire" },
    { 0xF4947EB6F10F81BF, "interrogation_phase_final" },
    { 0x4872A99D51D4B3FE, "interrogation_phase_revolver" },
    { 0x05D726863CA3781C, "interrogation_remove_fov_user_scale" },
    { 0x5C8A1328D980B741, "interrogation_revolver_start" },
    { 0x62758DAF9E21C152, "interrogation_rig_disable" },
    { 0x3863B412CD4EB80C, "interrogation_rig_disable_instant" },
    { 0x56085B8FAC3514B9, "interrogation_rig_enable" },
    { 0xBC967AD1461E0FFF, "interrogation_room_catchup" },
    { 0xAEABFED9A0F99E94, "interrogation_room_door_close" },
    { 0x9233254297D4F778, "interrogation_room_door_open" },
    { 0x27707959EF888C3D, "interrogation_room_start" },
    { 0x7874614CE814B4DC, "interrogation_room_vo_pause_monitor" },
    { 0x1391CC0452D67ACE, "interrogation_setup" },
    { 0xA9453FE5FCB6A4F2, "interrogation_stp_main" },
    { 0x28B90CCC9DB9B51B, "interrogation_van_light_on" },
    { 0x14EF406B0EDC4918, "interrogation_welcome_note" },
    { 0x7170C81A9D3A6350, "interrogationdoor" },
    { 0x5BBFE1013ADEBC83, "interrogator" },
    { 0x3521CE35C573B613, "interrogator_dmg_think" },
    { 0x10E2FB93876DB3AD, "interrogator_should_hunt" },
    { 0x228240769AAC18AE, "interrogator_stealth_filter" },
    { 0x1013B6621A74B263, "interrupt_anime" },
    { 0x52D03A3C1FBCDF08, "interrupt_current_vo" },
    { 0xAB8BFF43036047D7, "interrupt_first_frame" },
    { 0x9A2D09B73A8BB6BB, "interrupt_marine_vo" },
    { 0x841E6A80CAB62C90, "interrupt_sound" },
    { 0xC0FF01FB8FFC83A6, "interrupt_vo" },
    { 0xED13EBC66A482C54, "interruptable" },
    { 0x453FD0D589F86189, "interruptabletaunts" },
    { 0x37B967ACDE91ABD6, "interruptblocker" },
    { 0xE6E789A7374F73BF, "interruptbombplanting" },
    { 0x0EDDA62D75B11F9D, "interrupted" },
    { 0x82CA3ED3094EAEF2, "interruptedent" },
    { 0x0EDDB02D75B1359B, "interrupter" },
    { 0xE80CF73981A74D25, "interruptnotify" },
    { 0x6408EB2E7BCDF802, "interruptrepeatcount" },
    { 0x5993A609218524ED, "interupted" },
    { 0x6A3186CF1CE3BADC, "interval" },
    { 0x32AE159CE3D81C19, "intialvalueisvalid" },
    { 0x5817F5E806BFE9E7, "intightquarters" },
    { 0x01C64CB210D6E736, "intimetobeat" },
    { 0x71EE8F6A71D890B1, "intimidate_setup" },
    { 0xCEFF55BCBE563421, "intransit" },
    { 0x95E25EA168EEDDDD, "intro" },
    { 0xAFC8B1B4181A41CB, "intro_actors_to_idle" },
    { 0x049595ED916133D0, "intro_addplayer" },
    { 0x6231518D47BCF7B1, "intro_alley_aq_handler" },
    { 0x7B5A953AB8632188, "intro_alley_aq_setup" },
    { 0x02658E5E7C2BF637, "intro_alley_guard_setup" },
    { 0x7527C70CC9CB8B2C, "intro_anim_force_stop" },
    { 0x4FB0CF1D21002715, "intro_animatedpropscleanuplogic" },
    { 0x2F19E8506A1CFC04, "intro_animation" },
    { 0x3B179DB2EB2C1BBF, "intro_animnode" },
    { 0x96F07B53DF81EBF3, "intro_anims_allies" },
    { 0x78191E334254FB05, "intro_anims_car2" },
    { 0xA609143273583ACE, "intro_anims_car2_scene" },
    { 0x6FD3436A4D81BBEF, "intro_anims_non_ai" },
    { 0x42047D82811F56BC, "intro_anims_standoff" },
    { 0x9C4A008709B77E4E, "intro_back_alley_enforcer_setup" },
    { 0x403C3D373412A130, "intro_background_traffic" },
    { 0x0EAD41F647BEBCF8, "intro_bus" },
    { 0x933F53452B77A37E, "intro_camera_handler" },
    { 0xC3BC6C20C55FF4F5, "intro_camera_letterbox_end" },
    { 0x1BD869F650E7EE18, "intro_car" },
    { 0x0FC2B08702C71B86, "intro_car1_anims" },
    { 0xF1B630EACC8FE6F3, "intro_car1_version1" },
    { 0xF1B631EACC8FE926, "intro_car1_version2" },
    { 0xBD90C44FA5BC6BCB, "intro_car2_anims" },
    { 0x3F16A0D1AA2A94F9, "intro_car_anims" },
    { 0x24DF73B3EE115551, "intro_cars" },
    { 0xF262A8CA81C32308, "intro_cars_extra" },
    { 0x9F4C8EF205007FDC, "intro_catchup" },
    { 0x119AD7B281AC6A6F, "intro_checks" },
    { 0x5730113321963429, "intro_chopper" },
    { 0x63946FE5BC22B2D5, "intro_civ_alterations" },
    { 0x03B308603976D0B5, "intro_civ_anims" },
    { 0x4BA5320FE22240C9, "intro_civ_background" },
    { 0x54D14E5AF3BCA434, "intro_civ_background_idle" },
    { 0x23CCE1E666670CB0, "intro_civ_oneoff" },
    { 0x6202998D468BE796, "intro_civ_post_anims" },
    { 0x3EF3F517A0FB4E69, "intro_civ_post_setup" },
    { 0x7025A62DC06D73FA, "intro_civ_setup" },
    { 0xB16933B399A5EB7D, "intro_civs" },
    { 0xED94CE36A3EEB91F, "intro_convoy_vfx" },
    { 0xD8B82EED324C7344, "intro_dialogue" },
    { 0x29CC302EA0AC7C67, "intro_dialogue_handler" },
    { 0x878C39F4C00D21C9, "intro_dialoguejokesectionalogic" },
    { 0x9659D5E4175F060A, "intro_dialoguejokesectionblogic" },
    { 0xD74FCA1F7478D60F, "intro_dofcar" },
    { 0xD4B4E8A22FC28249, "intro_dofnear" },
    { 0xAE51F4E5391D6BA2, "intro_doftruck" },
    { 0xE7D927909DAFF8EA, "intro_drive_along_path" },
    { 0x6C70C92D23005E33, "intro_driver_handler" },
    { 0xA7174961A56F4D11, "intro_driver_logic" },
    { 0x021C1BF63F3EF6A3, "intro_end" },
    { 0x5AE6330A25CDF0C6, "intro_enemy_respawner" },
    { 0xE2814E8D172A0900, "intro_ents" },
    { 0xB4CB1FB24413246C, "intro_ents_add" },
    { 0xB759DFE61B3EFA3D, "intro_fadeup" },
    { 0x8AC81142111B2D26, "intro_fake_player_handler" },
    { 0x9BE165CB6C1CD999, "intro_farah_handler" },
    { 0x65139129C0C64304, "intro_flarelogic" },
    { 0x891B5EA91286BEA8, "intro_flareturnon" },
    { 0x31EAE925E5829424, "intro_fovlerp" },
    { 0x97F12497F7D0E343, "intro_gate_disable_sprint" },
    { 0xD7FE0978E4BA163A, "intro_gate_handler" },
    { 0x3C11AD96AB4ECCCF, "intro_gateguy_handler" },
    { 0xBEC06E36E42AFAE9, "intro_gesture" },
    { 0xD6CA0E284CF38235, "intro_getanimatedallies" },
    { 0x2D8B806DDAD89BDB, "intro_getanimatedfarahscope" },
    { 0x9A0A1A0FEC444958, "intro_getanimatedhadirsniper" },
    { 0x05EF1020A014DEC9, "intro_getanimationstruct" },
    { 0xC14D456F33E52736, "intro_getbomb" },
    { 0xB858F4EB1466C283, "intro_getcinderblockanimations" },
    { 0x6B9C159489502AA2, "intro_getflare" },
    { 0x6E37069AD165E49C, "intro_getstairscrateanimations" },
    { 0xDB5CD6BC4B7A04EE, "intro_griggs_handler" },
    { 0xCAEE6BDFF0FD7EFB, "intro_hadir_handler" },
    { 0xA4B4A026DC6D70DE, "intro_hadirscenelogic" },
    { 0x09369A895FE911DE, "intro_heli" },
    { 0xDF3A23069A147A9A, "intro_heli_add_player" },
    { 0xA01EC4FC26A4AEE2, "intro_heli_animate_player" },
    { 0xDE17D5B9D956C54F, "intro_helicopter_1" },
    { 0xDE17D6B9D956C782, "intro_helicopter_2" },
    { 0xDE17D7B9D956C9B5, "intro_helicopter_3" },
    { 0x457CDBDBB6E5E874, "intro_helicopter_flyby" },
    { 0xCA009F2EB44DE806, "intro_helicopter_init" },
    { 0x9E9CC8698830E63A, "intro_hidebody" },
    { 0xE22962540A9CFD90, "intro_hidehead" },
    { 0x64BC3A6DAAD1EAD0, "intro_letterbox_removal" },
    { 0x6D96ECAB7209A61B, "intro_lights" },
    { 0x4618F6300C83DA80, "intro_lights_cleanup" },
    { 0x22260693F553F2CB, "intro_lights_setup_omni" },
    { 0xECDF1147A64DAD53, "intro_london_bink" },
    { 0xAE3705459AB3D9AF, "intro_main" },
    { 0x2E86D7314D9F9F14, "intro_marine01_handler" },
    { 0xCC40BB8550F4D609, "intro_marine02_handler" },
    { 0x4D4C42C2AD2B23F6, "intro_marine03_handler" },
    { 0x10C1099F719613F4, "intro_marine_poi_handler" },
    { 0xF1DD489488EAC6A2, "intro_mortar_tube" },
    { 0x5D680CED01BF48FD, "intro_moveplayercliphack" },
    { 0x73FCF85F173C7CF6, "intro_movie" },
    { 0xBB93B502EA032BBD, "intro_music" },
    { 0xEF75B3D73E34EA61, "intro_offset" },
    { 0xA2D426C0160C7530, "intro_origin" },
    { 0x54C662495B88ABC0, "intro_phone_peek" },
    { 0x83A248533F389A67, "intro_plankanimationscenecratelogic" },
    { 0xD2B012ED97FC2DFE, "intro_plankanimationscenelogic" },
    { 0x8F062B2DBA158A7F, "intro_playerspeedscalinglogic" },
    { 0x3FF947B85D3BCD80, "intro_remove_fov_scale_factor_override" },
    { 0x4809E3C8D84A7C91, "intro_remove_fov_user_scale" },
    { 0x035A8B1293854A7C, "intro_ride" },
    { 0xF3DEC8A70F74FE02, "intro_roof_peek" },
    { 0x89CE4111C5671879, "intro_safehouse_edit_loadout" },
    { 0x368D4114E75A4560, "intro_safehouse_loot" },
    { 0xDE40BAB083061299, "intro_scene_bink" },
    { 0x8D6496E482A978F3, "intro_scene_binocs" },
    { 0xD2A4F5CFA0DFCC59, "intro_scene_butcher_aq" },
    { 0x5D348FDC3817586C, "intro_scene_camera" },
    { 0x97F8FD28FD898048, "intro_scene_end" },
    { 0x524C60161DFE9D32, "intro_scene_end_skip" },
    { 0x54C76DBB2D91ED9E, "intro_scene_fake_player" },
    { 0x13B789EEB2EA396B, "intro_scene_guncase" },
    { 0x4158637F109148BE, "intro_scene_mayhem" },
    { 0xF3132C7E3ED056BE, "intro_scene_nikolai" },
    { 0xC7137D617EB1946A, "intro_scene_player" },
    { 0x658FEE2D33B845E4, "intro_scene_price" },
    { 0xABAF6C2AF88169D0, "intro_scene_skip" },
    { 0x29443B1EF7C97C72, "intro_scene_truck_sound" },
    { 0xA6E644BDFA790BF1, "intro_scenealogic" },
    { 0x934371D65662B5D2, "intro_sceneblogic" },
    { 0x24FBCB068EAA7F63, "intro_sceneclogic" },
    { 0xB978439911C41F2A, "intro_screen" },
    { 0x1F533652A6566DB7, "intro_screen_create" },
    { 0x05DB0C430F366BA3, "intro_screen_custom_func" },
    { 0xC8E904FFAB15758E, "intro_screen_delay" },
    { 0x7C1F39DA257F54B6, "intro_screen_wait" },
    { 0x4228DE2CAAAF8533, "intro_setup" },
    { 0x3B34EA3D50A96056, "intro_setupanimatedfarahscope" },
    { 0xAD93EEE3BC971FA7, "intro_setvolumetricdepth" },
    { 0x5F53BFB807E49DE8, "intro_skip_monitor" },
    { 0xECBFED5CADEB50C0, "intro_slamzoom" },
    { 0x5635DD9A2F987F85, "intro_sledge_put_away" },
    { 0xAC65262C105B82B2, "intro_spawn_enemies" },
    { 0x6E29E5C1CC88E400, "intro_spawnanimatedcinderblockallies" },
    { 0x8187B58030497606, "intro_spawnanimatedphoneally" },
    { 0xA8070CB84A2D37E0, "intro_spawnanimatedstairsally" },
    { 0xFA9F085CA63E1271, "intro_spawnbomb" },
    { 0xE9C21B517CAB2017, "intro_spawnflare" },
    { 0x556DF9E31C983B04, "intro_stairsanimationscenelogic" },
    { 0x61F8E08CE43BA92C, "intro_stairsanimationwaittillscene" },
    { 0x50B235BBD44FB81F, "intro_stakeout_dmg_trig_monitor" },
    { 0x7A53C6F0C4B3469C, "intro_stakeout_door_clip" },
    { 0x84F913B93023757A, "intro_stakeout_enemy_monitor" },
    { 0xA472766E4F3B94A1, "intro_stakeout_fire_weapon_check" },
    { 0xD8CE989B774E9E22, "intro_stakeout_holster_weapon_check" },
    { 0xEF31F660D3C39C6E, "intro_stakeout_kitchen_clip" },
    { 0x8A2933E8A11797CF, "intro_stakeout_landing_clip" },
    { 0x23ECEDEA5D45A600, "intro_stakeout_main" },
    { 0x3B03F34929ABB548, "intro_stakeout_player_movement" },
    { 0x9275CD14A5F0DF23, "intro_stakeout_player_muzzle_discipline" },
    { 0x28AC494A7FD4BD6E, "intro_stakeout_stairs_clip" },
    { 0xB6C0C6098C9665FD, "intro_stakeout_swap_butcher_vehicle" },
    { 0x1D3CDAB7EAE786F5, "intro_stakeout_wait_swap_butcher_vehicle" },
    { 0xAFF476919B53C11A, "intro_stakeout_weapon_select" },
    { 0x1544BA1023752AC0, "intro_stakeout_window_monitor" },
    { 0x133A4A5DCC63CE67, "intro_standoff" },
    { 0x28FBA1F305F1962A, "intro_standoff_nag" },
    { 0xA05CA6BB1FBF58E6, "intro_start" },
    { 0x5C74357F6BAF8AE7, "intro_started" },
    { 0x6190E2730A634FD1, "intro_stop_car_if_too_close" },
    { 0x4B623AC3A23A9CB1, "intro_street_lamps" },
    { 0xD704B027C780DD1A, "intro_street_marine_group_a_advance_scene" },
    { 0x778E266CE7B61C43, "intro_street_marine_group_b_advance_scene" },
    { 0xC9B432DF3696EF28, "intro_street_marine_group_c_advance_scene" },
    { 0x8B11E575E96B53CD, "intro_street_player_movement" },
    { 0x457121033043CA31, "intro_technical" },
    { 0xA36DAA9947478A8D, "intro_techos_deposit_backseats" },
    { 0x208A203DBC7EEE83, "intro_techos_deposit_fullcar" },
    { 0x958F2EA9118CE48C, "intro_tripwire_defused_monitor" },
    { 0x15E5EA0D140473A8, "intro_truck_anims" },
    { 0xDD35B826FB1F106C, "intro_truck_fx" },
    { 0xD6708E03CAABE3BA, "intro_truck_handler" },
    { 0xF1FC9D79F8904127, "intro_truck_treadfx_handler" },
    { 0x61324A9A296AFA75, "intro_velocity" },
    { 0xE3A0FE7C93C2370D, "intro_vo_civs" },
    { 0x7C75AD3D4A7667EB, "intro_windows" },
    { 0x9C38FF574A096F7C, "introarmor" },
    { 0x90AEB7E023C0E0D6, "introcinematic" },
    { 0x1BEC815E71D2ECF3, "introdoorbreachmarines" },
    { 0x73C9812EF97A7BD2, "intromodel" },
    { 0x0937F975C6C47A65, "intronode" },
    { 0xCCBBAF22862035F9, "introscreen" },
    { 0xB538A54C5B5F4716, "introscreen_corner_line" },
    { 0x1B125975C11420EC, "introscreen_delayed" },
    { 0x4BD7DCFDF9936F3A, "introscreen_done" },
    { 0x22038AD0D313E312, "introscreen_overlay" },
    { 0x249FD775C2DF8754, "introscreen_text_func" },
    { 0xE3A73B538A59E770, "introsequence" },
    { 0x17AB96E713DC0928, "introsequence_marinewinner" },
    { 0xA286E8E4D6591712, "introsequence_opforwinner" },
    { 0x6AB7C2B0C8C38CA5, "introsunangles" },
    { 0xC5452C38A1D9C1BB, "introtag" },
    { 0xD7DD4891D6C05707, "introvisionset" },
    { 0x52DD1E29286C55F7, "intstruct" },
    { 0xCBB35FF9F2055ABF, "intvar" },
    { 0xA2CB81A171CF6A65, "inuse" },
    { 0x83D5003C44F53494, "inuseby" },
    { 0x19F25B4964D06034, "invalid" },
    { 0xA35C816FB0A86D16, "invalid_drop_weapons" },
    { 0xAB7E9F63BCF8FF2A, "invalid_for_teleport" },
    { 0xE33A7D63CF93C0FA, "invalid_gameobject_mover" },
    { 0x2E7F1D342CBBB129, "invalid_gesture_weapon" },
    { 0x2150055F4670527C, "invalid_path_points" },
    { 0x32C055365C3AC3E9, "invalid_spawn_volume_array" },
    { 0x35F4B16A6BCACA93, "invalidattachmentwarning" },
    { 0xCBF35259B0FDE5A8, "invaliditems" },
    { 0xCD476B26818CDEAF, "invalidparentoverridecallback" },
    { 0x33BDCE68D23A932E, "invehicle" },
    { 0x26A467B13260E339, "inventory_array" },
    { 0xEB90FB35165CBCBE, "inventory_nag" },
    { 0x44F106B00B7B362B, "inventorytype" },
    { 0x7D322828024A8563, "inventoryweapon" },
    { 0x072FD0EDFA661869, "invertangles" },
    { 0x0F370D6F523E463C, "inverted_pop_up" },
    { 0xD62036E4AF9C787F, "investgate_entity" },
    { 0xA2E99332CBB24C12, "investigate_entity" },
    { 0x01E669909C63D2B1, "investigate_fusebox" },
    { 0xECDA96752C73B336, "investigate_getcorpseoffsetpos" },
    { 0x0442EC2576734731, "investigate_getinitialpos" },
    { 0x4695CB6DCDEA3D51, "investigate_getuninvestigatedpos" },
    { 0x7125FDA3A532F72B, "investigate_init" },
    { 0x62D97E1FD7B07D73, "investigate_lookaround" },
    { 0xA61E40F5A1B87B86, "investigate_lookaround_init" },
    { 0x3F549059CC03F77B, "investigate_lookaround_terminate" },
    { 0xEF1B254C70C2135C, "investigate_move" },
    { 0x59AF89978D19BE07, "investigate_move_init" },
    { 0x3B0EABB4AC805C05, "investigate_move_setaimtarget" },
    { 0x96CD7C54D60F6620, "investigate_move_terminate" },
    { 0xCF22DDE9F9ED12D4, "investigate_move_updateaimtarget" },
    { 0x16B04F5F2A46BCB8, "investigate_oil_fire" },
    { 0x7B15820185A39239, "investigate_point" },
    { 0x89EC5650E7670631, "investigate_pos" },
    { 0xA2DBD3C3D27FE0A3, "investigate_sanitycheckinitialpos" },
    { 0x83AF8D682376D7C8, "investigate_setreaction" },
    { 0x3F1B1C602993858E, "investigate_setupruntocorpse" },
    { 0x5183E438E044145A, "investigate_severity" },
    { 0xA7730F6EC0CCB765, "investigate_shouldfacedecentdirectionwhenidle" },
    { 0x9F37A8446C069A91, "investigate_someone_using_bomb" },
    { 0x9B2C12FC4B36F3C3, "investigate_someone_using_bomb_update" },
    { 0xC9B6C73DC7A5DAAF, "investigate_targetedlookaround" },
    { 0xFED1715E546504CC, "investigate_terminate" },
    { 0x5EE346A25E754434, "investigate_updateeveryframe" },
    { 0xCF7B718113889447, "investigate_use_think" },
    { 0x7C9D4C27E3E26E9C, "investigate_volumes" },
    { 0x9C4CFE51207E3CEC, "investigatealias" },
    { 0x3A03B17E2DDADD7F, "investigatecallin" },
    { 0x5C60021E4B9AB7E4, "investigateendtime" },
    { 0x975C69A816977A08, "investigateevent" },
    { 0x902BCCFF86F8F194, "investigateevent_time" },
    { 0xAA1F6847EB6406A7, "investigatemaxtime" },
    { 0x0057CF6E172D2D3D, "investigatemintime" },
    { 0xD7EA6E2B2DCCD8A5, "investigateoriginguy" },
    { 0xAA4113BFDA86661F, "investigatepoints" },
    { 0x2336CF347ED453FB, "investigating" },
    { 0x1ABE96AD78315A68, "investigating_friendly_corpse" },
    { 0x05C86134691A7C95, "investigators" },
    { 0x41D609CA1DDC3A74, "invisible" },
    { 0x68A2305FCD0FE054, "invisiblenotsolid" },
    { 0x4756996395BF758F, "invisibleoutlineid" },
    { 0x9041AAD84CD6CBB7, "invuln_to_veh_crush" },
    { 0x8B9A7EC268D3AFFD, "invulnerabilityframe" },
    { 0xF438FA3C0083E23E, "invulnerable" },
    { 0x8756816CE6B5CD64, "invulnerable_airdropmultiple_ac130s" },
    { 0x011531F8E7F59744, "invultime_deathshieldduration" },
    { 0xD44B5BAF32ECFF9D, "invultime_ondamage" },
    { 0xAA1446882F093CC1, "invultime_ondamagemax" },
    { 0xAA3758882F2FAC0F, "invultime_ondamagemin" },
    { 0x7970E6A49334B52D, "invultime_onshield" },
    { 0xDCCBE78354EE64CA, "invultime_postshield" },
    { 0xA8F8BD612483C01F, "invultime_preshield" },
    { 0x0100402BE61E8FE5, "iprintln" },
    { 0xD55733A782411736, "iprintlnbold" },
    { 0xE23BC977EC3EC017, "ips_to_mph" },
    { 0x947F262AE0834FF6, "irish_luck_choose_random_consumable" },
    { 0x8AE99A4E019915FD, "irish_luck_consumables" },
    { 0x90D2295EBC5C940F, "irish_luck_consumables_gotten" },
    { 0xF67A1FB30489708E, "ironsight_off" },
    { 0x8653C7D6F08C5CF4, "ironsight_on" },
    { 0xDF2ED8B70C8357B6, "is3d" },
    { 0x11113F3021D05596, "is_a_player_near" },
    { 0x25865A91C6F72146, "is_above_player_in_shaft" },
    { 0x6019C3205EBA16C9, "is_action_slot_weapon_allowed" },
    { 0x29A173F96F8D49C5, "is_active_chained_oil_fire" },
    { 0x539AF27EF688D507, "is_ads_allowed" },
    { 0xF2FE2F88D98DEA1C, "is_afflicted" },
    { 0x2222B4C05743B2F7, "is_after_start" },
    { 0x3D9AE0D1DD138313, "is_agent_in_group" },
    { 0xE11B79615E4D1F52, "is_agent_scripted" },
    { 0xBC09176BD0EE0F86, "is_ai_facing_point" },
    { 0x559F0FE53F4480FA, "is_ai_in_stealth" },
    { 0xC323AD77F6D9DC11, "is_aimed_at_enemy" },
    { 0x5B90D15E4A3ED7AE, "is_aimed_at_target" },
    { 0xD727CD8819823729, "is_aiming" },
    { 0x5C02A10E9DBEBD9D, "is_aimming_at_enemy" },
    { 0xF1CC770C3074E27C, "is_aimming_forward" },
    { 0xED0ADC9B291B9DE7, "is_alien_agent" },
    { 0xB58FAB0DF6FDEE5E, "is_allowed_to_be_flashed" },
    { 0xAFD540BAB1E5DC26, "is_allowed_to_be_stunned" },
    { 0x6C219D9AF37B072D, "is_always_on_group" },
    { 0xEBE6605B94F85356, "is_ambient" },
    { 0x82710F5B603316FF, "is_ambient_idle_struct" },
    { 0x4F187F79A5AFE4E9, "is_ambient_scene" },
    { 0x9C3EC4DB929EB41B, "is_anim_enemy_engaging_player" },
    { 0x90EE7D73FC6AED2A, "is_antigrav_float_allowed" },
    { 0x522A09D8553BC0FF, "is_any_player_in_region" },
    { 0x58B94ADA8DBDDF22, "is_any_player_in_safehouse" },
    { 0xB8150894324837E7, "is_arc_death" },
    { 0x5BBA89942C556B44, "is_arcane_attachment" },
    { 0xA4F87930031929CE, "is_area_in_verdansk" },
    { 0x8A66C4C312FEA036, "is_armor_allowed" },
    { 0xF91E1F6F9CAFC688, "is_armored" },
    { 0x3A0DE46B6BE67588, "is_ascender_use_allowed" },
    { 0x20D5118BABF9F81A, "is_at_mine_moving" },
    { 0x06DD67C3E43FEB62, "is_attack_available" },
    { 0x57E969E856607ACC, "is_auto_brush_entity" },
    { 0x1AE81399A1DACC5F, "is_autoreload_allowed" },
    { 0x1F3DD4F0F22AE1DB, "is_available_for_hack" },
    { 0x8DB8CCE5EFAAF813, "is_b_better_defender" },
    { 0x2CE22C8A9B93696D, "is_bad_path" },
    { 0xED7309BC454C7F59, "is_being_revived" },
    { 0x118AC0C7A2A2C52A, "is_blocking_tank" },
    { 0xC8F0FE939B078E4B, "is_bomb_planted_on" },
    { 0xCA104E832E6117F1, "is_bomb_use_allowed" },
    { 0xF52CC21E39536FA5, "is_burning" },
    { 0x338D7315D88F3571, "is_capturing_current_headquarters" },
    { 0x6D9DD767FE6A2062, "is_capturing_zone" },
    { 0x48AEB2584EE5A00F, "is_casual_mode" },
    { 0xE17FAB801EE518F6, "is_cg_drawcrosshair_allowed" },
    { 0xE057ECA8987BBB7D, "is_cheap" },
    { 0xFE327B9BB6ED7F77, "is_chem_burning" },
    { 0x74E77EDF9C3E9361, "is_cinematic_motion_allowed" },
    { 0xDFFF3F2ECFA2E423, "is_civilian" },
    { 0x48E946A66C407A4B, "is_clear_in_front" },
    { 0x2C32861081B0DFDF, "is_clientmatchdata_data" },
    { 0x89FA3E0AF8B07C76, "is_clientmatchdata_struct" },
    { 0xF0EA3730C827B94B, "is_clip_nosight" },
    { 0xDB5D2B929D9F047E, "is_cloaking" },
    { 0x38CC5D8076BEBB3F, "is_close_to_player_z" },
    { 0xC12F321F14040499, "is_cluster_spawner_ideal_distance" },
    { 0x859827D51D1D5212, "is_coaster_zombie" },
    { 0xE8B2C5C7ACD77DC0, "is_codxp" },
    { 0x429D91C569018E4D, "is_collected" },
    { 0x42D5E63643903124, "is_combat_cooled_down" },
    { 0x841C9214CCF84DEC, "is_command_bound" },
    { 0x7E6FF98027A1B06F, "is_completed" },
    { 0xB5D54F89DB08A2B4, "is_consumable_active" },
    { 0xD7E12E69F82B7280, "is_controlled" },
    { 0xCF27742A732512FC, "is_controlling_uav" },
    { 0xDE646498D50A8DAC, "is_convoy" },
    { 0xDF6762ADFF80D4C7, "is_correct_bomb_id" },
    { 0x17B4A3FFEE471E58, "is_correct_wire_color" },
    { 0x3CBD902B0069577A, "is_correct_wire_color_sync" },
    { 0x63CA7B1B391DC59B, "is_cough_gesture_allowed" },
    { 0xF877B0079F7CB65E, "is_cover_node" },
    { 0x62FDAA4B4CA92686, "is_cp_raid" },
    { 0x4A148286662878B3, "is_crafted_trap_damage" },
    { 0x4D48A9D1EC62618A, "is_crate_use_allowed" },
    { 0x655E70D306325DE5, "is_createfx_type" },
    { 0xF9326B83DCD0053E, "is_critical_ai_target" },
    { 0x195CF556E6B2EBCB, "is_crouch_allowed" },
    { 0xADC04D5E1881E31A, "is_cs_model" },
    { 0x8A4D4EE8A0FFD4E1, "is_cs_script_origin" },
    { 0xC46DF167B78B270E, "is_cs_scriptable" },
    { 0xDD1CC31E04B3F823, "is_cs_trigger" },
    { 0x1B6307192F65A29A, "is_current_solution_correct" },
    { 0x34CD40B2AC2AC1FA, "is_cut" },
    { 0x9D462AA1EC9EA022, "is_damagefeedback_enabled" },
    { 0xD440A66630BB4FE6, "is_dark" },
    { 0x9426B9783D33E5E4, "is_daylight_savings" },
    { 0x0BC443665880DA60, "is_dead" },
    { 0x6B635EF351218A06, "is_dead_or_dying" },
    { 0xD94054D45FDE2897, "is_dead_sentient" },
    { 0x521DDE3D8CAD0C13, "is_death_allowed" },
    { 0x380DB84587B6C1C6, "is_deathsdoor_audio_enabled" },
    { 0x0BCD4A66588B0873, "is_deck" },
    { 0xF6104260443EC415, "is_default_attachment" },
    { 0x91225C93C6BCB5B4, "is_default_start" },
    { 0x67F72F107AC98CD5, "is_defending_bombzone" },
    { 0xDE60182FB62482D3, "is_defusing" },
    { 0x0B8F4E6658466D7D, "is_demo" },
    { 0x170EE7430C1F0A47, "is_demo_python_anime" },
    { 0xEFD5F271CC86B792, "is_detonated" },
    { 0x2FECD0ADFD504530, "is_dialogue_on_cooldown" },
    { 0x73D52C8D161BB621, "is_different_target" },
    { 0xB05BC0CF97AAEC97, "is_divisible_by" },
    { 0xA54120E7AD2CA4B9, "is_dof_script_enabled" },
    { 0x32BBAAB8D51299AC, "is_doing_infil" },
    { 0x7CEC636198FC0751, "is_done_speaking" },
    { 0x974BD7CDC1C0955E, "is_door_already_open" },
    { 0x3BD17F19FA27880E, "is_door_spawn" },
    { 0x55738AB05CE8AC78, "is_double_door" },
    { 0x15445EBF272C3DAC, "is_doublejump_allowed" },
    { 0x2D299C5E8F2091D9, "is_dropping_hostage" },
    { 0xE54B4F1BF4209234, "is_electrified" },
    { 0x1C2420C318C3C354, "is_eliminate_drone_attack_available" },
    { 0x3E34F4EFA13DBEE6, "is_elite_attack" },
    { 0xB7F7C159E7CB8CA8, "is_emp_damage" },
    { 0x80732918185E1DD9, "is_emp_weapon" },
    { 0x507C5777AB1AE93C, "is_empd" },
    { 0xE5DEFCBD8815695C, "is_empty_or_none" },
    { 0x57DBF1CB4FBD7799, "is_empty_string" },
    { 0x65D0F4DAF0BB1429, "is_enemy_dangerous" },
    { 0xEC48DFFADAADD9B0, "is_enemy_highest_score" },
    { 0xE4F5C631E221D4FB, "is_enemy_of_type" },
    { 0xBFCD2089BFF65A1A, "is_enemy_onscreen" },
    { 0x4A915D29CCDBBCD6, "is_enforcer_target" },
    { 0x47C91207A489C85D, "is_enforcer_threatened" },
    { 0xFCE3D12D0B53B2B0, "is_ent_filtered_out" },
    { 0x06732050DEFE8E9B, "is_ent_or_struct" },
    { 0x6EC37FBAD41E108E, "is_equal" },
    { 0x63279C326362CD3C, "is_equipment_slot_allowed" },
    { 0xDE48C45AA8C4B025, "is_event_active" },
    { 0x67BC183AC41B9914, "is_event_completed" },
    { 0x8383F9DF49433CFC, "is_event_repeating" },
    { 0x59D48F42225F9707, "is_exploder" },
    { 0x2572EEB370B17E2F, "is_explosive_damage" },
    { 0x3A0172AC625C4116, "is_explosive_kill" },
    { 0x936F6856F1504944, "is_explosivedamage" },
    { 0x3A972F5EFD731155, "is_eye_tracking" },
    { 0xDA4BD469106F3918, "is_fact_str" },
    { 0xF7AD060E7427F440, "is_fakeactor" },
    { 0x060AB8DEFF1333B5, "is_fakeactor_node" },
    { 0x58851467C769098C, "is_far_from_team" },
    { 0xF63BC6129E11684F, "is_fast_traveling" },
    { 0xF06F01F054BC4685, "is_fire_allowed" },
    { 0x6691EDD68C37B5D7, "is_first_start" },
    { 0x1A37680D5D4DE77A, "is_first_time_high_tier" },
    { 0x79DA96AAAF9272FE, "is_first_vehicle_in_convoy" },
    { 0x118692E1F5BA68B0, "is_flare_on_ground" },
    { 0x12E7429CBF6985C9, "is_flash_weapon" },
    { 0xE52B7E444618E4A2, "is_flashbang" },
    { 0x44E68890911F3D3C, "is_flir_vision_on" },
    { 0xD0A887AC1005C65C, "is_footstep_react" },
    { 0x5AE7A1B7780B5A27, "is_frantic" },
    { 0x919B6DDF020D9ADB, "is_friendly_damage" },
    { 0x301DFC5E89D8E36A, "is_friendly_dmg" },
    { 0x2A53BAB7DEA81612, "is_friendly_fire" },
    { 0x3B655B122FAABB8E, "is_friendlyfire_event" },
    { 0x8711D9166B4453B1, "is_from_animsound" },
    { 0x6BBFCFB2D350E5F3, "is_gas" },
    { 0x59FB8794BA097FA2, "is_goal_crowded" },
    { 0x54DCF8C3E87BA4D3, "is_goal_reached_func" },
    { 0x3F17F542D9C8EFA4, "is_goal_volume_ahead_of_vehicle_to_push" },
    { 0x65B7C2FC6E367C37, "is_godmode" },
    { 0x6620B546D1B2EE21, "is_goon" },
    { 0x7B0400CFDBC6D733, "is_greater_than_equal_to" },
    { 0xB1DE15DA9C1586CE, "is_grenade_near_cursor_hint" },
    { 0x139CCD5308398A80, "is_group_active" },
    { 0x940EE6DD7AF7F254, "is_group_dead" },
    { 0xA926B4D18075FAB5, "is_gun_raised" },
    { 0xBC8D66AEB361BCC7, "is_hands_allowed" },
    { 0xB24C77BB33499F52, "is_hardcore_mode" },
    { 0x839C392AB3D042A0, "is_head_tracking" },
    { 0x97A3A89983B47C71, "is_health_regen_allowed" },
    { 0x53D2E7FED3B5C4B7, "is_heirarchy_good" },
    { 0xDB2A47732CC42B2E, "is_helicopter_player_occupied" },
    { 0x37DC480BDBD19C57, "is_helmet_spawn" },
    { 0xA11D169994196DF7, "is_hero_player_within_reticle" },
    { 0xACF6AFBFA9657134, "is_hidden_from_heli" },
    { 0x436357762F5FF4C2, "is_higher_priority" },
    { 0x4C937C160A4302E4, "is_hive_explosion" },
    { 0x52404EC1B15D0BCD, "is_holding_deployable" },
    { 0x5D7DF571B33CFF9D, "is_holding_pistol" },
    { 0x16DE72329905EDE4, "is_hostage_oob" },
    { 0xAA6F40B3475E6D8B, "is_human" },
    { 0x1A57A85D054EDDEC, "is_idle" },
    { 0x63BDB6245EAD563C, "is_ied_identified" },
    { 0x941F5362F179542A, "is_ignore_claimed" },
    { 0xD90305A6691A6CDF, "is_in_active_volume" },
    { 0x3D2412C03C3D4013, "is_in_adjacent_volume" },
    { 0x1A3B3A79257528F9, "is_in_antigrav_grenade" },
    { 0xE4527C69E22D0A57, "is_in_array" },
    { 0x40CDCB5CD9DAEFBC, "is_in_callable_location" },
    { 0xA802CD22284F8BF2, "is_in_combat" },
    { 0x47BD58B010CB1801, "is_in_combat_volume" },
    { 0x31FA93D47796F717, "is_in_gas" },
    { 0x4E968EFA6E15FCE1, "is_in_kill_zone_or_under_bridge_zone" },
    { 0x6604D7D55AA1E083, "is_in_pap" },
    { 0x95F55AA7EE3B8D08, "is_incompatible_weapon" },
    { 0xE2AA0B3EA0C50B0C, "is_indoor_map" },
    { 0xEF37F058B7260A6E, "is_indoors" },
    { 0xEC439D658418E701, "is_indoors_vehicleignored" },
    { 0xB65968FD4CB7CA5C, "is_inflictor_a_carepackage" },
    { 0xD16E7E6669306813, "is_input_allowed_internal" },
    { 0x7CE1AE0DC222194D, "is_instant_use_munition" },
    { 0x2221BBCA9D0462F1, "is_interact_node" },
    { 0x7848A45A89A61AEC, "is_interact_struct" },
    { 0x9BDF823B93B4A3FA, "is_interaction" },
    { 0xB086DB35F1740FC9, "is_invulnerable_from_ai" },
    { 0x638374895493AB84, "is_jugg_dead" },
    { 0x5026B3ACC1F911D9, "is_juggernaut_aitype" },
    { 0x75C6B5047EEF8371, "is_jump_allowed" },
    { 0xC8BA5EE790E8C29F, "is_kidnapping_player" },
    { 0xFA9815B9BAAF61D1, "is_killed_by_kill_trigger" },
    { 0x78A82C5EF94E222D, "is_killstreak_valid_for_swat" },
    { 0x662AD3F312632E8D, "is_killstreak_weapon" },
    { 0x043B5D2AEA4EB252, "is_killstreaks_allowed" },
    { 0x4E56B827110DDA4D, "is_ladder_placement_allowed" },
    { 0x3490FDBDC326450D, "is_last_none_player_vehicle_in_convoy" },
    { 0xBD2E7B50E36E8B9C, "is_lastlevel" },
    { 0xC131FC3DA5B31D2E, "is_launcher" },
    { 0xE409694EE661CBCD, "is_lean_allowed" },
    { 0xAB8EE544FEAF0668, "is_left_door" },
    { 0xC84C4BBEF0659B41, "is_level_escalation_sufficient" },
    { 0x51987CE3589B64DE, "is_light" },
    { 0xC53121F69A7710CC, "is_light_entity" },
    { 0x79A6C47C745FD586, "is_lightswitch" },
    { 0x3B7D6E5E3C273AA5, "is_linked_struct" },
    { 0x831476C9FB9DE037, "is_linked_to_target" },
    { 0xF4601AFFBC45329C, "is_locked" },
    { 0x164826D56345C26D, "is_looking_at" },
    { 0x8DD94A46FC799A03, "is_looking_at_range" },
    { 0x73C5F113A05981F7, "is_lower" },
    { 0x90BAF997699F8262, "is_main_pilot" },
    { 0xFC073C9F71AF2F46, "is_mantle_allowed" },
    { 0xD5027473E132BA7A, "is_map_using_locales_only" },
    { 0xA769807B0BBED015, "is_matchdata_struct" },
    { 0xA5CAC75B456BF351, "is_melee_allowed" },
    { 0x71B1238057774BD7, "is_melee_weapon" },
    { 0x10E9BC14675E0431, "is_minimap_forcedisabled" },
    { 0x8711CA8CA14B735E, "is_mod_attachment" },
    { 0xFF3C4CCB00EC26D5, "is_module_active" },
    { 0x5C1A4B2EEDF49A59, "is_molotov_barrel" },
    { 0x443034F86DA3DEA8, "is_mount_side_allowed" },
    { 0x0BE056C530F39310, "is_mount_top_allowed" },
    { 0xE2116BCE232DB400, "is_moving" },
    { 0x468981B5B216FF97, "is_moving_platform_train" },
    { 0x766EAA9501A140BF, "is_mp" },
    { 0x8D94E4A93826CB1A, "is_my_group_an_active_module" },
    { 0x227CC47C196E7B74, "is_near" },
    { 0xFFF6CF52D26C0DC7, "is_near_long_death_pos" },
    { 0x4829E02B519301B4, "is_new_target" },
    { 0x42C546BD2D3B85BD, "is_new_weapon" },
    { 0xD5243C1FB9A737A7, "is_no_game_start" },
    { 0x2736317DFF92A20F, "is_no_nerf" },
    { 0xB5D4E1EF8EBC08E4, "is_no_squad" },
    { 0x39EA1EF50CF050EB, "is_normal_upright" },
    { 0xBA93106D2B0D3DC0, "is_not_safe_from_smoke" },
    { 0xF27D02E523526934, "is_nvg_allowed" },
    { 0xD5A7833DB205C131, "is_nvg_off" },
    { 0x0606C4D4E994A1D5, "is_nvg_on" },
    { 0x0B72ADED898A0A9F, "is_object_allowed_in_gametype" },
    { 0x641710985471EF20, "is_objective_active" },
    { 0x83D11B1BF3DCC563, "is_obstacle_in_way" },
    { 0xFAAF58ECDFBE6A56, "is_offhand_primary_weapons_allowed" },
    { 0xF35E65168B4507AA, "is_offhand_secondary_weapons_allowed" },
    { 0x67F5FF43A7E24877, "is_offhand_shield_weapons_allowed" },
    { 0x2A76089AD0DA6FCB, "is_offhand_weapons_allowed" },
    { 0x7665A09501970C13, "is_on" },
    { 0x5A5857638EBDDC77, "is_on_platform" },
    { 0xC8C81873B176E357, "is_on_technical_path" },
    { 0x912C6CB89CE71987, "is_one_hit_melee_victim_allowed" },
    { 0x04B0AA97ABE812FE, "is_one_player_near_point2d" },
    { 0x26D4E97A5EB77773, "is_opened" },
    { 0x08FA495B9387CC23, "is_operations_gametype" },
    { 0xD26DC2F411B0771A, "is_outlined_from_scoperadar" },
    { 0xECB87F2477C62F30, "is_p_ent" },
    { 0x8AC2D22AC3FF2B3B, "is_pacifist" },
    { 0x3121FD417B54C875, "is_pap_attachment" },
    { 0x56F2EBF32100D1F8, "is_pap_camo" },
    { 0xF87D353B8B3EA12C, "is_part_swapped" },
    { 0x030582E5C86F30DB, "is_partial" },
    { 0x5D178718A33EEB2F, "is_passive" },
    { 0x9E9288DD50FC79B3, "is_patroller" },
    { 0x3BB221BF99252CC2, "is_performing_sequential_scene" },
    { 0x9C424C13A9FF60B6, "is_perk_attachment" },
    { 0xAE28A7D8C0606CF0, "is_permitted_guided_interaction" },
    { 0x0D18B5C9D7ED31DF, "is_place_clear" },
    { 0xDB8C07B85CF34A49, "is_planting" },
    { 0x8A79918546D82653, "is_player" },
    { 0xAEB1479F936BB6AE, "is_player_allowed_to_airdrop" },
    { 0x3257F5BB5D50424E, "is_player_care_package_owner" },
    { 0x20B295C27F6FE215, "is_player_carrying_special_item" },
    { 0x119313D831700756, "is_player_damage_disabled" },
    { 0xD97BFBF037376621, "is_player_gamepad_enabled" },
    { 0xAAD0F7F25D7C591E, "is_player_in_aggro" },
    { 0x7F8C29F71C3B4F62, "is_player_in_focus_fire_attacker_list" },
    { 0x12317D7CF0B29AA7, "is_player_looking_at" },
    { 0x1F7EF56753F39BA7, "is_player_looking_at_camera" },
    { 0x5E84BD08B39F0B0E, "is_player_looking_at_interact" },
    { 0x75BA0078F51BEF91, "is_player_looking_towards_cart" },
    { 0x6D4EFC0930A793D4, "is_player_moving_forward" },
    { 0xC7C6FA3791EB8720, "is_player_on_ladder_with_distance_check" },
    { 0xD9D56E77732C0B82, "is_player_part_exposed_to_chopper_boss" },
    { 0x63ACA4ED26991DEC, "is_player_part_exposed_to_enemy_turret" },
    { 0xEA8FAE0327111158, "is_player_part_exposed_to_sniper" },
    { 0x50C606F4D9FBD765, "is_player_playing_dialogue" },
    { 0x22637A31707938F7, "is_player_pushing_stick" },
    { 0x4CC51A28B47E2D32, "is_player_using_snakecam" },
    { 0x57DBE1A8A7DC3398, "is_player_valid_for_team_proximity" },
    { 0x0CAA381B49BF6614, "is_playing" },
    { 0x336D079CBE21E9C5, "is_playing_alert_music" },
    { 0x17A0466F6DC0A438, "is_playing_pain_breathing_sfx" },
    { 0xD3982A00D32F1D99, "is_playing_random_idle" },
    { 0x407FDE0EAE120256, "is_playing_reaction" },
    { 0x4261E04B734C8D7E, "is_playing_vo" },
    { 0x618A15A20B76ADE2, "is_point_in_any_volume" },
    { 0x1685FB1C43BA90F5, "is_point_in_cylinder" },
    { 0x3F9FDF22C76F3D06, "is_point_in_front" },
    { 0xC34F28195688BEE9, "is_point_on_right" },
    { 0x9AA964F32445F3F8, "is_police" },
    { 0x8B481974D0CB7ACA, "is_pos_in_front" },
    { 0x6B04DE7F349F053A, "is_pos_vo_source" },
    { 0x74B6EF0C22D3157D, "is_position_in_group" },
    { 0xB508987DC5AE068E, "is_position_open" },
    { 0xCC3A5CAB35224146, "is_precalculated_entrance" },
    { 0x0864FA0C9188EEDD, "is_primary_equipment_button_down" },
    { 0x23E73ADD75DFD747, "is_primary_equipment_in_use" },
    { 0x065C8A3BECE3F154, "is_primary_melee_weapon" },
    { 0x17FB9FA91E348DA3, "is_prone_allowed" },
    { 0x8DE1A273E7537A85, "is_protecting_current_headquarters" },
    { 0x69EDCA03B84AB00A, "is_protecting_flag" },
    { 0xBDE5C35C42E2659E, "is_protecting_zone" },
    { 0x631F381960D8933B, "is_pushed" },
    { 0xAB88E63125355059, "is_pushing_vehicle" },
    { 0x6F40282F798CEAC9, "is_putting_on_disguise" },
    { 0x03023934CD6FD131, "is_pyramid_spawner" },
    { 0xB8409DA554D85B72, "is_queue_at_max" },
    { 0x9BB2977C54839286, "is_raid_gamemode" },
    { 0x208DDCF9F427E243, "is_ramming" },
    { 0x4C9D041CD96B625A, "is_red_barrel" },
    { 0xAE6941DA3874AA92, "is_relative_target" },
    { 0xC601DC0EA1EEC6B1, "is_relative_threatened" },
    { 0xDECCCB0AC5969FDC, "is_relic_active" },
    { 0xB6DE4D2EED30D035, "is_relic_collat_dmg_active" },
    { 0x813586B426C8D45C, "is_relic_swat_active" },
    { 0x2739E8724B84C3A0, "is_relics_enabled" },
    { 0xD30C324FB578C4F0, "is_reload_allowed" },
    { 0xC4DD7662C648BAC6, "is_reserved" },
    { 0x87A12F2C4AF1EA87, "is_respawn_loc_near_alive_enemies" },
    { 0x7D640288F24AD617, "is_respawn_loc_near_available_players" },
    { 0xC429D68E9D8309A9, "is_ricochet_damage" },
    { 0x6148FC5C227FFF76, "is_rider" },
    { 0x17FCD3C7CBE90325, "is_riding_hel" },
    { 0xAA090C6571724024, "is_riding_heli" },
    { 0xDA8F3F67B10AD814, "is_riding_vehicle" },
    { 0x18F819E19EF158F9, "is_right_door" },
    { 0x501ACE101C9738BC, "is_roomtype_valid" },
    { 0xEB65C108AE3F4AB4, "is_same_combat_action" },
    { 0x55147DFDDB64C518, "is_same_group" },
    { 0x378ADE5E5058AA94, "is_scoring_disabled" },
    { 0xA1CB395CF5D15AA0, "is_script_weapon_switch_allowed" },
    { 0x90C2AE59B24B52BB, "is_scriptable_healthy" },
    { 0xC90E8E14674EBA67, "is_scriptable_heirarchy_good" },
    { 0x558002FE46940516, "is_scripted_agent" },
    { 0x0B1953903E519D55, "is_secondary_equipment_button_down" },
    { 0xD3AB2D13A8D753EF, "is_secondary_equipment_in_use" },
    { 0x04E97AE519CD1994, "is_segmented_health_regen_disabled" },
    { 0xF4385DE67AB38F46, "is_self_detonating" },
    { 0x257C24BBDF648CED, "is_shellshock_allowed" },
    { 0xCD2AC7BA506A28E7, "is_shooting" },
    { 0xDDB18E9CA0E4A9ED, "is_showing_stealth_meter_to" },
    { 0xCF38DF576D370399, "is_skeleton" },
    { 0xA28A70510A6532B0, "is_slide_allowed" },
    { 0xB3FD78AFFEF320D6, "is_snipe_kill" },
    { 0x4D3D0CC13EEC0AD4, "is_so_stars_enabled" },
    { 0x75F7C5E705F48ECA, "is_soldier_agent" },
    { 0xB9C833994472171A, "is_spawner" },
    { 0x59C86A81F2109D2F, "is_spawner_disabled" },
    { 0x13E2B3B4C0C0EE9A, "is_spawner_ideal_distance" },
    { 0x0708077270A3EF83, "is_spawner_initialized" },
    { 0x49884B70E0C138B5, "is_spawner_position_valid" },
    { 0xA7BD71627DBF01A9, "is_spawner_towards_objective" },
    { 0x269C3B7EBB7D663F, "is_spawnid_a_less_than_b" },
    { 0x616B626D6256A144, "is_speaking" },
    { 0x04FE342C705BF39B, "is_specified_unittype" },
    { 0x5CF45FE0BC848AAE, "is_specops_gametype" },
    { 0x05130E3D305E5745, "is_spitter_gas" },
    { 0x0EA355AACB29EA3E, "is_spitter_spit" },
    { 0x35CCF6124BEE87C6, "is_spot_taken" },
    { 0x3DA1C6C85C8CCA79, "is_sprint_allowed" },
    { 0xDAD0CF7B10420155, "is_stand_allowed" },
    { 0x8DDBB4E2A59CF822, "is_standing" },
    { 0x5868B201728E06D2, "is_state_interact_struct" },
    { 0xA378391CBD64B878, "is_state_interaction" },
    { 0xEA048C762B6609E5, "is_station_active" },
    { 0xA46B47BD7DB476FE, "is_station_track_available" },
    { 0x99A51DC0E6150183, "is_stealth_sequence_activated" },
    { 0x67FF3178BFF2D008, "is_stealthy" },
    { 0x99CE5EE7F4063C48, "is_stick_kill_allowed" },
    { 0x710941CD77F3B8F8, "is_struct_in_front_of_me" },
    { 0x26DA4086F584B86A, "is_struct_perk_machine" },
    { 0xC31E97F3905A8E31, "is_subway_car_deployed" },
    { 0x26FFC9D36D568E64, "is_suicide_bomber" },
    { 0xE9BAB775C9BE22B1, "is_suicidebomber" },
    { 0xA09208EBDE08CE35, "is_supers_allowed" },
    { 0x938641F60259EFF7, "is_tactical" },
    { 0x9E4C22809F3F8054, "is_talking" },
    { 0x4BD27262C541AF9B, "is_target" },
    { 0x495496AAAE1E07AA, "is_target_goal_valid" },
    { 0x7AA4DCD2969D49ED, "is_target_in_view" },
    { 0xD624499BE258C22A, "is_technical_rider" },
    { 0x191C2BDA1CC94CCB, "is_technical_stopped" },
    { 0x91CC23D8B6FAF8A8, "is_this_a_valid_node" },
    { 0x154C433B14FC042C, "is_tmtyl_interrogationvo_playing" },
    { 0x0E8548A573EF0D68, "is_too_dense" },
    { 0xE263B9613ED5DB7F, "is_torso_tracking" },
    { 0x38AFA01EAF0D55FE, "is_touching_any" },
    { 0x58AC0CEC8E6181BA, "is_tower_touching_trigger" },
    { 0x72640DD72E5126FA, "is_train_ent" },
    { 0x5FCB5C7E0E59B160, "is_transient_createart_enabled" },
    { 0xED7CB4E876FFD3A1, "is_trap" },
    { 0xF9C7AB69845FABFE, "is_trials_level" },
    { 0xADCD8CED3E1C08DC, "is_trip_defused" },
    { 0xEDD497E8776060A6, "is_true" },
    { 0x7E293600A095390A, "is_true_print" },
    { 0x4B128D31D4D78A70, "is_turned" },
    { 0x389C3691D249F1DA, "is_two_hit_melee_weapon" },
    { 0x7C75CFF5FEE38F87, "is_unlocked" },
    { 0x393B1561DED6F97C, "is_upgrade_enabled" },
    { 0x38549E747EA3FB93, "is_upright" },
    { 0x0CC52A82E34F228B, "is_usability_allowed" },
    { 0xF2ED34E94849A92D, "is_using_behaviortree" },
    { 0x1DA9B8129D5DC9C6, "is_using_blackhornet" },
    { 0xB176C92776550C0B, "is_using_extinction_tokens" },
    { 0xB38683DBC01C7E1D, "is_using_flashlight" },
    { 0x7B394FDEA61A3090, "is_using_forcegoal_radius" },
    { 0xD5BEF6600B3D7BF8, "is_using_gl" },
    { 0xEA7035386D4545A4, "is_using_nvg" },
    { 0x0616E39AAC691298, "is_using_stamina" },
    { 0x2EF161FAB48941D6, "is_using_stealth_debug" },
    { 0x6F7B6C48A18D3E9C, "is_valid_achievement" },
    { 0x2DE1A60B77E3A3DB, "is_valid_clientside_exploder_name" },
    { 0xBA55222E04F605FD, "is_valid_give_type" },
    { 0xD10D7A0F1B044629, "is_valid_perk" },
    { 0x58FC25A895268AB4, "is_valid_player" },
    { 0x5DC7C872ED677AB3, "is_valid_respawn_spawnpoint" },
    { 0xD130B03E8E31BC2F, "is_valid_rule" },
    { 0xE1BA14916751C1A3, "is_valid_station_name" },
    { 0x7B75D636DCDA518E, "is_valid_track_name" },
    { 0x1FF3A9C0CB7BCE2F, "is_valid_weapon_hit" },
    { 0x786B33B222290583, "is_van" },
    { 0x40BB7220EDFFF28B, "is_vandalize_attack_available" },
    { 0xCEEA70920A0AA3FF, "is_vehicle_spawner_ideal_distance" },
    { 0x226FDF2397627520, "is_vehicle_spawnpoint" },
    { 0x441EB2C53717F809, "is_vehicle_use_allowed" },
    { 0x2F8F386EA504503C, "is_visible" },
    { 0x6C2E831014D58C30, "is_visible_to_player" },
    { 0xC3874BBA020D3F4C, "is_vo_bucket" },
    { 0xBC2F9F7CFF832768, "is_vo_line" },
    { 0x85186DBED266CDC1, "is_vo_system_busy" },
    { 0x1922B37C229ABF5E, "is_vo_system_paused" },
    { 0xCBB2ABEA453ABA42, "is_vo_system_playing" },
    { 0x47330504E2DA316C, "is_wallrun_allowed" },
    { 0xE7C690947D9E3C07, "is_wave_exist" },
    { 0xAAB6375E770CB436, "is_wave_gametype" },
    { 0x46BE8A9111F7A143, "is_wave_hud_enabled" },
    { 0x173CDCEF98D27099, "is_weapon_allowed" },
    { 0x3DF0456F535E2AC2, "is_weapon_first_raise_anims_allowed" },
    { 0x6C0978F9D0ED8620, "is_weapon_pickup_allowed" },
    { 0xFD36A01C2ACED38D, "is_weapon_purchase_disabled" },
    { 0x4AC94AE684E8693B, "is_weapon_scanning_allowed" },
    { 0x66772E817D63CB70, "is_weapon_switch_allowed" },
    { 0x8025655BAC0D950D, "is_weapon_switch_clip_allowed" },
    { 0xCC2F36D3D154D856, "is_weapon_unlocked" },
    { 0x1CE2B91C33463D4B, "is_wearing_armor" },
    { 0x14F8EA0F0F475EDD, "is_weight_a_less_than_b" },
    { 0x1F94E4169C50DFEC, "is_yelling" },
    { 0x8D7F204A3EAE2406, "is_zombie_agent" },
    { 0xB6665A0163D2A1D3, "isac130" },
    { 0xD85DA9DC7E9641A9, "isaccesscard" },
    { 0x092CDF8451F960A8, "isactivated" },
    { 0x79351FADE102DCD3, "isactive" },
    { 0x2082017C94CEA79D, "isactorwallrunning" },
    { 0x1183AF9C0E182E99, "isadditionalstreamposready" },
    { 0x470E21B7ADB0E746, "isadestructable" },
    { 0xF0C0CD926BDF41ED, "isads" },
    { 0xFCD30E9938AAB9DC, "isaffectedbyblindeye" },
    { 0x928A745F7350025A, "isagent" },
    { 0x39B5244237FB7965, "isagentvip" },
    { 0xDFF8B9B70D60D62B, "isai" },
    { 0x1A5E0F50ADDEB222, "isaigameparticipant" },
    { 0xC50C7481976C791E, "isaimedataimtarget" },
    { 0x6B18A2DF07B24F14, "isaimedsomewhatatenemy" },
    { 0xAEA4B0A745BC242E, "isaiming" },
    { 0xFE9EBFA1DAF2E179, "isaimingatreticle" },
    { 0xAD8CD04CA8D04F28, "isairdenied" },
    { 0x0F78E98FAF870722, "isairdrop" },
    { 0x97C00880C53085B8, "isairdropmarker" },
    { 0x43587CDEE4130685, "isairkillstreak" },
    { 0xA6A9A8262B4357DC, "isairlockdoor" },
    { 0x3E815E8AA69A32A3, "isairplane" },
    { 0xC604470A321B3D1D, "isairplane_internal" },
    { 0x22C17DDEEC57AC53, "isairstrikekillstreak" },
    { 0xEA2040BCD08A1C07, "isaiteamparticipant" },
    { 0xF16DF87C5E5BB1F8, "isakimbo" },
    { 0x3ADD241B8C7DE108, "isakimbomeleeweapon" },
    { 0xDA0BB05BC2B98105, "isalientrapturret" },
    { 0xA8A49EFF0E521042, "isalienturret" },
    { 0x18C261D4FDBEF322, "isalive" },
    { 0x16E9DD8985ACA8D5, "isalliedcountryid" },
    { 0x435B4C167A566D90, "isalliedmilitarycountryid" },
    { 0xB2AA8FF1CAB4A6A8, "isalliedsentient" },
    { 0x6FC46D6BC77A4047, "isallowedweapon" },
    { 0xC9FDED038F96C133, "isally" },
    { 0xB636CCB259B0AFB6, "isaltbunkerscriptable" },
    { 0x52D4BBF6CF9EE801, "isalternate" },
    { 0xAD7A433C5FDC0E1E, "isalternatemode" },
    { 0x79A826D39881E773, "isaltmodeweapon" },
    { 0x6BDF7110E0D0E20D, "isalwayscoverexposed" },
    { 0x479E5DB47B30AF8C, "isambientspawningpaused" },
    { 0xD7630C0399008C73, "isammo" },
    { 0x68C2FDC0BDEF2897, "isangleoffset" },
    { 0x3A21AB1ABB6F3EB7, "isanimating" },
    { 0x3A25C41ABB736B89, "isanimation" },
    { 0x8CD675CC82B8AB5C, "isanimblocked" },
    { 0x7803CE69E4EEF7B6, "isanimdeltaallowed" },
    { 0xE3E0318BEB4B3C5E, "isanimlooping" },
    { 0x0E0F508213A67BD6, "isanymlgmatch" },
    { 0xAEFE64FEAA6CEB14, "isanymonitoredweaponswitchinprogress" },
    { 0x7C699B41DF2E05D4, "isanyonealive" },
    { 0x9B1B56540DBCE18D, "isanyplayertouching" },
    { 0xCC7823D7FC7DBA97, "isanyreliableweaponswitchinprogress" },
    { 0x32476AD40C6D9E9B, "isanytutorialorbotpracticematch" },
    { 0x8C565A31726C8627, "isapache" },
    { 0x4AC3A833FE2C0B53, "isapcblockedbyplayer" },
    { 0x5407F2A0B81E9C9D, "isapctooclosetomine" },
    { 0xA396F68235A24628, "isarchetype" },
    { 0x131B1A5E319535AC, "isarena" },
    { 0xCA38C026C1478DD2, "isarenamap" },
    { 0xC4233D4053FC83A4, "isarmcrate" },
    { 0x86577B5E85C03A28, "isarmor" },
    { 0x05219B52DB21E6AC, "isarmorbetterthanequipped" },
    { 0x8394434D22319554, "isarmorplate" },
    { 0x3982CF5D9216534A, "isarray" },
    { 0x2A33ADE9D34D7366, "isarrivaltype" },
    { 0x9CADEAFCCDC1E6B7, "isarrivaltypecivilian" },
    { 0xFA269567AC38CC8B, "isasniper" },
    { 0x8D3645ED514730AA, "isassaultdrone" },
    { 0x393E89D5BE8A2984, "isassaultdronekillstreak" },
    { 0x44FB239F19F74890, "isassaulting" },
    { 0x5672DD438C06AAFA, "isassaultkillstreak" },
    { 0x2DC23C96945F9AA7, "isatcovernode" },
    { 0x8206161CB3674306, "isattachmentgrenadelauncher" },
    { 0x10A37EF90C095460, "isattachmentselectfire" },
    { 0x6E9EA07DF505DCF6, "isattachmentsniperscopedefault" },
    { 0x787AD6EB15997F3D, "isattachmentsniperscopedefaulttokenized" },
    { 0xCDDE7098CEB4F390, "isattachmentvariantinvalid" },
    { 0x9165A1BCF8EEBB73, "isattachmentvariantlocked" },
    { 0xEF81C96EF7BCA5D2, "isattacker" },
    { 0x3840F92A92906015, "isattackerwithindist" },
    { 0xC857D80A538F0A07, "isattacking" },
    { 0x4F9F707A93134F1A, "isatvalidlongdeathspot" },
    { 0x4EEB5403F1E559EA, "isauto" },
    { 0xA1D2176A5349E0ED, "isautouse" },
    { 0xC0C872DBE0066017, "isaxeweapon" },
    { 0x2532AFEFB43B3752, "isbackkill" },
    { 0x998B957242400227, "isbadguy" },
    { 0x00F4E04CAB5DCBFB, "isbadspawn" },
    { 0x3E05C3DDBA54B62C, "isballdronekillstreak" },
    { 0x761AB2FC9B2665CF, "isballisticspecial" },
    { 0x4647D1F38AAB5FD4, "isballweapon" },
    { 0xDB7C22B51113261D, "isbarrel" },
    { 0x2E13C350C246A363, "isbasejumpavailable" },
    { 0x517AC5CC0E530EED, "isbashing" },
    { 0xEA1376495BEABE26, "isbeam" },
    { 0x7677358913B7A62D, "isbecomingzombie" },
    { 0x8E28D9B9B320295B, "isbehindmeleevictim" },
    { 0xD1A7B1FC96945566, "isbeingcaptured" },
    { 0xF648A6E2AA084964, "isbeingmarked" },
    { 0xECAA707ECB6581F1, "isbeingused" },
    { 0x89CE1DA866729A53, "isbestplayertime" },
    { 0xAE9E35B784FB0531, "isblinded" },
    { 0x2887907A37F41ED0, "isblindedby" },
    { 0x18C7BB4412E298F7, "isblocked" },
    { 0x354A88A1AE97D097, "isbnetigrplayer" },
    { 0xFF9C96AD6730BB8A, "isbnetkr15player" },
    { 0x944E97491D83DBBA, "isbolt" },
    { 0xAEFC31F952258B9F, "isbombcarrier" },
    { 0xD406EAF8863FA847, "isbombgametype" },
    { 0xFA42F10DCF44913A, "isbombmode" },
    { 0x97C92FF13A62DCEA, "isbombplantweapon" },
    { 0xC5FE95729584A216, "isbombsiteweapon" },
    { 0x8E751CCBD25EB290, "isbonus" },
    { 0x5A2546A6D41A0029, "isboosted" },
    { 0x671EA0099FF80590, "isboredofnode" },
    { 0xB043FCC70EEC7D38, "isbossheli" },
    { 0x1C2935928BA5D0C2, "isbot" },
    { 0x64991DD2B7EE86AF, "isbotmatchmakingenabled" },
    { 0x18DDB4837835D904, "isbotmedicrole" },
    { 0x82DCD7B03F0A0CC8, "isbotpracticematch" },
    { 0x8F2838C19B47519E, "isbountyevent" },
    { 0xDB368D11CFA0BD42, "isbradley" },
    { 0xCA0DB90CB0C27BB6, "isbreachableinit" },
    { 0x617E55F8CD62150C, "isbreaching" },
    { 0xA4BAE35BAC743A4E, "isbrgametypefuncdefined" },
    { 0x9C32CCD5A2751C14, "isbrsquadleader" },
    { 0x8A510C83ECB35FBC, "isbuiltinfunction" },
    { 0x3F16845C60D220DD, "isbuiltinmethod" },
    { 0x6FC96A17BD0AB088, "isbulletdamage" },
    { 0xF8F8B8342E25837A, "isbulletpenetration" },
    { 0x4798BA717D0AB0B9, "isbulletweapon" },
    { 0xB8E0A759391B1BDC, "isbunkeraltenabled" },
    { 0x168691989B75AB94, "isburning" },
    { 0xC6C779ADB3601611, "isburstweapon" },
    { 0x0FFE4B80507F0FE0, "isbuttonmash" },
    { 0x23B14FAE6489C47A, "iscacmeleeweapon" },
    { 0x42075584C47984DD, "iscacprimaryorsecondary" },
    { 0x91FF8792ACED8928, "iscacprimaryweapon" },
    { 0x6E251A8B920E0A4B, "iscacprimaryweapongroup" },
    { 0x641E1832534F5260, "iscacsecondaryweapon" },
    { 0x97A3B3E97AE2D4C3, "iscacsecondaryweapongroup" },
    { 0x511694D3935E3BB6, "iscaliberattachment" },
    { 0x14C15459CCBCEF17, "iscallouttypeconcat" },
    { 0x91CB1EA0285C85D9, "iscallouttypeqa" },
    { 0x18E2FCABDE830F19, "iscallouttypereport" },
    { 0x0E8F3EF7E593C677, "iscapturegametype" },
    { 0x50758008C74081B6, "iscapturing" },
    { 0xA9D4989939CB99F5, "iscapturingcrate" },
    { 0xE552D231A93340E0, "iscarepackage" },
    { 0xEDD1F45BFD8EFBE3, "iscarriablescriptable" },
    { 0x3BF675490873BCFE, "iscarrygametype" },
    { 0x0B4B5478CAD39324, "iscarrying" },
    { 0x83DF6B4881EEE916, "iscarrykillstreak" },
    { 0xE43609348DABE33E, "iscash" },
    { 0xB9D96A58BE7FC372, "ischangingweapon" },
    { 0xE7E43FBB47CDAE78, "ischargetoreadycomplete" },
    { 0x1367B66B1833D6C4, "ischeckingadsmarking" },
    { 0x11868FE1F3340FF0, "ischilled" },
    { 0xDB46515AA6D23B8F, "ischoppergunner" },
    { 0x9EDE877C3720E50B, "iscinematicloaded" },
    { 0xD0860C69E8E4022C, "iscinematicplaying" },
    { 0xFD3ECB30240755BC, "iscivilian" },
    { 0x28B08AE703DBB0D8, "isclasschoiceallowed" },
    { 0x011132865CB5174D, "iscloseinouterradius" },
    { 0xB0102A6E2D30BA0A, "iscloseto" },
    { 0x2D83C51DE7728CE5, "isclosetogoal" },
    { 0xB0E84AD713364E0B, "isclusterstrike" },
    { 0x8DE0B990E193ACF6, "iscodecorrect" },
    { 0x11C5E25641FC76EB, "iscombating" },
    { 0x8F38634959192C12, "iscombatpathnode" },
    { 0xBB84B797079A5EF6, "iscombatscriptnode" },
    { 0x406CCD839615949E, "iscomplete" },
    { 0x2BC84D8EF74547F4, "iscompletednaturally" },
    { 0x488E87972EC24E3F, "iscompletelydead" },
    { 0xBE88C4AFA6C80D12, "isconfirmed" },
    { 0xFFD1B2A9EFBE4C8F, "isconsoleplayer" },
    { 0x5EDA0125B65696CD, "isconsumableitem" },
    { 0x917E66662AF557E1, "iscontender" },
    { 0xB82499D69469CE23, "iscontrolled" },
    { 0xE69DFF552C08F39F, "iscontrollingproxyagent" },
    { 0x2A69AE0D8884436C, "iscooked" },
    { 0x2A0F9A825EAFC8E3, "iscopiedclass" },
    { 0xFED097BEB75B89FD, "iscorempgametype" },
    { 0xA9E8624A630D8A49, "iscosmeticitem" },
    { 0xB39DE29E03FC4ED1, "iscoverblockedbywall" },
    { 0xCA72723C01DEA4C2, "iscovercrouch" },
    { 0x8895A2C2DF3CE1B6, "iscoverinvalidagainstenemy" },
    { 0x7BE21388023F5FBC, "iscoverleft_crouch" },
    { 0x925CCA8EEE882F5A, "iscoverleft_stand" },
    { 0xFEE4F7BDB29FDEB1, "iscovermultinode" },
    { 0x833CC3F27DD75D13, "iscovermultiswitchrequested" },
    { 0x4DD204395A80AB30, "iscovernodetype" },
    { 0xF047AEB2A8DFFC2A, "iscovernodevalid" },
    { 0x070661632FFCF111, "iscoverright_crouch" },
    { 0xF1823B5F6FF1CAC5, "iscoverright_stand" },
    { 0xB15761423E73BA9C, "iscoverstand" },
    { 0xCD39FFD7D03BB4BE, "iscoversuppressed" },
    { 0x2E0A61F63CC1B5BE, "iscovervalid" },
    { 0xDC83DAA4D1EB7A5F, "iscovervalidagainstenemy" },
    { 0x3F4706804ECD433F, "iscovervalidforlmg" },
    { 0xE001CCB70D6B1EA2, "iscp" },
    { 0xBE4D31FA5C48C228, "iscqbwalking" },
    { 0x15781C047D75997D, "iscqbwalkingorfacingenemy" },
    { 0x524F894B0F3AFD1C, "iscrashing" },
    { 0xA3FBE228083E36AE, "iscrawldeltaallowed" },
    { 0xF4157D8EAD1643F5, "iscriticaldamage" },
    { 0x15A7A37E0CF96906, "iscrossbowbolt" },
    { 0xEB3CA4CA0736DE00, "iscrossbowdamage" },
    { 0x14A829387119DAD0, "iscrossbowspecial" },
    { 0x0F021A928280B210, "isctf" },
    { 0x2044642E85837DD4, "iscurrentenemyvalid" },
    { 0xA75CD4124B1223A8, "iscurrentspectatetarget" },
    { 0x02C137B0A6E2208E, "iscurrentweapon" },
    { 0xAC5C1A7AA84949FA, "iscustomweapon" },
    { 0x3501F532ECBA7857, "isdamagelocation_back" },
    { 0x8387F948D5BDEFFE, "isdamagelocation_head" },
    { 0x4AA0BDE61AE719CA, "isdamagelocation_larm" },
    { 0xC49974EE9AA19E70, "isdamagelocation_larmcrouch" },
    { 0xED3E76E69337E5EC, "isdamagelocation_lleg" },
    { 0x1539EDBF4CF10F7C, "isdamagelocation_rarm" },
    { 0xCD011ABF181E0C16, "isdamagelocation_rleg" },
    { 0xBDD1702737374497, "isdamagelocation_torso" },
    { 0x959D3C5FE4F407C4, "isdamagelocation_torsocovercrouch" },
    { 0xFAA16C8DFCC00170, "isdamageweapon" },
    { 0xB26FCBDD66740D0E, "isdaylightsavings" },
    { 0x2E7F3F7A787206FB, "isdead" },
    { 0xF5705E9BE5391447, "isdeafened" },
    { 0x4015111047896956, "isdeathfromabove" },
    { 0x46B62C8F9E98CE52, "isdeathmachine" },
    { 0xF3BC67B1BA37F1BC, "isdeathshieldskippingenabled" },
    { 0xDDBB1E81F071BC93, "isdebuffedbyweapon" },
    { 0x249462563676BCF9, "isdebuffedbyweaponandplayer" },
    { 0xDE9426BD1E623CD1, "isdedicatedserver" },
    { 0xB96688C8A0B509EE, "isdefender" },
    { 0x35E9C63941DB10E3, "isdefending" },
    { 0xACDBBF76415A326C, "isdefusing" },
    { 0x922D52AE868FE556, "isdeploying" },
    { 0x8D809057824DAB21, "isdepot" },
    { 0x219770A6B0BC0514, "isdeserteagle" },
    { 0x0AF69E82F76B5C00, "isdestroyed" },
    { 0x8A1C47933B0B2AEF, "isdestructibleweapon" },
    { 0x864EF6EC28FCC478, "isdevbuild" },
    { 0x14A06FF05BF32F68, "isdevelopmentspawningofbotclient" },
    { 0xBE9E3AB467A096FF, "isdirectunderbarrelhit" },
    { 0x83C0EE7BCD9D6F21, "isdisabled" },
    { 0x893E45D342B4BC81, "isdisconnecting" },
    { 0xC462AD09046B9036, "isdisconnectplayer" },
    { 0x8D28B21F27721342, "isdismembermentenabled" },
    { 0x7C088C03910E07FC, "isdismembermentenabledforplayer" },
    { 0x4A6656C0C71A4B66, "isdistantinouterradius" },
    { 0xF1F41C34BB440B2D, "isdmzbotpracticematch" },
    { 0x110A938EE7CAFC7E, "isdmztutorial" },
    { 0xB3FC380DC62B8374, "isdoingambush" },
    { 0x33F9E2E0A0594E87, "isdoingsplash" },
    { 0x68B59F2EB1CD45A5, "isdonetskmap" },
    { 0xB4A8C8A39EE39C95, "isdonetsksubmap" },
    { 0xA46082614F1423BC, "isdonewithsearchmove" },
    { 0x00EE0BE61EDDA108, "isdooropened" },
    { 0x305D87C0A0976F49, "isdoublejumpanimdone" },
    { 0x77B93DB852EF4488, "isdowned" },
    { 0xA3E029FF1C822785, "isdragonsbreath" },
    { 0xE82A1C27D1D2B5E1, "isdragonsbreathweapon" },
    { 0x97234291E9995F14, "isdriving" },
    { 0x89562E2F3F11820B, "isdronepackage" },
    { 0x38AA10F1F5EE9D1C, "isdroppablepickup" },
    { 0xF587331BD88CBAF4, "isdroppableweapon" },
    { 0x6B2989BFC261D754, "isdroppingweapon" },
    { 0x97A4853615108E0A, "isdualwielding" },
    { 0x0AD58C8941B84FD4, "isducking" },
    { 0x786D222E14489986, "isdummyarmcrate" },
    { 0x3974C4835F67FD2E, "isdying" },
    { 0xF01063C6535C5DE1, "isdynamicspawn" },
    { 0x72624A391A0DDA98, "iseitherofusalreadyinmelee" },
    { 0xF0C67A4FE024C95F, "iseligibleforteamrevive" },
    { 0xECED33657DD1F947, "isempd" },
    { 0x8B00E3AEA4E7E314, "isempdamage" },
    { 0xDF5B4633B47A93EA, "isempty" },
    { 0xD292FBFBD21DDEA9, "isendstr" },
    { 0x6B7B2D50F73C4E3F, "isenemy" },
    { 0xE772E50624CE83CF, "isenemyaware" },
    { 0x3284622C70F1D05C, "isenemyinfrontofme" },
    { 0xF24BC51A1C8F237D, "isenemyingeneraldirection" },
    { 0x7DEC6E93D706B185, "isenemyinlowcover" },
    { 0xB5E59EE5C3861900, "isenemynearby" },
    { 0xA3F08011B89B7744, "isenemyrightofme" },
    { 0x27E9578D1B9DC9DE, "isenemyteam" },
    { 0xB729F1E30B3A176B, "isenemyteamagent" },
    { 0x60C2154462987527, "isenemyteamplayer" },
    { 0xA77E33B673F2F6F9, "isenemyvisiblefromexposed" },
    { 0xBE4B5F54345FEC7D, "isenergyweapon" },
    { 0x2CC05E9298930E36, "isent" },
    { 0x862B4E9A4B769545, "isentasoldier" },
    { 0xF36E80BF5504F433, "isentignoredbyme" },
    { 0x185F0F99E557A5CD, "isentireteamvalid" },
    { 0xF645726AE0F68E5D, "isentitycarepackage" },
    { 0xC9A56EB66833D53A, "isentitydoor" },
    { 0x22AC05FC45ABB5D6, "isentitymarked" },
    { 0x3AC4A2B369E83792, "isentitypickup" },
    { 0xA7FD680D443FE02A, "isentityvehicle" },
    { 0xA60CD1B8607F6336, "isentityweapon" },
    { 0x14E123CF43359E12, "isentitywithincone" },
    { 0xC349721034E5C08D, "isentnotabomber" },
    { 0x807167589C541911, "isenumvaluevalid" },
    { 0x30AAD75E3042FE3B, "isenvironmentalinflictor" },
    { 0x19D41F8D164E4EC6, "isenvironmentalscriptableinflictor" },
    { 0xF3EB1DF411F68736, "isenvironmentweapon" },
    { 0x49A6909353CC94FC, "iseqenabled" },
    { 0xB56C1DF923D1EB8B, "isequipment" },
    { 0x77F8638F877A7CD1, "isequipmentlethal" },
    { 0xF53B8F8CA051E04B, "isequipmentprimary" },
    { 0xE9C5F570479920EF, "isequipmentsecondary" },
    { 0xF406F9E0550D6277, "isequipmentselectable" },
    { 0x002C5F703772F97A, "isequipmenttactical" },
    { 0x93FFE6DAB66C555D, "isevading" },
    { 0xE0DA376CDFA70EFE, "iseventcalloutsplash" },
    { 0xCD0307A4776152EB, "isexcessivescoreboosting" },
    { 0xD9D63BE1407FF713, "isexcluded" },
    { 0x7C25B0E7734501FF, "isexiting" },
    { 0xB9258535CD0B67C2, "isexplosiveantikillstreakweapon" },
    { 0xF968A6E992738F01, "isexplosivedamage" },
    { 0xECEEF82056E1540F, "isexplosivedamagemod" },
    { 0xEAE1FB31A5C90594, "isexplosivedangeroustoplayer" },
    { 0xEB25B703DE4D1AA8, "isexplosivemissile" },
    { 0xB0E19D22CC657C47, "isexposed" },
    { 0x5C0FC648F76F8F5E, "isexposed_crouch" },
    { 0xDFE4AAA8042AE806, "isexposed_prone" },
    { 0xC7297C7ACCEA052E, "isfacialstateallowed" },
    { 0xA98D1D8D1FED14A3, "isfacing" },
    { 0x033C76CCA65F8649, "isfacingenemy" },
    { 0xD4A0E79DCCE673B4, "isfactorinuse" },
    { 0x18A7F2C0E2F49682, "isfactorregistered" },
    { 0xEDA0FECBD8F14A4B, "isfactorscriptonly" },
    { 0x0213C317B9D5CE8F, "isfallback" },
    { 0x7CE17733BF2F4EAA, "isfallbackspawn" },
    { 0xC5EEC634A4D908D1, "isfauxdeath" },
    { 0xF2DA9EB533B1AC19, "isfeaturedisabled" },
    { 0xC9D909F053B4ED12, "isfeatureenabled" },
    { 0xEC754EF59D64455D, "isfemale" },
    { 0xA3F2ED3F67501C4B, "isffprotectedaction" },
    { 0xD4DF039D6786AB64, "isfightready" },
    { 0x5496E15C5DC94992, "isfiltered" },
    { 0x34C917244A9D4FAC, "isfireteam" },
    { 0xABA489205543F8CD, "isfireteamleader" },
    { 0xD90F68A0167DD7BE, "isfiring" },
    { 0xBFC3BABF6E5F87F8, "isfiringturret" },
    { 0x9CBA61B67B617A8C, "isfiringvehicleturret" },
    { 0xEA790D9E6E5C920D, "isfirstactivation" },
    { 0x5CD2FD2C9C328AAB, "isfirstround" },
    { 0xBE6254D5686C3D52, "isfistsonly" },
    { 0xD557353261B322A3, "isfistweapon" },
    { 0xEB8AA5A89B87B91C, "isfixednodeinbadplaceandshouldcrouch" },
    { 0x4AF5CBC31A43691D, "isflagcarrymode" },
    { 0x09B62B5CDE0D4C51, "isflagexcluded" },
    { 0x9D61BEA82A14926A, "isflashbanged" },
    { 0x2DF6B32DFEF65E34, "isflashed" },
    { 0x091334F89F7F9260, "isflashgrenadedamage" },
    { 0xCF6F9D278A961F93, "isflashing" },
    { 0x72EE6514D71D3FB9, "isfloat" },
    { 0x018B248DE929FFD4, "isflyingkillstreak" },
    { 0x5BC1D92B7699DE33, "isfmjdamage" },
    { 0xA9C6907340EC6E5C, "isforcedlaststand" },
    { 0xB9B67254203C0689, "isforcekillstreakprogressweapon" },
    { 0xDDCFC6EA5A0BAB96, "isforcesaving" },
    { 0xA814836294A444F1, "isforcingspecificlongdeath" },
    { 0xC5DAF2C3C01F370F, "isforgefreezeweapon" },
    { 0x756F0025D92293B2, "isfriendly" },
    { 0x84D816323A0258C6, "isfriendlyfire" },
    { 0x7AD3D3DF5849D2FD, "isfriendlyfireprotectedperiod" },
    { 0x4D99F0E5ED593003, "isfriendlyteam" },
    { 0xF85C9A2FF72948B8, "isfriendlytobox" },
    { 0x4019152A488B6F30, "isfriendlytosentry" },
    { 0xE79587A76AEC81CB, "isfromkillstreak" },
    { 0x6944487E34106A4F, "isfrozen" },
    { 0xC59741CC6BF87843, "isfuelreadingoptimal" },
    { 0x2EB971A9EBB9DA68, "isfull" },
    { 0x57F941A6C3324CAA, "isfullsoldier" },
    { 0x5422EA0EC806AC45, "isfunction" },
    { 0xA8DDE94D6774E612, "isgamebattlematch" },
    { 0x724E2DD614DEC158, "isgamemodeweapon" },
    { 0xFDC8F27235D3831C, "isgameparticipant" },
    { 0x563027AAA0A185C0, "isgameplayteam" },
    { 0xEB9F31E343582F9E, "isgasmask" },
    { 0x4376B8AF271C95F0, "isgesture" },
    { 0xC874868B27CE2DAF, "isgesturelooped" },
    { 0x08F3BA7AA1F0DD0E, "isgestureplaying" },
    { 0x26D0425E76BF8BAA, "isgimme" },
    { 0xA7B208F958013E5E, "isgivingup" },
    { 0x22A47B55AB4681DB, "isgl3weapon" },
    { 0x1F944D78747160EE, "isglassdestroyed" },
    { 0xAB29EE31C1683716, "isgodmode" },
    { 0xB27064DA046C69C7, "isgraverobberattachment" },
    { 0xC1FBD35CBF27A039, "isgrenade" },
    { 0xE8CA7467EDC39326, "isgrenadedeployable" },
    { 0xF92F105569F6F6C7, "isgrenadeinrange" },
    { 0xE0CE54DF76F89B40, "isgrenadepossafe" },
    { 0x2914BCEEC3A16E61, "isgrind" },
    { 0x6340222202917172, "isgroundspawner" },
    { 0x35C30262D8A814D0, "isgroundwarcoremode" },
    { 0x4B9A1A069CCF5524, "isgroundwardom" },
    { 0x1572D9166EA396DC, "isgroundwarinfected" },
    { 0x9173E0F84986C84F, "isgroundwarsiege" },
    { 0x53650589F7A84347, "isguest" },
    { 0x40908A15DEE73AB5, "isgulagpaused" },
    { 0x38D210BACF7B484A, "isgunblockedbywall" },
    { 0xB4F7CC8912FB3B5B, "isgungame" },
    { 0xC83546DC993D84DA, "isgungameloadouts" },
    { 0xE562344BFB537A58, "isgunlessweapon" },
    { 0x2DE61EB58706858B, "isgunship" },
    { 0xF402418FFF8F5BD5, "ishacked" },
    { 0xDF80DDAF89177AB4, "ishacking" },
    { 0x3D4F10BBB3F44100, "ishacknode" },
    { 0xA20F23AE954572C8, "ishackweapon" },
    { 0x908B185C2191500C, "ishairrunning" },
    { 0x6BD7F46284FE8ACF, "ishandle" },
    { 0x7411D9395943A3B6, "ishardpoint" },
    { 0x2E69F3FE6D0C7522, "isheadless" },
    { 0x21CF2447719A73EF, "isheadshot" },
    { 0x2F9A07CE0AE940C0, "ishealitem" },
    { 0xACF8C4C140519D97, "ishealthboosted" },
    { 0x7E141EE027D6BBA8, "ishealthregendisabled" },
    { 0x72DF16DB07F444A1, "isheli" },
    { 0x05618E71F16C8944, "ishelicopter" },
    { 0xFEB26C4750467DC4, "ishelicopter_internal" },
    { 0x1335F45421FDF189, "ishelicopterfull" },
    { 0x02CD32206908E883, "ishelikillstreak" },
    { 0x1CF7B84D577EF9C4, "ishelistruct" },
    { 0xDC6C098BB2A5BF04, "ishelmet" },
    { 0x61BF3B3439B2CC40, "ishelmetpopenabled" },
    { 0x56DC8C9CFF47A545, "ishelperdrone" },
    { 0x1BDA60C253CDD155, "ishidden" },
    { 0x22DD90A2918E3F10, "ishighdamageweapon" },
    { 0x14A9ADA2256DAECF, "ishighestscoringplayertied" },
    { 0xAF0D0F39FC4B4B67, "ishighjumping" },
    { 0x2396F335C5741AD5, "ishighladder" },
    { 0x7FC3A92A8DFC1DE9, "ishighnode" },
    { 0xA248D29E7073AC21, "ishighpriorityweapon" },
    { 0xC70FA4A09705B8BE, "isholdingbreath" },
    { 0x34228B3078E81BDC, "isholdingdeployablebox" },
    { 0x9417DF1FF2F2079A, "isholdinggrenade" },
    { 0x4D486897E3C6EA77, "isholidayweapon" },
    { 0xE2716FE8489ECDAE, "isholidayweaponusingdefaultscope" },
    { 0xE1A778DA9D7482A2, "ishome" },
    { 0x5A6A64C9794AD4AD, "ishorde" },
    { 0xE22B75DA9E05AF3B, "ishost" },
    { 0x36ADB0643C994FA5, "ishotjoiningplayer" },
    { 0xD744F4242DFEEAA7, "ishovering" },
    { 0x52EB8A306910741F, "ishumanplayer" },
    { 0x911ED6C13124520C, "ishuntedplayerabletobekidnapped" },
    { 0x23F01C12DB376E10, "ishunting" },
    { 0x75C72D92CE47C149, "ishvt" },
    { 0x27B183EC3DE5BBED, "ishvtqualified" },
    { 0xB45651BE5CCEB477, "isidle" },
    { 0x45CBE38FEE47F2DB, "isidlecurious" },
    { 0x22401627731E7B8C, "isidlescriptedanim" },
    { 0xB233A2C503396172, "isignoremeenabled" },
    { 0x2F9C979DB2183E0D, "isinarbitraryup" },
    { 0x11D938F170FC87A3, "isinarray" },
    { 0x6EA12B16E5C51AAC, "isinbadplace" },
    { 0xAEE5963C8D79E8D2, "isinbound" },
    { 0xF4C1E34765D47EF9, "isinboundingspere" },
    { 0x9EE1D78241940C9A, "isincircle" },
    { 0x0CD1C571B7E810AE, "isincombat" },
    { 0x1A1DF51EB449C40A, "isincontact" },
    { 0xFA4620B2DB022391, "isincover" },
    { 0x364573A63FDB3C32, "isindetectrange" },
    { 0xE08CC37FD00E419E, "isindoor" },
    { 0xCFA4F7139B71EF7C, "isinexecutionattack" },
    { 0x47A9783005DC7250, "isinexecutionvictim" },
    { 0x4A02A72627216315, "isinfected" },
    { 0x47FE22C683F35608, "isinfilgameplayteam" },
    { 0x10F7A0A120DDE568, "isinfiniteammoenabled" },
    { 0x337EB814D7F501A1, "isinfreefall" },
    { 0x9D6AB3620932D51D, "isingoal" },
    { 0x562423D45F62DCDF, "isinitialinfected" },
    { 0xDF112A8C6EB92CE5, "isinkillcam" },
    { 0xF65B8B6F3B14869A, "isinlaststand" },
    { 0x8034502A50D9EFE6, "isinlight" },
    { 0xA15F69588F8336CA, "isinmarkingrange" },
    { 0x5AE6568AACD4871F, "isinouterradius" },
    { 0xAB19169BB56CC169, "isinphase" },
    { 0x2DCB52D2ED959D5D, "isinposition" },
    { 0xA2927DB30185B7FE, "isinregion" },
    { 0x1B4C7002C657399C, "isinremotenodeploy" },
    { 0x52CD877850D57D9D, "isinrewardflow" },
    { 0x443B962DAA3D5115, "isinscriptedstate" },
    { 0x6117C51CDDAA5F52, "isinset" },
    { 0x0ED82341111FA39D, "isinshockhold" },
    { 0x69A0497BA5F7FB51, "isinside" },
    { 0x28C6C7A5DB9F5864, "isinsquad" },
    { 0x64BA0292C0D993C2, "isint" },
    { 0x6B6EA9CB782AA0BD, "isintournament" },
    { 0xB6BDCC1D1BEF47D5, "isinuse" },
    { 0x738C1546F982CDC2, "isinvalidzone" },
    { 0x109DEA53728EC4BE, "isinvehicle" },
    { 0xE68308AE393DF593, "isinventoryprimaryweapon" },
    { 0xE7CE106AEB82C6AB, "isinvestigating" },
    { 0x549D91F864FDC52E, "isinvulnerable" },
    { 0x6B04A821BA17757C, "isinzone" },
    { 0x22DAE82707E8B9A1, "isistring" },
    { 0x2D50C459C7D2B273, "isitemfull" },
    { 0x072344FEBE0FAE5E, "isitemslotopen" },
    { 0x0AF4CE53A5E49A87, "isitemunlocked" },
    { 0x0D6DA006A24CAD47, "isjackalenemyindoors" },
    { 0xD3CEB6A1680FB128, "isjailbreak" },
    { 0x17051655740FE24A, "isjailknife" },
    { 0xD0499A1689F90D01, "isjuggernaut" },
    { 0xD1FBBEBAC3A678F8, "isjuggernautdef" },
    { 0xBBE13CD67FAE3D5A, "isjuggernautgl" },
    { 0xC640B5D1737DD0A2, "isjuggernautlevelcustom" },
    { 0xB41A71F4084A442A, "isjuggernautmaniac" },
    { 0x594132785902BC30, "isjuggernautrecon" },
    { 0x018251245B13CCA9, "isjuggmodejuggernaut" },
    { 0x354CC5815D4E6D65, "isjuiced" },
    { 0x82472A3FD59ED647, "isjumping" },
    { 0x7B968A632B7329CF, "isjumpmaster" },
    { 0x5B5D59A84740EA3C, "iskilled" },
    { 0x0EBA9C0DC0472E83, "iskillstreak" },
    { 0x478D0A96F84E2CCC, "iskillstreakaffectedbyemp" },
    { 0xB63B5C968DB21E93, "iskillstreakaffectedbyobb" },
    { 0x62677D2311774622, "iskillstreakblockedforbots" },
    { 0xD206C52438644B06, "iskillstreakcalloutsplash" },
    { 0xC99829C54F2A8090, "iskillstreakdenied" },
    { 0x494DC942B3E1ED9C, "iskillstreakdeployweapon" },
    { 0xDD7294F399989B84, "iskillstreakitem" },
    { 0x5C0DB34616F501F1, "iskillstreakkillevent" },
    { 0xB565CB777E371005, "iskillstreaklockonable" },
    { 0x00B5765F3FBFE1B1, "iskillstreakvehicle" },
    { 0x8C58C0575C19A2E9, "iskillstreakvehicleinflictor" },
    { 0x363A0D249D67DE84, "iskillstreakvisibleforcodcaster" },
    { 0x9F3E75302E3F7853, "iskillstreakweapon" },
    { 0x6006455AA1ABFDA4, "iskilltradedamage" },
    { 0xAC646639527EA78B, "iskingofthehillactive" },
    { 0xE51864AC90CCA01D, "iskioskfiresaleactiveforplayer" },
    { 0x62E1AEB45AF62350, "isknifeonly" },
    { 0x2C270E1FD42FF3A1, "isknownenemyinradius" },
    { 0x9676E529FB0B4B2F, "isknownenemyinradius_tmp" },
    { 0xD07C2BFB56EF016D, "isknownenemyinvolume" },
    { 0x45659CF7A644B441, "islandmark" },
    { 0x86FD7058A228FEEE, "islaptoptimeoutkillstreak" },
    { 0x79620639794B3812, "islargebrmap" },
    { 0xA55EDFB1E2546A06, "islargemap" },
    { 0x819B5059703837B9, "islastcircle" },
    { 0x4599B64F3B0DCB3D, "islastnode" },
    { 0xA8B0FC75A6848A8D, "islaststandbleedoutdmg" },
    { 0x92A8348A2AC19B88, "islaststandenabled" },
    { 0xEC316E08F2CC9141, "islaststandskippingenabled" },
    { 0x7325DA9B4AF0BAD2, "islastwinbytwo" },
    { 0x5057D5B24BD64B93, "islauncherdirectimpactdamage" },
    { 0x01DAC19BCE4A6B2D, "isleaderboardsupportedmode" },
    { 0xED66AA32F3394D01, "islean" },
    { 0x290BF4444F33C63F, "isleaning" },
    { 0x7FC8420F8F986FC7, "isleaving" },
    { 0x10B1C1B8E838F9DA, "isleft2d" },
    { 0x869AEF82D03031A7, "islegacyagent" },
    { 0xED73A1A6807F7525, "islethalmeleeweapon" },
    { 0x670BAEE41049C785, "islevelweapon" },
    { 0x80773DBC998524FF, "islifelimited" },
    { 0xC93B36A78AAEC40F, "islightweightsoldier" },
    { 0x3193DFE64E15ADBC, "islinked" },
    { 0x7DDECC90305DADFC, "islittlebirdkillstreak" },
    { 0x5502E763F153F584, "isloadinganytransients" },
    { 0xAE85961055748E21, "isloadinggulag" },
    { 0x69D0ACF74B96CAB4, "isloadingsavegame" },
    { 0xE1BEF3EE2EE735B6, "isloadoutindexdefault" },
    { 0x773ADDC51A128552, "islocationmarked" },
    { 0x14C605E48B5FE2AF, "islocked" },
    { 0x0053E57B57F12902, "islockedinkidnapanim" },
    { 0xB38E999C04E7A92A, "islockedon" },
    { 0x4FA2A8B51626EF6F, "islockedonto" },
    { 0x03D180687F84532F, "islockonlauncher" },
    { 0x41133C301CA0C3C2, "islongrangeai" },
    { 0xBA46D7C8586F133E, "islongshotspecial" },
    { 0x48205345A4A77081, "islookatonly" },
    { 0xF3BE1CA4D76DFCD3, "islookingat" },
    { 0x15D50E903D00269A, "islowerbodyshot" },
    { 0xCE2D71970957AFB6, "islowonammo" },
    { 0x44971ABBABDF90A2, "islowthrowsafe" },
    { 0x0907AC7427F5B460, "ismanagerthreadthinking" },
    { 0x5E2AB0068E5BAD5D, "ismantling" },
    { 0x1896D42786C3A7F7, "ismapselectkillstreak" },
    { 0xF8669D6425EE5EF2, "ismark2weapon" },
    { 0x473D62FD33B06BE5, "ismarked" },
    { 0x804A690E2B9B70A8, "ismarkedtarget" },
    { 0x09BF1B2835EF349D, "ismatchpending" },
    { 0xBE5D96CB8649BC58, "ismatchstartprotected" },
    { 0x00C46656EE317794, "ismayhem" },
    { 0xD195F0A35C0DAA27, "ismelee" },
    { 0xBCE76221E0C7EB21, "ismeleeallowed" },
    { 0x929CECA97028F806, "ismeleedamage" },
    { 0xC7708390C83B4F84, "ismeleedefaultweapon" },
    { 0x53FB887EE8109B3C, "ismeleeenabled" },
    { 0xC803F85ABCFED831, "ismeleeing" },
    { 0x920E9AFC2454A409, "ismeleeonly" },
    { 0x5BBCEAE5CB18D3F7, "ismeleeoverrideweapon" },
    { 0xEFB25C7D119BB1BE, "ismeleerangevalid" },
    { 0x08E84377BA386A43, "ismeleevalid" },
    { 0x992DC050BD17E8E5, "ismeleevalid_common" },
    { 0x8A6462070C9D2AEE, "ismembersaying" },
    { 0xF6B6F2CE0C1AD19B, "ismeritunlocked" },
    { 0x5FB8569AD7CEC229, "ismicroturret" },
    { 0xBC9769CC7C8F2248, "isminigunweapon" },
    { 0xD176EA93DB1DBF97, "ismlgaerialcamenabled" },
    { 0x06E612AEE08B73FC, "ismlgfollowdroneactive" },
    { 0x2E6F55ECBF071DEF, "ismlgfollower" },
    { 0x850140D0692B9657, "ismlgfreecamenabled" },
    { 0x8F625298ED013B6E, "ismlgmatch" },
    { 0xC3C6E79825E9838D, "ismlgprivatematch" },
    { 0xDAC10D6AE53FA572, "ismlgspectator" },
    { 0x77D9BD1F53468714, "ismlgsystemlink" },
    { 0x969360D5F9D6DFD2, "ismoddedroundgame" },
    { 0x3DE5F96821C3F0F0, "ismortartargeted" },
    { 0xC56268803BF30C71, "ismountconfigenabled" },
    { 0x1F3FCCCFDE20C16E, "ismountdisabled" },
    { 0x8E62A8F3AF995D97, "ismovementfromgamepad" },
    { 0x92BAAE8BE94468E2, "ismoveright" },
    { 0xD95B52860359AF32, "ismovesuppressed" },
    { 0x5C28ADAEE10C167B, "ismoving" },
    { 0xE02DC8B70D9B7C3C, "ismp" },
    { 0x17F6A68A6B1BE827, "ismp_init" },
    { 0x2DB32F8EA0E9AA2F, "ismultiplicative" },
    { 0x496E78B9472C2359, "ismusicenabled" },
    { 0x58DA36D355045FF9, "isnavmeshkillstreak" },
    { 0x1BBFE434E7188CE6, "isnavmeshloaded" },
    { 0xA4A90A846B4DAD45, "isnavpointaccesiblefrombehinddoor" },
    { 0x26057AFBF0D6F86E, "isnearactivejugg" },
    { 0x2DC691AF741A6780, "isnearajuggdrop" },
    { 0x36E2A39DC6B2F1CA, "isnearanyplayer" },
    { 0x8809487A0BCA3859, "isnightmap" },
    { 0xDF8BC664F794195C, "isnightvisionon" },
    { 0x97B7CD428AE131D6, "isnmlactive" },
    { 0xCBA8A2C62794D080, "isnoclip" },
    { 0x4FDA996426233549, "isnode" },
    { 0xC9035978603F3D5E, "isnode3d" },
    { 0x27E73339D5B1F563, "isnodecover3d" },
    { 0xC4F17335E22375CA, "isnodecovercrouch" },
    { 0x44D5D80EBF39EDAA, "isnodecovercrouchtype" },
    { 0xC182C92DBEA4F945, "isnodecoverleft" },
    { 0x1D75481E4E814736, "isnodecoverorconceal" },
    { 0x8A536E06889ACEDE, "isnodecoverright" },
    { 0x85F8BDA05BAF6EC0, "isnodeexposed3d" },
    { 0x5424D7ECD54FE164, "isnodeinbadplace" },
    { 0x2A39239644A01B94, "isnodelmgmountable" },
    { 0x14848D3A990C7D7D, "isnodeoccupied" },
    { 0x750579E6E886C563, "isnokillstreakprogressweapon" },
    { 0x5777E76F57915DC7, "isnonentspawner" },
    { 0x8EBD366107F50B3C, "isnonequippable" },
    { 0x4E3F12792E590657, "isnoneweaponinflictor" },
    { 0x8B39DF04C18AAE89, "isnonnvgnightmap" },
    { 0x1BF215A5ACD8B642, "isnormallastweapon" },
    { 0x3F2964BC2E52A0F3, "isnormalloadouts" },
    { 0x4483235E4128E011, "isnotdoingwallruntransition" },
    { 0x3B6C1F62E5B9A1EB, "isnotinvehicle" },
    { 0x5F7E7C0704A12375, "isnotleanthreadmode" },
    { 0x061740B6008C5114, "isnukekill" },
    { 0xC8FAEFA04F41C504, "isnullweapon" },
    { 0x484F9A24E56E152C, "isnumber" },
    { 0x4C06312DEC401334, "isnumberandgreaterthanzero" },
    { 0x4D1ED4CB380188A1, "isnumbermultipleof" },
    { 0x579C4B4EE02AB3BF, "isobjectivebased" },
    { 0x881AC7F1887F7915, "isobjectivecontested" },
    { 0x32EB87FB67ED929E, "isobjectivegametype" },
    { 0x279D04BC41F2FCC8, "isobjectiveindanger" },
    { 0xB80A266A5F022FCB, "isocclusionenabled" },
    { 0x519C2B8359017C38, "isoccupiedbylmg" },
    { 0x14E63B2DEDCCCD69, "isoffhandweaponreadytothrow" },
    { 0xEE11EC641E10FB8D, "isofficer" },
    { 0x77EA1A3E7AD52878, "isonanystairs" },
    { 0x47BFB1DE8823161B, "isonemanarmymenu" },
    { 0x55C2144C2ADF9CCA, "isoneshotdamage" },
    { 0x0CD1B7C6288A63CF, "isoneteamleft" },
    { 0x05854427EC968B7F, "isonground" },
    { 0xC126FCCAEC23F3C0, "isonladder" },
    { 0x211CA1AF8B50BF6C, "isonlastkill" },
    { 0x7D7AB5CEA6CC0A5F, "isonobjective" },
    { 0x95403901630F2409, "isonornearstairs" },
    { 0x1FF702B637073876, "isonturret" },
    { 0xBDEF1C930308F7E7, "isoob" },
    { 0x0DA7F1D6AF926A9A, "isoobimmune" },
    { 0xFEACE0F79AFCFACD, "isopenable" },
    { 0x3DBCDE8F693BD953, "isopeningdoor" },
    { 0x52B232A4227D8643, "isoperationmerit" },
    { 0xFC6883BB1F8BB01F, "isotherplayersnearpoint" },
    { 0xD9ECAE415CCFA980, "isoutside" },
    { 0x1A2C699514DCAA62, "isovertimesupportedgametype" },
    { 0x1A8D418342FB6076, "isownercarepakage" },
    { 0x39679E3F5CC31466, "ispainted" },
    { 0x875DAF4E17FF692B, "ispainweaponsizelarge" },
    { 0x73A50AE2B8F17E9A, "isparachutegametype" },
    { 0x7E4C2D8873D23641, "isparachutespawning" },
    { 0xBF19835F22615D63, "isparachuting" },
    { 0x6D7CAAFBF8EECA6F, "ispartdismembered" },
    { 0x788E356A6352A1D6, "ispartiallysuppressedwrapper" },
    { 0x6585F3520B4CBA32, "ispassive" },
    { 0x35EBBB265522A2F9, "ispathdataavailable" },
    { 0x25E0F46AEE8F8DEB, "ispathdirect" },
    { 0xD93D99AFC8D22D58, "ispatrolpointstyle" },
    { 0xA2F0DBD6DF6C894C, "ispayloadautomaticallymoving" },
    { 0xDCFCA5872FE6945F, "ispayloadpaused" },
    { 0xC1864A58D7CC9FB8, "ispayloadstunned" },
    { 0x75A43CE5D923D115, "ispcplayer" },
    { 0x6908D2F4D7503B21, "isperformingmaneuver" },
    { 0xB36E9505D0370E54, "isperk_adsmarked" },
    { 0x68342127E48D16FE, "isperkinloadout" },
    { 0xFF5756CE5DD86F6D, "isperkpointpickup" },
    { 0x0657DAB15852EDBE, "ispickedupgrenadetype" },
    { 0x61CBE663555B1B44, "ispickedupweapon" },
    { 0x3720470A73B4780D, "ispickupblueprintloadouts" },
    { 0x0259C168027BF664, "ispickuploadouts" },
    { 0x7A9BA8A70F3610FF, "ispickupstackable" },
    { 0xD12C18F6FBD19805, "ispickupweapon" },
    { 0x8F5477F3E1337F24, "ispiloted" },
    { 0xCCD336C4F738AE3C, "isplaced" },
    { 0x53A86A8285A3F490, "isplacementplayerobstructed" },
    { 0x0EC6EB8584BE96A9, "isplanejump" },
    { 0xC2CC53AF3FDEC4D1, "isplantedequipment" },
    { 0x1E73C9833F0BF402, "isplanting" },
    { 0xC6CA4F563B2EDBB2, "isplatepouch" },
    { 0xAFE76380661D5C7F, "isplatformconsole" },
    { 0xB508E491906C9F13, "isplatformpc" },
    { 0x8F7453209F2FABB5, "isplatformps4" },
    { 0x033D2420F3F4C561, "isplatformxb3" },
    { 0x3BBA92C48CDB30EC, "isplayer" },
    { 0xCE53263E039B6D34, "isplayerabletobekidnapped" },
    { 0xEE33EC45A9923CAE, "isplayerads" },
    { 0x5B0DB2062C65D21C, "isplayerallowedforspawnlogic" },
    { 0x7D2980FBB265330F, "isplayerbrsquadleader" },
    { 0x038189921C8992D1, "isplayerffaenemy" },
    { 0xDD11C47D003D1CF4, "isplayerfocus" },
    { 0x1D0F11FD5BAD5637, "isplayerheadless" },
    { 0x2DB0E0A3A4720E23, "isplayerindanger_think" },
    { 0xCA31733F1818E4E1, "isplayeringulag" },
    { 0xEBECDA193DCCDF8B, "isplayerinorgoingtogulag" },
    { 0x61B01935B01C8AE2, "isplayerinsiderectangularzone" },
    { 0xAB2E7ADF4A81E251, "isplayerinsiderectangularzonebasedonent" },
    { 0x671DB90ADF42B17E, "isplayerkillstreak" },
    { 0x4846AB217920B5AD, "isplayerlinked" },
    { 0x48AAE964DA3FEF58, "isplayerloading" },
    { 0x9075EDDAEA12173C, "isplayermatched" },
    { 0xF40D47509782B774, "isplayernearme" },
    { 0xB0C436088FF8F2D0, "isplayernearsmartobject" },
    { 0x543B3163AF6EA69D, "isplayernumber" },
    { 0x73E668C0817BA0D2, "isplayeronenemyteam" },
    { 0x279E1F9568409D8E, "isplayeronground" },
    { 0x6F69FF66435206C8, "isplayeronintelchallenge" },
    { 0xB047676D20BC89DB, "isplayeroutsideofanybombsite" },
    { 0xC70E6E216F3DDDD7, "isplayeroutsideofcurbombsite" },
    { 0x7E2CC83ED98F9F95, "isplayerproxyagent" },
    { 0xB3E9245D85E74548, "isplayersniperhit" },
    { 0xAC39C7F0E2D1A87A, "isplayerstatwritable" },
    { 0xAB8A4057E80817D6, "isplayertargettedbyotherturrets" },
    { 0x95AFE82577DF680D, "isplayertimer" },
    { 0x380358A4CAA90370, "isplayerusing" },
    { 0xFD56543F10ACAC39, "isplayerusingbox" },
    { 0x2E45861AD64F7680, "isplayerusingtablet" },
    { 0x67B20899E01E166E, "isplayervalid" },
    { 0xB1F313F87FA2E297, "isplayervalidrespawntarget" },
    { 0x646DDCCB0CDE390E, "isplayervisible" },
    { 0xA1F82A9F65641CC9, "isplayerweaponatmaxxp" },
    { 0xE1875D424248FEE1, "isplaying" },
    { 0xF196283314941E9C, "isplayinganim" },
    { 0x697956B0D40DAFBC, "isplayingexitanim" },
    { 0xEF3AD6B27A30C5E8, "isplayingpushsound" },
    { 0x2C4074D7B32C416E, "isplayingsolo" },
    { 0x1C8AB4D3FDBA1FA5, "isplunder" },
    { 0xB9E03936E1014B7E, "isplunderextract" },
    { 0xA6F5F596A9E3B061, "isplunderextractionenabled" },
    { 0xC663D15B0A95E957, "ispointinbounds" },
    { 0xDDCBF9A69941C2A5, "ispointinboundsfallback" },
    { 0x484E2833B5443B77, "ispointincurrentcircle" },
    { 0xB257BFC1B1C38322, "ispointincurrentsafecircle" },
    { 0x078F435C32AA3284, "ispointinlane" },
    { 0x3080A4D08DA0D35E, "ispointinnextsafecircle" },
    { 0x29F5390F62EF88A6, "ispointinoutofbounds" },
    { 0x7C592F2E6B90F73E, "ispointinsafebounds" },
    { 0x0FAE65584EB45919, "ispointinsidecircle" },
    { 0xB6540A030A73B9E8, "ispointinvolume" },
    { 0x682E39141F434EF9, "ispointnearcurrentsafecircle" },
    { 0x185DCDDAD5127F53, "ispointnearpilot" },
    { 0x9480AACCA4F5B1B3, "ispointnearsoloascenderline" },
    { 0xC9D6B620E84D8544, "ispointonnavmesh" },
    { 0xA12FD4AC17D817A3, "ispointonnavmesh3d" },
    { 0xF60317DE2DE6ACF9, "ispointpaststart2d" },
    { 0x6FE431CFB097AF39, "ispoweritem" },
    { 0x1266FBE605E46923, "ispowersbuttonpressed" },
    { 0x234467964ED93E02, "ispowerweapon" },
    { 0xA1C0A51CE6F35F86, "ispredictedstreamposready" },
    { 0x5924D03BE18328C2, "ispreloadzonescomplete" },
    { 0x8BE72EFEE9104104, "ispreppinggrenade" },
    { 0x3ECF258167518F03, "ispresstofirstspawnmode" },
    { 0x2662A3FD91469A91, "ispreviewbuild" },
    { 0x2659C23088283501, "isprimaryweapon" },
    { 0xDFB2186136DECBED, "ispristine" },
    { 0xECE72671A54EE8DA, "isprogressionlevel" },
    { 0x87C9ADAC200883F8, "isprogressionmismatch" },
    { 0x6379DBC10AA0278B, "isprojectiledamage" },
    { 0xAD8E39D736EAE028, "isprojectilekillstreak" },
    { 0x876691F53BBDFF51, "isprophunt" },
    { 0xB997B70F425921E3, "isprophuntgametype" },
    { 0xA4FB6E5CA019FD45, "isprotectedbyaxeblock" },
    { 0x237D74FC4982B2CB, "isprotectedbyriotshield" },
    { 0xE5774856243EE461, "isps4player" },
    { 0x596FC404949FD4A7, "ispubliceventoftypeactive" },
    { 0x0C92BADE0DFECAE7, "isquestinstancealocale" },
    { 0xC403242B3D6B8695, "isquesttablet" },
    { 0x981D055378C94439, "isradarblocked" },
    { 0xDBE0BC7B1A68575B, "isradardrone" },
    { 0x28AA9B65C706A8A6, "isradarhelicopter" },
    { 0xF0DC81A674A8B5C2, "isradioline" },
    { 0x52E412942FA24FC4, "isragdoll" },
    { 0x1439ABB997579913, "isragdollzerog" },
    { 0x3C41DCAA52BF73CC, "israisingweapon" },
    { 0x955D2B96EC3DE133, "israllypoint" },
    { 0x996073B83B6EACA1, "israllypointvehicle" },
    { 0xAF2082CD29A99368, "isrambo" },
    { 0x1022C513E034439B, "israndomalphafiveloadouts" },
    { 0x1EBD7C450A65BA03, "israndomalphafourloadouts" },
    { 0xB3470FF33AE4B83B, "israndomalphaloadouts" },
    { 0x62628786FD9D0033, "israndomalphaoneloadouts" },
    { 0x36707B8747EC37DB, "israndomalphathreeloadouts" },
    { 0x8AA9C25D63745F1D, "israndomalphatwoloadouts" },
    { 0x61D46CAF58FBEBE8, "israndomarloadouts" },
    { 0x7A5161538B4C6ECB, "israndomblueprintsloadouts" },
    { 0xD9E63B1C4BFA0914, "israndomcustomblueprintsloadouts" },
    { 0x3588BEF0C2CF5C57, "israndomlmgloadouts" },
    { 0x9850E4E7B3D59623, "israndomloadouts" },
    { 0xBCC6E3F65EF43889, "israndomnoattachmentloadouts" },
    { 0xF7DB4F7233D74D18, "israndompistolloadouts" },
    { 0x158CC40FA280B8D7, "israndompreviewloadouts" },
    { 0x85D2918DC3064CCD, "israndomshotgunloadouts" },
    { 0xBB10F3662829EE6A, "israndomsmgloadouts" },
    { 0x055DC998D0D7CCB0, "israndomsniperloadouts" },
    { 0xBCCFA92D924DFBE8, "isready" },
    { 0x0831621A8792E885, "isreadytofire" },
    { 0x6EE3812E8E3AD4DD, "isrealismenabled" },
    { 0xDF0A4AA5F3855A9B, "isreallyalive" },
    { 0xC7FCBDEFCD84FA43, "isrearcriticaldamage" },
    { 0xC945E72D9AAF9AFB, "isrebel" },
    { 0x4CBDB07CE1D2CD66, "isrecoilreducingweapon" },
    { 0x5B39D308B129F1A8, "isreconmarked" },
    { 0xFA39BDE50E57FC79, "isrecordingenabled" },
    { 0xD00F3501436F0ACF, "isredeploykeepweapons" },
    { 0x39C627358A902C50, "isrefloot" },
    { 0x3BA61A60143CD71D, "isregistered" },
    { 0x4E4A63C9630674F7, "isregisteredevent" },
    { 0x205A5280917C4AC0, "isrelativeteam" },
    { 0xE82F28EDC34594C0, "isreliablyswitchingtoweapon" },
    { 0x1DA1DA85FE03A260, "isreloading" },
    { 0x9A6351B759BC90F1, "isremotekillstreak" },
    { 0xC9E21835273ABE89, "isremotekillstreaktabletweapon" },
    { 0x34062BFA1D43E7CD, "isremotekillstreakweapon" },
    { 0x6FF915341B08C7E0, "isrepairing" },
    { 0x684EAA2F240F7B60, "isresetting" },
    { 0xBB92D3335F9949A3, "isresourcekillstreak" },
    { 0x86F396DE15E4B15B, "isrespawn" },
    { 0x52C8265A355BD79A, "isrespawningfromtoken" },
    { 0x0D0C12A8E3F4928F, "isreturningtosafehouse" },
    { 0xC01C918F10C863DD, "isreviveenabled" },
    { 0x33D346071E624280, "isrevivepickup" },
    { 0x348AC1C24CD37270, "isrevivetrigger" },
    { 0x9BAD9DDC290E6A9F, "isreviving" },
    { 0xF08E660B21324AD5, "isridekillstreak" },
    { 0x2D4E12D54EB21C82, "isriotshield" },
    { 0xEDD635697302EBAA, "isriotshield_parachute" },
    { 0x9D1AD4FDD002E7A2, "isroundbased" },
    { 0x708DBF93F15703C8, "isrunning" },
    { 0x0A0837849B2BAEC3, "isrunningtovehicle" },
    { 0x2ABCB48E7521746F, "isrvsgungameloadouts" },
    { 0x11A24741E1EEBE96, "issaloonstyle" },
    { 0xFA10ECE5BC2B222D, "issameoffhandtype" },
    { 0xB0BAC3A744F03AE6, "issameteam" },
    { 0x00D3245F176CBC73, "issameteamagent" },
    { 0x774C8E036FDB93CF, "issameteamplayer" },
    { 0xD59E8A5B4D2A5237, "issameweapon" },
    { 0xED3C5BE86BB9967D, "issaverecentlyloaded" },
    { 0x3E5D0B7D52A44E12, "issavesuccessful" },
    { 0x0FFA413F8DE40A0A, "isscanning" },
    { 0x3A4BA32994D99EA8, "isscoreboosting" },
    { 0x924F4C8ED4C05E28, "isscoretobeatrulegametype" },
    { 0xAEA0357889C09DBA, "isscoring" },
    { 0x9F386D6B80122212, "isscoringdisabled" },
    { 0x44DF7C3C78365B22, "isscramblerdrone" },
    { 0x3B81A5990EFCC8C2, "isscriptable" },
    { 0xF99BEB58D39B2A9B, "isscriptabledefined" },
    { 0xC102056DF384F04F, "isscripted" },
    { 0x668A5BAF81FAEAF4, "isscriptedagent" },
    { 0xDDA22925E83AF445, "isscriptedagentdamage" },
    { 0xBDD20009AF734650, "isscriptedalive" },
    { 0xF505EE964E5B6BD3, "isscriptedmeleeactive" },
    { 0x46A3A8573417F1D8, "isscriptonly" },
    { 0x31F9D65C89A77FE1, "issdshiphackmap" },
    { 0x71EA07D54AF65509, "isselectable" },
    { 0xF64728A3E4E9590C, "isselectableattachment" },
    { 0xC7876B1BC2ECF6A5, "isselectableweapon" },
    { 0xAC97955494582362, "isselectingspawn" },
    { 0x6ED47BFA947F94B1, "isselfdestruct" },
    { 0xC1A9AEE584672755, "isselfreviving" },
    { 0x5733B17EC5FA744C, "issemiauto" },
    { 0xE7F087BFE8DC410B, "issentient" },
    { 0x22D71D02DEB1A46E, "issentry" },
    { 0x375D8E846CC235DC, "issentrygun" },
    { 0xBD4A807B3D704572, "issetup" },
    { 0xD88DC9C9F5BEC597, "issharedfuncdefined" },
    { 0x17B5759933B7D774, "isshield" },
    { 0xFE654D203B676564, "isshocked" },
    { 0xAF29E282A6FCB9BC, "isshooting" },
    { 0xD8235E7EDBA68A91, "isshotgun" },
    { 0x2FBF25889190ADDB, "isshotgunai" },
    { 0xB53BE478DB923FB2, "isshown" },
    { 0x3BD9D33A5908FF89, "isshrapnelsource" },
    { 0xB99EFFFD43E00F2F, "isshuttingdown" },
    { 0x221FFA664BCAEF56, "issidecriticaldamage" },
    { 0x8E1AC61239D89ADD, "issidehouseobjective" },
    { 0x0821B6F8B04122D3, "issighted" },
    { 0x322A3E09BE24DC4C, "issilenced" },
    { 0xC63FB80DEF3E9190, "issilencedbarrel" },
    { 0xD41176CEE7E2550F, "issilencerattach" },
    { 0x0B9CAAEE0568E881, "issimultaneouskillenabled" },
    { 0x7DA3A9D75588B14A, "issinglehitweapon" },
    { 0xDDC6E815BBBF3DD5, "issingleshot" },
    { 0x0E053D16264AD5F5, "isskeetshooter" },
    { 0xB4B6615ED3377A5D, "isskydivestatedisabled" },
    { 0xD3F7B7E11D3FB7F3, "isskydiving" },
    { 0x4616743371857025, "issliding" },
    { 0x1634E6E9FAE59960, "issmallmissile" },
    { 0x18281009FB670DA6, "issmallsplashdamage" },
    { 0x5460F17D495144D7, "issmartobjectwithinrange" },
    { 0xB6E9B79BCF23D425, "issmokinggun" },
    { 0x8EDAEFC0E008CAF2, "issniper" },
    { 0x2D4EE9E33908DB30, "issniperconverging" },
    { 0x407D5DF2B92B00AC, "issniperlaseron" },
    { 0x53B07B30D37596EC, "issniperrifle" },
    { 0xEC08F28F5A0A96BC, "issnipersemi" },
    { 0x697E7A91D7A7EA49, "issoldier" },
    { 0xC35CCF1BCD2D836F, "issound3d" },
    { 0xE047CCB70DB7AE12, "issp" },
    { 0x714A44CE5F149E9E, "isspawndangerzonealive" },
    { 0x9201912739E835CB, "isspawner" },
    { 0x9F9CDD66CD1D9E1D, "isspawningstopped" },
    { 0x7B38751EA4E868F2, "isspawnprotected" },
    { 0xE0309402D5503B3F, "isspawnselectionenabled" },
    { 0xBB3A76EC97FBC236, "isspeakerinrange" },
    { 0x814F4A172FD33F0B, "isspeaking" },
    { 0x4EE671FE3D7A1418, "isspeakingbc" },
    { 0x301EC3E63EEF5B62, "isspeakingfailsafe" },
    { 0x3D2E09BF4F96007C, "isspecialcaseweapon" },
    { 0x0909D8CB69808FF8, "isspecialcrafteditem" },
    { 0xC0347BE942647756, "isspecialdeath" },
    { 0xCFA49341A3C9EBD8, "isspecialist" },
    { 0xDE8A99CF82C6745F, "isspecialistbonus" },
    { 0x1A37EE3E235D859A, "isspecialistkillstreak" },
    { 0xADD326F0DDE9CAFA, "isspecialiststreak" },
    { 0xCB20AC9AA0E2C214, "isspecialmeleeweapon" },
    { 0x179A3B11E5BC425C, "isspecialpain" },
    { 0x3EE3F152E67352AC, "isspectatingplayer" },
    { 0xBDCF8633089C9870, "isspeedwithincombatrange" },
    { 0x1C935A5919976421, "isspeedwithincombatrangeextended" },
    { 0x8111B3B6AF823F60, "isspeedwithincqbrange" },
    { 0x85DDC95928F979B4, "isspeedwithinsprintrange" },
    { 0x1B795091E2431CE2, "isspidergrenade" },
    { 0xCE0A91B4AEDBEA1E, "isspleveltransient" },
    { 0xAB5C872AAB166DAB, "issplitscreen" },
    { 0xF3D6A963ECAA233A, "issplitscreenplayer" },
    { 0xD51DDAB4EBF3E3EC, "issplitscreenplayerprimary" },
    { 0xB1FD1EAFA416A4DA, "isspreadweapon" },
    { 0x557CC86610E7D32F, "issprinting" },
    { 0xFBF875A0A2714155, "issprintsliding" },
    { 0x0AA1B45F7F7FD985, "issquad" },
    { 0xA9B0F34431EA54C4, "issquadleader" },
    { 0xA8A9789EA21282A4, "issquadmateindanger" },
    { 0xD39E3DB5603EE812, "issquadmode" },
    { 0xFBD50A6A2A78386E, "issquadonlycrate" },
    { 0xEBFB6342BEC23EA9, "issquadsmode" },
    { 0x12BB3D73F2707150, "issquadspawnable" },
    { 0xBBAF7AEA1C92020A, "isstale" },
    { 0x36C4363105C3D7EF, "isstanceallowed" },
    { 0x117D44028F881543, "isstandardsandbox" },
    { 0xE656ED5AF282BFAA, "isstartstr" },
    { 0x42BAEE514B971F24, "isstatelocked" },
    { 0x0CD00B934439544D, "isstatwritable_internal" },
    { 0x1D85AEA52E53D193, "issteeldragon" },
    { 0x3BB539AFE44FC38C, "isstillvalidtarget" },
    { 0xD1596A0C7AB424DC, "isstring" },
    { 0x5AF9407B7C7C4370, "isstrstart" },
    { 0x22527B0BFA0FDFC4, "isstruct" },
    { 0x6AD980EA9D5CC16F, "isstuck" },
    { 0x2ADB947C29A241DE, "isstuckdamage" },
    { 0x880CB7002E9319C2, "isstuckdamagekill" },
    { 0x214C334C33C22AC8, "isstunned" },
    { 0xDCEE3E81446A7845, "isstunnedby" },
    { 0x5EA675DDA6913375, "isstunnedorblinded" },
    { 0x4C5CA7BE0CB32FD3, "issubgametype" },
    { 0x34464C8AE347C11C, "issubstr" },
    { 0x153F21C64327F364, "issue_color_order_to_ai" },
    { 0xDE612E5947E65B87, "issue_leave_node_order_to_ai_and_get_ai" },
    { 0xB052E0FE236C0D08, "issuper" },
    { 0x2D4E05916EB8FEB7, "issupercharging" },
    { 0xC5CD2CC946F031F4, "issuperdamagesource" },
    { 0x115A6F80E09B7C70, "issuperdisabled" },
    { 0x4B16834DD2C18EB5, "issuperexpended" },
    { 0x1FE80C45A84C248E, "issuperinuse" },
    { 0x9941579B29115FE4, "issuperpickup" },
    { 0xEF226A36F15F9FDF, "issuperready" },
    { 0x2E2A1792F87C048C, "issupersprinting" },
    { 0xF542B4E5C8169DDA, "issupertrophy" },
    { 0x6D058CE66D17B53C, "issuperweapon" },
    { 0x678C30F797D2E804, "issuperweapondisabled" },
    { 0x1BB77D19663873F8, "issupportdronekillstreak" },
    { 0x152199835A28F376, "issupporthelo" },
    { 0x5B20FA9EDE157356, "issupportkillstreak" },
    { 0x24A0D5CF0C69F123, "issuppressed" },
    { 0xB19B397D142F0192, "issuppressedwrapper" },
    { 0x41B9844222241D33, "issuppressionwaiting" },
    { 0x8B7A8F0351667D0B, "issurvivorkill" },
    { 0xA23C9EF1E96FE216, "issuspended" },
    { 0xE777FD61D84D169A, "issuspendedvehicle" },
    { 0xC18B8BBED52C8D4B, "isswitchingteams" },
    { 0x312B7DD8E52D6FCC, "isswitchingtoweaponwithmonitoring" },
    { 0xCE513DBB211B9CA3, "isswitchingweapon" },
    { 0xF68381D382284CAA, "issystemfinalized" },
    { 0x2939787B838BFAF5, "istacmapactive" },
    { 0x99D31F11B12541A5, "istacops" },
    { 0x7F10B8AC683E7AC8, "istactical" },
    { 0x0646EEBAD73378A7, "istacticalbc" },
    { 0x6CD854E868495209, "istacticaldamage" },
    { 0x3AE932DC94639C80, "istakingdamage" },
    { 0x10D0ACB27AE3D61D, "istalking" },
    { 0x969A7171270D5C34, "istarget" },
    { 0x1A90451A56E18E59, "istargetinreticle" },
    { 0xC8B784711A7F6394, "istargetmarked" },
    { 0xAC4CF7EB6DFE2040, "isteam" },
    { 0x13E285D3E9EE9740, "isteameliminated" },
    { 0x0E6CBDC3A864BC68, "isteamextracted" },
    { 0x9D2298C60BB5B189, "isteamless" },
    { 0x37A3E599EAE57A69, "isteamonlycrate" },
    { 0x1C145A5F1B63AE1D, "isteamparticipant" },
    { 0x02221F342D5EF9AB, "isteamplacementsbmmmode" },
    { 0x94702581DBF8201C, "isteamradarblocked" },
    { 0xC183103AE340075A, "isteamreviveenabled" },
    { 0x8FD7C0EBEE4508E5, "isteamsaying" },
    { 0x83CE58D47BCB5D92, "isteamspeaking" },
    { 0x0F5F94A8B4870A7C, "isteamswitchbalanced" },
    { 0x23B0C9278AB47FD1, "isteamtouching" },
    { 0x6C79FA54DAD67AE2, "isteamvalid" },
    { 0x48E2CB07596409DB, "isteamvoplaying" },
    { 0xF23FED9FCE3D2037, "isteleportenabled" },
    { 0x7E8C62F79622CEF3, "istempsfxent" },
    { 0xFF3638EB9326FFD2, "istestclient" },
    { 0xF16B2DD031E97685, "isthermalenabled" },
    { 0x626F3C399CE2D08A, "isthirdpersoncamvehicle" },
    { 0x70E1AC84D8EDAF90, "isthrowingbackgrenade" },
    { 0x5E0155D2ED8E1135, "isthrowinggrenade" },
    { 0x2B73159747442732, "isthrowingknife" },
    { 0x4083A1E381AAA8E2, "isthrowingknifeequipment" },
    { 0xE8ECF0DAF63A480F, "isthrown" },
    { 0xFD8E9C7DDE088D25, "istimetobeatrulegametype" },
    { 0x4862E62FCBDE7EDD, "istimetobeatvalid" },
    { 0x818FFB9DF22488A5, "istimeup" },
    { 0xD6E79FA38D98880F, "istogglescope" },
    { 0x367D01D5C1048DC2, "istokenpickup" },
    { 0x6161BA09F81F3150, "istorsoshot" },
    { 0x6E6118DA4EDF076C, "istorsouppershot" },
    { 0x0952E3B5B0E09694, "istouching" },
    { 0x0D8F5770676FA88E, "istouchingboundsnullify" },
    { 0x37DF7AA33700E983, "istouchingboundstrigger" },
    { 0x6AEF383AA3A806B4, "istouchingoobtrigger" },
    { 0x091A90D410D1F430, "istouchingstancetrigger" },
    { 0xE6865873679E3B6C, "istransientloaded" },
    { 0x333ECF4270B6E3E0, "istransientqueued" },
    { 0xC10D09EC39433B86, "istrap" },
    { 0x32373EAE70E7B7A8, "istraversaltransitionsupported" },
    { 0x62FA92A855CDFE50, "istraversing" },
    { 0x7881CFD804D380C2, "istrialslevel" },
    { 0x32F5443E89EA6E09, "istrialversion" },
    { 0x03D9598C57713A3C, "istriggerenabled" },
    { 0xF526C0DFD9204F4B, "istripwire" },
    { 0x3F0E8368D4C0E04A, "istripwiredamagetype" },
    { 0x45C14E3F334A5292, "istripwirestruct" },
    { 0x1CC76209140781AD, "istripwiretrapstruct" },
    { 0x38DB92019A950A71, "istruckfull" },
    { 0xE8C320A6EA16ABBC, "isttlosdataavailable" },
    { 0x2514199D675543F3, "isturret" },
    { 0x1C075E7654635DDD, "isturretactive" },
    { 0xBFF05E0812486A14, "isturretinoperable" },
    { 0x35708A05EFCAA56D, "isturretkillstreak" },
    { 0x66FA2B1B9732C73A, "isturretready" },
    { 0x840055FE98AD3CA3, "istutorial" },
    { 0xAAF2965F015CF9AB, "istwohandedoffhand" },
    { 0x64D6509B83A957D2, "istwomode" },
    { 0x13FEEE9341C27603, "isuav" },
    { 0xA6A9F1E4E1DD3EA1, "isuavactiveforteam" },
    { 0x4C1A840337BDD61D, "isuavkillstreak" },
    { 0x13F0E59341B21AB3, "isufo" },
    { 0x63D4E8DCCBB9C2B7, "isundefinedweapon" },
    { 0x098BE3AA8B7C5846, "isunoccupied" },
    { 0x76333DA0791B0AD3, "isupperbodyshot" },
    { 0x136A900C25453ABD, "isusable" },
    { 0x1BCB131B70FFFB13, "isuseavailable" },
    { 0xEF9EE0D908428384, "isused" },
    { 0x4D2CBCA7C991FEB8, "isuseinprogress" },
    { 0xBD1365F04825B33F, "isuseobject" },
    { 0x018ADC4CFE41B8C3, "isusing" },
    { 0x39D11CE75D110E0E, "isusingammobox" },
    { 0xFBD72061BF880FA4, "isusingcamera" },
    { 0x15CF67501E5EC021, "isusingchoppergunner" },
    { 0xAD5DF176CC59F9FC, "isusingdefaultclass" },
    { 0xD473F6DC24B3E5B5, "isusinggunship" },
    { 0xA2E27CF40DEC9CA3, "isusinginfilselection" },
    { 0x44A27992B7E821A3, "isusingmatchrulesdata" },
    { 0x154E3F452126F638, "isusingobject" },
    { 0xBC6A8694C7EABD84, "isusingoffhandshield" },
    { 0xFBEE7A8A7B4601DB, "isusingonlinedataoffline" },
    { 0x4F394EA52E9B978B, "isusingpickupmonitor" },
    { 0x765F75CB02667BC3, "isusingprimary" },
    { 0xFA6DA2B2264BF849, "isusingremote" },
    { 0xB191211690733CFB, "isusingremotekillstreak" },
    { 0x37E8846FBB67E74D, "isusingremotetank" },
    { 0xF8E257BF775CF301, "isusingsamevoice" },
    { 0xAECB54D54D1CEB07, "isusingsecondary" },
    { 0x2699E4B29C87A78F, "isusingshotgun" },
    { 0x68AD9919A5D31B12, "isusingsidearm" },
    { 0x9E42AE1D4F56880F, "isusingspawnmapcamera" },
    { 0x72E41118FC23199C, "isusingsupercard" },
    { 0x25D075CBE6C34939, "isusingtacmap" },
    { 0x3BB6DAE087BB5054, "isusingtacopsmapcamera" },
    { 0x0DBB58D02382A2AD, "isusingturret" },
    { 0x046634DD43F23F01, "isusingvanguard" },
    { 0x504AB7366CDFBD33, "isutility" },
    { 0xCED338F4560B1F71, "isutilityitemequipped" },
    { 0x62866ADF7B058F4D, "isvalid" },
    { 0x2D6FC29784BF4537, "isvalidanimsuiteentity" },
    { 0x8C4536B75CE2715C, "isvalidattachmentunlock" },
    { 0xDC5D9C1053971544, "isvalidbarreldamage" },
    { 0x8E2FE188FD50A04F, "isvalidbestweapon" },
    { 0x9215758264B1E967, "isvalidclass" },
    { 0xE83DB17B563BE276, "isvalidclient" },
    { 0xAA5E4D8909107006, "isvalidcustomweapon" },
    { 0x1E5B4240E20790A9, "isvaliddroppedweapon" },
    { 0xFB1EDD9B4F1F1787, "isvalidevent" },
    { 0x2E92E96A5BA10B65, "isvalidffatarget" },
    { 0xE217386593FC6D2E, "isvalidinflictorc4vehicle" },
    { 0x49B417A2E2DDF2D8, "isvalidkillcam" },
    { 0xB288A8536C3679DB, "isvalidmissile" },
    { 0x73EC8F088227DEA1, "isvalidpeekoutdir" },
    { 0x32C8C025A26CBC48, "isvalidplayer" },
    { 0xABE5A5A016040E70, "isvalidplayerevent" },
    { 0x795A3B8281F3A9CB, "isvalidpointinbounds" },
    { 0xF95F49C02A285391, "isvalidpos" },
    { 0x0F2CC48017F3C658, "isvalidrevivetriggerspawnposition" },
    { 0x16FBE8B31A34F1A3, "isvalidspectatetarget" },
    { 0xAAA010FC10E6BA0D, "isvalidteamtarget" },
    { 0xC4660F4B1890EDFA, "isvalidthrowingknifekill" },
    { 0x540363F641BDCB09, "isvalidweapon" },
    { 0xD3993576E7A0CE87, "isvalidzombieweapon" },
    { 0x53B486EFB5F8A82E, "isvariabledefined" },
    { 0xCEA6BEBD921BDE7E, "isvector" },
    { 0x378A89ACABF82903, "isvehicle" },
    { 0x074D96EF72D9F62F, "isvehicleattached" },
    { 0x4418FFC5F61F955A, "isvehicledestroyed" },
    { 0x22F13ECC7FB82BFD, "isvehicleexitrequested" },
    { 0x69FC6998C0E29493, "isvehicleindanger" },
    { 0xBB2CC95D2BE4BED3, "isvehicleweapon" },
    { 0xE98E61BB1B82C0CB, "isverdansksubmap" },
    { 0x67DBFD1CE2FB3AD7, "isvest" },
    { 0x5A840C1EBAACAA9D, "isvfxfile" },
    { 0x2214763653399E92, "isviewmodelanimplaying" },
    { 0x3E866993609105CC, "isvip" },
    { 0x2A59DD4B844DF0A4, "iswaitingonsound" },
    { 0x8963ADCACF040A4F, "iswaitingtoentergulag" },
    { 0x279C823E54A2105A, "iswallcast" },
    { 0x7A54580B6C0B6650, "iswallrunning" },
    { 0x1DC5DEC2480EAFAF, "iswatchingcodcasterball" },
    { 0x9135D80302B5E03D, "isweapon" },
    { 0x4168FE13B5A0BB4D, "isweaponcliponly" },
    { 0xBD8EE3F75E1F106F, "isweapondetonationtimed" },
    { 0x85F477616ED2A9F0, "isweaponepic" },
    { 0x795DAC7D51E7F205, "isweaponfacingenemy" },
    { 0x472B0DEA76B19718, "isweaponfromcrate" },
    { 0xB6E3AFBB9785A555, "isweaponinitialized" },
    { 0xAC8808FFB6D5803E, "isweaponitem" },
    { 0x4FC2883129B6E07A, "isweaponmerit" },
    { 0x7E77FFD6EBD1D59D, "isweaponpickup" },
    { 0x7FBF6C8951B6019E, "isweaponpickupitem" },
    { 0x612B2399AD736947, "isweaponsenabled" },
    { 0x366BF19CCFF09020, "isweaponsilenced" },
    { 0x3BBD80CD10C21503, "isweaponuihidden" },
    { 0x474996CE4286B4C0, "isweaponvariantlocked" },
    { 0x65B94AEAF5A06238, "iswegameplatform" },
    { 0xE5FF2AD547385C72, "iswhizbydetected" },
    { 0x00C97CA67A1CA312, "iswinbytworulegametype" },
    { 0x4F9769028AB217F6, "iswinningteam" },
    { 0xE6F5A9418BD56A59, "iswithinfov" },
    { 0x96E5E1D1AB8D6620, "iswithinplanepathsaferadius" },
    { 0x4954F0500AB82F5C, "iswithinscriptgoalradius" },
    { 0xD1D796AFA9DD7EFF, "isworweapon" },
    { 0x4BD957C23922AC4A, "iswztrain" },
    { 0x56E6564A443F488E, "isx1ops" },
    { 0x9468C8B50277030D, "isxb3player" },
    { 0x607B89DB62F1918A, "isxmike109damage" },
    { 0x63517C062395A6DF, "isxmike109explosivedamage" },
    { 0x4128EA0F969643DC, "isxmike109explosiveheadshot" },
    { 0x9E23CE957E52A588, "isxmike109projectile" },
    { 0x6A87099144EB99D3, "iszombie" },
    { 0xED58EAB716C4A02A, "item" },
    { 0x93CBF5503A06DC2D, "item_add_func" },
    { 0xE9CE42FC5D8AA991, "item_collision_ignorefutureevent" },
    { 0x55A00A1A215E2616, "item_count" },
    { 0x6D163BB5568C2901, "item_drop_func" },
    { 0xB108A027D7542162, "item_handleownerdisconnect" },
    { 0x6CF7B6BF20F2432D, "item_models" },
    { 0x87AF88A0E3C80398, "item_oncarrierdeath" },
    { 0x9ADC99526C62AD2C, "item_oncarrierdisconnect" },
    { 0xD4362A12B02C84F4, "item_ongameended" },
    { 0xCDB918E81781AAD1, "item_outline_weapon_monitor" },
    { 0x163BBE1422404F1F, "item_pickup" },
    { 0xFA8BAFD84651D7ED, "item_pos_array" },
    { 0x5163872EC76526A2, "item_timeout" },
    { 0xF8B6C60DBF1D60B7, "item_type" },
    { 0xB3F00801A20C4A38, "itemignored" },
    { 0xDA163C847BF8F989, "iteminits" },
    { 0xB7394EADC406883E, "iteminventory" },
    { 0x90857D9EA7486B57, "itemkills" },
    { 0xD57E9497E0859186, "itemlist" },
    { 0x2D5A6170BEEF88B1, "itemname" },
    { 0x6D73DBD8725CB03A, "itempicked" },
    { 0xCACF142CBC58B05B, "itemproxtriggerthink" },
    { 0x5601B76643E84B2D, "itemremoveammofromaltmodes" },
    { 0xC6ED0C05499F6266, "itemreplaced" },
    { 0xBF2C89A7126CA3BB, "items" },
    { 0x8F5F24B2FD970457, "itemsdropped" },
    { 0x1A4E4C22C197B13C, "itemsinworld" },
    { 0xF7FCCA2BCD1D9D92, "itemslotindex" },
    { 0x658507CD48C7740A, "itemtype" },
    { 0xF3DE57E104617DBA, "itemuses" },
    { 0xDBA49092EEFE681C, "itemweaponsetammo" },
    { 0x39789BA7C96CD3A7, "itemworldplaced" },
    { 0xF84B2B881B3DD979, "iterate_building_num" },
    { 0x8BEAA0B14CF94644, "iterate_objs" },
    { 0x508A7B83C863536B, "iw7_ship_hack_add_bombzone_node" },
    { 0x7FD5C190F22DDFEB, "iw7shiphack_setmaymovetime" },
    { 0xEEDCA3DD5FC5F5BE, "iw8_ship_hack_add_flag_node" },
    { 0x4D7315F8FA9D2AA3, "iwbestscore" },
    { 0xF83D16EA991F2F6A, "iwsignatureposition" },
    { 0x66DB3A73E1606078, "j_eyeball_le" },
    { 0x66575273E0CF620E, "j_eyeball_ri" },
    { 0x99875ED6462877B4, "j_head" },
    { 0xD0F77321693597FF, "j_left_elbow" },
    { 0xF3997B8502BD6AE9, "j_left_hand" },
    { 0x9C56362BFECCC4D0, "j_left_shoulder" },
    { 0x6F80FCD40DE7832F, "j_mainroot" },
    { 0xCF8321FD14C1A2F9, "j_neck" },
    { 0xD1065473BC993923, "j_spine4" },
    { 0xA9C03C0686F7AD1A, "j_spinelower" },
    { 0x8D85F327B7498227, "j_spineupper" },
    { 0xCACA34BB360B245B, "jackal" },
    { 0xD39FD2D1D0F6E318, "jackal_incoming" },
    { 0x9EE1EE53B1D1054E, "jackalcanseeenemy" },
    { 0x4B5CC8227020DA41, "jackalcanseelocation" },
    { 0x975D357A8D1B5646, "jackalcrash" },
    { 0x54C46949359DDF08, "jackaldelete" },
    { 0x1DDDBAA8FB00D822, "jackaldestroyed" },
    { 0xD15113953F32EA0C, "jackalexplode" },
    { 0x2A56D9B43A2A0F21, "jackalfindclosestenemy" },
    { 0x44B62ED219D61318, "jackalfindfirstopenpoint" },
    { 0xFDEC7A3ACFFCB5F1, "jackalgettargets" },
    { 0x1D8C1441BFAACCFE, "jackalleave" },
    { 0x3EADA5C5CB577ED5, "jackalmovetoenemy" },
    { 0x4B821C583EA09A00, "jackalmovetolocation" },
    { 0x05D61FB7DA8083F8, "jackals" },
    { 0x02F4DB2B039B1620, "jackaltimer" },
    { 0x2FE4C6184254433A, "jackpot_tag" },
    { 0x821F78DD0612F3E5, "jackpot_targetfx" },
    { 0xBF348C809647F3BC, "jackpot_zone" },
    { 0xB4B6DA874CBE8FFC, "jackpotpileicon" },
    { 0xD605D8EF9446603B, "jackpotpileobjid" },
    { 0x5638A5D2A62B01F5, "jailbreakeventplayer" },
    { 0x72E4A3A2E1BF00B4, "jailbreaktimerwait" },
    { 0xFB840A425DC656CC, "jailed" },
    { 0x350D7A707F13C6D6, "jailedplayers" },
    { 0x2C2AF362551B669A, "jailknife" },
    { 0xED1D8BE8BAC62C0E, "jailknifestuck" },
    { 0xD5821CEFB4B5D1C3, "jailloadout" },
    { 0xFBCD844EB7E0560C, "jailspawncounter" },
    { 0x076BE17CF0915E71, "jailspawns" },
    { 0x49EC7DAE9FD47DA4, "jailtime" },
    { 0xA78B68C996214B0D, "jailtimeoutend" },
    { 0xEB3F33C90C3769D1, "jailtimeouthud" },
    { 0x49C270F60B82FAF6, "jammer_hitmarkers" },
    { 0xFE738B74BCEE8B09, "jammer_relocate" },
    { 0x0839706111BAD82F, "jammer_vo_played_time" },
    { 0x511597B3ED61EFF8, "javelin" },
    { 0xAFFA8F9734886CE9, "javelin_ammo_refill_use_monitor" },
    { 0xCB6404BA119C85FB, "javelin_checktargetstillheld" },
    { 0x2CEEE67D2A8AB5A7, "javelin_deathwatcher" },
    { 0x57070AC0E7469E56, "javelin_dof" },
    { 0x4324152F3177482E, "javelin_enterstate" },
    { 0x6817621031508074, "javelin_eyetraceforward" },
    { 0x0A1F073BF6C03D0C, "javelin_firestateenter" },
    { 0xF42EEB0A6AE8EE12, "javelin_firestateexit" },
    { 0xEAE87D1BF5EED473, "javelin_firestateupdate" },
    { 0x34016CF392244739, "javelin_forceclear" },
    { 0xCF16028F138FC893, "javelin_getqueuedstate" },
    { 0x6511E4A59264D432, "javelin_getvehicleoffset" },
    { 0xF582020EDB005DC7, "javelin_hidenormalhud" },
    { 0xEB4C5CD377D6D665, "javelin_holdstateenter" },
    { 0xB8F57652A3D17C9D, "javelin_holdstateexit" },
    { 0x9BE203ED3C10266C, "javelin_holdstateupdate" },
    { 0x407D7E387E6EC133, "javelin_init" },
    { 0xAB76832F6F40F4E6, "javelin_interact_monitor" },
    { 0x2B9C9DA647ECF0E9, "javelin_looplocalseeksound" },
    { 0xE24F2C7BF02B638B, "javelin_offstateenter" },
    { 0x7B837DB0334692DF, "javelin_offstateexit" },
    { 0x3EFB67D07D3AD78E, "javelin_offstateupdate" },
    { 0x8F87704B16D3BD0F, "javelin_preupdate" },
    { 0x7B10CFF98BF4639D, "javelin_queuestate" },
    { 0xBDC8CF4AD2728300, "javelin_reset" },
    { 0x30C04060007FE100, "javelin_scanforvehicletarget" },
    { 0xC8B4118048675287, "javelin_scanningstateenter" },
    { 0x57CFB5FBFBD48B32, "javelin_scanningstateupdate" },
    { 0x164E269801679082, "javelin_setuistate" },
    { 0x10D79D98DA4C6BE7, "javelin_shouldjavelinthink" },
    { 0x0BEA5C23C25E85B6, "javelin_softsighttest" },
    { 0xD300ECF508304C98, "javelin_targetpointtooclose" },
    { 0x659FD8AC2F0EF53B, "javelin_think" },
    { 0x539135E59F0999B6, "javelin_tooclosestateenter" },
    { 0xAF28A26AD18018B1, "javelin_tooclosestateupdate" },
    { 0xBBC6E6B0340C7929, "javelin_vehiclelocksighttest" },
    { 0x81AE131763D28958, "javelinfired" },
    { 0x47ED19AD156A4443, "javelinlocationtargeted" },
    { 0xB34484CB232CFEC5, "javelinusageloop" },
    { 0x202CAE9C2541CD40, "jchestorg" },
    { 0xC5CCB48EB7DCF293, "jdam_earthquake" },
    { 0xFAFC08F9E7BB3D01, "jeep" },
    { 0xC5193B5567CD86DE, "jeep_cp_create" },
    { 0x63A238FEA542B0A4, "jeep_cp_createfromstructs" },
    { 0x0AA7E54AFD64AEB5, "jeep_cp_delete" },
    { 0xF577EFCA9A7F4FBA, "jeep_cp_getspawnstructscallback" },
    { 0x1A8BA54DBE356FA0, "jeep_cp_init" },
    { 0xCDDF6FE52E82697C, "jeep_cp_initlate" },
    { 0x951308AF8358B7C9, "jeep_cp_initspawning" },
    { 0x7F9D3E507104033E, "jeep_cp_ondeathrespawncallback" },
    { 0x9608B9103FACAC72, "jeep_cp_spawncallback" },
    { 0x73AF9D5475529CA7, "jeep_cp_waitandspawn" },
    { 0xA4C54EA6FF53C96E, "jeep_create" },
    { 0x1E59BA418061F273, "jeep_deathcallback" },
    { 0x168C18BD09F878B5, "jeep_deletenextframe" },
    { 0xCB63484A65D14A01, "jeep_enterend" },
    { 0x18BC80EA3229AA64, "jeep_enterendinternal" },
    { 0x8441A43C366FD05F, "jeep_exitend" },
    { 0xCC06BBEA600DA5B6, "jeep_exitendinternal" },
    { 0xB5B5E85B9A16C94F, "jeep_explode" },
    { 0x7CF5E180BB82DA2A, "jeep_getspawnstructscallback" },
    { 0xEA128D8379EBD43F, "jeep_horn" },
    { 0x71559A9FFD904250, "jeep_init" },
    { 0x16BA9FB146C89FA8, "jeep_initcollision" },
    { 0x0E81A24D2E6EE1E1, "jeep_initdamage" },
    { 0xA3B0F3D73C4BAD0E, "jeep_initfx" },
    { 0x35D31E3C56A6F796, "jeep_initinteract" },
    { 0x27C365975D15440C, "jeep_initlate" },
    { 0x38EB80FC8560C895, "jeep_initoccupancy" },
    { 0xEB1131A4EC6BC5DC, "jeep_initomnvars" },
    { 0x2EF8BA92472DA8D9, "jeep_initspawning" },
    { 0x1482D7872D5EDCA4, "jeep_mp_create" },
    { 0xB51BCA296B3C847B, "jeep_mp_delete" },
    { 0x684B16487DA16994, "jeep_mp_getspawnstructscallback" },
    { 0x73D060C083B9C4E2, "jeep_mp_init" },
    { 0x1E9045AD10DECEAE, "jeep_mp_initmines" },
    { 0x079EF56E98EEDCF7, "jeep_mp_initspawning" },
    { 0xD8900541A70ABD04, "jeep_mp_ondeathrespawncallback" },
    { 0x18E7F5EF6F8B8798, "jeep_mp_spawncallback" },
    { 0x457F7B27C2C68491, "jeep_mp_waitandspawn" },
    { 0xB3852F98A0C821B6, "jeeps" },
    { 0x9714F5BC5BD1FF77, "jerrycan" },
    { 0xB5431A9BDB144DF2, "jet_fly" },
    { 0x51A6EDAE36CC0B3E, "jetpackmodel" },
    { 0x68F14A126A39646E, "jets_dialoguelogic" },
    { 0xA0A3C1F1C6E00BFF, "jets_drop_phosphorus" },
    { 0xD820B2D3FDBD618B, "jets_getvehiclespawners" },
    { 0xE35555CD2C5EC853, "jets_main" },
    { 0x19C3BF3B87A13369, "jets_sfxlogic" },
    { 0x6AAE9585A839EE23, "jets_spawnvehicle" },
    { 0x53DA4E9BD5F8B7C2, "jets_start" },
    { 0x18F97DDEFB262304, "jets_vehiclelogic" },
    { 0x1232717C1361D457, "jku_arrow" },
    { 0xAA165248A5483E7C, "jku_point" },
    { 0x8DD445D46A8D8FC6, "join_module_group" },
    { 0xC2EB4C2B83502B2C, "joinedinprogress" },
    { 0x4429B43EE3271E8D, "joining_team" },
    { 0x6F08E165399B8EFC, "joininprogresstimeout" },
    { 0x65AEBD8BD57F8CC1, "joinsquad" },
    { 0x3F91F38D734BB736, "joltbody" },
    { 0x78019D2743EFF11C, "jug_behavior" },
    { 0x610A0DBFAFC228DC, "jug_encounter_test" },
    { 0xD9928224A19767DF, "jug_reinforce" },
    { 0x0415BCD19D5FE74C, "jug_spawn_func" },
    { 0x83F75B7629E38166, "jug_spawn_think" },
    { 0xB777B397CE4BEC74, "jug_trig_spawn" },
    { 0xAC34B737C7DF9C1A, "jug_trigger_spawn" },
    { 0x46F9AA6B6DD57C16, "jugg_addtoactivejugglist" },
    { 0x4654639AF4DCD946, "jugg_allegiance" },
    { 0x7A5F62306B51B10D, "jugg_allies" },
    { 0x735B4FD985AAE5CA, "jugg_allowactionset" },
    { 0x7D7A9C4F9BB343C4, "jugg_anim_monitor_dist" },
    { 0x2710081F0FD09120, "jugg_anim_monitor_dmg" },
    { 0x03C3F42F76BCD0A0, "jugg_assault3_check_size" },
    { 0x222C37F041CE1905, "jugg_attackers" },
    { 0xFD2311439DF029C6, "jugg_available" },
    { 0x5BAC35572C94722D, "jugg_can_see_player" },
    { 0x2126EE0DE7E4546E, "jugg_canparachute" },
    { 0x86E45683AE3A0172, "jugg_canreload" },
    { 0x8410CF198816ECA5, "jugg_canresolvestance" },
    { 0xDD0D865927B083CD, "jugg_cantriggerjuggernaut" },
    { 0xB246E8976A440367, "jugg_canuseweaponpickups" },
    { 0x1B6E4AFD2BE84D43, "jugg_combat_nags" },
    { 0x15F15E0EF01FC5FF, "jugg_combo" },
    { 0xF37C9F00F0D508D7, "jugg_cowbell" },
    { 0x7C4AB08ADEDD22ED, "jugg_createconfig" },
    { 0x8BBFF7ADD71A1D78, "jugg_currjugg" },
    { 0x48A3E115B0F5533A, "jugg_dam_state_change" },
    { 0x178A1F89F2E3BC1B, "jugg_damage_watcher_internal" },
    { 0xFB776F972E1D410A, "jugg_death_func" },
    { 0x23F89FF4F51267B4, "jugg_death_watcher_internal" },
    { 0xCD2D2CD3DF4D6D27, "jugg_decrementfauxvehiclecount" },
    { 0x9F1553867C4BAA29, "jugg_detonator" },
    { 0xDE8941DC796940AF, "jugg_disableoverlay" },
    { 0x8F3E11B4947BC00C, "jugg_disableoverlayonentergulag" },
    { 0x99E16F94991808DD, "jugg_dmg_debug" },
    { 0x6C2BACA021694E07, "jugg_dmg_modifier" },
    { 0xCA47CEF15590472B, "jugg_dropcratefromscriptedheli" },
    { 0x29211E7EAA33FB30, "jugg_enableoverlay" },
    { 0xA46798A92E8362CE, "jugg_enemy_watcher" },
    { 0x4F53BCE9DFF4972A, "jugg_enter_combat_callback" },
    { 0x583E24BD2F49D97E, "jugg_get_closest_attackable_player" },
    { 0x59DA22582E6A18B2, "jugg_get_priority_player" },
    { 0x0A4914EF7BA2E7C7, "jugg_getdefaultclassstruct" },
    { 0x87D8FC4CB3771B44, "jugg_getjuggmodels" },
    { 0xCA7510B9D73B9A68, "jugg_getminigunweapon" },
    { 0x6640C45914B6BAC7, "jugg_getmovespeedscalar" },
    { 0x5AC1C3AD446244C6, "jugg_go_to_node_callback" },
    { 0x8DD1AE854D1481F8, "jugg_goal" },
    { 0x9C13F998ACB76AF1, "jugg_handlestancechange" },
    { 0xAB1D953F274C1A81, "jugg_health" },
    { 0xB5A53B24017B464D, "jugg_health_debug" },
    { 0xFD8F95D2F42DC91E, "jugg_hide_logic" },
    { 0x49F4BBE31DA3C74E, "jugg_hold" },
    { 0xD1DA88D83B0D1C51, "jugg_hold_loop" },
    { 0xE8E8463666763E1C, "jugg_idle_until_shot_or_near" },
    { 0x7236C07F572C73CF, "jugg_incrementfauxvehiclecount" },
    { 0xC2EFA4C69A43E701, "jugg_init" },
    { 0x2618B56035BB6903, "jugg_initconfig" },
    { 0x4C3B80D562C761EF, "jugg_leveldata" },
    { 0x6736946E5B838E3D, "jugg_makejuggernaut" },
    { 0xDB21ACCAC87593CE, "jugg_makejuggernautcallback" },
    { 0x21993A80A92290C0, "jugg_managestockammo" },
    { 0x5E034232B33E7D27, "jugg_maze_killtrigger" },
    { 0xBB26D5AC6D1724F9, "jugg_modifyfalldamage" },
    { 0x86ED0D529A58DF7D, "jugg_modifyherodroptoplayerdamage" },
    { 0x356ADF0C895ED98A, "jugg_modifyvehicletoplayerdamage" },
    { 0x24FF0872B130B8CA, "jugg_music" },
    { 0x28037F4B94BC5D0E, "jugg_needtochangestance" },
    { 0xF68F1912C1DC39AD, "jugg_obj_pos" },
    { 0xE62E7B044AC5BE36, "jugg_objective_struct" },
    { 0x93490DDB2FD2872A, "jugg_patroll_logic" },
    { 0x1E12AD7209A265BE, "jugg_playoperatoruseline" },
    { 0x61DEE12E028E6BC3, "jugg_protect_jammer" },
    { 0xD40B50F0E62A35FD, "jugg_protect_jammer_internal" },
    { 0xF4D72F899D5DB970, "jugg_pursue_players" },
    { 0xD4B0CFB7B983166B, "jugg_pursue_target" },
    { 0x0504DEAE65E0E68E, "jugg_rebel_respawn" },
    { 0x3206BFF22CF459F8, "jugg_registeractionset" },
    { 0xAD2A915D378E281A, "jugg_registeronplayerspawncallback" },
    { 0xB120FA13D6E36476, "jugg_removefromactivejugglist" },
    { 0x20F464077300FC67, "jugg_removejuggernaut" },
    { 0x006EED971DB8D83C, "jugg_restoremodel" },
    { 0xA0C21795EF34B5C7, "jugg_setherodropscriptable" },
    { 0xF2F532CF462C6262, "jugg_setmodel" },
    { 0x652BE2C69911B9CB, "jugg_showerrormessage" },
    { 0xEA64A0AE0A7A352B, "jugg_sight_check" },
    { 0x7E57E34267BCE602, "jugg_source" },
    { 0x8F231EFDBCE13053, "jugg_state_init" },
    { 0xEF9A146872153B20, "jugg_stop_anim_monitor" },
    { 0x561894584B8F4FA7, "jugg_strip_old_weapons" },
    { 0x2493B1A6F659C902, "jugg_teamplayercardsplash" },
    { 0x9DE2D21D690E5BCD, "jugg_toggleallows" },
    { 0xD46210D9481AB8EC, "jugg_updatemovespeedscale" },
    { 0xDA97DDFD61A996F8, "jugg_watchammo" },
    { 0xB80111D5B5C09AE5, "jugg_watchearlyexit" },
    { 0x76E86B1F12F27099, "jugg_watcher" },
    { 0x593A04058693B180, "jugg_watchfordamage" },
    { 0x99BB0181B83B3BAD, "jugg_watchfordeath" },
    { 0x932AFD3F2E92C72B, "jugg_watchfordisconnect" },
    { 0x9853A90BAA83CF6E, "jugg_watchfordoors" },
    { 0x0E38EF3042AB05F9, "jugg_watchforfire" },
    { 0x968566FD04BC3334, "jugg_watchforgameend" },
    { 0xFB71D0B0655ADF47, "jugg_watchforoverlayexecutiontoggle" },
    { 0xD413DABD7097EA66, "jugg_watchforremovejugg" },
    { 0xCDC7AA69642039E3, "jugg_watchherodrop" },
    { 0x4688CF10070F7725, "jugg_watchmanualreload" },
    { 0xBF8A546595340DB5, "jugg_watchmusictoggle" },
    { 0x84F9AA53D1EFDF75, "jugg_watchoverlaydamagestates" },
    { 0x1A898D01D1C76E1A, "jugg_watchpickup" },
    { 0xFC2A2A21000114FA, "juggcanusecrate" },
    { 0x287357385EB1C43C, "juggconfig" },
    { 0x1DA8CDB8E9391D9D, "juggcontext" },
    { 0x812EEC5CF16F065F, "juggcratecleanup" },
    { 0xE1308D4F93826B8D, "juggcratemanageuse" },
    { 0xE14C1A959E0AB413, "juggcrateobjid" },
    { 0x5AA15ACED36E42CE, "juggcrates" },
    { 0x644091F0635D6C7B, "juggcratesetups" },
    { 0x587164429D556BEE, "juggcratespawnpos" },
    { 0xF05E0C6FF32035AC, "juggcrateused" },
    { 0xEA3E56BB320032B8, "juggcratewatchstopuseprogress" },
    { 0x3E5160738CED0F48, "juggcratewatchusecompleted" },
    { 0x13AEDB08172C7F10, "juggcratewatchuseprogress" },
    { 0x16036AF724169399, "juggdroplocations" },
    { 0xB91F1B179E34A7D3, "juggerbear" },
    { 0xE292AD7009FFBC71, "juggernaut" },
    { 0x71EBDC4C51FB7661, "juggernaut_1" },
    { 0x3E5FA05FDE35EF75, "juggernaut_add_fov_user_scale_override" },
    { 0x816E53A945AF1D7F, "juggernaut_allies_cleanup" },
    { 0xBECBF0DDF132B60A, "juggernaut_allies_setup" },
    { 0xC0E00EB9C984A4B8, "juggernaut_catchup" },
    { 0x511B18CB3DE9F327, "juggernaut_damage" },
    { 0x98700FE55BAE8278, "juggernaut_damage_override" },
    { 0xC192A5E9FCFF2168, "juggernaut_damage_thread" },
    { 0x73B8F0F3FE0723AB, "juggernaut_death_callout_vo" },
    { 0x86A065BDC360AC45, "juggernaut_death_test" },
    { 0x6C10B1914D5C2E1F, "juggernaut_death_watcher" },
    { 0x1849A7E38FF1683D, "juggernaut_debug" },
    { 0xE4759E16BB84B9FA, "juggernaut_dmg_modifier" },
    { 0xCA5D1FB14FF02E9B, "juggernaut_dof" },
    { 0x2CBAD48C60DEB8B3, "juggernaut_door_anims" },
    { 0x736B6EC88F0ECDD5, "juggernaut_fake_door_cursor_hint" },
    { 0xE9E8470B9155BE9B, "juggernaut_finish_vision_restore" },
    { 0x8D7CAD0C81F7826A, "juggernaut_fire_suppression" },
    { 0x1383BF71B0AAA973, "juggernaut_fire_suppression_logic" },
    { 0x007506919D572A30, "juggernaut_fire_suppression_setup" },
    { 0x86039AD84CF2D054, "juggernaut_fx" },
    { 0xE9CBD56974EED62B, "juggernaut_getavoidanceposition" },
    { 0x6C5ED3F98CA45EDA, "juggernaut_getenemy" },
    { 0x841BF5C53C501A72, "juggernaut_getstopdist" },
    { 0xDD7DF26D7DABDD0F, "juggernaut_getwalkdist" },
    { 0xDEDAD3EC4769FA20, "juggernaut_init" },
    { 0x12F7745FDFD6285C, "juggernaut_initialized" },
    { 0x1D2A6460E549B737, "juggernaut_intro_fx" },
    { 0x5FF02085B8385F5F, "juggernaut_intro_scene" },
    { 0xAC0EE1E1DB63ABB9, "juggernaut_isspecialweapon" },
    { 0x1236C6B92763501A, "juggernaut_kill_assists_included" },
    { 0x5DBDF668FF049C54, "juggernaut_kills_tracker" },
    { 0x4D4C07AD578E95E2, "juggernaut_lighting" },
    { 0x602B102FE9158DF8, "juggernaut_lighting_setup" },
    { 0x0F8DF24FC71B7778, "juggernaut_logic" },
    { 0xDCD3894FC052AC56, "juggernaut_lookforplayers" },
    { 0xF639ED04EB44AB98, "juggernaut_lookforplayertime" },
    { 0xC0CDB14C8FEB4103, "juggernaut_main" },
    { 0x1680AC4CCE3E23A7, "juggernaut_move" },
    { 0x4E2D45D21F174131, "juggernaut_moveinit" },
    { 0xEDA5DE11DDA98782, "juggernaut_moveterminate" },
    { 0xD32E15409B6D5F72, "juggernaut_next_alert_time" },
    { 0xFC1BE503C4621C16, "juggernaut_pain" },
    { 0xA5DF1FD6E54A0CCE, "juggernaut_pain_cooldown" },
    { 0x49F184227364E4A1, "juggernaut_pincer" },
    { 0x1DDBB8D3B84361CF, "juggernaut_player_adjustment" },
    { 0x2BAF2693CACA1F34, "juggernaut_player_fired" },
    { 0x0F801C9B58E84572, "juggernaut_post_death_cleanup" },
    { 0x1E5CFCAF17E6AA7E, "juggernaut_remove_fov_user_scale_override" },
    { 0x94B7A3F19C863977, "juggernaut_save" },
    { 0x864111AFBF09B720, "juggernaut_scene_setup" },
    { 0x39E4A9424D89039A, "juggernaut_setupexecute" },
    { 0xF22559048329FA70, "juggernaut_shouldexecute" },
    { 0x9641D10AF3F7B30C, "juggernaut_shouldmove" },
    { 0x5D3B08D1F6792ADD, "juggernaut_sound_when_close" },
    { 0xC43DB6FBE4891BF1, "juggernaut_spawn" },
    { 0x340E975EC67C27D2, "juggernaut_start" },
    { 0x33F3845EC65DA1FF, "juggernaut_state" },
    { 0x4BA27E47DD989D84, "juggernaut_update_hint_logic" },
    { 0x97BA8A06C0879BCB, "juggernaut_updateeveryframe_noncombat" },
    { 0x8BB006BF1379C437, "juggernaut_updatestance" },
    { 0xEFBD4C6D832A0C12, "juggernaut_vision_obstructed" },
    { 0x65611D0CD9C309E9, "juggernaut_vision_restored" },
    { 0xF03A164B4CFA9F36, "juggernaut_watch_pain" },
    { 0xBCA26DBBD20E3219, "juggernautacceleration" },
    { 0xEE0A01D95D7E7A5F, "juggernautcanseeenemydelaymax" },
    { 0xEDE6EFD95D580B11, "juggernautcanseeenemydelaymin" },
    { 0x635714AF552BBDAA, "juggernautchallengedone" },
    { 0x1FFEE6802F563300, "juggernautdisablemovebehavior" },
    { 0x39759DD75996F9C3, "juggernautfn0" },
    { 0x39759CD75996F790, "juggernautfn1" },
    { 0x39759FD75996FE29, "juggernautfn2" },
    { 0x39759ED75996FBF6, "juggernautfn3" },
    { 0x00BAFD7F8D51FF11, "juggernautforcewalk" },
    { 0x128DDDB54F5F9668, "juggernautgoalradius" },
    { 0xCD639773E30B27D2, "juggernautlastmeleetime" },
    { 0x3E067F2989E8B091, "juggernautoutsidegoalradius" },
    { 0xEFFAA278CE4256B0, "juggernautpaintime" },
    { 0x8F32E892497991F5, "juggernautrundelaymax" },
    { 0x8F55D292499FA94B, "juggernautrundelaymin" },
    { 0x484F6F65FD6A7866, "juggernauts" },
    { 0xC049140DD855081F, "juggernauts_spawned" },
    { 0x752C4D866656D6A1, "juggernautsounds" },
    { 0x91810EC0FFC6742D, "juggernautspeedthreholdsinitialized" },
    { 0x9C04D699F185A52E, "juggernautstopdistance" },
    { 0x248772530B5D47A4, "juggernautvisionobscured" },
    { 0x395E74A2D61E78F7, "juggernautvisionobscuredstopdistance" },
    { 0x393674BC60E6B099, "juggernautvisionobscuredwalkdist" },
    { 0x5D007C19912B4ADC, "juggernautwalkdist" },
    { 0x7921CB9BA4380304, "juggernautweaponpickedup" },
    { 0x2996647AEAA6E0B8, "jugghealth" },
    { 0x03A678822907B95A, "juggheli_spawner_exfil" },
    { 0xB3C196980C51E475, "juggheli_spawner_jammer5_1" },
    { 0xB3C193980C51DDDC, "juggheli_spawner_jammer5_2" },
    { 0xB3C194980C51E00F, "juggheli_spawner_jammer5_3" },
    { 0xB3C191980C51D976, "juggheli_spawner_jammer5_4" },
    { 0xB13184EDA7FA8C54, "juggksglobals" },
    { 0x599B1F9A5400E39E, "juggmazedogtagrevive" },
    { 0x8B276772CF7930E2, "juggobjid" },
    { 0xCFB1BC4A124F9F12, "juggoverlay" },
    { 0xBC4D2F36A3B221B7, "juggoverlaystate" },
    { 0xBD3DFB4503D3F02F, "juggoverlaystatelabel" },
    { 0x78F7EF7CDC7A156C, "juggremover" },
    { 0x63759CBD171DBA93, "juggspawnbehavior" },
    { 0x41330643C45F469B, "juggswitchtime" },
    { 0xE5592EBF30D3C900, "juicedicon" },
    { 0xE764BCF3DF36E3F2, "juicedtimer" },
    { 0xE1E688FA908DAAA9, "jump" },
    { 0xDBC9F4A70FB44BB4, "jump_interact" },
    { 0xCAC97D290EE7D301, "jump_interact_remove" },
    { 0x6CE836E245FC5311, "jump_music" },
    { 0xEB85D15ECB631469, "jump_over_ent_origin" },
    { 0x2C27538823A091F2, "jump_over_offset" },
    { 0x7BDF69FBBDEB9DF2, "jump_over_position" },
    { 0xB0ED33B94EED8E47, "jump_technical_dudes" },
    { 0xE509B581D4FB5C82, "jump_watcher" },
    { 0x949B7A1A9760A5CD, "jumpbuttonpressed" },
    { 0x0C72E54C93E60D98, "jumpcomandsregistered" },
    { 0x4717C43516F65F4C, "jumpcost" },
    { 0x30A078B3B3FC7619, "jumpcur" },
    { 0x152BD979302A6F95, "jumpdone" },
    { 0x9B52EE7DE4942857, "jumpdown_cameradofsettings" },
    { 0x9251FC4C304C4994, "jumpdown_reach_idle" },
    { 0x25950B2E3EA72040, "jumped" },
    { 0xD31A411AA31E0DFD, "jumper_dmg_detect" },
    { 0xE6B8897B79FA513E, "jumpheight" },
    { 0x9EFFE1B34909EC57, "jumping" },
    { 0x43224F7F43BC240D, "jumplistener" },
    { 0xF486D6B3872C5B63, "jumpout" },
    { 0x567C643E2CA6E037, "jumpscenenode" },
    { 0x405F573F2B15851A, "jumpslots" },
    { 0x672B60A73E372EA1, "jumpspot" },
    { 0x336CEE9AEC152252, "jumptoanywherebutherespawns" },
    { 0x558750F5B3A6C281, "jumptype" },
    { 0x68EB3A0BF0D0125C, "junks" },
    { 0x256B16C54A1AD446, "justbecamehvt" },
    { 0xF95CA7BC9B37931A, "kamikaze" },
    { 0xFC127987FDB623E7, "kargorgis_wh01_model" },
    { 0xE549AD575F323BC6, "katanacamokillcount" },
    { 0xDEB0F98F24FFD8AF, "kb_locked" },
    { 0x51EA23DF5D155C01, "kc_regweaponforfxremoval" },
    { 0xBEF2A1E60C8EF3F1, "keep_circling_around_vehicle" },
    { 0xE94A2C46B55589FE, "keep_firing" },
    { 0x89C62329695F329E, "keep_firing_minigun" },
    { 0x5814D98CCEA4C65D, "keep_firing_turret" },
    { 0x911D68C9B39716DE, "keep_focus_on_vehicle" },
    { 0xFD0EAF1714BF7FB3, "keep_following_target_while_remain_height" },
    { 0x2778BB3D09F0A00B, "keep_following_vehicle" },
    { 0x9B569B3B572B3F42, "keep_from_crushing_players" },
    { 0xD9D9C02F5B8FC771, "keep_heli_in_place" },
    { 0xDF8B88C49374B7BB, "keep_moving" },
    { 0x1E9769431B2FE606, "keep_perks" },
    { 0x8DC9A3A61B39EBB3, "keep_player_near_location" },
    { 0x83589FA52B8E4D42, "keep_player_on_ground" },
    { 0xF7E14FF4308D86E3, "keep_players_from_using_ascender" },
    { 0x31919EA6A686A4DA, "keep_requesting_spawners" },
    { 0x935AB23E75C54691, "keep_rotating" },
    { 0x965477245D6DA8B1, "keep_sending_enemies_to_kill_hack" },
    { 0x02D3AC13599D2E2D, "keep_smuggler_loot_on_death" },
    { 0x09BD9670EA637D58, "keep_trying_to_kill_off_ai" },
    { 0x1084AAD7D7347542, "keep_up_nag_counter" },
    { 0xE038726DB4DBD20E, "keep_up_nags" },
    { 0xF0F08F6F3AE07BA3, "keepcarryweapon" },
    { 0x9D93009FBDD660B1, "keepclaimednode" },
    { 0x67135FB615D0FA3C, "keepclaimednodeifvalid" },
    { 0x1548AAADBBD11923, "keephudhiddentillfadein" },
    { 0x1A560D1E34DBC77B, "keepiconpositioned" },
    { 0x0B6AD5ECC272F8EB, "keepinmap" },
    { 0x1DD8A7FB4CCB257A, "keepnodeduringscriptedanim" },
    { 0x71C33EEDEB752ED6, "keeppositioned" },
    { 0xA09CE4E62AF52ACF, "keepprogress" },
    { 0x1B964FF87650003A, "keeprightdooropen" },
    { 0xA3004138ED802257, "keepstealthoncontextmelee" },
    { 0xE821C26EEF0507F2, "keepstreamposfresh" },
    { 0xF5C0B9470ADB2EC6, "keepviewingthe747" },
    { 0xD94252C9D441EEA1, "keepweapons" },
    { 0x362A15F19AA8C2E4, "keepweaponsloaded" },
    { 0x1C8EC2040C8A10F8, "key" },
    { 0x580577E793A2EA0B, "key1" },
    { 0x580578E793A2EC3E, "key2" },
    { 0x5D780BC80E85C4B0, "key_activate" },
    { 0xCB42D71BDCC751FF, "key_card" },
    { 0x0B5F4D6B29B9E1E0, "key_card_acquired" },
    { 0x08DFE90C85B3D2A1, "key_card_activate" },
    { 0x82EC0D83832331CF, "key_card_headicon" },
    { 0xE59E73CCC6BDF159, "key_card_hint" },
    { 0x32C9F959DFD34F56, "key_dof" },
    { 0xA563967E2AEDB5EE, "key_drop_on_client_death_disconnect" },
    { 0x13A085B7E0FBD418, "key_hint" },
    { 0xAE1E072AE91F07EA, "key_position" },
    { 0x616DF7F8FB835FBF, "key_use_think" },
    { 0xC3AE3AE58C1B2DDC, "keyboard_make_usable" },
    { 0xE912637B6151488A, "keyboard_monitor_disable" },
    { 0x2E922D3EA1E1DD56, "keycard" },
    { 0xE53E804164A892B9, "keycardlocs" },
    { 0xEFA1B630C5F0A0AC, "keycardlocs_chosen" },
    { 0x2AA5832B04D3C94F, "keyobject" },
    { 0x84DD54FC463F1FFE, "keypad_activate_func" },
    { 0xD3C5C3B95BD874F9, "keypad_check_levelinput" },
    { 0xBC75ED9ECD0B9203, "keypad_confirm_code_correct" },
    { 0xE4A7D8F3BDE05A70, "keypad_damagedeathdisconnectwatch" },
    { 0xFD403605D7378A42, "keypad_disable_for_time" },
    { 0x0CCE2E4488CCAD2D, "keypad_increase_failnum" },
    { 0x14EB6816A2B4CEA0, "keypad_input_clear" },
    { 0xDF359AB053563FA8, "keypad_input_greaterthan_limit" },
    { 0x7292FEBE9E4744D8, "keypad_interact" },
    { 0x82192153E97618D0, "keypad_playeridlewatch" },
    { 0xD4DAAE7AFA2DCDBB, "keypad_playerinteractwithkeypadloop" },
    { 0xE1C21963C632C7D2, "keypad_unlock" },
    { 0x8906A62DA2BE1455, "keypadkeys" },
    { 0x39B44606D90CD43F, "keypadscriptableused" },
    { 0x941CE1F64B2CED36, "keypadscriptableused_altbunker" },
    { 0xB5F5D15B8E2D332E, "keypadsetup" },
    { 0x580539E793A261B1, "keys" },
    { 0x48A92108154503A0, "keywatcher" },
    { 0x205A9DE76BB29BDB, "kick" },
    { 0x1AF3EA3FAF181A67, "kick_afk_check" },
    { 0x3D810000F86E9A32, "kick_for_inactivity" },
    { 0xC36693B2F939A5CD, "kick_player_queue" },
    { 0x3D0617BE2B049F8C, "kick_player_queue_loop" },
    { 0xF97F6081CD3FE894, "kickafkplayer" },
    { 0x3566891A8E88A2D9, "kickanyremainingplayers" },
    { 0xCA73F0E9BDE0DF89, "kickedfromc130" },
    { 0x7024A749C77FBB06, "kickifdontspawn" },
    { 0x7605EA97F57E8C52, "kicknullmusicondeath" },
    { 0xBE45C3895667298E, "kickoff_cinematic_settings" },
    { 0x9378770D0ECB07B6, "kickoff_setup" },
    { 0x93C947214CFB256C, "kickoffneutralbradleyspawnsdom" },
    { 0xACD0D720A418936F, "kickoffneutralbradleyspawnstdm" },
    { 0xEA9AFA6EBCD1EA04, "kickoffstart" },
    { 0x52A6D2FE77371F6D, "kickout" },
    { 0xA2516021075AB64A, "kickplayer" },
    { 0xCB58AB6B1A0F62CF, "kickplayersatcircleedge" },
    { 0xBD1493E5DDAF5442, "kickwait" },
    { 0xDCEB956BAAED34DD, "kickwhenoutofbounds" },
    { 0x1C7DAF040C77DCD3, "kid" },
    { 0xF874A18F597843B5, "kid_ran" },
    { 0x2F87B51BE3EC36DB, "kidnap_black_screen" },
    { 0xEFC5624CEB541EE8, "kidnap_by_knife" },
    { 0xB0EABA08A78E81F0, "kidnap_mover" },
    { 0x08D4F1158A5EAF54, "kidnap_return_loc" },
    { 0xAA60BAD7CB3CD4C9, "kidnap_wid" },
    { 0x6BCCB5686AF5E795, "kidnapper" },
    { 0x4C4E2F346AAA2633, "kidnapper_after_spawn_func" },
    { 0x2A8840B8CF7A6B81, "kidnapper_clean_up" },
    { 0xFC656001E945A912, "kidnapper_disguise_think" },
    { 0xE2A8548606E710D5, "kidnapper_enable_execute" },
    { 0x473996719980EA60, "kidnapper_laststand_hero_watcher" },
    { 0xF8CDF676C2AD0800, "kidnapper_monitor" },
    { 0xB75B538F537F0185, "kidnapper_target_player" },
    { 0x4F512091813E46F8, "kidnapper_target_think" },
    { 0x8DD4686EA0BE50BB, "kidnapper_toggle_monitor" },
    { 0x337C8303F218CE68, "kidnapperdebug" },
    { 0x206784E76BC07965, "kill" },
    { 0xA7DBC21BB99CB47E, "kill_agent_when_in_water" },
    { 0x2F640E992DC776C3, "kill_all_c130_links" },
    { 0x8E18B0545257AECA, "kill_all_enemies" },
    { 0x6CC78768CF130EB4, "kill_all_players" },
    { 0x6A04C751DCDC76AD, "kill_all_zombies" },
    { 0x1165CCB454BE6F5B, "kill_and_delete_quietly" },
    { 0x774958CC690B2448, "kill_aq_for_shootout_anim" },
    { 0xE18C6AF5F4E24710, "kill_array_of_ai" },
    { 0xEF5B627AFE9CD93B, "kill_b1_guy" },
    { 0xB686240AFE1816F5, "kill_barkov" },
    { 0x7463F009BA79CE24, "kill_border_triggers" },
    { 0x1D49DA0618160146, "kill_cam_behavior_default" },
    { 0xED244FFB2CD700F9, "kill_cam_behavior_low" },
    { 0x8B37BC03A12ABC01, "kill_cam_behavior_spin" },
    { 0xC5D51EAAE715EF8E, "kill_cellphone_guy" },
    { 0x4D5D501CD38E1E06, "kill_chickens" },
    { 0xAEE9075D56AFDDF7, "kill_chopper_hint" },
    { 0x92524D81F29AC2B9, "kill_civs_til_player_sees_me" },
    { 0x9DAEEEA9F95BDAAF, "kill_color_replacements" },
    { 0x7D5628EE5996C7BC, "kill_convoy_all" },
    { 0x6916FEBD3B6248BC, "kill_convoy_all_safe" },
    { 0x4C71285152EF33AB, "kill_dad" },
    { 0xC61694855B9CCEE6, "kill_deathflag" },
    { 0x5A9895553407D373, "kill_deathflag_proc" },
    { 0xA2D3D0FAB8E8AFAB, "kill_drone_out_of_bounds" },
    { 0x5432D35CD8C17217, "kill_drone_turret" },
    { 0x94E5D24AC8726FC8, "kill_em_all" },
    { 0x1D54D20C18934E62, "kill_enemy" },
    { 0xFC6283AE69564F83, "kill_everyone_ending" },
    { 0x037478A560AA5C33, "kill_exploder" },
    { 0xFC1629FA2F7B9A20, "kill_flashlight" },
    { 0x485C05045F92476B, "kill_flashlight_fx" },
    { 0x8790CC275300E411, "kill_flip_gun_shoot_remove_fov_scale_override" },
    { 0x5BC8C03EC03469D5, "kill_flir_footstep_fx" },
    { 0xCACE7C0F021A0395, "kill_flood_spawner" },
    { 0x4A4B0BEAC53962DF, "kill_fob_ladders" },
    { 0x99D2606D6A598C87, "kill_frequency_watcher" },
    { 0x1339867E274335AA, "kill_furthest_enemy" },
    { 0xA2EEBFF2A2F53BE9, "kill_fx_thread" },
    { 0xE4D520A042F73078, "kill_hadir" },
    { 0xC03A846236F00CBF, "kill_hadir_gesture_loop" },
    { 0xD4225876AA4A7216, "kill_heli" },
    { 0x732894E3A6985D6F, "kill_heli_logic" },
    { 0xD4D82E4B00257D13, "kill_lights" },
    { 0x039141D582F0C799, "kill_locations_achievement_check" },
    { 0x4C2431705C066B9B, "kill_main_truck" },
    { 0xC948C8284CC59E69, "kill_me_after_timeout" },
    { 0xC399BD42A0C259D2, "kill_me_no_anim" },
    { 0x6CAF0DE6DD672DC8, "kill_me_on_gap_approach" },
    { 0x7FF96B64A2D4AD94, "kill_me_ragdoll" },
    { 0x5563ABB4AFD8D0B5, "kill_me_ragdoll_nosound" },
    { 0x904430D773C9CF69, "kill_mortar_target" },
    { 0x2C991E7F27A3773F, "kill_nearby_ai_enemies" },
    { 0x933DC138A2A5B8BA, "kill_objects" },
    { 0x319161FAE79E949B, "kill_off_all_escort_friendly_ai_riders" },
    { 0xEE637BBCF54BEF04, "kill_off_enemies" },
    { 0x0CB06EEB07EC4B3B, "kill_off_lobby_aq" },
    { 0x8BB4656C411F3B53, "kill_off_non_essential_ai" },
    { 0x9DDFE6813E7D531F, "kill_off_remaining_ai" },
    { 0x556F8548DB71627F, "kill_off_rpg_guy" },
    { 0xA9B5DEEA29B60AA8, "kill_off_sort" },
    { 0x2C0FFA335310D186, "kill_off_time_override" },
    { 0xB6E86F1B87FADC5A, "kill_off_when_station_reached" },
    { 0x547AD860162EAF1A, "kill_oilfire" },
    { 0xB07C62C6F9637715, "kill_on_countdown_timer" },
    { 0xC76A361A5EA9CAA9, "kill_on_damage" },
    { 0xDB3C3F4DAD725C4E, "kill_partner_altdeath" },
    { 0x1E0F7E474EFB6343, "kill_perimeter_lights" },
    { 0xE1E7768448321181, "kill_pilot_on_bleedout" },
    { 0x2B82A3F364200FF7, "kill_player" },
    { 0x45E28F87B03861FE, "kill_player_if_hostage_taker_still_alive" },
    { 0xD05E144532821F4C, "kill_players" },
    { 0xFF7B751DCE5F15A9, "kill_quietly" },
    { 0xD8EC66389B978727, "kill_rate_too_slow" },
    { 0x29FF083780646F13, "kill_rate_watcher" },
    { 0x01C29EC5A854903C, "kill_reward_func" },
    { 0xE6652C0E010BC2DD, "kill_sentries" },
    { 0x6B84F4EC7045903E, "kill_spawner" },
    { 0x3D8F06E3C6578A96, "kill_spawnernum" },
    { 0x408D036DC602448C, "kill_spawngroups_near_safehouse" },
    { 0x667D6E8BFA7CA92F, "kill_tac_covers" },
    { 0x76CD464A4A33BC5F, "kill_target" },
    { 0xC46EE31A22615696, "kill_the_tank" },
    { 0x5B43B9653725DD22, "kill_the_window" },
    { 0x3EB85FB9444B3E09, "kill_tower_ladders" },
    { 0xDB19AB705B1EEC25, "kill_traversal_test_guy" },
    { 0x86D8B03A4BA9F651, "kill_tree_light" },
    { 0x459C5D4AE2E982E0, "kill_trig" },
    { 0x6DE32ACFD73C4D36, "kill_trigger" },
    { 0x16E42B1385779A1E, "kill_trigger_event_processed" },
    { 0xE013B3AB351E3368, "kill_trigger_event_was_processed" },
    { 0x45ED9907D12EEC3F, "kill_truck_riders" },
    { 0x14246651E4122059, "kill_vip" },
    { 0xC8BE3CCA247F7F1A, "kill_with_extra_xp_passive" },
    { 0x6BFA00BF50DE5F79, "kill_wrapper" },
    { 0x5EBFED21084BCA94, "killable_targets" },
    { 0x43E6A6D3DA660C00, "killaftertime" },
    { 0x1C0924676FCD4AA6, "killagent" },
    { 0xAB778DCE2CC8273E, "killandvision" },
    { 0xD89400175B1F8153, "killanimscript" },
    { 0xC0A2387762E29F6C, "killcam" },
    { 0xAF0B5EF59D9F7425, "killcam_timescalefactor" },
    { 0xA1FC072257C6A3E0, "killcamcleanup" },
    { 0x92926A03AD975611, "killcament" },
    { 0x283CE9A4880AD5B7, "killcamentity" },
    { 0xFDB4F6B9618FA63D, "killcamentityindex" },
    { 0x8910828011397F49, "killcamentitylookat" },
    { 0x4F9BE124A14ED67C, "killcamentitystarttime" },
    { 0x8EBFF4A4D38939BF, "killcamentnum" },
    { 0x2BF5F15231AAE6A4, "killcamentstickstolookatent" },
    { 0x216CDE7560854A51, "killcamentstickstovictim" },
    { 0xCD25DF861A1BC5E0, "killcamlength" },
    { 0x6F84FBF270E346A7, "killcamlookatentityindex" },
    { 0x5929F3F5159D5EB0, "killcammiscitems" },
    { 0xFD235FC444469257, "killcamoffset" },
    { 0x9BF57409CFDA58AE, "killcamwatchtime" },
    { 0x8065D43D5C7ABD34, "killcount" },
    { 0x1E67D7AA0BC6E3E2, "killcountthislife" },
    { 0x783885772DD95329, "killdog" },
    { 0x14466E8B5085F428, "killed_by_chopper" },
    { 0x5076A051ACF5BEF2, "killed_by_killer" },
    { 0x7864BCCAC48CAAA8, "killed_early" },
    { 0xEF721A7A65D0247F, "killed_enemies" },
    { 0x08B5F604E2EA3429, "killedby" },
    { 0xBE2B02BB78E5B7C5, "killedbyweapon" },
    { 0x6DC271D5683998C0, "killedenemy" },
    { 0xE6C3F9C00A291D7E, "killedkillstreak" },
    { 0x47283C45AB7F56C1, "killedplayer" },
    { 0x292FD3408B13D7A1, "killedplayernotifysys" },
    { 0xFCD33F38290BA976, "killedplayers" },
    { 0x6440D26E16F93B08, "killedplayerwithsuperweapon" },
    { 0x9A2557B0AE61340E, "killedself" },
    { 0x09E5B8154EF76FF9, "killentireenemyteam" },
    { 0x210362DD3D4810D6, "killeventqueue" },
    { 0x06931A844CD025BA, "killeventtextpopup" },
    { 0xA36C9B1FC6F8372E, "killfxontag" },
    { 0x55C088407345BE12, "killhardpointvfx" },
    { 0x97CE8FF161FD730D, "killing_time" },
    { 0x06F9060838B2CF00, "killingattacker" },
    { 0x7B36DF186EDAF88E, "killkidnappedplayer" },
    { 0x2E777F7EA0B7D7F9, "killleaderaftertimeout" },
    { 0xB87231A01D3F9C30, "killmayhem" },
    { 0x61A501250B20F067, "killme" },
    { 0x8E67C6A8E30B8BC5, "killminimapicon" },
    { 0xA80BC775BE6EBE41, "killnearbyzombies" },
    { 0x491B98EC730B7947, "killnemesis" },
    { 0x36480A76B0282D70, "killoff_vis_passed" },
    { 0x4A0501E340DFC74B, "killofftime" },
    { 0x086B7DDBBB5183EF, "killoneshot" },
    { 0x205AE1F15D4711E8, "killoutlineid" },
    { 0x9DDA9EEC7D5EBD80, "killplayer" },
    { 0x59D1C32DC0C59379, "killplayerinstant" },
    { 0x35F195A84E9F440F, "killprojectileafterdelay" },
    { 0x8D9FB22F7482C5DB, "killproxy" },
    { 0xFFFDA2D086A4BEB9, "killremainingagents" },
    { 0x871CC9FA4432BC9B, "killrepulsorvictim" },
    { 0x04225EF1F84A4B62, "kills" },
    { 0xF8E995151BA5A0B7, "kills10nodeaths_evaluate" },
    { 0xFE88D6CD9E4C5032, "killscharge" },
    { 0x3C13BFFF95064577, "killself" },
    { 0xF38F64FF49492A68, "killsequence" },
    { 0x60714E6E4CDEB147, "killsequencemarinesdata" },
    { 0xAEAFCC788FF9A88A, "killsequenceopfordata" },
    { 0xF5B9AB25CE485482, "killshouldaddtokillstreak" },
    { 0x3705826646E3E5D8, "killsinaframecount" },
    { 0xC69A9169AF187F85, "killsoundondeath" },
    { 0x75D5527239AA4A8D, "killspawn_groups" },
    { 0x89E6827561C8ECEF, "killspawner" },
    { 0xA1E7445D3C167AFD, "killsperweapon" },
    { 0xB783C9D27089B519, "killsperweaponlog" },
    { 0x66CD525610B2C608, "killsthislife" },
    { 0x94709A18F39BC86C, "killstoearnnukeselect" },
    { 0xD855F9BF88535088, "killstreak_additional_targets" },
    { 0x8BF2482D9770034B, "killstreak_aquired" },
    { 0x67102656BF5F6B11, "killstreak_backup_enemies" },
    { 0xDA0C2ED92FEC1AF0, "killstreak_botcanuse" },
    { 0xD64AC6884C1F7C13, "killstreak_botfunc" },
    { 0x6F1081730C59E81B, "killstreak_botparm" },
    { 0xEED25B2A61ABB9ED, "killstreak_chopper_main" },
    { 0xD7B7AD8525AB7FFC, "killstreak_chopper_start" },
    { 0x3289DDDA893829D6, "killstreak_cooldown_start" },
    { 0x46A6C32B9BDE9899, "killstreak_createdangerzone" },
    { 0x970FE96230696343, "killstreak_createobjective" },
    { 0x56137EA1ABA4BB89, "killstreak_createobjective_engineer" },
    { 0x4D1FD5ED51B3C5E4, "killstreak_death_callback" },
    { 0x335A1777419D5C67, "killstreak_destroydangerzone" },
    { 0xA3229B70837930CB, "killstreak_global_bp_exists_for" },
    { 0x768322EE90A8A4D8, "killstreak_info" },
    { 0x76522BEE90722966, "killstreak_init" },
    { 0x64182E2376E1B93B, "killstreak_laststand_func" },
    { 0x1DD1F0888BA660EA, "killstreak_loadout_state" },
    { 0x4F18B54016BF69A1, "killstreak_make_vehicle" },
    { 0xA096CDEE9D873DA3, "killstreak_post_mod_damage_callback" },
    { 0xC3AF63ACE5131E5C, "killstreak_pre_mod_damage_callback" },
    { 0xA504BC3B93E652D0, "killstreak_restorenvgstate" },
    { 0xC29E79DF68E33AA7, "killstreak_retreat" },
    { 0x5A6A1D939E3BEE8C, "killstreak_rpg_guys" },
    { 0xBD963B37CCF11604, "killstreak_rpg_guys_timeout" },
    { 0xCD9FE30739B2B4A7, "killstreak_savenvgstate" },
    { 0xA70B88D3BA9A059D, "killstreak_set_death_callback" },
    { 0x6DE2787F719E40A6, "killstreak_set_post_mod_damage_callback" },
    { 0x13873F3CD0BB1D3F, "killstreak_set_pre_mod_damage_callback" },
    { 0xB1015161F56339D5, "killstreak_spawnuniversaldangerzone" },
    { 0xA6C6D16280C7F062, "killstreak_update_hint_logic" },
    { 0x0576C9B561CC4C99, "killstreak_vehicle_callback_init" },
    { 0x340B38A80484362C, "killstreak_visbilityomnvarlist" },
    { 0xE2CC73E2012C4002, "killstreak_wave_spawns" },
    { 0xAC68E19BB7755C17, "killstreakactivatedtime" },
    { 0x626670480D58071D, "killstreakbeginusefunc" },
    { 0x4CA652E86A09346A, "killstreakcanbeusedatroundstart" },
    { 0x492345522A1F60A3, "killstreakcharge" },
    { 0xC66D408577D24D77, "killstreakclearcallback" },
    { 0xD147459E716EEB9C, "killstreakcrateactivatecallback" },
    { 0x0CCE9A9157820B9B, "killstreakcratecapturecallback" },
    { 0xE58620221FF7A132, "killstreakdamaged" },
    { 0x2DF51AAF248B249C, "killstreakdamagefilter" },
    { 0xA61EDC434717CF29, "killstreakdeploystartbcfunc" },
    { 0x370273BD20120A8A, "killstreakdestroyed" },
    { 0xB54865E6BF9861A0, "killstreakentercallback" },
    { 0x86FE458B6747C379, "killstreakents" },
    { 0x9E5CECE5B76288BC, "killstreakexitcallback" },
    { 0xD9732DC805BB01E5, "killstreakfinishusefunc" },
    { 0xA9A06FCF99D24881, "killstreakglobals" },
    { 0x206D7F2A49C4D8A4, "killstreakhit" },
    { 0x44B3D8925330D25E, "killstreakisrestricted" },
    { 0x3AB9C6D7A29A70E5, "killstreakitems" },
    { 0xB18B4FE1075C6972, "killstreakkilled" },
    { 0x9E0135B347D5EA9D, "killstreaklaststand" },
    { 0x1C8CD457D29218FB, "killstreaklist" },
    { 0x50FE665EA14705B8, "killstreaklockedon" },
    { 0x65D91CBE63D84B50, "killstreakmodel" },
    { 0x64F8F1C3EE1A0683, "killstreakonteamchange" },
    { 0x7FC60EB060CF8502, "killstreakoutoftimecallback" },
    { 0x6E69B1EC2E0564B2, "killstreakqueue" },
    { 0x93D81C9C2668647A, "killstreakregisteroobcallbacks" },
    { 0xE95880E9E17B0D5C, "killstreakrounddelay" },
    { 0x64A12CDD269D90A0, "killstreaks" },
    { 0x0A908A5512BF14CE, "killstreaks_array" },
    { 0x421DF844EA7C85F9, "killstreakselectionwatcher" },
    { 0x9A980A095E2530E5, "killstreaksetups" },
    { 0x8680D4E395BE9872, "killstreakspawnshielddelayms" },
    { 0xDD4255E821AE757B, "killstreaktierlist" },
    { 0xAF983E30AD8001FC, "killstreaktoscorestreak_killtoscore" },
    { 0x46CC4753F85772EE, "killstreaktoscorestreak_scoretokill" },
    { 0xB3E065D6BBA14012, "killstreaktriggeredfunc" },
    { 0x0EF0512D0D3A33EB, "killstreaktype" },
    { 0xF2D03CC863AF19D0, "killstreakweaponfiredcontinue" },
    { 0x2F7594A8747EF913, "killstreakweaponmap" },
    { 0xB304B6B3BC6CF0ED, "killswithitem" },
    { 0xCBFADA0427257112, "killthrowingknifefire" },
    { 0x7BBE80A0DE56A171, "killtriggerloop" },
    { 0xF53D60794C08B789, "killtriggerspawnlocs" },
    { 0x9E10E1C2219F59EA, "killweaponarray" },
    { 0xE17099DEA3FDFEC4, "killwrapper" },
    { 0xFAE0B4CE920B45B2, "kilo121_hack" },
    { 0xF3F79B00610763CD, "kinetic_pulse_fx" },
    { 0x1AC45CC494DC7CF7, "kineticpulse_hint_displayed" },
    { 0xAE582F43FFA4E38C, "kingslayer" },
    { 0x84239575B7E28327, "kingslayerdeaths" },
    { 0x9CC690B22A38F13D, "kingslayerkills" },
    { 0x4206DBC7D1DB98F8, "kiosk_num_purchases" },
    { 0xB1109CB9F7F8C37A, "kiosk_spent_total" },
    { 0x0477709B32C88A33, "kioskfiresaledoneforplayer" },
    { 0xBFC0BDF8B65927DA, "kioskfixupproneplayers" },
    { 0x607AADF336EB8070, "kioskreviveplayer" },
    { 0x4FE6C5772FA242B7, "kiosksearchradiusidealmax" },
    { 0x5009B3772FC862D9, "kiosksearchradiusidealmin" },
    { 0x6EDC760D4065B3A0, "kiosksearchradiusmax" },
    { 0x6EB96C0D403F55EA, "kiosksearchradiusmin" },
    { 0xED635E1A0ED94430, "kiosksetupfiresaleforplayer" },
    { 0x7DC2F5AED324118B, "kitchen" },
    { 0xD6838C85A4999838, "kitchen_ambush" },
    { 0x306019062F1F3C7B, "kitchen_aq_ambusher_fallback" },
    { 0x33BDB145D807FC64, "kitchen_aq_ambusher_magicbullet" },
    { 0x305587410A2DC1F7, "kitchen_aq_shoots_down_stairs" },
    { 0x77F2887655309F0E, "kitchen_bravo_combat_thread" },
    { 0x7326406B4887A0B9, "kitchen_bravo_death_react" },
    { 0x5372D5CFFA41E306, "kitchen_catchup" },
    { 0x3A51ED65D550CE4D, "kitchen_death_anime" },
    { 0xE8E5B8B1EADC9AAA, "kitchen_dialogue" },
    { 0xAA39F2B6DDDD98D4, "kitchen_door_disconnect_paths" },
    { 0x2E8F0F36A1391339, "kitchen_enter_init" },
    { 0xA3753AE0BBF78ABF, "kitchen_girl_death" },
    { 0xAD446CD924E08E2E, "kitchen_girl_death_dialogue" },
    { 0xFC269D3C110C483F, "kitchen_guy" },
    { 0xDCFEAC8EF632A88F, "kitchen_magicbullet" },
    { 0xFC288B2EBD7C6B09, "kitchen_main" },
    { 0xAF85D9280A9B69C8, "kitchen_mantle_thread" },
    { 0x43C3F4B8963C9C83, "kitchen_no_react" },
    { 0xF1161FF2BF177165, "kitchen_open_door" },
    { 0x34344D163C99F65C, "kitchen_player_clip" },
    { 0x9A2CA93EFBC8D821, "kitchen_player_deployed_ladder" },
    { 0xEF51D4AE69434754, "kitchen_player_top_of_ladder_failsafe" },
    { 0xC48C01DCC3501893, "kitchen_react" },
    { 0x3BF24E4C1A40C911, "kitchen_scene_speedup" },
    { 0x2B9D3DD42F93AF41, "kitchen_sequence" },
    { 0x3EFD55C865A87C8E, "kitchen_smoke_handler" },
    { 0x387D7C095383DA80, "kitchen_smoke_monitor" },
    { 0x517AF82CBC90D1D0, "kitchen_start" },
    { 0x2BA4A1743BB9A83B, "kitchen_takedown" },
    { 0xA6CA49E14D1DB394, "kitchen_takedown_door" },
    { 0x1F643A25283CFFC6, "kitchen_takedown_girl" },
    { 0xFF387EA24A0E328F, "kitchen_toggle_containment" },
    { 0x9C53536B8318F783, "kitchen_use_deathanim" },
    { 0x49246E45C1231469, "kitchen_use_deathanim_hold" },
    { 0x067A60A8598EC69A, "kitchen_use_deathanim_laying" },
    { 0x0700BF67622EF541, "kitchen_use_deathanim_laying_bravo" },
    { 0xFB0AFE29B3FF9B2A, "kitchen_use_deathanim_tie" },
    { 0xEFF61D8B37290A06, "kitspawn" },
    { 0x689025F975EB540E, "kittohintstring" },
    { 0x125E127F6EE9FC6B, "kittoicon" },
    { 0x1B021DC825D930BB, "kittype" },
    { 0x0909FB07A8A8D346, "kleenex_popup" },
    { 0xDBE29F4BC964B856, "knife" },
    { 0x981FCAE92D0AA215, "knife_trigger" },
    { 0xCE1B89583E0AE819, "knifespawnpos" },
    { 0x712525645607CB44, "knifeteleownerinvalid" },
    { 0xE98F2714914CC83A, "knivesperminute" },
    { 0x01ABA8D6F6588072, "knock_off_check" },
    { 0x50D661B94BAA515F, "knock_player_forward" },
    { 0x8119E0C3586A7D2C, "knockback" },
    { 0x79BBF37051BC2579, "knockdownanime" },
    { 0x8104DC5E57D63A99, "knocked_out" },
    { 0xB275602902F2988D, "knockout_manager" },
    { 0xFDAA5D6E8BAA14B7, "known_event" },
    { 0x60229B331ADB46C0, "ko_alias" },
    { 0x246F6012011E49F9, "kothextraprimaryspawnpoints" },
    { 0x86FDEAD18328C062, "kothhillrotation" },
    { 0xA26C7EF8B838680C, "kothlaststarttime" },
    { 0xBAD2BFC48D4E2B50, "kothmode" },
    { 0xB6C54EA87AA2615E, "kothtotaltime" },
    { 0x23AE03F7E54A742B, "ks_airdropcratearmor" },
    { 0x64ABF99AA4F38D56, "ks_airdropcrateusetime" },
    { 0x9E5723AA1100D78C, "ks_airdroppercircle" },
    { 0xBBBA28E364ABB6E0, "ks_airsuperiority_handleincoming" },
    { 0x2FA1A7A31BFEEC95, "ks_airsuperiority_monitorproximity" },
    { 0xD8C74057ABADD7C9, "ks_circleclosetime" },
    { 0x1AB30A3AAE5C9A33, "ks_circlecount" },
    { 0x72B7B1FD2179DB42, "ks_circledelaytime" },
    { 0x262CE481ACF92DB9, "ks_circleminimapradius" },
    { 0xC0864D79DD14F15D, "ks_circlemovedist" },
    { 0x27D2BFDBB51AF0AA, "ks_circlemoving" },
    { 0x5DA67F5C806F6D72, "ks_circleradius" },
    { 0x2603CB83268F1AFE, "ks_killleaders" },
    { 0xA2B49E5AB13AEC90, "ks_laserguidedmissile_handleincoming" },
    { 0x332265FE4881ECA5, "ks_laserguidedmissile_monitorproximity" },
    { 0x448D87255D5C6BC6, "ks_manualflares_handleincoming" },
    { 0x9055DA6CA9724B03, "ks_manualflares_monitorproximity" },
    { 0x282058C981E4B9FA, "ks_manualflares_watchuse" },
    { 0x304C9A37656EA455, "ks_pointbonusforteam" },
    { 0x1357CD42D0134FE8, "ks_pointkingsgetnobonus" },
    { 0x3967ECC4EC0D4F66, "ks_pointsperkingslain" },
    { 0x5470634D0927EF74, "ks_pointstowin" },
    { 0x607C044B45DC16D4, "ks_setup_manual_flares" },
    { 0x2AD83E8FAB455851, "ks_vehicles" },
    { 0x53CD2F46113B123B, "ks_watch_death_stop_sound" },
    { 0xEC08D8C7582D0F09, "kscallbackinitcomplete" },
    { 0x728A3775DEAE268B, "kscapturestrings" },
    { 0xA619AACA12CF6C14, "ksdeathcallback" },
    { 0x06A9D3BDFCBC5CD9, "kspostmoddamagecallback" },
    { 0xE8AC75F2EA0F3256, "kspremoddamagecallback" },
    { 0x60D248C2EB74822D, "ksrerollstrings" },
    { 0xFA3FF341DFFC5439, "kstargetlocation" },
    { 0xD33B94D0DD62FFB0, "ksweights" },
    { 0x8DD5C66D2868239C, "kung_fu_mode" },
    { 0xEC8612705853E950, "kung_fu_vo" },
    { 0x5875F83601D15468, "kung_fu_vo_wait" },
    { 0x4A0076AB007AE28D, "kungfu_style" },
    { 0x07763BE814BBDABA, "kyle" },
    { 0x8F9933D1DFBD6D69, "kyle_ai" },
    { 0x5B979115DE0A22AD, "kyle_dialog_struct" },
    { 0x0F08F091862A247D, "kyle_line" },
    { 0x6F26049BBD2EC3C9, "kyle_loadout" },
    { 0xDB1E3208AE42C36C, "kyle_logic_thread" },
    { 0xB1A3BB8E6DF7D8ED, "kyle_poi" },
    { 0x75FE34F6BCB333B8, "kyle_swap" },
    { 0x85E12F5E4762048F, "kyleb_ai" },
    { 0x78718D11D071564C, "kyledrone" },
    { 0xC20B8E2CF469DB92, "kyledrone_extras" },
    { 0x046A732ED2AA7AB0, "lab_ambush_catchup" },
    { 0xF6D76EC9FC56422B, "lab_ambush_main" },
    { 0x800A46048A33535A, "lab_ambush_start" },
    { 0xC182E1DD910E54DD, "lab_civ_vo" },
    { 0x6E4A558D0FBF5923, "lab_civs_logic" },
    { 0x4366C21DC6285770, "lab_door_init" },
    { 0x978ABA7650F07137, "lab_door_move" },
    { 0xFA0AF96AE682AB68, "lab_door_prompt" },
    { 0xEA1519EB1DB31ED0, "lab_door_prompt_internal" },
    { 0x8E486F019BD6F5FF, "lab_drone_setup" },
    { 0x6924839E1525B501, "lab_ending_bink" },
    { 0x2DF61C2FE9467FA6, "lab_entrance_catchup" },
    { 0x3FC76AFD9DDC969C, "lab_entrance_dialog" },
    { 0x04C299D2E8DCFBA4, "lab_entrance_door" },
    { 0x8F87052C7FE74229, "lab_entrance_main" },
    { 0xD518213F4D876070, "lab_entrance_start" },
    { 0x1FF82F4A23B65EAF, "lab_halligan_anim" },
    { 0x3F39B522DFDB14D4, "lab_jumpdown_catchup" },
    { 0xB556CD5524A08A57, "lab_jumpdown_main" },
    { 0xF6EA63207843FECE, "lab_jumpdown_start" },
    { 0x866D382BDB7A240B, "lab_nag_called" },
    { 0xE17B96D1D5CA090B, "lab_obj_remove" },
    { 0xC4CF4B19F697F3B9, "lab_objectives" },
    { 0x4219D40CDD75F93C, "lab_starts" },
    { 0xBA086F35A5BFE12B, "lab_victims_move_to_door" },
    { 0xB1A1D1F2AA076819, "label" },
    { 0x08E88B678A488817, "label_rebels" },
    { 0xC0A568B2A94A7ED7, "label_settings" },
    { 0x9592A61D0E3D1C5C, "labelid" },
    { 0x9573951D0E1AA518, "labelpc" },
    { 0xAE4922ABEE4AA11E, "labels" },
    { 0x11699A97FE8E15C7, "labelsused" },
    { 0xABE500F0A4342119, "labprisoners" },
    { 0x3270CBA4F1E0CB69, "labprisonersbackground" },
    { 0x97572FFA4CB7A623, "labvictim1" },
    { 0x975730FA4CB7A856, "labvictim2" },
    { 0x975731FA4CB7AA89, "labvictim3" },
    { 0x975732FA4CB7ACBC, "labvictim4" },
    { 0x975733FA4CB7AEEF, "labvictim5" },
    { 0x975734FA4CB7B122, "labvictim6" },
    { 0x975735FA4CB7B355, "labvictim7" },
    { 0xA8AA7732EF8934C5, "ladder" },
    { 0xA8C172B2524ADB96, "ladder_activate_func" },
    { 0x5CBD5EF3F0B5D22A, "ladder_corpse" },
    { 0x88B84631C11619D6, "ladder_down" },
    { 0x1ACF00C147289ABA, "ladder_hint_func" },
    { 0xAF7E7FD4883D470B, "ladder_init_func" },
    { 0xF8DDA6CC4FF94BCE, "ladder_unusable_thread" },
    { 0x9CCF363A9A217CA3, "ladder_up" },
    { 0x3A8788883C23F76A, "ladderdeathsthisweapon" },
    { 0x0454A367E41736E3, "ladderexecutionblocked" },
    { 0x7A376E42497140AB, "ladderindex" },
    { 0x0E1A6E28205CAA36, "ladderkillsthisweapon" },
    { 0xF338740FD23737B6, "ladderpistol" },
    { 0x972B560DF8A585D4, "ladderpreviewmodel" },
    { 0x9EEFE9181D320ADC, "laddertracking" },
    { 0x565EF4582B962B21, "ladderweapon" },
    { 0x1851444DB109C7AD, "lagged_position" },
    { 0x77784F2B2CA31BD0, "land" },
    { 0x43B8120B12AFE248, "land_at_airport" },
    { 0xAE46AE958AF49E36, "land_usability_disabled" },
    { 0x0BC7879C81753ED2, "landanims" },
    { 0x5CFDF1C6EE1D8851, "landed" },
    { 0x190368D64D061170, "landed_players" },
    { 0xC58BE409EE3604E7, "landing_damage_watcher" },
    { 0x5D820FDD290E32C3, "landing_pos_array" },
    { 0xC680B8A4C93CA83D, "landing_spot" },
    { 0xFA9E89FC649186C2, "landingzones_active" },
    { 0xC1F113178C7A9651, "landmark" },
    { 0xFFC31EC9F1982CC6, "landmarks" },
    { 0xE017F81D2DB3D60E, "landmine_active" },
    { 0x61CBFE0F05703BC4, "landmine_disabled" },
    { 0xB0CEACEEDB0B3331, "landmine_run_on_player" },
    { 0xB5E15B827372276C, "landmine_think" },
    { 0x044856B23C5D62D6, "landmine_trig" },
    { 0x7A7095B955D61F57, "landmine_trigger_origin" },
    { 0x7778502B2CA31E03, "lane" },
    { 0xF034C533777E3E7B, "lane_1_obj_struct" },
    { 0x71F1C311147F5F9C, "lane_2_obj_struct" },
    { 0x090A5B01DCED148D, "lane_3_obj_struct" },
    { 0xB34A3307A5B5F2D7, "lanemask" },
    { 0x60B6BEF32ABBF050, "lanes" },
    { 0xA97614874AB10A5A, "lanetriggers" },
    { 0x2399BCF3A76AFB64, "lanter_fire_damage" },
    { 0x704CB27E5CB1E900, "lantern_fire" },
    { 0x5426D158C31F2F6B, "lantern_fire_trigger" },
    { 0x6006F16CB1DA676C, "lantern_listener" },
    { 0x3B8CE01698B782F8, "lanterns" },
    { 0x470538042B468B66, "lap" },
    { 0x6EBC45D6A5EF7251, "lap_index" },
    { 0xE099AE3961C8EF38, "laps_data" },
    { 0x2F020F5F6D0295D1, "laptop" },
    { 0xFF67C5C2EEC5ADBA, "laptop_use_think" },
    { 0x59D56D1BB018DBC3, "laptopactive" },
    { 0x4B43755ED5ABC049, "laptopinfo" },
    { 0x1C495AB2F9DA8D64, "laptopinteractions" },
    { 0xFF9C71D1FF0E8E41, "laptoploc" },
    { 0xE6055333EB117BE9, "large_transport_cp_create" },
    { 0x2388490D973927D5, "large_transport_cp_createfromstructs" },
    { 0x6A59A3513D062DBE, "large_transport_cp_delete" },
    { 0x4FE9424F13AC5C93, "large_transport_cp_getspawnstructscallback" },
    { 0x48A4F9BD69316C87, "large_transport_cp_init" },
    { 0xFC62B58DDA7FA14B, "large_transport_cp_initlate" },
    { 0x3B9BE98CB7608FBE, "large_transport_cp_initspawning" },
    { 0xC024626A48E9CE01, "large_transport_cp_ondeathrespawncallback" },
    { 0x6F0C6F0773A571FF, "large_transport_cp_spawncallback" },
    { 0xBD14499D58D73388, "large_transport_cp_waitandspawn" },
    { 0xA635CDF27EDBE6B7, "large_transport_create" },
    { 0x7F216E6101A1624C, "large_transport_deathcallback" },
    { 0x7C002CEC89A0AB46, "large_transport_deletenextframe" },
    { 0x5AB27090C534A6A8, "large_transport_enterend" },
    { 0xCEA5BBC8A2D90B89, "large_transport_enterendinternal" },
    { 0xFE21AB80121E1C9C, "large_transport_exitend" },
    { 0xF168CC3E3277D185, "large_transport_exitendinternal" },
    { 0x172CE1EF90F2ED20, "large_transport_explode" },
    { 0xED61C1A86DC23D85, "large_transport_getspawnstructscallback" },
    { 0x14A4FC0F5F2F4469, "large_transport_init" },
    { 0x0600DB9B27E94E84, "large_transport_initdamage" },
    { 0x0EB836C4D1B1687F, "large_transport_initfx" },
    { 0x4E967B1934A4F3E3, "large_transport_initinteract" },
    { 0x5A725EAC8AF43FDD, "large_transport_initlate" },
    { 0x6815F28BDB938E3A, "large_transport_initoccupancy" },
    { 0xC87F86171A17D833, "large_transport_initomnvars" },
    { 0xB0173DAF49606F74, "large_transport_initspawning" },
    { 0x99FB3139D716016F, "large_transport_mp_create" },
    { 0x8C1DFDE63813B754, "large_transport_mp_delete" },
    { 0x4671B7727C6BC32D, "large_transport_mp_getspawnstructscallback" },
    { 0x1CCC0F068EABA451, "large_transport_mp_init" },
    { 0x7555E3AD519D309B, "large_transport_mp_initmines" },
    { 0xEAA46111D28A320C, "large_transport_mp_initspawning" },
    { 0xE3BA6FC6CAD436BF, "large_transport_mp_ondeathrespawncallback" },
    { 0x1097992D7BD0D435, "large_transport_mp_spawncallback" },
    { 0x26F95798AA11C2E2, "large_transport_mp_waitandspawn" },
    { 0xCB4C0DF8A3C08AF6, "largemap" },
    { 0xCF50F091FA9E65A6, "largeprojectiledamage" },
    { 0xE6316548618DAA02, "largescale" },
    { 0x90ED2162AA5603E2, "largestep" },
    { 0x05D4E42EE3FCBE72, "largetransports" },
    { 0xBF5760CA97B4B647, "largevehicleexplosion" },
    { 0xD7F46AF20A7247F0, "laser" },
    { 0xFD3B0F25A51BC738, "laser_activate" },
    { 0xA60533B7FD58375B, "laser_complete_enter" },
    { 0x80179E7015EDCF09, "laser_complete_handler" },
    { 0xD9EF331C7E5AF2F8, "laser_control_station_use_monitor" },
    { 0x8A48A5329CAACDB7, "laser_discipline" },
    { 0xCCFFA82A536CFAD8, "laser_discipline_kill" },
    { 0x6CB3352682A419C4, "laser_end_ent" },
    { 0x434EDA926E7B2E04, "laser_end_ent_thermal" },
    { 0x9C5B992760DD1667, "laser_end_pos" },
    { 0x9FCBCE0357AA9CDD, "laser_ent_clean_up_monitor" },
    { 0x39916FECEFA2BEAF, "laser_func" },
    { 0xE1A0CD0E71DBCB5B, "laser_fx" },
    { 0x9D3D5864BD0A6180, "laser_hint" },
    { 0x327FB16917ACBCFA, "laser_idle_enter" },
    { 0xB6400152C5E7D01D, "laser_idle_update" },
    { 0xC06F6B47FB3FBCBB, "laser_init" },
    { 0x97600F5AC5032EBE, "laser_init_simple" },
    { 0x81D6522B491430CD, "laser_move_to_enter" },
    { 0x72C7FEA6BFCBA213, "laser_move_to_handler" },
    { 0xF7E14923612C09F4, "laser_move_to_update" },
    { 0xFA6D3DC01BEE0913, "laser_off_enter" },
    { 0xE3ED561CADB49936, "laser_off_update" },
    { 0xE178E10E71AF86C8, "laser_on" },
    { 0x326E7FB06CC2A348, "laser_on_then_delete" },
    { 0xD3ACF602D6B1CD24, "laser_player_instructions" },
    { 0x99B976F2751159CA, "laser_pursue_players" },
    { 0xA2C1147B8D0CA306, "laser_pursue_players_internal" },
    { 0xD14D445FC2BF0FBA, "laser_reset_position" },
    { 0x1F8518A265AF4D96, "laser_show_position" },
    { 0x958D8F88D7FAE7A5, "laser_shut_down_button" },
    { 0xB55AD08304FCE092, "laser_shut_down_interact_monitor" },
    { 0xBBA0AF073103872F, "laser_sights" },
    { 0x04D9C9B24C2A535D, "laser_start_ent" },
    { 0x1D0B9A5B3CA9C6AD, "laser_start_ent_thermal" },
    { 0x73431B3E159FEA7E, "laser_state" },
    { 0xF4C34796BDDCC779, "laser_switch_manager" },
    { 0x663752E86BE2A048, "laser_targeting" },
    { 0xF1641448BC853ED1, "laser_track_enter" },
    { 0x3BDD3AC16DAEAF57, "laser_track_handler" },
    { 0x36D6A7E0760B94F0, "laser_track_update" },
    { 0x7593EAF6AE7CF6E7, "laser_trap_combat" },
    { 0xDED6B35FE57E37C2, "laser_trap_control_station_interaction_array" },
    { 0xDC1FF8570BD50897, "laser_trap_structs" },
    { 0x9300A2AF96E37A36, "laser_trap_triggers" },
    { 0x0E044E78315C52CB, "laser_traps" },
    { 0x130F1D74D1A3573B, "laser_traps_saved_origins" },
    { 0xEDC316F5383639F5, "laser_vfx_start_pos" },
    { 0x918CADB267B5B8F0, "laser_vfx_think" },
    { 0x024FE9EFA3D7EE4B, "laser_window_trap_hint_displayed" },
    { 0x3D5B526AE4E4B188, "laseraltoff" },
    { 0x183701FE5EFC3EA6, "laseralton" },
    { 0xAF71075FF59D919B, "laseraltviewoff" },
    { 0xF127DB76D954EC37, "laseraltviewon" },
    { 0x9BA253C26D6D6740, "laserforceoff" },
    { 0x6F7BE4CB996E4D3E, "laserforceon" },
    { 0xE7DAFA249BA9F80F, "laserhidefromclient" },
    { 0xFA924B0DC8E0DE95, "laseroff" },
    { 0x8865CA7E23D90778, "laseroff_func" },
    { 0x3A590F4852A892D9, "laseron" },
    { 0x8D551692E0E84134, "laseron_func" },
    { 0x7701452B2C1FE725, "last" },
    { 0x84D823174D9C46D7, "last_actor" },
    { 0x8293F16672D6EC6C, "last_ai_spawn_anim" },
    { 0x10D750F72291F1E4, "last_aim_callout_time" },
    { 0xA279AE45F21751D2, "last_akimbo_ammo_taken" },
    { 0x89AF8FC4619F4B32, "last_angles" },
    { 0x0E7E8D7977CF3A91, "last_anim_time" },
    { 0x65B5C3E10CF978DA, "last_anim_time_check" },
    { 0xB4E7B6EBB5DE5C4D, "last_atk_bomber_death_time" },
    { 0x43719495C580DB9E, "last_attack_time" },
    { 0x1E09EED147A9C75D, "last_attacker" },
    { 0x66A76F1A68DEE3B0, "last_bag_drop_time" },
    { 0x8729355F6871EE9B, "last_beam_time" },
    { 0xC59ADC63FA55F1F0, "last_bomb_location" },
    { 0xC1D0FABEEEF32572, "last_callout_time" },
    { 0x569D98E713B998EA, "last_center_nagged" },
    { 0xB9EEEBA01D7BAE36, "last_chair_nag_time" },
    { 0x2B590D108191249F, "last_command" },
    { 0xDE590B99D1ADCFE4, "last_damage_type" },
    { 0xCD03D72E386917BF, "last_damaged_by" },
    { 0xA05F928F867ACBAF, "last_damaged_time" },
    { 0x749EB1E60491FA6D, "last_death_pos" },
    { 0x31A307196F777183, "last_displayed_ent" },
    { 0x4454038EE79414CA, "last_dmg_hint_time" },
    { 0xCF835369E7678AAE, "last_dmg_player" },
    { 0xDEE15621F01EFC62, "last_drawn" },
    { 0x7867684A6A569800, "last_enemy_sight_time" },
    { 0x6F3A0647EFAB62FE, "last_enemy_sighting_position" },
    { 0xB25E811DCF49177B, "last_exfil_nag" },
    { 0x992E78CCB3166E70, "last_finished" },
    { 0x654228B8C2A2607E, "last_flash_explode_time" },
    { 0x920387400CA76350, "last_global_badplace_time" },
    { 0xFFD4DEAF514D2F21, "last_goal" },
    { 0x47DE6D027E46485F, "last_goalradius" },
    { 0x3304DBA89195BEB4, "last_good_drop_pos" },
    { 0xC8D1F59034F88AE2, "last_good_pos" },
    { 0xF287BDE15284A9BC, "last_gren_drop_time" },
    { 0xC3CBA094D5675997, "last_grenade_fire_time" },
    { 0xA9B3036C4B372FD6, "last_heli" },
    { 0x7D36A39BA238EF5F, "last_helidown_loc" },
    { 0xA8F05722A8232A75, "last_hill_enemies_dead" },
    { 0x00D36C4C53FAC1D9, "last_hit_target" },
    { 0x69C757C57B464385, "last_horn_time" },
    { 0xA76177DE28A0A7E8, "last_hostage_death_position" },
    { 0x26CC430688E61A43, "last_in_danger_time" },
    { 0x5257545B03EFA40D, "last_infected_class" },
    { 0xF2217D1F27A43A69, "last_infected_hiding_loc" },
    { 0x222BFFB92B5EAC20, "last_infected_hiding_time" },
    { 0x03DC16C10F3D8FF3, "last_interaction_point" },
    { 0xA7FC8FB3E6D1C9F7, "last_interior_callout_time" },
    { 0x4C1BCEF5F13CFFB0, "last_investigation_time" },
    { 0x4B26CA8227C8C2B1, "last_jumped_time" },
    { 0xEF967D2234264278, "last_kill_attempt_time" },
    { 0x270361433E3A2F95, "last_killtag_tactical_goal_pos" },
    { 0x35F403FCFAF2A045, "last_large_rod_target" },
    { 0xC6DA6CB03F73D99D, "last_large_rod_time" },
    { 0x7165B70991099AA4, "last_line" },
    { 0x0ED0C7DF96E689FC, "last_loot_drop" },
    { 0x081D8FB1D4C18E7F, "last_losing_flag_react" },
    { 0x91EE23C92E12715B, "last_melee_ti_check" },
    { 0xD5A98A2B103A4D24, "last_misile_fire_time" },
    { 0x07551FBCEACD6E06, "last_molotov_explode_time" },
    { 0xD4340CF834AB0DAD, "last_molotov_throw_time" },
    { 0x7058DCCCF64968B0, "last_motion_time" },
    { 0xFAE8BA131B9336CB, "last_nag_alias" },
    { 0x127AF91A4189232D, "last_nag_pos" },
    { 0xE7F54316F6909FB0, "last_nag_time" },
    { 0x3458DD890C159DDC, "last_nonsuppressed_warning_time" },
    { 0x404A124B6A79DF89, "last_overwatch_vo_time" },
    { 0x789FC74A32A52A76, "last_owner_stance" },
    { 0x36D808CB5A22A85E, "last_phone_check_fail" },
    { 0x7E93034F34E748D0, "last_plane" },
    { 0xF70C62306431A181, "last_played" },
    { 0xF70C5430643182B7, "last_player" },
    { 0x153EDA91222C2DE5, "last_player_reaction_time" },
    { 0x3BFBDA3A0C70C6AF, "last_player_seen" },
    { 0xFF4453F47293E934, "last_pos" },
    { 0x9E34108F199A8FE9, "last_powers_dropped" },
    { 0xB22F3EA228423053, "last_queue_time" },
    { 0x7F20D7AF427435DC, "last_revive_fail_time" },
    { 0x8351F9CD26DE7952, "last_rocket_time" },
    { 0x1E691E00235E776E, "last_rpg_fire" },
    { 0x42876283666F847F, "last_said" },
    { 0xA6A0F741EFAFD068, "last_say_times" },
    { 0x34E98791D75688CD, "last_saydefuse_time" },
    { 0xB8554EC6C5AE4268, "last_seen_time_override" },
    { 0x027C19545CBEC84F, "last_selected_entity_has_changed" },
    { 0xF0637CB39BD1D7C1, "last_sentry" },
    { 0x6D088F44D22A7F39, "last_set_goalent" },
    { 0xD06A383115189C50, "last_set_goalnode" },
    { 0xB12D834448BBBAFE, "last_set_goalpos" },
    { 0x4A7ABEE216DED3F3, "last_severity_time" },
    { 0xD4FF6762D39C0ADF, "last_shot_by_mg" },
    { 0xD279F657006F960D, "last_sight_updater" },
    { 0xB0CFFFDD90C546AF, "last_sound_time" },
    { 0xAE254DFCD4C9FC0F, "last_spawn_time" },
    { 0x63BE562CC7479DC8, "last_spawned_time" },
    { 0x9F9533459D6F8013, "last_spawned_vehicle" },
    { 0xA2209E63B9D51BFE, "last_speed_set_time" },
    { 0x3A3A3D841C662CCE, "last_spot" },
    { 0x9B08FB7287ADA287, "last_spotted_vo" },
    { 0xBB7C7E56446F771A, "last_stab_time" },
    { 0x19930A5B8F757278, "last_stand_clear_pilot_picker" },
    { 0xFDE035F0C8365A20, "last_stand_hud_update" },
    { 0x29CA0DCF77E0A5C8, "last_stand_pistol" },
    { 0xA359A7691F726112, "last_stand_sfx" },
    { 0x846B99345DC0FFF8, "last_stand_state" },
    { 0x606EAA82FEA2A78C, "last_stand_weapons" },
    { 0x20F01855994E4513, "last_tag_pile_location" },
    { 0x57B686140B735AC5, "last_tag_pile_time" },
    { 0x8E207FD9EB52A51F, "last_target" },
    { 0x03C205974E331E22, "last_taunt_sfx" },
    { 0x54DAF7C81241F02E, "last_threat_debug" },
    { 0xE1EED922175BC982, "last_time_calc_defuser" },
    { 0xC57DAAC4DFE83C2E, "last_time_jumped_for_tag" },
    { 0x60D51096F8EDB51F, "last_time_secured" },
    { 0x7B2F0C5200DB0D72, "last_unresolved_collision_time" },
    { 0x4B8D41624A04B691, "last_used_time" },
    { 0x6AB7C1F676848F89, "last_valid_weapon" },
    { 0x11F1C44CB3A95712, "last_vampire_feedback" },
    { 0x3845076BE031EE44, "last_vampire_sound" },
    { 0xEB3DBAF427529107, "last_vo_time" },
    { 0x7D0E0BC4E0DE8D04, "last_warned_weapon" },
    { 0x8E6ED2C5D5640948, "last_wave_num" },
    { 0xDFE7C1C5554CB6C5, "last_wave_ref" },
    { 0x7C3E7129DEF71D71, "last_wave_time" },
    { 0x2451E6FC919F35DE, "last_weapon" },
    { 0x6FDB83EB7673BF4C, "last_weapon_aim_time" },
    { 0xBC0B724E6B5BB41A, "last_weapon_fire_pos" },
    { 0x17F303D810EF4EF9, "last_weapon_fire_time" },
    { 0xB38D498945040CFB, "last_weapon_fired_time" },
    { 0xA3BC2C41D4A9788F, "last_weapon_nag" },
    { 0x87D55F4C5A83D9C2, "last_x" },
    { 0x87D5604C5A83DBF5, "last_y" },
    { 0x143A407D65D8C2DF, "lastaction" },
    { 0x8BA515F7D55666E0, "lastactivatedcameraobject" },
    { 0x56FEB749B888434E, "lastactivateinstruct" },
    { 0xF490063315A970E9, "lastactivatetime" },
    { 0x7FFD494FBC27317A, "lastadsstarttime" },
    { 0x02DFE0C48CEA782B, "lastadvancetoenemyattacker" },
    { 0xBEC5CC01FE65D5D4, "lastadvancetoenemydest" },
    { 0xDE692D0E44FFF766, "lastadvancetoenemysrc" },
    { 0x25302E8014A1AEF9, "lastadvancetoenemytime" },
    { 0xAE3005092BCED4BA, "lastaliassaid" },
    { 0x44ED830982740950, "lastanim" },
    { 0x1E7DB87CF71C4CAB, "lastannouncetime" },
    { 0xD5325372CE1D5DFF, "lastapproachinstruct" },
    { 0x4CC5A629214332B0, "lastarchetypeinfo" },
    { 0x9FA32825053D8464, "lastarchivetime" },
    { 0x24C5CBC0F54A31F6, "lastascenderusetime" },
    { 0xB05A5FBF0EEDD0A0, "lastattackedshieldplayer" },
    { 0x5062782472FC0CE4, "lastattackedshieldtime" },
    { 0x34A14B2770783165, "lastattackedtime" },
    { 0xB02D24B189C62BEE, "lastattacker" },
    { 0xAF90141374E464D1, "lastattackplayertime" },
    { 0xF7B0E45D40A7BB2A, "lastautosavetime" },
    { 0xA6DFB6C0FB715B36, "lastbadspawntime" },
    { 0x6EA89833E8FE88A7, "lastblockedbywallchecktime" },
    { 0x0195C6294F9352F7, "lastbombplanttime" },
    { 0xB0970DC18D65D195, "lastbored" },
    { 0xFF4A8DB789E918C5, "lastboredscore" },
    { 0xEDD70B8DF861D6A6, "lastbounty" },
    { 0x9BECB88B7F146B97, "lastbucket" },
    { 0x6BCD986598DDF4B1, "lastburntime" },
    { 0x8D51FEE908B4D38B, "lastcacweaponobj" },
    { 0x03B5A5696AB1B112, "lastcaptime" },
    { 0x0810C39609F40200, "lastcaptureteam" },
    { 0x27BEC71E99929A9E, "lastcarexplosiondamagelocation" },
    { 0x984EFAE2BA99D3CB, "lastcarexplosionlocation" },
    { 0x93CFB93C272A8C71, "lastcarexplosionrange" },
    { 0x1DA3ED3E9E8988CD, "lastcarexplosiontime" },
    { 0x7088EC0DA013C6F7, "lastcarrier" },
    { 0xADAD86A4F8A1EFBD, "lastcarrierscored" },
    { 0xF0A85EFE15605666, "lastcarrierteam" },
    { 0x5F73DB0BB68AF59F, "lastchosenscreenprinttime" },
    { 0xF361D9CB92D5B79A, "lastcircleeventtime" },
    { 0x7590385A3F725A00, "lastcircletick" },
    { 0xFC5A3109A798818E, "lastclaimteam" },
    { 0x341FBD09CFA6803E, "lastclaimtime" },
    { 0x298FF23CA72FF69F, "lastclass" },
    { 0xBE9CBFE4BBE72C1D, "lastcolorforced" },
    { 0xA55FE1C30FAC6854, "lastconfirmedpos" },
    { 0xD8C9439D1A7564E3, "lastcontact" },
    { 0x886AA5FD3F8219EC, "lastcovernode" },
    { 0xA50AD1624017639F, "lastcrossbowhadstoppingpower" },
    { 0x904F9A370A696E0D, "lastdamagedtime" },
    { 0xA7F5CDA4F1A86BB9, "lastdamagetime" },
    { 0xF6B1E551739623D3, "lastdamagewasfromenemy" },
    { 0xB0E402CD8F61CD79, "lastdeathangles" },
    { 0x3CDA92C3C619668A, "lastdeathheadicon" },
    { 0x6E92A4753DC8BA57, "lastdeathheadiconforenemy" },
    { 0x05C7C884B1844131, "lastdeathpos" },
    { 0xBA253EA11AD70C3B, "lastdepositinstruct" },
    { 0x1F4CE61D66D40C16, "lastdialogfinishedtime" },
    { 0xB4423CF9615D482A, "lastdirection" },
    { 0x8EFB4BD711428A01, "lastdiretionalbloodtime" },
    { 0x6DDF56941B67A17B, "lastdirty" },
    { 0x9E1D5CCE99ABA1F7, "lastdirtyscore" },
    { 0xE1D010E090565534, "lastdooropentime" },
    { 0x940F5108D632BB3C, "lastdropedtime" },
    { 0xD106C455EEE33D50, "lastdroppableweapon" },
    { 0xB347AE073AF1A744, "lastdroppableweaponchanged" },
    { 0x1B3848C80A2E0F35, "lastdroppableweaponobj" },
    { 0xC6B545490443AA95, "lastdroppedarmortime" },
    { 0xD117C4B1AF79E02D, "lastdynolightcleantime" },
    { 0xC7CF2F3D29B4059A, "lastencounter" },
    { 0xF9D1A8BE591B432B, "lastenemybulletdamagetime" },
    { 0x4C4E72C1934BF274, "lastenemydmgtime" },
    { 0x7EA98CF8DDF50F02, "lastenemykilltime" },
    { 0xA01EB93F3EFB5C3B, "lastenemypos" },
    { 0x6842FD253438C712, "lastenemysightpos" },
    { 0x83C4F360C745E66F, "lastenemysightposold" },
    { 0x998E5D645632E1CE, "lastenemysightposselforigin" },
    { 0xE6FC52327F48BAB1, "lastenemysighttime" },
    { 0x4E12067979220222, "lastenemytime" },
    { 0x096C934DEF5B0CC1, "lastephemeraleventrespondedtime" },
    { 0x85F8AE3A0934BC89, "lastevaccopterdeployed" },
    { 0x5CDEEB689A44146E, "lasteventtime" },
    { 0x201D0FF23DE8F195, "lastfailedmeleechargetarget" },
    { 0x3CCE663A8A4F9873, "lastfinishtime" },
    { 0xEBA88A41DFA51956, "lastfiredtime" },
    { 0x19995B10D2B19D30, "lastfiretime" },
    { 0xEA5201E821C83343, "lastfraggrenadetoplayerstart" },
    { 0xF4516DD0E7EF78EB, "lastframe_boss_mask" },
    { 0x0CAEB35086BEA0C4, "lastframetargetposition" },
    { 0x5671C55C608C8D83, "lastgarageexplosion" },
    { 0xB8000757900162B4, "lastgastouchtime" },
    { 0x97B99F5B5FE119B5, "lastgesturetime" },
    { 0x4E159BCD6271E9AA, "lastgoodjobplayer" },
    { 0xE5DB3CB0ED74A947, "lastgrenadelandednearplayertime" },
    { 0xA6F5D664F1DAF766, "lastgrenadesuicidetime" },
    { 0x8451E7AE65A7F790, "lastgrenadethrowchecktime" },
    { 0xADE23C6E69B1C046, "lastgrenadethrowtime" },
    { 0xAC52B870D55311DC, "lastgrenadetime" },
    { 0xC653AA4175DA14BE, "lastgroundtype" },
    { 0x63A39CB57970B2A8, "lastgrunttime" },
    { 0x5D553E97F920B570, "lastgunkilltime" },
    { 0xFC04CF0C4B0DCE8B, "lastgunpromotiontime" },
    { 0xDC7F1A7E335C78E6, "lastgunrankincreasetime" },
    { 0x8EB94ACB6B677ED0, "lastheadicondeath" },
    { 0x9EDF47562D32ACC5, "lastheadicondeathent" },
    { 0x18747498421D024F, "lasthealth" },
    { 0x86C07200A8355CD2, "lastheatupdate" },
    { 0xAF7E8DC95C3D9050, "lasthelidialogtime" },
    { 0x767310CFD042E0C7, "lasthheadicondeathent" },
    { 0x45438359F53D393E, "lasthheadicondeathentforenemy" },
    { 0xD7366D5B6BEB3A7C, "lasthingechange" },
    { 0xFAF351E7E81D2418, "lasthitmarkerpriority" },
    { 0xE1344B515B7880D9, "lasthitmarkertime" },
    { 0x9F2F1BBE351D434B, "lasthittime" },
    { 0xBBD49362AE92C87C, "lasthungry" },
    { 0x7DECDAD0E425B406, "lasthungryscore" },
    { 0x58BCC1C23AADE693, "lastidle" },
    { 0x6367BBED1A913C67, "lastinairkilltime" },
    { 0x03C91212F631C18B, "lastindex" },
    { 0x175776E6F67AB786, "lastinsmoketime" },
    { 0xC29BFCDF3A1E1629, "lastinvestigatedtime" },
    { 0xB9EC3B5CB8B71FDE, "lastjuggpositions" },
    { 0xCC072B7DEDA58ADD, "lastkillalertsoundtime" },
    { 0x5A360B2CE2538F4C, "lastkilldogtime" },
    { 0x5B5E73B3960C2BE8, "lastkillearner" },
    { 0x660FC66C7F626C9D, "lastkilledby" },
    { 0xB2E22F9F63E8FA65, "lastkilledplayer" },
    { 0xAAB567934AE72692, "lastkillsplash" },
    { 0xD4AD7E0E141C7C90, "lastkilltime" },
    { 0xB0F01AC3C01D5615, "lastkillvictimpos" },
    { 0xD28A3947050C14D4, "lastknownmissileangles" },
    { 0xA819636098517ABE, "lastknownmissilepos" },
    { 0xAE9CBF99AAEB0F96, "lastknownpos" },
    { 0x593209B2A4F65521, "lastknownposatstart" },
    { 0xF026A94F5D7457AF, "lastknownposition" },
    { 0x34064B9A0DA77AAD, "lastknowntime" },
    { 0x2AA8FE146BDF202D, "lastknowntrace" },
    { 0xFC561B89296D2CE7, "lastlegitimateattacker" },
    { 0xE9D97D52F4BA737E, "lastlighttime" },
    { 0x2B45A162A3282977, "lastlocationcallouttime" },
    { 0xFFAEFB7F1C6AE966, "lastloottime" },
    { 0x3333F11873E44B45, "lastlzwarning" },
    { 0xFBA1422D8FBD2B2C, "lastmatchdatakillstreakindex" },
    { 0x160E8569136DCEBC, "lastmatchdatarigtrait" },
    { 0xF64A2377A9426BEC, "lastmissedenemy" },
    { 0x133A1D11CDAB0F51, "lastmissilefired" },
    { 0x6090F05550667FD7, "lastmissionendtime" },
    { 0x034F7F9B533505A2, "lastmoveheadcommenttime" },
    { 0xEFB6E667DBFFE6B8, "lastmovingplatform" },
    { 0x9643D58D45E2CDDF, "lastmultikilltime" },
    { 0x92E4D2E91AAADDD5, "lastnag" },
    { 0x030D2B0A0CF497A7, "lastnamesaid" },
    { 0x545F505E4BAD5AF6, "lastnamesaidtime" },
    { 0x321A0492A80F89DA, "lastnamesaidtimeout" },
    { 0x80FBD8A6383546AD, "lastnode" },
    { 0xE26C9DDB5BB58017, "lastnonuseweapon" },
    { 0xBE3AC8D6B7C0F88F, "lastnormalweaponobj" },
    { 0x21F0C5870AF4BF46, "lastoilfiretime" },
    { 0x6690C649BD86654F, "lastorigin" },
    { 0xFD69102CE42A1E54, "lastpaintime" },
    { 0x6B109CD12CE165AF, "lastpassdir" },
    { 0x7AE263DA87794C83, "lastpassivenukeactivation" },
    { 0x56E0F679441C4AC7, "lastpathnodewarningtime" },
    { 0x76E349F6797D9903, "lastplayedtime" },
    { 0x74C15FA081969D2A, "lastplayernamecalltime" },
    { 0x88C8DD21D6317270, "lastplayersighted" },
    { 0x647F2C9498DAD127, "lastplayerwins" },
    { 0x8888BB6927035369, "lastplunderbankindex" },
    { 0x27088993839D33AB, "lastplundereventtype" },
    { 0x440D16F42A8AD5AF, "lastprogressteam" },
    { 0x4AAF9C4842A3F546, "lastprojectiledamagetime" },
    { 0x948341C7D19F0669, "lastpropchangetime" },
    { 0xD06B514F8CCA293C, "lastpushtime" },
    { 0x14BF13A5A3D62568, "lastradiotransmission" },
    { 0xD3FD6FE51CD2A3B9, "lastrecordingstarttime" },
    { 0x0015CBC207740659, "lastreloadstarttime" },
    { 0xD19BD340DD8C1F8D, "lastreloadtime" },
    { 0x160096A7E5E18CA6, "lastrocketdmgtime" },
    { 0xB5D565DADCB63CA1, "lastsavetime" },
    { 0xAB555BDD5708C3F5, "lastscore" },
    { 0x76C182B1C3AAF72E, "lastscorestatustime" },
    { 0xAFDDCA913E3434CB, "lastseentime" },
    { 0x17EFA742A61DD275, "lastselfvotime" },
    { 0x2DA55FBEA556EC76, "lastsfxplayedtime" },
    { 0x96BDE95C3C8D00E8, "lastshocktime" },
    { 0x92AADA5032EC44C9, "lastshoottime" },
    { 0x59AEC275C5BCE726, "lastshotfiredtime" },
    { 0xBD5B4CC559EB3E14, "lastshottime" },
    { 0x0A3E2611EB25DCD1, "lastshrapneltime" },
    { 0x9EFCAB4F1EFC0D77, "lastsightposwatch" },
    { 0x9A18A40FCD4D4A73, "lastsitreptime" },
    { 0x9CBDE59F66E3D7D6, "lastslowprocessframe" },
    { 0xA5895FB21D3D1CBA, "lastsmokefired" },
    { 0x1336F6CBC2F33AE4, "lastsnapshotgrenadetime" },
    { 0x4ED3D5676D514D29, "lastsoldierspawned" },
    { 0x534ABE420753E3E7, "lastspawnednoisemaker" },
    { 0xE309FDF692A689EE, "lastspawnpoint" },
    { 0x2884B06542881112, "lastspawnpos" },
    { 0x577AB41176BBD561, "lastspawnteam" },
    { 0x06C38811F7A878B1, "lastspawntime" },
    { 0x3801A39EF8AD12B1, "lastspawnvocallouttimes" },
    { 0xB77F3164CCE62F33, "lastspectatedplayer" },
    { 0xF513D86CD5AC813E, "lastspoketime" },
    { 0x7E310849BFAA5258, "lastsquattime" },
    { 0x06242A1054E8AFE5, "laststance" },
    { 0x7B7D6D9410CE53DC, "laststancechangetime" },
    { 0xB3239793F9D287F5, "laststancetimes" },
    { 0xF13EA0CD8E7952E3, "laststand" },
    { 0xFF216CC2A3CC6D45, "laststand_bypassed" },
    { 0x12D453AFC84E34ED, "laststand_currency_penalty_amount_func" },
    { 0x281A1EDED77CE9A3, "laststand_damage_shield" },
    { 0x1A9CE84E5F5527D3, "laststand_dogtag_monitor" },
    { 0x78B4A2950391C457, "laststand_dogtags" },
    { 0xBA0C02642B658790, "laststand_enter_gamemodespecificaction" },
    { 0xC753FC26F13C8969, "laststand_enter_levelspecificaction" },
    { 0x12476B3D0A27414E, "laststand_exit_gamemodespecificaction" },
    { 0xA867AF888857C15D, "laststand_hack" },
    { 0x7B44CB69E7893ADA, "laststand_player_in_focus" },
    { 0x24793B9DE284D1E1, "laststand_record" },
    { 0x00A1F29C026B9797, "laststandactionset" },
    { 0x9F9085343AA546F5, "laststandallowed" },
    { 0x058431639FC2CFF8, "laststandattacker" },
    { 0x81C4FAC7C7FE6756, "laststandattackermodifiers" },
    { 0x5802F9414C3C4729, "laststandcurrencypenaltyamount" },
    { 0x62893320F3A37BBE, "laststanddowneddata" },
    { 0xD213BA71EDC8B5E7, "laststandfinisherdone" },
    { 0x6310E832D5720C4D, "laststandforceback" },
    { 0x329EE03A96CA9833, "laststandforcebackendtime" },
    { 0x00732335D3E84BD6, "laststandgiveloadoutonrevive" },
    { 0xD1515F85CCB70696, "laststandheal_beginuse" },
    { 0xA8E566C69159F7C8, "laststandheal_drainsupermeter" },
    { 0x2C48DAD4C7EC6380, "laststandheal_gethealthperframe" },
    { 0x30D01D9F8D0C93DD, "laststandheal_hassuperweapon" },
    { 0x1D0DC203097C10B9, "laststandheal_onrespawn" },
    { 0x1C0A9045636B30C1, "laststandheal_onset" },
    { 0x82F9DD61E931625F, "laststandheal_setinactivewhendone" },
    { 0x7F4032EE228FAE76, "laststandheal_think" },
    { 0x77B30BE7C7E33B6F, "laststandheal_unset" },
    { 0x2A916C14E681BF8B, "laststandheal_watchrespawn" },
    { 0x1F1F990C357FD97D, "laststandhealbeginuse" },
    { 0xEDBEBCF8ED015ED3, "laststandhealisactive" },
    { 0x5373AB1BE19C6ED4, "laststandhealonset" },
    { 0xAB157E4A2DBA3F75, "laststandhealth" },
    { 0x2B33310A207DCD7E, "laststandhealunset" },
    { 0x21B467EA8694B82E, "laststandid" },
    { 0xB44CE1C5F8E10555, "laststanding" },
    { 0xE014DB9FFA734947, "laststandinvulnignorefunc" },
    { 0x3ED38FC690BA58AE, "laststandinvulntime" },
    { 0x96D5F23BD3FE0C03, "laststandkill" },
    { 0x207B6165A65CFDFD, "laststandkillteamifdown" },
    { 0x09EF3350EF8A49AB, "laststandkillteamifdowndisable" },
    { 0x599E05954803477B, "laststandlistener" },
    { 0x48F101AD48FD6288, "laststandmeansofdeath" },
    { 0x79624A3FB66C5AC3, "laststandmonitor" },
    { 0x673EE3DA23DAFF79, "laststandmoveawayfromvehicles" },
    { 0x4982CF35FADA9EA2, "laststandnumber" },
    { 0x666954035D89B01F, "laststandobstacleid" },
    { 0x02AF621FFFED8494, "laststandobstacleorigin" },
    { 0x60FC7EDBDC20EF18, "laststandoldweapon" },
    { 0xA515F4D095339E0D, "laststandoldweaponobj" },
    { 0xF6CBEC5C201E2DBA, "laststandoutlineid" },
    { 0x2A28948FC57C8793, "laststandplayers" },
    { 0x1F3F6097384F94A9, "laststandrequiresmelee" },
    { 0x027976C5F014BF4A, "laststandrevive" },
    { 0x765882F11E90114A, "laststandrevivedecayscale" },
    { 0x7EF5952C90A1B087, "laststandreviveent" },
    { 0xD7C805021398289C, "laststandreviveents" },
    { 0x38144F7F7927C320, "laststandrevivehealth" },
    { 0x58CC6D82904D48FB, "laststandrevivetimer" },
    { 0x3931029C4603899E, "laststandsuicidetimer" },
    { 0xB81C28963E261925, "laststandthink" },
    { 0x51A50F84174E98D8, "laststandtimer" },
    { 0x31753101CCFA9B33, "laststandusetime" },
    { 0xD8D42E42B61E9EE5, "laststandwaittillrevivebyteammate" },
    { 0xEBC4D7FD37891EB3, "laststandweapon" },
    { 0x3FE2C79C3C248FEC, "laststandweaponcallback" },
    { 0xACFF04D7716EEF62, "laststandweapondelay" },
    { 0x861DB02D6D0F6CF8, "laststandweaponobj" },
    { 0xF112A3CD8E48F316, "laststate" },
    { 0x3F4BC884AE63BCBD, "laststealthtime" },
    { 0xA253D79A54221022, "lasttangent" },
    { 0xA021415782F66886, "lasttargethitinaframe" },
    { 0x0C7168EA5630E27E, "lasttargetlocked" },
    { 0x125CE1A6D6F2DFB4, "lastteabagtime" },
    { 0x34E00A67F92C0CDE, "lastteamkillearners" },
    { 0x75629FBDD3AF622A, "lastteamkilltimes" },
    { 0x40A1BC9347757468, "lastteamspawnpoints" },
    { 0xD8E64DFB7BC0594B, "lastteamspeaktime" },
    { 0x35926A88A2C29D77, "lastteamspokentime" },
    { 0x2B3A8C6AE701800F, "lastteamstatustime" },
    { 0xDC2C361E7D4B4E48, "lastteamthreatcallout" },
    { 0x59ED1F9BF69545C1, "lastteamthreatcallouttime" },
    { 0xB19779B31A1FAFD9, "lastteamused" },
    { 0x5FA318F282F845F4, "lasttimedamagecalledout" },
    { 0x7D509D3E03CB5843, "lasttimedamaged" },
    { 0x3440713B9B1CCDE4, "lasttimefired" },
    { 0x259DFB2BD6A5D9A8, "lasttimekidnapped" },
    { 0x9B04166195B9EFEE, "lasttimereachedscriptgoal" },
    { 0x71ABD2171AB83BB5, "lasttimesawkidnapper" },
    { 0xE5D087F2CD799917, "lasttimespawngroupcalled" },
    { 0x686438052AF58089, "lasttorsoanim" },
    { 0x291C8AFFBC080D4E, "lasttouchedplatform" },
    { 0x1887A94FABB3947D, "lasttrackingdialogtime" },
    { 0x9A115BB3953AED2B, "lasttriptime" },
    { 0x2F4118E07C5CC4BE, "lasttripwiredefusedtime" },
    { 0xF0691F091538E7AE, "lasttuttxt" },
    { 0x35901D3C9D060C88, "lastunruly" },
    { 0x90300AE75AE7867A, "lastunrulyscore" },
    { 0x67B177B0DDFC54B5, "lastupdatetime" },
    { 0x8C09803990A47791, "lastupdatetimedelta" },
    { 0x03E74EBB827B74FC, "lastusednode" },
    { 0xA6101915FD6C4369, "lastusedoffhandtime" },
    { 0x7BCC66B53D5B0784, "lastusedoffhandweapon" },
    { 0x4FCE825DE12485C9, "lastusedtime" },
    { 0x9284789CD3DEEBE4, "lastusedweapon" },
    { 0x5285B3D7A6A44ACF, "lastusedweaponisalt" },
    { 0xC7214E1418358C38, "lastusedwindowalias" },
    { 0x65CD586841CABAF6, "lastuserangles" },
    { 0x78474650468F96A8, "lastuserpos" },
    { 0x3E0F88C7A0D99715, "lastusetime" },
    { 0xA0B57C2DFD332D1B, "lastvalidpassdir" },
    { 0x3ED1522E708D80FA, "lastvalidpassorg" },
    { 0x925789658E610CEA, "lastvalue" },
    { 0xED7CC5184AB50D4D, "lastvectotarget" },
    { 0x8EE3E4A162B068A3, "lastvehicleseatchangetime" },
    { 0xDA78EA2EE30D80D2, "lastvisionsetthermal" },
    { 0x46B1834C1FFBBBB4, "lastwave" },
    { 0x2040584EB5182681, "lastweapon" },
    { 0xBFD987F22346C458, "lastweaponchangetime" },
    { 0x1241344AA07BE90A, "lastweaponfiredtime" },
    { 0xB4D498BA550F90B9, "lastweaponfiretimeend" },
    { 0x647949109726EB28, "lastweaponfiretimestart" },
    { 0x187F824A1E239C36, "lastweaponobj" },
    { 0x3A62EFF7ECD0CF20, "lastweaponpickuptime" },
    { 0x7091ADCB967231BB, "lastweaponrespawn" },
    { 0xE034ED4501B9FDDD, "lastweaponswitchnag" },
    { 0x8DF0C89428345064, "lastweaponused" },
    { 0xCD09BA5DC3A95711, "lastwhizbytime" },
    { 0x001B04AF32EE7906, "lastwinner" },
    { 0x245D69B788AB4ED1, "late_foyer_save" },
    { 0x4260CA33BE687772, "lategame_buytimer_set" },
    { 0xFAC47B3DADDB22CF, "latejoinersanimstruct" },
    { 0xD23A53FD7B867DCF, "latejointeamkitobjective" },
    { 0xF0AE7B353145BBDD, "latespawnplayer" },
    { 0x0B69106C95CE59D9, "latespawnsnatchtoc130" },
    { 0xDF697D4B6AE37D5E, "latestalias" },
    { 0xE41B1C334DA5F491, "latestanimendtime" },
    { 0xE9CF1832EA8A284E, "latestendtime" },
    { 0x7BFAFCB19E118E02, "latetoinfil" },
    { 0x9283D5D422236E5A, "launch" },
    { 0xCE9733AC84F5FE0B, "launch_ac130_strikes_at_location" },
    { 0x22D08775C3E86F01, "launch_ac130_strikes_at_player" },
    { 0x94F0FDC8CC7CF8AA, "launch_airstrikes_at_position" },
    { 0x7B84219BE087D24A, "launch_barrel_away" },
    { 0x0443E35BE80B8E8C, "launch_custom_gl_projectile" },
    { 0x48BADEE74630D372, "launch_evac_box" },
    { 0x4FE9A211A55AE0AB, "launch_illumination_flare" },
    { 0x45F793545782CBFB, "launch_mask" },
    { 0x3F8E572BCB373EA2, "launch_mortar" },
    { 0x6C4D7B26D54BAA51, "launch_player_from_boss" },
    { 0x5BC0A83C09006588, "launch_player_physics" },
    { 0xA8F32B9DFFB79221, "launch_push_player" },
    { 0x465AFF7960B63FC9, "launch_push_player2" },
    { 0xBB35FFF0B1523158, "launch_respawn_functionality_for_players" },
    { 0xD601201C1D8372A4, "launch_smoke_mortar" },
    { 0x162659D5EC9170E8, "launchbrnukes" },
    { 0xB46373934B00B075, "launchc4grenade" },
    { 0xB68D20C2B97BC59F, "launchchunk" },
    { 0xE6A10A6F80F696DD, "launchchunkbotspawning" },
    { 0xEE16AB63C25972E0, "launchchunkcustomizationindex" },
    { 0x1FA1FA31B7E84330, "launchchunkfreespawn" },
    { 0xA7624594D45AF83F, "launchchunkskins" },
    { 0x34B35C8C871CBEBE, "launchconcertinabomb" },
    { 0x16E9CE02705AE968, "launcher_second_techo" },
    { 0x64DDAF0F420405A4, "launcher_write_clipboard" },
    { 0xE7A21D90EC55B32F, "launcherfired" },
    { 0x8BA509272CDCE4FC, "launchexplosivetiplogic" },
    { 0xC2ADFD0D96DC80C0, "launchgrenade" },
    { 0x5692F74F62E6C839, "launchheight" },
    { 0x98A874A22CCD0010, "launchmolotov" },
    { 0xAA7C0EDC4EA9EDC7, "launchshield" },
    { 0x4F2725F8E824CDC2, "launchstickytimedgrenade" },
    { 0x75C20319522E2B64, "launchthermite" },
    { 0x2534CF4CC03F035B, "launchtime" },
    { 0x8771B5F62B872FE6, "launchuav" },
    { 0x5BE648F60B9A4E5A, "launchvfx" },
    { 0x10B0E7142A2104F3, "lavalamp_hint_displayed" },
    { 0xB362516AFE61134F, "lb_attack_runs" },
    { 0xBB953F9C80568527, "lb_dmg_factor_driverless_collision" },
    { 0x6893CCD26B5B4025, "lb_dmg_factor_fuselage" },
    { 0x6BD58505C6178BBC, "lb_dmg_factor_landing_gear" },
    { 0x46F6EAE994272395, "lb_dmg_factor_main_rotor" },
    { 0x9846221B645981DE, "lb_dmg_factor_tail_rotor" },
    { 0x5DBCACD14DE7AD9B, "lb_dmg_factor_tail_stabilizer" },
    { 0x4E9E59F08549F6CB, "lb_gunner" },
    { 0x2A125867525910B3, "lb_impulse_dmg_factor_low" },
    { 0xD1E4A61984084364, "lb_impulse_dmg_factor_mid_high" },
    { 0x5C43D002EDD1E64A, "lb_impulse_dmg_factor_mid_low" },
    { 0xC76C33E3072DA3D9, "lb_impulse_dmg_threshold_low" },
    { 0xB59D0DE2F8E9AA5D, "lb_impulse_dmg_threshold_mid" },
    { 0x212E1CE403BC4644, "lb_impulse_dmg_threshold_top" },
    { 0x3BF3771193A1E7A3, "lb_infil_catchup" },
    { 0x21081E76CCAAB1D1, "lb_infil_start" },
    { 0xE1C0F1F6470F5984, "lb_mg_50cal" },
    { 0x37305BA600E192B8, "lb_mg_50cal_sound" },
    { 0xE7FD169F4F75641C, "lb_mg_dmg_factor_driverless_collision" },
    { 0x091A80F35EABDDAE, "lb_mg_dmg_factor_fuselage" },
    { 0x60DB7D35091C0893, "lb_mg_dmg_factor_landing_gear" },
    { 0x0F9604EFDE6B94E2, "lb_mg_dmg_factor_main_rotor" },
    { 0x949491FC5BF8AD55, "lb_mg_dmg_factor_tail_rotor" },
    { 0x220E9DAC1700BF9A, "lb_mg_dmg_factor_tail_stabilizer" },
    { 0xE443868DA11C51BA, "lb_mg_impulse_dmg_factor_low" },
    { 0x9398E7512502BD2B, "lb_mg_impulse_dmg_factor_mid_high" },
    { 0x196DE435A4F99BB7, "lb_mg_impulse_dmg_factor_mid_low" },
    { 0x64911C375237C1F2, "lb_mg_impulse_dmg_threshold_low" },
    { 0x76606637607C0A9A, "lb_mg_impulse_dmg_threshold_mid" },
    { 0xD85E6F37A701EF5B, "lb_mg_impulse_dmg_threshold_top" },
    { 0x0DEF575A5EC8F468, "lb_mg_pitch_roll_dmg_factor" },
    { 0x64A72FEEFA34FBF2, "lb_mg_pitch_roll_dmg_threshold" },
    { 0x6B95F1EB49439067, "lb_mg_wood_surf_dmg_scalar" },
    { 0xE3A435F4BF177437, "lb_pilot_death" },
    { 0x8D13DA3D981E447D, "lb_pilot_init" },
    { 0x470203A40F22444F, "lb_pitch_roll_dmg_factor" },
    { 0x5E8EE92CD7E558B7, "lb_pitch_roll_dmg_threshold" },
    { 0xE39E569BC9FCA55A, "lb_player_update_stat" },
    { 0x387C3D7FEC71C72E, "lb_unload_catchup" },
    { 0x8DFCC22067F4F648, "lb_unload_start" },
    { 0xA67F214028ED860E, "lb_wood_surf_dmg_scalar" },
    { 0x783B857ECA57970E, "lbcolor" },
    { 0xBF8D3F0374E22AF0, "lbexplode" },
    { 0xFF994A0C5CE292CF, "lbonkilled" },
    { 0xC70C176C6CAF0F66, "lbravo_actor_keep_anim_loop" },
    { 0xAB5B4715CDA7F146, "lbravo_actorthinkpath" },
    { 0xAC3811C2F5E35E6B, "lbravo_get_length" },
    { 0x0738F6FE9D6E9CCE, "lbravo_hover_attack_think" },
    { 0x0CBFFB0392C87363, "lbravo_hover_rider_death_monitor" },
    { 0x812F3F07CEF7F18B, "lbravo_infil_radio_idle" },
    { 0x331FAF10015C9E3B, "lbravo_infil_spawn_blackscreen_func" },
    { 0x62D97522AE836DC8, "lbravo_init" },
    { 0x4971EEB3E2B2735F, "lbravo_se_2" },
    { 0x4971EDB3E2B2712C, "lbravo_se_3" },
    { 0xBE3809CA7FB96569, "lbravo_spawn" },
    { 0x76099E04ECFC81D9, "lbravo_spawn_after_level_restart" },
    { 0x9C8E6C472B895C62, "lbravo_spawner_jammer1" },
    { 0xD6942084BF155400, "lbravo_spawner_jammer1b" },
    { 0x9C8E6B472B895A2F, "lbravo_spawner_jammer2" },
    { 0xD6903A84BF119757, "lbravo_spawner_jammer2b" },
    { 0x9C8E6A472B8957FC, "lbravo_spawner_jammer3" },
    { 0xD68B5884BF0BB07A, "lbravo_spawner_jammer3b" },
    { 0x9C8E69472B8955C9, "lbravo_spawner_jammer4" },
    { 0xD6873284BF076711, "lbravo_spawner_jammer4b" },
    { 0x2E4E4EA9ADA41C79, "lbravo_spawner_safehouse1" },
    { 0x2E4E4BA9ADA415E0, "lbravo_spawner_safehouse2" },
    { 0xA2D97984EDE0E7B4, "lbsniper" },
    { 0xCAAA405F0F0A4E33, "lbspin" },
    { 0xCE482078F59E54A6, "le" },
    { 0x89F96FAAF67F80AD, "lead_debug_show" },
    { 0x2F89DA728BDCF598, "lead_use_think" },
    { 0xFCA814DC66289630, "leader" },
    { 0x84EFDE1958CEBA80, "leader_charge_dialogue" },
    { 0x6465A8BDDBC61AA3, "leader_index" },
    { 0x8CFCA765AC3126B0, "leader_intro_dialogue" },
    { 0x9077D7EED949B60B, "leaderafterspawnfunc" },
    { 0xBC345F8A7126CDE6, "leaderboard_enabled" },
    { 0x53E6DDD04E6219D8, "leaderboarddata" },
    { 0x09E1BF4D9EBCD002, "leaderboardstartvalues" },
    { 0xC5FD79D357C8D080, "leaderdialog" },
    { 0xB560C2A811C08DF4, "leaderdialogonplayer" },
    { 0x798BF5B1BDE67934, "leaderdialogonplayer_internal" },
    { 0xA4599E9F0A773FE5, "leaderdialogonplayers" },
    { 0xFA013E9A9D8EF253, "leadergroup" },
    { 0x43B7CDAAA1CAE930, "leaderinteractionthink" },
    { 0x8B6270CCAFBB4DFB, "leaderplunderstring" },
    { 0x237ECA90A93D34B7, "leadersinterrogated" },
    { 0x1C28F0767D2B5D02, "leaderskilledprematurely" },
    { 0x138124E0139CE360, "leaderwaitformelee" },
    { 0x79BF23AF2BC5AC20, "leaderwaittobealone" },
    { 0xABECD323246214ED, "leading_veh" },
    { 0x4BF67873CB8F8EC1, "leadmarkerdata" },
    { 0xEAB9FD388F7E4E26, "leadmarkers" },
    { 0xAEB5721EFFCF3284, "leadmarkerthreshold" },
    { 0x9F5F8B9D510145B5, "leadpositionent" },
    { 0x27F1B1BA0E03CB55, "lean_table_check" },
    { 0xBB181A71F21D2DE9, "lean_wall_check" },
    { 0x84055853666FC6C0, "leanasitturns" },
    { 0xB70EAC2718D1E6CF, "leaninit" },
    { 0x6BA1682CA4E1CF95, "leanthread" },
    { 0xCC72D5F48917ACF3, "leave_and_end_game" },
    { 0x97735C6CECD092DD, "leave_apache_no_player" },
    { 0x058BE9A8BB004CD0, "leave_cinematiclogic" },
    { 0x76C2230464A71F68, "leave_combat_space" },
    { 0x8559D2E0D82DB093, "leave_corpse_for_others_to_see" },
    { 0x4F022D6653F90225, "leave_exit_add_fov_user_scale_override" },
    { 0xBEB2BE4761A33398, "leave_farahreachlogic" },
    { 0x25676ED777FBD8D7, "leave_farahstealthbrokenlogic" },
    { 0x1935283EC0B295D3, "leave_gun_and_run_to_new_spot" },
    { 0x9DA7F1FF9B7B11BC, "leave_hangar_vo" },
    { 0x0DA8DD35597CF094, "leave_if_vip_dies" },
    { 0x7B529B47CF14FA24, "leave_main" },
    { 0x330438B960EF98C4, "leave_path_for_spline_path" },
    { 0xC07D66F8C816F5C1, "leave_pool_behind_after_deactivation" },
    { 0xF56DFBD127BE6733, "leave_start" },
    { 0xC5DA10B6F36671C4, "leave_unloadlogic" },
    { 0x1F00DBC2C704AA32, "leavecasualkiller" },
    { 0xCBD3655B382902EA, "leaveforplayer" },
    { 0x3B0EC12374CCD316, "leaveplane" },
    { 0x1FAC68B7E4B8F588, "leavequestlocale" },
    { 0x0D259B30E084A7DE, "leavesquad" },
    { 0x49C22CC071CF62B4, "leaveweaponsdefaultfunc" },
    { 0xDB1A09613831D637, "leaving" },
    { 0xF4ED14FB6D36CD29, "leaving_area_dialogue_monitor" },
    { 0xB7D678ECB948FB01, "leaving_team" },
    { 0xA5EBBE9A544CFE62, "ledge" },
    { 0x3F5A9B2B0433F85C, "left" },
    { 0x17DD081116546D24, "left_anim" },
    { 0x3716FD1B14519549, "left_back_passenger" },
    { 0xFC3BEBCF2B2975A7, "left_bound" },
    { 0x720EE1C8AE2958E1, "left_color_node" },
    { 0x3AD1EB1C52862672, "left_control" },
    { 0x87A7A0BE3F044BA8, "left_crash_kill_squad" },
    { 0xC95C4C3B463654E2, "left_crash_kill_squad_civs" },
    { 0xFE1B29C62CAC456D, "left_crash_kill_squad_terry" },
    { 0x57D45FA9D82D14A8, "left_dir" },
    { 0x4B803CA9CFEFC5AE, "left_ent" },
    { 0xC7B420A2C2A1B4B9, "left_flank" },
    { 0x4980478A789C8882, "left_flank_trip_defuse_spawns_surprise_door_guy" },
    { 0x695487A9E61A646C, "left_guy" },
    { 0xF6A6C71F26209E67, "left_path_avoidance" },
    { 0x6C04B45135A9D984, "left_path_nav_obstacle" },
    { 0x09CA41D15CFBAAF2, "left_side" },
    { 0xEE500AE8086436F1, "left_side_cleanup" },
    { 0xBF99B2DB21EF7812, "left_side_cop_driver" },
    { 0xF789D5400C048913, "left_side_crash_terries" },
    { 0xED381662EB9EC26A, "left_side_crash_terry_logic" },
    { 0xDE781F232E79A3DA, "left_side_kill_squad" },
    { 0x6F0058C81C8BE7E3, "left_side_kill_squad_terry" },
    { 0x382102D82F3C134F, "left_side_spawn_adjuster" },
    { 0xCDB0B66128FD7F78, "left_side_street_runners" },
    { 0x87A1D4C70CCDA798, "left_side_terry_dmg" },
    { 0x5D55A1A811D589B1, "left_stick_movement" },
    { 0x8A0F11CE0F15948E, "left_turret_wait_between_spawn" },
    { 0xA33F1E9178D4E96A, "left_underground_attacker_awareness" },
    { 0x5FB3CE7372C5A770, "left_underground_bad_guy_death_reacts" },
    { 0xDFF6499A991B0393, "left_underground_civ" },
    { 0xC70BDEFEC8730F6F, "left_underground_civ_dmg_func" },
    { 0xADFAD32836B14492, "left_underground_hero_cop" },
    { 0xFC75FC2A326E5D92, "left_underground_rescue" },
    { 0xB62895D13E4146C3, "left_vindia_infil_start_targetname_array" },
    { 0xC72770777DB62BF0, "left_vindia_infil_start_targetname_array_index" },
    { 0x8B87A14EAD72D0B4, "leftaimlimit" },
    { 0x126258F2568E5FE4, "leftarc" },
    { 0x6567EC0A6E2E5535, "leftarmdismembered" },
    { 0xD7AE26E66ABA542D, "leftback_anim" },
    { 0x83DA7F1C6057EA62, "leftchains" },
    { 0x3D2F0724B996541A, "leftclip" },
    { 0xBDE5D646F44C43FF, "leftcornernagindex" },
    { 0x3B4732B956BFFBCE, "leftexitgate1" },
    { 0x3B4731B956BFF99B, "leftexitgate2" },
    { 0x62E5588509DEEDA5, "leftextents" },
    { 0x96C7A43862488357, "leftplantang" },
    { 0x641CE238F99C517D, "leftplantorg" },
    { 0xA7F5BB104A4A5C00, "leftplayspace" },
    { 0x0681D15FCB56D472, "leftpoint" },
    { 0x04496FAF7B24EEE1, "leftside_carcrash" },
    { 0x8054BEE633626F95, "leftweaponent" },
    { 0x5F23E1CE33AAA860, "leftwindow" },
    { 0xB077FEEE3618223E, "leftwingfxent" },
    { 0xA2891E4ADD7DC942, "legacy" },
    { 0xBD6F7D8822E626FE, "legacy_set_being_subdued" },
    { 0xE09D0A9294A4059E, "legendary" },
    { 0x21F68E4B39BFA904, "leghit" },
    { 0x8B0A09F19AA88FE9, "length" },
    { 0x396F5F9CECAC6B3F, "length2d" },
    { 0xD867AC5386664884, "length2dsquared" },
    { 0x4429A9F6895520BD, "lengthdelta" },
    { 0x0CAFAE18E056F447, "lengthmod" },
    { 0x32F5B4EF8F0DB13A, "lengthsquared" },
    { 0x3FB2AF2B0494F124, "lerp" },
    { 0xE9DC08C3E7A9DD89, "lerp_angle_during_price_grab" },
    { 0x2B07CE93410A0DCB, "lerp_attic_player_viewangle" },
    { 0x79EF33F853C575D4, "lerp_blur" },
    { 0x452CB86044956196, "lerp_camera_anchor" },
    { 0x0F29DF7B48498919, "lerp_float" },
    { 0xF7D75FDB30C4DAA0, "lerp_fov_over_dist" },
    { 0x42D7FFD76A3C8860, "lerp_fov_over_distance_trigger" },
    { 0x4801DA3BC861AACF, "lerp_fraction" },
    { 0x7E0617606B97596E, "lerp_hudoutline_occlusion" },
    { 0x66F280C66A6D7676, "lerp_intensity" },
    { 0xD6FF4F1BCC845E28, "lerp_light_setting" },
    { 0x423457E48DA65FA8, "lerp_light_setting_bpg" },
    { 0x3C96730EBEEAEA9A, "lerp_omnvar" },
    { 0x1FEB363F7AA7F663, "lerp_omnvarint" },
    { 0xBE12656185698801, "lerp_plane_vector" },
    { 0x3655BB9097D39265, "lerp_player_speed_scale" },
    { 0x7A9E98FB41F49035, "lerp_playerspeed_fov_in_alley" },
    { 0x7DD7079516115166, "lerp_playerspeed_fov_on_ladder" },
    { 0x0F79B4D8694333CD, "lerp_saveddvar" },
    { 0x7889B94F24880B70, "lerp_sun_and_vision" },
    { 0xC6C9E4A616CFC85A, "lerp_sunintensity" },
    { 0xE8384F8F1273E056, "lerp_sunintensity_internal" },
    { 0x6486908F737702FE, "lerp_sunsamplesizenear_overtime" },
    { 0xDBF1C2F477627CDE, "lerp_time_in" },
    { 0xF9BA05A277DA729F, "lerp_time_out" },
    { 0x7C7EE45089F70BAE, "lerp_value" },
    { 0x24C237C32E381D8B, "lerp_value_charge_explosion" },
    { 0x2980BE83FAF1F632, "lerp_value_fill" },
    { 0x4B545D6F2D269AD7, "lerp_value_heli_crash" },
    { 0xF8317394DCF38BB7, "lerp_value_light_buried_mom" },
    { 0xE73454B7FB287569, "lerp_value_rim" },
    { 0x6583A32356EF6836, "lerp_value_up" },
    { 0x4051258A08DFB9D2, "lerp_value_up_key" },
    { 0xB9426FF7E9E78A37, "lerp_value_up_laptop" },
    { 0xA785328B0EE64701, "lerp_value_up_rim" },
    { 0x9580BE518ED953CC, "lerp_woods_sunlight" },
    { 0xE653703363068695, "lerpalleysunshadow" },
    { 0xE1BFC55819C2599E, "lerpdeathsdoorpulsenorm" },
    { 0xDC8ECB8D18A6D5AC, "lerpduration" },
    { 0x6BDBA00C028A2F15, "lerped" },
    { 0xCEE19669A2EFC067, "lerpfov" },
    { 0x7C10F8E02B200109, "lerpfovbypreset" },
    { 0x82627BF045193E88, "lerpfovscalefactor" },
    { 0x952530114F76100A, "lerpingreactivefoliage" },
    { 0xC7E97EC65DF75C5F, "lerplightcolor" },
    { 0x2BDE5F4F92131FC9, "lerplightintensity" },
    { 0x91C438E9599CF0FE, "lerplightradius" },
    { 0x4E713C427901C5CD, "lerpoutfireintensity" },
    { 0x208832F0098FC28E, "lerpsunangles" },
    { 0xFCDFCA9F7FAF562F, "lerpsundirection" },
    { 0x6C1DA50C02D2D3AD, "lerpto" },
    { 0x5D35558E8668CB0F, "lerpviewangleclamp" },
    { 0x8C7F80ACF703C89B, "let_player_rappel" },
    { 0x6313AB3030DA09BD, "lethal_boxes" },
    { 0xF3C5CAFBD3A1BC5B, "lethal_crate_spawn" },
    { 0x4DF2C325E626AB78, "lethal_equipmentmaskoffsets" },
    { 0x71BE5E9B0EA19881, "lethaldamage_func" },
    { 0xD14641D4CECF58E6, "lethaldelay" },
    { 0xFB02ADF204C35508, "lethaldelayallows" },
    { 0xCA82CFB55C015C7A, "lethaldelayendtime" },
    { 0xD3499A51DCB83B76, "lethaldelaypassed" },
    { 0xFFCDA62C37434AFF, "lethaldelaystarttime" },
    { 0xD85F6E39C16F9268, "lethalequipmentdamagemod" },
    { 0xE0DFB681A2F254B9, "lethalitems" },
    { 0x18AABAD11A5CCEAF, "lethaltype" },
    { 0x8B9A6D4C77C3FEA6, "letters" },
    { 0xCE781A06C262786A, "level_addguardsalertedfunction" },
    { 0xDBEFFA2E6AC6FDA0, "level_addmissionnarrativeobjective" },
    { 0x01EA6D684AD2A894, "level_alertguardsinentitygroupvolumes" },
    { 0x266FE1DEBF9752E5, "level_allguardsdead" },
    { 0x30F96FC2DB54604C, "level_ammo_crate_spawn" },
    { 0x9EF23CE03B6F0894, "level_anims_generic_human" },
    { 0x1358D07F2B67B910, "level_anims_player" },
    { 0x08B0F6C18D80BA9C, "level_anims_script_model" },
    { 0xAC69452713E22DC4, "level_anims_vehicles" },
    { 0xBA8AD0AB33CF5153, "level_array" },
    { 0x086D6DF1E8C828F0, "level_badplacestructsinit" },
    { 0x9F8CB06DFCA3D180, "level_ballisticsniperammointeractlogic" },
    { 0x73BB8B10A5A42596, "level_ballisticsniperammopickuplogic" },
    { 0xC60D8FD59F97A467, "level_ballisticsniperammowaypointlogic" },
    { 0x2FD67CBE86DBF0F6, "level_barkovgetspeakerlineindex" },
    { 0xA789F4758388275A, "level_barkovsetspeakerlineindex" },
    { 0x5030467F16E657E4, "level_barkovspeakerinit" },
    { 0x85B9104AFEBE62F0, "level_barkovspeakerplayloopingdialogue" },
    { 0x6C265489E41ED47A, "level_barkovspeakersgetdialoguelines" },
    { 0x57AD761B5258F593, "level_barkovspeakersplaydialogue" },
    { 0x01BD5D3B018EB140, "level_cageddogdeathlogic" },
    { 0x0E5A412C4AC6E63F, "level_cageddogfarahhintdialogue" },
    { 0xA06359F0DD4BB566, "level_cageddoglogic" },
    { 0x91D39D088249813D, "level_cansightweapon" },
    { 0x77A27B970DDA0293, "level_cansilenceweapon" },
    { 0x87CE776E5ADA3227, "level_carepackage_drop" },
    { 0x0528515CF6209845, "level_carepackage_drop_defined" },
    { 0x4047582395275A44, "level_carepackage_give_player_killstreak" },
    { 0x175A2327CCC255A8, "level_carepackage_give_player_killstreak_incendiary_launcher" },
    { 0x15DBCCE57629A5F0, "level_carepackage_player_used_logic" },
    { 0x08C4E4F768B13A95, "level_check_current_drop_amount" },
    { 0x37055357E85849B0, "level_cinematictelevisiondamagelogic" },
    { 0x8648C8C3D7FDEFE1, "level_cinematictelevisionsgetdialoguelines" },
    { 0x618EEE2F37B6E80A, "level_cinematictelevisionsplaydialogueline" },
    { 0xD18436DCA2A8FCBD, "level_cinematictelevisionsstandby" },
    { 0x60E77421A8FF4801, "level_civilianplayerreactlogic" },
    { 0x88B8C903AEB35EF7, "level_civilianstealthbrokenlogic" },
    { 0x99FF983BBD7F8704, "level_civilianunloaderspawncinderblock" },
    { 0xFB2E8EEE8C9AC0C2, "level_civilianworkeralertedlogic" },
    { 0xC4371A462EF8393E, "level_civilianworkerdeletedcinderblocklogic" },
    { 0x017518C1B385F101, "level_civilianworkerdropoffcinderblock" },
    { 0x0421D39282DB9086, "level_civilianworkerexchangecinderblock" },
    { 0x5ADE3C426FE3978A, "level_civilianworkergivecinderblock" },
    { 0x5BD3291C9B47B29D, "level_civilianworkerlogic" },
    { 0x22497A5F6C9F2E5D, "level_civilianworkerpickupcinderblock" },
    { 0x32885BF43F9E8D65, "level_civilianworkertakebreaklogic" },
    { 0xD264958C15E68072, "level_civilianworkerunloadercinderblockplayerpickuplogic" },
    { 0x64039522C1ADBF48, "level_civilianworkerunloaderclearcinderblock" },
    { 0x3D1E487D7B9F41D9, "level_civilianworkerunloaderdeathcinderblocklogic" },
    { 0x06909AEB0EDCCC5D, "level_civilianworkerunloaderlogic" },
    { 0x70680CFDA63C6BF9, "level_cleanupieds" },
    { 0xF7E3DD18EA7C0DFA, "level_closebunkerouterdoor" },
    { 0x13381818992548CC, "level_combo" },
    { 0x3A9ED9DFFB7AA4B5, "level_compound_setup" },
    { 0x61AC81F54D3B05E0, "level_create_timer" },
    { 0xEC1769CECE7A86E4, "level_death_notify" },
    { 0x5596A6C4E90B5603, "level_deletepreviousobjective" },
    { 0x3588D1C06BD38611, "level_deletereservedobjectives" },
    { 0x24992B444C471989, "level_disablefriendlyfire" },
    { 0x850ADF4659DA2D1D, "level_droneambientmovementlogic" },
    { 0x8F50035529B48482, "level_droneambientspawnmanager" },
    { 0xBD161EBE6C903ECB, "level_dronespawn" },
    { 0x4F0B3307E03BC099, "level_dronespawnvehicle" },
    { 0x51AD191BC9A07813, "level_dronevehiclepropellerlogic" },
    { 0x9CCCC65D153C2686, "level_enablefriendlyfire" },
    { 0xCE0CFF1E5F48ECFD, "level_end_save" },
    { 0x85CC07DF6A7FB7E7, "level_endallguardlogic" },
    { 0x97F42D03852D29E2, "level_endallguardproximitylogic" },
    { 0x9C67DE1E4AEE4015, "level_enemyassaulttownlogic" },
    { 0xB066ABF810272406, "level_enemyassaulttownmolotovhintlogic" },
    { 0x2ECD14833B4CC88A, "level_executioncleanupscenelogic" },
    { 0xB506FC00601CA769, "level_executiongetanimatedcivilians" },
    { 0x0491BFB0B6DBC133, "level_executiongetanimatedenemies" },
    { 0xD8CB5E2459505F4F, "level_executiongetanimationstruct" },
    { 0x26C9721CB28F6A4D, "level_executionguardanimationfightlogic" },
    { 0xA7652513D51B82DF, "level_executionscenealogic" },
    { 0x960FCC081805E35C, "level_executionsceneblogic" },
    { 0x147D6ECBEE6D0E4D, "level_executionsceneclogic" },
    { 0xA8A403B5EECAA33F, "level_executionsetupscenelogic" },
    { 0x80BD3AF207284F78, "level_executionspawnanimatedcivilians" },
    { 0x49D5F94CB372A356, "level_executionspawnanimatedenemies" },
    { 0xE3483403B8997808, "level_fade_time" },
    { 0xD80B88F44301160B, "level_fadein" },
    { 0x5C17328630DEA123, "level_farahaibackpackon" },
    { 0xF2713D69DB6E0035, "level_farahbackpackoff" },
    { 0x26757B6D956BA0CB, "level_farahdisguisedisable" },
    { 0x49D3D005A8AB22A6, "level_farahdisguiseenable" },
    { 0x4AE9EF18D1AEDDD5, "level_farahgetstayaheadnaglines" },
    { 0x53842806D61BB477, "level_farahgiveweapon" },
    { 0x012042E806A9F255, "level_farahkeydetachearlylogic" },
    { 0x7155AD3551CDCE83, "level_farahknifedetachearlylogic" },
    { 0xC605F4E93DD80F6F, "level_farahpathmovingfunction" },
    { 0x61C9FC5D3F336AC6, "level_farahplayerfollowfunction" },
    { 0x04E1E819DC6BD80B, "level_farahstealthbrokenpathlogic" },
    { 0xA7BDB3041C9AE899, "level_farahthrowingknifekillenemy" },
    { 0xF1847F9E569EDA33, "level_farahthrowingknifekillenemycleanuplogic" },
    { 0x9BC18F50164FCA3D, "level_farahthrowingknifemovetoenemy" },
    { 0xE5C5C8A6B37E4EF1, "level_farahturntocivilian" },
    { 0x95FC6FD2A238C1A6, "level_farahturntosoldier" },
    { 0x73415E7644623817, "level_flareaigoallogic" },
    { 0xB4051646E31F1756, "level_flareailogic" },
    { 0xA95BD583B929450D, "level_flareatrestmonitor" },
    { 0xB8990E1D66B2574B, "level_flarecantimeout" },
    { 0x31AE63FEDBD4D11B, "level_flaregetworldplaced" },
    { 0xBD07C01DACB5A658, "level_flareinit" },
    { 0x536517F9C6467D9D, "level_flareofftriggerlogic" },
    { 0xA41BCD64E7F9D0DB, "level_flaresetcantimeout" },
    { 0x1EE2B2C776555FB1, "level_flaretimeoutlogic" },
    { 0xBC1EF0571FE25B66, "level_flareturnoff" },
    { 0x064E54BE9B6EE5F8, "level_flareworldplacedenable" },
    { 0xB6BC56DD09E3007F, "level_getalertedgroupvolumes" },
    { 0xA9E20B93DA36711F, "level_getalertedguards" },
    { 0x5A2EEC87A11CE3EF, "level_getallguards" },
    { 0x79369A3B92AF44F1, "level_getarmenspawner" },
    { 0x35E7B527155D78E5, "level_getbarkov" },
    { 0xE2C493AD0BD2FBE3, "level_getbarkovspeakers" },
    { 0xAC0BD3AA7053B571, "level_getbarkovspeakersubtractvolumes" },
    { 0x867A5A95DED9A3CA, "level_getbunkerouterdoor" },
    { 0xEBE59FB79FF3E38D, "level_getbunkervolume" },
    { 0xCFDBC032998685E4, "level_getcinematictelevisions" },
    { 0x2F77D3D080D078A4, "level_getcivilians" },
    { 0x296EE8BA13CB8B4C, "level_getcivilianworkerclassnameletter" },
    { 0x4CD905A1A60B9C5C, "level_getcustomdeathhintindex" },
    { 0x97F63002CE3F4164, "level_getcustomoverridedeathhintindex" },
    { 0x44174EE1C00EC721, "level_getdrones" },
    { 0x66F4F41FA68B2012, "level_getentitytouchinggroupvolumes" },
    { 0x653A84559210A032, "level_getfarah" },
    { 0x641F5A40AD2451D9, "level_getfarahanimatedbackpack" },
    { 0x7F449147B6CC5432, "level_getfarahspawner" },
    { 0xEC46392C7C453336, "level_getfarahtownnode" },
    { 0x0E368D59F9A9BA90, "level_getflag" },
    { 0x170D542D5011CD72, "level_getflareofftriggers" },
    { 0x00A588C352B06B67, "level_getflares" },
    { 0x8636B98667983A21, "level_getguardforcethreatvolumes" },
    { 0x5165F31825BBB739, "level_getguardgroupvolumes" },
    { 0xE16F4ADA6B670579, "level_getguardplayerhiddenvolumes" },
    { 0x6E6A0FED4A0D551C, "level_getguards" },
    { 0x90AC40FAABCC975D, "level_getguardsingroupvolumes" },
    { 0x5F5FEBD85911843A, "level_getguardsinstantdetectplayerhiddenvolumes" },
    { 0x10CBE59AEAE4DD28, "level_gethadir" },
    { 0x77F1B34D12A2DE4C, "level_gethadirspawner" },
    { 0xB0E161ABB1C2CB5B, "level_gethadirtruck" },
    { 0xCB4E5C7565E5A9B1, "level_gethadirtruckboard" },
    { 0x17F06A3E31FB6B06, "level_getheroes" },
    { 0xFB4D0CF1EA4FCD0F, "level_gethighestguardwarningindex" },
    { 0xB3F49247DAED2C5D, "level_getieds" },
    { 0x335A96A325482318, "level_getoilpump" },
    { 0xE11E3084B03A21D3, "level_getplayersilencerinteracts" },
    { 0x2C259D8FF6D604D7, "level_getplayerweapontosight" },
    { 0x9D9B0E39E48EF465, "level_getplayerweapontosilence" },
    { 0xDF479DC39B477750, "level_getredshirtgoalamount" },
    { 0x134F836E616961C0, "level_getredshirts" },
    { 0x978BFD5114979AB6, "level_getredshirtspawners" },
    { 0x96FEC39C4DBF485B, "level_getsafehousecustomdeathhintindex" },
    { 0x58516246E74E9FE9, "level_getspawnpoint" },
    { 0xC4F5AA5E99624665, "level_gettownanimationstruct" },
    { 0x5A9B5F98CAE76C2A, "level_gettowncovernodes" },
    { 0x9319A96FFB220DBF, "level_gettowninnerenemygoalvolume" },
    { 0x81D0DA87C20E96DE, "level_gettownouterenemygoalvolume" },
    { 0x77AA4806A95D41E6, "level_gettownrooftoptriggers" },
    { 0xE86135905C7738B5, "level_getuncle" },
    { 0x89A8E87518DC0F4D, "level_giveplayersilencer" },
    { 0x0754C092F941A5FB, "level_giveplayersilencerfirstraiselogic" },
    { 0xF93A01382E4190EF, "level_giveplayerweaponsight" },
    { 0x869C903191BFF6D1, "level_groupvolumealertedsfxlogic" },
    { 0x1F83E3314AD2BD3D, "level_guardactionfight" },
    { 0xCF18512D1D91E622, "level_guardactionlook" },
    { 0xB1FDB5292C0F856F, "level_guardactionmelee" },
    { 0xEB5499FA991DB3CE, "level_guardactionsuspicious" },
    { 0xF794EE8F2C163C9D, "level_guardactionthreat" },
    { 0x5A5FBC89FE2B6391, "level_guardactionthreatanimationlogic" },
    { 0x00B2E7862BB3A03C, "level_guardaddai" },
    { 0x0C1F2F49119DA677, "level_guardaddalertedai" },
    { 0xD6DF03E88D08BFE0, "level_guardaddalertedcivilian" },
    { 0xC47A671E9E85CBCF, "level_guardaddcivilian" },
    { 0x0E16E4249E1E45A5, "level_guardallalertedcivilianslogic" },
    { 0xD82A40CB3AF13680, "level_guardarenearbyguardsathigherwarning" },
    { 0x22CF6BE8372EF122, "level_guardassignweapon" },
    { 0x2441EDEFDE1C5D81, "level_guardcanseeplayerdrawnweapon" },
    { 0x9ED287EE7747DFD3, "level_guardcanseeplayergrenadethrowing" },
    { 0x88B4EE1CDE144DF3, "level_guardcanseeplayerprone" },
    { 0x28FC2B410C55228D, "level_guardcivilianalertedlogic" },
    { 0xE1C79F392EDEAAC1, "level_guardciviliandeathalertnearbycivilians" },
    { 0x732331953FD566C7, "level_guardciviliandeathalertnearbyguards" },
    { 0x7158185BF18C2629, "level_guardciviliandeathalertotherslogic" },
    { 0x21AC065463EF68E0, "level_guardcivilianlogic" },
    { 0x786A5308FFD03F73, "level_guardcleanupanimationoriginlogic" },
    { 0x5A93D049BF3B769F, "level_guardcleanupwarningsoundondeathlogic" },
    { 0xB5B43BDE9943C752, "level_guardclearallalerted" },
    { 0x740F4029A2BE8C21, "level_guardclearcorpses" },
    { 0x2DDEB9D946B05B2A, "level_guardcorpsedetectlogic" },
    { 0x00F3342BDB5E5C08, "level_guarddamagelogic" },
    { 0x52C2C1CA5F53B5CA, "level_guarddeathalertotherslogic" },
    { 0x318A6703F97F7142, "level_guarddoggrowllogic" },
    { 0xF7EBF368C77AC3DB, "level_guardfight" },
    { 0xFCDFDDAD57B4C2B9, "level_guardfightalertguardslogic" },
    { 0x407F987B0B8D4AEA, "level_guardfightalertnearbycivilians" },
    { 0xB375E7A67F826F38, "level_guardfightalertnearbycivilianslogic" },
    { 0x9F5A15EFA5DE1802, "level_guardfightalertnearbyguards" },
    { 0xB3BB7F955E968686, "level_guardfightlines" },
    { 0x117DC3F426ADBA34, "level_guardfightmusiclogic" },
    { 0x51971617B60575F0, "level_guardfightshowsightblockerclipslogic" },
    { 0x85B1F84AE5C18681, "level_guardfightvolumealertcivilianslogic" },
    { 0xA8E313BDADFF75EA, "level_guardgetalertedcivilians" },
    { 0x1FF7935D1F5B289F, "level_guardgetcivilianalertedanimation" },
    { 0xA8A201CBF57AFF04, "level_guardgetcivilianalertedanimations" },
    { 0x615DEB8851E465B1, "level_guardgetcivilians" },
    { 0x0EE7CFE6DAD7E9F4, "level_guardgetciviliansingroupvolumes" },
    { 0x27FB3E6E5C1A2314, "level_guardgetcorpselines" },
    { 0x66C1F86ADBF0584A, "level_guardgetcorpses" },
    { 0x938EDE7ECAEA0B9B, "level_guardgetdamagelines" },
    { 0x2B7D333652528510, "level_guardgetfightlines" },
    { 0xF79B584116C56EF8, "level_guardgetguardswithinwarningsharerange" },
    { 0x43F236B0F7DC8647, "level_guardgethighestwarningguardwithinwarningsharerange" },
    { 0x10547397D52E7B55, "level_guardgetholesightblockerclips" },
    { 0xFD0D99AFAEACA50E, "level_guardgetlabordriverthreatlines" },
    { 0x2B43EAEA9DE36C35, "level_guardgetlaughlines" },
    { 0x965D64A32699A056, "level_guardgetmeleelines" },
    { 0x2DD96B7CD1B9E505, "level_guardgetplayerpronelines" },
    { 0xC2973D608F22C071, "level_guardgetreactionanimations" },
    { 0x94E72C1041BD76F0, "level_guardgetseenplayeractgoofylines" },
    { 0xAA3234F3C25CAC3C, "level_guardgetseenplayermeleelines" },
    { 0x06F970AE9B4F78A8, "level_guardgetthreatlines" },
    { 0xD5FED1235D216253, "level_guardgetwhizbylines" },
    { 0xBDB7FE6BF60067CF, "level_guardhideholesightblockerclips" },
    { 0x1A68A9DFE3ACB5E5, "level_guardinit" },
    { 0x26D183358D97D95F, "level_guardinstantdetectcanseeplayer" },
    { 0xD0D92F04B0B11472, "level_guardisalerted" },
    { 0xFD2568C2A51ED70A, "level_guardisentitytouchinganygroupvolume" },
    { 0x26554B24314455A1, "level_guardislabordriver" },
    { 0xDB49D18B32BE68DF, "level_guardisplayerinhiddenvolume" },
    { 0x20B731E4121416FF, "level_guardlogic" },
    { 0x12E18FE12667B02E, "level_guardmeleedalertotherslogic" },
    { 0xB075373A8C85193F, "level_guardplaydialogue" },
    { 0x239650F005897F46, "level_guardplayerfightvolumecheck" },
    { 0xA7799598C6F4924F, "level_guardplayergrenadethrowcleanupsoundlogic" },
    { 0xC373A2B165A28A96, "level_guardplayergrenadethrowinglogic" },
    { 0x9410DD72A888E120, "level_guardplayerinmeleerange" },
    { 0x44EF3DB19C5E9B0E, "level_guardplayerproximitycooldownwarning" },
    { 0x56E43C0D5772347A, "level_guardplayerproximityforcemelee" },
    { 0x6560BFAA98650856, "level_guardplayerproximityforcethreat" },
    { 0xE7E4AFDCCF812BF6, "level_guardplayerproximityinwarninglogic" },
    { 0x1EF44B1E22EA510B, "level_guardplayerproximitylogic" },
    { 0x50EF3914A0485D57, "level_guardplayerproximityshouldcooldownwarning" },
    { 0xABB4A36E25A869F9, "level_guardplayerproximityshouldforcemelee" },
    { 0xD577567FFF53B487, "level_guardplayerproximityshouldforcethreat" },
    { 0xE932FDF1A3D78FA8, "level_guardplayerproximityshouldincreasewarning" },
    { 0x608001A8889D97FA, "level_guardplayerthrewoffhandlogic" },
    { 0x66F3D5D2259FDE98, "level_guardplayerthrownoffhandalertlogic" },
    { 0x94CAD1D7BE84A93A, "level_guardplayerunsilencedshotlogic" },
    { 0x5E33B0375B42B4F9, "level_guardplayerweapondrawncleanupsoundlogic" },
    { 0x8E5CE3D30706C9DC, "level_guardplayerweapondrawnlogic" },
    { 0xCABDAB3D70A91A17, "level_guardproximityforcetohigherwarning" },
    { 0x85E17940467C4B28, "level_guardproximityincreasewarning" },
    { 0x415C255210967507, "level_guardreactdamagelogic" },
    { 0x511B8DD2828C74D4, "level_guardreactlogic" },
    { 0xACC79C85E17EA7A1, "level_guardremoveai" },
    { 0x716612D1E8DAA876, "level_guardremovecivilian" },
    { 0xAB3A17647F025295, "level_guardsalertedclearstealthflaglogic" },
    { 0xFAAA02C3BED5F869, "level_guardsalertedfarahlogic" },
    { 0xC8FD8434321E2221, "level_guardsawplayergrenadealertlogic" },
    { 0x4DDB0E3EFCBBB5E1, "level_guardseenplayerjumpeffectslogic" },
    { 0x85FA4BD837C8E321, "level_guardseenplayerjumplogic" },
    { 0x22B0DFC8B4E27723, "level_guardseenplayermeleeeffectslogic" },
    { 0xEB559AEA752888F7, "level_guardseenplayermeleelogic" },
    { 0x3BB4D93AB01FEB29, "level_guardseenplayerpronelogic" },
    { 0x59D66EAE7D866A9D, "level_guardseeplayergrenadethrowlogic" },
    { 0xA5C201B3212750FA, "level_guardsendinstantdetectedlogic" },
    { 0x58728FC4DA0C1D4F, "level_guardsetallalerted" },
    { 0x7AD7B63F095EBC7B, "level_guardsetcivilianalertedanimation" },
    { 0x96918430F172BEF3, "level_guardshootalertotherslogic" },
    { 0x80092671C374CB00, "level_guardshowholesightblockerclips" },
    { 0x1ABA96CEB082166E, "level_guardsinstantlydetectplayerlogic" },
    { 0x39109DE08BAB00DF, "level_guardspawncorpsestruct" },
    { 0x41B9A3393680B870, "level_guardwhizbylogic" },
    { 0xCD642EBA6E9A727E, "level_hadirattachgasmask" },
    { 0x8D5DDD96E0C110CA, "level_has_chyron" },
    { 0x0DADD1D67A04CF29, "level_has_start_points" },
    { 0xFD04BA3BD4539DDC, "level_hellcannonfire" },
    { 0xE42B2DDDFB071AA8, "level_hellcannonimpactlogic" },
    { 0x0CC662B3F29E1799, "level_hellcannonmovetank" },
    { 0xFF029CFFDC999291, "level_inits" },
    { 0xF6F0D75B6AB6B959, "level_isaiguard" },
    { 0xD3039B5B83B94FB3, "level_isgroupnamevolumealerted" },
    { 0x935337019E93C306, "level_isgroupvolumealerted" },
    { 0x944E8A8F5F248472, "level_isguardanimated" },
    { 0xAAD3AB86AC1FC681, "level_isguardinforcethreatvolume" },
    { 0x97366AA83BFAD5B4, "level_killstreak_spawn" },
    { 0x869EB36D858C0016, "level_light" },
    { 0x11D79E93D8332D20, "level_logic" },
    { 0x366DD727DA14D6AA, "level_module_struct" },
    { 0xDE073A63E59C635F, "level_notify" },
    { 0xB6B808BE43E639D5, "level_notifylevelonenemycount" },
    { 0x77243897215DA76B, "level_notifylevelonenemydeathcount" },
    { 0x83E1713188B22F32, "level_notifylevelonplayershotcount" },
    { 0x7C161ABB758AD609, "level_object" },
    { 0xF813A317D3124154, "level_objectiveadd" },
    { 0xE4E0C0E6A032F286, "level_objectivecreatefollowai" },
    { 0x446743655F702E7D, "level_objectivegetindex" },
    { 0x714CA2F7C49A490E, "level_objectivegetpreviousindex" },
    { 0xEF159D3B5537EEDB, "level_objectivegetreservedstartindex" },
    { 0xD0677B1F3FD59B82, "level_objectiveincrementindex" },
    { 0xF53FDA1E16136913, "level_objectiveinit" },
    { 0x02927FB6A8241F99, "level_objectivesetindex" },
    { 0xA9DB50666952AA47, "level_offhand_refill_spawn" },
    { 0xEB3CFEE00C8A7A9E, "level_offhand_spawn" },
    { 0xB2037B1EB216942A, "level_offhandpickupinteractlogic" },
    { 0xA225A7A8180147CD, "level_offhandpickupsinit" },
    { 0x518C140CDE1C4F3E, "level_openbunkerouterdoor" },
    { 0x3E3B6135AE9165CD, "level_playersightinteractunusablelogic" },
    { 0x8BFC03EF5A871844, "level_playersilencerinteractlogic" },
    { 0xE4DECE01116D8C25, "level_playersilencerinteractunusablelogic" },
    { 0xC73DB7C4369DDB4B, "level_playersilencerpickupsinit" },
    { 0x47FC1F0C03B5C5B8, "level_playertouchingbarkovspeakersubtractvolume" },
    { 0x4B3990FCDB3D2DDF, "level_posterstructslogic" },
    { 0x525AA3B3CC5FD011, "level_redbarreldeathlogic" },
    { 0xE3A1CFE6F99F0BF8, "level_redbarreldistantlogic" },
    { 0x52D2BDA27F6D9BD4, "level_redshirtcloseronscreen" },
    { 0x02FC92E7E2105D55, "level_redshirtgetclosestonscreen" },
    { 0x5BCE63DC725B6B06, "level_redshirtgetpossiblegoalnodes" },
    { 0xD2D1CCCA820CC27E, "level_redshirtgetpossiblegoalnodesinheight" },
    { 0x8B48A6799F82AD1F, "level_redshirtmagicbulletshieldlogic" },
    { 0x394ADD401331C909, "level_redshirtshouldmove" },
    { 0xF0CDC553F8CF8D9A, "level_redshirtslogic" },
    { 0xB67A74E72A4DF65C, "level_resetguardlogic" },
    { 0x9353BE57D257AC9D, "level_respawn_func" },
    { 0x163BA01EAB24D76F, "level_sandstormfxlogic" },
    { 0x899F1EFF363702AD, "level_setclearalertedgroupnamevolumes" },
    { 0x3CBF4BEF438F6A40, "level_setcustomdeathhintindex" },
    { 0xE87DF7230BEDFAB0, "level_setcustomoverridedeathhintindex" },
    { 0x77CCA551E7EA6427, "level_setendofscripting" },
    { 0xF73DFF4CA5F125B4, "level_setfailonfriendlyfire" },
    { 0xCD4B345E3833A5BC, "level_setflag" },
    { 0xF1B8DBF077905F73, "level_setgroupvolumesalerted" },
    { 0xCFD5FCDA764D131A, "level_setgroupvolumesalertedbygroupname" },
    { 0x1094E0EFC9323F3C, "level_setredshirtgoalamount" },
    { 0xFCE77CEBD366951C, "level_settle_time_get" },
    { 0x7226EE2055E96441, "level_settle_time_wait" },
    { 0x143F77478995FB5B, "level_setupoilpump" },
    { 0xB0793C7A8AF0546B, "level_should_run_sp_stealth" },
    { 0x24612C7C1F149449, "level_sightpickupinteractlogic" },
    { 0x519B484490A4FF4E, "level_sightpickupsinit" },
    { 0xAC9CED4DF41AA62A, "level_sirenofflogic" },
    { 0xD9CD657440954600, "level_sirenonlogic" },
    { 0x9214E5C01DD0A34C, "level_spawnalexstruct" },
    { 0xC69B80559D3EE5EE, "level_spawnarmen" },
    { 0xE6879069021E376A, "level_spawnbarkov" },
    { 0x76DB6D0496CAA65C, "level_spawncivilianfarah" },
    { 0x4A905098ACB2E1A3, "level_spawnfarah" },
    { 0x8543C9C16B10B248, "level_spawnfarahanimatedbackpack" },
    { 0xEEABFD913C48C32B, "level_spawnflare" },
    { 0x079FA6A5C4A4365D, "level_spawnhadir" },
    { 0x1948977E55E11580, "level_spawnhadirtruck" },
    { 0xF4EB211B739BD9C4, "level_spawnplayer" },
    { 0x8EAE36732E548BAC, "level_spawnredshirtfromspawner" },
    { 0x8A040B5A5F3D2431, "level_spawnredshirts" },
    { 0xE897F515750C030B, "level_spawnsoldierfarah" },
    { 0x6D04EBDB6C5C126D, "level_spawnstaticflare" },
    { 0x096DF51032E2787C, "level_spawnuncle" },
    { 0x97A8AF78C5CD3635, "level_specific_bot_targets" },
    { 0x22EFBA07E3411EB4, "level_specific_dof" },
    { 0x06950EFC70722B14, "level_specific_player_interaction_monitor" },
    { 0x1B405FC83DB1D58C, "level_specific_vo_callouts" },
    { 0x4E901860DE83CEA3, "level_specific_wait_for_interaction_triggered" },
    { 0xA13CB7922271701E, "level_teleportguard" },
    { 0xE70A79C79FBF866D, "level_trigger_should_abort" },
    { 0x33C19078235B4DAE, "level_trigger_should_abort_melee" },
    { 0x07E40B7D119F3C85, "level_trigger_should_abort_ranged" },
    { 0x234327DCD3062CDA, "level_tunnel_setup" },
    { 0x52718924278B7434, "level_turnknifeintooffhandpickup" },
    { 0xB21FA57C06E708C5, "level_use_carepackage" },
    { 0xCC4D9BA2A0E715D2, "level_vfx" },
    { 0x6A22A85F85E000E1, "level_vo_equipment_backpack" },
    { 0xD438CB6AAE4DE63C, "level_waittillplayerclearedalertedguards" },
    { 0x3DD4E7D2648C8D92, "level_weapon_spawn" },
    { 0xB0585BDAB9950063, "levelflag" },
    { 0x92ECDEB3AF31DACC, "levelflagclear" },
    { 0xEB0B72CF7288D7BD, "levelflaginit" },
    { 0x6752120622AF2330, "levelflags" },
    { 0xC4B618B682E8FDE1, "levelflagset" },
    { 0x3AF534B9FD3C67BA, "levelflagwait" },
    { 0xC1CFF2E13131C7C2, "levelflagwaitopen" },
    { 0x3007F14C0D64C6ED, "levelobjectives" },
    { 0x4A8B431DE00CE06C, "levelobjectives_init" },
    { 0x030042563DE36D92, "levelonlaststandfunc" },
    { 0x90DEB695F22403C3, "levelprogressioncomplete" },
    { 0xDACF24DFFC6AABDC, "levelregisterobjectives" },
    { 0x2B681DA9FE7D5A5E, "levels" },
    { 0x89C6FD86B54EBED6, "levelsoundfade" },
    { 0x6F07FF9AE6FD4387, "lever" },
    { 0x51C9A2AD06ED13BA, "lgbudgetingprobesize" },
    { 0x2CB25FF1E0A2D667, "lgnoshadow" },
    { 0xEB2B7079FE364177, "lgsplittransients" },
    { 0x18681F6B7D8C674C, "lgvadaptive" },
    { 0x4050C328F56EEF86, "lgvdensity" },
    { 0xA83B9DF77ABFCCAA, "lgvmerge" },
    { 0x291BABC48CD6689F, "lgvmergesuffix" },
    { 0x9EB158498EC74D3D, "lgvmergesufix" },
    { 0x728BC5FFA932EEE1, "lgvthin" },
    { 0x86321DCAB0C974B1, "lgvthinpush" },
    { 0xA8DCBAEE00819874, "lgvthinshrink" },
    { 0x9FC081389A6D0CCA, "lgvthinstable" },
    { 0x4FD98FFA74645112, "lgwperifvfx_explosions" },
    { 0x7905EB66C6D3F010, "lgwperifvfx_plumes" },
    { 0xEEB5782B8534ECD3, "life" },
    { 0xC420A4A39F4F58A5, "life_left" },
    { 0x883611C8BCA2EC23, "life_link_active" },
    { 0x8C8EEB49DF277545, "life_linked" },
    { 0x323D85441E8E76DA, "life_range_high" },
    { 0x7391FC1CEB709098, "life_range_low" },
    { 0x46B7D3ECC8590220, "lifeboostactive" },
    { 0x976D2D264646301E, "lifeid" },
    { 0x9E01C6A9B44EE86F, "lifelimitedallyonuse" },
    { 0x97C58725DBF46C6B, "lifelimitedenemyonuse" },
    { 0x98B7B820D3CE3869, "lifepackoutlines" },
    { 0x9E950B5A6A024BD1, "lifepackowner" },
    { 0xFAEC7891559E70D7, "lifespan" },
    { 0xEB81AB375C945F0A, "lifetime" },
    { 0x390E788F66975F7F, "lifetime_shot_count" },
    { 0x3B9D23B5FD06C0FB, "light" },
    { 0xCCE801F7E9A855B8, "light_back_left_dead" },
    { 0x14D0ACB10E1B9FA9, "light_back_right_dead" },
    { 0x806295326047A155, "light_buried_mom" },
    { 0xD0754789BFBF8A60, "light_car_back" },
    { 0xD471DC273296F6AE, "light_car_fill" },
    { 0x8C42AC5CC8E6CF5D, "light_car_rim" },
    { 0xFD34AB3D97B5198E, "light_debug_draw" },
    { 0x385AE638F9AB8EC4, "light_debug_print3d" },
    { 0x276917BB4B6A2334, "light_debug_thread" },
    { 0xDA1EB1A367E96B9E, "light_dvars" },
    { 0x12E5807B71A99208, "light_enemies_separated" },
    { 0xBDACB0A9535C09F7, "light_enemy_deathfunc" },
    { 0x43522F0144AF971F, "light_enemy_spawn_func" },
    { 0xBEEFC7CDC1AA6BA3, "light_enemy_stealth_filter" },
    { 0x355030321157C6B0, "light_entrance_gate" },
    { 0x55CEE7C6EBCD2553, "light_flicker_loop" },
    { 0x6ACCA37674FFCBF5, "light_flicker_on_off_loop" },
    { 0xFC300D65907AE309, "light_flicker_proc" },
    { 0x958C373871AA22C0, "light_front_high" },
    { 0x60626C7A1D7A6AA4, "light_front_left_dead" },
    { 0x7E7A9948B2C09C9E, "light_front_low" },
    { 0x9E233A6A729F159D, "light_front_right_dead" },
    { 0xCAF7F1479662B1E5, "light_lerp" },
    { 0x416D323C08BF303B, "light_meter_hint" },
    { 0xFD618AD900B2D0C3, "light_meter_hud" },
    { 0x3644A46BFC40E9B9, "light_model" },
    { 0x630B847A4D2BFD09, "light_not_destroyed" },
    { 0x96A1D42076F0843F, "light_on_touching" },
    { 0x29C8C4B9C6ED528D, "light_pulse" },
    { 0xFD22DCF12B78DE4C, "light_pulse_loop" },
    { 0x3DCDBB9EC7EC66C4, "light_pulse_on_off_loop" },
    { 0x17A65801E46F2068, "light_pulse_proc_iw7" },
    { 0xBB8649275E333A78, "light_switch" },
    { 0x64D2C1D63EA6DA44, "light_tank_activate" },
    { 0x48E034E29BABB26E, "light_tank_addgunnerdamagemod" },
    { 0x61C12B6AA5251B08, "light_tank_adjustdriverturretammo" },
    { 0x8796339F49C1BE30, "light_tank_adjustmissileammo" },
    { 0x2F1CF88E905094E1, "light_tank_adjustsmokeammo" },
    { 0xC32DC805CCD44ACA, "light_tank_airdrop" },
    { 0xBFF12E6A625870B7, "light_tank_airdropinternal" },
    { 0xAB17B96616963AC0, "light_tank_autodestruct" },
    { 0x29DC909720AD0D70, "light_tank_canautodestruct" },
    { 0x02DF855862F5D004, "light_tank_cantimeout" },
    { 0x3C7546250D28579D, "light_tank_cantimeoutfromempty" },
    { 0xAFF60F4AB349DCED, "light_tank_cantimeoutinternal" },
    { 0xCC197F600C4C0565, "light_tank_capture" },
    { 0x0722319A02FACBBE, "light_tank_cleardamagefeedbackforplayer" },
    { 0xE473E78CD8F51D56, "light_tank_clearheavydamagefeedbackplayer" },
    { 0x19DEAD0CEA9A3699, "light_tank_clearlightdamagefeedbackplayer" },
    { 0xDB2A7DEF20D1B597, "light_tank_copyspawndata" },
    { 0x0F2CC45F25788607, "light_tank_cp_create" },
    { 0xE34094661D124063, "light_tank_cp_createfromstructs" },
    { 0xC4C12D63404C4EDC, "light_tank_cp_delete" },
    { 0xEDCE3F533530B735, "light_tank_cp_getspawnstructscallback" },
    { 0xD04A541FBA6C9459, "light_tank_cp_init" },
    { 0x652DC7EF879DAF74, "light_tank_cp_initdamage" },
    { 0x5DE9A677004163AD, "light_tank_cp_initlate" },
    { 0x6F1A528FE243CA84, "light_tank_cp_initspawning" },
    { 0xC722EBF33157C607, "light_tank_cp_ondeathrespawncallback" },
    { 0xA090EEF499059074, "light_tank_cp_onentervehicle" },
    { 0x9C5F16DA7884A70E, "light_tank_cp_onexitvehicle" },
    { 0x12CEA09DE0DBDFDD, "light_tank_cp_spawncallback" },
    { 0x30A380C6EAFE356A, "light_tank_cp_waitandspawn" },
    { 0x82297D0D6A724C49, "light_tank_create" },
    { 0xF11E2DB89C8C47F5, "light_tank_createdriverturret" },
    { 0x609A3C7EE50EC940, "light_tank_creategunnerturret" },
    { 0xF469AF0A6A8D8826, "light_tank_createheadicon" },
    { 0xBC35FD7E0B8D84BC, "light_tank_createobjective" },
    { 0x281BC8BF0BF6AA92, "light_tank_deathcallback" },
    { 0xCA58AE6D030C1B38, "light_tank_deletenextframe" },
    { 0x2A1E5C00FF89230E, "light_tank_destroyheadicon" },
    { 0xD24D3C93A3E079C4, "light_tank_destroyobjective" },
    { 0x4445592CA68743CE, "light_tank_detachvehiclefromairdropsequence" },
    { 0xCACB88CCABBB39EC, "light_tank_driverturretreload" },
    { 0x5E2C2CBAC71F907C, "light_tank_endcapture" },
    { 0xFEF8744A4ECC6CE1, "light_tank_endmissilefireplayerfx" },
    { 0x517FCE663626855E, "light_tank_enterend" },
    { 0x08913CD1A4749133, "light_tank_enterendinternal" },
    { 0x7681E74CFA5A25FB, "light_tank_enterstart" },
    { 0x14A0EE062DBE4FBE, "light_tank_exitend" },
    { 0x9D55838A6BE4D393, "light_tank_exitendinternal" },
    { 0x859A5EB8297AE3CA, "light_tank_explode" },
    { 0x191005C596B1E35B, "light_tank_firemissile" },
    { 0xCE610E69409C756E, "light_tank_firesmoke" },
    { 0x0AE2FCB14C0B2743, "light_tank_firesmokeinternal" },
    { 0xE406B1293BD72DE7, "light_tank_flippedendcallback" },
    { 0x01CEB7EF2B64BEC0, "light_tank_getdesiredspawnpositionfromplayer" },
    { 0x2B239E66CE895C89, "light_tank_getdropspawn" },
    { 0x46E00F5A2CBDC635, "light_tank_getdropspawnangles" },
    { 0x2F0C72E5174776FD, "light_tank_getheadiconteam" },
    { 0x725F3FE3BFC11563, "light_tank_getleveldata" },
    { 0x433E85FD03078CC1, "light_tank_getmissileplayercommand" },
    { 0x7DC16F27BB016373, "light_tank_getspawnstructscallback" },
    { 0x5FF46F787F28ADBD, "light_tank_gunnerdamagemodignorefunc" },
    { 0xC0A4E1C1FD888A52, "light_tank_hasdropspawns" },
    { 0x3E1EDEF58E390944, "light_tank_heavydamagefeedbackforplayer" },
    { 0x641FDCF70E8AC1E7, "light_tank_init" },
    { 0x51BC5E1C55CF8259, "light_tank_initcollision" },
    { 0x36F3A10151DECAC6, "light_tank_initdamage" },
    { 0xD1172C880BBBC48A, "light_tank_initentranceanimations" },
    { 0x6ECAA1E457FF0871, "light_tank_initfx" },
    { 0xD0F8E3904662731A, "light_tank_initializespawndata" },
    { 0x462E9811633CC13D, "light_tank_initinteract" },
    { 0x439820079F7AC8AB, "light_tank_initlate" },
    { 0xA159D120082E1600, "light_tank_initoccupancy" },
    { 0x4A9A07BEBDECF2F1, "light_tank_initomnvars" },
    { 0xCE204E9E8281251E, "light_tank_initspawning" },
    { 0x5F52CE3621B21E03, "light_tank_initspawns" },
    { 0x5F4B97BF90C1BC50, "light_tank_initvehicleentranceanimations" },
    { 0x6F1092E4584B76E4, "light_tank_initvo" },
    { 0x474B126B66695D98, "light_tank_land" },
    { 0x955E636DF27C0741, "light_tank_lightdamagefeedbackforplayer" },
    { 0x14BBB2A21DACC40D, "light_tank_monitor" },
    { 0x63AFAC8C25317C7D, "light_tank_monitordrivermissilefire" },
    { 0x6050E19E66C46F2C, "light_tank_monitordriversmokefire" },
    { 0xD8E1B8DC77A47E65, "light_tank_monitordriverturretfire" },
    { 0x768EB8C60F9B0262, "light_tank_monitordriverturretprojectilefire" },
    { 0xECA170C11C9FC2E8, "light_tank_monitordriverturretreload" },
    { 0xE4B0ADFDAD68E3B0, "light_tank_monitorgunnerturretfire" },
    { 0x0DB95DF28456EBC4, "light_tank_monitorotherentdisconnect" },
    { 0x804C1E2DB28257EF, "light_tank_monitorotherentjoined" },
    { 0xF610F66B2AEC127C, "light_tank_mp_activate" },
    { 0xAEF95C1C058A4BD1, "light_tank_mp_cankeepcapturing" },
    { 0x62AEE520A56C847B, "light_tank_mp_canstartcapture" },
    { 0xE3D38E7268A31D91, "light_tank_mp_create" },
    { 0xEB2A1F7A50D949D1, "light_tank_mp_createkillcament" },
    { 0x16B86E2F25D01522, "light_tank_mp_createothercaptureobject" },
    { 0x84C325EFD4A9C5A1, "light_tank_mp_createownercaptureobject" },
    { 0xD41DFD094F3CC699, "light_tank_mp_death" },
    { 0x984CC549E01B7A76, "light_tank_mp_delete" },
    { 0x913FA46665D0F3B3, "light_tank_mp_deletecaptureobject" },
    { 0x3FEA4D31EA880F40, "light_tank_mp_deletecaptureobjects" },
    { 0x340183C54A0E696E, "light_tank_mp_deletekillcament" },
    { 0xAB7A94D317F8B9B4, "light_tank_mp_endcapture" },
    { 0xBC839A527A6211A6, "light_tank_mp_filterdropspawns" },
    { 0x9ED455B814F17787, "light_tank_mp_getdropspawnignorelist" },
    { 0x96FF6E3CF52D056B, "light_tank_mp_getspawnstructscallback" },
    { 0x3C83053D4791793F, "light_tank_mp_init" },
    { 0x820604DF6F29F9B7, "light_tank_mp_initcapture" },
    { 0xC4B3BAF06A2269AE, "light_tank_mp_initdamage" },
    { 0x97207208F3C39CF3, "light_tank_mp_initlate" },
    { 0x29E94E78A5DDEBC5, "light_tank_mp_initmines" },
    { 0x7A905DC9C5A7A326, "light_tank_mp_initspawning" },
    { 0x82E3D3D2287E9774, "light_tank_mp_monitorcaptureinternal" },
    { 0xA19EE91EB980B675, "light_tank_mp_monitorkillcament" },
    { 0x3F33EFEFF6EEB741, "light_tank_mp_monitorothercapture" },
    { 0xAFE2F0D7C985B929, "light_tank_mp_monitorothercapturevisibility" },
    { 0x66FF0E2D345A76E6, "light_tank_mp_monitorownercapture" },
    { 0xDC963A849150EAD6, "light_tank_mp_monitorownercapturevisibility" },
    { 0xF4EAE67AEE5299F9, "light_tank_mp_ondeathrespawncallback" },
    { 0xEF35D8C9CBBC5042, "light_tank_mp_playerstartcapture" },
    { 0x2BD448C9BB140486, "light_tank_mp_playerstopcapture" },
    { 0xCD46BB10D0ADFA77, "light_tank_mp_setupcaptureobject" },
    { 0xD276250F8DC25368, "light_tank_mp_shouldawardattacker" },
    { 0x80E6BE72BE021197, "light_tank_mp_spawncallback" },
    { 0x5DE39D4B7A16212B, "light_tank_mp_startcapture" },
    { 0x4EA5767552EF1B80, "light_tank_mp_waitandspawn" },
    { 0x3ABE76B72BA48108, "light_tank_place" },
    { 0x1C4BF4B520FDFC86, "light_tank_playerisdriverandcanmissilelock" },
    { 0xB73CE28207F5DD4E, "light_tank_playmissilefireplayerfx" },
    { 0x1FD3C68650E0A7EF, "light_tank_postmoddamagecallback" },
    { 0x02EED0B38EBE9D34, "light_tank_premoddamagecallback" },
    { 0x1FE33FCABE26CD5A, "light_tank_reenter" },
    { 0xB32EB7942CB763E1, "light_tank_removegunnerdamagemod" },
    { 0x6C6957BD14158B71, "light_tank_setteamotherent" },
    { 0xF237F06AB8DAFC46, "light_tank_shouldautodestructfromdamage" },
    { 0x000919375402B374, "light_tank_spawn" },
    { 0xE70E62584CF4DEC3, "light_tank_startcapture" },
    { 0x532C90D042424304, "light_tank_startfreefall" },
    { 0xD4F0DC1559209031, "light_tank_startmovefeedbackforplayer" },
    { 0xF00953C85FCD7BC9, "light_tank_stopexhaust" },
    { 0x92CFFB510AC86653, "light_tank_stopmovefeedbackforplayer" },
    { 0xA1C871C96F63FFFF, "light_tank_stoptreaddust" },
    { 0xB865569D335AAD38, "light_tank_stopwatchingmissileinputchange" },
    { 0x96151AD903A04D9D, "light_tank_supported" },
    { 0x41827C9DFAF9B0B4, "light_tank_timeout" },
    { 0xA2D34DE7CC7BA645, "light_tank_tryuse" },
    { 0x8A0FF3D6FF504970, "light_tank_tryusefromstruct" },
    { 0x0BBE599695B7E838, "light_tank_turretdustkickup" },
    { 0x057ADA86470FE818, "light_tank_update" },
    { 0xE2AE14FD80C8A473, "light_tank_updateautodestructui" },
    { 0x4B6D784CF2DC307E, "light_tank_updatechassisanglesui" },
    { 0x9A0F6624F3CABED6, "light_tank_updatedamagefeedback" },
    { 0x45F1CB1D0E434BF8, "light_tank_updatedriverturretammoui" },
    { 0x76933867310362B4, "light_tank_updateemptytimeout" },
    { 0x7C1F9C9C446AEA9A, "light_tank_updateexhaust" },
    { 0x46195712425BD347, "light_tank_updateheadicon" },
    { 0xD6314AA10BF0518B, "light_tank_updateheadiconforplayer" },
    { 0x0A09877A4D3EB223, "light_tank_updateheadiconforplayeronjointeam" },
    { 0x63D53F8CDF3BB6DC, "light_tank_updateheadiconimage" },
    { 0x2CB7CC9D435073C2, "light_tank_updateheadiconowner" },
    { 0xB749E972BBADF4D6, "light_tank_updateheadiconteam" },
    { 0x93B2D750F21EB1B8, "light_tank_updatemissileammoui" },
    { 0x71B8DF6B1329DB02, "light_tank_updatemovefeedback" },
    { 0xAF564A4ED71AEB6F, "light_tank_updateowner" },
    { 0x1B4E61F282FFA60C, "light_tank_updateplayeromnvarsonenter" },
    { 0xFC23FC574A11D5E1, "light_tank_updatesmokeammoui" },
    { 0x1A63480D0E657561, "light_tank_updateteam" },
    { 0xCABF0A484C26610B, "light_tank_updatetimeout" },
    { 0x2522D2D5CD9DB4E9, "light_tank_updatetimeoutui" },
    { 0xB3B4CCF21E39259C, "light_tank_updatetreaddust" },
    { 0x2D514FA79ECD6170, "light_tank_updateturretanglesui" },
    { 0x71C7009823746C9B, "light_tank_watchgameend" },
    { 0x95D3BBECD6A3F138, "light_tank_watchmissileinputchange" },
    { 0xAEB178C4F1E7FF4A, "light_tank_watchprojectileexplosion" },
    { 0x8EA5D92CA80680F0, "light_target_desactivate_check" },
    { 0x079E17C9B57D66C4, "light_target_init" },
    { 0xA6B6BAB457E92E27, "light_target_update" },
    { 0xC0D419FF1E7EA0CE, "light_the_fire_vo" },
    { 0x8FAA28A2FB18619C, "light_think" },
    { 0xF5C3CB893871DCCB, "light_toggle_loop" },
    { 0x24614C319D3AC709, "light_turn_off" },
    { 0xFEC83197F5D23F4D, "light_turn_on" },
    { 0xCBD7F7FFFCF8270D, "light_tut_light_watcher" },
    { 0x13EDC3391CBEC22B, "light_tutorial_catchup" },
    { 0x39F2816901964385, "light_tutorial_events_watcher" },
    { 0x02E4A2C1B523240A, "light_tutorial_main" },
    { 0x296F4BDF24EA1D69, "light_tutorial_start" },
    { 0x67981E7E800A2564, "light_type" },
    { 0x71333B9F4912E6ED, "lightarmor_lightarmor_disabled" },
    { 0x7D515A10DA3AF3F0, "lightarmor_modifydamage" },
    { 0xAB96D73D6DB818E3, "lightarmor_monitordeath" },
    { 0x78B3C5D5EBA89C95, "lightarmor_set" },
    { 0x55D7AAE424FF8363, "lightarmor_setfx" },
    { 0x14190D8FA8677150, "lightarmor_unset" },
    { 0xCD300C8E970B14E3, "lightarmor_updatehud" },
    { 0xD584493FED2BFCA2, "lightarmorhp" },
    { 0x815E184D2A6E7FF4, "lightback" },
    { 0x8BD30D218F8ECB76, "lightbar_off" },
    { 0x60D04AEB24A19B3C, "lightbar_on" },
    { 0x79569B0B3B713D82, "lightbarstructs" },
    { 0xC1E632B5F341451A, "lightfront" },
    { 0xCA1F19A049B6E922, "lightfxent" },
    { 0x9C62A3C52C43B83F, "lightfxfunc" },
    { 0xC1E6D1A0FFC344AB, "lightfxtag" },
    { 0x6DF15F6FB7EF487D, "lighting" },
    { 0x6C085C6DC4896C61, "lighting_alley_gas_attack_start" },
    { 0x796F10195ACBE439, "lighting_alley_to_apartments" },
    { 0x8A3EB8E54E40D54F, "lighting_apartments_to_canal" },
    { 0x291EC7CF0B14D8BB, "lighting_bunker" },
    { 0x8F018ABAB1AE66A0, "lighting_bunker_start" },
    { 0x33CA1892DD7ADB82, "lighting_buried_carried_common" },
    { 0xDBEB890A0FD68934, "lighting_buried_start" },
    { 0x07CE865A269C88CD, "lighting_canal_to_cafe" },
    { 0xB9A312C02224331B, "lighting_carried_start" },
    { 0x7F708C3F87AD743D, "lighting_disguise" },
    { 0x27B15D1FE6D576F5, "lighting_dof_bunker" },
    { 0xB30E0CB6B64B83B9, "lighting_escape" },
    { 0xDE3EB69CA51FC141, "lighting_flags" },
    { 0x95BEB089BE70D9F7, "lighting_gas_progression" },
    { 0x14BA316F0EF506DC, "lighting_gas_start" },
    { 0xEB39ED7C54ACCCD9, "lighting_gate" },
    { 0xE85740D845816D5E, "lighting_get_bunker_lights" },
    { 0x3EC7C7A4E6E8B3EE, "lighting_hero_leave" },
    { 0x73F2EAFD515982F9, "lighting_holster" },
    { 0x52F0BD1BBCEE202A, "lighting_house_character" },
    { 0x3D1FCFC14E07169C, "lighting_house_enter_start" },
    { 0xC4B866B2E1099933, "lighting_house_exit_character" },
    { 0xCC4C5501F27ABAF5, "lighting_in_apartments" },
    { 0x1A19FA425DC1026F, "lighting_in_cafe" },
    { 0xA4744C7E7EAF8515, "lighting_interrogation" },
    { 0x33FADCA7442FA88E, "lighting_interrogation_intro_cinematic" },
    { 0x5548C46AD194C52D, "lighting_interrogation_outro" },
    { 0x8ED60FF9AAFD9E15, "lighting_interrogation_room" },
    { 0x2743CE2594C77860, "lighting_intro" },
    { 0x4F6D5E0D0FBF33DE, "lighting_intro_dof" },
    { 0x280B058C5667C965, "lighting_leave" },
    { 0x090DFDB72BD08F50, "lighting_mansion_fire_1" },
    { 0x090E00B72BD095E9, "lighting_mansion_fire_2" },
    { 0x01D7FA0309CA518E, "lighting_pistol_start" },
    { 0x9AAD540E2D8F4246, "lighting_poppies_drive_start" },
    { 0xE8A53B4C4E7FB057, "lighting_pre_alley_to_apartments" },
    { 0x2958ECB8D21AA026, "lighting_setup_dvars" },
    { 0x5376CE50B2878561, "lighting_setup_lights" },
    { 0xCE0D58663C9405A0, "lighting_tunnel" },
    { 0xBB5F3BD73988CF09, "lighting_tunnels" },
    { 0xE3CFF14B67AC8293, "lighting_tunnels_dof" },
    { 0xA4AB0E6FDED737EB, "lightmap" },
    { 0xB7906003350F7ABA, "lightmapcount" },
    { 0x359C8B5DDF0A7EEC, "lightmapcount_ng" },
    { 0xDF9484D0451D9063, "lightmapscale" },
    { 0xE7E5D2FA0AE5E7CA, "lightmapsize" },
    { 0x19BCD5E638797740, "lightmeter" },
    { 0x9C6B8C76A575BF63, "lightmeter_lastcheckpos" },
    { 0xD8AD314E87D88F0A, "lightmeter_lastchecktime" },
    { 0x82CDBBB364068134, "lightmeter_lerp_lightmeter" },
    { 0x98350C25027268AF, "lightmeterdelay" },
    { 0x3A4229E79E8EC5F8, "lightoffroutine" },
    { 0xAF6F2FD6114C4D9E, "lightonroutine" },
    { 0xABE7CD3E2C696003, "lightoverride" },
    { 0x07774C6F6C7AF18B, "lightpos" },
    { 0x62F759E8EF973571, "lightreaction_lightorigin" },
    { 0xA022C77DC46586C3, "lightreaction_requesttime" },
    { 0x2156113B75D96B18, "lights" },
    { 0xA827405BC34CD81E, "lights_delayfxforframe" },
    { 0x9063D29392BF381A, "lights_lerp_off" },
    { 0x3CE82F0D85647338, "lights_model_swap" },
    { 0x9F1B094CF47153EA, "lights_off" },
    { 0x273B2A7D7C4C0366, "lights_off_internal" },
    { 0x3CDB3BDCB986F9FF, "lights_off_thread" },
    { 0x5FE26BC57AC00470, "lights_on" },
    { 0xDB0CA9AD1E6E61E4, "lights_on_3f" },
    { 0xA206CA03B25111B8, "lights_on_internal" },
    { 0xCE77389088FF09C3, "lights_out_alarm_off" },
    { 0x62EA088520018837, "lights_out_vo_seq" },
    { 0xF5BD6D4AC96D6CB3, "lights_setup_plane" },
    { 0x5A367DDF96EA7041, "lights_shot_01" },
    { 0x5A367ADF96EA69A8, "lights_shot_02" },
    { 0x45244B32B5DDB870, "lights_shot_02_reset" },
    { 0xABA4D5DEA6ABAEEC, "lights_turn_off" },
    { 0x412D64F66454F29A, "lights_turn_on" },
    { 0xE12B38F001B11C54, "lightscriptable" },
    { 0xF43D04E046D97211, "lightsfloor01" },
    { 0xF43D01E046D96B78, "lightsfloor02" },
    { 0xDCEACA6F4DA62986, "lightsfx" },
    { 0xDCCBDE6F4D8403A1, "lightson" },
    { 0x64FB12366002EE3E, "lightsource" },
    { 0x75196BD287FBA607, "lightsout_achievement_think" },
    { 0xB8F991F6D6AE1AED, "lightsout_targets" },
    { 0xD7BE55F146E0D667, "lightsreset" },
    { 0xD6D6A32255E58D9E, "lightsshot02" },
    { 0x152D70DDBAFB5705, "lightswitch_death_watcher" },
    { 0x1C871BF60E1C3508, "lightswitch_disable" },
    { 0xEA2B7EF532EB6A7F, "lightswitch_disable_interact" },
    { 0xE95BE72AD20FCA12, "lightswitch_enable_interact" },
    { 0x69906B466A2248AE, "lightswitch_init" },
    { 0x5928FB6F0E9DB555, "lightswitch_interact_func" },
    { 0xA601CE265FC2B3EE, "lightswitch_interact_manager" },
    { 0xEF8A6F9E42B7D4CA, "lightswitch_onoff" },
    { 0x43255D1F83A042F7, "lightswitch_postload_state_init" },
    { 0xA3867843B22C36C9, "lightswitch_send_stealth_event" },
    { 0x48C54E2424283AE8, "lightswitch_toggle" },
    { 0x3CC0F58AF15D6D12, "lightswitch_toggle_debounce" },
    { 0x6C9DE348FB23EC84, "lightswitch_trigger_notify" },
    { 0xF51696615D60A9B1, "lightswitch_update_children" },
    { 0xA62AF9569F4C41C1, "lightswitchinteraction" },
    { 0x3F10F46F9458C769, "lighttag" },
    { 0x0B2F9B633F600CDF, "lighttank" },
    { 0x69D0A37F9158D5F6, "lighttankmovefeedbackenabled" },
    { 0xF9BF6744603BDE44, "lighttanks" },
    { 0x3D8F918C4D31A01E, "lighttarget" },
    { 0xF8F428EEAD79F63D, "lighttargetname" },
    { 0x205E63664E3EEA91, "lightvalues" },
    { 0xF39BD86E4A83B15B, "lightweightscalar" },
    { 0xF267D569EF74EE7F, "lilly_actor_dmg_func" },
    { 0x0452ED5710F4044A, "lilly_civ_reaction" },
    { 0x055B844870586535, "lilly_civ_shot" },
    { 0x72E9AB1A4D1CE96B, "lilly_entrance_draw" },
    { 0x4C03421376270984, "lilly_terry" },
    { 0xBB60BE268B84E100, "lilly_white_kill" },
    { 0x81111C111880A3A6, "lilly_white_time_out" },
    { 0xFB8A1F3DBE59F037, "lillywhites_civs" },
    { 0x67AD7AC29A47AE35, "lillywhites_internal" },
    { 0xE5A41BB5BE673250, "limit" },
    { 0xE68E75C78199D57F, "limit_dropped_weapons" },
    { 0xA5D3406639586A8F, "limitdecimalplaces" },
    { 0x1D04454C88690744, "limitedmovement" },
    { 0x1B5DD414008DCF2C, "limitstealthturning" },
    { 0x2508905BAD580086, "limpdownpct" },
    { 0xFF5998AF0C9C7EEC, "limpent" },
    { 0x139C5A5FB84FFAA3, "limpmaxpitch" },
    { 0xF1A053C02FF9A038, "limpmaxroll" },
    { 0xF9D4E08B77A2803C, "limpsteptime" },
    { 0xD7EC5A93E0B82F49, "limpuppct" },
    { 0xEE91882B850C954B, "line" },
    { 0x0CE4CF3C5357D1CB, "line_debug" },
    { 0x752C65CCC2F4C70E, "line_interect_sphere" },
    { 0x6CB8033EAAB09BBB, "line_on_ent" },
    { 0x723ABAB1800FBFF3, "line_queue" },
    { 0xD94E5BEE66336AA0, "line_to_plane_intersection" },
    { 0xB26FC016627CB600, "linecircleintersection2d" },
    { 0x7D243C6BD80D3413, "linelengthsq" },
    { 0xB6A3AFB59AAC2A28, "lines" },
    { 0xD1FB2C9916602004, "linesegment" },
    { 0x315D2567D7F4C0E8, "link_active" },
    { 0xA0281514504E367D, "link_aim_to" },
    { 0x220FA38E79CF21B0, "link_driver" },
    { 0x97253D48F1EED09C, "link_org" },
    { 0x8DF79C7C42ED1027, "link_player_and_move" },
    { 0xF5F81D019938505D, "link_player_to_arms" },
    { 0xA5002C63F0D8445D, "link_player_to_rappel_scene" },
    { 0x334988D4E30DB91C, "link_player_to_rig" },
    { 0xD3ED80C72547FDAB, "link_player_to_rig_free_look" },
    { 0x980AA22DB24D8B35, "link_player_to_rig_keep_weapon" },
    { 0x210A2FFCCEF26C85, "link_player_to_rig_laser_panel" },
    { 0xAB11386C6F429117, "link_player_to_set_rig" },
    { 0x6D9CAA5028D52078, "link_to_ambush_sniper_mover" },
    { 0x8D3B806FCEB5650F, "link_to_barkov" },
    { 0xCEFAD9DC82C39A62, "link_to_rpg_enemy_mover" },
    { 0xEC660F36F4E6CA80, "link_to_sittag" },
    { 0x4B992D8939D577D7, "link_to_turret_enemy_mover" },
    { 0x7C41A40D8E99BDB6, "linkcameratoball" },
    { 0x910F3A2ADDB4DB11, "linkdoubledoors" },
    { 0x37B8566311CF006C, "linked" },
    { 0xE1ACB2363131A7A3, "linked_bomb_id" },
    { 0x0A87824F75BE8287, "linked_brush" },
    { 0xC1FA1FA35C838C57, "linked_ents" },
    { 0x55AE65B7AD53A1A0, "linked_lights" },
    { 0xAC52CC3092FF1E1E, "linked_model" },
    { 0xE016A02FFCDFE84E, "linked_mover" },
    { 0x17CC18470DFAB676, "linked_to_coaster" },
    { 0x7902EDFD62348AA0, "linked_to_player" },
    { 0x17392A60F13173F1, "linked_wire_position_marker" },
    { 0xCCD7B8BA0F92E23F, "linkedaniments" },
    { 0x51525E2A20C7A111, "linkedent" },
    { 0x9FC678A61707EA86, "linkedents" },
    { 0xE19289A62D85B64D, "linkednodes_hinge" },
    { 0xDD1CA6182CD19B1E, "linkednodes_knob" },
    { 0xBF4DC8B77F2993DE, "linkedpents" },
    { 0x91B8D12B0C17DF89, "linkedsaw" },
    { 0xBC7C9E2FE8C320EB, "linkedsmartobjects" },
    { 0xD8B25CFCE49ACB45, "linkedto" },
    { 0xF6E4ED668EA6EADA, "linkedtoent" },
    { 0xEE66856744667093, "linkedtotag" },
    { 0xF1B0BDC1BBC96FCF, "linkedtovehicle" },
    { 0x37B8646311CF1F36, "linker" },
    { 0x8820BC227F938F0A, "linkoffset" },
    { 0x3A4FA3D7A2B45F1D, "linkparent" },
    { 0xF184C13AD2ADDEEA, "linkparents" },
    { 0x9633CB9E8A80A1A1, "linkplayertofarrah" },
    { 0x38026163121F9DE4, "linkto" },
    { 0x1F9976ADE50C77E7, "linktoblend" },
    { 0x4FD0FA317DA15A0A, "linktoblendtotag" },
    { 0x6E7F17FDB2D95597, "linktoenabledflag" },
    { 0x7A92B8A3E0C880E9, "linktoent" },
    { 0x56A794B1996910EE, "linktomoveoffset" },
    { 0x1FCDF9330E951617, "linktooriginandangles" },
    { 0x4EA6C3016DEED9D9, "linktoplayer" },
    { 0x84625FB09F3F19E9, "linktoplayer_fire_chains" },
    { 0x0CD3D7951CD5ED38, "linktoplayer_linklogic" },
    { 0xA783F8C0603B0844, "linktoplayerview" },
    { 0x4BA947EED4A8DB01, "linktoplayerviewfollowremoteeyes" },
    { 0x81569D81A48A6C07, "linktoplayerviewignoreparentrot" },
    { 0x6835910506BACBEC, "linktovehicle" },
    { 0x4F1F5E315DC51039, "linkwaypointtotargetwithoffset" },
    { 0x175C40A201E2C4DC, "linvels" },
    { 0xEEEE9D2B8573B91D, "list" },
    { 0xADB87626211A7D39, "list_menu" },
    { 0x34A0FF39C8C62EC4, "listaitypes" },
    { 0x3175D5E8D14EF322, "listen_for" },
    { 0x73B79D6997542930, "listen_for_adrenaline_use" },
    { 0xFF2A466D5D34E411, "listen_for_blocked_path" },
    { 0xE8D6786274CEA7EA, "listen_for_custom_proj_dvar" },
    { 0x7FD2236F694A1FF1, "listen_for_drone_ent" },
    { 0x912708A74B1903F0, "listen_for_emp_drone_ent" },
    { 0x416C23BADEBB1AFC, "listen_for_enemy_alert" },
    { 0x49115CAF0C546831, "listen_for_exfil" },
    { 0xBEB86655CDA389A6, "listen_for_exfil_heli_ready_to_land" },
    { 0x94FC2A5C103CB41E, "listen_for_revive" },
    { 0x5C1CF88DF99476D8, "listen_for_super_triggered" },
    { 0xE0E082F8DF1D362E, "listen_to_hack_damage" },
    { 0x13FDEE9FCD6BAE7E, "listencalloutremove" },
    { 0xDDCDB9850317C74E, "listencancelberserk" },
    { 0x826525139E8BA839, "listendisconnectspotted" },
    { 0x8A9E87244E81D210, "listenepictauntscriptablecancel" },
    { 0x9D041524E7D5833D, "listenforcapture" },
    { 0x5A948E91D4FA4F91, "listenforcapturekill" },
    { 0x8F6BD6174AB91A9D, "listenforcinematicreplaydumpcmd" },
    { 0xF405CFD1B1BE1AA2, "listenforfirecomplete" },
    { 0x520E47BE3F99D570, "listenforheadequiptogggle" },
    { 0xABEDD9F2F25EA69C, "listenforjumpmasterclaimluanotify" },
    { 0x632E42AA5B5A2655, "listenforkill" },
    { 0xEC0D6666833177B7, "listenfortaunt" },
    { 0x6CE144D1A546DED5, "listenfortauntinput" },
    { 0xFFF4F8ADD5CF3D65, "listening_for_blocked_path" },
    { 0xDCCB6B01597912CA, "listenjump" },
    { 0x15DB9A14D734F06C, "listenkick" },
    { 0xF5468CD5716971EE, "listenkillstreakaction" },
    { 0x665F21CF3E9CE396, "listhasattachment" },
    { 0xA6B18C762EA63BF7, "listoffoundturrets" },
    { 0xE27642207538B5BD, "lit_models" },
    { 0x3CFD7DDE29C5D3F1, "little_bird" },
    { 0x1FB0505CD304C0EE, "little_bird_cp_create" },
    { 0x02795958C6290574, "little_bird_cp_createfromstructs" },
    { 0x10E87708DB963325, "little_bird_cp_delete" },
    { 0xFDCCA8B1495EC8AA, "little_bird_cp_getspawnstructscallback" },
    { 0x9ABABEAF8C156DD0, "little_bird_cp_init" },
    { 0xB248F9701151E78C, "little_bird_cp_initlate" },
    { 0xDF764A007AC54459, "little_bird_cp_initspawning" },
    { 0xC737FEAB9E148AEE, "little_bird_cp_ondeathrespawncallback" },
    { 0xFD0464B7C834D08D, "little_bird_cp_onentervehicle" },
    { 0xA421AB58C86E4111, "little_bird_cp_onexitvehicle" },
    { 0x2177F9ECFD4D9082, "little_bird_cp_spawncallback" },
    { 0x6031DFD60F9FEE17, "little_bird_cp_waitandspawn" },
    { 0x45BB8EBE862C0FDE, "little_bird_create" },
    { 0x870F5D41FF3021E3, "little_bird_creategunnerturret" },
    { 0x1148D6F78291C063, "little_bird_deathcallback" },
    { 0x3B2E0F858ED3A645, "little_bird_deletenextframe" },
    { 0x264E9537AD131E51, "little_bird_dmg_func" },
    { 0x034A5F69FFC3C9F1, "little_bird_enterend" },
    { 0xB57A3A02F8CD2C14, "little_bird_enterendinternal" },
    { 0x40CEDC19DD476290, "little_bird_enterstart" },
    { 0x6D4625093B4C5E2F, "little_bird_exitend" },
    { 0xA2912F5AC8496E86, "little_bird_exitendinternal" },
    { 0xC50397FF9E95DBDF, "little_bird_explode" },
    { 0x9D09DE1400895ABA, "little_bird_getspawnstructscallback" },
    { 0xE134842ADF97E17A, "little_bird_givegunnerturret" },
    { 0xD2BDBB7EF74386B8, "little_bird_givetakegunnerturrettimeout" },
    { 0x7E42C03AD806CE4F, "little_bird_horn" },
    { 0x1D9CED4F5AC6D0A0, "little_bird_init" },
    { 0x08FF202A86B95178, "little_bird_initcollision" },
    { 0x7F7BF63227B68571, "little_bird_initdamage" },
    { 0x1C063EB2FF740EFE, "little_bird_initfx" },
    { 0xA952AF65E8185486, "little_bird_initinteract" },
    { 0x35D32498362C5A7C, "little_bird_initlate" },
    { 0x8C4B1559E00B9D25, "little_bird_initoccupancy" },
    { 0xA9A186DC40908CEC, "little_bird_initomnvars" },
    { 0x3EACDFF3360C38C9, "little_bird_initspawning" },
    { 0x5584EFC6B86C181C, "little_bird_mg_collision_damage_watcher" },
    { 0x4A54A0F0E5ECDA2D, "little_bird_mg_cp_create" },
    { 0xD20F2691FA659491, "little_bird_mg_cp_createfromstructs" },
    { 0xBAB9D4F4D54DD363, "little_bird_mg_cp_init" },
    { 0x85DED5265FB172BF, "little_bird_mg_cp_initlate" },
    { 0x6ADBA28071F8676D, "little_bird_mg_cp_ondeathrespawncallback" },
    { 0x4B8F55AAE77C640A, "little_bird_mg_cp_onentervehicle" },
    { 0xDC0CB4474AFACC40, "little_bird_mg_cp_onexitvehicle" },
    { 0x5FEDE9992E534DB3, "little_bird_mg_cp_spawncallback" },
    { 0x6273BF0496365C04, "little_bird_mg_cp_waitandspawn" },
    { 0x629D957A00E08AEB, "little_bird_mg_create" },
    { 0xF7D3656AC09BDD32, "little_bird_mg_creategunnerturret" },
    { 0x573028349EAC5CD8, "little_bird_mg_deathcallback" },
    { 0x16AC73B1F5836AAA, "little_bird_mg_deletenextframe" },
    { 0x9D7E45F015BAB61C, "little_bird_mg_enterend" },
    { 0x7E02866B84489B05, "little_bird_mg_enterendinternal" },
    { 0x3FC7E524D03A6705, "little_bird_mg_enterstart" },
    { 0xC8E33F7E34D9E358, "little_bird_mg_exitend" },
    { 0x8D46FC06885C25F9, "little_bird_mg_exitendinternal" },
    { 0x35DEF887A5A7BE4C, "little_bird_mg_explode" },
    { 0xE5B57C0C82F02A49, "little_bird_mg_getspawnstructscallback" },
    { 0x7E087BFB9177C0C3, "little_bird_mg_givetakegunnerturrettimeout" },
    { 0x9C9FF3A4E602D2EB, "little_bird_mg_handleflarefire" },
    { 0x7538C45AE4DD62C6, "little_bird_mg_handleflarerecharge" },
    { 0xF287E4A1799DF945, "little_bird_mg_init" },
    { 0xAAF7833CF2BF434F, "little_bird_mg_initcollision" },
    { 0x6D5B122877200460, "little_bird_mg_initdamage" },
    { 0xD937F9FE6D1B20B3, "little_bird_mg_initfx" },
    { 0x3D4558254B2E2F0F, "little_bird_mg_initinteract" },
    { 0xA58E39F34A7A5521, "little_bird_mg_initlate" },
    { 0x0D0F7BC73DB22686, "little_bird_mg_initoccupancy" },
    { 0xCF647CB84E6FF3D7, "little_bird_mg_initomnvars" },
    { 0x0D88AE607239E910, "little_bird_mg_initspawning" },
    { 0xE0CB7ECC24C9B115, "little_bird_mg_mp_enterendinternal" },
    { 0xE52C26809138ECB5, "little_bird_mg_mp_init" },
    { 0x98CC1E9B100529EF, "little_bird_mg_mp_initmines" },
    { 0xDCFDD80F9AF7C2A0, "little_bird_mg_mp_initspawning" },
    { 0x83A5A212B7C25F93, "little_bird_mg_mp_ondeathrespawncallback" },
    { 0x376F5D3E21460A51, "little_bird_mg_mp_spawncallback" },
    { 0x922C776C44FC00F6, "little_bird_mg_mp_waitandspawn" },
    { 0x45321EE0C7349363, "little_bird_mg_onenterheavydamagestate" },
    { 0x9B5CDF623A031F65, "little_bird_mg_onexitheavydamagestate" },
    { 0xEE179761B519B0F3, "little_bird_mg_playercontrolmg" },
    { 0x82D0D24F9F54476C, "little_bird_mg_playerexitturret" },
    { 0xDD2688FF65F6A99C, "little_bird_mg_reenter" },
    { 0xFB9F9239A68F6FED, "little_bird_mg_takegunnerturret" },
    { 0x23CD8B0CC2E51434, "little_bird_mp_create" },
    { 0xF67F89813EE10E2B, "little_bird_mp_delete" },
    { 0x8165FA6A493798A2, "little_bird_mp_enterendinternal" },
    { 0x88E6532D232F2904, "little_bird_mp_getspawnstructscallback" },
    { 0x23E781332EC46152, "little_bird_mp_init" },
    { 0x72817BB2F3E02C9E, "little_bird_mp_initmines" },
    { 0x20EDCC339E8B3407, "little_bird_mp_initspawning" },
    { 0xAE47ED1CBF2DF874, "little_bird_mp_ondeathrespawncallback" },
    { 0xF098FF3F2B9A4C68, "little_bird_mp_spawncallback" },
    { 0x01849C94095C5681, "little_bird_mp_waitandspawn" },
    { 0x58D55CA0E9DB70A8, "little_bird_onenterheavydamagestate" },
    { 0x17489284F20A2B6C, "little_bird_onexitheavydamagestate" },
    { 0x76A04196B9FEEBC3, "little_bird_reenter" },
    { 0xD985933446C81EEB, "little_bird_spawnfunc" },
    { 0x80B0D9D872323F58, "little_bird_takegunnerturret" },
    { 0xC8EB91ECDF7DB5AE, "little_bird_trail" },
    { 0xD880E7D8B76CF9EE, "littlebird_bulletdamage" },
    { 0xF0A37D228BAE00DB, "littlebird_damage_function" },
    { 0x56BF8D526892C72D, "littlebird_turrets_think" },
    { 0x1543BD5FA7754D96, "littlebirdbankplunder" },
    { 0x58F587EB04699815, "littlebirdcrash" },
    { 0xE50557BFC75C669D, "littlebirddelete" },
    { 0x459352372EE9CA2C, "littlebirddescendtoextraction" },
    { 0x57898C420F579F9D, "littlebirddestroyed" },
    { 0x4F0BE8734DACBA65, "littlebirde_getout_unlinks" },
    { 0x476F6439BB4DEAD7, "littlebirdexplode" },
    { 0x265784F726C0C4F9, "littlebirdleave" },
    { 0xCC8250B4BED408C3, "littlebirds" },
    { 0x915676C7F1EF24D7, "littlebirdsmg" },
    { 0x9C2EC51129E8A7CB, "littlebirdstoreplunder" },
    { 0xA451068C1C2D100B, "livelobbymatchstarttimer" },
    { 0x8DDB17CC8AC576D0, "livelobbyrestart" },
    { 0x0D178AD1AEF52CD5, "livelobbyroundendwait" },
    { 0x8D881AA7A182DC82, "livelobbystartcode" },
    { 0x3DA1475AF98E5DDF, "livescount" },
    { 0xF25F18CCB02917D6, "livestreamingenable" },
    { 0x2B7ED9A3FCEBA564, "livestreamingsetbitrate" },
    { 0x703231D1431E89DB, "living_ai_prethink" },
    { 0x10EDF0A9C8214783, "lmapblurpass" },
    { 0xBB860416235600F1, "lmaplookup" },
    { 0x97E71A2730B24B5D, "lmg_aim_1" },
    { 0x97E7172730B244C4, "lmg_aim_2" },
    { 0x97E7182730B246F7, "lmg_aim_3" },
    { 0x97E7152730B2405E, "lmg_aim_4" },
    { 0x97E7132730B23BF8, "lmg_aim_6" },
    { 0x97E7142730B23E2B, "lmg_aim_7" },
    { 0x97E7112730B23792, "lmg_aim_8" },
    { 0x97E7122730B239C5, "lmg_aim_9" },
    { 0xEAB535710557D943, "lmg_aim_state" },
    { 0xC7690A0FBA681474, "lmg_guys" },
    { 0x5CC4B1E439D4E5A2, "lmg_to_door" },
    { 0x40023F3BE7E6910B, "lmg_too_far_away" },
    { 0x2D9E04AFCFB890D3, "lmg_weapons_array" },
    { 0x8B8B230C75C1F6CE, "lmg_zero" },
    { 0xD7F5BCAD8F6CFBE0, "lo_wait" },
    { 0x956EB72B42F20F0D, "load" },
    { 0x405CDEF16B0A9814, "load_ai" },
    { 0x86C6133F06792D6B, "load_ai_goddriver" },
    { 0xCDE83EAE53A38856, "load_airfield" },
    { 0xDB6D18F1F498E3D4, "load_all_wind" },
    { 0x88FC34CFC81B7CA1, "load_binks" },
    { 0x56D9372921D66953, "load_cctv_transient" },
    { 0x3EEFCAA8D3361BBE, "load_combat0" },
    { 0x97E8661624A2F561, "load_combat0_loop" },
    { 0x3EEFCBA8D3361DF1, "load_combat1" },
    { 0x5A842888B590D198, "load_combat1_loop" },
    { 0x3EEFC8A8D3361758, "load_combat2" },
    { 0x4AB184F2A8A874AB, "load_combat2_loop" },
    { 0x3EEFC9A8D336198B, "load_combat3" },
    { 0x29F1BF273BFA1BA2, "load_combat3_loop" },
    { 0x3EEFCEA8D336248A, "load_combat4" },
    { 0x9DA7CDB56D4FF9A5, "load_combat4_loop" },
    { 0x3A221F45882154ED, "load_compound_anims_end_transient" },
    { 0x094250CB534A00CA, "load_compound_transient" },
    { 0x4F1660F341BFE595, "load_debug_particles" },
    { 0x403EC5F16AEA4238, "load_fx" },
    { 0xB780E59D6F5457EA, "load_gametype_scripts_for_scriptdev" },
    { 0x5003BBDFF49C6E75, "load_hunt0" },
    { 0xBECB7E402A4D89E4, "load_hunt0_loop" },
    { 0x5003BADFF49C6C42, "load_hunt1" },
    { 0x1281C52F2684B58D, "load_hunt1_loop" },
    { 0x5003B9DFF49C6A0F, "load_hunt2" },
    { 0xF4BF11FA1FE6622E, "load_hunt2_loop" },
    { 0x5003B8DFF49C67DC, "load_hunt3" },
    { 0x9F17F20E8D5C6C17, "load_hunt3_loop" },
    { 0x5003B7DFF49C65A9, "load_hunt4" },
    { 0xDAFE51E4AB86C0C0, "load_hunt4_loop" },
    { 0xFD24CBEEB3912610, "load_hvt" },
    { 0x7C98497EE1468F48, "load_laser_fx" },
    { 0xE03A9A9B73947924, "load_lost0" },
    { 0xE03A9B9B73947B57, "load_lost1" },
    { 0xE03A9C9B73947D8A, "load_lost2" },
    { 0xE03A9D9B73947FBD, "load_lost3" },
    { 0xE03A969B73947058, "load_lost4" },
    { 0xBD04A25A92A24D45, "load_mechanics" },
    { 0x4E21100303DE4799, "load_new_map" },
    { 0x505EA425354D6CF4, "load_new_map_func" },
    { 0xE9207D0C96CFC4E0, "load_noise0" },
    { 0xE9207E0C96CFC713, "load_noise1" },
    { 0x20D7B78AD5A10385, "load_noise1_res_reactions" },
    { 0xE9207F0C96CFC946, "load_noise2" },
    { 0xE920800C96CFCB79, "load_noise3" },
    { 0xE920810C96CFCDAC, "load_noise4" },
    { 0xE88509198493CA47, "load_noise_father_reaction" },
    { 0xF5C4BE55AA6C5841, "load_noise_res_initial_reactions" },
    { 0xF87399A78DD93D89, "load_noise_res_nags" },
    { 0xDE788FAD13CD93D1, "load_queue" },
    { 0x89C522E5A3B560A8, "load_relic_catch_params" },
    { 0x97AD6FB52190FE85, "load_relic_combos_from_table" },
    { 0x4061C5684F0229F1, "load_relics_from_playerdata" },
    { 0xF6A91BA9D1F9EF64, "load_relics_from_playlistdvars" },
    { 0x2CD6E48616CF8105, "load_relics_vfx" },
    { 0xB81DA9F9DECA9DD3, "load_relics_via_dvar" },
    { 0xCB391FE80413025F, "load_ru1_killed_combat" },
    { 0xC9CDC7C5AA5E796D, "load_ru1_killed_distract" },
    { 0xA4108D751C23E092, "load_ru1_killed_hunt" },
    { 0x4E2D19124C109D5D, "load_ru1_killed_lost" },
    { 0x165A2A6784EDEFB8, "load_ru1_killed_spotted" },
    { 0xDF43E5C635650497, "load_ru1_pistol_shot_at" },
    { 0xB11B20B870C6568B, "load_ru1_unspotted_pistol_idle_distract" },
    { 0xD55D36BA10DE51EA, "load_ru2_killed_combat" },
    { 0x15002D3C32A5E174, "load_ru2_killed_distract" },
    { 0xA25B9DC9EECC1AD7, "load_ru2_killed_hunt" },
    { 0xE1BE81684773E70C, "load_ru2_killed_lost" },
    { 0xF68913B6308B6F87, "load_ru2_killed_spotted" },
    { 0x9D82E6D6C5BB7DF4, "load_ru2_pistol_shot_at" },
    { 0x01C914FF26ADFAF8, "load_ru2_unspotted_pistol_idle_distract" },
    { 0x14FC53E4AF02EBFC, "load_rubble_civ1_2_phone_convo_01" },
    { 0x68CE0E682420E510, "load_rubble_dad_yells_01" },
    { 0xBAEF94F1FEBCFC3F, "load_rubble_farah_efforts" },
    { 0xC6757AEAC38241CC, "load_rubble_res1_calming_01" },
    { 0xCC878DB466083E0A, "load_rubble_res1_yells_01" },
    { 0xCC878CB466083BD7, "load_rubble_res1_yells_02" },
    { 0xCC878BB4660839A4, "load_rubble_res1_yells_03" },
    { 0x07C7E4B8A69C16E1, "load_rubble_res2_yells_01" },
    { 0x07C7E1B8A69C1048, "load_rubble_res2_yells_02" },
    { 0x07C7E2B8A69C127B, "load_rubble_res2_yells_03" },
    { 0x02933B6A79879228, "load_rubble_res3_yells_01" },
    { 0x02933E6A798798C1, "load_rubble_res3_yells_02" },
    { 0x02933D6A7987968E, "load_rubble_res3_yells_03" },
    { 0xC6E3A8B43C3A04BF, "load_rubble_res4_5_getwater_01" },
    { 0x4DBFF64F6BED9966, "load_rubble_res6_7_getrope_01" },
    { 0x523922ED802CC3A8, "load_scriptable_garage_door" },
    { 0xCE6510DA090FB4AA, "load_sequence_3_vfx" },
    { 0x98A483F2194B94E3, "load_sequence_4_vfx" },
    { 0xB612AF19EF36FDC5, "load_spotted0" },
    { 0xB612AE19EF36FB92, "load_spotted1" },
    { 0xB612AD19EF36F95F, "load_spotted2" },
    { 0xB612AC19EF36F72C, "load_spotted3" },
    { 0xB612AB19EF36F4F9, "load_spotted4" },
    { 0x210F0C3AC5535C46, "load_stealth_values_from_table" },
    { 0x4FBAACAC38C7A57A, "load_surface_speed_vfx" },
    { 0xAC3A393FE080BF6C, "load_systems" },
    { 0xA97BA83ABE20504C, "load_unharmed_pistol_combat_distract" },
    { 0x94AA4740E58FDAB2, "load_unharmed_pistol_fight_combat" },
    { 0x79E0B56251A5635F, "load_unharmed_pistol_fight_hunt" },
    { 0xD3092900023C7EB4, "load_unharmed_pistol_fight_lost" },
    { 0x619F212EBD5D1B8F, "load_unharmed_pistol_fight_spotted" },
    { 0x8032398770A48F67, "load_unharmed_pistol_hunt_distract" },
    { 0xC85D98EEB8602A8D, "load_unharmed_pistol_hunt_distract_end" },
    { 0xC7F1087AC3804FF6, "load_unharmed_pistol_hunt_distract_end_followup" },
    { 0xDAB0F60A2888635C, "load_unharmed_pistol_idle_distract_end" },
    { 0x491905ED73A32ABE, "load_vfx" },
    { 0xE04DEE54B7D4554C, "load_wind" },
    { 0x0B778657C3BC7DA5, "loadandplayholoeffect" },
    { 0xE425BD49A1A3FF76, "loadassociatedkillstreakweapons" },
    { 0xC06DDF84A15F473E, "loadcustomization" },
    { 0xEF18097941689102, "loadcustomizationplayerview" },
    { 0x5CDF0904FA3D269A, "loaded_weapons" },
    { 0x23097485F74F88B9, "loadeventtable" },
    { 0x64BF1E1FFE9C2D3C, "loadfromstructfn" },
    { 0x085705AC4F53922B, "loadfx" },
    { 0xB20018783B2ED994, "loadgamemodestatmap" },
    { 0xA56D96136635F6E8, "loadglobalfx" },
    { 0xF17A0FD4CB553CDD, "loadinfiltransient" },
    { 0x01B5079B00B30E96, "loading_kids_into_trucks_scene" },
    { 0xE0B1B54BD856D1C3, "loadingplayers" },
    { 0xB5BF6A2A866C6A07, "loadluifile" },
    { 0x2AEC63F217DF95C7, "loadout" },
    { 0xCE704BE801BA7CE8, "loadout_change_activate" },
    { 0x1C132A89972931B0, "loadout_change_hint" },
    { 0x958610EB22140073, "loadout_changed_flag" },
    { 0xD26D64A9022F81BA, "loadout_clearperks" },
    { 0x55F6876125DAF990, "loadout_clearplayer" },
    { 0xA57DE50F88BEA5A6, "loadout_clearweapons" },
    { 0xEFB7C952E3CEF41E, "loadout_copyclassstruct" },
    { 0x0B318A70C66860C3, "loadout_editcachedclassstruct" },
    { 0x3CA265881361FE20, "loadout_editglobalclassstruct" },
    { 0x53D8D377333DCAD4, "loadout_emptycacheofloadout" },
    { 0xDBFB83A3B9B55163, "loadout_finalizeweapons" },
    { 0x7F68EA7387310128, "loadout_fixcopiedclassstruct" },
    { 0x74D345A2192C7896, "loadout_forcearchetype" },
    { 0x7BEC4995D857F5B5, "loadout_gamemodeloadoutchanged" },
    { 0xDDBCD6EFF4694FED, "loadout_getclassstruct" },
    { 0x76B034BED6D6950D, "loadout_getclassteam" },
    { 0xDCDCBCBDA91AD8B4, "loadout_getclasstype" },
    { 0x38FA2CA3DC31EE08, "loadout_getglobalclassstruct" },
    { 0x7E776D90C028F31C, "loadout_getorbuildclassstruct" },
    { 0xB79A0957892BC36F, "loadout_getplayerstreaktype" },
    { 0x636E46F4BFBAC3DD, "loadout_given" },
    { 0x74834EDC36EAA571, "loadout_giveperk" },
    { 0xAFEF0A3CB84C48A1, "loadout_giveprimaryweapon" },
    { 0xF684C11EBDF6E1C1, "loadout_givesecondaryweapon" },
    { 0x7708231E44665762, "loadout_giveweaponobj" },
    { 0x9826221A510788DB, "loadout_in_progress" },
    { 0x34A7258068449F26, "loadout_logloadout" },
    { 0xABD8A6A10DE941A4, "loadout_lognewlygivenloadout" },
    { 0x957B25FA3734D434, "loadout_removeperk" },
    { 0x6D6FFC93F43C2F28, "loadout_retry_completed" },
    { 0xD0986FEA168BBE51, "loadout_updateabilities" },
    { 0xC9B9E5789E7A310B, "loadout_updateammo" },
    { 0xDA08EDBBC16ADBBB, "loadout_updatebrammo" },
    { 0x1F231A2A2657C693, "loadout_updateclass" },
    { 0x38F48774CC9E2CCC, "loadout_updateclasscallback" },
    { 0x45B5867D7EE4ABE0, "loadout_updateclasscustom" },
    { 0xD1615DCA15336524, "loadout_updateclassdefault" },
    { 0x44873D997F32AA50, "loadout_updateclassdefault_headlessgetweaponn" },
    { 0x368F185FE5C3D3EA, "loadout_updateclassdefault_weapons" },
    { 0xE5530BC3D979B4FD, "loadout_updateclassdefault_weaponsheadless" },
    { 0xAC1F5B89C1DE7472, "loadout_updateclassfinalweapons" },
    { 0x6B3303E52EDEF856, "loadout_updateclassfistweapons" },
    { 0x46F035061F05C8FE, "loadout_updateclassgamemode" },
    { 0x0B41889BD0C5EA7A, "loadout_updateclassteam" },
    { 0x0C0D57BE6A98023E, "loadout_updatefieldupgrades" },
    { 0xC1BC5E39F07A8732, "loadout_updateglobalclass" },
    { 0x60C20A931321A0B3, "loadout_updateglobalclassgamemode" },
    { 0x0FFBC25AAEEDDBF7, "loadout_updateglobalclassstruct" },
    { 0x1F1B4A601E487E98, "loadout_updatehasnvg" },
    { 0x72A4490A88A55ED4, "loadout_updateplayer" },
    { 0xAC7EDCA6880F865E, "loadout_updateplayeraccessory" },
    { 0xAF0390399A76BB13, "loadout_updateplayeractionslots" },
    { 0xEE4D81285D17D693, "loadout_updateplayerarchetype" },
    { 0x4A3E6C7AD7EC4B34, "loadout_updateplayerequipment" },
    { 0x7278D019F88EDA12, "loadout_updateplayerexecution" },
    { 0xE15E9EF9D04CD5FF, "loadout_updateplayergesture" },
    { 0xC76FE481E3FCA17F, "loadout_updateplayerkillstreaks" },
    { 0xE21145FA34DDBCCA, "loadout_updateplayernvgs" },
    { 0xDE22BA77C79C68F9, "loadout_updateplayerperks" },
    { 0x0E5F2A1D565CFF56, "loadout_updateplayerstreaktype" },
    { 0x6D9AE83A94559457, "loadout_updateplayersuper" },
    { 0xC18B0ACBF5122AF1, "loadout_updateplayerweapons" },
    { 0x91668FC666D5724F, "loadout_updatestreaktype" },
    { 0x1BAED54D6B338B63, "loadout_updateweapondependentsettigns" },
    { 0xB977CE4D246F301D, "loadout_updateweapondependentsettings" },
    { 0xAAA41362B8882CBE, "loadout_validateclass" },
    { 0x29B239C3DC5688FD, "loadout_weapons" },
    { 0x40006398BBFB45DF, "loadoutaccessorydata" },
    { 0x7865C6E630993DDB, "loadoutaccessorylogic" },
    { 0x55825C8782F91717, "loadoutaccessoryweapon" },
    { 0xC436268D91EB71D1, "loadoutaddblueprintattachments" },
    { 0x4A7DD7C7DF749E42, "loadoutarchetype" },
    { 0xDBB10942A986F273, "loadoutbrfieldupgrade" },
    { 0x5A7C5189C23ED049, "loadoutchangeround" },
    { 0xFB7153193B6EA924, "loadoutcomplete" },
    { 0x61852530D3A45649, "loadoutcustomcost" },
    { 0x1F95B402A07454E4, "loadoutcustomfiresalediscount" },
    { 0x3FF94CB88245B0CB, "loadoutcustomperkdiscount" },
    { 0x5B36104C6D07CF85, "loadoutdefaultcost" },
    { 0xD0E1D8864E7546C8, "loadoutdefaultfiresalediscount" },
    { 0x7214A4AEBD7E67D7, "loadoutdefaultperkdiscount" },
    { 0x58478FA29B1C253E, "loadoutdrop" },
    { 0x5C02130C434AA20D, "loadoutequipmentprimary" },
    { 0x0E4FE276F950478D, "loadoutequipmentsecondary" },
    { 0x460613906404D00F, "loadoutexecution" },
    { 0x024C45B55E852584, "loadoutexecutionquip" },
    { 0x779AE9B054DD4D09, "loadoutextraequipmentprimary" },
    { 0xCE25F449204BBD41, "loadoutextraequipmentsecondary" },
    { 0xC815FC23DCEBC590, "loadoutextraperks" },
    { 0xEFAACFAF3347C169, "loadoutextraperksfromgamemode" },
    { 0xFA52D92534382FBA, "loadoutextrapowerprimary" },
    { 0x9AD7D7F73EF9ED06, "loadoutextrapowersecondary" },
    { 0xD7EE7CAF8CDB7396, "loadoutfieldupgrade1" },
    { 0xD7EE7BAF8CDB7163, "loadoutfieldupgrade2" },
    { 0x3DE84D87FA7C0176, "loadoutgesture" },
    { 0x491C87E9559D9C26, "loadouthasnvg" },
    { 0x733254EF36504F4D, "loadoutindex" },
    { 0xC86FA72495EACD10, "loadoutkillstreak1" },
    { 0xC86FAA2495EAD3A9, "loadoutkillstreak2" },
    { 0xC86FA92495EAD176, "loadoutkillstreak3" },
    { 0xAD42CC42460C134D, "loadoutmeleeslot" },
    { 0x6906F6DEE98F3785, "loadoutperkoffhand" },
    { 0x9EE2D4524F87E52C, "loadoutperks" },
    { 0xFA9A0E3BC2853D65, "loadoutperksfromgamemode" },
    { 0x7D6E2684D232D146, "loadoutpowerprimary" },
    { 0xA48F192D39AEBEBA, "loadoutpowersecondary" },
    { 0xEAEE3C1C38E04227, "loadoutprimary" },
    { 0xCDF57BBA8C42E2B1, "loadoutprimaryaddblueprintattachments" },
    { 0xFDBD7EC0F9208A24, "loadoutprimaryattachmentids" },
    { 0xAF0DB30178DE6773, "loadoutprimaryattachments" },
    { 0x963E648BB2FA34B3, "loadoutprimarycamo" },
    { 0x5AEEA0C8B90789B5, "loadoutprimarycosmeticattachment" },
    { 0x06A9FE255DFDD3A9, "loadoutprimaryfullname" },
    { 0x0FE68E92476E5217, "loadoutprimarylootitemid" },
    { 0x3D885DED16B78A64, "loadoutprimaryobject" },
    { 0xC427F80E369459F1, "loadoutprimarypaintjobid" },
    { 0x678666F886EB02FD, "loadoutprimaryreticle" },
    { 0x964C282AD3C8071B, "loadoutprimarystickers" },
    { 0x3877CF895746C7F5, "loadoutprimaryvariantid" },
    { 0x7D3F5D804F821F5B, "loadoutprimaryweaponstickers" },
    { 0xC4949A08FB8AD135, "loadoutrigtrait" },
    { 0x4575816A80B63ADC, "loadouts" },
    { 0x8388D5753BD7B263, "loadoutsecondary" },
    { 0x3C9999C55F269E2D, "loadoutsecondaryaddblueprintattachments" },
    { 0x10B6CC7D9A42BF20, "loadoutsecondaryattachmentids" },
    { 0x925671019B8D2727, "loadoutsecondaryattachments" },
    { 0x63F54971D00B7B8F, "loadoutsecondarycamo" },
    { 0x79D5F80EAB75C9F1, "loadoutsecondarycosmeticattachment" },
    { 0xBE10C398C835D1ED, "loadoutsecondaryfullname" },
    { 0x2E05AB6D664663A3, "loadoutsecondarylootitemid" },
    { 0x027DE75CB35148D8, "loadoutsecondaryobject" },
    { 0x3D5E87F0676B0C61, "loadoutsecondaryreticle" },
    { 0xBC9880A57DAE8CB7, "loadoutsecondarystickers" },
    { 0x472354A490F04859, "loadoutsecondaryvariantid" },
    { 0x0AD78325911C9F87, "loadoutsecondaryweaponstickers" },
    { 0x1C0409F1F0C9C9AF, "loadoutsgroup" },
    { 0x49CCCC947E63B52B, "loadoutstandardperks" },
    { 0x20F1728560C5976A, "loadoutstreaksfilled" },
    { 0x00BEEFFEDCEF8439, "loadoutstreaktype" },
    { 0x0E86CE8F81D5261A, "loadoutsuper" },
    { 0xE930ABD8B3BACA60, "loadoutusingspecialist" },
    { 0xA4538740B326A61D, "loadoutvalues" },
    { 0xC3DEE9417D942298, "loadoutweapongiven" },
    { 0xD1D1F02D58DAAB81, "loadplayerassets" },
    { 0xA7DB6934F5134752, "loadpointstable" },
    { 0xB55C41F2084E7377, "loadspawnlogicweights" },
    { 0x8C54F75C7A634308, "loadstartpointtransients" },
    { 0xF8664FABA1F704D9, "loadstartpointtransientset" },
    { 0x0AD94B68072DCCE0, "loadsupertable" },
    { 0xC3990F2EC3521DC7, "loadtable" },
    { 0x7BBA17D78D9752DC, "loadtables" },
    { 0x18B890301C34A185, "loadtransient" },
    { 0x958C60F321AA09E7, "loadvfx" },
    { 0x27BB58ACB673E8B5, "loadweaponranktable" },
    { 0x8D4717B35B6DDD0E, "loadweapons" },
    { 0x0FD4A80EF9C97C60, "loadweaponsforplayer" },
    { 0xD02C9F8C346C45D8, "loadworldweapons" },
    { 0xBA5B05A00B87C4A6, "loadworldweaponsforplayer" },
    { 0xDB1E797763329769, "lobby_aq_alive_count_monitor" },
    { 0xFA6DBE7558977FB9, "lobby_aq_door_guard" },
    { 0x0D6148016625A1A6, "lobby_aq_make_vulnerable" },
    { 0xB15DFE0A81D1D437, "lobby_breach_aq_rush" },
    { 0x1A91CF5CE791A817, "lobby_breach_civ_rush" },
    { 0xC9F6F1AB217F3F9A, "lobby_catchup" },
    { 0xA0BE27BAAE03677A, "lobby_dialogue_manager" },
    { 0x9F459E85DC79EE04, "lobby_door_enemy_watcher" },
    { 0x9E59E85D6D54096B, "lobby_enemy_watcher" },
    { 0x259E168A7A4A1B05, "lobby_main" },
    { 0x618AC77BC8C89CD2, "lobby_patrol_enemy_watcher" },
    { 0xF268653AA8FF5154, "lobby_start" },
    { 0xC869A190F5210B2B, "lobbyteamselectenabled" },
    { 0x470E57042B50EE41, "loc" },
    { 0x54FCAA5319075C7B, "loc_array" },
    { 0x57AE7546CE28A5C2, "loc_exposed_to_chopper_boss" },
    { 0xE07E85A7D01BE649, "loc_exposed_to_enemy_sniper" },
    { 0xAE003BF82D79AD2C, "loc_exposed_to_enemy_turret" },
    { 0xB17A85244F842A64, "local" },
    { 0xD6151894C6F03DEA, "local_array" },
    { 0x20D43EF0A919DE6D, "local_combo" },
    { 0xB03085DA63AB59BF, "local_init" },
    { 0x9ACDD72C8BB40ADE, "local_object" },
    { 0x410C60DDE2481081, "local_waittill_any_return" },
    { 0x419CCDD1BF1BE264, "local_waittill_any_return_6" },
    { 0x0933898CAED373E4, "localangles" },
    { 0xD49CCFDADFA86033, "locale" },
    { 0xFA64F4A614421C43, "locale_5" },
    { 0x2E36288415CCA2BE, "locale_defaults" },
    { 0xC0730B87151ACF0C, "locale_type" },
    { 0xFA1537A613E9CE7E, "localeid" },
    { 0x6613D9642F3C738A, "localetriggers" },
    { 0x988F9573812B6736, "localizeammonamehack" },
    { 0x6ACCA95A7E2802D9, "localtoworldcoords" },
    { 0x1F303A610C78BF2A, "location" },
    { 0x71E70D3C6556E7A8, "location_add_last_callout_time" },
    { 0xDAFF38E2E8B28F16, "location_called_out_ever" },
    { 0xA77A03ABB90AABE6, "location_called_out_recently" },
    { 0x5BBFC8DF75D8062F, "location_get_last_callout_time" },
    { 0xDF1D9667137CB093, "location_objective_remover" },
    { 0xEE65BB6FF6EFD6A9, "location_tracker" },
    { 0x9E9C9949CDFD031E, "locationaliases" },
    { 0xB147DC70CC8B1DEE, "locationangles" },
    { 0xBD56F7AC5915CB83, "locationcircles" },
    { 0x9C1D2D7CEC97AF04, "locationlastcallouttimes" },
    { 0xB07B2C9F796FF2C2, "locationmarked" },
    { 0x1F59B6FFE9FE0063, "locationmarking_structeqp" },
    { 0xF89E200089204DCA, "locationmarking_structveh" },
    { 0xE31C13680AFBEAEC, "locationorigin" },
    { 0x8C79F2768DCC66FB, "locationpad" },
    { 0x0FCFBC6E6D8CD0BB, "locations" },
    { 0x01F6126B0001D645, "locations_to_investigate" },
    { 0xA5DC4A9BFBA6B44A, "locationselectionfunc" },
    { 0x320B6E7FCD3970C9, "locationsnames" },
    { 0x3899F5D800B08228, "locationtriggersetpaused" },
    { 0x0CD463C171F2D583, "locationtriggerupdate" },
    { 0x4F5CDEEDFCC02E77, "locindex" },
    { 0x9577882B42FBC65E, "lock" },
    { 0xD7FF0B4FCC1F9FFC, "lock_boost_nags" },
    { 0x73B89E00EBD370A3, "lock_camera_on_vehicle_until_moving_camera" },
    { 0x7E6EED3AD3FFEC13, "lock_door" },
    { 0x2AE847115ED61843, "lock_duration_before_firing" },
    { 0x8CC6A27E1C88CFA7, "lock_in_death_anim" },
    { 0x7396AB3961BE423C, "lock_on_progress" },
    { 0xDA6FC405143357E6, "lock_player_headtracking_off" },
    { 0x5C5BB338DCED24F3, "lock_player_stance" },
    { 0xE40D022E0C2ED9B4, "lock_pry_efforts" },
    { 0x66B375BB98BAB872, "lock_pry_nags" },
    { 0x81FE7813537FD6D2, "lock_spawner_for_awhile" },
    { 0x32D2DFC52316CEFC, "lock_to_ground" },
    { 0x97AF56F1408F0834, "lockaction" },
    { 0xA0E3C8E718CB4F1B, "lockdeathcamera" },
    { 0x838A84835B6FED32, "lockdoor" },
    { 0x668D6ADB4AF3D3DF, "locked" },
    { 0xBFE0F9D1D93C26E7, "locked_behind_interaction" },
    { 0x627696D3353F1D17, "locked_on_cruise_missiles" },
    { 0xBC70FC607D8054FF, "locked_proxylod" },
    { 0x1FD754F936E23689, "locked_target" },
    { 0x6B6460EE0C5EA4C8, "lockedforai" },
    { 0xAAB6FC69018D3887, "lockedlist" },
    { 0x0EC5685FAC89A503, "lockedmeleehealth" },
    { 0xE254A0F7FB4DE5BD, "lockedoncallback" },
    { 0xB7E4CDF9C6ACC8F1, "lockedonremovedcallback" },
    { 0xA3C32ECB102AC44E, "lockedradialunfill" },
    { 0x2D9BAC96B6508F02, "lockedtarget" },
    { 0x219852EA39545F1B, "lockedtotarget" },
    { 0x821289C4C2A265B1, "lockersceneclip" },
    { 0x29A2A7CC73766E22, "locklight" },
    { 0x9A86973BDBB47AA0, "lockmonitor" },
    { 0x43AFF309A5DE5975, "locknonbunkerdoors" },
    { 0x93DCBC05E164F93F, "lockonlaunchers_gettargetarray" },
    { 0x082194A04C0E8D40, "lockonlaunchers_gettargetvehiclerefs" },
    { 0x9DB6CAF36A0077D3, "lockonoverrideduration" },
    { 0x5596EFC22696D3FA, "lockontarget" },
    { 0x7B8777E0DFCA4593, "lockontargetmarkergroup" },
    { 0xD1C4D0FADDB3364B, "lockontargets" },
    { 0x267A643A9FBE2C20, "lockorientation" },
    { 0xD620EE96D39D80A7, "lockplayerforremoteuavlaunch" },
    { 0x0DE898FA3F4EBD44, "lockprompt" },
    { 0xDD6E8E691ED73B4F, "lockprop" },
    { 0xA9AD9386E1B38436, "lockpropkey" },
    { 0x8167A4A09A3E64A6, "lockscriptabledoors" },
    { 0x4D419BB55975EFB9, "locksetspeed" },
    { 0x2287FADE4704D727, "lockstarttime" },
    { 0xCC9BAC632060E2E7, "lockstrength" },
    { 0xF2991322EE51AF87, "locktimeruntilcap" },
    { 0x8DB34B664DF4BC06, "lockupdatingicons" },
    { 0x5478BABAE08247FA, "locname" },
    { 0xD93CC6DB9E837B7C, "locstr" },
    { 0x470E58042B50F074, "lod" },
    { 0xDFC354F9A2293CDA, "lodcullscale" },
    { 0x470E5B042B50F70D, "log" },
    { 0x35CC776838D33B9E, "log_blackbox" },
    { 0x7DBB9A98F5F88811, "log_card_data" },
    { 0x74EE874CD0C578D6, "log_clientmatchdata" },
    { 0x1008DCA6E6EF9402, "log_event" },
    { 0x2CDD8757C564ABA3, "log_explosive_kills" },
    { 0xF39A812F4DA76F12, "log_headshots_data" },
    { 0xF2D9430421A8FE27, "log_matchdata" },
    { 0xE4A74C66C2D2413E, "log_matchdata_at_game_end" },
    { 0x6578C312F730F1B8, "log_weapons_data" },
    { 0x24D042F632754EFB, "logallplayerposthink" },
    { 0x6360ED2187EBEC42, "logannouncement" },
    { 0xA4F202FA94F7E392, "logattachmentstat" },
    { 0xAAB5652CDA18CC26, "logattacker" },
    { 0x8DF63A3CAD254B06, "logattackerkillevent" },
    { 0x12CC5AF0FE7A0900, "logattackerkillstreak" },
    { 0x85B9D6A3A4895EEF, "logattackers" },
    { 0xD8693447602E38CE, "logaward" },
    { 0x63E7586215CB695F, "logbadspawn" },
    { 0x761B1398BE5CDD16, "logchallenge" },
    { 0xC2C8ADC17567E301, "logchangeweapon" },
    { 0xA688A581F7CAB1EB, "logclientmatchdatadeath" },
    { 0x8F16797A59E84370, "logcodcasterdamage" },
    { 0x82BF434AE0E7BC30, "logcodefrontlineupdate" },
    { 0xFE0F64C0E60C23B9, "logendofround" },
    { 0x42F85391DB53BEF6, "logequipmentuse" },
    { 0xEBC0AFE923546B7F, "logevent_assist" },
    { 0xE1BD7E55C75CE3F3, "logevent_awardgained" },
    { 0xAA2E42596BBB1837, "logevent_challengeitemunlocked" },
    { 0xD0AA936860C26165, "logevent_downed" },
    { 0xFE3DDBE50446864F, "logevent_explosion" },
    { 0x515CE5C96A73B127, "logevent_fieldupgradeactivated" },
    { 0x9264117D8890312B, "logevent_fieldupgradeearned" },
    { 0x92068D3E4E736D99, "logevent_fieldupgradeexpired" },
    { 0x36D1AC8BD9B7402C, "logevent_frontlineupdate" },
    { 0xD29CF63C05034271, "logevent_gameobject" },
    { 0xD9C9C95E1245679A, "logevent_givecpweaponxp" },
    { 0xFECA2CD0689B6AA8, "logevent_givempweaponxp" },
    { 0x2F8B5A5554FAC804, "logevent_giveplayerxp" },
    { 0x5C31D8DD3F5529BD, "logevent_kidnapevent" },
    { 0xD299F188626F6D28, "logevent_kill" },
    { 0xF5AE108D03FA8D5D, "logevent_killstreakactivated" },
    { 0xA241995F9C1D20B9, "logevent_killstreakavailable" },
    { 0x5D9C0144BE2C95A5, "logevent_killstreakearned" },
    { 0x72C31A714C78BA9B, "logevent_killstreakexpired" },
    { 0xCA21B39BB4AFB37F, "logevent_message" },
    { 0xD70D002974D26AA7, "logevent_minimapcorners" },
    { 0xCBE4106398C9EE30, "logevent_munitionused" },
    { 0x96D55787EED715EF, "logevent_nvgtoggled" },
    { 0x20EB01795CE3835F, "logevent_path" },
    { 0x27F9483CEFEDC288, "logevent_playerconnected" },
    { 0xC0E6E462A9601045, "logevent_playerdeath" },
    { 0x143D11E820D01A92, "logevent_playerhealed" },
    { 0x41003567EFD97C71, "logevent_playerkill" },
    { 0xD637612CE39F7812, "logevent_playerregen" },
    { 0x15BBA31FFCAF3970, "logevent_playerspawn" },
    { 0x3E5B124733348A84, "logevent_powerused" },
    { 0xD0D06B12FABC8A12, "logevent_reportgamescore" },
    { 0x92F5060942728A0A, "logevent_reportstreakscore" },
    { 0x3329EA34E1EE2279, "logevent_reportsuperscore" },
    { 0xF855F075AC318C13, "logevent_scoreupdate" },
    { 0xE88AD5C3152B1A55, "logevent_sendplayerindexdata" },
    { 0x0CF02CFE1FF24339, "logevent_servermatchend" },
    { 0xFD02DF1060AC81A8, "logevent_servermatchstart" },
    { 0x594C90A5B90A8CDE, "logevent_spawnpointupdate" },
    { 0x3AD36056D3697940, "logevent_spawnselectionchoice" },
    { 0xF45CFDC987FFB99B, "logevent_spawnviaautorevive" },
    { 0x5E8EB08E116D2F58, "logevent_spawnviaplayer" },
    { 0x46D24486684EA9B5, "logevent_spawnviateamrevive" },
    { 0x5F72A83B70ED7AB4, "logevent_superearned" },
    { 0x12883B1D17175FE1, "logevent_superended" },
    { 0xDD654FF9BC9B8392, "logevent_superused" },
    { 0x92029FF15DF21A58, "logevent_tag" },
    { 0x58931B6AFC8A9593, "logevent_xpearned" },
    { 0x4BB2CEC8E378D3F9, "logeventflag" },
    { 0x8A9A8B429EF2254C, "logextraspawn" },
    { 0xEA05DDCBAD35F878, "logextraspawninfothink" },
    { 0x412474A2A5433BF2, "logfinalstats" },
    { 0xE7BC17B4DD666B5A, "logfriendlyfire" },
    { 0xF022A98C84FB1F33, "logfrontlinetomatchrecording" },
    { 0x65A3E87A0C8CB5BD, "loggameevent" },
    { 0xED3B02E1A624D133, "loggamescore" },
    { 0x61D2EC783D4B7230, "loggedstate" },
    { 0x0C3AAD9211DE1945, "loggrenadedata" },
    { 0x71367D40DE7447D3, "logicvariantid" },
    { 0xED9431247C545B18, "logid" },
    { 0xD1437E3D6D850C51, "logids" },
    { 0xCF54704DF2F33704, "loginckillchain" },
    { 0x26AA35D521895349, "loginitialspawnposition" },
    { 0x1724A4C5C052BF96, "loginitialstats" },
    { 0x74E01FFF5F26B017, "logkillsconfirmed" },
    { 0x3F0E902FE5A0CB75, "logkillsdenied" },
    { 0xD9E8F643040D63DA, "logkillstreakavailableevent" },
    { 0x0B3DC35779393F9D, "logkillstreakevent" },
    { 0x93192251533399D2, "logloadoutcopy" },
    { 0x1EEDE3E4CF6BDD1C, "logmatchdatadeath" },
    { 0xC7F00D8CB35045CC, "logmatchdatalife" },
    { 0x24974E28C0305FC7, "logmatchtags" },
    { 0xDEA040460EFEE30E, "logmultikill" },
    { 0x333A5A3DAD1C9603, "logoperatorsandskins" },
    { 0xBA81433C69542D45, "logpinghistogram" },
    { 0x66FF545A92363610, "logplayerdata" },
    { 0x5AFE19CD727F0BCA, "logplayerdeath" },
    { 0x9E1495059A38F04E, "logplayerendmatchdata" },
    { 0xBD4BA6F64F46D2A1, "logplayerendmatchdatagesture" },
    { 0xBB088CA9C83BAAB4, "logplayerendmatchdataheadbody" },
    { 0x29D6B0CE2A0B21DE, "logplayerendmatchdatamatchresult" },
    { 0xF46B67F832062D0E, "logplayerendmatchdatamisc" },
    { 0xD4577CE876A74679, "logplayerendmatchdatashotshits" },
    { 0xAE7AB3971BFF337A, "logplayerlife" },
    { 0x362D4F97DA33D35E, "logplayermatchend" },
    { 0xAA25A79897AFA3FB, "logplayermatchstart" },
    { 0x21F873C9604E2981, "logplayers" },
    { 0x035F92DECBAFA960, "logplayerxp" },
    { 0x82EBAE39BD40E2A0, "logprint" },
    { 0x082BD165555244D7, "logscoreevent" },
    { 0x2812FCA0E6B90508, "logspawndisabled" },
    { 0xEDCC0887CA10E092, "logspawnpointsightupdate" },
    { 0x7AAC8FC434CA3B37, "logstartingloadout" },
    { 0xB43A7D1A20473665, "logstatmatchguid" },
    { 0xDBB644B603B68500, "logstring" },
    { 0x4FCB0F54E14B026F, "logsupercommoneventdata" },
    { 0x58D1DAC242BCECEA, "logteamselection" },
    { 0xDEFBEF7D3DD27768, "logtournamentdeath" },
    { 0x86E4B63E9AF076F0, "logtrophysuccesful" },
    { 0x5BA73C73A637FD7B, "logvictimkillevent" },
    { 0x1DE5488CA40E122B, "logweaponstat" },
    { 0xE5FC8CA614148E73, "logxpscoreearnedinlife" },
    { 0xF580FD87DEAA006C, "long_death_barkov" },
    { 0xD59781238E06862E, "long_death_manager" },
    { 0x0B9421B25A6A1281, "long_low_health" },
    { 0x9CDEF90BB1BC053C, "long_range_laser_ent_think" },
    { 0x908FE4DEB0E15F3D, "long_range_laser_vfx_think" },
    { 0x482CABD9A77EA47B, "longdeathanims" },
    { 0x5DB2BC14BBB6BC9B, "longdeathdirectionalfunc" },
    { 0xEEC1B426B823BDC9, "longdeathfinal" },
    { 0xF5CA4EFB5F381161, "longdeathfinalgrenade" },
    { 0xF494BF3C0E6388C9, "longdeathgrenadepullnotetrackhandler" },
    { 0xC0296BA761E97643, "longdeathidlesingleloop" },
    { 0x43D87A9D6D453AFD, "longdeathkillme" },
    { 0x95FC722822EE9F6B, "longdeathmercyfinal" },
    { 0x179C4693504A377E, "longdeathnoncombat" },
    { 0x0AD11C95CA52D41F, "longdeathshouldshoot" },
    { 0xEFC36A97B67B864F, "longdeathstarting" },
    { 0x63BF2E63AFB90E95, "longdeathtracker" },
    { 0xAEC53999F6FA0FEA, "longdeathwithsidearm" },
    { 0xCB68FEB1D8945A80, "longdialoguecooldown" },
    { 0xE9A65AB64DE8304C, "longer_spawn_delay" },
    { 0xAD257B52703E76AF, "longestexposedapproachdist" },
    { 0x3400805BB26F9075, "longgulagstream" },
    { 0x970751C043A92BD5, "longregentime" },
    { 0xE6887E1F4B2E859F, "longshot" },
    { 0x970233C35F7CF66A, "longwaitradarsweep" },
    { 0x9565B02B42E7E0FA, "look" },
    { 0x6826FBE863D9F5CD, "look_ahead_point" },
    { 0xF7048BF6B32A4E3E, "look_ahead_value" },
    { 0x87E3483736668AAA, "look_at_and_outline_enemies" },
    { 0x8B70C2DE3C047CDD, "look_at_damage_trigger" },
    { 0xC7D93DCE313D6AEC, "look_at_ent" },
    { 0xE9FE7F345566CC55, "look_at_ent_list" },
    { 0x9C0EE030794E0097, "look_at_heli" },
    { 0x877A4E01B40E1427, "look_at_jets" },
    { 0x67295CF77FD91E22, "look_at_player_3f" },
    { 0x2A0F2A1EE9224331, "look_at_player_start" },
    { 0x0D3CCCF4036E7599, "look_at_until" },
    { 0x408217EDCB8599F1, "look_check" },
    { 0x7A2E38105D118A18, "look_for_more_leads_vo" },
    { 0x18E96001F8A77D44, "look_leftright_anim" },
    { 0xDC60B5ACE0441DFF, "look_pos" },
    { 0x71A84C0354EAC3BE, "look_updown_anim" },
    { 0xE034DC17382AE3AF, "lookahead" },
    { 0xBA0A5DC3F52230E1, "lookahead_value" },
    { 0x416C103ABA37840E, "lookaheaddir" },
    { 0x18301927881C268F, "lookaheaddist" },
    { 0xFF6F4FC2C78032A3, "lookandaimdownpathdist" },
    { 0x36897A00A7D464C0, "lookat_allowed" },
    { 0xDC050126B3AE25D2, "lookat_anims" },
    { 0xE1F529DCED45B9C7, "lookat_aquired" },
    { 0x6DAC98E412AC8D50, "lookat_brother_vo" },
    { 0x5A6ED84E7873DC7F, "lookat_delay" },
    { 0xF49E07AE8D2743B1, "lookat_enabled" },
    { 0xE50486EACF140960, "lookat_last" },
    { 0xC00F1A383C6E0DF6, "lookat_nearby_players" },
    { 0x6D8E928ABF3BA142, "lookat_players" },
    { 0x005DCFE5EF983897, "lookat_random" },
    { 0x73A04CF7609E35E2, "lookat_random_animloop_ender" },
    { 0x46BF35A7640E256C, "lookat_random_lite" },
    { 0xDD80E231D77360A4, "lookatatrnode" },
    { 0xDD625FDF8073E70B, "lookatduration" },
    { 0x24FA8E83C779B16C, "lookatentities" },
    { 0x075F255D5E9DC538, "lookatentity" },
    { 0xBE64C969F5D4BA57, "lookatplayerupdate" },
    { 0xCA542F331DD2952F, "lookatpos" },
    { 0x61B5AE1CFA343D70, "lookatstateoverride" },
    { 0xB5F392CF5BC7C1B2, "lookback_scene_safe" },
    { 0x1B92644A4B504067, "lookback_start_audio_timeout" },
    { 0x2628AAC8696E5E88, "lookback_timeout_based_on_stance" },
    { 0x5D89AA50A7A1483E, "lookcontrolsfrozen" },
    { 0x99B86528BC4F3C1D, "lookdelay" },
    { 0xBB21C51AB7CC90C5, "lookdownpathdist" },
    { 0x6AAEB7A67BD780E6, "lookduration" },
    { 0xDF51F37B41CA253A, "lookforbettercover" },
    { 0x319D61CF4E609876, "lookforbettercover_internal" },
    { 0x53E0D61BE5A842AE, "lookforbettercoverduetowallblock" },
    { 0xF71999BF885C7731, "lookforboundingoverwatchcover" },
    { 0xC81D8344E874AE1E, "lookforinitialcover" },
    { 0x53D7254A3C6C2E08, "lookforvehicles" },
    { 0x7358F2FEC06FF9F7, "lookforward" },
    { 0x1C338E6DC33D0B64, "looking_at_different_wire" },
    { 0xC94188AC3C69027C, "looking_at_entity" },
    { 0xE64C8EA2E39404E6, "looking_at_wire" },
    { 0xD29F79CB180C878E, "looking_up" },
    { 0xC2B58F2F4667FBC0, "lookingatent" },
    { 0x73845A3A83936289, "lookorgs" },
    { 0xA53020BB0A8CEA37, "lookout_getfarahnode" },
    { 0xD6E9E64DD94FBFCC, "lookout_getvehicles" },
    { 0x7A7E2D502D36E4D2, "lookout_main" },
    { 0x781100A6704348E3, "lookout_moveupladderlogic" },
    { 0x66B45BAAA9D3D368, "lookout_playerladderspeedscalinglogic" },
    { 0xB86B6C3E8FA4AA10, "lookout_playerspeedscalinglogic" },
    { 0x6B93632D01EAB18F, "lookout_spawnvehicleriders" },
    { 0x5242922832DCF6DB, "lookout_spawnvehicles" },
    { 0x87865CDFF6C04411, "lookout_start" },
    { 0x3A48E5F459A9BF29, "lookout_teleportvehicletosplineend" },
    { 0x599AEF647CB6BF35, "lookout_vehicledeathlogic" },
    { 0xAD90DAE90800FF2C, "lookout_vehicleenemydamagelogic" },
    { 0xAE9885271C297FB3, "lookout_vehicleenemylogic" },
    { 0x196B0384540880DD, "lookout_vehiclelogic" },
    { 0x93705C7ECB1FFFA4, "lookout_vehicleofflogic" },
    { 0x9C2652C319C38585, "lookposition" },
    { 0xFD1273D4FFC60CA8, "lookright" },
    { 0xE05A3C7FAF1969FB, "looktarget" },
    { 0x9D3C0BE1B80957B0, "looktimestarted" },
    { 0x94EEF67B0F158A97, "lookup" },
    { 0x3C687921218C8EEE, "lookupanim" },
    { 0x21D458023CBB9E37, "lookupanimarray" },
    { 0x9191E9B3F8B2B298, "lookupcurrentoperator" },
    { 0xA83364F3E71C09D1, "lookupcurrentoperatorskin" },
    { 0xFA53D4DDC753685D, "lookupdeathquote" },
    { 0x6B9475995C845283, "lookupotheroperator" },
    { 0x2EAC2D1237280A54, "lookuppowerslot" },
    { 0x53DCAE38566A2F8A, "lookupsoundlength" },
    { 0x80FFD555F5BF97E5, "lookupvariantref" },
    { 0x9565972B42E7A9FF, "loop" },
    { 0x4B3AA8CB6F3C34E5, "loop_anim" },
    { 0xF3449966FF7618A5, "loop_control" },
    { 0xFC6919C931CC2103, "loop_emp_spark_vfx" },
    { 0x6369B07D1A9B1C32, "loop_fx_on_vehicle_tag" },
    { 0x90DE8C07DE1A02D2, "loop_fx_sound" },
    { 0xBFD9A09F12893A06, "loop_fx_sound_interval" },
    { 0x6D07956128930494, "loop_fx_sound_interval_with_angles" },
    { 0x19951C6F7F77E220, "loop_fx_sound_with_angles" },
    { 0xE9CC54F83E0826AC, "loop_node" },
    { 0x89A8E976F5C9847F, "loop_or_anim" },
    { 0x7C80A7CC14FA2821, "loop_or_delete" },
    { 0xFADE6429F123E8A7, "loop_path" },
    { 0x760B435B88BD2436, "loop_respawn_ready_splash" },
    { 0x28A4455DB02C638F, "loop_sound" },
    { 0x3B0C9CB8183AA20B, "loop_sound_delete" },
    { 0x48674962D4321FD6, "loop_sparks_vfx_on_enemy_hvt_vehicle" },
    { 0x04F8CAF6AD40C119, "loop_station_closed_vo" },
    { 0x74BECB81DBB11559, "loop_time" },
    { 0x44F57B72B230B4A6, "loopanim" },
    { 0x9A21DB47849223F0, "loopanimationentity" },
    { 0x205EDB5121EDE67C, "loopanimfortime" },
    { 0xDED65D1E982CE126, "loopcount" },
    { 0x2A4BE37A0549233E, "looped" },
    { 0xE17B86EA33873507, "loopendernotified" },
    { 0xB4FE762C083B860D, "loopendtime" },
    { 0x2A4BF57A05494AD4, "looper" },
    { 0x24CEB7FD72C3763D, "loopfunc" },
    { 0x2A46E97A05430799, "loopfx" },
    { 0x7EA345913DD031E9, "loopfxstop" },
    { 0xE61803D87412CE0D, "loopfxthread" },
    { 0x91A11F93CCEBA66D, "loopidlesurrenderanimation" },
    { 0x9CEF923317B82249, "looping_idle_animation" },
    { 0x228A4D316672F2B1, "looping_path" },
    { 0xD87B27900310AAB9, "loopingcoughaudio" },
    { 0xAEDAB68E8FE41411, "loopingcoughaudioissupressed" },
    { 0x311B4B1CD8BDBE56, "loopingcoughaudiosupression" },
    { 0xEB8F8E8EE185FEB4, "loopingsettingsanimationfunc" },
    { 0x49A919B6DAD873C0, "looplocallocksound" },
    { 0xDBD115C7B4B4D2B5, "looplocalseeksound" },
    { 0x7B32835839CB1DD0, "loopmissilelauncherlockedfeedback" },
    { 0xCF549C593593AC2D, "loopmissilelauncherlockingfeedback" },
    { 0x761500242379DEE4, "loops" },
    { 0xA4BF045B39F06ED8, "loopsound_ent" },
    { 0xEEC462A6D459FF85, "loopsound_origin" },
    { 0xB4D91A317112E064, "loopspectatorlocations" },
    { 0xEF95BA188CE501A6, "loopstingerlockedfeedback" },
    { 0x8A9F96115C15F377, "loopstingerlockingfeedback" },
    { 0x4460CDBC6CD836C9, "looptriggeredeffect" },
    { 0x703ECC419E6BDFDF, "loopwaitanim" },
    { 0x06C8B78552A74EE8, "looselinkto" },
    { 0x0DFE16B2CC81D54D, "looselinktoend" },
    { 0x9565932B42E7A133, "loot" },
    { 0xC7C996630F339FD1, "loot_boxes" },
    { 0xEE53981699663DF4, "loot_chopper_spawns" },
    { 0xB187E8F6EEDD0564, "loot_choppers" },
    { 0x4F03DABAC794FED0, "loot_create" },
    { 0x4FBE15B076782361, "loot_create_gunshop" },
    { 0xAFC65ACFC2738E3D, "loot_drop_check_func" },
    { 0xDE1F02D48ED3F5B2, "loot_func" },
    { 0x74CF6D45FAD9D8B6, "loot_getitemcount" },
    { 0x752BA0833A6B396A, "loot_getitemcountlefthand" },
    { 0xBCCE67E9437D9644, "loot_marked" },
    { 0x3BB25DC60D4757DE, "loot_nag" },
    { 0xBF837190CD44421A, "loot_on_pickup_success" },
    { 0x40DC3E058B2A7F18, "loot_pickup" },
    { 0xF08419CA8EC972C2, "loot_setitemcount" },
    { 0x5F0E8D8E7C244A44, "loot_think" },
    { 0x245BFE15E985720C, "loot_type" },
    { 0xB379EE607B7CC291, "lootammo" },
    { 0xFFA225174AD4EF52, "lootarmor" },
    { 0x2A19CA03AF92C6D9, "lootbunkersactive" },
    { 0x7293165675ECC19C, "lootcaches" },
    { 0x3F9A7536A78506C5, "lootcachesearchparams" },
    { 0xAA61F782A44C712D, "lootcachesopened" },
    { 0xB76CBD5EE7715D38, "lootcachespawncontents" },
    { 0xE87BEACF513F70FE, "lootcacheused" },
    { 0xC56663225FBF3525, "lootchopper_cleanup" },
    { 0xE4096D35194A7B1E, "lootchopper_createobjective" },
    { 0xA30D6FB685EDBEC4, "lootchopper_droploot" },
    { 0x159AB9A0BAB804AE, "lootchopper_finddroplocation" },
    { 0x1F14F462F0D1D90B, "lootchopper_findunoccupiedpatrolzone" },
    { 0xF0D1B84337CFB676, "lootchopper_getattackerdata" },
    { 0x34CC89C279CCC38C, "lootchopper_getspawnlocations" },
    { 0x29BBDDDA4F7B021E, "lootchopper_getzonebyindex" },
    { 0xDCD2183DC40B4568, "lootchopper_handledeathdamage" },
    { 0x9C5AC7F0B9682D69, "lootchopper_initcircleinfo" },
    { 0x5FE85B1323F1759C, "lootchopper_initspawninfo" },
    { 0x3C9075A05FCA1048, "lootchopper_isnearbyoccupiedspawns" },
    { 0xB7A0D8F9524680F8, "lootchopper_managespawns" },
    { 0x22129047608C4FE0, "lootchopper_modifyweapondamage" },
    { 0xB4697AE69000B3DC, "lootchopper_oncrateuse" },
    { 0xB6313F692C39F0DB, "lootchopper_patrolzone" },
    { 0xA2F5BE81EFCB40E2, "lootchopper_postmodifydamage" },
    { 0x9B3E17D5BABC25E7, "lootchopper_premodifydamage" },
    { 0xCF6BA649002D4EE8, "lootchopper_setupdamagefunctionality" },
    { 0x9A3C9983E5F0A416, "lootchopper_spawn" },
    { 0x4CB0B13BDED789CF, "lootcontentsadjust_accesscardsred" },
    { 0xDAF41CBE1FEACAC4, "lootcontentsadjusteconomy_bottomtier" },
    { 0x7AE733F63C814B06, "lootcontentsadjusteconomy_toptier" },
    { 0x7DCB14145B67A61F, "lootcontentsadjustkillchain" },
    { 0xB3E04BB6D96D4622, "looted_by" },
    { 0x565C171A11DC1274, "lootforcearmordrop" },
    { 0x0E679AA4409DEFF9, "lootfunc" },
    { 0x7BABE21D5711BBC1, "lootfuncandnotification" },
    { 0x5C749D35C1546EE3, "loothide" },
    { 0xF2A93F79DD61377E, "lootid" },
    { 0xC92662EE8DB0C659, "lootidtoindex" },
    { 0x78659795A3607B69, "lootleaderinstance" },
    { 0x612E0002A974C0F6, "lootleadermarkcount" },
    { 0x22081FE844AE88D4, "lootleadermarks" },
    { 0x9D0AF569428AF886, "lootleadermarksize" },
    { 0x9B75800A32923913, "lootleadermarksizedynamic" },
    { 0x403ED9B0FA8A7F32, "lootleadermarksontopteams" },
    { 0xFBED33053998C209, "lootleadermarkstrongsize" },
    { 0x13412F6DF2010B69, "lootleadermarkstrongvalue" },
    { 0x645953D0E92152EA, "lootleadermarkweaksize" },
    { 0x559B0A3769511708, "lootleadermarkweakvalue" },
    { 0xB4BACF54459F268C, "lootleaderoneperteam" },
    { 0x07BEDE987FF39B97, "lootleaders" },
    { 0x6A858499960B0432, "lootleadersprev" },
    { 0x88820AD1201F077F, "lootmarkerthink" },
    { 0x34227F73276150D8, "lootnearbyitems" },
    { 0x280AA9967A11DE61, "lootoffhand" },
    { 0xE11C65339D0E19A4, "lootoffhandhack" },
    { 0x83CDE4D193D16D81, "lootpassivesstructs" },
    { 0x0CE275BD44E9DAC6, "lootsource" },
    { 0x29CEEE243095E315, "lootspawnitem" },
    { 0xFA2BE386673D32F1, "lootspawnitemlist" },
    { 0x564709FE5709F395, "lootstruct_offsets" },
    { 0x4553184434848C72, "lootused" },
    { 0x8B582E9486D3D077, "lootweaponcache" },
    { 0xD81C22F614A64C9D, "lootweaponrefs" },
    { 0x470E47042B50CB11, "los" },
    { 0x70D0AFDA97268AD2, "los_req" },
    { 0x269763B2B597BF60, "loscheckoffset" },
    { 0xE6B26B75E10E66B7, "loscheckpassed" },
    { 0xFF9B18E4E0076ACA, "loschecktime" },
    { 0xED489FE77E3F4FB1, "losersinteractable" },
    { 0xBE752E6A36DB87C8, "losfov" },
    { 0xABFB6EE3C87A7050, "losqueuehigh" },
    { 0xFE702CCD663656AC, "losqueuehighindex" },
    { 0x05480DDF7DDF45EE, "losqueuelow" },
    { 0x2CC964D569375BB2, "losqueuelowindex" },
    { 0x80B580BCD2579B51, "lossendgame" },
    { 0x9531932B42AF4F1F, "lost" },
    { 0x29554379180C0510, "lost_and_found_ent" },
    { 0x30A903CAD4ECE85B, "lost_and_found_primary_count" },
    { 0xA370294AD918BBFB, "lost_and_found_spot" },
    { 0xE106AE9E843EF595, "lost_player" },
    { 0xD087877B6EB62571, "lostlocktime" },
    { 0x6D8D9FDBF935597F, "lostsightlinetime" },
    { 0xAA50845DB8ED50A3, "losttargettime" },
    { 0xC8B60BC2C369DC6B, "lotus_bomber_logic" },
    { 0x45859BEAE7E15856, "lotus_bomber_track" },
    { 0x12FD786984A714A3, "lotus_decho_audio" },
    { 0x5DE0CA0BB6A91A7B, "low_cover_combat_areas" },
    { 0x64B3B0F1563E4CC8, "low_cover_combat_setup" },
    { 0xBBA45AFC107099BE, "low_entry" },
    { 0xD82FE382418523AE, "low_on_ammo" },
    { 0x82F78AC29E7660AA, "low_priority" },
    { 0x8E5F9C7755ED9D60, "low_roof_enemy_watcher" },
    { 0xDF8ACF42733E6761, "low_threshold" },
    { 0x216E8154A12CD093, "lowalpha" },
    { 0x89F77A54111C721F, "lowarmorthreshold" },
    { 0xE7AB94DF3CAA4C1A, "lowcovervolume" },
    { 0x78C5EE3BB280CFAA, "lower_airlock" },
    { 0x43E5F47106EB8443, "lower_door" },
    { 0x6E0ABF5DF533517E, "lower_door_coll" },
    { 0xFDCCDD23E9B6CF31, "lower_door_geo" },
    { 0xFB54581D652F5733, "lower_floors_scriptables" },
    { 0x9B6000FA0309B251, "lower_level_jugg_properties" },
    { 0xF50C5A4CE6406660, "lower_level_plane_combat_start" },
    { 0x99C9542CAC7A6A5C, "lower_target_when_close" },
    { 0xEFDBDBFC0304D8A2, "lower_team_move_courtyard" },
    { 0x9E422802599321F5, "lower_weapon_damage" },
    { 0x010352B1A0C5F137, "loweredreacquiredtime" },
    { 0x249A3E5680BC5A86, "lowerlimitcornersights" },
    { 0x559B69327723F712, "lowerlimitfullsights" },
    { 0xD42467D863135E8D, "lowermessage" },
    { 0x4CB415BAB219D578, "lowermessagefont" },
    { 0x9F6F5EE1E399E89A, "lowermessages" },
    { 0x463197945644FDB3, "lowermessagethink" },
    { 0xC2598B942661C889, "lowertextfontsize" },
    { 0x7DF32367BF71529C, "lowertexty" },
    { 0xAD51E94E24544069, "lowertextyalign" },
    { 0x2EC7090FF3E4E9EF, "lowertimer" },
    { 0xE51379AA122957EF, "lowestavgaltitude_evaluate" },
    { 0x5C700EA36589DCD0, "lowestcoverstanddeployposeis" },
    { 0x87E912E4B2FBD996, "lowestgameskill" },
    { 0xD0848217029D5048, "lowpopallowtweaks" },
    { 0x95BA37D5596558B0, "lowpopcheck" },
    { 0x127B08BE570E51D4, "lowpopstart" },
    { 0x31EA77A3CCC05EE1, "lowresbackground" },
    { 0x715D5723334549C2, "lowventcovers" },
    { 0x3223D88F36F413F5, "lpcfeaturegated" },
    { 0x6570189D82ABEB04, "ls_anims_init" },
    { 0x3B0F30A45F31B040, "ls_sunfill" },
    { 0x14186B7D5A470AB6, "ls_sunfill2" },
    { 0xCE483178F59E7A09, "lt" },
    { 0x09E8D32125493F9A, "lt_attic_start" },
    { 0x46CA5D7C249FD487, "lt_backyard_intro_start" },
    { 0xD98D485AE54F4336, "lt_backyard_start" },
    { 0x2916EE69379B6291, "lt_ceiling" },
    { 0xF2DEF3D50D891581, "lt_charge_explosion_02" },
    { 0x0F0FE8FC903CE60C, "lt_dining_room_start" },
    { 0x5A9ABB39FFA5B216, "lt_embassy_roof_start" },
    { 0x7ABBF9ED07D90300, "lt_end_fill1" },
    { 0x7ABBFCED07D90999, "lt_end_fill2" },
    { 0x7ABBFBED07D90766, "lt_end_fill3" },
    { 0x33BD22CC4BDD17EF, "lt_end_key" },
    { 0xC9192DCB420EBF90, "lt_end_rim" },
    { 0x511F5702466F6F13, "lt_end_rim1" },
    { 0x98266EFF08876171, "lt_end_rimvol" },
    { 0x14511A132DB9DDEE, "lt_escape_start" },
    { 0x37F8071CDB8041D8, "lt_fill_farah" },
    { 0x613BC7FD9DF1B5BC, "lt_fourth_floor_start" },
    { 0x60B3AC4CB91DCD45, "lt_garage_keycard" },
    { 0xA9868CA418A6160B, "lt_infil_helicopter_start" },
    { 0x8DD68F5490B967B9, "lt_interior_main_start" },
    { 0x14E088344CBF0F14, "lt_intro_fill" },
    { 0x8B5EE14DAB2CCBA7, "lt_intro_rim2" },
    { 0xAD4A5F9BF51C3745, "lt_kitchen_start" },
    { 0x64FFD1C48C95C133, "lt_price_attic_key" },
    { 0x2510D70E47EEF470, "lt_price_attic_laptop" },
    { 0xFA7FC4C382EFAEC4, "lt_price_attic_rim" },
    { 0x685E5DDC81C52171, "lt_room" },
    { 0x5F8F09086FB1AFCD, "lt_safehouse_mic" },
    { 0xABED8E0239C94DFF, "lt_saferoom_wolf_off" },
    { 0x1A5F2C2A4AACC2FB, "lt_saferoom_wolf_on" },
    { 0x05D5EC40E11F738C, "lt_second_floor_start" },
    { 0x5071ACFA72AB6EC5, "lt_stairtrain1_start" },
    { 0x676392CE7104D104, "lt_stairtrain2_start" },
    { 0x7014DC40F6BA6EB3, "lt_stairtrain3_start" },
    { 0x40C0047BA840FDE6, "lt_start_fill" },
    { 0xC835835B688F0606, "lt_start_key" },
    { 0x16BCE2814D0B882D, "lt_third_floor_start" },
    { 0x286504D664A63822, "lt_truck_crash_start" },
    { 0xC4FEA8671E3F8474, "lt_tunnel_fill" },
    { 0x827A546E9FA8105B, "lt_tunnel_fill_farah" },
    { 0xD282F32941FDAA65, "lt_tunnel_fill_hadir" },
    { 0xD78AA4902ED7FE70, "lt_tunnel_omni" },
    { 0x3AEF9B50CCB5289A, "lt_wall" },
    { 0x1BB60CC7D80075A3, "lt_windowfill" },
    { 0x6A5AF404DB9BF051, "lua_objective_complete" },
    { 0xAB0C5889A1CB07A2, "lua_objective_incomplete" },
    { 0x8749D0417C91BD8C, "lua_progress_bar_think" },
    { 0x867E3CF0188FC167, "lua_progress_bar_think_loop" },
    { 0x33C8982CBB374A2C, "lua_string_index" },
    { 0x9C6A781CB2AB1096, "luahud" },
    { 0x67B60013FC8D3FAE, "lui_callbacks" },
    { 0xEA1C17B32BA2753F, "lui_notify_callback" },
    { 0x070B30CD9D10D788, "lui_registercallback" },
    { 0x15D9D9B2AB96F114, "luinotifylistener" },
    { 0x9EAD021828620D47, "luinotifyserver" },
    { 0x65C9A81248FFADC6, "luinotifywatcherforcpsystems" },
    { 0x4B609A0C37EFDAB6, "lumber_danger_path_taken" },
    { 0x50BFF4FF3A587819, "lumberyard_suicide_truck_speed_manager" },
    { 0xEE4776FA8B5B7470, "lvgmerge" },
    { 0x9D16BB70394F4FDB, "lvgthinpush" },
    { 0xEC97AAD73E1A4658, "lvgthinstable" },
    { 0x473636042B7D163D, "lvl" },
    { 0xCE483B78F59E9007, "lz" },
    { 0x35D0F2D333D8CC01, "lz_struct" },
    { 0x528C8FA1D7DF5B36, "m_bfiring" },
    { 0xC4F733DBC4E380C8, "machete_struct" },
    { 0xAD7C62D83D887300, "made_sound" },
    { 0x5E80B754D846CAAE, "madeavailabletime" },
    { 0xCEBB1A35EC77223D, "madedamageable" },
    { 0x0F8C34F09010C1E7, "maderecentkill" },
    { 0x365912041E435458, "mag" },
    { 0xC697CD2A90E28CE6, "mag_array" },
    { 0xB22470600C0B5FB6, "mag_eject" },
    { 0xC51073584B16B592, "mag_eject_left" },
    { 0x994BAF58729FD47C, "mag_size" },
    { 0xC6D00F8A060B5F7F, "magazine" },
    { 0x47520D26CBADD160, "magazinevarindex" },
    { 0xA7B118FC05606C37, "magcount" },
    { 0x3EC3C4886A2A9ADC, "magic_bullet_death_detection" },
    { 0x3A332C6601AD60F7, "magic_bullet_safe" },
    { 0x517B409AA7617907, "magic_bullet_shield" },
    { 0xCEF9AB53BADB8EFF, "magic_bullet_volley" },
    { 0x1F871257C070E9CF, "magic_clip_fix" },
    { 0x2B0A03322901676A, "magic_distance" },
    { 0xDDDD0AEBFEAC91B3, "magic_flare_launch" },
    { 0xF0CA6EEEC7F8FEA8, "magic_flash_enemy_vo" },
    { 0x15E709FDACFD2246, "magic_grenade_chance" },
    { 0x6FA71F88F7E50DBE, "magic_grenade_launch_think" },
    { 0x87E07E259E384689, "magic_grenade_toss" },
    { 0xC1F9308E91036F62, "magic_grenades" },
    { 0x5681CB478F0F84D1, "magic_gun_clear_target" },
    { 0x42691C73E4356CF7, "magic_gun_create_weapon" },
    { 0xE25AE75DA4431891, "magic_gun_delete" },
    { 0xBC7C40333CE0164A, "magic_gun_fire" },
    { 0x817D0B2808D9A5D8, "magic_gun_search_around_ent" },
    { 0x832A46F98CF11126, "magic_gun_set_target" },
    { 0xF85A2607C6CBFF6E, "magic_gun_set_tracking_speed" },
    { 0x2EFF9AE0183401C8, "magic_gun_stop_firing" },
    { 0x03E227EE37154595, "magic_gun_stop_search_around" },
    { 0xA81591C2DFD7B44E, "magic_gun_stop_tracking" },
    { 0x97A23CF97BB712FB, "magic_gun_track_ent" },
    { 0x1A3856F82760097A, "magic_heli_fire" },
    { 0x46B83049C3303382, "magic_heli_fire_target" },
    { 0x7BCEE5967BF6730B, "magic_heli_squibs" },
    { 0x31ED31ECDC64D48C, "magic_molotov_fake_think" },
    { 0xDC60AE58967EDA46, "magic_molotov_think" },
    { 0x8BFC16ECF8681A4E, "magic_rpg_ending" },
    { 0x3DF330CB78CA3B53, "magic_rpg_trig" },
    { 0x9302EE31E1442CC4, "magic_shield_fake" },
    { 0x6606AB302DC9450C, "magic_smoke_launch" },
    { 0x830C0895DA83780E, "magic_weapons" },
    { 0x38715CB55BC22DF0, "magicbullet" },
    { 0x26C78969C2C986E9, "magicbullet_burst" },
    { 0x7D64925DCD28B314, "magicbullets_at_window" },
    { 0x22E707DB087AA60E, "magicgrenade" },
    { 0x9A10E3E7BF8B0740, "magicgrenademanual" },
    { 0xBD2CC2681554E660, "magicreloadwhenreachenemy" },
    { 0xC92DD50E8E081414, "main" },
    { 0xA33977C12ADBC420, "main_basement" },
    { 0xF113D9D191AD866F, "main_basement_tunnel" },
    { 0x5278C586EEAF5D49, "main_breached_gate" },
    { 0x556F31A5B771D8E6, "main_cast_dialog_actor_check" },
    { 0xF1860D93D2FE89B6, "main_coldopen_bink" },
    { 0x42E35270A29B82AA, "main_collapse" },
    { 0x848F7E670BE79A98, "main_comp_1f" },
    { 0x848BA0670BE3EF87, "main_comp_2f" },
    { 0x84877E670BDFAEEA, "main_comp_3f" },
    { 0x1A6242A197590734, "main_door_nag" },
    { 0x678CB6FB75D89983, "main_downstairs" },
    { 0x8BBAEDAB654DBF03, "main_driver" },
    { 0x51C3ADBE6851077D, "main_intro" },
    { 0x57E3DD069B8D434E, "main_lb_infil" },
    { 0x71B05D3E96CD3413, "main_lb_unload" },
    { 0x6FBAE877AD4A7B2A, "main_mine" },
    { 0x958FCA299330D0EC, "main_mp" },
    { 0x19F22A51FC2157B7, "main_passenger" },
    { 0x4EF9F02A688F1023, "main_reunion" },
    { 0xEC005300E5A77EF3, "main_shaft" },
    { 0x55F1773A4F73E87A, "main_storage" },
    { 0x693C270C2D4BEC35, "main_storage_oil" },
    { 0x0CAF9B24BD59211D, "main_storage_split" },
    { 0x5B6FCB5E8E9CB26D, "main_tea_room" },
    { 0xEFAD069427BD9315, "main_thread" },
    { 0x500E5EFAC44ACA1C, "main_truck" },
    { 0x023752B562688D9B, "main_truck_compromise" },
    { 0xE14FCC19782BA7B0, "main_turrets" },
    { 0x0193B0CFE0607FCA, "main_vehicle_interact" },
    { 0xE8C7A3727BCF21F5, "main_wolf" },
    { 0x30927CD30C04C21C, "maindoor" },
    { 0xD7B45604ACFB74BB, "maindoor_damage_watcher" },
    { 0xDA3B311326198EB0, "maindoorcleanup" },
    { 0x064FAEFFD05B6435, "mainhouse_intel_sequence" },
    { 0xE58B6DE949E00CF6, "mainpiece" },
    { 0xFCAE27DFE477A1DC, "maintacops" },
    { 0xC607F4E47CE89ACE, "maintacopsinit" },
    { 0x75910C7F06C903AC, "maintacopspostinit" },
    { 0xD5772D2B844F32B4, "maintain_speed_with_player_vehicle" },
    { 0x94BD8450A739D69E, "mainturret" },
    { 0xB31BE177CF09302B, "mainturret_attack" },
    { 0xB38ABADD1EE3CFA9, "mainturret_idle" },
    { 0x9F4CC1A05088CCBC, "mainturretchild" },
    { 0x68A39686D1594DC4, "mainturretinit" },
    { 0x8BFDE42876A9181B, "mainturretoff" },
    { 0xB7A0A99C7DB5CBB7, "mainturreton" },
    { 0xFB0592053590A639, "maintvdestructibles" },
    { 0x8D3FA34BA72F55C1, "majoritycapprogress" },
    { 0x01D028EA568E5388, "make_ac130_drone_config" },
    { 0xD5A11E656C31E8F8, "make_ai_normal" },
    { 0xBE376007399A6343, "make_ai_story_only" },
    { 0xCAB1449823A152A3, "make_ai_usable" },
    { 0x0D5EBF77509CFCEE, "make_airlock_interactions_usable" },
    { 0x4A076A350F68F4FC, "make_alias_group" },
    { 0x2A109865B04A5DAD, "make_all_doors_solid" },
    { 0xA9C542E00A955F4F, "make_all_oscilloscopes_usable" },
    { 0xEE678C2189E2373B, "make_allied" },
    { 0x6EB9E1F2E9F679D5, "make_armor_target" },
    { 0x9E20C1C86ACDB1D1, "make_array" },
    { 0x2D228F7A821A639E, "make_bomb_detonator_interact" },
    { 0xF16501DC99F61594, "make_building_ai_excluder" },
    { 0x8289B831CB174C7A, "make_bulletdrop_weapon" },
    { 0xC8E7C35E3AFDBC5A, "make_c4_pick_up_interact" },
    { 0x51CB7C3EAEA8FA4D, "make_camera_anchor" },
    { 0x8CB78C6C335ACED2, "make_camera_point" },
    { 0xBDE3464BE98F9ACF, "make_chair_ai_spawner" },
    { 0xD89C16A94679BB95, "make_chopper_boss_look_at_ent" },
    { 0x1DC43C2AAA7D5A9F, "make_civ_usable" },
    { 0x1AC57103BD66CC10, "make_civs_flee" },
    { 0x06B79E2FD207C25F, "make_collection_config" },
    { 0x8D51981508F3D49B, "make_combat_icon_on_ai" },
    { 0x8D51831508F3A66C, "make_combat_icon_on_at" },
    { 0x971A794B3ECA93E1, "make_control_station_interaction" },
    { 0x02AA3BDFCD372B1A, "make_critical_target_icon_on_ai" },
    { 0x04217052260302D8, "make_cruise_missile" },
    { 0x07DA00ED0275E6CA, "make_cruise_missile_target_ent" },
    { 0xE2CB1DB695882403, "make_cruise_missile_warhead" },
    { 0x8A48BD41BA7CD5D3, "make_cruise_missile_warhead_target_ent" },
    { 0xF2C261D53EEEEFDB, "make_debris" },
    { 0xAD778EBBC75A3704, "make_discrete_trigger" },
    { 0x226DE0EE5D86C6EA, "make_each_objective_scramble_radar" },
    { 0x967A98435E6A4019, "make_emp_config" },
    { 0x3BB2242AF55C250E, "make_emp_drone_pick_up_interact" },
    { 0x0729DC6BD55E639B, "make_enemies_ignore_you" },
    { 0xC39F8A209339EAB4, "make_entity_sentient_cp" },
    { 0xC3B98E2093561C8A, "make_entity_sentient_mp" },
    { 0x832B4D1A877CDAAF, "make_exhaust_affect_players" },
    { 0x0384E89783E8BACF, "make_fake_character_model" },
    { 0xD623E8CEA8996B28, "make_false_positive_dots" },
    { 0x52F1AEE6BC28EE63, "make_fly_struct" },
    { 0xB4F937EE2D6075F9, "make_focus_fire_headicon" },
    { 0x4F572B6F636D058D, "make_focus_fire_icon_anchor" },
    { 0xF66C674E93587751, "make_focus_fire_objective" },
    { 0x32652E870831341C, "make_guys_leave_truck" },
    { 0x14F0A02B7A7516FD, "make_hb_pick_up_interact" },
    { 0x02DFDE36D76F7B4C, "make_headicon_on_ai" },
    { 0x03530B0C1AA024C7, "make_heli_blade_patch_clip" },
    { 0xB6B81530C481D3AD, "make_hostage_drop_override_data" },
    { 0xC81EF4D89F2E34D3, "make_hostage_extract_objective" },
    { 0x5E41717FBB4E581E, "make_hostage_usable" },
    { 0x14EB1DA86D6037CA, "make_hvi_usable" },
    { 0x2B010FCF3DBB4657, "make_incendiary_shottie" },
    { 0x830D97EF8D421EF3, "make_informant_usable" },
    { 0xBAD8CB72F32F4EB7, "make_intel_model_usable" },
    { 0x390F1BA705095DCC, "make_interceptor_missile_target_anchor" },
    { 0xCD38E0354873DE52, "make_javelin_ammo_refill_interact" },
    { 0x71CE9367F3A3E8FA, "make_javelin_interact" },
    { 0xC7F0F2BEE93A0321, "make_javelin_model" },
    { 0x0E0AA9DE20825A7D, "make_laser_shutdown_interact" },
    { 0x11A4F9C4183C9C37, "make_light_flicker" },
    { 0x77129AE36C137AA6, "make_light_pulse" },
    { 0xAECAE3F0EA29929D, "make_outline_ents" },
    { 0xD37A39D288D6C026, "make_path_node_on_circular_path" },
    { 0x4B2C5C65371FAB76, "make_picc_sniper_weapon" },
    { 0x4954563B85B51C6A, "make_pilot_invincible" },
    { 0x67FBEEC4D1DB7456, "make_place_c4_interact" },
    { 0x45FC8E45C000ED93, "make_player_and_price_non_story" },
    { 0xFC6F002D70AFD56A, "make_player_and_price_story_only" },
    { 0x54ADF508438C8711, "make_price_ar" },
    { 0x823ACD8B98B21BC9, "make_price_pistol" },
    { 0xB91BA11B6059179C, "make_price_rifle" },
    { 0x6D154B3D9A2AF692, "make_randomized_slot_index_list" },
    { 0x9DCBF1DA0E2FBDF8, "make_real_ai_think" },
    { 0xAA42653DE28D0D76, "make_reaper_drone" },
    { 0xF93A4C489B32D8B6, "make_reaper_missile_target_ent" },
    { 0xF42A3DC4871EEE30, "make_room_and_activate_trigger" },
    { 0x7E7534FCF79C3CB6, "make_room_for_ai" },
    { 0x907612E5EF7B0FA1, "make_scout_config" },
    { 0xB886FA59BA3502D6, "make_scout_detonate_config" },
    { 0xC3F69C9216675D54, "make_script_model_civ" },
    { 0xA324F2C2C990AFA1, "make_script_model_civ_child" },
    { 0xD1379CDFB42C37A6, "make_script_model_civ_child_female" },
    { 0xBF94546F00A4AA6D, "make_script_model_civ_female" },
    { 0xF984A0A2D24E44AE, "make_script_model_civ_wh" },
    { 0xDDD3A74854478437, "make_script_model_russian" },
    { 0xBEE71676AC0F3B1E, "make_silencer_pick_up_interact" },
    { 0x9C40BBA3B2646C78, "make_sniper_bullet" },
    { 0x91EF4D3C22860FAD, "make_solution_struct" },
    { 0x11B4C2CE8472F21E, "make_stealth_meter_on_ai" },
    { 0xF9B70CA020B61678, "make_suicide_truck" },
    { 0x735EC558E8E738FC, "make_sure_loot_is_visible" },
    { 0x944F21C8FA19BEE3, "make_tag_origin" },
    { 0x4CC6471201FD1614, "make_team_and_slot_number_struct" },
    { 0x724AF9DA38114FDB, "make_team_id_one_team_and_slot_number_struct" },
    { 0x38B55DC476B63801, "make_team_id_zero_team_and_slot_number_struct" },
    { 0x488AFDD13AFF1677, "make_traindoors_outlines_disabled_ks" },
    { 0xF6DE33F9CCA819FA, "make_trophy_explosion" },
    { 0xE1325C6A36235220, "make_turret_lmg_config" },
    { 0xBF478DA8DE3DCD89, "make_turret_minigun_config" },
    { 0xCEF0ECD9808330AF, "make_turret_sniper_config" },
    { 0xAD6413A29CBAAD59, "make_turret_wheelson_config" },
    { 0x80FDDDA6FC360F51, "make_usb_model_usable" },
    { 0x529BE29FA36282AE, "make_use_prompt" },
    { 0x1878A06D796F89C4, "make_vehicle_seat" },
    { 0xC987FF315B995ADB, "make_visible_notsolid" },
    { 0x71F33EEF96C4662E, "make_visible_to_missile_defense_player" },
    { 0x8342D349A40123E0, "make_weapon" },
    { 0xF9A9FBE343B0338E, "make_weapon_and_attach" },
    { 0xA1F6EE7AC07A0EA2, "make_weapon_model" },
    { 0x9C681AE3EC0FD95A, "make_weapon_random" },
    { 0xB3F00B5327BB9F08, "make_weapon_special" },
    { 0x7C30F6C7E3BFBD7C, "makeac130flyaway" },
    { 0x2822A9DDCA97EA49, "makeallies" },
    { 0x14B184AF7372E904, "makeallplayerstatsreadonly" },
    { 0x30C61665E8BCDD16, "makeallplayerstatswritable" },
    { 0x91EA328853B97D56, "makealtweapon" },
    { 0xDEF57C2F41290D20, "makearray" },
    { 0x6C9EE1720D5021C3, "makebrowinner" },
    { 0x41432E192A11E328, "makec130pathparamsstruct" },
    { 0xF5A92AC0FF87497E, "makechopperseatplayerusable" },
    { 0xBEB4A42B6DD26136, "makechopperseatteamusable" },
    { 0xB20AA8605B19F156, "makecollidewithitemclip" },
    { 0xBB0274C3BA779683, "makecorpse" },
    { 0x7FC8794CEE3F4997, "makecranked" },
    { 0x15172132C2467B75, "makecrateunusable" },
    { 0x44DB87C106D2450E, "makecrateusable" },
    { 0x526C68BF7C813460, "makecrateusableforplayer" },
    { 0xAFB70009FFDAD8EE, "makedamageable" },
    { 0xDBAD6D270EEA7F5B, "makedroneguardscrambler" },
    { 0x3D192FF7C8C45F2D, "makeenemyusable" },
    { 0x411F5EDE0CCD95E1, "makeenterexittrigger" },
    { 0x37EF5C04D3C15FA8, "makeentitynomeleetarget" },
    { 0x963D4EF848D1ED5E, "makeentitysentient" },
    { 0xC17008111457772D, "makeexecuteentity" },
    { 0x1EA84994B691CB28, "makeexplosivetargetablebyai" },
    { 0xEBB9FDFF7F518F8D, "makeexplosiveunusable" },
    { 0xE71682CF3AECB6C0, "makeexplosiveunusuabletag" },
    { 0xAE8988C30A9C6E96, "makeexplosiveusable" },
    { 0x0181D055F16AC26B, "makeexplosiveusableinternal" },
    { 0xB3466387C6470A06, "makeexplosiveusabletag" },
    { 0x174870869E66AD31, "makeextractionobjective" },
    { 0x5D1AE6D79F225F68, "makefakeai" },
    { 0x183CC7A338277894, "makehelipath" },
    { 0x43221D04700D3E2B, "makehelitype" },
    { 0x0B72E094FCAD2FB7, "makeitemfromcrate" },
    { 0x924DDB2E4279AD83, "makeitemfromequipname" },
    { 0x5FDE9F53EAAB77E8, "makeitemsfromcrate" },
    { 0x348275FC40C164D5, "makejailknifeatprisonspawn" },
    { 0x9E09E928F775B932, "makekillcamdata" },
    { 0xBE802068FC2F9428, "makekillstreakavailable" },
    { 0x78E0AE715CFA94FD, "makelaststandinvuln" },
    { 0x31FC864B0A83FA95, "makelzextractionvisuals" },
    { 0x58AD52728899BEFA, "makenewpod" },
    { 0xB33D089984FBD0CE, "makenukeweapon" },
    { 0x50C12A8C7662916F, "makepathparamsstruct" },
    { 0x8E8A6284B000B96D, "makepathstruct" },
    { 0xF2B6F3E4DE58DD6E, "makepersonalweaponfromcrate" },
    { 0xE34A242F6FB4BD93, "makepickup" },
    { 0x082F3304B03E1E98, "makeplayercranked" },
    { 0xD0643222FB028689, "makeplayerstatgroupreadonly" },
    { 0x8D7C10A1ADE515A3, "makeplayerstatgroupwritable" },
    { 0xE391C51749E4BA1E, "makeplayerstatreadonly" },
    { 0xE0B090AC01EAE648, "makeplayerstatwritable" },
    { 0x56C1537EFC753438, "makeportableradar" },
    { 0xBBDA0E2E8411DB68, "makeradioactive" },
    { 0x1B4801E2383F9043, "makeradioinactive" },
    { 0x8306FC2AAF0DA7B1, "makerallypoint" },
    { 0x2C59DE3042040B81, "makereviveentity" },
    { 0x5F2EDCF82F42356F, "makereviveicon" },
    { 0x7B77BB30682383F8, "makereviveiconentity" },
    { 0xBE6FA82AC815480F, "makereviveteamusable" },
    { 0xD6BB687D194EBE07, "makesafehouseclipsolid" },
    { 0xE545F16822C65F8A, "makescrambler" },
    { 0xC5B544D290D7AA26, "makesolid" },
    { 0xE1D17B93700838A6, "maketeamusable" },
    { 0x0585921EAFA4A18C, "maketerrorists" },
    { 0xBA79FA0D16F114A6, "maketurretinoperable" },
    { 0x69EB22C39445E14D, "maketurretoperable" },
    { 0x600F9A09F8A95B80, "makeunusable" },
    { 0x5E03F3D2F6B324F7, "makeusable" },
    { 0xEAFFB33F6C633388, "makevehiclesolid" },
    { 0x027105C762E67937, "makevehiclesolidcapsule" },
    { 0x5946F996F4FB1B3D, "makevehiclesolidsphere" },
    { 0xB12F8D416DD22E3B, "makeweapon" },
    { 0xC22FE935D6CEC8EE, "makeweaponfromcrate" },
    { 0x2D875F7FD1CCBEC2, "makeweaponfromstring" },
    { 0x379BDFAD4AA9514D, "manage_fake_health" },
    { 0x1B6958FC699E0364, "manage_fakebody_hides" },
    { 0x8A66A6D9D37B999F, "manage_health_stage_allows" },
    { 0xDA367A0A8C270666, "manage_oscillation" },
    { 0x650FE528AFE9852F, "manageafktracking" },
    { 0x2B3DE65457FD3484, "managebus" },
    { 0x45EB6EE58217B239, "managec130spawns" },
    { 0x3501904D27B1043E, "managecontrolledcallbacktimeout" },
    { 0xC54D697E25428953, "managecurprogress" },
    { 0xEE92E94557D1B01C, "managedropbags" },
    { 0xDDA7191E12E02376, "managedroppedents" },
    { 0xCD273E78CFDF8929, "managefists" },
    { 0x6080E8F2DF866E2D, "managegate" },
    { 0x4B6D1F73545C64DA, "manageheadicons" },
    { 0x6D1CD92A42ECDD64, "manageinteractivecombattargets" },
    { 0xBF9CCDD5699CB26F, "manageinteractiveslowmo" },
    { 0x4A22774E17DC4DEA, "managejumpmasterinfodisplay" },
    { 0x7380523973FC3881, "managelightbarstack" },
    { 0xB57D53BFD82D660A, "managelink" },
    { 0x0189B26AB9CC8A1D, "manageminigunpickup" },
    { 0xC28B840AC67CE55E, "manageoutlineactive" },
    { 0x0E6D6F4AC3C35D40, "manageoutlinecleanup" },
    { 0x3969FC744B4FD48D, "manageoutlines" },
    { 0xE51799BF5C6FAA1D, "manageoutlineswatchplayersaddedtojail" },
    { 0xC4E9659598F3EA3A, "manageovertimestate" },
    { 0x88BC3AE8A4615621, "manageparachute" },
    { 0xC6BB2B88573CCFF6, "manageplayerindarkvolume" },
    { 0xF1D6C88ACE3E00F8, "manageplayerregen" },
    { 0x20711DDBFE9F9FC5, "manageposarray" },
    { 0x77267DAC71C5AECA, "managepowerbuttonuse" },
    { 0x27FBA936B17BB9DA, "manageprematchfade" },
    { 0xB10141748FA73049, "manager_thread" },
    { 0x8C1E03957A25B00D, "managereloadammo" },
    { 0xF8CD08695CBE1F3C, "managerespawnfade" },
    { 0x724483BD8A826F2E, "managespawnprotection" },
    { 0x0C6C7FA4000E83E7, "managespotteromnvars" },
    { 0xB6E0A4AEF6443F00, "managesquadcameraposition" },
    { 0x538311F67A3A1511, "manageswitchhintlight" },
    { 0xC6A9AFA89838B0A5, "managetimeout" },
    { 0x306A65D67B1DF4A1, "manageuseweapon" },
    { 0xA23CB9E15F5D56B2, "managevehiclecameraposition" },
    { 0x0794A5B525F55D16, "managevehiclehealthui" },
    { 0x86C0DC4FBC284170, "manageweaponstartingammo" },
    { 0xD59A9F820BAD4114, "manageworldspawnedbolts" },
    { 0xE59E3C6C373A66D0, "manageworldspawnedprojectiles" },
    { 0xD3CE5327473A6480, "mangagedeathsdoor" },
    { 0x75507E8B7B8A0442, "manifest_music_started" },
    { 0x763A8B74017E6ACB, "manipulate_createfx_ents" },
    { 0x1BEC55E6C9D34ADC, "manipulate_ent_cleanup" },
    { 0xB618FA741711AD11, "manipulate_ent_death_think" },
    { 0x364C6D1F8E6B4B3D, "manipulate_ent_setup" },
    { 0x22988D93593D8844, "manned_turret_createhintobject" },
    { 0x1C0E0C586DE43B2B, "manned_turret_operator_validation_func" },
    { 0xC79D52E07015D700, "manned_turret_spawn_func" },
    { 0x5BF7E25993D0C2FE, "manned_turret_spawned_nodes" },
    { 0x25EC56E3A94521AA, "manpile_monitor" },
    { 0x6EB95C4C3A6B9C5F, "manpile_monitor_core_loop" },
    { 0x857091A065C161D7, "manpile_monitor_cull_fov" },
    { 0x4F0AEA57A93B3819, "manpile_monitor_cull_ideal" },
    { 0x3D6A90C9EA0D35C1, "manpile_monitor_cull_urgent" },
    { 0x8ED88804D88C39B1, "manpile_monitor_cull_weapons" },
    { 0xB0FE32C39D886BEF, "manpile_monitor_flush_all" },
    { 0x3C56B3E1000C25E5, "manpile_monitor_initialize" },
    { 0x0E6E8DEF18F76656, "manpile_monitor_print" },
    { 0x572D1C79D6332EE2, "manpile_monitor_reset_fov" },
    { 0x512A460C91BE705F, "mansion_escalation_guys" },
    { 0x46DB25824275269D, "mansion_escalation_spawn_think" },
    { 0xE34F277EA0ADFAA0, "mansion_escalation_spawnfunc" },
    { 0x74C892F43AEAF4F5, "mansion_lights_off_audio" },
    { 0xE2C3B25AB6BDD9A7, "mansion_waypoint_cleanup" },
    { 0x81068D08403A8B8F, "mansion_waypoint_think" },
    { 0x687CC6B9EE72302A, "mantle" },
    { 0x1D3015165E67ACCD, "mantle_give_viewlook" },
    { 0x3997BD5B78D375EE, "mantle_over_wall" },
    { 0x54C4E03A715446EE, "mantleangles" },
    { 0x548B479D1EFE84EA, "mantlebrush" },
    { 0xC7CCF518DF14D838, "mantlecur" },
    { 0x8C18E0EEFC59C63E, "mantlekill" },
    { 0xFCB0F1F23D73E49D, "mantleoffset" },
    { 0x5C2092B9E62CD01F, "manual" },
    { 0x6E8FD94C0E70EE4E, "manual_ai" },
    { 0xC38150C84DBFE978, "manual_change" },
    { 0xA3184D4A41DD7939, "manual_linkto" },
    { 0x70E5FCF198FD8A99, "manual_revive_location" },
    { 0x605DF09538FBCA70, "manual_shooting_logic" },
    { 0x42AF59421572AEC9, "manual_target" },
    { 0x975CB8249C9B3028, "manual_think" },
    { 0x54431C4B1552E7D7, "manual_turret_allowpickupofturret" },
    { 0x2F1856786F50B09B, "manual_turret_canpickup" },
    { 0x76145C1ED9791BA5, "manual_turret_createhintobject" },
    { 0x0A06545C28A7C87D, "manual_turret_equipment_wrapper" },
    { 0x73D4B342F84ED87F, "manual_turret_getenemyplayers" },
    { 0x963C3C25FF8CBA16, "manual_turret_gettargetmarker" },
    { 0xD6698A71B223CBB4, "manual_turret_handlemovingplatform" },
    { 0xA85F020025C90B93, "manual_turret_laststandwatcher" },
    { 0x89D0334E8EE5953E, "manual_turret_monitordamage" },
    { 0x6699862C3D45C6CF, "manual_turret_munitionused" },
    { 0x1AEA9687F35732CC, "manual_turret_operate_by_nearby_enemies" },
    { 0x1661F219053E4250, "manualadjustlittlebirdlocs" },
    { 0x639FAD77CB75038A, "manualdropthink" },
    { 0xE4230072F01FD320, "manualinitbattlechatter" },
    { 0x9245D43F161EABAA, "manuallyjoiningkillstreak" },
    { 0x74B4A1C529A3FA74, "manualoverridewindmaterial" },
    { 0x42BEEEC372B082B1, "manualpickuptrigger" },
    { 0xABFF888E9E12DB6A, "manualreviveinspec" },
    { 0x6C134BA8400DA89A, "manualspeed" },
    { 0x04D51009D4F8D442, "manualtarget" },
    { 0x2424B683B62F3B9A, "manualturret_addtooutlinelist" },
    { 0x98B924474319912A, "manualturret_applyoverlay" },
    { 0x70B02E4AFDEE7957, "manualturret_clearplacementinstructions" },
    { 0x02C7CAEC0842B596, "manualturret_create" },
    { 0x3482A3306E4A9D70, "manualturret_delaydeletemarker" },
    { 0x81EEC5EB069CE879, "manualturret_delayplacementinstructions" },
    { 0x13B325EE19BD6A49, "manualturret_delayscriptabledelete" },
    { 0x21C9D44A2A19B66E, "manualturret_disablecrouchprone" },
    { 0x927271A116EF9E2D, "manualturret_disablecrouchpronemantle" },
    { 0x0C081B7F6B826AA1, "manualturret_disableenemyoutlines" },
    { 0x18073AE5471A8E1E, "manualturret_disablefire" },
    { 0x5F4D338B90449F53, "manualturret_disableplayerdismantleonconnect" },
    { 0xA3DD884E36805E64, "manualturret_disableplayerpickuponconnect" },
    { 0xC1A53E3E7287EB6F, "manualturret_disableplayeruseonconnect" },
    { 0x5F7948F7137F72ED, "manualturret_disownonaction" },
    { 0xE2CE7AFBAF8859AE, "manualturret_domonitoredweaponswitch" },
    { 0xE495B6674D796784, "manualturret_enableenemyoutlineafterprotection" },
    { 0x0C588B1CA089CA98, "manualturret_enableenemyoutlines" },
    { 0x236D517EAE93EE75, "manualturret_enableenemyoutlinesonconnect" },
    { 0x5121762D436B5AE9, "manualturret_endplayeruse" },
    { 0xE9ED708ACC928519, "manualturret_endturretonplayer" },
    { 0x7DF594E4F5FF7171, "manualturret_endturretuseonexecution" },
    { 0x4E9EA5ABD907634D, "manualturret_endturretuseonkill" },
    { 0xB2ED94D469D918D9, "manualturret_endturretuseonpush" },
    { 0x7502A046FEA4E19B, "manualturret_endturretusewatch" },
    { 0x56A61F2F4001266B, "manualturret_handledeathdamage" },
    { 0xCFBB490943A11186, "manualturret_makealltriggersusable" },
    { 0x899920900FD76499, "manualturret_modifydamage" },
    { 0x956DBB32A75320EB, "manualturret_moving_platform_death" },
    { 0x6960EF2DCBF3EAC4, "manualturret_removefromoutlinelist" },
    { 0x3E0B0B143F4A4FE9, "manualturret_removeoutlineondeath" },
    { 0xC017E936A722FB2E, "manualturret_removeoverlay" },
    { 0xFC68AD3AD7046AE2, "manualturret_restoreoutlineonspawn" },
    { 0x11F242530E73B690, "manualturret_setcarried" },
    { 0xE297A6118BDC9077, "manualturret_setinactive" },
    { 0xE53C571A6AFB7C5B, "manualturret_setplaced" },
    { 0xD7D333C62A533D29, "manualturret_setturretmodel" },
    { 0x55CF1D2A700C7659, "manualturret_switchbacklastweapon" },
    { 0x45445C36CC6AB5EA, "manualturret_toggleallowactions" },
    { 0xACE51B7E61FF589D, "manualturret_toggleallowplacementactions" },
    { 0xD3641B3140B3EF15, "manualturret_toggleallowuseactions" },
    { 0xAEFC41FEF7C907DD, "manualturret_watchammotracker" },
    { 0x407F37BE4A3BA944, "manualturret_watchdamage" },
    { 0xD32BF3A341AEBEC1, "manualturret_watchdeath" },
    { 0x53E5E03D0A456823, "manualturret_watchdeathongameend" },
    { 0x5B52AFBFE2DD435D, "manualturret_watchdelayedpickup" },
    { 0x213B0177A66F9728, "manualturret_watchdismantle" },
    { 0xBE5699920E79781D, "manualturret_watchdisown" },
    { 0x973F1BFF3D41A931, "manualturret_watchpickup" },
    { 0xD1C55DB647AD440C, "manualturret_watchplacement" },
    { 0x4EB754729C5BD054, "manualturret_watchplayerangles" },
    { 0x52A54962E9EA96A4, "manualturret_watchtimeout" },
    { 0xEBDF4FA5018AF7CD, "manualturret_watchturretusetimeout" },
    { 0xDDB37F09563FB2E0, "manualturret_watchuse" },
    { 0x012AA172797BB296, "map_check" },
    { 0x526995E38D7EFD6D, "map_dev_name_to_actual_station_name" },
    { 0xEFE4109AAA31E1F0, "map_ent_index" },
    { 0xB31360FCB3B7BB9B, "map_extents" },
    { 0xEDD72C72D851575D, "map_height" },
    { 0x527CDD68F36FAF19, "map_interaction_func" },
    { 0x93EF8BDF4AD698BB, "map_is_early_in_the_game" },
    { 0xFC0E529B3967C9A9, "map_restart" },
    { 0x06C65DE64C25C3E2, "map_width" },
    { 0x05F8B864F5C4CE64, "mapangleindextonumpad" },
    { 0xFD8794EA3505DE36, "mapbasedobjectiverules" },
    { 0xB8B58B5F836F396C, "mapboundrycorners" },
    { 0x0FAAD981B6529710, "mapbounds" },
    { 0x92BAE2297E8634BF, "mapcalloutsready" },
    { 0xBAD4B5C29551531C, "mapcenter" },
    { 0x16CFFE3470360051, "mapcircle" },
    { 0xF8584C276F32C7FF, "mapconfigexists" },
    { 0xC697FDF85CAFE9C4, "mapconfigs" },
    { 0x28ABB03DC7BA2261, "mapcornercenter" },
    { 0x0B028255878CC451, "mapcorners" },
    { 0x71E3A1A5F3A060F7, "mapcornervector" },
    { 0x14997E732D9A73DB, "mapcustombotkillstreakfunc" },
    { 0x14C5E7C49604D566, "mapcustomkillstreakfunc" },
    { 0xE1BDE1ACC2BCE732, "mapedgeextractionlocs" },
    { 0x204A539BEBE76BA4, "mapentlookup" },
    { 0x0263FA1ABAA3DF03, "mapequipmentweaponforref" },
    { 0x66EEC298A1A5C605, "mapexists" },
    { 0x428BFA96B2FF1820, "maphint_cheese2scriptableused" },
    { 0xBB2ED61D5BA32566, "maphint_cheesescriptableused" },
    { 0xB8D229853ABD3AE6, "maphint_computerscriptableused" },
    { 0x2FBBABBE3BDC4048, "maphint_debugthink" },
    { 0x536FF2F675D5D1AB, "maphint_keypadscriptableused" },
    { 0x3EF52D5D137E1147, "maphint_offerscriptableused" },
    { 0x48371FBD31B4B64D, "maphint_phonescriptableused" },
    { 0xC98A1778DE5AFC59, "maphints" },
    { 0x94BF5792B526B09D, "maphitloctoburningpart" },
    { 0xD67DAA36745AC349, "mapmarkermodeenabled" },
    { 0xE27D1A769CE1CA2E, "mapname" },
    { 0x530CA3CA4585E0E8, "mapnamefilter" },
    { 0x2E1F1E065B9E6C21, "mapobjectiveicon" },
    { 0x238E161809770BB8, "mappatchborders" },
    { 0x9BE9A5668C27EB61, "mappedtargetsarray" },
    { 0xD80C289DCF568081, "mappointinfo" },
    { 0xA328C7DA42A915A3, "mappositions" },
    { 0xDED0450DF56D20FA, "mapsafecorners" },
    { 0x0986F6913E9DFCC8, "mapselectdircounter" },
    { 0xFCAD74B54B13062C, "mapselectpickcounter" },
    { 0x6D4754E5FC27CBA4, "mapsize" },
    { 0xF54CF71DBE875F58, "mapsupportsbasejumping" },
    { 0xEB722B3E09F580A9, "mapweapon" },
    { 0x6F6C0290D515DCFB, "marine01_check_if_in_position" },
    { 0x91E21E574072E054, "marine02_check_if_in_position" },
    { 0x7A8E6927E5AC4FC9, "marine03_check_if_in_position" },
    { 0x2BBEE5A381E1BB40, "marine_advance_faketarget_shoot_handler" },
    { 0xD4F864CACFA9F148, "marine_advance_with_util" },
    { 0x9A5429B1622CD704, "marine_aim_at_door" },
    { 0x2AC248822D515233, "marine_airstrike_bombing_run" },
    { 0x5A53DAAE043C308E, "marine_airstrike_group" },
    { 0xA1BB605848407C16, "marine_airstrike_rumble" },
    { 0x04EABADACF92E12F, "marine_airstrike_single" },
    { 0xB1469133144407E5, "marine_bedroom_clear_handler" },
    { 0xFCE82095B2DD7B7D, "marine_callsign_generate_list_init" },
    { 0x4EF1D5D7894FC19C, "marine_callsign_picker" },
    { 0x27B36DABBBC9B02C, "marine_clear_callsign_on_death" },
    { 0xD57906AF20ADF8A6, "marine_cowabunga_advance" },
    { 0xF70972B0BFB70294, "marine_cowabunga_advance_to_goal" },
    { 0x8C3C73CD8E802C9D, "marine_demeanor_control" },
    { 0x448BCD52AA98B1BC, "marine_dialog_struct" },
    { 0xFAB444FD3B9B14B3, "marine_disarm_nag" },
    { 0x78C34358156B4F58, "marine_flood_spawner_think" },
    { 0xE92EE0AAE4E05B6B, "marine_groundfloor_room_clearing_manager" },
    { 0x4FA0AE0573BD673B, "marine_house_color_handler" },
    { 0x7FBCFDB4AC180147, "marine_mg_dialogue" },
    { 0xE1DD66849B6179E2, "marine_mghouse_stackup" },
    { 0x9A16776096DDF510, "marine_path_util" },
    { 0x8BB0A7B577636834, "marine_pre_ied_disable_pushable" },
    { 0x4600785346428E60, "marine_pre_ied_disable_pushable_manager" },
    { 0xB29C9D6DD66777A2, "marine_retreat_advance" },
    { 0xEB3E28BB0EA9877A, "marine_rooftop_reach_and_idle" },
    { 0x555F39FA0CC43E2A, "marine_room_clear_node" },
    { 0x01D2920DAD731D40, "marine_set_pacifist" },
    { 0x7AC0A7C21837A09F, "marine_stairwell_respawn_monitor" },
    { 0xCA5C52F23B224334, "marine_teleport_handler" },
    { 0x3E9F033D511706A3, "marines_autosave" },
    { 0xAFE6407243B58C6C, "marines_autosave_thread" },
    { 0xBF1A2F60EAB3334C, "marines_background_init" },
    { 0x46BC58D6847B05E8, "marines_breach" },
    { 0xFD966F558452B288, "marines_catchup_to_building" },
    { 0x952F3758F76B5D19, "marines_checkpoint_forcespawn_allies" },
    { 0x093D0CDDCFF297DF, "marines_end_mission" },
    { 0x972E99F9B4A5FB4A, "marines_group_a_movement_to_alley" },
    { 0xEA7D3EF40F188E43, "marines_group_b_movement_to_alley" },
    { 0xC32C5F8684371EC9, "marines_intro_glanceback" },
    { 0xB31896802FE8FADC, "marines_lookatentity" },
    { 0x84AADDD95A4C87EF, "marines_los_checks" },
    { 0xC05138A6FAB32BA9, "marines_movement_to_ied" },
    { 0xA9CB2277B6ED8D41, "marines_objectives" },
    { 0xA2D82504EA94FB3E, "marines_player_setup" },
    { 0x226D26EA9792BF54, "marines_precache" },
    { 0xCC393E36937F275B, "marines_push_to_house_handler" },
    { 0xA9163CD33F9C6ED5, "marines_snakecam_exit_clear" },
    { 0xAD8FD773AF55B61C, "marines_snakecam_exit_cleared" },
    { 0x183F5A995602AB94, "marines_starts" },
    { 0x751BE4FB288EF7A3, "marines_stoplookat" },
    { 0xC939D58B4FD13B7A, "marines_transients" },
    { 0x9C207130CD6117ED, "marines_tripwire_defused_tracker" },
    { 0x6E4BB353222A3586, "marines_tripwire_detonation_tracker" },
    { 0xFAE0899C53F9FB1E, "marines_tripwire_monitor" },
    { 0xBDE830FB3F946FAA, "marines_wolf_takedown_cleared" },
    { 0x5C7BA0F016F265DD, "marines_wolf_takedown_hint_clear" },
    { 0x4630DA980AB64567, "marines_wolf_tripwire_cleared" },
    { 0x16CA71386817B226, "marines_wolf_tripwire_hint_clear" },
    { 0x3286727CBA212EAB, "mark_ai" },
    { 0xB5AD7D109960DC72, "mark_all_civs" },
    { 0xE7646FCCE22D17A8, "mark_armor" },
    { 0xF40649E6F47B65E9, "mark_as_bomb_vest_controller_holder" },
    { 0x4F165B4DB123F50C, "mark_available_for_hack" },
    { 0xC79732426973174E, "mark_completed" },
    { 0xBF8DFD2044024247, "mark_coop_bomb_defusal_ended" },
    { 0xA6BD886BE5B748CB, "mark_cruise_missile_as_locked_on" },
    { 0x93FF4BA574FFF71A, "mark_danger" },
    { 0x3362E8C23F724AD2, "mark_danger_timeout" },
    { 0x684C6814DE19F785, "mark_dangerous_nodes" },
    { 0xCABF49EE5150F534, "mark_detonate_targets" },
    { 0x27757FE8470721A4, "mark_emp_effects" },
    { 0x11D5C13927EBF797, "mark_enemies" },
    { 0x120362BD12A40DBC, "mark_enemies_snapshot" },
    { 0x0D53578B01C3BD3C, "mark_enemy_as_identified" },
    { 0x725D5A5EC114BCDE, "mark_event_active" },
    { 0x011088ECF33199E5, "mark_event_completed" },
    { 0x35DD94088353FA3E, "mark_group_as_killable" },
    { 0x0C609FEDDEBD7121, "mark_heli" },
    { 0x705A6327FEA02D1D, "mark_hero_as_kidnapper_target" },
    { 0x9E02702EACAA029A, "mark_ied_as_identified" },
    { 0x0C6E584DC771E789, "mark_ied_controller_as_identified" },
    { 0x7C1EF2A9D04F29D4, "mark_laser_end_ent" },
    { 0xE3799E6DFB003A5A, "mark_location" },
    { 0xE0210F460C354B23, "mark_loot" },
    { 0xA669FEA53D9121F2, "mark_never_remove" },
    { 0xD387D051B2EF7350, "mark_objective_failed" },
    { 0x1AA6D6264DDEB388, "mark_phone_guy_once_all_spawned" },
    { 0xB98C7EC5D945C2CB, "mark_player_as_sniper_target" },
    { 0x102AD62D63E4D893, "mark_remaining_as_died_poorly" },
    { 0x8E20D364825A6964, "mark_seen_this_player_this_frame" },
    { 0x0C9EAA45232CFA5D, "mark_selected_terrorist_respawner" },
    { 0xA750404700B55186, "mark_speaker" },
    { 0x4B355E35D7323F36, "mark_vehicle_as_friendly_target_group" },
    { 0xF27F25CE0E1655D0, "mark_vehicles" },
    { 0xF96259C3079EE578, "markasrelaysource" },
    { 0x6F3402FF66721F73, "markassixthsensesource" },
    { 0x96C4DB1D8B90A76F, "markdangerzoneonminimap" },
    { 0x6D2963EACC447B7F, "markdistanceoverride" },
    { 0x0A9A21CF1605D616, "marked_by_hybrid" },
    { 0x58E39AF621168A59, "marked_by_overwatch" },
    { 0x5A07F7598BE364D7, "marked_by_overwatch_scan" },
    { 0x4ACDDBDA0684B0E7, "marked_critical_enemy_ai" },
    { 0x8FF468D7300DFEA2, "marked_enemies" },
    { 0xE0ED00C3FD7E88B1, "marked_enemy_ai" },
    { 0xD9B04B9C223A9088, "marked_ents" },
    { 0x35B585178E9C4A17, "marked_for_challenge" },
    { 0x1F9D6692CD4344EC, "marked_for_death" },
    { 0xAE2196DD3AFED384, "marked_for_no_death" },
    { 0x3B35C7E7225B1363, "marked_shared_fate_fnf" },
    { 0x9E3EE2E9862CE12F, "markedbyboomperk" },
    { 0xC62E04D50890741E, "markedentindex" },
    { 0xB5ECD2F7D1B56A54, "markedentities_removeentsbyindex" },
    { 0x8912ED2B9A43BA99, "markedentities_think" },
    { 0x825173051C61E05D, "markedentitieslifeindices" },
    { 0xF90ED673C19D07FD, "markedentitieslifeindicices" },
    { 0xFBD9206CE1420C9B, "markedents" },
    { 0x83175455B4834AE7, "markedentsinqueue" },
    { 0x021996BA39B91B9B, "markedfordelete" },
    { 0x189FEB36B0F4BB97, "markedfortoma" },
    { 0xF0F064588832662E, "markedomnvar" },
    { 0x425CC87809652C19, "markedplayers" },
    { 0x380707B4320168A8, "markeduioff" },
    { 0x92C31CF90B74CB46, "markeduion" },
    { 0xC7011C88C315B125, "markempsignatures" },
    { 0xC301362BE9488CA1, "markenemytarget" },
    { 0x88AC797CF8F35489, "markent" },
    { 0xC87DD306FDAC4F3F, "markent_getclassperkicon" },
    { 0x63A56246AC2D1CE4, "markent_gettargetmarkergroup" },
    { 0x38B70D50C47934FB, "markent_getweaponicon" },
    { 0xA3F1DD53B5841983, "markent_watchmarkingentstatus" },
    { 0x953350587B4FAEFF, "markent_watchmarkingentstatus_cp" },
    { 0x6E25A82C6C8443A6, "markent_watchtargetstatus" },
    { 0xAE30D5FE219076E6, "markequipment_monitorlook" },
    { 0x924FFB4A2658D115, "markequipment_updatestate" },
    { 0x1773B8EC87D890B9, "markequipmentstate" },
    { 0x9283A5519D50AC93, "marker" },
    { 0xFA656A134F107EB8, "marker_vfx" },
    { 0x63A50AA996BAAE35, "marker_watchdisownedtimeout" },
    { 0x16980FFAF94F8910, "marker_watchdisownedtimeoutinternal" },
    { 0x38CB3FD3E6F3E5EE, "markeractivate" },
    { 0xF161A0D6566C60DE, "markerid" },
    { 0x8B9E6EFC8A0ED5A6, "markerowner" },
    { 0xA733A29663490AB1, "markerthrown" },
    { 0x0D45AB3E9EE85A92, "market_animatedscenecivilianlogic" },
    { 0xC19F070D4D9A4F63, "market_animatedscenedialoguelogic" },
    { 0x1ACEDA977D4532F3, "market_animatedsceneenemylogic" },
    { 0x7E4E30A2324FD11D, "market_animatedscenelogic" },
    { 0x59B31C5767D97440, "market_barkovspeakerlogic" },
    { 0x41506D30872AFEEC, "market_bullyciviliandamagelogic" },
    { 0x9E2BC3B6BC0F9715, "market_bullydamageanimationcleanup" },
    { 0xC9BF4A75C3771462, "market_bullydialoguelogic" },
    { 0xCC8B0CDCB561848A, "market_bullyentitydeletedcleanup" },
    { 0x3830CEDF4EEFC05C, "market_bullyscenelogic" },
    { 0xACF57E2CAEEBA122, "market_dialoguelogic" },
    { 0xDE6C3841A1124AF0, "market_farahlogic" },
    { 0x7CC70A6E54DE3DFA, "market_farahstayaheadlogic" },
    { 0xF778AF0AE865D64F, "market_getanimatedcivilians" },
    { 0x1DB36F3E16E7EF69, "market_getanimatedenemies" },
    { 0xDC99EFCA5CBC8711, "market_getanimationstruct" },
    { 0xE46671029D77A750, "market_getcivilians" },
    { 0x2ED5BCFFD96B072E, "market_getenemies" },
    { 0x8CF4D80FF8ACAE1F, "market_getenemyspawners" },
    { 0xF4ABA83ABA2B8765, "market_getfarahpath" },
    { 0x81F981E7C47D1ADA, "market_getinteriortrigger" },
    { 0x1A9EA4A7CCB1EDF3, "market_guarddogthreatlogic" },
    { 0x5DA7CFC0C3DDFC0D, "market_guardsalertedfarahlogic" },
    { 0x4C70C77241B11BBE, "market_interiorsceneaudiologic" },
    { 0xDC4C30342270A8B2, "market_interiorscenedialoguelogic" },
    { 0x0764624DF02BDF36, "market_interiorsceneenemyanimationlogic" },
    { 0x9FC3861D7786E0AC, "market_interiorscenelogic" },
    { 0x12BC9D7E4200CCC7, "market_main" },
    { 0x5DA133F887EBA210, "market_setupconstructionscenelogic" },
    { 0x663DD797CE016EBE, "market_spawnanimatedcivilians" },
    { 0x7F3F99F863AB425C, "market_spawnanimatedenemies" },
    { 0xA7D192D082CEAE02, "market_spawnbullycivilian" },
    { 0x096AEEDD2CE1AF91, "market_spawnbullyenemy" },
    { 0x8BF7D62525C50B29, "market_spawncivilians" },
    { 0x8F39A4DEB4AFD6F3, "market_spawnenemies" },
    { 0x8C5166198820B81E, "market_start" },
    { 0x9EE1FB2DB60B8839, "market_wallalogic" },
    { 0x2144C7868E748E76, "markflash" },
    { 0x97B6DA1131D4FF20, "markfordetete" },
    { 0x6160A3B945EF0470, "markforeyeson" },
    { 0x1278B9FD58BDE4EA, "markgameended" },
    { 0x03179A1013C9D577, "markingcoldblooded" },
    { 0x2E798AB4469951A0, "markingendtime" },
    { 0x228637D6F508AA99, "markingent" },
    { 0xA6808EE99F6E867D, "markingtarget" },
    { 0xFD169D2C84B260B5, "markingtime" },
    { 0x9F841B0570B59237, "markintelwithrecondrone" },
    { 0xD5E1B048322A19D9, "markkeyframedmover" },
    { 0x8EF466E2CE105793, "marklocation" },
    { 0xD627107BA9CEE3A9, "marklocation_watchmarkentstatus" },
    { 0x8472EF9494D0DB21, "markplayeraseliminated" },
    { 0xDEECC2B9359974CD, "markplayeraseliminatedonkilled" },
    { 0x4F7DA1C4E6B0A88E, "marksenabled" },
    { 0xF03F7D8DA204FDA5, "marktarget_execute" },
    { 0x8F3CE8A642A52D0C, "marktarget_init" },
    { 0x83BB098BACC5AC2F, "marktarget_run" },
    { 0x501B436B0C9A1F14, "marktargetlaser" },
    { 0x21F0A9FF1A7DB849, "markupascenderstruct" },
    { 0x55E3F5FB07309CE2, "markupdateheadicon" },
    { 0xA2A3C859D08DBB15, "markupdateheadiconallplayers" },
    { 0xB5B86A6DFCC7CA03, "markworldposition" },
    { 0xC993C20E8E78FE9C, "mars" },
    { 0xC98EDA0E8E730A8D, "mask" },
    { 0xA4B28AB388B771CF, "mask_anim" },
    { 0x066E3106E12C8065, "mask_death_function" },
    { 0x754A26099F9C905D, "mask_exploders_in_volume" },
    { 0x0B1F2C096126AFEB, "mask_fail_function" },
    { 0xF8B1AA721D5F5217, "mask_in_hand" },
    { 0xFFD85275FE655BCC, "mask_init" },
    { 0x23801964D74F8A0B, "mask_interactives_in_volumes" },
    { 0xF4D263F6E7DFE7FA, "mask_is_on" },
    { 0xF3BDEFD2C42C6799, "mask_remove_fade" },
    { 0x15CDBEF9C0DC668D, "mask_remove_helo_react" },
    { 0x85DB7223C316B990, "masked_exploder" },
    { 0x2544B32407618C91, "maskobjectivetoplayerssquad" },
    { 0xB01F8BA334535B56, "maskomnvar" },
    { 0x7AFF0453D06BC2C0, "mass_execution_a" },
    { 0x7AFF0753D06BC959, "mass_execution_b" },
    { 0x576DE633D9FCEA17, "master" },
    { 0xED6A4914E4726381, "masterdoorratescale" },
    { 0xCF37ADDC581BF1DF, "masterswitches" },
    { 0xF3085A4B1ECA9FE2, "match1playeromnvarupdated" },
    { 0x96667F6879725EDC, "match_end_delay" },
    { 0xD4E8A7115DAE81DD, "matchbonus" },
    { 0x20B43C5ABC4EC20A, "matchbrushestozones" },
    { 0x28D2848484C33EE8, "matchcountdowntime" },
    { 0xD4D4A735C2B22A3A, "matchdata" },
    { 0x3C842CC9C12D2A7A, "matchdata_br_onmatchstart" },
    { 0x266299F07D5AF9E5, "matchdata_buildweaponrootlist" },
    { 0xC9FEEE7C2477FC60, "matchdata_data_type" },
    { 0xFD9B76D58161427F, "matchdata_level" },
    { 0xC1C19D05C51A2000, "matchdata_logattachmentstat" },
    { 0x936028AF781E15C4, "matchdata_logattackerkillevent" },
    { 0x931E3DD3921DFBEC, "matchdata_logaward" },
    { 0x4FB1716B70A1D440, "matchdata_logchallenge" },
    { 0x1406C88204A2DEFF, "matchdata_loggameevent" },
    { 0x4B279FFC31461633, "matchdata_logkillstreakevent" },
    { 0xA320A0245C251F48, "matchdata_logmultikill" },
    { 0x147940365B69832E, "matchdata_logplayerdata" },
    { 0xC67BAC32401B3EDC, "matchdata_logplayerdeath" },
    { 0x2AFDA77B8F25508C, "matchdata_logplayerlife" },
    { 0x182A87E9A994CA51, "matchdata_logscoreevent" },
    { 0xFD0432EF035B76BD, "matchdata_logvictimkillevent" },
    { 0x3D295DB2497B83C5, "matchdata_logweaponstat" },
    { 0xDFB71384375DE4E9, "matchdata_onmatchstart" },
    { 0xC2723E0AFAEB67F7, "matchdata_onroundend" },
    { 0x8B5C68B529533961, "matchdata_recordrecentlyplayeddata" },
    { 0x5FBAAEF8561EC03E, "matchdata_struct" },
    { 0x4D68CDD8A15ED487, "matchdataattachmentstatsenabled" },
    { 0xD265038BADC020E7, "matchdatafillplayerheader" },
    { 0xA21B5BC9A3FFDBAC, "matchdatalifeindex" },
    { 0x60BFD11A92EFBFBA, "matchdataplayerexistingslot" },
    { 0x27A665D5686E2797, "matchend" },
    { 0x840E53B73E1D60E7, "matchendingsoonleaderdialog" },
    { 0xF81E6260527CBE6A, "matches" },
    { 0x88EA722B89B1459C, "matchexposednodeorientation" },
    { 0x3C0A2CFE34F82CF2, "matchforfeittimer" },
    { 0xCB3BC905A7CA2E4E, "matchforfeittimer_internal" },
    { 0xCC4E22D2088936C1, "matchfxexploder" },
    { 0x06965F36A3BA6F51, "matching_correct_bomb_wire_pair" },
    { 0xFDD30328222C4B79, "matchmakinggame" },
    { 0x8E85B911DAE4E1BC, "matchmakingmatch" },
    { 0x1597F0AD0BB17301, "matchreceventcountline" },
    { 0xDFBDD0A5C22225C5, "matchrecevents" },
    { 0xEFB4FFA7C2234D48, "matchrecording_dump" },
    { 0xB85A4510635C6D2C, "matchrecording_eventcharmap" },
    { 0x902B596FDD63DA1A, "matchrecording_frontlinelogid" },
    { 0xEBA2D34EB163F990, "matchrecording_generateid" },
    { 0x2D78B70EC806CBBE, "matchrecording_getfileheaderarray" },
    { 0x5610118AF2DF7465, "matchrecording_getrecordingtype" },
    { 0x7D265ECE7E861D92, "matchrecording_glog_addheader" },
    { 0x4FB24E746A209F96, "matchrecording_glog_dump" },
    { 0x620FE9F75537DE43, "matchrecording_inceventlinecount" },
    { 0x4255931C6A064D18, "matchrecording_init" },
    { 0x697D6E1FFAC07A83, "matchrecording_isenabled" },
    { 0x9AB3AB72B77C3268, "matchrecording_logallplayerposthink" },
    { 0xF2B17667DF768120, "matchrecording_logevent" },
    { 0x3F2CF97603F31DF1, "matchrecording_logeventmsg" },
    { 0xEB3E02AC0B221F56, "matchrecording_logeventplayername" },
    { 0xB002C9FC1AB267BA, "matchrecording_loggameendstats" },
    { 0x13F6E591FE607D78, "matchrecording_onplayerconnect" },
    { 0xE3B085188D854E58, "matchrecording_scriptdata_dump" },
    { 0xDB6B88280D41E1DE, "matchrecording_scriptdata_openfileaddheader" },
    { 0x953478F705E6499C, "matchrecording_scriptdata_openfileappend" },
    { 0x1AD26B9627646FFB, "matchrecording_scriptdata_openfilewrite" },
    { 0x2FC7835F8DD93DB3, "matchrecording_teammap" },
    { 0xD802AB359EC91E22, "matchrecording_type" },
    { 0xF1F4793DED1DB1C9, "matchrecording_usereventthink" },
    { 0x5590F26850D4DCCF, "matchrecording_validaterecordingtype" },
    { 0x910BB5EF215AAEE2, "matchrecording_vehiclecleanupthink" },
    { 0xA9D042A77BC47425, "matchrecording_vehicletrackingthink" },
    { 0x9F1FAF01D0138F3E, "matchrecording_vehiclewatcher" },
    { 0x268F61E0E44B7DD4, "matchrules_allowcustomclasses" },
    { 0x997B8861990603B8, "matchrules_damagemultiplier" },
    { 0xAA40C3242A630BD2, "matchrules_droptime" },
    { 0x6C2105297BCDBF40, "matchrules_enemyflagradar" },
    { 0x2DF8AC2DD3F2F134, "matchrules_initialammo" },
    { 0x56369C9E8607CD3F, "matchrules_oicweapon" },
    { 0xDFC94793288A524A, "matchrules_oneshotkill" },
    { 0x5F03429BEAB089D9, "matchrules_randomize" },
    { 0xA1DE8E9B95E15A6B, "matchrules_rewardammo" },
    { 0xD3B000F29FD7A137, "matchrules_switchteamdisabled" },
    { 0xA6EDF5972CCA9EF8, "matchrules_vampirism" },
    { 0x33EEC69372EECC84, "matchslopekey" },
    { 0x584767E3E93229D5, "matchstart_dialogue" },
    { 0x47C0F39C695202CB, "matchstartextractsitedelay" },
    { 0xE62993EFDB2B7DF3, "matchstarttimer" },
    { 0x061773EEA350720C, "matchstarttimer_black_screen" },
    { 0xC6CDD0D37003922D, "matchstarttimer_internal" },
    { 0xDB50F9A23FD5DAA5, "matchstarttimerperplayer_internal" },
    { 0x9FCE5F6B4ADBFB08, "matchstarttimerskip" },
    { 0xE979B96AB426CD55, "matchstarttimerwaitforplayers" },
    { 0x0A84107E4D36DDA9, "matchstats" },
    { 0x4FB03F7BB505DA9C, "material" },
    { 0x46764A0F1BDFEA77, "material1" },
    { 0x46764B0F1BDFECAA, "material2" },
    { 0x46764C0F1BDFEEDD, "material3" },
    { 0x4676450F1BDFDF78, "material4" },
    { 0xB946532E785BEB8A, "material_swap" },
    { 0xC8A07900584306D4, "math_getchance" },
    { 0x50453ECB7F3A6A13, "math_pointoncircle" },
    { 0xD0209988907AEC87, "math_pointonellipse" },
    { 0x1487A5A799A700AC, "math_pointonlemniscate" },
    { 0x365921041E437555, "max" },
    { 0x09EAB6EDE355810D, "max_agents_override" },
    { 0x4DF06DBDEF133A0C, "max_ai" },
    { 0x990C656F887B9BB7, "max_ammo_check" },
    { 0xD0EBBA4D09C5D6F8, "max_angle_horiz" },
    { 0xD462C0D408CB2AF1, "max_angle_vert" },
    { 0x5B9B263CDDA1FDA9, "max_concurrent_player_count" },
    { 0x0694CDD5E1CE4A1D, "max_count" },
    { 0xF3C3EE912D56692D, "max_deaths" },
    { 0x85DEE9FCB3A4C151, "max_delay" },
    { 0x62E5F3E2414099A6, "max_detection_sq" },
    { 0x46D0E0ED6C773657, "max_dir_fails" },
    { 0x3C83CD7DB74D223D, "max_dist_sq_from_node" },
    { 0x869E54B3F32A5E21, "max_drones" },
    { 0x4E45CD791CE33872, "max_duration" },
    { 0x3449B039D3D11EA9, "max_dynamic_spawners" },
    { 0x024A1907ABBC5440, "max_effort_effect" },
    { 0xA1B2E2421C8BA560, "max_effort_ratio" },
    { 0x8ED1BF2308C8EC7D, "max_elite" },
    { 0x0EF83D680FD67F42, "max_enemies" },
    { 0xFF1B81C3B57C3ECE, "max_enemy_count" },
    { 0x5DC37C496461060E, "max_entries" },
    { 0x44D9421C834A9F67, "max_extra_enemies" },
    { 0x36BB6F07D494A9A6, "max_fake_health" },
    { 0x09FF0A5811525A0D, "max_fakeactors" },
    { 0xC0E9D9A5A045004E, "max_groups_per_player" },
    { 0x77ECDAD2929E584A, "max_gun_game_level" },
    { 0xF547AE423964BA06, "max_gun_game_weapon_name" },
    { 0xBEFDF04DE9A3697C, "max_health" },
    { 0x8A831F1140F8AD57, "max_health_cap" },
    { 0x653BE83D86989B35, "max_heavy" },
    { 0x904923500BBCEE6D, "max_in_group" },
    { 0x347AF574E6EEB80F, "max_intensity" },
    { 0x2D918CAFAF36CED3, "max_nav_offset" },
    { 0xA14D76B427B25F56, "max_num" },
    { 0x44058728D4749D12, "max_pap_func" },
    { 0x281CE04DD790CD23, "max_player_distance" },
    { 0xDCB133BD0C606759, "max_plays" },
    { 0x513E0E79A474A9C6, "max_projectile_check" },
    { 0x4DA584BDEEC0B45A, "max_pt" },
    { 0x469E0F11E470D78E, "max_randomness" },
    { 0x0AC126667D465724, "max_relevant_spawn_dist" },
    { 0x6B8E1683FBDD2AB6, "max_respawn" },
    { 0x19178F52F0E03D1A, "max_rpg_groups" },
    { 0xFDF2838EF244BE0A, "max_self_revive_machine_use" },
    { 0xE7C21CE960613218, "max_shaft_level_index" },
    { 0x72953CF08921B3BF, "max_size" },
    { 0x974B711D44172200, "max_sniper_burst_delay_time" },
    { 0xAE08DAFEA2A9D1CF, "max_spawn_dist_sq" },
    { 0xB24B52B765CE5A4A, "max_spawns" },
    { 0xBDFD80E46E600F21, "max_speed" },
    { 0xDFB0F6E3EB9D07C2, "max_static_spawned_enemies" },
    { 0x135EC933BCAD68B5, "max_steps_before_stability_loss" },
    { 0x0945EC6B8A504029, "max_suicide_bombers" },
    { 0x1368BB1BF56205F8, "max_technical_health" },
    { 0x22434CA1CD343A97, "max_time" },
    { 0x8E3C6BD649DD836C, "max_times" },
    { 0x8BA12D8D4EB8F2B3, "max_wait" },
    { 0x7686894C35528D16, "max_wait_between_repeat" },
    { 0x73864C13CBBAB90A, "max_wait_for_infil" },
    { 0x6FD7A3B2D19543E5, "max_wait_for_infil_to_start" },
    { 0xE732690FD9CAE2F3, "max_warnings" },
    { 0x6EB9B80310CB12B2, "max_x" },
    { 0x6EB9B90310CB14E5, "max_y" },
    { 0x0EE1EAFCC30B4E37, "max_yaw_left" },
    { 0x6D714021359C0F28, "max_yaw_right" },
    { 0x6EB9B60310CB0E4C, "max_z" },
    { 0x690B053B1B6C3331, "maxaccesscardspawns_red" },
    { 0x32FB6C9BF6A0769A, "maxactivations" },
    { 0x21F4C8297CF383D9, "maxactivationsalt" },
    { 0x42A97A1D109C27DF, "maxagents" },
    { 0x5071B5A253D637EC, "maxalertdelay" },
    { 0x0BBB0EEC921712C1, "maxalertlevel" },
    { 0x02E8BB5C5337AD07, "maxallowedteamkills" },
    { 0xA3B1D2AC43319FCE, "maxallymarines" },
    { 0x3479BCECFC44CBDB, "maxalpha" },
    { 0x62372F8D6A07593F, "maxammo" },
    { 0x39A2EC34D22E1999, "maxamount" },
    { 0xA5AB4AF1E7DB38E0, "maxanglecheckpitchdelta" },
    { 0x2CCF64608740B98B, "maxanglecheckyawdelta" },
    { 0xCCF2651D2731AB9F, "maxangledot" },
    { 0x6404B2D97E1FF355, "maxbetarank" },
    { 0xDF644BF8EA938D97, "maxcasts" },
    { 0x1619A65F8CCAE487, "maxcastsperframe" },
    { 0xDEB6032613EC5376, "maxcharges" },
    { 0x70AC5BDA64C91B47, "maxclients" },
    { 0x2A99BA2DDC3F61A5, "maxcombatdist" },
    { 0x001DABE297937704, "maxcount" },
    { 0xD4B87A53594FBAB5, "maxcounts" },
    { 0x247586E0A4BABC46, "maxcurrency" },
    { 0x3144D2E87036FC30, "maxdamage" },
    { 0x1428C2FD8A2E2A2A, "maxdeaths" },
    { 0x7F5253B1C42E74CB, "maxdirections" },
    { 0xC3161A47FBA2B599, "maxdist" },
    { 0x5941F6D0BDA234F2, "maxdistance" },
    { 0x891383E4F1163AFA, "maxdistancecallout" },
    { 0xBE15717CC8E25FA6, "maxdistancesq" },
    { 0x893B97A69A8F6D04, "maxdogtags" },
    { 0x928B6AFB6F6EDB05, "maxelderrank" },
    { 0xCAC345E842B778BE, "maxemissive" },
    { 0x877EC24280052E32, "maxenemysightfraction" },
    { 0xE03D6C3635A8ADFB, "maxents" },
    { 0xEA874EE2008E0669, "maxescalationvalue" },
    { 0xB0707C5114989439, "maxextractions" },
    { 0xB7157E97536E9DB0, "maxfaceenemydist" },
    { 0x03F518D40B8D5755, "maxfaceenemydistslow" },
    { 0xB5C590B12998204A, "maxfacenewenemydist" },
    { 0x416FFA5092C7DAAA, "maxfails" },
    { 0x523FC3ABDC429906, "maxflashbangtime" },
    { 0x2CBAA0FF758D8553, "maxfocusdist" },
    { 0xB873FAD028401F82, "maxfontscale" },
    { 0x01834968CEE8D832, "maxgameevents" },
    { 0x53F336B103758919, "maxgamemodes" },
    { 0x72EBC0C4BBA2E482, "maxgamemodescorehistory" },
    { 0xC102B6ACA1C7CEDF, "maxhealth" },
    { 0xB72F4E6776AFF6F2, "maxheight" },
    { 0x82BA2924DCE02ECB, "maxhqtanks" },
    { 0x07C232468D527F45, "maximum" },
    { 0x8C0FD59A3B80E165, "maximum_in_fov" },
    { 0x1657EB46A845BAD7, "maximum_weapons" },
    { 0xC1258E868A9B0B29, "maxinstancecount" },
    { 0x0A5A628694F6B280, "maxjumpingenemysightfraction" },
    { 0x0F4A6D59A45E3047, "maxjumpsightvalue" },
    { 0xBDC2C7BD5569EA4F, "maxkillcamdelay" },
    { 0xF9F709D2ACB4424E, "maxkills" },
    { 0x6BE3148A94A2322C, "maxkillstreaks" },
    { 0x4C0564B415BC124F, "maxkillstreaksavailable" },
    { 0x398B460273F8816F, "maxlife" },
    { 0x73ADE853A725DED8, "maxlightstopsperframe" },
    { 0x9EBE8364628B1804, "maxlives" },
    { 0xF354B08F9D9BF19B, "maxlogclients" },
    { 0xEFE29E096BFED89A, "maxlootleadermarkcount" },
    { 0xC4D867EE102B3304, "maxmove" },
    { 0xFCB334EDBA9DD237, "maxmovespeedsqr" },
    { 0x2A5A30A2F6F54E90, "maxmuncurrencycap" },
    { 0x5519BD66C2A3CFE2, "maxnamelength" },
    { 0x9DF24CD1C706B0D5, "maxnumawardsperplayer" },
    { 0x5FC48B462E79A0B1, "maxnumchallengesperplayer" },
    { 0x92AA737A0D900F61, "maxnumsites" },
    { 0x2EC15293403F52C0, "maxperkbonustier" },
    { 0x35D682E6447903C1, "maxperplayerexplosives" },
    { 0x71DB6CE9D9DC7C3F, "maxplayercount" },
    { 0x125C0C6E935833C0, "maxplayerdist" },
    { 0x4130D50536C479F9, "maxplayers" },
    { 0xDD9C850E6217DAEF, "maxplayerspawninfluencedistsquared" },
    { 0xC426344A67DCAC9B, "maxplayerspeeddist" },
    { 0xAEDD7891142DF5E9, "maxplunder" },
    { 0x468DB76B66B2FF44, "maxplunderdropinovertime" },
    { 0x020DE0C92F60F561, "maxplunderdropondeath" },
    { 0x4CCDFF477618543D, "maxplunderextractions" },
    { 0x561012FBC1874C20, "maxpools" },
    { 0x201212EECF40B908, "maxqueue" },
    { 0x58CE6A2355803E62, "maxrange" },
    { 0x7F545422DDAF7496, "maxrangesq" },
    { 0xD8D46E5DBB7DD4D7, "maxrank" },
    { 0xE0C3DEACEFE05187, "maxrolls" },
    { 0x72C2052460A9F84D, "maxrunngunangle" },
    { 0x42BE5066B413C501, "maxscale" },
    { 0x90D602BF44FB4B58, "maxshotinterval" },
    { 0x6C5455EE6A50EF88, "maxsightdistsqrd" },
    { 0x2104115A7E65B30F, "maxsightvalue" },
    { 0xF71BE06CBF2FF21F, "maxspawndisttohomebase" },
    { 0x2DEAB47B52340F53, "maxspeakers" },
    { 0xF180DE07BAF9BA10, "maxspeed" },
    { 0x4D6B1C087BF5877F, "maxspreadshotsperframe" },
    { 0x0C897610D5714370, "maxsquadsize" },
    { 0x6650B570B8143AEC, "maxsquadwait" },
    { 0x180A481B6AEFD0AC, "maxsupersactivated" },
    { 0xE6636CF1E9492348, "maxsupersavailable" },
    { 0xFE710C75B2A125A2, "maxsupersexpired" },
    { 0xFFA1F82F15012911, "maxtagradius" },
    { 0x5329EC1DFB508535, "maxtagradiussq" },
    { 0xD283E9D6B270B6F0, "maxtags" },
    { 0x63F26C30BAAEC9D2, "maxtagsvisible" },
    { 0x3D98E22884E6F715, "maxteamsize" },
    { 0xED2F823E0D785031, "maxthreat" },
    { 0x15EE9011538B6C56, "maxthreat_enemy" },
    { 0x456353D70634D994, "maxtime" },
    { 0xBB78192F7061F2E7, "maxtimelimit" },
    { 0x11885646C5E96AC7, "maxtokensdropondeath" },
    { 0x8F69C6809EDD206D, "maxtracktime" },
    { 0x2312F8D63157634A, "maxturn" },
    { 0x85F20FB8276F5EF5, "maxuses" },
    { 0x090D1C2CC32A5246, "maxvehiclecount" },
    { 0xF908155CC01DFF70, "maxvehicledamagedivisor" },
    { 0x6C7EF49467D72BAC, "maxvehiclesallowed" },
    { 0x376E51E2C7342650, "maxvests" },
    { 0x297B6473B47E39A0, "maxvisibility_shouldupdate" },
    { 0xEA067424EF1026AA, "maxvisibility_thread" },
    { 0x3B07F34BC5BD2556, "maxvisibiltyupdate_disabled" },
    { 0x9980F85B6B543E65, "maxvisibledist" },
    { 0xE0EF5CB27763E0D8, "maxweaponranks" },
    { 0x2FB5213C0757818F, "maxweaponxpcap" },
    { 0x6F53B20311746BE5, "maxxp" },
    { 0xB9307B91CFD2891B, "maxxpcap" },
    { 0xB7918169A43654A2, "maxzdiff" },
    { 0x173DC75D59405DE6, "mayconsiderplayerdead" },
    { 0xD47C71DC3EC62121, "maydolaststand" },
    { 0xC1C7B435699D63AD, "maydoupwardsdeath" },
    { 0xABD9A86851ABE5E6, "mayhem_end" },
    { 0x03217FB2A3D0AD13, "mayhem_start" },
    { 0xB9F3609524DFB456, "maymovecheckfriendlyfire" },
    { 0x1208072961CF4FE8, "maymovefrompointtopoint" },
    { 0x7E1E3E65BDD0F1CC, "maymovetopoint" },
    { 0x56B3116F7F1C01CA, "mayonlydie" },
    { 0xAAA7E65F64885E65, "mayprocessmerits" },
    { 0x56962EB2CBAEDC21, "mayshoot" },
    { 0x9EC4FE23190EFD40, "mayshootwhilemoving" },
    { 0xCEF6677556DE5209, "mayspawn" },
    { 0x1BF7AA198479051F, "maythrowdoublegrenade" },
    { 0x0B6988E3FE956363, "maze_ai_setup" },
    { 0x683B2D5D369CE7B1, "mb_init" },
    { 0xE49B16A6F575522A, "mbsource1" },
    { 0xE49B15A6F5754FF7, "mbsource2" },
    { 0x0360C38F1221BA5A, "md_vo" },
    { 0x9DA53EE866C947E4, "mdl_allow_damage_jammers" },
    { 0x02CA5CCEEBCD78F6, "meansofdeath" },
    { 0x11DCD65D71F3F383, "measure" },
    { 0x94626F9402E6ADDE, "measure_origin" },
    { 0x343A8F382E7F6330, "med_effort_effect" },
    { 0xA9266F22BF014450, "med_effort_ratio" },
    { 0x11E28D02D1836A1C, "med_transport_cp_create" },
    { 0xCF4F8149E9B6E9B2, "med_transport_cp_createfromstructs" },
    { 0x4786C71720894803, "med_transport_cp_delete" },
    { 0x3E39551294711BBC, "med_transport_cp_getspawnstructscallback" },
    { 0x1D9A8356626F9AEA, "med_transport_cp_init" },
    { 0x6BF2E94CBB299FE6, "med_transport_cp_initlate" },
    { 0xA6779D8AA41CD98F, "med_transport_cp_initspawning" },
    { 0x7DBFD606EC5D206C, "med_transport_cp_ondeathrespawncallback" },
    { 0x44FEA83731A7C060, "med_transport_cp_spawncallback" },
    { 0x1E579096A4B69CD9, "med_transport_cp_waitandspawn" },
    { 0x23B9830DD48A27F8, "med_transport_create" },
    { 0x1EABAD238750CE71, "med_transport_deathcallback" },
    { 0x82B6864A12B0A857, "med_transport_deletenextframe" },
    { 0x018A86B548AE3FD7, "med_transport_enterend" },
    { 0x918606EBE4642FAE, "med_transport_enterendinternal" },
    { 0x3B4312DE2B50C9B1, "med_transport_exitend" },
    { 0x2073A516E74519D4, "med_transport_exitendinternal" },
    { 0x825D6EA568E875E1, "med_transport_explode" },
    { 0x5D621EC6D2DB7458, "med_transport_getspawnstructscallback" },
    { 0xF7A3C7A4F11F585E, "med_transport_init" },
    { 0x0A216FC2F109C18B, "med_transport_initdamage" },
    { 0x8EB9177832A448F0, "med_transport_initfx" },
    { 0xF26C3DE01A47F9E0, "med_transport_initinteract" },
    { 0x9ECEEC949FE138C2, "med_transport_initlate" },
    { 0x9217A8A827C5EB33, "med_transport_initoccupancy" },
    { 0x0EF6015040C8612A, "med_transport_initomnvars" },
    { 0x1866222D96DD1A63, "med_transport_initspawning" },
    { 0x62433C01750277C6, "med_transport_mp_create" },
    { 0xCC4A276AAF8A364D, "med_transport_mp_delete" },
    { 0xB498AA7179676A92, "med_transport_mp_getspawnstructscallback" },
    { 0x0CC812E4DC348AF8, "med_transport_mp_init" },
    { 0xF9EE78E51D28F750, "med_transport_mp_initmines" },
    { 0xECC7BCB6932414B1, "med_transport_mp_initspawning" },
    { 0xA9CC685664EE1F16, "med_transport_mp_ondeathrespawncallback" },
    { 0x0C354994485993CA, "med_transport_mp_spawncallback" },
    { 0xC7C5DDB1DBEB0C9F, "med_transport_mp_waitandspawn" },
    { 0xC4310ED76266B5F6, "medic_health_regen" },
    { 0x515C4C6F16E05655, "medic_regenerate_health_once" },
    { 0x5817F138BC25A0C1, "medic_regeneration" },
    { 0x9507B7BF035BB71F, "medic_speed_buff" },
    { 0xAEDACEE470F26B10, "mediumstatehealthratio" },
    { 0xC5B00E20E4FE11F3, "medtransports" },
    { 0x131F08194255E5AC, "medusa_hint_displayed" },
    { 0x488822BF8B8C4290, "meet_price" },
    { 0x7037767BA2EB4F8D, "meet_sas_catchup" },
    { 0xDF70757AD95362A0, "meet_sas_flags" },
    { 0xEBEB4ADD4564EE5C, "meet_sas_main" },
    { 0x42B2DF43588D63AB, "meet_sas_start" },
    { 0xE2F5F4749132C5D0, "meetsasref" },
    { 0xB14095B3689A9C24, "megabankbonus" },
    { 0xC2CD209770A9380A, "megabankbonusks" },
    { 0x21B2772C421F7D94, "megabanklimit" },
    { 0x375174A05799AFF7, "melee" },
    { 0x9E5DF1ED93205DA8, "melee_animation_when_close_to_hack" },
    { 0xFFECFAC93DACECD3, "melee_arms" },
    { 0x87391889430D749F, "melee_calcsyncdirection" },
    { 0xC1C13A8D147EFA1B, "melee_chargecomplete" },
    { 0x1A260219612D42B4, "melee_chargerequested" },
    { 0xA1FDD321968F8DD1, "melee_checktimer" },
    { 0xA6370783F9832352, "melee_damage_trigger" },
    { 0xE1F95CF781FADC96, "melee_decide_winner" },
    { 0xA5DF9ACFE5F84A62, "melee_destroy" },
    { 0xE124E9EEA71C0B0C, "melee_distance_check" },
    { 0x31C3FE955893CD5C, "melee_droppedweaponrestore" },
    { 0x4E75980A24A1E734, "melee_enemy" },
    { 0xE600C2DD92997206, "melee_enemy_new_node_time" },
    { 0xC07ADA26F1767F39, "melee_enemy_node" },
    { 0x00EA52EBB3BA499C, "melee_finalcleanup" },
    { 0x0E16AEBDBBBF38FE, "melee_handlenotetracks" },
    { 0xA8BD1E7105EC7261, "melee_hint_break" },
    { 0x3914DB0F46A1166A, "melee_init" },
    { 0x2767E4911D8CEFF3, "melee_ischargecomplete" },
    { 0xFA8503B5B7BE9EFD, "melee_off" },
    { 0x4A409767B0D5CF05, "melee_requestcharge" },
    { 0x5B1840DF5583B754, "melee_scalar" },
    { 0xED2F5B2A85CEACB2, "melee_self_at_same_node_time" },
    { 0xA974FAE35CC808A8, "melee_self_new_node_time" },
    { 0x434795BD45D42D67, "melee_self_node" },
    { 0xC541D2F664364375, "melee_setmeleetimer" },
    { 0xF2F68DF7ADB4BC65, "melee_setup" },
    { 0x1D6F70E4C9B6528F, "melee_shouldabort" },
    { 0xBB3B70552442C6AF, "melee_shouldabortcharge" },
    { 0x8311A5FF55A5BB06, "melee_shouldlosersurvive" },
    { 0x95ED249E30D8035B, "melee_shouldstop" },
    { 0x989CF99969AD74E3, "melee_steal" },
    { 0x7843EADBF57E47F3, "melee_strength_timer" },
    { 0x9F609970690647C8, "melee_synced_setup" },
    { 0x16ABA3D3F6E2D514, "melee_to_nudge_car" },
    { 0xCCB463FBC821D89F, "melee_unlink" },
    { 0xF52A9C28441AB0C9, "melee_validatepoints" },
    { 0xECE208854D47C7FA, "melee_waitfordroppedweapon" },
    { 0x66EBAF25F5FF186C, "melee_weapon" },
    { 0x8C95B13A5EE4AAE8, "melee_weapon_safe_gesture" },
    { 0xA341820FF3702463, "meleeactorboundsradius" },
    { 0xE21BAFC12FAEBDAE, "meleeallowoffground" },
    { 0x32EF6CEADB67865A, "meleeallowvsshieldedplayer" },
    { 0x2A8215BC55B8B5B8, "meleealwasywin" },
    { 0xAEFC51A4324344F0, "meleealwayswin" },
    { 0xC018D211196B5B4E, "meleeanim" },
    { 0x7266CA4E24127F1A, "meleeanimalias" },
    { 0xE2AF4F6E725DF6BF, "meleeattackdist" },
    { 0xB36887D2396E7B75, "meleebashmaxdistsq" },
    { 0x2AF9A19237332C6F, "meleebuttonpressed" },
    { 0x3B5785068399EE3E, "meleecansteal" },
    { 0x5F3D9EDF8CF5B692, "meleecharge_failed_badpath" },
    { 0x14E63807688A119A, "meleecharge_init" },
    { 0x72AEA594B2EE9C6E, "meleecharge_justtriedthis" },
    { 0x001AF8B10D61F1BF, "meleecharge_shouldabort" },
    { 0x36EBE661BDC870C7, "meleecharge_terminate" },
    { 0x4D39C6D63CE1BE09, "meleecharge_update" },
    { 0x6EB9AA23DDC075B7, "meleechargedist" },
    { 0x33FCE537D24BF3B1, "meleechargedistreloadmultiplier" },
    { 0xBB78910751433CD5, "meleechargedistvsplayer" },
    { 0xB5DAC501EC390B5F, "meleechargeintervals" },
    { 0x654F0E7A818AEDA0, "meleechargeplayerintervals" },
    { 0x3E48D697E44B6D4C, "meleechargeplayertimers" },
    { 0x85B52A8E49979C6D, "meleechargetimers" },
    { 0x47D2DEFDBB256AEE, "meleecount" },
    { 0xF1A82AECFEAD3B30, "meleecountered" },
    { 0xDBCE0BD20F266C25, "meleecounteredfailed" },
    { 0x21F2BB9052046C6C, "meleecounterhint" },
    { 0xC8D35E246865A016, "meleedamageoverride" },
    { 0x68F4A18F3C72F34D, "meleedeathhandler" },
    { 0x0B284F626358FD6C, "meleedofroutine" },
    { 0x7FB0AB61FB0C3E5F, "meleegetattackercardinaldirection" },
    { 0xA2B7040EB67286AF, "meleegrab_common" },
    { 0xB4F7BBC81C46587B, "meleegrab_counterhint" },
    { 0x87C5FDCFFB2B9C82, "meleegrab_counterinput" },
    { 0x1354655FDC7DE6C0, "meleegrab_ksweapon_used" },
    { 0xB64762685D258093, "meleegrab_slowmo" },
    { 0x7F0906923A66081B, "meleehintshow" },
    { 0x71A85A92F3B76754, "meleeignorefinalzdiff" },
    { 0xA9B4275FFAFA2028, "meleeignoreplayerstance" },
    { 0xD2E2C58C42901D5A, "meleeignoretimer" },
    { 0xDB006AA563904707, "meleekill" },
    { 0x99FAA74A8F47ABF4, "meleemaxzdiff" },
    { 0x0AAE4EB604158069, "meleeorigin" },
    { 0xD854A9B5BE0FDEB4, "meleerangesq" },
    { 0x68DE7EAF72ADE429, "meleerequested" },
    { 0xDE58A39F88C15105, "meleerequestedcharge" },
    { 0x77293715E4F13ABF, "meleerequestedcharge_target" },
    { 0xDA4A21FDE4FE749C, "meleerequestedcharge_targetposition" },
    { 0xE40836C3FC221436, "meleerequestedcomplete" },
    { 0x596DD17C6623219C, "meleerequestedtarget" },
    { 0xBA228B46387595ED, "meleeset" },
    { 0xE98924B385F50C12, "meleestagger" },
    { 0x7B8E19B4F7D4F61E, "meleestagger_anglesviewattack" },
    { 0x2FE758A5C88DB978, "meleestate" },
    { 0xF0523F8B0CB1BA9B, "meleestatename" },
    { 0x62FAA753CD140047, "meleestopattackdistsq" },
    { 0x8F31800CB98CB062, "meleestrength" },
    { 0xA25219D7B235608E, "meleetargetallowedoffmeshdistsq" },
    { 0x24ABBE3F2436BAA5, "meleetryhard" },
    { 0x59002DFE27DE47E4, "meleevsplayer_init" },
    { 0xD1BBC5DF5F802DE9, "meleevsplayer_terminate" },
    { 0x23E6EA3B28E7E547, "meleevsplayer_update" },
    { 0xBEF7CE27227D5D0C, "meleeweapons" },
    { 0xD1B9A5A60179F45D, "memberaddfuncs" },
    { 0x8A0BBA9979E07C10, "memberaddstrings" },
    { 0x23C73A03B09681D6, "membercount" },
    { 0x2C2078CACB8171BD, "memberdeathwaiter" },
    { 0x91401DD39D1CAB3E, "memberremovefuncs" },
    { 0xC40E84B667E8825F, "memberremovestrings" },
    { 0x8E3601F9FD6085B4, "members" },
    { 0x8D451C0E616E5606, "menu" },
    { 0x7500BF2C53168DD7, "menu_add_options" },
    { 0xC57AB47CE53A4527, "menu_background" },
    { 0x90ACD089BF22C29C, "menu_change_selected_fx" },
    { 0x86A20031856D9D0B, "menu_create" },
    { 0x555851B50C095C64, "menu_create_select" },
    { 0x19867DBBD42179B9, "menu_current_selection" },
    { 0x98E0E239ABFFF929, "menu_cursor" },
    { 0xB394A5DA8BF9B0B9, "menu_cursor_resetpos" },
    { 0xD886B80E27DB822C, "menu_default" },
    { 0x3024D0C4C28387EB, "menu_exists" },
    { 0x459E568AC65A6557, "menu_fx_creation" },
    { 0x49594CD955DD3584, "menu_fx_option_set" },
    { 0x3C4CDC22260F25A7, "menu_get_selected" },
    { 0xC40834E9146FCAB7, "menu_get_selected_optionsvalue" },
    { 0xBC96E89D556385CF, "menu_get_selected_text" },
    { 0xEF9C0C6795ACCD1D, "menu_goalradius_dec" },
    { 0xA72E2F67609F2EA5, "menu_goalradius_inc" },
    { 0xE8533A0B65C5AA71, "menu_highlight" },
    { 0x4ECE94795EA0F449, "menu_input" },
    { 0xFFB1EE0F5C0BBBDD, "menu_list_selected" },
    { 0xC9B7ADDBEDF18260, "menu_name" },
    { 0x011283DB5BC48E7D, "menu_none" },
    { 0xB0A04C84D6C06F09, "menu_select_by_name" },
    { 0x378B01B630EB1F20, "menu_sys" },
    { 0xE2A20A7F5C8952C6, "menuclass" },
    { 0x7050E115D384CA2C, "menunone" },
    { 0xD6CEB7560408B2A7, "menuperkparsetable" },
    { 0x831DEAA5E845EE8B, "menuperks" },
    { 0x9795B412320E9C69, "menuresponse" },
    { 0xBE3FF7CAFBC669DD, "menurigperkparsetable" },
    { 0x1E5BE02F4877CD4D, "menurigperks" },
    { 0x1D5328A045A8234F, "menus" },
    { 0x850B88DB29414967, "menuspectator" },
    { 0xA61D8ED1E9BBEB60, "mercyenabled" },
    { 0x3DC0B2A1D51C5D45, "mercymatchending_nuke" },
    { 0xE2F6F8447610E9A9, "mercymatchending_time" },
    { 0x397DC28E58BE1A15, "mercytransitionenabled" },
    { 0xF903F35E5D93450C, "mercywintriggered" },
    { 0xAF9D986FE2B78B8B, "mergeclusterlist" },
    { 0x89A46922EA1E3E1B, "merit_rewardval" },
    { 0x0685C51AAF4C0186, "merit_scoreval" },
    { 0x27E8197A5721AD0D, "merit_targetval" },
    { 0x9C333853C112E956, "meritcallbacks" },
    { 0xB62E1857B5870D1E, "meritdata" },
    { 0xFD131D1467D6A49E, "meritinfo" },
    { 0x8BA09C6A06CA26F0, "meritscompleted" },
    { 0x8D522B0E617C8B88, "mesh" },
    { 0x374DF5B7F9D3A408, "message" },
    { 0x40831786B2E6555D, "messageplayer" },
    { 0x9788CE2E25005135, "messageref" },
    { 0xF97697ACCFFBB371, "messageteam" },
    { 0xAEC3D3A0B0667CD0, "metal" },
    { 0x3FFCFA5AFD24D52C, "metal_detectors" },
    { 0xB1713D965D7BFC2A, "meter_fill_up" },
    { 0x8D71350E619EF367, "meth" },
    { 0xB142213A447C6306, "meth_patch" },
    { 0x8EAC0D33C212A6D3, "method_for_calling_reinforcemen" },
    { 0xD707AFD3CF048145, "method_for_calling_reinforcement" },
    { 0xCE433E78F5986DC9, "mg" },
    { 0xACA8B10E794EF3EF, "mg42" },
    { 0xF9CA396FCAD830F1, "mg42_enabled" },
    { 0x2AC73C1FA7622607, "mg42_firing" },
    { 0x4078BD25030A2119, "mg42_gunner_manual_think" },
    { 0x5D271505DAA8149C, "mg42_gunner_think" },
    { 0x69FF155C1BA47DE1, "mg42_setdifficulty" },
    { 0x76231032B46C9A13, "mg42_suppressionfire" },
    { 0x4B7206C3ED2D1005, "mg42_target_drones" },
    { 0xF2F2E81A18BEC078, "mg42_think" },
    { 0xFFAE6141090DBACC, "mg42_trigger" },
    { 0xDF4551C41B7AB711, "mg42badplace_maxtime" },
    { 0xC1D18F6497A7C3B3, "mg42badplace_mintime" },
    { 0x8C964860B8BB3EDB, "mg42pain" },
    { 0xFC60EBE650B61085, "mg_alley_intro_script_shot" },
    { 0xEFE9CD6847785D5F, "mg_animmg" },
    { 0xEE75635289D0F7F0, "mg_autosave" },
    { 0x3D9E3796AC81219B, "mg_breach_no_pistol" },
    { 0x55536E8A7893BD1A, "mg_cleanup" },
    { 0x2AF04353D06E65B2, "mg_damage_nag" },
    { 0x4066E07F2A13715E, "mg_damage_nag_manager" },
    { 0xFE7E4DB9120F08AF, "mg_damage_nag_total" },
    { 0x01E7969E4A6C0437, "mg_damage_owner" },
    { 0x5F40C38B9614628A, "mg_damage_smoke_nag_mghall" },
    { 0x804FB949C85FBEF7, "mg_damage_smoke_nag_streets" },
    { 0x7060F8DC356276FD, "mg_door_bashed_monitor" },
    { 0x137A8A33BF04700A, "mg_door_left" },
    { 0x3426708A03366977, "mg_door_right" },
    { 0x6421FCA28624C957, "mg_doors" },
    { 0x5F6526E33051A69E, "mg_doors_bashed_monitor" },
    { 0xA7AC2B3B45CB12AA, "mg_double_doors_handler" },
    { 0xDD202F3478FE86F2, "mg_entry_callout_handler" },
    { 0x468ECC77FF956A12, "mg_get_los_score" },
    { 0x260B76AD33CDBEB7, "mg_get_z_offset" },
    { 0x91FEF6DE3FD7DAAD, "mg_gunner" },
    { 0x7B1B5DC2AE2E8BE8, "mg_gunner_death_notify" },
    { 0x62FAD030CD60A0BF, "mg_gunner_team" },
    { 0xA2D2F313EB270216, "mg_guy_shared_behavior" },
    { 0x7BA0934C1D4D4008, "mg_guys_final_volume" },
    { 0xF1DF4AE0235AA5C9, "mg_hall_after_closet_ignoreme_handler" },
    { 0x0B1E989DD89227B0, "mg_hall_after_closet_reinforcement_handler" },
    { 0xAB6CA02DD410CD54, "mg_hall_ally_blindfire" },
    { 0xFD8C5C4060CE2537, "mg_hall_ally_blindfire_handler" },
    { 0x9394299935528DF8, "mg_hall_ally_color_assign" },
    { 0x2B40459C61D44933, "mg_hall_ally_color_trigger_deleter" },
    { 0x0E81077166C20DC2, "mg_hall_aq_killoff" },
    { 0xB530852ED77B047B, "mg_hall_break_windows" },
    { 0xC452273F3A44026A, "mg_hall_breakable_door_remove_interact" },
    { 0x4921DBABDF00222C, "mg_hall_catchup" },
    { 0xB40B34F04054ECE6, "mg_hall_cleanup" },
    { 0x68C2C4BC71664361, "mg_hall_cleared_vo_done" },
    { 0x15F5AF7192258CB4, "mg_hall_closet_magic_bullets" },
    { 0xD46AC7B9EEC58E91, "mg_hall_closet_spawn_handler" },
    { 0x70EEE2D172AAF073, "mg_hall_damage_nag_monitor" },
    { 0x153BA3F01DD998F0, "mg_hall_flank_cover_trigger_handler" },
    { 0x2179AA76A0634DA0, "mg_hall_griggs_smoke_vo_done" },
    { 0xFA7C2A0079F7CD11, "mg_hall_gunner_alert_monitor" },
    { 0x3D4D92195F158B1F, "mg_hall_gunner_alert_proximity_monitor" },
    { 0x30AF5C32043610F1, "mg_hall_gunner_death_monitor" },
    { 0xA438C8BF6E08420C, "mg_hall_gunner_idle_anim" },
    { 0x4E59A813F3E294ED, "mg_hall_gunner_reaction_animations" },
    { 0x49A64B2A1C1E423F, "mg_hall_main" },
    { 0x781815C355DD9410, "mg_hall_marine_spawner_handler" },
    { 0x8AB3E375FED3D04C, "mg_hall_reinforcement_handler" },
    { 0xF22A3A16C2CB0849, "mg_hall_reinforcement_handler_right_side" },
    { 0xCB47BCA79EC9BE64, "mg_hall_rpg_monitor" },
    { 0xAF5878531E0086A4, "mg_hall_rusher_handler" },
    { 0x3ECDA79444BE7267, "mg_hall_shouter_handler" },
    { 0x03748D56655C7C39, "mg_hall_sign_magic_bullets" },
    { 0x6442F8D6BC93F60D, "mg_hall_snakecam_marine_monitor" },
    { 0x23437B12C05A4F56, "mg_hall_start" },
    { 0x5224FECC4C9C5DEB, "mg_hall_tripwire_handler" },
    { 0xD3BB05EEFDB9DDA8, "mg_house_gunner_1" },
    { 0xEE387F94CECAF783, "mg_house_gunner_1_init" },
    { 0xD3BB08EEFDB9E441, "mg_house_gunner_2" },
    { 0x7D8CE449DA619290, "mg_house_gunner_2_init" },
    { 0xB91BEA34F8B527B0, "mg_house_patroller" },
    { 0xDF3570C362D2EE7B, "mg_house_patroller_init" },
    { 0x1FA5BC7FA4091F42, "mg_house_windowguy" },
    { 0x285FC0512F148251, "mg_house_windowguy_init" },
    { 0x22444B29E52B25D3, "mg_ignore_check" },
    { 0x27CA4139DF3B3DDD, "mg_intro_sequence_mg_hall" },
    { 0x21F0CEF24CDA125B, "mg_intro_sequence_streets" },
    { 0x936C4F1359B5119D, "mg_intro_sequence_streets_endon_monitor" },
    { 0x3F169C3973382614, "mg_intro_sequence_streets_thread" },
    { 0x778F6A7A36AACEF7, "mg_lerp" },
    { 0xAC935EB42AC71007, "mg_reload" },
    { 0x67397427844009B0, "mg_rotation" },
    { 0x051F808CBEE2E3E1, "mg_shoot" },
    { 0x3D63328B935F497C, "mg_shoot_behavior" },
    { 0x784EF69628EDF886, "mg_shoot_scriptables" },
    { 0x2FF989929071EB62, "mg_smoke_monitor" },
    { 0xF5D5585C63FF008D, "mg_smoked" },
    { 0xFFE9DE1783484A24, "mg_sprint_trigger_monitor" },
    { 0xC8B5DDE874787D4B, "mg_start_shooting_monitor" },
    { 0x51640DA24CF46787, "mg_streets_intro" },
    { 0x715A62466943EB5C, "mg_suppressed" },
    { 0x7EC37D3E9B0241F3, "mg_switch_targets" },
    { 0xEDFFEEE3F1576CEE, "mg_target_actual_manager" },
    { 0x5B6BB756EA5FC748, "mg_target_dummy" },
    { 0xA7AAEB89DA56FD09, "mg_target_ent_manager" },
    { 0xBEDFDCC349C88396, "mg_target_other" },
    { 0xCC01669CB1B1B729, "mg_target_player" },
    { 0xD86EA9A744961D37, "mg_team_alert_monitor" },
    { 0x4EA10574F0739597, "mg_team_destination_handler" },
    { 0x0F397D6FE98EEBF7, "mg_tracer" },
    { 0xF750C4D53776B9BA, "mg_z_offset" },
    { 0x99F4ACA57F80C24A, "mgbursttimemax" },
    { 0x9A1896A57FA90CA0, "mgbursttimemin" },
    { 0x3F18A48BEFC3FD93, "mghouse_tripwire_monitor" },
    { 0x3C74597316E90417, "mginit" },
    { 0x19981AD12D709D4E, "mgoff" },
    { 0xAB2A830E77AB3CB4, "mgon" },
    { 0x89756B63CDA3BF7B, "mgturret" },
    { 0x1E9D54BEBFD574FB, "mgturret_auto" },
    { 0x9F4612E9871A9ADB, "mgturret_disablelinkedturretangles" },
    { 0x197B3C59EA3F0BE8, "mgturret_enablelinkedturretangles" },
    { 0xBC1C04B78D4869DF, "mgturretinfo" },
    { 0x13579D2C3A3C22C2, "mgturretleft" },
    { 0x42B0CE73A62FFE3D, "mgturretmodelbase" },
    { 0xAA0CCF52B6234F54, "mgturretmodelbasealt" },
    { 0x38059AF963656D4F, "mgturretright" },
    { 0x8909B6C7A1B477A6, "mgturretsettings" },
    { 0xD59C553324165EFE, "mh_building_door" },
    { 0xCA64AF02A35BF345, "mh_building_door_handler" },
    { 0xC7886D46F1D80C7F, "mh_civilian_cleanup" },
    { 0x81B72539B2323F1D, "mh_encounter_handler" },
    { 0x516638312C823890, "mh_hallway_monitor" },
    { 0x6A6F4A76FB75C794, "mh_house_exit_door_blocker_block_path" },
    { 0x07C25D7206C0F7B4, "mh_house_exit_door_blocker_clear_path" },
    { 0x91F3EF2940CC0629, "mh_rendevous_dialogue" },
    { 0xBD1735D80DED7D42, "mhc_escape_ents_array" },
    { 0xFD2B57ABD3D9E797, "mi8_get_length" },
    { 0xE432A784B51A380C, "mi8_init" },
    { 0xD1B7947758AF0475, "mi8_spawn" },
    { 0xF536EE71A0F7C32F, "microturret_hint_displayed" },
    { 0x1D89A91929184FFE, "microturrets" },
    { 0xBBFA7BABCD512EBC, "mid_air_explode" },
    { 0xD6410CFBC11CD35B, "mid_bosses" },
    { 0xE0F111B41D5B0713, "mid_bridge_start_struct_index" },
    { 0xD3F4FBBFA5F52929, "mid_encounter_package_thread" },
    { 0x7E6FA1A9A49361BC, "mid_roof_enemy_watcher" },
    { 0xED9684E1627F6948, "middle_breadcrumb_guy" },
    { 0xC84B35DE85237A94, "middle_left" },
    { 0x6BEB5CE463FCF107, "middle_reading_place_front_door_enemies" },
    { 0x0DD0CBFD2E18C3A1, "middle_right" },
    { 0x6B46739D97A29C2D, "middle_road_civ_runner" },
    { 0x8E8CA1947A9DE2BA, "middle_road_civ_runners" },
    { 0xCFF05129D48966EF, "midfieldscore" },
    { 0xC3A036DAC0786655, "midpoint" },
    { 0xFBD60C9213BA02E5, "midpoint_music" },
    { 0x550FFAF7A8051CA4, "midpointobjectiveindex" },
    { 0x41803F59B1BB026D, "midpos" },
    { 0x7EE042BB0B3AC40D, "midpt" },
    { 0x5AE124554B7D2664, "midtruck" },
    { 0x74E05B5FCE728928, "migratespectators" },
    { 0x803FC345514DF3FE, "migrationcapturereset" },
    { 0xF0BBDAEAD37575DA, "milbase_manifest_vo" },
    { 0x3B4D53A5B71AD2D0, "milestonephasepercent_drops" },
    { 0xB0250BBB1004BBCF, "milestonephasepercent_helis" },
    { 0x4D1B776CA65278F5, "milestonephasepercent_lzs" },
    { 0x99F45007FAD526EE, "milestonephasepercent_vips" },
    { 0x367C0B041E698CAB, "min" },
    { 0x6016C7E0CC7D8900, "min_alert_level_duration" },
    { 0xC182A75D886C2992, "min_ammo" },
    { 0xB733AC2C14422623, "min_count" },
    { 0xD5CD4CB0F9240DBB, "min_delay" },
    { 0xAF72731CDDED5FE7, "min_dist_sq_from_node" },
    { 0x57EB2714A14005F2, "min_effort_effect" },
    { 0xB72F870ABC070E82, "min_effort_ratio" },
    { 0x9A16E4D91D90D2FF, "min_elite" },
    { 0x9E02B9A6834D4D80, "min_energy" },
    { 0x62DEE8922C4CC38D, "min_escalation_level_override" },
    { 0xC504CD327D21696D, "min_health_cap" },
    { 0x54C5C6B9645F21A3, "min_heavy" },
    { 0x43F33FA69C7E8F6D, "min_intensity" },
    { 0x153CD48CABA9CF3B, "min_num_bots_assaulting_first_flag" },
    { 0x62F73AAC4E18C4E0, "min_player_health" },
    { 0x077ACDEDBE66B750, "min_pt" },
    { 0x7155B0BFFB9A856D, "min_range_max_amp" },
    { 0x5133E01D8848F075, "min_size" },
    { 0x19614D5C9DBA1036, "min_sniper_burst_delay_time" },
    { 0x50278BDC628E6524, "min_spawn_requested" },
    { 0x605A004D05422157, "min_speed" },
    { 0xF97D87773527069D, "min_time" },
    { 0x1DACBAE0C9D049F1, "min_time_in_room" },
    { 0x54D050BAFAB7551D, "min_wait" },
    { 0xD8B4778E3F03CEFC, "min_wait_between_repeat" },
    { 0xD91D2EBB4E8C296C, "min_x" },
    { 0xD91D2FBB4E8C2B9F, "min_y" },
    { 0xD91D30BB4E8C2DD2, "min_z" },
    { 0x7284D68AB8542648, "minarmordropondeath" },
    { 0xCB784E76CEF0760D, "mincornerspeedscalingmultiplier" },
    { 0x337A401C947F7FCA, "mindamage" },
    { 0x9051EEF50CC3FF5C, "mindia8_customunloadfunc" },
    { 0xE11EAA895E73570D, "mindia8_spawnaifunc" },
    { 0xE1C9978F1E290B99, "mindia8_unload" },
    { 0x3F21185B5E091412, "mindia8_unloadinterruptfunc" },
    { 0x967A2368E5331C12, "mindia_exterior_sfx" },
    { 0x2F7B48FEF1399466, "mindia_infil_start_targetname_array" },
    { 0x29CE51BF2C337351, "mindia_infil_start_targetname_array_index" },
    { 0xB2FD727D7DB49EA4, "mindistance" },
    { 0x25AE382BBBC4B928, "mindistancecallout" },
    { 0xC4E7AD009A10BEAC, "mindistancesq" },
    { 0xEF694A3C3B5A4190, "mindistsquared" },
    { 0x3C59080EE220A90A, "mine" },
    { 0x261BC1E9C7AA277B, "mine_beacon" },
    { 0x7838E45600D69FB5, "mine_cart_debug" },
    { 0x34B244E5C19505BE, "mine_carts" },
    { 0xC633D51F4FAAB1F7, "mine_catchup" },
    { 0x3DCD47DD137E7E5E, "mine_cave_turrets" },
    { 0xADF2488645D26A68, "mine_caves_ambush" },
    { 0x04FC6F28BB8E859F, "mine_caves_ambusher" },
    { 0xEFC74F447C4272C1, "mine_caves_ambusher_internal" },
    { 0xE50716D8D846662B, "mine_caves_barrels_damage_watch" },
    { 0x373E9AFD10D491EB, "mine_caves_breakable_gate_individual" },
    { 0x8CF964168DD88D74, "mine_caves_breakable_gates" },
    { 0x793CE4D177774E90, "mine_caves_cell_support" },
    { 0xEC0A945A44DF2A98, "mine_caves_cell_support_internal" },
    { 0x89097F0DFB63FCD7, "mine_caves_chopper" },
    { 0x1C62C659B63478F9, "mine_caves_end_support" },
    { 0x6DE6F191F74BEEDF, "mine_caves_end_support_internal" },
    { 0x25B1714F3B5BA63F, "mine_caves_retreat" },
    { 0xDFC5CC3B6E5F2016, "mine_caves_runner" },
    { 0xE2D3FD98327415DA, "mine_caves_runner_internal" },
    { 0x18A37CF5E6739C6A, "mine_caves_structs" },
    { 0x9F2707D7109C39CC, "mine_caves_support_combat" },
    { 0xCF8D77982793424E, "mine_caves_turret_1_support" },
    { 0xF063A50AE8AFC9D2, "mine_caves_turret_1_support_internal" },
    { 0xC0CE636C9797EBF3, "mine_caves_turret_2_support" },
    { 0x77C30A4AAF92BC2D, "mine_caves_turret_2_support_internal" },
    { 0xCDABC5CBE259513B, "mine_caves_turret_clip_remove_on_death" },
    { 0xFBE85E8E12EE1619, "mine_caves_turret_config" },
    { 0xDB989FE450621274, "mine_caves_turret_damage_feedback" },
    { 0x4FC83C8AC09D2034, "mine_caves_turret_op" },
    { 0xDBAF25C89531CC74, "mine_caves_turret_op_internal" },
    { 0x5D11B30A466C3E2C, "mine_caves_turret_op_spawn" },
    { 0x5FBD710158281D7D, "mine_caves_turret_support_behavior" },
    { 0xCE025B2B7EAB9FFF, "mine_caves_turrets" },
    { 0xF24551D879629173, "mine_caves_vo" },
    { 0x4795D2DAFEEE172E, "mine_caves_waittill_entered" },
    { 0x1676DE724D59479B, "mine_damage_override" },
    { 0x92BAD8247395B559, "mine_destroyed_vfx" },
    { 0x2C3274E595CA8E89, "mine_drone_marker_vfx" },
    { 0x634F1634766F9632, "mine_drone_out_of_range" },
    { 0xF1440BEF6F0B7440, "mine_explode" },
    { 0x91E95DCE30288571, "mine_explosion_vfx" },
    { 0xA715502835E41490, "mine_launch" },
    { 0x578E2A0623D518B7, "mine_launch_vfx" },
    { 0xDE231E638106EC42, "mine_light_vfx" },
    { 0x4E8ECCB63B198D68, "mine_patroller" },
    { 0x2C06A9CDB76EB220, "mine_push_barrel" },
    { 0x68DAB0AB7F550183, "mine_responder" },
    { 0x6924BBCEB72BAE5B, "mine_responder_calling_out" },
    { 0x4AA6871EEC7C3663, "mine_spin" },
    { 0x2DEEAFAA29EC1BA5, "mine_start" },
    { 0xFF0F86713C29AB8A, "minebounce" },
    { 0xE2A92746CD243330, "minecart" },
    { 0x67C16A09A334A32D, "minecart_anim_node" },
    { 0x96461D031D0635A2, "minecart_run" },
    { 0xF6C7165283893029, "minedamagehalfheight" },
    { 0x7FBDB227891C1C8F, "minedamagemax" },
    { 0x7F9AC02788F5F3A1, "minedamagemin" },
    { 0xCC4E51C2084614B7, "minedamagemonitor" },
    { 0x0F8C094F50645655, "minedamageradius" },
    { 0xBDAF50BBDB261EBA, "minedata" },
    { 0x4FA7F4ACB02AE033, "minedeletetrigger" },
    { 0xB004C6D26D7798F5, "minedestroyed" },
    { 0x3287A369C71FDD12, "minedetectiongraceperiod" },
    { 0x4EDC7DDF12EF2792, "minedetectionheight" },
    { 0xECD91EB63E936CE3, "minedetectionradius" },
    { 0xFC6A20BF2EB55567, "mineexplodeonnotify" },
    { 0xA187DF85EEFBBE9E, "minefield" },
    { 0xD53DD9C42014ED93, "minefield_kill" },
    { 0x9BF65548051CBE35, "minefield_think" },
    { 0x398F808C93A4E337, "minefields" },
    { 0x69F53EA2BC7812AC, "minegettwohitthreshold" },
    { 0xA4C256CC576E4FA9, "mineproximitytrigger" },
    { 0xD87631BB4DD4B51B, "mines" },
    { 0x8455958E9A12004D, "mines_backtrack_clip" },
    { 0xB69D80A6E29D84D1, "mines_backtrack_trig" },
    { 0x784C81E912B161C5, "mines_bridge_collapse" },
    { 0x93F5DF692C9F777C, "mines_enter_vo" },
    { 0x994D5E9454D7268F, "mines_lantern_think" },
    { 0x19095C6AE8154E4B, "mines_oilpush_scene" },
    { 0xC1332AC22F74C4E7, "mines_player_pistol_upgrade_monitor" },
    { 0x077C7352BADF843E, "mines_push_cart_checkpoint" },
    { 0x25178F9FFAE1413E, "mines_second_collapse" },
    { 0xA88FB47DA3A849C9, "mines_setup" },
    { 0x5FDD7022F8BF7FE6, "mineselfdestruct" },
    { 0x2360CF6B4F1785FF, "mineselfdestructtime" },
    { 0xD642580A7C0D9184, "minesensorbounce" },
    { 0x9212A237F73A42F4, "mineshaft_martyr_oil_fire" },
    { 0x16FC1A80E64A0AE6, "mineshaft_shared_oil_fire" },
    { 0xF76D249D9352EC76, "mineshaft_shared_oil_fire_on" },
    { 0x04D27837C5C21AEC, "minethrown" },
    { 0x24F70525A434C6DA, "minetriggerdata" },
    { 0x49A91C82BCDCC1BB, "minetriggers" },
    { 0x90A2B14CD8ABDC6B, "mineused" },
    { 0x4B038587CFF66329, "minexposedgrenadedist" },
    { 0x82370A77AD32DED5, "minexposedmolotovdist" },
    { 0xFDC21DE353D951D6, "mini_map_origin_fix" },
    { 0x079DA108802E5398, "minidletime" },
    { 0xE11003942A47A8A3, "minigameapplyplayernamesettings" },
    { 0x1EF5F026923AF9EA, "minigamefinishcount" },
    { 0xB25B10F1C0966BB0, "minigameinfo" },
    { 0x102A7E0670D2CAA0, "minigamelosersettings" },
    { 0xBD3EAFDAFE36719E, "minigamewinnersettings" },
    { 0x800AD245E6112354, "minigun" },
    { 0x92676AF5B9D8247E, "minigun_ai_target_cleanup" },
    { 0xCCF105FAB5398AA1, "minigun_angles_offset" },
    { 0x2A10A6CE7B90BE0C, "minigun_attack_max_cooldown" },
    { 0xCBA5563AF1C60C8E, "minigun_attack_min_cooldown" },
    { 0xD3B574A43AAF1BD5, "minigun_fire" },
    { 0xDE525FC91FE25154, "minigun_internal" },
    { 0x3872A03EA1C37129, "minigun_is_firing" },
    { 0x47645B43C8546CC0, "minigun_manager" },
    { 0xEA02C269E7C57486, "minigun_model" },
    { 0xED50A84EBA6EE40F, "minigun_origin_offset" },
    { 0xA179E4D9DA4DAA69, "minigun_right" },
    { 0x22BB35C9706863CD, "minigun_shots_per_round" },
    { 0x97BF952C4C06E0EC, "minigun_should_keep_firing" },
    { 0x576B448723993BAC, "minigun_speed" },
    { 0xF8A0BE8BFC08317D, "minigun_spindown" },
    { 0x4A5CD82DB39A69D5, "minigun_spindown_sound" },
    { 0x143CABBF4662C1D3, "minigun_start_locs" },
    { 0x57C50EEF61FFB694, "minigun_sweep_to_loc" },
    { 0xE66E88CA8D5B6F34, "minigun_sweep_to_loc_safe" },
    { 0x239FF2FA8BD30E87, "minigun_tag" },
    { 0xEF32CC9B77BA2B18, "minigun_track_target" },
    { 0x1FC76F4BD4C54838, "minigun_track_target_delay" },
    { 0xB907D59107296F9B, "minigun_track_target_think" },
    { 0xED6085FAA80DD7E8, "minigun_turret_info" },
    { 0xFDEE8D732DA745AC, "minigun_wait_between_shot_rounds" },
    { 0x38C846395B4AB25D, "minigun_wait_between_shots" },
    { 0xDA8A50D8A6728555, "minigun_warning_time" },
    { 0x63AE5B2C691E148A, "minigunbackup" },
    { 0x582E92AD3F856692, "minigunprevweaponobject" },
    { 0x5E1235EC497783AB, "minigunsspinning" },
    { 0x9FD9BA42E530A2B8, "minigunweapon" },
    { 0xCEB729D79BEFF7B2, "minimap_image" },
    { 0x370F7C61FF1E34AC, "minimap_objective_add" },
    { 0xDDDF1BCBE1400488, "minimap_objective_icon" },
    { 0x42E14B993CEDD783, "minimap_objective_onentity" },
    { 0x167B0D719B902925, "minimap_objective_onentitywithrotation" },
    { 0x1D87E8FD273997C2, "minimap_objective_pin_global" },
    { 0xC33F2A8A4AEF1ED4, "minimap_objective_pin_player" },
    { 0x9761FBAEC3E5CA58, "minimap_objective_pin_team" },
    { 0xA43C1249867C8528, "minimap_objective_player" },
    { 0xC4CB558E5E3C9B45, "minimap_objective_playerenemyteam" },
    { 0xD1945E70CA748DE5, "minimap_objective_playermask_hidefrom" },
    { 0x80701F8571942D64, "minimap_objective_playermask_hidefromall" },
    { 0xB5BD4525604C076D, "minimap_objective_playermask_showto" },
    { 0xD02BC874EF90D29C, "minimap_objective_playermask_showtoall" },
    { 0xBDC97E2D03EDB091, "minimap_objective_playerteam" },
    { 0xE51C4F540ACAE7E2, "minimap_objective_position" },
    { 0x9E00E06A09A69667, "minimap_objective_setbackground" },
    { 0x800F337C056D9A80, "minimap_objective_setzoffset" },
    { 0xD9A2F4B9FC139B8E, "minimap_objective_state" },
    { 0xB719CAB474C19324, "minimap_objective_team" },
    { 0x2D1626F61EFD2C2D, "minimap_objective_team_addtomask" },
    { 0x89A5E3BC897BAE85, "minimap_objective_team_removefrommask" },
    { 0xC0312E630C3DA23B, "minimap_objective_unpin_player" },
    { 0xF4A064B3798BDF33, "minimap_objective_unpin_team" },
    { 0x01E5A9A910180173, "minimapcornertargetname" },
    { 0xC4BDB949427E791B, "minimapheight" },
    { 0xC4EC1F3426AD0E61, "minimapicon" },
    { 0xBB4C3C3218B2FC93, "minimapiconactive" },
    { 0x4A420D533D98853D, "minimapid" },
    { 0x8E3067DDAB76713E, "minimapobjidpool" },
    { 0xA3A3A67F84DEB0D5, "minimaponbydefault" },
    { 0x20E4CA1984916FE2, "minimaporigin" },
    { 0x6E2EF2D4990D5995, "minimapplayer" },
    { 0x4911980EC69B1B5B, "minimapstatetracker" },
    { 0xAF9D308B6D382020, "miniprevweaponobject" },
    { 0x034AAEF45EBB372E, "minpaindamage" },
    { 0x3DF08ECF1949BE74, "minpainvalue" },
    { 0xCA52585CEDC9778E, "minplayerdist" },
    { 0x674D38E300F94F31, "minplayerspeeddist" },
    { 0x7F35A2B091658AC7, "minplunderdropondeath" },
    { 0x1D54E9C8CE0E700F, "minplunderextractions" },
    { 0xCAB2951274672913, "minpriority" },
    { 0xA4365218D3AF7309, "minradius" },
    { 0x528B1B32352E0347, "minrangedarkness" },
    { 0x05ED6CDFBC7D711F, "minrequirements" },
    { 0xB37DD119EF8F8923, "minscale" },
    { 0xE94A28DFE0C671A2, "minshotinterval" },
    { 0x709A782D4A16D9FE, "minshotstostage2acc" },
    { 0x40B0F41B49F6A98B, "minshotstostage3acc" },
    { 0x84DBE947A0079DD6, "minspeed" },
    { 0x40BC495D7593C1AA, "minspeedsq" },
    { 0x810B74AA2D60DE4E, "minsteps" },
    { 0xE02969E6CC076B82, "mintime" },
    { 0xB5A0314BC3433689, "mintokensdropondeath" },
    { 0x27AE5C982B1063AB, "mintracktime" },
    { 0xD8BC31BB4E21448B, "minus" },
    { 0x6CED26AB7D079AD2, "minusedistsq" },
    { 0xFFA9E8DA2DF1627E, "minvehicles" },
    { 0xD88C30BB4DECE61B, "minxp" },
    { 0xC40B6ED9721F8719, "mirror_left_dead" },
    { 0x2C0E7A46E50DCF66, "mirror_right_dead" },
    { 0xDFD839B165CC892B, "miscmessagebitflipper" },
    { 0xE13237B6E389C2CF, "miss_player" },
    { 0x334B58CC4F9ACBB7, "miss_player_in_the_back" },
    { 0xD922ECDB9AFD9995, "miss_rpg_enemy_think" },
    { 0xB1896D2780B8493A, "miss_rpg_watch_for_player_convoy" },
    { 0xBCEE8B8908E1D916, "missed_shots" },
    { 0x3721F031DC74CCD6, "missed_time_penalty" },
    { 0x4C43D1C9534DDE1D, "missedinfilplayerhandler" },
    { 0xAA11EDF12D63C14F, "missile" },
    { 0x14D815BD688E7002, "missile_anchor_clean_up_think" },
    { 0x386F021D1526EFED, "missile_array" },
    { 0xB597980CC9953180, "missile_cleartarget" },
    { 0xE0A650A545DF6E39, "missile_createattractorent" },
    { 0x46E031C1F4073D7E, "missile_createattractororigin" },
    { 0x866EA0107F3BED93, "missile_createrepulsorent" },
    { 0x6A901F5DC166BDD0, "missile_createrepulsororigin" },
    { 0x1A6D345FEB9E6AA7, "missile_deathwait" },
    { 0x53535EC96B96E2CE, "missile_defense_camera_anchor" },
    { 0xDD83037193AE3F0E, "missile_defense_camera_focus_think" },
    { 0x82E6AF37644D0957, "missile_defense_fire_interceptor_missiles" },
    { 0x2D788A398A0FE940, "missile_defense_lock_on_cruise_missile_think" },
    { 0xCC9DE66B400CA79D, "missile_deleteattractor" },
    { 0x6F9AE5AE423D5395, "missile_earthquake" },
    { 0x19EB6924D6FC5384, "missile_earthquakerumble" },
    { 0x702485C6AEAC1BE4, "missile_explode_quakes" },
    { 0xFE6F532975E911D9, "missile_find_ground_target" },
    { 0x4760FC5FE0AA69B4, "missile_fire" },
    { 0xA90AC4907B58DB06, "missile_get_desired_angles_to_target" },
    { 0x2EAA867E43ADC8CE, "missile_get_distance_to_target" },
    { 0x68BC4F54F3975CFF, "missile_hit_target" },
    { 0x077DD019BAF18616, "missile_impact_rumble" },
    { 0x80B6C7C6B8C7B38C, "missile_isincoming" },
    { 0xA4BBBED3766E6D9D, "missile_laser_tags" },
    { 0x763F3581FA244706, "missile_logic" },
    { 0x801565473C6ACE64, "missile_setflightmodedirect" },
    { 0x2784B2E0F7BCA454, "missile_setflightmodetop" },
    { 0x75AC5D7528409118, "missile_setphasestate" },
    { 0x1A4FE62BC359C1D3, "missile_settargetandflightmode" },
    { 0x82AB453DA7D13C1E, "missile_settargetent" },
    { 0x3F125D3E31D9399D, "missile_settargetpos" },
    { 0xFE7416A28B5FB7FC, "missile_stuck" },
    { 0xD0007781A7A1D8D9, "missileattractor" },
    { 0x2F5EBEACF6CD8DEE, "missileattractorent" },
    { 0x3AA54B97FBCBBCFB, "missilebooston" },
    { 0x6D2D7B5822FF9667, "missileburstfire" },
    { 0xA8EFA2A52A7B3DD6, "missiledonttrackkillcam" },
    { 0xAC19C38783E4974E, "missileexplcounter" },
    { 0xBD8D3F5A3A529249, "missileeyes" },
    { 0x56CC44206F2AC7ED, "missilefired" },
    { 0x49AAC2A6E97D8D60, "missilefireside" },
    { 0x5EC31CB01343AF2D, "missilehidetrail" },
    { 0x38B8000F86980966, "missilelastangle" },
    { 0x399E973B2805970F, "missilelastpos" },
    { 0x48487DCDA19E976D, "missilelauncher_finalizelock" },
    { 0x5CBC79434CC1B2CD, "missilelauncherlockstarttime" },
    { 0xB204771D880385DD, "missilelauncherlostsightlinetime" },
    { 0xEF6347A8A150FCC3, "missilelauncherstage" },
    { 0x0F74B6E92569D5EA, "missilelaunchertarget" },
    { 0x14548931D61E2F86, "missilelauncherusage" },
    { 0x6BF5464D51A1269C, "missilelauncherusageloop" },
    { 0x9CBF2EB1BD076899, "missilelauncheruseentered" },
    { 0x4D119E4AC54997F3, "missilelosetarget" },
    { 0xDA68A2AA5E34A15B, "missileoutline" },
    { 0x7A889DD4CED802CF, "missileremotelaunchhorz" },
    { 0xEF91DC4EE05C985F, "missileremotelaunchtargetdist" },
    { 0xDCCE7B8199C78771, "missileremotelaunchvert" },
    { 0x692F8566D261F6F4, "missiles" },
    { 0x1AA0E10F2980C815, "missilesleft" },
    { 0x415DD90F47E20FE2, "missilethermal" },
    { 0x83F4CE78DE27B7FE, "missilewhizby" },
    { 0xE1912508BC2AA230, "missing_ru_soldier" },
    { 0x13D63517F87E9E22, "missing_window_blockers" },
    { 0x957F743AB2C61B9B, "missingstub" },
    { 0xD97B0857B96B9F75, "mission_complete" },
    { 0xE9779EE735A9C769, "mission_diffstring_ifnotcheating_set" },
    { 0xD6AB8666344DAA4E, "mission_fail" },
    { 0x893CE8C72D769789, "mission_fail_func" },
    { 0x77E44D4DF55D0ECF, "mission_failed" },
    { 0xA333BB0E2E12D9D2, "mission_failed_icon_cleanup" },
    { 0xE9C340BF0B7AA3EB, "mission_jumpto_debug" },
    { 0xD2D38240DC4D1456, "mission_select" },
    { 0x4B75C5515D615299, "mission_select_armsdealer" },
    { 0x5DFA1D5200C48EA5, "mission_select_landlord" },
    { 0xA0CB3E90802DDE06, "mission_select_s11_1" },
    { 0x0935B51CCA674F1D, "mission_select_think" },
    { 0xFDA51CD56DBAC9F0, "mission_select_think_new" },
    { 0x86AD8E456CA96749, "mission_success" },
    { 0xD18BB68DBC424139, "missionbasetimer" },
    { 0xB9BF2056670ED2D5, "missionbonustimer" },
    { 0xEFEB43B82A616D8A, "missionend" },
    { 0xCDCF914AC1D2EB2D, "missionfail" },
    { 0x75BC5E4B0895A0F4, "missionfailed" },
    { 0x62E03C4A6BF1A587, "missionfailedwrapper" },
    { 0x541A7463E8A8A540, "missionid" },
    { 0x4D58293C7F2B9A06, "missionparticipation" },
    { 0xFBCE5F2CD6B288DE, "missions_clearinappropriaterewards" },
    { 0xCFF2F2AA10B0C068, "missionsettings" },
    { 0xE33F37784BF61F6E, "missionstarttime" },
    { 0x563A386437F84FD0, "missionsuccess" },
    { 0x899AB1953DC01504, "missiontime" },
    { 0x588B8FEA25C3DE92, "missle" },
    { 0xB263F12C8EBBD8B8, "missplayer" },
    { 0x2CBD79B1D17AF989, "missrefundwatcher" },
    { 0x30E4876848FD7CFC, "misstime" },
    { 0x9AB7175822077AB8, "misstimeconstant" },
    { 0x8BD4BD9F70AF374F, "misstimedebounce" },
    { 0xF772524C024F3E48, "misstimedistancefactor" },
    { 0x367C21041E69BD0D, "mix" },
    { 0xF83B9757E3D5C7BA, "mix_loot_pickups" },
    { 0x227D7C4823DD40D2, "mix_with_caps" },
    { 0x8BE1385132B7CCED, "ml_p1_func" },
    { 0x4E9D4E5CF1CC5E47, "ml_p1_intel_area" },
    { 0x17FB5DA04C0CFF17, "ml_p1_intel_drop" },
    { 0x9333D45950C3F505, "ml_p1_intel_locs" },
    { 0xD8448B5BF9A2FFF3, "ml_p1_intel_player_vo" },
    { 0xF4FA7DCB2BA1E511, "ml_p1_obj_loc" },
    { 0x5C54A901130028C8, "ml_p1_obj_spawners" },
    { 0x13DF33B2403EE68C, "ml_p1_objectives_registered" },
    { 0xA09BF1AD665E8CC1, "ml_p2_doors" },
    { 0xE16145D1E3B6CC0C, "ml_p2_doors_clip" },
    { 0x18FEDD8E4109E9DB, "ml_p2_fail_start" },
    { 0x20CBF58FD7EBA6DE, "ml_p2_func" },
    { 0x5BCE16EE95DAC862, "ml_p2_get_heli_start" },
    { 0xE816F18425022BAA, "ml_p2_interrogate" },
    { 0xA096AB8E083B3AF1, "ml_p2_objectives_registered" },
    { 0x8100210111B4EDBB, "ml_p3_func" },
    { 0xD99A999F108F4906, "ml_p3_objectives_registered" },
    { 0xE1661688EFD71816, "ml_p3_to_safehouse_transition" },
    { 0x0AFDB6B941569917, "mlghitlocrequiresclamp" },
    { 0x5C23E796E8E2D323, "mlgiconemptyflag" },
    { 0xE3F6A9591339925F, "mlgiconfullflag" },
    { 0xDD33A3A49839AC8C, "mlgmodifyheadshotdamage" },
    { 0x99D5B885CF97BB49, "mlgpoint" },
    { 0xF77C4B2EB3BD20BC, "mlp1_obj_func" },
    { 0x4F53283438BA2FA9, "mlp2_1_start" },
    { 0xBA4D935C96116138, "mlp2_2_start" },
    { 0xCD0663DCA6B033C6, "mlp2_3_mnu_start" },
    { 0x6C53FB92F9688C47, "mlp2_3_start" },
    { 0xDEFA8A313299A245, "mlp2_debug_start" },
    { 0x6511162F59C23202, "mlp2_front_truck" },
    { 0xAC875E19BD04987A, "mlp2_group" },
    { 0x49255C9CA95DD080, "mlp2_mnu_start" },
    { 0x8EFCD3F76F520017, "mlp2_obj_func" },
    { 0x27F937580C1926AE, "mlp2_observe_start" },
    { 0x38B585481C60EA51, "mlp2_roof_group" },
    { 0x277023CD1F996B46, "mlp2_sh1_trig" },
    { 0x1AEF4A57C475A559, "mlp2_sh2_trig" },
    { 0x6601F5D0F761C7DC, "mlp2_sh3_trig" },
    { 0x484134B9D0A3945E, "mlp2_truck_guy" },
    { 0x895794D694004326, "mlp2_vehicles" },
    { 0xD62A297F7277D28E, "mlp3_obj_func" },
    { 0x00D226D4A6C0CAB8, "mobilearmoryplundercost" },
    { 0x367301041E5F57FF, "mod" },
    { 0x6BF85C640456707F, "mod_crush" },
    { 0x136224849C7D8347, "mod_explosive" },
    { 0x5E5ACD0C3D452F58, "mod_explosive_bullet" },
    { 0xA7BFF36032034297, "mod_falling" },
    { 0xA8AF4D197604BC84, "mod_fire" },
    { 0x2C3C9DCC1963317D, "mod_fire_bullet" },
    { 0xAE0DC394328DD60E, "mod_grenade" },
    { 0x1AE0EFD49F630304, "mod_grenade_splash" },
    { 0x49037854D23481A7, "mod_head_shot" },
    { 0xAEE58E3F9A04B312, "mod_impact" },
    { 0xE8C66FACCAC067BC, "mod_melee" },
    { 0x8705A89C9FFC7640, "mod_melee_alien" },
    { 0x8DCB9BA9324B3EED, "mod_melee_dog" },
    { 0x5F1306969FE0F638, "mod_pistol_bullet" },
    { 0x7AA9F9E9CDB7C807, "mod_projectile" },
    { 0x3EACC7A4A5B4A757, "mod_projectile_splash" },
    { 0xE8F42E217F4ED6BB, "mod_rifle_bullet" },
    { 0x603A7B53FA586F0C, "mod_suicide" },
    { 0x21F1616193A3882C, "mod_trigger_hurt" },
    { 0x7F1FFBA547B0443A, "mod_unknown" },
    { 0x8934BCC1CFEFC06E, "moddamage" },
    { 0x1E42D60ECBADA7AE, "mode" },
    { 0x69821BF82E7F42BC, "mode_can_play_ending" },
    { 0xADA3ED07C48104CC, "modeaddtoteamlives" },
    { 0x7DE42422E125A67E, "modeallowmeleevehicledamage" },
    { 0x2ADFE70691A2B2A7, "modecontrolledvehiclespawningonly" },
    { 0xF48FCF76E7E23415, "modeextendlatejoinerloadscreen" },
    { 0x784FF4A654D0451A, "modegetforceoperatorcustomization" },
    { 0x44F820E56F4CC676, "modeignorevehicleexplosivedamage" },
    { 0xDF2C6C7FBE255E74, "modeiskillstreakallowed" },
    { 0x3AA48489EEE7EFA6, "model" },
    { 0x1CED2E3058832F7D, "model_created" },
    { 0xFEF46FF9F7E66438, "model_ent" },
    { 0xB500B5E48A870140, "model_name" },
    { 0x6DECC7F98D9AE878, "model_off" },
    { 0x9D56BD2BF87687BF, "model_parts" },
    { 0x5FB040B678D4BBB3, "model_spot" },
    { 0xECDB7B6EB0043E4E, "model_swap_gate" },
    { 0x77F6F73BDDA8191A, "modelaststandallowed" },
    { 0xFA1E367AD4D79909, "modelbad" },
    { 0xE7C93C2215DDCEEB, "modelbase" },
    { 0x66E0B9AE18DBD706, "modelbasealt" },
    { 0x3DB6ACBF6725BC32, "modelbasecover" },
    { 0x0357AACF77F85554, "modelbaseground" },
    { 0x5EC3576F297C714C, "modelbombsquad" },
    { 0x65E9CA3F118E4039, "modeldestroyed" },
    { 0x1CDD35A4BB9DCD14, "modeldestroyedcover" },
    { 0x3B2B9D2FE420524A, "modeldestroyedground" },
    { 0x3313055522AD573E, "modeldummy" },
    { 0xD7BAB2D4451A321F, "modelgood" },
    { 0xBA9075040D40E82A, "modelindex" },
    { 0xD572087A552F27C5, "modelname" },
    { 0x98F05B0956B45542, "modelnames" },
    { 0xBFBB8E1B3C1CD779, "modeloadoutupdateammo" },
    { 0x1D130AC47BEBA31F, "modelpart" },
    { 0xA39C102B9231E5D1, "modelplacement" },
    { 0xABCC9728B445B130, "modelplacementfailed" },
    { 0xDFBF50586814716F, "models" },
    { 0xE92783EB5EAB1869, "models_lit" },
    { 0x22E64EA91D52C279, "models_on" },
    { 0xD5D4F60536F9F6B8, "models_unlit" },
    { 0xB747E098CCC6B2C4, "modelscale" },
    { 0xCEE3D0E33C2AA894, "modelusesprefab" },
    { 0x3E3803FB7CB5B627, "modemayconsiderplayerdead" },
    { 0x144C631CD86B133B, "modeonexitlaststandfunc" },
    { 0xF5A65BE1BB4A4A7B, "modeonlaststandfunc" },
    { 0x1F8601CC9CC8C89B, "modeonspawnplayer" },
    { 0xA177C37F950AEF1D, "modeonsuicidedeath" },
    { 0xCE1B59A85F3F31F0, "modeonteamchangedeath" },
    { 0x45AEE7CC86B29B85, "modeplayerkilledspawn" },
    { 0x684D3F6D94D81FBC, "modeplayerskipdialog" },
    { 0x10E8F5E7D397765A, "moderemovefromteamlives" },
    { 0x5B04BF71738DE139, "moderestrictsarenakillstreaks" },
    { 0xA25EE3CAF7F27943, "modescorewinner" },
    { 0x89FB9C95B3E7FD50, "modeshoulddofauxdeathfunc" },
    { 0x5A94A6A0845EDDAD, "modespawn" },
    { 0x70E66B97448CC2D6, "modespawnclient" },
    { 0xEDF7790FA93F8681, "modespawnendofgame" },
    { 0xEE98335D299D2D73, "modespecificparachutecompletecb" },
    { 0x8FDD085DEDCA984A, "modestatmap" },
    { 0xC4CC6F16BA719F0E, "modestatsenabled" },
    { 0x76C19AA7629668CE, "modetype" },
    { 0x9747649824B55DEB, "modeupdateloadoutclass" },
    { 0x7E1E20776BAB2AF9, "modeusesgroundwarteamoobtriggers" },
    { 0xF8C069196C8D271F, "modevalidatekillcam" },
    { 0x3182FD76A8F023B6, "modevalidatekillstreakslot" },
    { 0x37B2A32228BA3E78, "modified_enter_combat" },
    { 0x56B6F5AFA617BF4D, "modifiedbombzones" },
    { 0xDD58178B21B2C42A, "modifieddefendcheck" },
    { 0x1EB46F518962D0C5, "modifieddefendradiussetup" },
    { 0x321CF7AED3E9D6CE, "modifiedspawnpoints" },
    { 0xF2053945ABF7A434, "modifier" },
    { 0x39213B39319E4825, "modifiers" },
    { 0x0905D4903AE678BB, "modifiervarindex" },
    { 0xF8E6E5F84FEE7184, "modify_apache_lifetime" },
    { 0x75A3D3F67224A0C2, "modify_blast_shield_damage" },
    { 0x9F173602B041B15C, "modify_juggernaut_damage" },
    { 0xE772634EBB0D6D79, "modify_moveplaybackrate_together" },
    { 0x6378F9A62F81DC51, "modify_player_speed" },
    { 0x6E78A9A4A5F19FF6, "modify_plunder_itemsinworld" },
    { 0x7CA405D5ADABF032, "modify_rate" },
    { 0x12067C1A10B028B3, "modifyakimboburstrenettidamagehack" },
    { 0x1D98630AA343510D, "modifybasefov" },
    { 0x0F46F53B4A25394A, "modifyblastshieldperk" },
    { 0xEC33C278371316EF, "modifybombzonecollision" },
    { 0xD6458B3BD9CF4FAB, "modifybrfalldamage" },
    { 0x43D03A15FDF80489, "modifybrgasdamage" },
    { 0x78BF643499318C00, "modifybrvehicledamage" },
    { 0xC053368F44FD50DB, "modifycrushdamage" },
    { 0x8426736BD9FF74FE, "modifydamage" },
    { 0x0A2C1E1789FACCF6, "modifydamagegeneral" },
    { 0x264C72F9039F9681, "modifydamagetohunter" },
    { 0x29810C79C0EA10EE, "modifydamagetoprop" },
    { 0x7D1E2385B326DF30, "modifydestructibledamage" },
    { 0x50114346FD1B6F7B, "modifyfalldamage" },
    { 0x485EED4EED0939DD, "modifyjailknifedamage" },
    { 0x40B335AFA03E78F2, "modifyplayer_damage" },
    { 0xAE98DF0F8D12DEFB, "modifyplayerdamage" },
    { 0xE5FDD89DDEC9636C, "modifyplayerdamage_relics" },
    { 0xF789DCFAB2B6EA55, "modifyscenenode" },
    { 0x9FC63FCDE5048EA0, "modifyspacejumppath" },
    { 0xCDB92681B543DECA, "modifystatgroupwritability" },
    { 0x12126D23BED508D5, "modifystatwritability" },
    { 0x836AB1CEA33840CF, "modifysuperequipmentdamage" },
    { 0x3F7228983FDCDDCE, "modifyteamdata" },
    { 0x69E124D026E44B4A, "modifytriggerlocation" },
    { 0xC18816343A270200, "modifyunifiedpoints" },
    { 0x66ACB2060BA060DB, "modifyunifiedpointscallback" },
    { 0x4F2841CD9ACD3310, "modifyvehicledamage" },
    { 0x350A1D3A970BC744, "modifyvehicletoplayerdamage" },
    { 0xCB0C0170B85A11EF, "modifyweapon" },
    { 0x0C467F8B0CE4DDBE, "mods_that_can_stun" },
    { 0x76B26B8CB772B5CD, "modsforclass" },
    { 0x4D93D41D75B4BB69, "modsforvehicle" },
    { 0x461A7FFBF9BDFC56, "modular_spawning_debug_init" },
    { 0x6EC2C0A2532E838D, "modular_spawning_vehicles" },
    { 0x5D92E3178BF9D913, "module_always_attempt_killoff" },
    { 0xB0F786FF0B80C0DD, "module_call_counter" },
    { 0xD3E01EB464185D63, "module_disables_spawners_until_owner_death" },
    { 0x4A93D63F4904EF03, "module_group_id" },
    { 0xA1B12C3A3C9CC8D4, "module_has_data_for_call_count" },
    { 0x1590C9A0EFC3170C, "module_init_funcs" },
    { 0x01B75411E1C8EC98, "module_pause_funcs" },
    { 0x4B70210DE8E7C419, "module_run_func_after_notify" },
    { 0x69B50A4989A47202, "module_set_goal_height" },
    { 0x2A18FC64B9724B53, "module_set_goal_radius" },
    { 0x691C126BD0A5C739, "module_set_script_origin_other_on_ai" },
    { 0x04CD3534D6D4AC1E, "module_set_skip_basic_combat" },
    { 0x33AE8B69F95AB07D, "module_unpause_funcs" },
    { 0x9AC1175CEFED3357, "module_vehicles" },
    { 0x07F0307580623677, "module_vehicles_count" },
    { 0x3D6363EFF7AB645D, "module_wait_for_level_flag" },
    { 0x194898E58BA3E1B6, "module_wait_for_level_flag_set_and_clear" },
    { 0x283D7E2C709242AB, "module_wave_spawn" },
    { 0x629BB4ACFDB4B2EC, "moduleid" },
    { 0x5025ABF52EAA360C, "modulespawngroups" },
    { 0x0EA1519F8C01B45C, "moloachievementvictims" },
    { 0x8945250FB48AC6B5, "molotov" },
    { 0x8215F2925ED9D94A, "molotov_begin_fx" },
    { 0x4FFEF978C8999640, "molotov_branch_create_forward_tendril_cone" },
    { 0x11EE72AE489A5ADC, "molotov_branch_create_forward_tendril_radial" },
    { 0xC2EE3186D7E48844, "molotov_branch_create_left_tendril_cone" },
    { 0x5040A518C63369FA, "molotov_branch_create_pool" },
    { 0x5FB0E03EB2201F7D, "molotov_branch_create_right_tendril_cone" },
    { 0x80633DC270C0EFF3, "molotov_branch_create_sub_branch" },
    { 0x9DEBAC8FA307C88E, "molotov_branch_create_tendril_radial" },
    { 0x9ABA15F6D2FC96DF, "molotov_branch_is_complete" },
    { 0x835BC4EF57C08D24, "molotov_branch_register_cast" },
    { 0x54AC00B3A51EA4F1, "molotov_burn_for_time" },
    { 0xD801E7C634C2BC67, "molotov_burn_sfx" },
    { 0x98F324ED935E7CE4, "molotov_burning_corpstable_func" },
    { 0x7E533EB86FF3EAB9, "molotov_burning_source_is_valid" },
    { 0x42675092831A3945, "molotov_can_cast_this_frame" },
    { 0x38068D80A00D36FE, "molotov_cleanup" },
    { 0x806A28B149CD618B, "molotov_cleanup_branch" },
    { 0x2B01508590D4021A, "molotov_cleanup_burn_source" },
    { 0xBF036B4A74047E26, "molotov_cleanup_burning" },
    { 0x622413E4360A2B7F, "molotov_cleanup_burning_on_death" },
    { 0x32313BB94AAA5E4F, "molotov_cleanup_burning_on_game_end" },
    { 0xD648AFB6F2DF5503, "molotov_cleanup_grenade" },
    { 0xA0C68DEDC4EA5E41, "molotov_cleanup_pool" },
    { 0x364D6848342F73DA, "molotov_cleanup_pool_trigger" },
    { 0xD62238E4F9213768, "molotov_cleanup_pool_trigger_end_early" },
    { 0xF63F1B0EF802EF93, "molotov_clear_burning" },
    { 0xA09EF6F94A1690EE, "molotov_clear_fx" },
    { 0xEB8A98C2B5F40317, "molotov_crate_player_at_max_ammo" },
    { 0x1B2D9EB5D941CA75, "molotov_crate_spawn" },
    { 0x8FFB37B7F2A07F84, "molotov_crate_update_hint_logic_alt" },
    { 0x7753D7EB191A9721, "molotov_crate_use" },
    { 0xB2C28A3F3DC7306F, "molotov_create_branch" },
    { 0x4206CA902D5D7E95, "molotov_create_pool" },
    { 0x7A280C6C31E32366, "molotov_create_pool_trigger" },
    { 0x6083A06E796680F3, "molotov_create_shared_data" },
    { 0x06EAE3FB6214E98A, "molotov_damage_over_time" },
    { 0x4AD5BDBDDDB35299, "molotov_delete_oldest_scriptable" },
    { 0x93368B9800D0D482, "molotov_delete_oldest_trigger" },
    { 0x629B5668DC7D075C, "molotov_delete_pool_by_id" },
    { 0xA744CB202D4BC719, "molotov_delete_scriptable" },
    { 0x8FA9FA2E3F2D7202, "molotov_delete_trigger" },
    { 0x212690585E936AD2, "molotov_end_fx" },
    { 0x3AB7DDEB8D6D89D4, "molotov_fake_light" },
    { 0x176C08AC943A150C, "molotov_fire_ab_light_flicker" },
    { 0x87D62AF60E029A2D, "molotov_fire_ab_light_off" },
    { 0x01D7CBFFFB7A6411, "molotov_fire_ab_light_on" },
    { 0x1E80C202AC9943E2, "molotov_fire_sfx" },
    { 0x8FC75D213C866365, "molotov_fx_race_death" },
    { 0xD3256D61DCCC91D2, "molotov_fx_race_grenade_fired" },
    { 0x301D7CD089772B59, "molotov_fx_race_held_offhand_break" },
    { 0x190AE8A244CDBEA5, "molotov_fx_race_pullback" },
    { 0x73C463ABF016183A, "molotov_fx_race_super_started" },
    { 0x3C5DE180CA76AB90, "molotov_fx_race_taken" },
    { 0x770870F14C6AF16B, "molotov_get_burning_info" },
    { 0x995F717C6002A83A, "molotov_get_burning_source" },
    { 0x4A5FD54482FA03CB, "molotov_get_cast_contents" },
    { 0x43FDADB57364C6FD, "molotov_get_cast_data" },
    { 0xCD57D273D1385BEC, "molotov_get_cast_dir" },
    { 0xD08472B51EF7A551, "molotov_get_cast_dist" },
    { 0x55EFE1AF7865BD0E, "molotov_get_cast_level_data" },
    { 0xD38D1B818A74EB38, "molotov_get_level_data" },
    { 0x8A3F2A7F62534246, "molotov_get_next_burning_id" },
    { 0x8C1952FF6198DACE, "molotov_get_pool_data" },
    { 0xC7D3446E340D96B9, "molotov_get_pool_level_data" },
    { 0xFD687B9DAB97553D, "molotov_get_unique_pool_id" },
    { 0xD4DC2F89BA727977, "molotov_guy_death_watcher" },
    { 0x70DA7FCD0BD65E4E, "molotov_hint_flash" },
    { 0xBAB59B1F0FD7CBC4, "molotov_init" },
    { 0xB112C208C5747E0F, "molotov_init_cast_data" },
    { 0x828F220730985F90, "molotov_init_pool_data" },
    { 0x92025F635C4C4500, "molotov_init_pool_mask" },
    { 0x8EB651222A8A6E82, "molotov_is_burning" },
    { 0x960D81856174E65C, "molotov_left_tendril_mod_angles" },
    { 0x57DAF6239E523E94, "molotov_mortars" },
    { 0x8011682E610BDBCB, "molotov_notify" },
    { 0x0D71FB82D0A9BCD1, "molotov_on_give" },
    { 0x7F9E7CC977558795, "molotov_on_player_damaged" },
    { 0x7D96CDCC18E6DEBB, "molotov_on_take" },
    { 0x14B6B9315B7D5C83, "molotov_play_burning_fx" },
    { 0x1668D73B99AC04F6, "molotov_pool_end" },
    { 0xEF4326B251073E63, "molotov_pool_start" },
    { 0x3B426E4EDAEC5546, "molotov_pool_update_scriptable" },
    { 0xE7994DB8C85FD238, "molotov_rebuild_angles_up_forward" },
    { 0x2AA0D9FBE1F519F7, "molotov_rebuild_angles_up_right" },
    { 0x16145C1891C3FAD7, "molotov_refill_hide" },
    { 0xE034458D9281C83A, "molotov_refill_show" },
    { 0x0AB86CBE8026B9C7, "molotov_register_cast" },
    { 0x7948FB403299D8B7, "molotov_register_scriptable" },
    { 0x131AEACFDBABE114, "molotov_register_trigger" },
    { 0xBD39E043628C26CD, "molotov_right_tendril_mod_angles" },
    { 0xA744BA1029A58FBC, "molotov_rotate_angles_about_up" },
    { 0x636B310CCF0563F4, "molotov_shared_data_can_cast_this_frame" },
    { 0x1502AE40F48B8769, "molotov_shared_data_is_complete" },
    { 0x9A20FF2BD39B2CA2, "molotov_shared_data_register_cast" },
    { 0x5FE594A4C4CE2336, "molotov_shared_data_register_ent" },
    { 0x50AAE5D95758A0BB, "molotov_simulate_impact" },
    { 0xEAAB98B72B6FF6DE, "molotov_spark_trig" },
    { 0xAF06E6A5EE327EDB, "molotov_start_branch" },
    { 0xE54379C86E56A976, "molotov_start_burning" },
    { 0x4564883F3554B73E, "molotov_stop_burning" },
    { 0x6EF038E32E901535, "molotov_stop_burning_fx" },
    { 0x17DEA577F88EB843, "molotov_store_branch_ents" },
    { 0x7F8DA179433C882A, "molotov_stuck" },
    { 0xE5944D835F9C938E, "molotov_stuck_player" },
    { 0xF638B3F1683876B5, "molotov_take" },
    { 0xA1C794A72689CCE8, "molotov_tendril_mod_angles_radial" },
    { 0x4A1C397B96F43C88, "molotov_throw_spots" },
    { 0x4FABFD4EB3EA086F, "molotov_throw_targets" },
    { 0x218940783D1F2F55, "molotov_throw_watcher" },
    { 0x05912DA5E597D13E, "molotov_throwers" },
    { 0x854E2EB9DC9273A6, "molotov_trigger_timeout" },
    { 0x7BF3735D0B780F2B, "molotov_update_burning" },
    { 0x58D50702D10CE147, "molotov_used" },
    { 0xEA8CC84AAE04DFE9, "molotov_watch_cleanup_pool" },
    { 0xCC64D4E2241EE1CF, "molotov_watch_cleanup_pool_internal" },
    { 0x8B5E205DF4D23E68, "molotov_watch_fx" },
    { 0xAAF389F70E73E24C, "molotov_watch_pool" },
    { 0x604E01C0CBF2F8F1, "molotov_watch_pool_explosion_extinguish" },
    { 0x19E9470BC7C2E816, "molotov_watch_pool_trigger_enter" },
    { 0xB5D867DABEE9B7E0, "molotov_watch_pool_trigger_exit" },
    { 0x57F2AC0E7AC5CE1B, "molotovbadplace" },
    { 0xE0E1482819815DA4, "molotovburnenemy" },
    { 0xBED6B484F316FEAD, "molotovburnscriptablevehicle" },
    { 0xC0BF86BFDD5F9F58, "molotovburnvehicle" },
    { 0xA03CBC0551FEE275, "molotovdata" },
    { 0x8D353963CCD5B6D6, "molotovexplode" },
    { 0xB34CCF90B30CD13C, "molotovfiremain" },
    { 0x19135E3D8F430138, "molotovrecentlyused" },
    { 0xF227B3716F2C1BF1, "molotovrefilltriggerthink" },
    { 0x6DD7478A0D332572, "molotovs" },
    { 0x102F822C3BF5EFA8, "molotovs_damage_hvts" },
    { 0xEDBF4A88D08CB768, "molotovviewmodelfiremanager" },
    { 0x3DDEA5F3C5FB5DC6, "moltovgetai" },
    { 0x6E7977C6D6D53CBC, "moltovgetscriptables" },
    { 0x187702072CB9C891, "moltovgetvehicles" },
    { 0xCAB1FB2844B4B058, "moltovrefillthink" },
    { 0x367308041E5F6764, "mom" },
    { 0x4A39C2D7821C26AA, "momdeathreact_anime" },
    { 0xD450B6A8D3BD8B9B, "momentum" },
    { 0xACB68936EA06BAF9, "momentum_endaftermax" },
    { 0x2E3E604F48167E4F, "momentum_monitordamage" },
    { 0xA7F0B5C6206932E3, "momentum_monitormovement" },
    { 0x5E47FBD2CE5F83AE, "momentumspeedincrease" },
    { 0x1B404ABDA4E43D10, "mon_clip" },
    { 0x3E909F7C913CD625, "monitor" },
    { 0x4F3A29D3BA594C0C, "monitor_ai_in_danger" },
    { 0x06E0D8F3EC579BBE, "monitor_ai_movement_vol" },
    { 0x4416283FB961117C, "monitor_ball_carrier" },
    { 0xF660A9D996639C3F, "monitor_balloon_marker_throw" },
    { 0x4DA6F48899DBE7DE, "monitor_balloons" },
    { 0x3FEFA097C0B0FCF2, "monitor_bombzone_control" },
    { 0x98DF221EC898998B, "monitor_bush_trig" },
    { 0xFE69FA169582475A, "monitor_callbutton" },
    { 0x9105110D9B567D90, "monitor_cart_directional_push" },
    { 0x05078B3537767180, "monitor_cautious_approach_dangerous_locations" },
    { 0xBE8F917F6320D633, "monitor_cautious_approach_early_out" },
    { 0xC15F6BC3B073FED3, "monitor_cover_damage" },
    { 0x86F3941390E9AB74, "monitor_damage_thread" },
    { 0x1855EE43DB0C67ED, "monitor_death_thread" },
    { 0x006B302022C61B0E, "monitor_defend_player" },
    { 0xB410ECE5E94B0C54, "monitor_defuse" },
    { 0x45632CD465F89F7B, "monitor_distance_from_starting_street" },
    { 0xFB44AB1BB6369133, "monitor_door_push" },
    { 0xD6D52985B52AB3CB, "monitor_dropkit_marker_throw" },
    { 0xC02F4F77B8769124, "monitor_dropmenu" },
    { 0x7599A05D67D8CCDC, "monitor_dropped_phones" },
    { 0xBA709F793AEA747F, "monitor_enemies_enter_perimeter" },
    { 0x602D0DD8A16A90ED, "monitor_enemy_been_seen" },
    { 0x37F1EA70632F5BD0, "monitor_enemy_dangerous_killstreak" },
    { 0xAF183F7D676B66CB, "monitor_enemy_death" },
    { 0x66CA6876B4035F1F, "monitor_flag_carrier" },
    { 0xCE13B2F96905A1B6, "monitor_flag_control" },
    { 0xB5A70CA78D032716, "monitor_flag_ownership" },
    { 0x27E0386148310CD7, "monitor_flag_status" },
    { 0x2705A95183FA0CD9, "monitor_fronttruck_death" },
    { 0x557CFE0A07F6BAC3, "monitor_game_end_on_front_truck_death" },
    { 0x7DC8CEB7BA4C9755, "monitor_grenade_fire" },
    { 0xF004C78C7C5FC5B9, "monitor_hack_prox" },
    { 0xFF8AF83F708516C8, "monitor_hallway_mh_mg_los" },
    { 0xFCEA384CEB1E4A59, "monitor_heli_depsoit_or_timeout" },
    { 0x659B4625C9DE56B5, "monitor_hvt_pickup" },
    { 0x2F9BC5F7CE65168B, "monitor_inside_building" },
    { 0x7699F6FEA3EE3E00, "monitor_interact_delay" },
    { 0xBEA6F4B71CF6D02A, "monitor_lookat_ent" },
    { 0xF63A5875E719CDF8, "monitor_molotov_throws" },
    { 0x0C57686AD1155DCE, "monitor_no_colors" },
    { 0xED7EE016606E5F83, "monitor_node_visible" },
    { 0xDE858ADD70EDF89B, "monitor_num_players" },
    { 0x91F5C181E1D2B0E1, "monitor_odin_marker" },
    { 0x3743B095A70EA5DA, "monitor_oilfire" },
    { 0xF87692F002E40567, "monitor_open_completely" },
    { 0x017CFF6457FE0F03, "monitor_outline_ents" },
    { 0xA99C4FF7B0798120, "monitor_pause_spawning" },
    { 0xFCABCBB882A7848C, "monitor_player_close" },
    { 0xE205FDF250DE327A, "monitor_player_death" },
    { 0xF15F84E7D8A809CB, "monitor_player_deaths" },
    { 0xB714B4A048040E15, "monitor_player_found_supply_station" },
    { 0xD497B43726CEED0B, "monitor_player_in_danger" },
    { 0x60B35DE9469FA464, "monitor_player_jump" },
    { 0xD9458AEE8BF0152D, "monitor_player_movement" },
    { 0x839337E98EE00E02, "monitor_player_moves" },
    { 0x41A3F63CD34034EA, "monitor_player_near_truck" },
    { 0x1979E18CE833A3DF, "monitor_player_opens_box" },
    { 0x9C474FE9DF8F096E, "monitor_player_opens_box_backup" },
    { 0x3A9155700D63BD91, "monitor_player_past_loc" },
    { 0x55D49F1A30FA5598, "monitor_player_pinging" },
    { 0xA5E4F262EC79371A, "monitor_player_plunder" },
    { 0xE081BC2F7FEC5E31, "monitor_player_plundercount" },
    { 0x82A11748A27CB04B, "monitor_setup" },
    { 0x78EBDA02BDC0FDA7, "monitor_smoke" },
    { 0xDF48B665B6E9C1B6, "monitor_smoke_grenade" },
    { 0xF6AAE6B14415243F, "monitor_smoke_grenades" },
    { 0xE9EAAEE5B2D4A9F2, "monitor_special_spawns" },
    { 0xB56A4739E92B25F5, "monitor_spotterscope_equipped" },
    { 0xDCDB5E04D099ED91, "monitor_spotterscope_nvg" },
    { 0xA236B7A870185382, "monitor_target_death" },
    { 0x69813630CED44E9C, "monitor_traversal_cooldown" },
    { 0xD72D9D7582926A6E, "monitor_traversal_timer" },
    { 0x900DE73F5012897B, "monitor_traversal_watcher" },
    { 0x6F7F098B39A7FC77, "monitor_tripwire_defuse" },
    { 0x86725F873DA1DAA1, "monitor_truck" },
    { 0xA4DD58648C190E0E, "monitor_truck_stuck" },
    { 0xDE2A476564D13EA5, "monitor_victim_cash_drops" },
    { 0x097EE66E19E464F9, "monitor_wave_cooldown" },
    { 0x6A7F8DA5A3496691, "monitor_wave_spawning" },
    { 0x9878AD834F4CDA8B, "monitor_waypoint_objective_on_front_truck" },
    { 0xFB58E90CFB1188DF, "monitor_weapon_fire" },
    { 0xC948351282C7DA77, "monitor_weapons" },
    { 0x30B8FE2C08AC46D6, "monitor_zone_control" },
    { 0x6CD929C288E83354, "monitoradd" },
    { 0x6E592C0062E9C748, "monitoradstime" },
    { 0xA8C0E8C7B38126F4, "monitorarriveoverdestination" },
    { 0x3986FDC6E97553BB, "monitoraveragevelocities" },
    { 0x16CFE4711B09244D, "monitoraveragevelocityandupdate" },
    { 0x827B618937F5EACC, "monitorboost" },
    { 0x7D32DB294F01E604, "monitorbreachmelee" },
    { 0x85B22027FD0CDECE, "monitorcontextualcallout" },
    { 0x65A75B7433030290, "monitorcontrolscallback" },
    { 0x7F72240E62D695A5, "monitorcratejacking" },
    { 0x6012F2DC55023C40, "monitordamage" },
    { 0xB7E4E773FB1FCD45, "monitordamageend" },
    { 0xA66D8D610BBC8FC4, "monitordamageoneshot" },
    { 0xCBA722F825871A6D, "monitordeath" },
    { 0x855750B195D530EB, "monitordisconnect" },
    { 0xC61C86DF6DEE31F8, "monitordisownedequipment" },
    { 0x62B627608F7A1B4E, "monitordisownedgrenade" },
    { 0x67FF29EEAD92BF58, "monitordisownkillstreaks" },
    { 0x0D63FE0DC74E514F, "monitordriverexitbutton" },
    { 0xAC3D44B9F8A51231, "monitorexitbutton" },
    { 0x0A774E1693C7189C, "monitorextractionlocations" },
    { 0x1BF881192B944949, "monitorflash" },
    { 0x91EE497B61F2E5F4, "monitorgameend" },
    { 0x3849EAE184398534, "monitorgamepadswitch" },
    { 0x07C1660DF30C5A67, "monitorgulag" },
    { 0x9E5F453EBD37E01A, "monitorhealed" },
    { 0x299452E61ECC0918, "monitorhotfoot" },
    { 0xF28967F1A4E052E4, "monitorhvt_gooddroppos" },
    { 0xC1C9F09D0B5489F7, "monitorimpact" },
    { 0x33845066E2DC04E4, "monitorimpactend" },
    { 0x25E1B6B0EC5EA7CE, "monitorimpactinternal" },
    { 0x13759B119A82A811, "monitoringimpact" },
    { 0xFE3B048E46E25B68, "monitorjointeam" },
    { 0x7AB925DB8A818F85, "monitorjumpmasterclaim" },
    { 0x3B71A2506B1D77B2, "monitorlauncherspawnedgrenades" },
    { 0xBF857E5A1E46C616, "monitorlockedtarget" },
    { 0x5E5F7B9C888067F9, "monitormeleeoverlay" },
    { 0xBA0ED60DFB43FEDB, "monitormoraleswaypoint" },
    { 0xA5FFF2333B41A052, "monitormountdisabled" },
    { 0x03035B21A53A540B, "monitormounted" },
    { 0xF0F33D5740ECFC17, "monitorobjectivecamera" },
    { 0x7C6AAA6C4800D2FC, "monitoroutofboundsdistortion" },
    { 0xEB9BCB81A35137F4, "monitorowner" },
    { 0x85E540771F09143E, "monitorownerstatus" },
    { 0xC068E17EB77EBF20, "monitorplacement" },
    { 0x17340B89983B9272, "monitorplayerimpact" },
    { 0xE0BE205E904C5E1F, "monitorplayerimpactend" },
    { 0xF3874358660ED529, "monitorplayers" },
    { 0x100176804A4AAB19, "monitorreduceregendelayonobjective" },
    { 0x70456B73A482DEAC, "monitorreload" },
    { 0x6E067BEA571027BF, "monitorsentient" },
    { 0xCA3222C11B15A809, "monitorsharpfocus" },
    { 0xF4B6AC668600C990, "monitorsmokeactive" },
    { 0x211FF33CFB8840EC, "monitorspectatorassignments" },
    { 0xA5FF963C8AB38424, "monitorsquadmovement" },
    { 0x925D99E219A398A6, "monitorsquads" },
    { 0xD52920190964109E, "monitorsquadspectator" },
    { 0x55A398B33A3C509E, "monitorsurvivaltime" },
    { 0x9BB19A9C29F42B4E, "monitortacmapusage" },
    { 0xB188B87A48573562, "monitortaguse" },
    { 0xBA61F702DD483008, "monitortimeout" },
    { 0xB792D09A85089109, "monitortimeoutupdate" },
    { 0xCC852185B093E283, "monitortimers" },
    { 0xAA7C7F78CD98C89F, "monitoruseweaponfiring" },
    { 0xB958AB79CCB4D3CF, "monitorvotekick" },
    { 0xBB0AC828F21221E1, "monitorweaponchange" },
    { 0x1424173068189F85, "monitorweaponfire" },
    { 0x96132FB467C7CDE4, "monitorweaponfiretime" },
    { 0x19B8FB0E1B5B7249, "monitorweaponpickup" },
    { 0x524EB7CD385D20CD, "monitorweaponswitch" },
    { 0x79376A7062F820DD, "monitorweaponswitchbr" },
    { 0x926123899E855A04, "monitorzawarenesslevel" },
    { 0x35B2CC8E67402283, "montior_chopperkilling_player" },
    { 0xBD3DCACF2A613CB5, "montior_player_fov" },
    { 0x97CF0C9CB7D8D568, "morales_guard_post_func" },
    { 0xB0F3C0D6F60A3EC9, "morales_laptop_initted" },
    { 0xFC9CB37ADBEE3891, "morales_laptop_int_struct" },
    { 0x317C8A12800ACC87, "morales_signal_struct" },
    { 0x3F763920BA2D53C8, "moralesholdoutmagicgrenadewatcher" },
    { 0xC7C84B324AABAAA5, "moraleshostage" },
    { 0xFA732A944F82833C, "moraleslaptopthink" },
    { 0x0E4143E5552A6568, "moraleswid" },
    { 0x483ECD41E7F28E99, "more_crying" },
    { 0xF74A8532FA393158, "more_populated_bombzone" },
    { 0xA8AB3A2A83EFF168, "more_team_id_zero_slot_available" },
    { 0xBC7D6CCE56BE0EDC, "more_team_one_slot_available" },
    { 0xABB53918054B33DC, "morsenumber" },
    { 0x40CFCD426AF57F14, "mortal_in_player_view" },
    { 0x53DAED2918489AFF, "mortar_add_fov_user_scale" },
    { 0x9A738311EED19568, "mortar_anim" },
    { 0x25E30A55B54C170F, "mortar_building_attack_lighting" },
    { 0x1EBF5CA36F93754B, "mortar_building_doors" },
    { 0x9BE3B5F526585300, "mortar_cooldown" },
    { 0xD53061721A9B8AC6, "mortar_door_magic_bullet" },
    { 0xD557DD2E7AFA2FD1, "mortar_enemies_temp_disable_molotovs" },
    { 0xF1D236FC91C5584D, "mortar_enemy_death_watcher" },
    { 0x3FC96794DF2EBDCD, "mortar_getimpactspot" },
    { 0x2A4DBB3E1C9DCFBC, "mortar_guy_breakout" },
    { 0x5D4114E5929D9C4F, "mortar_guy_bullet_shield" },
    { 0x484B56378D2D3A51, "mortar_guy_mortar_death" },
    { 0xC9AA57B7372CA65F, "mortar_house_boost" },
    { 0x11821BEDA0ACD9FB, "mortar_house_boost_interact_door" },
    { 0xF9D72DD346238437, "mortar_house_boost_vo" },
    { 0x3E24F492A6289DC5, "mortar_house_fridge" },
    { 0x15D1D0D25E7C0EDC, "mortar_house_guys" },
    { 0x7BF92F2E294FF173, "mortar_house_guys_behavior" },
    { 0x776DFD3242BC3187, "mortar_house_kitchen_lookat" },
    { 0x4C121192393BB5FB, "mortar_house_vo" },
    { 0xF4C47B58CB5DE9AB, "mortar_init" },
    { 0x0E8C98697D4E60DF, "mortar_initmortars" },
    { 0xE3AE68E3411CF882, "mortar_launch_player_effect" },
    { 0xACA41685A03A4BB5, "mortar_launch_think" },
    { 0x999C27A2CED6B388, "mortar_launcher_init" },
    { 0x0405A0A607CE56E0, "mortar_locations_watcher" },
    { 0x7BEB45947350E5C5, "mortar_moment" },
    { 0xBBAD01C9782D2D51, "mortar_moment_painters_light" },
    { 0xF3E7AACD67603542, "mortar_ondeathcleanup" },
    { 0x7D4D4DF7F8B3EC9C, "mortar_remove_fov_user_scale" },
    { 0x66C435FE2F28FF45, "mortar_roof_deadly" },
    { 0x2BACEB4586C67C25, "mortar_round_delay_time" },
    { 0x2FD985C189261415, "mortar_rounds_pacing" },
    { 0xAA4C854DDCADD815, "mortar_smoke_occlusions" },
    { 0x4EA50CD024D01CD7, "mortar_start" },
    { 0x6C538843346459AC, "mortar_targetting" },
    { 0xDFF04CF2E9A57615, "mortar_teams" },
    { 0x89F86441E86EC08D, "mortar_test" },
    { 0xEC2C2FF3D73F2C93, "mortar_think" },
    { 0x678C9CB7FB67811F, "mortar_tube_collapse" },
    { 0x43073F8BE9C7ED89, "mortar_vo_ints" },
    { 0x3C4FE35E8B7CFC7C, "mortar_wave" },
    { 0x8F667B3AC43B7244, "mortar_wave_settings" },
    { 0x5E832C4C3B7F0D89, "mortar_window_guy" },
    { 0x01326D21436E3DDF, "mortarlauncher_createhintobject" },
    { 0x31C901C9B41032E9, "mortars" },
    { 0x4CB5D3460840F282, "mortars_createwaitstruct" },
    { 0x5B8368699CB2BE4B, "mortars_dialoguefeedbacklogic" },
    { 0xE497EEFDE3F09169, "mortars_dialoguewarningslogic" },
    { 0xC5B0C215DE966BEB, "mortars_dowaitstruct" },
    { 0x22A15070CFCCC0BA, "mortars_enemiesanimationlogic" },
    { 0x0ECEBF3D264C2964, "mortars_enemieslogic" },
    { 0xC97B2337BFB3AF43, "mortars_enemieswaittillalerted" },
    { 0xF0735565220484DD, "mortars_enemyreactlogic" },
    { 0xD2C23F961DD47D61, "mortars_explodemortarprojectile" },
    { 0x8A64BB475C4FD4FD, "mortars_explodemortarsfx" },
    { 0x851550CBC804279A, "mortars_farahdialoguehints" },
    { 0xE513272F387A248F, "mortars_fire_logic" },
    { 0x96C7EDA36AF91348, "mortars_fire_projectile" },
    { 0x6FB73567EF8812BC, "mortars_firemortarprojectile" },
    { 0x6CBECBBBD579E2B7, "mortars_get_available_players" },
    { 0xB84E6271F7FA6EE5, "mortars_get_enemies" },
    { 0xDF3C7415D4F6FB2B, "mortars_get_player_targeted" },
    { 0x4BD9703D939C2AD2, "mortars_getenemies" },
    { 0x6F8D9E29A0E96BF8, "mortars_getmodels" },
    { 0x06327CBC73CA432B, "mortars_main" },
    { 0xCCFDFBCDC225D703, "mortars_modellogic" },
    { 0xCDE4353263585F34, "mortars_mortarinairflaglogic" },
    { 0x0E836664BD293A20, "mortars_mortarspawninglogic" },
    { 0x264BED1132952832, "mortars_playerspottedlogic" },
    { 0xACF466965F9DB2AF, "mortars_set_player_targeted" },
    { 0xB94AF2413E51865A, "mortars_start" },
    { 0xB6C78A4C318FEA09, "mortartarget" },
    { 0x513A9C00B816EBDB, "mostkillsleastdeaths_evaluate" },
    { 0x9EF1F44E0159F759, "mostkillslongeststreak_evaluate" },
    { 0x08BFF8AD445C4C17, "mostkillsmostheadshots_evaluate" },
    { 0xD4F3BE2DB79A02EF, "mostnumtouching" },
    { 0xFD3440E9A5BB88AE, "mostnumtouchingteam" },
    { 0x0F91EED5B1EC1725, "motion_blur" },
    { 0xE11AAE8F3B427B26, "motion_blur_disable" },
    { 0xE1D59B7B97CE86CD, "motion_blur_enable" },
    { 0x2411A63FF3D5E040, "motion_trigger" },
    { 0x3F7499A5218637C6, "motionblur" },
    { 0x384110EACBEB8D3F, "motionblurhqdisable" },
    { 0xDFACCFEDC85292CA, "motionblurhqenable" },
    { 0x9AA5C61A5159EC4E, "motionblurtest" },
    { 0xE9668F17548B1B1B, "motiondetectioncooldown" },
    { 0xBFFB97216AD295E6, "motiondetectionproc" },
    { 0x26707FAE50F1E334, "motiondetectionstatus" },
    { 0x40BCDEAACC6E8C56, "motiondetectors" },
    { 0xA9AD565C79A02795, "motionwarp" },
    { 0xD3417DF2C52F4360, "motionwarp_getworldifydata" },
    { 0xD8FF811FD951C36D, "motionwarp_localizedata" },
    { 0x07D53324F93E09AB, "motionwarpcancel" },
    { 0xC13CC23AC019EEA4, "motionwarpwithanim" },
    { 0x6EC7AA2ADBF7CA21, "motionwarpwithnotetracks" },
    { 0x175D35D3F0D69439, "motionwarpwithtimes" },
    { 0x111BC997940FD4DF, "mount_tutorial_time" },
    { 0xBA5FF867E36618E7, "mountain_one_death_func" },
    { 0x3FF63ADE15E61FE7, "mountain_three_death_func" },
    { 0xF3AF41A42705A409, "mountain_two_death_func" },
    { 0x92C4A3A698DB8787, "mounted" },
    { 0x35B20F750878A2CA, "mountmantlemodel" },
    { 0x8597DC75B86B2B75, "mountstringtodlogenum" },
    { 0xFC6CF94216D5B168, "mounttrig" },
    { 0x77002FED608876CA, "mountvehicle" },
    { 0x23D44EDB74CADCE7, "mourn_dad_monitor" },
    { 0x072998CF552F82EC, "mousetraplocs" },
    { 0xC9D2EEB95C81E738, "mousetraps" },
    { 0x9D32E2E804CF8CAC, "mousetrapsfound" },
    { 0xEE50128F9C64A3ED, "mousetrapwatcher" },
    { 0xF8CA4D7FABF5BF5D, "move_actor_tointeractionposition" },
    { 0x1D295BAC337EEAF4, "move_aim_along_spline" },
    { 0x11A24A81C2DAE29E, "move_aim_to" },
    { 0x1FCD4277B45CE0D9, "move_aim_to_enemy" },
    { 0x483146A60EC14F5F, "move_all_fx" },
    { 0x2148C1B93CDE0BF0, "move_and_delete_objects_cleararea" },
    { 0xEF5DFB84AD894573, "move_arena_startspawns" },
    { 0xCCB3090908456018, "move_away_from_vehicles" },
    { 0x915DBDA4A80329C9, "move_backward_enter" },
    { 0x5DD50199D693BDC9, "move_backward_exit" },
    { 0x4FD60E130202E82E, "move_barkov" },
    { 0xCA31789790B478D1, "move_barkov_closer" },
    { 0x0B3AD8CA428942D4, "move_bots_from_team_to_team" },
    { 0x5B42E1C3BB408D2F, "move_check" },
    { 0x96CE17AA8A165311, "move_closest_chopper_boss_vandalize_node_down" },
    { 0x75005C909D858DFF, "move_cursor_near_identified_ied" },
    { 0x1553FECAB772959A, "move_door_to_pos" },
    { 0x62A0DE37AAE2EEC9, "move_dynamic_doors_undermap" },
    { 0x0702C4DCB8E23A0F, "move_elevator" },
    { 0x2F4B8C0E119951D5, "move_enforcer_fake_target" },
    { 0xFDBABF825802C552, "move_ent" },
    { 0x2BD9126A0FA7CB37, "move_ent_function" },
    { 0x71533EFC9FBA0D82, "move_entity" },
    { 0x2184220C979C4BC3, "move_forward_enter" },
    { 0xDD862DADC1F41C77, "move_forward_exit" },
    { 0xE743B9D91E45B5EA, "move_gate" },
    { 0xF6532E2355E26E60, "move_goal_ent" },
    { 0x7C16F17543031683, "move_goal_ent_towards_objective" },
    { 0xF2E9111CF8732102, "move_hole_clip" },
    { 0x05EEC6BA6F4C8BCC, "move_hvt_from_under_heli" },
    { 0x93CE66ED6CA75022, "move_juggs_in_elevator" },
    { 0xA583B99E71DB328B, "move_lab_allies" },
    { 0xDB6920E75FA3E56D, "move_left_enter" },
    { 0x673B671C8FC55125, "move_left_exit" },
    { 0x85BD8ABE58A2CAD5, "move_list_menu" },
    { 0x1829CB0D81B2E55B, "move_machete_table" },
    { 0xCB831FD4181570A8, "move_marine_spawner_to_mh" },
    { 0x5FC68314EC4BD5AA, "move_marker_to_heli" },
    { 0xEBA5BC9F24548A97, "move_message_think" },
    { 0xCF892931B5E52B23, "move_molotov_mortar" },
    { 0x4EEC9AAB895B6238, "move_objective_icon" },
    { 0x43ED33150FAF48A3, "move_objective_spot_around" },
    { 0x8CB49C54BD1F2011, "move_objective_to_hvt" },
    { 0x59654BE99D2EA867, "move_origin" },
    { 0xFB4A05DA2A22A0B5, "move_override" },
    { 0xB5EF7A61A6BE05F1, "move_payload_to_back_of_super" },
    { 0x604E0881E5681C38, "move_pct" },
    { 0x9DD066D7C02F679D, "move_plane" },
    { 0x57E6E6A19861E77A, "move_platform" },
    { 0x6E69256AD85EBAF5, "move_player_from_under_heli" },
    { 0x7BCE17705E52F7E8, "move_player_from_under_heli_and_kill" },
    { 0x23E4C8D4CA56CDC2, "move_price" },
    { 0x884BAE7F67270F80, "move_right_enter" },
    { 0x87106899E0ADAB3E, "move_right_exit" },
    { 0xA63BAFF37410EBC9, "move_rumble_towards_player" },
    { 0x7B92631FCC07A129, "move_scale" },
    { 0xB6CFF31FF7E5944B, "move_scene" },
    { 0x023845BC78BDC0EE, "move_selection_to_cursor" },
    { 0xAE201A856AB812C7, "move_slower" },
    { 0x35346E228EA1630E, "move_spawnpoints_to_ac130" },
    { 0x77910C2E550AFEBF, "move_spawnpoints_to_valid_positions" },
    { 0x495013B00A0D6F28, "move_speed" },
    { 0x29DF4F64B5CB0B29, "move_speed_monitor" },
    { 0x65551BE4C16C71F0, "move_speed_reset" },
    { 0x15090EC16D61BA6D, "move_speed_scalar" },
    { 0xA4E5331AB770E7E1, "move_speed_scale" },
    { 0x231E8DFA26C26547, "move_stairwell_blocker" },
    { 0x11EE6CF3237BB6F1, "move_structs" },
    { 0x5940222F523F8E20, "move_target" },
    { 0xFFCDFE865AEAABDB, "move_target_pos_to_new_turrets_visibility" },
    { 0x9512C6CB8B07CE73, "move_target_think" },
    { 0x3764BA924E8E3780, "move_terrorist_respawn_camera" },
    { 0x5F76B52760B0A0DD, "move_the_door" },
    { 0xF4CDC23CF5003FA3, "move_think" },
    { 0xB3C9D36FB62C2F44, "move_to_and_delete" },
    { 0x7225328DE99AABB7, "move_to_arrive_then_idle" },
    { 0x87937CDAD3B9E55E, "move_to_arrive_then_idle_with_path" },
    { 0x6BCEC44CB3918A12, "move_to_blue_background" },
    { 0xC207179261318D74, "move_to_blue_background_side_on" },
    { 0x9DC6EFD37ECBC6A4, "move_to_breach" },
    { 0x012A36C199FE243E, "move_to_car_stop" },
    { 0x22712385786BD84B, "move_to_closest_interaction" },
    { 0xAF963C3893F4E53E, "move_to_entrance_new" },
    { 0x35A94E71D462E5E3, "move_to_grey_background" },
    { 0x5BA2951AF14F78A9, "move_to_grey_background_side_on" },
    { 0x57E2CBFAB670A3DD, "move_to_lab_node" },
    { 0xEE3536DCBDE6CC4A, "move_to_new_node" },
    { 0xAEC41C21F6012C0F, "move_to_point_with_angles" },
    { 0x272559526AA3B4F2, "move_to_track_end" },
    { 0x632DD56A8AEB46D9, "move_to_window" },
    { 0x55EBBDF55F4437F1, "move_train_along_struct_path" },
    { 0x9BF43356B5FE33AD, "move_transition_arrays" },
    { 0x7EFCC3DC4EDF733B, "move_trigger" },
    { 0x572B5ABD427EFFF3, "move_up_to_roof" },
    { 0x8E3CDF8349F1C56B, "move_use_turret" },
    { 0x264A0CAF96AE976E, "move_weapon_to_loc" },
    { 0xC991965C02E5D0D8, "move_when_enemy_hides" },
    { 0x2A0CDE08639DD0F2, "move_window_light" },
    { 0x208C67E58C5BCC68, "move_with_rate" },
    { 0x6C2B000871C6CD5E, "moveagenttospawnerpos" },
    { 0xA15484BB4B2755DA, "moveanddamagepoint" },
    { 0x8249C29877312133, "moveanimset" },
    { 0x6DD6F1F636CF7E29, "moveballtoplayer" },
    { 0xEC69B52B4AA7C548, "movebattlechatter_helper" },
    { 0x7BCCCDC1AFE550EC, "movebombcase" },
    { 0x7154863D968B4F0E, "movecameratomappos" },
    { 0xA072C622AF348907, "movecameratorevivepos" },
    { 0x1F0AC3313C1100F0, "moved_by_player" },
    { 0x52028D253E36FD56, "movedelta" },
    { 0xBD921AE672740940, "movedist" },
    { 0x11C2F7CD68A869A9, "movedoffguardlocation" },
    { 0x9F31B9E65BB01B40, "movedone" },
    { 0x0EFFBE84CE3A8E29, "movedtoinfected" },
    { 0x58BC26F2F3D1B8DF, "movedtovehicle" },
    { 0xDA7CAE3F7265929E, "movedurationmax" },
    { 0xDA9FA03F728BBB8C, "movedurationmin" },
    { 0xDDEF77B7447B3F61, "moveeffect" },
    { 0x58545AED08CEA4FD, "moveforward" },
    { 0xC49B76F0D7CF924E, "movegravity" },
    { 0x86D1E81819AA66C9, "moveinterval" },
    { 0x04687A1C0CCC0A37, "movelatejoinerstospectators" },
    { 0x343DA0A9A238EA4D, "moveleadmarkers" },
    { 0x96FC66A1A9FC2A0C, "movelength" },
    { 0x6561C3BBB702FA44, "movement" },
    { 0xBC333691274BC265, "movement_dialog" },
    { 0xB04B034A3F9E6ACA, "movement_open_door" },
    { 0xC80B5946ADAD1DC3, "movement_open_door_and_close" },
    { 0x4354E1304448D73E, "movement_vector" },
    { 0xEB00F699CE72E76C, "movementdisabled" },
    { 0xF4B8322D17A057FB, "movementgunposeoverride" },
    { 0xD106C5544D574509, "movementmachine" },
    { 0x05B764C07FDA3CF9, "movementstate" },
    { 0xBB5FBABBF5A88C63, "movemode" },
    { 0x1F59E3745252474D, "movemortar" },
    { 0x3100B42AFC51CD6A, "movenavobstaclemonitor" },
    { 0xD4216F6C81245D7A, "movenotificationup" },
    { 0xBF0664A7D61ECE82, "moveonpath" },
    { 0x832807E4B1315592, "moveorigin" },
    { 0xEEACFC952A4FDFFB, "moveovertime" },
    { 0x5C4C69B179785B2F, "movepentstostructs" },
    { 0xEAAC3BEC78DA6963, "moveplaybackrate" },
    { 0xD3710DE3048F50FC, "moveplayerperpendicularly" },
    { 0xB32F0911D5FA6867, "moveplayertotoppos" },
    { 0xA9594E4BD2C57C97, "moveplunderextractionsitesonuse" },
    { 0x690EBE80FC99642A, "movequestcircle" },
    { 0xF3E41B51E78F1704, "movequestlocale" },
    { 0x8D6710F92779015E, "movequestobjicon" },
    { 0x431D688AB1FDB846, "mover" },
    { 0xE298AE35C4784BCD, "mover_candidates" },
    { 0x7E15011627882138, "mover_clean_up" },
    { 0x727F51D981EAF5C1, "mover_ends" },
    { 0x391A47C91BEADEA5, "mover_init" },
    { 0xD08F001483F876C9, "mover_suicide" },
    { 0xE0B83176BB478EDA, "mover_update" },
    { 0x903F5EFB4EAD74EC, "moverdoesnotkill" },
    { 0x97651E0570FC1C8F, "movers" },
    { 0xED2775BE0E54A5CD, "movers_ref" },
    { 0x94F7291A2571CEDE, "moveshieldmodel" },
    { 0xC1B4BAA714ED48E5, "moveslide" },
    { 0x42238A8C38FC21BB, "movespeed" },
    { 0xD2C4F454F0D2DC67, "movespeed_get_func" },
    { 0xEA609FD619C0E5BB, "movespeed_set_func" },
    { 0x05C7792B945D8917, "movespeedscalar" },
    { 0x30F3E3691D5D5933, "movespeedscale" },
    { 0x05B6612B944B49F3, "movespeedscaler" },
    { 0x05B6602B944B47C0, "movespeedscales" },
    { 0xE8830B730E94F6B3, "movestartbattlechatter" },
    { 0x103FB72D8E83C311, "movestrafeloop" },
    { 0xAC32CFF5503CFF7D, "movestrafeloopnew" },
    { 0x9D9A0E72D2763929, "movetime" },
    { 0x976E1205710620D9, "moveto" },
    { 0x013A014E593666F4, "moveto_2f_vo" },
    { 0x08505A61CF0A9727, "moveto_compound" },
    { 0x2FA30A2E5887BE3C, "moveto_floor" },
    { 0xBF1500603CC2D164, "moveto_intro_anim" },
    { 0xA6C0A18A43EA3BB7, "moveto_midway" },
    { 0x704570B5313C8A80, "moveto_rotateto" },
    { 0xE70FA0A32A676A78, "moveto_rotateto_speed" },
    { 0xFAC85224A5E42B6D, "moveto_unbreachable_door" },
    { 0x6526F588C480BE1F, "moveto_volume_think" },
    { 0xDE61A8E0E80DA64A, "moveto_volume_vehiclespline" },
    { 0x537C3781AD843510, "movetocovernode" },
    { 0x7484D0D36DE2024D, "movetocovernodestarttime" },
    { 0x8EDF375DB3154618, "movetonewprop" },
    { 0xB532CE788B0ECB7A, "movetonodeovertime" },
    { 0x51E02817F1A53D13, "movetospawncamera" },
    { 0x86457175CB4B9F81, "movetospawncamerainitial" },
    { 0x6B3B111D44A3C15B, "movetovehicle" },
    { 0x12C5F83601E8765E, "movetovehicle_init" },
    { 0xB13828AFB2928BC3, "movetovehicle_terminate" },
    { 0x573BD3DBDF84C145, "movetowithpause" },
    { 0xEE136C7F471CC159, "movetransitionrate" },
    { 0x840E8A737AC7B258, "movetype" },
    { 0xB63D70B4E8E34630, "movetypeisnotcasual" },
    { 0xB86373CDF49B39EC, "moveup_1f_hallway" },
    { 0x6D141CFBD79B3B4B, "moveviewmult" },
    { 0x317F73754D6F68C4, "movewalkandtalk" },
    { 0x431D6E8AB1FDC578, "movex" },
    { 0x431D6F8AB1FDC7AB, "movey" },
    { 0x431D708AB1FDC9DE, "movez" },
    { 0x82D53C81B3F9D27D, "movezoneaftertime" },
    { 0x46F40605F2357B4B, "moving" },
    { 0x780092F05A2DC155, "moving_backward" },
    { 0xB83E5CF7D686EEA1, "moving_forward" },
    { 0x18D1639D8F72D5DF, "moving_platform" },
    { 0xA076F0C149212A62, "moving_platform_angles_offset" },
    { 0x6EDAAB0FA0E4655C, "moving_platform_empty_func" },
    { 0x71E7CC05E34D2A03, "moving_platform_offset" },
    { 0xC425CD4F1605CAB6, "moving_respawn_camera" },
    { 0x8F3BD447E4B335CB, "moving_target_mover" },
    { 0x409B8E66EB609AE1, "moving_target_reset" },
    { 0x7952499BFFA07B42, "moving_target_think" },
    { 0x86BBE2983EF4C7C8, "movingc130" },
    { 0x12421CC1278248EC, "movingplatform_playerlink" },
    { 0x8FB7792B1618D513, "movingplatform_playerunlink" },
    { 0x604D762287B299F4, "movingplatformdetonate" },
    { 0x81B1CDDA8007A399, "movingplatforment" },
    { 0xFE79DA0835953BC3, "mower_hint_displayed" },
    { 0xA27499127C2A7573, "mp_anim_handle_notetrack" },
    { 0x518217A13F459A28, "mp_aniyah_patch" },
    { 0xCC39D7A56E92CBA4, "mp_backlot2_patch" },
    { 0x36496EAE4F08D303, "mp_boneyard_gw_patch" },
    { 0x9ED42AF885D2D5A9, "mp_br_quarry_locations" },
    { 0xAAE6A158E8765EDC, "mp_callouts" },
    { 0x6D83A45C8177C1CE, "mp_cave_am_patch" },
    { 0x14DC2A501C0A7802, "mp_crash2" },
    { 0xDCC21DCE3C31A24F, "mp_createfx" },
    { 0x91DD285B0210C728, "mp_deadzone_patch" },
    { 0x833208CCE0C5DF3E, "mp_donetsk_locations" },
    { 0xC91DFFFD7EC85539, "mp_downtown_gw_patch" },
    { 0xE3A0424BFE39E4B7, "mp_emporium_hanging_crates" },
    { 0x76B41B1D521B32EC, "mp_emporium_patch" },
    { 0xCC570A64318D4749, "mp_entity_handle_notetrack" },
    { 0xDB4C0074DEE762A0, "mp_euphrates_gunnonlinear_opendoor" },
    { 0xAFBFC1FDDD725FEF, "mp_euphrates_patches" },
    { 0x518D28A1600EE112, "mp_farms2_gw_patch" },
    { 0xC46F435BFC52B650, "mp_hackney_yard_patch" },
    { 0x5D47E123C057CA96, "mp_harbor_patch" },
    { 0xEA41EAC6096C9214, "mp_hardhat_patch" },
    { 0x208991E2CAD3326A, "mp_hideout_patch" },
    { 0xA21F9103DAFAFFFF, "mp_infil_umike_exit_jump_land_sfx" },
    { 0xC7EE3983DD4005AF, "mp_infil_umike_exit_npc_step_sfx" },
    { 0xEFA7ADF25E3900CF, "mp_infil_umike_exit_suspension_creak" },
    { 0xFAC64BF55D10CD5A, "mp_layover_patch" },
    { 0xFDF24EE480400D48, "mp_m_cornfield_patch" },
    { 0x88AA0C5A8041D573, "mp_m_king_patch" },
    { 0xE908F9C24997B9EE, "mp_m_overunder_patch" },
    { 0x3EAA61CB8D14F355, "mp_m_speed_patch" },
    { 0xE8C9490FDE79BA98, "mp_m_speedball_patch" },
    { 0x8CE4652B7F324592, "mp_m_stack_patch" },
    { 0x344FEF6452409D82, "mp_m_trench_patch" },
    { 0x493685A6B2720DA7, "mp_m_trench_patch_giveplayer_c4" },
    { 0xA14A1360DDEE8D2A, "mp_notetrack_prefix_handler" },
    { 0xC7F4DFF88FCA4036, "mp_oilrig_patches" },
    { 0xECEFA03C24D0C43A, "mp_piccadilly_patch" },
    { 0xB33D3635C02A4252, "mp_port2_gw_patch" },
    { 0x9CFBB7F95DA4483C, "mp_raid_patch" },
    { 0x0B625A18C739625E, "mp_runner_patch" },
    { 0x90733AE8139AB67A, "mp_rust_patch" },
    { 0x87E70803FC1AA806, "mp_shipment_patch" },
    { 0xB4D4FFF30271FE28, "mp_speedball_check_trigger_pos" },
    { 0x5DB247D7CE77419B, "mp_t_gun_course_patch" },
    { 0xBA34A77D8951AFF1, "mp_t_reflex_containers_collisions" },
    { 0x6E40CB5E6B829ECF, "mp_t_reflex_patch" },
    { 0xA8F3CAB12A79507F, "mp_vacant_patch" },
    { 0xDC94B734FBD43030, "mp_vacant_patch_thread" },
    { 0x849271020FAF1696, "mp_village2_patches" },
    { 0x4B2A6C366465DBD3, "mpbuildweaponname" },
    { 0x0F5D5816D84F765D, "mph_to_ips" },
    { 0x897CDA8EF05299BF, "mph_travel_time" },
    { 0xC1BFB697E52C051D, "mphtoips" },
    { 0xD05D8836F54401AA, "mpingamelootdrop" },
    { 0x8C2B4072076EC402, "mpod1" },
    { 0x8C2B3F72076EC1CF, "mpod2" },
    { 0x6569C4BAAC80EE34, "mpplayerallowcrateuse" },
    { 0x835A5CD3166B663B, "mpstreaksysteminfo" },
    { 0x84680C8CECC99B62, "mpsuperpreviousweapon" },
    { 0xB700BE296D29EE10, "mpweapon" },
    { 0x361B02041DFE8D66, "msg" },
    { 0xBE9F88BA89E875F0, "mt_getprogress" },
    { 0x84B47693A8449CC0, "mt_getstate" },
    { 0x962362921AD688F2, "mt_gettarget" },
    { 0x3366C435F27745F6, "mt_kills" },
    { 0x13E0D2322E4CFD44, "mt_setprogress" },
    { 0x39C9106C7201329C, "mt_setstate" },
    { 0x0AE09996E280FE01, "mud_sfx" },
    { 0x0B5EC845D69D27BC, "mugger_add_extra_tag" },
    { 0x88F3C58C7FA31D35, "mugger_bank_limit" },
    { 0xAF3E8F2FE39EF6EF, "mugger_bank_tags" },
    { 0x61B9B0A59B2D6785, "mugger_check_muggernaut" },
    { 0xEB78C82EF05F7F22, "mugger_delayed_banking" },
    { 0x6D01412E6B4936C1, "mugger_dropzones" },
    { 0x1646A338ECA9AF9D, "mugger_extra_tags" },
    { 0x9579FF6EF73AF482, "mugger_first_unused_or_oldest_extra_tag" },
    { 0x1C670ABB6B34CC59, "mugger_fx" },
    { 0x486EA6729F7B9FFC, "mugger_fx_playing" },
    { 0x99A54E7DDDD022D1, "mugger_go_to_tag_pile" },
    { 0x365EB630E516501B, "mugger_init_tags" },
    { 0x0B2AC383A38915C5, "mugger_jackpot_abort_after_time" },
    { 0x0118EAC202901940, "mugger_jackpot_cleanup" },
    { 0x78BE681781644EC9, "mugger_jackpot_drop" },
    { 0x4B6CB8A2E2437992, "mugger_jackpot_fx" },
    { 0x2B8F3047BF380DD1, "mugger_jackpot_fx_cleanup" },
    { 0x02A5A93F7A7A76CF, "mugger_jackpot_limit" },
    { 0x8D3D7C0A2DD6B214, "mugger_jackpot_num_tags" },
    { 0xB3E136CC9E546F20, "mugger_jackpot_pile_notify" },
    { 0xE438B2467E3846AB, "mugger_jackpot_pile_notify_cleanup" },
    { 0x45FE40386F5E9329, "mugger_jackpot_run" },
    { 0x300C3B3D41C4C9E4, "mugger_jackpot_tags_spawned" },
    { 0x348B0C3D718EAE21, "mugger_jackpot_tags_unspawned" },
    { 0x8DE56493E5523B2B, "mugger_jackpot_text" },
    { 0x44D45426BF2EBAED, "mugger_jackpot_timer" },
    { 0x03621E804180A8B7, "mugger_jackpot_wait_sec" },
    { 0xAB71DD3008157CBF, "mugger_jackpot_watch" },
    { 0xD3BF2F07F39F1502, "mugger_last_mega_drop" },
    { 0x1BB04EF1138E3346, "mugger_max_extra_tags" },
    { 0x52FD84B3AF81031B, "mugger_min_spawn_dist_sq" },
    { 0x8585B42D8BD3F78B, "mugger_monitor_remote_uav_pickups" },
    { 0x263B9AA05D31EB6A, "mugger_monitor_tank_pickups" },
    { 0xB1E58E5629633748, "mugger_muggernaut_muggings_needed" },
    { 0x5FB03BDAFB290AA9, "mugger_muggernaut_window" },
    { 0xF8B080DE9CF9CD2D, "mugger_pick_up_tag" },
    { 0xB95122C4A61FB96E, "mugger_pile_icon_remove" },
    { 0x57C8EA24343495CE, "mugger_scorelimit" },
    { 0xA73FF58DC5DD1256, "mugger_tag_pickup_wait" },
    { 0xE1BC49435841AB2E, "mugger_tag_pile_notify" },
    { 0x97371DC47B0A9F74, "mugger_tag_temp_spawn" },
    { 0x530864A56C3B64D1, "mugger_targetfxid" },
    { 0x5FF2BB922AD04E2A, "mugger_throwing_knife_mug_frac" },
    { 0xADA77ED85DE4C4DD, "mugger_timelimit" },
    { 0x058FC3BD0074DFEF, "muggercratethink" },
    { 0x3E4CEF7464E77FC4, "muggings" },
    { 0x36012D041DE2C2ED, "mul" },
    { 0x6D5C7C84D48ABE81, "mule_weapon" },
    { 0x01FB2C3559D262C7, "mult_1" },
    { 0x01FB2D3559D264FA, "mult_2" },
    { 0x01FB2E3559D2672D, "mult_3" },
    { 0x01FB273559D257C8, "mult_4" },
    { 0x7C0BFD06EBAC6271, "multiarena" },
    { 0xD9F45E4A641B7F26, "multiarg" },
    { 0xB307BC56D69FDDAA, "multibomb" },
    { 0x4BC7015AE8B60765, "multieventdebug" },
    { 0xADF7FA60F4B53AFA, "multieventdisabled" },
    { 0xA5E7A9220FC3371A, "multikill" },
    { 0x7285AEE27883E0E7, "multiple_helis" },
    { 0x466D52C511220F12, "multiplepubliceventsenabled" },
    { 0x6118D0A3D5A103B0, "multiplicativedamagemodifierignorefuncs" },
    { 0xDC889D38EDCF5FA0, "multiplicativedamagemodifiers" },
    { 0xE0BDA7E71ED07532, "multiteambased" },
    { 0x6D1DDDB135E08A3D, "mun_test_monitor" },
    { 0x3F13C11D046B1869, "munition_remover" },
    { 0x4B8F5DD3C8157259, "munition_slot_gunship_emptied_message" },
    { 0x48E14781C8B96BB2, "munition_slots" },
    { 0x5E3CCD63DABB2FD2, "munition_slots_full" },
    { 0x3AB00E612CDAC3C7, "munition_source_getridof" },
    { 0xA2E5A69C14B1554A, "munition_splash_supress" },
    { 0x04F67950645F600B, "munitions_in_playerdata" },
    { 0x6C2D22DC1DC4619A, "munitions_override_time" },
    { 0xCDD135D4DADCDDF9, "munitions_override_waittill" },
    { 0x8D285C266F6CC36F, "munitions_table_data" },
    { 0x1E77BE536F1110CF, "munitionsnotifications" },
    { 0x59B96281CE5841D4, "murderhole_1_manager" },
    { 0x3CDF97A1630915BB, "murderhole_bldg_door_retreat" },
    { 0x07779F756439192D, "murderhole_breach_catchup" },
    { 0x2C3EE134317DDC8B, "murderhole_breach_clear_griggs_smokes" },
    { 0x4B03D918C1CE1F7C, "murderhole_breach_main" },
    { 0xCEE48C15F3E3E04B, "murderhole_breach_start" },
    { 0x1D5F715245597805, "murderhole_catchup" },
    { 0x9AD620D33DABEDBC, "murderhole_clean_up_corpses" },
    { 0x21F6E141B515E8C2, "murderhole_dof_on" },
    { 0xC0F55434B3DF2E97, "murderhole_enemies" },
    { 0xD6D06244CCBA96EA, "murderhole_enemy_behavior" },
    { 0x9B56972AB325547C, "murderhole_enemy_cleanup" },
    { 0xA1E83229BC5A3824, "murderhole_enemy_counter" },
    { 0x8B5DC0F56C9C7C1E, "murderhole_house_dead_mom" },
    { 0xC5F4FD42EB6032A4, "murderhole_main" },
    { 0x63C3F710612BA8B3, "murderhole_start" },
    { 0xB7AF9593104A9075, "mus_barkov_intel" },
    { 0xB77F72931015E73F, "mus_barkov_intro" },
    { 0x2685766CF3FC2D8B, "mus_barkov_shoot_prisoner" },
    { 0x51DE85CB2BBF18E7, "mus_barkov_spare_prisoner" },
    { 0x1BDCC3C29B05557F, "mus_barkov_stab" },
    { 0x522E701F780F9F98, "mus_beadvised" },
    { 0x6A52884A0835203B, "mus_bomb_placed" },
    { 0xCE781BC8B6DFB2D6, "mus_bomb_planted" },
    { 0xEDB73F1EE89FBCA1, "mus_cctv" },
    { 0x1D8CFCC02B293D19, "mus_chopper_done" },
    { 0xBB214C47D59C4F80, "mus_cockpit_finale" },
    { 0xD9D41CAAD7912341, "mus_courtyard_endmusic" },
    { 0xF5D14A383D2C58B1, "mus_discover_russians" },
    { 0x4ABA1C2F5E988336, "mus_enforcer_door" },
    { 0xEC92B6AB01A3111B, "mus_enforcer_hit" },
    { 0xA0EEB7F15A5CFD4C, "mus_enforcer_interact" },
    { 0x8AB4C5D214303E85, "mus_ethnic_battle" },
    { 0x531E7238132715B3, "mus_exterior_battle_stop" },
    { 0xC14BD74412C95D49, "mus_factory_exit_battle" },
    { 0xE994DA057CB4F143, "mus_factory_rescue" },
    { 0x71F7FAF48F3E4CEB, "mus_far_free_sisters" },
    { 0xDAF410D68C6AF577, "mus_far_open_vent" },
    { 0xF247AD9D476E4A73, "mus_far_sewer_crawl" },
    { 0x843C321F620D6A4A, "mus_far_sister_infil" },
    { 0x19D7899712C333AF, "mus_farah_final_speech" },
    { 0x40522894E693E254, "mus_forest_overlook" },
    { 0xD90489454B3C4374, "mus_garage" },
    { 0xCA6A5022EC55BAF6, "mus_get_to_wolf" },
    { 0x21F8CDE1DB96D54D, "mus_hadir_discover" },
    { 0xF7BF6710AB5332B8, "mus_heli_stairs" },
    { 0xEA2A30BB11377D85, "mus_infil" },
    { 0x14B54F80613DE71D, "mus_intro_torture" },
    { 0x8EF2186DB29BFD0D, "mus_intro_walkntalk" },
    { 0x8C514C68D52755D0, "mus_kyle_dryfire" },
    { 0x42347279EFBF9ADE, "mus_kyle_leave" },
    { 0x88978958B03FDE6F, "mus_kyle_pointgun" },
    { 0x52CB19A7A41F99A3, "mus_lights_out" },
    { 0x55B90CD3909E8510, "mus_lightsout" },
    { 0x43EE868FDEA13470, "mus_meet_sas" },
    { 0x548E2BBCE0A42808, "mus_mghall_clear" },
    { 0xD67A92CFD94D7B0F, "mus_outside_door_breach" },
    { 0x9FD3A4C2B2BDD4A0, "mus_overlook_hot" },
    { 0x238F51D2FF8D68A3, "mus_price_intro" },
    { 0x1B9D0133BCF7A5FA, "mus_railyard_combat" },
    { 0x79E46A85B61A3D48, "mus_retreat" },
    { 0xDEE2607BD2D943BD, "mus_retreat_cont" },
    { 0x1F5EFB8D265490E9, "mus_rooftop_traverse" },
    { 0x32792759C3DA2454, "mus_safehouse_leave" },
    { 0xA6505A6858662E63, "mus_saferoom" },
    { 0x611FEEF853024091, "mus_save_hadir" },
    { 0x5243719CD1264027, "mus_shaft" },
    { 0x85DA76BF79E9311B, "mus_snakecam_enter" },
    { 0x02265191F3FAF178, "mus_truck_leave" },
    { 0x44E34D3DBAB305FF, "mus_tunnel_discover" },
    { 0x969724D3DA0B7144, "mus_tunnels_crawl" },
    { 0x2F1E8F4008E1B09D, "mus_tunnels_intro" },
    { 0xCD8BD591ACDB658E, "mus_waterboard_int" },
    { 0xBF836AFC5142A004, "mus_wolf_captured" },
    { 0x13B42C025BCC94FF, "mus_wolf_killed" },
    { 0xCC80AC3A66035366, "music_array" },
    { 0xD746B1FFE7889698, "music_clear_4th_floor" },
    { 0x4F7DC7C6BF0ED9FA, "music_ent" },
    { 0x317AEA0E06A63906, "music_hvt_num" },
    { 0xB1884E98C968F535, "music_last_stealth_cue" },
    { 0x90F2A1FB27866EDA, "music_post_rappel_stop_after_a_while" },
    { 0x5B98598BA891A54C, "music_post_rappel_waiting" },
    { 0x4B3EB59133E222B6, "music_style" },
    { 0xD3AFA6EB93042763, "music_timer_10seconds" },
    { 0x69C6DA6514D51CC2, "music_transition" },
    { 0xE88DE5F1F5774730, "musiccontroller" },
    { 0xB3B74A654F3CB809, "musicenabled" },
    { 0x4BB677A4784173A4, "musiclength" },
    { 0x648106CAB855CF5A, "musicplay" },
    { 0x58CF43E68B375A26, "musicplaying" },
    { 0x79216C188E1FAC60, "musicstop" },
    { 0xF86220805784F074, "musictriggerthink" },
    { 0x378B22F0751436D4, "mustchangestance" },
    { 0x940112C5FCBD6307, "mustmaintainclaim" },
    { 0x0F9D0C78D2009767, "mutations" },
    { 0x8973DC3A76410BE8, "muzzle" },
    { 0x64AFDCF16A5478CA, "muzzleflashoverride" },
    { 0xCE46B1179B3F705E, "muzzlepoint" },
    { 0x7F578E49B2EDCE3F, "muzzlevarindex" },
    { 0xF680A459A3B1E143, "mvparray" },
    { 0xBDA8307D7F96A67E, "mwlogo" },
    { 0x2DF942D6ED2351BB, "mx_price_door" },
    { 0x042CBB832C454C0F, "my_current_node_delays" },
    { 0x74EB56A5CC6B0D9C, "my_spawner" },
    { 0x4D60F0C95EB6F04D, "my_tank_node" },
    { 0x31A3FE0F348E4C8B, "mydeathaccidental" },
    { 0xA309117C22DAE855, "mydeathanime" },
    { 0x4639CB98E2E86E2D, "mydeathanimebool" },
    { 0xF4D3F0F7EDE8E2B7, "myfloodspawner" },
    { 0xE7C8FB4A04844D36, "myfov" },
    { 0x24D96B8C19FD690A, "mygrenadecooldownelapsed" },
    { 0xAC0E604AC96AB30D, "n" },
    { 0xCE510378F5A8338D, "n2" },
    { 0xCE510278F5A8315A, "n3" },
    { 0x1BBD46D1ADC0E15A, "nade_line" },
    { 0xF280F334C180A137, "nade_trigger_think" },
    { 0x7B353F9070C6DFBC, "nade_triggers_init" },
    { 0xD87095B7725CF51E, "nadia" },
    { 0x65247D0441C3D539, "nag" },
    { 0xC81A0C75CF0C708B, "nag_anim" },
    { 0x1DBA5F16585C7168, "nag_anims" },
    { 0x74986C585BDD0399, "nag_count" },
    { 0xEBC05520CCD51540, "nag_dialogue" },
    { 0x05BD50CDCEC7997A, "nag_dialogue_random" },
    { 0x95708DEB5DA92C81, "nag_door_cut" },
    { 0x604990F3AB405303, "nag_enter_armory" },
    { 0x332C85ABAEFEC198, "nag_enter_b1" },
    { 0x82DE653B1CC54C00, "nag_enter_b1_internal" },
    { 0xD8C76CDEDF2166AD, "nag_exfil_tutorial" },
    { 0x13537115B0942F65, "nag_get_downstairs" },
    { 0x56EF8901F82CA69F, "nag_get_in_bank" },
    { 0xA4158A17DFACE47D, "nag_get_in_heli" },
    { 0xF1826A6B8DC80E98, "nag_get_to_foyer" },
    { 0x09D27F953E04C4EA, "nag_group_create" },
    { 0xFAA4EEA344778756, "nag_group_getalias" },
    { 0x386330B6D811C4DF, "nag_id" },
    { 0xEEDD884AB75FA91F, "nag_internal" },
    { 0x48E5604BB43AB597, "nag_interval" },
    { 0x92C52A953F616E27, "nag_keys_collect_vo" },
    { 0x63E38EB2ACEB71C0, "nag_kill_hiltop_heli" },
    { 0xB9124CA0E1560641, "nag_look_at_bus_scene" },
    { 0x01025CE79C354C31, "nag_near_wall" },
    { 0xA6EEAC68A5A84F60, "nag_player_for_laptop" },
    { 0x6F68D0AD2BD06230, "nag_player_remind_lore_vo" },
    { 0x89EBAD615256E240, "nag_radius" },
    { 0x9CC59E1C1CD976BD, "nag_say" },
    { 0xE7F2DA3B94ECF9CB, "nag_say_with_hadir" },
    { 0x38BA280E9BAAC683, "nag_storage_mg_nest_vo" },
    { 0xBD40AEC00146087B, "nag_system" },
    { 0x4800E71FA5B54BD3, "nag_time_delay" },
    { 0x63A1B92B0B418913, "nag_timer" },
    { 0xBDBB0F94920CA54B, "nag_vault_search" },
    { 0x37FE39B6D7A2F759, "nag_vo" },
    { 0xB762FDF2FE5F7ADA, "nag_vo_handler" },
    { 0x1BE9E0A1CCECB834, "nag_vo_never_play_again" },
    { 0x8D7D592BB14F3E87, "nag_wait" },
    { 0x2936ED8008BE82BA, "nag_while_near" },
    { 0x33143A5CA1AE11BE, "nags" },
    { 0x6CABC126C67172A9, "nags_before_increase" },
    { 0x591B50612F1E3D5C, "nags_til_notify" },
    { 0xBCEC9DA62C90A3D5, "nagstilflag" },
    { 0x4C3FF8D44AA8D0AA, "nagtill" },
    { 0xD58CAE55EADDF61C, "nagtill_custom" },
    { 0xC670009777D9F88F, "nagtill_delayed" },
    { 0x455AE2A74A9EA0C8, "nagtill_distance" },
    { 0x00DEBE244013F933, "nagtill_open" },
    { 0xB0C7869965C506B2, "nagtill_open_delayed" },
    { 0xF0D36519FE8AC1B6, "nagtill_or_timeout" },
    { 0x4C440DD44AACF4B0, "nagtime" },
    { 0x2A2CA4B277D8E9F1, "nakeddrop" },
    { 0x8BFAA5EFB380FD89, "nakeddrophandleloadout" },
    { 0x332E305CA1CA24CA, "name" },
    { 0xEF0F9673A2500E5C, "name_complete" },
    { 0x22FDF12B21BF75E9, "name_fx" },
    { 0x010984EAD022AD5F, "name_hide" },
    { 0xEE12ADC7757965FD, "name_hide_array" },
    { 0xE7A88FD36D0C5A62, "name_show" },
    { 0x0D0F0468AECA59C4, "name_show_array" },
    { 0xDED7FE2BAB2C0957, "namehud" },
    { 0x1AA9AC019992F65E, "nameindex" },
    { 0xA4B3B7ABE3CB2EBE, "namelocations" },
    { 0x52732434CD85FB49, "nameplatemanagement" },
    { 0x58B914B7CF8EC2DB, "names" },
    { 0xB7B83713E43193D7, "namesaidrecently" },
    { 0xAD08E84979D6FF71, "nationalityokformoveorder" },
    { 0x3F2552AA8AD6F3E8, "nationalityokformoveordernoncombat" },
    { 0xA5F65BFF5839FE69, "nationalityusescallsigns" },
    { 0x39AF4C59CA280B57, "nationalityusessurnames" },
    { 0x67637AA83587C2F2, "native_wait" },
    { 0x6AEECF6FD4725268, "nav_bad_place_truck_path" },
    { 0xDBF1A8A587788F6A, "nav_gotopos" },
    { 0xDEC4855F23DECDD9, "nav_lastupdateangle" },
    { 0xDAEC98CB7D35937B, "nav_lastupdatetime" },
    { 0xB38DB37BBCA972FA, "nav_obstacle" },
    { 0x5E0561B05C2E6496, "nav_repulsors" },
    { 0xBDF0751A8F4C9411, "navbarhideenemies" },
    { 0xB1DBC93F2EFC2524, "navbarhideshots" },
    { 0xBE87C989A3B9C6CD, "navisstraightlinereachable" },
    { 0x4DA07CCFA1120E9A, "navisstraightlinereachable3d" },
    { 0xD1FD025C0D3C86FF, "navmeshpos" },
    { 0x37AE399F07B920FE, "navmodifer" },
    { 0xF5A39ABDD438D81B, "navmodifier" },
    { 0xDB4DBF15514D3258, "navobs" },
    { 0x992DA5E1CCC5DF1E, "navobs2" },
    { 0x1EF35AAD6D5A8177, "navobstacle" },
    { 0x43EE4CC04E01D4B2, "navobstaclebounds" },
    { 0xE165CC9A2FE4F77A, "navobstacleid" },
    { 0x73A78944CA53BA14, "navobstacleupdatedistsqr" },
    { 0xF5ED07D10232CF4B, "navtrace" },
    { 0x234C751B1170BFE4, "navtrace3d" },
    { 0x9D7651B40A3B7799, "navvolume_ignoreglass" },
    { 0xD01BBBF4A13521DD, "navvolume_worldonly" },
    { 0xCE512C78F5A88DB8, "ne" },
    { 0xDB78BFB18188A223, "near_equipment_func" },
    { 0x46AAAD7B1C528CA7, "near_goal" },
    { 0xAC70512FAB74D0BE, "near_hvt" },
    { 0x6E291A3C5A5F7563, "near_ied_zone_warning_monitor" },
    { 0x1E476F15BFDFED26, "nearblur" },
    { 0x8A2BDDBD97550D5C, "nearby_ai_combat_via_grenade" },
    { 0x32EF89AB7CE4E504, "nearby_ai_investigate_grenade" },
    { 0x7535B4D1EABDD829, "nearby_interaction_running" },
    { 0x71AA9A12FF5657D2, "nearby_player_detonate_monitor" },
    { 0xE6EDE3A4F693066B, "nearby_players" },
    { 0x539EABDA4BBECC12, "nearby_shot_monitor" },
    { 0x44548D6AE6321F5F, "nearbyplayer" },
    { 0x77548E66EDCF6531, "nearbyposarray" },
    { 0x4456FF5D4EA37062, "nearbysnakecams" },
    { 0xB92C12689EFF826D, "nearclaimnode" },
    { 0x60854407E265C555, "nearclaimnodeandangle" },
    { 0x98D405346AFB43EB, "nearendfactor" },
    { 0xC518E592624C7652, "nearest_node" },
    { 0x4BF6821E83624FA6, "nearest_node_for_camping" },
    { 0xC23701EE2E27CA93, "nearest_nodes" },
    { 0x28229583D7570046, "nearest_point_on_pathgrid" },
    { 0x13AA2195698A5551, "nearest_points" },
    { 0x2BDCD25312B82AAE, "nearestrevivenodepos" },
    { 0xA486B4775CEC21D6, "nearexploderthink" },
    { 0x31C036BFB46D27DB, "nearnode" },
    { 0x5AA90760AF887C72, "nearstartfactor" },
    { 0x6055A4B1C14A1F96, "neartrackthink" },
    { 0x5024D1576C880603, "nearz" },
    { 0xBE43309139E6239A, "need_respawn" },
    { 0xE9851B2E74DF8C1F, "needdefaultendgameflowonly" },
    { 0xCB610DB0FF27DD0F, "needle_noise" },
    { 0x9EC4F98D9F97833A, "needrecalculategoodshootpos" },
    { 0x3270F150E91DE3CB, "needrecalculatesuppressspot" },
    { 0x957FAF3A69AA6F4E, "needs_antenna" },
    { 0x12B390806B28FFFF, "needs_controller" },
    { 0x501F4AE193A24424, "needs_power" },
    { 0xE94C7EBC458C83E5, "needs_radar" },
    { 0x0A55E5116D413954, "needs_to_evade" },
    { 0x228479FA33499F79, "needsbuttontorespawn" },
    { 0x3FD931A103EA828C, "needsprecaching" },
    { 0x931FA316F982EA34, "needstorechamber" },
    { 0x645B177BEAFFA0C7, "needsupdate" },
    { 0x6F0EC29B8CCAEA54, "needtoplayintro" },
    { 0xB366A0C93605346D, "needtoreload" },
    { 0xDE9125BC5E4AE227, "needtoturn" },
    { 0xF01F8F293B4A1148, "needtoturn3d" },
    { 0xB891DAB82F2AE7EA, "needtoturnforexit" },
    { 0x01BB766D3AE4BCBA, "needtoturnformelee" },
    { 0x6941CCEFD4314D9C, "needtoturntofacepath" },
    { 0x0A6901A71BC9C404, "needtoturntosmartobject" },
    { 0xC1C8B1B343676111, "neighbor_dad" },
    { 0x14C242ECA0AB8AC4, "neighbordad_mayhem" },
    { 0x0A1E0F7D51E3934C, "neighbors" },
    { 0xF7D6855C75CFCD3D, "neil" },
    { 0x5DDCDB5B91DAFBA7, "nerf_already_activated" },
    { 0xFDBF4D3011A4D4B1, "nerf_based_on_selection" },
    { 0x54FFFCEA00B976B1, "nerf_list" },
    { 0x31F8EA4CC851FE9A, "nerf_scalars" },
    { 0x1BC12CDEEA6CC1AE, "nervousness" },
    { 0xF7C08E5C75B7ADD5, "nets" },
    { 0x6DF035CDF8C7226B, "neurotoxin_damage_loop" },
    { 0x15A5FA63AB53FB79, "neurotoxin_damage_monitor" },
    { 0x3ADF8A6931BDDACC, "neurotoxin_mask_monitor" },
    { 0xB2C4E672D0961714, "neutral" },
    { 0x1D1EFAC8961D45C4, "neutralbrush" },
    { 0x964AB3960A5572E0, "neutralflagfx" },
    { 0x50EF18CC74705D23, "neutralhardpointfx" },
    { 0x7FC38D0CC5487046, "neutralized" },
    { 0xF2AE50165F1F6AD1, "neutralizing" },
    { 0xC0E1C3D6B4E3F7EB, "neutralsenses" },
    { 0xE67033A5055C4032, "neutralzonebrushes" },
    { 0xB2081E56F92BCC1D, "never" },
    { 0xF40C4F2951CF01C4, "never_delete_suicide_bomber" },
    { 0x3139403C3DF5293C, "never_kill_off" },
    { 0x17E0929651215575, "never_kill_off_after_stealth" },
    { 0xA6CDB3C7E61322EA, "never_kill_off_old" },
    { 0xBD4A8D6989B44AD1, "never_stop_investigating" },
    { 0x4BE292AF328DAD0A, "never_unloaded_from_vehicle" },
    { 0x8D15E6FB4945D1B8, "neverenablecqb" },
    { 0x01E95788BF5A99F9, "neverforcesnipermissenemy" },
    { 0x2871878ECE4915A5, "neverlean" },
    { 0xBD089089F67BED52, "neverspectate" },
    { 0x85072F857849FE7D, "neversprintforvariation" },
    { 0x54629E79293081EF, "neverstopmonitoringflash" },
    { 0xBCD63F9AACE088C0, "nevertimeout" },
    { 0x08A30122D9859C80, "neveruseagain" },
    { 0x65129D0441AFDE3D, "new" },
    { 0xD0841B4AEAF39299, "new_agent_def_main" },
    { 0x5D9D4FD8816CA88A, "new_angles" },
    { 0x4683AF19B38533AD, "new_col_map" },
    { 0xD31045F31318A082, "new_color_being_set" },
    { 0x6F32F095980AA5B2, "new_force_color_being_set" },
    { 0x758C0CF2A1A8A93E, "new_goal_listener" },
    { 0x05D9BEE262929FB3, "new_goal_time" },
    { 0x0D351DABC2FEE156, "new_jugg_enemy" },
    { 0x52D7A6CB5B0BE0C9, "new_objective" },
    { 0x70D71DBC808F34F6, "new_objective_thread" },
    { 0x12B4DD0524E386F1, "new_position" },
    { 0x8353D907F08A88F7, "new_position_while_animating_watcher" },
    { 0x40F7AF2D185A02CE, "new_rider_combat_logic" },
    { 0xE16310986161D04A, "new_sequence_carried_anim" },
    { 0xF45214CB8CE4B8F8, "new_target_dist" },
    { 0xD0D3A8EB31140B5E, "new_tool_hud" },
    { 0x11054DA859EEAF01, "new_tool_hudelem" },
    { 0x75F8CF5BE6B33C28, "newclienthudelem" },
    { 0xB9E000EDAE55606D, "newdomflag" },
    { 0x563BF32527541F60, "newenemyreaction" },
    { 0x7619C621DD4C5F58, "newenemyreactiondistsq" },
    { 0x2242663261E7B1D9, "newenemyreactiontime" },
    { 0x5EBF60F5B4D8CBD5, "newhitlocs" },
    { 0x92499933C47A3AE1, "newhudelem" },
    { 0x79EA8068D28B6453, "newhudimage" },
    { 0x6C6DD959D59ECF5E, "newpip" },
    { 0xA31F61C545203F81, "newprimarygun" },
    { 0xB2950DCF96880C30, "newscriptcursor" },
    { 0x53F5AF8D9D3C1E5F, "newscripthud" },
    { 0x8653B3043F2AF6E0, "newtarget" },
    { 0xD326D60458A533B7, "newtargetmessage" },
    { 0x01DF8C0BFDAE9C0A, "newteamhudelem" },
    { 0x6E522096D2DB26A6, "newtonsmethod" },
    { 0x1AD277927015C252, "newweaponname" },
    { 0xF78B875C757D195C, "next" },
    { 0xC622ECBE33CF4EFE, "next_airdrop_time" },
    { 0xE340F94F9AE809AE, "next_board_to_repair_func" },
    { 0x011C596A77984A2D, "next_button" },
    { 0x8F2645E486C2EBD5, "next_chance" },
    { 0x80B0D1F115AE4E13, "next_dmg_sound" },
    { 0xA88E9DCA36CFBE01, "next_drone_cd" },
    { 0x51524615128199F5, "next_equipment_time" },
    { 0x4A6F7B1B9CE00A46, "next_false_positive_bank_index" },
    { 0x22A590E0420D6F68, "next_flag_hide_time" },
    { 0x14EB663C9EBA8AC7, "next_game_update_time" },
    { 0xA383FC8528171126, "next_goal_time" },
    { 0x6123EB39F3A8D424, "next_hack_update_time" },
    { 0x7DCEA355E70171E9, "next_heli_spawn" },
    { 0x6A9FEEF0759707C0, "next_hint_time" },
    { 0x390B61E989DEE34F, "next_index" },
    { 0x80AB8EF047ECD52E, "next_inventory_flash" },
    { 0xF3BD03CCB332ADEB, "next_maxmoney_hint_time" },
    { 0x148ED216C042EC30, "next_mine_drone_out_of_range_vo_time" },
    { 0x811329E0BDD26B82, "next_mortar_vo" },
    { 0xE4262AFA8FD7EB61, "next_node" },
    { 0xB7FA49BAD85991CB, "next_pain_vo_time" },
    { 0x65697436D3526249, "next_play_time" },
    { 0xB9CDB4C9E21A6B1A, "next_reactive_time" },
    { 0x166223B6878B278E, "next_rig_num" },
    { 0x296CF9DF88200BC5, "next_role" },
    { 0x91DACA467C972D40, "next_scriptable_vo_time" },
    { 0xD14FC0BF3E949AE6, "next_snipe_try_time" },
    { 0x064D0CA11B897E87, "next_sniper_glint_time" },
    { 0xB032520EC631D34C, "next_sound_time" },
    { 0x1188E12BE9DCB138, "next_sound_wait" },
    { 0xF3A5605811816F37, "next_strat_level_check" },
    { 0x4F6ED11795EB35B0, "next_subway_track_hurt_time" },
    { 0x82072246C54796F7, "next_target_switch_time" },
    { 0xE46155A0AF03975C, "next_threshold" },
    { 0xE4F19E9F2BB55D79, "next_time_check_tags" },
    { 0x18BE7F254A9EE82B, "next_time_hunt_carrier" },
    { 0xB450121D039DA83F, "next_time_switch_defusers" },
    { 0x09AD32C875E892B2, "next_twitch_time" },
    { 0x2C6410C75FE2A48D, "next_warning_message_time" },
    { 0x34F3D9BF8697539A, "next_warning_message_time_hvt_getting_away" },
    { 0x7F81CC228E27E2C0, "next_wave" },
    { 0x6613D822B7D805C8, "nextaimtarget" },
    { 0xCB09B064AF19160A, "nextareanags" },
    { 0x0FAF2C095581C8EF, "nextbalconydeathtime" },
    { 0xA1D73A07FD5F98E8, "nextbombplanttime" },
    { 0x8DB23A8357ACDAE3, "nextcasheffecttime" },
    { 0x4AA5EE7F331772BF, "nextcircleendorigin" },
    { 0x519752CD8AA167E3, "nextcircleendradius" },
    { 0x9692707A230C4D34, "nextcircleendtime" },
    { 0xC5ED70C03F0F4C0D, "nextcirclestarttime" },
    { 0x37D8425D9C0D4090, "nextcombatareaid" },
    { 0x5A0C10CF6C7D9988, "nextcornergrenadedeathtime" },
    { 0xC1A33D7D8E5667A1, "nextcorpsechecktime" },
    { 0x4DC267160C500CE0, "nextcoverchecktime" },
    { 0xDF3D06026D2C0538, "nextcrawlingpaintime" },
    { 0xDB45D4E0594618D5, "nextcrawlingpaintimefromlegdamage" },
    { 0x9FB69672710E09E3, "nextdeathid" },
    { 0xDF3D2FFE55556188, "nextdest" },
    { 0x0BFFC698BF1A0DCA, "nextdialogue" },
    { 0x2E2E274347744119, "nexteventid" },
    { 0x4C2D30B7A5B222C9, "nextfiretime" },
    { 0x7943008C92E374DA, "nextfixupcheckms" },
    { 0xED261E8565135559, "nextflickertime" },
    { 0x645DAB1EBD31D916, "nextfootstepcreak" },
    { 0x5C6183739B32D25C, "nextforcedgroupmovementtime" },
    { 0x96C6D01BC5117EA3, "nextgrenadedamagedialog" },
    { 0xC8959142C1D8342F, "nextgrenadedrop" },
    { 0xADD8ADF5B6DBF14A, "nextgrenadetrytime" },
    { 0x86C4DB05A323152F, "nextgroup" },
    { 0x29B0E0F6BD1B13C9, "nexthealthtiercalledout" },
    { 0x28723A5975304078, "nexthittime" },
    { 0xA2D147F9C8F021D1, "nextid" },
    { 0x442E75BB1E0BC9B3, "nextitem" },
    { 0x4DD658197B8C848E, "nextjuggtimeout" },
    { 0xDEAFAA39512BF021, "nextkillstreakgoal" },
    { 0x51138558DB1F8206, "nextlongdeathshoottime" },
    { 0x38008262AF87B108, "nextlookforcovertime" },
    { 0xA8EF3D9D61B3DDBF, "nextmayshuffletime" },
    { 0x0384B67B5049381B, "nextmeleeattacksound" },
    { 0x754CA4FA059D9E6B, "nextmeleechargesound" },
    { 0xE30637F3B76BCD19, "nextmeleechecktime" },
    { 0xD5A52084C35CF2CC, "nextmissiletag" },
    { 0xCC47E4A4C1C8311A, "nextmission" },
    { 0xEAE90ECE4ABE5D19, "nextmission_exit_time" },
    { 0xD63E61B525A56916, "nextmission_internal" },
    { 0xCCA62E2EAE9940E4, "nextmission_preload" },
    { 0x1130E4F2627E12A4, "nextmission_preload_internal" },
    { 0xEEFF4B1BBC2895D4, "nextmission_primeloadbink" },
    { 0xB0DD3484869210D4, "nextmission_primeloadbink_internal" },
    { 0x452E0A019F4FDEC6, "nextmission_wrapper" },
    { 0x38A24A6C93277258, "nextnode" },
    { 0x2074FEDB24737626, "nextobjectid" },
    { 0xD4FFDAF12A2FC3AF, "nextobjective" },
    { 0x66345489B86B1B1D, "nextoneshotid" },
    { 0xE9E18C102BF8A066, "nextorigin" },
    { 0xD04C9EE9431479C1, "nextpassiverefreshkills" },
    { 0xC12E5B2402C3FC24, "nextplayerid" },
    { 0xB8FDCA7D4105F10F, "nextplayertospectate" },
    { 0x7DCA9154862A82E8, "nextpoi" },
    { 0xBA597F5B10031772, "nextpoint" },
    { 0x51F03E4A05BAC739, "nextposidx" },
    { 0x9A65AE2DCFE7C95B, "nextpossibleblindfiretime" },
    { 0xAAD8000EA533109F, "nextpostime" },
    { 0x9A2062FBBCD8D3FC, "nextprojectilenearbydialog" },
    { 0xAAB7B64C3BD59979, "nextradarpingtime" },
    { 0x7A0580343E77C962, "nextradius" },
    { 0x5AB0B7AFA2D8120C, "nextroundisfinalround" },
    { 0x89A4EF0461C803F9, "nextroundismatchpoint" },
    { 0x5B93894329C8529C, "nextsave_buffer" },
    { 0x2E8897D33B492646, "nextsaytime" },
    { 0x9F8C1A8B61DF068F, "nextsaytimes" },
    { 0x4B90AA7C2D880459, "nextsceneid" },
    { 0x1F83B31E92E1B666, "nextscore" },
    { 0x342D8D4169C2E40D, "nextshotinterval" },
    { 0x22F3647CFB5D54FF, "nextspawntobeinstrumented" },
    { 0x072AFC9DBFC6E933, "nextsplash" },
    { 0xC4EF89FA82B11F91, "nextsplashlistindex" },
    { 0x7E229808A128C44F, "nextsquadmergechecktime" },
    { 0xD7480C502145B086, "nextsquadmovementtime" },
    { 0xE9D2EE281C42E6A4, "nextstar" },
    { 0xB9814D36538701A7, "nextsteps" },
    { 0x61FC102DEA81FDFF, "nextstreakcost" },
    { 0x52C3DBCD139A0A53, "nextstylecheck" },
    { 0x81FFCDA5370BD903, "nextstylecheckdist" },
    { 0x3EEF206265D83E3A, "nextstylecheckinterval" },
    { 0x61AFAF3196AD148A, "nextstylechecktime" },
    { 0x523E2F1F14A5BCC8, "nextswitch" },
    { 0x300449823C42B3D1, "nexttick" },
    { 0x304157823C85435D, "nexttime" },
    { 0x71E7DD4DFCF3A798, "nexttrackframe" },
    { 0xAC8348FDFA148EC9, "nexttrackindex" },
    { 0x4077EAE2929E1C97, "nexttypesaytimes" },
    { 0xFBD0E47E90020EBC, "nextupdatetime" },
    { 0x824D809BE61B78BE, "nextusepress" },
    { 0xB1303E8DA88E7366, "nextusetime" },
    { 0x60AB245470C75BD3, "nextval" },
    { 0x88FC8E1A0A703590, "night_vision_off" },
    { 0x9F656AD6AAFD15EE, "night_vision_on" },
    { 0xC91D79300405CCC9, "nightmap" },
    { 0xC58E680F4307D372, "nightvision_override" },
    { 0x4C304AF4FF3A7B30, "nightvision_override_callback" },
    { 0x0B2B409A0D3A40E3, "nightvisiongogglesforceoff" },
    { 0xA7994C6EC474E55F, "nightvisiongogglesforceon" },
    { 0x15C5920A5F714A21, "nightvisionviewoff" },
    { 0x191AEFE9BCDF64A5, "nightvisionviewon" },
    { 0xBE96DAAB8ABAD062, "nik_van_init" },
    { 0x88328FBE3AF6CF54, "nikolai" },
    { 0x8E053013D4E0C00C, "nikolai_acquire_intro_vo" },
    { 0x88D58899BEC9D8FD, "nikolai_car_nags" },
    { 0xEB9DA8430ACCA38B, "nikolai_dialog_struct" },
    { 0x8A3C5C84CCADE961, "nikolai_escort_nags" },
    { 0xA290D49A530ED096, "nikolai_intro_handler" },
    { 0x21A5BDA69AC40FC5, "nikolai_intro_nags" },
    { 0x0296A8ECFEF8789A, "nikolai_nag_handler" },
    { 0x9F375D38F347E306, "nikolai_van" },
    { 0x5FAF1D27B7C1F968, "nikolai_van_anim_setup" },
    { 0xAAED3D4542481A91, "nikolaivan" },
    { 0xCA59D27B90F57269, "ninebangdoempdamage" },
    { 0x8FA92F93CDE3C692, "ninebangexplodewaiter" },
    { 0xDC444C35ACF0A4AF, "ninebangticks" },
    { 0x88311EA5F5EE59D7, "ninetypercent_music" },
    { 0x9BE55C048656328D, "nml_proto" },
    { 0xCCD0D8F8E1C8347F, "no_abilities" },
    { 0x214B41B65998FBE5, "no_ac130_timeout" },
    { 0x8696C32322773F04, "no_aerial_munitions" },
    { 0x50A2E1942358BCA8, "no_agent_spawn" },
    { 0x5DF3E3871FE0837E, "no_allowdeath" },
    { 0xD6DEC106DC4DED0D, "no_attractor" },
    { 0x3CBEABBF12D932DD, "no_bash" },
    { 0x9D291033F90F6A90, "no_breath_fx" },
    { 0x8ECB76DB18AD5182, "no_civ_ff_penalty" },
    { 0xCC9BC256EBE97E2D, "no_class" },
    { 0x9C2902C0C61F979F, "no_collide" },
    { 0xD47EEAC424CFBD2C, "no_control" },
    { 0x0BFE88A59A88EAE2, "no_cover" },
    { 0x4D1C2EEE2C0DDF8F, "no_crouch_or_prone_think_for_player" },
    { 0xC6B09E2A97806D84, "no_csm" },
    { 0x470C597412181531, "no_deployables" },
    { 0xBFA515E9AFC0CD4F, "no_edges" },
    { 0x59EB9DA30CE1646F, "no_enemy_weapon_drops" },
    { 0x9192AEC1182F8AE1, "no_fallback" },
    { 0xBC0E92CE3A2ED98F, "no_friendly_fire_explosive_damage" },
    { 0xB2E682D84132AF5A, "no_friendly_fire_fail" },
    { 0xB43AF33AB78F4EA7, "no_friendly_fire_splash_damage" },
    { 0xBCE4531FCECF196E, "no_fuse" },
    { 0x100B7FD0602E69B9, "no_gb_lockon" },
    { 0x7A42E00DB8E71963, "no_gravity" },
    { 0xCA976298D8DE0B7A, "no_grenades_near_hvt" },
    { 0x3FF66103AC620802, "no_handle_ajar" },
    { 0x8ADCEBFC1F4FA678, "no_intel_drops" },
    { 0x82E97151196F3789, "no_jugg_early_exit" },
    { 0xB54A692A89AF2A33, "no_lua" },
    { 0x52BC4D0AD8F21FD7, "no_more_pain" },
    { 0x24771C5A9500A5F9, "no_more_wire_to_cut" },
    { 0x7A6645267514C89E, "no_moving_platfrom_death" },
    { 0xBAAA481B54747613, "no_moving_platfrom_unlink" },
    { 0xBEB0FFC05BF4D70F, "no_moving_unresolved_collisions" },
    { 0xB8C5CF76734D9A48, "no_node_to_go_to" },
    { 0x4689FD7CB2C19EA8, "no_nodes" },
    { 0x2C4EF3D7692813EE, "no_open_interact" },
    { 0x339857B33888127F, "no_outline" },
    { 0x45003874BB4F345F, "no_pain_sound" },
    { 0xFA0EA452EE89B596, "no_pap_camos" },
    { 0x508ED7463D5037E5, "no_physics_collide" },
    { 0x29B77CBFAF1F81CD, "no_pistol_switch" },
    { 0xE3B33075F51C4EAA, "no_player" },
    { 0xB640A39E56861B99, "no_point_defined" },
    { 0x7E5FD94704711DF5, "no_power_cooldowns" },
    { 0x4AB5F6E3876D3174, "no_previous_interaction_point" },
    { 0x52374A90D0663E21, "no_prone_for_player" },
    { 0x9E3507D926FA0826, "no_rblur" },
    { 0xA47B894E5495EEC6, "no_react" },
    { 0xF504A69C15455417, "no_reorient" },
    { 0x9DF58F3D909F62F8, "no_rider_death" },
    { 0xDB92B942D4CC37DA, "no_rushin" },
    { 0x21456A14765ED694, "no_scriptable" },
    { 0xE2678CE4A6A4FA4C, "no_seeker" },
    { 0xB8F9E7AD8EC2D00E, "no_slowmo" },
    { 0xEE4BA18B4A886483, "no_static_shadows" },
    { 0xC5F24CD5271DA586, "no_tarp" },
    { 0x2881C9BB6BC02320, "no_team_outlines" },
    { 0x20E536306AF5D64A, "no_treads" },
    { 0x5B25A533CB004B6B, "no_vehicle_getoutanim" },
    { 0xC11C25FCF0195775, "no_vehicle_ragdoll" },
    { 0xC3D530566A027EE0, "no_weapon_fired_notify" },
    { 0x67FA4EB29031ED03, "no_weapon_sound" },
    { 0x9EEB1163FCF7EDCD, "noachievement" },
    { 0x7BB05EB7B1C0355E, "noactivation" },
    { 0xEE53D5E3E61F3619, "noalternates" },
    { 0x52A053A4710F8BCD, "noanim_deployturret" },
    { 0x3DB1FE759C24E2DF, "noargs" },
    { 0x2CDE2FA6A7AA4B35, "noarmor" },
    { 0x7CCB45404C7A12D8, "noattackeraccuracymod" },
    { 0xA6D9BF84B95C1C2F, "nobroshot" },
    { 0x0C69A555CB387AD2, "nobuddyspawns" },
    { 0xB984CF0272B77CFA, "nocarryobject" },
    { 0x1395DF6609DC286E, "nocircle" },
    { 0x7039794591A37950, "noclip" },
    { 0x5798E77A09418892, "nocorpse" },
    { 0x8737CB6C875C860D, "nocorpsedelete" },
    { 0xDE6E9578953C49F1, "nocrash" },
    { 0x76A81961E26815AC, "nocrouch" },
    { 0xE2AE3BB21820FE2A, "nod_gesture" },
    { 0x4544F873BFDBD843, "nodamage" },
    { 0xA1EE865C37425CB9, "node" },
    { 0xB72BAECC32680013, "node_ambushing_from" },
    { 0x9E7E22A33685DA5A, "node_anim_reach_idle" },
    { 0x2A005FBA3A624E05, "node_bad" },
    { 0x79A954E1FC37CEFA, "node_cansee_child" },
    { 0x5C24C0BE9D8650DF, "node_claimed" },
    { 0x3D443C0E32E61EE8, "node_closest_to_defend_center" },
    { 0x301B849300A64C20, "node_creation_angle_frac" },
    { 0x50B02A1B733DE992, "node_creation_trace_dist" },
    { 0xA60D0337006E1432, "node_creation_trace_index" },
    { 0x98D7A832548BD102, "node_creation_traces" },
    { 0x1C28A85D7E3C1CB8, "node_display_debug" },
    { 0x3E20AFCF6987AC20, "node_fields_after_goal" },
    { 0x55990685ABB9817A, "node_fields_after_goal_and_wait" },
    { 0x03059A8E7E294ADE, "node_fields_after_goal_skit" },
    { 0xE7EBB9C4521C70ED, "node_fields_pre_goal" },
    { 0xE307425ADF1B99CE, "node_flag_triggered" },
    { 0x2F2426916AE16C55, "node_flag_triggered_cleanup" },
    { 0xBE21265396F4F3FC, "node_get_children" },
    { 0x3634BD03E318E62A, "node_grid" },
    { 0x159D8F253BEEA50D, "node_has_radius" },
    { 0x42224D0E038363E9, "node_is_on_path_from_labels" },
    { 0xDF1967616A4BEB57, "node_is_valid" },
    { 0x6F5DB2E9DD598216, "node_is_valid_outside_for_vanguard" },
    { 0xB9D3AE7D3F352118, "node_out_of_range" },
    { 0xAF3CB230321A7471, "node_passes_nav_and_geo_validation" },
    { 0xD6A9BA419446E391, "node_path" },
    { 0xB81AF8EE567C0FC5, "node_relinquished" },
    { 0xADAD04EFAF3C9520, "node_set_children" },
    { 0xEE90AC0ED4C64641, "node_spawner_init" },
    { 0x76C1E3FB487B2F98, "node_targetname" },
    { 0xD31B65A421E90402, "node_type" },
    { 0x5D238287ABF76507, "node_wait" },
    { 0xF8A27F897F2F1E15, "node_within_fov" },
    { 0xB8C2A719BCE1F7A4, "node_within_use_radius_of_crate" },
    { 0x7A210F81CE6B9AD4, "nodeath" },
    { 0xC9CDA2240CE9B6F1, "nodeathsfrombehind_evaluate" },
    { 0xB1BA9B81F649331E, "nodeend" },
    { 0x18673779DD66708B, "nodeexposedpitches" },
    { 0x4CBC32992729F3EB, "nodeexposedtosky" },
    { 0x0E1C602C3D7E10FB, "nodeexposedyaws" },
    { 0x367D05201AAA691B, "nodefaultweapon" },
    { 0xD63BCAB52BE88A6F, "nodeidle" },
    { 0x476ADAB9443FCB00, "nodeisactivated" },
    { 0x6C60DCD0C17C2883, "nodeiscoverexposed3dtype" },
    { 0xB82B856689F73C0B, "nodeiscoverstand3dtype" },
    { 0x29EF823BD979B44E, "nodeisdisconnected" },
    { 0x1830EB114A65EE09, "nodeleanpitches" },
    { 0xD59E8410677B044D, "nodeleanyaws" },
    { 0x5599D64D6B14DA8F, "nodeoffsets" },
    { 0x83AD7EF1CFB051D3, "nodeoverleanpitches" },
    { 0x61EE46CD86F2103E, "nodes" },
    { 0x60745E672FDC27AF, "nodes_flag_triggered" },
    { 0x6CE0FEB70C4518D5, "nodes_set_children" },
    { 0xB7A6C20A013929A1, "nodescore" },
    { 0xEF598C0EE5F0D937, "nodeshouldfaceangles" },
    { 0x35B57BB4A7A80270, "nodesvisible" },
    { 0x8E47CF0E8401F8B4, "nodetoentitysighttest" },
    { 0x1915E77120006531, "nodetype" },
    { 0x8F8734417146992D, "nodeyaws" },
    { 0x1FCB497EFEA463F0, "nododgemove" },
    { 0x57F36A67A2A7698B, "nodroneweaponsound" },
    { 0x48F3B3007C7E567B, "nodrop" },
    { 0xBB51468523105172, "nodropanim" },
    { 0x735F0D4B5C815B4B, "nodropgrenade" },
    { 0x20ADC25210980488, "nofacialfiller" },
    { 0xF5168D1A4E3D5632, "nofailontimeout" },
    { 0xA89227681A14D93A, "nofallanim" },
    { 0x7B385573BED4F6E8, "noflashlight" },
    { 0x9DA7EFCF1411D95E, "nofour" },
    { 0xC956D7D3FB14AE24, "nofriendlytags" },
    { 0x516514CD7A150684, "nogib" },
    { 0x925D784C6B4CFF7C, "nogravity" },
    { 0xCDE0298BE8F5D1C7, "nogravityragdoll" },
    { 0xCCC62BCE6BD0F2C2, "nogrenadereturnthrow" },
    { 0x56CF146DBC8E5084, "nogrenadethrow" },
    { 0x3E0269754CC00D8A, "nogroundfoundtime" },
    { 0x8420409398A974CE, "nohelmetpop" },
    { 0xC5CA9310584C0AF3, "nohint" },
    { 0x1E5951CE10FDE6FD, "noise" },
    { 0x42E74768EA538EBA, "noisemakerfiremain" },
    { 0x1BB68485DF41E073, "noisemakersdisablecursors" },
    { 0x5DE60E215BB5E5A6, "noisemakersenablecursors" },
    { 0x43CBC102C6991CA2, "noisemakerwaitpickup" },
    { 0xF33BDBCDF189F1A5, "nojip" },
    { 0x63CB1315D7CB0E4E, "nokill10deaths_evaluate" },
    { 0xF777C7FEACE4B499, "nokillnodeath_evaluate" },
    { 0x6525EF058FC570AB, "nokillswithdeath_evaluate" },
    { 0x4FA39DB8EC6DC61C, "nolandingdamage" },
    { 0xBED98A8F18B67754, "nolightfx" },
    { 0x210602BA812AFED0, "noloot" },
    { 0xA7DA0E689F2D9617, "nomortar" },
    { 0x7FEF699DA6CCD042, "non_detectable_killstreaks" },
    { 0x9C511150C2AC53FB, "non_gesture_death_anim" },
    { 0x23D4F048F264B39D, "non_hall_3f_cleared_vo" },
    { 0xB79E8E41F4FCBB17, "non_player_add_attacker_data" },
    { 0xB2F16A5796735488, "non_player_add_ignore_damage_signature" },
    { 0x523B06A29A6F3C09, "non_player_clear_attacker_data" },
    { 0x91341A842D38A02F, "non_player_clear_ignore_damage_signatures" },
    { 0xB31B1A8391D43874, "non_player_get_attacker_data" },
    { 0x3EBEFFD704CCC2E2, "non_player_log_attacker_data" },
    { 0x8EA55C69536F9CED, "non_player_remove_ignore_damage_signature" },
    { 0x9ACC02FC0F4EBC03, "non_player_should_ignore_damage" },
    { 0x115E6CD4D1ACC10E, "non_player_should_ignore_damage_signature" },
    { 0x58AB0EBBC5C1356A, "non_sync_bomb_defusal" },
    { 0x091A13D864FE357F, "nonanimatedpositions" },
    { 0x70D89B79E20816FE, "nonbunkerdoors" },
    { 0x4890CFAA06F4CAC8, "noncombat" },
    { 0xA208B25C375EE687, "none" },
    { 0x8081EAE5EF007FE4, "nonfauxspawnsetup" },
    { 0xD8C837DE936C9659, "nonnvgnightmap" },
    { 0x2D1F57EFB36BDF05, "nonobjective_requestobjectiveid" },
    { 0x4CF61C7C0FB08F70, "nonobjective_returnobjectiveid" },
    { 0x0A08BA2F3AA0FF57, "nonvectorlength" },
    { 0xEBD52D3AEE64DD68, "nonvehicle" },
    { 0xAC5AA3F90EE79DC9, "noobjective" },
    { 0xA20CA35C3762BB61, "noop" },
    { 0xB871CCDA070E73D2, "nopathnodes" },
    { 0x6D39B1D28346EF7F, "nophysics" },
    { 0x24E36F9C19BAE333, "nopickuptime" },
    { 0x05661CF342338C54, "noprone" },
    { 0x8336AF8FFD65409B, "nopropsspectate" },
    { 0x14E33382AFFE44F9, "noragdoll" },
    { 0x71D37A77E2F68667, "noragdollents" },
    { 0xABBA6D8674A2A099, "noreact" },
    { 0x72BB8D95C34D2FE4, "norestoreweaponsdefaultfunc" },
    { 0x849155B4164BA896, "norewardiconintro" },
    { 0xB545ADA482A6419E, "normal" },
    { 0x36490B175E9CAEBF, "normal_friendly_fire_penalty" },
    { 0xC928462D1E4B8CB5, "normal_mode_activation_funcs" },
    { 0xA024872F76894A85, "normal_radar" },
    { 0xD0263EE60CB451AE, "normal_revive_time" },
    { 0xB90221928603374E, "normalize_carried_angles" },
    { 0xA0E01CFC28C31C84, "normalize_compare" },
    { 0x9D86A3612670CEE8, "normalize_script_friendname" },
    { 0x66B68042E59D7F3A, "normalize_value" },
    { 0xEAD455D17B950379, "normalizecompassdirection" },
    { 0x79C3DFF307C26344, "normalized_cos_wave" },
    { 0xB825DB7CD6856D3E, "normalized_distance" },
    { 0xB949F68F8D46763A, "normalized_float_smooth_in" },
    { 0x191A6FB3EF7F5853, "normalized_float_smooth_out" },
    { 0x8CCC98440499CA28, "normalized_float_smoth_in_out" },
    { 0x91A25EA16E2EB6F5, "normalized_kill" },
    { 0x4414C10872730A2F, "normalized_parabola" },
    { 0x951E5F3A9F99F093, "normalized_sin_wave" },
    { 0xDCFA96B2B97F606A, "normalized_starttime" },
    { 0x828E789008CE50C2, "normalized_to_decay_clamps" },
    { 0x395B1CBC1D726E13, "normalized_to_growth_clamps" },
    { 0x5D4BDA38743E3DE2, "normalizeworldupreferenceangles" },
    { 0xD8D139198CEF1541, "normalspeed" },
    { 0xFAA4C20C17E59C1B, "northeast_carcrash" },
    { 0x26F168A2A2B6EE2B, "northyaw" },
    { 0x6621061011748F4F, "noscopeoutlinesetnotifs" },
    { 0xC70764105C6635BA, "noscopeoutlineunsetnotifs" },
    { 0xD2BE7B72F37EF3F5, "noscriptable" },
    { 0x8E8CFD2A73858163, "noself_array_call" },
    { 0xB711692207529C40, "noself_delaycall" },
    { 0x4A52BA3686685319, "noself_delaycall_proc" },
    { 0xC851FC3A0A04A5EF, "noself_func" },
    { 0x298F1996544D8F76, "noself_func_return" },
    { 0x546DD87F184EC1AB, "noshooting" },
    { 0x881921407393B01A, "nosighttime" },
    { 0x48548B1921F4D4E7, "nospectatablepropswatch" },
    { 0x10A6B9AAC6610C95, "nosplash" },
    { 0xEAD745E573FA2F30, "nosquad" },
    { 0xD746D19FB019F1AA, "nostand" },
    { 0x47F4EC3042DEF10F, "nostuckdamagekill" },
    { 0x328F2D5A88090A09, "nosuspensemusic" },
    { 0xCB24638E30420F62, "not_closing" },
    { 0xEB18061E78EC0D0F, "not_compromised" },
    { 0x2296AEBA23B2F981, "not_opening" },
    { 0x23C386FF66B45A27, "notanksquish" },
    { 0x55C4AD2FCFFA1017, "notarget" },
    { 0xE49048A2E79866F5, "notcanon" },
    { 0x48FC8FCE2FEC7FA9, "note:" },
    { 0x09162B2328B402BB, "note_attach" },
    { 0xA78B3A117EFBF30C, "note_track_start_fx_on_tag" },
    { 0x4E8722F46D97EBAE, "note_track_start_sound" },
    { 0x945BA7312FB62B5B, "note_track_stop_efx_on_tag" },
    { 0x8E10EAEA047E8E1D, "note_track_swap_to_efx" },
    { 0xB54322A04EF632FB, "note_track_trace_to_efx" },
    { 0x4F4364183CC9B7C5, "notehandler_deploylmg" },
    { 0x01A1C094D53CBE49, "noteleport" },
    { 0x48FCD6CE2FED1BCE, "notes" },
    { 0x1FAF0E11CB775F00, "notetrack" },
    { 0xFFFB64E12C87F35B, "notetrack_civ_killed" },
    { 0xC63FACBCDB78D25C, "notetrack_effect" },
    { 0xA6C97B66CE03671B, "notetrack_handler" },
    { 0xD117953F90E0877B, "notetrack_listener_cattleprod_shock_player" },
    { 0xA16C31AB06128A6D, "notetrack_listener_cattleprod_shock_player_at_gate" },
    { 0xA1480B7F3F109CA9, "notetrack_listener_close_cell_doors" },
    { 0xAF6D0405C9B05F31, "notetrack_listener_close_cellblock_door" },
    { 0x10516DD71B370782, "notetrack_listener_disable_spring_cam" },
    { 0xE62B2F62827641A7, "notetrack_listener_enable_spring_cam" },
    { 0x3B4BBF3A9D354AAD, "notetrack_listener_open_cell_doors" },
    { 0x38A5E7C62CCEB495, "notetrack_listener_open_cellblock_door" },
    { 0x3C7BFB285A7354EC, "notetrack_listener_unshackle" },
    { 0xBF836EC5FDCEADD0, "notetrack_mission_failed_vo_disable" },
    { 0xFCFEF50635BA4313, "notetrack_mission_failed_vo_enable" },
    { 0x7C19CE8BFB62EBA2, "notetrack_model_attach" },
    { 0x2CF0992C6E82D3B8, "notetrack_model_clear" },
    { 0x9EF4E5C910B73387, "notetrack_model_translate" },
    { 0x5CE8BC1DC2DF7E7D, "notetrack_nag" },
    { 0xF3F147EB7EE042B2, "notetrack_prefix_handler" },
    { 0xCE2D534DC8D05D0E, "notetrack_prefix_handler_common" },
    { 0xE56972FAAE2F217A, "notetrack_prefix_handler_mp" },
    { 0xE5096EFAADC66034, "notetrack_prefix_handler_sp" },
    { 0xF89ACA6495FB6BD0, "notetrack_timeout" },
    { 0x371DF28ABD7F394A, "notetrack_vo" },
    { 0x24CD0D5230C9A461, "notetrack_vo_disable" },
    { 0xDD429CF768052418, "notetrack_vo_enable" },
    { 0x44468A8B064511D8, "notetrack_wait" },
    { 0x84081C70C3BF4207, "notetrack_watcher" },
    { 0x5120927A20FD363A, "notetrackalertnessaiming" },
    { 0x2FE1B1772754FB99, "notetrackalertnessalert" },
    { 0xC3BC857F76EED444, "notetrackalertnesscasual" },
    { 0x4BCE7E34C337EA0D, "notetrackbodyfall" },
    { 0xB26805264CD4AA44, "notetrackcodemove" },
    { 0x893A5B126591A597, "notetrackcoverposerequest" },
    { 0xD1AB58D900949883, "notetrackdropclip" },
    { 0x7600E31DA299523F, "notetrackfaceenemy" },
    { 0x45F4C1524A30B1AD, "notetrackfacialangry" },
    { 0x73E180061A22FDD5, "notetrackfacialcheer" },
    { 0xBC8D3A7AC575DAD2, "notetrackfacialdeath" },
    { 0x90B4C51B2B2A6465, "notetrackfacialgasdeath" },
    { 0x78C0DD0FF47AB88E, "notetrackfacialhappy" },
    { 0xEED669A9C06E1B02, "notetrackfacialidle" },
    { 0x77692B5E27ED7440, "notetrackfacialpain" },
    { 0x8B26631DCFD87365, "notetrackfacialrun" },
    { 0xE59044FF779CEB44, "notetrackfacialscared" },
    { 0x692E00B66BC4849E, "notetrackfacialtalk" },
    { 0x22E5BDF136FB4978, "notetrackfingerposeoffleft" },
    { 0xDDEBFA84A2BE052D, "notetrackfingerposeoffright" },
    { 0x1445641C17F3528C, "notetrackfingerposeonleft" },
    { 0x7FE4C6CE8438B1F9, "notetrackfingerposeonright" },
    { 0xE2EC5FC4F2BD23A4, "notetrackfire" },
    { 0xF18504717850D661, "notetrackfirespray" },
    { 0x1862324DC474D904, "notetrackfootscrape" },
    { 0xC5B7C5809C576256, "notetrackfootstep" },
    { 0xB02D2BEA89AE519E, "notetrackgravity" },
    { 0xB85D1E0005E5A69F, "notetrackgundrop" },
    { 0x9F90CBE575BB1A1F, "notetrackgunhand" },
    { 0x9BEACAEABE4AD3F8, "notetrackguntoback" },
    { 0x31D940EC2B96040C, "notetrackguntochest" },
    { 0xA4BFB22B5C76400B, "notetrackguntoright" },
    { 0x8E85C9E45EC34086, "notetrackhandle" },
    { 0x32A09E5DDAD8BA3B, "notetrackhandstep" },
    { 0x4D0F085E66B5E760, "notetrackhelmetpop" },
    { 0xB0FF41F5AD651B69, "notetrackhtoff" },
    { 0xB12203F5AD8ADAC7, "notetrackhton0" },
    { 0xB12202F5AD8AD894, "notetrackhton1" },
    { 0xF96091564B97A585, "notetrackland" },
    { 0xBE59C2C8092FCD93, "notetracklaser" },
    { 0x2A2300F9CFAFF2AE, "notetrackloadshell" },
    { 0xA8D97EC774D46B9E, "notetrackmayhemstarted" },
    { 0xB46851E026E3F19C, "notetrackmissionfailedvo" },
    { 0xFDC62859010A9F15, "notetrackmovement" },
    { 0xD78125BD9D95ADDC, "notetrackmovementgunposeoverride" },
    { 0x631883EC88E585DA, "notetrackmovementrun" },
    { 0xBBAE4013688DF095, "notetrackmovementstop" },
    { 0x89AA69BBB26E7380, "notetrackmovementwalk" },
    { 0xE86412D97566AA97, "notetrackpistolpickup" },
    { 0xC7B7FFDFFDD913AE, "notetrackpistolputaway" },
    { 0x5E862AA98071E678, "notetrackpistolrechamber" },
    { 0xA5915F79980A2E9A, "notetrackposeback" },
    { 0xE6FA03375B0D78E8, "notetrackposecrawl" },
    { 0x7602B2962DBB4273, "notetrackposecrouch" },
    { 0x1B2820DB0FC4077D, "notetrackposeprone" },
    { 0x4181D0199BD1148B, "notetrackposestand" },
    { 0x6A6F4EFDF4C780C7, "notetrackragdollblendend" },
    { 0x1E85646649DFF730, "notetrackragdollblendinit" },
    { 0x0656BC11272225F7, "notetrackragdollblendrootanim" },
    { 0xB33E5AB83E674281, "notetrackragdollblendrootragdoll" },
    { 0xD8D6B2893470A622, "notetrackragdollblendstart" },
    { 0x0B90F9745B092C72, "notetrackrefillclip" },
    { 0x2EBCEEB7DD4E2247, "notetrackrocketlauncherammoattach" },
    { 0x255B64227786E9E9, "notetracks" },
    { 0x8D596DCDC7B55F87, "notetrackstartragdoll" },
    { 0xD408895AEBC7B4CD, "notetrackstopanim" },
    { 0xA3A3F4C3B4E48BB8, "notetrackvisorlower" },
    { 0xEB691E48E48928B2, "notetrackvisorlower_instant" },
    { 0xA74D355046E88763, "notetrackvisorpricelower_instant" },
    { 0x4A415FEA4C668716, "notetrackvisorpriceraise_instant" },
    { 0x85A986AE5F85F895, "notetrackvisorraise" },
    { 0xAF41C15CD7ABE86F, "notetrackvisorraise_clear" },
    { 0x14B7CEE7135A9FBF, "notetrackvisorraise_instant" },
    { 0xAEF4BDCCDDC3D937, "notetrackvo" },
    { 0x4972331467E4765E, "noteworthy" },
    { 0x2F7C0A827362D735, "notfirsttime" },
    { 0xFB6E61C8E9B3D432, "nothreat" },
    { 0x9CB738E352DFA6BF, "notificationdisplayandfade" },
    { 0xFDC2F73882973DDB, "notificationpulse" },
    { 0x0D4D52DD8DCB238B, "notifications" },
    { 0x7CCFFDD58A66774C, "notifiedtimesup" },
    { 0xB3D833019B5EA60C, "notifies" },
    { 0x9BED8F9EE967D263, "notify_after_time" },
    { 0x46ABEF454CAD105A, "notify_all_groups_in_module" },
    { 0x9E2A16E9D1F91317, "notify_apache_ai_kill" },
    { 0x1BF699062354B25F, "notify_building_breach" },
    { 0xA44358DDEC66F50F, "notify_death_to_group" },
    { 0xAA6FBAAA8EC160F8, "notify_delay" },
    { 0xA72858126F1E19E3, "notify_disable" },
    { 0x81EB2447FF9ED8CE, "notify_enable" },
    { 0x676AA32A606EF92E, "notify_end_of_anim" },
    { 0x0BE15139D6B3F5A1, "notify_enemy_bots_bomb_used" },
    { 0xFE6F1FEFE0BE1DC6, "notify_enemy_team_bomb_used" },
    { 0x78522270BC2C7F50, "notify_enter_tunnel" },
    { 0xA97C57180DB50E56, "notify_if_player_can_see_me" },
    { 0x2FB53556BD9C1186, "notify_if_teleport_clear" },
    { 0x30570936E7D23257, "notify_moving_platform_invalid" },
    { 0x173F9C32580F8ED9, "notify_nearby_casual_killers" },
    { 0x44222BB4A538F401, "notify_nearby_enemies" },
    { 0x8EBD6E516DFD0E28, "notify_on_damage" },
    { 0xB29C27859231EDA2, "notify_on_end" },
    { 0x6DB70A7BBAC3AF07, "notify_on_killed_by_apache" },
    { 0x84A4644EECCBAE9D, "notify_on_lookat_dad" },
    { 0x6ADE458F4E4EA80F, "notify_on_trip_defused" },
    { 0x5F9A4366F38214DD, "notify_on_vip_death" },
    { 0xF38BF5BC89B9C4B0, "notify_on_whizby" },
    { 0x3F580AAA56197E70, "notify_others_in_group" },
    { 0xD391C266AC5C0189, "notify_planter_on_damage" },
    { 0xE1F5644E32FC2565, "notify_planter_on_whizby" },
    { 0x4DDBAE668F589198, "notify_queue" },
    { 0x0EF91425ED46C99A, "notify_self_nag" },
    { 0x481C07D7E62B4C5F, "notify_start" },
    { 0x788966FE5C7AB24F, "notify_started_nag" },
    { 0x27C0ABBD166C7285, "notify_stop" },
    { 0x309FE8B74099D6E2, "notify_system_to_grab_next_vo_from_queue" },
    { 0x3BE2AD9B45884641, "notify_timeup_consumable" },
    { 0x746D843CFB55EDB4, "notify_trigger_on_death" },
    { 0xD29C0291BB8727AA, "notify_used_consumable" },
    { 0x00A2EB12864073C8, "notify_when_group_ends" },
    { 0x0E280FC902CC203C, "notify_when_loadout_given" },
    { 0x914CF7478C998277, "notify_when_player_nearby" },
    { 0x255ECA9CA0F561D5, "notify_when_player_shot_on_ladder" },
    { 0x6EAB594935034342, "notify_when_tag_aborted" },
    { 0x65A6A540707BDC49, "notify_when_tag_picked_up" },
    { 0x613B15A13DA0AD4A, "notify_when_tag_picked_up_or_unavailable" },
    { 0x60B638EF541DC787, "notify_whizby_from_player" },
    { 0x1B8425C9345EAFC8, "notify_within_distance" },
    { 0x36B44E92F35DA6C5, "notifyafkofselection" },
    { 0xEF55EE6F8A9934C0, "notifyafterframeend" },
    { 0x8A83D683ABEEA263, "notifyaftertime" },
    { 0x28FC72842D3AE4D8, "notifyangles" },
    { 0x0854B43587BF8AB5, "notifyarmorgesturecomplete" },
    { 0x0CB0FA7AD5C1B027, "notifycapturetoplayers" },
    { 0x5E3A93472C643AE2, "notifyconnecting" },
    { 0xA2B510D37DABCAAC, "notifycounter" },
    { 0x25CE5A29B07F0859, "notifydamage" },
    { 0x7524BA11F9CCC6B6, "notifydamagenotdone" },
    { 0x9006607C7B92ED9A, "notifydeath" },
    { 0x7DCA420D1866E604, "notifydeathdelayed" },
    { 0x27443FB184EB8264, "notifydown" },
    { 0xABC7204E24241DC3, "notifyentities" },
    { 0x0A59FDDED3E05603, "notifyentity" },
    { 0x4595CFE7300CAE12, "notifygrenadepickup" },
    { 0x27CAB40C9016CF1D, "notifyhit" },
    { 0xE9EB5CFB960B8964, "notifykilledplayer" },
    { 0xF8705609051C7F2F, "notifymessage" },
    { 0x28BDAC2792B757FB, "notifyname" },
    { 0x83DD871B844C63BB, "notifynormal" },
    { 0xDEE20CAEB389BC0E, "notifyoncommand" },
    { 0xF2B95D75E59DB496, "notifyondelete" },
    { 0x515D894BBD5F0E45, "notifyonplayercommand" },
    { 0xA2FCA95A98885C70, "notifyonplayercommandbetting" },
    { 0xF2B3F015CECCDB1D, "notifyonplayercommandremove" },
    { 0x3ABDB0B7729C544D, "notifyonplayerupdate" },
    { 0x9BE66D442FAEDDDA, "notifyorigin" },
    { 0x248A188BAAC2D8DA, "notifyplayers" },
    { 0x6AE939034D33AE3D, "notifyplayerscore" },
    { 0x3DB97592BB615A01, "notifypowerduration" },
    { 0x2CAA2CE1D887B88E, "notifyradius" },
    { 0x724122357F6A5CBF, "notifyremoveoutlines" },
    { 0xC3B333C6C1F32746, "notifyreviveregen" },
    { 0x7B62733B99C72CBD, "notifystartaim" },
    { 0xF87ED0410DA9F2A1, "notifystring" },
    { 0x7AABA73D7F7AD021, "notifyteam" },
    { 0x1BDE338AF1FB6996, "notifyteamonvehicledeath" },
    { 0x7430240AA94265E7, "notifytoendmark" },
    { 0x44D7F785706C4C2A, "notifyuiofpickedupweapon" },
    { 0xC936A600EE755965, "notifyup" },
    { 0xBA3925558076C359, "notifyupdateplantedequipment" },
    { 0xE7F4C594FACA4E54, "notifywhentauntstimedout" },
    { 0x147100EFFCD9EB68, "notinsolid" },
    { 0x86807F9CC2300A31, "notshouldidlebark" },
    { 0xB073A007EEFB11A0, "notshouldstartarrival" },
    { 0x6DE2B3ED80D71599, "notsolid" },
    { 0xF48C1E77FF413A3A, "notstand" },
    { 0x60F031D913BF3A68, "notthrown" },
    { 0x48B1C8CE2F9A44BD, "notti" },
    { 0xB90C0D70F673A4C1, "noturnanims" },
    { 0x848EABD547D7AC3B, "notusableafterownerchange" },
    { 0x2A5EA72DB1E97E5B, "notusableforjoiningplayers" },
    { 0x2AF84CABB43A167E, "nousebar" },
    { 0x94DB8E228B1113B3, "nousekillstreak" },
    { 0xA4A1DA3B02898E56, "novolumetric" },
    { 0xEF2F463A55EE1419, "nowaypoint" },
    { 0xEBB71DE541FFA2FB, "noweapondropallowedtrigger" },
    { 0x518333BEAC839CA0, "noweaponfalloff" },
    { 0x4B32AB11D854D022, "noweaponsonstart" },
    { 0xDAA5473CE306155F, "nowhizby" },
    { 0xED967743690C4695, "nozonetriggers" },
    { 0x89B1D865EE17EACC, "npc_revive_available" },
    { 0x465F09E8C2C7BA3C, "npcbodies" },
    { 0x4EB1DB3D2CB87FC1, "npcid" },
    { 0xE44BD30631C7286F, "npcidtracker" },
    { 0x9927277387205D06, "npicon" },
    { 0x8C445FE7513328C8, "nt_test" },
    { 0x539118F48162BE01, "nuclear_core" },
    { 0x559B80C09B5DCC3A, "nuclear_core_carrier" },
    { 0x4B0C2A166A90E4AC, "nuclear_core_carrier_escaped" },
    { 0x0D8FEAC73BD11EDC, "nuclear_core_delete_after_timeout" },
    { 0x4F13E61A9A6E839A, "nuclear_core_interaction" },
    { 0x3AB2DDFF7DE18E7F, "nuclear_core_on_chopper" },
    { 0x6277ADE687D72CCD, "nuclear_crate" },
    { 0x752118229443EB5E, "nuclear_crate_interaction" },
    { 0xA08372DACD94E763, "nuclearcorepickedup" },
    { 0xDDD4385D1D9EA0B4, "nuke" },
    { 0x1704E0ACE1A31C3C, "nuke_abortkillcamonspawn" },
    { 0x4F9B61D87BAC7D50, "nuke_addteamrankxpmultiplier" },
    { 0xBC4AF63F5028F906, "nuke_adjustexplosiondof" },
    { 0x6699C79909ECC272, "nuke_atomizebody" },
    { 0x0E986E8A8CFC15EF, "nuke_cancel" },
    { 0x3AEFCA6F0783CF55, "nuke_cankill" },
    { 0xBEE1BFF0418537B0, "nuke_cankilleverything" },
    { 0x58161642C6330857, "nuke_carrier_last_transform" },
    { 0x151FDF7871B193D7, "nuke_cleartimer" },
    { 0x95309D6E45990ABE, "nuke_clockobject" },
    { 0xACB72839C3ABBBAC, "nuke_core_time_warning_nag" },
    { 0x7FEF4E29E8049926, "nuke_core_tug_of_war" },
    { 0x3541B129C373F69A, "nuke_createradiationzone" },
    { 0xB348CCAA9CA5C329, "nuke_death" },
    { 0x95757930F216ACD3, "nuke_delayendgame" },
    { 0xB476CADDD606AA3C, "nuke_delaythread" },
    { 0x3DB4150B8808DAB9, "nuke_destroyactiveobjects" },
    { 0xD37545004923ACF2, "nuke_dof" },
    { 0x2C62FBFD5F1080FC, "nuke_earthquake" },
    { 0x49A6F203518AEF50, "nuke_expl_struct" },
    { 0x70C3626F4AA3B37C, "nuke_explosion" },
    { 0x22A615C071A89426, "nuke_explosionpos" },
    { 0x73873F2065138D27, "nuke_explposstruct" },
    { 0xF75F6B62E94CDBE3, "nuke_fadeflashvision" },
    { 0x08DB667DC92FAB39, "nuke_finalizelocationnuke" },
    { 0x6F2B9B75206A1DB7, "nuke_findunobstructedfiringinfo" },
    { 0x7AA0459D1E287241, "nuke_hostmigration_waitlongdurationwithpause" },
    { 0x7F754BA6BFA9DB4E, "nuke_hostmigration_waittillhostmigrationdone" },
    { 0x846D954F64B94889, "nuke_inflictor" },
    { 0xA5BA872B6F402C64, "nuke_interactions" },
    { 0xE8DD962244274FE8, "nuke_isplayerinradzone" },
    { 0xBCF67EFE438D2480, "nuke_killplayer" },
    { 0xE46FF15119169F53, "nuke_killplayerwithattacker" },
    { 0xBEC3502D6E5C0B26, "nuke_launchmissile" },
    { 0x1AE4E079FEAE7C0B, "nuke_mercyending_init" },
    { 0x15FD37F7B171A273, "nuke_mercyending_think" },
    { 0x0D57293B0510764F, "nuke_missile" },
    { 0xCACE7C28582148D2, "nuke_playmushroombnk" },
    { 0x49706C436D41A12C, "nuke_playrollingdeathfx" },
    { 0xC7406F614F0EF25B, "nuke_playshockwaveearthquake" },
    { 0xE13221DB7CE48394, "nuke_radzones_think" },
    { 0xE50D83B93B113FFD, "nuke_registerradzone" },
    { 0x0DEC93AEDEF69569, "nuke_removefadeonbnkplay" },
    { 0xFC4B793DB6C7E1D2, "nuke_removeradzone" },
    { 0x71CCB8A4BA2B69AD, "nuke_setaftermathvision" },
    { 0x075FD09486B9DAEF, "nuke_setvisionforplayer" },
    { 0xC98139738E6C5FA2, "nuke_shouldnukeendgame" },
    { 0x85A3F52FE47A0A98, "nuke_slamtoblack" },
    { 0xC0EB486E18B8A7C4, "nuke_slowmo" },
    { 0x5F6B860A33AB6303, "nuke_start" },
    { 0xFC886FAFC5451A18, "nuke_startexfilcountdown" },
    { 0x1558D7FC7CCFDC44, "nuke_startexplosionaudio" },
    { 0x491003A3E055D1B1, "nuke_startlaunchsequence" },
    { 0xA7827089E22480CC, "nuke_startmercycountdown" },
    { 0x1C5904C95EB67CCF, "nuke_startmissileflightaudio" },
    { 0x7D5530CB72DE911A, "nuke_startnukedeathfx" },
    { 0x144C010BD49878B3, "nuke_startnukedeathfx_chooselocationversion" },
    { 0xFF1517B15D9D150C, "nuke_startprelaunchalarm" },
    { 0x70DAC30779E34978, "nuke_starttimer" },
    { 0x61A58CF9218F9106, "nuke_stoptheclock" },
    { 0x8E46EA20E0B02E3D, "nuke_timescalefactor" },
    { 0x97C8ADBB5F2CE869, "nuke_triggermercywin" },
    { 0x6FF2F9B49D144190, "nuke_updateuitimers" },
    { 0x443C02702A5E809D, "nuke_updatevisiononhostmigration" },
    { 0x57266F22BC3AC789, "nuke_vault_alarm" },
    { 0x959D1B204CD1EFDB, "nuke_vault_alarm_on" },
    { 0xBCE7BF4229D8C7CC, "nuke_vault_door" },
    { 0x3FF446143279CE86, "nuke_vault_door_alarm" },
    { 0x9B0CC9D2160C0399, "nuke_vault_door_sounds" },
    { 0x45F77ED52597C297, "nuke_vault_escape" },
    { 0xFC81078F397824DB, "nuke_vault_jugg" },
    { 0x7B0017ED21F4FDF5, "nuke_vault_jugg_internal" },
    { 0x736ABB8DBD30418E, "nuke_vault_jugg_shoot_at_scriptables" },
    { 0x42FD343BDB1E2083, "nuke_vault_key" },
    { 0xB4798B060E130C1D, "nuke_vault_oil_puddle_watch" },
    { 0xD3BDEA0D8999D579, "nuke_vault_oilfire_player_vision" },
    { 0xC0418A10DD490632, "nuke_vault_oilfire_vfx_end_on_death" },
    { 0xD61BA92069733F91, "nuke_vault_oilfire_vision" },
    { 0xAB30C92929DFC757, "nuke_vault_riotshield" },
    { 0xCAABAC766AAF1C39, "nuke_vault_riotshield_internal" },
    { 0x980848F179C4926E, "nuke_vault_runner" },
    { 0xB1BB0A210ED9E232, "nuke_vault_runner_internal" },
    { 0xBB758A3083544107, "nuke_vault_suicidebomber" },
    { 0xE6DB0733A92E0169, "nuke_vault_suicidebomber_internal" },
    { 0x97C05CB0D24BF21C, "nuke_vault_suicidebombers" },
    { 0xD08B5302A73BC81D, "nuke_vision" },
    { 0x8FBFE8DBA4A648E6, "nuke_warnenemiesnukeincoming" },
    { 0x3A088FC787DBE801, "nuke_watchownerdisconnect" },
    { 0x623ACCEC556101D6, "nukecancel" },
    { 0x1E458F98463D3AA0, "nukecharge" },
    { 0x7858C4C823DBA970, "nuked" },
    { 0xA26F21A6D344EDE2, "nukedangerzones" },
    { 0x14D7FD92E5727548, "nukedeathvisionfunc" },
    { 0x64881BE131E45790, "nukedetonated" },
    { 0x7F5E36E51F7B9C56, "nukeexplodetimer" },
    { 0x1FE248824B29E4E6, "nukeflash" },
    { 0x5F0B53369B94626F, "nukefridgewatcher" },
    { 0x8845D3F3ECD81924, "nukegameover" },
    { 0x21B3C77317C64457, "nukegoalpoint" },
    { 0xE954FF8005F6B2C0, "nukeincoming" },
    { 0x4D82E6BE03E5E1E8, "nukeinfo" },
    { 0x8BA0672D7F7A2DB4, "nukeinteraction" },
    { 0x6298F9A24B657F34, "nukelaunchtimer" },
    { 0xF850EDF54F459BC9, "nukeplayer" },
    { 0x671302620210875B, "nukepoints" },
    { 0x93C35DED8B1BC09F, "nukeprogress" },
    { 0xEDB870E1BD76E13E, "nukeselectactive" },
    { 0x55A1CD3891EF3193, "nukeselectgimmewatcher" },
    { 0xEF17B23872271F4D, "nukespoted" },
    { 0x007D562256072DB9, "nukespotted" },
    { 0x80854B13472A599C, "nuketype" },
    { 0xEFF96A2631A92081, "nukeused" },
    { 0x81412DBED52430E4, "nukevisioninprogress" },
    { 0x8D9AFE3DB0E8A46C, "nukevisionset" },
    { 0xCFFDAD9322F34B59, "null_catchup" },
    { 0xA1003C3CF1A9F033, "nulldamagecheck" },
    { 0x1D04FBBED484A590, "nullownerdamagefunc" },
    { 0xCDEA9AC85AA14A14, "nullweapon" },
    { 0x6558830441FC347F, "num" },
    { 0x82BE8CE203AA9401, "num_charges_to_plant" },
    { 0xBA667CAD421379D5, "num_fails" },
    { 0x316D9075EB35E368, "num_guys" },
    { 0xC0ADB31C1AE96BB3, "num_hackers" },
    { 0x53BBC566C8E744E4, "num_healthpacks" },
    { 0xA64D0C91EDDD33B1, "num_missiles" },
    { 0x15D6811BEA1AAF03, "num_nags" },
    { 0x4ADFCA2677F48302, "num_nodes_random_search" },
    { 0x7350421DC8F3F45A, "num_nodes_search_player" },
    { 0xAD4E0A4A0ACAFCD3, "num_of_bomb_defused" },
    { 0x228B11AEE0F35F9C, "num_of_concrete_blocks" },
    { 0xD3E396D9ECD4AD26, "num_of_frame_frozen" },
    { 0xFC7EA0357E8A7BA2, "num_of_ied_hit" },
    { 0xF378FA8FE5931DA0, "num_of_player_ready_to_infil" },
    { 0x6013D46316ED17B5, "num_of_plays" },
    { 0x28D8C7572208A34C, "num_of_quest_pieces_completed" },
    { 0xC48BDC706D957E2F, "num_of_subway_cars" },
    { 0x455DD193B7F48C52, "num_players_by_truck" },
    { 0xDB98511468A3F396, "num_players_checked_in" },
    { 0x920769EF989D8C80, "num_players_in_safehouse" },
    { 0x1E3C9A0C76CAD661, "num_rocket_per_attack" },
    { 0x61095D4D514FF496, "num_script_models" },
    { 0xBFF609D5B69E9016, "num_secondary_objectives_active" },
    { 0x4A54B13CD445A5CA, "num_shot_taken_to_next_damage_state" },
    { 0x260711AD9ED404AF, "num_shots_left" },
    { 0xEA2CF0D69D579363, "num_side_objectives_active" },
    { 0xFEB2EFA46859CB00, "num_sniper_covering_me" },
    { 0x22CE8B2F2D7BEC67, "num_snipers_covering_me" },
    { 0xCE9A3E5414132D9F, "num_time_getting_to_corpse" },
    { 0xC0999834E6AD1D73, "num_times_stealth_broken_tv_station_interior" },
    { 0x7D9F2AE7534144B6, "num_waves" },
    { 0xDA931E08E0EBC1AC, "numactivejuggdrops" },
    { 0xD25AC128836CB084, "numadditionalprimaries" },
    { 0x5CE422FE4B958795, "numagents" },
    { 0xA9E715510D2F4273, "numareas" },
    { 0xAF713B4FF75EEBE4, "numarmorhealth" },
    { 0x733CED4D7450315C, "number" },
    { 0x2FC3A4342BC6DDDA, "number_of_games_played" },
    { 0x4CD28D9E78C0A31C, "number_of_players_in_plane" },
    { 0x1CD912FC88D0BA82, "numberaudioalias" },
    { 0x9293316613ABC7A4, "numbermapobjs" },
    { 0xBF2F1056CC5C2A5D, "numbers" },
    { 0xFE82C0BFECCC2951, "numbersroomdogtagrevive" },
    { 0xCB943044F9469E1A, "numcaps" },
    { 0x1DA81608972998E3, "numchevrons" },
    { 0x340CE983BD3901C1, "numconsumed" },
    { 0x35FB7279AD987CCF, "numcrates" },
    { 0x43689379B70A3823, "numcrawls" },
    { 0x309ECA5B1121E635, "numdeathsuntilcornergrenadedeath" },
    { 0xD93E0C2084476575, "numdeathsuntilcrawlingpain" },
    { 0x1DFF2429F1630A31, "numdepositers" },
    { 0xCE89CB967CD75306, "numendgame" },
    { 0xE1FBAED37A9B59B6, "numenemyvoices" },
    { 0x262BD0606357615B, "numextractions" },
    { 0x62971412E76FA36A, "numextractpointsavailable" },
    { 0xAA1E30A220EE8AE8, "numfails" },
    { 0xA7D10DC986FD1401, "numflagsscoreonkill" },
    { 0x5229CCA01E2D9CCA, "numflares" },
    { 0x71D8D70FF3C20D41, "numfound" },
    { 0xC44D9AC8583184F7, "numfriendlyfemalevoices" },
    { 0xB325667C54137B7F, "numfriendlyvoices" },
    { 0x679451FFC2BF4BC1, "numgametypereservedobjectives" },
    { 0xEC0BC3C8CCDD745A, "numgrabs" },
    { 0x4FD3F3C492A1544D, "numgrenadesinprogresstowardsplayer" },
    { 0xD4F17CD482533140, "numhqtanks_allies" },
    { 0xE48ABB053C5CA05B, "numhqtanks_axis" },
    { 0xBF04919FE519599A, "numhunters" },
    { 0x0B0ADD1E9ABE0DD1, "numinitialinfected" },
    { 0xF6EDF932DF292AD1, "numitems" },
    { 0xE4E49A15BCBA054E, "numkilled" },
    { 0x1A5FE6DC1DE44AB4, "numkills" },
    { 0xC65351852894AE6D, "numknives" },
    { 0xA87F132B1A3DCD75, "numleadersinterrogated" },
    { 0x6B05A288C6958FF5, "numlifelimited" },
    { 0xC9EB928F199681A9, "numlosingplayers" },
    { 0xDAC2385546C3CCCD, "nummistclusters" },
    { 0xB7055252B632D527, "numnonrallyvehicles" },
    { 0x8CA7C666C1AFBC77, "numplayers" },
    { 0x3910CF798CEBA15A, "numplayerswaitingtoenterkillcam" },
    { 0x63C032E8F8710D92, "numplayerswaitingtospawn" },
    { 0x1D234C0FBFD179F7, "numpropsperarea" },
    { 0x11A596A0E2750EE7, "numrequireddestinations" },
    { 0xD8E507BEF286D6CF, "numrevives" },
    { 0x3AC29C48F3321ECD, "numsiegeflags" },
    { 0xB1EB3B48831EF505, "numspeakers" },
    { 0x49E67C67F06B7770, "numthinkfuncs" },
    { 0x09C760684C17133A, "numtouching" },
    { 0x497A49EE0865D37F, "numtouchrequired" },
    { 0x6ECF28ED930A8AB6, "numtouchrequireduse" },
    { 0x0F75709731AE203F, "numuses" },
    { 0x5819DA590F4CCED1, "numwinningplayers" },
    { 0x371F221674ECA1D5, "nvals" },
    { 0x65667D04420C6ED2, "nvg" },
    { 0xCEA5F658085D55FD, "nvg3rdpersonmodel" },
    { 0x06E77AEACDEFBDD1, "nvg_ai" },
    { 0x4898F5AFED2B1540, "nvg_ai_init" },
    { 0x8BC5927B5AB9B1E0, "nvg_death_cleanup" },
    { 0x3DCE555405D582F5, "nvg_death_hint" },
    { 0x6FDF5FF5DF42680C, "nvg_exterior_monitor" },
    { 0x06FB1ED7E49A5FA2, "nvg_eyelights_thread" },
    { 0xF776F7B0CA9BCCFC, "nvg_flir_off" },
    { 0x7A21F4DA1E5EED0A, "nvg_flir_on" },
    { 0xFF413C718390BE62, "nvg_get3rdpersondownmodel" },
    { 0xEAC2F0A48F512AA5, "nvg_get3rdpersonupmodel" },
    { 0x3434D643F0357B19, "nvg_goggles" },
    { 0x740D1D253505EE1B, "nvg_hint_display" },
    { 0x8BCB033AE0FC32C1, "nvg_init" },
    { 0x6CBD7A85DFD9BC46, "nvg_mb_off" },
    { 0x784BA85B2DDE372C, "nvg_mb_on" },
    { 0x3219612316ACFFE7, "nvg_monitor" },
    { 0xD33E3BB030A6F247, "nvg_off_fx" },
    { 0xF06BC1AF346BCF64, "nvg_off_hint" },
    { 0x06EF7BEACDF7ABB2, "nvg_on" },
    { 0xC33E69A2744F6821, "nvg_on_fx" },
    { 0xE238EDBD6F236176, "nvg_on_hint" },
    { 0x96AC1C9DEA110CCB, "nvg_overblown_hint" },
    { 0xCB431674494BE0EC, "nvg_update3rdperson" },
    { 0xF35E0E0A96BEA67D, "nvg_vision_power" },
    { 0x27339F7651483198, "nvg_was_on" },
    { 0x06CC88AE852D34F5, "nvgheadoverrides" },
    { 0x85DD3E65A5983C7A, "nvghintnotify" },
    { 0x53119B573DE3F3BF, "nvglights" },
    { 0xDA523C72475623B5, "nvgmodel_off" },
    { 0x7DEF8E676BE45879, "nvgmodel_on" },
    { 0xE51DB53529988CAD, "nvgs_on" },
    { 0xD29CB91F7B205A5A, "nvgvisionsetoverride" },
    { 0xD3B2605D5AEA7A12, "nvgwatcher" },
    { 0xD6C3171469125425, "nvidiaansel_allowduringcinematic" },
    { 0x35E82F299A11BA02, "nvidiaansel_overridecollisionradius" },
    { 0x5B755CC058338BC9, "nvidiaansel_scriptdisable" },
    { 0xBF268273256885F4, "nvidiaanselisenabled" },
    { 0x4710FCAF15D6331B, "nvidiahighlightsbegingroup" },
    { 0x469692E512B2E041, "nvidiahighlightscleanup" },
    { 0x21E0276A0204A807, "nvidiahighlightsendgroup" },
    { 0xB47B082A6629BE08, "nvidiahighlightsgetcount" },
    { 0xB84870179529C520, "nvidiahighlightsisenabled" },
    { 0x1475C2B73E92FFF4, "nvidiahighlightsrequestpermissions" },
    { 0x75568628C3B7462B, "nvidiahighlightsscreenshot" },
    { 0xC0DE9BCF45324F41, "nvidiahighlightssummary" },
    { 0xE8CA78FA20EE5CFA, "nvidiahighlightsvideo" },
    { 0xD6076625A6ACA933, "nx1_hint_display" },
    { 0xEF1BB4AC940F8137, "obfuscateobjectiveposition" },
    { 0xF7244B8E37160886, "obit_activation" },
    { 0x151A007BF90EDE56, "obit_destroy_old_vehicles" },
    { 0xAB8B8FE1D24F8272, "obit_trigger_for_player" },
    { 0x9CD59F6ABB6B99EE, "obituary" },
    { 0x546A570434B056A6, "obj" },
    { 0x596139FD1CB960A5, "obj_a_behavior" },
    { 0x3A25A423ABF6483B, "obj_a_covers" },
    { 0xD5832302E823CFED, "obj_a_goals" },
    { 0x2C8FF32CC35267F8, "obj_a_post_behavior" },
    { 0xBFD84A8728A2C179, "obj_a_roof_jugg" },
    { 0xAE842729D21D5ACB, "obj_ac130_player" },
    { 0xB5040BA980FAD7C8, "obj_alarm" },
    { 0xBDD5495878D9D11C, "obj_allow_call_train" },
    { 0xE6FC6E021E9CED31, "obj_allow_fulton" },
    { 0xE6308D0DB5EC92C3, "obj_bb_recovery" },
    { 0xC51645C813BC398A, "obj_building_hostages_1" },
    { 0xC51644C813BC3757, "obj_building_hostages_2" },
    { 0xC51643C813BC3524, "obj_building_hostages_3" },
    { 0xC51642C813BC32F1, "obj_building_hostages_4" },
    { 0xC51641C813BC30BE, "obj_building_hostages_5" },
    { 0xC51640C813BC2E8B, "obj_building_hostages_6" },
    { 0xBE685A684B9191C9, "obj_buildings_looked_at" },
    { 0x73FECBB72C2315E7, "obj_cache_def" },
    { 0x04F45AB7965A1D50, "obj_cache_num" },
    { 0xC41C10B697136C25, "obj_caches_foundlead" },
    { 0x1505EDAC4C716184, "obj_caches_foundleadtime" },
    { 0xAFA25DC5DD9BA5D2, "obj_caches_tanks" },
    { 0x3C9FA00581BBB358, "obj_caches_threaded_nags_vo" },
    { 0x59B24D7AF9F45E6A, "obj_call_train_count" },
    { 0x64601B740AA7CA37, "obj_called_train" },
    { 0x8F1D6DFFF10EF261, "obj_can_call_train" },
    { 0x725AD5935C4A02FD, "obj_cleanup" },
    { 0x6486D70AB4EADAC3, "obj_comms_start" },
    { 0x7882ACA411E12A4D, "obj_continue_fulton_extraction" },
    { 0x703600BE99F6FFC9, "obj_current_barrels_scanned" },
    { 0xF49E9174C1162785, "obj_def_cur_time" },
    { 0x93D3A0E2D7B2772E, "obj_def_time" },
    { 0xAF1B8B3EBED88989, "obj_default_beat" },
    { 0x7A5C0A8B4D9182CE, "obj_default_end" },
    { 0xEE0DE7408E064C57, "obj_default_init" },
    { 0x1A6B3F81E5F51F6B, "obj_default_start" },
    { 0xA7A377D23C5B4F15, "obj_destroy_tanks" },
    { 0xCF134FBF6BF5DABB, "obj_door" },
    { 0xE27525A38DB470CE, "obj_door_destroy" },
    { 0x1E36BC57EBDE90D2, "obj_door_interact" },
    { 0xDD3C48AEEC1C2629, "obj_door_setup" },
    { 0x1910442DDAA337B4, "obj_enemy_incoming_vo" },
    { 0x3E1829E2BF9C1192, "obj_exploding_train" },
    { 0xC6DF988E7C5FC1CD, "obj_fob1" },
    { 0x74074436D2F8C416, "obj_fob1_juggs" },
    { 0xC6DF958E7C5FBB34, "obj_fob2" },
    { 0x6787199FEFF9C877, "obj_found_lead_here_vo" },
    { 0xB7F8B9E0BAC10041, "obj_got_extract" },
    { 0x12D89D7085FAAB26, "obj_hangar_bombs" },
    { 0xD7C6CC9D85BBD317, "obj_hangar_juggs" },
    { 0x82DC72343E6DB573, "obj_heli_assault2" },
    { 0x8ACAF5F2A36168C8, "obj_heli_assault3_fob" },
    { 0x7A52D6725448DE4C, "obj_hud_text_leadstotal" },
    { 0xCE53C4BCE9738F63, "obj_hud_text_type" },
    { 0x0B57E5275C46C422, "obj_hvt_dead" },
    { 0x69C36F0692768845, "obj_hvt_spawn_struct" },
    { 0x83FAFE0C4314C423, "obj_icon_revealed" },
    { 0x99F7658F3472BD56, "obj_id" },
    { 0x300BFF407221DA91, "obj_index" },
    { 0x95221803324D7BA7, "obj_keys_nags" },
    { 0xA88C0B875841DF21, "obj_last_hostage_vo" },
    { 0x1B2C3F44CB8C1DD9, "obj_leads_found" },
    { 0x6E680135402C7F1B, "obj_leads_found_good" },
    { 0xD09C9648A1284E33, "obj_leads_found_overall" },
    { 0xD5795AED0A3A0328, "obj_leads_found_reg" },
    { 0xA09D25973CB01840, "obj_leads_hint_timer" },
    { 0x9C6F6BEA235579F5, "obj_leads_models" },
    { 0x32EC784976BAC7F5, "obj_leads_spawned_overall" },
    { 0x1561F4D2A454B7F1, "obj_leads_total_size" },
    { 0xB64D00DE2D8917FF, "obj_leads_type" },
    { 0xE552A4EAB773E6AE, "obj_maj_advance_end" },
    { 0x8F4287210DE4A9B7, "obj_maj_advance_init" },
    { 0x7B1D7A3B1724AA4B, "obj_maj_advance_start" },
    { 0xB69BE74E75361CB4, "obj_maj_approach_end" },
    { 0x898388A6CD848471, "obj_maj_approach_init" },
    { 0x94785363B4A6152D, "obj_maj_approach_start" },
    { 0xE9D8BE69BAB264BE, "obj_maj_bombdefuse_end" },
    { 0xC1C3897531881147, "obj_maj_bombdefuse_init" },
    { 0x1FB7723E10C3D45B, "obj_maj_bombdefuse_start" },
    { 0x2279FA9D5076FB72, "obj_maj_cache_end" },
    { 0x620C1B94BAFED5CB, "obj_maj_cache_init" },
    { 0x34C2680494496B77, "obj_maj_cache_start" },
    { 0xE19DC8CA99C57571, "obj_maj_call_train_end" },
    { 0x8EDA8C3795AFB16E, "obj_maj_call_train_init" },
    { 0x9418E5569AE8DA10, "obj_maj_call_train_start" },
    { 0x1A97BEEA7BD404C9, "obj_maj_comms_end" },
    { 0x0EC78DC95FBDEBB6, "obj_maj_comms_init" },
    { 0x8BB1711FD1931C78, "obj_maj_comms_start" },
    { 0x766922EAE5ADF130, "obj_maj_defend_end" },
    { 0x2D4024F902F631DD, "obj_maj_defend_init" },
    { 0xF76CFBCBBCFF3511, "obj_maj_defend_start" },
    { 0xFE063CCD6F852C58, "obj_maj_defense_end" },
    { 0x721DD8B13A1A8435, "obj_maj_defense_init" },
    { 0xD541BC02DC7C1DE9, "obj_maj_defense_start" },
    { 0xB2533F0EF255818C, "obj_maj_exit_end" },
    { 0x6CCC9B7D0CF4D099, "obj_maj_exit_init" },
    { 0x2715B8C4643CD835, "obj_maj_exit_start" },
    { 0xB9A1F3B27501EB5D, "obj_maj_extract_end" },
    { 0x08E51B66EE8AF90A, "obj_maj_extract_init" },
    { 0xD4BA5CFB6D1369E4, "obj_maj_extract_start" },
    { 0x42F89FA9A5BCD539, "obj_maj_extraction_end" },
    { 0xC1596232871EE026, "obj_maj_extraction_init" },
    { 0x7D12B58A6C29E3A8, "obj_maj_extraction_start" },
    { 0x568DF0F75A7DC6C4, "obj_maj_find_keys_end" },
    { 0x9392B7170B55E301, "obj_maj_find_keys_init" },
    { 0x3C3D24A0A012A57D, "obj_maj_find_keys_start" },
    { 0x14B3E6E8F3AE73F2, "obj_maj_grab_end" },
    { 0x4EE745ECADFCD74B, "obj_maj_grab_init" },
    { 0x18C2076FF8E6B7F7, "obj_maj_grab_start" },
    { 0xEA71A5B1F42DF730, "obj_maj_hackinterrupt_end" },
    { 0xDBFDC0BDE68363DD, "obj_maj_hackinterrupt_init" },
    { 0xCF9C8DCC2C842B11, "obj_maj_hackinterrupt_start" },
    { 0x37BB6868F643876E, "obj_maj_intro_end" },
    { 0x18CDB5BA8D85EB77, "obj_maj_intro_init" },
    { 0x9DDD35CECB9F860B, "obj_maj_intro_start" },
    { 0x1D3CFDE461D587DB, "obj_maj_investigatesignal_end" },
    { 0xDD4C25E29800F284, "obj_maj_investigatesignal_init" },
    { 0xE7560E88D5053E6E, "obj_maj_investigatesignal_start" },
    { 0x369F03F64F70B79F, "obj_maj_leads_end" },
    { 0x4EE17C069DA06018, "obj_maj_leads_init" },
    { 0x6AFAE0533AA033EA, "obj_maj_leads_start" },
    { 0xD43CDA582E3650DD, "obj_maj_open_train_end" },
    { 0xBFF3D9DD3CC6318A, "obj_maj_open_train_init" },
    { 0xA55FBB297950AB64, "obj_maj_open_train_start" },
    { 0xB3545130725D59C5, "obj_maj_rescue_end" },
    { 0x051E20EC13DCBF22, "obj_maj_rescue_init" },
    { 0x64070005C1877BFC, "obj_maj_rescue_start" },
    { 0x4DFD23DAF2144CB5, "obj_maj_secure_end" },
    { 0x7AAABDE59853B752, "obj_maj_secure_init" },
    { 0xE8BCB1BF4DEC0FEC, "obj_maj_secure_start" },
    { 0x819BD6DA1ADACF03, "obj_maj_secure_tower_end" },
    { 0x9F2BF3C416D5785C, "obj_maj_secure_tower_init" },
    { 0x291794A165DDE846, "obj_maj_secure_tower_start" },
    { 0x93E8FA09B590C27A, "obj_maj_take_apache_end" },
    { 0x990FE07559B61303, "obj_maj_take_apache_init" },
    { 0xF577BBCA3D406C4F, "obj_maj_take_apache_start" },
    { 0x248C4A5974E1A4CC, "obj_maj_wait_train_end" },
    { 0xB3453064CEF9C3D9, "obj_maj_wait_train_init" },
    { 0xA056F2696D4C6075, "obj_maj_wait_train_start" },
    { 0x93CE19AB30ACD73F, "obj_max_barrels_scan" },
    { 0xD7C3F732ECF52551, "obj_overwatch_cars_remaining" },
    { 0x3E3F1B9545AA5714, "obj_overwatch_coll_type" },
    { 0x11510005C678DB93, "obj_overwatch_lmgs_remaining" },
    { 0x5BC284FDB6FDC8A8, "obj_overwatch_tanks_ref" },
    { 0x668FD200A06FA749, "obj_ow_atvs_spawned" },
    { 0xA17FB0AB0495321A, "obj_payload_stage" },
    { 0x1C91E3CA172DFF24, "obj_players_fultoning" },
    { 0xA77167F00CFDC1AB, "obj_pos" },
    { 0xE1AB32E5C99B78DE, "obj_pregame" },
    { 0xBC57CB2A2F0A72E0, "obj_reserved_juggs" },
    { 0xE685FB145403679E, "obj_riverbed" },
    { 0x1CB9D99C8F3A497C, "obj_room_attack_cowbell" },
    { 0xE0781C5A8EF9837D, "obj_room_catchup" },
    { 0xEA6894F77FBACA54, "obj_room_explosion" },
    { 0xE597AF979ED81579, "obj_room_fire_01" },
    { 0xE597AC979ED80EE0, "obj_room_fire_02" },
    { 0xE597AD979ED81113, "obj_room_fire_03" },
    { 0xE597B2979ED81C12, "obj_room_fire_04" },
    { 0xE597B3979ED81E45, "obj_room_fire_05" },
    { 0xE597B0979ED817AC, "obj_room_fire_06" },
    { 0xE597B1979ED819DF, "obj_room_fire_07" },
    { 0xE597B6979ED824DE, "obj_room_fire_08" },
    { 0xE597B7979ED82711, "obj_room_fire_09" },
    { 0xE59C34979EDD2FCF, "obj_room_fire_10" },
    { 0xE59C33979EDD2D9C, "obj_room_fire_11" },
    { 0x5815D7A49FF706F5, "obj_room_fov_change" },
    { 0x262B8E78B965428C, "obj_room_main" },
    { 0x9374C3DD8C6570C7, "obj_room_scene" },
    { 0xE868071EB0A06A7B, "obj_room_start" },
    { 0xD29567BF47B3B423, "obj_running_exfil_wave" },
    { 0x9293147D0887DF9B, "obj_scr_anim" },
    { 0xE212419EA3699040, "obj_scr_animname" },
    { 0x054D5ABA6C519F4E, "obj_search_nag" },
    { 0xD8AAC3F19FD22323, "obj_secure_building_start1" },
    { 0xD8AAC4F19FD22556, "obj_secure_building_start2" },
    { 0xD8AAC5F19FD22789, "obj_secure_building_start3" },
    { 0xAADFC6AFE2274872, "obj_selected_id" },
    { 0x7391CE0F4D80D019, "obj_smuggler_killed_early" },
    { 0x60ECBAA2A85C6AFA, "obj_stop_searching_vo" },
    { 0x81243F3488E34DC3, "obj_structs" },
    { 0xA3EED10263DD5F37, "obj_take_loot" },
    { 0x2AF19926F569ECFD, "obj_train_stopped" },
    { 0x9A5A911E58FA8406, "obj_tugofwar_civ_hvt" },
    { 0xBEDC1B0F82A1F023, "obj_tugofwar_drain_speed" },
    { 0xE78F82252C7FF457, "obj_used_extract_num" },
    { 0xC215931AE38F9102, "obj_used_stim" },
    { 0x81EA15D952BF2676, "obj_vindia" },
    { 0x5634253FDFCED7A5, "obja" },
    { 0x5634223FDFCED10C, "objb" },
    { 0x24128FB7567DFAB0, "objbreadcrumbs" },
    { 0x5634233FDFCED33F, "objc" },
    { 0x886ABF8CF3D7854E, "object" },
    { 0x08DE3D7C0A9D878A, "object_is_valid" },
    { 0x03DE1C6E19E8AA74, "objectgroupcost" },
    { 0x03AE5A4AE49CFFA4, "objective" },
    { 0xF4C3300C03E49F38, "objective_add" },
    { 0xE23F27685D5612A4, "objective_add_location_entity" },
    { 0x88E78E74F21C4718, "objective_add_location_position" },
    { 0x760B6532C7015298, "objective_add_objective" },
    { 0xD36809AC93E43F9A, "objective_add_structpos" },
    { 0x6560CE855AADCFE6, "objective_addalltomask" },
    { 0xEA1A4961151001EA, "objective_addclienttomask" },
    { 0x30D2C6D74286A7B8, "objective_addteamtomask" },
    { 0x4D474901D1F5B52A, "objective_array" },
    { 0xB0D65ECC03831DC8, "objective_clear_structpos" },
    { 0xD9A2B8B0BDF73AFE, "objective_complete" },
    { 0xE42A464C51EF7C2A, "objective_control" },
    { 0xFABDF5649F97B0D2, "objective_convoy_init" },
    { 0xD6F93E1C4869C46C, "objective_convoy_start" },
    { 0x1520141B68C3005E, "objective_current" },
    { 0xA2DE641D1DF59F36, "objective_delete" },
    { 0xC645CCABB80248E0, "objective_enforcer_los" },
    { 0xED2775A2B1DE02C9, "objective_exists" },
    { 0xF06E58AD5DAE72FD, "objective_heli_down_start" },
    { 0x1DCF58CE21E64A3E, "objective_hide_for_mlg_spectator" },
    { 0x75C774D1863ADA57, "objective_hide_player_progress" },
    { 0x4FF16147E7AB747F, "objective_hide_team_progress" },
    { 0x63AB75EF21B0A746, "objective_hidefromplayersinmask" },
    { 0xB6C1C61B18D49F4A, "objective_hideprogressforclient" },
    { 0x50DE8F0B4CC55A20, "objective_hideprogressforteam" },
    { 0x588D771689A4D0D7, "objective_hospital_snakecam_wolf_marker_manager" },
    { 0x7E166827A7C934EC, "objective_icon" },
    { 0x2C3AA5B62FA61B27, "objective_icon_attach_to_center_vehicle" },
    { 0xB6615218AA845539, "objective_icon_override" },
    { 0x6B39D72B7BF0F2D0, "objective_icon_show" },
    { 0x112EB5FF1654D957, "objective_icon_show_health" },
    { 0x53AD94516534D7A5, "objective_icon_show_label" },
    { 0x77B677F8BF228CD4, "objective_id" },
    { 0x555C64FB93348E41, "objective_location_trigger" },
    { 0x481528A3675CCA21, "objective_location_watcher" },
    { 0x41FFD4F84166AC8B, "objective_locations" },
    { 0xF38F67D16900DFC2, "objective_locations_logic" },
    { 0x1E3F74514BD27650, "objective_manageobjectivesintrovisibility" },
    { 0xD8EC5122B8486790, "objective_manager" },
    { 0xBB9A1970862F2BC9, "objective_manager_defend" },
    { 0xE0FC233CDF74507B, "objective_mask_showtoenemyteam" },
    { 0x8ADC3149D91F272E, "objective_mask_showtoplayerteam" },
    { 0x90853C3F4E8DECF1, "objective_minimapupdate" },
    { 0x77A94C1C7A892048, "objective_mlgicon" },
    { 0x95BF31CD0FFDA284, "objective_nuke" },
    { 0x2011B5A80552187D, "objective_oncontested" },
    { 0x1D4DC14AA48CC897, "objective_onentity" },
    { 0xCB9D4986F7E550A3, "objective_onpinnedstate" },
    { 0x7B7FA0A1806199F4, "objective_onuncontested" },
    { 0x06CEB3A751A69C1A, "objective_onunpinnedstate" },
    { 0xBED2CC59E9452947, "objective_onuse" },
    { 0x71A40829119B6E98, "objective_onusebegin" },
    { 0x5C162C199E0D7D94, "objective_onuseend" },
    { 0xFE83E404722BA796, "objective_onuseupdate" },
    { 0x5FBE8DD41B5CEE13, "objective_origin" },
    { 0xD3BACA4564D1C216, "objective_pin_global" },
    { 0xD30317454946C458, "objective_pin_player" },
    { 0x312D8124B14ECC94, "objective_pin_team" },
    { 0x71AFC0D41B65FDF0, "objective_pinforclient" },
    { 0x6B97A8F9CF13711E, "objective_pinforteam" },
    { 0x44D76BFD03BB4E75, "objective_ping" },
    { 0xF7DE3564A9E2AD04, "objective_playermask_addshowplayer" },
    { 0xE1A615BFE6A46829, "objective_playermask_hidefrom" },
    { 0x88CD02626125E590, "objective_playermask_hidefromall" },
    { 0x1BE117E31A7EEB30, "objective_playermask_showtoall" },
    { 0xCD8B4984B64F694D, "objective_playermask_single" },
    { 0x23CC142CDD66C626, "objective_position" },
    { 0x655872AC04F7A6C4, "objective_quick_add" },
    { 0x5C654C2E61AD613F, "objective_radius" },
    { 0x3575D87EABE28AB1, "objective_remove" },
    { 0xC13C3BA11F0CBC3E, "objective_remove_all_locations" },
    { 0xB04316DDB6DDDAD9, "objective_remove_location" },
    { 0xCDC000C732F0D130, "objective_removeallfrommask" },
    { 0x905660322B19334E, "objective_removeclientfrommask" },
    { 0x566D01C39660D218, "objective_removeteamfrommask" },
    { 0x39E36ABD2CD410B0, "objective_reset_mlgicon" },
    { 0x7E1204D845BC5542, "objective_set_description" },
    { 0xEB24951C6911B42B, "objective_set_hot" },
    { 0x1B00668F1008F019, "objective_set_icon" },
    { 0x3117E7DE1FD3BF16, "objective_set_label" },
    { 0xDAE43A132D57FCF9, "objective_set_on_entity" },
    { 0xA34F9A893A4CC7BB, "objective_set_play_intro" },
    { 0x3EA66CB9A2980792, "objective_set_play_outro" },
    { 0x13955909CF8345FB, "objective_set_position" },
    { 0x40794CB919EE705B, "objective_set_progress" },
    { 0xC6CCE687947E7DAB, "objective_set_progress_client" },
    { 0x66FBA9E55999DD5D, "objective_set_progress_team" },
    { 0x459C1F9856E7D872, "objective_set_pulsate" },
    { 0xB3557DA795BD9081, "objective_set_show_distance" },
    { 0x82E7CDD38CEC5E25, "objective_set_show_progress" },
    { 0xF8722BF7A503A90D, "objective_set_state" },
    { 0x9D5C25B349379AC8, "objective_set_z_offset" },
    { 0x0B7212FC6154A32B, "objective_setbackground" },
    { 0xDCB12040A9AA95AB, "objective_setdescription" },
    { 0xF140EC04954C75FD, "objective_setenemylabel" },
    { 0x3C95AA6B4CE28749, "objective_setfadedisabled" },
    { 0x848ED3B9F4E2FD72, "objective_setfriendlylabel" },
    { 0x6E25CB6284FFA7EE, "objective_sethideelevation" },
    { 0x054AB7CB5E1102B1, "objective_sethideformlgspectator" },
    { 0x625EBE35CFC01106, "objective_sethot" },
    { 0xBB20B416A000E8FF, "objective_setlabel" },
    { 0x6F1B06DFB62EFC70, "objective_setlocation" },
    { 0x4503B6478C49A6EA, "objective_setminimapiconsize" },
    { 0x388DD6E1BC91D49F, "objective_setmlgbackground" },
    { 0xED9F8E3DE6A78F9C, "objective_setneutrallabel" },
    { 0x9369D736201293F1, "objective_setownerclient" },
    { 0x5C6CCD7351B97793, "objective_setownerteam" },
    { 0xF11FF10702E689A8, "objective_setpings" },
    { 0xE63667A39D1C8D26, "objective_setpingsforteam" },
    { 0xAF42936B038B0C81, "objective_setpinned" },
    { 0x3285542F59BAFF21, "objective_setplayintro" },
    { 0xB59AC4192FBB6678, "objective_setplayoutro" },
    { 0x6F5306F624F82378, "objective_setprogress" },
    { 0x1DE89A072DF7D097, "objective_setprogressclient" },
    { 0x674A50D05D56E0C1, "objective_setprogressteam" },
    { 0x7F262CA3482A4247, "objective_setpulsate" },
    { 0x449B8519F0527B8C, "objective_setrotateonminimap" },
    { 0xE83382E0403F0801, "objective_setshowdistance" },
    { 0x787F4A114EEB6EEA, "objective_setshowformlgspectator" },
    { 0x5EA765D296293E19, "objective_setshowoncompass" },
    { 0xB7C5D30C376DD5A5, "objective_setshowprogress" },
    { 0x858B7B4F452C5001, "objective_setspecialobjectivedisplay" },
    { 0x89A041E4D59D7EBC, "objective_setzoffset" },
    { 0x3B72892D933052FB, "objective_show_for_mlg_spectator" },
    { 0xF8735F602E47BB6E, "objective_show_player_progress" },
    { 0xB8DB4F3B5029E596, "objective_show_progress" },
    { 0x3A7BD54B53F0CD12, "objective_show_team_progress" },
    { 0x8C3B2EF2C8F4C61D, "objective_showprogressforclient" },
    { 0x85E40CF23AD24B37, "objective_showprogressforteam" },
    { 0x31C2A57DDD2FEC16, "objective_showtoplayersinmask" },
    { 0xEA686F9275012205, "objective_skip_check" },
    { 0xCF96E48E5C978872, "objective_state" },
    { 0x15F4DD7BE90C5781, "objective_teammask_addtomask" },
    { 0xD65D586DF78DE731, "objective_teammask_removefrommask" },
    { 0x028726B81976A0C9, "objective_teammask_single" },
    { 0x82FE4B54C1E15219, "objective_test" },
    { 0x6762CC33B35885E7, "objective_timers_reset_both" },
    { 0x944E42CED55126A4, "objective_trigger_handler" },
    { 0x17A17E2BE4A25B96, "objective_tutorial_hint_check" },
    { 0xE464FCBAD619C12F, "objective_unpin_player" },
    { 0x4C7701E97B82F2AF, "objective_unpin_team" },
    { 0x1C127761C5994AE7, "objective_unpinforclient" },
    { 0xFC32A2C3246B4A91, "objective_unpinforteam" },
    { 0x062BA5D5023C7605, "objective_unsetlocation" },
    { 0x1E5B41A8B7FD7000, "objective_update" },
    { 0x495AC6B8D9288D48, "objective_update_internal" },
    { 0x443D58381510FD08, "objective_wolf_los" },
    { 0x7E892DD4AB87D952, "objectiveachievementkillcount" },
    { 0xE5853279C87E298F, "objectivebased" },
    { 0xCBB9A00455EC7BC3, "objectivedebug" },
    { 0xBABFDD2811B6D0EE, "objectivedescription" },
    { 0x7C9C3B65E91AAB97, "objectivedestroyed" },
    { 0x2AE713F652A2D3A9, "objectiveent" },
    { 0x6FEEE1D28F7148A5, "objectiveicon" },
    { 0x6B83D066CF2F6E40, "objectiveiconid" },
    { 0x96801516A1444B1F, "objectiveidpool" },
    { 0xD9E108F6D339116E, "objectiveids" },
    { 0x15033886F7C38740, "objectiveindex" },
    { 0xF54D4AC93DDD22C4, "objectiveindexes" },
    { 0xF7FB50F6E9B03903, "objectivekey" },
    { 0x916143F69E176A62, "objectiveloc" },
    { 0x2B8528DBDB6585C0, "objectivelocations" },
    { 0xA59AB88F3422459F, "objectivename" },
    { 0x9A26240906AF8CB6, "objectiveonvisuals" },
    { 0x70DE1D4CABA69466, "objectiveonvisualsoffset3d" },
    { 0xBA43CA7C2BD74E85, "objectiveregistration" },
    { 0xB57069B4C546A5D5, "objectives" },
    { 0xE8B7E84F2C920F62, "objectives_amount" },
    { 0x1E455878B278E0ED, "objectives_finale" },
    { 0xFACD779EB841E8A4, "objectives_init" },
    { 0xA52DD64381F5DCF2, "objectives_table" },
    { 0xA037F5BDAF071D24, "objectivescaler" },
    { 0xA98CD8A21A22E3CE, "objectivescorecharge" },
    { 0xB52866ABE9013921, "objectiveselector" },
    { 0x17B96F6BD96590F2, "objectiveselectorsetup" },
    { 0xCE0B9CB26A759D04, "objectivesetorder" },
    { 0x6A63320129E751E9, "objectivesettings" },
    { 0x9428DC5AC06A9131, "objectivesetup" },
    { 0x5A248A9F8FCF3DB7, "objectivesfunc" },
    { 0xEC7319FD733DB770, "objectivesmatrixtable" },
    { 0xDA50785688C49898, "objectivespawner" },
    { 0xE03BAE3433B1A237, "objectivestabledata" },
    { 0x28C3755E12427EB5, "objectivestruct" },
    { 0x78E5B15454F4A88A, "objectivesupdatedisplay" },
    { 0xE899F2166AA2E593, "objectivetext" },
    { 0x72075E317BC087ED, "objectivetypes" },
    { 0x5F46463C5C4C1AF0, "objectivewmdthink" },
    { 0xDA487FFC42FA0527, "objects" },
    { 0xB5B36350AB3CFB58, "objects_picked" },
    { 0x885CAD8CF3C71633, "objent" },
    { 0x08CAAE179F775F33, "objicon" },
    { 0x8DCB4C34FC1D2EF0, "objiconent" },
    { 0x9BC196F3D13AA57E, "objiconid" },
    { 0xAF491670E2668977, "objiconscolor" },
    { 0x63A8DC79340B2EBB, "objid" },
    { 0x146F955DE34E3E50, "objidfriendly" },
    { 0x0354447EB3299C59, "objidnum" },
    { 0x6E1422AAB6A9EB37, "objidnumenemy" },
    { 0xC5F20936C68FD481, "objidnumfriend" },
    { 0x48AD81172126EB8D, "objidpingenemy" },
    { 0x69F63AD4B339E0BC, "objidpingfriendly" },
    { 0xEF542CF56DC03D2A, "objindex" },
    { 0x1968568D5E1689FD, "objkey" },
    { 0xEED7B98D3F3D90C0, "objloc" },
    { 0x4FA5A1DC7A801BAB, "objmodifier" },
    { 0x937E0C71366F7EC5, "objname" },
    { 0xD0C1958D28CAAE2E, "objnum" },
    { 0x450E8312028D6211, "objpingdelay" },
    { 0x2DC1671527ABD39B, "objplant" },
    { 0x4C29AD863EE32ECE, "objplanta" },
    { 0x4C29AC863EE32C9B, "objplantb" },
    { 0x4C29AB863EE32A68, "objplantc" },
    { 0x07C4309185EA0811, "objpoint_alpha_default" },
    { 0x2D0E4937F113CC38, "objpointnames" },
    { 0x43A879EDA5E7B331, "objpoints" },
    { 0x0887FA004CE708FA, "objpointscale" },
    { 0xDDDE14DBE226AC89, "objpointsize" },
    { 0x0AC9991F835679D3, "objstruct" },
    { 0x4F7FBD1783CDA63B, "objvisall" },
    { 0x8038DFA496BAAB76, "objweapon" },
    { 0x37EC19B650922411, "observe_contacts" },
    { 0x50F7C59FFC6F4540, "obstacle" },
    { 0x119B3079E2C92838, "obstacle_id" },
    { 0x1522F20A95E3A8F2, "obstacle_in_way" },
    { 0x4515066AD595327E, "occluder" },
    { 0x855738A8C2E41002, "occupancy" },
    { 0x85032EA8C287230F, "occupants" },
    { 0x3F4741B757B061BA, "occupantsreserving" },
    { 0x6B6EACCDB3657EC5, "occupied" },
    { 0xD8BDD3C7F8C62B2C, "occupied_rpg_trig" },
    { 0x37C75DC1F267F9E8, "occupiedlanemasks" },
    { 0x50915ECEED8D38E5, "occupies_colorcode" },
    { 0xBEE0EC25914F390C, "oceanrock" },
    { 0xAC251E401E6659A5, "odin" },
    { 0xB1A3243AE9933B5F, "odin_airdropusetime" },
    { 0x697A5698FC231356, "odin_assault_get_target" },
    { 0x6FA5583D86ECB43E, "odin_assault_perform_action" },
    { 0x8E38F0C995095D67, "odin_flash_radius" },
    { 0x54B0B9B38C818910, "odin_juggernautusetime" },
    { 0x68C4B810DB4C2922, "odin_large_rod_radius" },
    { 0xB5D3CC9244DE09AC, "odin_largerodusetime" },
    { 0xD3B158C1FB57F3D6, "odin_last_predict_position_time" },
    { 0xA437B30C2D04FCE2, "odin_marking_flash_radius_max" },
    { 0xA414BD0C2CDECB28, "odin_marking_flash_radius_min" },
    { 0x45D7FC13C0148D69, "odin_markingusetime" },
    { 0x247A249E82DA623D, "odin_predicted_loc_for_player" },
    { 0xDDE386C6F43006CB, "odin_predicted_loc_time_for_player" },
    { 0xD0F9BE15457F78DE, "odin_small_rod_radius" },
    { 0x6BD122BFF2126068, "odin_smallrodusetime" },
    { 0x395CC48CBC8C8947, "odin_smokeusetime" },
    { 0x4C8FF46A5D77D36A, "odin_support_get_target" },
    { 0xE0717FB3836B1D02, "odin_support_perform_action" },
    { 0x3F56AB4DCE2289AD, "odintype" },
    { 0xA518FF83570BE341, "off_func" },
    { 0xDF6C7DB7A4149E23, "off_max" },
    { 0xDF8F73B7A43ACFDD, "off_min" },
    { 0x0CA985B74711748D, "off_the_roof_nags" },
    { 0x668F4719AE5DA031, "offerloc" },
    { 0x31BB628FB1DF461B, "offhand" },
    { 0xF4AF064BD4F1800B, "offhand_box_setup" },
    { 0x6B572C90F401D582, "offhand_box_think" },
    { 0x5180BA713A4C1769, "offhand_boxes" },
    { 0xBC2A7DE79F97FCB3, "offhand_count" },
    { 0x575C77163E90FFE1, "offhand_end" },
    { 0x2A781EA35FE434BC, "offhand_explode_monitor" },
    { 0x4623E66C085DFD67, "offhand_is_dangerous" },
    { 0xFBD31780BD56A7B6, "offhand_swap_return_new_ammo_count" },
    { 0x5309A5A01A79A1FE, "offhandfiremanager" },
    { 0x547E7B5BBB5CC2D5, "offhandinventory" },
    { 0xD23998856406AD72, "offhandisprecached" },
    { 0x32A6D0F09636702E, "offhandprecache" },
    { 0x4D8A6611278D0B41, "offhandprecachefuncs" },
    { 0xA86CF30E19A4ACEE, "offhandproviderthread" },
    { 0xAECF60C8F36506C7, "offhandremove" },
    { 0x3E602A042E07D6B8, "offhands" },
    { 0x70F494ECA5CDCBA1, "offhands_list" },
    { 0x5414C79B54B3DD32, "offhandshield" },
    { 0x1BD7FA402671C47A, "offhandstopclienteffects" },
    { 0x0FD03A5D78585E2C, "offhandswap" },
    { 0x36ECC819FEC2F16B, "offhandweapon" },
    { 0xC41602AE8AF26069, "office_branch_allies" },
    { 0x36544CDCBAC27A1A, "office_branch_player" },
    { 0xE30242C7D736C761, "office_exit_scene" },
    { 0x1C9327B6332870FC, "office_props" },
    { 0x478DEC880BBC5FAD, "office_side_vo_1" },
    { 0x478DE9880BBC5914, "office_side_vo_2" },
    { 0x478DEA880BBC5B47, "office_side_vo_3" },
    { 0xBC95E846EAEB9A3D, "office_walla_1" },
    { 0xBC95E546EAEB93A4, "office_walla_2" },
    { 0xFCDD301A75F2B65C, "officercount" },
    { 0x546C5BC0CF708F0A, "officers" },
    { 0x885FCBB1B5D7075F, "officerwaiter" },
    { 0x7B2D2DA1C3700C8A, "offices" },
    { 0x46D15DBE98505ED6, "offices_avoid_civs" },
    { 0x61796FCCEB238577, "offices_catchup" },
    { 0x83668EB54FA24191, "offices_chaos_civs" },
    { 0x4E545B98F16ED27B, "offices_civ_count" },
    { 0x7C5369AB80E6F77B, "offices_dialog" },
    { 0xD8B683BCE43A39C7, "offices_door" },
    { 0x3928AA32A33B8DA8, "offices_door_dialog" },
    { 0x65B2FDFEEBB09D44, "offices_fail_check" },
    { 0xFE2D2D48416DBAF2, "offices_fake_door_prompt" },
    { 0xF1A45E8FF5FCF581, "offices_goal_dialog" },
    { 0xFD06315F41F8972D, "offices_idle_only_civ" },
    { 0x4A5291F7BC074308, "offices_individual_prop" },
    { 0xA2567C313AFA8C41, "offices_keyguy" },
    { 0xFBE6F2E488F20EFE, "offices_main" },
    { 0xFF238A8D94D78EC6, "offices_manager" },
    { 0x9E4556EE6AEBE4A1, "offices_movement_farah" },
    { 0x8545B9689BAF0EA1, "offices_movement_rebel_1" },
    { 0x8545B6689BAF0808, "offices_movement_rebel_2" },
    { 0x823C25CE204EBE5D, "offices_postload" },
    { 0x55A71E096C6CA9B4, "offices_preload" },
    { 0xF0519DBF18678AE3, "offices_props" },
    { 0x17613D9A305BBC90, "offices_screens" },
    { 0x9E2E1429554E6659, "offices_scriptables" },
    { 0x0C2E3E833FEEAD01, "offices_setup_door" },
    { 0x8BE0BC8A7BE176F5, "offices_stairwell_door" },
    { 0x523AF9847A3C4495, "offices_stairwell_door_vo" },
    { 0x7CF21BCF719DC325, "offices_start" },
    { 0xE12A9FC93B6E903A, "offlight" },
    { 0x6F5948C5875A5FD7, "offloaded" },
    { 0x62DFA801F1BC110E, "offset" },
    { 0xA01DB953327BFE59, "offset3d" },
    { 0xDEA0D04AAF36C48D, "offset_ang" },
    { 0x09F8304ACEEB376E, "offset_fix" },
    { 0x0E2E2D4B8D5155C1, "offset_tag" },
    { 0x2DEFF946A09A75E7, "offsets" },
    { 0x4F696206DB7C04C7, "offsettime" },
    { 0xE610148E8E7F303D, "offsettoorigin" },
    { 0x2DEFF246A09A6682, "offsetx" },
    { 0x2DEFF346A09A68B5, "offsety" },
    { 0xCE4C4E78F5A2AFA7, "og" },
    { 0x851BFBE7EB65BD60, "og_advancetoenemysettings" },
    { 0x4C6C7C60A62D6460, "og_anglelerprate" },
    { 0x99B3A31BEE6E7448, "og_angles" },
    { 0x496316AF6DE7CF82, "og_attackeraccuracy" },
    { 0x24EFCB2B2DE2081C, "og_baseaccuracy" },
    { 0x117E71B73E7D39F9, "og_callsign" },
    { 0x8543A544022082F6, "og_color_fixednode" },
    { 0x0D077A35117B65D3, "og_deathanim" },
    { 0x46A9EFE01BA220E2, "og_dontdropweapon" },
    { 0x6B9C5DD69322610C, "og_downaimlimit" },
    { 0xD8AEAFC8080109AB, "og_fov" },
    { 0x1976CA85C6C8D374, "og_goalheight" },
    { 0x4301A5E0AB270939, "og_goalradius" },
    { 0x97D1D5D07647FB5A, "og_hatmodel" },
    { 0x73F7714F05E3A917, "og_headmodel" },
    { 0x36D3D10069A8FE1E, "og_health" },
    { 0x078FB72BB3A27A10, "og_health_regen_delay" },
    { 0xEDE01F224DF74BAF, "og_health_regen_rate" },
    { 0xFDFCB0319AA29250, "og_health_value" },
    { 0xEDDD63445B122E49, "og_intensity" },
    { 0x557D69405706959B, "og_ks_spot" },
    { 0xD1125C116A21D4A9, "og_leftaimlimit" },
    { 0xD53E4B02AD53B294, "og_maxhealth" },
    { 0xAA2E1C29259AC523, "og_maxsightdistsqr" },
    { 0xDE2D357DB35FDB25, "og_maxsightdistsqrd" },
    { 0x68E349930B44CED8, "og_maxvis" },
    { 0x3876FA3FF18B58AC, "og_mbradial" },
    { 0xE7997CFE02154BD5, "og_model" },
    { 0x23DBE431621115CB, "og_name" },
    { 0x953A695B402E2A0A, "og_origin" },
    { 0xF917AD1E7BB38650, "og_pitchmax" },
    { 0xF8F3C31E7B8B3BFA, "og_pitchmin" },
    { 0xA64534F85C42DEBB, "og_position" },
    { 0x5F4DEEC0456E5C7E, "og_radius" },
    { 0x38BE7BD5B764BD1A, "og_rightaimlimit" },
    { 0x87C28DC888B33DE5, "og_rot" },
    { 0x340EFFE257E2214E, "og_rotation" },
    { 0x96C998386400FFAA, "og_scale" },
    { 0x23E97E2D17BD2CD9, "og_script_accuracy" },
    { 0x76F789E9D841631A, "og_script_animname" },
    { 0xD6D7AFD780A846B6, "og_script_attackeraccuracy" },
    { 0x005F4E07BBADE267, "og_script_bcdialog" },
    { 0xA5817F6541CEF8C5, "og_script_bulletshield" },
    { 0x8F107938BCFEBF7F, "og_script_danger_react" },
    { 0x5FF4D9E051EA5180, "og_script_deathflag" },
    { 0x69AA5A82980169A7, "og_script_deathtime" },
    { 0xA6208B159C469357, "og_script_demeanor" },
    { 0x79338D3AEB6D5165, "og_script_diequietly" },
    { 0x553949784E38A461, "og_script_dontshootwhilemoving" },
    { 0x03B30D6DB52B5153, "og_script_faceenemydist" },
    { 0xE354E578F634C29C, "og_script_favoriteenemy" },
    { 0x76EC96C6ECC00EDE, "og_script_fightdist" },
    { 0x1250378D3C37A442, "og_script_fixednode" },
    { 0x28AAA6B8B303C12E, "og_script_forcecolor" },
    { 0x1B9A64A66D9841D4, "og_script_function" },
    { 0x1D6A9B2715A873A1, "og_script_goalvolume" },
    { 0xE17C594AE14C219A, "og_script_ignore_suppression" },
    { 0x81EB2FD719BD952D, "og_script_ignoreall" },
    { 0xAF21A62D65ABF5C4, "og_script_ignoreme" },
    { 0x7C38A7DFFD92E557, "og_script_laser" },
    { 0xE666D442D0B94458, "og_script_longdeath" },
    { 0xDB12873261755D7E, "og_script_maxdist" },
    { 0x4B100A2229F4D2FC, "og_script_no_reorient" },
    { 0x24A9298C2592F843, "og_script_no_seeker" },
    { 0x9236C492581C6D43, "og_script_nobloodpool" },
    { 0xDE1F10023184A672, "og_script_nodrop" },
    { 0xDD895CCD27319586, "og_script_noragdoll" },
    { 0x0AAD660E7CB31CD8, "og_script_nosurprise" },
    { 0x3618D3A9ABC6704D, "og_script_offhands" },
    { 0x6EA6D4B51AD8F879, "og_script_pacifist" },
    { 0x1EE740546DCCD3AA, "og_script_sightrange" },
    { 0xDBDD6DD455CC3ADE, "og_script_startinghealth" },
    { 0x15A887F95321CA7F, "og_script_startrunning" },
    { 0x92025DBD131A631A, "og_script_stealthgroup" },
    { 0xA2A423C5AB3C3C20, "og_script_threatbiasgroup" },
    { 0x520494430A2ADCA3, "og_sidearm" },
    { 0xAA31AD617611A9B5, "og_spawner_angles" },
    { 0x51782DB36447D37B, "og_spawner_origin" },
    { 0x94DF4F02D01F9148, "og_stance" },
    { 0x943BB624031C6117, "og_stealth_funcs" },
    { 0xEB9CCAF429252B91, "og_target" },
    { 0xD6C660ECECD9434D, "og_turnrate" },
    { 0xFAC8D20B419FF9E5, "og_upaimlimit" },
    { 0x1260CA033FF5A79C, "og_weapon" },
    { 0xC53E685F91B874EB, "og_yawmax" },
    { 0xC51A7E5F91902A95, "og_yawmin" },
    { 0xB20D5166FBB4C621, "og_zplanes" },
    { 0xCF5D633DBD4CC507, "ogangles" },
    { 0x1B559D13124C20BD, "ogflaresreservecount" },
    { 0x70D5C1B9BD653C79, "ogorigin" },
    { 0x32D9CA038E441936, "ogplayerweapon" },
    { 0xF87F9BDEBA767853, "ogstance" },
    { 0x38276D9CE1A9D41C, "ogsunintensity" },
    { 0x0757F4EED43D823E, "ogval" },
    { 0x91400F0E609EE49C, "ohpallowuseonplayerdeath" },
    { 0xEF4D6FDC642F3626, "ohpcleanupnotificationondeath" },
    { 0x68CD939FA0EEB075, "ohpequipmentfillednotification" },
    { 0x2563AFCD81C3F17F, "ohpequipmentrefills" },
    { 0x092A661BBA3F92C2, "oic_firstspawn" },
    { 0xD75307E0E5DACFA4, "oic_guns" },
    { 0xECC80C4C9836FDF5, "oic_hasspawned" },
    { 0xA240998907137722, "oic_loadouts" },
    { 0xFF7A248A79588D0A, "oic_rewardammo" },
    { 0xCDF2E010ACCF4832, "oicvariantid" },
    { 0xDE9CCAA351A560E4, "oil_barrel" },
    { 0x634206BF91CC2299, "oil_barrel_death" },
    { 0x3C918AF0C200AD3F, "oil_barrel_init" },
    { 0x1FA772AF1085ECCF, "oil_fire_fumes" },
    { 0x697A5318F85B6E5E, "oil_fire_watch_for_player_grenades" },
    { 0x4783953EF1791775, "oil_fires" },
    { 0xAA08069B41CC9B84, "oil_fires_init" },
    { 0x3D64EB9391BA0C02, "oil_get_barrels" },
    { 0x35AA459198BB1BAE, "oil_gulgs" },
    { 0x5A4BFB8E6BA51675, "oil_puddles" },
    { 0x4B0B212702719592, "oil_pusher1_anim" },
    { 0x438BDC68B4D7DFDA, "oil_pusher1_post_anim_behavior" },
    { 0x644191A9335D8329, "oil_pusher2_anim" },
    { 0x889CC9D5D3F78D37, "oil_pusher2_escape" },
    { 0xB8413132B920415B, "oil_pusher2_martyr" },
    { 0x728290E014B9B049, "oil_pusher2_post_anim_behavior" },
    { 0x1C0E8AB5F30EE9A1, "oil_pusher_drop_pistol" },
    { 0x5C46FC8812103F4D, "oil_pusher_wakeup_on_prox" },
    { 0x6B23343F5FEA2ADE, "oil_pusher_wakeup_think" },
    { 0xC3C5E21EEEEC8572, "oilbarrelshoulddie" },
    { 0x514DEE434633AB40, "oilfire_break_navmesh" },
    { 0x7716DA0A03BA01B5, "oilfire_burning_player_watch" },
    { 0xCCE2FC255DF1FFD2, "oilfire_cleanup_corpses" },
    { 0x8828B3D56B6659F3, "oilfire_collapse" },
    { 0xDFFFF1FDEDED1962, "oilfire_death_hint" },
    { 0x7990F9FDE73E80AD, "oilfire_enabled" },
    { 0xCC01DEB8B663F20E, "oilfire_initial_ignition" },
    { 0x8CD5C70978006C4F, "oilfire_kill_player_if_stuck_in_geo_swap" },
    { 0xC43A15950CC44123, "oilfire_monitor_ai_burn" },
    { 0x8A0BFA8A6F4901C3, "oilfire_monitor_burnables" },
    { 0x1B044465035F5B40, "oilfire_remove_lanterns" },
    { 0xC1B8B929014B8AF9, "oilfire_run" },
    { 0x90465A13ABFDC219, "oilfire_setup" },
    { 0x0B8F23C159F29FD5, "oilfire_setup_individual" },
    { 0xEDF5BED6B5FB402C, "oilfire_think" },
    { 0x16DA0437FC00439A, "oilfire_watch_for_molotov" },
    { 0x78B9CA79BA13A3E8, "oilfires" },
    { 0x340AAC557AAE339F, "oilimpactlife" },
    { 0x6DA484FE570666BE, "old_accuracy" },
    { 0x52BE53D41434941F, "old_armor_scalar" },
    { 0xDCD62A3C5E0DD311, "old_attackeraccuracy" },
    { 0x16FA667518ECE079, "old_buildweapon" },
    { 0x722D32DAEF39B6F5, "old_buildweaponmap" },
    { 0x671CA3A2161672E6, "old_color" },
    { 0xBEB03D287C4DDDA4, "old_demeanoroverride" },
    { 0x84D6BF86D01653F7, "old_disablearrivals" },
    { 0x5F2FE48DE8FCA293, "old_doavoidanceblocking" },
    { 0xF58D7008F0A35675, "old_forcecolor" },
    { 0x784AE5E0445896B2, "old_getspawnpoint" },
    { 0xD3ECD5A338F02725, "old_getspawnpoint_func" },
    { 0x2A10FC5A9D8C5763, "old_goalheight" },
    { 0x2F7453C79E171901, "old_health" },
    { 0x092950B0CC24A08A, "old_load_hvt" },
    { 0xF0F5E567FBBCFF6E, "old_loadout_updateclasscustom" },
    { 0xD90E4A72B478B6F9, "old_maxhealth" },
    { 0x93C8DC0F078FA26C, "old_mpbuildweaponmap" },
    { 0x17492499B78AD45C, "old_pathrandompercent" },
    { 0x91BF3248FE8AA81A, "old_rebels" },
    { 0x88D969353FC2EDF4, "old_recoil_scale" },
    { 0x74710C900FBA00B3, "old_revive_time_scalar" },
    { 0x2D2F64A2FA78F65B, "old_root" },
    { 0x29A6298D836F3D80, "old_script_delay" },
    { 0x46CDB4F78B4AA891, "old_script_delay_max" },
    { 0x46F0A6F78B70D17F, "old_script_delay_min" },
    { 0x1AFF5E088A6F911F, "old_spectator_func" },
    { 0x4D1229A3291B5D02, "old_speed" },
    { 0xB706703C873BA579, "old_threat_bias_group" },
    { 0x700BD366AC8775E5, "old_view_kick" },
    { 0x0D04F01AF422E501, "old_visionset" },
    { 0xC9E28CB32067F916, "old_walkdist" },
    { 0x97CAF4035D4C041A, "old_walkdistfacingmotion" },
    { 0xA661FD712167E197, "old_weapon" },
    { 0x1A19B89068E86D0C, "oldbranchents" },
    { 0xBEF9076D5DE8A8F6, "oldconvergencetime" },
    { 0x7624016B7141733F, "oldest_targeted_by_chopper_time" },
    { 0x74B18BE6A568614C, "oldfightdist" },
    { 0x2E2B8C82D9AD158B, "oldgoalradius" },
    { 0x10FDFA61E00BFDD6, "oldgrenadeammo" },
    { 0x11A84E38464C38AC, "oldgrenadeweapon" },
    { 0x35E272244A177CAD, "oldgrenawareness" },
    { 0x080B12E18EAAC65C, "oldhead" },
    { 0x03420E1273A68E01, "oldhealthregen" },
    { 0xD1DF98BD12854939, "oldkey" },
    { 0x1AA5CF6475580FB8, "oldlatespawnplayer" },
    { 0x942DF97D875185C4, "oldmaxdist" },
    { 0x1ED8F52A0770D635, "oldmaxsight" },
    { 0xC254A9FB07383B7B, "oldmaxsightdistsqrd" },
    { 0x45770957BDEB2DAF, "oldpathenemyfightdist" },
    { 0xBC8B73D6A8F08B15, "oldpathenemylookahead" },
    { 0x307BD10E7000C287, "oldperks" },
    { 0x85AE02F189991F0D, "oldposition" },
    { 0x66CF2BFBA96BF19E, "oldprimarygun" },
    { 0x79A411342B0B78ED, "oldprogress" },
    { 0x7B3BBD1AC1B14A80, "oldradius" },
    { 0x4C67BA8796A90E21, "oldtouchlist" },
    { 0x9A730022FF6E17C8, "omausebar" },
    { 0x182A597D4810806A, "omnvar" },
    { 0xCAE00522EE3C3C0A, "omnvar_bit" },
    { 0x6445F78D705B111A, "omnvardata" },
    { 0xDAF46B93D89EC6E6, "omnvarnames" },
    { 0x35A2E7857C49B6FB, "omnvars" },
    { 0x1515EF5CE220A43A, "omvar_code" },
    { 0xCE4C4578F5A29BDC, "on" },
    { 0x9D6C48A9BBE7BB5C, "on_agent_generic_damaged" },
    { 0xCA2485203C4CE66A, "on_agent_player_damaged" },
    { 0x4BC319D5EC6EDC8A, "on_agent_player_killed" },
    { 0x9A4007ECFD7C0AAE, "on_bot_killed" },
    { 0x9DB75FB83E6F7F34, "on_cooldown" },
    { 0x8ED6A1366DAB0B9F, "on_execution_begin" },
    { 0xBEA65BA129F8DAE3, "on_func" },
    { 0x671E17A2AF56F2F4, "on_humanoid_agent_killed_common" },
    { 0x975280BE34CA3253, "on_killed_tutorial" },
    { 0xD5E2F19F0138F8D9, "on_last_pathing_array" },
    { 0x65A56545DCDEF5AD, "on_max" },
    { 0x65824F45DCB87D93, "on_min" },
    { 0xAE3C46DB6D8FFF4A, "on_off_time" },
    { 0xFDF0F17574D2AA5B, "on_path_from" },
    { 0x1AC5886235A1FD0B, "on_path_grid" },
    { 0xCE550E17BE74BB75, "on_player_connect" },
    { 0x159314A4B0A53397, "on_player_disconnect" },
    { 0x6937BBAB40C265E0, "on_see_3f_struct" },
    { 0x6CD50562C0169FB7, "on_spawn_terrorist_player" },
    { 0xD9821CB81F423C00, "on_terry_death" },
    { 0xCB7C277B050205DD, "on_the_same_team" },
    { 0xFF0FC8AA041B642B, "on_trigger_actions" },
    { 0xAC7CF0FBB58870F5, "on_zombie_agent_killed_common" },
    { 0x8FD613176D864110, "onactivateobjective" },
    { 0xD7F6D2FBA8826AFD, "onarmorboxusedbyplayer" },
    { 0x288F39848A3A431A, "onarmorykioskpurchase" },
    { 0x6C8DECCCDF4F540B, "onassist" },
    { 0x082F9AEA03E8E89F, "onattackdelegate" },
    { 0x2AC69C95D848232B, "onattackerdamagenottracked" },
    { 0xF8E65519440E074D, "onatv" },
    { 0xB9BB9FA4EEB9E377, "onback" },
    { 0xA2818411D6273824, "onbegincarrying" },
    { 0x4E240DF2FB40C37A, "onbeginnewmode" },
    { 0x323A8B8E7AA1E908, "onbeginuse" },
    { 0x01E247BE3024BBB0, "onbleedout" },
    { 0xB1DD35AEC5FF031F, "onbombexploded" },
    { 0x205840426FDAF3BA, "onbombzoneobjectivecomplete" },
    { 0x56CC931FF5EFBBB6, "oncacheopen" },
    { 0xAA40A992D3966FFE, "oncancel" },
    { 0x37926B990ECE0659, "oncanceldelegate" },
    { 0xB747773245AA18F9, "oncantuse" },
    { 0x8751AFA2D5ABB98E, "oncapture" },
    { 0x04F1DEA02026285A, "oncarried" },
    { 0xB1F9486DCD0F03BD, "oncarrieddelegate" },
    { 0xF4EDF61EF34D433A, "oncarrierdeath" },
    { 0xD8F90E3B140E9147, "onchopper" },
    { 0x6AAB50A6AB31A858, "onclasschoicecallback" },
    { 0xA3EC29C89424D55B, "onclasseditcallback" },
    { 0x612F8FCF9E83E67D, "oncollectitem" },
    { 0x2778D3588B6E5678, "oncommonnormaldeath" },
    { 0x6DB1FE13D9F1159B, "oncommonsuicidedeath" },
    { 0xC6D1C7F69D5F5EC6, "oncommonteamchangedeath" },
    { 0x7E52CDE7CBD26CB7, "oncompletedfunc" },
    { 0xAAB9FB98DE43D7CD, "oncontested" },
    { 0x948FEA5F569B382B, "oncontractend" },
    { 0x68151B170D7E52BE, "oncontractstart" },
    { 0xEC24B0148C87C515, "oncooldown" },
    { 0xA740F2AA779E3E4E, "oncranked" },
    { 0x8983EB2B57728411, "oncrankedassist" },
    { 0xEC4AFCF2AECAAE4F, "oncrankedhit" },
    { 0x9EE7B298EFC76C72, "oncrankedkill" },
    { 0xA541F4E7155B1C2A, "oncrateactivate" },
    { 0xCB29E633F75F3F8A, "oncrateactivated" },
    { 0x19318A915FA11459, "oncratecaptured" },
    { 0xBD7506AB317526FF, "oncratedestroy" },
    { 0x8DC76A977470283E, "oncratedestroyed" },
    { 0xB5295022480A7C56, "oncratedrop" },
    { 0xE9FEFF8575EF0366, "oncrateuse" },
    { 0x0339E5B38E8F672F, "oncreatedelegate" },
    { 0xB30C7A3281A20287, "ondamagecallbacks" },
    { 0x54CA3927BBED925A, "ondamagecallbackthread" },
    { 0xE99E260F57FF6614, "ondamagepredamagemodrelicfocusfire" },
    { 0x8082233E723E5C51, "ondamagepredamagemodrelics" },
    { 0xA2E2FE39E37561E5, "ondamagereliccollatdmg" },
    { 0xE63681AFDA1FA74B, "ondamagerelicdoomslayer" },
    { 0xB14DA398AD1D4AF0, "ondamagerelicfocusfire" },
    { 0x1F754099C44DED95, "ondamagerelicfromabove" },
    { 0x101A0820D34B3F3F, "ondamagereliclfo" },
    { 0x4A60EC8A8B5C2F65, "ondamagerelics" },
    { 0xBF7F6435C890C0E6, "ondamagerelicsquadlink" },
    { 0x13A8CF03F3CDD4B7, "ondamagerelicsteelballs" },
    { 0x0296895761A32DF2, "ondamagerelicvampire" },
    { 0xD574296820C1397B, "ondamageweaponpassives" },
    { 0x16E95E09AD1A8202, "ondeactivate" },
    { 0x7E62D8D0D68AFCB6, "ondeactivedelegate" },
    { 0x78BB9A1B7EAA246E, "ondeadevent" },
    { 0x0F7732444640E2DE, "ondeath" },
    { 0xA2BA3CCB3E83189F, "ondeath_clearscriptedanim" },
    { 0xFB690FAAA0F4D639, "ondeathdelegate" },
    { 0xBFBAEFA7C1E825FB, "ondeathfinalhit" },
    { 0xDB67EFE9F1C1EE09, "ondeathordisconnect" },
    { 0x27ED5E9BD6498616, "ondeathrespawn" },
    { 0x7D14108EE074CAFD, "ondebugbeatfunc" },
    { 0x773F1F7D6AC4DF93, "ondebugstartfunc" },
    { 0x79EF3FB17FFEB092, "ondefuse" },
    { 0x76D6677ACB6487EE, "ondelivercallback" },
    { 0xA80A4B7A9EA65F24, "ondelivered" },
    { 0x6CA24E6CF06A1B78, "ondeploycallback" },
    { 0xDE67C783A4568469, "ondeployfinished" },
    { 0xB5168D8FC8EBA905, "ondeploystart" },
    { 0x580C16E6034E1C94, "ondestroyedbytrophy" },
    { 0xBF9DDF12AB1D9338, "ondestroyeddelegate" },
    { 0x1677354C858AF213, "ondetonateexplosive" },
    { 0xD60C61B8AC8B2C5B, "ondisableobjective" },
    { 0x682C8FC17C57DD56, "ondisconnect" },
    { 0x859486BF8E544A92, "ondisconnecteventcallbacks" },
    { 0xCB6FB4B33B3169AE, "ondompointobjectivecomplete" },
    { 0x0809971BF02F5759, "ondrop" },
    { 0xE409BEFE67806039, "ondropfn" },
    { 0xEF0A901E294A39A1, "ondroprelics" },
    { 0xB3664A166981CA1C, "one_bomb_is_defused" },
    { 0xE6DAAA16566DB741, "one_time_use" },
    { 0xE36FB32FE5EB7E09, "onearg" },
    { 0x284BB521D27AD9BB, "onecaptureperplayer" },
    { 0x61267CCCDFFE315B, "onekillwin" },
    { 0x69E64DC5E474746C, "onemanarmyweaponchangetracker" },
    { 0x85510480AE1B0516, "onenableobjective" },
    { 0x42AF0FAAFD03AE18, "onenduse" },
    { 0x4BAFC8E0E59F02B0, "onenemy" },
    { 0x429792E19AB58FFA, "onenter" },
    { 0xEF1BEB2AEF05A574, "onenteranimstate" },
    { 0x767497F51DEED381, "onenterbattlechatter" },
    { 0xD62CD808B145089D, "onentercallback" },
    { 0x78ECE36A6FDA438D, "onenterdeathsdoor" },
    { 0x22AC86932399008C, "onenterfunc" },
    { 0x72CBFDB06471C0C6, "onenteroob" },
    { 0x9A37B32935971C6F, "onenteroobsuppressiontrigger" },
    { 0x6B4C0EA3BFB8C4CE, "onenteroobtrigger" },
    { 0x1056A30658780D8F, "onenterstate" },
    { 0x3B39FA4B9A564D45, "oneoffuavsweeps" },
    { 0xF57F87F7CE864192, "oneoverfactor" },
    { 0x7E4260F39CCE405C, "onequipmentfired" },
    { 0x695A7BAAADF91118, "onequipmentplanted" },
    { 0x426AEA8750A63113, "onequipmenttaken" },
    { 0x5201F174382F5FF5, "oneshotcallbacks" },
    { 0x0F6D6C4FB72C3749, "oneshotfxthread" },
    { 0xC8B7A5ABC74A66F6, "oneusespawns" },
    { 0xA0BB21449B8C00AF, "onexfilfinish" },
    { 0xA3F01F6E62CCA6D1, "onexfilfinishedcallback" },
    { 0x9F8746EF79D768C1, "onexfilkilled" },
    { 0x5D8CD91706DD6C82, "onexfilkilledcallback" },
    { 0x1CBA1C7489F1885C, "onexfilstart" },
    { 0xFC94BBC02072398D, "onexfilstarted" },
    { 0x55832EE4B61F98C3, "onexfilsuccess" },
    { 0x56274EC460576208, "onexfiltimelimit" },
    { 0x9204F12EED36E18C, "onexit" },
    { 0xE1F47AB8A99CD807, "onexitcallback" },
    { 0xE55F7B2BABD254AD, "onexitcommon" },
    { 0x3AB37DB827E8F6FF, "onexitdeathsdoor" },
    { 0xC5924F2919FD08EA, "onexitfunc" },
    { 0x5782B2F1AEC5E9C0, "onexitoob" },
    { 0x0024344C07137D61, "onexitoobsupressiontrigger" },
    { 0xF1AF17DEF2EF1E3C, "onexitoobtrigger" },
    { 0xDF9965B1BF5766D1, "onexplode" },
    { 0x01123D95CABB7C4B, "onexplodefunc" },
    { 0xD2BFF68672814CC8, "onexplodesfx" },
    { 0x1B5DC586A7C328B3, "onexplodevfx" },
    { 0x397660A361704D81, "onfieldupgradeend" },
    { 0x5E562D11AAC79677, "onfieldupgradeendbuffer" },
    { 0x0FD6B98D135B0AC9, "onfinaldeathcallback" },
    { 0x0296984C160BDEBB, "onfinaldeathdropgrenade" },
    { 0xFD997026A196226E, "onfinalsurvivor" },
    { 0x59A0914C5C1B8CF0, "onfire" },
    { 0x49CB706C7336625B, "onfire_fx" },
    { 0xE3865888FFAABF04, "onfirstlandcallback" },
    { 0x78B9EEE155D15ACD, "onflag_restore_intensity" },
    { 0x272CFE2FB0E99C94, "onflagcapture" },
    { 0xD8D3CA782F2D61E4, "onflybycompletedelegate" },
    { 0x838A0B27CD870433, "onforfeit" },
    { 0x4DBCA474CC46847F, "onfreeplayerconnect" },
    { 0x56485BF5FCDBCA33, "onfullhealth" },
    { 0x0C8E401BCA684C12, "ongameended" },
    { 0x1A9343CEC9027183, "ongasgrenadeimpact" },
    { 0xD92B910A4D5348AD, "ongrenadeuse" },
    { 0xEE18C2A80E29120B, "ongrenadeused" },
    { 0x6A6A99D856D51CBA, "ongulagendmatch" },
    { 0x435D42BB03775A85, "onhack" },
    { 0x5C31681CD4C530D4, "onhalftime" },
    { 0x16B1A9CB735C1AB5, "onhelikilled" },
    { 0x697EA41C3C9B58BF, "onhelisniper" },
    { 0x88181E72E922E1E8, "onhelmetsniped" },
    { 0x5002732CE99482A4, "onhighlight" },
    { 0x805E27129AB8E18E, "onhostmigration" },
    { 0x9A5F8ECBA96930A3, "onhotfootplayerkilled" },
    { 0x01D40DFBC71F345D, "oninstanceremoved" },
    { 0x23F632FF6E271191, "oninteractionstarted" },
    { 0x3D13C176D010E853, "onjoinedspectators" },
    { 0x4BEFFD4AB6C34D24, "onjoinedteam" },
    { 0xC23D4CCBBCFD0525, "onjoinedteamcb" },
    { 0x02B5B6C0BC4D8C96, "onjoinspectators" },
    { 0x99B36EE73B26117E, "onjoinsquadcallbacks" },
    { 0xBCFF42C2E0E23299, "onjointeamblinkinglight" },
    { 0x11FECF0F56C21D57, "onjointeamcallbacks" },
    { 0x427B1503698E16A5, "onjointeamnospectatorcallbacks" },
    { 0x5B56AD01BFD7C1C8, "onjuggernaut" },
    { 0xAEC0EB3CEB9666AD, "onjuggernautend" },
    { 0xBD5645B16591C586, "onjuggproximityscore" },
    { 0x9ED6F3FEC931B1CC, "onkill" },
    { 0x83CCAEC48A1D093D, "onkilled" },
    { 0x4B14EE483A5C4370, "onkillingblow" },
    { 0x5E129353A7538E8C, "onkillrelics" },
    { 0xC06FFFD03571D8E5, "onkillstreakavailable" },
    { 0xAE3739F2C9792B02, "onkillstreakbeginuse" },
    { 0xFDA96CA8A8C72AAD, "onkillstreakdamaged" },
    { 0xF43434F4238340FD, "onkillstreakdeploy" },
    { 0x6F431D040ECA04EB, "onkillstreakdisowned" },
    { 0xBC8F65790110CF2B, "onkillstreakend" },
    { 0x7713EFDF70E90F70, "onkillstreakfinishuse" },
    { 0x22BFB997D3E85A83, "onkillstreakkilled" },
    { 0x19B387EC8FF5218E, "onkillstreaksplashshown" },
    { 0xD2601718DAF04677, "onkillstreaktriggered" },
    { 0x9E2B65240197BD82, "onkillweaponpassives" },
    { 0x1B412FE152A50127, "onkioskpurchaseitem" },
    { 0x1560AA8ADED1045D, "onlastalive" },
    { 0x8211987A1E18AB30, "onlaststandkillenemy" },
    { 0xB181A3A7A5DF91FD, "onlaststandrevive" },
    { 0x4BA2158D787EDB52, "onlaunchsfx" },
    { 0x287FA5D4585A7A52, "onleavegamecallback" },
    { 0xE46981CFE17CE792, "onlethalequipmentplanted" },
    { 0x4FE2B1FFB176F73A, "onlevelload" },
    { 0x36BFAFF7045E4E54, "onlinegame" },
    { 0xF226C8A4BC006040, "onlineprimaryoverride" },
    { 0xCF44FE5A09B524FE, "onlinestatsenabled" },
    { 0x707B5BE9F73CB204, "onloadout" },
    { 0x4F1DD76BFA59B76C, "onlooker" },
    { 0x220601814AB23AE6, "onlooker_vo" },
    { 0x8C8208221FB2B0B3, "onlooker_vo_thread" },
    { 0x6700F311DCA2A177, "onlowpopstart" },
    { 0x2785AF04490578D6, "onluieventcallbacks" },
    { 0xAF4E553E2486A74C, "only_allowable_tactical_goals" },
    { 0x6FAE4481D1734547, "only_local" },
    { 0x1B0C1E3177107128, "only_one_player" },
    { 0x3FB5CF88E2EEFCC1, "only_sky" },
    { 0xF1E92B2730C06F2C, "only_use_weapon" },
    { 0x7EDBECE340A3E30E, "onlydroneused" },
    { 0xB97CF9F86BA5AAF4, "onlyexecutefromthefront" },
    { 0x964050E6050F5692, "onlyfirendlyfire" },
    { 0x1DB6CF6F63126A61, "onlygoodnearestnodes" },
    { 0xA9F9CC5433306E7A, "onlyhelmetpopondeath" },
    { 0xABB8F4CF9D38A61A, "onlylocal" },
    { 0xB6F8E67EF938DBD1, "onlyroundoverride" },
    { 0x5515F81AB872B8AC, "onlytakedamagefromplayer" },
    { 0x4338B4B474261905, "onmaprestart" },
    { 0x489AD3F08CB8E7DE, "onmatchbegin" },
    { 0xBD3E6568BC29FE0A, "onmatchend" },
    { 0x26EED97C33B1B820, "onmatchplacement" },
    { 0x37430EE819D2B39F, "onmatchstart" },
    { 0xE77E4C0D15279D2F, "onmatchstartbr" },
    { 0x07B137B43E64534B, "onmovingplatformcollision" },
    { 0x8DA4ED9E41D6A199, "onmovingplatformdeath" },
    { 0x0790D7C828837CDF, "onmunitionboxused" },
    { 0x16E4F975F6436D8E, "onnewequipmentpickup" },
    { 0xFB52694B13461083, "onnormaldeath" },
    { 0x78438E6622FACB89, "onobjectdelivered" },
    { 0xD2D8E50BE02D2612, "onobjectdrop" },
    { 0xCC9C4EE4AF813DDC, "onobjectivecomplete" },
    { 0xAC02E062151757D3, "onobjectpickup" },
    { 0xD33AF11E55702F7A, "onobjectreset" },
    { 0x3C44FA3CEE0032E2, "onobstruction" },
    { 0x04CFC9F626D70131, "onoffmodelswap" },
    { 0x5C997A5A33E7447B, "ononeleftevent" },
    { 0x2C13648ED6FD2144, "onooboutoftime" },
    { 0x89998A70FABC5431, "onownerdisconnect" },
    { 0x86185893C08A998A, "onpatrol" },
    { 0x0FBF18BCD4F9F5D9, "onpatrolpath" },
    { 0x5AC0D6E8CE46B1A0, "onphaseend" },
    { 0x0D556ECFD2CE9970, "onpickup" },
    { 0xA26AA11AE0DF1F65, "onpickupfailed" },
    { 0xA26FC51AE0E59768, "onpickupfailfn" },
    { 0xFDE632BBDB662B64, "onpickupfn" },
    { 0xA8EF805B7A99CBDF, "onpickupitem" },
    { 0x55CDFE0032B62894, "onping" },
    { 0x37EAF346A7EB4993, "onpinnedstate" },
    { 0x5A0AB2F4060C99C9, "onplaced" },
    { 0xF1AC2F06658BC7F6, "onplaceddelegate" },
    { 0x9FD9B8FA85A3EA21, "onplant" },
    { 0x8B04DE646515F499, "onplayerchangeteams" },
    { 0xFED44E6AD46E8825, "onplayerconnect" },
    { 0x8B3FB51C0DBF94E5, "onplayerconnect_cphudmessage" },
    { 0x9040DAE720AAFD47, "onplayerconnectaudioinit" },
    { 0x37945CD237789214, "onplayerconnectcommon" },
    { 0xAE82926A8C9914AC, "onplayerconnected" },
    { 0x117CD753B58BBA3B, "onplayerconnecting" },
    { 0x702C6116F272484A, "onplayerconnectrisk" },
    { 0x8984972920D406FF, "onplayerconnectrunonce" },
    { 0x9DDA13151C49D185, "onplayerconnectstream" },
    { 0x46323D485E901C68, "onplayerdamaged" },
    { 0xE1731CBA005720D7, "onplayerdamaged_func" },
    { 0x6983C082FD4E5047, "onplayerdisconnect" },
    { 0xBF5734B95889135E, "onplayerdisconnectcommon" },
    { 0xBDFAA9B8EFF26EBB, "onplayerdisconnectinfil" },
    { 0x1D846595F63C0CFC, "onplayereliminated_func" },
    { 0x044E59839E6759C0, "onplayeremped" },
    { 0x7D1AB9AF356ADB8B, "onplayerentergulag" },
    { 0xE34FEEB6796A91A2, "onplayergetsplunder" },
    { 0x96C4579BBAB221D6, "onplayerjoinedspectators" },
    { 0xB64F1BBB4200CFAD, "onplayerjoinedteam" },
    { 0x4F3055B9B41483C1, "onplayerjoinsquad" },
    { 0x194F4EF43FEA07DC, "onplayerjointeam" },
    { 0x5F0CBABDD68974FD, "onplayerjointeamcommon" },
    { 0x2B593D9757D3F47C, "onplayerjointeamnospectator" },
    { 0x5CC3CF88C5DE3A6E, "onplayerkillassist" },
    { 0x703FD38F7A42A1EC, "onplayerkilled" },
    { 0x10CD79C525C87B0D, "onplayerkilledcommon" },
    { 0x4C7616EC669301EA, "onplayerkillednew" },
    { 0x379664CE996B2994, "onplayerprojectiledamage_thread" },
    { 0x5FF155E3355EFB6B, "onplayerrespawn" },
    { 0x272C906A41AA72B9, "onplayerscore" },
    { 0x570FDCF893C0B4AC, "onplayerspawn" },
    { 0x17205419C316D4BC, "onplayerspawncallbacks" },
    { 0x4350F8559421D61D, "onplayerspawned" },
    { 0xFD77889DD8E5B908, "onplayerspawneddevguisetup" },
    { 0x7BD34E036F406E15, "onplayerspawnedinfil" },
    { 0x387CC6A2D32E43FB, "onplayerspawnedweaponpassives" },
    { 0x0BC9AF2CE58A3FE1, "onplayerteamrevive" },
    { 0xE35F93AAABCC5C6A, "onpostkillcamcallback" },
    { 0xA80DE7536EB93DB8, "onpotgrecordingstopped" },
    { 0xE2D5C9397B97423F, "onprecachegametype" },
    { 0x4694ED7AEA5E43FE, "onprematchdone" },
    { 0x6D42625683A6A750, "onprematchfadedone" },
    { 0xEFA5A64387821C86, "onprematchfadedone2" },
    { 0x8DD0636159B8A337, "onprematchstarted" },
    { 0x99ED9418510E83FF, "onprematchstarted2" },
    { 0xF17512E0584B2342, "onquesttablethide" },
    { 0x0E453FC89A35774F, "onradiocapture" },
    { 0x008B6D35D95AD1E7, "onradiodestroy" },
    { 0x238711BB1DD13694, "onrecordingstarted" },
    { 0x8DED072633009BA4, "onrecordingstopped" },
    { 0xEA424DD37882366B, "onreset" },
    { 0xE6B447A82B394FD8, "onresetend" },
    { 0xE2B8AFA3FE3E5D9B, "onresetfn" },
    { 0x15C440C41002CD69, "onresetstart" },
    { 0xF5C2A34F632857BF, "onrespawndelay" },
    { 0x47E3E5C3F274A08D, "onrevive" },
    { 0xC33BBC010FA49B07, "onrevivepickupevent" },
    { 0x4329A34B0A660EEE, "onriotshieldstow_force" },
    { 0x1BA4A441120B6B70, "onriskplayerdisconnect" },
    { 0x55A39F0670CED703, "onriskplayerkilled" },
    { 0x76BD22E067910C1E, "onrotatingvehicleturret" },
    { 0xDC46E4F55D8E84F1, "onroundend" },
    { 0xF9B7D1BB30F617C8, "onroundended" },
    { 0x38E97347F3D9E268, "onroundswitch" },
    { 0x8C00F098EA0026F6, "onscavengerbagpickup" },
    { 0x2A87DDF4ABF2F725, "onscorelimit" },
    { 0xF8D3BE9EB1529084, "onselect" },
    { 0x7AA5FA109791E18E, "onsixfriendlytracking" },
    { 0x72362FDCD32255D1, "onslide" },
    { 0x73BC0A2820AE0D21, "onsniperabouttofire" },
    { 0xFDED65A4F566A945, "onsniperfired" },
    { 0x25A97ED5B510C131, "onsnowmobile" },
    { 0x87F0915AD6D90839, "onsoccerballreset" },
    { 0x2D0C467C42C22DF3, "onspawn" },
    { 0x06DB604DF64AE095, "onspawn_fastspeed" },
    { 0xD8959585A1816B2C, "onspawn_slowspeed" },
    { 0x4EF7DAFCC1704DAD, "onspawnfinished" },
    { 0x6B61459B7A77FAB9, "onspawnfunc" },
    { 0xA60F43847F997B4D, "onspawnloot" },
    { 0x1A0DE2938ED67B82, "onspawnplayer" },
    { 0xFE970FD3F32EE91B, "onspawnplayercommon" },
    { 0x5887552C19E071D4, "onspawnspectator" },
    { 0x089B6901F5782677, "onspecialistbonusavailable" },
    { 0xAC79125798F39D06, "onspecialistkillstreakavailable" },
    { 0x1379A82F07DA423B, "onspectatingclient" },
    { 0xDDE5041784A237FD, "onspectatingmlgcamera" },
    { 0x36099A7B8D8D8699, "onspray" },
    { 0x2C33055FEC5ACB42, "onsquadeliminated" },
    { 0x75ED2FBC728A5C35, "onsquadeliminatedplacement" },
    { 0x6EBCC8931121B502, "onstartgametype" },
    { 0x56DB35452DC85271, "onstim" },
    { 0x888187242BB7303A, "onstompeenemyprogressupdate" },
    { 0x575652452E4FA6BC, "onstun" },
    { 0xA2D225EEF88FBFEB, "onsuccessfulhit" },
    { 0x389F7440EDFE0F20, "onsuccessfulstreakactivation" },
    { 0x86EE0FC96FB7DF8A, "onsuicidedeath" },
    { 0xE78BADCEE7618B05, "onsupportboxusedbyplayer" },
    { 0xCAE7612BCFC746CB, "onsurvivorseliminated" },
    { 0x39D66C1354363B11, "ontacticalequipmentplanted" },
    { 0x634F7C6867EAD230, "ontagpickupevent" },
    { 0x3A7F408013321146, "onteamchangecallback" },
    { 0xC4AF4CEAACCACB2D, "onteamchangedeath" },
    { 0x823F344D65BDB8C1, "onteamleadgained" },
    { 0x632601C9CF89C8ED, "onteamleadlost" },
    { 0xD125843D4025D226, "onteammatereviveweaponswitchcomplete" },
    { 0x5B3F1CB91DDAE8E0, "onteammatereviveweapontaken" },
    { 0x9FB2F7BE8519D159, "onteamproximitybecameinvalidplayer" },
    { 0x549352A0DE20B597, "onteamproximitysteppedclose" },
    { 0xAD452A731C6AD822, "onteamproximitysteppedfar" },
    { 0xADE718554141B6BD, "onteamscore" },
    { 0x430DF536801EF60D, "onteamselection" },
    { 0x35C0A550E29C0FDC, "ontimelimit" },
    { 0xA3900F74466FC06E, "ontimelimitdeadevent" },
    { 0xD1B97903C8C831C5, "ontimelimitgraceperiod" },
    { 0xA85D27D2FEEA9807, "ontimelimitot" },
    { 0xCC5A8487E765365B, "ontriggeredfunc" },
    { 0xDCBDB55215C1B918, "ontriggeredsfx" },
    { 0xA66224FA9124E4E4, "onuncontested" },
    { 0xD8EF8C1E1DE28427, "onunlockitem" },
    { 0x7FC0452AF90DBF8F, "onunoccupied" },
    { 0xAA8D693830121D6A, "onunpinnedstate" },
    { 0x2397DD5AF24FD91D, "onupdate" },
    { 0xC16644A9C3E9D1EF, "onupdatefunc" },
    { 0xD6B90E186F5704B7, "onuse" },
    { 0xD49145FB7F92C388, "onuseanimplaying" },
    { 0xC3E105D502D0A0F0, "onusecallback" },
    { 0x9880567530D10019, "onusecallbacks" },
    { 0xF07B5CFA36D2AB90, "onusecompleted" },
    { 0xAC5E1287604B4A44, "onusedeployable" },
    { 0x952E644260D545D0, "onuseitem" },
    { 0xAC460F1BD61A245B, "onuseplantobject" },
    { 0x0F352EF50A1DFE52, "onusesfx" },
    { 0x0A30BFA55EC37B05, "onusethanksbc" },
    { 0x2B661D5470CFD1A6, "onuseupdate" },
    { 0xBAE920F0FEF6EC11, "onuseweaponpassives" },
    { 0xA6133BAF7D16305F, "onvehicleemped" },
    { 0x476BF37E4352F77E, "onversusdone" },
    { 0xA6E5726C133F2731, "onweapondamage" },
    { 0x54B82AAF9B0EE7F3, "onweapondropcreated" },
    { 0xB067C4151B702404, "onweapondroppickedup" },
    { 0xD2925C4799A43520, "onweaponfired" },
    { 0xE34111117A4928E7, "onweapontaken" },
    { 0x840BE983965C12AC, "onxpevent" },
    { 0x545D690434A269B7, "oob" },
    { 0x3396591B0E909EE9, "oob_enabled" },
    { 0xA8785DC41B84DE3F, "oobdata" },
    { 0x940046CC5DCD10E5, "oobendtime" },
    { 0xE0C164B987299B9D, "oobimmunity" },
    { 0x431A716D58916618, "oobref" },
    { 0xB08DB759E4B4E669, "oobsupressiontriggers" },
    { 0xBAC1093DA482B563, "oobtimeleft" },
    { 0x8FCE5C5983CE941E, "oobtriggers" },
    { 0x4A3B139288902D91, "oobtriggertype" },
    { 0x8A04EA3F49BD955D, "open" },
    { 0x2948C496B2B13055, "open_1f_hallway_door" },
    { 0xDB8C6E8477A6DDD5, "open_1f_runner_door" },
    { 0x6C28338FB7A64DA4, "open_2f_data_door" },
    { 0x4946598C2D700BBB, "open_and_write_to_paths_map" },
    { 0x92ED7636E80DFD22, "open_ang" },
    { 0x021D556618F7846A, "open_angles" },
    { 0x8EE6D448A3B4FCDB, "open_any_random_airlock_door" },
    { 0x9D7F656049AD5C1E, "open_big_doors" },
    { 0xFF58F0E4F8D7425A, "open_blockade_gates" },
    { 0xDF9BE705B7395643, "open_bomb_case" },
    { 0x7987D6BA2B63CCE5, "open_bomb_case_common" },
    { 0x9DFE7C2BAE47624E, "open_bus_doors" },
    { 0xC65E02366127D260, "open_cac_slot" },
    { 0x5F67A30435EF846D, "open_case_marker" },
    { 0x21DA76A51C40224C, "open_case_marker_as_use_entity" },
    { 0x58C02C0C66424243, "open_case_marker_ent" },
    { 0x345EFA2485156F05, "open_close_initial" },
    { 0x21EC3751DEA88C8D, "open_close_loop" },
    { 0xFA5FC7001884141D, "open_complete" },
    { 0x379AD292A802C1CE, "open_completely" },
    { 0x45AF394B3F38BA3A, "open_door" },
    { 0x564C3F0B20B013E7, "open_door_catchup" },
    { 0x3D9F9F457818C22E, "open_door_main" },
    { 0x174F6DF5F78A3675, "open_door_start" },
    { 0x7E15BE13A606A7AE, "open_door_to_next_objective" },
    { 0x7915497C09C1AE8B, "open_doors" },
    { 0x42152C763FF07B92, "open_elevator_doors" },
    { 0x6B6FE2AC6CF6AF91, "open_elevator_doors_roof" },
    { 0x149512E274D093B0, "open_exit_doors" },
    { 0x86F61584474B649C, "open_facility_exit" },
    { 0x87E67406A82A3375, "open_goalradius_on_player_sight" },
    { 0xF9A411E70810FCD9, "open_gunshop_door" },
    { 0xFB77F14BB68FE6E8, "open_inner_doors" },
    { 0x3306A4FFB93E8989, "open_interrupt" },
    { 0x4D44E00621F394E3, "open_left" },
    { 0x974BBD27169FB32D, "open_lines" },
    { 0xAD120669CD5949A0, "open_loadout_menu" },
    { 0xB4133DDF3EC7B080, "open_main_door" },
    { 0x40B4F315643ED7AB, "open_outer_doors" },
    { 0x8D20A25CAC66D1CE, "open_plane_doors" },
    { 0xD2796A55BED0A66A, "open_plane_doors_anim" },
    { 0x6CA8D13787B34A6C, "open_pos" },
    { 0x760D027469A11762, "open_roof_doors" },
    { 0xF1B11DD2C69E292A, "open_safehouse_door" },
    { 0xB701062A39AA6D67, "open_scriptable_door_monitor" },
    { 0xD15D5EE785976B15, "open_scripted_door" },
    { 0xC51382890B3C7219, "open_selected_doors" },
    { 0xFCF5C2322B0228E1, "open_side_gate" },
    { 0x7CAEA6A5C19F5BE5, "open_sliding_door" },
    { 0xD8B647313470579D, "open_spots_and_spawn_truck" },
    { 0xD683416382BC022D, "open_stairwell_doors" },
    { 0x7086C56F26F17AC7, "open_starting_safehouse_door" },
    { 0xCC2036BEFAA48E93, "open_struct" },
    { 0x3507936D7D0658AA, "open_struct_logic" },
    { 0x46E2EBAA9290B766, "open_teleport_room_door" },
    { 0x3DD847F0DB183203, "open_this_door" },
    { 0x3D8A2BC9C032B17F, "open_time" },
    { 0xBCE8233C18E47002, "open_trap_room_door" },
    { 0x2D83718D32DC26CF, "open_tut_gate" },
    { 0xAC57E793BC197D0F, "open_up_fov" },
    { 0xC495A9B11A15C90C, "open_upper_cell_door" },
    { 0xE3DD0B2169AA9C37, "open_vault_door" },
    { 0x2FAD45DD624BF858, "open_vault_gate" },
    { 0x96B4BCD02491574D, "open_vent_cover" },
    { 0x516BA31154CCBEE9, "openaltbunker" },
    { 0x810850FD47B30C09, "openangles" },
    { 0x0D98C99A98505428, "openbunkerdoor" },
    { 0xFDF72C04DE5D16C4, "openccw" },
    { 0xE590B9F1C4E4FC56, "opendoor_notehandler" },
    { 0xB8C4715C1375D151, "opendooratreasonabletime" },
    { 0x6A77DC29523E84AC, "opendooratreasonabletime_waitforabort" },
    { 0xBDEC06BD9EFA0524, "opened" },
    { 0xCBEFF3B7DA47EEA6, "opened_position" },
    { 0xF2F97B22B76F3F5C, "openelevatordoors" },
    { 0xBDEC14BD9EFA23EE, "opener" },
    { 0xA8553A04A01C5247, "openers" },
    { 0xB304E56F2D7E0A7B, "openfile" },
    { 0x6D98A8188ED022AD, "opening_actors_to_idle" },
    { 0xB33D6DD5C682C2C7, "openinteract" },
    { 0xD4D4447319E69852, "openmenu" },
    { 0x9E6C47F95DB579F1, "openmonitor" },
    { 0x708562C7EB971CF3, "opennukecrate" },
    { 0x5F95357E3D253B0A, "openpopupmenu" },
    { 0x6081E493927BC0A0, "openpopupmenunomouse" },
    { 0x063C6F04285EC4C1, "openpos" },
    { 0x26D365C50F84178B, "openrequested" },
    { 0x8FF40F09EABDBD48, "openrightblimadoor" },
    { 0x71EA811DFE6D764B, "openscriptabledoors" },
    { 0x03C74D5376A691F1, "operate_garage" },
    { 0x1D435825C517B03C, "operationscompleted" },
    { 0xE8FFD091274401DA, "operationsmaxed" },
    { 0xF4302F2673B029B9, "operator" },
    { 0x5302E9B1FBA6EF5B, "operator_reward_id" },
    { 0xD1ED7D99B9461657, "operator_unlock_ids" },
    { 0x3C3F7C8A46BCC20A, "operatorcustomization" },
    { 0x626FAC9CF366208D, "operatordialogonplayer" },
    { 0xBEECF573366E34AE, "operatorref" },
    { 0xB276AE732E0C81D0, "operatorsfx" },
    { 0xCD244AAB4C1BB1BC, "operatorsfxalias" },
    { 0x9D1C2CDDAD8AA6B0, "operatorskinindex" },
    { 0x5639495884490974, "opposite_struct" },
    { 0x1F1510EB4B94FBCE, "opticattachmentbasenames" },
    { 0x26A08D1E9F071AEA, "optimizationdvars" },
    { 0xEB8D97106F938A4C, "optional_params" },
    { 0xACD324B10B388997, "optional_prop" },
    { 0x5D1CE293D9A3703C, "optional_scripted_struct" },
    { 0xF4FC05DADA8F8C8E, "optional_stealth_handler" },
    { 0x54A07F67962DD463, "optional_struct" },
    { 0x18DCD5430168D579, "optionalfootprinteffectfunction" },
    { 0x15898E9BE3007A92, "optionalfootprinteffects" },
    { 0x57F9DE78B2D64C68, "optionalnumber" },
    { 0x77E2EB0080906486, "optionalstepeffectfunction" },
    { 0x596A9A96EE9E6C73, "optionalstepeffects" },
    { 0x7066074B3EB1F525, "optionalstepeffectsmallfunction" },
    { 0x1F40E536386A4E52, "optionalstepeffectssmall" },
    { 0xBCD71E87072D48A9, "options" },
    { 0xFD4B5215A59FF856, "optionsvalue" },
    { 0x33BB6FA64E102E64, "opweaponsarray" },
    { 0x2383CDA3C1148D1A, "orbitcam" },
    { 0x1A12FE0E72406D9F, "orcapoints" },
    { 0x9A364F9104D007DC, "order_path_data" },
    { 0xF95D1C5A4FAEE3F1, "orderaction" },
    { 0xCB4DB0A8C925110C, "orderdisplace" },
    { 0x5DA06BECCF836C79, "orderindex" },
    { 0xA4BDE1DECAB8AD2A, "ordermove" },
    { 0x7BAB6EE4A88CA0EE, "orderto" },
    { 0x542384043461F72D, "org" },
    { 0x6C12743F3372792D, "org2" },
    { 0x51925B81676364F1, "org_in_bad_place" },
    { 0x4347648DA5BD1965, "organizeproplist" },
    { 0x9B614191A85FB7E7, "orghealth" },
    { 0x0ABB72EC487C3FA1, "orgorg" },
    { 0xF557807CF708C022, "orient_model" },
    { 0x36760F39332AA1AD, "orientation" },
    { 0x0BCB12057C2E87B5, "orientblocksbasedonsequence" },
    { 0x86575F189C41BFF1, "orientdefaulttofrontline" },
    { 0xE0938C961A0FE479, "orientdefaulttomapcenterusingmapcorners" },
    { 0x1F8CCDBF62B45BE1, "oriented" },
    { 0xE03DED04270927CE, "orientedbox" },
    { 0xD07CECCB1B7E8C69, "orientedboxpoints" },
    { 0xAA3B05A09BD041B4, "orientmeleevictim" },
    { 0xCD011DBE54679E33, "orientmode" },
    { 0xF6BB10FB2D14BF69, "orientto_complete" },
    { 0xAE78497352505F0C, "orienttoplayeryrot" },
    { 0x6009F6E12D3739FF, "orig_alpha" },
    { 0xC4BC8F97CD761BCB, "orig_health" },
    { 0x68E60F363219B10B, "orig_max_participation" },
    { 0x6C61723A32C3607A, "orig_player_participation" },
    { 0xCEFC229FF6DE3343, "origin" },
    { 0x12B396CBEAAB2183, "origin2" },
    { 0x52DF6A08628F2A08, "origin_counter" },
    { 0x64502BC269BBC242, "origin_delta" },
    { 0x88C0031AB8774DD9, "origin_ent" },
    { 0xBEABAACF5D3915A5, "origin_intensity" },
    { 0x075DCA494B7F0DBC, "origin_is_valid_for_vanguard" },
    { 0xA42EA85F12E6BBD4, "origin_last" },
    { 0x72F70D9EA6308DEF, "origin_max_dirs" },
    { 0x0522FBFE49499A6F, "origin_offset" },
    { 0xAACEAB8BED91BEA1, "origin_prev" },
    { 0xC0BEC2603CBEE80F, "origin_velocity" },
    { 0x66153F93EFF58049, "origin_velocity_time" },
    { 0x113E8F3849A98DB3, "original_angles" },
    { 0xF98AA97A5CDB5AA8, "original_attacker" },
    { 0x64C4CE2B176F0063, "original_baseaccuracy" },
    { 0x514AFE1463F31D59, "original_body_model" },
    { 0x4A7CED5DD6D1E9FB, "original_data" },
    { 0x4E4E6DF131F40837, "original_disablelongdeath" },
    { 0x7A3951A3CF2A8865, "original_health" },
    { 0x4490B1948C2C85F0, "original_intensity" },
    { 0x4FC704AF81CA09F7, "original_meleechargedistvsplayer" },
    { 0xDE152AD01E2AF65D, "original_origin" },
    { 0xEA149B877C541C25, "originalangle" },
    { 0x1F6E60F66CFA5122, "originalangles" },
    { 0xD985D3EFE7C2776F, "originalintensity" },
    { 0xBFBF3D5A4D1C7948, "originalloc" },
    { 0x0D55FEF61605C4CB, "originalmodel" },
    { 0xD6D5FA7C39FE3EC8, "originalorigin" },
    { 0x6F977E0F1F3724C1, "originalowner" },
    { 0x5EDC531BAE1F6A60, "originalownerteam" },
    { 0x87C5915A24D5E224, "originalpos" },
    { 0x7DDF6109D94ED684, "originalsubtype" },
    { 0xB4FD8DEC9A6CC077, "originheightoffset" },
    { 0x50C509D198B58247, "originlink" },
    { 0x12B355CBEAAA9290, "origins" },
    { 0xA7AFD336FDF624CA, "origviewmodel" },
    { 0xE5A4FDBE5DA19B8C, "osa_distance" },
    { 0x4FF7B230628A55C0, "osa_percentile" },
    { 0x52C4EB556AFE0245, "oscar_hack" },
    { 0x7F25DBC6EDFF364D, "oscope_ampl" },
    { 0xEB4ED2C70DC99E3A, "oscope_ampl_think" },
    { 0xD6881A0C2815AF45, "oscope_freq" },
    { 0xEF45F4566D0AE422, "oscope_freq_think" },
    { 0x1F65B10945859AAE, "oscope_sign" },
    { 0x054E8049A3056BC5, "oscope_sign_think" },
    { 0xC791FDAF1773FF75, "oscope_temp" },
    { 0xB83DED60FF1F0901, "oscope_temps_think" },
    { 0xCF081B8F3224D011, "other" },
    { 0x370A57AD88D16764, "other_blocker_vehicles_exist" },
    { 0xE456C0709CED3685, "other_bodyguard_vehicles_exist" },
    { 0x8AA5B894F9215962, "othercaptureobject" },
    { 0x683FA5BE5777CB7D, "otherdoor" },
    { 0x73A4FDEB46F64786, "others" },
    { 0x7C675F4DCD3CF490, "otherteam" },
    { 0x9924812519DB54FC, "otherusehintstring" },
    { 0xF7A8FCF228681571, "otherusetime" },
    { 0x244049AF41B1191F, "othervarindices" },
    { 0xFD4F297E546ECB48, "otspawned" },
    { 0x911417402A98F770, "ottimecontested" },
    { 0x22428FB7EB2D699E, "out_of_order" },
    { 0xB23C7081E386B8A6, "outboundflightanim" },
    { 0x389F8E2184F4AF68, "outboundsfx" },
    { 0x5894B61581FBCA77, "outcome" },
    { 0xD436EDBFD028C852, "outcomenotify" },
    { 0x93FDBCECD601B790, "outdoor_only_maxs" },
    { 0x07121CED2A00494A, "outdoor_only_mins" },
    { 0x75D504796A616B0C, "outdoor_think" },
    { 0x2F15B1431BD6D01D, "outdoor_time" },
    { 0x0C5743A36E50E1E8, "outer" },
    { 0x7BB78DB3EC7A7865, "outeranimnode" },
    { 0x9BD9B39D8F591790, "outercrates" },
    { 0xF2F7A449F32CD459, "outframes" },
    { 0xE3970C011DDC3621, "outline" },
    { 0x58D021BD065C2DC9, "outline_array_insert" },
    { 0x19957AC89C52B2D3, "outline_crate_in_hud" },
    { 0x6AEDF8E5F474F715, "outline_enemeies" },
    { 0x6E382E3FB8108D02, "outline_enemy_ai_for_duration" },
    { 0xBA094B42C479E1E7, "outline_enemy_ai_for_overwatch" },
    { 0x8684CC7BB17561F4, "outline_ent_index" },
    { 0xBE5C488969A46DEC, "outline_ents" },
    { 0xCD6932139C96F7FC, "outline_fade_alpha_for_index" },
    { 0x9DFD236B3386151C, "outline_fade_alpha_for_index_internal" },
    { 0x840D06CDCB8CD6EA, "outline_grenade_box" },
    { 0x02DC406E6110E8B0, "outline_init" },
    { 0x4FA1654562C8F717, "outline_monitor_think" },
    { 0xB2E51FA3A0913D72, "outline_ping" },
    { 0xA0310E85E3FCB133, "outline_weapon_watch_list" },
    { 0xB6CF2400EDE5B12F, "outlineaddplayertoexistingallandteamoutlines" },
    { 0x8C89E3B7C328364A, "outlineaddplayertoexistingsquadoutlines" },
    { 0xAC2C83E0752C9E9F, "outlineaddplayertoexistingteamoutlines" },
    { 0x459CA868B47A7EF6, "outlineaddtogloballist" },
    { 0x82E1B1CC838F977A, "outlinecalloutsource" },
    { 0x2DEB416BD36850B3, "outlinecatchplayerdisconnect" },
    { 0x6165AB74AB4B59BF, "outlined" },
    { 0x0379154AAD5BE7D1, "outlinedenemies" },
    { 0x3E5C5A684FFBA91C, "outlinedent" },
    { 0x20C44267E6759F1D, "outlinedents" },
    { 0xB192120DD3829672, "outlinedid" },
    { 0xB3C3FF54D23FC3BF, "outlinedisable" },
    { 0x5F292A0ED9B3F216, "outlinedisableinternal" },
    { 0xCBC31B23C9E33955, "outlinedisableinternalall" },
    { 0x79C47C0AA89116B7, "outlinedplayers" },
    { 0x8B45B5254231CA80, "outlineenableforall" },
    { 0x6BFA075F1CDBFAA4, "outlineenableforplayer" },
    { 0x5F6107047571E50D, "outlineenableforsquad" },
    { 0x293A11E9E6C8B368, "outlineenableforteam" },
    { 0xEE58BB6146681837, "outlineenableinternal" },
    { 0x0D6D1A920664C3B7, "outlineenemyplayers" },
    { 0x3B5BD1DBD8986B65, "outlineenemyplayerslaunchchunk" },
    { 0xA424F90DCA10ECB6, "outlineent" },
    { 0x0E3C7E536338B53F, "outlineents" },
    { 0xCD2C0B56128CDBD1, "outlineequipmentforowner" },
    { 0x7D80C1E7BDA57B96, "outlineequipmentwatchplayerprox" },
    { 0xC7F005B92A8CB6B9, "outlinefriendly_apply" },
    { 0xA6B3A58CFBE1CA9B, "outlinefriendly_remove" },
    { 0x27A6AF8F38B1CB6C, "outlinegenerateuniqueid" },
    { 0x8413CA08F3D2F409, "outlinegethighestinfoforplayer" },
    { 0x9DF6BC4A630CC258, "outlinegethighestpriorityid" },
    { 0x4B96FA092B9B5F81, "outlinehelper_disableentityoutline" },
    { 0xEB512DAE1AFE2F80, "outlinehelper_enableentityoutline" },
    { 0x0ADB3C484D033AA9, "outlinehelper_getallplayers" },
    { 0x6EA7B10CF8C5D03A, "outlinehelper_updateentityoutline" },
    { 0x81725E5A4B2F40D1, "outlinehelper_validplayer" },
    { 0x6E72B4E6564FF4AB, "outlinehelper_verifydata" },
    { 0x7DFEE694B6C4A3F4, "outlineid" },
    { 0x8EDC2148CBBE2270, "outlineiddowatch" },
    { 0x39D0742E7C8C7108, "outlineidenemy" },
    { 0xD68CD6E9538D72AC, "outlineidfriend" },
    { 0xDC38A00DF273A1E5, "outlineids" },
    { 0x9CB00FE17FC8617C, "outlineidspending" },
    { 0xC7C4F8F86834DD73, "outlineidswatchpending" },
    { 0x573BA53223451E58, "outlinekillstreaks_enablemarksafterprematch" },
    { 0xF676453B641074C4, "outlineoccluded" },
    { 0x16CD089D10757567, "outlineoccluders" },
    { 0xCF5966BFA6E135AA, "outlineoccludersid" },
    { 0x1BE70A93D6F430B7, "outlineonplayerdisconnect" },
    { 0x8139880735DAFDD6, "outlineonplayerjoinedsquad" },
    { 0x17AC5B9C2136509B, "outlineonplayerjoinedsquad_onfirstspawn" },
    { 0x5383638D0661277D, "outlineonplayerjoinedteam" },
    { 0x6A29BECA52EA96BE, "outlineonplayerjoinedteam_onfirstspawn" },
    { 0x647C8D21ACEF05C6, "outlineplayerbydistance" },
    { 0x7B1714E93C840232, "outlineprioritygroupmap" },
    { 0x12E7C39C09FBA0F0, "outlinerefresh" },
    { 0xFE014F4E51B57931, "outlinerefreshinternal" },
    { 0x33D3642DFA0E321B, "outlinerefreshpending" },
    { 0x3B0ED8AB1F1387DE, "outlineremovefromgloballist" },
    { 0x3A453A6E43DC8179, "outlineremoveplayerfromvisibletoarrays" },
    { 0x6165B874AB4B7656, "outlines" },
    { 0x694FF3D62EB04816, "outlinesquad_apply" },
    { 0xFF28F8BC63D05D2A, "outlinesquad_remove" },
    { 0x6F1DE7858E540F60, "outlinesuperequipment" },
    { 0x5FC1C7485390370E, "outlinesuperequipmentforplayer" },
    { 0x829AE8CC371AB28E, "outlinesuperequipmentforteam" },
    { 0x84C898D91DE69998, "outlinetime" },
    { 0xCB2DC991CB789FCB, "outlinewatcher" },
    { 0x473244EC677E5904, "outlinewatchplayerprox" },
    { 0x60065C178BA42F7F, "outofbounds" },
    { 0xDCF40A5857FC149C, "outofbounds_failthread" },
    { 0x744A9327E59B084A, "outofboundscooldown" },
    { 0xA71E952D3C39EACE, "outofboundstime" },
    { 0x677F1F7EBA223EC2, "outofboundstimebr" },
    { 0x1734A53DDA5834BF, "outofboundstimeminefield" },
    { 0x356FFE24CA935DFF, "outofboundstimerestricted" },
    { 0x930B28BD41B2C089, "outofboundstriggerpatches" },
    { 0x8CDEC1F99A15B456, "outofboundstriggers" },
    { 0xA7FC1D6390F7AAA1, "outofboundstriggersplanetrace" },
    { 0x2D980601AB8CF0FC, "outofboundstriggersspawned" },
    { 0x23CFE50C4EBF3C01, "outofboundswatcher" },
    { 0xEBF48F0AC1447781, "outofrangefunc" },
    { 0xFA2272D8AAB79719, "outoftimecallbacks" },
    { 0xB85D084A8D9387BE, "outputfunc" },
    { 0x0C8750A36E855ABC, "outro" },
    { 0x5359F13DA684668E, "outro_dialogue_logic" },
    { 0xF2860AF42481E891, "outro_enemy_spawning" },
    { 0xFA65E906E833C886, "outro_letterbox" },
    { 0xCD4B447FD95B544C, "outro_main" },
    { 0x02EBB190DBEADDB0, "outside" },
    { 0xB29B9AA376D72D74, "outside_spawner_cleanup" },
    { 0x42D7F8718D9B4734, "outside_zones" },
    { 0xE3CC3A4E2408C7D8, "outsideheli" },
    { 0xA70A403F5F0460D3, "over" },
    { 0x45452508FCED80EB, "over_damped_move_to" },
    { 0xFDF64FFD4F0B8724, "over_damped_move_to_thread" },
    { 0x6AFC1D790F69CA92, "overchargeviewkickscale" },
    { 0x7CA6936B56E1035E, "overcook_func" },
    { 0x5A79DEA02D74FB31, "overhead_heli_flyby" },
    { 0x9E7AADD47B1E4514, "overheatcooldown" },
    { 0x0273E3BFDC1C6A50, "overheated" },
    { 0x4F8D0B999A4D3168, "overheatlimit" },
    { 0x561704DE2B352DB2, "overheatreductionamount" },
    { 0x6A326F4ADE9F4B8C, "overheatreductionrate" },
    { 0xC10B6B23BBED6C87, "overheatreductiontime" },
    { 0x3DA788CD3ED62E70, "overheattime" },
    { 0xF6E390B9F5A2C767, "overlay" },
    { 0xEC64337022DAA6F5, "overlay_clear" },
    { 0x29126802C22D1453, "overlook_group_spawn_func" },
    { 0x3FB2F2A6071F0937, "overlook_interact" },
    { 0x4EBC26C87A8882C3, "overlook_patrol_animate" },
    { 0x98E3038B1A8FF98C, "overlook_suv_behavior" },
    { 0x48308313DAF29377, "overlook_suv_comment" },
    { 0x4301ED6F09A30A6F, "overlook_truck_behavior" },
    { 0xFB48123C81DF1CD0, "overlookdoor" },
    { 0x34BA9640F010C928, "overlookenemies" },
    { 0x0863112C065CDCC5, "overlookpatrol1" },
    { 0x08630E2C065CD62C, "overlookpatrol2" },
    { 0x384AD590DFF7D186, "overlooksuv" },
    { 0x5E48183F38A39453, "overlooktruck" },
    { 0x76BD909797B09510, "overlookvehicle" },
    { 0xA46BAC39C1EB97C1, "override" },
    { 0x5F225B9D526517A3, "override_ambush_vehicle_ai_loadout" },
    { 0xEC8B10BAFDDC3EE8, "override_bc_playername" },
    { 0x6089261093CA7651, "override_box_moving_platform_death" },
    { 0xB9571D7EF715798F, "override_class_function" },
    { 0x9AF58801774246CD, "override_corpse_detect_dist" },
    { 0x2C1726F596F0316A, "override_corpse_found_dist" },
    { 0x12B90CADA5E25599, "override_corpse_sight_dist" },
    { 0x4E1AC3063A0754B5, "override_crawl_death_anims" },
    { 0x74EBD98551E694A5, "override_damage_auto_range" },
    { 0x28789AF2B4BDB2C7, "override_damage_sight_range" },
    { 0x657B574AE2B78C8C, "override_find_camp_node" },
    { 0xD8B7228F255A735A, "override_minimap_hide" },
    { 0xC23A1F26DF9EED59, "override_move_with_purpose" },
    { 0x64C6C56F47F3F988, "override_nvg_with_extraction_on_dpad" },
    { 0xDE030106F2C6F145, "override_passive_wave_spawning_spawners" },
    { 0x3EE416C3248C34FC, "override_spawn_scoring_for_module_struct" },
    { 0xFD4BA340799F59B6, "override_spawner_aitypes" },
    { 0xCB55E983F770A02C, "override_supply_drop_vfx" },
    { 0xEF36645C6F85B3E2, "override_unresolved_collision" },
    { 0xE10AC4F8ACEBC03D, "override_vehicle_fx" },
    { 0x1DC0ECEFBCA3319E, "overridebroslot" },
    { 0xDE18A1F053E96C50, "overridecapturestring" },
    { 0xB05B99966273CDBF, "overridecountdownmusic" },
    { 0x5DF0B76E1D54D33E, "overridecovercrouchnodetype" },
    { 0x010ADCA8AF5D527E, "overridecrateusetime" },
    { 0xA3CAA1DD2B0F0354, "overridedeathreset" },
    { 0x764E982AA883A6E0, "overridefieldupgrade1" },
    { 0x764E9B2AA883AD79, "overridefieldupgrade2" },
    { 0x6BF2A0C54BC1FFDE, "overrideheadicon" },
    { 0x74A1093917F39845, "overridehintstring" },
    { 0x177909E282A80503, "overrideingraceperiod" },
    { 0xB10EA1D22D3857AA, "overridekillstreakcrateweight" },
    { 0x16B4D7DC94FC9991, "overrideminimapicon" },
    { 0xE93B26F69483EC1E, "overridenextstep" },
    { 0x84DBDA4F4EB77B5B, "overridepointsneeded" },
    { 0x2504BE335CEDEDAB, "overrideprogressteam" },
    { 0x84637605791E9EA9, "overrider" },
    { 0x88A38A1CE62F42A2, "overridererollstring" },
    { 0xDEECC59A799BB5C5, "overriderig" },
    { 0x84637505791E9C76, "overrides" },
    { 0x120C54E34A79456B, "overridesupportsreroll" },
    { 0x8554354A6E597377, "overridetaunt" },
    { 0xD3A7046DFCF2A00F, "overridetimelimitclock" },
    { 0xCE3968A6EED930DE, "overridevarindex" },
    { 0xCD8D697AA951B0CE, "overridevehicleseatanimconditionals" },
    { 0x671C3BCF5E034456, "overridevelocity" },
    { 0xCE4B53E5D98C8FD0, "overrideviewkickscale" },
    { 0x38E6CA51DF2932C3, "overrideviewkickscaledmr" },
    { 0xA0272D522B780670, "overrideviewkickscalek98" },
    { 0x3C60BD7CD606C377, "overrideviewkickscalepistol" },
    { 0x008C3E22E023BCFB, "overrideviewkickscalesniper" },
    { 0x41CAE01A92B3D0D4, "overridevisionsetnightforlevel" },
    { 0x6EC56924B5C78489, "overridewarningindex" },
    { 0x27B8F0326F37180E, "overridewatchdvars" },
    { 0x31CD52B9452E8F5D, "overrideweapon" },
    { 0x945B813BA06D2F32, "overrideweaponspeed_speedscale" },
    { 0xEB26973237A3DEDF, "overrun_gate_mob" },
    { 0x8E52BE83D78B7E3F, "overshoot_next_node" },
    { 0xAAFA10C0CB3D130A, "overtime" },
    { 0xD91FD62124354252, "overtime_music" },
    { 0x24A23D254BD46182, "overtimebuiltintomatchtimer" },
    { 0x863C8BAFDBABBBFE, "overtimecashmultiplier" },
    { 0xA5DFB43004A36C9E, "overtimescorewinoverride" },
    { 0xCEF25DC97721452E, "overtimethread" },
    { 0xD588CFAFF811B2E4, "overtimetotal" },
    { 0xEFFC0EF501BBE8F2, "overwatch" },
    { 0x07D85630CEAB9258, "overwatch_aim_callout_think" },
    { 0xF88DADB78D1E446E, "overwatch_boss" },
    { 0x6FA45A4741B0E371, "overwatch_camera_point" },
    { 0xCF1E6C23D94B4646, "overwatch_camera_zoom_max_delta" },
    { 0xFEFA855D9F4034F1, "overwatch_cleanup" },
    { 0xAF6E5753D4AD09E2, "overwatch_control_up_offset" },
    { 0x82422B08A7F84609, "overwatch_disengage_think" },
    { 0x4A13595E958B1F1D, "overwatch_door_locked_think" },
    { 0xBB09D0242AB2170A, "overwatch_emp_free" },
    { 0xBA216F0F36340218, "overwatch_emp_high" },
    { 0xF06B27BFC1804CD6, "overwatch_emp_low" },
    { 0x1A111ABAEC6BE23D, "overwatch_enemy_callout_think" },
    { 0xC2CB4895DFCC2B7F, "overwatch_fusebox_callout_think" },
    { 0x342657A04E46C400, "overwatch_get_target_in_circle_omnvar_value" },
    { 0xFF9E4A3DC137C2FF, "overwatch_hvt_callout_think" },
    { 0x220DAB5719314CE1, "overwatch_hvt_nag_think" },
    { 0x5A0A74439AE2FB09, "overwatch_hvt_sight_callout_think" },
    { 0x23D0AC85219CDE21, "overwatch_init" },
    { 0xCA07D05362110955, "overwatch_interaction" },
    { 0x0D9495415D145558, "overwatch_interior_think" },
    { 0xEDD76020DE92F847, "overwatch_kill_callout_think" },
    { 0xC4E74750A7A40EDB, "overwatch_landmark_callout_think" },
    { 0x28B6098607434E5B, "overwatch_noteworthy_init" },
    { 0x24482E75FC48B221, "overwatch_noteworthy_priority" },
    { 0xBA69BD61AB794546, "overwatch_obj_nag_think" },
    { 0x8F28CFF73057AB96, "overwatch_player" },
    { 0x2755FDC101489F97, "overwatch_radar_control" },
    { 0x1B335C8AD8D8B9A1, "overwatch_radio_think" },
    { 0xD1DC158C804378FA, "overwatch_request_end" },
    { 0x025501FFA4E886AA, "overwatch_request_types" },
    { 0x183F9D382DEB6FA1, "overwatch_requests" },
    { 0x147C30FD50E92037, "overwatch_screen_transition" },
    { 0x9D1CBB5D86D4DFA8, "overwatch_setup" },
    { 0x0FB134421F3511B9, "overwatch_sniper_assist_think" },
    { 0x4A9B467E84AC1645, "overwatch_soldiers_05_bombers" },
    { 0xD7AD51295A0E7F34, "overwatch_stance_think" },
    { 0x4A77E6EA3238D772, "overwatch_tank_backup" },
    { 0xFC2489C66B4532D8, "overwatch_tanks" },
    { 0x0DCDC44619D138BF, "overwatch_target_marker_group_id" },
    { 0x47127CF5E02E6611, "overwatch_transition_screen" },
    { 0x205BC5DB5B0108CF, "overwatchent" },
    { 0x20065DA53B1947FD, "ow_current_scrambler_count" },
    { 0x89BB583958954A91, "ow_gunship_slot" },
    { 0x90D9DD72E4455C98, "owner" },
    { 0x442725E66C3F3306, "owner_name" },
    { 0xAA2062D30FD623E1, "ownercaptureobject" },
    { 0xDD2304ED87BA0732, "ownerdamageenabled" },
    { 0xA62A84CF6779D28A, "ownerdisconnectcleanup" },
    { 0xC8A48F68F45CF103, "ownerdisconnected" },
    { 0xBEBA4C42C2BA9EBC, "ownerhintstring" },
    { 0xDE9A7D4DFE923485, "ownerid" },
    { 0x11EBF84A430C384A, "ownerinstancelimitmessages" },
    { 0xF3C34E987A2ABB17, "ownerinstancelimits" },
    { 0x59C17CDA55C1179B, "ownerinvisible" },
    { 0xF2EAB41ADD3F76B8, "ownerjoinedteam" },
    { 0x87782DBAC8B794AE, "ownermonitor" },
    { 0xD47EEEAC048B58D1, "owners" },
    { 0xE605FF50550F4C22, "ownersattacker" },
    { 0xB1E0021F8E1D71E1, "ownerteam" },
    { 0xEB6612CEC64B50D4, "ownerteamcaps" },
    { 0x4881845025BFBAB4, "ownerteamid" },
    { 0x0F2C92505C69D034, "ownertrigger" },
    { 0x4091CA37B13E1343, "ownerusehintstring" },
    { 0xF45F802148061742, "ownerusetime" },
    { 0xEF051DBD34856A48, "ownervehicle" },
    { 0xDCF888052E040822, "ownerxuid" },
    { 0xCCCC7AF2B9886603, "ownthenight_achievement_think" },
    { 0xD611266F792C8B84, "ownthenight_deathcount" },
    { 0xF7106D048A2732D0, "ownthenight_spawner_think" },
    { 0x5C7E3412E818A34C, "ownthenight_spawners" },
    { 0xCDCCEC78F516CDC6, "p1" },
    { 0x2CAA369962E3AD1B, "p1_intel_after_spawn_func" },
    { 0x8D69B57BA35D518B, "p1_intel_death_func" },
    { 0xCDCCEB78F516CB93, "p2" },
    { 0xCDCCEA78F516C960, "p3" },
    { 0xCDCCF178F516D8C5, "p4" },
    { 0xAA1D1AD33482ABD6, "p4_trigger" },
    { 0x5691F28B3A52E5BD, "p_ent_skip_fov" },
    { 0xC6794BB67C209C36, "p_ent_snake_cam" },
    { 0x83C2C6B8CFBE253D, "p_ent_zones" },
    { 0x877A6FB94985F219, "p_mover" },
    { 0x4AB0F3F068981DA0, "pacifist" },
    { 0x67D96F5B4F64D525, "pacifist_override" },
    { 0x4C2C9E56A97F5081, "pacifistwait" },
    { 0xC002A9EDE83821E6, "pacify_allies" },
    { 0xCBC6139EDB4649CC, "pack" },
    { 0x9D740BCDC5C0F3BC, "packarenaomnvardata" },
    { 0x59402901E05496B4, "packclientmatchdata" },
    { 0x122878DD740FB7ED, "packdamagedata" },
    { 0x8739EC243C9E9C21, "packedbits" },
    { 0xA84CA1C73C78D820, "packextrascore0" },
    { 0x6AE6E55C3B942F0D, "packs" },
    { 0x003E3EF102F10C28, "packsplashparambits" },
    { 0x84B35224F38286A6, "packstatintoextrainfo" },
    { 0x70908D436AF8126C, "pacsentrybeginuse" },
    { 0xDB649C0C73BF6857, "padcorner3to0dist" },
    { 0xFA1965C638FF0A0A, "paddedquadgridcenterpoints" },
    { 0x1D0F6993A318FD58, "paddedquadgridradius2dsq" },
    { 0x84EBAE084413565A, "padding" },
    { 0xB09219164C302D6E, "padding_damage" },
    { 0xCBB5099EDB342972, "page" },
    { 0xD6D67EF9B55BEEBD, "paidout" },
    { 0xCBF2109EDB76A999, "pain" },
    { 0x032D7DD3212376D7, "pain_can_use_handler" },
    { 0x618BD5D0758AF6E9, "pain_management" },
    { 0xF882C22B5A651F91, "pain_protection" },
    { 0x3285154D07E475DA, "pain_protection_check" },
    { 0xBA5850B6FC31F0B9, "pain_setflaggedanimknob" },
    { 0x76C809BBB72E63EB, "pain_setflaggedanimknoballrestart" },
    { 0x2638096C856E3E90, "pain_setflaggedanimknobrestart" },
    { 0x7B6E26A0180786D2, "pain_test" },
    { 0x2EB1C5E0B9947856, "pain_threshold_watcher" },
    { 0x4F58D370D5450C79, "pain_vo" },
    { 0x35BD4BC0FFF5A633, "painai" },
    { 0xE53D7CD80D74CB3B, "painanimfaceenemy" },
    { 0x71ECEB22A1864B9A, "painattacker" },
    { 0xEF532F84647D4531, "painbreathloopsplayed" },
    { 0xAB6D3D66A68DECEE, "paincanend" },
    { 0xEAEDFD5E0EF18DB4, "paindamage" },
    { 0xB343870202A33838, "paindeathnotify" },
    { 0x6E65BB0FF6F7355F, "painhandler" },
    { 0xA07FE64D7794053C, "paininternal" },
    { 0xFA624E72CA619A19, "painloc" },
    { 0xA4B78515F929FADB, "painoldturnrate" },
    { 0xA2EF94C40DC00E9A, "painonstairs" },
    { 0x65B598BA3BF605E5, "painpitchdifftolerance" },
    { 0xBBD217776CA55808, "painsize" },
    { 0x7976341B4925B620, "painsound" },
    { 0x163FC2BB313945E2, "paintadd" },
    { 0x87942B7276B01DF6, "painted" },
    { 0x2A4E6D92743A8901, "painter_clean_me" },
    { 0xD10D538304620A37, "painter_init" },
    { 0x66BE006E3F87EBAD, "painter_initvars" },
    { 0xF85E909F14CAF57D, "painter_max" },
    { 0xD37E6D835D399674, "painter_player" },
    { 0x5464659A3D960D62, "painter_startgroup" },
    { 0x8A3507BB862FC510, "paintime" },
    { 0x6719C81D95BEF0CA, "painvision_replacement" },
    { 0x4729E2D36EF1B42A, "painvisionoff" },
    { 0xB65223104A5063B0, "painvisionon" },
    { 0xA558DA48A0916FD9, "painyawdiffclosedistsq" },
    { 0x491CBEAA73A1657C, "painyawdiffclosetolerance" },
    { 0xDBDA205AA70DADEF, "painyawdifffartolerance" },
    { 0xF0C43F3C3D173C59, "paired_lasers" },
    { 0xB81A9288E3945DA6, "palfa_lights_thread" },
    { 0x723037A187FE33ED, "pallet_light_lerps" },
    { 0x8C74E48148133BED, "pallet_lights" },
    { 0xF586EF795277CACC, "pallet_scriptables" },
    { 0x3D3723DBE8721094, "pallet_smash" },
    { 0x296C5C4172569FF4, "palm_tree_swap" },
    { 0x9DB93F99323CA713, "palm_tree_swap_02" },
    { 0xA25DF9E94601D9E7, "palm_trees" },
    { 0xD3274A6B3DC9903A, "palm_trees_init" },
    { 0x2BF0EAF6211072F7, "palmtree_notify_delay" },
    { 0x639C6D2F883DA68B, "panelwidth" },
    { 0xB1D9C40302A99A72, "pap" },
    { 0x19A5DAC64BE74D43, "pap_1_camo" },
    { 0xB3DBFAF0A4E34870, "pap_2_camo" },
    { 0x2F4355F31AE8840A, "pap_firsttime" },
    { 0xB6B5E92C3D071E46, "pap_gesture" },
    { 0xEE68D72C78D113F2, "pap_gesture_anim" },
    { 0xC1AABCAD67180EBF, "pap_max" },
    { 0x2F82E5763A40101F, "pap_room_func" },
    { 0x116842A1338C336E, "pap_unlocked" },
    { 0xF3FB750E8AD7B0D3, "paping_weapon" },
    { 0x596DB1B019CAB6B8, "para_groups" },
    { 0x5E7663BB6EBFE3F8, "parachute" },
    { 0x26F65FE831E4F079, "parachute_audio" },
    { 0x8C3FA13CF6D06ABE, "parachute_deploy" },
    { 0x151B4AF140C7842F, "parachute_get_path" },
    { 0x007CFF43C596C3B3, "parachute_idle" },
    { 0x164260EA9BA6ECED, "parachute_idle_internal" },
    { 0xB9F50B1F6F05B60B, "parachute_land_origin" },
    { 0x5E6C11E3AE0F0FD4, "parachute_move" },
    { 0x1589791F1C46E9F2, "parachute_set_spawn_values" },
    { 0x638037272120128C, "parachute_skydive" },
    { 0xF8841451D56664B8, "parachute_spawn" },
    { 0xE761A7D0155C62A1, "parachute_weapon" },
    { 0x5567A09E2F6FD773, "parachuteautoopen" },
    { 0x116132AA3EC0291E, "parachutecancutautodeploy" },
    { 0xB6B69DCAB8EE5C59, "parachutecancutparachute" },
    { 0x6C1DB9E7176612C4, "parachutecleanup" },
    { 0x9C30CA6FB38E437F, "parachutecomplete" },
    { 0xB1F62435BA52FF02, "parachutecompletecb" },
    { 0x84A08C44FAEF3D28, "parachutecompletedefault" },
    { 0x066EF024C00E620D, "parachutedamagemonitor" },
    { 0x8B01E91422C0B74A, "parachutedeploydelay" },
    { 0x13F47A42C3BA51DC, "parachuteendtime" },
    { 0xC2905819FA2B179C, "parachuteinitfinished" },
    { 0xD0102D803E7664BC, "parachutemidairdeathwatcher" },
    { 0x33489BE69CB24101, "parachuteopencb" },
    { 0x23F22A717FA9F0FD, "parachuteopendefault" },
    { 0x517EE65334C2248B, "parachuteoverheadwarningheight" },
    { 0x451B2941962C16D1, "parachuteoverheadwarningprematchtimeoutms" },
    { 0xC836F9D25E0AAC76, "parachuteoverheadwarningradius" },
    { 0x6B669D0B76D3405B, "parachuteoverheadwarningtimeoutms" },
    { 0x436CCB0E2F7F9139, "parachuteprelaststandfunc" },
    { 0x3315119B433256D3, "parachuteprelaststandfunction" },
    { 0x03125288F5006D4E, "parachuterestoreweaponscb" },
    { 0xD78EBBEE53FFF61D, "parachutestate" },
    { 0xE19A49A68CDBFCC9, "parachutetakeweaponscb" },
    { 0xAFD6D62CA78472D1, "parachuteupdater" },
    { 0xCD42692F2C270239, "parachutewatchimpact" },
    { 0x724E25988B0B84F3, "parachuting" },
    { 0x77BE325B8A9C826E, "param" },
    { 0xF3CB1E51D632B6ED, "param1" },
    { 0xF3CB1B51D632B054, "param2" },
    { 0xF3CB1C51D632B287, "param3" },
    { 0xF3CB1951D632ABEE, "param4" },
    { 0xF3CB1A51D632AE21, "param5" },
    { 0xF3CB1751D632A788, "param6" },
    { 0xF3CB1851D632A9BB, "param7" },
    { 0xF3CB1551D632A322, "param8" },
    { 0x633E4CCA00C688B7, "paramarray" },
    { 0x13FE54CBBDD275C7, "paramreflist" },
    { 0xF3CADC51D63225C7, "params" },
    { 0x45853D0A0FD0B3A5, "params_default" },
    { 0x3337A1414E1310B7, "paratrooper_logic" },
    { 0xF69FA61B6C6C0220, "paratrooper_spawnfunc" },
    { 0xB9C2B78624D963DC, "paratrooper_vo_time" },
    { 0x0A8161E2F5D35548, "paratroopers_allowed" },
    { 0xB7663751A90F4C31, "parent" },
    { 0x959DA95A47D10792, "parent_bombpuzzle" },
    { 0xDAB575DF069E132D, "parent_menu" },
    { 0x53818EE2C8AD1C8C, "parent_spawner_disable_after_count" },
    { 0x949D33E5DC1D2D4F, "parent_struct" },
    { 0x2F07F3E4CF798137, "parent_wire" },
    { 0x9B0DEBC0B0DA321D, "parentangles" },
    { 0x044B59D6223029D8, "parentchannel" },
    { 0x7F9AEBE73A3551F6, "parentencounter" },
    { 0x7A59C972682263E8, "parentgroup" },
    { 0x1D0339BB36CD26A7, "parentindex" },
    { 0x6AF48EB6F74E832A, "parentname" },
    { 0x3E0E25CB3E1FB985, "parentpos" },
    { 0xAE4C55A7F373CA3D, "parentspawnstruct" },
    { 0x3BF4275FE8A630A2, "parentstate" },
    { 0x3D3BDF36E186A4B4, "parentstruct" },
    { 0x7A1EE5CB6AE5F787, "parenttag" },
    { 0xBB10EA47E0A98CD8, "parenttripwires" },
    { 0x64D38147240EDD0D, "parentweapon" },
    { 0x7789565B8A624C86, "parm1" },
    { 0x7789555B8A624A53, "parm2" },
    { 0x7789545B8A624820, "parm3" },
    { 0x77895B5B8A625785, "parm4" },
    { 0x7789145B8A61BB60, "parms" },
    { 0x78C8E3CF56F924D8, "parse_consumables_table" },
    { 0xDFAFEF1B2C9A1A15, "parse_eog_tracking_table" },
    { 0x82B49A4B0E079885, "parse_noteworthy_values" },
    { 0xEEA06716FEEB57E9, "parse_vo_table" },
    { 0x1359FF0A4FD4728D, "parse_weapons_table" },
    { 0x52BFB3E71DD2FA60, "parseattachdefaulttoidmap" },
    { 0xF7BAC752944B8D14, "parsed" },
    { 0x2CED5B0B77704152, "parseflagassignmentstring" },
    { 0x1BCEB3974E72A081, "parsehackingtable" },
    { 0x3C8ACCBB8F9EFB17, "parsehelipathlength" },
    { 0xABCA033DD1312CB5, "parselocationaliases" },
    { 0x11D858332DDFF80C, "parseobjectivestable" },
    { 0x264D0936407D9F7F, "parsepathlength" },
    { 0x9A0B6BC0FFE6B65C, "parserelicstable" },
    { 0x063BCE76E2D3674E, "parsestreaktable" },
    { 0xCB7C249EDAF5E9E8, "part" },
    { 0x28D84B77A1EA09D8, "part_main" },
    { 0x18CDAE5A9A20D0E5, "partenum" },
    { 0x5A85E84276A5ED9E, "parthealth" },
    { 0xC6402B1EE889D5A1, "partialgestureplaying" },
    { 0x8C202AA14D0D3670, "participantplunder" },
    { 0xC041E31D83C6D75B, "participants" },
    { 0x3F8ADEF894914BD2, "participantweaponxp" },
    { 0x979E9AE8CE28CBB2, "participantxp" },
    { 0x49F3FB8B783A8B1A, "participation" },
    { 0x8ABBDE20E87AE2F0, "participation_point_cap" },
    { 0x13E0C1C7C9079C55, "participation_point_flattenovertime" },
    { 0x3308DACCB4F1FC44, "partindex" },
    { 0x963AEEB427D1794B, "partname" },
    { 0x35142E3391AD9628, "partnames" },
    { 0x1470AD6C0FFE2D69, "partnamesview" },
    { 0xD4DCA2F5DCACB045, "partner" },
    { 0x76FBBF81F18F48C5, "partnerheli" },
    { 0x77EE245B8AD0BFE1, "parts" },
    { 0x11180E4F529860E4, "parts_map" },
    { 0xCB802B9EDAF9EF24, "pass" },
    { 0x4E4ACB6FFE65E4F3, "pass_dialoguelogic" },
    { 0x118A0AD28D26ADAC, "pass_dot" },
    { 0x7A9F0653ECBADC21, "pass_enemiesdialoguelogic" },
    { 0x6BCCC5DE3E21C37B, "pass_enemieslogic" },
    { 0x1F56F6D4DFD7FA9B, "pass_enemydoglogic" },
    { 0x9E3F480509D6F302, "pass_farahpathlogic" },
    { 0xC32B3350B1C7936C, "pass_icon" },
    { 0x1451AF7B932A2DB6, "pass_icon_offset" },
    { 0x774079B0D7CE3604, "pass_main" },
    { 0xE9E7FDC3B407910A, "pass_or_throw_active" },
    { 0x20640884717BEB84, "pass_spawnenemies" },
    { 0xBACA3CCF571DA193, "pass_start" },
    { 0x61871590560C1814, "pass_target" },
    { 0x22D7E674371E1406, "pass_vehicleslogic" },
    { 0xBCD0BD65BD0ADD15, "passed" },
    { 0x7AAB9F7DD0E0DEE4, "passed_2" },
    { 0x858436626B40034E, "passed_all_sky_traces" },
    { 0xD2C2A558B50BCEAC, "passed_kill_off_time_checks" },
    { 0xB859B23AE5D3B817, "passenger" },
    { 0xA6ACD269B4D145F0, "passenger_2_turret_func" },
    { 0xBD2AE69E10898451, "passenger_shooting" },
    { 0x40FB5B87709E83EC, "passengers" },
    { 0x2422599270C0A6A8, "passes_final_capsule_check" },
    { 0xE23E68486AEDD789, "passes_forward_check" },
    { 0x00558E90DF60F424, "passive_kill_off_ai" },
    { 0xC14FB3B7FC89EC3C, "passive_kill_off_loop" },
    { 0xC92E74CA51E7BE2A, "passive_melee_kill_damage" },
    { 0x708307F1490A5CFD, "passive_regen_on_kill_count" },
    { 0x93EE6CF7AFD228DE, "passive_visor_detonation_activate" },
    { 0xB25A3C7B6920AE7E, "passive_wave_settings" },
    { 0x2D8B8430BAD48378, "passivedeathwatcher" },
    { 0x9926BDD1B3836B76, "passiveindex" },
    { 0x930DD1021CA7AC0C, "passivemap" },
    { 0xE2B7578F4B3CCBCE, "passivenukekillcount" },
    { 0x663B1F191EB4ADDF, "passiveparsetable" },
    { 0xF0A21B2A04331C55, "passiverandomperkskillcount" },
    { 0x321CE7981B390983, "passives" },
    { 0x4132C7FFA581CB64, "passivestringref" },
    { 0x00FC495CE8964CD2, "passiveuses" },
    { 0xD4E840BECEB1C448, "passivevalues" },
    { 0xFADC0C8C43F583AB, "passoutthreshold" },
    { 0x7CF61848632CD5A1, "passouttime" },
    { 0xEDAED270923A5C19, "passplayer" },
    { 0x0E650ABD85B14D02, "passtargetent" },
    { 0x10A3B4ACC984A190, "passtargetoutlineid" },
    { 0xF3AC96DCE5BF3365, "passtime" },
    { 0xCDC3930222475EC7, "past_loc_think" },
    { 0xEDB98F76E60B6C6D, "past_locs" },
    { 0xC75CBC96FC6AC967, "paste_ents" },
    { 0x9AE6B003A9A3293E, "pastmarkedentindex" },
    { 0xB32DA130406C25BB, "pastmarkedents" },
    { 0x9BAFE8F41FC2734C, "pasystems" },
    { 0x4026DE4171057140, "patch_collisions_crates" },
    { 0x4F573157BE30EB4F, "patch_ent_fixes" },
    { 0xE73DC61D7FAE21BB, "patch_far" },
    { 0xCB2D1E394224A265, "patch_far_notify" },
    { 0x47C924A30D2A20AD, "patch_far_wait" },
    { 0x862CF65CAB790B83, "patch_mansion_holes" },
    { 0x7454811D2BDDFEC8, "patch_new" },
    { 0xB3D6ED277937BFCE, "patch_new2" },
    { 0xB3D6EE277937C201, "patch_new3" },
    { 0xB3D6EF277937C434, "patch_new4" },
    { 0xC1185D953E450EE7, "patch_self_check" },
    { 0xE9671080D27984B3, "patch_wait" },
    { 0x066EF070D9781146, "patch_wait_frameend" },
    { 0x0AB9185EF4CBD769, "patch_weapons_on_rack" },
    { 0x746BADD15F848F36, "patch_weapons_on_rack_cleararea" },
    { 0x6EBFAFA75389740E, "patchable_collision" },
    { 0x71567996FE3FD3C3, "patched_collision" },
    { 0x50438EA6D2E251A8, "patchfix" },
    { 0xE78387FFA0AF5D8D, "patchoutofboundstrigger" },
    { 0xCB73149EDAEBA80A, "path" },
    { 0xB4419013C7774061, "path_blocked" },
    { 0x58A2219EE2E6ED3D, "path_changed" },
    { 0xF15E97316D61B4B8, "path_claimed" },
    { 0xC91EB3BDDD64D277, "path_data" },
    { 0x91057CF5D67CC611, "path_data_ordered" },
    { 0x4F903D10035FD1E7, "path_dir_change" },
    { 0xA37C403FB3FEC4AD, "path_enemy" },
    { 0x48C2A2ECE1017492, "path_getcurrentnode" },
    { 0x63E6DD744E13DC13, "path_getcurrentnodetime" },
    { 0x500195D73665141F, "path_getcurrenttime" },
    { 0x1A48A6AE79087E98, "path_gobbler" },
    { 0x786C76AAEE032D95, "path_jitter" },
    { 0xF0E4F60551699425, "path_loop" },
    { 0xDD375D283416B883, "path_need_dodge" },
    { 0xD2FB858C833F4B44, "path_node_debug_info" },
    { 0x30A6C268C25CFBB4, "path_node_table" },
    { 0x45134307EDBE73F4, "path_nodes" },
    { 0x3EEEBE9066FB65FC, "path_points" },
    { 0x7E4D9DE9720626ED, "path_positions" },
    { 0x3535F84ECD95DC35, "path_set" },
    { 0x72FD4A32D0CA7069, "path_start_points" },
    { 0xA0727BCF3637FFC9, "path_think" },
    { 0x2E20E9E6B609E9C2, "path_timeout" },
    { 0x3016C76A9F4541EC, "path_vector" },
    { 0xB1671570C291CECB, "patharray" },
    { 0x3373B0F6477A6A01, "patharrayindex" },
    { 0x66F4017781321144, "pathblocker" },
    { 0xE38335C7C5323E09, "pathdataavailable" },
    { 0x79B8B5E39F0C1C51, "pathdir" },
    { 0xBD503A96C79E171E, "pathdist" },
    { 0xAD41EEAE8A5EEACC, "pathdisttogoal" },
    { 0x4748755FDFBAE656, "pathduration" },
    { 0x2409615643655AB0, "pathenemyfightdist" },
    { 0xF42AB0F236F893D6, "pathenemylookahead" },
    { 0x348D87B571966802, "pathexit" },
    { 0xE6F696850A0F5AE5, "pathgoal" },
    { 0x80A58580F25AFF29, "pathgoalpos" },
    { 0xFC371B0EF83C01E0, "pathing_array" },
    { 0xE93214EBEBF77649, "pathing_arrays" },
    { 0xE6162850744D6AE1, "pathing_index" },
    { 0x64633C5289A6920D, "pathpending" },
    { 0x754F61E15B9C21FD, "pathpoints" },
    { 0xBE3066DE35DBE0FA, "pathrandompercent" },
    { 0x33CAC73DAB9B2E0E, "pathrandompercent_reset" },
    { 0x011E5E5784B78C05, "pathrandompercent_set" },
    { 0x3D2E57D50BCD0AA1, "pathrandompercent_zero" },
    { 0x59BED25B7443821B, "paths" },
    { 0xE4178AE983BFC358, "pathsdisconnected" },
    { 0x1393411DA36489D5, "pathsighttestfast" },
    { 0xCD00CC5C37ADE48B, "pathsmoothmultiplier" },
    { 0x27F83B94BA01E432, "pathstart" },
    { 0x0B190DE7596FA16F, "pathstruct" },
    { 0xE3AAD041006D0093, "patrol_a" },
    { 0xE3AAD141006D02C6, "patrol_b" },
    { 0x8759B3B6910167FA, "patrol_chooseanim_custom" },
    { 0x577317E9B21913F2, "patrol_chooseidlereact" },
    { 0xE3D2E0BD87929F5D, "patrol_choosestationaryturnanim" },
    { 0xCEC969E80B76671D, "patrol_custom_face_angle" },
    { 0xEA2FBDB9E4257C63, "patrol_enemy_watcher" },
    { 0xDDBACE902CD6395C, "patrol_finisharrival" },
    { 0xF336C26FDDC8D5EE, "patrol_flag_wait" },
    { 0x7BC997E711905385, "patrol_getcustomfunc" },
    { 0x54335B1A47C74648, "patrol_getstationaryturnangle" },
    { 0x92287A81C76DAFDA, "patrol_hascustomanim" },
    { 0x36F681E6D8BFA70A, "patrol_hasflashlightout" },
    { 0x96898BCF8371733F, "patrol_idle_callcustomcallback" },
    { 0x83401EE20F58FB71, "patrol_idle_cleanup" },
    { 0x3CD25CAE0BC31007, "patrol_idle_custom_cleanup" },
    { 0xC399D94439B1E1DF, "patrol_idle_custom_init" },
    { 0xC2C3231E6159AF33, "patrol_idle_getcellphone" },
    { 0xC327EB206977AF7F, "patrol_idle_getnotehandler" },
    { 0x6DC6EA457C0771A1, "patrol_idle_init" },
    { 0x2C12165B3E8013D3, "patrol_idle_istype" },
    { 0xA3C14C59C5025A83, "patrol_idle_setupreaction" },
    { 0x9A3BA5CB6005304E, "patrol_idle_shouldabort" },
    { 0x547C2BC2B2C19D3B, "patrol_idle_shouldreact" },
    { 0x87AA0E317B58BC26, "patrol_idle_shouldsittingabort" },
    { 0x02D3B3631D2A505B, "patrol_idlesitting_checkforcoverarrivalcomplete" },
    { 0x5E056FC71898C69F, "patrol_in_stealth" },
    { 0x9C1C50E87297B5EC, "patrol_iscustomanimdefaultvalue" },
    { 0xE736879C71AF1760, "patrol_isidlecurious" },
    { 0x43426EB747CB41D3, "patrol_isnotidlecurious" },
    { 0x2BDDF366EDC89F62, "patrol_magicflashlightdetach" },
    { 0x6004F0118B2DC060, "patrol_magicflashlighton" },
    { 0x10938FCC111F3076, "patrol_moveplaybackrate" },
    { 0xBB02F9DE8928FBB1, "patrol_movetransition_check" },
    { 0x70A4FE93BB3C4ABF, "patrol_needtostopforpath" },
    { 0x6ADAFC773BDA4E98, "patrol_needtoturntohuntlookaround" },
    { 0x4373196B231206A7, "patrol_notehandler_cellphone" },
    { 0x6021E20B3EBA9A07, "patrol_notehandler_drinking" },
    { 0xC42720B7C0FBB3F9, "patrol_notehandler_smoking" },
    { 0x3E400027992B291B, "patrol_nothasflashlightout" },
    { 0x7FF55B40C17730B3, "patrol_notshouldinvestigatelookaround" },
    { 0xE60A43668DC572A7, "patrol_one_go" },
    { 0x1E4D2FB966715207, "patrol_path" },
    { 0xF3AE74467CCF58DB, "patrol_playanim" },
    { 0x8A9996E46FBB6996, "patrol_playanim_idle" },
    { 0x394CA35E26740CAC, "patrol_playanim_idlecurious" },
    { 0x0078E2415A883713, "patrol_playanim_idlecurious_facelastknownhelper" },
    { 0xA808694422C5321F, "patrol_playanim_idlestationaryturn" },
    { 0xF06356BF1E76EB13, "patrol_playanim_pulloutflashlight" },
    { 0x48FCD62D5ABBA649, "patrol_playanim_randomrate" },
    { 0x3EB4D57B8056FD26, "patrol_playdeathanim_sitting" },
    { 0xE7E28820051236AA, "patrol_playidle_custom_terminate" },
    { 0x70047287C6C76A29, "patrol_playidleend" },
    { 0xE336F745CA555CA9, "patrol_playidleend_custom" },
    { 0x4AFD9C7A2C47D2E6, "patrol_playidleintro" },
    { 0x1455D67FF57083A8, "patrol_playidleintro_custom" },
    { 0xF8251B401DF7FAEA, "patrol_playidleloop" },
    { 0x462A7A004526895C, "patrol_playidleloop_custom" },
    { 0x1A72D300AED22B5B, "patrol_playidlereact" },
    { 0x79233D90F0C813C7, "patrol_playidlereact_custom" },
    { 0xFF6F291A0B5E83B2, "patrol_playidlesittingloop" },
    { 0x87C33A1750C6D489, "patrol_playidlesittingloop_cellphone" },
    { 0xCB0FCAAD7C0B40B1, "patrol_playidlesittingloop_cleanup" },
    { 0xD57BE745B79E90EB, "patrol_playidlesittingloop_laptop" },
    { 0x72BD6E012B108B71, "patrol_playidlesittingloop_pistolclean" },
    { 0x34F47379A6436DA9, "patrol_playidlesittingloop_prop_cleanup" },
    { 0x7BA3A3BCB084AEC6, "patrol_playidlesittingloop_sleeping" },
    { 0x614F3DFBFF6C175D, "patrol_playidlesittingloop_sleeping_cleanup" },
    { 0x8B73AC8C9DBA78E3, "patrol_playidlesittingreact" },
    { 0x0E507DFBCA1AB942, "patrol_prop_cleanup" },
    { 0x37A2D49827C780C5, "patrol_prop_delete" },
    { 0xB2EF541E6D8F9815, "patrol_prop_waitfordelete" },
    { 0xB9E73B6EE7B80546, "patrol_radius" },
    { 0x568E07D1A4063860, "patrol_react_last" },
    { 0x605888356F7FF7AE, "patrol_react_magnitude" },
    { 0x83A2288E715310CA, "patrol_react_pos" },
    { 0x04B542A535611429, "patrol_react_time" },
    { 0x60B72FC21E9458A0, "patrol_reactendswithmove" },
    { 0x85C45335DD284F58, "patrol_return_offset" },
    { 0xFE32BB6199C92740, "patrol_shouldarrival_examine" },
    { 0x9D27AE10D064C845, "patrol_shouldcombatrereact" },
    { 0x07692FE7B8B41B9F, "patrol_shoulddostationaryturn" },
    { 0x14AA508604B3A19C, "patrol_shouldidleanim" },
    { 0x79AA84C4F4FBD8AC, "patrol_shouldinvestigatelookaround" },
    { 0x7CFE3C617C0B75A6, "patrol_shouldpulloutflashlight" },
    { 0x121368D9B4DB749C, "patrol_shouldputawayflashlight" },
    { 0x95FBDA315CB1DF96, "patrol_shouldreact" },
    { 0x95B54E5AD5575433, "patrol_shouldusehuntexit" },
    { 0x80A62918C1F98278, "patrol_smoking_blowsmoke" },
    { 0x876467911B752489, "patrol_smoking_cleanup" },
    { 0xDEACC35D2A791BE6, "patrol_spawn_func" },
    { 0xE235AAF46D3089B5, "patrol_state" },
    { 0xFCB344F5096F1436, "patrol_state_text_handler" },
    { 0x9E1E4BA9C6D7D90D, "patrol_stationaryturnfixupthread" },
    { 0x34DBEAFDB4C09C58, "patrol_stop" },
    { 0x34722CF8A95E82A8, "patrol_think" },
    { 0x9082810C58617A56, "patrol_using_cover_nodes" },
    { 0xE447467BA7929401, "patrolfield" },
    { 0x8EEC9AB249F352DD, "patrolfunc" },
    { 0xF6F04DCAC4FB82A3, "patroller_final_vol" },
    { 0x2ECDFF8BD57AE1B8, "patrollocation" },
    { 0x430D3ECCBF7352ED, "patrolparams" },
    { 0xF93D990A497C14FD, "patrolradius" },
    { 0x79E077CDFD66D682, "patrolreact_terminate" },
    { 0xF2CAEECECBFE5B53, "patrolscore" },
    { 0xDA657AD429FB01E4, "patrolshouldstop" },
    { 0xA1EA84DDE1BC26C2, "patroltarget" },
    { 0x848BACDE5D78310D, "patrolzone" },
    { 0x054D5B3B97BF1B3D, "pattern" },
    { 0x6F1A5D142B90997D, "pause_all_other_groups" },
    { 0xFF8BFBDBD7C82D56, "pause_auto_respawn" },
    { 0x5AC481D3D7504934, "pause_between_vo" },
    { 0x88D48AE9EEC2BC47, "pause_chatter" },
    { 0x5072BAADABEF51BF, "pause_combat_logic" },
    { 0x0BA10189FC1CEF91, "pause_count" },
    { 0x061D8F04EDDC2AD5, "pause_flag_monitor" },
    { 0xFB09D19F46697E8B, "pause_globalthreat_timer" },
    { 0x4126CA8E47F9BF0F, "pause_group_by_group_name" },
    { 0x9842C1B980A2E41D, "pause_group_by_id" },
    { 0xA8B1CD36226765ED, "pause_hacking" },
    { 0xF58E62A133CCFC6A, "pause_nag_vo" },
    { 0x3D0630479597201F, "pause_remind" },
    { 0x76F4292E35368DE5, "pause_reminders" },
    { 0xF6028D0AD76B7294, "pause_spawner_scoring" },
    { 0xD4E1AA339B7619FB, "pause_time" },
    { 0xA262D87EE4BA284B, "pause_timer" },
    { 0x0C3947B0B22CC1F3, "pause_turbulence" },
    { 0xB71AE5C2D6151853, "pause_vo_system" },
    { 0x460CC3D79590342D, "pause_wave_hud" },
    { 0x54B8A7F0922F1B57, "pauseallgulagfights" },
    { 0x2F9F5731DEDF81F1, "pauseballtimer" },
    { 0x0F6145A54AB9811F, "pausecinematicingame" },
    { 0xA4E63C720B94C8D5, "pausecountdowntimer" },
    { 0x3D41513474C1A05F, "paused" },
    { 0xA16464A95A1C6058, "pauseeffect" },
    { 0x764D833F11409FC0, "pauseexploder" },
    { 0xCD260A6B37797FFB, "pausegulag" },
    { 0xBA9453075A6C9445, "pausemax" },
    { 0xC19391AC84F85634, "pausemayhem" },
    { 0xFA03889C12878CDD, "pausemenu_think" },
    { 0xBAB75D075A92F1FB, "pausemin" },
    { 0x49E24EAEE4A3707F, "pausemodetimer" },
    { 0x601344A0BE64547A, "pausepath" },
    { 0x8808CB4EABB2F0DA, "pausescoring" },
    { 0x18AC3ECB4F39630C, "pausesuperpointsovertime" },
    { 0x5894C77D2DA11B83, "pausetacopscounter" },
    { 0x83F236F8ADAB36A4, "pausetacopstime" },
    { 0xD8E5BAE5EF8998A2, "pausetacopstimer" },
    { 0x160F37D62FA80CE9, "pausetacopstimestarted" },
    { 0x248F134167B8B23E, "pausetimer" },
    { 0xABDF40B4651242CD, "pausetimerecord" },
    { 0x089184AF9E4F6678, "pausing_bot_connect_monitor" },
    { 0xE623AF260B75EFA1, "pavelow_boss" },
    { 0x1A2F437880494C23, "pavelow_boss_after_hit_by_emp" },
    { 0x8DBE9D56482C7917, "pavelow_boss_crash_sequence" },
    { 0x76CBA0B51BD20F3E, "pavelow_boss_damage_func" },
    { 0x468A1648DF72E22D, "pavelow_boss_destroyed_watch" },
    { 0x827FB865184423D4, "pavelow_boss_explodes" },
    { 0xB8794B2CD8297662, "pavelow_boss_health_bar" },
    { 0xDBD9E435CE206618, "pavelow_boss_hit_by_emp" },
    { 0x381C742D4C666F3B, "pavelowmadeselectionvo" },
    { 0xCA6852D5E3B029A1, "payload" },
    { 0x5266A19E78924765, "payloadspawnsets" },
    { 0x92D72D017E12515E, "payoutbet" },
    { 0x041C4BCC3D666B39, "payoutremainingbets" },
    { 0xF3B40F09D3B7F4A3, "pbexploitstarttime" },
    { 0xCDCD3A78F5177950, "pc" },
    { 0x8373BF780760D170, "pc_force_fov" },
    { 0xEBA6993CFDAACB9A, "pe_chopper_zones" },
    { 0xCDBAE9DDCE38A784, "peeklooktimer_canstarttime" },
    { 0x14D2F24D66F35A9D, "pelletdmg" },
    { 0xF96527EDF638E271, "pelletdmgpassed" },
    { 0x6547DE0B429A353F, "pelletweaponvictimids" },
    { 0x379FFBA901B973FC, "pelvis" },
    { 0x8E7E002919A2EE2B, "pendingarchiverequest" },
    { 0x774A2073BB59DD49, "pendingtimer" },
    { 0xC4B743EC0EDA95D2, "pentadvanced" },
    { 0x822A57962950E3FC, "pentadvancedoptions" },
    { 0x76CDA0E35A5FA7BA, "pentdelaysetmodel" },
    { 0x865EF1B03BF5527D, "pentmodel" },
    { 0x9CC7D4EFBCF3DE36, "pentparams" },
    { 0x68F7F834CEB15E57, "pentparamsdefined" },
    { 0x6CC58AA98BBC4D86, "pentskipfov" },
    { 0x3F024DF64D9D96E3, "pep_talk_breakout" },
    { 0xB3080EF296DF3ACE, "pep_talk_reach_and_idle" },
    { 0xBBF68C24CD8D0D3B, "peptalk_counter" },
    { 0x8F60960DFABB0013, "per_regen_amount" },
    { 0x0B8375F41083F26C, "percentageplunderdrop" },
    { 0xC1E0EF00CE6058C6, "percentagetokensdrop" },
    { 0x0DB6974E5CB802CF, "perfect_player_info" },
    { 0x1650AC836DD0C2BE, "perfectenemyinfo" },
    { 0xF182EF4184E3323A, "perferred_crash_location" },
    { 0x1B4F112D957026EE, "perform_courtyard_breach" },
    { 0x72E1DDAE2C44F95E, "perform_fixes" },
    { 0xBA237CF049A5DFA9, "perform_state_change" },
    { 0xF74AF93EDEBC1E67, "performfailsafeinfil" },
    { 0x65B621ECF267571B, "performoperation" },
    { 0x453069A93D9A8659, "perimeter_light_ondeath" },
    { 0x5E26DFC225335DC9, "period_max" },
    { 0x5E03F1C2250D3DA7, "period_min" },
    { 0x3DD852CB4BC57EC3, "periodic_ac130_strikes" },
    { 0xDEA24E53C884B512, "periodic_airstrikes" },
    { 0x08F2A4E2B21CAA60, "periodic_sound_events" },
    { 0x755912C4B97858A5, "periph_traffic" },
    { 0x402A92D786B7BB63, "periph_vehicle_driver" },
    { 0xC3BAA7FDF0D4DA1C, "periph_vehicle_driver_delete_handler" },
    { 0xE5DE0DB8BE3461DE, "periph_vehicle_loop_new" },
    { 0x072BCF9F07510E41, "perk" },
    { 0xDAA7C1E86FDD2FBF, "perk_adsmarktarget_check" },
    { 0x554618A9E159B65E, "perk_adsmarktarget_confirmtargetandmark" },
    { 0xB72624F3DB6E9B93, "perk_adsmarktarget_think" },
    { 0x4ECA3F5400D39B43, "perk_adstargetmark_disconnectcleanupthink" },
    { 0x490ED8FAB03DCC8A, "perk_data" },
    { 0xAF20BE014295F70D, "perk_doorsense_othersideofdoorcheck" },
    { 0x3DAF5775B04D8B5D, "perk_doorsense_outlinedoor" },
    { 0xDC2B6E913F04FBE7, "perk_doorsense_outlineenemies" },
    { 0x52F676DEC69807F6, "perk_doorsense_trackoutlinedisable" },
    { 0x5AF4C0A4D007EB64, "perk_doorsensethink" },
    { 0x404C77C1BB7ED8DB, "perk_getbulletdamagescalar" },
    { 0x4A92640E344D36FC, "perk_getexplosivedamagescalar" },
    { 0x7728099AD2DEC39E, "perk_getmaxhealth" },
    { 0x41D64D2FC1033E56, "perk_getmeleescalar" },
    { 0xC7B0C822458D6A86, "perk_getmovespeedscalar" },
    { 0xBBAB69C5A781B9E1, "perk_getoffhandcount" },
    { 0x8593D940889DB2F2, "perk_getrevivedamagescalar" },
    { 0xB17AB0EBE35CA8CA, "perk_getrevivetimescalar" },
    { 0xBBAEE1FBE933D090, "perk_init" },
    { 0x0B4F638ED3CEA129, "perk_trackadsmarktargetoutline" },
    { 0xA0D81B876963543A, "perk_type" },
    { 0x988E078DA35314F1, "perkdata" },
    { 0xD4E6B16248B56D02, "perkdiscount" },
    { 0x47C19E7F95AD2409, "perkengineer_manageminimap" },
    { 0xFC45D59D955709DC, "perkengineerset" },
    { 0x8400AE81135ACFB8, "perkfuncs" },
    { 0xD51F66D151B4762C, "perkicon" },
    { 0x336B42962804DFC0, "perkisrestricted" },
    { 0xEEA078DB85968709, "perklevel" },
    { 0x0F2588778ED467FA, "perkname" },
    { 0xCFC8103AD398796F, "perkoutlined" },
    { 0xC0C82D23D191F5B0, "perkoutlinekillstreaksset" },
    { 0xED8FD4BAC0636C3D, "perkpackage_awardperkpackageupgrade" },
    { 0x697290D7091860AE, "perkpackage_checkifready" },
    { 0x8536614A58D5CE7C, "perkpackage_checkifready_callback" },
    { 0x655EA1621DA067A1, "perkpackage_forceusesuper" },
    { 0xAA8A418B2D243986, "perkpackage_getfirstfieldupgrade" },
    { 0x144439082293E9F9, "perkpackage_getperkicon" },
    { 0xD3E700D65290F308, "perkpackage_getsecondfieldupgrade" },
    { 0x750D8D8C40287C24, "perkpackage_givedebug" },
    { 0xCDD4DB2044804586, "perkpackage_giveimmediate" },
    { 0xD88CAD2B8D048EEE, "perkpackage_giveoverridefieldupgrades" },
    { 0x86F6ACE0285F5E37, "perkpackage_initperkpackages" },
    { 0x617410D8B304DDB6, "perkpackage_initpersdata" },
    { 0x7E43D11DCB1C1FE2, "perkpackage_isreadytoupgrade" },
    { 0x75F56589440F4A60, "perkpackage_openselect" },
    { 0xD52F42E04BA3E81F, "perkpackage_reset" },
    { 0x2A19B4B2371D3108, "perkpackage_resetoverridefieldupgrades" },
    { 0x04CB92605B3507E5, "perkpackage_setstate" },
    { 0xD0786E1ED0FB30DE, "perkpackage_updateifchanged" },
    { 0xAA2F891D6989C798, "perkpackage_waitforsupercanceled" },
    { 0xB1715C14B755E580, "perkpackage_waitforsuperfinish" },
    { 0x57FAB93EF32BD601, "perkpackage_waitforsuperfinishinternal" },
    { 0xD5636A9A1994AD47, "perkpackagedata" },
    { 0xA37E9EE14AE93987, "perkpackagelist" },
    { 0x1C8A374FC2B5FCC3, "perkpackagemenu_canactivatesuper" },
    { 0x7DEB1E0516BFBBF7, "perkpackagemenu_closeinputthink" },
    { 0xACD2EDF5EAA22BF0, "perkpackagemenu_disableoffhanduse" },
    { 0x2A3F77C6E521072E, "perkpackagemenu_menuthink" },
    { 0xB6C7C650E9682EF6, "perkpackagemenu_openmenu" },
    { 0xE0050C6B040BF3E3, "perkpointsonkill" },
    { 0x510F0E1065DFB341, "perkpointspercentageplayersalive" },
    { 0xF6A51E9EFE42E1EE, "perkpointspickup" },
    { 0xC314AA64ABDF35CA, "perkrechargeequipmentplayers" },
    { 0xDFFAC7C2FF872026, "perkref" },
    { 0x1667CCBD174237F6, "perks" },
    { 0xC3F9D12099FEEF5F, "perks_suppressasserts" },
    { 0x8A6B0E7DBE3A5A52, "perksblocked" },
    { 0x9DF3E8531D3409B2, "perksbyid" },
    { 0xEF90737C28E4DCE3, "perksenabled" },
    { 0x250A7FECFACC9832, "perksetfuncs" },
    { 0x40600EEC1A4E3BB1, "perksperkname" },
    { 0xEB140D4C63E29B9B, "perktable" },
    { 0x6C1126D88E39D6B7, "perktable_add" },
    { 0x6435469017ED04E6, "perktable_costs" },
    { 0x4F502D2E4CA32D01, "perkunsetfuncs" },
    { 0x088E1F9738136E72, "perkusedeathtracker" },
    { 0xF28A58DECF52676B, "perkwatcher" },
    { 0xDBD6BB2A3B958364, "perkweaponlaseroffforswitchstart" },
    { 0xCBEE695EBA7F5C0D, "perkweaponlaseron" },
    { 0xDE48B5C4162F3CB1, "perlinnoise2d" },
    { 0x357EBEDA7F5DC3D9, "permanent" },
    { 0x6D638A192FCFD71C, "permanent_notify_handler" },
    { 0xE9C1AD8CE967EDBD, "permanentnotifyhandlers" },
    { 0x4828C8A43BFF095B, "permcapturethresholds" },
    { 0xAFB9E94692FA76A7, "permhidden" },
    { 0x316A97F4250D13F9, "permute" },
    { 0x072BB79F0750D979, "pers" },
    { 0xB6C04C755376EBB8, "pers_init" },
    { 0xC996136472D0B122, "persbombtimer" },
    { 0xBCD37BB79DADF6BE, "persclear_stats" },
    { 0xD0F63ABB7DA2FD92, "persincrement_weaponstats" },
    { 0x499613AFB674D7FA, "persistantgametypeteamassign" },
    { 0x7848080BF12E2B9C, "persistence_weaponstats" },
    { 0xF5DB8D6552713814, "persistent" },
    { 0xB47AE57CD6380755, "persistentbombtimer" },
    { 0xC7B480D64D00E664, "persistentcallbacks" },
    { 0x55719D672197D9C0, "persistentdatainfo" },
    { 0xA8BAA7C6D9548A39, "persistentdebugline" },
    { 0x2F1C375F77BDC851, "persistentdomtimer" },
    { 0x86B31CC3BBB18A74, "persistentrelics" },
    { 0x419D7B6F53638006, "perslog_attachmentstats" },
    { 0x462C5A09C9053B65, "perslog_weaponstats" },
    { 0x8C0095DBE74FC34F, "personal_ent_zones" },
    { 0x39BEC145BF0B987E, "personal_score_component_name" },
    { 0x5AB53FF7747083F5, "personalcoldbreath" },
    { 0x08A03979BFAC7DDF, "personalcoldbreathspawner" },
    { 0xA3B8C735D47D5F75, "personalcoldbreathstop" },
    { 0x214603C1B4AAE1D3, "personalcraftingmaterialslist" },
    { 0x60B113C02D7C4C77, "personalents" },
    { 0x12F0910BA953B77F, "personality" },
    { 0x669B615248AFEF27, "personality_init_function" },
    { 0x4A094D5FBB7B3D0E, "personality_update_function" },
    { 0xEFD236A859AFB87A, "personalitymanuallyset" },
    { 0x20AE9452E789F541, "personalnukecostoverride" },
    { 0xA480D02485B3C1E1, "personalradaractive" },
    { 0x52784AFB3E704757, "personalscenenode" },
    { 0xE2B259F07EC3DE11, "personalscore" },
    { 0xAC2D945226DEF9C8, "personalscorecount" },
    { 0x6C3C98EEFC8F6677, "personalweaponfullname" },
    { 0xD4FD6DED99F002F3, "personnel_platform" },
    { 0xB1EBC00302BDCF02, "pet" },
    { 0xEE88453C4A134BAE, "petconsts" },
    { 0xABAC186B8826C0AC, "petdie" },
    { 0x32BFE6D04A6E6667, "petobjectivefilter" },
    { 0xB200B0C0795F3BD9, "petplundertimer" },
    { 0x09124508E33F00FF, "petrograd_interaction_delayed" },
    { 0xBD986DB71F02B119, "petrograd_interaction_think" },
    { 0x558C5537D15844CE, "petrograd_interactions_init" },
    { 0xB477656F4230F81A, "petrograd_lead_model" },
    { 0x4B7A9869FD49D089, "petwatch" },
    { 0x41C61922C8173561, "petwatchtype" },
    { 0xCDCD4578F5179181, "ph" },
    { 0x48940CD9406F7E02, "ph_checkforovertime" },
    { 0xC86E4C6230BF130D, "ph_endgame" },
    { 0x42FB22222AA6B8CF, "ph_loadouts" },
    { 0x63F1552B34782EDA, "ph_setfinalkillcamwinner" },
    { 0xF9B316316F458484, "phase" },
    { 0xB96D30E34DCD3E6E, "phase_five_combat" },
    { 0xCFF6F4FA616A6D3E, "phase_four_combat" },
    { 0x3310E8F04DCE9A64, "phase_one_combat" },
    { 0xBB308AFD1E58D900, "phase_three_combat" },
    { 0x30CBBFAEED461792, "phase_two_combat" },
    { 0x9C4950BC288AD140, "phase_zero_combat" },
    { 0x9DF546964463AFA0, "phaseindex" },
    { 0x6E09276AAC40CD44, "phaseshift_hint_displayed" },
    { 0x3A9130C9989B3E5D, "phasespeedmod" },
    { 0xED63E55C9FD954C5, "phasetime" },
    { 0xE1621662EC1A582B, "phclass" },
    { 0x357AB725B2E0B015, "phcountdowntimer" },
    { 0xA7CF779E6CEF082F, "phfrozen" },
    { 0x29C0E98C275CE450, "phj_spawners_trigger" },
    { 0xC2345432014A29AB, "phone" },
    { 0xCAF8AAB5626B3A3E, "phone_group_spawned" },
    { 0x89B290F097EFF69E, "phone_group_spawned_timeout" },
    { 0x5D7347D707F404FC, "phone_kid_idle_cage02_model" },
    { 0x50D0282BE35792A3, "phone_kid_idle_child01_model" },
    { 0x90E73C43BFCE3706, "phone_kid_idle_child02_model" },
    { 0x8DD0B0D4C382E275, "phone_kid_idle_child03_model" },
    { 0xAE8F3FD4264E581B, "phone_sfx" },
    { 0x0462C7CC0EF6BCD6, "phone_sfx_idle" },
    { 0xB04C50673697FBA7, "phone_table_interact" },
    { 0xDE90F754C61D38EA, "phonehint" },
    { 0xA895A309CA012B46, "phoneisnotringing" },
    { 0x9FD7483A9B2F9FAF, "phoneisringing" },
    { 0xB876B222B9783801, "phonemorsesinglescriptableused" },
    { 0x4982F0CEF0FE9857, "phoneplayring" },
    { 0x10E8283C25423A16, "phonesfx" },
    { 0x7EC7EF1CC1CB00AA, "phonesringing_code" },
    { 0x13D1988FD461D003, "phonesringing_singlemorse" },
    { 0x051E9B136DECC6AC, "phosphorus_aim" },
    { 0x2C04E3BDC47AEC9C, "phosphorus_run_react" },
    { 0x9F1C5293C5595D2C, "photo_index" },
    { 0x457E8651812734D0, "photosetup" },
    { 0x30922FEA53E7254C, "phsettings" },
    { 0x01FCA6C36A3A2DFA, "phwhistletimer" },
    { 0x7482BC1472039A2D, "phys_amp_max" },
    { 0x339E82C766B235C6, "phys_amp_normal" },
    { 0x054625E52F3A61C5, "phys_barrel_radius" },
    { 0x99B67347EF02AF53, "phys_barrels" },
    { 0xF205289D23DF1700, "phys_contents" },
    { 0x97355DCBFED95EBC, "phys_sound_func" },
    { 0xB3AFDC58BEC48FFF, "physasset" },
    { 0xD8E7F48C4C98950E, "physicallybased" },
    { 0x6830D53F6694D032, "physics_aabbbroadphasequery" },
    { 0x0A79FC246E790EEB, "physics_aabbquery" },
    { 0xA934D958262A217C, "physics_applyimpulse" },
    { 0x569E0E990C945E35, "physics_capsulecast" },
    { 0x079E65D15B202499, "physics_charactercast" },
    { 0x367C678B3AA742BD, "physics_createcontents" },
    { 0x73CCCE5044461708, "physics_createinstance" },
    { 0x093EB71296B4D885, "physics_finished" },
    { 0xC03DDDC19FEC0447, "physics_getbodyaabb" },
    { 0x99D645EF617A5196, "physics_getbodyangvel" },
    { 0x2C96D9AB56F33931, "physics_getbodycenterofmass" },
    { 0x49D1F6D8CB22BEC6, "physics_getbodydynamicmass" },
    { 0x3EEB27F83E98FEF0, "physics_getbodyid" },
    { 0xBE63CF6FD2453BD3, "physics_getbodylinangvel" },
    { 0xA691B65D41509913, "physics_getbodylinvel" },
    { 0x0F805D1738F08CA1, "physics_getbodymass" },
    { 0x249CC1213D7F0E59, "physics_getbulletmissilecontents" },
    { 0x01C7217B55ACFB77, "physics_getcharactercollisioncapsule" },
    { 0xF32190543676D622, "physics_getclosestpoint" },
    { 0xB472E62B1E3C0C4A, "physics_getclosestpointtocapsule" },
    { 0xDB86EEA9812DBE1E, "physics_getclosestpointtocharacter" },
    { 0x3D7DF78DE27D4CB2, "physics_getclosestpointtosphere" },
    { 0xC09173DA1BD714EC, "physics_getentityaabb" },
    { 0x8032876808722532, "physics_getentitycenterofmass" },
    { 0x3CB7A2BD7CD7AEAB, "physics_getentitydynamicmass" },
    { 0x7268FC84840941EA, "physics_getentitymass" },
    { 0xBF2EF5A235C9027B, "physics_getnumbodies" },
    { 0x2594D6851D931CA1, "physics_getplayergroundlinvel" },
    { 0x82B59E3403E30A4F, "physics_getsurfacetypefromflags" },
    { 0xC549865D7D367741, "physics_impact_watch" },
    { 0x4B5E797ED44B8015, "physics_querypoint" },
    { 0x1B7977F51B0DBAFE, "physics_raycast" },
    { 0x2A262511EC9D1DA8, "physics_raycastents" },
    { 0xDCDF1A14A0836038, "physics_registerforcollisioncallback" },
    { 0xD4DD66B1CD883F52, "physics_setbodyangvel" },
    { 0x6D8F30830275A40A, "physics_setbodycenterofmassnormal" },
    { 0x79D625951AC479E7, "physics_setbodylinangvel" },
    { 0x564C8A280A3B233F, "physics_setbodylinvel" },
    { 0x879BFA01B3A87609, "physics_setgravity" },
    { 0xE1D89DFB124F4FF1, "physics_setgravitydynentscalar" },
    { 0x4C148529FCF32242, "physics_setgravityitemscalar" },
    { 0x75EFD1C42CDACBF7, "physics_setgravityparticlescalar" },
    { 0xDCBEF2DE7B2C0D60, "physics_setgravityragdollscalar" },
    { 0x36B1099B31D85A6B, "physics_shapecast" },
    { 0xCEEA065B0685F23D, "physics_spherecast" },
    { 0xD536A7E7E1CDE7FD, "physics_takecontrol" },
    { 0x0696A3553CD9F39F, "physics_test" },
    { 0xD674DED8F59FC6A3, "physics_unregisterforcollisioncallback" },
    { 0x1BE652CC8B2B1C7C, "physics_volumeaffectcharacters" },
    { 0x2C981CA5B8CCF079, "physics_volumeaffectmissiles" },
    { 0xE43F7B6177BC524D, "physics_volumecreate" },
    { 0x9941A84009E116DE, "physics_volumeenable" },
    { 0x386A540BC3EC32A6, "physics_volumesetactivator" },
    { 0x39EF1396F2AC1B34, "physics_volumesetasdirectionalforce" },
    { 0x91C329717B4C18AB, "physics_volumesetasfocalforce" },
    { 0xB87DD08962983FBB, "physics_volumesetasgravityscalar" },
    { 0x376F5A74478CBAE4, "physics_volumesetasgravityvector" },
    { 0x75FCF90E4E9018C9, "physicsactivated" },
    { 0xD6F4A3D51C33B83C, "physicsexplosionsphere" },
    { 0xAB405C8C0C804E7C, "physicsjitter" },
    { 0x174204A2E080F219, "physicsjolt" },
    { 0x3BBB6E8B6D11A4DF, "physicsjolt_proximity" },
    { 0x42B47A751E2E910A, "physicslaunchclient" },
    { 0xDEAA6DA341CAEF26, "physicslaunchserver" },
    { 0x3F14AA5B107E63E5, "physicslaunchserveritem" },
    { 0x6D8488798EA959EF, "physicson" },
    { 0xE762C347E9A5C967, "physicssettled" },
    { 0xDE6953B441669EFE, "physicssphereforce" },
    { 0x3A67B34E776123C1, "physicssphereradius" },
    { 0x16D21B5D75F7DF39, "physicsstopserver" },
    { 0x51098421B1A0A6CB, "physicstrace" },
    { 0xCED13E1985B4DE3D, "physicswarpto" },
    { 0x9BA61B71BB7E655B, "picc_spawn_ai" },
    { 0xCAA1B1817C1DB323, "piccadilly" },
    { 0x6F801F9A805A0433, "piccadilly_cansave" },
    { 0x8A43BE45D00E7AC2, "piccadilly_finished" },
    { 0x22C5DF1DCFC1D056, "piccadilly_spawnpatchtriggers" },
    { 0x40847F2B3034E952, "piccadilly_spawnstruct" },
    { 0x82DA915C1C336551, "piccadilly_weapons" },
    { 0xFC58A2DEF9D6A2A3, "pick_aitype" },
    { 0x85D18F90E212DF2F, "pick_ball_carrier" },
    { 0x5363B4C1C5E744C9, "pick_death" },
    { 0xCC12E0563A7045A1, "pick_flagcarrier" },
    { 0x380CD0E4662E64EE, "pick_from_preset_solutions" },
    { 0xDCA5321BCE61F6EB, "pick_nag_anim" },
    { 0xEFB2CDD5D874D00A, "pick_random_animset" },
    { 0x8B4D2C95C8C8449B, "pick_tree_anim" },
    { 0x7FBF291D1C4A6C53, "pick_up_armor_vest" },
    { 0x384E0DB9BA1B86A1, "pick_up_data" },
    { 0x7DCC87162CED5C2E, "pickandsetforceweapon" },
    { 0x843098CB765EF9F8, "pickclassbr" },
    { 0x76D76793EE4B66BC, "pickdefaultoperatorskin" },
    { 0x0D8D6D5E3388CED8, "picked_up_weapon" },
    { 0x6A98F268C82C8B92, "pickedpball" },
    { 0x67FB6CCC353F5060, "pickedup" },
    { 0x58566FEB255B8228, "pickedupbyplayer" },
    { 0x7B374E579BE4995A, "pickedupcoreminigun" },
    { 0x2594558754BF5736, "pickflagtospawn" },
    { 0xBFA909C51A174E04, "picking_up_minigun" },
    { 0x2BAEB567D770088E, "picklane" },
    { 0xFE0F06D8C1704DD5, "picklaunchchunkoperatorskin" },
    { 0xA79A3715F7611506, "picknewrandomcustomclass" },
    { 0x49E16A5148976EAB, "pickoverridearchetype" },
    { 0xF39AE4E3403F43EF, "pickprematchrandomloadout" },
    { 0xD9B90B01C12006B1, "pickradiotospawn" },
    { 0x5B4318F80AE09305, "pickrandomnonvehiclespawn" },
    { 0x84A7F3C9495E005E, "pickrandomspawn" },
    { 0x3CD775D4F36EFE64, "pickrandomvehiclespawn" },
    { 0x19EFFA98E12566A6, "pickscriptablelootitem" },
    { 0x326A108DB3341FF9, "pickup" },
    { 0x721D224A67E5CB6A, "pickup_disabled" },
    { 0x0C1782D1B2531DFD, "pickup_fake_cpapa" },
    { 0x4C40B9B2EBD9540F, "pickup_gasmask" },
    { 0x2C2ED88F07D540A0, "pickup_gun" },
    { 0xAC6A47F5B2017E03, "pickup_saw_and_start_mission" },
    { 0xF06737FE5DA328F7, "pickup_sound_hvt_handler" },
    { 0xD0B787904DDD8865, "pickup_sound_playervm_handler" },
    { 0x1FA22D4D44289E50, "pickup_sound_playerwm_handler" },
    { 0x9AD926E87B336F82, "pickup_stunstick" },
    { 0x1F2E44077AB25FE5, "pickup_timeout" },
    { 0x257D692E1FBC5344, "pickup_trig" },
    { 0xE6A3EFB171A1F642, "pickup_truck_cp_create" },
    { 0x796246D396D6B8A0, "pickup_truck_cp_createfromstructs" },
    { 0xAD0A9216759FB801, "pickup_truck_cp_delete" },
    { 0x64FC3144522390DE, "pickup_truck_cp_getspawnstructscallback" },
    { 0xCE98D106A9D036BC, "pickup_truck_cp_init" },
    { 0x4ED2ECCC35474BD0, "pickup_truck_cp_initlate" },
    { 0xD6851F5D88C73BA5, "pickup_truck_cp_initspawning" },
    { 0xB4F44BB48F3D38EA, "pickup_truck_cp_ondeathrespawncallback" },
    { 0xD9F14EBEC21E12E6, "pickup_truck_cp_spawncallback" },
    { 0x196A195CE6B52073, "pickup_truck_cp_waitandspawn" },
    { 0xD534ACB3A0E35622, "pickup_truck_create" },
    { 0x513E613762D3EEBF, "pickup_truck_deathcallback" },
    { 0x7385FBB0656113E9, "pickup_truck_deletenextframe" },
    { 0x8BCF34B6877A8FF5, "pickup_truck_enterend" },
    { 0x186EA1101993E4D0, "pickup_truck_enterendinternal" },
    { 0x22F7751910B75ECB, "pickup_truck_exitend" },
    { 0x179D701EF2FBA81A, "pickup_truck_exitendinternal" },
    { 0xBE5E38429A2D8F2B, "pickup_truck_explode" },
    { 0x1871387BE510753E, "pickup_truck_getspawnstructscallback" },
    { 0x1E710BE03F456C9C, "pickup_truck_init" },
    { 0x7D58AA2C53E94C5D, "pickup_truck_initdamage" },
    { 0xECDCDCE3DF1F3B42, "pickup_truck_initfx" },
    { 0xD85713BBBA599F62, "pickup_truck_initinteract" },
    { 0x850C62958D7C22B0, "pickup_truck_initlate" },
    { 0xD781CEAE38788411, "pickup_truck_initoccupancy" },
    { 0x37A63FCEDC9102D0, "pickup_truck_initomnvars" },
    { 0x85C0943F06469F85, "pickup_truck_initspawning" },
    { 0xE1D71820E01CF2F0, "pickup_truck_mp_create" },
    { 0x37EAB2F4BD7A4CAF, "pickup_truck_mp_delete" },
    { 0xFA02EE3AE3817600, "pickup_truck_mp_getspawnstructscallback" },
    { 0xAD9372BF73079B66, "pickup_truck_mp_init" },
    { 0x2663E2C1E05F7832, "pickup_truck_mp_initmines" },
    { 0x93CCB8E2A33E735B, "pickup_truck_mp_initspawning" },
    { 0x80D438C2589C73F8, "pickup_truck_mp_ondeathrespawncallback" },
    { 0x1B8611722D5FCBC4, "pickup_truck_mp_spawncallback" },
    { 0x46029890A66DD1F5, "pickup_truck_mp_waitandspawn" },
    { 0x8F614768A87E9659, "pickup_uses_origin" },
    { 0x1CB0016D44BC2B48, "pickupchecks" },
    { 0x8E3A223576043DBF, "pickupcleanupmonitor" },
    { 0x40C4355180AAAE92, "pickupenabled" },
    { 0x84F0386C8384078E, "pickupent" },
    { 0x2E089AE8F7454CC3, "pickupfunc" },
    { 0x0AD502E3712A9B51, "pickupgrenade" },
    { 0xB5A0D1ACC402480D, "pickuphintstring" },
    { 0x86D65289BF9016F4, "pickupicon" },
    { 0x70354CB16528A121, "pickupissameasequipmentslot" },
    { 0x57623F5B6A6CA5D8, "pickupitemintoinventory" },
    { 0x93365C0C4613D459, "pickupobjectdelay" },
    { 0xBDAD2B466589C670, "pickuptime" },
    { 0xF5DFAEB34399C334, "pickuptimeout" },
    { 0xF7F08DF83D26E99F, "pickuptrigger" },
    { 0xD9692D8D11100115, "pickuptrucks" },
    { 0x2F96CE2B1D7B87A3, "pickupweaponhandler" },
    { 0x7D44DF845101FE29, "pickviptospawn" },
    { 0xEAA1A545903AD216, "pictureweapons" },
    { 0x51C511BBF08DDBB5, "piece_use" },
    { 0xC1888D66B91D64CE, "pieces" },
    { 0x8B89921442D2B26D, "pilot" },
    { 0x26BF45CB9A4DD24E, "pilot_anim_loop" },
    { 0x12876EC908D135E4, "pilot_apache" },
    { 0x8652EF2D279406CB, "pilot_apache_camera_shake" },
    { 0xD9CE5E465D793C00, "pilot_apache_camera_transition" },
    { 0xC181814E27F87027, "pilot_apache_camera_transition_out" },
    { 0x828F50FB14791F44, "pilot_apache_datapad_transition" },
    { 0xC74394EF001AD909, "pilot_apache_handle_missile_fire" },
    { 0x308818AD2E23D73C, "pilot_apache_handle_thermal_switch" },
    { 0x9E9F5B899CE8A6D6, "pilot_apache_missile_reloader" },
    { 0x1CEA7C2D3729B844, "pilot_clean_up_monitor" },
    { 0x7D85FF9BD23A44FC, "pilot_damage_thread" },
    { 0xF2D8779C2ED3F4CB, "pilot_death_watcher" },
    { 0xF37E7DD393785032, "pilot_dialog_struct" },
    { 0x0429D4B8D5E31D8B, "pilot_killed" },
    { 0x3513D8B57316015E, "pilot_linkto_angles_offset" },
    { 0x2F663A59302999D0, "pilot_linkto_origin_offset" },
    { 0xD46D5578E6B5B4A3, "pilot_model" },
    { 0xD1529C93E0331CC9, "pilot_pickup_from_cockpit" },
    { 0x08D1CC6F2B4EAC58, "pilot_rescue_objective_think" },
    { 0x5DED7F2C14C1E1B0, "pilot_setups" },
    { 0x81F876D8AD30DBE6, "pilot_tag" },
    { 0x753D49EE4CD46E65, "pilot_wait_for_rescue" },
    { 0x01B1FAA8E22F2CBA, "pilotkill_watcher" },
    { 0x0419B870A2BF9754, "pindia_headlights" },
    { 0xC0C73921E7D17351, "pindia_positions_override_func" },
    { 0x8E168AAD412BDE37, "pindia_vehicle_registration" },
    { 0xD00C49903FD169FB, "ping_current_objective" },
    { 0xF5223EF9684C2475, "ping_enemy_and_player_for_duration" },
    { 0xED369F01CDABD1CB, "ping_response_time" },
    { 0x3127F15DAB6703EC, "pinged" },
    { 0xF668E1CB7E02B8D4, "pingedenemies" },
    { 0x9A71BDFBA60040B8, "pinglocationenemyteams" },
    { 0xB07F19B2725BF0E5, "pingobjidnum" },
    { 0xB0D049D074797480, "pingplayer" },
    { 0x53874870271C3269, "pingplayers" },
    { 0xB71B1F656080034E, "pingsystemactive" },
    { 0x58BB61BCD40E7152, "pinned_marine" },
    { 0xF75DA9F50F68254D, "pinnedobjid" },
    { 0xA55A495E00A01DA5, "pinobj" },
    { 0x6E80A3839E139556, "pinobjiconontriggertouch" },
    { 0x43C4C7F1A2E4EF84, "pintoscreenedge" },
    { 0xB1FCD40302D0055A, "pip" },
    { 0x54E2D2677AF18AE5, "pip_close" },
    { 0xD334A3E117DC820D, "pip_dialogue" },
    { 0x24382447456322B9, "pip_init" },
    { 0xA4424EF13C10D136, "pip_is_active" },
    { 0xE39BC1C59D32F0FC, "pip_on_ent" },
    { 0x1FB768B889F41A39, "pip_visionset" },
    { 0xD11AB71B9AD0B72C, "pip_vo" },
    { 0x45B42E91404C59CA, "pipe_dying_boy" },
    { 0xF38462926A656BA4, "pipe_room_dogtag_revive" },
    { 0xDD453F4FA56B5AE0, "pipebombfiremain" },
    { 0x7E09B9FF3748C217, "pipes_bomb" },
    { 0x2A3292AFF5DE042B, "pipes_bomb_add_fov_user_scale_override" },
    { 0x9168A20437D8890B, "pipes_dialog" },
    { 0xBB5E9169AE92BBF9, "pipes_fake_sniper_fire" },
    { 0x8D27AEE4E516ACDE, "pipes_hallway_catchup" },
    { 0xFF861449C41957B1, "pipes_hallway_main" },
    { 0x2F87126DF10B3258, "pipes_hallway_start" },
    { 0x4BDDCC20A26EFACB, "pipes_hero_light_init" },
    { 0x554365E1C77C1A27, "pipes_hero_light_rig_setup" },
    { 0x672F644357F47CEE, "pipes_hero_light_setup" },
    { 0x701B9CD777CF489A, "pipes_jumpdown_catchup" },
    { 0xF3A979E67DB758BC, "pipes_jumpdown_lights_init" },
    { 0xC30699104630B605, "pipes_jumpdown_main" },
    { 0xC6EF3CC2DCB4BBB0, "pipes_jumpdown_scene" },
    { 0x05DA717A15263254, "pipes_jumpdown_start" },
    { 0x3B964ED8E9C71208, "pipes_last_enemies" },
    { 0xF2588524CA8CF1F2, "pipes_moments_setup" },
    { 0x2DC2826FA975499C, "pipes_outdoor_catchup" },
    { 0x9E5C133B7B5EE26F, "pipes_outdoor_main" },
    { 0x9A9EA4D20FCAB8E4, "pipes_outdoor_postload" },
    { 0x076BBA2B460DA7C7, "pipes_outdoor_preload" },
    { 0xEA689A6D94E885A6, "pipes_outdoor_start" },
    { 0xDFC907621B0A1C02, "pipes_sniper_setup" },
    { 0x569DB4094652A7C3, "pipes_to_hallway" },
    { 0x988A2B09967DE3DA, "pistol" },
    { 0x29E973F669761FC1, "pistol_can_save" },
    { 0x1D16BBB2BFCBF6C7, "pistol_catchup" },
    { 0x10063BE651C15791, "pistol_enemies" },
    { 0x4EEB293B1EF1B5D0, "pistol_enemies_dead" },
    { 0x1FE1886F4298F16A, "pistol_enemies_has_lost_enemy" },
    { 0x5678A09BB58D84B7, "pistol_enemies_number" },
    { 0x52E13DE9A38432F7, "pistol_enemies_setup_stealth" },
    { 0xCAACF58C94B62151, "pistol_enemies_spawn" },
    { 0x4A38C011549EC1FC, "pistol_enemies_spawn_func" },
    { 0xC22C897F752CF670, "pistol_enemy_01_ai" },
    { 0x52155138B1B1D8A7, "pistol_enemy_02_ai" },
    { 0xEE6E4C10586F9189, "pistol_enemy_combat_think" },
    { 0xFB1844D0EB637D05, "pistol_enemy_deaths" },
    { 0x6ADF906FBF5143A7, "pistol_enemy_deaths_time" },
    { 0x00FE56A44581E777, "pistol_fight_death_monitor" },
    { 0xBB8A869E52A7EECD, "pistol_fight_start_monitor" },
    { 0xF27618FDD62159B7, "pistol_fight_vo" },
    { 0x8758015275ECA226, "pistol_fired_check" },
    { 0x606174717BBB71C6, "pistol_intro_anim_node" },
    { 0x4BAB3A49E0FB911E, "pistol_intro_anim_node_truck" },
    { 0xAADDE0D5985E9361, "pistol_intro_anim_node_truck01" },
    { 0x4FAE1E2FB5B1EE8E, "pistol_main" },
    { 0x38869AD47419C7DC, "pistol_physics_hack" },
    { 0x40A863A3D6514BB9, "pistol_picked_up" },
    { 0x48D28845EFD81B88, "pistol_pickup_check" },
    { 0xD3A34BE93A3B6146, "pistol_pickup_monitor" },
    { 0x38BF313190462D95, "pistol_skip_fight" },
    { 0x75B113B6FED4C955, "pistol_start" },
    { 0x918D2E17DDBDB6B5, "pistol_start_vo" },
    { 0x87588D4D5D0B16AC, "pistol_vo" },
    { 0x09C5B50DA12E0E85, "pistol_vo_sources" },
    { 0x96D909E581D56426, "pistol_weapon_interact" },
    { 0x568B0B9FBF0F0C1B, "pistol_weapon_interact_b" },
    { 0x58D0203B7565DD23, "pistol_weapon_user" },
    { 0xCA0708DDDA235BCA, "pistol_weapons_array" },
    { 0x4E8610E2084366DB, "pistolarray" },
    { 0x9AF42DD4EEEFDC49, "pistolcombatspeedscalar" },
    { 0x622A85C206D28576, "pistols_only" },
    { 0x10CF25B60D61F65F, "pistolslide" },
    { 0x79095225EFA846FA, "pistolweapon" },
    { 0xEDEBAC46C061FC25, "pit_locations" },
    { 0xE9E676154471F7ED, "pitch" },
    { 0xC307D005618BF961, "pitch_max_angles" },
    { 0x8F5562F9F34C03AA, "pitch_up_cap_adjust" },
    { 0xA9F9B83CAE6CC7EB, "pitch_up_reset" },
    { 0x9B06B79AC29D1E54, "pitch_up_set" },
    { 0xC02DABB004D9644C, "pitch_up_think" },
    { 0x464CC4276AF6144F, "pitchconvergencetime" },
    { 0x2D6260A284725C09, "pitchdelta" },
    { 0x17A989264D29CF2A, "pitcher_lights" },
    { 0x26A986BC4F9B6011, "pitchmax" },
    { 0x26CC78BC4FC188FF, "pitchmin" },
    { 0x377BF640D790911D, "pitchturnthreshold" },
    { 0x296C2DB91B889787, "pity_timer_end_time" },
    { 0xCBC804152DF67E23, "pivot" },
    { 0xD9B7ED9A98419D79, "pivot_ent" },
    { 0x2460A0B82BE25995, "pivoting" },
    { 0x1F5F4A941517C9F0, "pivots" },
    { 0x2E528E8BF18BD8DB, "pkg_id" },
    { 0x2A610AA205A625FE, "pkg_id_lbl" },
    { 0x6B6825C4368D7978, "pkg_ids" },
    { 0x22E461C40167DEC8, "pkg_lbl" },
    { 0x66A80DBB3E9687A2, "pkg_lbl_vo" },
    { 0xB213030302E89FEA, "pl#" },
    { 0xBABC95639FEE49DE, "place_bad_place_until_flag" },
    { 0xAACC076F6A758C7A, "place_bomb_in_the_vehicle" },
    { 0x02DB7BBB85DB99F3, "place_each_soldier_on_truck" },
    { 0x4BD42C44A9D38764, "place_finale_trees" },
    { 0x2DD7F6B6CE7ECAA4, "place_heli_over_player" },
    { 0xC5D370BC1730AF67, "place_path_node_from_lookat" },
    { 0x87F2A6D1D0BE37E0, "place_path_nodes" },
    { 0xC87CAEAA96BF6FE8, "place_path_nodes_within_box" },
    { 0xEABF62984A673525, "place_path_nodes_within_radius" },
    { 0x3D2B15D380C10A9C, "place_traversal_badplace" },
    { 0x82099A7FFE86E749, "place_weapon" },
    { 0x7D77B565E179F17C, "place_weapon_at_unclaimed_struct" },
    { 0x6D615E71A274349B, "place_weapon_on" },
    { 0x4B00F6BD4B80293B, "place_weapons_at_pos" },
    { 0x44923EC9C5BD76CF, "placeableconfigs" },
    { 0x283FB2562CCDBE2F, "placecancelablestring" },
    { 0x0F1541FA732A9E4B, "placecrate" },
    { 0x17E17988804B5BA1, "placed_alien_fuses" },
    { 0x5F41B13B1F2D6193, "placed_c4_train" },
    { 0x56B6725A3A50FAAF, "placed_crafted_traps" },
    { 0x08C72C75B5ECE591, "placedclosevol" },
    { 0x01E90F0BDC9195A0, "placedladder" },
    { 0xB1AFFFE5F5CC9492, "placedompoint" },
    { 0x71A2FA66E44220CB, "placedsentries" },
    { 0xD0D31AF24043F82B, "placedsfx" },
    { 0xF39BA4E9C1A33469, "placedspawners" },
    { 0xC0CA7864F93E510D, "placeequipmentfailed" },
    { 0x5D5A485FB18BA86B, "placeequipmentfailedcleanup" },
    { 0xA2639E5CF954F0CB, "placeequipmentfailedinit" },
    { 0x22B5D5236648E472, "placeflag" },
    { 0x40E0EE71E64E0DBB, "placeheight" },
    { 0xCAA62DEE724BDFC4, "placehinton" },
    { 0x10002D91CFA47289, "placekillstreakcrate" },
    { 0x73B37719A6569654, "placeladder" },
    { 0xA043D3C9194EB634, "placement" },
    { 0x1ACFED1422A1B9BB, "placementbonus" },
    { 0x5BC39A5E07E95B06, "placementheighttolerance" },
    { 0x7A175648154FFFC0, "placementhintstring" },
    { 0x8C7223F88821FFBC, "placementhudelements" },
    { 0x85513500CEF6F537, "placementmode" },
    { 0x288CEBC7291D9721, "placementmodel" },
    { 0x908732ACDFB5394F, "placementoffsetz" },
    { 0xDCDF9D6F2D86913E, "placementorigin" },
    { 0xDDC0A298C1B2C54A, "placementradius" },
    { 0x62A4BE2FB9B57685, "placementstatsset" },
    { 0xB5DF884C2C4F7F50, "placementupdatewait" },
    { 0xF3F647461A797057, "placeplcrate" },
    { 0x6B8AAB8D45FD3D76, "placepoint" },
    { 0x9F0575576E869047, "placespawnpoint" },
    { 0x0B78FBA18B1CA229, "placestring" },
    { 0x126966B451B0DACA, "placeuplinkgoal" },
    { 0x091370D015A2B69D, "placeweaponon" },
    { 0x78B91E3C6812D3C2, "placing_bomb_interaction_use_monitor" },
    { 0x4F6BA7273364299C, "placing_bomb_interactions" },
    { 0x27CBCBE763958D11, "placing_c4_interaction_use_monitor" },
    { 0xC5D7ECAE4988371D, "placingitemstreakname" },
    { 0xE6E51289AE142841, "plane" },
    { 0x86320D3A1510E71A, "plane_collmap" },
    { 0x7D824A8DEC4D3B16, "plane_door_opened" },
    { 0xC40F138733671555, "plane_landed_idle" },
    { 0x79BFB4DBA5516650, "plane_landing_fx" },
    { 0x292AE89E8C651A87, "plane_patrol_watcher" },
    { 0x7F3ACD2DF6E88964, "plane_seats" },
    { 0x6157FE17DA8B5CF7, "plane_takeoff_from_airport" },
    { 0xCE681F1A315D4EBD, "plane_waypoint" },
    { 0x4DC5A91C08878AE7, "planecleanup" },
    { 0x318B743049E16A90, "planeconfigs" },
    { 0x4D0D33793E1EEAF6, "planemodel" },
    { 0xA357D5B8D349F2A0, "planemove" },
    { 0xABD2FE5D8305A57B, "planerespawn" },
    { 0xDDEFF6C9D65465F6, "planes" },
    { 0xCDA30DB38CF922F2, "planes_ready" },
    { 0xF2951268F5355343, "planes_thread" },
    { 0x25F09B2EAB8D151C, "planespawn" },
    { 0xDDEFF9C9D6546C8F, "planet" },
    { 0xFBB18E4F86A1260E, "planewaittillcandrop" },
    { 0xE6E50189AE1402DE, "plant" },
    { 0xCFFD5AB19B52229D, "plant_add_zplanes_override" },
    { 0x7D2C1F3DE7CF2C63, "plant_animatedstairscivilianworkerlogic" },
    { 0x1EB4C0275FD4E29D, "plant_barkovspeakerlogic" },
    { 0x6375AC863721DEEB, "plant_bomb" },
    { 0xEB2DA6AA89FC509D, "plant_bomb_cleanup_on_death" },
    { 0xA0C2D0A72FC0A915, "plant_cinematictelevisionstandbylogic" },
    { 0xD1F8765A18BBD0A7, "plant_clamp_angles" },
    { 0xB3485D13A4CA8764, "plant_constructionpuzzlelogic" },
    { 0xCA7E5EEE5A448FC8, "plant_conversationdialoguelogic" },
    { 0xE9B49B2882A0FE6F, "plant_deletelinkedailogic" },
    { 0x9B79E1CC0CCF49E1, "plant_deletelinkedaitriggerlogic" },
    { 0xBC52D89BCCD53380, "plant_deletelinkedaitriggerslogic" },
    { 0xC2501595FCD29E8D, "plant_dialoguelogic" },
    { 0x649BD202A282AB62, "plant_enemy_claymore" },
    { 0xDC8D487420F3700A, "plant_entryguarddialoguelogic" },
    { 0x7E720BA335854949, "plant_entryguarddialoguestructdeathlogic" },
    { 0x5A443D7223377E07, "plant_entryguarddialoguestructentrylogic" },
    { 0x040C516E61E9F2CE, "plant_farahinstructionslogic" },
    { 0x6712884BE9E747DB, "plant_farahshootguarddialoguelogic" },
    { 0x1341CBC96D2B63AA, "plant_farahshootguardtriggerslogic" },
    { 0xB1DACA612845C879, "plant_farahstealthbrokenlogic" },
    { 0x99BD10989F15557A, "plant_getieds" },
    { 0x51B9B149BC280E9E, "plant_getplayersilencerinteracts" },
    { 0x7062F17F2AD3E852, "plant_getstairenemy" },
    { 0x139FEB58C9F526B3, "plant_ied_add_fov_user_scale_override" },
    { 0x17640BFC5927730C, "plant_ied_remove_fov_user_scale_override" },
    { 0x4A0757847A85F853, "plant_iedlogic" },
    { 0x337CE08F0C55B319, "plant_introdialoguelogic" },
    { 0x43600DD1C561CA81, "plant_killextraenemies" },
    { 0x0AA2DDB5FBCA01C2, "plant_main" },
    { 0xCCCF2ECDE956CB28, "plant_pathblockersclear" },
    { 0xA012EE90273A1EAE, "plant_playerattargettriggerdialoguelogic" },
    { 0x889B06E79459744A, "plant_remove_zplanes_override" },
    { 0x60E68312A06FCD44, "plant_sandboxlogic" },
    { 0x1A0A6E329A8D3CD1, "plant_secondfloordialoguelogic" },
    { 0xBD2435CC17710E42, "plant_spawncivilianworkers" },
    { 0x544F1D4CE5C86E34, "plant_spawnied" },
    { 0x097AFF2BD31276E1, "plant_spawniedinteractonvehicle" },
    { 0xDEB1E5F62EC2EADB, "plant_spot" },
    { 0x37D72ED48E7DEF57, "plant_stairenemyalexresponselogic" },
    { 0xFF9BB02DBB67A52A, "plant_stairenemylogic" },
    { 0xA8AC05C0834367E1, "plant_start" },
    { 0x1654E6A7020AD666, "plant_updateobjectivelocation" },
    { 0xBAEBC106D32A345B, "plant_visionlogic" },
    { 0xCE6131492B922985, "plant_watch_stuck" },
    { 0x9512470DAF571136, "plant_watch_stuck_calculate" },
    { 0xE6F16CE00F52D39B, "plant_watch_stuck_notify" },
    { 0xE2623B57BA458719, "plant_watch_stuck_timeout" },
    { 0x56B0CE0B9CE9D29F, "plantbreach" },
    { 0x5CBD5CAEE3C10000, "plantbreachc4" },
    { 0xC97F6051DE8DE4BF, "plantbreachweapon" },
    { 0x741F74E1A668845F, "planted" },
    { 0xDDE0F2BA460B3BE7, "planted_explosive" },
    { 0x20D8AA94E9A7B937, "plantedbomb" },
    { 0xAF720544CAB16305, "plantedhackedequip" },
    { 0x70F4F60385EF9FC6, "plantedkey" },
    { 0xBA4FD4D850806E53, "plantedlethalequip" },
    { 0x0C35733DB5B77F02, "plantedsuperequip" },
    { 0x573099BFCB46B72E, "plantedtacticalequip" },
    { 0x454A4A460A6B3BD0, "plantmaxdistbelowownerfeet" },
    { 0x76BB5B05D84DAC3B, "plantmaxroll" },
    { 0x1A66882C3B32B659, "plantmaxtime" },
    { 0x9F5C3471E0DF648C, "plantmindistbeloweye" },
    { 0x9C779B91B52D3F7A, "plantmindisteyetofeet" },
    { 0xB7CC1E05A3146704, "plantnormalcos" },
    { 0x76942FADF8EDBA22, "plantobjstr" },
    { 0x5A5B1A7913C5D789, "plantoffsetz" },
    { 0xDAE1F0D9B1372D07, "plantscharge" },
    { 0x824EED52F4A40377, "planttime" },
    { 0xE6FFFE89AE32584F, "plate" },
    { 0x04226165B93302C4, "plate_dest" },
    { 0x3EE153A4DF45DF0C, "plate_index" },
    { 0x6EDB7BB1853F9980, "platform_array" },
    { 0xA7073FD9E2BAF272, "platform_cleanup_on_death" },
    { 0x9867FB3EFFB58C88, "platform_model" },
    { 0xA8AA543BF672DD17, "play_2f_data_anim" },
    { 0x07223F297068FF19, "play_3p_anim" },
    { 0x93E95ADDB7095E5D, "play_3p_anim_non_animscene" },
    { 0x4BE5DD04039241D3, "play_ac130_approach_based_on" },
    { 0x5A335E42D9AB6252, "play_ac130_approach_scene" },
    { 0x732F82ED8576354C, "play_addtive_head_anim" },
    { 0xE20BD706E821699C, "play_ai_skit" },
    { 0x92F041AFF7A4EA48, "play_ai_taking_to_convoy_firsttime" },
    { 0x13D0A7F7C1A660A9, "play_airdrop_crate" },
    { 0x252A8437BCC4F6E3, "play_airport_success_vo" },
    { 0x20FF30757E2035FA, "play_airstrike_sequence" },
    { 0x9CDFA24289B8B044, "play_alarm_pos" },
    { 0xDC956E5F5ABA2F07, "play_alarms_onto" },
    { 0x3581C02DAB90D65A, "play_alert_music_to_player" },
    { 0x3D2FCD704F86FC2B, "play_alert_music_to_players" },
    { 0xEE891D2336330700, "play_alex_anim" },
    { 0x0C74F77CE5E6C51B, "play_alpha_bink" },
    { 0xF4C2CDD55C1998FC, "play_ambient_idle_scene" },
    { 0x5228A67F1CA05B0D, "play_ambient_idle_scene_single" },
    { 0xB8279E4465A07A51, "play_ambush_sniper_muzzle_vfx" },
    { 0xFD7A863085933699, "play_and_hold_anim" },
    { 0x079468FCE52396AB, "play_anim_and_delete" },
    { 0x0A3FC2243E546C9E, "play_anim_and_then_last_frame" },
    { 0x9177120EAD9A507E, "play_anim_and_then_loop" },
    { 0xFA57DF9DB85F8BAF, "play_anim_and_then_loop_with_nags" },
    { 0x2CD4D17953A15F26, "play_anim_check" },
    { 0x869639E01B017587, "play_anim_sequence" },
    { 0xB8A221F5196F7403, "play_anim_shared_vo" },
    { 0x57652E4366F21CCA, "play_anim_think" },
    { 0x229BBCF3018FC7ED, "play_anim_vo" },
    { 0x06B72D9D689FE291, "play_anim_vo_sequential" },
    { 0x7FB7438AC1CBCC46, "play_animation" },
    { 0x04408A3BC4275CBC, "play_animation_old" },
    { 0xEE693FCB19007802, "play_animation_on_channel" },
    { 0x1E34B579E021CA4D, "play_animation_on_channel_loop" },
    { 0xC57A7C4B64C59500, "play_approach_building_two" },
    { 0xF1504DAB21C8198C, "play_approach_tripwire_building" },
    { 0x971AC998110EAEC6, "play_armor_bink" },
    { 0x4DD09CBFF53640DF, "play_armor_sfx" },
    { 0xC6FFEDBADFE43DDA, "play_authentication_error_window" },
    { 0x0873D55A982AAFDF, "play_bank_intro_vo" },
    { 0x69F5FEFDFB4712B8, "play_basic_pain_overlay" },
    { 0x0A99F0D07CF7B6F6, "play_battle_chatter_vo" },
    { 0xEAE189D995558E5C, "play_bcs" },
    { 0x03620260E53FC4B0, "play_bed_exit" },
    { 0x815E95E8765D4F0E, "play_bink_video" },
    { 0x7F81A6188AFB4592, "play_bink_video_internal" },
    { 0xDC09D85F7623DAFC, "play_blended_interaction_anims" },
    { 0xFDD0B24990390233, "play_blood_pool" },
    { 0x485B2C2A3CE65029, "play_bonus_time_sound" },
    { 0x32FE2E9CFF48A097, "play_breach_anim" },
    { 0x94F717D45E8A7CDD, "play_breach_dialogues" },
    { 0x5611852F9E555554, "play_bullet_impact_vfx" },
    { 0xA08E79FBDD931380, "play_button_sound" },
    { 0x1A7E36251DB752E2, "play_c4_anims" },
    { 0x16D01D0678FFB8D3, "play_cam_rumble_once" },
    { 0x29D3AA50445226CC, "play_cargo_c4_nags" },
    { 0x242A236F2BC2EE3D, "play_cargo_intro" },
    { 0xD5540C3C23364CBB, "play_cargo_train_stopped" },
    { 0xBC17A1AAD34859A6, "play_chopper_kill_vo" },
    { 0xECAEAD1F2D7E6CCD, "play_chute_land_anim" },
    { 0x92306E01240F47F5, "play_cinderblock_broken_fx" },
    { 0x11AF977F3DF0A142, "play_cloud_vfx" },
    { 0x03AE74CFFC633553, "play_collected_key_vo" },
    { 0xEAA7F174191749EB, "play_combat_interaction" },
    { 0xC0025B7D7250A611, "play_combat_music_to_players" },
    { 0x68B69CBB98031BEC, "play_commander_response" },
    { 0x2FE523196C523AE5, "play_consumable_activate_sound" },
    { 0xD86E8FF53A08BC31, "play_contract_announcer_maybe" },
    { 0x0EE2BD397A76952E, "play_convoy_hostage_save_vo" },
    { 0x211C7235BC079B1E, "play_convoy_hostage_vo" },
    { 0x1EA421A1CC445AAB, "play_coop_vehicle_race_successs" },
    { 0x5F5D0A1878DAED08, "play_counter_beep_sfx_on_bomb_vests" },
    { 0x7576385C09F48881, "play_cp_comment_vo" },
    { 0xAF8B761F1BBB4408, "play_crate_vfx" },
    { 0x77D20F748458AF2B, "play_death_audio" },
    { 0x7C056CD0CFDB4EF5, "play_death_sound_with_global_cooldown" },
    { 0x39BDD6538873C21F, "play_deathfx_convoy" },
    { 0x7F364E1692437F44, "play_decel_effects" },
    { 0x163941B40AAD59BE, "play_defender_death" },
    { 0x2427CD52BB83F5A6, "play_dialogue" },
    { 0xDAC51AB2ED4F3243, "play_disarm_operator_vo" },
    { 0x34FFDC7F2BC8219B, "play_disguise_vo" },
    { 0x4B96967438E1A7B9, "play_dom_capture_sfx" },
    { 0xF99F0C19E1C93318, "play_dooropener_kill" },
    { 0xD40E385A2D9D1D28, "play_doors_open_nags" },
    { 0xBEFE4CA858CEA85A, "play_effort_sound" },
    { 0x7064DB7CF922EF9D, "play_elevator_anim_when_group_is_spawned" },
    { 0x8764FA1BFA554638, "play_emp_scramble" },
    { 0x653C5C44C1469173, "play_ending" },
    { 0x2844170DF20A3402, "play_ending_bink" },
    { 0xAF368A3DCC83141D, "play_enemy_incoming" },
    { 0xEF2B7A0AB11E25CE, "play_enemy_overlay_bink" },
    { 0xB762381F1FFB333D, "play_enemy_radio_beep" },
    { 0xA7DC6F02F5760EEB, "play_enemy_radio_chat" },
    { 0xFAD90A07DBB12065, "play_escort_pain_vo" },
    { 0x61C4075D2E7886CC, "play_exfil_dialogues" },
    { 0xF3EDF25BF646E611, "play_exfil_hvt_vo" },
    { 0x3BD2FA586CBF6679, "play_exfil_plane_vo" },
    { 0xC7C13BBD74002B4E, "play_explosion_fx" },
    { 0x536357D9E6F4EDBD, "play_explosion_post_impale" },
    { 0xDCDB133621DE671D, "play_extract_2mins" },
    { 0x1DF99103F8850EE2, "play_extract_3mins" },
    { 0xE8B49C049B27F21D, "play_extract_reminders" },
    { 0x96ED8BFE1A9AAAEA, "play_fake_vo_for_gunship" },
    { 0xFA63F3FFBA9E87FE, "play_final_key_vo" },
    { 0xB6C08C7D92412F12, "play_find_lead" },
    { 0x23081DE5A2F0EFC6, "play_find_lead_good" },
    { 0xB65182E71BA4DE54, "play_fire_system_sound" },
    { 0xBC1790CE4B02C25F, "play_fire_system_sound_loop" },
    { 0x3B9F236D376AE7FD, "play_flashlight_fx" },
    { 0xE5B570C5250F5B4B, "play_flir_footstep_fx" },
    { 0x909059B13E3B38D2, "play_footstep_sound" },
    { 0x4E55AB2946EAF6B5, "play_found_enough_leads" },
    { 0x9ED24AA638D17676, "play_found_first_lead_vo" },
    { 0x3430BFE7CA2E7B54, "play_found_leads_counting" },
    { 0x76D68DD50FD2669A, "play_found_leads_counting_building_one" },
    { 0x122F0A9C2FBF54A2, "play_found_leads_counting_building_three" },
    { 0xF66AD4D56C3E29C0, "play_found_leads_counting_building_two" },
    { 0x035FABC4AD8AD889, "play_freefall_sequence" },
    { 0xE81EA8A38CDEA85A, "play_fulton_evac_on_player" },
    { 0x5FD43BA3A0666D76, "play_fx" },
    { 0xD451F879B3277D9F, "play_fx_with_entity" },
    { 0x77FF01819EF2F0ED, "play_fxlighting_fx" },
    { 0x7BCF58B5B6A639BF, "play_gas_sequence" },
    { 0xEFD7204B15A57531, "play_generic_react" },
    { 0xCEBFE3122E9C596F, "play_gesture_reaction" },
    { 0xC77C30BC8627A855, "play_gesture_reaction_anim" },
    { 0xFEC81BBB0E73B0CE, "play_gesture_reaction_loop" },
    { 0x9A395572C9EC7B60, "play_gesture_reaction_set" },
    { 0x417577847115B34E, "play_get_in_sequence" },
    { 0x01813260DFD8F632, "play_get_in_sequence_for_convoy_vehicle" },
    { 0x0C82E51F84F504A1, "play_get_on_heli_nags" },
    { 0x2B25C420291EE6A7, "play_giveup_after_time" },
    { 0xD0E4D6A931EDC516, "play_go_to_safehouse" },
    { 0x06E2150704E6D279, "play_grenade_reaction_dialog" },
    { 0x19EB6DC2FAD6138C, "play_group_acknowledgement" },
    { 0xB342711D3B8F87BE, "play_group_gesture_performance" },
    { 0x3C156DF906EAEA93, "play_group_gesture_reaction" },
    { 0xF1BA1696B833E402, "play_group_looping_acknowledgements" },
    { 0x79A2063ABBF95242, "play_group_single_anim_into_idle_anim" },
    { 0x3CF9DD6D9FC42CFC, "play_group_single_anim_into_kill" },
    { 0xF5AD3309F0AC0582, "play_grunt" },
    { 0xB5B1E0F4A6DBC7FC, "play_hack_alarms" },
    { 0x2F2CFDCBB8D35294, "play_hack_allieswin_vo" },
    { 0x857828F8E6B0C32C, "play_hack_fail_vo" },
    { 0xE4F74C9565A43DBB, "play_hack_missed_vo" },
    { 0x1F5628AF8DDC53C5, "play_hack_progress_vo" },
    { 0xE2BB071FD44F95A9, "play_hack_reminder_goto1" },
    { 0xE2BB041FD44F8F10, "play_hack_reminder_goto2" },
    { 0xC598604F51125071, "play_hack_vo" },
    { 0xBACB86FF5C32C00D, "play_hacking_started" },
    { 0x8F7915B3C52BA71A, "play_hacking_vo_intro" },
    { 0xB11D611330970291, "play_hacks_interact_vo" },
    { 0x39C13FE6605A5499, "play_hadir_stab_cheer" },
    { 0x6181797929554CFB, "play_heli_scene" },
    { 0xF182E7A2F36BE381, "play_helicopter_vo" },
    { 0xE1274F2C1620EFD0, "play_hit_marker_to_player" },
    { 0x1820ECA01BD8B0D6, "play_hostage_dead_vo" },
    { 0x7CA70D2657CAF23F, "play_hostage_fulton_capture_vo" },
    { 0xC6D158B5B85BBECC, "play_hostage_fulton_vo" },
    { 0xFFD02494D0B5B08D, "play_house_explo" },
    { 0xAA22C1C35B043B4E, "play_hud_reminder_vo" },
    { 0x98439A9A2647D006, "play_impact_fx_on_players" },
    { 0x42610CD460CA80B6, "play_incoming_rpg_vo" },
    { 0x896FB4803FBA035E, "play_informant_vo_at_goal" },
    { 0xFEE9F8F3D308B381, "play_intel_collect_vo" },
    { 0x78F37B870962EDE5, "play_intel_pickup_vo" },
    { 0x38C49410ADD19FD0, "play_interaction" },
    { 0xC69FD221E35577F8, "play_interaction_anim" },
    { 0xA59883035CAF7301, "play_interaction_blended" },
    { 0x70A630CD44E493D4, "play_interaction_endidle" },
    { 0xAE90DA9B530358FC, "play_interaction_gesture" },
    { 0x87BAD3727AA834C2, "play_interaction_immediate" },
    { 0xF78173DBE3FFD6E7, "play_interaction_simple" },
    { 0x3632EEEE44E1F959, "play_interaction_unknowntype" },
    { 0xF26FEECA179D95BA, "play_interaction_vo" },
    { 0xB69F1BA7CAD3EEB4, "play_interaction_with_states" },
    { 0x0235B6BC77806FCA, "play_intro" },
    { 0x531C861AC0C20582, "play_intro2_vo" },
    { 0x6366BDA843D885C7, "play_intro_animation" },
    { 0x798668F8EF046156, "play_intro_getin_anim" },
    { 0x2FF28F3041D10930, "play_intro_hacking_vo" },
    { 0x7DE3183C3F208371, "play_intro_texts" },
    { 0xC4D546ECEF7EC3BC, "play_intro_vo" },
    { 0x6E6D0B45EA86DF53, "play_investigation_done" },
    { 0xDAC9E127EF99340A, "play_jammer_destroyed_vo" },
    { 0x873DFC21734B7F0D, "play_jammer_returning_vo" },
    { 0xC2E066FC258A0ADB, "play_jet_look" },
    { 0xB2FA3A1428A6F855, "play_keys_intro_vo" },
    { 0xF7C06FC7FE9A63A6, "play_keys_vo" },
    { 0xC9A27C815EBD618D, "play_kill_heli_nags" },
    { 0x0A9D0B0DCAEC9573, "play_landlord_infil_vo" },
    { 0x6EAD2B389A5BB741, "play_laststand_scripted_anim" },
    { 0xA3C4116FD9BA0D6E, "play_light_fx_on_door" },
    { 0xA4FCD36B6D25EFF4, "play_lighting_sequence" },
    { 0x33DCB5EFBC97F342, "play_line_and_rotate" },
    { 0x8B69B25C9606BE2E, "play_line_no_rotate" },
    { 0xBCE3A9874D25E9C5, "play_lines_at_goal" },
    { 0xFD33614A229020B5, "play_loop_nagging_hostage_on_convoy" },
    { 0xBBA456D3646A4468, "play_loop_sound_on_entity" },
    { 0x52FD70D4EE272F50, "play_loop_sound_on_entity_with_pitch" },
    { 0xD66D1B3D813CC215, "play_loop_sound_on_tag" },
    { 0x42355FB56CFDA050, "play_looping_acknowlegdements" },
    { 0x55A2246C593BDDA9, "play_looping_breath_sound" },
    { 0x573834D91E894770, "play_looping_skit_anim" },
    { 0xDD091417852B6448, "play_looping_sound_on_ent" },
    { 0xAE2EBF557C225E04, "play_loopsound_in_space" },
    { 0xEC75BF54BBBD5005, "play_lost_health_vo" },
    { 0x67B0AB3300D152C4, "play_lz_vo" },
    { 0xF7FF2D817720BF7C, "play_mark_barrel_vo" },
    { 0xA009675CDEFD3C4D, "play_marker_vfx_on_enemy_players" },
    { 0xC35ED82517FBF0BD, "play_marker_vfx_on_friendly_player" },
    { 0xA5862793BF12950A, "play_marker_vfx_on_friendly_players" },
    { 0xE8D76B5C5B027B45, "play_mask_remove" },
    { 0x261CD9BD7E740874, "play_mayhem_animation" },
    { 0x5D0A4F97E3827737, "play_mhc_plane_escape_skit" },
    { 0x7D83D974164CA1DF, "play_missile_target_marker_vfx_on_missile_target_ent" },
    { 0xD33D426A9D928E78, "play_mission_complete" },
    { 0xB616395035E37572, "play_mission_complete_vo" },
    { 0x6DBFC6B4D98FCB32, "play_mission_end_vo" },
    { 0x4AD60C856B95D6CC, "play_movie" },
    { 0x3B7D0912D7D684D5, "play_mp_sound" },
    { 0x5FB8D46E28DC8F5F, "play_multi_anim" },
    { 0xA4D2E728D7E0A0F9, "play_music_on_wave_reinforce" },
    { 0xFB321DF3A75B0FA7, "play_music_to_team" },
    { 0x3CBEE53A11A42C24, "play_nag_hack_vo" },
    { 0xA1F148DC9BF2C873, "play_nag_intro_vo" },
    { 0xE54A7A33FFF57E8E, "play_nag_players_hvt_callouts" },
    { 0x1F63B36A4199E83F, "play_nag_players_interact_fulton" },
    { 0xF9FC2B1310A08CAE, "play_nag_players_place_hvt" },
    { 0xB7699FCAD7B3109A, "play_nags_from_array" },
    { 0x315EE8988708DC45, "play_new_convoy_vo" },
    { 0x421739E92B7ED1B1, "play_new_idle" },
    { 0x59450E0CCA54958E, "play_new_tread_vfx" },
    { 0x78F835343A9BB196, "play_note_anim_vo" },
    { 0x5B16D0906BD87256, "play_nuclear_core_vo" },
    { 0xAD9FDBE1B23BD384, "play_onboard_plane_vo" },
    { 0x94C03D274C97014F, "play_operator_reply_vo" },
    { 0x90526274982B480A, "play_origin" },
    { 0x7640DB9416ADD455, "play_out_intro" },
    { 0xD75B18C10044BBC7, "play_outro_vo" },
    { 0x221095B8B986D531, "play_overlord_howcopy_vo" },
    { 0x14BABCD52FA59549, "play_overwatch_vo" },
    { 0xF6BB1B94C6DE8BA3, "play_pain_photo" },
    { 0xA2E07BAF07F30F64, "play_patrol_sequence_based_on_first_vehicle" },
    { 0xA18AD083A3BD39CE, "play_player_approach" },
    { 0xB26FABFF7B31344D, "play_player_disguise_vo" },
    { 0xC2A977CC408DF42C, "play_player_falling_anims" },
    { 0x0304B94AEB95C80F, "play_player_follow_truck" },
    { 0xA3EA9CFCEBB9C6E3, "play_players_arrive_at_exfil" },
    { 0x4FAF74A333BE48EC, "play_players_arrive_at_extraction" },
    { 0x542F95C38D5C4112, "play_players_see_informant_before_aipickup" },
    { 0xE555C9041A6B8659, "play_players_take_hvt_firsttime" },
    { 0x8C2241675839C3B8, "play_priming_anim" },
    { 0x6ADD5380508A958C, "play_projectile_nearby_dialog" },
    { 0x7CD06F9AD3A1BE3B, "play_pullout_sequence" },
    { 0xD1D60AC227D7FA41, "play_quarry_intro_vo" },
    { 0x59ACBDD2C55B7A79, "play_question_nag" },
    { 0xD543D7D1EC3AA58B, "play_quick_reaction" },
    { 0xAC15EBC997E5E6B3, "play_random_idles" },
    { 0x91D2699D7BA817F8, "play_random_sound_event" },
    { 0xA2C70BF2A475B286, "play_random_sound_in_space" },
    { 0x0D540E6E413BEB6F, "play_rappel_intro_anim" },
    { 0x536CB65545BFD96A, "play_reactive_fx" },
    { 0x0E97499DFAE408A8, "play_reminder_anim_distance" },
    { 0xED5CC4A592C17DC3, "play_rescue_anim" },
    { 0x023439F169A115C1, "play_rescuer_nags" },
    { 0x9134FBBC6326BDEA, "play_rescuer_reaction01" },
    { 0x9134FABC6326BBB7, "play_rescuer_reaction02" },
    { 0xE3E8D608A05E8468, "play_reset_priming_anim" },
    { 0x3A6441C62CC84942, "play_reset_sequences" },
    { 0x435F83258B3DAD55, "play_revive_gesture" },
    { 0xB20E505086C2865D, "play_rooftop_success_vo" },
    { 0x87698BB589CB066D, "play_running_anim" },
    { 0x9EC66FD169CCC0CB, "play_running_anim_internal" },
    { 0x330BEC8D958D24D0, "play_scene_safe" },
    { 0x521D6A4F95D38CA5, "play_scramble_for_player_until_cleared" },
    { 0xEF62E34D305DE71C, "play_scriptable_car_with_notetracks" },
    { 0x6AFF1CB692A2DE86, "play_scripted_anim" },
    { 0xD4A9DA3D6189EA63, "play_searched_buildings_vo" },
    { 0xF862D15D318F2F42, "play_searching_new_convoy_vo" },
    { 0x35CCB089E639A720, "play_seat_animation" },
    { 0xEA2B6BC33570B55D, "play_seating_anim" },
    { 0x533EAD644996CC20, "play_seating_anim_and_exit" },
    { 0xAA74AB83C7FA0BB4, "play_secure_barrel_vo" },
    { 0x62CF3FA4BC366C2F, "play_shoot_tires_vo" },
    { 0xC9C9AEFE32A34252, "play_silent_acknowledgement" },
    { 0xCE1B17238581054B, "play_single_acknowledgement" },
    { 0x0C6CD9B071FAEEFC, "play_single_anim" },
    { 0xFE38D1BBD4DB9CCE, "play_single_anim_into_idle_anim" },
    { 0x7818A13FE3168360, "play_single_anim_into_kill" },
    { 0x3729D2CA9A67F517, "play_single_anim_last_frame" },
    { 0x9EF1AD41AF588E64, "play_single_anim_player" },
    { 0xBEA50299FD59D19E, "play_single_anim_then_move_to" },
    { 0x8BA132341B516546, "play_single_skit_anim" },
    { 0xEEB83C2F3C4B15CB, "play_sitting_loop" },
    { 0xF0D1C8E3A248BF63, "play_skippable_cinematic" },
    { 0xFC01BF9213898F07, "play_skit_and_watch_for_endons" },
    { 0xC3CDB46853AE4287, "play_smart_basic_group_interaction" },
    { 0xE831C231347FD6FB, "play_smart_basic_interaction" },
    { 0x239C7299096C4979, "play_smart_dialog_if_exists" },
    { 0xC1947BA026BD9D32, "play_smart_interaction" },
    { 0x869AB26B914376A4, "play_smart_silent_interaction" },
    { 0xC79C4FDE5FF5D2D3, "play_smart_simple_interaction" },
    { 0xF97FDF19697B0487, "play_smart_simple_silent_interaction" },
    { 0x8B3DD3817AD804B5, "play_smart_vo_interrupt" },
    { 0x5B0BC54D81A69594, "play_smoke_fx" },
    { 0x16295C025233A06B, "play_smoke_sequence_on_ent_looped" },
    { 0x97558476264410E7, "play_smoke_start_sounds" },
    { 0xDBAE5396E12D0FD6, "play_smoke_vfx_on_tires" },
    { 0xA39295ECD095F8B5, "play_smoke_vfx_on_vehicle" },
    { 0xCFCC47F221CBE695, "play_smuggler_arriving_vo" },
    { 0x706F852F5529BE1E, "play_snd_on_tag" },
    { 0x3EA6706236683FD1, "play_sniper_glint_on_ambush_sniper" },
    { 0x4DBBD668E3C56AEF, "play_solo_vo" },
    { 0xB51B13DDD08E4C38, "play_sound_at_viewheight" },
    { 0xD7266B168BEC97AD, "play_sound_at_viewheightmp" },
    { 0x8BE802E001D9B833, "play_sound_countdown" },
    { 0x68E6613501948094, "play_sound_from_closest_player" },
    { 0xFE212CBAF54115AE, "play_sound_in_space" },
    { 0xA452A9CB408B8571, "play_sound_in_space_no_combat" },
    { 0x6C30CAC07188D05C, "play_sound_in_space_with_angles" },
    { 0xD11DD2256FC0EF99, "play_sound_on_entity" },
    { 0x961B970A49BF65BC, "play_sound_on_pa_systems" },
    { 0x237696BBEC525992, "play_sound_on_tag" },
    { 0xD0DA7B263B2EBFA4, "play_sound_on_tag_endon_death" },
    { 0xFB40CF49368D5515, "play_sound_safe" },
    { 0x8587AEA5044EC928, "play_sparks_power" },
    { 0x71EAA15CD421C5F9, "play_spin_down_sfx" },
    { 0x3AD65991213C94DC, "play_spin_up_sfx" },
    { 0x2401C611CA21007E, "play_spit" },
    { 0x7F6ECFC24E21FCC1, "play_spitter_pain_overlay" },
    { 0x8911BE4F3334946E, "play_spotrep_capture_sfx" },
    { 0x09C82536ACDAAC8A, "play_start_hunting_vo" },
    { 0x375B05F3C51C48FE, "play_state_based_interaction" },
    { 0x94059D5B98FC5E11, "play_station_closed_vo" },
    { 0xF7D5BE84F9B6454D, "play_stealth_broken_vo" },
    { 0xBF5D9F18B3AC64FF, "play_stealth_vo" },
    { 0x2A768B764EC71ECC, "play_stealth_vo_alias" },
    { 0x6413BDD4FA7AD47A, "play_stealthy_disguise_vo" },
    { 0x82D26F4AC46CA164, "play_struct_fx" },
    { 0xEB927A675FD99941, "play_tailgate_sfx" },
    { 0x23A5D646511FCEF7, "play_takephoto_anim" },
    { 0x4FD9BED39F462D5B, "play_tape_machine_animation" },
    { 0xE20BD36747554EF8, "play_tape_machine_animations" },
    { 0x9BC7138738F94659, "play_terrorist_respawn_music" },
    { 0xD07A5B4E02DD02A3, "play_then_delete" },
    { 0x2E2D06E2A570DB31, "play_thrust_fx" },
    { 0xAC79C86F345F30FC, "play_time_monitor" },
    { 0x55A6BA9167651403, "play_timerstart_vo" },
    { 0x4725E638AF841C61, "play_track_damage_screen_vfx" },
    { 0x539A3EC255AC1CD6, "play_train_sequence" },
    { 0xC47CE5DD82F317AE, "play_train_speaker_vo" },
    { 0x88CD1419E9A2A572, "play_train_speaker_vo_internal" },
    { 0xCD4D64E5D18E7F76, "play_travel_vo" },
    { 0x2BBAF319E2590338, "play_tread_vfx_think" },
    { 0x8FF7BBE634F3B365, "play_tree_animation" },
    { 0xA6C119984FB51F63, "play_tree_animation_internal" },
    { 0x37F7FC7915AA6A17, "play_trialympic_flames" },
    { 0x5FF0BABBC6128BC1, "play_truck_anim" },
    { 0x833E08C705A38B84, "play_turbulence_fx" },
    { 0xBA1D8B6D9EF194EF, "play_usb_anims" },
    { 0x645F87BC21D9099C, "play_usb_anims_single" },
    { 0x5A67DC2C8F5817FB, "play_usb_pickup_gesture" },
    { 0xCD48358E7317CB10, "play_vehicle_anim" },
    { 0x761C0EF5BE64341C, "play_vfx_between_points_marked" },
    { 0xBF82B86C2A69D2FC, "play_vfx_on_repair_part" },
    { 0x601A4EA3A0B326AF, "play_vo" },
    { 0x3BE6F878FDF9AC4E, "play_vo_bucket" },
    { 0x0675471AA7DBAEAF, "play_vo_bucket_looping" },
    { 0xF23F3C4E225AC77F, "play_vo_delay" },
    { 0x8B7107B2D052CE45, "play_vo_for_trap_kills" },
    { 0x63DE695679D1DD11, "play_vo_internal" },
    { 0xF1C48D9DD5C2550A, "play_vo_line" },
    { 0x8C1F39DF9E6EE52F, "play_vo_line_delayed" },
    { 0x0D71807EF8B81DF8, "play_vo_on_all_players" },
    { 0x020D24A62BD2848E, "play_vo_on_intel_drop" },
    { 0xF6F54B1BA412CB87, "play_vo_on_intel_pickup" },
    { 0x6E618635BCCEF26B, "play_vo_on_player" },
    { 0x81006763E72651F1, "play_vo_on_stuff_pickup" },
    { 0xAE768F729F650361, "play_vo_or_timeout" },
    { 0x6D54A57111F21611, "play_vo_system" },
    { 0x6BB8F4E569D765E9, "play_vo_to_all" },
    { 0xB108B87CC01C9B4B, "play_vo_to_player" },
    { 0x7C37BAADACD6E7FF, "play_vo_when_near" },
    { 0x12FC5E1151946341, "play_waitfor_ai_drop_vo" },
    { 0xDB5CFE87E7F24DB8, "play_weapon_purchase_vo" },
    { 0xA2377E0B60CA4DA8, "play_win_vo" },
    { 0x65EFEFF34870DC91, "play_wolf_vo_on_this_speaker" },
    { 0x4BB08307478DF954, "play_wolf_vo_speaker_debug" },
    { 0x25CBD30FCD370679, "playac130animinternal" },
    { 0xB04CB6FD85E9D940, "playac130infilanim" },
    { 0x474257DFA6D7EE73, "playac130infilloopanims" },
    { 0x1E5C2E2D9BF6E8E6, "playaliasoverradio" },
    { 0x0D6BF748504128FE, "playanim" },
    { 0xD4E7F358019859B5, "playanim_aibegindismountturret" },
    { 0x320C01EAE6692392, "playanim_aidismountturret" },
    { 0x05E45691E5ECE231, "playanim_aioperateturret" },
    { 0x6DEFAA56D471EAD8, "playanim_arrival" },
    { 0x55BDB50369BDCEF3, "playanim_arrival_cleanup" },
    { 0x812B52869EA3E3B7, "playanim_arrival_handlestandevent" },
    { 0x5EBF2A7B80C4CFC7, "playanim_arriveatvehicle" },
    { 0x3BFB87504FD40DB5, "playanim_bark" },
    { 0x02052D1218E8124A, "playanim_bomberdeath" },
    { 0x96B7D4393791511B, "playanim_bombermoveloop" },
    { 0x04AEC82A1AC2B026, "playanim_burning" },
    { 0x9B82323260898B4C, "playanim_deploylmg" },
    { 0xC38D7C16E944BBF2, "playanim_deployturret" },
    { 0xC11DE9A9B0E3C74E, "playanim_dismountlmg" },
    { 0x5BA91005960D8744, "playanim_dismountturret" },
    { 0xBF56BC1E0A0C451E, "playanim_droplmg" },
    { 0xBD4FAAD6025FE3ED, "playanim_entervehicle" },
    { 0x5FDD19C64D1FF0C3, "playanim_exit" },
    { 0x8E950852008D86F1, "playanim_exitvehicle" },
    { 0xB41B3B9CA89D44C4, "playanim_explode" },
    { 0x9937105FC9710FEA, "playanim_flashed" },
    { 0x96C855127A7CF766, "playanim_flashed_internal" },
    { 0x1A43092CDC48EF13, "playanim_growltrack" },
    { 0x7377411D8BD1B060, "playanim_headtrack" },
    { 0xB806891D6377B449, "playanim_idle" },
    { 0xE2548DEC305DAD42, "playanim_monitorflashrestart" },
    { 0x1B0B37C9037B2426, "playanim_mountturret" },
    { 0x840D01ED16374F3E, "playanim_newenemyreaction" },
    { 0x54044EEF259AE877, "playanim_opendoor" },
    { 0x41D73F70D2F1AED0, "playanim_patrolreact" },
    { 0x755CE0FBBA32D6D8, "playanim_patrolreact_internal" },
    { 0xC7AA31270FBE7CA6, "playanim_pushed" },
    { 0x64CC3BCF2A0AA1C1, "playanim_stairs" },
    { 0xAFD137B5D2BE8CC9, "playanim_strafeaimchange" },
    { 0xB21E800308BBB3F5, "playanim_strafearrival" },
    { 0xF2D393D12BAAE227, "playanim_strafearrive" },
    { 0x8EA113165A33BF54, "playanim_strafearrive_cleanup" },
    { 0x6CC4A28F0788A546, "playanim_strafereverse" },
    { 0x2FC8AB937ABC8146, "playanim_strafereverse_donotetracks" },
    { 0x7C229ACF6B00098C, "playanim_strafestart" },
    { 0xE9C7F29CF984FC23, "playanim_stumble" },
    { 0x06382BFE64AE37FD, "playanim_throwgrenade" },
    { 0xEE50FCEDF52AE2D6, "playanim_throwgrenade_cleanup" },
    { 0xACAE4C58FE23C801, "playanim_vehicle" },
    { 0xC4D0D54B59621A59, "playanim_vehicledeath" },
    { 0xA3B453A226742DD7, "playanim_vehicleidle" },
    { 0xB13E4DD5E5E27C88, "playanim_vehiclereload" },
    { 0xE8D5F83EE82BE253, "playanim_vehicleturret" },
    { 0x37A95E8E6977669B, "playanim_vehicleturret_terminate" },
    { 0xA66DC78A80FFC52B, "playanim_waitforpathclear" },
    { 0xDB8861589A1F0B32, "playanim_waitforpathset" },
    { 0x36B5D90CC05D94D3, "playanim_weaponswitch" },
    { 0xC4718B4B0BDCEB92, "playanim_zeroarrival" },
    { 0x7CE8E816B50BBFD1, "playanim_zeroarrival_cleanup" },
    { 0xCC05C50A5E0D0535, "playanimandusegoalweight" },
    { 0x6A295ED7EA3A738F, "playanimation" },
    { 0xA5C1209FB96CFAB4, "playanimfortime" },
    { 0xE00AA81B6C1A6B83, "playanimnatratefortime" },
    { 0xA8EE59FA9A417A90, "playanimnatrateuntilnotetrack" },
    { 0xE7FE02028E267B30, "playanimnatrateuntilnotetrack_safe" },
    { 0xFFD84090E56EDE2E, "playanimnfortime" },
    { 0x9604C043736150DB, "playanimnuntilnotetrack" },
    { 0x965118A80F894739, "playanimnuntilnotetrack_safe" },
    { 0x9A53DA4253FFB7D6, "playanimnwithnotetracksfortime" },
    { 0xF49BE87C6E28127F, "playanimnwithnotetracksfortime_helper" },
    { 0xCAA215D5F785C767, "playanimscriptevent" },
    { 0xBBC12D42B4B589A9, "playanimscriptsceneevent" },
    { 0xAA4E993E9BB7D7D9, "playanimuntilnotetrack" },
    { 0x9729D88D2E71BE56, "playanimwithdooropen" },
    { 0x18E800DA9AB71631, "playanimwithsound" },
    { 0x315924DDD9EDEA7D, "playannouncerbattlechatter" },
    { 0x1B1459FB74EA5DD5, "playannouncersound" },
    { 0xAEBA9200B79C92FB, "playantigravcleanup" },
    { 0x846B0A5F777B2CF8, "playantigravfall" },
    { 0xB36FBF34696F85DB, "playantigravfloatidle" },
    { 0x81BAE2466DD98608, "playantigravrise" },
    { 0x4365FD681D0F48A8, "playapache_dialogue" },
    { 0x0FBF7808EF8EBFEA, "playapacheonly_dialogue" },
    { 0x2D9ED80526062AD4, "playbackendtime" },
    { 0x0D88C7639615CAAD, "playbackstarttime" },
    { 0x436410CFEEE43578, "playbalconydeathanim" },
    { 0x3A487338DF0B7D5E, "playbattlechatter" },
    { 0xB4C2AC581CCAD69D, "playbattlechattersound" },
    { 0xC05647612BFFD056, "playbattlechattersoundexpensive" },
    { 0xACF895C507BD2497, "playbattlechattersoundsplitscreen" },
    { 0xDC34DFFB9FBBACB9, "playbcanim" },
    { 0xA80B0136CE08AEEE, "playbeamfx" },
    { 0xF087C62469DEA573, "playboxuseanimation" },
    { 0x519A397F6994E096, "playcapturesound" },
    { 0x79A97FB38B905652, "playcinematicforall" },
    { 0xCE942237D1ECA7D8, "playcinematicforalllooping" },
    { 0x8092F0FA42D27AD6, "playcinematicforplayer" },
    { 0x21D2C90C87A0E9AC, "playcinematicforplayerlooping" },
    { 0x54D9865423B3C837, "playclothmovesound" },
    { 0xC4CA7CECEDFEABED, "playcontextsound" },
    { 0x270B70B097FB49F7, "playcoveranim" },
    { 0x368448DFC34A2C38, "playcoveranim_droprpg" },
    { 0x4C04BC1F7E351953, "playcoveranim_gesture" },
    { 0xAF60CA275931FBCE, "playcoveranim_throwgrenade" },
    { 0x0970AFC003700E55, "playcoveranim_throwgrenade_cleanup" },
    { 0x60C5CDA15A5D67CE, "playcoveraniminternal" },
    { 0xDEC7234DB193F75D, "playcoveranimloop" },
    { 0x84EBD832FF3FCA4A, "playcoveranimloop3d" },
    { 0x366E9A6E3C130C28, "playcovercrouchlmg" },
    { 0x7C1DD6D28349DCDB, "playcoverpainanim" },
    { 0xE239047F4D566994, "playcoverpainanimwithadditives" },
    { 0xDE319545E25DC43A, "playcrateimpactfx" },
    { 0x7E82F1A73D5FEBFB, "playcrawlflipover" },
    { 0x4DC45C50881FB6A9, "playcrawlingpaintransition" },
    { 0x754DA79CA605D65D, "playcreditlines" },
    { 0x71D2523C016E745F, "playcredits" },
    { 0x3FDFD6695A7DAA6C, "playcustomevent" },
    { 0x58DB169DB9672BAF, "playdamageefx" },
    { 0x645FA604D9B5AB42, "playdeathanim" },
    { 0x6F3FEB54FFD8A672, "playdeathanim_groundturret" },
    { 0x1DEFEDC29182FB69, "playdeathanim_melee_ragdolldelayed" },
    { 0xD6166DD92AE894BD, "playdeathfx" },
    { 0xE0A6EC876FEA773A, "playdeathsound" },
    { 0xBC4940A0D2535FE7, "playdeathsoundinlaststand" },
    { 0x7F426CE8C96D2BA2, "playdeathsoundph" },
    { 0x77D27B19395B38EB, "playdeatomizefx" },
    { 0xCDA65B1E5B67DC05, "playdlightfx" },
    { 0x11AF1ACFE32B4358, "playdoublejumpfinishanim" },
    { 0x6FAB254772CEC569, "playdoublejumpmantle" },
    { 0x1183CBB0AC590D84, "playdoublejumpmantleorvault" },
    { 0x9ABB4726A30673A0, "playdoublejumptraversal" },
    { 0xC9C1FDA1877560BE, "playdoublejumpvault" },
    { 0x20F3E3C83ACBB549, "playdyingbackidle" },
    { 0x44D21ABA77B67B6E, "playdyingbackshoot" },
    { 0x66B082486BD59F73, "playdyingcrawl" },
    { 0x2EFAC2A01A8F2D7C, "playdyingcrawlback" },
    { 0xF2AFF6CAA19959A6, "played" },
    { 0x2EF5F5BC181003A5, "played_convoy_vo" },
    { 0x881E5945A18B03F9, "played_fulton_crate_anim" },
    { 0x277A87AF04983E5F, "playedheliintrovo" },
    { 0xD7CB94EA6E7DD093, "playedinfilmusic" },
    { 0x4344AFD9BCFD286F, "playedmatchendingsoon" },
    { 0x03F4EBC7F636E6FD, "playedonesplash" },
    { 0xD50A7025F5B95069, "playedstartingmusic" },
    { 0xE9ACE27D621C878C, "playencryptedcinematicforall" },
    { 0x01C76E66B8CCAC18, "playencryptedcinematicforplayer" },
    { 0x052405FD9815280D, "playendofmatchtransition" },
    { 0xDAB7691BBFE21E46, "playepicbroshotsound" },
    { 0xDB6CDC63041EB1CF, "playequipmovesound" },
    { 0xF2B008CAA199813C, "player" },
    { 0x9EDF4A32B432F71B, "playerSpread" },
    { 0x42BDDA6B60977422, "player_abilities_disable" },
    { 0x51C3AB37982D22C9, "player_abilities_enable" },
    { 0x6FE2719F51FDFD54, "player_action_disabled" },
    { 0xD5BD37EFCB7B177C, "player_adsed" },
    { 0xC281F894A3EACC8D, "player_adsed_monitor" },
    { 0xEFF0D41F632B807D, "player_ai_fill" },
    { 0x9BE26EDD67C33E89, "player_aim_at_think" },
    { 0x0033BD5AED486222, "player_aim_target" },
    { 0x5DEF7CD822CD228E, "player_aiming_at" },
    { 0xA3CDA6BBF8A4BBE5, "player_aiming_at_2d" },
    { 0x3789B0C1E0E118E2, "player_aimingtowardsenemy" },
    { 0xB7CF5440D29339E2, "player_allyfriendnamelogic" },
    { 0xF42A01CEBC27E561, "player_already_has_overwatch_gunship" },
    { 0x6773B7CFFAC68EB2, "player_ammo_crate_hint_watcher" },
    { 0x45D1F93B485A33DC, "player_ammo_think" },
    { 0xBAF0105DB4143EF5, "player_anims" },
    { 0x3F369E845340C789, "player_apply_local_view_position" },
    { 0x9AF7BC453B144074, "player_apply_local_view_rotation" },
    { 0xA68D382815A0D299, "player_apply_local_weap_position" },
    { 0xB6F77AFDD1B9AF84, "player_apply_local_weap_rotation" },
    { 0x179DE80461FC8118, "player_approach_tunnel" },
    { 0xA84304A2B2AFA40E, "player_at_power_max_ammo" },
    { 0x02A91840DD3BDBF6, "player_attacker_accuracy" },
    { 0x1315B697C5593C13, "player_attempt_say_foundlead" },
    { 0xF6590DA988F03CC9, "player_battlechatter_check_for_crate_pickups" },
    { 0x9AB67801A3C1DC96, "player_battlechatter_cooldown_control" },
    { 0x868B959B36B4B0B5, "player_battlechatter_event_clear" },
    { 0xEED6E4183F2CC48E, "player_battlechatter_generic_event_check" },
    { 0x62A59BC5679B2352, "player_battlechatter_off" },
    { 0x17A2342FE0181AF7, "player_battlechatter_off_thread" },
    { 0xBF5667957E97C298, "player_battlechatter_on" },
    { 0x59FE6AA6FFC5DDB1, "player_battlechatter_on_thread" },
    { 0x86403D7B576E4F12, "player_bedroom_clear_handler" },
    { 0x6A9A705363102A1F, "player_behind_hadir_watcher" },
    { 0x0CBFC49AA61CF96D, "player_behind_tank_think" },
    { 0xF2819C2DFAD949CB, "player_behind_tank_think_internal" },
    { 0xCE9E3D5E151B359D, "player_being_tracked_in_stealth" },
    { 0x3A75E1142F072CAD, "player_best_time" },
    { 0x01913A95D7F74301, "player_black_screen" },
    { 0x5F49590097D3ED03, "player_bleed_out_func" },
    { 0x56CFC88433EDBD0A, "player_bob_scale_set" },
    { 0xF3B7BFCA7484EA49, "player_body" },
    { 0xF195CCEBC34F09B4, "player_bomb_init" },
    { 0xBEA8A073CB0EEBAF, "player_breath_context" },
    { 0xCC02A372B8A839D8, "player_broadcast" },
    { 0x9337C63CF06EBC79, "player_bump_management" },
    { 0x6B9CCAB35CE08FBA, "player_burn_death_overlay" },
    { 0xA8F0FA61D7F624F2, "player_button_press_think" },
    { 0x4C3389C832ACF85E, "player_call_out_ceiling_guy_on_damage" },
    { 0xCF58BC37CA7B27CB, "player_cam_disable" },
    { 0x09B2DB813E5C7FA6, "player_cam_enable" },
    { 0xB4AED80A492C4E00, "player_camera_moving_logic" },
    { 0xCFA2BE1B1AAC3413, "player_can_mount" },
    { 0x2233281901186E0C, "player_can_see_ai" },
    { 0x361B50C4A576067E, "player_can_see_an_enemy" },
    { 0x56D6D5888869DFCC, "player_can_see_p_ent" },
    { 0x40EE29E56776FC2F, "player_can_take_sniper_damage" },
    { 0x3854EED95C0DEE0C, "player_can_use_munitions" },
    { 0x4E5A36C23DD18024, "player_cansee_buddy_down_flashed" },
    { 0x3D53EF90ADF06E90, "player_car_enter" },
    { 0x10717B3FEB2B362F, "player_carried_anim" },
    { 0xA4AC1FCAD303788A, "player_carrydebuff" },
    { 0xA55A486E0207E3CC, "player_carrying_rpg" },
    { 0x339EB2DC84A48BCF, "player_casualty_vo" },
    { 0xA02DE5D5CDB03D9F, "player_character_index" },
    { 0xFD44820D1C846DF1, "player_character_info" },
    { 0x5FADAAF567D8FEC7, "player_character_num" },
    { 0xEC3C1AC0161FB236, "player_choppergunnericon" },
    { 0x0503761E3AACD73F, "player_cinderblockcreateinteract" },
    { 0xFF47C5014DC2CABC, "player_cinderblockdropaudiologic" },
    { 0xFFD25C944885AEBA, "player_cinderblockdroplogic" },
    { 0x8070D416C7F8D254, "player_cinderblockgetpickups" },
    { 0x4ADA3D64427B0C84, "player_cinderblockgive" },
    { 0x97744ED2778CE8DB, "player_cinderblockinit" },
    { 0xAFE85055994F7553, "player_cinderblockinteractdisplaylogic" },
    { 0x209284972CA00BEF, "player_cinderblockkillinteractlogic" },
    { 0x7B68EC19E6533FFD, "player_cinderblockladderlogic" },
    { 0xEB89E961407E8F3A, "player_cinderblockplayerpickuplogic" },
    { 0xA47FC7830D15CC3E, "player_cinematic_motion_override" },
    { 0xFD529BEE292F7A08, "player_cinematic_swap" },
    { 0xE37E210B10EBBE14, "player_cleanupongameended" },
    { 0xB83E94FE976A4E0F, "player_cleanuponteamchange" },
    { 0x3106C3F80336F9A0, "player_clear_armory_nag" },
    { 0x244145E64795AAE5, "player_clear_of_truck_watcher" },
    { 0x43380A651860381E, "player_clear_pass_target" },
    { 0x64AEE7FC47EF3637, "player_clear_truck_nag" },
    { 0xB894F5ACB122FB17, "player_clip" },
    { 0xA5ED047F83009558, "player_clip_thread" },
    { 0xDD4412A4FF9FD7EA, "player_closes_in" },
    { 0x3C965C90E54160C1, "player_color_node" },
    { 0x167006A8842AD3D1, "player_complete_trial" },
    { 0xC098BE759382B586, "player_completed" },
    { 0x379E02B88547F27F, "player_connect_fade_in_logic" },
    { 0x946F970A6630E118, "player_connect_monitor" },
    { 0x2007FEEE7A105DD7, "player_controller_push_along_vehicle" },
    { 0x8F51C915DB7C2805, "player_controls_failsafe" },
    { 0x891C4BB693787220, "player_count" },
    { 0x01FB2A8E0E54C948, "player_count_left" },
    { 0x0403C470411F9DB8, "player_covertrigger" },
    { 0x3BB1E64E7F2CBC7C, "player_covertype" },
    { 0x4975EECEC598F29E, "player_crouched" },
    { 0x189A2A3DC4D86BE4, "player_current_primary_is_rpg" },
    { 0x18FC2562CAA94EA1, "player_damage_based_on_dist" },
    { 0x9CAE2869214CD26B, "player_damage_blood" },
    { 0xC14745CF658E15D5, "player_damage_thread" },
    { 0xE4D0B955F7754FD1, "player_death" },
    { 0xA37DE169C4536CAE, "player_death_animation_enabled" },
    { 0x3189525F5FB5DEE2, "player_death_override" },
    { 0xDF7BB6E9AD085310, "player_death_refs" },
    { 0x2A0B09FE5B64BAB9, "player_defuse_anim" },
    { 0x04CF0E8C9A7801D7, "player_delete_ball_goal_fx" },
    { 0xC41F105C7093D94C, "player_delete_flag_goal_fx" },
    { 0x14A568144451F94F, "player_demeanor_monitor" },
    { 0xAE8269766ECBED35, "player_deposited_heli" },
    { 0xD712E3D0BFE4CE77, "player_dialogue" },
    { 0x5AC538992BD7BD1E, "player_dialogue_clear_stack" },
    { 0xFB8D2B0C33F8DDF6, "player_dialogue_emitter" },
    { 0xC0AF6452B0022DD3, "player_dialogue_gesture" },
    { 0x1A0373C4ED66D93B, "player_dialogue_interrupt" },
    { 0x1FB0C00F57767B80, "player_dialogue_stop" },
    { 0xAAFCEE2840D52011, "player_dialogue_struct" },
    { 0x5A6232DCD392E250, "player_did_slide" },
    { 0x47EF344C25123BE4, "player_die_from_smoke_inhalation" },
    { 0x12EBFC46A9908A65, "player_die_from_smoke_inhalation_thread" },
    { 0x8A7F52730F8AEC6F, "player_died_during_course" },
    { 0xC89699A2C140F978, "player_died_recently" },
    { 0x98E09AA87552D352, "player_died_recently_degrades" },
    { 0x34682538A6721507, "player_disable_invulnerability" },
    { 0xA7C9468831CDD62F, "player_disconnect" },
    { 0xDC6DB8A1AD3B6D7E, "player_disguisebottomanimatelogic" },
    { 0xEFDD1571FA82BA5F, "player_disguiseon" },
    { 0x1DFFA713554BD49A, "player_disguisetopanimatelogic" },
    { 0x86CF78C5C4C13786, "player_dist_check" },
    { 0xBE3755998217E4F5, "player_do_black_screen" },
    { 0x9592BE681F517E3B, "player_dodronecooldown" },
    { 0x187CBD6C77CC29B0, "player_doesweapondrawallynames" },
    { 0x2B9F06FF01414801, "player_door_gesture" },
    { 0x95211FD742957E86, "player_door_wedge" },
    { 0xE0BE335AD045039C, "player_drivingtank" },
    { 0xCFDFF1DDF0D829A3, "player_drone_damage" },
    { 0xBA6A6E763B144DB7, "player_dronecancellogic" },
    { 0x6BB783261451955F, "player_dronecleanuplogic" },
    { 0xF92A711DF96A38B4, "player_dronecontrollogic" },
    { 0xCA420F3C530B2B85, "player_dronecontrolmanager" },
    { 0x5352FC977E684410, "player_dronecooldown" },
    { 0x039E0418ED8EC3A1, "player_dronedebugenabled" },
    { 0xF1FF9B9C1E0D265A, "player_dronedebugline" },
    { 0x4B4D2E17927CF679, "player_dronegetstartstructs" },
    { 0x5BF8BBD364705CBB, "player_droneinit" },
    { 0x8B9E304EE850A989, "player_dronelogic" },
    { 0x6F9BCC1B7A67B3D2, "player_dronemodel" },
    { 0x3F007A738527A230, "player_dronespawn" },
    { 0x3F168C0453B0EB06, "player_dronespawnlogic" },
    { 0x4AD99F6CCE0C8CC8, "player_dronespawnoverlaycancellogic" },
    { 0x1FD533F2AD04BD9F, "player_droneusenags" },
    { 0x3389A303C40EC9AA, "player_droneusereminder" },
    { 0xBD7F5D284EB5AAE9, "player_dronevisionsetfade" },
    { 0x6ACAE00B10535BDA, "player_drop_to_ground" },
    { 0x88363E5AFED66694, "player_dropballisticsweaponinteractlogic" },
    { 0x2B0AB4419D27CC56, "player_dropballisticsweaponlogic" },
    { 0x3BC324511FA1538E, "player_early_shot_watcher" },
    { 0x39E22036DFA2286E, "player_enable_invulnerability" },
    { 0xE21EF1510B4567BE, "player_end_death_logic" },
    { 0x80B2E932FF725C17, "player_enemy" },
    { 0x5F8BEBCF71EA8679, "player_enemy_cooldown" },
    { 0x67749153C5C9F963, "player_enter_ambush_sniper_fire_sequence" },
    { 0xDF93CD4290121647, "player_enters_poolhouse" },
    { 0xB7E966F9B118CB49, "player_equip_nvg" },
    { 0x3ACCB9D0A01737AE, "player_equip_primary" },
    { 0xDA2417FA0CB12129, "player_equip_regen" },
    { 0x182EB3EF5F010122, "player_equip_secondary" },
    { 0x43C3319220E4B5D6, "player_equipment_init" },
    { 0x7481BE33E1BB1098, "player_equipment_use_stop" },
    { 0xC2610188F87CF745, "player_exfil_struct" },
    { 0x697D3D2E19021E14, "player_exfil_think" },
    { 0xAC3875DE4E849D19, "player_exit" },
    { 0xFCD49E7D06A768C3, "player_exit_ambush_sniper_fire_sequence" },
    { 0xFA9F47AA3AD15AD5, "player_exit_deathsdoor" },
    { 0xA042DDBCE6A982D4, "player_exit_monitor" },
    { 0x4D79DE50FCCD530F, "player_expose_to_sniper_long_enough" },
    { 0x8EE45706EC2A2F57, "player_exposed_to_chopper_boss" },
    { 0x0AB0D73368028291, "player_exposure_data" },
    { 0x462408B8349266CF, "player_failed_context_melee" },
    { 0x91CFF8CFFC407C57, "player_fell_watcher" },
    { 0xAB9A3DB7149F36F6, "player_fire_check" },
    { 0xB60FC3D6C431D872, "player_fire_thread" },
    { 0xD961DD4C393161EB, "player_fired" },
    { 0x4F1DA4BA3E2F40F6, "player_fired_gun" },
    { 0xB7368AF35358B4AB, "player_fired_gun_monitor" },
    { 0x21761EB2C0652AE8, "player_fired_recently_delay" },
    { 0xBCE2341F859CF9D4, "player_flarecanloopgesture" },
    { 0x855DC53F97BD5111, "player_flarecanthrow" },
    { 0x77912315F82A6C42, "player_flarecantimeout" },
    { 0x9DF82E4BB385C4D1, "player_flarecanturnoff" },
    { 0xC9226F67AC5DCC06, "player_flarecanuse" },
    { 0xEC2A2A2755CDACD9, "player_flareconditionalpickup" },
    { 0x990BC7C348344533, "player_flaregetautomaticignitehint" },
    { 0x2659D40B7C7C64BB, "player_flaregetofftriggers" },
    { 0x16AEE5CDE7CDE0BA, "player_flaregetremainingtime" },
    { 0x116597FC659E2162, "player_flaregive" },
    { 0xD089A26AE78204AE, "player_flarehidemodellogic" },
    { 0x89014CF50A9B41FE, "player_flareloopgesturelogic" },
    { 0xE253459426DEB4AA, "player_flareofftriggerlogic" },
    { 0x7F32C33728086217, "player_flarepickuplogic" },
    { 0xBAAD85CE19AE894B, "player_flarepickupsingle" },
    { 0x0447BB2C030260BB, "player_flaresetammo" },
    { 0x04B5B9429E856CB7, "player_flaresetautomaticignitehint" },
    { 0x8402EAA8CF2B4D13, "player_flaresetcanthrow" },
    { 0x1B8FD534645ED0C4, "player_flaresetcantimeout" },
    { 0x0754BD25A08E31A3, "player_flaresetcanturnoff" },
    { 0x7F9F199EA9994D00, "player_flaresetcanuse" },
    { 0x76C84A76FE8AB6A6, "player_flaresetremainingtime" },
    { 0xA154F638E42BFB55, "player_flareshouldhidemodel" },
    { 0xD8CDBF77ED59A011, "player_flarestealthdetectlogic" },
    { 0xA163EDB31D879F28, "player_flaretake" },
    { 0xFD072044FC9FD90D, "player_flarethrow" },
    { 0x882EFB03BDED70B6, "player_flaretimeout" },
    { 0xA152ED215FA85DF3, "player_flaretogglelogic" },
    { 0xBD1867BA9779EC05, "player_flareturnoff" },
    { 0xAF5ACF4E16183EE9, "player_flareturnon" },
    { 0x6C06CC7E04136EC1, "player_flareturnvfxoff" },
    { 0x5FCF9CDCC1B64DC5, "player_flareturnvfxon" },
    { 0xA0D95D57EA1AA390, "player_flashlight_maxvis_hack" },
    { 0x3B4AF3EBFA1CE2AC, "player_focus_counter" },
    { 0xF08E478F515143D4, "player_found_a_weapon" },
    { 0x77C23F2C0D6291C7, "player_fov_80_instant" },
    { 0x42FEA4F68AAC8F35, "player_fov_change" },
    { 0xA28E7AED8F4964CE, "player_fov_default_1" },
    { 0xA28E79ED8F49629B, "player_fov_default_2" },
    { 0xA77A59293BB4B0C3, "player_fov_think" },
    { 0xF50B41A38A514B4B, "player_free_look" },
    { 0x51FEC7BBF1D420B0, "player_free_spot" },
    { 0x24C354D2660A54B3, "player_friendlyfire_addreactionevent" },
    { 0xFF10D0F8257E932D, "player_friendlyfire_waiter" },
    { 0xFA70E7FB6C3F7373, "player_friendlyfire_waiter_damage" },
    { 0x78F31C6523B02399, "player_friendlyfirecheckpoints" },
    { 0x45638B9C586912F2, "player_fullads" },
    { 0x645EC32E101FADEF, "player_fulton_evac_rumble" },
    { 0x0B8064AB96146FD6, "player_fulton_sounds" },
    { 0x3A58A1AC24061D3F, "player_gas_mask" },
    { 0x76FB2B72CEB747FF, "player_gassed_effects" },
    { 0x6E156B92F6ABA200, "player_gesture_cellphone_call" },
    { 0x85713903A0CBA7F9, "player_gesture_cellphone_show" },
    { 0x17446983EAF8A1C1, "player_gesture_combat" },
    { 0x5D2E4085747E8E84, "player_gesture_force" },
    { 0x0B4F4013D7506404, "player_gesture_noncombat" },
    { 0x47DBCF8BECC6BD35, "player_gestures_input_disable" },
    { 0x2D626141BCE45FFC, "player_gestures_input_enable" },
    { 0xFDE6040CFBA02FC1, "player_gestures_prone_getup_think" },
    { 0xE0736F99AC95C65D, "player_get_carepackage_precision_airstrike" },
    { 0xAF20C6B12CF4931B, "player_get_carepackage_sentry" },
    { 0x03B482789327E1EE, "player_get_closest_point" },
    { 0x4138A3F4D5B83749, "player_get_closest_point_static" },
    { 0x614C876178886A87, "player_get_primary_weapon_object" },
    { 0x5BC9CE1704BEAF5B, "player_get_secondary_weapon_object" },
    { 0x7234BFF0AB65C866, "player_get_sniper_weapon_object" },
    { 0x69995BE7BA32326C, "player_getballisticsweaponobject" },
    { 0x7E26025914BE25EF, "player_getclosestsilencedweapon" },
    { 0xFA30DAB36A99CC8C, "player_getdroppedsniper" },
    { 0x893F0904812A73F5, "player_getflag" },
    { 0xCABC84502380C6FB, "player_getflareammo" },
    { 0x775E7E61D0FBDFD2, "player_getflareweapons" },
    { 0x38597D502C3F5423, "player_getmaxflareammo" },
    { 0xCA490B74D6FD6D86, "player_getoffhandsecondaryweaponobject" },
    { 0x75ADBAEDE4E0888D, "player_getout" },
    { 0xA5357A9A3C240C05, "player_getout_sound" },
    { 0x6C6CBF5312AC6DCB, "player_getout_sound_end" },
    { 0x545436D9C3E8D454, "player_getout_sound_loop" },
    { 0xCC721AE64A31F47F, "player_getpistolweaponobject" },
    { 0x4CAB2FC602582C90, "player_getprimaryweaponname" },
    { 0xDDE2FE13A25B9740, "player_getprimaryweaponobject" },
    { 0x702C59AAD70DE21D, "player_getrecoilscale" },
    { 0xD757D4ED71456393, "player_getrig" },
    { 0x888705C702D5ACDC, "player_getsecondaryweaponobject" },
    { 0x33BDB56B21BEBD7A, "player_getsilencedpistolweaponobject" },
    { 0x9B274A556FE7C7E1, "player_gettouchingtownrooftoptrigger" },
    { 0x215C91AC199C89C8, "player_give_chopper" },
    { 0x6F0CE8EE2C2085EC, "player_give_gg_loadout" },
    { 0x4F28CC633C1A7E23, "player_give_gunless_loadout" },
    { 0x2EC4A17C5835B424, "player_give_infinite_rocks" },
    { 0x35F159645E431312, "player_give_intel_1_ks" },
    { 0x9996A17A2D7DE221, "player_give_intel_2_ks" },
    { 0x5E65918D55EE6280, "player_give_intel_3_ks" },
    { 0xDC5371D1ACD63667, "player_give_killstreak" },
    { 0x3A9F618582AF6D43, "player_give_loadout" },
    { 0xAABACC086295E533, "player_giveachievement_wrapper" },
    { 0x7DAFD31FD4150C68, "player_giveballisticsweapon" },
    { 0xCCDB8756ED30ED1B, "player_givefullloadout" },
    { 0x2D35EDBA966636BB, "player_givegunlessweapon" },
    { 0x92E7EB16B0D8CC16, "player_giveholsteredloadout" },
    { 0xAAA812489FB38A92, "player_givemolotovweapon" },
    { 0x12E6AC7A9729A519, "player_givepistolloadout" },
    { 0xF3CE008A93DE4D9A, "player_giveprimaryoffhandweapon" },
    { 0x5468846CEAE6FAB6, "player_giveprimaryweapon" },
    { 0x1EC773F6CFDF83B7, "player_giverpgweapon" },
    { 0xBB362889A9A3031E, "player_givesecondaryoffhandweapon" },
    { 0x420F6475F8999A7A, "player_givesecondaryweapon" },
    { 0xF05762DD86E8EBC6, "player_givesecondaryweaponloadout" },
    { 0xE7C12B5E7F80EAFA, "player_givesilencedpistolloadout" },
    { 0x1991144AB0726EAB, "player_givesilencedsecondaryweaponloadout" },
    { 0x8A69E5A0AA7C8DE5, "player_glance" },
    { 0x091A24C2B083D3AE, "player_going_loud" },
    { 0xE38DB984FD55788D, "player_gone_hot_think" },
    { 0xE474EB1E8335B8A5, "player_got_dad_dies_save" },
    { 0xEDCC9405EB782AB6, "player_grabs_hostage" },
    { 0x48BF8C69E30E9F19, "player_grace_period" },
    { 0x949248663A74825A, "player_green_beam" },
    { 0x4DBD3C630C6DFF5A, "player_grenade_check" },
    { 0x932DABCB3A9BE8D9, "player_grenade_check_dieout" },
    { 0xF55C3DD09C163CA3, "player_grenade_fire_monitor" },
    { 0x49166D48A3CE11AB, "player_grenade_fire_thread" },
    { 0x025570EC26582EF2, "player_grenade_killed_civ" },
    { 0x3C6BF3DD45B9C245, "player_guardsalertedspeedlogic" },
    { 0xE7EC174E80C6BFFE, "player_gun_game_next_weapon_think" },
    { 0x319306A49948A4D1, "player_gun_game_randomize_weapon_list_think" },
    { 0x36C9756727FCFFE6, "player_gun_pickup" },
    { 0xCB540224E1630C92, "player_has_ammo_crate" },
    { 0x751614ACB981F82E, "player_has_base_weapon" },
    { 0xD75B14630CD0DEB2, "player_has_enough_currency" },
    { 0x28C63224986A00C8, "player_has_equipment" },
    { 0xCAE552F2FFCE36D2, "player_has_grenade_crate" },
    { 0xAA24CBEEDE35F5CB, "player_has_minigun" },
    { 0xED1FC971B52608B9, "player_has_nvg" },
    { 0x1FA802DA1DDFB137, "player_has_pistol" },
    { 0x33D30BAB333C09AC, "player_has_primary_weapons_max_ammo" },
    { 0xF839275B3EBC985B, "player_has_primary_weapons_max_stock_ammo" },
    { 0xEF02EE6797F7DD34, "player_has_respawn_munition" },
    { 0xF84CC73CE5105B8B, "player_has_silencer" },
    { 0xCD6FCAA2A67ED092, "player_has_special_ammo" },
    { 0x65EDB35F949473A8, "player_has_unlocked_stored_equipment_slots" },
    { 0x7DE07E699BA1B504, "player_has_weapon" },
    { 0x79793CFF0E3E349F, "player_hasflareequipment" },
    { 0x41559F4630E824DE, "player_hassilencedweapon" },
    { 0x540AF0935DE230D7, "player_have_armor" },
    { 0x6B3F3B41CD4328DD, "player_have_full_armor" },
    { 0x12D52C25612DD7A2, "player_health_difficulty_thread" },
    { 0x015CF087CC0EC965, "player_health_packets" },
    { 0x4411FFF17626D0B3, "player_heartbeat" },
    { 0xE80ED8E01A474649, "player_heli" },
    { 0x9FED2ED9CABF718E, "player_helis" },
    { 0xE34B1128B6C36585, "player_hit_watcher" },
    { 0xCD2F291C69D4B9DE, "player_holding_flare_only" },
    { 0x3828D1B80B4B4EDC, "player_holdingballisticsweapon" },
    { 0xD6F244D78ECEC35E, "player_holdingcinderblockweapon" },
    { 0xF8325D33D3B2C741, "player_holdingemptyweapon" },
    { 0x18BBE4219215F0DE, "player_holdingholsteredweapon" },
    { 0x01FC71B130112B73, "player_holdingpistolweapon" },
    { 0x58CB0645D9AD95E5, "player_holdingsilencedweapon" },
    { 0x403C12A948BEA694, "player_holsterweaponcleanupweaponswitch" },
    { 0xD87F3F6BE986EFEE, "player_holsterweaponlogic" },
    { 0xE6E7A8A9054D5D40, "player_hotjoin" },
    { 0xC87195E593E909FB, "player_humvee" },
    { 0x91C204013621901B, "player_humvee_is_within_combar_range" },
    { 0xA657CDC5A27AD947, "player_humvee_speed" },
    { 0xF58F5E14A00798F4, "player_humvee_withn_explosion_range" },
    { 0x28FA23C36E88BA6F, "player_idle" },
    { 0xCFAB7BE020511C75, "player_ignore_mover" },
    { 0x55637DF361BF6020, "player_impulse_from_origin" },
    { 0xEE70075564657C59, "player_in_area_check" },
    { 0xA35A5B5245C342F6, "player_in_armory_watcher" },
    { 0xC75AAE8DD1E14F69, "player_in_b1_watcher" },
    { 0xCF00A81C5A48B8A0, "player_in_bush_monitor" },
    { 0x02D8C18D3D5BFB20, "player_in_concealment_area" },
    { 0xE33681494FB21727, "player_in_heli" },
    { 0x2B49FD2F593A4DE3, "player_in_intercept_mode" },
    { 0x70BFF7673EFF7649, "player_in_laststand" },
    { 0x3E39AADB70C096B1, "player_in_party" },
    { 0xD14DCDCAE1CAD537, "player_in_region" },
    { 0x3E1AC0A77B8CC6DA, "player_in_safehouse" },
    { 0xA9943B065BCBE292, "player_in_spawn_area" },
    { 0xC73EE945CBFB6601, "player_in_trigger" },
    { 0x5760C2751EFBAD85, "player_in_vehicle" },
    { 0x8A4A78141FB4C972, "player_in_zerog" },
    { 0x559CD6C6DA5F2CB8, "player_infil_already_played" },
    { 0xF526FF81858632F7, "player_infil_end" },
    { 0x7B91A6D85FFBFEE8, "player_infil_landlord" },
    { 0x1AC79BE6E2533692, "player_infil_lbravo" },
    { 0x95FC7E05227675A8, "player_infil_played_or_skipped" },
    { 0xBA50C7C3D92ADB81, "player_info" },
    { 0xBA28BEC3D8FE5727, "player_init" },
    { 0xE5F3C1E918A7868C, "player_init_damageshield" },
    { 0xC2AFAB3865B6CCEE, "player_init_func" },
    { 0xB9BFE36B9C0EBD00, "player_init_health_regen" },
    { 0x577B8B11F0771D07, "player_init_invulnerability" },
    { 0x5BF81059749FB5E7, "player_init_laststand_func" },
    { 0xC787F330BBFCB508, "player_input_watcher" },
    { 0x9E29ABECBBE4D66F, "player_interacted_on_body" },
    { 0x3693372B8C455C9E, "player_interaction_monitor" },
    { 0x0AF5B0DD9741CD10, "player_interaction_weapon_switch_monitor" },
    { 0x5FEB6887C015D7B0, "player_interactive_think" },
    { 0x37F6C651269BCDEE, "player_interrogation_speed_setup" },
    { 0xB26B329F4D416B11, "player_intro_speed" },
    { 0x466CC2E54BE31C2F, "player_intro_speed_lerp" },
    { 0x1653954003522538, "player_is_ahead_of_me" },
    { 0xC9B2F02E7351D491, "player_is_aiming_at_bus_scene" },
    { 0xB4C256817CE058C3, "player_is_aiming_with_rocket" },
    { 0xAB15C27853E4A0B3, "player_is_at_buy_station" },
    { 0xCFA8AD88ECE44AD5, "player_is_close_watcher" },
    { 0x37A8385B8E9F8B96, "player_is_exposed" },
    { 0x4AD10B18D6DFC450, "player_is_exposed_to_sniper" },
    { 0x1D17BE19A4B7E342, "player_is_facing_away_from_vehicle_to_push" },
    { 0x38FF32B20650B3D6, "player_is_facing_vehicle_to_push" },
    { 0x92699520981E2379, "player_is_faux_dead" },
    { 0xA881806038D112C4, "player_is_good_missile_target" },
    { 0x58936A189F8CFD58, "player_is_in_jackal" },
    { 0xDDF2EF4B07508714, "player_is_in_killzone" },
    { 0x1A8B5F05148AAAEE, "player_is_just_guessing" },
    { 0x084D4E3C95DEE240, "player_is_kidnapper" },
    { 0x3156C98E48A2F0BC, "player_is_near_live_offhand" },
    { 0xAD87B6A29510FCA6, "player_is_near_vehicle_to_push" },
    { 0x85A2D4CA7B4116B2, "player_is_outofbounds" },
    { 0xA802376F9C6DCF6C, "player_is_pressing_attack" },
    { 0x5B01D72CBF8DE7CE, "player_is_safe_from_smoke" },
    { 0x5AF2C9233372D3E2, "player_is_sniping" },
    { 0x6FBECBBCD4A30255, "player_is_sprinting_at_me" },
    { 0xDABDD39B16D7C82C, "player_is_suicide_bomber" },
    { 0xD99848DB12D26FD8, "player_is_terrorist" },
    { 0x646946FD0EDCFC67, "player_is_terrorist_func" },
    { 0x1E9D50DA33EF05D8, "player_is_trying_self_revive" },
    { 0xF04E4E0632A49752, "player_is_trying_to_exit_camera" },
    { 0x7DB0691F1EDF8F82, "player_is_trying_to_shoot_me" },
    { 0xF860479F951A4E56, "player_is_trying_to_snipe_me" },
    { 0x170A71F2F07E16AC, "player_isdriving" },
    { 0xC5A9A250A6D621CF, "player_isenemyturretinproximity" },
    { 0xDA8F542936038C16, "player_isenemyturretnotinproximity" },
    { 0x9A1A2CF57EE1F1D1, "player_isholdingspecialflareweapon" },
    { 0x921861D2630A7C7C, "player_isholsterallowed" },
    { 0xF0F20D40766DD169, "player_isprone" },
    { 0xA1A444A813CBCBE4, "player_isshooting" },
    { 0xA0C739C109FFE011, "player_isusingtacmap" },
    { 0x75D25F7EDBDD32B3, "player_jackal" },
    { 0xF1E3B264A6F4BF10, "player_join_infil" },
    { 0xA7AB6C9B1E0BA4BE, "player_join_infil_cp" },
    { 0x7EC483A0311C6010, "player_joined_update_pass_target_hudoutline" },
    { 0xEC392713D4700E6F, "player_jugg_fight" },
    { 0x3679954C9E34AAB7, "player_kill_triggers" },
    { 0xE9BE3E63ACB2E5C0, "player_ladder_aid" },
    { 0x7C38F9D43E45998C, "player_ladder_ease" },
    { 0x297D1319F459CEB5, "player_ladder_pistol" },
    { 0x77C391007F6EA3A5, "player_last_death_pos" },
    { 0x5A7F914523186224, "player_latespawn_safehouse" },
    { 0xE3A7E6A03921E55A, "player_launch_mortar" },
    { 0x66AE8A4DFF52C497, "player_lb" },
    { 0xCBE765CD81C8ECAF, "player_lbravo_infil_think" },
    { 0xF9B7A50F2AED9A72, "player_leaves_house_early" },
    { 0xC51F4510501796AF, "player_leaves_volume_watcher" },
    { 0x62355F3805214698, "player_legs" },
    { 0x4438CC4400B28AEB, "player_limitedammo" },
    { 0x2AADC237DD57C647, "player_limp" },
    { 0x85CFDE47BBE2146A, "player_limp_step" },
    { 0x8B97B05A08D2DE69, "player_listen_for_exfil" },
    { 0x0E468DA0CC778E6F, "player_loadout" },
    { 0x7AEC86E709A6E5A1, "player_lock_look_1_second" },
    { 0x053BE9FB50E654EA, "player_lock_look_2_second" },
    { 0x383826F9613452F2, "player_lock_look_instant" },
    { 0xE62CE5944983E61E, "player_looking" },
    { 0xC73715BC6D1D2A86, "player_looking_at" },
    { 0x524E09EBAF4FF7E5, "player_looking_at_wire_think" },
    { 0x4E57263E45BFA489, "player_looking_away_from_mayhem_watcher" },
    { 0xE0A45FA4D664CF08, "player_looking_down_street_watcher" },
    { 0x1BD57951312B1846, "player_lua_progressbar" },
    { 0xAE8A75C65B843920, "player_magic_speed" },
    { 0x99A2CAB96F81CC81, "player_maintainmaxweaponcountlogic" },
    { 0x041D5EF18A4C8719, "player_max_exposure_time" },
    { 0x3891E34D0C00FE87, "player_maxhealth" },
    { 0x43AA8F0342B699FB, "player_mi8_infil_think" },
    { 0x786A9912FB2C9D4D, "player_monitor" },
    { 0xFD37EFFDBB220A24, "player_monitor_death" },
    { 0xDFF968F87A301695, "player_most_recently_saw" },
    { 0xE13BD725CBC6B978, "player_move" },
    { 0x5B7AA9EA7319050A, "player_movement_state" },
    { 0x86B0B4F83752AF61, "player_mover_clean_up_monitor" },
    { 0x1D53331F2608F331, "player_moves" },
    { 0x16FA0D18974E41B3, "player_movespeed" },
    { 0xC9FD9AA57D2588A3, "player_moving_camera" },
    { 0xB233227637C9CB2E, "player_moving_respawn_camera" },
    { 0x324275490745669B, "player_moving_toward" },
    { 0x76AC0D45E184E6AA, "player_munition_slots_full" },
    { 0x600C5F50737A97AC, "player_nades" },
    { 0xF9956F506D6FE4CF, "player_name_called_recently" },
    { 0x056E8DA623D1E6CB, "player_name_who_broke_stealth" },
    { 0x0F9A7DEFD1E1F48C, "player_near_obit" },
    { 0x254F4408145CF46B, "player_nearby_listener" },
    { 0x8D251B6E8C69385D, "player_no_pickup_time" },
    { 0x8EED2C698D9190AD, "player_normal_think" },
    { 0xC62FCB88AFC92EC2, "player_notes_1f_civs" },
    { 0xE51EFE1BD2256629, "player_notholdingcinderblockweapon" },
    { 0x2CC705C790798EB1, "player_notholdingholsteredweapon" },
    { 0xAF2D8D4DA4A7C6ED, "player_num_start_frac" },
    { 0xB64F2BC89AA4766C, "player_nvg_off" },
    { 0x5A4E2952341C8D1A, "player_nvg_on" },
    { 0xD420935961D2FEE1, "player_nvg_watcher" },
    { 0xF4A9CDC07C61D473, "player_nvgon" },
    { 0x233743544342F615, "player_offhand_empty" },
    { 0x61594C81036156DE, "player_offkitchenladder" },
    { 0xBA2EE7CF048DA183, "player_on_armory" },
    { 0x07035CC0EF1A3977, "player_on_disconnect" },
    { 0xFBDAC06304DFBA98, "player_on_fast_rope" },
    { 0x29D3DBBBAD9BF186, "player_on_helipad" },
    { 0xF48745621D84C6D0, "player_on_ladder_flag" },
    { 0x85AD1230E249099F, "player_on_ladder_hack" },
    { 0x6B188193142234A0, "player_on_right_side_of_subway_car" },
    { 0xE1201A402A1511A9, "player_on_spot" },
    { 0xF94AD37621957C40, "player_onkitchenladder" },
    { 0xF164CA83F64383FB, "player_onspawn" },
    { 0xCE8AAAB3ECBC8599, "player_ontownrooftop" },
    { 0xF8E38523FFF84677, "player_open_door_monitor" },
    { 0x59923E0A4909CCF5, "player_open_dynamic_door_monitor" },
    { 0x8534D06080DDC02F, "player_open_scriptable_door_monitor" },
    { 0x1295E306DF754077, "player_origin_inside_front_zone" },
    { 0x5ED1EAB0CA83A3D5, "player_origin_inside_subway_car" },
    { 0x02414825C5B3802F, "player_overlay" },
    { 0xBD83065BFD0F8AC0, "player_pain_breathing_sfx" },
    { 0xB36DD620E3601751, "player_pain_vo" },
    { 0x9BFA95701BCE1BE7, "player_parachute_watcher" },
    { 0x42DA41C30604E681, "player_pauseallowdrones" },
    { 0x7D5E3297B559BA0F, "player_persistence_init" },
    { 0x507A1CAE29F25990, "player_phone_pickup_anim" },
    { 0x4A31F076D993809F, "player_picked_team" },
    { 0x0FA5C74D7A99EE48, "player_picks_up_detonator" },
    { 0xEA9497E089B4D98E, "player_pickup_bomb" },
    { 0x15EA804945FE4329, "player_pickupweaponlogic" },
    { 0xFDF69A3E2C7D6AA1, "player_pined_danger_feedback" },
    { 0x1AFCF87575478B09, "player_ping_callback" },
    { 0xCE2E6D713C11C962, "player_pinged_armor_feedback" },
    { 0x88CD4A1B5DF2AC01, "player_pistol_damage_func" },
    { 0xBA67CDA764EBAEEF, "player_pistolassigntritiumsights" },
    { 0x7CC61885D8B5E526, "player_play_anime_into_idle" },
    { 0x4DFD4E95B6B2244F, "player_play_response" },
    { 0xD0527D5943050EF2, "player_post_escort_setup" },
    { 0xADF125092FC76DE5, "player_post_getup" },
    { 0xD371DFE3C87E5094, "player_progress_market_think" },
    { 0xA59E1A5107F2898E, "player_progress_trigger_think" },
    { 0x246644D46B9AF4E4, "player_prone_slide_dirt_fx" },
    { 0x91F0F75929BA3ED4, "player_push_monitor" },
    { 0xB1FC19F2E69BAACE, "player_push_vehicle_stance_update_think" },
    { 0xF55F2EB9156DBA70, "player_pushed" },
    { 0xC094BBFF9D7016B1, "player_pushed_kill" },
    { 0x2C269118386754F0, "player_pushes_mortar_house_early" },
    { 0x21F305A7C2C80643, "player_pushing_house_watcher" },
    { 0x297A36E1E46A3CB9, "player_pushing_vehicle_monitor" },
    { 0xCAB4CEA1C8A67672, "player_putgasmaskon" },
    { 0x3F4132B77EE21154, "player_queue" },
    { 0x5E4DA8E3C5929CA5, "player_radio_emitter" },
    { 0xFDB9C2BADC2F2094, "player_rappel_disconnect" },
    { 0xE56442CB5F2EC4A3, "player_rappel_hackney_infil_think" },
    { 0x681F99FD8F46FD22, "player_rappel_sound_loop_off" },
    { 0xC67E277EDBE0D1C8, "player_rappel_sound_loop_on" },
    { 0x3BEAD500517CA977, "player_rappel_weapon_switch" },
    { 0xD652E78DFB7AAF8A, "player_reacted_to_civ" },
    { 0xB83D2875E1B5C358, "player_recoilscaleoff" },
    { 0xD5CE63413B833596, "player_recoilscaleon" },
    { 0xD68EB4279B9F59EA, "player_reenable_collect_leads" },
    { 0xF38542B108164B6F, "player_refillammo" },
    { 0xED60514B73AC983E, "player_refillsinglecountammo" },
    { 0x56B04D8AB73E884F, "player_regroup" },
    { 0x80D5976AD2D0B315, "player_relative_offset" },
    { 0x9A0A524D3CE59F52, "player_relative_offset_accel" },
    { 0x5E44F8A4BDEFFDDA, "player_removecarrydebuff" },
    { 0xBD22D91E1CC2E193, "player_respawn" },
    { 0x0B1B10A0690072B5, "player_respawn_struct" },
    { 0x499D7F4A71C0576E, "player_restoreweapons" },
    { 0xCFCF668E1E8B4E84, "player_resumeallowdrones" },
    { 0x0E5D57C64D233E9A, "player_retry_thread" },
    { 0x4D6E8B9540D04D43, "player_revived_or_dead" },
    { 0x93AD6F8818D3CEDD, "player_rig" },
    { 0xA24205373542FE85, "player_rig_allow_internal" },
    { 0x223740E327C68320, "player_rig_allow_weapon" },
    { 0xA01A8F381415DF02, "player_rig_create" },
    { 0xF91448469421430A, "player_rig_end_scene_setup" },
    { 0x7F3EF39B58C07E46, "player_rig_shadow" },
    { 0xC2D8E9D6619C6A42, "player_rig_standup_fov_user_scale" },
    { 0xAD2359C6C43445F8, "player_rig_visible" },
    { 0x3DD7DB3A8F59E9D2, "player_riganimationstopondeath" },
    { 0x659B5CDDD9B606C5, "player_rigenter" },
    { 0x4CEFDC8A30F2059C, "player_rigenterabsolute" },
    { 0x0564B832D42EB77D, "player_rigexit" },
    { 0x9A3AF64E99CF88AA, "player_rigs" },
    { 0x2BDD0C3B14709E56, "player_roe_check" },
    { 0xA7477B9C48B06730, "player_role_monitor" },
    { 0xD25218266B158C86, "player_roof_mortars" },
    { 0xE96ACE45BA09192B, "player_run_pent_updates" },
    { 0x68365BA45D4C3286, "player_runby_monitor" },
    { 0x8265FDE20FB8187B, "player_runs_out_watcher" },
    { 0xA87A77172F81A828, "player_rush_think" },
    { 0xF738243C45AAC53C, "player_safe" },
    { 0x4E8D72789AD75914, "player_safe_from_enemy_proximity" },
    { 0xFA890B38E665EE7F, "player_safe_from_poi_los" },
    { 0x61B5927CE4243E23, "player_saw_kill" },
    { 0x221E69A07C19386E, "player_say_clear" },
    { 0x3D1379FEBEE42675, "player_scr_anim" },
    { 0xEA7883446F12D9D6, "player_scr_animname" },
    { 0xDEFAFD1BF86017CD, "player_scr_eventanim" },
    { 0xF069E1297F525FEF, "player_scr_viewmodelanim" },
    { 0x219C1DA99FD2B432, "player_see_me_monitor" },
    { 0x1B87A624D3DD3246, "player_seek_disable" },
    { 0x554C0496483E826D, "player_seek_enable" },
    { 0xFCE791518E5F574B, "player_seen_pos" },
    { 0x2022F4424AA845D0, "player_sees_hvt" },
    { 0xB56935CAB8F784FB, "player_sees_hvt_leaving_vo" },
    { 0xBFE1FBDD1EAC49A0, "player_sees_hvt_timeout" },
    { 0xF3428FD3C71377BA, "player_sees_hvt_vo" },
    { 0x00FA878FB1FDD496, "player_sees_my_location" },
    { 0x82903128957959BB, "player_sees_my_scope" },
    { 0xEA0CDC4C8F896C26, "player_sees_spawner" },
    { 0x9C5BAB5E4A9173A8, "player_selected_team_in_front_end" },
    { 0x3F6425AD1A09D0A3, "player_set_pass_target" },
    { 0x67B026E606DEE584, "player_set_weapon" },
    { 0xB544B1D0227FF471, "player_setflag" },
    { 0x5CB78193588B721F, "player_setflareequipment" },
    { 0x5611AE808E2C4576, "player_setholsterallowed" },
    { 0x468777EFA9A93674, "player_setsunshadowsforzoom" },
    { 0xA9DEAE35DE09403A, "player_setup" },
    { 0xED56EEFDD7BED9D8, "player_shining_light_at" },
    { 0xA5AB1D37F5E83520, "player_shoot_boss" },
    { 0x8789C73955EB06E5, "player_shooting_murderhole_monitor" },
    { 0x81FA37C8B60B3EB0, "player_shooting_murderholes_monitor" },
    { 0xEF6E9EA7733B4E74, "player_shot_monitor" },
    { 0x421057F84B09E520, "player_should_be_killed_by_mover" },
    { 0x45CB75692AD278E3, "player_slamzoom" },
    { 0xCCE1677A4566F2B5, "player_smoke_death_time" },
    { 0x843B9FCBCCDD104E, "player_smoke_exposure" },
    { 0xADC958647C79970B, "player_smoke_vision" },
    { 0x61094797DA18703D, "player_sniper_bullet_impact_vfx" },
    { 0x5F98C4428D78AA47, "player_sniperzoomedin" },
    { 0x44C79AF4DBF51CB6, "player_sniping_threatbisas" },
    { 0x1C4E8607A3C3C4B4, "player_spawn" },
    { 0xF8F36D0F773B6532, "player_spawnrig" },
    { 0x58A51007D0D61B64, "player_speed" },
    { 0x1FE595AE07834912, "player_speed_default" },
    { 0x3C1E8E225C4C67BA, "player_speed_hud" },
    { 0x169C63E83DCF2194, "player_speed_lerp" },
    { 0xDC89086458F462B4, "player_speed_management_ending" },
    { 0x5442534669747B83, "player_speed_management_intro" },
    { 0xB091A965255F61EE, "player_speed_percent" },
    { 0x030507E794CF1854, "player_speed_post_bomb" },
    { 0xF8F0EA4940811FC5, "player_speed_proc" },
    { 0xBC20ED22B9315FA7, "player_speed_set" },
    { 0xCDD883A5639BAA5B, "player_spotted_thread" },
    { 0xE31272EAD73DFD80, "player_stabbed_boss" },
    { 0xD6F0E7D2603BB741, "player_stancecrouching" },
    { 0xB41EC230D3CA7EB1, "player_stanceprone" },
    { 0x5771D8C7948D43D9, "player_standing_in_doorway" },
    { 0x7620DC0E56939BEE, "player_standing_on_train" },
    { 0x2D80CDC43AAEF3EF, "player_startallowdrones" },
    { 0x7938654360F1DC36, "player_startpronehack" },
    { 0x0C24AF7090263C5C, "player_stay_behind_ai" },
    { 0x5DC46565E2D27D99, "player_stayahead_enemy_behavior" },
    { 0x9E58662BAA659DD7, "player_stealth_kill_direction" },
    { 0x69D0F82C1133CED1, "player_stopallowdrones" },
    { 0xD5811773AF52E95C, "player_struct" },
    { 0xD52DEF3B711A31F4, "player_suit" },
    { 0x77493F620D981C44, "player_swapped_weapon" },
    { 0xE23ED5BEB785BD41, "player_take_cellphone" },
    { 0x48B41ECB56E7A043, "player_takeawaygunlessweapon" },
    { 0x2FFCB25271FBECED, "player_tango72_infil_think" },
    { 0xE64113648A76F8FB, "player_tanks_spawned" },
    { 0xFB632AEAF9DC5B4C, "player_target" },
    { 0x01A827D646840CEE, "player_temp_invul" },
    { 0xAEDE70659082C75D, "player_test_ending_teleport" },
    { 0x76541AED31BE37AC, "player_threw_grenade" },
    { 0x2B15735250F3F9DA, "player_threw_offhand" },
    { 0xC28CBDD9CB788B75, "player_throwgrenade_timer" },
    { 0x7587240D8581FCCD, "player_throwinggrenade" },
    { 0x28CBA93B478EEC89, "player_throwingmolotov" },
    { 0xE518D0C1EA8B7453, "player_tired_movement" },
    { 0xCAC99ED74131F64B, "player_too_far" },
    { 0x42C2405002E020DA, "player_trace" },
    { 0x8245903947D0A258, "player_trace_get_all_results" },
    { 0x57D359FB34EA9AD3, "player_trace_passed" },
    { 0x07F3B54067ADB6AD, "player_trackadsfullout" },
    { 0xE964B9BA8752F2CF, "player_trackdronekills" },
    { 0xC43702818A3FCB8B, "player_trackvariablezoom" },
    { 0xCEC8C54FADE53513, "player_tried" },
    { 0x52140A9E8C8022DC, "player_tries_to_take_water" },
    { 0x67D90FC1B2E1FC56, "player_trigger_monitor" },
    { 0x3C8F31312F4C16B7, "player_trying_to_join_infil_monitor" },
    { 0xCAF764823CDEF318, "player_tunnel_explosion_experience" },
    { 0x2BFFCDF89FEF7DD7, "player_tunnel_explosion_watch" },
    { 0x07B2208FB84A44E8, "player_umike_infil_think" },
    { 0xEE5825EE97031CB1, "player_under_low_cover_monitor" },
    { 0x9A21FC4FE81ED212, "player_underbarrel_grenade_launcher_equipped_monitor" },
    { 0xA3CB38FEF78F49F6, "player_underbarrel_grenade_launcher_used_monitor" },
    { 0x4AC7157D4A3D5B56, "player_unlink" },
    { 0x54ECE7330042A662, "player_unresolved_collision_suspend" },
    { 0xD8B94BED5D06F1AD, "player_unresolved_collision_watch" },
    { 0xD503231B78216531, "player_update_allowed_callouts" },
    { 0xAA0C378F9DDAB248, "player_update_pass_target" },
    { 0x58E14EFD38DC03B8, "player_update_pass_target_hudoutline" },
    { 0x3EE5B018EA418A41, "player_update_unresolved_collision" },
    { 0xBC20AFC8408332B8, "player_use_turret_watcher" },
    { 0x4FED74F975AD30EA, "player_used_fulton_recently" },
    { 0xF341E743D43BAA7C, "player_used_munition" },
    { 0xF02C55B90E8FA732, "player_usedrone" },
    { 0x8481F5B0E95FB87E, "player_using_flash" },
    { 0x7B0B5E13388DBF46, "player_using_molotov" },
    { 0x5BA4D2600F4655A2, "player_using_rifle" },
    { 0xD9B45D61C2CA4A3E, "player_using_sniper_rifle" },
    { 0xD7402BA99F02BF8C, "player_using_staircase_monitor" },
    { 0x71668D38B8AC8FC9, "player_usingflare" },
    { 0x95056029C1651B3D, "player_usingprimaryweaponaltmode" },
    { 0x6CC7C32E08937AE9, "player_van_disconnect" },
    { 0xFFC717C0F6EEFBB4, "player_van_hackney_infil_think" },
    { 0xDFC328CB22533DBB, "player_vehicle" },
    { 0x7B817C7A27BDE253, "player_vehicle_sound" },
    { 0xEF7BC8DFC2F695A0, "player_vehicle_spawner" },
    { 0x24013AB0D3E5DF24, "player_view" },
    { 0x6AAAE0D772A07FD4, "player_view_blur" },
    { 0x51CCE5EE7B4883E0, "player_view_lerp_clamp" },
    { 0x35425EA3DA2E9732, "player_view_trace" },
    { 0x0CBB3D12D8603A7E, "player_vindia_infil_think" },
    { 0x4225189685E5C1AD, "player_vindia_spawn_monitor" },
    { 0xF05C8CB312F969D2, "player_vo_confirm_pickup" },
    { 0x6F663AA14644779F, "player_vo_playing" },
    { 0x0AA3D88745DDB247, "player_waitdronecooldown" },
    { 0xA3FC28865745CA27, "player_waitforlanded" },
    { 0x871CDF5245D98B54, "player_waitfortacmapused" },
    { 0x8AA5D2F12485204D, "player_waittill_alive" },
    { 0xCDCACC053A52AC58, "player_waittill_player_death" },
    { 0xE4A6698649DEAFCF, "player_waittillholstered" },
    { 0x2536566DAE2E6A0D, "player_waittilljumpedfromc130" },
    { 0x0D8A7D03C0F9400F, "player_waittilllookingatai" },
    { 0x253A79BC2E975455, "player_waittillmaxhealth" },
    { 0x4278B190FBF36E67, "player_waittillnearai" },
    { 0xB57C8EDD88907BFF, "player_waittillusingflare" },
    { 0x9A32EC00BEA0C8BD, "player_wander_fail" },
    { 0x353E0F68C64B2A96, "player_wander_fail_handler" },
    { 0x16A20F8E1AA097E5, "player_wander_fail_manager" },
    { 0x17D276C365F46245, "player_wander_nag" },
    { 0x3B69FEE08A71063D, "player_wander_nag_manager" },
    { 0x15BAB297C8C82F50, "player_wander_struct" },
    { 0xFAF9DAA132400AE6, "player_warn_trigger" },
    { 0x4743E6F8A3318E7E, "player_weapon_class" },
    { 0x1FF1DEAC07F41427, "player_weapon_fired_monitor" },
    { 0x85C2E6DF8173D2E8, "player_weapon_holstered" },
    { 0xB86F3DAD3D3EDF49, "player_weapon_holstered_door_bash_monitor" },
    { 0xA92972A4F2E95382, "player_weapon_listener" },
    { 0x7ADC19D8C3748879, "player_weaponchangelogic" },
    { 0xC274DC9ABD6BBE62, "player_weaponfire_watcher" },
    { 0xFCD85D7FA897D498, "player_weaponisspecialflareweapon" },
    { 0x80999965B3EDA812, "player_weapons" },
    { 0x75A5CAD78A6B351A, "player_weaponstats_track_shots" },
    { 0x1E239328EAEC8C00, "player_who_tagged" },
    { 0xDA000F8BB3A99C15, "player_window_gesture" },
    { 0x6927C81EA66251A8, "player_wire_cutting_think" },
    { 0x6656844DFEF1EA99, "player_xp" },
    { 0x061A2E63AF0CB214, "player_zoomedin" },
    { 0x22818539BA856481, "player_zoomedout" },
    { 0xE2757E00B78602E9, "player_zoomingsniper" },
    { 0xB2731E39CB0BC788, "playerac130cleanup" },
    { 0x407282CED2D05683, "playeraccessinglaptops" },
    { 0x36286A2ECD71018B, "playeraddjailbreaktimer" },
    { 0x1B82FC5B4CD1C547, "playeraddtoplundercount" },
    { 0x10B99B4DC0B762BE, "playerads" },
    { 0x62EA22171F9B2A5E, "playeradsnotreloading" },
    { 0xC738B8FD27092A5D, "playeraffectedarray" },
    { 0xC817BB1F52A8C6C1, "playerallowedtriggers" },
    { 0x96450D480AF00FFF, "playeraltweapon" },
    { 0xF8AF27DCC881B03F, "playeranimlinktochopper" },
    { 0x78D0E86ECF4133F9, "playeranimlooping" },
    { 0x9305EFD46D6749F2, "playeranimnameswitch" },
    { 0x05A9488402E034D5, "playeranimsingle" },
    { 0xC7BDCF2D49C9D7F7, "playerapplyjumpvelocity" },
    { 0x31E6850D30C702BB, "playerarmor" },
    { 0x7C99F4F9FCDAB480, "playerarmorenabled" },
    { 0x2A41C4FB0AC591CD, "playerattackedmonitor" },
    { 0xF8C684667CA63327, "playerattractiontriggerenter" },
    { 0x83F8B45BB691A883, "playerattractiontriggerexit" },
    { 0xBC8CC26BA18631DB, "playerautodeployaftertime" },
    { 0x6C482D99E4467E07, "playerballoondeposit" },
    { 0x3653065BDAD7D4B8, "playerbankplunder" },
    { 0x45FBA9D1D003EB96, "playerbeton" },
    { 0x2FA22C17851470E5, "playerbloodrestricted" },
    { 0x048A2E9F794A29CB, "playerbreathingbettersound" },
    { 0xDA73BD89990AF7AD, "playerbreathingpainsound" },
    { 0x1FFACD0B6E72B2D3, "playerbrsquadleaderscore" },
    { 0x249FB4CE41D207A5, "playerbullets" },
    { 0x7227B2C4FC4448BF, "playercanautopickupaxe" },
    { 0xD495A587EDC92716, "playercanbuyrespawn" },
    { 0xBD3E4175FBC3AAA7, "playercancellation" },
    { 0x84C4F597A8E99C64, "playercanpickupkillstreak" },
    { 0xD3B046F74FD2882F, "playercanplaynotcriticalgesture" },
    { 0x37CF4B512F04562D, "playercanseecircle" },
    { 0x32B877E09D90A9B6, "playercanseedangercircleworld" },
    { 0xABF6A67862D52932, "playercanusearmorvest" },
    { 0x21CDBAB204EA1C64, "playercanusetags" },
    { 0xD1D077E19E22B1E2, "playercardbackground" },
    { 0x97B22E4373A894F8, "playercardpatch" },
    { 0xAB90B6C486305F15, "playercardpatchbacking" },
    { 0x137DD99FD5CADF59, "playercinematiccompletecallback" },
    { 0x20422154C6CDB6C4, "playercinematicfadein" },
    { 0x69EE1D70F89D3251, "playercinematicfadeout" },
    { 0x2F68CB043E24112A, "playercleanupentondisconnect" },
    { 0xAE6E4953BC63DD1D, "playercleanupinfilondisconnect" },
    { 0xED7ECEECB6E16312, "playerclearcallback" },
    { 0x247BA3F5180E80DD, "playercleargulagomnvars" },
    { 0x0F92C4779E530811, "playerclearjailtimeouthud" },
    { 0xC0748AA4468A8DC6, "playerclearspectatekillchainsystem" },
    { 0x1353CF463E895B86, "playerclearstreamhintorigin" },
    { 0x1D984E809689C6BB, "playerclearstreamorigin" },
    { 0x819463814F5FBCFF, "playerclockdirection" },
    { 0xC0B9290C822D6C66, "playerconnectedevents" },
    { 0x5C00816CC0B64AD2, "playerconnectwatcher" },
    { 0xC05DF0C7EA112FA1, "playercontrol" },
    { 0xB3E163BB7CF70396, "playercontrolled" },
    { 0x4B46FF65A355B4C3, "playercontrolledmodel" },
    { 0x40E379C4A28F71AC, "playercontrolledstreak" },
    { 0xD152B02343C2C437, "playercounterpress" },
    { 0x680E0DB12E455CD3, "playercreatehudelement" },
    { 0xD98995CE477E0F3F, "playercrouchmovedist" },
    { 0x17F1C5136ADCEF4D, "playercustomizationdata" },
    { 0xFC1D75E15050367B, "playerdamaged" },
    { 0xA15F0FF992BA5CF0, "playerdamagemain" },
    { 0x986BA95887C6FE9F, "playerdamagewaiter" },
    { 0x00D73117334D3C18, "playerdatafield" },
    { 0x46B3F88A3D1A2DF2, "playerdead" },
    { 0x9840120460E0C5BE, "playerdeath" },
    { 0x661B04DF7ECE4302, "playerdeathangles" },
    { 0x85C83497CF2F8574, "playerdelayautobankplunder" },
    { 0x082655E19A4D21A7, "playerdelaydisablezombie" },
    { 0x309289D3E17E4991, "playerdelayedvo" },
    { 0x1185A25C257EBF4F, "playerdenyextraction" },
    { 0xF2CE0F66BD09AB03, "playerdestroyhud" },
    { 0x978E0C89BC539D92, "playerdied" },
    { 0x3B9CD05243046E15, "playerdisabletriggers" },
    { 0xA381F94D4BA42DB6, "playerdisconnect" },
    { 0x3E8884198F569C04, "playerdistfrac" },
    { 0x5524564CE44D33EE, "playerdodefibrillator" },
    { 0x24778CCE6DD362CA, "playerdogfightwaiter" },
    { 0xA381A82E65C2B54F, "playerdoportabledefibrillator" },
    { 0xE2C61F0D4DC994A0, "playerdoublegrenadetime" },
    { 0xA8EF2A75E763AA4D, "playerdroneintrodof" },
    { 0x9DB8E75B41AAFE4D, "playerdropplunder" },
    { 0x264228CE2782C3BA, "playerdropplunderondeath" },
    { 0x937F40403D63B2BF, "playerdropweaponfrominventory" },
    { 0x6841A0861D2686C2, "playerenabletriggers" },
    { 0xDD71C6334701FF8E, "playerenemypool" },
    { 0xD58CFE4D94EB5D61, "playerent" },
    { 0x7C1BEE6E585AD3BF, "playerenterarea" },
    { 0x2619312AD7FE437D, "playerentercallback" },
    { 0x1D3DD367D5278F03, "playerentercombatarea" },
    { 0xE6FB7CE9A6A4A74A, "playerentercombatareamessage" },
    { 0x2007B5924ABE870A, "playerentersafearea" },
    { 0x59086546B6EC37D1, "playerentersafeareamessage" },
    { 0xE6FD9BCB778586F9, "playerentersoftlanding" },
    { 0x7223548A1EA03D4D, "playerexecutionsdisable" },
    { 0x1615167E5F369224, "playerexecutionsenable" },
    { 0xE0F717EA340B1967, "playerexitcallback" },
    { 0x9BDE36871BFA75C5, "playerexitcombatarea" },
    { 0x0746429AEDE0A244, "playerexitcombatareamessage" },
    { 0xB8E6046F7F57AD9C, "playerexitlaststand" },
    { 0x580703E6F86D95F0, "playerexitsafearea" },
    { 0xE4FEBA5AAA790767, "playerexitsafeareamessage" },
    { 0x0F2AD17DCA5A3785, "playerfacingpct" },
    { 0xA614DCAF5DC9BCB4, "playerfadeobjdelete" },
    { 0x2BED063CF6A3E13A, "playerfakespectate" },
    { 0xECCACA860680CE24, "playerfakespectatecontrols" },
    { 0x0E9011DE57D1EBA6, "playerfakesplash" },
    { 0x0FBEA4C135F02189, "playerfields" },
    { 0x12CC0CB7AB64E3E4, "playerfocus" },
    { 0x5705171A4E191AE1, "playerfocusmain" },
    { 0x6C7B4C09E6E4AF7A, "playerforcedeathanim" },
    { 0x814587D5C4883E8A, "playerforcespawn" },
    { 0x337BB488548ED94E, "playerforcespectatorclientwait" },
    { 0x609CF1CBC5E15CF8, "playerforplayercard" },
    { 0xDC74490544135ED0, "playerframeupdatecallbacks" },
    { 0x77205AA99D5D9EEE, "playerfriendlyto" },
    { 0xC8CCF825A73E6D04, "playerfultoncrateextract" },
    { 0x5420F1F2F1FBF375, "playergetbestdropbagorigin" },
    { 0x7F4C29C8BD5932F2, "playergetbestrespawnmissionorigin" },
    { 0x951F875E7AC8580A, "playergetbestrespawnteammate" },
    { 0x63E4F37E37E3E580, "playergetbountypoints" },
    { 0xCD66E2C6700B54EF, "playergetlaststandpistol" },
    { 0x3E9A70A830555B24, "playergetnextarena" },
    { 0x3B886ABC9F5D556F, "playergetplunderomnvarbitpackinginfo" },
    { 0xC945882125D4D16F, "playergetspawnpoint" },
    { 0x6F1B35BE3765DB45, "playergetspectatingplayer" },
    { 0x299E15EA5DF31273, "playergettotaltime" },
    { 0x44A4A931AE0DF08A, "playergetzombiespawnlocation" },
    { 0x23D57C0EE77ECA92, "playergetzoomfov" },
    { 0xD6FCEDD015907869, "playergetzoomlevelindex" },
    { 0xDC53C8ECC30BC360, "playergivearenaloadout" },
    { 0x03A951DCF38E06A6, "playergivedefibrillator" },
    { 0x5F3E9D3D1FCC9BCB, "playergivetriggerweapon" },
    { 0x2000CE04AE326E6D, "playergoingintols" },
    { 0xF4436F7C6A761ED5, "playergrabbed" },
    { 0x34A9665A3605E3F6, "playergrenadebasetime" },
    { 0x5571FB0B4DE27106, "playergrenaderangetime" },
    { 0x774AD31C528F225A, "playergulagarenaready" },
    { 0x23F08C5004A0023B, "playergulagautowin" },
    { 0x667820B1F0A2D6A2, "playergulagautowinwait" },
    { 0xACC9FC37C0F8B523, "playergulagdonesplash" },
    { 0x598C6DB4184D8DFC, "playergulaggestures" },
    { 0x4B3C81AE0F30D448, "playergulaggesturesdisable" },
    { 0x46AD48CDFD6BDA12, "playergulaggetrespawnpoint" },
    { 0x5456FE4533E4B8ED, "playergulaghud" },
    { 0x7D3F256B389C755C, "playergulagvictorysetcontrols" },
    { 0xAA245F77F802B8BC, "playerhandlecirclepickitem" },
    { 0x18F85CB6A8CD2E3C, "playerhandlekillstreak" },
    { 0x1BD9499D20126C54, "playerhandleredeploy" },
    { 0xEC9028832BBD3CE2, "playerhandlesandboxmenu" },
    { 0x96BB99D47B7C7A94, "playerhandlesponsor" },
    { 0xD393A78073DA676F, "playerhasmolotovs" },
    { 0x91A338556C5BF4CB, "playerhaspistol" },
    { 0x5A73AF2AC0902D39, "playerhastknife" },
    { 0x6544E710F5A6F211, "playerhastrock" },
    { 0x9A1B47B479B3D21A, "playerhealth" },
    { 0xBBB2AB7A1E833DE9, "playerhealth_regularregendelay" },
    { 0x11F18F55A7E16C03, "playerhealthomnvarwatcher" },
    { 0x17133B645A6FA7A3, "playerhealthregen" },
    { 0x02314129AD71EEF4, "playerheli" },
    { 0x7E545B0A5BAF8892, "playerhelmetenabled" },
    { 0xC5F49129807B6DBC, "playerhide" },
    { 0x4C08F9AC466D359D, "playerhudattractionobj" },
    { 0x05F46B7C6E62B602, "playerhudupdatenumconsumed" },
    { 0xF05BADF1C84C3035, "playerhumanconcusspush" },
    { 0x6E7E51484A08B8E3, "playerhumanconcusspushcleanup" },
    { 0x77EA815133334C30, "playerhumanconcusspushplayer" },
    { 0x2D1D94E7EED0C385, "playerhumanhitground" },
    { 0xF3409607A90D1EAF, "playerhumanpowers" },
    { 0x909EBD5B7768C916, "playerhumanprestream" },
    { 0xA7F57AC3A6406684, "playerhunterpostloadout" },
    { 0x7F168815D0E181FF, "playericonfilter" },
    { 0x9A9AF8DA5CB157BF, "playericontriggerenter" },
    { 0xF9AD44DD09BBF63B, "playericontriggerexit" },
    { 0x5790CBF03905E8B1, "playerid" },
    { 0x7B9518F4D60CBFD7, "playerinaiwarning" },
    { 0xBFD1A63055FF4EBC, "playerincrementscoreboardkills" },
    { 0xDF9993E972506412, "playerinfildisabled" },
    { 0xAD794B3B4B98482E, "playerinit" },
    { 0x07C972ABB213944D, "playerinitinvulnerability" },
    { 0xC7FF14175F206BB9, "playerinitpersstats" },
    { 0xBEF8F2273C67BE20, "playerinlaststandhold" },
    { 0xDCCD9A247352DEC9, "playerinnagvolume" },
    { 0x09AECF33A4BA8FC4, "playerintripwiredangerzone" },
    { 0xB4DD7932452EBA10, "playerisbecomingzombie" },
    { 0xB41269F95C661F30, "playeriscinematicblacklayeron" },
    { 0xB255970B0EA692D3, "playeriscinematiclayeron" },
    { 0x651B61FF5D81BAF0, "playerismatchedplayerready" },
    { 0xCE01CC1427A78C44, "playerismatchpending" },
    { 0x43E667D3DCD244ED, "playerisprop" },
    { 0xC8993C637A7A7E6C, "playerisstreaming" },
    { 0xF1147B8558733DDE, "playeriszombie" },
    { 0xD5B812B65661008F, "playerjailtimeout" },
    { 0x3A9B1806C19AE292, "playerjailwaitvo" },
    { 0xD3B1ADB6F894755A, "playerjoininfil" },
    { 0x3CF0F0E4FBAEDA64, "playerjoinwatcher" },
    { 0xE997A771A807F606, "playerjumpseencount" },
    { 0xD7E3C0384CB4AE7B, "playerkeeploadingstreamedassets" },
    { 0x293858F051D11FAC, "playerkilled_deathscene" },
    { 0x89170A14347AA3FA, "playerkilled_deletecorpseoutofvehicle" },
    { 0xC7E636F6E15E1AF1, "playerkilled_finddeathtype" },
    { 0x0F75C5A1CA7A513F, "playerkilled_fixupattacker" },
    { 0x4AD55FD4642087E4, "playerkilled_handlecorpse" },
    { 0x76FCE1504BF45F92, "playerkilled_handledeathtype" },
    { 0x2EE8FED37FD9125E, "playerkilled_initdeathdata" },
    { 0x95524999B6DAC83B, "playerkilled_internal" },
    { 0x3E00D255148CDD69, "playerkilled_killcam" },
    { 0xCB3A01AF7A0FF74A, "playerkilled_killcamsetup" },
    { 0xA7E0986EC6C5F7BC, "playerkilled_logkill" },
    { 0xF434F25EDE8DB839, "playerkilled_parameterfixup" },
    { 0xF06AAB566DE0C91E, "playerkilled_precalc" },
    { 0xCBCA1F08B4C29DCF, "playerkilled_sharedlogic_early" },
    { 0x630D1D3304937AEC, "playerkilled_sharedlogic_late" },
    { 0x310587BA08DF3A05, "playerkilled_spawn" },
    { 0x316B78697D226747, "playerkilled_washitbyvehicle" },
    { 0x28A942D5C043ABF0, "playerkilledspawn" },
    { 0xEBDD9B6AE1530CA6, "playerkillstreakearlyexitlocation" },
    { 0x0785E9BA54320847, "playerkillstreakgetownerlookatignoreents" },
    { 0x79EB8CC3D84188B3, "playerkillstreakhud" },
    { 0xD58038A24716A087, "playerkillstreaks" },
    { 0x523F180671823276, "playerlastdialogstatus" },
    { 0x1C30799AED0FD4EF, "playerlastposition" },
    { 0xA1576704FBF8450C, "playerlaststand" },
    { 0x055297C71F5905EA, "playerlead" },
    { 0xBB0DA86E71C9CF6E, "playerleavearea" },
    { 0x17323FF662EE7B6E, "playerleavesoftlanding" },
    { 0xC93484EA79DD60C7, "playerletgo" },
    { 0x72F9F319A11DEDFD, "playerlinked" },
    { 0x65AAC483BD67E56B, "playerlinkedcounter" },
    { 0x1BBFE4913FD10C4A, "playerlinkedoffsetdisable" },
    { 0xB4E9878536500501, "playerlinkedoffsetenable" },
    { 0x6F3A5F61463D3048, "playerlinkedsetforceparentvisible" },
    { 0x7F75582979C4C437, "playerlinkedsetusebaseangleforviewclamp" },
    { 0x6BEA5FD0573DDD8E, "playerlinkedsetviewznear" },
    { 0xA3A7EE234C375801, "playerlinkedturretanglesdisable" },
    { 0xFD77469AE88CF138, "playerlinkedturretanglesenable" },
    { 0xE13D68A4C5BAA1CA, "playerlinkeduselinkedvelocity" },
    { 0xF9732E5D54A106B1, "playerlinkent" },
    { 0x733BE819A1666F65, "playerlinkto" },
    { 0x3C987E407112563C, "playerlinktoabsolute" },
    { 0xA8EA433BF4D40CB8, "playerlinktoblend" },
    { 0x96B8C8E50B88E9E8, "playerlinktochopper" },
    { 0x08E2642E7D6C0301, "playerlinktodelta" },
    { 0x363FDDD6D1991447, "playerlinktopositionent" },
    { 0x7A24FF605E712786, "playerlinkweaponviewtodelta" },
    { 0x3CDA47C74722B004, "playerlist" },
    { 0x6EDECB008789E326, "playerlocationselectinterrupt" },
    { 0x4F55E5F451A7CACD, "playerlocationtriggerenter" },
    { 0x884825ED4B8A3605, "playerlocationtriggerexit" },
    { 0x51657D2856CF5F43, "playerlootenabled" },
    { 0x0EB8501BB8D04A49, "playerlootleadervalidity" },
    { 0xAE945294222732EC, "playermaxammo" },
    { 0xF72A346D16009951, "playermaxarmor" },
    { 0xE799B36AD3677430, "playermaxhealth" },
    { 0x50F2D4A53F6DF7C4, "playermaxheath" },
    { 0xB6F619F8D00D1746, "playermaybecomemyenemy" },
    { 0x44497F1E6EBC7D8A, "playermeleedamagemultiplier_dvar" },
    { 0x3BCD9BA6E2915296, "playermeleeseencount" },
    { 0x6C49DEBDBC9641D0, "playermeleestunregentime" },
    { 0x42AA30F3DCAE5470, "playermodelforweapon" },
    { 0xAA941C7DD94C3172, "playermonitor" },
    { 0x003E6C29D1216659, "playermonitordistancefromambulance" },
    { 0xDEAC74A80E261993, "playermonitorspectatorcycle" },
    { 0xFC56BA8E1EB875C6, "playermonitorweaponchange" },
    { 0x32C2E36C3236BBF9, "playermount" },
    { 0x421F7DCF6587AA71, "playermounttype" },
    { 0xD5EAF89CE7D90779, "playermovedistlerptime" },
    { 0x3FF3166C3B662E21, "playermover" },
    { 0xD3B7ADE05D2FD29E, "playernadessafe" },
    { 0x53D85E16BB699AFE, "playernakeddroploadout" },
    { 0xB8E1929CFF84AE4B, "playernameids" },
    { 0x8BE2848B1D203F38, "playernumforplayercard" },
    { 0x9BE13C9F09979B2C, "playernumlivesvo" },
    { 0x30FFF317C62CB889, "playeroffhandmain" },
    { 0xC1526F239C769404, "playeroffhandthread" },
    { 0xA583D581CC27BCE7, "playeroffset" },
    { 0x28AB2073FB63B97C, "playeroffsets" },
    { 0xB5BBD3D84E8C4365, "playeronright" },
    { 0xBF50B7A7E9528546, "playerorigin" },
    { 0x622CEAED8D5CE97B, "playeroriginalweapon" },
    { 0x84A8E4C06DF27F7A, "playeroutlined" },
    { 0xB1BE0F31CC18E7F7, "playeroutlineid" },
    { 0x244B5BE238699C9C, "playeroutlinemonitor" },
    { 0x84A8CFC06DF2514B, "playeroutlines" },
    { 0x02DFE3D08E147F23, "playeroutoftimecallback" },
    { 0x3916ABB64DE6163D, "playeroutoftimeminefield" },
    { 0x5B92745A82E98F98, "playeroutoftimeminefieldinternal" },
    { 0xB1C07E43AA65046B, "playerowner" },
    { 0xA21FB1576F62D782, "playerpackdataintogulagomnvar" },
    { 0x4689719DB74A768C, "playerpackdataintoomnvar" },
    { 0x03034A985973F781, "playerpainbreathingsound" },
    { 0xCD951251B2514DE1, "playerparachutedetachresetomnvars" },
    { 0x5F0DAD27D23E16EC, "playerpassengerthink" },
    { 0x5CB832A0161D1D52, "playerphotostatus" },
    { 0x8AEB615D060AEEDE, "playerphysicstrace" },
    { 0x5A9922CC867D8DAC, "playerpickupaxe" },
    { 0x75DE15DFA1410B3C, "playerpickupbody" },
    { 0x951B5E3C7D63588F, "playerpiggyback" },
    { 0x5A30E91B81A397D5, "playerplaybankanim" },
    { 0x0A50F21379DB941D, "playerplaydepositanim" },
    { 0x40F2716B78319010, "playerplaygestureweaponanim" },
    { 0x7FC6EE0F4B9E5FD7, "playerplayinfilloopanim" },
    { 0x4D3E9F6DA8B4A1E5, "playerplayintrocinematic" },
    { 0x4B678AF9FD40062B, "playerplaypickupanim" },
    { 0x86EA9BBFA6A10E62, "playerplaytakephotoanim" },
    { 0xB5385A128DB1DCC8, "playerplunderbank" },
    { 0x5A1C29196AA4E233, "playerplunderbankcallback" },
    { 0x835558776C561C3E, "playerplunderbankdeposit" },
    { 0x5AAD7B8E061429E1, "playerplunderbankdepositcallback" },
    { 0xFE95AB8B6D6EFB70, "playerplunderdeposit" },
    { 0x4D9A60102AC6A8CB, "playerplunderdepositcallback" },
    { 0x3C3069EC49BB6923, "playerplunderdrop" },
    { 0xC48A771B24CA710A, "playerplunderevent" },
    { 0x8786EF9A7144DB3A, "playerplundereventcallbacks" },
    { 0x02DA2463D8CCB22E, "playerplundereventomnvars" },
    { 0xF6DD25021CD250B2, "playerplunderkioskpurchase" },
    { 0x036E19686350ED36, "playerplunderlivelobbydropondeath" },
    { 0x588E5928B4107E67, "playerplunderlose" },
    { 0xCB374367F7884C20, "playerplunderlosecallback" },
    { 0x4FD613AC4662F013, "playerplunderlosedeposit" },
    { 0xDF504C9D730F864C, "playerplunderlosedepositcallback" },
    { 0xF7382699F58C776A, "playerplunderpickup" },
    { 0x4C2F90BAACFB3C0D, "playerplunderpickupcallback" },
    { 0x3CD3C9FCF20A531D, "playerpositionents" },
    { 0x6BBC20F84819275C, "playerpositivereinforcement" },
    { 0xA0B59C1982A5E914, "playerpostsetplunder" },
    { 0x1B0F2022CCDAAA3E, "playerpowerresetpowers" },
    { 0xC426BBFF5658AE93, "playerpowerrestartallcooldowns" },
    { 0xA94E0A7413C6BEF5, "playerpowersaddhudelem" },
    { 0x442EDC4FB40C4B7A, "playerpowerscleanup" },
    { 0x20BE59558ECF0D87, "playerpowerscleanuphud" },
    { 0xE274AC6BABB1429F, "playerpowerscleanupkeybindings" },
    { 0x981B5F7F36EE1F28, "playerpowerscleanuppowers" },
    { 0x09990052E0BE3B4F, "playerpowershud" },
    { 0xE47EC219E1250C28, "playerpowersmonitorinput" },
    { 0x383561764BE58328, "playerpowerssetupkeybindings" },
    { 0xBC6354C978E0580A, "playerpowerstartcooldown" },
    { 0x6BC48B1668088841, "playerpowersupdateongamepadchange" },
    { 0x08376F3E32577C42, "playerpowerswaittillinputreturn" },
    { 0x236E031EFF4C93DE, "playerpreloadintrocinematic" },
    { 0xC42B3E3C1157E2FB, "playerprematchallow" },
    { 0xF0AA405FF7C83B70, "playerprespawngulagjail" },
    { 0x0FFE266A54B24191, "playerprestreamrespawnorigin" },
    { 0x672C607BB229FC67, "playerpronemovedist" },
    { 0x8C346A4B8D880885, "playerproxyagent" },
    { 0x03D07943923F531E, "playerpulloutofgulagwin" },
    { 0x90E4824AC6DBFBCB, "playerpurchaselogic" },
    { 0x1096C2D38EF4EFF8, "playerpurchasenags" },
    { 0x337A52914FFBD639, "playerputinc130" },
    { 0x54029C7B34D912E5, "playerreadytospawn" },
    { 0xDBE2447DC61573A6, "playerredeploy" },
    { 0x7CC9F5A83DF1A3DB, "playerregendelayspeed" },
    { 0x310C58938120D212, "playerregenhealthadd" },
    { 0xCBB8729C74B69E1A, "playerregisterbountyindex" },
    { 0x7E3528D615E953FE, "playerremovekillstreak" },
    { 0x957970A5BE2A218A, "playerremoveoutline" },
    { 0xB7D4B3BFF279F8DE, "playerremoveplunderfrominventory" },
    { 0x0CF69A9422BB6637, "playerresetbountypoints" },
    { 0xC98561EBFBB9F82A, "playerresetbountystreak" },
    { 0x78CCFCC1E52A1BF0, "playerrespawn" },
    { 0x1857A94D7782176C, "playerrespawncleanup" },
    { 0xAB4C3C6E744356F4, "playerrespawngulagcleanup" },
    { 0x52A4A4A1649760BD, "players" },
    { 0x45E3C0DE41461EEA, "players_approach_puzzle_monitor" },
    { 0x03B8D568E0F414DD, "players_as_passenger" },
    { 0x11BFE7D70CA04F45, "players_being_revived" },
    { 0x2DF239350A08E2BF, "players_camera_fly_to_start_pos" },
    { 0xBB904E402BA0CDDA, "players_cannot_see_vehicle_icon" },
    { 0x3169BE9133790205, "players_connect_monitor" },
    { 0x0F5F8DC55037F1DD, "players_cut_wire_think" },
    { 0xCDD7C24F29FF04C4, "players_do_black_screen" },
    { 0xA7FC56CD925EE1AA, "players_enter_ambush_sniper_fire_sequence" },
    { 0x66366985423E9C0C, "players_entered_bank" },
    { 0xF68E1523263EA748, "players_exit_ambush_sniper_fire_sequence" },
    { 0xA8F164ACF4715330, "players_expected_for_circle_num" },
    { 0xD31EAA60052A72E8, "players_grenade_fire_monitor" },
    { 0xA11426FBBF6D8E52, "players_gun_game_level" },
    { 0xE6C7C876EB76A6C6, "players_health_as_farah" },
    { 0x0CB99EC1A4F4E39F, "players_holding_hvt_handler" },
    { 0x60F5402CBDF14220, "players_in_aggro" },
    { 0xC824305FF0B5C94D, "players_in_c130" },
    { 0x9ED11428D85120C7, "players_in_correct_volume" },
    { 0xA21FBFDD1A05AA78, "players_in_killzone" },
    { 0xD99112ADA153929A, "players_in_laststand" },
    { 0xF4E09EC6EC0D6404, "players_in_plane" },
    { 0x0317222B548BB82F, "players_in_range" },
    { 0x7C4F035A993A81C6, "players_in_respawn_queue" },
    { 0xF72A05863D154C62, "players_inside" },
    { 0xAEF9D06D7E15F83F, "players_inside_plane" },
    { 0x5A740D923F83BD48, "players_monitor" },
    { 0x852EE2FF1CE8CBF0, "players_nearby_hvt" },
    { 0x2B6F2348633E4B4A, "players_not_in_killzone" },
    { 0xB3E9B3E35A5E93FC, "players_not_in_laststand" },
    { 0x099E2662E322E8CE, "players_on_roof" },
    { 0x81C9667CE69A4AA2, "players_open_door_monitor" },
    { 0xB53C687FD56785CE, "players_pickedup_hvt" },
    { 0x5155241631570314, "players_reached_airport" },
    { 0x4603CAD4625BE02D, "players_recent_position_delay" },
    { 0xE22FEEC833B7701E, "players_using_breach" },
    { 0x173A69F0330EEB29, "players_waiting_for_callback" },
    { 0xB8245936F8379AFC, "players_waiting_to_join" },
    { 0x6AD11AD0DCFF556D, "players_waittill_loadout_given" },
    { 0x3943A422EE24BAC5, "players_waittill_loadout_given_parachute" },
    { 0x5C33B616797783C4, "players_want_to_restart" },
    { 0x7E77C1FDC1B2AA54, "players_weapon_fired_monitor" },
    { 0xC8D19FD4BAC43CFD, "players_within_distance" },
    { 0xFA0D9EA7D7671E9B, "playersareenemies" },
    { 0x18409B9C9E04D686, "playersbyentitynumber" },
    { 0xD9AD5E80216FE497, "playerscaptured" },
    { 0xD202973FA49C02FB, "playerscoreeventref" },
    { 0x2479BB5B1B14555B, "playerscoreeventvalue" },
    { 0x2FA44FC59CF52EAE, "playersdebuffed" },
    { 0x0EC107D4551E21E7, "playerseenproneduration" },
    { 0x2E9AEDE5CD7D3CC2, "playerseesme" },
    { 0xA6050F3585904A23, "playerseesmetime" },
    { 0x5CD51F175B1E672D, "playerselectspawnclass" },
    { 0xA5689D246703A3FC, "playerselectspawnlocation" },
    { 0x6C60897A12CE0E9A, "playerselectspawnsequence" },
    { 0x9B22C083FED557F8, "playerseondaryoffhandtacaim" },
    { 0x89DB17B7D56D280E, "playerseondaryoffhandtacaimlogic" },
    { 0xD934CC576CEB8EAC, "playersetarenaomnvarwithloadout" },
    { 0x60FCAEA1B990D81E, "playersetattractionbestplayer" },
    { 0x85C423557C63810E, "playersetattractionbesttime" },
    { 0xB4C36F0E9F6278B1, "playersetattractionextradata" },
    { 0x7661651D8B70A5B2, "playersetattractionlocationindex" },
    { 0x470A57CF85F306E2, "playersetattractionoff" },
    { 0xF7D475B342118782, "playersetattractionstateindex" },
    { 0xD686BE8B9C1768BC, "playersetattractiontime" },
    { 0xC19E528C4981B075, "playersetattractiontype" },
    { 0x7C5DAC693CABBAE4, "playersetbountypoints" },
    { 0x5D17F8850298770C, "playersetcarryteammates" },
    { 0xE8CDB7C0A22086AE, "playersetcontrols" },
    { 0x455D4B5D336BC159, "playersetgroundreferenceent" },
    { 0xF5FDBA8B6325DF13, "playersetgulagdataomnvar" },
    { 0x3407D88856C85E14, "playersetignoreattractions" },
    { 0xBCF7AB9F9CA224A5, "playersetinlaststand" },
    { 0x28C57E3E31214A98, "playersetisbecomingzombie" },
    { 0x8C492CCDC049A22F, "playersetispropgameextrainfo" },
    { 0x79C44E1A687228A6, "playersetiszombie" },
    { 0x462BCA073CE91680, "playersetiszombieextrainfo" },
    { 0x56DD07E41487435F, "playersetkeypadcodelengthindex" },
    { 0x064CDBD543FAA62F, "playersetkeypadstateindex" },
    { 0x63479DF14D2A8BA6, "playersetomnvarattraction" },
    { 0x5F19CB8EA733A1A9, "playersetomnvargulag" },
    { 0x71463FDF5EDA6C53, "playersetomnvarkeypad" },
    { 0x789924B859402FF5, "playersetplundercount" },
    { 0x461D231697DC90F5, "playersetplunderomnvar" },
    { 0x11B544BE07030F16, "playersetstreamorigin" },
    { 0x4F8BA7990E743523, "playersettagcount" },
    { 0xB59721F4327104FB, "playersetupac130" },
    { 0x5A480A3EB997B0C0, "playersetupcontrolsforinfil" },
    { 0x7F42ECB07D25E48C, "playersetupcrate" },
    { 0x66D6E00CE5B08CB5, "playersetupplayersalivemessage" },
    { 0xC67AAD01841003B6, "playersetwasingulag" },
    { 0x4486544D2AA2103B, "playersfx" },
    { 0x0B19DD8A5BF20BBD, "playershielddisconnectwaiter" },
    { 0x4740A3F3BC269464, "playershieldwatchoverclockremove" },
    { 0xC1C84C5F7406C2CD, "playershieldwatchplayerdeath" },
    { 0x4B046011F922774D, "playershooting" },
    { 0xF10CEF01FF5FC2C8, "playershoulddofauxdeath" },
    { 0xC13668379E452E1D, "playershouldrespawn" },
    { 0xFB8EABB47F7119B5, "playershow" },
    { 0xE408D788436669F0, "playershowarenastartobjectivetext" },
    { 0xD9A2997FAC8A2D45, "playershowskippromptcinematic" },
    { 0x442ACB2A256A9721, "playersinc130" },
    { 0xB97F0AD0C5B2B100, "playersincylinder" },
    { 0x89D3F4C5F750AA35, "playersindisorientradius" },
    { 0x9748A0F64F35F175, "playersinengagedradius" },
    { 0xB959D7254C16A8B0, "playersininitialsmokerange" },
    { 0xCF08F2102DDB24C4, "playersininnerradius" },
    { 0xC5D0F058089DAE71, "playersinnotifyradius" },
    { 0xBFAAF9D6CF9AFCE3, "playersinrange" },
    { 0xC54BB5DF166666C7, "playersinsidebank" },
    { 0xEC51E7F433FD4C53, "playersinsphere" },
    { 0x7F528206E7E2829E, "playersintrigger" },
    { 0x18EB7333E017654D, "playerskipkioskuse" },
    { 0xD979CC67DA9EEDCD, "playerskiplootpickup" },
    { 0x80BB4A7B7A7B4DA6, "playersleftloop" },
    { 0x1849999D0353D2F3, "playerslot1" },
    { 0x18499A9D0353D526, "playerslot2" },
    { 0x18499B9D0353D759, "playerslot3" },
    { 0x18499C9D0353D98C, "playerslot4" },
    { 0x18495B9D03534A99, "playerslots" },
    { 0x7AA46ACE36238337, "playersnear" },
    { 0x8A52BD243CDB9A04, "playersnearcustom" },
    { 0xD982FAEE4F277826, "playersoutsideinitialsmokerange" },
    { 0xB5D5263C5D6210D3, "playerspawn" },
    { 0x1342348B0596FDD3, "playerspawnangles" },
    { 0xAA98414E9432141B, "playerspawndata" },
    { 0x0A5F085F23E717CB, "playerspawnendofgame" },
    { 0x13812D89F52CD490, "playerspawnexfilchopper" },
    { 0x10AFA48E49688723, "playerspawnextractchopper" },
    { 0x4CACC6D7561F0732, "playerspawningasspectator" },
    { 0x8F85BC934F7F54E5, "playerspawnintermissionifneeded" },
    { 0x635A52C51B1FBB63, "playerspawnpos" },
    { 0x61B9E316593669FC, "playerspawnprotectionac130" },
    { 0xDFEA1B65D5ECD24F, "playerspawnsessionteamassignmentfunc" },
    { 0x4201AFA179DEEBB5, "playerspawnteamassignmentfunc" },
    { 0x667B356CBCCDF6FF, "playerspeedfrac" },
    { 0xDC9A28357D20CE13, "playersplash" },
    { 0x040EEA3636B533F4, "playersrevived" },
    { 0x7DE14FC98F1A4050, "playerstancechanged" },
    { 0x301375A23AE4060D, "playerstandmovedist" },
    { 0x3BBCE4ED59E0EE87, "playerstartarenasetcontrols" },
    { 0xA43ECAA33311B0BA, "playerstartbesttimetracking" },
    { 0x3BFAA0E97728DB56, "playerstartbesttimeupdate" },
    { 0x67A81F1B97F3A1A7, "playerstarthealthregen" },
    { 0xD50E1C28286939E2, "playerstartjailsetcontrols" },
    { 0x2F795C52387BCACA, "playerstartpos" },
    { 0xC5F3AF49DFFAB78E, "playerstartpowers" },
    { 0xAB53382FFCFDF222, "playerstartrecondronewait" },
    { 0x571B27C89D8A71B4, "playerstartselectspawnclassnonexclusion" },
    { 0x31BF8A7A845F2B68, "playerstarttimetracking" },
    { 0xC8D768E41ECC49B7, "playerstats" },
    { 0x317168362EEF6188, "playerstingerads" },
    { 0x5D5428C379C7D6CA, "playerstoptimerdelete" },
    { 0x87B1E097C47B7EF5, "playerstreakspeedscale" },
    { 0xBEA93412693E93D6, "playerstreamhintdroptoground" },
    { 0xCFA173DE67C51E8E, "playerstreamhintlocation" },
    { 0xD26597DC28A9D563, "playerstreamhintlocationinternal" },
    { 0x9F161E841B7BBE65, "playerstreamwaittillcomplete" },
    { 0x27F1B43E014B327A, "playerstriggered" },
    { 0x4DF0AFC6E9A929E8, "playersused" },
    { 0x4842D57405FC746F, "playersusing" },
    { 0x4F211205A4F136C8, "playersvisibleto" },
    { 0xC79F5CBCE648A3B3, "playersvisibletopending" },
    { 0x77D7052C5B4946D6, "playerswapteam" },
    { 0xDD4995C178FF6521, "playerswithdoorsense" },
    { 0x622D12808EE8E9CF, "playerswithoutdismemberment" },
    { 0xDDE8524CDF0563F4, "playertag" },
    { 0x24A30753C5FBE29A, "playertakeawaydefibrillator" },
    { 0x29F5772DFB93D148, "playertakeawayrock" },
    { 0x3D0BEEE831A56340, "playertakeextractionplunder" },
    { 0xABB2AB52F25DB0AF, "playertakefultononweapchange" },
    { 0x466B400EA491E9AD, "playerteam" },
    { 0xC79E4F9C74DAF0ED, "playerteleportgulag" },
    { 0x42DDBBA29767835A, "playerteleportprop" },
    { 0x8790EE6BCA676214, "playerteleporttoloc" },
    { 0xCD0289FB0B534161, "playerthinkanim" },
    { 0xF42A4559E61B2E6B, "playerthinkpath" },
    { 0xC0A6F1C2B607D54B, "playerthreadthreader" },
    { 0xE613786060213241, "playerthrowsmokesignal" },
    { 0x7162762E14853576, "playertimedinvunerable" },
    { 0x7ACACE18DB15B171, "playertimenearai" },
    { 0xBC25D4946292499C, "playertimestamp" },
    { 0xBC43E29462B28747, "playertimestart" },
    { 0x3F3F4531BE0D9C88, "playertoomnvarmap" },
    { 0x9120D942CE68C77C, "playertoomvarmap" },
    { 0x2F45B4257149A08A, "playertospectate" },
    { 0x33A74D547B0D6695, "playertouching" },
    { 0x8FA97AE2129EBA05, "playertracking" },
    { 0x0E4B5377134732E0, "playertrigger" },
    { 0xB7E6CF4C64B56961, "playertriggered" },
    { 0x3C55CD0E5A284E92, "playertriggerkillstreak" },
    { 0xBC5EF9592CDF01AB, "playertrytakedefibrillator" },
    { 0xFEFFDE9D3C99ABFA, "playertryzombiespawn" },
    { 0x5954A0C5AEF74709, "playertweaks" },
    { 0x125A61E8876348E3, "playerumpedfromplane" },
    { 0x39204A16E99608FD, "playerunlimitedammothread" },
    { 0x0D003977B2761296, "playerunlinkonjump" },
    { 0x850D9B995492EE0D, "playerunpackdatafromomnvar" },
    { 0x011C9800DFE27B62, "playerupdatealivecounthuman" },
    { 0x18BD482CD4236573, "playerupdatebesttimehud" },
    { 0x94A0C709AC544F23, "playerupdatehudstate" },
    { 0x2D2CFFACB89E0A60, "playerupdateplunderleaderboard" },
    { 0x95CD92E253C0F95F, "playerupdaterank" },
    { 0xA02EAB6847490D01, "playerusehealslot" },
    { 0x249FFB686037445C, "playerusehealslotwatch" },
    { 0x6459C70D9D5270A0, "playerusing" },
    { 0x71DFD3B9097042DA, "playerusingturret" },
    { 0x5CB946229E82F264, "playervehicle" },
    { 0x5408EB8CA63FD846, "playervehiclewaiter" },
    { 0x58C20803233F43D4, "playerviewowner" },
    { 0x41514A1282D0B29D, "playervisibilityrespawntags" },
    { 0x6DA8E0E08717C89D, "playervisiblecount" },
    { 0x396E162476CAE386, "playerwager" },
    { 0xCBBEBF24B4A13537, "playerwaitforprestreaming" },
    { 0x3F960C2875A7C9FD, "playerwaitilllongholdmelee" },
    { 0xEFCA92AA75703490, "playerwaittillcinematiccomplete" },
    { 0x1C844C23D3ED3839, "playerwaittillspectatecycle" },
    { 0xF123FC90478E49B0, "playerwaittillstreamhintcomplete" },
    { 0xA47D9B7E1BFD97C3, "playerwaittospawn" },
    { 0xDA0035ED578782EE, "playerwasholdingcinderblock" },
    { 0x502E0CD98DA6017E, "playerwasnearby" },
    { 0x6D724E8E984B96F0, "playerwasrunning" },
    { 0xBB71F4A5C216BFD4, "playerwatch_unresolved_collision" },
    { 0x355EA3FCB9E55BE8, "playerwatch_unresolved_collision_count" },
    { 0x8817B621E389EFB5, "playerwatchdisconnect" },
    { 0xB3C705E4BB6CCEAC, "playerwatchforredeploy" },
    { 0x9AA640A3F2B84F1C, "playerwatchspectate" },
    { 0x018F89EDD120F9F2, "playerweapondrawnseencount" },
    { 0x5C94BB43B9D2ED3C, "playerweaponinfo" },
    { 0x1169A6E8A910E7AF, "playerwelcomesplashes" },
    { 0x65864B523D31C102, "playerwind" },
    { 0xC27E439A075676AA, "playerworlddeath" },
    { 0x59012EEB38A9E2D5, "playerxpenabled" },
    { 0xB371C74CC048BB57, "playeryaw" },
    { 0xC0CAE30F6F592199, "playerzombieaddhudelem" },
    { 0xBD96098CC08D811C, "playerzombieapplyemp" },
    { 0x4F7A58E3389023BD, "playerzombiebacktohuman" },
    { 0x2F10DD8216BC8856, "playerzombiecleanup" },
    { 0xEB4B87DC0A33A25B, "playerzombiecleanuphud" },
    { 0xDDDD39E2996AFD6B, "playerzombiecleanupkeybindings" },
    { 0x55F14CE52FD5A55C, "playerzombiecleanuppowers" },
    { 0x9A91393318566CD9, "playerzombiedelayturnonfx" },
    { 0x89ECFA2573901D81, "playerzombiedestroyhud" },
    { 0x8E1C472DED61236E, "playerzombiedovehicledamageimmunity" },
    { 0xE373A8D387CA9FC5, "playerzombiedroploot" },
    { 0x5EA1637DECFD05E4, "playerzombieemp" },
    { 0x3BE1BCC9AE85E4E8, "playerzombieempcleanup" },
    { 0xC56B94169F13683D, "playerzombieentergas" },
    { 0x64DC559A764C16B7, "playerzombieexitgas" },
    { 0xF32F2963CC390099, "playerzombiegasthink" },
    { 0x5B917CA134D091FA, "playerzombiegetrespawnbyteam" },
    { 0x52AE90BD6052A268, "playerzombiehitground" },
    { 0x00E2147E64E6CACB, "playerzombiehud" },
    { 0x6E61B02396EB4CF2, "playerzombieisingas" },
    { 0xACC596C622566B6E, "playerzombiejump" },
    { 0x85C090D85EE1C9AE, "playerzombiejumpcleanup" },
    { 0x2F806F967F3B61A7, "playerzombiejumpmaxholdwarning" },
    { 0x1638CB0F1888CE66, "playerzombiejumpstop" },
    { 0x5D16474A162DED9B, "playerzombielaststandrevive" },
    { 0xD4C428CA9A8D99FC, "playerzombiemonitorinput" },
    { 0xAAFB2F384082D74C, "playerzombiepingoutofgas" },
    { 0xAA1C609E327ECD8C, "playerzombiepowers" },
    { 0xF5910262C04F1410, "playerzombiepowerstartcooldown" },
    { 0xC3F41B51A7F6C56F, "playerzombieprestream" },
    { 0x5E462BA4D028D51E, "playerzombierespawn" },
    { 0xD681EB5934623656, "playerzombiesetradar" },
    { 0x0EC94FA7ED11C6E8, "playerzombiesetuphud" },
    { 0x257698BE6AE8B08C, "playerzombiesetupkeybindings" },
    { 0x2ACF67B857351BFF, "playerzombiestatechange" },
    { 0xC8203EEF4EBFAD1B, "playerzombiestreamwaittillcomplete" },
    { 0x4CC99F149A8D3BFD, "playerzombiesupersprint" },
    { 0x153B3D5BA296C18D, "playerzombiethermal" },
    { 0x3D096BE4E408A5EB, "playerzombiethermalcleanup" },
    { 0x2C46129AA6E7F99C, "playerzombiethermalupdate" },
    { 0x1A5FD69177E79855, "playerzombieupdateongamepadchange" },
    { 0xFFC0ED33D4A5DCD1, "playerzombieupdatetagobjectives" },
    { 0x98D0C5A6624D9D14, "playerzombievehiclehittoss" },
    { 0x4909E3FA4141E19E, "playerzombiewaittillinputreturn" },
    { 0xF7990B9A53116492, "playeventvo" },
    { 0xCA109FA54EF783E3, "playexplodedeathanim" },
    { 0xBE933568E221B4BD, "playexplosionsound" },
    { 0xDE5317F6502C26E1, "playexplosivedeathanim" },
    { 0xF50C89522F8F3E61, "playexposedcoveranim" },
    { 0xDD167B4E703C0B3E, "playexposedcrouchaimdownloop" },
    { 0x148544C9E5FA831D, "playexposedcrouchloop" },
    { 0x956529FCE639BD2E, "playexposedidleaimdownloop" },
    { 0x566A8AA3A545131F, "playexposedloop" },
    { 0xC31B87075CCED53F, "playexposedproneloop" },
    { 0x9A6057188A76CA1D, "playfacesound" },
    { 0x9123BA68FE4DB60A, "playfacethread" },
    { 0x834149F550647E26, "playfacialanim" },
    { 0x75EC4C1F1F8AF8E7, "playfirechainsfx" },
    { 0xBB40F3A264E51EF5, "playfirstcamblendpt" },
    { 0xE4DF6B41D1A6EA93, "playflarefx" },
    { 0xD94EE29F40D16E5D, "playflavorburstline" },
    { 0xEA43926D33312532, "playflyoveraudioline" },
    { 0x6BC6B3F0788CE86B, "playfootprinteffect" },
    { 0x41211249F711239D, "playfootstep" },
    { 0xA88589ECEABD77AC, "playfootstepeffect" },
    { 0x79727DF0AEF798D3, "playfootstepeffectsmall" },
    { 0xF2AB0CCAA1936131, "playfx" },
    { 0xC90D70F7B6B58002, "playfxatpoint" },
    { 0x09F95D9D84D5FEC8, "playfxbetweenpoints" },
    { 0x3FC68E4B88ACCF32, "playfxcallback" },
    { 0xE072B47BE6D9986D, "playfxnophase" },
    { 0xEE9A5095C7925331, "playfxonplayer" },
    { 0x81FA59F435BAAFF4, "playfxontag" },
    { 0xCC59876E3B76DF2D, "playfxontagforclients" },
    { 0x6D620514D6003242, "playfxontagforteam" },
    { 0x2F74AB3064687D89, "playfxontagsbetweenclients" },
    { 0xDDEB01C54DC7BBCF, "playgestureanim" },
    { 0xF5B46CCC08065A32, "playgestureforcraftingandskillpointstablet" },
    { 0x9E4502486BFAECA4, "playgestureviewmodel" },
    { 0xAA975E84518C1D51, "playgotinfectedsoundcount" },
    { 0x07103EDBD15164B1, "playgrenadeavoidanim" },
    { 0x29537A9B1F4FFD06, "playgrenadereturnthrowanim" },
    { 0x16ACFC06F6803445, "playground_anim_node" },
    { 0x1800362CF698484C, "playhandstep" },
    { 0x20074B5EB289EB45, "playhardpointneutralfx" },
    { 0xCB8AB46E4D77E44B, "playheatfx" },
    { 0x3C7C98268ECAB553, "playholdtwovo" },
    { 0xF6841090D54CFF23, "playhostagehelp" },
    { 0xA213ADA5A2276422, "playidlepatrolanim" },
    { 0xBEA227CAB951F56B, "playimpactfx" },
    { 0x676FE7CD3A6A2BD9, "playincomingwarning" },
    { 0xD5552E7C7297BEC0, "playinfilplayeranims" },
    { 0x1FCCBFD173F6F5A6, "playinformevent" },
    { 0x01837CA1E50F02B1, "playing" },
    { 0x5EDFF16923A16276, "playing_bomb_counter_beep" },
    { 0x2681994A4793930D, "playing_gesture" },
    { 0x24A9DA73C125B8CE, "playing_ghosts_n_skulls" },
    { 0xDB39DD8221BF8B30, "playing_radio_dialogue" },
    { 0xF56F73CFA1406C57, "playing_rumble" },
    { 0x5F1FDD82860A63BD, "playing_skit" },
    { 0x94B85F63DE312441, "playing_sound" },
    { 0x4AC0C773B8100814, "playing_stealth_alert_music" },
    { 0xBDFFC63F871C43CC, "playing_stumble" },
    { 0x6EC45466321A5F5B, "playing_terrorist_respawn_music" },
    { 0x2B03B9C712AD9EDA, "playingburningfx" },
    { 0xB62D996FE8DC5F97, "playingcoughdamagesound" },
    { 0x1DD098A0166DF0C9, "playinggulagbink" },
    { 0xE3BEBA4D1C5AD3FD, "playinglocksound" },
    { 0xFEDE8E0003F8C385, "playingmolotovwickfx" },
    { 0xB27F6DF2586C5EF8, "playingselfvo" },
    { 0xF85483862806C7F9, "playingselfvotracking" },
    { 0xA02EDC92262A7FE8, "playingsound" },
    { 0xFD6215EEF8E9AC26, "playingthrowingknifewickfx" },
    { 0x14A5D75C7A684CC1, "playingtutorialdialogue" },
    { 0xE30530765D6E2DFD, "playinteractable" },
    { 0x6C21700D24FE3A91, "playjailbreakvo" },
    { 0xD5998A37D940EE53, "playjumpsoundtosquad" },
    { 0x85BE17449625D69A, "playkillstreakdeploydialog" },
    { 0xC8A84FAC95C31AA5, "playkillstreakdialogonplayer" },
    { 0xE34B8FB83B08C2FD, "playkillstreakoperatordialog" },
    { 0x6F2D096F17B88374, "playkillstreakslotsound" },
    { 0x05A4061DB8E48528, "playkillstreakusedialog" },
    { 0xD1D7EA640B0F67C8, "playlandingbreath" },
    { 0x691167CEC358532C, "playleadtakendialog" },
    { 0x9CFF5075F890CBBD, "playlerptrack" },
    { 0x86F9FE1A4B76E2C7, "playlifelinkfx" },
    { 0xB43557301705F8D6, "playlinkedsmokeeffect" },
    { 0x8FE834044F8B2BAD, "playlinkfx" },
    { 0x3DB5EA986E1F62B5, "playlocalsound" },
    { 0xFE798E6B22DC7F6B, "playlocalsound_safe" },
    { 0xC05D09DD59D08094, "playlocalsoundwrapper" },
    { 0xC4D0F84EEC036A05, "playlockerrorsound" },
    { 0x64281161D265FFFF, "playlocksound" },
    { 0xC072C37595E881C4, "playlongdeathanim" },
    { 0x2B3DC78B51D9CD3F, "playlongdeathfinaldeath" },
    { 0x2035570402627F91, "playlongdeathgrenade" },
    { 0x342685E2808D9082, "playlongdeathgrenadepull" },
    { 0xD4AA60B2B65E19EF, "playlongdeathidle" },
    { 0x874185F0FC4F03A5, "playlongdeathintro" },
    { 0xEC2707E22B2CBBF3, "playlongdeathmercy" },
    { 0x1AC6C7149D3DDBAA, "playlookanimation" },
    { 0x4F308F0961AAE12A, "playloopedfx" },
    { 0x3AD688AE8D300741, "playloopedfxontag" },
    { 0xB3022E8CE1500A5D, "playloopedfxontag_originupdate" },
    { 0x0D20160E05F281EC, "playloopsound" },
    { 0x2316BFB27E0E74B8, "playlootsound" },
    { 0x16AB7D59C5B0C20E, "playmatchendcamera" },
    { 0x8F36BBC416C47F62, "playmayhem" },
    { 0x1671E30BAA56935E, "playmeleeanim_c6freed" },
    { 0x0FDD93CAB60D713B, "playmeleeanim_chargetoready" },
    { 0x423EF34C9DA5BF44, "playmeleeanim_chargetoready_distcheck" },
    { 0x41417D1B2616655A, "playmeleeanim_seekerattack" },
    { 0x77B941EA861EDB69, "playmeleeanim_seekerattack_cleanup" },
    { 0x7D6FAE10D2E1817F, "playmeleeanim_seekerattack_victim" },
    { 0x74C112F588C4434F, "playmeleeanim_synced" },
    { 0xDEC46B47FA23A6AC, "playmeleeanim_synced_cleanup" },
    { 0x86BB86FD26C9609A, "playmeleeanim_synced_survive" },
    { 0x39B3D577B555FE60, "playmeleeanim_synced_victim" },
    { 0x294B6E88F54EBA06, "playmeleeanim_synced_waitforpartnerexit" },
    { 0x0A39DE40DA208B5B, "playmeleeanim_vsplayer" },
    { 0xF85A017BAC046048, "playmeleeattacksound" },
    { 0x079CD1E41E535350, "playmeleechargeanim" },
    { 0x2CD94CBC3FE69D94, "playmeleechargesound" },
    { 0x64244841AB5E8304, "playmoveloop" },
    { 0xAED6232B4C3E2BB3, "playmoveloop_codeblend" },
    { 0xEB88F5A9809406BC, "playmoveloop_mp" },
    { 0xE7F5B44BA634BA65, "playmoveloopcasual" },
    { 0x646553167FAE5D73, "playmoveloopcasualcleanup" },
    { 0x5269FA2FDF5B19EB, "playmovestrafeloop" },
    { 0x622B41903CA91344, "playmovestrafeloop_codeblend" },
    { 0xE117F3BB53F46526, "playmovestrafeloop_forwardbackwardmonitor" },
    { 0x5A29E08D87AE15BB, "playmovestrafeloopnew" },
    { 0x0E291A77FC6135AC, "playnamelist" },
    { 0x8208F3C1E272DDA3, "playnukeintrovo" },
    { 0xD7B835B03933C1D0, "playnukeusedvo" },
    { 0x89B919F1121C0608, "playoperatorstaticinterrupt" },
    { 0xE13014B59F05D993, "playorderevent" },
    { 0x7D32D77B260F1ADC, "playovertime" },
    { 0x6570973AFB08142B, "playoverwatch_dialogue" },
    { 0x259192306627720F, "playoverwatch_dialogue_with_endon" },
    { 0xD10B71211754269A, "playpainanim" },
    { 0xBF52D3E696EED7C1, "playpainanim_damageshieldtoground" },
    { 0x6749127A7B54A162, "playpainanim_damageshieldtoground_cleanup" },
    { 0x18642DAFA71ADE5F, "playpainanim_exposedcrouch" },
    { 0x489B27B138976B50, "playpainanim_exposedcrouchtransition" },
    { 0x5197FFEE8AA2EF67, "playpainanim_exposedstand" },
    { 0x1DB91BF04C116CFF, "playpainanim_faceplayer" },
    { 0x05AD8657929F06C7, "playpainaniminternal" },
    { 0xEFA69D4C0738AF4E, "playpainanimlmg" },
    { 0x3F1F361E08B4202F, "playpainanimwithadditives" },
    { 0x265C92969A450EB1, "playpainoverlay" },
    { 0x5CCD2E175CB7610F, "playpapgesture" },
    { 0x0A80E2CFEB27E5DA, "playphrase" },
    { 0xBF29709C7D755059, "playplanefx" },
    { 0x00CC7923D7DF2F7A, "playplayerandnpcsounds" },
    { 0xDC89997D6571969D, "playplayerbattlechatter" },
    { 0x54DA0C8E531FEA36, "playplundersound" },
    { 0x35D56DBF6498856B, "playplundersoundbyamount" },
    { 0xCEDDB67CE4A9966F, "playpulsesfx" },
    { 0x3572E5ADFF973B42, "playradio" },
    { 0xB4E91B16D9AED393, "playradioecho" },
    { 0xE82F456EF750F2AA, "playradiotransmission" },
    { 0xF44D223350B2AAAC, "playreactionevent" },
    { 0xFDBE49E7AC8638CD, "playreloadwhilemoving" },
    { 0x5F4DA743DCAC2098, "playremotesequence" },
    { 0xC10630B36EE2FF6C, "playresponseevent" },
    { 0x75E82B2CA719790A, "playrumblelooponentity" },
    { 0x275C4CEFDE273B1A, "playrumblelooponposition" },
    { 0x82C99231E5224282, "playrumblelooponpositionforclient" },
    { 0x7522193772135B58, "playrumbleonentity" },
    { 0xF1D6542136A2EE0C, "playrumbleonposition" },
    { 0x8BBBD8F8750572F4, "playrumbleonpositionforclient" },
    { 0x26FF0B08F684DDF8, "playrunngun" },
    { 0xEF7121BC9BDB2053, "plays_quick_poi" },
    { 0x3D9833CF4D497D8F, "plays_single_anim" },
    { 0xDB08248F1C8E82E7, "plays_wait_poi" },
    { 0x4D6803CEA0CF4D51, "playscaledjump" },
    { 0xB5EF076AADBFB751, "playscorestatusdialog" },
    { 0x2EE68E06659433B0, "playselfbattlechatter" },
    { 0x0360695B2789E566, "playselfvo" },
    { 0x96CA63131E8B574B, "playsharpturnanim" },
    { 0x56F56BA508C7C479, "playshockpainloop" },
    { 0x0B9A727CBA44789C, "playshootinglongdeathidle" },
    { 0x5BDF334F50753F3B, "playshuffleanim_arrival" },
    { 0xE6082DBEFE178431, "playshuffleanim_terminate" },
    { 0x403F88A7E3C253B6, "playshuffleloop" },
    { 0x7AC1365E5E1D94D6, "playskydivefxloop" },
    { 0x484F36690546D3DD, "playslamzoomflash" },
    { 0x3F19248121665070, "playslamzoomflashcolor" },
    { 0xF680A5D56532B816, "playsmartobjectanim" },
    { 0x13FD55D2CD8388BA, "playsmartobjectdeathanim" },
    { 0x213910746B89532F, "playsmartobjectexit" },
    { 0xAB3D74B0D78A835B, "playsmartobjectintro" },
    { 0xFE83EAFFD0AF2093, "playsmartobjectlogic" },
    { 0xC65C536DBAA47A12, "playsmartobjectpainanim" },
    { 0xBA86F23657BC0C4B, "playsmartobjectreactanim" },
    { 0x2910C1E27EC475EA, "playsmokeflarevisualmarker" },
    { 0xABEA938CC6C9E816, "playsmokefx" },
    { 0x2719E5173270DDEA, "playsonicboom" },
    { 0xE5948C335597C5B7, "playsonicshockfx" },
    { 0xB6822A392212C77E, "playsound" },
    { 0x19CE93AF17D81A45, "playsound25mm" },
    { 0xB0C178CC839B39D0, "playsound_vo" },
    { 0x29925F130AE5156A, "playsound_wait" },
    { 0x924D9C4C8F288243, "playsoundatpoint" },
    { 0xD16FE2D258A1484B, "playsoundatpos" },
    { 0x8499D55890286889, "playsoundatpos_safe" },
    { 0x518A6C635FF8B5E5, "playsoundatviewheight" },
    { 0x6F6322B00F4154DC, "playsoundforteam" },
    { 0x026B7E7902067D41, "playsoundinspace" },
    { 0xE87931823DFA5630, "playsoundonentity" },
    { 0xCB26B834A7E2AC4E, "playsoundonmovingent" },
    { 0xA24C28701AA3AF3F, "playsoundonplayers" },
    { 0x61AD20B965D2899D, "playsoundontag" },
    { 0xF96438B3DBCC641F, "playsoundoverradio" },
    { 0x869BA4F74AF06F52, "playsoundtoplayer" },
    { 0x80F7253879216252, "playsoundtoplayer_safe" },
    { 0x58C8C959F8FE05AA, "playsoundtoteam" },
    { 0x47E63999C1B75E9A, "playspinnerfx" },
    { 0x6DA2E8FAFA792968, "playstartanim" },
    { 0x531AD5AB4A6CC052, "playstealthevent" },
    { 0x5DBB13212F42DAE3, "playstumblingpaintransition" },
    { 0x5F5CA63A4F9FD071, "playstumblingwander" },
    { 0x9910BC7BF126C419, "playsurfacesound" },
    { 0x4354B9B85CF60E28, "playteamfxforclient" },
    { 0x5C95343A9A778835, "playthanksvo" },
    { 0x9D99F7E8990D1C35, "playthreatevent" },
    { 0xC411252C8B9BFB91, "playtickingsound" },
    { 0xFFE4DED661F1DEFF, "playtracks" },
    { 0x874CB18B7FF1D19C, "playtransitiontocoverhide" },
    { 0x11529BD6AA95773E, "playtransitiontoexposedanim" },
    { 0x8106869BE768E125, "playtransitiontoexposedanimanglefixup" },
    { 0x3583631841FF8870, "playtraversaltransition" },
    { 0x7A9C3B44173510A0, "playtraverseanim" },
    { 0x5A50D80AB6B91BCC, "playtraverseanim_deprecated" },
    { 0x0AA54B05FB4DA0BC, "playtraverseanim_doublejump" },
    { 0x5A3454796DFBF4E2, "playtraverseanim_external" },
    { 0x9134306EA2DAB441, "playtraverseanim_ladder" },
    { 0x1D509E77D4887087, "playtraverseanim_scaled" },
    { 0xAA21ABF83CBD7A1B, "playtraversearrivalanim" },
    { 0x35CDC06C1A8C0FF9, "playturnanim" },
    { 0x2132F96EC02A16AA, "playturnanim_cleanup" },
    { 0xE1C97C3D0F0E65FF, "playturnanim_turnanimanglefixup" },
    { 0x7BE8CBDFE4005D6F, "playtutsound" },
    { 0x2121ECD31D9636ED, "playusesound" },
    { 0xAB7955E760B352E7, "playvehicleevent" },
    { 0x2C1506A203EA0525, "playvfx" },
    { 0xAF443AA988C18886, "playviewmodelanim" },
    { 0x0E6DF8C1BFCDADB6, "playvofordowned" },
    { 0xB370D75FA9A46A35, "playvoforlaststand" },
    { 0x00303FC3348BEE7B, "playvoforpillage" },
    { 0x60B63E2EAE439982, "playvoforrevived" },
    { 0x185083C2DF2FE574, "playvoforscriptable" },
    { 0xE9DA5BC07291608D, "playvointernal" },
    { 0xC6BB686E838B4309, "playwallrunattach" },
    { 0xD57963C1B3F94A05, "playwallruncontinue" },
    { 0x143EE74904AFEBC0, "playwallrunendsound" },
    { 0xBEFDCEDF347AE6E2, "playwallrunenter" },
    { 0x8E565F920CB71974, "playwallrunexit" },
    { 0x6A452138C15FDDFA, "playwallrunloop" },
    { 0x0340270EA38F4ECE, "playwallruntomantle" },
    { 0xC2A44782196C5FE4, "playworldsound" },
    { 0x79CF72A65A6E7133, "plot_circle" },
    { 0x89CF88ACD2FADEA0, "plot_points" },
    { 0xDA2366A3F3A68E45, "plotarmor" },
    { 0x2DC7C5549F5DE115, "plunder" },
    { 0xF86CD8E2810EF70B, "plunder_addanchoredwidgettorepositoryinstance" },
    { 0xBB6769538801E129, "plunder_allowallrepositoryuseforplayer" },
    { 0x51F28FED0D85286E, "plunder_allowrepositoryuse" },
    { 0x700C7400ADBB4B40, "plunder_allowrepositoryuseforplayer" },
    { 0x1B403911283C63D1, "plunder_awarded_by_missions_total" },
    { 0x21483655393B3A3F, "plunder_clearrepositorywidgetforplayer" },
    { 0x4846F6AF4890C1FB, "plunder_deregisterrepositoryinstance" },
    { 0xF2AF80FB61E37DCC, "plunder_economy_shapshot_loop" },
    { 0x83DB5F1258995A01, "plunder_endgame_music" },
    { 0x33B013994D108946, "plunder_extraction_site_active" },
    { 0x4E4AD65EFC5FE2E1, "plunder_fiftypercent_music" },
    { 0x48E6733B7C71CD03, "plunder_getleveldataforrepository" },
    { 0x70C8C4C480AEB3F1, "plunder_infils_ready" },
    { 0xBAC1913A3AC10D3C, "plunder_initrepositories" },
    { 0x9662ED7ED5A45563, "plunder_items_dropped" },
    { 0x4D7B3B2A6EF8BEA9, "plunder_items_picked_up" },
    { 0x02481F6C779BF222, "plunder_ninetypercent_music" },
    { 0x531018E6C8B6A5D5, "plunder_overtime_music" },
    { 0xA63ABCA0B17ECE3A, "plunder_playercanuserepository" },
    { 0xAFFDC4EC4B78A61B, "plunder_playerrepositoryuseshouldsucceed" },
    { 0xFDDFDC6CDC48C32C, "plunder_playerspawnedcallback" },
    { 0xF171A41FCD533A28, "plunder_registerrepositoryinstance" },
    { 0xDC02E0FFE839BA7D, "plunder_removeanchoredwidgetfromrepositoryinstance" },
    { 0xB6A6DCCCC0D79EDF, "plunder_repositoryatcapacity" },
    { 0xE06B988C3A35A8EE, "plunder_repositoryclearcountdown" },
    { 0x1F15BF00B9E6B28B, "plunder_repositoryenableuserestrictions" },
    { 0x49E00141FD28DCD2, "plunder_repositoryendcountdown" },
    { 0xD8913E1B1E06BA63, "plunder_repositoryextract" },
    { 0x5D0D5A0005F7EDC5, "plunder_repositoryinstanceisregistered" },
    { 0xAB295B267A85096E, "plunder_repositoryplayerplundereventcallback" },
    { 0x0CF5015CD1C57B66, "plunder_repositorysendcountdownmessage" },
    { 0xD8496B076E90D7DA, "plunder_repositoryusecallback" },
    { 0xEF9FD206FED45D07, "plunder_repositoryusecallbackinternal" },
    { 0xE2747455E2A1922D, "plunder_repositoryusescriptablecallback" },
    { 0xAF58785E532E2018, "plunder_repositorywatchcountdown" },
    { 0x2FF7BE15E59B056C, "plunder_repositorywatchuse" },
    { 0x5842D2A3DA9E5BFB, "plunder_sendrepositorywidgetomnvar" },
    { 0x2ACAEDD8207F1A55, "plunder_seventyfivepercent_music" },
    { 0xA0EC14C8BCA81BAA, "plunder_tenpercent_music" },
    { 0x1DA220199B8D3ED7, "plunder_thirtypercent_music" },
    { 0xD6D200BADE8F1A78, "plunder_updateanchoredwidgetforplayers" },
    { 0xA90A9C07A691CF07, "plunder_updaterepositorywidgetforplayer" },
    { 0xDAB616CA139C1106, "plunder_value_dropped" },
    { 0x3A11A06B458A2E18, "plunder_value_picked_up" },
    { 0x80040792AF0464DC, "plunderatcapacity" },
    { 0x2F10DE9FB6B4A026, "plunderbanked" },
    { 0xCC99ACA7C637CCC4, "plundercount" },
    { 0x8BEC5325C781EF94, "plundercountdownendtime" },
    { 0xA71E0D84E6A3DA8F, "plundercountdownmessagedata" },
    { 0xF97A3CE24F7653A2, "plundercountdownplayers" },
    { 0xA0903472816937C8, "plundercountdownupdatetime" },
    { 0x5D62ACD5502CA875, "plundercountondeath" },
    { 0x713B97CCDEDE6017, "plundercountroll" },
    { 0xAB9F75B1E5A26F71, "plunderdelta" },
    { 0x4890E64FDF08395B, "plundereventamount" },
    { 0x6E9C951F4E3A915E, "plundereventtime" },
    { 0xD127376108B48C77, "plundereventtotal" },
    { 0xC1B4F656EAEF60D7, "plunderextractalertnearby" },
    { 0xCCA4F2BE4E2B0091, "plunderforextract" },
    { 0xA77D294976A79F83, "plunderfxondropthreashold" },
    { 0x4127495E80BED58F, "plunderinstanceid" },
    { 0xE6BE01A3402F497F, "plunderitems" },
    { 0xA01B8F39868C205C, "plunderleaderboard" },
    { 0xEFB9D02AACC92344, "plunderlimit" },
    { 0xA9A8B9D995883ADD, "plunderlivelobby" },
    { 0xB32650D138DCB3FA, "plundermusicfirst" },
    { 0xB3AB17E53EE77304, "plundermusicfourth" },
    { 0x302A0637528A5B70, "plundermusicsecond" },
    { 0xB88F6A3FAC2B2CD5, "plundermusicthird" },
    { 0xBB9F18EC3259A47A, "plunderonfirstpickup" },
    { 0x2EAA5506D3482DEB, "plunderpads" },
    { 0x5D436FC9F91D8216, "plunderpickupcallback" },
    { 0x8BEA200EC336FF86, "plunderrankupdate" },
    { 0xC370E3FB2ACA016A, "plunderrarities" },
    { 0x2815AAF18B3B9E99, "plunderrepositories" },
    { 0x94E86BC28D0953E2, "plunderrepositoryref" },
    { 0xB3F1A2F45850576C, "plunderrepositoryrestricted" },
    { 0x6DEFBEAA9D49F585, "plunderrepositorywidget" },
    { 0x5123B177EC537B35, "plundersilentcountdownendtime" },
    { 0xC7C21838454121C7, "plundersiteused" },
    { 0x8F1BCD6150CBBB1E, "plundersiteusedinternal" },
    { 0x85DEC66DAB4F5FE8, "plundersoundamount" },
    { 0xBA4AA15D6101F042, "plunderstructreplenish" },
    { 0xAA1B3143644CF992, "plundertimer" },
    { 0x5E9AC469D462380D, "plundertotal" },
    { 0xB1C68BDBC395356B, "plundertutstarttime" },
    { 0x5E953385B5421F0F, "plunderupdatelootleadermarks" },
    { 0x79CA1C778A7F6619, "plunderusable" },
    { 0x74FF942827BEEC9D, "plunderusedisabledwhenempty" },
    { 0x7EAD534DADDF394E, "plundervar" },
    { 0x8782389F6492F321, "plus" },
    { 0xB65F21C0C1B5CA15, "pmc_match" },
    { 0xBF8ABCFCA2C9D6E5, "pod_addusedpoint" },
    { 0x45A0C7160A72054D, "pod_cleanupusedpoints" },
    { 0xEC65179EAA5319BB, "pod_combat_periodicping" },
    { 0xAE3A34950ED57663, "pod_combat_update_checklosttarget" },
    { 0x1003E5DFE7D58B12, "pod_delete" },
    { 0x4653D159DC0717C5, "pod_getclosestguy" },
    { 0x2CB29F32AF9425E7, "pod_haslostenemy" },
    { 0xCA56B5E17EE9B344, "pod_hunt_delayednotify" },
    { 0x4FC5730281768AC2, "pod_hunt_hunker_update" },
    { 0x288F2C8BD6158898, "pod_hunt_update" },
    { 0x522C44E7B911D996, "pod_hunt_vo" },
    { 0x287BC1D45829211B, "pod_isclosetoanymembers" },
    { 0xA53B368CA81B270C, "pod_isleader" },
    { 0xC1FFA3A3950A4A4A, "pod_settocombat" },
    { 0x53D1CE7B77186337, "pod_settohunt" },
    { 0xD598E28F2A304330, "pod_settoidle" },
    { 0x7457FE485265CA79, "pod_updateinvestigateorigin" },
    { 0x6D76E69A936C7FAB, "podiumindex" },
    { 0x5CD1AD9F45959C99, "pods" },
    { 0x5F48F9A3F51264D0, "poi_activeai" },
    { 0x908500156A565BF7, "poi_disablefov" },
    { 0xF4C32C064D514A67, "poi_enable" },
    { 0x9A83D4DC09C5C499, "poi_enabled" },
    { 0xE58E180E1221FE28, "poi_firstpoint" },
    { 0x3339273BCDB88C56, "poi_fovlimit" },
    { 0x32AA985620EB8890, "poi_oldturnrate" },
    { 0xF8CFA89358DBF195, "poi_starttime" },
    { 0x84522E75D77BBBC4, "poiauto" },
    { 0xAB3412F72A4CADAD, "poiauto_angles" },
    { 0x929DE183D46356D4, "poiauto_getshootpos" },
    { 0x977815710D9CA9D2, "poiauto_glanceend" },
    { 0xB8398235079D5D3A, "poiauto_glancerandom" },
    { 0x2EBA206B1A5D4FDF, "poiauto_init" },
    { 0x0A5806EE264495F6, "poiauto_isglancing" },
    { 0x9DDEE64F3108A8F4, "poiauto_nextaimtime" },
    { 0xBB1A5FF5FCA96E0C, "poiauto_nextangles" },
    { 0x10C0A9BD2ACAC909, "poiauto_relativeangletopos" },
    { 0xA0F6BCFA85FB69BF, "poiauto_setnewaimangle" },
    { 0xB5D496EB5664ABEF, "poiauto_think" },
    { 0x76EBDB469636B6AD, "point" },
    { 0xBF69D93C5A539B47, "point0" },
    { 0xBF69D83C5A539914, "point1" },
    { 0x5BB905B81BD7B961, "point_center_anim" },
    { 0xE2CDB20D23184BFA, "point_down_anim" },
    { 0x7FEF2C1A9EFF7C34, "point_gesture_active" },
    { 0x33E66AF8BA60450D, "point_in_fov" },
    { 0xAB61E5480C9689D7, "point_is_towards_target" },
    { 0x080DE2398B30D189, "point_left_anim" },
    { 0x053984892102E77E, "point_of_no_return" },
    { 0x82543B4B337A8931, "point_orientation_relative_to_player" },
    { 0xECDD81ED578C20E4, "point_right_anim" },
    { 0x17806A4F3B6B7454, "point_side_of_line2d" },
    { 0xFC6CE34C67388038, "point_to_ambush" },
    { 0x23D573A64302FB11, "point_up_anim" },
    { 0x704AAF6318BA2229, "pointblank" },
    { 0x7884676E528D7A7C, "pointblank_airstrike" },
    { 0x72EE8C14B2958FE4, "pointblank_tomahawk" },
    { 0x06C6338484C401D0, "pointcost" },
    { 0x8518520FB918274D, "pointdata" },
    { 0x8DA352B18A260CCF, "pointeventdata" },
    { 0xCAF2AE88C06A1A73, "pointindex" },
    { 0xAD236A88AA45B3F1, "pointinfov" },
    { 0x0D4C5BD1EFBAC455, "pointinsquare" },
    { 0x5D54D325567D4A0F, "pointinsquarewidth" },
    { 0x12455708F1C63E1C, "pointoncircle" },
    { 0x11311E2C0761274A, "pointonsegmentnearesttopoint" },
    { 0xBF6A1A3C5A542A3A, "points" },
    { 0xE721CCE514820E4B, "pointsneeded" },
    { 0x6BC705C6ACDF0174, "pointsonpath" },
    { 0xC59ED1E352CCDF53, "pointsperflag" },
    { 0x4DD05C98C40EE99D, "pointvscone" },
    { 0x16F5C6C4ACDC1D80, "pointvscylinder" },
    { 0x61D1C23CD26818E5, "poison" },
    { 0xF1B64142F6783B81, "poistates" },
    { 0xE4E662DFF797CDA2, "poke_out_guy_loop" },
    { 0x3681964089B4091F, "poke_the_player_after_faux_death" },
    { 0x98C0932372CAFB4D, "polarity" },
    { 0x6A57FB0741FE6B94, "police_arrive_car_firstframe" },
    { 0x6EDE9C9213E63C40, "police_car_anim_setup" },
    { 0x5211E3E7EC9F2E99, "police_car_set_animrate" },
    { 0x52C1C079F1F22ACA, "police_car_set_animtime" },
    { 0x36C02AF8921E725B, "police_car_unlock" },
    { 0x4766F82D889A4E20, "police_corpse_manager" },
    { 0x85B423C6BF1ECF48, "police_dialog_struct" },
    { 0x866EDB93D189017E, "police_die" },
    { 0x13E79E521CBD5FD9, "police_helpresponses" },
    { 0x04D670D559265922, "police_vignette" },
    { 0xD050A353146C5A80, "police_vo_indexes" },
    { 0xEC1A28F098C9C9F7, "policecar" },
    { 0x413BA52F645822C3, "poll_for_found" },
    { 0xD35BE2A23644FE89, "pollallowedstancesthread" },
    { 0xB912607AC30CE9E0, "pool_damage_ai" },
    { 0xC4A921CE37F0EECE, "pool_damage_scriptables" },
    { 0x88FAC4608AAD9087, "pool_damage_vehicles" },
    { 0x34C9102F767C115F, "pooldata" },
    { 0x98E2D50B5407D4DA, "poolid" },
    { 0x42AF30E9CD38AFAB, "poolids" },
    { 0xC826FED5F5F105B3, "poolmask" },
    { 0x3EAA0C1F61CEB3E4, "poolshouldlink" },
    { 0x1D9FF00306DB762E, "pop_first_vo_out_of_queue" },
    { 0x8D5CB2912FF7B143, "popdisabledgunpose" },
    { 0xDD9AFAF363CB7BCF, "popfov" },
    { 0xCEA2AFF58CFBDCB6, "popnextmatch" },
    { 0xFE2BC65878A35DB4, "popoffhelmet" },
    { 0x56371FFFB1EBF8C2, "poppies_catchup" },
    { 0xC013026E196529D8, "poppies_enemies" },
    { 0x2AB52F2C4D443FD8, "poppies_enemies_spawn" },
    { 0x39BF31FE311FA117, "poppies_enemy_stealth_filter" },
    { 0xDC24835D3398D8DD, "poppies_main" },
    { 0xE582EE7205B1B9B3, "poppies_nags" },
    { 0x64347CB0BED6778C, "poppies_start" },
    { 0xBF9B4BF13FBA2CC6, "poppies_start_vo" },
    { 0x974F5478A85E09DE, "poppies_trafficker_enemies" },
    { 0x032B4C90651CDB6A, "poppies_vo_sources" },
    { 0x9842AAA9F9F20B96, "popstackedstreakintogimmeslot" },
    { 0x2A25839386904A80, "populate_bomb_wires_to_cut" },
    { 0x5673463B98B8A3F2, "populate_civilians" },
    { 0xA6047C5D87F7A1DE, "populate_civs_looping" },
    { 0x457E5D651B29FBB2, "populate_civs_no_loop" },
    { 0xFEA79E0E41768E47, "populate_landmine_signs" },
    { 0xF36CCFA146BA9406, "populateproplist" },
    { 0xD43D1D8DAE791A5E, "population" },
    { 0x952EB8FAC0103429, "popup_omnvar" },
    { 0x4091890661798F0A, "portable_mg_behavior" },
    { 0xF365CDFC680FB9D5, "portable_mg_gun_tag" },
    { 0x0837CCC37E8DF1D8, "portable_mg_spot" },
    { 0x2A5A97A0B36BF2BD, "portable_radar" },
    { 0x4BB131367571CE1D, "portalgiactive" },
    { 0xEB65791E91C82B72, "portalgiangle" },
    { 0xBDA04DCDEC6FAF11, "portalgiset" },
    { 0xB205C30302D9FEA5, "pos" },
    { 0xF8E61BE3EB49E3F2, "pos_is_valid_outside_for_vanguard" },
    { 0xC4770C0E4F91DC4A, "pos_override_struct" },
    { 0x5A58A0BAE38B0DD3, "pos_passes_sky_trace" },
    { 0x253A13F17C685839, "posalongpath" },
    { 0x9D1A819A962234C5, "posclosed" },
    { 0xB38A5236C68C2DBA, "posent" },
    { 0x9FE400EAE7424996, "position" },
    { 0x6D212F38B57FC60E, "position_elevators" },
    { 0x61C6AE26ABA10B7E, "position_near_other_nodes" },
    { 0x343D6FD69A0B7F96, "position_outro" },
    { 0xA56CE5127AAEEDD4, "position_price" },
    { 0x9F81E9D72A7870B4, "position_ref" },
    { 0x9D5D79C6EE3CAD52, "position_struct" },
    { 0x49857D0AFFDF9636, "positioncheck" },
    { 0x016EB8EFD798F24D, "positionptm" },
    { 0x8C8D26CB23BDF2D7, "positionwouldtelefrag" },
    { 0xCAF37361FD418269, "posopen" },
    { 0x6813E9B202552AF3, "possessionresetcondition" },
    { 0x38F6007F5283058F, "possessionresettime" },
    { 0x70D16D97A4A8B5D3, "possiblethreatcallouts" },
    { 0x12F1D3447F145417, "post_activate_update" },
    { 0x24B3C33E798C6B8E, "post_alley_scene" },
    { 0x4C888065F5B82300, "post_alley_spawn_func" },
    { 0x502DAD64B59B47BF, "post_blockade_breadcrumb_struct" },
    { 0xC66925F613A29089, "post_blockade_combat_logic" },
    { 0xA37974BC88E826CF, "post_bomb_ambient" },
    { 0x4E9E4107A4710111, "post_bomb_background_vo" },
    { 0xB3EDED4307B1D105, "post_bomb_catchup" },
    { 0x3310A0799195A378, "post_bomb_civ_death" },
    { 0xDF16D286A627BDA4, "post_bomb_main" },
    { 0x903E63EAEC5BC224, "post_bomb_room_price_anim" },
    { 0x70B6FB04260259B3, "post_bomb_start" },
    { 0xDFAFCA80A17B938E, "post_bomb_vo" },
    { 0x9CCABFA84F1B3AAC, "post_boss_house_gate" },
    { 0x2DE311906B85EF27, "post_boss_house_gate_clip" },
    { 0x25B30EC91E27F92B, "post_bullet_load_setup" },
    { 0x4B61D41A9709A95C, "post_car_vo" },
    { 0xEAFBC665C4CE5789, "post_collapse_geo" },
    { 0xF535B09059B11AD2, "post_crash_ents" },
    { 0x8EE1B33CEFA18EC8, "post_customization_func" },
    { 0x98BA038317C1F806, "post_entity_creation_function" },
    { 0xC3BF9169A6818134, "post_explosion_visionset" },
    { 0x9E226E5856BCB3DA, "post_get_up_animation_function" },
    { 0x95A3BD5BECBBC6EF, "post_grounds_cleanup" },
    { 0x9DDDEADEDFC69D2F, "post_hvt_fadeout" },
    { 0xBE72220D3AA209C7, "post_infil_weapon" },
    { 0xD78E5D4546A7D14A, "post_jugg_allies_plant_bombs" },
    { 0xD84F63F593C2837F, "post_jugg_ally_node" },
    { 0xDCF3628537924EDF, "post_jugg_nags" },
    { 0x502C26CB3262DAE8, "post_jugg_plant_ally" },
    { 0x76BBE53A7D84EC18, "post_load" },
    { 0x04EFE8A98DFC7F3C, "post_load_funcs" },
    { 0xEDE73715B9DB6F4E, "post_load_functions" },
    { 0x18F386A6C8E553A4, "post_load_precache" },
    { 0xB0B81A9CF28D906B, "post_loadout_spawn_func" },
    { 0xB42CE673EC3F8115, "post_meleeexplode" },
    { 0xD0B753F53FAC135C, "post_module_delay" },
    { 0xA9BE466FEFF6CDC2, "post_nondeterministic_func" },
    { 0xD8CE8E8D86429CC1, "post_race" },
    { 0xAF85CE2AAACED966, "post_reaction_func" },
    { 0x901FC3B72AE03536, "post_reaction_params" },
    { 0x74EA5FD836329567, "post_reaction_vo" },
    { 0xC0F8A32D4CD316E5, "post_reaction_vo_array" },
    { 0xEB8BC7DA8B972AF7, "post_safeges_weapon" },
    { 0xB463AA0176E9DC2C, "post_setup_func" },
    { 0xBA89672C6E3384BA, "post_spawn_ai_funcs" },
    { 0x0095934A4787EFB4, "post_spawn_spawner_funcs" },
    { 0x0D34A20DFD2F4FBF, "post_spawn_vehicle_init" },
    { 0xB475D3460633A833, "post_stairtrain_anim" },
    { 0xB10D96AA55B02AA8, "post_wait_func" },
    { 0xC1CCE1AB9E4BE2C7, "postdeathkill" },
    { 0x7CBBCECF0EABE112, "postdelay" },
    { 0xAB1D0B377C5E0662, "posted" },
    { 0xD1EB8EBD0F6C7C8C, "postencounterscorefunc" },
    { 0xD4C4EC2D67E448E4, "postfx_ied_explosion" },
    { 0x128D4120D81FA023, "postfx_slam_zoom" },
    { 0xC88E61F6BDFA3C3B, "postgameexfil" },
    { 0x12F8FF8A6F86542C, "postgamehitmarkerwaittime" },
    { 0xAD1C67DC7D06D16C, "postgamenotifies" },
    { 0x855BE0B32FBCECFE, "postgamepromotion" },
    { 0xC9A03F39A8103EA2, "postgamestate" },
    { 0xBD7EE57301763E89, "postintroscreenfunc" },
    { 0xCEBEE593DAF3C156, "postkillcamplunderlost" },
    { 0x00BF4D8E1771AC90, "postlaunchscenenodecorrection" },
    { 0xBE7DC528D73C9CE3, "postload" },
    { 0xDD25DE21F3C78751, "postloadbink" },
    { 0x9CE462FB7ECD749C, "postmoddamagecallbacks" },
    { 0x251285033CAADD6A, "postmoddamagefunc" },
    { 0x4C18B9056B3187FB, "postpawn_friendly_shared" },
    { 0xEFD5474E588DF906, "postpawn_friendly_weapon" },
    { 0x4FD841119EDD22A1, "postplayerdamaged" },
    { 0xAAED042FE30BDF2B, "postplunder" },
    { 0x609D3E008998F293, "postroundfadenokillcam" },
    { 0x95A6A3A41F0E8880, "postroundtime" },
    { 0x364C753F7009D4A2, "postsharpturnlookaheaddist" },
    { 0xA32CFF5D812DF0D3, "postshipmodifiedkothzones" },
    { 0x1625E52EDFD4DCCC, "postshipmodifiedzonebrushes" },
    { 0xB22F5EBC9F296421, "postshipmodifiedzones" },
    { 0xAFD1651A7C4E752B, "postshipmodifychevrons" },
    { 0x66CEB73047E4DA4B, "postspawn_1f_runner" },
    { 0xCC51E6E84A9BF480, "postspawn_2f_data" },
    { 0xD74B91B7E355EAB2, "postspawn_2f_dataciv" },
    { 0x2391E52DE4828F00, "postspawn_2f_enemies" },
    { 0x2D69A61075C55E59, "postspawn_allies" },
    { 0x4FAC0D1C3BDF5F45, "postspawn_ally" },
    { 0xC56619182C78018D, "postspawn_alpha" },
    { 0x8CBC77074EFFAC94, "postspawn_assault3_bombers" },
    { 0x78DA3ABF3B318E55, "postspawn_attic_enemy" },
    { 0x71F42F1D10B46C86, "postspawn_axis" },
    { 0x6113C1161356DB07, "postspawn_baby_mom" },
    { 0x13F4DF0651EFAEFB, "postspawn_backyard_alley_extra" },
    { 0xCC8CECBF046EA3C3, "postspawn_barrier_cop" },
    { 0x0E5143A2B5F9E07A, "postspawn_bed_guy" },
    { 0xAA5532C8C7342E35, "postspawn_bravo" },
    { 0xCD8CB68E17C13965, "postspawn_bravo2" },
    { 0xCD8CB58E17C13732, "postspawn_bravo3" },
    { 0xCD8CB08E17C12C33, "postspawn_bravo4" },
    { 0x260E053A5BC0A1AD, "postspawn_bravo4_reinforcement" },
    { 0x55D68654E71BBC3D, "postspawn_buddy_down_enemy" },
    { 0xAA97BCEF8D2B2034, "postspawn_buddy_down_gunner" },
    { 0xE411906F77870AA7, "postspawn_car1_terries" },
    { 0x9AB829CC47E74FCF, "postspawn_car1_terry" },
    { 0x386602D63BC5687A, "postspawn_car2_terry" },
    { 0x7EA5233931EA5669, "postspawn_cellphone_guy" },
    { 0x11B0444F81CDCB8B, "postspawn_charlie" },
    { 0x41A0DECB483D334D, "postspawn_dining_enemy" },
    { 0xF4691F6E29987204, "postspawn_friendlies" },
    { 0xF3727802A1ED503F, "postspawn_garage2_enemy" },
    { 0x9F51E48042B61D99, "postspawn_garage_enemy" },
    { 0x5E5A1EE20E0F2481, "postspawn_garage_office_alerter" },
    { 0x8938638727909274, "postspawn_garage_office_enemy" },
    { 0xB441C37672A70317, "postspawn_hero" },
    { 0x173D75419EC17F72, "postspawn_hiding_door_enemy" },
    { 0x329487DF9B4D407B, "postspawn_infil_dogs" },
    { 0xC82450EBEA813134, "postspawn_initial_allies" },
    { 0x858DB9981DC5F0FA, "postspawn_intro_civ" },
    { 0xD5BDC440FFBC7747, "postspawn_juggernaut" },
    { 0x76A6DB982791B479, "postspawn_rescued_allies" },
    { 0x08CF81054098E9B2, "postspawn_rpg" },
    { 0xD21FCE24DEE249B5, "postspawn_second_floor_enemy" },
    { 0xB4896EE0A7D52FF0, "postspawn_sniper" },
    { 0x5573E4423198CE11, "postspawn_suspend_ai_framedelay" },
    { 0x90578D56B03E9737, "postspawn_suspended_ai" },
    { 0xF9721D68AFEA3D57, "postspawn_trucks" },
    { 0x63A569DDFD9B67F6, "postspawn_vindia" },
    { 0x11061B800927E9FB, "postspawnresetorigin" },
    { 0x0D4F39BD1353E7C0, "postspawnselectionstream" },
    { 0x8A2CCA85BA9EB651, "postupdategameevents" },
    { 0x2022B9FBE8D9CA90, "potential_hero_players_as_target_in_range" },
    { 0x0150B1EA86328911, "potg_killcam" },
    { 0xB3311F2512CF713E, "potgenabled" },
    { 0x7943AB9D0D66A5C7, "potgglobals" },
    { 0xED557F90DE3A5660, "potgid" },
    { 0x65876542B788442C, "potgkillcamcleanup" },
    { 0x95630527E4E486DA, "potgkillcamover" },
    { 0x5C8FAE9F454D0533, "pour" },
    { 0x172571C83AC32B29, "pouranimpct" },
    { 0x173E9E3814B54F75, "pourdangerrange" },
    { 0xCCC50E5452BB8D1B, "pourdistancediff" },
    { 0x070015DF4B72AACA, "pov_switch_bink" },
    { 0xB205BF0302D9F5D9, "pow" },
    { 0xFB7CA1457F429132, "power" },
    { 0x796C25C1C14E9284, "power_addammo" },
    { 0x494F6C42A88481E5, "power_adjustcharges" },
    { 0x1FF5D040581BEA8A, "power_area" },
    { 0x16DBECE365B02394, "power_areas_list" },
    { 0xC60BB4A5ECCE8EF9, "power_checkifequipmentammofull" },
    { 0x4484CF28B5323041, "power_clearpower" },
    { 0xBDB7C3394D49D522, "power_cooldownremaining" },
    { 0x8A97EA36D7B2F273, "power_cooldowns" },
    { 0x96059B6D9043B381, "power_createdefaultstruct" },
    { 0x332190D0A9E48CEB, "power_createplayerstruct" },
    { 0x8089E4501E4BE169, "power_disableactivation" },
    { 0x2B2FCE0B3904AE3A, "power_disablepower" },
    { 0xD6565EE41D91CD93, "power_docooldown" },
    { 0x2D357795298B9AD0, "power_dodrain" },
    { 0xD904DF9C7D3D7C2F, "power_down_electronics" },
    { 0xF0DB0FCCFF248AC0, "power_enableactivation" },
    { 0x1E8286225C7BEA39, "power_enablepower" },
    { 0x2B4ECE58102DF22D, "power_endcooldown" },
    { 0xA96989665943B56E, "power_enddrain" },
    { 0xB6BD4816711A7C62, "power_enddrainoninterrupt" },
    { 0xAB2A3C23793394A4, "power_getinputcommand" },
    { 0xE43F58AECEB4006E, "power_getpowerkeys" },
    { 0x450FD2C1A067964A, "power_handle_down" },
    { 0x7739C73A7374AC96, "power_haspower" },
    { 0x6E7E3AE67C4AAE19, "power_hud_info" },
    { 0xF62606A21A0E136D, "power_interact" },
    { 0x65DEBEBDFA67ECEF, "power_interact_anim" },
    { 0xC3CDE5C23F23A539, "power_lever" },
    { 0xC120E556E07E2CF4, "power_modifychargesonpickuporfailure" },
    { 0xEA16B50567F1EDC9, "power_modifychargesonscavenge" },
    { 0x5A08A29BEEC5A373, "power_modifycooldowncounteronscavenge" },
    { 0x7041C8F86DBF8C12, "power_modifycooldownrate" },
    { 0xE9DC8385E5940EB4, "power_name" },
    { 0xA661710061FA3FB2, "power_objective" },
    { 0x7D6D84C030F02352, "power_on" },
    { 0xB4872EB40A3655B2, "power_on_all" },
    { 0x11604AB4B5A9F822, "power_on_electronics" },
    { 0x367249EB33BFF3A7, "power_override" },
    { 0xC7F09228CA7A2BC5, "power_resetcooldownrate" },
    { 0xDE79CC6D8DDC26C4, "power_setcooldowncounter" },
    { 0xAFE82798A04E4D93, "power_sethudstate" },
    { 0xECCC16DE127772C3, "power_setup_init" },
    { 0x99BBAE13CD2A77FD, "power_shouldcooldown" },
    { 0x38CC9DA2EB230357, "power_switch" },
    { 0x855C55DB142AE629, "power_table" },
    { 0xC8C7DC637719BAD2, "power_unsethudstate" },
    { 0x3F496F957A3BBFC9, "power_unsethudstateonremoved" },
    { 0xCABA0CF5ADB8F559, "power_up_table" },
    { 0xE3F07A7D2D8FF220, "power_updateammo" },
    { 0x0817117379FB7C3F, "power_variableselection" },
    { 0x64CAD0CF05794208, "power_waitonbuttonheld" },
    { 0x16A5E0DF747E5D52, "power_watch_hint" },
    { 0xCEB6EE062C754E70, "power_watchhudcharges" },
    { 0x424AB3731C1997EF, "power_watchhudcooldownmeter" },
    { 0x0E6F60C283933708, "power_watchhuddrainmeter" },
    { 0x53E5C4B405099414, "power_wave_mode_reset_playerdata" },
    { 0xD0388B4F6A672700, "powercooldowns" },
    { 0x0D2FF631C813B307, "powerdurations" },
    { 0x52FCD053FB9F819D, "powered_on" },
    { 0x541F472F7133ADF3, "powered_on_model" },
    { 0x6932809B0247FC6C, "powerleverinteract" },
    { 0x3AB5B7182E9DABF9, "poweron_warnings" },
    { 0xDDC10E55DEFB3B8F, "powerparsetable" },
    { 0xA4CBD278A9627047, "powerpassivemap" },
    { 0x108D910D0540F76E, "powerpassiveparsetable" },
    { 0x43D663EE8D7D6272, "powerprimarygrenade" },
    { 0x55A7ECD6DF6571F3, "powers" },
    { 0x4B2C687812087F46, "powers_active" },
    { 0x03015D86D6812C9A, "powers_clearpower" },
    { 0x8FD27320B7661A46, "powerscooldown" },
    { 0x09B89507AE5EEE6A, "powersecondarygrenade" },
    { 0x2BB1C54B04BB66B5, "powersetfuncs" },
    { 0xC1DC49AE6CCDE204, "powersetupfunctions" },
    { 0xBD5F8EAD08C2C4FD, "powershortcooldown" },
    { 0xDC0407A1527F62C8, "powershud" },
    { 0xBF7C25E1028C26A5, "powershud_assignpower" },
    { 0xD2A36A1B2DF8328A, "powershud_beginpowercooldown" },
    { 0xBEECC0B73A0113D7, "powershud_beginpowerdrain" },
    { 0xC2A61DE103F1E5C3, "powershud_clearpower" },
    { 0xAF1A7FF605BD9B0B, "powershud_endpowerdrain" },
    { 0x8F3880A72B622306, "powershud_finishpowercooldown" },
    { 0x3A56A3EC27200B4C, "powershud_getslotomnvar" },
    { 0x435412420DF57B63, "powershud_init" },
    { 0x741C2C339748E74E, "powershud_updatepowercharges" },
    { 0x7F140FDDC89FADE5, "powershud_updatepowerchargescp" },
    { 0x215E46C78FD77220, "powershud_updatepowercooldown" },
    { 0x6B1A3C814B62216D, "powershud_updatepowerdisabled" },
    { 0x4A6DCE6C97BC1CF1, "powershud_updatepowerdrain" },
    { 0x0D884A9622A11C1A, "powershud_updatepowerdrainprogress" },
    { 0x820B709C2D11F16A, "powershud_updatepowermaxcharges" },
    { 0xB90F484FCD14A44A, "powershud_updatepowermeter" },
    { 0xAD5BF740B79B4FB3, "powershud_updatepoweroffcooldown" },
    { 0x518E03EF78E9CEEE, "powershud_updatepowerstate" },
    { 0xD32335CDBBADFFA2, "powerunsetfuncs" },
    { 0x776125579E23B157, "powerupicons" },
    { 0x8E94431EB1E32DFC, "powerweaponmap" },
    { 0x2B9308759F2B8585, "ppkasjugg" },
    { 0xDFD965B8D5AAE894, "ppkflagcarrier" },
    { 0x8B22611DDD29F273, "ppkjuggonjugg" },
    { 0x6884B83F938F72B4, "ppkonjugg" },
    { 0xA3DCFA78C11D1F1E, "ppkteamnoflag" },
    { 0x893E505390978C99, "ppkteamwithflag" },
    { 0x84DC29191E55FF8F, "practicemode" },
    { 0x37C6E8A88265BB25, "practicenotify" },
    { 0x92F34F87DEFEF7AC, "practiceround" },
    { 0x36F5FFB2C050C955, "prdconstant" },
    { 0xE4961D91B02271CC, "prdprobability" },
    { 0xE9F7AA7D6EE6648E, "pre_apache_angles" },
    { 0x3EC36F911B024E8C, "pre_apache_origin" },
    { 0x92AFCF31C961C7EA, "pre_apache_weapon" },
    { 0xA4623BECC43F58F3, "pre_arcade_game_weapon" },
    { 0x6CE4D65C593788A2, "pre_arcade_game_weapon_clip" },
    { 0xC9BB0F2CA594F9FA, "pre_arcade_game_weapon_stock" },
    { 0xF164E01093F7CEA9, "pre_boss_house_gate" },
    { 0x3575E45C21A00494, "pre_boss_house_gate_clip" },
    { 0xF2A1FA334D1D9126, "pre_cam_change_dialogue" },
    { 0xEFC0EA9F06071115, "pre_charge_main" },
    { 0x02856D43A3C32884, "pre_charge_start" },
    { 0x57EDBB9A7EFF7A85, "pre_charge_wall_anims" },
    { 0xAAED50259820423D, "pre_charge_wall_guys" },
    { 0x5F6E439A3A7B905F, "pre_charge_wallspawner_spawn_func" },
    { 0x89F332573A3B41D6, "pre_collapse_geo" },
    { 0xAAD22EAEDC4F2DDD, "pre_crash_ents" },
    { 0x7131881BEC61FB07, "pre_defend_filler_bad_guys" },
    { 0x2629123A64CE1D0C, "pre_drone_angles" },
    { 0xDE380F11EFE59E30, "pre_drone_weapon" },
    { 0xCF665A726F958805, "pre_end_game_display_func" },
    { 0x7C27C3B0B6FC8D1B, "pre_fire_chair_anim" },
    { 0x0CC5B3D194C44AE2, "pre_fire_performance" },
    { 0x51337C226C917B19, "pre_get_in_anim_wait" },
    { 0xD5400095F164FF35, "pre_gunner_weapon" },
    { 0xA2E6260CA01CE339, "pre_laserpanel_weapon" },
    { 0x1D561F0607D706C8, "pre_laststand_powers" },
    { 0xEF2B8D51A8DF223A, "pre_laststand_weapon" },
    { 0xE84A5AB7213F5FD8, "pre_laststand_weapon_ammo_clip" },
    { 0xCBFC316155C490B3, "pre_laststand_weapon_stock" },
    { 0x5514B4FCCAD0EE42, "pre_map_restart_func" },
    { 0x4CA0074A3C74808B, "pre_missile_defense_weapon" },
    { 0x9554DAE9AE75A96D, "pre_office_door_open" },
    { 0xDC62EB0DDC8D236E, "pre_office_teleport_allies" },
    { 0xEEBBDF7DEBF529AA, "pre_race" },
    { 0xAA119C24DF348EF7, "pre_race_needs_vehicle" },
    { 0x0C6A4B421AC5E20B, "pre_reaction_func" },
    { 0x2A455F6F524B5187, "pre_reaction_params" },
    { 0x8C70554F10DC6ED5, "pre_reaper_weapon" },
    { 0xDFD3B88FD4A61D74, "pre_regen_wait" },
    { 0x3B3AEF7BBF5D1780, "pre_truck_office_cleanup" },
    { 0x7B20ECC7F7D5A12A, "pre_wait_time" },
    { 0x9E4499425F0379D3, "pre_wave_weapons_free" },
    { 0xDEAE2596270DAB00, "precache" },
    { 0x528C94F5CE5D10F4, "precache_basement" },
    { 0xD86B1E26D0CB5BE1, "precache_civilian_anims" },
    { 0x42B10F022A41860B, "precache_fx" },
    { 0x90E5D881F3935382, "precache_garage_milk_crate" },
    { 0x573E205610035399, "precache_hint_strings" },
    { 0x63033547DB0F6946, "precache_mineshaft" },
    { 0x428105022A0D13D0, "precache_mp" },
    { 0x20B58842F0300793, "precache_prop_models" },
    { 0x85172FBABAE39F83, "precache_pvpe_vfx" },
    { 0x47CCB866D1CB056A, "precache_script_models_thread" },
    { 0x08D5DEB22603B6AE, "precache_storage" },
    { 0x6C0C8717DE4B17A5, "precache_weapon_models_thread" },
    { 0xECF01D87DC976282, "precacheanims" },
    { 0x3E9C341BAB5640D0, "precachecompositemodel" },
    { 0xC6A80D37E30FECEC, "precached" },
    { 0x313CEC4948D2D86F, "precachedigitaldistortcodeassets" },
    { 0x16167904F81355FD, "precachefxontag" },
    { 0x5CB5FFE3AF3CA819, "precachehelicoptersounds" },
    { 0x959F9CD4B3E3C0CA, "precacheimages" },
    { 0xA39466ADC48F650F, "precacheitem" },
    { 0x4EC34C27475C2FB4, "precacheitems" },
    { 0xF3A58FE85C2D93D2, "precachelb" },
    { 0xC127FB2963C0DD54, "precacheleaderboards" },
    { 0x7A59E908013B847E, "precacheminimapicon" },
    { 0x7D19D11C7006AB90, "precacheminimapsentrycodeassets" },
    { 0xD51845E7A477CC0D, "precachemodel" },
    { 0xA59DBA0FCA79500E, "precachemodelarray" },
    { 0xA0369B903C4EFFD0, "precachempanim" },
    { 0xB9DF0ABA29891072, "precachenightvisioncodeassets" },
    { 0x6E4DBF54753F54C5, "precacherumble" },
    { 0x71811FF55B13A641, "precacheshader" },
    { 0x124B3FAF737C18EF, "precachestatusicon" },
    { 0x32A08FF5234BBDC9, "precachestring" },
    { 0x0DCF8797A7CAF749, "precachesuit" },
    { 0x76BE59030D4E3F80, "precachetag" },
    { 0x995B4CB5A3AFB473, "precachetrap" },
    { 0xA66D439C2A53F33A, "precacheturret" },
    { 0x096B26E7A96B0510, "precachevehicle" },
    { 0x09D4F647FFDDA511, "precalculated_paths" },
    { 0xB47637CE74F0DD72, "precap" },
    { 0x64C9A1BD3300B415, "precappoints" },
    { 0x4C770B5050A51F5F, "precharge_getallycovernodes" },
    { 0x1BA9CD2F405FF21B, "precircletime" },
    { 0x9AE46387FFFC19AB, "precisionairstrikebeginuse" },
    { 0xF550877F45B246F0, "precomputed_sky_illumination_bounce_count" },
    { 0xA9E18969C46D721F, "precomputed_sky_illumination_diffuse_reflectance" },
    { 0xA76D85DCF888DBAC, "precomputeddropbagpos" },
    { 0xE10AD082CA03036F, "precomputeddropbags" },
    { 0xB849B7A222A2A5E1, "precomputedlosdatatest" },
    { 0xC32AE15960552098, "precomputedropbagpositions" },
    { 0xDC901F6B664598BB, "precutstartframe" },
    { 0x9CF32D2A2815E976, "predamageshieldignoreme" },
    { 0x19F508BDA33F7520, "predatormissileimpact" },
    { 0x7421A903C52CFAF4, "predictandclearintermissionstreaming" },
    { 0x321EF22A92BEA1D2, "predicted_projectile_impact" },
    { 0x6555423E19EA00EF, "predictedaimyaw" },
    { 0x0BAEE665DB2C615C, "predictedfacemotion" },
    { 0x8B338BF92F461E6C, "predictstreampos" },
    { 0x840215ECA9C5396B, "preexplpos" },
    { 0xFCEB2D3E22474C76, "prefarah" },
    { 0x20C482434B946003, "preferalliesbydistance" },
    { 0x1FACC34AD4B4E852, "preferbyteambase" },
    { 0x640CFF7A7E0D316A, "preferclosepoints" },
    { 0xF31DBCBB3D554C9E, "preferclosetoally" },
    { 0xB225C36388E6157A, "preferdompoints" },
    { 0xE34A1A284F528A4D, "preferneargroupsofteammates" },
    { 0x65A011B6C6C1745F, "prefernearlastteamspawn" },
    { 0x85DC0A315EBC1E5D, "prefernearsinglepoint" },
    { 0xD24C1F44272F458E, "preferoccupiedlanes" },
    { 0x3595E919C62B1A83, "preferoptimalttlos" },
    { 0xC5E316AD07A312F8, "preferred_crash_style" },
    { 0xF30359094EB6EE2F, "preferreddrop" },
    { 0xEE0DDED2A9522ECB, "preferredtarget" },
    { 0xF235F869A98F81A6, "prefers_drones" },
    { 0x932AB7B05AE66F28, "prefershortestdisttokothzone" },
    { 0xE57D6F67113B3A39, "prefertobalancelanes" },
    { 0xD9C408F0DF3D78E7, "pregeneratespawnpoints" },
    { 0x3F114087A459DB82, "preinfilstreamfunc" },
    { 0x9822B272EDDC0EFC, "prekillcamnotify" },
    { 0x11AC5C38746C533A, "preload" },
    { 0x617CE4DF392A8E38, "preload_transients" },
    { 0x456EE842A3A4ACB9, "preload_transients_sa" },
    { 0x7FB9983A975CCC3A, "preloadandqueueclass" },
    { 0x49ED538BF9239B3F, "preloadandqueueclassstruct" },
    { 0x983B6C41C33D73B1, "preloadcinematicforall" },
    { 0xDBD7F7415F250EA3, "preloadcinematicforplayer" },
    { 0xD5E1601A90139C98, "preloadedclassstruct" },
    { 0xE4188C210CC06D19, "preloadfinalkillcam" },
    { 0x5A68088C98516ED5, "preloadzones" },
    { 0xE7F82395AA975206, "prematch_over" },
    { 0x1A98B46571F6375C, "prematchaddkillfunc" },
    { 0x692462A5E2C23FF2, "prematchallowfunc" },
    { 0xE4FC2654A0A717C7, "prematchcountdownnotify" },
    { 0x7C36A13FD802C663, "prematchdeployparachute" },
    { 0xA1A98080DED8300F, "prematchdialog" },
    { 0xA95AFDB388CC9329, "prematchendtime" },
    { 0x4EB356C0978C70C9, "prematchfunc" },
    { 0x9196E782AF0F5506, "prematchinfinitammo" },
    { 0x16F53087AD368291, "prematchinitblueprintloadouts" },
    { 0x1031A50A16A666B8, "prematchinitloadouts" },
    { 0x165B3E5F315268E8, "prematchinitx1blueprintloadouts" },
    { 0x98B6DF8F18A82F7A, "prematchintiallandingcomplete" },
    { 0xA0FCE03583CCF77B, "prematchloadoutindex" },
    { 0x506B0E5DFEA2D952, "prematchloadouts" },
    { 0x566455AAED6D2090, "prematchlook" },
    { 0x7E60EA3C82A0A9BE, "prematchmusic" },
    { 0xD131A836448AB65A, "prematchperiod" },
    { 0x3AFA247BDA30E187, "prematchperiodend" },
    { 0xAC81CC48CDA1783B, "prematchplayedwelcomevo" },
    { 0xC841F3202413D3AC, "prematchrandomloadout" },
    { 0x31C149BB24F60E24, "prematchspawnoriginnextidx" },
    { 0xBA253D120BA48199, "prematchspawnorigins" },
    { 0xF7D49DC88DEFC1DA, "prematchspawnoriginsforteams" },
    { 0xCE2DBDF96C030050, "prematchspawnoriginteamcount" },
    { 0x42573BEA4ABD3888, "prematchstarted" },
    { 0xE81832CB8EBEFC33, "prematurecornergrenadedeath" },
    { 0xE60B82368A657FCD, "premoddamagecallbacks" },
    { 0x730A86143CD62A19, "premoddamagefunc" },
    { 0x0A676A9105C2034D, "premount_goalradius" },
    { 0x07475E526B85249B, "prep_player_and_enemy" },
    { 0x1B6F8A7DD76C48FB, "prepare_mission_failed_text" },
    { 0x8D325C4E47B1B5D9, "prepare_option_for_change" },
    { 0x233FB2C2C003795F, "prepare_player_for_viewmodel_anim" },
    { 0xFE569B225C419AE4, "prepareplayerforrespawn" },
    { 0x0538F70BFA7C738B, "preparetograb" },
    { 0x769673F122A0F8F8, "preparetohoist" },
    { 0xCE05859FED5D1C51, "prepdoorsforunload" },
    { 0x7B38014398D53756, "prepickupweapon" },
    { 0xCEE6A940B6BCCE9A, "preplayerdamaged" },
    { 0x5A71CD6A4F817A2B, "prereqs" },
    { 0x80C98EA7D219225E, "prespawn_suspended_ai" },
    { 0xBD3D030351B86AC6, "prespawnfromspectaorfunc" },
    { 0x3C12E1E84BCEF048, "prespawnfromspectatorfunc" },
    { 0x908A586B5350A164, "prespawnspawn" },
    { 0xAB1D8A1D1B5CF8C7, "press_defuse_button_on_detonator" },
    { 0x1B3FE27CB9C6AC11, "pressed" },
    { 0x61F52DD7500597E9, "pressure_overload_threshold" },
    { 0x2F5546AAC14D1264, "pressure_stability_event_init" },
    { 0x1F7446B10949E2CE, "pressure_stability_event_start" },
    { 0xCA25C4FA12395EF6, "pressure_timeout" },
    { 0xE18A79C930C31C57, "pressure_unstable" },
    { 0xDEB3E0C505F3CE1D, "prestige_getdamagetakenscalar" },
    { 0x2CFAAA3B8310332F, "prestige_getminammo" },
    { 0xA3FEAFD0EA6D4A42, "prestige_getmoneyearnedscalar" },
    { 0xE241D070808CA187, "prestige_getmoveslowscalar" },
    { 0xD33EB01EE9AE0B76, "prestige_getnoabilities" },
    { 0xED71ACDB06041C40, "prestige_getnoclassallowed" },
    { 0xB55AB52D4671F70C, "prestige_getnodeployables" },
    { 0x8180CBFBFF144FBF, "prestige_getpistolsonly" },
    { 0x2E8945DD95D0C4E1, "prestige_getslowhealthregenscalar" },
    { 0xE5061B3B3841D522, "prestige_getthreatbiasscalar" },
    { 0x7F55CA865325096B, "prestige_getwalletsizescalar" },
    { 0x930BE125382AB9F2, "prestige_getweapondamagescalar" },
    { 0xC70E93B533AC0FA7, "prestige_nerf_func" },
    { 0x51A2A110BFA455C5, "prestigedoubleweaponxp" },
    { 0xE90A51C8BE727303, "prestigeextras" },
    { 0x2C8AC191D134D7BE, "prestigehealthregennerfscalar" },
    { 0x31372676272EA20B, "prestreamgeo" },
    { 0xED8E845830410236, "prestreamgeotimeout" },
    { 0x94C84E1A0999698D, "prestreaminglocation" },
    { 0xE60ABD88C364AE30, "prestreamingspectatetarget" },
    { 0xFDECE6E66E11D8CB, "pretrograd_interaction_effects" },
    { 0x2B37214BD4E5B8BA, "prev_anim_name" },
    { 0xBEE3D50F67DDA21A, "prev_defend_node" },
    { 0xD8186B0202DC00E1, "prev_node" },
    { 0x08C02478A6BD7BF2, "prev_num_active_zones" },
    { 0xF6EAC3EDF7153607, "prev_personality" },
    { 0x1D5F39E6FB242145, "prev_role" },
    { 0x7FEE4C182E2CB290, "prev_time" },
    { 0x035AFC196627B119, "prev_weapon_taccover" },
    { 0x579BE350A31BCD9C, "prevangles" },
    { 0x1FAFB9071FCF75A5, "prevanimdelta" },
    { 0x8C97AA77CBA44ED8, "prevattack" },
    { 0x3A91726E71390675, "prevatvdeath" },
    { 0x3053508447F8B9B4, "prevatvdeathtime" },
    { 0x7947669B305BE6F8, "prevbody" },
    { 0x7920579B3031886C, "prevbomb" },
    { 0x93A9084AFCEEE6BA, "prevbomb2" },
    { 0x3C7FF169D36B6D2F, "prevbrbonusxp" },
    { 0x15BAF264550FD457, "prevcallback" },
    { 0x5498CCC683F23564, "prevclass" },
    { 0x7843B3706F952A75, "prevclassstruct" },
    { 0x4DC182FBBAC0E3F0, "prevclothtype" },
    { 0x59A25E21764D7927, "prevcovernode" },
    { 0x0276DC40260BABB1, "prevduckangles" },
    { 0x91B21D0848A2CA45, "prevent_redraw" },
    { 0x4EF65F55C8981CB4, "preventleave" },
    { 0x4B91E4A01D51D28E, "preventpainforashorttime" },
    { 0xA83C7989EF41EBD9, "preventrecentanimindex" },
    { 0x81BAB161252FAE5E, "preventspawninto" },
    { 0x4DBC9C2A28A0F6CA, "preventstarttime" },
    { 0x2D7E896CA7F29768, "preventuse" },
    { 0x25475D42A5BC2286, "prevflag" },
    { 0xB814CD927CC051DC, "prevflag2" },
    { 0x5A1FC5BF15B14EEE, "prevframevelocity" },
    { 0x29E2C624CE1BCF41, "prevguy_dist_max" },
    { 0x1CC05AB156E0B81E, "prevhead" },
    { 0xC8FF6C89515160BA, "prevhealth" },
    { 0x399A4EFA071991FA, "previdlerumbletime" },
    { 0x05FA6DF3DF5F64E3, "previewbomb" },
    { 0x59D6E5AACD246CCF, "previewbuildfirstallies" },
    { 0x0942AAC36285B624, "previewbuildfirstaxis" },
    { 0xF32368DCEDF4B9A1, "previewmodels" },
    { 0x3D4A57CD8EC9FF14, "previous" },
    { 0x781E81497CB70FA6, "previous_bullet_weapon" },
    { 0xF4DB6041CC964165, "previous_button" },
    { 0x0D1FCEAF202C3E08, "previous_cam" },
    { 0xB85D38E625680B14, "previous_kidnap_attempt_time" },
    { 0xD58F1F50B27F64D9, "previous_node" },
    { 0x81F2422F2BCF8C42, "previous_spawn_points" },
    { 0xE94630FC72060062, "previous_state" },
    { 0x45FB426E5C3F4374, "previous_struct" },
    { 0xCB80B29FB1EE1635, "previous_vehicle_seat" },
    { 0x59F03EFDC08C00CD, "previous_weapon" },
    { 0xC9AFAB87A3F2E779, "previousanim" },
    { 0x76C3AD02E86FB4FA, "previouscarepackagekillstreaks" },
    { 0x003FD6892DA906F0, "previouscarrier" },
    { 0xBC9188A3CE460C54, "previousclosespawnent" },
    { 0xBE0358C73F5B769F, "previouslevelcompleted" },
    { 0x095B224BB0CCCA0D, "previouslytouchedtriggertype" },
    { 0x613664B04B19BC00, "previousmapselectioninfo" },
    { 0x559537C5D290318D, "previousobjectiveindex" },
    { 0x0E6231BB49B9CCCC, "previousoverridewarningindex" },
    { 0x3B641032C529DBB4, "previouspatrolpoint" },
    { 0x35870216F1DB30E0, "previousplacements" },
    { 0x4D018AAA9101D69B, "previousplayerorigin" },
    { 0xC67E546C65D03340, "previousplayertimenearai" },
    { 0xD76DCAEE14C214BB, "previouspoints" },
    { 0x9A0393CCF7F0CE14, "previousremotetankviewstate" },
    { 0xC27850A9B55E53BE, "previousscramblerstrength" },
    { 0x7573332536AD4689, "previousstate" },
    { 0xBE688588FC1B44A2, "previousstatename" },
    { 0xF32BAF11B7C3C231, "previousstreakpoints" },
    { 0x3DE2491150B11F80, "previouswarningcooldowntime" },
    { 0xD116435BCEF78077, "previousweaponbeforenukein747" },
    { 0xA94813618A7CCBA6, "previs_model" },
    { 0x59C1040F4F63ECDD, "prevlastkilltime" },
    { 0x7B7C14DA19D51211, "prevlightmeter" },
    { 0xEEDB774F978CDE50, "prevmaxhealth" },
    { 0x08D3F95206A822F1, "prevmoveright" },
    { 0x7DA62EB17EF33D91, "prevmoverumbletime" },
    { 0xBA4B618023F486D8, "prevnode" },
    { 0x7EB470C1FBD23D61, "prevobj" },
    { 0x6BB9DC721DF3E8E6, "prevorigin" },
    { 0x8143A5625C7123E2, "prevownerteam" },
    { 0xEB21DB144714E5FB, "prevpathdist" },
    { 0xB2877208F9E4AF31, "prevpathlookahead" },
    { 0x7F76D09FCD857824, "prevpitchdelta" },
    { 0xC3AF52ACF771A266, "prevplayeronright" },
    { 0xD40454EE85B6CCF7, "prevprogress" },
    { 0xBD3CE98AF3CF4947, "prevradio" },
    { 0xFC3F119630DE8C4F, "prevradio2" },
    { 0xFBDDD096307311E2, "prevradius" },
    { 0xC8210066FC06AD30, "prevregion" },
    { 0x33FFB5CEC710F9F9, "prevrevivenodepos" },
    { 0xD4E3101DD88F91D1, "prevrevivepos" },
    { 0x84C4E0660571A0A7, "prevscript" },
    { 0x477BC4C491D4BD09, "prevsnowmobiledeath" },
    { 0x73EF9DD0F4ED59E0, "prevsnowmobiledeathtime" },
    { 0x66EDFA4793D02403, "prevspawnpos" },
    { 0x2D819C6A12BF97C3, "prevspawnpos2" },
    { 0xC6DF384D00A44F17, "prevspeedscale" },
    { 0xE7CEB16F4EB3B001, "prevstartingweap" },
    { 0x5AABCC3B9FE41F95, "prevsuit" },
    { 0x60ED72964DF2D54D, "prevteam" },
    { 0xFB00E1C19ADE7553, "prevval" },
    { 0x8F300B1485F27AF1, "prevviewangles" },
    { 0xABCBCB019C46673A, "prevviewmodel" },
    { 0x4B512ECD4F31F060, "prevweapon" },
    { 0xEA10E26BF369ACA5, "prevweaponobj" },
    { 0x0D361CD90753337F, "prevyawdelta" },
    { 0x7C0C271A30EFED3E, "prevzoneindex" },
    { 0x85EA8E850BCC9386, "prevzonelist" },
    { 0x3C5777CCD1D6A0C0, "prewaitandspawnclient" },
    { 0x449E51882F3010B6, "pri_bunker_last_line" },
    { 0xF6D933CC40449E56, "price" },
    { 0xCFE434AE7D1C1739, "price_adjust_accuracy_over_time" },
    { 0xFF3C53D57E1E6E6A, "price_ads_anims" },
    { 0x1948657C94C0C918, "price_advance_trigger" },
    { 0xBD2B222AB2297675, "price_ai" },
    { 0x93F49765E259D5F6, "price_ammo_pickup" },
    { 0x8DF6332036762DB1, "price_and_player_ignored" },
    { 0xDADFF33D787B3CD3, "price_approach_gate" },
    { 0xEFF50D6C99DEE847, "price_at_attic_door" },
    { 0xE77CAC623B3BDCC3, "price_bottom_stairs" },
    { 0x4E93C669B9647747, "price_breach_door" },
    { 0x25E9A0F6851CCF9A, "price_car_enter" },
    { 0x9C4D245752C03CCE, "price_clean_up_last_enemy" },
    { 0xB36C0F39B7D4CA6D, "price_clip" },
    { 0xADD8BE45A673EDF1, "price_color_trigger" },
    { 0x578F77954DEC9B0A, "price_color_trigger_set" },
    { 0xC5B85AE09F6E8D08, "price_compound_run_triggers_on" },
    { 0x9AADAD37FA8F381B, "price_content_warning" },
    { 0xB783A8CC825C25DF, "price_dataciv_is_dead" },
    { 0xE8C26F8C777E7A41, "price_dialog_struct" },
    { 0x5EB1A9001C77C418, "price_dining_room" },
    { 0x0DD44DC027B0830A, "price_dining_room_end" },
    { 0xF8988626FBB536C0, "price_directions_finished" },
    { 0x77CD01E6064A3730, "price_dof" },
    { 0x60AD1FB3AB52B603, "price_door_lookats" },
    { 0xD37AA4EBF7A089D6, "price_door_nag" },
    { 0xC82BA85B42F7F536, "price_ending_cinematic" },
    { 0xE0C64C35D10E2413, "price_exit_vo" },
    { 0x05A852A69365697D, "price_exits_light_tut" },
    { 0x7C99E66049E3A380, "price_face_swap" },
    { 0x6FE61E7AA0D8244C, "price_field_nag" },
    { 0x2A0C9C37F1F58064, "price_gate_anim" },
    { 0x862E43843E271A5B, "price_get_los_enemy" },
    { 0x54C81B228DA65E51, "price_goes_hot" },
    { 0x7B4242894D31A32C, "price_gun_fire" },
    { 0xE4F07E404E7B624D, "price_gun_pickup_anims" },
    { 0xA3882A53D6A4E445, "price_gun_recall" },
    { 0x73F3703E05046FC0, "price_gun_remove" },
    { 0x0139B98DB8B6CAB9, "price_hat_pickup" },
    { 0x51648E16417A7F6F, "price_hostage_poi" },
    { 0x9AD24EDD3014FD01, "price_hot_cleanup" },
    { 0x964194D573005624, "price_hot_or_not" },
    { 0x482484D56B3D25EC, "price_intro_debris_and_interact" },
    { 0x0149D2A255CDDDE5, "price_intro_dof" },
    { 0x1F3444A26C11059B, "price_intro_fov" },
    { 0xB835144D7D3C55AC, "price_intro_lighting" },
    { 0xFAFD5F6C6FA1DDEE, "price_intro_vo_finished" },
    { 0x11AD537F1FDA69AB, "price_kill" },
    { 0x8468D849A3BDDAA2, "price_kill_logic" },
    { 0x7804226F2854C511, "price_kills_left_guys" },
    { 0x093CC2FD2EA0ADF2, "price_kills_rappel_enemies" },
    { 0x4711B8D9E62AF104, "price_kills_right_side_light_enemies_then_goes_hot" },
    { 0x5CE4991F8E63F3C3, "price_lab_nag" },
    { 0x500A43B5FFA0F54B, "price_lighting" },
    { 0x6907C7257297CC41, "price_line" },
    { 0xCADD5533160B3CCD, "price_meet_sas_scene" },
    { 0x00F9254DCEB0F70E, "price_mortar_roof_exit" },
    { 0x17BD8B7B21C81F6C, "price_mortar_run" },
    { 0x6A8AD0FC00B7D123, "price_mortar_run_field_path" },
    { 0x94814E3E79A5FA5C, "price_mortar_run_triggers_on" },
    { 0x83D6DD2350DFC40A, "price_move_midway" },
    { 0x8AF88832F525C063, "price_nvg_check" },
    { 0x7C1C8D1530E099D9, "price_offer_bullets" },
    { 0xE7758C6640232295, "price_pistol_fire" },
    { 0xE11CCF5298420319, "price_pistol_pickup" },
    { 0x1E5C872E57D8D40C, "price_place_revolver" },
    { 0x2654D4E686633459, "price_poi" },
    { 0x843734D212355015, "price_push_off" },
    { 0xE79FB413041FDB59, "price_push_on" },
    { 0xF6B48CAD9B777ADD, "price_rally_nags" },
    { 0x94E14BB189B00636, "price_redshirt" },
    { 0xA5C684F5C72B8C47, "price_set_accuracy_average" },
    { 0x2B67EB122681EFCC, "price_set_accuracy_high" },
    { 0x518142479303DE72, "price_set_accuracy_low" },
    { 0x632D7047A121A1CE, "price_set_accuracy_max" },
    { 0x0B46050E492C735C, "price_shoots_light_timeout" },
    { 0x6B29585115CB6FB8, "price_silenced_pistol_hack" },
    { 0xB8F7E0C971950A89, "price_spawn_func" },
    { 0xDDF86224E4556BBD, "price_spec_catchup" },
    { 0x87384867EBF56725, "price_spec_intro" },
    { 0x3FEBC2F06A9065CC, "price_spec_main" },
    { 0xB53F2A59528009BB, "price_spec_start" },
    { 0x246F99492315041B, "price_stealth_reprimand" },
    { 0x450A27765C6F3EE7, "price_stop_use_pistol" },
    { 0xA250C4004248832D, "price_to_idle_to_climb" },
    { 0xB9AF8AA12A25D1CA, "price_tunnel_think" },
    { 0x9B42B42D1D0D8390, "price_use_pistol" },
    { 0x92B708E8A66A62AF, "priceanimnode" },
    { 0xE50E35E2D67E5634, "priceshootcount" },
    { 0x7E4DD69860FEA275, "primary" },
    { 0xC967DDCE7CC29718, "primary_weapon_array" },
    { 0x8B95A6CF028E37C7, "primary_weapons" },
    { 0xD604B0D77BC05EEE, "primaryanchorpos" },
    { 0x66974819669BC5AA, "primaryentity" },
    { 0xE30C16F8576AF53C, "primaryflags" },
    { 0xBE8B92284038EDCA, "primaryflags2" },
    { 0x519055C4642E950D, "primarygrenade" },
    { 0xC84DDAA5A6513F0F, "primaryinventory" },
    { 0x41E03A7F137BBA02, "primarymode" },
    { 0xA19CFCFFC05CC424, "primarymodefunc" },
    { 0x6855E8C70E94F73B, "primarymodestring" },
    { 0xD9D94B277B5A0C61, "primaryobjectives" },
    { 0x37C580E0C42BA59F, "primaryoffhand" },
    { 0x7903DBDFB4AE5677, "primaryprogressbarfontsize" },
    { 0x0AB56BB0CEC565D0, "primaryprogressbarheight" },
    { 0xD3F7BF6F4B8100A0, "primaryprogressbartextx" },
    { 0xD3F7C06F4B8102D3, "primaryprogressbartexty" },
    { 0xD7C60FA9881E5101, "primaryprogressbarwidth" },
    { 0x8F62408AC658A235, "primaryprogressbarx" },
    { 0x8F623F8AC658A002, "primaryprogressbary" },
    { 0x63DAAA04FCF62598, "primarytarget" },
    { 0xF7D13BE22FB25E91, "primaryweapon" },
    { 0xBBF9328C8ABA51E6, "primaryweapon_leave_behind" },
    { 0x8CE88D7C81BE01EA, "primaryweapon_leave_behind_internal" },
    { 0x91D335C498766855, "primaryweaponclipammo" },
    { 0x2853F487A2F9BF66, "primaryweaponobj" },
    { 0xB385946EE546AB06, "primaryweapons" },
    { 0xAB8A49FFBC919DBB, "primaryweaponstockammo" },
    { 0xEA416B7E73794594, "prime_attic_door_states" },
    { 0xEECAA303A5146202, "primedents" },
    { 0xEFFCB9181712F314, "primesneeded" },
    { 0xF6A01ECC4005F53C, "print" },
    { 0x1C2A5A8AB2AE3511, "print2d3d_debug" },
    { 0x087442531009ED7B, "print3d" },
    { 0x3DCACA48F081A95A, "print3d_ai" },
    { 0xB117AC43BC0238BB, "print3d_debug" },
    { 0xEABFDE622D3405A4, "print3d_on_me" },
    { 0x84C846CEB052F497, "print3dfortime" },
    { 0xC8EB44ECE2019E6C, "print3donme" },
    { 0x72AE0EEE4252909E, "print3drise" },
    { 0x1826C377F2821632, "print3dtime" },
    { 0x4CEA6C99416CF640, "print_active_modules_to_screen" },
    { 0xB66F67C1B4E61AF2, "print_bonus_time_text" },
    { 0x3A6FD8D442C00EEA, "print_console_debug" },
    { 0x69BEBC647D60B114, "print_debug" },
    { 0x6515179131C21A69, "print_debug_info" },
    { 0x32B9042FC21C1F31, "print_display_name_on_source" },
    { 0xDFDBDA9031633AA4, "print_dot" },
    { 0x1586580C5D20A00E, "print_fx_options" },
    { 0x375C60ECD0E155D9, "print_key_strings" },
    { 0x9AB48306FDE90C3C, "print_last_anim_info" },
    { 0xA2E88742085AD10B, "print_leads_text_max" },
    { 0x75A63038B54C35E3, "print_navtrace" },
    { 0x46BB18367F3B9F20, "print_nitrate_text" },
    { 0xEE72CED8BB1E2A9E, "print_no_achievement" },
    { 0xEFD49E0407260048, "print_notetrack" },
    { 0x7969BE8FE5F6BB95, "print_org" },
    { 0xEF92D46DB5D47F89, "print_position_values" },
    { 0x916144F8D84B01B9, "print_punchcard" },
    { 0xAC674BE509983894, "print_reaction_state" },
    { 0xAD109FAAE94642AF, "print_screen_pos_from_center" },
    { 0x4D5A1C5554900B04, "print_spawner_score_for_factor" },
    { 0x7978F9B0073CFB2E, "print_spawnpoint_debug" },
    { 0x82D184A764C1D126, "print_timer" },
    { 0x23E8916760579169, "print_total_leads_text" },
    { 0x156D018CF3EF43E1, "print_type_text" },
    { 0xD442BDC40F0A2330, "print_vehicle_info" },
    { 0x7884D8E6C648B553, "printabovehead" },
    { 0xB2487E598F7D466E, "printallteamsplundercount" },
    { 0x529E08FED8340058, "printandsoundoneveryone" },
    { 0xD72F4F83A419E080, "printandsoundonplayer" },
    { 0x7ADD8CA11A63776C, "printandsoundonteam" },
    { 0xCA53FC4EF0E782B3, "printboldonteam" },
    { 0x8D79AD03579C2171, "printboldonteamarg" },
    { 0xF435F195EA65852F, "printcodechosen" },
    { 0x234149E2D09A5670, "printcodeentered" },
    { 0x8969340758015AAD, "printcustomization" },
    { 0x4EA2E191661E6324, "printdata" },
    { 0xFB038C467CEBED47, "printdisplaceinfo" },
    { 0x09BA46531171006D, "printed" },
    { 0x09BA30531170D00B, "printer" },
    { 0x5F1745F8D3B15DFC, "printgameaction" },
    { 0x460DB8310315AC7A, "printheap" },
    { 0x09923A531144757A, "println" },
    { 0x748AADD098348ED4, "printnotetracks" },
    { 0x9391F00D7E29B189, "printonplayers" },
    { 0x9D58554841222E0C, "printonteam" },
    { 0x21F40CB239AF0588, "printonteamarg" },
    { 0x46CF98206E39FE06, "printothint" },
    { 0x9C114C5C37E327EA, "printpermute" },
    { 0x87B21CA6AAD07230, "printplayerdatastats" },
    { 0xB8F83B0A227200E1, "printqueueevent" },
    { 0x62BC33157DD05AEB, "printshoot" },
    { 0xF8D4DA63082E6C03, "printshootproc" },
    { 0xE1D0B9637D88547A, "printspawnmessage" },
    { 0xD35F24804CED314C, "printstartupdebugmessages" },
    { 0x50BF0043D47CEF57, "printtoscreen2d" },
    { 0x84F1D5C9C11AECC0, "printweapon" },
    { 0xCF62C0B39A38B3C1, "prioritize_colorcoded_nodes" },
    { 0x39D2FFA88293ABA8, "prioritize_knock_off_on_context_melee" },
    { 0x500863ACD32F9AFF, "prioritize_watch_nodes_toward_enemies" },
    { 0x776333D24C4AD135, "priority" },
    { 0x137F665BB0E54010, "priority_array_list" },
    { 0xE3802EDED0C54658, "priority_func" },
    { 0x5F2D414436A40367, "priority_player" },
    { 0x1AEA57BBC5CC1809, "priority_queue" },
    { 0x24DA366A9F98C2DC, "prioritygroup" },
    { 0x712C02C92AB6D4D6, "prioritymultiplier" },
    { 0xD5FE2FCB489E917F, "prisoner_loop_window_scene_till_dead" },
    { 0x9783CE4C11CB46E5, "prisoner_secured" },
    { 0x3C92B03058E00C10, "prisoner_spawn_func" },
    { 0x0567E7545FE50DED, "prisoners_react_to_enemy" },
    { 0xF0D74455959DA4C7, "pristinestatehealthadd" },
    { 0x8C17B680521909A9, "privatematch" },
    { 0x4CEC992B018A83FC, "probabilities" },
    { 0x82E224160BF9685F, "probabilityarmor" },
    { 0x340B8DE0235682CE, "probabilityfunc" },
    { 0xA9EA2DCD5E67C588, "probabilityoffhand" },
    { 0xC7E96A37660F0B2A, "probabilityzero" },
    { 0x109E65CC51F776E5, "probe" },
    { 0x9B3AA31EB7E4EDC5, "probesoffset" },
    { 0xBAFA99AFFC6365A1, "process_action" },
    { 0xC2C0A7E9C76169D2, "process_action_override" },
    { 0xEB8A54BEDF08BA4B, "process_agent_on_killed_merits" },
    { 0x8CE7F4DD14BC54DD, "process_anim_ents" },
    { 0xED1EA904C24485A2, "process_blend" },
    { 0xE9B1390B6A17AEFF, "process_button_held_and_clicked" },
    { 0x07251CCE75FBDFD6, "process_color_order_to_ai" },
    { 0x4AF0AF69053062ED, "process_concrete_blocker_controlling_struct" },
    { 0xAD7C41D234CB5519, "process_convoy_path_noteworthy" },
    { 0x0CCC1B10F59C2D7F, "process_cover_node" },
    { 0x7C1D55C217BF601D, "process_cover_node_with_last_in_mind_allies" },
    { 0xD1E1C730F6A38FB2, "process_cover_node_with_last_in_mind_axis" },
    { 0x1DC07C23870A72BC, "process_damage_feedback" },
    { 0xFEE2B315A894E8C9, "process_damage_rewards" },
    { 0xE2E49CAB3497FD7B, "process_damage_score" },
    { 0xFC2440DDD246AF9E, "process_deathflags" },
    { 0x01EA378F81E9A201, "process_dvarfuncs" },
    { 0x3774E9D0BE0FF907, "process_elevator_request" },
    { 0xA785E65EEC01648A, "process_entities_inside_subway_car" },
    { 0x6F74BB78AE06A49C, "process_events_and_challenges_on_death" },
    { 0xC7032455DB44A0C4, "process_frame_events" },
    { 0xC7ED6BB9235A38FD, "process_fx_rotater" },
    { 0x0ACAE5BA44ACE1A0, "process_kill_rewards" },
    { 0x7CEE689E669CCC21, "process_linked_ents" },
    { 0xFCBE7A5A01996A93, "process_linked_structs" },
    { 0x047D1927DC913FD0, "process_minigun_nodes" },
    { 0x2C153B78A1385AC6, "process_module_params" },
    { 0x74286BB2B90CE331, "process_module_var" },
    { 0x859481C9C169293C, "process_moving_platform_death" },
    { 0xF7E19E89416838C5, "process_nextpoint_after_struct_wait" },
    { 0xE1B7E8751DB14A19, "process_path_node" },
    { 0x8D945A0FB4928EFD, "process_players_inside_subway_car" },
    { 0x8BBCEE62995C1D60, "process_rank_merits" },
    { 0x9ED581A9CA1EBB91, "process_should_do_pain" },
    { 0x2E87CC71D9F3D643, "process_stop_short_of_node" },
    { 0x561F706FA1DC839C, "process_struct_angle_tilt" },
    { 0x6A34770566475E2F, "process_struct_path_tilts" },
    { 0xED6AC3D8BFFF6A2C, "process_turret_sweep_nodes" },
    { 0xD2C20AED061F5AEC, "process_vehicle_struct_node" },
    { 0x1285DF91286B6841, "processassist" },
    { 0xE2960DEAABC6E0A5, "processassist_regularcp" },
    { 0xE26A11EAAB96830B, "processassist_regularmp" },
    { 0x34B48868624655E4, "processcalloutdeath" },
    { 0x410A1BE1502437CD, "processcameradata" },
    { 0xF70AA086C79008E5, "processcashpileovertimemultiplier" },
    { 0x8940D406C1DEFC3F, "processcashpilevalueoverrides" },
    { 0xF159DBEF48638490, "processcommonplayerdataforplayer" },
    { 0x486EF32C84415FA9, "processcontext" },
    { 0x9802287387313BAB, "processdamage" },
    { 0x00BA6A08BD3B9F4E, "processdoublejumpmantletraversal" },
    { 0x88F3BD833B74D8F7, "processed_tilt" },
    { 0x18903E97B92F8DE1, "processedscoreevent" },
    { 0x3B41700A3123C748, "processedsplash" },
    { 0xD130A9B82F155738, "processedwinloss" },
    { 0x15CBB0FD7D12BEFD, "processepictaunt" },
    { 0xB625403D57E9F1AA, "processevent" },
    { 0x86D8D57D4DED126C, "processeventforwitnesses" },
    { 0x1108A427E94CDEDC, "processfinalkillchallenges" },
    { 0xEC6424F49911346C, "processfreegroupname" },
    { 0xE1F9386BB7B5F374, "processiconposref" },
    { 0xF5E3A33C552BC252, "processing" },
    { 0xAEB58A303C91CC1C, "processkillstreaksintotiers" },
    { 0x4CA9E7F420AB4706, "processlobbydata" },
    { 0x686C626589AE3D86, "processlobbydataforclient" },
    { 0x302F1BEE0B8CBABD, "processlobbyscoreboards" },
    { 0x6AA5864023CC6F55, "processmastermerit" },
    { 0xC304CF0DF4B02059, "processmatchscoreboardinfo" },
    { 0xC4F14BC686308B1F, "processmerit" },
    { 0xF4CE047C27D49AC2, "processnoscopeoutlinesetnotifs" },
    { 0x498F9ADFA91F2453, "processnoscopeoutlineunsetnotifs" },
    { 0x1A287A7ACF7D4EE2, "processnotifyweapondrop" },
    { 0x39CD6810057D0995, "processot" },
    { 0xB5F03FF93688A91F, "processscoring" },
    { 0x81B43D88FACEAE68, "processscrapassist" },
    { 0xA52F9F915A08A748, "processshieldassist" },
    { 0xB97081900D26AE0A, "processshieldassist_regularmp" },
    { 0xD7EF5B6FE5C4103C, "processsplashpriorityqueue" },
    { 0xB8EFB73E9E25EC39, "processtauntsound" },
    { 0xE7F2699E497C521F, "processtimelineevent" },
    { 0xEF94DD642C4BCC29, "processtimeout" },
    { 0xA6150A3DBA3E3061, "processtripwiretarget" },
    { 0xB4DAC67E48C2929D, "processuavassist" },
    { 0x83F81B4DB605917C, "processuniquelootitem" },
    { 0xC1116C2EDC0C0A68, "processvoqueue" },
    { 0xC79956581B88C83F, "processwallruntraversal" },
    { 0xC6CCC41DA27EAEE1, "proggressionmismatchpopup" },
    { 0xC49E87F1E428E6FA, "progress" },
    { 0x9DCDE6F081D43400, "progress_bar" },
    { 0xE254F1EFF8D2C0D4, "progress_obj" },
    { 0xC66532A75305551A, "progress_objective_on_group_killed" },
    { 0xDBE78FD4EB9F03DA, "progress_objective_on_group_killed_interal" },
    { 0x07738071822EAA46, "progress_objective_on_veh_group_killed" },
    { 0x7FD2B28F16C0729E, "progress_objective_on_veh_group_killed_interal" },
    { 0x5544061D3C351034, "progression" },
    { 0x705D002456DCF121, "progression_deadzone" },
    { 0x3AFAC87B5DDEF8BF, "progression_gates" },
    { 0xC7EC0FCBDB2D9194, "progression_main" },
    { 0x09E5B4F7D42EB74C, "progression_speed" },
    { 0x376CA0A28A3CC770, "progression_update" },
    { 0x7B69785F2F6DAED1, "prohibited_weapon_list" },
    { 0xB22487C1F22A0A31, "prohibited_weapon_list_from_vehicle" },
    { 0xABDAF22A15BD87A2, "projdistsq" },
    { 0x7EB29AD6FDBEA79A, "project" },
    { 0x7B1191CA378CA53D, "project_to_line" },
    { 0x88D54B2CEBD3A1DB, "project_to_line_seg" },
    { 0x1E32C7B867E65D28, "projectedalliescenter" },
    { 0xE54DBCF29E4792DB, "projectedaxiscenter" },
    { 0x44B552184809B4D4, "projectedtargetpos" },
    { 0xA6C12D1A103AE3AE, "projectile" },
    { 0x168221EA362592F9, "projectile_impact" },
    { 0x372E78BCFFEF1D97, "projectile_ping" },
    { 0xAF7FAFB77DD8FBC0, "projectiledeathcounter" },
    { 0x19F25D42CDB4EDF0, "projectiledeleteonnote" },
    { 0x86C95D3DDB0F388D, "projectiledeletethread" },
    { 0xAB2F1A88270F0B54, "projectilehits" },
    { 0x5FA1E7865E5D6210, "projectileimpactcoutner" },
    { 0x7EBB5976781CDC89, "projectileimpactexplode" },
    { 0xEA4E5B2CE6CB328A, "projectileimpactthermite" },
    { 0x88161920AA6B4BDC, "projectileintercept" },
    { 0x5B10D1DD7F0C6551, "projectilekillstreaks" },
    { 0xB5CCE08E59837F0E, "projectilenearbydialogs" },
    { 0x0012A86EBB10E361, "projectileunlink" },
    { 0x1CC09B13A9C651F8, "projectileunlinkonnote" },
    { 0xEC9DCE4AD2BFB3AF, "projectilewaittilstucktimeout" },
    { 0xB0014F1E6A6CE951, "projimpacted" },
    { 0x1297ED6185637AF7, "promode" },
    { 0xE395C03E3C29426C, "promote_nearest_friendly" },
    { 0x40C13491767035A5, "promote_nearest_friendly_with_classname" },
    { 0xAEFBEC5862BE08BF, "prompt" },
    { 0x2B8B7F93DE528101, "prompt_knife" },
    { 0x33094721F08B8F4B, "prompt_moved" },
    { 0x10B075CC520BD771, "prone" },
    { 0x2B60906D7D80F48C, "prone_only" },
    { 0x235E96C00986C668, "prone_speedup" },
    { 0x128693DF55113441, "prone_visible_from" },
    { 0x7BDE21D77683E9BE, "proneaiming" },
    { 0x6033D974DDE1958A, "pronedetectdist" },
    { 0x7EE40163DDE3C7D2, "proneogspeed" },
    { 0x1A1A7D7E662FA0E3, "proneok" },
    { 0xD319A495E1AFA14F, "proneupoffset" },
    { 0x787CC8E04CF2DA22, "pronevisiblenodes" },
    { 0xD42E5F9E256E534C, "prop" },
    { 0x6FF4A2898E1FB49C, "prop_deathanim" },
    { 0x95CEC11CCE57D1BA, "propability" },
    { 0xF4355C27BFD7F138, "propabilitykeysvisible" },
    { 0xFB829D6BA5CAA7DA, "propaddtocircle" },
    { 0x2E80A0A76F124C01, "propaddtolocation" },
    { 0xB2ADD950E922CA4D, "propagandaent" },
    { 0x7DDA57FB30AE0958, "propagate_event_thread" },
    { 0xD4A40B1FB4B852FD, "propanchor" },
    { 0x115F4D06BE8B105A, "propane_detonate_fiery_drips" },
    { 0x90E9D3AAE73C7F50, "propane_reset_position" },
    { 0x0B8B7B1B310C90C6, "propane_rocket_badplace_manager" },
    { 0xA2AFDC3C0E5C7E1F, "propane_rockets_init" },
    { 0xFE65631AE5D518E4, "propcamerazoom" },
    { 0xF5BD4ECC35F78C1C, "propchange" },
    { 0x1ABD3CAC299964A3, "propchangecount" },
    { 0xA9F2BAAFC5A4B0D5, "propchangeto" },
    { 0x7EF7FFDBFD486B7C, "propcircleindex" },
    { 0xBE50C5153CEAB689, "propcircles" },
    { 0x1FE1C53EE5EB6440, "propcleanup" },
    { 0xBE6442BA7CE520EE, "propcleanupdelayed" },
    { 0x2F8EEE49988F1867, "propclonecleanup" },
    { 0x0993C1EEF8F954A2, "propclonepower" },
    { 0xF80D203F8422DF76, "propclones" },
    { 0xD8CC81BC984976CB, "propcontrolshud" },
    { 0x6865AE05196C3440, "propdeathfx" },
    { 0x6E0ECF61EE0D8B67, "propdeductchange" },
    { 0x02727FA3A119F530, "propdeductclonechange" },
    { 0x66E77948E96FB5BB, "propdeductflash" },
    { 0x9045684F0243C737, "propdistance" },
    { 0x74ACD6791DD42E71, "propent" },
    { 0x6225B2912E4DAFED, "proper_damage" },
    { 0xC6D6A031ABBD512F, "propgetlocation" },
    { 0x508B6E344903412E, "propgiveteamscore" },
    { 0x410CC07D643821D8, "prophaschangesleft" },
    { 0x86967E81F2819D33, "prophasclonesleft" },
    { 0x6137D73D06F99C23, "prophasflashesleft" },
    { 0x7D920AA926F7010F, "propheight" },
    { 0x80D0D51245B991ED, "prophidetime" },
    { 0x5CF64F48677460C8, "propindex" },
    { 0x271BE9FC093D6210, "propinfo" },
    { 0x8DB964FA6CD5660B, "propinputwatch" },
    { 0x860F98EB81AD1192, "propkilledend" },
    { 0x18B39F855F262FD4, "proplist" },
    { 0x16765125BB6497E1, "proplocationindex" },
    { 0x7397F15E5EEAF68B, "proplockunlock" },
    { 0xB5FCAAB9998D3238, "propmatchslope" },
    { 0x19ED51C6D8623DD6, "propminigamefinish" },
    { 0xA90731E94FA27D11, "propminigamescore_compare" },
    { 0x74443C8B6BFB65EF, "propminigamesetting" },
    { 0x80E9E1FCBE070F41, "propminigameupdates" },
    { 0x2AC11078C24308FA, "propminigameupdateshowloser" },
    { 0x0AF3E5A6D549F612, "propminigameupdateshowwinner" },
    { 0x897432D5E9908E0A, "propminigameupdateui" },
    { 0x48156F4F6A3447D9, "propmodel" },
    { 0x33301439048441F9, "propmoveunlock" },
    { 0x3317272BBED30D36, "propnumclones" },
    { 0xA6C0A9C028F7D406, "propnumflashes" },
    { 0x18C876C6EDC03251, "proprange" },
    { 0xF9081A579D652CF8, "propremovefromcircle" },
    { 0x49134EFA1C9E15D3, "propremovefromlocation" },
    { 0x4DE4465A5DA6CF3B, "proprotate" },
    { 0x9EA79C49DD36747C, "props_spawned" },
    { 0x1CDB15877CF1F790, "propsetchangesleft" },
    { 0xE7FCBCF4FADC686B, "propsetclonesleft" },
    { 0x0B5715513647171B, "propsetflashesleft" },
    { 0xE660CF61C24A0D65, "propsize" },
    { 0x0926AA30C613AB3E, "propsizetext" },
    { 0x606CBEA72C42E4ED, "propspawnorigin" },
    { 0xDA89D0AB445E3AAB, "propspectate" },
    { 0x93E5DA1E4C9F41E3, "propspectateendwatch" },
    { 0xD1E67D6B0A9D2CD3, "propspectatekeys" },
    { 0xB2666B0D7763A72C, "propspectating" },
    { 0x0A250F015B2129A7, "propspeedscale" },
    { 0xD5A55709ECEC6176, "proptablelookat" },
    { 0xACD860367FC82882, "proptiebreaker" },
    { 0x0CA9C99B17BF8597, "propwaitminigamebuttonwatch" },
    { 0x74509D266E7EE66C, "propwaitminigamecleanup" },
    { 0x7288E4657C2D3039, "propwaitminigamecleanuponplayernotify" },
    { 0xEDDE5C1A12B00766, "propwaitminigamefalltimer" },
    { 0x7A9B4FF08F787DC7, "propwaitminigamehudinit" },
    { 0xF3C1E57E53658807, "propwaitminigamehudsetpoint" },
    { 0x36A2B4355C20A7B2, "propwaitminigameinit" },
    { 0x462CC8369D623BC5, "propwaitminigamerun" },
    { 0xC5CA45A5659C4ECE, "propwatchcleanupondisconnect" },
    { 0x79433E75000586F9, "propwatchcleanuponroundend" },
    { 0x86DB5892E5747343, "propwatchdeath" },
    { 0xD1A8A604C0469544, "propwatchprematchsettings" },
    { 0x7DC044A2AA42E090, "propweapon" },
    { 0xAED9294ADA353436, "propwhistle" },
    { 0xB18647784945BD2F, "propwhistletime" },
    { 0x1D9A719EA00F5AD4, "protect_current_headquarters" },
    { 0x0A1E17A7DA62ADCD, "protect_jammer" },
    { 0x7C5856F2F63E2602, "protect_obj_a" },
    { 0x2AB100DEE09E3BDE, "protect_obj_a_internal" },
    { 0xF86440073AB314CB, "protect_radius" },
    { 0x7B13FDE1CCCDCA07, "protect_watch_allies" },
    { 0x23E1F048820F28B3, "providecoveringfire" },
    { 0x6E6341619D4AF8EA, "prox_open_door" },
    { 0x7C3F0E31CDEB6081, "proxbar" },
    { 0x7832098174311252, "proxbartext" },
    { 0xE67EA1DCC501CD5C, "proxcmdwatcher" },
    { 0xB218A9E47AD51F59, "proxentlos" },
    { 0x8AADD3EEF0846E67, "proximity_alert" },
    { 0xBDB285B8F759CCE2, "proximity_bump_dist_sqr_override" },
    { 0x89EB8E8AA0FB5725, "proximity_check" },
    { 0xAAB84C6E6F6A46E3, "proximity_combat_radius_bump" },
    { 0xC7D95E67CAE74BE0, "proximity_combat_radius_fake_sight" },
    { 0x9D920C4E80A51254, "proximity_combat_radius_sight" },
    { 0x19763983B5B9B534, "proximity_explode" },
    { 0x449E74A622E55E26, "proximity_spawn" },
    { 0xA99C0CE17D93A4ED, "proximity_spawn_think" },
    { 0x3ABF4B1669C5E0EA, "proximity_spawning" },
    { 0xF8C64BB5FDC1964A, "proximity_threat_func" },
    { 0x3C04D6252C01B660, "proximity_threat_func_hometown" },
    { 0x7A1B98FD2B481379, "proximity_trig" },
    { 0xDDFF9B774F567B51, "proximityassist" },
    { 0x79D46CB2CD95F20E, "proximitydata" },
    { 0x2F3AFF3D6F6FBCB2, "proximitykill" },
    { 0xBFD1AE5EB6AA40EB, "proximityrevive" },
    { 0xD0CAC88070DEF039, "proximityrevivefauxtrigger" },
    { 0x89926AB30DD75FBD, "proximityrevivethink" },
    { 0x17D2B2B08C2B8988, "proxtrigger" },
    { 0xC8B73B928F59749E, "proxtriggerlos" },
    { 0xD9FC6C9C773175A0, "proxtriggerthink" },
    { 0x33F312B90394C43A, "proxy_cameraman_handler" },
    { 0x508605F8E6004DA7, "proxy_execution_fail_hide_names" },
    { 0x1BDEF7A20448F5DA, "proxy_executioner_handler" },
    { 0x66204CDE2AF5EA76, "proxy_hostage_1_handler" },
    { 0x4FC8C276752CAEE7, "proxy_hostage_2_handler" },
    { 0x475AE14CCB6A6594, "proxy_hostage_3_handler" },
    { 0x2B7EDB578194A816, "proxy_hostage_killed_fail_state" },
    { 0x987AE9DA91217C7C, "proxy_include" },
    { 0xCD864C4D0EAD5224, "proxy_trigger" },
    { 0xA24228B4981B2568, "proxy_wolf" },
    { 0xC0BC3E255DB1DDC4, "proxyaniminit" },
    { 0xC28C2F60692E82C5, "proxydisableweapon" },
    { 0x6F762068D51E0B3F, "proxywar_check_crouch" },
    { 0xD7A6A76E7BE0CCAA, "proxywar_check_grenade_throw" },
    { 0x1F4B93CCB8C2E7FC, "proxywar_check_offhand_throw" },
    { 0x0FCD34842676188F, "proxywar_check_swap_weapon" },
    { 0x73A2F18BC621E0EB, "proxywar_courtyard_flags" },
    { 0x97991338A9AB0796, "proxywar_courtyard_hints" },
    { 0x2CDBDBB3CC3E9ED1, "proxywar_courtyard_precache" },
    { 0x9358ECBF46F3FCEE, "proxywar_courtyard_spawn_func" },
    { 0xFB5EE49D53227AC7, "proxywar_flags" },
    { 0xFAF1EB3B416E0901, "proxywar_forest_flags" },
    { 0xDCB2CB098F5FC080, "proxywar_forest_hints" },
    { 0xE3B9D7186D48E71C, "proxywar_forest_init" },
    { 0x2540FA9FBE8B6343, "proxywar_forest_precache" },
    { 0xF572B35E67C89921, "proxywar_forest_spawn_funcs" },
    { 0xF048D09758110A50, "proxywar_heli_flags" },
    { 0xD4E091669683D7CD, "proxywar_heli_hints" },
    { 0x7FF87CD6C3A6E867, "proxywar_heli_init" },
    { 0x1211729657D2B818, "proxywar_heli_precache" },
    { 0x21FD7C828F5FDBFA, "proxywar_hints" },
    { 0x6B7B446D24BC1D36, "proxywar_init" },
    { 0xD7183A6556380B47, "proxywar_intro_screen" },
    { 0x532F2F183D0D0F7C, "proxywar_loadout" },
    { 0x0C7F9483954E3F6D, "proxywar_precache" },
    { 0x039E73B1520CE2C0, "proxywar_railyard_flags" },
    { 0xDDD54BE50683BC1D, "proxywar_railyard_hints" },
    { 0xB19B62947EDA6FC8, "proxywar_railyard_precache" },
    { 0x3F4E70620B1261F8, "proxywar_railyard_spawn_funcs" },
    { 0xCFEEA9D0741D3C2B, "proxywar_spawn_funcs" },
    { 0xC6150ED9B69D99B1, "proxywar_starts" },
    { 0xF1A6374FBDBA3A78, "proxywar_threat_bias" },
    { 0xE4FA644D9E933DAF, "proxywar_timeout" },
    { 0xBB7AF480E02B49D8, "proxywar_trucks_flags" },
    { 0x2C765B0DC84E7C75, "proxywar_trucks_hints" },
    { 0x36CC49BB2076FF3F, "proxywar_trucks_init" },
    { 0xBC5B8336F7EB79A5, "proxywar_trucks_objectives" },
    { 0x7551B096BE1E86F0, "proxywar_trucks_precache" },
    { 0xF9D613994B0D49AB, "proxywar_trucks_spawnfuncs" },
    { 0x8450204B3794A5E7, "proxywar_tutorials" },
    { 0xB38B4DDC0900850F, "proxywar_vo_flags" },
    { 0xDEF8BD0290975C2B, "proxywar_warehouse_flags" },
    { 0x942EC740656A22D6, "proxywar_warehouse_hints" },
    { 0x1E6F22D57BB8A4AA, "proxywar_warehouse_init" },
    { 0x4D4B3282E0AFA411, "proxywar_warehouse_precache" },
    { 0xB421C8245766AB2E, "proxywar_warehouse_spawn_func" },
    { 0xB18A7C0302524DFC, "ps4" },
    { 0x1686C69C5EDFDF7A, "psoffsettime" },
    { 0x52E0CD061B31F0CE, "publiceventsenabled" },
    { 0x86D6DDCE7EDA1D1C, "publiceventsmanager" },
    { 0x89F3F97C5EEAE029, "puddle_activated" },
    { 0xBDF62ACF8F7C8D78, "puddle_fx" },
    { 0x0D425CE43D771530, "puddle_structs" },
    { 0x12F94D3519C43C77, "puddle_triggers" },
    { 0x7EC93B7901BD0527, "puhostagerestoreweapon" },
    { 0xC6B39E71B6019F3A, "pull_player_out_of_rig_hide_rig" },
    { 0x104393CAE058E3F6, "pull_player_out_of_rig_hide_rig_no_stance_mod" },
    { 0x91662A916DA6C6CB, "pullattachmentsforweapon" },
    { 0xE5CCC37473F50761, "pullback" },
    { 0xE04154B2038DC31E, "pullbackoffset" },
    { 0xB186F4E48CFBCE84, "pullbackstruct" },
    { 0xD549FA65EEC158FC, "pullbothup" },
    { 0x33E5A5BF90BF3587, "pullchute" },
    { 0x28AE02B9734172BA, "pullinref" },
    { 0x0B4ADD429E189574, "pullinteract" },
    { 0xFBE510101A8323A1, "pulluptrigger" },
    { 0x6547760B566B42AF, "pulluptriggerthink" },
    { 0xF89F9F4168EE028A, "pulse" },
    { 0xA8ED600105B8AA79, "pulse_ai" },
    { 0x90FBC8C35733B4EA, "pulse_blur" },
    { 0xD794B1F20CC686F9, "pulse_soldiers_to_help_convoy" },
    { 0x83DC1B2552983C4C, "pulsedarts" },
    { 0x98A77EEA48F7DB98, "pulsegrenade_earthquake" },
    { 0xB6A03D028852F92D, "pulsesfx" },
    { 0xB6704502881EAE88, "pulsesin" },
    { 0x5796B4915B7AB9D0, "pulsesinx" },
    { 0x3F25AE4203240492, "pulsesinxrate" },
    { 0x2DFCB20664656DAB, "pulsetime" },
    { 0xEF597DE84F662C8D, "pulsing" },
    { 0x56B99766A01E1021, "pumpjacks" },
    { 0x3C0288D7B8F064EA, "punchcard_use_think" },
    { 0xDC6B55EA34C3CD21, "punishwavechaseplayers" },
    { 0xC280C09092D83C1C, "purchase_balloon_nags" },
    { 0xD2F7C559D5A8F00B, "purchase_type" },
    { 0xAE79685B07AE0C44, "purchasing_ammo" },
    { 0xDB8915229F99158B, "purge_undefined" },
    { 0x1829D892D1BB4C8A, "purify_activate" },
    { 0x16F7178D2CCAC9F8, "pursue_players_after_awhile" },
    { 0x9E7D2AFF2680FB63, "pursuer" },
    { 0x228BAB7C26A78410, "pursuit_autosave" },
    { 0x8875336A100A263D, "pursuit_death_flag_save" },
    { 0x6BA80808F52B8F18, "pursuit_early_autosave" },
    { 0xF57A52662CFE55EC, "pursuit_hud_cleanup" },
    { 0x392B27E0D8EA2463, "pursuit_timer" },
    { 0xF72F7DC29F1FA4A8, "pursuit_timer_fail" },
    { 0x1C49429E5A215B01, "push" },
    { 0x97C6D500EC3342B4, "push_conditions" },
    { 0x05790296EFEEEFDD, "push_delay" },
    { 0xCA7AABD090183036, "push_door" },
    { 0x20A80AB0524D1053, "push_door_override" },
    { 0x7812B3501A7A79AB, "push_door_player_effects" },
    { 0x24D736C7F784A9CB, "push_hint_duration_think" },
    { 0xDFFA26DA7E72DFF0, "push_hint_think" },
    { 0x9A4D3181CF59F0C1, "push_loc_into_storage" },
    { 0x142B807C65308757, "push_magic_coefficient" },
    { 0xCCC744575E7AC901, "push_manager" },
    { 0xAAC561BCC955295C, "push_monitor" },
    { 0x57CC630F83983B73, "push_player" },
    { 0x7DE54076C36DFFC8, "push_player_clear_of_door_way" },
    { 0x69321757E6EB5BB0, "push_player_down" },
    { 0x9A4D003BAA4D6691, "push_players_back_and_deal_damage" },
    { 0xF0933E22807285D1, "push_players_out_of_the_way" },
    { 0xBB613474D8300A27, "push_rumble" },
    { 0x473F163BE9EDAC64, "push_stick_intensity" },
    { 0x430CEF47831C93FE, "push_up_mortar_house" },
    { 0x082CB0D38427AB3A, "push_vfx" },
    { 0x5DF32F3606BD26F0, "push_yaw_delta" },
    { 0xEBA73D83F8EEF347, "push_yaw_delta_live" },
    { 0x08500202F7555CA1, "pushable" },
    { 0xB49D12C0336F4C00, "pushdisabledgunpose" },
    { 0x5112DB1B79B5C5E4, "pushdistributiontowardoppositecorner" },
    { 0x46A7D05AB5B1CA1F, "pushents" },
    { 0x30F0A7F4EE1A722D, "pushents_clear" },
    { 0x1BF630FFB55F21F1, "pusher1" },
    { 0x1BF62DFFB55F1B58, "pusher2" },
    { 0x4EA68949DC8C2314, "pushgimmeslotstreakontostack" },
    { 0xEC06C7B3DFAF00F2, "pushing_mine_cart" },
    { 0x73BF7F39E479D14D, "pushlogic" },
    { 0x83CE7637027F5675, "pushmonitor" },
    { 0xC2FB9BCF5578804C, "pushplayer" },
    { 0x50EB04F834929669, "pushplayertodoor" },
    { 0x8511FABC41E79FC3, "pushplayertoplayeroffset" },
    { 0x96B1C716E98711DB, "pushplayervector" },
    { 0x33FD65D51D8CF5FE, "pushpointoutofkothattractions" },
    { 0x9D78AA91D494733C, "pushproxcheck" },
    { 0x874867E1EE209F44, "put_guy_in_truck" },
    { 0x35C8F64D2DA11DB0, "put_headicon_on_tv_station_boss" },
    { 0x4E1F40DCB16CDAF6, "put_hvi_into_decho_rebel" },
    { 0x254C3F4768254874, "put_icon_on_hvt_vehicle" },
    { 0x728FC2108F80AF49, "put_icon_on_vehicle" },
    { 0xC8D8D30D2E0B1016, "put_icon_on_vehicle_repair_point" },
    { 0x98570917E74C940E, "put_into_player_false_positive_bank" },
    { 0x69DF1E774ABC2747, "put_objective_icon_on_cruise_missile" },
    { 0x4C270EC225BBC781, "put_objective_icon_on_interceptor_missile" },
    { 0xACB62FE46CE0931B, "put_objective_icon_on_reaper_missile_target_ent" },
    { 0xAB4BBBB86EA00D2D, "put_objective_icon_on_warhead" },
    { 0xBC9BC6A8956A44B2, "put_objective_on_guy" },
    { 0x342C749FB510D9BD, "put_passenger_in_truck" },
    { 0x4C8F7EE860EA6C54, "put_player_into_cam_rig" },
    { 0xA6BAAE61F1CDF23C, "put_player_into_rig" },
    { 0x77ADE49842C5542C, "put_player_into_rig_no_stance_mod" },
    { 0x6A3989CFD7C27932, "put_player_on_cam" },
    { 0xAEB5772F01AA63A9, "put_players_out_of_black_screen" },
    { 0x55FA7DCE37E84340, "put_riders_into_decho_dirty" },
    { 0x4869832140F10710, "put_riders_into_decho_rebel" },
    { 0x6A3A10893C5495C5, "put_target_marker_on_critical_enemy_ai" },
    { 0xF3E5F0FB39AE464A, "putgunaway" },
    { 0x7D5F10F9F08B4F16, "putgunbackinhandonkillanimscript" },
    { 0xB9ED4139E0916E76, "putguninhand" },
    { 0xFCB0501EA32053EF, "putinlaststand" },
    { 0xC0E7AAEC52CD7434, "putonground" },
    { 0xBD47E4F38F4E77C1, "putweaponbackinrighthand" },
    { 0x8912BB15EA9196EC, "puzzle_clip" },
    { 0xA2390CA2E7587AAB, "puzzle_mark_complete" },
    { 0xB81F8B3FDACD9A84, "puzzle_piece" },
    { 0x220869AB1CCA8D07, "pvpe_allow_munitions" },
    { 0xCE3448204330FFD5, "pvpe_allow_players_to_restart" },
    { 0xC689680440398B9A, "pvpe_allow_super" },
    { 0xD1A4A99C7D97EE1A, "pvpe_disable_bleedout_ent_usability_func" },
    { 0x63879D879B200E77, "pvpe_enable_bleedout_ent_usability_func" },
    { 0xF71631BD3F11914E, "pvpe_enabled" },
    { 0x53F105FD7256E535, "pvpe_end_game" },
    { 0x14FECC1529C9E6C9, "pvpe_force_end_game" },
    { 0x8E8C61BE855E3EED, "pvpe_game_should_really_end" },
    { 0x9A123ACE5D19D6B3, "pvpe_gameshouldendfunc" },
    { 0xC3EE7427AA344F74, "pvpe_get_num_of_charges_for_power" },
    { 0x4227880BBE0D1FEC, "pvpe_player_connect_monitor" },
    { 0x8B3E416C01EEC82B, "pvpe_playerspawnsessionteamassignmentfunc" },
    { 0x48E17C9FB16C54C1, "pvpe_playerspawnteamassignmentfunc" },
    { 0x551F34B1DCCDCC9E, "pvpe_pre_map_restart_func" },
    { 0x1379F873A5CD2382, "pvpe_revive_ent_usability_func" },
    { 0x51A4C27A6BD6DFFD, "pvpe_round_timer" },
    { 0x666413BC16657BF9, "pvpe_terrorist_players_respawn_timer" },
    { 0xF8EF0C24821FA782, "pvpve_break_doors" },
    { 0x1E1F75B9D270C2B2, "pvpve_enabled" },
    { 0xCDCD2E78F5175EEC, "pw" },
    { 0xC0B375F4AD614D68, "pw_behind_buffer" },
    { 0x06103A2A2AA42B30, "pw_infront_buffer" },
    { 0x9D6B949462FAEB0D, "pyramid_death_report" },
    { 0x770954234A466693, "pyramid_spawn" },
    { 0x58FE43363D038975, "pyramid_spawner_reports_death" },
    { 0xDF6120AAD32C5EEA, "python_enter" },
    { 0x7B7F7EFCB4AAF686, "python_longdeath_callback" },
    { 0xDD901018C84B376D, "qafinished" },
    { 0x0292E589B8CFB099, "qlerp" },
    { 0xBFA957DA5A0FD08D, "qm_intro_dialogue" },
    { 0x6C7663BBEBFA5ED3, "qsetgoalpos" },
    { 0x006BD3CDDCB55272, "quadfeed" },
    { 0x726F824979476F4A, "quadfeedinfo" },
    { 0x59575E0FC3E13074, "quadgridcenterpoints" },
    { 0x49B86050F640F22A, "quadgridradius2dsq" },
    { 0xBA233BFF6C630FDD, "quadpoints" },
    { 0x8711F9B85B7ABFDD, "quadrantanimweights" },
    { 0xB2ECF8F827A99E82, "quality" },
    { 0xE29CE547648489B4, "quantity" },
    { 0x9052C6AFE8FF0505, "quantitycommon" },
    { 0x8586FF5E754F9E59, "quantityepic" },
    { 0xAF8425452D06B549, "quantitylegendary" },
    { 0x6590675731856B2C, "quantityrare" },
    { 0x9F67425B99708553, "quarry2_ambient_sound_load" },
    { 0xE275A39BB918B215, "quarry_brendgame" },
    { 0x8D8732E13D78CB84, "quarry_fight_across" },
    { 0xA82821C5F006CE04, "quarry_fight_across_internal" },
    { 0xCA6FA655B4CE03B5, "quarry_hacking_sfx" },
    { 0xD0329655C1528A78, "quarry_hacks_count" },
    { 0x8424193333091E47, "quarry_intro1_chopper" },
    { 0xD1EC29C05090733E, "quarry_intro2_chopper" },
    { 0xBB22590D0A9B2118, "quarry_mortar_guys" },
    { 0x16C6157E558B2280, "quarry_mortar_guys_internal" },
    { 0xEC077369218439F4, "quarry_mortars" },
    { 0x3B36CC9FCC852576, "quarry_train_model" },
    { 0x7C7C9DC43F6CA28D, "quarry_wave_spawn_scoring" },
    { 0xB6A92D50D53C11FF, "quest_assdistmax" },
    { 0xB6861B50D515A2B1, "quest_assdistmin" },
    { 0xD5A10B73ECE0E974, "quest_domdistmax" },
    { 0xD57DF973ECBA7A26, "quest_domdistmin" },
    { 0xF4E535892A870C14, "quest_line_exist" },
    { 0xE720262FC3D94187, "quest_scavdistmax" },
    { 0xE743342FC3FFA809, "quest_scavdistmin" },
    { 0x90029D16505AC358, "quest_secretdistmax" },
    { 0x902593165080F512, "quest_secretdistmin" },
    { 0x50EADC612D656A6F, "quest_step_func" },
    { 0xC064EC60ABA136D5, "questbasetimer" },
    { 0xD1E3D74F5DEF0999, "questbonustimer" },
    { 0x3DB49E851FF6B555, "questcategory" },
    { 0x8E0ED4569AF9E246, "questcomplete" },
    { 0x80A9018F091B36EF, "questdeletedomgameobject" },
    { 0x9B45B10EF87B6392, "questenabled" },
    { 0xF18BC227A80A29C1, "questinfo" },
    { 0x1E7BB63BD46D9726, "questinstance" },
    { 0x77A91A942D03CFEF, "questinstances" },
    { 0x1A59A8E949030283, "question_answer_check" },
    { 0x726970C614BD7EE5, "question_barkov_response" },
    { 0x1F87EEA4F7D2F88B, "questlocale" },
    { 0x6CA4DDEF87CE43F5, "questpointgetradius" },
    { 0x7FD26E9F9F56C3C9, "questrewardcirclepeek" },
    { 0x9BA894BDB85A7F5D, "questrewarddropitems" },
    { 0x80A1235B04F066A8, "questrewardgroupexist" },
    { 0x3DD04AC88B84D20A, "questrewarduav" },
    { 0x32835A65EC12B97E, "quests" },
    { 0x7FD8D1400A756D55, "questtimeradd" },
    { 0xA6650991E27D0BFC, "questtimerinit" },
    { 0x4D2A0D40A1C5413E, "questtimerset" },
    { 0xAED70EC52150280F, "questtimerupdate" },
    { 0x9EAA3AE32CABED71, "questtype" },
    { 0x9C4C839B3E1A3B66, "questtypes" },
    { 0x123D29617CF8487C, "queue" },
    { 0xB7C615031EFE2BB7, "queue_dialogue" },
    { 0x43AF603FB5A1CFB1, "queue_dialogue_for_team" },
    { 0x463934DA44A8294A, "queue_gesture_reaction" },
    { 0x632F95A30B2479EF, "queue_interaction_vo" },
    { 0xE219673841D992CB, "queue_reminder" },
    { 0xBCD738FC3440059D, "queue_reminder_distance_anim" },
    { 0x54745B3C7DD7B496, "queue_reminder_with_reaction" },
    { 0x859E2DE3F13370F4, "queue_spawn" },
    { 0xC255ED53285BC0C7, "queueadd" },
    { 0x09D74B4D15E58DA0, "queueanimationafter" },
    { 0x3FEC096C10C61CD2, "queuecapturekill" },
    { 0x51883FBDF29D2CE1, "queuecapturekillchoice" },
    { 0x94EF5E6A474DBD47, "queueclientforsquadspawn" },
    { 0xF59E4D436D4EE3BE, "queueconnectednotify" },
    { 0x0D7797ACC7489AE8, "queuecreate" },
    { 0x7EC4C6A66C3D18C3, "queued_up_to_respawn" },
    { 0x0575C4B6A76879BC, "queuedialog" },
    { 0xD045628329BD0482, "queuedialogforplayer" },
    { 0x0AF3B5833D667EAD, "queuedstate" },
    { 0xE0A7612E06C4FFDD, "queuedswaploadout" },
    { 0x16931768EE2E5E9D, "queuedtaunts" },
    { 0x7A3C1952F3AB0D0F, "queuedvo" },
    { 0xCF690FE766185E6A, "queueforkillcam" },
    { 0xDD5C8CEE9D51D1D4, "queuemidmatchaward" },
    { 0x473DBCAD6B057BC2, "queueremovefirst" },
    { 0x14CA1065D60678FD, "queues" },
    { 0xBB4E523BF03AC7E4, "queuescoreeventpopup" },
    { 0x7CF49CCDB459CD11, "queuescorepointspopup" },
    { 0xB911E780DE216953, "queuesplash" },
    { 0x480C68ECF3E8F29E, "queuetokens" },
    { 0xA005D816ED5274E9, "queuevehiclewakeup" },
    { 0xF5BF86B2BA5032F1, "quick_fadeout_in" },
    { 0x3C3E3A5558138726, "quick_fadeup" },
    { 0x74E7E8F553706D00, "quick_maffs" },
    { 0x0AC64F0FAE297FBA, "quick_spawn_model" },
    { 0xA704226617E8CF2B, "quick_wake_up" },
    { 0x98ED64015991C663, "quickavailable" },
    { 0x9D6A123D8F6ABBCD, "quickdropaddtocache" },
    { 0xDBB0DA3BBC0BC024, "quickdropaddtoexisting" },
    { 0x1A489337E378F854, "quickdropall" },
    { 0xC3180C14831FB535, "quickdropcache" },
    { 0x47FEE4E001782D0E, "quickdropcachefindslot" },
    { 0x553B0B63D4B34987, "quickdropcachematchesplayer" },
    { 0x5D29BDECF5CD9ED7, "quickdropcleanupcache" },
    { 0xC7969DC4A66EB460, "quickdropfinditemincache" },
    { 0x72ADF7BAA0712A8E, "quickdropgetscriptableforcount" },
    { 0x13C329AC0B9242D6, "quickdropitem" },
    { 0xF3A594C1A33AECBA, "quickdropnewitem" },
    { 0x8DF6D99AC9959032, "quickdropplaysound" },
    { 0x4071C3CBB9FE7A35, "quickdropremoveammofrominventory" },
    { 0x425CBAAA7BB464E0, "quickdropremovearmorfrominventory" },
    { 0x83C3F56ED1278897, "quickdropremovefrominventory" },
    { 0x69BA5A4C6D139F2B, "quickdropremoveplunderfrominventory" },
    { 0xF53F82CBF6114CF0, "quickdropremoverespawntokenfrominventory" },
    { 0xFE079A9A7AAC0261, "quickdropremoveselfrevivetokenfrominventory" },
    { 0x84609E308F256E43, "quickdropremoveweaponfrominventory" },
    { 0xF70DA3154B4ED9E0, "quicken_scene_speed_while_offscreen" },
    { 0xC4087BDB014BE031, "quickmessagetoall" },
    { 0x3F4934A6EB5FC864, "quicksort" },
    { 0xACFC18A01062BF50, "quicksort_compare" },
    { 0x9EECB128C0EAD9C6, "quicksortmid" },
    { 0x4291CB5CCD0CAE34, "quicktrigger" },
    { 0x0182625A682B3C34, "quicktriggerthink" },
    { 0x76F57113D8A10A8F, "quicktriggertimeout" },
    { 0x90A7BA40304BE453, "quietly_kill_all_axis" },
    { 0x4CCBA40FB687CEC9, "quit_game_in" },
    { 0xAC0E444AC96A7579, "r" },
    { 0xFE46F9B067983B3A, "r1_deaths" },
    { 0x91C0CB0DE7DE1EB1, "r2_deaths" },
    { 0xA15A77550DD0D9BC, "r3_deaths" },
    { 0x00C411C5A8C9E21C, "race" },
    { 0xFAAA9460E9290C5D, "race_calculate_stars" },
    { 0x81887283F469A308, "race_countdown_update" },
    { 0x7AFD58146481FF8E, "race_dogtag_init" },
    { 0xE53E38F0B089E36E, "race_ent" },
    { 0x311522A1A6134299, "race_flow" },
    { 0x72955C12D9E9A474, "race_get_current_checkpoint" },
    { 0x425E248326D75330, "race_get_next_checkpoint" },
    { 0x79285043DA264BC7, "race_init" },
    { 0x5594E5331A1C0AA8, "race_is_player_driving_vehicle" },
    { 0x809FFB05D401617A, "race_monitor_oob" },
    { 0xF0BBEDDA46F52D6D, "race_monitor_out_of_vehicle" },
    { 0xAB6774897B73F1FA, "race_monitor_vehicle" },
    { 0xE9E47DDBFED22AD6, "race_requires_vehicle" },
    { 0xB8DB80DDCE7B079E, "race_set_checkpoint" },
    { 0x5797ADE167741D7C, "race_set_next_checkpoint" },
    { 0xBB70CE851629A7BB, "race_set_player_safe" },
    { 0x9713567C799549DA, "race_timer_update" },
    { 0xF4B29335151C5925, "race_ui_add_critical_message" },
    { 0xE6611A58537581B6, "race_ui_checkpoint" },
    { 0x6AC40942EAD4DCC3, "race_ui_critical_message_timer" },
    { 0x6723806D030A7ABB, "race_ui_critical_message_update" },
    { 0x728CAB6F115A3675, "race_ui_lap" },
    { 0x435E464C8D71A86C, "race_ui_remove_critical_message" },
    { 0xAF1EE5ED4F7E1E9F, "race_ui_show_record" },
    { 0x86F1F82F47E99945, "race_ui_show_record_end" },
    { 0x3DD2E9CAE1421AA6, "race_update_stars" },
    { 0xA8E2F19D2F225E91, "race_wait_for_current_checkpoint" },
    { 0xD1D11F6DBFB6AC98, "raceendnotify" },
    { 0x89DEA03C300D8B9C, "raceendon" },
    { 0x791584B233FCFA1D, "races" },
    { 0x68F25378CE5B81B9, "rack_focus_between_tile_and_mom" },
    { 0x5B926ECCEC4E9BB1, "rad_extractor_hint_displayed" },
    { 0x855BAEB23C2A10F7, "radar" },
    { 0x24FE6FE58C542309, "radar_block_count" },
    { 0x99708F7172DF5402, "radar_models" },
    { 0x41B80C730D6ACA06, "radar_structs" },
    { 0x258B04CF0E200FC9, "radar_sweeps" },
    { 0x4C0A0CEB9B495FD0, "radar_think" },
    { 0x608CD0255DBD37A0, "radardrone_equipment_wrapper" },
    { 0x03727AD5937A252E, "radarendgame" },
    { 0x45F8DA25275BE55C, "radarhideshots" },
    { 0xCB7423FE4507C3D0, "radarmode" },
    { 0xD1A4321C38CC07B2, "radarpingtime" },
    { 0x1534117B5FE29B0B, "radarshowenemydirection" },
    { 0xB102CBCFFE1F3162, "radarstrength" },
    { 0xCD1DF062C6EF9473, "radarviewtime" },
    { 0x5786405C03D987C8, "radial_distortion" },
    { 0xD0D5D7C8FF32D464, "radialairstrike" },
    { 0x222424C06571561B, "radialhealer" },
    { 0x4C26DE6B7F44525E, "radialhintinternal" },
    { 0xB182603F5C2FA00C, "radialmonitor" },
    { 0x1EC02080E45D3ABD, "radialtimeobjid" },
    { 0xDCBFA777B5A1A56D, "radians_to_degrees" },
    { 0x3B6C7B7A174EDFE9, "radiant_cockpit_light" },
    { 0x9725ABF84D480A65, "radiantplaced" },
    { 0x4955A49078D83705, "radiationeffect" },
    { 0x875AB971AF9B1624, "radiationoverlay" },
    { 0xB46A3F8053A38D83, "radiationsound" },
    { 0x857EB1B23C505F48, "radio" },
    { 0x0D4EB5E354742BC7, "radio_dialog_struct" },
    { 0x865E1D2FCAEFB723, "radio_dialogue" },
    { 0xD499BE4399CAA5B2, "radio_dialogue_clear_stack" },
    { 0x7F5B1973ACA0DEC5, "radio_dialogue_interupt" },
    { 0x4C7CBE2363E6B9A7, "radio_dialogue_overlap" },
    { 0xCBB294CADD8908BB, "radio_dialogue_queue" },
    { 0xE31B35DAF35B3C81, "radio_dialogue_safe" },
    { 0x9ED229DB7CA1513C, "radio_dialogue_stop" },
    { 0x6C8A36A388DDEE0E, "radio_getallypronenodes" },
    { 0x42FC06E7F0DDEA78, "radio_getinteractstruct" },
    { 0x4D153C8F5BE4E3A0, "radio_getradioally" },
    { 0xE3E45041825DF76C, "radio_getradioallynode" },
    { 0x86D4B50F16E9C992, "radio_in_use" },
    { 0xC707DC2C5EDC68F8, "radio_main" },
    { 0x12EF16BDD48D4225, "radio_nag" },
    { 0xF386244B3928DB32, "radio_radioallysurvivedlogic" },
    { 0x102C6E85247A4A65, "radio_spawnradioally" },
    { 0xB19CC0415BD134AF, "radio_start" },
    { 0xC37B74FE7A59F13F, "radio_tower_switches" },
    { 0x423160FC034B191B, "radio_waittillplayernearradio" },
    { 0xDFE918560626AFF0, "radioforcedtransmissionqueue" },
    { 0xFB00BC546EE8357F, "radioobject" },
    { 0xE60005FAA4C16EC1, "radios" },
    { 0x937C193855670069, "radios2" },
    { 0xE797BDDB9B5A1AAE, "radiowatchplayerjoin" },
    { 0xE59EFDFAA45671AF, "radius" },
    { 0x2CB3CE16ACB44E61, "radius_damage" },
    { 0xD656D11015C1C522, "radius_detection_monitor" },
    { 0x4A7FD5290E8B1417, "radius_detection_monitor_send_notify" },
    { 0x433EB4265977D623, "radius_max_sq" },
    { 0xF067057111BC7F2D, "radius_min_sq" },
    { 0x531A5D376A1C4A3D, "radius`" },
    { 0x58E0C6F34140CE1E, "radiusdamage" },
    { 0x49D03642E41DCD65, "radiusdamagestepped" },
    { 0x807C560443E42A07, "radiusmax" },
    { 0x9468320536CBD965, "radiuspathnodes" },
    { 0x77BF7DC6F9A5381B, "radiusplayerdamage" },
    { 0xDF7E3CDE5C75BCDF, "radiussq" },
    { 0x21739CBE2D46F9C9, "radiussqrd" },
    { 0x198F4C2CE69B6661, "radtriggers" },
    { 0x373086C4A0BC16C3, "radzones" },
    { 0xCE42A1FCF42A096E, "ragdoll_damagelocation_none" },
    { 0x93AF1C11D0383250, "ragdoll_death_after_anim" },
    { 0x047126E57576EF84, "ragdoll_directionscale" },
    { 0x21C1AEB4DBAD337C, "ragdoll_early_result" },
    { 0x356B3DC593B1E02C, "ragdoll_fall_anim" },
    { 0x5BF1A45ED3CB7BBF, "ragdoll_focus_camera" },
    { 0x8EA6389E248C18A6, "ragdoll_focus_camera_clean_up_monitor" },
    { 0x6DB41A0391480DCC, "ragdoll_getout_death" },
    { 0x95FF04BDF2CA5B1E, "ragdoll_immediate" },
    { 0x5D0DD0F93A1B5ECE, "ragdoll_on_vehicle_death" },
    { 0x980F2BC97575FA2F, "ragdoll_start_vel" },
    { 0xCEEC1679AF0AD2C1, "ragdollblendinit" },
    { 0xA84BE8F569C22936, "ragdolldeath" },
    { 0x4FDC97C0E4F51729, "ragdollhitloc" },
    { 0xE10D532F7E2C990D, "ragdollimpactvector" },
    { 0x479D912C95E94A15, "ragdolltime" },
    { 0x1A88D39F14ED33A3, "ragdollzerog" },
    { 0xB20171250AB0A4BB, "raid_init_func" },
    { 0x28F643E2C56A3AA3, "raid_is_starting" },
    { 0xDA6F95335937FCF5, "raid_mindia_unload_func" },
    { 0x93E8B7B191513F2A, "raid_obj_func" },
    { 0x60A5B58E53EAE875, "raid_objective_cleanup_func" },
    { 0x9FC3E53AEF468797, "raid_player_initial_spawner_script_noteworthy" },
    { 0x4AEFEB0F1D81E637, "raid_player_start_pos_array" },
    { 0x9C8A6794E0D00B02, "raid_seq3_objectives_func" },
    { 0x8F689063F1484063, "raid_seq4_objectives_func" },
    { 0x7895C03863D2D0E6, "raid_umike_unload_func" },
    { 0xA28C9F8CF0BE3566, "raid_vindia_unload_func" },
    { 0x6E3CA1D38A60FE0D, "rail_player_model" },
    { 0x80C12EEA1D549EF6, "rail_player_model_shadow" },
    { 0x958A277F64C92259, "railyard_breach_ally_alpha" },
    { 0xE189A523F1D19DA5, "railyard_breach_ally_alpha_speed" },
    { 0x7FF2EFA0CDBBEA69, "railyard_breach_ally_bravo" },
    { 0x8E87DE3B67F49ECE, "railyard_breach_breach_door" },
    { 0x8626B91D38E3EEBE, "railyard_breach_catchup" },
    { 0xA30D351E2D776366, "railyard_breach_check_deaths" },
    { 0x815A401D5442FA09, "railyard_breach_door_open_checker" },
    { 0x4A3AFD3A9470E416, "railyard_breach_enemy_individual" },
    { 0x2CD6D434205386DB, "railyard_breach_extinguisher_start_fx" },
    { 0x2636609F273D4B17, "railyard_breach_extinguisher_stop_fx" },
    { 0x8D127809882E0811, "railyard_breach_main" },
    { 0xC7FA3B162109272E, "railyard_breach_player_fire_checker" },
    { 0xAA0CBA1FD7781CF8, "railyard_breach_player_flashlight_checker" },
    { 0x1BAC8B4F72B9D94F, "railyard_breach_player_looking_at_breach" },
    { 0x4692BEFF1DF1F301, "railyard_breach_skip_ally_alpha" },
    { 0x5BC2EBA600E61830, "railyard_breach_skip_enemy" },
    { 0x8FF7112A2A8BA238, "railyard_breach_start" },
    { 0x558B2112B7B957C0, "railyard_breach_stop_fx_on_death" },
    { 0xBEF818FB7EDF056F, "railyard_combat_allies_left" },
    { 0x383D5C3541F20E60, "railyard_combat_allies_right" },
    { 0x1A47E3E1C8B3404B, "railyard_combat_catchup" },
    { 0x6F40C369BDC5AB8D, "railyard_combat_enemies" },
    { 0xE4AA92DB85657D9D, "railyard_combat_enemy_individual" },
    { 0x3FF62B82B858DE25, "railyard_combat_enemy_individual_platform" },
    { 0x6FDE9E45932A6E09, "railyard_combat_enemy_individual_player_near_check" },
    { 0x0E7637BFB6157137, "railyard_combat_intro_alpha1" },
    { 0x0E7638BFB615736A, "railyard_combat_intro_alpha2" },
    { 0xABDEF38C6F29FACA, "railyard_combat_intro_catchup" },
    { 0x112EA771174C1E3B, "railyard_combat_intro_check_player_tries_door" },
    { 0xFC37C014FF5A6268, "railyard_combat_intro_door" },
    { 0xF61A5D5B56F32481, "railyard_combat_intro_door_catchup" },
    { 0x229E5A6A1C16C7EC, "railyard_combat_intro_lmg" },
    { 0x4C7C8B46C1E06313, "railyard_combat_intro_lmg_light" },
    { 0x1397EB6E420D7C75, "railyard_combat_intro_main" },
    { 0x8E2DA00E4E0E65D3, "railyard_combat_intro_player_looking" },
    { 0xDAC6D504A5DFA664, "railyard_combat_intro_start" },
    { 0xD3FD72E17339D7ED, "railyard_combat_lmg" },
    { 0x5E4261AFF390AEF5, "railyard_combat_lmg_check_being_suppressed" },
    { 0x7B8CAE0301DCCDA9, "railyard_combat_lmg_check_can_see_player" },
    { 0xC65DB739B01937EA, "railyard_combat_lmg_fire" },
    { 0x3CF936AC056AB99D, "railyard_combat_lmg_search_behavior" },
    { 0x3885B686E7B88C70, "railyard_combat_lmg_suppress_ally" },
    { 0x1974BE4536AA9C45, "railyard_combat_lmg_suppress_door_behavior" },
    { 0xE029D123F79B198F, "railyard_combat_lmg_suppressed_behavior" },
    { 0xFCA39F1DDB183DF2, "railyard_combat_lmg_track_player_behavior" },
    { 0x13F1D3AFB3B3BF6A, "railyard_combat_machine_gunner" },
    { 0x649F52637FCDFEFE, "railyard_combat_machine_gunner_attack_point" },
    { 0xDF04C3236F0DF237, "railyard_combat_machine_gunner_check_damage" },
    { 0x29420D96CEEAC016, "railyard_combat_machine_gunner_check_player_near" },
    { 0x4B08BE3593D1498C, "railyard_combat_machine_gunner_check_player_staring" },
    { 0x7F6FD2C5D32473DB, "railyard_combat_machine_gunner_drop_weapon" },
    { 0x8232F15CD2F80156, "railyard_combat_machine_gunner_flag_on_death" },
    { 0x2607179D0CC63FC8, "railyard_combat_machine_gunner_lethal_on_bypass" },
    { 0x85C1FEB39CB3B3AA, "railyard_combat_main" },
    { 0x076241973C072C55, "railyard_combat_mg_grenade_check" },
    { 0x40FBA82363519B30, "railyard_combat_mg_nest_destruction_fx" },
    { 0xEF171E8A1D640F7B, "railyard_combat_rus_railyard_left_start" },
    { 0x32DD4794B44F20B6, "railyard_combat_rus_railyard_left_traincars" },
    { 0xE8828CF91C0C3FF9, "railyard_combat_rus_railyard_mg_platform" },
    { 0xEBE503213D463951, "railyard_combat_rus_railyard_right_room" },
    { 0xF35C37F05FC0509E, "railyard_combat_rus_railyard_right_traincar" },
    { 0x8A590C2C84E1C7B0, "railyard_combat_rus_railyard_right_traincar_surprise" },
    { 0x43A1E4B97BE39123, "railyard_combat_rus_railyard_start" },
    { 0x39E6AA01CF63F433, "railyard_combat_setup_lmg" },
    { 0x094AE0EA0AD19889, "railyard_combat_start" },
    { 0x6B3E3C9DEE466CE1, "railyard_combat_supressing_ally" },
    { 0xD1908A4DEACDDF84, "railyard_combat_threat_think" },
    { 0xD2FDE0CB729CFD29, "railyard_combat_wait_dead_pct" },
    { 0x75BC1B5D263F69DE, "railyard_enemies" },
    { 0xDDE2DE73D893584F, "railyard_entrance_allies" },
    { 0x89E7DD070712CD98, "railyard_entrance_burning_guy" },
    { 0xDA612404FD5EE061, "railyard_entrance_catchup" },
    { 0xEA08C8DFDFAB7130, "railyard_entrance_crawling_guy" },
    { 0x0136865E2E3540D3, "railyard_entrance_crawling_guy_alpha2" },
    { 0xDBDC65775E6843B8, "railyard_entrance_main" },
    { 0xF6C7C61283D3077E, "railyard_entrance_pistol_guy" },
    { 0xCA747F6FCE8D6D2D, "railyard_entrance_pistol_guy_burning_fx" },
    { 0x4D73E7E1A6D9C3E2, "railyard_entrance_setup_burned_rus" },
    { 0x8A66F026B968376F, "railyard_entrance_start" },
    { 0x39A0AADE76D984FC, "railyard_entrance_tower_collapse" },
    { 0xC4AE904A838A7D66, "railyard_guards_comment" },
    { 0x91974282A5F3307E, "railyard_lmg" },
    { 0x3BF3DDE66190A929, "railyard_lmg_turn_off_light" },
    { 0x8B985372E8B5BDE7, "railyard_lmg_turn_on_light" },
    { 0x85AEE958565CAE1A, "railyard_player_near_breach" },
    { 0x7C16611F51D25778, "railyard_player_skipped_breach" },
    { 0x805150FF6130F6F6, "railyard_vfx_fire_blocker" },
    { 0x36CEE07AB252DCBD, "rain_exploder" },
    { 0xAA24E37E4A90E24D, "raindrop_fx_manager" },
    { 0x2117AC2399D8F5EA, "raindrop_fx_thread" },
    { 0x00FCBB73D7B840AD, "raindrop_fx_trigger_think" },
    { 0x248FE81E7526647B, "raise_airlock" },
    { 0xB2EB989579057EBD, "ralfa_delete_door_collision" },
    { 0xE4DA0A1081068F2A, "rally_to_snakecam_door" },
    { 0x315BA4DF91867E5F, "rally_to_snakecam_door_monitor" },
    { 0x0987E4E864DE4863, "rallypoint" },
    { 0xF5E2C47B713687AD, "rallypoint_activatevehiclemarker" },
    { 0x35BE82F39B5AEDBA, "rallypoint_deacivatevehiclemarker" },
    { 0x3EE481D5BF2BBE93, "rallypoint_showafterprematch" },
    { 0x6F41B324B2B284B1, "rallypoint_showtoplayer" },
    { 0xA8F35EE25CE6C66B, "rallypoint_updatepositions" },
    { 0x988B4033E60E419C, "rallypoint_watchforvehicledeath" },
    { 0x2E6BA619EA5E63F6, "rallypoint_wathcforenemydiscovery" },
    { 0x930FEE59660768F5, "rallypointhealth" },
    { 0xD4247B15D4D87B30, "rallypoints" },
    { 0xAEF77B934223DFAB, "rallypointvehicle_activate" },
    { 0x4129A3314D27BA58, "rallypointvehicle_deactivate" },
    { 0xA68C2328FB134D86, "rallypointvehicles" },
    { 0xBE28B44DB50B41B7, "ramboaccuracymult" },
    { 0x7E00156C25A21B61, "ramboaim" },
    { 0xF67687980937B2C4, "ramboaiminternal" },
    { 0x113BC782B0429E44, "rambochance" },
    { 0xD1A12F32A28DBABC, "ramp_wind" },
    { 0x8FC98ED2DBFF5095, "rand_num" },
    { 0x993B809D93333378, "rand_pos_or_neg" },
    { 0x3C417D475AA7600A, "randchance" },
    { 0xC263F7B0D710C050, "randgetpropsizetoallocate" },
    { 0xDB1E40763CC6C943, "randhidespots" },
    { 0x9C3B3C209E61C6F6, "randoexplodo" },
    { 0x9A85C2736A3E8DEE, "random" },
    { 0xB1FBF319E4B3C1CA, "random_aitype_list" },
    { 0x60A59A0CDDD46EE5, "random_ambient_idle_playing" },
    { 0xFFE56D50F5EA76EB, "random_barrel_explosion" },
    { 0xFBF08B7F3D2A144F, "random_consumable_chosen" },
    { 0xD773F093C9378CF0, "random_end" },
    { 0x6FACBFE8B3BD1A0A, "random_idle_controller" },
    { 0x8BE89CDB9B60ED2B, "random_idle_controller_stateful" },
    { 0xA3F6F366511EC40E, "random_idle_group_controller" },
    { 0x8DE62CC9B0DB9F1C, "random_idle_playing" },
    { 0x3B1CB7C34526FCBB, "random_idle_scene_controller" },
    { 0xFF8197DC96B6EEBE, "random_idle_scene_controller_simple" },
    { 0xB8154B6887834F6B, "random_idle_scene_controller_simple_single" },
    { 0x6DAB2CF9C329E638, "random_idle_scene_controller_single" },
    { 0xBC25EFC107A09D14, "random_idle_scene_end" },
    { 0x143F90C5955513DC, "random_idle_scene_end_cheap" },
    { 0x205F9C510F0117AD, "random_idle_scene_end_cheap_single" },
    { 0x3343822CFC81D095, "random_idle_scene_end_single" },
    { 0xDEFC8A8E0AB7553E, "random_idles" },
    { 0x76152D847D6DC0B2, "random_intensity_off" },
    { 0x3C53486945CB1078, "random_intensity_on" },
    { 0xBB4A27B0A3C591BC, "random_killer_update" },
    { 0x1D5AD63FB095E851, "random_killspawner" },
    { 0x540BBDDF190628E6, "random_loot_override" },
    { 0x91B8B3D0C0D45546, "random_spawn" },
    { 0xE881A5A8E834F574, "random_spread" },
    { 0x8E757CD5F36B312B, "random_vector_2d" },
    { 0x4AB4940A2473503F, "random_weight" },
    { 0x749A533B851BF7AD, "random_weight_sorted" },
    { 0x5E869661EAF7DFC4, "randomaditionaltime" },
    { 0xA8FDE0D48F31CD95, "randomangle" },
    { 0x019F787075AA642D, "randomcarepackagedrops" },
    { 0xDF9A072DFE591FF7, "randomcorner" },
    { 0xC758ABDD661E3F80, "randomdrops" },
    { 0xDC855BC05BD71E9D, "randomfasteranimspeed" },
    { 0xF50D66D3BF7C1184, "randomfloat" },
    { 0xC4C0C8BB2E4B99C9, "randomfloatrange" },
    { 0xE9DCD3C31A1565B9, "randomgrenaderange" },
    { 0x7C1308153F8D8B3F, "randomint" },
    { 0x327F85E8A7FCD114, "randomintrange" },
    { 0xF97DEBABBD7CE2AC, "randomintrange_otn" },
    { 0xFD3C0F2E18747451, "randominttable" },
    { 0xCD1BA46B65670560, "randominttablesize" },
    { 0xFF68FDE8B0FA70A3, "randomize_name_list" },
    { 0x972A2EE8CF853D67, "randomize_player_sessiondata" },
    { 0x6A869FA97865940E, "randomize_session_team_to_team_number_mapping" },
    { 0xC5ADF43B5762EB84, "randomize_start_targetname_array" },
    { 0xFE0079652605FA8F, "randomize_stealth_alert_music_array" },
    { 0xBEAEE01DE25DD6FE, "randomize_stealth_broken_music_array" },
    { 0x9721F161F362BCA8, "randomize_target" },
    { 0xC06482A645F09831, "randomize_team_id_to_team_number_mapping" },
    { 0x6D5CA7B865DEB4AE, "randomize_tv_station_player_start_pos" },
    { 0x9CDB0308CF3DDE41, "randomize_weapon" },
    { 0x3C1D3C1E84C22518, "randomize_wire_color" },
    { 0xE1385234C5EB0F35, "randomize_wires_on_bombs" },
    { 0xA575A56068946E3C, "randomize_zones" },
    { 0x69B703E2E465B179, "randomized_primary_weapon_index" },
    { 0xFAD5C4F53208DB21, "randomized_primary_weapon_objs" },
    { 0xB2B3D4F2CE9427EA, "randomizeidleset" },
    { 0xC7B76593FDCD5809, "randomizepassthroughchildren" },
    { 0xF8D2F211B2C91D65, "randomjackalmovement" },
    { 0x11F0F15BFEBB915F, "randomly_play_tape_reel_anims" },
    { 0x6C263F1EF5E409B5, "randomness" },
    { 0x5D6622E6C01276C6, "randomness_increase" },
    { 0x2BB24E7DAC8E1901, "randomness_multiplier" },
    { 0x4CDA391FBA7C722B, "randomoccurrance" },
    { 0xE3564973C9C01148, "randomoffsetmortar" },
    { 0x53A0E51DDDA15E18, "randomonunitsphere" },
    { 0x150B598DEEDC129C, "randomscore" },
    { 0x51007955F55F3BDD, "randomspawnscore" },
    { 0x8411A78CFA31EA22, "randomstartindex" },
    { 0xEA575C353E322A25, "randomvector" },
    { 0x65A3A02733D488B2, "randomvectorrange" },
    { 0x3088A5B1FECD055E, "range" },
    { 0x8E36259F2C0957DA, "range_struct" },
    { 0x315D29CC61C4ADE7, "rangecountdownactive" },
    { 0x07484D2ACA83F052, "rangefinder" },
    { 0x898993735CE261F7, "ranges" },
    { 0x0CB82C5C392AF306, "rangetrigger" },
    { 0xAEC28915E772CC1E, "rank_init" },
    { 0x1915A9BD7D11E41E, "rankceiling" },
    { 0xF491CA6B0476AFAB, "rankedmatch" },
    { 0x7AAB4E2828E249BB, "rankedmatchupdates" },
    { 0xF6A510E60470B047, "rankfloor" },
    { 0x5B1287C84F96B47F, "rankinfo" },
    { 0x667B3EC96BC79526, "rankingenabled" },
    { 0xC80C83C17BFE111D, "ranktable" },
    { 0x259862FE06D5B279, "rankxpmultipliers" },
    { 0x092506C5755B3457, "rappel_actor_dmg_func" },
    { 0xD7C9F47CCA1425E6, "rappel_actor_stealth_filter" },
    { 0xF572ECE70A8CEDFB, "rappel_alq_logic" },
    { 0x1401D35567637F83, "rappel_anim" },
    { 0xF1E62F0788175DAA, "rappel_bump" },
    { 0xA3E3B21DD44AC7C7, "rappel_ground_anim" },
    { 0x1E88427C1628336A, "rappel_guys" },
    { 0x92FC93C58DE9C41F, "rappel_hackney_get_length" },
    { 0x48C714E8EEF027E4, "rappel_hackney_init" },
    { 0x893FD9CFA299FFBD, "rappel_hackney_spawn" },
    { 0x702F4EB054033F38, "rappel_nvgs" },
    { 0x5EF410C0E912B0A7, "rappel_offhands" },
    { 0x81C4E934083B0853, "rappel_player" },
    { 0x88F6A856736E99BB, "rappel_price" },
    { 0x1BCD2563C0E01181, "rappel_reload_internal" },
    { 0x8EC5414ADAA3D9F9, "rappel_reloading" },
    { 0xBF8FCC50D8D71FDC, "rappel_scene_vo" },
    { 0xF05FA69BD6140B93, "rappel_victim_death" },
    { 0xBC503FD731F5CAFF, "rappelfootstep" },
    { 0x010605C5A9126151, "rare" },
    { 0xE9BCA546CE0EBA4E, "rarity" },
    { 0x827C077AAB9A2A1D, "raritycamera" },
    { 0xDD49EFC6C80CE14C, "raritycamlarge" },
    { 0xC9C021B032BDC37E, "raritycammedium" },
    { 0xF1F8F61D7C022744, "raritycamsmall" },
    { 0xB7837FDD9688C7A0, "raritycamwatch" },
    { 0xF2BC56806B7743D1, "rat_executevisuals" },
    { 0x010E11C5A91A6763, "rate" },
    { 0x9F18705B02365672, "rateofchange" },
    { 0xCD8EDE78A1E9CE57, "ratiochildren" },
    { 0x0585276E44404431, "ratios" },
    { 0x4DBE168B0D87D61D, "rave_mode" },
    { 0x12D4D89FA7BDD3D2, "ray_to_plane_intersection_distance" },
    { 0x1ABA9D2EF43B6165, "ray_trace" },
    { 0x39A153A79C84458F, "ray_trace_detail" },
    { 0xCE5ECB51A585D460, "ray_trace_detail_passed" },
    { 0xF5D3A7F2AD1CC4B8, "ray_trace_ents" },
    { 0xB24BCC4A6099403F, "ray_trace_get_all_results" },
    { 0xBA643A809461F97E, "ray_trace_passed" },
    { 0x2B44389E66FF3E7C, "ray_trace_trigger_radius_2d" },
    { 0x645C4373E3FF58C1, "raycountscalelg" },
    { 0xACFEB5F46A3D28A6, "rayguidemode" },
    { 0xE31CE2098A8BA5DB, "raytraceoffset" },
    { 0xD7F8AF62D6094CC8, "rcplane_setminspeed" },
    { 0xBE430B7F244E3E55, "rcplane_settopspeed" },
    { 0x400BC46832129F1C, "rcplane_settopspeedboost" },
    { 0x1B09E05EFE691D77, "re_calculate_traverse_data" },
    { 0x0FC74360E87BDDEA, "re_open_station" },
    { 0x3C378CA0990E5404, "reach_and_arrive_internal" },
    { 0x14C960CCB22880FF, "reach_death_notify" },
    { 0x2CD2F7950689A856, "reach_door_check" },
    { 0x6474069787279B1B, "reach_end_monitor" },
    { 0x2C5AEA9B4348BC9F, "reach_goal_pos" },
    { 0xE01F2F893C9FBA1D, "reach_path_end_monitor" },
    { 0xD070BF585A52773B, "reach_to_idle" },
    { 0x6D7ED387D36E67E4, "reach_to_idle_farah" },
    { 0x3DE3D14FFD1D12ED, "reach_to_interact_begin" },
    { 0x2C43964AEF839ABD, "reach_to_interact_end" },
    { 0xF60AB8E69E70DB26, "reach_with_arrivals_begin" },
    { 0x214A2E0C990CABD5, "reach_with_planting" },
    { 0x5E808EFB3C0EB2CA, "reach_with_planting_and_arrivals" },
    { 0x3A39ABC88A54DF06, "reach_with_standard_adjustments_begin" },
    { 0x5E2A34C18CD84D22, "reach_with_standard_adjustments_end" },
    { 0x9AD5A27CFD00E9C8, "reached_end_node" },
    { 0xB8D3410F63AEAC31, "reached_goal" },
    { 0x33269DCE385C0E22, "reached_halfway" },
    { 0x8B28B1A1BA1AFEED, "reached_infil_node" },
    { 0x030C7B520A9954A6, "reached_main_road" },
    { 0xBA44B96A9D3B386F, "reached_node_but_could_not_claim_it" },
    { 0x3FB0100AF125E780, "reached_wait_node" },
    { 0x7C6BE025A7A8F84F, "reached_wait_speed" },
    { 0x64E57F229D38AA44, "reachedinvestigate" },
    { 0x91F12E6C7412DB60, "reachers" },
    { 0xA7D810B8A64FDD94, "reachhistorydestination" },
    { 0x8114D89495B4380E, "reachidle" },
    { 0x4F4378AE79BB7136, "reacquire_attemptcharge" },
    { 0x2D87B644C09BD3F9, "reacquire_charge" },
    { 0xD23996B45878D625, "reacquire_charge_terminate" },
    { 0x0D8E7CEB3D091B80, "reacquire_checkadvanceonenemyconditions" },
    { 0x61843CA02FAC38FA, "reacquire_clear" },
    { 0xDE9250473737CF7B, "reacquire_init" },
    { 0x66185DB41EF38207, "reacquire_step" },
    { 0x653A2E95A954F8FC, "reacquire_terminate" },
    { 0x51689D477D3C685D, "reacquireclear" },
    { 0x6AF9B764970DF63D, "reacquiredtime" },
    { 0x4450D8CF6CE50B1D, "reacquiremove" },
    { 0x0DE488695B5E30D2, "reacquirestep" },
    { 0x3B2776ECF797F753, "reacquiresteptime" },
    { 0xC2ACF6F6D3BD3148, "react_1f_vo" },
    { 0x5F21B9B0F5CCAF82, "react_announce" },
    { 0x0CE55E061223DC2B, "react_announce_specific" },
    { 0xE1D60851C5073FA5, "react_enter" },
    { 0x15812C1C7AA04CBB, "react_to_flare" },
    { 0x01954579666791F4, "reactendtime" },
    { 0x55C80CE73515629C, "reaction_blend_end" },
    { 0x95E4385B75BADB06, "reaction_group_look_distance_based" },
    { 0x5F89581D33D1C46A, "reaction_look_distance_based" },
    { 0x70352AAC4788800C, "reaction_state" },
    { 0xF1A8C687F478C88F, "reaction_state_basename" },
    { 0xDE7128F3BF73A177, "reaction_state_busy_loop" },
    { 0x23CF4D9F58BDA1DE, "reaction_stop_anims" },
    { 0x1D167F7FE4A89CF0, "reactioncasualty" },
    { 0xD32250811C51623D, "reactionfriendlyfire" },
    { 0x50C266F173D2BE7A, "reactionindex" },
    { 0x9D3FB99A3AB11F6A, "reactiontakingfire" },
    { 0x4EABEDBBD77025CA, "reactiontaunt" },
    { 0xD1A5691A9A69C2FE, "reactiontrigger" },
    { 0xC8A7897839B1F486, "reactive_foliage" },
    { 0xBD808921A493B8D7, "reactive_foliage_high" },
    { 0x022C180037B15A9B, "reactive_foliage_low" },
    { 0xF4C2CE002E433AF3, "reactive_foliage_med" },
    { 0xDDD40F4C1E2D3760, "reactive_fx_ents" },
    { 0x1ECAD03C585DCF22, "reactive_fx_thread" },
    { 0xAD7102CB761F19BD, "reactive_sound_ents" },
    { 0x2B59B60867D0A563, "reactive_thread" },
    { 0x35A9E61DC481BAC2, "reactivefoliagestate" },
    { 0x2CA2EE9A1DBEAF1A, "reacts_to_rush" },
    { 0xD5BF119CC96A0299, "reactto" },
    { 0x8FB335161C841CF1, "reacttobulletchance" },
    { 0xD016BECB0584535A, "reacttodynolightsinhunt" },
    { 0x6CA3680D74DC50B7, "reacttolightifpossible" },
    { 0x5499746EAC117AE1, "read_actions" },
    { 0xBED26D2802638BA8, "read_munition_table" },
    { 0x65952BFA05F67FB7, "read_properties" },
    { 0x53DA9DBFCC9E7D55, "readcraftingmaterialstable" },
    { 0x4CAD9B2DB766A0EA, "reader" },
    { 0x3F5F868A7DD98B6F, "reading" },
    { 0xBA5B0E8FA204D72E, "reading_pl_stairs_guy_logic" },
    { 0x9F6225365A97E2EA, "reading_place_friendlies_enter" },
    { 0x30D61970B798F1A0, "readnodeevents" },
    { 0x28EE0D26F0AEEC2B, "readonly" },
    { 0x3430317C1961CB5E, "readplayerstat" },
    { 0xB6FC0A0596B79350, "readsupertablecell" },
    { 0x876ECE0D347D1907, "readweaponinfofromtable" },
    { 0xCABEF914FF6A7AB8, "ready" },
    { 0xD9937883918CE007, "ready_to_breach_dialogue" },
    { 0xAAE0E986A9FDCB2F, "ready_to_breach_poi" },
    { 0x0BF810F9AB5B484A, "readytoextract" },
    { 0xA44F5ED92F7FBBA4, "readytoleave" },
    { 0x57BA364FFB6FDCA1, "real_ai_distance_check" },
    { 0x5C9D62EB82CF2030, "realspawners" },
    { 0x007F17C3BA32279A, "realtext" },
    { 0x6EBBC72E8BFB163E, "reaper" },
    { 0x2E4C931122C3A477, "reaper_camera_reset_think" },
    { 0x6AB58976663A6CAD, "reaper_camera_zoom_think" },
    { 0x574BA276CE1D3D3B, "reaper_fire_missile_think" },
    { 0x19925655D42035FC, "reaper_get_target_in_circle_omnvar_value" },
    { 0xA32218BD7FC491F3, "reaper_missile_reload_end_time" },
    { 0xF701AF5D4E4C7BB2, "reaper_missile_target_ent_objective_clean_up_think" },
    { 0xD08287A8ED7E2C23, "reaper_radar_control" },
    { 0x5E103DC82F49E049, "reaper_waitformissilereloadfinish" },
    { 0x84B81AE4ACF8C9DD, "reaper_waitforweaponreloadtime" },
    { 0x692381CA9E8DFC62, "reaper_waitingformissilereload" },
    { 0xE5935E14FE6D4092, "reapply_visionset_after_host_migration" },
    { 0xA1A91C00783D51B7, "reapplyarchetype" },
    { 0x9E4540C99B9EED6F, "rear_door_collision" },
    { 0x1F3C67A4068D1FF0, "rear_door_collision_brush" },
    { 0x4FE4268456268DD0, "rear_mantle_handler" },
    { 0x152A87C2E4ECF2C3, "rear_minigun" },
    { 0xA6DCEC837685CB0E, "rear_minigun_angles_offset" },
    { 0xD879DB58183AACFB, "rear_minigun_attack_max_cooldown" },
    { 0x2A511002D105FE11, "rear_minigun_attack_min_cooldown" },
    { 0xE1FBF29EEE147581, "rear_minigun_model" },
    { 0x4B741593EA6107C0, "rear_minigun_origin_offset" },
    { 0x1F8F56927F2A5FCE, "rear_minigun_shots_per_round" },
    { 0x9246A5B198D4565F, "rear_minigun_speed" },
    { 0xFF0CA96909D4097C, "rear_minigun_tag" },
    { 0xF76BDD4C4C9DC9E1, "rear_minigun_track_target_delay" },
    { 0x80F60776222065E7, "rear_minigun_turret_info" },
    { 0x7AC14A0FD89D01E5, "rear_minigun_wait_between_shot_rounds" },
    { 0x6FF866427C449C40, "rear_minigun_wait_between_shots" },
    { 0xCE098E9ED012B074, "rear_minigun_warning_time" },
    { 0xBE377E182E435F51, "rear_spawn_type_adjuster" },
    { 0xBCEF14619B50BE64, "rear_spotlight" },
    { 0xA43CDFD906BB9951, "rear_spotlight_angles_offset" },
    { 0x5D9945AC0C732D0D, "rear_spotlight_max_dist_sq_from_node" },
    { 0x3DE0AAE367AD8C57, "rear_spotlight_min_dist_sq_from_node" },
    { 0x9802F5FB21EC9576, "rear_spotlight_model" },
    { 0xD09759E45318D8BF, "rear_spotlight_origin_offset" },
    { 0xFDE22D8739F9C291, "rear_spotlight_reach_goal_node_dist_sq" },
    { 0xA84AF7B0B6FDF19C, "rear_spotlight_speed" },
    { 0x504E27CBCD304017, "rear_spotlight_tag" },
    { 0xF403826F8A602F4D, "rear_spotlight_target_found_dist_sq" },
    { 0xF27386F624FF9DA7, "rear_spotlight_target_found_speed" },
    { 0xD691B0440E027D58, "rear_spotlight_turret_info" },
    { 0xE98E6A77A6980D07, "reargrip" },
    { 0x65EFEB759BEE4318, "reargripvarindex" },
    { 0x31CA7231B3F0E77C, "rearguardattackers" },
    { 0x7BA6C5BF9C8C54FD, "rearinteract" },
    { 0xF46FB9A040856751, "rearturret" },
    { 0xA30E0AF913CE4117, "reason_stealth_broken" },
    { 0xA8C482102F62484A, "reasons" },
    { 0x660D48C596B03184, "reassign_bodyguard_vehicle_id" },
    { 0xB1897335447A0208, "reassign_weapon_name" },
    { 0x31DB1B3F319263EC, "reassure_hadir" },
    { 0x5E876ACCD62480E8, "rebar_hits" },
    { 0x10FAFC6C35085105, "rebar_weapon_interact" },
    { 0x2B3E468102912CB7, "rebel_1" },
    { 0x5E119E89ABBAC471, "rebel_1_drs_setup" },
    { 0x2B3E478102912EEA, "rebel_2" },
    { 0x42ADFBEFAE8B3697, "rebel_2_catchup" },
    { 0x4CD9C1E128B03AF4, "rebel_2_drs_setup" },
    { 0x2B3E48810291311D, "rebel_3" },
    { 0x2B3E4181029121B8, "rebel_4" },
    { 0x2B3E4281029123EB, "rebel_5" },
    { 0x18EE6147E6281200, "rebel_flood_spawn_wait" },
    { 0x9A1197DBF72FBE4F, "rebel_flood_spawner" },
    { 0x9D3E60D34994C4CE, "rebel_plant_bomb" },
    { 0x0AB1DA68CB6A9A3A, "rebel_plant_bomb_wait" },
    { 0x89FF4456CC0F890B, "rebirthloadout" },
    { 0xBC57753D54380C92, "reboarding_points" },
    { 0x44F3B1007E5A0A3F, "reboost_nav_obstacle" },
    { 0x75A88DF4C146FFA4, "rebuild" },
    { 0xC17E117CB28F7963, "rebuild_heroes_array" },
    { 0x101B312BB1F0458C, "receiver" },
    { 0x821A94D66D783A63, "receivervarindex" },
    { 0x8E5A8443C193240A, "receivevolumedecals" },
    { 0x4B23E4DD6A0A25CD, "receivingampeddamage" },
    { 0x9B106E03C5932A3C, "recent_attacker" },
    { 0x4FC0444C7EF00A91, "recent_player_attackers" },
    { 0xF56DF8BBBC0876EC, "recent_position" },
    { 0x60FCA3514CCC921D, "recent_position_monitor" },
    { 0xA90B7786E9ABBF4A, "recent_spawn_threshold" },
    { 0x600F16024D844CF4, "recentassaultcount" },
    { 0xB1629F2AA4A05D46, "recentattackers" },
    { 0xF84554325F1D9FBE, "recentc4vehiclekillcount" },
    { 0x78666DD8102EA9A3, "recentdamageamount" },
    { 0x90D3E14F562561DC, "recentdamages" },
    { 0x4BD9B67DE317AAF5, "recentdefendcount" },
    { 0xAF97908C6AD192DA, "recentghostridekillcount" },
    { 0xA335AA19AEEC0EAF, "recentindices" },
    { 0x697CB0424B24087D, "recentkillcount" },
    { 0x1CD83FEFA8459F46, "recentkillsperweapon" },
    { 0xFED9C5F814272702, "recently_in_combat" },
    { 0xF6AD646D735500BC, "recently_loaded_thread" },
    { 0x2570CC56E2FDFA3F, "recently_spawned_vehicle" },
    { 0x2182B1BBEA9371EA, "recentlysawenemy" },
    { 0xBF3DC054A37955F7, "recentshieldxp" },
    { 0x0072C78B128FA878, "recentsplashcount" },
    { 0xD68F1910C1A22AD9, "recenttagcount" },
    { 0xFB281FCAEE4399D3, "recentunresolvedcollision" },
    { 0x4643907259F6EFAE, "rechamber" },
    { 0xD66131DD8BD7D3A2, "recharge_equipment_init" },
    { 0xA8690CB815DFBC83, "recharge_equipment_think_init" },
    { 0xDFD58BD2A33AAD7E, "recharge_equipment_update_slot" },
    { 0x88CE2373794A87AF, "recharge_equipment_update_state" },
    { 0xE1518B91B4F3579C, "recharge_equipment_update_ui" },
    { 0x260EA62743345681, "recharge_lethals_over_time" },
    { 0x01549E93908E218E, "recharge_power" },
    { 0x4679CF135BE0EA8C, "recharge_super" },
    { 0xB783129567A7E56C, "recharged" },
    { 0x2FD68B116A25D39B, "rechargeequipment_clearplayer" },
    { 0x93125A9C9D567CA8, "rechargeequipment_updateslot" },
    { 0x627D8E3165331789, "rechargeequipment_updatestate" },
    { 0x972BB516E954B88E, "rechargeequipment_updateui" },
    { 0xCD77515F59CB4B7D, "rechargeequipmentstate" },
    { 0x9381A77D04BB827B, "rechargeequipmentthink_init" },
    { 0x4AB79E33F2417069, "rechargenvg" },
    { 0x0BCCD647A8B0A8FC, "recievedcarepackagekillstreaks" },
    { 0xAB534806261D12CA, "recipe_getkillstreak" },
    { 0x17214766A5C4EB99, "reclaimed" },
    { 0xAA38DF1E8904CFBD, "reclaimedreservedobjectives" },
    { 0x31CA580DEF4FCA43, "recoilscale" },
    { 0x842C9F5F84CE8E43, "recon1" },
    { 0x842CA05F84CE9076, "recon2" },
    { 0x842CA15F84CE92A9, "recon3" },
    { 0x842CA25F84CE94DC, "recon4" },
    { 0xC17F83937FCA2364, "recon_team" },
    { 0xD8ECC600F7CCECB5, "recon_update_hint_logic" },
    { 0x44031548D6FB45D4, "recondrone_addtolists" },
    { 0x0EE360AF4EB19562, "recondrone_allowcontrols" },
    { 0x99567CEA5385B6A3, "recondrone_beginsuper" },
    { 0xA4A95B40F57C0B91, "recondrone_cleanupreserved" },
    { 0x3484DE5E1C5BDB03, "recondrone_disablecontrols" },
    { 0x7D6DADBF92CF6FF7, "recondrone_endsuper" },
    { 0xF410DA989279DFF5, "recondrone_equipment_wrapper" },
    { 0x6E3223C470257661, "recondrone_givedeployweapon" },
    { 0x1B3909CF7FCF3A94, "recondrone_removefromlists" },
    { 0x67FD10D4C76DEE45, "recondrone_removefromlistsondeath" },
    { 0x20F85E7675FDDEC7, "recondrone_takedeployweapon" },
    { 0xFABEF33598BFBD73, "recondrone_unsetsuper" },
    { 0x4C320A3113ACD572, "recondrone_watchcleanupreserved" },
    { 0xC43D7D9E778BA255, "recondrone_watchsuper" },
    { 0x0DF92C3FD385184C, "recondrone_watchsuperendfromdeath" },
    { 0xE5F87991FD560206, "recondrone_watchsuperendfromswitch" },
    { 0x2DC4C643214ED530, "recondrone_watchsuperinternal" },
    { 0x2F0A7832F07372EE, "recondronebeginuse" },
    { 0x38A1C6F9C1B73E86, "recondroneenduse" },
    { 0xD60A775789A1FE20, "recondronefrozecontrols" },
    { 0x148B4427FA66005B, "recondronemarkedcb" },
    { 0xF9AA8F13D0313B28, "recondronerefund" },
    { 0xFF198F8D0FEB4A8E, "recondronereserved" },
    { 0x66C6C93514B293BA, "recondronesafespawn" },
    { 0xD2520474CB3F5161, "recondronesuper" },
    { 0xC9B0DEDAFC3F4A96, "recondronesupers" },
    { 0x00BFF70F3B9139DE, "recondroneteammate" },
    { 0xD8D2EA5497ADE261, "recondronetracecontents" },
    { 0x60267CA7A34FCAC4, "recondronetraceoffset" },
    { 0xCC0E88835F1006E7, "recondroneunset" },
    { 0x523323AED3C76108, "reconevent" },
    { 0xC589E3C7EF07F9F8, "reconmarked" },
    { 0x916331107E9911E8, "reconspatialevent" },
    { 0xA7A6E190B8B799A9, "reconstruct_actor_array" },
    { 0x2EE06F1EB66EA494, "reconvehiclereserved" },
    { 0x84A7F25F85565950, "record" },
    { 0x1A9D40AE00CDC505, "record_bleedout" },
    { 0x5B79A261B3AB295F, "record_bread_crumbs_for_ambush" },
    { 0x5180DFE8D38733A8, "record_enemy_sightings" },
    { 0x5942668CE210A25D, "record_finished_area" },
    { 0x51E8F21F390EC1DE, "record_player_kills" },
    { 0xCC0866D924780189, "record_player_shoottime" },
    { 0x4234D69EE6E699D0, "record_revive_success" },
    { 0xD2527523FBB72480, "record_seat" },
    { 0x920B5AE7D9B4D24A, "record_sighting" },
    { 0x64BC0596626E70DC, "record_suicide_bomber_death_or_deleted" },
    { 0x9AD19235FEA2E3B1, "record_teleport_data_and_teleport" },
    { 0x0A00CB331721DBC1, "recordbreadcrumbdata" },
    { 0x2D8C5D5E891CEEB9, "recordbreadcrumbdataforplayer" },
    { 0x69932BEE753050CB, "recordedgameendstats" },
    { 0x85662C6AA7E66137, "recordedusers" },
    { 0x5B364D701AEB11D7, "recordfinalkillcam" },
    { 0x76573D14CAB84A30, "recordingenabledcount" },
    { 0x9E00F7C7860FADC5, "recordingstarttime" },
    { 0x4E26EE911AFCF349, "recordinterval" },
    { 0x72F934B5D72BC9A2, "recordkillstreakendstats" },
    { 0xAA52479964B9E68A, "recordmolotov" },
    { 0x0A430449733C8346, "recordplayerlogs" },
    { 0x0AF06A0F21CB42A6, "recordplayersegmentdata" },
    { 0x0655CC1AA95A42D7, "recordrecentlyplayeddata" },
    { 0x3C202872E3F59324, "recordsuperearnedanalytics" },
    { 0x6ECD7540C41DBF29, "recordthrowingknifetraveldist" },
    { 0x15C6299FD8CE032A, "recordvalidationinfraction" },
    { 0x9A05537A5B561318, "recordxpgains" },
    { 0x5B4FB8C2B52BB0CC, "recover_bb" },
    { 0x3D56331A66906BFC, "recover_from_careful_disable" },
    { 0x1710E931E5D917F9, "recover_interval" },
    { 0xA02123FDD0AF741A, "recruit_amount" },
    { 0xE8C36801C03B03ED, "recruit_distance" },
    { 0x73D86AF9D8ECC505, "recruit_enable" },
    { 0x7B8D9FA40E9F61E6, "recruit_juggs" },
    { 0x4B98FE7D452E7E40, "recruit_time_between" },
    { 0x78671D373A8F4738, "recruit_time_until" },
    { 0xB46476B4D8E226AE, "recurse" },
    { 0x8A43A73834FE4272, "recurse_internal" },
    { 0x66E2105022301F46, "recursive_delete_targets" },
    { 0xACED2047737C58AB, "recyclespotted" },
    { 0xB0D97CABB611C5D9, "red_barrel" },
    { 0x86912DF4D97AB180, "red_barrel_death" },
    { 0x5114C512ACDBD063, "red_barrel_hit" },
    { 0x2C36BC2FBEBE3ED8, "red_barrel_init" },
    { 0x358B99FD41E79EDE, "red_damage_custom" },
    { 0x3387247989FC034C, "red_marine_cleanup" },
    { 0x88CD2929E5F8363E, "red_marine_lookat_target" },
    { 0x3C1E574F1BD0DA32, "red_wire_lower" },
    { 0x23C46B59377D241F, "red_wire_upper" },
    { 0x93E7D7FAECFFCD5F, "redbutton_init" },
    { 0x466AE4E7F9BCC591, "redbuttonused" },
    { 0xE6489AECCDE4C4FB, "redefine_interaction_radius" },
    { 0x3679D9840CCAC48C, "redeployenabled" },
    { 0x59CA40D2D7EB7A32, "redeployspawn" },
    { 0x6346D0B0DADDDCF3, "redeployspawns" },
    { 0xB79E7F017E30B084, "redlight" },
    { 0x7192A19764BFE669, "redployanywhere" },
    { 0x12EB0FF84BF83489, "redshirt_die" },
    { 0x859A8EF06105EA9D, "redshirt_drop_off_behavior" },
    { 0x12C85DFB714AFF99, "redshirt_dropoff" },
    { 0x5AF0F6AC58C5492D, "redshirt_heli" },
    { 0x02C6BCD720302259, "redshirt_refill" },
    { 0x90A1876123E7EE87, "redshirtgoalamount" },
    { 0x6A6B20017FEA8693, "reduce_accuracy_while_stunned" },
    { 0x8338273393BEB642, "reduce_bullet_spread" },
    { 0x713B3D3B90AF2BE1, "reduce_command_count_after_duration" },
    { 0x4ACB42F94C8023A1, "reduce_friendlyfire_penalties" },
    { 0xDF6DF48BB693DD30, "reduce_goalradius_over_time" },
    { 0x3FCC9FD5508D204E, "reduce_money_earned" },
    { 0x103BE7AFB79CF562, "reduce_recoil" },
    { 0xB7C66894915F4191, "reduce_timer_on_breaking_stealth" },
    { 0x5133F156318519D3, "reduce_wallet_size" },
    { 0xF986BA71D7AEC4F4, "reduce_wallet_size_and_money_earned" },
    { 0x1F6FA0661AEDC6BE, "reducegiptponkillanimscript" },
    { 0x2C0E7800A5A665AD, "reducehealthregendelay" },
    { 0x08EBFD8BAC4B1274, "reduceshotcountbydistance" },
    { 0x0A547873DA003276, "reducesuperusepercent" },
    { 0x8FA29B023701A44D, "reducetacopstimelimitms" },
    { 0xAFEF9BED13BD8E4A, "reducetakecoverwarnings" },
    { 0x47153953CD106995, "reducewind" },
    { 0x3C2F1539867829F6, "reenable_ai_for_player" },
    { 0xB7EEEDE7F1C04752, "reenable_ai_on_player_fire_or_kill" },
    { 0x24DFB2A2C93A06AB, "reenable_barrel_interaction" },
    { 0xD9F813D0D642FAED, "reenable_dynents" },
    { 0x1BD8E99FF388090E, "reenable_zombie_emmisive" },
    { 0xDA84DA6FFE8C9C85, "reentercallback" },
    { 0x3456817212FD73F4, "reevaluatehvts" },
    { 0xEF6D633F680A9C9C, "reevaluatemultinode" },
    { 0xCBA420031462F836, "ref" },
    { 0xC25324F50AE4AB4C, "ref_angle_doors" },
    { 0x34691899B43D5DA2, "ref_anim" },
    { 0xC5EEC21F946ED93B, "ref_col" },
    { 0x32EE732545ACBD50, "ref_name" },
    { 0x8C7C7FFA03AE614D, "referencename" },
    { 0x028BF5EAB931436D, "refill" },
    { 0xF6FE2746A87B3D5D, "refill_grenades" },
    { 0x55E3B1F1B74ADD1F, "refill_if_empty" },
    { 0x5BA7A8274A01989F, "refill_used" },
    { 0x7D43755F39C225E7, "refillammo" },
    { 0xB59DD3904E564E03, "refillclip" },
    { 0xB55B06DF356FA39F, "refillequipment" },
    { 0x350AEFB220DFD376, "refillsinglecountammo" },
    { 0x5E80791332D76701, "reflectbolt" },
    { 0x865A0B85F125B026, "reflection_clear_color" },
    { 0x2AD8362BB90ED49F, "reflectionprobe_hide_front" },
    { 0x0759C50D374F7C70, "reflectionprobe_hide_hp" },
    { 0xBEC19FBB5EC3C46A, "reflectionvolume" },
    { 0x4796A1116888CD88, "reflectionvolume2" },
    { 0x4796A2116888CFBB, "reflectionvolume3" },
    { 0xF9C33D67B5AE2725, "reflectprojectile" },
    { 0x937B699A0A0A3955, "refname" },
    { 0x6AF2EAC607093AE0, "refresh" },
    { 0x2EA886B4F5D63935, "refresh_ambush_vehicles_behind_player_vehicle_target" },
    { 0xB4E8CF3EE855ED63, "refresh_existing_bots" },
    { 0x0738D1CD18D9ECD3, "refresh_interaction" },
    { 0xEA491A226F12D270, "refresh_nearby_playerhints" },
    { 0xD7EB19B3554D8FAF, "refresh_open_struct" },
    { 0xCD493086B3880C91, "refresh_piccadilly_civs_array" },
    { 0xA7AB55A659B60A4C, "refresh_reactive_fx_ents" },
    { 0x4584306960118BDD, "refreshdynamicspawns" },
    { 0x921FB463A1F881A4, "refreshfreecamhardpointfx" },
    { 0x2726957D0D5AAB2B, "refreshplayerspawnareaomnvars" },
    { 0xB9AA1AFC927E7539, "refreshspottimer" },
    { 0x2C1FB27D8E761105, "refreshsprinttime" },
    { 0xA4D45D3DB7B3F4AC, "refreshsquadspawnareaomnvars" },
    { 0x1FDA93BC0375FA6E, "refreshsquadspawns" },
    { 0x1056CAC314D2337D, "refreshuimatchinprogressomnvarvalue" },
    { 0xE320270E7C36D4EC, "refundondeath" },
    { 0x7A870858CDC8044E, "refundsuper" },
    { 0x488B022F28AC2642, "regen_delay" },
    { 0x85155274303D2623, "regen_time_scalar" },
    { 0x04D3D7333471B2E2, "regenamount" },
    { 0x4CEF6FD22449EF8B, "regendelayreduce_delayedregen" },
    { 0xF014407D16CEB251, "regendelayreduce_onkill" },
    { 0x2F68ED2234948846, "regendelayreduction" },
    { 0x38E25705FEA59F5F, "regendelayreductiontime" },
    { 0x31462B65F92C5A4C, "regendelayspeed" },
    { 0x624699412B868AAA, "regendelayspeedfunc" },
    { 0xABA9F63C5CDB4172, "regenduration" },
    { 0x61CC23D766144FB3, "regenerate" },
    { 0x7437C7B7972BCCB2, "regenerate_health" },
    { 0x444E068A889BB265, "regeneratehealth" },
    { 0x8CF7F7D68F54D8D3, "regenfasterhealthmod" },
    { 0x7A997CFBE6033115, "regenhealthaddfunc" },
    { 0x4BD5E7FC10D196E9, "region" },
    { 0x0CF273B7D0D568CB, "region_links" },
    { 0x0B8B73C45892496C, "register_achievement" },
    { 0x7691779B95982BD6, "register_ai_damage_callbacks" },
    { 0xA97DDCB0FB8101BD, "register_ai_drop_funcs" },
    { 0x7CE42FA8608BE531, "register_ai_spawners" },
    { 0xAC1D6B8C25B63B80, "register_aievent_func_for_group" },
    { 0xC00CA3475EF74619, "register_aitype_setup" },
    { 0xA1B5DE4B6C8EC7F1, "register_apprehension_objective" },
    { 0xE008DBDF532CF970, "register_archetype" },
    { 0xD7C0DA3C13EB6422, "register_attack_heli_objective" },
    { 0xE4FB586AE3099806, "register_bank_cut_modules" },
    { 0x5BBB787F89DDF950, "register_battle_station" },
    { 0x5F0FE6725BDC6D71, "register_boss_objectives" },
    { 0x65D767E7503821D4, "register_boss_spawners" },
    { 0xB753EEBB62190429, "register_buried_sources" },
    { 0xF4C46D98C6D245BC, "register_care_package_interaction" },
    { 0x972638A44E81B42E, "register_caves_objectives" },
    { 0x443628223BA4F95F, "register_caves_spawners" },
    { 0x221435835E0D24F0, "register_chopper_boss_combat_action" },
    { 0xFF9632E7D6E74C19, "register_chopper_boss_combat_actions" },
    { 0xC67E47EFF5532E0E, "register_combined_vehicles" },
    { 0x05C4D4D902CDFFCA, "register_combined_vehicles_threaded" },
    { 0x2D2485BF47D29006, "register_consumable" },
    { 0x0212B99C17BA2312, "register_convoy4_objectives" },
    { 0xEEF1A489B21F99AB, "register_convoyescort_objective" },
    { 0x12C406BAEFF48589, "register_create_script" },
    { 0x31CF7BFEB9D266D0, "register_create_script_arrays" },
    { 0xFBFAA83B494E8DCB, "register_cs_inits" },
    { 0xBCC84360AADD0338, "register_cs_offsets" },
    { 0x8893EC7C69065AA6, "register_deaths" },
    { 0xCB70E0CAA58BBF3B, "register_default_achievements" },
    { 0x34D72A63B5306352, "register_default_end_game_string_index" },
    { 0xA011016E699E376B, "register_disabled_seats_for_vehicle" },
    { 0xA664447BF841180F, "register_drop_func" },
    { 0x7911ED37B23C2CFF, "register_encounter_score_component" },
    { 0x810E7C5C8917D280, "register_end_game_string_index" },
    { 0x753C4CBB15591BBB, "register_eog_score_component" },
    { 0x08FD49990E1EF852, "register_eog_to_lb_playerdata_mapping" },
    { 0xEBCD9FB363FBCE33, "register_event" },
    { 0x3E51E692089467EC, "register_extraction_interactions" },
    { 0x4E23F7B027938A7F, "register_farah_deaths" },
    { 0x82395D83377C627E, "register_fuel_stability_event" },
    { 0xF1E5C019BE817F48, "register_grenade_settings_for_module" },
    { 0xAA3928140CAFB6CA, "register_hack_spot_interaction" },
    { 0x931DD1D4322C7665, "register_helidown_objective" },
    { 0x645FED8F2725FD9C, "register_house_boss_vo_sources" },
    { 0x826F1BF9EBBE2691, "register_house_enter_vo_sources" },
    { 0xD10B711D01BCA738, "register_idle_scene" },
    { 0x874223468F57C42C, "register_iedrace_objective" },
    { 0x4AF069661A755ABB, "register_infil_spots" },
    { 0xC230D7CF0F84955C, "register_initial_bank_modules" },
    { 0x0FED34CCF20DC587, "register_interaction" },
    { 0x147112B8544A579C, "register_interactions" },
    { 0x4E4086ADE5535F1E, "register_invalid_seats_for_module_by_seat" },
    { 0x9AFA2215BD996C48, "register_jugg_maze_interactions" },
    { 0x696E061E9044C671, "register_jugg_maze_objectives" },
    { 0x922D11D60775F2ED, "register_kill" },
    { 0xE4E34CF8A9AE75A7, "register_ladder_interactions" },
    { 0xC5AFA756818BE802, "register_lb_escape_rank" },
    { 0xF703D21950F1DC17, "register_maze_ai_spawners" },
    { 0x197B00E700BBB893, "register_ml_p1_objectives" },
    { 0x83AEA27BCFE436DD, "register_ml_p3_objectives" },
    { 0xAE3364170587B980, "register_module_ai_death_func" },
    { 0xDCEBFDDD9D70ED67, "register_module_ai_spawn_func" },
    { 0x0202B741FA4A22E4, "register_module_as_passive" },
    { 0xB8ED2AE576CE97E1, "register_module_died_poorly_func" },
    { 0x7C9F9D85CFD07567, "register_module_for_spawn_owner_disables" },
    { 0x4570F23D86EC75CF, "register_module_init_func" },
    { 0x8E2D01EEF8A3346C, "register_module_pause_unpause_funcs" },
    { 0x513DA356C93B6811, "register_module_run_func_after_notify" },
    { 0x0BA46273F55384A5, "register_module_weapons_free_func" },
    { 0x80F962BB2AF0650E, "register_munitions_interaction" },
    { 0x8FA0A893A67AD264, "register_nerf_activated" },
    { 0x2E0D410B00D45D1E, "register_new_weapon" },
    { 0xEDA38349077E11EC, "register_objective" },
    { 0x1CAB589B7A40C0AD, "register_objectives" },
    { 0xB1473176D34674A8, "register_objectives_for_convoy" },
    { 0x733A4A611D6802F2, "register_outer_room_spawners" },
    { 0x8CB661E50BC67D0A, "register_overwatch_objective" },
    { 0xAF990E6D93E03518, "register_physics_collision_func" },
    { 0x4FAEB742B0BDD7B2, "register_physics_collisions" },
    { 0x52B3078390C1E7EB, "register_plane_hijack_objectives" },
    { 0xB8848786A00AD6F4, "register_player_character" },
    { 0x98A499EBE14D84F9, "register_player_death" },
    { 0xFF830BC07D7A7B7E, "register_player_deaths" },
    { 0xB757E8C70FB09C06, "register_prison_breakout" },
    { 0xC9817BA800FD43A8, "register_quest_step" },
    { 0xE8E248326283B868, "register_relic" },
    { 0xAD5CE1CEA7ADE361, "register_relics" },
    { 0xC4BCBDB1EA5337AD, "register_respawn_functions" },
    { 0x37F59C3D4D32F1D0, "register_scoring_mode" },
    { 0x9B08AD6CCDD7454D, "register_script_model_animation" },
    { 0xC6C43CE482421B69, "register_seat_data" },
    { 0xC04452078FF26E66, "register_seat_data_for_vehicle" },
    { 0xAB7FE8C9B9583F7F, "register_sequence_3_objectives" },
    { 0x4B4C0E492F42FF80, "register_sequence_4_objectives" },
    { 0x72DEDD1FE20932E3, "register_shot_hit" },
    { 0x523560B0678D8331, "register_smugglercache_objective" },
    { 0x28D64C723029FE12, "register_spawn_functions" },
    { 0x5E5EC6C95A944D21, "register_spawn_groups" },
    { 0xA6FA90F395849D4E, "register_spawn_modules" },
    { 0xF11B20770C5AE47D, "register_spawner_functions" },
    { 0x2A88424AB630EF58, "register_spawner_script_function" },
    { 0x0D7A147D3C6D6ED0, "register_spawners" },
    { 0xADB7A5FEDD9C6EDD, "register_state_interaction" },
    { 0x28DE90A5E9E31D91, "register_stealth_state_func" },
    { 0xC495FEE15E7AB806, "register_stealth_state_funcs" },
    { 0xD855760A0416638C, "register_subway_track" },
    { 0x2D4CF7F096768597, "register_techo_seat_data" },
    { 0x21116CD5F1AB25E5, "register_trap_room_objectives" },
    { 0x6F397E2B01A031D6, "register_trigger_func" },
    { 0x4547C78E4BEF1D20, "register_triggered_infinite_module" },
    { 0x24E5233F981C2768, "register_triggered_looping_module" },
    { 0xF111D9738351869F, "register_triggered_module" },
    { 0x0FFE5B0F698CCA07, "register_triggered_module_maze_jugg" },
    { 0x0AD5B9E95C4355BF, "register_triggered_timeout_module" },
    { 0xBC1583D26AF04016, "register_unloaded_func" },
    { 0xFAE3607DA60E0905, "register_unloading_func" },
    { 0xC2862A6870D4F080, "register_valid_gametypes_for_create_script" },
    { 0x7115736F068CDADF, "register_valid_objectives_for_create_script" },
    { 0xBFE181B26A20F134, "register_vault_assault_objectives" },
    { 0x7814AA4499755D17, "register_vehicle_as_ambient" },
    { 0xD964FB04B1E7248C, "register_vehicle_build" },
    { 0x4D66DFA862DA67B1, "register_vehicle_interaction_info" },
    { 0x8C912B50D3955339, "register_vehicle_max_ai" },
    { 0xEB4C93F94601BA63, "register_vehicle_spawn" },
    { 0xFFDA8A0F876E85DB, "register_vehicle_spawn_drivers" },
    { 0x949D833A50B2DF5C, "register_vehicle_spawn_override" },
    { 0xE7AB03246977C0A9, "register_vehicle_spawners" },
    { 0x1935EE883781AD9B, "register_vfx" },
    { 0x9B9E288B61DC3AB6, "register_vo" },
    { 0xCBBF9DF488971B4E, "register_vo_source" },
    { 0xDA95D8B836EF5CFB, "register_vo_source_at_pos" },
    { 0xF636CF12AB8EAF8F, "register_vo_source_attached" },
    { 0x9D7F300FF1945CF7, "register_wave_spawner" },
    { 0x51E7E19795B251C3, "registeraccesscardlocs" },
    { 0x9F0DC3795DC244FA, "registeraccolade" },
    { 0x3A7B089729DAC816, "registeractionset" },
    { 0xF661EDE24BC6F457, "registerambientgroup" },
    { 0x51FA7D18182162BC, "registerammoloot" },
    { 0x20B2E2CCFDE0248B, "registerarchetype" },
    { 0x539FFF154C8D1F93, "registerarenamap" },
    { 0x83D05C6A7CD704B2, "registerarmsracevfx" },
    { 0x7FD4827D08307FCA, "registerbcsoundtype" },
    { 0x1494E53AFE4EE972, "registerbehaviortree" },
    { 0xC5F9689E8C4953FA, "registerbrgametypedata" },
    { 0xBD11566D9BECE37C, "registerbrgametypefunc" },
    { 0x434AD1FA4DC565A1, "registerbrsquadleaderjumpcommands" },
    { 0xE5BA7F7CFB6BD954, "registercarryobjectpickupcheck" },
    { 0x349E95EA3E38EABD, "registerchallenge" },
    { 0x0DE2714157DA3BE8, "registercheckiflocaleisavailable" },
    { 0x7871282C146157F3, "registerclearquestvars" },
    { 0x98F51388671C2E63, "registercodefactors" },
    { 0x53C1646836767BC1, "registercodeperkinfo" },
    { 0xE3ADDFA271269D6A, "registercontributingplayers" },
    { 0xF445BBE1EA5577C9, "registercontrolledcallback" },
    { 0x340233CCF88F277A, "registercrankedtimerdvar" },
    { 0xE3C2B96F246DBD02, "registercrateforcleanup" },
    { 0x9E6067C25176665C, "registercreatequestlocale" },
    { 0x50040F2504101E91, "registerdogtagsenableddvar" },
    { 0x54629A8BBD486A68, "registerdonetskmap" },
    { 0x298D39AD4E9B7002, "registerdonetsksubmap" },
    { 0x86ABAB3717425FCE, "registerdvars" },
    { 0xC956B2FD55FB6E6C, "registered_checkpoint_funcs" },
    { 0xA15D53FA8239BD21, "registered_checkpoints" },
    { 0xC0E1E0880FE8AD83, "registered_events" },
    { 0x4C24A2274980FC9E, "registered_interaction" },
    { 0x8B4D75A5F98DBABF, "registeredrallypointplayers" },
    { 0x5256A1E9223A4ACC, "registeredvehicles" },
    { 0x8C3D21D76A3AD9A8, "registerentforoob" },
    { 0x8279D03EDC04E908, "registerentityspawnviewer" },
    { 0x6A778058312A79FF, "registereventcallback" },
    { 0xBBB85412D7EC7397, "registerfactor" },
    { 0x0E4BC5CEAC762E62, "registerfalldamagedvars" },
    { 0xA73988FE9F2E8CB2, "registerfindsearcharea" },
    { 0xE85C8709712122F8, "registerfireteamleader" },
    { 0x4E244C349D04CA21, "registerhalftimedvar" },
    { 0x95A0FE4F8C849C93, "registerhandlecommand" },
    { 0x33262EEFDA2BD21B, "registerheadlessinfil" },
    { 0xCC5B63FD3F3D27C5, "registerhint" },
    { 0xAA249BF2137E5542, "registerhints" },
    { 0x5C1BDFBB4DE09C23, "registerhvtscriptmodels" },
    { 0xB1C1E9FBE22F6977, "registerinfillocationselectionhandler" },
    { 0x4520C6C8CBC81D61, "registeringshothit" },
    { 0xC4FBBE58B42A8EA0, "registerinitquesttype" },
    { 0xEFF2108A791BA06E, "registerinitquestvars" },
    { 0x6038B7275D425F16, "registerinteractable" },
    { 0xEA57556C9E5F417C, "registerinteraction" },
    { 0xBD51ECE04B7C13FD, "registerinteractions" },
    { 0x3B9DB06BB3E19367, "registerkidnapperspawnmod" },
    { 0x9B005641591032CC, "registerkill" },
    { 0x780436B8E6B9B1CE, "registerkillstreak" },
    { 0xB28D9EA348BC48FB, "registerlargemap" },
    { 0xCA9BF7DCD896C987, "registerlaststandhealthdvar" },
    { 0xDDC0D7F3D5A11A7C, "registerlaststandinvulntimerdvar" },
    { 0x02C0D3DA0AA97864, "registerlaststandrevivedecayscaledvar" },
    { 0x2B33ADF6C667AC62, "registerlaststandrevivehealthdvar" },
    { 0x91E8DA42783B7307, "registerlaststandrevivetimerdvar" },
    { 0x7D6955641A716C5C, "registerlaststandsuicidetimerdvar" },
    { 0xB94AB2A57E0532E0, "registerlaststandtimerdvar" },
    { 0x6806C5B1FF7F928A, "registerlaststandweapondelaydvar" },
    { 0xC54AD5FF9517DCED, "registerlaststandweapondvar" },
    { 0xBF3B0B225C6064C3, "registerleveldataforvehicle" },
    { 0xDDB81331BDBAA29B, "registerlocation" },
    { 0x56751E6441744438, "registerlocations" },
    { 0x1AE70FA5E69E4176, "registerloot" },
    { 0xACD544B089B19B1E, "registermeritcallback" },
    { 0x2FB2DB965E296FB5, "registermoralesinteraction" },
    { 0x051703A8D8904513, "registermoralesobjectives" },
    { 0x6D60F1C2AA27AA63, "registermovequestlocale" },
    { 0x254DCF10F571672C, "registernightmap" },
    { 0xBDD9159A5E310DA8, "registernonnvgnightmap" },
    { 0x625C9916CDB8DC74, "registernotetracks" },
    { 0xA0F266ACCFAA9984, "registernotetracksifnot" },
    { 0x1E37E0DDCA06F68A, "registernumlivesdvar" },
    { 0x683C7139B759C877, "registernumrevivesdvar" },
    { 0xA9A34B37B7805537, "registernumteamsdvar" },
    { 0x20ACE882A233162F, "registerobjective" },
    { 0x0F59B34AB65A2C54, "registerobjectives" },
    { 0xB77C33ABBF35B706, "registeroffhandfirefunc" },
    { 0xA418E5133EF97176, "registeroffhandloot" },
    { 0x6A3FBE3FC03F950A, "registerondisconnecteventcallback" },
    { 0xBD7F181F5BFA3E4F, "registeronentergulag" },
    { 0x6F97EA7A8B626F5C, "registeronluieventcallback" },
    { 0xF8638A5ED818D61A, "registeronplayerdisconnect" },
    { 0x4FF483044B3A6005, "registeronplayerjoinsquadcallback" },
    { 0xF87B13E374F4C93A, "registeronplayerjointeamcallback" },
    { 0x803CB0A0BD559548, "registeronplayerjointeamnospectatorcallback" },
    { 0xFE61E83F5E829EE1, "registeronplayerkilled" },
    { 0x5BB24E8C3B648CD8, "registeronplayerspawncallback" },
    { 0x0B8A4518914D137F, "registeronrespawn" },
    { 0xAD508A8AF04B7C03, "registerontimerexpired" },
    { 0x8F808BA2A179B15B, "registerontimerupdate" },
    { 0x27ADC201FBD0DC6E, "registeroobclearcallback" },
    { 0xFD3A6BED31539D89, "registeroobentercallback" },
    { 0x00F6BD7EAF25161B, "registeroobexitcallback" },
    { 0xA749F2FB48C7292F, "registerooboutoftimecallback" },
    { 0xF63DF3189D0ABE20, "registerparty" },
    { 0x100197B6D58D44FD, "registerpayloadobjective" },
    { 0x16CD2D6E8C3E92AA, "registerpayloadvfx" },
    { 0x41A9238AD25A502F, "registerpentparams" },
    { 0xA6CE6842463150A8, "registerperk" },
    { 0x24964CB5417436AB, "registerpickupcreatedcallback" },
    { 0x4B4F09660B346D24, "registerplayercharacter" },
    { 0x3D422DAA229312B3, "registerplayercharfunc" },
    { 0x91286D63D5683483, "registerplayerfilter" },
    { 0x4FA15E0BCAF5D024, "registerplayerframeupdatecallback" },
    { 0x567A963ABED800D6, "registerplayerstatratio" },
    { 0x01A2EFE7EFFF534F, "registerplayerwithrallypoint" },
    { 0x37F5029C076214F3, "registerpotgentity" },
    { 0x72ECB4822198BAAC, "registerpreviousprop" },
    { 0x655FD6997F2DA717, "registerpublicevent" },
    { 0x9AE9D4568E0B5BC9, "registerpuzzleinteractions" },
    { 0x388E9094CAA9FFBC, "registerquarryobjectives" },
    { 0x897FF0EFA39D4136, "registerquestcategory" },
    { 0x879D9D725B37B6C0, "registerquestcategorytablevalues" },
    { 0xC1A4A071A0850F53, "registerquestcircletick" },
    { 0x7D38758A3AB47980, "registerquestlocale" },
    { 0x07A1A77245D319D2, "registerquestthink" },
    { 0x086F4145B5142640, "registerquestthinkrate" },
    { 0x04F6C499BC81A019, "registerremovequestinstance" },
    { 0xD74A665D31860F9A, "registerremovequestthread" },
    { 0xF7D10F3679C9ED6A, "registerroundlimitdvar" },
    { 0xE6521E9D3D977325, "registerroundswitchdvar" },
    { 0x88989DAC87DD313F, "registersafehouse" },
    { 0x395D59D97E457676, "registerscoreinfo" },
    { 0xBC2B4A9348E66C18, "registerscorelimitdvar" },
    { 0x227DFB6C3EDBD660, "registerscriptableinstance" },
    { 0xFA7C1BAC1C6B2433, "registerscriptedagent" },
    { 0x4A151B827FA0B8C0, "registerscriptedagents" },
    { 0x525D2A65802A8D86, "registerscriptedspawnpoints" },
    { 0xD683AA6B8DC72037, "registerscriptperk" },
    { 0x734828B8AD6C08B6, "registersentient" },
    { 0x2344EE6A8C207EB3, "registersharedfunc" },
    { 0x6AD696EDE74A0673, "registersmallmap" },
    { 0x9A905EDEA917E0F3, "registerspawn" },
    { 0x3637F3816FE4D552, "registerspawncount" },
    { 0x1EF582512068A13C, "registerspawnfactor" },
    { 0xA274995D8E67A4A4, "registerspawnlocation" },
    { 0x6F2EAB6BF224C5B8, "registerspawnpoints" },
    { 0x4ABF17BAFAE9DAD1, "registerspawnset" },
    { 0xA31E2B04174C4694, "registerspawnteamsmode" },
    { 0xE99D7411F6DA057F, "registersquadspawners" },
    { 0xD0B533A5AD0C371A, "registerstatecallbacksforpoitype" },
    { 0x0846556916B44A2F, "registersuper" },
    { 0xF1765AC68B7E9BA3, "registersuperextraweapon" },
    { 0xE6F8321CEE7F8854, "registersupers" },
    { 0x2ABBA095BD9ACB3E, "registertabletinit" },
    { 0xE95A8D110C7983EA, "registerteamonquest" },
    { 0x609A1C2A042B2489, "registertimelimitdvar" },
    { 0xD87D992BC34151DF, "registertmtylobjective" },
    { 0x9BDFB608F9A9B368, "registertweakable" },
    { 0x6382785D97B24A6E, "registeruniquelootcallback" },
    { 0x06486CCE8E880BE5, "registervaliddroplocations" },
    { 0x12EA3241F9E82384, "registervehicle" },
    { 0xBA2C3B1686EA4575, "registervehicleinteractions" },
    { 0x41BF1C0CCC0F450C, "registervehicletype" },
    { 0xCD98E77832AB2CDC, "registervisibilityomnvarforkillstreak" },
    { 0x43853A4934B1419A, "registerwatchdvar" },
    { 0xCA7B4D580CA72348, "registerwatchdvarfloat" },
    { 0x2B897FE98E9C9363, "registerwatchdvarint" },
    { 0x27958BFD04520C83, "registerweaponchangecallback" },
    { 0x842B5A0D404E8DAD, "registerweaponupgradeinteractions" },
    { 0x04FDC4B865EA8CC5, "registerwinbytwoenableddvar" },
    { 0xA3765CC50CDCB703, "registerwinbytwomaxroundsdvar" },
    { 0x850E88418DF506D4, "registerwinlimitdvar" },
    { 0x847C4CF2CF6014DE, "registerwithpickupmonitor" },
    { 0x80D00F03886EFB15, "regive_killstreak_after_use" },
    { 0xA161761B5A66F18D, "regroup_all_alive_players_to_plane" },
    { 0xF76FF1789351705D, "regroup_at_safehouse" },
    { 0x5614F1F5C47C3CE9, "regroup_at_truck" },
    { 0x471B64EEBBDA3BD7, "regroup_blackscreen" },
    { 0x2BA8604DC52B54B7, "regroup_points" },
    { 0xA9855521301B4E3F, "regroup_process_started" },
    { 0x4172DE334FF82B40, "regroup_think" },
    { 0xF8B2120E63359484, "regroup_trigger" },
    { 0x2494CBAE68480518, "regular_enemy_death_func" },
    { 0x2A9FE9A9A706B125, "regulateturretrateoffire" },
    { 0xE19E86EEC38DF1D7, "reincrement_count_if_deleted" },
    { 0x64AAB3B966039958, "reinforce_after_door_section" },
    { 0x1DA3633DEE4E40D0, "reinforcement_convoy_get_to_blockade" },
    { 0xD991DCE64537DEF2, "reinforcement_icon_objective_id" },
    { 0xE71219E4021F97A9, "reinforcement_loop" },
    { 0x7F739F6E29A16C6A, "reinforcement_manager" },
    { 0xB6E0121A550250FF, "reinforcement_test" },
    { 0x660AED1AD5CEE4D3, "reinforcement_type" },
    { 0x6DFB48050EFAF2D4, "reinforcements_allieslogic" },
    { 0x31C0154E4E9C3F0A, "reinforcements_cleanupenemieslogic" },
    { 0xF8AA067676CD521C, "reinforcements_dialoguelogic" },
    { 0x3AC1251FBFC7B252, "reinforcements_driverdeathlogic" },
    { 0xD233C222363B0B8E, "reinforcements_getallypaths" },
    { 0x016AB3A3BFA72AE4, "reinforcements_getenemies" },
    { 0x468BE40BB11C8995, "reinforcements_getvehicles" },
    { 0x4F1CD4B32CD7D72D, "reinforcements_main" },
    { 0xED141C7BE61302D2, "reinforcements_spawnvehicles" },
    { 0x58DD9DECE8F85A3C, "reinforcements_start" },
    { 0x7DB1A42818FEF9C3, "reinforcements_vehicledoorsfxlogic" },
    { 0xA1AC0627C433719B, "reinforcements_vehiclesdisableddialoguelogic" },
    { 0xDD435DF34E041E85, "reinforcements_vehicleslogic" },
    { 0xFB085ABE3711C926, "reinforcements_vehiclessfxlogic" },
    { 0x78DD57F068B46058, "reinforcements_vehiclesstoppedautosave" },
    { 0xA71529A50715D223, "reinforcements_vehiclesunloadedlogic" },
    { 0x23CF7FDA4C03A48D, "reinitializematchrulesonmigration" },
    { 0x61DF080E4379D119, "reinitializethermal" },
    { 0x268B00D2095AD311, "relatedbrushmodel" },
    { 0xD78C6F4759CAB7ED, "relative_ads_anims" },
    { 0x0CB42110DFC16980, "relativedir" },
    { 0xDD690F883B3BA5CD, "relativepoint" },
    { 0xED0014F4C8D659A6, "relativevelocity" },
    { 0xD58BCDF6D824D339, "relaunchaxe" },
    { 0xD3FAE73323C34E5B, "relaysource" },
    { 0x6207917152D2DFBA, "release_ascendstruct_ondeath" },
    { 0x1107CC1F1A648832, "release_character_number" },
    { 0x41BEFF0DD05C3018, "release_control" },
    { 0x6EBA5FE9DE1684C2, "release_from_being_dragged" },
    { 0x3E7587074E2DB7AB, "release_interaction_ent" },
    { 0x12125CCE96B540BF, "release_mortar_operator" },
    { 0x635C48BF8AB58317, "release_node" },
    { 0xD9E0477E9DD7FB3A, "release_player_from_viewmodel_anim" },
    { 0x22501F78A713577A, "release_player_interaction_trigger" },
    { 0x4C5E28A74043C59A, "release_player_on_damage" },
    { 0xDE48882264985F8F, "release_player_on_death" },
    { 0x1A5333BCCFA97745, "release_stunstick" },
    { 0x1B02B1A674BC6201, "releaseclaimedtrigger" },
    { 0x67FE11594F15FB41, "releasedusebutton" },
    { 0xFCC9A9CE3E57CDFA, "releasegrenadeorigin" },
    { 0x8E1DA7F2A3C5195F, "releaseid" },
    { 0xB3185558C6189F45, "releasemachineonplayerdisconnect" },
    { 0x8FFE7206CFFDB979, "releaseownerangles" },
    { 0x605003E0B63F0642, "releaseownereye" },
    { 0xD22F20C186A8F5F7, "releaseownerorigin" },
    { 0xC1A47ED6898EDCD8, "releaseteamonquest" },
    { 0x10BE173C8E2BFF1B, "relic_ammo_drain_take_ammo" },
    { 0x1EB3063208C985A7, "relic_amped_clear_victim" },
    { 0xDE97C4709E2BB74E, "relic_amped_debug_explode_after_reviving" },
    { 0x9C062BC2841791D2, "relic_amped_debug_sim_kills" },
    { 0xAAB5C07CF9C5558C, "relic_amped_do_explosion" },
    { 0xA39A59F9032BA1BC, "relic_amped_explosion_time" },
    { 0xB0B6D6805A1E58C5, "relic_amped_in_warning" },
    { 0x0BA91F18C5BCB2A0, "relic_amped_is_player_valid_to_explode" },
    { 0xDE9BEE8A9031F2D1, "relic_amped_is_there_valid_new_victim" },
    { 0x9E2A298913487382, "relic_amped_last_kill_time" },
    { 0xD2BCDD9EFDC705C9, "relic_amped_monitor" },
    { 0x8AA30A9EDE08F1AB, "relic_amped_monitor_beeps" },
    { 0x34BE0C8766186F98, "relic_amped_on_ai_kill" },
    { 0x4BACE9F8F7FA773D, "relic_amped_pause" },
    { 0x67BDE7895BD478BB, "relic_amped_paused" },
    { 0x98498A20BECC3B8A, "relic_amped_pick_new_victim" },
    { 0x9458CF8E503A4B59, "relic_amped_pick_random_valid_player" },
    { 0x84DB790C9C4C5160, "relic_amped_play_beep" },
    { 0xABED6C44AA7F412C, "relic_amped_reset_deathshield_on_revived" },
    { 0x43A93269F1E03526, "relic_amped_set_head_objective" },
    { 0xB9CDB9311DDF41B6, "relic_amped_show_timer" },
    { 0x9A8F09B4B0BD4BBA, "relic_amped_test_explode_other_player" },
    { 0x1AF4E9B9C2BC7F45, "relic_amped_victim" },
    { 0x4ACF3755F2908C92, "relic_amped_wait_till_revived" },
    { 0x367483EB7848FAE0, "relic_award_bullets" },
    { 0x9AE690F2E5CFF826, "relic_award_one_bullet" },
    { 0x25B6EDF518EF1DCD, "relic_bang_and_boom" },
    { 0x719766595D231141, "relic_bang_and_boom_dropfunc" },
    { 0x0654C227B474A9BA, "relic_bang_and_boom_think" },
    { 0xAD6131009626D4E8, "relic_bang_and_boom_wait_for_pickup" },
    { 0x78F15F625CAD569A, "relic_bullet_reward_hud_display" },
    { 0x8311AB4F6CAC959E, "relic_combos" },
    { 0xA9984490D0B8E6FC, "relic_count" },
    { 0xFA8F257AC2D8C5D4, "relic_disable_health_regen" },
    { 0x00AEA4AB2455DC6C, "relic_dogtags" },
    { 0xB0E23C8A874F315A, "relic_doubletap_helper" },
    { 0xD6E5769F6F5CC2C0, "relic_fastbleedout_returnfunc" },
    { 0x2A4EADCA9860D3CE, "relic_focusfire_modifyplayerdamage" },
    { 0xB430F3CAD7FCFE28, "relic_grounded_reload_monitor" },
    { 0xFF6D02E294E34C03, "relic_healthpacks" },
    { 0xBE7AF8343E42EF51, "relic_healthpacks_globalfunc" },
    { 0xB58C7C401D6E7BB2, "relic_healthpacks_killfunc" },
    { 0xC3F0A2E75ECDEDD4, "relic_healthpacks_think" },
    { 0x90C17A11FDF25B3A, "relic_healthpacks_wait_for_pickup" },
    { 0x5DF9122B1FF51113, "relic_landlocked_clear_message_on_player_return" },
    { 0x1F84C84F076A8636, "relic_landlocked_do_explosion" },
    { 0x94E6EF90E0F80D46, "relic_laststand_modifyplayerdamage" },
    { 0x869A341BA62DC7AF, "relic_mythic_can_do_pain" },
    { 0x3F5971BC6CFA99BA, "relic_mythic_do_pain" },
    { 0xBD12D3B9E891782A, "relic_mythic_modifyplayerdamage" },
    { 0x44A9CA03092AF34E, "relic_mythic_next_pain_time" },
    { 0x301B215852635D9E, "relic_mythic_should_ai_play_pain" },
    { 0x3E6650AD5F8A4D8F, "relic_mythic_should_bypass_pain_cooldown" },
    { 0xA09C6BB9C9A7B2BE, "relic_mythic_should_do_pain" },
    { 0x3098FF806275AE82, "relic_nobulletdamage_modifyplayerdamage" },
    { 0x513AC8921190F0F9, "relic_nuketimer" },
    { 0xE00F1D75351E2739, "relic_nuketimer_addtotimer" },
    { 0x8B1A4FCE43BABF64, "relic_nuketimer_gettimeformission" },
    { 0x93D4616CFFDA9749, "relic_nuketimer_globalthread" },
    { 0xB269433C99908343, "relic_nuketimer_playvo" },
    { 0xE8892A68668672D3, "relic_nuketimer_timer" },
    { 0xA66ECC53706D1DA6, "relic_nuketimer_timer_init" },
    { 0xEBDC8B6C1923C861, "relic_nuketimer_timerloop" },
    { 0xDE7659B13764604D, "relic_nuketimer_waitforcompleteobjectives" },
    { 0xE1CF8D23670518E2, "relic_nuketimer_waitforobjectives" },
    { 0xAE38AF9E072EF1EC, "relic_oneclip_monitor" },
    { 0xAC3F357859D1257F, "relic_oneclip_stock_adjustment_monitor" },
    { 0xA57DF2AD28DF9319, "relic_punchbullets_fire_fists" },
    { 0xFCD6533A9CF0853E, "relic_punchbullets_track_previous_bullet_weapon" },
    { 0x9DF796B67F35F0C9, "relic_shieldsonly_set_player_stats_after_spawn" },
    { 0x6D71BAFC0BD55B5E, "relic_squadlink_add_visionset" },
    { 0xD2B8FA80E30B765F, "relic_squadlink_flash_squadlink_icon" },
    { 0x4D1026C8629FDD2B, "relic_squadlink_init_vfx" },
    { 0x6BE3B5FC5F7098BC, "relic_squadlink_modifyplayerdamage" },
    { 0x2A29A0B1EACE861A, "relic_squadlink_onbecameinvalidplayer" },
    { 0x2302E1E3914A4852, "relic_squadlink_onsteppedclose" },
    { 0x62E9FA416491F4E3, "relic_squadlink_onsteppedfar" },
    { 0x8B8463896D190BB9, "relic_squadlink_outline_monitor" },
    { 0x81B342B9AE6501A1, "relic_squadlink_remove_visionset" },
    { 0x71230A6D2EFE8772, "relic_squadlink_toofar_hud_logic" },
    { 0xA0D05D1045D387C2, "relic_squadlink_turn_team_headobjectives" },
    { 0xEB4883D42B4CEF61, "relic_squadlink_vision_debuff" },
    { 0x6784B961A6AF2910, "relic_squadlink_watch_for_visionset_end" },
    { 0x51CA91D8DF90FD97, "relic_steelballs_dash" },
    { 0x1758877ECDD0FD33, "relic_steelballs_dodamage" },
    { 0x4C5578E1351EA165, "relic_steelballs_health_boost" },
    { 0xCF9DE18FD84C136C, "relic_steelballs_slide" },
    { 0xFF14A6BB72004C1E, "relic_steelballs_stump" },
    { 0x29CB97274BEC32F3, "relic_steelballs_stump_monitor" },
    { 0x370A082842AF4199, "relic_swat_modifyplayerdamage" },
    { 0xA2950B9B5EF2D1C3, "relic_team_proximity_monitor" },
    { 0x65DF0ACB04658EF6, "relic_third_person" },
    { 0x1708883B1008DCD5, "relic_vampire" },
    { 0x1434898F49E9EBE5, "relic_vampire_feedback" },
    { 0x83016A606D0F8313, "relic_vampire_globalfunc" },
    { 0x2324CB711ABC2619, "relics" },
    { 0x89DCEC1D46382BD4, "relics_monitor" },
    { 0x263DA94EC232B024, "relics_monitor_on_player" },
    { 0xD45D0824506832CA, "relicsquadlink" },
    { 0xD32A3153F96CCA91, "relightingenabled" },
    { 0x551D526EE84F9005, "relink_cutters_on_anim_end" },
    { 0x7809C271582D4778, "reload" },
    { 0x429003FF4D33AAA2, "reload_cheatammo" },
    { 0xD9A9036B2D8FE353, "reload_cleanup" },
    { 0x3DC8B81C7CAC6C9B, "reload_currentsequence_button_handler" },
    { 0x4753BC326AAEF035, "reload_damage_increase" },
    { 0x5D4A462B87B68870, "reload_handle_hintstring" },
    { 0xB16E90C1692723F1, "reload_launcher" },
    { 0x14F0EFFF719BF611, "reload_on_kill" },
    { 0x1B9BB090A4BE45BF, "reload_start" },
    { 0x1F1079F6B7A46A3F, "reload_use_think" },
    { 0xF75A2B80BA90B677, "reload_use_trigger" },
    { 0x34D6343AD173A672, "reloadbuttonpressed" },
    { 0xDFD27E633F104302, "reloadifneeded" },
    { 0x5219FF92DE0DE338, "reloadnotehandler" },
    { 0xB9F003F8F6C6C9CA, "reloadonempty" },
    { 0x70DCFE1CEDE4E811, "reloadtime" },
    { 0x4E0365ABD1AFC079, "reloadtracking" },
    { 0xC5110E6184E4896C, "reloadweapon" },
    { 0xCA252CF6311CCEC0, "relocate_gunship_origin" },
    { 0x8D65CCFBC79160EE, "relocatetrigger" },
    { 0xDB403842234B11E5, "remainexposedendtime" },
    { 0xA0A678C98CC4EC2D, "remaining_enemies_aggro" },
    { 0x23F646E6E6500D66, "remainingflags" },
    { 0xB79DDB940902F21D, "remainingteamsset" },
    { 0x424F1C88E80DBF5E, "remainingtime" },
    { 0x0708B0152C6F1FDA, "remap" },
    { 0x87404CF734AD0E64, "remapattachmentparentname" },
    { 0x4FD6545716C46FE5, "remapdomtriggerscriptlabel" },
    { 0x2C94DFBDE10052BD, "remaphardpointorder" },
    { 0xED006D7232A1D668, "remapobjkeysandscriptlabels" },
    { 0x5F7B36F4955E3CFF, "remappedhpzoneorder" },
    { 0xB6695D57AA632B36, "remappedscriptlabel" },
    { 0xCB105AC9B470FAD7, "remapscoreeventforweapon" },
    { 0xA1AC4E2323967434, "remapstage" },
    { 0x1C740D85F89E1E69, "remind_calltrain" },
    { 0x8A1ED2AE7F73FAC5, "remind_calltrain_sethot" },
    { 0x703FED4560B8E011, "reminder_animnode" },
    { 0x3F3757E15AB46807, "reminder_cooldown_timer" },
    { 0x64B81FB9366122B0, "reminder_queue_cleanup" },
    { 0x11C9BCC784FC3CF3, "reminder_reaction_pointat" },
    { 0x10E9043E4517B5DE, "reminder_vo_init" },
    { 0x123D01182572FB3A, "remindermessage" },
    { 0x9D6942D086E3DE28, "remote_detonation_monitor" },
    { 0xB39947128D110C68, "remote_tank_armor_bulletdamage" },
    { 0xC000477F6C91188B, "remote_tank_think" },
    { 0xD86480E5E62B9D01, "remote_tanks" },
    { 0x515002726914870C, "remote_uav" },
    { 0x2969E176A7FBF9A4, "remote_uav_ridelifeid" },
    { 0xB664F60A099EB7F6, "remote_vehicle_setup" },
    { 0xA53DD837F6C81ED8, "remotecamerasoundscapeoff" },
    { 0x49F52B6922FEEC16, "remotecamerasoundscapeon" },
    { 0xDB33EB691EFD0D82, "remotecontrolturret" },
    { 0x9FACE0D760AEADBF, "remotecontrolturretoff" },
    { 0x0A6F7DC10BC5A418, "remotecontrolvehicle" },
    { 0x9C1AD98241F7BD1D, "remotecontrolvehicleoff" },
    { 0xE3EF1175A71922A1, "remotecontrolvehicletarget" },
    { 0x4956DC83E3B26B06, "remotecontrolvehicletargetoff" },
    { 0x8D4070023F4AB742, "remotedefusecallback" },
    { 0xB7F14F139427CAD2, "remotedefusesetup" },
    { 0x6729FC9A7CD079FF, "remotedetonatebeginuse" },
    { 0xE5921FFAB6031416, "remotedetonateonset" },
    { 0x1940BDA54AA30B75, "remotedetonatethink" },
    { 0xEF746E6BF2839043, "remoteinfo" },
    { 0x5EBEB5EA1C15F09E, "remoteinteractsetup" },
    { 0xF092ECCF581EF0F6, "remotekillstreaks" },
    { 0xAE0BA779C9966F4C, "remotemissile_fx" },
    { 0x9BBFD441786CD125, "remotemissileinprogress" },
    { 0x54ECF56C9ED2D501, "remotetank_rumble" },
    { 0x1E6BC61A13ADF748, "remotetanks" },
    { 0x1C748181813186F9, "remoteuav" },
    { 0x77058CC7FADD8C23, "remoteuav_cantargetuav" },
    { 0xA3FD8C6B0D186DAA, "remoteuav_cleanup" },
    { 0xFE5A5D08F6144D89, "remoteuav_clear_marked_on_gameended" },
    { 0xD8B81688048B266D, "remoteuav_clearincomingwarning" },
    { 0x4B76F0A4E2F755A5, "remoteuav_clearmarkedforowner" },
    { 0xA736F05A100CC1A6, "remoteuav_delaylaunchdialog" },
    { 0xCD64368883BCEB72, "remoteuav_dialog" },
    { 0xE87985D077EEB38D, "remoteuav_endride" },
    { 0xB4B4E4C8DEEE0C4C, "remoteuav_explode_on_changeteams" },
    { 0x6CAB50A6330C8C18, "remoteuav_explode_on_death" },
    { 0x0415EEA98BF1B6AC, "remoteuav_explode_on_disconnect" },
    { 0x00C71F1BF12FD026, "remoteuav_fire" },
    { 0x8145A8F88D9627FF, "remoteuav_freezebuffer" },
    { 0xBBBA028726C39FEC, "remoteuav_fx" },
    { 0x3FC7108B88726A2D, "remoteuav_handledamage" },
    { 0x6F349E2284F81FC7, "remoteuav_handleincomingsam" },
    { 0x30CC81192D007CB2, "remoteuav_handleincomingstinger" },
    { 0xA12DD59C1A880233, "remoteuav_in_range" },
    { 0x7EFA64E5145A7ABF, "remoteuav_lastdialogtime" },
    { 0x97386FFE64BDADC9, "remoteuav_leave" },
    { 0xF01EF05928DF8CA7, "remoteuav_leave_on_timeout" },
    { 0x6F816EEBB5504D5D, "remoteuav_light_fx" },
    { 0x2A3B05EE9656E7BA, "remoteuav_markplayer" },
    { 0xF2C44F5E4ED280A5, "remoteuav_nodeployzones" },
    { 0xA5BCC61A8C553D66, "remoteuav_operationrumble" },
    { 0xB66AD5F75D18ABFB, "remoteuav_playerexit" },
    { 0xB147EA41A78A8024, "remoteuav_processtaggedassist" },
    { 0x6399C93EB778B9EE, "remoteuav_rangecountdown" },
    { 0x5B89E1461C105868, "remoteuav_ride" },
    { 0xC120C42759EFA7FF, "remoteuav_rumble" },
    { 0x3170E39DE4BA7786, "remoteuav_staticfade" },
    { 0xC4BF21823E09A2E1, "remoteuav_track" },
    { 0x62B809900B1F6B6E, "remoteuav_trackentities" },
    { 0xFC5A03F730A7EDC5, "remoteuav_unmarkremovedplayer" },
    { 0xFF7074BE8F4A03B9, "remoteuav_watch_distance" },
    { 0xEDC72309C4F1D796, "remoteuav_watchheliproximity" },
    { 0xDAC9672BFD538354, "remoteuavmarkedobjid01" },
    { 0xDAC96A2BFD5389ED, "remoteuavmarkedobjid02" },
    { 0xDAC9692BFD5387BA, "remoteuavmarkedobjid03" },
    { 0x7BAAEF77607101AA, "remoteunpinned" },
    { 0xADB0219EA33AA8C5, "remove_action_slot_after_put_away" },
    { 0xCFE26499F72F5D50, "remove_actor_from_manager" },
    { 0xECDA4299D0DB240F, "remove_adrenaline_visuals" },
    { 0x53368ED27C6F8F5A, "remove_ai_air_infil_for_time" },
    { 0x33D5D53D52058DA1, "remove_ai_ground_infil_for_time" },
    { 0x2C36B4562568F078, "remove_aitype_spawner_override" },
    { 0x5DCF2D116A010C72, "remove_all_aitype_overrides" },
    { 0xDF12D794ADAA7591, "remove_all_armor" },
    { 0x4B4E350B8849909A, "remove_all_intel" },
    { 0xE1F5D564A9DF5EA8, "remove_all_powers" },
    { 0xE836C0139B61A421, "remove_all_primaries_weapon" },
    { 0xDF548CF5B8804028, "remove_ally" },
    { 0x7082F3D5AA4BC1B1, "remove_anim_corpse_col" },
    { 0xC1422016186756E8, "remove_animated_door" },
    { 0x6546313ADD02206C, "remove_as_opener" },
    { 0xCDCAA47E06E8095E, "remove_assault_class" },
    { 0xA787E411F7F90072, "remove_at_ammo_count" },
    { 0x055080CE2A468AD0, "remove_at_shield_death" },
    { 0xD65DE471B5F02D47, "remove_attachment" },
    { 0x435CF47B02796F0D, "remove_axis_model" },
    { 0x02588D09232C6105, "remove_bad_loot_drops" },
    { 0x81DE1AEAFAE6D086, "remove_bank_lbravos" },
    { 0xA4DB2F430C3710A5, "remove_berserk_after_timeout" },
    { 0x7F241662511045AB, "remove_bg_hud" },
    { 0x0CE0949F7C5D931F, "remove_blackboard_isburning" },
    { 0x5F680F4207FEC3FC, "remove_c4_train" },
    { 0x002C05604BA89A80, "remove_can" },
    { 0xBA3B98D1EAAF7221, "remove_card_from_use" },
    { 0x57A3A4D5CC5D3C61, "remove_carry_item" },
    { 0xE468E468F6410B44, "remove_civ_left_subway" },
    { 0xC723AECE478ADF99, "remove_clan_tag" },
    { 0x1D825CF01469BECE, "remove_closest_chopper_boss_vandalize_node_down" },
    { 0x9474B64BAC831174, "remove_color_from_array" },
    { 0xC295621FF3410539, "remove_consumable" },
    { 0xED0F4AFC1EEC6AD8, "remove_convoy_from_level" },
    { 0x8CB68D6781C10868, "remove_corpses_away_from_player_pos" },
    { 0x84E7E7C9B1244987, "remove_corpses_near_pos" },
    { 0x7A5EEE5DD3D78924, "remove_cover_node_spawners_around_pos_with_id" },
    { 0x907CC8C2BD5641BE, "remove_crafted_item_from_dpad" },
    { 0x3F944CCDCB7A2379, "remove_crafted_item_from_inventory" },
    { 0xCAB04F62B4D8816B, "remove_crafted_item_from_slot" },
    { 0xEB1FDC2BD8CD7D5A, "remove_crafting_item" },
    { 0x501B4968F257A6EC, "remove_crawled" },
    { 0x70626775F5A71102, "remove_crusader_class" },
    { 0x3058E4F44BB599A8, "remove_cursor_hint" },
    { 0x40922022323D6C37, "remove_damage_effects_instantly" },
    { 0x1A30B05F58E96180, "remove_damage_function" },
    { 0x964264AFFA0B9CCC, "remove_death_react" },
    { 0x77B92855E94BBDFD, "remove_deathanim" },
    { 0xBD5E4BCC0115E40E, "remove_deathfunc" },
    { 0x0A521E3A334BAB64, "remove_deathfx_entity_delay" },
    { 0xC47AC96F79953D0C, "remove_default_kvps" },
    { 0xEC30A472F12A6DF7, "remove_dining_deathanim" },
    { 0x802F6B48185416A8, "remove_dining_deathanim_ragonly" },
    { 0xE41AC1E2DC97DC11, "remove_disguise" },
    { 0x34982EB666BA0341, "remove_distraction_interact" },
    { 0x14A37095E6E92F19, "remove_distraction_interact_on_end" },
    { 0x5AB65F284E6C784F, "remove_dko_spawnflags" },
    { 0xCFA8F635FB8E9F05, "remove_door_c4_ability" },
    { 0xE08AC395B4E13580, "remove_door_snake_cam_ability" },
    { 0xA9F8936B598F463B, "remove_door_speed_modifiers" },
    { 0x2B1B56A23A21DDFF, "remove_dupes" },
    { 0x54D3FD6088D74D50, "remove_emp" },
    { 0x8EACC328428322B9, "remove_ends_from_path" },
    { 0x4D16D7CBF06E6CE6, "remove_enemy_ai_outline_for_overwatch" },
    { 0xB551EC0089B21490, "remove_engineer_class" },
    { 0x26E1C0EDB416726F, "remove_equipment_immediately" },
    { 0x423D5D226BF4F981, "remove_excluder_ai" },
    { 0xE21DA7A9B6701EE4, "remove_exotic_nvg_types" },
    { 0x9712B671DA128954, "remove_expired_vo_from_queue" },
    { 0xBDD8ACB76B1C8935, "remove_explosive_touch" },
    { 0xD8D9398B6E8E014C, "remove_extra_autosave_check" },
    { 0x4CA1EADCFF53F3E9, "remove_extra_structs" },
    { 0x5CC4BE119E755F52, "remove_eye_effects" },
    { 0x0A09921679635479, "remove_fake_guy_from_list" },
    { 0xEE6BE9EC7F4CA5D7, "remove_flag_trig" },
    { 0xA3F9171BF59047AC, "remove_flag_trigs" },
    { 0xEC67A83FFC3AE255, "remove_force_drop_on_group" },
    { 0xD7FB626590D965AD, "remove_fov_of_player_during_hvt_interact" },
    { 0x3B6BC8F64ACED954, "remove_fov_of_player_during_rappel" },
    { 0x4A3179071636536A, "remove_friendly_fire_damage_modifier" },
    { 0xC0FBD2488663A279, "remove_from_active_quests" },
    { 0xD9DFC63897AAD424, "remove_from_ambush_vehicles_ahead_player_vehicle_array" },
    { 0x2AB5E4576D69C377, "remove_from_ambush_vehicles_behind_player_vehicle_array" },
    { 0x3A6A56A4B11EC528, "remove_from_animloop" },
    { 0x2E116B71D7AE0E96, "remove_from_bomb_detonator_waiting_for_pick_up_array" },
    { 0x82CB074136541AB1, "remove_from_bot_damage_targets" },
    { 0x7A66579A1AC3516D, "remove_from_bot_use_targets" },
    { 0x716A6EE1C6CAA7B0, "remove_from_current_interaction_list" },
    { 0xCC6DC55BA724D490, "remove_from_current_interaction_list_for_player" },
    { 0x3865821A143C3AEE, "remove_from_enemy_list" },
    { 0x6D044D542DB4106E, "remove_from_hack_attackers_list" },
    { 0x175EC89076FC79D9, "remove_from_identified_ieds_list" },
    { 0x18E795F1462B217E, "remove_from_kill_off_list" },
    { 0xF1BD59E02F7B494C, "remove_from_list_on_death" },
    { 0xC2FBE4DDE6303C8B, "remove_from_marked_critical_enemy_ai_list_on_death" },
    { 0x351E41E360354081, "remove_from_marked_enemy_ai_list_on_death" },
    { 0xC0ED3CDF5A1F306E, "remove_from_module_vehicles_list" },
    { 0xE882623F21A19E27, "remove_from_nag_vo" },
    { 0xDDA5981BBC894BD0, "remove_from_overwatch_target_group" },
    { 0x4CE1915C1C547D93, "remove_from_owner_revive_icon_list" },
    { 0x5D690508FF807E5F, "remove_from_player_revive_icon_list" },
    { 0x385D82D63334E220, "remove_from_players_as_passenger_list" },
    { 0x0E46DFE74639FABB, "remove_from_players_being_revived" },
    { 0xAC23D4030C972DE1, "remove_from_players_cannot_see_vehicle_icon_list" },
    { 0x24307AA4B2112485, "remove_from_revive_icon_entity_list" },
    { 0xE110FE8E156A42CA, "remove_from_snakecam_immediate" },
    { 0x79B1A1A8500E0FD5, "remove_from_spawner_flags" },
    { 0xD82ACA82B3802B11, "remove_from_spawnflags" },
    { 0x4CDBFDC4E4245C24, "remove_from_special_lockon_target_list" },
    { 0xE23EF3B5BB2C237C, "remove_from_struct_array" },
    { 0xC406A3CCA4F6EF15, "remove_from_target_marker_group" },
    { 0x6E1E302A140EB40E, "remove_from_unidentified_ieds_list" },
    { 0xB806FB6C773C996D, "remove_from_vehicle_queue" },
    { 0x3C8FB16CC9EB8679, "remove_from_vehicle_repair_interaction_list" },
    { 0xC7F0507CAA17B749, "remove_from_weapon_array" },
    { 0x68019A723B7ABB62, "remove_fxlighting_object" },
    { 0xB960321D153E40D4, "remove_gas_mask" },
    { 0x6750E3F83FADE10A, "remove_global_spawn_function" },
    { 0xE2EB0447B6E37A08, "remove_graycard_objects" },
    { 0x6F792D6F05115209, "remove_green_beam" },
    { 0xB0E63DCE7D160B09, "remove_grenades" },
    { 0xDA04686C2748E79B, "remove_group_from_combined_module_counters" },
    { 0x369558B51A39C35D, "remove_group_fulton_interact" },
    { 0x3B84C96077A55C08, "remove_gun" },
    { 0x42D8FCF084734B3C, "remove_gunless_monitor" },
    { 0xC7D78786559257E4, "remove_hadir" },
    { 0x224547F8F7A63F5A, "remove_hadir_blocker_house" },
    { 0xC4E2098E8D1D783A, "remove_headicon_on_death" },
    { 0x29BFB534EB5E99B2, "remove_heli_corpse_after_timeout" },
    { 0x2199EE20D97B0B7A, "remove_hover_direction_and_try_issue_retreat" },
    { 0xD27F9D3893A9AD77, "remove_hunter_class" },
    { 0x3E628DA7DE9CF05C, "remove_ied_marker_vfx" },
    { 0xEC98B1E3C0715ECB, "remove_if_ignited_oilfire" },
    { 0x45643EE511B9FA4A, "remove_ignition_flare" },
    { 0x444DF4E6458BC018, "remove_intel_item" },
    { 0x10B49DA703616677, "remove_intel_piece" },
    { 0xE46A9D371350A5E9, "remove_invalid_aitypes" },
    { 0xF737A96CCFD16BB1, "remove_invulnerability" },
    { 0xA212D4FB79C8F613, "remove_item_from_priority_queue" },
    { 0x22FE47333ABE68C4, "remove_item_if_already_in_queue" },
    { 0x14A92DF4A075F6BD, "remove_jugg_key" },
    { 0x8245E449DB18F328, "remove_jugg_suit_after_timer" },
    { 0x1B300F9E6D1EAEFD, "remove_key_card_head_icon" },
    { 0xED32108B43731462, "remove_laptop" },
    { 0x33771C54AB1C0E77, "remove_last_used_node" },
    { 0x1C32EBA86D40D237, "remove_launcher_after_timeout" },
    { 0x6DC3C1858D5F68C1, "remove_launcher_xmags" },
    { 0xBF13BA8078F6B7B8, "remove_lead" },
    { 0x31C4A093BE7E793E, "remove_line_from_open" },
    { 0xE95B68D7B7662ABE, "remove_magic_bullet_shield_from_guy_on_unload_or_death" },
    { 0x5EF4BF9E250508E4, "remove_map_hint" },
    { 0x99B958D6149FE447, "remove_marker_when_player_disconnects" },
    { 0x41344391F765A2CB, "remove_marker_when_player_get_close" },
    { 0x5207F994F365A242, "remove_mask" },
    { 0xB8B17377DB30B90D, "remove_mask_overlay" },
    { 0xC607AF5A435EB51C, "remove_mayhem_clip_under_ladder" },
    { 0x56DBE89C903F5E0B, "remove_medic_class" },
    { 0x5493D9A50F85364B, "remove_missile_defense_weapons" },
    { 0x4D105BD5DB0B4E71, "remove_most_recently_used_spawner" },
    { 0xC6884197CEC38493, "remove_munition" },
    { 0x7329022EEE218812, "remove_munition_from_array" },
    { 0xA69CEE95CCE21E41, "remove_munition_on_use" },
    { 0x4B29365D5864F7A5, "remove_munitions_globally" },
    { 0xF78BD478E0ACE299, "remove_munitions_in_radius" },
    { 0x6E538F5186D28701, "remove_name" },
    { 0xC499209E0DCB466D, "remove_node_clip" },
    { 0x4B2EDB1612A5FD68, "remove_nodes_away_from_navmesh" },
    { 0x2D1331D8E6E0124C, "remove_noteworthy_from_array" },
    { 0xC2674971616BEBC2, "remove_objective_on_flag" },
    { 0x5E8AA38D79F9697B, "remove_offhand_for_molotov" },
    { 0x525E25E77B491122, "remove_old_wheelsons" },
    { 0x8C05222E3BC19738, "remove_oldest_item_at_priority" },
    { 0xCC770B6B93396786, "remove_on_death" },
    { 0xDFBD007B98DB33FD, "remove_on_notify" },
    { 0xCAEDCF2FE80C28A0, "remove_one_item" },
    { 0x543E19E33E21E43B, "remove_open_ability" },
    { 0x95C5B4A36021F213, "remove_open_interact_hint" },
    { 0xAA3BDBE7BFFAB0AA, "remove_open_prompts" },
    { 0xB24008353A82A50F, "remove_option" },
    { 0x766BADBF776C4F44, "remove_outline" },
    { 0x25556BBF3ACAD01E, "remove_outline_on_exit_think" },
    { 0x3690CB7874952AEC, "remove_pacifist_flag_from_spawns" },
    { 0x150BDBA9D23E37C7, "remove_pacifist_from_enemies" },
    { 0x55594E3DEF750164, "remove_pacifist_from_guy" },
    { 0x3883C057A6AF7C4E, "remove_pacifist_spawn_flag" },
    { 0x3996FF0BF78B90C5, "remove_padding_damage" },
    { 0xA72C6314EC5D50E1, "remove_passive_wave_spawning_spawner_override" },
    { 0x73F00F92D1C58B46, "remove_path_dist" },
    { 0xDC3697A9B94B0D97, "remove_pilot_from_cockpit" },
    { 0xD3886E9BA5942C0C, "remove_pipes_jumpdown_lights" },
    { 0x0909AA7E015A6BA0, "remove_pistol_arena_blocker" },
    { 0xCB1AA9806D244FB3, "remove_player_armor" },
    { 0x4BBF84D346CA0B77, "remove_player_from_attacker_list" },
    { 0x787FD40CBC883860, "remove_player_from_cam" },
    { 0xB59C32CE46884DE7, "remove_player_from_focus_fire_attacker_list" },
    { 0x46EC12DC340E0F5D, "remove_player_gasmask" },
    { 0x691C178D6EBAC529, "remove_player_perks" },
    { 0xA4A700A31003DA02, "remove_player_rig" },
    { 0x679213566D434E0F, "remove_player_rig_laser_panel" },
    { 0x10C553663CE7A19C, "remove_prime_ents" },
    { 0x170BA572C3636176, "remove_prohibited_weapons" },
    { 0xEDF0C3BBD3312754, "remove_punchcard" },
    { 0x9E920CB01E3D71FB, "remove_reaper_weapons" },
    { 0xE4256C522FC5CC41, "remove_recon_silencer" },
    { 0xDBE5CCE531F164AF, "remove_reduce_recoil" },
    { 0xEC06C8E91AE988E8, "remove_reflection_objects" },
    { 0xE7B908DE305D1EAF, "remove_replace_on_death" },
    { 0x6D8C80C9C64734FE, "remove_road_corner_ai_clip" },
    { 0x1F0DE2551C5E04C5, "remove_road_corner_ai_clip_watcher" },
    { 0xBC6F1355B419597A, "remove_roof_nodes" },
    { 0x4AC12D94ED4E12D6, "remove_rpg_guys" },
    { 0x9C5EAC47B29E272B, "remove_rpg_on_back" },
    { 0xE28F3903E174B344, "remove_script_friendnames_from_list" },
    { 0xF6741FCA8FF970CA, "remove_scripted_deaths" },
    { 0x2B8C0B5E2386CB36, "remove_selectable" },
    { 0x36EF9D4A6D0329AD, "remove_selected_option" },
    { 0x01A425FC04646867, "remove_sentry_for_player" },
    { 0xB453261159C340AD, "remove_similar_nodes" },
    { 0x68DA9251DD87C3E4, "remove_skipdeathanim" },
    { 0xAD235596605BE4D8, "remove_soldier_armor" },
    { 0x8C1BF6AA996E7A06, "remove_spawn_disable_struct" },
    { 0x5182DD7BDC1EA48E, "remove_spawn_function" },
    { 0xB8A3604986004A58, "remove_spawn_scoring_poi" },
    { 0x6FC065DEAE82E72A, "remove_spawners_from_passive_wave_spawning" },
    { 0xDF8DDA9B7B63493E, "remove_spawners_that_can_be_seen" },
    { 0x41BA68BBF0C7879F, "remove_specific_structs" },
    { 0xFA602B414F2B8090, "remove_spygame_when_down" },
    { 0x269B92F6CC09164F, "remove_state" },
    { 0x7D4280B6A4E69428, "remove_stay_at_spawn_spawn_flag" },
    { 0x2C82E23172AABD06, "remove_steam_damage" },
    { 0x6B7869C1553E30B9, "remove_tank_class" },
    { 0xB025575F57231A25, "remove_team_armor_buff" },
    { 0x0742D99E83572F5A, "remove_team_stopping_power" },
    { 0x302E99CE2A9EBA1D, "remove_temporal_increase" },
    { 0xC048CAE8FF887CEE, "remove_twister" },
    { 0x039332680654698B, "remove_usability_crutch_on_death" },
    { 0xBFB613FE02F63AB1, "remove_van_lights" },
    { 0x664A1FF6DC6E17CA, "remove_veh_spawners_from_passive_wave_spawning" },
    { 0x88C72FB7EBEA8C41, "remove_vehicle_spawned_thisframe" },
    { 0x32E808FAFBCCF5CC, "remove_visionset_from_stack" },
    { 0x9C03FBB072377373, "remove_visionset_specific_from_stack" },
    { 0x293DE36E84B695AF, "remove_visuals" },
    { 0xF1D7CA918D35B8DA, "remove_vo_data" },
    { 0x58A4BE68762B4680, "remove_when_charges_exhausted" },
    { 0x2807C1C58F79B22D, "remove_when_no_one_around" },
    { 0xA35BBA45A8D7710F, "remove_wife_blendshape_in_hallway" },
    { 0x0C2CB21AD0E1AC0A, "remove_without_classname" },
    { 0x71820D3A8C9BE22C, "remove_without_model" },
    { 0xF74A02CCF25A9809, "removeaccesscard" },
    { 0xFA2FA41C764207AF, "removeactivecounteruav" },
    { 0x59E91A721A73E301, "removeactivespawner" },
    { 0xA8549183B0DDD48D, "removeactiveuav" },
    { 0x936804B07C6719F2, "removeadrenaline" },
    { 0xA151DD1979D3479D, "removeaieventlistener" },
    { 0x253EA552EA558A82, "removealarmdoor" },
    { 0xE8AAE5E5E4445F30, "removealarmmonitor" },
    { 0x5A5F8C6847546568, "removeallaqui" },
    { 0x0319AA966EC6348D, "removeallcorpses" },
    { 0x72CEA8A795C0CC6C, "removealldeathicons" },
    { 0xDC7487D3441D2C89, "removeallevents" },
    { 0x473DD24C3ACBBA0A, "removeallfromlivescount" },
    { 0x030EF799D5AB0A4E, "removeallmolotovinteractsuntilavailable" },
    { 0x9C4D24043671F791, "removeallobjids" },
    { 0x70A0DA472B9DF9FC, "removealtmodefromweaponname" },
    { 0x29299842AC74D54E, "removeambulances" },
    { 0x8C936EA7035DF608, "removearchetype" },
    { 0x775A11CAE1E151B7, "removeattachmentsandgiveweapon" },
    { 0x347D3DF2189FB6D7, "removebestminimapid" },
    { 0x06BFD06F0B4DEC03, "removebestobjectiveid" },
    { 0xA6F5773CCA528109, "removebestsentient" },
    { 0x245C33258AE12A2C, "removebestworldid" },
    { 0xF9425A8084E2FCA1, "removebombcarrierclass" },
    { 0xF697C5EBD57DCE14, "removebombzonec" },
    { 0x5DE599224BDB0325, "removeboxfromlevelarray" },
    { 0xD00389D6E51D9CF6, "removeboxfromownerarray" },
    { 0x2F56B4D3F8B578BF, "removecallout" },
    { 0x4EE848E8D9520DE9, "removecameraondisconnect" },
    { 0x2A3D7420D8AD24D2, "removecarrydebuff" },
    { 0x412B481768EBF1A6, "removechevronsfromarray" },
    { 0x27AB7D3408AF9511, "removechild" },
    { 0x2AE639306F1856D5, "removeclientfromheadiconmask" },
    { 0x2E1E4B7A7CE07C94, "removeclientfromtargetmarkergroupmask" },
    { 0xD32E21E5E2E0D181, "removeconflictingattachments" },
    { 0x783E7C2433918AEB, "removeconflictingdefaultattachment" },
    { 0xA08B6E24D2E0FE2B, "removecustombcevent" },
    { 0xF7E207BD10CC271F, "removed" },
    { 0x33BC9F46DFC4FBAC, "removed_building_lines" },
    { 0x9E6C7B7E32AF54FD, "removedamagemodifier" },
    { 0xC5FEB6B364C0DE58, "removedamagemodifieronlaststand" },
    { 0xC0A90ED1F7157B1B, "removedamagemodifierontimeout" },
    { 0x326A356C9467D554, "removedeathicon" },
    { 0x47F3599F2D091F23, "removedeletableexploders" },
    { 0x691AE52149F84C9F, "removedestroyedchildren" },
    { 0x54086EB9312B59FA, "removedisconnectedplayerfromplacement" },
    { 0x9555004B30026495, "removedjuggupdater" },
    { 0xD2CD48590989775F, "removedompoint" },
    { 0x0C72F1ECA6E013B7, "removedoorcollision" },
    { 0x40AB21B2CB61E151, "removedronescreeneffects" },
    { 0x09702626C0115B98, "removedynamicspawnarea" },
    { 0xD5A14B6A4EC056E8, "removeenemyoutlines" },
    { 0x2712F162682F3907, "removeequip" },
    { 0xE2632505B0E88A57, "removeexcludedattachments" },
    { 0xC05E4351DCBF2163, "removeextracthelipad" },
    { 0xAAF0ED56902E7796, "removeextractionkillstreak" },
    { 0xDFDBD73FD89BA556, "removefirechainsdamagemodifieronlaststand" },
    { 0x9DF95CAA38987A19, "removefirechainsdamagemodifierontimeout" },
    { 0x93625BF097057B55, "removefiredamageimmediate" },
    { 0xD29A4235AF20B87B, "removeflag" },
    { 0x8731C1CA81E6013B, "removeflagcarrierclass" },
    { 0x9D6D208BC280C53D, "removeflagoutlineongameend" },
    { 0xE5779B063DA41368, "removeflagpickupradiuseffect" },
    { 0x29ED8047A27D34A1, "removefromactivekillstreaklist" },
    { 0x76F5CE99E74AD6C2, "removefromairstrikelistondeath" },
    { 0xE7D96262CE415A81, "removefromalivecount" },
    { 0xF1007810B9FD9A8B, "removefromassaultdronelistondeath" },
    { 0x53AAAF170DDB3833, "removefromcarrylistondeathorcarry" },
    { 0xB7F6FE57DC6CD30E, "removefromcharactersarray" },
    { 0x5920879CED1B6E0D, "removefromdismembermentlist" },
    { 0xEB119456782D9955, "removefromhelilist" },
    { 0x275F873A3A0BAEE2, "removefromhelilistondeath" },
    { 0x63A7C010BBB78C7E, "removefrominteractionslistbynoteworthy" },
    { 0x712E60990385D42A, "removefrominventorybyindex" },
    { 0x5F74CAFC6C3100C2, "removefromlists" },
    { 0x2E048636C8B56463, "removefromlittlebirdlistondeath" },
    { 0x4CBF4B183987E0FF, "removefromlittlebirdmglistondeath" },
    { 0x1C407DF3D9F938A7, "removefromlivescount" },
    { 0xD6491EE427831E65, "removefrommovingplatformsystem" },
    { 0xCE9D48A1C970F568, "removefromparticipantsarray" },
    { 0x533A5E23F9C93517, "removefrompersonalinteractionlist" },
    { 0xF765A0ED790BEAFF, "removefromplayerkillstreaklistondeath" },
    { 0xDA0BD3B697857FAF, "removefromprojectilelistondeath" },
    { 0x03636E40F0F78632, "removefromremotekillstreaklistondeath" },
    { 0x9DC1A69DCCE348A1, "removefromspawnedgrouparray" },
    { 0x4AE8007F63B00F5A, "removefromspawnselection" },
    { 0x6684E928825A5E99, "removefromspawnselectionaftertime" },
    { 0xA7F0663D59761DED, "removefromsquad" },
    { 0x34E61A2818E63FAF, "removefromsupportdronelistondeath" },
    { 0xB00C37D8FEF9E6B8, "removefromsystem" },
    { 0xEBAA0DF04B9579B9, "removefromtacopsmap" },
    { 0x6135092561AC7BFD, "removefromtargetmarkeronkillfunc" },
    { 0x13F79A27C9CC8947, "removefromteamcount" },
    { 0x84F3075A7E5B13FB, "removefromteamlives" },
    { 0x403F0DD815587E6A, "removefromtraplist" },
    { 0x63AB4809FFBEC1D3, "removefromturretlist" },
    { 0xE692AE282E0D0274, "removefromturretlistondeathorcarry" },
    { 0x833206B0A0CD915C, "removefromuavlistondeath" },
    { 0xE99CC0BF5B1D3CF9, "removefromugvlist" },
    { 0x8F082DCA60C8D5EA, "removefrozentickontimeout" },
    { 0x39875D35FB1449DB, "removefunc" },
    { 0x4460E7D69A0A707E, "removegasmask" },
    { 0x7DC8684D25D410D2, "removegasmaskbr" },
    { 0x6C9D599F6754380B, "removeglobalrankxpmultiplier" },
    { 0x458907DD89366488, "removeglobalspawnarea" },
    { 0xE5B13EE1ACC03B2B, "removeglobalweaponrankxpmultiplier" },
    { 0x3295A1948FB92C3F, "removegpsjammer" },
    { 0x2F47E065C629DD20, "removeheadgear" },
    { 0xA492FA3EBA4F961E, "removeheadicon" },
    { 0xBEA44B592E023BC3, "removeheavyarmor" },
    { 0x25640ED9388FD68F, "removehelidroppingcratefromlist" },
    { 0x87FBBE06F3FBFB25, "removehelperdrone" },
    { 0xB2E7B4B28A0E0BD4, "removehudincoming_attacker" },
    { 0xC2FF627F42E5E929, "removeifalerted" },
    { 0x1159DBA3BE24BF9D, "removeincoming" },
    { 0x4718C1A23FE69271, "removeincominghelperdrone" },
    { 0xBFAD12272A183389, "removeinvalidperks" },
    { 0x5A838AEBEF84B772, "removeinvalidstructs" },
    { 0x734A970A8E621E8A, "removeitemfrominventory" },
    { 0x9F355CF04CD6F8B2, "removejuggernautweapononaction" },
    { 0x1179386F27C4C1FF, "removejuggongameended" },
    { 0xD70BA6CE9F0F766F, "removejuggonteamchangeordeath" },
    { 0x02A9313F7A0DE258, "removekilleventsplash" },
    { 0xA6C4F4F38C36FDE3, "removekillstreak" },
    { 0x4A077C2EDAC5359E, "removeleadobjective" },
    { 0x369830439EC3245C, "removelinkafterdelay" },
    { 0xAE5D54A4EA808F24, "removelinkdamagemodifieronlaststand" },
    { 0x2B4C3FE34377BF9F, "removelinkdamagemodifierontimeout" },
    { 0x871DA760C603C052, "removelittlebird" },
    { 0xC44338C59DC9C5F2, "removeloadingplayer" },
    { 0xFBBC51B1E914198A, "removelockedon" },
    { 0x5D75FFE4C97C327D, "removelowermessage" },
    { 0x316E01EE42D331C7, "removemapvisionset" },
    { 0x145EE42AFC51D225, "removemarkfromtarget" },
    { 0x134CDDAFF86B388F, "removematchingents_byclassname" },
    { 0xA39A18F52BB1C5D8, "removematchingents_bycodeclassname" },
    { 0xB9E7E16A8F64E51B, "removematchingents_bykey" },
    { 0x73F912CAC0100979, "removematchingents_bymodel" },
    { 0x65E369063DAD4183, "removeminigunrestrictions" },
    { 0xF071E8D1A9659F46, "removeminimapicons" },
    { 0x46055A42B9F16192, "removemoltovinteract" },
    { 0x2AA86DEDCD70C506, "removenonvipteamlocations" },
    { 0xC8C92B59E49994B0, "removenotetrack" },
    { 0xA36C6EB04054A4AA, "removenowyouseemeonlaststand" },
    { 0x58AA17A5AA5F7303, "removenukeweapononaction" },
    { 0x4B21AD8361B90CC2, "removenvg" },
    { 0x4FAAADB68E00A774, "removeobjective" },
    { 0xFDFB34E454E2D155, "removeoffhandloot" },
    { 0xB7A5991950EE7939, "removeofficerfromsquad" },
    { 0x36DAD637B07E7045, "removeoldattackersovertime" },
    { 0xD5ABBE95A7738137, "removeoldevents" },
    { 0xADC8A26CBAB4C90E, "removeondeath" },
    { 0xA2D8E2C7B915B274, "removeorbitcamera" },
    { 0xB678617DCE94B271, "removeoutline" },
    { 0x2E2DCB3DEF6CCA1E, "removeoutlineoccluder" },
    { 0xD0B040CB8878CA75, "removeoutlineonnotify" },
    { 0xC5BFD8071AB5B56E, "removepatchablecollision_delayed" },
    { 0x3C4D4A1F91C6EAB1, "removeperk" },
    { 0x64E4C56D987648A6, "removeperks" },
    { 0x48BB401540A215B4, "removeperkstemp" },
    { 0x0F65670D7C77DBC9, "removepickup" },
    { 0x633BA83C0BF70712, "removeplatepouch" },
    { 0x35576620A3256AFA, "removeplayerasexpiredlootleader" },
    { 0xE3C6AE63CF5F9EFB, "removeplayeraslootleader" },
    { 0xA99BE80D6E9F1FBC, "removeplayerdataafterleavinggame" },
    { 0x1FC38AEBD56FD968, "removeplayerfromlevelarrays" },
    { 0xB99D021DD80DEFF5, "removeplayerfromteam" },
    { 0x4F6619A5CC43541B, "removeplayerondisconnect" },
    { 0x646771978F33C645, "removeplayeroutlinesforoverheadcam" },
    { 0x7794B4006607F9BD, "removepoint" },
    { 0xCC749A00A372CCE2, "removepower" },
    { 0xE4C7653191790976, "removequestinstance" },
    { 0x4D0EB0DE3FA4DFAD, "removeradialdistortion" },
    { 0x623289F084F14A63, "removeradialdistortion_notify" },
    { 0x040581F4BF267060, "removerankxpmultiplier" },
    { 0xA8C5270B5B807BF7, "removeremoteweapon" },
    { 0x67A2C07282FC61D8, "removerespawntoken" },
    { 0x916F6D649BD65F37, "removereviveentfromlevelarrayondeath" },
    { 0x337DFEBCE5A7E2E2, "removeriotshield" },
    { 0xC2015BE0AF9C5670, "removeselected" },
    { 0x5B327069A8681A4B, "removeselffrom_squadlastseenenemypos" },
    { 0x610FC17B124CFA9A, "removeselfreviveonearlyexit" },
    { 0xCA5C8D7121E72947, "removeselfrevivetoken" },
    { 0x7D9C622067EAD1D4, "removeshield" },
    { 0xE4888CB21D0D46A4, "removeslowmoveonlaststand" },
    { 0xAD0FA8480E4833DC, "removespawn" },
    { 0x950B63D4CFC2FB3C, "removespawnareaondeathdisconnect" },
    { 0x17104474F23C38C2, "removespawncircleents" },
    { 0x03AF62F11F15EC8D, "removespawndangerzone" },
    { 0xA579A00EFE2FD618, "removespawnerfromcolornumberarray" },
    { 0x9AAC40612A8A299B, "removespawnlocation" },
    { 0xAB732C1D8F7CAE24, "removespawnmessageshortly" },
    { 0x1475C271911F43E7, "removespawnprotection" },
    { 0x286BCAAAF637EC9C, "removespawnprotectiononads" },
    { 0x9CCB46BD5FB5F46F, "removespawnprotectiononnotify" },
    { 0xE1A2C57768C9A9DD, "removespawns" },
    { 0xC9938845D9B45113, "removespawnselections" },
    { 0xD5E0FC524A4A9442, "removespawnsinactivedz" },
    { 0x236F01A4166EFF72, "removespawnsinactiveflag" },
    { 0xD5F2FB524A5ECF6B, "removespawnsinactivehq" },
    { 0x88A8058A30F71476, "removespawnviewer" },
    { 0x10B9C317F5E2EFE6, "removespeaker" },
    { 0x80C43390C1BFB63F, "removespecialistbonus" },
    { 0x80E46C75DDDBC86F, "removespecialistbonuspickup" },
    { 0xC5E6FDF4AC5B6C75, "removestashlocation" },
    { 0xAA3CD2710F95E2B3, "removestructfromlevelarray" },
    { 0x48B3DAD4F8164BCD, "removestuckenemyondeathordisconnect" },
    { 0x8FEB982035B86AFB, "removesuppressioneffectsaftertimeout" },
    { 0xF23E8E77A91A952C, "removetags" },
    { 0x07DDF8111A9BF595, "removetagsongameended" },
    { 0xA0E453524E8F2BD1, "removetargetmarkergroup" },
    { 0x4B14C19146FC587B, "removeteamfromheadiconmask" },
    { 0xBA9E8C86EE01675A, "removeteamfromtargetmarkergroupmask" },
    { 0x21A241E077A3A7F7, "removeteamheadicononnotify" },
    { 0x9991AEF6C804A059, "removeteamrankxpmultiplier" },
    { 0xACA2B975EF8395A4, "removethermal" },
    { 0x6F7063871AC26804, "removethinker" },
    { 0xC85E77E91B12BC11, "removetimedoutinstructions" },
    { 0xB337B1B352D2BC07, "removetrigger" },
    { 0x1A296A55534D0944, "removetriggerobject" },
    { 0xF24B2818EA58EE40, "removeuavmodel" },
    { 0xF04B4A180264C7D7, "removeundefined" },
    { 0xF830D38774CAD7FF, "removeuplinkgoal" },
    { 0xE76ADD479F4E8B1F, "removeuseobject" },
    { 0x524946B013DC7D2C, "removeweaponaftertimeout" },
    { 0xB2C72E444A76A503, "removeweaponhostagedrop" },
    { 0x97FA40DAEC67A154, "removeweaponrankxpmultiplier" },
    { 0x6C7312925186E86A, "removeweapons" },
    { 0xE059FCCF15357B99, "renderlasertargetting" },
    { 0x862CBFEDAEB94873, "rendertotexture" },
    { 0x265B5D7AEE9BC504, "repair_grill_fixing_long_sfx" },
    { 0x64F9A50B02641564, "repair_grill_fixing_short_sfx" },
    { 0x33B8957E7BA54D31, "repair_grill_start_enter_foley_sfx" },
    { 0xC96B4755364A0805, "repair_grill_stop_exit_foley_sfx" },
    { 0x847A05BEB9FC7A65, "repair_icon_clean_up_think" },
    { 0x9CA6762235A32844, "repair_interaction_list" },
    { 0x466C2DA6FA37BFB5, "repair_nag" },
    { 0x9FAE03A73C74A2D3, "repair_tag" },
    { 0x758F51F270C1AE7B, "repair_think" },
    { 0x98E5BE0F4B30BA65, "repair_vehicle_intro_vo_monitor" },
    { 0x33A89FCC479EC07F, "repair_wave_think" },
    { 0x6D50CA9D6B5142DE, "repeat" },
    { 0xD846E60E3E21D0D4, "repeatcoverfindiffailed" },
    { 0x27519337C4C7E839, "repeater_headshot_ammo_passive" },
    { 0x7E9A0C2CF7860121, "replace_access_card_on_deathordisconnect" },
    { 0xE3A6A4D12D26324C, "replace_door_open_interact_hint" },
    { 0xF71DDEF5FD38EAAA, "replace_fake_actors_with_real" },
    { 0xC857D831B1856940, "replace_on_death" },
    { 0xE6255531C05BBF29, "replace_sas_with_police" },
    { 0x0C885F5D4BC2C3B9, "replace_sat_piece_on_deathordisconnect" },
    { 0x628A5610A75DB94A, "replace_turret" },
    { 0xFA0B696203857E76, "replacetankwithwheelson" },
    { 0xBFFB613B1BD1B7D5, "replacewithspecialistkillstreaks" },
    { 0x9EA0CCCFBC97262B, "replenishloadout" },
    { 0x319EFFE6F1E19EFC, "report_trigger" },
    { 0x04D23E755146CF79, "reportalias" },
    { 0xE8BE7D7A22735601, "reportchallengeuserevent" },
    { 0xACC2CCC03D29E9A2, "reportchallengeuserevent_done" },
    { 0xE860B01CCD3569C0, "reposition_cover_node" },
    { 0xE9C9CEBF1612DAF9, "reproductionstreak" },
    { 0xB92360359F5811EF, "repulsor" },
    { 0xA86BC646F04EF08C, "repulsorent" },
    { 0xC58E7535D0872F2C, "repulsorname" },
    { 0xC0E39176FC3F0D16, "request_crate_drop" },
    { 0x188185D401C7071C, "request_hostage_id" },
    { 0x5C2044380ED1716C, "request_new_spawn_module" },
    { 0xF3935F83A28A5EEE, "request_overwatch_vo" },
    { 0xF79EEB43F1489779, "request_paratroopers" },
    { 0xC3401B2A1F90D414, "request_warning_level" },
    { 0x72C9585817259CB4, "requestarchive" },
    { 0x7CE44E2CBCA3F536, "requestarrivalnotify" },
    { 0xE5E040BDB7CC9CBA, "requestcoverfind" },
    { 0xEAFA338186368A0A, "requestdifferentcover" },
    { 0x7249CE1D3D8763CD, "requested_spawners" },
    { 0xA73904BF0FF65770, "requested_spawns_count" },
    { 0x6CAEFEFE9291D6A9, "requested_spawns_groups" },
    { 0x16C3C65131461E35, "requested_veh_spawners" },
    { 0x96E82D5949EB2022, "requestedgoalpos" },
    { 0x152F21DFC5BE00E7, "requestednode" },
    { 0x7A0F5D1300DAC73F, "requestednodetype" },
    { 0xE8F1035E5C81D2B2, "requestedspeed" },
    { 0xD82E9F16CBB9A251, "requestedturret" },
    { 0x6F149DA0724134C0, "requestedturretpose" },
    { 0x4B817D6D7C2DBA80, "requestentervehicle" },
    { 0xBFE6771EC16511F2, "requestexitvehicle" },
    { 0xC25A5441AD803B47, "requestgamelobbyremainintact" },
    { 0x922815CA67BBC077, "requestgamerprofile" },
    { 0x0C1B6D38D2BBD1BB, "requestid" },
    { 0x93FEC90ED5DB25E8, "requestminimapid" },
    { 0x6E3C16B4225C2012, "requestnewsquad" },
    { 0x13AD2FD0D01551EC, "requestobjectiveid" },
    { 0xBE4872BA0EC9773A, "requestopendoor" },
    { 0x7557BF083987DB68, "requestopendoorparams" },
    { 0xE4D477335679630A, "requestquestlocale" },
    { 0x6D45FDE111CEB5F7, "requestreservedid" },
    { 0xF0BA26267A143F28, "requeststopsoonnotify" },
    { 0x7052857618BE24BF, "requesttime" },
    { 0x7DE159093524E6E7, "requestworldid" },
    { 0x7D69D8E034877A9A, "required_tank_capacity" },
    { 0xD141FA0A9682D7D2, "requiredcardtype" },
    { 0x95D1D1645041DC84, "requiredexitstance" },
    { 0x6FD77B8035F1AB18, "requiredplayercount" },
    { 0xA51EB35B3276826E, "requiredplayercountoveride" },
    { 0x1D8A5E0E87A43DB3, "requires_power" },
    { 0x741F838C3741D119, "requireslos" },
    { 0x2629648A523D33AD, "requiresminstartspawns" },
    { 0x0C439352F2C736E1, "reroll_binary_op" },
    { 0xF45D0BF82E2B1180, "rerollcallback" },
    { 0x247BAAA60C37527E, "rerollcrate" },
    { 0x252D702C56ADAFD2, "rerollstring" },
    { 0xD9722FDE3B53BE93, "rescue_hadir_sequence" },
    { 0x550612A88B673211, "rescue_soldier01_ai" },
    { 0xB3E02DDBF9929EE7, "rescue_soldier01b_ai" },
    { 0x10D3328AC35FAA0E, "rescue_soldier02_ai" },
    { 0xD40CBEE6755F6D96, "rescue_type_escort" },
    { 0xF2FC47F0F0A22016, "rescue_type_harness" },
    { 0xDB1CA21C102EAB56, "rescuedplayers" },
    { 0x9BFA20A84075C51A, "reserve_turret" },
    { 0xEDAC00B3F9EEE7E1, "reserved" },
    { 0xE33CAD0ECF5953D7, "reserved_spawn_slots" },
    { 0x17AFD50DE1ADDC64, "reservedplacement" },
    { 0xDBF1E54EB831EA25, "reservevehicle" },
    { 0x01CAB6146CE6A1BC, "reset" },
    { 0xD4A95A328D473861, "reset_ability_invulnerable" },
    { 0xF5285F88EC31D4F3, "reset_active_count" },
    { 0x471706C9CCB4A9C0, "reset_actor_interaction_values" },
    { 0x60E151F20A7955EF, "reset_after_anim" },
    { 0x6F2034471D933D9B, "reset_aisettings_on_plane" },
    { 0x69CB92912A5DCEA1, "reset_all_ai_sight" },
    { 0x8973DC8A3FAB5CB5, "reset_attack_next_available_time" },
    { 0xC06A12D3D8DD0822, "reset_attacks_next_available_time" },
    { 0x117B5DBEEA31C85F, "reset_axis_of_selected_ents" },
    { 0xAFAB9B08533D9B41, "reset_baseaccuracy" },
    { 0x2394E70C086CA440, "reset_being_revived" },
    { 0xE5AA08BD3A7158E6, "reset_button_handler" },
    { 0x0D96A928430DE20C, "reset_button_init" },
    { 0xD9D1DBDFDE10A183, "reset_convoy_soon" },
    { 0xF281D3F341392CE9, "reset_current_step_count" },
    { 0x9A594C6E0241BAC5, "reset_door" },
    { 0xB41DCBEEF68D9E42, "reset_doors" },
    { 0xFA31B52863E40AEF, "reset_drop_inc" },
    { 0x018AC98613ABBE5F, "reset_encounter_performance" },
    { 0xDAF8B630F2F8D020, "reset_end_game_score" },
    { 0xF6FDFE4EE65AC2B7, "reset_enemy_turret_shot_count" },
    { 0x05CF9312039CFBBA, "reset_eog_stats" },
    { 0x2205D4D2458B6392, "reset_event_timers" },
    { 0x1958E535D426E3A7, "reset_farah_glowstick" },
    { 0x73E7F9EAFD5FB528, "reset_friendlyfire_participation" },
    { 0x07DDB8769C8900A0, "reset_friendlyfire_penalties" },
    { 0x3E874D0EB5F1EF82, "reset_fx_hud_colors" },
    { 0xD8F7A53870816E46, "reset_gasmask" },
    { 0x03CACDC2A75F7CF6, "reset_global_stealth_settings" },
    { 0x31C252046CB21029, "reset_gravity" },
    { 0xA9EE5408949BD006, "reset_grenades" },
    { 0xB036E0F1EAB0A2D2, "reset_group_advance_to_enemy_timer" },
    { 0x371690544C1CFC68, "reset_gunpose" },
    { 0x1FA7BF3740393A8C, "reset_guy" },
    { 0x938745BB23794D1B, "reset_in_pvpe_end_game" },
    { 0x23FB7E2A549D4127, "reset_interaction" },
    { 0x649398FB48BB55B7, "reset_interaction_linebook" },
    { 0x36EFE5C28485C075, "reset_interaction_triggers" },
    { 0xA632E42DD2A36D8E, "reset_interrupt_vo" },
    { 0x5011F156AB349358, "reset_machine_state" },
    { 0x6375F06D87184CB8, "reset_map_dvars" },
    { 0x201117B6D4E30B4E, "reset_meter" },
    { 0x69F0507DFD26F079, "reset_minigun_shot_count" },
    { 0xDFE5B838762DE5EE, "reset_motionblur" },
    { 0x7DAA989097F82A5D, "reset_munitions" },
    { 0x7B74FD7435DBA8C3, "reset_nearby_spawn_times" },
    { 0x52FAE9E96CE1E053, "reset_objective_omnvars" },
    { 0x4D8A40FE29D765FA, "reset_objective_slots" },
    { 0x65E7B6C76726D01F, "reset_objective_timers" },
    { 0x34955E45BFC75CF2, "reset_override_visionset" },
    { 0x0B5F6AAD1AA9FC7F, "reset_path_node_placement" },
    { 0x50FA9CCCD6BA9763, "reset_path_node_placement_for_box_creation" },
    { 0xD62CAA2006B4BA86, "reset_path_node_placement_for_lookat" },
    { 0x7F92E711E8B54F56, "reset_path_node_placement_for_radius" },
    { 0x62C8F952B8D4A7EA, "reset_player_consumables_earned_performance" },
    { 0x7FF9474AA6135E31, "reset_player_damage_performance" },
    { 0xCC341389665CBC98, "reset_player_encounter_lua_omnvars" },
    { 0x9E30F503ADE33067, "reset_player_encounter_performance" },
    { 0x43DE530373B4F08E, "reset_player_money_earned_performance" },
    { 0xEBAAB65CAD3EDA44, "reset_player_performance_func" },
    { 0xE4A9E9B609FD2429, "reset_player_tickets_earned_performance" },
    { 0xEBA9F69FE59667C1, "reset_players_encounter_performance_and_lua" },
    { 0x47CF4E43CC1F0F7D, "reset_players_subparty_data" },
    { 0x8FCB09AB3D786B6F, "reset_poiauto_constraints" },
    { 0x333585E0A0C6E452, "reset_progress" },
    { 0x0F41C8FBF5812245, "reset_prone_scale_post_first_raise" },
    { 0x06FC4E986AB02B0A, "reset_recharge_after_respawn" },
    { 0x1D8FFB7BFA4C4014, "reset_respawner_markers" },
    { 0xBAE5FFF0CBA94319, "reset_restock_flag" },
    { 0x8D6A78C175407721, "reset_root" },
    { 0xA77CACF9995CABE3, "reset_search_spot_light_nodes" },
    { 0x1EEE69B6C53C2CDA, "reset_spawn_count_from_groupname" },
    { 0x275FDCD0807D14E4, "reset_spawn_point_targetname" },
    { 0x109E6B1AEBFC458B, "reset_spawn_vars" },
    { 0x17D7C3738182E6DB, "reset_special_ammo" },
    { 0xB7E3DA78B03D8A41, "reset_speed_at_node" },
    { 0xB8C8401533513652, "reset_struct_when_pent_moves" },
    { 0x8CCBC7B6D11EBC5D, "reset_subobjective_slot" },
    { 0xDDC76BC8E1475560, "reset_target_group" },
    { 0x817155EBE29A1FFE, "reset_team_consumables_earned_performance" },
    { 0x778A7A49337F55DD, "reset_team_damage_performance" },
    { 0x429A8301FD1CCF32, "reset_team_money_earned_performance" },
    { 0xD507FCA05166DD38, "reset_team_performance_func" },
    { 0x9DDDC341E00E1315, "reset_team_tickets_earned_performance" },
    { 0x1D4B3007C73C5361, "reset_throttle" },
    { 0xEFFD69F2A84CB5B0, "reset_time" },
    { 0xEFAB5D1721175315, "reset_timescalefactor" },
    { 0x36EC6E5B35F37D6F, "reset_totals_keep_type" },
    { 0x597E688480C7B665, "reset_totals_texts" },
    { 0xEA000DF6F9EF4E40, "reset_turret_shot_count" },
    { 0xA51CAF41F4B38C1E, "reset_unresolved_collision_handler" },
    { 0x211E37BE63229E40, "reset_use_puzzle_effects" },
    { 0x86A0B02C80BC7263, "reset_use_think" },
    { 0x20FB6468E368CAFB, "reset_use_trigger" },
    { 0x4CFB1C88B6D89201, "reset_vandalize_nodes" },
    { 0xDE72C0323FE6BD48, "reset_visionset_on_disconnect" },
    { 0xB76601B083FCD1C5, "reset_visionset_on_spawn" },
    { 0x53690984B67E1828, "reset_visionset_on_team_change" },
    { 0x9FDDD1F31A8AE34B, "reset_wave_loadout" },
    { 0x01B61D61F09E69FB, "resetactionslots" },
    { 0x6D0F275094833659, "resetafkchecks" },
    { 0x6075310DB662CAE4, "resetalldoors" },
    { 0xF7898BDE40AD390C, "resetarenaomnvardata" },
    { 0xA64A3500F629AA77, "resetattackerlist" },
    { 0x80D1EB59C4780499, "resetattackerlist_internal" },
    { 0x569CC8EADEC7DF77, "resetbombsite" },
    { 0x4BEE9A13D9DF677A, "resetbombzone" },
    { 0x16525E9463B541C2, "resetbreakertostate" },
    { 0x341811A879071025, "resetbroshot" },
    { 0x80A5082F1C528935, "resetc4explodethisframe" },
    { 0x401BF51A0E16E265, "resetcacheuseability" },
    { 0x4E7DCEE4D7634C61, "resetcaptureprogress" },
    { 0xA468A24A60145DA0, "resetcarryobject" },
    { 0x68C7FE852D5D5F8A, "resetchallengetimer" },
    { 0xCD34B7E2C45A109B, "resetchallengetimers" },
    { 0x772122FB7DC7ADB4, "resetchemicalvalvevalues" },
    { 0x75712466B8879ECA, "resetcircuitbreakers" },
    { 0xA54ED957018FA236, "resetclientkillstreakavailability" },
    { 0xEE3243D375BAF71B, "resetclientkillstreakindexes" },
    { 0x5E8CD0F4560B061D, "resetconvergence" },
    { 0x3BBB599E2F671C11, "resetcqbtwitch" },
    { 0x3CFCD259E4FAAB79, "resetdangercircleorigin" },
    { 0xF92D40FE713226A7, "resetdefaultweaponammo" },
    { 0x06D7914CDCD61716, "resetents" },
    { 0xB29A440243501F9C, "resetequipment" },
    { 0xC1EFC740FC60FC51, "resetforloadoutswitch" },
    { 0x3860D5945C7A1E40, "resetfovzoom" },
    { 0x31CA5455361F707F, "resetfunctionality" },
    { 0x03E0EE94A187AE10, "resetglass" },
    { 0x92EDF3FDA870B067, "resetgoalpos" },
    { 0xABC8112AFDABE630, "resetgroupvariables" },
    { 0x6D87F0FC24EDDB70, "resetguidedinteraction" },
    { 0xE6C15D66B02E7E96, "resethitmanaftertimeout" },
    { 0xA94814D95568FA40, "resethvtstatus" },
    { 0xEB9FF607CFA1C563, "resetjugg" },
    { 0xB44B82E5E3C6B621, "resetjuggloadoutonchangeteam" },
    { 0x295BE2138465D67A, "resetjuggloadoutondisconnect" },
    { 0x66C05425F38EB350, "resetlevelarrays" },
    { 0xB5DB2004FAC78E7D, "resetlevelflags" },
    { 0xA6459C950FB3D4EE, "resetmissdebouncetime" },
    { 0x1B45BB16B7C37BAD, "resetmissilelauncherlocking" },
    { 0x63BA266F4877939A, "resetmissilelauncherlockingondeath" },
    { 0x6F6EBB7C35ED56FA, "resetmissilelaunchertargets" },
    { 0x9EC0948056506335, "resetmissiles" },
    { 0xE8B8233FA653A00D, "resetmisstime" },
    { 0x36C044E7FD50C372, "resetmlgobjectivestatusicon" },
    { 0x3A98FE6D6285184E, "resetnextsaytimes" },
    { 0x43523176479561D4, "resetnonfauxspawnscriptfields" },
    { 0x555AC5E5EC5F3C44, "resetnow" },
    { 0xFDCA923D7BBCD958, "resetperkpackage" },
    { 0x0D39CE7AEC6A0281, "resetpersonalent" },
    { 0x99704DDC323A13D3, "resetpersstats" },
    { 0x2EA9A3FD1B7EA213, "resetperupdatespawnglobals" },
    { 0xFF4AC2E5ADA55265, "resetpet" },
    { 0xC44F8375C8C24C8C, "resetpetstats" },
    { 0x47ECDAC52AF2E232, "resetphysicaldepthoffieldscripting" },
    { 0xA0ED628677807666, "resetplayerconsecutivekills" },
    { 0x2E4FF27D802BCB9A, "resetplayerdamagemodifiers" },
    { 0xDFB71E0B64C49A05, "resetplayerdataforrespawningplayer" },
    { 0xDBA1D847494B1A6A, "resetplayerhud" },
    { 0x8650D2E24A344433, "resetplayerinventory" },
    { 0x8A146E94F0A9989A, "resetplayerinventorywithdelay" },
    { 0x4882AB97106BC213, "resetplayermovespeedscale" },
    { 0x9643904BD6CB22D9, "resetplayeromnvarsonkillcam" },
    { 0xAE65216E3B5BAED5, "resetplayeromnvarsonspawn" },
    { 0xF3F807A4DD9224B2, "resetplayerspawneffects" },
    { 0xCE73854DE463C5F3, "resetplayerspawnomnvar" },
    { 0x1861697D91DCDCCE, "resetplayerspawnscriptfields" },
    { 0x7DF8C8FB6B245CFE, "resetplayervariables" },
    { 0xDA298879BFD2FE3F, "resetposition" },
    { 0x19D17FC7249ACE23, "resetpostgamestateonjoinedspectators" },
    { 0x1CF8AF33A06AF0D7, "resetprogress" },
    { 0x9CC74EAD1D1003A1, "resetreticlemarkingprogressstate" },
    { 0x950B22FEBC0266B4, "resetscorefeedcontrolomnvar" },
    { 0xEEEF74536644EE87, "resetscoreonroundstart" },
    { 0x69C2B2099278506C, "resetscriptusageanalysisdata" },
    { 0x6F38968494299691, "resetskill" },
    { 0x4CE3FE4676390CD3, "resetsoundtimescalefactor" },
    { 0x100254FFC6613BA3, "resetspreadoverride" },
    { 0x6645F656BBDA1B37, "resetstats" },
    { 0xC9FF95541AA92A47, "resetstingerlocking" },
    { 0x9DD5CBA6BA68BF30, "resetstingerlockingondeath" },
    { 0xDE3BA87EB026A2B1, "resetstreakavailability" },
    { 0x7FB3D73C2DF0D0BD, "resetstreakcount" },
    { 0x7419434BF708FB59, "resetstreakpoints" },
    { 0xC65800E3C371BD52, "resetstreamerposhint" },
    { 0x8941EEC64906CD6E, "resetstuckthermite" },
    { 0xCC646B48D005CC17, "resetsundirection" },
    { 0x7E18FEF3FC8F4266, "resetsunlight" },
    { 0xBC93AA396336228F, "resetsuper" },
    { 0xB81341104E09EE1F, "resetsuperusepercent" },
    { 0x81B7C0BCD4124A65, "resettags" },
    { 0xE4D2129692A6C795, "resetthreatupdate" },
    { 0xA2AAD903DA047097, "resettimeout" },
    { 0x18EC5C7CBF0CB488, "resettimeronkill" },
    { 0xA7344E7687FF0A04, "resettimeronpickup" },
    { 0xD8B9E77C3F84332D, "resetuidvarsonconnect" },
    { 0xF448144917540A2E, "resetuidvarsonspectate" },
    { 0x70EBAA837CC77D90, "resetuiomnvargamemode" },
    { 0x219D3D1B404D4F8B, "resetuiomnvarscommon" },
    { 0x9082BB98EFD91B19, "resetunresolvedcollision" },
    { 0x14D9EB50E84BF358, "resetvisionsetnighttodefault" },
    { 0x5A556C8BCCD6070A, "resetzone" },
    { 0xB3F693F69BDC3A08, "residence_arrival_and_exit" },
    { 0x3DA4CF7EFF179084, "residence_arrival_catchup" },
    { 0xF9C455DD199EE675, "residence_arrival_civs" },
    { 0x6A78527489D3B42A, "residence_arrival_delete_on_exit_door_close" },
    { 0xD5E26D98C1F9EF76, "residence_arrival_done" },
    { 0xF9F65EAAB94858F4, "residence_arrival_door_delete" },
    { 0xA62301B8CD58A16B, "residence_arrival_door_open" },
    { 0xCA3AB2F0337194FF, "residence_arrival_door_pauser" },
    { 0x05194060FFB07CB8, "residence_arrival_door_setup" },
    { 0x13095AD130B97ADE, "residence_arrival_facade_doors" },
    { 0x0E1BDEF241107E93, "residence_arrival_facade_doors_catchup" },
    { 0xE367FA1AE7063E76, "residence_arrival_handle_technical_on_door_close" },
    { 0x0F81C5F2D9781047, "residence_arrival_main" },
    { 0x8308E6079B4BF8BD, "residence_arrival_marines" },
    { 0x4A9E00A9515E5E23, "residence_arrival_marines_look_at" },
    { 0xF5B485C1DBD9DC38, "residence_arrival_only" },
    { 0xAE15695F7CDBFEB3, "residence_arrival_player_demeanor" },
    { 0x540AE5A9D61B6ABA, "residence_arrival_side_door" },
    { 0xF754612B30723D8B, "residence_arrival_stacy_reactions" },
    { 0xE92CDE82A36A2A9E, "residence_arrival_start" },
    { 0x8EBADEFA09C6518D, "residence_arrival_vfx_cleanup" },
    { 0x58C0FCBB33AD5005, "residence_arrival_vo" },
    { 0x5FAA6BF7E3F992E2, "residence_arrival_wolf" },
    { 0xFCCA325BA6C43698, "residence_bodies" },
    { 0x57CD6149105D5A69, "residence_exit_done" },
    { 0x3B60CAE2DB9C7B62, "residence_wall_swap" },
    { 0xE1D37D04A0B842AD, "residualfarradius" },
    { 0x3EE1385259998A76, "residuallight" },
    { 0x889F6B82A0E777BA, "resistedstun" },
    { 0xABAAD2D07928DC6B, "respawn" },
    { 0x1836D1B49C749E6E, "respawn_active" },
    { 0xD1192E282791DCFF, "respawn_after_death" },
    { 0x787119211F5C8121, "respawn_asspectator" },
    { 0x60823058C4977EEF, "respawn_bleedout_func" },
    { 0x2DB3967C1B763B2F, "respawn_c130" },
    { 0x9A2A94D1EE799416, "respawn_camera_movement_think" },
    { 0x62C12CB0D0ADBF95, "respawn_cooldown" },
    { 0x131C4BE9F41E067B, "respawn_delay" },
    { 0x0906E27ABF6152B0, "respawn_dpad_func" },
    { 0x847C267B17208E84, "respawn_enemies" },
    { 0xE090C3D433C1E259, "respawn_enemy_list" },
    { 0xC208BB66CA5E3408, "respawn_flare_used" },
    { 0xA1EAEC2F249C6FD1, "respawn_flare_wavesv_used_playereffects" },
    { 0x0F77CEE12893B86E, "respawn_forcespawnangles" },
    { 0x414C05D86704856C, "respawn_forcespawnorigin" },
    { 0x58506DD2166D8FEF, "respawn_friendlies_force_vision_check" },
    { 0x32E755C7983FA0CA, "respawn_friendlies_without_vision_check" },
    { 0xF8443709BBAB141A, "respawn_func" },
    { 0x079CE22A08CDC501, "respawn_function_toggle" },
    { 0xF386678405EE44EF, "respawn_in_progress" },
    { 0x12A8B9B0EFE8B958, "respawn_index" },
    { 0xA48B9F5310F24456, "respawn_loc_override_func" },
    { 0x47DE678AFA59C8B8, "respawn_locations" },
    { 0xD55FA8BDF2C22225, "respawn_on" },
    { 0x2BFAB3E5CD801EFC, "respawn_on_death" },
    { 0x785FEA0EF0A79C4C, "respawn_players_into_plane" },
    { 0x3AB2BA2164E23C49, "respawn_scriptible_carriable_wait" },
    { 0x53FB0002163D6673, "respawn_solo" },
    { 0x121775F6D573E651, "respawn_spawner_org" },
    { 0x0CB26EC752FB49FF, "respawn_state_greyout" },
    { 0x0980BBBC35191C72, "respawn_state_hidden" },
    { 0xB0D206386EA8AF41, "respawn_state_ready" },
    { 0xE9E4B8CAD8C08913, "respawn_trigger_think" },
    { 0xC6373A7AB1CBDAD7, "respawn_used_once" },
    { 0x0C821F7967460D8C, "respawn_uses" },
    { 0x7AC5F86E5C2AD9AA, "respawn_waits" },
    { 0x8A130E47407FB364, "respawn_watcher" },
    { 0x57C38701DE79F04D, "respawn_with_launcher" },
    { 0x91FB1E716F5A4BFF, "respawnbombcase" },
    { 0xE4F0817F2CDBAC67, "respawnc130_gatherc130playerstospawn" },
    { 0x672A88B2814A6E19, "respawnc130_jumplistener" },
    { 0x13C90D08B910B45E, "respawnc130_listenjump" },
    { 0xD8A1F41BE18D72A0, "respawnc130_listenkick" },
    { 0x40F9EA497B840BAC, "respawnc130_parachute" },
    { 0xCC9C6D4B58AC101F, "respawnc130_spawnplayertoc130" },
    { 0x99669EA1DBA17673, "respawnc130_spawnprotection" },
    { 0xBADD3D60E2340EAB, "respawnc130_think" },
    { 0x728D83A1388BF7EB, "respawnc130_updateflightpathmessaging" },
    { 0x4B10D8A90D639113, "respawnc130_watchkickvar" },
    { 0x07F3DE17CE9D394D, "respawnc130cutoff" },
    { 0x13750CE00D439F05, "respawnc130started" },
    { 0x55639A019DD22E5C, "respawncircleinterppct" },
    { 0xC112E0FF496488F3, "respawnclientcharacter" },
    { 0x16EF9750FFD0D864, "respawnclosets" },
    { 0xC51A116E8648052A, "respawndelay" },
    { 0xE5192FDF31B533C2, "respawndelayoverride" },
    { 0xAE0EA6BC5E9F5508, "respawnent" },
    { 0x3005FF8B5EFF1582, "respawner_selection_think" },
    { 0x685D28323BB30DF5, "respawnfade" },
    { 0x5F4F27E67A83800C, "respawnheightoverride" },
    { 0xFEFACDBBDDED2BCD, "respawning" },
    { 0x74AB9F0968B2C3FA, "respawning_enemies" },
    { 0xE339024F7C3BE3DD, "respawningbr" },
    { 0x9FFDD206FCAF86EA, "respawningfromtoken" },
    { 0xC84EC438FCECA70D, "respawnitems" },
    { 0xA788658A8D21089F, "respawnitems_assignrespawnitems" },
    { 0x3C0274B93078F267, "respawnitems_clear" },
    { 0x10ED9FC8AA855FEB, "respawnitems_getequipmentref" },
    { 0x89DABC91A4C4FE86, "respawnitems_getrespawnitems" },
    { 0xD1B219F850C761C7, "respawnitems_getstreakpoints" },
    { 0xF548AC737DDF87D1, "respawnitems_getstreaks" },
    { 0xF025BC0A1AEB166E, "respawnitems_getsuperextrapoints" },
    { 0x71C58D460E2A981A, "respawnitems_getsuperpoints" },
    { 0x65D86AAF86D52396, "respawnitems_getsuperref" },
    { 0x7BEA83CD32BD05EF, "respawnitems_getweaponobj" },
    { 0xC90FFD45C4F7202B, "respawnitems_giveequipmentammo" },
    { 0x3D5CACF5BD94A33D, "respawnitems_giveweaponammo" },
    { 0x220322FE4443B96E, "respawnitems_hasequipmentdata" },
    { 0x39D77416AAFD93BA, "respawnitems_hasrespawnitems" },
    { 0x27A465D547706854, "respawnitems_hasstreakdata" },
    { 0x5BD35DB0ABEE7A5D, "respawnitems_hassuperdata" },
    { 0x339AC8EBCA32FD06, "respawnitems_hasweapondata" },
    { 0xABE079BE4E57D79D, "respawnitems_saveequipment" },
    { 0x4D2B89B22CC20237, "respawnitems_saveequipmentitems" },
    { 0x1843F5464E37A54A, "respawnitems_saveplayeritemstostruct" },
    { 0xD848DFDC9E5BBDFA, "respawnitems_savestreaks" },
    { 0x6A10B6D0734B9ADE, "respawnitems_savesuper" },
    { 0x871073F4AFF22DA3, "respawnitems_saveweapon" },
    { 0xFB5CD31EF19AC070, "respawnitems_saveweapons" },
    { 0xBED168EAAB598BD3, "respawnoldjugg" },
    { 0x491A7E34B225A67A, "respawnoldjugg_fx" },
    { 0xE99E63373F2956FA, "respawnplayer" },
    { 0xF0AABB7FE7E94F4B, "respawnplayers" },
    { 0xCB5A84AD8A69F99A, "respawnqueue" },
    { 0x257FC6BDD4D2DA5E, "respawns_on_failed_unload" },
    { 0x9D7AEFD4A1906C5E, "respawntags" },
    { 0x36DB41278820F688, "respawntagsfreed" },
    { 0xBF16170594C734A1, "respawntagvisibility" },
    { 0x1406E45BF3D2997A, "respawntimedisable" },
    { 0x726D7420D604BECD, "respawntimerstarttime" },
    { 0xA26B10A5C07673E4, "respawntokenclosewithgulag" },
    { 0x24ACAE470482D3B0, "respawntokendisabled" },
    { 0x2B019E34BFA1DE59, "respawntokenenabled" },
    { 0x2DDCBA0A852A0FBE, "respond_if_player_chases" },
    { 0x0C688E86DF0FC13F, "respond_player_location_dialogue" },
    { 0xAFA0F6E82576F3BD, "responder" },
    { 0x2264E3E825D3379A, "responderclockdirection" },
    { 0xAFE2F9E825BF93EF, "respondto" },
    { 0x52D8EEBD05ECCE92, "response_timeout" },
    { 0x2E7F6B741CA7E32E, "responsealiases" },
    { 0x60CB9BFC9C6B0462, "responseevent_failsafe" },
    { 0x7E6E77DE0DE8EA23, "responsegeneric" },
    { 0xFB6607FBDF10EC27, "responselocationcallout" },
    { 0x0AFA832D26C67616, "responsetakingfire" },
    { 0x8676622E9B61C766, "responsethreatcallout" },
    { 0x211F8E06F457123A, "responsethreatexposed" },
    { 0x8CD64F7744F8ADC7, "responsetimedout" },
    { 0x4B32DD887536981F, "responsive" },
    { 0xBE290E783A01D2B8, "restart" },
    { 0xE0B07CF861A26C9E, "restart_breath_fade" },
    { 0xD8DC94D3D1C9EF4D, "restart_fx_looper" },
    { 0x9D37C821840775F1, "restart_map" },
    { 0x996DCA91DE57D840, "restart_rotors" },
    { 0x013B6D234C4277ED, "restart_trial_attempt" },
    { 0x90048821CBCC5B5F, "restart_watcher" },
    { 0xB337AED24774E6F5, "restartcircleelimination" },
    { 0x780E7A6FD51814C9, "restarteffect" },
    { 0xDBA34915278BCC6D, "restartexploder" },
    { 0xE45DB4DB6136192E, "restartlevel" },
    { 0x7AE13008E799FE46, "restartmission" },
    { 0x3504E76308732AF9, "restarttimer" },
    { 0x0C39A61979D0ACC3, "restartwrapper" },
    { 0x4CF7AA537DED4AC1, "restock_allieslogic" },
    { 0x05C25CDE26CEB4E8, "restock_allyplace" },
    { 0x57992D1E5D135C41, "restock_connectiedpaths" },
    { 0x1E5BEC2012BE0B29, "restock_dialoguelogic" },
    { 0x28C689F6A8E0A863, "restock_dialoguesectionalogic" },
    { 0x1FF4805A6E98EE83, "restock_getfarahnode" },
    { 0x62BEA3D39EAF57F5, "restock_gethadirnode" },
    { 0x48DC750ACDA80845, "restock_getiedpathentities" },
    { 0xDAC0001D82B301E5, "restock_getredshirtnodes" },
    { 0x4B48358A3DC0D71E, "restock_main" },
    { 0x50D2B6DC87A95080, "restock_plantingallylogic" },
    { 0xDBD541E5C7BD875C, "restock_playerlogic" },
    { 0xDB810F4DE09449E7, "restock_preplaceied" },
    { 0x511E3C44E61DD07C, "restock_preplaceieds" },
    { 0x737B852BA21C372F, "restock_replacediedlogic" },
    { 0xA17A86BC2071218D, "restock_setupradioally" },
    { 0x6B7876CD00D098C5, "restock_start" },
    { 0x3B86C09BA6207732, "restore_after_deathsdoor" },
    { 0xD563CD1257B8F995, "restore_ai_weapon" },
    { 0x95D0882002B4244A, "restore_default_player_control_post_carry" },
    { 0x9A53B56445C39A19, "restore_fov_of_player_during_hvt_interact" },
    { 0x72C66846EB2030D8, "restore_fov_of_player_during_rappel" },
    { 0x589862975F381188, "restore_func" },
    { 0xB2F317CA4704C270, "restore_outline_settings" },
    { 0xCEC6A5D59B958773, "restore_player_demeanor" },
    { 0xE35B0D403BFF71AC, "restore_player_perk" },
    { 0x7F019E061C132C49, "restore_player_weapons_after_bleedout" },
    { 0x96FDDB19AE126802, "restore_players_weapons" },
    { 0x2BB6E3E3578EA1A4, "restore_powers" },
    { 0xC8E6083DF8A26ADD, "restore_primary_weapons_only" },
    { 0x964CAF9F9561FDFF, "restore_replaced_weapon" },
    { 0x3A094847810E73BE, "restore_super_weapon" },
    { 0xA1B12BBBF3B93C3A, "restore_weapons_status" },
    { 0x760F1BCB144B64D1, "restoreangles" },
    { 0x4BC633D3A3DE7DF0, "restorebasevisionset" },
    { 0x5559B4FC5E22DC2B, "restorecontrolagent" },
    { 0xB9C68E7707082A7F, "restoredefaultdroppitch" },
    { 0xA940302A212AA1FC, "restoredefaultpitch" },
    { 0xF57805C649E411F7, "restoredefaults" },
    { 0xF81295FA0311C06A, "restorekillstreakplayerangles" },
    { 0xE7F827A87A6F83DD, "restoreperk" },
    { 0x9642E585433E97AA, "restoreperks" },
    { 0xFE97E62D42927491, "restorepitch" },
    { 0x5646E0389F1C181A, "restoreriotshieldonland" },
    { 0xE2344805C1388C0F, "restorespawner" },
    { 0xC76301F3EE751A58, "restorestrengthafterhostmigration" },
    { 0xE1D1B54A8B83C661, "restoreweapon" },
    { 0x953AE7FD2F577C2D, "restoreweaponlist" },
    { 0x23F7C4F0D2CC9996, "restoreweapons" },
    { 0x154066C8325A15D1, "restoreweaponsdefaultfunc" },
    { 0xA1BFA27CC416EC93, "restoreweaponstates" },
    { 0x77D25492979A76D9, "restrict_player_stance_to_this" },
    { 0x7293085261F8C1F3, "restrictingads" },
    { 0xE663C35F7AD85822, "restrictingdoublejump" },
    { 0x5FB98BB89D57DCB3, "restrictingfire" },
    { 0xB835D7682661933C, "restrictingmantle" },
    { 0xB295C4BE4B2E8F01, "restrictingmeleeattack" },
    { 0xCEE085E4624B7036, "restrictingoffhandweapons" },
    { 0x143D8A36BEDB24D6, "restrictingpronemovement" },
    { 0x882191E3FB593E7A, "restrictingpronespeed" },
    { 0xBF805CAF9E0D025B, "restrictingpronestance" },
    { 0x5D8040CBD1C0C34E, "restrictingreload" },
    { 0x187541442440110B, "restrictingsprint" },
    { 0x05AF26806FD084F4, "restrictingwallrun" },
    { 0x8FBC11D91B8FB7D7, "restrictingweaponswitch" },
    { 0x5E07D2147CC9828E, "restrictions" },
    { 0x27B5B47A694894B2, "resttimems" },
    { 0xBE5AB6EC28083880, "result" },
    { 0xA9B93C5C0A153E69, "results" },
    { 0x3E17A34258CCD120, "resume_chatter" },
    { 0x8DB47371AAEAFB22, "resume_combat_logic" },
    { 0x6A8EED8AF89283AD, "resume_idle_or_anim" },
    { 0x807D4B96D280EC42, "resume_interrogation" },
    { 0x258C80F24EEB68FF, "resume_tank" },
    { 0xB298C53DCE2E393E, "resume_technical" },
    { 0x3D891BCEEC95999C, "resumeballtimer" },
    { 0xA8EC2A5C387D00C2, "resumecountdowntimer" },
    { 0x5E72843BE1B786AD, "resumepath" },
    { 0x7C8304EF21B55CD9, "resumespeed" },
    { 0xF4E4AC19CCF88B63, "resumetacopstimer" },
    { 0x3A2696D128EB9557, "resumetimer" },
    { 0x4658B9B461FBAE9A, "resupply_nag" },
    { 0xFD5616DB0F9910F4, "retaliate" },
    { 0x9BB2F83BA0B82BBB, "reticle" },
    { 0xF8ED6AB8B3AC119C, "reticlestate" },
    { 0xE90603F5796B008C, "retreat_advance_available_left_paths" },
    { 0xA6E742FEF0B9F37F, "retreat_advance_available_left_paths_index" },
    { 0x62614D4C2B5730A7, "retreat_advance_available_right_paths" },
    { 0xD590FB13F836E2C4, "retreat_advance_available_right_paths_index" },
    { 0xC7EA80CACD4373F8, "retreat_allied_nav_clip_disable" },
    { 0x99F93D7126B682EB, "retreat_allied_nav_clip_enable" },
    { 0xBAE82F2697504604, "retreat_aq_counterattack_flank_retreat_monitor" },
    { 0xC145F15433D95097, "retreat_aq_counterattack_handler" },
    { 0x382004FD40A71999, "retreat_aq_counterattack_rooftop_handler" },
    { 0x91A1B305CCEAE98C, "retreat_aq_counterattack_timeout" },
    { 0xC2F16AA8A7EC63D7, "retreat_assault_turret" },
    { 0x8F704ADFAC5021CF, "retreat_assault_vehicle" },
    { 0x28D8C5E2BB8C417F, "retreat_assault_vehicle_sound" },
    { 0xCAA34238EF96B8E9, "retreat_backup_apc_handler" },
    { 0x631E548173F6C012, "retreat_body_cleanup" },
    { 0xDA376EF5A7662C7B, "retreat_bombardment_player_monitor" },
    { 0xC98A27885CC51677, "retreat_building_magic_bullets" },
    { 0x3A6F00749F87E1F4, "retreat_building_magic_bullets_damage_monitor" },
    { 0x835FD0D1716CD32C, "retreat_building_magic_bullets_fire" },
    { 0x908F04AE4C402EA3, "retreat_building_magic_bullets_fire_bradley_ping" },
    { 0xB06B3E15973EB745, "retreat_catchup" },
    { 0xFD103690D44CC7A5, "retreat_crawling_deaths_handler" },
    { 0x22349B7007340CED, "retreat_door_bash_monitor" },
    { 0x82C8AC0EE5419E2B, "retreat_gate_breach_griggs_runby" },
    { 0xDC6E29AE3CF7D2B6, "retreat_gate_breach_marines" },
    { 0xC5BC2F26A50E4AD7, "retreat_ground_vehicle_movement_sound" },
    { 0xE69564F1AB291C17, "retreat_heli_left" },
    { 0x367A9D6D3859DCEB, "retreat_heli_left_1" },
    { 0x9BD1BDD957F08E6B, "retreat_heli_left_deploy" },
    { 0x7C337E4CA06FCC88, "retreat_heli_right" },
    { 0xA7FF83225A7FA96C, "retreat_heli_right_1" },
    { 0xFCE0867CD3A6E7CE, "retreat_heli_right_deploy" },
    { 0xD60BC1F5B005CEF4, "retreat_hospital_gate_distance_check" },
    { 0xE197FEB4967E8A5F, "retreat_init" },
    { 0x576A0A0A49F49EE4, "retreat_main" },
    { 0xF9103D5B9D83BFBC, "retreat_marine_bombardment_reaction_dialogue" },
    { 0xBA556DBE66DE72C9, "retreat_marine_setup" },
    { 0x3B94E45595A56E36, "retreat_open_hospital_gate" },
    { 0x33C7D1375CE17698, "retreat_rpg_detonation_manager" },
    { 0x45DF22142AE534CD, "retreat_rpg_detonation_monitor" },
    { 0x5428E8F479FBB7F3, "retreat_start" },
    { 0x3E8E3844D2F46059, "retreat_support_apc_1" },
    { 0x09AC2A5F4CDA5459, "retreat_support_apc_1_sound" },
    { 0x3E8E3544D2F459C0, "retreat_support_apc_2" },
    { 0x771212F037F6712C, "retreat_support_apc_2_sound" },
    { 0xB4C850E4FE5C8DC0, "retreat_tank_advance" },
    { 0x19306D257EB25AAB, "retreat_tank_rpg_hit" },
    { 0x3AAFAFA67CB2FD14, "retreat_to_gap_sniping" },
    { 0xB9635A62A48239BE, "retreat_vehicle_collision_clear" },
    { 0x11CA0D418512B648, "retreat_window_glass_shatter" },
    { 0xCF3734C747615911, "retreatanddie" },
    { 0xA07C3132513EF216, "retrieve_data_objective" },
    { 0xA3ADE6ED23049B49, "retrieve_interrupt_vo" },
    { 0x077BB7BCE9B0FFFE, "retrieve_vo_from_queue" },
    { 0xE42860A7B4670883, "retry_no_votes" },
    { 0x1943A2A0DAE9FE17, "retry_timer" },
    { 0x4E2D2B36129802E2, "retry_total_votes" },
    { 0xF5CCE80C19864E97, "retry_yes_votes" },
    { 0xFC05B16E3064FF9C, "return_anime" },
    { 0xD5A20D5B5D05EAE4, "return_cleanupcivilianworkers" },
    { 0xCED2CA5BB3A711CD, "return_cover_spawners" },
    { 0x40E803FF7EA2318E, "return_enemy_type_mask" },
    { 0xE72B93231CB1F845, "return_enemyspawners_in_zones" },
    { 0xA844B2DA1D9FD3CF, "return_false" },
    { 0xD223644B142BF37B, "return_getfarahanimationstruct" },
    { 0x8D73BF8C85D0D45C, "return_getpathblockers" },
    { 0x4E06A6B2F271B1FB, "return_getplayerexittrigger" },
    { 0xB14F7B8E0B40E669, "return_main" },
    { 0x23927BE0100B43CB, "return_musiclogic" },
    { 0x90E1D27B0A023FF9, "return_nearby_cover_nodes" },
    { 0x30F6032D1A702147, "return_num_if_under_vehicle_cap" },
    { 0x40C2A16AE9ADEAC2, "return_paratroopers_spawners" },
    { 0x155E65C454E92EDD, "return_pathblockersclear" },
    { 0x645FBC0F5ADA0F52, "return_pitch" },
    { 0xD99345E346A74E0E, "return_player_to_previous_vehicle_seat" },
    { 0x4459D10AB2E22155, "return_random_number" },
    { 0x2D6BD8524F021659, "return_same_module_as_next_module" },
    { 0xAC9906B0B72F6E46, "return_spawners_by_targetname" },
    { 0xF3B739BA1BD82BB0, "return_start" },
    { 0x28793456836890B7, "return_to_compound_objective" },
    { 0xCCB5957CC72DD50E, "return_to_last_goalradius" },
    { 0x7E3E84E03F0CF43F, "return_to_mission_nagged" },
    { 0xBAFF32B765A5DB35, "return_to_previous_seat" },
    { 0xE0C186BFCA83BF15, "return_to_safehouse_vo" },
    { 0x72803A9EB30E1003, "return_to_seat_after_ambush_sniper" },
    { 0x42BD426EDF6B351A, "return_to_vehicle_after_ambush_sniper" },
    { 0x75E6D0DDFA9C1777, "return_triggerer" },
    { 0x670514B84E8765FC, "return_true" },
    { 0x5D288C468CDBFBBA, "return_undefined_param_if_empty" },
    { 0x2F3D70FE424EF29F, "return_wave_veh_spawners" },
    { 0x946E3D9D2770E8D4, "return_wbk_version_of_weapon" },
    { 0x8213A7B994B37DBA, "return_weapon_name_with_like_attachments" },
    { 0x5431E981C8E05FA4, "return_when_cansee_player" },
    { 0x5D9F3316574E06FA, "returnaftertime" },
    { 0xDEA523F8FD455646, "returnarraywithoutdefaults" },
    { 0x98768B5AB8DCB5C2, "returnblankfuncifundefined" },
    { 0xEDF70798B7918E65, "returnflag" },
    { 0x2D1391841A949554, "returngoal" },
    { 0xE66584E5F3ECBC9D, "returnheadicons" },
    { 0x113CB9AE80FB1828, "returnhome" },
    { 0xA9A9217DC9051AEF, "returnminimapid" },
    { 0x4D36ACD419C6889B, "returnobjectiveid" },
    { 0x0643960D61B1E68F, "returnoncorner" },
    { 0xB31321E0C60DC3C8, "returnonwarpstart" },
    { 0xF11DD3C36D26A23A, "returnplayer" },
    { 0x97A4C0ECF572D83F, "returnplayercontrol" },
    { 0xB6B5A45D5DE8A45B, "returnreservedobjectiveid" },
    { 0x0C31288AB6E1D999, "returnsuccessiftrue" },
    { 0x6778E23A94474382, "returntime" },
    { 0xBA5BD325901CFA47, "returntoprop" },
    { 0xF0B6213BB517D237, "returntrue" },
    { 0x63FB5173C32676EA, "returnzeroifundefined" },
    { 0x4FE503E98F666683, "reunion" },
    { 0x056ABC0611A1517E, "reunion_catchup" },
    { 0x4FEEF53CAEA4BC18, "reunion_corpse" },
    { 0xEA3DE3ADAB988B74, "reunion_ladder_rumble" },
    { 0x9159BD366B5A5F13, "reunion_ladder_scene" },
    { 0x19DBA5A4E34A6341, "reunion_ladder_scene_dof" },
    { 0x3DA522DABA36AD06, "reunion_ladder_scene_farah_finish" },
    { 0x90B5C40E73F2F31D, "reunion_ladder_scene_player_finish" },
    { 0xC7343E202F92236C, "reunion_magic_shoot_enemy" },
    { 0xF0E275610228FED1, "reunion_mayhem" },
    { 0x8890731AA94FFBC1, "reunion_setup" },
    { 0x45210BAA1FFEE8F8, "reunion_start" },
    { 0xCD372D4E3078E4D8, "reunion_waittill_player_left_stick_or_jump" },
    { 0x6ABB95BEEE7C0176, "reveal_firing" },
    { 0x0EA83E8BF773025D, "revealed" },
    { 0x24C68DA1B150ADD7, "revealminimapforteam" },
    { 0x2C2BB6F904828618, "revealrope" },
    { 0xDB1E1EDD2F6CBEC9, "revenge" },
    { 0x7D319A49355B972F, "revengeparams" },
    { 0x05E568B184E7C9C7, "reverb_settings" },
    { 0x2BB212DCAE595899, "reverse" },
    { 0xCB4DE74A8B368EF5, "reverse_breach_orders" },
    { 0x0AC7C5DC0EBA4024, "reverse_breach_scene" },
    { 0x64C3372BC226CF8B, "reverse_impact_think" },
    { 0x71F878536E7EB467, "reversed" },
    { 0x85CC2F4CA3652CD9, "revert_to_stealth" },
    { 0x34D0468ED6FA1631, "revive_chosenclass" },
    { 0x33213E7DAA117D31, "revive_damage_scalar" },
    { 0x738E963649266016, "revive_ent_usability_func" },
    { 0x9D7C4D2F746B58CA, "revive_friendly" },
    { 0xC04973746045CD58, "revive_gesture" },
    { 0x4D8D4FF1177CEDE4, "revive_icon_color_keep" },
    { 0x30087108976542C2, "revive_icon_color_management" },
    { 0xE91BCDCB2C73EE9E, "revive_icon_entities" },
    { 0xE1E05655C916C98B, "revive_icon_initial_alpha_func" },
    { 0x54B4BE770E10D238, "revive_icon_player_connect_monitor" },
    { 0x2254D04A49665005, "revive_icons" },
    { 0xAB8D774EECCE948F, "revive_onuse" },
    { 0xC5C8E759BB3C9A8A, "revive_or_disconnect_monitor" },
    { 0xC9AA0D44BC4A1C2B, "revive_origin" },
    { 0x784E9A042192ED84, "revive_player" },
    { 0x5A610733D1B7ECB5, "revive_player_inside_c130" },
    { 0x26781973DC6C7210, "revive_progress_bar_id" },
    { 0x28A74D7982579688, "revive_stim" },
    { 0x58ACB708279C10B6, "revive_success_analytics_func" },
    { 0xD3A54DA6EA6147B1, "revive_success_vo_func" },
    { 0xE5D9E9BF6873AB25, "revive_time_scalar" },
    { 0x284E99388BA504A5, "revive_txt_hint" },
    { 0x98F02A084E7083D3, "revive_use_hold_think" },
    { 0x42B4891B0E31520D, "revive_use_hold_vo_func" },
    { 0x21E9AE3FA0EEE404, "revive_vip" },
    { 0x9BADB8FD1EB872C2, "revive_vo_time" },
    { 0xB68254D1CC910E7F, "revive_watch_for_finished" },
    { 0x372A166AEEA681DA, "revive_wounded_in_handler" },
    { 0x7B9B6F6D1429C1F9, "revive_wounded_out_handler" },
    { 0x009797E357D4A4B1, "revive_wounded_out_handlerr" },
    { 0xF7657521C1FC4FBB, "revivealphaiconfunc" },
    { 0x241394FF89F8D9A8, "revivecameraent" },
    { 0x51FFF7D28A5B972B, "revivecamerapullin" },
    { 0x1FD2DA89C5DED1E3, "revivecount" },
    { 0xD6811A7E733F60CA, "revived_hud_update" },
    { 0x124BC116F6AC067D, "revivedplayer" },
    { 0xAE77D247EAEE5301, "reviveent" },
    { 0x73CFFEC29B1541F6, "revivefromspectatorweaponsetup" },
    { 0x60C07AB9D9DAC6EB, "reviveiconcleanup" },
    { 0xF5E59EBC6C830E22, "reviveiconent" },
    { 0x2D77D75220F1925A, "reviveiconentcleanup" },
    { 0x836B1C8DAB66F400, "revivent_watchfordeath_safety" },
    { 0xF210A64760E62986, "revivepos" },
    { 0x22F7D8F7E3605F2A, "reviver" },
    { 0x07124B4351AE3F39, "revivesetup" },
    { 0x70B321D79444BD9C, "revivespawnvalidationcheck" },
    { 0x516BCF99C83F95CD, "reviveteam" },
    { 0x7E1B5C5DF0827601, "revivetimeoutthink" },
    { 0x9CC4B184C9E87A4B, "revivetriggeravailable" },
    { 0x04CD347E14B0D335, "revivetriggerblockedinremote" },
    { 0xFF1389C91221350B, "revivetriggerholdonuse" },
    { 0xA2837C62D6CFABFC, "revivetriggerholdonusebegin" },
    { 0x38A3E9B8D5DA9DF8, "revivetriggerholdonuseend" },
    { 0x24FD77E9170E61BE, "revivetriggeroncantuse" },
    { 0x6F36AE43AF056469, "revivetriggers" },
    { 0x42E35D329D0B172E, "revivetriggerspawned" },
    { 0x0B9DC49D7971992C, "revivetriggerspawnposition" },
    { 0x879A7C2ECC28252F, "revivetriggerspectateteamupdater" },
    { 0x11354D7C13FA371E, "revivetriggerteamupdater" },
    { 0xB1E391AB435285E8, "revivetriggerthink" },
    { 0x7C0FE5CB1067C4E0, "reviveweapon" },
    { 0xD21EA54017C3D303, "revivingteammate" },
    { 0x3BD167158E865968, "revocator_hint_displayed" },
    { 0x60FAF130ECBC01BD, "revocatorkills" },
    { 0x2F2822EAC59F525B, "revocatorowner" },
    { 0x94106C5900A4DBCA, "revocatorownercount" },
    { 0xC832B937ADD14842, "revolver" },
    { 0xC1055E70CEBB41ED, "revolver_ads_hint" },
    { 0xDDC424E29A6D6B15, "revolvervodone" },
    { 0x4229368B706BDADE, "reward" },
    { 0xE7A0A4918C123A33, "reward_tier" },
    { 0x30754734A5B0ED22, "rewardangles" },
    { 0xE4B1352467CD679B, "rewardicon" },
    { 0x7313CD0D0D9418FD, "rewardiconcleanup" },
    { 0x20B2951B61471315, "rewardlocation" },
    { 0x6093483B867678E3, "rewardmodifier" },
    { 0x9749626EBCC125DB, "rewardobjectcleanup" },
    { 0x3B31778EF38C06EA, "rewardobjectlock" },
    { 0x36033DA755C39396, "rewardobjectlockthink" },
    { 0xA7B34C52A1EF23D7, "rewardobjectsetusable" },
    { 0x0DA16FF9EFA8AB8F, "rewardobjectusewatch" },
    { 0xE7DCE0BA72B4DAC8, "rewardorigin" },
    { 0xEC7DA1A83D31EA77, "rewards" },
    { 0xCAB495331C247D8D, "rewardscriptable" },
    { 0xC76A100F37B99F5D, "rewardspawn" },
    { 0x333E66D2D521BF07, "rewardteammateproximity" },
    { 0xF5BCAFF6A16F0D26, "rewardtier" },
    { 0xC56C48A05C40E6FB, "rewardtotype" },
    { 0x3C35640CC112BCC0, "rewardtovalue" },
    { 0xB920AEAE71DC0952, "rewind_hint_displayed" },
    { 0xA7EF09B187CAB2AC, "rewinding_path" },
    { 0x1BE03746676FD8F2, "rex_emitter_test" },
    { 0x34C0C6EAE22A6919, "ricochet_bullet" },
    { 0xEEF791D7B33D93B9, "ricochetdamage" },
    { 0x25745E41A6625964, "ride_audiologic" },
    { 0xF971F05975157C87, "ride_cinematiccamerasettings" },
    { 0xAEDC2A35B7243209, "ride_dof" },
    { 0xBB156535BF4359C1, "ride_end" },
    { 0xBDDCB453BEF2DD1D, "ride_farahmodellogic" },
    { 0x79045ACFB0B86044, "ride_gatesfxlogic" },
    { 0x69B6C5C7754F83C3, "ride_getanimatedallies" },
    { 0x4780EBD86D5954BC, "ride_getgateanimations" },
    { 0x71948F64E5E49B4C, "ride_getgatetypes" },
    { 0xE20726043D2DDA08, "ride_getvehicle" },
    { 0xC047E7AC7A399498, "ride_lighting" },
    { 0x3D46A07B5BC763B9, "ride_main" },
    { 0x34E891ADF99A442C, "ride_screenshakelogic" },
    { 0xF37F4E831E42CB6C, "ride_spawnanimatedalexally" },
    { 0x061EA0F6900E29BE, "ride_spawnanimateddriverally" },
    { 0xCA00ACB6D53CFF03, "ride_spawnanimatedgateallies" },
    { 0x9438745036BCE5F1, "ride_spawnvehicle" },
    { 0xA779B0D5D7930120, "ride_start" },
    { 0xB6A36A08A5ABF379, "rideloop" },
    { 0xC77D35F9C287458B, "rider" },
    { 0xA8031E0644D0657A, "rider_clean_up_monitor" },
    { 0x39EBA93388FFCB99, "rider_death_func" },
    { 0x28AD7E2A5E483453, "rider_death_monitor" },
    { 0xB21165AB00907BFA, "rider_func" },
    { 0xE43F1624B30F5E6E, "rider_models" },
    { 0x3FA3AC46CF7EE068, "riders" },
    { 0xACDEF5DEA6F2F8B6, "riders_unloadable" },
    { 0xDEDDC3E0D646DA06, "ridersbackup" },
    { 0xF3E56C773D0A3EC9, "ridevehicle" },
    { 0x28DCC674D07C2A2E, "ridge_tower" },
    { 0x7CFA4A54B172B530, "ridge_tree_init" },
    { 0x6B84C15814A5C448, "ridge_tree_logic" },
    { 0x5B8DE9212B6D08E4, "ridingvehicle" },
    { 0xE4C47CF9D816899D, "rifle" },
    { 0x73CAC765B540E2DB, "rifle_lights" },
    { 0xCB6F210314287555, "rig" },
    { 0xF21BA6F9E1702589, "right" },
    { 0x23503C869017959B, "right_anim" },
    { 0x2D7ED088AC0A716A, "right_back_passenger" },
    { 0x7A5CB1285FC8F2B2, "right_bound" },
    { 0x133D4AE269F723D7, "right_control" },
    { 0x1BBD5F7A4494E36F, "right_corner_civs" },
    { 0xE42208CAA007C5FE, "right_door" },
    { 0x6C232A7A239BD208, "right_door_marine_monitor" },
    { 0xEEE8332E55FEC8FF, "right_ent" },
    { 0x9A5314BE98A50608, "right_flank_running" },
    { 0xD16CF02E40373BA5, "right_guy" },
    { 0xEBBF25C938312253, "right_kill_squad_dmg_func" },
    { 0x1C984314926B1426, "right_kill_squad_logic" },
    { 0x77DF6A593BED3198, "right_offset_from_tag_origin" },
    { 0x7AA0BA4893A208B3, "right_rpg_fov_checks" },
    { 0xEFB08ED118EDAAB1, "right_side" },
    { 0x467BE6B4E8509571, "right_side_bomber_track" },
    { 0xC1A874ECED10B8F2, "right_side_cleanup" },
    { 0xCCB3806D9945BA96, "right_side_combat" },
    { 0x59D4DA69C6E04056, "right_side_draw_civs" },
    { 0x0390BDA19A99D95B, "right_side_kill_squad_flags" },
    { 0x6292DB46C1B99392, "right_side_spawn_adjuster" },
    { 0xB52A31C90EE4B496, "right_stick_movement" },
    { 0xEE808099659D3068, "right_street_autosave" },
    { 0x812F3CEB9FFFE25D, "right_subway_bg_fake_civs" },
    { 0xAC5CB910E2206473, "right_underground_bomber_runner_logic" },
    { 0xB4C58C864AD5DA4E, "right_vindia_infil_start_targetname_array" },
    { 0x39C9F1FF5AB879D9, "right_vindia_infil_start_targetname_array_index" },
    { 0x6BA4C05B10D97E99, "rightaimlimit" },
    { 0x2247D356504E1107, "rightarc" },
    { 0x05C0B57EA49378C0, "rightarmdismembered" },
    { 0x433E2915FD3E74D2, "rightback_anim" },
    { 0x414139B96A0F344B, "rightchains" },
    { 0x87B7880422C54847, "rightclip" },
    { 0x6B30875685E269D8, "rightdir" },
    { 0x92F68E07791DFFA6, "rightdistance" },
    { 0x7EECD36C778720CD, "rightexitgate1" },
    { 0x7EECD06C77871A34, "rightexitgate2" },
    { 0x8E5BBAD91EA8CD32, "rightextents" },
    { 0x001F1A135872B682, "rightplantang" },
    { 0x1E607C136F1454D4, "rightplantorg" },
    { 0xAD9C333BC2D83C85, "rightpoint" },
    { 0x4CBF35754C0C6802, "rightside" },
    { 0x85D882AA4A33DEF9, "rightwindow" },
    { 0xF76032753E14A71D, "rightwingfxent" },
    { 0xE37B00A3115C6FBB, "rigindex" },
    { 0x1749141D9C96C0B8, "rim_max_intensity" },
    { 0x8DF9DBC5551C3207, "ring" },
    { 0xDCD101663D9BB3CD, "ringcodephoneconstantly" },
    { 0xBFD734BD410F2391, "ringing" },
    { 0x9B99E97DE00C90A8, "ringphoneoccasionally" },
    { 0x58B0C6FA2D02F51C, "rings" },
    { 0x152716C0EF4CE1DD, "riot_shield" },
    { 0x9CC83AEB1F138ADF, "riot_shield_broken" },
    { 0xDBF5327628CBB146, "riot_shield_claymore" },
    { 0xBCD21DD5B2DD9DA3, "riot_shield_damage" },
    { 0x1629458C2C0BB1AF, "riot_shield_damage_adjustment" },
    { 0xFA443F9BAE2274C5, "riot_shield_flashbang_init" },
    { 0x2145FCF04F07E914, "riotblock" },
    { 0xF2F611C14FBDD372, "riotshield_attach" },
    { 0x82DAF0226E4176FA, "riotshield_attach_parachute" },
    { 0x78BD3D770E55E3DC, "riotshield_checkshield" },
    { 0xDF5FE1D4C3253D88, "riotshield_clear" },
    { 0x39156380B2E4AFAE, "riotshield_common" },
    { 0x017C4232C87E28D6, "riotshield_damaged" },
    { 0xFA34DB5EF6F7B7B8, "riotshield_detach" },
    { 0x1791304F8ADCEB1C, "riotshield_detach_parachute" },
    { 0x194E84744F683976, "riotshield_getmodel" },
    { 0x1367BCDB41DAB58E, "riotshield_getmodel_parachute" },
    { 0xF344222B5C2896F9, "riotshield_hastwo" },
    { 0x6107BB12C5B7C951, "riotshield_hasweapon" },
    { 0x6FA5556AB0379EF9, "riotshield_hasweapon_parachute" },
    { 0x8CEFC0D10554D971, "riotshield_init_cp" },
    { 0x8CA9C0D105084A01, "riotshield_init_sp" },
    { 0x0EF15F6CFACAFC19, "riotshield_lock_orientation" },
    { 0x9E24C3BFEC5D1A8E, "riotshield_move" },
    { 0xEE5D2CAA84883CA5, "riotshield_return" },
    { 0x3F820D2B7E3FFF5A, "riotshield_unlock_orientation" },
    { 0x9500EE8F13C03ED9, "riotshieldclearvars" },
    { 0xB392C181A501AE4F, "riotshieldiscurrentprimary" },
    { 0x5F272EAC3D063CC6, "riotshieldmod" },
    { 0x27AFF6B1EF3B1C2F, "riotshieldmodel" },
    { 0x2A011CE8C4DDB2FF, "riotshieldmodelstowed" },
    { 0xB8B543E4DF030F45, "riotshieldmodeltag" },
    { 0xF31171872E66E119, "riotshieldname" },
    { 0x66EA52F032C62EDF, "riotshieldonweaponchange" },
    { 0x4FA22DCFFCD47B40, "riotshieldswitchaway" },
    { 0x876A44376FF1B171, "riotshieldswitchawaytimer" },
    { 0x359345ADF543E275, "riotshieldtaken" },
    { 0xDAEFA381927612C2, "riotshieldtype" },
    { 0x05261DFAC0FA43AF, "riotshieldxpbullets" },
    { 0x9E84C910889726D9, "risk_currentflagsactive" },
    { 0xADF490D72741B157, "risk_currentflagstier" },
    { 0x47F80F86C21736C3, "risk_currentlocsinuse" },
    { 0xAE2114A73EBD4C37, "risk_flagspawncount" },
    { 0xCB4DCF0FC4667A33, "risk_flagspawncountchange" },
    { 0x9F0ABE241C475A42, "risk_flagspawndebugobjicons" },
    { 0x76030B11EE7C2BF4, "risk_flagspawnmaxradius" },
    { 0x7A662A792175350E, "risk_flagspawnminactivetospawn" },
    { 0xF13BC05BE929932B, "risk_flagspawnmincount" },
    { 0x211DB2D43BB3F68A, "risk_flagspawnminradius" },
    { 0x729D01686FD38DFA, "risk_flagspawnradiuschange" },
    { 0x5449AB62A0D44EA5, "risk_flagspawnshiftingcenter" },
    { 0x0B2B2AD733E74395, "risk_flagspawnshiftingpercent" },
    { 0x647F1CF8367F7E8F, "risk_modifyflagstieronrespawn" },
    { 0x3FDA4186FEBA4FAC, "riskspawn_debugdvar" },
    { 0x5E90251BC08FD5BC, "riskspawn_debugobjective" },
    { 0x2B216E0FE19CBE62, "riskspawn_flagcaptured" },
    { 0xFEFA24B2A1A1A832, "riskspawn_flagspawnbytier" },
    { 0xAC072F11C2A51EFB, "riskspawn_getspawnlocations" },
    { 0xBEE26D62D409B7FE, "riskspawn_getspawnlocationsbytier" },
    { 0x2761FCF903BE368A, "riskspawn_initialset" },
    { 0x202AEB259E4BAC22, "risktokencount" },
    { 0x709C48EE16E80AEF, "risktokencountondeath" },
    { 0xB956692D16F0722D, "risktokencountroll" },
    { 0xDD7FA316878E5859, "risktokenonuse" },
    { 0x8359DF98F07A5EB0, "risktokens" },
    { 0xA2C1F6A4D3218D7F, "risktokensbanked" },
    { 0xDC85A91F4B61763C, "risktokenstokeep" },
    { 0x11A8E80D83DDC8FF, "river_enter_watcher" },
    { 0x240710C8B269B639, "rlinner" },
    { 0xE0A0E2F9C0A62986, "rlinnercone" },
    { 0x4BB6EEF80C4F4BFA, "rlouter" },
    { 0x24446877BF63BDE9, "rloutercone" },
    { 0xC9F9D483C7FCB444, "rloutter" },
    { 0x9F3C372051E2124F, "rlouttercone" },
    { 0x252A0BED2F20BA1C, "roaming" },
    { 0xE0B613C7EED7C18D, "robot_hint_displayed" },
    { 0xE815D90CD83A41E0, "rock_used" },
    { 0xC3E707F16781F35B, "rockable_car_add_player" },
    { 0x3C6C81306B2E0515, "rockable_car_debug" },
    { 0x5A5C4615E8DD88FA, "rockable_car_remove_player" },
    { 0xB9521D0A36188143, "rockable_car_rock" },
    { 0x1E785A6AF2E5C01F, "rockable_car_watch_damage" },
    { 0xC4500C5922E39878, "rockable_car_watch_dead" },
    { 0x9FEA1807BAD5E740, "rockable_car_watch_death" },
    { 0x1220ADC2D2292A2D, "rockable_cars_init" },
    { 0x35B2411C6B57D8BF, "rockable_cars_watch_players" },
    { 0x6703E5C7E9287745, "rockable_last_meansofdeath" },
    { 0x46643CA8AF88305C, "rockable_last_point" },
    { 0x3A7C7DA63CEEFE87, "rockablecars" },
    { 0xF0433BC867EFB79C, "rockcounter" },
    { 0x325A97CB4D2C8C59, "rocket" },
    { 0x48755AE519E17086, "rocket_arc" },
    { 0x4C1FF80D6FF86525, "rocket_attack_max_cooldown" },
    { 0xACAAF487E8F52D27, "rocket_attack_min_cooldown" },
    { 0x53E520E518E85E57, "rocket_cleanupondeath" },
    { 0x0D855E6574D8990B, "rocket_death_fx" },
    { 0xC0EC28258EBB2545, "rocket_deletepristinetargets" },
    { 0xCE44E4D855C506C5, "rocket_ff_check" },
    { 0xC7DE761CBEB6131E, "rocket_fire_cooldown" },
    { 0x0E05F8EB1CF65CB2, "rocket_fuel" },
    { 0x87C0933C0AAD5A9E, "rocket_fuel_stability" },
    { 0x755B718871488FE4, "rocket_fuel_x1" },
    { 0x755B74887148967D, "rocket_fuel_x2" },
    { 0x0DDF23EB1CCC7DB4, "rocket_func" },
    { 0x3E7E73894F2F86C9, "rocket_getdamagedtargets" },
    { 0x31D3DB60B2090730, "rocket_getpristinetargets" },
    { 0x17B78069D521AF35, "rocket_hidedamagedtargets" },
    { 0x1EDF5E4B6216A5EA, "rocket_hint_shutdown" },
    { 0x9967B1C3E151884D, "rocket_hit_blur" },
    { 0x9E97FEAEC6DCEEFF, "rocket_internal" },
    { 0xE3D4BA7C25DCDBAE, "rocket_missile" },
    { 0x6D362D8167F2D088, "rocket_setnotsolidtargets" },
    { 0xD4DF4DEDE7344BEC, "rocket_showdamagedtargets" },
    { 0x883D59E48BA6BA2A, "rocket_tag" },
    { 0x61CAB3768B8591DB, "rocketammo" },
    { 0x58BD0CD4B336912B, "rocketeer_count" },
    { 0xE9C7FE1AB8F8405E, "rockets" },
    { 0xE62081C76259C87A, "rockets_ready" },
    { 0xDD6B438D5BF5A496, "rockets_target" },
    { 0xBA6CC060E773EBF9, "rockpaperscissors" },
    { 0x3418A7C08B012EEA, "rockpaperscissorschoice" },
    { 0x857AEC8096A54201, "rocks" },
    { 0x691B5D834C9DCA26, "rockstrings" },
    { 0xA0350320F0130CB6, "rocktimes" },
    { 0x76CE3B371D86D92D, "rockused" },
    { 0xCE06C580CBD2F68E, "rodeo" },
    { 0x70A570EB957F6103, "rodeorequest" },
    { 0x60F8E2B0F2699FC2, "rodeorequested" },
    { 0xB9C59C9E4B201DF2, "rodwatcher" },
    { 0xB7DB6B16C3AEF9E5, "rofweaponslist" },
    { 0xE2CCB3C59278D1DD, "role" },
    { 0x38876E489677B25A, "role_edit" },
    { 0x90064C40876A2A6E, "role_interaction" },
    { 0xE2CCAAC59278BE12, "roll" },
    { 0x39CD9DD53EA8867C, "rollingdeath" },
    { 0x24F7AD34A8413C1C, "rollnewcamerapath" },
    { 0x79324DFB3F9111F9, "rollsequencepercamera" },
    { 0xE2C8C2C59274FD03, "roof" },
    { 0x3B30B4F89FD352AA, "roof_b_corner_wall_init" },
    { 0xBDB313230F590D83, "roof_b_wall" },
    { 0x9CEBC5CD210BAE59, "roof_b_wall_02_init" },
    { 0xD28A253735298236, "roof_b_wall_init" },
    { 0xB65F64AC0001B7FE, "roof_catchup" },
    { 0xEFE280949AEFBE5E, "roof_collapse_init" },
    { 0x84B75AF706531F0B, "roof_combat_spawn_func" },
    { 0x32B2C797DCE87F7B, "roof_combat_start" },
    { 0xD7716FF6CF5D725C, "roof_door" },
    { 0xB8631D73AE631E1D, "roof_enemy_groups" },
    { 0xA4E32F2EE2E2834F, "roof_enemy_watcher" },
    { 0x2CCDBBD11805D32E, "roof_getfarahclip" },
    { 0x8D97597DD0272FFC, "roof_gethadirclip" },
    { 0x271B1702A2F70C47, "roof_heli_crash_explosion_light_01" },
    { 0x9CBD3DA912DD1708, "roof_heli_explosion_crash_light_flicker" },
    { 0x953A8294B71A98DB, "roof_heli_explosion_light" },
    { 0x7BF6D5745EDCD47D, "roof_heli_explosion_vision" },
    { 0x4CD158E2E4011F62, "roof_jugg_logic" },
    { 0x9327BE0ABCB071B2, "roof_jugg_run_once_doors_open" },
    { 0xAD46386745E1A3F2, "roof_jugg_spawn_func" },
    { 0x58208242F846A715, "roof_jugg_wake_logic" },
    { 0x3BE1FDAEAB55111D, "roof_lander_spawn_func" },
    { 0x9BC75CC35E243651, "roof_main" },
    { 0x83D3D67AEFBE1E41, "roof_objective_struct" },
    { 0xAA487DD609838006, "roof_rpg_behavior" },
    { 0x6F5CA6FFE60C97CA, "roof_rpg_behavior_internal" },
    { 0xD85E096878DB89D4, "roof_rpg_covers" },
    { 0x877AE7DE9293BDBB, "roof_scenealogic" },
    { 0xC3043DC46E66092F, "roof_sceneanaglogic" },
    { 0x478BC4A5F4728A38, "roof_sceneblogic" },
    { 0x7FE0F5A3932CFCC9, "roof_sceneclogic" },
    { 0x8649D20B4248D540, "roof_scenefarahanimationlogic" },
    { 0x0C4C7A79E9C08CF2, "roof_scenefarahspotlogic" },
    { 0x5FD3BF45505337FB, "roof_scenesniperlogic" },
    { 0x4A8971BCF1469591, "roof_setuptutorialallies" },
    { 0x98AFC909C4564154, "roof_sniperpickupplayerdisablelogic" },
    { 0x466654F519829161, "roof_spawners" },
    { 0x2A7221CFEF641FD4, "roof_spawnsniperweapon" },
    { 0x5716D5D10F1FEB78, "roof_start" },
    { 0x7860AC705FAF9432, "roof_to_stairs_vo" },
    { 0xBC1C4EFBE1DD5E36, "roof_tops_cover_direction" },
    { 0xE7751E39934D337D, "roof_wreckage" },
    { 0xA2811818828F242E, "rooftop1_sat" },
    { 0x3C5E7F761B180DB7, "rooftop2_sat" },
    { 0x2E1FCFFE7F275360, "rooftop3_sat" },
    { 0x02C80D4B806CB352, "rooftop_1_mortar" },
    { 0x5F58FE44E4C94AD5, "rooftop_2_mortar" },
    { 0xDF9B6FF9E8474870, "rooftop_3_mortar" },
    { 0x5A63ABC5FB7FDE41, "rooftop_active" },
    { 0x3C454BC5E5048C0D, "rooftop_actors" },
    { 0x83FBFAFE40AFE66D, "rooftop_antennae" },
    { 0x3A19930A3C78171A, "rooftop_antennae_think" },
    { 0x435F511F05D3FC8D, "rooftop_attackers" },
    { 0x77D665DE5EEB71CC, "rooftop_crate_usefunc" },
    { 0x7C0E3631F8CCEF75, "rooftop_director_03" },
    { 0xA4AE902FE2E41BCD, "rooftop_directoring" },
    { 0xCAE99F47B2F757C4, "rooftop_enter_watcher" },
    { 0x57A47218F82BDAF9, "rooftop_hack_paused" },
    { 0x6A4DAEFC1AFF7E2B, "rooftop_obj_func" },
    { 0xE9AA7E96D21176BA, "rooftop_objective" },
    { 0x4F3E42712FBC4E35, "rooftop_touch_trigger" },
    { 0xEBDFC866DAB332B6, "rooftop_triggers" },
    { 0x2B2D8FB255190721, "rooftop_usb_drives" },
    { 0x4800AF9D8329C5F7, "rooftopid" },
    { 0x2C944A71E991F1C6, "rooftops_catchup" },
    { 0x6ADBA6586495B2C9, "rooftops_main" },
    { 0xDEA6F4C739288390, "rooftops_start" },
    { 0xE2C8CBC5927510CE, "room" },
    { 0xBA649BE47C592BB7, "room_beating_patrol_bp" },
    { 0x7BE0A4C50E6F4661, "room_door_windows" },
    { 0x46AB9C422CA68630, "room_doors" },
    { 0x592A88AE91D5CF57, "room_enter_chair_anim" },
    { 0x5962AC3CDF7212EC, "room_enter_enforcer" },
    { 0xFF7F1B6DD7B1BE05, "room_enter_price" },
    { 0x81C7721AA4D37311, "room_enter_threads" },
    { 0x4D9E7A7202E56846, "room_enter_yegor" },
    { 0x6283D184A1CB8CEA, "room_struct" },
    { 0xE2C8B4C59274DE39, "root" },
    { 0x96C39E74533DF2E1, "root_ecounterstart" },
    { 0x8C79F966318D9A8C, "root_failconditions" },
    { 0x011DFCC192585DD4, "root_getspawneraitype" },
    { 0x0D60706288EA93B6, "root_inittargets" },
    { 0x163D63289C14830E, "root_monitorplayers" },
    { 0xA4053E54BD4F631F, "rootai_ecounterstart" },
    { 0x1AE7C47248C9DD6A, "rootnonai_ecounterstart" },
    { 0x671772955BC63BE7, "rootsofcubic" },
    { 0x6B8C03507C0E73D7, "rootsofquadratic" },
    { 0x2B31A5E105B37F55, "rootweapon" },
    { 0xE2DEC3C5928D3269, "rope" },
    { 0x04DA5EC0D3A4DF1C, "ropeguy" },
    { 0xB02350D773BAECC7, "ropethink" },
    { 0x1EE3E2F5AD803007, "rotate90aroundaxis" },
    { 0xF61A828D59D772AB, "rotate_ent_think" },
    { 0x5EBCB6760ADE23B3, "rotate_over_time" },
    { 0xEAF1DDAA1A14E3B3, "rotate_plane" },
    { 0xF291F76829212A54, "rotate_plane_randomly" },
    { 0x8C163394DF910D7C, "rotate_silo_gyro_lights" },
    { 0x148F387DF2402BBE, "rotate_tags" },
    { 0x7F0E394B79F19B5F, "rotateby" },
    { 0x44FC51BB0C70CE32, "rotatebylinked" },
    { 0x92BDE39C8E0F9FBE, "rotatedone" },
    { 0x972858E15EB675EB, "rotateeffect" },
    { 0xDA6DE2B94A20DFCD, "rotateovertime" },
    { 0xFB0FF6167E305A44, "rotatepitch" },
    { 0x8DB1125BE427A4E8, "rotateplane" },
    { 0x438665171F7AF21F, "rotateplayer" },
    { 0x705826E39EDA649E, "rotatepointaroundvector" },
    { 0x7FD6BB59E3019339, "rotateroll" },
    { 0x7EBF274B799AC5AB, "rotateto" },
    { 0x5E078EC9D39B1454, "rotatetocurrentangles" },
    { 0xEA294CCDD4BF935D, "rotatetofinalangles" },
    { 0x5BED0A44EF15102E, "rotatetolinked" },
    { 0xF2453E07F596373B, "rotatetowithpause" },
    { 0x2B4AABAF71F9A94C, "rotateuavrig" },
    { 0x914E68D7AAE1363D, "rotatevector" },
    { 0x4F240DF91A3AEA90, "rotatevectorinverted" },
    { 0x292AEEB8DB3D2085, "rotatevelocity" },
    { 0x45FF9A15CA605575, "rotateviptoplayer" },
    { 0x15B74BFCF9933419, "rotateyaw" },
    { 0x2E38144BFABBFC33, "rotation" },
    { 0x97D7B288FB052191, "rotation_is_occuring" },
    { 0x8E119B990A26E0B2, "rotation_max" },
    { 0xC822AE2E844068EF, "rotation_speed" },
    { 0x856D722DAE0515CE, "rotation_spring_index" },
    { 0x52CBC6441A8BD8B0, "rotationentangles" },
    { 0x947D99310E191398, "rotationidmap" },
    { 0x29812B655D0B5A97, "rotationids" },
    { 0xA6F69E2F586EB04E, "rotationrefsbyseatandweapon" },
    { 0x6150E3186B6BC0C0, "rotations" },
    { 0x0C620E52A3FE3430, "round_at_max" },
    { 0x115FC06475BC49B5, "round_end_music" },
    { 0x853B97105E236102, "round_enemies_fallback_logic" },
    { 0xA37183F109172844, "round_enemies_push_logic" },
    { 0x76294D8D6C071F3E, "round_enemy_stuck_logic" },
    { 0x397D3635270383BA, "round_float" },
    { 0x4A7533B1FBCA1798, "round_get_vehicles" },
    { 0x4A1977B9BAEDF0F6, "round_logic" },
    { 0xE3583959B5F9DC3C, "round_millisec_on_sec" },
    { 0xD72BEA77BCF5AF33, "round_mortars_logic" },
    { 0x81A3F2F03384AE44, "round_robin_spawners" },
    { 0x42C24865C08015BD, "round_server_time" },
    { 0x5BBA822678FA1C50, "round_smoke_logic" },
    { 0xC732DC1478B9A591, "round_smoke_molotov_logic" },
    { 0x1034F2B04FC5ABFF, "round_smoke_semtex_logic" },
    { 0xEC23722F2773BD0C, "round_spawn_bombers" },
    { 0xE196665F7E49B9F8, "round_spawn_enemies" },
    { 0x7759BBEC4F37B4C9, "round_spawn_vehicles" },
    { 0x4E53D45AEFAAB586, "round_up_to_nearest" },
    { 0x96DB51EC631F2B8D, "round_up_to_nearest_twentieth" },
    { 0x89DF04BA22E559A9, "round_vehicle_logic" },
    { 0x9A6C0994D53B5FD7, "round_vehicle_path_logic" },
    { 0x6C8E023109AE120F, "round_waittill_at_end_enemy_count" },
    { 0x26E4BA2403E6B800, "roundbegin" },
    { 0x5E191B4A6AC35312, "roundbreaktest" },
    { 0x5F268DB63ED6D016, "rounddecimalplaces" },
    { 0x7108C2E003EB75CC, "roundend" },
    { 0x93BB7298E3B8FFF2, "roundend_checkscorelimit" },
    { 0x0765955FF227E92B, "roundenddelay" },
    { 0xBD645D1572D9CC69, "roundenddof" },
    { 0xE0A8BD86844964D1, "roundendextramessage" },
    { 0x5DE47AEAAEAAF10D, "roundendwait" },
    { 0xEEFB250EE50C60E2, "roundkillexecute" },
    { 0xE1891D5C4821160A, "roundlimit" },
    { 0x51CF27E5AF5E897E, "roundnumber" },
    { 0xD19439280CBC22E8, "roundretainstreakprog" },
    { 0x98CCCC41F7E70355, "roundretainstreaks" },
    { 0xDFB246AF9B0B22A0, "roundrobinlimit" },
    { 0xE82677D0A236E484, "rounds" },
    { 0x75C90199C624B02E, "roundscorelimit" },
    { 0x6A85FB3B86EF5F5F, "roundswitch" },
    { 0x9AF519E53B80A54A, "roundswitchdvar" },
    { 0x2B400D057BC37DB7, "roundswitchmax" },
    { 0x2B62FB057BE99DD9, "roundswitchmin" },
    { 0xC37587D4BEAF91EA, "roundup" },
    { 0x6BE4EE810C7B6998, "roundwinnerdialog" },
    { 0xE1437F1C71D94F64, "route_points" },
    { 0xFA722A2C14E78530, "route_soldiers_towards_backup_location" },
    { 0xA69594C397439CA3, "route_spawned_soldiers_to_new_vehicle" },
    { 0xA501D2C105F2781F, "route_to_any_veh" },
    { 0x6D54D8578A435DBB, "route_to_other_support_veh" },
    { 0x5EFE84570B6DCD63, "route_to_other_veh" },
    { 0xE756493C0CB5EB96, "route_towards_exit" },
    { 0x6CAE34CF8B388C90, "router" },
    { 0xAE9E9A1A95D5B6A7, "router_picked_up" },
    { 0xA47148D050AA0D70, "router_placed" },
    { 0x5E84A626506BE4FE, "router_use_obj" },
    { 0xC2A027E5E84EF373, "routers_needed" },
    { 0x5F75FB747B57E4F2, "routers_picked_up" },
    { 0x0F7DB06175CB8BAC, "row_index" },
    { 0x782088DA041A963E, "rpg7caches" },
    { 0x42058707625E59EB, "rpg_ai" },
    { 0xB8470ED59BE4FD08, "rpg_attack_apc" },
    { 0x1BEF4DAC73E07812, "rpg_building_guys" },
    { 0x64FA190E0E78FF9F, "rpg_callout" },
    { 0xF85ABC7100CD772A, "rpg_chatter" },
    { 0x02D76A9BE13BA592, "rpg_death_watcher" },
    { 0x9B64F60DEF2D347D, "rpg_enemy_damage_debug" },
    { 0x9464C11A7E931E29, "rpg_enemy_mover_clean_up" },
    { 0xE4B6DEEAE608E0C8, "rpg_enemy_think" },
    { 0xEFAA8E6D018B4774, "rpg_fire_pos" },
    { 0x3FC1D9D0EB16E12E, "rpg_get_shoot_pos" },
    { 0x284043515AA42779, "rpg_get_shoot_start_pos" },
    { 0xE61F813D93BBDC54, "rpg_guy" },
    { 0x2095EBE09F4B9419, "rpg_guy_can_shoot" },
    { 0xFBBE561022B1ED43, "rpg_guy_damage_func" },
    { 0xD65524DE823B8744, "rpg_guy_death_func" },
    { 0xA980F00E3DD59348, "rpg_guy_face_target" },
    { 0x6B61C48FCA1BBB91, "rpg_guy_force_kill" },
    { 0xE7AC30C21FD5F75D, "rpg_guy_logic" },
    { 0xAAD2755EFED7B96E, "rpg_guy_proximity" },
    { 0x2678397D65B3B424, "rpg_guy_retreat" },
    { 0x48EC5D372304635F, "rpg_guy_scripted" },
    { 0x5779048BEEF512AC, "rpg_guy_shoot" },
    { 0x9817675339BC97DC, "rpg_guy_wave_1" },
    { 0xD325616BE62529C5, "rpg_guys" },
    { 0x751507D47FBB1505, "rpg_guys_attack_start" },
    { 0xA45085C8072FCBB1, "rpg_guys_construction_spawners" },
    { 0x78A0A09F20B19512, "rpg_guys_fire" },
    { 0x582B95BF82849D83, "rpg_impact" },
    { 0xD1217986100808B1, "rpg_impact_source" },
    { 0x0EC790A5A57365CF, "rpg_interaction" },
    { 0x9E3BC0DE3A974BEE, "rpg_kill_handler" },
    { 0x04E983646AC0120B, "rpg_left_allies" },
    { 0x4398EB8EC43118A4, "rpg_left_fov_checks" },
    { 0x64B04506C0D7BF84, "rpg_left_spawn" },
    { 0x71B68FE7AEE0DF3B, "rpg_max_range" },
    { 0x7C02E67296A185E8, "rpg_notify" },
    { 0x15E8FC071F0C07C6, "rpg_on_back" },
    { 0x2271F45A7926A4F0, "rpg_on_rebels" },
    { 0xB3987640B48DE713, "rpg_picked_up" },
    { 0x2DFCFA30F878093E, "rpg_playerrepulsor" },
    { 0x43977028E36B4A1D, "rpg_respawning" },
    { 0x72086F9BFF4FAB24, "rpg_right_allies" },
    { 0x49F48C22B55545F3, "rpg_right_allies_post" },
    { 0x656C962071C7A6F9, "rpg_right_spawn" },
    { 0xD4EBDA48714CC8B3, "rpg_shoot_at_trig_watch" },
    { 0x6EC903FDA7DC3A9C, "rpg_shoot_at_trigs" },
    { 0x6912B19B43733647, "rpg_skit_after_spawn" },
    { 0x386A013CFE016C6F, "rpg_think" },
    { 0xF0766A40CA59639F, "rpgafterspawnfunc" },
    { 0x05C6383C175557AD, "rpgambusherskilled" },
    { 0xB64CFAF52A07711F, "rpgcrateenduse" },
    { 0x63D562CC7DA5F88C, "rpgcrateuseteamupdater" },
    { 0x28B9CA805BBAA4CD, "rpggetclosetoapc" },
    { 0x5635C5828F0C77F7, "rpgplayerrepulsor" },
    { 0x5B074EDD00CA499C, "rpgplayerrepulsor_create" },
    { 0xF486151DE941EC20, "rpgplayerrepulsor_getnummisses" },
    { 0x2715A0C5093278F5, "rpgs" },
    { 0x7F3FBD158B3A58D3, "ru_1_shot_at" },
    { 0xC46AD8FA531AB0FA, "ru_2_shot_at" },
    { 0xDFABCFB662731E64, "rubble_crumble" },
    { 0x5522BB4463E7506D, "rubble_hint" },
    { 0x0F208596AB6698E8, "rugby" },
    { 0x8D610CBE29A36FD3, "rugbyjugginfo" },
    { 0x5A57C6B41F4F6F7B, "rugbyoverheadoutlines" },
    { 0xFA0528A840017C80, "rule_type" },
    { 0x57B95496E0A24BFC, "rules" },
    { 0x519514C527F90DAB, "rumb" },
    { 0x40FB495B171289AD, "rumbforclient" },
    { 0x75EB27E1CF83CA40, "rumble" },
    { 0xB9689AE20BF301D9, "rumble_basetime" },
    { 0xCFC131DE3D34C485, "rumble_duration" },
    { 0xC382F7A1A7C940DE, "rumble_for_client" },
    { 0x3231E1A60F92C2B9, "rumble_low" },
    { 0x1F3952924D3C603F, "rumble_nearby_players" },
    { 0x549BDDD2219B4C98, "rumble_on_breach" },
    { 0x6BEEEAB3266117AD, "rumble_on_death" },
    { 0x60EB46EA29D1984B, "rumble_radius" },
    { 0xADEE84F204D29537, "rumble_ramp_off" },
    { 0xFDA63CEE3DD932F3, "rumble_ramp_on" },
    { 0xFD873BEE3DB6DEDF, "rumble_ramp_to" },
    { 0x327690A5CD0C28A8, "rumble_randomaditionaltime" },
    { 0x5156B5954B088719, "rumble_scale" },
    { 0x56E1D97EF2AACA75, "rumbleent" },
    { 0xC0D1F4B18FDA4F29, "rumbleon" },
    { 0xC3B6B609AFDAEBBC, "rumbletrigger" },
    { 0xCB5D0803141400FE, "run" },
    { 0x08AF1D4A3396B6B2, "run_accuracy" },
    { 0x57C213155A8944FE, "run_adrenaline_visuals" },
    { 0xE014C4F7DACF11EF, "run_ai_anim" },
    { 0x9106D0524BB86E9D, "run_ai_anim_nonarc" },
    { 0x5FFF750CAA587864, "run_ai_post_spawn_actions" },
    { 0x096DCAA165E429B3, "run_ai_post_spawn_init" },
    { 0x35D0270EA0AC2CEE, "run_aievent_func" },
    { 0x0B3BD8527A52CBF7, "run_airdrop_spawn_loop" },
    { 0xEA46DCEDE76B15A0, "run_aitype_spawn_func" },
    { 0x306E980E7F7D5525, "run_and_die" },
    { 0x705ACD573CEDBA7C, "run_and_stop_group_after" },
    { 0xFD03F5311A830819, "run_anim_alias" },
    { 0xBEA784E4FCE5154F, "run_anim_override" },
    { 0xD5B589CF5298DB83, "run_animatedenemiesdamagelogic" },
    { 0x964321315298E715, "run_animatedstretcherguardsalertedlogic" },
    { 0x67079DF4527928B6, "run_ball" },
    { 0x478280C2FC7DF584, "run_blended_interaction" },
    { 0x91EE75C9C469179F, "run_blima_exfil_sequence" },
    { 0x04EF1745EEE3450C, "run_call_after_wait_array" },
    { 0xF4500F114A8C4AA5, "run_cleanup_funcs_for_unused_objectives" },
    { 0x7D65D35091E71B82, "run_combat_func" },
    { 0x7F9D9963342C5E6C, "run_common_functions" },
    { 0xF6D28F7987DE592F, "run_common_functions_solider_stealth" },
    { 0xCCAC831AAE675D98, "run_common_functions_stealth" },
    { 0xEFC49195818EEFE9, "run_convoy_roaming" },
    { 0x10A4E2B3271BEE3F, "run_cp_blockade_start_spawning" },
    { 0x39D52A62096693FA, "run_cp_donetsk_start_spawning" },
    { 0xD4E480BB92E21828, "run_current_spawn_group" },
    { 0x44F2BC5BDB269F88, "run_deadeye_charge_watcher" },
    { 0x52001FC254658501, "run_debug_start_objective" },
    { 0xCA0634958131C122, "run_default_threads" },
    { 0xDBDB8BE45FDB39A1, "run_dialogue" },
    { 0xA47F28E621E7BA6D, "run_dialoguelogic" },
    { 0xF3E6F0526DDBA0B1, "run_died_poorly_funcs" },
    { 0x9852BA0764C1F92D, "run_door_spawn_end_funcs" },
    { 0x7932C80490FDB864, "run_elevator_spawners_event" },
    { 0xADE979A0714B4EC5, "run_enemylogic" },
    { 0x517B50FDB00472CE, "run_example_interactable" },
    { 0xC99BA53439340030, "run_farahpathlogic" },
    { 0xE474DFF838DD349E, "run_func_after_wait_array" },
    { 0xE744ED94509B43BF, "run_func_on_each_player" },
    { 0xDEE22B2C7B81BB32, "run_func_on_group_by_groupname" },
    { 0x57226A3663C47A2C, "run_getanimatedenemies" },
    { 0xE1096505489F093A, "run_getanimatedstretcher" },
    { 0xCBBDCF1B6CE3A7E0, "run_getanimationstruct" },
    { 0x7BAA03270D521951, "run_getenemyvehicle" },
    { 0x06BE96132BA53FAE, "run_getfarahanimationstruct" },
    { 0xC85FCF2CD2F2F655, "run_getvehiclespawner" },
    { 0x398365A22ED89E7F, "run_global_functions_for_relics" },
    { 0x9E5E38FDB0E648B3, "run_group_death_funcs" },
    { 0x9B9155D1C1F7ECA2, "run_guards_spawner" },
    { 0xC93D2F1C76C0CCD6, "run_helicopter_boss" },
    { 0xB6FB2BFCD4E2C292, "run_hotjoin_loadout_thread" },
    { 0xEFDB55A16325F981, "run_hud_logic" },
    { 0x98D359B315436A00, "run_juggheli_extraction" },
    { 0xAD268876323FA32C, "run_kill_watcher" },
    { 0x36CE2512CBD1CCE8, "run_laser_vfx_loop" },
    { 0x6403BF5D88C1EE50, "run_lbravo_spawner" },
    { 0x1F4629A0B514D93C, "run_lbravos_safehouse" },
    { 0x9F524D2481849E22, "run_main" },
    { 0x176BE8D4D70367E6, "run_maze_ai_common_function_stealth" },
    { 0x6950F0980309F563, "run_mission" },
    { 0x8147E633B9C25C30, "run_modular_spawning_func" },
    { 0x489CB3422E3C7AF5, "run_module_init_funcs_on_module_struct" },
    { 0xDBDF8F7803153982, "run_module_pause_funcs" },
    { 0x1D840BC60C37EE5B, "run_module_unpause_funcs" },
    { 0x5B6D7FABCAA7C3C2, "run_n_gun" },
    { 0x3B0D4F51311E5CE8, "run_noself_call_after_wait_array" },
    { 0x3DC240B4B91ACBEE, "run_objective" },
    { 0xA287C07F0D3A4598, "run_open_door_anim" },
    { 0x8CA12A0AB2D33F29, "run_openexfil_spawn" },
    { 0xDD1EB122ED21BC1D, "run_override_weights" },
    { 0xE57AAD2888F41872, "run_overrideanim" },
    { 0x3095A16275377BAA, "run_path_node_removal" },
    { 0x9AA4AAB9A0384FE2, "run_post_module_actions" },
    { 0xB29670047A0930D4, "run_rate_max" },
    { 0xB2735E0479E2C186, "run_rate_min" },
    { 0xC859B9986317D98A, "run_rearguard" },
    { 0x7E08F5D6A2D3E096, "run_reminders" },
    { 0xDC7C04A38E44B0AB, "run_repeating_event" },
    { 0xEEB3DDC2792C705E, "run_script_func_when_triggered" },
    { 0x703367FA918FBBB7, "run_scripted_anim" },
    { 0xCCDB781D5A221D49, "run_scripted_state_machine" },
    { 0xB946E32D1D1466B3, "run_scripted_state_machine_nonarc" },
    { 0x30338BE8BD103B76, "run_single_grid_point_test" },
    { 0x8DDE2C5B169380E8, "run_spawn_functions" },
    { 0x71E940084A0E59C7, "run_spawn_module" },
    { 0xF54E4D99D2C3256B, "run_spawn_module_till_kill_trig" },
    { 0x9230382C7B3A808D, "run_spawnanimatedenemies" },
    { 0x8BE410A7DE2EE17A, "run_spawnenemies" },
    { 0xF4387F099ED244A8, "run_spawnenemieslogic" },
    { 0xFD49F2057066C1C0, "run_spawner_post_spawn_actions" },
    { 0x156915D69ECD5BC9, "run_spawnfuncs" },
    { 0x0159D586D900841A, "run_spawnvehicle" },
    { 0x28B78F6DE26466EE, "run_speed" },
    { 0x611AB5D09CA9DBC1, "run_start" },
    { 0xB665FBD89432BA4A, "run_stealth_funcs" },
    { 0xFBE8CF6B483A4341, "run_super_loop" },
    { 0xD4F3A648A05AC2C3, "run_suppression_logic" },
    { 0x5459A84274870B0B, "run_techo_spawner" },
    { 0xEB998034417BAB27, "run_techos_extraction" },
    { 0x44CCD4C65CD90151, "run_thread_on_noteworthy" },
    { 0xD0C9651B9427094C, "run_thread_on_targetname" },
    { 0xBFB48938D40C18E8, "run_through_timestamps" },
    { 0x53486BB76676CDCC, "run_timely_torrent" },
    { 0x7B51EC6C921B4D0D, "run_to_and_launch_flare" },
    { 0xEA6E8B2CDB54D4BB, "run_to_and_plant_bomb" },
    { 0x077D96A17D6596D5, "run_to_and_set_alarm" },
    { 0xED5DECB40D4B565B, "run_to_bomb_location" },
    { 0xF78E863A3631092B, "run_to_launcher" },
    { 0x8FFA297449266645, "run_to_new_spot_and_setup_gun" },
    { 0xC3E278D9208CBC80, "run_to_position" },
    { 0xE3A58DBA51F17767, "run_to_retreat_spot" },
    { 0x735F2BE378D3CBAC, "run_track_enemy_patrollers" },
    { 0x321DFE1FFCA17D83, "run_trap_room_combat" },
    { 0x715F9CB33CCC9F10, "run_trigger_func" },
    { 0x47763BAFAAA2647B, "run_triggered_module_registration" },
    { 0x44DCEFC4F7A62EE1, "run_vehicle_group_with_respawn_on_failed_unload" },
    { 0x3A9B1A333C9B004D, "run_vehiclelogic" },
    { 0xE4956BD7318FF52E, "run_vehiclesfxlogic" },
    { 0x038DC4A95DC7BDB3, "run_weapons_free_funcs" },
    { 0xDFF2D92879A29F9D, "runadsawareness" },
    { 0x5A3D6F7A127B56E7, "runanim" },
    { 0x2551D3FCA1808BAF, "runaonrules" },
    { 0x30527CAAB96992BE, "runarenaloadoutrulesonplayer" },
    { 0x6BAFB2B69BD15A25, "runautocircle" },
    { 0xE2BA4B15BC3777EE, "runbrgametypefunc" },
    { 0xD72AF8CCEDFC9008, "runbrgametypefunc6" },
    { 0x805DCB381E78C70E, "runbtmflags" },
    { 0xB37481A6A457E0A7, "runby_manager" },
    { 0xBA8684E9F2790302, "runcamoscripts" },
    { 0x06933078605A866F, "runcircles" },
    { 0x6192EA6E64B3B61F, "runcontrolledcallback" },
    { 0xE1B5F4D1C558A8F7, "runcooldown" },
    { 0x402D2F491492563F, "runcost" },
    { 0x5C28C10BCACDF662, "runcruisepredator" },
    { 0x2A565DD41FD39185, "runcurrentspawngroup" },
    { 0xAA2F80EF19FB8F06, "rundebugstartobjective" },
    { 0x9EE18D23E83A6107, "rundebugvfxcircletest" },
    { 0x535BB6DF266A1551, "rundelay" },
    { 0x7B8663D9F9533698, "rundisconnectcallbacks" },
    { 0x336D17A3FDE8754C, "rundomplateskybeam" },
    { 0x666AAF60FA3BEA74, "rundrawprematchareas" },
    { 0x4CB0DD7827C35E86, "rundronehive" },
    { 0xFA2C2A8D09A703CE, "runequipmentping" },
    { 0xBF4EFF15FF5AE872, "runexfil" },
    { 0xF20650DCF1A8FB2C, "runexfilnotactivefill" },
    { 0x0CBA5EC700EDEAF3, "runexfilwaitactiveunfill" },
    { 0x73CD64FEEB67E7AD, "runextractreroll" },
    { 0xA78DB6D19A0C6EC6, "runflickerroutine" },
    { 0x3134E3A0286F8ACC, "runfrontlinespawntrapchecks" },
    { 0x04CEA4C11F361EFB, "rungwperif_flak" },
    { 0xF065E2E0959134C0, "rungwperif_largeexplosions" },
    { 0xFBB5803CA3BE6ABA, "rungwperif_planes" },
    { 0xE49C1E2ADFF558C3, "rungwperif_plumes" },
    { 0x5A404A58D7ED62DD, "rungwperif_tracers" },
    { 0x8546DDADBA2CD87F, "rungwperifeffets" },
    { 0x9D7140E5CCCA8BAB, "runheadgear" },
    { 0x466B8D715C043F87, "runheadgeareffects" },
    { 0xF2AAA04E7B071D6F, "runheliextraction" },
    { 0x2B5409B36EA98D10, "runhover" },
    { 0x07980FB0A23D3028, "runjiprules" },
    { 0xA0710136977EFDE1, "runjoininprogresstimeout" },
    { 0x8E1D941E535470FF, "runkillstreakreward" },
    { 0xCB307DB53B193A43, "runkilltriger" },
    { 0x0A8B193876F47500, "runlauncherlogic" },
    { 0x049A351258BFE897, "runleadmarkers" },
    { 0x79B4CDD527E70C5D, "runleanthreadmode" },
    { 0xAC95DBF556F244EA, "runlightswitch" },
    { 0x417BC686A7E424B7, "runlogicbasedoncircuitbreaker" },
    { 0x310D696EA99D1B92, "runmainobjective" },
    { 0xEBDC6C9F87EA7AF7, "runmissionrewarddelivery" },
    { 0xF6C0947324E7FD23, "runmisteffects" },
    { 0x4367863FD137B468, "runmomentum" },
    { 0xF18429A40F8A97E8, "runmprangefinder" },
    { 0xB34678F60BBC17C7, "runner" },
    { 0xB362589FA9C58E71, "runner1_behavior" },
    { 0xD569D9BEA2EC127A, "runner2_behavior" },
    { 0x3D2050BD5AF1F674, "runner2_deathfunc" },
    { 0x4F6F3AD3FEEF6BE7, "runner_1f" },
    { 0xDC667FE298B53437, "runner_flashbang_watcher" },
    { 0x7A3BE89C0EA3FBF5, "runner_got_away" },
    { 0x678D63ADFCE234B7, "runner_temp_death" },
    { 0xA47A964E0D93B85C, "runnextmode" },
    { 0x1D97FE1BE479D14A, "runngun" },
    { 0x81AA9586136340CE, "runngun_watchapproach" },
    { 0x47EB27C82D8EA277, "runngundisableaim" },
    { 0x81B437B20723D86B, "runnguntime" },
    { 0x3BF8591BFB3DB218, "running" },
    { 0xDD5D122C579B0334, "running_away_watcher" },
    { 0xA61A5178AB4C318B, "running_trip_stance" },
    { 0xAA92653098463DF3, "runningtovehicle" },
    { 0xF6F47106663749EA, "runnormaldomflags" },
    { 0xB30473F60B73732F, "runnvg" },
    { 0x02C3DF3FCF82A9D8, "runobjectivecam" },
    { 0xFA150E54045FD86F, "runobjectiveloop" },
    { 0xFF434C79206F4ED6, "runobjectives" },
    { 0x12E702C68DA4F2B5, "runobjflag" },
    { 0x10B71BEA35FA1632, "runpain" },
    { 0x37E22D5D9B27A68C, "runpassthroughtype" },
    { 0x4F43C82DB71FD46F, "runplunderextractsitetimer" },
    { 0xCFAB23B19740B6D0, "runprematch" },
    { 0xB4A70A6C278E7560, "runpubliceventoftype" },
    { 0x51BB206BAE21AA1A, "runqueuedtaunts" },
    { 0x5B187163BD92FEA3, "runscoperadarinloop" },
    { 0x54FE79C7DAA2F740, "runsecondaryobjectives" },
    { 0x75BFE733F135085C, "runslamzoomonspawn" },
    { 0x456C0860C0BA97C5, "runspawnmodule" },
    { 0x97D9B0BA7947EE2D, "runspawnmodule_isolated" },
    { 0x7B17152C32412574, "runtacopsmap" },
    { 0x34927B13A1931A18, "runtacopsshowteamicons" },
    { 0x2171F7333E6F1CDD, "runto_arrived" },
    { 0xDED4B6480C2DC401, "runtovehicleoverride" },
    { 0x7CF38BEE98B62E42, "runtrackempsignatures" },
    { 0x06D8FA8C1320AD56, "runtrackkillstreakuse" },
    { 0xD01C56A67948C696, "runtvdestructible" },
    { 0x578513250979A59C, "runupdates" },
    { 0x1312A96FB2153FE9, "runway_convoys" },
    { 0x5DD46FDE2B75EEB7, "runweaponscriptvfx" },
    { 0xCE226E21D6C943B8, "runzonethink" },
    { 0x648F57B9521A03C8, "rus_overlook_patrol_spawnfunc" },
    { 0xD06BAA678E5033BE, "rush_dudes_think" },
    { 0x2BFBAAD7E2E93103, "rushing_player" },
    { 0xC61D5A85F55FCA0C, "rushtimer" },
    { 0xAA06B324A9D13520, "rushtimeramount" },
    { 0x1C19CF944B16E39D, "rushtimerteam" },
    { 0x66A6133DC29E1963, "russian_carhide_convo" },
    { 0xD1FE7D4855124B6D, "russian_found_revolver" },
    { 0x60E67E8F366A3027, "russian_gas_blocker_array" },
    { 0x60EB5A3E8B8C0534, "russian_gas_briefing_straggler_ai" },
    { 0x582582E9BD9B9821, "russian_gas_patrol_array" },
    { 0x56B7EAC835DBD744, "russian_patroller_investigate" },
    { 0x154B42F5A1C33ED7, "russian_patroller_spawn_func" },
    { 0xCE065980DC8EB166, "russian_patroller_spawn_func_no_flashlight" },
    { 0x82926CCC93FFCA71, "russian_patroller_spawn_func_no_flashlight_ignore" },
    { 0xE6E370BC445E14DB, "russian_patroller_stealth_filter" },
    { 0x7B6A9C90C5694F3C, "russian_shooter_1_ai" },
    { 0x4B77D44F5237B303, "russian_shooter_2_ai" },
    { 0x7221985FD4A2120E, "russian_shooter_3_ai" },
    { 0xA076801BB77BBDA5, "russian_shooter_4_ai" },
    { 0xC39F4B2C2D90FFBC, "russian_vo" },
    { 0x981B42FF9243E0B6, "russianletter" },
    { 0x6B3D68B51BC900B5, "russians_enemyinfinitespawninglogic" },
    { 0x39DEA55BBEC51D26, "russians_getenemygoalcount" },
    { 0xC7B218D628566589, "russians_getenemyinfinitespawners" },
    { 0x4CA3D07E46CAA1BE, "russians_infiniteenemylogic" },
    { 0xE32E0F3C6E05EB19, "russians_main" },
    { 0x99066C32C414F1E6, "russians_playerinfiniteenemiessurvivaltimelogic" },
    { 0x19F2470FE8643697, "russians_playerkillcounterlogic" },
    { 0x11B7CC8A29E22004, "russians_playerkillcounterworthy" },
    { 0xA96C3E091B7FE21A, "russians_setenemygoalcount" },
    { 0xC65EE370FBEB3C00, "russians_start" },
    { 0xFC6EAF71093DBDD1, "russiansenemygoalcount" },
    { 0xAC0E434AC96A7346, "s" },
    { 0x37A5C59A9921E411, "saboteurgotocache" },
    { 0x47EE3583DBA006F8, "saboteurlogic" },
    { 0x9E7BD6550D0E24B4, "safe_delete_distance" },
    { 0x81D82860766B90D4, "safe_to_authenticate" },
    { 0x1CDF4D10ED3136E0, "safe_to_shoot_missiles" },
    { 0xF37B2D7584CA7A9B, "safe_to_start_objective" },
    { 0xDC73E38F89A3ED37, "safe_trigger" },
    { 0x609C81B5344E71EB, "safe_zoom_end_think" },
    { 0x1B42A58377ADFD16, "safe_zoom_in_listen" },
    { 0x27636D0097ABE0F1, "safe_zoom_out_listen" },
    { 0x5ACFA5A8A35DB92D, "safe_zoom_think" },
    { 0xB433B921CFC111A3, "safebreathrange" },
    { 0xDBC036F226E2ADDC, "safechecknum" },
    { 0x435776AFD636A0FD, "safecheckstring" },
    { 0x37BDD2CAEF69E1A0, "safecheckweapon" },
    { 0xEE913EBF6940FE1D, "safecircleent" },
    { 0xEEB0A4588DE6222A, "safecircleui" },
    { 0x3B60FADB3B0D3520, "safedefaultfov" },
    { 0xB386E4DC6E246F7F, "safedelete" },
    { 0x826429CD01750B66, "safedestroy" },
    { 0x66E01EBDD38FBA2D, "safedivide" },
    { 0x0F2D25EC8F30B769, "safefromnuke" },
    { 0xEAED278EE1ECB620, "safehouse_create_loot" },
    { 0x16104EF360C2A217, "safehouse_debug_func" },
    { 0xE2E9D5FCCDDBEFC6, "safehouse_edit_loadout" },
    { 0xE03E1261BDFFAD45, "safehouse_gunshop_edit_loadout" },
    { 0x9AEA5B7C2D8235DB, "safehouse_hotjoin_func" },
    { 0xADABAD437C651E4C, "safehouse_interior_catchup" },
    { 0x3CB39F75DA7F20DF, "safehouse_interior_main" },
    { 0x71B851609B97DB80, "safehouse_interior_mix" },
    { 0x8CED3DB1125F8776, "safehouse_interior_start" },
    { 0x9F9634B854253444, "safehouse_loadout_interaction" },
    { 0xAA4F4C1DEA49162D, "safehouse_obj_func" },
    { 0xD10DABCDC3BCFCFC, "safehouse_outside_runners" },
    { 0x52AB284E2DE45DD3, "safehouse_outside_runners_behavior" },
    { 0x2A84C7271967A6C3, "safehouse_regroup" },
    { 0xA79E9282BEEE201C, "safehouse_restart" },
    { 0xE6AAB09041E3F327, "safehouse_revive_and_move_players" },
    { 0x0CFCC0D8A845F37D, "safehouse_s11_obj_func" },
    { 0x70B990B12DFF8608, "safehouse_spawn" },
    { 0xEA0253F9655BE0F0, "safehouse_struct" },
    { 0x5AE292BB894DF9DB, "safehouse_vo_return_end" },
    { 0x4A0F5DDE9E9B806E, "safehouse_vo_return_start" },
    { 0x6D6ADD5847A09F6D, "safehouse_vo_start" },
    { 0x8ED8F231CDE4A92E, "safehouse_yasim" },
    { 0xEBEED21F499F55A4, "safelyplayanimatrateuntilnotetrack" },
    { 0x93AC4B795F441A62, "safelyplayanimnatrateuntilnotetrack" },
    { 0x66C431A3385A31F9, "safelyplayanimnuntilnotetrack" },
    { 0x0780A3B9801E9DE7, "safelyplayanimuntilnotetrack" },
    { 0x07048C3A40C38368, "safemod" },
    { 0x02A7B976BBD2D19E, "safeorigin" },
    { 0x9292875B66791A0F, "saferoom" },
    { 0xCA3D21FA0D50D202, "saferoom_catchup" },
    { 0x671104F515ADDF20, "saferoom_door" },
    { 0x61088A04CEC3F44D, "saferoom_door_delay_notify_for_keypad" },
    { 0x8C88E0F478C39C99, "saferoom_escape_screens" },
    { 0x2209D6A410226F4E, "saferoom_fill_light" },
    { 0xB088874C59EDE072, "saferoom_kyle_fill_light" },
    { 0x24E6388CAF538963, "saferoom_kyle_rim_light" },
    { 0xA7A7F1E198867F5F, "saferoom_last_nag_time" },
    { 0xF00129F02A75A699, "saferoom_last_nagger" },
    { 0x69A191CA9E1F571D, "saferoom_main" },
    { 0x2E7C117C1FB0868E, "saferoom_player_aware_of_teleport" },
    { 0xDD6E8DE429AEFA71, "saferoom_player_uses_buzzer" },
    { 0x61AF111EF75E5B5D, "saferoom_price" },
    { 0x31C7EA2CD3B38C07, "saferoom_price_behind_catchup" },
    { 0x30B7A87BC4BFB393, "saferoom_price_reach_or_skip" },
    { 0x3D132476D2CB73C7, "saferoom_rim_light" },
    { 0xDA2CD8B8B335CE61, "saferoom_scene_then_idle" },
    { 0x558EA1F24D32AE45, "saferoom_screens" },
    { 0x86D0F0D43C7CEA1F, "saferoom_setup_doors_and_ap" },
    { 0xF9DE202EFC224421, "saferoom_setup_mic" },
    { 0x05650EB6752F95CC, "saferoom_start" },
    { 0x428936592B593199, "saferoom_teleport_price" },
    { 0x026B0F62F222E620, "safesetalpha" },
    { 0x6F80717828683D1C, "safestop" },
    { 0xB088F1585321F7AF, "safeteleport" },
    { 0x1024B2A5067DEDFA, "safetochangescript" },
    { 0xB70623AF87892AA5, "said_around_corner_hallway" },
    { 0xA9950C31352B165D, "said_body" },
    { 0x3F9CC9D6F1F1BBC2, "said_bravo3_vo" },
    { 0xE9B9E31255F0CCF7, "said_cart" },
    { 0xC2D459E6FDEFFFF8, "said_cont_hallway" },
    { 0x8C02858EAE4E4B6B, "said_hallway_corner" },
    { 0x486D5B4CED487E69, "said_pillar" },
    { 0xCD68B72A7DC4389B, "said_shelf" },
    { 0x05211962CC519342, "saidtoorecently" },
    { 0xF43FCFDED643EA5F, "sales_discount" },
    { 0x205BAB8DE636A8B4, "sales_discount_items" },
    { 0xD4ADC1E2F34E4E9E, "salter" },
    { 0x24753C846FED28D6, "sam_acquiretarget" },
    { 0xF7B29359B3285D09, "sam_attacktargets" },
    { 0xDA3B5B931F89340D, "sam_fireontarget" },
    { 0x1A66DDA3D355C8ED, "sam_watchcrashing" },
    { 0xA6EAECEEAA5942BB, "sam_watchlaser" },
    { 0x7CDBD933EE726DB0, "sam_watchleaving" },
    { 0xCEE72BFD81F878F0, "sam_watchlineofsight" },
    { 0xBC9623F0853C3E4D, "samdamagescale" },
    { 0xE912DBE73949AA19, "same_color_code_as_last_time" },
    { 0x8D6C47E1E73582A3, "sammissilegroup" },
    { 0x3AA4E5CF7AAEAF70, "sammissilegroups" },
    { 0xF1FD1D5D92D82816, "samtargetent" },
    { 0x167EE8D2425D8AF2, "samturret" },
    { 0x6F7131DAFA2C7257, "sandbox_combat_area" },
    { 0xBE72D4335F468910, "sandbox_combat_area_bits" },
    { 0xBC852C20A7BC369C, "sandbox_safe_area" },
    { 0x67BE236293E92FC0, "sandbox_safe_area_count" },
    { 0x9758DB333E874823, "sandboxobjectivesa" },
    { 0xB4D2EF9E0B309536, "sandboxprintlinebold" },
    { 0xA997F647B64DBA5B, "sandboxprintlineboldwait" },
    { 0x82B1FF512C5E5292, "sandboxrewarda" },
    { 0x65BC74C954726778, "sappliedstages" },
    { 0xBE31EC030AEAEA42, "sas" },
    { 0x32B47DB102A19AE9, "sas1" },
    { 0x32B47AB102A19450, "sas2" },
    { 0xE471A6E569CCF8AA, "sas_hero_sun" },
    { 0x56AB174A915187F5, "sas_spawn_func" },
    { 0xD707791026044B25, "sat_activate" },
    { 0x83939C2E4D37A74C, "sat_adjust_think" },
    { 0x9C54026687F0DF1F, "sat_choose_missing_piece" },
    { 0xB614FFE38A05697C, "sat_computer_init" },
    { 0x377DDCF3FF4F1C4A, "sat_computer_think" },
    { 0x0604D446F4B626AF, "sat_computer_think_new" },
    { 0x932AD9F3383E43DB, "sat_connected" },
    { 0xD9F6D5DCCC432293, "sat_create_interaction" },
    { 0x0F21E0DF920A7F30, "sat_damage_monitor" },
    { 0x109109A60E480F5D, "sat_get_piece" },
    { 0xAE4E05927BB6B42B, "sat_get_signal_strength" },
    { 0x84BA09CC12B2AFAD, "sat_hack_paused_monitor" },
    { 0x7037F5E5BF5C0879, "sat_handle_player_disconnect" },
    { 0xDD4A9C8C03EFA34A, "sat_loop" },
    { 0x71834E8208B5C68E, "sat_missing_pieces" },
    { 0xCB2CE77A1E478076, "sat_piece" },
    { 0x2B70C3BB575B28FD, "sat_piece_think" },
    { 0x3DCE6A3558A4EFAA, "sat_play_unfolding_sounds" },
    { 0x1BD3569041607F81, "sat_setup" },
    { 0xACCB01B0A5F6A700, "sat_setup_access_card_pickup" },
    { 0xBE87EE000DCE98F8, "sat_setup_access_cards" },
    { 0xD1FEC8018FB23DEB, "sat_setup_interactions" },
    { 0x8BB5911D6BC51A0D, "sat_setup_usb_keys" },
    { 0xDA26B725B8CA8645, "sat_setup_usb_pickup" },
    { 0x142FA5DD51FD927E, "sat_signal_lost_nag" },
    { 0xC88D4834FA1CC5CF, "sat_signal_shift" },
    { 0x290B90048C5C544C, "sat_sound_think" },
    { 0xEF542C14A6648F2F, "sat_wait_for_access_card" },
    { 0x279471DDAFC23E26, "sat_wait_for_activated_think" },
    { 0x7F180533FB753165, "sat_wait_for_all_connected" },
    { 0x2C59931113248F99, "sat_wait_for_antenna" },
    { 0x04F71ACB97E18B9C, "sat_wait_for_connect" },
    { 0x8D9B31529EBC2F09, "sat_wait_for_connection_think" },
    { 0x3DA65CEAB257C14E, "sat_wait_for_controller" },
    { 0xFD8AF0CBC212875D, "sat_wait_for_piece_added" },
    { 0xF7DC93A0E322185F, "sat_wait_for_power" },
    { 0x43459CE3B7CC3E68, "sat_wait_for_power_think" },
    { 0x8041E66D2758D7E6, "sat_wait_for_radar" },
    { 0x8E63D12A883EC9D0, "sat_wait_for_signal_transfer" },
    { 0x553EB48D486295B1, "sat_wait_for_transmission_start" },
    { 0x5068936488E0130D, "satellitecount" },
    { 0xA9EF182E3729B286, "satelliteiconid" },
    { 0xB13079D9D1F451DB, "satellitekeyboard" },
    { 0x63E5796E27FD6B1F, "satellitetruckactivetimeseconds" },
    { 0x2FCEEFF43D8E04B8, "satellitetruckplundercost" },
    { 0x9881C36BD4EB8F77, "sats_active" },
    { 0x40E3A274A7322A28, "sats_connected" },
    { 0x32A73DB10292F9A4, "save" },
    { 0x5D3559194CA33ECF, "save_after_rockets" },
    { 0x2B621EBFCB715EF1, "save_at_mh_building" },
    { 0x55F8A3774CD414E0, "save_building_autosave" },
    { 0xB21A14CC6D0FB0E3, "save_game_after_battlefield" },
    { 0xD1DE60C987B3B532, "save_intel_for_all_players" },
    { 0x3A1A115A9C215811, "save_last_goal" },
    { 0xDCD1A42B8D42856B, "save_on_return_to_compound" },
    { 0x577AE01ACD7B262F, "save_outline_settings" },
    { 0x3B39E3A8224B8CBF, "save_trace_data" },
    { 0x2581FB5C3A34F5F5, "save_turret_sharing_info" },
    { 0x8B617B3A7173068E, "saveaarawards" },
    { 0x1B79D772EB1E8621, "saveaarawardsonroundswitch" },
    { 0xF838FD087F5241E1, "savealtstates" },
    { 0xCDBC58A2F3B5A67E, "savecommit_aftergrenade" },
    { 0xE650502F4391CAB3, "saved_actionslotdata" },
    { 0x227F427988BCB22C, "saved_last_stand_pistol" },
    { 0x4DA9C7B7F60AC52D, "saved_lastweapon" },
    { 0x8F304C7E0D1DBC70, "saved_lastweaponhack" },
    { 0xB4FF54CC643DBDCD, "saved_script_forcegoal" },
    { 0x1BA508D67379176F, "saved_struct_paths" },
    { 0xCB5C9DE200E0CCB2, "savedaarawards" },
    { 0x6FB5E1262456FBE0, "savedangles" },
    { 0xE9D8503B1A2CB6FB, "saveddoorspeed" },
    { 0x2B42F6FCBBDDC9D7, "savedexecutionref" },
    { 0x1F87C43E4CB27481, "savedintensity" },
    { 0x9E0847CE18E5FF93, "savedmorales" },
    { 0xDAA92BE918B44326, "savedsegmentposition" },
    { 0x765AB58B22F6A163, "saveendgamelocals" },
    { 0x58DCB11B5A8AA9EE, "savegame" },
    { 0xF76E4ED6CF94BF94, "savegamenocommit" },
    { 0x2BEA85BE703CFD5F, "savegraverobberammo" },
    { 0x1C1E528275BB39B3, "savematchrulestohistory" },
    { 0xE5480B7A679B2C6E, "savenvgstate" },
    { 0xCF1C282E214ECE08, "savepotgdata" },
    { 0x5A94228C290E112E, "savetogglescopestates" },
    { 0x416693E2CEA74CCC, "savetostructfn" },
    { 0x9BF55E03AC0122FA, "saveweaponstates" },
    { 0xC8EB784017E692CC, "saw_2_angles" },
    { 0xB4F4D4B5C3F6EC16, "saw_2_origin" },
    { 0x053C5D0336E77F01, "saw_3_angles" },
    { 0xEA97271D753768DF, "saw_3_origin" },
    { 0x5DD0B1AFDD8076DA, "saw_4_angles" },
    { 0x858F92D464ED0BA0, "saw_4_origin" },
    { 0x76BDE1BC6235AF6B, "saw_angles" },
    { 0xE917DE77CAF9E399, "saw_armory" },
    { 0xAA0BFD3A10879032, "saw_fallback_positions" },
    { 0xE9F9AB310FF7EAA7, "saw_head_icon" },
    { 0xF5B11B7E22EA5E1D, "saw_headicons" },
    { 0xDE364141D2B57E0D, "saw_mgturretlink" },
    { 0x6AA881E0BC403695, "saw_origin" },
    { 0xB518B591DB6AD7A4, "saw_pickup_think" },
    { 0x4358683C87C30A49, "saw_remove_icon" },
    { 0xAB2F597C0268E8B0, "saw_watch_for_stop_interaction" },
    { 0xBE31F2030AEAF774, "say" },
    { 0x6CF7C8E3053F66BA, "say_array" },
    { 0x945D52177F3644FF, "say_as_chatter" },
    { 0xD23EB48DFABAA7F4, "say_as_chatter_with_gesture" },
    { 0xDB1CEDD690619858, "say_choke_stab_vo_01" },
    { 0xDB1CF0D690619EF1, "say_choke_stab_vo_02" },
    { 0xDB1CEFD690619CBE, "say_choke_stab_vo_03" },
    { 0x7E661D5A1BAA1B0C, "say_if_good_distance" },
    { 0x5866BF7D7F5C9369, "say_line_as_chatter_on_closest_ally" },
    { 0x44EAFB02D935DB84, "say_line_on_closest_ally" },
    { 0x2049CF85FEBBB862, "say_line_on_enemy_radio" },
    { 0x77117A6E06E0BFC6, "say_offhand_nag" },
    { 0xCE1F8CC4E537B6DB, "say_on_closest_enemy" },
    { 0xB95996555982842B, "say_on_enemy_radio" },
    { 0x26C2F9B607F1DD79, "say_on_kill_ai_type" },
    { 0xEB237B99D0C6B0D8, "say_on_see_butcher" },
    { 0xFAA974522A91C6BC, "say_sequence" },
    { 0x6F9D67AD04099607, "say_sequence_as_chatter" },
    { 0x17E1C4C2FC327554, "say_vo_item" },
    { 0x03CCC519B10E4955, "say_weapon_pickup_line" },
    { 0x80C54A938BF1B054, "say_wolf_line" },
    { 0xE4B1A6994E5A988F, "sayall" },
    { 0x4C3F44F858C379B7, "saygenericdialogue" },
    { 0xC19DE0960630CA06, "saylocalsound" },
    { 0x9F98698ACFFCEF8A, "sayspecificdialogue" },
    { 0x6C154E3F740DA9B5, "sayteam" },
    { 0x56179E87674061FF, "saytoself" },
    { 0x50BD31F3C1F4D5DD, "scaffolding_choice" },
    { 0x7277CBB2CD6DB582, "scaffolding_combat" },
    { 0x5B7CF950C825F613, "scaffolding_mayhem" },
    { 0xBA3CCBD34F2096DD, "scaffolding_rocket_watcher" },
    { 0x62CAE4E7F83A81AF, "scalar_projection" },
    { 0x06075E193F757745, "scale" },
    { 0x3B33978A7262854F, "scale_alien_damage_by_perks" },
    { 0x662A6CE36A04F7C7, "scale_alien_damage_by_prestige" },
    { 0x308444161ECE6747, "scale_alien_damage_by_weapon_type" },
    { 0x2731A53BBF5622CF, "scale_anim_on_player_speed" },
    { 0x7DB8CFB798DB3694, "scale_gravity" },
    { 0x65DF4C909C5678C9, "scale_off_bravo_audio" },
    { 0xF297C84157155CE7, "scale_player_death_shield_duration" },
    { 0x7C00A96F6D48B571, "scale_speed" },
    { 0x06ADC7EFBBEEFA0A, "scale_youngfarrah_firetime" },
    { 0x9032FAB87416A0CA, "scalebattlechatterfrequency" },
    { 0xFB591EE515E1DC2C, "scaled_duration" },
    { 0x0759B9BB8980EE97, "scaledsaytime" },
    { 0xCCDE27C9C11196FE, "scaleovertime" },
    { 0xD467F33E1B8AEDD1, "scalepitch" },
    { 0x488534D0117071CE, "scalertoscaleinfo" },
    { 0xF164B03DD6ED1910, "scalesitesbyteams" },
    { 0xF518102B7CFBCCFA, "scalesoundpitch" },
    { 0xB809AC1036CF22C0, "scalesoundsubmix" },
    { 0xFACC7F2AEB779026, "scalesoundvolume" },
    { 0xF4604329F388A96F, "scalevolume" },
    { 0xB7AB2E868F553B27, "scalex" },
    { 0xB7AB2D868F5538F4, "scaley" },
    { 0x42297912A78C999C, "scanning_camera_anchor" },
    { 0x8A81B5B21DAFA5E6, "scanning_mode_get_target_in_circle_omnvar_value" },
    { 0xDE7316EC40BC645A, "scared_civs_cower" },
    { 0x82D793A07287B7DE, "scared_civs_notice_player" },
    { 0x1B83FBE0E0009CA9, "scared_civs_player_looking" },
    { 0xCBEFA097F5A448EF, "scared_civs_trigger_grenade" },
    { 0x32FD43C4CD2E5A37, "scav_hudenabled" },
    { 0xB9598376B2051DB7, "scav_itemcount_hud" },
    { 0xCFFCA3D093F4CCC9, "scavengebagthink" },
    { 0x1EDE4DA734CC3C80, "scavengebagusemonitoring" },
    { 0x9D21C458427BB04B, "scavengeditems" },
    { 0xC2B7E21D79F6CD37, "scavenger" },
    { 0x80D79C2C34069E1C, "scavenger_altmode" },
    { 0x4F59339CF0B6F36D, "scavenger_budget_delete" },
    { 0xD800985FA8593076, "scavenger_cache_hint" },
    { 0x7CCD7BFCCE5BD19A, "scavenger_secondary" },
    { 0xDA78FE251CBD3C63, "scavenger_vo_when_close" },
    { 0x20AAC12C2286E02D, "scavengerammo" },
    { 0x9450EAD04C88BAFF, "scavengerbagcleanupthink" },
    { 0xEFA32B1D98B1AB16, "scavengerbagtimeoutthink" },
    { 0x4E1A47A1FD38785B, "scavengerbagusesetup" },
    { 0xE73B91A9E6834070, "scavengergiveammo" },
    { 0xE9819FE6436B6719, "scavengerinventory" },
    { 0xBCAE589BECDD7864, "scavengerlootcacheused" },
    { 0xCE04B6191724CA3F, "scene" },
    { 0xEE9906402F2324B9, "scene_alex_flare_support_breakout" },
    { 0x9F2A5D569C6D4551, "scene_ally_drag" },
    { 0x987DAB8784514611, "scene_bookcase" },
    { 0x5DA10AEE989AA880, "scene_flare_react" },
    { 0xABE250BF4BA9AA67, "scene_flare_react_break_out" },
    { 0x325749A25275EB90, "scene_gate_farah" },
    { 0xE586EC2DC8D97EAE, "scene_glass_killer" },
    { 0x6EBEA2D8650F5662, "scene_intro" },
    { 0xBFF0A55B37132B75, "scene_intro_return" },
    { 0x5763A63DDDD824D1, "scene_intro_to_ai" },
    { 0xE3AF707FD1027562, "scene_intro_to_roof_to_idle" },
    { 0x5F6D9340FE32E989, "scene_intro_to_rooftops" },
    { 0x0F21488966335BB0, "scene_kill_target" },
    { 0xC899D27730B9FA05, "scene_mayhem" },
    { 0x29A090EF2924330A, "scene_mortars" },
    { 0xCFA16251E542A1DD, "scene_mortars_ai_to_anim" },
    { 0x75688ADDF8AEBCEC, "scene_node" },
    { 0xF76AA7C3A8082A80, "scene_opening" },
    { 0x796922FB4C8AF460, "scene_pep_talk" },
    { 0x71B427F1EFDFE000, "scene_room_beating" },
    { 0xE62A7BF1CBA80740, "scene_sequential_sounter" },
    { 0x9D4591FC242DA862, "scene_sniper_roof" },
    { 0xD39581DEF35C3BFF, "scene_table_beating" },
    { 0x891BC333D719AFE8, "scene_triage" },
    { 0xE3578995556AB151, "scene_triage_to_exit" },
    { 0x4A2EA8F6B9F47907, "scene_triage_to_idle" },
    { 0x28D856E096AB2DE3, "scene_truck_gate" },
    { 0xB3AA72889ED2DF3F, "scene_trucks_drive_in" },
    { 0x7C0605D6FC484DE5, "scene_wall_kill" },
    { 0xCA38486812F5B11A, "scene_wounded" },
    { 0x864EB7D79FB51A7F, "sceneangles" },
    { 0x9954E7F09F609AF2, "sceneid" },
    { 0x9F174BD1F34A5DDF, "scenenode" },
    { 0xFDBC957964F92846, "scenenodekey" },
    { 0x70F95642ED7C76C4, "scenenodeoffset" },
    { 0x2A996ABA0C8C0144, "scenenodes" },
    { 0xD5BCA42A11D393BB, "school_guards_behavior" },
    { 0x825653DEBC55A915, "school_guards_behavior_internal" },
    { 0xCCED49B4A021E105, "school_guards_rpg_guys" },
    { 0x6C774FD323F2BA1D, "school_guards_rpg_shoot_into_windows" },
    { 0x678A4332D11B6E44, "school_guards_wake_behavior" },
    { 0x876DAB8795965ECB, "sciprt_mover_use_object_wait_for_disconnect" },
    { 0x45203B48C90A159E, "scn_infil_hackney_heli_npc1" },
    { 0x45203A48C90A136B, "scn_infil_hackney_heli_npc2" },
    { 0x45203948C90A1138, "scn_infil_hackney_heli_npc3" },
    { 0x45204048C90A209D, "scn_infil_hackney_heli_npc4" },
    { 0x45203F48C90A1E6A, "scn_infil_hackney_heli_npc5" },
    { 0x45203E48C90A1C37, "scn_infil_hackney_heli_npc6" },
    { 0x9B7CCE8C6195ECBF, "scn_infil_tango_npc_0_sfx" },
    { 0xB73587E3BF4491A0, "scn_infil_tango_npc_1_sfx" },
    { 0x9223302DBADE7C51, "scn_infil_tango_npc_2_sfx" },
    { 0x23FDD3AFFB07A3B2, "scn_infil_tango_npc_3_sfx" },
    { 0x5699F3415DE00963, "scn_infil_tango_npc_4_sfx" },
    { 0x6344D3FD2C6DF1E4, "scn_infil_tango_npc_5_sfx" },
    { 0x313F08BEDE0B46F3, "scomboname" },
    { 0x3CE31C18ACBD443F, "scope" },
    { 0xB71DA6A28F78B752, "scope_ads" },
    { 0xD525FDA2A5DBC288, "scope_cap" },
    { 0xB66DB96DD5368B59, "scope_center" },
    { 0x5DC8C0212E214116, "scope_swap_hint_check" },
    { 0xCCC6B8A35BBDE71B, "scope_top" },
    { 0x23577D9F6A26ABBC, "scopemodel" },
    { 0xE5BE2EE594CA33AD, "scoperadar_executeping" },
    { 0x4366ED0432D1B872, "scoperadar_executevisuals" },
    { 0x11AAC5A572647D20, "scopevarindex" },
    { 0x3CEC2018ACC76BB9, "score" },
    { 0xEC49C4AE90D02F08, "score_accuracy_think" },
    { 0xF213A47624E3A440, "score_added" },
    { 0xC4664F234FC20729, "score_ai_spawns" },
    { 0x0DA57BF0D396E94A, "score_calculate" },
    { 0xFAF95ABFBFE0479D, "score_earned" },
    { 0x842C2702B1A43C82, "score_event_accuracy" },
    { 0x4EF2AC2D314B9DB0, "score_event_civilian_hit" },
    { 0xFD2019A13E5B78FE, "score_event_civilian_killed" },
    { 0x9F6A003086370B6A, "score_event_collateral" },
    { 0x778F81CA4ED76F17, "score_event_enemy_killed" },
    { 0xDF0605E8B0C630A5, "score_event_fob_cleared" },
    { 0x366655FA7CCC8D99, "score_event_headshot" },
    { 0xA21FF829A1BF8F23, "score_event_kill" },
    { 0x597E268075B7F696, "score_event_nuked" },
    { 0xBC1F8DDDB41FD57C, "score_event_target_hit" },
    { 0x49D071F9CDEA9959, "score_event_time_remaining" },
    { 0x6777E68D627F0C0B, "score_event_turret_killed" },
    { 0x5129DD0E51D41ECC, "score_factor_ai" },
    { 0x20BE24A296AFF3AC, "score_fx" },
    { 0xA7A31766590E7FF8, "score_init" },
    { 0xDE1F67029CD718E8, "score_initialized_once" },
    { 0x07C5D83CD0F68199, "score_message" },
    { 0xDB2C3CE5BABA1333, "score_message_spawners" },
    { 0x17BFB00ED0141E6D, "score_spawner_relative_to_objective" },
    { 0xF92C0DC785FAF483, "score_valid_spawnpoints" },
    { 0xBD71C4340427F075, "scoreamount" },
    { 0x65DB22DA76438982, "scorebuddyspawn" },
    { 0xB18254779AA85C4C, "scorecarry" },
    { 0x285B5772D1EC8A3B, "scoreconfirm" },
    { 0xA4F9B8C3E6F1D4F3, "scoredeny" },
    { 0x91B3C1638A526CD4, "scoreeventalwaysshowassplash" },
    { 0x2C1CC1BB13648232, "scoreeventcount" },
    { 0x1F9DDE30803A5A0A, "scoreeventhastext" },
    { 0x493693462A073631, "scoreeventlistindex" },
    { 0x338A9BFB736AD85A, "scoreeventlistsize" },
    { 0xCD142843C070A8C4, "scoreeventnoweaponxp" },
    { 0x743305BFADF23C0B, "scoreeventpopup" },
    { 0x809C58A1F42A6072, "scoreeventqueue" },
    { 0xC11CAA3B0BE521EC, "scoreeventref" },
    { 0xE6ECFFCE1212373C, "scorefrozentimer" },
    { 0x9ABCD1D673F4E1A1, "scorefrozenuntil" },
    { 0xB89E91A52C3F7872, "scorehostage" },
    { 0xB847BA8C99762A81, "scoreinfo" },
    { 0xCB5074BDB2E1FB51, "scoreleadchanged" },
    { 0x04E14D5AAD2EB528, "scorelimit" },
    { 0xC9447C09D71452B8, "scorelimitoverride" },
    { 0x117A8BBA109DA7D2, "scorelimitreached" },
    { 0x2A16471EFB79BAEB, "scoreminimum" },
    { 0x1C7B38A1D83BE637, "scoremod" },
    { 0x28CEFABE2FB9AA68, "scoreontargetplayer" },
    { 0xF0FD38827F9D90BC, "scorepercentagecutoff" },
    { 0x27934A1D052E749D, "scoreperplayer" },
    { 0x6FBA0B131D81EF25, "scorepertick" },
    { 0x2B5A5A9F5B54CEA4, "scorepointspopup" },
    { 0x4D87CFBBBF86D915, "scorepointsqueue" },
    { 0x7E0187A16478BB14, "scorepop" },
    { 0x9C51AAB8F17CAEF9, "scorepopup" },
    { 0x1A3D293D3FFFC03D, "scorerequiresbanking" },
    { 0x86DBE717080E514A, "scorespawnpoint" },
    { 0x6EB4C8E75F401057, "scorestreakvariantattackerinfo" },
    { 0x9F5B573537544143, "scorethrow" },
    { 0x508ED548CB945F10, "scoretick" },
    { 0x6ABDDA82291AD682, "scoreupdatetotal" },
    { 0x707686A9B029796B, "scoringtime" },
    { 0xD3B4F7B05BB46F5C, "scout_drone" },
    { 0x8FF2633851D8E5C2, "scout_drone_clean_up" },
    { 0x6BD4EDF072EBEA95, "scout_drone_clean_up_func" },
    { 0xCEEB23937C6FE8F5, "scout_drone_mark_npcs" },
    { 0x38711CD535F04925, "scout_drone_markvehicles" },
    { 0x988AB9427716587D, "scouting_main" },
    { 0xBD5D63EED3A7EBAC, "scouting_start" },
    { 0xC8D0E2B24F365123, "scoutpingmod" },
    { 0xF8BB1178A2FC36F6, "scoutpingpreviousstage" },
    { 0x9B65364C834A74B3, "scoutpingradius" },
    { 0xC3AC8E54D28A668E, "scoutsweeptime" },
    { 0xBFAE756829F42F2D, "scr_anim" },
    { 0xC4EAB63B811CF76E, "scr_animname" },
    { 0xE09BF456C0C564AC, "scr_animsound" },
    { 0x76C183401807677D, "scr_animtree" },
    { 0x744C049993E54A01, "scr_arm_numnonrallyvehicles" },
    { 0x784707498069980A, "scr_blockin" },
    { 0xAD8A02066585D4C8, "scr_br_assassination_quest" },
    { 0xEDAFED4E70E6D492, "scr_br_collection_findpath" },
    { 0x513D3F8897155D2A, "scr_br_dom_quest" },
    { 0xDD429E663DF090B4, "scr_br_scavenger_findpath" },
    { 0x318F34C95B0B1F4A, "scr_br_scavenger_quest" },
    { 0x0329A09DA93493C5, "scr_eventanim" },
    { 0xDEEC1ADD68611719, "scr_face" },
    { 0xC91CFFF5B189A053, "scr_gesture" },
    { 0x889F6E89BF102A62, "scr_goaltime" },
    { 0xB301989B663A092A, "scr_head" },
    { 0xD77545F312C1719B, "scr_look" },
    { 0x7D5F38A17E2A110E, "scr_lookat" },
    { 0xE035B92A49B4CD85, "scr_model" },
    { 0x477311C126C1218B, "scr_notetrack" },
    { 0x69A107E92DD97CA8, "scr_plrdialogue" },
    { 0xA4F51D0BE5EAC66B, "scr_radio" },
    { 0xF8C100486B5DFF37, "scr_sound" },
    { 0xD0017638302A517F, "scr_text" },
    { 0x37C98B208EF13F06, "scr_traverse" },
    { 0x4A0B8571E735BC37, "scr_viewmodelanim" },
    { 0x3189D46EEE2D336C, "scr_weapon" },
    { 0x15BE4DB0524F1327, "scragentbeginmelee" },
    { 0xE7518B55B623640C, "scragentclaimnode" },
    { 0x3D1B1DFA49C66CC9, "scragentdoanimlerp" },
    { 0xD35272F651453BD8, "scragentdoanimrelative" },
    { 0x8757FB13472DAC18, "scragentdotrajectory" },
    { 0xC9019D1EC47AFF6B, "scragentgetgoalpos" },
    { 0x0A42503D5BCF95D8, "scragentgetmaxturnspeed" },
    { 0x864DC0FBAEBBEC27, "scragentrelinquishclaimednode" },
    { 0x21FA30E1D0C37FD6, "scragentsetanimmode" },
    { 0x964126E627ACED8D, "scragentsetanimscale" },
    { 0x7C8BDCA54651B439, "scragentsetclipmode" },
    { 0x68020603718710C8, "scragentsetgoalentity" },
    { 0xF1C40F303C08717F, "scragentsetgoalnode" },
    { 0x7ACB5C3533A922FF, "scragentsetgoalpos" },
    { 0x6EF230284307DB3D, "scragentsetgoalradius" },
    { 0x7D7DED575B9CC3EC, "scragentsetmaxturnspeed" },
    { 0xF107F44209931C82, "scragentsetorientmode" },
    { 0xB84754040F27869A, "scragentsetphysicsmode" },
    { 0x804E7D2D5801B00E, "scragentsetscripted" },
    { 0xDBA9946D057B829A, "scragentsetunittype" },
    { 0x93D7DEC09E0CC39A, "scragentsetviewheight" },
    { 0xABFDF8007368FF08, "scragentsetwallruncost" },
    { 0xFE4D9A845E1FB3CB, "scragentsetwaypoint" },
    { 0x26FA3BB0AA145B5D, "scragentusemodelcollisionbounds" },
    { 0x4D5662F59BBC18AC, "scramble_acquiretarget" },
    { 0xDC931CF8C3D57D97, "scramble_watchcrashing" },
    { 0xE993181A7CD072A5, "scramble_watchlaser" },
    { 0xEBB05DEF4CBC2476, "scramble_watchleaving" },
    { 0xBB979D88EF2FE3FE, "scramble_watchlineofsight" },
    { 0x7CED5471CBBAD16E, "scramblebeginuse" },
    { 0x679169A8ED9FB47C, "scramblebink" },
    { 0x53451BBF4F9DE0B2, "scrambled" },
    { 0xF51315A93D75FECB, "scrambledby" },
    { 0x01863BA945D5A63F, "scrambleent" },
    { 0x534525BF4F9DF6B0, "scrambler" },
    { 0x077DDACEFBE4BB21, "scrambler_cleanup_player" },
    { 0xD880A303E80D874D, "scrambler_executevisuals" },
    { 0xC5F0DE74EEF3508F, "scrambler_stun_damage" },
    { 0x7510CA85345C4FD9, "scramblerdrone_counteruavmodeoff" },
    { 0xD73057964A35E33D, "scramblerdrone_counteruavmodeon" },
    { 0xBD2F2CD007509B85, "scramblerdrone_equipment_wrapper" },
    { 0xBF08C6BC1865AED9, "scramblers" },
    { 0x1D350B4EA855B0C3, "scrambletarget" },
    { 0x4F623D0AE754DB40, "scrambletargetent" },
    { 0xF52CBF9AAE1983E6, "scrambleturretattacktargets" },
    { 0x50F0FE22A37FE0B3, "scrambleusefinished" },
    { 0x53407EA0EF875744, "scrapassistdamage" },
    { 0x1CEF732EBA4408E1, "screams_when_seeing_enemy" },
    { 0xBF9DFBF632BD15E5, "screen" },
    { 0x15535AD8A1163C42, "screen_corner_line" },
    { 0x131A877EAA9D8D45, "screen_detailed_alpha" },
    { 0x9637A9351DA19C00, "screen_fade_back_to_normal" },
    { 0x534B56E103F84AC0, "screen_fade_to_black" },
    { 0xBED1926B469EF79B, "screen_model" },
    { 0xE9E45BC5FD4565AD, "screen_shake_infil" },
    { 0xAC59710C4E3FF77C, "screen_shake_landing" },
    { 0x9D457D4B55502B0F, "screen_shake_pre_infil" },
    { 0x13564A817C02ECDD, "screen_shake_stuff" },
    { 0x9BE46F07B71AF2B8, "screeneffectcleanup" },
    { 0x898F32CB43FFFAFA, "screenent" },
    { 0x7003BA65CA18C9DA, "screenent_a" },
    { 0x7003B965CA18C7A7, "screenent_b" },
    { 0x7003B865CA18C574, "screenent_c" },
    { 0x7003B765CA18C341, "screenent_d" },
    { 0x7F8778A7A52DC6BE, "screenprint_dosceneprintplayback" },
    { 0x597409DBC028D833, "screenprint_newpotgchosen" },
    { 0x2586B47195D678E2, "screens" },
    { 0x274F3729561D44C8, "screens_alertflip" },
    { 0xCB8C396E6A3669BD, "screens_bink" },
    { 0xA3CD93B78D71784F, "screens_create" },
    { 0xA0F6354D81972E8D, "screens_damage_think" },
    { 0x034E91DF691F1B2D, "screens_debug_counter" },
    { 0xA0DE48FF79067434, "screens_delete" },
    { 0xB9ED60D000BE57F3, "screens_fixed" },
    { 0xE8495AAE5D923F6B, "screens_flagged" },
    { 0x8AECD30C65F96C34, "screens_flip" },
    { 0x2473A787E626F050, "screens_fliprnd" },
    { 0x578811872588A909, "screens_off_test" },
    { 0x5DB79DC5BD6622AE, "screens_red" },
    { 0x7E92A8BE4EBB818D, "screens_static" },
    { 0x6083B6FBC0556571, "screens_think" },
    { 0x6D25722E458C705C, "screens_think_func" },
    { 0x2203036864012D45, "screens_wait_for_flag" },
    { 0xE56ED5457CDC2DEF, "screens_widget" },
    { 0xF0E06E7AA8FD23AE, "screensaver" },
    { 0x27A0940CE2736619, "screensaver_play" },
    { 0x1B5C99B70D7CB5A8, "screensaver_point_create" },
    { 0x919016A05E561E92, "screensaver_record" },
    { 0xFA7AE48FDEF309E5, "screensaverpath" },
    { 0x8111D316E1958815, "screenshake" },
    { 0x8EBB1FB4F90C415B, "screenshakeonentity" },
    { 0x360DDAFF2AAE1569, "scrip_delay_post" },
    { 0x6A35FFF6AE81417E, "script" },
    { 0xA6A07EB15926596D, "script_accel" },
    { 0x9FDEA760F534756C, "script_accel_fraction" },
    { 0x059EA28DC1E27599, "script_accumulate" },
    { 0xABF33DE55297C032, "script_accuracy" },
    { 0xE9836E588E3F2701, "script_ai_invulnerable" },
    { 0x1577F9CD1ED78B34, "script_aigroup" },
    { 0x8D1BCA051FDA5888, "script_airresistance" },
    { 0x75AEA7046867E6B8, "script_airspeed" },
    { 0x5A074954B643F136, "script_allow_driver_death" },
    { 0xC3EF4451EE9F0917, "script_allow_rider_deaths" },
    { 0xFB62AF7C47253176, "script_allowdeath" },
    { 0x794388FDCB7B4C94, "script_ammo_alt_clip" },
    { 0x33992B95A9880B60, "script_ammo_alt_extra" },
    { 0xD0D672428E365A1C, "script_ammo_clip" },
    { 0x97FB515955E58768, "script_ammo_extra" },
    { 0x95BA45689CFB3B1C, "script_ammo_max" },
    { 0x63EA298409EE56DF, "script_angle_max" },
    { 0xFE0696D9966D2993, "script_angles" },
    { 0x7EE4412C8A27F58E, "script_anglevehicle" },
    { 0x4080C6369A72600B, "script_animation" },
    { 0x86F7A7789C01E26C, "script_animation_exit" },
    { 0xABF3F9E854B4E5D4, "script_animation_type" },
    { 0xECB2B189EFFAF721, "script_animname" },
    { 0x5B9E078985A16276, "script_animnode" },
    { 0xEB2FDDD46E0F5C09, "script_arbitrary_up" },
    { 0x14EA16B66A3EB9FE, "script_area" },
    { 0x10451631FA70C4D2, "script_assaultnode" },
    { 0x7D568560A64E5B94, "script_attacker_accuracy" },
    { 0x7EE9DEC603CCC7DD, "script_attackeraccuracy" },
    { 0x78CC2DAC7278CFDD, "script_attackmetype" },
    { 0x2415BB97CFB04EF3, "script_attackpattern" },
    { 0xCE706A9158D6D4F6, "script_attackspeed" },
    { 0xF594390F1FF6AB2F, "script_audio_blend_mode" },
    { 0xBBCA250BBDA8B3B1, "script_audio_enter_func" },
    { 0x377606A9CE0B86EC, "script_audio_enter_msg" },
    { 0x9909681C6433DF0F, "script_audio_exit_func" },
    { 0xD039555256976A1A, "script_audio_exit_msg" },
    { 0x006C57B309E4F734, "script_audio_parameters" },
    { 0xA419E1E9AE61BD81, "script_audio_point_func" },
    { 0x3FC24A9EC1473DC2, "script_audio_progress_func" },
    { 0x0F1671E301089A3A, "script_audio_progress_map" },
    { 0x0EC77CE300B2044D, "script_audio_progress_msg" },
    { 0xB5F8A900A00BEF88, "script_audio_update_rate" },
    { 0xDB236EA7CDA4786F, "script_audio_zones" },
    { 0x274475D3051F1BE5, "script_autosave" },
    { 0xAB48054E454EA846, "script_autosavename" },
    { 0x1A8AF27130521671, "script_autotarget" },
    { 0xEC64E30F547B93FD, "script_avoidplayer" },
    { 0xDEE92252F4BEB451, "script_avoidvehicles" },
    { 0x730980DD51964329, "script_badplace" },
    { 0x26B24ADE962BB481, "script_balcony" },
    { 0x4B17C9F79570946A, "script_battlechatter" },
    { 0xA590F6B883D7118E, "script_battleplan" },
    { 0xDD29C2D07CA4C770, "script_bcdialog" },
    { 0xEB422EDBB7636A1C, "script_bctrigger" },
    { 0x3ECCB26CA56A2636, "script_bg_offset" },
    { 0xFB2AD6505308CDCC, "script_block" },
    { 0x8F2EED73B16B74B5, "script_bodyonly" },
    { 0x4D9501CB2DAC38C3, "script_bombmode_dual" },
    { 0x16854C366566ABDE, "script_bombmode_original" },
    { 0x14489BB78BC03575, "script_bombmode_single" },
    { 0x5BF5D2CC41F9E95A, "script_bombplayer" },
    { 0xA562327F87A52ED6, "script_brake" },
    { 0x3B576BC4BFABF12A, "script_breach_id" },
    { 0x8DC5F6EBB52B7AB5, "script_breachgroup" },
    { 0x7E9821925855A4A6, "script_brushmodel" },
    { 0xD3C7DF76BE5C3C9A, "script_bulletshield" },
    { 0x382F44F51A97D997, "script_burst" },
    { 0xDB51F1A73517CE3B, "script_burst_fire_rate" },
    { 0xE4FA6D769F38A816, "script_burst_max" },
    { 0xE4D77F769F1287F4, "script_burst_min" },
    { 0xDDA3E288443C276E, "script_callsign" },
    { 0xE5C456697A110A0C, "script_car_collision" },
    { 0xD456C3818315FAE5, "script_careful" },
    { 0xAE3B7FB7DA920BA3, "script_chance" },
    { 0xF8D0D6FD5C30FE9F, "script_char_group" },
    { 0x0A40590C86E0F908, "script_char_index" },
    { 0x05141DE0DE12A714, "script_chatgroup" },
    { 0xAFF9081815EB9070, "script_civilian_state" },
    { 0x6C05D17CCB3BCFE8, "script_cleartargetyaw" },
    { 0x3067EC39F429D5DD, "script_cobratarget" },
    { 0xEFC3E63940EDE349, "script_collision_delete" },
    { 0x6459C47258D6B8B2, "script_color" },
    { 0x882387796037C180, "script_color2" },
    { 0x08A9D7C2912C0EBC, "script_color_01" },
    { 0x08A9DAC2912C1555, "script_color_02" },
    { 0xE3373B5480240EED, "script_color_allies" },
    { 0xD61E356F5493CEE2, "script_color_axis" },
    { 0x625852D91E9F7823, "script_color_delay_override" },
    { 0x9EE52A89C01C5EC6, "script_colorlast" },
    { 0x40560419EFC426E5, "script_combatbehavior" },
    { 0x028511FB79C61FEC, "script_combatmode" },
    { 0x074A0A457D21BCD1, "script_control_enter" },
    { 0xB0C971734C11C072, "script_count" },
    { 0xC806398D00C194BF, "script_count_max" },
    { 0xC7E3278D009B2571, "script_count_min" },
    { 0x2036174EB90E591E, "script_crashtype" },
    { 0xB8405658F09FD362, "script_damage" },
    { 0x8DBC6A4BBE92C334, "script_danger_react" },
    { 0xAF9E4A8D643B69E7, "script_death" },
    { 0x950F9681E8C39F3E, "script_deathanim" },
    { 0x8798E75345883D5C, "script_deathchain" },
    { 0xF51B300D066FB099, "script_deathflag" },
    { 0x14CA498F3BF32F7E, "script_deathflag_longdeath" },
    { 0x5D789BDFC17F8D78, "script_deathroll" },
    { 0xFAF2C2AE8E819836, "script_deathtime" },
    { 0xCD71768D7A639178, "script_decel" },
    { 0xE76ABCA26CEC1E03, "script_decel_fraction" },
    { 0x5232008DDC7FDDC2, "script_delay" },
    { 0x43D527FBED3516D0, "script_delay2" },
    { 0x7C69F0D7D5BA0D21, "script_delay2_max" },
    { 0x7C8D02D7D5E07C6F, "script_delay2_min" },
    { 0xD01826B6E47474CF, "script_delay_max" },
    { 0xCFF434B6E44C18E1, "script_delay_min" },
    { 0xCD3B9266068E78E9, "script_delay_post" },
    { 0x62C2DFF55EC77F62, "script_delay_spawn" },
    { 0x374DB479C4E346E5, "script_delayed_playerseek" },
    { 0x0C3756FBC552F0F0, "script_delete" },
    { 0x619FE791B1A4F97E, "script_deleteai" },
    { 0xA31BB9C2BFA04738, "script_demeanor" },
    { 0x436FBEFA8C2A6B27, "script_demeanor_post" },
    { 0x4AFBCD322FC5EBD9, "script_deplay_post" },
    { 0x10DACD418AF823B2, "script_destruct_collision" },
    { 0x8F057D14A717FA77, "script_destructable_area" },
    { 0x18CD66BCBBA1A681, "script_destructible" },
    { 0x7F1FAC7F7EDC4321, "script_dialogue" },
    { 0xCC7AE727C180218A, "script_diequietly" },
    { 0x0B731291CA7E1172, "script_difficulty" },
    { 0xD3C713BD5569E570, "script_disable_arrivals" },
    { 0x5225EF075CE84CAF, "script_disable_exits" },
    { 0xC2538A011FD77AEE, "script_disable_unloadoffset" },
    { 0x96F1007900214023, "script_disconnectpaths" },
    { 0x37145DF4C7BF3E84, "script_displaceable" },
    { 0x5A296029158870CE, "script_dist_only" },
    { 0xA46BD2721D7644C8, "script_do_arrival" },
    { 0x0F648BF6CB192741, "script_do_arrivals" },
    { 0x0F678219D9441F80, "script_do_exits" },
    { 0x10F491454C6B656E, "script_dof_far_blur" },
    { 0x04454E5F5D4C0EF0, "script_dof_far_end" },
    { 0x60682BDEE8A07BD1, "script_dof_far_start" },
    { 0x910F6BCC5C9D7CA9, "script_dof_near_blur" },
    { 0x2A097A82871AFC95, "script_dof_near_end" },
    { 0xBEEBFD4F26B389CC, "script_dof_near_start" },
    { 0x224BC4CE51B74AB0, "script_dont_link_turret" },
    { 0x95455E0243767FAB, "script_dontpeek" },
    { 0x3857C362D8EF78CC, "script_dontremove" },
    { 0xADA7CE60CE3EA03A, "script_dontshootwhilemoving" },
    { 0x7B13310E3B4FF0DF, "script_dontunloadonend" },
    { 0x7790FC37192771AE, "script_dot" },
    { 0x410C5AC05A153F2F, "script_drone" },
    { 0x8182C50ADA1044A0, "script_drone_override" },
    { 0xB7FAF57C988529EF, "script_drone_repeat_count" },
    { 0x06809EE6B19E4EBD, "script_dronelag" },
    { 0xACD9495DB4CAE435, "script_drones_max" },
    { 0xACFC335DB4F0FB8B, "script_drones_min" },
    { 0xAF257B30C00D0474, "script_dronestartmove" },
    { 0x92BC35BEC0D44327, "script_duration" },
    { 0xE90CD542C7492B6E, "script_earthquake" },
    { 0x8A456ABC5205D144, "script_emptyspawner" },
    { 0x6A3EAF370FD3B1A0, "script_end" },
    { 0x4746E25B46964557, "script_ender" },
    { 0x3271A1E59B67E8A8, "script_enemyselector" },
    { 0xA57419022BA98968, "script_engage" },
    { 0x9644A6B81FC95D47, "script_engagedelay" },
    { 0x2999A765F3169848, "script_engine_states" },
    { 0x32546E69C503582D, "script_ent_flag_clear" },
    { 0x9B916FC3EE515E70, "script_ent_flag_set" },
    { 0x242C1A3D2FE45BA1, "script_ent_flag_wait" },
    { 0x51E894CCB666BCA0, "script_envonly" },
    { 0xFDF2E67D0A596E8B, "script_escalation_level" },
    { 0xD99755C89CCB6D44, "script_explode" },
    { 0x533EDE30D3612DC2, "script_exploder" },
    { 0xB698418C08C71CF6, "script_exploder_delay" },
    { 0xC9E883D6CD5E9C31, "script_explosive_bullet_shield" },
    { 0xB0C3D079AD6239AE, "script_faceangles" },
    { 0xE3FAC29FCAA7528A, "script_faceenemydist" },
    { 0x57441E3C4ABFD293, "script_fakeactor" },
    { 0x1962DCD40917ACC0, "script_fakeactor_node" },
    { 0xA48901E6C85E9995, "script_fallback_group" },
    { 0x0199BFD362A0C5FF, "script_falldirection" },
    { 0x8967C1DEF59D7BC1, "script_favoriteenemy" },
    { 0x12B0CA56B334BBB3, "script_fightdist" },
    { 0x0CDA3D9796B52859, "script_firefx" },
    { 0x2FFEDB43350A74FC, "script_firefxdelay" },
    { 0x45FB943907491CE0, "script_firefxsound" },
    { 0x3B6ED92F99F49214, "script_firefxtimeout" },
    { 0x77B0FD8E22A978D3, "script_firelink" },
    { 0xC8EC047381C2F8CD, "script_fireondrones" },
    { 0x557B7B7CACF8DC3F, "script_fixednode" },
    { 0x6BE8D0FA2B0CFBDD, "script_flag" },
    { 0x1CB6C0F0F474F0F7, "script_flag_clear" },
    { 0xB32FAF735333474D, "script_flag_false" },
    { 0xDBA111D6D3786452, "script_flag_min" },
    { 0x6C84C5D73D9B7FBE, "script_flag_set" },
    { 0x82091C186C542DFA, "script_flag_true" },
    { 0x0AD4ABF9C265AECB, "script_flag_wait" },
    { 0xF113A934B77872F2, "script_flakaicount" },
    { 0xD84D2D26AE36E458, "script_followmax" },
    { 0xD8702326AE5D1612, "script_followmin" },
    { 0xB1C2CB11B570252D, "script_followmode" },
    { 0xFDC4E04E6D74C4D2, "script_force_color" },
    { 0x4E998D4F6583C292, "script_force_count" },
    { 0x5854332BB387DE08, "script_forcebalconydeath" },
    { 0x5F8AAD8639B3B221, "script_forcecolor" },
    { 0x75793BE105236E96, "script_forcefire_delay" },
    { 0x193CF9C32A8C80D3, "script_forcefire_duration" },
    { 0xB80E30B1DDBB0FF1, "script_forcegoal" },
    { 0x4EBDC2498660C564, "script_forcegrenade" },
    { 0x79BAAA259468C7DD, "script_forcespawn" },
    { 0x9D60BA65BFF2B7B1, "script_forcespawndist" },
    { 0x6A7DCCBF0006DEA1, "script_forceyaw" },
    { 0x363AA08A873F8C51, "script_fov_inner" },
    { 0xC350DBB79CB4A6F2, "script_fov_outer" },
    { 0xE74AECFB41F2CAD9, "script_free" },
    { 0x54315E3C924E15FA, "script_friendly_fire_disable" },
    { 0x8DCDBBA105A6BA14, "script_friendname" },
    { 0x822E0A1F6DABF085, "script_friendnames" },
    { 0xBCB56BFB2313E659, "script_func" },
    { 0x63717CE5CAA907F3, "script_function" },
    { 0x1BC52119A536CA82, "script_fxcommand" },
    { 0x21B1B44AE622D11C, "script_fxgroup" },
    { 0x8E3E11FAFFF061D0, "script_fxid" },
    { 0x9A3BFDA7E24D450F, "script_fxstart" },
    { 0x244642E1D564C6F5, "script_fxstop" },
    { 0x44A831E6D6131AFE, "script_gameobject" },
    { 0xD8768D8364CB841D, "script_gameobjectname" },
    { 0x042EF3F6B0540E84, "script_gameobjetname" },
    { 0x603E671A322DD679, "script_gametype_ctf" },
    { 0xE64EAB20C92A368D, "script_gametype_dm" },
    { 0xE660A720C93E6B1D, "script_gametype_hq" },
    { 0xDEC3EB550B070DC0, "script_gametype_koth" },
    { 0xE67F8420C9607005, "script_gametype_sd" },
    { 0x936BED1B14451E0D, "script_gametype_tdm" },
    { 0xAFD1AD28DC76D6F2, "script_gesture" },
    { 0x971D4E2576E3FEA7, "script_goal_radius" },
    { 0x1E8EDC6801FA5051, "script_goal_type" },
    { 0x2E08B28C2657DF0C, "script_goal_yaw" },
    { 0xED6F3B1AC18C9D7F, "script_goalheight" },
    { 0xD38122EA4D449DFE, "script_goalvolume" },
    { 0x79CCBF88B8873E37, "script_goalyaw" },
    { 0x9BA3B261026E6070, "script_godmode" },
    { 0xB5552DDDD6F3ECD0, "script_grenades" },
    { 0xCB4520BEBD1978AA, "script_grenadeshield" },
    { 0xC134B9C0194462BE, "script_grenadespeed" },
    { 0xCFF81A3E0D19D7CA, "script_group" },
    { 0xA1094DE5EED5B751, "script_groupname" },
    { 0xCFF01A3E0D11EC1C, "script_growl" },
    { 0x735D07F8F5E952CE, "script_gunpose" },
    { 0x765541E0AB5B9345, "script_health" },
    { 0x83D15AFFD28A1252, "script_helimove" },
    { 0x285E1B9AF8615693, "script_hidden" },
    { 0x0AA8618CA3AE1FA2, "script_hint" },
    { 0xB54B9DC16123945A, "script_hoverwait" },
    { 0x0E95A6711F8C816C, "script_huntlookaroundduration" },
    { 0x9C98D96F77576DC9, "script_idle" },
    { 0x30522ED898914B7F, "script_ignore_claimed" },
    { 0xF2F86B9ED7D1F18D, "script_ignore_suppression" },
    { 0x7899196348211560, "script_ignoreall" },
    { 0xE4767FD657D1451B, "script_ignoreme" },
    { 0x61A9E070EDF034AB, "script_immunetoflash" },
    { 0xCE21B69C04B4C240, "script_increment" },
    { 0x8CCFD8378B875189, "script_index" },
    { 0x310F6CA7B7CEDF50, "script_intensity" },
    { 0xB3CB56D93BF54486, "script_intensity2" },
    { 0x37D3E2BB3FE834D2, "script_intensity_01" },
    { 0x37D3E1BB3FE8329F, "script_intensity_02" },
    { 0x95F851DE0E017107, "script_intensity_start" },
    { 0x3D50A99FC2FB4F4C, "script_keepdriver" },
    { 0x01D8205B2AEACD82, "script_kill_ai" },
    { 0xAEB6E5FFD5201253, "script_kill_vehicle_spawner" },
    { 0x4BD09C3F57176BB6, "script_killspawn" },
    { 0xFC45D950362FA181, "script_killspawner" },
    { 0x0700788D40ABC16D, "script_killspawner_group" },
    { 0x2C49B5A3AD253ABB, "script_label" },
    { 0x842311E48DCAD88E, "script_land" },
    { 0x53F6E92FDAC9DBDF, "script_landmark" },
    { 0x1F7B52A45E26D5A6, "script_laser" },
    { 0x3E9BC5EB0EE3637D, "script_light" },
    { 0xAA97503672F2A714, "script_light_idle_sfx" },
    { 0x20F86B00A4F82FF3, "script_light_startnotify" },
    { 0x9843FA4EFB8A8B5B, "script_light_stopnotify" },
    { 0x74163855861CE505, "script_light_switch_fx" },
    { 0x11569F3B73B058EE, "script_light_switch_fx_tag" },
    { 0x07AF1E1664B2728E, "script_light_switch_sfx" },
    { 0x757D34E9B9C2D494, "script_light_switch_state" },
    { 0x0456A256FE6244D4, "script_linkname" },
    { 0xDC32A6247E07BD62, "script_linkto" },
    { 0x419053D851024844, "script_location" },
    { 0x6F39C1A9217D2355, "script_longdeath" },
    { 0xB812E066C82234EB, "script_lookat_setup" },
    { 0x6130B978305C21DF, "script_looping" },
    { 0x0477FD951D72BC78, "script_manualtarget" },
    { 0x74C0B4A5956769D7, "script_mapsize_08" },
    { 0x74BCA8A59563599C, "script_mapsize_16" },
    { 0x74B3BCA5955966EA, "script_mapsize_32" },
    { 0x74A6ACA5954B2F35, "script_mapsize_64" },
    { 0xF79E325EB992B63D, "script_max_left_angle" },
    { 0x80C87B133D32E81A, "script_max_right_angle" },
    { 0xDBCA5FFB0365B3CD, "script_max_wait" },
    { 0x98357E12CB3F9D7B, "script_maxdist" },
    { 0xEED38B4B80504C5E, "script_maxspawn" },
    { 0x73948BD2A5820E41, "script_mg42" },
    { 0x4264FBFB7BCD918A, "script_mg42auto" },
    { 0xC1D0D4157ADA43AB, "script_mg_angle" },
    { 0x1522DF1042143A11, "script_mgturret" },
    { 0x7C29F9A07D6E0D9A, "script_mgturretauto" },
    { 0x8334046766DB6DC3, "script_min_wait" },
    { 0x5B437FE9DB514092, "script_missiles" },
    { 0x6AE88A86303EB850, "script_model" },
    { 0xA78444AA0E3FB9AE, "script_model_alpha_anims" },
    { 0x29F9B9AA7AFFDB31, "script_model_anims" },
    { 0xA4A5B9F4B4676EAA, "script_model_exfil_anims" },
    { 0x4D3972E757B26DB6, "script_model_init_anims" },
    { 0xF5A0C4199986039A, "script_model_pilot_kill_watch" },
    { 0x29EC2A7BABF86D22, "script_model_spawn_and_use" },
    { 0xC6C5D569FA25E4CB, "script_model_spawn_and_use_logic" },
    { 0x4DA7687EA1974F93, "script_modelname" },
    { 0x5C20C81C19EEF4F9, "script_models" },
    { 0xF1F60A254F48C831, "script_mortargroup" },
    { 0xF976BC2F7DFFB1D6, "script_movement_anim" },
    { 0x6BFC03DC50A37212, "script_moveoverride" },
    { 0xA88B25F68E0741F5, "script_moveplaybackrate" },
    { 0x33D7BE86C2BC4778, "script_mover" },
    { 0x05B961F398DF1395, "script_mover_add_hintstring" },
    { 0x60655F8FE1E5EAC5, "script_mover_add_parameters" },
    { 0xF9BB33E578031832, "script_mover_agent_spawn_watch" },
    { 0xB49F710B10E9585B, "script_mover_allow_usable" },
    { 0xF07779A1FE57CE62, "script_mover_apply_move_parameters" },
    { 0x5B933A5A93AAD7F0, "script_mover_call_func_on_notify" },
    { 0xA3343967FAB72B7D, "script_mover_classnames" },
    { 0x40F63701BD162599, "script_mover_connect_watch" },
    { 0x630EAD21ABB87CB7, "script_mover_defaults" },
    { 0x0CD670D0E6728EF7, "script_mover_func_on_notify" },
    { 0x4050EB1A324058AC, "script_mover_get_top_parent" },
    { 0x8BB314A0BC64BE74, "script_mover_has_parent_moved" },
    { 0x935741A10781DB96, "script_mover_hintstrings" },
    { 0xBBF0BD215DD2576A, "script_mover_init_move_parameters" },
    { 0xDBFA890DFFDFB85E, "script_mover_int" },
    { 0xA19A981EC857D243, "script_mover_is_script_mover" },
    { 0xD52D741B5BF1438B, "script_mover_link_to_use_object" },
    { 0x4B7E241B265FEF2C, "script_mover_move_to_named_goal" },
    { 0x9463FF124F5B5E00, "script_mover_move_to_target" },
    { 0xE25C65DBCB65D375, "script_mover_named_goals" },
    { 0xE00C424432B97FB9, "script_mover_parameters" },
    { 0x9EC23CFA515177E9, "script_mover_parse_move_parameters" },
    { 0x39E74552EDA372B6, "script_mover_parse_range" },
    { 0xBC4E1BB210BF84DD, "script_mover_parse_targets" },
    { 0x935691FAC3BFCD6A, "script_mover_run_notify" },
    { 0x19A96F811D471EC7, "script_mover_save_default_move_parameters" },
    { 0x7685A9252642D62E, "script_mover_set_defaults" },
    { 0x11FE5F15C54BDA35, "script_mover_set_param" },
    { 0x0F5A733BFE239688, "script_mover_set_usable" },
    { 0xC347997E4993E603, "script_mover_start_use" },
    { 0x37EE95C19900457D, "script_mover_trigger_on" },
    { 0x123A9A80DF0E828F, "script_mover_unlink_from_use_object" },
    { 0x7CCE754F00D3B292, "script_mover_use_can_link" },
    { 0xCDA273B10D6FB677, "script_mover_use_trigger" },
    { 0xBCFDB6122BC817E4, "script_mp_style_helicopter" },
    { 0xB043B9FB49591C68, "script_multiplier" },
    { 0x30D3E220B54330E9, "script_namenumber" },
    { 0xCCC604DDD109F593, "script_nexthuntpos" },
    { 0x5BF1E9B783BEF711, "script_no_reorient" },
    { 0xD46F4D3AE77AEF6A, "script_no_seeker" },
    { 0x1880077303A07ECF, "script_noarmor" },
    { 0xD896081E70808F42, "script_nobark" },
    { 0xC11913CB197E72A6, "script_nobloodpool" },
    { 0xC4A0FCD3B5A15D97, "script_node_pausetime" },
    { 0x5B35CA822FECBFB4, "script_nodestate" },
    { 0xB6C5784F41D78AF5, "script_nodrop" },
    { 0xFBCB539D8B852A46, "script_noflashlight" },
    { 0x03A1F281216C4093, "script_noflip" },
    { 0xE1E3F986B153252E, "script_nofriendlywave" },
    { 0xCB5971EA450D362E, "script_nohealth" },
    { 0x402DCE96FBFD86F2, "script_noloot" },
    { 0xEAB356B333B02778, "script_nomg" },
    { 0x69FBAE88EEB61BD3, "script_noragdoll" },
    { 0xF19B43D4F91939E1, "script_nosight" },
    { 0xF742C37F745E1A0B, "script_nosurprise" },
    { 0x877D0578350108E4, "script_noteowrthy" },
    { 0x9B9DB3395641D835, "script_noteworth" },
    { 0x7DA97318B2CEAF24, "script_noteworthy" },
    { 0x9B9DA2395641B2D2, "script_noteworty" },
    { 0xA2B762C56189D451, "script_notify_start" },
    { 0xE1FC288B091419EB, "script_notify_stop" },
    { 0x0A3890AC9E8C4C5F, "script_notworthy" },
    { 0xFAE05C225D70196C, "script_nowall" },
    { 0x4D9F75D9E862B06E, "script_objective" },
    { 0x30385F1677B253AD, "script_objective_active" },
    { 0x8F6EF8A7F5A272FA, "script_objective_inactive" },
    { 0x249A603CA025E2F6, "script_offhands" },
    { 0xFFA15E5BCBA6B636, "script_offradius" },
    { 0x5FB844DA76716760, "script_offset" },
    { 0xAC46D18422E818E9, "script_offtime" },
    { 0x18720BD40E438A10, "script_oneway" },
    { 0x7A75669CF5764CBB, "script_onlyidle" },
    { 0x57B61B02575FD63D, "script_origin" },
    { 0x34E9DDF10B789094, "script_origin_other" },
    { 0x982A2D2CDEAD43BE, "script_pacifist" },
    { 0x57DCE6AD28B0C5FD, "script_painter_facade" },
    { 0xE0401A605FDFD0EF, "script_painter_maxdist" },
    { 0xDFD1FC6A5CD3E9FE, "script_painter_treeorient" },
    { 0xB96AAA9C33803215, "script_paintergroup" },
    { 0xDF9A1D79AECD333A, "script_parameter" },
    { 0x8D221B9B6D47C98B, "script_parameters" },
    { 0x31D7528018C46E5B, "script_parent" },
    { 0xD6D3AA71E9E88A00, "script_parentname" },
    { 0x913E6FC6D6CF9A3C, "script_pathtype" },
    { 0x2725F94E872B0AFC, "script_patroller" },
    { 0xC1203446B3EB4D80, "script_percent" },
    { 0x6F3512CABF704CA5, "script_personality" },
    { 0x5556B43644625860, "script_pet" },
    { 0xD7D597F9025AA068, "script_physics" },
    { 0xBE0422B2EF91DFC3, "script_physicsjolt" },
    { 0x8E1EE730F18F79FD, "script_pilottalk" },
    { 0x25EC30BEECAE878B, "script_plane" },
    { 0x4158838C8CF2B36F, "script_playerconeradius" },
    { 0xACCB1DD05E5AF01A, "script_playerseek" },
    { 0x5B05995E5202D8F2, "script_poi_forcestrafe" },
    { 0x7A8E026298945AE1, "script_portal" },
    { 0x617AC54C5E3BA94B, "script_prefab_exploder" },
    { 0x52AECF096EBC0843, "script_presound" },
    { 0x1658E1B2E60AB601, "script_print_fx" },
    { 0x94A49A2F8184FB3B, "script_priority" },
    { 0x869883670C2E7B43, "script_pushable" },
    { 0xA201EE7BADB7A814, "script_qualityspotshadow" },
    { 0x8FA3C890171C3EA1, "script_radius" },
    { 0x52DBF1275D74E76F, "script_random_killspawner" },
    { 0xC01EB3F0B71C8E8B, "script_randomspawn" },
    { 0xD22E640716E762B0, "script_reaction" },
    { 0x8A52B08A2440252E, "script_readystand" },
    { 0xB5E0F6FC20394FE4, "script_repeat" },
    { 0xB5F04C98FEE362CD, "script_requires_player" },
    { 0x763012A959D8F1D5, "script_reuse" },
    { 0xD01A98CEBF417A00, "script_reuse_max" },
    { 0xCFF78ECEBF1B1C4A, "script_reuse_min" },
    { 0xE590BC158850EFAA, "script_rotation_amount" },
    { 0x37B4FAB4004B3208, "script_rotation_max" },
    { 0x6FC9A9CF08A4FCF5, "script_rotation_platform" },
    { 0x469BEC18B162F4E9, "script_rotation_speed" },
    { 0x36D761362D7C3749, "script_rss" },
    { 0xC58F8B4CCFC50412, "script_rumble" },
    { 0x409B986759B7FAF0, "script_savetrigger_timer" },
    { 0x7BB29776D6EDC7C0, "script_seekgoal" },
    { 0x064CFD89D7BAE99F, "script_selfdestruct" },
    { 0xE117BAE28B84F6AF, "script_selfdestruct_delay" },
    { 0x10903907C9E36692, "script_shotcount" },
    { 0xC5E07C1279A87CE8, "script_side" },
    { 0xA9A11F5EB3C38785, "script_sightrange" },
    { 0xB2EC6E14FA22FD70, "script_skilloverride" },
    { 0x0C53322FB06B86DF, "script_skiplookaroundanim" },
    { 0x12E47101C47BF87A, "script_slowmo_breach" },
    { 0xD53D1B2B2E4CBE0F, "script_slowmo_breach_doortype" },
    { 0x597E96BB4D3271FA, "script_slowmo_breach_spawners" },
    { 0xDE87D0D65F04819B, "script_smartobject" },
    { 0x0F4F202A3327A712, "script_sound" },
    { 0x4FB66262A42F1E0F, "script_sound_type" },
    { 0x83FF00E83D13C19E, "script_soundalias" },
    { 0x3009C085F1D429CA, "script_spawn_delay" },
    { 0xB45E783FB1971035, "script_spawn_here" },
    { 0x41904951394A58AE, "script_spawn_once" },
    { 0xF3553F89E7F9BE53, "script_spawn_open_yaw" },
    { 0x03B36D742E35E3C9, "script_spawn_pool" },
    { 0xA7EE0310CD9FA2E9, "script_spawngroup" },
    { 0x661394F8A1CA3E11, "script_spawnsoldiers" },
    { 0xA08B6590E67A9F87, "script_spawnsubgroup" },
    { 0x282E972BC8F6390A, "script_specialops" },
    { 0xC7F8B4857B547A91, "script_specialopsname" },
    { 0xD44F503D5BCF436E, "script_speed" },
    { 0x1B092532FF8D0D1B, "script_speed_scale" },
    { 0x83C5D6D51C22957B, "script_speed_type" },
    { 0xF439E444F6C27D85, "script_spotlight" },
    { 0x4A2AD8453559F486, "script_spotlimit" },
    { 0x6CBA625AA6C43FA7, "script_squad" },
    { 0x7C44F44DC18EA5E4, "script_squadname" },
    { 0x0C675FA015C1CD65, "script_stack" },
    { 0x51BA4A100E702C67, "script_stance" },
    { 0x0CB276A01614B841, "script_start" },
    { 0xCF9A488AE871A24B, "script_start_intensity" },
    { 0x9D84BBE8C480DB8F, "script_start_state" },
    { 0x8D96B8432FF12734, "script_startdelay" },
    { 0x33B481E8D9B888D5, "script_startdelay_max" },
    { 0x33D76BE8D9DEA02B, "script_startdelay_min" },
    { 0x81DDA2B7F1620259, "script_startinghealth" },
    { 0x9C7C36AFA9FDB85C, "script_startingposition" },
    { 0x9FAFE47EE29BB1FA, "script_startname" },
    { 0x3AD859068EB614E8, "script_startrunning" },
    { 0x04EC096391864563, "script_stay_drone" },
    { 0x3BA87B6885B93A9A, "script_stealth" },
    { 0xCE24E61D5BAD0610, "script_stealth_clear" },
    { 0x94ACEB3C59917B3B, "script_stealth_region_group" },
    { 0x897A47B0DE73E14D, "script_stealthgroup" },
    { 0xBFBD92336BB02B2B, "script_stopnode" },
    { 0x1DE833D564B987C5, "script_stoptoshoot" },
    { 0xA529976FBBB8EF1A, "script_struct_add" },
    { 0x6CCCCB7238611255, "script_struct_autotarget" },
    { 0x91A9B789F92871F8, "script_struct_fx_init" },
    { 0xD1C300D39506BF5C, "script_sunenable" },
    { 0x5F1A49BACD63B91A, "script_sunsamplesizenear" },
    { 0x4CEA05F3F7DD567B, "script_sunshadowscale" },
    { 0x837EBFC4870C9E1A, "script_suppression" },
    { 0xB5D44A870AA8F941, "script_suspend" },
    { 0xE848294E38C9452D, "script_suspend_group" },
    { 0x90685B36701017B1, "script_tag" },
    { 0xA068C15BD8B396BE, "script_tankgroup" },
    { 0xD29A4F827C1534F0, "script_targetoffset_z" },
    { 0xF007C5779412F886, "script_targettype" },
    { 0x6DC9D4B84B4C2F7A, "script_team" },
    { 0xDE8A5A384D199C9C, "script_tess_distance" },
    { 0x4B3B5C2B12C7E927, "script_tess_falloff" },
    { 0xA576F52845A1BFA2, "script_threatbias" },
    { 0xFF5D9D1514207735, "script_threatbiasgroup" },
    { 0x2FD04FE2CC5FA73E, "script_threshold" },
    { 0x09F206A634310E07, "script_time_max" },
    { 0x0A1514A634577489, "script_time_min" },
    { 0x8739A941FA4F04DE, "script_timeout" },
    { 0x28DBC66920F76AA8, "script_timer" },
    { 0x36B836678BA72118, "script_trace" },
    { 0xF98188D00C74AD9F, "script_transient" },
    { 0x3D7AA71C1390C3F0, "script_transient_set" },
    { 0x20EA593F535F2353, "script_transient_unload" },
    { 0x80919ACB4ED198AC, "script_transient_unload_set" },
    { 0xE3EA05FC3DB5BFD2, "script_translate_max" },
    { 0x13D35BF7A1383B0F, "script_translate_speed" },
    { 0xA66F8F3737A93BF3, "script_translation_amount" },
    { 0xD82326063C6A4C86, "script_translation_time" },
    { 0x9258C9D9133A347F, "script_transmission" },
    { 0xA9AA7B67DF8162B9, "script_trial" },
    { 0xE41351723BEB83B9, "script_trigger_group" },
    { 0x70B0E76AE7496D44, "script_triggered_playerseek" },
    { 0x0BE57F9A5DBDED5E, "script_triggername" },
    { 0x255CCA72E45383E7, "script_turningdir" },
    { 0x82F0688F7F3200DD, "script_turret" },
    { 0xC436501BDE721BFA, "script_turret_ambush" },
    { 0x581C3AC44EB0DE12, "script_turret_autonomous" },
    { 0x084C8712254EEDD7, "script_turret_reuse_max" },
    { 0x086F751225750DF9, "script_turret_reuse_min" },
    { 0xAEEF5F5C9340A24D, "script_turret_share" },
    { 0xCE6E84CAA66B2ED0, "script_turretmain" },
    { 0x812D37172E561EB5, "script_turretmg" },
    { 0x28B6A194BAF77EAA, "script_turrets" },
    { 0x03C534B974CF12EB, "script_type" },
    { 0x7445A47FABE7B958, "script_unload" },
    { 0xD74AB271F8A12237, "script_unloaddelay" },
    { 0x30E349879ED4AEC3, "script_unloadmgguy" },
    { 0xC939F0C061AF81B3, "script_use_pain" },
    { 0x1328541DE2AC1048, "script_use_real_fire" },
    { 0xD26C945C121B7266, "script_useangles" },
    { 0xAE239324D7BEA834, "script_usemg42" },
    { 0xD22A6684F251F081, "script_vehicle" },
    { 0xEA6C813949E116AA, "script_vehicle_collision" },
    { 0xD4884266B24E4B5A, "script_vehicle_collmap" },
    { 0x0219E4865242D0A6, "script_vehicle_corpse" },
    { 0x3AA38D972B7E445D, "script_vehicle_lights_off" },
    { 0x2E00771DD30FC0E1, "script_vehicle_lights_on" },
    { 0xB1A37E9AC7637CEC, "script_vehicle_selfremove" },
    { 0xB985325D545E975B, "script_vehiclecargo" },
    { 0x47E817BF5232AFA0, "script_vehicledetour" },
    { 0x655EF8CBB9F95703, "script_vehicledetourgroup" },
    { 0x1E1D5D2693C4FA88, "script_vehicledetourtype" },
    { 0x19E112AE191C7938, "script_vehiclegroup" },
    { 0x268CCF4302AC9C43, "script_vehiclegroupdelete" },
    { 0x4602B53010A34FC0, "script_vehiclenodegroup" },
    { 0xFBCDB63B4C06BE2F, "script_vehiclespawngroup" },
    { 0xA4D7A356FD3892AD, "script_visionset" },
    { 0x405EFF6A64E3436A, "script_wait" },
    { 0xC27CB8D4428C6DC7, "script_wait2_min" },
    { 0x536CC9909CF16A95, "script_wait_01_max" },
    { 0x5390B3909D19B4EB, "script_wait_01_min" },
    { 0xF214B9DA6B8AA3C8, "script_wait_02_max" },
    { 0xF237CFDA6BB11BE2, "script_wait_02_min" },
    { 0xDC87C941CCFBAAAA, "script_wait_add" },
    { 0x31A9E74150EB3A67, "script_wait_max" },
    { 0x31CCF5415111A0E9, "script_wait_min" },
    { 0xFDCA888F43CDBE35, "script_wallrun_type" },
    { 0x8F3EC4310691BC07, "script_wheeldirection" },
    { 0x48F194C6440B7D88, "script_wingman" },
    { 0x61CDDF364CC600AA, "script_wtf" },
    { 0x4950FC8E5A8528D1, "script_yawspeed" },
    { 0x858046DF033FEBF9, "script_zone" },
    { 0xA1C19F0591F01672, "scriptable" },
    { 0xD21E5BF9333AC687, "scriptable_addautousecallback" },
    { 0xD09C4805B08DDC92, "scriptable_adddamagedcallback" },
    { 0x9E9459EA01CC4738, "scriptable_addnotifycallback" },
    { 0xEA37DA420BAB39B9, "scriptable_addpostinitcallback" },
    { 0x33AA147BAFA542B7, "scriptable_addtouchedcallback" },
    { 0x8BD4FD81B57B721C, "scriptable_addusedcallback" },
    { 0x47478353FDD9BFD0, "scriptable_addusedcallbackbypart" },
    { 0x8B72586618C8404E, "scriptable_anim" },
    { 0x37DC31E2BD66633F, "scriptable_autouse_funcs" },
    { 0xC12CC05ABF7BB0AE, "scriptable_brake_reset" },
    { 0x5AB4BD40AE94B25D, "scriptable_braking" },
    { 0xBB73B44913B6F430, "scriptable_callback" },
    { 0x9472490FFFD899B9, "scriptable_car_getouts" },
    { 0xF0F42EC60E472578, "scriptable_car_passenger" },
    { 0xE2F6122E5B560B12, "scriptable_carriable_damage" },
    { 0xC18F0DA46FDB1A2E, "scriptable_carriable_damage_internal" },
    { 0x2C1165656167D952, "scriptable_carriable_use" },
    { 0x8ACD303C07D31271, "scriptable_cleanup" },
    { 0x826F4A4422E6C91D, "scriptable_clearanim" },
    { 0x74A28709F2128B11, "scriptable_compound_car_shadows" },
    { 0x581C7F511619384F, "scriptable_cpcallback" },
    { 0x17CE459673210594, "scriptable_cpglobalcallback" },
    { 0xEA77BA3E73CF8F63, "scriptable_damage_proc" },
    { 0x4A0B43CC431EAFE3, "scriptable_damage_thread" },
    { 0x7B0373B44CDAED96, "scriptable_damaged_funcs" },
    { 0x805D882684364EED, "scriptable_destroy_part" },
    { 0x715DAE0390B2134C, "scriptable_door_auto_close" },
    { 0x10B7E03C1665AC59, "scriptable_door_autoclose_delay" },
    { 0x9AF27FDC72D9406C, "scriptable_door_claim" },
    { 0xFD0215E1BB3BC8E7, "scriptable_door_claim_update_on_state_change" },
    { 0xA070E720142BEB3E, "scriptable_door_close_all_doors" },
    { 0xB744E20DEFB250DE, "scriptable_door_disable_autoclose" },
    { 0x1ABE7C64D7D0C2ED, "scriptable_door_enable_autoclose" },
    { 0x68C4A3039EFA009C, "scriptable_door_freeze_open" },
    { 0x7BA56B390F148AB5, "scriptable_door_get_angle_delta" },
    { 0xD7DA184B1C427041, "scriptable_door_get_angle_step_begin" },
    { 0x0237E31118C1DC56, "scriptable_door_get_closest_state" },
    { 0xC05799A2FEC963ED, "scriptable_door_get_in_radius" },
    { 0xF3A912E8ABC245B7, "scriptable_door_hinge_progression" },
    { 0xBCF2010DDF5B3712, "scriptable_door_init" },
    { 0xBA8219DF3FB2FA36, "scriptable_door_initialized" },
    { 0xE8B5EDD62CF6E302, "scriptable_door_is_double_door_pair" },
    { 0x3DF804398148CEF0, "scriptable_door_postinit" },
    { 0xB9586AE8DC9F3834, "scriptable_door_scriptable_touched_callback" },
    { 0xBF408E0D7B4345C1, "scriptable_door_scriptable_used_callback" },
    { 0xA04D559E160CEF27, "scriptable_door_side_flip" },
    { 0xB4A73B22B724839E, "scriptable_door_side_get_for_state" },
    { 0xCB75F4A3434FCCBC, "scriptable_door_state_name_make" },
    { 0x8B85D7007D567EF2, "scriptable_door_timer_elapsed" },
    { 0x6F04D825F8BFF2FD, "scriptable_door_unclaim" },
    { 0x0CE08D6F5AE0A72A, "scriptable_door_unclaim_think" },
    { 0x5E4B288E26FFE984, "scriptable_doors_opened" },
    { 0x35FD0B0C3DE6B220, "scriptable_enginedamaged" },
    { 0xEDAB9DD460D0327F, "scriptable_engineinitialize" },
    { 0x3F1F31EB7C25350B, "scriptable_enginenotifycallback" },
    { 0x2F60A12766736241, "scriptable_enginepostinitialize" },
    { 0xEDEAB52AEC1A874D, "scriptable_enginetouched" },
    { 0x3E54DCE931FD300C, "scriptable_engineused" },
    { 0xB4B6EB3519352F52, "scriptable_explosive_damage" },
    { 0xCAA9CB38A1BAD77B, "scriptable_explosive_damage_framedelay" },
    { 0xCB41537079D616D3, "scriptable_field_lights_swap" },
    { 0xF37AE6E02F6A3BDA, "scriptable_get_full_partname" },
    { 0xBD76820E3EAC2E96, "scriptable_get_part_by_index" },
    { 0xC4328FBD75EB7EB6, "scriptable_get_part_origin" },
    { 0x0908838C4F240605, "scriptable_gun_damage" },
    { 0x2525FE16D48F32F5, "scriptable_ignore_attacker" },
    { 0xE1BFA9C6C271F24A, "scriptable_ignore_mod" },
    { 0xBF105986E53689D3, "scriptable_inherit_parameters" },
    { 0x0289722091CF36A1, "scriptable_init" },
    { 0xDA7049449091DDFD, "scriptable_initialize" },
    { 0xF60735943BA86C5F, "scriptable_lantern_lights" },
    { 0x77594E7D838A216E, "scriptable_lantern_think" },
    { 0xB67991685B2A909E, "scriptable_lanterns" },
    { 0xA718FD1DD3DAB1DD, "scriptable_mpcallback" },
    { 0x079AAE9035930EE6, "scriptable_mpglobalcallback" },
    { 0x0A271F5F5464FB50, "scriptable_notify_callback" },
    { 0x108F41EE3AB97874, "scriptable_notify_callback_funcs" },
    { 0x5B9CAE40BA2AADCE, "scriptable_part_struct" },
    { 0xDFB31742F0A2CFFE, "scriptable_parts_init" },
    { 0xC06586F0B1381CE8, "scriptable_post_initialize" },
    { 0xBDEB3CAE3A4F2CA7, "scriptable_postinit" },
    { 0x3B3D828EBE8523C5, "scriptable_print_warning" },
    { 0x16C0ED16A64676CF, "scriptable_reserved_count" },
    { 0x2DE673639E377DF4, "scriptable_setinitcallback" },
    { 0x03884027F6337B21, "scriptable_setups" },
    { 0x7B001C93099253B1, "scriptable_should_be_ignored" },
    { 0x3420B3CC4FC2855F, "scriptable_spcallback" },
    { 0xB6D13F2F18E0E724, "scriptable_spglobalcallback" },
    { 0x8397EBA9D66690B3, "scriptable_token_scriptable_touched_callback" },
    { 0x18F8259229E6393F, "scriptable_touched" },
    { 0xEF0FA053237945DF, "scriptable_touched_funcs" },
    { 0x195F9849AFE8BC4B, "scriptable_update_map" },
    { 0xE726729277527BEE, "scriptable_used" },
    { 0xD459E11862DFDB2E, "scriptable_used_by_part_funcs" },
    { 0x7933B3396FDC132E, "scriptable_used_funcs" },
    { 0x084BBFC8F08D70B7, "scriptable_vo_handler" },
    { 0x223E4A5D0EA0B086, "scriptable_vo_played" },
    { 0x32692D819C9428F1, "scriptable_warning" },
    { 0x703767B036B2C5B9, "scriptable_watcher" },
    { 0x72509433AE7EAB2C, "scriptablecanbepinged" },
    { 0x34EAD75B7C07098A, "scriptablecleanup" },
    { 0x7FAD766DE6D8ADCC, "scriptableclearparententity" },
    { 0x9E37E4DB411A4939, "scriptablecount" },
    { 0xD03730CFA8EE9AD5, "scriptabledoorangle" },
    { 0x4AD86B554A2E11BA, "scriptabledoorclose" },
    { 0xFEAA8CC14DA9BEA5, "scriptabledoorfreeze" },
    { 0x78694549A77DB1AE, "scriptabledoorisclosed" },
    { 0x40326050A9153AEF, "scriptabledoorisdouble" },
    { 0x48CE1AFF41CCECDB, "scriptabledoorisowned" },
    { 0xBA31EB954C31B76E, "scriptabledooropen" },
    { 0x41449277B76B0DC2, "scriptablegetmidpoint" },
    { 0xF0F0517863364F98, "scriptableinit" },
    { 0x7ABFE86CC48F668A, "scriptableisdoor" },
    { 0x6F545DF30122E29A, "scriptableislootcache" },
    { 0xA325379738C017F9, "scriptablename" },
    { 0x95F2AF07FE1CF74D, "scriptablenousestate" },
    { 0x8F137974004016E0, "scriptableparts" },
    { 0xACE6BA3FF3006433, "scriptables" },
    { 0x55A1A6FB4024E246, "scriptables_init" },
    { 0xA8DCA28346BC76FA, "scriptablescleanupbatchsize" },
    { 0x801793210A34AB9A, "scriptablescurid" },
    { 0x9219AF9F67542729, "scriptablesetparententity" },
    { 0xD2948E1D63F97A3B, "scriptablesmax" },
    { 0x3718507A2133A434, "scriptablesstartid" },
    { 0x676EB688C33F6497, "scriptablestate" },
    { 0x27CD6FA6D5226C85, "scriptablestatefunc" },
    { 0xB7E052C5646AE16C, "scriptablestates" },
    { 0x12D0700AC9E52594, "scriptableusepart" },
    { 0x5F14725C69F8DD56, "scriptableusestate" },
    { 0x6F1BC8FD36BABA11, "scriptagentstealth_init" },
    { 0xAB38D18F963F483D, "scriptbundlename" },
    { 0x4ADF75079054EADE, "scriptbundletype" },
    { 0x2F90D6211F42A123, "scriptcircleat" },
    { 0xD8AEACD413674CB0, "scriptcoll" },
    { 0xD768D39090F4101E, "scriptdata" },
    { 0xDCE8B06265DFBBCD, "scriptdoordelete" },
    { 0xD72B338B7D33174F, "scripted_ability_harpoonv1" },
    { 0x6B031A219CFA460B, "scripted_ai_rocket" },
    { 0x805870F703CD4CB1, "scripted_ai_rocket_player" },
    { 0xD80DFEE1711572DB, "scripted_anim_settings" },
    { 0x1559C48241D66880, "scripted_anime" },
    { 0x0A9F45766F0C9C6D, "scripted_animnode" },
    { 0x5160FB2280F60F06, "scripted_bridge_shot" },
    { 0x3C3857D6DA6EDC1B, "scripted_deathanim" },
    { 0x64CFD86CE49D2B92, "scripted_deathanim_loop" },
    { 0x85AAFEC0C9070B6E, "scripted_dialogue" },
    { 0x11ED43A21C78A881, "scripted_door_open" },
    { 0x67BEE68F7B7D5188, "scripted_elems" },
    { 0x3669E9E796CEBB5A, "scripted_flash" },
    { 0x8D2704302F604983, "scripted_fov" },
    { 0x51BAA3BA14588206, "scripted_health" },
    { 0xD54BE2EF7C2E3CA4, "scripted_ispushable" },
    { 0xB402AD8DB9D81572, "scripted_laser_func" },
    { 0x2A2F6D5986451AFC, "scripted_long_deaths" },
    { 0x246E9A85CDB6B36C, "scripted_longdeath" },
    { 0x4D2C133F78DB342E, "scripted_longdeath_3" },
    { 0xDEF4C54D74E4075B, "scripted_melee_active" },
    { 0xACCB189E2A7860B3, "scripted_mode" },
    { 0x0071A705032F86F5, "scripted_movement" },
    { 0xAC7B4826A6B77AA3, "scripted_movement_arrival" },
    { 0x6D96A2DA091938C8, "scripted_movement_arrivefuncs" },
    { 0xBD2154767FE03848, "scripted_movement_idle" },
    { 0x6EEF8FAAEBEC4448, "scripted_movement_post_wait" },
    { 0x00D6D83E5218EC9D, "scripted_path_style" },
    { 0x070B92E75607B402, "scripted_plant_bomb" },
    { 0x703071FC6A4615AB, "scripted_poi_start" },
    { 0x67BE93552AC4A68A, "scripted_reload_dmg" },
    { 0x33FE3B24D79C9EC0, "scripted_shot" },
    { 0xA7C1AA5BF68C1BA1, "scripted_shot_monitor" },
    { 0xB776C9FFF1EA1708, "scripted_smoke_gren" },
    { 0xA52A04069A4DF0CE, "scripted_sniper_can_save" },
    { 0x506956DFA118AC3B, "scripted_spawner_func" },
    { 0xE82B537013EA2FFA, "scripted_spawner_func_strings" },
    { 0xDA1FEB7BBE8F4BEC, "scripted_spawner_map_strings" },
    { 0x1AC23AFB40C212F5, "scripted_spawners" },
    { 0xCB85E56F05FB25A8, "scripted_spawners_models" },
    { 0x78466DC630D740CF, "scripted_spawners_triggers" },
    { 0xFD0D889003285E79, "scripted_stacy_idle" },
    { 0xEF3689287954C9AE, "scripted_targets" },
    { 0xCF299F0CB482E328, "scripted_targets_check_los" },
    { 0xBA53C3210D18BE5E, "scripted_targets_notify" },
    { 0x1CA488DFDD2AC5E2, "scriptedagentmodifieddamage" },
    { 0x3A25B62A84401DB1, "scriptedarrivalent" },
    { 0xD76F96A03CA14D6C, "scriptedattacker" },
    { 0x720839129BDC5999, "scriptedattackeraccuracy" },
    { 0x139CDE492518BA3C, "scriptedcoverposerequestis" },
    { 0x9307A5182A3B19F1, "scriptedcoverposerequestisdefined" },
    { 0x7B38F57DD196E591, "scripteddamagemultiplier" },
    { 0x9D4CB48886D82E94, "scripteddeathshielddurationscale" },
    { 0xBEA93E7537DF071A, "scripteddialoguebuffertime" },
    { 0x75D480613905ED8F, "scripteddialoguenonotify" },
    { 0xF040280248D6E304, "scripteddialoguenotify" },
    { 0x8CFA18F0798E40A6, "scripteddialoguestarttime" },
    { 0x16C8FA93C09E7B0E, "scriptedflashed" },
    { 0x9A1E858CEE685E4B, "scriptedignorerandombulletdamage" },
    { 0xDA0A054B8880AB0B, "scriptedinitialinvestigatedelay" },
    { 0x9F7D60B84F263E54, "scriptedisalive" },
    { 0x831F60D169FCFB9F, "scriptednode" },
    { 0x1550FD86D4FB0010, "scriptedphysicaldofenabled" },
    { 0x3AB833810504D261, "scriptedspawnpointarray" },
    { 0x36670CB5EA3B00EC, "scriptedspawnpointsonmigration" },
    { 0x6B3F6D4F069987EB, "scriptedspawns" },
    { 0x3C5DD5DDD670BD8E, "scriptedstealth" },
    { 0xB2D2FDB0F67D867F, "scriptedtalkingknob" },
    { 0x508EF8350A1B59EF, "scriptedthread" },
    { 0x54CBED394D62B045, "scriptedweaponclassprimary" },
    { 0xA1D062F0598743EA, "scriptedweaponfailed" },
    { 0xA53C7B12838B84CC, "scriptedweaponfailed_primaryarray" },
    { 0xFA71BEAF04894EA0, "scriptedweaponfailed_secondaryarray" },
    { 0x9D48BA18D2C98307, "scriptedweaponfailed_sidearmarray" },
    { 0x4820B46C196A64EE, "scripter_note" },
    { 0x9183D5D49FF9EA6B, "scripter_note_proc" },
    { 0x3E105A002C8339C1, "scripternote" },
    { 0x9D02319FE2F81CA9, "scriptfirecount" },
    { 0xC067F7BDCC1A93B9, "scriptflags" },
    { 0xAE0F30FB924885E5, "scriptgoalpos" },
    { 0x14975BFBDDCD5924, "scriptgoalyaw" },
    { 0x0196A6A7E50B4B5B, "scripthuddestroy" },
    { 0xFC52E3ED80EC656B, "scripthudthread" },
    { 0x68BC6B05B8FF31C4, "scriptitem_buildspawnflags" },
    { 0xE0ED05B545072339, "scriptitem_itemwatchfortrigger" },
    { 0xB6ECE9C09042D375, "scriptitem_playerwatchforanypickup" },
    { 0xE5C5F24882E887ED, "scriptitem_testspawn" },
    { 0x09D220ABD8A8F481, "scriptlights_setup" },
    { 0x1C95839E89FCC0EB, "scriptmodel" },
    { 0x9AE2117391974459, "scriptmodelclearanim" },
    { 0xDE98681558CAD9EA, "scriptmodelpauseanim" },
    { 0x09E174ECD75DE8BC, "scriptmodelplayanim" },
    { 0xA5198E1EB36AE440, "scriptmodelplayanimdeltamotion" },
    { 0x25ABF1FBB5938A6A, "scriptmodelplayanimdeltamotionfrompos" },
    { 0x711A90254B4265B9, "scriptmover_utils" },
    { 0xAD1BA0EAC9720A51, "scriptmovercleardistancefade" },
    { 0x7530DA2D619AA812, "scriptmoverclearoutline" },
    { 0x1F3D4719DBC5E17B, "scriptmoverclearthermal" },
    { 0xDA5DECAD84187452, "scriptmoverdistancefade" },
    { 0x1DB4864EF26BA689, "scriptmoverlinkdummy" },
    { 0xE310514352CD641F, "scriptmoveroutline" },
    { 0x60AE9BB0E39B36C3, "scriptmoverplane" },
    { 0x2E210CF155D9BA96, "scriptmoverthermal" },
    { 0xABF8F0748800ECF1, "scriptnoteworthy" },
    { 0x4ADD69E46292EDAC, "scriptonlytest" },
    { 0x34F7571A280BBCC3, "scriptperks" },
    { 0xB748B08D7728D297, "scriptswitchweaponhack" },
    { 0x8DF4BAE1A8EF3D60, "scriptuseagetype" },
    { 0x4A06E91CF4D843FC, "scrub_guy" },
    { 0xD4FA0CFF5DA8C23F, "scs_last_spawn_time" },
    { 0x622C6809C9F28CFA, "scurrentobjective" },
    { 0x3447DF02CA309E1A, "scuttle_heli" },
    { 0xF32F0C5C0709EE85, "sd_bomb_just_planted" },
    { 0x5BE6DA286E81B911, "sd_bombplanted_music" },
    { 0xA65271D9A89AE17A, "sd_endgame" },
    { 0xD48630F32407BC6D, "sd_loadout" },
    { 0x079B37B2F46E4F28, "sd_onbombtimerend" },
    { 0x8B29FB9006C7110E, "sd_press_use" },
    { 0xEB09B01BF38D39DA, "sdbomb" },
    { 0x249EA8E2F2E457D7, "sdbombmodel" },
    { 0xEAC1343F6993C8E8, "sealevelorigin" },
    { 0x971575CA985C11ED, "search" },
    { 0x9B75114A5D6A4526, "search_acceleration" },
    { 0x0AF34373774D32C5, "search_activate_battle_station" },
    { 0xD91BF2F247EE1FD1, "search_anim_pain_or_death" },
    { 0x61E82F3EF48C1C5F, "search_anim_react" },
    { 0x1D427B1F85C1E0F8, "search_anim_think" },
    { 0x2C3BCD8F42DB24E7, "search_cells" },
    { 0x855FD80D661BF526, "search_cleanup" },
    { 0xA879CFCFF6714493, "search_end" },
    { 0xE39F967290A3E72F, "search_ground_hint" },
    { 0x0BB58068C30788FD, "search_location" },
    { 0xB1D1641E6CDBD0AA, "search_maneuver_think" },
    { 0xCE0E436711EEDE83, "search_nodes" },
    { 0x0311DCC089C6ABA1, "search_points" },
    { 0x271545B8799017C9, "search_speed" },
    { 0xE47DF66047583CC0, "search_target_think" },
    { 0x247A078722537886, "search_turret_fire_think" },
    { 0xF7A9DF9DF68EB6C7, "search_turret_no_target_stop_delay" },
    { 0xC7089BB5EA45EA8F, "search_update_delay" },
    { 0xA79FFE997BCD461C, "searchcenter" },
    { 0x3D19F771522E64C3, "searchcircleorigin" },
    { 0x8CDC1FBE48A9F460, "searchcirclesize" },
    { 0x8DED515A191F9EB9, "searchforcecirclecenter" },
    { 0xAD60937223C47C22, "searchforshocksentryairtarget" },
    { 0x2C2B771A43AFB5E1, "searchfortarget" },
    { 0x09049D4492B0AF9F, "searchfunc" },
    { 0x543538467ED69B40, "searchlight_sweep" },
    { 0x0975AE4CD75AE494, "searchlightmodel" },
    { 0xD4440F62B89F0DAA, "searchradiusidealmax" },
    { 0xD466F962B8C52500, "searchradiusidealmin" },
    { 0x1271718370CF9223, "searchradiusmax" },
    { 0x1294678370F5C3DD, "searchradiusmin" },
    { 0xF741A8B0D6888AF4, "seat" },
    { 0x5930DC37BAF2EA7C, "seat_player" },
    { 0x59A43D51A15A54DC, "seatdata" },
    { 0x4C149D079439B2CC, "seated_players" },
    { 0x57BC57083A91CC40, "seatenterarrays" },
    { 0xB0F99BCAAA3121F9, "seatid" },
    { 0xAED67AF9F92AB775, "seatidmap" },
    { 0x661328B44A0CC27E, "seatids" },
    { 0xB1D87518472310BD, "seatswitcharray" },
    { 0x7F68D8D068F1F436, "seatunavailable" },
    { 0xFA9863DD72199604, "sec_sys_struct_1" },
    { 0xFA9866DD72199C9D, "sec_sys_struct_2" },
    { 0xFA9865DD72199A6A, "sec_sys_struct_3" },
    { 0x6886A4CD4C557D49, "second_floor_back_bedroom" },
    { 0xB26573FB35A827E7, "second_floor_bathroom" },
    { 0xBE89F93B4115EE2B, "second_floor_bedroom" },
    { 0xB3AA0B2F5363E791, "second_floor_bedroom_check_stop" },
    { 0x272CD21D71FB3C22, "second_floor_bedroom_door2" },
    { 0x01275DA205155330, "second_floor_bedroom_fire" },
    { 0x665289D98D94B42E, "second_floor_bedroom_reveal_fire" },
    { 0xE275EED24A1FD648, "second_floor_bravo4_1_arrive_flag" },
    { 0x855C09CF01487D5D, "second_floor_catchup" },
    { 0xD5DEC1E2FD4702CE, "second_floor_clear" },
    { 0x67D56419272AC29F, "second_floor_clear_nag" },
    { 0x54C4A149A552D281, "second_floor_enemies_dead_dialogue" },
    { 0x76F1C0276484F8D1, "second_floor_enemy_bulletshield" },
    { 0x2A8B568485DE8C22, "second_floor_follow_tag_flash" },
    { 0x0427F7632CE7131C, "second_floor_lookup_handler" },
    { 0x430887B4D64D4DEC, "second_floor_main" },
    { 0xB4DF430220922BEC, "second_floor_movement" },
    { 0xF9D2389DEF843C8B, "second_floor_player_watcher" },
    { 0xB6B06DD70E12ED9E, "second_floor_price" },
    { 0xD72DEC4B0FFF7981, "second_floor_reveal_stuff" },
    { 0x7124A52AB77E98DE, "second_floor_stairtrain_arrive" },
    { 0x4A6BC65242F1FB5B, "second_floor_start" },
    { 0x9F60BEB5B148E2E4, "second_idle" },
    { 0xFC3FF48A8BFDB5F8, "second_roof_struct" },
    { 0xBB4D364587865F1A, "second_stab_lines" },
    { 0x1B84CE8F2C38F5AF, "secondary_power" },
    { 0x2327BAD5E080D64D, "secondarygrenade" },
    { 0x68FF1042C7FC435C, "secondarygroup" },
    { 0x0184BA0173700B42, "secondarymode" },
    { 0xB1AB3C4517B41164, "secondarymodefunc" },
    { 0x0E76D5FA35D0347B, "secondarymodestring" },
    { 0x41BB61BAADE959A1, "secondaryobjectives" },
    { 0x04F5E5F23BA58ADF, "secondaryoffhand" },
    { 0x745853CA4FAD5B87, "secondaryoffhandbuttonpressed" },
    { 0x77D4D0A052FE3B4F, "secondarypainactive" },
    { 0x585E200A4C19F3D8, "secondarytarget" },
    { 0x5B2C0C714394A9D1, "secondaryweapon" },
    { 0xB0071D6C13E830D3, "secondaryweaponbackup" },
    { 0x743789586727DF95, "secondaryweaponclipammo" },
    { 0xFC6B004186A752A6, "secondaryweaponobj" },
    { 0x35A09D7B8AD031FB, "secondaryweaponstockammo" },
    { 0x20709758811491F5, "seconddeathfunction" },
    { 0x4B9FFDF2A48EA1B0, "secondowner" },
    { 0x98A3573FC120B00A, "secondsbeforeplacementupdates" },
    { 0x39B4C9D86233FE83, "secondupgrade" },
    { 0xFD9766C3A4F0B5C5, "secondwindthink" },
    { 0xFD52B737C8A9E2F4, "secrethunt" },
    { 0x1840F0FF4BC56F18, "secrethunt_debuglocations" },
    { 0x6066153D2ED13C5F, "secretstashlootcacheused" },
    { 0xBA89F2D32209AFA0, "secured" },
    { 0x4A162AF798136F2C, "securedoor" },
    { 0x96727D4F068A1D49, "securestarted" },
    { 0xDBEDD019B8F688AE, "security_cam_01_catchup" },
    { 0x79CB078D55BD8B01, "security_cam_01_main" },
    { 0x09D6E56B5D6C06E2, "security_cam_01_post_intro_catchup" },
    { 0xCA96F33BA4B4187D, "security_cam_01_post_intro_main" },
    { 0x6C00E2EE25952BAC, "security_cam_01_post_intro_start" },
    { 0x4B4157040524DBC8, "security_cam_01_start" },
    { 0x1C1BF75F9720019B, "security_cam_02_catchup" },
    { 0xF2060D0ABD8C413A, "security_cam_02_main" },
    { 0x7E6F095B9AEF5FB9, "security_cam_02_start" },
    { 0xE05499C8A9DCFF1A, "security_cam_bink_main" },
    { 0xCC6DB5A5BABF109D, "security_id" },
    { 0xE65D72B608CA9084, "securitycam_slow_look" },
    { 0xC62FB9FC5EE910F3, "see_air_killstreak_dist" },
    { 0xBE19C45993B304EC, "see_equipment_dist" },
    { 0x2794A0924AC8ED72, "see_icon_on_cruise_missiles" },
    { 0xEC5A80708B951F40, "see_icon_on_interceptor_missiles" },
    { 0x071FF4ADD86A3C94, "see_killstreak_dist" },
    { 0x5DCAAF403C4116C2, "see_recently_override" },
    { 0x1F4B3BE92CF378F3, "seeing_player_time_tracker" },
    { 0x245EF9B11C9C6F67, "seeker_collide" },
    { 0xE8E15B32659A90EE, "seeker_evaluatesyncedmelee" },
    { 0x6BFA65605E3ABDD4, "seeker_getplayerriganims" },
    { 0x15F768BFF294C953, "seeker_initmelee" },
    { 0x1FA69DA4F371DC46, "seeker_meleeexplode" },
    { 0xAA6C1511618C577E, "seeker_meleegrab_bash" },
    { 0xD7F6B9DC36CC993B, "seeker_meleegrab_checkinterrupt" },
    { 0xEF874AF88203339D, "seeker_meleegrab_counterhint" },
    { 0x162302DEA4117D08, "seeker_meleegrab_counterinput" },
    { 0x63069FA564D4A559, "seeker_meleegrab_hint" },
    { 0x5AD59419A2C8E813, "seeker_meleegrab_interrupt" },
    { 0xCA5A4BDA0593F220, "seeker_meleegrab_notetracks" },
    { 0x31BFD2368AC1EDA5, "seeker_meleegrab_rumble" },
    { 0x7D204A2F47F3DECE, "seeker_meleegrabkillplayer" },
    { 0x98C9B3E17C2AAE5E, "seeker_meleegrabplayer" },
    { 0xDAE702731F2BE58E, "seeker_meleegrabplayercounter" },
    { 0x25F5A59EE99B1FD8, "seeker_pickattachdirection" },
    { 0xD360DF2842232C82, "seeker_playergrabbed_screenshake" },
    { 0xB7FCA5B51048A885, "seeker_playerrig_link" },
    { 0xCAD7378C1405F0E0, "seeker_playerrig_meleegrabplayer" },
    { 0xB33352698625FDC3, "seeker_traversal" },
    { 0x202F911307C8D5D3, "seekerattack_victim_checkattacker" },
    { 0x88C5AA6DB83B80E6, "seekermeleedetonate" },
    { 0x22DF8E930F2B5139, "seeking_player" },
    { 0xF753B2B0D69CDE4E, "seen" },
    { 0x7ADD4FFA980A6C78, "seen_attacker" },
    { 0x475B7BA426AE3740, "seen_recently_spawner_time" },
    { 0x1565F94385F0CEBC, "seenatseeker" },
    { 0x9FFD73625B3646D0, "seerecently" },
    { 0xB658EF2601533FA6, "segment_size" },
    { 0xC93B68C0982CF964, "segmented_health_regen" },
    { 0xD858D43C0CBB4941, "segmented_health_regen_disabled" },
    { 0x0D13C2A259460424, "segmented_health_regen_internal" },
    { 0xB3AF8F03D2A0D695, "segmented_health_regen_parameters" },
    { 0x2A0913DBFB39153B, "segments" },
    { 0x025240E7582BE898, "segmentvssphere" },
    { 0xF9D6A212EBF39615, "seigemode_hint_displayed" },
    { 0x450FE8861DEFC869, "select" },
    { 0x46BAD68131B44BCF, "select_all_exploders_of_currently_selected" },
    { 0x0EF4F7ECA91F6D3E, "select_back_door_spawners" },
    { 0x88C12B5038864152, "select_back_one_spawners" },
    { 0x0523E5659B468434, "select_back_two_spawners" },
    { 0x16E5201C3A37017C, "select_boss_one_spawners" },
    { 0xF1FF48AC7BE7BF2E, "select_boss_two_spawners" },
    { 0xCEA142EC31A8BF74, "select_bridge_one_spawners" },
    { 0x8A627E70D3D7EAB0, "select_bridge_three_spawners" },
    { 0xB1C44B040A646376, "select_bridge_two_spawners" },
    { 0x40EDCD8AAD9579C9, "select_bunker_courtyard_spawners" },
    { 0xA8071A711EAB30EF, "select_bunker_interior_four_spawners" },
    { 0xE76154E80A708975, "select_bunker_interior_groups" },
    { 0xF013162292E9721D, "select_bunker_interior_one_spawners" },
    { 0x7AC18AD44A30E409, "select_bunker_interior_three_spawners" },
    { 0x5420E4049CB3D62B, "select_bunker_interior_two_spawners" },
    { 0x7329D5039D5C00C6, "select_bunker_roof_spawners" },
    { 0x5CC23542C1A62A8C, "select_bunker_server_one_spawners" },
    { 0xF7612A4CC7A3E3BE, "select_bunker_server_two_spawners" },
    { 0x0EB51EC1CD53E727, "select_by_name" },
    { 0x7F62ED2528051E10, "select_by_name_list" },
    { 0x0EE1C0310150AAAF, "select_by_substring" },
    { 0x50DF355CA52F05E3, "select_chopper_boss_target_player" },
    { 0x80A951ED4AD61C35, "select_cliff_one_spawners" },
    { 0x86FDE946BFB0A933, "select_cliff_two_spawners" },
    { 0xCA91BEF2E86A4291, "select_end_bridge_stair_spawners" },
    { 0x921781BCCC2CC93A, "select_enemy_left_spawners" },
    { 0xEA54CA2E49A77DCD, "select_enemy_right_spawners" },
    { 0xE4F0BC81D163204A, "select_enemy_rpg_spawners" },
    { 0x74EAD96AB1B984B4, "select_enemy_sniper_spawners" },
    { 0x2E12A35AFF1BEC01, "select_entity" },
    { 0x8EAB085A8F87EDC2, "select_equipment_spawners" },
    { 0x3D545F21640E4CE4, "select_func" },
    { 0xC2D1713F5A23CC74, "select_hostage_room_one_spawners" },
    { 0xE14E0F85606AFFB0, "select_hostage_room_three_spawners" },
    { 0xA5F4795732DF7076, "select_hostage_room_two_spawners" },
    { 0x6635FADDEE1A5BA0, "select_index_array" },
    { 0xD7BE9D78B637390A, "select_jugg_node" },
    { 0x6704D92952C05E6A, "select_kitchen_spawners" },
    { 0x61CA8F365988D814, "select_last_entity" },
    { 0xFA7A4E8F9DCEE74A, "select_left_turret_spawners" },
    { 0x092DB624CAE67BB8, "select_lobby_door_one_spawners" },
    { 0xC5351B50D903E78A, "select_lobby_door_two_spawners" },
    { 0x6C3F85907EB704AF, "select_lobby_patrol_spawners" },
    { 0xAE8AB0E1BB4FA1E5, "select_low_roof_spawners" },
    { 0x1F28809104E27FC4, "select_mid_bridge_left_spawners" },
    { 0x00987BC4D350171F, "select_mid_bridge_right_spawners" },
    { 0x03BA1A2FE904F235, "select_mid_roof_spawners" },
    { 0x745521D46BF95D52, "select_middle_turret_spawners" },
    { 0xB6A200467E628C29, "select_mortar_spawners" },
    { 0x808D3934B3A955CA, "select_mountain_one_spawners" },
    { 0x378B4F8408755B62, "select_mountain_three_spawners" },
    { 0x0F5D2E6BF663CDBC, "select_mountain_two_spawners" },
    { 0x1229039D1B3D9FD4, "select_new_spotlight_goal_node" },
    { 0xA99FAB4F4BE8A0AC, "select_patrol_eight_spawners" },
    { 0x7BA1424B21BE5077, "select_patrol_five_spawners" },
    { 0xD23A62CBA3AE3827, "select_patrol_four_spawners" },
    { 0xD7E21B183E277057, "select_patrol_nine_spawners" },
    { 0x5FDB3968E0BE3D35, "select_patrol_one_spawners" },
    { 0x1DF9C0A5DC19E466, "select_patrol_seven_spawners" },
    { 0x6EACE6875788AB29, "select_patrol_six_spawners" },
    { 0x6A626004F3617431, "select_patrol_three_spawners" },
    { 0x662FD0C25598CA33, "select_patrol_two_spawners" },
    { 0x9627ED11A782C6F8, "select_players_in_killzone_first" },
    { 0xD9263BAEF1B25F14, "select_players_in_killzone_only" },
    { 0x2EFF737693075EFA, "select_players_not_in_killzone_only" },
    { 0xECE0958DDA6F919A, "select_random_card_location" },
    { 0x7BD2D31F9AF7DE2F, "select_random_spawners" },
    { 0x3BDB8D819ACC9B50, "select_random_vector_in_radius" },
    { 0x8453EEE6717DB291, "select_reception_spawners" },
    { 0x93A04AFC33284A95, "select_right_turret_spawners" },
    { 0xB22DE492D7ED4714, "select_spot_array" },
    { 0xBA2DA1802964FD20, "select_spot_light_nodes_from" },
    { 0xE3D7987DFE410976, "select_stadium_one_spawners" },
    { 0x23811F75418F0ABE, "select_stadium_three_spawners" },
    { 0xAA01961B791EF868, "select_stadium_two_spawners" },
    { 0x86A60033E5895606, "select_stairway_spawners" },
    { 0x06E69FD4475E2CA8, "select_top_roof_spawners" },
    { 0x80F4417BED42F6AE, "select_under_bridge_reinforce_spawners" },
    { 0x95BB32FA44604F45, "select_woods_one_spawners" },
    { 0x7D69EFD52F8F0081, "select_woods_three_spawners" },
    { 0x28F6DB583F2DA2C3, "select_woods_two_spawners" },
    { 0x535E37D0F1B4EE94, "selectable_ents" },
    { 0x82F2A672AA15B9A4, "selectableattachmentlist" },
    { 0x9A2FC6FDF623E142, "selectableattachmentmap" },
    { 0x203D20F9D5A730A2, "selectairstrikelocation" },
    { 0x4F2537D042391CF4, "selectanim" },
    { 0x86F59BDE4EDEB8C0, "selectbestspawnpoint" },
    { 0xBC229E2FDC42B21A, "selectdomspawn" },
    { 0xA7E936405CD03600, "selected" },
    { 0xFAE884DB1927EE0C, "selected_ent_buttons" },
    { 0x749D070EA8C2DF0B, "selected_fx" },
    { 0x0E248645E3B2DB16, "selected_fx_ents" },
    { 0x0C74E15725073852, "selected_fx_option_index" },
    { 0x9572CBE5B16FBF30, "selected_hint" },
    { 0xB9AEEABF2621BA75, "selected_node" },
    { 0xAB2807B297C8BDAE, "selectedaitype" },
    { 0xFE4320BD602A8878, "selectedclass" },
    { 0xB52CCDD0FB8A5EF2, "selectedents" },
    { 0x1CABAE14C92B7179, "selectedhint" },
    { 0x32074E99BA4C5F9B, "selectedmove_forward" },
    { 0xF41804AC5EC117FC, "selectedmove_right" },
    { 0x23600CC48E6AA48B, "selectedmove_up" },
    { 0x854D83091EAFD8D6, "selectedrotate_pitch" },
    { 0x5D5A0627366752BB, "selectedrotate_roll" },
    { 0xDBA5BABB3B06B73B, "selectedrotate_yaw" },
    { 0x0EDDF265098D9042, "selectedspawnarea" },
    { 0x6E86454B4A6FBCA5, "selectedweapons" },
    { 0xB918F47C28A231C2, "selectfirstavailablekillstreak" },
    { 0xD5BB07ADF45E6CC0, "selectinglocation" },
    { 0x6B9AF38BA24030E9, "selection" },
    { 0xF0F610AA3F1ED4E4, "selection_error" },
    { 0x745BA2B493606C0C, "selectiondelaymessaging" },
    { 0x82B9D583002651C4, "selectionmade" },
    { 0x02BF0D6C5B54DD79, "selectlocationvo" },
    { 0xFEEB1DCFC9ED37A5, "selectmostexpensivekillstreak" },
    { 0x91831080280410F3, "selectneutralspawn" },
    { 0xB603FCA09469A9B1, "selectnextavailablekillstreak" },
    { 0x293F88DFE08FADF4, "selectonemanarmyclass" },
    { 0x2F790B63DABDA917, "self_delete" },
    { 0xCB535C93C17B3AD6, "self_destruct" },
    { 0x040D4E326F60D6F7, "self_destruct_drone" },
    { 0xEE0068A3C97F6F7A, "self_func" },
    { 0x0246C39673E50308, "self_onfirstuse" },
    { 0xFEE1B94B375C6094, "self_onuse" },
    { 0x6D22D88D09D7AF6D, "self_revive" },
    { 0x5365389FEDF94E09, "self_revive_activated" },
    { 0xBA2C7C82A0C9AF14, "self_revive_wait_override" },
    { 0x0DABD1D315625F6C, "self_revives_purchased" },
    { 0x484391C9F7FFE42D, "selfdamaging" },
    { 0xB29C3ECCD2AE06F7, "selfdeletedelay" },
    { 0xE1F0C0639927FD61, "selfdestruct" },
    { 0x1C32B4AECE4B6753, "selfdestructnow" },
    { 0xE4274128159E8BB6, "selflookatfriendly" },
    { 0xC91BBFF23CB7CC8F, "selfrevivebuttonpresscleanup" },
    { 0xCFC294B6AE485C30, "selfrevivebuttonpressed" },
    { 0xCDFF6ACF2C8861B1, "selfrevivemonitorrevivebuttonpressed" },
    { 0x550C01B8E33A171E, "selfrevivethink" },
    { 0x2903AFAD91CA4384, "selfrevivingdoneanimevent" },
    { 0x6922942592C17FF7, "selfvodelay" },
    { 0x56699DEDEB634F94, "selfvodelaycomplete" },
    { 0xE534A455143260E0, "selfvohistory" },
    { 0x73B39D79FDD80324, "selfvoinfo" },
    { 0xB96F607C81F30CEE, "selfvomap" },
    { 0xA89C8AF2C76A53DB, "semiaces" },
    { 0x519535E45614E2FE, "semifirenumshots" },
    { 0x2D7408A430107571, "semtex_delete" },
    { 0xE2C06E4E38227EA8, "semtex_destroy" },
    { 0x66B71C7B358F6CBB, "semtex_explode" },
    { 0xA048A9958B3F4497, "semtex_killstuckplayer" },
    { 0x5EA413EDF3BC2B7B, "semtex_stuckplayer" },
    { 0x2809020B32D0E45F, "semtex_used" },
    { 0x681DB2CA4406A8FA, "semtex_watch_beacon" },
    { 0xF61329175BC7A0FE, "semtex_watch_cleanup" },
    { 0x15245C87C96188F4, "semtex_watch_cleanup_end_early" },
    { 0x06B99ADD2D36DBDB, "semtex_watch_fuse" },
    { 0xE7305D77B62CE22A, "semtex_watch_stuck" },
    { 0xC70532D58A351714, "semtexfiremain" },
    { 0xE22A9BE5349F7F7E, "semtexstuckto" },
    { 0x56D403960E825C92, "semtexstucktoenemy" },
    { 0x2CF84C7D02DA09C7, "semtexstucktoplayer" },
    { 0xBDCCD628D79B4C18, "semtexused" },
    { 0xA2A2782434D03568, "send_ai_to_colorvolume" },
    { 0x29C9A6675C34BEAE, "send_aievent_to_others_in_group" },
    { 0xC5711BFA326BB523, "send_all_ai_to_players" },
    { 0xDEAA244EE29E3026, "send_convoy_soldier_here" },
    { 0xDB6CF9160A0427A0, "send_down" },
    { 0xF04D1320438D32FF, "send_drone_down" },
    { 0x6893FE63CD0B4977, "send_enemies_to_attack_hack" },
    { 0x43B15C75E8A47E30, "send_griggs_to_ied" },
    { 0x3922BBB14BAD5450, "send_guy_to_org" },
    { 0x609F8682AABA7F77, "send_heli_reinforcements" },
    { 0x2BCC3F9631B39BD9, "send_hvt_to_elevator" },
    { 0xC9F1172956D5C7B5, "send_munition_used_notify" },
    { 0x6BD218E058AD710D, "send_notify" },
    { 0xE3CC083955BE7D5C, "send_notify_after_frame_end" },
    { 0x4785D35FEF6A6B92, "send_notify_after_player_tac_vis" },
    { 0x0D1E37609EDB040C, "send_notify_from_ied_controller" },
    { 0xBB5D0B3FB9F52A9F, "send_notify_on_damaged_by_player" },
    { 0xEAB8EFCBB5799A79, "send_notify_on_killed_by_player" },
    { 0x11F14924CEE5BFB6, "send_notify_to_groups_from_groupname" },
    { 0x9FD45410E5C74AD4, "send_notify_to_module_struct" },
    { 0x91B8BD2C401EC965, "send_out_convoy_towards_exit" },
    { 0xD86E14C141E7E40F, "send_players_to_floor" },
    { 0xC395D1659B4DD78C, "send_riders_to_proper_combat_spot" },
    { 0x006637FE5018D18F, "send_right_flank_goto" },
    { 0xF566A65F79177B2E, "send_running_if_player_skipped_farah_ceiling_scene" },
    { 0xB44262F5723F22E6, "send_to_goal_open_goalradius" },
    { 0xACAA0AE4F22754E1, "send_wave_spawns_to_roof" },
    { 0x1F4553F8E33885AA, "sendafksquadmembertogulag" },
    { 0x35AC3C7D8721DD6D, "sendclientmatchdata" },
    { 0x5440363EE12FC3F7, "sendclientmatchdataforclient" },
    { 0x3640483506E89211, "sendclientnetworktelemetry" },
    { 0xDBA7016DF42B0B4D, "sendcodcasterclientmatchdata" },
    { 0xF7CD1A3DAD91083C, "sendcodcastermatchdata" },
    { 0x92F7FA9A56F46EF4, "sendcollectedclientanticheatdata" },
    { 0xF4FF378B60BFDBD1, "senddelayedevent" },
    { 0x3C29FED2BF4F459A, "sendendofmatchdata" },
    { 0x1B33BC91BC03D880, "sendgameendedfrozennotify" },
    { 0xE40408C8EE33ABAF, "sendleaderboards" },
    { 0xC787CEA7AE7AF6BB, "sendleveldata" },
    { 0xA1EFA0987429855C, "sendmatchdata" },
    { 0xC946BCC61173E7D6, "sendmissiontelemetry" },
    { 0xDC5A4C393314D11F, "sendout_notify_of_vehicle_kill" },
    { 0x0C5A5D76EAC2AE3B, "sendplayerstatusmessage" },
    { 0x3CBC6AE4B3882E27, "sendrequestgamerprofilecmd" },
    { 0x89EAFF87C8DC060D, "sendscriptusageanalysisdata" },
    { 0xF4EE0A37A97A5D3A, "sendsuperpointstoui" },
    { 0xDCC60F6ABD990EF1, "sendwinnerresultstoclients" },
    { 0xA43F8F6A3BC0621D, "sendzombiehorde" },
    { 0x6B923CB7243615EF, "sensor" },
    { 0x77D1F2602104257E, "sentientaddedtime" },
    { 0x069F70876A9C634B, "sentientdisabled" },
    { 0x3475CC3611CAA539, "sentientpool" },
    { 0x0E34B2BE7C357B6F, "sentientpoolindex" },
    { 0x29B564E920A981BE, "sentientpools" },
    { 0x9F49C198347BBA92, "sentientteam" },
    { 0x228670B6EE7B409E, "sentry" },
    { 0xDBFDC951A8039147, "sentry_attacktargets" },
    { 0x366B1CA5E7A116AF, "sentry_beepsounds" },
    { 0x93BD7166608E0F61, "sentry_burstfirestart" },
    { 0x365849E7A07E833B, "sentry_burstfirestop" },
    { 0x14AFB3A2624C79EA, "sentry_clearteamheadicon" },
    { 0x36A345DDEAA4736A, "sentry_deleteturret" },
    { 0x87C9DEF9B4EA8821, "sentry_destroyongameend" },
    { 0x94F24BB1256C31C9, "sentry_empcleared" },
    { 0x772284D973858B04, "sentry_empstarted" },
    { 0x93AB4F48A5D3F399, "sentry_handlealteratepickup" },
    { 0x81D00BE547199E10, "sentry_handledamage" },
    { 0xDB2094BAB70DDBBD, "sentry_handledeath" },
    { 0xA2692F5BEE47E062, "sentry_handlemanualuse" },
    { 0xABF3A7D9E007F8DE, "sentry_handleownerdisconnect" },
    { 0x6CB43DD5F03053A4, "sentry_handleuse" },
    { 0xE9293615C3A320AD, "sentry_heatmonitor" },
    { 0xCECB925A8A9FBF5E, "sentry_init_done" },
    { 0xE1930DBB7C879EB2, "sentry_initsentry" },
    { 0x91ED52EBE7807DF9, "sentry_laser_burstfirestart" },
    { 0x5AE0F4A8426DD5E9, "sentry_makenotsolid" },
    { 0x323D35DCF13E5390, "sentry_makesolid" },
    { 0xB040589FFFAE6C9C, "sentry_moving_platform_death" },
    { 0x566B49D3B10F432A, "sentry_offline" },
    { 0x92D556F688D61E3B, "sentry_oncarrierchangedteam" },
    { 0x71EB89D37376B499, "sentry_oncarrierdeathoremp" },
    { 0x53F292463A25C270, "sentry_oncarrierdisconnect" },
    { 0x81F563053FAF85B0, "sentry_ongameended" },
    { 0xB440343F9FC5BF4E, "sentry_place_delay" },
    { 0xAD8E982BD5700743, "sentry_setactive" },
    { 0xDFB008D3336191F0, "sentry_setcancelled" },
    { 0x8C9F465F0D8CC945, "sentry_setcarried" },
    { 0xE723B03E6AD7A8B4, "sentry_setinactive" },
    { 0x8335C2B40ED7A318, "sentry_setowner" },
    { 0x44BF1B1A5612274C, "sentry_setplaced" },
    { 0x5E5E020E49DDD7FF, "sentry_setteamheadicon" },
    { 0xD0E20335E54AEE0F, "sentry_shouldshoot" },
    { 0xA29F2CF59D8D18FB, "sentry_spindown" },
    { 0x60929906F44211DA, "sentry_spinup" },
    { 0xBDD0AD3FAC7C6398, "sentry_targetlocksound" },
    { 0x8F6F3D6030B7A53E, "sentry_timeout" },
    { 0xBA6A0AFB00E9E9F5, "sentry_trap_structs" },
    { 0xCFEF9DC6901AD977, "sentry_watchownerstatus" },
    { 0x72B30B043BCB94CC, "sentrygun" },
    { 0x79920976259DB667, "sentryhandledeathdamage" },
    { 0x217BDF48979AF2EA, "sentrymodeoff" },
    { 0xF7856D0F96C6E970, "sentrymodeon" },
    { 0x12FA847E978F90D5, "sentrymodifydamage" },
    { 0xEC2B2D89D900052B, "sentrysettings" },
    { 0x92F76A35A6278CBE, "sentryshocksamtarget" },
    { 0xE85B42F981B2DCBA, "sentryshocktargetent" },
    { 0xC6F1685A452C87A2, "sentryshocktargets" },
    { 0x92D41FE5E9B01D91, "sentryturret_allowpickupofturret" },
    { 0xE84DD723429EBCC5, "sentryturret_canpickup" },
    { 0x768F33825F00C0BD, "sentryturret_create" },
    { 0xDB5123997551F117, "sentryturret_createhintobject" },
    { 0xDB326361FF7C4041, "sentryturret_delaydeletemarker" },
    { 0x4E3DCEF3F17AE47A, "sentryturret_delayplacementinstructions" },
    { 0xB9D2BEBB8F340164, "sentryturret_delayscriptabledelete" },
    { 0xC390DBF4CD5ACAF6, "sentryturret_disableplayerdismantleonconnect" },
    { 0x08F7189BAC9A1653, "sentryturret_disableplayerpickuponconnect" },
    { 0x1ED405EAA77F70E6, "sentryturret_disableplayeruseonconnect" },
    { 0x8B3FBBC040D61BF3, "sentryturret_empcleared" },
    { 0x8994FD8D7E77FDDE, "sentryturret_empstarted" },
    { 0x6D0F85D43DF1C754, "sentryturret_empupdate" },
    { 0x9FBD922105DA44B0, "sentryturret_gettargetmarker" },
    { 0x7563D56EE2696DA6, "sentryturret_handledeathdamage" },
    { 0x660045F564798BF9, "sentryturret_initsentrysettings" },
    { 0x42D0A5C37E98E289, "sentryturret_laststandwatcher" },
    { 0x72BBC1A1020D9412, "sentryturret_modifydamage" },
    { 0x55E3D647F02AB354, "sentryturret_monitordamage" },
    { 0x6040B8E56AE9FD6D, "sentryturret_munitionused" },
    { 0x15779DD6E6C4BF84, "sentryturret_revivedwatcher" },
    { 0x6F701B3E1F8F9B0F, "sentryturret_setcarried" },
    { 0x66B44D97AC67FE1A, "sentryturret_setinactive" },
    { 0xE6E53C96159FA95A, "sentryturret_setplaced" },
    { 0x9AA8191212B13862, "sentryturret_setturretmodel" },
    { 0xC18B134EF4762532, "sentryturret_switchbacklastweapon" },
    { 0x0CD9B66F918D7CC9, "sentryturret_watchdamage" },
    { 0x37358C803DFAB94A, "sentryturret_watchdeath" },
    { 0xF8C3F730BD74E7F7, "sentryturret_watchdismantle" },
    { 0x706FEA9B76C9B9EC, "sentryturret_watchdisown" },
    { 0x04FCC77251A7EFE7, "sentryturret_watchgameend" },
    { 0x47B6D71B7158FC64, "sentryturret_watchpickup" },
    { 0x9897A37C3AAF73BF, "sentryturret_watchplacement" },
    { 0xA5E0030B8B42B43B, "sentryturret_watchtimeout" },
    { 0x4AD041F037CC815E, "sentrytype" },
    { 0xFC1EDD6C2750C615, "seq3_cleanup_leftovers" },
    { 0x40FCF548FB7BF970, "seq3_computer_interaction" },
    { 0x43BD51FF1C017D49, "seq3_computersused" },
    { 0x11A7E50DB1CFAD1E, "seq3_crate_usable" },
    { 0xD63E69837EBE3DCC, "seq3_cypher_tagorigin" },
    { 0x587FDE702D76FD6B, "seq3_digits_display_array" },
    { 0x54DAD727E32277CA, "seq3_displaymodels" },
    { 0x1780DC0D510714FB, "seq3_elevator_init" },
    { 0xEB6504995F5EC659, "seq3_emergency_lights" },
    { 0xE5FF9D7350221BA5, "seq3_gate" },
    { 0x25972258474AE17A, "seq3_has_seen_tiers" },
    { 0x1E12344453ECDB34, "seq3_keyboards" },
    { 0x5162AFF6FDEF3025, "seq3_keypad_init" },
    { 0xFEE442A67D6538D8, "seq3_monitor_2_spawned" },
    { 0x541C1A3AF9DE42F2, "seq3_numbers_array" },
    { 0x4A59FF4C8B179E71, "seq3_puzzle_attempts" },
    { 0xE2C65A736A2F1838, "seq3_puzzle_complete" },
    { 0x22C48713C076D51E, "seq3_reset_switch" },
    { 0x0DE134D6F4ADD273, "seq3_russian_cypher_str" },
    { 0xD2EBF1D8696A4323, "seq3_sequence" },
    { 0x47282EEFD4B208F0, "seq3_sequences" },
    { 0xBE8CB61DCBBC4069, "seq3_sequences_correct" },
    { 0x75C71EF40FAFD59E, "seq3_spawners_intro" },
    { 0x8EA663221189EAE7, "seq3_tanksettings" },
    { 0x7A48376436EDFB4C, "seq3_thermitetank_settings" },
    { 0x780CB00361CAAEE2, "seq3_tier" },
    { 0x17C28A9A8193E441, "seq3_tvnums_str" },
    { 0x5120647D6B3F33F8, "seq3_warning_room_a" },
    { 0x5120677D6B3F3A91, "seq3_warning_room_b" },
    { 0x5120667D6B3F385E, "seq3_warning_room_c" },
    { 0x0C83DC08E8FF781B, "seq3_warning_tier" },
    { 0x3116E290E04E1EFB, "seq3_wave_delay" },
    { 0x556CEC5E9F4CAACD, "seq3_wheelson_starts" },
    { 0xC1AC430D75289659, "sequence_interaction_activate" },
    { 0x157F84076041EEF1, "sequence_interaction_hint" },
    { 0x0E73C11C25A020BA, "sequence_interaction_init" },
    { 0xCB6F571165E14297, "sequence_locked" },
    { 0x4C67D957EBB260E1, "sequence_operator" },
    { 0xD527D4DF39D58A4C, "sequence_progression" },
    { 0x6620729C3921D6AF, "sequence_succeed_fail_think" },
    { 0x0A1DFA1505F68DB7, "sequencename" },
    { 0x350DE52A18B61614, "sequencetype" },
    { 0xA3BA398BCC2672FA, "sequential" },
    { 0xA93A7C42AF37574F, "sequential_loop_padding" },
    { 0xAD478AE942FB875D, "sequential_scene" },
    { 0xB2438FB9A5522EF2, "sequential_wait_time" },
    { 0xD75DB2329A560DF6, "server_activate" },
    { 0x57208262251F23CB, "server_culled_sounds" },
    { 0x30A5DA82148AD6EA, "server_hint" },
    { 0x969EDBA0A7A9F69C, "server_interact_used_think" },
    { 0xB18E0779D6973FEF, "server_rack_clip" },
    { 0x5395CE34F60CA3B3, "server_structs" },
    { 0x94D5127B60C29EBC, "server_triggered" },
    { 0x1A654C768EB1D092, "server_unlocked" },
    { 0xDB4BD1396736B34E, "serverroomdogtagrevive" },
    { 0x7076BC2513BCD735, "serverroomrewardlocs" },
    { 0x8860906576BA76FD, "serverroomrewardroll" },
    { 0xC0635051F4C691F9, "serverroomrewardspawn" },
    { 0x084FAE2B540F6B3C, "serverroomtvs" },
    { 0x3B6E30DAAE9533D2, "session_stats_init" },
    { 0x305BF798310268E4, "sessionstate" },
    { 0x5FAAFA7FE57DBBFA, "sessionteam" },
    { 0xBE1FF7030AD6C517, "set" },
    { 0x50BFCB3EE55540FA, "set3duseicon" },
    { 0x91C246CC4FCE0214, "set_accuracy_at_dist" },
    { 0x09E96ECE1814D050, "set_accuracy_based_on_situation" },
    { 0x34116CE28B41AC79, "set_achievements_blocker" },
    { 0x5E6E5C6573E233D8, "set_active_camera" },
    { 0xF78FBC86EC0269F7, "set_actualstarttime" },
    { 0xC664B63BD16FA378, "set_agent_health" },
    { 0xF51F5C1F91BED26F, "set_agent_model" },
    { 0xD96BF1F3EA1A1BB8, "set_agent_spawn_health" },
    { 0x16C5FF266EE33850, "set_agent_species" },
    { 0x59594F2420C6D723, "set_agent_team" },
    { 0x9CD6222A4D1F85F8, "set_agent_traversal_unit_type" },
    { 0x69B8793F035E0E1F, "set_aggro_flag_on_enter_combat" },
    { 0xAE066943B4C4A442, "set_ai_bcvoice" },
    { 0xABE7BB755E94C12A, "set_ai_number" },
    { 0x385B7D662C05AA4C, "set_aim_and_turn_limits" },
    { 0x30C535732EB46CDB, "set_aim_target" },
    { 0xDA82BDD811FA324B, "set_alert_level" },
    { 0x326F63099DE9AD85, "set_alien_damage_by_weapon_type" },
    { 0x5D8037064D674CF7, "set_alien_emissive" },
    { 0xC63E528780B83C90, "set_aliensession_stat" },
    { 0xF6A5193A68306B8A, "set_all_exceptions" },
    { 0x65760D7482635C4A, "set_all_reaction_states" },
    { 0x3504BFD37668F789, "set_allowdeath" },
    { 0xFC32F95264C530C6, "set_ally_movement_courtyard" },
    { 0x13599CFFD2A2EDA0, "set_ally_movement_pre_breach" },
    { 0x66AD5F54FF77E709, "set_ambient_max_count" },
    { 0x43997160939E4027, "set_ambient_min_count" },
    { 0xA12A09EF475D9A19, "set_ambush_sidestep_anims" },
    { 0x585A605CB87A6185, "set_amount_cars_to_compromise" },
    { 0xA9AD390BE7C95CAF, "set_anglemod_move_vector" },
    { 0x6ADC0AD9DF8E95D6, "set_anim_playback_rate" },
    { 0x1B59583AB6DFE5FC, "set_anim_pos" },
    { 0x382DA9D42B0DE70B, "set_anim_state" },
    { 0x4136BBDFC0B5D68E, "set_animarray_add_turn_aims_crouch" },
    { 0x7ABDDCDBA29E2A88, "set_animarray_add_turn_aims_stand" },
    { 0x89D5A8D3F30D65F4, "set_animarray_burst_and_semi_fire_crouch" },
    { 0xA98514AB2823DB72, "set_animarray_burst_and_semi_fire_stand" },
    { 0x47E37BCF324BD067, "set_animarray_crouching" },
    { 0x4865E6DC5842803C, "set_animarray_crouching_turns" },
    { 0xCA3700F6DBF2C1E2, "set_animarray_custom_burst_and_semi_fire_crouch" },
    { 0x877AC7CFBDED863C, "set_animarray_custom_burst_and_semi_fire_stand" },
    { 0x28C32DB0CA19DE2B, "set_animarray_prone" },
    { 0x894C42C50712CFF0, "set_animarray_stance_change" },
    { 0xF5F3E154083EBB53, "set_animarray_standing" },
    { 0x372D8F958F254678, "set_animarray_standing_turns" },
    { 0xBB8175A29F2872B6, "set_animarray_standing_turns_pistol" },
    { 0x987A094628AFE3F8, "set_animsets" },
    { 0x62B36DE1EB000226, "set_apache_desc_delay" },
    { 0x827A952F827E278D, "set_apply_emp_callback" },
    { 0xCCA9ED27D2603D37, "set_archetype" },
    { 0x44133FB7C60E928F, "set_armor" },
    { 0x046E982942B8A3B3, "set_armor_vest_amount" },
    { 0xBF9BD998B7BD1849, "set_arrival_speed" },
    { 0x6672C4DCB5F573E7, "set_as_innocent" },
    { 0x6216CB08086EE26F, "set_attach_objective_icon" },
    { 0x1EF8FA93482A207F, "set_attached_models" },
    { 0xBDF063B36160BC73, "set_attachment_mod_damage_data" },
    { 0x193CFE9FED323B94, "set_attachment_mod_damage_data_for_vehicle" },
    { 0x7886CB203F2FA2B2, "set_attackeraccuracy" },
    { 0x81A15625B58DB091, "set_attackeraccuracy_handler" },
    { 0x155BF463AC3A5DBA, "set_audio_level_fade_time" },
    { 0x7AC38318CF1D10CF, "set_axis_model" },
    { 0x10868A701DCDE90C, "set_backup_location" },
    { 0xF6833347555324BF, "set_backyard_objective" },
    { 0x0C61D8978DA07E0C, "set_baseaccuracy" },
    { 0xBF3BFEC2DC69D28F, "set_battlechatter" },
    { 0x1A2E7C40D09B6CB8, "set_battlechatter_reaction_alias" },
    { 0x4D87998DA2E12510, "set_battlechatter_variable" },
    { 0x259BAE6B7D70DF17, "set_blind" },
    { 0xA153F2602F271891, "set_bloody_model" },
    { 0xE2584CBA2A94A3E1, "set_blur" },
    { 0x645621687492A337, "set_blur_safe" },
    { 0x5AD39A352E9E5B06, "set_bounding_overwatch" },
    { 0x059E4A59B8A1FB88, "set_brakes" },
    { 0x042DCAAA5C476F0E, "set_building_hostage_id" },
    { 0xD889F964DA91EB17, "set_cam" },
    { 0x35500F4A0471635E, "set_can_compromise_before_1st_target" },
    { 0x1E645F11D19905C0, "set_can_update_player_armor_model" },
    { 0x71512751DA7A9D8D, "set_car_collision" },
    { 0xF5387993870E883F, "set_carry_item" },
    { 0x087BBAF81E8CDC08, "set_cautious_navigation" },
    { 0xFF806243D792D9D9, "set_center_compromises" },
    { 0x26A5AB45A079727D, "set_center_hull_invulnerable" },
    { 0x87C65C416A033B62, "set_character_models" },
    { 0xE1C954A49D72F4F8, "set_chopper_circle_speed" },
    { 0xF666489B4F9A86A8, "set_chopper_search_speed" },
    { 0xA14FA41E04396A9F, "set_chopper_spawn_speed" },
    { 0xD78CE648FA0003D3, "set_chopper_strafe_speed" },
    { 0xE006721ABC05CAA3, "set_chosen_spawner_from_uid" },
    { 0xB65754EEEBD50739, "set_cinematicmotionomnvaroverrides" },
    { 0x740D7B7D19DE94AB, "set_cinematicmotionomnvarovertime" },
    { 0xB601FF6C4677FAE0, "set_class_playerdata" },
    { 0xDD3BB82469351E9A, "set_clear_emp_callback" },
    { 0x87ABCCED1DC7A88F, "set_combat_action" },
    { 0xC76AD9EB8B726344, "set_completed_quest_mark" },
    { 0x941A43A2B32A898B, "set_compromise_megahealth" },
    { 0x869BB61938E805CB, "set_consumable" },
    { 0xC2BC8733C1B1D3B2, "set_controlled" },
    { 0x7BD2772629E3D4DC, "set_convoy_durations_modifier" },
    { 0x6D730E5408FF1D46, "set_convoy_lookahead_dist" },
    { 0x2889C284CF174872, "set_convoy_path_from_helidown" },
    { 0x8AF813157A047A7E, "set_convoy_settings" },
    { 0x55582F790493A5D6, "set_convoy_target" },
    { 0x33D12B058BA83BD2, "set_convoy_targeted_hvt" },
    { 0x1CC04A914CE1C07D, "set_convoy_vehicle_speed" },
    { 0x110E99E649D54369, "set_cop_free" },
    { 0x8A4FA922893FC151, "set_corpse_detect_ranges" },
    { 0x01E79A70BDDB083E, "set_corpse_entity" },
    { 0x4FA76F5A92493D27, "set_corpse_ignore" },
    { 0x417C16965C8AAE9F, "set_corpse_ranges" },
    { 0x968E34C1E4F7A45D, "set_corpse_ranges_default" },
    { 0x14D6AD71CAFDE737, "set_count" },
    { 0xFF45E008CF27FA7A, "set_count_based_on_grouped_modules" },
    { 0x4753CC7755374962, "set_cp_vehicle_health_values" },
    { 0x087532B3A7D60166, "set_crafted_inventory_item" },
    { 0xD6D91D595BA8C2FC, "set_createfx_enabled" },
    { 0xB115AECC6B3AFCAB, "set_cs_file_dvar" },
    { 0xBFE5730E625F6F04, "set_ctf_role" },
    { 0x88BA5BDFBEA09A7C, "set_current_health_regen_segment" },
    { 0x08C7C6FA3523D892, "set_current_node" },
    { 0xDC2B3E5FCFF0E614, "set_current_reaper_camera_zoom_level" },
    { 0xCB46AE6187395B13, "set_current_stealth_state" },
    { 0x1508D45E86A8667D, "set_custom_death_quote" },
    { 0x6BFD6E067E671614, "set_custom_distances" },
    { 0x253CC8778196632F, "set_custom_stats" },
    { 0x9BAC6313FD6AFF67, "set_customizable_values" },
    { 0xD7E35452089BDB28, "set_death_callback" },
    { 0x1851EAE69535B7EE, "set_death_hint" },
    { 0xB75C48818D884A12, "set_death_hint_standard" },
    { 0xB8F992D1847B50CE, "set_death_icon" },
    { 0x28BDF83590981A03, "set_deathanim" },
    { 0x8A2707A8D2AB7426, "set_deathanim_bed_death" },
    { 0x33CD2A4DAE24DF6B, "set_deathsdoor" },
    { 0x099CD93DFFD63BCA, "set_debug_models" },
    { 0xCA9A4C96B635144C, "set_default_aim_limits" },
    { 0x767E09CFEC1DC52C, "set_default_ar_values" },
    { 0x618C790EAF1539D1, "set_default_pathenemy_settings" },
    { 0x4BDA52D4AD2EB21A, "set_default_patrol_style" },
    { 0xB115BA7D029BB91F, "set_default_patrol_values" },
    { 0x680462D6AF29A9D0, "set_default_rpg_values" },
    { 0x4A49046B9BFBD3CB, "set_default_settings" },
    { 0xE715EF2D4443A714, "set_default_sniper_values" },
    { 0x9101BFED7CD9F793, "set_default_soldier_values" },
    { 0x2BE4E8F4315A3949, "set_default_spawner_values" },
    { 0x250E7C3A9BD78FCE, "set_default_start" },
    { 0x254FC7799EE980FE, "set_default_start_alt" },
    { 0x781DE75915BE48C9, "set_default_stealth_funcs" },
    { 0xDC1F7075A71D1204, "set_default_values" },
    { 0xA0F9F01762023394, "set_default_vip_hints" },
    { 0x0AB92BC3EFB07833, "set_demeanor" },
    { 0xDF76ACD4015FFE36, "set_demeanor_code_think" },
    { 0x2240769B7F79E0E4, "set_demeanor_for_duration" },
    { 0x0934CB400866E2DB, "set_demeanor_from_unittype" },
    { 0xE3F8F31749769AB2, "set_demeanor_func" },
    { 0x616E329977EA6B9C, "set_despawn_at_distance" },
    { 0x9BA625C7C9170D86, "set_despawn_at_farz" },
    { 0x9707C74CDAFC21D4, "set_despawn_distance" },
    { 0x60A7FA795085896A, "set_detect_ranges" },
    { 0x7CC67267253DBBE6, "set_detect_ranges_internal" },
    { 0x139AD2542E39B99E, "set_dialogue_on_cooldown" },
    { 0xBE1C3BA5BEE13C6B, "set_difficulty_from_locked_settings" },
    { 0x34E407B042BB825C, "set_disable_leave_truck" },
    { 0x5542A6B879BE7DA5, "set_disguised" },
    { 0x7A5F4D7A6FBD1993, "set_disguised_default" },
    { 0x276EEF757032750D, "set_distances_for_groups" },
    { 0xA413E9822FB59E5C, "set_do_arrivals" },
    { 0x10437B3FB08BDC13, "set_do_exits" },
    { 0x615FDFE94918002E, "set_dog_walk_anim" },
    { 0xB8B4CA1F5AC3E9AA, "set_dont_enter_combat_flag" },
    { 0xBCC14410778AEBA7, "set_dontkilloff_flag" },
    { 0xF10A6EF35E98566D, "set_dontmelee" },
    { 0x046AA6AA777815D9, "set_door_open" },
    { 0xEFDB897522114C66, "set_door_state" },
    { 0x17A3B0BA41C5B4FD, "set_doublejumpenergy" },
    { 0xF80268EF00B4D95B, "set_doublejumpenergyrestorerate" },
    { 0xF66FE22F43177552, "set_dvars" },
    { 0xF3E5AC77B11A39DE, "set_early_level" },
    { 0xBDE465C599CAE06C, "set_emp_damage_callback" },
    { 0x997033D9C4B4993C, "set_empty_promotion_order" },
    { 0x38D9BCA06BC8E555, "set_ending_pack" },
    { 0x06498DB3B753C574, "set_enemy_low_health" },
    { 0x004E06A5907BDD73, "set_enter_function" },
    { 0x370351A269A4E69D, "set_entity_count_hud" },
    { 0x51C53F0FCB751938, "set_escort_phase" },
    { 0x5A676380D8A183B3, "set_escort_player_pitch_bounds" },
    { 0xDBB2DE6CA9EF103B, "set_event_distances" },
    { 0x965798DE95BAE8A5, "set_event_override" },
    { 0x1F50D7B71586A339, "set_exception" },
    { 0xE03D13B6E8E0F833, "set_extra_xp" },
    { 0xD24AAC76A254E518, "set_favoriteenemy" },
    { 0xB61BE581EC2B0FDF, "set_firing" },
    { 0x79BC22BECA65713F, "set_first_wave_override" },
    { 0x09F76FE6D368C6A2, "set_fixednode_false" },
    { 0xB7C0EB7C2E8A9DDF, "set_fixednode_true" },
    { 0x9089ADE72552CD9F, "set_flag_after_vo" },
    { 0xE0F218FEE1AF7C09, "set_flag_on_dead" },
    { 0x36BA008542168D69, "set_flag_on_dead_or_dying" },
    { 0x63A2798A54A00D43, "set_flag_on_death" },
    { 0x32A26E34D93B7EEF, "set_flag_on_death_or_damage" },
    { 0x582DDDAF335B703C, "set_flag_on_func_wait_proc" },
    { 0x74884C0FD608A1EB, "set_flag_on_spawned" },
    { 0xBA16E8DF037789FF, "set_flag_on_spawned_ai_proc" },
    { 0xC3F01A9999070B82, "set_flag_on_targetname_trigger" },
    { 0xB3EEDCB094AFC061, "set_flag_on_trigger" },
    { 0x929D3A637C94368B, "set_flag_spawned" },
    { 0xB37CA3AE58526E77, "set_flag_via_event_structs" },
    { 0xD0904960C3FEC6BA, "set_flag_when_dead" },
    { 0xEBA2D0807D24A154, "set_flag_when_rpg_picked_up" },
    { 0x023E087E9A3E7D3B, "set_flavorbursts" },
    { 0xEBCC0EE7401266BB, "set_flavorbursts_team_state" },
    { 0xE93AB84F0B8297B1, "set_flinch_values" },
    { 0x49E00F0D703D25E8, "set_focus_fire_params" },
    { 0xFE578CEEEFED013F, "set_focus_infinite_hold" },
    { 0x57F8AED11F882422, "set_focus_objectives_update_display" },
    { 0x7E4FFCE13DC1E0C7, "set_force_aitype_armored" },
    { 0xB4D021F574FA2C44, "set_force_aitype_riotshield" },
    { 0x921546232D53CC76, "set_force_aitype_rpg" },
    { 0xB1DF95A839EEC01B, "set_force_aitype_shotgun" },
    { 0x715BC22C78593764, "set_force_aitype_sniper" },
    { 0x8930A7CCD1BAC472, "set_force_aitype_suicidebomber" },
    { 0x341D470878B03789, "set_force_armor_drop" },
    { 0xCAACE467F5A35843, "set_force_color" },
    { 0x23A0477A5F6E0DA8, "set_force_color_spawner" },
    { 0x243DF268383764A7, "set_force_cover" },
    { 0xB80B46BB2F648A70, "set_force_sprint" },
    { 0xD66704B7B0AC070E, "set_forcedgoal" },
    { 0xD96267D736502354, "set_forcegoal" },
    { 0xA073B7D585701002, "set_forward_and_up_vectors" },
    { 0x75D6733722CB09C1, "set_frantic" },
    { 0xAB3E609EEA3BF911, "set_friendlyfire_warnings" },
    { 0xE4856928676C4F53, "set_friendname" },
    { 0x9DE7DDF89482F304, "set_front_door_light_enable_disable" },
    { 0xDCC83D1272A276BE, "set_func" },
    { 0xD3486C665C388158, "set_fx_hudelement" },
    { 0x2D2C945695790EB7, "set_game_data" },
    { 0xF8B38AE620CB07BB, "set_gameskill" },
    { 0xDA85A125B9825CE1, "set_generic_deathanim" },
    { 0x528B937B55B73EA0, "set_generic_idle_anim" },
    { 0x18AFEAF0FD5D86CD, "set_generic_run_anim" },
    { 0x829FB8A6A10268DF, "set_generic_run_anim_array" },
    { 0x2E008B6C9A82A998, "set_goal_and_volume" },
    { 0xE2763C9E49C10901, "set_goal_ent" },
    { 0x2F415EB66CE02D07, "set_goal_entity" },
    { 0x073241BFDDB98C4C, "set_goal_from_settings" },
    { 0x4C19C9AEAAFC62A0, "set_goal_height_from_settings" },
    { 0xD6039A7627A78958, "set_goal_node" },
    { 0xDAF56563DC007E09, "set_goal_node_and_poi" },
    { 0x9E7246592069068B, "set_goal_node_targetname" },
    { 0x260F109DBFB8DF86, "set_goal_pos" },
    { 0xE618BB418FE58251, "set_goal_pos_check_for_offset" },
    { 0x9B485ECFAB946113, "set_goal_pos_to_center_of_nearby_ai" },
    { 0xACD3A5E076357862, "set_goal_radius" },
    { 0x80D8B9E04BCAD4BE, "set_goal_volume" },
    { 0xE48FC6A883C5A52E, "set_goal_volume_for_all" },
    { 0xEEF7F73D249E1046, "set_goal_volume_for_substr" },
    { 0x835636DAB12F44C9, "set_goalradius" },
    { 0xB206F6C18A7EBF26, "set_gravity" },
    { 0x0CE60929D25D46E7, "set_green_beam_demeanor" },
    { 0xC542E603211BF3E0, "set_grenadeammo" },
    { 0x972FAAD359859D36, "set_grenadeweapon" },
    { 0x626CB25C90D418CA, "set_group_advance_to_enemy_parameters" },
    { 0x442598B2D07B9397, "set_gunpose" },
    { 0xBD6115F82198D5C3, "set_guy_to_specific_node" },
    { 0x8184EA2600337043, "set_guy_to_specific_pos" },
    { 0xC85EDB0768967F6C, "set_has_seen_perm_tutorial" },
    { 0xBD02DD0CA4960141, "set_has_seen_tutorial" },
    { 0xC08F17D18EF380ED, "set_headshot_ammo" },
    { 0x4CCF15B70731806A, "set_headshot_super" },
    { 0x77CC753B1F4238EF, "set_healthdrain_on_lowhealth" },
    { 0x413B9917AB37D548, "set_heavy_hitter" },
    { 0x894CC6C903CA0375, "set_heli_crash_override" },
    { 0x111B3879C4D774AF, "set_hide_icon_on_pickup_target" },
    { 0xC5102FCE184C89CD, "set_high_priority_target_for_bot" },
    { 0x21E0522C0D22329A, "set_hostage_aliases" },
    { 0xDE34E6CDD1E02992, "set_hud_element" },
    { 0x9E98FC165252B036, "set_hudelem" },
    { 0xFF60B1A15A76D071, "set_hudoutline" },
    { 0xB4562996FF939AAB, "set_hvt_gone_flag" },
    { 0xCA5F63BFA7991F4F, "set_hvt_label" },
    { 0x08B06DE3114947E2, "set_hvt_label_life" },
    { 0xC8A7C28838A08F56, "set_idle_anim" },
    { 0x388A64EDFE94FD33, "set_idle_anim_override" },
    { 0x3C71A75C6E073211, "set_ied_scanned_flag_from_ied_controller" },
    { 0x0955E36985FA2CB4, "set_if_undefined" },
    { 0x353AD039D6B75DA8, "set_ignore_claimed" },
    { 0x366197F4281D7421, "set_ignoreall" },
    { 0x55BEAE8692689970, "set_ignoreme" },
    { 0x6912F7FB6EF85ECB, "set_ignoreme_after_time" },
    { 0x9BAD0CC551414615, "set_ignoresuppression" },
    { 0xA4828F1CA5D662F1, "set_initial_goalheight" },
    { 0xACE83116E4FEE550, "set_initial_goalradius" },
    { 0x8480401105DBC0A3, "set_initial_rush_goal" },
    { 0x5ECD2ADFB99363F9, "set_interaction_point" },
    { 0x9241F838374163C1, "set_interaction_trigger_properties" },
    { 0xE51C412B456FE0D4, "set_interceptor_missile_target" },
    { 0xB8CFFE336D0396F7, "set_is_playing_pain_breathing_sfx" },
    { 0x9DADFDF475CA71FC, "set_join_in_progress" },
    { 0xD44328E51F362CF0, "set_juggernaut_flags" },
    { 0xAB534E3918DD1FB9, "set_just_keep_moving" },
    { 0x7B254CFDAFD36ADE, "set_kill_off_time" },
    { 0xEE615ACE90F70145, "set_kill_off_vars" },
    { 0x1EF4A7BCA0501597, "set_kill_trigger_event_processed" },
    { 0xE65D7D9BCE079044, "set_last_spawn_time" },
    { 0xF72FA5CA356EE2EB, "set_last_stand_count" },
    { 0xEBD71DE8E90AAE05, "set_last_stand_timer" },
    { 0xB5B25E62E139FEBC, "set_laststand_stats" },
    { 0x3367EBCC0D7AC94A, "set_level_score_callback_func" },
    { 0x3873068B7AA6D268, "set_level_score_data" },
    { 0xA41C982445598123, "set_level_weapons_free" },
    { 0xEFFB0375F59537BF, "set_light_parts_off" },
    { 0xF7E9CC5125B8F1BB, "set_light_parts_on" },
    { 0x27412D8D91728332, "set_light_values_by_frac" },
    { 0x5FF0980CD36DDF19, "set_lightbar" },
    { 0xF515957BC67C98A5, "set_lightbar_color" },
    { 0x0632ABB5B2F4CC03, "set_lightbar_endon_death" },
    { 0xFEC30E80A21F39FB, "set_lightbar_for_time" },
    { 0xDF9413E7192C3A61, "set_lightbar_for_time_endon_death" },
    { 0x68B95967E85CB5CF, "set_lightbar_off" },
    { 0xA9D2E687AFEE0B2B, "set_lightbar_on" },
    { 0x74958409E2E0B9F4, "set_lightbar_perm" },
    { 0x4551D39D6E73A332, "set_lightbar_perm_endon_death" },
    { 0xA3B09BAADAF67C65, "set_lightbar_pulse_time" },
    { 0x7ABC2F1103B70B0D, "set_lighting_dvars" },
    { 0x2B773ED4896745AB, "set_lights_internal" },
    { 0xEB74EAA31D498BCC, "set_lights_values" },
    { 0xD582541079BE919E, "set_loaded_when_full" },
    { 0x13B1E35CFDB83B6F, "set_look_at_ent" },
    { 0xC8CA6051C8ACEE54, "set_lookat_from_dest" },
    { 0x07CF29474CD715CB, "set_lookat_point" },
    { 0x4676534683DE4B32, "set_lua_encounter_score_row" },
    { 0x6DD309E8ED29ADCA, "set_lua_eog_score_row" },
    { 0xF63967A5120DC0BE, "set_mark_distances" },
    { 0x41F083FEFC20F446, "set_matrix_from_up" },
    { 0x61AA97406F2DC695, "set_matrix_from_up_and_angles" },
    { 0x5F9D00619A45E951, "set_maxfaceenemydist" },
    { 0x1BAA781449B13258, "set_maxsightdistsquared" },
    { 0x53498BE5D452E4E8, "set_maxvisibledist" },
    { 0xFDF387D35EACB2C4, "set_maze_ai_state" },
    { 0x686CA38BD2894332, "set_maze_ai_stealth_settings" },
    { 0x59B456A70BCC0DBE, "set_menu_hudelem" },
    { 0xF9680409A51935F2, "set_min_detect_range_darkness" },
    { 0xB177A6D152724F90, "set_minigun_target_loc" },
    { 0x7ADEBEB664803436, "set_mission_ai_cap" },
    { 0xC725DC0DFED714B3, "set_mission_failed_override" },
    { 0xF9DD1445131938EB, "set_mode" },
    { 0x5CBBDCA7E5646BAE, "set_monitor_script_noteworthy" },
    { 0xC6CE94A89808BEF7, "set_move_anim" },
    { 0xB244EF6243C19B69, "set_movement_speed" },
    { 0xE3D12CED9997413E, "set_moveplaybackrate" },
    { 0xB53846A422DFBD15, "set_moverate_along_dir" },
    { 0xC64C8A11A07CDAAD, "set_nearby_console" },
    { 0x7AC0D4FFB4E87382, "set_nerf_scalar" },
    { 0xC7046F02E4561E00, "set_new_bomber" },
    { 0xADFE24621B8EA4C2, "set_new_br_values" },
    { 0x305274D03E0B08D6, "set_new_goal_vol" },
    { 0x2E546A351A5FD3C8, "set_next_can_take_sniper_damage_time_stamp" },
    { 0x92860F2C51C0943B, "set_no_crash" },
    { 0x14853B7ADE0F775D, "set_normalhealth" },
    { 0xC88A2E6EF4015983, "set_notify_handlers" },
    { 0x4320157A5432C82B, "set_number_of_subway_cars_on_track" },
    { 0xC24EE1F3C9C13176, "set_nvg_bool" },
    { 0x7A8D6B56E0C16973, "set_nvg_flir" },
    { 0x9D152E4C914B0F54, "set_nvg_flir_proc" },
    { 0xCC3E475467519CBE, "set_nvg_light" },
    { 0x2020724EF9E0033B, "set_nvg_light_proc" },
    { 0xEEDE60962A8E67BA, "set_nvg_vision" },
    { 0x0D84A4DD92F536EF, "set_nvg_vision_proc" },
    { 0xED93C85BB965DEAB, "set_objective" },
    { 0x38BC6DBA2E444CBC, "set_objective_icon_label" },
    { 0x21EBE07C285291ED, "set_objective_struct" },
    { 0x22BFE11A606F2BB8, "set_off_exploders" },
    { 0xD7727A6B2EA26E8C, "set_off_hostage_bomb" },
    { 0xB18C36B9ECEC3863, "set_off_storage_propane_tanks" },
    { 0x8CBFBA855D317509, "set_office_speeds" },
    { 0x6FA9854D2FC609F1, "set_omnvar_for_icon" },
    { 0x7DEE93402A586D5E, "set_option_index" },
    { 0xFE10BD52584CE881, "set_origin_and_angles" },
    { 0xE80E88D16B6695AC, "set_original_baseaccuracy" },
    { 0x9B3F657710DEC81E, "set_outline" },
    { 0xD630966E3CD2793A, "set_outline_for_player" },
    { 0x0D03E90E17F60060, "set_outline_passive_minimap_damage" },
    { 0xD7BFF4AE495E2745, "set_pacifist" },
    { 0x1176AE4A50F43361, "set_passive_below_the_belt" },
    { 0xEB88FCCAB9BBA1DC, "set_passive_berserk" },
    { 0xE1144402FCCC2FD8, "set_passive_cold_damage" },
    { 0x69B8BAA0F1BF4300, "set_passive_crouch_move_speed" },
    { 0x5CDA47B44BD02900, "set_passive_double_kill_reload" },
    { 0x59752FA66F65CE70, "set_passive_double_kill_super" },
    { 0x0E24E1405DB64ACD, "set_passive_empty_reload_speed" },
    { 0x624DB5AF1C1F263F, "set_passive_fast_melee" },
    { 0x44C070F667120D9A, "set_passive_fortified" },
    { 0x6A4F52158D7C4C65, "set_passive_gore" },
    { 0x04CD9666B67C9EFD, "set_passive_health_on_kill" },
    { 0xA3C6EBF18932E4B3, "set_passive_health_regen_on_kill" },
    { 0xFC4DB1AAE7A8DA99, "set_passive_hitman" },
    { 0x4E5279D55C06BABE, "set_passive_hunter_killer" },
    { 0x3A0241BCB30378F4, "set_passive_increased_scope_breath" },
    { 0xC93F80CD801B70F5, "set_passive_infinite_ammo" },
    { 0xFF104B4E0E34A4FE, "set_passive_jump_super" },
    { 0x8214499F6875CE13, "set_passive_last_shots_ammo" },
    { 0xAB8C9B902D4717B8, "set_passive_melee_cone_expl" },
    { 0x2CF12E8192ED0FA3, "set_passive_melee_kill" },
    { 0xF694BF4ABA5F3B6E, "set_passive_melee_super" },
    { 0xA6504CC76BBCCEB3, "set_passive_minimap_damage" },
    { 0x0D9F3F6D04687629, "set_passive_miss_refund" },
    { 0xBC613BA2D9BA05DF, "set_passive_mode_switch_score" },
    { 0x7D785D0B6A6F00BF, "set_passive_move_speed" },
    { 0xE1AF0A15947EF236, "set_passive_move_speed_on_kill" },
    { 0x57B696EDDBA2B582, "set_passive_ninja" },
    { 0x8E9AD4BC77206773, "set_passive_nuke" },
    { 0x9605FAB836C7C84F, "set_passive_railgun_overload" },
    { 0xB977D2D156537697, "set_passive_random_attachment" },
    { 0x0F34E3221CBC15FF, "set_passive_random_perks" },
    { 0xF41DE47735B6867D, "set_passive_refresh" },
    { 0x2B2A51495599AEE9, "set_passive_scope_radar" },
    { 0x6C367C5EA46CA266, "set_passive_score_bonus_kills" },
    { 0xCC5B04B64D3F50EA, "set_passive_scorestreak_damage" },
    { 0xC78966F0D7F06330, "set_passive_scoutping" },
    { 0x317CA07AD67480C5, "set_passive_scrambler" },
    { 0xD1038FE33C164E9E, "set_passive_sonic" },
    { 0xA8B569F895214E56, "set_passive_spawn_window_time" },
    { 0x775C03172C5FA04B, "set_passive_visor_detonation" },
    { 0xEA6A291189E5BBCC, "set_passive_wave_high_threshold" },
    { 0x148932B3113019A2, "set_passive_wave_low_threshold" },
    { 0x352F4B3CB13F1E09, "set_passive_wave_spawn_time" },
    { 0x94017E962A360F40, "set_path_dist" },
    { 0x141D8FD9C8BE0166, "set_path_jitter" },
    { 0x163E0644443283F7, "set_patrol_move_loop_anim" },
    { 0x84561D70CAA8EC1E, "set_patrol_react" },
    { 0x28FACC5537F2CD14, "set_patrol_style" },
    { 0x1E0C270DD2DB1C6C, "set_perk" },
    { 0xCF39A3B6FB3C2E32, "set_perk_mod_damage_data" },
    { 0x352AD7400E971FED, "set_perk_mod_damage_data_for_vehicle" },
    { 0x17147FA5B1E001AA, "set_permanent_notify_handlers" },
    { 0x5C73DFFB381A7DC0, "set_pistol_interactable_before_anim" },
    { 0x29FDBF0EDDF2F6A8, "set_pitch_roll_for_ground_normal" },
    { 0xE57AAD72298E8EF5, "set_pivot_point" },
    { 0x31F2B74869C80192, "set_player_angles_inside_plane" },
    { 0x37E3BD1911509B43, "set_player_attacker_accuracy" },
    { 0x2F9A2180F3664B15, "set_player_camera" },
    { 0xB4310E2473EFDF92, "set_player_consumables" },
    { 0xBBF2803518B33A65, "set_player_count" },
    { 0x4B1BE7A8AD126CCD, "set_player_currency" },
    { 0x38C6EB238D502636, "set_player_data" },
    { 0xD83B2DEF78051C8D, "set_player_demeanor" },
    { 0xE3895C8C9C8867C9, "set_player_game_data" },
    { 0x3924871A6EAC8F1B, "set_player_health_fragile" },
    { 0xBBED6811AB6F51B1, "set_player_health_semifragile" },
    { 0x38232784392C14A4, "set_player_health_standard" },
    { 0xDFEF56578DA32380, "set_player_hurt_trigger" },
    { 0xFE0E614CEF88B5D1, "set_player_ignore_random_bullet_damage" },
    { 0x7B83061652F1EF2A, "set_player_is_pushing_vehicle" },
    { 0x519B798D96DDF3E3, "set_player_ladder_weapon" },
    { 0x1200B400EB7EECC6, "set_player_max_currency" },
    { 0xF2B22A5654A38B5F, "set_player_max_health" },
    { 0x82871F527AFE46BB, "set_player_munition_currency" },
    { 0xE126C32FA78A6650, "set_player_optimal_speed" },
    { 0xB228275B25A82BDB, "set_player_perks" },
    { 0xF2CF989C8704DBAE, "set_player_photo_option" },
    { 0x7BBD4EB2CFC0BF25, "set_player_photo_status" },
    { 0xE695FF095A79F3E2, "set_player_playing_as_terrorist_omnvar" },
    { 0xB37098479410E143, "set_player_prestige" },
    { 0x52F3BBD6C07F72D0, "set_player_rank" },
    { 0x94B630B6F3DF7263, "set_player_rig_allows" },
    { 0x3266C566C68024C8, "set_player_session_rankup" },
    { 0x13A159B09668D4D5, "set_player_session_tokens" },
    { 0x25AF94153B2478BF, "set_player_session_xp" },
    { 0xAFC4BD6D04CEA5DA, "set_player_set_rig_allows" },
    { 0x2FB035F5B4D801F5, "set_player_side" },
    { 0xFC715362CEA8064F, "set_player_speed_hud" },
    { 0xB44E218E05F3945C, "set_player_stealthed" },
    { 0x3636AEFAC9077B64, "set_player_viewmodel" },
    { 0xDD1CD190D4B0D92E, "set_player_xp" },
    { 0xB787DB238C6D2930, "set_poiauto_constraints" },
    { 0xC3C1FC640F451252, "set_pos" },
    { 0x42B550C66D863B37, "set_post_mod_damage_callback" },
    { 0x0C07DCE51750D0A0, "set_pre_mod_damage_callback" },
    { 0x4253F682CB2CB6F9, "set_pre_wave_spawning_spawn_funcs" },
    { 0x5E3CCFE3EBCA0A14, "set_pressure_stability_reading" },
    { 0xF1FA6A3BABDF2F60, "set_prevguy" },
    { 0x0E763CF8EB806699, "set_progress_to_zero_on_death" },
    { 0x238125BB17394FE2, "set_promotion_order" },
    { 0xD03644EFA8384A15, "set_properties_based_on_state" },
    { 0x772D4DD50B511FA7, "set_props_spawned" },
    { 0x69EA9AE3D3CE0E49, "set_proto_values" },
    { 0xDE83DC319C26394A, "set_provide_cover_fire" },
    { 0x2EB7FB5F153073DE, "set_pvpve_weapon_interaction_func" },
    { 0xBDEA7A54F668977E, "set_quest_icon" },
    { 0x4F3BD0266ECE26C2, "set_quest_icon_internal" },
    { 0xE8BF04F86C2B161F, "set_raid_checkpoint" },
    { 0x93ABEBE9F8CC72B9, "set_reaction_state" },
    { 0xD189588ECC978B45, "set_real_fire" },
    { 0x4109B967F4A45C68, "set_rebel" },
    { 0x5540C0B197EBE98C, "set_recent_pain" },
    { 0xE40D51988E3DC5E2, "set_recent_spawn_time_threshold_override" },
    { 0x69850338C77B3407, "set_recruited_goal_distance" },
    { 0xE40C9562C1B290CB, "set_recruiting_amount" },
    { 0x31159D11CB784DD8, "set_recruiting_distance" },
    { 0x3589E53543318308, "set_recruiting_time_btwn" },
    { 0xDBB936C57F7E8F35, "set_recruiting_time_until" },
    { 0xD8683B1B589EE5E7, "set_relic_aggressive_melee" },
    { 0x8209AC33ED9E085E, "set_relic_aggressive_melee_params" },
    { 0x612F0F5215ECD9CF, "set_relic_ammo_drain" },
    { 0xED2AF38B332AB1AB, "set_relic_amped" },
    { 0x371BB6518D0CB74E, "set_relic_bang_and_boom" },
    { 0x9F86C42CFE1F9AA7, "set_relic_boom" },
    { 0xD061BDE3B09EEF83, "set_relic_catch" },
    { 0xB1CD34C568484380, "set_relic_collat_dmg" },
    { 0x44D41BB818B5AC3C, "set_relic_damage_from_above" },
    { 0x02631DA7277459C1, "set_relic_dfa" },
    { 0x520B4CEC68E361CF, "set_relic_dogtags" },
    { 0xB387D448D5C79C93, "set_relic_doomslayer" },
    { 0x1323A7FB13A7226E, "set_relic_doubletap" },
    { 0xDE1F822513D7B589, "set_relic_doubletap_params" },
    { 0x48B9F4B8653F742F, "set_relic_doubletap_params_internal" },
    { 0x4B4741531574C963, "set_relic_explodedmg" },
    { 0x28B42A58F01F582E, "set_relic_fastbleedout" },
    { 0xCAFB01C056BC15F5, "set_relic_focus_fire" },
    { 0xFF85A3EFBB06EAC9, "set_relic_gas_martyr" },
    { 0x2A4A12654A13615D, "set_relic_glasscannon" },
    { 0xD1198BDEC4F503FE, "set_relic_grounded" },
    { 0xD2674869703E83F9, "set_relic_gun_game" },
    { 0x486880D1F1AB2373, "set_relic_headbullets" },
    { 0x578AA9F0B0DE44F0, "set_relic_healthpacks" },
    { 0x54B3509144510FFD, "set_relic_hideobjicons" },
    { 0x9B178FFF30DFFDD5, "set_relic_icon_omnvar" },
    { 0x7C2D120E95211C37, "set_relic_landlocked" },
    { 0x8C79E119ABA6D8DC, "set_relic_laststand" },
    { 0x968489E199E82D78, "set_relic_laststandmelee" },
    { 0x8E4FCFA6D25DA7E7, "set_relic_lfo" },
    { 0x61D956B90DC41FA9, "set_relic_martyrdom" },
    { 0x37A54DDA3BEE77D6, "set_relic_mythic" },
    { 0x87153554642C8FFD, "set_relic_no_ammo_mun" },
    { 0xEFB55B0F2855834A, "set_relic_nobulletdamage" },
    { 0xE3C5A911F5458509, "set_relic_noks" },
    { 0x210AA9A48BAAF426, "set_relic_noluck" },
    { 0xC87F602B54D83198, "set_relic_noregen" },
    { 0xCD69E9DDBE90B226, "set_relic_nuketimer" },
    { 0x67A6A3025EE3DC36, "set_relic_oneclip" },
    { 0x1119245BF50B8395, "set_relic_punchbullets" },
    { 0x1959284151799D18, "set_relic_rocket_kill_ammo" },
    { 0x5369F2E34217AF0C, "set_relic_shieldsonly" },
    { 0x9C31D1505D20994E, "set_relic_squadlink" },
    { 0xD8D443036C55DD1F, "set_relic_steelballs" },
    { 0xA49CF5E1BDDF3155, "set_relic_steelballs_perks" },
    { 0x0CFF96B36DEA0D8B, "set_relic_swat" },
    { 0x293EF53097C06C83, "set_relic_team_proximity" },
    { 0x4BC0FE3359CFF728, "set_relic_thirdperson" },
    { 0x62A8BD17DCF9DCEB, "set_relic_trex" },
    { 0x31378BC0FFED74BA, "set_relic_vampire" },
    { 0x5ACCDB8918AF1898, "set_relics" },
    { 0x22323E6B125AB089, "set_remove_emp_callback" },
    { 0x15F53C24477CD992, "set_repair_omnvars" },
    { 0xB8A83CB5113EB28C, "set_respawn_loc_delayed" },
    { 0xED738750FC7640F2, "set_respawn_points" },
    { 0x8DC66F5F804AA957, "set_revive_icon_color" },
    { 0x8337FD90B8E2B353, "set_revive_time" },
    { 0x40962F65505D5863, "set_riders_target" },
    { 0xB49A10C09168F4EF, "set_roaming" },
    { 0xD149323E84EC7B90, "set_root" },
    { 0xB123679F83AF3D77, "set_rumble_intensity" },
    { 0x47F3C1E7A877630F, "set_run_anim" },
    { 0x2B04747DE711D2AD, "set_run_anim_array" },
    { 0xBC7DAEA011AA2640, "set_run_anim_override" },
    { 0x813348C64F96F11C, "set_score_fraction_to_hero_team" },
    { 0x56B0441047CEA65B, "set_screens_to_red" },
    { 0xF81134CD9802B622, "set_script_count_on_spawns" },
    { 0xF43062D5DD7DC77B, "set_script_origin_other_for_group" },
    { 0x0B364DF8BABB80A8, "set_script_origin_other_on_ai" },
    { 0x137D145882C26850, "set_script_origin_other_to_center_of_players" },
    { 0xF3C2D2488F5F3F4A, "set_scriptable_states" },
    { 0xA01FF907BB1DC9B2, "set_scriptablepartinfo" },
    { 0xF4D7FEB3F9A8549F, "set_scriptablepartstate" },
    { 0xBEA49DF64CCFFD10, "set_scripted_node_angles" },
    { 0x5F84C9F0FC69498E, "set_scripted_pathing_style" },
    { 0x7FBA914CA819DE20, "set_scripthud" },
    { 0x895B26F6107A7C6A, "set_segmented_health_regen_parameters" },
    { 0x5BE99DE404EF8F07, "set_sequential_wait_time" },
    { 0xE66BB4E00B9EB1C9, "set_shouldrespawn" },
    { 0xF22C944244ABB17D, "set_showing_bomb_wire_pair_to_player" },
    { 0x8B6079BDC4AF4FAF, "set_sight_state" },
    { 0xD296699CD19D5B0E, "set_single_value_stats" },
    { 0x2D09B863093AEB9A, "set_skipdeathanim" },
    { 0x9A7CF457782045A5, "set_slow_healthregen" },
    { 0x68DE91FC36F17976, "set_slowmo_dialogue_end" },
    { 0xF7A888196289E6E3, "set_slowmo_dialogue_start" },
    { 0x893108CE4B851BDA, "set_slowmo_sniper_breath_end" },
    { 0x733BC671E5F6B7AF, "set_slowmo_sniper_breath_start" },
    { 0x65184FEF857FA671, "set_smuggler_crash_loc" },
    { 0x3211D15C4DC4F41A, "set_snake_cam_ignore_ents" },
    { 0xE3BD5E72072763E5, "set_snake_cam_vision" },
    { 0xCC280552F3628B73, "set_snap_to_head" },
    { 0x3D47007388506B27, "set_soldier_backup_deposit_names" },
    { 0x0A32D9A7EB4F3F54, "set_soldier_pickup_to_origin" },
    { 0x11D786034B6AAD47, "set_solution" },
    { 0x650DC6DE082E484E, "set_spawn_loc" },
    { 0x8C9919CB99A04430, "set_spawn_scoring_params_for_group" },
    { 0x13BCB844F2145F11, "set_spawn_scoring_params_for_level" },
    { 0x435212778D5AB15E, "set_spawn_values" },
    { 0x6C3A1C5CAA88957B, "set_spawner_chosen_nearby" },
    { 0x6B77E38F628C052A, "set_spawner_init_flag" },
    { 0x6712C4A4AB91C8D1, "set_spawner_type" },
    { 0x72032798816166A1, "set_split_screen" },
    { 0x14C1B715C3A4DDF1, "set_spotlight_target_loc" },
    { 0x1F0EAA74043EDCFC, "set_sprint" },
    { 0x5D4123322B851E1E, "set_start_cash" },
    { 0x6217361D64917185, "set_start_emp_callback" },
    { 0x6EA04604CB9290BA, "set_start_location" },
    { 0x52237719580651A5, "set_start_location_by_animname" },
    { 0x594093701DBB7335, "set_start_pos" },
    { 0xBBA1A43E5AF3EA6F, "set_start_positions" },
    { 0x94B2CD333C71D30B, "set_stat_dvars" },
    { 0xC62D34B434176504, "set_station_track_available_time" },
    { 0x30E419A3F0347DC5, "set_stayahead_values" },
    { 0x9F7B16DBE608C811, "set_stayahead_wait_func" },
    { 0xB1EFDD8770918FE8, "set_stayahead_wait_nodes" },
    { 0x61699B3D183A4E11, "set_stayahead_wait_values" },
    { 0x0EE773C0756479D9, "set_stealth_enabled" },
    { 0x8B12AE0A37FC5ECE, "set_stealth_func" },
    { 0xF47B87BB4B35E67A, "set_stealth_guy_to_combat" },
    { 0x81D664A5C4619FAD, "set_stealth_meter_progress" },
    { 0xF82EA5338C41031B, "set_stealth_mode" },
    { 0xC7A136FD49568DA7, "set_stealth_mode_sp" },
    { 0x450A9459849013AD, "set_stealth_state" },
    { 0xBB15CD4D429ECD1E, "set_stealth_values" },
    { 0x66E8A629F2307B4A, "set_stop_all_cars" },
    { 0x4E1E360A1FB3F4F2, "set_strict_ff" },
    { 0x34D5A827DA6E0BBB, "set_subway_car_deployed" },
    { 0x369C39AADF0EDF2D, "set_sun_disable" },
    { 0x048597F49A7B0D84, "set_sun_enable" },
    { 0xD3D992858189673F, "set_sun_enable_disable" },
    { 0x51EACFF751194E2A, "set_sun_shadow_params" },
    { 0xF1CF79D0D200A924, "set_suspend_at_end_path" },
    { 0xAA9D1B953BBC9078, "set_systems_init_flag" },
    { 0xE6E0811C47AF3EF0, "set_talker_until_msg" },
    { 0xA90046452077D850, "set_tank_target_player" },
    { 0xC735F1C410C18709, "set_target_entity" },
    { 0x0683F71CA183E22F, "set_target_in_view" },
    { 0x184069B33218883C, "set_team_allies" },
    { 0x32F2A1310E07293F, "set_team_axis" },
    { 0xC1DE9497600F98C5, "set_team_bcvoice" },
    { 0x6A3EF81F9A17673B, "set_team_pacifist" },
    { 0xF96B8C731F4A9C29, "set_team_score_for_players" },
    { 0x7956383852F5B11A, "set_temp_energy_rest_time" },
    { 0xBD74143DF750B58D, "set_temp_energy_restore_rate" },
    { 0x06FC3B3C53528594, "set_thirdperson" },
    { 0x5B353FD5C23EFF17, "set_throttle_zero" },
    { 0xD13D7ABA226F52A0, "set_tier_lights" },
    { 0x813A07C083C38D5D, "set_time_via_rate" },
    { 0x4A6BA368AA1C0DE5, "set_timescale" },
    { 0x254724C4D7637699, "set_tires_desc" },
    { 0xB8360FFDB9C4BB96, "set_to_combat_speed" },
    { 0xB6EA1EDAEF83BAA4, "set_to_max_escalation" },
    { 0xF0FA63D0852DA2F6, "set_to_min_escalation" },
    { 0x611E2FF8144D5ABF, "set_tool_hudelem" },
    { 0x05F84A6828793A39, "set_total_successful_vehicle_spawns_from_module" },
    { 0x4CFBCB85FBABCEEB, "set_track_operational_status" },
    { 0xAA6272B40B87EFD4, "set_train_lighting_disable" },
    { 0xDCF2B1CC9650FF87, "set_train_lighting_enable" },
    { 0x0BE45A0D2C7F87F5, "set_train_moment_shadows" },
    { 0xAF4BC13A3F4BF55C, "set_train_stopped" },
    { 0x6DB64040034A5EA6, "set_trap_flag" },
    { 0xF7A8141BCC93AB90, "set_trigger_flag_permissions" },
    { 0xBE29F5C8EA151BB2, "set_turret_owner_to_riders" },
    { 0x2F401418EAA70EE1, "set_turret_settings_from_model" },
    { 0xEADCBE8A0DCE6858, "set_turret_settings_from_weapon" },
    { 0xC0FF1ACBB44A2043, "set_turret_target_loc" },
    { 0x528CF570F3639B86, "set_turret_team" },
    { 0x3FEB0608AAAC32D6, "set_tv_script_noteworthy" },
    { 0xF16EEB5F60BDE0FA, "set_uav_radarstrength" },
    { 0x892CF17C6E802A6D, "set_ui_omnvar_for_relics" },
    { 0xD362AFD51916E233, "set_unload_at_target" },
    { 0x841E86DAE9059DFF, "set_unloadtype_at_end_path" },
    { 0x8377477A6A2156EC, "set_up_blockade_gate_anims" },
    { 0xDFD78E63B5057582, "set_up_blockade_gates" },
    { 0x9ACAAD2EA876D95A, "set_up_bomb_for_pick_up" },
    { 0x58D4C6BA3FE11F23, "set_up_bomb_model_marker" },
    { 0xA354A7AA4082D723, "set_up_chopper_boss" },
    { 0x03250AD1BB3A8871, "set_up_concrete_blockers" },
    { 0xDDE1D96B0E56E854, "set_up_coop_push" },
    { 0x00F23E2E9158B32A, "set_up_fake_character_models" },
    { 0x08C15EB3E2ACC440, "set_up_fx" },
    { 0x7C3A060C101F8156, "set_up_gate_door" },
    { 0x54D14E69E76D9D8B, "set_up_ied_triggering_tags" },
    { 0x971F94EAD9CF384D, "set_up_ieds" },
    { 0x0FB7F9FAA53F3119, "set_up_minigun" },
    { 0xEDA86BF6BCC785BC, "set_up_modular_spawning" },
    { 0xBF58264E7EC0B3CD, "set_up_pilots" },
    { 0xD75E4CAE203C9C21, "set_up_placing_bomb_interactions" },
    { 0xD85FE7F7DD5A2087, "set_up_pvpe_callback" },
    { 0x54D2440B1B0441DC, "set_up_rear_minigun" },
    { 0x87787E7408CF39FB, "set_up_rear_spotlight" },
    { 0xA5E2EED1685FE39F, "set_up_sight_blockers" },
    { 0xE09FE32A9E48A3F2, "set_up_sniper_rifle_pickups" },
    { 0x066D78D13EA3D0D2, "set_up_spotlight" },
    { 0x8A40E49AA5A96482, "set_up_subway_car" },
    { 0xCFEA478BB74D2B29, "set_up_suicide_bomber_call_back" },
    { 0xAAF3564F54CB98DA, "set_up_team_score" },
    { 0xDC71483CB46DE533, "set_up_tv_station_for_stealth" },
    { 0x90A28B7C8F6F0912, "set_up_vehicle_interactions" },
    { 0xF150E4DBF1DFA8E6, "set_update_function" },
    { 0xD7C271D28CBE3484, "set_use_pain" },
    { 0x442F79365CAF06FC, "set_use_path_speeds_modifier" },
    { 0xA41C3302F2F7AF38, "set_vandalize_minigun_speed" },
    { 0x264ABFCEA2795F29, "set_vehicle_anims" },
    { 0x28FB2EB522E01938, "set_vehicle_anims_apc" },
    { 0xC0FA654265C6CD67, "set_vehicle_anims_asierra" },
    { 0xB5C251E177CB3D1D, "set_vehicle_anims_blima" },
    { 0x0B41EFB50CD3F0E8, "set_vehicle_anims_civ" },
    { 0x60DB220A4A4B7CE3, "set_vehicle_anims_decho" },
    { 0xE44311D348E18C26, "set_vehicle_anims_decho_civ" },
    { 0xAF591A1788C4A2B2, "set_vehicle_anims_decho_police" },
    { 0x007D9DAF903654D4, "set_vehicle_anims_decho_rebel" },
    { 0xEACA26AD1E11FF58, "set_vehicle_anims_mkilo" },
    { 0x8437ACFB09F5769F, "set_vehicle_anims_mkilo23_ai_infil" },
    { 0x5CC5B5DF494B89F2, "set_vehicle_anims_palfa" },
    { 0x9B23FC1023BD11D0, "set_vehicle_anims_police" },
    { 0x6EE29F22BB0637E0, "set_vehicle_anims_ralfa" },
    { 0x15CC68850A83E00E, "set_vehicle_anims_rebel" },
    { 0x581F4CA648C42A56, "set_vehicle_anims_skilo" },
    { 0x69F834E2B72E6453, "set_vehicle_anims_techo" },
    { 0xC3987133924B69F0, "set_vehicle_anims_tromeo" },
    { 0x14A7A74C609426D7, "set_vehicle_anims_umike" },
    { 0xD7091D4745C47C0F, "set_vehicle_anims_vindia" },
    { 0xBC5D0D51BD4F164C, "set_vehicle_bulletshield" },
    { 0x02C4618415C7A3E4, "set_vehicle_effect" },
    { 0xE8EDE98CFA2D6BAB, "set_vehicle_hit_damage_data" },
    { 0x7A3E59B91332E748, "set_vehicle_hit_damage_data_for_weapon" },
    { 0xD1D7171C2649EBDC, "set_vehicle_settings_on_spawners" },
    { 0x19C88B27B9B2294E, "set_vehicle_templates_script_team" },
    { 0xD472192DF7D88469, "set_vehicle_to_chase" },
    { 0xC773E56E1D3C24E6, "set_veil_weights" },
    { 0xB15C87823072EF25, "set_viewangles" },
    { 0xE909B97B83EEAD82, "set_vip_hints" },
    { 0x11567CC658CA0FB0, "set_vision_naked" },
    { 0x43880CAA5CD59EF1, "set_visionset_for_watching_players" },
    { 0x855D6E3800C68ACF, "set_vo_bucket_fills_all" },
    { 0xAA019793F8C96157, "set_vo_bucket_selection" },
    { 0x61F3FEA698D357B4, "set_vo_bucket_sequential" },
    { 0x660D7B6CAAD54E5F, "set_vo_currently_playing" },
    { 0xDA275D890312E67F, "set_vo_line_scale" },
    { 0xE277B77E0F52BEBB, "set_vo_line_weight" },
    { 0x1362A06E189A57DF, "set_vo_system_busy" },
    { 0xE86677C30D695014, "set_vo_system_playing" },
    { 0x2D1189CBBCD4B187, "set_wait_then_clear_skipbloodpool" },
    { 0x8E0ABD8D270BDCE3, "set_walking_speed" },
    { 0x7BBCD3E074436E31, "set_wander_fail_volume" },
    { 0x2A6A892712227237, "set_wants_to_move" },
    { 0xCC88369A3329EAAE, "set_warning_levels" },
    { 0x2E8EF4D21CD1B55A, "set_wave_num" },
    { 0x32C711410E401694, "set_wave_ref_override" },
    { 0x8E2831285B849AD7, "set_wave_settings" },
    { 0x80E18E2C65C5122B, "set_wave_settings_for_all_with_groupname" },
    { 0x582DFBB45D92B2D1, "set_wave_show_hud" },
    { 0x81C0ABCA9AFEB64D, "set_weapon_class_mod_damage_data" },
    { 0xC565C8334813381A, "set_weapon_class_mod_damage_data_for_vehicle" },
    { 0x787B2A796AAF56BF, "set_weapon_hit_damage_data" },
    { 0xB6FAA22EA5BE6080, "set_weapon_hit_damage_data_for_vehicle" },
    { 0xDA02BA6DAB3364C1, "set_weapon_interaction_string" },
    { 0x9D1C91221472688B, "set_weapon_purchase_disabled" },
    { 0x108CF7AE7866C17D, "set_weapons_free_for_all_groups" },
    { 0xC6B298B3A54EB416, "set_wind" },
    { 0x93C544665DD98FDC, "set_wind_amplitude" },
    { 0x6832FA879833C323, "set_wind_area_scale" },
    { 0x983582661F07A583, "set_wind_frequency" },
    { 0x5032F538D01A7097, "set_wolfdoor_open_flag_on_trigger" },
    { 0xAF61BDE75A6F4D60, "set_x" },
    { 0xAF61BEE75A6F4F93, "set_y" },
    { 0xAF61BFE75A6F51C6, "set_z" },
    { 0x646482EE7E046FB0, "set_zombie_awareness" },
    { 0x3959D35A0CAFC681, "setaardata" },
    { 0xC38BC2FB264F9605, "setac130ambience" },
    { 0x0DFAC738EC81C4E3, "setacceleration" },
    { 0x0800010A64025099, "setactionslot" },
    { 0x4E2EA5C5BE7B834B, "setactionslotoverrideammo" },
    { 0xB37B09D492582DDE, "setactivegrenadetimer" },
    { 0x90D4732030781847, "setactivemapconfig" },
    { 0xCCA858CCBADB8D30, "setactivereload" },
    { 0x7ED4906405D1390A, "setactivespawnlogic" },
    { 0x4FB1094ADD3E1D13, "setactivespawnquerycontext" },
    { 0x4EC39EF3C52DD7AA, "setadditionalstreamloaddist" },
    { 0xBA3E37BE1AC8B95C, "setadditionalstreampos" },
    { 0x2D3BB3CB48DBEA7C, "setadsawareness" },
    { 0xD6C533E856D396F7, "setadsmarktarget" },
    { 0xCBE2228D90A70A56, "setadsphysicaldepthoffield" },
    { 0xF89378C523B1D753, "setaffinityextralauncher" },
    { 0x2F029BF5157AE3C1, "setaffinityspeedboost" },
    { 0x57E9240FFB622531, "setafterburner" },
    { 0xEDA0D4776218A30F, "setagentattacker" },
    { 0x25CD5EE8FA76DBAD, "setagentbounds" },
    { 0xB0942432FA892CED, "setagentteam" },
    { 0x61CED00CD028B214, "setaimangles" },
    { 0xB5C8AA1B95369720, "setaimspreadmovementscale" },
    { 0x16E3EAD3E001C669, "setaimstate" },
    { 0x94C333C56CDCF6A4, "setairresistance" },
    { 0xA7CFA7213303D08A, "setaispread" },
    { 0x294D196608CA642C, "setalertedhuntmode" },
    { 0xC6DE529EEB601BC7, "setalienjumpcostscale" },
    { 0x7559DCB7CB99A27C, "setalienruncostscale" },
    { 0xE831CEB07028F995, "setalientraversecostscale" },
    { 0x09A9F6F3ED8F4021, "setallclientomnvarot" },
    { 0x6A71C8A4CAEEB7E6, "setallstreamloaddist" },
    { 0x891E965FE868C78D, "setallunusable" },
    { 0x3A0F97A75A068D20, "setallvehiclefx" },
    { 0xB04E1B84A746B0BD, "setalwaysminimap" },
    { 0xF45F4A72F15A593B, "setambientmovespeed" },
    { 0x36397142DBAFE032, "setammonameamount" },
    { 0xB7F2C33933A31E5B, "setanchorent" },
    { 0x8FF7252554F40BA7, "setandremoveinvulnerability" },
    { 0xAF9DAE35998293CB, "setandunsetzombieignoreme" },
    { 0xA6F7349E855BB16E, "setanim" },
    { 0xC9942A41224E895F, "setanimaimweight" },
    { 0xF8DB660363CD0F1C, "setanimblendcurve" },
    { 0xE7AA3880063CB9CE, "setanimclass" },
    { 0x83C5C089A6662CB2, "setanimknob" },
    { 0x699E7E54248CEAE9, "setanimknoball" },
    { 0x3545222B9D96FC99, "setanimknoballlimited" },
    { 0x1CCBE47633979AF0, "setanimknoballlimitedrestart" },
    { 0x99004E2D11E04700, "setanimknoballrestart" },
    { 0x204CEEA5C7FF9188, "setanimknoblimited" },
    { 0x1178E186C1EB5E43, "setanimknoblimitedrestart" },
    { 0x95EA04F619AF21B5, "setanimknobrestart" },
    { 0xFBE65152BFC18D84, "setanimlimited" },
    { 0x6168A8C25D52A37F, "setanimlimitedrestart" },
    { 0xB6D39EB23DA1A9C6, "setanimlookatneutraldir" },
    { 0x9AAA1F734275234A, "setanimlookatranges" },
    { 0xD30D9EAC4791DA2C, "setanimrate" },
    { 0xADA3C8BD732FC42C, "setanimrate_lerp" },
    { 0x5951D3EA19408DCC, "setanimrate_lerp_internal" },
    { 0xD7FA6F5D9D0CA391, "setanimrestart" },
    { 0xF7BBC1419B6BD53F, "setanimrestart_once" },
    { 0x8D59D59F48A682C7, "setanims" },
    { 0x0420BB93584D9FD8, "setanims_rebel" },
    { 0x7507F7D7DE662BF6, "setanimset" },
    { 0xDA68E6A480118A93, "setanimstate" },
    { 0xA76B9A7A81E3D027, "setanimtime" },
    { 0xD6EBCB7B5FEFEC12, "setanimtree" },
    { 0x74526C4FF5CA3F25, "setarenaomnvar" },
    { 0x53F982FD6A9D29B7, "setarenaomnvarhealthtype" },
    { 0x31D9FE7E98440728, "setarenaomnvarplayertype" },
    { 0xD226A507E847CAA9, "setarenaplayerintronum" },
    { 0xA192924676B87BC2, "setarmoramount" },
    { 0x9A178F7B602F725C, "setarmormaxamount" },
    { 0x5488B0E69589FC78, "setarmorvest" },
    { 0x3FDF92C05ADC1924, "setarmorvestamount" },
    { 0x8E2832A9DD1761CA, "setarmorvestmaxamount" },
    { 0x89F14201C2D05F89, "setarrivalanimdata" },
    { 0x7E3E695C9DF9A44C, "setasgametypeobjective" },
    { 0x662F4EA94F036115, "setassists" },
    { 0x62E4B8EB1AD42ECE, "setaudiotriggerstate" },
    { 0x594BF25426FDE724, "setauraquickswap" },
    { 0x38106BB7261464A7, "setauraspeed" },
    { 0x845FD1883B16D8C7, "setautoboxcalculationusingdobj" },
    { 0x0D41A2F1CBFF9908, "setautopickup" },
    { 0x199EE7A9109B83C5, "setautorotationdelay" },
    { 0xF8933D74A3FCE07C, "setautospot" },
    { 0x74DF022BA76DB752, "setavoidancebounds" },
    { 0xF126EAA428339282, "setavoidanceignoreent" },
    { 0x748A16E0D1FE8B85, "setavoidanceradius" },
    { 0xA41502DE6F743286, "setavoidancereciprocity" },
    { 0xE5DE48C18DE3968D, "setaxeidlescriptablestate" },
    { 0x97EA38830A4A09D7, "setaxescriptablestate" },
    { 0x38E875815906B9A0, "setback" },
    { 0x6AB75BE1070572B2, "setbackstreak" },
    { 0x78C0FD77C3587F12, "setbackupcoverfrompos" },
    { 0x69496EE6108D3DFA, "setballcarrier" },
    { 0xD9F17D03AB316C7D, "setballpassallowed" },
    { 0xA92EBE2F60E63796, "setbarrier" },
    { 0x9B04D0D80B67238D, "setbasearchetype" },
    { 0x76EFD99703B77A6B, "setbasearchetype_code" },
    { 0xBB23B49E8E61F5DD, "setbatterypack" },
    { 0xEEA7D4F3ECE626CE, "setbattlechatter" },
    { 0x28B2683D44403F56, "setbattleslide" },
    { 0xFE9392A75D080250, "setbattleslideoffense" },
    { 0xB5F559E072C8E19B, "setbattleslideshield" },
    { 0xFA58E64A81D84271, "setbeingrevived" },
    { 0x3794D99DE79BB494, "setbeingrevivedinternal" },
    { 0x295A1BA394D78181, "setbestscore" },
    { 0x6EA89300586F71F3, "setbettermissionrewards" },
    { 0x4CFB149CEEDA8F6B, "setblackbox" },
    { 0xF86F7DBC6FAF56EE, "setblastshield" },
    { 0x0D8061F3A3D93D7B, "setblindeye" },
    { 0xB749D4A31120862F, "setblockhealthregen" },
    { 0xBA38413BF4D0D6C0, "setblocking" },
    { 0x96E4C180E15F5EE2, "setblur" },
    { 0xDFE22B69F94B801C, "setblurforplayer" },
    { 0x7DC04072FBF20724, "setbobrate" },
    { 0x35C62B8316C62DF9, "setbombdefusingomnvar" },
    { 0x034384E39778EE9B, "setbombplantingomnvar" },
    { 0xF7088E7C4C066F38, "setbombtimeromnvars" },
    { 0x6BD85980C1FD92B0, "setboom" },
    { 0x80137152DB68F9F1, "setboominternal" },
    { 0x4415213846426EC8, "setbottomarc" },
    { 0xB8D3909ABC3E314B, "setbountycount" },
    { 0xFD47F1B07623F9A2, "setbountyhunter" },
    { 0x5386EB4B94DC3A99, "setbreacher" },
    { 0xF4DFB5E5C18C1577, "setbreachernum" },
    { 0x7C1584FD46959861, "setbrjuggsettings" },
    { 0x37E9CEBF730F011B, "setbrokenoverlaymaterial" },
    { 0x262579B5771373B7, "setbtgoalent" },
    { 0x414D74776DC49919, "setbtgoalheight" },
    { 0x448D7218EB5FDED6, "setbtgoalnode" },
    { 0xF79709B49A110070, "setbtgoalpos" },
    { 0x339105EFD3AADB18, "setbtgoalradius" },
    { 0x19E687CF8367DB4C, "setbtgoalvolume" },
    { 0x1AFD4964CCB736CC, "setbucketval" },
    { 0x4DACDE9DE55CF8DB, "setbulletoutline" },
    { 0x5307DCCC2BB7D050, "setbulletstorm" },
    { 0xFE860FC05F681D4F, "setburningdamage" },
    { 0x50611D6FB0103DF4, "setburningpartstate" },
    { 0x09828723E2A6C851, "setbuybackpingmessage" },
    { 0xCC11E324D1BC67AC, "setc130heightoverrides" },
    { 0xF47D7E409B4EC70F, "setc8obstacleflag" },
    { 0x8739E7DC73C1B055, "setcachedclientomnvar" },
    { 0xCCF47E5E2AA0C5F0, "setcachedgameomnvar" },
    { 0x87828C7820F3CE9A, "setcallouttext" },
    { 0xA55B7FE1C97E5D34, "setcamerathirdperson" },
    { 0xF25437F25209ADB8, "setcamoclone" },
    { 0xBDE28EC15030A4E6, "setcamoelite" },
    { 0x356819225EDC6D6A, "setcandamage" },
    { 0x29F8BE7C905F78C4, "setcanradiusdamage" },
    { 0x5C716A2BBEF51C8A, "setcanuse" },
    { 0x37276F2C73631F99, "setcapturebehavior" },
    { 0x8E0875AAC6F8D352, "setcapturestats" },
    { 0x09AD5187DF827EAD, "setcarddisplayslot" },
    { 0xBE9EFBE4C50BAE5E, "setcarepackage" },
    { 0x80AB7CF6143EE4FD, "setcarrier" },
    { 0xE1CECFC603C7AFFD, "setcarriervisibility" },
    { 0x3FB5EBE23EFB3219, "setcarriervisible" },
    { 0xF7C4CFE2DB3B6097, "setcarryicon" },
    { 0x7E3D76FBFC819740, "setcarryingremoteuav" },
    { 0x49E506AA3EECB3F9, "setcarryingsentry" },
    { 0xC37D6A56EE096211, "setcarryobject" },
    { 0xE811A2B3A4BCC1D7, "setchainkillstreaks" },
    { 0x14FAB4B9FAB752A8, "setcharactermodels" },
    { 0xEEDDD6BF5E73E564, "setchargemeleehudvisible" },
    { 0xBC303FCA05E9318D, "setcharmodels" },
    { 0x1C761B8B29E870E4, "setcheckliststateforteam" },
    { 0x05D01C0956FECF27, "setchecklistsubversion" },
    { 0x3540881BA3FA54C8, "setcinematiccamerastyle" },
    { 0x7C03CF8BE232DE5F, "setcinematicmotion_disabled" },
    { 0x4F9C92A47C992557, "setcinematicmotion_heli" },
    { 0x6589C6E6F314F8C1, "setcinematicmotion_omnvaroverride_max_1" },
    { 0x6589C3E6F314F228, "setcinematicmotion_omnvaroverride_max_2" },
    { 0x6589C4E6F314F45B, "setcinematicmotion_omnvaroverride_max_3" },
    { 0x6589C9E6F314FF5A, "setcinematicmotion_omnvaroverride_max_4" },
    { 0x6589CAE6F315018D, "setcinematicmotion_omnvaroverride_max_5" },
    { 0xBFDBB823BA996B23, "setcinematicmotion_omnvaroverride_max_instant" },
    { 0x3EC6F59F802D6D23, "setcinematicmotion_omnvaroverride_min_1" },
    { 0x3EC6F69F802D6F56, "setcinematicmotion_omnvaroverride_min_2" },
    { 0x3EC6F79F802D7189, "setcinematicmotion_omnvaroverride_min_3" },
    { 0x3EC6F89F802D73BC, "setcinematicmotion_omnvaroverride_min_4" },
    { 0x3EC6F99F802D75EF, "setcinematicmotion_omnvaroverride_min_5" },
    { 0x10326A378E1CC4D9, "setcinematicmotion_omnvaroverride_min_instant" },
    { 0x7B5AC81963998D3C, "setcinematicmotion_playermotion" },
    { 0xEFA34B3BD76AB202, "setcinematicmotionoverride" },
    { 0x2219BC2B5BE8918A, "setcivilianfocus" },
    { 0x3FA3A8F83B37C701, "setciviliankillcount" },
    { 0x65DA7563DEA3C4B8, "setclaimteam" },
    { 0x6AB2C2B3383B85B9, "setclass" },
    { 0x420B956C70B8A9B5, "setclientdvar" },
    { 0xF823637BE61D5E72, "setclientdvars" },
    { 0x6D2C00C6FF44B635, "setclientextrasuper" },
    { 0x5BBD01B5B4FE9B0D, "setclientkillstreakavailability" },
    { 0xFD74EDD108F45546, "setclientkillstreakindexes" },
    { 0xA9F7BF48C6A337C4, "setclientloadoutinfo" },
    { 0xE5CD943858514EB9, "setclientmatchdata" },
    { 0x2B3937EF6ADCB1A0, "setclientmatchdatadef" },
    { 0x96881106BB83B904, "setclientnamemode" },
    { 0xCF4A59A7DA29163F, "setclientomnvar" },
    { 0x7D395FD1E1B5D0FA, "setclientomnvarbit" },
    { 0x7B11B72B190081CF, "setclientowner" },
    { 0xB816511774032160, "setclienttriggeraudiozone" },
    { 0x0BFAE3C98719CB19, "setclienttriggeraudiozonelerp" },
    { 0x224677F80B260FD9, "setclienttriggeraudiozonepartial" },
    { 0x7B017E6CD2303EBB, "setclienttriggeraudiozonepartialwithfade" },
    { 0x21734AB49C792DB0, "setclientweaponinfo" },
    { 0x37CB00B3CF4CE31D, "setcloak" },
    { 0x1B48E86117A176B3, "setcloakaerial" },
    { 0x37D2F8B3CF54BD33, "setclock" },
    { 0xE800D56FFFE1DDE6, "setclockup" },
    { 0xB80EDC5BEA209EA4, "setclosinguicircle" },
    { 0xA50E39B31B70F141, "setclothtype" },
    { 0xB72556282D3F8351, "setcodcasterclientmatchdata" },
    { 0xBE0B1F3915D2AD2F, "setcodcasterplayervalue" },
    { 0x5BC8F4DFB8098D83, "setcodenumber" },
    { 0xD87A1A90C666C9D3, "setcombathigh" },
    { 0xE168EDC1561B2C7A, "setcombatspeed" },
    { 0xEAC4B3E347D0A2EA, "setcombatspeedscalar" },
    { 0x4E8B921433D73B9B, "setcomexp" },
    { 0x7368DC9630B1FADC, "setcomlink" },
    { 0xCD91F9D37064A185, "setcommonrulesfrommatchrulesdata" },
    { 0x610F8257C3EF08F5, "setconfig" },
    { 0x2E36F61E407874EA, "setcontestedicons" },
    { 0x60198A1263223C9C, "setconvergenceheightpercent" },
    { 0x7FE1EFE0D0136ED5, "setconvergencetime" },
    { 0xC5720CA23BFC9712, "setcooldown" },
    { 0x9A657B0C3F5762B9, "setcoopplayerdata_for_everyone" },
    { 0x9D13FA31034512C9, "setcornerstepoutsdisabled" },
    { 0xCC1CD4209D7A4DE2, "setcorpsefalling" },
    { 0x915BEC61CA7FB80C, "setcorpsemodel" },
    { 0x22BDC6F6A8DB6068, "setcorpseremovetimer" },
    { 0x675FB0D89A673A6B, "setcorpseremovetimerfuncmp" },
    { 0x39482415EDE44663, "setcorpseremovetimersp" },
    { 0xCAA3ACA4878337DF, "setcoverchangestanceforfuntime" },
    { 0xE4EC6832D8EF09CC, "setcovercrouchtype" },
    { 0x647DEED2255D043F, "setcovermultinodetype" },
    { 0x5DE1E1163044E0B5, "setcoverselectionfocusent" },
    { 0x3624B7F4E7596303, "setcoverstate" },
    { 0x45FB83007F86D5D9, "setcoverwarningcount" },
    { 0x9981DD0C70EAE200, "setcrankedbombtimer" },
    { 0xBA1AE5F58D504FEC, "setcrankeddvarfordev" },
    { 0x234AECBB9DA84C77, "setcrankedplayerbombtimer" },
    { 0x5DA7E83361A3401E, "setcrankedtimerdomflag" },
    { 0xB66A41312303E396, "setcrankedtimerzonecap" },
    { 0x68A7B629E3E73C29, "setcrawlingpaintransanim" },
    { 0x87777F5B510FCBE7, "setcritchance" },
    { 0xB3687F2EF35CA32B, "setculldist" },
    { 0xF79258DD7E9FF0D5, "setcurpotgscene" },
    { 0x1CC9059F4B4D5D38, "setcurrentcustombcevent" },
    { 0xD8458CCFF122310B, "setcurrentgroup" },
    { 0x19C6A66A083E8AF8, "setcursorhint" },
    { 0xB1EEB27570D6ED7C, "setcustomization" },
    { 0xFF9669DB86A51C89, "setcustomization_body" },
    { 0xF8236BF1310912B7, "setcustomization_head" },
    { 0x61175119C28A60B5, "setcustomnodegameparameter" },
    { 0x7C8AAC37C13137CF, "setcustomnodegameparameterbyte" },
    { 0x39A40380A351ECB7, "setcustomsmartobjectarrivaldata" },
    { 0xAB599EB946ED79B8, "setdamageflag" },
    { 0xD4099797E7CD34C9, "setdamageparthealth" },
    { 0x9E3216F5FEBA6150, "setdamagestage" },
    { 0x9DDE06F5FE5D672B, "setdamagestate" },
    { 0x814CA84FE8611A5B, "setdash" },
    { 0xDF63A1E990D78BF6, "setddlfieldsforplayer" },
    { 0xB8475C500F8F7B61, "setdead" },
    { 0x66AFC8E91664F6DB, "setdeathangles" },
    { 0x27F35FA4C55D545C, "setdeathtimerlength" },
    { 0x4F2053E608992CAA, "setdebugangles" },
    { 0x1335292573936FF0, "setdebugorigin" },
    { 0x80E788AE91FF56A8, "setdeceleration" },
    { 0x88C106D6AA60EF01, "setdefaultaimlimits" },
    { 0x22324CFE32D83EF8, "setdefaultammoclip" },
    { 0x774875ACE3F99ED8, "setdefaultcallbacks" },
    { 0x060273A8D321B4C7, "setdefaultcharacterdata" },
    { 0xBF7A78978F2A8AE9, "setdefaultdroppitch" },
    { 0xF78185D0AC1FCD6A, "setdefaultdvars" },
    { 0xA8C15A7BE077A852, "setdefaultgameparameters" },
    { 0xC3208F1F83C237D6, "setdefaultjiprules" },
    { 0x1655CDD9B22E5EE6, "setdefaultleveldata" },
    { 0xE4F30E4BED16B86D, "setdefaultmodel" },
    { 0x072B33DA68E88768, "setdefaultvisionset" },
    { 0xDB3AFDB59C3AC415, "setdefending" },
    { 0x2ECD9C2FC3182F95, "setdelaymine" },
    { 0x2598585A844FD2FC, "setdeleteable" },
    { 0xE4E3041088F5967D, "setdeleteabletimer" },
    { 0xDC91A194988C186D, "setdeliverymodesettings" },
    { 0x7164655874AB601A, "setdemeanorviewmodel" },
    { 0xE9CC1ABF3BE54AD2, "setdemolitions" },
    { 0x16129957EFE1A59B, "setdepthoffield" },
    { 0xF9A50302A19D2D7F, "setdesiredbtaction" },
    { 0xBDF5A0B6049407D3, "setdevdvar" },
    { 0x5B28EB0A44050F4F, "setdevdvarifuninitialized" },
    { 0xB3E39043311DA7E5, "setdevtext" },
    { 0x1AA23B367984E416, "setdifficulty" },
    { 0xFDE8420D60136547, "setdisabled" },
    { 0xC4583FF4B20DCE56, "setdismemberstatefx" },
    { 0xADF86F27FD8AB0DB, "setdisruptorpunch" },
    { 0xB6D26313605FC6FD, "setdistributed2dsound" },
    { 0xFBDE328B51DD1BEE, "setdodge" },
    { 0xA82230B32221AAFA, "setdodgedefense" },
    { 0xC8EDE1C45475DCF7, "setdodgemeter" },
    { 0x47BD11D847F45837, "setdodgewave" },
    { 0x5ED34DCC66CAE79B, "setdof_ac130" },
    { 0x1E62346CBD1C509F, "setdof_ac130_zoom" },
    { 0x87983240896A2C6F, "setdof_apache" },
    { 0xE4B01D15B2C02F84, "setdof_cruisefirst" },
    { 0x9E1440076A29767F, "setdof_cruisethird" },
    { 0x981861748BB17D0A, "setdof_default" },
    { 0x8DF9AB5FBE12BE02, "setdof_dynamic" },
    { 0x36372B9DDEF7F883, "setdof_gunship" },
    { 0xC5761EE14BCE3447, "setdof_gunship_zoom" },
    { 0xAB3976AEC174C4B1, "setdof_infil" },
    { 0xD4B925C0844D86BE, "setdof_killer" },
    { 0x124552F904183152, "setdof_killer_update" },
    { 0x48D516FA23226754, "setdof_scrambler_strength_1" },
    { 0x48D519FA23226DED, "setdof_scrambler_strength_2" },
    { 0x48D518FA23226BBA, "setdof_scrambler_strength_3" },
    { 0x48D513FA232260BB, "setdof_scrambler_strength_4" },
    { 0x48D512FA23225E88, "setdof_scrambler_strength_5" },
    { 0x4492827E51861F66, "setdof_spectator" },
    { 0x20873B32DA64D4DD, "setdof_tank" },
    { 0x1307FDD5CEC27627, "setdof_thirdperson" },
    { 0xBCE4C7DFE0BC7A0A, "setdoftracerange" },
    { 0x6CA16FB0E934A6A0, "setdomscriptablepartstate" },
    { 0xAEF4A027F8BCFA56, "setdomscriptablepartstatefunc" },
    { 0x56D68AD1054C0644, "setdooralarm" },
    { 0x040E91808A844056, "setdoorbreach" },
    { 0x36ADE87104E6474B, "setdoorsense" },
    { 0xBE0141BE135228C2, "setdoubleload" },
    { 0xC4806F4250FDC64E, "setdragonsbreathburning" },
    { 0x19A7CA8E55F27C91, "setdragonsbreathcorpseflare" },
    { 0xA08C59D7C701BF5D, "setdriftoffset" },
    { 0xE6EFCA8AB356DF31, "setdriftvelocity" },
    { 0xDBF1A17848BA24F9, "setdronegoalent" },
    { 0x20179577BF4D93BE, "setdronegoalpos" },
    { 0x8C7D7FE296725286, "setdroneturnparams" },
    { 0x6259EAE4A511F7C7, "setdropbagdelay" },
    { 0xC44A086A332C0DAB, "setdropped" },
    { 0xB8F33DBA4F6F0B29, "setdroppedweaponammo" },
    { 0xCE214750DC0AE4A2, "setdvar" },
    { 0xCBAAB1C2DD1316BC, "setdvarifuninitialized" },
    { 0x7E01CE72AF912D09, "setdynamicdvar" },
    { 0x24C50A5DF203C138, "setearlyfinishtime" },
    { 0x7A4CC4D3BA3BFF3E, "setempimmune" },
    { 0x7418CCBAEEE2CFBD, "setempjammed" },
    { 0x2A5C31CAA6C50EB9, "setemptysessionteam" },
    { 0xD8F1E977B23A33CE, "setendgame" },
    { 0x459263730D55383C, "setendofroundsoundtimescalefactor" },
    { 0x0BDABD3ADD8A87A5, "setenemyloadoutomnvars" },
    { 0x37EA1C44F186883E, "setenemyloadoutomnvarsatmatchend" },
    { 0x4E3C0B0F05CA317A, "setengagementmaxdist" },
    { 0xFBFFE670C07C5F94, "setengagementmindist" },
    { 0x7AD5381835777302, "setengineer" },
    { 0x935147D556257973, "setenhancedsixthsense" },
    { 0x131E74C5FB574777, "setentityowner" },
    { 0xC6BCE45528AD77E6, "setentitysoundcontext" },
    { 0x465C54866A06BA59, "setentitytarget" },
    { 0x1717C1609551819B, "setequipmentammo" },
    { 0x8D30C801732F974D, "setequipmentping" },
    { 0x527DA390115CD2F7, "setequipmentslotammo" },
    { 0x1B66429F13536C4D, "setescortmodesettings" },
    { 0xC243E2699D1A539E, "setexfiltimer" },
    { 0xAE64A90AA453175B, "setexplodermodel" },
    { 0x8704614134A77D42, "setexplosiveusablehintstring" },
    { 0x7F48308789B7CFFE, "setextenddodge" },
    { 0xFB8714E618BC66E9, "setextraammo" },
    { 0xA1E4EC4FCE20E611, "setextractspawninstances" },
    { 0x91317F06AF6ED89E, "setextradeadly" },
    { 0x0E367F39E50ADDA2, "setextradodge" },
    { 0xE817672B9BC94E05, "setextraequipment" },
    { 0x7D58A3B6E92F83E5, "setextrascore0" },
    { 0x7D58A2B6E92F81B2, "setextrascore1" },
    { 0x7D58A1B6E92F7F7F, "setextrascore2" },
    { 0x7D58A0B6E92F7D4C, "setextrascore3" },
    { 0x7D589FB6E92F7B19, "setextrascore4" },
    { 0xD777ECAF4B251C9E, "seteyesonuplinkenabled" },
    { 0x043B7B3E882317F5, "setfacialindex" },
    { 0x6430349C349A151D, "setfacialindexfornonai" },
    { 0xE181B8F9C5892260, "setfacialindexfromasm" },
    { 0xDEC4A42647A45180, "setfacialstate" },
    { 0x66FF860434B5CDB0, "setfadetime" },
    { 0x6580C739F740547E, "setfakeloadoutweaponslot" },
    { 0x8C974511B58A37E6, "setfaketispawnpoint" },
    { 0x1222EE6C93416347, "setfastcrouch" },
    { 0xBE323AD4240AF181, "setfastreloadlaunchers" },
    { 0x98961C2470EDEBE5, "setfiretimescaleoff" },
    { 0xC1C1DA41167B2049, "setfiretimescaleon" },
    { 0x9C134D6A72033667, "setfirsthistorydestination" },
    { 0xE7EF72E83D467D73, "setfirstinfected" },
    { 0xED3C5F9D15E07E47, "setfirstsavetime" },
    { 0xA047A7B15F626C80, "setfixednodesafevolume" },
    { 0xAC2985055ACEBC03, "setflagcaptured" },
    { 0xBF072468AB740072, "setflaggedanim" },
    { 0x50CE1815D713CDC6, "setflaggedanimknob" },
    { 0x9EAE9CF347EAC025, "setflaggedanimknoball" },
    { 0x30914D89D3B2C2EC, "setflaggedanimknoballrestart" },
    { 0x44221AAAC77B310C, "setflaggedanimknoblimited" },
    { 0x1EBF13E0D8270FB7, "setflaggedanimknoblimitedrestart" },
    { 0x3D92FD817C0068B9, "setflaggedanimknobrestart" },
    { 0x592B654DA5474B48, "setflaggedanimlimited" },
    { 0x40842FB51E9CB303, "setflaggedanimlimitedrestart" },
    { 0x97CB64F1B6FECC75, "setflaggedanimrestart" },
    { 0x6E39542023A855D7, "setflagpositions" },
    { 0x2AD2DD11170E20E8, "setflashbanged" },
    { 0x24EE6660C777D39B, "setflashbangimmunity" },
    { 0xD87C5B8436658BDF, "setflashfrac" },
    { 0xA6C79E65D056DFC6, "setflashlightmodel" },
    { 0x6AF065C052CD5E0D, "setfollower" },
    { 0x7AFE6F8160C61461, "setfollowmode" },
    { 0x9E12D855F19D03DB, "setfootprinteffect" },
    { 0xFB2C264A428279FC, "setfootstepeffect" },
    { 0x7BFB4309860BCAA3, "setfootstepeffectsmall" },
    { 0xF613A6C2E860614B, "setforceradars" },
    { 0x3B62E186A3A4B9F1, "setforcespawninfo" },
    { 0xCA650C8BB7C13930, "setfreefall" },
    { 0x1A45BA1529BC1DC6, "setfreelook" },
    { 0x6897F9608D038C88, "setfriendlyfire" },
    { 0x31EC692CB9FE5E5C, "setftlslide" },
    { 0x6DDED129EEE91505, "setfunc" },
    { 0xBD3E7494C510D24A, "setfxkilldefondelete" },
    { 0xB083C553D268C1CB, "setgamebattlematchstats" },
    { 0xF0FF4164275A0E45, "setgamebattleplayerstats" },
    { 0xEA4D85D38F88DB2B, "setgameendflagsandnotifies" },
    { 0xCABB1EE236F0E2A3, "setgameendtime" },
    { 0x537C377E96D11059, "setgamemodecamera" },
    { 0x79208FD0C7CD5C20, "setgamemodestat" },
    { 0xC740BD0661421E00, "setgametypevip" },
    { 0x6AB872CEF6B63074, "setgasgrenaderesist" },
    { 0x1A7ACA0FDF360E22, "setghost" },
    { 0x88F232CBAABCB0BD, "setglaregrimematerial" },
    { 0x70543F1DD7DB7758, "setglobalaimsettings" },
    { 0xB42C353184A1593D, "setglobaldifficulty" },
    { 0x8469502D55485643, "setglobalintermissionspawninfo" },
    { 0x63E465482AD99900, "setglobalnextpossibleblindfiretime" },
    { 0x50B9287BFC950E7A, "setglobalsoundcontext" },
    { 0xF825DF1DDCE1C3AC, "setgoalandtimeout" },
    { 0xA37A143EBDC5FBE3, "setgoalentity" },
    { 0xB5DDE109D973F9A4, "setgoalnode" },
    { 0xDCD96EBF4807BB0F, "setgoalpath" },
    { 0x5F4B645EEB2BE032, "setgoalpos" },
    { 0x924B69BBF11C3D1A, "setgoalvolume" },
    { 0x2080696666861855, "setgoalvolumeauto" },
    { 0xF8A1415E9F8309D3, "setgoalyaw" },
    { 0x17F803B873B07333, "setgrappleactor" },
    { 0x0E543D09769C8E64, "setgrappleroundvolume" },
    { 0x029B8A1FA8495F44, "setgrapplevolume" },
    { 0x3EEC6D4896030833, "setgrenadecookscale" },
    { 0xBEAACD93383CD3DD, "setgrenadethrowscale" },
    { 0xC08736E21FB62CDC, "setgrenadetimer" },
    { 0x9DCCEBFD145960BA, "setgroundpound" },
    { 0x639D90F99BC9D159, "setgroundpoundboost" },
    { 0xBAFC07AC873B2727, "setgroundpoundshield" },
    { 0x7F8F3EA68862DFC8, "setgroundpoundshock" },
    { 0x944CE5984A6D4A6F, "setgroup_down" },
    { 0xB60A86FC269A9486, "setgroup_up" },
    { 0x1E66628A130A7417, "setguardmode" },
    { 0x67DE3BCD8C7D0BC3, "setgun" },
    { 0x949152BC6DB7EFAF, "setgunadditive" },
    { 0x1553928194A5E08B, "setgunladder" },
    { 0x57A7FAC142A57438, "setgunsfinal" },
    { 0x9BB19AB3267E8908, "setguntypeforui" },
    { 0xC2BB1C66512E2607, "sethadarmor" },
    { 0x42543714574D6CE7, "sethalfresparticles" },
    { 0x1921ACD19C2C2397, "sethandsoccupied" },
    { 0xCF2DD4178A93E200, "sethardline" },
    { 0x98A4CD8E862CBB44, "sethardshell" },
    { 0x91555FD0AA997FF5, "sethasdonecombat" },
    { 0xCD6CDC5380D9474B, "sethasradar" },
    { 0x62C6A2C2396548FA, "sethasrespawntokenextrainfo" },
    { 0x93C4AAE720C8CA43, "sethasselfrevivetokenextrainfo" },
    { 0x2AE6E48831273FFB, "sethasspecialistbonus" },
    { 0xDCE81F89EBB223F6, "setheadgear" },
    { 0x8DDF6D007AA53E88, "setheadicon" },
    { 0x1E7EAC0686124F8E, "setheadicon_addclienttomask" },
    { 0xA5E60351F8B9702E, "setheadicon_allowiconcreation" },
    { 0xE7EE6F9BB1F3D3D4, "setheadicon_createnewicon" },
    { 0x67ABCDF1DD01CF57, "setheadicon_deleteicon" },
    { 0xA7AF7483323E2770, "setheadicon_factionimage" },
    { 0x6E5E84F9EF5DA87B, "setheadicon_findlowestprioritygroup" },
    { 0x36A138924041EB6E, "setheadicon_findoldestcreatedicon" },
    { 0x4490DF0F8C96687B, "setheadicon_getexistingiconinfo" },
    { 0xA6A8BC6749844367, "setheadicon_multiimage" },
    { 0x6834BAF35E21801A, "setheadicon_removeclientfrommask" },
    { 0x3F399B7A0257DFEB, "setheadicon_removeoldicon" },
    { 0x6FBAF358B1BF5D9E, "setheadicon_singleimage" },
    { 0xE984C9BDFB14E05A, "setheadicon_watchdeath" },
    { 0x46921EB8210E105F, "setheadicon_watchforlateconnect" },
    { 0x3ADE8896999E376E, "setheadicon_watchforlatespawn" },
    { 0x06057EB3B02652C2, "setheadicon_watchfornewowner" },
    { 0xD8DC6E605941497E, "setheadicon_watchforteamswitch" },
    { 0xC585364A0951C101, "setheadicondrawinmap" },
    { 0x801BB28F0F6E1CEC, "setheadicondrawthroughgeo" },
    { 0xB16EFC2330F72431, "setheadiconenemyimage" },
    { 0x1ED067EFD0BDA61C, "setheadiconfriendlyimage" },
    { 0xFE0BB20ED1004E35, "setheadiconimage" },
    { 0x9188D457E1C02EAD, "setheadiconmaxdistance" },
    { 0xE55BE646C45F203E, "setheadiconnaturaldistance" },
    { 0xBDB35C26BC39959C, "setheadiconneutralimage" },
    { 0xF0C52C9DDD65153F, "setheadiconowner" },
    { 0x3BC6B7B18904113D, "setheadiconsnaptoedges" },
    { 0x388F9EC2E8D135F1, "setheadiconteam" },
    { 0x868283C3D609D9B1, "setheadiconzoffset" },
    { 0x039D0895E8245C46, "sethealer" },
    { 0xAD5C336528274B14, "sethealthshield" },
    { 0xEA6436DAF755E388, "setheight" },
    { 0xCFB09EEF96ADD230, "setheligoal" },
    { 0xDF2F4120A4033DF2, "sethelmet" },
    { 0x119FE37F3C349B11, "setherodropscriptable" },
    { 0xAEAEB6EBF5752210, "sethidenameplate" },
    { 0xDF8F516DB947A193, "sethighpriorityweapon" },
    { 0xAF4D8FCD1CDA31A7, "sethintdisplayfov" },
    { 0xE0291B1C46EB6229, "sethintdisplayrange" },
    { 0x0FE2CFDBF8F7DDE3, "sethinticon" },
    { 0x052FD87A9E10F9C1, "sethintinoperable" },
    { 0x7BAE9CD4A4AEFA81, "sethintlockplayermovement" },
    { 0xDA2A518CBB44C935, "sethintobject" },
    { 0xCDCED9A9140BCA27, "sethintonobstruction" },
    { 0x0B79A2D29243A8C1, "sethintrarity" },
    { 0x77BD4AB1D35F8651, "sethintrequiresholding" },
    { 0x6ED9AEFC87512025, "sethintrequiresmashing" },
    { 0x5E078C8BEEF579C7, "sethintstring" },
    { 0x0692F8D173043225, "sethintstringparams" },
    { 0x38C11CFF2D24D1C6, "sethinttag" },
    { 0xC5FDBA9E878A1763, "sethistorydestination" },
    { 0x5F01EA671A4A707D, "sethitlocdamagetable" },
    { 0x586B830CA2B56240, "sethotfunc" },
    { 0xB2727DFD8DAAD827, "sethover" },
    { 0xA37087C58CEE7985, "sethoverparams" },
    { 0xC2DA42FD86CAB761, "sethqmarkerobjective" },
    { 0xE85F2203848E5DC9, "sethuddynlight" },
    { 0xD125BC33F5A7F5F8, "sethudslot" },
    { 0x99C6946EE400915D, "sethudtutorialmessage" },
    { 0x10F03B1FD6242D45, "sethunter" },
    { 0x0C77306E33114AAC, "sethybridscopestate" },
    { 0x53D9E957F66D0F12, "seticonnames" },
    { 0x2C3B074E96A3CC5F, "seticonshader" },
    { 0x61EA08DBB18E4937, "seticonsize" },
    { 0x87D8875AF6B96F26, "setignoremegroup" },
    { 0x797BDFE703F27DDE, "setignoreriotshieldxp" },
    { 0x0948F8357A914CE3, "setimmunetokidnapper" },
    { 0x2ED02F41BC651E3B, "setimpactfx" },
    { 0x457A694C4673446D, "setimprovedmelee" },
    { 0x2CD971218624C083, "setimprovedprone" },
    { 0x0CD18DB7DCE53813, "setincog" },
    { 0xE17FB0925D2FC918, "setincomingcallback" },
    { 0x579B1AC7A0753256, "setincomingremovedcallback" },
    { 0x61B97FDE0A023175, "setinfectedmodels" },
    { 0xC6FE45F694043E10, "setinfectedmsg" },
    { 0x870722E8990D5A2D, "setinflictorstat" },
    { 0xD4F7117256EDD243, "setinitialbotdifficulties" },
    { 0x76B0D919077D57E7, "setinitialtonormalinfected" },
    { 0xC078E9B6E9C4AA51, "setintel" },
    { 0x3222F073E7ED8706, "setintrocameraactive" },
    { 0x91A79C3FA427F5C5, "setintrocamnetworkmodel" },
    { 0xDEFA1F9A1AD0C3C4, "setinvehicle" },
    { 0x3799D873C6C089E6, "setinvestigateendtime" },
    { 0x11AB3F43B94F333E, "setisinfilskydive" },
    { 0x4BC4DD3A9524EF1B, "setisradarblocked" },
    { 0x09A1451BFF01209C, "setisusingspecialist" },
    { 0xD64F031C0A63F8FA, "setitemasloot" },
    { 0x950CBF9DBCD7BC57, "setjailtimeouthud" },
    { 0xAC3A1D58DE16AFFB, "setjitterparams" },
    { 0x9B9BE1401DDD2058, "setjuggernautmodel" },
    { 0xD992E7959BEF023B, "setjuiced" },
    { 0x09122975F6C3A70D, "setkeyobject" },
    { 0x7C2EE5C66D7E38CD, "setkillcamentity" },
    { 0x606F6E100BC9BA6E, "setkillcamentstickstolookatent" },
    { 0xC5A049B7147233C2, "setkillcamequipmenttypeomnvars" },
    { 0xD72A63EB34681DDD, "setkillcamerastyle" },
    { 0xE97C8871AB357C40, "setkillcamexecutiontypeomnvars" },
    { 0xBE772A4C4D04862F, "setkillcamkilledbyitemomnvars" },
    { 0x87C6C1BB5E82839C, "setkillcamkillstreaktypeomnvars" },
    { 0xEA7AC1230E669E9A, "setkillcammisctypeomnvars" },
    { 0xDA244CE635B2D4A3, "setkillcamnormalweaponomnvars" },
    { 0x1B3989385FB2A61F, "setkillcamsupertypeomnvars" },
    { 0x0CA2877E9BBDD2D9, "setkillcamuitimer" },
    { 0xC3A0B2FF8EE41A8A, "setkillcamweapontypeomnvars" },
    { 0x9F79153B7B506EFE, "setkilledbyuiomnvar" },
    { 0xDC409B910BA7A82E, "setkillstreakcontrolpriority" },
    { 0x453325C2A534659A, "setkillstreakpoints" },
    { 0x84F8A9F3BFCD1BA8, "setkillstreaktoscorestreak" },
    { 0xAAB48887F212623F, "setkineticpulse" },
    { 0xC2EA871F84AB6207, "setkineticwave" },
    { 0xD04A182332B10C6B, "setkothwaypoints" },
    { 0x00F2F571B329AF4F, "setladder" },
    { 0x45ABCC873B3874DC, "setlaserflag" },
    { 0x9A418D657079CA97, "setlasermaterial" },
    { 0xBB5BA05C270F3701, "setlastcallouttype" },
    { 0x7BE12C9A258D1DDB, "setlastdroppableweaponobj" },
    { 0xF30F80473C77F3FA, "setlaststandenabled" },
    { 0x6EC67EFD82CF5DEF, "setlaststandreviving" },
    { 0xD864E6FE5B0B5805, "setlaststandselfreviving" },
    { 0x2A2CFC46B8B2BA4A, "setleftarc" },
    { 0x2978AFEC1406B473, "setlegsmodel" },
    { 0x4C6D577FC0C1F5FB, "setlensprofiledistort" },
    { 0x6D83E4FE29092B85, "setlethalonunresolvedcollision" },
    { 0xB0E2FB7E5C74BD40, "setlevelcompleted" },
    { 0xF9FA11D34055E1DA, "setlevelmlgcam" },
    { 0xBDACE07A0060C829, "setlevelobjectivetext" },
    { 0xBCF0157A497F9138, "setlifepack" },
    { 0x133F0FF1003EA523, "setlifepackoutlinestate" },
    { 0x76F6C7D90BAECC5A, "setlifepackvisualforplayer" },
    { 0xC1BE55880341DE58, "setlightarmor" },
    { 0x31DF508E752CD649, "setlightarmorvalue" },
    { 0x8A5136D4D87795D4, "setlightcolor" },
    { 0x6322441223EF8F7D, "setlightfovrange" },
    { 0xDA1A5E27C3D6D286, "setlightintensity" },
    { 0x3988B5EA084F310F, "setlightradius" },
    { 0xCBBD2CE87AFB277F, "setlightuvintensity" },
    { 0x10107BA1CB5C3EC5, "setlightweight" },
    { 0xA33AD8ED4CCF2B8E, "setlinkedangles" },
    { 0x07373EAD80854AA3, "setlocaledefaultvalue" },
    { 0x63FB37ADCE26DD6A, "setlocaljammer" },
    { 0x98122FA7C7A078D8, "setlocalplayerprofiledata" },
    { 0xEF3AF2D2D75B71DF, "setlocationmarking" },
    { 0x47131639617FFB27, "setlockedoncallback" },
    { 0x845DAD5D20E71C13, "setlockedonremovedcallback" },
    { 0x648766DDD39F403C, "setlookaheadtime" },
    { 0x9B8A9C1F1DBA53A9, "setlookat" },
    { 0xD15325AC6898C7BE, "setlookatent" },
    { 0x398B1F68D174741E, "setlookatentity" },
    { 0x7471725ABD400582, "setlookatstateoverride" },
    { 0x407DD8B9E942496A, "setlookattext" },
    { 0x49B4CA01E867413B, "setlowermessage" },
    { 0x8052F68A59C9610C, "setlowermessageomnvar" },
    { 0xCD3DEEDDF06F9B91, "setlowermessageomnvarref" },
    { 0x04043B428B20F01A, "setmainstreamloaddist" },
    { 0xD8F4482D07858387, "setmanatarms" },
    { 0x90B0D6AA8BBC02B7, "setmantlesoundflavor" },
    { 0x4C172AFD3E7FC71A, "setmapcenter" },
    { 0x980D4192E2055DE0, "setmapcenterfordev" },
    { 0xBB6B4E802BC87932, "setmapcirclecolorindex" },
    { 0x49A3C748EA5F53F2, "setmapcircleiconindex" },
    { 0xCE888AA98FCD6EF6, "setmapcirclesize" },
    { 0x6E39F250674B881C, "setmapcirclestyleindex" },
    { 0x85639382080B396E, "setmaplocationselection" },
    { 0xB55841CA7C29FBCD, "setmapsizespawnconsts" },
    { 0x6932B438EFF47D92, "setmarkequipment" },
    { 0xE677AF09BAA050AD, "setmarksman" },
    { 0xF1366C59C45C1F70, "setmarktargets" },
    { 0x98186BD320BD1356, "setmatchclientip" },
    { 0xF0B3E265281C9578, "setmatchdata" },
    { 0xB61CFE63550F401F, "setmatchdatadef" },
    { 0x2D4CDC2DA5734B65, "setmatchdataid" },
    { 0x4959DCD44A93D942, "setmatchstat" },
    { 0x2FEB7640817D1634, "setmaxpitchroll" },
    { 0x7AC3AB25DE2ACA6D, "setmeleekill" },
    { 0xD8F1EBF63B70CBA8, "setmenu" },
    { 0xBD8324262B651D7E, "setminimap" },
    { 0x9F346919D86CFB0E, "setminimapcpraidmaze" },
    { 0xD03DF465A33C8B49, "setmissilekillcament" },
    { 0x9BCE21A14F834E9A, "setmissileminimapvisible" },
    { 0x1A30A9A48520539A, "setmisstime" },
    { 0xDDDCD6900CC4FA60, "setmlgannouncement" },
    { 0x6C5BADFF4788D06E, "setmlgcameradefaults" },
    { 0x66B750D521EE004A, "setmlgdamagedone" },
    { 0x9212BA57654124F3, "setmlgdominationpoint" },
    { 0x65DF8DAAAFA09281, "setmlgdraw" },
    { 0x46A44C18DAD075CA, "setmlgfollowdroneactive" },
    { 0x3AE5B7F390088828, "setmlgmessagesent" },
    { 0x83815065675ECA31, "setmlgobjectivestatusicon" },
    { 0x016744D1581911EC, "setmlgselectedcameraicon" },
    { 0xDFD83EEFB9B89E74, "setmlgspectator" },
    { 0x6B6C0C7C6CA60C35, "setmlgspectatorclientloadoutdata" },
    { 0xAF1AF9F7C66FAF44, "setmlgspectatorfromlobbydata" },
    { 0x81A5B68D46EA57EA, "setmlgthirdpersonenabled" },
    { 0x47AD51F5D0E2FDF0, "setmode" },
    { 0x8528DB9A6333BE14, "setmodel" },
    { 0xF679B05190D13231, "setmodelfromarray" },
    { 0xBEC82980DACF4BAD, "setmodelfromcustomization" },
    { 0x20E6338EA32C2B25, "setmodelusesmaterialoverride" },
    { 0x7110BCFD2CB54548, "setmodelvisibility" },
    { 0x6BACA9700F794845, "setmodifiedbombzonescollision" },
    { 0xA0BB8AC2CC973751, "setmomentum" },
    { 0xE3A0E546DA6AFF6B, "setmortarmount" },
    { 0x61C170E7E60B4B77, "setmotiontrackervisible" },
    { 0x04BE5ACE79CF8303, "setmoveanimknob" },
    { 0x207B8CF40E54C7A0, "setmoverantilagged" },
    { 0xE2012FEB10C3BF3D, "setmoveravatar" },
    { 0xFF71B9EDF5CE9D96, "setmoverbehavior" },
    { 0x9BED6A8CB759605F, "setmoverlaserweapon" },
    { 0x80E465F0ABE53F35, "setmoveroptimized" },
    { 0xE94B041EE3224208, "setmovertransparentvolume" },
    { 0xC32A5B0F0CDF82D8, "setmoverweapon" },
    { 0x33E8B245D1151905, "setmovespeedscale" },
    { 0x2BA0940A92BF4BF6, "setmovingplatformplayerturnrate" },
    { 0x36C2573B954478B6, "setmovingplatformtrigger" },
    { 0xF2909A762F2C0E17, "setmunitions" },
    { 0xD123B1929FD57EDF, "setmusicstate" },
    { 0x2E65E5B50AC9DF45, "setnameandrank_andaddtosquad" },
    { 0x158C5C6EC8EC9F9D, "setnavlayer" },
    { 0xD7A7562D6E27E40F, "setneargoalnotifydist" },
    { 0xD99219B610597226, "setneutral" },
    { 0xA6777B11267FDC40, "setneutralicons" },
    { 0x83DAD90530FCC19A, "setnewabilitycount" },
    { 0x099996D237A03A80, "setnewabilityhud" },
    { 0x15060D6FA2F55839, "setnewarmsracecacheloc" },
    { 0x42F2D4AF3C8C815F, "setnextbulletdryfire" },
    { 0x8475868A68FF4202, "setnexthistorydestination" },
    { 0x2F40B130D0CAACC5, "setnextkillstreakcost" },
    { 0x016CC5DEFB3A5EBA, "setnextlookforcovertime" },
    { 0x0A97688F7F17DDFA, "setnextpatrolpoint" },
    { 0x834B80116E0F978E, "setnextplayergrenadetime" },
    { 0xA47104A5C2AF9251, "setnextpossibleblindfiretime" },
    { 0xF28C36E2253DE5CE, "setnextroundclass" },
    { 0x2AD63FC6361D3F16, "setnightvisionblindweight" },
    { 0x9B1A46959EDDA10F, "setnodeploy" },
    { 0x7B3E7A59E004615F, "setnodepriority" },
    { 0x215D3B1C67CAD94F, "setnojipscore" },
    { 0xAB5626A0B896E64A, "setnojiptime" },
    { 0x330C7BB271BC92CE, "setnonstick" },
    { 0xCF59AC654203D386, "setnormalhealth" },
    { 0xB0B03A294FFB347E, "setnoscopeoutline" },
    { 0xE02AE0218BCA0BEB, "setnotetrackeffect" },
    { 0xAB70491C1BA57985, "setnotetracksound" },
    { 0x808653E3B8DD8A44, "setnoteworthykillstreakactive" },
    { 0x3815ED8F170B880B, "setnpcid" },
    { 0xC3E0DD6AA51A1BF4, "setnuketimescalefactor" },
    { 0x406A2A764DC0E276, "setnvgarealighteffect" },
    { 0x6A72C0164CC8A9E2, "setobjectivecallbacks" },
    { 0xC2D0C4167078DB08, "setobjectivehinttext" },
    { 0x6173268E1EA6A4E4, "setobjectiveicons" },
    { 0xE6BF0C7358AA4026, "setobjectivelocations" },
    { 0x3455B1CA40F71A42, "setobjectivemarkerpos" },
    { 0xE97257BC1E77673F, "setobjectivescoretext" },
    { 0x0A1B128EA0138ACF, "setobjectivestatusallicons" },
    { 0x8D203201AD214FBA, "setobjectivestatusicons" },
    { 0xBDD12A28667B5639, "setobjectivetext" },
    { 0x394A74E3E8030071, "setobjectivetextforplayer" },
    { 0xF6C4910AAC9A5DC6, "setobjectivetocompleteanddroploot" },
    { 0xB0AB66B6E82EE34B, "setobjectivetypesomvarbit" },
    { 0x38E7674292F1D402, "setobjpointteamcolor" },
    { 0x1BD3667601834D18, "setocclusion" },
    { 0x20E666FD7D1F820C, "setocclusionfromtable" },
    { 0x0EFDAFE3F63A5587, "setocclusionpreset" },
    { 0x66ECAA2E9608B257, "setoffhandloot" },
    { 0x3FA8DBD92EE49A03, "setoffhandprimaryclass" },
    { 0x06F4862B0F054729, "setoffhandprimaryclassfunc" },
    { 0x3543A1C8941DD0FC, "setoffhandprovider" },
    { 0x507E316214070ABB, "setoffhandsecondaryclass" },
    { 0x419D392BE3A3E251, "setoffhandsecondaryclassfunc" },
    { 0xE32B29D725DFBA48, "setoffhandspecialclass" },
    { 0xB824F75E75473D68, "setomnvar" },
    { 0x649F76FB2776D3AA, "setomnvarbasedonindex" },
    { 0x4FB497C6D56F9553, "setomnvarbit" },
    { 0x9A4BFB65359D7CF6, "setomnvarforallclients" },
    { 0x3BF3DE0E545416C8, "setomnvarsforperklist" },
    { 0xC8593939FC90C1B2, "setomvarviewoffset" },
    { 0x6D565CEDCFADF762, "setonemanarmy" },
    { 0xAC82E3930E35CBB9, "setonwallanimconditional" },
    { 0x41C49CA15F69A4DC, "setoperatorcustomization" },
    { 0x902C63571D5E9EC5, "setopticwave" },
    { 0xC0E6761089F48089, "setorigin" },
    { 0x735E471CC236FE9B, "setoriginbyname" },
    { 0xB75E7AA514E243A0, "setotherent" },
    { 0xCAA2BEC107E04E7A, "setoutlinekillstreaks" },
    { 0x33CD7756338D07AC, "setoutputfunc" },
    { 0x2A1098EEC6D7C7E9, "setovercharge" },
    { 0x8F675C2E8534AF45, "setoverclock" },
    { 0x06C9EBE33190ED41, "setoverkill" },
    { 0xD05C92EDFF7ED1C4, "setoverkillpro" },
    { 0x7BB6DB8D0DA2C782, "setoverridearchetype" },
    { 0xB03BB9A395E457E6, "setoverridearchetype_code" },
    { 0xA95BD468DE2A6C7B, "setoverridewatchdvar" },
    { 0x6A1B28FEF3F6E2D2, "setoverrideweaponspeed" },
    { 0xD15752C8627EF31A, "setovertimelimitdvar" },
    { 0xEB18FC9A56F75848, "setovertimeomnvarenabled" },
    { 0x4E78511F9B93AD4C, "setovertimeomnvarprogress" },
    { 0x353E10E2C1C7CC4E, "setoverwatchmodesettings" },
    { 0x478D3CE6E8CA9983, "setownerteam" },
    { 0x3E02977E8E3C4C5C, "setpainted" },
    { 0xCE73C0FB408519E6, "setparamscontextual" },
    { 0x324C4FEC50033D3B, "setparamsenemy" },
    { 0x167079294093AE47, "setparamsloot" },
    { 0xAF9CA4A9C5EE9877, "setparent" },
    { 0x50B3AFB9F94BB43F, "setpassivedeathwatching" },
    { 0x856BFD6CB508FF69, "setpassivevalue" },
    { 0x5CE4EA7705FCAD6E, "setpatrolstate" },
    { 0x1203FD6DA642B64E, "setpatrolstyle_base" },
    { 0x6AF9B75F2C2A4C9C, "setpeeklookstarttime" },
    { 0x9945C43F022BCDA7, "setperk" },
    { 0xDED67D01A8D81AC6, "setperkicon" },
    { 0xE0F765C29355B981, "setpersonaltrophy" },
    { 0x4902ACC1175088F2, "setphase" },
    { 0x1A78F587C03FB0E7, "setphasefall" },
    { 0x4710A170A5B28EAA, "setphaseshift" },
    { 0x16842731B47CF605, "setphaseslashrephase" },
    { 0x4D41F6C83B963BC7, "setphaseslide" },
    { 0x4C968D3C66785A65, "setphasespeed" },
    { 0xEA377C3C1F877892, "setphasesplit" },
    { 0x3B1BA0210D766F5C, "setphasestatus" },
    { 0x107F6BF7651369E5, "setphteamscores" },
    { 0xFC6D40AD473BF46A, "setphysicaldepthoffield" },
    { 0x0F5347A04B2C971C, "setphysicalviewmodeldepthoffield" },
    { 0xDBCE94F1CAFBAE0E, "setpickedup" },
    { 0xC685A1121D2CCE40, "setpickupcallback" },
    { 0x8C993283E22C39B0, "setpitcher" },
    { 0x074D6B724B2680F1, "setpitcherinternal" },
    { 0x42863109C16C95D6, "setpitchorient" },
    { 0x61CB04561D5F2C1D, "setplacementstats" },
    { 0xB34AC365F1D3F885, "setplacementxpshare" },
    { 0x1A6B594DBB7E6166, "setplantedequipmentuse" },
    { 0xE4770C44C3CE4CA7, "setplayeradvanceduavdot" },
    { 0x50F526AFC8D1B05A, "setplayerangles" },
    { 0x13F8D1A9167F6D73, "setplayerbcnameid" },
    { 0x4DF2B17AE7AAD12A, "setplayerbeingrevivedextrainfo" },
    { 0xD0132CE0A73A1E48, "setplayerblinded" },
    { 0x39BA37573040E75D, "setplayerbrsquadleader" },
    { 0x384FD4615E70B88B, "setplayercalloutarea" },
    { 0x4C07B934A3A87A96, "setplayerconnectscriptfields" },
    { 0x33761F22BB94BA0A, "setplayercorpsedone" },
    { 0xC97170F05A4273D6, "setplayerdata" },
    { 0x9275C2820EE4F06E, "setplayerdatagroups" },
    { 0x880994F7C8B559B7, "setplayerdownedextrainfo" },
    { 0x21D4FB0EE5CAAE71, "setplayerempimmune" },
    { 0xC02A57A2D415010D, "setplayerghost" },
    { 0x70DE5FE2E2DC6BB6, "setplayergulagindex" },
    { 0xA54BDCE4ED7028A1, "setplayerheadicon" },
    { 0x058E9D028D281235, "setplayerhudphoto" },
    { 0xB114E7FBB888D0BB, "setplayerignoreradiusdamage" },
    { 0xF0CB3197EC83816D, "setplayerinfire" },
    { 0x649BAA6A5248CEC4, "setplayeringulagarenaextrainfo" },
    { 0x325116F7DCBAE283, "setplayeringulagjailextrainfo" },
    { 0xFB1624870DF68E2A, "setplayerintelfound" },
    { 0xE60B6BC01CDD095A, "setplayerloadout" },
    { 0x44F2F0AF7A070E61, "setplayerlootenabled" },
    { 0x475C8CB65CDD3BB0, "setplayermodels" },
    { 0x9290B282C9A61170, "setplayermostwantedextrainfo" },
    { 0x2079A7E2FEDDEDCE, "setplayermusicstate" },
    { 0x706C78D3BF1FEC28, "setplayernamestring" },
    { 0x1D7A248DE7908B7F, "setplayerofffire" },
    { 0x0F3848E05814DE5B, "setplayeronfire" },
    { 0xA7DBAFFE6FA1E047, "setplayeroutoffire" },
    { 0x41B353EADD9582F6, "setplayerprematchallows" },
    { 0x8E232755197D2A79, "setplayerprogression" },
    { 0xA8042259F2288FD0, "setplayerscoreboardinfo" },
    { 0x820FFE711F3B6EFC, "setplayerselfrevivingextrainfo" },
    { 0xE767B711C64B437D, "setplayerspread" },
    { 0xE73999E36CE6B83C, "setplayersquadindex" },
    { 0x1E76E3C20A472A8C, "setplayerstat" },
    { 0x333FF7235719C5EC, "setplayerstat_internal" },
    { 0x813678D02AEDACC7, "setplayerstatbuffered" },
    { 0x5464ED65ED7C7EF9, "setplayerstunned" },
    { 0xB2904AFC25325645, "setplayersupermeterprogress" },
    { 0x9DACBD04A08885DD, "setplayerteamrank" },
    { 0xE9470B603AD4BBDC, "setplayertocamera" },
    { 0x61FDE668BE980C75, "setplayerunblinded" },
    { 0xF136367857E495B4, "setplayerunstunned" },
    { 0x5448C65A05D635D1, "setplayervargulag" },
    { 0xA74E85B52EC4B95C, "setplayervargulagarena" },
    { 0xAA59B9D1A6217C45, "setplayervargulagjail" },
    { 0x79F990E9E1F451D7, "setplayervarinrespawnc130" },
    { 0xBFAC5C9F509D3D84, "setplayerviewmodel" },
    { 0xE2C5C81E080D8624, "setplayeryolostate" },
    { 0xA36FD3C34375555D, "setplunderifunchanged" },
    { 0xE7C1CFCD2F7BCE35, "setpoi" },
    { 0xEE99017D52C090EF, "setpoint" },
    { 0x2C64880371A97ED0, "setpointbar" },
    { 0x2ADE543F6D165C56, "setpose" },
    { 0x2908BFE5BED110A4, "setposition" },
    { 0x604C4DB152696064, "setpostgamestate" },
    { 0xA01E43F1AD0D58B3, "setpotentialthreat" },
    { 0xC104C897C061F206, "setpowerammo" },
    { 0x699619BEE26F09D4, "setpowercell" },
    { 0x5B9667C6395B0163, "setpowerovertime" },
    { 0x21AF21656EE53BD7, "setpowerovertimeduration" },
    { 0xEC7A92BDB152C85B, "setpowerprogress" },
    { 0xE9ED5E7A500370A9, "setpredictedstreamloaddist" },
    { 0x32403AD0D65DB074, "setpreloadimageprimeset" },
    { 0xEBE1170C470C2D97, "setpreviewuicircle" },
    { 0x1D2398A30F1BE959, "setprintchannel" },
    { 0x4B12500B5236A578, "setpriorityclienttriggeraudiozone" },
    { 0xE829EDF790B05521, "setpriorityclienttriggeraudiozonepartial" },
    { 0xA1506814D68F6123, "setpriorityclienttriggeraudiozonepartialwithfade" },
    { 0x8774A6B2AE2A9CE7, "setprioritysnap" },
    { 0xE7628DFAFE09AB13, "setproneanimnodes" },
    { 0x0A3CD51B7331145E, "setpulsefx" },
    { 0x5F4D72604325E5BA, "setpupildiameter" },
    { 0xA7F158D4D1082DF6, "setquestindexomnvar" },
    { 0x76B7CA625B0B949B, "setquestindexteamomnvar" },
    { 0xC537981C143D7E24, "setquestrewardtier" },
    { 0x8435919A71D97B9B, "setquestrewardtieromnvar" },
    { 0xA62AAA5EC0E1D5FE, "setquestrewardtierteamomnvar" },
    { 0x3C2BC382755ED73D, "setquickswap" },
    { 0x667312AC29FF6046, "setradarmode" },
    { 0xB7A50F2F64352245, "setradarparamsonlatejoiner" },
    { 0x33A2FC6BF598AD2C, "setradarstrength" },
    { 0x2F19997BDF29036F, "setragdollnobloodpoolfx" },
    { 0xBC1EBC1064990EB5, "setrank" },
    { 0xCED94CC5FA3700F6, "setrearguard" },
    { 0xEC3594294F10D926, "setrechargeequipment" },
    { 0xF67FF7ECC72BC939, "setrecoilscale" },
    { 0xD266F04B922219C4, "setreconmodesettings" },
    { 0xA3B077CD656086F9, "setreduceregendelay" },
    { 0x50AE484838F1ECD4, "setreduceregendelayonkill" },
    { 0x61359DD53C0B7345, "setreduceregendelayonkills" },
    { 0xCAAED29D5E2E38F7, "setreduceregendelayonobjective" },
    { 0x1088B18C260594C1, "setrefillammo" },
    { 0x58483551D10B6EE0, "setrefillgrenades" },
    { 0xAFA0CD69ED079535, "setreflectshield" },
    { 0xA50054953B42649D, "setregenfaster" },
    { 0xA785E7434F110119, "setremainingteams" },
    { 0x5CBEA72C500F8B07, "setremotedefuse" },
    { 0x358D5894060283E3, "setrevenge" },
    { 0xE3F217168AC5E627, "setreverb" },
    { 0x1E2F34CBD3D68FDD, "setreverbfromtable" },
    { 0xCB9B28EE62DF34C5, "setreviveuseweapon" },
    { 0x035FC72AB0B8E1C4, "setrewind" },
    { 0xA1105879F656AC7D, "setrightarc" },
    { 0x0D701E4E56D14CA4, "setroundwinstreakarray" },
    { 0x414A56B06846E807, "setroundwinstreakspecialcamos" },
    { 0x11FBD9D92C689256, "setrshieldradar" },
    { 0x5297A94EB0DD8D4D, "setrshieldradar_cleanup" },
    { 0x941913FAB74B42DD, "setrshieldscrambler" },
    { 0x261B91E6EFD325F6, "setrshieldscrambler_cleanup" },
    { 0x47345E4A3728CCA9, "setruggedeqp" },
    { 0x99BC8B0F8FA7B76D, "setrush" },
    { 0x40557347583864A8, "setsaboteur" },
    { 0xDF1849A2B8EDA32F, "setsaveddvar" },
    { 0x0CC6D95251C15C35, "setscavengereqp" },
    { 0x1B6FE6921E64C0D6, "setscorelimit" },
    { 0x70536D05C048D490, "setscorestreakpack" },
    { 0x2A6D64858A193ADE, "setscoretobeat" },
    { 0x161C1B1977CE7B5B, "setscoutping" },
    { 0x582FD6A2485E98FC, "setscrambled" },
    { 0x582FC4A2485E7166, "setscrambler" },
    { 0x040FA029FA1E95BD, "setscrambler_cleanup" },
    { 0x425F52ADFBA63F59, "setscrapweapons" },
    { 0x7919CB50EC56EA47, "setscriptablebeamlength" },
    { 0x1B48F471BF07C010, "setscriptabledamageowner" },
    { 0x6B61992F636C116E, "setscriptablepartstate" },
    { 0xAC5111D1400850AC, "setscriptablepartzerostate_hack" },
    { 0x267233A0FF445BB3, "setscriptablepayloadmodel" },
    { 0x9CBE4A368B7FB736, "setscriptablepayloadweapon" },
    { 0x49AAC192FC5DDE1F, "setscriptablestateflag" },
    { 0x624486D3947FB7AD, "setscriptableuselargerbounds" },
    { 0x4E3812CF7CDC6C1E, "setscriptammo" },
    { 0x52324CA972893909, "setscriptedmeleeactive" },
    { 0x3EAB08675E050008, "setscriptmoverkillcam" },
    { 0x7ACC608F4E4CE3FE, "setseatedanimconditional" },
    { 0xEB525653782886EC, "setseekerattached" },
    { 0x75CC48B9927863B0, "setselectedkillstreak" },
    { 0x5191187BF22B1785, "setselfusable" },
    { 0x2BE01C6DCF4A13A6, "setselfvoinfo" },
    { 0x1E7F80699BC6819C, "setsentrycarrier" },
    { 0x1AAD380906843627, "setsentryowner" },
    { 0x94C5BBB71689F080, "setsessionteam" },
    { 0x1957FBB1D32AD949, "setsettletime" },
    { 0x0838C5067EB63142, "setshader" },
    { 0x83604DE1B59EED9C, "setshadowmodel" },
    { 0x5A60BD7538BEB40B, "setsharpfocus" },
    { 0x401F3CCD5A7DEFE4, "setshocksamtargetent" },
    { 0xEE5AB3EF2AE87D66, "setshootenttoenemy" },
    { 0x9FB4F34B41798D87, "setshootstyle" },
    { 0xF3BC2A582E390AE0, "setshowinrealism" },
    { 0x7D31B245E05CE0D5, "setsixthsense" },
    { 0xF39DB5F0C21672AE, "setsize" },
    { 0xD124F3AAFF6E2D1C, "setskill" },
    { 0xF3C26D3E51ABB52C, "setslowmotion" },
    { 0xD502B7E865941E35, "setslowmotionview" },
    { 0x4A22D301EFB3C43F, "setsmartobject" },
    { 0xDAE69E5E34D7EB8C, "setsmokewall" },
    { 0x9B5FCAA88E14F2B9, "setsniperaccuracy" },
    { 0xE4839454F3DEE902, "setsolid" },
    { 0x33A78B5E689CD88B, "setsolobuddyboost" },
    { 0xA5ECB752B75CFECE, "setsonicpulse" },
    { 0x7D2EC4F6753621BD, "setsoundblend" },
    { 0x3128F0F25C10CD07, "setsoundduck" },
    { 0x5F8997BDDD1FB192, "setsoundsubmix" },
    { 0x65E4E6C837E22764, "setsoundsubmixfadetoblackamb" },
    { 0x512E4A19FB4BC2DE, "setspacegrapple" },
    { 0xF9064D5B29FAA8AF, "setspacejump" },
    { 0xD8D52AA5725D0AD4, "setspacejumpentoverride" },
    { 0x293501AEEB97A3D1, "setspawncamera" },
    { 0x8C00562DEE9EA4BA, "setspawncloak" },
    { 0xB835644FA7207B8C, "setspawnerteam" },
    { 0xE94DDCC4A6E3DD9A, "setspawninstances" },
    { 0xB0A24C886A846306, "setspawnlocations" },
    { 0xAA26963F1E97DAC0, "setspawnnotifyomnvar" },
    { 0x610B51B1CCB40164, "setspawnpoint" },
    { 0x936A852B1A1EDC4A, "setspawnradar" },
    { 0x8E29C2B6DA4EE5DC, "setspawnselectionorder" },
    { 0x639E936CFD65E0DF, "setspawnvariables" },
    { 0x43E7417B7632599B, "setspawnview" },
    { 0xE49FCFA17706CF72, "setspawnweapon" },
    { 0x42981DAD3FBBAE66, "setspeakermapmonoto51" },
    { 0x307983198955A2D0, "setspeakermapmonotostereo" },
    { 0x58C87C06B659FEA0, "setspecialactive" },
    { 0xFBF6DE6967F9E79D, "setspecialistbonus" },
    { 0x454E358E9348B9DA, "setspecialloadout" },
    { 0xB3B9718DE8F04EAB, "setspecialloadouts" },
    { 0x6EFDAEDE8879529E, "setspectatedefaults" },
    { 0xA509701E67507278, "setspectatepermissions" },
    { 0x75AB1E920415586B, "setspectaterules" },
    { 0x75D0AB737CDBA2C0, "setspectator" },
    { 0x712E8923C1330251, "setspeedboost" },
    { 0xB5582BE2882607AD, "setspeedthreshold" },
    { 0x5A7DBCD66B4599BA, "setspotter" },
    { 0x0FC78A235EC70658, "setspreadoverride" },
    { 0xB26F37B074573E83, "setsquad" },
    { 0xD8767FEF658827AF, "setsquadgoalposition" },
    { 0x456394F62B072C79, "setsquadindex" },
    { 0x1AF33DF473C3A7B8, "setstablemissile" },
    { 0xAE802DD123FFFCDF, "setstackvalues" },
    { 0x26B4FEF183754743, "setstance" },
    { 0x6828DE3B168BD918, "setstate" },
    { 0xEEC15CC149A7926E, "setstatelocked" },
    { 0x2248960B33109F68, "setstaticuicircles" },
    { 0xD092214D39E382D9, "setsteadyaimpro" },
    { 0xBCF219A9B59C36F6, "setstealth" },
    { 0xB587029BF464099E, "setstealthmovespeed" },
    { 0x8748809F16F1752B, "setstealthstate" },
    { 0x58994A8C42BB691B, "setstealthstate_neutral" },
    { 0xDCDA5CA14D568F43, "setsteelnerves" },
    { 0xC90746B234179FBA, "setsticker" },
    { 0xEB32AD3C05A573BF, "setstoredvehspeeds" },
    { 0x34ACA198CCA75DCA, "setstrafereverse" },
    { 0xF96BD3072732555C, "setstreakcounttonext" },
    { 0xFD5D141142B0BD8A, "setstreakpoints" },
    { 0x7FB82BC892E44CAA, "setstreamsynconnextlevel" },
    { 0x7405DCFE631ACCEA, "setstunresistance" },
    { 0x161AC8F19725E406, "setsuit" },
    { 0x4E5BC736030D8E24, "setsuncolorandintensity" },
    { 0x19E634CAC61946E8, "setsundirection" },
    { 0x5074F5BC068C50E2, "setsunflareposition" },
    { 0xAABE42434CECD6C4, "setsuperbasepoints" },
    { 0xE4E951FF304A2B73, "setsuperexpended" },
    { 0xADC65AE916018957, "setsuperextrapoints" },
    { 0x185CB9D40FFCABA8, "setsuperisinuse" },
    { 0xBE14DA092008E5C3, "setsuperpack" },
    { 0x53DB2317C47E72C8, "setsupersprintenhanced" },
    { 0xC04A6B86973372A2, "setsuperweapondisabled" },
    { 0xFAA089C10429C1F6, "setsuperweapondisabledbr" },
    { 0xE34EB6A3D8650E92, "setsupport" },
    { 0x52532875B1721A9D, "setsupportkillstreaks" },
    { 0xDAB1189E217E308F, "setsuppressiontime" },
    { 0xA8D4FE651ED73AF2, "setsurfacetype" },
    { 0x5D7963D93E165B10, "setsurvivaltime" },
    { 0x2A97AB920AD14009, "setsurvivor" },
    { 0xC3668FC3CA19CAB7, "setswitchnode" },
    { 0x5BEC84D96FAE0D3B, "settacticalinsertion" },
    { 0x9C988EE49DC0E839, "settagger" },
    { 0x0482417B69ACEBDC, "settaggerinternal" },
    { 0x98122FA065B600BA, "settalktospecies" },
    { 0x03AFC7DEF30B385B, "settank" },
    { 0x2863D0CF08EF1E97, "settargetent" },
    { 0xC9FE09196CFDC2C9, "settargetentity" },
    { 0x74633AF45FE88A45, "settargetmarkerstate" },
    { 0xCF3DA09E0ED205B6, "settargetsbasedonchosenarray" },
    { 0x6E2A553C93E65214, "settargettooclose" },
    { 0x936055CDE07E8ECD, "settargetyaw" },
    { 0x3B9451DF1B3B8486, "setteam" },
    { 0xE3069AC1DB634576, "setteamasextracted" },
    { 0x88BF912AD32BDE86, "setteamdata" },
    { 0xC700BAFF9C1C727B, "setteamfortrigger" },
    { 0x9EE24231C5F4F2F1, "setteamheadicon" },
    { 0xC8F82251FA1908B5, "setteamhealthhud" },
    { 0x854E28F6406CA620, "setteamicons" },
    { 0xB8D385FB77E62FB2, "setteaminhuddata" },
    { 0x3DFB777DEDDCE7FC, "setteaminhuddatafromteamname" },
    { 0x580614D4E4D3B5A1, "setteamlastzombietime" },
    { 0x2A80E98A96D9C943, "setteammapposition" },
    { 0x414871952A53C45D, "setteammateomnvarsforplayer" },
    { 0xDEBF37F886B3F00D, "setteammode" },
    { 0x6CAF8544DFE8B6CC, "setteamorplayeronly" },
    { 0x866AFF0DD65FFC31, "setteamplacement" },
    { 0xE30C5547A42DBE1D, "setteamplunderhud" },
    { 0xB2B12127C556CA2E, "setteamradar" },
    { 0xCCDC4706A4B7C4B7, "setteamradarstrength" },
    { 0xF6CB3413BA479D99, "setteamradarwrapper" },
    { 0xFD76B98CFC5F8554, "setteamscore" },
    { 0xB4EE889EDBCCD222, "setteamusetext" },
    { 0x78C7019EAEECAB48, "setteamusetime" },
    { 0x1ECA554A47D33510, "setteleport" },
    { 0x7857251B175C0BB7, "settelereap" },
    { 0x2B808552DBB14908, "setteleslide" },
    { 0xB74822D110A663E8, "settenthstimer" },
    { 0xA74EC9AEACCB957E, "settenthstimerstatic" },
    { 0x0D111800505F0EF5, "settenthstimerup" },
    { 0x0F6C51A8C1E48F74, "settessellationvalues" },
    { 0x3B6C54DF1B0F1A90, "settext" },
    { 0x9D98E85DE45C6A0A, "setthermal" },
    { 0xC6BC665DF8024E33, "setthermalbodymaterial" },
    { 0x5B5704B38A421ECA, "setthermalvision" },
    { 0x361D72AA7A9A4125, "setthief" },
    { 0x8CAEC943F9B91CB4, "setthirdpersoncamvehicle" },
    { 0x00C3F7A9CDE24896, "setthirdpersondof" },
    { 0xD65793CE1C9C065E, "setthreatbias" },
    { 0x48D75A7952D05E38, "setthreatbiasagainstall" },
    { 0xF4F4073F15E417D1, "setthreatbiasgroup" },
    { 0x5E75891E658CB72C, "setthreatsight" },
    { 0xA36A57A3BE8303E0, "setthrowingknifemelee" },
    { 0xC5ED035DB6199386, "setthruster" },
    { 0x5E13D9F520485405, "settimelimit" },
    { 0xBEDBA48E033DD05C, "settimer" },
    { 0xB930CAD1F64874C2, "settimerstatic" },
    { 0xA088A46B718D0621, "settimerup" },
    { 0x7C9F8DF198E614E4, "settimescale" },
    { 0x8F953947DC219705, "settimescalefactorfromtable" },
    { 0x188352549CC1E52F, "settimetobeat" },
    { 0xCC67CE8E0CD1F15C, "settings" },
    { 0x364A32494AB35F30, "settings_group" },
    { 0xDE82D813B956EF1A, "settingsfunc" },
    { 0x0C7B09444AFF0104, "settingtypes" },
    { 0xB0B67620A9C0E55A, "settle_anim" },
    { 0x37219E83534FCF97, "settletime" },
    { 0x1DAB5DF51A0E5932, "settoparc" },
    { 0x1826127B80CBB35C, "settoughenup" },
    { 0xD1BE2E5C299C4949, "settoughenupmodel" },
    { 0xC6727B53ECE8D443, "settoughenupvisiblestate" },
    { 0xDF1DC5AE9E1AE37B, "settournamentwinner" },
    { 0x1EFCF4744DF9C971, "settracker" },
    { 0xE43B8C8BCF8B6694, "settransientsoundbank" },
    { 0x96FEA909F7BAC977, "settransientvisibility" },
    { 0xB4CB48C792B74A0F, "settransponder" },
    { 0xDFC24294F3B7411D, "settriggerhappy" },
    { 0x674FF8BE4EDA4278, "settriggerhappyinternal" },
    { 0x87CF4AB33BE8CA52, "setturningability" },
    { 0xCD3C6B8C2936525F, "setturretalwaysmanned" },
    { 0x1C377EF62D8CEEDC, "setturretanim" },
    { 0xF8EBF0E8F427AA54, "setturretcanaidetach" },
    { 0xD92F65F088E4E802, "setturretdismountorg" },
    { 0xAC9579627E80D8D8, "setturretfov" },
    { 0x003C464F61546D06, "setturretholdstill" },
    { 0xA2786B1EE54F29D9, "setturretignoregoals" },
    { 0x61996A195D5BBBAA, "setturretlockedon" },
    { 0x6B2BCBE7E88A0A32, "setturretminimapvisible" },
    { 0x8D2398F54716898F, "setturretmodechangewait" },
    { 0x8425C556ADD25FC9, "setturretnode" },
    { 0x589722C2DBD1F608, "setturretowner" },
    { 0x79CE232BD36F9D79, "setturrettargetent" },
    { 0x9FEFD52B33A4250E, "setturrettargetvec" },
    { 0xE09823DDF5AD4AC0, "setturretteam" },
    { 0x666CC7C58CC62500, "settweakabledvar" },
    { 0x969C02E94BEFC6DE, "settweakablelastvalue" },
    { 0x9CF75FE43ECB1252, "settweakablevalue" },
    { 0x9F23E5CCFA39B6E9, "setuav" },
    { 0x5C65B7A7F92DA697, "setuavjammed" },
    { 0x1E338CED34A30B33, "setuipostgamefade" },
    { 0xFBEDC6B81B77639F, "setuipregamefadeup" },
    { 0x700E16078D96AEBB, "setumbraportalstate" },
    { 0x3BD669272E8E6FFC, "setup_1f_kitchen_scene" },
    { 0x84928A7C6CC7B605, "setup_1f_main_door" },
    { 0xD84D167311647BF3, "setup_1f_main_door_arrival" },
    { 0x5B241182B949D0FF, "setup_1f_side_door" },
    { 0x74AB9AC0DB10C9E5, "setup_1f_side_door_anim" },
    { 0x76FB588942F4D125, "setup_1f_side_door_arrival" },
    { 0xC96807437A650087, "setup_2d_ui_images" },
    { 0xFA4ACEE78085402C, "setup_2f_bedroom" },
    { 0x1711B74E6A341C3B, "setup_2f_bravo1" },
    { 0x0279E9FE01D37057, "setup_2f_data_enemies" },
    { 0x87DCC1725FC5EC09, "setup_2f_price" },
    { 0xF307C60F8A50AFC4, "setup_2f_stairs_vo" },
    { 0x21385FC9CDEF5B24, "setup_3f_bravo1" },
    { 0x448D15FA62CE3341, "setup_3f_scene" },
    { 0x88D17001F1C3B02C, "setup_agent" },
    { 0xEAFB081BBB0157F5, "setup_aianimthreads" },
    { 0x561F8C6D6656F701, "setup_aisettings_on_plane" },
    { 0x52E0C9E00C4A6A38, "setup_aitypes_array" },
    { 0x149A46A88383A09D, "setup_allies" },
    { 0xDCE912FE5E7BBB07, "setup_ally_bombs" },
    { 0xFE425E20ABC12034, "setup_ally_flashlight" },
    { 0x597398BAED34B4FB, "setup_ally_team" },
    { 0x59A29BDC9653D6E0, "setup_alpha_breach_approach" },
    { 0x0A4F893CFCAE8DD1, "setup_alpha_breach_jumpto" },
    { 0xAE42843E45D3AA1D, "setup_alpha_breach_team" },
    { 0xA6AEE9138610BB20, "setup_alpha_sledge_team" },
    { 0xFCB0916F33E4F236, "setup_anim_guy" },
    { 0x1ED91401BCC066EF, "setup_animation" },
    { 0x1B0F709FC7367E2F, "setup_armored" },
    { 0xC397F7FF0480E305, "setup_armored_helmet" },
    { 0x4CFDE671234AD395, "setup_assault_vehicle" },
    { 0xAFDA0F5AE953BAE5, "setup_backup_respawn_points_in_verdansk" },
    { 0x901C5BD6CEA89855, "setup_blend_interaction_idles" },
    { 0xA59C5D0FFAFF42F0, "setup_bodies_for_streaming" },
    { 0xAC459C48109577D7, "setup_bomb_object" },
    { 0x668E5DF935F61083, "setup_bot_air" },
    { 0x6B85BD3926703CB4, "setup_bot_arena" },
    { 0x666F7AF935D3FE69, "setup_bot_arm" },
    { 0xD8166C556CE176E8, "setup_bot_ball" },
    { 0x913DFEF954F1646D, "setup_bot_bhd" },
    { 0xCC4924164F49DC80, "setup_bot_blitz" },
    { 0xA872C868921C6E59, "setup_bot_br" },
    { 0x4081CDAFFFD0D42C, "setup_bot_brtdm" },
    { 0x5CC1A63837453A83, "setup_bot_conf" },
    { 0x4CEAF850EEECDD99, "setup_bot_cranked" },
    { 0x800CD1F9475AB7C8, "setup_bot_ctf" },
    { 0x5458D7B748274536, "setup_bot_cyber" },
    { 0xA87BDE689226BD69, "setup_bot_dd" },
    { 0xB5997ADE33E5BE34, "setup_bot_defcon" },
    { 0xA87BE5689226CCCE, "setup_bot_dm" },
    { 0xAF3D23F96B49E2FF, "setup_bot_dom" },
    { 0x26C65CAD37E43BB3, "setup_bot_flag" },
    { 0x84EA5BC2BB721E94, "setup_bot_front" },
    { 0xB6E391999326A262, "setup_bot_grnd" },
    { 0xBBE54FF973E41CB9, "setup_bot_gun" },
    { 0xA846C96891EC0A26, "setup_bot_hq" },
    { 0xFFC454F8EA28EE71, "setup_bot_hvt" },
    { 0xF19E414987C63BCC, "setup_bot_infect" },
    { 0xE6A96F7DBF564C1F, "setup_bot_koth" },
    { 0x4EC1C4C3C04084FF, "setup_bot_lava" },
    { 0x2273F5AF91772454, "setup_bot_mtmc" },
    { 0x971EA2AFC556BBD9, "setup_bot_payload" },
    { 0xCD173D9747EC34C6, "setup_bot_pill" },
    { 0x6AC458F9F45C2A70, "setup_bot_sam" },
    { 0xA8B4CC68926510BE, "setup_bot_sd" },
    { 0x1684000309167D60, "setup_bot_siege" },
    { 0x5CA867B3CF607419, "setup_bot_sotf" },
    { 0x642D2F525ACAC710, "setup_bot_tac_ops" },
    { 0xA3759EA9B44376BC, "setup_bot_tjugg" },
    { 0x69E7B99DC8C1973D, "setup_bot_to_hstg" },
    { 0xB32520FA295B8634, "setup_bot_vip" },
    { 0xA29AE3FA1C7C3149, "setup_bot_war" },
    { 0xA289F5FA1C6A4E83, "setup_bot_wmd" },
    { 0xCF879AEBE2A2F77F, "setup_bpg_car_fire_flicker" },
    { 0x265D31BCA98E28D3, "setup_bpg_combat" },
    { 0x112707B39FD49D31, "setup_bpg_metal_detector_fire_flicker" },
    { 0xC472862DD79A9140, "setup_bravo_roof" },
    { 0x98531ACBE6F51518, "setup_breadcrumbs_to_hvt" },
    { 0xDF9B4C828EA1CED4, "setup_breadcrumbs_to_roof" },
    { 0x59C19EFA39767D5A, "setup_breath_overlay" },
    { 0xE6A5F33218D76E27, "setup_bridge_drone" },
    { 0xFCFCE09C9BEF1B2D, "setup_bridge_missile" },
    { 0x8D28A579235CE6E3, "setup_bt_and_asm" },
    { 0x3970AEF1F2A8C5D6, "setup_button_notifys" },
    { 0x1195D445480A9188, "setup_c4" },
    { 0x1195D645480A95EE, "setup_c6" },
    { 0x1195D045480A88BC, "setup_c8" },
    { 0xAF397096C70DC429, "setup_callbacks" },
    { 0x1CFC50EA85E63208, "setup_cart_animation" },
    { 0x2BF8835680317595, "setup_cell_doors" },
    { 0xC2431F4211BA1361, "setup_chair_carry_fsm" },
    { 0xA434A4C5251CE695, "setup_charges_new" },
    { 0x09D4AAEF1D881EF4, "setup_civ_groups" },
    { 0xA4EBB875C7F32985, "setup_civ_types" },
    { 0x67BE9928F621B0C8, "setup_combatant_wolf_aq" },
    { 0x3814B66F08704F82, "setup_comms_obj" },
    { 0x5F00C325666F5BC7, "setup_comms_obj_a_goals_and_cover" },
    { 0xC91555B87CEE92AA, "setup_comms_obj_b_goals_and_cover" },
    { 0xC477D7C3FB1B1CBE, "setup_comms_obj_crate" },
    { 0x9CD15E7F7DB073A3, "setup_crates_to_mark" },
    { 0x3D6275067C31E113, "setup_create_script" },
    { 0x05B4F4B9BDBFD1B6, "setup_dead_bodies" },
    { 0x0CEDA56C9BD71C19, "setup_debug_button_combos_for_player" },
    { 0xD9CAD10E53159CD9, "setup_detonator" },
    { 0xD74329E3B724C9CF, "setup_detonator_for_ges" },
    { 0x2661DC951F481D65, "setup_detonator_swap" },
    { 0xF4B14CEAD0F11CEC, "setup_downstairs_pillage" },
    { 0xA29E2F9E8E0A6D34, "setup_dpad_slots" },
    { 0x12EC5CF1E5050CFB, "setup_dummy_flares" },
    { 0x4DFA47132349BBA5, "setup_end_bus" },
    { 0x2754E3DDBC22FB84, "setup_ending" },
    { 0x057DFBED380F9EAF, "setup_enemy_for_price_clean_up" },
    { 0x8B08C076B8C490BD, "setup_enemy_sentries" },
    { 0xF1AE63548BFA68E1, "setup_enemy_sentry" },
    { 0x6D2FBD773CD9356B, "setup_enemysoldier_model" },
    { 0x2A4EA79229E996B4, "setup_enemytype_on_spawner" },
    { 0x4269524070FBB56D, "setup_exit_states_for_interaction" },
    { 0x6A436F07AB06D188, "setup_extras" },
    { 0x000E131DC09F1A70, "setup_fake_bomber" },
    { 0xE3548451E04F0D9D, "setup_fakeactor_nodes" },
    { 0xAC5FF0AAF8C19FA6, "setup_fallback_trigger" },
    { 0x20501EDB4191870B, "setup_fast_rope_anims" },
    { 0xE0F206E4CCFD50C3, "setup_fight_guy" },
    { 0x776A1358C46B6A4E, "setup_final_shot" },
    { 0x783603C9A91D36C6, "setup_final_shot_animnode" },
    { 0xE2C8D71EB4BEEEF8, "setup_fire_flicker" },
    { 0xB039A99B32A885BE, "setup_flags" },
    { 0xE1AE1560AAD0DDFC, "setup_functions" },
    { 0xF15A89ACC29961A5, "setup_gas_lab_door" },
    { 0x45F5BF73FB618FE5, "setup_gear_alex" },
    { 0x2335362F63DD4ADA, "setup_generic_human" },
    { 0x5AF140EDA596358C, "setup_global_event_objectives" },
    { 0x6CF06C6043CA17B7, "setup_grounds_dumpster_scene" },
    { 0x94F1F0B0A7B9F53D, "setup_gulag_weapon_check" },
    { 0xECD1545542CC9F2B, "setup_hacks" },
    { 0x499C7EF218C5CB00, "setup_hallway_scriptables" },
    { 0x5DD3ED0F1C0FFCB4, "setup_hardpoint" },
    { 0xB676E00DF6E8CCFD, "setup_headicon_on_jammer" },
    { 0x29D4F4819116A3DF, "setup_heli" },
    { 0xA4557C4E762FA9C8, "setup_heli_scene" },
    { 0x864C10105C763C3D, "setup_heli_starts" },
    { 0x0D35308014DED8AC, "setup_heli_starts_deep" },
    { 0x2F7F348E4961CBC2, "setup_heli_tags_bravo" },
    { 0x71E4C69C3E6A61EF, "setup_hints" },
    { 0xE24A7E09290E1071, "setup_hostage_anims" },
    { 0x34E3DEDA307EC4BC, "setup_hostage_fulton_anims" },
    { 0x01C29170E997F026, "setup_hud_elem" },
    { 0xA3ED5D44E8008708, "setup_hvt_in_heli" },
    { 0xB29BEC968CFA12A4, "setup_individual_exploder" },
    { 0xCACA5BDC5FDFDA19, "setup_infil_lights" },
    { 0xD1B3ACE7D89E1CBB, "setup_informant" },
    { 0x18678FC4D0CB2B21, "setup_initial_entities" },
    { 0xECBF6DE0CCB7B341, "setup_intel" },
    { 0x76A1BB832F2201DD, "setup_interact" },
    { 0x1FECF60C559C3288, "setup_interaction_head" },
    { 0x24E9373D0241DD1F, "setup_interrogate" },
    { 0xC4F5E0DB7F3778A7, "setup_intro_idles" },
    { 0x93B2D012AB67B278, "setup_investigate_location" },
    { 0xC563CDFBADDEF95B, "setup_irish_luck_consumables" },
    { 0x8B5B8E4F77AC747C, "setup_jugg" },
    { 0x89E2963AAEFE8650, "setup_jugg_maze_kill_trigger" },
    { 0xF72D6744D6A0FFAF, "setup_keypad" },
    { 0x22D473E77730B4E6, "setup_kyledrone" },
    { 0xA1100F24270FEA1D, "setup_laser_pointer_fsm" },
    { 0x2BAE6445E41F090D, "setup_last_enemies_standing" },
    { 0x86A1FE36BEBABCF2, "setup_level_arrays" },
    { 0x7DE5190D08A238FA, "setup_level_ents" },
    { 0x5150B6C46C05AB06, "setup_level_for_nightvision" },
    { 0x90F4C0A536D3F79F, "setup_lighting" },
    { 0x5A92678A1B36E94A, "setup_lighting_dvars" },
    { 0xE4C2DBA0D52C2516, "setup_lights" },
    { 0xE17EA045DC7993BD, "setup_lights_in_region" },
    { 0x0952AF38D7538A35, "setup_linked_collision_entities" },
    { 0xAB091B47264BFC67, "setup_main_door_jumpto_damage" },
    { 0x319C211AC3D1B86B, "setup_manned_turret" },
    { 0x5B10E6324EADD421, "setup_manual_goalpos" },
    { 0x783846D1D8EC3377, "setup_map_specific_devgui" },
    { 0x5CC8C56B7A11CE44, "setup_marine_allies" },
    { 0x7C2BB5DBE7928C9B, "setup_mine_cart" },
    { 0xA6ADDA9E474BE238, "setup_mine_carts" },
    { 0x585A3EA4342A1DB2, "setup_minecart" },
    { 0x075B0C17996048F3, "setup_miniguns" },
    { 0x104F1D05D13449A4, "setup_model" },
    { 0x1804BD93A21C87DC, "setup_module_groups" },
    { 0x2737D0537DD72837, "setup_named_ai" },
    { 0xE7438AF46866F4C2, "setup_named_ai_after_spawn" },
    { 0x466787C341FA6877, "setup_named_vehicle" },
    { 0xBAA79618B26C1F75, "setup_names" },
    { 0x474CCE4081E21F33, "setup_next_advance" },
    { 0xB7397CBD7B7D56CF, "setup_noisemaker_pickups" },
    { 0x26C68E6CA3F99677, "setup_nuke_vault_door_open" },
    { 0x1E55CB2331EDAB24, "setup_office_door" },
    { 0x6789A408AE7C2C8D, "setup_open_struct" },
    { 0xD1DA1F16C92C23BA, "setup_overheat_sound_org" },
    { 0xAED6281C6C12B30B, "setup_overheat_sound_orgs" },
    { 0x7BD3D0AC3E3A0A41, "setup_overlook_scene" },
    { 0xBB5998E4730AEE42, "setup_painter_group" },
    { 0x1F3FEFEEB6EB3A35, "setup_personalities" },
    { 0x55E58EC3C9A92123, "setup_pilot" },
    { 0x339E668845CF5D50, "setup_place_soldiers_on_truck" },
    { 0xF508F8764FCC34FD, "setup_play_test_name_to_team_id_mapping" },
    { 0x8984859E13F15946, "setup_player" },
    { 0xF9E107BEDEA0D9CE, "setup_player_animnode" },
    { 0xD870A464473BD2D4, "setup_player_ar" },
    { 0x3886640A07B0D3B4, "setup_player_deaths" },
    { 0x7F76D743E72CC1F8, "setup_player_door_wedge" },
    { 0x25EED268DCA60C53, "setup_player_killstreak_loadouts" },
    { 0xC992CA967AB68E99, "setup_player_last_frame" },
    { 0x5B53596814398867, "setup_player_marks" },
    { 0x43636287F218D013, "setup_player_rig" },
    { 0x53C5562884D0F298, "setup_player_silenced_pistol" },
    { 0xB0C83C4B660A66B2, "setup_player_stealth" },
    { 0x8AE019CE5274ACCE, "setup_player_vehicles" },
    { 0x67488C34DF12292E, "setup_player_weapon_models" },
    { 0x1F03A8DDBE474816, "setup_post_bomb_crash" },
    { 0x5890654BA52B5A17, "setup_post_cinematic" },
    { 0x468BBC6A560A4A9E, "setup_price_silenced_pistol" },
    { 0x3BBAFE0B5366DEF6, "setup_price_smg" },
    { 0x6B62E4AB0D9D4532, "setup_prison_break_spawn_modules" },
    { 0xFEECF4381E2ADA6F, "setup_prompt_knife" },
    { 0xD94AC692BCE6EE60, "setup_radio_tower_uavs" },
    { 0x7A8AD8087CA3F186, "setup_raid_infil" },
    { 0xD1DAA5BEE85A53AA, "setup_rarity_ui_images" },
    { 0x9FB8A9EE62752634, "setup_revive_icon_ent" },
    { 0xE62747BBEB75A71A, "setup_router_objective" },
    { 0xC1787868C35F35A0, "setup_run_n_gun" },
    { 0xCFD20396AD81DC37, "setup_script_collision" },
    { 0x3DA5FB276A8846F1, "setup_scriptable_car" },
    { 0x0D009F730E5D6452, "setup_scriptable_lights_for_compile" },
    { 0x67A27BEDCC27F774, "setup_scripted_car" },
    { 0x9377946CC6FF3216, "setup_scripted_door" },
    { 0xF85412FCD507BAEA, "setup_search_anims" },
    { 0xFA0F9C0C31A4B601, "setup_search_area" },
    { 0x950AA0D12D3D3CB6, "setup_search_areas" },
    { 0xF8CE6DB82092C037, "setup_search_points" },
    { 0xF4C926954486E98F, "setup_soldier_stealth" },
    { 0x05E15D3C9C6AF529, "setup_spawn_skits" },
    { 0x92B533B71F7422E6, "setup_spawn_struct" },
    { 0x238352F2D7827931, "setup_stair_b" },
    { 0x31BA649371B0BD26, "setup_stealth_funcs" },
    { 0x837FF75991C4F43E, "setup_support_marines" },
    { 0x0B7CBA40A8ADA9C7, "setup_switch" },
    { 0xFB90C42F6E3EE2FF, "setup_target_anims" },
    { 0xE41D4C6A8500CC83, "setup_tea_room" },
    { 0x9018F8FA32983AE4, "setup_techo_lmgs" },
    { 0x9571FB9E85B2DB93, "setup_teleport_rooms" },
    { 0x071BBDFC7756E771, "setup_temp_car_stuff" },
    { 0x8148910538DB7DAD, "setup_test_computer" },
    { 0x3C1616DB570FCCCB, "setup_trafficking_soldier_anims" },
    { 0xE2096986429938DD, "setup_train_array" },
    { 0x52229F4A27C95056, "setup_train_entarray" },
    { 0xAB629DC07941B44E, "setup_train_entarray_composite" },
    { 0x4999CBF221E1CF93, "setup_trap_consoles" },
    { 0xADAB8C487785D8F9, "setup_traps" },
    { 0x2AE96C3CED88DFFC, "setup_traversalassist" },
    { 0x36F582391E6BFBE9, "setup_trigger_spawn" },
    { 0x6F94DAA59992A0EF, "setup_truck_lighting" },
    { 0x7BBEA0F940F963C9, "setup_tunnel" },
    { 0x52E73B253DA1EE31, "setup_turret" },
    { 0x50D1BAB5ECB76F80, "setup_turret_a1" },
    { 0x50D1BDB5ECB77619, "setup_turret_a2" },
    { 0x05057CACCBAF6120, "setup_turret_anims" },
    { 0xBD116CC9449A4544, "setup_tut_zones" },
    { 0x055DAD5C2170D114, "setup_van_lights" },
    { 0xFFD932D0280DE20F, "setup_vehicle_wave_by_player_count" },
    { 0xB43EBB94DA7EEC9A, "setup_vehicles" },
    { 0x877FB2927FDCFFEF, "setup_vfx_int_vs_ext" },
    { 0x8B2EC6F0D053C290, "setup_vista_driving_boats" },
    { 0xF6A168262A71B3E6, "setup_vo_civs" },
    { 0x0640DCD31C86D446, "setup_volumes" },
    { 0x4FD1D3E0B7B5D6EA, "setup_waitforallhacks" },
    { 0x264944F87092B722, "setup_wave_spawn_zone_disable" },
    { 0xACCE0E2DD648FBD1, "setup_wave_vars" },
    { 0xB6A49E01016CFB5B, "setup_waves_truck_section" },
    { 0x837786FEF9AD594C, "setup_weapon_spawns" },
    { 0xE2E41E2ABC9D2C45, "setup_weapons_at_pos" },
    { 0x4087109439E5620A, "setup_wire" },
    { 0xAB66420B5E911DB7, "setupagent" },
    { 0x67709345868960C7, "setupaim" },
    { 0xB86402D2CED91651, "setupaiming" },
    { 0x13274C8E4B8F96ED, "setupairpath" },
    { 0xB647305E07F5E629, "setupareabrushes" },
    { 0xEA47134983724BB5, "setuparena" },
    { 0x61F24249DC7D29E9, "setuparmor" },
    { 0x562F53DD491C371E, "setupbarriers" },
    { 0x11B55684E523D552, "setupbaseareabrushes" },
    { 0x4921E351D53B3704, "setupbases" },
    { 0x8CADC383F01E1836, "setupblueprintpickupweapons" },
    { 0xCDF761BF847617D8, "setupboardroomcode" },
    { 0x186A497968D0EDA1, "setupbobbingboat" },
    { 0xBB95EDCC6DEA5CFD, "setupbobbingboatmultiple" },
    { 0x1BA96F1B51C4BDF1, "setupbombzones" },
    { 0x63D54E46FCB4F490, "setupbradleys" },
    { 0x0CFE0314B09390E1, "setupbrsquadleader" },
    { 0x391A2A8B09FA1AEE, "setupbtaction" },
    { 0xC3EB41383343A57A, "setupbtmflags" },
    { 0x6453BE2DCCAF6792, "setupcallbacks" },
    { 0x0CC050EF7340D2A5, "setupcaptureflares" },
    { 0x719FD10098EF3119, "setupcellspawn" },
    { 0x9A2CC28BC671B842, "setupchallengelocales" },
    { 0x4D90B26FED9FC3A5, "setupcirclepeek" },
    { 0x44E502D64A3E7995, "setupcommoncallbacks" },
    { 0x1152533FC229456F, "setupconfigentities" },
    { 0xF5941F27B7B3C4ED, "setupconfigs" },
    { 0xD931799D0D4A5744, "setupcqbpointsofinterest" },
    { 0x54A30B457871F3AF, "setupdamage" },
    { 0xAF60526C7DC65F26, "setupdamageflags" },
    { 0x0EDE64425AB4A406, "setupdamagetriggers" },
    { 0xB7AD9D59B7BF3309, "setupdestructibledoors" },
    { 0xD486052C3D5605ED, "setupdestructiblekillcaments" },
    { 0x50C62BE891B4FE82, "setupdestructibleparts" },
    { 0x18653A548A13D7C4, "setupdevguientries" },
    { 0xBF15FB96D2387529, "setupdogtags" },
    { 0x9236F245A59E89BE, "setupdom" },
    { 0x1D040E055E7D0335, "setupdomendflag" },
    { 0x9CEAC0122DA9904F, "setupdomplates" },
    { 0x2EAA2C02BDE5F13E, "setupdooropen" },
    { 0xD1DD7C96441C4EBC, "setupdynamicladders" },
    { 0xB663CA58DB2127D8, "setupelevatordoor" },
    { 0x97BDE2FD5972A2AA, "setupendzones" },
    { 0x3A401D6BFF59358C, "setupevenlydistributedpads" },
    { 0xF18F871D9681B904, "setupexploders" },
    { 0x64B2D4F4C4C7E476, "setupexplodertriggers" },
    { 0x42592BB6ED234FD8, "setupextractgoal" },
    { 0x17A7BD6873A056D2, "setupextractioncallouts" },
    { 0xCFE8C9F049E3A0D1, "setupextractionsites" },
    { 0xAA3AF4721C099726, "setupextractnumhud" },
    { 0xE4DD0DF960DC40B8, "setupfans" },
    { 0xECBB4CFCD24F607A, "setupfireteamleader" },
    { 0x02D0063FDDFD2ADD, "setupflags" },
    { 0xEB8C8949F6C4AB5C, "setupfordefusing" },
    { 0x31F7D5621E0433B2, "setupforplanting" },
    { 0x3FDC6A02850D2F4F, "setupglobalcallbackfunctions_sp" },
    { 0x97E942311AD33608, "setupglobalkillcount" },
    { 0x1D58424600DC1CE6, "setupgoalvisualsforjugg" },
    { 0x6200DDDC4DE826E1, "setupgrenades" },
    { 0xD16C38DFB6D520C7, "setupgulagtimer" },
    { 0xD3EA36040016770C, "setuphalodropplayer" },
    { 0x06E326ABE6B78C1A, "setuphelilandingposition" },
    { 0xA733730795E2A94D, "setupheliobjective" },
    { 0x502F28E67002D80B, "setuphelitimer" },
    { 0xCE01B045D21833EA, "setuphqs" },
    { 0xCDEFAB45D203EB8F, "setuphud" },
    { 0x33DAAAF9EC188686, "setuphudelements" },
    { 0x527A7A0D0B5B9BE3, "setuphudelemninfilblack" },
    { 0x24400C2DAD0F6DFB, "setuphudelemninfilcover" },
    { 0x353394DECD8C3775, "setuphumanpowers" },
    { 0x28A9223B7CD60EF1, "setuphunters" },
    { 0xDC9E633389F2B9D9, "setupinfectedairdroppositions" },
    { 0x3A819F70CED1F993, "setupinitialstate" },
    { 0xB2DA9E4B35BBEA5A, "setupinputnotifications" },
    { 0x50CC801D423FD537, "setupkeybindings" },
    { 0xB5A528DDA11CC0BA, "setupkillcament" },
    { 0xA414B5F5EFC310FB, "setupkillcamui" },
    { 0x4F37C0DD15339A43, "setuplocalelocation" },
    { 0xA559118098FBEB72, "setuplookatfornotetrack" },
    { 0x1309402833ECBBBB, "setupmapquadrantcornersandgrid" },
    { 0xFD9ADBB70FE95654, "setupminesettings" },
    { 0x1D2145D24B9E39F9, "setupminimap" },
    { 0x3944753C1F894EA6, "setupminimapmaze" },
    { 0xB922F424923E0504, "setupmission" },
    { 0x4C55F9F80ED518D8, "setupmissionwidget" },
    { 0xC984AAC48024A03F, "setupmodel" },
    { 0xC1636373A26045E0, "setupmodel_bypass" },
    { 0xDB9F808D14736F03, "setupmortarmodelanimscripts" },
    { 0x5F678E7FC9E225C5, "setupmortarplayeranimscripts" },
    { 0xDEAA03C75168DD52, "setupmotionwarpforturn" },
    { 0x73C70D1B5522AFFA, "setupnextobjective" },
    { 0x7E9525290A6C6E15, "setupobjective" },
    { 0xF601948C66DF2289, "setupobjectiveicons" },
    { 0x55805C2AA56A6698, "setupobjectiveloops" },
    { 0xCE6F1F41EC76CA52, "setupobjectives" },
    { 0x909F60ED6B93E9CC, "setupobjectobjective" },
    { 0x018D257B787C73C1, "setupoptimalreadinghint" },
    { 0xAE78DE778D9C4B84, "setupoutofrangewatcher" },
    { 0x3AA63C082CE08613, "setupovercookfuncs" },
    { 0xC928726DEA31E5EB, "setupoverridearchetypeprioritytable" },
    { 0x880AE99AD0B18D44, "setuppingspecificvars" },
    { 0x1044AAE99269FE5A, "setuppingwatcher" },
    { 0xB32552A3801D51BC, "setupplayerasjugg" },
    { 0xA714CCD8765229D8, "setupplayermodel" },
    { 0xB9C57821C6C2DFD3, "setupplayerspawnsightdata" },
    { 0x5B4BBF8D7B6B3F93, "setupplunderextractionsites" },
    { 0xEEB45395518ABA98, "setuppotgui" },
    { 0xB96437456633E90B, "setupprop" },
    { 0xEB4F059FC42A72E8, "setupprops" },
    { 0xD9B1868A53A847AB, "setupquantities" },
    { 0xA934CAE49DCCC886, "setupradios" },
    { 0x84A0E97F58DA6CEF, "setuprandomlooktarget" },
    { 0xD45A595AD28B5807, "setuprandomtable" },
    { 0xE0237B15540E2366, "setuprope" },
    { 0x6B40D7B3AAD896C7, "setuproundstarthud" },
    { 0x50776939A9BE9702, "setuprpgcaches" },
    { 0xA3FE965ECA9C37F4, "setupsavedactionslots" },
    { 0x7D27458C71F2C652, "setupscriptablevisuals" },
    { 0x01525FEC959247CB, "setupselfvo" },
    { 0xBBEF2CC44B0EA98B, "setupsfxobjs" },
    { 0x45E9B63CF87632AA, "setupshootstyleadditive" },
    { 0xCA86D38C7ECB766D, "setupsnowballs" },
    { 0x2B55F5629D082FE4, "setupsoccerball" },
    { 0xE6D2F4CB5D3EC24A, "setupsoldieraitype" },
    { 0x43DFA2D53382A246, "setupsoldierdefaults" },
    { 0x6A2F8D55FDF50589, "setupspawnareas" },
    { 0x963D96627059925B, "setupspawninfluencezones" },
    { 0x57289966AD6FA633, "setupspawnlocations" },
    { 0x3D45799D024E58C2, "setupspecialdaypickupweapons" },
    { 0x184F62792FC411CF, "setupstartweaponsattachments" },
    { 0x34257B2C29314B28, "setuptankendgoal" },
    { 0x87D7188C1A61D304, "setupteamoobtriggers" },
    { 0x27A3EA1E0A2B41F0, "setupteamplunderhud" },
    { 0x8415F4927D35800E, "setupteamplunderleaderboard" },
    { 0xAEF23552BA57827E, "setuptimelimit" },
    { 0x802A0D2814C2DF90, "setuptrain" },
    { 0x5DFA7198714E5FD5, "setuptraversaltransitioncheck" },
    { 0x157512DB9F58BD61, "setupuniqueanims" },
    { 0x12F4378437AA16AC, "setupvehiclespawnvolumes" },
    { 0x653E9B4C7B7C6DA4, "setupvfxobjs" },
    { 0x27ECBA9F011EEDE7, "setupvisuals" },
    { 0xB230B6899E6CF2F7, "setupwait" },
    { 0x0C458ECF48BBAB88, "setupwallrunaimlimits" },
    { 0x607030C6EB8B8605, "setupwallrunifneeded" },
    { 0xC723130F9939F479, "setupwaypointicons" },
    { 0xBEFCDB4E31070002, "setupweapon" },
    { 0x70EFDA1A153E16D4, "setupweaponattachmentoverrides" },
    { 0x0D16BDF5D265F883, "setupweapons" },
    { 0xE25E14ED4C2EBFD4, "setupweaponvars" },
    { 0x6646A4CD18097CCF, "setupx1timelimit" },
    { 0x09EDAC9DC0637D1E, "setupzombiepowers" },
    { 0x567D3E3F50944BB0, "setupzombierespawnglobaltimer" },
    { 0x94D25DFE40CDA6CB, "setupzoneareabrushes" },
    { 0x8987477CF9C81689, "setupzonecallouts" },
    { 0x673EC71F3273A8BD, "setupzones" },
    { 0xBF8D5B8670AC68AF, "setusablebyteam" },
    { 0xF664B12FBD6EAEE8, "setuseanimgoalweight" },
    { 0x4BDB0ECA211A6030, "setuseanimgoalweight_wait" },
    { 0x09711A1F05CF6B8F, "setusecommand" },
    { 0x1FFBD733E2F27609, "setusefov" },
    { 0xB983AE4FF89F76FE, "setusehideprogressbar" },
    { 0x8650C50F3FF534CC, "setusehinttext" },
    { 0xD1C9AE7652D6693B, "setuseholdduration" },
    { 0x0DD6E9FEBDBCBF62, "setusepriority" },
    { 0x6DCD687726707784, "setuseprioritymax" },
    { 0xF72374CB0E5CA50B, "setuserange" },
    { 0xE39580D1DE07015D, "setusetext" },
    { 0xA815C7D1B1E01A77, "setusetime" },
    { 0xF0DADAE659A4774C, "setusewhenhandsoccupied" },
    { 0xDB05A71D3ACEC2E2, "setusingarmorvest" },
    { 0x858E93D8DBFA1CFF, "setusingremote" },
    { 0x8CF7616C7D13FD05, "setvalidreviveposition" },
    { 0x3B4E7C8BE54B470C, "setvalue" },
    { 0x7C60A3A55EDCCEC5, "setvehgoalpos" },
    { 0x79E111CC69084C6A, "setvehgoalpos_wrap" },
    { 0x7E91FCDEC137D894, "setvehiclearchetype" },
    { 0xBFFEB782D13FB111, "setvehiclecamo" },
    { 0x4E8B69A9A1648F74, "setvehicledef" },
    { 0x5D5AD91FAD1D215B, "setvehiclefx" },
    { 0xDD96FF37208C07C7, "setvehiclehornsound" },
    { 0x7EFF9C83345619BC, "setvehiclelookattext" },
    { 0x624D39582FF60E44, "setvehiclesticker" },
    { 0x04EB579A54436DF4, "setvehicleteam" },
    { 0x497B2C1AC502A8BB, "setvehicleturretcamo" },
    { 0x7B662283738C9122, "setvehicleturretsticker" },
    { 0xEA67DBF5ACDC45EE, "setvehweapon" },
    { 0x04D8F5B6AAE712D0, "setvelocity" },
    { 0xE1D5057A96E5F98C, "setviewangleresistance" },
    { 0x96566C64A9FE1054, "setviewkickoverride" },
    { 0xF0153AA1332BD986, "setviewkickscale" },
    { 0x64A1C02BA23228AF, "setviewmodel" },
    { 0x6DE467C766D94908, "setviewmodeldepth" },
    { 0x63EC7B1BEF6E50F3, "setviewmodeldepthoffield" },
    { 0x7ABDCA2AC7D3C9B5, "setviewoffset" },
    { 0x5696CED92FD9F6F2, "setvisibleteam" },
    { 0x288F2835E641B009, "setvisionparams" },
    { 0xA35B7098A9FC5D74, "setvisionsetnaked" },
    { 0x773D10A3AB4782FC, "setvolumegrappledisable" },
    { 0x81FBBF1E63368E0A, "setvolumesnapenabled" },
    { 0xF6F2EEDCF777C123, "setvolumeupvector" },
    { 0xFA6E5F980707F05D, "setvolumewalkingenabled" },
    { 0x8C6A2A94E622301A, "setwaitnode" },
    { 0x54E081BA0ADDDAB1, "setwaitspeed" },
    { 0xD6F859239CD88032, "setwaitweaponchangeonuse" },
    { 0x0B5F4B996B782F3C, "setwalllock" },
    { 0x5A0996AFDC9FC0FF, "setwatersheeting" },
    { 0xEF03D55BDD173010, "setwaypoint" },
    { 0x21D4156991D66F94, "setwaypointbackground" },
    { 0x040BEA39B48B8282, "setwaypointedgestyle_rotatingicon" },
    { 0x8CE45E6EA9AC90CC, "setwaypointedgestyle_secondaryarrow" },
    { 0x9CC666BDCF0B5529, "setwaypointiconinfo" },
    { 0x7DC880952AD6057C, "setwaypointiconoffscreenonly" },
    { 0xA574CC0E1CAFFF63, "setweaponammoclip" },
    { 0xD9F66597CF2E088D, "setweaponammostock" },
    { 0x4C1A4789D30520DA, "setweaponcarry" },
    { 0xE458BCE4B5CE90DD, "setweaponhudiconoverride" },
    { 0xA600AD03C0F25617, "setweaponhudiconoverrideammo" },
    { 0xA07C2A7327D570C2, "setweaponlaser" },
    { 0x6E7E399B55772B95, "setweaponlaser_func" },
    { 0xBE445B575C77329E, "setweaponlaser_internal" },
    { 0x6548F9A3AD584773, "setweaponlaser_monitorads" },
    { 0xC526FB216F96467D, "setweaponlaser_monitorweaponswitchstart" },
    { 0x0149C91D20D577B2, "setweaponlaser_onweaponswitchstart" },
    { 0xA6527E6B7A280640, "setweaponlaser_waitforlaserweapon" },
    { 0x49F7B4FDC0FE53E4, "setweaponmodelcamo" },
    { 0x14C2B3D34BC0C585, "setweaponmodelvariant" },
    { 0xA83B47FD366B5CE2, "setweaponsfree" },
    { 0xCFA836C1D552F4AD, "setweaponstat" },
    { 0x5E6741E505152D99, "setwidth" },
    { 0xF0E56E9930050301, "setwind" },
    { 0x95685CC084D4DB60, "setwinner" },
    { 0x036490874D74D8DC, "setwinningteam" },
    { 0x6343E5C5363EAA37, "setworldloot" },
    { 0x337C3FF826F0C31D, "setworldupreference" },
    { 0x58FCD0F6D5ACFDC9, "setworldupreferenceangles" },
    { 0x26C369289B0B64FC, "setworlduptrigger" },
    { 0x24A6E0FA257EE624, "setworsenedgunkick" },
    { 0xAA345F49E9A09B68, "setwristwatchtime" },
    { 0x04602A77167FE886, "setxenonranks" },
    { 0x58C627E2341302E5, "setyawspeed" },
    { 0xE9487C34D030B9CF, "setyawspeedbyname" },
    { 0x7D2A7EDF5C4ED9FE, "setzombiestate" },
    { 0x4EDFD5BC5F7395A6, "seventyfivepercent_music" },
    { 0xBE1FEB030AD6AAB3, "sex" },
    { 0xBE12E9030AC891C8, "sfx" },
    { 0x74C496CBCE239E84, "sfx_airbase_alarm" },
    { 0x19D8A399EEDB21E0, "sfx_alley_gas_walla" },
    { 0xF64FA945E88C4DB0, "sfx_amb_car_int" },
    { 0x93B7F65AA6EBFEC1, "sfx_bar_escape_door" },
    { 0xA9FF85BE6B1270DF, "sfx_barkov_heli_flyover" },
    { 0xAB67F888434B52C1, "sfx_barrier_open" },
    { 0x6DEE0F318B70F352, "sfx_basement_door_fire" },
    { 0xBD661E3EF0EE6E39, "sfx_bombvest_expl_finale" },
    { 0x5C6D598116B911A5, "sfx_bottom_hill_trucks" },
    { 0x5D50A1BF21294300, "sfx_br_flare_phosphorus" },
    { 0x11DB6B19788732C2, "sfx_buddy_down_debris" },
    { 0x1C6D89C558E487DF, "sfx_buddy_down_fire_volley" },
    { 0xA60ADDF18CE061A0, "sfx_bunker_breach" },
    { 0xC45EAF117A969C55, "sfx_bunker_heli_outro" },
    { 0xCFC65D40DE11C98F, "sfx_buried_debris_lp" },
    { 0x12EE5FF086E96294, "sfx_buried_footsteps" },
    { 0x438085BE3FE6F861, "sfx_buried_walla_lp" },
    { 0x103E274063DCA618, "sfx_cafe" },
    { 0x558D8EC566A46FE2, "sfx_car_bomb_expl" },
    { 0x254FAF832C6F1D07, "sfx_car_door_open" },
    { 0x295F3372F4BBFEFE, "sfx_car_door_slam" },
    { 0x7447B2A5ABB0E60B, "sfx_courtyard_door_breach" },
    { 0x4435083DE10A5A38, "sfx_dist_battle" },
    { 0xA1772AFE042CD379, "sfx_distant_airplane" },
    { 0x8B09AAF994C1C445, "sfx_dumpster_land" },
    { 0x92B4B6CAA8DB5BC3, "sfx_dumpster_mantle" },
    { 0x9756C8E05C4D8628, "sfx_ext_walla" },
    { 0xF37518E0939AC4DA, "sfx_falling_debris" },
    { 0xE91BDA93535C833E, "sfx_fire_context_disable" },
    { 0x06C5A074239C1E75, "sfx_fire_context_enable" },
    { 0xD703CCAE7D74A58B, "sfx_flag_burning" },
    { 0x044AD3CA1963D7A4, "sfx_glass_crack_01" },
    { 0x044AD6CA1963DE3D, "sfx_glass_crack_02" },
    { 0x044AD5CA1963DC0A, "sfx_glass_crack_03" },
    { 0x044AD0CA1963D10B, "sfx_glass_crack_04" },
    { 0x044ACFCA1963CED8, "sfx_glass_crack_05" },
    { 0xD462A275D68D9230, "sfx_glass_crack_06a" },
    { 0xD462A575D68D98C9, "sfx_glass_crack_06b" },
    { 0xD462A475D68D9696, "sfx_glass_crack_06c" },
    { 0x0F9DF347C61F8B9D, "sfx_hadir_truck" },
    { 0xBD936982CAAB017A, "sfx_heli_ramp_center" },
    { 0x5A0CD0EC957477BE, "sfx_heli_ramp_left" },
    { 0x3768E667F6BC8F33, "sfx_heli_ramp_right" },
    { 0xE9E0BE2563EEDEC2, "sfx_hometown_door_open_filtering_change" },
    { 0x3A6BA72C3FA15617, "sfx_ied_expl" },
    { 0x5DBFBE011A9CF248, "sfx_impact_shellshock" },
    { 0x35AAD212ABF3F25E, "sfx_infil_hackney_heli1_rope" },
    { 0xAE918C1D60612C8D, "sfx_infil_hackney_heli2_rope" },
    { 0x49CE3E0C36317D52, "sfx_intro_chaos" },
    { 0x85F04DE17EBCF60D, "sfx_intro_collapse" },
    { 0x116077B3FA0013DF, "sfx_jet_flyby" },
    { 0x6877051F8AF08706, "sfx_jets_bomb_expl" },
    { 0x1FA99004E5DD4F57, "sfx_jumpdown_amb_change" },
    { 0x27D26E17DC7F8524, "sfx_lantern_fire" },
    { 0xE2C1D042127B47AD, "sfx_last_roll" },
    { 0xE25FD4B8C44FA326, "sfx_lights_off" },
    { 0x8BBABA6BA396948C, "sfx_lights_on" },
    { 0x3F20A35B079EF1C7, "sfx_mayhem_beam_crack" },
    { 0x16655D782412DA3E, "sfx_mayhem_corner_collapse" },
    { 0xAA074532949312DA, "sfx_misc_field_expl" },
    { 0xEDCCA00B5D314D2A, "sfx_mortar_setup" },
    { 0x5FC5C05B729D6F77, "sfx_piccadilly_intro_mix" },
    { 0xDFD30CD8AF60C1B7, "sfx_pipes_heli_flyover" },
    { 0x654C60786310F774, "sfx_plr_van_getout" },
    { 0x83CB3B1FEEA5AEF3, "sfx_pre_explo_mix_change_1" },
    { 0x83CB3C1FEEA5B126, "sfx_pre_explo_mix_change_2" },
    { 0x8D74FD799B35026B, "sfx_random_mvmt_behind_door" },
    { 0x5D0707482846FFD9, "sfx_revive_lp" },
    { 0x1E343F5EEFD4422F, "sfx_russians_shoot" },
    { 0x1B3FC67982F8C8A9, "sfx_safehouse_backpack_expl" },
    { 0x60A6F657457143DB, "sfx_safehouse_heli_expl" },
    { 0x2D218F56327EB378, "sfx_safehouse_truck_expl" },
    { 0xE011F2A9B10858CF, "sfx_scaffolding_mayhem" },
    { 0x02F0FFD8C1A675D5, "sfx_sedan_passby" },
    { 0x7DF0BE178A9914A5, "sfx_smoke_grenade_smoke" },
    { 0x7CCCFAD7D48E0B69, "sfx_spawn_crickets" },
    { 0xCA01DCAC4AF9FE84, "sfx_stop_oil_barrel_stream" },
    { 0xF1966C98034AE48F, "sfx_stop_water_barrel_stream" },
    { 0xCD1440342A4324E4, "sfx_tarp_mayhem" },
    { 0x29F88232A287E95E, "sfx_taxi_passby" },
    { 0x5B3814AFA53B6277, "sfx_technical_drive_in" },
    { 0x95B11CD13BD4208A, "sfx_technical_resume" },
    { 0x61D6ED36C6D33DE5, "sfx_technical_stop" },
    { 0xE4B943A295331403, "sfx_townhouse_audio_3rd_floor_buddy_down_look_at" },
    { 0x5BFBCEF0FD9CEF01, "sfx_townhouse_audio_3rd_floor_sound_look_at" },
    { 0xFD4A876248FE9A8E, "sfx_townhouse_door_audio_2nd_floor_bathroom" },
    { 0x7B8DB3A1902929F0, "sfx_townhouse_door_audio_2nd_floor_bedroom" },
    { 0xD64D558578725587, "sfx_townhouse_door_audio_2nd_floor_bedroom_bash" },
    { 0xFF719CAD7E6222B6, "sfx_townhouse_door_audio_3rd_floor_price" },
    { 0xD3D2C6DE2F193E0A, "sfx_townhouse_door_audio_3rd_floor_python_enter" },
    { 0x6B88727D2E29BA95, "sfx_townhouse_door_audio_3rd_floor_python_pre" },
    { 0xF5CB7762C661189A, "sfx_townhouse_door_audio_4th_floor_bathroom" },
    { 0x047F52B5763A8A26, "sfx_townhouse_door_audio_attic_open" },
    { 0x63363FE2D32B4EAD, "sfx_townhouse_door_audio_attic_prep" },
    { 0xC639F2C253ADEDA5, "sfx_townhouse_door_audio_backyard_gate" },
    { 0xE88EF135902C4B7E, "sfx_townhouse_door_audio_basement_enter" },
    { 0x63E22844832A5BE3, "sfx_townhouse_door_audio_basement_prep" },
    { 0x5D14ADE4F026509A, "sfx_townhouse_door_audio_front_open" },
    { 0x570E4E5858D4E8B9, "sfx_townhouse_door_audio_kitchen_girl" },
    { 0xC997E07B7B24725B, "sfx_townhouse_door_audio_kitchen_girl_pre" },
    { 0x6830D268ADD70A19, "sfx_truck_crashed_loops" },
    { 0x51CD410403AE7FD2, "sfx_trucks_drive_in_01" },
    { 0x51CD400403AE7D9F, "sfx_trucks_drive_in_02" },
    { 0xE9BA7B73D074CB46, "sfx_tunnel_collapse_02" },
    { 0x41C215261342C14C, "sfx_unknown_car" },
    { 0x961E8E469D7AC6F8, "sfx_van_door_open" },
    { 0xF29E093EC977E403, "sfx_van_passby" },
    { 0xFE079F3F6234486E, "sfx_veh_main_gate_truck_03" },
    { 0xE0FFEE4CD1AB0147, "sfx_veh_main_gate_trucks" },
    { 0xB08C1BC052086581, "sfx_veh_side_gate_trucks" },
    { 0xD2BE7B16EFF9AA8C, "sfx_wp_01" },
    { 0xD2BE7E16EFF9B125, "sfx_wp_02" },
    { 0x09EB4AE52F75B96B, "sg_ontimerexpired" },
    { 0x366E9E4FF7F8CC0F, "sg_playerdisconnect" },
    { 0x2B76563546524F81, "sg_removequestinstance" },
    { 0x7218731C76959A98, "sg_respawn" },
    { 0x08BC65AAD17839E4, "sg_think" },
    { 0x3AF5E68281760D3A, "shackle_dof" },
    { 0x072A06DFE91CD542, "shackled_squat_override" },
    { 0x69DF8A8D21DE3424, "shader" },
    { 0x9A06D18C0E02021F, "shadername" },
    { 0x96411D10A8929EB8, "shadow_distsqrd" },
    { 0x2CB698869039A3ED, "shadow_manager" },
    { 0xD2752949E8D8D574, "shadowarea" },
    { 0x89DF3A98F0E82094, "shadowbias" },
    { 0x15CC235D16D37A69, "shadowcaster" },
    { 0xC01B9672665EB39E, "shadownearplanebias" },
    { 0xB0D3DB6975C54BEA, "shadowsoftness" },
    { 0xAE3403EE846B5753, "shaft" },
    { 0x9169AA889F87DD1E, "shaft_ab_light_prep" },
    { 0xF8F0A214490C0DEF, "shaft_ab_light_set" },
    { 0x7E509391BFBB9951, "shaft_ab_light_set_internal" },
    { 0x71047B1C28BA71BD, "shaft_ab_lights" },
    { 0x5FEEF35FC639ECA3, "shaft_ai_jump_down_think" },
    { 0x0CC15CEDE142670E, "shaft_before_wolf_corpse_cleanup" },
    { 0xB7BD1F22A343EF8E, "shaft_catchup" },
    { 0x64C0E45D2E3ABDAC, "shaft_chaser_fire_aware" },
    { 0xA9F71A6C1982ECD2, "shaft_difficulty_think" },
    { 0x3B2ACD6E875EE2F6, "shaft_epic_fire" },
    { 0x26C67E1FCAB7206B, "shaft_epic_fire_catchup" },
    { 0xE5B83E7CE9169D51, "shaft_epic_vfx_think" },
    { 0xDE949CD7CF0C8E5A, "shaft_epic_vfx_trigs" },
    { 0xC0538068C71CF796, "shaft_fall_victim" },
    { 0x0DB547C747C91402, "shaft_fall_victim_burn" },
    { 0xE7A92FA79A25F0B8, "shaft_fire_debug_print" },
    { 0x077FF798D14C309B, "shaft_fire_kill_player" },
    { 0x3F408B04692BB8FF, "shaft_fire_light" },
    { 0x1BC7D335152B0A44, "shaft_fire_light_flicker" },
    { 0x6BFA1C6DEB878EC8, "shaft_fire_light_think" },
    { 0x436324B470EEE23A, "shaft_fire_light_wobble_think" },
    { 0xFF3CD6A75E9E3AF5, "shaft_fire_on_level" },
    { 0x891FCCFC9D8B6A85, "shaft_fire_victim" },
    { 0x2B096AC7FA1BC87A, "shaft_follower" },
    { 0x993D735EE1D86213, "shaft_generic_scriptable_run" },
    { 0x2DFEE9C741F7EA41, "shaft_goal_volumes_setup" },
    { 0xA5233B2C019407CF, "shaft_hero_planks_clip" },
    { 0xB4763909B6395EE8, "shaft_ladder" },
    { 0xB0E3CC61D7DF7B06, "shaft_ladder_add_fov_scale_factor_override" },
    { 0x3D4215ECDD51D5B0, "shaft_ladder_fall" },
    { 0xAF9E0E9839FF38CB, "shaft_ladder_remove_fov_scale_factor_override" },
    { 0x60F140A80DD17A62, "shaft_ladder_scene_fail_vo" },
    { 0x2E0ED63203F7B814, "shaft_level_timer" },
    { 0x418721229A6E264C, "shaft_lvl2_flicker_light" },
    { 0xEFAEC17D0D55CFC8, "shaft_mayhem_beam_crack" },
    { 0x11ED2C9D7AD54D03, "shaft_mayhem_corner_collapse" },
    { 0x309F04E75B9459A4, "shaft_mayhem_tarp_burn_lookat_failsafe" },
    { 0x1AA5714A7FF7F7A8, "shaft_mayhem_tarps" },
    { 0xF36A0A58DD781CCF, "shaft_propane_from_model_and_set_state" },
    { 0x5BA7561D1A08F70C, "shaft_propane_kick_anim" },
    { 0x42DA43CB2FE5285F, "shaft_propane_kick_cancel_if_burning_or_hurt" },
    { 0x7E321AEA07C2F9A4, "shaft_propane_kick_guy" },
    { 0xD5EFFEECCE9345C2, "shaft_propane_kick_setup" },
    { 0x7B0D4B185AD0BB98, "shaft_propane_state_change" },
    { 0x531B773FCC560DF9, "shaft_propane_toss_guy" },
    { 0xA7141AED60C7465A, "shaft_reunion_corpse_cleanup" },
    { 0x6D780E07FDC2933C, "shaft_run_sparks" },
    { 0x619C1F35AFFCA084, "shaft_scriptable_board" },
    { 0x76D28308F54A504C, "shaft_scriptable_plank" },
    { 0x34E946EF57CF864A, "shaft_scriptable_propane_tank" },
    { 0xB1A7FA914C5FA491, "shaft_scriptable_pulley" },
    { 0x632715C2E4B313FF, "shaft_scriptable_trigs" },
    { 0x2BF0D8C62F2B100B, "shaft_scriptables_think" },
    { 0x556C19F4BBFE97F1, "shaft_setup" },
    { 0xC09A5E5BC05691DE, "shaft_smoke_survival_vo" },
    { 0xE86B9BE65808E422, "shaft_smoke_vision_manager" },
    { 0xBF31CF964B6584A8, "shaft_start" },
    { 0x331A89E842F2AAA8, "shaft_top_ladder_escaper" },
    { 0x6F7CC63B131A4A58, "shaft_top_ladder_escaper_wakeup" },
    { 0x194A09B26A118AD9, "shaft_top_planks_break" },
    { 0x5D456A2BDF4BCDF2, "shaft_vols" },
    { 0xA2F00D1351073713, "shaft_wave_1_guy_fire_aware" },
    { 0xFB099F585B0E1718, "shaft_wave_1_guys_management" },
    { 0x79D00FA997145078, "shaft_wolf_pa_vo" },
    { 0xB274408D5715BA66, "shakes" },
    { 0xFCD84B15AC142196, "shapeindex" },
    { 0x14A2FA32E34C4C96, "shared_damage_points" },
    { 0x589A2B2FADD3A5DD, "shared_data" },
    { 0x63E035A8B3A0E262, "shared_interaction_structs" },
    { 0x61CFA8C7C15739E6, "shared_portable_turrets" },
    { 0x5C80E758F83AEB34, "shared_turrets" },
    { 0xEC5093C2F8C0EB58, "shareddata" },
    { 0xB5F92985C32206CF, "sharedfuncs" },
    { 0x4E1EEFA1D3126D13, "sharedrushtimer" },
    { 0x9C2E2275BDE4D142, "sharpturn_setupmotionwarp" },
    { 0x272E8D76CE88FB6C, "sharpturn_terminate" },
    { 0x9799361A2109C7CD, "sharpturncorner" },
    { 0x0D6D174299C1AF49, "sharpturnforceusevelocity" },
    { 0xF9794CB8BD1399BC, "sharpturnindex" },
    { 0x225E1415BC3C8FE0, "sharpturnlookaheaddist" },
    { 0x25B2DBF40A709CBC, "sharpturnnextpathpoint" },
    { 0x5301F41B9BB55CED, "sharpturnnotifydist" },
    { 0x3944DDE386CA5287, "sharpturnnumberindex" },
    { 0x6DE3BFCC9C955D47, "sharpturntooclosetodestdist" },
    { 0xA5B6399255945167, "shed_bullet_fx" },
    { 0xF2CD21E824909BB1, "shed_umike" },
    { 0xE068559BC25E67F6, "shelf_monitor" },
    { 0x9BB836E9C0D95535, "shelf_movement" },
    { 0xC293554D9A8CBD3F, "shelfexit" },
    { 0xEA21A3EEB10B073D, "shell" },
    { 0xEAD820A319D67B08, "shell_fx" },
    { 0xCE34D647C77EEC95, "shell_sound" },
    { 0x237853D4BCA3733B, "shell_sound_enabled" },
    { 0x88A8B9FF9184EEE9, "shellshock" },
    { 0xFBE8012259D9BCF9, "shellshock_artilleryearthquake" },
    { 0xAC084ACFDF9D96FA, "shellshock_cleanup" },
    { 0x7504A230390229EF, "shellshock_damageinterruptdelayfunc" },
    { 0x2D70138B18A4F06C, "shellshock_flashinterruptdelayfunc" },
    { 0x9AD09BDFE124DEE3, "shellshock_gasinterruptdelayfunc" },
    { 0xE76CEF19B824A708, "shellshock_init" },
    { 0x2D605248160F9DDE, "shellshock_interruptdelayfunc" },
    { 0xBD9139E736A99C81, "shellshock_nointerruptdelayfunc" },
    { 0xCCF2342223ED94B6, "shellshock_screenshakeonposition" },
    { 0x2AB679E73A565FF6, "shellshock_stuninterruptdelayfunc" },
    { 0xA693F2389FB549F5, "shellshock_utility_init" },
    { 0x87BB17A727E26080, "shellshocked" },
    { 0x258B4BDCBCE35025, "shellshockondamage" },
    { 0xA09E307FB8A20F3E, "shellshockreduction" },
    { 0x9A6ADAD49A35C4C4, "shield" },
    { 0x3CB85351CC24F071, "shieldbroken" },
    { 0x2836BD6FA3B99B76, "shieldbullethits" },
    { 0x8B138430E4B1F315, "shielddamage" },
    { 0x3A65A33C81448C72, "shieldhealth" },
    { 0x955C2D186691DE7D, "shieldhudoutline" },
    { 0xF7C2B8026EEE2822, "shieldmodelvariant" },
    { 0xD141376DEE495974, "shiftbar" },
    { 0xAC56C33BE712929B, "ship_assault" },
    { 0x56A86FB7038E0428, "shipcrib_linebook_anims" },
    { 0x88E5E1D3D27E5B5D, "shipfx" },
    { 0xF8803056A2F450BA, "shipment_spawnpatchtriggers" },
    { 0x9AB7E530409CD92B, "shitloc" },
    { 0x618AA0ABE8CEB41F, "shock_player" },
    { 0xBA2BB5F63BBB0C78, "shock_puzzle_completed" },
    { 0x18A285ACBE6CEED9, "shockcategory" },
    { 0xC2F9F4B4FC1BC235, "shockdeath" },
    { 0xF140BEC2A25965D4, "shocked" },
    { 0x74DFA9C7804A2D5A, "shocked_vig_handler" },
    { 0x5576657C9BFB4E92, "shockinterruptdelayfuncs" },
    { 0x250788A1BA7D85A1, "shockinterrupttime" },
    { 0x1CDAFBFFAE3FE075, "shocklevel" },
    { 0xEDAC8C971BE207D3, "shockmelee" },
    { 0xF11BE7D32921524E, "shockname" },
    { 0x887BDD4FCD37BCBA, "shockpainloop_c6_cleanup" },
    { 0x18F41133C24EABED, "shockpainloop_internal" },
    { 0xB86955A48F8B1CAD, "shockpriorities" },
    { 0xFFA5FE49CFD27F10, "shocktarget" },
    { 0x58FB0BEE469D5CCC, "shoot" },
    { 0xB06FBA6D17E7D947, "shoot_and_kill" },
    { 0xF15C6F1E0DAF9589, "shoot_at_apc" },
    { 0x6FBC5C9255CBD7BF, "shoot_at_ent_delete_on_flag" },
    { 0xEEEBD4EF6965C741, "shoot_at_heli" },
    { 0x5D49D06EED5496F6, "shoot_at_heli_station" },
    { 0xCA702F7555A5BAD9, "shoot_at_player_heli" },
    { 0xA02BABE00751C9CE, "shoot_at_player_heli_station" },
    { 0x43A9CC6ED07942D4, "shoot_at_target" },
    { 0xECFF4AE9BED7EA7C, "shoot_bridge_guy" },
    { 0xDF43C02606B6EAAB, "shoot_clearconvergence" },
    { 0x4DF8699AF69D8711, "shoot_clearshootparameters" },
    { 0xE406D71FA25E0FC8, "shoot_doagentnotetrackswithtimeout" },
    { 0x6090C6A68C490CE3, "shoot_donotetrackswithtimeout" },
    { 0x9BC48AC7152E8F0A, "shoot_down_heli" },
    { 0x399A5C34EDE634E7, "shoot_enableconvergence" },
    { 0xCC16643BA36006C7, "shoot_enemy_until_he_hides_then_shoot_wall" },
    { 0x551BD314E81220AD, "shoot_firstshot" },
    { 0x02F899E2AFDD35F0, "shoot_gas_grenade_from_notetrack" },
    { 0xC8A694761AE513F6, "shoot_generic" },
    { 0xB9873203BB8FD6D1, "shoot_getrate" },
    { 0x051FD3718C0C1A19, "shoot_gun" },
    { 0x5964DEAFB50DD68A, "shoot_gun_from_notetrack" },
    { 0x71AEEC3C7BE8B6AE, "shoot_gun_from_notetrack_player" },
    { 0x04461B69E5C58597, "shoot_init" },
    { 0x94F265BB15E290F1, "shoot_mg" },
    { 0x4492150AF6B6F102, "shoot_mg42_script_targets" },
    { 0xCA2C030316471732, "shoot_mg_cleanup" },
    { 0xFBB1A6E09694A584, "shoot_out_field_lights" },
    { 0x3BFB66924DA13A6E, "shoot_out_lights_thread" },
    { 0xDEF34A8782E7D8A5, "shoot_out_perimeter_lights" },
    { 0xFFE99603E43169D9, "shoot_override" },
    { 0x396CE15F7B4122E3, "shoot_patrol_guy" },
    { 0x14CE87B181C7FA60, "shoot_player_if_in_center" },
    { 0xDB2E65F30744DC96, "shoot_playidleanimloop" },
    { 0xE9738D9ABE675000, "shoot_playidleanimloop_sniper" },
    { 0x3A7220E5E1FB3FA6, "shoot_rockets_at_target" },
    { 0x28036BDD4F39CF0A, "shoot_setshootparameters" },
    { 0x4B809AFEE30FDD85, "shoot_shock" },
    { 0xC58ADEA55C6D62E6, "shoot_shotgunpumpsound" },
    { 0xB048FE09B97AAAB7, "shoot_stopsoundwithdelay" },
    { 0x192CB5EF74306850, "shoot_terminate" },
    { 0xBFA521ABB64CF544, "shoot_timeout" },
    { 0xFE275D1E79E52548, "shoot_update" },
    { 0x3172D0CF25DD23FE, "shoot_updateparams" },
    { 0x3F28957A9C05F60B, "shoot_vehicle" },
    { 0xBEB674FD5413B238, "shoot_vehicle_turret_at_attacker" },
    { 0x07C70F50DBB0E3FD, "shoot_vehicle_turret_at_nearest_player" },
    { 0xFC2097B85DBEA1D3, "shoot_while_driving_thread" },
    { 0x011F80AC5CCC351D, "shootambient_targetspline" },
    { 0x3B8DAAFCEA77971D, "shootambienttarget" },
    { 0xA3D78669217C46F8, "shootanimtime" },
    { 0x9CA2D0D5A11143AA, "shootatshootentorpos" },
    { 0x5CEA75BA6E5E162A, "shootblank" },
    { 0xB021FFBF42979307, "shootcustomweapon" },
    { 0xD35554C41D6B2A5D, "shootenabled" },
    { 0xF87EE607C76B5A77, "shootenemytarget_bullets" },
    { 0xD954B4F66CD19CED, "shootenemytarget_bullets_debugline" },
    { 0xBBFAB76A84A7751B, "shootenemywrapper" },
    { 0x0E780314D3C4BBEA, "shootenemywrapper_func" },
    { 0xB779DA9BAF4F29CF, "shootenemywrapper_normal" },
    { 0x8A7CF3BEB0E53BF6, "shootenemywrapper_shootnotify" },
    { 0xD53DFEBC0114C6F1, "shootent" },
    { 0xFF8F75B181516B26, "shootentvelocity" },
    { 0x82ABA0B212DD2761, "shootforced" },
    { 0x99F737BBD52C3C2C, "shooting" },
    { 0x48FDD36B99EB845D, "shooting_monitor" },
    { 0x75866E9A720F835C, "shooting_target" },
    { 0x86286CA8D81D805D, "shooting_targets" },
    { 0x137E82FBAABE7BFF, "shootnotetrack" },
    { 0x078DD73471FE18BF, "shootobjective" },
    { 0x75769D24E5A21A21, "shootobjective_internal" },
    { 0x5658FB5EAF1E0113, "shootobjective_suppress" },
    { 0xB2EF3DB8C73BA71A, "shootparams" },
    { 0x5810D29B8B0A821A, "shootparams_bconvergeontarget" },
    { 0x55CADF9E1FBA58CA, "shootparams_burstcount" },
    { 0x4CC20DE640E122B6, "shootparams_buseentinshootcalc" },
    { 0xC1ADCAED1D7CAA1C, "shootparams_ent" },
    { 0x044FDFE2C4EB19ED, "shootparams_fastburst" },
    { 0xCD6E6F11DC8AEBFF, "shootparams_forceaim" },
    { 0x385DF187AD631B7B, "shootparams_numburstsleft" },
    { 0x0EA3E74D663DC01A, "shootparams_objective" },
    { 0x24520EECAAF4005F, "shootparams_pos" },
    { 0xDFD0AE881CFA384E, "shootparams_readid" },
    { 0x4DB3062E3BFF301F, "shootparams_shotsperburst" },
    { 0xB13ABEC502867ED4, "shootparams_starttime" },
    { 0xC8D6AE6177360560, "shootparams_style" },
    { 0xF849864D162FB00B, "shootparams_taskid" },
    { 0xABD425BC956E4CCB, "shootparams_valid" },
    { 0x7D80E43A4485F2AF, "shootparams_writeid" },
    { 0xE6F2F2BCC9008196, "shootpos" },
    { 0x10842B538480C2D6, "shootposoverride" },
    { 0x7EA1AC2F121044D1, "shootposwrapper" },
    { 0x315C19AACE323C7C, "shootposwrapper_func" },
    { 0xDD969A689DFA8CDE, "shootrateoverride" },
    { 0x3DE54EC446426309, "shootshocksentrysamtarget" },
    { 0x3DE31EA1D37F63D1, "shootstate" },
    { 0xCD8A8508C3D452FB, "shootstopsound" },
    { 0xE3B766A0D67C2301, "shootstyle" },
    { 0xB2D9F9F77EEF7D2F, "shootstylefastburst" },
    { 0x09605AAE730D6E8B, "shootstylemgturret" },
    { 0x7FA0C244A3647811, "shootstyleoverride" },
    { 0xB1957ABFCE5D0C85, "shootstylesingle" },
    { 0xF00B2E73A8DB5799, "shoottokill" },
    { 0xF65B1386D7A33656, "shootturret" },
    { 0x4D05517F4F158A55, "shootuntilshootbehaviorchange" },
    { 0x58EE11EE468F5579, "short" },
    { 0xFF7A9CF3CF762EC6, "short_and_long_delay" },
    { 0x3311983CD88891B6, "short_term_goal" },
    { 0xB473E7FC0D40F711, "shortencolor" },
    { 0x8D2D8587B54C3EB3, "shortposecachearray" },
    { 0x39D078CF009D9AEE, "shortposecachenode" },
    { 0x98FE71B14DE15171, "shot" },
    { 0x53342730C4ACF878, "shot_at_check" },
    { 0xF039FD49EE29654F, "shot_at_react" },
    { 0x3A75509792FD8F99, "shot_by_player" },
    { 0xCC886FC444200BA1, "shot_count" },
    { 0x43444EA74DF96FBD, "shot_in_back" },
    { 0x8A4819568A5FDF8C, "shot_start_offset" },
    { 0xE3B427A6EABBE641, "shot_to_miss_for_dialog" },
    { 0x67691012738AFD29, "shotduringanim" },
    { 0x7164B3BEC88DD083, "shotfired" },
    { 0xDBC324B68402768D, "shotfiredphysicssphere" },
    { 0xC86C55D39738027D, "shotgroupaccuracy" },
    { 0x2C935912B0240202, "shotgroupactive" },
    { 0x8D70D75F8641B727, "shotgroupcount" },
    { 0x1EE13D671DE0C827, "shotgroupendwatcher" },
    { 0x7B6E88FBEAE566BD, "shotgrouplastaccuracy" },
    { 0xE0A006F4772C1267, "shotgrouplastcount" },
    { 0xBB4BFC914C617158, "shotgun_rest" },
    { 0xD4AA2D056CE26311, "shotgun_weapons_array" },
    { 0x1F581CA857E5DF5C, "shotguncollateral" },
    { 0xE833D1584A0F8A30, "shotgundamagemod" },
    { 0x77C1131D02644C27, "shotgunfirerate" },
    { 0xBE1E380999FAD908, "shotgunkillsinaframecount" },
    { 0x198DF99D3689EFF3, "shotgunner_combat" },
    { 0xE6EFCAD3B0846686, "shotgunner_info_loop" },
    { 0xE581A958675D7E06, "shotgunner_spawn" },
    { 0xA7B04DCB0FDA5EEE, "shotgunpumpsound" },
    { 0xD6C130322A840B86, "shothit" },
    { 0xDA1D41807BB1CA5F, "shotisbadidea" },
    { 0xC73659FE0C32441C, "shotisreasonablysafe" },
    { 0x3DB89E90D9946544, "shotmissed" },
    { 0x6E1BF6063DDA9EF0, "shotrecord" },
    { 0x5E4188DEF4171869, "shots_fired" },
    { 0xB675503108ED169C, "shots_fired_recorder" },
    { 0x1684AADEA5B175DC, "shots_hit" },
    { 0xEEF2B9653D21D66D, "shots_per_round" },
    { 0x326B26863F12557A, "shotsfired" },
    { 0x4BA12CCA8EFB4136, "shotsfiredwithweapon" },
    { 0x8F1950C583AFB36A, "shotslandedlmg" },
    { 0x0B516B90BF5348E3, "shotsleft" },
    { 0x345FE325AECDEAAE, "shotsmissedcount" },
    { 0x5D6F0D5732AA389E, "shotsontargetwithweapon" },
    { 0x615D34D23A9B8399, "shotstaken" },
    { 0x6F6BE6A22AD7AD07, "should_abort" },
    { 0x483E05235165F948, "should_adjust_camera_anchor_position" },
    { 0xB5A110E380144351, "should_advance_to_next_goal_struct" },
    { 0x29848EE335AF279A, "should_advance_to_next_goal_volume" },
    { 0x32FC9CB084E46EEB, "should_ai_take_damage" },
    { 0x90CDBFC3475462FA, "should_allow_airdrop" },
    { 0x7A8B90FC8817BC27, "should_allow_far_search_dist_func" },
    { 0xD2A89BBE5F1E26AE, "should_append_player_prefix" },
    { 0xF766E7AA7906867F, "should_append_player_suffix" },
    { 0x2A642B73D0839B7D, "should_apply_dot" },
    { 0xF6546895519775D6, "should_bash_open" },
    { 0x1BFF5D35C2117CC5, "should_be_affected_by_trap" },
    { 0xB4887E2BBC4D763F, "should_break_stealth_immediately" },
    { 0xC9C0F68A7B2AD0D6, "should_break_stealth_immediately_func" },
    { 0x288533CAD66C0443, "should_combat_react" },
    { 0x8D50931FE9353337, "should_continue_current_shot_run" },
    { 0x217A9651C3CF8459, "should_continue_progress_bar_think" },
    { 0xBD9EA43BCA8BCC89, "should_create_exposed_node" },
    { 0xF17ABBCDDA26F24F, "should_damage_pavelow_boss" },
    { 0x628743479E016CFC, "should_damage_player_on_bottom" },
    { 0x2DB9D1C4B887D8D0, "should_delay_flag_decision" },
    { 0x8AE9AA4D793E432B, "should_deploy_front_suicide_truck" },
    { 0x48D271BA201F1010, "should_disable_infil_for_player" },
    { 0xEAAAC60643F5CA85, "should_display_reinforcement_called_icon" },
    { 0x86E93BE1482F2282, "should_do_anim" },
    { 0x69851D1E819379E9, "should_do_arrivals" },
    { 0x2D3FE6649D5D624C, "should_do_damage_check_func" },
    { 0x97B7CE0E46450311, "should_do_damage_check_func_relics" },
    { 0x51FE528F54E813B6, "should_do_damage_checks" },
    { 0x9B15B471FA323E52, "should_do_death_vignette" },
    { 0x6F6CB70FBA9840B8, "should_do_exits" },
    { 0x2FBC48B64435109A, "should_do_gesture" },
    { 0x16FB2BDC4565903C, "should_do_immediate_ragdoll" },
    { 0x50A3CCEF66BE6E85, "should_do_pain_anim" },
    { 0x4BBE195557A05A99, "should_do_quest_step_func" },
    { 0x20DEE99A742E6C46, "should_do_ragdoll" },
    { 0x6EAC50AF3F1A91E9, "should_do_vo_call" },
    { 0xEB6A53D14D1952D7, "should_drop_grenade" },
    { 0x630754C7DE7FDC94, "should_drop_grenade_pickup" },
    { 0x36FEDA10510C01CF, "should_drop_hvt_key" },
    { 0x036FDE7B4622E291, "should_drop_intel" },
    { 0xC886CF3BA3551B3C, "should_drop_intel_func" },
    { 0x198D06D6A1BEBBB4, "should_drop_intel_piece" },
    { 0x87147BB20CEAC542, "should_drop_minigun" },
    { 0x7EE7997B4E46B464, "should_drop_scavenger_bag" },
    { 0x6DCD636934473617, "should_drop_weapon" },
    { 0xFF8CE53E43E36DA1, "should_enable_seat_when_exit_vehicle" },
    { 0x3C1FC0AB4FEC5928, "should_enter_combat_after_checking_decoy_grenade" },
    { 0xB7551A65DE0B3E89, "should_enter_combat_after_checking_gas_grenade" },
    { 0x7C09E1BEFE0E8D31, "should_enter_combat_after_checking_smoke_grenade" },
    { 0xCA20927BAC29DDCA, "should_enter_combat_after_checking_snapshot_grenade" },
    { 0x628D45DD9FA005F0, "should_enter_combat_after_checking_throwingknife" },
    { 0x0AC4E105ADA598DA, "should_execute_continue" },
    { 0x493D3C5FD22660BC, "should_filter_out_friendly_damage" },
    { 0x9FE53E74D4E614C7, "should_fire" },
    { 0xF9FB92EADAFF27BF, "should_get_currency_from_kill" },
    { 0xA233B01986BFF158, "should_give_extra_charge" },
    { 0x84CE22F5974B229C, "should_give_grenades" },
    { 0x15E23F3C30F130DD, "should_give_orghealth" },
    { 0x2F7FDB5D0836088F, "should_grunt" },
    { 0x6689A97017457116, "should_hide_buried_mother_corpse" },
    { 0xDFB88154AB7B161C, "should_hit_target" },
    { 0x720A1C63AE81B8C2, "should_hunt_player" },
    { 0x0942423F2B29941A, "should_ignore_attacker_or_team_damage_filter" },
    { 0xCF965A826A808CBE, "should_ignore_mod" },
    { 0x39A7AFE3736DB915, "should_ignore_sprint_footstep" },
    { 0x6F84EB7614DCEE7A, "should_intel_drop_func" },
    { 0x0B8B982464EDB535, "should_interaction_fill_consumable_meter" },
    { 0x46B3814578A30B9B, "should_intercept" },
    { 0x0BDC5BCB0F2FFE5C, "should_interrupt_vo_system" },
    { 0xA4CAA9E955C91735, "should_kill_off_flags" },
    { 0x7A1A21343145F931, "should_kill_player" },
    { 0x5D7738982B63461F, "should_load_new_map" },
    { 0x8FBF6D1EFD43EBAD, "should_monitor_shooting" },
    { 0xD5859957E872B10A, "should_move_to_target" },
    { 0x016BCE43A6657FCF, "should_move_to_target_dist" },
    { 0x1B32C62A730F9449, "should_open_left" },
    { 0x290058C77A4EDD30, "should_play_cough_gesture" },
    { 0x27A1B1A203C81B62, "should_play_melee_blood_vfx" },
    { 0x8DDCEC764FFE9275, "should_play_melee_blood_vfx_func" },
    { 0x1D10FDD8E064E7B2, "should_play_player_infil" },
    { 0xE1B821BEA6C7F8E9, "should_play_transformation_anim" },
    { 0xE78AEB9934D4DCF5, "should_play_tread_vfx" },
    { 0x267853B63DC40431, "should_play_vo" },
    { 0x70F5C6BFA29E01F9, "should_print_warning_message" },
    { 0x4A68F0EA8AA9DF11, "should_purge_undefined" },
    { 0x83557E13D3BB98B7, "should_put_player_outline_on" },
    { 0x37C4808426136B4C, "should_real_fire" },
    { 0xF2358D9C506F8A00, "should_record_final_score_cam" },
    { 0xA4CF976AF7A342E2, "should_remove_one_item" },
    { 0xCC2EC3686451D91E, "should_revive_continue" },
    { 0x0617258F9F95451E, "should_roam" },
    { 0x6AEDEB67CC832523, "should_run_event" },
    { 0xA16323A55A2EB702, "should_run_event_func" },
    { 0x1D2824EDCDD0871D, "should_run_objectives" },
    { 0xC5931F5FD5ECFC6E, "should_run_sp_stealth" },
    { 0x146C102732521313, "should_save_debug_info" },
    { 0x419497576CE4553A, "should_select_new_ambush_point" },
    { 0x4AB299669ACCBB43, "should_shoot_destructible_target" },
    { 0xC7823A0E2B32B2CB, "should_shoot_if_player_mounted" },
    { 0xB276B33E8B65C5D2, "should_show_icon" },
    { 0xA7DABFC7CBEBD218, "should_show_obj" },
    { 0xB123ABA7CA97FF45, "should_show_revive_icon_to_player_func" },
    { 0xAABBFC6ED05B1788, "should_show_tutorial_func" },
    { 0x379D607AF8F78800, "should_skip" },
    { 0x26C01EA363F817F0, "should_skip_default_intro_scene" },
    { 0x102EF615158E8491, "should_skip_first_few_shot" },
    { 0xF19F8BAD438C06DC, "should_skip_info_loop" },
    { 0xA1F7960E674330D4, "should_skip_interrogation" },
    { 0x4CCCA5B4813C6BDF, "should_skip_laststand" },
    { 0x57F13B18A02F776F, "should_skip_oilfire" },
    { 0x5E307A944A8D7FC3, "should_skip_torture_scene" },
    { 0x35EF0BCB82348E6D, "should_sound_take_priority" },
    { 0x995E8A6D050461C5, "should_spawn_boss_one" },
    { 0xEF799628E46B6604, "should_spawn_drones" },
    { 0x26B29099158E6BA6, "should_spawn_ied_zone" },
    { 0x4B283A4DB2A16A42, "should_start_cautious_approach_default" },
    { 0xFDA3634AA915B157, "should_start_cautious_approach_dom" },
    { 0x3223A28B45F112DE, "should_start_cautious_approach_hq" },
    { 0xBB3578A6E47F2E77, "should_start_cautious_approach_koth" },
    { 0x31BE858B4581F1C6, "should_start_cautious_approach_sd" },
    { 0x7CC01BCD75EA2AB5, "should_stop_seeking_weapon" },
    { 0x142C6EC2C119E152, "should_stop_using_bomb_detonator" },
    { 0x97C27BCFA7983170, "should_take_damage" },
    { 0x1F45DDF8F3555475, "should_take_damage_from_attacker_or_team" },
    { 0x448B66B8D4E60A7A, "should_take_damage_from_trigger_hurt" },
    { 0x18562872937F9808, "should_take_players_current_weapon" },
    { 0xD3CE83E1E4D3C764, "should_teleport" },
    { 0x01F67F377BBAF37A, "should_teleport_to_nearby_target" },
    { 0x8A5754B6D8592CF0, "should_track_weapon_fired" },
    { 0x25E4D245B5100C1E, "should_try_generic_radio_confirmation" },
    { 0xA58FF3A60FDC7F71, "should_turn_off_states" },
    { 0x8081B859E07E9C59, "should_update_ai_nvg_state" },
    { 0x66EE5153DC6F95ED, "should_update_func" },
    { 0x3CBEF9E55F683F82, "should_update_leaderboard_stats" },
    { 0x547E962663F2D5C8, "should_update_track_timer" },
    { 0x606B236E9A34AFCD, "should_use_door_spawn_anim" },
    { 0x8AEC559CE1778935, "should_use_exit_anim" },
    { 0x5FB8B3135296C985, "should_use_velo_forward" },
    { 0x9CD1643ED84C9694, "should_wait_before_spawn_chopper_boss" },
    { 0x7AE9B618E61D8DB8, "should_wait_for_cs_flag" },
    { 0xBC07A3ADC87AE9E9, "should_warn_nonsuppressed" },
    { 0x4B70CF060C0616D3, "shouldabortstrafe" },
    { 0x8FF10DDC5FF9D4F0, "shouldabortwallrunattach" },
    { 0xDFE25A3E2DC98FF2, "shouldactivatedeathshield" },
    { 0x86AFD469D3929D1D, "shouldaddtoarbitraryuptrigger" },
    { 0x5A579CA43F394E4D, "shouldadvanceusingboundingoverwatch" },
    { 0x861C9644D6959377, "shouldaffectclaymore" },
    { 0x3CD32D8048147AE3, "shouldallowinstantclassswap" },
    { 0x911DE6F8499B7C66, "shouldattachmentsavealtstate" },
    { 0x106CA38D71E5E1A2, "shouldattemptanyreacquire" },
    { 0x12B8E6CE998F86DE, "shouldattemptcrawlingpain" },
    { 0x28892F4495872442, "shouldattemptreacquirecharge" },
    { 0x8FF8E4D5F432F91C, "shouldattemptstumblingpain" },
    { 0x1C8EF4D208ADBE3C, "shouldbashopen" },
    { 0x13E2E2C6C9354F30, "shouldbeajerk" },
    { 0x0B93138FACE97630, "shouldbefrantic" },
    { 0xB13F7926BAE23570, "shouldbeginfiring" },
    { 0x3169FE3A5382255C, "shouldbeginshuffleexit" },
    { 0x4C053677E6D307A7, "shouldbeinlmgcover" },
    { 0xB25F1C36C5673897, "shouldbekilledoff" },
    { 0x5FDAAF769C559FD5, "shouldblindfire" },
    { 0x87FA2784196C8662, "shouldblockdamage" },
    { 0x2B273963A08A70F6, "shouldbounce" },
    { 0xEFAAC0E163E520F2, "shouldburnfromdamage" },
    { 0x5BF3BFBD6DC06D74, "shouldcasualkillerreacttonewenemy" },
    { 0x46872FC9238C4778, "shouldcautiousstrafe" },
    { 0xC581F745F67F0B8E, "shouldchangestanceforfun" },
    { 0xE1A29C2676803737, "shouldcheckcustomclosetoscorelimit" },
    { 0xA5714553177C17F6, "shouldconsiderarrival" },
    { 0x98147F2EDA606378, "shouldconsiderarrivalaftercodemove" },
    { 0x614C37004C4D11C4, "shouldconsidertraversearrival" },
    { 0xD76D28616AE14975, "shouldcoverexpose" },
    { 0xEDEF8677F07962AA, "shouldcoverexposedreload" },
    { 0x52188953EAB9DF0A, "shouldcovermultiswitch" },
    { 0x6003EB7EC8E1A888, "shouldcqb" },
    { 0xE5390D6FDBA21C31, "shouldcqbaim" },
    { 0xBCDE0CE9B0AA2529, "shouldcrossbowhitmarker" },
    { 0x165C53001285440D, "shouldcustomexit" },
    { 0x52CA2B23FBC6885A, "shouldcustomtransition" },
    { 0x9B05DB62CABB97D8, "shoulddamageshielddowntoground" },
    { 0xD87905B41565899D, "shoulddeleteimmediately" },
    { 0x00D421FDCB48BB7F, "shoulddeploylmg" },
    { 0xF65F77DD610DDB23, "shoulddirectlytransition" },
    { 0x5AF7999E869B53FF, "shoulddisableskydivevfx" },
    { 0x06A1F852128D4C6D, "shoulddismountlmg" },
    { 0x1FDB16E6D42D9305, "shoulddisplayhud" },
    { 0x6DDD736723441BAD, "shoulddoanylongdeath" },
    { 0xDBDEC500EC9DB110, "shoulddoarrival" },
    { 0x08007F8B517042E2, "shoulddobulletwhizby" },
    { 0x7568F09A53C939CE, "shoulddocoverlongdeath" },
    { 0x096E3397A955E4EB, "shoulddocrawlingbacklongdeath" },
    { 0x3B13DA6198C220B3, "shoulddocrawlingonbellylongdeath" },
    { 0x2427BE41B9F3B182, "shoulddocrawllongdeath" },
    { 0x243447022493F048, "shoulddodamageinvulnerabilty" },
    { 0xAC1D6F2F1533D3C1, "shoulddodge" },
    { 0x5B2E5DBF1B76BCDA, "shoulddodyingbackcrawl" },
    { 0x908BA2CF18BE943F, "shoulddodyingcrawl" },
    { 0xDEBD35B072CA2E8F, "shoulddoexposedlongdeath" },
    { 0xD37223E342727F19, "shoulddofinaldeath" },
    { 0x60231C5538552E96, "shoulddoforcedmercy" },
    { 0x68DB81AD284BD97E, "shoulddohealthdamageeffects" },
    { 0xA21BF1D82843BFA5, "shoulddolongdeathgrenade" },
    { 0xDC8A82E7B30BFA37, "shoulddolongdeathgrenadefinal" },
    { 0xDE607B859479FEA1, "shoulddomercy" },
    { 0xC36DD750C9F42696, "shoulddomercytransition" },
    { 0x7E08689368879F12, "shoulddonodedrop" },
    { 0xCE79E84F27096E1B, "shoulddopainvision" },
    { 0x710A6415F10564D2, "shoulddopublicevent" },
    { 0x457C31561D5C8B9B, "shoulddorunningforwarddeath" },
    { 0x54F8397855063F00, "shoulddosemiforvariety" },
    { 0xAD474AB4492BE34E, "shoulddosemiprobabilityline" },
    { 0x99F1A0BBA2A29FA6, "shoulddosharpturn" },
    { 0x3AA19A74904373F6, "shoulddoshootinglongdeath" },
    { 0x93F668198D537ACD, "shoulddostrongbulletdamage" },
    { 0x7F250B78BDC5BCA8, "shoulddostumblinglongdeath" },
    { 0xF3A31282102E7F6E, "shoulddotraditionaltraverse" },
    { 0x4CE105A07DF21AA0, "shoulddotraversalarrival" },
    { 0x9D56685040B7C004, "shoulddotraversaltransition" },
    { 0xBBB483D693CC23F3, "shoulddowallrunsharpturn" },
    { 0xFA181E795FE6DAC7, "shoulddoweaponnag" },
    { 0x2DCBE14EEA94BD3B, "shoulddropbrprimary" },
    { 0x8C7A115FA9874495, "shoulddroploot" },
    { 0x4216F16F22341E31, "shoulddropscavengerbag" },
    { 0xB21CDCD144DD3700, "shouldearlyragdoll" },
    { 0xC49CBED67397CCD5, "shouldendlongdeath" },
    { 0xE31777E470B9BEBA, "shouldendsniperidle" },
    { 0x6C09370C80ABFF87, "shouldenterstairsstatepassthrough" },
    { 0xB311499FE273D530, "shouldentervehicle" },
    { 0x84C323F50A9B1DCF, "shouldentervehicleearly" },
    { 0x23F932A5867D2EF5, "shouldexitstairsstate" },
    { 0x64D3BEC40A8F90C2, "shouldexitvehicle" },
    { 0xD14EFA96DEC46CFB, "shouldexplode" },
    { 0x8D8CAFD58ED2D0F2, "shouldfaceenemyinexposed" },
    { 0x838BD85E3D463C40, "shouldfade" },
    { 0x2A8268100C90447B, "shouldfindnavmodifier" },
    { 0xCC4463FFC3AF4933, "shouldfinishlongdeath" },
    { 0x4DB40D3CA091B0E8, "shouldfinishshootinglongdeath" },
    { 0xC88A941275ECC8E2, "shouldfireintoairdeath" },
    { 0x2D9BB8D97069A84E, "shouldflashinvul" },
    { 0x170089135C51961F, "shouldflipover" },
    { 0xAC5C2341ABEFC476, "shouldforcesnipermissshot" },
    { 0xCAD9ADCA1550A47A, "shouldforceupdatebt" },
    { 0xA9C7A15D9D971F74, "shouldfree" },
    { 0x592756914871F33F, "shouldfreezeplayercontrolatspawn" },
    { 0x877B026382E78C77, "shouldgamelobbyremainintact" },
    { 0xC24862A1C1BA495B, "shouldgetnewspawnpoint" },
    { 0x23A34F7E9BC2D894, "shouldgib" },
    { 0xB342B40FAC89B356, "shouldgivedefendersadvantage" },
    { 0x882ABA2B721E9B70, "shouldgodirectlytospectate" },
    { 0xD30FCEA06D96AC86, "shouldgodirectlytospectatefunc" },
    { 0x7B73F24BCDBBE629, "shouldgrenadeavoid" },
    { 0xEBC6584C291B8C2E, "shouldgrenadedive" },
    { 0xDB55459B39371027, "shouldheadpop" },
    { 0xC402B4F186E9DB7E, "shouldhelmetpop" },
    { 0x2C04CF34140FF83B, "shouldhelmetpopondeath" },
    { 0xA9912D60DF302663, "shouldhelmetpoponpain" },
    { 0x8D2DBEE456762F06, "shouldhelpadvancingteammate" },
    { 0x6405A7CBBA1A493B, "shouldhumanspawntags" },
    { 0xC476532CED62AFDA, "shouldidlebark" },
    { 0xE02E15989215F69F, "shouldinitiallyattackfromexposed" },
    { 0xDB2C75E70EB4BEEE, "shouldinitiallyattackfromexposedtime" },
    { 0xB81166D3EC24EBE0, "shouldinterruptstairsarrival" },
    { 0xF51ADFCE53D64AC4, "shouldjoinsquad" },
    { 0xC31780A75CD48A2A, "shouldkeepcrawling" },
    { 0xDCD58618D603B7E9, "shouldkillfalling" },
    { 0xB00B7A2C1F1E86EB, "shouldkillimmediatly" },
    { 0x237AEA74DC8A5A32, "shouldkillmelee" },
    { 0xC7F98554A5CB7742, "shouldleaveanimscripted" },
    { 0x82CB5692B461ED13, "shouldleavecasualkiller" },
    { 0xB52D281952B20143, "shouldleavecasualkillerimmediately" },
    { 0x86E71347D49CC62E, "shouldlink" },
    { 0xFD3846AEF3B32D9E, "shouldlogcodcasterclientmatchdata" },
    { 0x1EA66DC36B84A0F7, "shouldlookforinitialcover" },
    { 0xA36BF3F8A3A9366B, "shouldlookorpeek" },
    { 0x5705E79EC42DA0AE, "shouldmelee" },
    { 0xE02CE0310D309820, "shouldmodelognotify" },
    { 0x7AAA6172B896A15E, "shouldmodeplayfinalmoments" },
    { 0xDB6FE0DBBA22BBFF, "shouldmodescoreonties" },
    { 0x1C113A6E032101D4, "shouldmodesetsquads" },
    { 0xA6266E789F81F000, "shouldnotblockspawns" },
    { 0x57C8BD082ACC146F, "shouldnt_spawn_because_of_script_difficulty" },
    { 0xA5D00064C3DE2DCA, "shouldopendoor" },
    { 0x3212AFBC69845705, "shouldoperatorhideaccessoryworldmodel" },
    { 0xF6F92684052400D8, "shouldorienttoentervehicle" },
    { 0x1E118421B34D58BC, "shouldoverkill" },
    { 0x48EE484C5D5F8415, "shouldpaincoverfaceplayer" },
    { 0x47CAD46491CA2812, "shouldpainfaceplayer" },
    { 0x01680C1427C4D6BB, "shouldpainrunfaceplayer" },
    { 0xE96421D2EBBD609D, "shouldpainruntostrafereverse" },
    { 0x8FAF2C6D150F1588, "shouldpatrolreactaim" },
    { 0xC52F4658D95BD4F1, "shouldpatrolreactlookaround" },
    { 0xA439739FE9D8406D, "shouldpatrolreactlookaroundabort" },
    { 0x40FB427865B8F029, "shouldpeekwhilecanseefromexposed" },
    { 0x96B92208195A95C2, "shouldpickup" },
    { 0x214CFF9B7FF5218D, "shouldpingobject" },
    { 0xFECE81616965A6F3, "shouldplayarenaintro" },
    { 0x3014B2EE77461782, "shouldplaybalconydeath" },
    { 0x3A8FA25943452E4A, "shouldplaybalconyraildeath" },
    { 0x74537AEFD1F71DBA, "shouldplayerlogevents" },
    { 0x81FAEF75F67DC2F4, "shouldplayerovertimedialog" },
    { 0x42AF21F30BC91303, "shouldplayexplosivedeath" },
    { 0x9649BB4604CCAFD7, "shouldplayfiregesture" },
    { 0x780B5062CDF12E67, "shouldplayhalfwayvo" },
    { 0xA5B94D45649A0322, "shouldplayinteractable" },
    { 0x9E5CB11A086B7E0F, "shouldplaymeleedeathanim" },
    { 0x0D8313AC3C0A8F43, "shouldplayovertime" },
    { 0x68C3836153B502AD, "shouldplaypainanim" },
    { 0xED09D17BA636E986, "shouldplaypainanimdefault" },
    { 0x284BFCCFA6CCB755, "shouldplaypainbreathingsound" },
    { 0x00824D012873A617, "shouldplayplayermeleedeath" },
    { 0x6639FE055952CE88, "shouldplaypushedanim" },
    { 0x485BB4D899349970, "shouldplayscoretobeatot" },
    { 0x45D76C0E8BDE526F, "shouldplayshieldbashdeath" },
    { 0xFCBFC9F6B730C990, "shouldplayshockdeath" },
    { 0x0633108BBF586D31, "shouldplayshuffleenter" },
    { 0x547DC7F23E4B0C8F, "shouldplaysmartobjectanim" },
    { 0x5F610BB559ED5324, "shouldplaysmartobjectdeath" },
    { 0x2010E461B4961C2A, "shouldplaysmartobjectpain" },
    { 0x5CCDEFC35D250309, "shouldplaysmartobjectreact" },
    { 0x2025B707A5EC4AFC, "shouldplaystrongdamagedeath" },
    { 0x65F63A669DC26CF6, "shouldplaystumble" },
    { 0xF44CEB2E2EF3AB04, "shouldplaysuffocatedeath" },
    { 0xFF653C4D65C1974F, "shouldplaytimetobeatot" },
    { 0x4F024C5A014C6EF7, "shouldplaywinbytwo" },
    { 0x96AEB6ABDE282107, "shouldqueuemidmatchaward" },
    { 0xCA62329A3332436C, "shouldreacttolight" },
    { 0x40DB5A1FA9C12B8A, "shouldreacttonewenemy" },
    { 0xF3D32FC1CF4AB191, "shouldrecorddamagestats" },
    { 0x9FB58124B4BB018B, "shouldreflect" },
    { 0x6C44638AB1CC7F17, "shouldrefundsuper" },
    { 0xC8FF52D48A6E67CB, "shouldreload" },
    { 0x9173B47A6A6C7C3A, "shouldreloadwhilemoving" },
    { 0xEB389EC78FF7894F, "shouldremovefromarbitraryuptrigger" },
    { 0x894E46D3AD31CAFC, "shouldresetgiveuponsuppressiontimer" },
    { 0x9852F2D1AA9D172E, "shouldrespawn" },
    { 0x7D33C963AC515F9E, "shouldrestartaimchange" },
    { 0xACBC099296074DDB, "shouldrunserversideeffects" },
    { 0x2D6280D9EBF4EF85, "shouldshoot" },
    { 0x12EC0BED4C3DD344, "shouldshootduringlongdeath" },
    { 0xB5D00D1C84F5C6C8, "shouldshootenemyent" },
    { 0xEBEBA8A191A389A0, "shouldshootplayer" },
    { 0x0C9E770F6C64998C, "shouldshowcompassduetoradar" },
    { 0x2A588E0155F50B8E, "shouldshowcoverwarning" },
    { 0x9B548BE9B7F9AE1D, "shouldshowtutorial" },
    { 0x530515861F3385F2, "shouldshowwidemapshot" },
    { 0xCA37791BAAA276C0, "shouldskipdeathshield" },
    { 0x6E124855214F8B24, "shouldskipdeathsound" },
    { 0xB79365F206AAFC8F, "shouldskipdeathsshield" },
    { 0x46FFB23C0F3F7C17, "shouldskipfirstraise" },
    { 0xBC061ED3B6ED945F, "shouldskiplaststand" },
    { 0x41BD2F1D6138B099, "shouldskippotg" },
    { 0x4F32DCB5B40088F7, "shouldsmartobjectreact" },
    { 0xB207910136B6EF5E, "shouldsnaptocover" },
    { 0xB414F6B39938813D, "shouldsnaptocover_checktype" },
    { 0xC5422A55F3B9C75D, "shouldsniperbeginfiring" },
    { 0xB164BC6285EB046B, "shouldsniperidle" },
    { 0xE47A835FE3763547, "shouldspawnbots" },
    { 0xC91E128C3178F35C, "shouldspawndropscommon" },
    { 0xED677E90D3D89C07, "shouldspawnloot" },
    { 0x684ECF64FBE3B070, "shouldspawntags" },
    { 0xF8D57F97A2F765A5, "shouldsplash" },
    { 0x52CCAAD44386B0CB, "shouldstartarrival" },
    { 0xBB0B093DC81FC29F, "shouldstartarrivalpassthrough" },
    { 0x1930803520B806FE, "shouldstartarrivalpassthroughcivilian" },
    { 0x158C98C46B1128DF, "shouldstartarrivalpassthroughswitch" },
    { 0x1BD542B1A0FC020C, "shouldstartarrivalpassthroughswitchcustom" },
    { 0x3314DD5D17B90B29, "shouldstartarrivalpatrol" },
    { 0x562278BEF8CEC604, "shouldstartcasualarrival" },
    { 0xA10E9EF3D2685ABA, "shouldstartcasualarrivalaftercodemove" },
    { 0xA6003ADFF79978B6, "shouldstartcasualarrivalwithgun" },
    { 0xCDC58C0DB9856E38, "shouldstartcasualarrivalwithgunaftercodemove" },
    { 0x6ABDB05B304C8E5B, "shouldstartcustomidle" },
    { 0x3458B65C9DF90FA4, "shouldstarttraverse" },
    { 0x4469C86D4C0BAC0C, "shouldstayalive" },
    { 0x307AA16978556603, "shouldstopcustomidle" },
    { 0xB08088562F15769D, "shouldstrafe" },
    { 0xF1F9B7C83869688A, "shouldstrafeaimchange" },
    { 0x51766C448E665146, "shouldstrafearrive" },
    { 0xDD27DAC0BB894828, "shouldstumble" },
    { 0x265AD5313E838D19, "shouldsuppress" },
    { 0x6ADCA18E53322472, "shouldswitchtosidearm" },
    { 0xB1E9F8A8E71C4E68, "shouldtakedamage" },
    { 0x40C55D54EC5A923C, "shouldthrowgrenade" },
    { 0x18D7FE00526B3C32, "shouldthrowgrenadeatenemyasap" },
    { 0x957F5C50728C00BB, "shouldtracksuperweaponstats" },
    { 0x9B99FA9A579E542B, "shouldtransitionparams" },
    { 0x8EF6FB289A50161A, "shouldtraversetransitionto" },
    { 0xF1E94FA67CA4A1E6, "shouldtryleavenode" },
    { 0xC077FBFAC2AA52E7, "shouldupdatesquadleadermovement" },
    { 0x888E0A0ED414BB38, "shouldusedamageshieldanim" },
    { 0x07E7E42DADAD6571, "shoulduseexplosiveindicator" },
    { 0xEF81038197AA9F00, "shoulduselasertag" },
    { 0xE9F32C211BAD1809, "shoulduseprecomputedlos" },
    { 0x609E63C69B29E1F3, "shoulduseteamstartspawn" },
    { 0xB6E738F3C6115B5B, "shouldusewallsize1" },
    { 0xB6E739F3C6115D8E, "shouldusewallsize2" },
    { 0xB6E73AF3C6115FC1, "shouldusewallsize3" },
    { 0xB6E73BF3C61161F4, "shouldusewallsize4" },
    { 0x1445A37C79099678, "shouldusewarparrival" },
    { 0xA09402F0CE4EB9D3, "shouldusewarpnotetracks" },
    { 0x601C884FBCF52542, "shouldverifydedicatedconfig" },
    { 0xFCD01BECD6F3B827, "shouldwaitforsquadspawn" },
    { 0xD0D6C715B5F64916, "shouldwalkandtalk" },
    { 0x8ABB6E5C0EBC368A, "shouldwallrunshoot" },
    { 0x5A3C37D14AE5CDC6, "shouldwallruntovault" },
    { 0xBDB1FA9C97C6DE03, "shouldweaponsavealtstate" },
    { 0xADC2D0B98BAB710F, "shouldxmike109hitmarker" },
    { 0x2F6418B7FA7A4EC6, "shouldzombiespawntags" },
    { 0x58DD10EE467D48EA, "shove" },
    { 0x59722B40612BFC0E, "shove_gesture" },
    { 0x98FE6EB14DE14AD8, "show" },
    { 0x5116E54BB404FE51, "show_active_modules" },
    { 0x66410F7AA29A221B, "show_aftermath_cars" },
    { 0x7497FFD54ADB9E23, "show_aftermath_debris" },
    { 0xE044E4F609F5F031, "show_aftermath_geo" },
    { 0x15A7E18027383081, "show_aftermath_windows" },
    { 0xA16451F6516E7301, "show_ai_marker_vfx_to_player" },
    { 0x198C66BB861AEFE7, "show_ai_within_scan_range" },
    { 0xB8D32F8B334AB7B2, "show_ai_within_target_circle" },
    { 0x3E76F2BE8256DA56, "show_all_cover_nodes" },
    { 0xF3BFA2B09B389239, "show_all_non_overwatch_ied_marker_vfx_to_player" },
    { 0xC6595644A88BA07C, "show_all_player_wave_started_splash" },
    { 0x0E3F38DB23D9E495, "show_all_revive_icons" },
    { 0x9A01AE8113EEE853, "show_animname" },
    { 0xA09AE5DED6687E60, "show_animnames" },
    { 0x5A7C048ED8471C20, "show_arrivalexit_state" },
    { 0xC5A5792D831FE716, "show_bad_path" },
    { 0x1D8026F8D9CE27F6, "show_balloon_deploy_hint" },
    { 0x4BE5D3DFD0E8D68A, "show_balloon_purchase_hint" },
    { 0x1B2937E73A04D5A5, "show_betting_to_players" },
    { 0x9B19BA9DBB610B52, "show_bomb_to_drone" },
    { 0x9AA1C2336884C6FE, "show_bullets" },
    { 0x19BA7412D61EE0F1, "show_charge" },
    { 0xB065C6B801E66468, "show_chopper" },
    { 0xD8CFF6536FD37D4C, "show_clacker" },
    { 0x20D4E9440019F5D1, "show_combat_icon_to" },
    { 0x4388D8BDE354DF74, "show_critical_target_icon_to_player" },
    { 0x044B1AF5B94D6922, "show_cursor_on_prompt_knife" },
    { 0xFBAA2D42E1137142, "show_damage_direction" },
    { 0x5485BEC82C43E265, "show_damage_state_health_ratio" },
    { 0xC929C8D4AA62633B, "show_deposit_hint" },
    { 0x82F0DC131EBDA655, "show_destroyed_choppers" },
    { 0xBA067F71FAC0F6BA, "show_dist_override" },
    { 0x3D56D3A3682D99D4, "show_document" },
    { 0x125D2237974B78C0, "show_encounter_scores" },
    { 0xF5C4D0AFA34662C0, "show_enemy_ai_to_overwatch_player" },
    { 0xA7A7AE5F5968BF58, "show_enemy_hvt_get_away_message" },
    { 0xD866F4AAEA158D3C, "show_ent_array" },
    { 0x3580E926EFB2C2BA, "show_entity" },
    { 0xA33ADDB921655C4B, "show_ents" },
    { 0x0324DDF72D6AFD93, "show_exfil_progress" },
    { 0xDC90D7A375431867, "show_exploder_models" },
    { 0x6D9121480737C750, "show_exploder_models_proc" },
    { 0xCC2C8F58A309EF3C, "show_fake_player" },
    { 0x5BB1C0CBA94ABD7A, "show_false_positive_dot" },
    { 0xF2A808E54F5DBACB, "show_false_positive_dots" },
    { 0xB5F56378448A38AB, "show_finale_bloodsplat" },
    { 0x0AD9D156742B7DFE, "show_garage_waypoint" },
    { 0x9DB23D58789EB76C, "show_getcash_hint" },
    { 0xA469F566C87615CC, "show_give_up_hint" },
    { 0xACA434E87313EF43, "show_head" },
    { 0x3CF3A96EA0C8BDF2, "show_headicon_to" },
    { 0xDFDB6FBD29820E0F, "show_health" },
    { 0xD22C7FEC4C3CF6CB, "show_health_on_objective_icon" },
    { 0xACB13AE8732210FA, "show_help" },
    { 0x052BD2CF8445B935, "show_hint_after_delay" },
    { 0x008C40A249910E06, "show_hud" },
    { 0xF98EE61929B88B43, "show_hud_listener" },
    { 0xF7063AFB87C39F7A, "show_hud_listener_logic" },
    { 0xAA0296A71A369B2D, "show_identified_ied_to_non_overwatch" },
    { 0xEFAD8A841D9379F9, "show_identified_ied_to_overwatch" },
    { 0xD7B379CEA59EC01C, "show_identified_ieds_to_overwatch" },
    { 0xEF0C39A23BA406D5, "show_ied" },
    { 0xF54151555DA5B31A, "show_ied_nearby_message_think" },
    { 0xBAF02EE622899BF4, "show_ied_zone_to_player" },
    { 0x14AFA15323F171E0, "show_interact_vehicle" },
    { 0xB8A5FFDBAC1F19CD, "show_introscreen_text" },
    { 0x5FCC8216162D727D, "show_label" },
    { 0x4C7374D791437857, "show_marker_to_tv_station" },
    { 0x48C18173BD885509, "show_mask" },
    { 0xB2E30DE86C0FCC06, "show_middle_enemy_turret" },
    { 0x6FC70A9C4BAA69EF, "show_name_on_basement_intro_skip" },
    { 0x4720814B5889EB5D, "show_non_overwatch_ied_marker_vfx_to_player" },
    { 0xC29831D13E5D0310, "show_objective_icon" },
    { 0xEFAED99A1D333DCF, "show_objective_tutorial" },
    { 0x8475A524A26D82C5, "show_objective_widget" },
    { 0x5A06A3752B6B899C, "show_on_minimap" },
    { 0x0E7BBCDDDCD79F00, "show_player" },
    { 0x475CD8BAF1F67083, "show_player_clip" },
    { 0xA55B5F4D9327E993, "show_players_breadcrumbs_to_safe_house" },
    { 0x9123A0A91B7EDC0E, "show_plunderboxes" },
    { 0xB47803F4EA437633, "show_regroup_text" },
    { 0xFC1899C716B3E019, "show_respawn_hint" },
    { 0xEA61499A50D849EF, "show_respawn_hint_lastplayer" },
    { 0x008F0AB47943946C, "show_revive_icon_to_player" },
    { 0xCFBB0213AA9FA166, "show_rocket_fuel_readings" },
    { 0x9EEC039E89A0FD6B, "show_running_tool_message" },
    { 0x8D17AA7A073BD3D7, "show_safehouse_regroup_text" },
    { 0x41B43FAA0561253F, "show_scaffolding_mayhem" },
    { 0x7122B6BC3D056E71, "show_selection_menu" },
    { 0x24C935FE153A03D8, "show_self_pressed_buttons" },
    { 0x23E85123D2DFFF54, "show_solid" },
    { 0x2977BB9EEE788558, "show_spotted_text" },
    { 0xF72DE4C8AB0AF48E, "show_stealth_meter_to" },
    { 0x98593394AE7E122B, "show_stealth_meter_to_all_players" },
    { 0x2909FC9170E01CE8, "show_targetnames" },
    { 0xCB962BD3F93FCA75, "show_terrorist_respawner" },
    { 0x2E4EE238FFA50219, "show_to_players_that_are_near" },
    { 0x94870F71B56FD741, "show_tripwire_hint" },
    { 0xF81D985D88D59777, "show_turret" },
    { 0x0A4EA485EB2C674E, "show_unidentified_ied_within_scan_range" },
    { 0x0D977ED685911AFD, "show_unidentified_ied_within_target_circle" },
    { 0x90B400C98A6B4AAF, "show_vehicle_damage_state" },
    { 0x3F375066ACF53C33, "show_vip_waypoints" },
    { 0xC7C63FF80CD803CA, "show_wave_hud" },
    { 0x3F8C2E8C793C59EE, "showactors" },
    { 0x4722E5F16D2118A6, "showallambulancesforplayer" },
    { 0xD947B5E1B80AF676, "showallambulancesforteam" },
    { 0xDD2B8A5AC9438721, "showallcachesimmediate" },
    { 0x3B590A2AFD1EF851, "showallcachesonroundstart" },
    { 0x0A12CC32CB7A249F, "showallparts" },
    { 0x75D09FF019B066A1, "showandhidebreachobjectsbasedonavailability" },
    { 0x3DAA7C55B0B1DF5C, "showarmorvestmodeldelayed" },
    { 0xD00CCD2156ED8D97, "showassassinationhud" },
    { 0x8A94D9D80C16C060, "showassassinationtargethud" },
    { 0x1A35AE4AB663C1A7, "showassplash" },
    { 0x82B412D2FE201E75, "showballbaseeffecttoplayer" },
    { 0x173FF8EB7045CC80, "showbaseeffecttoplayer" },
    { 0xDAD8D127E443053C, "showbettinghud" },
    { 0xA85AA02406525D93, "showcaches" },
    { 0xC31D28168FA63B62, "showcapturedhardpointeffecttoplayer" },
    { 0x811391A5B58A2253, "showcashbag" },
    { 0x0662A9FB3CED421A, "showchallengesplash" },
    { 0x8A209454C6F57E9E, "showcinematicletterboxing" },
    { 0xC70A80004E47D09E, "showclosingmessage" },
    { 0x1CEE2B12A15A5EA7, "showcontestedbrush" },
    { 0x33D3C5C3667F6F14, "showcratesplash" },
    { 0x0EDF95B98F251553, "showdangercircle" },
    { 0x0244C6B2F62F5B4D, "showdebugline" },
    { 0x363416406741E2BF, "showdebugproc" },
    { 0x55E22E20961D2736, "showdebugresult" },
    { 0xD51AE190D316290C, "showdebugtrace" },
    { 0xF5439920B54CE044, "showdiscountsplash" },
    { 0x44AB08DA986119DF, "showdroplocations" },
    { 0x89A06A969D13DCE3, "showelem" },
    { 0x02D161BEF6E06798, "showemergencyhint" },
    { 0xA4FAAFBA26352A61, "showempminimap" },
    { 0xDD8DC32904F0036E, "showendzonevisualsforteam" },
    { 0xDFAC9EA93601F9C4, "showenemybrush" },
    { 0xE2A08696093E37F6, "showenemycapturebrush" },
    { 0x8B62840183BE62F0, "showenemycarrier" },
    { 0x21D984CDFF2E49D0, "showenemydeathloc" },
    { 0xCB7A389271B88BFD, "showerrormessage" },
    { 0xC99B39FD13EFC3CF, "showerrormessagefunc" },
    { 0xA4CBEF254BDDDD9F, "showerrormessagetoallplayers" },
    { 0xAAFF9702CAA43E6F, "showexfilstartsplash" },
    { 0x3DB96C9E3128129C, "showextractionobjectivetoteam" },
    { 0x2FE3370B18BDC060, "showextractiontime" },
    { 0xF8CBB7DEF04B4517, "showfakeloadout" },
    { 0x39B64B2E03E10104, "showflagoutline" },
    { 0x1DC06480FF23ACFA, "showflagradiuseffecttoplayers" },
    { 0x4F506F08BF330031, "showfriendicon" },
    { 0x1EB9C3CCF87F4B35, "showfriendlybrush" },
    { 0xDA99D583739D5BBD, "showfriendlycapturebrush" },
    { 0x64DBB90191D60B0F, "showfxarray" },
    { 0xE3966BD6E69E2793, "showgamemodeobjectivetext" },
    { 0xEA6BDBC004506307, "showheadicon" },
    { 0xB828193F30BE807E, "showheadicontoenemy" },
    { 0x52F136AD243DE103, "showheadicontoplayersinmask" },
    { 0x5AB8156964C039C1, "showhint" },
    { 0xEEA9FFEDFF58B181, "showhud" },
    { 0x43791454B5407D9A, "showhudsplash" },
    { 0xF45D057AF4D31A49, "showicon" },
    { 0xD5A4F9E87D5ECC08, "showing_bomb_wire_pair_to_player" },
    { 0x9673B06C168087E6, "showing_damage_state" },
    { 0xBE8AE78089CE3325, "showing_ied_nearby_message" },
    { 0xC4541F73A548CD17, "showing_the_stealth_meter_to_players" },
    { 0xE5DAAEEEDC67EC21, "showing_ui_record" },
    { 0xD54541EB4A5E4992, "showingcursor" },
    { 0xED0F9AD9ED29CD37, "showingfinalkillcam" },
    { 0xEB25130DC771124E, "showinkillcam" },
    { 0xD0105BE57DBE2DA7, "showintelinstancetoplayer" },
    { 0x076E63A24CA83310, "showintelscriptablestoplayer" },
    { 0x911AFCFBBC96ECD1, "showkillstreaksplash" },
    { 0xC0AA5601D476BD39, "showlastenemysightpos" },
    { 0x990AF2C123169F65, "showlegs" },
    { 0xE4BEF14B0E71E526, "showlegsandshadow" },
    { 0xE2E8AD674C725743, "showlines" },
    { 0x3AE2934221CC6263, "showmapchyron" },
    { 0x2FA9197F331AB7E5, "showmaphinttilused" },
    { 0xDB3970E9C506C67C, "showmatchhint" },
    { 0x86AF3ECFF7BF691D, "showmayhem" },
    { 0x0EC6BC313405CB2F, "showmessage" },
    { 0x74A7493C06C91867, "showminimap" },
    { 0xF017108E5E604DC7, "showmiscmessage" },
    { 0x871753BC3902EAC3, "showmiscmessagetoteam" },
    { 0x5651D512B3838C2F, "showmwlogo" },
    { 0x4891F4E71EC14F75, "showneutralbrush" },
    { 0x5FA0D99E508B815A, "showninfected" },
    { 0x1BF041486324C449, "shownonscriptableextracticons" },
    { 0xADEA75BC019A6143, "shownonspectatingwinnersplash" },
    { 0x2B3403FA4C723505, "showntoents" },
    { 0x30D87FE5B1CC40AF, "showntoteams" },
    { 0x73BF6371B802285E, "shownukelocation" },
    { 0xD0BC733B23BFF61E, "showobjprogress" },
    { 0x4412414D7FFDFDB8, "showobjprogressbackup" },
    { 0xC1EBA334F243AB2A, "showonclient" },
    { 0xEF69A8597513E703, "showoncompass" },
    { 0xDD0926AA6B6C4DEE, "showonlytoplayer" },
    { 0x8C3A267590E38510, "showonminimap" },
    { 0xE150D21BC9969D33, "showonscreenbloodeffects" },
    { 0xA1C15CA5EE0C0C8D, "showpart" },
    { 0x2DB9DFE587262992, "showplacedmodel" },
    { 0x71B6FE186106B5DC, "showplacementsplashesandmusic" },
    { 0xDF164FC145C6630C, "showplayerlowermessagehint" },
    { 0x84746F22EC8C5688, "showplunderextracticonsinworld" },
    { 0x8F7132B508AC20C7, "showprogressforteam" },
    { 0x05E7ECA6048CDCF2, "showquestcircletoall" },
    { 0xBCAEB9D9F10D75F6, "showquestcircletoplayer" },
    { 0xB4CE32E5E6A61E2E, "showquestobjicontoall" },
    { 0x87A96A1ABB23395A, "showquestobjicontoplayer" },
    { 0xB272886EA7629A84, "showqueuehud" },
    { 0x9467AA28F3A2751D, "showrespawntimer" },
    { 0xD05DBE36D152BF07, "showrespawnwarningmessage" },
    { 0xFEBC18296CBCF175, "showrouter" },
    { 0x9EDFFB4A03075869, "showsafecircle" },
    { 0x74ED13E197008EA5, "showseasonalcontent" },
    { 0xB4CE5CC7BB9828DC, "showshadow" },
    { 0xC3B0373D6462E392, "showspecificteamprogress" },
    { 0x827D2B9DBBBBB907, "showsplash" },
    { 0x80D74F5BC02DE65E, "showsplashinternal" },
    { 0x90FDB2B0561CAFE9, "showsplashtoall" },
    { 0x15F85E8FAC50AA8D, "showsplashtoallexceptteam" },
    { 0x8051EF95AD131803, "showsplashtoteam" },
    { 0xF9975DF9895E5D74, "showsplashwithkillcheckhack" },
    { 0xAAA6654384FBEBC0, "showsuicidehintstring" },
    { 0xA588727A4164974A, "showsuperremindersplash" },
    { 0xAB76AE3176FC31D1, "showtablets" },
    { 0x20F493D278A7E3D7, "showtacmaphint" },
    { 0x3B1EAF031A76CB0C, "showtargetmarkergrouptoplayersinmask" },
    { 0x572AC76F176CABD8, "showtargettime" },
    { 0x98B7228385D8E74D, "showteamicons" },
    { 0x3D2E31EA04041F33, "showteamlittlebirds" },
    { 0xEE57DD149C4BD622, "showteamtanks" },
    { 0x20D7D54732963099, "showtimer" },
    { 0xDA7D9804F8308691, "showto" },
    { 0xAFF15D20387964C8, "showtoall" },
    { 0xE4E5FFC6BBE3C781, "showtoallfactions" },
    { 0x610F54DDC34996FC, "showtoplayer" },
    { 0xB17CA6DF7FF45310, "showtoteam" },
    { 0x2B544258803540F0, "showtozombies" },
    { 0xFF1DE999FA7B4F16, "showtutsplash" },
    { 0x2F0E27C7DAA34965, "showuavminimaponspawn" },
    { 0xEB28DCC56BDC29B7, "showuidamageflash" },
    { 0x02DEC35C78613813, "showuielements" },
    { 0x2576235BD412B708, "showuseresultsfeedback" },
    { 0xC0C5D32305DF9002, "showvalueincreasesplash" },
    { 0x5773CD2DCAA3AEEE, "showviewmodel" },
    { 0x8FC164A505DB931A, "showwaverespawnmessage" },
    { 0xA3255DA5C641398E, "showweaponmagattachment" },
    { 0x80A25557E6A6CE7D, "showworldicon" },
    { 0x603707368B2E5B21, "showzonecontestedbrush" },
    { 0x6D9ACBDCD48F1C22, "showzoneenemybrush" },
    { 0x5D953850BD0ECE7F, "showzonefriendlybrush" },
    { 0x7071A9761688B4C7, "showzoneneutralbrush" },
    { 0x2E12E22411DCF5A0, "shrapnelregendelay" },
    { 0xBAB1602542FC28B7, "shrink_poi" },
    { 0xEDAE2A61A09746F5, "shrink_poi_into_the_bank" },
    { 0x329068A80940DD4A, "shufflefromnode" },
    { 0x4C429C7E4184C776, "shufflenode" },
    { 0xFA5ADFA49392CE2E, "shut_down_laser_trap" },
    { 0x2EB96F00DA4231F3, "shut_down_station" },
    { 0xE72225684C8DE257, "shutdown" },
    { 0x904A18A85E2F6BCF, "shutdown_battlechatter" },
    { 0x7DAE40AC36F850B7, "shutdown_player_stay_behind_ai" },
    { 0x1DBD4D4FF0E03331, "shutdown_squadbattlechatter" },
    { 0x75937B802851C609, "shutdownattractionicontrigger" },
    { 0x5B98879C784F5671, "shutdowncontact" },
    { 0x0C29F7D3C39D2EAA, "shutdowndropbagobjectiveicon" },
    { 0x424B838E4CE8D7AC, "shutdownenemysystem" },
    { 0x0E1C750DD46E75CD, "shutdowngulag" },
    { 0x437D17A1F199FA00, "shutdowngulagforalivecount" },
    { 0xA37D766FD959D4FF, "shuttingdown" },
    { 0x70E96BE209551A25, "shutup_when_hit" },
    { 0xB393A71C424FF771, "side_alley_player_blocker" },
    { 0x12791DB94E1BD86D, "side_arm_array" },
    { 0xBE19957AAC5FA8C2, "side_breach_1f_vo" },
    { 0xDDCF7D4B9F2FBD50, "side_window_kill_target" },
    { 0x4186847A5BEF6008, "side_window_moveup" },
    { 0x5AF078EDFBC6F789, "side_window_target" },
    { 0x93DC75E5EE4C380C, "sidearm" },
    { 0xDAAE5D8BC553DCDB, "sidehouse_intel_sequence" },
    { 0x71081DC18FF96DAF, "sideisleftright" },
    { 0x9273F5DEF1097B2D, "sidekillcount" },
    { 0x77EA860A4811410D, "sideoffset" },
    { 0x9E5BA8391994C7FA, "sidesteprate" },
    { 0x19D3106870E39F63, "siege_a_xpos" },
    { 0xFF20325509E9C9BA, "siege_a_ypos" },
    { 0xD58E1499E6111E2D, "siege_a_zpos" },
    { 0x5413AE2B5188F80C, "siege_activated" },
    { 0x79833D5C7048BDC8, "siege_b_xpos" },
    { 0x9437236FD744D809, "siege_b_ypos" },
    { 0x8F31612C50B0ECF6, "siege_b_zpos" },
    { 0x992293634EC0FDAA, "siege_bot_team_had_advantage" },
    { 0x3BE419C51198ECB7, "siege_bot_team_need_flags" },
    { 0x3344AAEA989D3763, "siege_bot_team_triple_cap_check" },
    { 0xA1FF0730E302CAD1, "siege_c_xpos" },
    { 0x055D0112D9A59110, "siege_c_ypos" },
    { 0xEAAA22FF72ABBB67, "siege_c_zpos" },
    { 0xEE1991AE9BBB8DB2, "siege_speedscale" },
    { 0x8438DB0EE94FECC3, "siegeflagcapturing" },
    { 0xC51AE0EF8D8F8A4F, "siegegameinactive" },
    { 0x29ED25C5907345B2, "siegelatecomer" },
    { 0x15976CBC6766BB6C, "siegetimeleft" },
    { 0xCC629952BE0497AA, "siegetimerstate" },
    { 0x5431FF788BA9348B, "sight_blocker_markers" },
    { 0xE915DA3D93F1407A, "sight_blocker_models" },
    { 0xAEBC4DE8688F8A21, "sight_distsqrd" },
    { 0xF2D0C96FBEBA21AD, "sight_ignore" },
    { 0xA3A9D96B4B392332, "sightconetrace" },
    { 0xC381B16C1A544FA5, "sightedenemies" },
    { 0x2169E1DC93426469, "sightlastactivetime" },
    { 0x29E8D0B77E6E78B0, "sightlatency" },
    { 0xAB235C079F825B7F, "sightmaxdistance" },
    { 0x616F70035DCD68C8, "sightpos" },
    { 0x4C1741E2551673D9, "sightposleft" },
    { 0xD558DF0EEB634841, "sightpostime" },
    { 0x7559B1A874D3B1B7, "sightstate" },
    { 0x5C20C2BFCBFF1E93, "sighttime" },
    { 0x4292BAE821058808, "sighttrace_from_player" },
    { 0x4A758FC1E9807763, "sighttracepassed" },
    { 0xFE06C131BA948427, "sighttracepoint" },
    { 0xA6707EB1575909A0, "sign" },
    { 0xC6A26F91CFFF53AD, "sign_reflections" },
    { 0xCA7BCED8091B93E4, "signal_nag" },
    { 0x403FD299A472FA1F, "signal_strength" },
    { 0x46C35DD7A821E4F9, "signal_yaw" },
    { 0x26CCD69F05B6E714, "signalfiremain" },
    { 0x5DE5D47BA330F39C, "signallightsthink" },
    { 0x7D987E3E17D5A3F6, "signalomnvar" },
    { 0xD089EF622BBA1192, "silenced_pistol" },
    { 0x9F662FD80D710199, "silenced_shot" },
    { 0x833FC1921E749E0B, "silencer_pick_up_monitor" },
    { 0xDB8BD8CCAEB9A3A5, "silentplant" },
    { 0xC7353D52A19B082D, "silo_door" },
    { 0xEB74D756C0C5A0E0, "silo_door_clip" },
    { 0x273313FBBE525899, "silo_door_cover_jugg" },
    { 0x5C4F44FFA585E907, "silo_door_cover_spawners" },
    { 0xFA4379FCDE556081, "silo_door_jugg" },
    { 0x28E6FCCC15C65493, "silo_door_left" },
    { 0x032C6C3A34C2119C, "silo_door_right" },
    { 0x8231A7887EDF57F9, "silo_door_runners" },
    { 0xEF789BA8CE065BB8, "silo_jump_dogtag_revive" },
    { 0x1576562E4C9CE54F, "silo_platforms" },
    { 0xA062E96426745206, "silo_thrust_dogtag_revive" },
    { 0xEF81CF1A2438C370, "silo_thrust_platforms" },
    { 0xEA81F787269A3E8E, "silverscore" },
    { 0x473C0CD1BFB85FC5, "silvertime" },
    { 0x9D7BBAF6CD5F3BE7, "similar_convoy_settings" },
    { 0x3F3F57094B0508D6, "similar_nodes_nearby" },
    { 0x94E44CD263998F42, "simple_dialogue" },
    { 0xF4C1586E2A7351ED, "simple_dialogue_on_tag" },
    { 0xBA18DE06CD94CAD0, "simple_gesture_parent" },
    { 0x082469C86F0BB54C, "simple_interaction_idles" },
    { 0xF1BE3EE7F0A107EF, "simple_reposition_node" },
    { 0x464FAB14E37895B1, "simultaneouskillenabled" },
    { 0xBE5501030B116029, "sin" },
    { 0xEE17E029F5D0B075, "single" },
    { 0x3E962BCF915B7B47, "single_anim" },
    { 0x2DC27790D6226E8C, "single_animation" },
    { 0x04DAFE24608F3FD0, "single_execution_a" },
    { 0x04DB0124608F4669, "single_execution_b" },
    { 0xEAA7EBF8567F4426, "single_heli" },
    { 0xFBF71C98054C0FE4, "single_loop" },
    { 0xA15B43F4CD2B98B3, "single_tread_list" },
    { 0x7925B4A1FE6260B3, "single_value_stats" },
    { 0x3A6D8CE931756504, "singleanimtohold" },
    { 0x4A5F21BCFE5BB9E9, "singlefire" },
    { 0xA2AB66028B14F31F, "sipes" },
    { 0x505AD60B51578111, "siren_light" },
    { 0x193AD18B294C0287, "siren_light_setup" },
    { 0xB74E6398BB464E6D, "siren_snd_handle" },
    { 0x891A30F594AD1C8D, "sirens_on" },
    { 0xA62589B15706698A, "site" },
    { 0xBB9EE50F54C883CC, "site_axis_spawnfunc" },
    { 0x609133806B9BAEE5, "site_boss_spawn_think" },
    { 0x3108102E707CBDC9, "site_spawn_think" },
    { 0x6AF7CA02631B0E9B, "sites" },
    { 0x221DF4324E96E4EB, "siteused" },
    { 0xC21E816D1DA80D3A, "siteusedinternal" },
    { 0x61B5F36A13A56606, "sitrepdialogonplayer" },
    { 0x4D16C840A5650719, "sittag" },
    { 0x08860B4FCA5E5FA8, "sittag_angles_offset" },
    { 0x8BC8E0BEAC10524E, "sittag_origin_offset" },
    { 0x8DD620A13C4AD55F, "sixth_sense_players" },
    { 0xEAAB5A8FF523E994, "sixthsense_inotherplayertargetcone" },
    { 0x41AE457485DF1C3C, "sixthsense_playerseesotherplayer" },
    { 0xB921D974DD6C915B, "sixthsense_shouldwarnaboutotherplayer" },
    { 0x05BE55AB113BDF50, "sixthsense_think" },
    { 0x361A31B15A71B058, "sixthsense_think_internal" },
    { 0x38FA7389C0580E70, "sixthsenselastactivetime" },
    { 0x2242276199989485, "sixthsenselastvotime" },
    { 0xD28D57C179FEBB22, "sixthsensesource" },
    { 0x8F2914B0EDC6BEF8, "sixthsensestate" },
    { 0xBE57B47AB838C237, "skill_data" },
    { 0x6E5336739EB69AAD, "skill_names" },
    { 0xCD1E58B3EEBA43C1, "skinref" },
    { 0x4684D418108ABB80, "skip_ahead" },
    { 0x74957F778BDE11B6, "skip_ahead_scriptable" },
    { 0x11AD21856251C902, "skip_ambush_if_ambusher_died" },
    { 0xC8477621665562FC, "skip_basic_combat" },
    { 0x067E650CA5ABEE29, "skip_charge_plant" },
    { 0x88F543F811CF5FDE, "skip_clear_kill_off_flag" },
    { 0x75C07DF366A5C5D3, "skip_context_melee_anim" },
    { 0x13FC90A02CBDF48B, "skip_credits" },
    { 0x1A5751A87AACFED8, "skip_default_intro_anim_scene" },
    { 0x67B7F22F14826EC8, "skip_dko_check" },
    { 0xA647B022063D7710, "skip_door_exiters" },
    { 0x765FD6D1D4A69AB0, "skip_ending_bink_thread" },
    { 0x1CF232CB2A3F3D39, "skip_fallen_vo" },
    { 0x182F7544A7BA9A79, "skip_forward_score_factor" },
    { 0x285E6A80B2881762, "skip_friendly_fire_check" },
    { 0xDA59A67C5DA97215, "skip_friendly_fire_nag_on_death" },
    { 0x5B93B477F24C4C44, "skip_friendly_fire_nag_on_death_bed_civ" },
    { 0xC99F7D86B2BDF445, "skip_friendly_fire_nag_on_death_rush_civ" },
    { 0x87AA96C17E146386, "skip_front_2_logic" },
    { 0x6C72F7B7F1D31140, "skip_going_to_alarm_or_nearest_cover" },
    { 0xE3A2BB103B1BC749, "skip_idle" },
    { 0x9D75437397E84309, "skip_interaction" },
    { 0x992985E6B3D3D62A, "skip_interrogation" },
    { 0x72C20DC6BD1C815F, "skip_intro" },
    { 0x66013D47AAD0DC2F, "skip_intro_sound" },
    { 0x5192EED944C34D81, "skip_loadout_menu" },
    { 0x201DC830FE2B2DA5, "skip_mother_and_marine" },
    { 0x3FA1A3D604471266, "skip_nav_check_on_spectate_respawn" },
    { 0x9237855BB7DDBADA, "skip_navmesh_check" },
    { 0x5081290F264A8064, "skip_next_friendly_fire_nag" },
    { 0x4931B20D566F61CE, "skip_outro" },
    { 0x3F5538DBAA7152CF, "skip_overheat" },
    { 0xDA1A72ED82A3F2DC, "skip_pilot_kill_count" },
    { 0x7D3243D3374AAB6B, "skip_player_pos_memory" },
    { 0x36BC5A451D1B1CB9, "skip_playerhudphoto" },
    { 0xBB3650DE87AA7F6E, "skip_screen_fx" },
    { 0x6C019CA1E734685B, "skip_soldier_spawn" },
    { 0x707C6A99D7A28159, "skip_to_final_phase" },
    { 0x8768E10B28A79CEA, "skip_wait" },
    { 0x62D50E70CA17333C, "skip_weapon_check" },
    { 0xD0A5B97536BBC884, "skipbloodpool" },
    { 0x1DB1094588D99993, "skipburndown" },
    { 0xE75C969202ECCE76, "skipburndownforclass" },
    { 0x266D5E0D15B5A99A, "skipburndownforvehicle" },
    { 0xFAECE0594F308DFF, "skipburndownhigh" },
    { 0x88F4691B98B1BAC3, "skipburndownlow" },
    { 0x5EFF9FF0017DE1EC, "skipburndownmedium" },
    { 0x3DB3BF99D0EEF001, "skipchildrenkillingscene" },
    { 0x146A907119F319DA, "skipcorpse" },
    { 0x9808AD2D71F2266C, "skipdeath" },
    { 0xCD067EB671949921, "skipdeathanim" },
    { 0xFBF2FC6B3EC1A0E0, "skipdeathcleanup" },
    { 0x435F1FF31EF1FA9D, "skipdeathicon" },
    { 0x716B493FFE51466F, "skipdefendersadvantage" },
    { 0x8584528DB0437C00, "skipdescription" },
    { 0xBDA1C4D33C34CBEB, "skipdetonation" },
    { 0xC9DBE1B702DB0F87, "skipdyingbackcrawl" },
    { 0xC6B36A9F2ABF4374, "skipequipmentdropondeath" },
    { 0x9BC32C11E27DAA4F, "skipequippedstreakcheck" },
    { 0x1B8C1E4E5DEB6BBD, "skipfinalkillcam" },
    { 0x80654EBD8649D33B, "skipfinalkillcamfx" },
    { 0x0367F0C86756664C, "skipfirstraise" },
    { 0xC28097D49F71B795, "skipfriendlyfire" },
    { 0x44233F54AF2B1881, "skipignoredamage" },
    { 0x2FED618BB1988238, "skipinfil" },
    { 0xEF5933833A089071, "skipkillcamandspawn" },
    { 0x0D79F005A0FABCE7, "skipkillcamduringdeathtimer" },
    { 0x947D31834E6D3542, "skipleaderupdate" },
    { 0x2851C12A414F23C2, "skiploadout" },
    { 0x442D110BDC1047EC, "skiplogic" },
    { 0x610FFE99552FAD00, "skipminimapicon" },
    { 0xFAA3B4B53EC40FF9, "skipminimapids" },
    { 0x2A390FDC6914149B, "skipondeadevent" },
    { 0x749716635493E3AE, "skippable" },
    { 0x54A49672F4A07A48, "skippable_bunker_ending" },
    { 0xE02B3DD116000C02, "skippable_drive_scene" },
    { 0x4712CE7FA5543818, "skippable_ending" },
    { 0x78492CB723B72769, "skippable_ents" },
    { 0x2971CB84EFFA64BE, "skippable_heli_intro" },
    { 0xF8E3980EE46D516F, "skippable_intro" },
    { 0x168D7BC3DB1F4758, "skippable_picc_ending" },
    { 0x2B7EF3F110BA77A8, "skippable_tunnels_transition" },
    { 0x38B2A7C9ED0E8D5B, "skipped" },
    { 0x514DEFD84A4CE4B2, "skippedkillcam" },
    { 0x8B0F77608FFCE5C2, "skipplaybodycountsound" },
    { 0x2F0B6430818D10E6, "skippointdisplayxp" },
    { 0xB1648E8C9CC60FD0, "skipprematch" },
    { 0x6A9299C4E1B2F790, "skipprematchdropspawn" },
    { 0x671A6A1E2FB4C7AD, "skipscriptable" },
    { 0x4CE46F2E10C42416, "skipspawncamera" },
    { 0xDEC6878C1B70CB4D, "skipsplash" },
    { 0x47AE2E5BDC524B00, "skipstealthcanseecheck" },
    { 0x33307310FECDB225, "skiptofound" },
    { 0x110852474AA1CFDF, "skiptouching" },
    { 0xED35586BF5339255, "skiptraversals" },
    { 0x6A4AB629FFF789AB, "skipuavupdate" },
    { 0xDC7895A7C152E9DA, "skipvehiclespashdamage" },
    { 0x1A35670D3BEC7B9C, "skipweapondropondeath" },
    { 0x09C6D6B6C80C3C4D, "skit_func" },
    { 0xC1715B29F3627FE9, "skit_fx" },
    { 0x9B446294CF1C2013, "skit_logic" },
    { 0xA663FBF2D5C407EC, "skit_name" },
    { 0xD8EA9C1F08E1621A, "skybox360" },
    { 0xBA8F314B42997ABD, "skycolor" },
    { 0xBD4E1C00758B924D, "skydive_beginfreefall" },
    { 0xD1C024E6D77B5978, "skydive_cutautodeployoff" },
    { 0x1A64960151C66736, "skydive_cutautodeployon" },
    { 0xBD1CBDD7CAFF6973, "skydive_cutparachuteoff" },
    { 0x61D5A03C67942A0F, "skydive_cutparachuteon" },
    { 0x9095D9F205B914FD, "skydive_deployparachute" },
    { 0x0B4ED87EACB86C25, "skydive_dest" },
    { 0x0C42377D0E87BDA3, "skydive_idle" },
    { 0xA94C3327C8DFEBA1, "skydive_idle_move" },
    { 0x1E8B22086157B180, "skydive_interrupt" },
    { 0x96B8BD1111FEC094, "skydive_setbasejumpingstatus" },
    { 0xA6E743AD69D8B276, "skydive_setdeploymentstatus" },
    { 0xBE11A55DBDD53914, "skydive_setforcethirdpersonstatus" },
    { 0x3EC95D7BAB6895F8, "skydivehintnotify" },
    { 0x3F9E229E0BB3185D, "skydiveontacinsertplacement" },
    { 0xA0BF60729CA26BF5, "skydivestreamhintdvars" },
    { 0x7EFBAA1E7AF8827E, "skydomeintensity" },
    { 0x99DA3F96F4D73F65, "skydomelighting" },
    { 0x75D21C5FE735FA6F, "skydomeradiosity" },
    { 0xD2A01A45AE8C68CE, "skylight" },
    { 0x8A6143349052F2B8, "skyrotation" },
    { 0xCDD12778F51B455E, "sl" },
    { 0x02294C9420B8DEF2, "slam_price" },
    { 0xF775CC2539DDBDA5, "slamcamoverlay" },
    { 0xEFA76AF4D83692A7, "sledge_hits_door" },
    { 0xDDCDCB5F38AA9374, "sledge_marine_advancing" },
    { 0x606CAECF100B40A7, "sledge_marine_cowabunga_advance" },
    { 0x92F540DFBAD2CB48, "sledge_put_away" },
    { 0xA4D4D98E2084DBD4, "sleep" },
    { 0x6992168DF4A04FB2, "slide" },
    { 0xA5710A411F1EAA36, "slide_airlock" },
    { 0x38CF8FEAC7B87A87, "slide_monitor" },
    { 0x854696250E7998FD, "slide_trig" },
    { 0x9D526808A9F433CF, "slidemodel" },
    { 0x23F7912042BAD994, "slidemonitor" },
    { 0xECDF751354011A5D, "slidetriggerplayerthink" },
    { 0x14E9615823D23F59, "slidevelocity" },
    { 0x00B9099A5EE368A8, "slopecleanup" },
    { 0x7715B5C6E283CE0A, "slopelocked" },
    { 0xD7C887D9B4D470A5, "slopeupdate" },
    { 0x5DB7BDB121F8F075, "slot" },
    { 0x30209A867B05E567, "slot_array" },
    { 0x73D56C3252EA72E6, "slot_cap" },
    { 0xF791C5B3EDB2498B, "slot_number" },
    { 0x26E780A90ED2EA77, "slotkillstreak" },
    { 0x5D18F6D920F10D07, "slotomnvars" },
    { 0xFC716573F4639A57, "slow_aim_ramp" },
    { 0x28AA802D6D2F3CE9, "slow_down" },
    { 0x94D72677EEC5DFC3, "slow_down_if_leader" },
    { 0x2914A4DD99E0B87D, "slow_health_regen" },
    { 0x16D58741768C529B, "slow_react_enemy" },
    { 0x11FE3683D5E3B661, "slow_react_stop_animscripted" },
    { 0xBEE11E7F1493139D, "slow_react_type" },
    { 0x0FD6587FB38D5BD3, "slow_scene_speed_while_offscreen" },
    { 0x49E35707D54503B7, "slow_tread_vfx_trigger_speed" },
    { 0x57451AA82B21D70D, "slowed" },
    { 0x5721EFA82AFB30C4, "slowmo" },
    { 0xDEB30C9426D23F13, "slowmo_active" },
    { 0x5FBAD7DB6B6B6272, "slowmo_lerp_in" },
    { 0x4918C18D7B99E5AB, "slowmo_lerp_out" },
    { 0x1C5D30694A923996, "slowmo_no" },
    { 0x126CDFC3A4C78472, "slowmo_passive" },
    { 0xA7457724ADF63BC7, "slowmo_setlerptime_in" },
    { 0x2D46A8AAD6C65CCC, "slowmo_setlerptime_out" },
    { 0xA00D6E21D6CD3AE5, "slowmo_setspeed_norm" },
    { 0xFB66E72E6AB2ED9E, "slowmo_setspeed_slow" },
    { 0x4047C931A81F13CF, "slowmo_system_defaults" },
    { 0x5D535ADFA3943B6B, "slowmo_system_init" },
    { 0x7720CD8F60D1724C, "slowmo_yes" },
    { 0x13A9E171401514DC, "slowmotionendofgame" },
    { 0x52C9EF9B7A68C590, "slowreactweapons" },
    { 0x0E7393046C933C12, "smallesthole" },
    { 0xF3D36C95914E93A3, "smallestoccluder" },
    { 0xE510937BD0008629, "smart_dialogue" },
    { 0xFC2D61C938E2C99B, "smart_dialogue_generic" },
    { 0x1084C061273F68F6, "smart_dialogue_no_combat" },
    { 0x28B2B47ECC3C68E3, "smart_dialogue_or_radio" },
    { 0xF0EA4C677FC6EE88, "smart_dialogue_tracked" },
    { 0x2737F5AB521AA5A9, "smart_objects" },
    { 0x890149B71302BD2D, "smart_player_dialogue" },
    { 0xDB37CFBED1076B19, "smart_player_dialogue_gesture" },
    { 0x34769D7EC3D88BF9, "smart_player_dialogue_interrupt" },
    { 0xDE3647FE7EC2EBD1, "smart_radio_dialogue" },
    { 0x0F0D69666358DC7D, "smart_radio_dialogue_interrupt" },
    { 0x6B0FDD15634D7B65, "smart_radio_dialogue_overlap" },
    { 0xB8FB2B293BA0B0E2, "smartfacingpos" },
    { 0xC100D8F3FF97D4D5, "smartobject" },
    { 0x3B5265388D6A78AB, "smartobject_earlynotifier" },
    { 0xE5D185A9FC497B8F, "smartobject_notetrackhandler" },
    { 0xC49885B440FD47DA, "smartobject_setnextuse" },
    { 0x89D2580DD3F21F4E, "smartobject_shouldexitintomove" },
    { 0x1748A2AF6B393EF2, "smartobjectcomplete" },
    { 0xB7005E2A79C99CB0, "smartobjecthasexits" },
    { 0x30DE33D003A455FF, "smartobjecthasintro" },
    { 0x85AA01469DDA0597, "smartobjecthaslogic" },
    { 0x074DD8169CF7366E, "smartobjecthasoutro" },
    { 0x6C2E7C5F21BF5A23, "smartobjectinit" },
    { 0x4B0B057C5A8A45EA, "smartobjectnotetrackhandle" },
    { 0xBCDFA22642757676, "smartobjectpoints" },
    { 0x0CB1C69B1AE8A912, "smartobjects" },
    { 0x2B5A03D4C8B3761F, "smartwatchinteract" },
    { 0x2E48397D24A05271, "smeansofdeath" },
    { 0x749C5939ACE7B64B, "smeansofdeathshitloc" },
    { 0xCBC95CF44EC087F1, "smellouterradiussq" },
    { 0x1D8294EE2AABD89E, "smellradiussq" },
    { 0xBE43F8030AFF4202, "smg" },
    { 0x0B203534C202CCA5, "smg_flank_player" },
    { 0xBBDBE400446E6382, "smg_weapons_array" },
    { 0x1436B55EE63913C8, "smodelcollections" },
    { 0x5C2920AB82D4C152, "smoke" },
    { 0xF2A9B50DFEEC207A, "smoke_canister" },
    { 0x9822147E0A41C50C, "smoke_canister_end" },
    { 0x4F97119806756FFA, "smoke_canister_spawn" },
    { 0x6242253FC780A7B5, "smoke_canister_start" },
    { 0x5CEE74F5AFB8A199, "smoke_check" },
    { 0x185DD221F704A0A0, "smoke_death_fail" },
    { 0xC2CCF00E279ACC0D, "smoke_death_timer" },
    { 0x34F3F9A86EA784CF, "smoke_door" },
    { 0xC1F48344F6F3F327, "smoke_emitter" },
    { 0xD85FA024EC94A772, "smoke_enemy_think" },
    { 0x4F9DFEC515B38B81, "smoke_fx" },
    { 0xFCC1ED25212552B7, "smoke_fx_ent" },
    { 0x991DE9944437E0F9, "smoke_grenade_late_death" },
    { 0x1940CA70A58AE0FD, "smoke_hint_handler" },
    { 0xEF69FFB19AAF5A41, "smoke_init" },
    { 0xE76201DCD12B2E03, "smoke_lasers" },
    { 0x3FA8896F0E7A72AB, "smoke_nag" },
    { 0x4669F2BF2C2832FB, "smoke_screen" },
    { 0x11CFB99B8D1F44F7, "smoke_thread" },
    { 0x6B4FA99BCFA10505, "smoke_thrown" },
    { 0x6BCD8858E835BF1E, "smoke_thrown_in_streets" },
    { 0x4ACB2D750B876D29, "smoke_timeout_handler" },
    { 0x2B0544B2FE396F6D, "smoke_up_landing_zone_for_enemy_ai" },
    { 0xEF6BFFE164415835, "smoke_wheelson_chosen_spawn" },
    { 0x83340F30B9E4E9C2, "smoked" },
    { 0x7908121CDCD9B02F, "smokefiremain" },
    { 0xA36AA9BDE0CA0D3B, "smokeglvfx" },
    { 0x445750DE89DE566D, "smokegrenadeexplode" },
    { 0xD72B1331500B76F5, "smokegrenadegiveblindeye" },
    { 0x2ACBB4B5BD6C3F82, "smokegrenademonitorblindeyerecipients" },
    { 0x0E410C4B787548DD, "smokegrenadeused" },
    { 0x68F70B6E87CCC5A6, "smokekill" },
    { 0xF2FEFDE4166C79DF, "smokeleft" },
    { 0xD8778B4F56F350A2, "smokesignal" },
    { 0xAC54D128FF0DD4F5, "smoking" },
    { 0xF55D81912B78BDCC, "smoking_death" },
    { 0x17CFB2F643976248, "smoking_idle" },
    { 0xD1FD39A94C5803DA, "smoking_idle_end" },
    { 0x38A2AF80F5ADDFAF, "smoking_idle_start" },
    { 0x754575A9D1ACBBE1, "smoking_react" },
    { 0x2C2A826EA1D29BB5, "smokinggunclassindex" },
    { 0xFD793C503A2FD2D6, "smokinggunprogress" },
    { 0x050BF8ED3A170789, "smoothstep" },
    { 0x4BC1A5E21BEA3C90, "smtobjgetdamagedir" },
    { 0x82A242B0E53F4B47, "smuggler_base_room" },
    { 0x62E45F2550DCFB17, "smuggler_collect_loot" },
    { 0x540F4383AAE91E4A, "smuggler_disable_loots" },
    { 0x1A34F71024499D18, "smuggler_door_lock" },
    { 0xC4252841A5D08E57, "smuggler_door_unlock" },
    { 0xAE18B0D550F4A39E, "smuggler_heli" },
    { 0x66AA8A380DA8DCCE, "smuggler_heli_objective" },
    { 0x7769C19216F2CDE8, "smuggler_heli_waittill_javelined" },
    { 0x8C968FE12EB56789, "smuggler_interactions_threaded" },
    { 0x795AE6A402DC7D33, "smuggler_killed_early" },
    { 0xB35BB00AEAE8E32A, "smuggler_last_collector" },
    { 0x877421AC5BC2DC07, "smuggler_loot_activate_func" },
    { 0xA3C65085AEA979C0, "smuggler_loot_collected" },
    { 0x0B7A6B90B6D881E1, "smuggler_loot_despawn" },
    { 0xAC9394833FF7EC1F, "smuggler_loot_hint_func" },
    { 0xAAA8F3BFB0EC2ECA, "smuggler_loot_init_func" },
    { 0x4549C420D35EA301, "smuggler_loot_max" },
    { 0x33E25133FA87524A, "smuggler_post_tele_kill" },
    { 0x45D8A8B20AA04705, "smuggler_spawn" },
    { 0xC2EF52B220B9C5FA, "smuggler_temp_ending" },
    { 0x5B710AFD0DF3071C, "smuggler_timeout_backup" },
    { 0x5A2A8D6EF310E033, "smuggler_too_far_fail" },
    { 0x1EB46E6CC8A3EEDC, "smugglercache_init" },
    { 0x12EE8F7FB5E3BF10, "smugglermdl" },
    { 0x0674087638F5A155, "snake_cam_control" },
    { 0xED6D4DEC6639A006, "snake_cam_logic" },
    { 0xAB978F6550CC11CA, "snake_door_cam_hud" },
    { 0x3E0C57402EED90EB, "snake_door_cam_hud_blur_v2" },
    { 0x3E0C56402EED8EB8, "snake_door_cam_hud_blur_v3" },
    { 0x20829E4BE1D1BF96, "snakecam" },
    { 0xADFA2996CFA9F601, "snakecam_activate_func" },
    { 0x87697ED3C3823265, "snakecam_active" },
    { 0x9A1F62D621ECAD69, "snakecam_allow_exit" },
    { 0xBB71494715346CB0, "snakecam_allow_exit_prompt" },
    { 0xE13C834C9609924B, "snakecam_catchup" },
    { 0xCF5AB5EC6D055159, "snakecam_controls_hint_clear" },
    { 0x4499FE152CB14EB0, "snakecam_controls_hint_cleared" },
    { 0xE8F0836E5F252048, "snakecam_controls_hint_handler" },
    { 0x940B7EE84954FC3F, "snakecam_controls_hint_timeout" },
    { 0xCF956175691D995F, "snakecam_cursor_hint" },
    { 0xD0F4B90D4C35C109, "snakecam_delay_visionsetchange" },
    { 0x08DCDA53B61462B9, "snakecam_dialogue_manager" },
    { 0xE273A682F97874D9, "snakecam_enter_fadein" },
    { 0x2D5C7F5F69951FC4, "snakecam_exit_input_manager" },
    { 0x1CE645B10C288673, "snakecam_exit_manager" },
    { 0x847440DD63E04662, "snakecam_exit_monitor" },
    { 0x372B3C0070F80C4A, "snakecam_exit_ui_manager" },
    { 0xB72144136569CEDB, "snakecam_force_exit" },
    { 0x65F76B7F7583E9AE, "snakecam_griggs_find" },
    { 0x7CF71BF14823663D, "snakecam_griggs_setup_vo_done" },
    { 0xCD3C0527930C16CD, "snakecam_hint_func" },
    { 0x5954B31360B97304, "snakecam_hint_timer" },
    { 0x0C6BE6A5ADB39838, "snakecam_init_func" },
    { 0x9E760844E6563C97, "snakecam_light_on" },
    { 0x4B8559191643A9AA, "snakecam_main" },
    { 0x6154AD780E7C6559, "snakecam_make_yellow_marine" },
    { 0x8E563529BCD73645, "snakecam_marine" },
    { 0x853380D00BA8ECF8, "snakecam_marine_behavior" },
    { 0x48760B5F0EE4DA08, "snakecam_marine_forcespawn" },
    { 0x479C1FBD247FD17B, "snakecam_marine_moveto_node" },
    { 0xD62E1A41B3AFFE81, "snakecam_marine_reached_node" },
    { 0x1638CE80EEC03ED8, "snakecam_marine_spawn_monitor" },
    { 0xD7BB84714FD925F4, "snakecam_marine_spawned" },
    { 0xD7BB72714FD8FE5E, "snakecam_marine_spawner" },
    { 0xF5F794374895D614, "snakecam_marine_spawner_immediate" },
    { 0x70DED8425B949EAF, "snakecam_marine_timer" },
    { 0x26E92D6CD87154F7, "snakecam_movement_monitor" },
    { 0x72AF4E111656758A, "snakecam_sequence" },
    { 0x5F19ABFBBB0D7D3F, "snakecam_setting_up_vo" },
    { 0x85E0AE14626B9A89, "snakecam_start" },
    { 0xA9F5DE43662692D3, "snakecam_to_wolf" },
    { 0x1208F1CFA6385E05, "snakecam_toggle_enable_on_delay" },
    { 0x5D31C8710772B232, "snakecam_toggle_waittill" },
    { 0xBB167E6F3F6E770E, "snakecamvision" },
    { 0x4C7B21B571EE74B4, "snap2angle" },
    { 0x0801E01D348253A9, "snap2anglesnaps" },
    { 0x68D6D4F8DE4DE5C6, "snap2normal" },
    { 0xEB6F2E9253CD31E3, "snap_lock_turret_onto_target" },
    { 0xFD254013A342A256, "snapplayertotoppos" },
    { 0x8C7C6B9DF4C94775, "snappointtomapbounds2d" },
    { 0xFD6EAEC4A97E08C1, "snappointtooutofboundstriggertrace" },
    { 0xBF4DD43D348CEBAB, "snapshot_crate_player_at_max_ammo" },
    { 0xC24E6A9094BD7C71, "snapshot_crate_spawn" },
    { 0x1F696976977B94AD, "snapshot_crate_use" },
    { 0xBE52FC4FCDB4F1EA, "snapshot_get_flight_dest" },
    { 0xDB896D5D511B3F23, "snapshot_grenade_applysnapshot" },
    { 0x6313D61A17902171, "snapshot_grenade_cleanup_danger_icon" },
    { 0xB756D016ADC8B051, "snapshot_grenade_cleanup_mover" },
    { 0xC2B5D1305E7FC768, "snapshot_grenade_clear_outlines" },
    { 0xD35FC046BE31AE04, "snapshot_grenade_create_marker" },
    { 0xB42D040FD0B2582D, "snapshot_grenade_createoutlinedata" },
    { 0x9B2413F3A312E912, "snapshot_grenade_delete" },
    { 0x9498E73CAAEAAD6D, "snapshot_grenade_destroy" },
    { 0xDD26C23B294E218A, "snapshot_grenade_detect" },
    { 0xCCE664BD3A5DC1B2, "snapshot_grenade_empapplied" },
    { 0x441BD71394F1EAAD, "snapshot_grenade_handle_damage" },
    { 0xC8F9EF37F728FFBA, "snapshot_grenade_handle_fatal_damage" },
    { 0x64F2FBDAC48108CE, "snapshot_grenade_update_outlines" },
    { 0x1AF1FE422A0B8888, "snapshot_grenade_used" },
    { 0x06C96A58A01FCBCB, "snapshot_grenade_watch_cleanup" },
    { 0xFF3272F3332C2DB9, "snapshot_grenade_watch_cleanup_end_early" },
    { 0x3C4E3A810345D18B, "snapshot_grenade_watch_cleanup_outlines" },
    { 0x1FA12FB83DE32C79, "snapshot_grenade_watch_cleanup_outlines_end_early" },
    { 0xBD06861270DA998D, "snapshot_grenade_watch_emp" },
    { 0xCBC6CDFA879DBF5B, "snapshot_grenade_watch_flight" },
    { 0xB6DF1489955EF4A5, "snapshot_grenade_watch_marker_end_early" },
    { 0x69F961BBEF482D50, "snaptospawncamera" },
    { 0xB1F9D353023D45EE, "snaptotargetentity" },
    { 0xCDBCB519D778A34A, "snatchspawnalltoc130done" },
    { 0x915F009103AC7573, "snd_channelvolprio_holdbreath" },
    { 0x73A62DB1C3E04DA4, "snd_channelvolprio_pain" },
    { 0xD11B59AD120625EC, "snd_channelvolprio_shellshock" },
    { 0xF9B96123BAFA9B33, "snd_doppler" },
    { 0x83E069F50B60D1EC, "snd_doppler_stop" },
    { 0xB559674FD8FF61D9, "snd_doppler_tick" },
    { 0xA8917D4C0E35AAD1, "snd_enveffectsprio_level" },
    { 0x21E9CB61F729B191, "snd_enveffectsprio_shellshock" },
    { 0x9CE12F4E1ABF4A60, "snipe_laser" },
    { 0x400E5C8D8FD305B3, "snipe_me" },
    { 0xA3280692E250EAA9, "snipe_whiz_sfx" },
    { 0x8DFD4374EF371542, "sniper" },
    { 0x96ADC4C8975F5CF9, "sniper_achievement_check" },
    { 0xCBBA5BFE68129A89, "sniper_allieslogic" },
    { 0xC0A3D83CFCB129A4, "sniper_assist_target" },
    { 0x19E33896B6DA2FDF, "sniper_backup_spawners" },
    { 0x0C54714CBBAF0805, "sniper_breakout_behavior" },
    { 0xD7B8EDCB3B885CD9, "sniper_bullet_fly" },
    { 0x48C58F9D3827BE33, "sniper_bullet_keeps_rotating" },
    { 0xE40479A9D3715672, "sniper_bus_civ1_down" },
    { 0x9D0F0A5F2671919B, "sniper_bus_civ_enter" },
    { 0xE2331DD5D5EE3535, "sniper_bus_civ_outcome" },
    { 0xFE582A038046F951, "sniper_bus_rescue" },
    { 0x1ED54F06CCAB9BE0, "sniper_bus_terry_bullets" },
    { 0x115CAB320E78DBB7, "sniper_bus_terry_logic" },
    { 0xDD130F21C77E25AB, "sniper_check_for_target" },
    { 0xABA0A219E1F6998F, "sniper_combat" },
    { 0xC2E0620B2A178673, "sniper_combatlogic" },
    { 0xD15746989F979406, "sniper_convergence_time_multiplier" },
    { 0x44EE992C610C3C41, "sniper_cover_group_trigger" },
    { 0xB78F9049AE08D731, "sniper_damage_func" },
    { 0xA80AF4FD42278F3A, "sniper_death_enter" },
    { 0xF6DE4495D07799DA, "sniper_death_func" },
    { 0x8780416F7B725ED2, "sniper_death_monitor" },
    { 0x4C8011CC79462624, "sniper_death_watcher" },
    { 0x97C3F0E014772F61, "sniper_deathfunc" },
    { 0x8B5F170CAE2F993D, "sniper_dialogueintrologic" },
    { 0x310CC1FE0B65B071, "sniper_dialoguelogic" },
    { 0x5D5E464E61A32480, "sniper_dialoguerelocatelogic" },
    { 0xFCABD8FDE4A16323, "sniper_dialoguesightedlogic" },
    { 0x1B4408D7BF28D33E, "sniper_enemy_watcher" },
    { 0x340384AE34F5192A, "sniper_enemyglinton" },
    { 0x01BC307C0229CFF1, "sniper_enemylogic" },
    { 0x0FD77C8B8FC07092, "sniper_enemyrelocate" },
    { 0xB2F875D388917758, "sniper_enemyspottedlogic" },
    { 0x1D2AE75005FE1BF7, "sniper_enemytargetentitylogic" },
    { 0x24593D6DCEBC6272, "sniper_exit_nest" },
    { 0xB43190569E6A0932, "sniper_fire_perfect_shot" },
    { 0xED206A054686F394, "sniper_fire_shot" },
    { 0xE9602B5CC47F8DE5, "sniper_fired" },
    { 0xFD2A8019813D3603, "sniper_fireshot" },
    { 0xAE78601C42361DCB, "sniper_fodder" },
    { 0x2C8DE3A5ED65B54F, "sniper_getenemy" },
    { 0xC81CD1CECAB864D4, "sniper_getenemynodes" },
    { 0xD0CB5CF6F850BA7D, "sniper_getenemyspawner" },
    { 0xE86CF78D30116A8B, "sniper_getimpactstructs" },
    { 0xDE0AEB1839BE8ED0, "sniper_handle_death" },
    { 0xE1636112C5F250E5, "sniper_handle_exit_nest" },
    { 0x68C88824EC59ED97, "sniper_handle_script_control" },
    { 0xE49D9FC6E5DD6192, "sniper_handle_shot_target" },
    { 0x46C1371328CF6D0A, "sniper_handle_shot_target_tracking" },
    { 0x7C4B6ECFE7256B98, "sniper_in_crouch_foliage_trigger" },
    { 0x9676C75AE62CD35E, "sniper_in_prone_foliage_trigger" },
    { 0x86E7777CA017E8A6, "sniper_in_standing_foliage_trigger" },
    { 0xC6A227AFBD436DF8, "sniper_in_warehouse" },
    { 0x2ECD1FD6398DA451, "sniper_init" },
    { 0x19B6D7B61A9424E5, "sniper_interaction" },
    { 0x8BCB2D2159B06A73, "sniper_intro" },
    { 0x22E436FEB6897DE4, "sniper_killplayerlogic" },
    { 0xFED5381365A03552, "sniper_laser" },
    { 0xABC42050B652DD25, "sniper_laser_is_on" },
    { 0x084E0B0F4764650E, "sniper_laser_should_turn_on" },
    { 0x92AB7C4B0AA96261, "sniper_laser_think" },
    { 0xCE5C5FF04A3C26B5, "sniper_laser_vfx" },
    { 0x1B6BBA101AD945B1, "sniper_locked_laser_to_target" },
    { 0xCF74F660DF886D2B, "sniper_logic" },
    { 0x4149F587765F36AE, "sniper_lost_target_enter" },
    { 0xF86F2FD1A88FA6E9, "sniper_lost_target_update" },
    { 0xC3F38A764975F7E6, "sniper_main" },
    { 0x140EAA18AF56CE1A, "sniper_nest_scriptable_dmg" },
    { 0xBAF77FB948CC6E9B, "sniper_perch_setup" },
    { 0xFC100594BF6C0257, "sniper_pickup" },
    { 0xB04391C5F74B8C5B, "sniper_player_monitor" },
    { 0x1D36262FC0AEDDCA, "sniper_playerlookingatenemy" },
    { 0x8D1C3584A46EC6DB, "sniper_players_connect_monitor" },
    { 0x034950886237A8B3, "sniper_playerscreenbloodeffectlogic" },
    { 0x940781798F15144D, "sniper_postdeathlogic" },
    { 0xC3993B405ADDA754, "sniper_recue_abort" },
    { 0x9AFC6D473C2EF9E7, "sniper_reload_enter" },
    { 0x94992C861BEA3012, "sniper_reload_update" },
    { 0x766EF9CBC64CDFCF, "sniper_rifle" },
    { 0x1C0EB76B21F3FCF2, "sniper_rifle_nag" },
    { 0xA874D39BABB28CF3, "sniper_rifle_name" },
    { 0x3DA08B9F1C884B76, "sniper_rifle_pick_up_monitor" },
    { 0xA3EFC7004F1578D0, "sniper_seek_target_enter" },
    { 0xADD13BCF8C9B87AD, "sniper_setup_destruction_notify" },
    { 0x7A5E61AFA17714BB, "sniper_shoot_logic" },
    { 0xD3ED403FB57226CB, "sniper_shoot_target_enter" },
    { 0xD56BB403F826A176, "sniper_shoot_target_internal" },
    { 0x7FCA28C9CF5B82B1, "sniper_shot_target" },
    { 0x5976E7A9A9468EEE, "sniper_spawnenemy" },
    { 0x978EF0A3A4E5678D, "sniper_start" },
    { 0x6A0309D65E62DEAA, "sniper_target" },
    { 0x2F29CFA346C98829, "sniper_target_think" },
    { 0xC7AE387BEF831D69, "sniper_track_allies" },
    { 0xA31A61B12462BAB3, "sniper_tracking_target_enter" },
    { 0xB7654AA4793D63C7, "sniper_tracking_target_exit" },
    { 0x74C24F4EB8D7F556, "sniper_tracking_target_update" },
    { 0x717363E3B5E87A57, "sniper_tracks_friendlies" },
    { 0x6825F809E0338BC2, "sniper_weapons_array" },
    { 0xD157EEB6EB7D0416, "sniper_whizby" },
    { 0xAFCEF9C59A19E89F, "sniper_windshiftlogic" },
    { 0x57C3BEE42B246495, "sniperaccuracyset" },
    { 0x4B47D90648C7C365, "sniperadsblur" },
    { 0x61E41B7D1FDF69DD, "sniperadsblur_execute" },
    { 0x70B9A88B88BB0ECA, "sniperadsblur_remove" },
    { 0xD9D042FECFA84204, "sniperadsblur_supported" },
    { 0xF76CB7DF27325563, "sniperblur" },
    { 0x1E3B0A7C4847CC0C, "sniperdeathcleanup" },
    { 0xED91DFEB733D9B82, "sniperdustwatcher" },
    { 0x728DD766D5C7891A, "sniperglint_add" },
    { 0xAB75993EEC527B09, "sniperglint_cleanup" },
    { 0xDD87D968F8BF3A00, "sniperglint_manage" },
    { 0xC5C70D517057E1C3, "sniperglint_remove" },
    { 0x88C533731F22B06B, "sniperglint_supported" },
    { 0xD7FEB884B8E74812, "sniperhitcount" },
    { 0x4B0E882B4CCAC978, "sniperlaserhackstart" },
    { 0x0B99792B4659AADC, "sniperlaserhackstop" },
    { 0x4F20D23A496B5032, "snipermissileattractor" },
    { 0xC743FC2DEDC7067F, "snipermodel" },
    { 0x506E99F9E8B278BC, "snipernest" },
    { 0xC1EF4022FA6712F7, "snipernest_damage_trigger" },
    { 0xC48B465D89236A60, "sniperroof" },
    { 0xEB66B10810FD0DEB, "sniperroofdestroyed" },
    { 0x7B108B2A16239AC3, "snipers" },
    { 0x2630F6697B975661, "snipershotcount" },
    { 0xFF526BCD3DBF69F7, "sniping_specific_ai" },
    { 0xE5794AB4B93E8BE7, "snowballfight" },
    { 0x9DD816B823BB2686, "snowballfighthint" },
    { 0xD8D63A25593A3303, "snowballmeleewatcher" },
    { 0xBDB26B07D20F5208, "snowfx" },
    { 0xD78C4DBF99D7AB14, "snowmobile_collide_death" },
    { 0xAAEC5B23C0049AE2, "snowmobile_death_launchslide" },
    { 0x09206472ADE4DA59, "snowmobile_decide_shoot" },
    { 0xAEC57503E4BDB8FF, "snowmobile_decide_shoot_internal" },
    { 0xE88ABE73BA59360B, "snowmobile_do_event" },
    { 0x834D64E245CEC186, "snowmobile_get_death_anim" },
    { 0x7198CBA965583A64, "snowmobile_getoff" },
    { 0xB4FDCBC776674ED2, "snowmobile_geton" },
    { 0x1D5C27E690C0407D, "snowmobile_handle_events" },
    { 0x49E7B5A0A7E16982, "snowmobile_loop_driver" },
    { 0xEB1BC90617588DAE, "snowmobile_loop_driver_shooting" },
    { 0x710B124EF19A795C, "snowmobile_loop_passenger" },
    { 0x390E67637195EFE4, "snowmobile_loop_passenger_shooting" },
    { 0x22221A4A971CAD5B, "snowmobile_normal_death" },
    { 0x3C6B7847E57C8436, "snowmobile_path" },
    { 0x7955A3777BE913EC, "snowmobile_reload" },
    { 0x9A093438709C528C, "snowmobile_reload_internal" },
    { 0x297CCD3292058F96, "snowmobile_setanim_common" },
    { 0x9D3DC4C960465705, "snowmobile_setanim_driver" },
    { 0x608FC8C77DBEB6A5, "snowmobile_setanim_passenger" },
    { 0xBF2A9CA6878635B0, "snowmobile_shoot" },
    { 0x41DAD1CF5E1D7749, "snowmobile_start_shooting" },
    { 0x4484DD2DCFC0AD03, "snowmobile_stop_shooting" },
    { 0x53C702FBBB101F8C, "snowmobile_trackshootentorpos_driver" },
    { 0x0A9A7A94DBE6C8E2, "snowmobile_trackshootentorpos_passenger" },
    { 0xC898FF52E3C61B55, "snowmobile_waitfor_end" },
    { 0xF2783EE59F4C7A0A, "snowmobile_waitfor_start_aim" },
    { 0xA37868B9E47D6B29, "snowmobile_waitfor_start_lean" },
    { 0x3B54E7F895B008B1, "snowmobileshootbehavior" },
    { 0x910E6F729784CB75, "so_displaygameend" },
    { 0xE65811999DB1DCBB, "so_endgame" },
    { 0x41606703223296F6, "so_forceendgame" },
    { 0x7B16153DB61A7086, "so_get_played_time" },
    { 0xD348EFA5CECCE7D4, "so_getstarinfo" },
    { 0x3780238800C44DD1, "so_outcomenotify" },
    { 0x6F593DA15D751579, "so_postmatchfx" },
    { 0x7AA5F01703E21FF9, "so_setplayerdata" },
    { 0x55CB4DE4E50AD4F1, "so_try_restart" },
    { 0xE1D245F5D0F428EC, "soft_reserved_spawn_slots" },
    { 0xD87F1398AFB63AF0, "softlanding" },
    { 0xB7293EE254ABE7ED, "softlandingtriggers" },
    { 0x58BB9E17E671206A, "softlandingwaiter" },
    { 0x67CF223C13F6C1CD, "softlink" },
    { 0x69804E3248F2712A, "softsighttest" },
    { 0x9286EF691EE089DC, "sol_1_pool" },
    { 0x19A6840D09A4D2D7, "sol_2_pool" },
    { 0xC98C2ECFFD9CC5F7, "sol_3_4_pool" },
    { 0x59C7219146E8ADE7, "sol_5_6_pool" },
    { 0x944ADDC4E6EFA199, "soldier" },
    { 0xF5B6157755AFCCD3, "soldier_agent_lwfn0" },
    { 0xF5B6147755AFCAA0, "soldier_agent_lwfn1" },
    { 0xF5B6177755AFD139, "soldier_agent_lwfn2" },
    { 0xF5B6167755AFCF06, "soldier_agent_lwfn3" },
    { 0xF5B6197755AFD59F, "soldier_agent_lwfn4" },
    { 0xF5B6187755AFD36C, "soldier_agent_lwfn5" },
    { 0xF5B61B7755AFDA05, "soldier_agent_lwfn6" },
    { 0xF5B61A7755AFD7D2, "soldier_agent_lwfn7" },
    { 0xF5B61D7755AFDE6B, "soldier_agent_lwfn8" },
    { 0xF5B61C7755AFDC38, "soldier_agent_lwfn9" },
    { 0xC57CD643D3C19FCA, "soldier_agent_specialize_func" },
    { 0x500401CF103091FE, "soldier_agent_specialize_init" },
    { 0x4D1F666F34FB9E75, "soldier_agentfn0" },
    { 0x4D1F656F34FB9C42, "soldier_agentfn1" },
    { 0x4D1F646F34FB9A0F, "soldier_agentfn2" },
    { 0x4D1F636F34FB97DC, "soldier_agentfn3" },
    { 0x4D1F626F34FB95A9, "soldier_agentfn4" },
    { 0x4D1F616F34FB9376, "soldier_agentfn5" },
    { 0x4D1F606F34FB9143, "soldier_agentfn6" },
    { 0x4D1F5F6F34FB8F10, "soldier_agentfn7" },
    { 0x4D1F6E6F34FBB00D, "soldier_agentfn8" },
    { 0x4D1F6D6F34FBADDA, "soldier_agentfn9" },
    { 0x463270F3AABB339E, "soldier_damagesubparthandler" },
    { 0x981A9FDDE5223594, "soldier_encounter_test" },
    { 0x70FA9DBF72697C6E, "soldier_enemy_death_func" },
    { 0x919CDD4244FC5568, "soldier_finds_pistol" },
    { 0x13AF14F5EAEE42EC, "soldier_finds_pistol_react" },
    { 0xAC97DEEBB009FF98, "soldier_init" },
    { 0xBDE26092A58BD894, "soldier_init_common" },
    { 0x89697175D1405199, "soldier_investigate" },
    { 0xA48825EA8CB5062D, "soldier_leave_truck" },
    { 0xC403FC80EE64F13C, "soldier_player_listener" },
    { 0xC196A0F356F414E8, "soldier_player_listener_checker" },
    { 0x764D07AC9E9DE5EF, "soldier_specialization" },
    { 0x807FB6DE48435C3B, "soldier_wait_for_door_open_sequence" },
    { 0x5C62014692DC72DB, "soldier_wmhostage" },
    { 0xF5F7832A7CED84E3, "soldierhuntmode" },
    { 0xE2DFE59209A58926, "soldieroffset" },
    { 0xD72CAFF09EE22037, "soldiershockfunc" },
    { 0xD092EF2F73F5B862, "soldierspawnfunc" },
    { 0xAC2B76795B790EC0, "solid" },
    { 0xEB06C1D50A0EA8E4, "solo_fires" },
    { 0x29E19E854A3D72A8, "solo_firing" },
    { 0x9B8336E148EC1603, "solo_gameshouldend" },
    { 0x33B4128F5105DE83, "solo_maydolaststand" },
    { 0x806317FC7FACBCD6, "sololink" },
    { 0x9F9262C596B0E6BD, "solospawn" },
    { 0x06A24DE6E58BCEBC, "solution_exists_already" },
    { 0xE75EA2AC1482926B, "solutions" },
    { 0x836E4FE477088520, "solved" },
    { 0xAEB1577EF15F44B2, "son_react_death" },
    { 0x5A3FB3096A6281F2, "sonanimnode" },
    { 0x8434B638A2AAD2BD, "sonar_tracked_location" },
    { 0xE7E0281082E5E033, "sonicboomsfx" },
    { 0x2F3D3861F51DCB08, "sonictimer" },
    { 0x50C5A4B1190E5B3D, "sort" },
    { 0x714E2219A936DC40, "sort_allies" },
    { 0x2D8E7740E742E64B, "sort_by_ai_assigned" },
    { 0x0C892D988E0D0C6F, "sort_by_key" },
    { 0xB18E48B0B3495756, "sort_by_startingpos" },
    { 0xED74952909E31CA7, "sort_goal_positions_by_priority" },
    { 0x95CFF7AD657D1D18, "sort_players_based_on_previous_kidnap_attempt_time" },
    { 0x27A6477A947B1F48, "sort_reactive_ents" },
    { 0x2F826157EF047800, "sort_wave_spawning_ai" },
    { 0xAB2584928B681F00, "sort_weapon_array" },
    { 0x8C5B4959225948A7, "sortandcullanimstructarray" },
    { 0x3B97E86D9938240F, "sortandreturnowner" },
    { 0xC34C3664E950D591, "sortballarray" },
    { 0x4351D0A15B2E02E7, "sortbydistance" },
    { 0x0C84955F6378CCA4, "sortbydistancecullbyradius" },
    { 0x31E5B15BFCF421E3, "sortbyhvtkills" },
    { 0xCFEAD8B633A98ED7, "sortbyhvttags" },
    { 0x1092AC59580A9EEF, "sortbylastzombietime" },
    { 0x105FB28FD77642AC, "sortbyweight" },
    { 0x009A697F74F749F8, "sortdoorsbydistance" },
    { 0xDFDD518871092BCE, "sorter" },
    { 0x09756C6022A5A53A, "sorthelosize" },
    { 0xB8EC83A1A6C79B47, "sorthighest" },
    { 0x34F8269217ED67B4, "sortkillstreaksbycost" },
    { 0xD7A33ADDDE2F0759, "sortlocationsbydistance" },
    { 0xEA42F5C3D80A463D, "sortlocationsbydistance_closestfirst" },
    { 0xE4DF03EFD6A55279, "sortlocationsbydistance_farthestfirst" },
    { 0x2EF79F8DEC935CEE, "sortlowermessages" },
    { 0x413B5DB1133A7489, "sortplayerplunderscores" },
    { 0x44B195AA52EB5981, "sortsitesbydistance" },
    { 0xA5A5AD7081A3E3F1, "sorttrucksize" },
    { 0x369EF34ABE954297, "sortvalidplayersinarray" },
    { 0xDECECEA543DB8D82, "sortvalue" },
    { 0xC9C5023EACE081B6, "sortwinnersandlosers" },
    { 0x50DF92B1192A5CB1, "sotf" },
    { 0x42B37C05DA13ACE6, "sotf_bot_think_seek_dropped_weapons" },
    { 0x6F673E8099FA57FC, "sotf_crate_can_use" },
    { 0x547E5E4643FFF22B, "sotf_crate_in_range" },
    { 0x2F6999929889C980, "sotf_crate_low_ammo_check" },
    { 0x9E73FA9E6B8F7B0A, "sotf_crate_should_claim" },
    { 0x200BD10AFFAC7353, "sotf_crate_wait_use" },
    { 0xE647A6B3F965911F, "sotf_loadouts" },
    { 0xDC6767C164586BA2, "sotf_should_stop_seeking_weapon" },
    { 0x9FDE935D1F92B114, "sotfcratethink" },
    { 0xF2F25AFD33634781, "sotomura" },
    { 0xF9AB557A4FDED688, "sound" },
    { 0x97A150727F6C6448, "sound_blend" },
    { 0x35548E523A2C68C4, "sound_csv_include" },
    { 0x74B19C3E91A9EFD5, "sound_distraction_mechanic_init" },
    { 0xFFD8B44C65AFD564, "sound_effect" },
    { 0x42774B8DC65499EA, "sound_ent" },
    { 0xFF66BBC28088D7D4, "sound_events" },
    { 0x203779C18003D376, "sound_explode" },
    { 0xEC1670A4A4BBE589, "sound_fade_and_delete" },
    { 0x7F222C1BB079582B, "sound_fade_in" },
    { 0xB949B5DB90E36023, "sound_init" },
    { 0xEB6EBD276F620D02, "sound_mover" },
    { 0x6AFCC983BC410745, "sound_mover_playsoundatpos" },
    { 0xF7731EB51774D94E, "sound_orgs" },
    { 0xFC50A963C6E2A079, "sound_prefix" },
    { 0xE1B820B99AF62C5C, "sound_suffix" },
    { 0x688FE38D267EC9A3, "sound_tag" },
    { 0xA492E4FAEA7DDC48, "sound_tag_dupe" },
    { 0x6B7E998E5EA7208C, "sound_transient_soundbanks" },
    { 0x59C3EF032C8FA2E4, "soundalias" },
    { 0xAAFE1400BEDCF940, "soundaliases" },
    { 0x535D04A0F94D7139, "sounddebouncetimestamp" },
    { 0xA2A480940A9E033D, "soundent" },
    { 0xE1990E6B82951DD9, "soundevents" },
    { 0x07E88C43D642AEE8, "soundexists" },
    { 0x8A40AEA5621D247E, "soundfade" },
    { 0xB128AAD66E129E96, "soundfx" },
    { 0x685F55AE5D04D051, "soundfxdelete" },
    { 0x9DF2A283F9468D92, "soundislooping" },
    { 0x1BD1B9824133C064, "soundorg_int" },
    { 0x9C9C8E25BAEA4324, "soundresettimescale" },
    { 0xF2A3F6FDA712CA01, "sounds" },
    { 0xC02EF46BF57AD776, "soundsettimescalefactor" },
    { 0x4EDA6F8C72028186, "soundsettimescalefactorfromtable" },
    { 0xE1239576F381C3F0, "soundwatcher" },
    { 0x438AECFD265A0C2C, "source" },
    { 0xFC6FC93E24DBFF02, "source_name" },
    { 0x878AF8BD7F099876, "sourcepos" },
    { 0xE4938FBB580934ED, "sources" },
    { 0xFEC99814EBC1B3D0, "sourcetrigger" },
    { 0xE9B763FD0729E98C, "souvenir_hint_displayed" },
    { 0xD9FD9D4B9CC40E2D, "souvenircointype" },
    { 0xCDD13378F51B5FC2, "sp" },
    { 0x267A137099E86DA9, "sp_anim_handle_notetrack" },
    { 0x78F712B99998D60B, "sp_areas" },
    { 0x5F5DBC96AFFF2653, "sp_building" },
    { 0xC314B667C957D55E, "sp_building_exterior" },
    { 0xC81FCB3F62EFB8A4, "sp_building_interior" },
    { 0x1C7E5D9E1499E729, "sp_counter" },
    { 0x700667E8C532BE0D, "sp_embassy" },
    { 0x2A5A73AB18EBF182, "sp_highway" },
    { 0x5EC26BB971B05476, "sp_lab" },
    { 0x0F4173BBA4F3F135, "sp_objects" },
    { 0x8512CDA2119834EC, "sp_skip" },
    { 0xC3C6F3BC5F411FBF, "sp_stealth_broken_listener" },
    { 0xF4D6BD877729E65A, "sp_vehicles" },
    { 0x6D0477A6FF184AF1, "space" },
    { 0x6E15E3B9AD2581FB, "spacegrappleavailable" },
    { 0xE27D504FF6871244, "spacegrapplebeginmove" },
    { 0x15B1AB7EDA3602EC, "spaceship_accel" },
    { 0x98E50754B2609491, "spaceship_boosting" },
    { 0xFA14091345A6D89F, "spaceship_mode" },
    { 0x8D59E78B7BE34B57, "spaceship_rotaccel" },
    { 0xD6CFC4253CB35824, "spaceship_rotvel" },
    { 0x5C2CF1E22FC1CF97, "spaceship_vel" },
    { 0x337D0922CA94FA1A, "spam_density_scale" },
    { 0x3EAE8D56083D1C28, "spam_errors_as_prints" },
    { 0x8DF304E7EB8EE016, "spam_group_hudelems" },
    { 0x3DA81D84BD14B421, "spam_maxdist" },
    { 0xE8F3C3D089118A03, "spam_model_circlescale" },
    { 0xEC87F40F45264AF6, "spam_model_circlescale_accumtime" },
    { 0x19AC7F9F370FF7F5, "spam_model_circlescale_lasttime" },
    { 0x48C8A53D0D762439, "spam_model_clearcondition" },
    { 0x72EC8A08360BDA20, "spam_model_current_group" },
    { 0xBB4AE7F2287CCBB9, "spam_model_densityscale" },
    { 0x514563255B1DFDBF, "spam_model_erase" },
    { 0x46AD5CB25868075A, "spam_model_group" },
    { 0x7294285C34351DDA, "spam_model_place" },
    { 0x8464F59317D09951, "spam_model_radius" },
    { 0x21A732C16864A240, "spam_modelattrace" },
    { 0x06D9077D83ED2EF1, "spam_models_atcircle" },
    { 0x5AFC5BCA43F1050C, "spam_models_customheight" },
    { 0x2398F91662F723DD, "spam_models_customrotation" },
    { 0x9D794D7507B5A4F2, "spam_models_flowrate" },
    { 0x38333407493D3CB4, "spam_models_iscustomheight" },
    { 0xB4C6F6BCE96BBDD5, "spam_models_iscustomrotation" },
    { 0x74C200CE5239DF47, "spam_points_popup" },
    { 0xACCE979BAFE2E130, "spamed_models" },
    { 0x8551D6BFFAEC9D27, "spaming_models" },
    { 0xE4D4B163251A35B3, "spark_pos" },
    { 0xFFAD574263196147, "sparks" },
    { 0x258FFFE497B4E7CB, "spatrolpointscoring" },
    { 0x6CCF6CA6FEDDADAC, "spawn" },
    { 0x029E053D122F4B59, "spawn_1f_civ_jumpto" },
    { 0x802F77A53CE06385, "spawn_1f_civ_left" },
    { 0x3DBEFBE8C1FA3EA1, "spawn_2f_bags" },
    { 0x20F9D6B249D633F2, "spawn_2f_bodies" },
    { 0x429D4C0F364DB7C8, "spawn_2f_civ_jumpto" },
    { 0x15A0426EF9696A15, "spawn_2f_extras" },
    { 0x3536B40905765A4E, "spawn_3f_enemy1" },
    { 0x3536B3090576581B, "spawn_3f_enemy2" },
    { 0xDACF60ECADD64A16, "spawn_3f_hostage" },
    { 0x3123E80A90FA5F8C, "spawn_3f_stairs_enemy" },
    { 0xDB0FE4E463E544BB, "spawn_4player_car" },
    { 0x572A4E46FE13238B, "spawn_ac130" },
    { 0x2BF22EE0DBA18DD1, "spawn_acceleration" },
    { 0x535FBA1AA63CB514, "spawn_additional_covernode" },
    { 0x04515AB6E02CD1E3, "spawn_addtoarrays" },
    { 0xC219E8A110249162, "spawn_agent" },
    { 0xFFF91A619873D1E6, "spawn_agent_player" },
    { 0xDDBD080296690A03, "spawn_ai" },
    { 0x72CAFAE9FE884DD4, "spawn_ai_and_seat_in_vehicle" },
    { 0x6818ADB677342F08, "spawn_ai_func_ref" },
    { 0x286892823D7AC1C4, "spawn_ai_giving_disguise" },
    { 0x92E66156B733F2A7, "spawn_ai_group" },
    { 0x46B0B54A2F0A0887, "spawn_ai_in_truck" },
    { 0x38A7F50ACEDACE8F, "spawn_ai_individual" },
    { 0x1F533BE01BA0B357, "spawn_ai_mode" },
    { 0xA615A83A37F19EB0, "spawn_ai_single" },
    { 0xF661343B8B3267FB, "spawn_ai_solo" },
    { 0xF0234DCAFEEADF05, "spawn_ai_wave_1" },
    { 0xA7F7D885E28C5C8B, "spawn_ai_wave_2_pre_push" },
    { 0x873DCEBD621BF7C7, "spawn_airdrop_at_point" },
    { 0xBC1A07FC1F13DABB, "spawn_aitype" },
    { 0xE02F59772FA8A020, "spawn_aitype_counts" },
    { 0xD72CC4CA2EE87C39, "spawn_alex" },
    { 0x1F9868DBF715E1F1, "spawn_alex_friendlies" },
    { 0xEADFF1A634E8DD94, "spawn_all_unique_drones" },
    { 0x08A691A2C0FFB7EE, "spawn_allies_at_defend" },
    { 0xE9E155CD009A0C1A, "spawn_ally_teams" },
    { 0x919A4E1B2DACC839, "spawn_alpha_team" },
    { 0xB492029D5C241F58, "spawn_ambient_ac130" },
    { 0x1B59B128905864DA, "spawn_ambient_zombie" },
    { 0xE7AD42B7802E7252, "spawn_ambush_enemies" },
    { 0x9A92A48FC79DF9FF, "spawn_and_enter_apc_rus" },
    { 0x90BF19B1A2A2DC98, "spawn_and_enter_cargo_truck" },
    { 0xDFE2EA9E1F460A0D, "spawn_and_enter_cargo_truck_mg" },
    { 0x5130640FAF47B8E7, "spawn_and_enter_cop_car" },
    { 0x150865FA129EDAD5, "spawn_and_enter_hoopty" },
    { 0xD652C6BCC3BD9AD1, "spawn_and_enter_hoopty_truck" },
    { 0x382A1C0D7713B1B8, "spawn_and_enter_jeep" },
    { 0xDFB81AFE72820B49, "spawn_and_enter_light_tank" },
    { 0x3CF68BA188F55022, "spawn_and_enter_little_bird" },
    { 0x2BFB53554BC6E5FB, "spawn_and_enter_little_bird_mg" },
    { 0xB1D446E4F951D98C, "spawn_and_enter_med_transport" },
    { 0x74CE93B436972098, "spawn_and_enter_pickup_truck" },
    { 0xF2177B46387DCCD7, "spawn_and_enter_tac_rover" },
    { 0x8AB48BBFE994BD7F, "spawn_and_enter_technical" },
    { 0x1D8EBE84FFB14371, "spawn_and_enter_van" },
    { 0x8E68C205B323B9DA, "spawn_and_hide_usb" },
    { 0x277470E570937971, "spawn_and_start_c130" },
    { 0xF841CC60E13761E6, "spawn_anim_model" },
    { 0x010DA8411E8494ED, "spawn_anim_weapon" },
    { 0x13B0A96F90091D99, "spawn_animated_intro_civs" },
    { 0x59D9E15E6EC8036A, "spawn_animated_trailer_civs" },
    { 0x855EBB9A97DAEBF7, "spawn_animating_ai_cop" },
    { 0x7E098C03BC77D27A, "spawn_another_group_and_run_regular_death" },
    { 0xBA31F7AD3574B2D3, "spawn_apache_chopper" },
    { 0xB46D11BCB1ED7A78, "spawn_aq_enforcer" },
    { 0xBDF3D14FA2119627, "spawn_aq_enforcer_entourage" },
    { 0xDDBD01029668FA9E, "spawn_ar" },
    { 0xC7E4BE049C4EDB5C, "spawn_assault2_extras" },
    { 0x5E20800FB83BF25A, "spawn_at_mine" },
    { 0x9A8497BE7FAE007C, "spawn_atmines" },
    { 0xB2E8051A78892C9B, "spawn_attackers" },
    { 0x0ABD4D24AC74D8B7, "spawn_attackers_a" },
    { 0x0ABD4E24AC74DAEA, "spawn_attackers_b" },
    { 0x3D540AE130FF969A, "spawn_attackers_fallback" },
    { 0x6F1A4B84686740C0, "spawn_attackers_start" },
    { 0x636379C9DA22563F, "spawn_atvs" },
    { 0xD42FB4CE1722C937, "spawn_back_street_loop" },
    { 0x917D2081DCCF2E2A, "spawn_back_street_traffic" },
    { 0xBD1496796BBA0F3B, "spawn_backup" },
    { 0xE25219D9C8FC7E25, "spawn_backup_helispawner_jammer2" },
    { 0x9E9AE0E9AE9B117A, "spawn_barkov" },
    { 0xF3472D291EE4639E, "spawn_barrel_collision" },
    { 0x7F6C19992EC16069, "spawn_barrel_straps" },
    { 0xE552EBD94F98213E, "spawn_barrel_tracker" },
    { 0xF7D50129DEA00733, "spawn_blackscreen_func" },
    { 0x0EEF4C516DDD841F, "spawn_bodyguard_and_go_to_desk" },
    { 0xCFF04E0E67177D75, "spawn_bomb" },
    { 0x0C41B85E5B795ED3, "spawn_bomb_hostage" },
    { 0xDC057A50A7875351, "spawn_bombardment_aq" },
    { 0x1ADD7CA6348537EF, "spawn_bombers" },
    { 0x20F8345F3F96EBF4, "spawn_bombers_after_plant" },
    { 0xFAF6FB0AB91392F0, "spawn_boss_wave_1" },
    { 0xFAF6FE0AB9139989, "spawn_boss_wave_2" },
    { 0xFAF6FD0AB9139756, "spawn_boss_wave_3" },
    { 0xFD817AABB12E46E0, "spawn_boss_wave_section" },
    { 0x5029C3BB5DD982E9, "spawn_boss_wave_suicidebombers" },
    { 0x391A1854EF030659, "spawn_bot_latent" },
    { 0xCFC9450E66ED2C1B, "spawn_bots" },
    { 0x35485AABDA672CDE, "spawn_boxes" },
    { 0x7C7A9BEB4D4606A9, "spawn_bravo_team" },
    { 0x62B2DC19CFAF1917, "spawn_bridge_badies" },
    { 0x0BCD73F32EA562CE, "spawn_c130" },
    { 0x8222B5EE32BAC7AB, "spawn_c4_interacts_for_train" },
    { 0x4A7A268FE7FE9F4E, "spawn_c6_script_inits" },
    { 0xAE2C608382F13EAC, "spawn_cache4_rpgs" },
    { 0x27B5A0F0BCDA2C57, "spawn_caches_tank" },
    { 0x627F508871D76CCF, "spawn_callback_thread" },
    { 0x299E5CB0DACD3FD9, "spawn_can" },
    { 0xDA1A674AC2E2D547, "spawn_car_and_link_driver" },
    { 0x2E2D475DFC1E91BE, "spawn_car_passenger" },
    { 0xDF2C2239AE42D3E8, "spawn_carepackage" },
    { 0xC7560671393F85AC, "spawn_carriable_at_struct" },
    { 0x48681A5053812AE6, "spawn_carriables_from_prefabs_all" },
    { 0xF6031F77B9483BD0, "spawn_carriables_from_prefabs_min_max" },
    { 0x865B362C03933FDB, "spawn_carriables_from_prefabs_percentage" },
    { 0x240346C1B0A5608E, "spawn_carriables_from_scriptables_individual_percentage" },
    { 0xC5F59C6DB2923082, "spawn_carriables_from_scriptables_percentage" },
    { 0xCB05FE22FD16F4F9, "spawn_carriables_from_scriptables_total_percentage" },
    { 0x70CB2D8F338CB733, "spawn_carried_punchcard_if_player_down" },
    { 0xB9D6C8983AD49BC6, "spawn_chair" },
    { 0xB042CF8D0667C24A, "spawn_check_func" },
    { 0xB391CAB749E40644, "spawn_chopper" },
    { 0x00E98D0EEF8883A0, "spawn_chopper_carepackage" },
    { 0x297B64B0DAA709B9, "spawn_civ" },
    { 0xA629D41E0196B105, "spawn_civ_hvt_for_later" },
    { 0x6AC417CB9031022D, "spawn_claymore" },
    { 0x7626D517ADD33509, "spawn_claymore_group" },
    { 0xB9EC9E7167367D4D, "spawn_closeenemydistsq" },
    { 0x0FA79725831C8109, "spawn_cluster" },
    { 0xCEFA7E0E0B623E93, "spawn_collision" },
    { 0x1D0BEF619EF66C54, "spawn_compound_final_push" },
    { 0xB8E05361EDD3A017, "spawn_convoy" },
    { 0xEA958D4C7252B40E, "spawn_convoy_and_drive" },
    { 0x157116B9BE5B8BC7, "spawn_convoy_and_move" },
    { 0x88EFEDC35B22FD36, "spawn_convoy_apc" },
    { 0xB97F86A95295B155, "spawn_convoy_decho" },
    { 0x327C6B2D42F41D1D, "spawn_convoy_from_type" },
    { 0x0899F6DF3FAAD009, "spawn_convoy_mkilo23" },
    { 0xFC06A95317143A4B, "spawn_convoy_truck" },
    { 0x68F7C45E0869BBEC, "spawn_convoys" },
    { 0x0C8197D88E958C22, "spawn_convoys_as_players_get_closer" },
    { 0x90960AF18592645D, "spawn_cop_from_behind_player" },
    { 0x2E48F9B919B298D1, "spawn_corpse" },
    { 0x5E6E273BE1CD3431, "spawn_corpse_hiders" },
    { 0x7D15D41383C5AC46, "spawn_corpses" },
    { 0x0056FE2400D26CB0, "spawn_count" },
    { 0x628FC44934505CEE, "spawn_cover_nodes" },
    { 0xFB3911D813FD92AA, "spawn_covernode_soldiers" },
    { 0x3EC26BF065019F0C, "spawn_crew" },
    { 0x0341422B21ECD679, "spawn_cross_street_traffic" },
    { 0x74EF08A50CBE4F1F, "spawn_custom_type" },
    { 0x393439EECC1735BD, "spawn_custom_type_array" },
    { 0x590A810132762F89, "spawn_cypher_monitor_model" },
    { 0x5F79CC6AFC3757EC, "spawn_dbldoor_anims" },
    { 0x72779556CB84A1D0, "spawn_dead_body" },
    { 0xC4317718DA9F2F46, "spawn_deadzone_dist" },
    { 0x9AF8B9C9B6CE23EF, "spawn_death_vignette_ai" },
    { 0x768FDFBD525D2C40, "spawn_debug_particles" },
    { 0xAA23F8C228B464CA, "spawn_deceleration" },
    { 0xB3A53DECF92D46BF, "spawn_default_player_spawns" },
    { 0x86A4F5542E86F08F, "spawn_defenders" },
    { 0xD202E47C0429A063, "spawn_defenders_a" },
    { 0xD202E57C0429A296, "spawn_defenders_b" },
    { 0x0744DBD98561E4D6, "spawn_defenders_fallback" },
    { 0x5C9CF4D3BDE5D84C, "spawn_defenders_start" },
    { 0xEF4789FA580E7127, "spawn_disengage_ai" },
    { 0xC78EA43D4A3B438B, "spawn_distant_threat" },
    { 0x497F221987C747F8, "spawn_dogtags" },
    { 0x9D2D8D9896BDB5BC, "spawn_door_anims" },
    { 0x7E26346C380510AB, "spawn_door_model" },
    { 0xBD7E9D18F77C31DB, "spawn_double_cargo" },
    { 0xB6B070AE001B7496, "spawn_downed_friendly" },
    { 0x703853D4C9EA9279, "spawn_downed_pilot" },
    { 0x03A74FCA25E6BAEB, "spawn_driver" },
    { 0xD0C9D9BB1EAB0C0E, "spawn_driver_and_passenger" },
    { 0xB117FB2E792CFB70, "spawn_drone_cop" },
    { 0x197254923ED12778, "spawn_drone_hitbox" },
    { 0x3EAC2E384CF52F1A, "spawn_drones" },
    { 0x98BAD40150976DD8, "spawn_dude_loop_anim" },
    { 0x6542A7DD5BA3C0E4, "spawn_dude_play_anim" },
    { 0xC5E4353F2D8DA7EC, "spawn_dude_play_anim_and_delete" },
    { 0x09C5375A49DC9D4C, "spawn_dude_play_anim_and_delete_animate" },
    { 0x6959A3B3AF9EE393, "spawn_dummy_crate" },
    { 0x36BF69B406A15647, "spawn_dwn_twn_enemy_sentry" },
    { 0xC14E33182FCB7CFB, "spawn_elevator_gate" },
    { 0xBC38643093BA97C8, "spawn_elevators" },
    { 0x03DFBC1B9C71556A, "spawn_endgame_camera" },
    { 0x52F75A842B800461, "spawn_ending_individual_guys" },
    { 0x5ADFAC1CA96C4E28, "spawn_ending_individual_guys_death" },
    { 0xEEB1A1E4F38F1E62, "spawn_enemies_intro" },
    { 0x89BBB5C352553E47, "spawn_enemy" },
    { 0x87BB4948A3881F6B, "spawn_enemy_chopper" },
    { 0x77340285087D56E4, "spawn_enemy_claymore" },
    { 0xCCA5B8EB4BD56449, "spawn_enemy_drone_turret" },
    { 0xA05562638A6B0DBD, "spawn_enemy_juggernaut_single" },
    { 0x28B3D8161A701D58, "spawn_enemy_lbravo" },
    { 0xE5962D2F350DD28A, "spawn_enemy_soldier" },
    { 0xEF61115E0439C348, "spawn_enemy_tank" },
    { 0xAC3C6CC34B085AC1, "spawn_enemy_tanks" },
    { 0xD573CB281EB0CC95, "spawn_enforcer" },
    { 0x53F237812D1D9DF2, "spawn_entity_carriable" },
    { 0x498D03649FFC833E, "spawn_escalation_soldiers" },
    { 0xED1E57A82986DED7, "spawn_escape_heli" },
    { 0x6789565F24E09294, "spawn_escape_weapons" },
    { 0xDA5A3E858EAB2F9A, "spawn_evac_chopper" },
    { 0x02E8ADBC481E57FF, "spawn_exfil_chopper" },
    { 0xE39E92D51D9C2E4C, "spawn_exfil_enemies" },
    { 0x637F55982F4CC8EC, "spawn_exfil_heli" },
    { 0xE234095B51B9F4E7, "spawn_exfil_heli_and_rpgs" },
    { 0x738CFB3BEB3288D8, "spawn_exfil_juggs" },
    { 0xA0B75014786FE39A, "spawn_exfil_paratroopers" },
    { 0xB859188531A6E8D1, "spawn_exfil_techo" },
    { 0x186DF541AB53C4BE, "spawn_extra_collision" },
    { 0x4459467B0A2A8288, "spawn_failed" },
    { 0xDBA1219AE1E43B59, "spawn_fake_ai_vehicles" },
    { 0xC9BAB3286C0D9FAB, "spawn_fake_damage_fx" },
    { 0x1C048D1A6F279D89, "spawn_fake_digit_pool" },
    { 0xC5407B3E4565FF7D, "spawn_fake_letter" },
    { 0x6FB4DC944BA3AB2C, "spawn_fake_loots" },
    { 0x378D51252C67CA80, "spawn_fake_number" },
    { 0x91ECF47CC43A82F3, "spawn_farah" },
    { 0xE44C91DA244837EF, "spawn_father" },
    { 0x8074CAF06193446E, "spawn_field_ai_manager_middle" },
    { 0x6748DBC409D77277, "spawn_field_ai_manager_wall" },
    { 0xB6206E36E4EE04F6, "spawn_finale_wave" },
    { 0x55744544FE74E8DD, "spawn_first_leads_early" },
    { 0x6379AE0D3F39320A, "spawn_friendlies" },
    { 0x77C1F9B1AD75C7FA, "spawn_fulton_ac130_mdl" },
    { 0x2A726FAD17682D77, "spawn_fulton_crate_model" },
    { 0x45908B8D3852AADA, "spawn_fulton_group_use_interaction" },
    { 0x46F6B4883028F1D2, "spawn_fulton_rope_mdl" },
    { 0xD23F8B653EF1A7D3, "spawn_func" },
    { 0x53672FA96D73A4E0, "spawn_funcs" },
    { 0x2A5C2D55F6B3695A, "spawn_functions" },
    { 0xFF4921E4669DE6E8, "spawn_functions_enable" },
    { 0xC0246E372CD4CEB9, "spawn_functions_init" },
    { 0x6B4A848154EE477E, "spawn_fx_on_node" },
    { 0x6BBDF13C315C5983, "spawn_gap_extras" },
    { 0x12A3D00C46194EE9, "spawn_gap_hostage" },
    { 0xAA2C0F4CC8768699, "spawn_gate_guards" },
    { 0x5C688237979B65CC, "spawn_gate_overrunners" },
    { 0x5DD2B751953556FF, "spawn_geos" },
    { 0x5DFEA13BEB0AEB70, "spawn_glowstick_on_struct" },
    { 0xAC5DD889A5627D29, "spawn_goliath_boss" },
    { 0xE555D6C615D4F9A4, "spawn_graycard" },
    { 0x6957DA1A37421781, "spawn_grenade" },
    { 0xAB9B7A40C251E900, "spawn_group" },
    { 0xCBAEC66BC23E4A33, "spawn_group_in_safe_region" },
    { 0xCF14315712BA18A4, "spawn_group_manager" },
    { 0xB8D74F6B5A2467E9, "spawn_groups" },
    { 0xF62A1AC76ACC8CB6, "spawn_guys_at_lz" },
    { 0xAB3B264D32A38648, "spawn_guys_into_truck" },
    { 0x1D921B5FA9018F93, "spawn_guys_on_truck" },
    { 0xEB1EB1541D9DC6DD, "spawn_guys_until_death_or_no_count" },
    { 0x56EFBE617337641F, "spawn_hacker_soldiers" },
    { 0x1111A1EFA2544B6D, "spawn_hadir" },
    { 0x63655CD7CBD2EC46, "spawn_headicon" },
    { 0x03FFC81DACBBBDAD, "spawn_heli_assault2" },
    { 0x41C3DADAC5DDEFB8, "spawn_heli_assault3_fob2" },
    { 0x499CB13DD46D5B9C, "spawn_heli_assault3_hangar" },
    { 0x91D3E25FCB6C91BE, "spawn_heli_assault3_hangar_end" },
    { 0x741F9DDF1CA68CC6, "spawn_heli_farah" },
    { 0x3D96438564E95AB5, "spawn_helicoper_enemy" },
    { 0x2BFBB967D402106C, "spawn_helicopter" },
    { 0x7552334DACB952DA, "spawn_helidown_heli" },
    { 0x51D9DA245F72D069, "spawn_henchman" },
    { 0x74EB18FDE9803821, "spawn_henchman2" },
    { 0x74EB17FDE98035EE, "spawn_henchman3" },
    { 0xC51FFF11B47F748F, "spawn_hidden_reinforcement" },
    { 0x32B7C5BF3E1FF09C, "spawn_hill_friendlies" },
    { 0x83D687396934261A, "spawn_hilltop_heli" },
    { 0xA8F905B07D34D471, "spawn_hvt" },
    { 0x931F9DA7D5FB82AA, "spawn_hvt_in_building" },
    { 0x0AB33986D12EC3ED, "spawn_hvt_waypoint" },
    { 0x3933AE54CC9ADC16, "spawn_idle_cop" },
    { 0x9BE3ECB07423F781, "spawn_ied" },
    { 0x82E98569A4DB7CA4, "spawn_ied_zone" },
    { 0xAC59C074F9F88996, "spawn_in_cover" },
    { 0x90CF280315F0AEE5, "spawn_in_fake_skyhookmodels" },
    { 0xAA80622E6543D2AE, "spawn_in_streaming_bodies" },
    { 0x7CA4A6D6B7A1FD78, "spawn_individual_guys_at_pos" },
    { 0x4ACA127A4861F50E, "spawn_infil_axis_ai" },
    { 0x87221BF4C65E4446, "spawn_infil_bodies" },
    { 0xD68F7A68891FCF22, "spawn_infil_lbravo" },
    { 0x7975FE0FC725C5B7, "spawn_init" },
    { 0x7FD94016562123B7, "spawn_into_c130_without_respawn" },
    { 0x8CF0110FFB7011A6, "spawn_intro_choppers" },
    { 0x45B4CE9FE0ECBB49, "spawn_intro_soldiers" },
    { 0xF654CEB8D0FF00E6, "spawn_intro_trucks" },
    { 0xFA458434365B4649, "spawn_investigate_train" },
    { 0x548027A8F074AA56, "spawn_is_vehicle_spawn" },
    { 0x5EB3325DECB720B0, "spawn_jugg_assault2" },
    { 0x3607FC9C06188436, "spawn_jugg_backup_trigger" },
    { 0x32BF71EDDA82A71B, "spawn_jugg_with_objective" },
    { 0x114B3A3650E526AE, "spawn_juggernauts" },
    { 0x89338408C35C89F6, "spawn_juggernauts_fob" },
    { 0xB294519F648247C0, "spawn_juggernauts_hangar" },
    { 0x5294DD994415338B, "spawn_juggs" },
    { 0x27BC6A6C921FBAE0, "spawn_key_objective" },
    { 0x9A73CEEAB4D9C15F, "spawn_kidnapper_for_player" },
    { 0x87F881A38231639A, "spawn_killstreak_package_on_ground" },
    { 0x5132B0370D1C00E2, "spawn_kyle" },
    { 0xEA9EAFF9B6F6DE24, "spawn_kyledrone" },
    { 0x1BE81628DB473A01, "spawn_lbravo" },
    { 0xC3BB2BBD491435BA, "spawn_ldoor_anims" },
    { 0xDA60AF752B0A6179, "spawn_lead_model" },
    { 0xD559358695D71174, "spawn_light_tank" },
    { 0xC5D1CDADDD106835, "spawn_lillywhite_rescue_police" },
    { 0x18FBB718261C9A2F, "spawn_little_bird_at_location" },
    { 0x911EDA4DFF78818C, "spawn_little_bird_mg_at_location" },
    { 0x142F9EE76EF36BCB, "spawn_lmg_soldiers_01" },
    { 0x142F9FE76EF36DFE, "spawn_lmg_soldiers_02" },
    { 0x142FA0E76EF37031, "spawn_lmg_soldiers_03" },
    { 0x142FA1E76EF37264, "spawn_lmg_soldiers_04" },
    { 0x142FA2E76EF37497, "spawn_lmg_soldiers_05" },
    { 0xD02D9C7321331188, "spawn_looping_fakeactor_wait_for_player" },
    { 0xA409E95190928749, "spawn_loot_pickups" },
    { 0xCCC9538018157710, "spawn_lootcrates_on_each_traincar" },
    { 0xA6514E8C4638E7CF, "spawn_lot_paratroopers" },
    { 0xCF59981072AA4A43, "spawn_lz_spawners_on_landing" },
    { 0x7F58379872BE0634, "spawn_maint_wave" },
    { 0xD236D34D53789A20, "spawn_maint_wave_1" },
    { 0xD236D64D5378A0B9, "spawn_maint_wave_2" },
    { 0x00900D43FEA8BE02, "spawn_manual_turret" },
    { 0xE052F799584D3102, "spawn_map_ac130" },
    { 0xD77B8A74ED3F7E8E, "spawn_map_technicals" },
    { 0x0B30E66F751471AE, "spawn_marines_friendlies" },
    { 0xB1723A8EE7B28E64, "spawn_marines_wave_5" },
    { 0xFC0E7671C236CF70, "spawn_max_ai_wave_1_lmg_push" },
    { 0xF782E3AB5C87D635, "spawn_max_ai_wave_1_refill" },
    { 0x7994D9892A935C5D, "spawn_max_ai_wave_1_technical_refill" },
    { 0x58C5C4F1ADA0B4A6, "spawn_max_ai_wave_2_push" },
    { 0x78A5A8F4720C0DC1, "spawn_max_ai_wave_2_push_again" },
    { 0xE1352F86B591BA44, "spawn_mindia_juggs" },
    { 0x1B4635A87E96FB24, "spawn_ml_p1_sentries" },
    { 0x2E0ED6F7296310F6, "spawn_ml_p2_player_heli" },
    { 0x2C91B188538A028F, "spawn_ml_p2_sentries" },
    { 0x297A48F22020C7CD, "spawn_module_building_chopper1" },
    { 0x297A45F22020C134, "spawn_module_building_chopper2" },
    { 0x4639DC3E857CFA0B, "spawn_module_current" },
    { 0xCC36D3D26F93C8D1, "spawn_module_hackers" },
    { 0xAF7CB39AB82CE514, "spawn_module_intro" },
    { 0x1C2423430ABBF292, "spawn_module_intro2" },
    { 0x9F6C7C709B5745D0, "spawn_module_intro2b" },
    { 0x1C2424430ABBF4C5, "spawn_module_intro3" },
    { 0x1C241D430ABBE560, "spawn_module_intro4" },
    { 0x486F8D67988FFB7A, "spawn_module_juggs" },
    { 0xB7474B7C300F1C06, "spawn_module_lmg_1" },
    { 0xB7474A7C300F19D3, "spawn_module_lmg_2" },
    { 0xB747497C300F17A0, "spawn_module_lmg_3" },
    { 0xB747507C300F2705, "spawn_module_lmg_4" },
    { 0xB7474F7C300F24D2, "spawn_module_lmg_5" },
    { 0x76AE662E926635E6, "spawn_module_p3_form_a" },
    { 0x76AE652E926633B3, "spawn_module_p3_form_b" },
    { 0x76AE642E92663180, "spawn_module_p3_form_c" },
    { 0x76AE6B2E926640E5, "spawn_module_p3_form_d" },
    { 0x11988A19C3E06ECA, "spawn_module_signal" },
    { 0xE0DD2ADD4F1839EC, "spawn_module_soldiers1" },
    { 0x12C4CFDBD1DA86CA, "spawn_module_structs_memory" },
    { 0x2F758E0CBC24368E, "spawn_module_supports" },
    { 0x446C7A329327D486, "spawn_module_trickle" },
    { 0xC1FD571CC14DAF46, "spawn_mortar_friendlies" },
    { 0x0AA199E3DE73E154, "spawn_murderhole_with_dialogue" },
    { 0x7D0574B292482B1A, "spawn_my_crash_driver" },
    { 0x4C18CB7AC96E0262, "spawn_my_twin" },
    { 0xA0AF4F1DBCEC6B08, "spawn_new_digits" },
    { 0x32093EADC269FF48, "spawn_new_ents" },
    { 0x4C3B5F688846663B, "spawn_next_zone" },
    { 0x3C66F4575388725C, "spawn_nikolai" },
    { 0xE8A51AAB2C4FD371, "spawn_node" },
    { 0x0ECD33DE468BBF13, "spawn_obit_model" },
    { 0xC9609C4E29722373, "spawn_obit_struct" },
    { 0x9BFA18359EFA7E5C, "spawn_objective" },
    { 0xCF3329B053858E29, "spawn_objective_heli" },
    { 0xB77F1907D32C56CB, "spawn_objective_loot" },
    { 0xD65D9E289EB99BFB, "spawn_oil_pusher" },
    { 0x6926E4B2C5E5EDF0, "spawn_on_stealth_break" },
    { 0x8DC7FBFC5EAF85DB, "spawn_origin" },
    { 0xA9DE2CDAB1A5FE12, "spawn_overwatch_extra_atvs" },
    { 0xD5FB1F1BADD8D8B4, "spawn_overwatch_extraguns" },
    { 0x13830D43B234A546, "spawn_overwatch_final_tank" },
    { 0xD41C6EC183827DEE, "spawn_overwatch_soldiers_01" },
    { 0xD41C6DC183827BBB, "spawn_overwatch_soldiers_02" },
    { 0xD41C6CC183827988, "spawn_overwatch_soldiers_03" },
    { 0xD41C73C1838288ED, "spawn_overwatch_soldiers_04" },
    { 0xD41C72C1838286BA, "spawn_overwatch_soldiers_05" },
    { 0xD41C71C183828487, "spawn_overwatch_soldiers_06" },
    { 0x0E4967B75E923FE3, "spawn_overwatch_tank" },
    { 0xFDAEA844FBA1C9B0, "spawn_overwatch_tanks" },
    { 0x8E081D2E2937AC59, "spawn_padlock" },
    { 0x6B13A3D7581BD4E3, "spawn_para_and_heli_logic" },
    { 0xF235309F860886F0, "spawn_parachute" },
    { 0x288F6E1213448132, "spawn_parameter_array" },
    { 0xE5E0021357231119, "spawn_paratrooper_ac130" },
    { 0x53A04F9FFCAAE81C, "spawn_parking_guys" },
    { 0x4A7C2FBF3A843C61, "spawn_paul_revere_scene_ai" },
    { 0xA36EB00D2A437619, "spawn_pavelow_boss" },
    { 0xC7E37D0A3353647C, "spawn_pavelows" },
    { 0x735323344B1F47C0, "spawn_per_player" },
    { 0xFF35647C35C5052F, "spawn_phys_barrel_pickup" },
    { 0xB2F6137A3E08024A, "spawn_pickup_weapon" },
    { 0xE297B45B15355AFD, "spawn_pilot_attacker" },
    { 0x2E9F2102D8830B1D, "spawn_pilot_nikolai" },
    { 0xECDAAD23B865DB82, "spawn_pilots" },
    { 0xA96026AA071CD609, "spawn_plane" },
    { 0xC143A5CC118AEA5B, "spawn_player_into_c130" },
    { 0x546EE9035DB7DF33, "spawn_player_vehicle" },
    { 0x67C9B2671B5FF9C0, "spawn_player_vehicles" },
    { 0xCB775F5B9E7204E5, "spawn_point" },
    { 0x45E639F05A0CC3CA, "spawn_point_too_far" },
    { 0xE98B4C7D74C015E2, "spawn_points" },
    { 0x031FDEB17A3234FD, "spawn_pos" },
    { 0x954FFB1FC1005B3A, "spawn_power_up" },
    { 0x47908C23501E8D22, "spawn_pre_placed_flares_for_tunnels" },
    { 0x792DF10A634C5CD6, "spawn_prethink" },
    { 0x4AD9B95CE01EBD0E, "spawn_price" },
    { 0xC3A5A82A14AFE0D1, "spawn_price_infill" },
    { 0x7D3B02D58BFADA8E, "spawn_price_redshirt" },
    { 0xB2BFEAF7C36D0FF3, "spawn_printer" },
    { 0xCB0B152979EE436A, "spawn_prisoners" },
    { 0x41D236573A9CC784, "spawn_queue" },
    { 0x624AD488B1170BAF, "spawn_queue_think" },
    { 0x69602AB6532C43E0, "spawn_race_dogtags" },
    { 0x0303D45D2DD134D4, "spawn_rdoor_anims" },
    { 0x064E60B3E9D21899, "spawn_real_ai_from_drone_pos" },
    { 0x46D89738415B9D26, "spawn_real_letter" },
    { 0x78FBBFE3D68711C7, "spawn_real_number" },
    { 0x2C76424B7617FFFC, "spawn_recon_team" },
    { 0x7495A2B9422538DB, "spawn_ref_point" },
    { 0x0CDF97760165E1D4, "spawn_ref_point_override" },
    { 0xE1C0C4886CD108BD, "spawn_regular_agent" },
    { 0xAAABBF1ACCF64C8E, "spawn_reinforcement" },
    { 0x226C8611DCB3379A, "spawn_reinforcement_group" },
    { 0x1B61C0E255282166, "spawn_reinforcement_truck" },
    { 0xD6B0F83801660960, "spawn_remote_tank" },
    { 0x800CF5DA7AD98667, "spawn_remote_tank_thermite" },
    { 0xCA27E3D944139B8B, "spawn_removefromarrays" },
    { 0x3CC05F08E0B53BEC, "spawn_reverse_breach_enemies" },
    { 0x28984533F9910CF0, "spawn_riders" },
    { 0x4FB8588A6D25E825, "spawn_riders_and_play_intro_idle_anim" },
    { 0x028505562E417485, "spawn_right_flank_run_early_on_death_and_look_at_struct" },
    { 0x35BA337B53AAA99A, "spawn_router_model" },
    { 0xAD81CA311B3D8025, "spawn_rpg_guys_when_in_heli" },
    { 0xCC49C63D9449E7DC, "spawn_rpg_support" },
    { 0x514A416316F88384, "spawn_rpgs_for_players" },
    { 0x13F907B187680C0A, "spawn_sas" },
    { 0xE54CDC0F7A34FC03, "spawn_sas_redshirts" },
    { 0xB17DFC456E11FF04, "spawn_scoring_array" },
    { 0x114164356C8C11CC, "spawn_scoring_overrides" },
    { 0x4F4EC4CB9BCD5CC2, "spawn_scoring_pois" },
    { 0xFD5F2868D012F4BF, "spawn_scoring_type" },
    { 0x290B5571BB62F2F8, "spawn_script_model" },
    { 0x098874CBC43D4FB9, "spawn_script_model_at_pos" },
    { 0x8799427DFC4461A3, "spawn_script_model_driver_and_passengers" },
    { 0xDAC80A8B5317157C, "spawn_script_noteworthy" },
    { 0x43C5DC7D0BB94625, "spawn_script_origin" },
    { 0xB2C0B50D3BC6E1AB, "spawn_script_weapon" },
    { 0x47914A08F04CC489, "spawn_scripted_agent" },
    { 0x3652B5FAE27975B3, "spawn_scripted_sniper" },
    { 0x5C34868259388132, "spawn_sentries_from_targetname" },
    { 0x93E036531382F0A3, "spawn_sentry_at_pos" },
    { 0xD6D3F556B77BF311, "spawn_set_jugg_value" },
    { 0x8681F70C8A398AA0, "spawn_signal_soldier" },
    { 0x8ACBC64EEF39E70C, "spawn_silo_door_ai" },
    { 0x7BFF0C329F858446, "spawn_single_cargo" },
    { 0xE1580E6C75800718, "spawn_size" },
    { 0x9109046CBAA46FEA, "spawn_skit_prop" },
    { 0x0397CC562E4A60A3, "spawn_skits" },
    { 0x3545C9EA5FFAA85D, "spawn_smoke_bombers" },
    { 0x6CB68DA517F24F42, "spawn_smoke_when_near_struct" },
    { 0x80D736D04268B655, "spawn_smuggler_and_board_heli" },
    { 0xFF86FCE55F4888F7, "spawn_smuggler_heli_pilot" },
    { 0xE1FD5D204219D325, "spawn_smuggler_javelin" },
    { 0xDFC787D5E7E4F6B8, "spawn_snipers_assault3" },
    { 0x41845182F668A183, "spawn_snipers_early" },
    { 0xC0BC7A9D29F61718, "spawn_soldier_scripted" },
    { 0x1F8EEDA051626480, "spawn_soldier_scripted_internal" },
    { 0xED2EDCE40330B0E6, "spawn_soldiers" },
    { 0x056860FA3C7BD0C9, "spawn_soldiers_attack_tower" },
    { 0x3D7D4FC52DB224E0, "spawn_soldiers_ending" },
    { 0xCD1FAA653B2A4BDF, "spawn_soldiers_in_convoy_truck" },
    { 0xED5493E4E978ED87, "spawn_soldiers_intro" },
    { 0x0C2C25D91A09B0A1, "spawn_soldiers_juggs" },
    { 0x9A5081A2AF6AB295, "spawn_soldiers_rooftops" },
    { 0xA3E201BCEEA2CE79, "spawn_soldiers_route_to_hvt" },
    { 0x89977E0031BD198F, "spawn_soldiers_switch_01" },
    { 0x89977F0031BD1BC2, "spawn_soldiers_switch_02" },
    { 0x8997800031BD1DF5, "spawn_soldiers_switch_03" },
    { 0xDAA1A729CAE0705A, "spawn_spawners_multi" },
    { 0xE9E034D5D82BA328, "spawn_spec_hostage" },
    { 0x5D057C76F0211E22, "spawn_spec_intro_actors" },
    { 0x769A939F8F4EF134, "spawn_speed" },
    { 0xCBAA003C819DC419, "spawn_stacy" },
    { 0xB280F99A531933A4, "spawn_start_enemies" },
    { 0x52B6980740D9E860, "spawn_static_trucks" },
    { 0x88C5692E1C566428, "spawn_stowed_glowstick_on_farah" },
    { 0x4F879E8F8D364E13, "spawn_street_guys" },
    { 0xB51FF98D20949E80, "spawn_subclass_juggernaut" },
    { 0x09DAFCB29B9EFF25, "spawn_suicide_truck_at_vehicle_spawner" },
    { 0x810F9CA6066362FB, "spawn_support_wave_handler" },
    { 0x047C1B90D237C2E3, "spawn_table" },
    { 0x73B166CC8C01FD29, "spawn_tac_rovers" },
    { 0x553EAA14FC8EB4B6, "spawn_tacrovers" },
    { 0xF22FB84CE3CED4F2, "spawn_tag_origin" },
    { 0xB3AF4E91530D03ED, "spawn_tank2" },
    { 0xB013D1CA91A36997, "spawn_targetname" },
    { 0x86F01BA950EAF59F, "spawn_team_allies" },
    { 0x70EA211F9B6B6614, "spawn_team_axis" },
    { 0x74DB1E8A8DF3A54F, "spawn_team_farah" },
    { 0x59363EE73BAC4098, "spawn_team_neutral" },
    { 0xED8AD373A50F0A8A, "spawn_team_price" },
    { 0xB00B970046C899CD, "spawn_team_team3" },
    { 0x49CFC25A9EAFE2A4, "spawn_technical" },
    { 0xDB82896F970FAA22, "spawn_technical_at_location" },
    { 0x150090F5592137BC, "spawn_technicals_for_players" },
    { 0xD0361D0C362D21B2, "spawn_techo_lmgs" },
    { 0x87D822A7F3CF4DED, "spawn_techo_turret" },
    { 0xC8F27BF28DEDCF8C, "spawn_techo_turret_2" },
    { 0x014E3E8C6C1D003E, "spawn_test_clients" },
    { 0xDF6F65B40959805A, "spawn_thing_play_anim_and_delete" },
    { 0x2628406A22A08C93, "spawn_thing_play_anim_and_last_frame" },
    { 0x48C2915DBDCF9DC7, "spawn_think" },
    { 0xCFD84177C0D13E12, "spawn_think_action" },
    { 0x341351FE54210854, "spawn_think_game_skill_related" },
    { 0x2D721296C2E8FC77, "spawn_think_script_inits" },
    { 0x81AE841278C3C9BF, "spawn_third_person_alex" },
    { 0xAF2EFEB08E715540, "spawn_time" },
    { 0x6D28D27A69A396FA, "spawn_traffic" },
    { 0x782EC8A3100A511E, "spawn_train_c4_objects" },
    { 0xFE244F82346BF3C0, "spawn_train_car" },
    { 0x913D0AD49BFBC5FC, "spawn_train_car_part" },
    { 0xE4AE2182230FD21B, "spawn_train_end" },
    { 0x8541CF1C0446EC3A, "spawn_train_nav_blocker" },
    { 0xD6F5711C920D41A7, "spawn_train_nav_blockers_all" },
    { 0xACAD47F648C2F9E3, "spawn_train_nav_repulsors" },
    { 0x733A770AA0EE9840, "spawn_train_stairs" },
    { 0x48C66F2DA34409A4, "spawn_transition_camera" },
    { 0xBB5B7D9C1C4573A6, "spawn_trap_room_ent" },
    { 0x05EACF30FC99AEF0, "spawn_triage_loot" },
    { 0xD7B68B84B71F459C, "spawn_triage_props" },
    { 0x277311D32AD872FF, "spawn_trickle_soldiers" },
    { 0xE67F17BC6C1A891A, "spawn_truck_group_on_proximity" },
    { 0xCFE1D961D549B406, "spawn_truck_techo" },
    { 0x6E63025A35CC9D85, "spawn_trucks" },
    { 0x4C764FDCC94A519D, "spawn_tugofwar_tank" },
    { 0x0F03BEE987D0CB65, "spawn_tut_loot" },
    { 0x9603C2B1372C2541, "spawn_type" },
    { 0x4CFAAAA616746A93, "spawn_unique_drone" },
    { 0x539E9295C4AAA776, "spawn_unittype_soldier" },
    { 0x78826A373BC3353A, "spawn_unload_group" },
    { 0x237B7797EDBA01DF, "spawn_van_guys" },
    { 0xFA71BB2932E80BAB, "spawn_vehicle" },
    { 0x71B7806A231AC7D6, "spawn_vehicle_accessory" },
    { 0xAF229260C6C21B12, "spawn_vehicle_actors" },
    { 0x91D8D7DA8C0372D3, "spawn_vehicle_and_attach_to_spline_path" },
    { 0xB4FEE47190190263, "spawn_vehicle_and_gopath" },
    { 0xA3000FB4A81ED781, "spawn_vehicle_at_vehicle_spawner" },
    { 0x686CE7FCAABCAD0F, "spawn_vehicle_from_targetname" },
    { 0x1EEE4669BC00F2E6, "spawn_vehicle_from_targetname_and_drive" },
    { 0x779A20353A9F4B86, "spawn_vehicle_turret" },
    { 0x1E83D24342EB67A7, "spawn_vehicle_turret_drone" },
    { 0xB02A739AF4520C08, "spawn_vehicles" },
    { 0xB0E3F3B80B4B1FFC, "spawn_vehicles_from_targetname" },
    { 0x1D3E81C0D17B570D, "spawn_vehicles_from_targetname_and_drive" },
    { 0x9E37B0FB695B42C1, "spawn_vindia_assault3" },
    { 0x39585EFBF6F0A5CD, "spawn_vip_escort_chopper" },
    { 0xC78402BBB84812C6, "spawn_vo_lines" },
    { 0xD5952604EED7B08F, "spawn_vo_playing" },
    { 0xB6D4F65F2E05B269, "spawn_volume_array" },
    { 0xF307926F601DF4B4, "spawn_volume_names" },
    { 0x41AD3EC5085F5650, "spawn_wave" },
    { 0xB62A901B16D8F1A2, "spawn_wave_enemy_func" },
    { 0xF8ED1DE085A14065, "spawn_wave_total" },
    { 0x7C895566FF11663C, "spawn_waves_after_a_delay" },
    { 0x69955A695A30D505, "spawn_weapon" },
    { 0xD25478AA9BB26336, "spawn_weapon_box_cache" },
    { 0x1B11ED3639BAEAFB, "spawn_weapon_model" },
    { 0x6DFAA862266FFA3C, "spawn_weapons_and_armor" },
    { 0xF746F74D9610623A, "spawn_weapons_by_player_count" },
    { 0x848FF1F8477685AF, "spawn_wheel_collision" },
    { 0x11DD96FEF2278C33, "spawn_wheel_outline_model" },
    { 0xB0130E66761FC2A9, "spawn_wheelson_blinking_lights" },
    { 0x0B45FB3C864EDB5B, "spawn_wheelson_redroom" },
    { 0x9A125A2B29F0815D, "spawn_wheelsons" },
    { 0x437E00FB58B9B1FA, "spawn_window_open" },
    { 0x67843CD90BCCAA33, "spawn_window_time" },
    { 0xEC3B5BC4CA530F0D, "spawn_wolf" },
    { 0xDE1D030296D1B77E, "spawn_wp" },
    { 0x4E1E2AE9394091CB, "spawn_zoom_in_infill" },
    { 0xEBF3B08999FAD534, "spawnac130" },
    { 0xDE6264688D2AC225, "spawnaccesscards" },
    { 0x9107F34DA7A77A82, "spawnactors" },
    { 0x7F177E2F85CBC705, "spawnagent" },
    { 0xC150A4AAEC86A45A, "spawnai_goalpos" },
    { 0x1320203EE34FFDC6, "spawnai_goalradius" },
    { 0x59B34DC4E29561D0, "spawnai_linkent" },
    { 0xD4EF3D64DD498DE9, "spawnai_realspawner" },
    { 0x09672444763FB9E2, "spawnaihandler" },
    { 0x2EC6BF4E75A48AA1, "spawnaimode" },
    { 0x6DF8024E212E3A09, "spawnallhostages" },
    { 0xE4435B57C08CB9BA, "spawnallies" },
    { 0xC8FBFE8E6D99BA36, "spawnambulance" },
    { 0x2B54178FB4CF0AA9, "spawnammocountoverride_giveweaponammo" },
    { 0xEE7B5BFC90D77877, "spawnangle" },
    { 0x813AD10B737E713F, "spawnanglemax" },
    { 0x8117BF0B735801F1, "spawnanglemin" },
    { 0x50C3507289DCF0CC, "spawnangles" },
    { 0x3C523A4A01CE9211, "spawnapachechopper" },
    { 0xB735D40103239192, "spawnapc" },
    { 0xABDEC2287BCD25EA, "spawnareas" },
    { 0x9E84FD7CF72D0863, "spawnatmines" },
    { 0xCD6ED03E7650789D, "spawnavehicle" },
    { 0xE39D58A0D1E3F0C8, "spawnballooncash" },
    { 0xA841F2ECC3778D5D, "spawnboardroom_auav" },
    { 0xAB5D14C46A2DE2C1, "spawnboardroom_gasmask" },
    { 0x92FB3E252D89EF76, "spawnboardroom_juggdrop" },
    { 0xD4374B48D2FC549D, "spawnboardroom_loadoutdrop" },
    { 0xD535FE9B339CBD48, "spawnboardroom_miniguns" },
    { 0x74BAC9D4B5A8F201, "spawnboardroom_specialist" },
    { 0x78CF0A1ED5CB631B, "spawnboardroomblueprintweapons" },
    { 0xA1428A9C6B06639B, "spawnbotortestclient" },
    { 0x62FB8D63BE2221CA, "spawnbradleynoduration" },
    { 0xE3CD0CB38A850521, "spawnbradleypayload" },
    { 0xF11A7F097572F54C, "spawnbrcircle" },
    { 0xB2734E72940557E3, "spawnbunkerloot" },
    { 0x18A0E968A5CE7F1F, "spawnc130" },
    { 0x27F427917D3E4B11, "spawnc130pathstruct" },
    { 0xFC0C6B181771D77D, "spawnc130pathstructnew" },
    { 0x78A9502C51C229D8, "spawnc130pathstructnewinternal" },
    { 0xB69CBFDD2D4F8D27, "spawncallback" },
    { 0xF1E26CFC82F19C74, "spawncameradistfactor" },
    { 0x1846DF3DFC556C41, "spawncameraendtime" },
    { 0x73F5F3B698272998, "spawncameraent" },
    { 0x1450C66BF83A8198, "spawncameras" },
    { 0xBD6E48142654B74F, "spawncameraskipthermal" },
    { 0x5CA5B8BB3B97E50A, "spawncameraskipthermalonce" },
    { 0x02D80B5ECAE67D12, "spawncamerastartspawnallies" },
    { 0xECB81668378E60F8, "spawncamerastartspawnalliesvec" },
    { 0xAF268684D32133C5, "spawncamerastartspawnaxis" },
    { 0xCDA8EA2B3B9BBF73, "spawncamerastartspawnaxisang" },
    { 0xA787552BDB6777A5, "spawncamerastartspawnaxisvec" },
    { 0xB0B67B0FD5E7F4FA, "spawncameratargetang" },
    { 0xB908B60F1FF7A5E4, "spawncameratargetpos" },
    { 0xCE9645319BC9A932, "spawncameratime" },
    { 0x75826C012C28C0BE, "spawnchests" },
    { 0x8F6A22AB57DBE997, "spawnchopper" },
    { 0x425422D238A3606C, "spawnchoppers" },
    { 0x3D88A80A7146508B, "spawnclient" },
    { 0xFF65ED762F8906FB, "spawnclientbr" },
    { 0xDF89120BF5C23DBA, "spawnclientdevtest" },
    { 0xF35EEDAF6298C1E7, "spawncmdgoal" },
    { 0x22F15A2F4C0F0162, "spawnconvoy" },
    { 0xB8033F6DB04B4800, "spawnconvoyatpath" },
    { 0xF5F3089B75804D56, "spawncorpsehider" },
    { 0x2826DC1AE107588A, "spawncorpseloot" },
    { 0x12DC1C8885917F53, "spawncount" },
    { 0x1280B5C6141A2417, "spawncovernode" },
    { 0x386F4E7AEE226273, "spawncoverwall" },
    { 0xA27B876BA63054B3, "spawncrossbowbolt" },
    { 0xEDB4D07571F1AA28, "spawncustomweaponscriptable" },
    { 0x036DA9772FCA29A6, "spawndangertriggers" },
    { 0x49B04FC5A599DD74, "spawndata" },
    { 0x51E90A3C1B37B829, "spawndebugpickupfromdevgui" },
    { 0x600C9D0C14DDCA8B, "spawndelay" },
    { 0x0F5E980C95D4E24E, "spawndepot" },
    { 0xD60AE2C550FBE76C, "spawndist" },
    { 0x9ACEE6212C7B9EDF, "spawndistancemax" },
    { 0x9AABD4212C552F91, "spawndistancemin" },
    { 0x292721CDE59F7C4F, "spawndogtags" },
    { 0xC895E8E0311E3873, "spawndogtagtoken" },
    { 0xF9ADCCC7D8F32D9D, "spawndombradley" },
    { 0x2747245DCEE3FC0E, "spawndomplateflag" },
    { 0x801D50E1F10E9D90, "spawndomplateflagtestmap" },
    { 0x90AE97B49A16CA65, "spawndomplates" },
    { 0xEEFE91BF95E13AAB, "spawndragonsbreathstruct" },
    { 0x6730504C445AC916, "spawndrone" },
    { 0xF1133C40594F6DAB, "spawndropbagatposition" },
    { 0x66848480A901BEB9, "spawndropbagobjectiveicon" },
    { 0x755565698FB0DDBB, "spawndropbagonlanding" },
    { 0x255E638BEFC345B9, "spawndropbagsovertime" },
    { 0x8F0A7542D7EBB71D, "spawned" },
    { 0xC64AE133CFA426E1, "spawned_after_convoy_center" },
    { 0x100D5A18D960B124, "spawned_ai" },
    { 0x7B2E44DE8B9D5CE0, "spawned_allies" },
    { 0xA5BB7021EE1A2411, "spawned_convoys" },
    { 0xB5B3D658555FDC15, "spawned_count" },
    { 0x1EBA0F8C290628CA, "spawned_enemies" },
    { 0x0B5EF76ED137089C, "spawned_enemy_types" },
    { 0xD7C4A4C82A49A66F, "spawned_goalie" },
    { 0xB28ADE9E88D403B9, "spawned_group" },
    { 0xC45653A1E8BB3466, "spawned_guys" },
    { 0xBE166999FA7AF3C5, "spawned_hostage_modules" },
    { 0x6BC9B96E89E024DF, "spawned_juggernauts" },
    { 0x06434D9394A69907, "spawned_prop" },
    { 0x259E607EB89EC741, "spawned_soldiers" },
    { 0x45013846799430B1, "spawned_soldiers_vo" },
    { 0xE58415F1D57F53D1, "spawned_suicide_bombers" },
    { 0x62D52F16066F8D7B, "spawned_vehicles" },
    { 0xBB06A5D242289FB8, "spawned_wait_node" },
    { 0x253390C07C7ACE71, "spawned_warp_traversethink" },
    { 0x9EE861FC21B53EF6, "spawned_weapon" },
    { 0xD55FFA1F082C19CA, "spawnedasspectator" },
    { 0x9050834997C95428, "spawnedcleanupitems_dropped" },
    { 0xD9E8EC567A887E07, "spawnedcleanupitems_standard" },
    { 0x98AF9F80C7C8FAB0, "spawnedescortchopper" },
    { 0x6FEDFF38771D9DDD, "spawnedhostagecount" },
    { 0x6691B47CEFBC6746, "spawnedjugg" },
    { 0xC2FECABBFCCAE374, "spawnedkillcamcleanup" },
    { 0xAE9C85866E58E80B, "spawnednoisemakerpickup" },
    { 0xFAB8D308F085FB5C, "spawnedonce" },
    { 0x99B9EF6452C77FCC, "spawnedusingc130" },
    { 0x61F3FA1A8C62A288, "spawnedvip" },
    { 0x8381BA87C1666FAE, "spawnendofgame" },
    { 0x7BAA47561EBD2633, "spawnenemychopper" },
    { 0xBF525B3430FC4A4D, "spawnentsincircle" },
    { 0x8F0A7F42D7EBCD1B, "spawner" },
    { 0xF1500AF229984544, "spawner_chosen_nearby" },
    { 0xDC508C1D725E1C76, "spawner_critical_factors" },
    { 0x5C25704A5787C0E0, "spawner_deathflag" },
    { 0xB855CE88DC0A3F99, "spawner_debug_model" },
    { 0x65DAEE8512C017A9, "spawner_disable_after_count" },
    { 0x44DFEF91BD12ED55, "spawner_dronespawn" },
    { 0xA4E91F69BABC988E, "spawner_dropoff" },
    { 0x4C885F015715B47F, "spawner_flags" },
    { 0xE062ECDCCAE83478, "spawner_flags_check" },
    { 0x99164DC68783DF1E, "spawner_init" },
    { 0x5C15B6D15C227579, "spawner_invalid_due_to_recently_used" },
    { 0xD18BC4869368F864, "spawner_makefakeactor" },
    { 0xF4BFAF24E46A6404, "spawner_makerealai" },
    { 0xF4E5BF178C989C3D, "spawner_number" },
    { 0x5375031E172705FD, "spawner_poison_structs" },
    { 0x7031FCBD677621B0, "spawner_recently_used" },
    { 0x5344D1D892610B3C, "spawner_scoring_allow_early_out" },
    { 0x99BF11B8AFEF49B8, "spawner_scoring_critical_factors" },
    { 0xE9CB67921792CC4D, "spawner_scoring_funcs" },
    { 0xEAF1909A56950B10, "spawner_scoring_init" },
    { 0xC96031C52EBA51D7, "spawner_script_funcs" },
    { 0x86E6399C390C9ADC, "spawnercallbackthread" },
    { 0xC905D0E2D60BF58A, "spawnercount" },
    { 0xB1190F3796E40111, "spawnerindex" },
    { 0x7FE34800DB94BBB8, "spawners" },
    { 0x82CB1F8A6CA5D187, "spawners_using" },
    { 0x59468620E01D99CA, "spawnerwave" },
    { 0xCC850136E4C21CBF, "spawnescortchopper" },
    { 0xCD6AD5DA5269A46A, "spawnexclusion2ddist" },
    { 0x49C4ADB948854FE3, "spawnexfilchopper" },
    { 0x890A81E578FCF9FC, "spawnexfilpilotactors" },
    { 0xEE119452F4E2C5A2, "spawnexfilplayers" },
    { 0x593AA9D0FCC31AF6, "spawnexfilzone" },
    { 0x9E44F343B04CD0A0, "spawnextractchopper" },
    { 0x17A352F2AAD9D9AE, "spawnextractsmoke" },
    { 0xC59097B161888784, "spawnextractzones" },
    { 0x8258CA41F68B9F30, "spawnfactorweights" },
    { 0x8F6F78E36C068826, "spawnfakepistol" },
    { 0xAF9DE967995F965F, "spawnfilllight" },
    { 0x293FE6345789255F, "spawnfinalchopper" },
    { 0x45C914F68D318E16, "spawnflag" },
    { 0x9157204A4409AD2B, "spawnflagid" },
    { 0xAAC77F3883FC281F, "spawnflags" },
    { 0x35A2453284BA3258, "spawnflags_check" },
    { 0xAA96693883C56880, "spawnflare" },
    { 0x88C94C7340A3A2AD, "spawnfromstructsdelayornotify" },
    { 0xDF57E9F641C7210A, "spawnfunc" },
    { 0xF043024B0AAEB553, "spawnfunc_registered" },
    { 0x8F0E7F42D7EFC2F2, "spawnfx" },
    { 0x8142020063CB6C13, "spawnfxarray" },
    { 0x959A5E4999C7F5C5, "spawnfxdelay" },
    { 0xAF9C7CC86562340A, "spawnfxforclient" },
    { 0xFAC5289AEB083E9F, "spawngameendflagzone" },
    { 0x24FC45FECEDD2D70, "spawnglobals" },
    { 0xECDC8F299F084D5A, "spawnglobalscriptabledelayed" },
    { 0xD85688CE916A5C3F, "spawngroup" },
    { 0x99249800ECB6A30F, "spawnguy" },
    { 0xD73A7D99638FE38D, "spawnhalfconvoyatpath" },
    { 0x768F26E8E3A52872, "spawnhandled" },
    { 0xEA13853428D5D16F, "spawnheight" },
    { 0x202AAB6D39BA63E4, "spawnheli" },
    { 0x30823326C8F0133C, "spawnheliactorsfunc" },
    { 0x79A328B021CFB84D, "spawnhelicopter" },
    { 0x518AB95A5BD2305A, "spawnhelicopters" },
    { 0xBD9DA567EC211648, "spawnhelihvtexfilactors" },
    { 0x3B2266A87B3E12BB, "spawnhintobjects" },
    { 0xA290B282697490E1, "spawnhostage" },
    { 0xF9D960AE0A054304, "spawnhumandogtags" },
    { 0x37568000A664F98E, "spawnhvt" },
    { 0x82B24B0B96057D52, "spawnidstobeinstrumented" },
    { 0xB5AAB68C40EE5769, "spawnimpulsefield" },
    { 0x9E1885D30582A2E6, "spawninfilvehicle" },
    { 0x2BF503091287724A, "spawninfluencepointislinked" },
    { 0x071441BBAC6B8092, "spawninfluencepointlinkto" },
    { 0x9190BFE31FFC66B0, "spawninfluencepoints" },
    { 0x1564854171C42186, "spawninfluencepointsetposition" },
    { 0xA2C4D9F9740BF8F7, "spawninfluencezone_onusebegin" },
    { 0xFA4980BE8BAF10DF, "spawninfluencezone_onuseend" },
    { 0x89F7AE76941C5F26, "spawninfluencezones" },
    { 0x6E2F1C8182F41870, "spawninfo" },
    { 0x8BAAC191E49722DB, "spawning_backup" },
    { 0x1A3B573B27F42E0C, "spawning_poi_handler" },
    { 0xDEBF7D44DA6E0876, "spawningafterremotedeath" },
    { 0xF708F5BBE7BE09F7, "spawningclientthisframereset" },
    { 0xCF7581FA9EF7BE52, "spawningintovehicle" },
    { 0xEE0EFE999B628E09, "spawninitialvehicles" },
    { 0xEC61A8366E1C3C2E, "spawninsafehouse" },
    { 0x034FC585D15BAA59, "spawninteractionmodel" },
    { 0x98E4FCEB5340F52C, "spawninteractiveinfilai" },
    { 0x36A59403D15544B8, "spawnintermission" },
    { 0x961DCF14D017D039, "spawnintermission_nocam" },
    { 0x282014D547BC4398, "spawnintermissionatplayer" },
    { 0x41DE1D093202E2D1, "spawninvehicle" },
    { 0x14F1248140BAE063, "spawnitem" },
    { 0x72E0B64E391A6050, "spawnjuggcate" },
    { 0xFD381DA966862051, "spawnjuggernautcrateatposition" },
    { 0x678B80E0DB753257, "spawnkillstreaks" },
    { 0xEC6EAE8230FF180C, "spawnksjackal" },
    { 0x59F2E165673B4466, "spawnlaunchchunkbots" },
    { 0x5FC6D20AD8DCE634, "spawnlist" },
    { 0x48A9D217259E044B, "spawnlittlebird" },
    { 0x992D1AC9B85950A3, "spawnlogicteam" },
    { 0xE132E87E7702E530, "spawnlogictraceheight" },
    { 0x9B5B97D68ABA554D, "spawnloopingsound" },
    { 0xA36DBEE1D064B061, "spawnloopupdatefunc" },
    { 0xB551BC0B170332E6, "spawnloot" },
    { 0xFE4B6ED51AE31A44, "spawnlootcache" },
    { 0x22FEF5AA2172A6F5, "spawnlootcaches" },
    { 0x9913986203CEEAA5, "spawnlootitem" },
    { 0xEDB096B73A873B82, "spawnlootitemsuspended" },
    { 0xDF8971C1DE021A3F, "spawnlootweapons" },
    { 0x2483EDEEEF95B0C8, "spawnmanualdomflag" },
    { 0x323A3D8EF9A2D88A, "spawnmapcircle" },
    { 0xBABC4D1F2AFEDBFB, "spawnmaxs" },
    { 0xA0200C08C7F6C5A9, "spawnmayhem" },
    { 0x3E83D1B548479CE5, "spawnmethod" },
    { 0x2D9C771F7EC4A4DF, "spawnmine" },
    { 0x2D9C851F7EC4C3A9, "spawnmins" },
    { 0x05AEF93DB699ACC4, "spawnmobilearmory" },
    { 0x1C86C97D1FED35BF, "spawnnewagent" },
    { 0xDA6899FE85B80061, "spawnnewagentaitype" },
    { 0xCC9E7E013E811140, "spawnnodetype" },
    { 0x0C730FD3B724C05D, "spawnnumber" },
    { 0xC9FA712ACD2AF848, "spawnoccupied" },
    { 0xD849DF15E1C1568A, "spawnoffsettacinsertmax" },
    { 0xD86CC915E1E76DE0, "spawnoffsettacinsertmin" },
    { 0xE62946F65DB56BCB, "spawnorbitcamera" },
    { 0x3CCCACE835ED4A16, "spawnorigin" },
    { 0xF13622520EF9DB78, "spawnoutofboundstrigger" },
    { 0xFEE6379954572D78, "spawnperk" },
    { 0x95F355065AC992EB, "spawnpersistentvehicle" },
    { 0x5B4357131C84D0E0, "spawnpickup" },
    { 0xA50FECDA5B7BE64E, "spawnplane" },
    { 0x397C2F37BA976881, "spawnplayer" },
    { 0x590CC3F9657D5A2C, "spawnplayer_actual" },
    { 0x421D509F210F3267, "spawnplayer_internal" },
    { 0x23690AF89C6E375B, "spawnplayerfunc" },
    { 0x7504ECB3046F0733, "spawnplayerpositionent" },
    { 0x79BE71CA105D6633, "spawnplayerpositionparentent" },
    { 0x47EA19F34888E085, "spawnplayerrig" },
    { 0x979D277B6F75BCF3, "spawnplayertoc130" },
    { 0x219F094E5FD7AF26, "spawnplayertoconvoy" },
    { 0x19290D57E42AA467, "spawnplayertohelicam" },
    { 0x2C83687D919471AE, "spawnplayertoselection" },
    { 0xFC16841E1C51C6E2, "spawnpoint" },
    { 0x43AC5E0207E8653F, "spawnpoint_clearspawnpoint" },
    { 0xBD0E7CDD5A9E9836, "spawnpoint_debug" },
    { 0x2DDB0F3763DB923D, "spawnpoint_is_within_sight" },
    { 0xD693BA4AE4B94BC6, "spawnpoint_setspawnpoint" },
    { 0x4A112477B5C256C6, "spawnpointangles" },
    { 0x30F7B1F6924C4CC3, "spawnpointarray" },
    { 0xDA7997B073F52071, "spawnpointdanger" },
    { 0x45275B4211DE41C8, "spawnpointdangertime" },
    { 0xA497301EE71FF308, "spawnpointdistanceupdate" },
    { 0xE208C108BDAA07A8, "spawnpointinit" },
    { 0xB74B1F3847D7B0E3, "spawnpoints" },
    { 0xDCC45942E7EC55F9, "spawnpointscriptdata" },
    { 0x4AF9718F542A5133, "spawnpointsets" },
    { 0xE2B713036F82F2CB, "spawnpointslist" },
    { 0x8AD34459AF4CF7BB, "spawnpointupdate" },
    { 0x91404301A31FB8F6, "spawnpos" },
    { 0x552B7FFB8CD4238F, "spawnposition" },
    { 0x6A4D76A84E258634, "spawnpriority" },
    { 0x223723D4F972769B, "spawnprojectile" },
    { 0x5A1E1F28E3AFE4F1, "spawnproplist" },
    { 0x1EB62E906948A2F7, "spawnprotection" },
    { 0xAD64F2FA061B21F0, "spawnprotectionexception" },
    { 0xB9573EE5611D29BC, "spawnprotectiontimer" },
    { 0xF02989BD4B22A310, "spawnpunishwave" },
    { 0x24D24C95B862626C, "spawnragdollconstraint" },
    { 0x9E0EE95A39B49645, "spawnrandomhostages" },
    { 0xA516FEE28CA0B949, "spawnregions" },
    { 0x8115375D7C0E7687, "spawnreinforementtruck" },
    { 0x12890CEE3316358B, "spawnreviveclosettrigger" },
    { 0x3A8C28A1B286EC3B, "spawnrevivetrigger" },
    { 0xCC3C9E3B8AB59B74, "spawnrisktoken" },
    { 0x98FCD9CAAF29227D, "spawnrock" },
    { 0x9D3506BF3775E4CA, "spawnrocks" },
    { 0x9950DBCAAF85FDD8, "spawnrope" },
    { 0xF83DE2640FCF328D, "spawnropeandbag" },
    { 0x0CE9E13BBA5B42DE, "spawnsandboxa" },
    { 0x8B0EA3AD11D38BD8, "spawnsatellitetruck" },
    { 0x28C68B1EF4669944, "spawnscavengerlootcache" },
    { 0xA393D20DD184D096, "spawnscore" },
    { 0x2F739952ADD6C193, "spawnscriptable" },
    { 0xFFF4D80D6947B950, "spawnscriptitem" },
    { 0x3BAA9BB66D91CA67, "spawnsecretstashlootcache" },
    { 0x6D71B088799CEC4C, "spawnselectedsquadmate" },
    { 0x4195E8413B16B673, "spawnselectendfunc" },
    { 0xE4A4445A5A5C74C1, "spawnselection_showenemyhq" },
    { 0x169D0F049D29EAB3, "spawnselectionafktime" },
    { 0xC60C14CA0F560327, "spawnselectionbegin" },
    { 0xFFBC258A2B5D2F0F, "spawnselectionend" },
    { 0xCC0C65AB1E37330C, "spawnselectioninfil" },
    { 0x620C3DFC644A3D36, "spawnselectionlocations" },
    { 0xF59AB48255CAB698, "spawnselectionmarker" },
    { 0x4F37310B0B072CD9, "spawnselectionoperatorsound" },
    { 0x5237622F40DA8B75, "spawnselectionshowenemy" },
    { 0x4FBA45B9167DE084, "spawnselectionshowfriendly" },
    { 0x01309463815D55B4, "spawnselectionshutdown_nuke" },
    { 0xB78D9EFC11978B98, "spawnselectionteamforward" },
    { 0x64C685B58F2895BE, "spawnselectionthink" },
    { 0x412AE29C5D47C91E, "spawnselectstartfunc" },
    { 0xBB79CF01C199F304, "spawnset" },
    { 0xBD8817E9E44B230D, "spawnsetlists" },
    { 0xE6D5B7DCC5926EB5, "spawnsets" },
    { 0x1EE7D67E3E0AE8F6, "spawnsighttrace" },
    { 0x792047F333429393, "spawnsound" },
    { 0xF8E8DAB73FB12411, "spawnspectator" },
    { 0xDCAB7FAC56A88074, "spawnspectatormapcam" },
    { 0xBEDBB934C783A2F5, "spawnspreadconvoy" },
    { 0x0E1CA42F9EECF385, "spawnsquadleaderonly" },
    { 0x52D98309A810E59F, "spawnsquads" },
    { 0x8C6EA2F5F84AFDA5, "spawnstartbradley" },
    { 0x6F62769D73761162, "spawnstartingbradleyscmd" },
    { 0xB7EF4C9DA8A5F256, "spawnstartingbradleysdom" },
    { 0x9F24DC9E51CB3B75, "spawnstartingbradleystdm" },
    { 0x4201D60CA5FEEB1D, "spawnstash" },
    { 0x0C0E9FA39FE9CBBB, "spawnstaticvan" },
    { 0xAE31653B6D9B71EE, "spawnstaticvehicle" },
    { 0x7509D740E35B3E5D, "spawnstruct" },
    { 0xC855B0DDAD3358E2, "spawnswitchblade" },
    { 0x1078E6EE6F0C9A94, "spawnsystem_init" },
    { 0x594EA3017AE127E4, "spawntag" },
    { 0x491813413D2A1115, "spawntags" },
    { 0x46020FF585930B4C, "spawntango72" },
    { 0x48F92B413D07F3FC, "spawntank" },
    { 0xC5822E34866BE5D1, "spawntankandmonitor" },
    { 0x83EDAF79387CA37D, "spawntanks" },
    { 0x854CAD416A18763D, "spawnteam" },
    { 0xB781288F68AAC3EE, "spawntestconvoy" },
    { 0xD649E940E978858D, "spawntime" },
    { 0x7E11007E39F63B2C, "spawntimestamp" },
    { 0x0AFC31E7AE966A0A, "spawntoc130" },
    { 0x0FAB3C70217C07BE, "spawntracelocation" },
    { 0x0CA1ECC92AE5ADE8, "spawntraincar" },
    { 0x512A54BC3DCE8772, "spawntrapdangerzone" },
    { 0x949C729AFA28C762, "spawntripwire" },
    { 0x5A1896424AF16C49, "spawntripwirelevelstruct" },
    { 0x84859A0A583E6DF7, "spawntruck" },
    { 0x37DA1E5739869436, "spawnturret" },
    { 0x5727C26CC7DB724D, "spawntvfix" },
    { 0xC0BA5541962AFA64, "spawntype" },
    { 0x1F3D87DC8D5F6240, "spawnuniqueboardroomloot" },
    { 0x2CDBC7501D687410, "spawnuniversaldangerzone" },
    { 0xA7B606CD5155F650, "spawnusedbyenemies" },
    { 0x73070E018C866949, "spawnvan" },
    { 0x775213AC3598B63B, "spawnvector" },
    { 0x2C627FB15B002CD4, "spawnvehicle" },
    { 0x9CCB7A0B21623345, "spawnvehicles" },
    { 0x68D478C67A1E04C7, "spawnvfxincircle" },
    { 0x4C6A9FE13CE3752F, "spawnviewers" },
    { 0x6A39FADF63C683D7, "spawnviewersupdatetime" },
    { 0x8F7035EE367EA953, "spawnviewpathnodes" },
    { 0x72E3F8018C5FF12F, "spawnvip" },
    { 0x6B2E91B11630406E, "spawnwallprompt" },
    { 0xBA4412FF59384905, "spawnwalltriggers" },
    { 0x5D68D69CBFB06CF0, "spawnweapon" },
    { 0x721095E8D0D16D55, "spawnweaponobj" },
    { 0xEDFB217145F10F5D, "spawnwithplayersecondary" },
    { 0x955FCF9897139B7C, "spawnwmhostagecarry" },
    { 0x5B6D8B4ECF65FA68, "spawnx1stashlootcache" },
    { 0x610501D9D9B90AF3, "spawnziptie" },
    { 0x6861D6853BA7897D, "spawnzombiedogtags" },
    { 0xD1ACA439C26B8564, "spawnzonefx" },
    { 0xF827D3DB381C3AA2, "speak_to_stacy" },
    { 0x567624BAF819E2FF, "speakers" },
    { 0x05792CBB78BA693B, "speaking" },
    { 0x0C249AB1A1F3A792, "spec" },
    { 0x18360597BBFDDA4E, "spec_converge" },
    { 0x2CFD3D853A6745AA, "spec_intro_plr_rumble" },
    { 0xC7F52953FFBD633F, "spec_list" },
    { 0xCA28833D9C3B098C, "spec_terry_shot" },
    { 0x01F6770229EA2524, "special" },
    { 0xB792FFD9D033F7EC, "special_ammo_type" },
    { 0xDA1FB0AD67AFDC32, "special_ammocount" },
    { 0xCDD0C4174715AAD6, "special_ammocount_ap" },
    { 0x5711C64D598ACCCA, "special_ammocount_comb" },
    { 0xC0C6E174A3C2C6CB, "special_ammocount_explo" },
    { 0xCDF3DE17473C2BBC, "special_ammocount_in" },
    { 0xF63F13527DEB9F70, "special_autosavecondition" },
    { 0x4A9B28186D98FE29, "special_delay_hide" },
    { 0x948BD4F87F23A73B, "special_event" },
    { 0x843C57E2DDA253E6, "special_lockon_target_list" },
    { 0x8F56E1C46130F75B, "special_mode_activation_funcs" },
    { 0x2E12A23D530128B7, "special_weapon_dof_funcs" },
    { 0xB1FFC7167D7865B4, "special_weapon_logic" },
    { 0xB908CB76FF00BE55, "special_zombie_damage" },
    { 0x5C2A35C319824F63, "specialdayloadouts" },
    { 0x3ECDC30405A176A6, "specialdeath" },
    { 0xC2D134C3C6B93910, "specialdeathfunc" },
    { 0x98D82AFDBEAC29CF, "specialentitymonitor" },
    { 0x4064A24BE143BE05, "specialflashedfunc" },
    { 0x7F1A3D23F8702597, "specialidleanim" },
    { 0xFCB3A34022CFC688, "specialist" },
    { 0x1526D79E5F372304, "specialistbr" },
    { 0xD251A0125D337A9C, "specialistperk" },
    { 0x701665B2BDB30C97, "specialistpoints" },
    { 0xA87187EFF0FA7292, "specialoffhandgrenade" },
    { 0x263EBAB3CC9CD84C, "specialpain" },
    { 0xB0A147DDF69B0576, "specialpainblocker" },
    { 0xE1BF8889E03D2F42, "specialreloadanimfunc" },
    { 0xBBB54EE601CE50F5, "specialshootbehavior" },
    { 0xCF7DCBEAB66CA60E, "specialzombie" },
    { 0x0207960229FC73AD, "species" },
    { 0xAF6AE1D203016BE9, "species_funcs" },
    { 0xEF5EEBC282AED192, "species_pre_spawn_init" },
    { 0xEFB5BE122EA6925F, "speciesfunc" },
    { 0xA9F975AC7827B5D2, "specific_combat" },
    { 0xA82815A72ADA33D3, "specs" },
    { 0x53A0B725C9FED307, "spectatableprops" },
    { 0x28BF1586F2486DFF, "spectate3rdallowed" },
    { 0x46D3DD5FA0621AE5, "spectate_init" },
    { 0x6B8869453E76F7A3, "spectateclientnum" },
    { 0xA8DC9C7779170C7C, "spectatecommands" },
    { 0x40FCB9165A8F11B5, "spectateentity" },
    { 0x9CD2F86430B7605D, "spectatekey" },
    { 0x4A91CA332E95C0C9, "spectatekillcam" },
    { 0xB159468469010293, "spectatenumber" },
    { 0xBEDA7B5D169E8E26, "spectateoverride" },
    { 0xDE064EF63AD9A5D8, "spectatepoint" },
    { 0x3B7DC32D1E813367, "spectateprop" },
    { 0x57A4D7385A858A53, "spectaterulesfunc" },
    { 0x442680B248737793, "spectatetestonprematchfadedone" },
    { 0xC7186422C3B1F291, "spectating" },
    { 0x73205BD9EB3C58CB, "spectating_actively" },
    { 0xAD9BEFB724CA6614, "spectating_cycle" },
    { 0x5E5AA30F4815D189, "spectatingplayerbeforeballcam" },
    { 0x1E5C1F304329DFE0, "spectatingthisplayer" },
    { 0x7C82093042A01F3E, "spectator" },
    { 0x8FDEB5D6C9AB2A4E, "spectator_revive_time" },
    { 0x50FBCD1BE01B5CA2, "spectatorcament" },
    { 0x86AF114D5C2C537A, "spectatorcameras" },
    { 0x9B928D9063AF2AEC, "spectatorcameratime" },
    { 0x7F7A186F0623002C, "speechenable" },
    { 0xBBEB0E971BAFEF25, "speechenablegrammar" },
    { 0xA80D06A72ABBB6CC, "speed" },
    { 0xA5F149215D21BB93, "speed_increase_segment" },
    { 0x68AC2BB0EFFBD53D, "speed_monitor" },
    { 0x3ED7E5F97E1B012B, "speed_norm" },
    { 0x82FB3FF1BC2317D9, "speed_override" },
    { 0x1589E4F785B0FA5C, "speed_reduction_segment" },
    { 0x5F6B2C4D75CFC49D, "speed_scale" },
    { 0xEED72ABA91F16C14, "speed_slow" },
    { 0xBB560F103C06884C, "speed_up" },
    { 0x0DC651725D83E3D3, "speedadjust" },
    { 0xFB38B71126C60821, "speedend" },
    { 0x88805910D32C3D70, "speedmod" },
    { 0x4BCF0668C87B8F27, "speedonkillmod" },
    { 0x32CC006E5ED5CB5C, "speedscalemult" },
    { 0x870FD38B63F91280, "speedstart" },
    { 0xFE269DCCDA6DC136, "speedstripmod" },
    { 0x56D2AA4103FDB638, "spend_type" },
    { 0x9F6F9E1C983FD7A4, "spendcraftedmaterials" },
    { 0x0CEAB7E39BC08D01, "spets_nvgs_on" },
    { 0x948E6883A2A1900F, "spets_spawn_func" },
    { 0xFEB06F90AED8D3A4, "spewing_barrels" },
    { 0x07781DDF3BF1A6AF, "spewtags" },
    { 0x128A9EE93EE44024, "sphere" },
    { 0xF4A356153A020BAC, "sphere_debug" },
    { 0xAD307C5A2068CA76, "sphere_get_closest_point" },
    { 0x45273CB279398399, "sphere_test" },
    { 0x3AC4804061213032, "sphere_trace" },
    { 0x5CFE76B202F28CB0, "sphere_trace_get_all_results" },
    { 0x31772F9BBAB6086B, "sphere_trace_passed" },
    { 0x3E876F1820594630, "spheres_on_heli" },
    { 0x1736993E134A99E3, "spin_fan_blades" },
    { 0x2776F10A56B1113A, "spin_light" },
    { 0xED5F7CB645FAE7B4, "spinafterdelay" },
    { 0x478A5FE374DBFA87, "spinning" },
    { 0x90A54CB4B9CBEEEF, "spinpropkey" },
    { 0xC38416FD795B83D5, "spinsoundshortly" },
    { 0x42888AD152D0B001, "spinuptime" },
    { 0xE3CF5E033B3713BB, "spitter_last_cloud_time" },
    { 0x894B7599D574132A, "splash02fx" },
    { 0x946673F9827FC1B3, "splash_grenade_victim_scriptable_state_func" },
    { 0x6E92E2FEBF14ACE5, "splash_loop" },
    { 0x83D78BBB1355CAF4, "splashfx" },
    { 0x6875A6D5D5BCAA8E, "splashlisttoggle" },
    { 0xC8CE69BD8C3FD151, "splashname" },
    { 0x0A53397C613C8289, "splashpriorityqueue" },
    { 0x65A0F39E3DA69F0B, "splashqueuehead" },
    { 0xF568668DB0A2D03B, "splashqueuetail" },
    { 0x22D4ABA25982975C, "splashshowncallback" },
    { 0xDBE63B3BE7B61C25, "splashshownthink" },
    { 0xDF44ABE5FB538C9C, "splashtablecache" },
    { 0x6547875E7DC5215E, "splashtime_drops" },
    { 0x445200D59C9A5305, "splashtime_helis" },
    { 0x92FA7126B8B84EB7, "splashtime_lzs" },
    { 0x39B36A267674D6FF, "splashtime_vip" },
    { 0x92821C00180E878A, "splatter" },
    { 0xA913C40C1566AE45, "splinenode_angles" },
    { 0x83902515D1BA69C7, "splinenode_corridor_height" },
    { 0x512B40079E4D23B0, "splinenode_corridor_width" },
    { 0x48831B5A1E4A8F91, "splinenode_label" },
    { 0x882ED5CE4C144AE4, "splinenode_speed" },
    { 0x64A109F48D6BE9F4, "splinenode_string" },
    { 0xED27AD42CFABE501, "splinenode_tension" },
    { 0x73944B064221A461, "splinenode_throttle" },
    { 0x3A0BBDA4A80A126A, "split_array_into_quadrants" },
    { 0x81E871163A0B8173, "split_large_pathing_array" },
    { 0x090F8E0D30084AD0, "splitarrivalsleft" },
    { 0xC5D77CE649CC0B25, "splitarrivalsright" },
    { 0x6E610DCDEDC39C3D, "splitexitsleft" },
    { 0x432D57F61994B4F6, "splitexitsright" },
    { 0xD99F309AD87493DB, "splitscreen" },
    { 0x7857E7F41E6C53A6, "splittime" },
    { 0xFE1D06A769759A12, "spoon" },
    { 0xF64CDF03ACAFF659, "spoon_check" },
    { 0x7591FD8CDA1C15B8, "spot_light_nodes" },
    { 0x6FDF8C0CC75F1F2A, "spot_player_dialogue" },
    { 0x852C78E674BA9EFE, "spotcull_mortar_and_triage" },
    { 0xC90C3559C6FB565D, "spotdistcull" },
    { 0x63FB65D1E3E94B46, "spotexpire" },
    { 0xAA95C4BE32805943, "spotlight" },
    { 0x26C39491C8819230, "spotlight_aim_ents" },
    { 0xD0702F6446FA6D8E, "spotlight_angles_offset" },
    { 0x04868778C521160C, "spotlight_goal_node" },
    { 0x70E5D9F02F09D7B2, "spotlight_max_dist_sq_from_node" },
    { 0x38DCADBC1F6C35E4, "spotlight_min_dist_sq_from_node" },
    { 0x3D10BCB73EF7C801, "spotlight_model" },
    { 0xC54CD9F84334C05E, "spotlight_movement_think" },
    { 0x75075874BAD5AA40, "spotlight_origin_offset" },
    { 0xBCAA1BEA0E8A25EE, "spotlight_reach_goal_node_dist_sq" },
    { 0xED5B6FC9E9B7A8DF, "spotlight_speed" },
    { 0x0940EE1EDB27114D, "spotlight_sweep_to_loc" },
    { 0x7552E7DDCA951523, "spotlight_sweep_to_loc_safe" },
    { 0x3AED4004E2C617FC, "spotlight_tag" },
    { 0x89B5D091A097F6D0, "spotlight_target_found_dist_sq" },
    { 0xE41891265FD6E702, "spotlight_target_found_speed" },
    { 0xBA6B8DAF92234467, "spotlight_turret_info" },
    { 0xA7B8DE4910442490, "spotlights" },
    { 0x3BAA6CBE9CD9E988, "spotlimit" },
    { 0x95E96E87AC7E9684, "spotplayer" },
    { 0xC48A87BB687E932C, "spottarget" },
    { 0x8A5C06E8454F35F6, "spotted" },
    { 0xB367BF9E8454B313, "spotted_list" },
    { 0xDA23EDDC657D4343, "spotted_thread" },
    { 0xA2920D9C7CDECD3A, "spottedindex" },
    { 0xEB9ADBD947AFCABF, "spottedplayer" },
    { 0x8A5BF8E8454F172C, "spotter" },
    { 0xA1783C4AD8BCF4E0, "spotter_scope_check" },
    { 0x0FF812F280B8A2D4, "spotterlookatents" },
    { 0x90C59882AD7338B1, "spotterscope_aim_hint_check" },
    { 0xBBE390627929B82E, "spotterscope_check_lookat" },
    { 0xAD66B92D0FA9D7F6, "spotterscope_equip_hint_check" },
    { 0x56BF415C31376CC8, "spotterscope_fire_hint_check" },
    { 0x9DEFAF65FD7B5D1C, "spotterthink" },
    { 0x7A21EEDE5E4F264B, "spotupdatelimit" },
    { 0xFDBC10A7690AC496, "spout" },
    { 0x79DFB8C9E719D278, "spoutfx" },
    { 0x0E60DAB3E645662F, "spplayerconnect" },
    { 0x7970922AD6DDFA11, "sppmdata" },
    { 0x8CF8F4B5F4CDEE4F, "sprayed" },
    { 0x7F0A39E703D1E51A, "sprayevent" },
    { 0x8CE6D4B5F4B96A93, "sprayid" },
    { 0xA79A384A3F2EE16D, "spreadshotdamagemod" },
    { 0x49CF1DF8B400E90C, "sprimaryweapon" },
    { 0x4C6BAC67A6B57DF4, "spring_add" },
    { 0x949B9DE4CB9C3794, "spring_count" },
    { 0x78D024E223B0C4AA, "spring_delete" },
    { 0xB8ECBB43099176D2, "spring_get_pos" },
    { 0x1248C4434BEAF323, "spring_get_vel" },
    { 0x1618B4AC86113033, "spring_init" },
    { 0x5CE338283D3C2F4C, "spring_make_critically_damped" },
    { 0x1358305EA1D369CC, "spring_make_over_damped" },
    { 0x4E5CB7DD1712B388, "spring_make_under_damped" },
    { 0x5EE19D5DD7E4301E, "spring_set_pos" },
    { 0x4543565DC65B66EF, "spring_set_vel" },
    { 0x793653E20481C774, "spring_update" },
    { 0xC57BFD504A0E3D67, "springcamdisabled" },
    { 0x1400799598E443EC, "springcamenabled" },
    { 0x47A3FD6FE3C6CDB1, "springs" },
    { 0x4B53247B6CA01EC1, "sprint" },
    { 0xB90611C9D443EF6F, "sprint_begin" },
    { 0x5FCDD63387B049D2, "sprint_disabled" },
    { 0xEE67F70D2DC1FA27, "sprint_end" },
    { 0xA9759CCEFA74D097, "sprint_hint" },
    { 0x6FD365C6509A8E93, "sprint_to_goal" },
    { 0x27F518BCC56535BA, "sprint_watcher" },
    { 0xC5C1D7F71099C37A, "sprint_when_needed" },
    { 0x8F32CF05009B3B75, "sprintbuttonpressed" },
    { 0x0E179911A0A9E67D, "sprintfootstepradius" },
    { 0x1594ED2ED187BDFF, "sprinting" },
    { 0x4F24BF4AC3A00942, "sprintinitsfxtag" },
    { 0xC5FACE0352E8D2A8, "sprintsfxtag" },
    { 0x8448B055B6F5D3B0, "sprinttracking" },
    { 0x47E4C8F22873D47E, "sq_checkiflocaleisavailable" },
    { 0xC7297CDD2F2AF593, "sq_circletick" },
    { 0xDF2E19155C61D7B0, "sq_createcircleobjectiveicon" },
    { 0x0923BF3C1A945FEE, "sq_createquestlocale" },
    { 0xA0C39BEB707E8380, "sq_entergulag" },
    { 0x3F0F7841172A98FE, "sq_initlocaletype" },
    { 0xF698E566778E3186, "sq_initquesttype" },
    { 0x5B280C40732DC128, "sq_localethink" },
    { 0xC9CB9FDF73FB1AF5, "sq_localethink_itemspawn" },
    { 0x9D1F04B846A39F84, "sq_localethink_objectivevisibility" },
    { 0x8E1813F4537AE57D, "sq_movequestlocale" },
    { 0x8684C20448BADCED, "sq_ontimerexpired" },
    { 0xDEDE7F858881DBED, "sq_playerdisconnect" },
    { 0x81D30F8770A740D0, "sq_questthink" },
    { 0xBBD6DD611419B067, "sq_removelocaleinstance" },
    { 0x999D68FF52C1F864, "sq_removelocalethread" },
    { 0x2DE3D1FBF496E88F, "sq_removequestinstance" },
    { 0x15DC3187DF17DF8C, "sq_removequestthread" },
    { 0x8BE506A92CE94816, "sq_respawn" },
    { 0x1939CEB1AB04BFE3, "sqrt" },
    { 0x4C31FB7E58790510, "sqtablet_init" },
    { 0x1C6C18BAD4684875, "squad" },
    { 0x60016029E41A601E, "squad_allieslogic" },
    { 0x1D4181AB53F33DD2, "squad_dialoguelogic" },
    { 0xE4F03A6E0AB804F0, "squad_enemieslogic" },
    { 0xD050307CAA1292A9, "squad_getmortarmodels" },
    { 0xC96E5DA877EE7ECF, "squad_getvehicles" },
    { 0x92CA99B050CAEF3F, "squad_getvehiclespawners" },
    { 0x885769C8E9F90E84, "squad_init" },
    { 0xC7A815C2B43813B9, "squad_leader_group_size" },
    { 0x351C5E706030DF77, "squad_main" },
    { 0x5B0BF762B2C55344, "squad_max_size" },
    { 0xFF78ABE9445649DC, "squad_spawnvehicles" },
    { 0x0938620F19AAD26E, "squad_start" },
    { 0xC1549C4CE0F6A425, "squad_to_alley" },
    { 0x105E139B89BE9B54, "squadaddtosubgroup" },
    { 0xCA57979EB9358B55, "squadallowuse" },
    { 0x30FFE4805E6ED76B, "squadassignedfromlobby" },
    { 0x613B60C804EA8A8F, "squadassignnewleader" },
    { 0xA44DCD62E2FD94D1, "squadcanburst" },
    { 0x7667077C95560D8D, "squadcreateandadd" },
    { 0x562A7804A7944924, "squadcreatefuncs" },
    { 0x4524782F9E8FAD69, "squadcreatestrings" },
    { 0xFBE26C3EEA438735, "squaddata" },
    { 0xEF0FA5A9276FC23E, "squaddenyuse" },
    { 0xAD7DC5C1A41A2529, "squaddropbagcrate" },
    { 0xF718EC6B018981AD, "squadexists" },
    { 0x961645ED887FC5D0, "squadfindnearbysquadtomergewith" },
    { 0x9E9249B9BA9F46AA, "squadflavorbursttransmissions" },
    { 0xAD87547904664B5F, "squadhasofficer" },
    { 0xFA12F91C516BBED0, "squadid" },
    { 0xE442D673095EB75B, "squadindex" },
    { 0x3BF1ADA916C988CD, "squadinitialized" },
    { 0xF552E38E79CA4A8B, "squadleaderbeacon_circleorigin" },
    { 0x41EBAA84D29658C7, "squadleaderbeacon_circleradius" },
    { 0xD7D0A1676CB41B00, "squadleaderbeacon_fxent" },
    { 0xFCEFD2DEFF1A530F, "squadleaderbeacon_isactive" },
    { 0x014BF82710F275B0, "squadleaderindex" },
    { 0x65EF4DF6CA16402C, "squadlink_outline_id" },
    { 0xCBEF95B588E55C32, "squadlink_wid" },
    { 0xEA20D1F9BBC46851, "squadlist" },
    { 0xB75237317FD4A513, "squadmemberbufferedstats" },
    { 0x9073A0C3A05431FE, "squadmemberid" },
    { 0x629A2504977C2E29, "squadmemberindex" },
    { 0x279B57DE9F69A6F7, "squadmerge" },
    { 0x666446F09CA7F358, "squadmovecounter" },
    { 0xAC392AF7375FC158, "squadmovementallowed" },
    { 0x7699C528DA4E1BD6, "squadname" },
    { 0x520E6D47021F5AE3, "squadnum" },
    { 0xFD9AED6488A6DC70, "squadnumber" },
    { 0x01E0A2F2C6C3EE8C, "squadofficerid" },
    { 0x8533EA54FEA7CBC6, "squadrand" },
    { 0x0FF2B3F89CDE7ABA, "squadremoveondeath" },
    { 0xEA0268E121566532, "squads" },
    { 0xE6C5D4432E563452, "squadscounter" },
    { 0x05533D7234E77ABB, "squadspawnaborted" },
    { 0x2F615A56D15FCFA9, "squadspawnconfirmed" },
    { 0x0F4C51FE179B577F, "squadspawndebug" },
    { 0xBA7021CC1144A29A, "squadspawnselectionlocations" },
    { 0x477AD8AC0730429E, "squadspectateang" },
    { 0x20A93BACA63A4FA0, "squadspectatepos" },
    { 0x51CBD49D4799F277, "squadstartlocationkey" },
    { 0xDB14B50F126456EB, "squadthreatwaiter" },
    { 0x131405D3053D9A9B, "squadtracker" },
    { 0x10467018E5F46EF3, "squadupdatefuncs" },
    { 0xC1825ADF91905782, "squadupdatestrings" },
    { 0x1C8EC1999F64BDD6, "squadwiped" },
    { 0xB6AD3361AB300CC2, "square_cleanuppreviousai" },
    { 0x055C1FDD5DC1DA53, "square_dialoguepostexecutionlogic" },
    { 0x4027E9A6E25F64B3, "square_dudes_hide_array" },
    { 0xA1A313F135B050B9, "square_farahlogic" },
    { 0xDA0A654881E3C18D, "square_farahstayaheadlogic" },
    { 0xA6500B0311CFE52D, "square_getcivilians" },
    { 0x46F9BB93E72098F3, "square_getcivilianworkers" },
    { 0x45C0CCC1E392B70E, "square_gethangingcivilianheadmodels" },
    { 0x669DDF75BC0B1DC0, "square_getplayerbesideexecutiontrigger" },
    { 0x7B60B0DCFDF4BBFF, "square_hangingscenelogic" },
    { 0xA296B86E534E6726, "square_main" },
    { 0x0BC0E45710DEB753, "square_search_dead_bodies" },
    { 0x54D22FE5B8B6E0E9, "square_spawncageddogs" },
    { 0xC1EA4A6AD700C538, "square_spawncivilians" },
    { 0xC83EF6AAAF5E8F16, "square_spawncivilianworkers" },
    { 0x5C1D3E3AA95DC116, "square_spawnenemies" },
    { 0x2D21737168082D84, "square_spawnhotvehicles" },
    { 0x9357C92BEEDF55CD, "square_start" },
    { 0xFED07DBB6D438223, "square_stealthbrokenlogic" },
    { 0x6D405BCE6B7923B5, "square_stealthbrokenturretlogic" },
    { 0x928BC3AB06718FA3, "square_stealthbrokenvehicledriverlogic" },
    { 0xF9EA7B611236AFF1, "square_stealthbrokenvehiclelogic" },
    { 0x27D47B7C22DAD2D4, "square_wallalogic" },
    { 0x4ADEF975B9E9B9F9, "squareaspectratio" },
    { 0xBE17571B6AF76AD2, "squared" },
    { 0x74CEBE39E2267574, "squatefforts" },
    { 0x62E7F9151A65AE17, "squib_back" },
    { 0x13E5A1BFB35704A9, "squib_chest" },
    { 0xB16EFD2B036B58BE, "squib_head" },
    { 0x701ACF94FDEF95C2, "squib_left_leg" },
    { 0xCDD13178F51B5B5C, "sr" },
    { 0x8A8F0827648B0961, "sr_ally_near_tag" },
    { 0x4E645EF8EC41896B, "sr_camp_tag" },
    { 0xEAB464B51D995450, "sr_door_buzzer" },
    { 0x0024652FB7BFC7E0, "sr_entrance_door" },
    { 0x69B8E74F9F3878CE, "sr_exit_door" },
    { 0x14453B1B6F4D5757, "sr_next_ammo_restock_time" },
    { 0xB0D784AEC51D7E9F, "sr_pick_up_tag" },
    { 0xBE6B06030B299E5B, "sre" },
    { 0x0B32D1DCC4B07B2A, "sre_func" },
    { 0x7424D91130D8C879, "srelicref1" },
    { 0x7424D61130D8C1E0, "srelicref2" },
    { 0x7424D71130D8C413, "srelicref3" },
    { 0x7424DC1130D8CF12, "srelicref4" },
    { 0x7424DD1130D8D145, "srelicref5" },
    { 0x7424DA1130D8CAAC, "srelicref6" },
    { 0xC48714E16D91FA89, "ss_circletick" },
    { 0x5FC506DD14835D42, "ss_entergulag" },
    { 0xCE490FAEB9A48787, "ss_ontimerexpired" },
    { 0xDE698917CD51932B, "ss_playerdisconnect" },
    { 0xD8843594603E4955, "ss_removequestinstance" },
    { 0x67C970B411844B14, "ss_respawn" },
    { 0xB54531D9BAAA70C0, "sse_bags" },
    { 0x4C7A33B8ECD25A45, "sse_items" },
    { 0x3F9BB76727A18752, "sstablet_init" },
    { 0x5F2E362ED6BA2BA5, "stab01_loop_vo" },
    { 0xA3D8713F846CB2BB, "stab_blink_black_fade" },
    { 0x6ED963F4E17B58B4, "stab_fail_extras" },
    { 0x65ED4CE048A2FBF5, "stab_swap_01" },
    { 0x65ED49E048A2F55C, "stab_swap_02" },
    { 0x65ED4AE048A2F78F, "stab_swap_03" },
    { 0x65ED47E048A2F0F6, "stab_swap_04" },
    { 0x65ED48E048A2F329, "stab_swap_05" },
    { 0x65ED45E048A2EC90, "stab_swap_06" },
    { 0x511F959BA7820CDE, "stab_tag" },
    { 0xDC87CA1688653D40, "stable_unlink" },
    { 0xA1B5A9C170FFE0DC, "stack_endon" },
    { 0xD5E923DB59D41406, "stack_endon_recurse" },
    { 0xB8AA4696A829713A, "stack_patch" },
    { 0x3F256C32067CD2FB, "stack_patch_leaf" },
    { 0x6366430B7B3458BF, "stack_patch_node" },
    { 0x1EFE73AAEBAA4103, "stack_patch_root" },
    { 0x79D0ED4791E91C31, "stack_patch_stack" },
    { 0xBF20797B890AA20F, "stack_patch_thread" },
    { 0xE28568266D61F020, "stack_patch_thread_leaf" },
    { 0xFA5E214D257A5D7C, "stack_patch_thread_node" },
    { 0x1EF8FDBE7CFF5788, "stack_patch_thread_root" },
    { 0xFD1538AF182EB361, "stack_patch_waittill_context" },
    { 0x313975FAB6E84107, "stack_patch_waittill_context_far" },
    { 0x49E4DAC15250E2E6, "stack_patch_waittill_context_far_patch" },
    { 0x3E95FD8826BEEB00, "stack_patch_waittill_context_patch" },
    { 0x3887744CBC6BFF62, "stack_patch_waittill_leaf" },
    { 0x2093DD26043580C2, "stack_patch_waittill_node" },
    { 0xBC9DCA51D5222A22, "stack_patch_waittill_root" },
    { 0x0005BA89F4307B06, "stack_patch_waittill_stack" },
    { 0x67DF76C84AEF0531, "stack_up_count" },
    { 0xC3EBAE2F11C2D9E6, "stack_up_wooden_gate" },
    { 0xCE89864163193817, "stackable" },
    { 0x7937057696635B0D, "stackscurrent" },
    { 0x0586598B7CDA5446, "stacksmax" },
    { 0x83ECD52AC617C20D, "stackup_when_clear" },
    { 0x8717A2402F372DE1, "stackvalues" },
    { 0x9FEFE346C8385F01, "stacy" },
    { 0xDE7A849A5D2232AE, "stacy_bad_places" },
    { 0x04765E9AEBD8170D, "stacy_bad_zone_attack" },
    { 0x6192E729AA17AD10, "stacy_confirmations" },
    { 0xD590DC56D27E7201, "stacy_dejected_idle" },
    { 0xD87F11F5F28273B5, "stacy_dies" },
    { 0x8E942D49BFEF4BA5, "stacy_dies_after_freedom" },
    { 0x165216BF0B076543, "stacy_direction_nags" },
    { 0xFDD117177B75631A, "stacy_distance_watcher" },
    { 0xE7C2C8BD0C666E37, "stacy_hasnt_moved_check" },
    { 0xAB6970056AF51CBA, "stacy_hostage_death" },
    { 0xD8B950DB3BE80DD3, "stacy_idle_watcher" },
    { 0xA44B06B96D89EA0F, "stacy_killed_by_player" },
    { 0xD4E1884EB323B15D, "stacy_killer_dies" },
    { 0xBD287407FA9F6697, "stacy_killer_succeeds" },
    { 0xDCC67AA63CCF3D94, "stacy_movement_watcher" },
    { 0x5E9C2E4F6BE5B2E7, "stacy_moving_watcher" },
    { 0xD4FFF50C5B03B109, "stacy_nags" },
    { 0x80F3DBE274CE1ED7, "stacy_nav_blockers" },
    { 0x6B092A7206E1D67D, "stacy_nearby_detect" },
    { 0x3CAC10863F94CB72, "stacy_reset_ff" },
    { 0xDB5FFC8423DC1005, "stacy_run_away_watcher" },
    { 0xC5A6C52EAF6295D6, "stacy_should_confirm" },
    { 0xC97F117FA076F441, "stacy_spawn" },
    { 0x7FFAFFAE97ED6D5B, "stacy_spotted" },
    { 0x62F3253065294A09, "stadium_one_death_func" },
    { 0x170FD061B2796221, "stadium_puzzle" },
    { 0x71A1354DB14B4415, "stadium_three_death_func" },
    { 0x0C7F093557F42593, "stadium_two_death_func" },
    { 0xEB3AE610730545AA, "stadiumpuzzleactive" },
    { 0x9FDDEF46C8243C09, "stage" },
    { 0xDD7D565F78D6005F, "stage1accradius" },
    { 0xD2C0CD92ED3F973C, "stage2accradius" },
    { 0x6A88644989689499, "stage3accradius" },
    { 0x8D65AD659361B220, "stagger_ai_to_pos" },
    { 0x42549EF8BFC99C95, "stair_blocker_ai_handler" },
    { 0x1AD0727E610C741C, "stair_blocking_marine_handler" },
    { 0x6513A33D685CC52D, "stair_player_clip" },
    { 0x0A0EF7B5B0BC6B91, "stairs_2f_nag" },
    { 0xD292B2D8FD5BFEEE, "stairs_3f_enemy" },
    { 0xA4EB580332E8FFA0, "stairs_3f_enemy_vo" },
    { 0xD1AE35E19FA5B349, "stairs_attack_catchup" },
    { 0xA196842BBD5D1BB0, "stairs_attack_main" },
    { 0x3B6A749D340DFBC7, "stairs_attack_start" },
    { 0x6B6DC1F27A114D92, "stairs_blindfire_vignette" },
    { 0xDCA2CB71167C6B5E, "stairs_climb_third_floor_dialogue_handler" },
    { 0x73528AEFA19FC734, "stairs_explosion_heli" },
    { 0x858485468671D10B, "stairs_explosion_player_hit" },
    { 0xDD90D35D1C006829, "stairs_explosion_price" },
    { 0xF0F23724F07C93F4, "stairs_explosion_scene" },
    { 0xDD500B0BA297369E, "stairs_guy_spawn_func" },
    { 0xBBA7F784D09C81BD, "stairs_scene_cowbell" },
    { 0x8EE52E73105D2C67, "stairs_scene_finished" },
    { 0xBBE1392FAB24263B, "stairs_terminate" },
    { 0xBF25AAB7F0304790, "stairs_tripwire_approach_call" },
    { 0xDD896C0E85A54C4C, "stairs_tripwire_lookat_monitor" },
    { 0x4C9E16FB3D5B3668, "stairs_weapon" },
    { 0x37102BFD3A10F884, "stairsstate" },
    { 0xEFBBFE0CBBA05E23, "stairswithindistance" },
    { 0x58FECB057B0DA060, "stairtrain" },
    { 0xC5F8CE0D9EF79223, "stairtrain1" },
    { 0xE1FD527EBF6B3712, "stairtrain1_animcustom" },
    { 0xB959ADC9509E58DE, "stairtrain1_catchup" },
    { 0x55AD47717C5E5BB1, "stairtrain1_main" },
    { 0xEC243A0E5469CBAE, "stairtrain1_nag" },
    { 0x9ECB7446C1C158D1, "stairtrain1_price_player_race" },
    { 0x6CBEA1F71BCCBD2C, "stairtrain1_ready_thread" },
    { 0x302FFA38BA241121, "stairtrain1_setup" },
    { 0xECC092C830D2FE58, "stairtrain1_start" },
    { 0xEF0501ED30602D4D, "stairtrain1_try_vo" },
    { 0xC5F8CF0D9EF79456, "stairtrain2" },
    { 0xE9A6CF27850F15A9, "stairtrain2_animcustom" },
    { 0x12D2364F1BBEB06A, "stairtrain2_main" },
    { 0x13462151EFC6B1A7, "stairtrain2_nag" },
    { 0x29ED1B3251F9153C, "stairtrain2_nags" },
    { 0x01B3606D11153581, "stairtrain2_player_near" },
    { 0xF0DA6F97D4C670DE, "stairtrain2_remove_clip" },
    { 0xE7600182A9DFE6FC, "stairtrain2_setup" },
    { 0x4EF16BE26FFA5949, "stairtrain2_start" },
    { 0xC5F8D00D9EF79689, "stairtrain3" },
    { 0x1FBB7EA035090368, "stairtrain3_animcustom" },
    { 0x311389C4EC2C518B, "stairtrain3_main" },
    { 0xFED3A1D9933FAC88, "stairtrain3_nag" },
    { 0xB992B43AB410EA8E, "stairtrain3_player_near" },
    { 0xDE3A7351360217EF, "stairtrain3_setup" },
    { 0x68493BE1FDF7B03A, "stairtrain3_start" },
    { 0xD1B682EEF3C86896, "stairtrain_1f" },
    { 0x0779642480CE59E9, "stairtrain_1f_animcustom" },
    { 0x3E82593E8E99F23C, "stairtrain_1f_setup" },
    { 0xD1C474EEF3D89151, "stairtrain_2f" },
    { 0xD41657B78BB09140, "stairtrain_2f_animcustom" },
    { 0xD68E26458D44EFC7, "stairtrain_2f_setup" },
    { 0x65908B7E659D5B27, "stairtrain_attic_animcustom" },
    { 0x55406F4CE519082D, "stairtrain_data" },
    { 0x590B15908E9CC0BD, "stairtrain_notetracks" },
    { 0x4F491A8BBC87B095, "stairtrain_player_data" },
    { 0x41AC950B7BD3AAE3, "stairtrain_prevguy" },
    { 0xFE34FD523156A9CF, "stairtrain_rate" },
    { 0xA72C2EF6E7EF148E, "stairtrain_rearguy" },
    { 0xE65DD275DDBB27C9, "stairtrain_thread" },
    { 0xB5476A527CD77981, "stairtrain_twitch_get" },
    { 0x1A863BB0400282E8, "stairwell_advance_ignore_player_clear" },
    { 0xE2C32AC69DFA7280, "stairwell_advance_ignore_player_enable" },
    { 0xA92CB12B3CB1C901, "stairwell_available_paths" },
    { 0xB8883DF461437E8E, "stairwell_available_paths_index" },
    { 0x5E9971D6EDDE93B3, "stairwell_catchup" },
    { 0x59FE57C81E51DC33, "stairwell_corpses_cleanup" },
    { 0x9139EE4250241AE9, "stairwell_crowd_car_sound" },
    { 0x6A7DAF7D9D2CA1FE, "stairwell_guard_combat_think" },
    { 0xC75C9E96E98400C2, "stairwell_guard_should_hunt" },
    { 0x981514FEEB7F99E0, "stairwell_lower" },
    { 0xB428BC3BFD47EA62, "stairwell_main" },
    { 0x3287F75E7DFE5093, "stairwell_molotov" },
    { 0x94EC7BB5B273DF5C, "stairwell_price" },
    { 0x5BB19B6AF34473AD, "stairwell_runner_respawner" },
    { 0xDEF0E13D5A06721E, "stairwell_runners" },
    { 0x575C2323077AF090, "stairwell_second_window" },
    { 0xF7FDC675CB2BA601, "stairwell_start" },
    { 0x2D61BC6AF13C74B5, "stairwell_upper" },
    { 0x6225AECC434CA07A, "stakeout_catchup" },
    { 0x843E718D41FDFAC5, "stakeout_intro_start" },
    { 0xC3D42F24D7BE1F34, "stakeout_start" },
    { 0xEDA0E22F490634DF, "stakeout_stp_main" },
    { 0x793DA9422B46BA27, "stalemate" },
    { 0x514FCB5326AE8D5F, "stalingradspawn" },
    { 0x0AD0EBBC27868052, "stamina" },
    { 0x3D1309AA88B494B9, "stance" },
    { 0x00E51A51702AAF09, "stance_carry" },
    { 0xE933BBD32572E3CC, "stance_carry_icon_disable" },
    { 0x9B7BA10DC9E62A4F, "stance_carry_icon_enable" },
    { 0x2001C4627BA600BA, "stance_num" },
    { 0xF6878310F3D0C3DD, "stancebuttonpressed" },
    { 0x3FE456C880D05CBB, "stancerecoiladjuster" },
    { 0xCA1891789DFA5CC2, "stancerecoilupdate" },
    { 0xA005CC46C8505F9F, "stand" },
    { 0x78CEEC8D5A60C9DF, "standangles" },
    { 0x0C9DC94B7D3DC1E3, "standard_health" },
    { 0x203475219D6900D2, "standard_soldier_watcher" },
    { 0xDC93A59BD93D361C, "standard_spawnpoint_scoring" },
    { 0x933122603EE36C63, "standard_spawnpoint_valid" },
    { 0x4A4D79397C348817, "standattack" },
    { 0xD885647692962638, "standdetectdist" },
    { 0x6D86B0AF1BA3C439, "standing" },
    { 0x66694246AB2D6922, "standing_cellphone" },
    { 0x9F3E43965FD2733E, "standing_cellphone_anim" },
    { 0xF5D681AB8A3F564A, "standing_cellphone_anim_seq" },
    { 0x87548A0B76DF1BAD, "standing_cellphone_loop" },
    { 0x4111BA6E852C479C, "standmodel" },
    { 0x6D884CEFEEC921FC, "standoff_main" },
    { 0x645DC35C6DD597A1, "standoff_nag_vo" },
    { 0xB331CE4DDFEA5FCB, "standoff_start" },
    { 0x7FED7AC72D7B2609, "standoff_terry_vo" },
    { 0x657A2D5F9176EF32, "standoff_trailer_setup" },
    { 0xD0D8C6FB18FD1784, "standoffset" },
    { 0x5BD06AE387F7D0DD, "standupoffset" },
    { 0xABF80A8D862DD6D4, "starcount" },
    { 0xB6503D45A9EB5412, "starscores" },
    { 0x829B1D673D783BAD, "starsearned" },
    { 0x9FADDC46C7EFB603, "start" },
    { 0x496A88672B03D749, "start_2f_data" },
    { 0xD74D02F399A120E9, "start_ac130_respawn_sequence" },
    { 0xDB2A5DB01BC13310, "start_airfield_safehouse" },
    { 0x393EBF7FD883BAC1, "start_airstrikes_sequence" },
    { 0x28769099703B0A4C, "start_alley_heli_crash_lgt_fire_flicker" },
    { 0x65E5B8D280DC4CA9, "start_ally_stayahead_movement" },
    { 0xD6DD1D16913C3A5A, "start_alt_death" },
    { 0x9C04806A9A265C61, "start_ambush_on_player_fire" },
    { 0x38A87C76AECB60F4, "start_angles" },
    { 0x18897CC097BE2820, "start_anim_death" },
    { 0xAC331FAE861F25BB, "start_anim_train_scene" },
    { 0x89173440A20A62C0, "start_area_fx" },
    { 0xD7F36961143C7392, "start_area_fx_end" },
    { 0x282E8545AE322C2E, "start_arrays" },
    { 0x2B01B57C149FDD9D, "start_attack_heli" },
    { 0xFA42F2C9624835A2, "start_authentication_timer" },
    { 0x4C786F6AE076D134, "start_automated_respawn_func" },
    { 0x59D0756D1CFB36AE, "start_bb_recovery" },
    { 0x627277ABACFA163C, "start_black_screen" },
    { 0xB2EB6EB46AD0CE37, "start_blend" },
    { 0x2CD55C151081A0D5, "start_bomb_count_down" },
    { 0x0B4108FF985B6DBD, "start_bomb_count_down_on_all_bombs" },
    { 0x4E92EF02CD586DCA, "start_bomb_vest_defusal" },
    { 0x762727ACDED3E236, "start_bomb_vest_defusal_sequence" },
    { 0x016021D1D7DD6021, "start_bomb_vest_global_timer" },
    { 0x78323677B0E1357F, "start_boss_checks" },
    { 0x6849375AF53A3226, "start_box_set_up" },
    { 0xCD6F1E755B563D54, "start_bpg_metal_detector_fire_flicker" },
    { 0xFACDFB8450B14EC5, "start_breakout" },
    { 0x0A1B9A6D2D052CA1, "start_chants_on_movement" },
    { 0x4460FA4561B7065C, "start_chasing_target_entity_think" },
    { 0x5F8972EB81FD5CC1, "start_checkin_weapons" },
    { 0xC77E9116A10514B1, "start_chopper_boss" },
    { 0x12A80E5E4F31D5A2, "start_chopper_engine" },
    { 0x9D13244BAA09A89C, "start_circling_heli" },
    { 0x8A5E0EA3DA497475, "start_civ_struct_spawner" },
    { 0x74FF8366001ABD44, "start_closed" },
    { 0x1FB968E4BEE4EDBF, "start_collect_nuclear_core" },
    { 0x1F97C9A8BE96B41B, "start_color" },
    { 0x2F886E892259E1BC, "start_combat_marker_think" },
    { 0x2B1CA268BD06F3E9, "start_conceal_add" },
    { 0x6A7306EA7B6C20CA, "start_convoy" },
    { 0x1BBCE4FAC4CE370A, "start_coop_bomb_case_defusal" },
    { 0x49766030F9223235, "start_coop_bomb_defusal_sequence" },
    { 0xCDD7B9D081CE6F70, "start_coop_defuse" },
    { 0xBE587FE1CAA94099, "start_coop_defuse_infiltrate" },
    { 0x5B8369B88F310CC5, "start_coop_escape" },
    { 0xC1A5BF631D56E86B, "start_coop_escape_end_camera" },
    { 0xFF71AD21BB943FE5, "start_coop_escape_safehouse" },
    { 0xECA512B8F998B3C2, "start_coop_escort" },
    { 0xD48C29132EC41F0D, "start_coop_escort_enter_vehicles" },
    { 0xF9A6D1FD7D121C3C, "start_coop_escort_protect_hvi" },
    { 0x8E1B137372963752, "start_coop_push" },
    { 0x425F8C8BC6A84329, "start_coop_stealth" },
    { 0x73103ABA6B665ED2, "start_coop_vehicle_race_sequence" },
    { 0x32F6E5B99AB3B647, "start_countdown" },
    { 0x9C6B95B4D56226C9, "start_countdown_till_sequence_is_cleared" },
    { 0xC7158643784D4FB2, "start_crate_drops" },
    { 0x3A8DEAF23BEDEC03, "start_death_from_above_sequence" },
    { 0x0D29C3142EC5B243, "start_delay" },
    { 0x14AF0D6F3DAF9678, "start_destroy_c130" },
    { 0x649B789C45CE3510, "start_detonator" },
    { 0x577E45EC7A50E589, "start_display_cleanup" },
    { 0xDC2B33353777D5DA, "start_drag_rumble" },
    { 0x5C9C94ECD98B5A5B, "start_driver_role" },
    { 0x2E31DF37F12D3630, "start_drones_event" },
    { 0xBBA65F531D02DB05, "start_emp_effects_player" },
    { 0x6BF83CB448CA76E2, "start_end_breach_fx" },
    { 0x9E92D2D0E5CC896D, "start_ending_cinematic" },
    { 0x9BD310546A7C1AA5, "start_enemies_logic" },
    { 0x114774405895B4C2, "start_enemy_hvt_vehicle" },
    { 0x5D6E2A8976772A2A, "start_equip_disguise" },
    { 0xB8DB01541C2AD489, "start_escape_silo" },
    { 0x0CCB9709931ABB2C, "start_event" },
    { 0xAE136FE0822AF675, "start_event_director" },
    { 0x87DAAF1BF124DBB5, "start_exfil_after_timeout" },
    { 0xBC21A55B5D07C275, "start_exfil_plane" },
    { 0x11552F4B3475D608, "start_exfil_spawn_sequence" },
    { 0x16E2C6679844BD1B, "start_explosion" },
    { 0x6D7BCB5B0EB18B84, "start_extract_lz" },
    { 0x146DA848CE28ECB1, "start_eye_barkov" },
    { 0x3B719A162601E354, "start_fail_with_fade" },
    { 0x9881C5739686947C, "start_fake_combat_below" },
    { 0x44E051ACC41FDCCF, "start_fakeactor_notetracks" },
    { 0xAC27DDCAC9CA4349, "start_fardist" },
    { 0xDED7E055C568BBD1, "start_find_hvi" },
    { 0x290CA1453ED3CA93, "start_firing" },
    { 0x1B96283843890DCF, "start_firing_minigun" },
    { 0x2856FC045794F68E, "start_firing_turret" },
    { 0x4EFD844D6776B349, "start_first_raise" },
    { 0x5EBDB4445CF6A7EE, "start_flag" },
    { 0x19F04FC890D7BA1A, "start_flight" },
    { 0xF17C692025994FA4, "start_fly_over" },
    { 0x4F6AEF6039430C85, "start_freight_lift" },
    { 0x1210F943697910A2, "start_func" },
    { 0xE501628D3D2D98FD, "start_functions" },
    { 0x0D6AC90033ABDF7A, "start_game_end_timer" },
    { 0x73BF190B4B0D6CCB, "start_game_type" },
    { 0x15310215875B6323, "start_gas_sequence" },
    { 0x6302E60463E15720, "start_gates" },
    { 0x18D44F3326C77765, "start_globalthreat_timer" },
    { 0x0CBD5F6711F47400, "start_go_to_the_prison" },
    { 0xAA8B722E2960333D, "start_hack" },
    { 0xF6C4951E752375BF, "start_hack_console" },
    { 0x2C5E7BC8AB660E33, "start_hack_threaded" },
    { 0x3D7F8D25DF15B538, "start_handler" },
    { 0x7728812B3C5AD1E2, "start_health" },
    { 0xCB267ECCEA7A2C09, "start_heli_shake" },
    { 0x3E665619BA7A4563, "start_heli_spawner" },
    { 0xDF9C78004CAEFEEA, "start_heli_trip_sequence" },
    { 0xDC3BCE59FE69C5A3, "start_holdout" },
    { 0x2E0F814AA8E5F79E, "start_idle" },
    { 0x57BF96EB9DD5D87F, "start_infil_plane" },
    { 0x7374F7A1BB19CD01, "start_inserting_chatter" },
    { 0x156084C41B2D9D86, "start_intro" },
    { 0x28B75FB1465B6BF0, "start_intro_obj" },
    { 0x6E0D12E9FD5536E3, "start_jugg_maze" },
    { 0x68B075BA64CA2452, "start_jugg_patroll" },
    { 0x6D53F2D849E4DAE8, "start_kill_tunnel_spawns" },
    { 0x3694AE311D3BF38A, "start_land_at_lz" },
    { 0x9E7804FEA1D5BA7D, "start_landing_sequence" },
    { 0x2A462D7369217CBB, "start_lap_time" },
    { 0xC22FDFBDAF292E19, "start_leave_cave" },
    { 0xD664ED16A1CCBB8F, "start_light_flicker" },
    { 0x48BB609CD822E0AA, "start_light_intensity" },
    { 0x99A58A1B313AE1FE, "start_light_pulse" },
    { 0x1AA844203415480E, "start_light_tut_on_player_view" },
    { 0x4660D5324712B148, "start_lillywhites" },
    { 0xBFFC110A522F0A02, "start_link_logic_on_players" },
    { 0x8257F1FC28CC334E, "start_list_menu" },
    { 0x69A823CB0365F798, "start_list_settext" },
    { 0x462F95635F328DCA, "start_load_transients" },
    { 0xF7BD777C83C964F2, "start_loc" },
    { 0x0E2EC87C90B0CB03, "start_location" },
    { 0xC3C4D0AC2B54668C, "start_marquee" },
    { 0x5E3CCC5823CD0205, "start_meet_with_informant" },
    { 0xC33613EAB8CEA32B, "start_menu" },
    { 0x9B90CCAF1B0FDEFE, "start_mg_nags" },
    { 0xB66AC5E7F0D27606, "start_midway_guys" },
    { 0x5E11188E47861C82, "start_mine_caves" },
    { 0x0B52489BAD97D4FA, "start_ml_p1_intel" },
    { 0x9D3F09CE70C52130, "start_ml_p3_exfil" },
    { 0xDC7D42310C5D2EB4, "start_ml_p3_intel" },
    { 0xEA867FA59BD11D39, "start_ml_p3_intel_2" },
    { 0xEA867EA59BD11B06, "start_ml_p3_intel_3" },
    { 0x1BD8B61F65BB58EE, "start_mocap_ar" },
    { 0x204335B40B5485E5, "start_mode_after_playerspawn" },
    { 0x8FF7AFAC4310834E, "start_mortars" },
    { 0x31E88DEA4E36E2C1, "start_move" },
    { 0x4F79DEA671C47531, "start_nag_for_morales_exfil" },
    { 0xE05B93508AA6727A, "start_neardist" },
    { 0xE225F71BD6EA870F, "start_new_patrol_route" },
    { 0x2F73F45270A4F47F, "start_next_wave" },
    { 0xA8685A06C4BD7830, "start_node" },
    { 0xD89D013E73A5625E, "start_node_name" },
    { 0x4F2BF33E81792321, "start_nogame" },
    { 0x9F6CC2206F45A3BC, "start_nonstealth_teleport_sequence" },
    { 0x72F32277E1CCDF99, "start_notetrack_wait" },
    { 0x37FD929BABD460C6, "start_nuke_vault" },
    { 0x91086BE97CCC2891, "start_off_running" },
    { 0x5E50AF3E306F8408, "start_office_walla" },
    { 0x52A5457E3045D15E, "start_origin" },
    { 0x157A512842C85CFC, "start_overlay" },
    { 0xCE61628105924F3D, "start_parachute_sequence" },
    { 0xEDAC1CCCFB9E0422, "start_patrol" },
    { 0x577D9632237EC308, "start_periodic_jugg_pulses" },
    { 0x645B5CF6D77D92A3, "start_persistent_turbulence" },
    { 0xA166EE235D8BE6A8, "start_phone_countdown" },
    { 0x7D12F6E65576BAAA, "start_pipe_room" },
    { 0x45E6E3CD7E6E9720, "start_pipe_room_menu" },
    { 0xBFBE51F3A5595807, "start_plant_jammers" },
    { 0xDA655B2110129FBB, "start_player_anim" },
    { 0x05B384D2AEC3B24B, "start_player_links" },
    { 0x368F449D0D701A6A, "start_point" },
    { 0xCA8B85418361B181, "start_point_check" },
    { 0x55574494660921B0, "start_point_nvg_on_hint" },
    { 0x3FE0010EF8579E3E, "start_point_reset" },
    { 0xA5A407839B190230, "start_point_setup" },
    { 0x18338D2BA9C30E9E, "start_point_update" },
    { 0x567A7D4BEA1A3F24, "start_point_vision_set" },
    { 0x80C74B3946AC5A87, "start_position" },
    { 0x3053DC79EB740EF2, "start_pre_vault_assault" },
    { 0xE758B09A5DE11653, "start_preserverroom_spawners" },
    { 0x3D34E47090FED260, "start_puzzle" },
    { 0x5BA932E316F8E791, "start_quest_line" },
    { 0xECCA5FFC892C2FC2, "start_quest_system" },
    { 0x344D07D6D61DD9E1, "start_race_countdown" },
    { 0x5477505603B9FB9F, "start_ragdoll" },
    { 0x3289083E10915BB8, "start_reach_drop_zone" },
    { 0x00F2493C37B4C0BB, "start_reach_exhaust_waste" },
    { 0xAABF76EAB82FB085, "start_reach_icbm_launch" },
    { 0x340CDF30EE1A0F7A, "start_reach_lz" },
    { 0x023BE682DCA201E6, "start_reach_pipe_room" },
    { 0xADB57D5024AC5EE4, "start_reach_wind_room" },
    { 0xB6CDC080F9F2AB95, "start_recover_nuclear_core" },
    { 0x1594B49FD941D0C5, "start_regen_early" },
    { 0x6B0A577B180841FB, "start_riders_combat_logic" },
    { 0x9D260B4207434E28, "start_right_underground" },
    { 0xB83D6C6F63AB4F87, "start_roof_heli_crash_fire_flicker" },
    { 0x8DA6E4191EAFE553, "start_rooftop_obj" },
    { 0x8512CE74335CD1D7, "start_rooftop_raid_heli" },
    { 0xB40D965D053F9996, "start_rooftop_raid_sats" },
    { 0x5BBDC4853B798733, "start_running" },
    { 0x818A0B7D8A8415E7, "start_safehouse" },
    { 0x7906A2D0B18B219E, "start_safehouse_gunshop" },
    { 0xD4A4BFAB6B5C6C5B, "start_safehouse_objective" },
    { 0xC1C01609E7E6A558, "start_safehouse_quarry" },
    { 0xCA976E3173FF3FE8, "start_safehouse_regroup" },
    { 0x322C73F743AFB268, "start_safehouse_regroup_objective" },
    { 0x8C4BB91EF49F0BE3, "start_safehouse_restart" },
    { 0xE417BDFBA80A20BE, "start_safehouse_return" },
    { 0x6AB5D68E3A0B6761, "start_searching_for_targets" },
    { 0xD0D345C41E3F8B44, "start_silo_elevator" },
    { 0xCEF5808C7CC71436, "start_silo_elevator_menu" },
    { 0x2F4C75A78D66A146, "start_silo_jump" },
    { 0xE7617023B012760C, "start_silo_jump_menu" },
    { 0xA96508BED2F45730, "start_silo_thrust" },
    { 0x4F6EB8E1F8831612, "start_silo_thrust_menu" },
    { 0x20A0405D950F7D01, "start_slow_mode" },
    { 0x99222D67EEE35C29, "start_smoke_door_fx" },
    { 0x54F1CCA68E796A79, "start_smoke_in_attic" },
    { 0x02C1F614D4E4EBFB, "start_smoke_show" },
    { 0xB34AAA9B000682E4, "start_smuggler_heli_flyin" },
    { 0xECCBE91F073B587F, "start_sniper" },
    { 0x66895412296EAF36, "start_solution_check_timer" },
    { 0xE90B7B60AFCB972B, "start_sound" },
    { 0x12931B8642E5C74B, "start_spawn_camera" },
    { 0xEC39FE8EC47049A5, "start_spawn_modules" },
    { 0x9C16DDB8E973AE4C, "start_spawners_after_time" },
    { 0x23C3621ECF731ADD, "start_spec_movement" },
    { 0x89733722456A45BD, "start_stair_b_car_fire_flicker" },
    { 0xFCE9E17EC04971F0, "start_static_klaxon_lights" },
    { 0xA2B3126857F74F8D, "start_static_plane_lights" },
    { 0x33331105807BE635, "start_sting" },
    { 0xD97E94F172CDC5CC, "start_sting_rear" },
    { 0xC54557BEAC00BD05, "start_struct" },
    { 0xA88AE73C3704AE25, "start_struct_path" },
    { 0x9B4264445FC53E09, "start_swivelroom_obj" },
    { 0x1D86A337E3E46EFA, "start_target_move_loop" },
    { 0xE4F8F98E8A8CD57F, "start_tarp_mayhem" },
    { 0x48DA88C6E9A09C2E, "start_the_drone_hint" },
    { 0xEBC6DA61834DBB8C, "start_thread" },
    { 0xB72A3B66094B0EDB, "start_threshold_timeout" },
    { 0xCF2A659F80E955B5, "start_time" },
    { 0xA35011C4A8817BD8, "start_timed_event_on_detection" },
    { 0x839344C88127A4A5, "start_timer" },
    { 0x9A7A8FF50B2CDA08, "start_trans_1_obj" },
    { 0xAE1006F3F608EA43, "start_trap_room" },
    { 0x132068CA17D2493C, "start_trap_room_combat" },
    { 0xC8044B5622DFAD51, "start_trap_timer" },
    { 0x79C0674F6187DA2E, "start_tree_fire_flicker" },
    { 0x417E99A24CB1D078, "start_trigger" },
    { 0x7F57711F10524825, "start_truck_rumble" },
    { 0xE4226862C3578142, "start_tunnel_sequence" },
    { 0xF26E964821A54771, "start_tunnels_fireball" },
    { 0x1F0EF5A77089534F, "start_turbulence_sequence" },
    { 0xF81AC11CC71F5720, "start_unlock_silo" },
    { 0xCB19F02E29C962E0, "start_unstable_rocket_fuel_timer" },
    { 0x57514679A1F9D1D6, "start_use_func" },
    { 0xD8DF10C64CF804F2, "start_using_bomb_detonator" },
    { 0xDD78CAE9ADEBC114, "start_vault_assault" },
    { 0xC35BA3D252383B7C, "start_vault_assault_crypto" },
    { 0xF79440EAE28E43D7, "start_vault_assault_cut" },
    { 0x103A91C6DD2BBC07, "start_vault_assault_retrieve_saw" },
    { 0x6291F46E08FF079A, "start_vault_assault_rooftop" },
    { 0x86391D531AB2AC64, "start_vault_assault_rooftop_call_exfil" },
    { 0x9E0F3464F04D071B, "start_vault_assault_rooftop_defend" },
    { 0x6A06FF181A4F5F29, "start_vault_assault_rooftop_exfil" },
    { 0x6BCC4000A9148687, "start_vault_assault_rooftop_heli" },
    { 0xD37E156D9989CBB3, "start_vault_assault_vault" },
    { 0x1B800764CFE35A03, "start_vault_assault_vault_fake_end" },
    { 0xE4D158409EA152A2, "start_vehicle_path" },
    { 0x29D0A389421D553B, "start_vehicle_push_sequence" },
    { 0x53300403F5999155, "start_vo_system" },
    { 0xE259DDE5445EB08D, "start_wave" },
    { 0x6D2CE65F5882794B, "start_waypoint" },
    { 0xE0ECF0BF4AB5A8D3, "start_weak_moans" },
    { 0x76189F4819BE8BD6, "start_whack_a_mole_sequence" },
    { 0x5A6E2F0F9C372CA4, "start_whack_a_mole_timer" },
    { 0xD24386F3AFD5CF7B, "start_with_nvgs" },
    { 0xB62F13374144C6F7, "start_y" },
    { 0x23DFCEBDC04B68F1, "startac130" },
    { 0x4BF46E73753F92CF, "startagentstealth" },
    { 0x8E3C490E39915961, "startammo" },
    { 0x47B7D884CCAA6BED, "startang" },
    { 0x225D6C04EB2D5AA2, "startangle" },
    { 0xC0CF5FD134BEB9A3, "startangles" },
    { 0x59D31E04591E739D, "startanime" },
    { 0x472042AB89ACFEA5, "startanime_a" },
    { 0x47203FAB89ACF80C, "startanime_b" },
    { 0xB774D05E44AF0ADB, "startarmoryswitchbeeping" },
    { 0x99713DFBD23371AE, "startarmsraceapproachobj" },
    { 0x44A27C7914841C3C, "startarmsracedef1obj" },
    { 0xBBC93E958BC21697, "startarmsracedef2obj" },
    { 0x4DD97CAA05371342, "startarmsracedef3obj" },
    { 0x69B77E0406A0EB4D, "startarmsracedef4obj" },
    { 0x2A03EAD20733BA4A, "startarmsraceobj" },
    { 0x8F870BAF3C2FDDB1, "startarmsraceopencrateobj" },
    { 0x32C5862B6D16BA2B, "startascenderanim" },
    { 0xC66484EBF4A41EEF, "startbarrelspin" },
    { 0xA3DD1EF16E2C40FC, "startbeam" },
    { 0x601E7A20E54D4C5E, "startbetting" },
    { 0x035B15ADD7D9CEDB, "startbluntwatchvfx" },
    { 0x53BFD1F91A6914A6, "startbmoexfilprocess" },
    { 0x599DCD34DCA9ACC6, "startbombphase" },
    { 0xEFE5B8FC3B78FFB2, "startbombtime" },
    { 0x11E8F83899245154, "startbroshot" },
    { 0x82DF746CC52A901A, "startbtmflag" },
    { 0xF626CB524F93FA34, "startburnfx" },
    { 0x9D6D93BE40B30FD4, "startbutton_onuse" },
    { 0x68C6087763F96428, "startbuttons" },
    { 0x27B096A38501E5F7, "startcament" },
    { 0xC64C9F861AF0CD6D, "startchallengetimer" },
    { 0x4CD375D1A7199005, "startcheck" },
    { 0x9126EA1348FAF48E, "startchopper" },
    { 0xF032107E6303640D, "startchoppergunnerintro" },
    { 0xA1E89BFDF9439CBD, "startconcussionfx" },
    { 0x71AEF63505033055, "startconditions" },
    { 0xDB539DA63EB6BBC4, "startcontrol" },
    { 0xA1B5CE066B459F92, "startcopteroutofbounds" },
    { 0x5D4FEB2D7C98E423, "startcopycatoption" },
    { 0x1900695570EAA577, "startcoverarrival" },
    { 0x537913AC6751B46C, "startcoverbehavior" },
    { 0x0639FD617C2103E8, "startddbombs" },
    { 0x8C97A813BECD393C, "startdeadsilence" },
    { 0xD57E43EB7E81B437, "startdeathswitch" },
    { 0x9F2CD3BCB808B33A, "startdelayms" },
    { 0xE6F1AF87701234AB, "startdeliveries" },
    { 0x833CE5E9637F5373, "startdisabled" },
    { 0xC8F188307CDD518A, "startdoorstruct" },
    { 0xD1B74B5707D454AE, "startdyingcrawlbackaimsoon" },
    { 0xB65B1A3741753CC2, "started" },
    { 0xF7A3240518D4F868, "started_breach_process" },
    { 0x1723B12F80111E1A, "started_hack" },
    { 0x392C1179783C6A49, "started_moving" },
    { 0x5F4FEFF7C15F8013, "started_second_position" },
    { 0x2915A34F33F3EFAC, "startedenteringvehicle" },
    { 0xF326AEDDF5E15EC2, "startedfromtacops" },
    { 0x7FBF6F84F5011C67, "startemp" },
    { 0x017413D749461510, "startemppulse" },
    { 0x9A6B1DB718971492, "startendgame" },
    { 0x45306D430873CF04, "startenemychopper" },
    { 0xE2B6738B18FC377E, "startenemyhelis" },
    { 0x3E35E3C762471AA9, "startexfilchoppers" },
    { 0x5F4691BAD4DB7621, "startexitvehicle" },
    { 0x7A270F270B3B6D7A, "startfadetransition" },
    { 0xD082AED7482DF230, "startfightvo" },
    { 0x7C6D08D33FDCCCB8, "startfiring" },
    { 0x65408E2FB7011D5D, "startflashing" },
    { 0x6E16C5B22E968C80, "startfontscale" },
    { 0x5958FDAB0B54D48C, "startfreefall" },
    { 0xBA93155354482329, "startfunc" },
    { 0x999B40425AA5BEEE, "startfuncs" },
    { 0x8C477B34DFEE4791, "startgame" },
    { 0xFDA1CAE64986163F, "startgate_think" },
    { 0xEBFFECAACF56CA87, "startglexfilobjective" },
    { 0x275137E9229A3BD5, "startgpsjammer" },
    { 0x2F35A102512AF13E, "starthackingdefense" },
    { 0xBC40B603E86B0DDB, "starthackingdefensewithnoobjstruct" },
    { 0xDCF4161D49EC3897, "starthacktimer" },
    { 0xDA347C1C828E089A, "starthelicopter" },
    { 0x424A9A8D643BE1D7, "starthelipilot" },
    { 0x542E94676E0D49CB, "starthelperdrone" },
    { 0x56D8B79B96A05A36, "startholowatchvfx" },
    { 0x41A887AA9564639A, "starthoveranim" },
    { 0x8B1A2BBE1EB62CBD, "starthoverjetairstrikepass" },
    { 0x387B6784AD7ECFE6, "starthoverjetdefend" },
    { 0xB6710337418D3D60, "starthq" },
    { 0x045D55C8B18A0A15, "startimes" },
    { 0x3FE1AB42953609BE, "starting_area_init" },
    { 0x1DA78472F8E424CB, "starting_boxes" },
    { 0xBF0B945B713732F5, "starting_currency" },
    { 0xE3CA40E9C87209AF, "starting_currency_after_revived_from_spectator" },
    { 0x753FC1F183891552, "starting_duration" },
    { 0xEE2D82052B320A7A, "starting_frac" },
    { 0x917CF7369B49275C, "starting_health" },
    { 0xF8D33DB0174BD40D, "starting_marines" },
    { 0xEADCC13FB4A76C24, "starting_pos" },
    { 0x1210831AA42468D4, "starting_random_idle" },
    { 0x6F0E39D961B4E96E, "starting_randomness" },
    { 0x0209FB79DF75D43A, "starting_skillpoints_given" },
    { 0x2F8DE7EA98270F8B, "starting_struct" },
    { 0x214EA70FB2BC6096, "starting_trigger_fix" },
    { 0x7EFAAF98AC36CEEE, "starting_weapon" },
    { 0xEE1FFCA08707CEE1, "startingangles" },
    { 0xC0B001F747399CDE, "startingcasttype" },
    { 0xEF64A4560B15AEE0, "startingcodephone" },
    { 0x9B2ABB7E76F40938, "startingcooldown" },
    { 0x8B1136F110F83F60, "startingdifficulty" },
    { 0xCF6B2CD2FDA9A857, "startingfobnames_allies" },
    { 0x1D6D23CDE6C2DFDC, "startingfobnames_axis" },
    { 0xC44FD3F2948A02B0, "startingfobnames_neutral" },
    { 0x587308E70296C3E4, "startingfobs_allies" },
    { 0x7E26FBCA68205B17, "startingfobs_axis" },
    { 0x0DC3E85CFB96347D, "startingfobs_neutral" },
    { 0x1EE6645AA9D62D7F, "startinghealth" },
    { 0x3967D3E866116508, "startingjumpdownanim" },
    { 0xB084389E57AECEBF, "startingorigin" },
    { 0xD8B49E0EE1754AA1, "startingspawns" },
    { 0x546038873BF78056, "startingstuckto" },
    { 0x562A26B5AE332A63, "startingteamcount" },
    { 0x14361CACDD159E11, "startingweapon" },
    { 0x83206BDEBC4E72E0, "startintensity" },
    { 0x49DAF9AA91F637E0, "startjugg" },
    { 0x7E3C1D0724DBE788, "startjuggdelivery" },
    { 0x8E64254F58B08D09, "startjugghud" },
    { 0xF39FCA16F03ED314, "startkeyearning" },
    { 0x9AC26922F6B66266, "startlastextraction" },
    { 0xFC8B93BFE8D11EAA, "startlastsurvivorsuavsweep" },
    { 0x3F6217FA16DE337F, "startlatejoinpodium" },
    { 0xA5ABE9538E26B894, "startlocation" },
    { 0x7FCB09C19F28A405, "startlocations" },
    { 0x48FC7FFCDBC29517, "startloopingcoughaudio" },
    { 0x2BB4C2F8ECCC90D2, "startmapselectsequence" },
    { 0x05B31874EBD1FFB2, "startmarkingpassivetarget" },
    { 0x5AFDC2EE1A60FE5B, "startmarkingtarget" },
    { 0x8BCAC942CE51EE77, "startmarkingtarget_cp" },
    { 0x06D58B5771B0B0CF, "startmatchobjectiveicons" },
    { 0xACF275A039B5167D, "startmodeobjidnotify" },
    { 0x9D54255BC195C3D5, "startmonitoring" },
    { 0x727E8C15F004DF7A, "startmorales_1" },
    { 0x727E8B15F004DD47, "startmorales_2" },
    { 0x727E8A15F004DB14, "startmorales_3" },
    { 0x727E8915F004D8E1, "startmorales_4" },
    { 0x727E8815F004D6AE, "startmorales_5" },
    { 0x727E8715F004D47B, "startmorales_6" },
    { 0x325B24D13498DF11, "startmoralesfastloadobj" },
    { 0x36F244022B294750, "startmoraleshackobj" },
    { 0xE3DD839F5846ADFA, "startmoralesholdoutobj" },
    { 0x9095634FF7C077D9, "startmoralesinfilobj" },
    { 0x0B943C441145FC6C, "startmoralesrescueobj" },
    { 0x71F10968B66CDE77, "startmoralessignalobj" },
    { 0x9B7B10F424E97450, "startmoralesslowloadobj" },
    { 0xA8E4E21E88689CAA, "startmove" },
    { 0x9E772A1551795CCB, "startmovetime" },
    { 0xD7FA1C25FE10E409, "startmovey" },
    { 0xB8FFEE0CB96773D3, "startnode" },
    { 0xCB94F6D0226DEC48, "startnodeoriginalangles" },
    { 0xF54947BE675EBBA8, "startnpcbombusesound" },
    { 0x3889269DF251FBBE, "startobjective" },
    { 0xA79B7C5BEA4C3B7D, "startobjective1" },
    { 0xA79B795BEA4C34E4, "startobjective2" },
    { 0xA79B7A5BEA4C3717, "startobjective3" },
    { 0x13739002C83F6294, "startofquestnotifications" },
    { 0x70116C57C14E76B7, "startofxptime" },
    { 0x027DD6032F346DD5, "startonpath" },
    { 0x8CA674ECB46DDF02, "startoperatorsound" },
    { 0xE946E9A57B8A784D, "startorigin" },
    { 0x664F569E6AACC61B, "startotmechanics" },
    { 0x8A6DBCAC46400B66, "startparachute" },
    { 0xA21B2B93ACF98B04, "startpath" },
    { 0x1B5AC7BCEC2E6B97, "startpathfind" },
    { 0xB5922C087D5BFD89, "startpathnodes" },
    { 0x52774E5A786D7D30, "startpayloadexfilobjective" },
    { 0x00B315089D0A0B98, "startpayloadobj" },
    { 0x7A48897BF049958E, "startpayloadpunish" },
    { 0x922E1432E738A0C6, "startpayloadreturnobj" },
    { 0x6E74CDE5494B7C9F, "startpayloadtanksobjective" },
    { 0x3BE370A07C4010E2, "startphaseoob" },
    { 0xC8D3523C89D34C72, "startplayer" },
    { 0x3537CAD8A60BF4EE, "startplayerboarding" },
    { 0xB89CFE922DC6F374, "startplunderextractiontimers" },
    { 0xBDB385DC3DD0DA13, "startpodium" },
    { 0xF280C894D572CE8B, "startpoint" },
    { 0x3AFF6D857DC42873, "startpos" },
    { 0xD6CA75A9AE341E9D, "startprogresstimer" },
    { 0x8D0BBC5964D39B44, "startpropcirclelogic" },
    { 0xB694183741B3B347, "startpt" },
    { 0xD100AD948A5ABFAD, "startptui" },
    { 0x0FF8715CF5A82B75, "startquarrydef1" },
    { 0x0FF86E5CF5A824DC, "startquarrydef2" },
    { 0x0FF86F5CF5A8270F, "startquarrydef3" },
    { 0x9307AF8B6551263E, "startragdoll" },
    { 0x3F1C3EE1256D1070, "startragdollfromimpact" },
    { 0xB986A8A060916467, "startragdollfromvehiclehit" },
    { 0x06FCAF68667EBF7C, "startragdollfromvehicleimpact" },
    { 0x02EF11EC2F26D4A3, "startragdollwithoutwait" },
    { 0x70C21F8DAD626757, "startrangeroverobjective" },
    { 0xAA6AF83FE32C4B4E, "startrecording" },
    { 0xB53819CF4A1E247B, "startremoteuav" },
    { 0x1B11DFA9B42E3850, "starts" },
    { 0xA7293C76909E4201, "startsavedprogression" },
    { 0x1A31445623292FC0, "startscriptedanim" },
    { 0x25221B9A7CE980AF, "startspacejumpdeath" },
    { 0xC7377BEA7335D6CA, "startspawnavg" },
    { 0xE6FAB7762C1EAE65, "startspawncamera" },
    { 0x49BBDAD14C94C537, "startspawnchest" },
    { 0xEA4E881D6BCA68E5, "startspawnclassname" },
    { 0xBDB5761E5FD76C58, "startspawnpoint" },
    { 0x0D7EEFCCC6C2E291, "startspawnpoints" },
    { 0xD6DD4479A57565FD, "startspectatorview" },
    { 0xE74D96345DEAAF0A, "startstruct" },
    { 0xCD2679E0D41B4828, "startsuspended" },
    { 0xA76F4E9E47DD42EC, "startsystemshutdown" },
    { 0xF9A83974FCDBD49F, "starttabletscreen" },
    { 0x878AE51E7A2D4A1B, "starttankdropoff" },
    { 0xACD5618D881E3501, "startteamcontractchallenge" },
    { 0x854674F6E337CBDA, "starttime" },
    { 0x86CFF3BFDC8E21BE, "starttime_compare" },
    { 0x1718415E819FF7DD, "starttimefrommatchstart" },
    { 0xA09B6396E477C905, "starttimeutcseconds" },
    { 0xAD4F1B87F2B6B70D, "starttmtylapproach" },
    { 0xFC230F344E0F2FF6, "starttmtylobj" },
    { 0xDAA19665752A8822, "starttomastrike" },
    { 0x97ED7BE6F2FF74A0, "starttrackingplane" },
    { 0x459F2652891BBCD6, "starttraversearrival" },
    { 0x0AB679EA86959814, "startuiclosetimer" },
    { 0x8E51E1B322914B9A, "startusbanim" },
    { 0x8E80C1E61C1D7C67, "startusemover" },
    { 0x0EA81281FA8D0E54, "startuseorigin" },
    { 0x31D9EBD8D0A0F9D2, "startuseweapon" },
    { 0xDA45800EBAB96EE1, "startusingbomb" },
    { 0xD59DFF3D20E86D10, "startusingcrate" },
    { 0x4F784BBF1E69DDB3, "startusingheroonlylighting" },
    { 0x0899F7CB57C42A72, "startusinglessfrequentlighting" },
    { 0xDC22BB0930BBCCD9, "startusingtank" },
    { 0xAD05917FF4717C80, "startvalue" },
    { 0x5903C08594233506, "startvip" },
    { 0xEA3065FD3FD40771, "startvipteamuav" },
    { 0x588FC4202F6623D3, "startweapon" },
    { 0x48712730B594C6AA, "startweapontabletfadetransition" },
    { 0xA1BBA085C9815F5E, "startyaw" },
    { 0x9A5471C4A3F6EDC2, "startzeroarrival" },
    { 0x1D1A015765379DE2, "stashedgunposeoverride" },
    { 0xE858E7ECC2FE474F, "stashmakeunusabletoplayer" },
    { 0xD5EDE5C040278880, "stashmakeusabletoteam" },
    { 0x6AACBCD5AA84CD02, "stashthink" },
    { 0xB900E986EF95D534, "stataddchild" },
    { 0x29C25CFD1A4601CF, "stataddchildbuffered" },
    { 0x80EF7406641951DF, "stataddchildbufferedwithmax" },
    { 0x9F92EF46C7D183C2, "state" },
    { 0x0C89A13E8797BA2C, "state_goto" },
    { 0x579DFAD9B82E5447, "state_hidden" },
    { 0x50C073B1FC8AE162, "state_interactions" },
    { 0x1CC93606D88E20C4, "state_machine" },
    { 0xD8B87854BD627FC5, "state_nofity_handler" },
    { 0x55564FA4C04A1E28, "state_spotted" },
    { 0xB0B70C7191B85541, "state_transitions" },
    { 0xB56A204F38B31FB2, "state_up" },
    { 0xE1ABBBBD544C56DA, "statecontroller" },
    { 0xC159CE9B9712A296, "statecurr" },
    { 0xD8875C118BB8C02A, "statedone" },
    { 0xFBF562C960982054, "stateenterinprogress" },
    { 0x6C619B0D27F9F76F, "statefunc1" },
    { 0x6C619C0D27F9F9A2, "statefunc2" },
    { 0x6C619D0D27F9FBD5, "statefunc3" },
    { 0x6C61960D27F9EC70, "statefunc4" },
    { 0x6C61970D27F9EEA3, "statefunc5" },
    { 0x3A6E8A102B00D96C, "stateinterrupted" },
    { 0x22CB49E123939254, "statelocked" },
    { 0x4EAC56982B6CA449, "statename" },
    { 0xE22F0F211369F707, "stateprev" },
    { 0xC1A7E9A971C49E43, "states" },
    { 0x695035FAD1AA3595, "statgetchild" },
    { 0x540162D12E3B2D2A, "statgetchildbuffered" },
    { 0xB31D2A5A4BE97F9B, "statgroups" },
    { 0x11DEB3D18316414E, "static_burst" },
    { 0xD1CC7D2CD66B1103, "static_ks_crates" },
    { 0xF5078B580A5AEB50, "static_ks_tablets" },
    { 0xE97E7E637A89A28C, "static_rpgs" },
    { 0x357A7763D4CDB5A4, "static_spawn_locations" },
    { 0x69EB29934AEB0351, "static_time" },
    { 0x7789495D86768088, "static_trucks" },
    { 0x1BB55B0DE44AC594, "staticc130" },
    { 0xA3ECFA94191CA15F, "staticcircle" },
    { 0x9C43E3FC666459BF, "staticdata" },
    { 0xD4DE738F06DB06B4, "staticmodel" },
    { 0x3AA6970F4C45A1B9, "staticmodelid" },
    { 0x77CB0D0127C3A55A, "staticsuperdata" },
    { 0x22D2C9B5997F552C, "station_name_chosen_as_starting" },
    { 0x4689645544ACD9A8, "station_names" },
    { 0x41FA161172455C1B, "stationary" },
    { 0x9F92D946C7D15360, "stats" },
    { 0xADF51E66E4C05221, "statsetchild" },
    { 0x931E3377F32474D6, "statsetchildbuffered" },
    { 0xC161E9A971780ED3, "status" },
    { 0x00AA102E9B5F6FFF, "statusdialog" },
    { 0xD537F9B0C9E26952, "statusicon" },
    { 0xD4ABB992C0BCE967, "statusnotifytime" },
    { 0xF0B939CF7B62FCB5, "stay_in_front_of_player_vehicle" },
    { 0x07013F32E91D4CD8, "stay_on_roof_until_bothered" },
    { 0x916A908C1A1ED340, "stay_on_roof_until_bothered_internal" },
    { 0xA397D7F025687322, "stay_on_seat_when_exit_seat" },
    { 0x6E29E089D7EE2BBB, "stay_passive_if_not_weapons_free" },
    { 0x805375D804C44AE5, "stayahead" },
    { 0xF74FECF2D75EAC82, "stayahead_accel" },
    { 0xFBB94D44E795994D, "stayahead_add_to_team" },
    { 0x9E620066329A6EE5, "stayahead_at_waitnode" },
    { 0x3EE2AF6A7DA26EE6, "stayahead_disable" },
    { 0x68DFF3D428B10942, "stayahead_disable_wait" },
    { 0x76C8C453CC6E3B29, "stayahead_goal_is_far_enough" },
    { 0xE8B57F5A71D6EE70, "stayahead_goto_can_use_wait" },
    { 0x19F4A1C4D7BDA188, "stayahead_lookat" },
    { 0x731FEDCD253EC0A8, "stayahead_lookat_debug" },
    { 0x9A6BC24FC88D722E, "stayahead_lookat_enabled" },
    { 0x36C02E06B9B554DE, "stayahead_lookat_far" },
    { 0x142EA6A0015FF468, "stayahead_pause" },
    { 0x72FBFDCC1174CF10, "stayahead_set_goalnode" },
    { 0x39F6C72D6AEF1136, "stayahead_set_speed" },
    { 0x2A81332A94062A2E, "stayahead_set_wait_node_radius" },
    { 0x37E9772EA2FBA0BF, "stayahead_team_debug" },
    { 0xFDFBE9D9F7481700, "stayahead_team_think" },
    { 0xFA46C1AEE2C3F53A, "stayahead_thread" },
    { 0x61ECBD93CEA621F1, "stayahead_turbo_check" },
    { 0x7B4FC359A994E5C8, "stayahead_values_tallgrass" },
    { 0x53EDFD10F82104E2, "stayahead_wait_func" },
    { 0xC2F9880139148D44, "stayahead_wait_set_goal_or_path" },
    { 0x67591480A2D48461, "stayahead_wait_used" },
    { 0x8861865D895C3893, "stayahead_watch_end" },
    { 0xC67046F1D0F51695, "stayfrosty" },
    { 0x5A673CD724BECD2B, "stayontag" },
    { 0xF2AD47BDD5334F7E, "staytoasty" },
    { 0x618D84F0676CB2A1, "stealing_hvt" },
    { 0x401483E4EC1E51D0, "stealth" },
    { 0xE81E4CC71986E7C9, "stealth_alert_music" },
    { 0x55D50AF71A822BD6, "stealth_alert_music_index" },
    { 0x3D70CB5C5859C4D7, "stealth_area_think" },
    { 0xABFA4BB08747047D, "stealth_areas" },
    { 0xE6A5D89D3952703A, "stealth_behavior_active" },
    { 0x8FA9FAC2E0BFD0F1, "stealth_behavior_wait" },
    { 0xCFCB99A38F338B11, "stealth_break_monitor" },
    { 0xA4B21B52DDD9C0DB, "stealth_break_timestamp" },
    { 0x2B8ADD6AA522918C, "stealth_broadcast" },
    { 0xD9F96823FFD29344, "stealth_broken_music" },
    { 0x21A2DCA736FF8A17, "stealth_broken_music_index" },
    { 0xF39A7F80685BDC81, "stealth_call" },
    { 0xB25E1F2BFB462D5E, "stealth_call_thread" },
    { 0x2C4960A53E5F12A0, "stealth_cansave" },
    { 0x3209CB9A51111A2F, "stealth_check" },
    { 0xCDCEC6B2D0A5F972, "stealth_combat_check" },
    { 0xDB2C975B67E70842, "stealth_combat_music_cleanup" },
    { 0x60983A75C8B24570, "stealth_combat_music_init" },
    { 0x73964392750342EF, "stealth_combat_music_state" },
    { 0xE39BEE9A44999098, "stealth_combat_music_state_type" },
    { 0x05E30ABF57EB82F9, "stealth_combat_music_updatefunc" },
    { 0xA5C24F48F1D96A48, "stealth_death_hints" },
    { 0x666B3660BAA863FA, "stealth_dist_scalar" },
    { 0x86CE62BDD513DD06, "stealth_enabled" },
    { 0x3BD3D30F68DE6E6B, "stealth_enemy_getbsmstate" },
    { 0x43DC4F1571549191, "stealth_enemy_updateeveryframe" },
    { 0x20285A221AC6AB40, "stealth_event_check" },
    { 0xEDF8D449E4BB0587, "stealth_event_on_light_death" },
    { 0xD8CA516107442D2D, "stealth_event_propagator" },
    { 0xE80C413DBA756E16, "stealth_get_func" },
    { 0xB6DEB282B72A8244, "stealth_group" },
    { 0xDFD753960A86615B, "stealth_init" },
    { 0x553B0C342A348C6E, "stealth_init_goal_radius" },
    { 0x28F8C2D7D12E98F0, "stealth_initfriendly" },
    { 0xE98FB1D78A893695, "stealth_initialized" },
    { 0xE9C320B93903B1CA, "stealth_initneutral" },
    { 0x776BCD24BC26CA94, "stealth_meter_degree_think" },
    { 0xD52DE1E9E36D7180, "stealth_meter_display_think" },
    { 0xDC84FD20A46AD7B2, "stealth_meter_objective_id" },
    { 0xD1D9649DCBDE5D10, "stealth_meter_state" },
    { 0x380762C899AB98DC, "stealth_music" },
    { 0x44267934D2630714, "stealth_music_pause_monitor" },
    { 0x598B19A2A67CDA69, "stealth_music_stop" },
    { 0x7DE82AD52E94CA8D, "stealth_music_thread" },
    { 0xF925B7BD2D8C625E, "stealth_music_transition" },
    { 0xE983FD46E5EE2F10, "stealth_music_transition_sp" },
    { 0x36EDE6F314BB13D4, "stealth_neutral_updateeveryframe" },
    { 0xD39150596DC00C21, "stealth_note_pending" },
    { 0x45ACCB93B096BCB8, "stealth_note_pending_targets" },
    { 0x3C616B520CED3287, "stealth_note_start_alert" },
    { 0x38FD9B033DAD05E3, "stealth_noted" },
    { 0xA57DCB84E144C4EF, "stealth_noteworthy_aim_contents" },
    { 0xF5ACFB2231F05932, "stealth_noteworthy_callout_type" },
    { 0xC8B9A5FACC86198E, "stealth_noteworthy_callouts" },
    { 0xDC3CBAB07289D1FD, "stealth_noteworthy_callouts_init" },
    { 0x21C5E82651192737, "stealth_noteworthy_delayed" },
    { 0x51BBDBFE63F61F14, "stealth_noteworthy_entities" },
    { 0x8051BE71905AFF6B, "stealth_noteworthy_get_eye" },
    { 0xE2FCC5EC31F86311, "stealth_noteworthy_init" },
    { 0x23423E3E4524512E, "stealth_noteworthy_kill_monitor" },
    { 0x3D8FF3BDA0589F1F, "stealth_noteworthy_max_delay" },
    { 0xBFE16A87DF591C04, "stealth_noteworthy_min_ads" },
    { 0x0FFE4F43BCAAE5BD, "stealth_noteworthy_min_delay" },
    { 0xEB40E487FF15B3C1, "stealth_noteworthy_min_dot" },
    { 0xA9291A0918A363EF, "stealth_noteworthy_priority" },
    { 0xAA1764C2E4342DE7, "stealth_noteworthy_thread" },
    { 0x003412DA5B98C1D4, "stealth_noteworthy_trace" },
    { 0x02CD92EA5ACD8EA4, "stealth_noteworthy_trace_safety_check" },
    { 0x5D84BAB1BF3CA3CB, "stealth_noteworthy_visible" },
    { 0xCC6E6483D1C216B5, "stealth_notified" },
    { 0x2698A4356C8847BE, "stealth_offhand_monitor" },
    { 0x72924250AE97C431, "stealth_override_goal" },
    { 0x83C0101B93CC5F53, "stealth_patrol" },
    { 0xEF96F41D56FF4301, "stealth_reacter_updateeveryframe" },
    { 0x464D0F2B1350017D, "stealth_shouldfriendly" },
    { 0x1E80051D8DAC700B, "stealth_shouldhunt" },
    { 0xF7C054D23C6D1B99, "stealth_shouldinvestigate" },
    { 0xBD006010CDD9E0DD, "stealth_shouldneutral" },
    { 0x9CBFEEEE81B3C39A, "stealth_sit_death" },
    { 0x92663063D3317A0A, "stealth_sit_idle" },
    { 0xA5D772C84621C737, "stealth_sit_react" },
    { 0xD76EAADEEA59D374, "stealth_sitting_cell" },
    { 0x9D4DC9AE02340D7F, "stealth_sitting_cell_no_props" },
    { 0x7C9C3D511B0C34DC, "stealth_sitting_laptop" },
    { 0x9D8CF4FDF5FA25FF, "stealth_sitting_pistol" },
    { 0xC8CB97743EB6D1FB, "stealth_sitting_sleep" },
    { 0x1AB0EE188FF8D04C, "stealth_soundaliases" },
    { 0xCEFDD094F5E2EB36, "stealth_spotted_delay" },
    { 0x9B9523B024A49039, "stealth_state_func" },
    { 0x1DF1CF5E3AB844C7, "stealth_suspicious_doors_init" },
    { 0x9C427C36BBC204A3, "stealth_terminatefriendly" },
    { 0x04969D852D0B71A8, "stealth_used" },
    { 0xE07E3439B2B9203F, "stealth_velocity_override" },
    { 0x75EC90D7BA1640C5, "stealth_visibility_in_darkness" },
    { 0xBBE71D41BCD6477C, "stealth_vo_ent" },
    { 0xC6AC1B7CD021C589, "stealth_weapon_noise_scalar" },
    { 0xECF7FC9F4C76155E, "stealthairstrike_earthquake" },
    { 0xA41DBF245B49B4E3, "stealthannounce" },
    { 0x8178957A9D58A0E0, "stealthcombat" },
    { 0x467337B0C203A072, "stealthcommander" },
    { 0x2E6A191A06C47D38, "stealthcustombc" },
    { 0x033F057ED44A4CD9, "stealthdocustombc" },
    { 0xE4DACCB063D7A99B, "stealthforcegundown" },
    { 0xCB75A4C0A37CD600, "stealthgroups" },
    { 0x246FE5D0882494F1, "stealthhints_aimonitor" },
    { 0x15421C513B1C92B3, "stealthhints_combatmonitor" },
    { 0x21602F2B2AC27827, "stealthhints_deathmonitor" },
    { 0x45B583DCE76F02E5, "stealthhints_eventmonitor" },
    { 0xA22302554CC2722B, "stealthhints_thread" },
    { 0x3C0D970CDDDEC2AD, "stealthhunt" },
    { 0x3077F320E47A3CC2, "stealthidle" },
    { 0xE20C6E6EB5BAAF70, "stealthidlealert" },
    { 0xDD7B3C229CE0B815, "stealthidledelay" },
    { 0x9F6C48207A2AC492, "stealthinit" },
    { 0x4233146217FF04CB, "stealthinvestigate" },
    { 0x11756FCFDF741C93, "stealthradio" },
    { 0xF0D6396761C0E407, "stealthtimeelapsed" },
    { 0xE02796699E39D264, "stealthvals" },
    { 0x22D0C49AA6547013, "steam_damage_player" },
    { 0xE590C01BCBB32320, "steam_damage_players" },
    { 0x5701EB7783E1ECFF, "steam_damaged" },
    { 0xE5734491CE25AE18, "steam_dmg_trigger_think" },
    { 0xDCA5B47B186AC640, "steam_fx_off" },
    { 0xE087A8095012723E, "steam_fx_on" },
    { 0x8F5ED366088F758D, "steam_point_think" },
    { 0xF7DA8BD7DE6D1A8C, "steam_trigger" },
    { 0x8360B62CADD412E7, "steam_trigger_think" },
    { 0xB59356C94DA07429, "steam_valve_think" },
    { 0xCEA4C57C1D664961, "steerfalling" },
    { 0xA79DDE009035A0C4, "steerfallinginternal" },
    { 0x1F85221A706832DE, "steering" },
    { 0xF4A0CE0B8E4609DC, "steering_enable" },
    { 0xD4DB4391FCFAB4BB, "steering_maxdelta" },
    { 0x0083FE140EDAD104, "steering_maxroll" },
    { 0x2C45CABFB8C4D9E2, "steerparachuting" },
    { 0xBE91BD1AA2747A6F, "steerparachutinginternal" },
    { 0xA51F606EA9FB8F57, "step_back_to_last_good_branch" },
    { 0xE247A536AD9A7360, "step_inc" },
    { 0x34969E0EBB654754, "stepback" },
    { 0xE13BC04D46DED910, "stepoutyaw" },
    { 0xCB2E774CBC677326, "stepped_stamina" },
    { 0x328951AD43076383, "stepstructs" },
    { 0xC4A5E492CEF047FC, "stepstructsproximity" },
    { 0x640F37469BA6A938, "steve" },
    { 0x9A2AC559C615FC49, "stick_forward" },
    { 0x8B56E38504C8D499, "stick_movement" },
    { 0x7AED2883ADCED1B9, "stickers" },
    { 0xB39AC946CC862AC4, "stickerslot0" },
    { 0xB39ACA46CC862CF7, "stickerslot1" },
    { 0xB39ACB46CC862F2A, "stickerslot2" },
    { 0xB39ACC46CC86315D, "stickerslot3" },
    { 0x572592303103FFA6, "sticky_minedetectiondot" },
    { 0xBC9FBA27382EE408, "sticky_minedetectiongraceperiod" },
    { 0xCCF9D9DE89F1E6B1, "sticky_minedetectionmindist" },
    { 0x387D90CA205F5FBE, "sticky_minedetonateradius" },
    { 0x4BF36940C10ABAC6, "stillalivexp" },
    { 0xFEC61F975BCA4CBD, "stim_crate_update_hint_logic" },
    { 0xD6EFAFF86E482DE0, "stim_crate_use_alt" },
    { 0x26CC07949DD2254D, "stimmodelattached" },
    { 0x6B0D3C31FF48D4D5, "sting_actor_logic" },
    { 0x14640BBBC1E7EF4D, "sting_building_rescue" },
    { 0xF13BCCA607BEA040, "sting_inside_enemy_accuracy" },
    { 0x94FE3F61B2C900B9, "sting_sniping" },
    { 0x12C5A32AC7E178D9, "sting_sniping_extras" },
    { 0xAD02CCE241A0ADAA, "sting_upstairs_extras" },
    { 0x8EF7693FA1205819, "sting_upstairs_extras_cleanup" },
    { 0xAB357139984D55AB, "sting_window_guy" },
    { 0x4D5FDDC2278CFF00, "sting_window_guys_retreat" },
    { 0xD7E2854535525F4D, "stinger" },
    { 0x7CDF6D157939A723, "stinger_finalizelock" },
    { 0x4C7369959BD4FE86, "stinger_get_closest_to_player_view" },
    { 0x57EAE0E303520023, "stingerdeathcleanup" },
    { 0x77D290290AFD1F0A, "stingerfirednotify" },
    { 0x360961DED88482F8, "stingerirtloop" },
    { 0xD54385F7542FE4FC, "stingerlockfinalized" },
    { 0x61406E27CD9F2411, "stingerlocksound" },
    { 0xBC8DB158C61896B3, "stingerlockstarted" },
    { 0x81A35A921064D543, "stingerlockstarttime" },
    { 0x3D0DA61CE70C6DFB, "stingerlostsightlinetime" },
    { 0xF5E8024311E4F522, "stingerproximitydetonate" },
    { 0x6216F9A5B49733E5, "stingerstage" },
    { 0x5BE87F09D4DD7C50, "stingertarget" },
    { 0xC68BD56EE0EBB223, "stingertoggleloop" },
    { 0x03562FA890E94F60, "stingerusage" },
    { 0x18150F22B6AABB3E, "stingerusageloop" },
    { 0x7D2E58458B8B799B, "stingeruseentered" },
    { 0x711EC27645EE5664, "stingtargstruct_create" },
    { 0x1286E5793B41476F, "stingtargstruct_getinlos" },
    { 0x525B0485C9B2AB11, "stingtargstruct_getinreticle" },
    { 0x1606A2D720B8E8BC, "stingtargstruct_getoffsets" },
    { 0x85459DB3EDA276CF, "stingtargstruct_getorigins" },
    { 0x38E648022C31174B, "stingtargstruct_isinlos" },
    { 0x0C44473CD071537D, "stingtargstruct_isinreticle" },
    { 0xB9962346D9C90479, "stock" },
    { 0x7BDDF439FDD21FB4, "stock_ammo" },
    { 0x5BEC9307B48E15FB, "stockammo" },
    { 0xF014A4F90F4D4279, "stompeenemyprogressupdate" },
    { 0x07AA87C626842C54, "stompenemyteamprogress" },
    { 0xAA2BBABECF79E666, "stompprogressreward" },
    { 0x529B9A678FB1FFCF, "stone_respawn_pool_check" },
    { 0x20DED66260E67849, "stone_respawner_check" },
    { 0x49F434C12210F58E, "stone_respawner_cursor_check" },
    { 0xD0F811B17627CE31, "stop" },
    { 0xDA7CC3BE7E782ACE, "stop_ai_movement_control" },
    { 0x0D57A7387C74C010, "stop_aim_search_around" },
    { 0xBC3F84C2D86B64B9, "stop_aiming" },
    { 0xA374D32AD3B06D5F, "stop_aiming_for_reload" },
    { 0xFCE5485D02F8FAC5, "stop_all_ascend_anims" },
    { 0x19CB496F9D769D6A, "stop_all_convoy_cars" },
    { 0x4CF26274EF4B949C, "stop_all_friendly_convoy_vehicles" },
    { 0x4869BE05B7EBDA0A, "stop_all_groups" },
    { 0x4CFC02450C72E2CA, "stop_all_spawn_groups" },
    { 0x10CA8B71568801FC, "stop_all_vo_sources" },
    { 0x5F4ACA075A216F25, "stop_all_wave_modules" },
    { 0x6942E9EF15D9A810, "stop_alt_death" },
    { 0x0AD895669C5D6F84, "stop_and_start_group" },
    { 0xE71064C1BB4ADA13, "stop_anim" },
    { 0x7702DC90927A1612, "stop_anim_on_dmg" },
    { 0x3BC377F583B2EC91, "stop_blend" },
    { 0xAB6EC53ED9BDF7AD, "stop_boss_checks" },
    { 0xD1BF6E313552ECDF, "stop_bulletshield_wrapper" },
    { 0xFD7070F5694C13C1, "stop_carry" },
    { 0x5F6BF93E019608B4, "stop_changing_ai_speed_while_offscreen" },
    { 0x4FC67099E38E5D36, "stop_changing_scene_speed_while_offscreen" },
    { 0xB11D4697F88F0D4C, "stop_chatter_in_left_tunnel" },
    { 0xC80D9138C5BF6904, "stop_check_skip" },
    { 0x4750390DC7450747, "stop_clear_players_from_door_way_think" },
    { 0x6F6E32C208C1A15E, "stop_clientside_exploder" },
    { 0xEE2DC6919539487D, "stop_convoy_car" },
    { 0xA31D4470B611F252, "stop_counter_beep_sfx_on_bomb_vests" },
    { 0x3E8F5B0F825BDA6A, "stop_current_dialogue" },
    { 0x749EA96EC58071D7, "stop_deaths_door_audio" },
    { 0xD72B5EB5CB6F4F90, "stop_drag_rumble" },
    { 0x079238C87A847452, "stop_emp_effects_on_players" },
    { 0xF96106E28E57B50F, "stop_emp_effects_player" },
    { 0x79B226E803E90586, "stop_emp_scramble" },
    { 0x74ACE109435E59F0, "stop_end_breach_fx" },
    { 0xB969323D7FE72646, "stop_event" },
    { 0x1C8576C66CDB1DB7, "stop_exploder" },
    { 0xEEC3D8028F518BE0, "stop_exploder_proc" },
    { 0xEE4B942ECBA30A27, "stop_eye_barkov" },
    { 0xA7A191DD6DF3F69F, "stop_far_cars" },
    { 0x70793A9891063D87, "stop_fighting_with_player" },
    { 0x3B141B0C0CB517B5, "stop_final_speech" },
    { 0xEEC9BCCD6E9DB5B9, "stop_firing" },
    { 0xA257C15379375EBD, "stop_firing_minigun" },
    { 0x5A5AFF547F5A11DC, "stop_firing_turret" },
    { 0x85C79A35741081A0, "stop_following_all_players" },
    { 0xB5ED3ED21092B8D7, "stop_following_ent" },
    { 0x23952FD3C3F76B1C, "stop_func" },
    { 0xDA1D017463E2D9C7, "stop_fx_idle" },
    { 0x87FA8967CE1890F4, "stop_fx_looper" },
    { 0xC2A91DD6F31C5BF4, "stop_fx_on_vehicle_watcher" },
    { 0xE4E6E772357CF4E3, "stop_gesture_on_notify_or_timeout" },
    { 0x359B76C7972D0049, "stop_gesture_reaction" },
    { 0x29A9B42A0ABEE311, "stop_goliath_grab" },
    { 0x96478BE7022FD8BD, "stop_handling_moving_platforms" },
    { 0xF573703084DEBC5F, "stop_hotjoining" },
    { 0x974A7208D667023C, "stop_idle" },
    { 0x8E9DD969B8DA8206, "stop_idle_on_spotted" },
    { 0xE0A2A39F9B5E3F1A, "stop_if_ground_down" },
    { 0xC4FF60E7DFB36A14, "stop_ignoring_after_timer" },
    { 0x3CD4708EF57E7A45, "stop_illumination_mortars_thread" },
    { 0x38C829D7402CB34B, "stop_inserting_chatter" },
    { 0xD9D241164AF41145, "stop_intel_spawning_and_start_p3" },
    { 0xC41DD6EEF065B88A, "stop_interaction" },
    { 0xB358A87AAFB5CB9B, "stop_interactions" },
    { 0x4CA479494721765C, "stop_late_long_death" },
    { 0xCBE5C7196ADD4926, "stop_leads_texts" },
    { 0x0345564CA8F679C2, "stop_load" },
    { 0x7806766A9E20733E, "stop_lookat_random" },
    { 0xA4B8C1DA8D07A3A7, "stop_loop_sound_after_anim" },
    { 0xFA08FE2962C0CA8E, "stop_loop_sound_on_entity" },
    { 0xFFD6CA27B8157E96, "stop_looping_sound_on_ent" },
    { 0xEF0A3D98C3D8CF17, "stop_loopsound" },
    { 0x1BA14AF517D44046, "stop_magic_bullet_safe" },
    { 0x17597ED53567C572, "stop_magic_bullet_shield" },
    { 0x5B576808E3B064AB, "stop_marker_vfx_on_enemy_players" },
    { 0x1255A2A6C9A324E0, "stop_marker_vfx_on_friendly_player_think" },
    { 0x205A1233EB9FAA5C, "stop_marker_vfx_on_friendly_players" },
    { 0x082C33FAF4FB3CDD, "stop_mg_behavior_if_flanked" },
    { 0xB7899CAA1D327709, "stop_module_by_groupname" },
    { 0xF5755B5702A9A666, "stop_module_by_id" },
    { 0xC9147569EE85067A, "stop_module_on_delay" },
    { 0xBFCDFE9FC86421F8, "stop_morales_quest" },
    { 0xDB061728F15029C3, "stop_move_barkov" },
    { 0x86220039AF58D4B0, "stop_move_scene" },
    { 0x129E3E355FF57744, "stop_nags_on_combat" },
    { 0xDCEB1791C5C609BE, "stop_office_side_vo" },
    { 0xAFDB0573415305BE, "stop_office_walla" },
    { 0x9A9E4BF06711A5AD, "stop_passedby_once" },
    { 0x09D1FCB1E1EBA2D0, "stop_patrol" },
    { 0xAF06C5225D91E1A4, "stop_patrolling" },
    { 0x07B6CC0E427A8C79, "stop_player_anim" },
    { 0x7773F1F88D8CC2FE, "stop_player_anim_on_death" },
    { 0xDD8048337D7F843F, "stop_player_gesture" },
    { 0xFD517BD1D43697DE, "stop_player_pushed_kill" },
    { 0xD9AA8695E0BDC859, "stop_player_trigger_monitor" },
    { 0x48B6F15A1F87377A, "stop_players_inside_death_or_disconnect_monitor" },
    { 0x4CB8F3C6E7127CF7, "stop_playerwatch_unresolved_collision" },
    { 0x802DEFF52FEC9C38, "stop_pressure_sensor" },
    { 0x9C76A9F737CD87B0, "stop_previous_highlight" },
    { 0xA41EC0528FDBB926, "stop_priming_gesture" },
    { 0x787024A0165C14F1, "stop_prone_slide_vfx" },
    { 0xD063273D77EAA9B7, "stop_queued_reaction" },
    { 0xA90B17B30523FC51, "stop_random_idles" },
    { 0xDD576AD52D9C28D5, "stop_reminders" },
    { 0xF8E26988EB6C4269, "stop_restock_recharge" },
    { 0x14794FE3692F26D3, "stop_revive_gesture" },
    { 0x7F9A92E7E7204480, "stop_reviving" },
    { 0xD6EBBAFD122DAAC9, "stop_roof_heli_crash_fire_flicker" },
    { 0xB35B3AD8B607A246, "stop_rpg_guys" },
    { 0x92118B04111D8FAE, "stop_seeking" },
    { 0x1C48400308962CC5, "stop_soon" },
    { 0x37E701AB77D2F3C1, "stop_sound" },
    { 0x206C093C9A647499, "stop_sound_on_hit" },
    { 0x9691FA65982B006F, "stop_sound_when_slowed" },
    { 0xC3FC5E1884EDF076, "stop_sounds" },
    { 0xF7E31F3A1D8F37DA, "stop_sounds_on_damaged" },
    { 0x1BD060728BDCA4CF, "stop_sounds_on_death" },
    { 0x122A05588C9E15BA, "stop_sounds_post_bomb" },
    { 0x38C798F391E956FF, "stop_spawn_modules" },
    { 0xC9363D09E39F8DD4, "stop_speaking" },
    { 0xD9E5F2C0E3409F07, "stop_stair_b_car_fire_flicker" },
    { 0xB2D6574C82FBA304, "stop_state_based_interaction" },
    { 0x9FFB2A490F02D557, "stop_station_closed_vo" },
    { 0x68323F40932BD72B, "stop_stealth_meter" },
    { 0xC9AD35CBCD2114B5, "stop_strafe_minigun_manager" },
    { 0x301997956E19A8EE, "stop_struct_fx" },
    { 0x4C745978544F90E2, "stop_tank" },
    { 0xBF2790E3472529CD, "stop_technical" },
    { 0xAD2CA1D9EA074E2E, "stop_turbulence_just_before_the_end" },
    { 0x354E7247F9C793F0, "stop_use_turret" },
    { 0xFA49292ECF801BAD, "stop_user_skip" },
    { 0xBB2C4DD096C02240, "stop_using_bomb_detonator" },
    { 0x2E5075EBD3929C0A, "stop_using_crate" },
    { 0xFD76293D9B926505, "stop_using_turret" },
    { 0xDD87FBF5FF7E592A, "stop_vehicle_on_damage" },
    { 0xF6F59007FD925055, "stop_vehicle_on_damage_after_loaded" },
    { 0x1F41F5853BEDBFA6, "stop_vehicle_on_damage_internal" },
    { 0x53BEBB1FEB84F8EA, "stop_vehicle_on_pilot_death" },
    { 0x9F6488B1628DC0A4, "stop_visited_once" },
    { 0x5C76C0611611A60C, "stop_vo_bs_idle" },
    { 0xB420D8EF454545FC, "stop_vo_bucket" },
    { 0x0D4F89ED43169447, "stop_vo_source" },
    { 0x319EBBC7EADDC346, "stop_waiting_for_door" },
    { 0x46EED36386714BCB, "stop_wave" },
    { 0xD17CD2F9F937563B, "stop_wave_section" },
    { 0x2DFC72DFB3952265, "stop_wave_spawning" },
    { 0x734BD2F42FE857D5, "stop_wave_spawning_once_heli_leaves" },
    { 0xBA0D1A63DA7BF838, "stop_wind" },
    { 0x17B396DBFC1A201A, "stop_with_front_truck" },
    { 0x29CDB88B580EB205, "stop_wolf_pa_on_death" },
    { 0x1921FD97E5663AE3, "stopac130" },
    { 0x3BAC42ED95705D3A, "stopallrumbles" },
    { 0x76052D14B90E39AC, "stopanim" },
    { 0x3AE9691B8C8B8154, "stopanimdistsq" },
    { 0x9BF00CDA2FDB55F6, "stopanimscripted" },
    { 0x467D9391A8D5622F, "stopanimscriptsceneevent" },
    { 0x5731308BA40FF3BD, "stoparmorinsert" },
    { 0x746F48798C5814C1, "stopbarrelspin" },
    { 0x5F8850626F6493B6, "stopbeam" },
    { 0xCE2FC5B89D3313CD, "stopblinkinglight" },
    { 0x4F492F5370043F0A, "stopburnfx" },
    { 0x85F04AC60E90ABFA, "stopcamera" },
    { 0xDCD95BD91C2D6563, "stopchallengetimer" },
    { 0xDF6A0E78F7D54230, "stopchallengetimers" },
    { 0x39D0600C02A40038, "stopcinematicforall" },
    { 0x97F94CF017DA2BAC, "stopcinematicforplayer" },
    { 0x05770D2EA2D158CF, "stopcinematicingame" },
    { 0x7625340EC0366412, "stopcirclesatgameend" },
    { 0x46FE5B7871A4A207, "stopclientexploder" },
    { 0xA224BCFAB80C2F8F, "stopconcussionfx" },
    { 0xA291D35852B8673A, "stopcontrol" },
    { 0x7E7FC5DF7E58FB05, "stopcopycatoption" },
    { 0x59A39C89116C7DC1, "stopdata" },
    { 0x2545EF95D22B4A75, "stopdragonsbreath" },
    { 0x3B6C6EDF85E781E0, "stopdragonsbreathburning" },
    { 0x71B4453BF4EA43EE, "stopfiring" },
    { 0xA0367D85D7BD1503, "stopflashing" },
    { 0x0AB06657737C2D08, "stopfuncs" },
    { 0xA306E1AEE8A0B70A, "stopfxontag" },
    { 0x3C61FF68CFAF6DD3, "stopfxontagforclients" },
    { 0x56626789187C3146, "stopgestureviewmodel" },
    { 0xBED4C30F7773F52A, "stophandlingmovingplatforms" },
    { 0x3DA5D21BDE3DFA1D, "stopimmediately" },
    { 0x423E36F41963ECFE, "stopimpactsfx" },
    { 0xF48A0A92D69DD00B, "stopinfiniteammothread" },
    { 0x09EAB0AFABEF06EB, "stopinteract" },
    { 0xCD08A0691C17C2D6, "stopkeyearning" },
    { 0xBDE04DFCFC9D41BB, "stoplocalsound" },
    { 0x45FE15F06D8A0959, "stoplocalsound_safe" },
    { 0x5F97431233C324CC, "stoplocationselection" },
    { 0xB73E3E2EF157BE0F, "stoplookat" },
    { 0x7E56B9ED8C826999, "stoploopingcoughaudio" },
    { 0x8EF065AA55A0B9E6, "stoploopsound" },
    { 0x3043C49C30907D88, "stopmapselectsequence" },
    { 0x9AFFB465913B5FC5, "stopmoveslide" },
    { 0xA3901A965FC1D7DD, "stopmusicstate" },
    { 0xDBD5FB58D0C1BDD7, "stoponback" },
    { 0x6C59C1B53A4BD16A, "stoppath" },
    { 0xD581CD5D151709B2, "stopped" },
    { 0xA578B0FB7FBF3952, "stopped_by_leader" },
    { 0xA0FBD4303AFA1D66, "stopped_by_player" },
    { 0x011063BA13FE5EFD, "stopped_for_allies" },
    { 0x831CC8C9FF901ACB, "stopped_morales_quest" },
    { 0xEE6731A99CFE7A03, "stopped_recently" },
    { 0xC12926957C123C70, "stoppedatlocation" },
    { 0xDF6DFCB58E4A11C5, "stopping" },
    { 0x575F12C2CF0E8775, "stopping_power_on_use" },
    { 0x0D6A906FC4C46B47, "stoppingpower_beginuse" },
    { 0xFD3FF5D4CC80A3FE, "stoppingpower_breaksprint" },
    { 0xD5C53D35308D23C4, "stoppingpower_cancelreload" },
    { 0x4811AD857AD8EC75, "stoppingpower_clearhcr" },
    { 0xC782D34B2D986B35, "stoppingpower_clearhcrdata" },
    { 0x90FBF565B5EE9E82, "stoppingpower_clearhcrondeath" },
    { 0xC35DC40087FBDEAE, "stoppingpower_clearhcrongameended" },
    { 0x224498454C375A23, "stoppingpower_clearhcronperkscleared" },
    { 0x9ABEDE397E45992E, "stoppingpower_getweaponhcrdata" },
    { 0x21D901A543969BDD, "stoppingpower_givefastreload" },
    { 0x89602ABA4DD4075F, "stoppingpower_givehcr" },
    { 0x82D71BCAD694D7C7, "stoppingpower_givehcrdata" },
    { 0x4767940743EDAC65, "stoppingpower_init" },
    { 0x839A930AA454EFA4, "stoppingpower_ishcrweapon" },
    { 0x02D55C377C134259, "stoppingpower_isvalidprimaryoralt" },
    { 0xD176F2574F344D42, "stoppingpower_loadoutchangeremovehcr" },
    { 0xECF8502EEF729DDA, "stoppingpower_onkill" },
    { 0x00ACF11496376452, "stoppingpower_onweaponcreated" },
    { 0x45F6013D2CBC901B, "stoppingpower_onweaponpickedup" },
    { 0x4A72670F062F5798, "stoppingpower_removehcr" },
    { 0x2EF90EB0111A819A, "stoppingpower_tracklastcrossbowshot" },
    { 0xC61D29EE444BD298, "stoppingpower_waitforreload" },
    { 0xF92842605A7B3B61, "stoppingpower_watchhcrammodrain" },
    { 0x238BA5EBD0CC6303, "stoppingpower_watchhcrweaponchange" },
    { 0x8D0F314BC4893723, "stoppingpower_watchhcrweaponfire" },
    { 0x20D46A5EBC5EB85A, "stoppingpowerbeginuse" },
    { 0xEFE1BEF1D9380A09, "stoppingpowercanonehitkill" },
    { 0x499B4965BBB05F9B, "stoppingpowerkills" },
    { 0x1814F963D7C37168, "stopplayermusicstate" },
    { 0x7DA1D4B3246C3EF6, "stopposition" },
    { 0x5B21AC28FFBE4318, "stoprecording" },
    { 0x5C874A14C792221E, "stopremotesequence" },
    { 0x700876115E29E7C4, "stopridingvehicle" },
    { 0x98058395B18BA4A0, "stoprumble" },
    { 0x256A4AB5FBBF9F2A, "stoprunngun" },
    { 0xB95D2B46D98A9B26, "stops" },
    { 0xDF09C394CF0B3649, "stopshellshock" },
    { 0x1343CE9D03B08C8C, "stopshooting" },
    { 0x58174F56F1F071CE, "stopshotgunpumpaftertime" },
    { 0xBFF99155AED19E35, "stopsliding" },
    { 0x70E08ED60E025BC3, "stopsoonnotifydist" },
    { 0xCA8387762CF0E263, "stopsoundchannel" },
    { 0x1DB8E2E17CE2AB9B, "stopsoundoncompletion" },
    { 0x14BD52B189187161, "stopsounds" },
    { 0xE8CC1830D2B43F5D, "stopsounds_on_notify" },
    { 0x5FC5025071CAB9CF, "stopspectateplayer" },
    { 0x80403122B3E00A60, "stopstreamtomovingplane" },
    { 0x9CB4890F9F2C20C8, "stopsuspensemusic" },
    { 0x699F6A52BD591829, "stoptabletscreen" },
    { 0xF49A9C83904E62D9, "stopthinking" },
    { 0x4D1BD854E9B434AF, "stoptickingsound" },
    { 0x365C184C8C9B9D01, "stoptimes" },
    { 0x4FEFA2989E788182, "stoptrackingplane" },
    { 0x5D69E8660789BA85, "stoptreadfx" },
    { 0x9ECCAB1E96394D83, "stopunfillthread" },
    { 0x6BDD6C8FA0057E7D, "stopuseanimtree" },
    { 0xE22E08C279B1C437, "stopusesound" },
    { 0xE6C3AFC994720FF2, "stopuseturret" },
    { 0x17D829E2DB573AAB, "stopusingbomb" },
    { 0x03032113D7DB80F2, "stopusingcrate" },
    { 0x70E92115E38718BD, "stopusingheroonlylighting" },
    { 0xBB354CEBAA188700, "stopusinglessfrequentlighting" },
    { 0xA3A7954B613714F9, "stopusingremote" },
    { 0xDF7A77630E496764, "stopviewmodelanim" },
    { 0xADA572AE47026CA1, "stopwatchingthermalinputchange" },
    { 0x32E5CFDCA49CE549, "stopwaveandstartthisone" },
    { 0xF79D792C441303DA, "storage" },
    { 0x0DFFEEF966F7C5AF, "storage_3rd_room_propane_set_exploder" },
    { 0xE9D3E4F6B4CCE2F9, "storage_3rd_room_propane_tripwire" },
    { 0x898A575C897ADA8E, "storage_3rd_room_propane_tripwire_think" },
    { 0xDB847D5669D164BF, "storage_3rd_room_propanes" },
    { 0x0D0A22CFB4A5302C, "storage_3rd_room_setoff_tripwires" },
    { 0xB22D599268CC0200, "storage_3rd_room_spawn" },
    { 0x7CFED38AF1990CD8, "storage_advance_now" },
    { 0x932C45BC6BB71C37, "storage_advancer" },
    { 0x67A7710CC570C1A9, "storage_advancer_mg_aware" },
    { 0x46620A1820AC6C2F, "storage_ambush_kickoff" },
    { 0xDC78DBB4D0F6E58E, "storage_ambush_runner" },
    { 0x98BCB084E88E2EB0, "storage_ambusher" },
    { 0x6DB07069C155E975, "storage_ambusher_advance" },
    { 0x3CC58B68C935729D, "storage_ambusher_advance_watch" },
    { 0x40DDFCE17DE05885, "storage_ambusher_attack" },
    { 0x841DD155A2C221BD, "storage_ambusher_blind_fire" },
    { 0x5BE411BD09458B3F, "storage_ambusher_blind_fire_anim" },
    { 0x8F0279D0C93ED6D1, "storage_ambusher_blind_fire_guy" },
    { 0x0FB037D6039BC2A1, "storage_ambusher_fake_can_shoot" },
    { 0x23549F555E4FE294, "storage_ambusher_fake_shoot" },
    { 0x48C817A675BC4D70, "storage_ambusher_left_guy" },
    { 0xB09AF9AC876187FA, "storage_ambusher_prep" },
    { 0x89289CE944C516C7, "storage_catchup" },
    { 0x4F2C5FDA22A5559A, "storage_death_hint_think" },
    { 0x2A85B1CC7D50F883, "storage_do_not_spawn_runner" },
    { 0x0B597D9768261D6C, "storage_enemy_hold_fire" },
    { 0x0B5BDE67E58137DF, "storage_enemy_temp_ignore" },
    { 0x6947BD54DBEB7660, "storage_enemy_temp_ignore_shot" },
    { 0xCAE1A83542C1396E, "storage_enemy_waittill_seen_or_hurt" },
    { 0xFCF0F414C32F8941, "storage_farah_combat_behavior" },
    { 0x3B153F2844D133C1, "storage_first_room_enemy_whisper" },
    { 0x733520897FB36F94, "storage_flank_weapon_watch" },
    { 0xA55640856781C671, "storage_lmg" },
    { 0x6B337A15A35D6B98, "storage_lmg_camper" },
    { 0x6B4FFCEBC2EF900D, "storage_lmg_guy" },
    { 0xA10517241E0997C5, "storage_lmg_room_guy" },
    { 0x8AA73193CF7B8392, "storage_lmg_room_propane_detonation_think" },
    { 0x9A84592D12BBBF50, "storage_mg_coward" },
    { 0x5897F66AF72BBA58, "storage_mg_coward_monitor_death" },
    { 0xD18169BF6733B1E3, "storage_mg_farah_behavior" },
    { 0xEE2773A797F075D4, "storage_mg_farah_suppression" },
    { 0xDBDC15F1D1745AF7, "storage_mg_guy" },
    { 0xC61192ED6CC9B207, "storage_mg_guy_flashbang_detector" },
    { 0x67979580FE1A9AF8, "storage_mg_guy_health_management" },
    { 0x9615D417C489063A, "storage_mg_guy_molotov_crawl" },
    { 0x995CD2A874F4EBC6, "storage_mg_guy_molotov_crawl_anim" },
    { 0xAC6A250CAAD37BFB, "storage_mg_guy_molotov_death" },
    { 0xC4FC67DE8D18EF0A, "storage_mg_guy_monitor_shot_by_player_near_mg_nest" },
    { 0x803E31EBBFE42619, "storage_mg_hint_objective" },
    { 0x61107591E07C0DCB, "storage_mg_nest_first_guy" },
    { 0x6E2E3070ECBB90C2, "storage_mg_no_shoot_zone" },
    { 0x604EE4DA022B1376, "storage_mg_oilfire_scriptable_detonation" },
    { 0x47B2ACD31683E3FD, "storage_mg_oilfire_scriptable_detonation_think" },
    { 0x97AD41604ED02A3D, "storage_mg_oilfire_setoff_other_propane_tanks" },
    { 0x7B218965FBC0D862, "storage_mg_player_lag" },
    { 0x626DF2A12C71AE8C, "storage_mg_putout_fire" },
    { 0xA0B2AC78787F85BA, "storage_mg_room_propanes" },
    { 0xEE833DC51CDB0A7F, "storage_mg_shoot_wall_zone" },
    { 0x8E18879DADD39F32, "storage_mg_shoot_zone" },
    { 0xF9542A4A096A4F08, "storage_mg_slow_reaction_zone" },
    { 0xD52E2598D991C343, "storage_mg_tracer_remove_on_death" },
    { 0x7B25E08549120BD5, "storage_oil" },
    { 0x9FB6E53C4651D714, "storage_oil_catchup" },
    { 0x8C00BD62DF281F72, "storage_oil_final_room_nags" },
    { 0xA1178F460747B3C2, "storage_oil_fire" },
    { 0xAEBA17A1896F49F5, "storage_oil_player_clear_vo" },
    { 0x94A21B9D68BFAE0E, "storage_oil_start" },
    { 0x14890AF379FCE03E, "storage_oilfire_puzzle" },
    { 0xDA77172A1AE56A0A, "storage_propane_toss" },
    { 0xA7E72878E48F27AD, "storage_propane_toss_scene" },
    { 0xC018A32E2454B0F8, "storage_redirect_enemies" },
    { 0x3A655B7120223790, "storage_retreat_on_look_at" },
    { 0xD73A91B7F05B3235, "storage_room_2_lmg_buddy" },
    { 0x03385A535809E3D5, "storage_runner" },
    { 0xCE2F1E3F019AF849, "storage_runner_cleared_detector" },
    { 0x1ED24B4A9DBFA612, "storage_runners" },
    { 0xFF1CADA2EEB780E5, "storage_runners_woke" },
    { 0x7E76FE2328F99980, "storage_setup" },
    { 0xA00DFBDA4BCDDABD, "storage_split" },
    { 0x280DDD88356E7C7C, "storage_split_catchup" },
    { 0xD8F80CBB41940AFB, "storage_split_fall_vo" },
    { 0x843B55EA53D08520, "storage_split_remove_fov_scale_factor_override" },
    { 0xB585603A0D568DC1, "storage_split_scene_farah" },
    { 0x082E64D96170E612, "storage_split_scene_farah_jump" },
    { 0x13C4DE2F38D88831, "storage_split_scene_farah_vo" },
    { 0x48B09210D2051A4A, "storage_split_scene_player" },
    { 0x109BA09BEC450319, "storage_split_skip_to_jump_monitor" },
    { 0x957B9C9898427A86, "storage_split_start" },
    { 0xAFFD330A84561D82, "storage_spotter" },
    { 0x6E3F288295E8E955, "storage_start" },
    { 0x00C91D0167C66D3C, "storage_surprise" },
    { 0x6CF5A86C030A7E0C, "storage_surprise_guy" },
    { 0xABDCAB2835D81F4E, "storage_surprise_propane_exploder" },
    { 0x5E6DED2FC9860C48, "storage_surprise_shoot_on_notetrack" },
    { 0xD07C173AD9126956, "storage_surprise_vo" },
    { 0x39E4A81790D29554, "storage_surprise_wait" },
    { 0x98BE7F1B272B25D2, "storage_tripwire_chain_defuse" },
    { 0x7E66EB02EE7B527F, "storage_tripwire_chain_defuse_single" },
    { 0x86345D5385006EE1, "storage_tripwire_chain_defuse_think" },
    { 0xF2D1F64B8339F061, "store_attacker_info" },
    { 0x36C309751C6FF2D5, "store_farah" },
    { 0x743FE3F70464AFD4, "store_linked_smartobjects" },
    { 0x3DCD4A65898DCEBF, "store_og_intensity" },
    { 0x63E137DA58CF8FCD, "store_old_root" },
    { 0x3B9C7737CCF7A250, "store_original_traverse_data" },
    { 0x3A02C61E998055B3, "store_platform_models" },
    { 0x8CBC2467FBD6A8DD, "store_players_weapons" },
    { 0x087DD57BC90FC75A, "store_vehicle_nodes_ground_pos" },
    { 0xDDE76127A712F133, "store_weapons_status" },
    { 0xE14B230938EB5661, "storecenterflag" },
    { 0x852E1E56AA4872A4, "storecompletedmerit" },
    { 0x69344D62517C34DC, "storecompletedoperation" },
    { 0x34979FCB008DFF5E, "stored_damage" },
    { 0xA7FABB71E900E9CD, "stored_ents" },
    { 0x52D759757B00235B, "stored_fnf" },
    { 0x8C3BE4C2C8FD06F4, "stored_weapons" },
    { 0xF56275FEFF9FBE1E, "storedslotsunlocked" },
    { 0x998BD82F5EC190AB, "storedtarget" },
    { 0x35094E8956B1812A, "storedweapon" },
    { 0x54F91109A85F76BB, "storedweapons" },
    { 0x2CD0A3987BD65765, "storeothersideobjectreference" },
    { 0x4DC0714B4D7EC1B7, "storepowercooldowns" },
    { 0x835D92365EF4A8FF, "storescorestreakpointsongameend" },
    { 0x45F2283DF4137601, "storesupercooldownforroundchange" },
    { 0x8BE0647F8D7338D2, "storesuperpoints" },
    { 0x628A8E60D6A13B51, "stow_halligan" },
    { 0x0F80F7714147110E, "stowed_weapon" },
    { 0x052688492485245C, "stowsidearmposition" },
    { 0x463B49935F243471, "stowsidearmpositiondefault" },
    { 0xAAFF089F4F6E7441, "stpetersburg_ai_spawn_function_setup" },
    { 0xE73075DBF03C58E3, "stpetersburg_door_init" },
    { 0xC23A5A825EEF32C7, "stpetersburg_friendly_fire_think" },
    { 0x1BCC60F29E951233, "stpetersburg_intro_screen" },
    { 0x104D427922768728, "stpetersburg_objectives" },
    { 0x40704D9AEA58F5E3, "stpetersburg_player_setup" },
    { 0xC3C0077699C4007D, "stpetersburg_preload" },
    { 0xD19153414F182E75, "stpetersburg_starts" },
    { 0x7C1DF6158D753CFF, "stpetersburg_transients" },
    { 0xBE61EB030B1F444C, "str" },
    { 0x4D0058E889E89EB2, "strafe" },
    { 0xEBB6D15D114BBE03, "strafe_acceleration" },
    { 0x76A3E9084FD9A87F, "strafe_foot" },
    { 0x4FAF37F262C7C0D9, "strafe_foot_time" },
    { 0x123C8DB1DE1CE00E, "strafe_internal" },
    { 0x403D6033C9690DCE, "strafe_minigun_manager" },
    { 0x8357FA4BDE4646C3, "strafe_minigun_manager_delta" },
    { 0x3A97C33C9FBB4797, "strafe_pass_target_dist" },
    { 0x700418FB80CCE2E2, "strafe_speed" },
    { 0xF83F94F220D95E68, "strafeaimchange_cleanup" },
    { 0xDC0DF99B39AC044D, "strafeaimchangealias" },
    { 0x6BACD6B00B27F281, "strafeangle" },
    { 0xB1A4589210ADA43B, "strafearrival_animindex" },
    { 0xE976083EAE115E30, "strafearrival_duration" },
    { 0x0462E3C21C124A2F, "strafearrival_idealstartpos" },
    { 0x1F484F55288FF5D2, "strafearrival_rate" },
    { 0x0E14493679D2390C, "strafeloop_codeblend_cleanup" },
    { 0xD9B9CEAC3C2FFF4C, "strafepoispeedtarget" },
    { 0x07FB4B8B19D0EF1F, "strafereverse_cleanup" },
    { 0xB441AE679F73B701, "stranim" },
    { 0x4CD46AE889B85FE2, "straps" },
    { 0x1B102A371661E5E5, "strategy_level" },
    { 0xADCEACD52D36DE2F, "streakcanseetarget" },
    { 0xDA535DF37A25D938, "streakcheckistargetindoors" },
    { 0x71F32C9D51D027F7, "streakdata" },
    { 0x3178B57406E07C26, "streakdeploy_cancelalldeployments" },
    { 0x7AB580B95E1C9ED0, "streakdeploy_dogesturedeploy" },
    { 0xE076F4D2AB0DFF5A, "streakdeploy_dothrowbackmarkerdeploy" },
    { 0x1E6D1BD013B84067, "streakdeploy_doweaponfireddeploy" },
    { 0x624BDCF4BD4E14F3, "streakdeploy_doweaponswitchdeploy" },
    { 0xDD607AF04C6AF3E7, "streakdeploy_doweapontabletdeploy" },
    { 0xA94CD99FB759168D, "streakdeploy_giveandfireoffhandreliable" },
    { 0xB129755F11C9228C, "streakdeploy_playtabletdeploydialog" },
    { 0xB99763A306C1E9F6, "streakdeploy_watchgiveandfireoffhandreliablefailure" },
    { 0xFFF627903E147C17, "streakdeploy_watchgiveandfireoffhandreliablesuccess" },
    { 0x4EE4548639CA676D, "streakglobals_onkillstreakbeginuse" },
    { 0x59990FA1E6E1C269, "streakglobals_onkillstreakfinishuse" },
    { 0x72F72A153131F046, "streakglobals_onkillstreaktriggered" },
    { 0x85F067C5CC17AC75, "streakindex" },
    { 0x57205728D203807B, "streakinfo" },
    { 0x831477830339A260, "streaklifeid" },
    { 0x6D823C8F33BAB527, "streakmatchlifeid" },
    { 0xA2F8B419D0C6BC58, "streakmsg" },
    { 0xFBF0BBB366F235AC, "streakname" },
    { 0xE38FB7591BA5177C, "streakpoints" },
    { 0x9C67550F41B00D94, "streaks" },
    { 0x9BFC4FEB17C47E0C, "streaksetupinfo" },
    { 0x6E5B256A24D39D85, "streakshouldchain" },
    { 0x607990AD8B98E600, "streakstate" },
    { 0x4EAD196F7F453801, "streaktable" },
    { 0x4D90E20F48606BD7, "streaktype" },
    { 0x8B4B933F0C14A228, "streaktyperesetsondeath" },
    { 0xEF241F307A8F49F3, "stream_hit_location_for_players_inside" },
    { 0xA3AB8EBBBC67A183, "stream_time" },
    { 0x0B086167F64D860A, "streamforslamzoomonspawn" },
    { 0x7F1F9A8E40E0572D, "streamhintenabled" },
    { 0x13B8D3769452CB11, "streamnode" },
    { 0x8ACF26B15CFA4005, "streampoint" },
    { 0x5A5E9BADCA8F119A, "streamsetmaterialtouchuntilloaded" },
    { 0x6C41452DDE4AC1E6, "streamsync" },
    { 0x8FCBDAA4842A5C04, "streamtimeout" },
    { 0x9BCE24EC49FE3951, "streamweaponsonzonechange" },
    { 0x8CC24016EA2A1E65, "street_backshot_vig" },
    { 0xA3A401FDBAF1F8B0, "street_car_passenger" },
    { 0x0515289B0BAA63D9, "street_civ_cower_01_behavior" },
    { 0x400EC898583E97E2, "street_civ_cower_02_behavior" },
    { 0x9C397768D789A63B, "street_civ_cower_03_behavior" },
    { 0xC9710B018B19A39C, "street_civ_cower_04_behavior" },
    { 0x68456FA612C3F674, "street_civ_mag_bullet" },
    { 0xA2C6D2E6F468E139, "street_civ_run_cower_handler" },
    { 0xDCE9266E9BFDCB53, "street_civ_run_cower_vig" },
    { 0xCBAF3DBF326A45E9, "street_civs_flee" },
    { 0x9A8C54CC55357002, "street_cleanup_approach" },
    { 0xDCF9FACAF2AD906E, "street_cleanup_combat" },
    { 0xEE47830CB3CB2D44, "street_cleanup_ents" },
    { 0x1AFB3AECBDA3350A, "street_couple_vig" },
    { 0x3176C3619ABC6556, "street_cross_handler" },
    { 0x3B271580CD3684E7, "street_death_civ_vig" },
    { 0x19C566AACAC76978, "street_friendlies" },
    { 0x830F8E2E1BF9C7F1, "street_jogger" },
    { 0x08002825BC916F41, "street_jogger_vo" },
    { 0xB35B9A0FE6BC1AF4, "street_knocknock" },
    { 0xB03EB5E07BAF9E9E, "street_knocknock_vo" },
    { 0x74F1EBF789C1B54E, "street_main" },
    { 0x735422175BB63954, "street_movement_completed" },
    { 0xA5EB06F89D9C3CB8, "street_patch_handler" },
    { 0x16B2A3CB6853178C, "street_police1" },
    { 0x65DAF992C9423015, "street_start" },
    { 0x14D7ED916702604E, "streets_init" },
    { 0xADACAB741CDE1330, "streets_loop_helis_1" },
    { 0xD0F9CA5824F2E02D, "streets_push_up_nag" },
    { 0xFB1C939C108585A6, "streets_smoke_grenade_guaranteed_nag" },
    { 0x0E25CA544BE62309, "streets_smoke_grenade_nag" },
    { 0xBE28EB2B0E41F3A9, "streets_stealth_settings" },
    { 0x706859F3CA27F4FF, "stretchanim" },
    { 0xAD0B65AEEFC12231, "stricmp" },
    { 0x60448B342A395E55, "strict_ff" },
    { 0x267C79B8163E0A16, "strict_ff_disable" },
    { 0x79618D4B47118E7D, "strict_ff_enable" },
    { 0x7DC4E8376C1EAB7F, "strike_add_to_cs_arrays" },
    { 0xFBACE6640BD07490, "strike_additem" },
    { 0xC711189DD844776B, "strike_addstructtolevel" },
    { 0x9840838673A3E710, "strike_fixautokvps" },
    { 0xE24F5C8CEB2BEE98, "strike_interactioncreate" },
    { 0x077D5D0D5BFB6229, "strike_modelcreate" },
    { 0xEA985BC77207AC95, "strike_player_connect_black_screen" },
    { 0xBBA5FC5AF1B36CD2, "strike_player_connect_black_screen_fn" },
    { 0x786892ADD4192659, "strike_scriptorigincreate" },
    { 0x85ED857EC20FAD50, "strike_setup_arrays" },
    { 0x6C54B925A83CBD27, "strike_triggerassignvalues" },
    { 0x9FAE9FB003DDE794, "strike_triggercreate" },
    { 0xD9E30EE835E01EAC, "string" },
    { 0xF2720B0AA5B581B5, "string_is_single_digit_integer" },
    { 0xB60067C842C5F9D9, "string_remove" },
    { 0x70144A5C70421539, "string_starts_with" },
    { 0x75F062A1553B41DD, "string_to_bool" },
    { 0xF7EC4AE5A6913462, "stringcannotplace" },
    { 0x4A224BB94621B57F, "stringemissilefired" },
    { 0x1D0FF511E035D3B1, "stringref" },
    { 0x0E78A7AE7BE3E46D, "strings" },
    { 0xC1C7A197BF808E45, "stringtofloat" },
    { 0xC59EFA08F0317722, "stringtovec3" },
    { 0xE0C16511B32B5B7D, "stringvar" },
    { 0x9FD6544653481D37, "strip_node_flag_wait" },
    { 0x2B62F7A62A2B8E22, "strip_old_ai" },
    { 0x849F365F20CA65E3, "strip_suffix" },
    { 0x75B3187EB6E0BEC7, "stripspawner" },
    { 0xB46F81619EB5E433, "stripweaponsfromplayer" },
    { 0x88FF5C3B952C9E29, "stripweapsuffix" },
    { 0xBC0ABAE81FB1764C, "strobe" },
    { 0x20F97459A6EBA610, "strobelight" },
    { 0x120D11045D0CB351, "strrazorlinks" },
    { 0xEEE525E9016DDE8A, "strtok" },
    { 0xFC455FE90AD1BC54, "struct" },
    { 0x521184DCB262D666, "struct_01" },
    { 0x521183DCB262D433, "struct_02" },
    { 0xE4D34655FD8A4B85, "struct_array_index" },
    { 0xB259CF8CA8D425B6, "struct_array_loadout_locations" },
    { 0x52CE228947D137E1, "struct_arrayspawn" },
    { 0x6A5E4AA3C1B2983C, "struct_class_names" },
    { 0x8401714D0ABC69E3, "struct_filter" },
    { 0x3A0ABF45E9CCA1F0, "struct_filter_kvps" },
    { 0x538BD1DCB402DBF7, "struct_fx" },
    { 0x3264D27F9F481212, "struct_fx_active" },
    { 0x052C6B061FAADC49, "struct_fx_inactive" },
    { 0xABC0EE1A93C2F772, "struct_has_advanced_settings" },
    { 0xD54F5FF998F21272, "struct_is_personally_disabled" },
    { 0x3FE2988A6E0983AB, "struct_node_path_array" },
    { 0x71AFEC41B0023B20, "struct_node_path_duration_array" },
    { 0x6AB491074F1BB841, "struct_path_unload_node" },
    { 0x4B32D8A951721305, "struct_set_fields" },
    { 0xB40DD84EB2ECD7FC, "struct_wait" },
    { 0x5F52F893A4BAFC79, "structarray_add" },
    { 0xD11C663F4CF34D86, "structarray_remove" },
    { 0x16BDE8D94B1EF3B1, "structarray_remove_index" },
    { 0x0ECDDFE8ABB76201, "structarray_remove_undefined" },
    { 0xAD6CE83FBFC6818B, "structarray_shuffle" },
    { 0x62F3BBFDF87FB355, "structarray_swap" },
    { 0x7B7ABBE661BBE174, "structarray_swaptolast" },
    { 0x68D58549580E846D, "struggle_decided" },
    { 0x587ECE66D4BBB388, "struggle_started" },
    { 0xD0981FB175BF3481, "stub" },
    { 0x96EDB48E6A109F97, "stub_move" },
    { 0xEC0B0708CF87A66F, "stub_move_to_struct" },
    { 0xDF060A60CAF53949, "stub_path" },
    { 0x154AFC307E228A43, "stub_path_array" },
    { 0x458F008B892011B0, "stub_path_simple" },
    { 0x6FCE4B237465F1A0, "stuckbygrenade" },
    { 0xFC198DBFF640C787, "stuckbygrenadeowner" },
    { 0x7703DFEB20E39562, "stuckenemyentity" },
    { 0x051D47DE6970303C, "stuckexplosioncounted" },
    { 0x594666DAD984DF64, "stuckinlaststand" },
    { 0x9C631E186BED9AAE, "stucktime" },
    { 0x7BA74EAA28E9479A, "stuckto" },
    { 0xF6D0E418AF753BB8, "stucktoai" },
    { 0xB24017EB53E229FC, "stumble_ai" },
    { 0x24BEFBAC9F820B57, "stumble_player" },
    { 0x576E07BC919BD605, "stumblechooseanim" },
    { 0x8E957180CD03EB98, "stumbledelay" },
    { 0xA22156DC767464C4, "stumbleterminate" },
    { 0xD5D90EB32AAD0D62, "stumbletimer" },
    { 0x8221755CDEAA2352, "stumblingpain" },
    { 0x366C5CBA8213D5DE, "stumblingpainalias" },
    { 0x6635EFBF863334C1, "stumblingpainanimindex" },
    { 0x0EDA625BFB9002D2, "stumblingpainanimseq" },
    { 0x3347F19F1608C43B, "stumblingpainnotetrackhandler" },
    { 0x934B317F00B5785F, "stun_hit" },
    { 0x2778855CD11B8A79, "stun_hit_time" },
    { 0xCC7857D34DCB8D4B, "stun_struct" },
    { 0x5282036F4C2E04F1, "stunboltdelete" },
    { 0x484A12B9545551F8, "stuncooldown" },
    { 0x7E8762F8B7B69995, "stundamageonplayers" },
    { 0xD113F9435F83AE1D, "stunenemiesinrange" },
    { 0x5397D867458803B8, "stunned" },
    { 0x772F1A57C3B9CBB0, "stunplayer" },
    { 0xC10F4C187EA3C9E7, "stunplayersinrange" },
    { 0xF894D332B5E5BB6D, "stunscalar" },
    { 0xE890C471CED05E62, "stunshoulddetonate" },
    { 0xB9315C5F01094757, "stunstick" },
    { 0xF32E09DBD3C7FD94, "stunstickattacker" },
    { 0xFD96894F2C7A23A5, "stuntguy1" },
    { 0xFD96864F2C7A1D0C, "stuntguy2" },
    { 0x285587466F3F2832, "style" },
    { 0x5AE7C8E2198AD779, "sub_civtarget" },
    { 0xE9EE18FE0E1D73BB, "subclass" },
    { 0xF5CBE1D8A8F8503D, "subclass_spawn_functions" },
    { 0x72753C8DB7B5FC17, "subdue_player_in_place" },
    { 0xB37F373AFF7C0F35, "submap_cull_targetname" },
    { 0x497535AFF096CC24, "subparthandler" },
    { 0xEFFC63FE95BAFF6B, "subpartname" },
    { 0xA31AD1A722EBC2ED, "subpartstate" },
    { 0x0E115EA99CA7261F, "subscribedinstances" },
    { 0x5A5896BD6C4DDEBB, "subscribedlocale" },
    { 0xF9E4415B48241BD8, "subscriber_category" },
    { 0x7EC0E9951DD5D528, "subscriber_type" },
    { 0xB7719DD4D1B7BE36, "subscribetoquestlocale" },
    { 0x0411B8166EEA4F69, "subscriptions" },
    { 0x6C4F941A75C12363, "substates" },
    { 0xF79EAF019845012B, "subtract_from_spawn_count_from_group" },
    { 0x75A0E3C38CDEC087, "subtractheavyarmor" },
    { 0xED6637AC58196659, "subtype" },
    { 0x8D00058795D44FE8, "subwave_progression" },
    { 0x1A7D627ACF5C5D0D, "subway_black_screen" },
    { 0xC555632CDEC408A6, "subway_black_screen_fade_in" },
    { 0xA118A9ADD3133287, "subway_black_screen_fade_out" },
    { 0x2FF494C833259A08, "subway_car_move_think" },
    { 0x6849A876BD20D30E, "subway_cars" },
    { 0x866BAF3C80C39573, "subway_death_or_disconnect_monitor" },
    { 0xBD0040796BEA075F, "subway_fast_travel_teleport_data" },
    { 0xCCB9B2B14CF05087, "subway_right_escape_magic_bullets" },
    { 0x3CA5147BEE77DF4E, "subway_right_wave2_logic" },
    { 0x5C375836A15158C5, "subway_tracks" },
    { 0xBBE625F6CE6A8974, "success" },
    { 0x8B5FD18EAE0B6945, "success_zone_center" },
    { 0xAEF9C5A2F508BFD8, "success_zone_width" },
    { 0xC57386FE1688F8AB, "successcondition_enemykills" },
    { 0x75D8A9287B51D7B9, "successful_smoke" },
    { 0x04FAECA49ECA8549, "successful_vehicle_spawns" },
    { 0xA66D5ADB900A9BAE, "successfulteam" },
    { 0x0D1AADDDC754C707, "successfulteams" },
    { 0x306D4AC7FAC9549C, "successfunction" },
    { 0xD5AB9E003A1D793B, "suicide" },
    { 0xAF151259F3769A4B, "suicide_bomber" },
    { 0x6EECAE22B7440593, "suicide_bomber_clean_up" },
    { 0x8366688AC1BD129B, "suicide_bomber_combat_func" },
    { 0xE67D3819727D0E03, "suicide_bomber_count" },
    { 0x2D98679BF01865F5, "suicide_bomber_death_quote_skip" },
    { 0x1686A097B36A325C, "suicide_bomber_explode_func" },
    { 0xDBB3A7A88E0BC566, "suicide_bomber_explodes" },
    { 0x2BF9C7C4BC23C8D2, "suicide_bomber_spawn_func" },
    { 0x17B124FA74042E6C, "suicide_bomber_think" },
    { 0x0AA970CF5A8B5F36, "suicide_bombers_alive" },
    { 0x26B95966B196E312, "suicide_dialoguehintslogic" },
    { 0x1DEEF4538885D0A8, "suicide_dialoguelogic" },
    { 0xDE1BF8FE47078E81, "suicide_getvehicles" },
    { 0x40A04D16694039B9, "suicide_main" },
    { 0x9A4F81FB3950BF9B, "suicide_musiclogic" },
    { 0xA4E95C7BDD42B557, "suicide_on_alive" },
    { 0xB2303B10183D72AA, "suicide_on_end_remote" },
    { 0xD942791C79BCA318, "suicide_playersawvehiclelogic" },
    { 0x9F54F3FCE1747BF1, "suicide_spawnvehicle" },
    { 0x7E8649D47851A320, "suicide_start" },
    { 0x318D7A2560B461FC, "suicide_truck_ahead_of_player_humvee" },
    { 0x751530064D9252B4, "suicide_truck_damage_monitor" },
    { 0x7D13B15B7C972E73, "suicide_truck_detonate_think" },
    { 0x1845DFF35AC5E55A, "suicide_truck_explode_think" },
    { 0x92984A08099C0D3A, "suicide_truck_explodes" },
    { 0xA12988F6FAF95844, "suicide_truck_should_detonate" },
    { 0xDC3D066E052EE02F, "suicide_truck_spawn_trigger_think" },
    { 0xC9376B0B74BFC63B, "suicide_truck_speed_manager" },
    { 0x865C46DC653C4CA6, "suicide_truct_explods" },
    { 0x74173D26467094B0, "suicide_vest_timer" },
    { 0xE286D018AEC105E1, "suicide_when_players_not_looking" },
    { 0x293D69897B0FE06B, "suicideandskydive" },
    { 0x6285A9F8CCB137B0, "suicidebomber" },
    { 0xE40B6C1E01C562E5, "suicidebomberchants" },
    { 0x7339EB15625C1F51, "suicidedfromspawnwait" },
    { 0x2274B33502065F34, "suicidemonitorcrouchbuttonpress" },
    { 0xDA5BABBF0FCF9A73, "suicideonend" },
    { 0x2AA81CF1754E648C, "suicidesetup" },
    { 0x32723FDE22146051, "suicidespawndelay" },
    { 0xDD50D1F4F2492A8A, "suicideswitched" },
    { 0xE17928B182FCB0DC, "suit" },
    { 0x347A0181268DDBCE, "summonextractchopper" },
    { 0x6871FC13B614C60D, "sun_adjustments_hospital_force" },
    { 0x62DE2BBB09D977AE, "sun_adjustments_hospital_trigger" },
    { 0xF04BD37836A605BF, "sun_adjustments_murderhole_building" },
    { 0xDDC56D5EF7B35669, "sun_adjustments_register_trigger" },
    { 0x632AB249AF23BB26, "sun_disable" },
    { 0x99D5BFDDAFA846CD, "sun_enable" },
    { 0x8F854888D7264BB0, "sun_flare_ent" },
    { 0xE9AC50891A5FBB70, "sun_flare_off" },
    { 0x6D02F095632C584E, "sun_flare_on" },
    { 0x7EEA3C8810710003, "sun_flare_pos" },
    { 0x51DA53769C4DCEF9, "sun_light_fade" },
    { 0x5A9F08E1CDB4A26D, "sun_shadow_trigger" },
    { 0xA9246867A5611EF1, "sunangles" },
    { 0x1A9E5C787FA0BAAA, "suncascademult1" },
    { 0x1A9E5B787FA0B877, "suncascademult2" },
    { 0xAC01D72A7986F738, "suncolor" },
    { 0xFEB01F622FDC982A, "sundirection" },
    { 0x1ECEBF8A16409A19, "sunflare_changes" },
    { 0x96F393CA27147C85, "sunflare_settings" },
    { 0x4D5BD2039B3F2FB3, "sunisprimarylight" },
    { 0x06AA653C8F1F9E0F, "sunlight" },
    { 0x9F4DF10FFE6C6C02, "sunpoissonfiltering" },
    { 0xF2B1EA90892D6908, "sunsamplesizenear" },
    { 0x45B225641C870458, "super" },
    { 0xBA38BB6317A76A22, "superMeterProgress" },
    { 0x9AA09F7ECDE4DB4F, "super_activate_func" },
    { 0x39F5403F0C813CDC, "super_activated" },
    { 0x4A5B20C616BAC09C, "super_displayed" },
    { 0x28DE6E4D5FE06425, "super_enemy_spawning" },
    { 0xFBD68B0DFBDC164A, "super_has_targets" },
    { 0x6A0D48094DBEEABB, "super_hold_think" },
    { 0xE05B3704970011C2, "super_invulnerable" },
    { 0xED104E5EB712DD69, "super_meter_draining" },
    { 0x8975873A5C65CEDE, "super_onspawned" },
    { 0x74E42ACE9973DA43, "super_paratrooper_logic" },
    { 0xBCA8BCED8DADB886, "super_progress" },
    { 0x65A9AC8DCF413097, "super_progress_scalar" },
    { 0x94B1DE4654AAE174, "super_ready" },
    { 0xD541D16B5EA07FFE, "superabilitywatcher" },
    { 0x5B88EA3F57CC5322, "superdeadsilence_beginsuper" },
    { 0xBEC933D37A879C99, "superdeadsilence_endhudsequence" },
    { 0xBEE911553D3842CA, "superdeadsilence_endsuper" },
    { 0x320DB3B2DCFC6C63, "superdeadsilence_onkill" },
    { 0x19A94C557868EBA6, "superdeadsilence_starthudsequence" },
    { 0x6DA3937D029DF042, "superdeadsilence_updateuistate" },
    { 0x88742C42F004323A, "superdeadsilence_watchforgameended" },
    { 0xA699874FE07CA337, "superdelay" },
    { 0xD2FDB0714E168165, "superdelayendtime" },
    { 0x3467989FBC496FEB, "superdelaypassed" },
    { 0x6BB34406AFEED6FC, "superdelaystarttime" },
    { 0xF65DB4B042076B4A, "superdisabledinarbitraryup" },
    { 0xD52439B98FC36711, "superdisabledinarbitraryupmessage" },
    { 0x7529B9428E6C057B, "superearned" },
    { 0xA9227914B111CA9F, "superearnratemultiplier" },
    { 0xAF33A13E861384D8, "superfaction" },
    { 0xE79897D32A777F74, "superfastchargerate" },
    { 0x53B1982CCF74C054, "superfultonbeginuse" },
    { 0xA8E8B6798B0AEE74, "superglobals" },
    { 0x61F10A74959E5B26, "supergunout" },
    { 0x86C988FD7FE46445, "superid" },
    { 0xDA82820D2B425CF9, "superisrestricted" },
    { 0xBF501C44DF7225F8, "superkill" },
    { 0xDF8DDFE92F5A9647, "superonset" },
    { 0xBFBBC313CE46C90E, "superonunset" },
    { 0x82048254D7DBA387, "superpoints" },
    { 0x3AF521EB56C73705, "superpointschanged" },
    { 0xA32F7A2156E52B85, "superpointsmod" },
    { 0x0DD295A05EC39586, "superreminderset" },
    { 0x1780B6BDEA7A2500, "supers_init" },
    { 0xC94B78FEA7D0EDC6, "supersbyextraweapon" },
    { 0xAFF2C5BFDBD1DA6D, "supersbyid" },
    { 0x7772897AF19F16D0, "supersbyoffhand" },
    { 0xC1FD915BD3B570E4, "superselectbeginuse" },
    { 0x56A4CFE7067442EF, "superselectonset" },
    { 0x7BE4E3EB0925EDE6, "superselectonunset" },
    { 0x33774A06A86A5ED2, "supershutdown" },
    { 0x8753BD0B7A4A5588, "superslotcleanup" },
    { 0x6622ED5CD9437A0A, "supersprintkillrefresh_init" },
    { 0x8211F8468788CCF5, "supersprintkillrefresh_onkill" },
    { 0x13DEF176BF4B6C15, "superstarted" },
    { 0x774E6780039DF6FD, "superstate" },
    { 0x17A74032BBBBD50E, "supersupplydropbeginuse" },
    { 0xA4C2A386453C4D7D, "superterrainlightbakelodoverride" },
    { 0x704F37C4A97625EA, "supertrophy" },
    { 0x8BFD299EAF03F0AE, "superusedurationupdated" },
    { 0x01C10B44812C8B45, "superusefinished" },
    { 0x98E1C298F8A3E235, "superweapondropbeginuse" },
    { 0xE5A356940021AD8D, "superweapons" },
    { 0xEEA88CE4A4A3FD57, "superwide" },
    { 0xC1DBED4484EFEB3B, "supplementary_fire_damage" },
    { 0xD140B4BCE50E40BB, "supplementary_molotov_damage" },
    { 0x8483609CCB408A43, "supply_crate_vo_when_used" },
    { 0x5FD9324442E17B9B, "supply_station_direction" },
    { 0x3EDFB070F8292A78, "supplydropprice" },
    { 0x177347552E2B91B3, "supplypackmonitor" },
    { 0xFCBC5BD127DBBAF2, "support_box_delay_max_ammo_hint" },
    { 0xE88137C12104170B, "support_box_get_close_anim_length" },
    { 0x4D4FF0E1D8F6ECA7, "support_box_get_open_anim_length" },
    { 0xEBFD5C5FF98E0425, "support_box_is_scriptable_model" },
    { 0x8245DCFBD673F956, "support_box_make_entity_usable" },
    { 0xC44D895447F98226, "support_box_spawn" },
    { 0x1D544A61911F249F, "support_box_update_hint_logic" },
    { 0x21FD9A6DFFE7A3FB, "support_box_use_logic" },
    { 0x15EE39B349D0D78B, "support_equipment" },
    { 0x3DE7775DD7210C6A, "support_equipment_og" },
    { 0x738F73C62042B718, "support_marine_ied_street_stayahead_behavior" },
    { 0x625D98FEBB293437, "support_mortar_tube" },
    { 0x38C348B05C3B8DE9, "support_update_hint_logic" },
    { 0x310F340D681F5D6D, "supportbox" },
    { 0x6BA326AB649377E2, "supportbox_addheadicon" },
    { 0x8D86CCFD2D391F89, "supportbox_addobjectiveicon" },
    { 0x0F2D2E6387D5F362, "supportbox_addowneroutline" },
    { 0xF19B0E2F411B4820, "supportbox_bulletdamagetohits" },
    { 0x790B20CF37FAACB4, "supportbox_canusedeployable" },
    { 0xEC5B7A44BB2D50B1, "supportbox_delete" },
    { 0x493229B9FB0654E8, "supportbox_destroy" },
    { 0x5ACDC024D15898C9, "supportbox_empapplied" },
    { 0xDCC76076C5E7D8FB, "supportbox_explode" },
    { 0x37355F3E28E38D37, "supportbox_explosivedamagetohits" },
    { 0x94DB872899ED9843, "supportbox_getcloseanimduration" },
    { 0x1C9D725C3FFFE514, "supportbox_getdeployanimduration" },
    { 0xDAC3615D272128B0, "supportbox_getuseanimduration" },
    { 0x2A4485511F46DB0F, "supportbox_givepointsfordeath" },
    { 0x0EC8E69BE53399F2, "supportbox_givexpfortrigger" },
    { 0x3D91DCD567BC3125, "supportbox_givexpforuse" },
    { 0x7E862FDCFD565425, "supportbox_grenadelaunchfunc" },
    { 0x8F2404D3A0668961, "supportbox_handledamage" },
    { 0xF2222228AEAD1B3F, "supportbox_handledeathdamage" },
    { 0x50D1A2BBFFA48A67, "supportbox_handlefataldamage" },
    { 0xA42346A97A4D3332, "supportbox_handlemovingplatforms" },
    { 0x6A58F43D6147D721, "supportbox_hideandshowaftertime" },
    { 0xE92C86B3E1E253EC, "supportbox_init" },
    { 0xC5E6BABBDD66DD9D, "supportbox_makedamageable" },
    { 0x4CCE36A0AB7214A8, "supportbox_maketriggerable" },
    { 0xB0DC675FECCCDE81, "supportbox_makeuntriggerable" },
    { 0x0F36D1D3D6041033, "supportbox_makeunusable" },
    { 0xFD3FFB8F4DBD91E0, "supportbox_makeusable" },
    { 0x96168FB24A14E05D, "supportbox_modifydamage" },
    { 0x733E6B0DB6B78E24, "supportbox_ondeploy" },
    { 0x137D832B7AC55C0D, "supportbox_ondeployinternal" },
    { 0x24115A952B143784, "supportbox_onmovingplatformdeath" },
    { 0x059191D2749CF696, "supportbox_onplayertrigger" },
    { 0xDF65A7BF51F9DB69, "supportbox_onplayeruse" },
    { 0xE3CB8FB8CAC3DFF4, "supportbox_onplayeruseanim" },
    { 0x0357E6BDA1004F75, "supportbox_onusedeployable" },
    { 0x677AC790086CE7DD, "supportbox_playercantrigger" },
    { 0xD08F75863A52CC42, "supportbox_playercanuse" },
    { 0x4E4B3DADCAA97F0A, "supportbox_playusesound" },
    { 0xE94951E9135E5F0D, "supportbox_removeheadicon" },
    { 0xB3B3434C41D66CD0, "supportbox_removeobjectiveicon" },
    { 0x4154E3701A8521F5, "supportbox_removeowneroutline" },
    { 0xC15213BB8605E2D3, "supportbox_unset" },
    { 0x88ADACBE610584D0, "supportbox_updateheadicon" },
    { 0x5BC97F15B96BA3F3, "supportbox_updateheadiconallplayers" },
    { 0x8F86FA7D2BF6AEF4, "supportbox_updateheadicononjointeam" },
    { 0x80DBBB80D8E9872E, "supportbox_updateplayersused" },
    { 0x37E98A65A940BE41, "supportbox_updateplayerusevisibility" },
    { 0xF53981275BAAA69F, "supportbox_used" },
    { 0xC6AB57BEA6B21208, "supportbox_usedcallback" },
    { 0xB60BC5B78D91CF18, "supportbox_waittill_notify" },
    { 0xDA9AA9D2423BCB4C, "supportbox_waittill_removeorweaponchange" },
    { 0xE80D72B7C2983B9C, "supportbox_watch_flight" },
    { 0xEB4363C169AE1ECF, "supportbox_watchallplayertrigger" },
    { 0x37CDB061B4736120, "supportbox_watchallplayeruse" },
    { 0x6E77497547350C43, "supportbox_watchdisownedtimeout" },
    { 0xDEACD2AA62A9BCB2, "supportbox_watchdisownedtimeoutinternal" },
    { 0x689F27BAEDEA662C, "supportbox_watchplayertrigger" },
    { 0x4825BF1D5BE37B33, "supportbox_watchplayeruse" },
    { 0x6230C3D406387962, "supportbox_watchplayeruseinternal" },
    { 0x11C6D5369E254864, "supportbox_watchplayerweapon" },
    { 0xD01BF5C50D644E23, "supportboxmaxammo" },
    { 0xF2CF16FCEED76942, "supportboxunset" },
    { 0x3949E2A38CB45826, "supportcranked" },
    { 0x0C952F420F0E22B7, "supportdrones" },
    { 0xC0F39FCFA99ACE6C, "supportintel" },
    { 0xC0278FDD9FA3FF51, "supportnuke" },
    { 0xCC7E0599937617C1, "supportsothercapture" },
    { 0xF44923D6D0E1D766, "supportsownercapture" },
    { 0x53736EF289B9BD1B, "supportsreroll" },
    { 0x8CFA3F59D9C43D00, "supportstraversearrival" },
    { 0xAC69306BA6B0716E, "supportturret" },
    { 0x0756026933BBD451, "suppresionfire" },
    { 0x26F2ABC510258097, "suppress_numgoodtracesneeded" },
    { 0x083E8F5DC0C71CFE, "suppress_reminder_last_time" },
    { 0xA3992807DEE72104, "suppress_spawn_vo" },
    { 0xFCFC4BE81D62A08B, "suppress_uselastenemysightpos" },
    { 0x38C11C55EBD3995F, "suppressdamageflash" },
    { 0x8F3A9A43442E4FF3, "suppressed" },
    { 0xC32DBD4AF9AF19A0, "suppressedgunner" },
    { 0x0618D80E54468286, "suppressedlaser" },
    { 0x5C765F6CDA43FE2A, "suppressedtime" },
    { 0xF2017EB43486DB3D, "suppressedturret" },
    { 0x4E4773552C3DBE52, "suppressingenemy" },
    { 0xCEF4B60AEFD3178F, "suppressingfiretracking" },
    { 0x645280EF1A4C07FC, "suppression" },
    { 0x15BBAFDD618A39FD, "suppressionTime" },
    { 0x87449D4D6972B2DE, "suppression_end" },
    { 0x74FFC9E02C54CD0D, "suppression_monitor" },
    { 0x084CA4B2BF3CF7FD, "suppression_numgoodtracesneeded" },
    { 0x394080F811B7DE05, "suppressiondecrement" },
    { 0xF388516A48A9B714, "suppressionduration" },
    { 0xEA9ECAF1968E62FA, "suppressionmagnitude" },
    { 0xB45139397DB75205, "suppressionmeter" },
    { 0x2A31C4D11CEAA4E9, "suppressionstarttime" },
    { 0x3EA227CF5C187D9F, "suppressionthreshold" },
    { 0x6CA8792122445F7D, "suppressionwait" },
    { 0x914711C8B7D87D35, "suppresstimeout" },
    { 0xC021069279F014B1, "suppressvehicleexplosion" },
    { 0x37E39CA6BEE98A0C, "suppresswaiter" },
    { 0x55086D50EB427796, "supress_sniper" },
    { 0x4005A6E7B110FD93, "supressburnfx" },
    { 0xE88E7FBB5BA524D5, "supressdamageflash" },
    { 0x186E32451A2D3C35, "surface_effects" },
    { 0xF6C64E50D1E652A3, "surface_speed_index" },
    { 0x6059BF1AEE670CC0, "surfacetype" },
    { 0x71AAAC44D7B06C91, "surprisedbymedistsq" },
    { 0xF1C1B21E137C5526, "survival_ai_manager" },
    { 0xC0D1F5ED09C51FAB, "survival_wave_struct" },
    { 0x5AE85B91C5B007A0, "survivalstarttime" },
    { 0x1835799C1B242A19, "survive" },
    { 0x988766244539D8CC, "surviveanimallowed" },
    { 0x37292CA74BFA3066, "survivoralivescore" },
    { 0x376648D426E60E81, "survivorlethal" },
    { 0x12021D5F93E3338B, "survivorprimaryweapon" },
    { 0xAADCB62ACD008BB5, "survivorscoreevent" },
    { 0x21ED1278553C8203, "survivorscorepertick" },
    { 0x2CEA226711D7D486, "survivorscoretime" },
    { 0xAA4C28F1ECDD6B1F, "survivorsecondaryweapon" },
    { 0x4FC3EDA45CB805BD, "survivorstreakoverride" },
    { 0x58317018D89372D6, "survivorsuper" },
    { 0x4CD07A2663B9F544, "survivorsupertwo" },
    { 0x6BB34DBBF0009B8A, "survivortactical" },
    { 0x52929E9A5BA58F41, "suseduration" },
    { 0x2D1A26CB57A37653, "suspend_at_end_path" },
    { 0xF508512BAF40777A, "suspend_beckon_poppies_start" },
    { 0x14AA7F579B19ABA1, "suspend_drive_anims" },
    { 0x6C1B4F4266457CC2, "suspend_driveanims" },
    { 0x25CBDD7B4BCAC3F0, "suspend_sd_role" },
    { 0x51EC8A077DFD5026, "suspended" },
    { 0x710204B92D20C3C5, "suspended_ai" },
    { 0xFF3AE94EB8C72B61, "suspendedvehiclecount" },
    { 0xA69B96E910CE177B, "suspendedvehicles" },
    { 0xD4BD0A0A4F0CC776, "suspendtime" },
    { 0x905567D93289CA3D, "suspendvars" },
    { 0x002E6622018C35AD, "suspendvehicle" },
    { 0x1513E4B058E2B8E8, "suspensemusic" },
    { 0x86EE952F6D9AAEB0, "suspensemusic_reset" },
    { 0xC3E89728CDABD34B, "suspicious_door" },
    { 0x0BA2904C18888290, "suspicious_door_found" },
    { 0x78B031B80153FA32, "suspicious_door_monitor" },
    { 0x24F209357A6A1733, "suspicious_door_sighting" },
    { 0x5A0DB74E648CA92C, "suspicious_door_stealth_check" },
    { 0x50003D16C9AD51E4, "suv_enter_compound" },
    { 0x0828DEB7AD90E8E2, "suv_patrol_comment" },
    { 0x0D88A535D3863537, "suvdriver" },
    { 0xB65102CE5740AF3B, "suvpassenger" },
    { 0xD7AD3E462E932084, "swab_add_fov_user_scale_override" },
    { 0xC4694318EF93B93D, "swab_remove_fov_user_scale_override" },
    { 0xC37DDEB16CA7D6C2, "swap" },
    { 0xF55FAB00D3D985EA, "swap_3f_anim" },
    { 0xA88A117BA52CB98C, "swap_access_card" },
    { 0x1435E3496007121E, "swap_barkov_model" },
    { 0xEB420ACA8960B055, "swap_card_reader" },
    { 0x1E70381B20B1A6A1, "swap_clip" },
    { 0xA91576895A13EADC, "swap_dmg_trig" },
    { 0x036B60B05F684FF6, "swap_glowstick_when_player_isnt_looking" },
    { 0xF73594D52621C7FC, "swap_kyle" },
    { 0x176E41DA9B2DF094, "swap_player_ar" },
    { 0x544A9E4B1439867B, "swap_shell" },
    { 0x375E0E0C4B9CA1B0, "swap_to_fake_cpapa" },
    { 0x45D9D6E73B9AB1CA, "swap_to_farah_ak" },
    { 0xA09302AB3F109F76, "swap_to_farah_frag" },
    { 0x0C808CCD5D8EACF5, "swap_to_farah_pistol" },
    { 0x8A2DA3CFAE3FDA05, "swap_vehicle_for_scriptable" },
    { 0x4A62EF163BA23DA1, "swap_weapon_to" },
    { 0xF7D698B44AB26E00, "swapcoverselector" },
    { 0xAED3E73DFCD72CC4, "swaphelifordrivable" },
    { 0x76167D9FCB15B86E, "swaploadout" },
    { 0x6EBA7D172E39D836, "swapped_car" },
    { 0xC02476779F58DEFB, "swappedcoverselector" },
    { 0x6125169C88899394, "swapswitchstatus" },
    { 0xA0B59205449919B2, "swaptostaticmodel" },
    { 0x36E77826769AD78D, "swapviaarraylocations" },
    { 0x2E904B4589E464CB, "swayingcord" },
    { 0x39D52E41DA84D1B2, "swayingcrate" },
    { 0xECB7C97381742F16, "sweapon" },
    { 0x38DE6AB4CE291355, "sweep_aim_points" },
    { 0x5883241C4CE1D074, "sweep_fire_target" },
    { 0x8FADA7D512D47A20, "sweepc4" },
    { 0x0D4C2D27CEDA7097, "sweepclaymore" },
    { 0x7ABC95869B23B1CE, "sweepfiretarget" },
    { 0x96CDD898405708C8, "sweepgas" },
    { 0x0253C4454F5C70D9, "sweeptrophy" },
    { 0x447567749800ED7B, "swimmer" },
    { 0x0937CD3249A4F7B5, "swing" },
    { 0x092EBF32499ABA3D, "swipe" },
    { 0xF538D0919DAE84CA, "switch_case" },
    { 0x6197D14BC875444B, "switch_color_at_goal" },
    { 0xFC0DE03983D7D044, "switch_color_at_goal_thread" },
    { 0xD6F5A1609ABF6C5E, "switch_disabled" },
    { 0x93C981EC06A4C5AD, "switch_family_team_on_intel" },
    { 0xD4DE721AE52D38F0, "switch_func" },
    { 0xD81B5FAFD50FF35F, "switch_head_to_hood" },
    { 0x8F87DC8E99B1F7F1, "switch_light_fixtures" },
    { 0x0341920614BD129C, "switch_loop" },
    { 0xE9475C898B0A57A4, "switch_marine_color" },
    { 0x497320B4B8B00E42, "switch_marines_from_color_to_color" },
    { 0x4FFF93D562A5A738, "switch_nest" },
    { 0x5C35F71F5D51750D, "switch_path" },
    { 0xF2F2D09A32B43140, "switch_structs" },
    { 0x5363ACBEFA06050E, "switch_test" },
    { 0x72ACE7FD8635006A, "switch_think" },
    { 0x666FE10F59773437, "switch_timer" },
    { 0x66DAD5EBCC945EA3, "switch_to_ac130_if_plane_blows_up" },
    { 0x0608F072F4486615, "switch_to_bodydouble" },
    { 0xAB61862624106359, "switch_to_ground_fly" },
    { 0x2B0C80C15291FE36, "switch_to_ground_player_disable" },
    { 0x620324025E12B03B, "switch_to_ground_player_setup" },
    { 0xD85ED312D84BA3B8, "switch_to_guiding_missile" },
    { 0x1A59C808D7098EBD, "switch_to_proper_zoom_weapon" },
    { 0x4CC3DDE8FF4D5E63, "switch_weapon_from_minigun" },
    { 0xEEDEB3DCA3AE318F, "switchandtakesuperuseweapon" },
    { 0xB9074A03408E78FE, "switcharray" },
    { 0x9E623E8FE412B32A, "switchblade_handle_awareness" },
    { 0x5B521ED319CC39F4, "switchedsides" },
    { 0x9D95BB115520595D, "switchedtohardpointspawnlogic" },
    { 0x405A639C6C050453, "switchents" },
    { 0xB365556BF3E9562F, "switchespaused" },
    { 0xC9F92101BF722912, "switching_teams" },
    { 0x3FFE452EB6DF6836, "switching_teams_arena" },
    { 0xDD0C12E75C9CBAB1, "switchminimapid" },
    { 0x7C9BBFEF75EFD1B9, "switchspawns" },
    { 0xB7F23C702D4E1567, "switchstatus" },
    { 0x3E7A0AB797D47ABF, "switchtodeployweapon" },
    { 0x916903C00C41CFE4, "switchtoexfilweapon" },
    { 0x0BC2D65AF4BB8915, "switchtoexfilweapons" },
    { 0x1E330C8B273F43D3, "switchtofists" },
    { 0x7DBC93C87A574B80, "switchtolastweapon" },
    { 0x9D90DFCA654C2DCC, "switchtooffhand" },
    { 0x472C536F7EC7B13D, "switchtoteammatereviveweapon" },
    { 0xC6228139DB01FC27, "switchtouseweapon" },
    { 0xE4A06A2A93F2D8B0, "switchtoweapon" },
    { 0x23F1E7CDB57DB225, "switchtoweaponimmediate" },
    { 0x08D82A783FE075C6, "switchtoweaponreliable" },
    { 0x780B76E55581238E, "switchtoweaponwithbasename" },
    { 0x702716BC42360FB3, "switchtransientset" },
    { 0xA9C39D55FADC2970, "swivel_dogtag_revive" },
    { 0x4E23C151289FF38E, "sync_bomb_defusal" },
    { 0x695967FBCBC5D0B0, "sync_currency" },
    { 0x25C8BF7A1AAFC4D4, "syncedmeleetarget" },
    { 0x507550F19B0180FD, "synch_attack_setup" },
    { 0x422BF0DBB2454889, "synch_directions" },
    { 0xEA3F2512828899C7, "syncleadmarkers" },
    { 0x253219EEC929A0E1, "synctransients" },
    { 0x60954D1B704F6A6C, "syncxpstat" },
    { 0x694CAABF06FC6EA0, "syringe_finish" },
    { 0xAAB531575D2FDF73, "syringe_finish_crouch" },
    { 0x5610F02797CF038B, "syringe_finish_stand" },
    { 0x61EB067DCAE4A542, "syringe_inject" },
    { 0x54DF90FED9E5A919, "syringe_out" },
    { 0x966E88DFB74CAFBD, "sysprint" },
    { 0x2BD02D04CC698D7B, "system_init" },
    { 0x1F21795E55D6FEDA, "systemfinalized" },
    { 0x4166AB216C7D7520, "systemlink" },
    { 0xAC0E464AC96A79DF, "t" },
    { 0x49A27611D8074122, "t2_combat_nags" },
    { 0xE3F0B3AE68F5F3EB, "t2_doorbuster_enemy_2" },
    { 0xE3F0B2AE68F5F1B8, "t2_doorbuster_enemy_3" },
    { 0xFB6CF95F94988EFF, "t2_enemy_fallback" },
    { 0x1EB71CD15874C2F7, "t2_enemy_update_volume" },
    { 0x2041125D39005D7F, "t2_flood_init" },
    { 0xAB40579BB1856F55, "t2_floods" },
    { 0xC265CB018E1BB027, "t2_manager" },
    { 0x9D183AE2BC9EE45C, "t2_player_pos" },
    { 0x41414FC42436C499, "t2_postspawn" },
    { 0xECAFE9D1A7757574, "t2_update_volume" },
    { 0xB00DE48AF228A38D, "t_poser" },
    { 0x9135F46EE0C00BEB, "table" },
    { 0xA45ED2D8E40621BF, "table_get_names" },
    { 0x7A715819F9E7555A, "table_getaccessory" },
    { 0xC5D27F8D2C570FF0, "table_getaddblueprintattachments" },
    { 0xB04785142EDA17C7, "table_getarchetype" },
    { 0x2DBBF187C7A9AE2E, "table_getequipmentprimary" },
    { 0x0D2559A2FE84FBA2, "table_getequipmentsecondary" },
    { 0xE480B31BCC0C132E, "table_getexecution" },
    { 0x6B77185B263A8ED8, "table_getextraequipmentprimary" },
    { 0x880ECAB7B157AA48, "table_getextraequipmentsecondary" },
    { 0xEAD5B797B7402A12, "table_getextraperk" },
    { 0x9D326BF193068E83, "table_getgesture" },
    { 0x9D6AF714A043CAEA, "table_getkillstreak" },
    { 0x96D9CD587C2D84CB, "table_getloadoutname" },
    { 0xF71F667C2098099C, "table_getperk" },
    { 0xAAF652ACD3528AF8, "table_getrole" },
    { 0x825E100CAC086F49, "table_getspecialist" },
    { 0x6381872441164D13, "table_getsuper" },
    { 0x2C45EAF3C4BF69BC, "table_getweapon" },
    { 0xFB0ACC10DBB238B9, "table_getweaponattachment" },
    { 0x147D4665FEE222AC, "table_getweaponcamo" },
    { 0x6FCAC230EDF91A44, "table_getweaponreticle" },
    { 0xA40E23A49A062388, "table_getweaponvariantid" },
    { 0x3FE8CE012B5C760F, "table_knockdown_handler" },
    { 0x63DE93389D84B585, "table_look_up" },
    { 0xCFCB7D8B6F312CAF, "table_origins" },
    { 0xB05BDEC6B4664AFE, "table_parseweaponvariantidvalue" },
    { 0x423A9E02F7B79BDF, "tabledatabyref" },
    { 0x55AD4A41F3A2D39B, "tableexists" },
    { 0x0BE25726970CE125, "tablelookup" },
    { 0x9D5C543E46BFFF30, "tablelookupbyrow" },
    { 0xA65CB634D219D426, "tablelookupgetnumcols" },
    { 0xBABEC7BA46116D58, "tablelookupgetnumrows" },
    { 0x537CA7C0411D6F25, "tablelookupistring" },
    { 0x22D291A87E05E930, "tablelookupistringbyrow" },
    { 0x1B7667ECB41EC4B9, "tablelookuprownum" },
    { 0x8EF75EF2844772B0, "tablelookuprownum_reversefromrow" },
    { 0x21FBC21924541FC2, "tablelookuprownum_startfromrow" },
    { 0x2FA6FFDE31539022, "tablelookups" },
    { 0x05BF4F2DE69C0A33, "tablesort" },
    { 0x19B42ED846598EAD, "tablet" },
    { 0x8C156E1B5EEA579C, "tablet_enabled_check_dvar" },
    { 0x79509A8C8EA522DB, "tablet_gsc_stow" },
    { 0x2C9501EBC79595A3, "tablet_location_obj_idx" },
    { 0xEB30F0D21726EBF8, "tablet_lua_stow" },
    { 0x452623395F477A2C, "tablet_lua_stow_in_progress" },
    { 0x9F4E72ED05E4B558, "tablet_monitor" },
    { 0x90CEE2506DA137C3, "tablet_monitor_location_button" },
    { 0x2F00EA6372C5591A, "tablet_out" },
    { 0x2DB2DA5640894AD5, "tablet_ready" },
    { 0xCC920CE140FF3217, "tablet_stow" },
    { 0x48E25380FF634627, "tablet_target" },
    { 0xF63BE3A76FDE237E, "tablet_targeting_off_monitor" },
    { 0x780A90F29033FE2A, "tablet_targeting_on_monitor" },
    { 0x17536B1CAA6A8526, "tabletdofset" },
    { 0xE7DEDD464BA83515, "tablethide" },
    { 0x07B1AED3FB590B71, "tabletids" },
    { 0xEEF88431865A0D3D, "tabletinfo" },
    { 0xEF3A9B3186A2D96B, "tabletinit" },
    { 0xCD2EAC6641CDA5B7, "tabletpartname" },
    { 0xD56F7931EC78114B, "tabletreplace" },
    { 0x1C7CA926492BA743, "tabletreplacefrequency" },
    { 0x9FC46C8F240F81C4, "tabletshow" },
    { 0xEEB9E7197A7F0925, "tablettype" },
    { 0x81E0930865618822, "tablettypes" },
    { 0x82B4E80693C65598, "tabletused" },
    { 0xA844D01427B8FE61, "tablevalues" },
    { 0xE9FDF36F53711BCA, "tac_cover_add_to_list" },
    { 0x04E69E15B03AF079, "tac_cover_adjust_damage" },
    { 0x59AE36032FABBE80, "tac_cover_adjust_for_player_space" },
    { 0x389737FB1BCFB4DB, "tac_cover_blocked_by_turret" },
    { 0x0F8E6D2E155CE689, "tac_cover_can_be_crushed_by" },
    { 0x2972E5B1452FF72E, "tac_cover_can_place_on" },
    { 0x1FDFCD1F9AB65EC5, "tac_cover_cannot_place_on" },
    { 0x58B66059C4286EC7, "tac_cover_coll_handle_damage" },
    { 0x60C6745C323B6D5C, "tac_cover_coll_handle_fatal_damage" },
    { 0x69612F70AB2292C3, "tac_cover_delete" },
    { 0xCCA9CA22293F65CA, "tac_cover_deploy_freeze_controls" },
    { 0xA91F780493A077FF, "tac_cover_deploy_unfreeze_controls" },
    { 0xDB87DC4351CD6FA2, "tac_cover_destroy" },
    { 0xE4B4DFC0695E8DBE, "tac_cover_destroy_internal" },
    { 0x8FA7535B6FB47CD2, "tac_cover_destroy_on_disowned" },
    { 0x02BCF8F1DC959653, "tac_cover_destroy_on_game_end" },
    { 0xD0344F3CF109913A, "tac_cover_destroy_on_timeout" },
    { 0x66E820271FB52B54, "tac_cover_destroy_on_unstuck" },
    { 0x186DD88CF238116F, "tac_cover_entmanagerdelete" },
    { 0xAC586005175D45C8, "tac_cover_fire_failed" },
    { 0x7D1E5F516DF1F75E, "tac_cover_get_deploy_anim_dur" },
    { 0x28BBC7870D20343F, "tac_cover_get_destroy_anim_dur" },
    { 0x0A8B578DCAC37106, "tac_cover_get_free_space" },
    { 0x10EFF36481AC71CF, "tac_cover_get_stuck_to_ent" },
    { 0xA86DB50CAB5FFF22, "tac_cover_give_deploy_weapon" },
    { 0x298BD7600EE38FB4, "tac_cover_give_new" },
    { 0x049949FE8815DC12, "tac_cover_handle_damage" },
    { 0x3AB2CBEF75D74EC9, "tac_cover_handle_fatal_damage" },
    { 0x58A2F95F53A29D07, "tac_cover_ignore_list" },
    { 0xFA5754620AA10FAA, "tac_cover_init" },
    { 0xC36C85D46CBD43E5, "tac_cover_on_destroyed_by_mover" },
    { 0xD354B7AB2EE5D6EE, "tac_cover_on_fired" },
    { 0x27B625D622EA6C2E, "tac_cover_on_fired_super" },
    { 0x6DC4075EB20A14C3, "tac_cover_on_give" },
    { 0xE48CF9FF90A99811, "tac_cover_on_take" },
    { 0xC86C5161FACF1219, "tac_cover_on_take_super" },
    { 0x062AA2625B400A12, "tac_cover_remove_from_list" },
    { 0x01BED4D8C68908DB, "tac_cover_set_can_damage" },
    { 0xFB8C40E1F28BD567, "tac_cover_spawn" },
    { 0x20FB1DEB2EAE4860, "tac_cover_spawn_collision" },
    { 0xEC17B9AF96CFBF09, "tac_cover_spawn_internal" },
    { 0x97CA90B011DD1451, "tac_cover_spawn_with_door" },
    { 0x3F31C3738EBD0774, "tac_cover_take_deploy_weapon" },
    { 0x861C09009CAF931D, "tac_cover_used" },
    { 0x2BC1981BBCBB0E2D, "tac_cover_watch_deploy_failed" },
    { 0x2AC43BDECB36C82D, "tac_cover_watch_deploy_game_ended" },
    { 0x64F3B5E04E4C82E5, "tac_cover_watch_deploy_succeeded" },
    { 0xA7CD4EC3E06849B7, "tac_cover_watch_deploy_weapon_changed" },
    { 0xDD630EE48A82A738, "tac_rover" },
    { 0x1737AA8B8EC19E4B, "tac_rover_cp_create" },
    { 0x23432440CCC3F04F, "tac_rover_cp_createfromstructs" },
    { 0x9E24CB43A87BA1A8, "tac_rover_cp_delete" },
    { 0x53C7EE9AF3D0A129, "tac_rover_cp_getspawnstructscallback" },
    { 0x79F156072D99B0A5, "tac_rover_cp_init" },
    { 0xC47606714ABBB881, "tac_rover_cp_initlate" },
    { 0x7F806F849F224470, "tac_rover_cp_initspawning" },
    { 0xFA96E89F24010D83, "tac_rover_cp_ondeathrespawncallback" },
    { 0xF0B77163F569A161, "tac_rover_cp_spawncallback" },
    { 0x444E93A0A1F4F6A6, "tac_rover_cp_waitandspawn" },
    { 0x9128DFC7C3F04D5D, "tac_rover_create" },
    { 0x2C4D5B285240781E, "tac_rover_deathcallback" },
    { 0xB2D9C481082C2A6C, "tac_rover_deletenextframe" },
    { 0x36E60DA2CC568AF2, "tac_rover_enterend" },
    { 0x1C315501377057BF, "tac_rover_enterendinternal" },
    { 0x96C47428EE964A2A, "tac_rover_exitend" },
    { 0x4BC181C5BF63C817, "tac_rover_exitendinternal" },
    { 0x51C4A0463D5F78C6, "tac_rover_explode" },
    { 0xF5118B4AC8770F47, "tac_rover_getspawnstructscallback" },
    { 0x8A412A06AD6B41E0, "tac_rover_horn" },
    { 0xE70DE8F226703C73, "tac_rover_init" },
    { 0xC9AD59786C43F4B5, "tac_rover_initcollision" },
    { 0x37D69FC1D1A2B942, "tac_rover_initdamage" },
    { 0xEE01DAAAEA878555, "tac_rover_initfx" },
    { 0x3FD73859A2218969, "tac_rover_initinteract" },
    { 0x1FC800747BFC4BAF, "tac_rover_initlate" },
    { 0x0EC6AF458170599C, "tac_rover_initoccupancy" },
    { 0x6EDD885FCC8F44A5, "tac_rover_initomnvars" },
    { 0x1D55D11E786D805A, "tac_rover_initspawning" },
    { 0x4502EE2ACA8AEF3D, "tac_rover_mp_create" },
    { 0xB317BEAF7E4463CA, "tac_rover_mp_delete" },
    { 0xEC75B5C9CEE6C3A7, "tac_rover_mp_getspawnstructscallback" },
    { 0x60E946D68A6CB853, "tac_rover_mp_init" },
    { 0xEF1A41563B2F493A, "tac_rover_mp_initspawning" },
    { 0x9E52CA95BDAC98DD, "tac_rover_mp_ondeathrespawncallback" },
    { 0x69DA6DDBBB86BDC3, "tac_rover_mp_spawncallback" },
    { 0x7DB5EC1342EA5634, "tac_rover_mp_waitandspawn" },
    { 0x4A528E7F5FC99C83, "tac_rover_trail" },
    { 0xB29F7E8271ACF569, "tacadsactive" },
    { 0x715B5158B87C5CAF, "tacadsstop" },
    { 0xF73F82A3BBFB9D3A, "taccover_timeout" },
    { 0x72DD9506BC29CB8E, "taccoverbeginuse" },
    { 0x16E11699F7DFA6BE, "taccoverbulletcollision" },
    { 0x8FA731A414220072, "taccovercollision" },
    { 0x99BBF0980F81B677, "taccoverequipdeployfx" },
    { 0xD1654B5BB036CC40, "taccoverfrozecontrols" },
    { 0xFAD43E411D9047C8, "taccoverrefund" },
    { 0x3665F0C3C3F29F83, "taccovers" },
    { 0x0E538CB3B53E13BD, "taccovertriggerblockers" },
    { 0xC84D690297623D07, "taccoverunset" },
    { 0xE78FC412996066D6, "tacinsert_brrespawnsplash" },
    { 0x266D6DBA6DCC4C11, "tacinsert_cachespawnposition" },
    { 0x92DD57A1F01E5F62, "tacinsert_damagelistener" },
    { 0x16796A012DAF0C4C, "tacinsert_delayeddelete" },
    { 0x0ADA2F00E4EAB61A, "tacinsert_deleteontoofar" },
    { 0xD56554C93351DF1F, "tacinsert_destroy" },
    { 0xFFBEE53CDC80EFE4, "tacinsert_destroyongameended" },
    { 0xEB111308D4F5612A, "tacinsert_destroyuselistener" },
    { 0x4A4C1A80B52D0634, "tacinsert_empapplied" },
    { 0xB15FD788B00EAC0C, "tacinsert_enemyuselistener" },
    { 0x384611AB3126F110, "tacinsert_gamemode_callback" },
    { 0x70BD0EB355E01557, "tacinsert_getspawnposition" },
    { 0xFA23F7211C2BC3DE, "tacinsert_givepointsfordeath" },
    { 0xAA6E63ACE6688634, "tacinsert_handledeathdamage" },
    { 0x329E642BB404FA09, "tacinsert_init" },
    { 0x8E2607D370D42375, "tacinsert_isvalidspawnposition" },
    { 0xDBAE28FDEBDEE110, "tacinsert_modifydamage" },
    { 0xB6BCAE87DDF7ABE2, "tacinsert_monitorupdatespawnposition" },
    { 0x65810FE085B9CC26, "tacinsert_onjoinedteam" },
    { 0x2FE52B4B7830412F, "tacinsert_pickuplistener" },
    { 0x98E3572976E3B635, "tacinsert_set" },
    { 0xD202654FD88747AF, "tacinsert_setupandwaitfordeath" },
    { 0x538A7D8CBBC4039C, "tacinsert_tacinsertdestroyedfeedback" },
    { 0xC2F63FD1AE0578F0, "tacinsert_unset" },
    { 0x870DAB6A86E314F2, "tacinsert_updatedestroyusability" },
    { 0x1B23F41842ED2885, "tacinsert_updateenemyuse" },
    { 0x1731F604127AE2D0, "tacinsert_updatepickupusability" },
    { 0xD2DA811FAFB824D2, "tacinsert_updatespawnposition" },
    { 0x6BEDD8FFC4272206, "tacinsert_used" },
    { 0xF43015102B06DFBA, "tacinsert_uselistener" },
    { 0x6551796313FA8B81, "tacinsertonset" },
    { 0x87EA474EA0A2DE4C, "tacinsertonunset" },
    { 0x43C5BCAA0B8E101B, "tacinserts" },
    { 0x9BDD45D63B3D9B06, "tacmapexplanation" },
    { 0x1317890EE943B758, "tacmapvo" },
    { 0xB596C0116D07261F, "tacopscurrentstate" },
    { 0x68DEDA43EACFCDD2, "tacopsgasrole" },
    { 0x9AD42E32548795DB, "tacopsindex" },
    { 0xFB768754BA101AA7, "tacopskit" },
    { 0x39DEDDEDE04E5443, "tacopskitobjectives" },
    { 0xE9061A022CDF49B3, "tacopskitstationonuse" },
    { 0x1F7D148DC0A97C07, "tacopskitsuseteamupdater" },
    { 0x672F9E1D7E6C5CEB, "tacopslongwaitsec" },
    { 0xFD7FECA192324133, "tacopslz" },
    { 0xA5A491547B9AF121, "tacopsmap" },
    { 0x3FD1D28A83A1E587, "tacopsmapcameraent" },
    { 0x64A87FB7D0B449A9, "tacopsmapselectedarea" },
    { 0xF8A4F5E31E76D6C5, "tacopsmedicrole" },
    { 0xA5714FAB94BB1FE4, "tacopsradio" },
    { 0xC95EE04A2E519E09, "tacopsroundendwait" },
    { 0xA5AA65D56413F1A3, "tacopsroundresults" },
    { 0xA106FA5C9BC44D95, "tacopsspawnbeacons" },
    { 0xB4BCC67A49F354A1, "tacopsspawns" },
    { 0xB66408A9A157C5EA, "tacopsspottedbyteam" },
    { 0x49F2A277A0707AD0, "tacopsstations" },
    { 0x5F90090E68ACCF14, "tacopsstealthrole" },
    { 0x5F1E7B3ECCF91E9D, "tacopssublevel" },
    { 0xE5CA290F8C1993CE, "tacopssubmodetimeron" },
    { 0x94648C6EE923EE1C, "tacopssupplypacks" },
    { 0xB79ABA946B4571E6, "tacrover_mp_initmines" },
    { 0xF01061EBC6836FBE, "tacrovers" },
    { 0xEDD3270B38C53038, "tactical" },
    { 0xB1B7914E956FE3B2, "tactical_boxes" },
    { 0xC4CFB7DB72ED1640, "tactical_crate_spawn" },
    { 0xB3160C81DA2246F0, "tactical_goal_in_action_thread" },
    { 0x05FE53DF53947C9F, "tactical_goals" },
    { 0x7928AC614B4437FC, "tacticalitems" },
    { 0x5BF7F4805BA851CB, "tacticalmode" },
    { 0x5E8729BA984EA5FF, "tacticaltimemod" },
    { 0xF657E5B4CEE3C5F0, "tacticaltype" },
    { 0xE9B083032ACA13A7, "tag" },
    { 0x30BE00AC2516A391, "tag_aim" },
    { 0x74BD6D8A701B49C7, "tag_aim_animated" },
    { 0xB99201288358B432, "tag_aim_pivot" },
    { 0x9D162B9B223A845C, "tag_barrel" },
    { 0x50D312F73DE76924, "tag_blade_off" },
    { 0xF8A8DCAA20B44E14, "tag_body" },
    { 0xA7B787B0D5A01895, "tag_brass" },
    { 0xA386EFA9E300D1F1, "tag_butt" },
    { 0x2B92D594CA51E2CD, "tag_cambone" },
    { 0xB2652AFB23D59EA7, "tag_camera" },
    { 0xB571F6A352E1CBAC, "tag_charge_fx01" },
    { 0xB571F9A352E1D245, "tag_charge_fx02" },
    { 0xB571F8A352E1D012, "tag_charge_fx03" },
    { 0xB571F3A352E1C513, "tag_charge_fx04" },
    { 0xB571F2A352E1C2E0, "tag_charge_fx05" },
    { 0xB571F5A352E1C979, "tag_charge_fx06" },
    { 0xB571F4A352E1C746, "tag_charge_fx07" },
    { 0xB571FFA352E1DF77, "tag_charge_fx08" },
    { 0xB571FEA352E1DD44, "tag_charge_fx09" },
    { 0xB56D71A352DCB156, "tag_charge_fx10" },
    { 0xB56D72A352DCB389, "tag_charge_fx11" },
    { 0xB56D6FA352DCACF0, "tag_charge_fx12" },
    { 0xB56D70A352DCAF23, "tag_charge_fx13" },
    { 0xB56D75A352DCBA22, "tag_charge_fx14" },
    { 0xB56D76A352DCBC55, "tag_charge_fx15" },
    { 0xB56D73A352DCB5BC, "tag_charge_fx16" },
    { 0x33EEB6C7E43CA82E, "tag_clip" },
    { 0x9CCF52550E8709D4, "tag_convoy_with_objectives" },
    { 0x771655094D240CCF, "tag_detach" },
    { 0x4199C222E94BA106, "tag_engine_left" },
    { 0x2C5A0B682DF17F5B, "tag_engine_right" },
    { 0x31ECBF0056EBF0F3, "tag_entity" },
    { 0x70D0AB69D5993257, "tag_eotech_reticle" },
    { 0x6CFAACAC520D1BFD, "tag_eye" },
    { 0xF8FB15A0F9223072, "tag_flash" },
    { 0x7AB4A7933B72E73F, "tag_flash_2" },
    { 0xD86C5C5159FABD90, "tag_flash_entity" },
    { 0xFF1597D6FCC60A06, "tag_flash_silenced" },
    { 0x4879FECAFDA135AE, "tag_flashing" },
    { 0xD3464C4F6CD5FB76, "tag_fx" },
    { 0xE13E76E7D63758A9, "tag_gasmask" },
    { 0x93B81ADC1BB7DCE1, "tag_gasmask2" },
    { 0xD3167B2418C62A48, "tag_getting" },
    { 0xE87E33B0691CBC7D, "tag_glass_ads" },
    { 0x6A47FBF72A3221BD, "tag_glass_ads2" },
    { 0x6D0E95B0CB045492, "tag_glass_hip" },
    { 0xDB67D3CE7A861BE0, "tag_glass_hip2" },
    { 0xB87C403F7BD705EC, "tag_heli_with_head_icon" },
    { 0x75EB170ACEBBC1D1, "tag_ik_loc_le" },
    { 0xDBF96D645DD3D378, "tag_ik_loc_le_foregrip" },
    { 0x080EB692ABB80C5E, "tag_ik_loc_le_launcher" },
    { 0xA7693958086DD4C0, "tag_ik_loc_le_shotgun" },
    { 0x469F1D50FA4BC37E, "tag_inhand" },
    { 0x5C41910090BA5704, "tag_intel_with_head_icon" },
    { 0x23A7C34DDB4FD57A, "tag_key_card_with_head_icon" },
    { 0xFBC3F5E6AB9322DC, "tag_knife_fx" },
    { 0xB4BFDF9A3D79E83B, "tag_laser" },
    { 0xC35102514AD1FC28, "tag_launcher" },
    { 0x844A455687E04656, "tag_magnifier_eotech_reticle" },
    { 0x3333B5070E8D95D4, "tag_motion_tracker_bl" },
    { 0x33339B070E8D5CA6, "tag_motion_tracker_br" },
    { 0x3344A9070E9F85CC, "tag_motion_tracker_fx" },
    { 0x3307B9070E5D383A, "tag_motion_tracker_tl" },
    { 0x3C5757607FF31448, "tag_next_flash" },
    { 0xD9E294A12256B60A, "tag_origin" },
    { 0x7215429E9EF2031C, "tag_outline_entity" },
    { 0xC35D1F5400B09E9F, "tag_pile_watcher" },
    { 0x2E1E15D72AA334BD, "tag_player" },
    { 0xE818D6B7ADC6D461, "tag_popout" },
    { 0xB450C7A28A33AA23, "tag_reticle_acog" },
    { 0x22B5AF6F942729DD, "tag_reticle_hamr" },
    { 0x2BE5300C1E3CEF70, "tag_reticle_on" },
    { 0xCB40197497002444, "tag_reticle_red_dot" },
    { 0xD22BCD4C3A1DC6FF, "tag_reticle_reflex" },
    { 0xE742A376CC6A70D2, "tag_reticle_tavor_scope" },
    { 0xDC0F0544D8064AF3, "tag_reticle_thermal_scope" },
    { 0x92F4B066D599D359, "tag_shield_back" },
    { 0x911EE2F634AF31A2, "tag_shotgun" },
    { 0x37DCD7E2871672D9, "tag_show_alt" },
    { 0xC0CED1199D415807, "tag_sound" },
    { 0xE05F69DBA5AB5096, "tag_stowed_back" },
    { 0x486765C6AEA26E0A, "tag_stowed_hip" },
    { 0x6F491DF7BB8246F5, "tag_stowed_hip_rear" },
    { 0x4EFD5A394C337683, "tag_sync" },
    { 0x71471098AC596B16, "tag_to_shoot_from" },
    { 0x5A6232B477E87F3B, "tag_trace_pulse" },
    { 0x68A7F349AB80F02F, "tag_trace_state" },
    { 0x9B7986F42EF80129, "tag_trace_track" },
    { 0x81A8F3F3ADDFAD73, "tag_trace_update" },
    { 0xB9E59D69E981A442, "tag_turret" },
    { 0xDF79B5AE3075600A, "tag_turret_base" },
    { 0xD9FCE4A4871E2BEF, "tag_update_enemy_in_sights" },
    { 0x37616723FA75002E, "tag_usb_with_head_icon" },
    { 0x1C8802A634DDE125, "tag_view_debug" },
    { 0x1C4A87EEC7130C50, "tag_watcher" },
    { 0x5708F549221E339C, "tag_weapon" },
    { 0xC021EAB4113CA572, "tag_weapon_chest" },
    { 0x1CC2C2F741C78C14, "tag_weapon_left" },
    { 0x74CD99640AEB4021, "tag_weapon_right" },
    { 0xB6D19359B4622405, "tag_wheel_back_left" },
    { 0x46404CBE9A9D179E, "tag_wheel_back_right" },
    { 0x1A842DC6B6321641, "tag_wheel_front_left" },
    { 0x5EA8BFEAC19E72A2, "tag_wheel_front_right" },
    { 0x66F7E92C5BF6B583, "tag_wheel_middle_left" },
    { 0x3548D09DB1C0240C, "tag_wheel_middle_right" },
    { 0xCC8E004844E0BBD8, "tagasjailknife" },
    { 0xB503ADEC33B45CF8, "tagautopickup" },
    { 0x77655DFA5EA08956, "tagavailable" },
    { 0xC5E1AE4D30CC5A44, "tagent" },
    { 0xF141A9F474B26DE7, "tagexists" },
    { 0xA7D0724D1A5F6BC1, "tagged" },
    { 0xD34999AD345288E4, "tagged_ads" },
    { 0x922FB98F4B9CFF3B, "tagged_entity_death_cleanup" },
    { 0x05FA5B0EBEB10DDB, "tagged_entity_update" },
    { 0x3619FFBCA7258B6B, "tagged_flickered" },
    { 0xB7988161DB088E03, "tagged_hudoutline" },
    { 0x2AAECCC928556979, "tagged_status_hide" },
    { 0x503B2AA1B901BDA8, "tagged_status_show" },
    { 0xF80A38FD0A2F4860, "tagged_status_update" },
    { 0xE36DC6BC2BCCAD7B, "tagged_time" },
    { 0x7185FE52485D67AF, "tagged_wait_shield_off" },
    { 0xE3C6D3C72B026A02, "taggedassist" },
    { 0xA9F1D9912B91FF08, "tagging" },
    { 0x9897401C402D7997, "tagging_entity_list" },
    { 0x263113FACF505393, "tagging_highlight_dist_fade" },
    { 0x4E44346E26EE6288, "tagging_hudoutline_settings" },
    { 0xBDAB286E8FEA16DB, "tagging_player_init" },
    { 0xC78039E61A7196CD, "tagging_player_stop" },
    { 0xAC2DF0426AE09139, "tagging_player_thread" },
    { 0x763C3E8A37214905, "tagging_set_enabled" },
    { 0x7A200BE3E1A69AB5, "tagging_set_marking_enabled" },
    { 0x6545D8556867C300, "tagging_shield" },
    { 0x4368CAD6B6C4C581, "tagging_shutdown_player" },
    { 0xAE5F58663D3556C9, "tagging_sight_trace_passed" },
    { 0x7D0C6A9F287CBE48, "tagging_sight_trace_queue" },
    { 0xC51877079AFFC1F8, "tagging_sight_traced_queued" },
    { 0x8F20E73E49E5840B, "tagging_think" },
    { 0x98C7A9779CD3E031, "tagging_visible" },
    { 0xEDB1A76AA682EB9A, "tagginginit" },
    { 0x0F105ED597226CC9, "tagleaderwithheadicon" },
    { 0x56728422180D8F72, "tagmarkedplayer" },
    { 0xD420988C9AAA9544, "tagmodel" },
    { 0x9289FD7A4FFEF3E3, "tagmoveto" },
    { 0x468FA4689BC3B9E4, "tagname" },
    { 0x95CBD236A1A9761C, "tagoffset" },
    { 0x45B3607EC0868079, "tagorigin" },
    { 0xB943F3F71A699B3C, "tags" },
    { 0x7D5E977A1E838BAD, "tags_carried" },
    { 0x32F4710C5AB19606, "tags_seen" },
    { 0xF9CCD3819AAD39BE, "tags_seen_by_owner" },
    { 0xA2530FB10FB38247, "tags_to_bank" },
    { 0x88CFB93C0C384A1C, "tags_used" },
    { 0xB660FC0359A5663A, "tagscarried" },
    { 0x14062E5C92C1FABB, "tagsdeposited" },
    { 0xA7FFD27F0DDD7E9E, "tagtaken" },
    { 0x9F121738B0CAD197, "tagteamupdater" },
    { 0x2FC13952DABE15FF, "tagtype" },
    { 0x7D3362FADD1098B4, "taillightleft" },
    { 0x5804E15D2F8DA241, "taillightright" },
    { 0x3D1240C87C2346FE, "taillights" },
    { 0xB90EE1F71A2EEE92, "take" },
    { 0x13BF2D98135225F7, "take_action_slot_weapon" },
    { 0xF0C1BF70B8FE0C2A, "take_ai_weapon" },
    { 0xD95DB591F916D74C, "take_all_currency" },
    { 0x6184C2B8D79280B6, "take_amped" },
    { 0x9701A0FF5C894966, "take_away_players_gunshipmunition" },
    { 0xBA17FCD125251F24, "take_away_special_ammo" },
    { 0x1FAD81093E263B07, "take_beam_ammo" },
    { 0x4D4D97466CB7E96B, "take_color_node" },
    { 0x5544CC3F92EB2AD8, "take_control" },
    { 0xBF1BF890AE6B5178, "take_cover_near_hvt" },
    { 0x1D0D95A11FC8CB83, "take_fists_weapon" },
    { 0xFD44AFA40180A19C, "take_green_beam" },
    { 0x494667CC543032E8, "take_intro_items" },
    { 0xA3D41E746A2FE0D1, "take_laststand" },
    { 0xB6C56FC715AC10B2, "take_melee_weapon" },
    { 0xB21C3EF04B03EA6F, "take_off_loop" },
    { 0x539AF1E8F996A305, "take_offhand" },
    { 0xCE7CDA853A1C92E1, "take_out_armor_nags" },
    { 0xEAEA3585B337A8F8, "take_player_currency" },
    { 0x77970A73F59C94E9, "take_player_money" },
    { 0xABECA5CE934FEA37, "take_player_offhand_by_name" },
    { 0x72F31BC95A76C9F6, "take_player_out_of_rig" },
    { 0x6C1FBF02748121B8, "take_restock" },
    { 0xE11356D822AA4978, "take_screenshots" },
    { 0x25A9582EC5DCE50E, "take_shrapnel" },
    { 0xB62D695F9CF5F632, "take_skill_points" },
    { 0x1E41F241FBBE0374, "take_time_away_from_bomb_vest_timer" },
    { 0xDCD2501724D32E77, "take_tune_up" },
    { 0xD1AFD4BAD5C05A97, "take_weapon" },
    { 0x5BA096C660881117, "take_weapons_away" },
    { 0xDBB10E89BBDC8DAE, "takeaccesscardpickup" },
    { 0x947D52379684AAE2, "takeallweapons" },
    { 0x27DDB2E5C13B22F8, "takeallweaponsexcludemelee" },
    { 0x6F594A6F4AFDF3A8, "takeammopickup" },
    { 0xD566E016D5AAF401, "takearmorpickup" },
    { 0xF5FF6F555B38A901, "takecover" },
    { 0x38F4F550446084D3, "takecoverwarning" },
    { 0xA53F30E880B0453F, "takedamage" },
    { 0x0CB255A451EF74B2, "takedown_animatedenemydeathlogic" },
    { 0x0715B8AC2B6AB462, "takedown_animatedsceneendguardlogic" },
    { 0x06C549E5075C3E3F, "takedown_animatedsceneenemydamagelogic" },
    { 0xBAAF27D026A6CD9C, "takedown_animationbreakoutlogic" },
    { 0x61B988CC559276FF, "takedown_animationbreakoutnotifylogic" },
    { 0x8C37601F2F0E54CB, "takedown_animationlogic" },
    { 0x8FA206F3EBEBCF3E, "takedown_available" },
    { 0xDC19508F08A06444, "takedown_getanimationstruct" },
    { 0x803CB8869F64C955, "takedown_getdoor" },
    { 0x6EC3E99D05268643, "takedown_getfarahnode" },
    { 0x79BB708B977AC566, "takedown_grenade_monitor" },
    { 0x7A1F8625BB7D16DD, "takedown_guards" },
    { 0x6DB4061D53D4E6C1, "takedown_hostages" },
    { 0x2968E65AD4B43CDE, "takedown_main" },
    { 0x25769F9C98DF1FA5, "takedown_spawnanimatedenemy" },
    { 0x633E91939D16A285, "takedown_start" },
    { 0x3B7374E37DE3CF0F, "takedown_victim" },
    { 0x0B3165B5C1C3546B, "takedown_wrapup_logic" },
    { 0x43C8CD078903E4C2, "takeequipment" },
    { 0x7094238F08266286, "takeequipmentpickup" },
    { 0x7D4E072F600821E9, "takefists" },
    { 0xDC2EB03AA44B5D8F, "takegasmask" },
    { 0xD747FB643A3E8B83, "takegenericgrenadepickup" },
    { 0x34756FA1BE62EF4F, "takegoproattachments" },
    { 0x0D5B5EF402BB6E69, "takegunless" },
    { 0x66D1C64AD628054A, "takegunlesscp" },
    { 0x44B33C6E9C57412F, "takehelmet" },
    { 0xF1A56638066DFD1B, "takeholywater" },
    { 0x032582930937ED30, "takekillstreakpickup" },
    { 0x4664C0E764DC8025, "takelaststandtransitionweapon" },
    { 0x3357E7BB3333FCDC, "takeloadoutatinfilend" },
    { 0x2AA9EE6E95379434, "taken" },
    { 0xF990D7C99CE0A78D, "taken_damage_for_molotov_achievement" },
    { 0xDFCFD94514886F69, "takeobject" },
    { 0x1EE0A650B55026EF, "takeoff" },
    { 0x79B31F8EA66896E9, "takeoff_turbulence" },
    { 0x82EF860F413E1D2E, "takeperk" },
    { 0x97C701670FBA623C, "takeperkpointpickup" },
    { 0x211E602E8F84B515, "takeplayerweaponaway" },
    { 0xE0FB64225748E884, "takeplunderpickup" },
    { 0x218538DF6CE537F3, "takequestitem" },
    { 0x6502CB4C3DAE366C, "takequesttablet" },
    { 0x0CD4D7CF861A021A, "takerateye" },
    { 0x7E42FD827FEDF63F, "takerespawntokenpickup" },
    { 0x491F869C2782EA5F, "takerevivepickup" },
    { 0xFD1D6180C8C66851, "takeriotshield" },
    { 0xFF1F806543467EBB, "takesupergunout" },
    { 0x5BD6762020606319, "takesuperpickup" },
    { 0x5910CC1FDE02F46B, "taketeamplunder" },
    { 0x8F63B9EF7BD16992, "takeutilitypickup" },
    { 0xCFC1B1FDE0D91D12, "takeweapon" },
    { 0x94DD83C9144AC036, "takeweaponpickup" },
    { 0x4E17BD9C32CF4212, "takeweaponsdefaultfunc" },
    { 0xFF6B75DE0093AA13, "takeweaponsexceptcurrent" },
    { 0xEF3AE1DA59DF4557, "takeweaponwhensafe" },
    { 0x10C57D72DD145091, "takeweaponwhensafegungame" },
    { 0xF2E34658A1CCCE85, "takeyoungfarrahpistol" },
    { 0x8E822BE353AE1248, "takinggunless" },
    { 0x07E1B4904F22A625, "talk_for_time" },
    { 0xF20A8B48B88D4EA8, "talk_to_hadir" },
    { 0x4667F4E84D635184, "tall_grass_birds" },
    { 0xA6493C3F32FF4186, "tall_grass_catchup" },
    { 0x9477D0842A50C689, "tall_grass_main" },
    { 0x1C2BF30B13960C50, "tall_grass_start" },
    { 0xE9B07A032AC9FFDC, "tan" },
    { 0xEC18AABBC74F28D1, "tango72_get_length" },
    { 0x1EDD8A6AF6ED8E72, "tango72_init" },
    { 0xB15F7EB61BBDD09F, "tango72_spawn" },
    { 0xCF3AE12FAEF96232, "tango_infil_radio_idle" },
    { 0xB91C0BF71A3D5F75, "tank" },
    { 0x78ED6B3F772B1F5D, "tank1_rpg_guys" },
    { 0x560D976EB4F88925, "tank2" },
    { 0xC8176A384A57E8D1, "tank_aim_at" },
    { 0xA7009598CC8EB3D0, "tank_arrive_and_fire" },
    { 0xAC140326FBAFAEC9, "tank_battle_test" },
    { 0x5667E91C3D37DE62, "tank_canseetarget" },
    { 0xE10F49C01B8A52FA, "tank_check_for_damage" },
    { 0xF4F18CAB18A9D494, "tank_check_player_firing" },
    { 0x1E897042BBC47A59, "tank_checkspawnpoint" },
    { 0x0A831F0777CCB079, "tank_damage_hit_markers" },
    { 0xDFBD1E2C40BC144C, "tank_death" },
    { 0xC8FD9A525DA0868D, "tank_deaths" },
    { 0x7D5B0226D85DC9A2, "tank_delayairburstscriptabledeath" },
    { 0x72D021683D656880, "tank_destroy" },
    { 0x9583CED04E0A975B, "tank_destroycallback" },
    { 0xF36295281B244862, "tank_die_from_explosives" },
    { 0x1336B394FE29C258, "tank_die_from_turret_damage" },
    { 0xC55D37B8926914C8, "tank_disableriderprompt" },
    { 0x7CD21DABE39C4070, "tank_disableturretforfutureenemies" },
    { 0x199327B1A7AD5D1A, "tank_disableturretuseforenemies" },
    { 0x2DE3C9DC2F92A9E6, "tank_do_extra_damage" },
    { 0xC647638E79F46FB0, "tank_driverexit" },
    { 0xAFC8F5CE5B6C6513, "tank_durations" },
    { 0xDDA52E8644D64513, "tank_earthquake" },
    { 0x20434870CFBE1A27, "tank_east" },
    { 0x75127680B6BDE3D1, "tank_eastturret" },
    { 0x2929D9DE421DAC88, "tank_empcleared" },
    { 0x0A2C1378F82F338A, "tank_empgrenaded" },
    { 0xE2328B07D5EAE2F1, "tank_empstarted" },
    { 0x4F8C11B2A7F3059D, "tank_empupdate" },
    { 0xBDF2620BC1F39595, "tank_enableriderprompt" },
    { 0xE0DDDE5AD305B2B0, "tank_engine_sfx" },
    { 0xFE804603B2FFC89B, "tank_findclosestairbursttarget" },
    { 0xD3ED4A7414A857BB, "tank_findsafedetach" },
    { 0xA4CA9C1A3F1F7013, "tank_findsafespawn" },
    { 0x2AAFEE4FBB06DF88, "tank_finishdropoffsequence" },
    { 0xDAC93DFBEACD6BC9, "tank_fire_disable" },
    { 0x25A0C0D39DE31EF0, "tank_fire_enable" },
    { 0x15C700D063D0013A, "tank_handleairburst" },
    { 0x189B3C772AD1D3D1, "tank_handlehelidamage" },
    { 0x62DE81E84BBB5B6F, "tank_handlehelideathdamage" },
    { 0xD4A7FA1338EA5AF5, "tank_handlewheeldustfx" },
    { 0xBC768FFC1A4AA821, "tank_help" },
    { 0x9CCC4B2227DA9729, "tank_hero_lighting_off" },
    { 0xD02C270B9B2D810B, "tank_hint_message" },
    { 0x2D799326746F028A, "tank_hitmarkers" },
    { 0xB6F715D8DF2A030A, "tank_idle_aiming" },
    { 0x90415CADCD950AE0, "tank_interact" },
    { 0x1DB995130D06C88A, "tank_lockedoncallback" },
    { 0xA2DB26870FF8B350, "tank_lockedonremovedcallback" },
    { 0x18BA6A9B974B79CC, "tank_logic" },
    { 0xFCAE0F0B0139FE6E, "tank_modifydamageresponse" },
    { 0x842752B581BED7C6, "tank_modifydamagestate" },
    { 0x1FD6E939B2847DAD, "tank_modifyhelidamage" },
    { 0xB662A4DB27021FAF, "tank_moveup_nag" },
    { 0x07E4E9F8673850CC, "tank_oncontested" },
    { 0x8EC35475833A2F89, "tank_onuncontested" },
    { 0x0EE3799194A3DC04, "tank_onunoccupied" },
    { 0x7334ECA5A16D9ABE, "tank_onuse" },
    { 0xDB2E2D57749D749C, "tank_override_moving_platform_death" },
    { 0xC2258B437374F295, "tank_path" },
    { 0x4970A829739ED2A6, "tank_pick_ai_target" },
    { 0xE87684AA32F211A0, "tank_pick_vehicle_target" },
    { 0xCD5FBF8B7E60FEDB, "tank_playercameratransition" },
    { 0xABE528766D62DE9A, "tank_riderexit" },
    { 0x74AC599D3B5DBB48, "tank_rpg_death" },
    { 0x4EFDEAAA2DE6A91A, "tank_shake_end" },
    { 0x80494B624819D9EF, "tank_shake_start" },
    { 0xD3C8B7A49A317A0D, "tank_shoot_at_target" },
    { 0xA867A4236AC48287, "tank_shoot_target" },
    { 0xD2850A90524F38CA, "tank_shooting_logic" },
    { 0x5CC0B6270A6C5FD6, "tank_shot" },
    { 0xC6C94B639F3AB6AB, "tank_startfadetransition" },
    { 0xF798E2F8D1638CF6, "tank_stop_for_allies_think" },
    { 0xFE10D1832BEDF542, "tank_stop_for_allies_think_debug" },
    { 0xDEB098E16D924BC8, "tank_struct_shoots" },
    { 0x8F6E99E743F6C992, "tank_think" },
    { 0x3AE69B4C25874B20, "tank_turret_get_target_and_fire" },
    { 0xC9EC9B1AF4821509, "tank_turrethandleuse" },
    { 0x1ACD098D7C79B668, "tank_updatehudchassisangles" },
    { 0x8275B1506D515A2E, "tank_updatehudviewstate" },
    { 0x0D9F1CDF19FC518D, "tank_vfx_handler" },
    { 0x515C749510A03CD1, "tank_waittill_death" },
    { 0x227BBDBE4574041A, "tank_waittill_stopped" },
    { 0x9D2A0FDEFEEBDF12, "tank_watchfiring" },
    { 0x07F81B3D0752D542, "tank_watchforairburstdetonate" },
    { 0x3061BA4BA7B356A7, "tank_watchforgameend" },
    { 0x4BD2EC23E589A5B6, "tank_watchfortimeoutdisowned" },
    { 0x1FA8AF491C83A51A, "tank_watchfortimeoutdisownedendearly" },
    { 0xB8E49AF51A2F11DE, "tank_watchownerdeath" },
    { 0xEB13A4C4A7C53C9B, "tank_watchpiggybackexploit" },
    { 0x5C0366BD8D678AA0, "tank_watchprojectiledeath" },
    { 0x96F7F4444221148C, "tank_watchriderabandon" },
    { 0xD6A0BA6DC9FDCE5D, "tank_watchriderautodismount" },
    { 0x6D245C9A07EC9448, "tank_watchridermount" },
    { 0x0A8320E4CCF035BC, "tank_watchriderturn" },
    { 0x91967B5C350181B6, "tank_watchstopuseturret" },
    { 0x273B22CE96ACE09D, "tank_west" },
    { 0xBDA08D4BBE601FCF, "tank_westturret" },
    { 0x07F92FE3AD81A079, "tank_x1" },
    { 0x688C990FA047EC2E, "tank_x1_capacity" },
    { 0x07F92CE3AD8199E0, "tank_x2" },
    { 0xA7F58896D6A97391, "tank_x2_capacity" },
    { 0x521FE1C013631CDF, "tankdamfbackheavynum" },
    { 0x6E838C618529D71E, "tankdamfbacklightnum" },
    { 0xD474FEF383A1186A, "tankdroplocaitons" },
    { 0x86B4B6233337395C, "tankdrops_init" },
    { 0x62043EA22530893F, "tankdrops_run" },
    { 0xB979FCDE48EB0E9F, "tankfovcos" },
    { 0xA3D70007B3E14BCE, "tankmovetopath" },
    { 0x78994C3086D9AA76, "tankobjkeys" },
    { 0xDCCAB2524227BBDE, "tankrespawntime" },
    { 0x560D566EB4F7FA32, "tanks" },
    { 0x8A371E670544C6A3, "tanks_help_reminder" },
    { 0x039BA63D6A77A4C6, "tanks_killed" },
    { 0x7A4B97F8A6570D68, "tanks_moveup_hill_shooting_logic" },
    { 0x2336EBB0B7A41138, "tanksettings" },
    { 0x052D18BC7633DFA4, "tankspawncmd_1" },
    { 0x052D1BBC7633E63D, "tankspawncmd_2" },
    { 0x052D1ABC7633E40A, "tankspawncmd_3" },
    { 0xFA76117BA7E0D2B0, "tankspawndom_a" },
    { 0xFA76147BA7E0D949, "tankspawndom_b" },
    { 0xFA76137BA7E0D716, "tankspawndom_c" },
    { 0x2CD96CFC0EAC5247, "tankspawnlocs" },
    { 0x1A2DFD40186BF0BE, "tankspawnlocs_allies" },
    { 0x8467BE2828E78A89, "tankspawnlocs_axis" },
    { 0x5E8CF31865F7D5B0, "tankspeed" },
    { 0xFDE858575A9BEDAC, "tanksquish" },
    { 0xB10CE1087BDEB683, "tanksquish_damage_check" },
    { 0xFCC4C7C22AAF8024, "tanksshouldmove" },
    { 0xBCA8A0DB0E406F6C, "tankstartspawnallies" },
    { 0x32F31AEFAD948B3C, "tankstartspawnalliescmd" },
    { 0xD0E304EF66FA4C88, "tankstartspawnalliesdom" },
    { 0x76F5865AC93EDB0F, "tankstartspawnaxis" },
    { 0xC6CF83B2C1CCDEFD, "tankstartspawnaxiscmd" },
    { 0xB63D71B2B4E5FCF5, "tankstartspawnaxisdom" },
    { 0xD12EEFF5433F8F05, "tankstartspawnneutral" },
    { 0x1D62F04D2FB887C0, "tanktimeoutlist" },
    { 0x1B592EFAC6544A1D, "tanktype" },
    { 0xB0D0D43F66CCB4BF, "tanto_doorway_flood_logic" },
    { 0xADDEF49ABD8FAF9C, "targeffect" },
    { 0x01177ED0D9228142, "targent" },
    { 0xB7E50A5D219435C4, "target" },
    { 0xD520BCD63AF46364, "target_active_fob_watcher" },
    { 0x1F3D041E266E0D2B, "target_actual" },
    { 0xBC08527083E0BB42, "target_alloc" },
    { 0x1532AB528F422B30, "target_anchor" },
    { 0xB790532C192D9102, "target_check_grenade" },
    { 0x027531B26F78EAF9, "target_circle_fov" },
    { 0x24748F0F8EADE27C, "target_circle_radius" },
    { 0xB19CDAF3D3CEDA88, "target_clearreticlelockon" },
    { 0xAEE4A867C8C0A26C, "target_damage" },
    { 0xA0EA6F9E7F619F8D, "target_damage_listener" },
    { 0x6565B2089DF3170B, "target_death_anim" },
    { 0xC97AB7789C4B3065, "target_death_wrapper" },
    { 0xDF464F79A1312F2D, "target_designation_nag" },
    { 0x1C0E6AF3964A230A, "target_dmg_monitor" },
    { 0x203E458AEB564ED1, "target_drawcornersonly" },
    { 0x1BDAB6741B69EA72, "target_drawonradar" },
    { 0x9E139FC990CCDBE8, "target_drawrotated" },
    { 0x4A4069845E9FFA27, "target_drawsingle" },
    { 0xB5BCECDE956B3398, "target_drawsquare" },
    { 0xCAD881FB0BC08447, "target_drop_loot" },
    { 0xDF63D17D99C2047F, "target_enemy" },
    { 0x6F060797AD53D876, "target_ent" },
    { 0xC04D9DCF7D5B882D, "target_ent_cleanup" },
    { 0xE2953E557AA42929, "target_ent_marker" },
    { 0x0B93FE98A046AFA6, "target_entity" },
    { 0x782D53680B3C93C1, "target_first_interacted" },
    { 0xAFE8832CE380D65C, "target_first_interacted_routing" },
    { 0x4C14B8D6487BCE42, "target_flip" },
    { 0xF9B99D44B9E997F1, "target_flip_down_safe" },
    { 0x63152742917AC959, "target_flush" },
    { 0xBF294AA6E2D9BAFF, "target_fob_think" },
    { 0x3F2767B59DD81357, "target_follow_dummy" },
    { 0xFEA4EB725678FEBD, "target_found_dist_sq" },
    { 0xD401BD6DEE6EE137, "target_found_speed" },
    { 0x8BBF612B07840A68, "target_getarray" },
    { 0x83A1C54370031805, "target_getindexoftarget" },
    { 0x20EB71231E7FE3C9, "target_gettargetatindex" },
    { 0xE7C3548019E4B018, "target_group" },
    { 0x7338B05877D1C39C, "target_hidefromplayer" },
    { 0x84DE7FB0591CCC65, "target_highlight_attempt" },
    { 0xF480DD4C61935F2B, "target_hit_monitor" },
    { 0x6471E8DA2CFA9AC6, "target_in_range_and_fov" },
    { 0x70EB1AEC5F3F546C, "target_in_red_circle_think" },
    { 0x01D0F807A98926AA, "target_isincircle" },
    { 0x411C9D55A1AC45C0, "target_isinrect" },
    { 0xC0B60941B91A2B44, "target_istarget" },
    { 0x2F50A6AC20D8683D, "target_located" },
    { 0xE2A145FC2CC1D8EF, "target_locked" },
    { 0x755E70145CD7BBF5, "target_marker_group_id" },
    { 0xFD6FADF70203760A, "target_marker_group_id_list" },
    { 0x0041B39817D7AF16, "target_obj" },
    { 0xF1BC092DD94A77DC, "target_objective_sequence" },
    { 0x0F94325582965B9E, "target_offset" },
    { 0xC8985FFC035B81A5, "target_offsetlocalspace" },
    { 0xD75829ABE499EB37, "target_patrol_path" },
    { 0x5F53709FF9CC67D3, "target_pity_outline_think" },
    { 0x7B8C97BF025E0E6D, "target_play_anim" },
    { 0x3B84D8F0FB339886, "target_play_death_anim" },
    { 0x30F260F8A0BC3A2C, "target_player" },
    { 0x1955A057D5EE06CB, "target_player_start" },
    { 0xEF8D36C692109F14, "target_player_stop_max" },
    { 0xEF6A24C691EA2FC6, "target_player_stop_min" },
    { 0x9541F237CD66EFD0, "target_player_volumes" },
    { 0x6D238E11D7B69759, "target_random_models" },
    { 0x75CDBEEF8ACC3E96, "target_remap_key_value_pairs" },
    { 0x9FE98BC24A686E91, "target_remove" },
    { 0x79B89FE4BB7700A7, "target_requisites" },
    { 0x4C1A2C585284E9C0, "target_restore_idle_anim" },
    { 0xDD8E9A3C4CCE5669, "target_score" },
    { 0x5F5542CE386215ED, "target_script_trigger" },
    { 0x2A63B340F557A68E, "target_select_think" },
    { 0x3C7A539844CA1747, "target_set" },
    { 0x29293C45287D9A68, "target_setattackmode" },
    { 0xAF687D59F60C3AD6, "target_setcolor" },
    { 0xC5C8675432B991F6, "target_setdelay" },
    { 0xB4636CD800891B78, "target_setjavelinonly" },
    { 0x59ECA5C5C0C38EA6, "target_setmaxsize" },
    { 0x70373647E4F963B0, "target_setminsize" },
    { 0x836354CFD37A8781, "target_setoffscreenshader" },
    { 0xBD4CB19962CEEC18, "target_setradarcenter" },
    { 0x525294B169EE099E, "target_setscaledrendermode" },
    { 0xEADCC3BB89E313B2, "target_setshader" },
    { 0x81626C8B7CBA1690, "target_show_damage" },
    { 0x1C830769C5C39858, "target_show_damage_damage_watch" },
    { 0x263B3726AF8A7CF9, "target_show_dist" },
    { 0x9676783B10449A0C, "target_showtoplayer" },
    { 0x0F6EF5DEBF34C689, "target_spot" },
    { 0xC9CEED44DB6DF237, "target_startreticlelockon" },
    { 0xEABF82342BFC09F0, "target_stealth_meter_progress" },
    { 0x88393D18B13DD5EF, "target_think" },
    { 0xBA3A731DA539C478, "target_track" },
    { 0x55D662350D9299E8, "target_wave" },
    { 0x591395ACD967CFE1, "target_waves" },
    { 0x2893ED8DA2903E9B, "target_wavespawning_to_jammer5" },
    { 0xF79F6D94A03B391B, "target_within_range_think" },
    { 0xA8EE8714C9076944, "targetangles" },
    { 0x62D2ACE6F9ADED3F, "targetapcnearbyenemy" },
    { 0xE624A7EFF2B89E99, "targetarray" },
    { 0x639D3BB1534AF4B7, "targetbounty" },
    { 0x8E44A78B91975BAD, "targetbrokelos" },
    { 0x2C354624564FE0CB, "targetdamagethink" },
    { 0x0EC5550C8F6D0B0C, "targetdata" },
    { 0xC49026A202805B79, "targetdefault" },
    { 0xDD13BCBBADB78A32, "targeted_enemy" },
    { 0xEF73A4CC9A43E5B1, "targeted_entities" },
    { 0xB95152DA721F34B8, "targeted_hvt" },
    { 0xA856FE2C0E46CA44, "targetedby" },
    { 0xCD43B794C4917249, "targetent" },
    { 0x32305EEF877A5187, "targethascoldblooded" },
    { 0xE94416530B9A824A, "targethealthinfo" },
    { 0xF98E585DA000AF84, "targethit_effects" },
    { 0x576A2F203DF62E2C, "targethitsinaframecount" },
    { 0x77D7AC954051870E, "targetids" },
    { 0xDE5C168D10B954A4, "targetincrouchfoliage" },
    { 0xB107907AB84C06E0, "targetindex" },
    { 0x77F1C095406DDC14, "targeting" },
    { 0x390840ECD06B22E4, "targeting_delay" },
    { 0xDCFB44C0DE7214B3, "targeting_marker" },
    { 0xDFF59862BF7E9C41, "targeting_player_icon_create" },
    { 0xFADD40F876CFFF86, "targeting_player_icon_delete" },
    { 0x9436D9A314C65673, "targetingplayerflag" },
    { 0x638E2A35C311684E, "targetinpronefoliage" },
    { 0x4308814D754AA168, "targetinstandfoliage" },
    { 0x74B13F31CDF062AE, "targetisnotinmarkingrange" },
    { 0xF3F4563869A140FF, "targetkiosk" },
    { 0xA76BC8C7DC7DD182, "targetlead" },
    { 0xB365652AC3FE6B78, "targetlead_airburstholdthink" },
    { 0x8232355D26B91DCD, "targetlead_airburstmissilethink" },
    { 0x949D21BBDC404535, "targetlead_checktargetstillheld" },
    { 0x93D2999902B40A16, "targetlead_earlyoutthink" },
    { 0x21CD0AE1B0871B04, "targetlead_enterstate" },
    { 0xB7E18EC1FAC1DD20, "targetlead_getleadposition" },
    { 0xF7092634AA91C1CD, "targetlead_getqueuedstate" },
    { 0x4A2EEC31581716E0, "targetlead_getvehicleoffset" },
    { 0xE8430DF810012857, "targetlead_holdstateenter" },
    { 0x7385DD09AEDD6153, "targetlead_holdstateexit" },
    { 0x9FB7B35E92109242, "targetlead_holdstateupdate" },
    { 0xAA01F65C9F150791, "targetlead_init" },
    { 0x0AF9C9FAF72849B7, "targetlead_looplocalseeksound" },
    { 0x2C094FDFE6EC43A9, "targetlead_offstateenter" },
    { 0x61A8E4053C40F329, "targetlead_offstateexit" },
    { 0xEC3CE811DA89C9C8, "targetlead_offstateupdate" },
    { 0xD43330FE4D95DEE6, "targetlead_onstartthink" },
    { 0x54D1C6C34E712546, "targetlead_onstopthink" },
    { 0xA255DE40B2A53DA1, "targetlead_preupdate" },
    { 0x185815FC654ABE53, "targetlead_queuestate" },
    { 0x518F43BF298AFC86, "targetlead_reset" },
    { 0x1C6F3E1322960D42, "targetlead_scanforvehicletarget" },
    { 0x8037073F7EFBCC05, "targetlead_scanningstateenter" },
    { 0x3C862F80ED819F8C, "targetlead_scanningstateupdate" },
    { 0xDA3A19176EA28931, "targetlead_shouldtargetleadthink" },
    { 0xB21CE08D5C0107FC, "targetlead_softsighttest" },
    { 0x488AF9BFC0CB6251, "targetlead_think" },
    { 0x382984B02042CFB3, "targetlead_uimarkentities" },
    { 0x06E2CC8DFBB29F60, "targetlead_uiunmarkentities" },
    { 0x7ABFEFEB9EA89E1B, "targetlead_vehiclelocksighttest" },
    { 0x5644EDF8E2959133, "targetleadusageloop" },
    { 0x7A4C767FD58B5801, "targetmarkergroup" },
    { 0x58481FF2EECC5B16, "targetmarkergroup_addtomarkingqueue" },
    { 0x47D42577B29BD9F9, "targetmarkergroup_clearcacheonspawn" },
    { 0xFF6B91A483ABBF8F, "targetmarkergroup_getownedgroups" },
    { 0xF0F60CACE8904956, "targetmarkergroup_handlemarkingfromqueue" },
    { 0x971FA2D0161FC718, "targetmarkergroup_handleremovequeueondisconnect" },
    { 0x5E6319DB58994B8C, "targetmarkergroup_markentity" },
    { 0x7D51BA05B1E6A3FE, "targetmarkergroup_markplayeronspawn" },
    { 0xDF42311FEAB5AB77, "targetmarkergroup_off" },
    { 0xC261CF4FA1620433, "targetmarkergroup_on" },
    { 0x99ECB97CBE2B5CB7, "targetmarkergroup_removefromgroupaction" },
    { 0x2805CDF39EB58B18, "targetmarkergroup_removefrommarkingqueue" },
    { 0xFBCF53823C111647, "targetmarkergroup_unmarkentity" },
    { 0xF747E52A317EF3AF, "targetmarkergroup_watchfornoscopeoutlineperkset" },
    { 0xE6761DD2A308EAA6, "targetmarkergroup_watchfornoscopeoutlineperkunset" },
    { 0xC336D1B11E32902D, "targetmarkergroup_watchforplayerconnect" },
    { 0x9C23A71FA2CFACB0, "targetmarkergroup_watchmarkonspawn" },
    { 0x3D86498F5D522563, "targetmarkergroupaddentity" },
    { 0x5C07EEB680C50DC9, "targetmarkergroupexists" },
    { 0x0047D1521AA3FBD6, "targetmarkergroupremoveentity" },
    { 0xB9B752A2D5500E55, "targetmarkergroupsetentitystate" },
    { 0x9252E618277ABAAC, "targetmarkergroupsetextrastate" },
    { 0x5F2AFC46598CA2BD, "targetmarklimits" },
    { 0xB3712CC6CB2F22C6, "targetmodels" },
    { 0xE0843910D618A755, "targetmodifier" },
    { 0xCD10F1CB2CCD798C, "targetmovespeed" },
    { 0x27DFEDF925C290BF, "targetname" },
    { 0x95DBD62192D03369, "targetname_string" },
    { 0x5AD4AFF88EBF47E0, "targetnode" },
    { 0xCD4EAC0A796C21C7, "targetnormal" },
    { 0x4D283B9521569CB4, "targetnum" },
    { 0x44EB31500667979F, "targetoffset" },
    { 0x077B93BE1DE506EE, "targetorigin" },
    { 0x129318CDA89A8672, "targetoutline" },
    { 0xDD7748A340238B4C, "targetoutsidegoal" },
    { 0x768C18A85BD26E8C, "targetoverride" },
    { 0x1BCA6BAF179197B9, "targetplayer" },
    { 0x4D4A1DF77BCA7C7D, "targetplayercycle" },
    { 0xDE6CCB958BE4546E, "targetpos" },
    { 0x75DA26A26E5D1F17, "targetposition" },
    { 0x00EB81D0D8F22175, "targets" },
    { 0xC8AFC5C0B69615B7, "targets_and_uses_turret" },
    { 0xF0028EBD1ECDCBE4, "targets_behind_door_callout" },
    { 0x4884B87A66487AE4, "targets_for_remote_detonation" },
    { 0x6D053A8F55565176, "targets_group_think" },
    { 0x8E5F7A49B9598813, "targets_killed" },
    { 0xA22A144FB434D789, "targets_killed_by_hunters" },
    { 0x9F3BA4FEF39234C1, "targets_killed_stat_row" },
    { 0xD709145209FC60F4, "targets_missed_calculate" },
    { 0x2B35A4286291394E, "targets_thinking" },
    { 0xE4ABA5CC45CE7D73, "targetsinouterradius" },
    { 0xF96A0326D66B053F, "targetsite" },
    { 0xDB9FFF656A0283A5, "targetsshot" },
    { 0x20F878B9EB411AE3, "targetstart_extractiongoal" },
    { 0xC4ACE5D2887262E0, "targetstart_icon" },
    { 0xB0F97BCD522A5BCA, "targetstart_reward" },
    { 0x1C640921B56FDD87, "targetstart_reward_prespawn" },
    { 0xE2B2184A5E01463F, "targetstart_spawner" },
    { 0xCE35AB0DDDF2CE82, "targetstart_spawner_init" },
    { 0x98816F82DEE0B0EC, "targetstart_spawner_node" },
    { 0x9F8A222DB7C3ED92, "targetstart_spawner_volume" },
    { 0x9313F1E57C230C64, "targetstart_spawntrigger" },
    { 0xE8CD228AFA3EEA25, "targetteam" },
    { 0x9C4AEBB95862E3C3, "targetteamremaining" },
    { 0xD1EBA3173AD8C35B, "targettoclose" },
    { 0xB5667954791F104A, "targetvalues" },
    { 0xBD832F76421B574C, "targetvehicle" },
    { 0x8E3B4FC5AEA487CC, "targetvictim" },
    { 0x3B4CE54B10308C9E, "targetvictimdeathwatcher" },
    { 0x72EC3EC68E6492B4, "targetvisibleinfront" },
    { 0x5B987DC023F28D2B, "targs_done" },
    { 0xE4C587904BFAC331, "tarmac_bad_places_ids" },
    { 0x7BD65B6CEF7A3B0E, "tarmac_badplace" },
    { 0xBCF2B2C945723BA6, "tarmac_catchup" },
    { 0xD2F1E0EA61B082A2, "tarmac_damaged_model_swaps" },
    { 0x03DD0B58135C684E, "tarmac_gameplay_fires" },
    { 0x97BED885A9EB466D, "tarmac_hangar_lights" },
    { 0xC962143742407629, "tarmac_main" },
    { 0x2F7278D4B8EDDD28, "tarmac_model_init" },
    { 0xEF830D5FD7D43460, "tarmac_nav_obstacles" },
    { 0x05770FF51E6A6FF0, "tarmac_push_player" },
    { 0x6B0E35E8B7B4BC70, "tarmac_start" },
    { 0xB196D0CB3EF525CA, "tarmac_techo_start" },
    { 0x9556892DF70F186B, "tarmac_techo_start_first" },
    { 0x0A8234B0C1B1D3F1, "tarmac_tower" },
    { 0x180B73B527DA358D, "tarmac_tower_guy" },
    { 0xD171696A01B1715D, "tarmac_umike_01" },
    { 0x4DDC1321B93C0D8D, "tarmac_umike_01b" },
    { 0xD171666A01B16AC4, "tarmac_umike_02" },
    { 0xD171676A01B16CF7, "tarmac_umike_03" },
    { 0xD171606A01B15D92, "tarmac_umike_08" },
    { 0xD171616A01B15FC5, "tarmac_umike_09" },
    { 0x4E6F1A251D5B1BFC, "tarmac_vindia_02" },
    { 0x4E6F1B251D5B1E2F, "tarmac_vindia_03" },
    { 0xDF0C77174FFA2991, "tarmace_player_allies" },
    { 0xB8E6F8F71A02B098, "tarp" },
    { 0xA6A6726E33EB14D1, "tarps" },
    { 0x7F0AF479171BFEBD, "taskid" },
    { 0x84A7F283CBBFB247, "tauntinprogress" },
    { 0x8FD7E4107528B326, "tauntinputlisten" },
    { 0x9F18438F0FC47E45, "taunts_done" },
    { 0xB78448FF79BDF0BC, "taunts_used" },
    { 0xCDDE5278F529B874, "tc" },
    { 0x8DBC73F6FA8085BE, "tdef" },
    { 0xA06AEB9BA5C1193C, "tdef_flagtime" },
    { 0x910142A8989CCE2B, "tdefsuit" },
    { 0xB4D6D4F0CB425D7F, "tdmanywhere_debugshowlocs" },
    { 0x23D70BF2110B3F55, "tdmanywhere_distoffset" },
    { 0xDDF4D3386F2DF27C, "tdmanywhere_dropheight" },
    { 0x8956638CB8F896CB, "tdmanywhere_perpenoffset" },
    { 0x1F9D1DE7CD7B5562, "tdmanywherefrontline" },
    { 0xAD536E4C2995164C, "tea_room_catchup" },
    { 0x93A1DC634135E022, "tea_room_change" },
    { 0xE72BAFB372DEBF76, "tea_room_start" },
    { 0x0DEB9CA6EE394AE5, "teahouse_walk_vo" },
    { 0x816461F6F23F6650, "team" },
    { 0xCF29D516C16E2BB9, "team3" },
    { 0xB8DA00842052CE8F, "team_and_slot_number_struct" },
    { 0x5986BC8C0A41142B, "team_encounter_performance" },
    { 0xF60E1A8E81596719, "team_id_num_slot_filled" },
    { 0x9BFDA6C2CB0CFB47, "team_id_one_slot_assignment_index" },
    { 0xB709FFB89356F828, "team_id_one_slot_index_list" },
    { 0x954CAE3482F6198B, "team_id_slot_index_list" },
    { 0x1CA640D2450C6463, "team_id_zero_slot_assignment_index" },
    { 0x1858FE7E65882E84, "team_id_zero_slot_index_list" },
    { 0xBED73EB4673914F6, "team_instant_revive" },
    { 0x5665BB339CE454F7, "team_mask_up" },
    { 0xAB3BDF09B1874698, "team_number" },
    { 0xF84F1F9A712FB4AC, "team_planted_bomb" },
    { 0x09CCFF5D14E298E0, "team_revive_kbm_override" },
    { 0xA10B0BE560FD53DE, "team_revive_kbm_override_callback" },
    { 0xBD0A0EAB17A8D04D, "team_score_component_name" },
    { 0xD9854DA07F45DC8F, "team_slot_assignment_available_from_player_disconnect" },
    { 0xE657CAE7FAEE04B7, "team_specific_spawn_functions" },
    { 0xDD558A069A5F4E95, "team_thinking" },
    { 0xD646D0894E444A4F, "team_unlimited_ammo" },
    { 0x62A3728DE1458D9F, "teamanchoredentomnvars" },
    { 0xE47164857536CE78, "teamanchoredinfoomnvars" },
    { 0x81302BAA0FCBF8B4, "teamanchoredwidget" },
    { 0x83644FC0828CC614, "teamanchoredwidgetinstances" },
    { 0x38C5A10DADFD73B8, "teamavg" },
    { 0x392F041EF7FD2B34, "teambalance" },
    { 0xCC995F29AB1D59F5, "teambase" },
    { 0x12A5D9A3518BF9E3, "teambased" },
    { 0x7381E0F7E9D4656A, "teamcanrespawn" },
    { 0x190AED3D3C0F792D, "teamchangedthisframe" },
    { 0xE58F014105C613CC, "teamclearextractplunder" },
    { 0x565BB43B0D489D93, "teamclusters" },
    { 0x042AC46D8B5D9806, "teamcodeprogress" },
    { 0x8477335B1C0BA238, "teamdata" },
    { 0x0D61973248F918F5, "teamdelayedvo" },
    { 0xF8FF3F15835558F2, "teamdiffyaw" },
    { 0xBC95403E1EB22553, "teamemped" },
    { 0x35B189BECC172B94, "teamextractedspawnspectate" },
    { 0x6A869AA8572A999E, "teamextractedvictory" },
    { 0x2AFA1542A0E64636, "teamfallbackspawnpoints" },
    { 0xCF7F1BAB17D09EE4, "teamflagbases" },
    { 0x240BE9434D0B9563, "teamflags" },
    { 0x88EDFD6A7CA56D3A, "teamflashbangimmunity" },
    { 0x0B4916511C3C3DEA, "teamfriendlyto" },
    { 0x1F803634406980DC, "teamhasfreshsquadleadercandidate" },
    { 0x06E62C3668339886, "teamhasinfil" },
    { 0x2AD54577FFEA9BEC, "teamhasuav" },
    { 0x6B8DCA855EF7FD88, "teamhasuav_ignorecuav" },
    { 0x3ABD1D1C5C95C87F, "teamheadicon" },
    { 0x46940C274DE2A51B, "teamholdtimers" },
    { 0x96EC481B437EFCF2, "teamhudtutorialmessage" },
    { 0x2530559F1B39F872, "teaminstancelimitmessages" },
    { 0x4E447ACBD9D3B63F, "teaminstancelimits" },
    { 0xBBB58CD13EC08BDF, "teamkilldelay" },
    { 0xF900AABF7D4DBC25, "teamkillstreakqueue" },
    { 0xB65BFF13EAB715F8, "teamlist" },
    { 0x121570D75A21A5B7, "teammarkedfor" },
    { 0xD8D2D608A6E71031, "teammateoutlineids" },
    { 0x4F0F82F57E130ABC, "teammatereviveweaponwaitputaway" },
    { 0x0860CC4DF1795EE4, "teammateswithhealperk" },
    { 0x39E9B28E2815AD93, "teammaxfill" },
    { 0xB7951446D70D2FBF, "teammode_axisallies" },
    { 0x8488A2EDED9B5D43, "teammode_ffa" },
    { 0x7EBFD83B16DA22A1, "teammovewaittime" },
    { 0x2DF60C65D689B9FB, "teamnamelist" },
    { 0x2929B761491036E2, "teamonly" },
    { 0xFA729EA78AF713ED, "teamoutcomenotify" },
    { 0xD8A78C358FA68527, "teamplacement" },
    { 0x32B25FC4ED237348, "teamplayercardsplash" },
    { 0x750FAD0A1CA56DC6, "teamplunderexfil" },
    { 0xBCE322970D3B0478, "teamplunderexfilshowviponly" },
    { 0x6463749ABB869077, "teamplunderexfiltimer" },
    { 0xEACC895851FC2B93, "teamplunderexfilvipuav" },
    { 0xEB7E615EC97E1AA2, "teamplunderscoremechanic" },
    { 0x2610352FFBBAC397, "teamprint" },
    { 0xF2D2343825055193, "teamprogress" },
    { 0xCDD07FA34B1829F8, "teamprogressbarfontsize" },
    { 0xFD67D3A564CC637F, "teamprogressbarheight" },
    { 0xBEF1899535211646, "teamprogressbartexty" },
    { 0xB187FA3D104F1DC8, "teamprogressbarwidth" },
    { 0x29A5E9EAF2BF159F, "teamprogressbary" },
    { 0x96F31DD269BE8E2E, "teamrankxpmultipliers" },
    { 0x41448BD7264FA858, "teamrefundplunder" },
    { 0x0A442B260C16C174, "teamrespawn" },
    { 0x0FD6339C71B20954, "teamrevivecost" },
    { 0xD34966CF88FD9569, "teamrevivefiresalediscount" },
    { 0xA1B505AFCB622F32, "teamreviveperkdiscount" },
    { 0xCF299516C16D9EF9, "teams" },
    { 0x5E0262308A310226, "teams_thread" },
    { 0xBD03968424813FF1, "teamsassigned" },
    { 0x45EF167E368256F2, "teamscored" },
    { 0x017D8FB364B11FA2, "teamscoresonkill" },
    { 0x431BB1BAA25AA70E, "teamsextracting" },
    { 0x1774936C0EC1E622, "teamsmatch" },
    { 0xF2D71F06EDDE5E5F, "teamsonquests" },
    { 0x80F4069B792D9FFD, "teamspawnfunc" },
    { 0xCA2855FB092C3C11, "teamspawnlocations" },
    { 0xE27D02D621A3DA2C, "teamspawnpoints" },
    { 0x6C1B4CEAE3792EFF, "teamsplash" },
    { 0x595DB5AA75D38D8F, "teamsplashbr" },
    { 0xC7487262A811E815, "teamspotindices" },
    { 0x7AF127CBAEC527E8, "teamstartspawnpoints" },
    { 0x7D26EFFE4C40F88D, "teamstarttime" },
    { 0x7D9ACB41B2E398CD, "teamstarttimer" },
    { 0xD564ED39A20D46CA, "teamswithcirclepeek" },
    { 0x19829B9C94DAA9C1, "teamswithplayers" },
    { 0xE7CB8BBEA0B6A19A, "teamthreatcalloutlimittimeout" },
    { 0x9F96D8A0F7E616C5, "teamtweaks" },
    { 0xCAA9F19E3705642D, "teamuseonly" },
    { 0xD4A1DC79F51AD5A5, "teamusetexts" },
    { 0xED4222948514E15B, "teamusetimes" },
    { 0xC9F411A3E60EC0C9, "teamvehicles" },
    { 0x50687C922278FA72, "teamwipedobituary" },
    { 0xD60133DDC0924276, "teargas_explode_started" },
    { 0x5E2C8D4C633865A7, "teargasfiremain" },
    { 0x534B59D8C6438DDC, "technical" },
    { 0xF8CFD4DA77D8F62E, "technical_01" },
    { 0x31DD823FF29E0730, "technical_01_gunner" },
    { 0xF8CFD3DA77D8F3FB, "technical_02" },
    { 0x74E17BEDDBD7758F, "technical_02_gunner" },
    { 0xF8CFD2DA77D8F1C8, "technical_03" },
    { 0x708198C28C6FE3DA, "technical_03_gunner" },
    { 0xF8CFD9DA77D9012D, "technical_04" },
    { 0xF8CFD8DA77D8FEFA, "technical_05" },
    { 0xF8CFD7DA77D8FCC7, "technical_06" },
    { 0xF8CFD6DA77D8FA94, "technical_07" },
    { 0xF8CFCDDA77D8E6C9, "technical_08" },
    { 0xF8CFCCDA77D8E496, "technical_09" },
    { 0xF8CB4FDA77D3DBD8, "technical_10" },
    { 0x04DE308691111040, "technical_badplace_think" },
    { 0x17D96E7489C2CE10, "technical_callout_think" },
    { 0x400488F0C94B57D3, "technical_can_reacquire_player" },
    { 0x4F5203CF370D1D9D, "technical_can_unload" },
    { 0x8175A711030DEECF, "technical_cleanup" },
    { 0x2E4C98F4FE0B96FA, "technical_combat_think" },
    { 0x0214F88773317C67, "technical_cp_create" },
    { 0xC0892DD42BA1CE43, "technical_cp_createfromstructs" },
    { 0xDAA0EFA7FBB0623C, "technical_cp_delete" },
    { 0x00981CF120548815, "technical_cp_getspawnstructscallback" },
    { 0x5163D126AF6C84B9, "technical_cp_init" },
    { 0xFF4E3771896CE50D, "technical_cp_initlate" },
    { 0xB036BCD93522BFE4, "technical_cp_initspawning" },
    { 0x014040DA50681C67, "technical_cp_ondeathrespawncallback" },
    { 0xA52CFFD4830C0CBD, "technical_cp_spawncallback" },
    { 0x0FD4D3F08B02C5CA, "technical_cp_waitandspawn" },
    { 0x59A83C9B61FF14E9, "technical_create" },
    { 0xCB689CFBACFDFEC3, "technical_create_badplaces_along_path" },
    { 0xD99492F9B44F55CB, "technical_damage_func" },
    { 0x46A43045FA304680, "technical_death_hint_think" },
    { 0x5975F00573D547B2, "technical_deathcallback" },
    { 0x404B6D6AF1FB9858, "technical_deletenextframe" },
    { 0x49677C6CE419DFD5, "technical_destroy_badplaces" },
    { 0xFCE1609A18E11C57, "technical_dudes_01_spawn_func" },
    { 0x007B0745ACB24FFE, "technical_enterend" },
    { 0x4D0BB3391A944AD3, "technical_enterendinternal" },
    { 0xB110C1CE0EFA319B, "technical_enterstart" },
    { 0x8D28933D985AFADE, "technical_exitend" },
    { 0xEE366625DA40B6B3, "technical_exitendinternal" },
    { 0xF9BD03EF8F4398EA, "technical_explode" },
    { 0x10AA551ED1629793, "technical_getspawnstructscallback" },
    { 0x5E57F5C8780FB531, "technical_gunner_anim_think" },
    { 0xDCD2E161EE16386D, "technical_gunner_custom_death" },
    { 0xC9F4897307321F97, "technical_gunner_set_aim" },
    { 0x7A04B080FE3EC6BD, "technical_gunner_think" },
    { 0x803CBB173EABA17C, "technical_impact_think" },
    { 0xF401D40D381B5D87, "technical_init" },
    { 0xEBF90F40DED6A579, "technical_initcollision" },
    { 0x07548119A9AD2266, "technical_initdamage" },
    { 0x4AAE6172545FC711, "technical_initfx" },
    { 0x798E33D47A3BC5DD, "technical_initinteract" },
    { 0x652A7040E873224B, "technical_initlate" },
    { 0x695748739DEE5C20, "technical_initoccupancy" },
    { 0x0DCEB3F532D37C11, "technical_initomnvars" },
    { 0xE88C96D8EDDEA0BE, "technical_initspawning" },
    { 0x10C229B180585D2B, "technical_investigate_think" },
    { 0x17EFBC2498561E10, "technical_lights" },
    { 0xD88D0D13E517F3F1, "technical_mp_create" },
    { 0x1E452C7C4DD7BDD6, "technical_mp_delete" },
    { 0x346D9744A3C6C54B, "technical_mp_getspawnstructscallback" },
    { 0x80A78311B7FA6A9F, "technical_mp_init" },
    { 0x8ACBEE46929247A5, "technical_mp_initmines" },
    { 0xC488E5B4DE730986, "technical_mp_initspawning" },
    { 0x0CBD6E112D820559, "technical_mp_ondeathrespawncallback" },
    { 0x81733C6F9F01FF77, "technical_mp_spawncallback" },
    { 0x00546069345943E0, "technical_mp_waitandspawn" },
    { 0xB25A9BE601CE3571, "technical_path_think" },
    { 0x4252647592567FED, "technical_proximity_think" },
    { 0xE53A5681432236C0, "technical_ram_think" },
    { 0xAF1BDD68BAABACA7, "technical_rider_combat_think" },
    { 0x0EB526A19CD16838, "technical_rider_damage_func" },
    { 0x325CEABCEE9A6970, "technical_rider_deathfunc" },
    { 0x6D901577DB248871, "technical_rider_spawnfunc" },
    { 0x41F34B5A7FBFB29E, "technical_rider_stealth_filter" },
    { 0xF74E730E2CCA640F, "technical_rider_unload" },
    { 0xF1DCF3F2A1A0FDBD, "technical_roof_trig_think" },
    { 0x2E10D0CC55C681E6, "technical_spawn_cover_nodes" },
    { 0xDCD9E73070DE8371, "technical_spotlight_off" },
    { 0x34849AD5CC5D1615, "technical_spotlight_on" },
    { 0x85911185EA533892, "technical_spotlight_targets" },
    { 0x7B8D4351DDCEA727, "technical_stop_for_allies_think" },
    { 0x4F3A3DDD4D1EDB0B, "technical_stop_on_death_or_no_driver" },
    { 0x92EDF34CC2CBB3BE, "technical_stopanimatingplayer" },
    { 0x8397C143FDCC9C5E, "technical_turret_death" },
    { 0x7496D046867A8C4C, "technical_turret_think" },
    { 0x8F61B138FB539E5D, "technical_waittill_stopped" },
    { 0x724446BC069097DD, "technicals" },
    { 0x9198422F6CFA4E4E, "teenage_farah_cell_setup" },
    { 0xE8207AD2A84A91C2, "teenage_farah_combat_setup" },
    { 0x4A29677317869CF5, "teenage_farah_precache" },
    { 0xEC6A8B1128228E69, "teenage_farah_setup" },
    { 0x5CAEB83B8A3E2A21, "teenage_farah_stealth_setup" },
    { 0xE2C0FE6A3F6F5917, "tele_and_setgoalpos" },
    { 0xBDEB65C70099A44A, "teleport" },
    { 0x449CA308F89BC2A1, "teleport_after_time" },
    { 0x17B728A6FF33EE39, "teleport_ai" },
    { 0xBF2BE440CB824D60, "teleport_ai_to_cover_node" },
    { 0x7FE4EAA140168FE9, "teleport_black_overlay" },
    { 0x8402C3D18F2ED1DF, "teleport_bravo_midway" },
    { 0x337886E8BE0F7EE4, "teleport_dom_finished_initializing" },
    { 0x2079FE431350A3CC, "teleport_ent" },
    { 0x2E4DC596BFD81CEE, "teleport_entities_inside_subway_car" },
    { 0xED8101B39F1127B8, "teleport_entity" },
    { 0x02AFA742FD323C58, "teleport_geo" },
    { 0xBFF8790992C3E005, "teleport_humvee_to_struct" },
    { 0x921BEEED46AC256E, "teleport_if_clear" },
    { 0xC8F2D4B7A00E671F, "teleport_interaction_actor" },
    { 0xEFB5C22639918F6E, "teleport_player" },
    { 0xBE4917109B1DBCC7, "teleport_players" },
    { 0x2EC6A5C199922351, "teleport_players_inside_subway_car" },
    { 0xE34C0AFD01C5F03F, "teleport_players_on_entering_trigger" },
    { 0xADB70936CFB0DFE5, "teleport_reference_juggmaze" },
    { 0x4F2915475F4D97FC, "teleport_reference_silo" },
    { 0x184FC2896AFBA09E, "teleport_room_doors" },
    { 0x02385611DEA6B538, "teleport_text" },
    { 0xFE56CA5BFFE01070, "teleport_text_updated" },
    { 0x24C952AA4C495F60, "teleport_to_debug_start_pos" },
    { 0xD6CDB514BBDB58EF, "teleport_to_ent_tag" },
    { 0x2400C468D89F2D68, "teleport_to_location" },
    { 0xEBEF59450E447987, "teleport_to_nearby_spawner" },
    { 0x6064B5861C0970CF, "teleport_to_node" },
    { 0xDA54BD972E9B9EEE, "teleport_to_silo_airlock" },
    { 0x4C1A9A1EA5E309B9, "teleport_to_targetname" },
    { 0x6F059DAADCF4E9C1, "teleport_to_track_start" },
    { 0xB0FD1ECF24137111, "teleport_trigger" },
    { 0x26D523D3B292737D, "teleport_trigger_objective" },
    { 0xB7543A1DF12C6C36, "teleport_trigger_to_airplane" },
    { 0x1EE85B4575752981, "teleport_when_safe" },
    { 0x7443E47F732B0AFD, "teleport_zone" },
    { 0x4C4B41628E2A74E4, "teleportallplayersinteamtostructs" },
    { 0xF4EE62D73A625ABC, "teleportdeltaovernumframes" },
    { 0xC400183B0F5D1AAD, "teleportdisableflags" },
    { 0xFE5DE579807F65F9, "teleportentityrelative" },
    { 0x784333C43052AE4F, "teleportgetactivenodesfunc" },
    { 0x4127E1B19EEE4D14, "teleportgetactivepathnodezonesfunc" },
    { 0xE0A280A791ADD6B6, "teleporting" },
    { 0xD1F83A7C451F1978, "teleportplayertoselection" },
    { 0xB4D1C52F8DBC256F, "teleportplayertoteamstructs" },
    { 0x62996A0316733DAC, "teleportplayertoteamstructs_latejoin" },
    { 0x14BF93DDF33A625A, "teleportscene" },
    { 0xF681653AD1B44C9D, "teleportstructs_threadedwait" },
    { 0x3311C76D6B2B1E6E, "teleportthread" },
    { 0xCE688EC8AD31368B, "teleportthreadex" },
    { 0x209934EB42F1E1B0, "teleportworldupreferenceangles" },
    { 0x613596DA0BB47939, "tell_player_to_pick_up_intel" },
    { 0x812F56F6F204C90B, "temp" },
    { 0xD416BE32E1A6F0CD, "temp_anchor" },
    { 0xBAB5614E0F040831, "temp_animator" },
    { 0x31935D83AE100152, "temp_approach_standoff_vo" },
    { 0xB10A3725AC3610AA, "temp_attic_dialogue" },
    { 0x649FC722ED50DA20, "temp_bed_enemy_shooting" },
    { 0xE92EFDEAE7E3C90F, "temp_debug_wait_and_stop_music_loop" },
    { 0xC3148FDCE68755FC, "temp_dialog" },
    { 0xEB221BEBBA73639B, "temp_disable_interaction" },
    { 0x06EBE9E3E263BE9B, "temp_draw_crowd_num" },
    { 0x49056687666FF69B, "temp_draw_multipoints" },
    { 0xE6B28C2C3282117B, "temp_draw_world_ap" },
    { 0xA3A9562FE93B88E1, "temp_ent" },
    { 0x05C052AEE0C936EE, "temp_ignore" },
    { 0x9DD60F619587AA56, "temp_invul" },
    { 0x866A663B3A910254, "temp_is_performance_active" },
    { 0xD32DFB3685880291, "temp_kid_center_stage" },
    { 0xDF15E521F8938860, "temp_ladder_hack" },
    { 0xD2EC46E72D95AF0E, "temp_make_barrel_interactible" },
    { 0x6417442F447F19CC, "temp_make_barrel_think" },
    { 0xDC371F2473CA58AC, "temp_move_exfil_box" },
    { 0x1A0DA9B7D048009F, "temp_nags" },
    { 0xA9DDBCE7C98EEB13, "temp_performance_flag_clear" },
    { 0xC928B3E6DC47DAEA, "temp_performance_flag_set" },
    { 0xD80D80EFF00CF30B, "temp_player_debug_whotriggered" },
    { 0x6702D70A8C54881F, "temp_price_clip1" },
    { 0x6702D80A8C548A52, "temp_price_clip2" },
    { 0x2BBCED4225519C7D, "temp_print_screen_type" },
    { 0xDDB2E66FD5A0A7D9, "temp_scriptablerotateto" },
    { 0x82A2F87364C96ACA, "temp_sound_fx" },
    { 0xCC7918E83D06E736, "temp_sound_init" },
    { 0x44390A2288F47DFC, "temp_sound_watcher" },
    { 0xFCBDA24F0CE845A7, "temp_spawn_backup_on_apc" },
    { 0x3B325FC6A4A22A1E, "temp_spawn_gun" },
    { 0x64953855893AC889, "temp_stairtrain_count" },
    { 0x4FC5919157CC1728, "temp_start_and_stop_test" },
    { 0x7F2F346E656FB596, "temp_stealth_meter_delete_on_death" },
    { 0x2FB6A9E9AD82EED2, "temp_stealthicon_changecolor" },
    { 0xFA3038C7DD01AEE8, "temp_stealthicon_initiate" },
    { 0x7373E2D8A3F256E2, "temp_swap_gun" },
    { 0xAC04AA2F33558F74, "temp_tag" },
    { 0x3C1EB8021CC2AD2C, "temp_think" },
    { 0x87F52DD64C3E44C6, "temp_trace_data" },
    { 0x2A71C522257B1C6B, "temp_trace_data_colors" },
    { 0xCA08F7CD457637C8, "temp_trim" },
    { 0xA1AFD0ABBE23E67B, "temp_vehicle_manuallysetspeed" },
    { 0xAA844034BDB9BFC2, "tempanim" },
    { 0x82EE6F3E3317C538, "tempdisabledynmovementspeed" },
    { 0xA41C963E470EA7E8, "tempintensity" },
    { 0xD15637DFB7B7636E, "template_level" },
    { 0x7E833BFFDA69FD0B, "template_script" },
    { 0xC84ED3D525DA74CC, "templates" },
    { 0x7DF05207F328902E, "tempmovesoundent" },
    { 0xD3889B092E97D500, "temporal_increase" },
    { 0x3A6F66471C9BE90B, "temporary_ignore" },
    { 0x85D3195C0DC24A17, "temprateset" },
    { 0x90289614515DF4FB, "temprespawntokenhud" },
    { 0xF24724D707A0D1AC, "tempresttime" },
    { 0x9CBD93BE8E8BD98E, "ten_percent_of_max_health" },
    { 0x32D20A768F1DD0C8, "tense_music" },
    { 0x8B774F3A5475D0DE, "ter_op" },
    { 0x42585710D531AE31, "terminal_pusher" },
    { 0x852BB0C23959032C, "terminal_pusher_approach_array" },
    { 0xB13C72F9162FCD47, "terminal_pusher_approach_array_counter" },
    { 0xA26305783CE24CFF, "terminal_pusher_approach_entrance_array" },
    { 0x34862F6B4C15BF89, "terminal_pusher_approaches_init" },
    { 0x541ADF6AC0DBD4A3, "terminate_casualkiller" },
    { 0x564628826AE7401E, "terminate_chatter" },
    { 0x7F9A0AF673318112, "terminate_deploylmg" },
    { 0xF984EBC6820F85C9, "terminate_ladder" },
    { 0x0664ED549659F28C, "terminate_newenemyreaction" },
    { 0xD21A31FF096BA69C, "terminate_transitiontoexposedanim" },
    { 0x740DB00482D28A6D, "terminate_weaponswitch" },
    { 0x390FBFAF98F713F3, "terminateblindfire" },
    { 0xACC9D1B7A0E208C0, "terminatechangestance" },
    { 0x44F62F6A96E3A514, "terminatecoverexposenoenemy" },
    { 0x8AFC455F59B71F30, "terminatecovermultiswitch" },
    { 0x2C97432DB732ABAA, "terminatecoverreload" },
    { 0x55DCEA1F8CA73F59, "terminateexitstartanim" },
    { 0x189607DA66FBE65C, "terminateexpose" },
    { 0x7898082280DC72BE, "terminateexposedcrouch" },
    { 0xD01954BD856DD1AF, "terminateexposedcrouchaimdown" },
    { 0x50277EB5B3A2EF5B, "terminateexposedidleaimdown" },
    { 0xCA2DD03466E134E6, "terminateexposedprone" },
    { 0x5BCCD2A294682ABD, "terminategrenadereturnthrowanim" },
    { 0x8DC54967E5531C98, "terminatehide" },
    { 0x8DB95679C0AC36AA, "terminateidle" },
    { 0x75E655BF64CBF19B, "terminatelook" },
    { 0x927A32AF3D6B2097, "terminatepeek" },
    { 0x8C5AE29F752ABB5D, "terminatereload" },
    { 0x7FFBF665FE2E3DF4, "terminatereloadwhilemoving" },
    { 0xC825220A4451EC83, "terminateriotshield" },
    { 0xB0BEC20770AB9929, "terminatestartanim" },
    { 0xE81131C121CC30CE, "terminatethrowgrenade" },
    { 0x9737833D03E3BF06, "terminatetraverse" },
    { 0xF4653B9A8621B94F, "terminatewallruntraverse" },
    { 0x18CC20F1B58CA1D3, "terrorist_archetype_selected" },
    { 0xCA5947B9A4F30DAD, "terrorist_camera_move_to" },
    { 0x66A9AA302FB79712, "terrorist_decide_respawn_think" },
    { 0xB538EB57C1D51007, "terrorist_enter_laststand" },
    { 0xBA7FB8F666ECA5B5, "terrorist_move_through_respawners_think" },
    { 0x7AD50FA02456F699, "terrorist_nearby_respawner_markers" },
    { 0xAB8A2DBBBD3F90F6, "terrorist_nearby_respawners" },
    { 0xEF2979326CE3F4F6, "terrorist_overlay" },
    { 0x0C6038EF707BFCD9, "terrorist_player_initial_spawn_select" },
    { 0x7E53F0F29E105EAC, "terrorist_respawn_camera" },
    { 0xD8448CA8451800C3, "terrorist_respawner_selected" },
    { 0xDA1C046B40D65886, "terrorist_selected_respawner_marker" },
    { 0x72F4A674B75F5459, "terrorist_self_revive_time_override" },
    { 0x1EB71C224A01F7DD, "terrorists_respawn" },
    { 0x8AABB4174A798D31, "terry" },
    { 0x554570626B6D4ADE, "terry_damage_monitor" },
    { 0xACBD8071F3B1DF2D, "terry_noreact_window" },
    { 0x9C83D058C046AF35, "tesla_type" },
    { 0x81A14FF6F281AF7C, "tess" },
    { 0xCA3E90AA3902E367, "tess_init" },
    { 0xE0809C46072AE223, "tess_set_goal" },
    { 0x3CC31199064E4598, "tess_update" },
    { 0x81A14EF6F281AD49, "test" },
    { 0xCE3EB62DF6CA7AF8, "test_ai_anim" },
    { 0xA1E0A72F6A038F64, "test_ammo_crate" },
    { 0x0AAC8E14628BD6FA, "test_anim_ai" },
    { 0xE03B49DBDD565341, "test_bag_pickup" },
    { 0x92E14A7AF52EC507, "test_begin" },
    { 0xACF81800EED311B0, "test_br_ending" },
    { 0x82D1B9FE3B1F2A09, "test_combat_func" },
    { 0xF64739E7BEABAEB9, "test_crafted_sentry" },
    { 0xBBB49A4A6AE5F4C6, "test_dist" },
    { 0x3940F942FA56DD31, "test_ecounterstart" },
    { 0x64CF347BD826F6EF, "test_end" },
    { 0xD8B9A915E13C947C, "test_go_hot" },
    { 0x0D49A2F1F23A1F7B, "test_intel_loc" },
    { 0xC3EAECE0E1BD5337, "test_intel_pickup" },
    { 0xB9709A69BF3F59AE, "test_kill_vip" },
    { 0xD590F51E3A016F0E, "test_offset_positions" },
    { 0x6ED3E43B288464D7, "test_pipe_fire" },
    { 0xC0BE7E27C1DFB0F7, "test_player_data_set" },
    { 0xB1D0EC5AF4FB9315, "test_print" },
    { 0x0A0B3208C5452952, "test_prints" },
    { 0xB60462FF6F3AC66D, "test_shock_as_entering_cell" },
    { 0xC6E74C2406248A36, "test_smoke_mortars" },
    { 0x52D9F3CC75241316, "test_spawn_locations" },
    { 0x3E5EAC7C779C1D9A, "test_tag" },
    { 0x42B4FEDBBE5E2500, "test_trace_tag" },
    { 0xD2EDAF88477A999E, "test_train_array" },
    { 0x693EB7BE3C349D02, "test_trigger_spawn" },
    { 0xE8122025BF6AED8F, "testaccessoryvfx" },
    { 0xD2F93E40E5C4B7C1, "testanimation" },
    { 0x5B0CB95A1642B23B, "testanimationduringuseduration" },
    { 0xA420F99BE739A501, "testbrushedgesforgrapple" },
    { 0xEDAE1465CE0B5789, "testbuddyspawncriticalfactors" },
    { 0x57C6282FE429E8D5, "testclient_dev_laststand" },
    { 0x028D35FF60784DCD, "testclient_ignoreme_dvar" },
    { 0x663F744FD245F1A4, "testclient_run_funcs" },
    { 0x3D7325F83E3B856C, "testcriticalfactors" },
    { 0xCF297A804BE8AC5A, "testdroppos" },
    { 0xD712F77BC8FB3B56, "testformarker" },
    { 0x643311C592ABF647, "testforsuccess" },
    { 0x135010DE548C0889, "testgamemodestringlist" },
    { 0x249778052EE6BB77, "testing" },
    { 0xEA42905C7B31C9F8, "testing_linked_anims" },
    { 0x842A5437BECF82D3, "testing_weapon_collision" },
    { 0x0285C7C696F9BEB2, "testingthings" },
    { 0xDE15ABE3E65665A4, "testmiscmessage" },
    { 0xC7CDA7E3F28C7993, "testmissionrewards" },
    { 0x2A474C57EA99F461, "testpassivemessage" },
    { 0x2B7C9387C366903D, "testpetdebug" },
    { 0xEECD6FF39F140907, "testrandomrealismclients" },
    { 0xD9227BB8C870D7C7, "testsoundplacement" },
    { 0x364811F8CCE5FA22, "testsplashes" },
    { 0xDDBA2F477D4DBF74, "testsuperbeginuse" },
    { 0xD9B2EC3B8FEDE192, "testsuperrefundwatcher" },
    { 0xA2A993F6164BDC8D, "testtdmanywhere" },
    { 0x0D21ECE6E98E049B, "testtiming" },
    { 0x37F937AC3F76C597, "testweaponfiredtolisteners" },
    { 0xA89A9B530E540D40, "tetherplayer" },
    { 0x81834CF6F2618A02, "text" },
    { 0x673F3F164D31C43A, "textalpha" },
    { 0x75A138B83E123445, "textlogo" },
    { 0x44FDDA4ACE68A5BD, "thankyou_photo" },
    { 0x37A73943AAA5A5D1, "the_bomb_is_detonated" },
    { 0x9789AD5BE2AB72BC, "the_hoff" },
    { 0xF18A19073F50F3D4, "the_hoff_revive" },
    { 0xE7A573A38B81B0D4, "thermal" },
    { 0x6D388AF99A1306FD, "thermal_vision" },
    { 0xA73EE6324F445FE9, "thermalbodymaterial" },
    { 0x80E77424121A327E, "thermaldrawdisable" },
    { 0x56322C26A98381B5, "thermaldrawenable" },
    { 0xA6A9D47A93737321, "thermaldrawenabledrone" },
    { 0x5AF8791C95AFB144, "thermalvision" },
    { 0x8791121AB1B361E2, "thermalvisionfofoverlayoff" },
    { 0xCFE037828C5D9A88, "thermalvisionfofoverlayon" },
    { 0x5E9A7C3FE40CAC89, "thermalvisionoff" },
    { 0xF0BF31739BEA43CD, "thermalvisionon" },
    { 0xD42187C9BB6EDA6E, "thermalvisiononshadowoff" },
    { 0xC5D713287C015C08, "thermite_damage_over_time" },
    { 0xD6B8A0687D0FC664, "thermite_damagemodifierignorefunc" },
    { 0x71E2F53FBC095B5F, "thermite_delete" },
    { 0x0BC854314FE855C6, "thermite_destroy" },
    { 0xB10D736DD283812A, "thermite_doradiusdamage" },
    { 0x872611295631C781, "thermite_laststand_effects" },
    { 0x8AD183C425DF3C33, "thermite_linktostuck" },
    { 0x3EBDBBF506487C27, "thermite_onplayerdamaged" },
    { 0x29BE73BA0EB69841, "thermite_used" },
    { 0x7AB0D86426F443D2, "thermite_watchdisowned" },
    { 0x5ACF65CF19392E78, "thermite_watchglstuck" },
    { 0xCB7A3CE72A3723F5, "thermite_watchstuck" },
    { 0x5BC7A54CA74D8065, "thermite_watchstucktoterrain" },
    { 0x61CA7E911D34350B, "thermiteboltburnout" },
    { 0x55FDC94FDA58EBE7, "thermiteboltradiusdamage" },
    { 0xED02214E3F0F5901, "thermiteboltstuckto" },
    { 0x96CC62890E32097E, "thermiteburnout" },
    { 0xDEC82D9A8629769C, "thermiteradiusdamage" },
    { 0xE620608F2138BE9A, "thermiteradiusweaponref" },
    { 0xCCBCDBDF87212FB6, "thermitestuckpains" },
    { 0x385BCE1693F2A808, "thermitestuckto" },
    { 0x18067F727A1F1A11, "thermitestucktoshield" },
    { 0xE3261FFADD46F7FA, "thermometerwatch" },
    { 0x002E624CAF5C05B3, "things_carried_anim" },
    { 0x94A52F862129C5A5, "thinkers" },
    { 0x4A74FA01AE6A5965, "thinkindex" },
    { 0x43B7C14F187CB6C4, "thinkoffset" },
    { 0x38B0C1C239901065, "thinkrate" },
    { 0x3CCA342497D36062, "thinkrates" },
    { 0x890750BDF97171EC, "third_floor_buddy_down_drag" },
    { 0x59D4B25FE959C376, "third_floor_catchup" },
    { 0xD100B170EF6B0C01, "third_floor_clear" },
    { 0xAA9D75CD8713E238, "third_floor_clear_extra" },
    { 0x1064BA9FDEFD98A0, "third_floor_clear_nag" },
    { 0x4DF5FD3D7DE57F75, "third_floor_death_counter" },
    { 0x2D5D338EB638BFE3, "third_floor_frame_pulse" },
    { 0x495EE71B3FA177B9, "third_floor_main" },
    { 0x9781ABB27B8EF3A1, "third_floor_movement" },
    { 0x1AF10277F02CFD20, "third_floor_start" },
    { 0xF0FDB87937FEAAE6, "third_floor_view_exit" },
    { 0x89FD1D194619206A, "third_person" },
    { 0x92F5CBE1560D0E33, "thirdpersonheightoffset" },
    { 0xCA0ADFCEBBE236C4, "thirdpersonrange" },
    { 0xFDF70CFDD93B864C, "thirsty_tired_effects" },
    { 0xE4C41E154ABDD9B3, "thirsty_wake_timer" },
    { 0x8BDCBD157D021C8E, "thirtypercent_music" },
    { 0x9FFBEC46D62699A4, "thread_audio_doorpropagation_init" },
    { 0xAFADEF57EF2EA790, "thread_churn" },
    { 0x97D3515023F9E8B4, "thread_churn_notify" },
    { 0x6FC77EDF00C8A02A, "thread_end_func" },
    { 0x1107552A23ED4808, "thread_end_test" },
    { 0xEB971A2572BE60F6, "thread_endon" },
    { 0xBD844D94628C9EBF, "thread_endon_death" },
    { 0x1FE77867382E5C15, "thread_hostage_fulton_anims" },
    { 0x3EE3067C9CB869F1, "thread_hostage_waiting_anim" },
    { 0x4C31C5F8F675933D, "thread_on_end" },
    { 0x9237280EB3673A8B, "thread_on_notetrack" },
    { 0x9C67F78115AC67E1, "thread_on_notify" },
    { 0x644CE28D8A42D0B3, "thread_on_notify_no_endon_death" },
    { 0xF790EA5C84DD8536, "thread_on_notify_proc" },
    { 0xFD821A2230BBC099, "thread_resume" },
    { 0x3B783AF7AD776973, "thread_running_notify" },
    { 0xD32C436A1410D443, "thread_teleportplayertoteamstructs_latejoin" },
    { 0x86737BCD68CA4868, "thread_terminate_child" },
    { 0xE430499AFA22268F, "thread_terminate_notify" },
    { 0x97699884BFAC9235, "thread_terminate_wrapper" },
    { 0x961609EADD553E99, "thread_timestamped_events" },
    { 0xD5BE7406A6842293, "thread_wait" },
    { 0x5977EC10FEBFFBCF, "thread_wait_local" },
    { 0xEE80A0ACC7B3BE3F, "thread_wait_native" },
    { 0x0417B2E30130531D, "thread_wait_notify" },
    { 0x51577477FDDE06E2, "thread_wait_patch" },
    { 0xA9C51D65699E6A58, "thread_waitframe" },
    { 0x83F409664B6F319D, "thread_waitframeend" },
    { 0x14CD3668E4CD7162, "thread_waittill_match" },
    { 0x1F02F106196F973C, "threaded" },
    { 0x985D02ED8B9CD6A3, "threaded_debug_start" },
    { 0xB5E40B547951A54D, "threaded_sfx_townhouse_door_audio" },
    { 0x3DE7B194B44C70B1, "threaded_start_tugofwar" },
    { 0xD9B0C297281AB279, "threadedbcloop" },
    { 0x46D1D435A91D3492, "threadedscriptspawners" },
    { 0x5390C82A8BEEC518, "threadedsetweaponstatbyname" },
    { 0x78C3DFC55A8811B2, "threads" },
    { 0xDA8799C3DFE046C5, "threat" },
    { 0xFEAE4BB946B76D12, "threat_combat" },
    { 0x4C3D951EDA6F0C21, "threat_entities" },
    { 0x275375A65312250C, "threat_level" },
    { 0x71D3D8D86788D3F3, "threat_sight_count" },
    { 0xC8EA0F17C8D9B35D, "threat_sight_enabled" },
    { 0x9FF2914D2FCE3AF5, "threat_sight_fake" },
    { 0x9996543F97A50C22, "threat_sight_force_visible" },
    { 0x9FB44FCDF1A4FE47, "threat_sight_force_visible_thread" },
    { 0x98351F0C5854E9D6, "threat_sight_immediate_thread" },
    { 0x4FA031612BCC11DA, "threat_sight_lost" },
    { 0x26A5B1CCA2655E62, "threat_sight_monitor" },
    { 0x5E4E06D2EF078C48, "threat_sight_player_entity_state_set" },
    { 0x36D4FAB04D9BFA08, "threat_sight_player_entity_state_thread" },
    { 0xD4BD0B47895F5C30, "threat_sight_player_init" },
    { 0xB3DEB1DBF6DDA7AA, "threat_sight_player_sight_audio" },
    { 0xE8014030905AB664, "threat_sight_set_dvar" },
    { 0xEDE20F40CC6948D9, "threat_sight_set_dvar_display" },
    { 0x2E0C44B737340E8A, "threat_sight_set_enabled" },
    { 0xA75FDBF11C6A7672, "threat_sight_set_state" },
    { 0x255E9165866AB15F, "threat_sight_set_state_parameters" },
    { 0xFAF4ED4959181584, "threat_sight_sighted" },
    { 0x2EDA4D5C8168F0B7, "threat_sight_sighted_wait_lost" },
    { 0xFA4ECFBF8D07EE3D, "threat_sight_snd_ent" },
    { 0x0285F4FB78F90ED8, "threat_sight_snd_threat" },
    { 0xF1F370C042EDCF79, "threat_sight_snd_vol" },
    { 0x0FADACCB96A0C4D1, "threat_sight_state" },
    { 0x2A2858AA2B952D5A, "threat_sighted" },
    { 0xFD66122A93E2D5AE, "threat_tag" },
    { 0xA8E871EF5B4870DA, "threat_thread" },
    { 0xA17726A3945655CE, "threat_type" },
    { 0xE19F528CC9A3C540, "threat_visible" },
    { 0x308D5857D0E24344, "threatbias" },
    { 0x2BB1BE62804C11D7, "threatbiasgroup" },
    { 0x12CC27C466327497, "threatbiasgroupexists" },
    { 0xD03044E20BFB2C0C, "threatbiasoverride" },
    { 0x6DB1906969711350, "threatcallouts" },
    { 0x1A2B958CCF4A7E1E, "threatcallouttracking" },
    { 0x829C3AF64FE4A95A, "threatent" },
    { 0x0C7971214CAA0400, "threatinfantry" },
    { 0x533F9BF536429EB7, "threatinfantry_docalloutlocation" },
    { 0x9F68D950178929E0, "threatinfantryexposed" },
    { 0x71081884138169F8, "threatisviable" },
    { 0x1486AA85BAF5143D, "threatlevel" },
    { 0x39E2DE00FF06651E, "threatsight" },
    { 0xAC40C680536F3564, "threatsightdistmax" },
    { 0xAC1DD48053490C76, "threatsightdistmin" },
    { 0xCC5664BE87D37818, "threatsightdistscale" },
    { 0x45C8CA3B6F5CFADA, "threatsightratemax" },
    { 0x45EBD43B6F835890, "threatsightratemin" },
    { 0x8A94895A87B4A316, "threatsightratescale" },
    { 0x929153426A2CAECD, "threattype" },
    { 0xA5AA6F50BE67564F, "threatvehicle" },
    { 0x5A0DFA46F86E17D5, "threatwasalreadycalledout" },
    { 0xB66DAB80047AB2A4, "threshold" },
    { 0xC48C602D11B1EFA4, "threw_grenade" },
    { 0xBFE2D2E0A451C252, "threwback" },
    { 0xF4C8E100187A8978, "threwbackgrenade" },
    { 0x8B8A82FC634FB122, "throttle_counter" },
    { 0xD2D706FF34B3D754, "throw_bowl_and_create_food" },
    { 0x46D753689E1D83CA, "throw_loc" },
    { 0xA0F39C3632739406, "throw_molotov" },
    { 0x852116E77439C117, "throw_moltovs_out_windows" },
    { 0xA4042694FF31BA6D, "throw_players_out" },
    { 0x85500686D9E35EAC, "throwammocrate" },
    { 0x2300C5337961350D, "throwangles2d" },
    { 0xF7C78D76427A7524, "throwbackmarker_takeweapon" },
    { 0xE8AA022931893235, "throwbackmarker_trythrowbackmarker" },
    { 0xA4D41A990109A7AA, "throwbackmarker_watchdetonate" },
    { 0x315F4915D1AB7C6B, "throwbackmarker_watchplayerweapon" },
    { 0x977E2706D8C98C11, "throwbackmarker_watchthrowback" },
    { 0x1EE36381533C32B5, "throwbackmarker_weapondetonatefunc" },
    { 0x1EB852433316C981, "throwbackmarker_weaponfired" },
    { 0x6F299FCEF1E6285B, "throwbackmarker_weaponfiredfunc" },
    { 0xE1C6FC545A2E33BC, "throwbackmarker_weapongiven" },
    { 0x1F64BC3FD0B8867A, "throwbackmarker_weapongivenfunc" },
    { 0xA63580382FF8A831, "throwbackmarker_weaponswitchended" },
    { 0x1F551989689DE0AB, "throwbackmarker_weaponswitchendedfunc" },
    { 0x18B08614DCBA594A, "throwbackmarker_weapontaken" },
    { 0xE9A47F02B523A17C, "throwbackmarker_weapontakenfunc" },
    { 0xA90F1711F91A1368, "throwbackweapon" },
    { 0xC076D4C4D5AF073A, "throwcrate" },
    { 0x46A750E350AA23D3, "throwdata" },
    { 0x48890E2769735647, "throwdownweapon" },
    { 0x1A9C119A91C39C5B, "throwgrenade" },
    { 0xE5B36AFBBF03A75E, "throwgrenade_init" },
    { 0x9ED8D73F1E0B604B, "throwgrenade_shouldabort" },
    { 0x0E6B67083FC2FEC3, "throwgrenade_terminate" },
    { 0x274025EBEA2B826D, "throwgrenade_update" },
    { 0x142A2E2EB622B8E7, "throwgrenadeatenemyasap" },
    { 0xA3F86DD2F9A6F522, "throwgrenadeatplayerasap" },
    { 0xBA99E5F81C24C338, "throwgrenadeatplayerasap_combat_utility" },
    { 0x5489678B6CA4F87E, "throwgrenadetarget" },
    { 0xF6566AEAE8AF87F7, "throwgun" },
    { 0x871C8077FC9741EE, "throwing_knife_cp_init" },
    { 0x46BFCAA10914DE18, "throwing_knife_cp_trytopickup" },
    { 0x635B69D782D840C3, "throwing_knife_deletepickup" },
    { 0x5C3888573C181FA2, "throwing_knife_init" },
    { 0x9F696B51013889CE, "throwing_knife_makepickup" },
    { 0x69F76EFC73FF0AD4, "throwing_knife_mp_init" },
    { 0x30F719F957A01686, "throwing_knife_mp_ongive" },
    { 0x22060D705716C815, "throwing_knife_mp_onstuck" },
    { 0x43936FBAB2AC0704, "throwing_knife_mp_ontake" },
    { 0x651CAE01959E9566, "throwing_knife_mp_trytopickup" },
    { 0x17CCD06ABEFD2508, "throwing_knife_ongive" },
    { 0xA126D5C9E083D7DA, "throwing_knife_ontake" },
    { 0x496DF92B5BFB2214, "throwing_knife_trytopickup" },
    { 0x9FE8CE736453A225, "throwing_knife_used" },
    { 0xAB89E52524B62513, "throwing_knife_watchpickup" },
    { 0x7748C00C1F1A055E, "throwing_knife_watchpickuptimeout" },
    { 0x5CD31394B3F33605, "throwinggrenade" },
    { 0xF94AD85A8FA834A2, "throwingknife" },
    { 0x9E8A589A1B82D0FC, "throwingknife_fire_begin_fx" },
    { 0x02ED7AB757A23F5C, "throwingknife_fire_clear_fx" },
    { 0xFB7B24204A4FF8DC, "throwingknife_fire_end_fx" },
    { 0xCDCFDFFDFB690636, "throwingknife_fire_watch_fx" },
    { 0x9ADD57929FDD5FD1, "throwingknifec4detonate" },
    { 0x994E78E293FD5113, "throwingknifec4init" },
    { 0xB010845DED2F1569, "throwingknifedamagedvictim" },
    { 0xF295AC0F8F7BD3DF, "throwingknifefiremain" },
    { 0xEC762494F23A1291, "throwingknifemaxpickups" },
    { 0xF48F370CA71BC2AA, "throwingknifemelee" },
    { 0x079B2ADB5DF9A671, "throwingknifepickuptimeout" },
    { 0x3C7E5F2418DA3225, "throwingknifeteleport" },
    { 0x43252A60C0443581, "throwingknifeteleport_fxendburst" },
    { 0x911DBB3E4F9DF89A, "throwingknifeteleport_fxstartburst" },
    { 0x7479B7C37474FBA3, "throwingknifeused" },
    { 0xD874106D13383AC3, "throwingknifeused_recordownerinvalid" },
    { 0x0136FDF1A81F25F5, "throwingknifeused_trygiveknife" },
    { 0xCDC3302A96B08F73, "throwingknives" },
    { 0x67F329C44633275F, "thrown" },
    { 0xAE51EDC5D7A4C502, "thrown_semtex_grenades" },
    { 0x5440BC2EAD136C0E, "throwndyinggrenade" },
    { 0xC902FB8AFFBCE1AA, "thrownflares" },
    { 0x06AC9F8948109C2D, "thrownoffhand" },
    { 0xC9ACC7DE7559BA4D, "thrownspecialcount" },
    { 0x8D3DBDAD30DB917B, "throwspeedforward" },
    { 0xF5BBE7739D0C3CEB, "throwspeedup" },
    { 0xF868452ECA1A7EE1, "throwsupplypack" },
    { 0xD303125E94448022, "throwtime" },
    { 0x34DB9D2DA0234D78, "thrust_fx_model" },
    { 0x36AC81037B634943, "thrusterdamageloop" },
    { 0xC68359F19CAD13F2, "thrusterloop" },
    { 0x895D198CDC54B83A, "thrusterstopfx" },
    { 0x5DCE102C55AADD4A, "thrusterwatchdoublejump" },
    { 0x283FEE566F8B4976, "thrustfxent" },
    { 0xCBA4798FE810C0E2, "ti_spawn" },
    { 0x2EC8F2639338C339, "ticket" },
    { 0x84C39B025DE7B534, "tickets_earned" },
    { 0x4689CA827BC3B575, "tickincrement" },
    { 0xFDFD0B57A4C2B657, "tickingobject" },
    { 0xEA6060CE65D21959, "tickpercent" },
    { 0x41737AB3C93E0F61, "ticks" },
    { 0x4538ACF6C55AE475, "tier" },
    { 0x2DFE963DE0394050, "tieractivationdelay" },
    { 0x7E55E3D1D44C5768, "tiercapturetime" },
    { 0xB47BF0220D8BA126, "tierfailure_countdown_think" },
    { 0x1848B689A48A58C1, "tierholdtime" },
    { 0x7F1B595A43AF0B5B, "tierindex" },
    { 0xFCEECEE213949D16, "tierrewardcounts" },
    { 0x968868B406E37932, "tiers" },
    { 0x455BC5F6C5816328, "time" },
    { 0x5C918821F44DACD1, "time_after_shoot" },
    { 0xB5353D964F1F52FE, "time_before_shoot" },
    { 0xC30781DE1EC9E191, "time_between_rocket_fire" },
    { 0xA0AE3DA31ABEC834, "time_between_spawns" },
    { 0xEADA94455436BA5F, "time_calculate" },
    { 0xBDE0EE93B5520464, "time_has_passed" },
    { 0x712AAA92547C1E7A, "time_hit" },
    { 0xDAEE9CDF19869145, "time_on_floor" },
    { 0xEBB4C35CD550183F, "time_passed_no_target_threshold" },
    { 0x56C05EF7C79B7C18, "time_passed_with_no_target" },
    { 0x0BBBFDCEA1E4CA0A, "time_reduction_bonus" },
    { 0x2332254464DD8993, "time_remaining" },
    { 0xF0D3FC33211BDE89, "time_seeing_players" },
    { 0x0E99C247AB1E1073, "time_since_last_stab" },
    { 0xBB1DF6321EA7DDA6, "time_since_spoke" },
    { 0x712811942246C8F7, "time_spent_hiding" },
    { 0xA8A6498111713E94, "time_stamp" },
    { 0x1C2561681E9B2775, "time_stamp_can_be_damaged_by_sniper" },
    { 0x5DCC138615CF7743, "time_survived" },
    { 0xAF01DC1666C4F1EB, "time_think" },
    { 0xF91E37F2F6945B3A, "time_till_next_extraction" },
    { 0x6534B185CA4D99AE, "time_till_next_extraction_tick" },
    { 0x2BBA67D74EF65D25, "time_till_next_respawn" },
    { 0x466328423468115B, "time_till_next_respawn_tick" },
    { 0x3E54B2404438E24A, "time_to_give_next_tickets" },
    { 0xD5EFA30476E2DE8F, "time_watcher" },
    { 0x499C870C8B7D1A07, "timeadjust" },
    { 0xEA44AA4D77D96470, "timebeforedeescalate" },
    { 0x39811E4682D53E0F, "timebeforeescalate" },
    { 0x642404226C4548B6, "timebetweenc130passes" },
    { 0xF44003291FD5989F, "timebyrotation" },
    { 0xECB7D81AE2B33D78, "timecreated" },
    { 0x7E6FDA9057D3FDD9, "timed_death" },
    { 0xAA07858748C927B1, "timed_laser_trap_trigger" },
    { 0x84AA1C5A499437AB, "timed_laser_trap_trigger_array" },
    { 0xFBEC9DF09E1A2B90, "timed_melee_check" },
    { 0x47F64A18C663409D, "timednotify" },
    { 0x3E29FA07C7063365, "timedrun_finishlinevfx" },
    { 0x7FB501DE07120E30, "timeelapsed" },
    { 0x717D11CA9A9519CF, "timeenemyleftvolume" },
    { 0x5A19CF88CCE8CCC1, "timehack" },
    { 0xA7EBEA5771618477, "timehiddennolosbeforedeescalate" },
    { 0x0F945540B96F3483, "timeinads" },
    { 0xAB44F035DAC81406, "timeitemlasted" },
    { 0x1245032AFB602F8D, "timelefttospawnaction" },
    { 0xE3CC8998DDD59F7B, "timelimit" },
    { 0x60BBEB8CA48ACE1F, "timelimitclock" },
    { 0xA84D176A9AD2216C, "timelimitclock_intermission" },
    { 0xF30A3B1AF9529FC6, "timelimitmusic" },
    { 0x5EE9F0B5EBC30E83, "timelimitoverride" },
    { 0x607731F931091853, "timelimitthread" },
    { 0x37D049F5093CFD87, "timelineevents" },
    { 0xE28378F9ED2A6B87, "timemodified" },
    { 0x5E6E2BA023F4708D, "timeoff" },
    { 0xE533786417ED54DB, "timeoffset" },
    { 0x94B352EAE1F46EB0, "timeoflastexecute" },
    { 0xA7C4568E14CDEF8A, "timeoflaststatechange" },
    { 0x05B483A557D293F1, "timeon" },
    { 0x5EA707A024329C4C, "timeout" },
    { 0x951C05AEFF4D832B, "timeout_action" },
    { 0xCB332FFA5095C68E, "timeout_after_min_count" },
    { 0xAF9D39FA78F6E55E, "timeout_consec_kills" },
    { 0x0D02577081B557FA, "timeout_explode" },
    { 0x33D5181E9180AB26, "timeout_group_after_duration" },
    { 0xCE1CDD6CD0F86ABD, "timeout_monitor" },
    { 0xC9CEC8FB07787B2C, "timeout_notify_melee_thread" },
    { 0xD33BF401C8F5E152, "timeout_remove_intel" },
    { 0x02C847A767F94886, "timeout_vo" },
    { 0x5257A582F5288FB0, "timeout_wave" },
    { 0x9B53A31457D26F43, "timeoutcapturekills" },
    { 0xBD83043772140904, "timeoutduration" },
    { 0x429CE8A852A87171, "timeoutent" },
    { 0x825A1AB28B2340A0, "timeoutms" },
    { 0x9887FA40BF168570, "timeoutonabandonedcallback" },
    { 0x28446C4688E44A26, "timeoutonabandoneddelay" },
    { 0x1A8697AFEB1B9D1D, "timeoutplunderextractionsites" },
    { 0x7404C2FE89F2B361, "timeoutradialunfill" },
    { 0xD3FC795399E57C7C, "timeoutregenfaster" },
    { 0x4A71B48C9E91282D, "timeouttime" },
    { 0x6DB5D10BC2F21203, "timeoutvfxname" },
    { 0x5BE7C65A31597433, "timeoutvofunction" },
    { 0x95BD0E6B7914557D, "timeoutwasoccupied" },
    { 0xD804086F6651188A, "timepaused" },
    { 0x584260A3C14179D2, "timepausestart" },
    { 0x6494F762D0D1839D, "timepenalty" },
    { 0x0910BC9E50F3192D, "timepercentagecutoff" },
    { 0x1893168D509019A9, "timeperiod" },
    { 0x04B798DFAAE3A3D6, "timeplacedinstack" },
    { 0x57A5A09932B31A7B, "timeplayed" },
    { 0xDA507BAA6537548B, "timeplayedonfirstspawn" },
    { 0x779AB350257D08A8, "timeplayerused" },
    { 0x0A37B7B45B8D7EEE, "timer" },
    { 0x0607E0A5582E046D, "timer1" },
    { 0x0607DDA5582DFDD4, "timer2" },
    { 0x0607DEA5582E0007, "timer3" },
    { 0x3A974E62DB02BB2D, "timer_active" },
    { 0xDD0AFB753E705445, "timer_cancel" },
    { 0x65A6C258B77CF449, "timer_countup_hud" },
    { 0x6D442CCDABA6C898, "timer_enabled" },
    { 0x6F9F9C4C2C0CD931, "timer_loop" },
    { 0x7403C08502DF820B, "timer_override" },
    { 0xD8348F94615BB8BD, "timer_paused" },
    { 0xD122C1191DDBC02E, "timer_penalties_hud" },
    { 0x895EA0A95F20E8C4, "timer_run" },
    { 0x41D2439AD8A75576, "timer_scoring_hud" },
    { 0x8F41FFB9D884D232, "timer_sequence" },
    { 0xE504A23A6A353075, "timer_total_hud" },
    { 0xD762234818D03FD2, "timeramount" },
    { 0x6D1886ACEBFA171B, "timerbackward" },
    { 0x06E6AC2E61691A04, "timerecorded" },
    { 0x8D096D5186B5D524, "timeremaining" },
    { 0x33374D6917832133, "timerforward" },
    { 0x6C19B7E5F681F773, "timerhud" },
    { 0x42DFF15A93106F5B, "timerleft" },
    { 0x7F3E7304E34AEF30, "timerlookleft" },
    { 0xF603A9A58A324005, "timerlookright" },
    { 0x44C7BC33ECA5660D, "timername" },
    { 0xEC982DCB0DD9528D, "timerobject" },
    { 0xD5C1BC66B7EAE341, "timerpausetime" },
    { 0x34D0205E118A4924, "timerright" },
    { 0xDFCFF5EEECFFF971, "timers_hud" },
    { 0xFD47A20A415A19F7, "timerstarttime" },
    { 0x6B9B18481CFA37B3, "timerstopped" },
    { 0x1E919C2870BAEA9F, "timerstoppedforgamemode" },
    { 0x4B9659DC5324DA4E, "timertexthud" },
    { 0xF131EF74ACFFB523, "timerwait" },
    { 0x0A37B8B45B8D8121, "times" },
    { 0xEDF7633216EC76FB, "times_hit" },
    { 0xEF52BC3A08C2731D, "times_in_a" },
    { 0xEF52B93A08C26C84, "times_in_b" },
    { 0xEF52BA3A08C26EB7, "times_in_c" },
    { 0x699AE026C76FCAEA, "times_kidnapped" },
    { 0x6DD530644A42048C, "times_nagged" },
    { 0xB49774584D6C0635, "times_played" },
    { 0x2333644FDF1CC002, "times_shot" },
    { 0xE3F827E3E60CA1FB, "times_used" },
    { 0x0ADB713750F8108C, "timesapchitbymine" },
    { 0x037159B4436F536A, "timescale" },
    { 0xE09ECC59A28B46F7, "timescaleold" },
    { 0xC456203E4A17157F, "timescaleramptime" },
    { 0x40C34D1C8A8BDFE4, "timesincelastdeath" },
    { 0x8C66DFFCFE7424B5, "timesincelastspawn" },
    { 0x5B7FC24F6D1F927A, "timesincelastweaponfire" },
    { 0xE7C58F279254E11F, "timesitemspicked" },
    { 0x5A9CFE6336A57E86, "timesitemstimedout" },
    { 0xA49B360847A73C82, "timeslfused" },
    { 0x801A27FE04045C23, "timespapused" },
    { 0x8843D4D50DB73A21, "timesperwave" },
    { 0x06D2EC6B4FADC40F, "timestamp" },
    { 0x9AF1D64BE3265EBA, "timestarted_expose" },
    { 0x8C6E3DD1FEBEFB2E, "timestarted_hide" },
    { 0x7490421B2B2907C5, "timestartwaitingtoshoot" },
    { 0x3C065FD44BF16101, "timesturretfired" },
    { 0xC1F027D6A50F32F8, "timetoadd" },
    { 0x3E307ACCD44FC04C, "timetodamage" },
    { 0x1CD4DED05F2F2D35, "timetolosetarget" },
    { 0xEFE1CE2880AACD20, "timetomove" },
    { 0x8F8D939075FB845A, "timetonextcheckpoint" },
    { 0x1108C44F0D79B9FC, "timeuntilbleedout" },
    { 0x1D3F28A538AC48D6, "timeuntilnextc130" },
    { 0x21606F10A2A3E4D7, "timeuntilrespawnc130" },
    { 0x87D261392701A07D, "timeuntilroundend" },
    { 0xCA6D05121149C18F, "timeuntilspawn" },
    { 0x459721C43019F879, "timeuntilspawnmessaging" },
    { 0xE2BAF34629E9181C, "timeuntilwavespawn" },
    { 0xF2999C9A0199234C, "timeupnotify" },
    { 0xBD6C80CD5CCDB851, "timevotrigger" },
    { 0x00C72B3B016CEACF, "timewithitem" },
    { 0xC02083E1952E0196, "tire_repair_start_air_start_sfx" },
    { 0x4C079DA4C4C4A0DE, "tire_repair_start_air_stop_sfx" },
    { 0x6D546378F3201F87, "tire_repair_start_enter_foley_sfx" },
    { 0xA6E159D9166D62BB, "tire_repair_start_exit_foley_sfx" },
    { 0xD304BCC9AC113947, "tire_rigs" },
    { 0x12AE6104861BB58E, "tireclips" },
    { 0x7C4CFD3A59634411, "tirednessfactor" },
    { 0xB878ECA68303EB3F, "tiresounds" },
    { 0x60F178ADCC5EBB0C, "tispawndelay" },
    { 0xAF24876C693D4ADE, "tispawnposition" },
    { 0x6FE2E4B4A61E2395, "titan" },
    { 0x7013CDB4A654803D, "title" },
    { 0xC4F251ECA87973B3, "tivalidationcheck" },
    { 0x242B40E1C36CC0AC, "tjugg_loadouts" },
    { 0xA6DE7BC59512DF6C, "tjugg_timerdisplay" },
    { 0xC2210839A9962C62, "tmty_interrogations" },
    { 0x52217118E1162991, "tmtyl_bomber_squadafterspawnfunc" },
    { 0xB159E4C37FE3D5B1, "tmtyl_cur_index" },
    { 0x9DFE02EBC53A6B28, "tmtyl_customworldid" },
    { 0x1218920D0C3E64B2, "tmtyl_finished" },
    { 0x227C34C9B4460963, "tmtyl_headicon" },
    { 0x5487F5F711ECAEE3, "tmtyl_interrogation_int_struct" },
    { 0x387AF011D47D324D, "tmtyl_punish_wave_ongoing" },
    { 0x7DD9A984FA1C9899, "tmtyl_vip_interactions" },
    { 0xFF6D4619C54FE7A3, "tmtyl_vipobjectives" },
    { 0x4DE94DA1FE807B1C, "tmtyl_vips" },
    { 0xCB140F947CB6345C, "tmtylsquadafterspawnfunc" },
    { 0xCDDE4678F5299E10, "to" },
    { 0x6CD6857F637954E4, "to_air_spawns" },
    { 0x3B3ED2AE6305D982, "to_balcony_catchup" },
    { 0x8288321119E12D9D, "to_balcony_main" },
    { 0x8A6E09B8A07A514C, "to_balcony_start" },
    { 0x3F459105351EFD16, "to_bhd_spawns" },
    { 0x2C97E26AEEA5D4A5, "to_blitz_spawns" },
    { 0xE7E789F59FE37204, "to_blitzactivebradleys" },
    { 0x0FB500CF975E6AD5, "to_dd_phase_1" },
    { 0xABFB08FCA14A2392, "to_dd_spawns" },
    { 0xFA68313BFF10E30D, "to_ddhvt" },
    { 0xDDEB4046078FAB5A, "to_hstg_spawns" },
    { 0xB6AD67A38890E2AD, "to_sam_spawns" },
    { 0x74A4492FA00ECFFC, "to_wmd_spawns" },
    { 0x8228CEC76B10BB38, "toggle_ai_settings" },
    { 0xBB032C4C432332F7, "toggle_alarm" },
    { 0x3CB19B703F8CD95B, "toggle_always_attempt_killoff" },
    { 0xFC63DAC04111A6DF, "toggle_ambient_vehicles_on_module" },
    { 0x62A84E82D672F9B0, "toggle_apc_objective" },
    { 0xB897A666F59755E8, "toggle_axismode" },
    { 0xA8CF0E453BCBB899, "toggle_cockpit_lights" },
    { 0x251523C9E7AEB5BA, "toggle_convoy_wheel_outlines" },
    { 0x3FAD43FC984D62CC, "toggle_createfx_axis" },
    { 0x42BCB4EFEEEA094D, "toggle_createfx_drawing" },
    { 0x23D3D4A14DDF6CE0, "toggle_custom_death_anim_settings" },
    { 0xC7C74A8879AD6549, "toggle_disable_nearby_structs" },
    { 0x122ED0831D759D70, "toggle_dynamically_from_doors" },
    { 0xD94F93F4E683C684, "toggle_entity_selection" },
    { 0xEA78F1E06BE5F9C2, "toggle_extraction_functionality_after_timeout" },
    { 0x6C6115B300E4E5CA, "toggle_farah_lights" },
    { 0x2D1A6C67803DC084, "toggle_flashlight" },
    { 0xD02E3D3BED853E07, "toggle_flashlight_fx" },
    { 0x316E0F63E84653A8, "toggle_force_stop_wave_from_groupname" },
    { 0x49F4A199405385D6, "toggle_fx_trap" },
    { 0x9D1E2F7B5FE98350, "toggle_ignore_all" },
    { 0xF8CA3B0B7DB86119, "toggle_in_use" },
    { 0x2042612E1DD63B8D, "toggle_kamikaze_for_group" },
    { 0xD2FE750EDDF6118F, "toggle_plane_combat_global_settings" },
    { 0xDA9CE56792ABB18F, "toggle_player_emp_effects" },
    { 0x8045D7391ED6478C, "toggle_player_pos_memory" },
    { 0x78EA6B6499FEB279, "toggle_player_settings" },
    { 0xE0330CC3110D098E, "toggle_poi" },
    { 0x82ACA847EABDDFF1, "toggle_poiauto" },
    { 0x06F55E88055B9908, "toggle_price_poi" },
    { 0xB8BD582ADC1AA75B, "toggle_respawn_functionality_after_timeout" },
    { 0x52C1805A5E3EDCFF, "toggle_safehouse_doors" },
    { 0xAE918CDC1A07C9FF, "toggle_safehouse_settings" },
    { 0x65A2951B201A4C0F, "toggle_snap2angle" },
    { 0xA36C68AE123332F7, "toggle_snap2normal" },
    { 0x8F1EED410AC7FF33, "toggle_spotterscope" },
    { 0x6D8FCDE1299554D4, "toggle_switch_model" },
    { 0x6902357564854F07, "toggle_team_emp_effects" },
    { 0x06E6F77302CEA2F2, "toggle_teleport_enemy_info_loop" },
    { 0x226B58063C73110E, "toggle_tire_outlines" },
    { 0xC2131456896DC5B1, "toggle_trap" },
    { 0x96B00B48065CB6E9, "toggle_trucks_disable_leave" },
    { 0xBF6112C994E1C783, "toggle_vo_on_convoy_death" },
    { 0x9228BCA11A99FAC3, "toggle_vo_on_hvt_pickup" },
    { 0x639AFBBF927A8226, "toggle_vo_on_hvt_rescued" },
    { 0x31A393C510D2EEE6, "toggle_vo_on_nearby_convoy" },
    { 0x44ACED42DB25BC18, "toggle_wind" },
    { 0x29613BB1EAEA7228, "toggleblastshield" },
    { 0x1FF835671439A1B5, "togglecellphoneallows" },
    { 0x13411B83FFB192FF, "toggleconnectpaths" },
    { 0x216A8F0981F82F58, "togglecpplayerbc" },
    { 0x2CA9FE5965D7FC14, "toggled_tire_outlines" },
    { 0x596C9DAAB075AE5C, "toggledrophintstring" },
    { 0x97D0575B5722CC25, "togglehvtusable" },
    { 0x4C95E938833DCD52, "togglekidnappers" },
    { 0xC6D535973C79FFA3, "togglelightbutton" },
    { 0x21BEB1E149992C2C, "togglescores_button_hold_monitor" },
    { 0x1A31B801404F15FD, "toggleuifunc" },
    { 0x0E9BE4B840F68B15, "toggleusbstickinhand" },
    { 0x9927F64A7BB5A711, "togglewavespawning" },
    { 0xC20CB6C66D234670, "toggleweaponsfree" },
    { 0x613E20721B223DBF, "tokenrespawned" },
    { 0x08C437D44AFF5A2A, "tokenrespawnwaittime" },
    { 0x03301FBC4BFEAAE9, "tokenreward" },
    { 0x1C891B83FAE8C32C, "tolerance" },
    { 0xCE475A45E43822D5, "tolower" },
    { 0xA4E20F3D56AEA7D1, "toma_cameras" },
    { 0x57A4908AB8F00C9D, "toma_strike" },
    { 0xB0659749D4BB3943, "toma_strike_branch_create_explosion" },
    { 0x10185D9C9C7CBFC7, "toma_strike_branch_is_complete" },
    { 0x4B87C17D552E4B7C, "toma_strike_branch_register_cast" },
    { 0xA08B4CC3E9FDB017, "toma_strike_create_branch" },
    { 0xD51EE225CCFC711E, "toma_strike_create_explosion" },
    { 0xFE9EF6947A8998D2, "toma_strike_delay_hide" },
    { 0xC214DE889CCBF8CF, "toma_strike_explosion_end" },
    { 0x27C7AD26DEAF5BB5, "toma_strike_get_cast_data" },
    { 0xAB940BBAF444C164, "toma_strike_get_cast_dir" },
    { 0x9B5BE227333ACC39, "toma_strike_get_cast_dist" },
    { 0x5B7A7D927A01FDCB, "toma_strike_get_shared_data" },
    { 0x88E6E38EF9CB9EDB, "toma_strike_getownerlookatpos" },
    { 0x849BA7460B4EA611, "toma_strike_handlemarkerscriptable" },
    { 0x2A47DA577B50C32C, "toma_strike_launch_cluster" },
    { 0x470ED834CF923938, "toma_strike_missile_explode" },
    { 0x378D95FE02AEAADF, "toma_strike_molotov_branch_draw_hits" },
    { 0xD815EEC925D724A9, "toma_strike_monitordamage" },
    { 0xB36A2D0357155B83, "toma_strike_move_killcam" },
    { 0x1F58D56B4AB3F1F6, "toma_strike_munitionused" },
    { 0x293463279E6F7AD0, "toma_strike_rebuild_angles_up_forward" },
    { 0x17E948E54474D3DF, "toma_strike_rebuild_angles_up_right" },
    { 0x37068B8A93E4BB37, "toma_strike_setmarkerobjective" },
    { 0x927AE52200854FAC, "toma_strike_shared_data_can_cast_this_frame" },
    { 0x788A488915393BA1, "toma_strike_shared_data_is_complete" },
    { 0xCB1FEA0E5D9177CA, "toma_strike_shared_data_register_cast" },
    { 0xBD0D2677B26932BE, "toma_strike_shared_data_register_ent" },
    { 0x96343B4B4D508153, "toma_strike_start_branch" },
    { 0xA21636ACCBD821B2, "toma_strike_start_explosion" },
    { 0x20D665D4B5F18472, "toma_strike_stuck" },
    { 0x186476627B90F216, "toma_strike_stuck_player" },
    { 0xF507F0E4EC05B437, "toma_strike_trace_offset" },
    { 0x3764BBBEA46D861D, "toma_strike_watch_airexplosion" },
    { 0x2C77828D56E2CC71, "toma_strike_watch_owner" },
    { 0x84EBB99F400775FA, "toma_strike_watch_stuck" },
    { 0xAEF6CF14B7EC6F6A, "toma_strikes" },
    { 0x54E8B1CD12DCC100, "tomastrike_attacktarget" },
    { 0x5DA7AB5B22F46FE6, "tomastrike_explode" },
    { 0xC307734D0A23F7EF, "tomastrike_findoptimallaunchpos" },
    { 0xC8111F0EB5F44263, "tomastrike_firestrike" },
    { 0x63B76F5C15D014E2, "tomastrike_getbombingpoints" },
    { 0x84FDD9545A2141D4, "tomastrike_getmissileendpos" },
    { 0x35DCCFF60F2D69CC, "tomastrike_getownerlookat" },
    { 0x05EEA7D8B55F2796, "tomastrike_getrandombombingpoint" },
    { 0x784477364D24D15C, "tomastrike_handlemissiledetection" },
    { 0x122AA236E7EEBC18, "tomastrike_isflyingkillstreak" },
    { 0x1685BB12DBC0EF92, "tomastrike_isflyingvehicle" },
    { 0x39271213CA0E303F, "tomastrike_ismarkertype" },
    { 0x1282D5D37D192A19, "tomastrike_isremotevehicletype" },
    { 0xDC21D4C761EF1852, "tomastrike_modifydamage" },
    { 0x91C0663C59A28BC3, "tomastrike_movetargetguide" },
    { 0xB50194AF6E10DE84, "tomastrike_playearthquakeloop" },
    { 0x76DA4FED306E4060, "tomastrike_playercameratransition" },
    { 0xD3F3CBAE2EE485BE, "tomastrike_returnplayer" },
    { 0xD49D5DB5E8495B39, "tomastrike_screeninterference" },
    { 0xC5625D03B31F5E4B, "tomastrike_startlasertarget" },
    { 0xA68552F8FE6A6851, "tomastrike_watchammousage" },
    { 0xFD8C3BBF4F8BB947, "tomastrike_watchcameraswitch" },
    { 0x2A0C31B51F0C4609, "tomastrike_watchdamage" },
    { 0x0D8C640EB38D2F87, "tomastrike_watchdeathdamage" },
    { 0xBC0277228F7A9263, "tomastrike_watchdestroyed" },
    { 0x206D34E1E7C67CC8, "tomastrike_watchdronedeath" },
    { 0xA7E5825B1B3154B7, "tomastrike_watchearlyexit" },
    { 0x374FA15DDC7F4327, "tomastrike_watchgameend" },
    { 0x7476D5983802269B, "tomastrike_watchgoal" },
    { 0x14C22330781BAC88, "tomastrike_watchlaserrelease" },
    { 0x683888E4A07F453E, "tomastrike_watchlasertarget" },
    { 0x1414757A89943307, "tomastrike_watchleave" },
    { 0xAB0998A56CF0A93B, "tomastrike_watchlifetime" },
    { 0xB779A66582F1C07F, "tomastrike_watchowner" },
    { 0xE4AF1895E5BE0427, "tomastrike_watchreturnplayer" },
    { 0x7B32C27A486130CC, "tomastrikebeginuse" },
    { 0x7936C4A9A7534F69, "too_close_to_other_blocker_vehicle_in_front" },
    { 0x744AF4A6FE355404, "too_close_to_other_bodyguard_vehicle_in_front" },
    { 0x96740946F15D5735, "too_close_to_other_interactions" },
    { 0xEC6CFDA8A41BFFC3, "too_far" },
    { 0x097B6F44F28343E4, "too_far_dist" },
    { 0xE49C97041CC4F3E5, "too_far_dist_sq" },
    { 0x9E5695726CF2A914, "tookbreath" },
    { 0x1DB5FA7F3030C8A9, "tookvesthit" },
    { 0x9112A643D50AB696, "tookweaponfrom" },
    { 0x07E4478C410881A5, "tool_hud" },
    { 0x43745AA51DCAD9E0, "tool_hud_visible" },
    { 0xA54F0C86699050EB, "tool_hudelems" },
    { 0xE9735C032A874D20, "top" },
    { 0xA7125779F68C3DF6, "top_left_sight_checker" },
    { 0xE8F43A0C1E03671B, "top_roof_enemy_watcher" },
    { 0xE7C8B108BFC0D770, "toparc" },
    { 0x56E385D3BB8E840D, "topaxisplayers" },
    { 0x9380A1E432C00202, "topkillstreakcharge" },
    { 0xA8239F9232F49AD0, "toplosingplayers" },
    { 0x025011A1CE160FAD, "topmodel" },
    { 0xE3EDBADD5551EC26, "toppercentagetoadjusteconomy" },
    { 0x9DB4AC4BF71BB3B2, "topplayers" },
    { 0x8A40C565519EF536, "toppoint" },
    { 0xFCFCA2001A884919, "topteam" },
    { 0x48C0EBED7FEAFFE6, "topteamsever" },
    { 0x26EF9C11162E951C, "toptrigger" },
    { 0x0691EC902CE1800C, "toptriggerthink" },
    { 0x62D6B25894A1CC22, "toptriggertrackplayer" },
    { 0x70DE21AD747B3795, "topwatchtrigger" },
    { 0xCB4CA29DA1614802, "torrent_start" },
    { 0xBC2C8629B5F95644, "torso_center_anim" },
    { 0x868AF77515061940, "torso_left_anim" },
    { 0x5B8F71F863088FA9, "torso_leftback_anim" },
    { 0x09EFD1BDA91EBD46, "torso_leftright_anim" },
    { 0x7D6E27B6447C127F, "torso_right_anim" },
    { 0x73D3CF89FE784AD6, "torso_rightback_anim" },
    { 0x365F1C32C9E74B36, "toss_glowstick" },
    { 0x4169F34055855408, "tossclip" },
    { 0xA1BA77F63E3FB375, "tossed_flares" },
    { 0x56733B22F45CECEC, "tossgun" },
    { 0x9814422C47656D81, "total" },
    { 0xD78C52AABC8A0D39, "total_cluster_spawn_score" },
    { 0xCE6D59B50E42646D, "total_currency_earned" },
    { 0x2E5B1A84B8330460, "total_cut_progress" },
    { 0x7E9E743E457ADC8E, "total_dist" },
    { 0x1888015BB4C0B3A4, "total_grid_points" },
    { 0xD72F6AA2AC70348F, "total_killed" },
    { 0x97E78246A88FB73F, "total_match_headshots" },
    { 0xB7134BAE2632CD6A, "total_puddle_count" },
    { 0x4FBB699F73DD3620, "total_spawn_score" },
    { 0x22A40D4EC9DBD40B, "total_spawned_enemies" },
    { 0x9688163E98383176, "total_spawns" },
    { 0x2577B644A32786BC, "total_successful_vehicle_spawns" },
    { 0xD8E9F908930A036B, "total_tags_banked" },
    { 0x5EB85FCAA591383B, "total_time" },
    { 0xF6DAA4B12C5BF0A7, "total_trap_kills" },
    { 0xFB77C1EE06F39F00, "total_veh_spawn_score" },
    { 0x481FFD8D373737DA, "total_z_planes" },
    { 0x312C6C5B84A5B054, "totalactivecounteruavs" },
    { 0x1BC9731723C0391A, "totalactiveuavs" },
    { 0x74F4F430DA4B5CE5, "totalapacheresponses" },
    { 0xE1D80ACCC7728521, "totalappliedpoints" },
    { 0x01A1FBD8EF23D95D, "totalbarriers" },
    { 0x4EA7DC13DA8EDB37, "totalcashongroundatstart" },
    { 0x8F1B3848B8928288, "totalcollecteditems" },
    { 0x364F20A9E24A870C, "totaldamage" },
    { 0x9D5B2FCCB619ADE3, "totaldamagetaken" },
    { 0x41F910B0C560E131, "totaldata" },
    { 0xCE5CCDB070CD6635, "totaldist" },
    { 0xD46A41C0B1DBCCCC, "totaldisttracking" },
    { 0x286849933868EE93, "totalhealth" },
    { 0x838C16AB33C83016, "totalmeter" },
    { 0x64897949E8B2467F, "totalmuncurrencyearned" },
    { 0xBA507B27A8359E0D, "totalplayers" },
    { 0x1ABE04CF5CC4868A, "totalpoints" },
    { 0x8E77EB4FCCCF352C, "totalpossiblescore" },
    { 0xA6341CAD0B192998, "totalprobability" },
    { 0xF9D2055DED57B81E, "totalroundtime" },
    { 0x72A80CB3387304BB, "totalscavengeditems" },
    { 0x06E2FFA97025EC89, "totalscore" },
    { 0x4DED6CC7B842CFB8, "totalscorelimit" },
    { 0xF85F1F666203D05D, "totalspawns" },
    { 0x0F658A1FEA06EFA3, "totalspottercount" },
    { 0x1379683CD7E8D8D5, "totalstructs" },
    { 0x4C20AA21664D7CF8, "totaltime" },
    { 0x7BBB1FDA9EF3EDE0, "totaltimeelapsed" },
    { 0xD5789EB59A823FF9, "totaltracecount" },
    { 0x48157F630A2A7D8F, "totaltrainlootcrates" },
    { 0xD4C0BA1F30F2B18E, "totalwaitframes" },
    { 0x3700D31B83A4A4CE, "totalweaponxpearned" },
    { 0xE74E152B80AEE0F2, "totalxpearned" },
    { 0xA9D1692C55952BD4, "touch" },
    { 0xD6BABE8CA8D50198, "touch_once" },
    { 0x0D5613AE71766357, "touchdown_origin" },
    { 0x0352A7F9162DB7C5, "touched" },
    { 0xC52CFB73F1B79EE0, "touched_trigger_runs_func" },
    { 0x5AAA701189447158, "touchedmovingplatform" },
    { 0x2BAE06CC475BAB84, "touching" },
    { 0x93951254F59ADB46, "touching_platform" },
    { 0x3065DD7023038D9D, "touchingarbitraryuptrigger" },
    { 0x0A7EF6C29AFB89B9, "touchingbadtrigger" },
    { 0xE08DD4B3ECB3D251, "touchingballallowedtrigger" },
    { 0xF3D08E54C4819250, "touchingdroptonavmeshtrigger" },
    { 0x392F9AE5F51C03FA, "touchinggameobjects" },
    { 0x1CBE66999B6528EF, "touchingnozonetrigger" },
    { 0x589B520BEA3D7584, "touchingoobtrigger" },
    { 0xA77E32BA26C8D201, "touchingplayerallowedtrigger" },
    { 0x2976C3CB94AC1E1C, "touchlist" },
    { 0x49CA30D1ECEE90F2, "touchtimes" },
    { 0x278E7ACF853C97B1, "touchtriggers" },
    { 0x30735AAE3F3643FF, "toughenedup" },
    { 0xF14291FB3F13F378, "tovehiclelocaloffset" },
    { 0x61C7C83D1429804F, "tovehiclevector" },
    { 0x227419448094980A, "tower_ai_thread" },
    { 0x086C9DC9903982DC, "tower_comment" },
    { 0xDE0198B5329CCF81, "tower_damage_check" },
    { 0xE591D6D11D3B6801, "tower_drone_target" },
    { 0xE7DA7E0F8BC00509, "tower_elevator" },
    { 0x4821C24B53E8B900, "tower_ground_mortar" },
    { 0x6E5831D7E0B6FB6D, "tower_ground_mortar_2" },
    { 0x82E80088694CBE15, "tower_guy_cleanup" },
    { 0x308C607A2803FD08, "tower_guy_tarmac_spawn_func" },
    { 0xA2D1E608AB94E291, "tower_spawner_killer" },
    { 0x7CA5A61E52AFD840, "tower_spawner_logic" },
    { 0x473E68A206747F2B, "towerkills" },
    { 0x2B6FCBFA0251F771, "towerstairs_getallycovernodes" },
    { 0x76C0EE4395765D04, "town_getallycovernodes" },
    { 0x613D70FE61F7CB99, "town_technical_01" },
    { 0x7F0AF09347395763, "town_truck_lights" },
    { 0x5DCEE43CC247F035, "townhouse_stealth_settings" },
    { 0x9A0E7D9575A25341, "townhousevolume" },
    { 0x6024F1C1651E98B1, "tr_circletick" },
    { 0x8E6F58DB618758C0, "tr_createquestlocale" },
    { 0x28CB7A092C3DCCD9, "tr_detectwinners" },
    { 0x05C4577ED7353BEA, "tr_entergulag" },
    { 0xB9793586A8970081, "tr_findvehicle" },
    { 0x085FF6393BC4FB61, "tr_kiosksearchparams" },
    { 0xB15B3A4A0C0AC1CF, "tr_ontimerexpired" },
    { 0xD19118DBC1874F33, "tr_playerdisconnect" },
    { 0x37938918D10044E5, "tr_removelocaleinstance" },
    { 0x3B91995AE385959D, "tr_removequestinstance" },
    { 0xF80CFEBA941BF7BC, "tr_respawn" },
    { 0x359FD497253856D2, "tr_vehiclesearchparams" },
    { 0x8D1D6E4A9FA8B7FF, "tr_vis_facing_dist_add_override" },
    { 0xE30FC7FF0579AB01, "tr_vis_radius_override_lod1" },
    { 0xE30FC4FF0579A468, "tr_vis_radius_override_lod2" },
    { 0xB1F839DE94CD3022, "trace" },
    { 0x5E793452E2EF3BF6, "trace_completion_thread" },
    { 0x3BCF287714682739, "trace_contents" },
    { 0xB614FC437938974F, "trace_data" },
    { 0x773E2B19C8B3877C, "trace_data_colors" },
    { 0x6F6EF22FBFEA237D, "trace_for_stairs" },
    { 0x26FC9BCE3FA9BCD5, "trace_impale" },
    { 0x124F229BB43FCB70, "trace_location" },
    { 0xF445743114BB1DF0, "trace_part_for_efx" },
    { 0xEB4FA00FB88BDED3, "trace_part_for_efx_cancel" },
    { 0x5102BE9F367ACA6D, "trace_result_hits_surface" },
    { 0xF517E06FB96CEBC9, "trace_to_eye_weight" },
    { 0x04025A41BBADEF4A, "trace_to_origin_weight" },
    { 0x4831D675C2E62691, "traceangle" },
    { 0x2A0F8271DC23EFCF, "tracecountbyphase" },
    { 0xA02F9A2CD92C6B4A, "tracegroundheight" },
    { 0x8BC1DA0665C3E1AE, "tracegroundheightexfil" },
    { 0xA6EDD063FD607269, "tracegroundpoint" },
    { 0x3B56773270263902, "tracenewpoint" },
    { 0x321794813F413FF0, "tracer" },
    { 0xADC5B1D711E9E98B, "traceresultisvalid" },
    { 0x46F27BF8D5BAF2F8, "traceresults" },
    { 0x321795813F414223, "traces" },
    { 0xCCE5367CDD56C26B, "traces_count" },
    { 0x0728502D6BA5E69C, "traceselectedmaplocation" },
    { 0xCE43FD8EADFBA6BA, "tracestart" },
    { 0x3DC510D278C27DA5, "tracetimebyphase" },
    { 0xB1F83BDE94CD3488, "track" },
    { 0x7EEF1DF36AD1397D, "track_achievement_death" },
    { 0x0F9942CD9516B7A7, "track_consecutive_kills" },
    { 0xDA7D12AE082EFF63, "track_dialogue" },
    { 0x9AE54C7160D4EEFB, "track_flir_footstep" },
    { 0x2137D8C3AA6DA703, "track_fob_helo_spawn" },
    { 0x9DC4A1D0395CE448, "track_forward_velocity" },
    { 0x6920EAB34E1506C6, "track_fulton_uses" },
    { 0x474E6EBB24224085, "track_get_launch_target" },
    { 0xBB88148352FC9137, "track_get_launch_velocity" },
    { 0x8BCD46AD4CC982B9, "track_get_reward_time" },
    { 0xAC832BB170B76B6B, "track_get_reward_time_string" },
    { 0xCF62551F4959AE4D, "track_get_teleport_target" },
    { 0x1A73366DB528FC5F, "track_get_teleport_velocity" },
    { 0x28ECEEABEFD73164, "track_gunship_uses_per_player" },
    { 0xAA4ABF9E96331F64, "track_hellfire_kills" },
    { 0xE2008FB6790E85DA, "track_hellfire_tower_kills" },
    { 0xAF3B3476FC8D3D63, "track_hellfire_vehicle_kills" },
    { 0xE67ECB553B2C9160, "track_if_player_throw_smokes" },
    { 0x55DD82F6E5B01DFE, "track_is_operational" },
    { 0x9B9A2FE2478D73FF, "track_last_good_position" },
    { 0xA095DF7718F29789, "track_player_achievements" },
    { 0x873F281448498233, "track_player_combat_time" },
    { 0xC023E407119051BA, "track_player_humvee_speed_monitor" },
    { 0x66402E8A4ED9D01B, "track_player_indoors" },
    { 0xE9A9F5547648CB59, "track_player_light_meter" },
    { 0xF02BB72291C7F850, "track_player_rpg" },
    { 0x8301475BE3B8FCE3, "track_player_smoke_grenade" },
    { 0x705723BC39086692, "track_player_weapon_fire_time" },
    { 0x4E7AD8A96AFBA8B9, "track_pos" },
    { 0xD4CC14A53F61C398, "track_settings" },
    { 0x42430FCCF3E348D8, "track_target_delay" },
    { 0x2704BC438558F476, "track_target_group_complete" },
    { 0xAC40BCA176404061, "track_timer_think" },
    { 0x1740A7E35F3831C5, "track_tire_damage" },
    { 0xE1DF04531AFC765F, "track_train_damage" },
    { 0x079C14C9926D82DF, "trackasm" },
    { 0xFF179CC8D84DEDFF, "trackattackerleaderboarddeathstats" },
    { 0xE06CBB54F58CB41A, "trackbuffassist" },
    { 0x9AF7BE6441422BE0, "trackbuffassistfortime" },
    { 0x910C4CC2E247274C, "trackcarepackages" },
    { 0x1C1C980D3A276DEA, "trackcarpunches" },
    { 0x026CD8B9CD154B44, "trackcarrier" },
    { 0x38E52E75A44D50F1, "trackcashevent" },
    { 0xEE0A3AC49FE32107, "trackchallengetimers" },
    { 0xC1FDE927542D49B2, "trackcratemantlingexploit" },
    { 0xE56EAA5DD0E0B681, "trackdebuffassist" },
    { 0x09B852234CB636C5, "trackdebuffassistfortime" },
    { 0x5C2EED0A80ADC418, "trackduration" },
    { 0x5D7085EBF9DD996B, "trackedlittlebirds" },
    { 0xD298DADAB5190A26, "trackedobject" },
    { 0x9E0859EC517D009A, "trackedtanks" },
    { 0x3623912D69C04757, "trackendangeredobjs" },
    { 0xD2615160AD5EB752, "tracker_bullet_hit" },
    { 0x4350D6C9BECF02A4, "trackers" },
    { 0x68482DE4E98BE300, "trackfreeplayedtime" },
    { 0x62D6E4F85F970B82, "trackgametypevips" },
    { 0x182E3E13C9E5085F, "trackgrenades" },
    { 0xF7E873F4CC5252A1, "trackhiddenobj" },
    { 0xF55156AB288B4D97, "trackhostmigrationend" },
    { 0x6A85710B74A4D8B3, "tracking_enemy" },
    { 0x1BA183B0B976BAAC, "tracking_hints_calltrain" },
    { 0x5704BC264F558DEB, "tracking_init" },
    { 0xBF912D221A11E8A0, "tracking_max_health" },
    { 0x126584E568901979, "tracking_munitions_purchase" },
    { 0x12521BF5327FDCD1, "tracking_obit" },
    { 0x4C2B0268F6134838, "tracking_speed" },
    { 0x616BBFF5F91E9985, "tracking_time_to_pickup" },
    { 0x09579A42F66B4548, "trackingdata" },
    { 0xEE0DF7B66A86E839, "trackingteam" },
    { 0x38AC4B6F988FF5F4, "trackingweapon" },
    { 0x9E4779A9DB0397FF, "trackingweapondeaths" },
    { 0x4C9604EBA10A2DF7, "trackingweaponheadshots" },
    { 0x4B4E272C43201C8E, "trackingweaponhits" },
    { 0x09211B361A5A2055, "trackingweaponkills" },
    { 0x519E4164BFD54F85, "trackingweaponshots" },
    { 0x409C74946D8F391A, "trackinit" },
    { 0x76F4393AF700F344, "trackkillsforpassivenuke" },
    { 0x48770794B0FBFD30, "trackkillsforrandomperks" },
    { 0x12F11D51C27749BD, "tracklaststandforpassivenuke" },
    { 0xDCAFB96CC8EE79C4, "tracklaststandforpassiverandomperks" },
    { 0x5D2B39B49903C7D6, "trackleaderboarddeathstats" },
    { 0x310E17D7290E52B6, "trackloop" },
    { 0x3A10ED0B3F092F62, "trackloop_anglesfornoshootpos" },
    { 0xB0E9FBD9EC38820E, "trackloop_clampangles" },
    { 0x41DE507D9C30CFEC, "trackloop_cqbshootpos" },
    { 0x0121CAC1A0E0EB41, "trackloop_getdesiredangles" },
    { 0xCA3C9861731E07F8, "trackloop_restoreaim" },
    { 0x8575354BC2FA0C65, "trackloop_setanimweights" },
    { 0x386DA65BDAD8C74F, "trackloop_setanimweightslmg" },
    { 0xAD0B0CF720014250, "trackmaxdistancethreshold" },
    { 0xCB3617CA7F8337AA, "trackmindistancethreshold" },
    { 0x92963BF385186E30, "trackmissile" },
    { 0x78D41B8DB4BA7D59, "trackmissiles" },
    { 0x8AA1305C33D36400, "trackmoverup" },
    { 0xCED365F59687E57E, "trackmovingplatformtilt" },
    { 0x11118F3109611CAB, "tracknonoobplayerlocation" },
    { 0xF20E9BF2B8E39C92, "trackplayedtime" },
    { 0xDD799212B677640B, "trackplayedtimeupdate" },
    { 0xE4ACA96F4C3F73B3, "trackriotshield" },
    { 0xD170B1F559573D4A, "trackriotshield_grenadepullbackforc4" },
    { 0xC2400FF2BD0EBCA2, "trackriotshield_monitorshieldattach" },
    { 0x6FBC7A8AEC756D96, "trackriotshield_ontrophystow" },
    { 0xE4131E0DCBC9B81D, "trackriotshield_tryarm" },
    { 0xEEA0859C8E72CDDA, "trackriotshield_tryback" },
    { 0x5C908436392BD42A, "trackriotshield_trydetach" },
    { 0x1B257455BAFF3958, "trackriotshield_tryreset" },
    { 0xCFF31D8F99452907, "trackriotshield_updateoffhandstowignorec4" },
    { 0x70A137B51EDCA023, "trackriotshield_watchcancelswitchaway" },
    { 0x2E3C74EEEC7F93B4, "trackriotshield_watchswitchawayfromshield" },
    { 0x3220A5813F4B8401, "tracks" },
    { 0xA9BAD8FD31E51D80, "trackserverend" },
    { 0xECB4BEA37706FF1D, "trackshootentorpos" },
    { 0xECCAA0F844BF4A86, "trackteamchanges" },
    { 0x4D932FF83829CA02, "tracktimealive" },
    { 0x00A009DD47E68F1B, "tracktimeringingfrenzy" },
    { 0x0E75FFDD7CA0C247, "tracktoaccel" },
    { 0x8D790534D30367EE, "tracktodecel" },
    { 0x43A84F7C43D11D98, "tracktotime" },
    { 0x35A48A5075C9989F, "trackturnofflaser" },
    { 0x51DB49191504D531, "trackturnonlaser" },
    { 0x3C565EF3BB372B1B, "trackvelocity" },
    { 0x09BA9D0DBD40D9D6, "traffick_civ_1" },
    { 0x09BA9C0DBD40D7A3, "traffick_civ_2" },
    { 0x09BA9B0DBD40D570, "traffick_civ_3" },
    { 0x09BAA20DBD40E4D5, "traffick_civ_4" },
    { 0x09BAA10DBD40E2A2, "traffick_civ_5" },
    { 0x09BAA00DBD40E06F, "traffick_civ_6" },
    { 0x1D104C5FB0D1F7AD, "trafficked_scene" },
    { 0x99AA2FE04064C5BA, "trafficked_scene_kill" },
    { 0x9B8B56AB43643601, "trafficked_scene_solo" },
    { 0xC8B9D4CF1985D1DC, "trafficking_anim_node" },
    { 0xC9A15B124E59011E, "trafficking_truck_vehicle" },
    { 0xB2243EDE94FDA187, "trail" },
    { 0xF2D8EEDF8E876216, "trail_fx" },
    { 0x65DEF028697ACB1C, "trailer" },
    { 0x76E82E35292E4F6C, "trailer_car_drive_off" },
    { 0x1B6E770F2F53520F, "trailer_civ_setup" },
    { 0xFA9349EFCB315922, "trailer_left_cars" },
    { 0x3C5E5E380B695CDB, "trailer_start" },
    { 0xB22440DE94FDA5ED, "train" },
    { 0x81170E737B4A52BF, "train_array" },
    { 0x5EE85D577F596F3B, "train_associate_models_with_brushes" },
    { 0xC975018BEFF13213, "train_attach_brushes_to_models" },
    { 0xB2F11658B7210D44, "train_attach_light" },
    { 0x7CB2D70558FEE403, "train_attach_models_to_assembly" },
    { 0x620662CA1033EBA0, "train_attach_player_hurts" },
    { 0xB166E3BCEFF02068, "train_attach_useable_ammorestocklocation" },
    { 0x04EF89C5D5B40AA9, "train_car_audio" },
    { 0x75472B6E92BF8F25, "train_car_length" },
    { 0x31CF500B3D9AD56A, "train_car_model" },
    { 0x5171360B000D5CFA, "train_check_if_player_nearby" },
    { 0xBC5C93FAD423B12F, "train_check_if_player_nearby_proc" },
    { 0x5C1E3C1C7C9FEB45, "train_collision_item_valid" },
    { 0xD4B690B70016251A, "train_delay_handler" },
    { 0xF4A9690DCD2F4E14, "train_elements_disable" },
    { 0xE4E60468E90B22C7, "train_elements_enable" },
    { 0x25F10F75C32D65B1, "train_end_model" },
    { 0xD463640E5C3C1756, "train_get_anim_ents_index" },
    { 0x5AE4861A1DAC7179, "train_get_anim_to_play" },
    { 0xCCA29E7B3296E568, "train_get_num_of_anim_ents" },
    { 0x17E222088270CF64, "train_go" },
    { 0xCE5B6B00CBBD16FA, "train_handle_collide_crate_br" },
    { 0x24132B8C9856D25A, "train_handle_collide_mines" },
    { 0xC008BE42C80D9BC6, "train_handler" },
    { 0xC191C635CD387F5B, "train_horn_sfx" },
    { 0x41E671D07F5A96B6, "train_hurt_damage_watcher" },
    { 0x1696C63A5030E4E6, "train_init_as_vehicle" },
    { 0xAB5ECCAF2120FF64, "train_init_lootcrates_on_train" },
    { 0xBAC1405E6155F2C4, "train_initcollision" },
    { 0x02EAFA86D0480A0D, "train_light_flicker" },
    { 0x0E1DF5AFB8CC1B7B, "train_lootcrates_save_offsets" },
    { 0xE7302316A09657B9, "train_minimap_icon_attach" },
    { 0x00FFC836A35D0083, "train_minimap_icon_detach" },
    { 0x4531201485ABE963, "train_move" },
    { 0x5A2D9A89CCE1BCA5, "train_move_test_train_car_thread" },
    { 0x8F0E2DA9C4DF0050, "train_mover_test" },
    { 0x3BAC39B1E43F653E, "train_nav_blocks" },
    { 0x58CE506926A17FF4, "train_parts" },
    { 0x9F3A9434F0E5BA40, "train_play_anim" },
    { 0x939DEAD73A4E94EB, "train_play_anim_init" },
    { 0xB0F04C5C4AB05A33, "train_rumble" },
    { 0x24F8030E77EFCEF7, "train_scriptable_attach_delay" },
    { 0x1589B397915FBE59, "train_sfx_1" },
    { 0x1589B097915FB7C0, "train_sfx_2" },
    { 0xBEF448EA7CFE1298, "train_sfx_init" },
    { 0x81081634E9CC9E22, "train_sounds" },
    { 0x9495B10DA5302A41, "train_start_from_struct" },
    { 0x60B47010861B27BE, "train_stop" },
    { 0xF4C98D868003AA1D, "train_stopper" },
    { 0x4873061BB1E36690, "train_tag_array" },
    { 0x89B6608AF766B8DB, "train_tagoffset_array" },
    { 0x886D967A67243192, "train_thread" },
    { 0xA0682652B089A8BD, "train_track_velocity" },
    { 0xC3C8AD871543182D, "train_vfx_init" },
    { 0x7AF05D2785B13D6C, "train_wzcircle_override" },
    { 0x9031D1E6EA48131E, "train_wzcircle_time_subtractfrom" },
    { 0x0EBD630704D95C39, "traincar" },
    { 0x9990F38EE238BE47, "traincar_hurt" },
    { 0x06D944425E88371E, "traincar_wait_until_shown" },
    { 0xFCCEFD66056FFA6F, "traincolignorelist" },
    { 0xCAE43D837D1B93AA, "traincylestolink" },
    { 0xB9D47106C7645002, "trainent" },
    { 0xA9021D2E123214DC, "trainmove" },
    { 0x291A375D09F0978F, "traintracefails" },
    { 0xA79E80C9329FA1B9, "traintracerelpos" },
    { 0xE9AF8133097D00BD, "traintracesuccesses" },
    { 0x7E5E65026350CD71, "trainwaittime" },
    { 0xB22426DE94FD6CBF, "trait" },
    { 0x4A84992CA7D33744, "trajectory" },
    { 0x0840ECE7A1B9391B, "trajectorycalculateexitangle" },
    { 0x7578AF7C1677CA57, "trajectorycalculateinitialvelocity" },
    { 0x078821672C314A9F, "trajectorycalculateminimumvelocity" },
    { 0xB4F6A86C61DF5621, "trajectorycanattemptaccuratejump" },
    { 0xA4F2C7B2516469F2, "trajectorycomputedeltaheightattime" },
    { 0x928B1DD10126EE48, "trajectoryestimatedesiredinairtime" },
    { 0x2909CC10719523D8, "trajectoryupdateoriginandangles" },
    { 0xCAEFAA0937200862, "transactionid" },
    { 0xA5623911805ECC5A, "transfer_damage_to_player" },
    { 0xF4EDA5C3EF7EA20F, "transfermarkstonewscriptmodel" },
    { 0xA9375CC0F47ADA2E, "transformmove" },
    { 0x63492AD568AFBCCD, "transient_collision_grid_enabled" },
    { 0xCA7BEC2BF480AEB1, "transient_entity" },
    { 0xE96A205E34273E38, "transient_init" },
    { 0x777D0BA3951B838A, "transient_load" },
    { 0x4582B4C168FB3A4C, "transient_load_array" },
    { 0xAE5604A5E0562296, "transient_load_boss" },
    { 0xE9DA680281D397F1, "transient_load_poppies" },
    { 0x22DAE2E5E51B5B0B, "transient_load_town" },
    { 0x86F54BD175A966F6, "transient_loading" },
    { 0xF297A92E659AE1F0, "transient_prefab" },
    { 0xD5D28D03EF1B7824, "transient_prefab_group" },
    { 0x7E538F9F80D0B015, "transient_prefab_override" },
    { 0x46E113A4196ECD9A, "transient_switch" },
    { 0x109C919EA747A50D, "transient_unload" },
    { 0xB8D2F3EFACA2E01F, "transient_unload_array" },
    { 0xBCFC4D1ACB68F147, "transient_unload_boss" },
    { 0xC34219A8CED5E20C, "transient_unload_carried" },
    { 0x0EB3C22F6AB8C248, "transient_unload_light_tut" },
    { 0x0A6B2AAC4B71C296, "transient_unload_load" },
    { 0x6F92D24EADDF5702, "transient_unload_poppies" },
    { 0x942E2E763B22EE0E, "transient_unload_town" },
    { 0xC3DBD1D54455DE9F, "transient_unloadall_and_load" },
    { 0xF8FD6F4CB2F36EF8, "transient_waittill" },
    { 0xB21B53FB6DED3609, "transient_world_autolod_enabled" },
    { 0xA9308B9EF25B21E9, "transient_world_grid_size" },
    { 0x7DE887334BDBAAD4, "transient_world_max_output_tris_lod_1" },
    { 0x7DE88A334BDBB16D, "transient_world_max_output_tris_lod_2" },
    { 0x125804929C2A80A8, "transient_world_output_texture_dims_lod_1" },
    { 0x125807929C2A8741, "transient_world_output_texture_dims_lod_2" },
    { 0x6C0523C97B8AFFB4, "transient_world_proxy_collision_distance" },
    { 0x6F38A2806C92005C, "transient_world_proxy_cull_distance" },
    { 0x66B107893072B546, "transient_world_proxy_cull_playspace_proxies" },
    { 0x15095FE61DCB7E7F, "transient_world_root" },
    { 0x825E6520576012E7, "transient_world_submap" },
    { 0x451904CD6D1680D2, "transientname" },
    { 0x19379A767D9B94D5, "transients_synced" },
    { 0xECA8FBDEC5AA0B31, "transition_arrivalisstopped" },
    { 0x86B5E6B7A84034FD, "transition_flashfinished" },
    { 0x79B4A74C3E784FE7, "transition_interrupted" },
    { 0x92A14F6FD7883CEA, "transition_isburning" },
    { 0x9D8E419D59AAE4EE, "transition_isflashed" },
    { 0x5F0BFF0AB66DBB23, "transition_parachutestate" },
    { 0x8A8970E00379B1C3, "transition_point" },
    { 0x25F4ECA7A4A1C610, "transition_points" },
    { 0x54802220FBF4324B, "transition_snd_org" },
    { 0x053F168C8617CB87, "transition_to_airfield" },
    { 0xAF18ED5534B51982, "transition_to_next_section" },
    { 0x67689ABEF037E333, "transition_to_point" },
    { 0xA6519DEFE811018C, "transitionac130tomovinganim" },
    { 0xEC2596BF8C872A4F, "transitionarray" },
    { 0x863E78B5AFFF1C6E, "transitioncircle" },
    { 0x42A5228C0092489C, "transitionedfromrun" },
    { 0x03D7AFEA03A91D0F, "transitionfadein" },
    { 0x76014AA64F797714, "transitionfadeout" },
    { 0xAAA562EC88992F04, "transitionplayersoutofac130cinematic" },
    { 0xE32FE50FFC6A53A8, "transitionplayerstoac130cinematic" },
    { 0x72269A8DB6886952, "transitionpulsefxin" },
    { 0x5ECDA69F51669D69, "transitionreset" },
    { 0x89F69D604C8B16CF, "transitions" },
    { 0x709D14EA2F96CF28, "transitionslidein" },
    { 0x5E06B306BEC0854D, "transitionslideout" },
    { 0x4C168A2B9FD1489E, "transitionzoomin" },
    { 0x096763F06383705F, "transitionzoomout" },
    { 0x63D979A46A1269AB, "translate_and_rotate_from_level_overrides" },
    { 0x17AD2B54930479A0, "translate_ent_think" },
    { 0xE4BA7BCC78BB52E1, "translate_local" },
    { 0xDB981DAAA7CCF869, "translate_local_on_ent" },
    { 0x2101D55015D61931, "translate_position_with_offset_data" },
    { 0xC98D71B2BE9D9FA4, "translate_spring_index" },
    { 0x7D416A52F7BBA056, "translationdelta" },
    { 0xE82216FF27197DEB, "transponder_hint_displayed" },
    { 0x704A27E14A99DFCD, "transport_bravo_spawn" },
    { 0xA6CB3C7F6D1776EF, "transporttime" },
    { 0x446D05230BCA92CA, "transtoidlealias" },
    { 0xC16E33F6644CE696, "trap" },
    { 0x53C44DBC00367240, "trap_array" },
    { 0x2FDC287108283379, "trap_consoles" },
    { 0x2FDBE487AF565181, "trap_converationdialoguelogic" },
    { 0xA69E9068BFD494AB, "trap_defused" },
    { 0x4E7AC7250E383CCB, "trap_door_extras" },
    { 0x4ADA077F2192FDE2, "trap_door_fx" },
    { 0x405AE12F49CB5EA1, "trap_door_nvg_reset" },
    { 0xD69FFA7E94BBCA6D, "trap_door_nvg_reset_catch" },
    { 0x0BB9B393D9829452, "trap_door_plywood" },
    { 0x7D6934A7F4BF33ED, "trap_door_rock" },
    { 0xDCCEE2820C195CB4, "trap_door_scene" },
    { 0xF547F6106074584D, "trap_getallyexplosivesreadylines" },
    { 0xC134116F701A1B4A, "trap_killed_by" },
    { 0xF30CD6EC70433EAA, "trap_main" },
    { 0x35E200D1DEA3303D, "trap_room_dogtag_revive" },
    { 0x6EEA7F64050BBEF7, "trap_room_ents" },
    { 0x54B03DA495841DBE, "trap_room_turret_init" },
    { 0xFAAAEA481989F4C0, "trap_room_wave_settings" },
    { 0xF46F65E34F804989, "trap_start" },
    { 0x6479201B69ECE8F4, "trap_timer_running" },
    { 0xB1FFC07515799307, "trap_toggle_fx_logic" },
    { 0x713A679113AA4546, "trap_toggle_logic" },
    { 0x7BF7BF461364D1EC, "trap_trigger_logic" },
    { 0x974A570502136052, "trapachievementboom" },
    { 0x7CF1823BB485D480, "trapactive" },
    { 0x1CCE2511C071E5E7, "trapdangerzoneproc" },
    { 0x9BA3659BD74272EB, "trapkills" },
    { 0xB2432BDE951FC99F, "traps" },
    { 0xFEE5CD14AB8933A8, "traps_disabled" },
    { 0x2A8DE2CA0E5F63EF, "traptypes" },
    { 0xA21602C3A07DA050, "travelspeed" },
    { 0x08ADCE01D7241E50, "traveltonode" },
    { 0xCF7150E6B3957EE0, "traversal_assist_init" },
    { 0xA908582EA3974E70, "traversal_disabled_by_management" },
    { 0xEB576997A547E3F8, "traversal_end_node" },
    { 0xBD147FFD47265EA6, "traversal_end_pos" },
    { 0x9E082DCB7F257791, "traversal_nav_obstacle" },
    { 0xCFD8CC4A5A90F643, "traversal_start_node" },
    { 0x7944DA5FA6D7B716, "traversal_test" },
    { 0x00825F128437BA6F, "traversal_test_logic" },
    { 0x348552D809D54DDD, "traversal_test_think" },
    { 0xE6005BFD74A8DB8E, "traversalassist" },
    { 0xB53DD842757FE815, "traversalassistmode" },
    { 0x4CBF38B057235A28, "traversalhasarrival" },
    { 0x7B95B383C72BD02E, "traversalorientearlyterminate" },
    { 0xD63EFE65050A9602, "traversals" },
    { 0xA5283EE62ED370A2, "traverse_animscript" },
    { 0xAD918E3A35241A8E, "traverse_basic" },
    { 0x0FE8550025B25740, "traverse_check" },
    { 0xE05883BD3E1A6E64, "traverse_cleanup" },
    { 0xEDD70C66D2356A9F, "traverse_complete" },
    { 0xCBFE1E9237270D79, "traverse_donotetracks" },
    { 0x501411D445F63846, "traverse_doublejump_cleanup" },
    { 0x93960ABD9390D718, "traverse_drop_height_delta" },
    { 0x88D9DB5BF754E303, "traverse_height" },
    { 0x008AC2D875DB8702, "traverse_height_delta" },
    { 0x91C636899E3D0FD3, "traverse_soon" },
    { 0x4F06AA5C0B7273F0, "traverse_think" },
    { 0x51DBC6E4E70E702E, "traverseanim" },
    { 0x784974E5293C093A, "traverseanimroot" },
    { 0x8E8EC418FD593134, "traversearrival" },
    { 0xFBC42667621D801B, "traversechooseanim" },
    { 0x278806B55570E32E, "traversecost" },
    { 0x9E0C5C65E7652272, "traversedeathanim" },
    { 0x3349E6D949B6BBF1, "traversedeathindex" },
    { 0x9F984CA6D8EC1060, "traverseendnode" },
    { 0x5B9C4A62AFF22EB1, "traversehandler" },
    { 0x29C289E9ABB88A48, "traverseheight" },
    { 0xC909C59F602F9153, "traverseinfo" },
    { 0x85CA23CAE8FDB02A, "traversenotvalid" },
    { 0xBD3D08FE4DA9EB11, "traversesoonnotifydist" },
    { 0x90FFE91CCB473585, "traversestartnode" },
    { 0x013C84F6649628E5, "traversestartz" },
    { 0xBD598673567E98A1, "traversethink" },
    { 0x54DB7C2458398B8F, "traversetype" },
    { 0xE344ED46D47D1B58, "traversexanim" },
    { 0x7B4392DE6DEB7B23, "tread" },
    { 0x0B327E4C986A5DCD, "tread_override_thread" },
    { 0xC2DB6313CFB6FE13, "tread_sfx" },
    { 0x04DF91CCCF450049, "tread_vfx_set_up" },
    { 0x553FC4094148FE50, "tread_vfx_tags" },
    { 0x7BB06E25A09B78EB, "tread_vfx_think" },
    { 0x7EFDDC31A1194065, "tread_wait" },
    { 0x141C031B8DD8FAC9, "treadfx_freq_scale" },
    { 0xDFE253E6F3F986CB, "treadfx_maxheight" },
    { 0x523CED9163FBC7F7, "treadfx_orient_to_player" },
    { 0x4D99F750E851AEFF, "treadsheavy" },
    { 0x5CDC512C5B99295F, "treadsneutral" },
    { 0x155945E87DE1F713, "treadsnormal" },
    { 0x71A1FCD4D9B2A3ED, "tree_dist_check" },
    { 0xDFF846D31FC4E3B1, "tree_dist_values" },
    { 0xCE71C0CFB2A51F71, "tree_is_animating" },
    { 0x84C030D41FBFA7C2, "tree_test" },
    { 0xF89235C6FF0E037E, "tree_think" },
    { 0x4222361375D1AA32, "treerootnodesizebitcount" },
    { 0x6C8C97BBFB19EE9F, "trench_getallyspawners" },
    { 0x4CAA9FD1C54946E6, "trench_getrocketally" },
    { 0x131A4043BD65A791, "trench_spawnallies" },
    { 0x13466B43E08F3E92, "trenchdebug" },
    { 0x66E4C99085C7A84D, "trenchrun_getallycovernodes" },
    { 0x282F0A1E7C4208EB, "trgger_kill_civ_structs" },
    { 0x66FDE1C477E0CC5C, "triage_ai_campers" },
    { 0xD6FED7D75B397AA5, "triage_ammo_nag" },
    { 0xEE732BF3893BDAD8, "triage_civ_breakout" },
    { 0x86F5BB5753FB4411, "triage_door_clip" },
    { 0x23827F0DF474284D, "triage_door_close" },
    { 0x6B0FD9AE154044FB, "triage_door_open" },
    { 0x58BA5B851D52C116, "triage_end_fadeout_waiting" },
    { 0xF6703DD93AD07262, "triage_glass_break" },
    { 0xF6FBFFFE622D082A, "triage_reach_and_idle" },
    { 0x85397C9CCDCFC4A2, "triage_rpg_momment_cleanup" },
    { 0xB20A970CBC509FDE, "triage_scene" },
    { 0xE5194214BF63EA03, "triage_scene_mayhem_anims" },
    { 0x574F77E46BD71B95, "triage_start_watcher" },
    { 0x261466DEE9EDB817, "trial" },
    { 0x8D632BF01F626899, "trial_accuracy_bonus" },
    { 0xFF9380587050B732, "trial_active_fob" },
    { 0xCDC88C658CEC2519, "trial_active_ring" },
    { 0x04761C58B94E8AF6, "trial_ai" },
    { 0x5C9205D020760718, "trial_ai_jugg" },
    { 0x1AB45C245D2962B8, "trial_ai_spawn_far" },
    { 0x2E29E5E9F5319C7C, "trial_akimbo_props" },
    { 0xE9CD4DC5BF516C1A, "trial_alternate_progression" },
    { 0x11E90CAC7E374CB6, "trial_callback_ai_damage" },
    { 0x11FA4E05334CCFE6, "trial_callback_ai_killed" },
    { 0x5F5E3CBB9AA8F5B0, "trial_celebration_flares" },
    { 0x0CAD036E9538978E, "trial_chevron_init" },
    { 0x5038A14EDE4ED430, "trial_chevron_vfx" },
    { 0xB710E30AB1831E67, "trial_chevron_vfx_action" },
    { 0xBC4DEBD1AF62F7D6, "trial_civilians_killed" },
    { 0x3E971B599A94153E, "trial_combo" },
    { 0x0CD172D42F6DBF05, "trial_combo_died" },
    { 0x95CD231B7AFFDF58, "trial_delete_out_of_bounds" },
    { 0x176A3CFF91300479, "trial_dlog_arm_course" },
    { 0x43D92A0A6B721A04, "trial_dlog_clear" },
    { 0x35CE0B627F264E91, "trial_dlog_func" },
    { 0xF951E70A24E9EE27, "trial_dlog_gun" },
    { 0xD07EAE72E026206F, "trial_dlog_gunslinger" },
    { 0x79FF2E47763C79C8, "trial_dlog_jugg" },
    { 0x843EC4DAF99E1B4D, "trial_dlog_lava" },
    { 0x2C29589245E2433C, "trial_dlog_pitcher" },
    { 0x99EF5B8E27DE8C26, "trial_dlog_race" },
    { 0x06F599340FFA88D0, "trial_dlog_sniper" },
    { 0x3366C6FA9B370270, "trial_dogtag_setup" },
    { 0x9AC97949BD06A83B, "trial_dogtags" },
    { 0x3F8824CE09FAF99F, "trial_end_flares" },
    { 0x50F4C1EAE9F8FA7F, "trial_end_score_dialogue" },
    { 0x935DEF5FFF286CBF, "trial_end_time" },
    { 0x26C63B5E433EFD18, "trial_enemies_killed" },
    { 0xC9D746F3638B0C6B, "trial_enemy_dont_drop_weapon" },
    { 0x2298F22DBFFF3247, "trial_enemy_quota" },
    { 0x710728936EE1883D, "trial_explosive_clear" },
    { 0x314EC8727F9CAE08, "trial_fail_alt" },
    { 0x1EDE42F898BEC5EE, "trial_failure_countdown" },
    { 0x90F7BB45521225EE, "trial_fetch_mission_table" },
    { 0x42ACBD6EA90AEDD9, "trial_first_start" },
    { 0xCB4F2E1D83707E7C, "trial_flare_destruct_missile" },
    { 0xC79A97DAF676BE83, "trial_flare_watcher" },
    { 0x2F2DF663C14B6D3D, "trial_flares" },
    { 0x49DD34750E1FD8BF, "trial_fobs_cleared" },
    { 0x7C9F7ED9319928A3, "trial_gethitmarkerpriority" },
    { 0x876BBF3BAFE7CE87, "trial_headicon" },
    { 0x7FF577D1D8A432AA, "trial_headicon_origin" },
    { 0x3CED4794EF3CE00F, "trial_hitmarker" },
    { 0x93859FBE6580C9C2, "trial_infinite_reserve_ammo" },
    { 0x3AAF2D4E1CFA3C17, "trial_is_event" },
    { 0xAC8790AE0D4ECAE3, "trial_juggernauts_to_spawn" },
    { 0x1EAF208D5D623A97, "trial_lap_time" },
    { 0x390B1E7BDA1C5798, "trial_loadout" },
    { 0x9F4634E6A3A65BB7, "trial_main_time" },
    { 0xE697411F5FC0C02E, "trial_map" },
    { 0xC172F15241861E75, "trial_map_loadout" },
    { 0xA5BCB7EC3EE85B76, "trial_mission_data_init" },
    { 0x6A5BCDFDD07C5848, "trial_missionscript_init_funcs" },
    { 0xB38E24D49515B8BC, "trial_mount_nag" },
    { 0xC3277BD27CEEFBE0, "trial_moving_target_mover" },
    { 0xC5E1DCCFE9257EBA, "trial_moving_target_reset" },
    { 0xA2984F31CDF3C0BD, "trial_moving_target_think" },
    { 0x41BB87E877A7555E, "trial_other_team" },
    { 0xC445347E47680125, "trial_patch_finished" },
    { 0xEC6F29C04B418D48, "trial_play_flare_fx" },
    { 0x805633323C72C4DB, "trial_player_perks" },
    { 0x7B2EF6F777F61262, "trial_progression_init" },
    { 0xF4D3D047C4C71CB2, "trial_race_lap_total" },
    { 0x062C4C4A888F0E27, "trial_race_lap_total_override" },
    { 0x24EBDD3742D69B03, "trial_race_uses_heli" },
    { 0x273D9C03064D6794, "trial_radar_sweeps" },
    { 0x7209172816C02FD3, "trial_restart" },
    { 0x9188463D3F4BFE0C, "trial_restart_watcher" },
    { 0x135F729C7A840B25, "trial_restarting" },
    { 0xCE523F3577D3464F, "trial_retrieve_persistent_values" },
    { 0xA6EE18E57AABE38A, "trial_rpg_init" },
    { 0xEE5516D1301EF825, "trial_rpg_settings" },
    { 0xC8F562968EBB2629, "trial_score_init" },
    { 0x18CC5EDE1FE0D32B, "trial_sentry_turrets" },
    { 0x7263D8BFEEFDAF5D, "trial_shooters" },
    { 0x5C785A45EDB83A9E, "trial_shooters_quota" },
    { 0xD027CEFBBAEBC1B4, "trial_small_fire" },
    { 0x062AD7366142B7F8, "trial_spawn_vehicle" },
    { 0x428BEEB8CAB8F399, "trial_spawn_wait" },
    { 0x36767890EDE8B727, "trial_spawn_wp" },
    { 0x2264713E10D04209, "trial_special_end" },
    { 0x4878F83D70F65688, "trial_special_vfx" },
    { 0xD97442ADF5A1717F, "trial_start_init" },
    { 0xEFA841DB1D6E71F8, "trial_start_time" },
    { 0xC676461952906C9D, "trial_stat_row" },
    { 0x5C77E85BB518CCEB, "trial_subtime" },
    { 0x9F51D19999F93D24, "trial_target_arm_damage" },
    { 0x7E256766A8779FF8, "trial_target_civilian_killed_func" },
    { 0x931B32875DDD4AD7, "trial_target_damage" },
    { 0x1B17AC3D98C66E3D, "trial_target_enemy_killed_func" },
    { 0x2C20CE69B166D6B9, "trial_target_flip" },
    { 0xAF2E46921E225DD4, "trial_target_follow_dummy" },
    { 0x1A96103B7477C44B, "trial_target_headshot_func" },
    { 0xEA130FB36C318E34, "trial_target_requisites" },
    { 0x9BBBDCD388030A06, "trial_target_think" },
    { 0x57DE088435918951, "trial_target_think_func" },
    { 0xB506AD9671DF95D9, "trial_target_thread_func" },
    { 0x37BCEE9144D7A859, "trial_targs" },
    { 0xA463640850D476CC, "trial_targs_combo" },
    { 0xD5C4EB1642205B0D, "trial_thermite_watcher" },
    { 0xDF855D62BCC45FFA, "trial_time_remaining" },
    { 0xFA4167DAA7F725E7, "trial_trigger_activated_func" },
    { 0x0FB840BFE52A151F, "trial_trigger_think" },
    { 0xBE55EBBF3197CBEE, "trial_turret_kill_func" },
    { 0x36D2ACB4A7E1ED5E, "trial_turret_thread_func" },
    { 0x4EE2C313DDC74905, "trial_turrets_killed" },
    { 0xF7428FC2948C3A46, "trial_ui_decrease_tries_remaining" },
    { 0xA72F7C1B6DB066D3, "trial_ui_freeze_secondary_timer" },
    { 0x9287363E2E75183C, "trial_ui_hide_secondary_timer" },
    { 0x6B03E53ED2FDE433, "trial_ui_open_results_screen" },
    { 0x3A76788789FDBFA8, "trial_ui_retry_disabled" },
    { 0x78CAF3889A135B54, "trial_ui_return_to_vehicle" },
    { 0x9986E1D65E74C781, "trial_ui_set_best_score" },
    { 0xE65B6205F1FFA790, "trial_ui_set_best_time" },
    { 0x6FD215F23F0FE9C7, "trial_ui_set_combo_bar_combo" },
    { 0xDF5FA43CB545ACDB, "trial_ui_set_combo_bar_duration" },
    { 0x9CABBF9596514E2F, "trial_ui_set_lap" },
    { 0x04025B9719839BFA, "trial_ui_set_main_score" },
    { 0x6BA3BA94A6E42881, "trial_ui_set_main_time" },
    { 0xFBFF4D67249BE0D3, "trial_ui_set_mission_index" },
    { 0x5BC922ED36D0EAC4, "trial_ui_set_objective_icon_index" },
    { 0xB220F56AA4FA4995, "trial_ui_set_objective_progress" },
    { 0x8EE3E5BC1ECD1B02, "trial_ui_set_reward_tier" },
    { 0x5DA32ECA257190D1, "trial_ui_set_reward_tier_preview" },
    { 0xF0E8A99E893CFE0A, "trial_ui_set_secondary_timer" },
    { 0x396A835AF8EE9DFB, "trial_ui_set_stat_and_bonus_score" },
    { 0x5DD007A647C12EF6, "trial_ui_set_stat_and_bonus_time" },
    { 0xF22020E28568FF86, "trial_ui_set_subscore" },
    { 0x2F8A6E4F665D48FD, "trial_ui_set_subtime" },
    { 0xCD8B3EA2A8E01B9F, "trial_ui_set_tier_requirements" },
    { 0x96166CC838BD0DAC, "trial_ui_set_tries_remaining" },
    { 0x56B8061387F511B7, "trial_ui_set_wave" },
    { 0x24AE95C71F32FBBC, "trial_ui_waittill_retry" },
    { 0x3B8137B9373127A4, "trial_updatehitmarker" },
    { 0x0FFBD9619EE01F1B, "trial_use_headicon" },
    { 0x4BD8C948409E4A98, "trial_variant_init" },
    { 0x20DCFF2F3FDDDD08, "trial_vehicle" },
    { 0x06EC0F3C2302298B, "trial_vehicle_outline_id" },
    { 0x23E2AFE974EE1581, "trial_vehicles" },
    { 0xAD5844CCAC7B0D4E, "trial_weapon_defined" },
    { 0x8B062AE5AD572884, "trial_weapon_spawn" },
    { 0xB490EB4136F4238D, "trial_weapons" },
    { 0x2DDC2A91E1352C91, "trial_white_phosphorus" },
    { 0xA2BDBA4E8BE4372B, "trial_white_phosphorus_activate" },
    { 0x71553D70D3D094CE, "trialendgame" },
    { 0x566DFDC516C33338, "trialympic_fire" },
    { 0xD71863710F49CDF1, "trialympic_fires" },
    { 0xA5532D48D6BA681B, "tried_to_get_gun" },
    { 0x3F13C6062BF10179, "tries_remaining" },
    { 0xC19156F664737B47, "trig" },
    { 0x665C866A069E0052, "trig_notify_start" },
    { 0x6390B44D7CDDFE12, "trig_notify_stop" },
    { 0x798382CFF02FC818, "trigblock" },
    { 0xFDB3E627B5201317, "trigger" },
    { 0x29FE8CB0E19AD757, "trigger_aggro_damage_amount" },
    { 0x20B47775DD371847, "trigger_alt_mode" },
    { 0x71F0411B09003F62, "trigger_arbitrary_up" },
    { 0x7D15CC5666747F0F, "trigger_array_delete_cafe" },
    { 0x9ACB441FCD884847, "trigger_array_wait_then_delete" },
    { 0x71D1293FEE6CCB45, "trigger_array_wait_then_delete_cafe" },
    { 0x22423662F04737E6, "trigger_auto_crouch" },
    { 0x4A04C4E20937DDDA, "trigger_autosave" },
    { 0x74A5E2BAEE615D0E, "trigger_autosave_stealth" },
    { 0x95C2D7ADABF88216, "trigger_autosave_tactical" },
    { 0xD4767CCFC06DF08F, "trigger_battlechatter" },
    { 0x0DAF91ED6F07308D, "trigger_cansee" },
    { 0xB79709F2D148B5D6, "trigger_check_shove" },
    { 0xD1DED06AB30C1796, "trigger_choose_func_from_list" },
    { 0x557BC73441424C82, "trigger_cover_blown" },
    { 0xEA82F3926E053214, "trigger_createart_transient" },
    { 0x37053B0C81BF64D9, "trigger_damage" },
    { 0x2A9F12CF8140C10A, "trigger_damage_ondamage" },
    { 0x16B454464F5E9569, "trigger_damage_player_flag_set" },
    { 0x81F1A92C6BB1B7AE, "trigger_damage_state_health" },
    { 0x25AD61DD6D2BB692, "trigger_delete_link_chain" },
    { 0x0C3C51884CD6A559, "trigger_delete_on_touch" },
    { 0x37EBBCFEDA052C40, "trigger_delete_recursive" },
    { 0x18386F4B677EEB53, "trigger_delete_target_chain" },
    { 0x0A650FEB3AC45D30, "trigger_dooropen" },
    { 0x04880FBDE152756A, "trigger_elevator_spawners" },
    { 0x21C614013F33EBB4, "trigger_escort_disengage" },
    { 0x8C32209D4CC26E87, "trigger_explosion_grenades" },
    { 0x104A4FA029D95D8A, "trigger_fakeactor_move" },
    { 0xB2BF77F91C113240, "trigger_fakeactor_node_disable" },
    { 0xAB28B74C71B4AC23, "trigger_fakeactor_node_disablegroup" },
    { 0x4BD7C43901AF2943, "trigger_fakeactor_node_enable" },
    { 0x20B42AF115EBD1BA, "trigger_fakeactor_node_enablegroup" },
    { 0x71BE9801B4C26D2B, "trigger_fakeactor_node_lock" },
    { 0xE6692C01EB30C832, "trigger_fakeactor_node_passthrough" },
    { 0xB3BF746E27838C8C, "trigger_fire" },
    { 0x4C376FFE8B29B4E7, "trigger_fire_endon" },
    { 0xD0C3F763818C9E30, "trigger_flag_clear" },
    { 0x4344BCB0C8EB5D11, "trigger_flag_on_cleared" },
    { 0x618C389C892FD405, "trigger_flag_set" },
    { 0x145680DE5522D457, "trigger_flag_set_player" },
    { 0x50A831B0DD4EB5CF, "trigger_flag_set_touching" },
    { 0xDBF80E83B3ABA54B, "trigger_flags" },
    { 0x0FEAD30C0FEFEC5C, "trigger_friendly_respawn" },
    { 0x3759EB850509D467, "trigger_friendly_stop_respawn" },
    { 0x7820DE6DFB3AA0BE, "trigger_func" },
    { 0xCF0F9369844D9C09, "trigger_functions" },
    { 0x858F8FF7600D4604, "trigger_glass_break" },
    { 0x60F979A9F2EDA6BB, "trigger_group" },
    { 0x53F9D6B4D1C8129C, "trigger_group_remove" },
    { 0xCF5DB04F1641EF5E, "trigger_hall_molotov" },
    { 0x2927C435F28EFB68, "trigger_hill_destruction" },
    { 0xC43102225795C35D, "trigger_hill_trees" },
    { 0x36AAF42CA5CA5E41, "trigger_hint" },
    { 0x01D7CB8601B52C8C, "trigger_hint_func" },
    { 0x3F3D6EACA3BC3273, "trigger_hint_string" },
    { 0x120AAB0384BE5EB7, "trigger_ied_monitor" },
    { 0xF1C3D1A9637D231A, "trigger_ignore" },
    { 0xAB138311897F9640, "trigger_interaction" },
    { 0xD71CB3D8CB23686C, "trigger_interaction_common" },
    { 0x5F127BF807136BC9, "trigger_interaction_multiple" },
    { 0x1C7C1BC1BD15BFE4, "trigger_issues_orders" },
    { 0x32CDB66F68D338F8, "trigger_kill" },
    { 0x8A2051FC292F3529, "trigger_landingzone" },
    { 0xDA8705BB9572B084, "trigger_landingzone_active" },
    { 0x0AA734CFA135104C, "trigger_light" },
    { 0x093F4D3B847018EE, "trigger_lookat" },
    { 0x006C6E864CAC0A05, "trigger_lookat_think" },
    { 0x53291AE3EE735AFD, "trigger_looking" },
    { 0x74D76B25A8009047, "trigger_manager" },
    { 0xF92D245F2E88D75B, "trigger_move_ent" },
    { 0x1CA0C0AA7F618E2B, "trigger_move_ent_sfx" },
    { 0x86294C4780DD97A4, "trigger_moveto" },
    { 0x8A65C06F209C6F2B, "trigger_multiple_compass" },
    { 0x2C2673572CC34661, "trigger_multiple_depthoffield" },
    { 0x6138C2C7C4FFDF0F, "trigger_multiple_fx" },
    { 0x426790E10D9B8A05, "trigger_multiple_fx_trigger_off_think" },
    { 0xC97DE6B44415AD3F, "trigger_multiple_fx_trigger_on_think" },
    { 0xCD38C6CF72A9E7E2, "trigger_multiple_fx_volume" },
    { 0xEA138682DADC4A1E, "trigger_multiple_fx_watersheeting" },
    { 0x46BFC15F4F6F2323, "trigger_multiple_kleenex" },
    { 0x507F5495692A0F9F, "trigger_multiple_sunflare" },
    { 0xF8B66C5D2E5D4A0D, "trigger_multiple_tessellationcutoff" },
    { 0xA392C6898AD8A7E1, "trigger_multiple_transient" },
    { 0x17F4AA7D33784EA8, "trigger_nearest_friendly_respawn_trigger" },
    { 0x09FA71297B8C12F9, "trigger_nearest_gasmasks" },
    { 0xC2AE3319BA158D8F, "trigger_no_crouch_or_prone" },
    { 0x9DDFE815904DAF56, "trigger_no_prone" },
    { 0xC0252414D62EDA3F, "trigger_nobloodpool" },
    { 0x9E1CE1D110CD455D, "trigger_off" },
    { 0x442122B6974CC64A, "trigger_off_proc" },
    { 0x093CB604024DBBE1, "trigger_on" },
    { 0x070CE3972F7B0136, "trigger_on_proc" },
    { 0x7E51C41CFB3336E0, "trigger_outofbounds" },
    { 0x9C448667CF81F145, "trigger_pacifist" },
    { 0x2F3FD2D122B0395C, "trigger_parse_parameters" },
    { 0x8F35DDA7BE881B99, "trigger_physics" },
    { 0x7F5924EBCEE22C89, "trigger_playerseek" },
    { 0x5D214A339CE7C9CA, "trigger_process_node" },
    { 0x96DA5B17FE7B7ECB, "trigger_radio" },
    { 0x3DE10DC4A9C8150E, "trigger_radius" },
    { 0xCC37294C3FCD460F, "trigger_reinforcement_get_reinforcement_spawner" },
    { 0x9E662D78FC5E5EDA, "trigger_reinforcement_spawn_guys" },
    { 0x8289518509D8A73C, "trigger_requires_player" },
    { 0x59BEFE058219C4A2, "trigger_run_module_once" },
    { 0x07D75E7297B7E11A, "trigger_run_spawn_module" },
    { 0xFF77151FF60B9E35, "trigger_runs_function_on_touch" },
    { 0xD45596961AF622E2, "trigger_safe_function" },
    { 0x35F3209239795D8A, "trigger_script_flag_false" },
    { 0x559DB8F697CEC8A7, "trigger_script_flag_true" },
    { 0x075D54D006E724F6, "trigger_show_scriptables" },
    { 0x84770D35E766A63D, "trigger_slide" },
    { 0x95F7FD71E97C59E9, "trigger_smoke_grenades" },
    { 0x6127B1A93D0F5E87, "trigger_spawn" },
    { 0x916A4F9EB674A20E, "trigger_spawn_func" },
    { 0x77806270D0CEE19A, "trigger_spawn_init" },
    { 0x1A3447A176035168, "trigger_spawn_kill" },
    { 0x5173FA5233DAC3CF, "trigger_spawn_kill_watcher" },
    { 0x7D51748B156A235F, "trigger_spawn_module_func" },
    { 0x1FDA5B631C50101C, "trigger_spawner" },
    { 0x1BB7959100169DBE, "trigger_spawner_reinforcement" },
    { 0x55BB556F542F746E, "trigger_spawngroup" },
    { 0xA044960C88C8288C, "trigger_stealth_shadow" },
    { 0xA8590F17AD110A59, "trigger_stop_bombticks" },
    { 0xAC5FECE087C29A38, "trigger_sun_off" },
    { 0x7DEE6CDE4BB8E2F6, "trigger_sun_on" },
    { 0x595B9E127D7E16BC, "trigger_temp_stealth_meter" },
    { 0x4BBC339ABDB1F830, "trigger_think" },
    { 0xCF310BC56B3F5331, "trigger_throw_grenade_at_player" },
    { 0x0D50FBE7A7A094CE, "trigger_turns_off" },
    { 0xBE20E2A154E16994, "trigger_unlock" },
    { 0x57762F6ADD269E49, "trigger_unlock_death" },
    { 0x0CB944D0A61D1F2B, "trigger_use" },
    { 0xBFE49B383ECFFF83, "trigger_use_touch" },
    { 0x2B564F33A4503444, "trigger_vehicle_spline_spawn" },
    { 0xD559740F8225CA29, "trigger_wait" },
    { 0x00D31C5F18FAA1E8, "trigger_wait_targetname" },
    { 0x86061543F667FCFC, "trigger_waittill_player_enters" },
    { 0x830ED3A0055FF126, "trigger_water_fx" },
    { 0xAEC1D99D734D6846, "trigger_zone_spawn" },
    { 0xBE06D570ACA15C8E, "triggeraddobjectivetext" },
    { 0xA7B1B60AE75CDF6E, "triggeranim" },
    { 0x17D72B7D4C7A0EC9, "triggeravailablekillstreaks" },
    { 0x0FF889CB5A39D0BA, "triggerblind" },
    { 0x9CDBD0F4DB7D214C, "triggerbloodmoneyendcameras" },
    { 0xA836FA31B2165BF5, "triggerbrush" },
    { 0x9B05119978436E50, "triggercallback" },
    { 0xB3FE322D835941B2, "triggercombatarea" },
    { 0x270FB8B79E8C7EF9, "triggerdisable" },
    { 0x85B3A73731333310, "triggerdistance" },
    { 0xB25B6A45202CA6D6, "triggered" },
    { 0x94A78D6A272E5E1B, "triggered_by_ai_events" },
    { 0x69392955630F04D6, "triggered_by_oil_fire" },
    { 0x18B698185826FF07, "triggered_module" },
    { 0x4BE7675ED13A4437, "triggered_module_spawn" },
    { 0x1C373C3B969B4E32, "triggered_module_spawn_cancel" },
    { 0x14232F705438183E, "triggeredbyplayer" },
    { 0xCE396B61EBE34667, "triggereddelayedexplosion" },
    { 0x32EF3BF9E705E9A0, "triggeredfunc" },
    { 0x10504E196F0C57F5, "triggeredwincondition" },
    { 0x6BAD4705C22E5B0C, "triggeregg" },
    { 0x919EC27B296C1251, "triggereliminatedoverlay" },
    { 0xCEBABBF3971319E0, "triggerenable" },
    { 0x02EA7686A8163209, "triggerenterents" },
    { 0xF56AB9734A4D69C9, "triggerenterfunc" },
    { 0xAC9B4E5C8FF87BE5, "triggerenterthink" },
    { 0xA2F74A8FDCAC5BC5, "triggerexitfunc" },
    { 0xBE06D0D45ED9B0A1, "triggerexitthink" },
    { 0x6E99529650EA4305, "triggerfunc" },
    { 0x9063DD5FD7743B52, "triggerfuncc4" },
    { 0x8AF522FF540F8C55, "triggerfuncfrag" },
    { 0xDCAF751AA9B1EC31, "triggerfuncsemtex" },
    { 0xFE64DF57285C8537, "triggerfunctripwire" },
    { 0xB257604520289B01, "triggerfx" },
    { 0x267913285DFA4188, "triggerheight" },
    { 0x2815D99077FE10B7, "triggering_ent" },
    { 0x3596728195F0EE7F, "triggeringstreak" },
    { 0x1C5EBF0B988F688F, "triggerinsidetimes" },
    { 0x32479FA88A52F331, "triggerkillstreak" },
    { 0x30A537B838F5BAC0, "triggerlisten" },
    { 0xCF759DD733C623B2, "triggermatchendtimer" },
    { 0x26112FFEF021388C, "triggeroffset" },
    { 0xF888F7734857411E, "triggeroneoffradarsweep" },
    { 0xF98BB2D57C8A2B0D, "triggerovertimetimer" },
    { 0xB2C8B53DB2296D9C, "triggerportableradarping" },
    { 0x13304675CAFF520D, "triggerportableradarpingteam" },
    { 0x7F53B6A3DF32A153, "triggerpromptthink" },
    { 0x8E37C75385F31485, "triggerradius" },
    { 0xF62EA974EF52A745, "triggerremoveobjectivetext" },
    { 0xC2FEAE8B0940B38B, "triggerrespawnoverlay" },
    { 0x12B68D53558AA4EC, "triggers" },
    { 0x7E4E0C8900A98424, "triggers_sequence" },
    { 0x0C8DAF4460B11BB7, "triggersafearea" },
    { 0x18839C248D9F65BE, "triggersoundstart" },
    { 0xBAE3FE6C48F6F3C6, "triggersoundstop" },
    { 0xA99350399D0C1692, "triggertouchthink" },
    { 0x6E0A0C54555B4F9A, "triggertrapfuncthink" },
    { 0x05683D7381711F19, "triggertripwirefuncthink" },
    { 0xA64B6B4A53B1D1CF, "triggertype" },
    { 0xA97F552EEB91858E, "triggerunlocked" },
    { 0x0E34FAC34DA9E3A3, "triggerutilityinit" },
    { 0xD1953B582DFB5CC8, "triggervarindex" },
    { 0x3952B64F1B365119, "trigorigin" },
    { 0xB212E15BE2530C52, "trigunderwater" },
    { 0x2F0A2B4139C44C99, "trimkillcamtime" },
    { 0x2AA0ECE8991A489E, "trinityrocketlocked" },
    { 0x8D6C3238DBC216A0, "trip_defused_already" },
    { 0x86375FC01D234D5E, "trip_stance_monitor" },
    { 0xE4377380DD7533C0, "trip_stance_think" },
    { 0xBF8698DA476F8E12, "trip_wall_defuse_vo_nags" },
    { 0xA481606908424DB7, "trip_web_go_under_vo_nags" },
    { 0xBE1C5104B2EC539A, "triplecheck_jugg_spawned" },
    { 0x23A513B5D469A2CA, "tripledefenderkill" },
    { 0xF798F3D14C231DF2, "tripwire_cantriptrap" },
    { 0x08B58C880869B346, "tripwire_chain_trigger" },
    { 0x8FA640349E1FCDE4, "tripwire_check" },
    { 0x1E768ED5FC4460FE, "tripwire_createhintobject" },
    { 0x75391FD42A9B5AFF, "tripwire_damagefunc" },
    { 0xAD3CC66DB50E05E7, "tripwire_defuse_thread" },
    { 0xC2B7635776DA7E74, "tripwire_delete_cleanup" },
    { 0xD89CCC7756580774, "tripwire_disabled" },
    { 0x978A945FEBED3903, "tripwire_disarmgiveweapon" },
    { 0xDE69AC4C041FEE17, "tripwire_enemy_trip_monitor" },
    { 0x9C30F29377A85C5E, "tripwire_enemy_trip_watch" },
    { 0xFA9EBD3D8542957C, "tripwire_enemy_watchers" },
    { 0x5E45354E208DED46, "tripwire_explosion_enhancement" },
    { 0xF97C5068E2300E05, "tripwire_givegrenade" },
    { 0x0FAA2A348BC6C1C7, "tripwire_grenade_defused" },
    { 0xEAC22C49C57B4955, "tripwire_hint" },
    { 0x3742CDD3D5D752CC, "tripwire_hint_dialogue" },
    { 0x6FC5315E35E70E5E, "tripwire_init" },
    { 0x7B3C331398A00846, "tripwire_nag" },
    { 0xA930A294CCDB001A, "tripwire_pathing_think" },
    { 0xC7B0AF02108F1FF5, "tripwire_pathing_watch" },
    { 0x997C785FD0A4C30B, "tripwire_randomize" },
    { 0x3FF849C3B545B314, "tripwire_thread" },
    { 0xD316005670D8DA45, "tripwire_trackachievementboom" },
    { 0xAB665BAF66521637, "tripwire_trap_count" },
    { 0x038E65F9402CA119, "tripwire_trigger_thread" },
    { 0x9B89B4C2EC649D5F, "tripwirehastraps" },
    { 0x6129E8EB56064D51, "tripwiremodelprecache" },
    { 0xC495594944D2E2F8, "tripwires" },
    { 0x6086CF8F4090B174, "tripwireshouldtrigger" },
    { 0xF8CBE86D91C5FA2D, "tripwirethink" },
    { 0x971F729030CEB4E4, "tromeo_00" },
    { 0x971F739030CEB717, "tromeo_01" },
    { 0x971F749030CEB94A, "tromeo_02" },
    { 0x971F759030CEBB7D, "tromeo_03" },
    { 0x1BB9EA3DB0FB0A4C, "tromeo_check" },
    { 0xA4DE43AE97C25B68, "tromeo_cleanup" },
    { 0xF061D7A3DB8E432D, "tromeo_death_watcher" },
    { 0x6E6E0442E66B17E7, "tromeo_entrance_00" },
    { 0x6E6E0342E66B15B4, "tromeo_entrance_01" },
    { 0x6E6E0642E66B1C4D, "tromeo_entrance_02" },
    { 0x6E6E0542E66B1A1A, "tromeo_entrance_03" },
    { 0x354C025B4D7349D7, "tromeo_guys_03_spawn_func" },
    { 0x492A64C5824BFB8B, "tromeo_guys_spawn_func" },
    { 0x140741DC145F7A64, "tromeo_vehicle_tarmac_00" },
    { 0xA10F39C939C35D60, "tromeos" },
    { 0x160DDC8C757A0F9B, "trophies" },
    { 0xE11140B3657E865B, "trophy" },
    { 0x5BD2D1C54CF1FC1C, "trophy_addstored" },
    { 0xDB0F01F74AE87AA5, "trophy_applyempcallback" },
    { 0x460029C8F7DF5995, "trophy_castcontents" },
    { 0xE83C408F3141EDAD, "trophy_castorigin" },
    { 0x5863777B008EC492, "trophy_checkignorelist" },
    { 0xFB062C5AEF5021F1, "trophy_cleanuponparentdeath" },
    { 0x9DA8F0ACFC095B7A, "trophy_clearstored" },
    { 0xB3ACB0A0EF45B4FF, "trophy_createexplosion" },
    { 0xD5C06D5810A59D07, "trophy_delete" },
    { 0x8E9ACB68D2EF41FF, "trophy_deploy" },
    { 0xB997650C41D5BD57, "trophy_deployanimation" },
    { 0x7159F5FB9C3DFC66, "trophy_deploysequence" },
    { 0x6D4D76D9A0C8E3AE, "trophy_destroy" },
    { 0x8B9B27953C0DB2D3, "trophy_destroyonemp" },
    { 0x73D0A3391A564BD2, "trophy_destroyongameend" },
    { 0xB0FF5E36A179E4E1, "trophy_explode" },
    { 0x0ABA4AC89F24CAB8, "trophy_get_best_tag" },
    { 0x9A18C06B4248C6BB, "trophy_get_part_by_tag" },
    { 0xFBF344C79F4D6AC6, "trophy_getbesttag" },
    { 0xE132743E605ED6E3, "trophy_getdeployanimtime" },
    { 0x8F6766B46056D704, "trophy_getpartbytag" },
    { 0x1762E8B767E515DF, "trophy_givedamagefeedback" },
    { 0x1E47FEDEE297DD7D, "trophy_givepointsfordeath" },
    { 0x38ADA918F3D33A6F, "trophy_handledamage" },
    { 0x07561290B164E92D, "trophy_handlefataldamage" },
    { 0x805C41D315D93CE7, "trophy_hideandshowaftertime" },
    { 0x81C91B904689255E, "trophy_init" },
    { 0x920B4BBCA5474E7D, "trophy_maxstored" },
    { 0x4ECB96C3116CCA5A, "trophy_modifieddamage" },
    { 0x4BEB4AF35305F232, "trophy_modifiedprotectiondistsqr" },
    { 0x47C62F7176E5BEBD, "trophy_notifytrophytargetowner" },
    { 0xEEA9439139B953CC, "trophy_onsuperset" },
    { 0x58FCB4CE79B0D000, "trophy_pickup" },
    { 0xB5B923639FC2F461, "trophy_populatestored" },
    { 0x29D68879779F810B, "trophy_protection_success" },
    { 0xC005A0ADE915D17D, "trophy_protectionsuccessful" },
    { 0xFA1A47588D15F6BF, "trophy_remote_destroy" },
    { 0x8BAC4DA3501ECA4B, "trophy_removestored" },
    { 0xE8E69A8E4E49AEA4, "trophy_set" },
    { 0xF459323571A8111F, "trophy_shutdownanddestroy" },
    { 0x6443B569B49F771D, "trophy_startcooldownlist" },
    { 0xA121612949504B76, "trophy_tryreflectsnapshot" },
    { 0xE8E7E1F19D6897D5, "trophy_unset" },
    { 0x26E7EA63E8E69879, "trophy_used" },
    { 0x00422BD02A753FD6, "trophy_watch_flight" },
    { 0x111B78D84798F430, "trophy_watchprotection" },
    { 0xCD4F892FFCF7847B, "trophy_watchtimeoutorgameended" },
    { 0xB4F0F18BECF9EE8A, "trophy_watchtimeoutorgameendedinternal" },
    { 0x99F493A1FA9097EE, "trophyonset" },
    { 0x4578F8C5746922BF, "trophyremainingammo" },
    { 0x663D6EF311D2F95A, "trtablet_init" },
    { 0x8FC60FDDC010447C, "truck" },
    { 0x40D931AD63C63557, "truck1" },
    { 0x67E3AD6AB2201893, "truck1_flip" },
    { 0x40D932AD63C6378A, "truck2" },
    { 0x40D933AD63C639BD, "truck3" },
    { 0xF4818D3AF3236A70, "truck3_idle" },
    { 0x74835AF83FC9FC73, "truck_01_node" },
    { 0x1A15B1058CD9AD7D, "truck_03_node" },
    { 0x2A2B709FC0AA2E62, "truck_04_node" },
    { 0x8FDEC3F93D4B204A, "truck_airdrop" },
    { 0x50A2BC5CFEF2F637, "truck_airdropinternal" },
    { 0x8DFBFAFEE63323D3, "truck_barrels_compromised" },
    { 0x0394DAD8097396AB, "truck_barrels_on_death" },
    { 0xA3790CFF9986BEF0, "truck_cam" },
    { 0x4D0DA6933C3B773B, "truck_compromise" },
    { 0x3A13B5F612D897A7, "truck_convoy" },
    { 0x084FE258A1B8A35F, "truck_crash_wall_hole_light" },
    { 0x062DC74B5A78CE29, "truck_crowd_walla_loop" },
    { 0xF949C1C0514E650A, "truck_damage_custom" },
    { 0x3F8C8EF0B93B05C5, "truck_damage_monitor" },
    { 0x9E1CAE7E2FB9FA62, "truck_dead_or_alive_monitor" },
    { 0x76EE28273C12DEAA, "truck_death_spot" },
    { 0x5D1CBFBEF2B8859E, "truck_delete" },
    { 0x030F8AA57438FC4E, "truck_detachvehiclefromairdropsequence" },
    { 0x61BACEB480EC4A1B, "truck_driver" },
    { 0x4A36FE8655674226, "truck_driver_damage_handler" },
    { 0x34B363D1DCA5D348, "truck_driver_delayed_death_handler" },
    { 0xDA1EFEF787A7A2B8, "truck_drivers" },
    { 0xE75D126A4685068E, "truck_encounterstart" },
    { 0x21C4BF29F0E23ED9, "truck_enemy_alive_count" },
    { 0xB5D4A1706C3C3C1B, "truck_getspawneraitype" },
    { 0xA663D7C666884BF0, "truck_lights" },
    { 0x5AA615FF640A05F9, "truck_loc" },
    { 0x6770DBCF52BC0608, "truck_minimap" },
    { 0xDB2E08DF2F566D50, "truck_move_on" },
    { 0x81C4EB9264AC74E5, "truck_office" },
    { 0x502C6048F424FA53, "truck_office_aq_driver" },
    { 0x93F84A3D5D4E73A6, "truck_office_aq_killer" },
    { 0x297461C1A7E8ADFB, "truck_office_aq_rider" },
    { 0xA02550BEFC334571, "truck_office_bpg_scene_marine" },
    { 0xAC30F817ECFD2630, "truck_office_bpg_scene_marine_move_to_marine" },
    { 0xF7001EF779F5F5E4, "truck_office_catchup" },
    { 0xB6A1EAD7D1E30734, "truck_office_civ_idle_handler" },
    { 0x886B19F92F39F5FB, "truck_office_civ_with_box" },
    { 0xE882907D403ED655, "truck_office_civs" },
    { 0x308DEE281C5C9732, "truck_office_crash_marine_vo" },
    { 0xBD0F866C60D00D9B, "truck_office_crash_price_vo" },
    { 0x87CCAA7B63F16FD9, "truck_office_crash_vo" },
    { 0x779AFA80276D9949, "truck_office_delete_all" },
    { 0x2BBAF8BCF5E0AF12, "truck_office_enemies" },
    { 0x0C7B607BF3C54CA0, "truck_office_enemy_death_counter" },
    { 0x225C625EE4318B38, "truck_office_enter" },
    { 0x1EAF3029951411A5, "truck_office_flavor_aq_run_through" },
    { 0xF95E6F9119C7238F, "truck_office_flavor_truck_drive_by" },
    { 0x2E48D142752087D6, "truck_office_hide_all" },
    { 0xFE40009300180027, "truck_office_main" },
    { 0x71C3090540FE16F6, "truck_office_marine_vo" },
    { 0xAD825D94FE19965F, "truck_office_price" },
    { 0x06C1C8F662CF80C2, "truck_office_price_move_to_marine" },
    { 0x5E424BA1B04D8C1A, "truck_office_red_shirt" },
    { 0xDD03C78171DA6007, "truck_office_setup_truck" },
    { 0xF4EE7B320A434821, "truck_office_setup_walls" },
    { 0x61BAE34BEA5F7F6B, "truck_office_shotgun_impedence" },
    { 0xA064D5531FBC53FE, "truck_office_start" },
    { 0x78723501F476E561, "truck_office_truck" },
    { 0x388EC6671B16F308, "truck_office_wall_collapse" },
    { 0x11C951D7A68B3932, "truck_office_walls_post" },
    { 0x79BFAE46DC95EB81, "truck_office_walls_pre" },
    { 0xA332A3F90CABEB36, "truck_office_wreck_reaction_gesture" },
    { 0x727C14EAFEEB2A07, "truck_office_wreck_vfx" },
    { 0xD60ECDA6CFE4C1DA, "truck_roll_door_init" },
    { 0x369C4E2E1C436850, "truck_roll_door_open" },
    { 0x88021E062A9D7967, "truck_roll_door_sound" },
    { 0x877AAF2F4114087A, "truck_setup" },
    { 0xA2C931284FDF6434, "truck_smash_watcher" },
    { 0xC1F7C30142032C84, "truck_street_death_watcher" },
    { 0x1365291304F32E57, "truck_think" },
    { 0x83E561E2D2275424, "truck_treadfx_health_hack" },
    { 0xDD5E633E8B6DF85E, "truck_waittill_death" },
    { 0x3C731FF0B74E7E71, "truck_wreck_mb" },
    { 0xFD8BE61C20CF1356, "truck_wreck_vision" },
    { 0xD5B1CFAFE4F570D4, "truckcollision" },
    { 0x9AFA39B9D6AF6585, "truckdoorleft" },
    { 0xBB3C9E852EEB4371, "truckdoorleftcol" },
    { 0x58E7B22A0A84241E, "truckdoorright" },
    { 0x3EB0B175CF6C7E1C, "truckdoorrightcol" },
    { 0xF5393CDD7572A7EE, "trucklightsoff" },
    { 0x668A740AA414C64B, "truckmove02" },
    { 0x8D701DEA50134176, "trucks_controller" },
    { 0x14AEA44B69715D45, "trucks_controller_spawn_func_poppies_hill_pickup" },
    { 0xCCC21C0F4A93FD42, "trucks_controller_spawn_func_poppies_hill_umike" },
    { 0x40506FF2587FE59F, "trucks_controller_spawn_func_poppies_shed_umike" },
    { 0xC9E8742408EDDE51, "trucks_convoy_catchup" },
    { 0x09C78CA106EAB168, "trucks_convoy_main" },
    { 0xC1CEB1F547D3603F, "trucks_convoy_start" },
    { 0x97C4BFE9449F8382, "trucks_intel_sequence" },
    { 0x219CB3D2BB08D44D, "trucks_retreat_setup_actor" },
    { 0x1CBA18FB05725616, "trucks_sniper_suicide_truck" },
    { 0x67FFBB3DFD402E88, "trucks_stolen_catchup" },
    { 0x75C3B47D328D4793, "trucks_stolen_main" },
    { 0x9ECE3455027F4302, "trucks_stolen_start" },
    { 0x736AD0068B129B84, "trucks_stopped_watcher" },
    { 0xE9030FCA7BEEC0CF, "truckwarspawnlocations" },
    { 0xA12E9430D9AE33AF, "true_start_angles" },
    { 0x71E385DEA4226080, "truecount" },
    { 0xA19A8E7B579DB869, "try_activate_final_bomb_detonate_sequence" },
    { 0x3C5A38231D5667EB, "try_add_targetmarkergroup" },
    { 0x971610BCFE85685E, "try_ambush_suicide_bomber_spawning" },
    { 0xECC0D1DE2B2E2874, "try_announce_sound" },
    { 0xAC2CDDD0B801C569, "try_attic_dialogue_shoot_her" },
    { 0x26C12401AE685C8A, "try_cardinal_gunshot" },
    { 0xEB5BF998D46A6BF2, "try_cardinal_patrol_update" },
    { 0x27D42D1242914C91, "try_clear_hide_goal" },
    { 0x3E10CC9D30620B80, "try_deaths" },
    { 0xFF0B644991778E51, "try_door_hint" },
    { 0x9B7B44DBA4FD0ADF, "try_enable_repair_interaction" },
    { 0x70B157351B9BD5E0, "try_exit_vehicle" },
    { 0xA4799AE7EC4C78ED, "try_get_gun_anim_node" },
    { 0x88A625217FD3B547, "try_get_gun_interact" },
    { 0xF3EA21E5D37E042D, "try_getlocalizedtext" },
    { 0x3A1A1A6DBD030A43, "try_give_munition_to_slot" },
    { 0x89575FF3EA9918A0, "try_give_player_weapon_xp" },
    { 0x491299F20003CA7D, "try_give_weapon_xp_zombie_killed" },
    { 0x53C71B0431D65A6C, "try_indoor_save" },
    { 0x2154E3B30BFF4ECC, "try_interior_callout" },
    { 0xE8720EB38BC08F03, "try_nag" },
    { 0x9A22C4C1923F4F62, "try_nvg_enable_hint" },
    { 0x202F1EAE9142C478, "try_og_origin" },
    { 0xE301B8DB0C0377DB, "try_place_global_badplace" },
    { 0xBA3D01E727C657E2, "try_play_tv_station_intro_sequence" },
    { 0xC4C8A1E3D54F3B63, "try_push_sound" },
    { 0x9BECDDA14DFD5D97, "try_resume_vignette" },
    { 0x299DB3BA762D399A, "try_run_init_of_event" },
    { 0x7B11C19E05001950, "try_shoot_at_current_target" },
    { 0x6AD7F1107AF19DE7, "try_smart_radio_dialogue" },
    { 0x9DC580B821D19DF5, "try_spawn_backup" },
    { 0x3EC786149EAF565B, "try_spawn_heli_group" },
    { 0x2F4A828B031EC945, "try_start_driving" },
    { 0xE42E01030563E4C8, "try_start_driving_func" },
    { 0x3AC896EDABF9F9DA, "try_start_event" },
    { 0xB6265D730F99CDDE, "try_start_fake_infil_chopper" },
    { 0x8F0152843D967F9A, "try_take_player_currency" },
    { 0x43C8DE1DE7B3A305, "try_throw_molotov_at_spot" },
    { 0xE273063B3AF4C042, "try_to_autosave_now" },
    { 0x090AF35DA639D93B, "try_to_do_first_entry_room_logic" },
    { 0xFD5E1829F0790127, "try_to_do_first_passby_room_logic" },
    { 0xA1C0C4FCC456DBBD, "try_to_draw_line_to_node" },
    { 0x91F63A6DD9F59559, "try_to_play_custom_death_animation" },
    { 0x0D7A36B2D4F1222D, "try_to_play_vo" },
    { 0x4F1E9D9EA828B8E2, "try_to_play_vo_for_one_player" },
    { 0xE3380AE56A22DA2E, "try_to_play_vo_on_all_players" },
    { 0xA9AF3638B98B5829, "try_to_play_vo_on_team" },
    { 0x668843E3007D4097, "try_to_punish_with_jugg" },
    { 0xC34D5D85BAB4B8FD, "try_tunnel_teleport" },
    { 0x744719C3936D4097, "try_update_lb_playerdata" },
    { 0x8349BE8A52856B57, "try_update_wait_for_repeating_event" },
    { 0x97BD7D68149E4E91, "try_use_func" },
    { 0x611FAB62CDD6DA74, "tryadddeathanim" },
    { 0xF4FE835A32B842F1, "tryaddfiringdeathanim" },
    { 0xE131A3627403E984, "tryairdroptriggered" },
    { 0x5CBA8433ACEF6BC8, "tryautosave" },
    { 0x95E1E687F107AB8E, "trycall" },
    { 0x9E9A37BF8FEF5236, "trychangesuitsforplayer" },
    { 0x0BEE2684684F6723, "trycornerrightgrenadedeath" },
    { 0x6DD316303726A61B, "trycreateextractpoint" },
    { 0xDDF8E62073192A89, "trydisableminimap" },
    { 0xF975A3FCA63CADA8, "trydive" },
    { 0xBB9A16C8F983C5BB, "trydof" },
    { 0xA9C96ECD3E4EE400, "trydroparmorfornewarmor" },
    { 0xB7B27638E434AA61, "tryequiparmor" },
    { 0x79BD65C9C264764A, "tryequipmentfrominventory" },
    { 0x3F98CC13248F498E, "tryequiputility" },
    { 0x17AC38DEF8F3E44C, "trygetlastpotentiallivingplayer" },
    { 0x17D667183D844622, "trygiveuseweapon" },
    { 0x9AA3A9C333F8D846, "trygrenadeposproc" },
    { 0xA46A8E54D3468EC8, "trygrenadethrow" },
    { 0x450D9CBFBB48653D, "trygulagspawn" },
    { 0x7916E7BF45E56A3D, "tryhostagerespawn" },
    { 0x5434650361264DE0, "trying_rockets" },
    { 0xD470F7AEECB997DA, "trying_to_pass_player_vehicle_think" },
    { 0x2FA177E0B4F5F012, "trying_to_spawn_boss" },
    { 0xB1F556A61D659338, "tryingcolorgesture" },
    { 0xAC90F03F727C5AE1, "tryingopener" },
    { 0xA321B02AE7DB242E, "tryingtoleave" },
    { 0xED50A93A76A7445A, "trylootdespawn" },
    { 0xEC0000B13733F3DD, "trylootdropdespawn" },
    { 0xFF9E7E7FE5F2FD2A, "trymarksystem" },
    { 0x7893F9523F0C5EF7, "tryorderto" },
    { 0x545A71463D8053ED, "trypickupitem" },
    { 0xE073B63230291FB2, "trypickupitemfroment" },
    { 0x755B88B50618CDDF, "tryplacespawner" },
    { 0x0FFC2A60F5B0E7D8, "tryplaycoughaudio" },
    { 0x596FD657BFE1E1BD, "tryreenablescriptablevfx" },
    { 0xC11A9C4CD5A79D7F, "tryresetrankxp" },
    { 0x720504710A6EAEB5, "tryrunnextobjective" },
    { 0x95EF8AA28BD042C4, "tryrunningtoenemy" },
    { 0x8AD1CAFCC1E315D7, "trysaylocalsound" },
    { 0x71EE37DDF33A7A96, "tryscriptarms" },
    { 0xE5A8686581D88F82, "trysetqueuedselfvo" },
    { 0xEA57DAD2C0F7E160, "tryspawnavehicle" },
    { 0x2C449CA0F91CE5F5, "tryspawnlaunchchunkbots" },
    { 0x1EA98EE418E9CEB7, "tryspawnneutralbradleycmd" },
    { 0x293BB1A5F23205B2, "tryspawnscriptable" },
    { 0x8EECB6C46348ADD6, "tryspawnscriptableparenting" },
    { 0xC7647684E7329316, "tryspawnscriptablereuse" },
    { 0x426C133E551B2A7A, "tryspawnweapons" },
    { 0x9C1C1A229910C555, "trysuperusebegin" },
    { 0x7996DE2ACA6F17B0, "trytocacheclassstruct" },
    { 0xD0D4FA7E5E379008, "trytomastriketriggered" },
    { 0xACD8DD38330CE9E7, "trytoplaydamagesound" },
    { 0xC601435C07719A3F, "trytriggerkillstreakfromsuper" },
    { 0x8FE0B0766B95FDE7, "tryupdategenericprogress" },
    { 0xE8A682B652AE0AD5, "tryupdatehvtstatus" },
    { 0x2AB0DF6133A741B7, "tryuseac130" },
    { 0x9EBC88123FCF83AC, "tryuseairdropmarker" },
    { 0xF1A038B646D12AC5, "tryuseairdropmarkerfromstruct" },
    { 0x83080218E8501425, "tryuseairstrike" },
    { 0xBEE953A3A8367E50, "tryuseairstrikefromstruct" },
    { 0x1EBC13ADF72E7321, "tryuseautosentry" },
    { 0x2CC14044CBB8668B, "tryusechoppergunner" },
    { 0xA6622E21D1640F46, "tryusechoppergunnerfromstruct" },
    { 0x4C21C4E5E4E54B27, "tryusechoppersupport" },
    { 0x1181B42495804882, "tryusechoppersupportfromstruct" },
    { 0x76F04AA38F541C65, "tryusecruisepredator" },
    { 0x8B99A425FDCCF390, "tryusecruisepredatorfromstruct" },
    { 0x769BBBCCCE453161, "tryusedeathswitch" },
    { 0x844D083CAA2D6D1C, "tryusedeathswitchfromstruct" },
    { 0x5F49A46EA02F1F7C, "tryusedeployablevest" },
    { 0xEA08E9F72BC9C6B7, "tryusedronehive" },
    { 0x07344A94A609EB73, "tryusedronestrike" },
    { 0xB9BD92868AAE876D, "tryuseemp" },
    { 0x242D8B672C11DA98, "tryuseempfromstruct" },
    { 0xC14E617AB286A187, "tryusegunship" },
    { 0xC2465591EB19D0E2, "tryusegunshipfromstruct" },
    { 0x89D7C93892C4B538, "tryusehelicopter" },
    { 0x11CDC89B2113AFF9, "tryusehelipilot" },
    { 0x5148DB888ED86C21, "tryusehelperdrone" },
    { 0xB7058C06D90AD594, "tryusehelperdroneearlyout" },
    { 0xD8EAE0F2625F5FDC, "tryusehelperdronefromstruct" },
    { 0xAF9222A41E87D6F4, "tryusehoverjet" },
    { 0x2DA264836AAC6E6D, "tryusehoverjetfromstruct" },
    { 0xFBC7AA33F9AB037E, "tryuseitemfrominventory" },
    { 0x11840E565B50D805, "tryusejuggernaut" },
    { 0x196DEAE522034430, "tryusejuggernautfromstruct" },
    { 0x36A8620506275E25, "tryusemanualturret" },
    { 0x5F173A0D63649850, "tryusemanualturretfromstruct" },
    { 0xDB5B1D6D9ABEFCC8, "tryusenuke" },
    { 0x2774D2DE63D29751, "tryusenukefromstruct" },
    { 0x5215087D6CCDEAC6, "tryusepredatormissile" },
    { 0x6BBF6994B89DCC09, "tryuseremotemgturret" },
    { 0x6B216B5C0488C57F, "tryuseremotetank" },
    { 0x66F162AE488E6E9A, "tryuseremotetankfromstruct" },
    { 0x6F34E0543A88CA25, "tryuseremoteuav" },
    { 0xFA1EF78775F87E44, "tryusesam" },
    { 0x6E8A2C475B5AC29C, "tryusesentryturret" },
    { 0xAD177069942EEE75, "tryusesentryturretfromstruct" },
    { 0xAD73DC84359ACC46, "tryuseshocksentry" },
    { 0xEA241DE50E651FF9, "tryusesupportbox" },
    { 0xD3FC4054EC42A9DC, "tryusetomastrike" },
    { 0xCFDE91FB01B88EB5, "tryusetomastrikefromstruct" },
    { 0xA42A1C87375D4867, "tryuseuav" },
    { 0x59392580B278BFC2, "tryuseuavfromstruct" },
    { 0x710055422C3ECE9A, "tryusewp" },
    { 0x1B96FFA2D5220B0B, "tryusewpfromstruct" },
    { 0x87774875C9BF6DB8, "tryweaponswitchnag" },
    { 0x59235180D2AFB380, "ttlos_suppressasserts" },
    { 0x2F08F65F545100F6, "ttlosoverrides" },
    { 0x947734387A9BDEA8, "tu0bakechanges" },
    { 0x4543AF9507ABDA8C, "tugofwar_anim" },
    { 0x668189EB0E5B366E, "tugofwar_exfil_hvt" },
    { 0xF03CAC527DAB9CEB, "tugofwar_exfil_location" },
    { 0xFE63A022CF690E5B, "tugofwar_hvt_placed" },
    { 0xF9CCF8124A682C3D, "tugofwar_hvt_taken_firsttime" },
    { 0xABBC3B986B3754B5, "tugofwar_tank" },
    { 0xD3442F4D15667311, "tunnel_animnode" },
    { 0x49422A187EF7B2CE, "tunnel_catchup" },
    { 0x63D9BEEE9A66F44C, "tunnel_collapse_think" },
    { 0xE28354BDA9B4FB4C, "tunnel_door" },
    { 0x29546194DB7830A1, "tunnel_main" },
    { 0x84C6C4BB098A4B24, "tunnel_open" },
    { 0xB02C2510D8DC7F1C, "tunnel_scene" },
    { 0x204C9E2AAE0E2FE8, "tunnel_start" },
    { 0x73693F4CA9EBA0B5, "tunnel_struct" },
    { 0x7CF5BEED33E9C890, "tunnels_achievement" },
    { 0x538867069612D1AD, "tunnels_achievement_pistol_only" },
    { 0x138E9D7DEE963CD2, "tunnels_achievement_pistol_only_final" },
    { 0xBA3BC6A92B24CB39, "tunnels_achievements" },
    { 0x4AD9B0B1CB9FCA31, "tunnels_ar_guys_force_ak47" },
    { 0xF3886EBCF6C2B0D6, "tunnels_baseaccuracy_when_player_on_ladder_or_in_smoke_or_above_player_in_shaft" },
    { 0x0AE9764F8CA4A089, "tunnels_combat" },
    { 0xD7143D4B91F173EE, "tunnels_corpse_cleanup" },
    { 0x43E16AFB9B0B63EE, "tunnels_deleteanimatedmattress" },
    { 0xBE9B15D9F2134053, "tunnels_door_anim" },
    { 0x3E1E12BEB1CF8F5F, "tunnels_door_guy_fire_aware" },
    { 0x90600C6F2A7BA9F3, "tunnels_door_player_extras" },
    { 0x912EA90A4333DA66, "tunnels_farahgrabdisguiseanimationlogic" },
    { 0xE873512CF8BF9147, "tunnels_flashlight_management" },
    { 0xC6A539C81CA39E8B, "tunnels_getanimatedmattress" },
    { 0x13668102E6150FA6, "tunnels_getanimationstruct" },
    { 0x24F18715B71BEB8B, "tunnels_getplayermantletrigger" },
    { 0x62F1E51B51C09F55, "tunnels_hadirnaglogic" },
    { 0x8E15C5AF3E165C00, "tunnels_main" },
    { 0x2D6601101B062997, "tunnels_notify_first_cell_guy_death" },
    { 0xC01FC0691130E07C, "tunnels_playerinteractlogic" },
    { 0xFE96DA7B64EC8FD5, "tunnels_playerinteractpintoedgelogic" },
    { 0x8DF5EB72196E1606, "tunnels_playerladderspeedscalinglogic" },
    { 0x3B5F06C66EBAA982, "tunnels_playerspeedscalinglogic" },
    { 0x588CB34651CD0312, "tunnels_setupanimatedmattress" },
    { 0x9662348AE4CA751A, "tunnels_shaft_molotov_giveth" },
    { 0x3E95ABBE4CFFE57F, "tunnels_shotgun_guy_accuracy_debug" },
    { 0x1ABE2FCC6FEEBAA3, "tunnels_shotgun_guy_accuracy_management" },
    { 0x878BBC95D9DFABB2, "tunnels_shotgun_guy_monitor_weapon_fire" },
    { 0xB2C19DADD4055E01, "tunnels_spawnfunctions" },
    { 0x10087866F8EE4937, "tunnels_start" },
    { 0xA1775D5E27C84023, "turbine_cleanup" },
    { 0x1390E980685D4984, "turbine_enemies_seek" },
    { 0x5B9EC28E13EB553D, "turbine_pa_line" },
    { 0xAF64E2EC51E0F309, "turbine_spin" },
    { 0x71C3265B6F6CC4EC, "turbines_clear_thread" },
    { 0x4D1BCF039DF9A70A, "turbines_dialog" },
    { 0x6B5143464B471997, "turbines_level_vars" },
    { 0x7C2FA7AD02E3460F, "turbines_pa_chatter_say" },
    { 0x4C9F05B580D377F9, "turbines_pa_say" },
    { 0xCFDB5DAA68A39470, "turbines_postload" },
    { 0x56F861BFA6F22C90, "turbines_postspawns" },
    { 0xBB1D895FEF412913, "turbines_preload" },
    { 0xB941C49A5CAC6F67, "turbo" },
    { 0xFED5355CC05F02C7, "turbopetchallengewatcher" },
    { 0xE411F7BEAA84E10D, "turbulence_scalar" },
    { 0xFE87936F2FC00C95, "turn_check" },
    { 0xC641FC0473748A9B, "turn_left_enter" },
    { 0x4420F72555AA5B0F, "turn_left_exit" },
    { 0x8C5A6169358E7EE7, "turn_lights_onoff" },
    { 0xE9AD24BF4025BAB1, "turn_off_ambush_light_models" },
    { 0x43DD1D89A891802A, "turn_off_consumable" },
    { 0xC2A11E696795F7DF, "turn_off_drone_hud" },
    { 0x07D4378FD0148130, "turn_off_firing_while_flashed" },
    { 0x6DF3DAEA6337C7D8, "turn_off_flood_spawner" },
    { 0xBB129AF08E34830A, "turn_off_floodlights" },
    { 0xE32422BAF31F13D7, "turn_off_grenade_cooldown" },
    { 0xBA369BE172C4720B, "turn_off_have_target_hud" },
    { 0x9809E8B2845EA136, "turn_off_headtracking" },
    { 0x10742294A5B8580C, "turn_off_headtracking_solo" },
    { 0x8908D6F66AB34E8F, "turn_off_heli_spawners" },
    { 0xC17AA251D90E953B, "turn_off_hours_later_chyron_text" },
    { 0xCFCD343325406A46, "turn_off_laser_trap" },
    { 0x68906614A3A77063, "turn_off_laser_vfx" },
    { 0xB432425026B650F2, "turn_off_light_bar_on_death" },
    { 0xCAD5A6E4D5F6FA5C, "turn_off_lights" },
    { 0x607C6F3EA241DBFE, "turn_off_mansion_lights" },
    { 0x9F708AEB03D37554, "turn_off_players_birds_view_hud" },
    { 0x0803011D4DFE1A50, "turn_off_power_vo" },
    { 0xC8403934FE959AC9, "turn_off_proc" },
    { 0x3E9180A4AA8D4833, "turn_off_prompt" },
    { 0xC4EFFF9D5A856B0E, "turn_off_red_lights_along_track" },
    { 0xE15B1B0A4E83D90E, "turn_off_search_light" },
    { 0x3D83CC6D4407588C, "turn_off_silo_lights" },
    { 0x923984D567B437B6, "turn_off_sniper_laser" },
    { 0xD09A3828846B79E8, "turn_off_states_on_death" },
    { 0xDE2EC9BFFC97E10B, "turn_off_steam" },
    { 0x4D3A186167ADA179, "turn_off_suv_interior_light" },
    { 0xB58CABEE6AB335B8, "turn_off_vfx_on_zombie" },
    { 0x608B9352C2C33A77, "turn_on_after_timeout" },
    { 0x4D2B3DEBBB8A8532, "turn_on_cards" },
    { 0x3A5215E01ACF24C9, "turn_on_drone_hud" },
    { 0x957D7859C9AB74D0, "turn_on_floodlights" },
    { 0x278156BE7F03D4F9, "turn_on_have_target_hud" },
    { 0xD8EA22DD8F293038, "turn_on_headtracking" },
    { 0xBB5B42A72DA4500A, "turn_on_headtracking_solo" },
    { 0xB77C80DA9B7B6611, "turn_on_hours_later_chyron_text" },
    { 0x6E960784CB4E459C, "turn_on_laser_trap" },
    { 0xE976FFE139E7ECF1, "turn_on_laser_vfx" },
    { 0xBA7CD95C7DDAF19E, "turn_on_light_when_elevator_close_by" },
    { 0xA116802B0BA4F15A, "turn_on_lights" },
    { 0x32D906343F7828A7, "turn_on_nearby_model_screen" },
    { 0x39E5151779C4B4CB, "turn_on_proc" },
    { 0x59D0A2A4DF980FDC, "turn_on_red_lights_along_track" },
    { 0x4AD3A895CA6F99B0, "turn_on_search_light" },
    { 0xCFF4CCC1BAA0401A, "turn_on_silo_lights" },
    { 0xAE9A5865795217CC, "turn_on_sniper_laser" },
    { 0xFD03BCFC0E00EC89, "turn_on_steam" },
    { 0x4FC8B6F2009A1EA3, "turn_on_suv_interior_light" },
    { 0x1406DE4BDB16E206, "turn_on_team_armor_buff" },
    { 0xFD01CF5AC2F4CBBE, "turn_right_enter" },
    { 0xC6AA4C7CC2174BE8, "turn_right_exit" },
    { 0x4B29D7207E51E5F5, "turn_think" },
    { 0x10DA2B2843E2F189, "turn_trucks_on" },
    { 0x96A75DCED097A947, "turnanim" },
    { 0xBDA8EE8215404028, "turnbackon" },
    { 0xAE0085A676F671FC, "turnexfiltoside" },
    { 0xC0CA31621E904024, "turningpoint" },
    { 0x1B4111B6D101F900, "turnkidnappertonormalai" },
    { 0x01D449DC65B2FEFB, "turnlaserbackon" },
    { 0xBC0F9139FAC515DB, "turnoff" },
    { 0x3B0E013F174AC90E, "turnofflaser" },
    { 0x2BA33BD70C843EA5, "turnoffnvgs" },
    { 0xFFAC24D0B2BA3AA0, "turnofftimer" },
    { 0x4F800C79F6E59777, "turnon" },
    { 0x2351B429185D1EE2, "turnonlaser" },
    { 0x90DF350D7E565B1C, "turnrate" },
    { 0x5718204209463E94, "turnspeedtarget" },
    { 0x675AD2E446E03989, "turnthreshold" },
    { 0xFDECFE7A76E07CC3, "turret" },
    { 0x8534C18227FDD7BA, "turret_aim_think" },
    { 0x790181413DFFDD5D, "turret_aimed_at_last_known" },
    { 0x9EC438D671967F4A, "turret_can_shoot_player" },
    { 0x3C64B3C2FD4F92E1, "turret_coolmonitor" },
    { 0x66ABF4840BDC45B9, "turret_corpse_monitor" },
    { 0x226BE9EB68F5846A, "turret_deactivate" },
    { 0x3B7C5EAA4E2C3C76, "turret_default_fire" },
    { 0xD8F3B7B1936AD95C, "turret_disabled" },
    { 0x66A38A14A22F9917, "turret_dst" },
    { 0x21FE84F1137AA9BC, "turret_enemy_mover_clean_up" },
    { 0xEEE96E08C5A0E30F, "turret_enemy_watcher" },
    { 0xE092032E0EC6C131, "turret_enemy_watcher_internal" },
    { 0x11768FFE89E9D36B, "turret_find_user" },
    { 0xE17C7B930AE0DD58, "turret_fire" },
    { 0xE541F4F52162384E, "turret_fire_enable" },
    { 0x1643F2FEBDDDFDD9, "turret_fob_self_destruct" },
    { 0x8D05254BE8114334, "turret_fob_watcher" },
    { 0x3E6DF0EF5464C903, "turret_getplayerusefuncs" },
    { 0x4EDD1A71B3B67601, "turret_guncourse_explode_on_end" },
    { 0x5028AC4B619CD954, "turret_guncourse_think" },
    { 0x990BB9F658CF7FAE, "turret_guy_spawn_func" },
    { 0xE2DCE08A6B63B35E, "turret_handlepickup" },
    { 0x986FF131A0207CBD, "turret_handleuse" },
    { 0x01CAE93C9F6D3564, "turret_has_target" },
    { 0x5DFEC4C7A2A2FF33, "turret_headicon" },
    { 0xD7E73264B2EEFF78, "turret_heatmonitor" },
    { 0xFEEBE61A23EBAC00, "turret_hint_func" },
    { 0xAB64CCE7E95A62EE, "turret_hitbox_track_damage" },
    { 0x6972B08DE4BF710C, "turret_impactquakes" },
    { 0x87D6CF99D9B6C661, "turret_init_func" },
    { 0x3C30AAF53973F8FD, "turret_internal" },
    { 0x112F85368410D6AA, "turret_investigate_pos" },
    { 0x07740132939C553E, "turret_investigate_pos_time" },
    { 0x9C44A2DA2B86A4E6, "turret_is_firing" },
    { 0x96389940FDD1AEE2, "turret_is_mine" },
    { 0xA97963FA3FDEFB56, "turret_is_on_ent" },
    { 0x5468A86F3BBEE4FA, "turret_logic" },
    { 0x30DEA3FB3A29E28B, "turret_manager" },
    { 0x28A88AD8165AD344, "turret_minigun_fire" },
    { 0x9D5B877A4739C731, "turret_minigun_target_track" },
    { 0x2C975BC24E5C434D, "turret_monitoruse" },
    { 0x6481EEF850CFB51A, "turret_no_vis" },
    { 0xD93DC830C1F066B1, "turret_not_on_target" },
    { 0x6EF627ADAAE153A0, "turret_objective_think" },
    { 0x5299AE1CA7557537, "turret_on_target" },
    { 0xB5B27E3C9642D4A1, "turret_on_vistarget" },
    { 0x704FB883E7099F03, "turret_op" },
    { 0xAAA82994410F05A4, "turret_operator" },
    { 0x022B6040C9E7EFA9, "turret_outline_watcher" },
    { 0x27CE2BFF9F3E1252, "turret_overheat_bar" },
    { 0x6B6F33FF153E46E1, "turret_overheat_org" },
    { 0x09FD82F047AF9698, "turret_owner_damage_func" },
    { 0xDF12362F0E76DE07, "turret_pitch_clamped" },
    { 0x1D25D804497C5941, "turret_playerstartfunc" },
    { 0xCEFCE0A2423AAE63, "turret_playerstopfunc" },
    { 0xF7897B99DCAC6FDD, "turret_playerthread" },
    { 0xD3ED83D37957A53D, "turret_pointer" },
    { 0x318913B0CB7CCDC5, "turret_rotate_stopped" },
    { 0x93BE7103754DDEC8, "turret_set_default_on_mode" },
    { 0x17E6CBCB3E68EC4D, "turret_shell_fx" },
    { 0x4B5998DBC242E94A, "turret_shell_sound" },
    { 0x3F5789DD4514E154, "turret_shoot_think" },
    { 0x6C99FA0CAB2D966A, "turret_shotmonitor" },
    { 0x628220B06B357A69, "turret_should_keep_firing" },
    { 0x09351160C3FEA218, "turret_spotted_ent_think" },
    { 0x0A1FFA75650D82AA, "turret_start_locs" },
    { 0x7C6E7205E13D1CC5, "turret_struct" },
    { 0xD3D5FEB746A0A91C, "turret_sweep" },
    { 0x370840DE9752DBCD, "turret_sweep_to_loc" },
    { 0xDB2EB44925B2E294, "turret_think" },
    { 0x6875B636BACD11A5, "turret_track_target" },
    { 0x62A7396B505A9A42, "turret_track_target_think" },
    { 0xAC1613820024C596, "turret_use_func" },
    { 0x4BB8D2C456FFD059, "turret_use_time" },
    { 0xF60754F2F742A9A2, "turret_user_moves" },
    { 0x94919A058EA568DC, "turret_vm_playeranims_think" },
    { 0xB67F57F76E97C451, "turret_watchplayeruse" },
    { 0x00380BCB9CBB2978, "turret_weapon" },
    { 0x5472A6BA399DC1DE, "turret_yaw_clamped" },
    { 0x34D35726A17ECB63, "turretangles" },
    { 0xECEF4CFED3C2C218, "turretarray" },
    { 0xCE3DB6EACD29EEEA, "turretcantarget" },
    { 0xC8028AAA20010DCF, "turretdeathdetacher" },
    { 0x94E2435DC22EE9FB, "turretdetacher" },
    { 0x34CD2C9D0F579A33, "turretdisabled" },
    { 0xB3B8E566C250CB81, "turretfiredisable" },
    { 0x1C542EB7ACBD2FB8, "turretfireenable" },
    { 0x25D6827EA4B96945, "turretfx" },
    { 0xDA8B640E4593582E, "turretgetaim" },
    { 0x7CF77D05061CE8B9, "turretindex" },
    { 0x3DFE0E5667448037, "turretinfo" },
    { 0xC55C57053B2061EA, "turretinits" },
    { 0xE6E839A86E21C85C, "turretinitshared" },
    { 0x7D025C849394AB72, "turretinvulnerability" },
    { 0x0C4BD4E993C7307B, "turretisoverheatdisabled" },
    { 0x11A653F4F18B8144, "turretlightsonstate" },
    { 0x1A5B09753990B0A0, "turretmodel" },
    { 0x883E856C6F92E19C, "turretobjweapon" },
    { 0x1C4B36AEDB3E0710, "turretoffset" },
    { 0x25F56A7EA4DB865E, "turreton" },
    { 0x61B0E0FAED20B30D, "turretorigin" },
    { 0xD03E5518194AF791, "turretoverheatdisable" },
    { 0xF106D638F54A36C1, "turretoverridefunc" },
    { 0x20823B16141408C2, "turretownerchange" },
    { 0x0D82A1249A88172B, "turretparent" },
    { 0x15382709286BD277, "turretparts" },
    { 0xD12DF672CE81275C, "turretplayerstartfunc" },
    { 0x00E8A1669B9D9FFC, "turretplayerstopfunc" },
    { 0xBCC26884DA467033, "turretpos" },
    { 0xBB5568FFD3E9ACCD, "turretrequested" },
    { 0x50B057536FB23710, "turrets" },
    { 0x59A042DB8EC4E331, "turrets_shields" },
    { 0x4A29FCCFB3B514FA, "turretsactive" },
    { 0xC242972359F5487A, "turretsetbarrelspinenabled" },
    { 0x94AD024B7C3F0A8E, "turretsettings" },
    { 0x71A66A3485007584, "turretstatechange" },
    { 0xB22F8837DEBD5186, "turrettarget" },
    { 0x05D800F1E73A2885, "turretthink" },
    { 0x9F60E7DFC062A838, "turrettimer" },
    { 0xFE03208409F9CD7B, "turrettype" },
    { 0xD0F9BB75A0FC5E93, "turretweapon" },
    { 0xC5688720F6AC8B66, "tut_bot_nameplate" },
    { 0x993CC3830E08FE8F, "tut_bots_forcelaststand_onknock" },
    { 0x2917ECA3C18033A8, "tut_bots_forcelaststand_onspawn" },
    { 0x804AE63CFE095609, "tut_flood" },
    { 0x96D5DA176F036C53, "tut_fusebox" },
    { 0x422A59CF7CA08705, "tut_loadout" },
    { 0x7716FBE3B194790D, "tut_loot" },
    { 0x0626AA5F9214AE5C, "tut_popup_listener" },
    { 0xF0C96B4426794154, "tutdmzonplayerkilled" },
    { 0x9FEE6B2D00CC3132, "tutkioskpurchase" },
    { 0x6ADE67AC15AD02AB, "tutonplayerkilled" },
    { 0xC31B5D9773225B53, "tutorial" },
    { 0x93FEF977F51BAB83, "tutorial_activated" },
    { 0x217A9F1A5F428016, "tutorial_ads" },
    { 0xCBDE1DCCCE870710, "tutorial_allieslogic" },
    { 0xEEFE0A742997C9CA, "tutorial_alliessearch" },
    { 0x923E7CA37F143FBA, "tutorial_allysignaleffectslogic" },
    { 0x943A4AB9A9B3738E, "tutorial_catchup" },
    { 0xF4DF27876432094A, "tutorial_deletesniperbench" },
    { 0xBAB1694116CF292B, "tutorial_flood_init" },
    { 0x9E3E17CDFCA67286, "tutorial_getallies" },
    { 0x044BB26B9D15EEA6, "tutorial_getallyaliasnames" },
    { 0x33E87A738267470A, "tutorial_getallynames" },
    { 0x406E40BFB00B8E5B, "tutorial_getallynodes" },
    { 0x7B4EA50A76BCB5B4, "tutorial_getallyreadylines" },
    { 0x347C17B171D7B9B9, "tutorial_getallyreplylines" },
    { 0xA0DFB8C4D805C078, "tutorial_getanimationorigin" },
    { 0x4E1CBDE53D3A992E, "tutorial_getfarahcommandallylines" },
    { 0x35F19A1369D751DF, "tutorial_getprimarytarget" },
    { 0xFC27A148CE521363, "tutorial_getsecondarytarget" },
    { 0xBADD5C088BB16C82, "tutorial_getsignalally" },
    { 0x37E9F254DC26826F, "tutorial_getsniperbench" },
    { 0x8096DD2FCF125110, "tutorial_goprone" },
    { 0x14875E3DE0FCF824, "tutorial_interaction" },
    { 0x985A86F062270510, "tutorial_interaction_1" },
    { 0x985A89F062270BA9, "tutorial_interaction_2" },
    { 0xEAF877926C08CE36, "tutorial_intro" },
    { 0x4FCDD811CBE51862, "tutorial_jumpfromplane" },
    { 0xFB88ED379B31D992, "tutorial_lead_collected" },
    { 0x1C3F727F95C579CD, "tutorial_lookup_func" },
    { 0xDFC4745FDA6AAA61, "tutorial_main" },
    { 0xAB6DF24E90316EA8, "tutorial_message_table" },
    { 0x158EDFCEC51BE2E6, "tutorial_placetargetdialoguelogic" },
    { 0x0AF2A3D24E4AF5D0, "tutorial_placetargetlogic" },
    { 0x9EDBCCF38446FFCD, "tutorial_playsound" },
    { 0x61DC0EC2118595B0, "tutorial_primarytargetaim" },
    { 0x99C25EC1C44466AE, "tutorial_primarytargetaimgravity" },
    { 0x338908BFFEB1C5EE, "tutorial_primarytargetaimwind" },
    { 0x6A227ACDD730F267, "tutorial_primarytargetlogic" },
    { 0x044008E73C93B417, "tutorial_primarytargetmiss" },
    { 0xA1E78D5738C9CA5C, "tutorial_pullchute" },
    { 0x8B12BAA4ED901283, "tutorial_secondaryaim" },
    { 0xB0BA24C9F3676210, "tutorial_secondarylookatbuilding" },
    { 0x09C21F102A62F9E3, "tutorial_secondarytargetlogic" },
    { 0x640FA6464899A691, "tutorial_secondarytargetlookat" },
    { 0xCBDB5B659342C0EF, "tutorial_secondarytargetmisslogic" },
    { 0xDA5EDBB1A57B06B6, "tutorial_setalliesnames" },
    { 0x6ED9B49AB87E5466, "tutorial_showtext" },
    { 0x02C108E2514CAACC, "tutorial_signalallylogic" },
    { 0x43919021F7A2AEF9, "tutorial_spawnallies" },
    { 0xBA0EC9BB3783823E, "tutorial_spawnprimarytarget" },
    { 0x3BEB49FDCDE168A8, "tutorial_start" },
    { 0x5D19147475BA1596, "tutorial_tacmap" },
    { 0xCE056B6093942678, "tutorial_timeout_check" },
    { 0xEF3E927E06F47453, "tutorial_usingparachute" },
    { 0x384C1E47596ADDFC, "tutorial_zoomin" },
    { 0x25BF34E1D88FFE92, "tutorialprint" },
    { 0x22DFA6A6177BBFF6, "tutorialprint_number" },
    { 0x4945BDB126F4C539, "tutorialzoneenter" },
    { 0x4BB0072330BFD319, "tutorialzoneexit" },
    { 0x101E2EDBB5A9480F, "tuttxtbox" },
    { 0xCA23BCCF76785D12, "tutzonetriggerlogic" },
    { 0x879E7E5098E941F9, "tv_image" },
    { 0xB51D32430241AC89, "tv_model" },
    { 0xD86064C0CCB0AEC7, "tv_station_bomb_defusal_success_func" },
    { 0x41E9ACC788DC0324, "tv_station_boss" },
    { 0xEE18763EE32253CF, "tv_station_boss_should_break_stealth_immediately" },
    { 0x61DAD2E40D0C2400, "tv_station_fastrope_one_infil_rider_start_targetname" },
    { 0x6CEBE0C3D16FDB43, "tv_station_fastrope_one_infil_start_targetname_array" },
    { 0xFBA04334C298BC70, "tv_station_fastrope_one_infil_start_targetname_array_index" },
    { 0x271127B9E327BBBE, "tv_station_fastrope_two_infil_rider_start_targetname" },
    { 0xD84645AD8C162511, "tv_station_fastrope_two_infil_start_targetname_array" },
    { 0x561B1BC33368591E, "tv_station_fastrope_two_infil_start_targetname_array_index" },
    { 0x4666019F5FFE704A, "tv_station_gas_rise" },
    { 0xC7B801230E8CC0F6, "tv_station_get_bomb_icon_on_cell_phone" },
    { 0xDFE3579AC103C77E, "tv_station_global_stealth_broken" },
    { 0xD58950A26C5327D6, "tv_station_infil_enemies_attack_logic" },
    { 0x3CD9C0D497C9B666, "tv_station_infil_enemy_combat_logic" },
    { 0x9991DEDE78980099, "tv_station_interior_enemy_should_break_stealth_immediately" },
    { 0x74C38B5555A95730, "tv_station_intro_already_played" },
    { 0x33BBBD94EA1DF9D1, "tv_station_intro_camera" },
    { 0xB1CF38573258E75D, "tv_station_marker_player_connect_monitor" },
    { 0x393A053991AEBA73, "tv_station_mindia_spawner_think" },
    { 0x77B5A0237D4CB35B, "tv_station_reinforcement_spawn_logic" },
    { 0xAE66917089AE1EE8, "tv_station_spawning" },
    { 0xE9546F032A652508, "tvs" },
    { 0x61BD7B453A3565C7, "tvstation_fastrope_init" },
    { 0xCDCB903A43712B62, "tweakablesinitialized" },
    { 0xEF4E5BAD9CB83D3C, "tweakedbyplayerduringmatch" },
    { 0x7096A8E2DB0EC235, "tweakfile" },
    { 0x7608E4A162C49C03, "twelfthfloorturret" },
    { 0x98C849FF6AB62FB8, "twister_array_zombie" },
    { 0xC9C860076A69B78B, "twister_sfx" },
    { 0x40978058FF83C681, "two_color" },
    { 0xA05AAF023753868E, "txt_nag" },
    { 0x5EE809F61D319039, "type" },
    { 0x14068B4CF32B37AF, "type_off" },
    { 0xFD7B20150D9E628B, "type_on" },
    { 0x6D82CE4BBCCD1EF3, "type_run" },
    { 0xDF747EE62A4EBCCA, "type_specific" },
    { 0x506AEA8C3F25D8DB, "typecast_kvps" },
    { 0x54154D985CD2327C, "typeid" },
    { 0x70F7FF1A404D11A9, "typelimited" },
    { 0x1F30F3D972A78394, "typeorig" },
    { 0x747AF313ED106C2E, "typeref" },
    { 0xE9DE3242340052BE, "types" },
    { 0xB3532D2932A185EA, "u_buttons" },
    { 0xEBD3DE8DB180A8C1, "u_buttons_disable" },
    { 0xDC503B0321661713, "uav" },
    { 0x7B488AE275050E2C, "uav_dangernotifyplayersinbrrange" },
    { 0x45760B49751D4336, "uav_getenemyplayersinrange" },
    { 0xC278E0D7807D0400, "uav_isenemygettingnotified" },
    { 0x0C045D7A2E54115F, "uavbeginuse" },
    { 0xCD62B1C16709F020, "uavbestid" },
    { 0x52F111DF06883C2D, "uavblocktime" },
    { 0x6A47B385BD86C2E4, "uavdirectionalid" },
    { 0x7A1DEBAD0E22D266, "uavfastsweepid" },
    { 0xC6A03C743FF75479, "uavmodels" },
    { 0x912A191E83A270A0, "uavnoneid" },
    { 0xF6EC94148B36613C, "uavremotemarkedby" },
    { 0xACEA1DEBB013476B, "uavrig" },
    { 0x079B2344B57A5DAA, "uavrigslow" },
    { 0x0F2E6256370B90D7, "uavrotationorigin" },
    { 0x8FBD73FA9154721E, "uavsettings" },
    { 0xD872FBCB27A4F9C5, "uavtracker" },
    { 0xC9E6EBE68F4D666B, "uavtype" },
    { 0x5840248166E3A48B, "uavworstid" },
    { 0xDC43520321583523, "ufo" },
    { 0xCC9EDDE25D429862, "ugvs" },
    { 0x3A3E7596C22EC0C4, "ui_action_slot_force_active_off" },
    { 0x7C7ACB1D5E780EB2, "ui_action_slot_force_active_on" },
    { 0x156F94B22AF99317, "ui_action_slot_force_active_one_time" },
    { 0x1A623CE795303C3D, "ui_bg_images_2d" },
    { 0x780A5E2DA64E3236, "ui_bomb_planting_defusing" },
    { 0xFD6D39D55B0E3DBE, "ui_ctf_securing" },
    { 0x0407A549FDDA5FBC, "ui_ctf_stalemate" },
    { 0xA9572A2A403B9DA7, "ui_damage_num_cycle" },
    { 0x1E42665F8169AC35, "ui_damage_num_elems" },
    { 0x49C52767D28AECD1, "ui_damage_num_next_index" },
    { 0xA402E5D41D727E6F, "ui_damage_nums_global_limit" },
    { 0x9E707B46ADC445BF, "ui_dom_securing" },
    { 0x361D118845DB96FF, "ui_dom_stalemate" },
    { 0xF2A8B6F40AA3AE8D, "ui_hudhidden" },
    { 0x7A94A8EFFD7B2E82, "ui_init" },
    { 0x1284F71A2082318A, "ui_securing" },
    { 0x39EFA94B9CF27856, "ui_show_dist" },
    { 0x58B8F78522CBC1B6, "ui_string_index" },
    { 0x6BCE7FED0F1FF4FA, "ui_updatebombtimer" },
    { 0x657C173D130CFB71, "ui_updatecmdcapturestatus" },
    { 0x3ABA058454EC3DF9, "ui_updatecmdholdprogress" },
    { 0xD3BF74E7A244043B, "ui_updatecmdownerteam" },
    { 0x4862D2D5324AC250, "ui_updatecmdprogress" },
    { 0xE1CDF6F4D1F89E50, "ui_updatezonetimer" },
    { 0x5B47590CA5817CF9, "ui_updatezonetimerpausedness" },
    { 0xDC2D5D0321401A21, "uid" },
    { 0x4F22F0DBCD2DA96F, "uihidden" },
    { 0x7CDE1B892AE5FC2A, "uiobjectivehide" },
    { 0x13AEF1307E4DAF27, "uiobjectivehidefromteam" },
    { 0x4C5DD0AB57C52DF9, "uiobjectivesetlootid" },
    { 0x669FB96578F9CB8D, "uiobjectivesetparameter" },
    { 0x5CD1D9B0A046B24F, "uiobjectiveshow" },
    { 0xA7C50AFFFC3E014B, "uiobjectiveshowtoteam" },
    { 0x301655FBA1F7736F, "uiparent" },
    { 0xCC95EB5CDFFF8707, "uitype" },
    { 0x4099E6E98217EF66, "umbra" },
    { 0x817DD77F6FBB011F, "umike_cam_shake_ground" },
    { 0xE680AE26AE19B259, "umike_damage_watcher" },
    { 0x57A9092D514EF7C2, "umike_get_length" },
    { 0x4C7C3BB7A8F3CB1D, "umike_init" },
    { 0x2298E414537767C6, "umike_spawn" },
    { 0x3910B5C4D978FDED, "unable_to_trigger_radius_detection_monitor" },
    { 0xD885E9D17772BB70, "unarchived" },
    { 0x5B3BA4572247EDA9, "unarmed" },
    { 0xC73786C776771125, "unarmed_enemy_check" },
    { 0x3EF65152078570F2, "unarmed_responses" },
    { 0x0A4E8ED68EED6384, "unarmedkilled" },
    { 0x412B809CFE43002E, "unarmedmeleedamageoverride" },
    { 0x1D383293193AEFC9, "unblock_player" },
    { 0x0B7CFA0902C4CBEE, "unblockarea" },
    { 0xB7977B8038B0080D, "unblockclasschange" },
    { 0x029C0979B564394F, "unblockentsinarea" },
    { 0xAB31DDB5F738C56B, "unblockperkfunction" },
    { 0x3C64F01660935212, "unblockteamradar" },
    { 0xBA04456A53863DDD, "uncapturableobjectives" },
    { 0xF61518AAD14E101C, "unclaimsmartobject" },
    { 0x3E2D64112AC1B577, "uncommon" },
    { 0xB35E2B86B68922E0, "under_bridge_enemies_attack_logic" },
    { 0x7A76ABA36D04E0DC, "under_bridge_enemy_attack_logic" },
    { 0xD7C01CF834C4CD8D, "under_damped_move_to" },
    { 0x56683C955C0581F2, "under_damped_move_to_thread" },
    { 0x3F7C4E2F301131A5, "under_vehicle_trigger" },
    { 0xA81D1BA278F0480D, "underbarrel" },
    { 0x5DAB48E11BB6C59A, "underbarrelvarindex" },
    { 0xFA527715D8C28057, "underbridge_enemy_death_monitor" },
    { 0x482FE0AE178492F6, "underbridge_enemy_monitor" },
    { 0x1E8604E70431AD3C, "underbridge_reinforce_enemy_monitor" },
    { 0xEA7847A49E2ED19B, "underground_rescue_right" },
    { 0x122C7F9E83EA24F8, "underlowcover" },
    { 0xDA1A94C0E1D7BF1C, "underwater" },
    { 0xB5F1F4DB77EC7FDC, "undockmovingplatform" },
    { 0xBE82EF8D1C0F29B2, "unfreeze_all_players_control" },
    { 0xC069FEA733138109, "unfreeze_controls_after_spawn" },
    { 0x94B39F52532641FC, "unfreeze_zombie" },
    { 0x9F561421ED55223F, "unfreezecontrols" },
    { 0xF7510FB78DCEF317, "unfreezecontrolsonroundend" },
    { 0xC1A705559D837745, "unfreezeonroundend" },
    { 0xEF62A94C1A02904A, "unfreezeplayercontrols" },
    { 0x77D330C2252CA477, "unhighlightent" },
    { 0x1B326FDDDC036E20, "unicornpoints" },
    { 0x4DB9E13564E11E9F, "unidentified_ieds" },
    { 0x578CB95762E3B0E2, "unidentified_zone_vfxs" },
    { 0xD9B19A98E48269A8, "uniform_suicide_truck_speed_manager" },
    { 0x891C66C78165B82D, "unimogsnatch" },
    { 0xB782C09D5B956046, "unimogtest" },
    { 0x55B4C6A9ED5D2F6D, "uninit_drone_vo" },
    { 0x780BDA3AF090D87A, "unique_id" },
    { 0xC0FFB38D10007A7F, "uniqueid" },
    { 0x6F0FA4092B6CAD98, "uniqueinstanceid" },
    { 0x97F20CBE689A8C2C, "uniquelootcallbacks" },
    { 0xB10E7469D5C57F7E, "uniquelootitemid" },
    { 0x2064451A9C163DED, "uniquelootitemlookup" },
    { 0x8C3F25551EB087BF, "uniqueplayersconnected" },
    { 0x301688D22EE4CF3D, "uniquepoolid" },
    { 0x923F43B1C30C2593, "unittype" },
    { 0x6753E8865D142145, "unittype_spawn_functions" },
    { 0xA92995A7FA96ACA0, "universal_input_loop" },
    { 0xA1BCFC950D53A8EB, "unlimited_ammo" },
    { 0xC85ECAF166212E62, "unlimitedammo" },
    { 0xB8ED97D10658688E, "unlimitedmunitions" },
    { 0xAEFEF23E049922DE, "unlink" },
    { 0xC783936088209355, "unlink_and_travel_with_vehicle" },
    { 0xE2A4EE0E61B9144B, "unlink_from_barkov" },
    { 0x66F6EE91E79F1F54, "unlink_on_ai_death" },
    { 0x3F86CC05036345F2, "unlink_on_use" },
    { 0x20F73C23D1EA7BB1, "unlink_player_after_boots" },
    { 0xC8A99AEFA0BEE2EA, "unlink_player_from_rig" },
    { 0xA18B58C170C6733D, "unlink_player_from_rig_after_anim" },
    { 0x0BE3216DC63A9D0D, "unlink_player_from_rig_free_look" },
    { 0x0B8F61BF4AAB271E, "unlink_player_from_rig_lab" },
    { 0x995F6BED5927A125, "unlink_player_from_set_rig" },
    { 0xF253CFC598356D16, "unlinkfromplayerview" },
    { 0x6DF34D71660377F8, "unlinknextframe" },
    { 0xB9D79F493ADE83A6, "unlit_models" },
    { 0x7DA3DA5D8DD06F5F, "unload_after_timeout" },
    { 0xE5D0341E851B3A7D, "unload_all_vehicles_in_module" },
    { 0x5B2D2F83980B6B66, "unload_at_target" },
    { 0x5EC093DBABF6EEAF, "unload_embassy_load_anims" },
    { 0x9C5BED44D4425C00, "unload_fx_func" },
    { 0x53038FE61E28D932, "unload_group" },
    { 0xB9AEB81453D5C9F3, "unload_groups" },
    { 0x074323E6598927E4, "unload_groups_rebel" },
    { 0xD53A4FDBB2B9D881, "unload_hover_land_height" },
    { 0xBCA488F2400F9617, "unload_hover_offset" },
    { 0x75F768BB998B6C96, "unload_hover_offset_max" },
    { 0xE79DBBB8DFF49028, "unload_land_offset" },
    { 0x32B41F53DD0DF5E4, "unload_loopanim" },
    { 0x9BBA40A405CD44BB, "unload_monitor" },
    { 0x74F604C216C801AB, "unload_node" },
    { 0x010E4ED819DC0E08, "unload_nodes" },
    { 0xFFC9F15C1C6B99C4, "unload_ondeath" },
    { 0x90B872C54EEEC680, "unload_relics_via_dvar" },
    { 0xC8A96A3B50CDC9D2, "unload_time" },
    { 0xDDABF63AA37FF183, "unload_type" },
    { 0x03DDC3AC65913453, "unload_vehicles_on_weapons_free" },
    { 0x4A7007B4D03D835C, "unload_vehicles_on_weapons_free_thread" },
    { 0x9669ADCB0B0C85E7, "unload_when_near_players" },
    { 0x5ACD90BD8062EBF6, "unloadallinfilintrotransients" },
    { 0x211173132C90104A, "unloadalltransients" },
    { 0xD1F1C9B7BC0DABC9, "unloaddelay" },
    { 0x8C20BB2891F2D7EE, "unloaded_func" },
    { 0x2A2CD0E934721499, "unloaded_passengers" },
    { 0xC05C73002092D03E, "unloadgroups" },
    { 0xE651BA88AF7BECCE, "unloadinfiltransient" },
    { 0x700A906FC22B09EA, "unloading" },
    { 0xE5D616116E328CAD, "unloading_func" },
    { 0xBB09E6D1A17830A2, "unloading_passengers" },
    { 0xE2D3C67015D686FF, "unloadque" },
    { 0x21E058498D263BE0, "unloadtransient" },
    { 0x58E1FC3DC5D14111, "unlock" },
    { 0xE3F32666E9E0BF8F, "unlock_all_doors" },
    { 0x22B1867E6B2A32CD, "unlock_all_doors_except_arena" },
    { 0xFF291B7B82098FA6, "unlock_door" },
    { 0x84FB8A5916A1C050, "unlock_pap_and_ww" },
    { 0x1A1E78815666D91C, "unlock_player_intel" },
    { 0xBD7A6B9DE729D4AE, "unlock_thread" },
    { 0x454D929A1817D81C, "unlock_volume" },
    { 0x287FBEC0B530BBA5, "unlock_volume_logic" },
    { 0x6EE9CEDA920D89EF, "unlock_wait" },
    { 0xC4177649F74408E7, "unlockableindex" },
    { 0x354A70BB1CAD4866, "unlockables" },
    { 0x004417D3467EE227, "unlocked_armory" },
    { 0x8D63E205B5AA434B, "unlocked_escape_door" },
    { 0x91595D4CF1DA8A7A, "unlockedelevator" },
    { 0x36234E99CF66138C, "unlockprop" },
    { 0x1667275A29ACCAC7, "unlockscriptabledoors" },
    { 0xB56800B7C31BB971, "unlockstop" },
    { 0x5182C6505832E057, "unmark" },
    { 0xA4D8851B37418D00, "unmark_enemies" },
    { 0xC9564620626B07D6, "unmark_kidnapper_target" },
    { 0xF572E342A7813FE8, "unmark_on_death" },
    { 0x197A79E94FF2345C, "unmark_player_as_sniper_target" },
    { 0xC32D3CAE40E50E5C, "unmark_selected_terrorist_respawner" },
    { 0x1752515DEC69B5B7, "unmark_vehicle_as_friendly_target_group" },
    { 0xDC0B52D24F1674FB, "unmarkafterduration" },
    { 0x82B9915F6D0FF4F8, "unmarkenemytarget" },
    { 0x13F6B944B71A22F4, "unmarkent" },
    { 0x54CEC8BBB9DB3DB6, "unmarkkeyframedmover" },
    { 0x66326F6D9B3FB4C3, "unmarkonownershipchange" },
    { 0x7B51C19C408510B6, "unmarkplayeraseliminated" },
    { 0xA6520AA7A06AE8B6, "unmatched_death_rig_light_waits_for_lights_off" },
    { 0x4EADE08BD2E2446C, "unorientedboxpoints" },
    { 0xF6CE3E3AFF305302, "unpause_all_other_groups" },
    { 0xA2FF5ABD27468B3E, "unpause_dmz_scoring" },
    { 0x68B4AC222499D8CA, "unpause_group_by_group_name" },
    { 0xCE7B2FEEDF75AA78, "unpause_group_by_id" },
    { 0xD5EF437A1216D8DE, "unpause_vo_system" },
    { 0x86CE2C685054A262, "unpause_wave_hud" },
    { 0x1EF63D546F93FDAA, "unreachable_function" },
    { 0x9F69D3BC252EAACE, "unregister_all_vo_sources" },
    { 0x48798AC88602253D, "unregister_vo_source" },
    { 0xC825272D24544085, "unregistersentient" },
    { 0xD0BBF856B3AB6754, "unregisterweaponchangecallback" },
    { 0xF49773D30D8E55E9, "unrescuable_fail" },
    { 0x40C3952C7DCD3C4D, "unresolved_collision" },
    { 0x48220D9B969B8665, "unresolved_collision_count" },
    { 0xDA9BC19194F87153, "unresolved_collision_damage" },
    { 0x34360F34A24A8F60, "unresolved_collision_func" },
    { 0xB4293D62D2EA491A, "unresolved_collision_kill" },
    { 0x95BC698802267D03, "unresolved_collision_mover" },
    { 0x439E06CF6E45F235, "unresolved_collision_nearest_node" },
    { 0x2144E85E99BED223, "unresolved_collision_nodes" },
    { 0xF7C8C81C63020E08, "unresolved_collision_notify_min" },
    { 0xFCB86E466C18EF6F, "unresolved_collision_owner_damage" },
    { 0x903A48C219DC5108, "unresolved_collision_void" },
    { 0xCCDA79EF52798B9D, "unresolvedcollisiontolerancesqr" },
    { 0x7A4F79277396F9B4, "unruly" },
    { 0x1FE6D1A93EE102A6, "unrulyrate" },
    { 0xA86A7D5C7F471758, "unrulystart" },
    { 0xC816153A43AFCF93, "unsafe" },
    { 0x041E9906EC7D477E, "unset" },
    { 0xD5C6DF51899F68A3, "unset_ai_events" },
    { 0x8E4CFDFCBFA19E9D, "unset_all_locations" },
    { 0x1904937249C869AB, "unset_berserk" },
    { 0x2FA0DA82774F2682, "unset_bullet_shields" },
    { 0x4EF3DDBEBC09434C, "unset_consumable" },
    { 0x4C750AAAE33641A6, "unset_demeanor_on_weapon_change" },
    { 0xFB2F67828209CBD8, "unset_extra_xp" },
    { 0x67AF799B140491E5, "unset_force_aitype_riotshield" },
    { 0x5D53D31E46DC69B1, "unset_force_aitype_rpg" },
    { 0xEAB5B5CFB8A22394, "unset_force_aitype_shotgun" },
    { 0x1EDD41F371099055, "unset_force_aitype_sniper" },
    { 0x60BD3DC5D33D1D0D, "unset_force_aitype_suicidebomber" },
    { 0x831B956A3907B615, "unset_forced_aitype" },
    { 0xEE259D7F139EFAA4, "unset_forced_aitype_armored" },
    { 0xDB8AAFD0F11EC5F1, "unset_forcegoal" },
    { 0xA4D6F2C637853859, "unset_func" },
    { 0xD4678A2269C48624, "unset_headshot_ammo" },
    { 0xEF39EEF75B9C9B81, "unset_headshot_super" },
    { 0x67C355A81448CF27, "unset_heavy_hitter" },
    { 0x81AD09E106B00127, "unset_ignoreall_after_notify" },
    { 0x56231BBA7EFB6435, "unset_jugg_ignoreall_after_notify" },
    { 0x842BBDAC4663EC4A, "unset_just_keep_moving" },
    { 0xA4A960799CAA94F1, "unset_maze_ai_stealth_settings" },
    { 0x0E05DA84285AD6C7, "unset_outline" },
    { 0x28241B6CDDED630D, "unset_outline_for_player" },
    { 0xC094C430F646C343, "unset_outline_passive_minimap_damage" },
    { 0x4892EDE1F795D542, "unset_passive_below_the_belt" },
    { 0x62545EA914700669, "unset_passive_berserk" },
    { 0x4078CDBCCE6E4DCD, "unset_passive_cold_damage" },
    { 0x7F4BD0C512ED2139, "unset_passive_crouch_move_speed" },
    { 0x8C8B7EB62EFEC013, "unset_passive_double_kill_reload" },
    { 0xAECD3BDB66C4CE95, "unset_passive_double_kill_super" },
    { 0x9F14370E58A4620E, "unset_passive_empty_reload_speed" },
    { 0x3601DBEEE630CE00, "unset_passive_fast_melee" },
    { 0x58FCFF0063A8C603, "unset_passive_fortified" },
    { 0x81FB97BB32603876, "unset_passive_gore" },
    { 0x62734E1C79DBED52, "unset_passive_health_on_kill" },
    { 0x4EDD09FA07575E50, "unset_passive_health_regen_on_kill" },
    { 0x8C289C40709B6F52, "unset_passive_hitman" },
    { 0x00E2B4DFF8FF7E6F, "unset_passive_hunter_killer" },
    { 0x63C401442E1D6F5B, "unset_passive_increased_scope_breath" },
    { 0xBECD2A24C87485F4, "unset_passive_infinite_ammo" },
    { 0xAD42D64E6B817929, "unset_passive_jump_super" },
    { 0x819FDD648B9BC986, "unset_passive_last_shots_ammo" },
    { 0xED2D5C55FD53B62D, "unset_passive_melee_cone_expl" },
    { 0x26C59C31C624B640, "unset_passive_melee_kill" },
    { 0x77BFE7AC137FD77B, "unset_passive_melee_super" },
    { 0x8F04AC17AA8EA480, "unset_passive_minimap_damage" },
    { 0x195B3D304634932C, "unset_passive_miss_refund" },
    { 0xCDE958ED4C960326, "unset_passive_mode_switch_score" },
    { 0x6C0B3B75835ACEF0, "unset_passive_move_speed" },
    { 0xC8B53041D5D07DC9, "unset_passive_move_speed_on_kill" },
    { 0x271FA1D0802E3A27, "unset_passive_ninja" },
    { 0xF7896915767FE66C, "unset_passive_nuke" },
    { 0x574FB6C0A1CDB058, "unset_passive_railgun_overload" },
    { 0x54C1F82F234D6546, "unset_passive_random_attachment" },
    { 0xFF1738A51238E3F0, "unset_passive_random_perks" },
    { 0x8866F9AE58E2A838, "unset_passive_refresh" },
    { 0x37E1C02F49540464, "unset_passive_scope_radar" },
    { 0x17820D3B5833B5FB, "unset_passive_score_bonus_kills" },
    { 0xA0046F125594C861, "unset_passive_scorestreak_damage" },
    { 0x47301EB0368884DD, "unset_passive_scoutping" },
    { 0x33F5ED0DF17F3D18, "unset_passive_scrambler" },
    { 0x327E8C22EF9D24EB, "unset_passive_sonic" },
    { 0x1E2C3E6FF0551814, "unset_passive_visor_detonation" },
    { 0xF843052378D7949B, "unset_perk" },
    { 0xB3F28E3DC2F3B3E7, "unset_player_is_pushing_vehicle" },
    { 0x81EB5C51FB3AB79B, "unset_player_zoom_setting" },
    { 0x0BBA70A293408428, "unset_pre_wave_spawning" },
    { 0x9801BEFCBAC49D3C, "unset_relic_aggressive_melee" },
    { 0x935370A1B963F8BF, "unset_relic_aggressive_melee_params" },
    { 0x19E3782C8C4ADA48, "unset_relic_ammo_drain" },
    { 0xE46EE39C505611F2, "unset_relic_amped" },
    { 0x121DF1ADB209B4C3, "unset_relic_bang_and_boom" },
    { 0x9C5C7C0EF23A6B84, "unset_relic_boom" },
    { 0x6FBDC08A013EE48E, "unset_relic_catch" },
    { 0xE6CC73E829DCA2CF, "unset_relic_collat_dmg" },
    { 0xF859957D9643D1B5, "unset_relic_damage_from_above" },
    { 0xBC8ED74A66D528A8, "unset_relic_dfa" },
    { 0xEF3CBAD00D5553EE, "unset_relic_dogtags" },
    { 0x9B570EAEDBED7414, "unset_relic_doomslayer" },
    { 0x7B88AAC30A55B077, "unset_relic_doubletap" },
    { 0x96944F59A566E260, "unset_relic_explodedmg" },
    { 0x311CB63FF40355D5, "unset_relic_fastbleedout" },
    { 0xA582F433AF94C372, "unset_relic_focus_fire" },
    { 0x750728BF16B05CFE, "unset_relic_gas_martyr" },
    { 0x755DDBE2495D53C0, "unset_relic_glasscannon" },
    { 0xB5625F5965CE047D, "unset_relic_grounded" },
    { 0x1DB8BD7258DCD312, "unset_relic_gun_game" },
    { 0x7FF65C39089EF932, "unset_relic_headbullets" },
    { 0x9D081E5E3F0CBC99, "unset_relic_healthpacks" },
    { 0x6EDD2FB7973EB80E, "unset_relic_hideobjicons" },
    { 0xA41435933B76DC10, "unset_relic_landlocked" },
    { 0xCF748141393C11CD, "unset_relic_laststand" },
    { 0x78C2F1CB31F91593, "unset_relic_laststandmelee" },
    { 0x30A2FD4ABBEDB58A, "unset_relic_lfo" },
    { 0xBBE53DA406E12AB4, "unset_relic_martyrdom" },
    { 0xBA4751E68CC00E8D, "unset_relic_mythic" },
    { 0x2B8493578DE24598, "unset_relic_no_ammo_mun" },
    { 0x6F9C5446137BADB9, "unset_relic_nobulletdamage" },
    { 0x56E09329F9B78CDE, "unset_relic_noks" },
    { 0xAC494C7483224F19, "unset_relic_noluck" },
    { 0x88C95E020684C5F1, "unset_relic_noregen" },
    { 0x140E5EF7462937E7, "unset_relic_nuketimer" },
    { 0x8C32EA2B1BFF7EDF, "unset_relic_oneclip" },
    { 0x46FE30EE1A81E096, "unset_relic_punchbullets" },
    { 0x4F90C9D59201B20B, "unset_relic_rocket_kill_ammo" },
    { 0x8E8C52E7CF5EA855, "unset_relic_shieldsonly" },
    { 0x34638E037A5CAE6B, "unset_relic_squadlink" },
    { 0x429351C9C9FC5CD0, "unset_relic_steelballs" },
    { 0xC6D9BC6D1194DFA8, "unset_relic_swat" },
    { 0x036F4EB8B7354CB8, "unset_relic_team_proximity" },
    { 0x219E510D088994F1, "unset_relic_thirdperson" },
    { 0xF3887E13455ABEC8, "unset_relic_trex" },
    { 0xCCCC6414375B1E7F, "unset_relic_vampire" },
    { 0x4B402D05FE26DA67, "unset_relics" },
    { 0x1D738906F834DC7D, "unset_scriptable_part_state_after_time" },
    { 0x17D6EC23693921CE, "unset_slow_healthregen" },
    { 0x1113DCD58A455880, "unset_snap_to_head" },
    { 0xECE3C4E149932593, "unset_stay_at_spawn_flag_on_entering_combat" },
    { 0x6DEC694F46CCC154, "unset_suicide_bomber_call_back" },
    { 0xA4FC46054922324E, "unset_tank_icon_on_death" },
    { 0xB633E9778C14BEE3, "unset_used_recently" },
    { 0x0A602BEC9C92E6A0, "unset_vehicle_only_wave" },
    { 0x7AA8C4C465888F5C, "unset_vo_currently_playing" },
    { 0x9EB415C23CB9DD3D, "unsetactivereload" },
    { 0xB0A1D28104455E1D, "unsetadsawareness" },
    { 0x1A4D8ADECC4CC2DC, "unsetadsmarktarget" },
    { 0x7126CF61EFFE6164, "unsetaffinityextralauncher" },
    { 0x24AA2D9257AC5298, "unsetaffinityspeedboost" },
    { 0xB2573FD81B401C0A, "unsetafterburner" },
    { 0xCADFB753A8E0DD52, "unsetalwaysminimap" },
    { 0x65D34E050204D0AB, "unsetarmorvest" },
    { 0x892058548DC8FAF6, "unsetassists" },
    { 0xD59DA0238D14C70F, "unsetauraquickswap" },
    { 0x2BF7651E48020F08, "unsetauraspeed" },
    { 0xD923C87E897346C9, "unsetautospot" },
    { 0x401C2441F374B575, "unsetballcarrier" },
    { 0xFFDCDAFBE5C002C5, "unsetbarrier" },
    { 0x4A97CFABB2727392, "unsetbatterypack" },
    { 0x5A6E0A2839988AD9, "unsetbattleslide" },
    { 0x1B3EDFCA5061B59D, "unsetbattleslideoffense" },
    { 0xFEA58C7E518433DC, "unsetbattleslideshield" },
    { 0xE526C9100DE945F6, "unsetbettermissionrewards" },
    { 0x92A891A56A112A86, "unsetblackbox" },
    { 0xF7944E6A10C83115, "unsetblastshield" },
    { 0x98B7C3D070027316, "unsetblindeye" },
    { 0x39F0CF0B36A018D2, "unsetblockhealthregen" },
    { 0x91A9C1E9BB6509E5, "unsetboom" },
    { 0x43A4B22072553EFB, "unsetbountyhunter" },
    { 0xCF29BCD28B6EA614, "unsetbreacher" },
    { 0x10C074790D7B571C, "unsetbulletoutline" },
    { 0x4187D3450FCD6A5B, "unsetbulletstorm" },
    { 0x813AB21B6B2B5103, "unsetcamoclone" },
    { 0x276B1E196B29CBD5, "unsetcamoelite" },
    { 0x5EF60A20F53C7255, "unsetcarepackage" },
    { 0xACBC28D7DFCF8952, "unsetchainkillstreaks" },
    { 0x5772D380A0E0F59E, "unsetcloak" },
    { 0xAAAC5CA2AD239450, "unsetcloakaerial" },
    { 0x7658DC2FF3B1DE1A, "unsetcombathigh" },
    { 0x87DB639D043313E7, "unsetcombathighondeath" },
    { 0x5E7A60D808910D81, "unsetcombathighonride" },
    { 0x84F72CB1BF2D6695, "unsetcombatspeed" },
    { 0x11C1BE675E8AC44D, "unsetcombatspeedscalar" },
    { 0xED011D879E270666, "unsetcomexp" },
    { 0xC9BCE29B0BBF4303, "unsetcomlink" },
    { 0x9151145CDD89BF77, "unsetcooldown" },
    { 0xE03F6824049A0E9A, "unsetcritchance" },
    { 0x185DC7CDA0522871, "unsetcustomjuiced" },
    { 0x20B3A8D5FE2C7DFE, "unsetcustomjuicedondeath" },
    { 0xD59BA9F6E0104DAA, "unsetcustomjuicedonmatchend" },
    { 0x7469F9C24AD8F146, "unsetcustomjuicedonride" },
    { 0x8086DAB808379586, "unsetdash" },
    { 0x5C4D904892723C0A, "unsetdelaymine" },
    { 0x9A34BE57267B3CD5, "unsetdemolitions" },
    { 0x40E9378C3D3A0B86, "unsetdisruptorpunch" },
    { 0x0B86DB6E0CC8E209, "unsetdodge" },
    { 0x06293EE6707EEF3F, "unsetdodgedefense" },
    { 0xCD7BD8522810A3F0, "unsetdodgewave" },
    { 0x20DF63295C647A8F, "unsetdooralarm" },
    { 0xFC572F40CC03855B, "unsetdoorbreach" },
    { 0x9F0B0AA756FC0FF0, "unsetdoorsense" },
    { 0x3A133D32D7E96743, "unsetdoubleload" },
    { 0x42ADC99FBA31DAF9, "unsetempimmune" },
    { 0x2E3619591912B1F9, "unsetendgame" },
    { 0xFFAD776625CE4BCB, "unsetengineer" },
    { 0xBC1FC95CA404E4DE, "unsetenhancedsixthsense" },
    { 0x8DB90845ED8FF74E, "unsetequipmentping" },
    { 0x82CA09585613470D, "unsetextenddodge" },
    { 0x4DBBECB5D572251A, "unsetextraammo" },
    { 0x0404591F4BEABA51, "unsetextradeadly" },
    { 0x7195D83EE263AD33, "unsetextradodge" },
    { 0xFF58631BC552CD74, "unsetextraequipment" },
    { 0xD26B4E0F9DA10ABA, "unsetfastcrouch" },
    { 0x139EFB4A6EBF05A2, "unsetfastreloadlaunchers" },
    { 0x5A88EE971E9291E0, "unsetfootprinteffect" },
    { 0xB673299732E64FF5, "unsetfootstepeffect" },
    { 0xF13D60E17F08869C, "unsetfootstepeffectsmall" },
    { 0x66246A12F9F79B1D, "unsetfreefall" },
    { 0x3AAE4F9F6498D8AD, "unsetftlslide" },
    { 0xEA8329876BA55CB8, "unsetfunc" },
    { 0xC53AFE87519B4C8D, "unsetgasgrenaderesist" },
    { 0xD6D6A9C14525F045, "unsetghost" },
    { 0xAE880024D0D13359, "unsetgroundpound" },
    { 0xB7CCCF36020AC1F0, "unsetgroundpoundboost" },
    { 0x4C39AEF1A051385C, "unsetgroundpoundshield" },
    { 0x21FCE0B8A768E015, "unsetgroundpoundshock" },
    { 0xBB7C704D32437BAD, "unsethardline" },
    { 0x83E49A74647053C3, "unsethardshell" },
    { 0x4D0C6070E4FBA22B, "unsetheadgear" },
    { 0x0C2BB3BDBFF4B597, "unsethealer" },
    { 0x30BD6B33043E2B73, "unsethelmet" },
    { 0xCCCFC72C94251090, "unsethover" },
    { 0x148CA511B37F46C4, "unsethunter" },
    { 0x65E46876D5DB6366, "unsetimprovedmelee" },
    { 0xC0CF2A4126019E9C, "unsetimprovedprone" },
    { 0x886644B5CD018864, "unsetincog" },
    { 0x99BF68B69488E9F6, "unsetintel" },
    { 0xA7C53E3FE343391E, "unsetjuiced" },
    { 0x05AA2D57B59B955B, "unsetjuicedondeath" },
    { 0x3B20A648169381D5, "unsetjuicedonmatchend" },
    { 0xD5C3838AC21D3095, "unsetjuicedonride" },
    { 0x4F9886B2BCF304B7, "unsetkillstreaktoscorestreak" },
    { 0x96A0E2E8DC1AA04E, "unsetkineticpulse" },
    { 0x095EAF062DE0E2C4, "unsetkineticwave" },
    { 0x8C15F0F2544A4076, "unsetladder" },
    { 0x99BFC47B075E17ED, "unsetlifepack" },
    { 0xC4B51AE83E0981A9, "unsetlightarmor" },
    { 0x8BB46FC909E3E7AA, "unsetlightweight" },
    { 0x7CD310D4E5E15595, "unsetlocaljammer" },
    { 0xCE69EB93C7109198, "unsetlocationmarking" },
    { 0x6E00974FD148475C, "unsetmanatarms" },
    { 0x3A6F72533DB31AB1, "unsetmarkequipment" },
    { 0x46275EEDBCC62E20, "unsetmarksman" },
    { 0x1A020CFE2FD54633, "unsetmarktargets" },
    { 0x4BE037CDD4A0A04A, "unsetmeleekill" },
    { 0xF302A5CAE968CAE8, "unsetmomentum" },
    { 0x71A601FF6A644BD8, "unsetmortarmount" },
    { 0x672D4A95BA3A7BAC, "unsetmunitions" },
    { 0x9BFE849CA74E9EE7, "unsetnoscopeoutline" },
    { 0xA75CDFD1DC89DA63, "unsetobjectivemarker" },
    { 0xDF01D64F36D85AEF, "unsetoffhandprovider" },
    { 0xA54601F2D2F1DF9F, "unsetonemanarmy" },
    { 0x3E36F498BBE2AE5A, "unsetopticwave" },
    { 0xDFEF44DEF36D8DA3, "unsetoutlinekillstreaks" },
    { 0xFF9EA90D97E200F0, "unsetovercharge" },
    { 0xE10DC796B1AFCA62, "unsetoverclock" },
    { 0xC1439237736C1F94, "unsetoverkill" },
    { 0x47A47B99E75BACAF, "unsetoverkillpro" },
    { 0x11F2DFB2BF370791, "unsetoverrideweaponspeed" },
    { 0x89945C9CD38BD142, "unsetperk" },
    { 0x1E351B2177328108, "unsetpersonaltrophy" },
    { 0x3E603A97D0ECC540, "unsetphasefall" },
    { 0x9AE04DFFDE881E27, "unsetphaseshift" },
    { 0xCAE9001484033232, "unsetphaseslashrephase" },
    { 0x6C75C9601A5C5826, "unsetphaseslide" },
    { 0x950040B885271CE0, "unsetphasespeed" },
    { 0xFB7F71B8D0A1DEA3, "unsetphasesplit" },
    { 0x977CCC20BED9126B, "unsetpitcher" },
    { 0x65A884A84DF83353, "unsetpowercell" },
    { 0x9D7FEBD8E0DEB1CB, "unsetquadfeederpassive" },
    { 0x10723DA82FABDD62, "unsetquickswap" },
    { 0x43534A142FDBA961, "unsetrearguard" },
    { 0xB04FEC3B33E6136D, "unsetrechargeequipment" },
    { 0x2A0CB59645719318, "unsetreduceregendelay" },
    { 0x44172B7587EB25F5, "unsetreduceregendelayonkill" },
    { 0xAA1A1979EA2385B2, "unsetreduceregendelayonkills" },
    { 0x734383DF0352DB94, "unsetreduceregendelayonobjective" },
    { 0x0913B58ACABE8644, "unsetrefillammo" },
    { 0xB18F038793011B01, "unsetrefillgrenades" },
    { 0xE7F851FF59B5021A, "unsetreflectshield" },
    { 0xAA258ACDB6DD4A72, "unsetregenfaster" },
    { 0xD81D9199E65AD302, "unsetremotedefuse" },
    { 0x1660D797A72EBBA0, "unsetrevenge" },
    { 0xC7558316FB54873A, "unsetreviveuseweapon" },
    { 0x02E326F41B500D85, "unsetrewind" },
    { 0x28847D6E90AC2FBB, "unsetrshieldradar" },
    { 0xF7D0673424CB2044, "unsetrshieldscrambler" },
    { 0x0CD79696923CA2C6, "unsetruggedeqp" },
    { 0x4485AD6BB6513C88, "unsetrush" },
    { 0xE9EAF1F15AD0EE6D, "unsetsaboteur" },
    { 0x4D6EFE245BEECFA4, "unsetscavengereqp" },
    { 0xC9BFB35177937F77, "unsetscorestreakpack" },
    { 0xAC89AA4537DFD7D8, "unsetscoutping" },
    { 0x2172A442F39B60BD, "unsetscrambler" },
    { 0x88F519E8F93D44D0, "unsetscrapweapons" },
    { 0x0B94F5EDA1C6439A, "unsetsharpfocus" },
    { 0x7B1CEF7C1FAFDC5E, "unsetsiegemode" },
    { 0xAE93517A13D19FB8, "unsetsixthsense" },
    { 0x16841303EB063A35, "unsetslowmovementaftertime" },
    { 0xB1AAC22138878373, "unsetsmokewall" },
    { 0x9193E2A58534338A, "unsetsolobuddyboost" },
    { 0x77E482E749602347, "unsetsonicpulse" },
    { 0x706A54D8E7CF1D6B, "unsetspawncloak" },
    { 0x1F55387A17DBC343, "unsetspawnradar" },
    { 0xE8B45E9F346A56C0, "unsetspawnview" },
    { 0x8872D948A8DE49CE, "unsetspecialistbonus" },
    { 0xB63EE03493AB8128, "unsetspeedboost" },
    { 0xCC94AF545C433A69, "unsetspotter" },
    { 0x4A1D3BD983917B04, "unsetsteadyaimpro" },
    { 0xEB18F6531DEEF88D, "unsetstealth" },
    { 0x187AE3D6E92504D8, "unsetsteelnerves" },
    { 0xE59CFA21B495E8EF, "unsetstunresistance" },
    { 0xC66FED48CDA66FF0, "unsetsuperpack" },
    { 0x925F29327D32C1D7, "unsetsupersprintenhanced" },
    { 0x2D82C92C27B59B4D, "unsetsupport" },
    { 0x7A814DACA8EF0B04, "unsetsupportkillstreaks" },
    { 0xB02FBFFB52385690, "unsetsurvivor" },
    { 0x6510156731AA49FC, "unsettacticalinsertion" },
    { 0xFC5994E2D4E1C058, "unsettagger" },
    { 0x8054183C6FC76E76, "unsettank" },
    { 0xD6CDCABE894B4E81, "unsetteleport" },
    { 0xD449A297243D84CA, "unsettelereap" },
    { 0xD7050F329AB56CEB, "unsetteleslide" },
    { 0x5A4D48AEA30F7CC5, "unsetthermal" },
    { 0xE8A0F112C5A391EE, "unsetthief" },
    { 0xFB3EA48803ACE1AD, "unsetthrowingknifemelee" },
    { 0x11DD3F78F5A07307, "unsetthruster" },
    { 0xFC6CA7912B4A4D77, "unsettoughenup" },
    { 0x38DD1C5161930EFE, "unsettracker" },
    { 0x6A6A5E8E1D490FCC, "unsettransponder" },
    { 0xA87A36B9206D0EC0, "unsettriggerhappy" },
    { 0xCBCF323975EBCBA4, "unsetturretnode" },
    { 0xCAA54A026E84C8B2, "unsetuav" },
    { 0xB5F8CAE16CD20355, "unsetviewkickoverride" },
    { 0xBE88D99F2FFC3E89, "unsetwalllock" },
    { 0x76737DC1C21B20AD, "unsetweaponcarry" },
    { 0x2AC77AE7AC7D5E35, "unsetweaponlaser" },
    { 0x598945A422EDC027, "unsetworsenedgunkick" },
    { 0xC22A0A35FFC61DFE, "unshow_terrorist_respawner" },
    { 0xDE4D98FCFBC7541F, "unspotplayer" },
    { 0x285E03A995BCB3E6, "unstable_gauge_timer_active" },
    { 0x4C146B1C0C4DF29A, "unstowsuperweapon" },
    { 0x9CAECAC5254D64F2, "untrack_enemy" },
    { 0xC950A3CE9A7F602B, "untrackbuffassist" },
    { 0x321ABC4D9D9AC354, "untrackdebuffassist" },
    { 0xBBB2D40F97B5C442, "unusable" },
    { 0x4932DAA8F3201D6D, "unuseweapon" },
    { 0xCDDA3F78F52598D4, "up" },
    { 0x171595654BF265F7, "up_offset_from_tag_origin" },
    { 0xF34E6B33A3D598F8, "up_point_valid" },
    { 0xB73BF0931EA0A5CC, "upaimlimit" },
    { 0xA118849C86F52974, "upangles" },
    { 0x94E4C53DE252ADF0, "update" },
    { 0x9DFDD1562F087A69, "update2v2progress" },
    { 0x8BCFD9F439441500, "update_achievement" },
    { 0x43DBD931A74575F5, "update_achievement_all_players" },
    { 0xC3D07A93ABE3C5C9, "update_achievement_arcade" },
    { 0x90C346B58038069D, "update_achievement_braindead" },
    { 0x6FE25F8C764649FB, "update_agent_damage_performance" },
    { 0x195A334D90F0A985, "update_ai_array" },
    { 0x9173FDCD30024AFB, "update_ai_volumes" },
    { 0x526234250CE55091, "update_alien_damage_performance" },
    { 0xF0B46C5FC9062341, "update_alien_kill_sessionstats" },
    { 0x290FC68D18D30998, "update_anim_phase_debug" },
    { 0x40D0936844A147A8, "update_arena_char_loc" },
    { 0xF63F31E4956A031A, "update_battlechatter_hud" },
    { 0xB8B3F39BBB5CFAE8, "update_bcs_locations" },
    { 0x16FF9E045F2E8004, "update_bomb_interaction_ent" },
    { 0x6C90E6751DD2D715, "update_bomb_objective" },
    { 0xC128C2638F075413, "update_bomb_vest_cell_phone_holder_timer" },
    { 0xF553FFB091253585, "update_bomb_vest_controller" },
    { 0xC41E9C7801FAAFA5, "update_bomb_vest_lua" },
    { 0x96A132CD9A4778BA, "update_boss_vo_context" },
    { 0x65CB9B917AB8EB5C, "update_breadcrumb_for_player" },
    { 0x3A679F2646D1835B, "update_camera_depth_of_field" },
    { 0xE66BF740446634C2, "update_camera_depth_of_field_slowly" },
    { 0x17B19612FD17C292, "update_challenges_status" },
    { 0x98EF06A87F363DF8, "update_char_loc" },
    { 0x4074D90ED18EFE39, "update_character_pos" },
    { 0x884129F36B89C6E2, "update_color_nodes" },
    { 0x5F9343BE3A4FB0C0, "update_computer_hint" },
    { 0xC9A440D289255E2F, "update_conditions" },
    { 0x03D751F6E09FB927, "update_crash_locations" },
    { 0xF522635DC757CCAE, "update_current_count" },
    { 0x65AA66FDBB9A0997, "update_current_count_death" },
    { 0x8E9BA201FB0F4EAD, "update_current_health_regen_segment" },
    { 0xDD83A2ACA5D44930, "update_current_solution" },
    { 0xF552D95FEC80B625, "update_damage_score" },
    { 0x37C2E69E70095E77, "update_deathflag" },
    { 0xDFC72D2780439D49, "update_debug_friendlycolor" },
    { 0xA9C1B9E18D2D97CE, "update_debug_friendlycolor_on_death" },
    { 0xCCD4A29946FD8F68, "update_demolition_attackers" },
    { 0x76DE17572A139A60, "update_demolition_defenders" },
    { 0xC9F6126CC5FD01F8, "update_depends" },
    { 0x237417C703AFD91D, "update_deployable_box_performance" },
    { 0xB9251B1F25D5A690, "update_deployable_box_performance_func" },
    { 0x188FECB71CB8993A, "update_dialogue_huds" },
    { 0x6121BE456F83A580, "update_driver_interaction_hint" },
    { 0x08B5504C13EC8F33, "update_dropped_weapon_priorities" },
    { 0xA9C6DE4560CEDA65, "update_encounter_performance_internal" },
    { 0xF65883AA0098B450, "update_enemies_remaining" },
    { 0xB633FF6ABE0F6176, "update_enemy_target_pos_while_running" },
    { 0x222C694F16B59CB3, "update_enemy_visualization_for_entering_reaper" },
    { 0xB812EAFB010F6E7B, "update_enemy_visualization_for_exiting_reaper" },
    { 0x4BE72318A5605EC6, "update_entities_and_camera" },
    { 0x9BF807FAED7F757D, "update_eog_totals_for_stat_ref" },
    { 0xB30EF15434487B11, "update_event_dists" },
    { 0x3D8C1FF6924A356A, "update_every_frame" },
    { 0x84ED729BDF66AA48, "update_facing_angles" },
    { 0xB690877FC1C813F3, "update_floor_enemy_info" },
    { 0x0F8CDB911DC03E40, "update_focus_counter" },
    { 0x172B961C565624EE, "update_focus_fire_heahicon" },
    { 0x23B39E56CE9B6250, "update_focus_fire_objective" },
    { 0x4C171B5CBB95BCFD, "update_future_stations_track_timers" },
    { 0x94467F93B54E0D73, "update_game_ctf" },
    { 0xF5606A4263370181, "update_game_cyber" },
    { 0x2D8B1059F5724772, "update_game_demolition" },
    { 0x6595FB0EE8E3F59E, "update_gamebattles_char_loc" },
    { 0x33E77C4B76692BCD, "update_gamer_profile" },
    { 0xB9EB61859FCB0417, "update_global_offhand_boxes" },
    { 0x5BA62A82FF52B404, "update_goal_population" },
    { 0x761418AE39841DFF, "update_hack_objective_marker" },
    { 0xDDCE93ED1899EE01, "update_health_bar_to_player" },
    { 0x673DC46D1A8764B6, "update_health_bar_to_players" },
    { 0xAC77AC64FD970B01, "update_health_on_spawn" },
    { 0x7EE2F1A949E0D990, "update_health_think" },
    { 0xAAA85AEB70BB28CF, "update_health_value_for_special_cases" },
    { 0x74CB93D6C88C0058, "update_highest_wave_lb" },
    { 0x4D4D3C0BAB78604A, "update_hint_logic_juggernaut" },
    { 0xC08AAE097E0B4D9C, "update_hint_logic_killstreak" },
    { 0x8F5842370EADED88, "update_hint_logic_munitions" },
    { 0xF830B5A6F915DC46, "update_hint_logic_offhand" },
    { 0xD5B96A14F2CC6788, "update_hostages_objectives" },
    { 0x5AEFC47315034932, "update_humanoid_death_challenges" },
    { 0xF7B7A64C306F8D54, "update_icon_for_bomb_case_detonator_holder" },
    { 0x4D0BEC020B538B77, "update_jugg_targets" },
    { 0x431D60193879AF46, "update_keypad_currentdisplay_models" },
    { 0x5EBB18DF3BA823EE, "update_last_stand_id" },
    { 0xB16144E3DD0BD7EE, "update_laststand_times" },
    { 0xD084055C3089B41F, "update_lb_aliensession_challenge" },
    { 0x3E549F2AD3FD4CC9, "update_lb_aliensession_escape" },
    { 0x3240CFD67B82911F, "update_lb_aliensession_wave" },
    { 0xA6F69A0C3E6B20B6, "update_leads_timer" },
    { 0x8995E0D3BA4AB379, "update_light_meter" },
    { 0x81F222DBDC099257, "update_lmg" },
    { 0x23D4A2AD91DFD09D, "update_lobby_char_loc" },
    { 0x3140834258B27858, "update_lookat_delays" },
    { 0xD4DA9151699B33A6, "update_lookat_status" },
    { 0x2AA5798C3E64248D, "update_lookat_weights" },
    { 0x0DD9654498D9A5EE, "update_lua_consumable_slot" },
    { 0xF7F3B357D73492C7, "update_lua_inventory_slot" },
    { 0x66B84C6796C1DA86, "update_main_menu_char_loc" },
    { 0xFF7F22B35A952F26, "update_max_players_from_team_agents" },
    { 0x8279A52BEDDE26EF, "update_missile_lock_hud_for_missile_defense_player" },
    { 0xD9B2846604887CBA, "update_money_earned_performance" },
    { 0x53F7FF85783E35BE, "update_money_performance" },
    { 0x9FDB83DBF24A61AA, "update_nav" },
    { 0x6036707CD9CBDFFD, "update_nvg_light" },
    { 0xCC0B541906284DD0, "update_objective" },
    { 0xFE47F77AA8C1D4D8, "update_objective_icon" },
    { 0xA1AF8393FA7084D3, "update_objective_marker_when_close" },
    { 0xF919328E14A16864, "update_objective_mlgicon" },
    { 0x35A2A2F52349F0EC, "update_objective_mlgicon_reset" },
    { 0xC41A19654337BDF3, "update_objective_onentity" },
    { 0x9A27C976CCD35CF5, "update_objective_onentitywithrotation" },
    { 0x61D9738F3D23FB7B, "update_objective_ownerclient" },
    { 0x28739BF258C6D3AD, "update_objective_ownerteam" },
    { 0x45390AAB1E81E552, "update_objective_position" },
    { 0x56F99455D05C5F57, "update_objective_setbackground" },
    { 0xF25D660BE17F4519, "update_objective_setenemylabel" },
    { 0xAD905FFA44E5E67E, "update_objective_setfriendlylabel" },
    { 0x5B916CA21E0C66C2, "update_objective_sethot" },
    { 0x39404E91E754478B, "update_objective_setmlgbackground" },
    { 0xBD5D007AD99BA3E0, "update_objective_setneutrallabel" },
    { 0x75FFF827A77B77F0, "update_objective_setzoffset" },
    { 0x1CC7667A6A7E8D9E, "update_objective_state" },
    { 0xF3A8CB32C5DF477C, "update_offhand_box_item_models" },
    { 0x46DAEFF0218971A1, "update_operator_east_char_loc" },
    { 0x5032DCB98E816773, "update_operator_west_char_loc" },
    { 0xA4B0ECE1F2063C75, "update_pent_hintstring" },
    { 0xFF94B9492BBBFF0E, "update_pents_from_volumes" },
    { 0x72EBF1D0EE8E1059, "update_pents_global" },
    { 0xA5F07205FEE1C3E4, "update_performance_zombie_damage" },
    { 0x64636476BDEEE62A, "update_personal_encounter_performance" },
    { 0xCC768F51EB84E62A, "update_personality_camper" },
    { 0x7956C171AA7866A1, "update_personality_default" },
    { 0x568B327CFB98469A, "update_player_about_remaining_enemies" },
    { 0x62FD7FDDF947A362, "update_player_attacker_accuracy" },
    { 0x472A2F9C939C8D8C, "update_player_career_highest_wave" },
    { 0x47E94B00B7483DC8, "update_player_character_showcase" },
    { 0xABFEA79E3F88753C, "update_player_enemy_on_death" },
    { 0x42BBFA1DFB73579A, "update_player_model" },
    { 0x3E3B38EB4950CCAB, "update_player_session_rankup" },
    { 0x817244B09F5FE141, "update_player_threat" },
    { 0xB48F819633D52C09, "update_players_career_highest_wave" },
    { 0x254E21EDE4ACDB2E, "update_players_encounter_performance" },
    { 0x0B4ACF4C9666E649, "update_players_revive_progress_bar" },
    { 0xBC740DA76954500E, "update_progress" },
    { 0x5C79E5FA3B838670, "update_readings" },
    { 0x090475FD423036BE, "update_respawners_vfx" },
    { 0xCF94D995FF5A4729, "update_restock_ui" },
    { 0x42AC593DDBBBFE3E, "update_rumble_intensity" },
    { 0x0CB3DF8F1E5F48E9, "update_sas_names" },
    { 0x9C79321A7F8E3D56, "update_script_demeanor_for_all_spawners_in_group" },
    { 0x54344F888EE842A8, "update_scripternote_huds" },
    { 0xAF5D6D8A0459DF12, "update_scripternote_width" },
    { 0x93EC2D19C9FA2B36, "update_searchlight_facing" },
    { 0xC8194B8068310856, "update_selected_entities" },
    { 0x8BACBF248FD3E93A, "update_sentry_settings" },
    { 0xFDE8CF40A9302F82, "update_spawn_data_on_death" },
    { 0xB8556FA6C752AD2F, "update_spawn_data_on_spawn" },
    { 0x55772FF2B208FF0F, "update_special_mode_for_all_players" },
    { 0x02E06E9094961786, "update_special_mode_for_player" },
    { 0xC97A0977E9824346, "update_spending_type" },
    { 0xBF08A9F2DD38F51D, "update_spot_limit" },
    { 0x10EECFA26C50A07E, "update_state" },
    { 0xD8C640FED47960F0, "update_state_machine" },
    { 0x7232D9A6762C4A73, "update_stealth_spotted_thread" },
    { 0x334BD8BB73EB8A72, "update_steering" },
    { 0x8FBE1556103BDAD5, "update_struct_information" },
    { 0x90471E9B4ECD7494, "update_super_icon" },
    { 0x3B81F399004BEBA2, "update_suppression_value" },
    { 0x43FAFA322C964188, "update_target_health_variable" },
    { 0x6B2CDF495CB2DBAE, "update_target_marker_group_id_on_ied" },
    { 0x68E1E57FD00AA282, "update_target_offset" },
    { 0x7ED74D62366DE768, "update_target_player" },
    { 0xD80EA31F5205A2B7, "update_team_encounter_performance" },
    { 0xE762EF32E0B513E2, "update_team_multiplier" },
    { 0x4FD8F567CB5A8CC1, "update_technical_speed_scale" },
    { 0x9B172E7930E583BD, "update_tickets_earned_performance" },
    { 0xF00532CB999477FC, "update_time" },
    { 0x628B0C0174CDD58E, "update_timer_for_bomb_case_detonator_holder" },
    { 0xB527C8C18E24F530, "update_timer_for_bomb_vest_detonator_holder" },
    { 0xEAB7C2894AD057BB, "update_total_slots" },
    { 0xDF651BC67E636F22, "update_track_operational_status" },
    { 0x249772A1CE1281EE, "update_track_timer" },
    { 0xC621C6C40C83B1C5, "update_tracks_operational_status" },
    { 0x165179EB6CAC6C52, "update_trap_placement_internal" },
    { 0x4DF9691BC00C9525, "update_trigger_based_on_flags" },
    { 0x1DFE0D59619B7286, "update_turret_investigate_pos" },
    { 0x4AB41139556AE891, "update_turret_pointer" },
    { 0x2A9AF464BDBE2842, "update_ui_timers" },
    { 0x0EFA1DC11AF21980, "update_vehicle_objective_visibility" },
    { 0xBA166F936B7B4A48, "update_vfx_shadow_limit" },
    { 0xBB8E3BDCD47820B3, "update_vip_trigger" },
    { 0x61587DCDBA659972, "update_visionsetnight_for_nvg_type" },
    { 0x564A31F857A1F25A, "update_volume_flag" },
    { 0x5F9296D9E377BF31, "update_wait_for_repeating_event" },
    { 0xAFA1B7F843E1ED24, "update_weapon_loc" },
    { 0xF828E2A849EDABF8, "update_weaponstats" },
    { 0xA4D11ABE650E19DB, "update_weaponstats_hits" },
    { 0x20703D97DB7605BE, "update_weaponstats_kills" },
    { 0x6A0A7DAC5CF058B2, "update_weaponstats_shots" },
    { 0x9D5FCAA1CD5FA8F7, "update_wolf_face_position" },
    { 0xE839E68B1ECFDFC3, "update_zombie_damage_challenge" },
    { 0x8B7A75CAA05D3C2A, "updateachievementhangtime" },
    { 0xF0C68AFF99A952EF, "updateactiveperks" },
    { 0x1660BF9BC4853823, "updateactivespectatorcounts" },
    { 0x7614B9A7D785D14E, "updateactivesupers" },
    { 0x758AF1383265B811, "updateaiminfo" },
    { 0xF075D35A206FF90F, "updateaisightonplayer" },
    { 0xA340CCCE3F77ADD2, "updatealarmpromptsvisibilityforplayer" },
    { 0x9A11813B56D1C987, "updatealarmpromptvisibility" },
    { 0x40C0791298C17ECB, "updatealiveomnvars" },
    { 0x3A2B4647E4E8B063, "updateall" },
    { 0xB298CEFFF9597A62, "updatealldifficulty" },
    { 0x61F6A38EB0967BED, "updatealldoorsalarmvisibilityforplayer" },
    { 0x6904F633470572FF, "updatealldoorslockvisibilityforplayer" },
    { 0x5B7232D04A8D5623, "updateallowedspawnareas" },
    { 0x2BB1F42638D8BC48, "updatealwayscoverexposed" },
    { 0x600F647663BF03B4, "updateanimpose" },
    { 0xFA2CA1A589804986, "updateareanodes" },
    { 0x170A29967A48358F, "updatearenagungameloadout" },
    { 0x5E3E29007E067B98, "updatearenaomnvardata" },
    { 0xB8F720ECA6A8D3A2, "updatearenaomnvarplayers" },
    { 0x2E1F2E7BDEC584EF, "updatearmordroptimer" },
    { 0x6249214A61C10A21, "updatearmorgesturefastblendout" },
    { 0xD82209A5012A4D7D, "updatearmorui" },
    { 0x7CFD9C413A6239EB, "updatearmorvestcancel" },
    { 0x45C864141F4C1DCA, "updatearmorvestmodel" },
    { 0xFE283C3E1587FE4B, "updatearmorvestui" },
    { 0x1FF6ABB8C67BC821, "updateassassinationdataomnvar" },
    { 0x76D2A3D048D0B0AF, "updateassassinationhud" },
    { 0x32B225CBA4CCC994, "updateassassinationthreatlevel" },
    { 0xE86BC9DD934149EA, "updateattachedweaponmodels" },
    { 0xDC0DB478E9C09D2B, "updateballtimerpausedness" },
    { 0x4BCA5D47F2F82CA5, "updatebar" },
    { 0x90A35F1858958811, "updatebarscale" },
    { 0x2A1AE3AD5E240214, "updatebethud" },
    { 0xCF49BEAA543E270A, "updatebetplayerfocus" },
    { 0xA9B3BF61E3DC2D26, "updateblinkinglight" },
    { 0x02A0A8879F315DF3, "updatebombplantedomnvar" },
    { 0xF2A0F9E7E6C06067, "updatebombsiteusability" },
    { 0xC06377E2BA50E71F, "updatebotpersonalitybasedonweapon" },
    { 0x4B7F7247F2A5A28D, "updatebpm" },
    { 0xFD5F09005B678DE4, "updatebrscoreboardstat" },
    { 0x9EBA35CFC9E45171, "updatebudget" },
    { 0x611DD7802B1104E6, "updatebufferedstats" },
    { 0x76F8FC1A2E5022B6, "updatebufferedstatsatgameend" },
    { 0xA0605A00E3068CCC, "updateburningtodeath" },
    { 0xBAB82805F58CF9F8, "updatec130pathomnvars" },
    { 0x707591AAE41E6D27, "updatec4vehiclemultkill" },
    { 0x6BBDB1734387AB4B, "updatecallback" },
    { 0xC42399026BB32CDC, "updatecalloutdata" },
    { 0x7F270AE756254B59, "updatecamoeliteoverlay" },
    { 0x45170B673D5BAF10, "updatecamoscripts" },
    { 0xFB574B1E85E2A4C8, "updatecapsperminute" },
    { 0xD827060A82BE3EF2, "updatecapturebrush" },
    { 0xCB59C55A0A1DD92E, "updatecarryobjectorigin" },
    { 0xA86B4073937FD3EE, "updatecarryremoteuavplacement" },
    { 0x7E1639F99A8EC9A6, "updatechargeui" },
    { 0x3345AC577F1FDD21, "updatechatter" },
    { 0xE5381B21524E0D30, "updatechevrons" },
    { 0x6F2F57EFF19FBA0F, "updatechildren" },
    { 0x60505A6021F06754, "updatecirclehide" },
    { 0x52BFE860AE1569F5, "updatecirclepulse" },
    { 0xD1A65CBA0D487EB0, "updateclientmatchdata" },
    { 0x8531825D93584FDD, "updateclientnames" },
    { 0x9B002A01B6C2B676, "updatecollectionui" },
    { 0x2F34ACC8EFD0E8A8, "updatecollectionuiforplayer" },
    { 0xF43A7B1A65B2C800, "updatecombat" },
    { 0x3DA78F31DAF622D8, "updatecombatrecordkillstats" },
    { 0xCBC3824A9EA989A7, "updatecombatspeedscalar" },
    { 0xB19C90733C02123F, "updatecommongametypedvars" },
    { 0x430F95CF471F4661, "updatecompassicon" },
    { 0x9A8C88D969C71996, "updatecompassicons" },
    { 0x4CE5ED8E9127542C, "updatecontact" },
    { 0x4D18E59A646FF9C1, "updatecontextualwallpromptforplayer" },
    { 0xBE643C71FE9F4362, "updatecontextuawalltraversals" },
    { 0xC4A45C4350F38608, "updatecountdownhudlist" },
    { 0x85462D0702AB13D6, "updatecovercroucharrivaltype" },
    { 0x585B9B47FB7827C2, "updatecpm" },
    { 0xF004A87E2F335BFA, "updatecraftingomnvars" },
    { 0x58033382C64166B4, "updatecurorigin" },
    { 0xFEAA6232C39F5A68, "updatecurrentobjective" },
    { 0x782E9393BAA686B4, "updatecurrentoutput" },
    { 0x019CE23E123E2B91, "updatecurrentweapon" },
    { 0x66EAEC37E96E372E, "updatedamagefeedback" },
    { 0x23848A16B346BBB2, "updatedamageindicatortype" },
    { 0x1673B5AE044797D2, "updatedamagemultiplier" },
    { 0x1DC19CAF2DB73D57, "updatedamageoverlay" },
    { 0x98510C6968867370, "updatedeathdetails" },
    { 0x4F9CAF8397376DED, "updatedeathsdoorvisionset" },
    { 0xA328B0A2208B7BE6, "updatedefaultcamera" },
    { 0xFC980A930BB72980, "updatedefaultflinchreduction" },
    { 0xA0162F9362BB747F, "updatedepends" },
    { 0x00BD94FA13D5BACB, "updatedistance" },
    { 0x822C0430664CD99F, "updatedomscores" },
    { 0x0D192060AE182E1D, "updatedoncontestedspawnselection" },
    { 0xE5A3A257AE25F6DA, "updatedragonsbreath" },
    { 0xBF6C7AAE871C2CA5, "updatedroprelics" },
    { 0x7F94113B7AA83427, "updatedroprelicsfunc" },
    { 0xA7C7C523267A0250, "updatedversion" },
    { 0x6A9900FD95D86E3E, "updateemitterpositions" },
    { 0xD349A9F469EAFF10, "updateentitywithweapons" },
    { 0x53DBE587881148D8, "updateeveryframe" },
    { 0xEF413CDBF78F20E3, "updateeveryframe_civ_default" },
    { 0x82098BAAFEF18BA9, "updateeveryframe_civ_global" },
    { 0x284C80CE43B3BA8E, "updateeveryframe_global" },
    { 0x6986C995266E791D, "updateeveryframe_magicdoorchecks" },
    { 0x3FDEC46B6DA77224, "updateeveryframe_noncombat" },
    { 0xA976056ACA3AE67C, "updateeveryframe_stealth" },
    { 0x65FF77AFF7B1A3A6, "updateexistingspectatorsofvictim" },
    { 0xA5B484BCD7F0AEBE, "updateexpiredlootleader" },
    { 0x7EDCA2AED6125F1E, "updateexposedatnodestate" },
    { 0xD5D8C90B265A4ACD, "updateextracticons" },
    { 0xB2E2B3925CA17805, "updateflagcapturestate" },
    { 0x3A6469C5C53586A7, "updateflagstate" },
    { 0x55DA4FEE022A40C5, "updateflares" },
    { 0x9498B479F8F53DC6, "updatefloorbrush" },
    { 0x4CB1AEA7818756CB, "updatefloorbrushwaitforjoined" },
    { 0x3169BC978A83C967, "updatefobindanger" },
    { 0xB15DA1D3C8C8452C, "updatefobspawnselection" },
    { 0x1847F6A201D5803B, "updatefobspawnsindanger" },
    { 0xC0831F2B4D068A89, "updatefrantic" },
    { 0x4891CD96377C4E08, "updatefreeplayedtime" },
    { 0x435EA8F46F05389F, "updatefreeplayertimes" },
    { 0x13209A9C164CA17E, "updatefriendicons" },
    { 0x131768CB9A727844, "updatefriendiconsettings" },
    { 0xAC276A68B6317045, "updatefrontline" },
    { 0xC7D869E1BCD3FB18, "updatefrontlinedebug" },
    { 0x1C38797DFF1DF8EA, "updatefrontlineposition" },
    { 0x17C1AF91C5A22706, "updatefunc" },
    { 0xE11C9295A39CC64F, "updatefuncs" },
    { 0xEFDEA80356792407, "updategameevents" },
    { 0xA8EA9B3CFB4EBF12, "updategamemodecamera" },
    { 0x883DE32C96C5D173, "updategamemodespawncamera" },
    { 0xB397D1A1D313480B, "updategameon" },
    { 0x71B5F6B0E248E225, "updategamerprofile" },
    { 0xE1DCE96B999797A4, "updategamerprofileall" },
    { 0x44C6DA9F92D36D33, "updategameskill" },
    { 0x093D7A5FF65809C4, "updategametypedvars" },
    { 0x5A2D4CE5C6CEFFB6, "updateghostridekills" },
    { 0xAC91ACAE85903AF9, "updategiveuponsuppressiontimer" },
    { 0x9DBBFC4EA12A3E20, "updategroups" },
    { 0xEC92B328570CA927, "updatehackdefenselabel" },
    { 0x39F341C20D647BF0, "updatehide" },
    { 0x79B3FFA26680D9C0, "updatehighinfilscore" },
    { 0xF37D89823359CEE1, "updatehighpriorityweapons" },
    { 0x3485BF9146C7EB11, "updatehistoryhud" },
    { 0xEF322DFDB0160A57, "updatehitmarker" },
    { 0x525D46639CEE8490, "updatehqaliveomnvars" },
    { 0x3C891C28D5831610, "updatehunterkillerplayer" },
    { 0xA49F50CD8F4A3BB9, "updatehunterkillerplayers" },
    { 0xABFD627D57378613, "updatehvtenemyteamusable" },
    { 0x76A3799B47054D6C, "updateifgreaterthan_zombiecareerstats" },
    { 0x0AB38349828D7FC5, "updateindangercirclestate" },
    { 0xD67C6C3295F7ECCB, "updateinfiniteammopassive" },
    { 0x4D40012CC0826D58, "updateinflictorstat" },
    { 0xE5D03D9BA62EFFE4, "updateinputtypewatcher" },
    { 0x8DDA2FDBC13A660C, "updateinstantclassswapallowed" },
    { 0x7626F13E6A8BA9B5, "updateinstantclassswapallowedinternal" },
    { 0xBBC10B8DDBF9D87F, "updateinteractionstructpositions" },
    { 0xB93D5DF937A9AB94, "updateisincombattimer" },
    { 0xEB5D2EF063AC2DFA, "updatejuggcrateobjectivestate" },
    { 0x8DAFDB2CB23A146D, "updatejuggcurorigin" },
    { 0xDC834F20B1D783BD, "updatejuggpingorigin" },
    { 0x55CD9C6AEE3CAD29, "updatekillstreakselectedui" },
    { 0x4DBF5557E9FA1028, "updatekillstreakuislot" },
    { 0xF5D90B5790F1F821, "updatekillstreakuislots" },
    { 0x01CBF9F7B12093A9, "updateknivesperminute" },
    { 0x2E6D300EB74F4283, "updatelaserangles" },
    { 0xC15262C4BC2CD6F5, "updatelaserstatus" },
    { 0xAFB58651A11A2062, "updatelastcovertime" },
    { 0x6E2D6DF87A724517, "updatelaststandpistol" },
    { 0xAEA8BA7FB97F0134, "updatelastweapon" },
    { 0x2071857997E4EC29, "updatelastweaponobj" },
    { 0x4657D967837625C7, "updatelauncherusage" },
    { 0x5D5DE7EFCF67DBF1, "updateleaderboardstatmaximum" },
    { 0xD483ED6E6A6F0F12, "updateleaderboardstats" },
    { 0xA6C0101E24259025, "updateleaderboardstatscontinuous" },
    { 0x303887979B6618E6, "updateleaders" },
    { 0x7B22D120647B5CED, "updateleadmarkers" },
    { 0x4321FF0AECFCFA59, "updatelightbasedflashlight" },
    { 0x1D0600DF5764756D, "updatelightmeter" },
    { 0x76623556AECF6664, "updatelinkedoriginandangles" },
    { 0x19239A8A267C322D, "updateloadoutarray" },
    { 0x6D4DEFA05A0522D8, "updateloadoutselect" },
    { 0xFEF4BF980B29178B, "updatelocaleplayerlist" },
    { 0x4DBB90CB2D28D0B0, "updatelocationbesttime" },
    { 0xBD6980915E54B919, "updatelocationbesttimehud" },
    { 0xBDB3CDA1CA8FB551, "updatelocklight" },
    { 0x311875A37E0DC08D, "updatelockpromptvisibility" },
    { 0x0020B11232D1116D, "updatelockpromptvisibilityforplayer" },
    { 0xBBACAAB7A890E596, "updatelooktarget" },
    { 0x27087F1EFCD878EE, "updatelootleadercirclesize" },
    { 0xCB59ED5C418C250B, "updatelootleadermarks" },
    { 0x17DD81FAF6E92D0C, "updatelootleadersonfixedinterval" },
    { 0xD0CCFDF7BA4C40D2, "updatelossstats" },
    { 0x3D4A8B5220181414, "updatelowermessage" },
    { 0xDA4D7CD6D6B44E4A, "updatemarker" },
    { 0xDBF2EB96A9E6BB93, "updatematchbonusscores" },
    { 0x344E15E245AD1A40, "updatematchhasmorethan1playeromnvaronplayerdisconnect" },
    { 0x658822370F524296, "updatematchhasmorethan1playeromnvaronplayersfirstspawn" },
    { 0xAA2E1AB259CAF9A4, "updatematchqueuepositions" },
    { 0x86097AEAA357B3CA, "updatematchstatushintforallplayers" },
    { 0x3D5420FBDBEEF84B, "updatematchstatushintonhasflag" },
    { 0x84C586621A8DA732, "updatematchstatushintonnoflag" },
    { 0xE076E1ED4C89071E, "updatematchstatushintonspawn" },
    { 0x70FEED6488967F3F, "updatematchstatushintonspawncommon" },
    { 0x2537241934EC6433, "updatematchtimerhud" },
    { 0xEC859284A94C001C, "updatememberstates" },
    { 0xF242614639CD4F36, "updatemerits" },
    { 0x368462ECE3F59AF5, "updateminimapsetting" },
    { 0x401E26F652B0B17C, "updatemissilefire" },
    { 0x51180BAA0B5D1158, "updatemlgammoinfo" },
    { 0x60A91737DF671F6B, "updatemlgspectator" },
    { 0x5B8AFF72CC0D38CF, "updatemlgspectatorinfo" },
    { 0x1FF1FB4AC94A84C5, "updatemovespeedonweaponchange" },
    { 0xC178DBBEA5DB3D4A, "updatemovespeedscale" },
    { 0x7BF8A7973B7784D4, "updatenavobstacle" },
    { 0x67AFB1556FF500BC, "updatenodelookpeek" },
    { 0xF72BD5F25E6B8EF9, "updatenotify" },
    { 0x4A36187D6F9CC706, "updatenukeprogress" },
    { 0xF5F25D28E7BFB143, "updateobjectiveicons" },
    { 0x9E22C854E815FD44, "updateobjectivetext" },
    { 0x46E2BD56614A5C4C, "updateondamagepredamagemodrelics" },
    { 0x1113D1B621A9ACAA, "updateondamagepredamagemodrelicsfunc" },
    { 0xCDF7E842F6B79654, "updateondamagerelics" },
    { 0xC6D4D018EA143AA2, "updateondamagerelicsfunc" },
    { 0x4712401DD56EB7F5, "updateonkillrelics" },
    { 0x1B413AF938BDFBD7, "updateonkillrelicsfunc" },
    { 0x45878E6411518544, "updateonusepassivesfunc" },
    { 0x7FEDAE26388B9D59, "updateoobtriggers" },
    { 0xDE1CAACFE4223759, "updateoobvisuals" },
    { 0xE06ABFF6A39FA1B2, "updateorigin" },
    { 0x42583903854034EF, "updateoutlines" },
    { 0x451AD01DB0F1A923, "updateoverheadcamerapos" },
    { 0x25278AF598F9E217, "updateovertimescore" },
    { 0x7FCDFCC6C6040EF0, "updateownercallback" },
    { 0x530F6DD4665BB50D, "updatepainbreathingsound" },
    { 0x1CB429B715565106, "updatepainvars" },
    { 0xAF7E22ADD117B172, "updateparachutestreamhint" },
    { 0x05D4E1B18F6B1590, "updateparentratios" },
    { 0xAB1C99BAFEDE1DBB, "updateparentratiosbuffered" },
    { 0x8CC68273F25F147E, "updatepassivecolddamage" },
    { 0x438651984D887715, "updatepassiveminimapdamage" },
    { 0x9F1B2D574965024D, "updatepersistentrelics" },
    { 0x166F61365D18FFFF, "updatepersistentrelicsfunc" },
    { 0x589AD804EBA88125, "updatepetstatesincelastupdate" },
    { 0x36D0AA41DF0CF19D, "updatepickupicon" },
    { 0xF547983F4C455E47, "updateplacement" },
    { 0x0CD415A85D158771, "updateplantedarray" },
    { 0x6C06C383E08D10BA, "updateplayedtime" },
    { 0x04DFAC744C6AF050, "updateplayerandteamcountui" },
    { 0x37E2AE8F60D5BC03, "updateplayercombatstatus" },
    { 0xC941AE36609A3C46, "updateplayereliminatedomnvar" },
    { 0x8F163A1B5DAFBCA7, "updateplayerleaderboardstats" },
    { 0x029676E6D7918CFE, "updateplayerleaderboardstatsinternal" },
    { 0xB3F1F9BED6A62E37, "updateplayerlocationcallouts" },
    { 0xD52629F198F7D823, "updateplayeromnvarsallmatches" },
    { 0x9D3384FD8B53724C, "updateplayerrecording" },
    { 0xE71B74B1611B0312, "updateplayersalivemessage" },
    { 0xD403A9BA6F4B96C6, "updateplayersegmentdata" },
    { 0x18A779BE9D01D223, "updateplayersightaccuracy" },
    { 0x4B38F0F3177495C4, "updateplayerspawninputtype" },
    { 0x635486CF73A415A2, "updateplayerstatratio" },
    { 0x68B2D1ADF94FC0FD, "updateplayerstatratiobuffered" },
    { 0x36B67D543C454F20, "updateplayersuavstatus" },
    { 0x19B80C3B9C30DDF5, "updateplayertimes" },
    { 0xC9E28C9FB195BEBE, "updateplayerwindmaterial" },
    { 0xEBC7128487B64547, "updateprematchloadoutarray" },
    { 0x91CC884B763B7B8B, "updateprestreamrespawn" },
    { 0x056D970E722478FE, "updateprone" },
    { 0x8F74E8DF2CD2BDB5, "updatequadfeedcounter" },
    { 0xA42FD942E83C5861, "updaterandomloadout" },
    { 0x11B1C8F8516BF7C5, "updaterandomlooktarget" },
    { 0x0375E9BD1479E66E, "updaterank" },
    { 0x31F351A06E7E59BE, "updaterankannouncehud" },
    { 0xC875E9C6B79A8F58, "updaterecentkills" },
    { 0x4B62788FBC87BB27, "updaterecentkillsrelics_func" },
    { 0xC44C90775F23B77A, "updaterectangularzone" },
    { 0x11E1469962B505C2, "updatereduceregendelayonobjective" },
    { 0xBEB8B4537F4539DE, "updaterespawnstatus" },
    { 0xF3866A6811008FE5, "updaterespawntimer" },
    { 0x25BE34498C5467BD, "updaterevivetriggerspawnposition" },
    { 0xA7219DBDEFB5730E, "updaterotatedebug" },
    { 0x31269215CB852A72, "updateroundendreasontext" },
    { 0x4686E430D72EF29B, "updatesavedaltstate" },
    { 0x338CD928C5489E8B, "updatesavedlastweapon" },
    { 0x8B1E857E92E62329, "updatescavengerhud" },
    { 0x910A61D2C14CD912, "updatescavengerui" },
    { 0xFBC10E8F01E2712C, "updatescavengeruiforplayer" },
    { 0xF939C785A51B0050, "updatescoperadar" },
    { 0x9A828631C58EA616, "updatescoremod" },
    { 0x37A1D74E213A02C3, "updatescores" },
    { 0x0D9B6C308A7CFDCA, "updatescoutping" },
    { 0x201745E68E370420, "updatescoutpingvalues" },
    { 0x58450558E20DB5E6, "updatescrapassistdata" },
    { 0x37AD9D6F1CFE91BC, "updatescrapassistdataforcecredit" },
    { 0x950DDBA0737EE9EE, "updatesecretstashhud" },
    { 0xDC9B29C21FB761DC, "updateselfvobonuschance" },
    { 0x3A74DB71BBC76B63, "updateselfvohistory" },
    { 0x2DEF9964BE899606, "updatesentryplacement" },
    { 0xBF9C990C109E411B, "updateservericons" },
    { 0x53E8F09E4BD37266, "updateserversettings" },
    { 0xE1424F5529A184C1, "updatesessionstate" },
    { 0x610964A235934D4E, "updateshakeonplayer" },
    { 0x9285DCB64A2B980C, "updatesharpfocus" },
    { 0xA7D8B8ACA4ECDDF3, "updateshotgroup" },
    { 0xBC78A91FFB4A596A, "updatesightstate" },
    { 0xE856487E8270B42A, "updatesixthsensevfx" },
    { 0x05F1E2659FD58921, "updatesixthsensevo" },
    { 0xAC24253BEEFC8432, "updateslotitemcount" },
    { 0x56FBA1A286E56821, "updatesmokinggunhud" },
    { 0xFBD4A61010D6CF89, "updatesniperglint" },
    { 0x783381B223931853, "updatespawnareas" },
    { 0x239E8F411BB7214C, "updatespawnpoints" },
    { 0x9149641905B1BB0A, "updatespawnviewers" },
    { 0xB3C33F5825B0100F, "updatespecialistui" },
    { 0xE47C049065EB6BFF, "updatespecificfobindanger" },
    { 0xF1184CCD04A442C2, "updatespectatesettings" },
    { 0x249DF3A799068266, "updatespectatorcamera" },
    { 0xCBFE70D802E8E7A1, "updatespmstats" },
    { 0x55D91651EC6DEFF8, "updatesppercent" },
    { 0x7AC428DBBE8422E4, "updatesppm" },
    { 0xAFF73630CB70E892, "updatesquad" },
    { 0x661982B2D489EF0E, "updatesquadleadermovement" },
    { 0x71536E1323A9011B, "updatesquadleaderpassstateforteam" },
    { 0xF28FADE87820C8EE, "updatesquadlist" },
    { 0x5654BC13F55FFD7E, "updatesquadmemberlaststandreviveprogress" },
    { 0x5A47895F5975CFF6, "updatesquadomnvars" },
    { 0xE5D8E8D3E7D281B9, "updatesquadspawn" },
    { 0x79D0A9333666AAF1, "updatestancetracking" },
    { 0xFE397FA62D9D49A5, "updatestate" },
    { 0x9652FDC427E40E43, "updatestreakcost" },
    { 0x7C924663BA8B3390, "updatestreakcosts" },
    { 0x27AD57637D1A23C9, "updatestreakcount" },
    { 0xA1A545EF00A5DFB1, "updatestreakmeterui" },
    { 0xFEACA3E9D438080E, "updatestumble" },
    { 0xDE0A2EAA02A21128, "updatesuperkills" },
    { 0x67CDA6B79EF10F82, "updatesuperuiprogress" },
    { 0xCBA4C2D5D490130A, "updatesuperuistate" },
    { 0x491957F71126B827, "updatesuperuithink" },
    { 0xFBBC9D69307FA438, "updatesuperweaponkills" },
    { 0xF2A225FADF7E489B, "updatetargetcurorigin" },
    { 0x93C1C22E1AF46287, "updatetargethealthvariable" },
    { 0x5CC358283354F682, "updatetargetlocation" },
    { 0x51A1AB480129232F, "updateteambalance" },
    { 0x0A3C95F371EC155A, "updateteambalancedvar" },
    { 0xFDB173B3F080E29B, "updateteambettermissionrewardsui" },
    { 0xA6F76016ECE1569A, "updateteamcallback" },
    { 0x5F2218260991AE6C, "updateteamplacement" },
    { 0x4AAE976ADF92281E, "updateteamplunderhud" },
    { 0xC741D7362188C6ED, "updateteamplunderscore" },
    { 0x5EEFA45A77094AD1, "updateteamscore" },
    { 0x0B3F0D2D26215B25, "updateteamscoreplacements" },
    { 0xD25114F3C96F2246, "updateteamscores" },
    { 0x961D8002899E2FE0, "updateteamtime" },
    { 0xB78E439C75C9DC6D, "updateteamuavstatus" },
    { 0x120000D9163DB563, "updateteamuavtype" },
    { 0xA61ABFAED2A7288D, "updatetextongamepadchange" },
    { 0x435040FF622F5195, "updatetiestats" },
    { 0xCB68C89710008219, "updatetimedrunhud" },
    { 0xA31EF7D7A3DB93C1, "updatetimer" },
    { 0xB48595B99BFC6539, "updatetimerconstant" },
    { 0x688FC1573E90D970, "updatetimerpausedness" },
    { 0x98AEC13D5BE5D076, "updatetimers" },
    { 0xA819F337C652C582, "updatetimerwaitforjoined" },
    { 0x5C45D3214368C420, "updatetimestamp" },
    { 0x0E64E08E94C4765D, "updatetogglescopestate" },
    { 0x31F27A832A821C4B, "updatetotalgameplaytime" },
    { 0x2C807E3D3FF68D27, "updatetotalteamscore" },
    { 0x2A38C7625EA6C340, "updatetournamentroundtime" },
    { 0x68475CB97CC26E2C, "updatetrigger" },
    { 0x752EE4CBD530DF83, "updatetriggerforcodcaster" },
    { 0xE29883E68CABF40F, "updatetriggerposition" },
    { 0x8D55730F13CA0659, "updateuavmodelvisibility" },
    { 0x73728BB91E25468E, "updateuavstatus" },
    { 0xA3B2E9EC4B1F5D9B, "updateuiammocount" },
    { 0xB299400A21FD269D, "updateuiprogress" },
    { 0x8FEC12463404133B, "updateuiscorelimit" },
    { 0x2FD4EFF1B1431D58, "updateuisecuring" },
    { 0x7DEDC2011834AC87, "updateuistate" },
    { 0x0AB5CA03472AFCE8, "updateusablebyteam" },
    { 0x5CF42307914E9661, "updateusablestate" },
    { 0x55E1C6E5B1E66738, "updateusablestateall" },
    { 0xEAD30B85A11ABE39, "updateuserate" },
    { 0x3D5B24BF46C83628, "updateusetimedecay" },
    { 0xEF9FC61DF1AEF283, "updateviewkickscale" },
    { 0x86BCECDC47BB803F, "updatevisibilityaccordingtoradar" },
    { 0x9D08712132306D12, "updatevisibilityforplayer" },
    { 0x7AA440593DF218DF, "updatevisionforlighting" },
    { 0x73B5A6E0FA1DCA25, "updatewaitforjoined" },
    { 0x616CA8B7E034156C, "updatewatcheddvars" },
    { 0x8DADBE9DC38C90AB, "updatewatcheddvarsexecute" },
    { 0x0F7B2E4069A9658B, "updatewavespawndelay" },
    { 0x1479E70A82352064, "updateweapon" },
    { 0xB2E644CD042CC683, "updateweaponarchetype" },
    { 0x31EEBE28244C8852, "updateweaponbufferedstats" },
    { 0xC572E757B893D9B5, "updateweaponchangetime" },
    { 0xF088204E9054B2F2, "updateweaponkick" },
    { 0x3BB5F039722CC91E, "updateweaponpassivesondamage" },
    { 0xDE9B103EF124CF7F, "updateweaponpassivesonkill" },
    { 0x818B5C57685B1446, "updateweaponpassivesonuse" },
    { 0x6427B58C561C6649, "updateweaponperks" },
    { 0x21A176E974F51A9D, "updateweaponscriptvfx" },
    { 0x74A78345C036054F, "updateweaponspeed" },
    { 0xA3C59C6454EB98ED, "updatewhizby" },
    { 0x320B22FA1620EC00, "updatewinlossstats" },
    { 0x52EC8E51F9811D25, "updatewinstats" },
    { 0x930B91C22F1F86BD, "updatex1finhud" },
    { 0x4D8439FDA20252B0, "updatex1prematchloadoutarray" },
    { 0x017B374AF54760B5, "updatex1stashhud" },
    { 0xDDBB93543780BCE6, "updatezombiegroupname" },
    { 0x81363E65938B556B, "updating" },
    { 0xF202E0FDB0661005, "updatingnavobstacle" },
    { 0x825F874A954F9618, "upload_hold" },
    { 0x16E63FBE038B458D, "upload_station_interact_used_think" },
    { 0x2FE302CF0B8CEF22, "upload_station_players_manager" },
    { 0xED6D08C677822AB0, "uploadglobalstatcounters" },
    { 0x86745D9B1F79BA48, "upper_body" },
    { 0x4847752D5A06A2D9, "upper_cell_door_button_check" },
    { 0xBB598E144242F534, "upper_door" },
    { 0x62AC7DE48932929B, "upper_door_coll" },
    { 0xD97E4708C3009D5E, "upper_door_geo" },
    { 0xB5B575B13A100F57, "upper_level_plane_combat_start" },
    { 0x1C2516A44EE71FA7, "upper_team_move_courtyard" },
    { 0x37BDE269928A6394, "uppercelldoors" },
    { 0x5218D1FCC6152982, "upperfloor_murderhole_handler" },
    { 0xF2D9BE24B7E0C517, "upperguys" },
    { 0xAE9CAD531D153962, "uprightcqbidle" },
    { 0xA03A8B6EEDBAE31E, "upsidedowntaunts" },
    { 0x3E8AD4BBF3D94949, "upstairs_guy_handler" },
    { 0xE2540DC7434CB580, "upstairs_right_civ_ai_runners_logic" },
    { 0x6570EFBFF340EA35, "uptime" },
    { 0xDC92390321AEAC46, "upv" },
    { 0xBC41D963196A02AE, "upvec" },
    { 0xBE3C03B13F2FE942, "us_soldier_3" },
    { 0xFA87CDF9977EF9DE, "usability_think" },
    { 0x1ED551C06592A66F, "usabilitytrigger" },
    { 0x008C71F8AD40766D, "usable" },
    { 0x494AC9C409464C09, "usablecarriables" },
    { 0x03B349F8FECD27B1, "usablecrates" },
    { 0x686D86C95492E399, "usableseats" },
    { 0x449F7A9D4F65C4C9, "usagecost" },
    { 0xFE2555A434F1ADA7, "usageflags" },
    { 0xBA936CB9C5538EEA, "usageloop" },
    { 0xCE02B608D5ADD24D, "usageperiod" },
    { 0xDC9F3F0321BCCDFD, "usb" },
    { 0x29BFD511CAAAD7EA, "usb_keys" },
    { 0x41974FCE593110C3, "usb_left" },
    { 0xC31346E840E80C4C, "usb_right" },
    { 0x270DFE5DDF08F108, "usb_tape_animation_test" },
    { 0xFE60E5A41271E972, "usbmodel" },
    { 0x84A53E93B43EBB2E, "usbs_pulled_out" },
    { 0xA589EFE8244ED26A, "usbserver" },
    { 0xE04BC9A7713B7BD4, "usbvm" },
    { 0xE046CDA771355BC9, "usbwm" },
    { 0xB172B4DB5AF8393B, "use_a_turret" },
    { 0x133F93910B3B6E15, "use_ac130_drone_func" },
    { 0xF2BF6071349E4805, "use_airdrop_fx" },
    { 0x13547D20B2D9CDE7, "use_aitype" },
    { 0x6BB5BD030EA0FF88, "use_alt_a" },
    { 0x6BB5C0030EA10621, "use_alt_b" },
    { 0x36CC5F8A0D5F0A0B, "use_alt_computer_controls" },
    { 0x053B45852E2302F6, "use_ammocrate" },
    { 0xDDD2A745AA9337F7, "use_anywhere_but_here" },
    { 0x24C65DC287E1EA94, "use_armor" },
    { 0x20FAED872FDCECE5, "use_atomizer_gun" },
    { 0x128E3896C1863AF2, "use_bh_gun" },
    { 0xDBDFB3534EB3B2A7, "use_big_goal_until_goal_is_safe" },
    { 0x2C56F3FF5E1E0FF2, "use_box" },
    { 0xDAE514D1F1A76338, "use_bsp_nodes" },
    { 0xD08020C4654154B1, "use_button_stopped_notify" },
    { 0x49E5C99EC2424CA4, "use_c6_animtree" },
    { 0x0440A138B37F4424, "use_cant_miss" },
    { 0x0387A055CAA5B3D3, "use_claw_gun" },
    { 0x89EC95A9F0F18B23, "use_contract" },
    { 0x4A0FF6727C775D74, "use_count" },
    { 0x16A42541FD563B90, "use_cover_node_spawners_around_pos" },
    { 0x20CCFCD103C89BE0, "use_crate" },
    { 0x1B40D7FF50A5E4BA, "use_csm" },
    { 0x96E43C70C05217F2, "use_death_long_end" },
    { 0x2A08ABF6F48A3B40, "use_death_long_end2" },
    { 0xA191B4958018A4E3, "use_detonate_drone_func" },
    { 0x6F0A33A4335B0E7A, "use_dist_override" },
    { 0x06B17389C826F053, "use_distraction" },
    { 0xE66072249CE8144F, "use_dropkit_marker" },
    { 0x85BB8FA87BCFDD97, "use_elevator" },
    { 0x377C09B922C7E8B8, "use_emp_drone" },
    { 0xD94012A9C493E787, "use_emp_drone_func" },
    { 0x27A8DC7F9FAEB98D, "use_ephemeral_enhancement" },
    { 0xDCDEB2266F585737, "use_exit_anim" },
    { 0x67DA9D89DB64FC14, "use_explosive_touch" },
    { 0x33040E5769155834, "use_fire_chains" },
    { 0xD32A0A4FB2D96DB9, "use_force_push_near_death" },
    { 0xF11041FF3235B35C, "use_fov" },
    { 0xCB26C93B01814727, "use_func" },
    { 0x551B0EE8185BD52C, "use_garage" },
    { 0x8AD6AD4FA75EFEE2, "use_goto_wait" },
    { 0xF2B367694FD690EF, "use_grenade_cooldown" },
    { 0xFB32C7CF0061DB99, "use_headshot_reload" },
    { 0x6320BE7C24E61FED, "use_hold_duration" },
    { 0x63569252132265FB, "use_hold_think" },
    { 0x1C750B417EDA1913, "use_increased_team_efficiency" },
    { 0x7A83ABD16346B7AA, "use_irish_luck" },
    { 0x71458732726BE3E1, "use_killing_time" },
    { 0xE188E77C81AD7569, "use_late_long_death" },
    { 0x9422E303E30BF490, "use_life_link" },
    { 0x6349FD625CF745A7, "use_long_death_for_death" },
    { 0xF4C652CE48B59832, "use_masochist" },
    { 0x3316781FE2FB9148, "use_milcrate" },
    { 0x55E261D0F0258CF9, "use_monitor" },
    { 0xBE97CE657DC6C166, "use_now_you_see_me" },
    { 0xB650AF19323AC3BD, "use_nuclear_core" },
    { 0x220A509104A4EA2D, "use_nvg_think" },
    { 0xE1DE5C19A3B3C963, "use_old_label" },
    { 0x70A4815A4844C365, "use_only_veh_spawners" },
    { 0x44F0090AC279045F, "use_path_speeds" },
    { 0x46410655C637DBE3, "use_penetration_gun" },
    { 0x6C5C58457AE6FCCC, "use_phoenix_up" },
    { 0x54C9CBF012F6BDFF, "use_precomputed_sky_illumination" },
    { 0x77C535EA2A1DF97E, "use_purify" },
    { 0xE6CD48C2208B8932, "use_range" },
    { 0x43D5B8B9E42D73E1, "use_reload_damage_increase" },
    { 0x972110E2FDE47BD5, "use_reminder_anim" },
    { 0xAFD92761D3CA237B, "use_reminder_reaction" },
    { 0x9C085A95BFA39D74, "use_remote_tank" },
    { 0x2DA0EC752F76A197, "use_respawn_rules" },
    { 0x875EA70A4D5E7658, "use_scout_drone" },
    { 0xFE92B6332028BFE7, "use_scout_drone_func" },
    { 0xE75253DC4458678D, "use_scriptables_animtree" },
    { 0xD4CA37FADF25D2E8, "use_seat" },
    { 0x089BE00583466D99, "use_self_revive" },
    { 0xC37B760D679573A7, "use_shared_fate" },
    { 0xAA47A4FA40A64011, "use_slow_enemy_movement" },
    { 0x5CFD7A20F74BF2D0, "use_spawn_anim" },
    { 0x5A60740961CA13DF, "use_spawn_double_money" },
    { 0x68D4C4C5B3C519B1, "use_spawn_fire_sale" },
    { 0x300773F18FE480D0, "use_spawn_infinite_ammo" },
    { 0x09295BA1C20C5CA8, "use_spawn_instakill" },
    { 0xDB210A68EFC170B4, "use_spawn_max_ammo" },
    { 0x20BD71BC998A0D60, "use_spawn_nuke" },
    { 0x463539BF1E7E3E42, "use_spawn_reboard_windows" },
    { 0x9D2ACA8746A4FF5A, "use_steel_dragon" },
    { 0x5987BB50EE685420, "use_struct" },
    { 0xE1EC0C0B494F19E7, "use_temp_bc" },
    { 0xC4E881F7A8DF6D94, "use_temporal_increase" },
    { 0xCAFA4A61ADD339CB, "use_the_turret" },
    { 0xF47309C07C90C71B, "use_think" },
    { 0xB8CAE99CE5DA6C35, "use_think_long_cut" },
    { 0x379D0E6C3A8371B1, "use_thread" },
    { 0x35EFCC85FE087D04, "use_time" },
    { 0xFE8AE52C65BDFC62, "use_timely_torrent" },
    { 0x93DE9F984746D4EB, "use_trace_data" },
    { 0x99FB366A5F921C31, "use_trace_radius" },
    { 0xA8828186C5B38BC3, "use_trigger" },
    { 0x4A8E8B64C9DC3410, "use_triggers" },
    { 0xD2FAFE8984D9B037, "use_turret" },
    { 0x7B74F2A76682D7D7, "use_twister" },
    { 0xBE0177787294E997, "use_use_trigger" },
    { 0xB339A62EE13FC66A, "use_vehicle_turret" },
    { 0x8BE79B7FC0BAE703, "use_welfare" },
    { 0xE8DF61937B57F6F0, "useable" },
    { 0x0F23C6B1714FC6E3, "useadrenaline" },
    { 0x76E644AEB6D66B7E, "useagents" },
    { 0xD8F9B37935302B30, "usealtmodel" },
    { 0xA4EF4F89651E11A8, "useammorestocklocs" },
    { 0x6D2B07EFAFC84946, "useanimgoalweight" },
    { 0x09FD74E8975FEE9D, "useanimtree" },
    { 0x9EFC6F1B266C2258, "usearmageddon" },
    { 0x1A668C1DBEF06719, "usearmorplate" },
    { 0xC145EDA10531EE6D, "usearmorvest" },
    { 0x0682A7D77E761B46, "useartilleryrole" },
    { 0xCD6051E0FBDD9B65, "useautorespawn" },
    { 0x7B5BA5201D94288E, "usebandage" },
    { 0x68A21ADA0E06DFAB, "usebarrier" },
    { 0xF4F5390230F02421, "usebulletstorm" },
    { 0xF2B4E7DE3A1E096C, "usebuttondone" },
    { 0x15D4BBD770503B12, "usebuttonpressed" },
    { 0x7E5EA2A72AC75F75, "useby" },
    { 0x19711DAE2A6FD50E, "usec130spawn" },
    { 0x20AEFAC2CCB5E006, "usec130spawnfirstonly" },
    { 0xF32E0925DC96EA03, "usecallback" },
    { 0x364B4258BC658278, "usecellspawns" },
    { 0xC0A83891F260597F, "usechokepoints" },
    { 0x4DC091F391E70F66, "usechoppersupport" },
    { 0xCAFA4AC2D82277BE, "useclip" },
    { 0x313F218115824580, "usecloak" },
    { 0xCDBA062C27A9E2C9, "usecomlink" },
    { 0x162FB91A815A3191, "usecommand" },
    { 0x015A64FACCB2B03D, "usecondition" },
    { 0x7CFD6A3B73EA31B9, "usecooldown" },
    { 0xC5FA32DADFDAC3D3, "usecovernode" },
    { 0x30377946FC33F8A7, "usecovernodeifpossible" },
    { 0x71A8E4B19ECFC620, "usecustombc" },
    { 0xEEE72AE332180434, "used" },
    { 0x417D63D6D22A1465, "used_an_mg42" },
    { 0x27C8DF90E3FA244E, "used_destructible_targets" },
    { 0xF8B9C112C71AEFE4, "used_fulton_interact" },
    { 0xBF983CBA9C1A4F35, "used_molotov" },
    { 0xEEEAC17BFBACB2D1, "used_recently" },
    { 0xCE90BEB6BAF53CA8, "used_time" },
    { 0x4C96732035730DE3, "usedadrenalineatfullhp" },
    { 0xEEE9E835ABE66FDE, "usedambulance" },
    { 0x1498A9D71C85DBB4, "usedash" },
    { 0x14937AD71C7F4B80, "usedata" },
    { 0xCF7F0FA32AD11321, "usedby" },
    { 0xA2F36C64DCF0FAEB, "usedcount" },
    { 0xCF2C004DCFB6A92F, "usedcountinveh" },
    { 0xD3504FBB6E199477, "usedelay" },
    { 0xA46ADA0F4DF2BE32, "usedestructibleobjects" },
    { 0x8BADE4D774EB63BE, "usedids" },
    { 0xEBE0FAAE24FA2A54, "usedismemberfxlite" },
    { 0x8BF8E5D7753E1E38, "usedist" },
    { 0x45DA9819D257D456, "usedkillstreak" },
    { 0x40F000B09A3F7C0B, "usedlastphase" },
    { 0xCAEC3BE1A31486B0, "usedlocations" },
    { 0xA12AEC989255CD6D, "usednotify" },
    { 0x8EC24398F892D3FE, "usedomflag" },
    { 0x67C516A56FCF99ED, "usedonce" },
    { 0xDAADE6C7641C2EDB, "usedpoints" },
    { 0x119710F212769040, "usedpointsexpiry" },
    { 0x52C444F0832379FC, "usedpositions" },
    { 0xE8C3DFD2893E961A, "usedprops" },
    { 0xA5008F9C685A4A6E, "usedpropsindex" },
    { 0x40501058D487335C, "usedronehive" },
    { 0xD7578656845C9CA8, "usedropspawn" },
    { 0xE1A95B3562108A41, "usedspawners" },
    { 0xAA8CFF2CD74D2BE9, "usedspawnposone" },
    { 0x0AE6C5511286EC39, "usedspawnposthree" },
    { 0x61D8382CA1F0FB63, "usedspawnpostwo" },
    { 0x5C763E8618D9382A, "usedtargets" },
    { 0x191107B8DAB06848, "useduration" },
    { 0x9162C41547FE50DF, "usedynamicobjectusethink" },
    { 0x3BFEAE33E342B1F4, "useentdropbodyonplayerdone" },
    { 0xD45E85A96C6F59FF, "useentdropbodywhencomplete" },
    { 0x892A73203FE70575, "useenthide" },
    { 0x9ECA606D275728CE, "useentmonitorambulances" },
    { 0x75F17F1F92048D1D, "useentpickupbody" },
    { 0x26F49EB739311204, "useentrespawncomplete" },
    { 0xD0CF009415298EDA, "useentrespawntimeout" },
    { 0x73AD345E2A603EA4, "useentsetupcloseambulance" },
    { 0x41100269184E5224, "useentshow" },
    { 0xDD07ED9BCA59A6DC, "useeventamount" },
    { 0x1DB35195E38310F0, "useeventtimestamp" },
    { 0x83D92D8DDE4A4148, "useeventtype" },
    { 0xE3C858B9BAB2D1EC, "useexfilchoppers" },
    { 0xD845E0326F42CC6B, "useeyetoshoot" },
    { 0x395975C145D18A49, "usefailcapacitymsg" },
    { 0x00C9492C5BB31814, "usefailextractingmsg" },
    { 0x4C9B37F1D8312265, "usefaillaststandmsg" },
    { 0xFB70C5B9BD58BB44, "usefailnoplundermsg" },
    { 0xFC8A84D4783D993D, "usefailvehiclemsg" },
    { 0xBE9D019B065742EC, "usefloorrocks" },
    { 0xED7E6CA3412A0CDB, "usefov" },
    { 0x21E18D0811B1E4FE, "usefunc" },
    { 0x9A503F63CD1A6C3E, "usefuncoverride" },
    { 0x22209FD8DA400039, "usegraverobber" },
    { 0x2C99382D657E04A9, "usegrenadegesture" },
    { 0x2FE0A87ED1E3F370, "usegulag" },
    { 0xFB97340CBCC5B5AC, "usehealthpacks" },
    { 0x040ACE6A52D8D001, "usehelicopter" },
    { 0x8E6D953F9587123D, "usehelicopterpilot" },
    { 0x59A9A8BC1491AD94, "usehigh" },
    { 0xA6EEEB40B97DCB9B, "usehintsinvehicle" },
    { 0xC83149E22837EAF9, "usehintsonturret" },
    { 0x1C62A29C31F0575B, "useholdloop" },
    { 0xED1039EB9410992B, "useholdthink" },
    { 0x2AF9654298E9152D, "useholdthinkcleanup" },
    { 0xB1596E65A9CC1009, "useholdthinkloop" },
    { 0xF11E513ADFD2442C, "usehostagedrop" },
    { 0x1442F74F9937BB17, "usehprules" },
    { 0x30BE468B9C02743E, "usehpzonebrushes" },
    { 0x5CEFDD0B3A4EECDA, "usehqrules" },
    { 0xD9AB879888BD5248, "useifproximity" },
    { 0xB20F0FDFCF3DA030, "useinvisibleplayerduringspawnselection" },
    { 0x11856646929D88F7, "useinvulnerability" },
    { 0x3AF15A0C72426BB5, "useitemfrominventory" },
    { 0x400BE5FD3936AA44, "usejuggernautrole" },
    { 0x8FAA5ACC4DB8B448, "usekineticpulse" },
    { 0xF9B449A48880FC36, "usekineticwave" },
    { 0x56C939B6EF33A4BC, "uselmapcompression" },
    { 0xAE3FEA6DD945F9BC, "uselocationbc" },
    { 0x959F2AC33A681C29, "usemightconnectflag" },
    { 0xC809F88AD1D5CBBE, "usemilestonephases" },
    { 0x7FDA02F3765073AA, "usemortarmount" },
    { 0xFC3808A710B610ED, "usemuzzleheightoffset" },
    { 0x086C20C2F3EB3FB1, "usemuzzlesideoffset" },
    { 0x144533357CD795D2, "usenormalscorelimit" },
    { 0x86F259A2F5A1788D, "useobj" },
    { 0x1C00375D4FA9D91E, "useobj_trigger" },
    { 0xFD2AD511C89D68EF, "useobject" },
    { 0xCEBEAAA097FE1147, "useobjectdecay" },
    { 0x8BAFE2393A9B7148, "useobjectives" },
    { 0x65D08B8AF71F05A6, "useobjectproxthink" },
    { 0x629B321C322D0F14, "useobjects" },
    { 0xACF26A9A0514B86A, "useobjectusethink" },
    { 0x68741F62321D169A, "useobjs" },
    { 0xF40091B9E00B967E, "useoldlosverification" },
    { 0xA36FA1625DB25159, "useonce" },
    { 0xBD600BDF42F86C7C, "useonspawn" },
    { 0xCA721F80BB535318, "useopticwave" },
    { 0x4444A1171082E287, "useotherobj" },
    { 0x9FBB2C7FFF107A5E, "useoutline" },
    { 0x572456C6F59741E2, "useovercharge" },
    { 0x4A42F79FD3FAFB84, "useownerobj" },
    { 0x21A23C6D3E8D4733, "useperbullethitmarkers" },
    { 0xE48CBD472CFAA9C9, "usepercent" },
    { 0x41EEF5A29AE21945, "usephaseshift" },
    { 0xB1AF166AFFBFDCAD, "usephasesplit" },
    { 0x19230DEC58FEC9D9, "usephysics" },
    { 0x0F5DB056C470E5D1, "usepingsystem" },
    { 0x7F871F1ED3D7FBA7, "useplayeruav" },
    { 0xFBEE5B8A55295A0D, "usepowerweapon" },
    { 0x3D5A1C2D9AA301B0, "usepriority" },
    { 0x094851B07629D38E, "useprompt" },
    { 0x7E64C2A9BC84E715, "useprophudserver" },
    { 0x63541C9DECB7B53B, "usequesttimer" },
    { 0x39CAEFF51448EB87, "usequickrope" },
    { 0x91942B8F40E743CA, "usequickslothealitem" },
    { 0x4EBE61B7621F6044, "user_triggered" },
    { 0x0C4F8A76C56B4487, "userallypointvehicles" },
    { 0x89C54BEC86A752AD, "userange" },
    { 0xDF5FE534B68A27DA, "userate" },
    { 0x6AA71892D6736F5D, "useratemultiplier" },
    { 0xAFEC589F33AB52C8, "usereflectshield" },
    { 0xE2377A1E9826007D, "usereload" },
    { 0x2D4BC53369DDBAA2, "useremoteuav" },
    { 0x4F4C1108B878854A, "userepulsor" },
    { 0x558C688DBA670BAF, "userespawnc130" },
    { 0xE06704F41BC773EB, "userewind" },
    { 0xDAB5892E8B08B702, "userskip_input" },
    { 0x98A3064DE943A5D6, "userskip_stop" },
    { 0x3A263AEBCED1B1B3, "userskip_wait" },
    { 0xEEE719E33217DED1, "uses" },
    { 0xD7AE62A274BAB11B, "usesai" },
    { 0xBB65BC283809B8E6, "usesattackeraskillcamentity" },
    { 0x88123375E6490E57, "usescriptable" },
    { 0xB2FF296704336213, "usescriptablemeleeblood" },
    { 0x3C61BC767C3CDD0A, "usescriptedweapon" },
    { 0x12E867E4E77CB018, "useserverhud" },
    { 0xA0F265117F6715A2, "useshouldsucceedcallback" },
    { 0xEB75D6E4CE236588, "usesiegemode" },
    { 0x430F4072D145D7DC, "useslopes" },
    { 0xDE7463FC9EE4A5F9, "usesmokewall" },
    { 0x06258687E0A30765, "usesonicpulse" },
    { 0x5A0E7C52AE906F48, "usespawncamera" },
    { 0xF2A50BC0565D6243, "usespawnselection" },
    { 0x467425FF847D4CB6, "usespeedboost" },
    { 0x81995F41364DD9DF, "usesquadleader" },
    { 0x53FF0CB547700EB1, "usesquadspawn" },
    { 0x1E23377626949D49, "usesquadspawnselection" },
    { 0xA13BE4C3DFCC2CEF, "usesremaining" },
    { 0xEC1EB7AB7D91DAD8, "usestartspawns" },
    { 0xB0E0A3B448FC85A5, "usestarttime" },
    { 0x2C630D7C78BFEAD9, "usestash" },
    { 0x45D91BBE76643A86, "usestaticspawnselectioncamera" },
    { 0x89B6B3CFBB2591C8, "usestrictreacquiresightshoot" },
    { 0x5B4A6C9EEF8B1E2E, "usesvehiclekillcamentityrelay" },
    { 0x29986CBF5B30302F, "usetacopsmapongamestart" },
    { 0xE86C99A281D24AE8, "usetag" },
    { 0x91E28239EB5604F3, "usetdmspawns" },
    { 0xBCFDE563549FF3E1, "useteam" },
    { 0x8463E079AAB29CE3, "useteleport" },
    { 0x224B74AB09B75E90, "usetelereap" },
    { 0xBCAEC863544905FC, "usetest" },
    { 0xBCDFCA63547F999F, "usetext" },
    { 0x23E1713E74072B9D, "usetextenemy" },
    { 0xD849BEC2CEC3F90C, "usetextfriendly" },
    { 0x1A26F07A2AD45370, "usethink" },
    { 0x6C46B963D58C9731, "usetime" },
    { 0xFB23BF487F02C321, "usetimeoverride" },
    { 0xD76EBF24A5D2FE27, "usetriggerholdloop" },
    { 0xB26BAE062D0BD27D, "usetriggerrequirelookat" },
    { 0xE13429A9EC272434, "usetriggerthink" },
    { 0x620E3F5DC2DDC112, "useturret" },
    { 0x977ECD6DE6309B72, "useturretrole" },
    { 0x527555647D91C750, "usetype" },
    { 0xF5CCA1A28B35BABC, "useuav" },
    { 0xE2DD2975799D66E4, "useuavrole" },
    { 0xC4A96170E75376C1, "useunifiedspawnselectioncameraheight" },
    { 0x67DBB93248694048, "usevehicle" },
    { 0xE3D5F101866E3E8C, "useweapon" },
    { 0x202374EDDE94BEDC, "useweaponclipammo" },
    { 0x594B52B6A5EB9AA9, "useweaponpickups" },
    { 0x1A4BAC95E1870F74, "useweaponstockammo" },
    { 0xF6831F54EC3A1C2C, "useweaponswapped" },
    { 0x29940E8FB527C71E, "useweapontrackstats" },
    { 0x7DEC8DA72A4A3B70, "usexp" },
    { 0x10451776BF9E032C, "usezonecapture" },
    { 0xF1AE4EB7B6CF7F5A, "using_a_turret" },
    { 0x5221C9E02E80DD12, "using_bulletdrop_weapon" },
    { 0xECEF774956F21ABE, "using_drone" },
    { 0x10E18C46541C66E4, "using_goto_node" },
    { 0x337194B44F73F91C, "using_mun" },
    { 0xF49DE788A5048933, "using_path" },
    { 0x09EE7544C733B64B, "using_remote_tank" },
    { 0x12952A2C0CC8E422, "using_self_revive" },
    { 0x1CB680A2EDD2B23B, "usinganchors" },
    { 0xFE07B86195CED5C5, "usingantiairweapon" },
    { 0x2C7C564AB4163C45, "usingapache" },
    { 0x70E2EE04ECCA4074, "usingarmorvest" },
    { 0xEDF732D13BC38B42, "usingascender" },
    { 0xFF81AAFADE3901B0, "usingaturret" },
    { 0x924FBDB8C780E71E, "usingautomaticweapon" },
    { 0xC19BA45EFC2A45F6, "usingboltactionweapon" },
    { 0x7C7CC225672EF671, "usingchoppergunner" },
    { 0xCAFB790A21851DAD, "usingcustomdof" },
    { 0xD026663922A79529, "usingfallback" },
    { 0x7D13726499DBF617, "usinggameobjects" },
    { 0x2C0D2E4989439AE6, "usinggamepad" },
    { 0x8EB4CB7C54E1CD85, "usinggunship" },
    { 0x5D8D823F0735006B, "usingintermissionpos" },
    { 0xB53B2012F2D12F67, "usingmg" },
    { 0x1F0135CE54F2F611, "usingnavmesh" },
    { 0xEFA99CF828DCA522, "usingnewlongdeaths" },
    { 0x80F8E2290CACEE23, "usingnode" },
    { 0x44143AABEB8B3A58, "usingobj" },
    { 0xFF9ADE1EDADE0468, "usingobject" },
    { 0x17F24CC26E28C42B, "usingonlinedataoffline" },
    { 0xF6C41425054DA4EC, "usingpistol" },
    { 0x73DC8872BA5A1622, "usingplayer" },
    { 0x48A068521CF065E9, "usingplayergrenadetimer" },
    { 0xC252D047DBD92C19, "usingremote" },
    { 0x57E61F64BBAAE54C, "usingriflelikeweapon" },
    { 0xCE1BFDDFDC64B503, "usingrocketlauncher" },
    { 0xF6BB4E4FC69F467E, "usingsemiautoweapon" },
    { 0xD0B5F0213792D8C2, "usingsidearm" },
    { 0xCD54247933E0ED89, "usingtacmap" },
    { 0x0816671F160DC6DD, "usingturret" },
    { 0xEB338EFF5A54A809, "usingvest" },
    { 0xF07CBD887E4FA545, "usingworldspacehitmarkers" },
    { 0x7B77E4CA856EFDCD, "utilflare_shootflare" },
    { 0xE08D86398D71CAC8, "utility_trigger_deleter" },
    { 0x4403FEA584976566, "utility_trigger_demeanoroverride" },
    { 0xF197ED44C0437371, "utility_triggers" },
    { 0xAC0E484AC96A7E45, "v" },
    { 0x4ADB5E5082505C66, "v_end_pos" },
    { 0x1BD386BCAB7F6583, "v_start_pos" },
    { 0xC09499EE80B0F240, "va_cluster_spawnpoint_valid" },
    { 0xDAE7263EF4BB397B, "va_standard_spawnpoint_valid" },
    { 0x06B5AA03401077C0, "val" },
    { 0xD1FCD725E437C936, "val2" },
    { 0x505FD3DD6AD97059, "valid_air_vehicle_spawn_points" },
    { 0x316E55F9588236AD, "valid_ball_pickup_weapon" },
    { 0xCD787A58451D1568, "valid_ball_super_pickup" },
    { 0x30DBDF754BBE8BDF, "valid_carriable_pickup_weapon" },
    { 0xD0316BAB86D97DF4, "valid_for_vanguard" },
    { 0xBD569EC94092E8FC, "valid_forward_dist" },
    { 0xAA21C822914B0879, "valid_reaction_sound" },
    { 0x16D7CF189E622694, "valid_rockable_vehicle" },
    { 0x1555219E6CD73ADB, "valid_vehicles" },
    { 0xEF2F144AB7D46BFF, "validate" },
    { 0x855E56C6EC131931, "validate_and_activate_stations" },
    { 0x4954351C6738985D, "validate_button_combo" },
    { 0xE678942D223749BA, "validate_byte" },
    { 0xE1B3A64DCB6114BE, "validate_current_weapon" },
    { 0x7034C50AB9900D8B, "validate_demeanor" },
    { 0xDF09B539FE3BE7C1, "validate_grid_pos" },
    { 0xC40B882CD5276436, "validate_hostage_drop_pos" },
    { 0x7722887F3C964691, "validate_int" },
    { 0xDE29A87F88A60BFA, "validate_pos" },
    { 0xDA161CAA0E7376B2, "validate_short" },
    { 0xAAAF78C719547BEC, "validate_station" },
    { 0x152ECBB0D6271B07, "validate_track" },
    { 0xA4AD3CF899F943D1, "validate_value" },
    { 0x36BDB70E4E2D75B8, "validateaccuratetouching" },
    { 0xD5600B6E16B62D4F, "validatealivecount" },
    { 0xF99C184FF75F292A, "validatearchetype" },
    { 0xB6CC789E5EB4AC0B, "validateattachments" },
    { 0x2DA45478B62B646C, "validateattacker" },
    { 0xDB17094CF63A680D, "validateboltent" },
    { 0x097817DF5001A131, "validatecollision" },
    { 0x0450FDA24006F5E2, "validatedamagerelicswat" },
    { 0xF5A63DAD556C5A0A, "validateevents" },
    { 0x8210C81C66BB4B63, "validatefalldirection" },
    { 0xC24135C751CC475A, "validatefuelstability" },
    { 0x645798DA9381583D, "validatefunc" },
    { 0x570AF570F0AC4B75, "validatehighpriorityflag" },
    { 0x388AAA46C201FA6F, "validatelistener" },
    { 0x623ADFA5718316A9, "validateloadout" },
    { 0x20BD6FF830EA953A, "validateloadoutownership" },
    { 0x215EA228FEB49517, "validatenotetracks" },
    { 0x1A3A25FE8E3F812B, "validateobjectives" },
    { 0x50AB042199A947B0, "validateoperatorownership" },
    { 0x54AFEB6F196B4963, "validatepasstarget" },
    { 0x616E7BF0FCA8061F, "validateperk" },
    { 0xEE00FEFBA5861F84, "validateperks" },
    { 0x265CAC20E88E76F7, "validateplayers" },
    { 0xCED3C265EC8F6A3D, "validateplundereventtype" },
    { 0xAFBB2272FB5A7F90, "validatepower" },
    { 0xEE22D261713F0D99, "validateprojectileent" },
    { 0xB3F08B879178E3A4, "validaterecentattackers" },
    { 0xB6419AF866D00F6C, "validateselectedspawnarea" },
    { 0x5080BFF2E77FC6EB, "validatespawns" },
    { 0x95DF4B551B2E33DE, "validatestreaks" },
    { 0x6CB3B6484A829942, "validatesuper" },
    { 0xFBD0242A649F574C, "validateusestreak" },
    { 0xA9C3706DB73BAE1F, "validateweapon" },
    { 0x5FD9993853A0BB1A, "validatewildcards" },
    { 0x8842F507E9F4E270, "validationerror" },
    { 0xF3A7C3AA2D57794C, "validautoassignquests" },
    { 0x88C62F492FFEAF57, "validchallengetimer" },
    { 0x3E655F03F23559CA, "validdroplocationstruct" },
    { 0x68CAB83E8D05B167, "validlocations" },
    { 0x19B7641D38635618, "validplayer" },
    { 0xF1A7974302770D51, "validplayers" },
    { 0x2333257B90AE107F, "validshotcheck" },
    { 0xC2719A8430C896EE, "validtakeweapon" },
    { 0xB533BC70673A5E68, "validtousecosmetic" },
    { 0x1181F1699076F3CA, "validtousesticker" },
    { 0xD1FC9825E4373EA9, "vals" },
    { 0x05CA6B54E589421E, "value" },
    { 0x6A94B827B5BB9413, "value_hudelem" },
    { 0x92FCC9F256D20BA4, "value_plus_or_minus_offset" },
    { 0x600FBC6F980F694B, "value_type" },
    { 0xA035A2AA585C7023, "valuehud" },
    { 0x456C78B4CCDD15B7, "values" },
    { 0x8993CC46CD7A8E72, "valuewithinrange" },
    { 0xCA95C718E57344C8, "valve_steam_off" },
    { 0x85E6755AFC509EE6, "valve_steam_on" },
    { 0x0C86B7705876F992, "vampirepoints" },
    { 0x06B5AC0340107C26, "van" },
    { 0x712E4DB863FA33F0, "van_acquire_interact" },
    { 0x570C4EE5EC1193AE, "van_anim_jumpto" },
    { 0x04E3F8E13C834556, "van_blocker_moves" },
    { 0x61DDB4026281FC0F, "van_bomb_add_fov_user_scale_override" },
    { 0x90854733B5F6F279, "van_brakelights_off" },
    { 0x90577325D520565D, "van_brakelights_on" },
    { 0x013CE6168993F813, "van_bullethole_fx_tag" },
    { 0x543BB4A292F879AD, "van_cp_create" },
    { 0x206F6541468BAF11, "van_cp_createfromstructs" },
    { 0xE9243107167ECC9A, "van_cp_delete" },
    { 0x544D83E32889B737, "van_cp_getspawnstructscallback" },
    { 0xD9118B26DA9D66E3, "van_cp_init" },
    { 0xB4AB37714BE2FE3F, "van_cp_initlate" },
    { 0x763659D9B760972A, "van_cp_initspawning" },
    { 0x5D69A6A81573E6ED, "van_cp_ondeathrespawncallback" },
    { 0xA94EDDFCEF080033, "van_cp_spawncallback" },
    { 0x837E5ED3A7D55F84, "van_cp_waitandspawn" },
    { 0x8BEE655FB822296B, "van_create" },
    { 0xD26C8D983BA0AB53, "van_damage_nag" },
    { 0xF7B0CC42CD308068, "van_damage_temp_nag" },
    { 0x03BDAACB3A7BB3D6, "van_dead_guys" },
    { 0x24D7386C0B38B458, "van_deathcallback" },
    { 0x37B7138107226E2A, "van_deletenextframe" },
    { 0xA7F775F1C3BC189C, "van_enterend" },
    { 0xC7637ACF44FD4D85, "van_enterendinternal" },
    { 0xE73AF5B03A2976D8, "van_exitend" },
    { 0xAE519BD599FB2979, "van_exitendinternal" },
    { 0x5436AEB9AAF751CC, "van_explode" },
    { 0xF0A7140CACDE2B26, "van_fx_tag" },
    { 0x1537BF99946C9DC9, "van_getspawnstructscallback" },
    { 0xAC42B3AEEA48A74E, "van_hackney_get_length" },
    { 0xA371C54E0B111191, "van_hackney_init" },
    { 0xEA064AF4BCF29D22, "van_hackney_spawn" },
    { 0x00170208E058B63D, "van_health" },
    { 0x343B14B66D81F5FC, "van_impact_ents" },
    { 0x58579A0AFCC5470E, "van_infil_radio_idle" },
    { 0x2D42DEA0F732B375, "van_infil_sfx_chief" },
    { 0x00FCA6C3F5012FC2, "van_infil_sfx_npc1" },
    { 0x00FCA5C3F5012D8F, "van_infil_sfx_npc2" },
    { 0x00FCA4C3F5012B5C, "van_infil_sfx_npc3" },
    { 0x00FCA3C3F5012929, "van_infil_sfx_npc4" },
    { 0x00FCA2C3F50126F6, "van_infil_sfx_npc5" },
    { 0x00FCA1C3F50124C3, "van_infil_sfx_npc6" },
    { 0xEA77950B0D0D73C5, "van_init" },
    { 0x402AE1E807AFCAE0, "van_initdamage" },
    { 0x0288C9E4245CBF33, "van_initfx" },
    { 0x5A4D02EABC23F98F, "van_initinteract" },
    { 0xB00769F4F87BB7A1, "van_initlate" },
    { 0xDAB68BFEAA3E7E06, "van_initoccupancy" },
    { 0xFE30DF033AA17F57, "van_initomnvars" },
    { 0x2A905925E32FB390, "van_initspawning" },
    { 0xD5F6F68D3588EA13, "van_interior_sfx" },
    { 0x94D146928620433D, "van_intro_anim" },
    { 0x2FCF180840BAA8BB, "van_mp_create" },
    { 0x98021516954ADFF8, "van_mp_delete" },
    { 0xDC0DCB2FE70E4239, "van_mp_getspawnstructscallback" },
    { 0x0383DCB296888035, "van_mp_init" },
    { 0xB5D3C96080FAF46F, "van_mp_initmines" },
    { 0xFE0877DEAC96C620, "van_mp_initspawning" },
    { 0x7633A63A5B3DDF13, "van_mp_ondeathrespawncallback" },
    { 0x80D051A1E1FABCD1, "van_mp_spawncallback" },
    { 0xB337173B569B0476, "van_mp_waitandspawn" },
    { 0xE71595DB4A2B0B03, "van_restore_user_fov" },
    { 0x34751AEFF9633839, "van_scene" },
    { 0x21165574C3A10829, "van_scene_a" },
    { 0x2E162D39D1A327EA, "van_scene_cleanup" },
    { 0xE4A862BEBE8191B2, "van_scene_dialog" },
    { 0xD03863C03B18707F, "van_scene_end" },
    { 0x49C94522874ED578, "van_scene_init" },
    { 0xE0C8C8B6207486CA, "van_scene_start" },
    { 0x41D14FBF2BAC5CB0, "van_smoke_fx_tag" },
    { 0x2EB15722F2EE36BB, "van_stop_vo" },
    { 0x3BBA92CB078CFFA3, "vandalize" },
    { 0xC827E1E8C4DB261B, "vandalize_attack_max_cooldown" },
    { 0x19ECBCB6967124B1, "vandalize_attack_min_cooldown" },
    { 0x0E1BA2D1EF09E7B2, "vandalize_attack_nodes" },
    { 0x4A9C581BDF08F41D, "vandalize_internal" },
    { 0x3D07F38103AEDC0B, "vandalize_minigun_speed" },
    { 0x50F23CC2D4B61F58, "vandalize_spotlight_speed" },
    { 0xEE9B1277A73B1ACA, "vandalize_target_think" },
    { 0x98DB582D2B783730, "vanguard_allowed" },
    { 0xD77DF13F6D07E1D5, "vanguard_control_aiming" },
    { 0xD02B66B466C4319C, "vanguard_get_node_origin" },
    { 0x0FFD0E64A5B18E94, "vanguard_is_outside" },
    { 0xB4C2E4B39D6281B3, "vanguard_missile_radius" },
    { 0xE730D9C12A2B3D80, "vanguard_num" },
    { 0x549F4D5A5871DB62, "vanguard_origin" },
    { 0xD0A605B77557044E, "vanguard_pick_node" },
    { 0xD205A025E4416EEF, "vans" },
    { 0x1CEA7F8411220EED, "var_params" },
    { 0x8F6760BBEF65EF7D, "variability" },
    { 0x15FB4E1987D08178, "variable1" },
    { 0x15FB511987D08811, "variable2" },
    { 0x15FB501987D085DE, "variable3" },
    { 0xFA2CDAC29E90052F, "variantid" },
    { 0xD280A825E4C8950B, "vars" },
    { 0x9B4CF6B5F4ADC4BB, "vars_print" },
    { 0x87A241C34888F7FD, "vars_update" },
    { 0xC375968543A03A8A, "vartostring" },
    { 0x5BD177CE7E4AB702, "vault_assault_infil" },
    { 0x80172C95A753136E, "vault_assault_objective_func" },
    { 0xCAE0DC6C79A13C25, "vault_assault_objectives_registered" },
    { 0x9DCBDF3063AA60CC, "vault_door" },
    { 0x11E177CB87C4A0CC, "vault_door_broken" },
    { 0x5919008A35A01197, "vault_door_init" },
    { 0x246253DE8AFCB533, "vault_door_open_wait" },
    { 0x9B3E0B988CAB2070, "vault_door_sound" },
    { 0x8B9F3C032A2DC227, "vault_door_think" },
    { 0x7C4AD9DB46EC2A5C, "vault_gate_cut" },
    { 0xC3E514B063CA7F03, "vcloseangles" },
    { 0xA7E23425C5DFAE74, "vdir" },
    { 0x7A010AE4ECA09EB4, "vdronestrikeheight" },
    { 0x79BE239699016062, "vec_multiply" },
    { 0x24AB572467A9416D, "vecscale" },
    { 0xCE8CE6D8837C30F0, "vector2d" },
    { 0xAE869B60D9031A32, "vector_area_parallelogram" },
    { 0x3B21D2F6E557CC70, "vector_empty" },
    { 0x25E53472E4D857AB, "vector_length" },
    { 0x865A225144613844, "vector_project_endpoint" },
    { 0x8F3D0EA22431205C, "vector_project_onto_plane" },
    { 0x4C3F1CF4D21F1470, "vector_reflect" },
    { 0xF87C442920FF20DE, "vectorcross" },
    { 0x15041625C089ADF5, "vectordot" },
    { 0x93560E221C52A63D, "vectorfromlinetopoint" },
    { 0xF18F1B4BB3C8FE73, "vectorlerp" },
    { 0x14ADC0EA67FC5D95, "vectornormalize" },
    { 0x3552F0323AC56C53, "vectortoangles" },
    { 0x7E713F6FBDA47D7E, "vectortoanglessafe" },
    { 0x3DA89CB6FDA9BD4F, "vectortopitch" },
    { 0x34BC71F4E1AEB0CE, "vectortoyaw" },
    { 0x06A3A6033FFC3198, "veh" },
    { 0x49391FE4F1D6622E, "veh01_ied" },
    { 0xD7BB25AA2669B163, "veh_boatbounce" },
    { 0xE57330496493B130, "veh_brake" },
    { 0x8263551B4429582F, "veh_collision" },
    { 0xD4C1326BD25D88DB, "veh_goal_pos" },
    { 0x7D1D958B59000932, "veh_ground_veh_spawn" },
    { 0xB61B2FD75713CFCD, "veh_heli_spawn" },
    { 0x418D2B86AEC3ABCE, "veh_jolt" },
    { 0x5E9199DEA6B4A48D, "veh_landed" },
    { 0x70D74D1C169380AB, "veh_leftground" },
    { 0x4894DB4FD12F2457, "veh_magic_bullet_array" },
    { 0x0B6F5D81C3332821, "veh_map_ieddamage" },
    { 0xF9F474DE43C87BAD, "veh_model_spawner" },
    { 0xAE51C88D97D64ACF, "veh_origin" },
    { 0xD9524E0E2292FC76, "veh_path" },
    { 0x16031344B831C70D, "veh_pathdir" },
    { 0x34255621E8D00DC9, "veh_pathspeed" },
    { 0xE2DC2AA37F8EE106, "veh_pathtype" },
    { 0x842C52D6EF160421, "veh_ping_vehicle_location_to_players" },
    { 0x5C92F560848E69BD, "veh_predictedcollision" },
    { 0x88160CF854CA9931, "veh_spawn_point" },
    { 0xACBD91C6DD5CE440, "veh_speed" },
    { 0x5A39971EB07C7AF5, "veh_speed_vals" },
    { 0x6445B47570E8117D, "veh_throttle" },
    { 0x2C9C5AE0F30E7077, "veh_topspeed" },
    { 0x7E96B6DFC03611E5, "veh_transmission" },
    { 0xA63FC1B24FB1EEFC, "veh_updateomnvarsperframeforclient" },
    { 0xAD10552DCADDB6AC, "vehcolignorelist" },
    { 0x221820D7EDCE65F3, "vehicle" },
    { 0xFA629F04E6147AB4, "vehicle_addcovernodetemplate" },
    { 0x3FA37C42A56F0E74, "vehicle_ai_avoidance_cleanup" },
    { 0x5A077C00EFBF36A0, "vehicle_ai_avoidance_heli" },
    { 0x80F25AE076F7CDFE, "vehicle_ai_avoidance_logic" },
    { 0x615D021ECC4B5042, "vehicle_ai_can_shoot_after_reload" },
    { 0x70AB8E3A08DEA9A3, "vehicle_ai_script_models" },
    { 0x64DFFE1403B29432, "vehicle_ai_spawn_funcs" },
    { 0xFE416C2C66359387, "vehicle_all_stop_func" },
    { 0x4CD5562040373359, "vehicle_allowplayerstandon" },
    { 0xB2D78295B07D9963, "vehicle_allowplayeruse" },
    { 0xB4917CD0DD7A9C04, "vehicle_allows_driver_death" },
    { 0x754D7F1F3FB6D8EC, "vehicle_allows_rider_death" },
    { 0xCC1F5F78C9EA7A93, "vehicle_animate" },
    { 0x6A6B78BEF8886C6E, "vehicle_anims" },
    { 0xCAE7FD6DE864CA46, "vehicle_badplace" },
    { 0xD749D07A828EB4AA, "vehicle_becomes_crashable" },
    { 0xA9DD7C0C8EC1DF69, "vehicle_breakglass" },
    { 0xCF6FF8B524F82511, "vehicle_bridge_stage_five_music" },
    { 0x7D22FE2E95E75B54, "vehicle_build" },
    { 0x1B502773ABCD76C5, "vehicle_builds" },
    { 0x072BC7E0EB5F5585, "vehicle_canturrettargetpoint" },
    { 0x69B177A1589D4045, "vehicle_caps" },
    { 0xB7C7730D3EB97B5E, "vehicle_caps_counter" },
    { 0x047ABC9A4B07FA2E, "vehicle_checkpiggybackexploit" },
    { 0x8C74460FCD93A2AC, "vehicle_checktrailvfx" },
    { 0xA1FEE282B2E550A3, "vehicle_cleanup_handler" },
    { 0x0648F88C241A5024, "vehicle_cleanupexitboundinginfo" },
    { 0x40E611F62F4E7691, "vehicle_cleardrivingstate" },
    { 0x5FFA61E690D76F8A, "vehicle_clearpreventcollisiondamagefortimeafterexit" },
    { 0x357F7699F9EF9B35, "vehicle_clearpreventplayercollisiondamagefortimeafterexit" },
    { 0x1AE29133C5ECACFC, "vehicle_collision" },
    { 0xD5054D4C5DD2AECE, "vehicle_collision_dvarinit" },
    { 0x7B7081C9A10D631D, "vehicle_collision_dvarupdate" },
    { 0xC9CB410D76F2FDED, "vehicle_collision_getdamagefactor" },
    { 0xDEA2B291EC055E19, "vehicle_collision_getdamagepercentandburndown" },
    { 0xF9967F23B1A47B79, "vehicle_collision_geteventdata" },
    { 0x1F0F88D25ACCBAAB, "vehicle_collision_getignoreevent" },
    { 0xFC7AE8EAD93F3F63, "vehicle_collision_getleveldata" },
    { 0xEC88873034DEBA6A, "vehicle_collision_getleveldataforvehicle" },
    { 0xD0A83CBD03A23015, "vehicle_collision_handleevent" },
    { 0x7938C573714E75D8, "vehicle_collision_handlemultievent" },
    { 0xB944C6FE262CEB68, "vehicle_collision_ignorefutureevent" },
    { 0x3616D5DE6B62A70F, "vehicle_collision_ignorefuturemultievent" },
    { 0xBE51B645DF0FABE7, "vehicle_collision_init" },
    { 0x6C899D5E3907A90F, "vehicle_collision_loadtable" },
    { 0xA105A424D80C2753, "vehicle_collision_loadtablecell" },
    { 0x2BCD4767A4B7994C, "vehicle_collision_registerevent" },
    { 0x25F9D741F5AFA8F5, "vehicle_collision_registereventinternal" },
    { 0xE85C5C4277586C47, "vehicle_collision_takedamage" },
    { 0x2595CC886FF56218, "vehicle_collision_update" },
    { 0xFFB961821EF93263, "vehicle_collision_updateinstance" },
    { 0xB07A46FE65B02290, "vehicle_collision_updateinstanceend" },
    { 0x1913672C90AF30B6, "vehicle_compass_br_shouldbevisibletoplayer" },
    { 0x56D2A9F791D5E839, "vehicle_compass_cp_init" },
    { 0xBCB602704C1A0DDD, "vehicle_compass_cp_shouldbevisibletoplayer" },
    { 0x78A9E5265F69010C, "vehicle_compass_deregisterinstance" },
    { 0x51D4DE6EC750C51B, "vehicle_compass_friendlystatuschangedcallback" },
    { 0x842A6A46B3206583, "vehicle_compass_getleveldata" },
    { 0x6E2C7723F752E291, "vehicle_compass_hide" },
    { 0xFFA733B6FE6064DB, "vehicle_compass_infect_shouldbevisibletoplayer" },
    { 0x044FCD0789604807, "vehicle_compass_init" },
    { 0x5F8E51D577693DD2, "vehicle_compass_instanceisregistered" },
    { 0x86165BE29A63CE1F, "vehicle_compass_mp_init" },
    { 0x9A260BDD9506F723, "vehicle_compass_mp_shouldbevisibletoplayer" },
    { 0x1AD8FCFE21F2B537, "vehicle_compass_playerjoinedteamcallback" },
    { 0x03D32F162F90FAFD, "vehicle_compass_playerspawnedcallback" },
    { 0x7BB2895CB0B1F44F, "vehicle_compass_registerinstance" },
    { 0x491F7A75FF570560, "vehicle_compass_setplayerfriendlyto" },
    { 0x0D56495B419A40E0, "vehicle_compass_setteamfriendlyto" },
    { 0x49641B3AE70D5D1B, "vehicle_compass_shouldbevisibletoplayer" },
    { 0xC134B37F98FB0740, "vehicle_compass_show" },
    { 0xD11F09DF70886CE3, "vehicle_compass_updateallvisibilityforplayer" },
    { 0xC153FF249C37106C, "vehicle_compass_updatevisibilityforallplayers" },
    { 0x30AAD6901993D15A, "vehicle_compass_updatevisibilityforplayer" },
    { 0x4B3D8C15F71958C9, "vehicle_controlling" },
    { 0xF02E3E01B670D494, "vehicle_cp_create" },
    { 0x56ABADD6C9293AB8, "vehicle_cp_createlate" },
    { 0xA148307FF3EF62F3, "vehicle_cp_deletenextframe" },
    { 0x06336F233CF61A2F, "vehicle_cp_deletenextframelate" },
    { 0x63FC26FE98F0C8B2, "vehicle_cp_init" },
    { 0x8E9B6D3952F7FB90, "vehicle_create" },
    { 0xC4C9BB1371C8602F, "vehicle_createhealthbar" },
    { 0x9705B35B77D6E14C, "vehicle_createlate" },
    { 0x2D9656FF15E65E2E, "vehicle_createspawnselectionlittlebirdmarker" },
    { 0x3F74AA3E5679786D, "vehicle_createspawnselectiontankmarker" },
    { 0xBF0AB41AA3460AE5, "vehicle_damage_applytabletovehicle" },
    { 0x043501B31B2EF522, "vehicle_damage_beginburndown" },
    { 0xA91028D6ACA3B4C9, "vehicle_damage_cleareventlog" },
    { 0x133ED753B66F72A6, "vehicle_damage_cleareventlogatframeend" },
    { 0xD08DECEEF66716A0, "vehicle_damage_clearvisuals" },
    { 0x2B416DCF05A6A844, "vehicle_damage_cp_init" },
    { 0x247DF960A53E311A, "vehicle_damage_deregisterdefaultvisuals" },
    { 0x9C6F4E16B9614007, "vehicle_damage_deregisterinstance" },
    { 0xE8C1367FF0568272, "vehicle_damage_deregistervisualpercentcallback" },
    { 0x57B05B7F64C55CD4, "vehicle_damage_disablestatedamagefloor" },
    { 0x8317D1D4516CEF34, "vehicle_damage_dovisuals" },
    { 0xF74E1046F415703D, "vehicle_damage_enableownerdamage" },
    { 0xA044CDAF1305D54A, "vehicle_damage_endburndown" },
    { 0x786BB6085CEA875B, "vehicle_damage_enginevisualcallback" },
    { 0xF36AE855BF3278BE, "vehicle_damage_enginevisualclearcallback" },
    { 0x1B8204B6F2EA390E, "vehicle_damage_getburndowntime" },
    { 0xDB0C5C6BC92747B3, "vehicle_damage_getheavystatehealthadd" },
    { 0xEEC1D97A98ED7FAA, "vehicle_damage_getheavystatemaxhealth" },
    { 0xB61F335DE4559F90, "vehicle_damage_getinstancedataforvehicle" },
    { 0xA1229AD4814A1890, "vehicle_damage_getleveldata" },
    { 0x3FB7B032A71653D3, "vehicle_damage_getleveldatafordamagestate" },
    { 0x8DE13F10A2607065, "vehicle_damage_getleveldataforvehicle" },
    { 0x3A6B124093A2925A, "vehicle_damage_getmaxhealth" },
    { 0x03923946D6329413, "vehicle_damage_getmediumstatehealthratio" },
    { 0x9B9235B52D11B2EC, "vehicle_damage_getpristinestatehealthadd" },
    { 0x3BDDAD9D20454D97, "vehicle_damage_getpristinestateminhealth" },
    { 0x0B6F27F49C61D9DF, "vehicle_damage_getstate" },
    { 0x8447306310928ADC, "vehicle_damage_giveaward" },
    { 0x212074CF98AA84B3, "vehicle_damage_givescore" },
    { 0xC2B06928035566AC, "vehicle_damage_givescoreandxp" },
    { 0x2CF0F0B7B23BDFB7, "vehicle_damage_givescoreandxpatframeend" },
    { 0x7F3A6EC37C0DADDA, "vehicle_damage_heavyvisualcallback" },
    { 0x3ECDA092EFCA0721, "vehicle_damage_heavyvisualclearcallback" },
    { 0x249A6F732C33C064, "vehicle_damage_init" },
    { 0x3AA302A3338B5783, "vehicle_damage_initdebug" },
    { 0x31F4DA55C02E4A54, "vehicle_damage_inithitdamage" },
    { 0x6091C8C42244B001, "vehicle_damage_inithitdamage_br" },
    { 0x4EF0783055237C59, "vehicle_damage_initmoddamage" },
    { 0x0BE4CC6A6442B1ED, "vehicle_damage_isburningdown" },
    { 0x591402793D159E29, "vehicle_damage_isownerdamageenabled" },
    { 0x4C38E7FE344D4D75, "vehicle_damage_isselfdamage" },
    { 0x5DF63989C799BEBE, "vehicle_damage_keepturretalive" },
    { 0xB8AF445F34275BBB, "vehicle_damage_keepturretaliveend" },
    { 0x16BD2FC28DAB9071, "vehicle_damage_lightvisualcallback" },
    { 0xFDE506C3AEF90A28, "vehicle_damage_lightvisualclearcallback" },
    { 0x5DC5C245BB4DC392, "vehicle_damage_loadtable" },
    { 0x5E2B1C8C6AE1E7C2, "vehicle_damage_loadtablecell" },
    { 0x4D2864B4DC7F554C, "vehicle_damage_logevent" },
    { 0x41FB95CE80A2CA9A, "vehicle_damage_mediumvisualcallback" },
    { 0x656722F4D46911E1, "vehicle_damage_mediumvisualclearcallback" },
    { 0xCB0738DCCC5A6400, "vehicle_damage_monitor" },
    { 0x805890DB36970F9E, "vehicle_damage_mp_init" },
    { 0x02B2C17B682AE077, "vehicle_damage_ondeathscore" },
    { 0xFF3A5E53ABA93BAB, "vehicle_damage_onenterstateheavy" },
    { 0x67355E7C74604B47, "vehicle_damage_onenterstateheavyscore" },
    { 0x2863BD7C68443BB8, "vehicle_damage_onenterstatelight" },
    { 0xA5D37ABDAF9C877B, "vehicle_damage_onenterstatemedium" },
    { 0xFFB8EB6C7C398837, "vehicle_damage_onexitstateheavy" },
    { 0x9B7C04C7FBB6EF0C, "vehicle_damage_onexitstatelight" },
    { 0xA40133863FF11127, "vehicle_damage_onexitstatemedium" },
    { 0xF60BEB5CE981E8DC, "vehicle_damage_referevent" },
    { 0x17B028B83F2FDA12, "vehicle_damage_registerdefaultstates" },
    { 0x1C54183E458C4CBD, "vehicle_damage_registerdefaultvisuals" },
    { 0x9153F94B03360E04, "vehicle_damage_registerinstance" },
    { 0xB0B70F6CEC2DDB33, "vehicle_damage_registervisualpercentcallback" },
    { 0xC0DE3C602E48623D, "vehicle_damage_setcandamage" },
    { 0xF51C8518A71C001F, "vehicle_damage_setdeathcallback" },
    { 0x72E91C45E9BA272B, "vehicle_damage_setperkmoddamage" },
    { 0x524E29F28BE070EE, "vehicle_damage_setpostmoddamagecallback" },
    { 0xC8B7349E7B3DB453, "vehicle_damage_setpremoddamagecallback" },
    { 0xFB172FC90FA50F5B, "vehicle_damage_setstate" },
    { 0xEC5869B370AEC15A, "vehicle_damage_setvehiclehitdamagedata" },
    { 0xA67B0F2A817F9FE5, "vehicle_damage_setvehiclehitdamagedataforweapon" },
    { 0xE3A6314922E0EDAE, "vehicle_damage_setweaponclassmoddamageforvehicle" },
    { 0x673A5F1C1CAF0C46, "vehicle_damage_setweaponhitdamagedata" },
    { 0x13F58B4B9C4BDAE7, "vehicle_damage_setweaponhitdamagedataforvehicle" },
    { 0x6265B080BCB17443, "vehicle_damage_shouldskipburndown" },
    { 0x85BB1EEFDC5791C8, "vehicle_damage_updatestate" },
    { 0xE097D54A3F6E3BA5, "vehicle_damage_updatestate_br" },
    { 0xAC0ED5905005111A, "vehicle_damage_updatestatemaxhealthvalues" },
    { 0xF22352D3280BAFAE, "vehicle_damage_visualstopwatchingspeedchange" },
    { 0x25DB22B65B930104, "vehicle_damage_visualwatchspeedchange" },
    { 0xF9501CFCF96142CC, "vehicle_damage_watchturretselfdamage" },
    { 0x5539B43A19AB79A1, "vehicle_damagelogic" },
    { 0xBCFB3765DFD0F046, "vehicle_death" },
    { 0x3AC544294406E7C8, "vehicle_death_custom" },
    { 0xBE60E9072C7C3B8D, "vehicle_death_fx" },
    { 0x282F8CEFEB6CB4B6, "vehicle_death_ragdoll" },
    { 0xE8A851B2A295B3CD, "vehicle_death_watcher" },
    { 0x04BB8C58429A8FD6, "vehicle_deathcleanup" },
    { 0x519BC87B24CA7D49, "vehicle_deathcustomlogic" },
    { 0x96F003685C41323B, "vehicle_deathearthquake" },
    { 0x8E8A796AFD032848, "vehicle_deathflag" },
    { 0x7961D88629B02149, "vehicle_deathjolt" },
    { 0x67D2A9918F6C0227, "vehicle_deathkilllights" },
    { 0x6ECFB75049F99A54, "vehicle_deathlogic" },
    { 0xF21DD364044BF355, "vehicle_deathradiusdamage" },
    { 0x0F788E0824D5F44E, "vehicle_deathvfx" },
    { 0x88A136EE7698660C, "vehicle_deletecollmapvehicles" },
    { 0x107F28FCC9C6641F, "vehicle_deletenextframe" },
    { 0x15F1AC9B46CE00D3, "vehicle_deletenextframelate" },
    { 0xAE4B151262A707DB, "vehicle_deregister_on_death" },
    { 0xCAAACE643C59975C, "vehicle_deregisterturret" },
    { 0x0674728929DB2B68, "vehicle_detachfrompath" },
    { 0x429F5C8A057797B8, "vehicle_disable_navobstacles" },
    { 0x1862D1216DA9DC25, "vehicle_disable_navrepulsors" },
    { 0xF77656A08E700D95, "vehicle_dismount" },
    { 0xB58498B7AEF1968E, "vehicle_dismount_watcher" },
    { 0xCB5127198248B441, "vehicle_dlog_enterevent" },
    { 0xCBF8FF71DEB0D1E5, "vehicle_dlog_exitevent" },
    { 0x8CE286E56E7A75CE, "vehicle_dlog_getinstancedata" },
    { 0xA2E10814E8D8AE09, "vehicle_dlog_getleveldata" },
    { 0x23896544F4585F7F, "vehicle_dlog_getuniqueid" },
    { 0x80D81D3FAD482271, "vehicle_dlog_init" },
    { 0x4A8D0F0A92A1B0FE, "vehicle_dlog_spawnevent" },
    { 0xA123E5A3B4041946, "vehicle_docollisiondamage" },
    { 0x922A64C975B065EA, "vehicle_docollisiondamagetoplayer" },
    { 0x5683A3B52DBEA3F0, "vehicle_docrash" },
    { 0x5C0E0687DFFA9DD7, "vehicle_door_interaction" },
    { 0xBAD5378B67B1F0D0, "vehicle_dospawn" },
    { 0x82CED72443AF3A56, "vehicle_dynamicpath" },
    { 0xAF7796EDF12885F8, "vehicle_empclearcallback" },
    { 0xE3EFE977525B0891, "vehicle_empstartcallback" },
    { 0x07622D9FE6D989A9, "vehicle_enable_navobstacles" },
    { 0x08138DB52CD31494, "vehicle_enable_navrepulsors" },
    { 0x89F5A578229472DD, "vehicle_end_loop_sounds" },
    { 0xD6D981CE87A8683A, "vehicle_findnextcrashpath" },
    { 0x12C7A56DCF28EFC2, "vehicle_finishdamage" },
    { 0xE674DBD93E6B4719, "vehicle_fired_from" },
    { 0x9E024EC8719F116A, "vehicle_flippedendcallback" },
    { 0x25338D3CD1079C2C, "vehicle_fob_think" },
    { 0x82088EAF5E8A44E2, "vehicle_follow_parent" },
    { 0xDDB142EFCD48C6BB, "vehicle_forcerocketdeath" },
    { 0x37D4397C6512DEDB, "vehicle_freehealthbarui" },
    { 0xA8768563B2640A29, "vehicle_gdt" },
    { 0x4E1DE90479D1DF18, "vehicle_get_path_array" },
    { 0x941B56F134050844, "vehicle_get_riders_by_group" },
    { 0x762D429C4012715D, "vehicle_getangularvelocity" },
    { 0x5C10A2C94CBBCF9F, "vehicle_getanimstart" },
    { 0x276093684C8DE69D, "vehicle_getarray" },
    { 0xBFC2C90DCBB3B194, "vehicle_getarrayinradius" },
    { 0x4F630AFCAC629967, "vehicle_getbodyvelocity" },
    { 0x40370BA68724709F, "vehicle_getcameraforseat" },
    { 0xE8AF6F5E46491290, "vehicle_getdeathanimation" },
    { 0x0B9C4710DB4B285E, "vehicle_getdriver" },
    { 0x88F180B932DF4312, "vehicle_gethealthbarid" },
    { 0x0357514C17DF7A46, "vehicle_getinanim" },
    { 0x7DBCD25148608C04, "vehicle_getinanim_clear" },
    { 0xBB31CA9C547B5EDD, "vehicle_getinputvalue" },
    { 0x290AA18109DBAD26, "vehicle_getinsound" },
    { 0xA530A129C7D00C16, "vehicle_getinsoundtag" },
    { 0xAF309FF6943685F5, "vehicle_getinstart" },
    { 0x6C2FFBBE0CCBA9C7, "vehicle_getleveldataforvehicle" },
    { 0xCCD52C218A7FF7A9, "vehicle_getoutanim" },
    { 0x6392941767F0CA0B, "vehicle_getoutanim_clear" },
    { 0x67C7497D104D9F6E, "vehicle_getoutanim_combat" },
    { 0xADC4747034873AAC, "vehicle_getoutanim_combat_clear" },
    { 0xE257B6AD8A7C5144, "vehicle_getoutanim_combat_run" },
    { 0x58395CD4EA71A836, "vehicle_getoutanim_combat_run_clear" },
    { 0xEC3942ABDA2D82BB, "vehicle_getoutsound" },
    { 0x9004E38B4FFC6329, "vehicle_getoutsoundtag" },
    { 0x4B80355F5E611F59, "vehicle_getspawnerarray" },
    { 0x1A1C561484138DAB, "vehicle_getspeed" },
    { 0x07B2EBDFABE68E2F, "vehicle_getsteering" },
    { 0xD45FA92640AD8F8F, "vehicle_getteamfriendlyto" },
    { 0x1B0DA956676F4AA4, "vehicle_getthrottle" },
    { 0xC66AD5B2401442AB, "vehicle_gettopspeedforward" },
    { 0xD65AA22531EF21B8, "vehicle_gettopspeedreverse" },
    { 0x889B66E4E6A694C1, "vehicle_gettopspeedrotational" },
    { 0xE719D4E39D85F7F3, "vehicle_getturretbyweapon" },
    { 0x9270CE56B320192B, "vehicle_getturrets" },
    { 0x77E872854303A0B0, "vehicle_getvehicle" },
    { 0x2C64D3499D483F6D, "vehicle_getvehiclearray" },
    { 0xEEB34A6D644935D3, "vehicle_getvelocity" },
    { 0x99EA940EF14C6DAD, "vehicle_getvindiasmokegrenades" },
    { 0x12F8F07BCC06154E, "vehicle_handleflarefire" },
    { 0x9B4285E4A5711B87, "vehicle_handleflarerecharge" },
    { 0x68E9B8BAF0914E8F, "vehicle_handleunloadevent" },
    { 0x806E10B4548F6793, "vehicle_has_flare" },
    { 0xD1F9B205DCA6E5C4, "vehicle_hasavailablespots" },
    { 0x29A39C841A01A315, "vehicle_hasdeathanimations" },
    { 0xABCD4A577ED2E903, "vehicle_hasdustkickup" },
    { 0xEF2404D0FBA2076E, "vehicle_hasrocketdeath" },
    { 0x7F9978E8534C29D8, "vehicle_helicoptercrash" },
    { 0x16A7508E16388D02, "vehicle_helisetai" },
    { 0x0EBCE1E6BA9F4DCE, "vehicle_hit_event" },
    { 0xE3BDDF2AE9027C8E, "vehicle_idle" },
    { 0x6032691299099A6B, "vehicle_idle_override" },
    { 0x641003B12CC605F9, "vehicle_idling" },
    { 0x481EDB99D9D4B2AB, "vehicle_incomingcallback" },
    { 0x5F4A4765036E07BF, "vehicle_incomingremovedcallback" },
    { 0x39CDAB2B27BBED78, "vehicle_info" },
    { 0x399DB42B2787A506, "vehicle_init" },
    { 0x382D41C50AD60573, "vehicle_init_anims" },
    { 0x80EF04134E783788, "vehicle_initfx" },
    { 0x9ED7DC748613F84D, "vehicle_initlevelvariables" },
    { 0x8902F401A248D733, "vehicle_interact_allowuseobjectuse" },
    { 0x15A3FA92BC72CA0B, "vehicle_interact_allowvehicleuse" },
    { 0xFCA306BF2B8A2E30, "vehicle_interact_allowvehicleuseglobal" },
    { 0xFAF51677BE5CD18A, "vehicle_interact_cleanpoint" },
    { 0x0D2E203F5F6A5BBC, "vehicle_interact_cleanvehicle" },
    { 0x2A4703B7F4F2D9C7, "vehicle_interact_cp_init" },
    { 0xD6DC25A0539EE602, "vehicle_interact_deregisterinstance" },
    { 0xE50C901692505FB6, "vehicle_interact_getinstancedata" },
    { 0x3F0004FAE29FD5B9, "vehicle_interact_getinstancedataforpoint" },
    { 0xA27A4FD2E817C5D7, "vehicle_interact_getinstancedataforvehicle" },
    { 0xF7FE762D26B40451, "vehicle_interact_getleveldata" },
    { 0x0A88CC2A3494F81C, "vehicle_interact_getleveldataforvehicle" },
    { 0x82B767A47844669F, "vehicle_interact_getmaxmovespeedsqr" },
    { 0x8DF2F9866AAC18A8, "vehicle_interact_getonusecallback" },
    { 0xF0288A61D5D656F0, "vehicle_interact_getuniqueinstanceid" },
    { 0xD3416517298FB271, "vehicle_interact_getusableseats" },
    { 0x6014BC269C756FD7, "vehicle_interact_getuseobject" },
    { 0xAF07450B9AD85D53, "vehicle_interact_getvehicleavailableteam" },
    { 0xCF5B96756038E6A9, "vehicle_interact_init" },
    { 0x88E238753BC69900, "vehicle_interact_initdev" },
    { 0x45EFB3A2AB337994, "vehicle_interact_instanceisregistered" },
    { 0xC7BAB2C24241C766, "vehicle_interact_makeunusable" },
    { 0x66ED07A98CA829B1, "vehicle_interact_makeusable" },
    { 0x9DAAF5AD256550E4, "vehicle_interact_monitorplayerusability" },
    { 0x6839305AE32D4E91, "vehicle_interact_mp_init" },
    { 0xCA21F7B66F951C8D, "vehicle_interact_onuse" },
    { 0xBA39A10D685857D5, "vehicle_interact_playercanuse_full" },
    { 0xBF288B3CDD38B04C, "vehicle_interact_playercanuse_visibility" },
    { 0xD6BDBE314E3C4815, "vehicle_interact_playercanusevehicle" },
    { 0x7F91AC6F0E933852, "vehicle_interact_playercanusevehicles" },
    { 0x166602CE6105ABF6, "vehicle_interact_playerusevehiclefullcheck" },
    { 0x6BA3E8AA1B56B0CB, "vehicle_interact_pointavailableseat" },
    { 0xB9E6EFE8B0855A7B, "vehicle_interact_pointcanbeused" },
    { 0xB8E707B5BD1A042B, "vehicle_interact_pointisdisabled" },
    { 0x81FC6DEDE8B09E75, "vehicle_interact_purgeinstancedata" },
    { 0x2A1551FA354EE17D, "vehicle_interact_registerinstance" },
    { 0x78F26D053B161628, "vehicle_interact_scriptable_used" },
    { 0xA5BD32C542BEF9B5, "vehicle_interact_scriptableused" },
    { 0x2DB6E7F23A12C93F, "vehicle_interact_setcallbacks" },
    { 0xAADE8E90C4FD7DAF, "vehicle_interact_setpointdirty" },
    { 0x59A5CE6C36BC5E06, "vehicle_interact_setpointsdirty" },
    { 0x9E2EF32F02EB0216, "vehicle_interact_setteamonly" },
    { 0xC4A61596895331FD, "vehicle_interact_setusableseats" },
    { 0xC74BFA0634F1EAA5, "vehicle_interact_setvehicledirty" },
    { 0x19DC55AA2161384F, "vehicle_interact_update_usability" },
    { 0x1CFFD7481A2D7AA3, "vehicle_interact_updateplayerusability" },
    { 0x958D70330870AB04, "vehicle_interact_updateusability" },
    { 0xEE1CEED265030539, "vehicle_interact_usedcallback" },
    { 0x15297C38FD6B6885, "vehicle_interact_useobjectcanbeused" },
    { 0x5D315A1F131FCDB2, "vehicle_interact_useupdatevehicles" },
    { 0x174EE85B77BD69B5, "vehicle_interact_vehiclecanbeused" },
    { 0x79FD6176695A5859, "vehicle_interaction_info" },
    { 0x7653C7FE15324935, "vehicle_interactions" },
    { 0x5DE5FE81D68365DE, "vehicle_invalid_seats" },
    { 0x3416A299E32A8B11, "vehicle_invoketriggers" },
    { 0xB42AEFCEB5128C57, "vehicle_is_ambient" },
    { 0xFE33B347F6BE2594, "vehicle_is_crashing" },
    { 0xC027791B4DCB467A, "vehicle_is_falling_behind_vehicle_to_follow" },
    { 0x2384785F14B419CA, "vehicle_is_stopped" },
    { 0xC5FF1EF3E0BB00CD, "vehicle_is_too_far_ahead" },
    { 0xB008F532EE4A197D, "vehicle_isalive" },
    { 0x942AE3708552F580, "vehicle_iscorpse" },
    { 0x80AA5BDD275DF081, "vehicle_iscrashing" },
    { 0xBE66FAEB6A65E0C2, "vehicle_isdestructible" },
    { 0x1D77BA9212E10214, "vehicle_isenemytoplayer" },
    { 0xD828B6B178107198, "vehicle_isenemytoteam" },
    { 0xE1A65572D6B036A7, "vehicle_isfriendlytoplayer" },
    { 0x96EEA1369B644717, "vehicle_isfriendlytoteam" },
    { 0xD6FF4C84D042D02F, "vehicle_isneutraltoplayer" },
    { 0x2589DF69DCBF69AF, "vehicle_isneutraltoteam" },
    { 0xFFF2AFFEC96572EE, "vehicle_isonground" },
    { 0x2F0E685BD37C709B, "vehicle_isphysveh" },
    { 0x96276C54B25BD190, "vehicle_jolt_watcher" },
    { 0xDEA1B251100B59F5, "vehicle_keeps_going_after_driver_dies" },
    { 0x0F564FF88E6210BF, "vehicle_kill_badplace_forever" },
    { 0xFBBD829FE75C5940, "vehicle_kill_rumble_forever" },
    { 0x72F62DE0598324C5, "vehicle_killriders" },
    { 0x6F74DEB626BFE4F1, "vehicle_land" },
    { 0xD1A8C91C7523592D, "vehicle_landanims" },
    { 0x66C659B209D5E593, "vehicle_landvehicle" },
    { 0x332A38A240C810F6, "vehicle_lerpovertime" },
    { 0x6D9F59CA581FE676, "vehicle_liftoff" },
    { 0x49B2B658D5C7117A, "vehicle_liftoffvehicle" },
    { 0x727E50A201ED4C01, "vehicle_lights" },
    { 0x87C8A2E5CD7437ED, "vehicle_lights_group" },
    { 0xC39D43E52CC9A0B6, "vehicle_lights_group_override" },
    { 0x0C7C3575361ADA01, "vehicle_lights_manager" },
    { 0x36ECD5F5AB58DF77, "vehicle_lights_off" },
    { 0xDD130041EA060033, "vehicle_lights_on" },
    { 0x133A2EED20BB8D54, "vehicle_linked_ent_clean_up_think" },
    { 0xEEC788A9ED30FCAF, "vehicle_load_ai" },
    { 0x8EFD0479CDF25C67, "vehicle_loaded_if_full" },
    { 0x4859F53723072421, "vehicle_loaded_notify_size" },
    { 0xA0CEF8C2DA61ED9C, "vehicle_lockedoncallback" },
    { 0x27EC849501B717F2, "vehicle_lockedonremovedcallback" },
    { 0xD3A5E37089877CCA, "vehicle_logic" },
    { 0x55EC9EB6154F5E5A, "vehicle_loop" },
    { 0x4D11A4C72A33B762, "vehicle_maketurretsunusable" },
    { 0x0BEDDFF8C83B8D23, "vehicle_mines_getleveldata" },
    { 0xB5132061DE5C5B75, "vehicle_mines_getleveldataformine" },
    { 0xCB0385740745F52A, "vehicle_mines_getleveldataforvehicle" },
    { 0x1F0355481836C887, "vehicle_mines_getloscheckcontents" },
    { 0xDE1B89E08AAAEA12, "vehicle_mines_getnormal2d" },
    { 0x88715407180C8DA7, "vehicle_mines_init" },
    { 0x04173B969A709AE4, "vehicle_mines_isfriendlytomine" },
    { 0x7C859A80D19B8362, "vehicle_mines_minetrigger" },
    { 0x53EA252B3BEE6FFF, "vehicle_mines_mp_init" },
    { 0xDD8BD22C2990391A, "vehicle_mines_mp_minetrigger" },
    { 0xD7CC5D39EB95E4F9, "vehicle_mines_shouldvehicletriggermine" },
    { 0xA0347008F5DD1041, "vehicle_mount" },
    { 0x9C1401DBAE022ECE, "vehicle_mp_create" },
    { 0x75BB606332974992, "vehicle_mp_createlate" },
    { 0xF925E9A3D1227E95, "vehicle_mp_deletenextframe" },
    { 0x89027A22E3FF9251, "vehicle_mp_deletenextframelate" },
    { 0x589142ED98D3CBB0, "vehicle_mp_init" },
    { 0xCA636D5C87690CF4, "vehicle_nav_repulsor" },
    { 0x3A502278D8A736B0, "vehicle_navobstacle" },
    { 0x4C9EF2A8DD45DFFF, "vehicle_navrepulsor" },
    { 0xDB2B9BA30E459139, "vehicle_nodegetcrashpaths" },
    { 0x8CA339A5C165E450, "vehicle_notifyonstop" },
    { 0x1A5433FE88659E16, "vehicle_occupancy_allowmovement" },
    { 0x4731CBA5D4AF45DF, "vehicle_occupancy_allowmovementplayer" },
    { 0x08FB280B09A95775, "vehicle_occupancy_allowsentient" },
    { 0xC6A8E6280E3602A4, "vehicle_occupancy_allowspawninto" },
    { 0x93091A4E478432AC, "vehicle_occupancy_animateplayer" },
    { 0x3AE5D418D2522068, "vehicle_occupancy_animtagtoexittag" },
    { 0x60A7E4E94C2DC5BF, "vehicle_occupancy_applycameratooccupant" },
    { 0x33ACD6F8DCA61688, "vehicle_occupancy_applydamagemodifiertooccupant" },
    { 0x8F95E2927CCD3F73, "vehicle_occupancy_applyrestrictionstooccupant" },
    { 0xEB0CF072CA7E9F0E, "vehicle_occupancy_assignseatcorpse" },
    { 0x26357FD5343B80A5, "vehicle_occupancy_canspawninto" },
    { 0x4A822A166D71AA91, "vehicle_occupancy_checkvalidanimtype" },
    { 0xA7E061E8F3E395D6, "vehicle_occupancy_cleanfriendlystatus" },
    { 0x6FADAEF71813EEB1, "vehicle_occupancy_clearallowmovement" },
    { 0xD31043A3D117351C, "vehicle_occupancy_clearallowmovementplayer" },
    { 0xDBF36FC477314179, "vehicle_occupancy_cleardamagefeedbackforplayer" },
    { 0x2979D395A825E3D5, "vehicle_occupancy_cleardisablefirefortime" },
    { 0xE34774B8A4C31642, "vehicle_occupancy_clearforceweaponswitchallowed" },
    { 0xA0452F739F86538D, "vehicle_occupancy_clearheavydamagefeedbackplayer" },
    { 0x4CFFE11771A33C56, "vehicle_occupancy_clearlightdamagefeedbackplayer" },
    { 0x14D4AAB74D3FF39E, "vehicle_occupancy_clearowner" },
    { 0x134A6ACBB1F6A84E, "vehicle_occupancy_clearseatcorpse" },
    { 0x500FE53824EE7E08, "vehicle_occupancy_cp_giveriotshield" },
    { 0xC48486229F0BFF41, "vehicle_occupancy_cp_handlesuicidefromvehicles" },
    { 0x2D77370FA1D6CC68, "vehicle_occupancy_cp_init" },
    { 0x9BF860A722886FB5, "vehicle_occupancy_cp_onentervehicle" },
    { 0x407BE061F60CA879, "vehicle_occupancy_cp_onexitvehicle" },
    { 0x2C120FEED73EEC5A, "vehicle_occupancy_cp_takeriotshield" },
    { 0x9E1C0184C7FE7B48, "vehicle_occupancy_cp_updateriotshield" },
    { 0x4DABBDEE496B2F2E, "vehicle_occupancy_damagemodifierignorefunc" },
    { 0xD233A24FDDECB0F4, "vehicle_occupancy_deleteseatcorpse" },
    { 0x343E7CA50F8838E5, "vehicle_occupancy_deleteseatcorpses" },
    { 0x133B7EF98639A5FB, "vehicle_occupancy_deregisterinstance" },
    { 0xFE7B7DAA3A20BFDA, "vehicle_occupancy_deregisterturret" },
    { 0xCBA132EECD416424, "vehicle_occupancy_disablefirefortime" },
    { 0xC9389920E5BF1FEE, "vehicle_occupancy_ejectalloccupants" },
    { 0x2DA6DA736259C484, "vehicle_occupancy_enter" },
    { 0x126577B142D963D9, "vehicle_occupancy_enterend" },
    { 0xB0D6208AB3168D48, "vehicle_occupancy_enterstart" },
    { 0x4C7BA55880074D33, "vehicle_occupancy_errormessage" },
    { 0x0C7B32804CB2E2CA, "vehicle_occupancy_exit" },
    { 0xF7A6CA1B412383D7, "vehicle_occupancy_exitend" },
    { 0x6EABEAA0691631F2, "vehicle_occupancy_exitstart" },
    { 0xCB12613706FCAF45, "vehicle_occupancy_exitstartcallback" },
    { 0x5345452AE616805A, "vehicle_occupancy_fadeoutcontrols" },
    { 0x4AA930B9D4B92E60, "vehicle_occupancy_findplayerexit" },
    { 0x68C42D8B59AAE1A7, "vehicle_occupancy_forceweaponswitchallowed" },
    { 0x10629C476E9FD4C6, "vehicle_occupancy_friendlystatuschangedcallback" },
    { 0x30A7CE04541A6179, "vehicle_occupancy_generateseatswitcharray" },
    { 0xFA9AEC3A95BE3BD3, "vehicle_occupancy_getalloccupants" },
    { 0xD3A94CD07A2AB427, "vehicle_occupancy_getalloccupantsandreserving" },
    { 0x23E3DA0FE41E19F7, "vehicle_occupancy_getallvehicleseats" },
    { 0x2E9A966546344FB1, "vehicle_occupancy_getanimbasename" },
    { 0x30ADBC90074721AF, "vehicle_occupancy_getavailablevehicleseats" },
    { 0xE10ADFB49EA6F93B, "vehicle_occupancy_getcombatcabpassengerrestrictions" },
    { 0xAB7800D9F0F84695, "vehicle_occupancy_getcombatpassengerrestrictions" },
    { 0x0BB1E27981085BDC, "vehicle_occupancy_getdamagemodifierforseat" },
    { 0x272A413A879A9A00, "vehicle_occupancy_getdriver" },
    { 0xE6A2C4C6678B8AC7, "vehicle_occupancy_getdriverrestrictions" },
    { 0xB32632C699F4FD31, "vehicle_occupancy_getdriverseat" },
    { 0xCB32CA7DF640C8B8, "vehicle_occupancy_getenterendcallbackforseat" },
    { 0x203071BFF12808AF, "vehicle_occupancy_getenterstartcallbackforseat" },
    { 0x9EA037DB3F50C50A, "vehicle_occupancy_getexitangles" },
    { 0x413F9822DCAEF9DA, "vehicle_occupancy_getexitboundinginfo" },
    { 0x2590C347E912FCDB, "vehicle_occupancy_getexitcastcontents" },
    { 0x1B78EB5673FDC8C3, "vehicle_occupancy_getexitcastignorelist" },
    { 0x129552177ED0BD6A, "vehicle_occupancy_getexitendcallbackforseat" },
    { 0xDF8447C2B03F1771, "vehicle_occupancy_getexitposition" },
    { 0x8B3B7D5A2ADA3C9E, "vehicle_occupancy_getexitpositionandangles" },
    { 0xA50C98A3EA27AB4D, "vehicle_occupancy_getexitstartcallbackforseat" },
    { 0xDB1DA1D0745F5AF0, "vehicle_occupancy_getfallbackexitpositionandangles" },
    { 0x5CC064CFFC5715C4, "vehicle_occupancy_getleveldata" },
    { 0x4FE6EB2AD3D4E632, "vehicle_occupancy_getleveldataforseat" },
    { 0x8CC4DF165A2B0349, "vehicle_occupancy_getleveldataforvehicle" },
    { 0xABD5CE8347FFCA0F, "vehicle_occupancy_getnextavailableseat" },
    { 0x672C6B8EE5DE3DC2, "vehicle_occupancy_getoccupantrestrictions" },
    { 0x16FF29551CDCB5B0, "vehicle_occupancy_getoccupantseat" },
    { 0x824B5A7647C24646, "vehicle_occupancy_getpassivepassengerrestrictions" },
    { 0x4931B77ED884363D, "vehicle_occupancy_getplayerfriendlyto" },
    { 0x8293C806A3D80BF6, "vehicle_occupancy_getreentercallbackforseat" },
    { 0x0EF9C3181AE86985, "vehicle_occupancy_getreserving" },
    { 0xEC8EA6B6E7C8E1ED, "vehicle_occupancy_getrestrictionsforseat" },
    { 0x9898EE4C1076EB98, "vehicle_occupancy_getseatoccupant" },
    { 0xC96DF3E81D6C004D, "vehicle_occupancy_getteamfriendlyto" },
    { 0x2D5D18C892EF7E31, "vehicle_occupancy_getturretbyweapon" },
    { 0x1726274130C952E7, "vehicle_occupancy_getturretpassengerrestrictions" },
    { 0x1DE4609804C032F1, "vehicle_occupancy_getturrets" },
    { 0x6A200B71C579D658, "vehicle_occupancy_giveriotshield" },
    { 0xE51DAEB6F4FC8F75, "vehicle_occupancy_givetaketurrettimeout" },
    { 0x909771A016964215, "vehicle_occupancy_giveturret" },
    { 0xB52E84CCE0E44F0E, "vehicle_occupancy_handleplayerbc" },
    { 0x73E8716D55245FBF, "vehicle_occupancy_heavydamagefeedbackforplayer" },
    { 0x0FD8B48B7546CDC1, "vehicle_occupancy_hidecashbag" },
    { 0x16392F52A6B37571, "vehicle_occupancy_hideoccupant" },
    { 0x1E004CE173549D58, "vehicle_occupancy_init" },
    { 0xCBB2CCDAFE44FE2F, "vehicle_occupancy_initdebug" },
    { 0xC2C30A8817903759, "vehicle_occupancy_instanceisregistered" },
    { 0x4ACE32DCBC775399, "vehicle_occupancy_isdriverseat" },
    { 0x6A0E0C497CFAFE4E, "vehicle_occupancy_isenemytoplayer" },
    { 0x21EA3954391D2BCE, "vehicle_occupancy_isenemytoteam" },
    { 0xAC3B7599DDEA01ED, "vehicle_occupancy_isfriendlytoplayer" },
    { 0xD3A56B1C11927241, "vehicle_occupancy_isfriendlytoteam" },
    { 0xEB78D5A664759E95, "vehicle_occupancy_isneutraltoplayer" },
    { 0x6440D993AF328DB9, "vehicle_occupancy_isneutraltoteam" },
    { 0x2A135E63364D972E, "vehicle_occupancy_isplayervalidowner" },
    { 0x47A2E426A5F9A38C, "vehicle_occupancy_issentient" },
    { 0xC17017D3088CEA72, "vehicle_occupancy_killoccupants" },
    { 0x08126526255AFB26, "vehicle_occupancy_lightdamagefeedbackforplayer" },
    { 0x56BD49ABEA515EF7, "vehicle_occupancy_linkseatcorpse" },
    { 0x4F80C0D697AAD5EE, "vehicle_occupancy_linktooriginandangles" },
    { 0x786FE5FDDDE0CB0E, "vehicle_occupancy_monitorcontrols" },
    { 0x150D4EE2D14AF7A4, "vehicle_occupancy_monitorexit" },
    { 0x5E03F69D8A46F58D, "vehicle_occupancy_monitorexitinternal" },
    { 0x55605761B636AEDA, "vehicle_occupancy_monitorgameended" },
    { 0xF811DA2BD3E71C03, "vehicle_occupancy_monitormovementcontrols" },
    { 0xAD9AFB38821E89FB, "vehicle_occupancy_monitoroccupant" },
    { 0x16E2DDCD599C7A71, "vehicle_occupancy_monitorseatswitch" },
    { 0xAD6868A53C2C4A60, "vehicle_occupancy_monitorturretcontrols" },
    { 0x0DC01578C9911081, "vehicle_occupancy_movementisallowed" },
    { 0x74A6B7EB922DBAE3, "vehicle_occupancy_moveplayertoexit" },
    { 0xB9EE8C2CAE74E3AA, "vehicle_occupancy_mp_changedseats" },
    { 0xEAF157D0EFBFEC61, "vehicle_occupancy_mp_deregisterinstance" },
    { 0x6AB1E06C60569205, "vehicle_occupancy_mp_freefallcheck" },
    { 0xA3614FCF0300F222, "vehicle_occupancy_mp_giveriotshield" },
    { 0x750B4E9721529023, "vehicle_occupancy_mp_hidecashbag" },
    { 0xAC1A7C00F3CF8C0C, "vehicle_occupancy_mp_hideoccupantmodel" },
    { 0xDDB10A4CE66D8C11, "vehicle_occupancy_mp_hideoccupantoutlineandnameplate" },
    { 0xBC5DA78BC635AB5A, "vehicle_occupancy_mp_init" },
    { 0x9A94A05E36E9CC4A, "vehicle_occupancy_mp_issentient" },
    { 0xC0FB39BC195309B3, "vehicle_occupancy_mp_onentervehicle" },
    { 0x6CAA324946140953, "vehicle_occupancy_mp_onexitvehicle" },
    { 0x9E222F65F50DEDBE, "vehicle_occupancy_mp_registerinstance" },
    { 0xC9F6338DB7FADC6B, "vehicle_occupancy_mp_registersentient" },
    { 0x3894A8BA79BF8E18, "vehicle_occupancy_mp_showcashbag" },
    { 0x134DF2DCBA40A5C3, "vehicle_occupancy_mp_showoccupantmodel" },
    { 0xB7825A9AA5E8A512, "vehicle_occupancy_mp_showoccupantoutlineandnameplate" },
    { 0xB16BDE54E9102DD8, "vehicle_occupancy_mp_takeriotshield" },
    { 0xAE3B90638E26AE34, "vehicle_occupancy_mp_unregistersentient" },
    { 0xA2248668B2CDA95E, "vehicle_occupancy_mp_updatemarkfilter" },
    { 0xE196E619C501E6E0, "vehicle_occupancy_mp_updateowner" },
    { 0xE74781A1BEF9C95A, "vehicle_occupancy_mp_updateriotshield" },
    { 0x3B146DC9E233E501, "vehicle_occupancy_occupantisvehicledriver" },
    { 0xCA742ED3DD6BC465, "vehicle_occupancy_onentervehicle" },
    { 0x92B61D702A193749, "vehicle_occupancy_onexitvehicle" },
    { 0xEA9703A264C3070E, "vehicle_occupancy_purgedataforseatinstance" },
    { 0x1F9EDD224B14B43C, "vehicle_occupancy_racecomplete" },
    { 0x4F3CC68BDEB44BF6, "vehicle_occupancy_raceplayerdeathdisconnect" },
    { 0x6C15C1A9FB104B1F, "vehicle_occupancy_raceresults" },
    { 0xBB9D46DBFD4FE568, "vehicle_occupancy_raceseatunavailable" },
    { 0xB3863BF66999F2BD, "vehicle_occupancy_racevehicledeath" },
    { 0xA74A87274EF6578B, "vehicle_occupancy_reenter" },
    { 0xF34195EF3BB9F338, "vehicle_occupancy_registerinstance" },
    { 0xDD62B1AFF77B18A1, "vehicle_occupancy_registersentient" },
    { 0x421612B64BE0B815, "vehicle_occupancy_registerturret" },
    { 0x0A9E9862EA087B8A, "vehicle_occupancy_removecamerafromoccupant" },
    { 0x82F59788008273C5, "vehicle_occupancy_removedamagemodifierfromoccupant" },
    { 0x39CFBA6B70BE26DE, "vehicle_occupancy_removerestrictionsfromoccupant" },
    { 0x09181DF760666102, "vehicle_occupancy_seatisavailable" },
    { 0xF79421044D0A7B4D, "vehicle_occupancy_setfriendlystatusdirty" },
    { 0x46D7AB9B64144500, "vehicle_occupancy_setoriginalowner" },
    { 0x4D7C27A2DDC7209D, "vehicle_occupancy_setowner" },
    { 0xA1282B4D21E85F93, "vehicle_occupancy_setteam" },
    { 0x85FF18E95ABA3582, "vehicle_occupancy_showcashbag" },
    { 0xD3993844B7C74E1C, "vehicle_occupancy_showoccupant" },
    { 0xC43C2EC185969002, "vehicle_occupancy_startmovefeedbackforplayer" },
    { 0x026292ACE22AF6A3, "vehicle_occupancy_stopanimatingplayer" },
    { 0x21346B9679BDE373, "vehicle_occupancy_stopmonitoringoccupant" },
    { 0x88BA06246C90CE22, "vehicle_occupancy_stopmovefeedbackforplayer" },
    { 0x57EDAFB8F2A354AA, "vehicle_occupancy_takeriotshield" },
    { 0xC4541D6AA54BE2CB, "vehicle_occupancy_taketurret" },
    { 0xC7697283010463D6, "vehicle_occupancy_unregistersentient" },
    { 0x33F7F5C274B49BF1, "vehicle_occupancy_updatedamagefeedback" },
    { 0x8B397E5347261428, "vehicle_occupancy_updateempty" },
    { 0xBDB914B77B5B4CF6, "vehicle_occupancy_updatefull" },
    { 0xD8018E8E54B0B8C9, "vehicle_occupancy_updatemovefeedback" },
    { 0x4A664285602B5D2E, "vehicle_occupancy_updateowner" },
    { 0xA725ECC83164C018, "vehicle_occupancy_updateriotshield" },
    { 0x6C299AE3361A84BF, "vehicle_occupancy_watchmovefeedback" },
    { 0x1BFD2B3749AF9150, "vehicle_occupancy_watchowner" },
    { 0x063CC8593260CE40, "vehicle_occupancy_watchownerjoinedteam" },
    { 0xC8695F14F658BDD3, "vehicle_occupancy_watchplayeranimate" },
    { 0x1B7C23BEDC70433E, "vehicle_on_last_pathing_array" },
    { 0x7FB62E76A7B8557F, "vehicle_oob_cp_clearcallback" },
    { 0xEE9209A3F7822398, "vehicle_oob_cp_clearoob" },
    { 0xD9164F071537A35E, "vehicle_oob_cp_deregisterinstance" },
    { 0xD1F01D454A905948, "vehicle_oob_cp_entercallback" },
    { 0x9A75A1DF0D0618F6, "vehicle_oob_cp_entercallbackforplayer" },
    { 0xE1A4722E2A4E7DA4, "vehicle_oob_cp_exitcallback" },
    { 0x8A819D77EF1B5D8A, "vehicle_oob_cp_exitcallbackforplayer" },
    { 0x375F70AFA4E0B3BD, "vehicle_oob_cp_getleveldata" },
    { 0x6A63D2D0B8C800D5, "vehicle_oob_cp_init" },
    { 0x674B62561E7D0EBA, "vehicle_oob_cp_outoftimecallback" },
    { 0xE9464A1E36016D19, "vehicle_oob_cp_registerinstance" },
    { 0x9889BA9AD4D0DF2D, "vehicle_oob_cp_registeroutoftimecallback" },
    { 0x62F3B6D85E89F9C5, "vehicle_oob_mp_clearcallback" },
    { 0x31DBA28F9DC6372E, "vehicle_oob_mp_clearoob" },
    { 0x734F888EE4771C78, "vehicle_oob_mp_deregisterinstance" },
    { 0xABF7DB230E8AD8EE, "vehicle_oob_mp_entercallback" },
    { 0x8169D746B2A4A4C0, "vehicle_oob_mp_entercallbackforplayer" },
    { 0xFD2D7ACE66556616, "vehicle_oob_mp_exitcallback" },
    { 0x9DCD166FA6D187C8, "vehicle_oob_mp_exitcallbackforplayer" },
    { 0x1CC7CB11B2850AFF, "vehicle_oob_mp_getleveldata" },
    { 0xAE2B1A4288003203, "vehicle_oob_mp_init" },
    { 0xB2C6B717091784CC, "vehicle_oob_mp_outoftimecallback" },
    { 0xAE714FF416846A4B, "vehicle_oob_mp_registerinstance" },
    { 0xCA474167B853B16F, "vehicle_oob_mp_registeroutoftimecallback" },
    { 0x8695EE69405FBA64, "vehicle_orientto" },
    { 0xAFD57D47C47B6439, "vehicle_outline_watcher" },
    { 0x03F7694068E8483C, "vehicle_pathdetach" },
    { 0x83E401CD111AAEE0, "vehicle_paths" },
    { 0x8B884BCBC3FF94F8, "vehicle_paths_helicopter" },
    { 0x5F6E12F859150A01, "vehicle_paths_non_heli" },
    { 0x7F350DCEA9B4F389, "vehicle_play_exit_anim" },
    { 0x54D9E8F8C917CF5A, "vehicle_playdeathanimation" },
    { 0xBB05DCE518297BC2, "vehicle_playdeatheffects" },
    { 0xC478F5511A4836B5, "vehicle_playengineeffect" },
    { 0xC5C1DC7F34D96EB5, "vehicle_playerenteredtrackedlittlebird" },
    { 0xC8FF22BA31E14DCB, "vehicle_playerkilledbycollision" },
    { 0xF7B3C2DCAFCD6DCA, "vehicle_playerkilledfx" },
    { 0xB766F77A9317A639, "vehicle_playershouldignorecollisiondamage" },
    { 0x29098C4B3E0E4C89, "vehicle_playexhausteffect" },
    { 0xF5305CB5889BF297, "vehicle_position" },
    { 0x4F66D759DE47F8B3, "vehicle_precachescripts" },
    { 0xB01AB4743962725E, "vehicle_precachesetup" },
    { 0x39A905FF0DF35197, "vehicle_preventcollisiondamagefortimeafterexit" },
    { 0xF1D28A1BD4EBA66E, "vehicle_preventcollisiondamagefortimeafterexitinternal" },
    { 0x70459BFDC58F99D0, "vehicle_preventplayercollisiondamagefortimeafterexit" },
    { 0xBC996B010FD1D511, "vehicle_preventplayercollisiondamagefortimeafterexitinternal" },
    { 0xFB3D96242F1F4A11, "vehicle_process_node_when_at_goal" },
    { 0xDDAB6D2F503C8949, "vehicle_progress_marker_think" },
    { 0x44C133A074D462EF, "vehicle_race_ied_explosion_action" },
    { 0xF167561F8FFB7F96, "vehicle_register_on_level" },
    { 0x11F610B1978DB57F, "vehicle_registerturret" },
    { 0xDDCB338A327690E8, "vehicle_registration_func" },
    { 0x8A0A14176FF37922, "vehicle_registrations" },
    { 0xE62E4B1C46A00E89, "vehicle_reload" },
    { 0x0BCBCBC8236CA60F, "vehicle_remove_badplace" },
    { 0xA74A116976E7F6CE, "vehicle_remove_invulnerability_onenter" },
    { 0x3051F79F50FBF6D7, "vehicle_remove_navobstacle" },
    { 0xFAE9C61FA6672CF0, "vehicle_remove_navrepulsor" },
    { 0x0691AF531BE75069, "vehicle_removenonridersfromaiarray" },
    { 0x2AE936C3B2DBF84D, "vehicle_resume_named" },
    { 0x3A22C447BE7B6D40, "vehicle_resumepath" },
    { 0xFED9EC9BBB98FD50, "vehicle_resumepathvehicle" },
    { 0x2EC91B00A68F425E, "vehicle_ride" },
    { 0xB0E226BD0288F15D, "vehicle_rider_death_detection" },
    { 0x7E75A69FCCD8DEEF, "vehicle_rider_think" },
    { 0xBFA0EC68933669DB, "vehicle_riding_on" },
    { 0xBF9D234B002D41C4, "vehicle_rocket_death_fx" },
    { 0x8741CD18C2951E5E, "vehicle_rotateyaw" },
    { 0x6B6E0647B380ECC9, "vehicle_rumble" },
    { 0x0395C7E17E2A9982, "vehicle_script_forcecolor_riders" },
    { 0x971843A5B980BE41, "vehicle_setcrashing" },
    { 0xC9324BBFA4A56F5B, "vehicle_setdeathmodel" },
    { 0xAB27F6E5EFAF2547, "vehicle_setheldweaponvisibility" },
    { 0x0F3D67D9A3BD7B27, "vehicle_setspeed" },
    { 0xF4B0E8D80C0F94D0, "vehicle_setspeedimmediate" },
    { 0x74CEAF6632869D3E, "vehicle_setstartinghealth" },
    { 0xB97557F3269381F0, "vehicle_setstowedweaponvisibility" },
    { 0xDB597E515821E79D, "vehicle_setteam" },
    { 0x931EDDFD031E5047, "vehicle_settopspeedforward" },
    { 0xCFB698B22BD42E14, "vehicle_settopspeedreverse" },
    { 0x545AFF72202E4F55, "vehicle_settopspeedrotational" },
    { 0x6A4C1908C4FC0476, "vehicle_setuplevelvariables" },
    { 0x774B31A6E112DD38, "vehicle_setupspawners" },
    { 0x1401F04AD08A948C, "vehicle_setwheeldirection" },
    { 0xA6875C5F308F623F, "vehicle_setworldcollisioncapsule" },
    { 0x53688CF7E45A5876, "vehicle_should_regenerate" },
    { 0xD5F7E1781FC86653, "vehicle_should_unload" },
    { 0xE62D4E3E2CFDDA97, "vehicle_shoulddocollisiondamage" },
    { 0x932A66EF6704E6DB, "vehicle_shoulddocollisiondamagetoplayer" },
    { 0x31340FDD082BB638, "vehicle_shoulddorocketdeath" },
    { 0x3236049A64689252, "vehicle_shouldhideoccupantforseat" },
    { 0x52E9465CE908797E, "vehicle_shouldignorecollisiondamage" },
    { 0x2858120ACB72232D, "vehicle_shouldplaydeathanimation" },
    { 0x561D20CE9F60D6F5, "vehicle_showteamtanks" },
    { 0xC559DB0C97DD919B, "vehicle_showvalidlittlebirds" },
    { 0xF6C4E33AEF32C287, "vehicle_skipdeathanimation" },
    { 0x61D927DA5C917002, "vehicle_skipdeathcrash" },
    { 0xFC3BAF0B5CAE4D0C, "vehicle_skipdeathmodel" },
    { 0xD6C39F5A73FC21EC, "vehicle_skipdeathphysics" },
    { 0xD414FFB614B6E41B, "vehicle_spawn" },
    { 0x11DB8DC3EC241A6B, "vehicle_spawn_abandonedtimeout" },
    { 0x8B2D1ABDFF909EB4, "vehicle_spawn_abandonedtimeoutcallback" },
    { 0xF236736862B842A8, "vehicle_spawn_cancelpendingrespawns" },
    { 0xC35970D32B3834D7, "vehicle_spawn_canspawnvehicle" },
    { 0x8C9E0FB654875A3F, "vehicle_spawn_checkspawnclearance" },
    { 0xAC4CD49252EB7E93, "vehicle_spawn_cp_canspawnvehicle" },
    { 0xA816C711086F45AA, "vehicle_spawn_cp_gamemodesupportsabandonedtimeout" },
    { 0xFA9A63952F97C78F, "vehicle_spawn_cp_gamemodesupportsrespawn" },
    { 0x1C79F609F6111BAA, "vehicle_spawn_cp_init" },
    { 0x2DDFAA43E6E40095, "vehicle_spawn_deregisterinstance" },
    { 0x2E9CC094EFE028EA, "vehicle_spawn_func" },
    { 0x92746C4813E0623E, "vehicle_spawn_gamemodesupportsabandonedtimeout" },
    { 0x9F7CB5D06CCA9553, "vehicle_spawn_gamemodesupportsrespawn" },
    { 0x3A0F668A322B3E82, "vehicle_spawn_getinstancecount" },
    { 0x0DEBFAEE66DEB036, "vehicle_spawn_getinstancecountforref" },
    { 0x8DC627F6EAA36C6E, "vehicle_spawn_getleveldata" },
    { 0xC9568DEFF9022E2F, "vehicle_spawn_getleveldataforvehicle" },
    { 0xBD89EC203125441E, "vehicle_spawn_init" },
    { 0xA225EA0B09360E05, "vehicle_spawn_initdev" },
    { 0x48346D8CEF0CA382, "vehicle_spawn_initlate" },
    { 0x48BD7BABC71F25AD, "vehicle_spawn_initspawnclearance" },
    { 0xEAF3AF123B49B535, "vehicle_spawn_internal" },
    { 0xA2DDFC6260640707, "vehicle_spawn_iscodevehicletest" },
    { 0xB6A2D20EF1E86177, "vehicle_spawn_iscodevehicletestlevel" },
    { 0x86257A2D581B4DEA, "vehicle_spawn_isvehiclespawnstruct" },
    { 0xE856355F0192DA6D, "vehicle_spawn_mp_canspawnvehicle" },
    { 0x9BE402D5C79D3894, "vehicle_spawn_mp_codetesthackinit" },
    { 0x9FC61460812A881E, "vehicle_spawn_mp_codetesthackspawncallback" },
    { 0x5EBD119A3761A5C7, "vehicle_spawn_mp_codetesthackwatchrespawn" },
    { 0xB84950B4C04BF878, "vehicle_spawn_mp_gamemodesupportsabandonedtimeout" },
    { 0x86245BCE74796C8D, "vehicle_spawn_mp_gamemodesupportsrespawn" },
    { 0xC4909C3A11AA4BB8, "vehicle_spawn_mp_init" },
    { 0x450EFB9ECBF5B85F, "vehicle_spawn_mp_internal" },
    { 0x6982A316FD5EA542, "vehicle_spawn_point" },
    { 0x8AA8F3C3290AF966, "vehicle_spawn_preventrespawn" },
    { 0xEF12337FAC823C32, "vehicle_spawn_registerinstance" },
    { 0xF6C7C011327A933D, "vehicle_spawn_removespawnstructswithflag" },
    { 0xEDD41809234BB004, "vehicle_spawn_setclearancecheckminradius" },
    { 0x72E15918823EA0B7, "vehicle_spawn_spawnfromstructs" },
    { 0x63EEED8104EAFC10, "vehicle_spawn_spawnfromstructscomparefunc" },
    { 0x00BE029DB63D7C91, "vehicle_spawn_spawnvehicle" },
    { 0x722CFE33452A059B, "vehicle_spawn_stopwatchingabandoned" },
    { 0xB97F8218D43755A6, "vehicle_spawn_waitandrespawn" },
    { 0x7B32C830652060DD, "vehicle_spawn_watchabandoned" },
    { 0x51EB0B3856D876C6, "vehicle_spawnaiarray" },
    { 0xB95769B4D47679F7, "vehicle_spawncovernodes" },
    { 0xA876E88B71813844, "vehicle_spawned_thisframe" },
    { 0xF4F9FE55C64497B8, "vehicle_spawner" },
    { 0x24D76BACAAA0546F, "vehicle_spawner_deathflag" },
    { 0xCA39898F1A0583CE, "vehicle_spawnerlogic" },
    { 0xC7EF6E6379ECF049, "vehicle_spawnpoint_scoring" },
    { 0xED0DF7273F02DE06, "vehicle_spawnpoint_valid" },
    { 0x7364B94F71C40B14, "vehicle_spawnsuicidetruck" },
    { 0xB15C0CC13520263D, "vehicle_spawntechos" },
    { 0x191FC2F76CEEF47F, "vehicle_spawnvindias" },
    { 0x689BAEAB3AFD8C2E, "vehicle_specific_onentervehicle" },
    { 0x9B244F28131BAF6C, "vehicle_specific_onexitvehicle" },
    { 0x5292DCCD308DF430, "vehicle_standattack" },
    { 0x13853BB7753D5A0E, "vehicle_station_tutorial_vo_monitor" },
    { 0x71EA1319E48A0F03, "vehicle_stop_moving" },
    { 0x29A4343BBD0C7AD2, "vehicle_stop_named" },
    { 0x4C77F60766DD6300, "vehicle_suicidetruckarmorlogic" },
    { 0x5D37AB955A8E9EAC, "vehicle_suicidetruckcrashlogic" },
    { 0x6B30B8BEA6CA7114, "vehicle_suicidetruckdriverandanimationcleanup" },
    { 0x22F86C710D1A99B8, "vehicle_suicidetruckengineblocklogic" },
    { 0x0D1D5A4502CDACA4, "vehicle_suicidetruckexplode" },
    { 0xEA9383E9412A6C54, "vehicle_suicidetruckexplodeoncrashpathend" },
    { 0x0B976C59B9256248, "vehicle_suicidetruckfiresfxlogic" },
    { 0x4136370EE32BBCC1, "vehicle_suicidetrucklaunchmesh" },
    { 0x33F7D0C61BDE49D7, "vehicle_suicidetrucklogic" },
    { 0x4AF14323B1E2169C, "vehicle_suicidetruckriderslogic" },
    { 0x53CC8F7AF6F1A274, "vehicle_suicidetruckrunoverlogic" },
    { 0x54031F794A180ECC, "vehicle_suicidetrucksfxlogic" },
    { 0x738CC553A396918F, "vehicle_suniform25dropbomb" },
    { 0x5031231F1D6FAC34, "vehicle_suniform25effects" },
    { 0xA288B2FFBC6E6C67, "vehicle_suspenddriveanimations" },
    { 0x2277B6DC25A7FD57, "vehicle_switch_paths" },
    { 0xFF6B15FB9FE9A6D3, "vehicle_techodisablelogic" },
    { 0xE774BFB4EAC728DF, "vehicle_teleport" },
    { 0x0CBAFF02B9EC8E98, "vehicle_to_chase" },
    { 0x783735682922A5E2, "vehicle_to_chase_is_behind" },
    { 0x459C273B245B6E5E, "vehicle_to_push" },
    { 0x99E5797E086F7137, "vehicle_to_push_damage_monitor" },
    { 0xE3C6ADA02A185A8C, "vehicle_to_push_explode_sequence" },
    { 0x11B463A7528ED678, "vehicle_tracker" },
    { 0x3F73BB8CF7B3A563, "vehicle_tracking_atinstancelimit" },
    { 0x2F900DCF67C0F9E8, "vehicle_tracking_cp_post_spawn" },
    { 0xB3CF6191320D41CF, "vehicle_tracking_deregisterinstance" },
    { 0x54B96258E9E59248, "vehicle_tracking_getgameinstances" },
    { 0x3DD0AF8BD39EF6F2, "vehicle_tracking_getgameinstancesforall" },
    { 0x928415DA2C6F33CB, "vehicle_tracking_getownerinstances" },
    { 0x17C0A6E02FD17259, "vehicle_tracking_getteaminstances" },
    { 0x23715A577F0F417C, "vehicle_tracking_init" },
    { 0xED7703226F8E7BA2, "vehicle_tracking_instancesarelimited" },
    { 0xFA0607E84C948C45, "vehicle_tracking_limitgameinstances" },
    { 0x8E77FCBB0EF7F554, "vehicle_tracking_limitownerinstances" },
    { 0xA64259D183C03A4C, "vehicle_tracking_limitteaminstances" },
    { 0x287B84C4B253388C, "vehicle_tracking_registerinstance" },
    { 0xBAD88FC2E5F17D9A, "vehicle_trackturretprojectile" },
    { 0x6CBA209CB7986926, "vehicle_travel_array" },
    { 0x8239D942B8DE295C, "vehicle_travel_player_connect_monitor" },
    { 0x4AD3571224041C5A, "vehicle_travel_player_disconnect_monitor" },
    { 0x7391E4DC04208935, "vehicle_treads" },
    { 0x0BA0B6E827595C6C, "vehicle_triggerkillspawner" },
    { 0xE6D9D70B8A0ECE0A, "vehicle_turnengineoff" },
    { 0x9FA495583BCFC210, "vehicle_turnengineon" },
    { 0xDAA918B914C3DC75, "vehicle_turret_cleanup" },
    { 0xD200196C9B95CF82, "vehicle_turret_difficulty" },
    { 0x60597776EC1D78DD, "vehicle_turret_init" },
    { 0x1E35C8060C6A0C14, "vehicle_turret_scan_off" },
    { 0x9EED8822B716CE4F, "vehicle_unload" },
    { 0x9E40DF8258FE2245, "vehicle_update" },
    { 0xFD09D2138EBAA712, "vehicle_vindiabodydamagelogic" },
    { 0x264EDFF22A41CF22, "vehicle_vindiadamagelogic" },
    { 0xE196C7823226ACD0, "vehicle_vindialaunchsmokegrenades" },
    { 0x929976D9F657E265, "vehicle_vindiameshanimdrivecleanuplogic" },
    { 0x38598829514DC2B3, "vehicle_vindiameshanimdrivelogic" },
    { 0xCC665D19A0701B29, "vehicle_vindiameshanimlogic" },
    { 0x4F1E604CE3F99828, "vehicle_vindiameshanimunloadlogic" },
    { 0x1EB160453CD1310E, "vehicle_vindiasmokegrenadelogic" },
    { 0xE7A8A8E800666722, "vehicle_vindiasmokelaunchsfxlogic" },
    { 0x864BDD7F7ACE4C9D, "vehicle_vindiaspawnsmokegrenade" },
    { 0xA3A9F6C9FE49513D, "vehicle_vindiaspeeduplogic" },
    { 0x1A708EDADE33D232, "vehicle_vindiaspeeduptimeoutlogic" },
    { 0x3E38EB6CF4E77433, "vehicle_vindiatirelogic" },
    { 0x045834BF18791934, "vehicle_vindiaunloadlogic" },
    { 0x2F5D56932896BDA8, "vehicle_waittill_stopped" },
    { 0x78D23146A6312E09, "vehicle_waittillarraymoving" },
    { 0xCF5929E8349340AD, "vehicle_watchflipped" },
    { 0x39BAD18A0E96784E, "vehicle_watchmarkedlittlebirddeath" },
    { 0xF816ECC92312D71B, "vehicle_watchmarkedtankdeath" },
    { 0x1E0BEED5A393FD66, "vehicle_watchwheeldust" },
    { 0x077CF580044D3F14, "vehicle_wheels_backward" },
    { 0x1C0535BAFBAD56CA, "vehicle_wheels_forward" },
    { 0x7E5F7B66ACB55C72, "vehicle_whizby_watcher" },
    { 0xEA7F23C7CF582EBE, "vehicle_would_exceed_limit" },
    { 0xEE0A965D998A4576, "vehicleanimalias" },
    { 0x9C472D0B8C3F3CD0, "vehicleaniminit" },
    { 0xC6BD33D45B4E713B, "vehicleattackbuttonpressed" },
    { 0xB7ED6917989717A3, "vehiclecanbesuspended" },
    { 0x6C1865306B24632C, "vehiclecanfly" },
    { 0x3D31A77F5481C571, "vehiclecankillhealth" },
    { 0x1DACAE7C594339C6, "vehiclecannotbesuspended" },
    { 0xFA5D9598D2B5085B, "vehiclecanopendoor" },
    { 0xF77CFB25D19018A2, "vehiclecanshoot" },
    { 0x1B760CCBCBBD8C06, "vehiclecanshootlmg" },
    { 0x21849AE5413F2848, "vehiclecollisionignorearray" },
    { 0x710E7B1C1B60C452, "vehiclecount" },
    { 0x02538774A1C43312, "vehiclecrashing" },
    { 0x9383B74180FC5FB8, "vehiclecustomization" },
    { 0x64317D4A505D7BD8, "vehicledamageimmunity" },
    { 0x71D90C7DC9D3193B, "vehicledata" },
    { 0xF25D5440D68465C7, "vehicledeath" },
    { 0x5180988A49B0569E, "vehicledeathwait" },
    { 0xCCC79236027B15FA, "vehicledisabledmovement" },
    { 0xE3C56B28613F8349, "vehicledisablefire" },
    { 0xF39CF2DBC873BCC7, "vehicledisablefireendtime" },
    { 0x0911CDF85F3A81BA, "vehicledisableturningwhileshooting" },
    { 0xC8376B81B12D3870, "vehicledisableweaponreloading" },
    { 0x902FB35B28FA3F18, "vehicledriveto" },
    { 0xC0464E6ED7D8F4F9, "vehicleendtime" },
    { 0xF4134BBF525DFD4B, "vehicleexitanimtime" },
    { 0xE832B9F06A6629EF, "vehicleexitstatename" },
    { 0x0DEB3FE212D4B98D, "vehiclefollowpath" },
    { 0x52D85B8F4DC8F272, "vehiclefollowpathgeneric" },
    { 0xEBE02B442C9787F4, "vehiclefollowstructpath" },
    { 0x609912EE41BAC15A, "vehiclefollowstructpathsplines" },
    { 0x240FA1A02C7C5909, "vehiclefriendlydamage" },
    { 0xCCDED41CB288EAE3, "vehiclegetoutcodemove" },
    { 0x8878C8F02B54AB77, "vehiclegod" },
    { 0x9F32F09370E2BE3B, "vehiclehasalias" },
    { 0x11C826C8973B163D, "vehicleheavydamagefeedbackid" },
    { 0x47AB5B0D98F4297A, "vehiclehidetime" },
    { 0x3422D3D3B6C7EA02, "vehiclehint" },
    { 0x1A545B407EA8CD44, "vehiclehitstokill" },
    { 0x488E4BC12D6D6329, "vehicleidle" },
    { 0x0F1219D6F4A8F358, "vehicleidmap" },
    { 0x52108809ABBC74F0, "vehicleincombat" },
    { 0x71EAC49FF46B1DFE, "vehicleindangertracking" },
    { 0xB6ABB7C0C2324667, "vehicleinfo" },
    { 0xB75A3476A7998B29, "vehicleinitthread" },
    { 0x7E64EF7ADC45E2E9, "vehicleinteract" },
    { 0x10595D1BB6FD0A2F, "vehicleisreserved" },
    { 0x506B33EBE7F6C3D2, "vehiclekilled" },
    { 0xF54FA6D77ED1DE20, "vehiclekills" },
    { 0xA8948302E8218DC2, "vehiclelightdamagefeedbackid" },
    { 0xF3B71BC8D96060C2, "vehiclelinkto" },
    { 0x8DB4306CE3C8B657, "vehiclelogic" },
    { 0x1684886E9CD1C089, "vehiclelostsightlinetime" },
    { 0x4AAA6CECB4639475, "vehiclemoveshakeenabled" },
    { 0x78D07504D3977478, "vehiclename" },
    { 0x804B8C46A2532DE2, "vehicleoccupantdeathcustomcallback" },
    { 0xC463EF585EF01E31, "vehicleoccupants" },
    { 0xE5664F2DD71F0525, "vehicleomnvars" },
    { 0xCEF149D32C89E9A7, "vehicleoutline" },
    { 0xDDF47870AF74275B, "vehicleoverride" },
    { 0xD61070641B77D186, "vehicleowner" },
    { 0x5449B0BFFEB457BB, "vehicleparent" },
    { 0x6267D1E2BB8C40EA, "vehiclepinonminimap" },
    { 0xD05AECB5BF8C3514, "vehicleplayanim" },
    { 0xC750E1EC8E7DEDBF, "vehicleplayermodel" },
    { 0x27A0524DC3A147D9, "vehicleplaysounds" },
    { 0x6238DFA5C148579A, "vehiclereload_terminate" },
    { 0x5E651B166BE9C2CC, "vehiclerequest" },
    { 0xBB8A63BB31472C53, "vehiclereserved" },
    { 0xC7A0DA90E410B524, "vehiclerunexit" },
    { 0xC975BADFFCE93880, "vehicles" },
    { 0xC4F46DC71808AEDE, "vehicles_alpha_anims" },
    { 0xE0E1A851A889C5B9, "vehicles_damage_deregisterdefaultvisuals" },
    { 0x2D375C684045B0A7, "vehicles_damage_deregistervisualpercentcallback" },
    { 0xD08B0694E5BC1590, "vehicles_damage_enginevisualcallback" },
    { 0x4AEBD53649DE8873, "vehicles_damage_enginevisualclearcallback" },
    { 0xE80768068C1CA677, "vehicles_damage_heavyvisualcallback" },
    { 0xFD7C02395589EECC, "vehicles_damage_lightvisualcallback" },
    { 0x237B494B843E62BD, "vehicles_damage_mediumvisualcallback" },
    { 0x9A29290BC3C24546, "vehicles_damage_registerdefaultvisuals" },
    { 0x342E03A202930A66, "vehicles_damage_registervisualpercentcallback" },
    { 0xA0949EC02C791F5B, "vehicles_damage_visualwatchspeedchange" },
    { 0x416F2EDF044B6D2B, "vehicles_init" },
    { 0x18FF3BE698511B6B, "vehicles_remaining" },
    { 0xC3B0B0A42C2B8501, "vehicles_spawned" },
    { 0x422B560986A0A532, "vehicles_turnonlights" },
    { 0x32F17ABEF71AFF50, "vehiclesetuprope" },
    { 0xD0ED72CE8A37F340, "vehicleshouldhide" },
    { 0x8B0EA8D87D3C9775, "vehicleshouldrunexit" },
    { 0x9D217C19EC233F35, "vehicleshouldsetuprope" },
    { 0x710E2DB30A529738, "vehicleshouldstophide" },
    { 0xA49B310B79468A06, "vehicleshowonminimap" },
    { 0x04628E4DADF3B686, "vehicleshowonminimapforclient" },
    { 0x3E6CC93D3A6CBBEE, "vehiclespawn_armoredtruck" },
    { 0xA1E71E00039F67D8, "vehiclespawn_atv" },
    { 0x2211404F608FB89C, "vehiclespawn_cargotruck" },
    { 0x093790AD7F62E9EC, "vehiclespawn_cargotruckmg" },
    { 0xB8E0F361BD7C6727, "vehiclespawn_copcar" },
    { 0x05D3A33D4D836D40, "vehiclespawn_getspawndata" },
    { 0x29CF2F78B695B8AE, "vehiclespawn_hoopty" },
    { 0x22A758FEC80CFB81, "vehiclespawn_hooptytruck" },
    { 0x06A1DFC913B67F51, "vehiclespawn_hqtanks" },
    { 0xCDF7C43110D99D2F, "vehiclespawn_jeep" },
    { 0x4A4C8AC3C9916B63, "vehiclespawn_largetransport" },
    { 0x5698951C42A89684, "vehiclespawn_littlebird" },
    { 0x474B02E1F6CA2064, "vehiclespawn_littlebirdmg" },
    { 0xF2BE73B5687DA638, "vehiclespawn_medtransport" },
    { 0x512F7A6350081856, "vehiclespawn_pickuptruck" },
    { 0xAD0D97388FF2BCDF, "vehiclespawn_tacrover" },
    { 0xFA264FEEAB8378AF, "vehiclespawn_tank" },
    { 0x95E256A53104C20E, "vehiclespawn_truck" },
    { 0xB7033100CF4947F4, "vehiclespawn_van" },
    { 0x536E86DABD031AA4, "vehiclespawninginto" },
    { 0xBEC713A09F4A3759, "vehiclespawnlocs" },
    { 0x9D1DA73348619B7F, "vehiclespawns" },
    { 0xD32927F89F93A12E, "vehiclesspawned" },
    { 0x4B036B53837F7144, "vehiclestate" },
    { 0x974446FF5E65F9DA, "vehicleteam" },
    { 0x855231CCF5E778B5, "vehiclethink" },
    { 0x7C3B1FD9E1577CA0, "vehiclethinkanim" },
    { 0xC3496DA28AE39C2A, "vehiclethinkmodel" },
    { 0xCC74847B5F49C786, "vehiclethinkpath" },
    { 0x88A025B68D2F51F9, "vehicletrail" },
    { 0xDAFC45EDB3757083, "vehicleturretcontroloff" },
    { 0xC9651005E0F1967F, "vehicleturretcontrolon" },
    { 0xDA6BF4DC26A9A0A8, "vehicleturretshootthread" },
    { 0x2D3EA70087E6AA4B, "vehicletype" },
    { 0x32B82323C5378D44, "vehicleunlink" },
    { 0xD8428BEA8B3C2471, "vehicleusealtblendedaudio" },
    { 0xE061A8A3EAC5E1C2, "vehiclewatchforflip" },
    { 0x61A62A0022085367, "vehiclewheeldirection" },
    { 0x410923C35642B463, "vehile_updatehealthbar" },
    { 0xB4943B99EA17A2D8, "vehoccupancy_lastbctime" },
    { 0x61AE1C1D2D61DEBC, "vehoccupancy_lastseatbc" },
    { 0xEA23E8D626EB220B, "vehomn_clearall" },
    { 0xDA1B8F6C9460675A, "vehomn_clearallinternal" },
    { 0xC78D49F78A398326, "vehomn_clearammo" },
    { 0xE0A6B751C12FF20A, "vehomn_clearcontrols" },
    { 0x240AB2575C12CF10, "vehomn_clearcurrentseat" },
    { 0xB8415D83D646F0C5, "vehomn_clearfuelpercent" },
    { 0xC76D45D87F2EA5D7, "vehomn_clearhealthpercent" },
    { 0x9E6E7493C2C20B5F, "vehomn_clearleveldataforvehicle" },
    { 0x9DA9F05BBA39C09C, "vehomn_clearnextseat" },
    { 0x1EC3F0C9F6AF72AE, "vehomn_clearrotation" },
    { 0x6D84641FAC89F8CE, "vehomn_clearseatentity" },
    { 0x66F1B9E0020C74B9, "vehomn_clearshowfuel" },
    { 0x8A334E6127B32113, "vehomn_clearshowhealth" },
    { 0xAD01BE215C8B6B78, "vehomn_clearshowtime" },
    { 0xC750BB026416AC6E, "vehomn_cleartimepercent" },
    { 0xC5210B154C7600B8, "vehomn_clearvehicle" },
    { 0xFBD063636C0E7545, "vehomn_clearwarnings" },
    { 0x37276F39F5BCF2E2, "vehomn_controlsarefadedoutorhidden" },
    { 0xAD9F4A8EF39421A5, "vehomn_fadeoutcontrols" },
    { 0x7988ADCF5782FB3F, "vehomn_fadeoutcontrolsforclient" },
    { 0xF2018066A0936299, "vehomn_getleveldata" },
    { 0x7F4BEFF8EB211E04, "vehomn_getleveldataforvehicle" },
    { 0x324B1088DC8266CC, "vehomn_getlevelstruct" },
    { 0xD3D237A89EA25DA0, "vehomn_getrotationentangles" },
    { 0xA3321FF77B3F855D, "vehomn_hideammo" },
    { 0xDF792DD35E4D0141, "vehomn_hidecontrols" },
    { 0x6E8D668170D602DB, "vehomn_hidefuel" },
    { 0x98A57AE82C309BB1, "vehomn_hidehealth" },
    { 0x6182D32EA5AFFF76, "vehomn_hidetime" },
    { 0xA47C3718E7A6D581, "vehomn_hidewarning" },
    { 0xFC4FFE376F6BC2C1, "vehomn_init" },
    { 0xED2DA2E44F2CCE78, "vehomn_initammoidmap" },
    { 0xA40EF49ACC49B668, "vehomn_initrotationidmap" },
    { 0xE929C3AE61483065, "vehomn_initseatidmap" },
    { 0xBA26A536D7686C48, "vehomn_initvehicleidmap" },
    { 0xC6233FD4A639B278, "vehomn_initwarningidmap" },
    { 0xBDFFEC5BE498DF07, "vehomn_setammo" },
    { 0xFCE34658806722C7, "vehomn_setcurrentseat" },
    { 0x21401A2AF4C0895A, "vehomn_setfuelpercent" },
    { 0xE509C4D81AD1D59C, "vehomn_sethealthpercent" },
    { 0xB56EA73A20717881, "vehomn_setnextseat" },
    { 0x268936D62645D2A7, "vehomn_setrotation" },
    { 0x6E29918DCE359E2B, "vehomn_setseatentity" },
    { 0xAC04749331BE39F5, "vehomn_settimepercent" },
    { 0xFC98CC937D5DA9F7, "vehomn_setvehicle" },
    { 0x0B8EFBDA9EA5663C, "vehomn_showammo" },
    { 0x9915BE770DD03E94, "vehomn_showcontrols" },
    { 0x722524ECC59F5B9A, "vehomn_showfuel" },
    { 0x02B925969D750B20, "vehomn_showhealth" },
    { 0x27D5E39101DCAE6B, "vehomn_showtime" },
    { 0x53DD975EA3AB9756, "vehomn_showwarning" },
    { 0x865E7BD1C42F6336, "vehomn_updatenextseatomnvars" },
    { 0x0B17074E8788828A, "vehomn_updateomnvarsondamage" },
    { 0x96DF2316E2B8A094, "vehomn_updateomnvarsonseatenter" },
    { 0xC40AE079BCBD5E3A, "vehomn_updateomnvarsonseatexit" },
    { 0x8DE661747C835E42, "vehomn_updateomnvarsperframe" },
    { 0xCAE8A272F80FE2D4, "vehomn_updaterotationomnvarsperframeforclient" },
    { 0xDCBEA462454A84FC, "vehomncontrols" },
    { 0xEA7F9ECCF2E5D388, "vehphys_crash" },
    { 0x159A299431637203, "vehphys_deactivate" },
    { 0xA696FC98D8D162D2, "vehphys_disablecrashing" },
    { 0x24A660F3D791D161, "vehphys_enablecollisioncallback" },
    { 0xF2956F49DF3799D7, "vehphys_enablecrashing" },
    { 0xBB3B94C36B0703DE, "vehphys_forcekeyframedmotion" },
    { 0x884E008D07AB4F16, "vehphys_launch" },
    { 0x16FE60C87CC43C27, "vehphys_setconveyorbelt" },
    { 0x6CBC1D651691C6AE, "vehphys_setdefaultmotion" },
    { 0xFD3BE8BDD25807EB, "vehphys_speedboost" },
    { 0x6D306FFCDFB9D878, "vehspawnvol" },
    { 0x0B4F9E77F28BAFE1, "vehswitchseatbuttonpressed" },
    { 0x06A3AA033FFC3A64, "vel" },
    { 0x0047D773C4BAE17C, "velendid" },
    { 0x45B12B082DACC8FC, "velnormals" },
    { 0x3683F9766B3F2E93, "velnumdatapoints" },
    { 0x276453C31043E22B, "velo_array" },
    { 0xF0B0D29861FD4167, "velo_forward" },
    { 0x600BCA9651FAB52B, "velo_forward_memory" },
    { 0x8E4D5F0F5AE24606, "velocity" },
    { 0x2E8A6CE470883C4F, "velocity_bump" },
    { 0xAD031944F5362D83, "velocity_increase" },
    { 0x64A39B6ED46DF795, "velstartid" },
    { 0x5403D98CB837C3A8, "veltomph" },
    { 0xA140476CB6EA7CAF, "vent_crawl_presentation" },
    { 0x27C9DB102ED8B8F1, "vent_wait_interact" },
    { 0xE08FCECFDD87305C, "verbal_clip" },
    { 0x1C83303DDC5C8083, "verbal_string" },
    { 0x8141EDBF8593C4F1, "verbose" },
    { 0xED2E745F2CEDDFF1, "verify_chopper_pilot" },
    { 0x1DE99FD8AA67127B, "verify_effects_assignment" },
    { 0x6CD0650549BD54EB, "verify_effects_assignment_print" },
    { 0xDA6A378EE700CB97, "verifybombzones" },
    { 0x29C2460B02CBF904, "verifybunkercode" },
    { 0xC1AE475858567DB5, "verifydedicatedconfiguration" },
    { 0x11475AE39E896B0F, "verifygamemodecallout" },
    { 0x7EBCC20BA4EEFA63, "versusdone" },
    { 0xF3A53A06E7995A87, "vertalign" },
    { 0x3DECBDEE544CB1F0, "very_longshot" },
    { 0x605D7C1D85BE96BC, "vest_intro_vo" },
    { 0xA9BF996B770B57C1, "vest_required_end_time" },
    { 0xDF8EBA1EF9B7E536, "vest_required_start_time" },
    { 0x02E9EC8A96CD94A7, "vest_required_wire" },
    { 0xC31A1228ADBF4CB9, "vest_timer_countdown" },
    { 0x56928BF34C00303C, "vests" },
    { 0x5EE01A04E7FC5160, "veteran_achievement" },
    { 0x06B0B803400A6DB3, "vfx" },
    { 0x7CCF8065C9C27B59, "vfx_doorgas" },
    { 0x5D29DC08FE69D7B8, "vfx_flare" },
    { 0x78A50D3391711BB7, "vfx_height" },
    { 0xADED5FB25885B968, "vfx_htown_hadirj_blink" },
    { 0x8FBBF9CA87D6E644, "vfx_htown_stab_blink_1" },
    { 0x8FBBFCCA87D6ECDD, "vfx_htown_stab_blink_2" },
    { 0x8FBBFBCA87D6EAAA, "vfx_htown_stab_blink_3" },
    { 0xF2ACA768BF1FB2ED, "vfx_htown_stab_blink_ak" },
    { 0xD8278430F978FD10, "vfx_intro_collapse" },
    { 0xE635997015CD9BFD, "vfx_smoke" },
    { 0x9D45C0544F0224A3, "vfx_special_height" },
    { 0x2E3F6E5179780F51, "vfx_special_time" },
    { 0xE433899DC61EFE2E, "vfx_stab_tear_screenfx_01" },
    { 0x7143284E14F0C9C8, "vfx_start" },
    { 0x7969B8BCD5AEC3F2, "vfx_stop_gas_cam" },
    { 0x64342B27EE426215, "vfx_struct" },
    { 0x0EAA9A59940EE645, "vfx_time" },
    { 0x258BC479E4169E70, "vfxent" },
    { 0x0F4753552959236C, "vfxnamemod" },
    { 0x5069D9411AAB0BC1, "vfxradius" },
    { 0x4BB6607944551451, "vfxtag" },
    { 0x68D0413B6CD42B80, "vibrate" },
    { 0x8EAEC6C94DF6BAA9, "victim" },
    { 0xBD39722005896A46, "victim_damage_monitor" },
    { 0x68D9060303244865, "victim_killed_fight1" },
    { 0x68D90303032441CC, "victim_killed_fight2" },
    { 0xBE83D5E58F487710, "victim_push_back" },
    { 0xBA13311D82D19AD1, "victim_saved" },
    { 0x1ABC1BD32FE508D7, "victim_saved_shield" },
    { 0x3C4DCF428EF38C07, "victimonground" },
    { 0xC11A06B6759CED6E, "victims" },
    { 0x37D7EB4ABDC783B8, "victimteam" },
    { 0x662474A5708F967A, "view_jostle" },
    { 0x818F5FCDEE452F55, "view_list" },
    { 0x5DDDA949C6760D9E, "view_model" },
    { 0x608C5A0C91DE9A94, "viewblender" },
    { 0xAD2A270395EF3CF5, "viewblenderupdate" },
    { 0x3EDEF6194F6F45BC, "viewchange" },
    { 0x3AC4419805C19D80, "viewclamps" },
    { 0xFF43E241243F0D32, "viewfx" },
    { 0x9A71A972D2912E4A, "viewkick" },
    { 0xF5D146A8E6C4E720, "viewkickscale" },
    { 0x567741BD22DC47F9, "viewmodel" },
    { 0x4F40FCB4C5920B49, "viewmodel_demeanor" },
    { 0x67F1D65279B4DBAD, "viewoperationactivation" },
    { 0xB0E64E0F7484D1E8, "viewoperationhint" },
    { 0x569240FD55B3DEC3, "viewoperationinit" },
    { 0x6E0218434D428C24, "viewtag" },
    { 0x58D4A520AB5F4A29, "vig_injuredmarine" },
    { 0xBD3362380FCD87C6, "vig_roof_peek" },
    { 0x38FE7F44D41A79E9, "vig_sledgebreach" },
    { 0x62513BAA3685077F, "vig_street_intro_init" },
    { 0x7206D92368405893, "vig_street_intro_start" },
    { 0xA22BC5A0960730B8, "vig_window_peek" },
    { 0xBF53E3975F83FC0F, "vig_window_peek_spawner" },
    { 0xE1EEAF8EE508035A, "vignette_actor_cleanup" },
    { 0x5B7D350461AB16E8, "vignette_actor_init" },
    { 0x7354BC428EA274EC, "vignette_actor_stealth_filter" },
    { 0xE692DE0BF72CA59C, "vignette_drone_give_soul" },
    { 0xD491654A0848B97A, "vignette_interrupted" },
    { 0xED2BCA1407A50BB7, "vignettegetparams" },
    { 0x4D4E9524F04EF7EC, "vignettescriptdisable" },
    { 0xA6AE27498C03E10B, "vignettesetparams" },
    { 0x8962344708EF5E29, "vindia_assault3" },
    { 0x344D721532B3BBFE, "vindia_assault3_check_size" },
    { 0xB115A1672C25A670, "vindia_get_length" },
    { 0x1E19878C2223F977, "vindia_init" },
    { 0xCE956610E1B9E064, "vindia_spawn" },
    { 0x13F2F0C426F6410B, "vindia_spotlight" },
    { 0x60A0392CB9473D9E, "vindia_target_mover" },
    { 0x06D8B6034036D9DC, "vip" },
    { 0xE75573B792F551A3, "vip_bink_vo" },
    { 0xA516903CC17C5AF0, "vip_completequest" },
    { 0xB4E22CDD3800CDA5, "vip_damage_monitor" },
    { 0x16006A44C3882419, "vip_death_player_hits_million" },
    { 0x3D4E6934A478762C, "vip_dies_soon" },
    { 0x8C81B47CEEF0E8F4, "vip_endgame" },
    { 0xF1817DBA773542A9, "vip_failquest" },
    { 0x07E3E1589EBF89D9, "vip_followplayer" },
    { 0x07619426A9E9695F, "vip_freeze_link" },
    { 0x274B364CD9FDC2F2, "vip_go_and_hide" },
    { 0x2C29F731B708C0EE, "vip_idle_loop" },
    { 0xD1E05BE087F212E1, "vip_info" },
    { 0x74A6F621A254F5F6, "vip_onentergulag" },
    { 0x52D4F7A2260C1578, "vip_onrespawn" },
    { 0xDE9A1464B04B4D22, "vip_ontimerexpired" },
    { 0x607E0FD0BF90D40F, "vip_onuse" },
    { 0x1486077EDDF52000, "vip_parachute" },
    { 0x891931DD25CA5E12, "vip_parachute_nearby" },
    { 0x106EA1AE6DEF34CA, "vip_playerdied" },
    { 0x11A3BCD47BF7DA3E, "vip_playerdisconnect" },
    { 0xC62A97F3551FB3D0, "vip_playerremoved" },
    { 0xD838C6C2AAABBEE6, "vip_questthink_iconposition" },
    { 0xCB95217AA83A0A7E, "vip_removequestinstance" },
    { 0x2D6B38606F4EBF02, "vip_respawnplayer" },
    { 0x3632E11165BAE494, "vip_spawn" },
    { 0x554A1E4BB9508B18, "vip_spawn_parachute" },
    { 0xD33804A862A9C1F3, "vip_turnoff" },
    { 0xE22B280235419505, "vip_update_objective_on_landed" },
    { 0x30504AE1319A1A2E, "vip_use_fulton_start" },
    { 0xF4582B8312E32752, "vip_use_fulton_think" },
    { 0xDE129B46D5A47383, "vip_use_think" },
    { 0x56C261ACE98945B1, "vipbot_movesup" },
    { 0x6B884C0ACF7BAC1C, "vipdist" },
    { 0xDEA2E5A81A65B89D, "vipextract" },
    { 0x5475D9E619B9B334, "vipextractzones" },
    { 0xACF5EADB8B4CD9DA, "viphud_deletehud" },
    { 0x86B7D10E8D1384DB, "viphud_hidefromplayer" },
    { 0x2745B38072DDB737, "viphud_setupvisibility" },
    { 0x848B11AD4F899ACF, "viphud_showtoplayer" },
    { 0x5EB9F437ECE04FBE, "vis_changed_time" },
    { 0x84F1E80EA857A7BA, "visen" },
    { 0x84FEDE0EA865A641, "visfr" },
    { 0xA50C0EC4B9F1BD66, "visibility_thread" },
    { 0xB176B56BC70145FC, "visibilityisscriptcontrolled" },
    { 0xCB0ADD0865296B2D, "visibilitylods" },
    { 0xE19FA122E34D5882, "visibilitymanuallycontrolled" },
    { 0x3254E28BBB93017D, "visible" },
    { 0x12BB5B4DA17C9DDE, "visible2state" },
    { 0x9552451BCB13D4A7, "visiblelocations" },
    { 0x9458CB25BDDF5475, "visiblenotsolid" },
    { 0xE7D001043BD5012C, "visiblesolid" },
    { 0x73CF84A4D8F30794, "visibleteam" },
    { 0xC4AA90A4582E989C, "visibletime" },
    { 0x1143C06BDFC0910D, "vision_set_init" },
    { 0xCFE5E08231346188, "vision_set_management" },
    { 0x4269EE1CD4F75E82, "vision_set_manager" },
    { 0xD9F5BA2532B6157B, "vision_set_override" },
    { 0x96001BA8FA04FC9D, "visionnakeddefault" },
    { 0x6D1EDE4237D0AC55, "visionoverride" },
    { 0xAA6C679EF60A5BA5, "visionset_pointer" },
    { 0xDEFACAF8492F6024, "visionset_stack" },
    { 0x537F1FF23E3AE70F, "visionsetalternate" },
    { 0x1F55F7BC3AE07F13, "visionsetalternateforplayer" },
    { 0xE041D2BB8C4DF9C7, "visionsetfadetoblack" },
    { 0x55F0FF7ADA3D6D0B, "visionsetfadetoblackforplayer" },
    { 0x114A9C4DF100CE85, "visionsetflag" },
    { 0x49E8D29A62E52190, "visionsetkillcamthirdpersonnight" },
    { 0xDDD1DCF3590C21B5, "visionsetkillstreakforplayer" },
    { 0x3C168B5E98085E04, "visionsetmissilecam" },
    { 0x5992C7F3E2BED18C, "visionsetmissilecamduration" },
    { 0x9A86C90E5062F16A, "visionsetmissilecamforplayer" },
    { 0xDBBA5E405F4EE702, "visionsetnaked" },
    { 0x204994FDFC02641E, "visionsetnakedduration" },
    { 0x4C2996825F502ABC, "visionsetnakedforplayer" },
    { 0x2A218785BB3715B3, "visionsetnight" },
    { 0xEBB6FC392F4D1847, "visionsetnightduration" },
    { 0xF1CCBDAE77A4DB7F, "visionsetnightforplayer" },
    { 0x10B1CD97E2E817DF, "visionsetpain" },
    { 0x7F76C4B562C7589B, "visionsetpainduration" },
    { 0x14157B7A4EE0DB83, "visionsetpainforplayer" },
    { 0xBD049F3320C79E26, "visionsetthermal" },
    { 0xC3AAB7C78F6937EA, "visionsetthermalduration" },
    { 0xF5E8CB73A674D2B8, "visionsetthermalforplayer" },
    { 0x78C354B276814295, "visionthermaldefault" },
    { 0xF1E67D8AD03AF621, "visited" },
    { 0x57689604730492AC, "visor_anim" },
    { 0x7224C27838F33B21, "visor_down" },
    { 0x145BAEA0A57A9B47, "visor_overlay" },
    { 0xF3EA1B9D585E0FB6, "vista_boat_drive" },
    { 0xD061A03B8F8C998D, "visual" },
    { 0x9BB4FFAA0CEAD07C, "visual_range_sq" },
    { 0xA0D0CE8EE58BA5F7, "visualcallbacks" },
    { 0xC0E7C12C06B7A3DA, "visualclearcallbacks" },
    { 0xE30D538DCC71BEA1, "visualgroundoffset" },
    { 0x334A566F0E2B3BD8, "visualhighesttolowest" },
    { 0xE17E72ED2404E343, "visualpercents" },
    { 0xD34D60FCB236A99A, "visuals" },
    { 0x62FCDB53254E471A, "visualvarindex" },
    { 0xCDE72478F53371F8, "vm" },
    { 0x9B0062ED3D30FBAA, "vmexfilally" },
    { 0x2EE9E6AD50F74D32, "vmhvt" },
    { 0x10D89EAD3A8A444B, "vmvip" },
    { 0x38A2B1262FDC0933, "vnum" },
    { 0xCDE72678F533765E, "vo" },
    { 0xC4F051B01488520D, "vo_acquire_price_beyond_the_fence" },
    { 0x8322AC46C198B6C6, "vo_acquire_price_keep_on_him" },
    { 0x22179776FBE03768, "vo_acquire_price_nowhere_left_to_run" },
    { 0x8EE72E97D2A223D6, "vo_alias_data" },
    { 0x8960B50392DEEFC6, "vo_alley_griggs_fallback_smoke_dialogue" },
    { 0x5533E076AAE3D68E, "vo_alley_griggs_final_smoke_dialogue" },
    { 0x617C55BC5032B5A8, "vo_alley_griggs_go_to_mh_dialogue" },
    { 0x10644C3E04289C30, "vo_alley_griggs_mg_warning" },
    { 0xE6DA43571CCF6C32, "vo_alley_marine_pinned_down_dialogue" },
    { 0x3FFEFF45952D846A, "vo_alley_marine_technical_arrive_dialogue" },
    { 0xE659DBD3F20CC018, "vo_alley_mg_initial_callout_dialogue" },
    { 0xBD68C6D9A3470F01, "vo_alley_push_up_nag_dialogue" },
    { 0x293B9746E9074983, "vo_alley_scripted_push_up_dialogue" },
    { 0x83CEF3FD0A93CECD, "vo_alley_stealth_butcher_alerted_fail" },
    { 0x461861EE54C537C9, "vo_alley_stealth_cover_blown" },
    { 0xD2CB0929F8FDAF07, "vo_alley_stealth_enemies_alerted" },
    { 0x670CB1CAA44E47F6, "vo_alley_stealth_enemies_dead" },
    { 0x2DDC21C19A087D1B, "vo_alley_stealth_move_to_bar_door" },
    { 0xB1FB834608966406, "vo_alley_stealth_move_to_bar_door_nag" },
    { 0x60D5D5CD035B30BF, "vo_alley_stealth_price_ambush" },
    { 0xA9FBFF3674BE0973, "vo_alley_stealth_price_at_door" },
    { 0x054B60FC78AE7EF4, "vo_alley_stealth_price_conversation" },
    { 0x853BD5874785DDA5, "vo_alley_stealth_quickly_and_quietly" },
    { 0x7C1E5275D791FCBB, "vo_alley_throw_smoke_nag_dialogue" },
    { 0xE343E76360C0A368, "vo_allies_moving_up" },
    { 0x4A3BC39C53A1CEE5, "vo_ally_warn_me" },
    { 0xD763FF4B5686610D, "vo_ambush_callouts" },
    { 0x277DD9F40836D5EE, "vo_ambush_enter" },
    { 0x342727DB35876A1F, "vo_apartment_civ_hallway" },
    { 0x4794D6A406C969A2, "vo_apartment_civ_shocked" },
    { 0xFB915375E354E469, "vo_apartment_civ_stairs" },
    { 0xF8582778214255A2, "vo_apartment_enforcer_grenade_taunt" },
    { 0x085117C85535FC26, "vo_apartment_enforcer_hallway_taunt" },
    { 0x247DE1C043DC15BC, "vo_apartment_price_flank_target" },
    { 0x3CBC7BE02B82A56B, "vo_apartment_price_grenade_aftermath" },
    { 0xE2DF77A5C0980725, "vo_apartment_price_spotted_target" },
    { 0x90FE379546710D98, "vo_apartment_price_tell_player_to_hurry" },
    { 0x7F7678F78EE14F74, "vo_areas_remaining" },
    { 0x43CE2C7B98A317BA, "vo_armen_bg_convo" },
    { 0x7D341F37D5BBE7BE, "vo_armory_01_approach" },
    { 0xB81D58A97DEF41C8, "vo_back_room_butcher_conversation" },
    { 0x59AF63294521018C, "vo_back_room_butcher_conversation_commentary" },
    { 0x16968CAB4C0D6964, "vo_back_room_enemies_dead" },
    { 0x695A19FBBF8D3363, "vo_back_room_enemy_engaged" },
    { 0x169CD20ABBDE7CA9, "vo_back_room_player_blew_cover" },
    { 0x7152E60744D654A5, "vo_back_room_player_rushed_door" },
    { 0x23AF6277EDAD13DB, "vo_back_room_price_dont_kill_butcher" },
    { 0x91ED2083C1CCEED6, "vo_back_room_price_on_your_mark" },
    { 0x29B8BB74511A7070, "vo_bar_shootout_approaching_kitchen" },
    { 0x27479647B6C02908, "vo_bar_shootout_enemies_cleared" },
    { 0x3DE99DF001B8CB73, "vo_bar_shootout_entrance" },
    { 0xF3A8729EB81E4A7D, "vo_bar_shootout_kitchen_clear" },
    { 0x5A17DF8FA19611D7, "vo_bar_shootout_through_door" },
    { 0x25221E1BBFCB2ABF, "vo_bar_street_civilians" },
    { 0xD56F59CD4D41AE1A, "vo_bar_street_enemies_cleared" },
    { 0xAC75417883E365E4, "vo_bar_street_enforcer_flee" },
    { 0xFD8BBDCF570CA61C, "vo_bar_street_wheres_enforcer" },
    { 0x8DC3C27292270FC0, "vo_beam_ally_close" },
    { 0xA94A9DB7D085E9C8, "vo_beam_confirms" },
    { 0x3732C300BE9FAA24, "vo_beam_cooldown" },
    { 0x755738C3448DD02E, "vo_beam_hit" },
    { 0x85E230F4EA8DE9CE, "vo_beam_negative" },
    { 0xCB2AAF038F3BA6AF, "vo_beam_nomark" },
    { 0x32A1BC7B9C5DD1B3, "vo_body_drag_door" },
    { 0x49E15DBE55900CD5, "vo_body_drag_dumpster" },
    { 0x6B5C05CDCC8CC1A7, "vo_body_drag_dumpster_actor" },
    { 0x338D69ECC4D68096, "vo_body_drag_dumpster_interrupt_think" },
    { 0xE316284705DA9861, "vo_body_poke" },
    { 0xC745ACAEE449BF52, "vo_body_poking" },
    { 0x7AB14DD73181A04F, "vo_bookstore_walla" },
    { 0x130FDB6335A4BDEF, "vo_boss_heli" },
    { 0xAEB4B8F8B04AFCDF, "vo_break_chair_tipped_back" },
    { 0x6D357AC5CF6A7B87, "vo_break_cough" },
    { 0x033DF7728708DEE6, "vo_break_enough_of_this" },
    { 0x0F8DB081F3D5B4A7, "vo_break_exercise_face_me_nag" },
    { 0x85944D8F65C08A2A, "vo_break_exercise_facewall_moving" },
    { 0xC6CC4D82EBB52B06, "vo_break_exercise_facewall_nag" },
    { 0x7A0E8660A3EBE202, "vo_break_exercise_goto_corner_nag" },
    { 0x1B171E0EEF84C8C8, "vo_break_exercise_left_corner_nag" },
    { 0x567B830AE63B406F, "vo_break_exercise_not_that_corner" },
    { 0x4CBE89D305A54B90, "vo_break_exercise_plans_to_escape" },
    { 0xBD7628F249985511, "vo_break_exercise_play_corner_dialog" },
    { 0x89710A6709C105E3, "vo_break_exercise_shock_effort" },
    { 0x9A562B930B547CA9, "vo_break_exercise_stay_in_corner" },
    { 0xE58E57C0394B8A0B, "vo_break_exit_bed" },
    { 0x7854F91578AB57CE, "vo_break_intro_hadir_beckon_from_bed" },
    { 0xAC95F955AD18DFCE, "vo_break_intro_hadir_beckon_to_bars" },
    { 0x8C9AD3DF4DB703B3, "vo_break_intro_hadir_calls_out" },
    { 0x0F37D6AA610BDFF1, "vo_break_intro_hadir_key_beckon" },
    { 0x8B9F3E09C14F1EE1, "vo_break_nag_out_of_cell" },
    { 0x0FB8A9909877D867, "vo_break_remind_dont_face_after_move" },
    { 0x510159C1E7A08498, "vo_break_shoved" },
    { 0x3D29920E171CC655, "vo_break_spit" },
    { 0xEE0680E656C3E821, "vo_break_tougher" },
    { 0x5DDCBE4192E58A97, "vo_break_try_steal_stunstick" },
    { 0xA004AEF422B7E48E, "vo_break_wakeup" },
    { 0xEE2B807AFE2241EC, "vo_break_wboard_all_day_nag" },
    { 0xD9D61E4CA1C0B3D6, "vo_break_wboard_azadeh_torture" },
    { 0xEC5069EF6016D80E, "vo_break_wboard_breath_low" },
    { 0x456D14685141005C, "vo_break_wboard_fail_breath" },
    { 0xB074C355EC1B3F31, "vo_break_wboard_fail_wake1" },
    { 0xB074C055EC1B3898, "vo_break_wboard_fail_wake2" },
    { 0xB074C155EC1B3ACB, "vo_break_wboard_fail_wake3" },
    { 0xB5A03D1BC35B1312, "vo_break_wboard_hold_breath_sound_loop" },
    { 0x7F2CDFF5C2DDCEDD, "vo_break_wboard_hold_still" },
    { 0x8DE19DEEEADDB57D, "vo_break_wboard_not_moving" },
    { 0x2D8CB4503010DCC8, "vo_break_wboard_obstructing_exit" },
    { 0xAD64A700BCE71BAD, "vo_break_wboard_passed" },
    { 0x493590AA7EC503FF, "vo_break_wboard_shove_remark" },
    { 0x80D1FECCC3F5045B, "vo_break_wboard_success_breath" },
    { 0x207E92BD4E653463, "vo_break_wboard_waterboard_choke" },
    { 0xFD995997AE20A229, "vo_break_wboard_waterboard_take_breath" },
    { 0x6FABE5812D8940AA, "vo_bridge" },
    { 0xBF832875D254273E, "vo_bs_callout_to_guard_2" },
    { 0x4114B55C5C10F501, "vo_bs_climbing_stairs" },
    { 0xD0E5F674AF0ACECE, "vo_bs_guards_discuss_punishment" },
    { 0x2880E9580FA30F46, "vo_bs_guards_enter" },
    { 0x76B01FB7C52E4B55, "vo_bs_guards_sounds_alert" },
    { 0x72F99E0D1F2E74F7, "vo_bs_idle_lines" },
    { 0xFC65A0D9690B7584, "vo_bs_radio_convo" },
    { 0x50CB5E0974EE50E2, "vo_bs_spotted" },
    { 0x374D4AF7CF15123B, "vo_bs_stab_guard" },
    { 0xE1E270304EB55F28, "vo_bs_wait_reach_grate_or_timeout" },
    { 0xB17195C1DC134890, "vo_bu_farah_screams" },
    { 0x1CBE1B7FF904234B, "vo_bu_post_breach" },
    { 0xD4D325B5438C921D, "vo_bu_smoke_fail" },
    { 0x615D13FD32F3DC7A, "vo_bu_spot_hadir" },
    { 0x1B5C0DD9000C8DEE, "vo_bu_spot_pow" },
    { 0xED214C5F06548E1D, "vo_bu_step_back" },
    { 0xB479C5C451BA4EF9, "vo_bu_try_open_gas_door_nag" },
    { 0x90973A9C8DC53EA3, "vo_bu_try_open_gas_lab" },
    { 0x84D47E89BA35AA98, "vo_bu_two_enemies" },
    { 0x31F5A9EFBF074488, "vo_bucket_is_empty" },
    { 0x0185CFBDC84FA4D2, "vo_callouts" },
    { 0x68522BAD2C3FDD8B, "vo_canal_aq_inbound" },
    { 0xB9E70614A967BBBF, "vo_canal_civilian_driveby_warning" },
    { 0x59A132808E8CA44F, "vo_canal_enforcer_on_bridge" },
    { 0x2B2CB2FE70F9EE3E, "vo_canal_enforcer_shoot_them" },
    { 0x35BD210110FE0595, "vo_canal_price_into_alley" },
    { 0x3F15E6988B58E978, "vo_canal_price_rpg" },
    { 0x3DAAB758CCA1F2F5, "vo_canal_price_rpg_nag" },
    { 0x83976DBFA3A60D6F, "vo_categories" },
    { 0xC612A351FFA3FA16, "vo_category_last_played_time" },
    { 0xBE82B1177FE7D494, "vo_cb_chair_carry" },
    { 0xB6AA371021442F63, "vo_cb_check_see_chair" },
    { 0x8CEE440FB9088592, "vo_cb_door_locked" },
    { 0x1084DAB979389040, "vo_cb_linger_no_chair" },
    { 0xCA857DE1E3E5EE69, "vo_cb_look_at_drain" },
    { 0x0CCF67C48DE478A7, "vo_cb_looking_at_stairs" },
    { 0xF432FD056E75A01F, "vo_cb_trying_to_climb_window" },
    { 0x12241F28E5F049B0, "vo_cb_wait_see_chair" },
    { 0x1E9D51359FEFF2FD, "vo_cb_window_view" },
    { 0x426CBBECF174E4E4, "vo_ce_button_hint" },
    { 0xAADA450D3E8ECC31, "vo_ce_check_rock_in_volume" },
    { 0x194B417068A11BE8, "vo_ce_check_rock_near_button" },
    { 0xDD6CF2F27835B502, "vo_ce_dig_in_respawner" },
    { 0x868E97E48868C0A7, "vo_ce_enter_cell" },
    { 0x065F9DD18BEEA04E, "vo_ce_hit_button" },
    { 0xF600C2A971C389FE, "vo_ce_made_shiv" },
    { 0xF65748DAEACB15A0, "vo_ce_nearly_hit_button" },
    { 0x918404C966B0377E, "vo_ce_opened_first_vent" },
    { 0x87C47AE6B9A3199C, "vo_ce_outside_cell_hint" },
    { 0x6C86AC50BC042A28, "vo_ce_pickedup_first_rock" },
    { 0xA2776E6C361120CA, "vo_ce_pickup_spoon" },
    { 0xD972448B3EC8EC14, "vo_ce_rock_hints" },
    { 0x8E99A62B5539FB6D, "vo_ce_vent_open_fail" },
    { 0xD08D65D7A6D2E518, "vo_chatter" },
    { 0xA1DB8DA972A0A0D8, "vo_check_hvt" },
    { 0xB8898D335B618177, "vo_check_hvt_final" },
    { 0x9981DB264C4D01F8, "vo_civ_ambush_alex_dialogue" },
    { 0x1E31B7A1B29DBCD5, "vo_civ_ambush_ambusher_killed_dialogue" },
    { 0x08A19ABEE307AD71, "vo_civ_ambush_ambusher_shoot_dialogue" },
    { 0x31C06065B4C4876C, "vo_civ_ambush_civ_react_dialogue" },
    { 0x975AD8513254DC75, "vo_civ_ambush_civ_react_female_dialogue" },
    { 0x97CBACDFD973049A, "vo_civ_ambush_civ_react_male_dialogue" },
    { 0xEEDBF88C63FFDFDC, "vo_civ_ambush_friendly_hands_up_dialogue" },
    { 0x34DCEF8FCAAF100D, "vo_civ_ambush_marine_hands_up_dialogue" },
    { 0x53F6CD08DDC51872, "vo_civ_ambush_player_handsup_responsive_dialogue" },
    { 0x9BB01C6323CA8E94, "vo_civ_ambush_wounded_aq" },
    { 0x69AD394251719DCF, "vo_civ_ambush_wounded_aq_init" },
    { 0xDD67F6C409C36809, "vo_civ_chatter" },
    { 0x7AE58F1C7022079A, "vo_civ_death" },
    { 0x843EFBF1E37F3CCF, "vo_civambush_alex_shoot_dialogue" },
    { 0xFF761A9CD9932A57, "vo_civambush_alex_take_point" },
    { 0x0F3DE9F5CDC6B535, "vo_civambush_griggs_nag_dialogue" },
    { 0x522566D7DBEE09EE, "vo_civambush_griggs_shoot_dialogue" },
    { 0x71D9BC484D98A4D3, "vo_civambush_griggs_stairwell_advance_dialogue" },
    { 0xFBB11947E992C982, "vo_civambush_group_progress_dialogue" },
    { 0x03DFCAEFA6BB78A2, "vo_civambush_marine_intro_dialogue" },
    { 0x697E659BDD04FB3C, "vo_civchatter" },
    { 0x6EDE83A95642D4A7, "vo_civkill" },
    { 0x4716FA6CDAFC27E1, "vo_clear_carpark" },
    { 0x58BB420ADD003A2D, "vo_collect_id" },
    { 0xBEFD3949680F5438, "vo_combat_start" },
    { 0x0277621B8E030336, "vo_control_tower" },
    { 0x9B22AC8AE1EB34DE, "vo_convoy_a10_flyby_react_dialogue" },
    { 0x0C06FED29217F2CD, "vo_convoy_alex_tripwire_callout_dialogue" },
    { 0xBDF68B3347EDD039, "vo_convoy_griggs_ahead_nag_dialogue" },
    { 0x3D136BD127675228, "vo_convoy_griggs_convoy_approach_dialogue" },
    { 0x8F6566F6F1C496CB, "vo_convoy_griggs_move_out_dialogue" },
    { 0x56E2921F63A96C9C, "vo_convoy_griggs_move_out_dialogue_done" },
    { 0x8F21490B0C9A0512, "vo_convoy_griggs_tripwire_callout_dialogue" },
    { 0x23C546E2BDF9547D, "vo_convoy_marine_convoy_greeter_dialogue" },
    { 0xB38B4C9307C4E641, "vo_convoy_sledgehammer_dialogue" },
    { 0x0DA44701C901FFA4, "vo_convoy_tripwire_nag_dialogue" },
    { 0xCF0BF27059B3AA63, "vo_convoy_tutorial_tripwire_disabled_dialogue" },
    { 0x9AD55A6FAAB71D76, "vo_convoy_viper_arriving_dialogue" },
    { 0x051632B670F4D3D7, "vo_convoy_viper_arriving_dialogue_done" },
    { 0xF9BDBB318C52AA8F, "vo_cr_enemies_fall_back" },
    { 0x7B54319844E84C59, "vo_cr_kill_retreating" },
    { 0x4DD8D545269E3620, "vo_crates_remaining" },
    { 0x10B2EA627D8BB20A, "vo_currently_playing" },
    { 0x34F649BE818B5DAC, "vo_death_callout" },
    { 0xA305544B64101B2F, "vo_death_drop_and_cash_protection" },
    { 0xEA134549507D5CBE, "vo_dialogue_prefix" },
    { 0x73AB09BE1C77389C, "vo_do_loudspeaker" },
    { 0xBC51C393B8032202, "vo_drag_scene_carry" },
    { 0x7EACEEA7CE18418D, "vo_drag_scene_idle" },
    { 0x198154F42AB71588, "vo_dragons_breath" },
    { 0x96578B1037E92289, "vo_drone_confirms" },
    { 0xB47BAE25CEAFD361, "vo_drone_cooldown" },
    { 0x8DB03C1A120E66D6, "vo_drone_friendlies_neg" },
    { 0xE83A3C57A18E0C45, "vo_drone_hit" },
    { 0xEAE03CE57BDE2DFF, "vo_drone_negative" },
    { 0xEF4D380986561211, "vo_drone_no_mark" },
    { 0x751596EA10FA1802, "vo_drone_tutorial" },
    { 0x9C8EDD5D01C68FB9, "vo_enemy_armor" },
    { 0x90E2CFE9E64D1B2A, "vo_enemy_heli" },
    { 0x2E10F14FD75FE949, "vo_enemy_underground_left" },
    { 0xF6F7161D5DC66BEF, "vo_enemy_underground_left_internal" },
    { 0xECC4E4AD09BE9BF2, "vo_enter_lab_nag" },
    { 0xDC632CFE9967E6A5, "vo_escalation_patrollers" },
    { 0x8856C0615AAE9AE7, "vo_escape_indoors" },
    { 0xF10BDECBD930C768, "vo_escape_outdoors" },
    { 0xF49914325C25DD91, "vo_evade_aq_molotov_taunt" },
    { 0x78D169D06619FCE0, "vo_evade_aq_runby" },
    { 0xAA2C10455DD1D2AB, "vo_evade_aq_runby_taunt" },
    { 0xBD18CA6C82E1244B, "vo_evade_butcher_taunt" },
    { 0xFFF58E016096141E, "vo_evade_police_dead" },
    { 0xE527B06174B2BCB5, "vo_evade_police_deploy_flashbangs" },
    { 0x5EC6A87339312537, "vo_evade_price_into_cafe" },
    { 0xC8A3C65CEB2D3FFC, "vo_ex_all_dead_warehouse_nag" },
    { 0xEB3C32AFFAAA8305, "vo_ex_ally_deaths" },
    { 0xC0B376752022576F, "vo_ex_barkov_escapes" },
    { 0x2DF62EE850C8D43C, "vo_ex_killed_sniper" },
    { 0xD3CAF469582B8FE1, "vo_ex_pa_russian_announcements" },
    { 0xF1F8DE22F939F169, "vo_ex_reinforcements" },
    { 0x50928CF68F9E370D, "vo_ex_rpg_guy_fired" },
    { 0xD5429EC825CE3F07, "vo_ex_spot_sniper" },
    { 0xA8F71F04C467C38E, "vo_ex_spotted_by_sniper" },
    { 0x50A0F368A8B632E3, "vo_exfil_helo_arrived_nag" },
    { 0x8215B1ABDC7A4C58, "vo_expired" },
    { 0x48A54C437504E46F, "vo_extra_patrols" },
    { 0x2AAB9A88F383E9C5, "vo_fa_post_phosphorus" },
    { 0x9D38A23ACD7E938A, "vo_face" },
    { 0xD056F08EFCA4CB0A, "vo_farah_hold_here" },
    { 0xF925501DDA86EB2B, "vo_fe_burning_woods" },
    { 0x0EAB83B894331CF8, "vo_ff_ambush" },
    { 0xDA5D3E63B6213164, "vo_ff_combat" },
    { 0x36903AA83B5FDD56, "vo_ff_exit_cellblock" },
    { 0xB5068EC054F34AC3, "vo_ff_guards_at_door" },
    { 0x2723C58CC97FD421, "vo_ff_weaponlocker_nag" },
    { 0x79E9CF69C0E2A541, "vo_final_struggle" },
    { 0x25FDCF3B2AE51030, "vo_five_remain" },
    { 0x56C10F9BC3D37CFD, "vo_fo_callin_strike" },
    { 0xD1D4CC81482B0A0A, "vo_fo_callout_checkpoint" },
    { 0x0C378BF0329DE1BB, "vo_fo_callout_railway" },
    { 0xD4682F3E426F2B2A, "vo_fo_callout_suv" },
    { 0xC3744FEB4A94AF07, "vo_fo_callout_truck" },
    { 0x465EE7DB8DA377D7, "vo_fo_checkpoint" },
    { 0xF9039CE257B4A870, "vo_fo_forest_walk" },
    { 0x8728FCEF0B43859F, "vo_fo_go_hot_admonishment" },
    { 0xF8803B2EA6E98C3D, "vo_fo_heli_complete" },
    { 0x30EAB775D01FC4F4, "vo_fo_overlook_kill_patrol" },
    { 0x1F43AB744E3B2FCF, "vo_fo_overlook_killed_patrol" },
    { 0x3F81ACA5AD0D069C, "vo_fo_overlook_player_kill_patrol" },
    { 0x91F289EAC5201AAF, "vo_fo_overlook_reached_edge" },
    { 0x7C5C17130136DC19, "vo_fo_overlook_scope_around_linger" },
    { 0x5FD38B59628E8E98, "vo_fo_overlook_scope_enter_chatter" },
    { 0x3C2704A632513D4D, "vo_fo_railyard" },
    { 0x629A0F2A9E0129AC, "vo_fo_spot_patrol" },
    { 0x919B91D3E2D0AB70, "vo_fo_suv_moving" },
    { 0xA77F50BE1B6630D0, "vo_fo_suv_patrol" },
    { 0x6DB964A382E75997, "vo_fo_target_calledin" },
    { 0x409961474D353B12, "vo_fo_target_hit" },
    { 0x5C20DBB9A2FE14F1, "vo_fo_tower_only" },
    { 0x4BF5092B04BDEB6B, "vo_fo_turn_off_light" },
    { 0xC89FA4EE8229B371, "vo_fob_center_snipers" },
    { 0x0F934387E0BF1795, "vo_fp_flashlight_nag" },
    { 0xE78ED3373627B0B8, "vo_fp_going_hot" },
    { 0x07D954C2844C5281, "vo_fp_patrol_eliminated" },
    { 0x18C2E4B31D49BEBD, "vo_fp_patrol_incoming" },
    { 0xAAFBE713171A54F0, "vo_friendly_fire_dialogue" },
    { 0x8BDE4F9DF658D0A0, "vo_functions" },
    { 0x676AD2589CD2CCD3, "vo_fusebox" },
    { 0x71F61A28D27AE9E4, "vo_gate" },
    { 0xDF43F1E61668F34C, "vo_gauntlet_init_van_damage_nags" },
    { 0x68171533354EA6F1, "vo_gauntlet_player_approach_enforcer" },
    { 0x5E51202F34147103, "vo_gauntlet_player_chase_enforcer" },
    { 0x1183890B56CBD001, "vo_gauntlet_player_in_van" },
    { 0x450A9E97E00C9DD1, "vo_gauntlet_police_incoming" },
    { 0x6EB2AAB822E3B164, "vo_gauntlet_price_get_in_van" },
    { 0xC6E06A746A9E6DA3, "vo_gauntlet_price_heading_for_river" },
    { 0xE63195067BD07A27, "vo_gauntlet_van_almost_leaves" },
    { 0x3CC655456BAA376A, "vo_gauntlet_van_damage_warning" },
    { 0x8ED90A03E05E0160, "vo_gauntlet_van_leaves" },
    { 0xF26D2B1CAF24912C, "vo_get_closest_available_marine" },
    { 0x9667A616C4D79DE8, "vo_go_left_right_nags" },
    { 0xDFBAD0EB49DECCC4, "vo_goto_router" },
    { 0xF8881D624A4B38CC, "vo_groundfloor_alex_corner_dialogue" },
    { 0x41B3D76E53196F7A, "vo_groundfloor_alex_tripwire_defused_dialogue" },
    { 0x74C675C8B3155C16, "vo_groundfloor_civilian_screams_dialogue" },
    { 0x7A64A5DB93BE4651, "vo_groundfloor_griggs_hallway_ambush_dialogue" },
    { 0xA2FFFF642950B96B, "vo_hacking_done" },
    { 0x71020B306B788D22, "vo_hadir_tunnel" },
    { 0x1EC348EC9E414AAD, "vo_hallway_run" },
    { 0x913AF3CFDF399B00, "vo_hallway_scene" },
    { 0xF17938D1A3F1FB01, "vo_hangar_door" },
    { 0x6C382922F3DB2BB8, "vo_heli_attack" },
    { 0xCCC7BCA6D0EE8394, "vo_heli_sees_player" },
    { 0xD0A41B9D8C70248D, "vo_heli_threaten_player" },
    { 0x797DE24CF9160B35, "vo_help_screams" },
    { 0x87F63A8D97B00632, "vo_hill_bottom" },
    { 0x8B42782D9DE64899, "vo_hill_charge" },
    { 0x42C5FC243FB5812D, "vo_hill_mid" },
    { 0xE03ACB23F893F294, "vo_hill_top" },
    { 0x60757AF050A6A3ED, "vo_hostage_approach" },
    { 0xC59932E0FC1E1456, "vo_hostage_sequence_underground_left" },
    { 0x1B52EC4996CD9E88, "vo_hostage_walla" },
    { 0xE783F65EF69ED1E4, "vo_hvt_think" },
    { 0xFB41E5340C07C30E, "vo_identify_hvt" },
    { 0xE9BA458A8882E2C9, "vo_incoming_mortar" },
    { 0x3C31D3FA7E063B46, "vo_increment_nag_counter" },
    { 0xACB52960C9A763A9, "vo_index" },
    { 0xD88FD7185240BBF3, "vo_injured_loop" },
    { 0xE41C6B62DD30A9D1, "vo_interrogation_acquire_nikolai_nags" },
    { 0xF2DCED560076DACA, "vo_interrogation_acquire_nikolai_remark" },
    { 0xE46AED67ACDC16E5, "vo_interrogation_ads_no_target" },
    { 0xA2D8B2C5C3153D5C, "vo_interrogation_door_intro_linger" },
    { 0x96D78D92BB551F71, "vo_interrogation_dry_fire" },
    { 0x4BF3D177D89A2719, "vo_interrogation_dry_fire_nags" },
    { 0x36CBC6A8158D07A6, "vo_interrogation_enforcer_ads" },
    { 0x4DA82B65A48EC697, "vo_interrogation_enforcer_ads_family_reaction" },
    { 0x433DF9BD23C812B6, "vo_interrogation_enforcer_death" },
    { 0xE08623B76E2BE57E, "vo_interrogation_enforcer_defeated" },
    { 0xC094D14171EDA0C0, "vo_interrogation_enforcer_melee" },
    { 0x568C7865B73A0054, "vo_interrogation_enforcer_shot" },
    { 0x8C0130AACED37843, "vo_interrogation_escort_halt" },
    { 0x49CCE21FC753C87D, "vo_interrogation_escort_move" },
    { 0x7DAC3EA22EA1E6C3, "vo_interrogation_escort_nikolai_nags" },
    { 0x96A278CF6E95B56C, "vo_interrogation_escort_start" },
    { 0x0A445EDDE6002365, "vo_interrogation_exit_killed_butcher" },
    { 0x7B72F1E8B8776CD3, "vo_interrogation_exit_nags" },
    { 0xF1FC7A83951B52C5, "vo_interrogation_exit_player" },
    { 0x533E32B9E6AF86EA, "vo_interrogation_family_ads" },
    { 0x530518B9E670D2D1, "vo_interrogation_family_aim" },
    { 0xDD1AE62C3427B2EA, "vo_interrogation_family_death" },
    { 0x25BF26986017B3D5, "vo_interrogation_family_idle_loop" },
    { 0xBE914ADFB9F6F4B4, "vo_interrogation_family_melee" },
    { 0x2E022C0D9965A699, "vo_interrogation_family_scream" },
    { 0x5F4C90CB08EE2B43, "vo_interrogation_final_load_weapon" },
    { 0x33E1C0F0A66E8FC5, "vo_interrogation_final_phase" },
    { 0xE5DC4B90F555BC3F, "vo_interrogation_intro_nikolai_nags" },
    { 0x5C44F5E7645A9100, "vo_interrogation_lines_setup" },
    { 0xF659CB806699D075, "vo_interrogation_linger_ads" },
    { 0xA2F52AA92A1EBAAF, "vo_interrogation_linger_idle" },
    { 0xC9568CFCF6BD1B83, "vo_interrogation_linger_no_shot" },
    { 0xC0CD0F0C62E9BF63, "vo_interrogation_nikolai_intro" },
    { 0xE19523B2071D99CA, "vo_interrogation_nikolai_van_open_remark" },
    { 0xA805810982A73741, "vo_interrogation_price_ads" },
    { 0x20DEF5247D74D5DD, "vo_interrogation_room_enter" },
    { 0x5E2032A21AA0CD61, "vo_interrogation_room_intro" },
    { 0xFB990048BE960734, "vo_interrogation_son_death" },
    { 0x0F0200E6047BAC6C, "vo_interrogation_weapon_pickup" },
    { 0xE3DAB04C68CF3147, "vo_interrogation_wife_death" },
    { 0x67D61CFD6DCE98F9, "vo_intro_griggs_nag_dialogue" },
    { 0x949F352E6B4ED1BB, "vo_intro_marine_oorah_dialogue" },
    { 0x7E405CE52DFDF336, "vo_intro_nag_manager_1" },
    { 0x7E405BE52DFDF103, "vo_intro_nag_manager_2" },
    { 0x7E405AE52DFDEED0, "vo_intro_nag_manager_3" },
    { 0xB9DC22BFEB2853AF, "vo_intro_walla" },
    { 0x4FE6D9477EBB9F76, "vo_is_playing" },
    { 0x8FBFF575CB38B112, "vo_jammerdestroyed" },
    { 0xAD37614B70899187, "vo_jammerreturning" },
    { 0xE8D58AA12021C179, "vo_jug_wait_to_be_seen" },
    { 0x2830959387B82F84, "vo_jugg_stealth" },
    { 0x6157DC5C46C7DF3F, "vo_juggernaut" },
    { 0xBE6749ECD49E025A, "vo_juggernaut_back_room_nag" },
    { 0x098CD00CFDC8D8F1, "vo_juggernaut_damage" },
    { 0xB83C16E715B90F62, "vo_juggernaut_death" },
    { 0x8DB96CF1271F20C4, "vo_juggernaut_fire" },
    { 0x169AD3657219D2A9, "vo_juggernaut_kills" },
    { 0xF92EF4A10DB0A958, "vo_keep_up_nags" },
    { 0x733814F70CED9D32, "vo_killcount" },
    { 0xDA1C2E70FA92BA3F, "vo_knockout_manager" },
    { 0x7E417DFE0217D4AE, "vo_knockout_manager_dialogue" },
    { 0x32936892E07BD646, "vo_knockout_manager_get_random" },
    { 0x056AFC3736E93838, "vo_knockout_manager_reset_check" },
    { 0xFBC3E4894E46805A, "vo_left_crash_react" },
    { 0x5EBA19ADC2A7A1DB, "vo_length" },
    { 0x8043511F2C91320A, "vo_light_enemies_convo" },
    { 0x7D377A69F084FD7D, "vo_light_nag_if_not_shot" },
    { 0xA83E080C6D5676FF, "vo_light_shot_enemy_chatter" },
    { 0x55082AA429B3D797, "vo_light_tut" },
    { 0x8AAB5A10653D5B22, "vo_lilly_civ_react" },
    { 0xB1BEF13D4CD1F3EE, "vo_lilly_execution" },
    { 0xB1E56B251D4D42CA, "vo_lillywhites_cleared" },
    { 0x53034408BE6A2083, "vo_lobby_griggs_nag_dialogue" },
    { 0xBD4044F87CFFF8A3, "vo_lobby_griggs_secure_lobby_dialogue" },
    { 0x8B430CD9AB4CD6E5, "vo_lobby_marine_civ_warning_dialogue" },
    { 0x3B7807F8FE438D60, "vo_lobby_marines_secured_dialogue" },
    { 0x868FC5201CE8E96D, "vo_manifest_scanned" },
    { 0xFA9623AFBC884D6C, "vo_mansion_escalation" },
    { 0x2395092DD22BE74E, "vo_marines_leaving_area_nag" },
    { 0x852E8F4BCBB51DF9, "vo_mghall_alex_tripwire_l_defused_dialogue" },
    { 0x1CBB3263C50EA6F7, "vo_mghall_alex_tripwire_r_defused_dialogue" },
    { 0x36570D7EC759C511, "vo_mghall_enemy_trap_shout" },
    { 0xA5269E2CE9A80B63, "vo_mghall_griggs_gunner_dead_alex_dialogue" },
    { 0x34338E0A97EF3F4A, "vo_mghall_griggs_shoot_nag_1_dialogue" },
    { 0x13219B74281A5281, "vo_mghall_griggs_shoot_nag_2_dialogue" },
    { 0xBE1DC058AE639B33, "vo_mghall_griggs_smoked_dialogue" },
    { 0x316A3484CF789400, "vo_mghall_marine_clear_dialogue" },
    { 0xB139CDE4107CC816, "vo_mghall_marine_reloading_dialogue" },
    { 0x5B6F10F3A785A000, "vo_mghall_marines_intro_dialogue" },
    { 0x235A87B2C1219196, "vo_mghall_smoked_dialogue_handler" },
    { 0x6E4ED343E986ADCC, "vo_mhbreach_alex_bedroom_clear_dialogue" },
    { 0x6E3133C740789FE9, "vo_mhbreach_alex_civ_down_dialogue" },
    { 0x32D03C91C08436B4, "vo_mhbreach_alex_kitchen_clear_dialogue" },
    { 0x0503A6A5400AF1ED, "vo_mhbreach_alex_staircase_dialogue" },
    { 0xF2E4195D11658CF2, "vo_mhbreach_alex_stairs_climbing_dialogue" },
    { 0x660237F8CB67AC46, "vo_mhbreach_alex_tripwire_dialogue" },
    { 0x356EB463858E3490, "vo_mhbreach_griggs_breach_dialogue" },
    { 0x6DFB9E486C5B2D4A, "vo_mhbreach_marine_bedroom_clear_dialogue" },
    { 0x991F20485024AB7F, "vo_mhbreach_marine_clear_dialogue" },
    { 0xD2479E35683CE3BB, "vo_mhbreach_marine_defuse_nag_1_dialogue" },
    { 0x8A0C4A7EC1B753D0, "vo_mhbreach_marine_defuse_nag_2_dialogue" },
    { 0x975C4FBB2E1F7332, "vo_mhbreach_marine_ready" },
    { 0xE47972EAA7A740C9, "vo_mission_end" },
    { 0x3BA7D32414366199, "vo_ms_nag_sas_door" },
    { 0x647323D810EF5FE9, "vo_ms_sniper_alive" },
    { 0xF1EA9BCEBB02150B, "vo_murderhole_alex_throws_smokes_dialogue" },
    { 0x3508D39EFE7FD0C1, "vo_murderhole_griggs_alley_dialogue" },
    { 0xDAFB170A55EAF52C, "vo_murderhole_griggs_ied_dialogue" },
    { 0x640134E19C3A28A2, "vo_murderhole_griggs_smoke_advance_dialogue" },
    { 0x053D0854F6DC4C8D, "vo_murderhole_marine_throws_smokes_dialogue" },
    { 0x1651F425E39C7FE2, "vo_murderhole_mg_dontshoot_nag_dialogue" },
    { 0xCCBFEC2FD3D86909, "vo_murderhole_throw_smoke_nag_dialogue" },
    { 0xA822C8F21C8AC75E, "vo_nag_after_time" },
    { 0x55E8CACAF989087B, "vo_nag_hangar" },
    { 0x3EE1F63AAF7CB9C6, "vo_nag_mark_crates" },
    { 0xFC3F0FD0F2CB703F, "vo_nag_plant_router" },
    { 0xCBEBD87E3547D6E9, "vo_next_ambient" },
    { 0xE6E74111A707F536, "vo_one_remain" },
    { 0x1283331EB359CC11, "vo_paratroopers" },
    { 0x305AB91EE2B925DB, "vo_pipes_outdoor" },
    { 0x4E32AC34692F6FA8, "vo_played_waitforaidrop" },
    { 0xCF6C8962EBEF04DD, "vo_player_crazy_fail" },
    { 0xD7DC554CA978B2C2, "vo_player_in_center_nags" },
    { 0x1107F67CFD2FF43E, "vo_player_in_mansion" },
    { 0xE4949FF20C583791, "vo_player_sniping" },
    { 0xAAC51CDE9A2903F3, "vo_player_wander_fail" },
    { 0x233827611EF4EF7B, "vo_player_wander_nag" },
    { 0xCE37AE3DBBA803B6, "vo_post_bomb_walla" },
    { 0x6A636CC2574C938C, "vo_post_gap_bomber" },
    { 0xA94F4488F71C9327, "vo_prefix" },
    { 0x610AD31D834C3DAD, "vo_price_content_warning_nags" },
    { 0xA78FE6FF75CDF517, "vo_price_kyle_content_warning" },
    { 0xCF7189B1BF51D5B7, "vo_price_lab_entrance_nags" },
    { 0xB9FE0A2AD4272236, "vo_price_take_em_out" },
    { 0xA7A8B3B8D1635305, "vo_price_warning_accepted" },
    { 0xC6C40BDEB92518E6, "vo_price_warning_rejected" },
    { 0xD4BD19EDDBFA3EF2, "vo_priority_level" },
    { 0xED4CD30D4A2B6B68, "vo_pursuit_target_escaped_fail" },
    { 0xF52485D39983ED1F, "vo_pursuit_target_escaping_nag" },
    { 0x86D4F7B4CCF2E81A, "vo_pursuit_target_hurt_nag" },
    { 0x8198A97A60110A1C, "vo_pursuit_target_killed_fail" },
    { 0x97C570DD3D643FD2, "vo_queue" },
    { 0xA501090078A2F907, "vo_radio_done" },
    { 0x7EFBBA231BABC339, "vo_radio_start" },
    { 0x3B3DE72750A4192F, "vo_rappel" },
    { 0xEEFFBF6D52830319, "vo_rappel_ahead" },
    { 0x2EE1CA94B26AB867, "vo_rb_breaching" },
    { 0x52EEED1CA20FA042, "vo_rb_reached_breach" },
    { 0x673BE041E89018F8, "vo_rb_ru_breach_guys" },
    { 0x0588083C71E08CFA, "vo_rb_ru_breach_guys_pre_breach" },
    { 0x2249BB84F7F3649C, "vo_rc_mg_defeated" },
    { 0xDFEC19FA81CD7444, "vo_rc_mg_grenade_hint" },
    { 0xFD243249EE0D8E5B, "vo_rc_mg_hint" },
    { 0xD1228AB5883F5570, "vo_rc_mg_reminder" },
    { 0x0208EA2D4B173114, "vo_rc_mg_suppress_reminder" },
    { 0x402D67A85707DD38, "vo_rc_mg_suppressed" },
    { 0x0483A2A48C8DAD0D, "vo_rc_mount_reminder" },
    { 0x4B78FF1909B9C2A2, "vo_rc_set_mg_goal" },
    { 0xB4E646AA3B76F680, "vo_rc_set_mg_suppress_goal" },
    { 0x7293567675CF5F54, "vo_rci_mg_breach" },
    { 0x553FF2A7684882FC, "vo_rci_player_tries_door" },
    { 0x5867978A3E601873, "vo_rci_rus_radio_trans" },
    { 0xD00CFEBEB886CB75, "vo_re_crawling_burner" },
    { 0xA3A26ADD7E67D48C, "vo_re_entrance_burner" },
    { 0x03FAAF86DCA7F6F6, "vo_re_entrance_fire_damage" },
    { 0x1FBA8D7D554FBA2F, "vo_re_pistol_burner" },
    { 0x5DC067E11A20450A, "vo_re_tower_collapse" },
    { 0xF6BE8F938999C50A, "vo_resume_interrupted_dialog" },
    { 0xA32C58A8F9A0D19E, "vo_retreat_alex_mh_clear_dialogue" },
    { 0x133D1B47689A205B, "vo_retreat_alex_nags" },
    { 0xFB6965687DE66D55, "vo_retreat_exit_sprint_monitor" },
    { 0x3836B180AD18A822, "vo_retreat_griggs_advance_bombardment_dialogue" },
    { 0x7960D00731D12F7C, "vo_retreat_griggs_advance_dialogue" },
    { 0x6D19D5B093B56CFD, "vo_retreat_griggs_advance_nags" },
    { 0x4FD1BFEB70C5EC4E, "vo_retreat_helo_air_support_intro_dialogue" },
    { 0x6D690E4F1872D835, "vo_retreat_marine_advance_ambush_initial_dialogue" },
    { 0xF5271125F16402DE, "vo_retreat_marine_advance_reactions_dialogue" },
    { 0x66BFB2FB2160178A, "vo_retreat_marine_bombardment_reaction_dialogue" },
    { 0x36405BAD4D0151FB, "vo_retreat_marine_rpgs_clear_dialogue" },
    { 0x237F37C3B8151FAB, "vo_right_bomber_reaction" },
    { 0xC9C1872107FA307A, "vo_rpg_guy" },
    { 0x8C8D9B83FCEDE4AD, "vo_searching" },
    { 0xECC8D3BB5EC20736, "vo_skipped_first_location" },
    { 0xB20D95AAC422C120, "vo_smoke_nag_dialogue" },
    { 0x80DE7457FB39099B, "vo_snakecam_griggs_snakecam_ready_dialogue" },
    { 0x08A30FB818EA1B0A, "vo_snakecam_griggs_snakecam_start_dialogue" },
    { 0x4A051D0849EE7FE1, "vo_snakecam_griggs_tripwire_start_dialogue" },
    { 0xD08733A397545739, "vo_snakecam_hostage_dialogue" },
    { 0x75AC4132FCCCECA0, "vo_snakecam_wolf_dialogue" },
    { 0x137DF89614E14BB3, "vo_snakecam_wolf_speech_dialogue" },
    { 0x1D1AB3A75D134892, "vo_sniper_bus_scene" },
    { 0xEE81DF318096AD0F, "vo_sources" },
    { 0xF88D684904146011, "vo_stacy_killed" },
    { 0x229F60237C4DA12E, "vo_stairs_balcony_guy" },
    { 0x31FAA4029BC5626C, "vo_stakeout_choose_weapon" },
    { 0x8070C6ED3260E03B, "vo_stakeout_civ_on_stairs_alerted" },
    { 0xB86F3FB9B312413D, "vo_stakeout_civ_on_stairs_casual" },
    { 0x471FF5F31EB16FAD, "vo_stakeout_civ_on_stairs_killed" },
    { 0xF3F4B25B91E19DDB, "vo_stakeout_exit_apartment" },
    { 0x8E8C21DE522CFA54, "vo_stakeout_fire_weapon_indoors" },
    { 0x39F4411003F04A68, "vo_stakeout_intro" },
    { 0x668CBD04CF1C84E4, "vo_stakeout_move_to_street_level" },
    { 0x34C7DB8D206D4CD9, "vo_stakeout_nikolai_gun_nag" },
    { 0x9127C27469A3E515, "vo_stakeout_nikolai_stairs_nag" },
    { 0x625DA9F5CC899EE1, "vo_stakeout_pri_not_bad" },
    { 0xE3C30CC381F86053, "vo_stakeout_price_gun_nag" },
    { 0x4D2EF10FF9068B5E, "vo_stakeout_price_in_here" },
    { 0xF67F4B46BC1FB05F, "vo_stakeout_price_stairs_nag" },
    { 0xEE5AEEEA4A5D9B9E, "vo_stakeout_start_down_stairs" },
    { 0xC8F71C549C2CAB2B, "vo_stealth_again_holster_weapon_nag" },
    { 0xDB4D3CEC89428DB6, "vo_stealth_broken" },
    { 0x4B135A94D39EC256, "vo_stealth_exchange" },
    { 0xB8AFBEAD46B64735, "vo_struct_trig" },
    { 0xC1648EDA4EB54486, "vo_suffix" },
    { 0xF9FF991FA523B6FB, "vo_suppress_alias" },
    { 0x8965400DBCC54170, "vo_suppress_count" },
    { 0xAAAE94BEF242D7BA, "vo_system" },
    { 0x7AAD8B064A6D5DD2, "vo_system_busy" },
    { 0xA493F428200C47FB, "vo_system_playing_vo" },
    { 0xDCD332CF22818855, "vo_table" },
    { 0x7D265AD57F10EAA9, "vo_tall_grass" },
    { 0x7C65C0B1971D516F, "vo_ten_remain" },
    { 0xAA05AB6FA683FF36, "vo_three_remain" },
    { 0xBBB3C0CCE22042FE, "vo_timeout" },
    { 0x5224751CD0266882, "vo_timeout_manager" },
    { 0xB0BC62229D242D90, "vo_tripwire_next_callout_time" },
    { 0x397EC4C335C2BB92, "vo_ts_call_shotgun" },
    { 0xBDDFFEF96153873E, "vo_ts_shotgun_nag" },
    { 0xC5DC65F330BE103F, "vo_ts_wrong_vehicle" },
    { 0x4E65D96B3A69EB16, "vo_tunnel_callout" },
    { 0x5B973300972FEE8D, "vo_tunnel_nags" },
    { 0x9857503DAF957540, "vo_two_remain" },
    { 0x934640F99FD3AF8B, "vo_type" },
    { 0xFA9D6B8A76570371, "vo_underground_rescue_right" },
    { 0xA24E4537CC834AED, "vo_underground_right_walla" },
    { 0x0359720FB31C36B6, "vo_unkown_car" },
    { 0xA9E4778C78C0860D, "vo_use_beam_nag" },
    { 0x61F967ED8F67C71A, "vo_use_beam_nags" },
    { 0x03BF2FBE40FD0CC6, "vo_use_computer" },
    { 0x98E88FBD9B95410F, "vo_use_drone_nags" },
    { 0x432D2BC9FBFA2A4C, "vo_via_flag" },
    { 0x20E323AD6EC10072, "vo_via_trigger" },
    { 0x7F26AC9DA1D0D4B7, "vo_walla_charge" },
    { 0xBBB9B42074C8982C, "vo_walla_crawl_soldiers" },
    { 0x7B38630EB99210D4, "vo_walla_detonation_react_01" },
    { 0x7B38660EB992176D, "vo_walla_detonation_react_02" },
    { 0x65580A86DE6D0166, "vo_walla_emergency_responders" },
    { 0xCE3A3479CB95DD56, "vo_walla_expl_react" },
    { 0x828B2757352978CC, "vo_walla_guards_alert" },
    { 0xE96EA7F65B02F4A6, "vo_walla_play_guard_alert" },
    { 0x9BB83396B054F3D9, "vo_walla_truck_gate_charge" },
    { 0xF6812B65C401C68D, "vo_warn_missiles" },
    { 0x62098656D999EB81, "vo_warn_nonsuppressed" },
    { 0x387C0BE83C36EB6C, "vo_wc_all_dead" },
    { 0xCC1124D187061C0F, "vo_wc_catwalk_defender" },
    { 0x936E5DD304A4695B, "vo_wc_catwalk_defender_moved" },
    { 0x6AFAA120B6FACFB7, "vo_wc_entered_main_warehouse" },
    { 0x85B62E7845F4D687, "vo_wc_first_contact" },
    { 0xEADC8AB65710E877, "vo_wc_first_runner" },
    { 0xBE9EF41B49D3F10C, "vo_wc_head_inside_nag" },
    { 0x5AED9BF79C6BE349, "vo_wc_hear_enemies" },
    { 0xE99206DB4E4C06DC, "vo_wc_kill_runner1" },
    { 0x191165B81A7B1FBE, "vo_wc_laststand" },
    { 0xF9ADB8EF45CF6081, "vo_wc_shelf_runner" },
    { 0x4266B8EA1E87958F, "vo_wc_shelf_runner_killed" },
    { 0x9B5AC1AA1C504644, "vo_wdg_approach_gas_truck" },
    { 0x3D288589A44097EB, "vo_wdg_discover_russians_callout" },
    { 0x43FBBC2A03314DB7, "vo_wdg_found_button" },
    { 0x32F306D83C58AF00, "vo_wdg_found_gas" },
    { 0xB318F4BEC2C33721, "vo_wdg_nag_exit" },
    { 0xA01BF6601BB7AFF4, "vo_wdg_nag_find_power" },
    { 0xBCBA5F96B959FF30, "vo_wdg_tried_door_button" },
    { 0xD69EA06DBC743152, "vo_we_alpha1_enter_warehouse" },
    { 0x12920B22B544C9CB, "vo_we_bravo2_enter_warehouse" },
    { 0xC060B97914E60CF8, "vo_we_bravo3_enter_warehouse" },
    { 0x88066D2AFBD63DCD, "vo_we_door_approach" },
    { 0xDFA4399D8AAB51E3, "vo_we_nag_enter_warehouse" },
    { 0x9E02EA01E2CD29C5, "vo_we_open_door" },
    { 0x3BE55945C4FE856B, "vo_we_power_off" },
    { 0x03012ADB74F901DF, "vo_while_reviving" },
    { 0xB82FF3E42E61F32A, "vo_wolf_alex_start_dialogue" },
    { 0x1FAFBA165540A913, "vo_wolf_alex_tripwire_approach_dialogue" },
    { 0x5E989E7CFF40A99B, "vo_wolf_alex_tripwire_cleared_dialogue" },
    { 0x7F237E832DE9768B, "vo_wolf_alex_tripwire_encountered_dialogue" },
    { 0x1F0CA96B32034C03, "vo_wolf_aq_takedown_alerted_dialogue" },
    { 0xB3B476FE0C23DA5E, "vo_wolf_escape_entrance" },
    { 0x9B629B1478F3EB03, "vo_wolf_fail_timer_nag" },
    { 0x449FB90194040B73, "vo_wolf_fail_timer_radio_nag" },
    { 0x01D67BA53412DAFB, "vo_wolf_marine_balcony_advance_dialogue" },
    { 0xA6DA1728E936F11E, "vo_wolf_marine_tripwire_triggered_dialogue" },
    { 0xF47ACE72F4D2A642, "vo_wolf_snakecam_dialogue" },
    { 0x8FE8BD09A587540E, "vo_wolf_wolf_tripwire_cleared_speech_dialogue" },
    { 0xFA0C3194950D1DB3, "vo_woods" },
    { 0xCE07CFC0492E4A27, "vocalloutstring" },
    { 0x7DB2C12645BEDC01, "vodestroyed" },
    { 0xB575362998E21149, "vogone" },
    { 0xF3E9ECDECB04BDE5, "voice" },
    { 0x9D313A570AB97C8A, "voice_is_british_based" },
    { 0x37ACA267F3C3D581, "voicecanburst" },
    { 0x29A9BD7770648780, "voiceid" },
    { 0x8F05C5815A8B594B, "voiceindex" },
    { 0x7452DEEE5090C8CF, "voicelastindex" },
    { 0xB51DC3A8CFADB3DC, "voicelines" },
    { 0xC9D47E649A13E8EF, "voicemaxindex" },
    { 0x2807A12622EB0CE3, "void" },
    { 0x06CFCE03402CEFF6, "vol" },
    { 0xBBE0C5FA7CB9B6DD, "vol_create_and_validate_node" },
    { 0x4B9B8202CCBCB8BA, "vol_create_cover_nodes_from_grid_point" },
    { 0xC9359A194021F3A7, "vol_increase_x_coordinate" },
    { 0xDF34D31FFB1056FE, "vol_increase_y_coordinate" },
    { 0x6FFF8D030223A231, "vol_increase_z_coordinate" },
    { 0x6E689589192B7C3B, "vol_validate_grid_pos" },
    { 0x956DBB82B3F01C1B, "volume" },
    { 0x4EDF8614EE87B1C2, "volume_intersection_test" },
    { 0x906FC871B90E78B8, "volumes" },
    { 0x3B820DDB3A2CE1B5, "volumetricanisotropy" },
    { 0x9B7EB78E0A9743B5, "vopenangles" },
    { 0x670415BB0DC99F40, "vopenedangles" },
    { 0x8968CEBECF92D149, "voqueue" },
    { 0x27CEB42622ACBBC1, "vote" },
    { 0x37AAC53FA7D14D46, "vote_player_init" },
    { 0xC42007221B19DC03, "vote_player_reset" },
    { 0x362FB643D31C524C, "vote_player_set" },
    { 0x3851E1DE41E0C876, "votes" },
    { 0x30B3A515A0469949, "votestokick" },
    { 0xB32231A946EB6949, "votesys_init" },
    { 0xB3E3BA3F4BF0EAAF, "votesys_new" },
    { 0xEA26DE21561C6709, "votesys_think" },
    { 0xC749FE2765333649, "votesys_update_playercount" },
    { 0x06B50822EE01D78A, "votesys_update_time" },
    { 0x8A749C1FA2F50683, "votimedout" },
    { 0x6C66676B947B4F57, "votimeendingsoon" },
    { 0xD09B31A881DC6089, "votimeout" },
    { 0x1521A4CCC67C0E7F, "votimer" },
    { 0x818808CAB56164B2, "voting" },
    { 0x65A925930247ED4E, "voxelrootnodesize" },
    { 0xF0EF9CDA017E0151, "vpoint" },
    { 0x85A638EF12ABE94F, "vspawner" },
    { 0xB9B8738558274A1C, "vstartposition" },
    { 0x31B150C9682ABEF6, "vtclassname" },
    { 0x33B4DBE89E25ABA0, "vtmodel" },
    { 0x2CAFD8D96D01388B, "vtoverride" },
    { 0x05B6658CE223E67B, "vttype" },
    { 0xC59C667CD029A07F, "wagingplayer" },
    { 0xA2291513E42F439C, "wait" },
    { 0x9E86F0008FF30F4B, "wait_01_max" },
    { 0x9E6406008FCCF7F5, "wait_01_min" },
    { 0x4DB09ADD1E714A2A, "wait_02_max" },
    { 0x4DD384DD1E976180, "wait_02_min" },
    { 0x8E47142C2DA4AEFF, "wait_after_first_counter" },
    { 0x9C84D46960BBAC48, "wait_after_max_spawn" },
    { 0xB41AD355F7288C28, "wait_all_spawns_dead" },
    { 0x0142AC33D711AC82, "wait_all_spawns_dead_and_time" },
    { 0x912FE8CEEDF5AD76, "wait_all_vo_sources_finish_speaking" },
    { 0x1C7EAB2511D02AB4, "wait_and_delete" },
    { 0xDB9B28C21926EC47, "wait_and_destroy" },
    { 0x803BF9C8FAA62884, "wait_and_force_weapon_switch" },
    { 0x6218AD2682D76013, "wait_and_give_perk" },
    { 0x72AF674F2D7BDEFF, "wait_and_give_player_xp" },
    { 0x5E52A2B8D836B33A, "wait_and_kill_underbarrel_grenade_launcher_monitors" },
    { 0xDF521CA50A18EAB4, "wait_and_play_tutorial_message" },
    { 0x406F88004B7827B5, "wait_any_delay_pausable" },
    { 0x7954DA4B9C0AE266, "wait_any_delay_type" },
    { 0x5BCCAA5A2D97F0C2, "wait_any_func_array" },
    { 0x43450A71F392F13E, "wait_any_input" },
    { 0x6C6AE53E68E7BB2C, "wait_any_input_with_stick" },
    { 0xA598F5A615BA2DAC, "wait_any_trip_defused" },
    { 0x21B671090C6E208F, "wait_assign_friendnames" },
    { 0x5504E089ECCD5CF9, "wait_at_spawn_counts" },
    { 0x3C5683F65E8E9407, "wait_at_station" },
    { 0x74AB8D1C1EB487DE, "wait_attic_enemy_death" },
    { 0xBFAA62EFF6635BB5, "wait_barkov_grabs_farah" },
    { 0x068027312A405E06, "wait_barkov_hits_farah" },
    { 0x7799913C15579F13, "wait_between_combat_action" },
    { 0xBEC01533A14977B7, "wait_between_shot_round" },
    { 0x8C45B84408B1A2FD, "wait_between_shots" },
    { 0xC133E60D2D837B49, "wait_between_stations" },
    { 0x0FC7584FC9623484, "wait_check_player_anim_interference" },
    { 0x33192746110AB1D8, "wait_check_player_anim_interference_group" },
    { 0x777E374F8EDDBF04, "wait_clear_friendname" },
    { 0x840B6D1DE070DADF, "wait_combat_cooldown" },
    { 0xB04919FF51E49DFE, "wait_combat_exit" },
    { 0x7154C70B6098116B, "wait_display_pavelow_boss_health_bar" },
    { 0x911436B191A66E49, "wait_do_waterboard_point" },
    { 0x47E61322A883B1DC, "wait_end_transition" },
    { 0x491ABE7A2F77D0C3, "wait_enemy_deaths_or_clear" },
    { 0x1ECDEF421BC96CEB, "wait_enter_and_leave" },
    { 0x507A5A204B7C0D36, "wait_extraction_timer" },
    { 0xD60E7634F63ABB5D, "wait_finish_speaking" },
    { 0x176D747B18178854, "wait_fire_mainhouse_flashbangs_and_smokes" },
    { 0x13460876C27A07B6, "wait_first_contact" },
    { 0xC314220FC02098A5, "wait_flag_or_ai_death" },
    { 0x5A31047B49D6DDEB, "wait_floor_clear" },
    { 0x3AD1EB473EBB494F, "wait_fly_drone" },
    { 0x0B21D76FC6547F7A, "wait_for_ai_dead" },
    { 0xB10552A5803CBA9A, "wait_for_ai_spawned" },
    { 0x64316E8C265C900F, "wait_for_all_extracts" },
    { 0xF02E6A0BA3D7CD4B, "wait_for_all_group_dead" },
    { 0xCC365E0F6350CF6B, "wait_for_all_keycards" },
    { 0x946D0BE842F8966D, "wait_for_all_multi_group_dead" },
    { 0x31CC384566DD6E85, "wait_for_all_players_in_airlock" },
    { 0x6F9CB558E6C728BB, "wait_for_all_players_or_timeout" },
    { 0xE5BE2AF455DAAF21, "wait_for_all_players_ready" },
    { 0x485F81AB1722BD34, "wait_for_all_traps_disabled" },
    { 0xCF4BC5FCF9F7940D, "wait_for_an_unlocked_trigger" },
    { 0x4463C836B0934B5E, "wait_for_any_button_press" },
    { 0x552B2973364829D7, "wait_for_any_sat_death" },
    { 0x097AB6D1D6974BD1, "wait_for_anyone_nearby_hint" },
    { 0x67501DD60265683A, "wait_for_at_least_one_player_spawns_in" },
    { 0x742509AE578204F2, "wait_for_bomb_detonator_to_stop_moving" },
    { 0xA5BA139E3BFCB32D, "wait_for_boss_death" },
    { 0xB0A4E2F1E5E9BA04, "wait_for_break_in_chatter" },
    { 0xC546984DCD8D7711, "wait_for_buffer_time_to_pass" },
    { 0xFF457FC0E5985889, "wait_for_chained_oil_fire_to_go_out" },
    { 0x6CEE03F50659713C, "wait_for_chopper_boss_finish_turning" },
    { 0x665B6BE2B667FFB6, "wait_for_combat_start" },
    { 0xDA5507F6033269F2, "wait_for_computer_power" },
    { 0x2F672D9E6A1648E0, "wait_for_convoy_reach_node" },
    { 0x16D9D03F0038D14A, "wait_for_crate_drop_to_ground" },
    { 0x1827AE913456F98A, "wait_for_cs_flag" },
    { 0x498FFFE3078020DD, "wait_for_delay_and_then_blowup_plane" },
    { 0xF291DE4CBF913418, "wait_for_deletables" },
    { 0xC421CDF0A5FDE78A, "wait_for_distant_explosion" },
    { 0x9B7F4E71CEED10FD, "wait_for_door_anim_end" },
    { 0xA246F6C92D58D12F, "wait_for_door_breach" },
    { 0xC6560E747D485A56, "wait_for_door_cut" },
    { 0x79B3922DE8F1FC35, "wait_for_door_cut_long" },
    { 0x8DE786145AB1F2CE, "wait_for_door_open" },
    { 0x4964540727247BE6, "wait_for_dropped_weapon_or_timeout" },
    { 0x992876643966C83D, "wait_for_either_flag_or_time_elapses" },
    { 0x8B09DE0C7B242E5B, "wait_for_either_trigger" },
    { 0x608FB41C2529193B, "wait_for_elevator" },
    { 0xC750A0B0115DE3C4, "wait_for_enemies_cleared" },
    { 0x7F352A0069F0DEE2, "wait_for_enemies_inarea" },
    { 0x75055D78A2C93102, "wait_for_escort_start" },
    { 0xFE21F9E6C76C90CB, "wait_for_event_complete" },
    { 0xDC5E5B11CDB0FE6E, "wait_for_exit_revive_use_hold_think" },
    { 0xF2B074E8DD84A101, "wait_for_first_lead_pickup" },
    { 0xEA69CD208BCA1C16, "wait_for_first_player_connect" },
    { 0x704A54740E7BD9B1, "wait_for_flag_or_time_elapses" },
    { 0x84E8E8EE82C04DF5, "wait_for_flag_or_timeout" },
    { 0xB7AAD851C65802B0, "wait_for_flags" },
    { 0x24318BEE7C502249, "wait_for_garage_open" },
    { 0xEB6068314BCBE7A8, "wait_for_get_phone" },
    { 0x5CC7FE8258588857, "wait_for_gl_pickup" },
    { 0xAFF623B3D40A3667, "wait_for_global_respawn_timer" },
    { 0xEDB9A55378972D29, "wait_for_good_buildings_num" },
    { 0x3451B1211FBC81CB, "wait_for_group_cleared" },
    { 0x14E2113F2266E681, "wait_for_gunship_used" },
    { 0x04FCA71D7E318034, "wait_for_guy_to_die_or_get_in_position" },
    { 0xBFD2A032331F5EDC, "wait_for_hack" },
    { 0xBE81AA60F13C695E, "wait_for_hit" },
    { 0x9D1E6EFF56168B76, "wait_for_hood_repair_done" },
    { 0xB768DA4D71ABEF04, "wait_for_hostage_at_extract" },
    { 0x00BBE0FB19B52F7B, "wait_for_hvt_near_exfil" },
    { 0x57066ACBC9B060CE, "wait_for_interaction_func" },
    { 0xE71DC56A9991BE15, "wait_for_interaction_triggered" },
    { 0x709243D66597E733, "wait_for_jugg_death" },
    { 0xD8B9E424B16EAC6B, "wait_for_killanimscript_or_time" },
    { 0xA9FD37EB54C95C3A, "wait_for_kills" },
    { 0x2824D01492D6249A, "wait_for_lmg_dead" },
    { 0xED0FD072A6C0E228, "wait_for_manifest_searched" },
    { 0x41856232C57F09E7, "wait_for_mantle_inside" },
    { 0x7B232E8378E29046, "wait_for_mlp1_mission_ready" },
    { 0x153640311E498DB5, "wait_for_mlp4_mission_ready" },
    { 0x961C038FEDFC9C08, "wait_for_morales_thanks" },
    { 0x21EBE4172E957835, "wait_for_near_extract" },
    { 0x5426B72A97E7D37E, "wait_for_next_hack_complete" },
    { 0x266C9852014FFE6C, "wait_for_not_using_remote" },
    { 0x326E9D65A13FCB61, "wait_for_notetrack_shock" },
    { 0x0D2D9C63653D0FD4, "wait_for_notify_or_timeout" },
    { 0x0E53B587E1478676, "wait_for_objective_complete" },
    { 0x5933078F7CD54EB5, "wait_for_one_player_near_point" },
    { 0x710DE4A7DCE5D7C5, "wait_for_open" },
    { 0x55CE152095902F22, "wait_for_open_door" },
    { 0xDA8EFE5ECFCCA45E, "wait_for_package_interact" },
    { 0x30A98F856AF35D04, "wait_for_passengers" },
    { 0x9093A44D9B62B681, "wait_for_pickup" },
    { 0x6002826E6D98450A, "wait_for_pilot_pickup" },
    { 0xA07CA23E21704C41, "wait_for_player_eliminated" },
    { 0x6464172D91B27760, "wait_for_player_gulag_respawn" },
    { 0x31FF9C168E1C6480, "wait_for_player_in_gas" },
    { 0x56D062AE359A267D, "wait_for_player_in_gulag" },
    { 0x57FDFF72EA46DBA6, "wait_for_player_nearby" },
    { 0x5F1E41AD9C5752A9, "wait_for_player_pickup" },
    { 0x51924B1235C9E9BA, "wait_for_player_to_getup" },
    { 0xBF471ACF7AC8BED3, "wait_for_player_to_take_weapon" },
    { 0xE5588E4B2A78573C, "wait_for_player_view" },
    { 0x70430670F3137831, "wait_for_players_init_puzzle" },
    { 0x5B85EC5378AE1808, "wait_for_players_near" },
    { 0x8FB4CC9729245AEA, "wait_for_players_near_obj" },
    { 0x2B762539A2C44993, "wait_for_players_on_platform" },
    { 0xCA6B80634946C314, "wait_for_players_to_call" },
    { 0x83A5D5E888BCDEF7, "wait_for_pre_game_period" },
    { 0x6215BCDA6AA8E8EE, "wait_for_prerequisites_complete" },
    { 0xEB109EBA22A7F950, "wait_for_question_nag" },
    { 0xC5CAB075876FE4E9, "wait_for_repair_done" },
    { 0xE45B07BB67D80CED, "wait_for_repeating_event" },
    { 0x585CA71D0033106F, "wait_for_script_noteworthy_trigger" },
    { 0xF68A3D793C4E6623, "wait_for_section_cut" },
    { 0x5D3DB1EAAE1AD942, "wait_for_section_cut_long" },
    { 0x183B3A8C2FD6DC95, "wait_for_self_revive" },
    { 0x71102974AB04D71F, "wait_for_sentry_acquire_target" },
    { 0x8DD02E28853C1103, "wait_for_sequence_start" },
    { 0x8065D84694F6E778, "wait_for_soldier_at_heli" },
    { 0xD5473FDDE83BC7C1, "wait_for_sounddone_or_death" },
    { 0x11856732E841778D, "wait_for_spawn_loop_to_finish" },
    { 0x31C99A09A596E6C3, "wait_for_spawners_created" },
    { 0x7FE99AE5E1851ED5, "wait_for_start_extraction" },
    { 0x39F034120E716D18, "wait_for_strike_init_complete" },
    { 0xAA77B66454815B18, "wait_for_super_button_pressed" },
    { 0x7E0A2E3783ECB694, "wait_for_tank_death" },
    { 0x1D1A8B1721963E05, "wait_for_tank_deaths" },
    { 0xEF755455E77224E5, "wait_for_tanks_almost_gone" },
    { 0xA7090526A04B1704, "wait_for_targetname_trigger" },
    { 0xEE4646CA04306B70, "wait_for_time_or_notify" },
    { 0x089D86D7EFD51DFF, "wait_for_trigger" },
    { 0xD7BDE53EDA2837D1, "wait_for_trigger_or_timeout" },
    { 0xA5C4DE58C34A0BC8, "wait_for_trigger_think" },
    { 0x34639760406EC230, "wait_for_truck_or_player" },
    { 0x69D45A85AF59885B, "wait_for_truck_or_player_trigger" },
    { 0xD757646B207C17DF, "wait_for_tutorial_unpause" },
    { 0xCBBCCA5C9461DB19, "wait_for_van_interact" },
    { 0x46B57FF7D93F94A4, "wait_for_vip_near_heli" },
    { 0x266D279CD8EE4D15, "wait_for_weapons_free" },
    { 0x8EC14644A331DDA3, "wait_func" },
    { 0x736AAF93226AFBC0, "wait_get_corpse" },
    { 0x04B5BA2CA8F67385, "wait_give_gun" },
    { 0xA734A24FC6EFBCE8, "wait_goalpos" },
    { 0x1395096730610046, "wait_goalpos_or_msg" },
    { 0x72B27425B12A99B8, "wait_grab_tile" },
    { 0x97E6E71498F34A7A, "wait_guys_all_reach_node" },
    { 0xE9FCFE208370853D, "wait_guys_any_reach_node" },
    { 0x6EDF1E672438A922, "wait_hadir_goal_or_flag" },
    { 0xBA102B884D4E0BB9, "wait_hadir_sees_armory" },
    { 0xD5CBBD42C7D5E39E, "wait_hide_bowl" },
    { 0x4800D2E98FC50E81, "wait_hide_key" },
    { 0x125D0160079526DD, "wait_hunt_exit" },
    { 0xE57F33B7B56FFE1E, "wait_if_fail_calltrain" },
    { 0xBE9B24FF1A3C5060, "wait_in_position_or_timeout" },
    { 0x2B1B957B928339A0, "wait_in_spectate_for_time" },
    { 0x9A5E178FD9842499, "wait_infil_player_anim" },
    { 0x36671CFD5368B321, "wait_juggernaut_announce" },
    { 0x822D5370203FCAFF, "wait_last_nag_finished" },
    { 0xB7BFBFB84F5C6B97, "wait_lock_view_to_hadir" },
    { 0x835C5B6D6716488E, "wait_look_up_or_timeout" },
    { 0x4DAF3F35045B9F77, "wait_lookat" },
    { 0xCBDECC5905F1D6BA, "wait_lookat_ads" },
    { 0xD6FAACFF74222DA6, "wait_lookat_ads_or_timeout" },
    { 0x700CE29A58E0C3A2, "wait_lookat_armory" },
    { 0x0E36090974042819, "wait_lookat_or_timeout" },
    { 0xFB342490D317B498, "wait_lookaway" },
    { 0xA7F9A99162A5B167, "wait_mourn_father" },
    { 0x5E4394420F12558D, "wait_moving_backward" },
    { 0xA1990DB700A97289, "wait_moving_forward" },
    { 0x67783680DDBA1E23, "wait_near" },
    { 0xAA99B732B53265A0, "wait_no_vehicles_and_time" },
    { 0x4F1A22232DB5C578, "wait_node_radius" },
    { 0x760DBD51573546D6, "wait_nodes" },
    { 0x61C163282AEF8BFD, "wait_not_hidden_for_time" },
    { 0x16BB3A5392638E20, "wait_notify" },
    { 0x316FF2A0C73606D4, "wait_on_living" },
    { 0x1B9DCB861797E00F, "wait_open_view" },
    { 0x0B10B48C841C101A, "wait_or_skip" },
    { 0x67AC631F04C7D1E0, "wait_play_end_bink" },
    { 0x9DAE547FDC5E7887, "wait_player_jumping" },
    { 0xD6C75D55B43D633B, "wait_player_near" },
    { 0x78E9DAB5953F8A60, "wait_player_not_looking" },
    { 0x6CB8584C3B0674B0, "wait_plus_minus_vo_bucket_duration" },
    { 0x0927031AF42493D8, "wait_primary_equipment_button_down" },
    { 0x02A8F2E8E3C98632, "wait_primary_equipment_button_pressed" },
    { 0x3896A9F6ADEE4031, "wait_primary_equipment_button_up" },
    { 0xC94C0AECD64F5566, "wait_progress_delay" },
    { 0x2EC4F75FA6DB373F, "wait_pull_arm" },
    { 0x568BE8DDC47E1472, "wait_random_time" },
    { 0x62A7F5140C8A4841, "wait_ready_truck_wreck" },
    { 0xCF9EA88964A4896A, "wait_remaining_time_or_player_input" },
    { 0xDDA26B17039E23A4, "wait_restore_player_perk" },
    { 0x47E815DE9687431B, "wait_rpg_impact" },
    { 0xEAF09E31E7050C20, "wait_scene_on_screen_and_visible_flag" },
    { 0xB97B8FE7A03D32A4, "wait_scene_on_screen_distance" },
    { 0xACE42961C1330A65, "wait_scene_on_screen_flag" },
    { 0xCE9F59CF3AD0157B, "wait_searchlight_destroyed" },
    { 0x3E9FFDE886A069F8, "wait_secondary_equipment_button_down" },
    { 0x2228EFBEF113C8D2, "wait_secondary_equipment_button_pressed" },
    { 0xDE3388CCC3235B51, "wait_secondary_equipment_button_up" },
    { 0x543B69E16BFD9D74, "wait_see_player" },
    { 0x2E47E7C07A4AC1B0, "wait_set_initial_player_count" },
    { 0x3255D02409A5911E, "wait_shot_warning" },
    { 0xB0449254A2643139, "wait_show_bomb" },
    { 0x3156A97FE6C22FE5, "wait_show_cinematic_bars" },
    { 0x9ABB7AA713F548C8, "wait_soldier_death" },
    { 0x4A9316A6F96F3339, "wait_spawn_center_trucks" },
    { 0xF78EAE9A4A27D45B, "wait_spawn_clacker_and_bomb" },
    { 0xCE48795D313D8060, "wait_spawn_final_juggernaut" },
    { 0x1F49D624A7E470DB, "wait_spawn_sidehouse_trucks" },
    { 0x9F85BB78D4F4E113, "wait_spawn_trucks_smokescreen" },
    { 0xD208502A244F3CD4, "wait_stacy_nag_time" },
    { 0xE6A0351EC7E043CF, "wait_start_choking" },
    { 0xDBC7DA16A3DBB21A, "wait_state" },
    { 0x90BE420C754938A4, "wait_tanto_nag" },
    { 0xAEF05052E45DC467, "wait_then_fn" },
    { 0x65DF20F72E21DF33, "wait_thread_end" },
    { 0xEA1C74739B01E752, "wait_till_agent_funcs_defined" },
    { 0x44BC9A8204D08641, "wait_till_lookat" },
    { 0x8CA629D14F912525, "wait_till_player_near" },
    { 0x682B6C00AFC1ECE2, "wait_till_players_near_center" },
    { 0xFF1D7DD1F91FF19E, "wait_till_time" },
    { 0x9BEAD6976E7A2C50, "wait_time" },
    { 0x4C44D058273ADE6C, "wait_time_from_active_count" },
    { 0x6E49781542108093, "wait_time_in_ms" },
    { 0x5FA21207F6AF10F9, "wait_times" },
    { 0xCE2567120EEF4E2D, "wait_to_advance" },
    { 0xB0B8AD602BEA5114, "wait_to_be_revived" },
    { 0x592432010A81223B, "wait_to_close_in" },
    { 0x71AC056529EA4A3F, "wait_to_create_team" },
    { 0xEB91B82D4E69A7D0, "wait_to_deposit_driver" },
    { 0xE330C801E0FD2EC2, "wait_to_enable_use" },
    { 0x4658B87B1B902392, "wait_to_get_to_main_road" },
    { 0xE5868D314C6ED97C, "wait_to_pickup_players" },
    { 0x612D281595A2F6F8, "wait_to_play_intro_vo" },
    { 0xD57970CEA542EC1F, "wait_to_reset_wave_loadout" },
    { 0x5D52BDD164FC043D, "wait_to_set_can_spawn_ambush_suicide_bomber_flag" },
    { 0xE11776CE9851B681, "wait_to_set_player_currency" },
    { 0xC997DDA647A6CB48, "wait_to_spawn" },
    { 0xA465221A4BD58B16, "wait_to_spawn_ambush_vehicle" },
    { 0x3871F92AE3A4BCE5, "wait_to_spawn_convoy_3" },
    { 0xA562ADF1A509C38F, "wait_to_spawn_r0" },
    { 0x8E9775899EB17702, "wait_to_spawn_soldiers" },
    { 0xF815886BF94610B6, "wait_to_start_exfil_obj" },
    { 0x561E765C56147C42, "wait_to_stop_path_vehicle" },
    { 0xD00DF323F83B589C, "wait_to_stop_pre_tmtyl_spawners" },
    { 0x959C191BC74AAE44, "wait_toggle_clip" },
    { 0x7A6072ED5DC139AC, "wait_trigger_destructible_skylight" },
    { 0x3ADC3B8345C8CD2B, "wait_trip_defused" },
    { 0xED6F13C6F0585E6D, "wait_trip_defused_or_timeout" },
    { 0x2DCDCAD08F8014F8, "wait_truck_door_interact" },
    { 0xB59EF2A7F9878264, "wait_turn_off_lights" },
    { 0xF32DF31AAB0A15AB, "wait_turn_off_rotor_wash" },
    { 0x313B4802DFEE519E, "wait_unload_chopper" },
    { 0x4412CF10A0E22638, "wait_unload_chopper_flood_players" },
    { 0x7D147671B90EB0E7, "wait_unload_jeep" },
    { 0x5FAC699F8C7ADE89, "wait_until_an_enemy_is_in_safe_area" },
    { 0x03621AF8407758E9, "wait_until_anim_finishes" },
    { 0x5ABB93A59D0C124C, "wait_until_done" },
    { 0xD8A21164F0494163, "wait_until_done_speaking" },
    { 0x561750A979C541D8, "wait_until_emp_drone_done" },
    { 0x7ED36198AE5461FE, "wait_until_impact" },
    { 0x5E7F9EDC8983F1BB, "wait_until_interrogation" },
    { 0xAF1684EFD81716C5, "wait_until_player_is_near" },
    { 0x170120157D56C5E9, "wait_until_players_at_station" },
    { 0x3251317B46BD1551, "wait_until_trap_room_clear" },
    { 0xF97B3CB331FC8AAF, "wait_until_truck_arrives_at_station" },
    { 0x6C1E3E516E93A69F, "wait_until_vehicle_at_station" },
    { 0xA4570E9ADD0EBAC9, "wait_until_vision_check_satisfied_or_disabled" },
    { 0xCB216015CAFC8535, "wait_update_hadir_objective" },
    { 0xB3A5C5A14FA6CE0F, "wait_upper_cell_door_button_switch" },
    { 0x8969E9476C32AD97, "wait_use_respawn" },
    { 0x8FC11CDAF4AF0B3F, "wait_variables_initialized" },
    { 0xC38A42D039564BF7, "wait_vo_bucket_finish_or_interrupt" },
    { 0x02C22A649A0D2225, "wait_vo_line_finish" },
    { 0x5B0FD527A8EEBE23, "wait_vo_source_finish_speaking" },
    { 0x7AFC63B36AF2D5F5, "wait_waterboard_cloth_applied" },
    { 0xD620CA2244E87A42, "wait_weapon_fire_cooldown" },
    { 0xEC12213DCA4FCB6A, "wait_while_exfil_arrives" },
    { 0x6B755649D378EF8E, "waitaftershot" },
    { 0x0FEBD5E903425863, "waitandapplybrweaponxp" },
    { 0x1B14B918468D8D43, "waitandapplyxp" },
    { 0x5B4DCC14BF60E729, "waitanddetonate" },
    { 0x27C91381AFDCE6CC, "waitandgetnewspawnpoint" },
    { 0x510FEEE508E2C4FE, "waitandnominatepotg" },
    { 0x52B75DAF6A507D75, "waitandpause" },
    { 0x5169FC42689D9DDF, "waitandspawnclient" },
    { 0xAC31DC1DE5E4CBA6, "waitandspawnprops" },
    { 0x9820803B971FE87C, "waitandstartparachuteoverheadmonitoring" },
    { 0x567F828D12E3085A, "waitandstartplunderpolling" },
    { 0x41DF1781166F49B6, "waitandstartscorepolling" },
    { 0x857F7197EBB367D7, "waitandsuicide" },
    { 0x03AF2B871B107DA5, "waitandunloadinfils" },
    { 0x3B81E4BB80CC90D4, "waitandwatchradarsweep" },
    { 0xD4198162CC28D66B, "waitattachflag" },
    { 0x178A91FCEBF4AE2E, "waitballlongdurationwithgameendtimeupdate" },
    { 0x1EF7BEA3DD702BB3, "waitbetweenbomberwaves" },
    { 0x21E903307B389D1B, "waitbetweenspawnwaves" },
    { 0x57E434F6B27CD24E, "waitbetweenspawnwaveswithtimeout" },
    { 0xB1A5383A10819EED, "waitbombusestart" },
    { 0xB3173D0A4F30060D, "waitclassselected" },
    { 0x6A0578CC15995D1F, "waitcountdown" },
    { 0x318BC8FFC614E643, "waitcycles" },
    { 0x2C27F6E7F91902BB, "waitdelay" },
    { 0x76C9876695A6AFA0, "waitdoextraction" },
    { 0x4591259C58D7BECC, "waitedtime" },
    { 0x46335B3079A66FF3, "waitedtospawn" },
    { 0x1D6EB70177AC56E6, "waitfor_death" },
    { 0x2C5FB302AE56AAA4, "waitfor_firstgroup_killedoffenough" },
    { 0x0B6501EFF1620101, "waitfor_save" },
    { 0xF0A15218DA627884, "waitfor_train_explode" },
    { 0x564B9B407AAB4008, "waitfor_trigger_near_obit" },
    { 0x8A01DBB844F2C542, "waitforallcrates" },
    { 0x7B419198CAF0844C, "waitforallplayersnearlz" },
    { 0xB44D1B8A01219938, "waitforallplayersnearpoint" },
    { 0x86208177E7EC7FC9, "waitforalltransients" },
    { 0x1B4600536242FA72, "waitforanyplayernearpoint" },
    { 0xBD21B0D44C857A61, "waitforanyplayersnearpoint" },
    { 0x897718A3EEFDB1C3, "waitforarrivedatvehicle" },
    { 0x08D26D122F5123B1, "waitforattackbuttoninput" },
    { 0x4E250B9FEC30E6DA, "waitforbombreset" },
    { 0xC19D90DAFABA2B88, "waitforc130andforcespawnallplayers" },
    { 0xB601E7F8A198B31B, "waitforc130destroyed" },
    { 0xE14782F7AEE2056D, "waitforclassselect" },
    { 0x528048A631CF435A, "waitforcoverapproach" },
    { 0x7C0BB3B8FCE4AE52, "waitforcoverapproach_mp" },
    { 0xF3E8AFDD2C70B1A7, "waitfordeath" },
    { 0x03E93C518B30199F, "waitfordooropen" },
    { 0x6825671B44F60E2D, "waitforentervehicle" },
    { 0x00CC7116012BC631, "waitforexitvehicle" },
    { 0x10ABF3B88765A481, "waitforfacesound" },
    { 0x92F6C0E0E6578B6A, "waitforflags" },
    { 0x5928D18DC20E39F0, "waitforgamestartspectate" },
    { 0xBC981AFC423C49F4, "waitforgulagfightstocomplete" },
    { 0xCCF3EF9E97F8687D, "waitforhealthregendelay" },
    { 0x06C35207C4959D23, "waitforhitmarkerspostgame" },
    { 0x4EA4AC33D3315E86, "waitforhvtonboard" },
    { 0xA723C149CC981680, "waitforhvtrelease" },
    { 0x373020743B58A43D, "waitforhvttrigger" },
    { 0x82BF1BFC50720381, "waitforinitialplayerloadspawnflag" },
    { 0xBEC41174AC14A92B, "waitforintrodone" },
    { 0xA3EA995D0D1D90F9, "waitformatchbegin" },
    { 0x0669AE0BE28263E0, "waitformeleedamage" },
    { 0xD4A70477F8C918FD, "waitformoralesdropnearpoint" },
    { 0x561CF833490AD0B6, "waitformoralesguardgoinghot" },
    { 0x538C83D61754D778, "waitformoralesnearexfil" },
    { 0x5B1A98BB9131BD29, "waitformorerecordingtimeforscene" },
    { 0x00ADF75B6D297D3B, "waitfornewsaboteurspawn" },
    { 0xD0A4B6E4EFF6C79A, "waitfornukecarriernearlz" },
    { 0xDEA2C94C3932FE7F, "waitforobjectiveactivate" },
    { 0xA4C24492D2170184, "waitforoneplayernearlz" },
    { 0xB8A4F40F87FE7B90, "waitforoneplayernearpoint" },
    { 0xCD12F5E3CBAA828D, "waitforoverridematchstartdvar" },
    { 0xD2C0EC282E11CC19, "waitforoverridematchstartnotify" },
    { 0xA4076B228A8B4644, "waitforpartnerdelete" },
    { 0x8DEA5A672B1FBCC4, "waitforpathchange" },
    { 0xA3D4B4788EE5A0C4, "waitforplayerentering" },
    { 0xC2260578D91DAA7A, "waitforplayerping" },
    { 0x86FE9B7FC5E171E3, "waitforplayers" },
    { 0xD149110C515F68D9, "waitforplayersclosetoleader" },
    { 0x6625E654AF308CF6, "waitforplayersonboard" },
    { 0xBE68CB023653F1DC, "waitforplayerstoconnect" },
    { 0xD17A66006CEDF34C, "waitforplayerstoconnect_countdown" },
    { 0x0488FFD87D03E2CD, "waitforplayerstospawn" },
    { 0x5BE5B33B96E918BE, "waitforpoweruseupdate" },
    { 0x268A2AEBE8F1DF0E, "waitforragdoll" },
    { 0xB523E817A2BDDAE5, "waitforrecordingandfinalize" },
    { 0xCF68C999282694BE, "waitforremoteend" },
    { 0x5580885D545BE212, "waitforreset" },
    { 0x5E145A73CE7C1616, "waitforreturntobattlestance" },
    { 0x595CE39F8B4BAE63, "waitforsecondarypain" },
    { 0x495CCA39A9699A4E, "waitforsharpturn" },
    { 0xC8F44C4B8F8C5E0E, "waitforsharpturn_mp" },
    { 0xDCBE078CF778F9D6, "waitforspawn" },
    { 0x9DA2BDCD7E55DBF0, "waitforspawnselection" },
    { 0x865279533192948B, "waitforsquadthenleave" },
    { 0x2CEF4B4FFA081D23, "waitforstreamsynccomplete" },
    { 0xA79FA8E4616A2749, "waitforstuck" },
    { 0xEE5187CC960A795F, "waitfortransient" },
    { 0x9F859B3DAAC67FE1, "waitfortransientloading" },
    { 0x6678607D1500BE54, "waitfortriggernotify" },
    { 0xC67A7E43C7C9AE38, "waitforturn" },
    { 0x319C1F41A2A91E2F, "waitforvehicleorplayernearpoint" },
    { 0xEE90074D23B8BE6E, "waitforvehiclestodeletethenspawninitial" },
    { 0xD11534068ABFDDD6, "waitforversusmenudone" },
    { 0x3EDE67EA869C3F59, "waitforweapononuse" },
    { 0xEB6D3B17CE7A0A5A, "waitfunc" },
    { 0xE76414E1521CE757, "waitgiveammo" },
    { 0xD8273E5BF065D316, "waitill_path_end_watcher" },
    { 0x6F5B4178E8EBCAD5, "waitillcanspawnclient" },
    { 0xEC19DA67A2AD14A0, "waitilll_player_vehicle_pass_vehicle_node" },
    { 0x686D21866D01F01C, "waiting" },
    { 0xE469D0888ECE5747, "waiting_for_disable" },
    { 0x47419089BED8FFD6, "waiting_for_door_cut" },
    { 0xA0F7DA8D0F203E91, "waiting_for_lethal_restock" },
    { 0x83E9E37870AE5306, "waiting_for_tactical_restock" },
    { 0x832957CF270CBFA9, "waiting_to_connect" },
    { 0xEAED6D5B5B1CD8C8, "waiting_to_spawn" },
    { 0x6DA154883D17AEB3, "waitingfordoor" },
    { 0x0221A5921CB01560, "waitingforresponse" },
    { 0x289B683D405B1CAB, "waitingforstealthstatechange" },
    { 0x9DAC81F4B64AA1FE, "waitingforteammaterevive" },
    { 0x1F55701EBBCDAE23, "waitingtodeactivate" },
    { 0x63901BCDB88CFB18, "waitingtoplayreviveanimation" },
    { 0x4FD3270914BC6BF7, "waitingtoselectclass" },
    { 0xDE76689304837B08, "waitingtospawn" },
    { 0x6CB08CD70BE42C99, "waitingtospawnamortize" },
    { 0x59B9209806DD8E1D, "waitinlaststand" },
    { 0x707C56234E599674, "waitinspectator" },
    { 0x0F5BD777B4B5F244, "waitloadoutdone" },
    { 0x9F1EE90E8E019755, "waitlongdurationwithgameendtimeupdate" },
    { 0x3733DE5B15AD2542, "waitlongdurationwithhostmigrationpause" },
    { 0x1D8996002C519218, "waitlzextractarrival" },
    { 0x310C7D8645629DF5, "waitmsg" },
    { 0x9D70F3B90A5ED446, "waitmsg_process_action" },
    { 0x3A1ED746937B8FF3, "waitnode_trigger_debug" },
    { 0x436D54DE8C5D98AD, "waitnode_trigger_delay_speed_clear" },
    { 0x21EFD7421C7EFC94, "waitnode_trigger_think" },
    { 0x245D9E8A65640F46, "waitonpowerbutton" },
    { 0x2F89B13E6AC4605D, "waitontargetordeath" },
    { 0xD5D3D95791F9B3E2, "waitpopfov" },
    { 0x9407D0EA68F5BEBE, "waitprematchdone" },
    { 0xF89118D41F298B38, "waitreplaysmokefxfornewplayer" },
    { 0x0072BCE180EB4844, "waitrespawnbutton" },
    { 0xA6226FFE358D916B, "waitrestoreperks" },
    { 0xCF9D49BED3F2669D, "waits" },
    { 0x1F0D41783EA9F61C, "waitsetstop" },
    { 0x8F2D1FF75D2C21F2, "waitskipkillcambutton" },
    { 0x7B39C2459FA1AF84, "waitskipkillcambuttonduringdeathtimer" },
    { 0x73F9FD374D6E204C, "waitskipkillcamduringdeathtimer" },
    { 0x843C81BD1CB2676A, "waitskipkillcamkbm" },
    { 0x541F5C03FB3D0832, "waitsuppresstimeout" },
    { 0xCE60BBB76F54C168, "waitteardowninfilmapomnvars" },
    { 0xCAC14C97FCD25098, "waitthencheckendgame" },
    { 0x490EAB8520B3BDEA, "waitthenenablezone" },
    { 0xC1819FECFAF23F22, "waitthenendgame" },
    { 0x71325F796011684B, "waitthengivecyberweapon" },
    { 0xD52CBD4FBA453C6A, "waitthenplaynewobj" },
    { 0xEB9D87F242506754, "waitthenrespawnsnowballs" },
    { 0xC815F45A1D3C2502, "waitthensetgendersoundcontext" },
    { 0xD1BCC3A96BB34B8C, "waitthensethealthregentweakable" },
    { 0x16A736B49EEC7C13, "waitthensetspawnomnvar" },
    { 0x5A6C9EB8BCCDC034, "waitthensetstatgroupreadonly" },
    { 0x688576B156355B14, "waitthensetvisibleteam" },
    { 0x3656B9AE3C590358, "waitthenshowfirsthqsplash" },
    { 0x5AD5C68E718777C8, "waitthenshowinfecttext" },
    { 0x0D0143D051C62AF7, "waitthenshowtimer" },
    { 0xEEA8C38B1CDB6B14, "waitthenstopcrankedbombtimer" },
    { 0xA3E1FB493AF874C8, "waitthenunpinobj" },
    { 0x7DD41B2B2D7EF432, "waittill_2" },
    { 0x8751CB6414DD25F4, "waittill_abort_func_ends" },
    { 0x7CD74928F2447711, "waittill_active_agent_count_under" },
    { 0x1B8BAACD01481985, "waittill_ai_group_dead" },
    { 0xD13A41ED285668BD, "waittill_alive_count" },
    { 0xD6C903ABD4CBACAD, "waittill_all_agents_dead" },
    { 0x0346102AF8292C59, "waittill_all_current_vo_plays" },
    { 0x442023EFC2A402CD, "waittill_all_in_array" },
    { 0x926724C5F6A2AE4F, "waittill_all_spawns_dead_and_time" },
    { 0x5178E48C56C27D7F, "waittill_all_targets_activated_or_player_death" },
    { 0xD50C656931788B9A, "waittill_all_valid_ai_are_gone" },
    { 0x7E28EEF429A2CC3A, "waittill_and_return_ent" },
    { 0xD183E3360E8A304E, "waittill_anim_finish_or_interrupted" },
    { 0x3D65A6EFE19E437E, "waittill_animend" },
    { 0xC0CF4BF18076E63E, "waittill_any" },
    { 0x53C3C0EC91241A53, "waittill_any_2" },
    { 0x53C3BFEC91241820, "waittill_any_3" },
    { 0x53C3C6EC91242785, "waittill_any_4" },
    { 0x53C3C5EC91242552, "waittill_any_5" },
    { 0x53C3C4EC9124231F, "waittill_any_6" },
    { 0x53C3C3EC912420EC, "waittill_any_7" },
    { 0x53C3CAEC91243051, "waittill_any_8" },
    { 0x0C449569C296AA22, "waittill_any_damage" },
    { 0x96FA4A8D0835D139, "waittill_any_ents" },
    { 0xBA18C7BB81E57FF3, "waittill_any_ents_array" },
    { 0xFE0A0FDAA64E078A, "waittill_any_ents_or_timeout_return" },
    { 0xE910EA97EF3D571C, "waittill_any_ents_return" },
    { 0x84BF1BEFE7B9009F, "waittill_any_fact_update" },
    { 0x2F23D371B20B55DA, "waittill_any_in_array_or_timeout" },
    { 0x669E7A01311D1482, "waittill_any_in_array_or_timeout_no_endon_death" },
    { 0xEA6D4A55FFD23801, "waittill_any_in_array_return" },
    { 0xA64C3E0E20E15993, "waittill_any_in_array_return_no_endon_death" },
    { 0xE2BD19F9D496FBAA, "waittill_any_or_timeout" },
    { 0x89C51BC0D53EA4F1, "waittill_any_return" },
    { 0xCD1D3E1F1769B2E1, "waittill_any_return_1" },
    { 0xCD1D3B1F1769AC48, "waittill_any_return_2" },
    { 0xCD1D3C1F1769AE7B, "waittill_any_return_3" },
    { 0xCD1D411F1769B97A, "waittill_any_return_4" },
    { 0xCD1D421F1769BBAD, "waittill_any_return_5" },
    { 0xCD1D3F1F1769B514, "waittill_any_return_6" },
    { 0xCD1D401F1769B747, "waittill_any_return_7" },
    { 0x40640468BD8CF223, "waittill_any_return_no_endon_death" },
    { 0xEFE4726DF836167F, "waittill_any_return_no_endon_death_1" },
    { 0xEFE4736DF83618B2, "waittill_any_return_no_endon_death_2" },
    { 0xEFE4746DF8361AE5, "waittill_any_return_no_endon_death_3" },
    { 0xEFE46D6DF8360B80, "waittill_any_return_no_endon_death_4" },
    { 0xEFE46E6DF8360DB3, "waittill_any_return_no_endon_death_5" },
    { 0xEFE46F6DF8360FE6, "waittill_any_return_no_endon_death_6" },
    { 0xB68EB2AECFB9229E, "waittill_any_timeout" },
    { 0x9FD0B38892B77B26, "waittill_any_timeout_1" },
    { 0x9FD0B28892B778F3, "waittill_any_timeout_2" },
    { 0x9FD0B18892B776C0, "waittill_any_timeout_3" },
    { 0x9FD0B88892B78625, "waittill_any_timeout_4" },
    { 0x9FD0B78892B783F2, "waittill_any_timeout_5" },
    { 0x9FD0B68892B781BF, "waittill_any_timeout_6" },
    { 0x9AFF7B3260A127B6, "waittill_any_timeout_no_endon_death" },
    { 0x263B1F5CD0D004EE, "waittill_any_timeout_no_endon_death_1" },
    { 0x263B1E5CD0D002BB, "waittill_any_timeout_no_endon_death_2" },
    { 0x263B1D5CD0D00088, "waittill_any_timeout_no_endon_death_3" },
    { 0x263B245CD0D00FED, "waittill_any_timeout_no_endon_death_4" },
    { 0x263B235CD0D00DBA, "waittill_any_timeout_no_endon_death_5" },
    { 0x7B4C8D3183B05E07, "waittill_any_triggered_return_triggerer" },
    { 0x933730C56CCBC5FB, "waittill_any_two" },
    { 0x0930032A505EF015, "waittill_array_alive_count_or_timeout" },
    { 0x971F981907981953, "waittill_backup_death" },
    { 0xDCFEDAE294B64CF5, "waittill_both_or_timeout" },
    { 0xA8CE90B5C1562B13, "waittill_car_death" },
    { 0x22AD0D943175E9E1, "waittill_checkin_weapons" },
    { 0x2DD439DABCB19BFC, "waittill_color_change" },
    { 0x876859E6BC51A7E3, "waittill_confirm_or_cancel" },
    { 0x52A3D1C51AD25A9A, "waittill_damage_thread" },
    { 0xD6E99AA95989C1EA, "waittill_dead" },
    { 0x5EFD1E6CE37E6B8C, "waittill_dead_or_dying" },
    { 0x9603EC73AA7BA2BD, "waittill_dead_or_dying_thread" },
    { 0x5C78A38ECDE213FF, "waittill_dead_thread" },
    { 0xB465793D41AD9F62, "waittill_dead_timeout" },
    { 0xE0C4BA67B9AFA77E, "waittill_death_for_achievement" },
    { 0xEA44FA96093FC181, "waittill_death_or_flag" },
    { 0x5076B2AC6361DD71, "waittill_door_open_or_notifies" },
    { 0x557B35FA999A3BE4, "waittill_drone_defined" },
    { 0xA4218DDBF9D572AE, "waittill_drone_timeout" },
    { 0x73352A68B0B577FC, "waittill_dropped_cash_collected" },
    { 0x99FA5DACF5E71955, "waittill_either" },
    { 0xC0AB5CDAD3B396F2, "waittill_either_function" },
    { 0x6A773DB9028C0C4E, "waittill_either_function_internal" },
    { 0x8D5B7CA609482324, "waittill_emp_beacon_planted" },
    { 0xC81B41EBA160B52E, "waittill_end_condition_met" },
    { 0x1EB710A8CDB06B57, "waittill_entitiesarewithindistance" },
    { 0x5834045808E5994C, "waittill_entitiesarewithindistancesquared" },
    { 0xB6C4677EC84649C5, "waittill_entity_in_range" },
    { 0xEEEDBE8631B5B11F, "waittill_entity_in_range_or_timeout" },
    { 0x22D7AAF2C7C8915E, "waittill_entity_out_of_range" },
    { 0xACF33706FD9AC2F3, "waittill_entityisbehindentitydistance" },
    { 0x84B392F7ABD11D86, "waittill_entityislateralentitydistance" },
    { 0x78D10581AC785324, "waittill_explodestring" },
    { 0xB036EE69CCA14832, "waittill_finish_moving" },
    { 0x4F187583736A7D27, "waittill_fire_reached_shaft_level" },
    { 0x27B9944B85CCDA12, "waittill_first_interact_or_bash" },
    { 0xD502FF67E06C3DC3, "waittill_full_or_timeout" },
    { 0x30F6C1D9C9725C82, "waittill_func" },
    { 0x2E87F8A9DB0138C5, "waittill_func_ends" },
    { 0x6DBC6D76650A2E9E, "waittill_func_or_timeout" },
    { 0xDC071833C5C9F0C5, "waittill_gestureconditionsmet" },
    { 0x71B6E73E76334676, "waittill_go_hot" },
    { 0x17B535910ACAB164, "waittill_grenade_danger" },
    { 0x55D7B5A05B173E83, "waittill_grenade_fire" },
    { 0x5476A678F956CF19, "waittill_grenade_throw" },
    { 0xD76870CE6B056179, "waittill_group_gestureconditionsmet" },
    { 0xC9D118FE16702441, "waittill_heli_in_air" },
    { 0xD0DCC98C4ABE000A, "waittill_hud_event_notify" },
    { 0x3C8AB7824E76E941, "waittill_hvt_at_vehicle" },
    { 0x59FD8CC78BB79921, "waittill_in_range" },
    { 0x7BBDC82A580D92FE, "waittill_interrogation_dialogue_or_timeout" },
    { 0x27D46718DCCDE736, "waittill_juggs_alive" },
    { 0xC79BD5B9AF99BDDB, "waittill_lookat_price_or_door_or_delay" },
    { 0xBDAC546C3E0EA6F7, "waittill_match_or_timeout" },
    { 0x3B188C5C091B4ECE, "waittill_match_or_timeout_return" },
    { 0x853C2DFCFBD1AB53, "waittill_melee_or_interact" },
    { 0x6AEACD6A34CCE83D, "waittill_missile_fire" },
    { 0x44906B79D5C7BF2D, "waittill_morales_ends_delete_trucks" },
    { 0xFCF609F1AD55530D, "waittill_msg" },
    { 0xF83C0F6F0BBA1668, "waittill_multiple" },
    { 0x6633F3322EEAEA9B, "waittill_multiple_ents" },
    { 0x84B09BA6D9F92804, "waittill_near_goal" },
    { 0xD53C8CBF2FEF8602, "waittill_near_struct" },
    { 0xED11773827002701, "waittill_nodialogueplaying" },
    { 0xCE8EFC2C31BABCD2, "waittill_nonagsplaying" },
    { 0x44D022061E42EB8B, "waittill_nonai_isnt_blocking_tank" },
    { 0xEF088CF8A4FA19AB, "waittill_notetrack_or_damage" },
    { 0x4D1F6FC47993BE6D, "waittill_notify" },
    { 0x320236BB5ACAEAB9, "waittill_notify_and_time" },
    { 0x5126B0CC6B4B7857, "waittill_notify_or_timeout" },
    { 0x86B3C6C97C3B2A1F, "waittill_notify_or_timeout_hostmigration_pause" },
    { 0xCD3D3905144784EE, "waittill_notify_or_timeout_return" },
    { 0x7846F9DBBA453C5A, "waittill_notify_proc" },
    { 0x82647FAB5F29822C, "waittill_num_and_all_spawns_dead_and_time" },
    { 0xFA7BABAB1906EABA, "waittill_num_and_all_spawns_dead_and_time_and_player_reset" },
    { 0x4825E4B2BCB21094, "waittill_objective_start" },
    { 0x0358E3A2085957A0, "waittill_offhand_box_accessed" },
    { 0xB561DDEB3E6C48B5, "waittill_or_timeout" },
    { 0x30DA6C025A575722, "waittill_out_of_range" },
    { 0x59646B973279BD6C, "waittill_pickup_or_timeout" },
    { 0xF0A23CC141B97440, "waittill_planted" },
    { 0xB7C4DE4583621029, "waittill_player0_isdefined" },
    { 0x52FA01285F747B0E, "waittill_player_aims_at_bus_scene" },
    { 0x9947D0CB9CF62B4B, "waittill_player_alive" },
    { 0x174CB48167CD60DA, "waittill_player_behind_cover" },
    { 0xC8FCC0ACD9D98A5B, "waittill_player_close_or_death" },
    { 0x4AC76C4F79E70CED, "waittill_player_closes_tac_map" },
    { 0x9F8BC7D7DB28BFF6, "waittill_player_collects_death_cash" },
    { 0x7355CA41815424A2, "waittill_player_completes_assassination_contract" },
    { 0x3B2A21465541B3C4, "waittill_player_completes_scavenger_contract" },
    { 0xF3FC9E6D8A20A68D, "waittill_player_deposits" },
    { 0x9F5489678AF77593, "waittill_player_dropkit_crate_used" },
    { 0x005BE154304D2E88, "waittill_player_dwells_or_wave_min_count" },
    { 0xA631E1977CC13E8B, "waittill_player_exits" },
    { 0x7C6A22179E7C0A4B, "waittill_player_exits_cam" },
    { 0x5DC76D6264E12DED, "waittill_player_has_dropkit_marker" },
    { 0x123D327626288F8A, "waittill_player_hidden" },
    { 0xFC93031C629D039C, "waittill_player_is_close_and_sees" },
    { 0xF02E1E5A824BE662, "waittill_player_is_in_range" },
    { 0xD33F54BFA62DFC67, "waittill_player_isdefined" },
    { 0x3FBFB7AA6F7C6F66, "waittill_player_jump_or_timeout" },
    { 0x2FB3A46598ABFA56, "waittill_player_leaves_b1" },
    { 0x22C7E980AA0D3259, "waittill_player_look_bomber" },
    { 0x52E8BFFD7E8DE53C, "waittill_player_lookat" },
    { 0x835434EDC9DD8DA4, "waittill_player_lookat_failsafe" },
    { 0x8151546069435FF0, "waittill_player_lookat_for_time" },
    { 0xC5B8903745880397, "waittill_player_looks_at_hallway" },
    { 0x8C2663C0572BC112, "waittill_player_looks_or_timeout" },
    { 0xB76632F7FAAECFA4, "waittill_player_moves" },
    { 0xC53CC753FE5597F8, "waittill_player_moves_or_timeout" },
    { 0x4C1486F2A40FB259, "waittill_player_opens_scavenger_cache" },
    { 0x1EA742D8373E4131, "waittill_player_opens_tac_map" },
    { 0x0726D31E00CDA625, "waittill_player_picksup_armor" },
    { 0x80241B44B98EB1BB, "waittill_player_pings_location" },
    { 0xAB5AB05E52517D6B, "waittill_player_sees_me_or_timeout" },
    { 0xA94B31B0C8C69D2C, "waittill_player_stops_rotating" },
    { 0x948F24EB1E64EF10, "waittill_player_stops_rotating_or_timeout" },
    { 0x29A2BEFA1F6ADE79, "waittill_player_switched_weapons" },
    { 0xD7B6A5C45119276E, "waittill_player_uses_assassination_contract" },
    { 0x127472F6507C249E, "waittill_player_uses_munition" },
    { 0x11E183A31531EC08, "waittill_player_uses_scavenger_contract" },
    { 0x7DC87BBCED38E913, "waittill_player_weapon_holstered" },
    { 0x7F0A9F4F1025A56E, "waittill_playeroutsideradius" },
    { 0x9B93620B0E87C325, "waittill_players_on_roof" },
    { 0x944088028E254126, "waittill_plyer_has_ammo_count" },
    { 0xEE45092676B015EE, "waittill_price_aims_or_guy_dies" },
    { 0x68CBA96E9FD2DA08, "waittill_propanes_exploded" },
    { 0x3AB31BA0377D9306, "waittill_push_stopped" },
    { 0x77757B48BF16E642, "waittill_reach_path_end_node" },
    { 0xADC1C71BFEBE4BA3, "waittill_reaching_time_stamp" },
    { 0x8FDA35D704F36853, "waittill_remainingenemycount" },
    { 0x8ACD613545920705, "waittill_remainingenemycountortimeout" },
    { 0x1AB1388B5D9D670A, "waittill_return" },
    { 0x831E22CB2361822A, "waittill_return_to_colornode" },
    { 0x14B68905FDEC665A, "waittill_return_to_truck" },
    { 0x1EA44810211BD025, "waittill_scout_drone_defined" },
    { 0x809D390401B71BFB, "waittill_scout_drone_timeout" },
    { 0x942783FB2847EDA4, "waittill_second_interact_or_bash" },
    { 0xD3E5919AE1B94CFD, "waittill_see_first_vehicle_long_enough" },
    { 0x88D694900CFC55DE, "waittill_see_infl_lbravo_long_enough" },
    { 0x9C753D53FC4BD65F, "waittill_sniper" },
    { 0x6E7E54A09BBBD948, "waittill_spawn_notify_after_count" },
    { 0x95EE27159A9542CA, "waittill_spawned" },
    { 0x02B545F850ABE83F, "waittill_stable" },
    { 0xB742E45791BF1095, "waittill_string" },
    { 0x4A4B142222948197, "waittill_string_no_endon_death" },
    { 0xE414C76B210F5585, "waittill_struct_in_fov" },
    { 0xF23C759524575C64, "waittill_struct_or_self_within_fov" },
    { 0xE9610BC10E65F529, "waittill_struct_within_fov" },
    { 0x2507AF8C5F5D5910, "waittill_struct_within_fov_2" },
    { 0xE64ADF99A02026E9, "waittill_subgoal" },
    { 0xB98ED3E1B66A6213, "waittill_succeed_fail_end" },
    { 0x3F599E94764A6750, "waittill_tag_calculated_on_path_grid" },
    { 0xE9FA3F71F76F0CD9, "waittill_target_group_complete" },
    { 0x85A72C5137209F20, "waittill_targetname_volume_dead_then_set_flag" },
    { 0x4E1BBAD437828D28, "waittill_technical_turns_or_timeout" },
    { 0xF2752E35E5B69795, "waittill_time" },
    { 0xC956B14F9C52A888, "waittill_timeout_proc" },
    { 0xE0BDEF6460EC747F, "waittill_track_is_operational" },
    { 0x6B8B1D76737C292D, "waittill_trigger_activated_or_player_death" },
    { 0x228BEEAF862AF31B, "waittill_trigger_or_dead" },
    { 0xC1764B903B1C489E, "waittill_trigger_pipes" },
    { 0x18AF4C1A237C6100, "waittill_trigger_player" },
    { 0x9E690062CDDDD6F3, "waittill_triggered_current" },
    { 0xFB039E7E9A14DBCA, "waittill_true_goal" },
    { 0x1A09D295FBF618D3, "waittill_turret_is_released" },
    { 0x7824ABC3E9573577, "waittill_unload_complete" },
    { 0x7CFA2D32C0126EFB, "waittill_usebutton_released_or_time" },
    { 0x3F7DDC002E1B86C9, "waittill_usebutton_released_or_time_or_bomb_planted" },
    { 0x728333B52DED2048, "waittill_vehicle_node_reached" },
    { 0x04DFA1AC212449DB, "waittill_vehicle_node_reached_targetname" },
    { 0x996E9DB324FDF00F, "waittill_vo_plays" },
    { 0x940C2ED2D23F192D, "waittill_volume_dead" },
    { 0x6BB43A82138F1CF5, "waittill_volume_dead_or_dying" },
    { 0xF84E2F68A65F5C09, "waittill_volume_dead_then_set_flag" },
    { 0x2E66EB639583DB84, "waittill_wave_died_to_or_timeout" },
    { 0x6AA7E57E1FE5CAE0, "waittill_wave_spawned_or_timeout" },
    { 0xE78A660DDC39A48F, "waittill_window_event" },
    { 0xDDC9A3C6A56D8879, "waittill_within_fov_from_dist" },
    { 0xE9208CC1EDD3E4F8, "waittillallarenasshutdown" },
    { 0x00F1E6016E2777B6, "waittillarenaplayersnotcapturing" },
    { 0xF55E6F6C28F853C7, "waittillarriveatdestination" },
    { 0x8F8D9E22E5C42BCD, "waittillarriveathvt" },
    { 0xAFC8B337D8D37401, "waittillballhostmigrationstarts" },
    { 0x60A2910993DD1BC5, "waittillballoonready" },
    { 0xF1DFDD7FEC2D5811, "waittillcanspawnclient" },
    { 0x6B474CF8693F4E07, "waittillcompromised" },
    { 0x90F6E131E73F346F, "waittillconvoydead" },
    { 0x2AB42500570115B7, "waittilldeath" },
    { 0x6836962892531FB0, "waittilldeathorpaindeath" },
    { 0x1E51E7AB4553E549, "waittilldeletedordeath" },
    { 0x2B049B6E35DC7778, "waittillenabled" },
    { 0xA75E2282ACF5A09B, "waittillgrenadedrops" },
    { 0x7089D567183723C7, "waittillgulagmatchend" },
    { 0x4874365A40F576F1, "waittillhealthlow" },
    { 0xAF41FCDA0ECCF95F, "waittillhostmigrationdone" },
    { 0x8D6CA31CF5AE12B6, "waittillhostmigrationstarts" },
    { 0x59C160914E3BD56B, "waittillhuntersdrop" },
    { 0x430BA3070E853518, "waittillkillcamover" },
    { 0xC0FE85AAC5AF39FC, "waittillmatch_any_return" },
    { 0x2F141C04E374F61F, "waittillmatch_loop" },
    { 0xACB3B3AF47837EF8, "waittillmatch_notify" },
    { 0x5736DB8807045ECC, "waittillmatch_string" },
    { 0x403C99ED899085BC, "waittillmatch_wait" },
    { 0xD3EF8FC85FEAF5F1, "waittillmatchstarts" },
    { 0xA1ED964317C2C955, "waittillnextloottime" },
    { 0x81370CB2B6C2542D, "waittillnotifyorflag" },
    { 0xA05E8CCFC638B38A, "waittillobjectiveevent" },
    { 0xC256ACB56BA9126A, "waittillobjectivereplaced" },
    { 0x32A4BEC0D0B5F4C2, "waittillphysicsmodelstops" },
    { 0x52FB18748D9FDA12, "waittillplayercanloot" },
    { 0xD852F3F8DE952D3E, "waittillplayerdoneskydivingac130" },
    { 0xE1FC6D61FCAFFC9A, "waittillplayerlanded" },
    { 0x056C4915083C41F3, "waittillplayersleavearea" },
    { 0xEB65555EE95BA10E, "waittillrecoveredhealth" },
    { 0x44C362D9B2044B9C, "waittillreloadfinished" },
    { 0xC2FC3816FCFA7B10, "waittillrestartordistance" },
    { 0xF91BC465CAB89174, "waittillscriptchange" },
    { 0xAA4276D08FAF4F29, "waittillslowprocessallowed" },
    { 0x34C5FA2057D85A9B, "waittillspectating" },
    { 0x47CF718830986A0B, "waittillthread" },
    { 0x3F568E76959FEDDC, "waittillthread_proc" },
    { 0x26FAAC1711010576, "waittilltoofarz" },
    { 0x93FB177493BB3D9D, "waittime" },
    { 0xF7E74C96361C7BFE, "waittime_process_action" },
    { 0x76B725DD34699C3C, "waittimebetweenregen" },
    { 0x7875F54F0ACE1C32, "waittokickoffapcescort" },
    { 0xECAFA4D39448A065, "waittoopenaltbunker" },
    { 0x73EBA654D61A8C3A, "waittooverridegraceperiod" },
    { 0x5E7DE33FFFFD1593, "waittoplayinfildialog" },
    { 0xC5D5A636E62C7D6A, "waittoprocess" },
    { 0x1CFB5ED9ED54181B, "waittoresumemovement" },
    { 0x6E1ABFF4586F1B7C, "waittorumbleonslam" },
    { 0x76CAF7253A6086BE, "waittorunqueuedtaunts" },
    { 0x2744173E6002128E, "waittoshameplayer" },
    { 0xB0F8988949DC93EC, "waittoshow" },
    { 0x9E19261DB34AE032, "waittospawnbtmbombs" },
    { 0x6770D8DCAB7B2B4E, "waittospawnjuggcrate" },
    { 0xDAAA6BF0766FD9FB, "waittospawnvip" },
    { 0x2CC7C8A307C91543, "waittostarthelidown" },
    { 0xB7A57B459827E200, "waittothrowsmoke" },
    { 0x60C03146F6796515, "waituntilallchoppersaredead" },
    { 0xA699D32C53C2B7C1, "waituntilfinishedwithdeployweapon" },
    { 0x6862A1E917CA046D, "waituntillnotetrack_internal" },
    { 0xA98DFF3134F5D99F, "waituntilnotetrack" },
    { 0x4CE070DF407A318D, "waituntilnotetrack_safe" },
    { 0x6505A8F97BACB9D8, "waituntilnotinbadplace" },
    { 0xD1D8D1244B05E46B, "waituntilunmarked" },
    { 0xEB16B74F2D1BFCBA, "waituntilunmarkedinternal" },
    { 0x37FB65167541315E, "waituntilwaverelease" },
    { 0x5FC844484E576111, "wake_everyone_up" },
    { 0xF453643C5BA1E736, "wake_on_objective_b" },
    { 0x16309EFCFA65389E, "wake_snipers" },
    { 0xC78C87C3046F9DAF, "wake_up" },
    { 0x0C5FDDC09CF752BD, "wakeup_if_chased" },
    { 0x52A489A65FB9C244, "wakeupvehicle" },
    { 0xA23E3413E44587FC, "walk" },
    { 0xD43A01680D2C86F0, "walk_accuracy" },
    { 0x89D3DABCCB4264B5, "walk_and_talk" },
    { 0x969450317D94E2DE, "walk_and_talk_hemisphere" },
    { 0x86BB31FDDEBC89D2, "walk_and_talk_requested" },
    { 0xA99B38229994B5CF, "walk_and_talk_target" },
    { 0x82789A1E70DC7C3B, "walk_override_weights" },
    { 0xEE6B2997DAFFD1F4, "walk_overrideanim" },
    { 0x60E244E8963532E6, "walk_to_dad" },
    { 0x19DDF420EF349F2A, "walkandtalkdonotetracks" },
    { 0x9819527D07D6EF3C, "walkdist" },
    { 0x9D06936D5506BC74, "walkdist_reset" },
    { 0x13541DE57F744287, "walkdist_zero" },
    { 0xADD2164D80401C84, "walkdistfacingmotion" },
    { 0xC3A848AFDAF90B62, "walking_vig_handler" },
    { 0x9285D33C368D22B0, "walkto_1f_anims" },
    { 0x1FE7E21743855C76, "walkto_1f_price_anims" },
    { 0x2D87A2E570D2AE88, "walkto_boy" },
    { 0x053078095F712527, "walkto_door_anims" },
    { 0xA89249E50E7C48ED, "walkto_mom" },
    { 0xDD827E46513898A1, "walkto_tunnels" },
    { 0x2C0F12F0B4946783, "walkto_tunnels_anim" },
    { 0xA23E3313E44585C9, "wall" },
    { 0x3D78F18DA7FF8020, "wall_actors" },
    { 0xA7189CEAD3F2C0C3, "wall_buys" },
    { 0xA2FF0CE9303493BA, "wall_info" },
    { 0xF7F443B6D076224E, "wall_kill_reveal" },
    { 0x8571F1213F1107AB, "wall_run_attach_anim" },
    { 0xB4FDE599F151CED1, "wall_run_current_node_index" },
    { 0x459CA00A0F9EBE75, "wall_run_direction" },
    { 0x0B67918FEF8E6006, "wall_run_double_jumping" },
    { 0x4B602C6F833C1F8F, "wall_run_yaw" },
    { 0xA107280C8416E68D, "wall_truck" },
    { 0xF26F03BFC58E9025, "wall_truck_civ_exit_points" },
    { 0xAA40925D59D0FB74, "wall_truck_civ_hiding_spots" },
    { 0x42E431DE27D256ED, "wall_truck_civs" },
    { 0x213239BE0D1A392D, "wall_truck_wall_post" },
    { 0x8CF38CCCEB00114C, "wall_truck_wall_post_2" },
    { 0xB75C801629584054, "wall_truck_wall_pre" },
    { 0x0E83F952009C7055, "wall_units" },
    { 0xDA603F38737FF557, "wall_units_required" },
    { 0x6762741606A3FA8F, "wall_weapon_list" },
    { 0xDFDAD1845A8069B1, "walla_apt_wounded" },
    { 0x15012892FD0014A0, "walla_bar_street" },
    { 0xCAF2A289B2E4628B, "walla_cafe_reinforcements" },
    { 0xA5311731487DA0F4, "walla_canal_civs_01" },
    { 0xA5311A31487DA78D, "walla_canal_civs_02" },
    { 0xF89CEC710009E4A8, "walla_deck" },
    { 0xED2BA11E57FB8185, "walla_lab_civ_scientists" },
    { 0xEF1D0483F3C50B75, "walla_man_and_woman_hallway" },
    { 0x0DD98081AFE47760, "walla_mom_child_hallway" },
    { 0xF28DA240C66EEB72, "walla_van_accident" },
    { 0xAC2D1A4E43E8EF9A, "wallbuyinteractions" },
    { 0x0177BBBD0DD29E17, "wallprompt" },
    { 0x5E3353188674CCBA, "wallrunnotehandler" },
    { 0x61728516A09C8521, "wallrunterminate" },
    { 0x6A4D82F27E4D9779, "wallscenenodeang" },
    { 0x90923FF1DEA87EF7, "wallscenenodepos" },
    { 0x4A2D825EEA32E371, "wam_failure_threshold" },
    { 0xD007220B4BD5DF92, "wam_first_node" },
    { 0xF6323224E44857C9, "wam_interaction_activate" },
    { 0xA90EE0F2CE2629E1, "wam_interaction_hint" },
    { 0x0397DE04ED317EEA, "wam_interaction_init" },
    { 0x05FC9B600AF7D686, "wam_interaction_structs" },
    { 0x0006496B2FD28622, "wam_number_of_failures" },
    { 0xF7828A7333B8AC16, "wam_pointer" },
    { 0xBB14CBFF3D6DE144, "wam_sequence" },
    { 0x3A41ED4703A21BE0, "wam_timer_between_each_node" },
    { 0x6FF31B48C3D8CBF9, "wander_fail_volumes" },
    { 0xD0A9B16D8F954BC1, "wander_nag_volumes" },
    { 0x265A00E1516953BD, "wants_to_fire" },
    { 0xF228FAEA35E8C5ED, "wantsafespawn" },
    { 0x49E6CC34296E082F, "wantshotgun" },
    { 0xAFB413C3C441935F, "wantstocrouch" },
    { 0x11ECE31A6767856D, "warehouse_audio_rolling_door_open" },
    { 0xBBDE73B4161BFCBD, "warehouse_cascade" },
    { 0xE23079B186EBDF18, "warehouse_discover_gas_ally_cleanup" },
    { 0x55DF062D35E49D15, "warehouse_discover_gas_catchup" },
    { 0x0C55C703C1C76C26, "warehouse_discover_gas_exit_door" },
    { 0x03AADBB97F8B1EB4, "warehouse_discover_gas_main" },
    { 0x5116CEDE18B2F823, "warehouse_discover_gas_start" },
    { 0x01DF1D9AFE521FB5, "warehouse_discover_gas_teleport_allies" },
    { 0xF5F8CEF3619B4B44, "warehouse_enter_catchup" },
    { 0xA42099CD439F8207, "warehouse_enter_main" },
    { 0x7752F08045BBAB5E, "warehouse_enter_start" },
    { 0xE15F6A6AD93B4EB1, "warehouse_enter_teleport" },
    { 0xF6D12D79D29B4827, "warehouse_garage_door_open_audio" },
    { 0x7EBA41391089C916, "warehouse_laststand_spawn_func" },
    { 0xCF3101217579D097, "warehouse_sun_settings" },
    { 0x4ABBEB77BA092847, "warehousegate" },
    { 0x0108FDE2531E19F4, "warehousegateopenref" },
    { 0xF880BE246D7DBFD8, "warehouselighttable" },
    { 0xC64A379BB12D317B, "warning_shots_at_gate" },
    { 0xF91900DEFD8E2D93, "warning_sweep_destination" },
    { 0x079921D5CAD7BEAB, "warning_sweep_origin" },
    { 0x2980039110A5F535, "warning_time" },
    { 0x797078B2D4E59527, "warningbits" },
    { 0x123E377DD3BA5C18, "warningcinderblockradii" },
    { 0x3715C29765FC017C, "warningclearcallbacks" },
    { 0x00639E99E91FCEAF, "warningcooldowntime" },
    { 0xB8D12F062879CF1C, "warningcooldowntimers" },
    { 0x1A64402E2B95C668, "warningendcallbacks" },
    { 0x9AE27B9D0351F630, "warningfunctions" },
    { 0x265C0DF5D4D92FA8, "warningidmap" },
    { 0x659658BC3B1CCC81, "warningnames" },
    { 0xB8CE63F60E6E9484, "warningradiisq" },
    { 0xCAD73998D362A582, "warningradiusoverridefunctions" },
    { 0xE6F1A404945AB493, "warningrumbletypes" },
    { 0x058643AA8FEFDDBD, "warningsoundentities" },
    { 0xFFABBC8FF2EE2896, "warningsoundindex" },
    { 0x1583C5A6E58891A3, "warningsounds" },
    { 0x85AFDC1C54FA7153, "warningstartcallbacks" },
    { 0xE2990799529FE4B1, "warningtimers" },
    { 0x56CD6880A39F2A45, "warp_player_debug" },
    { 0x81C55A72900A1167, "warp_struct_cooldown" },
    { 0x4910DBE2B78E01E3, "warp_to_last_good_pos" },
    { 0x52385C98F909E010, "warpend" },
    { 0xAA540A4B6D1DCDF1, "warpstart" },
    { 0xD08DEF20938571D1, "warroomtvs" },
    { 0x243BFB222E1E26DB, "was_branch" },
    { 0xE7FF054D0F7AAC99, "was_headshot" },
    { 0xBD2E0F2E9B329D5D, "was_opened_halfway" },
    { 0x3BB09253A34CC1DD, "was_recent_pain" },
    { 0x4172887394F1D44F, "was_seq3_gassed" },
    { 0x4159C05E5EDF91C2, "was_used" },
    { 0xB8754B44ABAF6518, "was_using_turret" },
    { 0x0A818808DDA4E5D8, "wasads" },
    { 0x4A7895BBC14682AC, "wasaimeleedbyplayer" },
    { 0x90811F59B2EF011F, "wasaimingdownsightsondamage" },
    { 0x07353F98EEE18901, "wasaliveatmatchstart" },
    { 0x18F1000BE10F75BA, "waschained" },
    { 0x0EB900DDBDDD0E0D, "wasdamaged" },
    { 0x3CA9018ED9B07DE3, "wasdamagedbyexplosive" },
    { 0xBB486793DDEF75FD, "wasdamagedbyoffhandshield" },
    { 0x08B402AC8ABF8B9E, "wasdamagedfrombulletpenetration" },
    { 0x8B3C8A48021F33B8, "wasdamagedfrombulletricochet" },
    { 0x067D3CA5FD085FFB, "wasexecuted" },
    { 0x8E835683EC3C89EE, "wasflagspawned" },
    { 0x2197DB1F6A2FAECC, "wasindent" },
    { 0x2AE64C39D19FA0AB, "wasingulag" },
    { 0xC183CBBEB6CF5703, "wasinlaststand" },
    { 0x0F73603647884842, "waslastround" },
    { 0x81E82216489AF5E8, "wasleftunoccupied" },
    { 0xD0FEAC4D7FDD79CC, "wasmajoritycapprogress" },
    { 0x4F86644F602DAFC0, "wasonlyround" },
    { 0x477EED29E3118CF8, "waspartjustdismembered" },
    { 0x6AA5132EE96A72D3, "waspreloadzonesstarted" },
    { 0x41357CBD998583CD, "wasrefunded" },
    { 0x27F06BB1223B158E, "wasrevivespawn" },
    { 0xA2EFBC4342486376, "wassquadspawned" },
    { 0xFF792E533B795EF6, "wasstalemate" },
    { 0xE096FF268001C93A, "wasswitchingteamsforonplayerkilled" },
    { 0x47A05DBFE7222E65, "wasti" },
    { 0x62D677F4C5A33F06, "wasuncontested" },
    { 0xCF646FA50401402E, "waswinning" },
    { 0x584C4D304F04346B, "watch_agent_death" },
    { 0x161A97AD05507081, "watch_aim_target_think" },
    { 0x761BF85990B868A0, "watch_and_open_scriptable_doors_in_radius" },
    { 0xAD962358AADB2541, "watch_armory_clear" },
    { 0xD5FA48D9F3F097CF, "watch_bot_died_during_crate" },
    { 0xAA50CB6B6FE28B0D, "watch_bot_died_during_revive" },
    { 0xE41D7ABF7A995CED, "watch_bullet_count" },
    { 0xC1420132FEE0BCB8, "watch_dpad" },
    { 0xDE8027477CEBC7AF, "watch_end_switchblade" },
    { 0x98A7C593014681B9, "watch_everyone_entered_caves" },
    { 0xF20DBBA756C88EE9, "watch_final_spawners" },
    { 0xFDD31A584D280600, "watch_flight_collision" },
    { 0x6896E40342D5364D, "watch_for_ai_events" },
    { 0xD5E448FCE7CFA38F, "watch_for_ai_nearby" },
    { 0x1A342BDBD340B3CC, "watch_for_alarm_triggered" },
    { 0xB2F15E32D165AB3C, "watch_for_all_groups_dead" },
    { 0x32E45878E3E4FCB7, "watch_for_all_passengers_dead" },
    { 0xC90D89E997BE56F8, "watch_for_ambush_rpg_death" },
    { 0x723F0EF96898DB9B, "watch_for_ashes_achievement" },
    { 0x4F9C87E2B64985D1, "watch_for_attack" },
    { 0xC03B9107FBCFEA22, "watch_for_bad_path" },
    { 0x21B0A6110356B0D8, "watch_for_bulletwhizby" },
    { 0xB43BAB67A10BD372, "watch_for_c130_called" },
    { 0x886BD7B1AB3456DB, "watch_for_convoy_escape" },
    { 0x588F6A39858DDFA4, "watch_for_damage" },
    { 0x522D3636E4CF3B0E, "watch_for_damage_on_trap" },
    { 0x220958455171517B, "watch_for_damage_on_turret" },
    { 0x36902EC849AEE5A1, "watch_for_death" },
    { 0x422C87C254FD7DAD, "watch_for_decoys_tracked" },
    { 0x2AC48A357F515AC0, "watch_for_disguise_vehicle_death" },
    { 0x1AE66F8BC5CB01A3, "watch_for_disguised_player_death" },
    { 0x108EB215F1B94E45, "watch_for_disguised_player_disconnect" },
    { 0xB1678CFF781C9A24, "watch_for_disguised_player_enter_vehicle" },
    { 0x9BB69E7EF849A970, "watch_for_disguised_player_last_stand" },
    { 0x8EE1ABF4DFA26F3E, "watch_for_driver_death" },
    { 0x09671FC40839B912, "watch_for_driver_spawned" },
    { 0x6C19D8F577F97EFB, "watch_for_dropped_weapons" },
    { 0xFEDB0CFA6EE6BB6C, "watch_for_escape_door_breached" },
    { 0x3030EC0CF050CA87, "watch_for_eye_remove" },
    { 0xA3B9C9DE30B8775B, "watch_for_flash_detonation" },
    { 0xA150A0D910025D62, "watch_for_heli_bosses_dead" },
    { 0x6612C7BB3D599600, "watch_for_heli_death" },
    { 0x714BD341FF709B41, "watch_for_heli_getting_killed_directly" },
    { 0xB6D699BA677EBD12, "watch_for_helis_killed" },
    { 0x98A39D4F6F2EFCF4, "watch_for_hintstring_updates" },
    { 0x899B75A60A9D5198, "watch_for_host_migration" },
    { 0x6429069CD3B51CE8, "watch_for_icbm_spawners" },
    { 0x9D2685C0F753CC7C, "watch_for_intro_completion" },
    { 0x7C553E10A74D0C84, "watch_for_kidnapper_death" },
    { 0x9A6411B6CB378DC5, "watch_for_lethal_weapons" },
    { 0x5FEB4F2515C84C72, "watch_for_level_weapons_free" },
    { 0xBA7171AB1AD34BAA, "watch_for_long_death" },
    { 0xFDFBFF422923F11B, "watch_for_maze_ai_events" },
    { 0xB6D5EB05BF280DF3, "watch_for_module_endons" },
    { 0x3F66B6828C8EFFF4, "watch_for_molotov_ambush_and_spawners" },
    { 0x09D21138930FC2AE, "watch_for_near_objective_point" },
    { 0xEBBBC98C858F9365, "watch_for_nearby_disable" },
    { 0x7D973C8E587338C2, "watch_for_next_sniper" },
    { 0xA9614D5B7C3C0DA7, "watch_for_nuke_planted" },
    { 0x0C51B44D9CA1E9D8, "watch_for_objective_failed" },
    { 0xA07BB7B020DF723D, "watch_for_objective_failure" },
    { 0x2FB621CBAE2F4DBD, "watch_for_objective_reached" },
    { 0x0F352D4BCA2FAAEE, "watch_for_objective_reached_by_all_players" },
    { 0x0532F556B83E8E96, "watch_for_obstacles_think" },
    { 0x442C1FFA30214013, "watch_for_owner_disconnect" },
    { 0xFE0D9331B29B81E5, "watch_for_parachute_death" },
    { 0x6630A451ACC6B747, "watch_for_parachute_deployed" },
    { 0x0D8C0F87CEDD0837, "watch_for_payload_approach_cache_1" },
    { 0x2EC94F48778FAEA9, "watch_for_phj_spawners_triggered" },
    { 0x98F6043FD2C10E63, "watch_for_plane_spawners" },
    { 0x9905540397BD535F, "watch_for_player_convoy" },
    { 0xA60FEF749E080CBC, "watch_for_player_damage" },
    { 0x291FAF67BF7829C9, "watch_for_player_death" },
    { 0xDE123D5F29D413B5, "watch_for_player_enter_puddle_trigger" },
    { 0xFBD7CA0F7A6A0ECA, "watch_for_player_enter_trigger" },
    { 0xE85B74BF316F3F80, "watch_for_player_entered_trap_room" },
    { 0x10E862339274A9D2, "watch_for_player_going_belowmap_or_oob" },
    { 0x2F7A8BB6790AE34D, "watch_for_player_in_gulag" },
    { 0x79EB56CFD48947BB, "watch_for_player_in_los" },
    { 0x88010DD54A03D9F3, "watch_for_player_out_of_range" },
    { 0xAD47A169A352B0B7, "watch_for_player_trigger" },
    { 0x5AB037E38E5D8585, "watch_for_players" },
    { 0x95EA5E3D84F8B3EC, "watch_for_players_activating_juggmaze_map" },
    { 0xE1A50605F7C2E20E, "watch_for_players_approaching_tugofwar" },
    { 0x9189F219273EE554, "watch_for_players_beyond_point" },
    { 0x9C728E00ADBCB754, "watch_for_players_beyond_point_internal" },
    { 0xC4E44694A4CC2A9F, "watch_for_players_entering_area_earlier" },
    { 0x76D5150FE6463C1D, "watch_for_players_in_front" },
    { 0x80298543B15B80FC, "watch_for_players_in_plane" },
    { 0xA25B049D7D33791F, "watch_for_players_in_plane_trigger" },
    { 0x092E6F4F54ED5806, "watch_for_players_joining" },
    { 0x4B68BA49E34CA6BA, "watch_for_players_ledgespawners" },
    { 0xD746021859C81785, "watch_for_players_mhc_smokers" },
    { 0xF0B2A83C634EEB6C, "watch_for_players_mhc_spawners" },
    { 0x0FF85652A7415D73, "watch_for_players_regrouping_to_plane" },
    { 0x52B74B79DD9CB12B, "watch_for_players_touching_ground" },
    { 0x0D7D876D9A0DBAEC, "watch_for_retreat" },
    { 0x5535F60532B91C4E, "watch_for_scouts" },
    { 0xEDF8B98566DB7B51, "watch_for_scouts_loop" },
    { 0xBC2D583DB0B1D4BE, "watch_for_second_input" },
    { 0x3B53E1D88E9F7381, "watch_for_smokers" },
    { 0x10FC28CE76053885, "watch_for_spawn_min_required" },
    { 0xEBD96BC81B159A89, "watch_for_spawner_triggered" },
    { 0x78ADDDE5A0F2C8E0, "watch_for_spawners" },
    { 0xC7D78D552C4E7FFF, "watch_for_super_ammo_depleted" },
    { 0x54D49F83C5202799, "watch_for_super_button" },
    { 0x21AAF20AC05C9223, "watch_for_team_undefined" },
    { 0x6CCF05916DB30CC1, "watch_for_thermite_triggered" },
    { 0xA5083F5DC6DEA043, "watch_for_timer_on_plane" },
    { 0xF28E6146B6AFE313, "watch_for_total_counts_below_num" },
    { 0xCD4A258011EEE168, "watch_for_tree_death" },
    { 0xC4F9028B82CA87D9, "watch_for_usb_notetrack" },
    { 0x523A6B155E9D88F7, "watch_for_usb_notetrack_switchoff" },
    { 0x3CABA502BA4BC810, "watch_for_vehicle_stuck" },
    { 0x98F5F9467C502F98, "watch_for_victim_death" },
    { 0x1B3AD4AD4B6D3A56, "watch_for_weaponsfire" },
    { 0x88D8C97B3E8172F3, "watch_for_zombie_touch" },
    { 0xDB460922058A033A, "watch_goal_aborted" },
    { 0x41CD79FEFB7250EB, "watch_minigun_ammo_depleted" },
    { 0xCDB8DBAFC0287BD4, "watch_node_base_chance" },
    { 0x1756FC54E98850F2, "watch_node_chance" },
    { 0x3DA347C280CCD8EC, "watch_node_clear_data" },
    { 0x9D89524212A23F86, "watch_nodes" },
    { 0x7C88152BC9261E36, "watch_nodes_aborted" },
    { 0xA84607D0DCCFB153, "watch_nodes_stop" },
    { 0x0C13FDE74760D936, "watch_nodes_visible_crouch" },
    { 0x1FFE0EDAB92DCC8E, "watch_nodes_visible_prone" },
    { 0x6A3BC8FE4C58F5B8, "watch_out_of_ammo" },
    { 0x79C7A6B564F16AFC, "watch_players_connecting" },
    { 0xA565470932D195DC, "watch_players_entering_super" },
    { 0xCCD620F79E4DBC84, "watch_remove_rig" },
    { 0x84A92D47653C5360, "watch_rpg_use" },
    { 0xB3D06FF630DBC54A, "watch_scriptable" },
    { 0x508C1A20BA2CCC90, "watch_tag_destination" },
    { 0xC4EF2862368CD25B, "watch_target_health" },
    { 0xFDF97C86576C8165, "watchaddminigunrestrictions" },
    { 0xBDA30812D8B56658, "watchafk" },
    { 0xEF1AF394D667350D, "watchairstrikeowner" },
    { 0xE4BB6BDAC6627374, "watchallcrateusability" },
    { 0x35A37FB5EB5648B2, "watchallcrateusabilityfast" },
    { 0xF1BD455FDFEF8D28, "watchalleyplayerexit" },
    { 0x473726FFEA7607FD, "watcharbitraryuptriggerenter" },
    { 0x844DDBE440F3B0D5, "watcharbitraryuptriggerexit" },
    { 0xFB7627D5286B8F9F, "watchatminedetonation" },
    { 0x0D347368BBFD4C44, "watchatminehitonpayload" },
    { 0x248C1E186FA2F90F, "watchaxeautopickup" },
    { 0x8465D206857633BB, "watchaxetimeout" },
    { 0xE2A9617E524763FB, "watchaxeuse" },
    { 0x774E1C174ED35493, "watchbetbutton" },
    { 0xFE592AA1AA8A30D4, "watchbetclear" },
    { 0x17400B2E11CD2AF2, "watchbetplaced" },
    { 0x8D75231D0118021D, "watchbombtimer" },
    { 0xFD58C9A6CE5D2AF7, "watchbombuse" },
    { 0xE06B8B7B9BF168CE, "watchbombuseinternal" },
    { 0x62E6D82E54A8EA50, "watchboxplayerexit" },
    { 0x15A8AF5E2F072A43, "watchbrc130aidropcrateanimend" },
    { 0xE52B6F2B1CAB0411, "watchbrc130airdropchuteanimend" },
    { 0x7FABC038EB953B95, "watchbrsquadleaderdisconnect" },
    { 0xAEB2B718B85F0BF2, "watchbulletoutline" },
    { 0xFDE8B7A645474E0A, "watchbulletoutlinecleanup" },
    { 0xA8F90DA490FDBDD4, "watchbuttondown" },
    { 0xEA59F51D9A5D6C0E, "watchbuttonpressed" },
    { 0xFA473E47ADCA456B, "watchbuttonpressedend" },
    { 0xE705250DCEE4D2E3, "watchbuttonpressedinternal" },
    { 0x0C4E9B4DD58C34AB, "watchbuttonpressendondisconnect" },
    { 0xDB18D6093A76E235, "watchbuttonup" },
    { 0x12ED71918F73CFE6, "watchc4altdetonate" },
    { 0x5D25980A87DF08C3, "watchc4altdetonation" },
    { 0xA81E948FDACD1B26, "watchc4detonation" },
    { 0xB737200C574F9919, "watchc4implode" },
    { 0x687736A9FC13B321, "watchc4stuck" },
    { 0x0BBE2FAAF3290AEB, "watchcameratracks" },
    { 0x64071B36FFF9AE30, "watchcarryobjectweaponswitch" },
    { 0x85BF6F06B26296E0, "watchchangeweapon" },
    { 0xC009AE8CF8A6EEA4, "watchcheck" },
    { 0x06FA296BF28878D2, "watchclosetogoal" },
    { 0xE1DDDDE22C7B2CB7, "watchcombatspeedscaler" },
    { 0x2CE5DA77B4D2D8B7, "watchconcussiongrenadeexplode" },
    { 0xCFE90D4CB8A8ABD3, "watchcrankedbombtimer" },
    { 0xAC580879D93FCD39, "watchcrankedendgame" },
    { 0x407FD3E32CCDF7FC, "watchcrankedhostmigration" },
    { 0x3684C9783FCDF5E7, "watchcrankedplayerhostmigration" },
    { 0x5C41FC0B7574E8BE, "watchcratedestroyearly" },
    { 0x77FBD6DC9C348C93, "watchcratedestroyearlyinternal" },
    { 0xE6E813F24005991B, "watchcrategastimeout" },
    { 0x27711C07C07A39A5, "watchcrateimpact" },
    { 0x2ED60B818B1A9E61, "watchcrateimpactfrequency" },
    { 0x736B2E570D9DAF68, "watchcratesettle" },
    { 0xB27C49B12A276849, "watchcratesettleinternal" },
    { 0xA20C2D91A962B672, "watchcratetimeout" },
    { 0xEE730E99F095F796, "watchcrateuse" },
    { 0x5DD4EF1F8EFB6B6B, "watchcrateuseinternal" },
    { 0x095220BE4290DF49, "watchdamagecycle" },
    { 0x3286B438D20B8734, "watchdangerresetaction" },
    { 0xF62377CC390ECF4E, "watchdeath" },
    { 0x5D72A60FE43CA42C, "watchdeployablemarkerplacement" },
    { 0xD0A5F71BF0BE289D, "watchdeployweaponanimtransition" },
    { 0xA23495BEF83A893D, "watchdeployweaponfired" },
    { 0x5B2C2734A530739D, "watchdestructibletvs" },
    { 0xA2D0735442D30640, "watchdevoverridematchstart" },
    { 0x3729ED64BB567546, "watchdisconnect" },
    { 0x745CA20EF357A4D4, "watchdistancefromentity" },
    { 0x4A8E3865D5BAE45D, "watchdistancefromstaticpoint" },
    { 0x8C240D0446F72F7A, "watchdropcratefrommanualheli" },
    { 0x500CC944DABB36A7, "watchdropcratefrommanualheliinternal" },
    { 0x138A91EA40E0D0E6, "watchdropcratefromscriptedheli" },
    { 0x09C0CFA697E4287B, "watchdropcratefromscriptedheliinternal" },
    { 0xD4387295872039A4, "watchdropcratesearly" },
    { 0x36076A1A898931A2, "watchdropweapons" },
    { 0xEB73D497B5455667, "watchdumpsterplayerexit" },
    { 0xE004B56D6BB0ABFE, "watchdvars" },
    { 0xA8D0B21FEAB71C03, "watchearlyexit" },
    { 0x9E20CB25211C9CA5, "watchearlyout" },
    { 0x2E629AD6549092F3, "watchendconditions" },
    { 0x5849617770E6634B, "watchendgame" },
    { 0xF620BB72AEA6F093, "watchenemyvelocity" },
    { 0x54104F995EC2DACA, "watchentitiesinradius" },
    { 0x987CFB351CBAAD7B, "watchentitydeath" },
    { 0xA0640BAFDD61C948, "watchequipmentonspawn" },
    { 0xB73BF672A57DEE80, "watchequipmentpickup" },
    { 0xE3DEA769C794A5C6, "watcher_2f_clear" },
    { 0x32D61B4170422C28, "watcher_for_core_pickup" },
    { 0xD64702C7B1799ECA, "watcherforremovingdeployable" },
    { 0x2E36BA7C5715DC1F, "watchexplosiveusable" },
    { 0xAC656FF178386450, "watchfastcrouch" },
    { 0xF4A80BAA559FA7B5, "watchfinalkillcamcleanup" },
    { 0x8B7C6E206CC897A2, "watchfireteamleaderdisconnect" },
    { 0x656A725617243802, "watchflagenduse" },
    { 0x1F4066EB18330ED7, "watchflagtimerpause" },
    { 0xA27C7EA2FC07AC69, "watchflashgrenadeexplode" },
    { 0x1535323E50C10DA2, "watchfor_pain_or_nearby" },
    { 0x7319A8EBFE52B1F1, "watchforafk" },
    { 0x882A2D1FFC7107B7, "watchforallnewpayloadspawners" },
    { 0x95E3DFB5BFD4D8C9, "watchforallpayloadspawners" },
    { 0xCFED9A09BB8D6064, "watchforambushend" },
    { 0x0215089175EBAF48, "watchforammouse" },
    { 0x32883464C63D0AA2, "watchforapcdamage" },
    { 0x0EC97563C6DCE927, "watchforapcdeath" },
    { 0x6AC09AB8F8BB075D, "watchforapctrigger" },
    { 0xF6CC87047F6BC5BC, "watchforatvtrigger" },
    { 0x2D80E32C1F76F2D7, "watchforbasicplayerevents" },
    { 0x832A39F7F34D510A, "watchforbrsquadleadershift" },
    { 0x740B6B7547FB5C0A, "watchforbulletwhizby" },
    { 0x5340BF00B4C1DA0F, "watchforcameralaunch" },
    { 0x56793B6543D2B26C, "watchforcameralookatothercameras" },
    { 0x8263EDC3578708E3, "watchforcancelduringgesture" },
    { 0x1EABE04E4FA5AC08, "watchforcancelduringweaponswitch" },
    { 0xCE1D8EA54A9EC63B, "watchforcapture" },
    { 0x454F47BBAEE0C50F, "watchforcarrierdisconnect" },
    { 0x8C9F898400E97DAB, "watchforcircuitbreakertriggered" },
    { 0x01EF77BBACDA9764, "watchforconnectedplayers" },
    { 0x43972ACE96E3E784, "watchforcorrectsequencecompletion" },
    { 0x63FDFA7671178770, "watchforcratecapture" },
    { 0xD0857182B929C737, "watchforcratedrop" },
    { 0xBC3BFF6E8E7AE77E, "watchforcurrentcamerahack" },
    { 0xE35D4E206A91A892, "watchfordamage" },
    { 0x37F8FC000DA53C17, "watchfordeath" },
    { 0xABD02639F9538DBA, "watchfordeathwhilereviving" },
    { 0x4B2F2079F7B8A8C0, "watchfordebugcompletion" },
    { 0x84A126250410CC80, "watchfordelete" },
    { 0x1CFA95581F075D6E, "watchfordeleteleaderidleanchor" },
    { 0x1880CF0FEB830E75, "watchfordeletesmokeflarevisualmarker" },
    { 0x516DAA28DF332467, "watchfordeposit" },
    { 0xE9AEDD62F9DC962D, "watchfordoorenttriggered" },
    { 0x22778D811537EEF6, "watchfordoublejump" },
    { 0xB1DDEDAE6CE4CBC2, "watchfordrophintstring" },
    { 0xBDFF486804C930A2, "watchforearlyexit" },
    { 0x250C846C72207D01, "watchforearlyprimeexit" },
    { 0xA04862BBC6C773E9, "watchforempapply" },
    { 0x6F20FBC4AAD12B12, "watchforendgame" },
    { 0x026DE8C85F2C6DC6, "watchforenemydistance" },
    { 0x9218022D5BE369FD, "watchforentervehicle" },
    { 0x7ADA6D5C437E48A7, "watchforexfilactive" },
    { 0x440D11452F60722E, "watchforexfilallyturntoside" },
    { 0x2A293BF6D01C8BD6, "watchforgameend" },
    { 0x8552EFF6F2572831, "watchforguardclosetoplayers" },
    { 0xC0291CA6AA80E4AF, "watchforhelideath" },
    { 0x8082C89EBAFA63C5, "watchforhelideletion" },
    { 0x4802ADDFD0E3468D, "watchforhelistatus" },
    { 0x0A4DEE05E95F421F, "watchforhelitriptimeout" },
    { 0x437DA119F8851875, "watchforhostagedroppos" },
    { 0xB45601863EF67579, "watchforimpact" },
    { 0x8BE0F9372EF831B2, "watchforinvalidweapon" },
    { 0xC20D8BC462EF9824, "watchforjuggdeathdisconnect" },
    { 0x32ED18D55791BF75, "watchforjuggernautdisconnect" },
    { 0xB87936C2E3826B5C, "watchforjuggernautend" },
    { 0x8F7D21DBFA144D0A, "watchforjuggernautgameend" },
    { 0x2554435897BC3EB1, "watchforjuggproximityscore" },
    { 0x60D58655EB322B78, "watchforjuggstop" },
    { 0x5B86A8C1385D0233, "watchforkidnapkilltimeout" },
    { 0xE4793D6613A8BB2D, "watchforlaststand" },
    { 0x15A3C4F26F5402B6, "watchforleapfrogpathdisconnect" },
    { 0x9A9F792A7D0D6817, "watchforlookathackcam" },
    { 0xF4A3931C1334A064, "watchforlosttarget" },
    { 0xF231152B87FFB075, "watchforlowpopmatchstart" },
    { 0x5CACA73AB2BAB2A1, "watchforluinotifyweaponreset" },
    { 0x6698B4568DD64866, "watchformanualweaponend" },
    { 0x2E9C4AB1CA7A12B8, "watchformeleeduringweaponswitch" },
    { 0x43EF5A890EC559DC, "watchforminewarning" },
    { 0x87FB99AEFCB13C1A, "watchforminplayersmatchstart" },
    { 0x13B1391100FC8F37, "watchformiss" },
    { 0x54D4A96075CACFC9, "watchformoralesdroppedinpool" },
    { 0x72F7EA4253F2AD7B, "watchformoralesnearpointarray" },
    { 0x42D0D127F7702415, "watchformoralesnearstruct" },
    { 0x70ED6BAD047053F7, "watchformoralespickedup" },
    { 0x0108B14B510B8D30, "watchformoralesunderfire" },
    { 0xA69862AD882BAC41, "watchfornagstootherplayers" },
    { 0xBA4719A292EC08EE, "watchfornearbyplayers" },
    { 0xAC8B9B458FB86BB6, "watchfornearfriendliesandrevive" },
    { 0x5184D4D6EE6DF4F4, "watchfornearmisswhizby" },
    { 0xE5D27B76B2083C0A, "watchfornewdrop" },
    { 0x8F2A9DCE6C726DC6, "watchfornotifies" },
    { 0x3D26632F05BAD074, "watchforobjectivefailure" },
    { 0x7FE212582CF34CE2, "watchforoverseerskilled" },
    { 0xA815DD89362E5864, "watchforpayloadconvoygroup" },
    { 0x9F9810BA3D357281, "watchforpayloadongoal" },
    { 0xDB875851B34F82A9, "watchforpayloadspawngroup" },
    { 0x104AA697BE8D8EFF, "watchforpayloadstage" },
    { 0xD9437A70285ED4B5, "watchforpayloadtriggersuperwave" },
    { 0x4EB354C144CA5665, "watchforperkremoval" },
    { 0xD3933D7105A0CFEC, "watchforpings" },
    { 0x9573910A817541C0, "watchforplayerdeath" },
    { 0x315A16FF7BCE798A, "watchforplayerexit" },
    { 0x26658084D7167AA5, "watchforplayerfirepress" },
    { 0xDD1D56CE58830F2C, "watchforplayerlookat" },
    { 0x4B405E1C27E0F796, "watchforplayermovementevents" },
    { 0x2A72C3C80D23E535, "watchforplayernearbcrumb" },
    { 0x14DF97873B8C08DF, "watchforplayerproximity" },
    { 0xDAB63F91922613FB, "watchforplayersgettingclose" },
    { 0x4A3988A8CFF019C6, "watchforplayersnearleader6" },
    { 0x46F7A7FA1E088B8A, "watchforplayertouchingwater" },
    { 0xF1B18160459653DC, "watchforplayerzonechange" },
    { 0xDFBC81EA4EF0AB50, "watchforpostkilllanding" },
    { 0xD70D2317DCE95F41, "watchforrallypointdeath" },
    { 0x46012111E1CFB579, "watchforrespawn" },
    { 0x972A7CEC8DAE59CE, "watchforrpgambush" },
    { 0x9C89DF4A60DACA20, "watchforrpgimpact" },
    { 0x57DDC2C76BE6F946, "watchforsaboteurdeath" },
    { 0x73CC789FACB38E29, "watchforscavengedammo" },
    { 0x41BE2252603C895C, "watchforscriptabledoorsinradius" },
    { 0xBB0B7731DE6FCEE2, "watchforsoldierkilled" },
    { 0xC1854C3EE1E0129F, "watchforsquadleaddisconnect" },
    { 0x893413F8B112495E, "watchforsquadleaddissconnect" },
    { 0x9FCA9D79F71BFFDC, "watchforstalledpos" },
    { 0xA955CDA0015B8324, "watchforstep4chaseplayerstopool" },
    { 0xD3D984DC0DEB5E54, "watchforstep5rushplayertimer" },
    { 0x5E68357D2B811011, "watchforstopambient6waves" },
    { 0xD138959B2B8A1BEB, "watchforstopwaves" },
    { 0x348C8775ADB77091, "watchforsupersprintenhancedused" },
    { 0x8C2AF08A183C6342, "watchforsuperusebegin" },
    { 0x0CB9B0DADBA3CAD5, "watchforsuppressiondelete" },
    { 0x15AE3BD5EB39A0F8, "watchfortapemachineinteraction" },
    { 0x72AF5C3C41EE52F6, "watchforteammatedeathwhilereviving" },
    { 0x16AC5655D473580D, "watchforteammaterevivedwhilereviving" },
    { 0xC07D1ECD1AAAA90F, "watchforupdatenotify" },
    { 0x936EE125C07B9DD2, "watchforusermessageevents" },
    { 0x16E655F8F89C340F, "watchforvehicleobjectivedelete" },
    { 0x0A44968E538EA97B, "watchforvehiclesuspendedstate" },
    { 0x064247C8CD431655, "watchforversusdone" },
    { 0x333CE58E50F74EC5, "watchforvipdamaged" },
    { 0xBF2081139F3323D4, "watchforvipdeath" },
    { 0xADE1ADF2FCDC1994, "watchforwalkstopwaves" },
    { 0xAF0CFC8CE5C590D7, "watchforweaponchange" },
    { 0xD49C9A57D116C08F, "watchforweapondropped" },
    { 0x3B75610803C0517F, "watchforweaponfire" },
    { 0x31E12325B91DB23B, "watchfraggrenadeexplode" },
    { 0xF3C8089E4571FAD2, "watchfx" },
    { 0x0B19993D1F1F79A3, "watchgameend" },
    { 0x64515D3990165E46, "watchgameendleave" },
    { 0xA794A1B4CAF0852B, "watchgameinactive" },
    { 0x6CFC75BCB43653E6, "watchgamestart" },
    { 0xDCAF2DF6CE7AFF17, "watchgametimer" },
    { 0xE95E0A55835655A2, "watchgasgrenadeexplode" },
    { 0x88A077ED11170D0B, "watchgastrapdamage" },
    { 0xE39DCFC5A357575F, "watchgastrigger" },
    { 0xAADE9734B10B98D1, "watchglproxy" },
    { 0x5899D8D9CD46B45E, "watchgrenadeaxepickup" },
    { 0xE3DBF8B17BB22DA8, "watchgrenadedeath" },
    { 0xFFA133884488E6E9, "watchgrenadesheldatdeath" },
    { 0x721BA30DF2F7386B, "watchgrenadethrows" },
    { 0xCE1CC4A01F38F4E3, "watchgrenadetowardsplayer" },
    { 0xEB1536402CE4A352, "watchgrenadetowardsplayerinternal" },
    { 0x72184632B079B3EE, "watchgrenadetowardsplayertimeout" },
    { 0x7315B12EB617A165, "watchgrenadeusage" },
    { 0x4210A82CB46A2977, "watchguardevadedamage" },
    { 0x1E36E459A26875CE, "watchgunsmithdebugui" },
    { 0x8C75147F5B5134A9, "watchhardlineassists" },
    { 0x29BE028292897B0B, "watchheadicon" },
    { 0xC326CB22E632BF93, "watchhealend" },
    { 0xBE0FDDCF64893013, "watchheatreduction" },
    { 0x206E2F34344BFCC6, "watchhelideath" },
    { 0xAF689A3BD9751CDD, "watchhelidestroyearly" },
    { 0xA020098DCA7B2B38, "watchhelidestroyearlyinternal" },
    { 0x09A40CBF197F1E59, "watchherodrop" },
    { 0x7530223ECABD53D3, "watchhighlightfadetime" },
    { 0x8985CBF00F50D428, "watchhostagedrop" },
    { 0xD9924304289B04DE, "watchhostmigration" },
    { 0xE09925DA50CD7982, "watchhostmigrationfinishedinit" },
    { 0x953504492506207D, "watchhostmigrationlifetime" },
    { 0x101AE6A6BA55D389, "watchhostmigrationstartedinit" },
    { 0x836331B49F99400B, "watchhoverend" },
    { 0xB88DA19B9259B347, "watchhvts" },
    { 0x85CC6C8447FF10BA, "watchiconupdater" },
    { 0x968A6A19014C72E3, "watchinexecution" },
    { 0x3F8B6EF221DF8C3B, "watchinfiljumpanim" },
    { 0x184CC93F0C4457AE, "watchintrocleared" },
    { 0xF052D78BAAE4F6DB, "watchinvalidweaponchange" },
    { 0x060A7230E4DA256E, "watchinvalidweaponswitchduringdisableweapon" },
    { 0xC614B8521C3FD711, "watchjackalcratepickup" },
    { 0x17A085FFE49E79F2, "watchjavelinusage" },
    { 0x373EA75EDCB259E2, "watchjuggernautweaponammo" },
    { 0x0E66324E73A3E8A8, "watchjuggernautweaponenduse" },
    { 0x6273E95D8C563AB8, "watchjuggernautweaponswitch" },
    { 0xA88A96934FBB38C5, "watchjugghealth" },
    { 0xE789A977D2ACD88C, "watchjuggprogress" },
    { 0x52286E2178A7FD5E, "watchjuggtimeout" },
    { 0x26FF9A1A3DFD1CB3, "watchlauncherusage" },
    { 0x1D22DE21BED385EE, "watchleadchange" },
    { 0xE95E5E26C3830DE1, "watchleaderdescriptionchange" },
    { 0xF149D1B8515788C9, "watchlethaldelay" },
    { 0xB9B917FD8D46A987, "watchlethaldelaycancel" },
    { 0x112225625CEB21EF, "watchlethaldelayfeedbackplayer" },
    { 0x8D53F905305D1E54, "watchlethaldelayplayer" },
    { 0x20426955B55AD4B1, "watchlifepackboostlifetime" },
    { 0x8260CAF500759873, "watchlifepackdeath" },
    { 0xBF4B7E809DEFACE4, "watchlifepackkills" },
    { 0x7C14AE93582F4AE4, "watchlifepacklifetime" },
    { 0x1C736A3932924B9C, "watchlifepackoutlinestate" },
    { 0x852510BD61E991DA, "watchlifepackowner" },
    { 0xB047C623AA306DC6, "watchlifepackuse" },
    { 0x3A2E11F10E7AF7DE, "watchlifepackuserdeath" },
    { 0xBC232B26BAAA01F7, "watchlightswitchuse" },
    { 0xFC9C58EC56B51C22, "watchmapselectexit" },
    { 0xEF32DBA4C079607F, "watchmapselectexitonemp" },
    { 0x85DA6564BEC27A4A, "watchmapselectweapon" },
    { 0xF5E7A5D467189676, "watchmarkedui" },
    { 0x4338DDD6A4F4ED57, "watchmarkeractivate" },
    { 0xFAD296A255588608, "watchmelee" },
    { 0x49D55E541BCBF638, "watchmidsideplayerexit" },
    { 0x6476C2C73EA2BCF7, "watchminigunweapon" },
    { 0xBB5AD25894D4863B, "watchminimap" },
    { 0xAD252426BB6CD97F, "watchmissilelaunch" },
    { 0x929364EADC59279B, "watchmissileusage" },
    { 0x6CEAF5695607DDAB, "watchmodechange" },
    { 0xF8F90F4D5BF0499B, "watchnukeimpact" },
    { 0xDBE106DB7638B2DD, "watchnukeweaponenduse" },
    { 0xD5128AFED9EC4821, "watchnukeweaponswitch" },
    { 0xF419409BE9E20638, "watchobjuse" },
    { 0x4811B1E99F882D4E, "watchoffhandcancel" },
    { 0xC4BA6F2B3E63790C, "watchoffhandfired" },
    { 0xB34FA6B5552C6411, "watchoobcooldown" },
    { 0x8559B39A59D6ED94, "watchooboutoftime" },
    { 0x61A10A4481C50BA9, "watchoobsuppressiontrigger" },
    { 0x70C2AAF70DCE5309, "watchoobsuppressiontriggerexit" },
    { 0xB02E9B3A678AE0C1, "watchoobsupressiontriggerenter" },
    { 0xCE9A16A60E92F03C, "watchoobtrigger" },
    { 0x42ED0E98D51C8BDA, "watchoobtriggerenter" },
    { 0xCF0888894D8F31EC, "watchoobtriggerexit" },
    { 0xEFD01E320D267DBD, "watchoobtriggers" },
    { 0x35CC8D6B2F4AD3A6, "watchoutlineremoveonkillstreakend" },
    { 0x77868188897BF703, "watchoutlineremoveonplayerend" },
    { 0xB4363D9CD2AFD607, "watchoutofrangestrength" },
    { 0xDFDD7B9C3147ADD8, "watchoverheat" },
    { 0xD52B5566BFB9C36F, "watchownerdeath" },
    { 0x649532FBD712A14D, "watchownerstatus" },
    { 0x380BBA9848A89554, "watchownertimeoutdeath" },
    { 0x5859CDDE3FEEFE61, "watchpainted" },
    { 0xEF8963015216A9E3, "watchpaintedagain" },
    { 0x688150F721A85B80, "watchparachutersoverhead" },
    { 0xC8ACC8D1F62C1C9B, "watchpatroltarget" },
    { 0xF5BF92585D384958, "watchpendingscenetimeout" },
    { 0x0DFA3F67F3D01D69, "watchphasespeedendshift" },
    { 0x0F442E1B9E4A399E, "watchphasespeedshift" },
    { 0x74B71A0D776BA8C0, "watchpickup" },
    { 0xBF91B1767525FF77, "watchpickupcomplete" },
    { 0x3EB77EB0FBE42E7E, "watchplaybackbegin" },
    { 0x1D054DFE53B1E2AA, "watchplaybackend" },
    { 0xB8351BAAB3EF2B27, "watchplayeradstoolong" },
    { 0xDC6FF686A5AB36B5, "watchplayerconnect" },
    { 0xD33424BA837CDCFC, "watchplayerconnected" },
    { 0x531331D54D4D0439, "watchplayerdeath" },
    { 0xF1BABE9EB79577A7, "watchplayerfailtoshoot" },
    { 0xD345B8D871AF488C, "watchplayerfiredpistol" },
    { 0xD83CDA22F6C20F61, "watchplayergunsmithdebugui" },
    { 0xD8EDF27CF74986D7, "watchplayerkillstreakdeath" },
    { 0xD1A47AADB10F2589, "watchplayerkillstreakdisconnect" },
    { 0xBE4DCB642E4C6362, "watchplayerkillstreakearlyexit" },
    { 0x9E9E8285782582A7, "watchplayerkillstreakemp" },
    { 0x9E917C85781760F0, "watchplayerkillstreakend" },
    { 0x8C8FCD221982545A, "watchplayerkillstreakswitchteam" },
    { 0x4745053A226631CE, "watchplayerkillstreaktimeout" },
    { 0x3A368CBD946F3E00, "watchplayerleavingcalloutarea" },
    { 0x6CAA1521C20CE5E7, "watchplayermelee" },
    { 0xAA7295A8F0B0D83F, "watchplayeronground" },
    { 0x9AAFBBC13E40112B, "watchplayersspawning" },
    { 0xD37E49E2BE7BD667, "watchplayersuperdelayweapon" },
    { 0x384E7F97777AF202, "watchplayersuperdelayweaponspawn" },
    { 0x03027A20525F8182, "watchplayerusebuttonpressed" },
    { 0xE0AC4C8DA671590E, "watchprematchdone" },
    { 0x43ECCA36F2C37B04, "watchproximityrevivefail" },
    { 0x96C8C59289FF8FC5, "watchpushtriggers" },
    { 0x519DA6B5EB11056E, "watchradialgesture" },
    { 0x49FAC2F9A96C7366, "watchradialgestureactivation" },
    { 0x1FC9420370E490EF, "watchrallytriggeruse" },
    { 0xCEE4886989CC562E, "watchrangefinderend" },
    { 0x428D58A15FCDD2BA, "watchrapidtagpickup" },
    { 0xEB1235A06AFF470F, "watchreloading" },
    { 0x2BD9CF22B8C70AD8, "watchremoveminigunrestrictions" },
    { 0x92BF4A42F6E0A830, "watchrevengedeath" },
    { 0x803B2039F17CDB55, "watchrevengedisconnected" },
    { 0x0CBDAED48FCB8A76, "watchrevengekill" },
    { 0x81F6E2B856D50BD5, "watchrevengevictimdisconnected" },
    { 0x7F8BBF3AFFA6B534, "watchsamproximity" },
    { 0xB4EABE36FC5702CB, "watchsentryshockpickup" },
    { 0x1FA0B4454B3EA8A3, "watchshockdamage" },
    { 0xFFD960C0E05053A9, "watchslowmo" },
    { 0x3FB6A184C49EB217, "watchsniperboltactionkills" },
    { 0x611D963B077EE3B9, "watchsniperboltactionkills_ondeath" },
    { 0xF97A497682EFC8BE, "watchsniperuse" },
    { 0x96DAA683172AEE96, "watchsnowballpickup" },
    { 0x9AD309EC859D2381, "watchspawninput" },
    { 0x79D31D0D6C50D68E, "watchspawnwallplayerexit" },
    { 0xB1137459B48C66F1, "watchspecialgrenadethrow" },
    { 0xB770D41877E827DA, "watchspraygesturedosprayevent" },
    { 0x288AF7625C1D4D3B, "watchstingerproximity" },
    { 0x2A8E27A0F37F13BA, "watchstoprevenge" },
    { 0x2DB8918EAFAB3982, "watchstuckinnozone" },
    { 0x48D931DCE9CB4AFE, "watchsuperdelay" },
    { 0xF6C80EBB2C2B2234, "watchsuperdelaycancel" },
    { 0xDEBF226B1F1CDB5C, "watchsuperdisableplayer" },
    { 0xECF58D7D5D3464CD, "watchsuperdisableweapon" },
    { 0xA23A16B20ECB2714, "watchsuperlottery" },
    { 0x3F47152BE5850620, "watchsupertrophynotify" },
    { 0x5DBFEC2A76A542F8, "watchsupplypackdeath" },
    { 0x2EE97526D219C2AD, "watchsupplypackuse" },
    { 0xFFA5DB8D01E8B995, "watchtarget" },
    { 0x0B6173E399744F2D, "watchtargetchange" },
    { 0x8CC5FC675237931F, "watchtargethealth" },
    { 0x0E6FB10D0C429D3D, "watchtargetlockedontobyprojectile" },
    { 0x52005FCC6CC4BA6E, "watchtargetmarkerentstatus" },
    { 0x23E74D78F8532680, "watchteammatesnearjugg" },
    { 0x3D49E3CC60BBA6E1, "watchthermalinputchange" },
    { 0x79A969E0FC0445B9, "watchthrowingkifefireswipe" },
    { 0x1E502FC085440CCB, "watchthrowingknifescavenge" },
    { 0x739CCFF37344E745, "watchtimerpause" },
    { 0x2C80A2E776E57F0A, "watchtofirerocketatpayload" },
    { 0x41DE2A5A816014E5, "watchtoughenup" },
    { 0x020A0D8D6F7BB0B4, "watchtoughenupgameend" },
    { 0xB6582789C47BF9CE, "watchtoughenuplifetime" },
    { 0xE070AD4340716603, "watchtoughenuplightarmorend" },
    { 0xCF5C087ED955DF85, "watchtoughenupplayerbegin" },
    { 0xCCF4A8C98B481105, "watchtoughenupplayerend" },
    { 0x481CA94A8E192DB1, "watchtrashcanplayerexit" },
    { 0xF3476BAC5A8791B0, "watchtrigger" },
    { 0xD59AC6A61D65DEE4, "watchturretdeployfailed" },
    { 0xD1D9371618BDB7F7, "watchtvdamage" },
    { 0x1BFBC6EF21BB2CB6, "watchvehicledeath" },
    { 0x43E81ECF4C043EE1, "watchvehicleforrallypointactivation" },
    { 0xDA0ADAF7970F51E4, "watchvehicleingas" },
    { 0x47BC747FE022F858, "watchvehiclesuspend" },
    { 0x355E5AA11F7DE7E0, "watchvisibility" },
    { 0x81973D7F504ED161, "watchvisibilityinternal" },
    { 0x83F2760B89084983, "watchvisordeath" },
    { 0xC11717041E59B648, "watchweaponchange" },
    { 0xFF7DCA0EBF4BA2C4, "watchweaponchanged" },
    { 0x0BB9F36C87AB3F95, "watchweapondeathordisconnect" },
    { 0x7F40E3A7C3296EBD, "watchweapondrop" },
    { 0x1BD8C8F24AC02190, "watchweaponfired" },
    { 0xEEE2EDA21C4E46D2, "watchweaponperkupdates" },
    { 0x1F380366646ADC4C, "watchweaponpickup" },
    { 0xB93F6B44072495FF, "watchweapontabletcallinpos" },
    { 0xC2DFC17AF25A24F8, "watchweapontabletstop" },
    { 0x03FAE8CE7E61E057, "watchweaponusage" },
    { 0xD4CBB1073D323145, "watchwindowplayerexit" },
    { 0xC3D95F64A67F7B85, "water_barrel" },
    { 0xBF69639DFAEB029C, "water_barrel_death" },
    { 0x36649A3542285A34, "water_barrel_init" },
    { 0x4E1C05AE55CD2D55, "water_immunity_time" },
    { 0xA8E18E625AC9CAC1, "water_stage" },
    { 0x43407AE34BA1B6DB, "waterbarrelshoulddie" },
    { 0xCB3DA7A263EF9CC4, "waterboard" },
    { 0x517A52E07FB0289C, "waterboard_anim" },
    { 0x07EC029F04BD4665, "waterboard_check_barkov_resistance" },
    { 0x9B5A3163CED78B3D, "waterboard_check_breath_fx" },
    { 0x3ECFBE0DD133FDDE, "waterboard_check_facing" },
    { 0x48A13047DCB3E911, "waterboard_check_near_passout_fx" },
    { 0x498283CBDA3E3641, "waterboard_check_still_in_danger_zone" },
    { 0xD0B5B32BA3C59A2A, "waterboard_check_took_breath" },
    { 0xAA71C13E651AF186, "waterboard_clamp_then_spring_cam" },
    { 0xCC98C61E667F26F4, "waterboard_clamp_to_waterboard_view" },
    { 0xC198A2968A9A5C3C, "waterboard_cloth_removed" },
    { 0x79F7497E432F1AA1, "waterboard_debug_display" },
    { 0xB81A1EDE3AACC2B6, "waterboard_has_moved_head" },
    { 0x30995ACC83E2F1A2, "waterboard_has_taken_breath" },
    { 0x228F000B15BDE84B, "waterboard_march_check" },
    { 0x94E7A1CC4B916D85, "waterboard_player_first_tilt" },
    { 0x8C48FD79EAACB080, "waterboard_player_pour_start" },
    { 0x0D285C8864D9424A, "waterboard_pour_effects" },
    { 0x979C68BA92AB60E1, "waterboard_pour_setup" },
    { 0x053A85A8F6D6F450, "waterboard_rumble" },
    { 0x86F2D6E40B3F3AF8, "waterboard_sfx" },
    { 0x5F28B47234E53F2B, "waterboard_splash_effects" },
    { 0x310A380F8C712ADC, "waterboard_tilt_forward" },
    { 0x6F05A797E8CD23E3, "waterboard_tutorial" },
    { 0x28765FBB5507A456, "waterboarddebug1" },
    { 0x03F8EEFBFFCE8C52, "waterboarddebug10" },
    { 0x28765EBB5507A223, "waterboarddebug2" },
    { 0x28765DBB55079FF0, "waterboarddebug3" },
    { 0x287664BB5507AF55, "waterboarddebug4" },
    { 0x287663BB5507AD22, "waterboarddebug5" },
    { 0x287662BB5507AAEF, "waterboarddebug6" },
    { 0x287661BB5507A8BC, "waterboarddebug7" },
    { 0x287668BB5507B821, "waterboarddebug8" },
    { 0x287667BB5507B5EE, "waterboarddebug9" },
    { 0x181D1A204B245BE0, "waterboardindex" },
    { 0xECCCB8D90FBE667C, "waterboarding_dof_barkov" },
    { 0x1A695A641FE5A557, "waterdeletez" },
    { 0x9AAA2508E855BFA4, "waterentityarray" },
    { 0x2672753B11E19696, "waterentitydamagewatcher" },
    { 0x784BA26DBB68A882, "waterfx" },
    { 0x34DFE53F854DE30C, "waterimpactlife" },
    { 0x191C74E9F6CD5C84, "wave1_enemies" },
    { 0x1C875ACC02AAB8F5, "wave1_targs" },
    { 0x54EA593B7075FC87, "wave1guys" },
    { 0x0FBE167BDFCAA33C, "wave2_targs" },
    { 0xE568EE6146BB931B, "wave3_targs" },
    { 0x6AAB67751642B20A, "wave4_targs" },
    { 0x344BCEC34D78CF7F, "wave_1_autosave_manager" },
    { 0xADC98A34F2237427, "wave_1_enemy_battle_line_update" },
    { 0x55035AD0D8CBC912, "wave_1_enemy_behavior" },
    { 0xD484634ECB7F9DA6, "wave_1_enemy_reinforcements" },
    { 0x4C18133739F06D9C, "wave_1_exploder_manager" },
    { 0x8A7462C749D49CFD, "wave_1_field_infantry" },
    { 0xEF816169FCFBC24D, "wave_1_guys" },
    { 0x7F49581E13EEF542, "wave_1_spawned_cave_first" },
    { 0xAEA235F27E0A5CC6, "wave_1_technical_01" },
    { 0x071200A8AC20DE24, "wave_1_technical_enemy_behavior_01" },
    { 0x2E09B78B01CD9FF1, "wave_1_technical_gunner_spawn_func" },
    { 0xF6B4B886C28C2201, "wave_2_enemy_behavior" },
    { 0x5975C2E09D9E207A, "wave_2_enemy_mortar" },
    { 0xBCE763F69EEDA0CB, "wave_2_nerf_friendlies" },
    { 0xA61155F7D48A12E7, "wave_3_building_enemy_behavior" },
    { 0x81966D589EEC8416, "wave_3_player_on_roof_watcher" },
    { 0xC327AD4B321281D5, "wave_4_corner_enemy_behavior" },
    { 0xAB35F06233061447, "wave_4_street_enemy_behavior" },
    { 0x538B57D70E091D26, "wave_4_technical_02" },
    { 0x538B58D70E091F59, "wave_4_technical_03" },
    { 0x44F6729E2F22E055, "wave_4_technical_03_enemy_behavior" },
    { 0x538B5ED70E092C8B, "wave_4_technical_09" },
    { 0x538FDBD70E0E3549, "wave_4_technical_10" },
    { 0x4BF9CCDB24B42329, "wave_5_enemy_mortar" },
    { 0x3CB92C817C6C525E, "wave_5_enemy_mortar_replacement" },
    { 0x583B51722ABA7264, "wave_5_mortar_run_enemy_behavior" },
    { 0x413184D7B4F856CC, "wave_5_street_enemy_behavior" },
    { 0xCBDE0F6996DF475D, "wave_6_drivers" },
    { 0x3CC08F9CA760BEBA, "wave_6_technical_04" },
    { 0x80286060BA133920, "wave_6_technical_04_enemy_behavior" },
    { 0x3CC0909CA760C0ED, "wave_6_technical_05" },
    { 0x9B0D4B9AEDDC1BE9, "wave_6_technical_05_enemy_behavior" },
    { 0x3CC08D9CA760BA54, "wave_6_technical_06" },
    { 0x1F508785964B43FA, "wave_6_technical_06_enemy_behavior" },
    { 0x3CC08E9CA760BC87, "wave_6_technical_07" },
    { 0x0151A661A3ECE20B, "wave_6_technical_07_enemy_behavior" },
    { 0x3CC0839CA760A456, "wave_6_technical_08" },
    { 0xB4636546CEB4554C, "wave_6_technical_08_enemy_behavior" },
    { 0xF87937A3DF1AAAA7, "wave_6_technical_08_gunner_behavior" },
    { 0x616A81D9B1131A9F, "wave_aggro_array" },
    { 0x3625F36D031B8E78, "wave_aggro_monitor" },
    { 0x55E756D1296B6507, "wave_ai_debug" },
    { 0xD3370CD9ED806D21, "wave_ai_killed" },
    { 0xD453DB570A38A4AE, "wave_ai_spawned" },
    { 0x108E1175C0B21389, "wave_airstrikes_allowed" },
    { 0x80420C0D60BC32DF, "wave_cooldown_active" },
    { 0x990CD16349444A95, "wave_cooldown_sounds" },
    { 0xA50BD8C792D78B94, "wave_cooldown_time" },
    { 0xDDACE594ABEBBFBE, "wave_default" },
    { 0xEFD1160A9ADDC402, "wave_default_internal" },
    { 0x0B7CB844957893B0, "wave_difficulty" },
    { 0x7E7E06E8782FC00C, "wave_difficulty_update" },
    { 0x9BFA1A760DE6D7F8, "wave_enemies_remaining" },
    { 0x90732011CC839A52, "wave_failsafe_end" },
    { 0x44A81438EB35072F, "wave_go_kamikaze" },
    { 0x9AF3C507E324794E, "wave_goto_on_spawn" },
    { 0x312217D371364B7E, "wave_max_spawns" },
    { 0xB7514BCF72617030, "wave_neil_battery_pickup" },
    { 0x086D8FF3AA77CC89, "wave_neil_battery_placed" },
    { 0x9D25CB731B6B5909, "wave_neil_floppy_pickup" },
    { 0x3DFE87A72760C7DC, "wave_neil_floppy_placed" },
    { 0x8693797D538E6AE1, "wave_neil_head_pickup" },
    { 0x6B1C65AF5CBA4744, "wave_neil_head_placed" },
    { 0xECE2F5F6F46B9153, "wave_num" },
    { 0x782BCA0468ED59CC, "wave_num_when_joined" },
    { 0xB2DAB62E16D8859D, "wave_outline" },
    { 0xDBB10DC18AABAF6B, "wave_paused" },
    { 0xA7C6FF7F4F342D36, "wave_perc_increase" },
    { 0x43C0AFC0AC8A5D08, "wave_progression" },
    { 0x586D2889248D3C3A, "wave_reference" },
    { 0xCF4012F206D6B06F, "wave_reference_override" },
    { 0xCCBC4AC35391E9DA, "wave_reinforce" },
    { 0x89883DDF73D0DD70, "wave_revive" },
    { 0xBA4E30104FF3FFC5, "wave_single_progression" },
    { 0x62C89C66C5A59CD8, "wave_spawn" },
    { 0x8A8365841B250CA1, "wave_spawn_proc" },
    { 0x1B66F3BCD745A15C, "wave_spawn_selector" },
    { 0xB0705020E9949244, "wave_spawn_time" },
    { 0x65E188448B807D6F, "wave_spawner" },
    { 0x70FAFF60F2354549, "wave_spawner_overrides" },
    { 0xD204D59211E7CE25, "wave_spawning_throttle" },
    { 0x0B1D20978D1561FF, "wave_table" },
    { 0x87FFC8A362D0C844, "wave_time" },
    { 0x7E35F1856D62C778, "wave_time_between_spawns" },
    { 0x733B87D1DBA611C7, "wave_time_set" },
    { 0xF3217A609A05C240, "wave_use_vehicles" },
    { 0x25614BD8D2E412B7, "wavedelay" },
    { 0x3B85234CD7E5C8BC, "waveplayerspawnindex" },
    { 0x706CC60642A9F6EE, "wavesheldwithweapon" },
    { 0x1AAEF9CB6EB8DA8D, "wavespawnindex" },
    { 0xAF1CA4C4BBCDFA2C, "wavespawntimer" },
    { 0x253AFC0FF0616600, "wavessurvivedthroughweapon" },
    { 0x051B7B3A99BB85D5, "wavesv_finite_ending" },
    { 0xCAC295BB50225258, "wavesv_finite_max" },
    { 0xE3BA68ED218C924A, "wavesv_finitemode" },
    { 0x4AEBDF902C3B4016, "waveswithweapons" },
    { 0xF0E52E5B3F3A9271, "wavetime" },
    { 0xA1D08D32D8700063, "wavetimerwatcher" },
    { 0x070230ED1F15CDE6, "waypoint" },
    { 0xF967EC2C529E76E6, "waypoint_active_vfx" },
    { 0xD568D2CF6C25944D, "waypoint_alpha" },
    { 0xF6A51660E1D893E3, "waypoint_completed_vfx" },
    { 0xDACA5DED6194BC88, "waypoint_delete" },
    { 0xC77B78A95AEFA519, "waypoint_endzone_vfx" },
    { 0x51DC6035F8E12AAA, "waypoint_icon" },
    { 0x4F83A2A83325ECE5, "waypoint_inactive_vfx" },
    { 0xFF6A37F6A58AC0D1, "waypoint_index" },
    { 0x7C6DE73617BC2685, "waypoint_init" },
    { 0xA33AB95D0F9BF3AE, "waypoint_radius_think" },
    { 0x74594758E4C8328B, "waypoint_reached" },
    { 0x81D6384BCAF0C27A, "waypoint_size" },
    { 0x0E8976EEF4C3CD25, "waypoint_volume" },
    { 0xA307BA1147F69FF9, "waypointbgtype" },
    { 0x442A7929BE21256E, "waypointcolors" },
    { 0x9E17204D6A8E99FB, "waypointid" },
    { 0xCE7A6A43F1C1ACE1, "waypointobjnum" },
    { 0x2618AB3F1D186F1C, "waypointpulses" },
    { 0x7F9F2E7B5CF31EAF, "waypoints" },
    { 0xE408F31CB82141F9, "waypoints_creation" },
    { 0xAAC9EC6A74763C4F, "waypoints_free_flow" },
    { 0x4E71AF85069201CE, "waypoints_linear_flow" },
    { 0x3C0FCB19F0C2C69A, "waypoints_reached" },
    { 0x854EDA25FFC4CA0E, "waypoints_structs" },
    { 0x84EB4D853113DB4F, "waypointshader" },
    { 0x98A7E02737D9E037, "waypointstring" },
    { 0xCDC6DE32F0C3A6CA, "wboardvobreathlowcount" },
    { 0x9325FCA30CB078F2, "wboardvofailbreathcount" },
    { 0x04A2E959964563ED, "wboardvoholdstillcount" },
    { 0x0B8317D676C421A3, "wboardvonotmovingcount" },
    { 0x4B9308DB067D3EFD, "wboardvosuccessbreathcount" },
    { 0xA543CEF4072A739E, "weak_spot" },
    { 0xD85C88A91C919BEA, "weak_spot_destroyed" },
    { 0xEC9B21ED6AD756EB, "weapcoltfireblur" },
    { 0x7B4DB50A6B09DF08, "weapfireblureffect" },
    { 0x2DA405941016A076, "weapfireradialblur" },
    { 0x00E573DCDFAED7AD, "weapon" },
    { 0x9F455A606DDF1EE6, "weapon_akimbo_prop_think" },
    { 0x078F3603C04280EE, "weapon_board" },
    { 0x569A23013E489B92, "weapon_box_cache_use" },
    { 0x857BD685F1611529, "weapon_build_models" },
    { 0x3023C302B542D01A, "weapon_buy_point_watch_death" },
    { 0xB90894A9939F9082, "weapon_change" },
    { 0xB384F5D2ACBACB56, "weapon_check" },
    { 0x9CA1E97D3C6D7116, "weapon_class" },
    { 0xF2E7816F23700162, "weapon_clip_delete" },
    { 0x809DD644B2B4EF04, "weapon_col" },
    { 0x25D82C14DE0F1655, "weapon_drop_cooldown" },
    { 0x301B2DB41DF90A38, "weapon_dropped" },
    { 0x166D07C146457E3B, "weapon_empty" },
    { 0xE5BB7A679DEC9E0A, "weapon_fire_3f_enemy1_vo" },
    { 0xB3967AABB6E20539, "weapon_fire_3f_enemy2_vo" },
    { 0x8FCB8732BE6834DF, "weapon_fire_monitor" },
    { 0x1BB28934DF8E1834, "weapon_fire_vo_cooldown" },
    { 0x415C052659A7140A, "weapon_fired" },
    { 0x4B524AF6C73EC182, "weapon_function_hack" },
    { 0x71338F889A5B3DE5, "weapon_genade_launcher" },
    { 0x5111AF0CE2ADAC66, "weapon_has_ranks" },
    { 0xB68A22A941A459B3, "weapon_hassight" },
    { 0x3C7C30ABBAE03FA2, "weapon_hint_func" },
    { 0x49696C37EC797207, "weapon_is_a_cp_mod" },
    { 0x5AAF84D52849C4DE, "weapon_is_a_vehicle_weapon" },
    { 0x6AEB5F16EFA3CC5B, "weapon_is_cp_loot" },
    { 0x92BE8D47BA663BC1, "weapon_is_dlc2_melee" },
    { 0x392C516ABB23910F, "weapon_is_dlc_melee" },
    { 0xDC638F6BFE7821EB, "weapon_issilenced" },
    { 0xCE7F0F46F43A0AA3, "weapon_knock_off_room_monitor" },
    { 0xD5D7861AFA220075, "weapon_levels" },
    { 0x6769A88A0DE37499, "weapon_locs" },
    { 0x3949E8A7BCC91E58, "weapon_monitor" },
    { 0xFA4C1063D1B5BA55, "weapon_name" },
    { 0xFA5F50323D8558B4, "weapon_name_log" },
    { 0x819680BEF942C0D6, "weapon_no_unlimited_check" },
    { 0xBD139A44DFEA1723, "weapon_obj" },
    { 0x7B8B3D077FB10415, "weapon_object" },
    { 0xAC079194897BADDA, "weapon_passive_xp_multiplier" },
    { 0xD7CC888D96AB9130, "weapon_passives" },
    { 0x2EA7722B85DE1030, "weapon_pick_up_monitor" },
    { 0x88F78ED7B67453DF, "weapon_progression_enabled" },
    { 0x3B5EE84F9C79735A, "weapon_pump_action_shotgun" },
    { 0x2D0249D69C0570CE, "weapon_purchase_disabled" },
    { 0x14ED8E2D32F78A37, "weapon_rank_event" },
    { 0xD068CA40902964DC, "weapon_rank_event_table" },
    { 0x7EA840F9B2CAE203, "weapon_should_get_xp" },
    { 0xFD48ECAF4B2A1C5B, "weapon_should_not_get_ammo" },
    { 0x8FB055D31CF6421A, "weapon_state_func" },
    { 0x434456176805F9EF, "weapon_stats_override_name_func" },
    { 0xC66B0DA3D592ED17, "weapon_stow" },
    { 0xE6736A80679ADEA2, "weapon_switch_hint" },
    { 0x90F6F1C9398C0313, "weapon_switch_monitor" },
    { 0xE9C64F818E97E858, "weapon_switch_started" },
    { 0x76A37AE923DFD76A, "weapon_table" },
    { 0xDD52B0E96F8F0069, "weapon_taken" },
    { 0x6825BE8F2BD9F55A, "weapon_think" },
    { 0x94E4609B53878026, "weapon_upgrade" },
    { 0xC1E8D05200A468E3, "weapon_upgrade_hint_logic" },
    { 0xA9DC4EBD6C67D511, "weapon_upgrade_interaction" },
    { 0x4CF8E50D1D114BCC, "weapon_upgrade_path" },
    { 0x0831A6A0D6D2191B, "weapon_watch_hint" },
    { 0x046AF50A226B274D, "weapon_xp_iw8_ar_akilo47" },
    { 0x60128016DE9655D8, "weapon_xp_iw8_ar_asierra12" },
    { 0x2333B2547702D482, "weapon_xp_iw8_ar_falima" },
    { 0x8EAE975581BCE0D8, "weapon_xp_iw8_ar_falpha" },
    { 0x7E2DB1F20F655BB3, "weapon_xp_iw8_ar_golf36" },
    { 0xFEC9AF2F264D0AAB, "weapon_xp_iw8_ar_kilo433" },
    { 0x35EFD14C702AD1E1, "weapon_xp_iw8_ar_mcharlie" },
    { 0x85AEBAA2385B5134, "weapon_xp_iw8_ar_mike4" },
    { 0x87F8E95CB54B6F6B, "weapon_xp_iw8_ar_scharlie" },
    { 0x3EB6B9872BB0D1DC, "weapon_xp_iw8_ar_sierra552" },
    { 0xDDE0A4C211BFDEA6, "weapon_xp_iw8_ar_tango21" },
    { 0x1ACCF26B29DFD019, "weapon_xp_iw8_fists" },
    { 0x35FC64BC6A5B436B, "weapon_xp_iw8_knife" },
    { 0x46EF9D020C8C90CB, "weapon_xp_iw8_la_gromeo" },
    { 0x277F323F4E4A6E21, "weapon_xp_iw8_la_juliet" },
    { 0x4C0132476B16ECDB, "weapon_xp_iw8_la_kgolf" },
    { 0xEE9F050333C71C69, "weapon_xp_iw8_la_mike32" },
    { 0xE3E319CE50B6CF55, "weapon_xp_iw8_la_rpapa7" },
    { 0xE31A3B41C4431F3B, "weapon_xp_iw8_lm_kilo121" },
    { 0x172771EBD6F22D35, "weapon_xp_iw8_lm_lima86" },
    { 0x58922DB9C9F0CAEA, "weapon_xp_iw8_lm_mgolf34" },
    { 0x58922BB9C9F0C684, "weapon_xp_iw8_lm_mgolf36" },
    { 0xA2817D7B332576E5, "weapon_xp_iw8_lm_mkilo3" },
    { 0x74E3C2C4CA752C7B, "weapon_xp_iw8_lm_pkilo" },
    { 0xED75DE30E21DCD7E, "weapon_xp_iw8_me_riotshield" },
    { 0x105F66800B509707, "weapon_xp_iw8_pi_cpapa" },
    { 0x2DB1FD471D355657, "weapon_xp_iw8_pi_decho" },
    { 0x2CCCA80169DD32CB, "weapon_xp_iw8_pi_golf21" },
    { 0xE9E183B1BF626C28, "weapon_xp_iw8_pi_mike1911" },
    { 0xF9C1A97BE6FC1D2D, "weapon_xp_iw8_pi_papa320" },
    { 0xEC3E88562A8AE4A8, "weapon_xp_iw8_sh_charlie725" },
    { 0x294F8C5BA5334021, "weapon_xp_iw8_sh_dpapa12" },
    { 0x33FF00D5CEC71388, "weapon_xp_iw8_sh_mike26" },
    { 0x8640DB58E0B2BCD9, "weapon_xp_iw8_sh_oscar12" },
    { 0x485F328C492A871F, "weapon_xp_iw8_sh_romeo870" },
    { 0xB1888BC8B3CE2BE1, "weapon_xp_iw8_sm_augolf" },
    { 0xF116478F199F8605, "weapon_xp_iw8_sm_beta" },
    { 0x163B571EEE52523A, "weapon_xp_iw8_sm_charlie9" },
    { 0xD00EC9B32A8AAC51, "weapon_xp_iw8_sm_mpapa5" },
    { 0xD00EC7B32A8AA7EB, "weapon_xp_iw8_sm_mpapa7" },
    { 0x64C8A0B78B069FFE, "weapon_xp_iw8_sm_papa90" },
    { 0x2F098A8A9F136860, "weapon_xp_iw8_sm_smgolf45" },
    { 0x6BB6F10A946FB930, "weapon_xp_iw8_sm_uzulu" },
    { 0x89338F4E91C616E8, "weapon_xp_iw8_sm_victor" },
    { 0xBFA70CFA6857F101, "weapon_xp_iw8_sn_alpha50" },
    { 0x6E418E4032A2989B, "weapon_xp_iw8_sn_awhiskey" },
    { 0x91C95E6A2FBB1F74, "weapon_xp_iw8_sn_crossbow" },
    { 0x0DB84D004179EF7E, "weapon_xp_iw8_sn_delta" },
    { 0x74BC23581DBCB842, "weapon_xp_iw8_sn_golf28" },
    { 0x9608714B01388B52, "weapon_xp_iw8_sn_hdromeo" },
    { 0xD708482D60CF9060, "weapon_xp_iw8_sn_kilo98" },
    { 0x754F6F201A29E2BF, "weapon_xp_iw8_sn_mike14" },
    { 0xEA89C30B9FB0FDC3, "weapon_xp_iw8_sn_sbeta" },
    { 0x17657A0FBC177769, "weaponaffinityextralauncher" },
    { 0x6D408032563A4A07, "weaponaffinityspeedboost" },
    { 0x85EAF06BA8F5118B, "weaponaltweaponname" },
    { 0x48A305F032AA202E, "weaponarray" },
    { 0x928B7003BD99C973, "weaponasset" },
    { 0x97A91F65F25D6F4E, "weaponassetnamemap" },
    { 0x1CA5CCBB5762EA6F, "weaponattachcustomtoidmap" },
    { 0x5366F78AAF8E122D, "weaponattachdefaultmap" },
    { 0xF86851A8E9B2F799, "weaponattachdefaulttoidmap" },
    { 0x7D9A7F4B17A4C5C5, "weaponattachmentperkupdate" },
    { 0x129BCF6DFF1A5FC9, "weaponattachments" },
    { 0xC8F60D1CF2EBA1AC, "weaponattachremoveextraattachments" },
    { 0x44B6F5BA4F10E400, "weaponburstcount" },
    { 0x0F758D7FE0CB2303, "weaponbypassspawnprotection" },
    { 0xE90C568DAB085464, "weaponcandrop" },
    { 0xCDE2F872F3CD3653, "weaponcanmelee" },
    { 0x33EF686923A01236, "weaponcanstoreaccuracystats" },
    { 0x1621FD7E469967D5, "weaponcategories" },
    { 0xDE7791C75C363D45, "weaponchange" },
    { 0x8BE8497E0ADD956F, "weaponchangecallbacks" },
    { 0x4913ABA743F96247, "weaponclass" },
    { 0x374659134D8C24AF, "weaponclassdata" },
    { 0xB9E2DB81E380FE0F, "weaponclasses" },
    { 0x6F2EE3D4F4F0B290, "weaponclassweights" },
    { 0x35954823DB27D62F, "weaponcleanupmanualturret" },
    { 0xBC38E4A7A30B81F6, "weaponcleanupsentryturret" },
    { 0xCA63C9289E5C8E42, "weaponclipsize" },
    { 0x100D56D1135BE584, "weaponconfigs" },
    { 0xF0BC5D6BCF0EDED5, "weapondamagetracepassed" },
    { 0x4724200D82217612, "weapondetonatedextraction" },
    { 0xEBD574FE4A58A30E, "weapondetonatedtomastrike" },
    { 0xCD19D272C55E9FD9, "weapondrop_beginsuper" },
    { 0x55449BDC947479D8, "weapondrop_createdrop" },
    { 0x729999E63E57F839, "weapondrop_createdropondeath" },
    { 0xE3A04420AA1EF0FC, "weapondrop_deploydrone" },
    { 0x14B88538E4A01005, "weapondrop_dronedelivery" },
    { 0xE2C1AED1599728F9, "weapondrop_givedropweapon" },
    { 0x11ADCD5FD303DA9F, "weapondrop_init" },
    { 0x7967FB026AD978F5, "weapondrop_physics_callback_monitor" },
    { 0xF10B603556870A86, "weapondrop_physics_timeout" },
    { 0xA2D5517ABCFAE584, "weapondrop_used" },
    { 0x2C0C65CF288D24AC, "weapondropfunction" },
    { 0xF91B4D0FA2C345D6, "weaponenabled" },
    { 0x913224FD3D7AD41F, "weaponexistsinstatstable" },
    { 0x9F55EDD609877035, "weaponfightdist" },
    { 0xE32DB9AE1CF5DB5B, "weaponfiredairstrike" },
    { 0x1CA4D41F7879171A, "weaponfirednuke" },
    { 0xC44AFBE12B357D36, "weaponfiredtomastrike" },
    { 0x3E81A71254FE2881, "weaponfirepush" },
    { 0x67942A6AC05E30A8, "weaponfiretime" },
    { 0x25833BC7E0CF281D, "weaponfixup" },
    { 0x1844191BFF53B4E5, "weaponfullstring" },
    { 0x6E1583245AAEB860, "weapongetdamagemax" },
    { 0x6DF279245A885AAA, "weapongetdamagemin" },
    { 0xAB04F4407B7E7B95, "weapongetflinchtype" },
    { 0xAC716D3EE9032042, "weapongivenac130" },
    { 0x33EF6DFB7E490A90, "weapongivenairstrike" },
    { 0xC463D0BDF623E91E, "weapongivenchoppergunner" },
    { 0x30DA28748A145912, "weapongivencruisepredator" },
    { 0xA9DEDC2A35BEC968, "weapongivendeathswitch" },
    { 0xB13D53FD785EEAF6, "weapongivendronehive" },
    { 0x9DD0DFA9277BDE12, "weapongivendronestrike" },
    { 0xB5B4A3C9F8722226, "weapongivengunship" },
    { 0xA0F36A3C66E3805C, "weapongivenhelperdrone" },
    { 0x780D53AB8199328F, "weapongivenhoverjet" },
    { 0xC83D7B341680426B, "weapongivennuke" },
    { 0x46CF9530DA4ADECC, "weapongivenremotetank" },
    { 0xCCB106A9B0EEAC6B, "weapongiventomastrike" },
    { 0x1630FACA5B9F8091, "weapongivenwp" },
    { 0x364DCD7816D815DC, "weapongroupdata" },
    { 0xB4AAFE45B16F62BA, "weapongroupmap" },
    { 0x2636AFB7A54D4F06, "weaponhasattachment" },
    { 0xDB55968D3F7198ED, "weaponhaslockon" },
    { 0x6291C42697F87CA4, "weaponhaspassive" },
    { 0xE6EEFB4BA9D3AB26, "weaponhasranks" },
    { 0xAD252F42CDCDC48C, "weaponhasselectableoptic" },
    { 0x9007AB23326221A2, "weaponhasthermalscope" },
    { 0x579E734E8523250D, "weaponhasvariants" },
    { 0x9B42E9FD3A3751CE, "weaponhitsperattack" },
    { 0x396564137D78E908, "weaponicon" },
    { 0x9290A5E129EE45BF, "weaponignoresblastshield" },
    { 0x42A1DFDC9FFDE223, "weaponignoresbrarmor" },
    { 0x7CDB3012F34A663D, "weaponinfo" },
    { 0x782A54EE78518276, "weaponinheritsperks" },
    { 0xF653A7423857A97F, "weaponinventorytype" },
    { 0xFFD512398892BAAE, "weaponisauto" },
    { 0x9F41147EF749ECD2, "weaponisbeam" },
    { 0xF904D69CAD962F64, "weaponisboltaction" },
    { 0x53BC7625403C35AC, "weaponisimpaling" },
    { 0x29C3C93EF86585CB, "weaponispreferreddrop" },
    { 0x7CBBA9113F200C64, "weaponisrestricted" },
    { 0xAD7B46FFAB32C590, "weaponissemiauto" },
    { 0x737B33E93458B8E9, "weaponisvalid" },
    { 0xA5C370A82A0A8127, "weaponitems" },
    { 0x8D3AD6D91DEE1A4D, "weaponkickrecoil" },
    { 0xD8C0B0BAB9EA5FB6, "weaponkills" },
    { 0xEC3E928241614393, "weaponkitinitialized" },
    { 0x611BD244407A2665, "weaponlasercalls" },
    { 0xED1A31C57FBEDA69, "weaponlist" },
    { 0x79A7BEEEDFAFA553, "weaponlocallowed" },
    { 0x21A62B07CFD5792D, "weaponlocker" },
    { 0x30E31D7850DB1BD0, "weaponlockfinalize" },
    { 0x18EA4E0DCA268D70, "weaponlockfree" },
    { 0xEE46354C0DAF1411, "weaponlocknoclearance" },
    { 0x20BB9AA7AC131AC2, "weaponlockstart" },
    { 0x435160E752E043A1, "weaponlocktargettooclose" },
    { 0xF018470629214817, "weaponlootmapdata" },
    { 0x0410839D56E66AF4, "weaponmap_toattachdefaults" },
    { 0xD5CF8DD0CB11CAF7, "weaponmap_toperk" },
    { 0xB8D4DE4A158A7172, "weaponmap_tospeed" },
    { 0x1882C0A766B1B6E9, "weaponmapdata" },
    { 0xFCD196CEB529E703, "weaponmapfunc" },
    { 0xC1D707E904E7E463, "weaponmaxammo" },
    { 0x3F161B5D11EF8D05, "weaponmaxdist" },
    { 0x1AB8C675580795C0, "weaponmaxval" },
    { 0x3136F4F69BEF67EE, "weaponname" },
    { 0xD127F41C3DF062DE, "weaponnumbermap" },
    { 0x25CCC75BCC171452, "weaponobj" },
    { 0xF1460A20B06B4879, "weaponobtained" },
    { 0x32FD9BB46D979779, "weaponoffhandclass" },
    { 0xD55D8B5A4638D8C2, "weaponoffset" },
    { 0x2F13EDEB881EA405, "weaponoverride" },
    { 0x8B38BA18D4DB0BAF, "weaponpassives" },
    { 0x4C7588AA6AA2FEC9, "weaponpassivesinit" },
    { 0x79DD5484A2F95A97, "weaponpassivespeedmod" },
    { 0x58E0389B093084C8, "weaponpassivespeedonkillmod" },
    { 0x0638870E85473961, "weaponperkmap" },
    { 0x77F5FDF046FE4EC4, "weaponperkupdate" },
    { 0xC86B2A4FDD4DBC19, "weaponpickupflyoutbit" },
    { 0x95C9C14E1DDABE7A, "weaponpickups" },
    { 0xAEB62B5CEC8B1D71, "weaponpos" },
    { 0xA44949693B607E50, "weaponposdropping" },
    { 0x580BCA0755DD6533, "weaponrail_on" },
    { 0x6C79A10719109641, "weaponranktable" },
    { 0x0AF7429CD21E3175, "weaponrankxpmultipliers" },
    { 0x1A9B3B781F795FA2, "weaponrarities" },
    { 0xC854905CFE14289A, "weaponref" },
    { 0xA6226582C655F86B, "weaponrefs" },
    { 0xC715F5761BC9F395, "weaponreloadtime" },
    { 0xD09160B2AC134D8A, "weaponrequest" },
    { 0x4AAE5D9A2C3DFA0D, "weaponrootcache" },
    { 0xA775ACBFED84BD3A, "weapons" },
    { 0x996C5F50492D3ED9, "weapons_init" },
    { 0x9BC85BD325B28B60, "weapons_table_init" },
    { 0x067EB606333ACB80, "weapons_that_can_stun" },
    { 0x95827E1996A0E811, "weapons_tracking_init" },
    { 0x432028715D10A9EA, "weapons_up" },
    { 0x5C896346F90E56F3, "weapons_with_ir" },
    { 0xC12C2B4E07EE79D9, "weaponsdisabledwhilereviving" },
    { 0xA7CE988AB9C03DA1, "weaponsetupfuncs" },
    { 0x665BF396A3206116, "weaponshouldgetxp" },
    { 0xED8B78AB664441D0, "weaponsinit" },
    { 0x297E28F52218AC07, "weaponslockerref" },
    { 0x68EDAF70BCE7FBF9, "weaponslot" },
    { 0xDEBA69D2BD92CE2C, "weaponsound" },
    { 0x89CBA6D651F4A4C0, "weaponspawn" },
    { 0x51C908D629A40DB8, "weaponspeed" },
    { 0xC223FAB439E4D78D, "weaponstartammo" },
    { 0xF3A9377FEFFD550C, "weaponstats_reset" },
    { 0xCF5310F94D63BBCF, "weaponstocycle" },
    { 0x0231410BAE57A780, "weaponstowfunction" },
    { 0x6BE18E29019B3163, "weaponsupportslaserir" },
    { 0x6080ED4AA1724F1B, "weaponsused" },
    { 0x4D698355C460D526, "weaponswapwatcher" },
    { 0x21805AD45CDADE5D, "weaponswitchbuttonpressed" },
    { 0x80861921A5E5980B, "weaponswitchendedairstrike" },
    { 0x8843429DE4ED264A, "weaponswitchendednuke" },
    { 0x3B0565349B482887, "weaponswitchendedsupportbox" },
    { 0xEFC35F7624E6EBC6, "weaponswitchendedtomastrike" },
    { 0x086641E62923B4F2, "weaponswitchhintlogic" },
    { 0x580B006E96F21F17, "weapontouse" },
    { 0x3335DFC88EF067AF, "weapontracking_init" },
    { 0x10C9871495738B7C, "weapontweaks" },
    { 0x7C9C92FAE76F6225, "weapontype" },
    { 0xFBD0C81FF65DB09C, "weaponunlocksvialoot" },
    { 0x42535C4CF77FF5D8, "weaponusagecheck" },
    { 0x6679405CB7B3EF6C, "weaponuse" },
    { 0x109793E800B6AE98, "weaponused" },
    { 0xE82294F74E1A4831, "weaponusepistolflinch" },
    { 0x0B3DBB4E9F6C3AE6, "weaponusesenergybullets" },
    { 0xAEDFDE580B437825, "weaponusesniperflinch" },
    { 0x848E5A540C28EDFE, "weaponxpearned" },
    { 0x48FF1AE88399A056, "weaponxpenabled" },
    { 0xACF09487C1AB2E19, "weaponxpscale" },
    { 0x6E9872B555F335FA, "wearing_armor" },
    { 0x118F1397ADB1E24E, "wearing_helmet" },
    { 0x303D7BB8F3A323D2, "wearing_rat_king_eye" },
    { 0xDE76D0141137E761, "week" },
    { 0x992F3595F9B86265, "weight" },
    { 0x7C9B2BB842C27F73, "weight_spawners_closest_to_forward" },
    { 0x235F33C30027965A, "weighted_array_randomize" },
    { 0x9B34EED4307FB662, "weights" },
    { 0xD0F76F3864AE83BC, "wepmodel" },
    { 0x0F79E7A35382E59A, "wet_level" },
    { 0x9DE2B482F60FB26D, "what_power_is_in_slot" },
    { 0xAACCBAB05478EA78, "wheel_tags" },
    { 0x3A84232E1911C579, "wheels" },
    { 0xB3AE6E5DF3F41F6C, "wheels_fx" },
    { 0xD152804130024687, "wheelson_build_path" },
    { 0xADD991D910978ABD, "wheelson_damage_monitor" },
    { 0xF0039BB18024BAD3, "wheelson_delay_allow_attack" },
    { 0xCF83E1E4CFFD5B3B, "wheelson_engine_audio_game_end" },
    { 0x07809F1514FA8EDA, "wheelson_enginesfx" },
    { 0xCE9DC1B1E283CBD0, "wheelson_fire_thermite" },
    { 0x5688323C2B3876FA, "wheelson_molotov_damage_over_time" },
    { 0x1BFC623A87C982DE, "wheelson_remote_tank_follow_path" },
    { 0x92D60DDAD424149B, "wheelson_remote_tank_think" },
    { 0x06ABF84A8A662E2F, "wheelson_start_engine_audio" },
    { 0xD23060758470F4F1, "wheelson_stop_engine_audio" },
    { 0x4C7BB09A1B24B6DC, "wheelson_tank_death" },
    { 0x57AA9A3662373DF8, "wheelson_thermite_damage_over_time" },
    { 0xEEF65BBAA68C5F13, "where_am_i" },
    { 0x1C3F4FEA22F23AE9, "wherethehellami" },
    { 0xEE83EEBE54093066, "whichone" },
    { 0xD09967855FD399B5, "while_simple" },
    { 0x1FBE42B5A0B5338E, "whimper_loop" },
    { 0xD8114E1B02E31596, "whistlestarttime" },
    { 0x1124A9675969246C, "whistlestarttimer" },
    { 0x6D3C588A278ACC0C, "whistlestarttimer_internal" },
    { 0x9824B99B6EAD6D2A, "whistletimer" },
    { 0x847428B4D1A1A696, "whistling" },
    { 0x4DE9BD6D684447EC, "white_helmet_01_mayhem" },
    { 0x7D19C71389170053, "white_helmet_02_mayhem" },
    { 0x804D50E8C7F415A2, "white_helmet_03_mayhem" },
    { 0x2FC2E24D91307AB1, "white_helmet_04_mayhem" },
    { 0x5BE912A034773214, "white_helmet_vo" },
    { 0x0E7FAFF1BDB28878, "white_phosphorus_damage_area" },
    { 0x429F64F19272FBE3, "white_phosphorus_getmapselectpoint" },
    { 0x12E0C35466BCDB5A, "white_phosphorus_startmapselectsequence" },
    { 0x08DC44142FE2530D, "whiz" },
    { 0x04FC63B9C507490D, "whizby_listener" },
    { 0xC347067FF55B515D, "whizby_onplayerconnect" },
    { 0xE9E4CF9E1F6E60C9, "whizbyblurrampdown" },
    { 0x2571955FE616DD7C, "whizbyblurrampup" },
    { 0x076FDF060BDB6835, "whizbyblurshoweffect" },
    { 0xF2F2F7443A3E18C4, "whizbyevent" },
    { 0x7543CB9847974B76, "whizbyplayers" },
    { 0x401D868B9E71AADC, "whizbythink" },
    { 0xCCEECE827B3887DB, "width" },
    { 0x6D21EACA85BCA929, "wife_react_death" },
    { 0xE528EF571F6EDEAD, "wifeanimnode" },
    { 0xE92EF60AD05DEF48, "wildcards" },
    { 0x28C1F00D5BC92CF6, "wildfire_watcher" },
    { 0x5118AD0006AE4089, "willinfil" },
    { 0x6573A24DD0C9EE25, "willneverchange" },
    { 0xA14A1BD49A5F9267, "winbycaptures" },
    { 0x20F9F7DBFB8A4126, "wincondition" },
    { 0x19EE7F143D56CC9B, "wind" },
    { 0x2EC6893348013DA4, "wind_getrandomdirectionindex" },
    { 0x4644ADC238DF2588, "wind_index" },
    { 0x18889BCBA5B2CDC5, "wind_setdirection" },
    { 0x7F198FCCDC1BF093, "wind_trigger_loop" },
    { 0x318D9992778E707D, "wind_trigger_toggle" },
    { 0x7E520D459486AF59, "wind_triggers" },
    { 0xEBFE72B9043619C0, "winddirectionaimstring" },
    { 0x36AFFFE442FA84A9, "winddirectionaimstrings" },
    { 0x6F38B4719EADD2F0, "winddirectionindex" },
    { 0x1ED277F95DFE2485, "winddirections" },
    { 0x4980833E5E2ACF09, "winddirectionscardinal" },
    { 0x6EC8F464BEFB5B97, "winddirectionsextreme" },
    { 0x4C43031AF26AA775, "winddirectionstring" },
    { 0x2206DA43208D5232, "winddirectionstrings" },
    { 0x2504A8FF7F5B9B98, "windintensity" },
    { 0x4BB707A9F608DBF1, "windmilllinkcol" },
    { 0xC1D0AB828B164BD0, "windobject" },
    { 0xD613483651201974, "window_back_left_corner_dead" },
    { 0x6B024BC3FB5EC54E, "window_back_left_dead" },
    { 0x53AEE1065A91EEF7, "window_back_right_corner_dead" },
    { 0x830D657F7FFED77F, "window_back_right_dead" },
    { 0x177FA495F6696644, "window_destroy" },
    { 0x4A5D1C4E4399EF98, "window_down_height" },
    { 0xCDC1E7AE891981E1, "window_entrances" },
    { 0x87178614DFC014B1, "window_farahreachlogic" },
    { 0x8C8B4A7AFD76369E, "window_farahskipreachlogic" },
    { 0x69F23D29854E946C, "window_final_vol" },
    { 0xBF0F8006D46EF9CA, "window_front_left_dead" },
    { 0x24C6F86E12592623, "window_front_right_dead" },
    { 0x36BD516860C90423, "window_main" },
    { 0x93C3A23F41041A83, "window_melee_valid" },
    { 0x3B95A7A2A0CCBDE4, "window_passby_helis_1" },
    { 0x3B95AAA2A0CCC47D, "window_passby_helis_2" },
    { 0x6FCE948B1E2FBA72, "window_start" },
    { 0x8937D3174F55161D, "windowandguy" },
    { 0x1AED27BBF7F9D515, "windowguys" },
    { 0xC1C2442A308415B0, "windowsceneref" },
    { 0x2C2313607B64DD6F, "windshield_back_dead" },
    { 0x5D00E9FF3ABA50A5, "windshield_front_dead" },
    { 0x7DF804CFDC56C96A, "winfontscale" },
    { 0x4685EC9AE9D6922A, "wingamebytype" },
    { 0x8359F6825AF183E0, "wingamescharge" },
    { 0x9AEBCC7135BF6ACC, "wingamestop3" },
    { 0x84BB2DC8E04DB912, "wingman" },
    { 0xD2587AC7E0AF19F0, "wingman_getgoalpos" },
    { 0xB31013A89757CA21, "wingman_think" },
    { 0x9E2918E8C3CA8323, "winindex" },
    { 0x8A67382321857D9C, "winlimit" },
    { 0xF107BEDF52C7F562, "winner" },
    { 0xDBFDD6230DBFF463, "winners" },
    { 0xD9B6660B255780BC, "winnerviewsetup" },
    { 0x9700F650185CC317, "winningshot" },
    { 0x33AE87CC78F4C53B, "winrule" },
    { 0x2607F3CB636B5957, "winyoffset" },
    { 0x70741E6465B016D2, "wipeweapon" },
    { 0x19FF5E143D688E64, "wire" },
    { 0xD0B751350E7FC5A4, "wire_color" },
    { 0x8AB50753E0F6E0FC, "wire_color_shown_on_bomb_detonator" },
    { 0x6FC20B007E93F961, "wire_currently_looking_at" },
    { 0xBC083F398C49D8B8, "wire_cut_button_press_watch" },
    { 0xE7A5680BE398AFCE, "wire_look_at_hint" },
    { 0xDFA52BB1D0A190BD, "wire_look_at_marker" },
    { 0x79CFE60DD351750A, "wire_look_at_markers" },
    { 0x59BF0B0C82DC8179, "wire_look_at_think" },
    { 0x108938088069E576, "wire_model" },
    { 0x43E14ED4C2BC7D9B, "wire_outline_active_and_waittill_not" },
    { 0x06ADC2B1F28A99B7, "wire_sparks" },
    { 0xCD75D05CF8C9F04F, "wire_think" },
    { 0x69F994CEC5720289, "wire_type" },
    { 0x9529FD830CF07C95, "wires" },
    { 0xB6376FB847840926, "wires_cut" },
    { 0x93E550CF51F5EBE1, "wires_on_bombs" },
    { 0x88B126C3A1642568, "withattachment" },
    { 0x01BD5B3BEF3D9A61, "withattachments" },
    { 0x66FB4CA3888B3EBD, "withbounce" },
    { 0xEC228C87B4519479, "withcamo" },
    { 0xB31C7B452B7F8D6E, "within_bounds" },
    { 0x3FA27CFABE5346EC, "within_distance" },
    { 0x431F308F340C3CBA, "within_distance2d" },
    { 0x7C6851912DD3DC82, "within_fov" },
    { 0xE99CC231A6B8EAD1, "within_fov_2d" },
    { 0xE9E271657540CA97, "within_fov_of_players" },
    { 0x8B36F48F1544E0A6, "within_player_fov" },
    { 0xC91F6E5877DCEB3D, "within_player_fov_2d" },
    { 0x3E747EB90A555878, "within_points" },
    { 0x78D00117320BD358, "withindistancetoenemy" },
    { 0x20BC2F9343DBC454, "withinprojectiondistance" },
    { 0x703DCC59E8225C34, "withinswitchtopistoldist" },
    { 0x636A90D3D7919378, "withotherattachment" },
    { 0x48983E12A3C3235A, "withoutattachment" },
    { 0x69F3ABFE2626532B, "withoutattachments" },
    { 0xDA102F3F0E2BBE4B, "withoutcamo" },
    { 0x348D4E8C4BDB2956, "withoutotherattachment" },
    { 0xBE19312C4B0A7BC5, "withoutreticle" },
    { 0x9B720CFD6045AAB7, "withreticle" },
    { 0xFD05A594FBCBD7D1, "wmexfilally" },
    { 0x357BE93A609AF00E, "wmhostage" },
    { 0x26BEDE17B6E7439A, "wobblemagnitude" },
    { 0x08793238EEB0C7C7, "wobbleoffset" },
    { 0x337AC3144ECB51D5, "wolf" },
    { 0x1DFC78BC9E3F3B6F, "wolf_actors_idle" },
    { 0x4D9E248191FE3A77, "wolf_background_apc_1_sound" },
    { 0x8458C2E02DE41A76, "wolf_background_apc_2_sound" },
    { 0x70B5E25D3989EA35, "wolf_background_apc_3_sound" },
    { 0x490CBCF624B36574, "wolf_background_apc_4_sound" },
    { 0x5ABB76C83D6BBFE4, "wolf_balcony_apc_handler" },
    { 0x9D8469EB7EF0868E, "wolf_balcony_player_clip_handler" },
    { 0x691FDE8FE7A94724, "wolf_barricade_clip" },
    { 0x15B54613D6C9139D, "wolf_barricade_lookat_monitor" },
    { 0xA10DB14CE31484A4, "wolf_barricade_lookat_timeout" },
    { 0x942CBB2616165590, "wolf_bomb_clacker_setup" },
    { 0x170764C96A3F1EE7, "wolf_bomb_tablet" },
    { 0xC3530338FE5D3984, "wolf_bomb_tablet_pickup" },
    { 0xEFF70FD6007012F5, "wolf_bomb_tablet_setup" },
    { 0xC4D928C7BC4EF5F5, "wolf_bomb_vest" },
    { 0x7275AF80AD47347C, "wolf_bomb_vest_defuse_anim" },
    { 0x640D7DEBFA22C082, "wolf_bomb_vest_defuse_dof" },
    { 0x775D0F2AE8CD9244, "wolf_bomb_vest_defuse_looked_at_any_wire" },
    { 0xF2C857C5BEE8EFA4, "wolf_bomb_vest_farah_defuse_enter_anim" },
    { 0x137FA94BE5BDEDCF, "wolf_bomb_vest_farah_defuse_enter_anim_loop" },
    { 0x54F228A8A7C2CC12, "wolf_bomb_vest_think" },
    { 0x8C285211562447E7, "wolf_cameraman" },
    { 0xE7980704F94EC544, "wolf_cameraman_camera_handler" },
    { 0x73AC45AC2CFA7244, "wolf_cameraman_handler" },
    { 0xB2D8E1EBC85DEE21, "wolf_cameraman_struct" },
    { 0x152C25D1B0F7DD14, "wolf_catchup" },
    { 0x62A2A76B78449B91, "wolf_clacker" },
    { 0x2C1F22D65FF1478C, "wolf_clear_window_barricade" },
    { 0x857A56B56A122052, "wolf_damage_monitor" },
    { 0x4A7A271267E5E7A4, "wolf_damage_watcher" },
    { 0x0EF5019089D62A55, "wolf_death_angles" },
    { 0x0195D8ED43B91EF5, "wolf_death_detect_molotov_wolf_kill" },
    { 0xC7F05261D16896EE, "wolf_death_detect_player_escapes_wolf" },
    { 0x1FF4945CF30C5EE5, "wolf_death_detect_player_shoot_vest" },
    { 0x16ED8DDE2ED4826C, "wolf_death_detect_player_shoots_next_to_wolf" },
    { 0xB31FA3756702ABE9, "wolf_death_detect_player_too_close_to_wolf" },
    { 0xF8D5263C4F8F6580, "wolf_death_detect_player_wolf_kill" },
    { 0xA5296F79B428BB86, "wolf_death_eye" },
    { 0x205849B84C8FF9EC, "wolf_death_fail_due_to_damage" },
    { 0x4A3B52B5B8EA7993, "wolf_death_farah_points_out_vest_vo" },
    { 0x6606B1881EF82475, "wolf_death_intro" },
    { 0xCAB6B0FE8F334BAE, "wolf_death_intro_farah_anim" },
    { 0x7E3A94194F913818, "wolf_death_intro_wolf_monologue" },
    { 0xA6E89946E8A1181B, "wolf_death_origin" },
    { 0x30B11C4B0395FE58, "wolf_death_player_cleared_door" },
    { 0x95F8438FB59D44DC, "wolf_defuse_anim" },
    { 0xFEEA95FC8F0E1F4A, "wolf_dialog_struct" },
    { 0x15FC37F82663FD84, "wolf_dies_in_last_frame" },
    { 0xDF00AA661784B05E, "wolf_door_a_explosion" },
    { 0x4EF4057CA55535C7, "wolf_door_b_explosion" },
    { 0x011481A05559A9B1, "wolf_door_light" },
    { 0xD66996C2F80F66CC, "wolf_escape_door_nags" },
    { 0x7AFCE204947FD3AD, "wolf_escapes_fx" },
    { 0x7AB6EB0494335808, "wolf_escapes_vo" },
    { 0x081E7AE4E4697EA3, "wolf_execute_struct" },
    { 0x0530873786E15558, "wolf_executes_hostage" },
    { 0x2A71F41FB312E403, "wolf_executioner" },
    { 0x0D131D124F52A338, "wolf_executioner_handler" },
    { 0x4BECC6F2EDAE1705, "wolf_executioner_struct" },
    { 0x7771A218270A56A0, "wolf_fail_and_save_manager" },
    { 0xCCB59045A2311AB3, "wolf_fail_state_active" },
    { 0x505631FC1954F581, "wolf_fail_timer_logic" },
    { 0xFD1D6AA3EC52D2C0, "wolf_flank_tripwire_door" },
    { 0x60CD114E4A0D493A, "wolf_flank_tripwire_door_ajar_handler" },
    { 0x84BE83A965F1F0CB, "wolf_flank_tripwire_door_dialogue" },
    { 0x9A4A99CDFF00CFA1, "wolf_flank_tripwire_door_monitor" },
    { 0x44752FB962978CE5, "wolf_friendly_fire_think" },
    { 0x13862FAC4BF54DD8, "wolf_guard_behavior_setup" },
    { 0xF21699CC5353E90F, "wolf_guard_grenade_alert" },
    { 0x2E51EED7283796A8, "wolf_guard_shooting_alert" },
    { 0x8733042ABBC9BA4E, "wolf_guard_sighting_alert" },
    { 0x20A5D6543B2FF7A3, "wolf_guard_sighting_force" },
    { 0x734E8B80EA4E0D65, "wolf_guards_breach_reaction_flag" },
    { 0xEFD9112BCB9C0DC6, "wolf_guards_breach_reaction_notify" },
    { 0xC5D93F94E89BFF4E, "wolf_handler" },
    { 0x957B544AF37C68CF, "wolf_hostage_1" },
    { 0x788B68B5A16E5FA9, "wolf_hostage_1_struct" },
    { 0x957B554AF37C6B02, "wolf_hostage_2" },
    { 0xD76A3B9B8837F506, "wolf_hostage_2_struct" },
    { 0x957B564AF37C6D35, "wolf_hostage_3" },
    { 0x241F24663298D5CB, "wolf_hostage_3_struct" },
    { 0xA4A413604A6AFD04, "wolf_hostage_check_damage" },
    { 0xE94019420AAC3768, "wolf_hostage_handler" },
    { 0x6C016E79B22DE6ED, "wolf_hostage_ignoreme_monitor" },
    { 0x50910315B9D9281A, "wolf_hostage_takedown_monitor" },
    { 0x40E65D7DA1DA1A00, "wolf_hostages" },
    { 0x1E6DCB9F2414AD33, "wolf_killed" },
    { 0x0AC5DB70B2193E76, "wolf_killed_fail_state" },
    { 0x0203E7A7AC9655D3, "wolf_los_handler" },
    { 0x24BD552A95477277, "wolf_machete_prop" },
    { 0xC7E8929F3B9D9443, "wolf_machete_struct" },
    { 0x4D8F034017BBE997, "wolf_main" },
    { 0x29C00ABAE2F008D0, "wolf_nag_count" },
    { 0x29F20963228DA4E7, "wolf_nag_counter" },
    { 0x7042395C16F34821, "wolf_objective" },
    { 0xBD559C4736666E07, "wolf_outside_room_farah_nag" },
    { 0xFE25FE6A269F538B, "wolf_pa_cur_index" },
    { 0x60C658A5A15236E8, "wolf_pa_emitter" },
    { 0x0A41A53A9408F9BC, "wolf_pa_move_to_next_speaker_monitor" },
    { 0x6000A7AC4871E97D, "wolf_pa_queue" },
    { 0x407604882E9DA9B6, "wolf_pa_think" },
    { 0xB6048DF05D796521, "wolf_pa_vo" },
    { 0x083C3E70906CBF8B, "wolf_player_demeanor_manager" },
    { 0xBF81B20A4BB2D1D2, "wolf_player_weapon_fired_monitor" },
    { 0x2F892C9FCCF1C31F, "wolf_post_defuse_alex_farah_vo" },
    { 0x14582322816ACFF4, "wolf_proxy_cameraman" },
    { 0x738DF3E62CACB297, "wolf_proxy_cameraman_handler" },
    { 0xE2E5C62FFB06B894, "wolf_proxy_cameraman_struct" },
    { 0x86E0BBEEF143FA20, "wolf_proxy_execute_hostage" },
    { 0xFC847F86F8F9851B, "wolf_proxy_execute_hostage_hostage_animation" },
    { 0x59AAED8EC2457DA3, "wolf_proxy_execute_hostage_wolf_proxy_animation" },
    { 0x778D7F6282D9EE96, "wolf_proxy_execute_struct" },
    { 0xE3C7745A4FD152CC, "wolf_proxy_executioner" },
    { 0xEEDDE5CD699CFC4F, "wolf_proxy_executioner_handler" },
    { 0xF74BC55173BE534C, "wolf_proxy_executioner_struct" },
    { 0x850199D4D684ACB9, "wolf_proxy_handler" },
    { 0xA97BC0CFF7396E3C, "wolf_proxy_hostage_1" },
    { 0x98F18239757E285C, "wolf_proxy_hostage_1_struct" },
    { 0xA97BC3CFF73974D5, "wolf_proxy_hostage_2" },
    { 0x9C7BC9AB9B9B072B, "wolf_proxy_hostage_2_struct" },
    { 0xA97BC2CFF73972A2, "wolf_proxy_hostage_3" },
    { 0xC2FFD0947A8C68E6, "wolf_proxy_hostage_3_struct" },
    { 0xA35BAF651DAB38A3, "wolf_proxy_talk_struct" },
    { 0x6E3DB87FC8E4E375, "wolf_raised_flinch" },
    { 0x02D2B2ACDC10B715, "wolf_room_barrels_explode" },
    { 0xE6F0F5A9CD7A473E, "wolf_room_heli_1" },
    { 0x73A216152499949A, "wolf_room_heli_manager" },
    { 0xDDCF553E9A4BDC12, "wolf_room_pre_breach_door" },
    { 0xAA93E2A4A6B5A69E, "wolf_room_pre_breach_scene" },
    { 0x677EF47030995393, "wolf_scene_door" },
    { 0x5D51B723409A780B, "wolf_scene_light_fill" },
    { 0x749DBC347034427D, "wolf_scene_light_key" },
    { 0xDB3FC734BBD4F866, "wolf_scene_light_rim" },
    { 0x381A36387E80D849, "wolf_scene_light_rim_lf" },
    { 0x32012872A74720EA, "wolf_scene_lights" },
    { 0x9D566C81068E586F, "wolf_scene_lights_node" },
    { 0xA442857FAB495B7F, "wolf_speaker" },
    { 0x733551355D2156CC, "wolf_speaker_destroyed_think" },
    { 0x87A6A3C5B2533B64, "wolf_speakers" },
    { 0x4D74CE4435DA440E, "wolf_start" },
    { 0x91A680FD7DE982CB, "wolf_start_setup_farah" },
    { 0x0B95DDFE7D0E3565, "wolf_takedown" },
    { 0x1F2907D8A6EFD786, "wolf_takedown_cam_start" },
    { 0x84EFF35BD30D4654, "wolf_takedown_hint_check" },
    { 0x82017A11E9C5D643, "wolf_takedown_hint_manager" },
    { 0x56219B2481FC93BE, "wolf_takedown_input_lerp" },
    { 0x429A6E53DA0B99B0, "wolf_takedown_monitor" },
    { 0x90753BB440878D40, "wolf_takedown_rumble_handler" },
    { 0x2D55DF667AC69964, "wolf_takedown_scene_hide_names" },
    { 0x726B24C25F4CFA12, "wolf_timer_fail_state" },
    { 0xB77502128A6BBCF4, "wolf_tripwire_approach_monitor" },
    { 0xC18978378FC5E5B3, "wolf_tripwire_handler" },
    { 0xF76D285D36AEC853, "wolf_tripwire_hint_handler" },
    { 0x3B0DFC14089BEC68, "wolf_tripwire_hint_timeout" },
    { 0xE233C0CE16289044, "wolf_tripwire_player_weapon_monitor" },
    { 0x345B891DAE1C079C, "wolf_tripwire_set_vo_done" },
    { 0x9EF49A9477C6F181, "wolf_tripwire_trigger_immediate" },
    { 0x5E7AD68D3EFD19D1, "wolf_truck" },
    { 0xEC4B7F8F6B837E09, "wolf_tunnel_approach_vo" },
    { 0xA185314F6AC57467, "wolf_tunnel_deadbodies" },
    { 0x5C2EADBF900DA68F, "wolf_tunnel_deadbody" },
    { 0x1E51B2399560E276, "wolf_tunnel_explode" },
    { 0x56380C4F072AE42F, "wolf_tunnel_farah_movement_and_vo" },
    { 0x60DB953A8ACB65D4, "wolf_tunnel_fire_trig" },
    { 0xF40054E19B6B211B, "wolf_tunnel_first_frame" },
    { 0xE2DBDA4458961518, "wolf_vest" },
    { 0x22E15F568474971D, "wolf_vest_defuse_failed" },
    { 0x0512FD16FFF87E88, "wolf_vest_led_flash_think" },
    { 0xCB178B39AA3123F6, "wolfdoor_key_light" },
    { 0x32131D24F3E781DB, "wolfroom_light_on" },
    { 0x90C1E48C1DB7DD66, "woman_ground_handler" },
    { 0xBD7ECA6F4B41FBBE, "woman_hiding_handler" },
    { 0x64FE3F2AEDB009A0, "woman_onlook_vo2" },
    { 0x98A88F2A9F15BD09, "woman_onlook_vo2_thread" },
    { 0x6F655B7031DBC5AF, "woman_onlooker" },
    { 0xF63CEEBB57D847E7, "woman_onlooker_vo" },
    { 0x11AD4E62C43AACEA, "women_get_guns_from_locker" },
    { 0x9C558E17DFBC1E46, "women_get_guns_from_locker_no_azadeh" },
    { 0xAA05F893A0C78763, "women_get_guns_from_open_locker" },
    { 0x29A1CC4E71EF887D, "women_move_through_warehouse" },
    { 0xCDA929FBEDF72339, "women_move_to_gun_locker" },
    { 0x4463DB006E56CC51, "women_spot_farah" },
    { 0x336DCF144EBD57B4, "wood" },
    { 0xA88E218D3DA793A4, "woods_catchup" },
    { 0xA58E3E727DBAE617, "woods_gate_enemy_audio" },
    { 0x321630B7C1BF869A, "woods_hide_moon" },
    { 0xB0871E64C709E1E7, "woods_main" },
    { 0xA61FFE0EE5F20AA6, "woods_one_death_func" },
    { 0xA3577D1C1688FB6E, "woods_price_nvgs" },
    { 0x17D4C11AB93FA2BE, "woods_start" },
    { 0x79D6AF6E1B6FB83E, "woods_three_death_func" },
    { 0x322EC6A93DF8F7DC, "woods_two_death_func" },
    { 0x1EC451EB0BF6E4E0, "working_fov" },
    { 0x931660A9B32B84A7, "world" },
    { 0x1DD47568265FE555, "worldentnumber" },
    { 0xEED262E70A92E7A0, "worldmarkerid" },
    { 0x4BC9C61C9E2D50C9, "worldmarkerpos" },
    { 0xEB392C8B53B6A3FB, "worldmarkerthink" },
    { 0x798420C2CB141A65, "worldmaxspawnedloot" },
    { 0x55A1D7BCF425C844, "worldmodel" },
    { 0x81AC06E130BAD587, "worldobjidpool" },
    { 0xE156026A25A93A76, "worldplaced" },
    { 0x9022990247099FBD, "worldpointinreticle_circle" },
    { 0x5A8883342BFCDD7B, "worldpointinreticle_rect" },
    { 0xF96F3F3F4A76206C, "worldpointtoscreenpos" },
    { 0x829B7CE98A4B3F42, "worldspawn" },
    { 0xF517820C04D32E95, "worldstreamingkeepalive" },
    { 0x7A8F2DC17BC022F3, "worldtolocalcoords" },
    { 0x9AAB9CACED5D89E8, "worlduseicons" },
    { 0x01E4166F58426376, "worthydamageratio" },
    { 0x2FDCE11BD18B4033, "wounded_aq_to_patrol" },
    { 0x6EB355ACA72A5C5C, "wounded_drag_pistol_swap" },
    { 0x07170A35935E7B50, "wounded_drag_shoot" },
    { 0x1D0679E0DB1C75AE, "wp_addplayertostatusradiuslist" },
    { 0x541B7D849E7FD0C6, "wp_addtoactivewplist" },
    { 0xF629D01656DFBE73, "wp_createplane" },
    { 0x94B2217D8C022A4F, "wp_death" },
    { 0x0F0F388381BFDCD7, "wp_death_quick" },
    { 0x50B5E94F555BDEA8, "wp_degenhealth" },
    { 0xE07A77EB5EB27DDD, "wp_delaydisorientplayersinrange" },
    { 0x87F8426C3BA257EF, "wp_delayzonedelete" },
    { 0xEB65C6E5A3300B9E, "wp_deletedangerzoneondeath" },
    { 0x89D1EF57FFB8DC4F, "wp_deliverpayloads" },
    { 0x5336050EAD1695FB, "wp_enterpayloadaudio" },
    { 0x495D32F2726A23F7, "wp_exitpayloadaudio" },
    { 0x52A2F5A1F01C2113, "wp_explosions" },
    { 0xD00BBD7FCFF0F6AB, "wp_finishdeployment" },
    { 0xC3D902AE8A48FABD, "wp_fireairburst" },
    { 0x14937F4ECF9C929C, "wp_fireflaregroup" },
    { 0x6B3A91FC45E98498, "wp_firesmoke" },
    { 0xFAC82E3754396E25, "wp_getflarepositions" },
    { 0xF90007BF347F2319, "wp_gethealthdebuffamount" },
    { 0xED8BE1593ECAF921, "wp_getmapselectioninfo" },
    { 0x7F47ED171DA95AD3, "wp_getplayerswithinrange" },
    { 0x7098B002829979B6, "wp_getsmokevisionset" },
    { 0x0335ADB2B9A2249E, "wp_handlepayloadtyperelease" },
    { 0x630C899C6D46CE1B, "wp_hasresistperk" },
    { 0xCD9D19F269D7C298, "wp_isactivewpzone" },
    { 0x3CB82190311EE49B, "wp_isinanywpzone" },
    { 0x4E0F53F9B5E5FE11, "wp_isinwpzone" },
    { 0xC1C5792B0E7EAA79, "wp_loop" },
    { 0x40216FBE49FA7A84, "wp_monitorsmokevisionset" },
    { 0xE02C8ECDC48EB3A5, "wp_movekillcam" },
    { 0xD2B457B1A42FF718, "wp_playcorpsetableburningfx" },
    { 0xBDEF70DD282F3732, "wp_playimpactsound" },
    { 0xC7BF8E336B691C79, "wp_projwatchimpact" },
    { 0x828827DCB0A79BBE, "wp_removefromactivewplist" },
    { 0x7EB2E473CD6C9CFF, "wp_removeplane" },
    { 0xD24EDFA2455CFFC2, "wp_removeplayerfromallstatusradiuslists" },
    { 0xD9706693AA8C71EE, "wp_removeplayerfromstatusradiuslist" },
    { 0x8FEFF3A5B062667D, "wp_resetstatuseffect" },
    { 0xD83317179BFA1D5D, "wp_startblindplayer" },
    { 0x7DE0FDD1223C9121, "wp_startburnplayer" },
    { 0x8A0C43EFEF340D12, "wp_startdeploy" },
    { 0x33474B7BF48AD357, "wp_startdisorientplayer" },
    { 0x59DB075EAD3F9699, "wp_startdisorientplayeronspawn" },
    { 0xAC9E0E72D6A20E7C, "wp_startdofshiftforplayer" },
    { 0x899451DFB2CAB55F, "wp_stopblindplayer" },
    { 0x5ACE284596B57953, "wp_stopburnplayer" },
    { 0x12C5793D2018757A, "wp_stopdisorientonplayerdeath" },
    { 0x620896812DED98E9, "wp_stopdisorientplayer" },
    { 0xF4EDB1D29044FEE5, "wp_stopstatuseffectondeath" },
    { 0xA3150F8332F42E24, "wp_testpayloads" },
    { 0x1365CDC2706909B4, "wp_watchblindeffect" },
    { 0x30F5A0771BBBAD56, "wp_watchburneffect" },
    { 0xD94E803D92E06C1E, "wp_watchdisorienteffect" },
    { 0xA1601FCD4D58328C, "wp_watchdisownaction" },
    { 0x3D89C50CE54CD6C7, "wp_watchend" },
    { 0xA8A72BEF1CD7EA92, "wp_watchfordeathstate" },
    { 0x6C7E1CA0941D9156, "wp_watchforflaredisowned" },
    { 0x1C16E07C13F30266, "wp_watchforflareimpacts" },
    { 0x6A6764E9B29360AC, "wp_watchforimpactstate" },
    { 0xE33A025843AC5105, "wp_watchforprojectiledeaths" },
    { 0xD3CA4B2CB1B84DD7, "wp_watchforsmokedisowned" },
    { 0xF3A589032AC7015D, "wp_watchgameend" },
    { 0x1B11B1C7986716A1, "wp_watchplanedisowned" },
    { 0x104BDBCC55F3A552, "wp_watchunsuccessfulzones" },
    { 0x039A43E3A7359F1F, "wpblinding" },
    { 0xAD824BCF2AAB70F9, "wpburning" },
    { 0x0574F19BBFF1E797, "wpdisorient" },
    { 0x667FB9B57882346D, "wphealthblock" },
    { 0xB4D9EB77CA9CEDA2, "wpinprogress" },
    { 0x90D80C131CB00919, "wrap" },
    { 0x0EEE8003B85D5899, "wrap_text" },
    { 0xEAE731E9AAD189CF, "wrapindex" },
    { 0x503A1027C5F1D384, "wristrocket_begineffects" },
    { 0x7B4F579AC26719BB, "wristrocket_cleanuponownerdisconnect" },
    { 0xEE2ABF9700F9D060, "wristrocket_cleanuponparentdeath" },
    { 0x81C84ACFE7D153B1, "wristrocket_createrocket" },
    { 0x4F056A8FBA2F2B5E, "wristrocket_delete" },
    { 0x6DEFBBEFF251CAC0, "wristrocket_endeffects" },
    { 0x8F77430F704AAB0A, "wristrocket_explode" },
    { 0xB1894A178FD09DEF, "wristrocket_set" },
    { 0x29A52DF5A90280E6, "wristrocket_unset" },
    { 0xACA02316926E916A, "wristrocket_watcheffects" },
    { 0xFAF12B4353BE358B, "wristrocket_watcheffectsracedeath" },
    { 0x64BCB7820BDFCA45, "wristrocket_watcheffectsracegrenadefired" },
    { 0x67182353662AB0C3, "wristrocket_watcheffectsracegrenadepullback" },
    { 0x5C0B2356C6777937, "wristrocket_watcheffectsraceheldoffhandbreak" },
    { 0xD8ECC0DE9C721553, "wristrocket_watcheffectsracesuperstarted" },
    { 0xB036D1DE55A97AE8, "wristrocket_watcheffectsraceunset" },
    { 0x2C95CB0CA8FE1241, "wristrocket_watchfuse" },
    { 0xFB1DD4A7E2D6FBA8, "wristrocket_watchstuck" },
    { 0x803FBC34B18D6883, "wristrocketcooksuicideexplodecheck" },
    { 0xD7D04FCACAFCB32E, "wristrocketinit" },
    { 0xAFEC5BBB2CB04F69, "wristrocketused" },
    { 0x7D75DDDB33534045, "write_clientmatchdata_for_player" },
    { 0xDAFED7B39ECC6BCE, "write_consumable_used" },
    { 0xF99E56285B3B2CAD, "write_global_clientmatchdata" },
    { 0x8B0965804776E000, "write_global_clientmatchdata_func" },
    { 0x9FBE847FE29EA851, "write_log" },
    { 0x4FF40C873324BD35, "write_struct_to_map" },
    { 0x56D5426D5398B2F1, "write_to_dlog_runtime_struct_data" },
    { 0x7B81B204456D4035, "writebestscores" },
    { 0x23D623E35446E3BE, "writebufferedstats" },
    { 0xB5895D4F248760D4, "writecurrentrotationteamscore" },
    { 0x548B4148A99A35C8, "writekdhistorystats" },
    { 0xEFB658CD54F31129, "writepetwatchplayerdata" },
    { 0x572640CC2911A5FD, "writeplayerinfo" },
    { 0xFCDBAACA02F62C75, "writeplayerrotationscoretomatchdataongameend" },
    { 0xD01374299E9ECB9F, "writeplayerstat" },
    { 0x5ECE5CE95EF18779, "writesegmentdata" },
    { 0xBF14CF402C415B17, "writesppmstats" },
    { 0xCA4C2E8D0C5A9D35, "wrong_rooftop_nag" },
    { 0x4604D1126C0E882D, "wrong_way_warning" },
    { 0x7F279A8C03430D31, "wz_tease" },
    { 0x4E9EEAFED8B5ED0B, "wztrain_info" },
    { 0xAC0E4A4AC96A82AB, "x" },
    { 0x56617EA55AE7A02F, "x1airstrikemanager" },
    { 0x3B6BE5194FE7DE2F, "x1circletime" },
    { 0x40DC699C7B9B5A4F, "x1fin_ontimerexpired" },
    { 0x86DD5494E12ABBB3, "x1fin_playerdisconnect" },
    { 0x5EADC43FBBC6CF1D, "x1fin_removequestinstance" },
    { 0xBF75F4469564293C, "x1fin_respawn" },
    { 0x8E021419B805A7D0, "x1fin_think" },
    { 0xA0EEDA454C18B449, "x1givelaststandoverride" },
    { 0x7F0AE81A48F8A556, "x1infilarmorwatch" },
    { 0x8A9D09F0CA8E3D12, "x1loadout" },
    { 0x1A507AAEE72B849E, "x1ops" },
    { 0x0A827DA664B4CCDD, "x1ops1" },
    { 0x0A827AA664B4C644, "x1ops2" },
    { 0x0A827BA664B4C877, "x1ops3" },
    { 0x0A8278A664B4C1DE, "x1ops4" },
    { 0x0A8279A664B4C411, "x1ops5" },
    { 0x0A8276A664B4BD78, "x1ops6" },
    { 0x0A8277A664B4BFAB, "x1ops7" },
    { 0xA375F68A15B17E00, "x1opsbink" },
    { 0xCCC1FA1AE914C4D5, "x1opsdeletenpcs" },
    { 0x6040BF9A431F5242, "x1opsenableelimination" },
    { 0x84FC14352B5F5099, "x1opsendgame" },
    { 0x0DEE6E5BDC9EF53D, "x1opsentercalloutarea" },
    { 0x9ED8CAB5F13894CA, "x1opsinfilsequenceend" },
    { 0xD3C410C079E1FAB7, "x1opsinfilsequenceendinternal" },
    { 0xA5EA96AB2A22A019, "x1opsnpc" },
    { 0x8DEFCAA3931A61D4, "x1opsnpcheadmodel" },
    { 0x0589C46DAA26C91E, "x1opsnpcs" },
    { 0xC43C95D595C64E56, "x1opsnpcweaponbarrelmodel" },
    { 0x83B4E607E963D871, "x1opsnpcweaponmagmodel" },
    { 0x5EBA9D7067BE51CD, "x1opsnpcweaponreceivermodel" },
    { 0xF2DFC3A9ED99A7FA, "x1opsnpcweaponstockmodel" },
    { 0x093143EF0FA94968, "x1opsplayertransition" },
    { 0xF42DF7141400526D, "x1opspreplayertransition" },
    { 0x61AA6B7BE1FBE8F0, "x1opsrespawnselection" },
    { 0x8EBC93D19D6EFEEF, "x1opsruntoicon" },
    { 0x49073D40C19B36C8, "x1opsspawnnpc" },
    { 0xA58EBE5E1E35A7F6, "x1opstransbink" },
    { 0xA1E7CF04E9C3D9A5, "x1opstransition" },
    { 0xCD1F15C722060802, "x1opsunitrespawnselection" },
    { 0x7857D31C115F67CA, "x1playerspawnoverride" },
    { 0xC793331421A7D318, "x1playertransition" },
    { 0x2C183F9006657357, "x1questmanager" },
    { 0xED603728BB3E611E, "x1spawnlocationoverride" },
    { 0x575ED4A37D4E58B6, "x1spyplane" },
    { 0x9D3E97A246BFA153, "x1stash_detectplayers" },
    { 0x6D5D9FDF12B05E3E, "x1stash_entergulag" },
    { 0x2EA9BD26565A0813, "x1stash_ontimerexpired" },
    { 0xFA885F745DFE3817, "x1stash_playerdisconnect" },
    { 0xD89C6DD5AE0D1129, "x1stash_removequestinstance" },
    { 0x295C1D5D0E56E0A0, "x1stash_respawn" },
    { 0xB816F19F3D48B7D0, "x1stashlootcacheused" },
    { 0x527AFC40B99B2F18, "x1timedivision" },
    { 0xD9A5F050E22A45C1, "x1timehandler" },
    { 0xEB6FA28F95856C12, "x1unittimedivision" },
    { 0x7A7141482ED92731, "x_dir_fails" },
    { 0xAA8DAD5CA69250BC, "x_done" },
    { 0xB665A4F26BD1D71A, "x_magnitude" },
    { 0x495B8411B21B5D62, "xanim" },
    { 0xF100D27677AF0B64, "xanim_name" },
    { 0x31EB6E0101B68B32, "xanim_string" },
    { 0xB63C1FEFB4ED88B6, "xanimlength" },
    { 0x24CFD30356875B28, "xb3" },
    { 0xB8D2546316529B9B, "xmike109" },
    { 0xE56824525D4BC691, "xmike109projectiles" },
    { 0x4C23E955F9E1FA28, "xoffset" },
    { 0xCDF03D78F53DC7A1, "xp" },
    { 0xC410AB501B5CC430, "xpadding" },
    { 0xE6A85A2376EA9FCF, "xpperplayerpershare" },
    { 0x025F6173E0E7E8B4, "xpperweapon" },
    { 0xCA1F5ED6E5326FD5, "xpscale" },
    { 0x6A2B9351401BB223, "xpscoreevent" },
    { 0xB2B6B0F0FF2DE5A7, "xpteamsatmatchstart" },
    { 0x3C07E250383226FB, "xptonextrank" },
    { 0xACC4BB582AAC4937, "xuid" },
    { 0xCDF03478F53DB3D6, "xy" },
    { 0x88A37F882B673B55, "xylimit" },
    { 0x3D7ABB24981D56D6, "xyvelscale_high" },
    { 0x8B1B6D112C28EE3C, "xyvelscale_low" },
    { 0x4DE503DB2DB9C5C3, "xyvelscale_maxheight" },
    { 0xB8F9D5A1476BF91F, "xyzoffset" },
    { 0xAC0E494AC96A8078, "y" },
    { 0x8E91BC162831F61E, "y_dir_fails" },
    { 0x1FF99FB874763031, "y_done" },
    { 0x02F1977F9ACB33B5, "y_magnitude" },
    { 0xD2CAFE21DF52B3F9, "yard_enemy_handler" },
    { 0x1426EE03498675E4, "yaw" },
    { 0x6A42B89EF93B81B4, "yaw_collision_check" },
    { 0x9973F9732699F3D5, "yaw_delta" },
    { 0x7421087A035C84F6, "yaw_updater" },
    { 0x72DA53AF6FE88F24, "yawconvergencetime" },
    { 0xDB3BA3DA1D407AEE, "yawdiffto2468" },
    { 0x3B42739B6F5A8392, "yawmax" },
    { 0x3B1F5D9B6F340B78, "yawmin" },
    { 0x2AD9707792B5FAFD, "yegor" },
    { 0x1F67F475C31FB422, "yegor_dialog_struct" },
    { 0x089BB77BACF00F2E, "yegor_exit" },
    { 0xA545EBCF5F6E3B64, "yegoranimnode" },
    { 0xBA5DCD80C9A9EF9F, "yellow_guy_look_up" },
    { 0xC30E2CFE601F55E1, "yellow_path_makeup" },
    { 0xF91D0BAC76795B73, "yellow_wire" },
    { 0xAC79352E51EF832B, "yoffset" },
    { 0xD09C843A0A134D77, "youngfarrah_pistol_reaction" },
    { 0x1C9900A135C56CA0, "youngfarrah_pistol_reaction_proc" },
    { 0x3A551C9B8F301C81, "youngfarrahbreathlogic" },
    { 0x66703369449BD980, "youngfarrahfatigue" },
    { 0x6AEA199DDD8E10EE, "youngfarrahprecache" },
    { 0xC33C888A52CA0AAC, "youngfarrahsetup" },
    { 0xF3C603399516260D, "ypadding" },
    { 0xD6AD4139420DB016, "yurteri_wh03_model" },
    { 0xAC0E4C4AC96A8711, "z" },
    { 0x6CEF0352D4495EA0, "z_below_check" },
    { 0xAD6665C9798A5C1C, "z_delta" },
    { 0x4A312FAFE9EE83B2, "z_done" },
    { 0x387CAD54B075AF22, "z_is_excessive" },
    { 0x8ED69C6EFBA3C4D4, "z_magnitude" },
    { 0xDD729A9D4B671622, "zap_model" },
    { 0x2A83F7D2CCF6F87F, "zd30_ambush_nest_called_out" },
    { 0xC01B529E2F0BBBA5, "zd30_autosave_condition" },
    { 0x34BAAF1BAAA5FE64, "zd30_debug" },
    { 0x124060E63A13DB06, "zd30_debug_mg_last_target_print_time" },
    { 0xACBE6A9169E4D1F9, "zd30_is_flashed" },
    { 0x4EA6A0036181449C, "zd30_player_max_health" },
    { 0xCF78D4481B55AD3B, "zd30_player_max_health_shaft" },
    { 0x6D6B4A798C9C7B02, "zd30_player_max_health_storage" },
    { 0x83D511E19E96F6C8, "zd30_player_max_health_tunnels" },
    { 0x5EAAB0420EF0E9F8, "zdrop" },
    { 0x76359AE5FAA3A2DC, "zdt_rush_guy" },
    { 0x52D5CDAA11083F73, "zero_angle" },
    { 0xC2EF3999C4BBAC7A, "zerocomponent" },
    { 0x2694D0AA026E9F51, "zerograv" },
    { 0x48FDB6F053E2C6C6, "ziptie" },
    { 0x0F308C564A50A390, "zlimit" },
    { 0x508FEAFFB68663C3, "zm_powershud_clearpower" },
    { 0x79E1A25DA708AE4E, "zoffset" },
    { 0xD72DC8BABBFE9658, "zom_player_damage_flash" },
    { 0x64D6335C5897178A, "zom_player_health_overlay_watcher" },
    { 0x69254E58E96088EE, "zombgone_hint_displayed" },
    { 0xA852C56C73D87563, "zombie" },
    { 0xC1DA2160028270F7, "zombie_3dtext_handler" },
    { 0xE4E0F06D048CBD49, "zombie_charges" },
    { 0x731F29EF85A65F58, "zombie_current_quest_step_index" },
    { 0x4F9B8F4B9F142675, "zombie_fake_stealth" },
    { 0x2FBE7CB1C7AA3FE5, "zombie_max_rank" },
    { 0x9ABC7D86321FDD2B, "zombie_quest_complete_up_to_quest_step_index" },
    { 0x1314A6D4E3E407CF, "zombie_quests" },
    { 0x9A748810AF8C45FB, "zombie_ranks" },
    { 0xDE4A9788CFD1C5E0, "zombie_ranks_table" },
    { 0xD887004ECAF7E03D, "zombie_revive_success_analytics_func" },
    { 0xD1129DB26FAB9B80, "zombie_stealth_table" },
    { 0xC752D7F276EB9502, "zombie_stealth_values" },
    { 0xBA67C2CF0EC3107C, "zombie_xp" },
    { 0xE418151F18956242, "zombieattachfunction" },
    { 0x54503930A3ADB0D2, "zombieawarenesslevel" },
    { 0xD513AF347D9BB39E, "zombiedropstags" },
    { 0x60B044C10F60DF1A, "zombieendgameanalytics" },
    { 0x9B0181B4507E6DF5, "zombiehealth" },
    { 0xF58BE5CD07E52C38, "zombiehud" },
    { 0x247B17C6D2E081DD, "zombieingas" },
    { 0xDD6574FDEEB1ABA0, "zombiejumpbar" },
    { 0x4C99BDDCB7FE1C77, "zombiejumpbartext" },
    { 0x76EA4AFDA33AEF19, "zombiejumping" },
    { 0xA9917089AC38A213, "zombiejumplink" },
    { 0x84505102C78E7155, "zombiekilledlootcachecount" },
    { 0x0641E63B78B551D5, "zombieloadout" },
    { 0xB4F40C3F14D6DB8D, "zombiemovespeed" },
    { 0x58A6DC1971F08A84, "zombienumhitsatv" },
    { 0x3A3490195B188D57, "zombienumhitscar" },
    { 0x06CE5D4E20556C77, "zombienumhitsheli" },
    { 0x7A069444C49B2FB4, "zombienumhitshuman" },
    { 0x80F5AAD68674A3DA, "zombienumhitstruck" },
    { 0x198044F7C37E53E6, "zombienumtoconsume" },
    { 0xDFE3F5400B0CFD5D, "zombiepingrate" },
    { 0x3752B118E9000226, "zombiepingtime" },
    { 0x6E5175A4165BBCF4, "zombiepower" },
    { 0xD22565456CA96208, "zombiepowerscooldown" },
    { 0x2BF4F9C0BC3D53DE, "zombiepowersenabled" },
    { 0x4957E4476F4F6741, "zombieregendelayscaleingas" },
    { 0xD4555DDFB50CCBFE, "zombieregendelayscaleoutgas" },
    { 0x9278CF3D29037760, "zombieregenratescaleingas" },
    { 0xB96B71DC7E2F2799, "zombieregenratescaleoutgas" },
    { 0xA7AE3D40F932E5E7, "zombierespawning" },
    { 0xD61367B186D56F37, "zombies_endgameencounterscorefunc" },
    { 0xF3E852AAD6CC19A2, "zombies_perks" },
    { 0x7F82A72FE403744C, "zombiescriptedstealth" },
    { 0xEE351291465C1180, "zombiesdamagezombies" },
    { 0x39D6B317E9264506, "zombiesignorevehicleexplosions" },
    { 0xEE9D1DE16E44FF4B, "zombiespawnabovedeath" },
    { 0xC97234C3E5FE2C63, "zombiespawninair" },
    { 0x720B9A327AC44997, "zombiethermalon" },
    { 0x0EA9E24323514123, "zombievehiclelaststand" },
    { 0x0F53D0895DB4E11B, "zone" },
    { 0x2EC0741119DC823D, "zone_bounds" },
    { 0x87FDA33446D4AEED, "zone_get_node_nearest_2d_bounds" },
    { 0xB25B4348668ACACE, "zone_oncontested" },
    { 0xF04E89596D433FAE, "zone_ondisableobjective" },
    { 0xACF434B3106A5770, "zone_onpinnedstate" },
    { 0x0285E5D16710D68F, "zone_onuncontested" },
    { 0x3BE136F087C3D0FA, "zone_onunoccupied" },
    { 0x18C0D3BFEE1C3A49, "zone_onunpinnedstate" },
    { 0x85B83E01D93CCB44, "zone_onuse" },
    { 0x77BA3FBBF5AE7E39, "zone_onusebegin" },
    { 0x4ED0C78F2C0C6B99, "zone_onuseend" },
    { 0xBD9F5315E6B24445, "zone_onuseupdate" },
    { 0xB5722C240BABA0CA, "zone_stompeenemyprogressupdate" },
    { 0xC900948A5B88216D, "zone_stompprogressreward" },
    { 0xC2FD7D6E78DA3492, "zoneactivationdelay" },
    { 0x1D9051C1B69D99DC, "zoneadditivescoring" },
    { 0x65E21DC58E4738BA, "zonecapturetime" },
    { 0x15EF73BAD9E8B18A, "zonecount" },
    { 0xC5AAA6E8CEFDE060, "zonedestroyedbytimer" },
    { 0xBBEC01462557D4BF, "zoneduration" },
    { 0x00177F2D7DCFD361, "zoneendtime" },
    { 0x0C50ED206A4900F9, "zoneislocked" },
    { 0x3F7073224D203043, "zonemovetime" },
    { 0xA53DC3742375DF2D, "zonerandomlocationorder" },
    { 0x6A35061914CBB7B8, "zones" },
    { 0x57BA1527E97A932E, "zoneselectiondelay" },
    { 0xAC46FF33CD876946, "zonetimeout" },
    { 0xB0E95ABE94776DC1, "zonetimerwait" },
    { 0xA3109469AD2F7A65, "zonetrigger" },
    { 0x0A43EE87DA991B55, "zonly_physics" },
    { 0xAEF7CA998324790C, "zoomedin" },
    { 0x7175F166FF1F5B9D, "zoomkey" },
    { 0xCA5FC0B4F8114CAC, "zpatrolpointscoring" },
    { 0x57970A7665AE52E9, "zuluinit" },
    { 0x4CA8EF8D936C1E3E, "zvelscale" },
}};

} // namespace xsk::gsc::iw9
