// Copyright 2023 xensik. All rights reserved.
//
// Use of this source code is governed by a GNU GPLv3 license
// that can be found in the LICENSE file.

#include "xsk/gsc/engine/s1_pc.hpp"

namespace xsk::gsc::s1_pc
{

extern std::array<std::pair<u32, char const*>, token_count> const token_list
{{
    { 0x0000, "" },
    { 0x0001, "pl#" },
    { 0x0002, "-" },
    { 0x0003, "radius`" },
    { 0x0004, "note:" },
    { 0x0005, "_" },
    { 0x0006, "_custom" },
    { 0x0007, "a" },
    { 0x0008, "ability" },
    { 0x0009, "accumulate" },
    { 0x000A, "accuracy" },
    { 0x000B, "actionslot1" },
    { 0x000C, "actionslot2" },
    { 0x000D, "actionslot3" },
    { 0x000E, "actionslot4" },
    { 0x000F, "actionslot5" },
    { 0x0010, "actionslot6" },
    { 0x0011, "actionslot7" },
    { 0x0012, "actionslot8" },
    { 0x0013, "activator" },
    { 0x0014, "active" },
    { 0x0015, "activecostume" },
    { 0x0016, "activeemblemslot" },
    { 0x0017, "activesquadmember" },
    { 0x0018, "activevisionset" },
    { 0x0019, "activevisionsetduration" },
    { 0x001A, "agent" },
    { 0x001B, "agenthealth" },
    { 0x001C, "agentname" },
    { 0x001D, "agentteam" },
    { 0x001E, "ai_event" },
    { 0x001F, "ai_sight_line_cycle_group" },
    { 0x0020, "ai_sight_line_group" },
    { 0x0021, "aim_highest_bone" },
    { 0x0022, "aim_vis_bone" },
    { 0x0023, "aispread" },
    { 0x0024, "aisquadmembers" },
    { 0x0025, "alert" },
    { 0x0026, "alertlevel" },
    { 0x0027, "alertlevelint" },
    { 0x0028, "alien" },
    { 0x0029, "alienplayerloadout" },
    { 0x002A, "alienplayerstats" },
    { 0x002B, "aliensession" },
    { 0x002C, "alignx" },
    { 0x002D, "aligny" },
    { 0x002E, "all" },
    { 0x002F, "allies" },
    { 0x0030, "allowcrouch" },
    { 0x0031, "allowdeath" },
    { 0x0032, "allowjump" },
    { 0x0033, "allowladders" },
    { 0x0034, "allowpain" },
    { 0x0035, "allowprone" },
    { 0x0036, "allstreaksrestricted" },
    { 0x0037, "alpha" },
    { 0x0038, "altmode" },
    { 0x0039, "always" },
    { 0x003A, "ambient" },
    { 0x003B, "ambienttrack" },
    { 0x003C, "ambienttrack_ac130" },
    { 0x003D, "ambush" },
    { 0x003E, "ambush_nodes_only" },
    { 0x003F, "angle_deltas" },
    { 0x0040, "anglelerprate" },
    { 0x0041, "angles" },
    { 0x0042, "anim_angle_delta" },
    { 0x0043, "anim_deltas" },
    { 0x0044, "anim_pose" },
    { 0x0045, "anim_will_finish" },
    { 0x0046, "animation" },
    { 0x0047, "animscript" },
    { 0x0048, "archived" },
    { 0x0049, "archivetime" },
    { 0x004A, "armor" },
    { 0x004B, "asleep" },
    { 0x004C, "aspectratio" },
    { 0x004D, "assaultstreaks" },
    { 0x004E, "assignedbucket" },
    { 0x004F, "assists" },
    { 0x0050, "attachment" },
    { 0x0051, "attachmentclassrestricted" },
    { 0x0052, "attachmentrestricted" },
    { 0x0053, "attachments" },
    { 0x0054, "attachtag" },
    { 0x0055, "attacker" },
    { 0x0056, "attackeraccuracy" },
    { 0x0057, "attackercount" },
    { 0x0058, "attackerisjuggernaut" },
    { 0x0059, "attackerpos" },
    { 0x005A, "author" },
    { 0x005B, "auto_ai" },
    { 0x005C, "auto_change" },
    { 0x005D, "auto_nonai" },
    { 0x005E, "avoidanceboundshalfsize" },
    { 0x005F, "awards" },
    { 0x0060, "axis" },
    { 0x0061, "b" },
    { 0x0062, "back" },
    { 0x0063, "back_left" },
    { 0x0064, "back_low" },
    { 0x0065, "back_mid" },
    { 0x0066, "back_right" },
    { 0x0067, "back_up" },
    { 0x0068, "background" },
    { 0x0069, "bad_guys" },
    { 0x006A, "bad_path" },
    { 0x006B, "badplaceawareness" },
    { 0x006C, "ball_off" },
    { 0x006D, "ball_on" },
    { 0x006E, "ball_pass" },
    { 0x006F, "bandwidthdown" },
    { 0x0070, "bandwidthtestcount" },
    { 0x0071, "bandwidthup" },
    { 0x0072, "baselineoverflow_max" },
    { 0x0073, "baselineoverflow_worst" },
    { 0x0074, "battery_discharge_begin" },
    { 0x0075, "battery_discharge_end" },
    { 0x0076, "begin" },
    { 0x0077, "begin_custom_anim" },
    { 0x0078, "begin_firing" },
    { 0x0079, "begin_firing_left" },
    { 0x007A, "bestweapon" },
    { 0x007B, "bestweaponindex" },
    { 0x007C, "bipods" },
    { 0x007D, "birthtime" },
    { 0x007E, "bl_rotor1" },
    { 0x007F, "bl_rotor2" },
    { 0x0080, "bl_rotor3" },
    { 0x0081, "blackops2prestige" },
    { 0x0082, "blackops2rank" },
    { 0x0083, "blade_hide" },
    { 0x0084, "blade_show" },
    { 0x0085, "blockfriendlies" },
    { 0x0086, "blurradius" },
    { 0x0087, "body" },
    { 0x0088, "body_animate_jnt" },
    { 0x0089, "bottomarc" },
//  { 0x008A, "" },
//  { 0x008B, "" },
//  { 0x008C, "" },
//  { 0x008D, "" },
//  { 0x008E, "" },
//  { 0x008F, "" },
//  { 0x0090, "" },
//  { 0x0091, "" },
//  { 0x0092, "" },
//  { 0x0093, "" },
//  { 0x0094, "" },
//  { 0x0095, "" },
    { 0x0096, "cancel_location" },
    { 0x0097, "canclimbladders" },
    { 0x0098, "canjumppath" },
    { 0x0099, "cardicon" },
    { 0x009A, "cardnameplate" },
    { 0x009B, "cardtitle" },
    { 0x009C, "cgmchecksum" },
    { 0x009D, "ch_prestige" },
    { 0x009E, "ch_prestige_max" },
    { 0x009F, "chainfallback" },
    { 0x00A0, "chainnode" },
    { 0x00A1, "challengeprogress" },
    { 0x00A2, "challengestate" },
    { 0x00A3, "chest" },
    { 0x00A4, "churnscores" },
    { 0x00A5, "chyron_message1" },
    { 0x00A6, "chyron_message2" },
    { 0x00A7, "chyron_message3" },
    { 0x00A8, "civilian" },
    { 0x00A9, "clanidhigh" },
    { 0x00AA, "clanidlow" },
    { 0x00AB, "classname" },
    { 0x00AC, "clipdistance" },
    { 0x00AD, "code_classname" },
    { 0x00AE, "code_damageradius" },
    { 0x00AF, "code_move" },
    { 0x00B0, "code_move_slide" },
    { 0x00B1, "codecallback_agentadded" },
    { 0x00B2, "codecallback_agentdamaged" },
    { 0x00B3, "codecallback_agentkilled" },
    { 0x00B4, "codecallback_bullethitentity" },
    { 0x00B5, "codecallback_codeendgame" },
    { 0x00B6, "codecallback_entitydamage" },
    { 0x00B7, "codecallback_entityoutofworld" },
    { 0x00B8, "codecallback_handleinstantmessage" },
    { 0x00B9, "codecallback_hostmigration" },
    { 0x00BA, "codecallback_leaderdialog" },
    { 0x00BB, "codecallback_partymembers" },
    { 0x00BC, "codecallback_playerconnect" },
    { 0x00BD, "codecallback_playerdamage" },
    { 0x00BE, "codecallback_playerdisconnect" },
    { 0x00BF, "codecallback_playergrenadesuicide" },
    { 0x00C0, "codecallback_playerkilled" },
    { 0x00C1, "codecallback_playerlaststand" },
    { 0x00C2, "codecallback_playermigrated" },
    { 0x00C3, "codecallback_startgametype" },
    { 0x00C4, "codecallback_vehicledamage" },
    { 0x00C5, "color" },
    { 0x00C6, "color_blind_toggled" },
    { 0x00C7, "combat" },
    { 0x00C8, "combatmode" },
    { 0x00C9, "combatrecord" },
    { 0x00CA, "commonoption" },
    { 0x00CB, "confirm_location" },
    { 0x00CC, "connection_id" },
    { 0x00CD, "connectionidchunkhigh" },
    { 0x00CE, "connectionidchunklow" },
    { 0x00CF, "consolegame" },
    { 0x00D0, "consoleidchunkhigh" },
    { 0x00D1, "consoleidchunklow" },
    { 0x00D2, "constrained" },
    { 0x00D3, "contact" },
    { 0x00D4, "contextleanenabled" },
    { 0x00D5, "convergencetime" },
    { 0x00D6, "coopactivesquadmember" },
    { 0x00D7, "coopsquadmembers" },
    { 0x00D8, "costumes" },
    { 0x00D9, "count" },
    { 0x00DA, "cover" },
    { 0x00DB, "cover_approach" },
    { 0x00DC, "coversearchinterval" },
    { 0x00DD, "createstruct" },
    { 0x00DE, "createtime" },
    { 0x00DF, "criticalbulletdamagedist" },
    { 0x00E0, "crouch" },
    { 0x00E1, "currency" },
    { 0x00E2, "current" },
    { 0x00E3, "currentanimtime" },
    { 0x00E4, "currentgen" },
    { 0x00E5, "currentwinstreak" },
    { 0x00E6, "cursorhint" },
    { 0x00E7, "custom_attach_00" },
    { 0x00E8, "custom_attach_01" },
    { 0x00E9, "custom_attach_02" },
    { 0x00EA, "custom_attach_03" },
    { 0x00EB, "custom_attach_04" },
    { 0x00EC, "custom_attach_05" },
    { 0x00ED, "custom_attach_06" },
    { 0x00EE, "custom_attach_07" },
    { 0x00EF, "custom_attach_08" },
    { 0x00F0, "custom_attach_09" },
    { 0x00F1, "custom_attach_10" },
    { 0x00F2, "custom_attach_11" },
    { 0x00F3, "custom_attach_12" },
    { 0x00F4, "custom_attach_13" },
    { 0x00F5, "custom_attach_14" },
    { 0x00F6, "custom_attach_15" },
    { 0x00F7, "customclasses" },
    { 0x00F8, "customization_loaded" },
    { 0x00F9, "d" },
    { 0x00FA, "dailychallengeid" },
    { 0x00FB, "damage" },
    { 0x00FC, "damage_notdone" },
    { 0x00FD, "damagedir" },
    { 0x00FE, "damagelocation" },
    { 0x00FF, "damagemod" },
    { 0x0100, "damagemultiplier" },
    { 0x0101, "damageshield" },
    { 0x0102, "damagetaken" },
    { 0x0103, "damageweapon" },
    { 0x0104, "damageyaw" },
    { 0x0105, "dangerreactduration" },
    { 0x0106, "datalength" },
    { 0x0107, "dcid" },
    { 0x0108, "dead" },
    { 0x0109, "death" },
    { 0x010A, "deathangles" },
    { 0x010B, "deathinvulnerabletime" },
    { 0x010C, "deathplant" },
    { 0x010D, "deathpos" },
    { 0x010E, "deaths" },
    { 0x010F, "deathshield" },
    { 0x0110, "defaultclasses" },
    { 0x0111, "defense" },
    { 0x0112, "defense_level" },
    { 0x0113, "delayeddeath" },
    { 0x0114, "deploy_riotshield" },
    { 0x0115, "desc" },
    { 0x0116, "descmodified" },
    { 0x0117, "desiredangle" },
    { 0x0118, "destructible_type" },
    { 0x0119, "detectable" },
    { 0x011A, "detected" },
    { 0x011B, "detonate" },
    { 0x011C, "device_id_high" },
    { 0x011D, "device_id_low" },
    { 0x011E, "deviceconnectionhistory" },
    { 0x011F, "deviceusefrequency" },
    { 0x0120, "diequietly" },
    { 0x0121, "diffusefraction" },
    { 0x0122, "direct" },
    { 0x0123, "disable" },
    { 0x0124, "disableplayeradsloscheck" },
    { 0x0125, "dlight" },
    { 0x0126, "dmg" },
    { 0x0127, "dodamagetoall" },
    { 0x0128, "dodangerreact" },
    { 0x0129, "doffar" },
    { 0x012A, "dofnear" },
    { 0x012B, "dofphysicalfocusdistance" },
    { 0x012C, "dofphysicalfstop" },
    { 0x012D, "dog" },
    { 0x012E, "doghandler" },
    { 0x012F, "doingambush" },
    { 0x0130, "done" },
    { 0x0131, "dontavoidplayer" },
    { 0x0132, "dotofdeath" },
    { 0x0133, "down" },
    { 0x0134, "downaimlimit" },
    { 0x0135, "drawoncompass" },
    { 0x0136, "dropweapon" },
    { 0x0137, "duration" },
    { 0x0138, "eftarc" },
    { 0x0139, "empty" },
    { 0x013A, "empty_offhand" },
    { 0x013B, "enable" },
    { 0x013C, "enablehudlighting" },
    { 0x013D, "enableshadows" },
    { 0x013E, "end_firing" },
    { 0x013F, "end_firing_left" },
    { 0x0140, "end_script" },
    { 0x0141, "enddeaths" },
    { 0x0142, "endkills" },
    { 0x0143, "enemy" },
    { 0x0144, "enemy_sighted" },
    { 0x0145, "enemy_sighted_lost" },
    { 0x0146, "enemy_visible" },
    { 0x0147, "enemyname" },
    { 0x0148, "enemyplatform" },
    { 0x0149, "enemyradarmode" },
    { 0x014A, "enemyxuidhigh" },
    { 0x014B, "enemyxuidlow" },
    { 0x014C, "energy_fire" },
    { 0x014D, "engagemaxdist" },
    { 0x014E, "engagemaxfalloffdist" },
    { 0x014F, "engagemindist" },
    { 0x0150, "engageminfalloffdist" },
    { 0x0151, "enhanceable" },
    { 0x0152, "entity" },
    { 0x0153, "entitydeleted" },
    { 0x0154, "entityoverflow_max" },
    { 0x0155, "entityoverflow_worst" },
    { 0x0156, "equipment" },
    { 0x0157, "equipmentsetups" },
    { 0x0158, "escaped" },
//  { 0x0159, "" },
    { 0x015A, "exclusive" },
    { 0x015B, "exo_ability_activate" },
    { 0x015C, "exo_adrenaline_fire" },
    { 0x015D, "exo_boost" },
    { 0x015E, "exo_dodge" },
    { 0x015F, "exo_power" },
    { 0x0160, "exo_slide" },
    { 0x0161, "exo_slide_hit_player" },
    { 0x0162, "exoattachment1" },
    { 0x0163, "exoattachment2" },
    { 0x0164, "experience" },
    { 0x0165, "explode" },
    { 0x0166, "exposedduration" },
    { 0x0167, "extracustomclassesentitlement" },
    { 0x0168, "extracustomclassesprestige" },
    { 0x0169, "extrascore0" },
    { 0x016A, "extrascore1" },
    { 0x016B, "eyewear" },
    { 0x016C, "face_angle" },
    { 0x016D, "face_angle_3d" },
    { 0x016E, "face_angle_abs" },
    { 0x016F, "face_angle_rel" },
    { 0x0170, "face_current" },
    { 0x0171, "face_default" },
    { 0x0172, "face_direction" },
    { 0x0173, "face_enemy" },
    { 0x0174, "face_enemy_or_motion" },
    { 0x0175, "face_goal" },
    { 0x0176, "face_motion" },
    { 0x0177, "face_point" },
    { 0x0178, "facemotion" },
    { 0x0179, "failed" },
    { 0x017A, "falling" },
    { 0x017B, "fast_radar" },
    { 0x017C, "favoriteenemy" },
    { 0x017D, "finalaccuracy" },
    { 0x017E, "first_person" },
    { 0x017F, "firstplayedsptime" },
    { 0x0180, "fixednode" },
    { 0x0181, "fixednodesaferadius" },
    { 0x0182, "fl_rotor1" },
    { 0x0183, "fl_rotor2" },
    { 0x0184, "fl_rotor3" },
    { 0x0185, "flash" },
    { 0x0186, "flashbang" },
    { 0x0187, "foley" },
    { 0x0188, "follow" },
    { 0x0189, "followmax" },
    { 0x018A, "followmin" },
    { 0x018B, "font" },
    { 0x018C, "fontscale" },
    { 0x018D, "foot_ik_active" },
    { 0x018E, "foot_ik_blend_in" },
    { 0x018F, "foot_ik_blend_out" },
    { 0x0190, "foot_ik_inactive" },
    { 0x0191, "footstepdetectdist" },
    { 0x0192, "footstepdetectdistsprint" },
    { 0x0193, "footstepdetectdistwalk" },
    { 0x0194, "force_off" },
    { 0x0195, "force_on" },
    { 0x0196, "forcepartyskillignore" },
    { 0x0197, "forceragdollimmediate" },
    { 0x0198, "forcespectatorclient" },
    { 0x0199, "foregrip_off" },
    { 0x019A, "foreground" },
    { 0x019B, "forward" },
    { 0x019C, "fov" },
    { 0x019D, "fovcosine" },
    { 0x019E, "fovcosinebusy" },
    { 0x019F, "fovcosinez" },
    { 0x01A0, "fr_rotor1" },
    { 0x01A1, "fr_rotor2" },
    { 0x01A2, "fr_rotor3" },
    { 0x01A3, "fraction" },
    { 0x01A4, "frag" },
    { 0x01A5, "free" },
    { 0x01A6, "freecamera" },
    { 0x01A7, "freelook" },
    { 0x01A8, "frequency" },
    { 0x01A9, "friendlyfire" },
    { 0x01AA, "front_left" },
    { 0x01AB, "front_right" },
    { 0x01AC, "frontshieldanglecos" },
    { 0x01AD, "fs_concrete" },
    { 0x01AE, "fs_dirt" },
    { 0x01AF, "fs_metal" },
    { 0x01B0, "fs_wood" },
    { 0x01B1, "game_extrainfo" },
    { 0x01B2, "gamecount" },
    { 0x01B3, "gamertag" },
    { 0x01B4, "gamesplayed" },
    { 0x01B5, "gametype" },
    { 0x01B6, "gear" },
    { 0x01B7, "gender" },
    { 0x01B8, "ghostsprestige" },
    { 0x01B9, "ghostsrank" },
    { 0x01BA, "glass" },
    { 0x01BB, "glass_damaged" },
    { 0x01BC, "glass_destroyed" },
    { 0x01BD, "globalcostume" },
    { 0x01BE, "gloves" },
    { 0x01BF, "glowalpha" },
    { 0x01C0, "glowcolor" },
    { 0x01C1, "goal" },
    { 0x01C2, "goal_changed" },
    { 0x01C3, "goal_reached" },
    { 0x01C4, "goal_yaw" },
    { 0x01C5, "goalheight" },
    { 0x01C6, "goalpos" },
    { 0x01C7, "goalradius" },
    { 0x01C8, "goaltime" },
    { 0x01C9, "goalweight" },
    { 0x01CA, "goingtoruntopos" },
    { 0x01CB, "gravity" },
    { 0x01CC, "gravity_noclip" },
    { 0x01CD, "grenade" },
    { 0x01CE, "grenade_fire" },
    { 0x01CF, "grenade_off" },
    { 0x01D0, "grenade_on" },
    { 0x01D1, "grenade_pullback" },
    { 0x01D2, "grenade_return_hand_tag" },
    { 0x01D3, "grenadeammo" },
    { 0x01D4, "grenadeawareness" },
    { 0x01D5, "grenadedanger" },
    { 0x01D6, "grenadeweapon" },
    { 0x01D7, "ground_slam" },
    { 0x01D8, "ground_slam_hit_player" },
    { 0x01D9, "groundentchanged" },
    { 0x01DA, "groundtype" },
    { 0x01DB, "gunblockedbywall" },
    { 0x01DC, "gunshot" },
    { 0x01DD, "gunshot_teammate" },
    { 0x01DE, "hardcoremodeon" },
    { 0x01DF, "hasdoublexpitem" },
    { 0x01E0, "hasradar" },
    { 0x01E1, "hasvalidcostumeselfieimage" },
    { 0x01E2, "hat" },
    { 0x01E3, "head" },
    { 0x01E4, "headicon" },
    { 0x01E5, "headiconteam" },
    { 0x01E6, "headshots" },
    { 0x01E7, "health" },
    { 0x01E8, "healthregen" },
    { 0x01E9, "height" },
    { 0x01EA, "helmet" },
    { 0x01EB, "hidein3rdperson" },
    { 0x01EC, "hidewhendead" },
    { 0x01ED, "hidewhenindemo" },
    { 0x01EE, "hidewheninmenu" },
    { 0x01EF, "high_priority" },
    { 0x01F0, "highlyawareradius" },
    { 0x01F1, "hindlegstraceoffset" },
    { 0x01F2, "hintstring" },
    { 0x01F3, "hit_by_missile" },
    { 0x01F4, "horzalign" },
    { 0x01F5, "host_sucks_end_game" },
    { 0x01F6, "hostfailures" },
    { 0x01F7, "hostquits" },
    { 0x01F8, "hostsuccesses" },
    { 0x01F9, "human" },
    { 0x01FA, "iconnew" },
    { 0x01FB, "iconunlocked" },
    { 0x01FC, "ignoreall" },
    { 0x01FD, "ignoreclosefoliage" },
    { 0x01FE, "ignoreexplosionevents" },
    { 0x01FF, "ignoreforfixednodesafecheck" },
    { 0x0200, "ignoreme" },
    { 0x0201, "ignorerandombulletdamage" },
    { 0x0202, "ignoresuppression" },
    { 0x0203, "ignoretriggers" },
    { 0x0204, "ikweight" },
    { 0x0205, "index" },
    { 0x0206, "infinite_energy" },
    { 0x0207, "info_notnull" },
    { 0x0208, "info_player_start" },
    { 0x0209, "init" },
    { 0x020A, "initstructs" },
    { 0x020B, "insolid" },
    { 0x020C, "intermission" },
    { 0x020D, "interval" },
    { 0x020E, "inuse" },
    { 0x020F, "invalid_parent" },
//  { 0x0210, "" },
//  { 0x0211, "" },
//  { 0x0212, "" },
    { 0x0213, "isradarblocked" },
    { 0x0214, "item" },
    { 0x0215, "j_exo_rcket_arm02" },
    { 0x0216, "j_exoclav04_l" },
    { 0x0217, "j_exoclav04_r" },
    { 0x0218, "j_exohip04_l" },
    { 0x0219, "j_exohip04_r" },
    { 0x021A, "j_eyeball_le" },
    { 0x021B, "j_eyeball_ri" },
    { 0x021C, "j_gun" },
    { 0x021D, "j_head" },
    { 0x021E, "j_hip_l" },
    { 0x021F, "j_hip_r" },
    { 0x0220, "j_knee_le" },
    { 0x0221, "j_knee_ri" },
    { 0x0222, "j_left_elbow" },
    { 0x0223, "j_left_hand" },
    { 0x0224, "j_left_shoulder" },
    { 0x0225, "j_mainroot" },
    { 0x0226, "j_neck" },
    { 0x0227, "j_right_elbow" },
    { 0x0228, "j_right_hand" },
    { 0x0229, "j_right_hand_placement" },
    { 0x022A, "j_right_shoulder" },
    { 0x022B, "j_rocket" },
    { 0x022C, "j_spine4" },
    { 0x022D, "j_spinelower" },
    { 0x022E, "j_spineupper" },
    { 0x022F, "jumpcost" },
    { 0x0230, "jumping" },
    { 0x0231, "justclass" },
    { 0x0232, "kdratio" },
    { 0x0233, "keepclaimednode" },
    { 0x0234, "keepclaimednodeifvalid" },
    { 0x0235, "keepnodeduringscriptedanim" },
    { 0x0236, "key1" },
    { 0x0237, "key2" },
    { 0x0238, "kill_timestamp" },
    { 0x0239, "killanimscript" },
    { 0x023A, "killcamentity" },
    { 0x023B, "killcamentitylookat" },
    { 0x023C, "kills" },
    { 0x023D, "killstreak" },
    { 0x023E, "killstreakcount" },
    { 0x023F, "killstreakrestricted" },
    { 0x0240, "killstreakunlocked" },
    { 0x0241, "kneepads" },
    { 0x0242, "knife_off" },
    { 0x0243, "knife_on" },
    { 0x0244, "known_event" },
    { 0x0245, "label" },
    { 0x0246, "ladder_down" },
    { 0x0247, "ladder_up" },
    { 0x0248, "land" },
    { 0x0249, "last_stand_count" },
    { 0x024A, "lastattacker" },
    { 0x024B, "lastenemysightpos" },
    { 0x024C, "lastplayedtime" },
    { 0x024D, "laststand" },
    { 0x024E, "leanamount" },
    { 0x024F, "ledge" },
    { 0x0250, "left" },
    { 0x0251, "leftaimlimit" },
    { 0x0252, "leftarc" },
    { 0x0253, "lethal" },
    { 0x0254, "lifecount" },
    { 0x0255, "light" },
    { 0x0256, "lives" },
    { 0x0257, "loadouts" },
    { 0x0258, "lockorientation" },
    { 0x0259, "lod" },
    { 0x025A, "look" },
    { 0x025B, "lookahead" },
    { 0x025C, "lookaheaddir" },
    { 0x025D, "lookaheaddist" },
    { 0x025E, "lookaheadhitsstairs" },
    { 0x025F, "lookforward" },
    { 0x0260, "lookright" },
    { 0x0261, "looktarget" },
    { 0x0262, "lookup" },
    { 0x0263, "loot" },
    { 0x0264, "lootnew" },
    { 0x0265, "loses" },
    { 0x0266, "low_priority" },
    { 0x0267, "lowresbackground" },
    { 0x0268, "luinotifyserver" },
    { 0x0269, "mag_eject" },
    { 0x026A, "mag_eject_left" },
    { 0x026B, "main" },
    { 0x026C, "manual" },
    { 0x026D, "manual_ai" },
    { 0x026E, "manual_change" },
    { 0x026F, "map" },
    { 0x0270, "matchid" },
    { 0x0271, "matchmakingsettingsversion" },
    { 0x0272, "matchmakingtesttype" },
    { 0x0273, "max_time" },
    { 0x0274, "maxfaceenemydist" },
    { 0x0275, "maxhealth" },
    { 0x0276, "maxrange" },
    { 0x0277, "maxsightdistsqrd" },
    { 0x0278, "maxturnspeed" },
    { 0x0279, "maxvisibledist" },
    { 0x027A, "melee_fired" },
    { 0x027B, "melee_hit_react" },
    { 0x027C, "meleeattackdist" },
    { 0x027D, "menuresponse" },
    { 0x027E, "micro_dlc_bits_last_gen" },
    { 0x027F, "micro_dlc_bits_next_gen" },
    { 0x0280, "middle_left" },
    { 0x0281, "middle_right" },
    { 0x0282, "migrateablequits" },
    { 0x0283, "min_energy" },
    { 0x0284, "min_time" },
    { 0x0285, "minpaindamage" },
    { 0x0286, "minusedistsq" },
    { 0x0287, "missile_fire" },
    { 0x0288, "missile_passed_target" },
    { 0x0289, "missile_stuck" },
    { 0x028A, "mlgversion" },
    { 0x028B, "mod" },
    { 0x028C, "mod_crush" },
    { 0x028D, "mod_energy" },
    { 0x028E, "mod_explosive" },
    { 0x028F, "mod_explosive_bullet" },
    { 0x0290, "mod_falling" },
    { 0x0291, "mod_grenade" },
    { 0x0292, "mod_grenade_splash" },
    { 0x0293, "mod_head_shot" },
    { 0x0294, "mod_impact" },
    { 0x0295, "mod_melee" },
    { 0x0296, "mod_melee_alien" },
    { 0x0297, "mod_melee_alt" },
    { 0x0298, "mod_melee_dog" },
    { 0x0299, "mod_pistol_bullet" },
    { 0x029A, "mod_projectile" },
    { 0x029B, "mod_projectile_splash" },
    { 0x029C, "mod_rifle_bullet" },
    { 0x029D, "mod_suicide" },
    { 0x029E, "mod_trigger_hurt" },
    { 0x029F, "mod_unknown" },
    { 0x02A0, "model" },
    { 0x02A1, "modeprefix" },
    { 0x02A2, "modifiers" },
    { 0x02A3, "motiontrackerenabled" },
    { 0x02A4, "mounted_dlc_bits" },
    { 0x02A5, "movedone" },
    { 0x02A6, "movemode" },
    { 0x02A7, "munition" },
    { 0x02A8, "munition_level" },
    { 0x02A9, "mw3prestige" },
    { 0x02AA, "mw3rank" },
    { 0x02AB, "name" },
    { 0x02AC, "namemodified" },
    { 0x02AD, "near_goal" },
    { 0x02AE, "nearz" },
    { 0x02AF, "neutral" },
    { 0x02B0, "never" },
    { 0x02B1, "newenemyreactiondistsq" },
    { 0x02B2, "newentitlement" },
    { 0x02B3, "nextgen" },
    { 0x02B4, "nextreadblackops2" },
    { 0x02B5, "nextreadghosts0" },
    { 0x02B6, "nextreadghosts1" },
    { 0x02B7, "nextreadmw3" },
    { 0x02B8, "night_vision_off" },
    { 0x02B9, "night_vision_on" },
    { 0x02BA, "no_bot_random_path" },
    { 0x02BB, "no_cover" },
    { 0x02BC, "no_gravity" },
    { 0x02BD, "noattackeraccuracymod" },
    { 0x02BE, "noclip" },
    { 0x02BF, "node" },
    { 0x02C0, "node_not_safe" },
    { 0x02C1, "node_out_of_range" },
    { 0x02C2, "node_relinquished" },
    { 0x02C3, "node_taken" },
    { 0x02C4, "nodeoffsetpos" },
    { 0x02C5, "nododgemove" },
    { 0x02C6, "nogravity" },
    { 0x02C7, "nogrenadereturnthrow" },
    { 0x02C8, "noncombat" },
    { 0x02C9, "none" },
    { 0x02CA, "nonmigrateablequits" },
    { 0x02CB, "nophysics" },
    { 0x02CC, "normal" },
    { 0x02CD, "normal_radar" },
    { 0x02CE, "northyaw" },
    { 0x02CF, "notifyname" },
    { 0x02D0, "notinsolid" },
    { 0x02D1, "num0" },
    { 0x02D2, "num1" },
    { 0x02D3, "num2" },
    { 0x02D4, "num3" },
    { 0x02D5, "num4" },
    { 0x02D6, "objective" },
    { 0x02D7, "obstacle" },
    { 0x02D8, "offense" },
    { 0x02D9, "offense_level" },
    { 0x02DA, "offhand" },
    { 0x02DB, "offhand_end" },
    { 0x02DC, "offhandweapon" },
    { 0x02DD, "oldtime" },
    { 0x02DE, "ondeactivate" },
    { 0x02DF, "onenterstate" },
    { 0x02E0, "only_sky" },
    { 0x02E1, "onlygoodnearestnodes" },
    { 0x02E2, "onwifi" },
    { 0x02E3, "operationsdeadline" },
    { 0x02E4, "oriented" },
    { 0x02E5, "orientto_complete" },
    { 0x02E6, "origin" },
    { 0x02E7, "other" },
    { 0x02E8, "over" },
    { 0x02E9, "owner" },
    { 0x02EA, "pacifist" },
    { 0x02EB, "pacifistwait" },
    { 0x02EC, "pain" },
    { 0x02ED, "pants" },
    { 0x02EE, "pantssize" },
    { 0x02EF, "parentindex" },
    { 0x02F0, "parentname" },
    { 0x02F1, "partyid" },
    { 0x02F2, "pasttitledata" },
    { 0x02F3, "patch" },
    { 0x02F4, "patchbacking" },
    { 0x02F5, "path_blocked" },
    { 0x02F6, "path_changed" },
    { 0x02F7, "path_dir_change" },
    { 0x02F8, "path_enemy" },
    { 0x02F9, "path_need_dodge" },
    { 0x02FA, "path_set" },
    { 0x02FB, "pathenemyfightdist" },
    { 0x02FC, "pathenemylookahead" },
    { 0x02FD, "pathgoalpos" },
    { 0x02FE, "pathlookaheaddist" },
    { 0x02FF, "pathrandompercent" },
    { 0x0300, "pc" },
    { 0x0301, "pccg" },
    { 0x0302, "pelvis" },
    { 0x0303, "perk1" },
    { 0x0304, "perk2" },
    { 0x0305, "perk3" },
    { 0x0306, "perk4" },
    { 0x0307, "perk5" },
    { 0x0308, "perk6" },
    { 0x0309, "perkclassrestricted" },
    { 0x030A, "perkrestricted" },
    { 0x030B, "perks" },
    { 0x030C, "perkslots" },
    { 0x030D, "pers" },
    { 0x030E, "persistentperksunlocked" },
    { 0x030F, "persistentweaponsunlocked" },
    { 0x0310, "phone_off" },
    { 0x0311, "phone_on" },
    { 0x0312, "physics_finished" },
    { 0x0313, "physics_impact" },
    { 0x0314, "pickup" },
    { 0x0315, "pickup_riotshield" },
    { 0x0316, "pistol" },
    { 0x0317, "pitchamount" },
    { 0x0318, "pitchconvergencetime" },
    { 0x0319, "plane_waypoint" },
    { 0x031A, "playedblackops2" },
    { 0x031B, "playedghosts" },
    { 0x031C, "playedmw3" },
    { 0x031D, "player" },
    { 0x031E, "player_controller" },
    { 0x031F, "player_pushed" },
    { 0x0320, "playercardbackground" },
    { 0x0321, "playercardpatch" },
    { 0x0322, "playercardpatchbacking" },
    { 0x0323, "playerconnectionhistory" },
    { 0x0324, "playerid" },
    { 0x0325, "playerip" },
    { 0x0326, "playername" },
    { 0x0327, "playerpositions" },
    { 0x0328, "players" },
    { 0x0329, "playerspread" },
    { 0x032A, "playerxuidhigh" },
    { 0x032B, "playerxuidlow" },
    { 0x032C, "playing" },
    { 0x032D, "points" },
    { 0x032E, "position" },
    { 0x032F, "positioninworld" },
    { 0x0330, "postsharpturnlookaheaddist" },
    { 0x0331, "precache" },
    { 0x0332, "predicted_projectile_impact" },
    { 0x0333, "prestige" },
    { 0x0334, "prestigedoublexp" },
    { 0x0335, "prestigedoublexpmaxtimeplayed" },
    { 0x0336, "prestigeshoptokens" },
    { 0x0337, "prestigeshoptokensentitlement" },
    { 0x0338, "prevanimdelta" },
    { 0x0339, "prevnode" },
    { 0x033A, "prevscript" },
    { 0x033B, "primary" },
    { 0x033C, "primaryattachment1" },
    { 0x033D, "primaryattachment2" },
    { 0x033E, "primaryattachment3" },
    { 0x033F, "primaryattachments" },
    { 0x0340, "primarycamo" },
    { 0x0341, "primaryoffhand" },
    { 0x0342, "primaryreticle" },
    { 0x0343, "primaryweapon" },
    { 0x0344, "privatematchactivesquadmember" },
    { 0x0345, "privatematchcustomclasses" },
    { 0x0346, "privatematchsquadmembers" },
    { 0x0347, "projectile_impact" },
    { 0x0348, "projectile_impact_player" },
    { 0x0349, "prone" },
    { 0x034A, "proneok" },
    { 0x034B, "providecoveringfire" },
    { 0x034C, "ps3" },
    { 0x034D, "ps4" },
    { 0x034E, "psoffsettime" },
    { 0x034F, "pushable" },
    { 0x0350, "radaralwayson" },
    { 0x0351, "radarmode" },
    { 0x0352, "radarshowenemydirection" },
    { 0x0353, "radarstrength" },
    { 0x0354, "radius" },
    { 0x0355, "ragdoll_early_result" },
    { 0x0356, "raise_riotshield" },
    { 0x0357, "rank" },
    { 0x0358, "rate" },
    { 0x0359, "reached_end_node" },
    { 0x035A, "reached_wait_node" },
    { 0x035B, "reached_wait_speed" },
    { 0x035C, "reactiontargetpos" },
    { 0x035D, "realtimedelta" },
    { 0x035E, "receiver" },
    { 0x035F, "recipename" },
    { 0x0360, "reciprocality" },
    { 0x0361, "reflection_clear_color" },
    { 0x0362, "reinforcement" },
    { 0x0363, "relativedir" },
    { 0x0364, "relativeoffset" },
    { 0x0365, "reload" },
    { 0x0366, "reload_start" },
    { 0x0367, "remotemissilespawn" },
    { 0x0368, "rendertotexture" },
    { 0x0369, "reportindex" },
    { 0x036A, "reports" },
    { 0x036B, "reputation" },
    { 0x036C, "requestarrivalnotify" },
    { 0x036D, "requirement_beat100waves" },
    { 0x036E, "requirement_beat200waves" },
    { 0x036F, "requirement_beat50waves" },
    { 0x0370, "requirement_beatenzombies" },
    { 0x0371, "requirement_maxarmorproficiency" },
    { 0x0372, "requirement_maxweaponproficiency" },
    { 0x0373, "requirement_playedallmaps" },
    { 0x0374, "requirement_unlockedprison" },
    { 0x0375, "requirement_unlockedtier2" },
    { 0x0376, "requirement_unlockedtier3" },
    { 0x0377, "reserved" },
    { 0x0378, "respawndelay" },
    { 0x0379, "result" },
    { 0x037A, "reticle" },
    { 0x037B, "return_pitch" },
    { 0x037C, "reverse" },
    { 0x037D, "revives" },
    { 0x037E, "right" },
    { 0x037F, "rightaimlimit" },
    { 0x0380, "rightarc" },
    { 0x0381, "riotshield_damaged" },
    { 0x0382, "riotshield_hit" },
    { 0x0383, "rocket" },
    { 0x0384, "rocket_off" },
    { 0x0385, "rocket_on" },
    { 0x0386, "rotatedone" },
    { 0x0387, "rotation" },
    { 0x0388, "run" },
    { 0x0389, "runcost" },
    { 0x038A, "runto_arrived" },
    { 0x038B, "safetochangescript" },
    { 0x038C, "scavenger" },
    { 0x038D, "scope_cap" },
    { 0x038E, "scope_center" },
    { 0x038F, "scope_top" },
    { 0x0390, "score" },
    { 0x0391, "script" },
    { 0x0392, "script_brushmodel" },
    { 0x0393, "script_clut" },
    { 0x0394, "script_context" },
    { 0x0395, "script_delay" },
    { 0x0396, "script_goal_changed" },
    { 0x0397, "script_label" },
    { 0x0398, "script_lightset" },
    { 0x0399, "script_linkname" },
    { 0x039A, "script_model" },
    { 0x039B, "script_noteworthy" },
    { 0x039C, "script_origin" },
    { 0x039D, "script_parent" },
    { 0x039E, "script_parentname" },
    { 0x039F, "script_pushable" },
    { 0x03A0, "script_vehicle" },
    { 0x03A1, "script_vehicle_collision" },
    { 0x03A2, "script_vehicle_collmap" },
    { 0x03A3, "script_vehicle_corpse" },
    { 0x03A4, "script_visionset" },
//  { 0x03A5, "" },
//  { 0x03A6, "" },
//  { 0x03A7, "" },
//  { 0x03A8, "" },
//  { 0x03A9, "" },
    { 0x03AA, "scriptedarrivalent" },
    { 0x03AB, "search_end" },
    { 0x03AC, "secondary" },
    { 0x03AD, "secondaryattachment1" },
    { 0x03AE, "secondaryattachment2" },
    { 0x03AF, "secondaryattachments" },
    { 0x03B0, "secondarycamo" },
    { 0x03B1, "secondaryoffhand" },
    { 0x03B2, "secondaryreticle" },
    { 0x03B3, "secondaryweapon" },
    { 0x03B4, "sentry" },
    { 0x03B5, "sentry_manual" },
    { 0x03B6, "sentry_offline" },
    { 0x03B7, "servertimecount" },
    { 0x03B8, "servertimeexceedcount" },
    { 0x03B9, "servertimemax" },
    { 0x03BA, "servertimetotal" },
    { 0x03BB, "servertimetotalexceed" },
    { 0x03BC, "sessionstate" },
    { 0x03BD, "sessionteam" },
    { 0x03BE, "sharpturn" },
    { 0x03BF, "sharpturnlookaheaddist" },
    { 0x03C0, "sharpturnnotifydist" },
    { 0x03C1, "sharpturntooclosetodestdist" },
    { 0x03C2, "shirt" },
    { 0x03C3, "shoes" },
    { 0x03C4, "showinkillcam" },
    { 0x03C5, "showkillcam" },
    { 0x03C6, "sightlatency" },
    { 0x03C7, "silenced_shot" },
    { 0x03C8, "skill_points" },
    { 0x03C9, "skillbucket" },
    { 0x03CA, "skillrating" },
    { 0x03CB, "skillratingtype" },
    { 0x03CC, "slidevelocity" },
    { 0x03CD, "slowmo_active" },
    { 0x03CE, "slowmo_passive" },
    { 0x03CF, "smoke" },
    { 0x03D0, "snd_channelvolprio_holdbreath" },
    { 0x03D1, "snd_channelvolprio_pain" },
    { 0x03D2, "snd_channelvolprio_shellshock" },
    { 0x03D3, "snd_enveffectsprio_level" },
    { 0x03D4, "snd_enveffectsprio_shellshock" },
    { 0x03D5, "sort" },
    { 0x03D6, "sound_blend" },
    { 0x03D7, "soundeventdone" },
    { 0x03D8, "space" },
    { 0x03D9, "spawned" },
    { 0x03DA, "spawner" },
    { 0x03DB, "spawnflags" },
    { 0x03DC, "spawnpos" },
    { 0x03DD, "spawntime" },
    { 0x03DE, "specialgrenade" },
    { 0x03DF, "spectatekillcam" },
    { 0x03E0, "spectating_cycle" },
    { 0x03E1, "spectator" },
    { 0x03E2, "speechcommand" },
    { 0x03E3, "speed" },
    { 0x03E4, "splatter" },
    { 0x03E5, "splineplanereachednode" },
    { 0x03E6, "sprint_begin" },
    { 0x03E7, "sprint_end" },
    { 0x03E8, "sprint_slide_begin" },
    { 0x03E9, "sprint_slide_end" },
    { 0x03EA, "squad_base" },
    { 0x03EB, "squad_mode" },
    { 0x03EC, "squad_name" },
    { 0x03ED, "squadhq" },
    { 0x03EE, "squadmembers" },
    { 0x03EF, "squadmemxp" },
    { 0x03F0, "squadname" },
    { 0x03F1, "stairs" },
    { 0x03F2, "stairsstate" },
    { 0x03F3, "stand" },
    { 0x03F4, "start_blend" },
    { 0x03F5, "start_move" },
    { 0x03F6, "start_ragdoll" },
    { 0x03F7, "startdeaths" },
    { 0x03F8, "startdeploy_riotshield" },
    { 0x03F9, "startingoffsetforlife" },
    { 0x03FA, "startkills" },
    { 0x03FB, "state_changed" },
    { 0x03FC, "statelocked" },
    { 0x03FD, "stencil_disable" },
    { 0x03FE, "stencil_onesided" },
    { 0x03FF, "stencil_twosided" },
    { 0x0400, "stencilfunc_always" },
    { 0x0401, "stencilfunc_equal" },
    { 0x0402, "stencilfunc_greater" },
    { 0x0403, "stencilfunc_greaterequal" },
    { 0x0404, "stencilfunc_less" },
    { 0x0405, "stencilfunc_lessequal" },
    { 0x0406, "stencilfunc_never" },
    { 0x0407, "stencilfunc_notequal" },
    { 0x0408, "stencilop_decr" },
    { 0x0409, "stencilop_decrsat" },
    { 0x040A, "stencilop_incr" },
    { 0x040B, "stencilop_incrsat" },
    { 0x040C, "stencilop_invert" },
    { 0x040D, "stencilop_keep" },
    { 0x040E, "stencilop_replace" },
    { 0x040F, "stencilop_zero" },
    { 0x0410, "stop" },
    { 0x0411, "stop_soon" },
    { 0x0412, "stopanimdistsq" },
    { 0x0413, "stopsoonnotifydist" },
    { 0x0414, "streak" },
    { 0x0415, "streaktype" },
    { 0x0416, "suckedashost" },
    { 0x0417, "suncolor" },
    { 0x0418, "sundirection" },
    { 0x0419, "sunlight" },
    { 0x041A, "support" },
    { 0x041B, "support_level" },
    { 0x041C, "suppression" },
    { 0x041D, "suppression_end" },
    { 0x041E, "suppressionduration" },
    { 0x041F, "suppressionmeter" },
    { 0x0420, "suppressionstarttime" },
    { 0x0421, "suppressiontime" },
    { 0x0422, "suppressionwait" },
    { 0x0423, "surfacetype" },
    { 0x0424, "surprisedbymedistsq" },
    { 0x0425, "swimmer" },
    { 0x0426, "switched_var_grenade" },
    { 0x0427, "syncedmeleetarget" },
    { 0x0428, "tactical" },
    { 0x0429, "tag" },
    { 0x042A, "tag_ai_aim_target" },
    { 0x042B, "tag_aim" },
    { 0x042C, "tag_aim_animated" },
    { 0x042D, "tag_aim_pivot" },
    { 0x042E, "tag_barrel" },
    { 0x042F, "tag_blade_off" },
    { 0x0430, "tag_body" },
    { 0x0431, "tag_brass" },
    { 0x0432, "tag_brass_2" },
    { 0x0433, "tag_butt" },
    { 0x0434, "tag_camera" },
    { 0x0435, "tag_clip" },
    { 0x0436, "tag_clip_dual" },
    { 0x0437, "tag_clip_dual2" },
    { 0x0438, "tag_detach" },
    { 0x0439, "tag_engine_left" },
    { 0x043A, "tag_engine_right" },
    { 0x043B, "tag_eotech_reticle" },
    { 0x043C, "tag_eye" },
    { 0x043D, "tag_flash" },
    { 0x043E, "tag_flash_11" },
    { 0x043F, "tag_flash_2" },
    { 0x0440, "tag_flash_22" },
    { 0x0441, "tag_flash_3" },
    { 0x0442, "tag_flash_launcher" },
    { 0x0443, "tag_flash_silenced" },
    { 0x0444, "tag_fx" },
    { 0x0445, "tag_gasmask" },
    { 0x0446, "tag_gasmask2" },
    { 0x0447, "tag_ik_ankle_fl" },
    { 0x0448, "tag_ik_ankle_fr" },
    { 0x0449, "tag_ik_ankle_kl" },
    { 0x044A, "tag_ik_ankle_kr" },
    { 0x044B, "tag_ik_ankle_ml" },
    { 0x044C, "tag_ik_ankle_mr" },
    { 0x044D, "tag_ik_footflat_fl" },
    { 0x044E, "tag_ik_footflat_fr" },
    { 0x044F, "tag_ik_footflat_kl" },
    { 0x0450, "tag_ik_footflat_kr" },
    { 0x0451, "tag_ik_footflat_ml" },
    { 0x0452, "tag_ik_footflat_mr" },
    { 0x0453, "tag_ik_hip_fl" },
    { 0x0454, "tag_ik_hip_fr" },
    { 0x0455, "tag_ik_hip_kl" },
    { 0x0456, "tag_ik_hip_kr" },
    { 0x0457, "tag_ik_hip_ml" },
    { 0x0458, "tag_ik_hip_mr" },
    { 0x0459, "tag_ik_knee_fl" },
    { 0x045A, "tag_ik_knee_fr" },
    { 0x045B, "tag_ik_knee_kl" },
    { 0x045C, "tag_ik_knee_kr" },
    { 0x045D, "tag_ik_knee_ml" },
    { 0x045E, "tag_ik_knee_mr" },
    { 0x045F, "tag_ik_loc_le" },
    { 0x0460, "tag_ik_loc_le_foregrip" },
    { 0x0461, "tag_ik_loc_le_launcher" },
    { 0x0462, "tag_ik_loc_le_shotgun" },
    { 0x0463, "tag_ik_target" },
    { 0x0464, "tag_inhand" },
    { 0x0465, "tag_jetblast_fx" },
    { 0x0466, "tag_jetpack" },
    { 0x0467, "tag_knife_attach" },
    { 0x0468, "tag_knife_fx" },
    { 0x0469, "tag_laser" },
    { 0x046A, "tag_launcher" },
    { 0x046B, "tag_magnifier_eotech_reticle" },
    { 0x046C, "tag_mobile_cover_upright" },
    { 0x046D, "tag_motion_tracker_bl" },
    { 0x046E, "tag_motion_tracker_br" },
    { 0x046F, "tag_motion_tracker_fx" },
    { 0x0470, "tag_motion_tracker_tl" },
    { 0x0471, "tag_origin" },
    { 0x0472, "tag_player" },
    { 0x0473, "tag_popout" },
    { 0x0474, "tag_rail_master_off" },
    { 0x0475, "tag_rail_master_on" },
    { 0x0476, "tag_rail_side_off" },
    { 0x0477, "tag_rail_side_on" },
    { 0x0478, "tag_reticle_acog" },
    { 0x0479, "tag_reticle_default" },
    { 0x047A, "tag_reticle_default2" },
    { 0x047B, "tag_reticle_hamr" },
    { 0x047C, "tag_reticle_on" },
    { 0x047D, "tag_reticle_red_dot" },
    { 0x047E, "tag_reticle_reflex" },
    { 0x047F, "tag_reticle_tavor_scope" },
    { 0x0480, "tag_reticle_thermal_scope" },
    { 0x0481, "tag_rider" },
    { 0x0482, "tag_riot_shield" },
    { 0x0483, "tag_rocket" },
    { 0x0484, "tag_scope_ads_off" },
    { 0x0485, "tag_scope_ads_on" },
    { 0x0486, "tag_shield_back" },
    { 0x0487, "tag_shotgun" },
    { 0x0488, "tag_show_alt" },
    { 0x0489, "tag_sight_off" },
    { 0x048A, "tag_sight_on" },
    { 0x048B, "tag_stow_back_mid_attach" },
    { 0x048C, "tag_stowed_back" },
    { 0x048D, "tag_stowed_hip_rear" },
    { 0x048E, "tag_sync" },
    { 0x048F, "tag_tip" },
    { 0x0490, "tag_turret" },
    { 0x0491, "tag_turret_base" },
    { 0x0492, "tag_turret_pitch" },
    { 0x0493, "tag_turret_yaw" },
    { 0x0494, "tag_weapon" },
    { 0x0495, "tag_weapon_chest" },
    { 0x0496, "tag_weapon_left" },
    { 0x0497, "tag_weapon_right" },
    { 0x0498, "tag_wheel_back_left" },
    { 0x0499, "tag_wheel_back_right" },
    { 0x049A, "tag_wheel_front_left" },
    { 0x049B, "tag_wheel_front_right" },
    { 0x049C, "tag_wheel_middle_left" },
    { 0x049D, "tag_wheel_middle_right" },
    { 0x049E, "tag_wheel_spin_left01" },
    { 0x049F, "tag_wheel_spin_left02" },
    { 0x04A0, "tag_wheel_spin_left03" },
    { 0x04A1, "tag_wheel_spin_right01" },
    { 0x04A2, "tag_wheel_spin_right02" },
    { 0x04A3, "tag_wheel_spin_right03" },
    { 0x04A4, "takedamage" },
    { 0x04A5, "target" },
    { 0x04A6, "target_script_trigger" },
    { 0x04A7, "targetname" },
    { 0x04A8, "team" },
    { 0x04A9, "team3" },
    { 0x04AA, "teambalanced" },
    { 0x04AB, "teammode_axisallies" },
    { 0x04AC, "teammode_ffa" },
    { 0x04AD, "teammovewaittime" },
    { 0x04AE, "their_score" },
    { 0x04AF, "thermal" },
    { 0x04B0, "thermalbodymaterial" },
    { 0x04B1, "third_person" },
    { 0x04B2, "threatbias" },
    { 0x04B3, "threatbiasgroup" },
    { 0x04B4, "threatsightdelayenabled" },
    { 0x04B5, "threatsightdelayfalloff" },
    { 0x04B6, "threshold" },
    { 0x04B7, "throwingknife" },
    { 0x04B8, "time" },
    { 0x04B9, "timeplayedtotal" },
    { 0x04BA, "titlenew" },
    { 0x04BB, "titleunlocked" },
    { 0x04BC, "top" },
    { 0x04BD, "toparc" },
    { 0x04BE, "totalxp" },
    { 0x04BF, "touch" },
    { 0x04C0, "touching_platform" },
    { 0x04C1, "traverse_complete" },
    { 0x04C2, "traverse_soon" },
    { 0x04C3, "traversecost" },
    { 0x04C4, "traversesoonnotifydist" },
    { 0x04C5, "trend" },
    { 0x04C6, "trigger" },
    { 0x04C7, "trigger_damage" },
    { 0x04C8, "trigger_use" },
    { 0x04C9, "trigger_use_touch" },
    { 0x04CA, "truck_cam" },
    { 0x04CB, "turnrate" },
    { 0x04CC, "turret_deactivate" },
    { 0x04CD, "turret_fire" },
    { 0x04CE, "turret_no_vis" },
    { 0x04CF, "turret_not_on_target" },
    { 0x04D0, "turret_on_target" },
    { 0x04D1, "turret_on_vistarget" },
    { 0x04D2, "turret_pitch_clamped" },
    { 0x04D3, "turret_rotate_stopped" },
    { 0x04D4, "turret_yaw_clamped" },
    { 0x04D5, "turretinvulnerability" },
    { 0x04D6, "turretownerchange" },
    { 0x04D7, "turretstatechange" },
    { 0x04D8, "type" },
    { 0x04D9, "ucdidhigh" },
    { 0x04DA, "ucdidlow" },
    { 0x04DB, "unlockedcamo" },
    { 0x04DC, "unlockedreticles" },
    { 0x04DD, "unlockpoints" },
    { 0x04DE, "unresolved_collision" },
    { 0x04DF, "up" },
    { 0x04E0, "upaimlimit" },
    { 0x04E1, "upgradechallengeprogress" },
    { 0x04E2, "upgradechallengestage" },
    { 0x04E3, "upgradepoints" },
    { 0x04E4, "upgradepurchased" },
    { 0x04E5, "useable" },
    { 0x04E6, "usechokepoints" },
    { 0x04E7, "usecombatscriptatcover" },
    { 0x04E8, "usedemblemslots" },
    { 0x04E9, "useorcaavoidance" },
    { 0x04EA, "usepathsmoothingvalues" },
    { 0x04EB, "veh_boatbounce" },
    { 0x04EC, "veh_boost_activated" },
    { 0x04ED, "veh_boost_deactivated" },
    { 0x04EE, "veh_brake" },
    { 0x04EF, "veh_collision" },
    { 0x04F0, "veh_contact" },
    { 0x04F1, "veh_jolt" },
    { 0x04F2, "veh_landed" },
    { 0x04F3, "veh_leftground" },
    { 0x04F4, "veh_pathdir" },
    { 0x04F5, "veh_pathspeed" },
    { 0x04F6, "veh_pathtype" },
    { 0x04F7, "veh_predictedcollision" },
    { 0x04F8, "veh_speed" },
    { 0x04F9, "veh_throttle" },
    { 0x04FA, "veh_topspeed" },
    { 0x04FB, "veh_transmission" },
    { 0x04FC, "vehicle_dismount" },
    { 0x04FD, "vehicle_mount" },
    { 0x04FE, "vehicletype" },
    { 0x04FF, "velocity" },
    { 0x0500, "vertalign" },
    { 0x0501, "visionsetmissilecam" },
    { 0x0502, "visionsetmissilecamduration" },
    { 0x0503, "visionsetnaked" },
    { 0x0504, "visionsetnakedduration" },
    { 0x0505, "visionsetnight" },
    { 0x0506, "visionsetnightduration" },
    { 0x0507, "visionsetpain" },
    { 0x0508, "visionsetpainduration" },
    { 0x0509, "visionsetthermal" },
    { 0x050A, "visionsetthermalduration" },
    { 0x050B, "vote" },
    { 0x050C, "wait" },
    { 0x050D, "walk" },
    { 0x050E, "walkdist" },
    { 0x050F, "walkdistfacingmotion" },
    { 0x0510, "wastacticalinsertion" },
    { 0x0511, "waypoint_reached" },
    { 0x0512, "weapon" },
    { 0x0513, "weapon_change" },
    { 0x0514, "weapon_dropped" },
    { 0x0515, "weapon_fired" },
    { 0x0516, "weapon_model_change" },
    { 0x0517, "weapon_switch_invalid" },
    { 0x0518, "weapon_switch_started" },
    { 0x0519, "weapon_taken" },
    { 0x051A, "weaponchange" },
    { 0x051B, "weaponclassrestricted" },
    { 0x051C, "weaponinfo" },
    { 0x051D, "weaponrank" },
    { 0x051E, "weaponrestricted" },
    { 0x051F, "weaponsetups" },
    { 0x0520, "weaponstats" },
    { 0x0521, "weeklychallengeid" },
    { 0x0522, "weight" },
    { 0x0523, "width" },
    { 0x0524, "wiiugame" },
    { 0x0525, "wildcard1" },
    { 0x0526, "wildcard2" },
    { 0x0527, "wildcard3" },
    { 0x0528, "wildcardslots" },
    { 0x0529, "win_streak" },
    { 0x052A, "winlossratio" },
    { 0x052B, "wins" },
    { 0x052C, "won_match" },
    { 0x052D, "world" },
    { 0x052E, "worldmodel" },
    { 0x052F, "worldspawn" },
    { 0x0530, "x" },
    { 0x0531, "xb3" },
    { 0x0532, "xenon" },
    { 0x0533, "xp" },
    { 0x0534, "xp_multiplier" },
    { 0x0535, "xpmaxmultipliertimeplayed" },
    { 0x0536, "xpmultiplier" },
    { 0x0537, "xuid" },
    { 0x0538, "y" },
    { 0x0539, "yawconvergencetime" },
    { 0x053A, "your_score" },
    { 0x053B, "z" },
    { 0x053C, "zonly_physics" },
    { 0x053D, "codescripts/delete" },
    { 0x053E, "codescripts/struct" },
    { 0x053F, "codescripts/message" },
    { 0x0540, "maps/mp/gametypes/_callbacksetup" },
    { 0x0541, "__smangles" },
    { 0x0542, "__smid" },
    { 0x0543, "__smname" },
    { 0x0544, "__smorigin" },
    { 0x0545, "_abortdefendlocation" },
    { 0x0546, "_adddropmarkerinternal" },
    { 0x0547, "_adjustcamerayawpitchrate" },
    { 0x0548, "_advancetogoal" },
    { 0x0549, "_ai_delete" },
    { 0x054A, "_ai_group" },
    { 0x054B, "_ai_health" },
    { 0x054C, "_aliveplayers" },
    { 0x054D, "_allowalternatemelee" },
    { 0x054E, "_allowweaponpickup" },
    { 0x054F, "_ams" },
    { 0x0550, "_animactive" },
    { 0x0551, "_anime" },
    { 0x0552, "_animmode" },
    { 0x0553, "_animname" },
    { 0x0554, "_anims" },
    { 0x0555, "_anims_drone" },
    { 0x0556, "_anims_player" },
    { 0x0557, "_anims_proxy" },
    { 0x0558, "_array_wait" },
    { 0x0559, "_assignnewvehicleturretuser" },
    { 0x055A, "_attachfanclip" },
    { 0x055B, "_audio" },
    { 0x055C, "_autosave_game_now" },
    { 0x055D, "_autosave_game_now_nochecks" },
    { 0x055E, "_autosave_game_now_notrestart" },
    { 0x055F, "_autosave_stealthcheck" },
    { 0x0560, "_beginlocationselection" },
    { 0x0561, "_bootup_static" },
    { 0x0562, "_cangiveability" },
    { 0x0563, "_caralarmfx" },
    { 0x0564, "_caralarmstop" },
    { 0x0565, "_cleanupshootinglocationondeath" },
    { 0x0566, "_clearabilities" },
    { 0x0567, "_clearalltextafterhudelem" },
    { 0x0568, "_clearcharacterdialogondeath" },
    { 0x0569, "_clearcharacterdialogonnotify" },
    { 0x056A, "_clearentitytarget" },
    { 0x056B, "_clearperks" },
    { 0x056C, "_clearradiodialogondeath" },
    { 0x056D, "_clearworlddialogonnotify" },
    { 0x056E, "_cloak_enemy_array" },
    { 0x056F, "_cloak_enemy_state" },
    { 0x0570, "_cloak_toggle_internal" },
    { 0x0571, "_cloaked_stealth_settings" },
    { 0x0572, "_closingdistancecheck" },
    { 0x0573, "_color" },
    { 0x0574, "_colors_go_line" },
    { 0x0575, "_createfx" },
    { 0x0576, "_createhudline" },
    { 0x0577, "_custom_anim" },
    { 0x0578, "_custom_anim_loop" },
    { 0x0579, "_custom_anim_thread" },
    { 0x057A, "_debug_vector_to_string" },
    { 0x057B, "_defendlocation" },
    { 0x057C, "_delaygrenadethrow" },
    { 0x057D, "_delete" },
    { 0x057E, "_destroyprojectileafterdelay" },
    { 0x057F, "_destructible_preanims" },
    { 0x0580, "_destructible_preanimtree" },
    { 0x0581, "_detachall" },
    { 0x0582, "_determineallynodescore" },
    { 0x0583, "_determineshotgunnodescore" },
    { 0x0584, "_dialogtablelookup" },
    { 0x0585, "_disableoffhandweapons" },
    { 0x0586, "_disableusability" },
    { 0x0587, "_disableweapon" },
    { 0x0588, "_disableweaponswitch" },
    { 0x0589, "_displayhelpertext" },
    { 0x058A, "_displayrechargehelpertext" },
    { 0x058B, "_dmg" },
    { 0x058C, "_do_a_lil_damage_and_heal" },
    { 0x058D, "_drawdebug" },
    { 0x058E, "_earthquake" },
    { 0x058F, "_effect" },
    { 0x0590, "_effect_keys" },
    { 0x0591, "_enabledetonate" },
    { 0x0592, "_enableexplosivedeath" },
    { 0x0593, "_enableoffhandweapons" },
    { 0x0594, "_enableusability" },
    { 0x0595, "_enableweapon" },
    { 0x0596, "_enableweaponswitch" },
    { 0x0597, "_ensure_player_is_decloaked" },
    { 0x0598, "_evaluatebuddycovernodes" },
    { 0x0599, "_evaluatenodeattackradius" },
    { 0x059A, "_evaluatenodeinplayerfov" },
    { 0x059B, "_evaluatenodeiscover" },
    { 0x059C, "_evaluatenodeisexposed" },
    { 0x059D, "_evaluatenodeknownenemyinradius" },
    { 0x059E, "_evaluatenodelostoplayer" },
    { 0x059F, "_evaluatenodeothershotgunnersbest" },
    { 0x05A0, "_evaluatenodeplayerinradius" },
    { 0x05A1, "_evaluatenodeplayervisibility" },
    { 0x05A2, "_evaluatenoderangetoplayer" },
    { 0x05A3, "_evaluateshotgunnercovernodes" },
    { 0x05A4, "_exit" },
    { 0x05A5, "_exit_menu" },
    { 0x05A6, "_extended_patrol_idle_animation_list_func" },
    { 0x05A7, "_extra_autosave_checks" },
    { 0x05A8, "_facility" },
    { 0x05A9, "_fastopen" },
    { 0x05AA, "_findfleelocation" },
    { 0x05AB, "_findnewvehicleturretuser" },
    { 0x05AC, "_fire" },
    { 0x05AD, "_first_frame_anim" },
    { 0x05AE, "_flag_wait_trigger" },
    { 0x05AF, "_force_kill" },
    { 0x05B0, "_freevehicle" },
    { 0x05B1, "_frozen_controls" },
    { 0x05B2, "_fx" },
    { 0x05B3, "_get_dummy" },
    { 0x05B4, "_get_if_defined_or_default" },
    { 0x05B5, "_getindex" },
    { 0x05B6, "_getmodulekillstreakweapon" },
    { 0x05B7, "_getpaintoutline" },
    { 0x05B8, "_getplayerscore" },
    { 0x05B9, "_getradarstrength" },
    { 0x05BA, "_getrandomorginfrontofplayer" },
    { 0x05BB, "_getscrambletypeidforstring" },
    { 0x05BC, "_getteampaintoutline" },
    { 0x05BD, "_getteamscore" },
    { 0x05BE, "_getvehiclespawnerarray" },
    { 0x05BF, "_getvehiclespawnerarray_by_spawngroup" },
    { 0x05C0, "_giveweapon" },
    { 0x05C1, "_glass_physics_wakeup" },
    { 0x05C2, "_glass_physics_wakeup_update" },
    { 0x05C3, "_global_fx_ents" },
    { 0x05C4, "_goalblockedbyai" },
    { 0x05C5, "_goalblockedbyplayer" },
    { 0x05C6, "_gopath" },
    { 0x05C7, "_group" },
    { 0x05C8, "_handle_triggers_on" },
    { 0x05C9, "_handlebreachgrenade" },
    { 0x05CA, "_hasability" },
    { 0x05CB, "_hasperk" },
    { 0x05CC, "_hint_stick_get_config_suffix" },
    { 0x05CD, "_hint_stick_update_breakfunc" },
    { 0x05CE, "_hint_stick_update_string" },
    { 0x05CF, "_ignore_settings_old" },
    { 0x05D0, "_initalliedaialleycombatbehavior" },
    { 0x05D1, "_initsafehouseexitkvabehavior" },
    { 0x05D2, "_insertintoglobalusablelist" },
    { 0x05D3, "_interactive" },
    { 0x05D4, "_investigate_last_known_position_with_endons" },
    { 0x05D5, "_investigate_last_known_position_wrapper" },
    { 0x05D6, "_is_godmode" },
    { 0x05D7, "_isairplane" },
    { 0x05D8, "_ishelicopter" },
    { 0x05D9, "_kill" },
    { 0x05DA, "_kill_fx" },
    { 0x05DB, "_lastanimtime" },
    { 0x05DC, "_lastwave" },
    { 0x05DD, "_lc" },
    { 0x05DE, "_lc_persists" },
    { 0x05DF, "_leaderdialogwait" },
    { 0x05E0, "_light" },
    { 0x05E1, "_linkto" },
    { 0x05E2, "_listen_drone_input" },
    { 0x05E3, "_listen_for_hold_to_exit" },
    { 0x05E4, "_listen_for_hold_to_exit_set_flags" },
    { 0x05E5, "_loadstarted" },
    { 0x05E6, "_make_overlay" },
    { 0x05E7, "_manage_timer" },
    { 0x05E8, "_mark_newlyspawned" },
    { 0x05E9, "_max_script_health" },
    { 0x05EA, "_mb" },
    { 0x05EB, "_mech_globals" },
    { 0x05EC, "_mech_hunt_baghdad" },
    { 0x05ED, "_mech_node" },
    { 0x05EE, "_mech_occupied" },
    { 0x05EF, "_mgoff" },
    { 0x05F0, "_mgon" },
    { 0x05F1, "_missile_strike_setting" },
    { 0x05F2, "_missilemissedtargetcheck" },
    { 0x05F3, "_missing_fx" },
    { 0x05F4, "_monitor_controls" },
    { 0x05F5, "_monitor_damage" },
    { 0x05F6, "_monitor_health" },
    { 0x05F7, "_monitor_regen" },
    { 0x05F8, "_monitor_static" },
    { 0x05F9, "_monitor_threat_count" },
    { 0x05FA, "_monitor_touch" },
    { 0x05FB, "_monitor_volume_array" },
    { 0x05FC, "_mount_snowmobile" },
    { 0x05FD, "_newhudelem" },
    { 0x05FE, "_nextcoverprint" },
    { 0x05FF, "_nextmission" },
    { 0x0600, "_normalbehavior" },
    { 0x0601, "_notetrackfx" },
    { 0x0602, "_obituary" },
    { 0x0603, "_objective_delete" },
    { 0x0604, "_offset_position_from_tag" },
    { 0x0605, "_old_visionset" },
    { 0x0606, "_orbital_care_pod" },
    { 0x0607, "_orbital_strike_setting" },
    { 0x0608, "_patrol_endon_spotted_flag" },
    { 0x0609, "_pdrone_player_exit_return_control" },
    { 0x060A, "_pdrone_player_proxy" },
    { 0x060B, "_pdrone_player_proxy_clear" },
    { 0x060C, "_pdrone_player_proxy_delicate_flower" },
    { 0x060D, "_pdrone_stop_use_anim" },
    { 0x060E, "_pipe_fx_time" },
    { 0x060F, "_pipe_methods" },
    { 0x0610, "_pipes" },
    { 0x0611, "_play_view_model_cloak_toggle_anim" },
    { 0x0612, "_playerallow" },
    { 0x0613, "_playercleanupscrambleevents" },
    { 0x0614, "_playergetnextevent" },
    { 0x0615, "_playergetscrambleevent" },
    { 0x0616, "_playergetuniquescrambleid" },
    { 0x0617, "_playermonitorscrambleevents" },
    { 0x0618, "_playlocalsound" },
    { 0x0619, "_popopen" },
    { 0x061A, "_precache" },
    { 0x061B, "_pursueenemy" },
    { 0x061C, "_radio_queue" },
    { 0x061D, "_radiusdamage" },
    { 0x061E, "_randommissilemovement" },
    { 0x061F, "_reactionanimation" },
    { 0x0620, "_reduce_hud_target_count_on_death" },
    { 0x0621, "_remove_drone_control" },
    { 0x0622, "_remove_hud" },
    { 0x0623, "_remove_hud_on_death" },
    { 0x0624, "_remove_hudoutline_on_enemies" },
    { 0x0625, "_remove_overlay_static" },
    { 0x0626, "_remove_shield" },
    { 0x0627, "_reset_dvars" },
    { 0x0628, "_restorepreviousnameplatematerial" },
    { 0x0629, "_returnanimorigin" },
    { 0x062A, "_rotateprop" },
    { 0x062B, "_rotateyaw" },
    { 0x062C, "_s2walk" },
    { 0x062D, "_save_dvars" },
    { 0x062E, "_script_exploders" },
    { 0x062F, "_scripted_spawn" },
    { 0x0630, "_set_dvars" },
    { 0x0631, "_set_hudoutline_on_enemies" },
    { 0x0632, "_set_overlay_static_alpha" },
    { 0x0633, "_setability" },
    { 0x0634, "_setactionslot" },
    { 0x0635, "_setentitytarget" },
    { 0x0636, "_sethighestmissionifnotcheating" },
    { 0x0637, "_sethudoutline" },
    { 0x0638, "_sethudoutline_on_spawn" },
    { 0x0639, "_setlightintensity" },
    { 0x063A, "_setmissiondiffstringifnotcheating" },
    { 0x063B, "_setnameplatematerial" },
    { 0x063C, "_setperk" },
    { 0x063D, "_setplayerscore" },
    { 0x063E, "_setsaveddvar" },
    { 0x063F, "_setswitchnode" },
    { 0x0640, "_setteamscore" },
    { 0x0641, "_settext" },
    { 0x0642, "_setup_hud" },
    { 0x0643, "_setup_overlay_static" },
    { 0x0644, "_setupdooranimstyle" },
    { 0x0645, "_setvehgoalpos" },
    { 0x0646, "_setvehgoalpos_wrap" },
    { 0x0647, "_shotgunneradvance" },
    { 0x0648, "_shotgunnerambience" },
    { 0x0649, "_shotgunnerdamagefunction" },
    { 0x064A, "_shotgunnerdeath" },
    { 0x064B, "_show_contols" },
    { 0x064C, "_slomo_breach_blowback_guy" },
    { 0x064D, "_slomo_breach_c4_hostage" },
    { 0x064E, "_slomo_breach_chair_guy_animated" },
    { 0x064F, "_slomo_breach_chair_guy_normal" },
    { 0x0650, "_slomo_breach_desk_guy" },
    { 0x0651, "_slomo_breach_executed_guy" },
    { 0x0652, "_slomo_breach_executed_guy_pushed_to_floor" },
    { 0x0653, "_slomo_breach_executioner_knife" },
    { 0x0654, "_slomo_breach_executioner_pistol" },
    { 0x0655, "_slomo_breach_fightback_guy" },
    { 0x0656, "_slomo_breach_hostage_react" },
    { 0x0657, "_slomo_breach_knife_charger" },
    { 0x0658, "_slomo_breach_knife_hostage_death" },
    { 0x0659, "_slomo_breach_pistol_guy" },
    { 0x065A, "_slowmo_breach_funcs" },
    { 0x065B, "_slowmo_functions" },
    { 0x065C, "_slowopen" },
    { 0x065D, "_snd" },
    { 0x065E, "_snd_update_soundcontextoverride" },
    { 0x065F, "_sonicaoeanim" },
    { 0x0660, "_sonicaoenotready" },
    { 0x0661, "_sortbyscore" },
    { 0x0662, "_sound" },
    { 0x0663, "_spawner_mg42_think" },
    { 0x0664, "_spawner_stealth_default" },
    { 0x0665, "_spawntargetnamegotogoal" },
    { 0x0666, "_squaddoorbreach" },
    { 0x0667, "_startdooropen" },
    { 0x0668, "_state_init" },
    { 0x0669, "_stealth" },
    { 0x066A, "_stealth_move_detection_cap" },
    { 0x066B, "_stop_mech_hunt_baghdad" },
    { 0x066C, "_stunassaultdrones" },
    { 0x066D, "_stuncivilians" },
    { 0x066E, "_stunenemies" },
    { 0x066F, "_suicide" },
    { 0x0670, "_tag_entity" },
    { 0x0671, "_takeweaponsexcept" },
    { 0x0672, "_teleportleashbehavior" },
    { 0x0673, "_tff_sync_trigger_think" },
    { 0x0674, "_tff_sync_triggers" },
    { 0x0675, "_threatdetection" },
    { 0x0676, "_timeout" },
    { 0x0677, "_timeout_pause_on_death_and_prematch" },
    { 0x0678, "_trigger_handle_triggering" },
    { 0x0679, "_unlink" },
    { 0x067A, "_unsetability" },
    { 0x067B, "_unsetperk" },
    { 0x067C, "_updatebuddycovernodes" },
    { 0x067D, "_updateenemygroupdirection" },
    { 0x067E, "_updateenemyusable" },
    { 0x067F, "_updatepainamount" },
    { 0x0680, "_updateshotgunnercovernodes" },
    { 0x0681, "_updateteamusable" },
    { 0x0682, "_useperkenabled" },
    { 0x0683, "_validateattacker" },
    { 0x0684, "_vehicle_badplace" },
    { 0x0685, "_vehicle_effect" },
    { 0x0686, "_vehicle_effect_custom_param" },
    { 0x0687, "_vehicle_is_crashing" },
    { 0x0688, "_vehicle_landvehicle" },
    { 0x0689, "_vehicle_paths" },
    { 0x068A, "_vehicle_resume_named" },
    { 0x068B, "_vehicle_spawn" },
    { 0x068C, "_vehicle_stop_named" },
    { 0x068D, "_vehicle_unload" },
    { 0x068E, "_vehicleturretreenable" },
    { 0x068F, "_vmodel_anims" },
    { 0x0690, "_vmodel_enter" },
    { 0x0691, "_vmodel_exit" },
    { 0x0692, "_vmodel_sway" },
    { 0x0693, "_vol" },
    { 0x0694, "_wait" },
    { 0x0695, "_waittillgoalornewgoal" },
    { 0x0696, "_waittillmatch" },
    { 0x0697, "_waittillmatch_notify" },
    { 0x0698, "_walk" },
    { 0x0699, "_wavedelay" },
    { 0x069A, "_waveplayerspawnindex" },
    { 0x069B, "a10_30mm_fire" },
    { 0x069C, "a10_fire_missiles" },
    { 0x069D, "a10_gun_dives" },
    { 0x069E, "a10_missile_dives" },
    { 0x069F, "a10_missile_set_target" },
    { 0x06A0, "a10_precache" },
    { 0x06A1, "a10_spawn_funcs" },
    { 0x06A2, "a10_wait_fire_missile" },
    { 0x06A3, "a10_wait_start_firing" },
    { 0x06A4, "a10_wait_stop_firing" },
    { 0x06A5, "aa_add_event" },
    { 0x06A6, "aa_add_event_float" },
    { 0x06A7, "aa_ai_functions" },
    { 0x06A8, "aa_door_functions" },
    { 0x06A9, "aa_explosion" },
    { 0x06AA, "aa_init_stats" },
    { 0x06AB, "aa_player_ads_tracking" },
    { 0x06AC, "aa_player_attacks_enemy_with_ads" },
    { 0x06AD, "aa_player_health_tracking" },
    { 0x06AE, "aa_print_vals" },
    { 0x06AF, "aa_should_start_fresh" },
    { 0x06B0, "aa_spawning_functions" },
    { 0x06B1, "aa_time_tracking" },
    { 0x06B2, "aa_update_flags" },
    { 0x06B3, "abandon_mission_warning_hint" },
    { 0x06B4, "abanglecutoff" },
    { 0x06B5, "abilities" },
    { 0x06B6, "abilitycansetfuncs" },
    { 0x06B7, "abilitychosen" },
    { 0x06B8, "abilitysetfuncs" },
    { 0x06B9, "abilityunsetfuncs" },
    { 0x06BA, "abort" },
    { 0x06BB, "abort_count" },
    { 0x06BC, "abort_drones" },
    { 0x06BD, "abort_wait_any_func_array" },
    { 0x06BE, "abortapproachifthreatened" },
    { 0x06BF, "abortlevel" },
    { 0x06C0, "abortreloadwhencanshoot" },
    { 0x06C1, "about_to_stop" },
    { 0x06C2, "about_to_unload" },
    { 0x06C3, "abouttobebreached" },
    { 0x06C4, "absangleclamp180" },
    { 0x06C5, "absyawtoangles" },
    { 0x06C6, "absyawtoenemy" },
    { 0x06C7, "absyawtoenemy2d" },
    { 0x06C8, "absyawtoorigin" },
    { 0x06C9, "absz" },
    { 0x06CA, "abyss_player_kill" },
    { 0x06CB, "ac_duct" },
    { 0x06CC, "ac_duct_01" },
    { 0x06CD, "ac_duct_02" },
    { 0x06CE, "ac130" },
    { 0x06CF, "ac130_flood_respawn" },
    { 0x06D0, "ac130gunner" },
    { 0x06D1, "ac130player" },
    { 0x06D2, "accaracy_mod" },
    { 0x06D3, "accel" },
    { 0x06D4, "accel_watcher" },
    { 0x06D5, "accelerating" },
    { 0x06D6, "acceltime" },
    { 0x06D7, "accessallmarkers" },
    { 0x06D8, "accumulated_restore" },
    { 0x06D9, "accumulateplayerpingdata" },
    { 0x06DA, "accuracy_fake_function" },
    { 0x06DB, "accuracygrowthmultiplier" },
    { 0x06DC, "accuracystationarymod" },
    { 0x06DD, "achieve_downed_kills" },
    { 0x06DE, "achieve_slowmo_breach_kills" },
    { 0x06DF, "achievement" },
    { 0x06E0, "achievement_attacker" },
    { 0x06E1, "achievementsniperdronetriplekill" },
    { 0x06E2, "acquire_target" },
    { 0x06E3, "acquired_animation" },
    { 0x06E4, "acquiring_dogfight_target" },
    { 0x06E5, "acquiring_lock_target" },
    { 0x06E6, "action_back" },
    { 0x06E7, "action_func" },
    { 0x06E8, "action_gears" },
    { 0x06E9, "action_killstreak" },
    { 0x06EA, "action_leaderboards" },
    { 0x06EB, "action_slot_num" },
    { 0x06EC, "action_slot_whistle" },
    { 0x06ED, "action_thread" },
    { 0x06EE, "action_weapons_primary" },
    { 0x06EF, "action_weapons_secondary" },
    { 0x06F0, "actionnotify" },
    { 0x06F1, "actionnotifymessage" },
    { 0x06F2, "actionslotenabled" },
    { 0x06F3, "actionslots" },
    { 0x06F4, "activate_betrayal_exo_abilities" },
    { 0x06F5, "activate_clientside_exploder" },
    { 0x06F6, "activate_color_code_internal" },
    { 0x06F7, "activate_destructibles_in_volume" },
    { 0x06F8, "activate_exo_ping" },
    { 0x06F9, "activate_exploder" },
    { 0x06FA, "activate_exploders_in_volume" },
    { 0x06FB, "activate_guy" },
    { 0x06FC, "activate_heater" },
    { 0x06FD, "activate_individual_exploder" },
    { 0x06FE, "activate_individual_exploder_proc" },
    { 0x06FF, "activate_interactives_in_volume" },
    { 0x0700, "activate_mute_volume" },
    { 0x0701, "activate_security_drone" },
    { 0x0702, "activate_splashes" },
    { 0x0703, "activate_takedown_world_prompt_on_enemy" },
    { 0x0704, "activate_takedown_world_prompt_on_truck_enemy" },
    { 0x0705, "activate_targets" },
    { 0x0706, "activate_trigger" },
    { 0x0707, "activate_trigger_process" },
    { 0x0708, "activate_trigger_when_player_jumps" },
    { 0x0709, "activate_trigger_with_noteworthy" },
    { 0x070A, "activate_trigger_with_targetname" },
    { 0x070B, "activateagent" },
    { 0x070C, "activategroupedtridrones" },
    { 0x070D, "activateplayerhud" },
    { 0x070E, "activateratio" },
    { 0x070F, "activatethermal" },
    { 0x0710, "activation_cost" },
    { 0x0711, "active_boats" },
    { 0x0712, "active_button" },
    { 0x0713, "active_civilians" },
    { 0x0714, "active_cloaking_disable" },
    { 0x0715, "active_cloaking_enable" },
    { 0x0716, "active_drones" },
    { 0x0717, "active_events" },
    { 0x0718, "active_events_axis" },
    { 0x0719, "active_ffa_players" },
    { 0x071A, "active_objective" },
    { 0x071B, "active_vo_lockouts" },
    { 0x071C, "active_wait_spread" },
    { 0x071D, "activecounteruavs" },
    { 0x071E, "activefriendlyspawn" },
    { 0x071F, "activegrenadetimer" },
    { 0x0720, "activehordedefendlocs" },
    { 0x0721, "activenodes" },
    { 0x0722, "activeplayers" },
    { 0x0723, "activestyle" },
    { 0x0724, "activetarget" },
    { 0x0725, "activeuavs" },
    { 0x0726, "activeweapon" },
    { 0x0727, "actor_alarm_guard" },
    { 0x0728, "actor_anims" },
    { 0x0729, "actor_playscene_walker_stepover_cormack" },
    { 0x072A, "actor_playscene_walker_stepover_jackson" },
    { 0x072B, "actor_playscene_walker_stepover_will" },
    { 0x072C, "actual_spawn" },
    { 0x072D, "ad_offset_position_from_tag" },
    { 0x072E, "add_abort" },
    { 0x072F, "add_agents_to_game" },
    { 0x0730, "add_ai_to_colors" },
    { 0x0731, "add_and_select_entity" },
    { 0x0732, "add_animation" },
    { 0x0733, "add_animsound" },
    { 0x0734, "add_array_to_destructible" },
    { 0x0735, "add_avatar" },
    { 0x0736, "add_basement_enemy_flashlight" },
    { 0x0737, "add_bcs_location_mapping" },
    { 0x0738, "add_breach_func" },
    { 0x0739, "add_burke_flashlight" },
    { 0x073A, "add_button" },
    { 0x073B, "add_c4_glow" },
    { 0x073C, "add_call" },
    { 0x073D, "add_capture_enemy_momentum" },
    { 0x073E, "add_capture_friendly_momentum" },
    { 0x073F, "add_cellphone_notetracks" },
    { 0x0740, "add_cheap_flashlight" },
    { 0x0741, "add_cleanup_ent" },
    { 0x0742, "add_collision_offsets_to_path_ent" },
    { 0x0743, "add_collision_to_path" },
    { 0x0744, "add_collision_to_path_node" },
    { 0x0745, "add_contrail" },
    { 0x0746, "add_control_based_hint_strings" },
    { 0x0747, "add_coop_scene_models" },
    { 0x0748, "add_cover_node" },
    { 0x0749, "add_damage_function" },
    { 0x074A, "add_damage_fx" },
    { 0x074B, "add_damage_owner_recorder" },
    { 0x074C, "add_damagefeedback" },
    { 0x074D, "add_dds_category" },
    { 0x074E, "add_dds_category_axis" },
    { 0x074F, "add_dds_category_group" },
    { 0x0750, "add_dds_category_group_axis" },
    { 0x0751, "add_dds_countryid" },
    { 0x0752, "add_debug_element" },
    { 0x0753, "add_destructible_fx" },
    { 0x0754, "add_destructible_to_frame_queue" },
    { 0x0755, "add_destructible_type_function" },
    { 0x0756, "add_destructible_type_transient" },
    { 0x0757, "add_dialogue_line" },
    { 0x0758, "add_doc_civ_walla" },
    { 0x0759, "add_drone_to_squad" },
    { 0x075A, "add_earthquake" },
    { 0x075B, "add_endon" },
    { 0x075C, "add_enemy_flashlight" },
    { 0x075D, "add_extra_autosave_check" },
    { 0x075E, "add_fractional_data_point" },
    { 0x075F, "add_func" },
    { 0x0760, "add_fx" },
    { 0x0761, "add_global_spawn_function" },
    { 0x0762, "add_greece_starts" },
    { 0x0763, "add_hint_background" },
    { 0x0764, "add_hint_string" },
    { 0x0765, "add_hovertank_turret" },
    { 0x0766, "add_hud_line" },
    { 0x0767, "add_hudelm_position_internal" },
    { 0x0768, "add_humanoid_agent" },
    { 0x0769, "add_idle_control" },
    { 0x076A, "add_jav_glow" },
    { 0x076B, "add_kb_button" },
    { 0x076C, "add_key" },
    { 0x076D, "add_key_to_destructible" },
    { 0x076E, "add_keypairs_to_destructible" },
    { 0x076F, "add_kill_enemy_minion_momentum" },
    { 0x0770, "add_kill_enemy_momentum" },
    { 0x0771, "add_kill_friendly_minion_momentum" },
    { 0x0772, "add_kill_friendly_momentum" },
    { 0x0773, "add_lock_target" },
    { 0x0774, "add_mag_move_notetracks" },
    { 0x0775, "add_momentum" },
    { 0x0776, "add_moving_obstacle" },
    { 0x0777, "add_moving_vol_to_node" },
    { 0x0778, "add_name" },
    { 0x0779, "add_no_game_starts" },
    { 0x077A, "add_node_to_global_arrays" },
    { 0x077B, "add_noself_call" },
    { 0x077C, "add_note_track_data" },
    { 0x077D, "add_notetrack_and_get_index" },
    { 0x077E, "add_notetrack_array" },
    { 0x077F, "add_object_to_tactics_system" },
    { 0x0780, "add_objective" },
    { 0x0781, "add_option_to_selected_entities" },
    { 0x0782, "add_party_member_class_change" },
    { 0x0783, "add_passenger_to_player_pitbull" },
    { 0x0784, "add_path_node" },
    { 0x0785, "add_path_weights" },
    { 0x0786, "add_phrase_to_history" },
    { 0x0787, "add_player_flashlight" },
    { 0x0788, "add_proccess_trigger" },
    { 0x0789, "add_random_killspawner_to_spawngroup" },
    { 0x078A, "add_reactive_fx" },
    { 0x078B, "add_replace_after_load_done" },
    { 0x078C, "add_reverb" },
    { 0x078D, "add_rpg_to_tactics_system" },
    { 0x078E, "add_scene_model" },
    { 0x078F, "add_script_car" },
    { 0x0790, "add_shake_and_rumble_notetracks" },
    { 0x0791, "add_shake_and_rumble_notetracks_for_grab" },
    { 0x0792, "add_shake_and_rumble_notetracks_for_jump" },
    { 0x0793, "add_sit_load_ak_notetracks" },
    { 0x0794, "add_slowmo_breach_custom_function" },
    { 0x0795, "add_slowmo_breacher" },
    { 0x0796, "add_smoking_notetracks" },
    { 0x0797, "add_spawn_behavior" },
    { 0x0798, "add_spawn_function" },
    { 0x0799, "add_spawn_function_to_noteworthy" },
    { 0x079A, "add_spawn_function_to_targetname" },
    { 0x079B, "add_spawner_to_global_arrays" },
    { 0x079C, "add_start" },
    { 0x079D, "add_start_assert" },
    { 0x079E, "add_start_construct" },
    { 0x079F, "add_struct_to_global_array" },
    { 0x07A0, "add_swarm_repulsor_for_ally" },
    { 0x07A1, "add_target_on_dot" },
    { 0x07A2, "add_target_on_los" },
    { 0x07A3, "add_target_pivot" },
    { 0x07A4, "add_to_animsound" },
    { 0x07A5, "add_to_array" },
    { 0x07A6, "add_to_bot_damage_targets" },
    { 0x07A7, "add_to_bot_use_targets" },
    { 0x07A8, "add_to_destroyed_count" },
    { 0x07A9, "add_to_dialogue" },
    { 0x07AA, "add_to_dialogue_generic" },
    { 0x07AB, "add_to_flock" },
    { 0x07AC, "add_to_group_civilian" },
    { 0x07AD, "add_to_group_enemy" },
    { 0x07AE, "add_to_javelin_targeting" },
    { 0x07AF, "add_to_radio" },
    { 0x07B0, "add_to_spawngroup" },
    { 0x07B1, "add_to_threat_bias" },
    { 0x07B2, "add_tokens_to_trigger_flags" },
    { 0x07B3, "add_trace_fx" },
    { 0x07B4, "add_trace_fx_proc" },
    { 0x07B5, "add_trigger_func_thread" },
    { 0x07B6, "add_trigger_function" },
    { 0x07B7, "add_turret_on_dismount" },
    { 0x07B8, "add_vehicle_anim" },
    { 0x07B9, "add_vehicle_player_anim" },
    { 0x07BA, "add_vision_set" },
    { 0x07BB, "add_vision_sets_from_triggers" },
    { 0x07BC, "add_vol_to_node" },
    { 0x07BD, "add_volume_to_global_arrays" },
    { 0x07BE, "add_wait" },
    { 0x07BF, "add_wait_asserter" },
    { 0x07C0, "add_warbird_cargo" },
    { 0x07C1, "add_weapon" },
    { 0x07C2, "add_z" },
    { 0x07C3, "addactioncovermealiasex" },
    { 0x07C4, "addactivecounteruav" },
    { 0x07C5, "addactiveuav" },
    { 0x07C6, "addaieventlistener_func" },
    { 0x07C7, "addairexplosion" },
    { 0x07C8, "addallowedthreatcallout" },
    { 0x07C9, "addalternatespawnpoint" },
    { 0x07CA, "addarmorypoints" },
    { 0x07CB, "addattachments" },
    { 0x07CC, "addattacker" },
    { 0x07CD, "addautomaticattachments" },
    { 0x07CE, "addcalloutresponseevent" },
    { 0x07CF, "addcastname" },
    { 0x07D0, "addcenterdual" },
    { 0x07D1, "addcenterheading" },
    { 0x07D2, "addcenterimage" },
    { 0x07D3, "addcentername" },
    { 0x07D4, "addcenternamedouble" },
    { 0x07D5, "addcentersubtitle" },
    { 0x07D6, "addcentertriple" },
    { 0x07D7, "addcheckfirealias" },
    { 0x07D8, "addchild" },
    { 0x07D9, "addcollisiontopool" },
    { 0x07DA, "addconcatdirectionalias" },
    { 0x07DB, "addconcattargetalias" },
    { 0x07DC, "addcratetype" },
    { 0x07DD, "addcratetypes_standard" },
    { 0x07DE, "adddeathicon" },
    { 0x07DF, "adddropmarker" },
    { 0x07E0, "added_aerial_links" },
    { 0x07E1, "addedtowave" },
    { 0x07E2, "addgap" },
    { 0x07E3, "addgrenadethrowanimoffset" },
    { 0x07E4, "addhinttrigger" },
    { 0x07E5, "addhostileburstalias" },
    { 0x07E6, "addinformalias" },
    { 0x07E7, "addinformevent" },
    { 0x07E8, "addinformreloadingaliasex" },
    { 0x07E9, "additional_delete_cars" },
    { 0x07EA, "additional_geo" },
    { 0x07EB, "additional_tactical_logic_func" },
    { 0x07EC, "additional_unlink_nodes" },
    { 0x07ED, "additionalassets" },
    { 0x07EE, "additionalsighttraceentities" },
    { 0x07EF, "additionalvo" },
    { 0x07F0, "additive_pain" },
    { 0x07F1, "additive_pull_weight" },
    { 0x07F2, "additiverotateroot" },
    { 0x07F3, "additiveturretdriveidle" },
    { 0x07F4, "additiveturretfire" },
    { 0x07F5, "additiveturretidle" },
    { 0x07F6, "additiveturretrotateleft" },
    { 0x07F7, "additiveturretrotateright" },
    { 0x07F8, "additiveusegunroot" },
    { 0x07F9, "addlastperks" },
    { 0x07FA, "addlaunchers" },
    { 0x07FB, "addleftname" },
    { 0x07FC, "addlefttitle" },
    { 0x07FD, "addlevel" },
    { 0x07FE, "addlightningexploder" },
    { 0x07FF, "addlowermessage" },
    { 0x0800, "addmovecombataliasex" },
    { 0x0801, "addmovenoncombataliasex" },
    { 0x0802, "addnamealias" },
    { 0x0803, "addnamealiasex" },
    { 0x0804, "addnodestobechecked" },
    { 0x0805, "addnotetrack_animsound" },
    { 0x0806, "addnotetrack_attach" },
    { 0x0807, "addnotetrack_customfunction" },
    { 0x0808, "addnotetrack_detach" },
    { 0x0809, "addnotetrack_detach_gun" },
    { 0x080A, "addnotetrack_df" },
    { 0x080B, "addnotetrack_dialogue" },
    { 0x080C, "addnotetrack_flag" },
    { 0x080D, "addnotetrack_flag_clear" },
    { 0x080E, "addnotetrack_lui_notify" },
    { 0x080F, "addnotetrack_notify" },
    { 0x0810, "addnotetrack_playersound" },
    { 0x0811, "addnotetrack_set_omnvar" },
    { 0x0812, "addnotetrack_sound" },
    { 0x0813, "addnotetrack_startfxontag" },
    { 0x0814, "addnotetrack_stopfxontag" },
    { 0x0815, "addnotetrack_swapparttoefx" },
    { 0x0816, "addnotetrack_tracepartforefx" },
    { 0x0817, "addofficertosquad" },
    { 0x0818, "addonstart_animsound" },
    { 0x0819, "addoption" },
    { 0x081A, "addorderalias" },
    { 0x081B, "addorderevent" },
    { 0x081C, "addplanetolist" },
    { 0x081D, "addplayernamealias" },
    { 0x081E, "addplayertosquad" },
    { 0x081F, "addpossiblethreatcallout" },
    { 0x0820, "addposteventgeotocratebadplacearray" },
    { 0x0821, "addprereq" },
    { 0x0822, "addrankalias" },
    { 0x0823, "addreactionalias" },
    { 0x0824, "addreactionevent" },
    { 0x0825, "addresponsealias" },
    { 0x0826, "addresponseevent" },
    { 0x0827, "addresponseevent_internal" },
    { 0x0828, "addrightname" },
    { 0x0829, "addrighttitle" },
    { 0x082A, "addsafetyhealth" },
    { 0x082B, "addsituationalcombatorder" },
    { 0x082C, "addsituationalorder" },
    { 0x082D, "addspace" },
    { 0x082E, "addspacesmall" },
    { 0x082F, "addspawnpoints" },
    { 0x0830, "addspeaker" },
    { 0x0831, "addstartspawnpoints" },
    { 0x0832, "addstreaksupportprompt" },
    { 0x0833, "addsubleftname" },
    { 0x0834, "addsublefttitle" },
    { 0x0835, "addtakingfirealias" },
    { 0x0836, "addtauntalias" },
    { 0x0837, "addthreatalias" },
    { 0x0838, "addthreatcalloutalias" },
    { 0x0839, "addthreatcalloutecho" },
    { 0x083A, "addthreatcalloutlandmarkalias" },
    { 0x083B, "addthreatcalloutlocationalias" },
    { 0x083C, "addthreatcalloutqa_nextline" },
    { 0x083D, "addthreatcalloutresponsealias" },
    { 0x083E, "addthreatdistancealias" },
    { 0x083F, "addthreatelevationalias" },
    { 0x0840, "addthreatevent" },
    { 0x0841, "addthreatexposedalias" },
    { 0x0842, "addthreatobviousalias" },
    { 0x0843, "addtime" },
    { 0x0844, "addtoalivecount" },
    { 0x0845, "addtobaseangle" },
    { 0x0846, "addtobattlebuddywaitlist" },
    { 0x0847, "addtocarepackagedronelist" },
    { 0x0848, "addtocharactersarray" },
    { 0x0849, "addtodeletespike" },
    { 0x084A, "addtoexplosivedronelist" },
    { 0x084B, "addtohelilist" },
    { 0x084C, "addtolittlebirdlist" },
    { 0x084D, "addtolivescount" },
    { 0x084E, "addtoparticipantsarray" },
    { 0x084F, "addtosquad" },
    { 0x0850, "addtosystem" },
    { 0x0851, "addtoteam" },
    { 0x0852, "addtoteamcount" },
    { 0x0853, "addtototalspawned" },
    { 0x0854, "addtotrackingdronelist" },
    { 0x0855, "addtoturretlist" },
    { 0x0856, "addtowavespawner" },
    { 0x0857, "addturret" },
    { 0x0858, "adduavmodel" },
    { 0x0859, "aden_key_fr" },
    { 0x085A, "adjust_angles_to_player" },
    { 0x085B, "adjust_bounce_lookahead" },
    { 0x085C, "adjust_gravity" },
    { 0x085D, "adjust_model_speed_to_node" },
    { 0x085E, "adjust_pitbull_add_idle" },
    { 0x085F, "adjustallyaccuracyovertime" },
    { 0x0860, "adjustfov" },
    { 0x0861, "adjustlink" },
    { 0x0862, "adjustmissileoverlay" },
    { 0x0863, "adjustshadowcenter" },
    { 0x0864, "adjuststaticoverlay" },
    { 0x0865, "adrenaline" },
    { 0x0866, "adrenaline_col" },
    { 0x0867, "adrenaline_speed_scalar" },
    { 0x0868, "adrenalineinit" },
    { 0x0869, "adrenalinesettings" },
    { 0x086A, "adrenalinesupport" },
    { 0x086B, "adrone_condition_callback_to_state_deathspin" },
    { 0x086C, "adrone_condition_callback_to_state_destruct" },
    { 0x086D, "adrone_condition_callback_to_state_distant" },
    { 0x086E, "adrone_condition_callback_to_state_flyby" },
    { 0x086F, "adrone_condition_callback_to_state_flying" },
    { 0x0870, "adrone_condition_callback_to_state_flyover" },
    { 0x0871, "adrone_condition_callback_to_state_hover" },
    { 0x0872, "adrone_condition_callback_to_state_off" },
    { 0x0873, "ads" },
    { 0x0874, "ads_hint" },
    { 0x0875, "ads_hint_breakout" },
    { 0x0876, "ads_hint_breakout_think" },
    { 0x0877, "ads_hint_clear" },
    { 0x0878, "ads_hint_display" },
    { 0x0879, "ads_on" },
    { 0x087A, "adsmonitor" },
    { 0x087B, "adstime" },
    { 0x087C, "advance_bones_and_joker_intro" },
    { 0x087D, "advance_gideon_if_player_ahead" },
    { 0x087E, "advance_regardless_of_numbers" },
    { 0x087F, "advancedtraverse" },
    { 0x0880, "advancedtraverse2" },
    { 0x0881, "advancedwindowtraverse" },
    { 0x0882, "advanceonhidingenemy" },
    { 0x0883, "advancetoenemygroup" },
    { 0x0884, "advancetoenemygroupmax" },
    { 0x0885, "advancetoenemyinterval" },
    { 0x0886, "aerial_danger_exists_for" },
    { 0x0887, "aerial_dangers_monitoring" },
    { 0x0888, "aerial_group" },
    { 0x0889, "aerial_neighbors" },
    { 0x088A, "aerial_pathnode_group_connect_dist" },
    { 0x088B, "aerial_pathnode_offset" },
    { 0x088C, "aerial_pathnodes" },
    { 0x088D, "aerial_pathnodes_force_connect" },
    { 0x088E, "aerialdrone" },
    { 0x088F, "aerialkillstreakmarker" },
    { 0x0890, "affected" },
    { 0x0891, "afk" },
    { 0x0892, "after_collpase_ents" },
    { 0x0893, "afterlandanim" },
    { 0x0894, "afterlandanimconnected" },
    { 0x0895, "aftermath_anims" },
    { 0x0896, "agent_damage_finished" },
    { 0x0897, "agent_funcs" },
    { 0x0898, "agent_gameparticipant" },
    { 0x0899, "agent_override_difficulty" },
    { 0x089A, "agent_player_conf_think" },
    { 0x089B, "agent_player_dom_think" },
    { 0x089C, "agent_player_sd_think" },
    { 0x089D, "agent_squadmember_conf_think" },
    { 0x089E, "agent_squadmember_dom_think" },
    { 0x089F, "agent_teamparticipant" },
    { 0x08A0, "agent_type" },
    { 0x08A1, "agentarray" },
    { 0x08A2, "agentbody" },
    { 0x08A3, "agentcostumetablename" },
    { 0x08A4, "agentdogbark" },
    { 0x08A5, "agentdogthink" },
    { 0x08A6, "agentfunc" },
    { 0x08A7, "aggresivelookat" },
    { 0x08A8, "aggressivemode" },
    { 0x08A9, "aggro_target" },
    { 0x08AA, "ah_delay_playerseek" },
    { 0x08AB, "ah_fast_body_cleanup" },
    { 0x08AC, "ah_init_track_block" },
    { 0x08AD, "ah_init_track_doors" },
    { 0x08AE, "ah_morgue_doors" },
    { 0x08AF, "ah_morgue_threat_proc" },
    { 0x08B0, "ah_move_track_block" },
    { 0x08B1, "ah_player_bodybag_slowdown" },
    { 0x08B2, "ah_track_door_open" },
    { 0x08B3, "ah_tranistion_doors" },
    { 0x08B4, "ai" },
    { 0x08B5, "ai_3d_sighting_model" },
    { 0x08B6, "ai_add_player_only_damage" },
    { 0x08B7, "ai_add_twenty_percent_damage" },
    { 0x08B8, "ai_ally_mb_intro_anim" },
    { 0x08B9, "ai_animate_props_on_death" },
    { 0x08BA, "ai_array" },
    { 0x08BB, "ai_array_killcount_flag_set" },
    { 0x08BC, "ai_boat_bow_splash_fx" },
    { 0x08BD, "ai_boat_water_foamfx" },
    { 0x08BE, "ai_canal_combat_01_accuracy_think" },
    { 0x08BF, "ai_canal_combat_02_accuracy_think" },
    { 0x08C0, "ai_canal_combat_03_accuracy_think" },
    { 0x08C1, "ai_canal_combat_04_accuracy_think" },
    { 0x08C2, "ai_canal_combat_05_accuracy_think" },
    { 0x08C3, "ai_charged_shot_wait_for_death" },
    { 0x08C4, "ai_classname_in_level" },
    { 0x08C5, "ai_classname_in_level_keys" },
    { 0x08C6, "ai_clear_custom_animation_reaction" },
    { 0x08C7, "ai_clear_custom_animation_reaction_and_idle" },
    { 0x08C8, "ai_cond_player_at_ambient_battle" },
    { 0x08C9, "ai_cond_player_at_escape_battle" },
    { 0x08CA, "ai_cond_player_at_pitbull_battle" },
    { 0x08CB, "ai_cond_player_at_police_battle" },
    { 0x08CC, "ai_cond_player_at_standoff_battle" },
    { 0x08CD, "ai_cond_player_at_standoff_battle_or_danger_zone" },
    { 0x08CE, "ai_cond_player_at_tanker_battle" },
    { 0x08CF, "ai_cond_player_at_van" },
    { 0x08D0, "ai_cond_reached_goal" },
    { 0x08D1, "ai_cond_reached_path_end" },
    { 0x08D2, "ai_create_behavior_function" },
    { 0x08D3, "ai_damage_think" },
    { 0x08D4, "ai_deathflag" },
    { 0x08D5, "ai_delete_self" },
    { 0x08D6, "ai_delete_when_out_of_sight" },
    { 0x08D7, "ai_detect_charged_damage" },
    { 0x08D8, "ai_detection" },
    { 0x08D9, "ai_detection_timeout" },
    { 0x08DA, "ai_disable_swim_or_underwater_walk" },
    { 0x08DB, "ai_diveboat_foam_trail" },
    { 0x08DC, "ai_diveboats_chase_trail" },
    { 0x08DD, "ai_dont_glow_in_thermal" },
    { 0x08DE, "ai_empty" },
    { 0x08DF, "ai_enable_swim_or_underwater_walk" },
    { 0x08E0, "ai_end_fixed_node" },
    { 0x08E1, "ai_end_ignore_all" },
    { 0x08E2, "ai_end_ignore_me" },
    { 0x08E3, "ai_end_magic_bullet_shield" },
    { 0x08E4, "ai_flee_from_microwave" },
    { 0x08E5, "ai_func_override" },
    { 0x08E6, "ai_functions" },
    { 0x08E7, "ai_game_mode" },
    { 0x08E8, "ai_gd" },
    { 0x08E9, "ai_get_behavior_function" },
    { 0x08EA, "ai_go_to_goal_before_colors" },
    { 0x08EB, "ai_ignore_everything" },
    { 0x08EC, "ai_ignore_foliage_for_time" },
    { 0x08ED, "ai_init" },
    { 0x08EE, "ai_jump_over_40_down_88" },
    { 0x08EF, "ai_kill" },
    { 0x08F0, "ai_kill_no_ragdoll" },
    { 0x08F1, "ai_kill_when_out_of_sight" },
    { 0x08F2, "ai_lasers" },
    { 0x08F3, "ai_lobby_think" },
    { 0x08F4, "ai_mantle_over_low_cover_40" },
    { 0x08F5, "ai_mb1" },
    { 0x08F6, "ai_mb1_allywarp" },
    { 0x08F7, "ai_mb1_drones" },
    { 0x08F8, "ai_mb1_first_guard_fallback" },
    { 0x08F9, "ai_mb1_jumpdown_guards" },
    { 0x08FA, "ai_mb1_script_end" },
    { 0x08FB, "ai_mb2" },
    { 0x08FC, "ai_mb2_drones" },
    { 0x08FD, "ai_mb2_enemies_run" },
    { 0x08FE, "ai_mb2_enemyrun" },
    { 0x08FF, "ai_mb2_gate" },
    { 0x0900, "ai_mb2_mech_watcher" },
    { 0x0901, "ai_mb2_remove_stencils" },
    { 0x0902, "ai_mb2_script_end" },
    { 0x0903, "ai_message_handler_hidden" },
    { 0x0904, "ai_message_handler_spotted" },
    { 0x0905, "ai_mode" },
    { 0x0906, "ai_motorpool_animation" },
    { 0x0907, "ai_notify" },
    { 0x0908, "ai_number" },
    { 0x0909, "ai_player_only_damage_func" },
    { 0x090A, "ai_remove_outline_waiter" },
    { 0x090B, "ai_remove_player_only_damage" },
    { 0x090C, "ai_remove_twenty_percent_damage" },
    { 0x090D, "ai_restore_ignore_setting" },
    { 0x090E, "ai_run_behavior_until_condition" },
    { 0x090F, "ai_save_ignore_setting" },
    { 0x0910, "ai_set_custom_animation_reaction" },
    { 0x0911, "ai_set_goback_override_function" },
    { 0x0912, "ai_sets_goal" },
    { 0x0913, "ai_shoot_missile" },
    { 0x0914, "ai_shoot_missile_salvo" },
    { 0x0915, "ai_shot_by_player_team_notify" },
    { 0x0916, "ai_should_be_added" },
    { 0x0917, "ai_silo_floor_01_balcony" },
    { 0x0918, "ai_silo_floor_01_wave_2_think" },
    { 0x0919, "ai_silo_floor_01_wave_3_think" },
    { 0x091A, "ai_silo_think" },
    { 0x091B, "ai_slide_across_car" },
    { 0x091C, "ai_special_retreat_watcher" },
    { 0x091D, "ai_start_balcony_death" },
    { 0x091E, "ai_start_ignore_all" },
    { 0x091F, "ai_start_ignore_me" },
    { 0x0920, "ai_start_magic_bullet_shield" },
    { 0x0921, "ai_start_pacifist" },
    { 0x0922, "ai_start_respawn_death" },
    { 0x0923, "ai_stealth_pause_handler" },
    { 0x0924, "ai_step_up_32" },
    { 0x0925, "ai_stop_death_function" },
    { 0x0926, "ai_stun" },
    { 0x0927, "ai_swim_death" },
    { 0x0928, "ai_swim_pain" },
    { 0x0929, "ai_target" },
    { 0x092A, "ai_target_force" },
    { 0x092B, "ai_target_force_damaged" },
    { 0x092C, "ai_target_force_scripted" },
    { 0x092D, "ai_thermal" },
    { 0x092E, "ai_toggle_cloak" },
    { 0x092F, "ai_toggle_cloak_animate" },
    { 0x0930, "ai_toggle_cloak_complete_vo" },
    { 0x0931, "ai_toggle_cloak_start_vo" },
    { 0x0932, "ai_twenty_percent_damage_func" },
    { 0x0933, "ai_unignore_everything" },
    { 0x0934, "ai_wading_footsteps" },
    { 0x0935, "ai_wait_go" },
    { 0x0936, "ai_water_footstep" },
    { 0x0937, "ai_water_set_depth" },
    { 0x0938, "ai_wave_monitor_retreat" },
    { 0x0939, "ai_wave_monitor_threshold" },
    { 0x093A, "ai_wave_setgoalvolume" },
    { 0x093B, "ai_wave_spawn" },
    { 0x093C, "ai_wave_spawn_volume" },
    { 0x093D, "ai_wave_spawn_volume_threshold" },
    { 0x093E, "ai_wave_spawn_volume_threshold_retreat" },
    { 0x093F, "aianim_simple" },
    { 0x0940, "aianim_simple_vehicle" },
    { 0x0941, "aiareintheroom" },
    { 0x0942, "aiarraydeleteonflag" },
    { 0x0943, "aiarrayfallbackonflag" },
    { 0x0944, "aiarrayidleloop" },
    { 0x0945, "aiarraymovetonewidlepos" },
    { 0x0946, "aiarrayoverridemodelrandom" },
    { 0x0947, "aiattack" },
    { 0x0948, "aibattlechatterloop" },
    { 0x0949, "aicount" },
    { 0x094A, "aideathenemy" },
    { 0x094B, "aideatheventthread" },
    { 0x094C, "aideathfriendly" },
    { 0x094D, "aideleteonflag" },
    { 0x094E, "aidisablestealthcombat" },
    { 0x094F, "aidisplacewaiter" },
    { 0x0950, "aienablestealthcombat" },
    { 0x0951, "aienabletotalcombat" },
    { 0x0952, "aifallbackonflag" },
    { 0x0953, "aifollow" },
    { 0x0954, "aifolloworderwaiter" },
    { 0x0955, "aigrenadedangerwaiter" },
    { 0x0956, "aigroup_create" },
    { 0x0957, "aigroup_soldierthink" },
    { 0x0958, "aigroup_spawnerdeath" },
    { 0x0959, "aigroup_spawnerempty" },
    { 0x095A, "aigroup_spawnerthink" },
    { 0x095B, "aihasweapon" },
    { 0x095C, "aihostileburstloop" },
    { 0x095D, "aiidleloop" },
    { 0x095E, "aiidleloopdisable" },
    { 0x095F, "aiinwater" },
    { 0x0960, "aikilleventthread" },
    { 0x0961, "aikills" },
    { 0x0962, "aim_accel_turnrate_lerp" },
    { 0x0963, "aim_additives_think" },
    { 0x0964, "aim_assist_bmodel" },
    { 0x0965, "aim_assist_using_bmodels_init" },
    { 0x0966, "aim_assist_with_bmodels" },
    { 0x0967, "aim_at_my_attacker" },
    { 0x0968, "aim_axis_of_selected_ents" },
    { 0x0969, "aim_burke_at_angles" },
    { 0x096A, "aim_hud" },
    { 0x096B, "aim_hud_on" },
    { 0x096C, "aim_test" },
    { 0x096D, "aim_turnrate_pitch" },
    { 0x096E, "aim_turnrate_pitch_ads" },
    { 0x096F, "aim_turnrate_yaw" },
    { 0x0970, "aim_turnrate_yaw_ads" },
    { 0x0971, "aim_turret_at_ambush_point_or_visible_enemy" },
    { 0x0972, "aim_while_moving_thread" },
    { 0x0973, "aimassist_target" },
    { 0x0974, "aimblendtime" },
    { 0x0975, "aimbutdontshoot" },
    { 0x0976, "aimedatshootentorpos" },
    { 0x0977, "aimedsomewhatatenemy" },
    { 0x0978, "aimfaryawtolerance" },
    { 0x0979, "aimidlethread" },
    { 0x097A, "aimovetonewidlepos" },
    { 0x097B, "aimpitchdifftolerance" },
    { 0x097C, "aimsetupblendtime" },
    { 0x097D, "aimtarget" },
    { 0x097E, "aimweight" },
    { 0x097F, "aimweight_end" },
    { 0x0980, "aimweight_start" },
    { 0x0981, "aimweight_t" },
    { 0x0982, "aimweight_transframes" },
    { 0x0983, "aimyawdiffclosedistsq" },
    { 0x0984, "aimyawdiffclosetolerance" },
    { 0x0985, "aimyawdifffartolerance" },
    { 0x0986, "ainame" },
    { 0x0987, "ainameandrankwaiter" },
    { 0x0988, "aiofficerorders" },
    { 0x0989, "aioverridemodel" },
    { 0x098A, "aioverridemodelrandom" },
    { 0x098B, "aiowner" },
    { 0x098C, "air_strip_ambient_a10_gun_dive_1" },
    { 0x098D, "air_strip_ambient_a10_gun_dive_2" },
    { 0x098E, "air_strip_ambient_a10_gun_dive_3" },
    { 0x098F, "air_strip_ambient_dogfight_1" },
    { 0x0990, "air_strip_ambient_dogfight_2" },
    { 0x0991, "air_strip_ambient_dogfight_3" },
    { 0x0992, "airank" },
    { 0x0993, "airbrake_hint" },
    { 0x0994, "aircraft_wash" },
    { 0x0995, "aircraft_wash_thread" },
    { 0x0996, "airdropcratecollision" },
    { 0x0997, "airplane_list" },
    { 0x0998, "airstrike_drones" },
    { 0x0999, "airstrike_earthquake" },
    { 0x099A, "airstrike_flares_monitor" },
    { 0x099B, "airstrikefx" },
    { 0x099C, "airstrikeinprogress" },
    { 0x099D, "airstrikeoverrides" },
    { 0x099E, "airstriketype" },
    { 0x099F, "airtoairevent" },
    { 0x09A0, "airtogroundevent" },
    { 0x09A1, "aistartusingassaultvehicle" },
    { 0x09A2, "aispread" },
    { 0x09A3, "aistate" },
    { 0x09A4, "aistealthcombatenemygotocover" },
    { 0x09A5, "aisuppressai" },
    { 0x09A6, "aithreadthreader" },
    { 0x09A7, "aiturnnotifies" },
    { 0x09A8, "aitype_check" },
    { 0x09A9, "aiupdateanimstate" },
    { 0x09AA, "aiupdatecombat" },
    { 0x09AB, "aiupdatesuppressed" },
    { 0x09AC, "aiweapon" },
    { 0x09AD, "ajani" },
    { 0x09AE, "akimboweaponent" },
    { 0x09AF, "alarm_annoyance" },
    { 0x09B0, "alarm_create_loops" },
    { 0x09B1, "alarm_enable" },
    { 0x09B2, "alarm_guid" },
    { 0x09B3, "alarm_interval" },
    { 0x09B4, "alarm_is_playing" },
    { 0x09B5, "alarm_monitor_cleanup" },
    { 0x09B6, "alarm_on" },
    { 0x09B7, "alarm_playing" },
    { 0x09B8, "alarm_reverb_distance_mix" },
    { 0x09B9, "alarm_start" },
    { 0x09BA, "alarm_start_loops" },
    { 0x09BB, "alarm_stop_loops" },
    { 0x09BC, "alarm_update_loops" },
    { 0x09BD, "alarm_validate_damage" },
    { 0x09BE, "alarmfx" },
    { 0x09BF, "alarmfx01" },
    { 0x09C0, "alarmsoundent" },
    { 0x09C1, "alarmsystem" },
    { 0x09C2, "alcove_clips" },
    { 0x09C3, "alert_check_function" },
    { 0x09C4, "alert_level" },
    { 0x09C5, "alert_level_table" },
    { 0x09C6, "alert_sound" },
    { 0x09C7, "alert_stop_animating" },
    { 0x09C8, "alert_when_another_is_hurt" },
    { 0x09C9, "alertai" },
    { 0x09CA, "alertaigroup" },
    { 0x09CB, "alertallpoolguards" },
    { 0x09CC, "alerted" },
    { 0x09CD, "alerted_amount" },
    { 0x09CE, "alerted_by_corpse" },
    { 0x09CF, "alertedenemies" },
    { 0x09D0, "alertedentity" },
    { 0x09D1, "alertedinfo" },
    { 0x09D2, "alertface" },
    { 0x09D3, "alertgroup" },
    { 0x09D4, "alerthighlighthudeffect" },
    { 0x09D5, "alerttimedelay" },
    { 0x09D6, "alias" },
    { 0x09D7, "alias_data" },
    { 0x09D8, "alias_name" },
    { 0x09D9, "aliens_make_entity_sentient_func" },
    { 0x09DA, "align_hint_think" },
    { 0x09DB, "alignment_factor" },
    { 0x09DC, "alive" },
    { 0x09DD, "alivecount" },
    { 0x09DE, "aliveplayers" },
    { 0x09DF, "all_avatars_scheduled_for_delete" },
    { 0x09E0, "all_dom_flags" },
    { 0x09E1, "all_exopush_enemies_dead" },
    { 0x09E2, "all_hp_zones" },
    { 0x09E3, "all_players_istouching" },
    { 0x09E4, "all_team_streak_col" },
    { 0x09E5, "all3duiscreens" },
    { 0x09E6, "allboothdisplays" },
    { 0x09E7, "allenemyambushers" },
    { 0x09E8, "allenemypatrollers" },
    { 0x09E9, "allenemyvehicles" },
    { 0x09EA, "allenvarray" },
    { 0x09EB, "alley_1_big_metal_gate" },
    { 0x09EC, "alley_1_complete_dialogue" },
    { 0x09ED, "alley_a_dialogue" },
    { 0x09EE, "alley_b_dialogue" },
    { 0x09EF, "alley_beckon" },
    { 0x09F0, "alley_combat_dialogue" },
    { 0x09F1, "alley_dialogue" },
    { 0x09F2, "alley_ending_point_trigger" },
    { 0x09F3, "alley_fail_dialogue" },
    { 0x09F4, "alley_flank_dialogue" },
    { 0x09F5, "alley_flank_dialogue_nag" },
    { 0x09F6, "alley_gideon_slide" },
    { 0x09F7, "alley_meetup_dialogue" },
    { 0x09F8, "alley_oncoming_dialogue" },
    { 0x09F9, "alley_setup" },
    { 0x09FA, "alley_veh_god_on" },
    { 0x09FB, "alley1_combat" },
    { 0x09FC, "alley1_force_deaths" },
    { 0x09FD, "alley1_kva" },
    { 0x09FE, "alley1_oncoming" },
    { 0x09FF, "alley1_oncoming_burke_alley_enter" },
    { 0x0A00, "alley1_oncoming_goto" },
    { 0x0A01, "alley1_oncoming_grenade_awareness" },
    { 0x0A02, "alley1_oncoming_truck_anims" },
    { 0x0A03, "alley1_oncoming_truck_seq" },
    { 0x0A04, "alley1_oncoming_truck_sweeper_monitor" },
    { 0x0A05, "alley1_oncoming_turret_fire" },
    { 0x0A06, "alley1_oncoming_turret_think" },
    { 0x0A07, "alley1_stage1_combat" },
    { 0x0A08, "alley1_stage1_rooftop_movedown" },
    { 0x0A09, "alley1_stage2_combat" },
    { 0x0A0A, "alley1_stage2_combat_flag" },
    { 0x0A0B, "alley1_stage3_combat" },
    { 0x0A0C, "alley1_stage3_combat_flag" },
    { 0x0A0D, "alley1_stage3_refill_think" },
    { 0x0A0E, "alley1_veh_destro" },
    { 0x0A0F, "alley2_combat" },
    { 0x0A10, "alley2_combat_enemy_vol_assign" },
    { 0x0A11, "alley2_combat_player_monitor" },
    { 0x0A12, "alley2_combat_vol_assign" },
    { 0x0A13, "alley2_jumpers" },
    { 0x0A14, "alley2_jumpers_setup" },
    { 0x0A15, "alley2_kva" },
    { 0x0A16, "alley2_spawner_locator" },
    { 0x0A17, "alley2_stage1_combat" },
    { 0x0A18, "alley2_stage2_combat" },
    { 0x0A19, "alley2_stage3_combat" },
    { 0x0A1A, "alleys_distant_emergency_siren_blasts" },
    { 0x0A1B, "alleys_distant_euro_siren_loop" },
    { 0x0A1C, "alleys_distant_standard_siren_loop" },
    { 0x0A1D, "alleys_end_music" },
    { 0x0A1E, "alleys_music_end" },
    { 0x0A1F, "alleys_rpg_fight_music" },
    { 0x0A20, "alleys_rpg_music" },
    { 0x0A21, "alleys_rpg_music_backup_trigger" },
    { 0x0A22, "alleysallymovement" },
    { 0x0A23, "alleysbegin" },
    { 0x0A24, "alleysbegincombatdialog" },
    { 0x0A25, "alleyscafeanims" },
    { 0x0A26, "alleyscheckifplayerretreated" },
    { 0x0A27, "alleyscombat" },
    { 0x0A28, "alleyscombatbacklinefloodspawns" },
    { 0x0A29, "alleyscombatbacklineleftinteriorfloor1" },
    { 0x0A2A, "alleyscombatbacklineleftside" },
    { 0x0A2B, "alleyscombatbacklinerightinteriorfloor1" },
    { 0x0A2C, "alleyscombatbacklinerightinteriorfloor2" },
    { 0x0A2D, "alleyscombatbacklinerightside" },
    { 0x0A2E, "alleyscombatenemycountmonitor" },
    { 0x0A2F, "alleyscombatenemyorders" },
    { 0x0A30, "alleyscombatenemyretreat" },
    { 0x0A31, "alleyscombatenemysetup" },
    { 0x0A32, "alleyscombatenterbuilding" },
    { 0x0A33, "alleyscombatfinalbldgfloodspawns" },
    { 0x0A34, "alleyscombatfinalbuilding" },
    { 0x0A35, "alleyscombatfinalbuildinginterior" },
    { 0x0A36, "alleyscombatfinalbuildingshotgunners" },
    { 0x0A37, "alleyscombatfrontlinefloodspawns" },
    { 0x0A38, "alleyscombatfrontlineleftbackstairs" },
    { 0x0A39, "alleyscombatfrontlineleftside" },
    { 0x0A3A, "alleyscombatfrontlineleftsideinteriorfloor1" },
    { 0x0A3B, "alleyscombatfrontlinerightbackatm" },
    { 0x0A3C, "alleyscombatfrontlinerightside" },
    { 0x0A3D, "alleyscombatinteriorfakebulletsactivate" },
    { 0x0A3E, "alleyscombatinteriorfakebulletssetup" },
    { 0x0A3F, "alleyscombatmidlineleftside" },
    { 0x0A40, "alleyscombatmidlinerightside" },
    { 0x0A41, "alleyscombatmidlinerightsideinterior" },
    { 0x0A42, "alleyscombattriggertoggles" },
    { 0x0A43, "alleysdialogtimer" },
    { 0x0A44, "alleysdronecivilians" },
    { 0x0A45, "alleysdronegawker" },
    { 0x0A46, "alleysenemyretreat" },
    { 0x0A47, "alleysenemyrpg" },
    { 0x0A48, "alleysenemyspawns" },
    { 0x0A49, "alleysflaginit" },
    { 0x0A4A, "alleysgatebash" },
    { 0x0A4B, "alleysgatebashrumblelight" },
    { 0x0A4C, "alleysgateriprumbleheavy" },
    { 0x0A4D, "alleysgateripunblockpath" },
    { 0x0A4E, "alleysglobalsetup" },
    { 0x0A4F, "alleysglobalvars" },
    { 0x0A50, "alleysilanaleadstheway" },
    { 0x0A51, "alleysintroanims" },
    { 0x0A52, "alleysintrotransitiondialogue" },
    { 0x0A53, "alleyskvaintrodialogue" },
    { 0x0A54, "alleysmidpointreminder" },
    { 0x0A55, "alleysmonitorgateriphint" },
    { 0x0A56, "alleysobjectivesetup" },
    { 0x0A57, "alleysprecache" },
    { 0x0A58, "alleysremainingenemies" },
    { 0x0A59, "alleysrpgguyshootfirst" },
    { 0x0A5A, "alleyssetcompletedobjflags" },
    { 0x0A5B, "alleyssniperpip" },
    { 0x0A5C, "alleysspawnrpgenemies" },
    { 0x0A5D, "alleysstartpoints" },
    { 0x0A5E, "alleysstreettransitiondialogue" },
    { 0x0A5F, "alleysvehicleexplodeondeath" },
    { 0x0A60, "alleysvehiclemonitor" },
    { 0x0A61, "alleysvideolog" },
    { 0x0A62, "alleysvisitorcentergate" },
    { 0x0A63, "alleysvisitorcentergatereminder" },
    { 0x0A64, "alleyway_fight_enemies" },
    { 0x0A65, "allfloorpannels" },
    { 0x0A66, "allies_bunker" },
    { 0x0A67, "allies_careful" },
    { 0x0A68, "allies_check_cloak_state" },
    { 0x0A69, "allies_cover_michell" },
    { 0x0A6A, "allies_dialog_col" },
    { 0x0A6B, "allies_inert" },
    { 0x0A6C, "allies_plane" },
    { 0x0A6D, "allies_rally_init" },
    { 0x0A6E, "allies_s1" },
    { 0x0A6F, "allies_s2" },
    { 0x0A70, "allies_start_spawn_name" },
    { 0x0A71, "allies_to_building_exit" },
    { 0x0A72, "allies_to_drone_swarm" },
    { 0x0A73, "allies_to_first_land_assist" },
    { 0x0A74, "allies_to_first_land_assist_debug" },
    { 0x0A75, "allies_to_fob" },
    { 0x0A76, "allies_to_fob_think" },
    { 0x0A77, "allies_to_hill" },
    { 0x0A78, "allies_to_truck_jump" },
    { 0x0A79, "allies_to_weapons_platform_video_log" },
    { 0x0A7A, "alliesbreachatrium" },
    { 0x0A7B, "alliesbreachatriumonalarm" },
    { 0x0A7C, "alliesbreachconfroom" },
    { 0x0A7D, "alliescapturing" },
    { 0x0A7E, "allieschopper" },
    { 0x0A7F, "alliesdrivein" },
    { 0x0A80, "alliesexitatrium" },
    { 0x0A81, "alliesexitconfroom" },
    { 0x0A82, "alliesexittruck" },
    { 0x0A83, "alliesflagcarrierclientnum" },
    { 0x0A84, "alliesflagstatus" },
    { 0x0A85, "alliesparkingdefend" },
    { 0x0A86, "alliesparkingkill" },
    { 0x0A87, "alliesparkingkillalt" },
    { 0x0A88, "alliesparkingkillvictim" },
    { 0x0A89, "alliesparkingsetup" },
    { 0x0A8A, "alliesredirect" },
    { 0x0A8B, "alliesshootpooltargets" },
    { 0x0A8C, "alliesvulnerabletime" },
    { 0x0A8D, "allieswarningtime" },
    { 0x0A8E, "allow_backstabbers" },
    { 0x0A8F, "allow_boost_jump" },
    { 0x0A90, "allow_death_delay" },
    { 0x0A91, "allow_death_during_zipline" },
    { 0x0A92, "allow_death_timer" },
    { 0x0A93, "allow_dog_paired_melee_vs_ai" },
    { 0x0A94, "allow_early_back_out" },
    { 0x0A95, "allow_exo_climb" },
    { 0x0A96, "allow_fake_shooting" },
    { 0x0A97, "allow_pipe_damage" },
    { 0x0A98, "allow_player_hovertank_mount" },
    { 0x0A99, "allow_player_input_1" },
    { 0x0A9A, "allow_player_input_2" },
    { 0x0A9B, "allow_player_zip" },
    { 0x0A9C, "allow_random_killers" },
    { 0x0A9D, "allow_swimming" },
    { 0x0A9E, "allow_threat_paint" },
    { 0x0A9F, "allowable_double_attachments" },
    { 0x0AA0, "allowboostingabovetriggerradius" },
    { 0x0AA1, "allowcarry" },
    { 0x0AA2, "allowclasschoice" },
    { 0x0AA3, "allowdronedelivery" },
    { 0x0AA4, "allowedcallouts" },
    { 0x0AA5, "allowedpartialreloadontheruntime" },
    { 0x0AA6, "allowempdamage" },
    { 0x0AA7, "allowenemyspectate" },
    { 0x0AA8, "allowfauxdeath" },
    { 0x0AA9, "allowfreespectate" },
    { 0x0AAA, "allowlaststandai" },
    { 0x0AAB, "allowlatecomers" },
    { 0x0AAC, "allowmeleedamage" },
    { 0x0AAD, "allowneutral" },
    { 0x0AAE, "allowplayerscore" },
    { 0x0AAF, "allowshoot" },
    { 0x0AB0, "allowteamchoice" },
    { 0x0AB1, "allowtelefrag" },
    { 0x0AB2, "allowuse" },
    { 0x0AB3, "allowvehicledamage" },
    { 0x0AB4, "allowvote" },
    { 0x0AB5, "allowweapons" },
    { 0x0AB6, "alltargetlogicarray" },
    { 0x0AB7, "alltargetmax" },
    { 0x0AB8, "alltargetmin" },
    { 0x0AB9, "alltargetsarray" },
    { 0x0ABA, "alltriggerarray" },
    { 0x0ABB, "allvfx_struct" },
    { 0x0ABC, "ally" },
    { 0x0ABD, "ally_advance_ahead_upon_killing_group" },
    { 0x0ABE, "ally_ai_active" },
    { 0x0ABF, "ally_alert_vol" },
    { 0x0AC0, "ally_anims" },
    { 0x0AC1, "ally_determine_move_speed" },
    { 0x0AC2, "ally_dynamic_run_set" },
    { 0x0AC3, "ally_enable_boost_traversals" },
    { 0x0AC4, "ally_fire_on_dam" },
    { 0x0AC5, "ally_grapple" },
    { 0x0AC6, "ally_jet_shoot_think" },
    { 0x0AC7, "ally_move_dynamic_speed" },
    { 0x0AC8, "ally_mover" },
    { 0x0AC9, "ally_one_handed_grenade_proc" },
    { 0x0ACA, "ally_redirect_goto_node" },
    { 0x0ACB, "ally_reset_dynamic_speed" },
    { 0x0ACC, "ally_s2_squad_member_1" },
    { 0x0ACD, "ally_s2_squad_member_2" },
    { 0x0ACE, "ally_s2_squad_member_3" },
    { 0x0ACF, "ally_s2_squad_member_4" },
    { 0x0AD0, "ally_shoot_rpg_at_drones" },
    { 0x0AD1, "ally_squad_member_1" },
    { 0x0AD2, "ally_squad_member_2" },
    { 0x0AD3, "ally_squad_member_3" },
    { 0x0AD4, "ally_squad_member_4" },
    { 0x0AD5, "ally_stop_dynamic_speed" },
    { 0x0AD6, "ally_vo_controller" },
    { 0x0AD7, "ally_vo_org" },
    { 0x0AD8, "allyagentthink" },
    { 0x0AD9, "allybreachconfroomanddie" },
    { 0x0ADA, "allyburkeparkingsetup" },
    { 0x0ADB, "allyclaimedtarget" },
    { 0x0ADC, "allyclearforcegoalonend" },
    { 0x0ADD, "allyconfroomdeath" },
    { 0x0ADE, "allyexithandlevictim" },
    { 0x0ADF, "allyexitpool" },
    { 0x0AE0, "allyexittruck" },
    { 0x0AE1, "allyinfiltrators" },
    { 0x0AE2, "allypoolclimb" },
    { 0x0AE3, "allypoolkill" },
    { 0x0AE4, "allypoolsetup" },
    { 0x0AE5, "allyredirect" },
    { 0x0AE6, "allyredirectgotonode" },
    { 0x0AE7, "allyredirectnoteworthy" },
    { 0x0AE8, "allyscrambleanimations" },
    { 0x0AE9, "allysetupconfroom" },
    { 0x0AEA, "allysetupstruggle" },
    { 0x0AEB, "allyshootpooltarget" },
    { 0x0AEC, "allyshootwalkwaytarget" },
    { 0x0AED, "allysquad" },
    { 0x0AEE, "allystealthanimations" },
    { 0x0AEF, "allystruggleslomo" },
    { 0x0AF0, "allystrugglesuccess" },
    { 0x0AF1, "allytanks" },
    { 0x0AF2, "allywalkwaykill" },
    { 0x0AF3, "allywalkwaykillvictim" },
    { 0x0AF4, "almost_dead" },
    { 0x0AF5, "alpha_leader" },
    { 0x0AF6, "alpha_leader_think" },
    { 0x0AF7, "alpha_squad" },
    { 0x0AF8, "alpha_squad_and_player" },
    { 0x0AF9, "alphabetize" },
    { 0x0AFA, "alphabetize_localized_string" },
    { 0x0AFB, "already_dumpped" },
    { 0x0AFC, "already_got_end_level_notetrack" },
    { 0x0AFD, "already_ran_function" },
    { 0x0AFE, "already_set" },
    { 0x0AFF, "already_used" },
    { 0x0B00, "alreadyaddedtoalivecount" },
    { 0x0B01, "alt_rspns_random_test" },
    { 0x0B02, "alt_rspns_test_func" },
    { 0x0B03, "alternates" },
    { 0x0B04, "altmeleedeath" },
    { 0x0B05, "altmeleevictimorientation" },
    { 0x0B06, "always_loop_ents" },
    { 0x0B07, "always_pain" },
    { 0x0B08, "always_sprint" },
    { 0x0B09, "always_wake_drones" },
    { 0x0B0A, "alwaysdrawfriendlynames" },
    { 0x0B0B, "alwayslookatfirsttarget" },
    { 0x0B0C, "alwaysrocketdeath" },
    { 0x0B0D, "alwaysrunforward" },
    { 0x0B0E, "alwaysstaticout" },
    { 0x0B0F, "alwaysusepistol" },
    { 0x0B10, "am_i_hit" },
    { 0x0B11, "am_i_moving" },
    { 0x0B12, "amb_push_oneshots" },
    { 0x0B13, "amb_pushing" },
    { 0x0B14, "amb_sky_combat" },
    { 0x0B15, "amb_sky_combat_setup" },
    { 0x0B16, "ambience" },
    { 0x0B17, "ambience_inner" },
    { 0x0B18, "ambience_outer" },
    { 0x0B19, "ambient_animate" },
    { 0x0B1A, "ambient_battle_deployable_cover" },
    { 0x0B1B, "ambient_building_fires_fob_drone_swarm" },
    { 0x0B1C, "ambient_combat" },
    { 0x0B1D, "ambient_combat_allies" },
    { 0x0B1E, "ambient_combat_axis" },
    { 0x0B1F, "ambient_combat_vo" },
    { 0x0B20, "ambient_deck" },
    { 0x0B21, "ambient_dialogue_manager" },
    { 0x0B22, "ambient_drones" },
    { 0x0B23, "ambient_eq" },
    { 0x0B24, "ambient_explosion_before_landing" },
    { 0x0B25, "ambient_explosion_courtyard" },
    { 0x0B26, "ambient_explosion_dirt_cooling_towers" },
    { 0x0B27, "ambient_explosion_fireball_cooling_towers" },
    { 0x0B28, "ambient_explosion_play" },
    { 0x0B29, "ambient_explosions" },
    { 0x0B2A, "ambient_fan_rotate" },
    { 0x0B2B, "ambient_fires_inside_building" },
    { 0x0B2C, "ambient_flare_fx" },
    { 0x0B2D, "ambient_gas_explosion_loading_zone" },
    { 0x0B2E, "ambient_hangar" },
    { 0x0B2F, "ambient_hangar_fan_blade_rotate" },
    { 0x0B30, "ambient_hangar_fan_blades_setup" },
    { 0x0B31, "ambient_hangar_workers" },
    { 0x0B32, "ambient_hangar_workers_spawn_settings" },
    { 0x0B33, "ambient_large_pipe_effects_courtyard" },
    { 0x0B34, "ambient_mb1_crane" },
    { 0x0B35, "ambient_mb2_claw_platform" },
    { 0x0B36, "ambient_mb2_crane" },
    { 0x0B37, "ambient_mb2_cranes" },
    { 0x0B38, "ambient_mb2_tanks" },
    { 0x0B39, "ambient_model_fix" },
    { 0x0B3A, "ambient_modifier" },
    { 0x0B3B, "ambient_police_drone_vo" },
    { 0x0B3C, "ambient_police_drones" },
    { 0x0B3D, "ambient_reverb" },
    { 0x0B3E, "ambient_shrike_flyby" },
    { 0x0B3F, "ambient_smk_walkway" },
    { 0x0B40, "ambient_sniper_rockets" },
    { 0x0B41, "ambient_soldier_vo_01" },
    { 0x0B42, "ambient_soldier_vo_02" },
    { 0x0B43, "ambient_soldier_vo_03" },
    { 0x0B44, "ambient_soldier_vo_04" },
    { 0x0B45, "ambient_soldier_vo_05" },
    { 0x0B46, "ambient_soldier_vo_06" },
    { 0x0B47, "ambient_track" },
    { 0x0B48, "ambient_underwater_effects_rescue" },
    { 0x0B49, "ambient_warbird_fire" },
    { 0x0B4A, "ambient_warbird_shooting_think" },
    { 0x0B4B, "ambient_warbird_wait_to_fire" },
    { 0x0B4C, "ambientanimation" },
    { 0x0B4D, "ambientcloudskill" },
    { 0x0B4E, "ambientcloudsloadin" },
    { 0x0B4F, "ambientdelay" },
    { 0x0B50, "ambientevent" },
    { 0x0B51, "ambienteventstart" },
    { 0x0B52, "ambientexp" },
    { 0x0B53, "ambienthdr" },
    { 0x0B54, "ambulance_damage_part" },
    { 0x0B55, "ambulance_firstframe_function" },
    { 0x0B56, "ambulance_max_health" },
    { 0x0B57, "ambulance_objective_update" },
    { 0x0B58, "ambulance_part_monitor" },
    { 0x0B59, "ambulance_push_active" },
    { 0x0B5A, "ambulance_push_attach" },
    { 0x0B5B, "ambulance_push_idle" },
    { 0x0B5C, "ambulance_push_sequence_end" },
    { 0x0B5D, "ambulance_push_step_away" },
    { 0x0B5E, "ambush_ambushed_vo" },
    { 0x0B5F, "ambush_breakout" },
    { 0x0B60, "ambush_duration" },
    { 0x0B61, "ambush_end" },
    { 0x0B62, "ambush_entrances" },
    { 0x0B63, "ambush_events" },
    { 0x0B64, "ambush_heli_explosion" },
    { 0x0B65, "ambush_player_if_alive_exopush" },
    { 0x0B66, "ambush_trap_ent" },
    { 0x0B67, "ambush_wait" },
    { 0x0B68, "ambush_yaw" },
    { 0x0B69, "ambushendtime" },
    { 0x0B6A, "ambushnode" },
    { 0x0B6B, "ambushtimer" },
    { 0x0B6C, "americans" },
    { 0x0B6D, "americans_setup" },
    { 0x0B6E, "ammo" },
    { 0x0B6F, "ammo_cache_think_global" },
    { 0x0B70, "ammo_icon" },
    { 0x0B71, "ammo_icon_fade_in" },
    { 0x0B72, "ammo_icon_fade_out" },
    { 0x0B73, "ammo_icon_think" },
    { 0x0B74, "ammo_icon_trig" },
    { 0x0B75, "ammo_max" },
    { 0x0B76, "ammo_pickup" },
    { 0x0B77, "ammocheatinterval" },
    { 0x0B78, "ammocheattime" },
    { 0x0B79, "ammofeeder" },
    { 0x0B7A, "ammopickup" },
    { 0x0B7B, "ammopickup_scalar" },
    { 0x0B7C, "ammopickupfunc" },
    { 0x0B7D, "ammopickupmodel" },
    { 0x0B7E, "ammorefillprimary" },
    { 0x0B7F, "ammorefillsecondary" },
    { 0x0B80, "amount" },
    { 0x0B81, "amount_in_sights" },
    { 0x0B82, "amplify_vfx" },
    { 0x0B83, "ams_enabled" },
    { 0x0B84, "ams_get_state" },
    { 0x0B85, "ams_init" },
    { 0x0B86, "ams_intensity" },
    { 0x0B87, "ams_player_health" },
    { 0x0B88, "ams_proxy_vehicle_speed" },
    { 0x0B89, "ams_set_intensity" },
    { 0x0B8A, "ams_set_proxy_vehicle" },
    { 0x0B8B, "ams_set_state" },
    { 0x0B8C, "ams_start" },
    { 0x0B8D, "ams_stop" },
    { 0x0B8E, "amsx_get" },
    { 0x0B8F, "amsx_get_proxy" },
    { 0x0B90, "amsx_get_proxy_vehicle_ent" },
    { 0x0B91, "amv_jetbike_height_time" },
    { 0x0B92, "amv_jetbike_height_val" },
    { 0x0B93, "angle" },
    { 0x0B94, "angle_interpolate" },
    { 0x0B95, "angle_lerp" },
    { 0x0B96, "angle_offset" },
    { 0x0B97, "angleaccel" },
    { 0x0B98, "anglelimit" },
    { 0x0B99, "anglerangethread" },
    { 0x0B9A, "angles_and_origin" },
    { 0x0B9B, "angles_clamp_180" },
    { 0x0B9C, "angles_lerp" },
    { 0x0B9D, "angles_origin" },
    { 0x0B9E, "anglescheck" },
    { 0x0B9F, "anglesclamp180" },
    { 0x0BA0, "anglesondeath" },
    { 0x0BA1, "anglesonkill" },
    { 0x0BA2, "anglessubtract" },
    { 0x0BA3, "anglevalid" },
    { 0x0BA4, "angspeed" },
    { 0x0BA5, "anim_1" },
    { 0x0BA6, "anim_2" },
    { 0x0BA7, "anim_3" },
    { 0x0BA8, "anim_addmodel" },
    { 0x0BA9, "anim_animationendnotify" },
    { 0x0BAA, "anim_array" },
    { 0x0BAB, "anim_at_entity" },
    { 0x0BAC, "anim_at_self" },
    { 0x0BAD, "anim_blend_time_override" },
    { 0x0BAE, "anim_burke_boost_lets_go" },
    { 0x0BAF, "anim_burke_crawl" },
    { 0x0BB0, "anim_changes_pushplayer" },
    { 0x0BB1, "anim_custom_animmode" },
    { 0x0BB2, "anim_custom_animmode_loop" },
    { 0x0BB3, "anim_custom_animmode_loop_solo" },
    { 0x0BB4, "anim_custom_animmode_on_guy" },
    { 0x0BB5, "anim_custom_animmode_solo" },
    { 0x0BB6, "anim_deathnotify" },
    { 0x0BB7, "anim_debug" },
    { 0x0BB8, "anim_dialogueendnotify" },
    { 0x0BB9, "anim_disablepain" },
    { 0x0BBA, "anim_dontpushplayer" },
    { 0x0BBB, "anim_down" },
    { 0x0BBC, "anim_end_early" },
    { 0x0BBD, "anim_end_early_animationendnotify" },
    { 0x0BBE, "anim_end_early_deathnotify" },
    { 0x0BBF, "anim_end_early_dialogueendnotify" },
    { 0x0BC0, "anim_end_early_facialendnotify" },
    { 0x0BC1, "anim_exists" },
    { 0x0BC2, "anim_facialanim" },
    { 0x0BC3, "anim_facialendnotify" },
    { 0x0BC4, "anim_facialfiller" },
    { 0x0BC5, "anim_first_frame" },
    { 0x0BC6, "anim_first_frame_on_guy" },
    { 0x0BC7, "anim_first_frame_solo" },
    { 0x0BC8, "anim_first_frame_with_finale_gameplay" },
    { 0x0BC9, "anim_generic" },
    { 0x0BCA, "anim_generic_custom_animmode" },
    { 0x0BCB, "anim_generic_custom_animmode_loop" },
    { 0x0BCC, "anim_generic_first_frame" },
    { 0x0BCD, "anim_generic_gravity" },
    { 0x0BCE, "anim_generic_loop" },
    { 0x0BCF, "anim_generic_queue" },
    { 0x0BD0, "anim_generic_reach" },
    { 0x0BD1, "anim_generic_reach_and_arrive" },
    { 0x0BD2, "anim_generic_run" },
    { 0x0BD3, "anim_generic_teleport" },
    { 0x0BD4, "anim_gunhand" },
    { 0x0BD5, "anim_guninhand" },
    { 0x0BD6, "anim_handle_notetrack" },
    { 0x0BD7, "anim_idle_down" },
    { 0x0BD8, "anim_idle_up" },
    { 0x0BD9, "anim_is_death" },
    { 0x0BDA, "anim_laserbuoy" },
    { 0x0BDB, "anim_last_frame_solo" },
    { 0x0BDC, "anim_link_tag_model" },
    { 0x0BDD, "anim_loop" },
    { 0x0BDE, "anim_loop_hatch_anims_solo" },
    { 0x0BDF, "anim_loop_packet" },
    { 0x0BE0, "anim_loop_packet_solo" },
    { 0x0BE1, "anim_loop_solo" },
    { 0x0BE2, "anim_loop_solo_vm" },
    { 0x0BE3, "anim_loop_vm" },
    { 0x0BE4, "anim_moveto" },
    { 0x0BE5, "anim_node" },
    { 0x0BE6, "anim_org" },
    { 0x0BE7, "anim_org_ajani_post_breach" },
    { 0x0BE8, "anim_playsound_func" },
    { 0x0BE9, "anim_pos" },
    { 0x0BEA, "anim_prep" },
    { 0x0BEB, "anim_prop_init_threads" },
    { 0x0BEC, "anim_prop_models" },
    { 0x0BED, "anim_prop_models_animtree" },
    { 0x0BEE, "anim_props" },
    { 0x0BEF, "anim_props_animated" },
    { 0x0BF0, "anim_pushplayer" },
    { 0x0BF1, "anim_rate_to_speed" },
    { 0x0BF2, "anim_reach" },
    { 0x0BF3, "anim_reach_and_approach" },
    { 0x0BF4, "anim_reach_and_approach_node_solo" },
    { 0x0BF5, "anim_reach_and_approach_solo" },
    { 0x0BF6, "anim_reach_and_idle" },
    { 0x0BF7, "anim_reach_and_idle_solo" },
    { 0x0BF8, "anim_reach_and_plant" },
    { 0x0BF9, "anim_reach_and_plant_and_arrive" },
    { 0x0BFA, "anim_reach_cleanup" },
    { 0x0BFB, "anim_reach_cleanup_solo" },
    { 0x0BFC, "anim_reach_failsafe" },
    { 0x0BFD, "anim_reach_fix" },
    { 0x0BFE, "anim_reach_idle" },
    { 0x0BFF, "anim_reach_solo" },
    { 0x0C00, "anim_reach_success" },
    { 0x0C01, "anim_reach_together" },
    { 0x0C02, "anim_reach_together_with_overrides" },
    { 0x0C03, "anim_reach_with_funcs" },
    { 0x0C04, "anim_relative" },
    { 0x0C05, "anim_removemodel" },
    { 0x0C06, "anim_roundabout_rappel_1" },
    { 0x0C07, "anim_roundabout_rappel_2" },
    { 0x0C08, "anim_scene_building_exit_cormack" },
    { 0x0C09, "anim_scene_building_exit_will" },
    { 0x0C0A, "anim_scene_building_jump" },
    { 0x0C0B, "anim_scene_walker_stepover" },
    { 0x0C0C, "anim_scene_will_grabs_car_door" },
    { 0x0C0D, "anim_scene_will_grabs_car_door_post_cherrypicker" },
    { 0x0C0E, "anim_self_set_real_time" },
    { 0x0C0F, "anim_self_set_time" },
    { 0x0C10, "anim_sequence" },
    { 0x0C11, "anim_set_rate" },
    { 0x0C12, "anim_set_rate_internal" },
    { 0x0C13, "anim_set_rate_single" },
    { 0x0C14, "anim_set_real_time" },
    { 0x0C15, "anim_set_time" },
    { 0x0C16, "anim_simple" },
    { 0x0C17, "anim_simple_notify" },
    { 0x0C18, "anim_single" },
    { 0x0C19, "anim_single_droppod_custom" },
    { 0x0C1A, "anim_single_end_early" },
    { 0x0C1B, "anim_single_failsafe" },
    { 0x0C1C, "anim_single_failsafeonguy" },
    { 0x0C1D, "anim_single_internal" },
    { 0x0C1E, "anim_single_mech" },
    { 0x0C1F, "anim_single_qte_middle" },
    { 0x0C20, "anim_single_qte_middle_fail" },
    { 0x0C21, "anim_single_queue" },
    { 0x0C22, "anim_single_run" },
    { 0x0C23, "anim_single_run_solo" },
    { 0x0C24, "anim_single_solo" },
    { 0x0C25, "anim_single_solo_custom" },
    { 0x0C26, "anim_single_solo_d" },
    { 0x0C27, "anim_single_solo_in_place" },
    { 0x0C28, "anim_single_solo_internal_vm" },
    { 0x0C29, "anim_single_solo_run" },
    { 0x0C2A, "anim_single_solo_vm" },
    { 0x0C2B, "anim_single_solo_with_lerp" },
    { 0x0C2C, "anim_single_solo_with_special_walk" },
    { 0x0C2D, "anim_single_solo_with_wait_flag" },
    { 0x0C2E, "anim_single_to_delete" },
    { 0x0C2F, "anim_single_to_delete_solo" },
    { 0x0C30, "anim_single_to_loop" },
    { 0x0C31, "anim_single_to_loop_solo" },
    { 0x0C32, "anim_single_with_gameplay" },
    { 0x0C33, "anim_spawn_generic_model" },
    { 0x0C34, "anim_spawn_model" },
    { 0x0C35, "anim_spawn_tag_model" },
    { 0x0C36, "anim_spawner_teleport" },
    { 0x0C37, "anim_speed" },
    { 0x0C38, "anim_start_at_groundpos" },
    { 0x0C39, "anim_start_pos" },
    { 0x0C3A, "anim_start_pos_solo" },
    { 0x0C3B, "anim_state" },
    { 0x0C3C, "anim_stop" },
    { 0x0C3D, "anim_stopanimscripted" },
    { 0x0C3E, "anim_struct" },
    { 0x0C3F, "anim_struct_exfil" },
    { 0x0C40, "anim_struct2" },
    { 0x0C41, "anim_tag" },
    { 0x0C42, "anim_teleport" },
    { 0x0C43, "anim_teleport_solo" },
    { 0x0C44, "anim_time" },
    { 0x0C45, "anim_up" },
    { 0x0C46, "anim_van_intro" },
    { 0x0C47, "anim_wait_func" },
    { 0x0C48, "anim_weight" },
    { 0x0C49, "anim_with_teleport" },
    { 0x0C4A, "animal_anims" },
    { 0x0C4B, "animalanimations" },
    { 0x0C4C, "animalias" },
    { 0x0C4D, "animarchetype" },
    { 0x0C4E, "animarray" },
    { 0x0C4F, "animarrayanyexist" },
    { 0x0C50, "animarrayfuncs" },
    { 0x0C51, "animarraypickrandom" },
    { 0x0C52, "animate_collapse_ent" },
    { 0x0C53, "animate_dead_body" },
    { 0x0C54, "animate_drills" },
    { 0x0C55, "animate_drive_idle" },
    { 0x0C56, "animate_drive_idle_on_dummies" },
    { 0x0C57, "animate_guys" },
    { 0x0C58, "animate_on_goal" },
    { 0x0C59, "animate_player_on_rig_simple" },
    { 0x0C5A, "animate_props_on_death" },
    { 0x0C5B, "animate_script_origin" },
    { 0x0C5C, "animate_the_other_guys" },
    { 0x0C5D, "animate_turret_with_viewmodel" },
    { 0x0C5E, "animated_gun" },
    { 0x0C5F, "animated_lights" },
    { 0x0C60, "animated_pod_function" },
    { 0x0C61, "animated_prop_anims" },
    { 0x0C62, "animateddeath" },
    { 0x0C63, "animatedpalmtrees" },
    { 0x0C64, "animatemodel" },
    { 0x0C65, "animatemoveintoplace" },
    { 0x0C66, "animatetreewind" },
    { 0x0C67, "animation_process" },
    { 0x0C68, "animation_think" },
    { 0x0C69, "animcbs" },
    { 0x0C6A, "animdodgeobstaclelistener" },
    { 0x0C6B, "animdown" },
    { 0x0C6C, "anime" },
    { 0x0C6D, "animent" },
    { 0x0C6E, "animflagnameindex" },
    { 0x0C6F, "animhasfacialoverride" },
    { 0x0C70, "animidledown" },
    { 0x0C71, "animidleup" },
    { 0x0C72, "animname" },
    { 0x0C73, "animnode" },
    { 0x0C74, "animontag" },
    { 0x0C75, "animontag_ragdoll_death" },
    { 0x0C76, "animontag_ragdoll_death_fall" },
    { 0x0C77, "animontag_unloading_vehicle_explosion" },
    { 0x0C78, "animplaybackrate" },
    { 0x0C79, "animref" },
    { 0x0C7A, "anims" },
    { 0x0C7B, "animsapplied" },
    { 0x0C7C, "animscript_sittag" },
    { 0x0C7D, "animscript_target" },
    { 0x0C7E, "animscriptdonotetracksthread" },
    { 0x0C7F, "animsequence" },
    { 0x0C80, "animset" },
    { 0x0C81, "animsets" },
    { 0x0C82, "animsound_aliases" },
    { 0x0C83, "animsound_exists" },
    { 0x0C84, "animsound_hud_extralines" },
    { 0x0C85, "animsound_hudlimit" },
    { 0x0C86, "animsound_start_tracker" },
    { 0x0C87, "animsound_start_tracker_loop" },
    { 0x0C88, "animsound_tagged" },
    { 0x0C89, "animsound_tracker" },
    { 0x0C8A, "animsounds" },
    { 0x0C8B, "animsounds_thisframe" },
    { 0x0C8C, "animstate" },
    { 0x0C8D, "animsubstate" },
    { 0x0C8E, "animtree" },
    { 0x0C8F, "animup" },
    { 0x0C90, "anml_doberman" },
    { 0x0C91, "announcerdisabled" },
    { 0x0C92, "annoyance_tracker" },
    { 0x0C93, "antiintrusion" },
    { 0x0C94, "any_enemy_is_able_to_attack" },
    { 0x0C95, "any_players_istouching" },
    { 0x0C96, "any_wheel_on_ground" },
    { 0x0C97, "anyattachmentisscope" },
    { 0x0C98, "anyplayersinkillcam" },
    { 0x0C99, "anystingermissilelockedon" },
    { 0x0C9A, "anythingistouching" },
    { 0x0C9B, "anythingtouchingtrigger" },
    { 0x0C9C, "apex" },
    { 0x0C9D, "apm_mine_deletekillcament" },
    { 0x0C9E, "applied_reverb" },
    { 0x0C9F, "apply_difficulty_frac_with_func" },
    { 0x0CA0, "apply_difficulty_step_with_func" },
    { 0x0CA1, "apply_end_fog" },
    { 0x0CA2, "apply_fog" },
    { 0x0CA3, "apply_friendly_fire_damage_modifier" },
    { 0x0CA4, "apply_jump_fx" },
    { 0x0CA5, "apply_option_to_selected_fx" },
    { 0x0CA6, "apply_reinforcement_perk" },
    { 0x0CA7, "apply_reverb" },
    { 0x0CA8, "apply_truckjunk" },
    { 0x0CA9, "apply_whizby" },
    { 0x0CAA, "applybombcarrierclass" },
    { 0x0CAB, "applyemp" },
    { 0x0CAC, "applyflagcarrierclass" },
    { 0x0CAD, "applyflash" },
    { 0x0CAE, "applyloadout" },
    { 0x0CAF, "applyperks" },
    { 0x0CB0, "applyprisonturretradararrow" },
    { 0x0CB1, "approach_barracks_combat_setup" },
    { 0x0CB2, "approach_handle_murica_movement_left" },
    { 0x0CB3, "approach_idle_ents" },
    { 0x0CB4, "approach_scene_ents" },
    { 0x0CB5, "approach_spawn_functions" },
    { 0x0CB6, "approach_types" },
    { 0x0CB7, "approachconditioncheckfunc" },
    { 0x0CB8, "approaching" },
    { 0x0CB9, "approaching_roundabout_dialogue" },
    { 0x0CBA, "approaching_standoff" },
    { 0x0CBB, "approachnumber" },
    { 0x0CBC, "approachtype" },
    { 0x0CBD, "approachtypefunc" },
    { 0x0CBE, "approachwaittillclose" },
    { 0x0CBF, "aquiring_targets_think" },
    { 0x0CC0, "ar_moment" },
    { 0x0CC1, "arc_point" },
    { 0x0CC2, "arcade_plane_controls" },
    { 0x0CC3, "arcademode" },
    { 0x0CC4, "arcademode_hud_timer" },
    { 0x0CC5, "arcademode_stop_timer" },
    { 0x0CC6, "arcademode_stoptime" },
    { 0x0CC7, "archetype_exists" },
    { 0x0CC8, "archetypechanged" },
    { 0x0CC9, "archetypeexists" },
    { 0x0CCA, "archetypes" },
    { 0x0CCB, "archive" },
    { 0x0CCC, "are_we_close" },
    { 0x0CCD, "aredifferent" },
    { 0x0CCE, "arm_repair_attempt" },
    { 0x0CCF, "armada_intro_screen" },
    { 0x0CD0, "armed" },
    { 0x0CD1, "armordamagehints" },
    { 0x0CD2, "armorpiercingmod" },
    { 0x0CD3, "armorvestmod" },
    { 0x0CD4, "armorygiveexoability" },
    { 0x0CD5, "armorypoints" },
    { 0x0CD6, "armorypurchasefail" },
    { 0x0CD7, "armorythink" },
    { 0x0CD8, "array" },
    { 0x0CD9, "array_2dadd" },
    { 0x0CDA, "array_add" },
    { 0x0CDB, "array_call" },
    { 0x0CDC, "array_checkaddattachment" },
    { 0x0CDD, "array_combine" },
    { 0x0CDE, "array_combine_all" },
    { 0x0CDF, "array_combine_keys" },
    { 0x0CE0, "array_combine_multiple" },
    { 0x0CE1, "array_combine_non_integer_indices" },
    { 0x0CE2, "array_combine_unique" },
    { 0x0CE3, "array_compare" },
    { 0x0CE4, "array_contains" },
    { 0x0CE5, "array_delete" },
    { 0x0CE6, "array_delete_evenly" },
    { 0x0CE7, "array_exclude" },
    { 0x0CE8, "array_find" },
    { 0x0CE9, "array_first" },
    { 0x0CEA, "array_index_by_classname" },
    { 0x0CEB, "array_index_by_parameters" },
    { 0x0CEC, "array_index_by_script_index" },
    { 0x0CED, "array_insert" },
    { 0x0CEE, "array_kill" },
    { 0x0CEF, "array_levelcall" },
    { 0x0CF0, "array_levelthread" },
    { 0x0CF1, "array_levelthread_safe" },
    { 0x0CF2, "array_merge" },
    { 0x0CF3, "array_merge_links" },
    { 0x0CF4, "array_notify" },
    { 0x0CF5, "array_randomize" },
    { 0x0CF6, "array_remove" },
    { 0x0CF7, "array_remove_array" },
    { 0x0CF8, "array_remove_dead" },
    { 0x0CF9, "array_remove_duplicates" },
    { 0x0CFA, "array_remove_index" },
    { 0x0CFB, "array_remove_nokeys" },
    { 0x0CFC, "array_removeclaimedtargets" },
    { 0x0CFD, "array_removedead" },
    { 0x0CFE, "array_removedead_keepkeys" },
    { 0x0CFF, "array_removedead_or_dying" },
    { 0x0D00, "array_removefirstinqueue" },
    { 0x0D01, "array_removeundefined" },
    { 0x0D02, "array_reverse" },
    { 0x0D03, "array_safe_delete" },
    { 0x0D04, "array_setgoalvolume" },
    { 0x0D05, "array_sort_by_handler" },
    { 0x0D06, "array_sort_with_func" },
    { 0x0D07, "array_sound_start" },
    { 0x0D08, "array_spawn" },
    { 0x0D09, "array_spawn_allow_fail" },
    { 0x0D0A, "array_spawn_cg" },
    { 0x0D0B, "array_spawn_function" },
    { 0x0D0C, "array_spawn_function_noteworthy" },
    { 0x0D0D, "array_spawn_function_targetname" },
    { 0x0D0E, "array_spawn_noteworthy" },
    { 0x0D0F, "array_spawn_targetname" },
    { 0x0D10, "array_spawn_targetname_allow_fail" },
    { 0x0D11, "array_spawn_targetname_cg" },
    { 0x0D12, "array_spawn_targetname_stagger" },
    { 0x0D13, "array_thread" },
    { 0x0D14, "array_thread_mod_delayed" },
    { 0x0D15, "array_thread_safe" },
    { 0x0D16, "array_thread4" },
    { 0x0D17, "array_thread5" },
    { 0x0D18, "array_wait" },
    { 0x0D19, "array_waitlogic1" },
    { 0x0D1A, "array_waitlogic2" },
    { 0x0D1B, "array_waittill_player_lookat" },
    { 0x0D1C, "array_waittill_player_lookat_proc" },
    { 0x0D1D, "arrayinsertion" },
    { 0x0D1E, "arrayremovevalue" },
    { 0x0D1F, "arrays_color_spawners" },
    { 0x0D20, "arrays_of_colorcoded_nodes" },
    { 0x0D21, "arrays_of_colorcoded_volumes" },
    { 0x0D22, "arrays_of_colorforced_ai" },
    { 0x0D23, "arrivalanim" },
    { 0x0D24, "arrivalendstance" },
    { 0x0D25, "arrivalnodetype" },
    { 0x0D26, "arrivalpathgoalpos" },
    { 0x0D27, "arrivalstance" },
    { 0x0D28, "arrivalstartdist" },
    { 0x0D29, "arrivaltype" },
    { 0x0D2A, "arrive" },
    { 0x0D2B, "art_print_fog" },
    { 0x0D2C, "artendfogfileexport" },
    { 0x0D2D, "artendvisionfileexport" },
    { 0x0D2E, "artfxprintlnfog" },
    { 0x0D2F, "artifact_pulse" },
    { 0x0D30, "artifacts" },
    { 0x0D31, "artifacts_fade" },
    { 0x0D32, "artillery_earthquake" },
    { 0x0D33, "artillerydangercenters" },
    { 0x0D34, "artilleryshellshock" },
    { 0x0D35, "artstartfogfileexport" },
    { 0x0D36, "artstartvisionfileexport" },
    { 0x0D37, "assault_drone_stinger_target_pos" },
    { 0x0D38, "assault_vehicle_ai_aerial_follow_path_outside" },
    { 0x0D39, "assault_vehicle_ai_aerial_movement" },
    { 0x0D3A, "assault_vehicle_ai_aerial_pathing_c4" },
    { 0x0D3B, "assault_vehicle_ai_aerial_pathing_turret" },
    { 0x0D3C, "assault_vehicle_ai_air_movement_func" },
    { 0x0D3D, "assault_vehicle_ai_can_see_living_enemy" },
    { 0x0D3E, "assault_vehicle_ai_end_on_owner_disconnect" },
    { 0x0D3F, "assault_vehicle_ai_enemy_exists_and_is_alive" },
    { 0x0D40, "assault_vehicle_ai_enemy_moved_air" },
    { 0x0D41, "assault_vehicle_ai_enemy_moved_ground" },
    { 0x0D42, "assault_vehicle_ai_follow_path" },
    { 0x0D43, "assault_vehicle_ai_get_camera_position" },
    { 0x0D44, "assault_vehicle_ai_get_nearest_node" },
    { 0x0D45, "assault_vehicle_ai_ground_movement" },
    { 0x0D46, "assault_vehicle_ai_ground_movement_loop" },
    { 0x0D47, "assault_vehicle_ai_init" },
    { 0x0D48, "assault_vehicle_ai_move_to_aerial_node" },
    { 0x0D49, "assault_vehicle_ai_path_timeout_time" },
    { 0x0D4A, "assault_vehicle_ai_pick_aerial_node" },
    { 0x0D4B, "assault_vehicle_ai_threat" },
    { 0x0D4C, "assault_vehicle_ai_weapons" },
    { 0x0D4D, "assaultfullstaticondeath" },
    { 0x0D4E, "assaulthandledeath" },
    { 0x0D4F, "assaulthandletimeoutwarning" },
    { 0x0D50, "assaulthudremove" },
    { 0x0D51, "assaulthudsetup" },
    { 0x0D52, "assaultobjectiveevent" },
    { 0x0D53, "assaultplayerexit" },
    { 0x0D54, "assaultsetinactivity" },
    { 0x0D55, "assaultvehiclemonitorweapons" },
    { 0x0D56, "assert_existance_of_anim" },
    { 0x0D57, "assert_existance_of_anim_vm" },
    { 0x0D58, "assert_existance_of_looping_anim" },
    { 0x0D59, "assert_if_anim_not_defined" },
    { 0x0D5A, "assert_if_identical_origins" },
    { 0x0D5B, "assertdisplayed" },
    { 0x0D5C, "assertdisplayed_b" },
    { 0x0D5D, "asset_name" },
    { 0x0D5E, "asset_names" },
    { 0x0D5F, "asset_type" },
    { 0x0D60, "assign_animals_tree" },
    { 0x0D61, "assign_animtree" },
    { 0x0D62, "assign_cloak_model" },
    { 0x0D63, "assign_drone_tree" },
    { 0x0D64, "assign_fx_to_trigger" },
    { 0x0D65, "assign_generic_human_tree" },
    { 0x0D66, "assign_goal_node" },
    { 0x0D67, "assign_goal_vol" },
    { 0x0D68, "assign_model" },
    { 0x0D69, "assign_nodes_to_zipline_guys" },
    { 0x0D6A, "assign_npcid" },
    { 0x0D6B, "assign_script_breachgroup_to_ents" },
    { 0x0D6C, "assign_spawns" },
    { 0x0D6D, "assign_spawns_version_2" },
    { 0x0D6E, "assign_spawns_version_3" },
    { 0x0D6F, "assign_unique_id" },
    { 0x0D70, "assignawards" },
    { 0x0D71, "assigned_brush" },
    { 0x0D72, "assigned_model" },
    { 0x0D73, "assigned_model_b" },
    { 0x0D74, "assigned_parent" },
    { 0x0D75, "assignpracticeroundclasses" },
    { 0x0D76, "assignteamspawns" },
    { 0x0D77, "assistedsuicide" },
    { 0x0D78, "assistedsuicideevent" },
    { 0x0D79, "assistplayer" },
    { 0x0D7A, "assistpoints" },
    { 0x0D7B, "assists_disabled" },
    { 0x0D7C, "ast_mus_on" },
    { 0x0D7D, "at_goal" },
    { 0x0D7E, "at_path_end" },
    { 0x0D7F, "at_rest" },
    { 0x0D80, "at_start" },
    { 0x0D81, "at_van_enemy_cleanup" },
    { 0x0D82, "atbrinkofdeath" },
    { 0x0D83, "atconcealmentnode" },
    { 0x0D84, "atk_bomber" },
    { 0x0D85, "atk_bomber_no_path_to_bomb_count" },
    { 0x0D86, "atk_bomber_update" },
    { 0x0D87, "atlas_base_weapon_manager" },
    { 0x0D88, "atlas_base_weapon_manager_elevator" },
    { 0x0D89, "atlas_building_roof_walla" },
    { 0x0D8A, "atlas_drone_damage_function" },
    { 0x0D8B, "atlas_guard" },
    { 0x0D8C, "atlas_guard_dialogue_line1" },
    { 0x0D8D, "atlas_guard1" },
    { 0x0D8E, "atlas_guard2" },
    { 0x0D8F, "atlas_guard3" },
    { 0x0D90, "atlas_guard4" },
    { 0x0D91, "atlas_guard5" },
    { 0x0D92, "atlas_guard6" },
    { 0x0D93, "atlas_guard7" },
    { 0x0D94, "atlas_intercepts" },
    { 0x0D95, "atlas_sign_flicker" },
    { 0x0D96, "atlas_suv_impact_fx" },
    { 0x0D97, "atlas_suv_rider_no_react" },
    { 0x0D98, "atlas_suv_rider_react" },
    { 0x0D99, "atlas_suv_rider_think" },
    { 0x0D9A, "atlas_van_explode" },
    { 0x0D9B, "atlas1" },
    { 0x0D9C, "atlas2" },
    { 0x0D9D, "atlascard_cormack_walk" },
    { 0x0D9E, "atlascard_irons_grab_card" },
    { 0x0D9F, "atlascard_irons_handshake" },
    { 0x0DA0, "atlascard_irons_leave" },
    { 0x0DA1, "atlascard_irons_place_hand" },
    { 0x0DA2, "atlascard_irons_tap" },
    { 0x0DA3, "atlascard_irons_turn" },
    { 0x0DA4, "atlascard_irons_walk" },
    { 0x0DA5, "atlasdrn_condition_callback_to_state_deathspin" },
    { 0x0DA6, "atlasdrn_condition_callback_to_state_destruct" },
    { 0x0DA7, "atlasdrn_condition_callback_to_state_distant" },
    { 0x0DA8, "atlasdrn_condition_callback_to_state_flyby" },
    { 0x0DA9, "atlasdrn_condition_callback_to_state_flying" },
    { 0x0DAA, "atlasdrn_condition_callback_to_state_flyover" },
    { 0x0DAB, "atlasdrn_condition_callback_to_state_hover" },
    { 0x0DAC, "atlasdrn_condition_callback_to_state_off" },
    { 0x0DAD, "atlasdrn_lens_focus" },
    { 0x0DAE, "atm_is_muted" },
    { 0x0DAF, "atm_max_off_time" },
    { 0x0DB0, "atm_max_on_time" },
    { 0x0DB1, "atm_mute_time" },
    { 0x0DB2, "atm_off_time" },
    { 0x0DB3, "atmosfogdistancescale" },
    { 0x0DB4, "atmosfogenabled" },
    { 0x0DB5, "atmosfogextinctionstrength" },
    { 0x0DB6, "atmosfoghalfplanedistance" },
    { 0x0DB7, "atmosfoghazecolor" },
    { 0x0DB8, "atmosfoghazespread" },
    { 0x0DB9, "atmosfoghazestrength" },
    { 0x0DBA, "atmosfogheightfogbaseheight" },
    { 0x0DBB, "atmosfogheightfogenabled" },
    { 0x0DBC, "atmosfogheightfoghalfplanedistance" },
    { 0x0DBD, "atmosfoginscatterstrength" },
    { 0x0DBE, "atmosfogskyangularfalloffenabled" },
    { 0x0DBF, "atmosfogskydistance" },
    { 0x0DC0, "atmosfogskyfalloffanglerange" },
    { 0x0DC1, "atmosfogskyfalloffstartangle" },
    { 0x0DC2, "atmosfogstartdistance" },
    { 0x0DC3, "atmosfogsundirection" },
    { 0x0DC4, "atmosfogsunfogcolor" },
    { 0x0DC5, "atrium_breach_signal_start" },
    { 0x0DC6, "atrium_timer_expire" },
    { 0x0DC7, "atriumanimations" },
    { 0x0DC8, "atriumboostjump" },
    { 0x0DC9, "atriumboostjumpguy" },
    { 0x0DCA, "atriumbreachexplosionnotetrack" },
    { 0x0DCB, "atriumbreachidle" },
    { 0x0DCC, "atriumbreachidleburke" },
    { 0x0DCD, "atriumbreachidleinfiltrators" },
    { 0x0DCE, "atriumbreachmonitoralliesinposition" },
    { 0x0DCF, "atriumdoorbreachdamage" },
    { 0x0DD0, "atriumdoorsopen" },
    { 0x0DD1, "atriumdoorsopenonalarm" },
    { 0x0DD2, "atriumlookatdialogue" },
    { 0x0DD3, "atriumreminderdialogue" },
    { 0x0DD4, "atriumsetupdialogue" },
    { 0x0DD5, "atriumshootfirstdialogue" },
    { 0x0DD6, "atriumtimer" },
    { 0x0DD7, "atriumtimewindow" },
    { 0x0DD8, "atrrestoremech" },
    { 0x0DD9, "attach_assault_drone_lights" },
    { 0x0DDA, "attach_bone" },
    { 0x0DDB, "attach_cig" },
    { 0x0DDC, "attach_cig_self" },
    { 0x0DDD, "attach_clip" },
    { 0x0DDE, "attach_ent" },
    { 0x0DDF, "attach_fixed_scanner" },
    { 0x0DE0, "attach_flashlight_in_hand" },
    { 0x0DE1, "attach_flashlight_on_gun" },
    { 0x0DE2, "attach_flashlight_on_vehicle_unload" },
    { 0x0DE3, "attach_fx_to_mechanism" },
    { 0x0DE4, "attach_housing" },
    { 0x0DE5, "attach_light_to_face" },
    { 0x0DE6, "attach_light_to_police_car" },
    { 0x0DE7, "attach_littlebird_parts" },
    { 0x0DE8, "attach_model_override" },
    { 0x0DE9, "attach_or_link" },
    { 0x0DEA, "attach_phone" },
    { 0x0DEB, "attach_player_current_weapon_to_anim_tag" },
    { 0x0DEC, "attach_player_current_weapon_to_rig" },
    { 0x0DED, "attach_pointlight_to_beam" },
    { 0x0DEE, "attach_scanner" },
    { 0x0DEF, "attach_scanner_turret" },
    { 0x0DF0, "attach_tag" },
    { 0x0DF1, "attach_wakefx" },
    { 0x0DF2, "attach_weapon_to_tag_sync" },
    { 0x0DF3, "attachdistortionfx" },
    { 0x0DF4, "attachedguys" },
    { 0x0DF5, "attachedmodels" },
    { 0x0DF6, "attachedpath" },
    { 0x0DF7, "attachedpropmodel" },
    { 0x0DF8, "attachedproptag" },
    { 0x0DF9, "attachedusemodel" },
    { 0x0DFA, "attachflag" },
    { 0x0DFB, "attachgrenademodel" },
    { 0x0DFC, "attachhat" },
    { 0x0DFD, "attachhead" },
    { 0x0DFE, "attachmentdeath" },
    { 0x0DFF, "attachmentexplode" },
    { 0x0E00, "attachmentmap_attachtoperk" },
    { 0x0E01, "attachmentmap_basetounique" },
    { 0x0E02, "attachmentmap_tobase" },
    { 0x0E03, "attachmentmap_tounique" },
    { 0x0E04, "attachmentmap_uniquetobase" },
    { 0x0E05, "attachmentperkmap" },
    { 0x0E06, "attachmenttype" },
    { 0x0E07, "attachmissiles" },
    { 0x0E08, "attachmodelti" },
    { 0x0E09, "attachprops" },
    { 0x0E0A, "attachpropsfunction" },
    { 0x0E0B, "attachusemodel" },
    { 0x0E0C, "attachweapon" },
    { 0x0E0D, "attack_accuracy" },
    { 0x0E0E, "attack_available" },
    { 0x0E0F, "attack_behavior" },
    { 0x0E10, "attack_damage_trigger" },
    { 0x0E11, "attack_delay" },
    { 0x0E12, "attack_drone_audio_handler" },
    { 0x0E13, "attack_drone_flybys_audio" },
    { 0x0E14, "attack_drone_formation_init" },
    { 0x0E15, "attack_drone_init" },
    { 0x0E16, "attack_drone_kamikaze_audio" },
    { 0x0E17, "attack_drone_kamikaze_flying_fx" },
    { 0x0E18, "attack_drone_queen_1shot_handler" },
    { 0x0E19, "attack_drone_queen_audio" },
    { 0x0E1A, "attack_drone_queen_flybys_audio" },
    { 0x0E1B, "attack_drone_queen_flying_fx" },
    { 0x0E1C, "attack_drones_nofly_zone_radius" },
    { 0x0E1D, "attack_drones_num_drones_per_queen" },
    { 0x0E1E, "attack_drones_num_queens" },
    { 0x0E1F, "attack_heli_cleanup" },
    { 0x0E20, "attack_heli_fx" },
    { 0x0E21, "attack_heli_safe_volumes" },
    { 0x0E22, "attack_hint_display" },
    { 0x0E23, "attack_if_buddy_killed" },
    { 0x0E24, "attack_origin_condition_threadd" },
    { 0x0E25, "attack_player_for_time" },
    { 0x0E26, "attack_sight_required" },
    { 0x0E27, "attackback" },
    { 0x0E28, "attacked_by_dog" },
    { 0x0E29, "attacker_isonmyteam" },
    { 0x0E2A, "attacker_troop_isonmyteam" },
    { 0x0E2B, "attackercandamageitem" },
    { 0x0E2C, "attackerdata" },
    { 0x0E2D, "attackerent" },
    { 0x0E2E, "attackerinlaststand" },
    { 0x0E2F, "attackerinremotekillstreak" },
    { 0x0E30, "attackerishittingteam" },
    { 0x0E31, "attackerlist" },
    { 0x0E32, "attackeronground" },
    { 0x0E33, "attackerposition" },
    { 0x0E34, "attackers" },
    { 0x0E35, "attackerstance" },
    { 0x0E36, "attackertable" },
    { 0x0E37, "attackheliaiburstsize" },
    { 0x0E38, "attackheliexcluders" },
    { 0x0E39, "attackhelifov" },
    { 0x0E3A, "attackheligraceperiod" },
    { 0x0E3B, "attackhelikillsai" },
    { 0x0E3C, "attackhelimemory" },
    { 0x0E3D, "attackhelimovetime" },
    { 0x0E3E, "attackheliplayerbreak" },
    { 0x0E3F, "attackhelirange" },
    { 0x0E40, "attackhelitargetreaquire" },
    { 0x0E41, "attackhelitimeout" },
    { 0x0E42, "attacking_player" },
    { 0x0E43, "attackmiss" },
    { 0x0E44, "attackmisstracktargetthread" },
    { 0x0E45, "attacknode" },
    { 0x0E46, "attacknothingtodo" },
    { 0x0E47, "attackoffset" },
    { 0x0E48, "attackradius" },
    { 0x0E49, "attackradiussq" },
    { 0x0E4A, "attackstate" },
    { 0x0E4B, "attacksuppressableenemy" },
    { 0x0E4C, "attackteleportthread" },
    { 0x0E4D, "attackvisibleenemy" },
    { 0x0E4E, "attackzheight" },
    { 0x0E4F, "attackzheightdown" },
    { 0x0E50, "attempt_execute" },
    { 0x0E51, "attempt_mark_enemy" },
    { 0x0E52, "attract_range" },
    { 0x0E53, "attract_strength" },
    { 0x0E54, "attractor" },
    { 0x0E55, "attractor2" },
    { 0x0E56, "attractornumber" },
    { 0x0E57, "aud" },
    { 0x0E58, "aud_2b_missile_final" },
    { 0x0E59, "aud_2b_missile1" },
    { 0x0E5A, "aud_2b_missile2" },
    { 0x0E5B, "aud_2b_missile3" },
    { 0x0E5C, "aud_ac_units" },
    { 0x0E5D, "aud_add_progress_map" },
    { 0x0E5E, "aud_alarm_submix" },
    { 0x0E5F, "aud_ally_card_accept" },
    { 0x0E60, "aud_ally_card_error" },
    { 0x0E61, "aud_ally_card_swipe" },
    { 0x0E62, "aud_ambient_animations" },
    { 0x0E63, "aud_ambient_helicopter" },
    { 0x0E64, "aud_approaching_poolhouse" },
    { 0x0E65, "aud_ascent_final_warbird" },
    { 0x0E66, "aud_atlas_suv_explo" },
    { 0x0E67, "aud_autopsy_entrance" },
    { 0x0E68, "aud_autopsy_entrance_vo" },
    { 0x0E69, "aud_autopsy_knife_pry_door" },
    { 0x0E6A, "aud_avs_enemy_warbird" },
    { 0x0E6B, "aud_avs_enemy_warbird_2" },
    { 0x0E6C, "aud_avs_enemy_warbird_grapple" },
    { 0x0E6D, "aud_avs_intro_allies_1" },
    { 0x0E6E, "aud_avs_intro_allies_2" },
    { 0x0E6F, "aud_background_chatter" },
    { 0x0E70, "aud_background_chatter_gate" },
    { 0x0E71, "aud_balcony_aircraft_wait" },
    { 0x0E72, "aud_ball_fountain" },
    { 0x0E73, "aud_bet_exo_climb_gear_lt" },
    { 0x0E74, "aud_bet_exo_climb_gear_rt" },
    { 0x0E75, "aud_bet_exo_climb_hit_lt" },
    { 0x0E76, "aud_bet_exo_climb_hit_rt" },
    { 0x0E77, "aud_bet_exo_climb_settle_lt" },
    { 0x0E78, "aud_bet_exo_climb_settle_rt" },
    { 0x0E79, "aud_bet_exo_climb_windup_lt" },
    { 0x0E7A, "aud_bet_exo_climb_windup_rt" },
    { 0x0E7B, "aud_big_gate_open_stage_1" },
    { 0x0E7C, "aud_big_gate_open_stage_2" },
    { 0x0E7D, "aud_big_gate_pre_open" },
    { 0x0E7E, "aud_big_gate_stop_stage_1" },
    { 0x0E7F, "aud_big_gate_stop_stage_2" },
    { 0x0E80, "aud_briefing" },
    { 0x0E81, "aud_building_drop" },
    { 0x0E82, "aud_building_pre_drop" },
    { 0x0E83, "aud_burke_bus1_land" },
    { 0x0E84, "aud_burke_hill_slide_stump" },
    { 0x0E85, "aud_burke_intro_anim" },
    { 0x0E86, "aud_burke_ledge_jump" },
    { 0x0E87, "aud_burke_nearing_cliff" },
    { 0x0E88, "aud_burke_open_door" },
    { 0x0E89, "aud_burke_river_over_log" },
    { 0x0E8A, "aud_burke_riverbank_footstep_left" },
    { 0x0E8B, "aud_burke_riverbank_footstep_right" },
    { 0x0E8C, "aud_burke_riverbank_slide" },
    { 0x0E8D, "aud_burke_step_over_log" },
    { 0x0E8E, "aud_burke_stumble_knee" },
    { 0x0E8F, "aud_burke_stumble_run" },
    { 0x0E90, "aud_burke_takedown" },
    { 0x0E91, "aud_burke_tree_cover_01" },
    { 0x0E92, "aud_burke_wall_climb" },
    { 0x0E93, "aud_burke_water_deep_step" },
    { 0x0E94, "aud_burke_water_enter" },
    { 0x0E95, "aud_burke_water_exit" },
    { 0x0E96, "aud_burke_water_fall_forward" },
    { 0x0E97, "aud_burke_water_footstep_left" },
    { 0x0E98, "aud_burke_water_footstep_right" },
    { 0x0E99, "aud_burke_water_jump" },
    { 0x0E9A, "aud_burke_water_shallow_step" },
    { 0x0E9B, "aud_burke_water_slip" },
    { 0x0E9C, "aud_cap_45_onearm_toss" },
    { 0x0E9D, "aud_cap_escape_to_heli_truck_1" },
    { 0x0E9E, "aud_cap_escape_to_heli_truck_2" },
    { 0x0E9F, "aud_cap_heli_sfx_01" },
    { 0x0EA0, "aud_cap_heli_sfx_02" },
    { 0x0EA1, "aud_cap_heli_sfx_03" },
    { 0x0EA2, "aud_cap_heli_sfx_04" },
    { 0x0EA3, "aud_cap_heli_sfx_05" },
    { 0x0EA4, "aud_cap_heli_sfx_06" },
    { 0x0EA5, "aud_cap_interrogation_transition_vo" },
    { 0x0EA6, "aud_cap_s2_trolley_sfx_01" },
    { 0x0EA7, "aud_cap_s2_trolley_sfx_02" },
    { 0x0EA8, "aud_cap_s2_trolley_sfx_03" },
    { 0x0EA9, "aud_cap_s2_trolley_sfx_03_crk" },
    { 0x0EAA, "aud_cap_s2_trolley_sfx_04" },
    { 0x0EAB, "aud_cap_s2_trolley_sfx_05" },
    { 0x0EAC, "aud_cap_s2_trolley_sfx_06" },
    { 0x0EAD, "aud_cap_s2_trolley_sfx_07" },
    { 0x0EAE, "aud_cap_s2_trolley_sfx_08" },
    { 0x0EAF, "aud_cap_s2_trolley_sfx_09" },
    { 0x0EB0, "aud_cap_s2_trolley_sfx_10" },
    { 0x0EB1, "aud_cap_sml_onearm_toss" },
    { 0x0EB2, "aud_captured_foley_override_handler" },
    { 0x0EB3, "aud_captured_setup_anims" },
    { 0x0EB4, "aud_cave_ambience" },
    { 0x0EB5, "aud_cave_cascade" },
    { 0x0EB6, "aud_check_sound_done" },
    { 0x0EB7, "aud_chopper_sniper_bullet" },
    { 0x0EB8, "aud_chopper_sniper_whizby" },
    { 0x0EB9, "aud_clamp" },
    { 0x0EBA, "aud_clear_sticky_threat" },
    { 0x0EBB, "aud_close_sounds" },
    { 0x0EBC, "aud_combat_clearing_1_warbird" },
    { 0x0EBD, "aud_combat_clearing_2_littlebird_1" },
    { 0x0EBE, "aud_combat_clearing_2_littlebird_2" },
    { 0x0EBF, "aud_combat_clearing_3_littlebird_1" },
    { 0x0EC0, "aud_combat_clearing_3_littlebird_2" },
    { 0x0EC1, "aud_conduit_smash" },
    { 0x0EC2, "aud_copy_vector" },
    { 0x0EC3, "aud_cormack_approach" },
    { 0x0EC4, "aud_cormack_final_monitor_smash" },
    { 0x0EC5, "aud_cormack_final_smash_promo" },
    { 0x0EC6, "aud_cormack_grapple_kill" },
    { 0x0EC7, "aud_cormack_monitor_smash_promo" },
    { 0x0EC8, "aud_cormack_rappel_cable" },
    { 0x0EC9, "aud_courtyard_hangar_door_close" },
    { 0x0ECA, "aud_courtyard_hangar_door_hack" },
    { 0x0ECB, "aud_courtyard_hangar_door_hack_idle" },
    { 0x0ECC, "aud_courtyard_hangar_door_open" },
    { 0x0ECD, "aud_crane_mount_crouch_jump" },
    { 0x0ECE, "aud_crane_mount_lt_hand_hit" },
    { 0x0ECF, "aud_crane_mount_lt_hand_rest" },
    { 0x0ED0, "aud_crane_mount_rt_hand_hit" },
    { 0x0ED1, "aud_crane_mount_rt_hand_rest" },
    { 0x0ED2, "aud_crash_wakeup_sfx" },
    { 0x0ED3, "aud_create_drive_envs" },
    { 0x0ED4, "aud_create_entity" },
    { 0x0ED5, "aud_create_linked_entity" },
    { 0x0ED6, "aud_ctyard_vrap01" },
    { 0x0ED7, "aud_ctyard_vrap02" },
    { 0x0ED8, "aud_ctyard_vrap04" },
    { 0x0ED9, "aud_ctyard_vrap05" },
    { 0x0EDA, "aud_delete_on_sounddone" },
    { 0x0EDB, "aud_destroy_deployed_pod" },
    { 0x0EDC, "aud_det_foley_override_handler" },
    { 0x0EDD, "aud_detach_from_vtol" },
    { 0x0EDE, "aud_disable_deathsdoor_audio" },
    { 0x0EDF, "aud_dna_bomb_01" },
    { 0x0EE0, "aud_dna_bomb_02" },
    { 0x0EE1, "aud_door" },
    { 0x0EE2, "aud_door_takedown_mix_handler" },
    { 0x0EE3, "aud_door_takedown_scream" },
    { 0x0EE4, "aud_drone_attack" },
    { 0x0EE5, "aud_drone_investigating" },
    { 0x0EE6, "aud_drone_start_jets" },
    { 0x0EE7, "aud_drone_view_intro_start" },
    { 0x0EE8, "aud_drone_view_intro_target" },
    { 0x0EE9, "aud_drop_pod_fire" },
    { 0x0EEA, "aud_drop_pod_land_fail" },
    { 0x0EEB, "aud_drop_pod_land_success" },
    { 0x0EEC, "aud_drop_pod_trophy_kill" },
    { 0x0EED, "aud_duck" },
    { 0x0EEE, "aud_dyanmic_event" },
    { 0x0EEF, "aud_dynamic_event_startup" },
    { 0x0EF0, "aud_enable_deathsdoor_audio" },
    { 0x0EF1, "aud_engine_disable" },
    { 0x0EF2, "aud_engine_throttle_amount" },
    { 0x0EF3, "aud_engine_wait" },
    { 0x0EF4, "aud_enter_vtol" },
    { 0x0EF5, "aud_escape_doctor_bodybag" },
    { 0x0EF6, "aud_escape_give_gun_exo" },
    { 0x0EF7, "aud_escape_guard_takedown_door" },
    { 0x0EF8, "aud_escape_keycard" },
    { 0x0EF9, "aud_estate_grounds_ambience" },
    { 0x0EFA, "aud_estate_grounds_emitters" },
    { 0x0EFB, "aud_estate_living_ambience" },
    { 0x0EFC, "aud_estate_security_ambience" },
    { 0x0EFD, "aud_exfil_door_1" },
    { 0x0EFE, "aud_exfil_door_2a" },
    { 0x0EFF, "aud_exfil_door_2b" },
    { 0x0F00, "aud_exfil_vtol_ascend" },
    { 0x0F01, "aud_exfil_vtol_grapple" },
    { 0x0F02, "aud_exfil_vtol_start" },
    { 0x0F03, "aud_exfil_vtol_wind" },
    { 0x0F04, "aud_exit_vtol" },
    { 0x0F05, "aud_exo_climb_burke" },
    { 0x0F06, "aud_exo_climb_flank_land" },
    { 0x0F07, "aud_exo_climb_flank_over" },
    { 0x0F08, "aud_exo_climb_gear_lt" },
    { 0x0F09, "aud_exo_climb_gear_rt" },
    { 0x0F0A, "aud_exo_climb_gideon_land" },
    { 0x0F0B, "aud_exo_climb_hit_lt" },
    { 0x0F0C, "aud_exo_climb_hit_rt" },
    { 0x0F0D, "aud_exo_climb_mount_jump" },
    { 0x0F0E, "aud_exo_climb_mount_land" },
    { 0x0F0F, "aud_exo_climb_rest_lt" },
    { 0x0F10, "aud_exo_climb_rest_rt" },
    { 0x0F11, "aud_exo_climb_slide_push" },
    { 0x0F12, "aud_exo_climb_slide_start" },
    { 0x0F13, "aud_exo_climb_slide_stop" },
    { 0x0F14, "aud_exo_climb_windup_lt" },
    { 0x0F15, "aud_exo_climb_windup_rt" },
    { 0x0F16, "aud_facility_breach_start" },
    { 0x0F17, "aud_fade_in" },
    { 0x0F18, "aud_fade_in_music" },
    { 0x0F19, "aud_fade_loop_out_and_delete" },
    { 0x0F1A, "aud_fade_loop_out_and_delete_temp" },
    { 0x0F1B, "aud_fade_out" },
    { 0x0F1C, "aud_fade_out_and_delete" },
    { 0x0F1D, "aud_fadeup_intro_loop" },
    { 0x0F1E, "aud_fall_scream" },
    { 0x0F1F, "aud_falls_climbing" },
    { 0x0F20, "aud_fin_rocket_damage_vfx" },
    { 0x0F21, "aud_find_exploder" },
    { 0x0F22, "aud_flag_handler" },
    { 0x0F23, "aud_foam_room_emitters" },
    { 0x0F24, "aud_foliage_insects" },
    { 0x0F25, "aud_foliage_mix" },
    { 0x0F26, "aud_foliage_movement" },
    { 0x0F27, "aud_forest_ambience" },
    { 0x0F28, "aud_forest_ambient_loops" },
    { 0x0F29, "aud_fountains" },
    { 0x0F2A, "aud_garage_hyd_wrench" },
    { 0x0F2B, "aud_garage_lift" },
    { 0x0F2C, "aud_gas_sfx" },
    { 0x0F2D, "aud_get_ambi_submix" },
    { 0x0F2E, "aud_get_envelope_domain" },
    { 0x0F2F, "aud_get_music_submix" },
    { 0x0F30, "aud_get_optional_param" },
    { 0x0F31, "aud_get_player_locamote_state" },
    { 0x0F32, "aud_get_progress_map" },
    { 0x0F33, "aud_get_sticky_threat" },
    { 0x0F34, "aud_get_threat_level" },
    { 0x0F35, "aud_gideon_autopsy_halls_start" },
    { 0x0F36, "aud_gideon_heli_runout_kick" },
    { 0x0F37, "aud_gideon_heli_runout_start" },
    { 0x0F38, "aud_gideon_test_chamber_ascend_start" },
    { 0x0F39, "aud_gideon_test_chamber_bodybag_1" },
    { 0x0F3A, "aud_gideon_test_chamber_bodybag_2" },
    { 0x0F3B, "aud_gideon_test_chamber_climb_stairs_1" },
    { 0x0F3C, "aud_gideon_test_chamber_climb_stairs_2" },
    { 0x0F3D, "aud_gideon_test_chamber_descend_stairs" },
    { 0x0F3E, "aud_gideon_test_chamber_descend_stairs_2" },
    { 0x0F3F, "aud_gideon_test_chamber_door_kick" },
    { 0x0F40, "aud_gideon_test_chamber_security" },
    { 0x0F41, "aud_gideon_test_chamber_stair_door" },
    { 0x0F42, "aud_grapple_from_foliage" },
    { 0x0F43, "aud_grapple_infil" },
    { 0x0F44, "aud_grapple_kill_foliage" },
    { 0x0F45, "aud_grapple_land_debris" },
    { 0x0F46, "aud_grapple_launch" },
    { 0x0F47, "aud_grapple_monitor" },
    { 0x0F48, "aud_grates" },
    { 0x0F49, "aud_ground_veh_deathwatch" },
    { 0x0F4A, "aud_ground_veh_loops" },
    { 0x0F4B, "aud_ground_veh_speed_mapping" },
    { 0x0F4C, "aud_guard_station_ambience" },
    { 0x0F4D, "aud_guard_station_main_door" },
    { 0x0F4E, "aud_guardhouse_foley_cormack" },
    { 0x0F4F, "aud_gun_throw_logic" },
    { 0x0F50, "aud_handle_alarms" },
    { 0x0F51, "aud_handle_buoy_sfx" },
    { 0x0F52, "aud_handle_clearing_dambs" },
    { 0x0F53, "aud_handle_earthquake" },
    { 0x0F54, "aud_handle_gangam_jets" },
    { 0x0F55, "aud_handle_incoming" },
    { 0x0F56, "aud_handle_map_setups" },
    { 0x0F57, "aud_handle_river_progress_flags" },
    { 0x0F58, "aud_handle_river_sfx" },
    { 0x0F59, "aud_handle_river_shallow_flag" },
    { 0x0F5A, "aud_handle_so_missile" },
    { 0x0F5B, "aud_handle_vista_jets" },
    { 0x0F5C, "aud_handle_warning_vo" },
    { 0x0F5D, "aud_handle_wave_incoming" },
    { 0x0F5E, "aud_handle_waves_crash" },
    { 0x0F5F, "aud_hangar_ambience" },
    { 0x0F60, "aud_hangar_car_door_exit" },
    { 0x0F61, "aud_hangar_door_exit" },
    { 0x0F62, "aud_hangar_door_open" },
    { 0x0F63, "aud_hangar_walla" },
    { 0x0F64, "aud_hatch_gideon" },
    { 0x0F65, "aud_hatch_plr" },
    { 0x0F66, "aud_hazmat_guy_foley" },
    { 0x0F67, "aud_hazmat_guy_pushes_alarm" },
    { 0x0F68, "aud_heli_battle_flyover" },
    { 0x0F69, "aud_heli_crash_pos" },
    { 0x0F6A, "aud_heli_escape_idle_sfx" },
    { 0x0F6B, "aud_heli_manticore_flyover" },
    { 0x0F6C, "aud_helicopter_deathwatch" },
    { 0x0F6D, "aud_helo_spotlight_spawn" },
    { 0x0F6E, "aud_hostage_truck_hits_water" },
    { 0x0F6F, "aud_hostage_truck_over_curb" },
    { 0x0F70, "aud_hostage_truck_over_edge" },
    { 0x0F71, "aud_hostage_truck_tbone" },
    { 0x0F72, "aud_human_activity_streams" },
    { 0x0F73, "aud_ilana_carmack_escape_controlroom" },
    { 0x0F74, "aud_ilana_carmack_escape_controlroom_attack" },
    { 0x0F75, "aud_ilana_carmack_escape_hallway" },
    { 0x0F76, "aud_ilana_carmack_escape_hallway_end" },
    { 0x0F77, "aud_ilana_carmack_escape_takedown" },
    { 0x0F78, "aud_ilana_carmack_rescue_01" },
    { 0x0F79, "aud_impact_monitor" },
    { 0x0F7A, "aud_impact_system_diveboat" },
    { 0x0F7B, "aud_impact_system_hovertank" },
    { 0x0F7C, "aud_impact_system_jetbike" },
    { 0x0F7D, "aud_in_zone" },
    { 0x0F7E, "aud_incin_after" },
    { 0x0F7F, "aud_incin_after_loop1" },
    { 0x0F80, "aud_incin_amb_kill" },
    { 0x0F81, "aud_incin_blackout" },
    { 0x0F82, "aud_incin_cart_done" },
    { 0x0F83, "aud_incin_cart_push" },
    { 0x0F84, "aud_incin_cart_push_stop" },
    { 0x0F85, "aud_incin_cart_start" },
    { 0x0F86, "aud_incin_flame_logic_first_burst" },
    { 0x0F87, "aud_incin_flame_loop" },
    { 0x0F88, "aud_incin_flame_loop_2" },
    { 0x0F89, "aud_incin_pilot_light" },
    { 0x0F8A, "aud_incin_pilot_light1" },
    { 0x0F8B, "aud_incin_pilot_light2" },
    { 0x0F8C, "aud_incin_pilot_light3" },
    { 0x0F8D, "aud_incin_pilot_light4" },
    { 0x0F8E, "aud_incin_pilot_light5" },
    { 0x0F8F, "aud_incin_pipe_burst" },
    { 0x0F90, "aud_incin_pipe_grab" },
    { 0x0F91, "aud_init" },
    { 0x0F92, "aud_insect_sound" },
    { 0x0F93, "aud_intel" },
    { 0x0F94, "aud_interrogation_music_pt1" },
    { 0x0F95, "aud_interrogation_music_pt2" },
    { 0x0F96, "aud_interrogation_scene" },
    { 0x0F97, "aud_into_mech_missle" },
    { 0x0F98, "aud_intro_caravan_mute" },
    { 0x0F99, "aud_intro_caravan_passby" },
    { 0x0F9A, "aud_intro_caravan_unmute" },
    { 0x0F9B, "aud_intro_drone" },
    { 0x0F9C, "aud_intro_foley" },
    { 0x0F9D, "aud_intro_heli_flyover" },
    { 0x0F9E, "aud_intro_to_elev_walla" },
    { 0x0F9F, "aud_intro_truck_gate" },
    { 0x0FA0, "aud_intro_truck_passby_01" },
    { 0x0FA1, "aud_intro_truck_passby_02" },
    { 0x0FA2, "aud_intro_truck_stop" },
    { 0x0FA3, "aud_introblack_bullet" },
    { 0x0FA4, "aud_irons_reveal_bomb_shake" },
    { 0x0FA5, "aud_irons_reveal_bomb_shake_02" },
    { 0x0FA6, "aud_irons_reveal_star_trek_door" },
    { 0x0FA7, "aud_irons_says_hello" },
    { 0x0FA8, "aud_ironsstealth" },
    { 0x0FA9, "aud_is_even" },
    { 0x0FAA, "aud_is_specops" },
    { 0x0FAB, "aud_jeep_death_listener" },
    { 0x0FAC, "aud_knox_keypad" },
    { 0x0FAD, "aud_knox_thermite" },
    { 0x0FAE, "aud_knox_thermite_promo" },
    { 0x0FAF, "aud_lab_ambient_emitters" },
    { 0x0FB0, "aud_lab_foley_override_handler" },
    { 0x0FB1, "aud_lab_intro_screen" },
    { 0x0FB2, "aud_lab_phone_wait" },
    { 0x0FB3, "aud_lab_tech_chair_startle_1" },
    { 0x0FB4, "aud_lab_tech_chair_startle_2" },
    { 0x0FB5, "aud_lab_tech_desk_bump" },
    { 0x0FB6, "aud_laser_energy_beam_start" },
    { 0x0FB7, "aud_laser_pre_move_down" },
    { 0x0FB8, "aud_last_time" },
    { 0x0FB9, "aud_level_fadein" },
    { 0x0FBA, "aud_limp_exo" },
    { 0x0FBB, "aud_limp_off" },
    { 0x0FBC, "aud_limp_on" },
    { 0x0FBD, "aud_little_bird_hit" },
    { 0x0FBE, "aud_lockdown_alarm" },
    { 0x0FBF, "aud_lowstealth" },
    { 0x0FC0, "aud_manticore_crane" },
    { 0x0FC1, "aud_max" },
    { 0x0FC2, "aud_mech_crush_guy" },
    { 0x0FC3, "aud_mech_grapple_pitch_up" },
    { 0x0FC4, "aud_mech_idle_sfx" },
    { 0x0FC5, "aud_mech_jump" },
    { 0x0FC6, "aud_mech_missile_fire" },
    { 0x0FC7, "aud_mech_obj_move" },
    { 0x0FC8, "aud_mech_obj_move_end" },
    { 0x0FC9, "aud_mech_obj_move_wait" },
    { 0x0FCA, "aud_mech_panic_walla_watcher" },
    { 0x0FCB, "aud_mech_scanner" },
    { 0x0FCC, "aud_mech_trucks_enter" },
    { 0x0FCD, "aud_mech1_bg_truck" },
    { 0x0FCE, "aud_mechkill_catchdude" },
    { 0x0FCF, "aud_median_impact" },
    { 0x0FD0, "aud_meet_atlast_roof_explode" },
    { 0x0FD1, "aud_microwave_grenade" },
    { 0x0FD2, "aud_microwave_grenade_sparks_dude" },
    { 0x0FD3, "aud_microwave_grenade_sparks_env" },
    { 0x0FD4, "aud_min" },
    { 0x0FD5, "aud_monitor_irons" },
    { 0x0FD6, "aud_morgue_bodybag_doors" },
    { 0x0FD7, "aud_morgue_bodybag_line_emt" },
    { 0x0FD8, "aud_morgue_computer_door_entry_sfx" },
    { 0x0FD9, "aud_mus_boost" },
    { 0x0FDA, "aud_music_state" },
    { 0x0FDB, "aud_num_alive_enemies" },
    { 0x0FDC, "aud_observation_guard_radio" },
    { 0x0FDD, "aud_old_music_state" },
    { 0x0FDE, "aud_onearm_weapon_swap" },
    { 0x0FDF, "aud_overrides" },
    { 0x0FE0, "aud_pa_announc_01" },
    { 0x0FE1, "aud_pa_announc_02" },
    { 0x0FE2, "aud_pa_announc_03" },
    { 0x0FE3, "aud_pa_announc_04" },
    { 0x0FE4, "aud_painting_fall" },
    { 0x0FE5, "aud_panic_walla" },
    { 0x0FE6, "aud_patching_in_foley" },
    { 0x0FE7, "aud_patrol_helo_debris_sfx" },
    { 0x0FE8, "aud_penthouse_front_door" },
    { 0x0FE9, "aud_percent_chance" },
    { 0x0FEA, "aud_piston_ent" },
    { 0x0FEB, "aud_pitbull_crash_concussion" },
    { 0x0FEC, "aud_play" },
    { 0x0FED, "aud_play_announcer_warning" },
    { 0x0FEE, "aud_play_distance_attenuated_2d" },
    { 0x0FEF, "aud_play_dust" },
    { 0x0FF0, "aud_play_dynamic_explosion" },
    { 0x0FF1, "aud_play_horror_ambience" },
    { 0x0FF2, "aud_play_laser_move_down" },
    { 0x0FF3, "aud_play_laser_move_up" },
    { 0x0FF4, "aud_play_line_emitter" },
    { 0x0FF5, "aud_play_pcap_vo" },
    { 0x0FF6, "aud_play_pod_impact" },
    { 0x0FF7, "aud_play_point_source_loop" },
    { 0x0FF8, "aud_play_rocket_travel_loops" },
    { 0x0FF9, "aud_play_tank_explosion" },
    { 0x0FFA, "aud_play_trophy_fire" },
    { 0x0FFB, "aud_player_bus_exo_jump" },
    { 0x0FFC, "aud_player_bus_exo_land" },
    { 0x0FFD, "aud_player_bus_jump_handplant" },
    { 0x0FFE, "aud_player_bus_land" },
    { 0x0FFF, "aud_player_bus1_exo_land" },
    { 0x1000, "aud_player_bus1_land" },
    { 0x1001, "aud_player_climb_foley" },
    { 0x1002, "aud_player_climb_to_ledge" },
    { 0x1003, "aud_player_computer" },
    { 0x1004, "aud_player_computer_gl_timing_fix" },
    { 0x1005, "aud_player_computer_promo" },
    { 0x1006, "aud_player_exo_punch_driver" },
    { 0x1007, "aud_player_exo_punch_metal_plate" },
    { 0x1008, "aud_player_gets_in_tank" },
    { 0x1009, "aud_player_grab_mirror" },
    { 0x100A, "aud_player_hill_slide" },
    { 0x100B, "aud_player_jump_back_to_bus" },
    { 0x100C, "aud_player_jump_to_truck" },
    { 0x100D, "aud_player_land_back_on_bus" },
    { 0x100E, "aud_player_land_on_truck" },
    { 0x100F, "aud_player_rappel_complete" },
    { 0x1010, "aud_player_throw_driver" },
    { 0x1011, "aud_player_throw_metal_plate" },
    { 0x1012, "aud_player_wall_climb_01" },
    { 0x1013, "aud_player_wall_climb_02" },
    { 0x1014, "aud_player_wall_climb_03" },
    { 0x1015, "aud_player_wall_climb_04" },
    { 0x1016, "aud_player_wall_climb_05" },
    { 0x1017, "aud_playermech_end" },
    { 0x1018, "aud_playermech_foley_override_handler" },
    { 0x1019, "aud_playermech_start" },
    { 0x101A, "aud_plr_hit" },
    { 0x101B, "aud_plr_hit_vo_line" },
    { 0x101C, "aud_plr_hit_vo_look" },
    { 0x101D, "aud_plr_hit_vo_move_back" },
    { 0x101E, "aud_plr_hit_vo_move_forward" },
    { 0x101F, "aud_plr_inside_mech" },
    { 0x1020, "aud_pod_arm_reach" },
    { 0x1021, "aud_pod_hits_ground" },
    { 0x1022, "aud_pod_hits_ground_corrected" },
    { 0x1023, "aud_pod_scene_begin" },
    { 0x1024, "aud_pod_turbulence_01" },
    { 0x1025, "aud_pod_turbulence_02" },
    { 0x1026, "aud_poolhouse_ambience" },
    { 0x1027, "aud_post_courtyard_emitters" },
    { 0x1028, "aud_print" },
    { 0x1029, "aud_print_3d_on_ent" },
    { 0x102A, "aud_print_debug" },
    { 0x102B, "aud_print_error" },
    { 0x102C, "aud_print_synch" },
    { 0x102D, "aud_print_warning" },
    { 0x102E, "aud_print_zone" },
    { 0x102F, "aud_print_zone_small" },
    { 0x1030, "aud_rappel_player_hookup" },
    { 0x1031, "aud_rappel_player_movement_start" },
    { 0x1032, "aud_rappel_player_movement_stop" },
    { 0x1033, "aud_reached_penthouse" },
    { 0x1034, "aud_ready_hooks" },
    { 0x1035, "aud_recon_foley" },
    { 0x1036, "aud_red_light" },
    { 0x1037, "aud_reinforcements_door1" },
    { 0x1038, "aud_reinforcements_door2" },
    { 0x1039, "aud_rescue_drone" },
    { 0x103A, "aud_rescue_sfx_a" },
    { 0x103B, "aud_rescue_sfx_b" },
    { 0x103C, "aud_rescue_sfx_c" },
    { 0x103D, "aud_rescue_sfx_d" },
    { 0x103E, "aud_rescue_sfx_e" },
    { 0x103F, "aud_rescue_sfx_f" },
    { 0x1040, "aud_rescue_sfx_g" },
    { 0x1041, "aud_rocket_launch_start" },
    { 0x1042, "aud_rocket_stage_01_start" },
    { 0x1043, "aud_rooftop_warbird_departing" },
    { 0x1044, "aud_rooftop_wind_volume" },
    { 0x1045, "aud_rooftops_ambience" },
    { 0x1046, "aud_rotate_vector_yaw" },
    { 0x1047, "aud_run_tank_system" },
    { 0x1048, "aud_s1_elevator_boss_foley" },
    { 0x1049, "aud_s1_elevator_cormack_foley" },
    { 0x104A, "aud_s1_elevator_guard_foley" },
    { 0x104B, "aud_s1_elevator_kick_1" },
    { 0x104C, "aud_s1_elevator_kick_2" },
    { 0x104D, "aud_s2walk_alarm_tone_lp" },
    { 0x104E, "aud_s2walk_cell_prisoners" },
    { 0x104F, "aud_s2walk_cells_foley_mix" },
    { 0x1050, "aud_s2walk_clear_foley_mix" },
    { 0x1051, "aud_s2walk_cormack_punched" },
    { 0x1052, "aud_s2walk_door_close" },
    { 0x1053, "aud_s2walk_door_open" },
    { 0x1054, "aud_s2walk_emitters" },
    { 0x1055, "aud_s2walk_execution_fire" },
    { 0x1056, "aud_s2walk_execution_kneeling_prisoners" },
    { 0x1057, "aud_s2walk_flyby_1" },
    { 0x1058, "aud_s2walk_guard_3_foley_01" },
    { 0x1059, "aud_s2walk_guard_3_foley_02" },
    { 0x105A, "aud_s2walk_guard_hip_radio" },
    { 0x105B, "aud_s2walk_guard_radios" },
    { 0x105C, "aud_s2walk_ilona_push" },
    { 0x105D, "aud_s2walk_loudspeaker2_line1" },
    { 0x105E, "aud_s2walk_loudspeaker2_line2" },
    { 0x105F, "aud_s2walk_prisoner_2_beating" },
    { 0x1060, "aud_s2walk_start_cormack_foley" },
    { 0x1061, "aud_s2walk_start_gideon_bodyfall" },
    { 0x1062, "aud_s2walk_start_gideon_foley" },
    { 0x1063, "aud_s2walk_start_guard_1_foley" },
    { 0x1064, "aud_s2walk_start_guard_1_grabpush" },
    { 0x1065, "aud_s2walk_start_guard_2_foley" },
    { 0x1066, "aud_s2walk_start_guard_2_grab" },
    { 0x1067, "aud_s2walk_start_guard_2_grabpush" },
    { 0x1068, "aud_s2walk_start_guard_2_push" },
    { 0x1069, "aud_s2walk_start_guard_3_foley" },
    { 0x106A, "aud_s2walk_start_guard_3_walkup_foley" },
    { 0x106B, "aud_s2walk_start_ilona_foley" },
    { 0x106C, "aud_s2walk_start_player_foley" },
    { 0x106D, "aud_s2walk_temp_guard_vo" },
    { 0x106E, "aud_s2walk_trigger_start" },
    { 0x106F, "aud_s2walk_yard_prisoners_whimpering" },
    { 0x1070, "aud_s3escape_doctor_radio" },
    { 0x1071, "aud_scale_envelope" },
    { 0x1072, "aud_scale_vector" },
    { 0x1073, "aud_scale_vector_2d" },
    { 0x1074, "aud_scanner_door_open" },
    { 0x1075, "aud_security_alarm" },
    { 0x1076, "aud_security_center_drones_on" },
    { 0x1077, "aud_security_countdown" },
    { 0x1078, "aud_security_hatch_exit" },
    { 0x1079, "aud_security_main_screen" },
    { 0x107A, "aud_security_plant_emp" },
    { 0x107B, "aud_security_prints" },
    { 0x107C, "aud_security_reboot" },
    { 0x107D, "aud_security_vent" },
    { 0x107E, "aud_security_welcome" },
    { 0x107F, "aud_separation_door" },
    { 0x1080, "aud_separation_elevator" },
    { 0x1081, "aud_separation_logic" },
    { 0x1082, "aud_server_room_door_crack" },
    { 0x1083, "aud_server_room_door_enter" },
    { 0x1084, "aud_server_room_door_kick" },
    { 0x1085, "aud_server_room_thermite" },
    { 0x1086, "aud_server_thermite_burn_loop" },
    { 0x1087, "aud_server_thermite_burn_start" },
    { 0x1088, "aud_server_thermite_out" },
    { 0x1089, "aud_set_ambi_submix" },
    { 0x108A, "aud_set_level_fade_time" },
    { 0x108B, "aud_set_mission_failed_music" },
    { 0x108C, "aud_set_music_submix" },
    { 0x108D, "aud_set_point_source_loop_volume" },
    { 0x108E, "aud_set_spec_ops" },
    { 0x108F, "aud_set_sticky_threat" },
    { 0x1090, "aud_set_timescale" },
    { 0x1091, "aud_setup_drop_pod_loop" },
    { 0x1092, "aud_shack_explode" },
    { 0x1093, "aud_shack_explode_whizby" },
    { 0x1094, "aud_slomo_wait" },
    { 0x1095, "aud_smooth" },
    { 0x1096, "aud_sonar_vision_off" },
    { 0x1097, "aud_sonar_vision_on" },
    { 0x1098, "aud_spark_1" },
    { 0x1099, "aud_spark_2" },
    { 0x109A, "aud_spark_3" },
    { 0x109B, "aud_spark_4" },
    { 0x109C, "aud_spark_5" },
    { 0x109D, "aud_sprinklers" },
    { 0x109E, "aud_start_dna_events" },
    { 0x109F, "aud_start_dna_events_cg" },
    { 0x10A0, "aud_start_exfil_foley" },
    { 0x10A1, "aud_start_nyse_fire" },
    { 0x10A2, "aud_start_slow_mo_gunshot_callback" },
    { 0x10A3, "aud_stealth_broken_timer" },
    { 0x10A4, "aud_stealth_melee" },
    { 0x10A5, "aud_stop_and_delete_ent" },
    { 0x10A6, "aud_stop_cormack_foley" },
    { 0x10A7, "aud_stop_headspace_ambience" },
    { 0x10A8, "aud_stop_horror_ambience" },
    { 0x10A9, "aud_stop_line_emitter" },
    { 0x10AA, "aud_stop_mech_panic_walla_watcher" },
    { 0x10AB, "aud_stop_mute_device_for_vo" },
    { 0x10AC, "aud_stop_point_source_loop" },
    { 0x10AD, "aud_stop_slow_mo_gunshot_callback" },
    { 0x10AE, "aud_stop_sound_logic" },
    { 0x10AF, "aud_stop_training_mute_device" },
    { 0x10B0, "aud_stop_vrap_mute_device" },
    { 0x10B1, "aud_table_pulldown" },
    { 0x10B2, "aud_tank_death_listener" },
    { 0x10B3, "aud_tank_field_littlebird" },
    { 0x10B4, "aud_tank_field_warbird" },
    { 0x10B5, "aud_tank_fire_watch" },
    { 0x10B6, "aud_tank_road_littlebird_1" },
    { 0x10B7, "aud_tank_road_littlebird_2" },
    { 0x10B8, "aud_tank_section_vehicles_handler" },
    { 0x10B9, "aud_tank_section_vehicles_spawned" },
    { 0x10BA, "aud_tanker_crash" },
    { 0x10BB, "aud_tanker_fall_down" },
    { 0x10BC, "aud_tennis_court_wakeup" },
    { 0x10BD, "aud_tire_splash" },
    { 0x10BE, "aud_titan_siege_mode_adj_left_side" },
    { 0x10BF, "aud_titan_siege_mode_adj_left_side_back" },
    { 0x10C0, "aud_titan_siege_mode_adj_right_side" },
    { 0x10C1, "aud_titan_siege_mode_adj_right_side_back" },
    { 0x10C2, "aud_training_s2_potus_ziptie_release" },
    { 0x10C3, "aud_transport_chopper" },
    { 0x10C4, "aud_trolley_music" },
    { 0x10C5, "aud_truck_dodge_slowmo_start" },
    { 0x10C6, "aud_truck_dodge_slowmo_whoosh" },
    { 0x10C7, "aud_truck_hits_divider" },
    { 0x10C8, "aud_truck_hits_ground" },
    { 0x10C9, "aud_truck_jump_slowmo" },
    { 0x10CA, "aud_truck_punch_slowmo" },
    { 0x10CB, "aud_truck1_engine_pullup" },
    { 0x10CC, "aud_truck2_engine_drive" },
    { 0x10CD, "aud_truck2_engine_idle" },
    { 0x10CE, "aud_truck2_engine_pullup" },
    { 0x10CF, "aud_trucks_arrive" },
    { 0x10D0, "aud_turret_entry" },
    { 0x10D1, "aud_turrets_activate" },
    { 0x10D2, "aud_use_string_tables" },
    { 0x10D3, "aud_var_nade_type" },
    { 0x10D4, "aud_vector_magnitude_2d" },
    { 0x10D5, "aud_vehicle_ride_data" },
    { 0x10D6, "aud_vrap_mute_start" },
    { 0x10D7, "aud_vtol_excellerate_end" },
    { 0x10D8, "aud_vtol_excellerate_start" },
    { 0x10D9, "aud_vtol_exterior_idle" },
    { 0x10DA, "aud_vtol_land" },
    { 0x10DB, "aud_vtol_passed" },
    { 0x10DC, "aud_wait_delay" },
    { 0x10DD, "aud_wait_for_mission_fail_music" },
    { 0x10DE, "aud_wakeup_amb" },
    { 0x10DF, "aud_wakeup_mech_cooldown_pings" },
    { 0x10E0, "aud_wakeup_mix" },
    { 0x10E1, "aud_warehouse_mech_lift" },
    { 0x10E2, "aud_warehouse_mech_lift_alarm" },
    { 0x10E3, "aud_warehouse_mech_lift_vo" },
    { 0x10E4, "aud_warehouse_roof_machines" },
    { 0x10E5, "aud_warehouse_roof_machines_line" },
    { 0x10E6, "aud_warning_vo" },
    { 0x10E7, "aud_watch_for_anim_end" },
    { 0x10E8, "aud_water_footsteps_foley" },
    { 0x10E9, "aud_water_footsteps_override" },
    { 0x10EA, "aud_water_sound" },
    { 0x10EB, "aud_waterfall_ambience" },
    { 0x10EC, "aud_windmill_sniper_whizby" },
    { 0x10ED, "aud_zap_logic_change" },
    { 0x10EE, "aud_zap_scene" },
    { 0x10EF, "audiblesightplaying" },
    { 0x10F0, "audio" },
    { 0x10F1, "audio_buzzer_struct" },
    { 0x10F2, "audio_jet_counter" },
    { 0x10F3, "audio_monitor_chopper01_death" },
    { 0x10F4, "audio_monitor_chopper02_death" },
    { 0x10F5, "audio_org" },
    { 0x10F6, "audio_presets_music_cue_groups" },
    { 0x10F7, "audio_presets_music_cues" },
    { 0x10F8, "audio_presets_music_moods" },
    { 0x10F9, "audio_presets_vehicle_maps" },
    { 0x10FA, "audio_presets_vehicles" },
    { 0x10FB, "audio_push_1_box_drop" },
    { 0x10FC, "audio_push_1_box_pickup" },
    { 0x10FD, "audio_push_1_box_push" },
    { 0x10FE, "audio_push_1_crane_move_1" },
    { 0x10FF, "audio_push_1_crane_move_2" },
    { 0x1100, "audio_push_1_crane_move_3" },
    { 0x1101, "audio_push_2_box_drop" },
    { 0x1102, "audio_push_2_box_pickup" },
    { 0x1103, "audio_push_2_box_push" },
    { 0x1104, "audio_push_2_crane_move_1" },
    { 0x1105, "audio_push_2_crane_move_2" },
    { 0x1106, "audio_push_2_crane_move_3" },
    { 0x1107, "audio_start_wrestling_exo_guy" },
    { 0x1108, "audio_start_wrestling_guy2" },
    { 0x1109, "audio_start_wrestling_guy3" },
    { 0x110A, "audio_start_wrestling_guy4" },
    { 0x110B, "audio_start_wrestling_guy5" },
    { 0x110C, "audio_stingers_school_bodies_room" },
    { 0x110D, "audio_stringtable_mapname" },
    { 0x110E, "audio_zones" },
    { 0x110F, "audx_attenuate" },
    { 0x1110, "audx_delete_on_sounddone_internal" },
    { 0x1111, "audx_do_dynamic_explosion_math" },
    { 0x1112, "audx_duck" },
    { 0x1113, "audx_fade_in_internal" },
    { 0x1114, "audx_fade_out_internal" },
    { 0x1115, "audx_play_distance_attenuated_2d_internal" },
    { 0x1116, "audx_play_line_emitter_internal" },
    { 0x1117, "audx_print_3d_timer" },
    { 0x1118, "audx_set_spec_ops" },
    { 0x1119, "audx_slomo_wait" },
    { 0x111A, "auto_adjust_difficulty_player_movement_check" },
    { 0x111B, "auto_adjust_difficulty_player_positioner" },
    { 0x111C, "auto_adjust_difficulty_track_player_death" },
    { 0x111D, "auto_adjust_difficulty_track_player_shots" },
    { 0x111E, "auto_adjust_enemy_death_detection" },
    { 0x111F, "auto_adjust_enemy_died" },
    { 0x1120, "auto_adjust_flags" },
    { 0x1121, "auto_adjust_new_zone" },
    { 0x1122, "auto_adjust_results" },
    { 0x1123, "auto_adust_zone_complete" },
    { 0x1124, "auto_combat_music" },
    { 0x1125, "auto_mg42_target" },
    { 0x1126, "auto_mgturretlink" },
    { 0x1127, "auto_occumulator_base" },
    { 0x1128, "auto_recloak" },
    { 0x1129, "autoadjust_playerspots" },
    { 0x112A, "autoassign" },
    { 0x112B, "autoclose" },
    { 0x112C, "autofocus_hipenable" },
    { 0x112D, "autofocus_hipenable_bike" },
    { 0x112E, "autofocus_loop" },
    { 0x112F, "autopsy_cleanup" },
    { 0x1130, "autopsy_create_fodder_techs" },
    { 0x1131, "autopsy_doctor_door_doctor" },
    { 0x1132, "autopsy_doctor_door_enemies" },
    { 0x1133, "autopsy_doctor_door_enemy_ammo" },
    { 0x1134, "autopsy_doctor_door_enemy_think" },
    { 0x1135, "autopsy_doctor_door_fail" },
    { 0x1136, "autopsy_doctor_door_gideon" },
    { 0x1137, "autopsy_doctor_door_no_hint" },
    { 0x1138, "autopsy_doctor_door_player" },
    { 0x1139, "autopsy_door_action" },
    { 0x113A, "autopsy_door_tech" },
    { 0x113B, "autopsy_first_frame_entry_doors" },
    { 0x113C, "autopsy_fodder_tech_animate" },
    { 0x113D, "autopsy_fodder_tech_think" },
    { 0x113E, "autopsy_guard" },
    { 0x113F, "autopsy_guard_player_hit" },
    { 0x1140, "autopsy_main_doctor" },
    { 0x1141, "autopsy_start" },
    { 0x1142, "autoresettime" },
    { 0x1143, "autosave_by_name" },
    { 0x1144, "autosave_by_name_silent" },
    { 0x1145, "autosave_by_name_thread" },
    { 0x1146, "autosave_check_override" },
    { 0x1147, "autosave_check_pitbull_moving" },
    { 0x1148, "autosave_check_pitbull_no_recent_accel" },
    { 0x1149, "autosave_check_pitbull_upright" },
    { 0x114A, "autosave_fly_check" },
    { 0x114B, "autosave_hostile_drone_check" },
    { 0x114C, "autosave_jetbike_check_too_slow" },
    { 0x114D, "autosave_jetbike_check_trailing" },
    { 0x114E, "autosave_now" },
    { 0x114F, "autosave_now_silent" },
    { 0x1150, "autosave_now_trigger" },
    { 0x1151, "autosave_or_timeout" },
    { 0x1152, "autosave_proximity_threat_func" },
    { 0x1153, "autosave_recon" },
    { 0x1154, "autosave_stealth" },
    { 0x1155, "autosave_stealth_meter_check" },
    { 0x1156, "autosave_stealth_silent" },
    { 0x1157, "autosave_stealth_spotted_check" },
    { 0x1158, "autosave_tactical" },
    { 0x1159, "autosave_tactical_grenade_check" },
    { 0x115A, "autosave_tactical_grenade_check_dieout" },
    { 0x115B, "autosave_tactical_player_nades" },
    { 0x115C, "autosave_tactical_proc" },
    { 0x115D, "autosave_tactical_setup" },
    { 0x115E, "autosave_threat_check_enabled" },
    { 0x115F, "autosave_timeout" },
    { 0x1160, "autosaveammocheck" },
    { 0x1161, "autosavecheck" },
    { 0x1162, "autosavecheck_not_picky" },
    { 0x1163, "autosaveconfcentercombatcheck" },
    { 0x1164, "autosaveconfcenterstealthcheck" },
    { 0x1165, "autosavehealthcheck" },
    { 0x1166, "autosavenamethink" },
    { 0x1167, "autosaveplayercheck" },
    { 0x1168, "autosaveprint" },
    { 0x1169, "autosaves_think" },
    { 0x116A, "autosavesniperdronestealth" },
    { 0x116B, "autosavethreatcheck" },
    { 0x116C, "autoshootanimrate" },
    { 0x116D, "autospot_is_close_to_player" },
    { 0x116E, "autospotadswatcher" },
    { 0x116F, "autospotdeathwatcher" },
    { 0x1170, "autotarget" },
    { 0x1171, "auxillary_hud" },
    { 0x1172, "available" },
    { 0x1173, "available_crash_paths" },
    { 0x1174, "availablepositions" },
    { 0x1175, "avalanche_environment" },
    { 0x1176, "avalanche_falling_death" },
    { 0x1177, "avatar" },
    { 0x1178, "avatar_after_spawn" },
    { 0x1179, "avatar_scheduled_for_removal" },
    { 0x117A, "avatar_spawnpoint" },
    { 0x117B, "avatarinfo" },
    { 0x117C, "avengedplayerevent" },
    { 0x117D, "avm_add_envelope" },
    { 0x117E, "avm_add_in_state_callback" },
    { 0x117F, "avm_add_init_state_callback" },
    { 0x1180, "avm_add_loops" },
    { 0x1181, "avm_add_oneshot" },
    { 0x1182, "avm_add_oneshots" },
    { 0x1183, "avm_add_param_map_env" },
    { 0x1184, "avm_add_state_transition" },
    { 0x1185, "avm_begin_behavior_data" },
    { 0x1186, "avm_begin_behavior_def" },
    { 0x1187, "avm_begin_loop_data" },
    { 0x1188, "avm_begin_loop_def" },
    { 0x1189, "avm_begin_oneshot_data" },
    { 0x118A, "avm_begin_oneshot_def" },
    { 0x118B, "avm_begin_param_map" },
    { 0x118C, "avm_begin_preset_def" },
    { 0x118D, "avm_begin_state_data" },
    { 0x118E, "avm_begin_state_def" },
    { 0x118F, "avm_begin_state_group" },
    { 0x1190, "avm_change_smoothing_rate" },
    { 0x1191, "avm_compute_alpha_from_rc" },
    { 0x1192, "avm_compute_doppler_pitch" },
    { 0x1193, "avm_compute_smoothing_rc_from_alpha" },
    { 0x1194, "avm_create_vehicle_proxy" },
    { 0x1195, "avm_end_behavior_data" },
    { 0x1196, "avm_end_behavior_def" },
    { 0x1197, "avm_end_loop_data" },
    { 0x1198, "avm_end_loop_def" },
    { 0x1199, "avm_end_oneshot_data" },
    { 0x119A, "avm_end_oneshot_def" },
    { 0x119B, "avm_end_param_map" },
    { 0x119C, "avm_end_preset_def" },
    { 0x119D, "avm_end_state_data" },
    { 0x119E, "avm_end_state_def" },
    { 0x119F, "avm_end_state_group" },
    { 0x11A0, "avm_get_running_instance_count" },
    { 0x11A1, "avm_get_update_rate" },
    { 0x11A2, "avm_init" },
    { 0x11A3, "avm_register_callback" },
    { 0x11A4, "avm_set_instance_master_volume" },
    { 0x11A5, "avm_set_loop_mute_state" },
    { 0x11A6, "avmx_add_behavior_shortcut_param_maps" },
    { 0x11A7, "avmx_add_instance" },
    { 0x11A8, "avmx_add_oneshot_ducking_scalar" },
    { 0x11A9, "avmx_add_preset" },
    { 0x11AA, "avmx_are_all_defined" },
    { 0x11AB, "avmx_continuously_update_snd_ent" },
    { 0x11AC, "avmx_create_instance_struct" },
    { 0x11AD, "avmx_create_param_io_struct" },
    { 0x11AE, "avmx_create_preset" },
    { 0x11AF, "avmx_fade_stop_and_delete_sound_obj" },
    { 0x11B0, "avmx_generate_instance_name" },
    { 0x11B1, "avmx_get" },
    { 0x11B2, "avmx_get_behavior_instance_struct" },
    { 0x11B3, "avmx_get_behavior_preset_struct" },
    { 0x11B4, "avmx_get_behavior_restricted_oneshots" },
    { 0x11B5, "avmx_get_callback" },
    { 0x11B6, "avmx_get_current_instance_sound_item_input" },
    { 0x11B7, "avmx_get_envelope" },
    { 0x11B8, "avmx_get_fadein_time" },
    { 0x11B9, "avmx_get_fadeout_time" },
    { 0x11BA, "avmx_get_instance" },
    { 0x11BB, "avmx_get_instance_name" },
    { 0x11BC, "avmx_get_instance_preset" },
    { 0x11BD, "avmx_get_instance_preset_name" },
    { 0x11BE, "avmx_get_instance_sound_item_output" },
    { 0x11BF, "avmx_get_instance_sound_item_volume" },
    { 0x11C0, "avmx_get_instance_state_struct" },
    { 0x11C1, "avmx_get_master_volume" },
    { 0x11C2, "avmx_get_oneshot_poly_mode" },
    { 0x11C3, "avmx_get_oneshot_update_mode" },
    { 0x11C4, "avmx_get_preset" },
    { 0x11C5, "avmx_get_preset_name" },
    { 0x11C6, "avmx_get_sound_alias" },
    { 0x11C7, "avmx_get_sound_alias_count" },
    { 0x11C8, "avmx_get_sound_instance" },
    { 0x11C9, "avmx_get_state_preset_struct" },
    { 0x11CA, "avmx_get_vehicle_entity" },
    { 0x11CB, "avmx_handle_oneshot_ducking" },
    { 0x11CC, "avmx_is_player_mode" },
    { 0x11CD, "avmx_is_vehicle_proxy" },
    { 0x11CE, "avmx_launch_state_machines" },
    { 0x11CF, "avmx_map_input" },
    { 0x11D0, "avmx_map_io" },
    { 0x11D1, "avmx_monitor_death" },
    { 0x11D2, "avmx_monitor_oneshot_done" },
    { 0x11D3, "avmx_normalize_ranged_value" },
    { 0x11D4, "avmx_preset_determine_param_map_env_owner" },
    { 0x11D5, "avmx_preset_determine_param_map_owner" },
    { 0x11D6, "avmx_preset_set_param_map_defaults" },
    { 0x11D7, "avmx_remove_instance" },
    { 0x11D8, "avmx_remove_oneshot_ducking_scalar" },
    { 0x11D9, "avmx_set_behavior_oneshot_overrides" },
    { 0x11DA, "avmx_set_instance_init_callback" },
    { 0x11DB, "avmx_set_instance_master_volume" },
    { 0x11DC, "avmx_set_loop_play_state" },
    { 0x11DD, "avmx_set_loop_volume" },
    { 0x11DE, "avmx_set_oneshot_ducking_scalar" },
    { 0x11DF, "avmx_set_oneshot_update_mode" },
    { 0x11E0, "avmx_set_preset_name" },
    { 0x11E1, "avmx_start_instance" },
    { 0x11E2, "avmx_start_loop" },
    { 0x11E3, "avmx_start_oneshot_alias" },
    { 0x11E4, "avmx_state_condition_function" },
    { 0x11E5, "avmx_state_enter_action_function" },
    { 0x11E6, "avmx_state_enter_action_init_data" },
    { 0x11E7, "avmx_state_enter_action_play_loops" },
    { 0x11E8, "avmx_state_enter_action_play_oneshots" },
    { 0x11E9, "avmx_state_exit_action_function" },
    { 0x11EA, "avmx_stop_instance" },
    { 0x11EB, "avmx_stop_loop" },
    { 0x11EC, "avmx_stop_snd_ent" },
    { 0x11ED, "avmx_update_instance_loop_assets" },
    { 0x11EE, "avmx_update_loop_ducking_scalar" },
    { 0x11EF, "avmx_update_loops" },
    { 0x11F0, "avmx_update_oneshot_duck_scalar" },
    { 0x11F1, "avmx_update_sound_ent_output_param" },
    { 0x11F2, "avmx_vehicle_getspeed" },
    { 0x11F3, "avoid_players" },
    { 0x11F4, "avoidairstrikelocations" },
    { 0x11F5, "avoidcarepackages" },
    { 0x11F6, "avoidcornervisibleenemies" },
    { 0x11F7, "avoidenemiesbydistance" },
    { 0x11F8, "avoidenemyspawn" },
    { 0x11F9, "avoidfullvisibleenemies" },
    { 0x11FA, "avoidgasclouds" },
    { 0x11FB, "avoidgrenades" },
    { 0x11FC, "avoidkillstreakonspawntimer" },
    { 0x11FD, "avoidlastattackerlocation" },
    { 0x11FE, "avoidlastdeathlocation" },
    { 0x11FF, "avoidmines" },
    { 0x1200, "avoidrecentlyused" },
    { 0x1201, "avoidsamespawn" },
    { 0x1202, "avoidspawninhp" },
    { 0x1203, "avoidtelefrag" },
    { 0x1204, "award_intel" },
    { 0x1205, "award_player_exo_challenge_kill_for_scene" },
    { 0x1206, "awardcapturepoints" },
    { 0x1207, "awardedfinalsurvivor" },
    { 0x1208, "awardgameevent" },
    { 0x1209, "awardhordeheadshots" },
    { 0x120A, "awardhordekill" },
    { 0x120B, "awardhorderevive" },
    { 0x120C, "awardhorderoundnumber" },
    { 0x120D, "awardhordweaponlevel" },
    { 0x120E, "awardpoints" },
    { 0x120F, "awardxp" },
    { 0x1210, "aware_aievents" },
    { 0x1211, "awareness_meter_fail" },
    { 0x1212, "awareness_param" },
    { 0x1213, "axis_check_cloak_state" },
    { 0x1214, "axis_global_accuracy_mod" },
    { 0x1215, "axis_start_spawn_name" },
    { 0x1216, "axiscapturing" },
    { 0x1217, "axischopper" },
    { 0x1218, "axisflagcarrierclientnum" },
    { 0x1219, "axisflagstatus" },
    { 0x121A, "axismode" },
    { 0x121B, "azm_get_current_zone" },
    { 0x121C, "azm_get_damb_enable" },
    { 0x121D, "azm_get_filter_bypass" },
    { 0x121E, "azm_get_filter_enable" },
    { 0x121F, "azm_get_mix_bypass" },
    { 0x1220, "azm_get_mix_enable" },
    { 0x1221, "azm_get_occlusion_bypass" },
    { 0x1222, "azm_get_occlusion_enable" },
    { 0x1223, "azm_get_quad_enable" },
    { 0x1224, "azm_get_reverb_bypass" },
    { 0x1225, "azm_get_reverb_enable" },
    { 0x1226, "azm_init" },
    { 0x1227, "azm_print_enter_blend" },
    { 0x1228, "azm_print_exit_blend" },
    { 0x1229, "azm_print_progress" },
    { 0x122A, "azm_set_current_zone" },
    { 0x122B, "azm_set_damb_enable" },
    { 0x122C, "azm_set_filter_bypass" },
    { 0x122D, "azm_set_filter_enable" },
    { 0x122E, "azm_set_mix_bypass" },
    { 0x122F, "azm_set_mix_enable" },
    { 0x1230, "azm_set_occlusion_bypass" },
    { 0x1231, "azm_set_occlusion_enable" },
    { 0x1232, "azm_set_quad_enable" },
    { 0x1233, "azm_set_reverb_bypass" },
    { 0x1234, "azm_set_reverb_enable" },
    { 0x1235, "azm_set_zone_dynamic_ambience" },
    { 0x1236, "azm_set_zone_mix" },
    { 0x1237, "azm_set_zone_occlusion" },
    { 0x1238, "azm_set_zone_reverb" },
    { 0x1239, "azm_set_zone_streamed_ambience" },
    { 0x123A, "azm_start_zone" },
    { 0x123B, "azm_stop_zone" },
    { 0x123C, "azm_stop_zones" },
    { 0x123D, "azm_use_string_table" },
    { 0x123E, "azmx_blend_zones" },
    { 0x123F, "azmx_get_blend_args" },
    { 0x1240, "azmx_get_preset_from_string_table" },
    { 0x1241, "azmx_get_zone_preset_from_stringtable_internal" },
    { 0x1242, "azmx_is_valid_damb_blend_request" },
    { 0x1243, "azmx_is_valid_mix_blend_request" },
    { 0x1244, "azmx_is_valid_samb_blend_request" },
    { 0x1245, "azmx_load_zone" },
    { 0x1246, "azmx_restart_damb" },
    { 0x1247, "azmx_restart_mix" },
    { 0x1248, "azmx_restart_occlusion" },
    { 0x1249, "azmx_restart_reverb" },
    { 0x124A, "azmx_restart_stream" },
    { 0x124B, "azmx_set_param_internal" },
    { 0x124C, "azmx_wait_till_fade_done_and_remove_zone" },
    { 0x124D, "back_fake_bullets" },
    { 0x124E, "back_gunfire_timer" },
    { 0x124F, "back_line_of_fire" },
    { 0x1250, "background_block" },
    { 0x1251, "background_drop_pods" },
    { 0x1252, "background_explosion" },
    { 0x1253, "background_org" },
    { 0x1254, "backline_alive_check" },
    { 0x1255, "backline_flee_check" },
    { 0x1256, "backlineguys_total" },
    { 0x1257, "backlineguysalive" },
    { 0x1258, "backoff_count" },
    { 0x1259, "backshieldmodel" },
    { 0x125A, "backstabber_stage" },
    { 0x125B, "backstabber_update" },
    { 0x125C, "backstabevent" },
    { 0x125D, "backup_drop_pod_function" },
    { 0x125E, "bad_guys_die" },
    { 0x125F, "bad_perch_logic" },
    { 0x1260, "badmofo" },
    { 0x1261, "badplace" },
    { 0x1262, "badplace_cylinder_func" },
    { 0x1263, "badplace_delete_func" },
    { 0x1264, "badplace_on_entity" },
    { 0x1265, "badplace_remove" },
    { 0x1266, "badplace_think" },
    { 0x1267, "badplaceint" },
    { 0x1268, "badplacemodifier" },
    { 0x1269, "badplacer" },
    { 0x126A, "badplaces" },
    { 0x126B, "badshot" },
    { 0x126C, "badshotcount" },
    { 0x126D, "badspawn" },
    { 0x126E, "bagh_end_turretpull_mix" },
    { 0x126F, "bagh_grab_gunner" },
    { 0x1270, "bagh_punch_turret" },
    { 0x1271, "bagh_start_turretpull_mix" },
    { 0x1272, "bagh_throw_gunner" },
    { 0x1273, "bail_out_of_turret_dialogue" },
    { 0x1274, "balanceteams" },
    { 0x1275, "balarmon" },
    { 0x1276, "balcony_death_anims" },
    { 0x1277, "balcony_drone_foliage" },
    { 0x1278, "balcony_entrance_doors" },
    { 0x1279, "balcony_finale_end_camera_control" },
    { 0x127A, "balcony_lighting" },
    { 0x127B, "balcony_siren" },
    { 0x127C, "balcony_sniper_drone_idle" },
    { 0x127D, "balcony_sniper_drone_idle_cleanup" },
    { 0x127E, "ball_add_start" },
    { 0x127F, "ball_assign_random_start" },
    { 0x1280, "ball_assign_start" },
    { 0x1281, "ball_assign_team_spawns" },
    { 0x1282, "ball_at_rest" },
    { 0x1283, "ball_can_pass_ally" },
    { 0x1284, "ball_can_pass_enemy" },
    { 0x1285, "ball_can_pickup" },
    { 0x1286, "ball_can_throw" },
    { 0x1287, "ball_carried" },
    { 0x1288, "ball_carrier_cleanup" },
    { 0x1289, "ball_carrier_is_almost_visible" },
    { 0x128A, "ball_carrier_touched_goal" },
    { 0x128B, "ball_check_assist" },
    { 0x128C, "ball_check_pass_kill_pickup" },
    { 0x128D, "ball_clear_contents" },
    { 0x128E, "ball_connect_watch" },
    { 0x128F, "ball_create_ball_starts" },
    { 0x1290, "ball_create_killcam_ent" },
    { 0x1291, "ball_create_team_goal" },
    { 0x1292, "ball_default_origins" },
    { 0x1293, "ball_dont_interpolate" },
    { 0x1294, "ball_download_fx" },
    { 0x1295, "ball_download_wait" },
    { 0x1296, "ball_find_ground" },
    { 0x1297, "ball_fx_active" },
    { 0x1298, "ball_fx_start" },
    { 0x1299, "ball_fx_start_player" },
    { 0x129A, "ball_fx_stop" },
    { 0x129B, "ball_get_path_dist" },
    { 0x129C, "ball_get_view_team" },
    { 0x129D, "ball_give_score" },
    { 0x129E, "ball_goal_can_use" },
    { 0x129F, "ball_goal_fx" },
    { 0x12A0, "ball_goal_fx_for_player" },
    { 0x12A1, "ball_goal_useobject" },
    { 0x12A2, "ball_goals" },
    { 0x12A3, "ball_goals_post_event" },
    { 0x12A4, "ball_in_goal" },
    { 0x12A5, "ball_init_map_min_max" },
    { 0x12A6, "ball_joint_angles_rate" },
    { 0x12A7, "ball_joint_last_angles" },
    { 0x12A8, "ball_joint_last_update_msec" },
    { 0x12A9, "ball_jump_nodes" },
    { 0x12AA, "ball_location_hud" },
    { 0x12AB, "ball_maxs" },
    { 0x12AC, "ball_mins" },
    { 0x12AD, "ball_on_connect" },
    { 0x12AE, "ball_on_pickup" },
    { 0x12AF, "ball_on_projectile_death" },
    { 0x12B0, "ball_on_projectile_hit_client" },
    { 0x12B1, "ball_on_reset" },
    { 0x12B2, "ball_overridemovingplatformdeath" },
    { 0x12B3, "ball_pass_or_shoot" },
    { 0x12B4, "ball_pass_or_throw_active" },
    { 0x12B5, "ball_pass_projectile" },
    { 0x12B6, "ball_pass_touch_goal" },
    { 0x12B7, "ball_pass_watch" },
    { 0x12B8, "ball_physics_bad_trigger_at_rest" },
    { 0x12B9, "ball_physics_bad_trigger_watch" },
    { 0x12BA, "ball_physics_fake_bounce" },
    { 0x12BB, "ball_physics_launch" },
    { 0x12BC, "ball_physics_launch_drop" },
    { 0x12BD, "ball_physics_out_of_level" },
    { 0x12BE, "ball_physics_timeout" },
    { 0x12BF, "ball_physics_touch_cant_pickup_player" },
    { 0x12C0, "ball_physics_touch_goal" },
    { 0x12C1, "ball_play_fx_joined_team" },
    { 0x12C2, "ball_play_local_team_sound" },
    { 0x12C3, "ball_play_score_fx" },
    { 0x12C4, "ball_player_on_connect" },
    { 0x12C5, "ball_restore_contents" },
    { 0x12C6, "ball_return_home" },
    { 0x12C7, "ball_score_event" },
    { 0x12C8, "ball_score_sound" },
    { 0x12C9, "ball_set_dropped" },
    { 0x12CA, "ball_shoot_watch" },
    { 0x12CB, "ball_spawn" },
    { 0x12CC, "ball_starts" },
    { 0x12CD, "ball_starts_post_event" },
    { 0x12CE, "ball_touch_goal_watch" },
    { 0x12CF, "ball_touched_goal" },
    { 0x12D0, "ball_touching_ground" },
    { 0x12D1, "ball_update_extrascore0" },
    { 0x12D2, "ball_waypoint_download" },
    { 0x12D3, "ball_waypoint_held" },
    { 0x12D4, "ball_waypoint_neutral" },
    { 0x12D5, "ball_waypoint_upload" },
    { 0x12D6, "balldrone" },
    { 0x12D7, "balldronetype" },
    { 0x12D8, "balliesintruck" },
    { 0x12D9, "balls" },
    { 0x12DA, "ballscoreassistevent" },
    { 0x12DB, "bar" },
    { 0x12DC, "bar_guy_check_function" },
    { 0x12DD, "bar_guys_waiting" },
    { 0x12DE, "bar_setup" },
    { 0x12DF, "barfighters_notify" },
    { 0x12E0, "barking_sound" },
    { 0x12E1, "barracks_approach_handle_dialogue" },
    { 0x12E2, "barracks_defense_guys" },
    { 0x12E3, "barracks_objectives" },
    { 0x12E4, "barrel" },
    { 0x12E5, "barrel_earthquake" },
    { 0x12E6, "barrel_heat_glow_fx" },
    { 0x12E7, "barrel_overheat_fx" },
    { 0x12E8, "barrelexpsound" },
    { 0x12E9, "barrellinker" },
    { 0x12EA, "barrelrollacceleration" },
    { 0x12EB, "barrelviewmodel" },
    { 0x12EC, "barrelviewmodeloffset" },
    { 0x12ED, "barrier_scene_ents" },
    { 0x12EE, "barrivalsenabled" },
    { 0x12EF, "bars" },
    { 0x12F0, "base" },
    { 0x12F1, "base_agl" },
    { 0x12F2, "base_angles" },
    { 0x12F3, "base_array_ambient_a10_gun_dive_1" },
    { 0x12F4, "base_array_ambient_a10_gun_dive_2" },
    { 0x12F5, "base_array_ambient_a10_gun_dive_3" },
    { 0x12F6, "base_array_ambient_a10_gun_dive_4" },
    { 0x12F7, "base_array_ambient_dogfight_1" },
    { 0x12F8, "base_array_ambient_dogfight_2" },
    { 0x12F9, "base_array_ambient_dogfight_3" },
    { 0x12FA, "base_array_ambient_dogfight_4" },
    { 0x12FB, "base_clip" },
    { 0x12FC, "base_intensity" },
    { 0x12FD, "base_origin" },
    { 0x12FE, "base_target_offset_angles" },
    { 0x12FF, "base_target_offset_length" },
    { 0x1300, "baseaccuracy" },
    { 0x1301, "basealpha" },
    { 0x1302, "baseangles" },
    { 0x1303, "basedangle" },
    { 0x1304, "basedelta" },
    { 0x1305, "baseeffect" },
    { 0x1306, "baseeffectforward" },
    { 0x1307, "baseeffectpos" },
    { 0x1308, "baseeffectright" },
    { 0x1309, "basefontscale" },
    { 0x130A, "baseheight" },
    { 0x130B, "baseignorerandombulletdamage" },
    { 0x130C, "basement_door_clip_function" },
    { 0x130D, "basement_door_school_anim" },
    { 0x130E, "basement_enemy_flashlight_setup" },
    { 0x130F, "basement_fog_checkpoint" },
    { 0x1310, "basement_hide_setup" },
    { 0x1311, "basement_investigate" },
    { 0x1312, "basement_jump_awareness" },
    { 0x1313, "basement_troop_2" },
    { 0x1314, "basement_valve_and_door_stop_early" },
    { 0x1315, "baseorigin" },
    { 0x1316, "baseowner" },
    { 0x1317, "baseplayermovescale" },
    { 0x1318, "basetime" },
    { 0x1319, "basewidth" },
    { 0x131A, "baseyaw" },
    { 0x131B, "basic" },
    { 0x131C, "battery_cost" },
    { 0x131D, "battery_hud_is_visible" },
    { 0x131E, "battery_min" },
    { 0x131F, "batteryfillmax" },
    { 0x1320, "batteryinit" },
    { 0x1321, "batterymetervisible" },
    { 0x1322, "batterysetlevel" },
    { 0x1323, "batteryspend" },
    { 0x1324, "batteryupdatemeter" },
    { 0x1325, "battle_chatter_check_alley" },
    { 0x1326, "battle_chatter_off_both" },
    { 0x1327, "battle_chatter_on_both" },
    { 0x1328, "battle_deployable_cover_setup" },
    { 0x1329, "battle_exterior_sunflare" },
    { 0x132A, "battlebuddy" },
    { 0x132B, "battlebuddyrespawntimestamp" },
    { 0x132C, "battlebuddywaitlist" },
    { 0x132D, "battlechatter" },
    { 0x132E, "battlechatter_canprint" },
    { 0x132F, "battlechatter_canprintdump" },
    { 0x1330, "battlechatter_debugprint" },
    { 0x1331, "battlechatter_dist_check" },
    { 0x1332, "battlechatter_off" },
    { 0x1333, "battlechatter_on" },
    { 0x1334, "battlechatter_on_thread" },
    { 0x1335, "battlechatter_print" },
    { 0x1336, "battlechatter_printdump" },
    { 0x1337, "battlechatter_printdumpline" },
    { 0x1338, "bays_open" },
    { 0x1339, "bc_explosion_vision" },
    { 0x133A, "bc_initial_blur" },
    { 0x133B, "bc_shadow_tweak" },
    { 0x133C, "bcdisabled" },
    { 0x133D, "bcdrawobjects" },
    { 0x133E, "bcgetclaimednode" },
    { 0x133F, "bcinfo" },
    { 0x1340, "bcissniper" },
    { 0x1341, "bclearstrafeturnrate" },
    { 0x1342, "bcname" },
    { 0x1343, "bcnameid" },
    { 0x1344, "bcprintfailprefix" },
    { 0x1345, "bcprintwarnprefix" },
    { 0x1346, "bcrank" },
    { 0x1347, "bcs_location_mappings" },
    { 0x1348, "bcs_location_trigger_mapping" },
    { 0x1349, "bcs_location_trigs_init" },
    { 0x134A, "bcs_locations" },
    { 0x134B, "bcs_maxtalkingdistsqrdfromplayer" },
    { 0x134C, "bcs_maxthreatdistsqrdfromplayer" },
    { 0x134D, "bcs_minpriority" },
    { 0x134E, "bcs_scripted_dialogue_start" },
    { 0x134F, "bcs_setup_chatter_toggle_array" },
    { 0x1350, "bcs_setup_countryids" },
    { 0x1351, "bcs_setup_flavorburst_toggle_array" },
    { 0x1352, "bcs_setup_teams_array" },
    { 0x1353, "bcs_setup_voice" },
    { 0x1354, "bcs_threatresettime" },
    { 0x1355, "bcs_trigs_assign_aliases" },
    { 0x1356, "bcsdebugwaiter" },
    { 0x1357, "bcsenabled" },
    { 0x1358, "bcsounds" },
    { 0x1359, "bdisabledefaultfacialanims" },
    { 0x135A, "bdisablegearsounds" },
    { 0x135B, "bdisablemovetwitch" },
    { 0x135C, "bdoturnandmove" },
    { 0x135D, "beach_guy_monitor" },
    { 0x135E, "beacon" },
    { 0x135F, "beam_clip_disable_function" },
    { 0x1360, "beamgetgroundfx" },
    { 0x1361, "beamgroundfx" },
    { 0x1362, "beamminimap" },
    { 0x1363, "beams" },
    { 0x1364, "beamsounds" },
    { 0x1365, "beamstartfires" },
    { 0x1366, "become_aware_on_goal" },
    { 0x1367, "become_aware_when_player_is_in_volume" },
    { 0x1368, "bedroom_begin" },
    { 0x1369, "bedroom_main" },
    { 0x136A, "bedroom_start" },
    { 0x136B, "beffectlooping" },
    { 0x136C, "beforestairanim" },
    { 0x136D, "begin_anim_reach" },
    { 0x136E, "begin_attack_heli_behavior" },
    { 0x136F, "begin_barracks" },
    { 0x1370, "begin_big_cave" },
    { 0x1371, "begin_canyon" },
    { 0x1372, "begin_canyon_dam" },
    { 0x1373, "begin_canyon_exit" },
    { 0x1374, "begin_canyon_intro" },
    { 0x1375, "begin_canyon2" },
    { 0x1376, "begin_canyon3" },
    { 0x1377, "begin_capture" },
    { 0x1378, "begin_cave_entry" },
    { 0x1379, "begin_cave_hallway" },
    { 0x137A, "begin_combat_cave" },
    { 0x137B, "begin_concussion_grenade_tracking" },
    { 0x137C, "begin_courtyard_combat" },
    { 0x137D, "begin_crash_site" },
    { 0x137E, "begin_dnabomb" },
    { 0x137F, "begin_exo_push" },
    { 0x1380, "begin_ice_bridge" },
    { 0x1381, "begin_intro" },
    { 0x1382, "begin_intro_conversation" },
    { 0x1383, "begin_kill_hades_sequence" },
    { 0x1384, "begin_lake" },
    { 0x1385, "begin_lake_cinema" },
    { 0x1386, "begin_narrow_cave" },
    { 0x1387, "begin_on_foot_segment" },
    { 0x1388, "begin_overlook" },
    { 0x1389, "begin_pcap_vo_lab_serverroom_cormack" },
    { 0x138A, "begin_post_tower" },
    { 0x138B, "begin_refugee_walk" },
    { 0x138C, "begin_rooftop_combat" },
    { 0x138D, "begin_semtex_grenade_tracking" },
    { 0x138E, "begin_skyjack" },
    { 0x138F, "begin_snipers" },
    { 0x1390, "begin_spawnning_exo_spawners" },
    { 0x1391, "begin_stealth_walk" },
    { 0x1392, "begin_tank" },
    { 0x1393, "begin_the_shimmey_for_burke" },
    { 0x1394, "begin_the_street_fight" },
    { 0x1395, "begin_vtol_takedown" },
    { 0x1396, "begin_wallpull_slowmo" },
    { 0x1397, "beginc4tracking" },
    { 0x1398, "beginclasschoice" },
    { 0x1399, "begincourtyarddialogue" },
    { 0x139A, "begincustomevent" },
    { 0x139B, "beginflashgrenadetracking" },
    { 0x139C, "begingrenadetracking" },
    { 0x139D, "beginning_idle_cine_turret" },
    { 0x139E, "beginningoflevelsave" },
    { 0x139F, "beginsliding" },
    { 0x13A0, "beginsmokegrenadetracking" },
    { 0x13A1, "beginteamchoice" },
    { 0x13A2, "behavior" },
    { 0x13A3, "behavior_data" },
    { 0x13A4, "behavior_list" },
    { 0x13A5, "behavior_under_construction" },
    { 0x13A6, "behaviors" },
    { 0x13A7, "behind_punish_dist" },
    { 0x13A8, "being_careful" },
    { 0x13A9, "beingartilleryshellshocked" },
    { 0x13AA, "beingdestroyed" },
    { 0x13AB, "beingrevived" },
    { 0x13AC, "bell_run" },
    { 0x13AD, "best_dodge_car" },
    { 0x13AE, "best_pr_kills" },
    { 0x13AF, "bestcovernode" },
    { 0x13B0, "bestmissilespawn" },
    { 0x13B1, "bestmissilespawnabove" },
    { 0x13B2, "bestspawnflag" },
    { 0x13B3, "bet_betrayal_pt1_gideon" },
    { 0x13B4, "bet_betrayal_pt1_ilona" },
    { 0x13B5, "bet_betrayal_pt1_irons" },
    { 0x13B6, "bet_betrayal_pt1_tech" },
    { 0x13B7, "bet_betrayal_pt2_gideon" },
    { 0x13B8, "bet_betrayal_pt2_ilona" },
    { 0x13B9, "bet_betrayal_pt2_irons" },
    { 0x13BA, "bet_boat_crash_audio_handler" },
    { 0x13BB, "bet_boat_crash_bldg_impact" },
    { 0x13BC, "bet_boat_dive_watcher" },
    { 0x13BD, "bet_boat_end_watcher" },
    { 0x13BE, "bet_boat_enter_plr_exo_arm" },
    { 0x13BF, "bet_boat_enter_plr_grab_wheel" },
    { 0x13C0, "bet_boat_enter_plr_jump_into_boat" },
    { 0x13C1, "bet_boat_enter_plr_power_on" },
    { 0x13C2, "bet_boat_enter_plr_sit" },
    { 0x13C3, "bet_boat_enter_plr_start" },
    { 0x13C4, "bet_boat_exit_ilona" },
    { 0x13C5, "bet_boat_exit_ilona_pickup_wpn" },
    { 0x13C6, "bet_boat_exit_ilona_stand" },
    { 0x13C7, "bet_boat_exit_jump_out" },
    { 0x13C8, "bet_boat_exit_stand_up" },
    { 0x13C9, "bet_boat_exit_start" },
    { 0x13CA, "bet_conf_door_opens" },
    { 0x13CB, "bet_conf_escape_guard_1_punched" },
    { 0x13CC, "bet_conf_escape_guard_1_react" },
    { 0x13CD, "bet_conf_escape_guard_1_tripped" },
    { 0x13CE, "bet_conf_escape_guard_2_punch" },
    { 0x13CF, "bet_conf_escape_guard_2_shot" },
    { 0x13D0, "bet_conf_escape_plr_foot_sweep" },
    { 0x13D1, "bet_conf_escape_plr_punch" },
    { 0x13D2, "bet_conf_escape_plr_wpn" },
    { 0x13D3, "bet_conf_fire_suppression" },
    { 0x13D4, "bet_conf_flash_bang_exp" },
    { 0x13D5, "bet_conf_gideon_exits" },
    { 0x13D6, "bet_conf_gideon_reacts" },
    { 0x13D7, "bet_conf_gideon_turns_to_leave" },
    { 0x13D8, "bet_conf_guard_1_enter" },
    { 0x13D9, "bet_conf_guard_1_swing_wpn" },
    { 0x13DA, "bet_conf_guard_2_push_down_ilona" },
    { 0x13DB, "bet_conf_guard_wpn_trained" },
    { 0x13DC, "bet_conf_ilona_punched" },
    { 0x13DD, "bet_conf_irons_enters" },
    { 0x13DE, "bet_conf_irons_exits" },
    { 0x13DF, "bet_conf_irons_turns_to_leave" },
    { 0x13E0, "bet_conf_irons_walks_to_ilona" },
    { 0x13E1, "bet_conf_kill_guard" },
    { 0x13E2, "bet_conf_plr_knock_back" },
    { 0x13E3, "bet_conf_plr_lean" },
    { 0x13E4, "bet_conf_plr_pull_wpn" },
    { 0x13E5, "bet_conf_plr_punched" },
    { 0x13E6, "bet_conf_plr_sit_back" },
    { 0x13E7, "bet_conf_slo_mo_kick_start" },
    { 0x13E8, "bet_conf_slo_mo_kick_stop" },
    { 0x13E9, "bet_conf_slo_mo_shoot_start" },
    { 0x13EA, "bet_conf_slo_mo_shoot_stop" },
    { 0x13EB, "bet_conf_sprinkler" },
    { 0x13EC, "bet_conf_steam_lp" },
    { 0x13ED, "bet_elevator_exoclimb_dismount" },
    { 0x13EE, "bet_elevator_exoclimb_dismount_foot" },
    { 0x13EF, "bet_ending_cormack" },
    { 0x13F0, "bet_ending_gideon" },
    { 0x13F1, "bet_ending_ilona" },
    { 0x13F2, "bet_ending_joker" },
    { 0x13F3, "bet_escape_additional_sprinklers" },
    { 0x13F4, "bet_escape_additional_steam" },
    { 0x13F5, "bet_escape_alarms" },
    { 0x13F6, "bet_escape_ilona" },
    { 0x13F7, "bet_escape_roof_slide" },
    { 0x13F8, "bet_escape_roof_slomo_end" },
    { 0x13F9, "bet_escape_roof_slomo_start" },
    { 0x13FA, "bet_foley_override_handler" },
    { 0x13FB, "bet_gideon_arm_scanner" },
    { 0x13FC, "bet_holo_glitches_1" },
    { 0x13FD, "bet_holo_glitches_2" },
    { 0x13FE, "bet_holo_glitches_3" },
    { 0x13FF, "bet_holo_glitches_4" },
    { 0x1400, "bet_holo_irons_shoot_pistol" },
    { 0x1401, "bet_holo_irons_stand_and_walk" },
    { 0x1402, "bet_hologram_start" },
    { 0x1403, "bet_ilona_swim_end" },
    { 0x1404, "bet_ilona_swim_start" },
    { 0x1405, "bet_intro_done" },
    { 0x1406, "bet_intro_gideon" },
    { 0x1407, "bet_roof_glass_hit" },
    { 0x1408, "bet_roof_lower_blast_doors" },
    { 0x1409, "bet_roof_raise_blast_doors" },
    { 0x140A, "bet_roof_slide_start" },
    { 0x140B, "bet_roof_slo_mo_start" },
    { 0x140C, "bet_roof_slo_mo_stop" },
    { 0x140D, "bet_roof_water_hit" },
    { 0x140E, "bet_swim_boat_explo" },
    { 0x140F, "bet_swim_boat_hit_bottom" },
    { 0x1410, "bet_swim_boat_sink" },
    { 0x1411, "bet_swim_bullet_trails" },
    { 0x1412, "bet_swim_dock_debris_blocker" },
    { 0x1413, "bet_swim_dock_explode" },
    { 0x1414, "bet_walla_intro_patio" },
    { 0x1415, "betrayal_boat_vision_set_fog_changes" },
    { 0x1416, "betrayal_finale_player_jump" },
    { 0x1417, "betrayal_interior_clut" },
    { 0x1418, "betrayal_interior_darker_fog" },
    { 0x1419, "betrayal_intro_screen" },
    { 0x141A, "betrayal_locations" },
    { 0x141B, "betrayal_roof_transition" },
    { 0x141C, "bfirstmoveanim" },
    { 0x141D, "bg" },
    { 0x141E, "bg_falldamagemaxheight_old" },
    { 0x141F, "bg_falldamagemaxheight_orig" },
    { 0x1420, "bg_falldamageminheight_old" },
    { 0x1421, "bg_falldamageminheight_orig" },
    { 0x1422, "bg_guys" },
    { 0x1423, "bh_attacker_accuracy_increaser" },
    { 0x1424, "bh_cleanup" },
    { 0x1425, "bh_heli_enemy_killer" },
    { 0x1426, "bh_helo_flyby" },
    { 0x1427, "bh_intro" },
    { 0x1428, "bh_intro_autosave" },
    { 0x1429, "bh_pit" },
    { 0x142A, "bh_pit_cleanup" },
    { 0x142B, "bh_pit_exit" },
    { 0x142C, "bh_pit_yard_visblock" },
    { 0x142D, "bh_run_civilians" },
    { 0x142E, "bh_run_mechs" },
    { 0x142F, "bh_yard" },
    { 0x1430, "bh_yard_doors" },
    { 0x1431, "bh_yard_exit" },
    { 0x1432, "bhasbadpath" },
    { 0x1433, "bhasgunwhileriding" },
    { 0x1434, "bhasnopath" },
    { 0x1435, "biasgroup_think" },
    { 0x1436, "bidlehitreaction" },
    { 0x1437, "bidlelooking" },
    { 0x1438, "big_cave_abyss_death" },
    { 0x1439, "big_cave_autosave" },
    { 0x143A, "big_cave_cleanup" },
    { 0x143B, "big_fire_door_close" },
    { 0x143C, "big_fire_door_open" },
    { 0x143D, "big_kamikaze_death" },
    { 0x143E, "big_moment_ending_vfx" },
    { 0x143F, "big_moment_ending_vfx_ash_fall" },
    { 0x1440, "big_moment_ending_vfx_bouncing_rocks" },
    { 0x1441, "big_moment_ending_vfx_donut_smk" },
    { 0x1442, "big_moment_ending_vfx_falling_debris" },
    { 0x1443, "big_moment_ending_vfx_falling_debris_tower" },
    { 0x1444, "big_moment_ending_vfx_falling_rock" },
    { 0x1445, "big_moment_ending_vfx_ground_buckling" },
    { 0x1446, "big_moment_ending_vfx_ground_splinter_up" },
    { 0x1447, "big_moment_ending_vfx_rolling_smk" },
    { 0x1448, "big_moment_ending_vfx_shockwave" },
    { 0x1449, "big_moment_ending_vfx_thick_smk_vm" },
    { 0x144A, "big_moment_ending_vfx_tower_base_smk_looping" },
    { 0x144B, "big_moment_ending_vfx_tower_chunk_trailing_smk" },
    { 0x144C, "big_moment_ending_vfx_tower_explode" },
    { 0x144D, "big_moment_ending_vfx_tower_fall_camshake" },
    { 0x144E, "big_moment_ending_vfx_tower_initial_crack" },
    { 0x144F, "big_moment_ending_vfx_tower_lower_left_burst" },
    { 0x1450, "big_moment_ending_vfx_tower_lower_right_burst" },
    { 0x1451, "big_moment_ending_vfx_tower_middle_top_burst" },
    { 0x1452, "big_moment_ending_vfx_tower_pillar_left_burst" },
    { 0x1453, "big_moment_ending_vfx_tower_pillar_right_burst" },
    { 0x1454, "big_moment_ending_vfx_tower_smoke_up" },
    { 0x1455, "big_moment_ending_vfx_tower_smoke_up_tall" },
    { 0x1456, "big_moment_ending_vfx_tower_top_left_burst" },
    { 0x1457, "big_moment_ending_vfx_trailing_dust" },
    { 0x1458, "big_moment_ending_vfx_warbird_dust" },
    { 0x1459, "big_pipe_explosion_vfx_after_hangar" },
    { 0x145A, "bigfinale" },
    { 0x145B, "bigfinaleblockknife" },
    { 0x145C, "bigfinaleenemytruckdamagesetup" },
    { 0x145D, "bigfinalehadesknife" },
    { 0x145E, "bigfinalehitflash" },
    { 0x145F, "bigfinaleilanagun" },
    { 0x1460, "bigfinaleilanakickcar" },
    { 0x1461, "bigfinaleilanamagicshoot" },
    { 0x1462, "bigfinaleilanapunchcar" },
    { 0x1463, "bigfinaleilanashoot" },
    { 0x1464, "bigfinaleilanaslamcar" },
    { 0x1465, "bigfinaleplayergrabgun" },
    { 0x1466, "bigfinaleplayerhitbyveh" },
    { 0x1467, "bigfinaleplayerhitwall" },
    { 0x1468, "bigfinaleplayerknife" },
    { 0x1469, "bigfinaleplayerlosegun" },
    { 0x146A, "bigfinaleplayerripdoor" },
    { 0x146B, "bigfinaleplayershoot" },
    { 0x146C, "bigfinaleplayerstab" },
    { 0x146D, "bigfinaleplayerstabfail" },
    { 0x146E, "bigfinalepunchhades" },
    { 0x146F, "bigfinaleswitchhadeshead" },
    { 0x1470, "bike_mount_dof" },
    { 0x1471, "bike_reach_function" },
    { 0x1472, "bike_rider" },
    { 0x1473, "bike_riders" },
    { 0x1474, "binoc_hint_breakout" },
    { 0x1475, "binoc_overlay" },
    { 0x1476, "binocdidpan" },
    { 0x1477, "binocdidzoom" },
    { 0x1478, "binocs_put_away" },
    { 0x1479, "binocular_dof" },
    { 0x147A, "binocular_mwp_rim_flicker" },
    { 0x147B, "binocular_vision" },
    { 0x147C, "biometrichud" },
    { 0x147D, "bird_flyaway" },
    { 0x147E, "bird_shadow_after_sewer" },
    { 0x147F, "bird_startle" },
    { 0x1480, "birds_after_sewer" },
    { 0x1481, "birds_scatter_cliff_rappel" },
    { 0x1482, "birthnode" },
    { 0x1483, "bisactivated" },
    { 0x1484, "bisgunner" },
    { 0x1485, "biskillstreak" },
    { 0x1486, "bissuppressingsniper" },
    { 0x1487, "bistargeted" },
    { 0x1488, "bkillplayer" },
    { 0x1489, "black_distance" },
    { 0x148A, "black_overlay" },
    { 0x148B, "black_screen" },
    { 0x148C, "blackout" },
    { 0x148D, "blackoutoverlay" },
    { 0x148E, "blank" },
    { 0x148F, "blast_anim_set" },
    { 0x1490, "blast_door_compare" },
    { 0x1491, "blast_doors_mr_x" },
    { 0x1492, "blastdoor_hideents" },
    { 0x1493, "blastdoor_showents" },
    { 0x1494, "blastpursuitfailedposbad" },
    { 0x1495, "blastradius" },
    { 0x1496, "blastshieldusetracker" },
    { 0x1497, "blend" },
    { 0x1498, "blend_dof_presets" },
    { 0x1499, "blend_dof_viewmodel_presets" },
    { 0x149A, "blend_droppitch" },
    { 0x149B, "blend_movespeedscale" },
    { 0x149C, "blend_movespeedscale_default" },
    { 0x149D, "blend_movespeedscale_percent" },
    { 0x149E, "blend_out_fake_speed_blend_ms" },
    { 0x149F, "blend_out_fake_speed_start_ms" },
    { 0x14A0, "blend_viewmodel_dof" },
    { 0x14A1, "blenddelete" },
    { 0x14A2, "blendintocrouchrun" },
    { 0x14A3, "blendintocrouchwalk" },
    { 0x14A4, "blendintostandrun" },
    { 0x14A5, "blendintostandwalk" },
    { 0x14A6, "blendtreeanims" },
    { 0x14A7, "blimp" },
    { 0x14A8, "blimp_animation" },
    { 0x14A9, "blimp_run" },
    { 0x14AA, "blimp_scripted_lights" },
    { 0x14AB, "blindfire" },
    { 0x14AC, "blink_flashlight" },
    { 0x14AD, "blink_lights" },
    { 0x14AE, "blink_lights_flicker" },
    { 0x14AF, "block_from_going_back" },
    { 0x14B0, "blockage_lighting" },
    { 0x14B1, "blockarea" },
    { 0x14B2, "blockentsinarea" },
    { 0x14B3, "blockgoalpos" },
    { 0x14B4, "blockingpain" },
    { 0x14B5, "blockweapondrops" },
    { 0x14B6, "blood_splat_on_screen" },
    { 0x14B7, "blood_splatter_simple" },
    { 0x14B8, "bloodeffect" },
    { 0x14B9, "bloodmeleeeffect" },
    { 0x14BA, "bloodsplateffect" },
    { 0x14BB, "bloodsprayexitwoundtrace" },
    { 0x14BC, "bloody_death" },
    { 0x14BD, "bloody_death_all_survivors" },
    { 0x14BE, "bloody_death_fx" },
    { 0x14BF, "blow_door" },
    { 0x14C0, "blowitup" },
    { 0x14C1, "blowout_goalradius_on_pathend" },
    { 0x14C2, "blowupatendoftrackingtime" },
    { 0x14C3, "blowupdronesequence" },
    { 0x14C4, "blowupdronesequenceexplosive" },
    { 0x14C5, "blue" },
    { 0x14C6, "blur_sine" },
    { 0x14C7, "blurry_rotors_on" },
    { 0x14C8, "blurview" },
    { 0x14C9, "bmarkallies" },
    { 0x14CA, "bmcd_debug_loop" },
    { 0x14CB, "bnoanimunload" },
    { 0x14CC, "boarderfx" },
    { 0x14CD, "boarderfxid" },
    { 0x14CE, "boat_bobbing_think" },
    { 0x14CF, "boat_canal" },
    { 0x14D0, "boat_crash_break_glass" },
    { 0x14D1, "boat_death_think" },
    { 0x14D2, "boat_end" },
    { 0x14D3, "boat_large_static_foam" },
    { 0x14D4, "boat_portal_tigger_on" },
    { 0x14D5, "boat_rock_check_triggers" },
    { 0x14D6, "boat_rocking_hangar" },
    { 0x14D7, "boat_rocking_jet_moment" },
    { 0x14D8, "boat_scene_big_bob_settings" },
    { 0x14D9, "boat_scene_boat_warning_system" },
    { 0x14DA, "boat_scene_bobbing_obstacle" },
    { 0x14DB, "boat_scene_bridge_collapse" },
    { 0x14DC, "boat_scene_cleanup" },
    { 0x14DD, "boat_scene_cleanup_warning_elem_on_crash" },
    { 0x14DE, "boat_scene_crash_moment" },
    { 0x14DF, "boat_scene_crash_moment_whiteout" },
    { 0x14E0, "boat_scene_disable_dive" },
    { 0x14E1, "boat_scene_dive_tutorial" },
    { 0x14E2, "boat_scene_dive_tutorial_trigger_hit" },
    { 0x14E3, "boat_scene_drive_gas_tutorial" },
    { 0x14E4, "boat_scene_drive_tutorial" },
    { 0x14E5, "boat_scene_early_setup" },
    { 0x14E6, "boat_scene_early_setup_start_bobbing_boats" },
    { 0x14E7, "boat_scene_fail_path" },
    { 0x14E8, "boat_scene_fire_missile_at_boat" },
    { 0x14E9, "boat_scene_handle_boat_collisions" },
    { 0x14EA, "boat_scene_handle_boat_damage" },
    { 0x14EB, "boat_scene_handle_fail_state" },
    { 0x14EC, "boat_scene_heli_change_paths" },
    { 0x14ED, "boat_scene_heli_change_paths_on_trigger" },
    { 0x14EE, "boat_scene_hide_warning_elem" },
    { 0x14EF, "boat_scene_master_handler" },
    { 0x14F0, "boat_scene_missile_dive_warning" },
    { 0x14F1, "boat_scene_missile_flight" },
    { 0x14F2, "boat_scene_missile_impact_damage_boat" },
    { 0x14F3, "boat_scene_missile_launch_volley" },
    { 0x14F4, "boat_scene_missile_wait_for_player_to_surface" },
    { 0x14F5, "boat_scene_monitor_boat_params" },
    { 0x14F6, "boat_scene_moving_obstacle" },
    { 0x14F7, "boat_scene_moving_obstacle_delete_boat_on_spawner_death" },
    { 0x14F8, "boat_scene_moving_obstacle_spawn_boat_in_radius" },
    { 0x14F9, "boat_scene_play_target_lock_sound_loop" },
    { 0x14FA, "boat_scene_prep_drones" },
    { 0x14FB, "boat_scene_prep_water_impacts" },
    { 0x14FC, "boat_scene_raise_canal_blocker" },
    { 0x14FD, "boat_scene_remove_water_impact" },
    { 0x14FE, "boat_scene_setup" },
    { 0x14FF, "boat_scene_setup_spawn_swarm" },
    { 0x1500, "boat_scene_show_warning_elem" },
    { 0x1501, "boat_scene_small_bob_settings" },
    { 0x1502, "boat_scene_spawn_water_impact" },
    { 0x1503, "boat_scene_swap_to_grapple_body" },
    { 0x1504, "boat_scene_target_lock_sound" },
    { 0x1505, "boat_scene_trigger_fail_path" },
    { 0x1506, "boat_scene_vig_civ_setup" },
    { 0x1507, "boat_small_static_foam" },
    { 0x1508, "boats" },
    { 0x1509, "bob_mask" },
    { 0x150A, "bobbing_fnc" },
    { 0x150B, "bobbing_objects" },
    { 0x150C, "bobbing_settings" },
    { 0x150D, "bobbing_underwater" },
    { 0x150E, "bobbingbuoyangles" },
    { 0x150F, "bobbingobject" },
    { 0x1510, "bobobjectparam" },
    { 0x1511, "bobobjectto" },
    { 0x1512, "bodies_gag_door_trigger" },
    { 0x1513, "body_room_exit" },
    { 0x1514, "body_temp" },
    { 0x1515, "bodygasfx" },
    { 0x1516, "bodyrollvelocity" },
    { 0x1517, "bodyroom_gag_ghost_function" },
    { 0x1518, "bodyroom_gag_support_function" },
    { 0x1519, "bodystashguardalertwatch" },
    { 0x151A, "bodystashguardapproach" },
    { 0x151B, "bodystashguarddeath" },
    { 0x151C, "bodystashguardkillwatch" },
    { 0x151D, "bodystashguardnofeedback" },
    { 0x151E, "boid_add_vehicle_to_targets" },
    { 0x151F, "boid_cheap_death" },
    { 0x1520, "boid_cloud_spawned" },
    { 0x1521, "boid_flock_think" },
    { 0x1522, "boid_settings" },
    { 0x1523, "boid_settings_presets" },
    { 0x1524, "boid_vehicle_targets" },
    { 0x1525, "boids" },
    { 0x1526, "bollards_clips" },
    { 0x1527, "bollards_move" },
    { 0x1528, "bolthit" },
    { 0x1529, "bomb" },
    { 0x152A, "bomb_defuser" },
    { 0x152B, "bomb_defuser_update" },
    { 0x152C, "bomb_light" },
    { 0x152D, "bomb_plant_dof" },
    { 0x152E, "bomb_plant_dof_bokeh" },
    { 0x152F, "bomb_plant_lighting" },
    { 0x1530, "bomb_shakes" },
    { 0x1531, "bomb_tag" },
    { 0x1532, "bomb_tag_left" },
    { 0x1533, "bomb_tag_right" },
    { 0x1534, "bomb_target" },
    { 0x1535, "bomb_zone_assaulting" },
    { 0x1536, "bombdefused" },
    { 0x1537, "bombdefuseevent" },
    { 0x1538, "bombdefusetrig" },
    { 0x1539, "bombdetonateevent" },
    { 0x153A, "bomber_disable_movement_for_time" },
    { 0x153B, "bomber_monitor_no_path" },
    { 0x153C, "bomber_wait_for_bomb_reset" },
    { 0x153D, "bomber_wait_for_death" },
    { 0x153E, "bomberdropbombs" },
    { 0x153F, "bomberdropcarepackges" },
    { 0x1540, "bombexploded" },
    { 0x1541, "bomblet_camera_waiter" },
    { 0x1542, "bomblet_camera_waiter_complete" },
    { 0x1543, "bomblet_explosion_waiter" },
    { 0x1544, "bombowner" },
    { 0x1545, "bombplanted" },
    { 0x1546, "bombplantedanim" },
    { 0x1547, "bombplantedtime" },
    { 0x1548, "bombplantevent" },
    { 0x1549, "bombs" },
    { 0x154A, "bombshake_interval" },
    { 0x154B, "bombshake_interval_rand" },
    { 0x154C, "bombsquadicons" },
    { 0x154D, "bombsquadids" },
    { 0x154E, "bombsquadmodel" },
    { 0x154F, "bombsquadvisibilityupdater" },
    { 0x1550, "bombsquadwaiter" },
    { 0x1551, "bombtimer" },
    { 0x1552, "bombtimerwait" },
    { 0x1553, "bombzone_num_picked" },
    { 0x1554, "bombzonegoal" },
    { 0x1555, "bombzones" },
    { 0x1556, "bone" },
    { 0x1557, "bones" },
    { 0x1558, "bones_advance_hospital" },
    { 0x1559, "bones_bike" },
    { 0x155A, "bones_bike_idle_wait" },
    { 0x155B, "bones_dismount" },
    { 0x155C, "bones_fence" },
    { 0x155D, "bones_gate_jtbk_land" },
    { 0x155E, "bones_gate_jtbk_lift" },
    { 0x155F, "bones_high_five" },
    { 0x1560, "bones_onbike" },
    { 0x1561, "bones_rollout_manager" },
    { 0x1562, "boneyard_fire_at_targets" },
    { 0x1563, "boneyard_style_heli_missile_attack" },
    { 0x1564, "boneyard_style_heli_missile_attack_linked" },
    { 0x1565, "boobytrapcratethink" },
    { 0x1566, "bool_norecharge" },
    { 0x1567, "boost" },
    { 0x1568, "boost_attack" },
    { 0x1569, "boost_attack_deal_damage" },
    { 0x156A, "boost_dash" },
    { 0x156B, "boost_dash_think" },
    { 0x156C, "boost_dash_track_player_movement" },
    { 0x156D, "boost_dash_track_player_velocity" },
    { 0x156E, "boost_dodge_activate_plr" },
    { 0x156F, "boost_down_in_order" },
    { 0x1570, "boost_hint" },
    { 0x1571, "boost_hint_breakout" },
    { 0x1572, "boost_jump" },
    { 0x1573, "boost_jump_disable" },
    { 0x1574, "boost_jump_disable_npc" },
    { 0x1575, "boost_jump_enable" },
    { 0x1576, "boost_jump_enabled" },
    { 0x1577, "boost_jump_hint" },
    { 0x1578, "boost_jump_npc" },
    { 0x1579, "boost_jump_player" },
    { 0x157A, "boost_jump_to_heli" },
    { 0x157B, "boost_jump_toggle" },
    { 0x157C, "boost_jump_wrapper" },
    { 0x157D, "boost_land_anims" },
    { 0x157E, "boost_land_assist_npc" },
    { 0x157F, "boost_land_assist_npc_ground" },
    { 0x1580, "boost_land_first_shot" },
    { 0x1581, "boost_land_hud_disable" },
    { 0x1582, "boost_land_hud_enable" },
    { 0x1583, "boost_land_max_locked_out" },
    { 0x1584, "boost_land_max_shot_timer" },
    { 0x1585, "boost_land_npc" },
    { 0x1586, "boost_land_on" },
    { 0x1587, "boost_land_out_of_fuel" },
    { 0x1588, "boost_land_play_oneshot" },
    { 0x1589, "boost_land_player" },
    { 0x158A, "boost_land_release_locked_out" },
    { 0x158B, "boost_land_release_shot_timer" },
    { 0x158C, "boost_land_release_start_time" },
    { 0x158D, "boost_land_use_fuel" },
    { 0x158E, "boost_land_velocity_finder" },
    { 0x158F, "boost_lets_go" },
    { 0x1590, "boost_plane_controls" },
    { 0x1591, "boost_script_ender" },
    { 0x1592, "boost_setup_desat" },
    { 0x1593, "boost_slam_hint" },
    { 0x1594, "boost_slam_history" },
    { 0x1595, "boost_slam_use_hint" },
    { 0x1596, "boost_slam_use_monitor" },
    { 0x1597, "boost_timer" },
    { 0x1598, "boost_use_hint" },
    { 0x1599, "booster_distance_checker" },
    { 0x159A, "boosters_off_anim" },
    { 0x159B, "boostslamkillevent" },
    { 0x159C, "border_drone_fail" },
    { 0x159D, "bored_patrol_anims" },
    { 0x159E, "bot" },
    { 0x159F, "bot_3d_sighting_model" },
    { 0x15A0, "bot_3d_sighting_model_thread" },
    { 0x15A1, "bot_abort_tactical_goal" },
    { 0x15A2, "bot_add_ambush_time_delayed" },
    { 0x15A3, "bot_add_missing_nodes" },
    { 0x15A4, "bot_add_scavenger_bag" },
    { 0x15A5, "bot_add_to_bot_damage_targets" },
    { 0x15A6, "bot_add_to_bot_level_targets" },
    { 0x15A7, "bot_add_to_bot_use_targets" },
    { 0x15A8, "bot_allow_to_capture_flag" },
    { 0x15A9, "bot_allowed_to_3_cap" },
    { 0x15AA, "bot_allowed_to_switch_teams" },
    { 0x15AB, "bot_allowed_to_use_killstreaks" },
    { 0x15AC, "bot_ambush_end" },
    { 0x15AD, "bot_assign_personality_functions" },
    { 0x15AE, "bot_attachment_reticle" },
    { 0x15AF, "bot_attachmenttable" },
    { 0x15B0, "bot_balance_personality" },
    { 0x15B1, "bot_ball_attacker_limit_for_team" },
    { 0x15B2, "bot_ball_defender_limit_for_team" },
    { 0x15B3, "bot_ball_get_balls_carried_by_team" },
    { 0x15B4, "bot_ball_get_closest_ball" },
    { 0x15B5, "bot_ball_get_free_balls" },
    { 0x15B6, "bot_ball_get_origin" },
    { 0x15B7, "bot_ball_is_resetting" },
    { 0x15B8, "bot_ball_origin_can_see_goal" },
    { 0x15B9, "bot_ball_think" },
    { 0x15BA, "bot_ball_trace_to_origin" },
    { 0x15BB, "bot_body_is_dead" },
    { 0x15BC, "bot_bots_enabled_or_added" },
    { 0x15BD, "bot_cache_entrances" },
    { 0x15BE, "bot_cache_entrances_to_bombzones" },
    { 0x15BF, "bot_cache_entrances_to_gametype_array" },
    { 0x15C0, "bot_cache_entrances_to_hardpoints" },
    { 0x15C1, "bot_cache_flag_distances" },
    { 0x15C2, "bot_camotable" },
    { 0x15C3, "bot_camp_tag" },
    { 0x15C4, "bot_camping" },
    { 0x15C5, "bot_can_join_team" },
    { 0x15C6, "bot_can_revive" },
    { 0x15C7, "bot_can_use_assault_ugv" },
    { 0x15C8, "bot_can_use_assault_ugv_only_ai_version" },
    { 0x15C9, "bot_can_use_box_by_type" },
    { 0x15CA, "bot_can_use_emp" },
    { 0x15CB, "bot_can_use_point_in_defend" },
    { 0x15CC, "bot_can_use_sentry_only_ai_version" },
    { 0x15CD, "bot_can_use_strafing_run" },
    { 0x15CE, "bot_can_use_warbird" },
    { 0x15CF, "bot_can_use_warbird_only_ai_version" },
    { 0x15D0, "bot_capture_hp_zone" },
    { 0x15D1, "bot_capture_point" },
    { 0x15D2, "bot_capture_zone" },
    { 0x15D3, "bot_capture_zone_get_furthest_distance" },
    { 0x15D4, "bot_check_tag_above_head" },
    { 0x15D5, "bot_check_team_is_using_position" },
    { 0x15D6, "bot_choose_difficulty_for_default" },
    { 0x15D7, "bot_choose_flag" },
    { 0x15D8, "bot_class" },
    { 0x15D9, "bot_client_counts" },
    { 0x15DA, "bot_cm_human_picked" },
    { 0x15DB, "bot_cm_spawned_bots" },
    { 0x15DC, "bot_cm_waited_players_time" },
    { 0x15DD, "bot_combine_tag_seen_arrays" },
    { 0x15DE, "bot_conf_think" },
    { 0x15DF, "bot_connect_monitor" },
    { 0x15E0, "bot_control_heli" },
    { 0x15E1, "bot_control_heli_main_move_loop" },
    { 0x15E2, "bot_crate_is_command_goal" },
    { 0x15E3, "bot_crate_valid" },
    { 0x15E4, "bot_ctf_ai_director_update" },
    { 0x15E5, "bot_ctf_get_node_chance" },
    { 0x15E6, "bot_ctf_think" },
    { 0x15E7, "bot_cur_loadout_num" },
    { 0x15E8, "bot_custom_classes_allowed" },
    { 0x15E9, "bot_damage_callback" },
    { 0x15EA, "bot_default_class_random" },
    { 0x15EB, "bot_default_sd_role_behavior" },
    { 0x15EC, "bot_defend_get_precalc_entrances_for_current_area" },
    { 0x15ED, "bot_defend_get_random_entrance_point_for_current_area" },
    { 0x15EE, "bot_defend_player_guarding" },
    { 0x15EF, "bot_defend_stop" },
    { 0x15F0, "bot_defend_think" },
    { 0x15F1, "bot_defending" },
    { 0x15F2, "bot_defending_center" },
    { 0x15F3, "bot_defending_nodes" },
    { 0x15F4, "bot_defending_override_origin_node" },
    { 0x15F5, "bot_defending_radius" },
    { 0x15F6, "bot_defending_trigger" },
    { 0x15F7, "bot_defending_type" },
    { 0x15F8, "bot_difficulty_defaults" },
    { 0x15F9, "bot_disable_tactical_goals" },
    { 0x15FA, "bot_dom_debug_should_capture_all" },
    { 0x15FB, "bot_dom_debug_should_protect_all" },
    { 0x15FC, "bot_dom_get_node_chance" },
    { 0x15FD, "bot_dom_leader_dialog" },
    { 0x15FE, "bot_dom_override_flag_targets" },
    { 0x15FF, "bot_dom_think" },
    { 0x1600, "bot_draw_circle" },
    { 0x1601, "bot_draw_cylinder" },
    { 0x1602, "bot_draw_cylinder_think" },
    { 0x1603, "bot_drop" },
    { 0x1604, "bot_enable_tactical_goals" },
    { 0x1605, "bot_end_control_on_respawn" },
    { 0x1606, "bot_end_control_on_vehicle_death" },
    { 0x1607, "bot_end_control_watcher" },
    { 0x1608, "bot_ent_is_anonymous_mine" },
    { 0x1609, "bot_fallback_personality" },
    { 0x160A, "bot_fallback_weapon" },
    { 0x160B, "bot_filter_ambush_inuse" },
    { 0x160C, "bot_filter_ambush_vicinity" },
    { 0x160D, "bot_find_1_loadout_option" },
    { 0x160E, "bot_find_2_loadout_options" },
    { 0x160F, "bot_find_ambush_entrances" },
    { 0x1610, "bot_find_best_tag_from_array" },
    { 0x1611, "bot_find_defend_node_func" },
    { 0x1612, "bot_find_node_that_protects_point" },
    { 0x1613, "bot_find_node_to_capture_point" },
    { 0x1614, "bot_find_node_to_capture_zone" },
    { 0x1615, "bot_find_node_to_guard_player" },
    { 0x1616, "bot_find_random_midpoint" },
    { 0x1617, "bot_find_visible_tags" },
    { 0x1618, "bot_flag_trigger" },
    { 0x1619, "bot_flag_trigger_clear" },
    { 0x161A, "bot_force_stance_for_time" },
    { 0x161B, "bot_funcs" },
    { 0x161C, "bot_gametype_allied_attackers_for_team" },
    { 0x161D, "bot_gametype_allied_defenders_for_team" },
    { 0x161E, "bot_gametype_attacker_defender_ai_director_update" },
    { 0x161F, "bot_gametype_attacker_limit_for_team" },
    { 0x1620, "bot_gametype_chooses_class" },
    { 0x1621, "bot_gametype_chooses_team" },
    { 0x1622, "bot_gametype_defender_limit_for_team" },
    { 0x1623, "bot_gametype_get_allied_attackers_for_team" },
    { 0x1624, "bot_gametype_get_allied_defenders_for_team" },
    { 0x1625, "bot_gametype_get_num_players_on_team" },
    { 0x1626, "bot_gametype_get_players_by_role" },
    { 0x1627, "bot_gametype_initialize_attacker_defender_role" },
    { 0x1628, "bot_gametype_precaching_done" },
    { 0x1629, "bot_gametype_set_role" },
    { 0x162A, "bot_get_all_possible_flags" },
    { 0x162B, "bot_get_ambush_trap_item" },
    { 0x162C, "bot_get_client_limit" },
    { 0x162D, "bot_get_entrances_for_stance_and_index" },
    { 0x162E, "bot_get_grenade_ammo" },
    { 0x162F, "bot_get_grenade_for_purpose" },
    { 0x1630, "bot_get_heli_goal_dist_sq" },
    { 0x1631, "bot_get_heli_slowdown_dist_sq" },
    { 0x1632, "bot_get_host_team" },
    { 0x1633, "bot_get_human_picked_team" },
    { 0x1634, "bot_get_known_attacker" },
    { 0x1635, "bot_get_low_on_ammo" },
    { 0x1636, "bot_get_max_players_on_team" },
    { 0x1637, "bot_get_nodes_in_cone" },
    { 0x1638, "bot_get_num_teammates_capturing_zone" },
    { 0x1639, "bot_get_pick_13_count" },
    { 0x163A, "bot_get_player_team" },
    { 0x163B, "bot_get_rank_xp_and_prestige" },
    { 0x163C, "bot_get_string_index_for_integer" },
    { 0x163D, "bot_get_team_limit" },
    { 0x163E, "bot_get_teammates_capturing_zone" },
    { 0x163F, "bot_get_teammates_currently_defending_point" },
    { 0x1640, "bot_get_teammates_in_radius" },
    { 0x1641, "bot_get_total_gun_ammo" },
    { 0x1642, "bot_get_zones_within_dist" },
    { 0x1643, "bot_get_zones_within_dist_recurs" },
    { 0x1644, "bot_goal_can_override" },
    { 0x1645, "bot_grenade_matches_purpose" },
    { 0x1646, "bot_guard_player" },
    { 0x1647, "bot_gun_think" },
    { 0x1648, "bot_handle_no_valid_defense_node" },
    { 0x1649, "bot_has_tactical_goal" },
    { 0x164A, "bot_heli_find_unvisited_nodes" },
    { 0x164B, "bot_heli_nodes" },
    { 0x164C, "bot_heli_pilot_traceoffset" },
    { 0x164D, "bot_hp_allow_predictive_capping" },
    { 0x164E, "bot_hp_think" },
    { 0x164F, "bot_ignore_precalc_paths" },
    { 0x1650, "bot_in_combat" },
    { 0x1651, "bot_infect_ai_director_update" },
    { 0x1652, "bot_infect_angle_too_steep_for_knife_throw" },
    { 0x1653, "bot_infect_find_node_can_see_ent" },
    { 0x1654, "bot_infect_retrieve_knife" },
    { 0x1655, "bot_infect_think" },
    { 0x1656, "bot_initialized_remote_vehicles" },
    { 0x1657, "bot_interaction_type" },
    { 0x1658, "bot_invalid_attachment_combos" },
    { 0x1659, "bot_is_bodyguarding" },
    { 0x165A, "bot_is_capturing" },
    { 0x165B, "bot_is_capturing_flag" },
    { 0x165C, "bot_is_capturing_zone" },
    { 0x165D, "bot_is_defending" },
    { 0x165E, "bot_is_defending_point" },
    { 0x165F, "bot_is_guarding_player" },
    { 0x1660, "bot_is_monitoring_aerial_danger" },
    { 0x1661, "bot_is_patrolling" },
    { 0x1662, "bot_is_protecting" },
    { 0x1663, "bot_is_protecting_flag" },
    { 0x1664, "bot_is_remote_or_linked" },
    { 0x1665, "bot_is_tag_visible" },
    { 0x1666, "bot_is_valid_killstreak" },
    { 0x1667, "bot_israndom" },
    { 0x1668, "bot_jump_for_tag" },
    { 0x1669, "bot_killstreak_can_use_weapon_version" },
    { 0x166A, "bot_killstreak_choose_loc_enemies" },
    { 0x166B, "bot_killstreak_do_not_use" },
    { 0x166C, "bot_killstreak_drop" },
    { 0x166D, "bot_killstreak_drop_anywhere" },
    { 0x166E, "bot_killstreak_drop_hidden" },
    { 0x166F, "bot_killstreak_drop_outside" },
    { 0x1670, "bot_killstreak_get_all_outside_allies" },
    { 0x1671, "bot_killstreak_get_all_outside_enemies" },
    { 0x1672, "bot_killstreak_get_outside_players" },
    { 0x1673, "bot_killstreak_get_zone_allies_outside" },
    { 0x1674, "bot_killstreak_get_zone_enemies_outside" },
    { 0x1675, "bot_killstreak_is_valid_internal" },
    { 0x1676, "bot_killstreak_is_valid_single" },
    { 0x1677, "bot_killstreak_never_use" },
    { 0x1678, "bot_killstreak_remote_control" },
    { 0x1679, "bot_killstreak_sentry" },
    { 0x167A, "bot_killstreak_setup" },
    { 0x167B, "bot_killstreak_simple_use" },
    { 0x167C, "bot_killstreak_wait" },
    { 0x167D, "bot_know_enemies_on_start" },
    { 0x167E, "bot_ks_funcs" },
    { 0x167F, "bot_ks_heli_offset" },
    { 0x1680, "bot_last_loadout_num" },
    { 0x1681, "bot_leader_dialog" },
    { 0x1682, "bot_loadout_choose_fallback_primary" },
    { 0x1683, "bot_loadout_choose_from_attachmenttable" },
    { 0x1684, "bot_loadout_choose_from_camotable" },
    { 0x1685, "bot_loadout_choose_from_custom_default_class" },
    { 0x1686, "bot_loadout_choose_from_default_class" },
    { 0x1687, "bot_loadout_choose_from_reticletable" },
    { 0x1688, "bot_loadout_choose_from_set" },
    { 0x1689, "bot_loadout_choose_from_statstable" },
    { 0x168A, "bot_loadout_choose_values" },
    { 0x168B, "bot_loadout_class_callback" },
    { 0x168C, "bot_loadout_fields" },
    { 0x168D, "bot_loadout_get_difficulty" },
    { 0x168E, "bot_loadout_item_allowed" },
    { 0x168F, "bot_loadout_item_valid_for_rank" },
    { 0x1690, "bot_loadout_pick" },
    { 0x1691, "bot_loadout_set" },
    { 0x1692, "bot_loadout_set_has_wildcard" },
    { 0x1693, "bot_loadout_team" },
    { 0x1694, "bot_loadout_valid_choice" },
    { 0x1695, "bot_loadouts_initialized" },
    { 0x1696, "bot_lui_convert_team_to_int" },
    { 0x1697, "bot_make_entity_sentient" },
    { 0x1698, "bot_map_center" },
    { 0x1699, "bot_map_max_x" },
    { 0x169A, "bot_map_max_y" },
    { 0x169B, "bot_map_max_z" },
    { 0x169C, "bot_map_min_x" },
    { 0x169D, "bot_map_min_y" },
    { 0x169E, "bot_map_min_z" },
    { 0x169F, "bot_max_players_on_team" },
    { 0x16A0, "bot_melee_tactical_insertion_check" },
    { 0x16A1, "bot_memory_goal" },
    { 0x16A2, "bot_memory_goal_time" },
    { 0x16A3, "bot_min_rank_for_item" },
    { 0x16A4, "bot_monitor_enemy_camp_spots" },
    { 0x16A5, "bot_monitor_team_limits" },
    { 0x16A6, "bot_monitor_watch_entrances_at_goal" },
    { 0x16A7, "bot_monitor_watch_entrances_bodyguard" },
    { 0x16A8, "bot_monitor_watch_entrances_camp" },
    { 0x16A9, "bot_new_tactical_goal" },
    { 0x16AA, "bot_notify_streak_used" },
    { 0x16AB, "bot_out_of_ammo" },
    { 0x16AC, "bot_out_of_combat_time" },
    { 0x16AD, "bot_patrol_area" },
    { 0x16AE, "bot_pers_init" },
    { 0x16AF, "bot_pers_update" },
    { 0x16B0, "bot_personality" },
    { 0x16B1, "bot_personality_list" },
    { 0x16B2, "bot_personality_type" },
    { 0x16B3, "bot_personality_types_desired" },
    { 0x16B4, "bot_pick_new_loadout_next_spawn" },
    { 0x16B5, "bot_pick_personality_from_weapon" },
    { 0x16B6, "bot_pick_random_point_from_set" },
    { 0x16B7, "bot_pick_random_point_in_radius" },
    { 0x16B8, "bot_picking_up" },
    { 0x16B9, "bot_pickup_weapon" },
    { 0x16BA, "bot_player_spawned" },
    { 0x16BB, "bot_point_is_on_pathgrid" },
    { 0x16BC, "bot_post_teleport" },
    { 0x16BD, "bot_post_use_ammo_crate" },
    { 0x16BE, "bot_post_use_box_of_type" },
    { 0x16BF, "bot_pre_use_ammo_crate" },
    { 0x16C0, "bot_pre_use_box_of_type" },
    { 0x16C1, "bot_prematchdonetime" },
    { 0x16C2, "bot_protect_point" },
    { 0x16C3, "bot_queued_process" },
    { 0x16C4, "bot_queued_process_level_thread" },
    { 0x16C5, "bot_queued_process_level_thread_active" },
    { 0x16C6, "bot_queued_process_queue" },
    { 0x16C7, "bot_random_path" },
    { 0x16C8, "bot_random_path_default" },
    { 0x16C9, "bot_random_path_function" },
    { 0x16CA, "bot_random_ranks_for_difficulty" },
    { 0x16CB, "bot_recent_point_of_interest" },
    { 0x16CC, "bot_register_killstreak_func" },
    { 0x16CD, "bot_remove_from_bot_level_targets" },
    { 0x16CE, "bot_remove_invalid_tags" },
    { 0x16CF, "bot_respawn_launcher_name" },
    { 0x16D0, "bot_restart_think_threads" },
    { 0x16D1, "bot_reticletable" },
    { 0x16D2, "bot_rnd_prestige" },
    { 0x16D3, "bot_rnd_rank" },
    { 0x16D4, "bot_scavenger_bags" },
    { 0x16D5, "bot_sd_ai_director_update" },
    { 0x16D6, "bot_sd_override_zone_targets" },
    { 0x16D7, "bot_sd_start" },
    { 0x16D8, "bot_sd_think" },
    { 0x16D9, "bot_seek_dropped_weapon" },
    { 0x16DA, "bot_send_cancel_notify" },
    { 0x16DB, "bot_send_place_notify" },
    { 0x16DC, "bot_sentry_activate" },
    { 0x16DD, "bot_sentry_add_goal" },
    { 0x16DE, "bot_sentry_cancel" },
    { 0x16DF, "bot_sentry_cancel_failsafe" },
    { 0x16E0, "bot_sentry_carried_obj" },
    { 0x16E1, "bot_sentry_choose_placement" },
    { 0x16E2, "bot_sentry_choose_target" },
    { 0x16E3, "bot_sentry_ensure_exit" },
    { 0x16E4, "bot_sentry_force_cancel" },
    { 0x16E5, "bot_sentry_path_start" },
    { 0x16E6, "bot_sentry_path_thread" },
    { 0x16E7, "bot_sentry_should_abort" },
    { 0x16E8, "bot_set_ambush_trap" },
    { 0x16E9, "bot_set_ambush_trap_wait_fire" },
    { 0x16EA, "bot_set_bombzone_bottargets" },
    { 0x16EB, "bot_set_difficulty" },
    { 0x16EC, "bot_set_loadout_class" },
    { 0x16ED, "bot_set_personality" },
    { 0x16EE, "bot_set_role" },
    { 0x16EF, "bot_set_role_delayed" },
    { 0x16F0, "bot_setup_ball_jump_nodes" },
    { 0x16F1, "bot_setup_bombzone_bottargets" },
    { 0x16F2, "bot_setup_bot_targets" },
    { 0x16F3, "bot_setup_callback_class" },
    { 0x16F4, "bot_setup_loadout_callback" },
    { 0x16F5, "bot_setup_map_specific_killstreaks" },
    { 0x16F6, "bot_should_cap_next_zone" },
    { 0x16F7, "bot_should_defend" },
    { 0x16F8, "bot_should_defend_flag" },
    { 0x16F9, "bot_should_do_killcam" },
    { 0x16FA, "bot_should_melee_level_damage_target" },
    { 0x16FB, "bot_should_pickup_weapons" },
    { 0x16FC, "bot_should_pickup_weapons_infect" },
    { 0x16FD, "bot_should_use_ammo_crate" },
    { 0x16FE, "bot_should_use_ballistic_vest_crate" },
    { 0x16FF, "bot_should_use_grenade_crate" },
    { 0x1700, "bot_should_use_juicebox_crate" },
    { 0x1701, "bot_should_use_scavenger_bag" },
    { 0x1702, "bot_spawn_from_devgui_in_progress" },
    { 0x1703, "bot_spawned_before" },
    { 0x1704, "bot_sr_think" },
    { 0x1705, "bot_start_know_enemy" },
    { 0x1706, "bot_start_known_by_enemy" },
    { 0x1707, "bot_supported_killstreaks" },
    { 0x1708, "bot_switch_to_killstreak_weapon" },
    { 0x1709, "bot_tag_allowable_jump_height" },
    { 0x170A, "bot_tag_obj_radius" },
    { 0x170B, "bot_target" },
    { 0x170C, "bot_target_is_flag" },
    { 0x170D, "bot_targets" },
    { 0x170E, "bot_team" },
    { 0x170F, "bot_think" },
    { 0x1710, "bot_think_crate" },
    { 0x1711, "bot_think_crate_blocking_path" },
    { 0x1712, "bot_think_gametype" },
    { 0x1713, "bot_think_killstreak" },
    { 0x1714, "bot_think_level_actions" },
    { 0x1715, "bot_think_revive" },
    { 0x1716, "bot_think_seek_dropped_weapons" },
    { 0x1717, "bot_think_tactical_goals" },
    { 0x1718, "bot_think_watch_aerial_killstreak" },
    { 0x1719, "bot_think_watch_enemy" },
    { 0x171A, "bot_triggers" },
    { 0x171B, "bot_try_trap_follower" },
    { 0x171C, "bot_twar_capture_zone" },
    { 0x171D, "bot_twar_get_node_chance" },
    { 0x171E, "bot_twar_get_zone_label" },
    { 0x171F, "bot_twar_get_zones_for_team" },
    { 0x1720, "bot_twar_is_capturing_zone" },
    { 0x1721, "bot_twar_should_start_cautious_approach" },
    { 0x1722, "bot_twar_think" },
    { 0x1723, "bot_update_camp_assassin" },
    { 0x1724, "bot_usebutton_wait" },
    { 0x1725, "bot_valid_camp_assassin" },
    { 0x1726, "bot_validate_perk" },
    { 0x1727, "bot_validate_reticle" },
    { 0x1728, "bot_validate_weapon" },
    { 0x1729, "bot_variables_initialized" },
    { 0x172A, "bot_vectors_are_equal" },
    { 0x172B, "bot_visited_times" },
    { 0x172C, "bot_wait_for_event_flag_swap" },
    { 0x172D, "bot_waittill_bots_enabled" },
    { 0x172E, "bot_waittill_goal_or_fail" },
    { 0x172F, "bot_waittill_out_of_combat_or_time" },
    { 0x1730, "bot_waittill_using_vehicle" },
    { 0x1731, "bot_war_think" },
    { 0x1732, "bot_watch_entrances_delayed" },
    { 0x1733, "bot_watch_for_death" },
    { 0x1734, "bot_watch_manual_detonate" },
    { 0x1735, "bot_watch_new_tags" },
    { 0x1736, "bot_watch_nodes" },
    { 0x1737, "bot_weap_built_in_attachments" },
    { 0x1738, "bot_weap_personality" },
    { 0x1739, "bot_weap_statstable" },
    { 0x173A, "bothbarrels" },
    { 0x173B, "bothplayerssplitscreen" },
    { 0x173C, "botlastloadout" },
    { 0x173D, "botlastloadoutdifficulty" },
    { 0x173E, "botlastloadoutpersonality" },
    { 0x173F, "botloadoutfavoritecamoprimary" },
    { 0x1740, "botloadoutfavoritecamosecondary" },
    { 0x1741, "botloadoutsets" },
    { 0x1742, "botloadouttemplates" },
    { 0x1743, "bots" },
    { 0x1744, "bots_disable_team_switching" },
    { 0x1745, "bots_exist" },
    { 0x1746, "bots_gametype_handles_class_choice" },
    { 0x1747, "bots_gametype_handles_team_choice" },
    { 0x1748, "bots_ignore_team_balance" },
    { 0x1749, "bots_notify_on_disconnect" },
    { 0x174A, "bots_notify_on_spawn" },
    { 0x174B, "bots_remove_from_array_on_notify" },
    { 0x174C, "bots_update_difficulty" },
    { 0x174D, "bots_used" },
    { 0x174E, "bottarget" },
    { 0x174F, "bottargets" },
    { 0x1750, "bottom" },
    { 0x1751, "boulder_originandangles" },
    { 0x1752, "boulderbarrage" },
    { 0x1753, "bouncegate" },
    { 0x1754, "bouncelight" },
    { 0x1755, "bouncing_betty_animated" },
    { 0x1756, "bouncingbettyarray" },
    { 0x1757, "bounds" },
    { 0x1758, "box_extent" },
    { 0x1759, "boxes" },
    { 0x175A, "boxsettings" },
    { 0x175B, "boxtouchonly" },
    { 0x175C, "boxtruck_explode" },
    { 0x175D, "boxtype" },
    { 0x175E, "bp" },
    { 0x175F, "bplayerisinsidesafehouse" },
    { 0x1760, "bplayerleash" },
    { 0x1761, "bplayerscanon" },
    { 0x1762, "bpm" },
    { 0x1763, "braggingrightsloser" },
    { 0x1764, "brakingcurrenttime" },
    { 0x1765, "bravo" },
    { 0x1766, "bravo_leader" },
    { 0x1767, "breach_abort" },
    { 0x1768, "breach_ai_reset" },
    { 0x1769, "breach_ajani_land" },
    { 0x176A, "breach_anims" },
    { 0x176B, "breach_backtrack_fail" },
    { 0x176C, "breach_bad_guy2_gets_shot" },
    { 0x176D, "breach_bad_weapon_hint" },
    { 0x176E, "breach_charge" },
    { 0x176F, "breach_charge_2" },
    { 0x1770, "breach_cleanup" },
    { 0x1771, "breach_death_anims" },
    { 0x1772, "breach_debug_display_animnames" },
    { 0x1773, "breach_dof" },
    { 0x1774, "breach_dont_fire" },
    { 0x1775, "breach_doors" },
    { 0x1776, "breach_enemies_stunned" },
    { 0x1777, "breach_enemy_6" },
    { 0x1778, "breach_enemy_cancel_ragdoll" },
    { 0x1779, "breach_enemy_catch_exceptions" },
    { 0x177A, "breach_enemy_ignored_by_friendlies" },
    { 0x177B, "breach_enemy_ragdoll_on_death" },
    { 0x177C, "breach_enemy_spawner_think" },
    { 0x177D, "breach_enemy_track_status" },
    { 0x177E, "breach_enemy_waitfor_breach_ending" },
    { 0x177F, "breach_enemy_waitfor_death" },
    { 0x1780, "breach_enemy_waitfor_death_counter" },
    { 0x1781, "breach_explosion" },
    { 0x1782, "breach_failed_to_start" },
    { 0x1783, "breach_fire_straight" },
    { 0x1784, "breach_friendlies_ready_at_other_door" },
    { 0x1785, "breach_friendlies_restore_grenades" },
    { 0x1786, "breach_friendlies_take_grenades" },
    { 0x1787, "breach_friendly_hint" },
    { 0x1788, "breach_functions" },
    { 0x1789, "breach_fx" },
    { 0x178A, "breach_fx_setup" },
    { 0x178B, "breach_gideon_land" },
    { 0x178C, "breach_group_trigger_think" },
    { 0x178D, "breach_groups" },
    { 0x178E, "breach_guy_think" },
    { 0x178F, "breach_guys" },
    { 0x1790, "breach_hint_cleanup" },
    { 0x1791, "breach_hint_create" },
    { 0x1792, "breach_hostage_spawner_think" },
    { 0x1793, "breach_icon_think" },
    { 0x1794, "breach_index" },
    { 0x1795, "breach_joker_land" },
    { 0x1796, "breach_lighting" },
    { 0x1797, "breach_missionfailed" },
    { 0x1798, "breach_near_player" },
    { 0x1799, "breach_no_auto_reload" },
    { 0x179A, "breach_not_ready_hint" },
    { 0x179B, "breach_office_door" },
    { 0x179C, "breach_origin" },
    { 0x179D, "breach_participants_ready_to_proceed" },
    { 0x179E, "breach_passive_player" },
    { 0x179F, "breach_passive_time" },
    { 0x17A0, "breach_play_fx" },
    { 0x17A1, "breach_player_land" },
    { 0x17A2, "breach_reloading_hint" },
    { 0x17A3, "breach_reset_animname" },
    { 0x17A4, "breach_reset_goaladius" },
    { 0x17A5, "breach_rumble" },
    { 0x17A6, "breach_set_animname" },
    { 0x17A7, "breach_set_goaladius" },
    { 0x17A8, "breach_should_be_skipped" },
    { 0x17A9, "breach_signal" },
    { 0x17AA, "breach_slo_mo_exit" },
    { 0x17AB, "breach_slow_down" },
    { 0x17AC, "breach_spawner_setup" },
    { 0x17AD, "breach_think" },
    { 0x17AE, "breach_too_many_enemies_hint" },
    { 0x17AF, "breach_top_off_weapon" },
    { 0x17B0, "breach_trigger_cleanup" },
    { 0x17B1, "breach_trigger_think" },
    { 0x17B2, "breach_use_triggers" },
    { 0x17B3, "breachactors" },
    { 0x17B4, "breachdialogreminders" },
    { 0x17B5, "breachdonotfire" },
    { 0x17B6, "breached" },
    { 0x17B7, "breachenemies" },
    { 0x17B8, "breachenemies_active" },
    { 0x17B9, "breachenemies_alive" },
    { 0x17BA, "breacher_think" },
    { 0x17BB, "breachers" },
    { 0x17BC, "breachersready" },
    { 0x17BD, "breachfailstate" },
    { 0x17BE, "breachfinished" },
    { 0x17BF, "breachfriendlies" },
    { 0x17C0, "breachfriendlies_can_teleport" },
    { 0x17C1, "breachfriendlies_grenades_empty" },
    { 0x17C2, "breachignoreenemy_count" },
    { 0x17C3, "breaching" },
    { 0x17C4, "breaching_shots_fired" },
    { 0x17C5, "breachless_door_opens" },
    { 0x17C6, "breachtargetarraymonitor" },
    { 0x17C7, "breachtargets" },
    { 0x17C8, "breachtrigger" },
    { 0x17C9, "bread_crumbs" },
    { 0x17CA, "break_both_climb_hint" },
    { 0x17CB, "break_detonate_frb_hint" },
    { 0x17CC, "break_exfil_out_bounds" },
    { 0x17CD, "break_exo_cloak_hint" },
    { 0x17CE, "break_from_ignoreall" },
    { 0x17CF, "break_glass" },
    { 0x17D0, "break_glass_when_near" },
    { 0x17D1, "break_hovertank_reload_hint" },
    { 0x17D2, "break_if_flashed_sonic" },
    { 0x17D3, "break_ignore_all_on_damage" },
    { 0x17D4, "break_left_climb_hint" },
    { 0x17D5, "break_me_out_if_player_found" },
    { 0x17D6, "break_nearest_light" },
    { 0x17D7, "break_office_glass_ahead_of_time" },
    { 0x17D8, "break_out_and_fight" },
    { 0x17D9, "break_out_if_damaged" },
    { 0x17DA, "break_prone_hint" },
    { 0x17DB, "break_right_climb_hint" },
    { 0x17DC, "breakable_light" },
    { 0x17DD, "breakables_fx" },
    { 0x17DE, "breaking" },
    { 0x17DF, "breakout_glass" },
    { 0x17E0, "breakout_opfor_cleanup" },
    { 0x17E1, "breakoutofshootingifwanttomoveup" },
    { 0x17E2, "breaks_os" },
    { 0x17E3, "breaktime" },
    { 0x17E4, "breathers" },
    { 0x17E5, "breathingmanager" },
    { 0x17E6, "breathingstoptime" },
    { 0x17E7, "brick" },
    { 0x17E8, "brick_smash_setup" },
    { 0x17E9, "bridge" },
    { 0x17EA, "bridge_atlas_suv_drive_up" },
    { 0x17EB, "bridge_car_explode" },
    { 0x17EC, "bridge_chunks" },
    { 0x17ED, "bridge_civs" },
    { 0x17EE, "bridge_collapse_anim" },
    { 0x17EF, "bridge_collapse_mob_explosion" },
    { 0x17F0, "bridge_collapse_rumble" },
    { 0x17F1, "bridge_collapse_rumble_steady" },
    { 0x17F2, "bridge_collapse_rumble_timed" },
    { 0x17F3, "bridge_collapse_screen_effects" },
    { 0x17F4, "bridge_collapse_sequence" },
    { 0x17F5, "bridge_collapsed" },
    { 0x17F6, "bridge_dialogue" },
    { 0x17F7, "bridge_enemies" },
    { 0x17F8, "bridge_explosion" },
    { 0x17F9, "bridge_fall" },
    { 0x17FA, "bridge_fire_clear" },
    { 0x17FB, "bridge_glows" },
    { 0x17FC, "bridge_idle_anims" },
    { 0x17FD, "bridge_kva_hasmat" },
    { 0x17FE, "bridge_player_notetrack_handler" },
    { 0x17FF, "bridge_post_crash_pitbull_crawl_done" },
    { 0x1800, "bridge_rappel_squad" },
    { 0x1801, "bridge_reso_detonation" },
    { 0x1802, "bridge_screenfx" },
    { 0x1803, "bridge_soot" },
    { 0x1804, "bridge_street_fight" },
    { 0x1805, "bridge_takedown_fail" },
    { 0x1806, "bridge_takedown_fail_fade" },
    { 0x1807, "bridge_takedown_jump_complete" },
    { 0x1808, "bridge_takedown_success" },
    { 0x1809, "bridge_tanker_explode" },
    { 0x180A, "brief_fx" },
    { 0x180B, "briefing_allies" },
    { 0x180C, "briefing_ambient_allies" },
    { 0x180D, "briefing_ambient_ally_setup" },
    { 0x180E, "briefing_anim_struct" },
    { 0x180F, "briefing_begin" },
    { 0x1810, "briefing_foley" },
    { 0x1811, "briefing_main" },
    { 0x1812, "briefing_obj" },
    { 0x1813, "briefing_player" },
    { 0x1814, "briefing_start" },
    { 0x1815, "briefing_vignette_anims" },
    { 0x1816, "briefing_vignette_cleanup" },
    { 0x1817, "briefing_vignettes" },
    { 0x1818, "brinkofdeathkillstreak" },
    { 0x1819, "broken" },
    { 0x181A, "broken_door" },
    { 0x181B, "broken_glass" },
    { 0x181C, "broom_sweep_dust_fx" },
    { 0x181D, "brush" },
    { 0x181E, "brush_delete" },
    { 0x181F, "brush_show" },
    { 0x1820, "brush_shown" },
    { 0x1821, "brush_throw" },
    { 0x1822, "bsaveinprogress" },
    { 0x1823, "bsc_squelched" },
    { 0x1824, "bscripteddeath" },
    { 0x1825, "bsgods_condition_to_state_driving" },
    { 0x1826, "bsgods_condition_to_state_intro" },
    { 0x1827, "bsgods_enter_state_driving" },
    { 0x1828, "bsgods_in_state_driving" },
    { 0x1829, "bsgods_preset_constructor" },
    { 0x182A, "bsgods_preset_instance_init_callback" },
    { 0x182B, "bsharpturnduringsharpturn" },
    { 0x182C, "bshootwhilemoving" },
    { 0x182D, "bsniperenabled" },
    { 0x182E, "bsoundlooping" },
    { 0x182F, "btr_fire_at_target" },
    { 0x1830, "btr_get_target" },
    { 0x1831, "btr_turret_think" },
    { 0x1832, "bubllength" },
    { 0x1833, "buddy" },
    { 0x1834, "buddyjoinedvo" },
    { 0x1835, "buddyjoinwarbirdsetup" },
    { 0x1836, "buddyspawn" },
    { 0x1837, "bufferedchildstats" },
    { 0x1838, "bufferedstats" },
    { 0x1839, "build_aianims" },
    { 0x183A, "build_all_treadfx" },
    { 0x183B, "build_attach_models" },
    { 0x183C, "build_bulletshield" },
    { 0x183D, "build_call_buttons" },
    { 0x183E, "build_cover_death" },
    { 0x183F, "build_death_badplace" },
    { 0x1840, "build_death_jolt_delay" },
    { 0x1841, "build_deathanim" },
    { 0x1842, "build_deathfx" },
    { 0x1843, "build_deathfx_generic_script_model" },
    { 0x1844, "build_deathfx_override" },
    { 0x1845, "build_deathmodel" },
    { 0x1846, "build_deathquake" },
    { 0x1847, "build_deckdust" },
    { 0x1848, "build_destructible" },
    { 0x1849, "build_drive" },
    { 0x184A, "build_elevators" },
    { 0x184B, "build_exhaust" },
    { 0x184C, "build_frontarmor" },
    { 0x184D, "build_fx" },
    { 0x184E, "build_gaz_death" },
    { 0x184F, "build_grenadeshield" },
    { 0x1850, "build_hideparts" },
    { 0x1851, "build_hovertank_death" },
    { 0x1852, "build_humvee_anims" },
    { 0x1853, "build_idle" },
    { 0x1854, "build_is_airplane" },
    { 0x1855, "build_is_helicopter" },
    { 0x1856, "build_life" },
    { 0x1857, "build_light" },
    { 0x1858, "build_light_override" },
    { 0x1859, "build_localinit" },
    { 0x185A, "build_mainturret" },
    { 0x185B, "build_misc_anims" },
    { 0x185C, "build_missile_launcher" },
    { 0x185D, "build_new_view_matrix" },
    { 0x185E, "build_nodes_for_airspace" },
    { 0x185F, "build_path_by_targetname" },
    { 0x1860, "build_path_info" },
    { 0x1861, "build_quake" },
    { 0x1862, "build_radiusdamage" },
    { 0x1863, "build_rider_death_func" },
    { 0x1864, "build_rocket_deathfx" },
    { 0x1865, "build_rumble" },
    { 0x1866, "build_rumble_override" },
    { 0x1867, "build_rumble_unique" },
    { 0x1868, "build_shoot_shock" },
    { 0x1869, "build_single_tread" },
    { 0x186A, "build_team" },
    { 0x186B, "build_technical" },
    { 0x186C, "build_template" },
    { 0x186D, "build_threat_data" },
    { 0x186E, "build_treadfx" },
    { 0x186F, "build_treadfx_override_get_surface_function" },
    { 0x1870, "build_treadfx_override_tags" },
    { 0x1871, "build_treadfx_script_model" },
    { 0x1872, "build_turret" },
    { 0x1873, "build_unload_groups" },
    { 0x1874, "build_vrap_death" },
    { 0x1875, "build_walker_death" },
    { 0x1876, "buildattachmentmaps" },
    { 0x1877, "buildbaseweaponlist" },
    { 0x1878, "buildchallegeinfo" },
    { 0x1879, "buildchallengetableinfo" },
    { 0x187A, "builddot_damage" },
    { 0x187B, "builddot_ontick" },
    { 0x187C, "builddot_startloop" },
    { 0x187D, "builddot_wait" },
    { 0x187E, "building_1" },
    { 0x187F, "building_bone" },
    { 0x1880, "building_exit_arrived" },
    { 0x1881, "building_explode" },
    { 0x1882, "building_explosion_01" },
    { 0x1883, "building_jump_done" },
    { 0x1884, "building_jump_initiate" },
    { 0x1885, "building_research_bridge" },
    { 0x1886, "buildscoreboardtype" },
    { 0x1887, "buildshadowgeomopt" },
    { 0x1888, "buildshadowgeomopt_ng" },
    { 0x1889, "buildshadowmapgeomopt" },
    { 0x188A, "buildvalidflightpaths" },
    { 0x188B, "buildweapondata" },
    { 0x188C, "buildweaponname" },
    { 0x188D, "buildweaponnamecamo" },
    { 0x188E, "buildweaponnamereticle" },
    { 0x188F, "buildweaponsettings" },
    { 0x1890, "bulblength" },
    { 0x1891, "bulbradius" },
    { 0x1892, "bullet_armor" },
    { 0x1893, "bullet_attack" },
    { 0x1894, "bullet_break_glass_gag_timer" },
    { 0x1895, "bullet_cluster_01" },
    { 0x1896, "bullet_cluster_02" },
    { 0x1897, "bullet_cluster_03" },
    { 0x1898, "bullet_cluster_04" },
    { 0x1899, "bullet_cluster_06" },
    { 0x189A, "bullet_cluster_07" },
    { 0x189B, "bullet_cluster_12" },
    { 0x189C, "bullet_cluster_15" },
    { 0x189D, "bullet_cluster_32" },
    { 0x189E, "bullet_cluster_33" },
    { 0x189F, "bullet_cluster_36" },
    { 0x18A0, "bullet_cluster_37" },
    { 0x18A1, "bullet_cluster_40" },
    { 0x18A2, "bullet_cluster_41" },
    { 0x18A3, "bullet_cluster_43" },
    { 0x18A4, "bullet_cluster_45" },
    { 0x18A5, "bullet_deflector_shield" },
    { 0x18A6, "bullet_magnet_shield" },
    { 0x18A7, "bullet_rain_drone_swarm" },
    { 0x18A8, "bullet_resistance" },
    { 0x18A9, "bullet_shield_shield" },
    { 0x18AA, "bullet_thing" },
    { 0x18AB, "bulletdamagemod" },
    { 0x18AC, "bullethitcallback" },
    { 0x18AD, "bulletpenetrationevent" },
    { 0x18AE, "bullets_break_office_glass_gag" },
    { 0x18AF, "bulletshielded" },
    { 0x18B0, "bulletsinclip" },
    { 0x18B1, "bulletstreak" },
    { 0x18B2, "bulletwhizbycheck_whilemoving" },
    { 0x18B3, "bulletwhizbycheckloop" },
    { 0x18B4, "bulletwhizbyreaction" },
    { 0x18B5, "bump_into_awareness" },
    { 0x18B6, "bump_music_for_burke_takedown" },
    { 0x18B7, "bump_nag_vo" },
    { 0x18B8, "bumper_test" },
    { 0x18B9, "bunker_guy01" },
    { 0x18BA, "bunker_guy02" },
    { 0x18BB, "bunker_guy03" },
    { 0x18BC, "bunker_intro_anim" },
    { 0x18BD, "bunker_respawn_handler" },
    { 0x18BE, "bunker_settings" },
    { 0x18BF, "buoys_return_to_bobbing" },
    { 0x18C0, "burke" },
    { 0x18C1, "burke_180_function" },
    { 0x18C2, "burke_advance" },
    { 0x18C3, "burke_advance_hospital" },
    { 0x18C4, "burke_aggression" },
    { 0x18C5, "burke_alert" },
    { 0x18C6, "burke_ask_player_to_use_bike" },
    { 0x18C7, "burke_at_school_door" },
    { 0x18C8, "burke_beam_bend" },
    { 0x18C9, "burke_bike" },
    { 0x18CA, "burke_bike_speed" },
    { 0x18CB, "burke_breach" },
    { 0x18CC, "burke_breach_interrupt" },
    { 0x18CD, "burke_burst_shoot" },
    { 0x18CE, "burke_bus_goal" },
    { 0x18CF, "burke_busted_light" },
    { 0x18D0, "burke_cheap_flashlight_setup" },
    { 0x18D1, "burke_cr_foley_console" },
    { 0x18D2, "burke_cr_foley_enter" },
    { 0x18D3, "burke_cr_foley_idle" },
    { 0x18D4, "burke_cr_foley_start" },
    { 0x18D5, "burke_deadroom_door" },
    { 0x18D6, "burke_disable_cqb" },
    { 0x18D7, "burke_dismount" },
    { 0x18D8, "burke_dismount_timing_fix" },
    { 0x18D9, "burke_drone_warning_dialogue" },
    { 0x18DA, "burke_exfil_approach" },
    { 0x18DB, "burke_exfil_lighting" },
    { 0x18DC, "burke_exit" },
    { 0x18DD, "burke_exo_cloak_on" },
    { 0x18DE, "burke_exo_push_end_early" },
    { 0x18DF, "burke_exo_push_wait" },
    { 0x18E0, "burke_fastzip_aim_turret" },
    { 0x18E1, "burke_fastzip_scene" },
    { 0x18E2, "burke_feet01" },
    { 0x18E3, "burke_forest_stealth_movement" },
    { 0x18E4, "burke_forest_takedown" },
    { 0x18E5, "burke_gate_jtbk_land" },
    { 0x18E6, "burke_gate_jtbk_lift" },
    { 0x18E7, "burke_gets_up" },
    { 0x18E8, "burke_greets_alpha_dialogue" },
    { 0x18E9, "burke_hand_plant_lf_wallclimb" },
    { 0x18EA, "burke_hand_plant_rt_wallclimb" },
    { 0x18EB, "burke_hill_slide" },
    { 0x18EC, "burke_intro_anim" },
    { 0x18ED, "burke_intro_dialogue" },
    { 0x18EE, "burke_intro_lighting" },
    { 0x18EF, "burke_knocked_to_ground" },
    { 0x18F0, "burke_mech_march_movement" },
    { 0x18F1, "burke_middle_takedown" },
    { 0x18F2, "burke_mounts_bike" },
    { 0x18F3, "burke_move_ahead_wait_function" },
    { 0x18F4, "burke_move_into_office" },
    { 0x18F5, "burke_move_through_alley_cover" },
    { 0x18F6, "burke_onbike" },
    { 0x18F7, "burke_path_through_school" },
    { 0x18F8, "burke_path_to_school" },
    { 0x18F9, "burke_patrol_takedown_02" },
    { 0x18FA, "burke_patrol_takedown_02_cleanup" },
    { 0x18FB, "burke_post_breach_move" },
    { 0x18FC, "burke_powers_up_bike" },
    { 0x18FD, "burke_pre_sentinel_kva_reveal" },
    { 0x18FE, "burke_rally_init" },
    { 0x18FF, "burke_rally_street_dialogue" },
    { 0x1900, "burke_rappel" },
    { 0x1901, "burke_rappel_rope_swap" },
    { 0x1902, "burke_red_arm_light" },
    { 0x1903, "burke_red_arm_light_checkpoint" },
    { 0x1904, "burke_reunite_with_player_alley" },
    { 0x1905, "burke_rim_lights" },
    { 0x1906, "burke_river_entry_splash_fx" },
    { 0x1907, "burke_river_looping_splash_fx" },
    { 0x1908, "burke_rooftop_combat" },
    { 0x1909, "burke_rooftop_combat_animscript" },
    { 0x190A, "burke_rope" },
    { 0x190B, "burke_rope_long" },
    { 0x190C, "burke_run_slide" },
    { 0x190D, "burke_school_approach_idle" },
    { 0x190E, "burke_school_approach_idle_skip" },
    { 0x190F, "burke_se_forest_takedown_01" },
    { 0x1910, "burke_sentinel_kva_reveal" },
    { 0x1911, "burke_server_room_se" },
    { 0x1912, "burke_setupanimations" },
    { 0x1913, "burke_shimmey_setup" },
    { 0x1914, "burke_shimmy_1" },
    { 0x1915, "burke_shimmy_2" },
    { 0x1916, "burke_shimmy_2b" },
    { 0x1917, "burke_slide_02" },
    { 0x1918, "burke_solo_takedown" },
    { 0x1919, "burke_spit_blood" },
    { 0x191A, "burke_spot_lighting" },
    { 0x191B, "burke_startle_stairs" },
    { 0x191C, "burke_tree_slide_fx" },
    { 0x191D, "burke_walk_lighting" },
    { 0x191E, "burke_wall_climb_teleport" },
    { 0x191F, "burke_wall_idle" },
    { 0x1920, "burke_wall_idle_skip" },
    { 0x1921, "burkeambushnohitnotetrack" },
    { 0x1922, "burkecourtyardboostjump" },
    { 0x1923, "burkeopenatriumexitdoor" },
    { 0x1924, "burkestruggledeath" },
    { 0x1925, "burn_and_crash" },
    { 0x1926, "burn_on" },
    { 0x1927, "burning" },
    { 0x1928, "burning_trash_fire" },
    { 0x1929, "burnville_paratrooper_hack" },
    { 0x192A, "burnville_paratrooper_hack_loop" },
    { 0x192B, "burst_fire" },
    { 0x192C, "burst_fire_settings" },
    { 0x192D, "burst_fire_unmanned" },
    { 0x192E, "burst_fire_warbird" },
    { 0x192F, "burst_fire_weapon" },
    { 0x1930, "burstdelay" },
    { 0x1931, "burstfirenumshots" },
    { 0x1932, "burstmax" },
    { 0x1933, "burstmin" },
    { 0x1934, "burstshootanimrate" },
    { 0x1935, "burstshot" },
    { 0x1936, "bus_5_hop_blocker_a" },
    { 0x1937, "bus_5_hop_blocker_b" },
    { 0x1938, "bus_chase_suv_explode" },
    { 0x1939, "bus_chase_suv_lose_control" },
    { 0x193A, "bus_chase_suv_oneshots" },
    { 0x193B, "bus_crash" },
    { 0x193C, "bus_crash_at_end" },
    { 0x193D, "bus_crash_hold_on_last_frame" },
    { 0x193E, "bus_crash_setup_backup_collision" },
    { 0x193F, "bus_crash_start" },
    { 0x1940, "bus_jump_count" },
    { 0x1941, "bus_jumping_notetrack_setup" },
    { 0x1942, "bus_kva_impact_sparks" },
    { 0x1943, "bus_skid" },
    { 0x1944, "busereadyidle" },
    { 0x1945, "busted_light_gag" },
    { 0x1946, "butress_animate" },
    { 0x1947, "butress_origin_fix" },
    { 0x1948, "button" },
    { 0x1949, "button_down" },
    { 0x194A, "button_hint_disable" },
    { 0x194B, "button_hint_display" },
    { 0x194C, "button_is_clicked" },
    { 0x194D, "button_is_held" },
    { 0x194E, "button_is_kb" },
    { 0x194F, "button_mash_detection" },
    { 0x1950, "button_mash_dynamic_hint" },
    { 0x1951, "button_mash_level" },
    { 0x1952, "button_mash_success" },
    { 0x1953, "button_pressed" },
    { 0x1954, "button_pressed_think" },
    { 0x1955, "button_presses" },
    { 0x1956, "button_prompt_on_cardoor" },
    { 0x1957, "button_switch" },
    { 0x1958, "buttonclick" },
    { 0x1959, "buttondown" },
    { 0x195A, "buttonisheld" },
    { 0x195B, "buttonmash_add_per_press" },
    { 0x195C, "buttonmash_decay" },
    { 0x195D, "buttonmash_decay_per_frame" },
    { 0x195E, "buttonmash_hint_cleanup" },
    { 0x195F, "buttonmash_max" },
    { 0x1960, "buttonmash_monitor" },
    { 0x1961, "buttonmash_value" },
    { 0x1962, "buttonpressed_internal" },
    { 0x1963, "buttons" },
    { 0x1964, "buttontimer" },
    { 0x1965, "buttontimertotal" },
    { 0x1966, "buttress_function" },
    { 0x1967, "buzzkillevent" },
    { 0x1968, "bypassclasschoice" },
    { 0x1969, "bypassclasschoicefunc" },
    { 0x196A, "bystander_oppression_event_ents" },
    { 0x196B, "c4_earthquake" },
    { 0x196C, "c4_weaponname" },
    { 0x196D, "c4array" },
    { 0x196E, "c4damage" },
    { 0x196F, "c4death" },
    { 0x1970, "c4deathdetonate" },
    { 0x1971, "c4deatheffect" },
    { 0x1972, "c4empdamage" },
    { 0x1973, "c4empkillstreakwait" },
    { 0x1974, "c4explodethisframe" },
    { 0x1975, "cac" },
    { 0x1976, "cac_camera_offset" },
    { 0x1977, "cac_camera_targetoffset" },
    { 0x1978, "cac_camerazoff" },
    { 0x1979, "cac_camerazoff_zoom" },
    { 0x197A, "cac_camoffset_angle_ratio" },
    { 0x197B, "cac_camoffset_ratio" },
    { 0x197C, "cac_dist" },
    { 0x197D, "cac_framedelay" },
    { 0x197E, "cac_getcustomclassloc" },
    { 0x197F, "cac_getequipment" },
    { 0x1980, "cac_getequipmentextra" },
    { 0x1981, "cac_getkillstreak" },
    { 0x1982, "cac_getkillstreakmodule" },
    { 0x1983, "cac_getoffhand" },
    { 0x1984, "cac_getperk" },
    { 0x1985, "cac_getweapon" },
    { 0x1986, "cac_getweaponattachment" },
    { 0x1987, "cac_getweaponattachmentthree" },
    { 0x1988, "cac_getweaponattachmenttwo" },
    { 0x1989, "cac_getweaponcamo" },
    { 0x198A, "cac_getweaponreticle" },
    { 0x198B, "cac_getwildcard" },
    { 0x198C, "cac_has_slam" },
    { 0x198D, "cac_modified_damage" },
    { 0x198E, "cac_ratio_zoom" },
    { 0x198F, "cac_selector" },
    { 0x1990, "cac_targetzoff" },
    { 0x1991, "cac_targetzoff_zoom" },
    { 0x1992, "cac_weap_loot_offset" },
    { 0x1993, "cac_weap_offset" },
    { 0x1994, "cac_weap_screen_offset" },
    { 0x1995, "cac_weap_tuning" },
    { 0x1996, "cac_weap_tuning_camoffset" },
    { 0x1997, "cac_weap_tuning_weap_sideoffset" },
    { 0x1998, "cac_weap_tuning_weap_zoffset" },
    { 0x1999, "cac_weapon" },
    { 0x199A, "cacloadout" },
    { 0x199B, "cafe_irons_speech_bink" },
    { 0x199C, "cafe_market_damb" },
    { 0x199D, "cafe_market_moped_away" },
    { 0x199E, "cafe_market_music_play" },
    { 0x199F, "cafe_market_music_stop" },
    { 0x19A0, "cafe_market_plane_flyover" },
    { 0x19A1, "cafecamerascancounter" },
    { 0x19A2, "cafecameraumbrella" },
    { 0x19A3, "cafecivilianmeetandgreet" },
    { 0x19A4, "cafeendcamerascan" },
    { 0x19A5, "cafegeeseflyinganimation" },
    { 0x19A6, "cafeilanaseat" },
    { 0x19A7, "cafeinitvendorgate" },
    { 0x19A8, "cafeintrodialog" },
    { 0x19A9, "cafeintrofov" },
    { 0x19AA, "cafemarketilanabackyardwait" },
    { 0x19AB, "cafemarketmoveilana" },
    { 0x19AC, "cafemarketplayerfollowtarget" },
    { 0x19AD, "cafemarketslowdownplayermore" },
    { 0x19AE, "cafeoutrositter" },
    { 0x19AF, "cafeplayercameralook" },
    { 0x19B0, "cafesetupilanabackpack" },
    { 0x19B1, "cafesetupplayerseat" },
    { 0x19B2, "cafesetuptouristilana" },
    { 0x19B3, "cafesittingreader" },
    { 0x19B4, "cafesittingreaderchoosenextanim" },
    { 0x19B5, "cafesittingreaderplaynextanim" },
    { 0x19B6, "cafeteasipper" },
    { 0x19B7, "cafeteria_reinforcements" },
    { 0x19B8, "cafeteria_squad_pressure" },
    { 0x19B9, "cafevideolog" },
    { 0x19BA, "cafewaiter" },
    { 0x19BB, "calc_cam_lookat" },
    { 0x19BC, "calc_f" },
    { 0x19BD, "calc_f_from_avatar" },
    { 0x19BE, "calc_f_from_avatar_spawnpoint" },
    { 0x19BF, "calc_f_fromscreen" },
    { 0x19C0, "calc_flock_goal_pos" },
    { 0x19C1, "calc_new_pos" },
    { 0x19C2, "calc_target_dir" },
    { 0x19C3, "calcanimstartpos" },
    { 0x19C4, "calctrackingyaw" },
    { 0x19C5, "calculate_aerial_pathnodes" },
    { 0x19C6, "calculate_aim_offset" },
    { 0x19C7, "calculate_base_target_offset" },
    { 0x19C8, "calculate_break_time" },
    { 0x19C9, "calculate_defend_stance" },
    { 0x19CA, "calculate_dodge_position" },
    { 0x19CB, "calculate_dodge_positions" },
    { 0x19CC, "calculate_flock_goal_positions" },
    { 0x19CD, "calculate_lateral_move_accuracy" },
    { 0x19CE, "calculate_locator_anim_speed" },
    { 0x19CF, "calculate_move_to_goal_yaw" },
    { 0x19D0, "calculate_player_wounded_accuracy" },
    { 0x19D1, "calculate_rope_target" },
    { 0x19D2, "calculate_sprinting_jumping_accuracy" },
    { 0x19D3, "calculate_stance_accuracy" },
    { 0x19D4, "calculate_tactical_score" },
    { 0x19D5, "calculate_tag_on_path_grid" },
    { 0x19D6, "calculate_threat_level" },
    { 0x19D7, "calculate_water_pos" },
    { 0x19D8, "calculate_zone_node_extents" },
    { 0x19D9, "calculated_aerial_nodes_done" },
    { 0x19DA, "calculated_aerial_nodes_in_progress" },
    { 0x19DB, "calculated_nearest_node" },
    { 0x19DC, "calculatedistances" },
    { 0x19DD, "calculatehoverlocation" },
    { 0x19DE, "calculateinitialposition" },
    { 0x19DF, "calculatekd" },
    { 0x19E0, "calculateleftstickdeadzone" },
    { 0x19E1, "calculatematchplaystyle" },
    { 0x19E2, "calculatenewhoverdestination" },
    { 0x19E3, "calculatenodeoffset" },
    { 0x19E4, "calculatenodeoffsetfromanimationdelta" },
    { 0x19E5, "calculatenodetransitionangles" },
    { 0x19E6, "calculatespm" },
    { 0x19E7, "calculations_in_progress" },
    { 0x19E8, "call_elevator" },
    { 0x19E9, "call_for_backup" },
    { 0x19EA, "call_in_assistance" },
    { 0x19EB, "callback" },
    { 0x19EC, "callback_codeendgame" },
    { 0x19ED, "callback_entityoutofworld" },
    { 0x19EE, "callback_hostmigration" },
    { 0x19EF, "callback_killingblow" },
    { 0x19F0, "callback_playerconnect" },
    { 0x19F1, "callback_playerdamage" },
    { 0x19F2, "callback_playerdamage_internal" },
    { 0x19F3, "callback_playerdisconnect" },
    { 0x19F4, "callback_playergrenadesuicide" },
    { 0x19F5, "callback_playerkilled" },
    { 0x19F6, "callback_playerlaststand" },
    { 0x19F7, "callback_playerlaststandhorde" },
    { 0x19F8, "callback_playermigrated" },
    { 0x19F9, "callback_startgametype" },
    { 0x19FA, "callbackcodeendgame" },
    { 0x19FB, "callbackentityoutofworld" },
    { 0x19FC, "callbackhostmigration" },
    { 0x19FD, "callbackplayerconnect" },
    { 0x19FE, "callbackplayerdamage" },
    { 0x19FF, "callbackplayerdisconnect" },
    { 0x1A00, "callbackplayergrenadesuicide" },
    { 0x1A01, "callbackplayerkilled" },
    { 0x1A02, "callbackplayerlaststand" },
    { 0x1A03, "callbackplayermigrated" },
    { 0x1A04, "callbacks" },
    { 0x1A05, "callbackstartgametype" },
    { 0x1A06, "callbackvoid" },
    { 0x1A07, "calledout" },
    { 0x1A08, "caller" },
    { 0x1A09, "calloptionalbehaviorcallback" },
    { 0x1A0A, "callouttypewillrepeat" },
    { 0x1A0B, "callstrike" },
    { 0x1A0C, "callstrike_bomb" },
    { 0x1A0D, "cam_percent_away" },
    { 0x1A0E, "cam_scan_lp" },
    { 0x1A0F, "cam_zoom_in" },
    { 0x1A10, "cam_zoom_out" },
    { 0x1A11, "camdirectionforward" },
    { 0x1A12, "came_from" },
    { 0x1A13, "camera" },
    { 0x1A14, "camera_array" },
    { 0x1A15, "camera_cut" },
    { 0x1A16, "camera_goal" },
    { 0x1A17, "camera_helper" },
    { 0x1A18, "camera_lookat" },
    { 0x1A19, "camera_rotator_begin" },
    { 0x1A1A, "camera_rotator_think" },
    { 0x1A1B, "camera_scan" },
    { 0x1A1C, "camera_scanner_interior_killed" },
    { 0x1A1D, "camera_scanner_interior_spotted" },
    { 0x1A1E, "camera_scanner_interior_trigger_think" },
    { 0x1A1F, "camera_scanner_think" },
    { 0x1A20, "camera_shake" },
    { 0x1A21, "camera_shake_on_turret_fire" },
    { 0x1A22, "camera_sway_tuning" },
    { 0x1A23, "camera_tag" },
    { 0x1A24, "camera_tag_angles" },
    { 0x1A25, "camera_tag_origin" },
    { 0x1A26, "camera_view_tuning" },
    { 0x1A27, "cameradrift" },
    { 0x1A28, "cameralinkpoint" },
    { 0x1A29, "cameralookatescapevehicle" },
    { 0x1A2A, "cameraloop" },
    { 0x1A2B, "camerascanintrodialogue" },
    { 0x1A2C, "camerascanoutrodialog" },
    { 0x1A2D, "cameraview" },
    { 0x1A2E, "camerhelperarray" },
    { 0x1A2F, "camlinkent" },
    { 0x1A30, "cammove" },
    { 0x1A31, "camoffset_ratio_cac" },
    { 0x1A32, "camoffset_ratio_lobby" },
    { 0x1A33, "camoffset_ratio_maxspeed" },
    { 0x1A34, "camoffset_ratio_prelobby" },
    { 0x1A35, "camoffset_ratio_prelobby_loot" },
    { 0x1A36, "camp_bomb_update" },
    { 0x1A37, "camp_david_play_videos" },
    { 0x1A38, "camp_david_reload_malfunction" },
    { 0x1A39, "camp_david_thunder_transition" },
    { 0x1A3A, "camp_david_training_mute_device" },
    { 0x1A3B, "camp_scanner_guy" },
    { 0x1A3C, "camp_security_greeter" },
    { 0x1A3D, "campaign" },
    { 0x1A3E, "camparams" },
    { 0x1A3F, "campdavid_player_arm_reveal" },
    { 0x1A40, "camper_guy" },
    { 0x1A41, "camper_time_started_hunting" },
    { 0x1A42, "camper_trigger_think" },
    { 0x1A43, "camping_needs_fallback_camp_location" },
    { 0x1A44, "camrotate" },
    { 0x1A45, "camzoff" },
    { 0x1A46, "can_be_damaged" },
    { 0x1A47, "can_camp_near_others" },
    { 0x1A48, "can_early_melee" },
    { 0x1A49, "can_fire_turret" },
    { 0x1A4A, "can_melee_enemy_time" },
    { 0x1A4B, "can_pickup_bomb_time" },
    { 0x1A4C, "can_say_friendlyfire" },
    { 0x1A4D, "can_see_attacker_for_a_bit" },
    { 0x1A4E, "can_see_ent" },
    { 0x1A4F, "can_see_origin" },
    { 0x1A50, "can_see_player" },
    { 0x1A51, "can_shoot_enemy" },
    { 0x1A52, "can_shoot_enemy_monitor" },
    { 0x1A53, "can_shoot_guns" },
    { 0x1A54, "can_shoot_missiles" },
    { 0x1A55, "can_shoot_weapons" },
    { 0x1A56, "can_teleport_ai_to_pos" },
    { 0x1A57, "can_tip_think" },
    { 0x1A58, "can_turret_start_play" },
    { 0x1A59, "canal_adssetfovzoomin" },
    { 0x1A5A, "canal_balcony_smoke_and_spawn" },
    { 0x1A5B, "canal_binoc_hint" },
    { 0x1A5C, "canal_binoc_transition_in" },
    { 0x1A5D, "canal_binoc_transition_out" },
    { 0x1A5E, "canal_binocs_stop_zoom_in" },
    { 0x1A5F, "canal_binocs_stop_zoom_out" },
    { 0x1A60, "canal_binocs_zoom_in" },
    { 0x1A61, "canal_binocs_zoom_out" },
    { 0x1A62, "canal_boat_explosion" },
    { 0x1A63, "canal_boat_hit_bottom" },
    { 0x1A64, "canal_breach_logic" },
    { 0x1A65, "canal_bridge_patrol_think" },
    { 0x1A66, "canal_bridge_patrols_spawn" },
    { 0x1A67, "canal_chase_boats" },
    { 0x1A68, "canal_convo_fov_shift_off" },
    { 0x1A69, "canal_convo_fov_shift_on_start" },
    { 0x1A6A, "canal_convo_fov_shift_to_dead" },
    { 0x1A6B, "canal_convo_fov_shift_to_wp" },
    { 0x1A6C, "canal_cormack_move_to_window" },
    { 0x1A6D, "canal_cormack_objective_convo" },
    { 0x1A6E, "canal_delete_dead_demo_team" },
    { 0x1A6F, "canal_dock_destroy" },
    { 0x1A70, "canal_door_button_hint_display" },
    { 0x1A71, "canal_drone_guard_sequence" },
    { 0x1A72, "canal_drone_guard_think" },
    { 0x1A73, "canal_drone_guards_move_to_struct_and_loop_animation" },
    { 0x1A74, "canal_drone_swarm_death_think" },
    { 0x1A75, "canal_drone_swarm_think" },
    { 0x1A76, "canal_emp_wave" },
    { 0x1A77, "canal_enemy_damage_function" },
    { 0x1A78, "canal_enemy_setup_post_explosive_pickup" },
    { 0x1A79, "canal_fight_to_explosives_sequence" },
    { 0x1A7A, "canal_fight_to_weapon_platform" },
    { 0x1A7B, "canal_finale_button_mashing" },
    { 0x1A7C, "canal_finale_fov_shift_off" },
    { 0x1A7D, "canal_finale_fov_shift_on" },
    { 0x1A7E, "canal_finale_rumble" },
    { 0x1A7F, "canal_finale_rumble_sm" },
    { 0x1A80, "canal_finale_sequence" },
    { 0x1A81, "canal_finale_shock" },
    { 0x1A82, "canal_finale_will_prep" },
    { 0x1A83, "canal_guard_player_close_check" },
    { 0x1A84, "canal_handle_bomb_pickup" },
    { 0x1A85, "canal_handle_bomb_plant_button_display" },
    { 0x1A86, "canal_handle_bomb_plant_start" },
    { 0x1A87, "canal_handle_car_door_shields_vis" },
    { 0x1A88, "canal_handle_dead_demo_team" },
    { 0x1A89, "canal_handle_player_binoc_controls" },
    { 0x1A8A, "canal_highlight_dead_team" },
    { 0x1A8B, "canal_irons_open_door" },
    { 0x1A8C, "canal_jet_flyover" },
    { 0x1A8D, "canal_jet_flyover2" },
    { 0x1A8E, "canal_kamikaze_player_check" },
    { 0x1A8F, "canal_laser" },
    { 0x1A90, "canal_logic" },
    { 0x1A91, "canal_middle_weapon_guards" },
    { 0x1A92, "canal_p1" },
    { 0x1A93, "canal_p2" },
    { 0x1A94, "canal_pop_smoke" },
    { 0x1A95, "canal_razorback" },
    { 0x1A96, "canal_razorback_turret_fire" },
    { 0x1A97, "canal_razorback_turret_think" },
    { 0x1A98, "canal_setup_dead_demo_team" },
    { 0x1A99, "canal_setup_pt1" },
    { 0x1A9A, "canal_spawn_dead_demo_team" },
    { 0x1A9B, "canal_spawn_razorback" },
    { 0x1A9C, "canal_spawn_zipline_group1" },
    { 0x1A9D, "canal_spawn_zipline_group2" },
    { 0x1A9E, "canal_turn_player" },
    { 0x1A9F, "canal_turret_vehicle" },
    { 0x1AA0, "canal_turret_vehicle_passenger_think" },
    { 0x1AA1, "canal_turret_vehicle2" },
    { 0x1AA2, "canal_underwater_bullet_trails" },
    { 0x1AA3, "canal_video_board_cycle" },
    { 0x1AA4, "canal_wall_enemy_close_check" },
    { 0x1AA5, "canal_wall_enemy_think" },
    { 0x1AA6, "canal_wall_reinforcements" },
    { 0x1AA7, "canal_waterfall_last_fight" },
    { 0x1AA8, "canal_weapon_guards_spawn_and_think" },
    { 0x1AA9, "canal_weapon_platform_anim" },
    { 0x1AAA, "canal_weapon_platform_firing_loop" },
    { 0x1AAB, "canal_weapon_platform_vis_control" },
    { 0x1AAC, "canal_wmp_key_tweaks" },
    { 0x1AAD, "canals_part_2" },
    { 0x1AAE, "canbeplaced" },
    { 0x1AAF, "canblindfire" },
    { 0x1AB0, "cancalloutlocation" },
    { 0x1AB1, "cancelallbut" },
    { 0x1AB2, "cancelexitbuttonpressmonitor" },
    { 0x1AB3, "cancelkillcam" },
    { 0x1AB4, "cancelkillcamcallback" },
    { 0x1AB5, "cancelkillcamonuse" },
    { 0x1AB6, "cancelkillcamonuse_specificbutton" },
    { 0x1AB7, "cancelkillcamsafespawnbutton" },
    { 0x1AB8, "cancelkillcamsafespawncallback" },
    { 0x1AB9, "cancelkillcamusebutton" },
    { 0x1ABA, "cancelmode" },
    { 0x1ABB, "cancelnukeondeath" },
    { 0x1ABC, "cancelospbuddyexitcommand" },
    { 0x1ABD, "cancelpendingreinforcement" },
    { 0x1ABE, "cancelpossessbuttonpressmonitor" },
    { 0x1ABF, "cancelwarbirdbuddyexitcommand" },
    { 0x1AC0, "canclaim" },
    { 0x1AC1, "cancloak" },
    { 0x1AC2, "canconcat" },
    { 0x1AC3, "cancontestclaim" },
    { 0x1AC4, "candamagedestructible" },
    { 0x1AC5, "candeployjuggernaut" },
    { 0x1AC6, "candocombat" },
    { 0x1AC7, "candoflavorburst" },
    { 0x1AC8, "cangiveability" },
    { 0x1AC9, "canhitsuppressspot" },
    { 0x1ACA, "caninteractwith" },
    { 0x1ACB, "canisterdrips" },
    { 0x1ACC, "canistersteam" },
    { 0x1ACD, "canlean" },
    { 0x1ACE, "canlogclient" },
    { 0x1ACF, "canlogevent" },
    { 0x1AD0, "canlogkillstreak" },
    { 0x1AD1, "canloglife" },
    { 0x1AD2, "canmovepointtopoint" },
    { 0x1AD3, "cannon_effect" },
    { 0x1AD4, "cannotplacestring" },
    { 0x1AD5, "canopy_fade_in_cinematic" },
    { 0x1AD6, "canperformclienttraces" },
    { 0x1AD7, "canpickupobject" },
    { 0x1AD8, "canreact" },
    { 0x1AD9, "canreactagain" },
    { 0x1ADA, "canreadtext" },
    { 0x1ADB, "canreturntocover" },
    { 0x1ADC, "cansave" },
    { 0x1ADD, "cansay" },
    { 0x1ADE, "cansayname" },
    { 0x1ADF, "cansayplayername" },
    { 0x1AE0, "canseeandshootpoint" },
    { 0x1AE1, "canseeenemy" },
    { 0x1AE2, "canseeenemyfromexposed" },
    { 0x1AE3, "canseeplayer" },
    { 0x1AE4, "canseepointfromexposedatcorner" },
    { 0x1AE5, "canseepointfromexposedatnode" },
    { 0x1AE6, "cansetupstance" },
    { 0x1AE7, "canshootwhilerunning" },
    { 0x1AE8, "canshootwhilerunningbackward" },
    { 0x1AE9, "canshootwhilerunningforward" },
    { 0x1AEA, "canshowsplash" },
    { 0x1AEB, "canshufflekillstreaks" },
    { 0x1AEC, "canshufflewithkillstreakweapon" },
    { 0x1AED, "cansmash" },
    { 0x1AEE, "canstoppeeking" },
    { 0x1AEF, "cansuppressenemy" },
    { 0x1AF0, "cansuppressenemyfromexposed" },
    { 0x1AF1, "cansurvivevehicleexplosion" },
    { 0x1AF2, "cantfindanythingtodo" },
    { 0x1AF3, "canthrowgrenade" },
    { 0x1AF4, "cantraceto" },
    { 0x1AF5, "cantseeenemybehavior" },
    { 0x1AF6, "cantseeenemywait" },
    { 0x1AF7, "cantusehintthink" },
    { 0x1AF8, "canuse" },
    { 0x1AF9, "canusecallback" },
    { 0x1AFA, "canuselaser" },
    { 0x1AFB, "canuseobject" },
    { 0x1AFC, "canusesawapproach" },
    { 0x1AFD, "canusewarbird" },
    { 0x1AFE, "canyon_ally_vo" },
    { 0x1AFF, "canyon_ally_vo_dam" },
    { 0x1B00, "canyon_ally_vo2" },
    { 0x1B01, "canyon_ally_vo3" },
    { 0x1B02, "canyon_intro_vo" },
    { 0x1B03, "canyon_no_game_start_setupfunc" },
    { 0x1B04, "canyon_whizby_sound" },
    { 0x1B05, "canyon_whizby_sounds" },
    { 0x1B06, "cao_agent" },
    { 0x1B07, "cao_camera_ratio" },
    { 0x1B08, "cao_camerazoff" },
    { 0x1B09, "cao_camerazoff_zoom" },
    { 0x1B0A, "cao_camoffset_ratio" },
    { 0x1B0B, "cao_fardist" },
    { 0x1B0C, "cao_getactivecostume" },
    { 0x1B0D, "cao_getactivecostumeindex" },
    { 0x1B0E, "cao_getcostumebyindex" },
    { 0x1B0F, "cao_getglobalcostumecategory" },
    { 0x1B10, "cao_getpercostumecategory" },
    { 0x1B11, "cao_isglobalcostumecategory" },
    { 0x1B12, "cao_neardist" },
    { 0x1B13, "cao_ratio_zoom" },
    { 0x1B14, "cao_set_costumes_from_lua" },
    { 0x1B15, "cao_setactivecostume" },
    { 0x1B16, "cao_setcostumebyindex" },
    { 0x1B17, "cao_setglobalcostumecategory" },
    { 0x1B18, "cao_setpercostumecategory" },
    { 0x1B19, "cao_targetzoff" },
    { 0x1B1A, "cao_targetzoff_zoom" },
    { 0x1B1B, "cao_update" },
    { 0x1B1C, "caoavatarposoffset" },
    { 0x1B1D, "cap_bake_chamber_gdn_01" },
    { 0x1B1E, "cap_bake_chamber_gdn_02" },
    { 0x1B1F, "cap_civilian_damage_proc" },
    { 0x1B20, "cap_crash_recovery_gdn" },
    { 0x1B21, "cap_elevator_crk" },
    { 0x1B22, "cap_elevator_gdn" },
    { 0x1B23, "cap_elevator_iln" },
    { 0x1B24, "cap_ending_gdn" },
    { 0x1B25, "cap_ending_gdn_extra" },
    { 0x1B26, "cap_ending_iln" },
    { 0x1B27, "cap_gun_training_gdn" },
    { 0x1B28, "cap_incinerator_crawl_loop_01" },
    { 0x1B29, "cap_incinerator_end_01" },
    { 0x1B2A, "cap_incinerator_end_02" },
    { 0x1B2B, "cap_incinerator_end_03" },
    { 0x1B2C, "cap_incinerator_push_01" },
    { 0x1B2D, "cap_incinerator_push_02" },
    { 0x1B2E, "cap_incinerator_push_03" },
    { 0x1B2F, "cap_incinerator_start_01" },
    { 0x1B30, "cap_incinerator_start_02" },
    { 0x1B31, "cap_incinerator_start_03" },
    { 0x1B32, "cap_interrogation_crk" },
    { 0x1B33, "cap_interrogation_crk_add" },
    { 0x1B34, "cap_interrogation_irn" },
    { 0x1B35, "cap_interrogation_plr" },
    { 0x1B36, "cap_intro_drive_gdn" },
    { 0x1B37, "cap_intro_drive_iln" },
    { 0x1B38, "cap_manticore_window_gdn_01" },
    { 0x1B39, "cap_manticore_window_gdn_02" },
    { 0x1B3A, "cap_observation_gdn_01" },
    { 0x1B3B, "cap_observation_gdn_02" },
    { 0x1B3C, "cap_rescue_crk" },
    { 0x1B3D, "cap_rescue_gdn" },
    { 0x1B3E, "cap_rescue_iln" },
    { 0x1B3F, "cap_separation_iln_01" },
    { 0x1B40, "cap_test_chamber_gdn_01" },
    { 0x1B41, "cap_test_chamber_gdn_02" },
    { 0x1B42, "cap_test_chamber_gdn_03" },
    { 0x1B43, "cap_trolley_gdn" },
    { 0x1B44, "capsperminute" },
    { 0x1B45, "capsule_damage" },
    { 0x1B46, "capture_doctor_scene_start" },
    { 0x1B47, "capture_flag" },
    { 0x1B48, "capture_hack" },
    { 0x1B49, "capture_lighting" },
    { 0x1B4A, "capture_radius" },
    { 0x1B4B, "capturecount" },
    { 0x1B4C, "captured_ambient_animation_function" },
    { 0x1B4D, "captured_ambient_animation_setup" },
    { 0x1B4E, "captured_break_lock" },
    { 0x1B4F, "captured_caravan_spawner" },
    { 0x1B50, "captured_caravan_truck_remover" },
    { 0x1B51, "captured_enter_exo" },
    { 0x1B52, "captured_hint_display" },
    { 0x1B53, "captured_hint_ender_function" },
    { 0x1B54, "captured_hint_radius" },
    { 0x1B55, "captured_hint_range_check" },
    { 0x1B56, "captured_mission_failed" },
    { 0x1B57, "captured_open_door" },
    { 0x1B58, "captured_player_cuffs" },
    { 0x1B59, "captured_push_cart" },
    { 0x1B5A, "captured_take_exo" },
    { 0x1B5B, "captured_use_console" },
    { 0x1B5C, "captured_worker_weapons" },
    { 0x1B5D, "capturetime" },
    { 0x1B5E, "capturezone_reset_base_effects" },
    { 0x1B5F, "capturezoneeffects" },
    { 0x1B60, "capzones" },
    { 0x1B61, "car_alarm_horn_01" },
    { 0x1B62, "car_alarm_main" },
    { 0x1B63, "car_alarm_org" },
    { 0x1B64, "car_alarm_setup" },
    { 0x1B65, "car_alarm_sound" },
    { 0x1B66, "car_alarm_timeout" },
    { 0x1B67, "car_behavior" },
    { 0x1B68, "car_chase_crash" },
    { 0x1B69, "car_damage_owner_recorder" },
    { 0x1B6A, "car_door_broken" },
    { 0x1B6B, "car_door_ripoff_fx" },
    { 0x1B6C, "car_door_snap_player" },
    { 0x1B6D, "car_door_snap_will" },
    { 0x1B6E, "car_hit_blur" },
    { 0x1B6F, "car_hit_shadows" },
    { 0x1B70, "car_lift" },
    { 0x1B71, "car_lift_scene" },
    { 0x1B72, "car_light" },
    { 0x1B73, "car_ride_bink" },
    { 0x1B74, "car_ride_boundary_fail" },
    { 0x1B75, "car_ride_doctor_waits" },
    { 0x1B76, "car_ride_driving_workers_wait" },
    { 0x1B77, "car_ride_driving_workers_waits" },
    { 0x1B78, "car_ride_enter_cormack_waits" },
    { 0x1B79, "car_ride_enter_doctor_waits" },
    { 0x1B7A, "car_ride_gaz_waits" },
    { 0x1B7B, "car_ride_intro_fail" },
    { 0x1B7C, "car_ride_org" },
    { 0x1B7D, "car_ride_player_rig" },
    { 0x1B7E, "car_ride_rumble" },
    { 0x1B7F, "car_ride_view_clamps" },
    { 0x1B80, "carabiner_knox" },
    { 0x1B81, "caralarm" },
    { 0x1B82, "cardfx" },
    { 0x1B83, "cardoor_buttons" },
    { 0x1B84, "cardoor_hint_breakout" },
    { 0x1B85, "cardoor_old_weapon" },
    { 0x1B86, "cardoor_weapon" },
    { 0x1B87, "cardtagnames" },
    { 0x1B88, "cardtagvisible" },
    { 0x1B89, "career_stat_increment" },
    { 0x1B8A, "careful_logic" },
    { 0x1B8B, "carepackageandcarepackagevalid" },
    { 0x1B8C, "carepackageandgoliathvalid" },
    { 0x1B8D, "carepackageandplatformvalid" },
    { 0x1B8E, "carepackagecleanup" },
    { 0x1B8F, "carepackagedrone" },
    { 0x1B90, "carepackagedrone_delete" },
    { 0x1B91, "carepackagedrone_deleteonactivate" },
    { 0x1B92, "carepackagedrone_explode" },
    { 0x1B93, "carepackagedrone_leave" },
    { 0x1B94, "carepackagedrone_remove" },
    { 0x1B95, "carepackagedrone_watchdeath" },
    { 0x1B96, "carepackagedrone_watchownerloss" },
    { 0x1B97, "carepackagedrone_watchroundend" },
    { 0x1B98, "carepackagedronefindowner" },
    { 0x1B99, "carepackagedrones" },
    { 0x1B9A, "carepackagedronewatchcratedeath" },
    { 0x1B9B, "carepackagedronewatchdeath" },
    { 0x1B9C, "carepackages" },
    { 0x1B9D, "carepackagesetupminimap" },
    { 0x1B9E, "carepackagetouchvalid" },
    { 0x1B9F, "carepackagetrace" },
    { 0x1BA0, "cargo" },
    { 0x1BA1, "cargo_recover_fail" },
    { 0x1BA2, "cargo_ship_death_fx" },
    { 0x1BA3, "cargo_ship_fights_back" },
    { 0x1BA4, "cargo_ship_hit_aliases" },
    { 0x1BA5, "cargo_ship_hit_count" },
    { 0x1BA6, "cargo_ship_hit_react" },
    { 0x1BA7, "cargo_ship_missiles" },
    { 0x1BA8, "cargo_ship_rocking" },
    { 0x1BA9, "cargo_total" },
    { 0x1BAA, "carriedby" },
    { 0x1BAB, "carrieditem" },
    { 0x1BAC, "carriedobj" },
    { 0x1BAD, "carriedsentry" },
    { 0x1BAE, "carriedturret" },
    { 0x1BAF, "carrier" },
    { 0x1BB0, "carrierhascarryweaponinloadout" },
    { 0x1BB1, "carriervisible" },
    { 0x1BB2, "carrierweaponcurrent" },
    { 0x1BB3, "carry_first_done" },
    { 0x1BB4, "carryflag" },
    { 0x1BB5, "carryicon" },
    { 0x1BB6, "carryobject" },
    { 0x1BB7, "carryobject_overridemovingplatformdeath" },
    { 0x1BB8, "carryobjectproxthink" },
    { 0x1BB9, "carryobjectproxthinkdelayed" },
    { 0x1BBA, "carryobjectusethink" },
    { 0x1BBB, "carryweapon" },
    { 0x1BBC, "carryweaponthink" },
    { 0x1BBD, "cart" },
    { 0x1BBE, "cart_first_time" },
    { 0x1BBF, "cart_push" },
    { 0x1BC0, "cart_push2" },
    { 0x1BC1, "carter" },
    { 0x1BC2, "carter_cr_foley_idle" },
    { 0x1BC3, "carter_cr_foley_start" },
    { 0x1BC4, "casual_killer" },
    { 0x1BC5, "casualtytracking" },
    { 0x1BC6, "cat_array_add" },
    { 0x1BC7, "cat_array_get" },
    { 0x1BC8, "catch_damage_notify" },
    { 0x1BC9, "catch_death_notify" },
    { 0x1BCA, "catch_got_enemy" },
    { 0x1BCB, "catch_level_notify" },
    { 0x1BCC, "catch_mission_failed" },
    { 0x1BCD, "catch_weapon_switch" },
    { 0x1BCE, "categories" },
    { 0x1BCF, "categories_axis" },
    { 0x1BD0, "category_alias_name" },
    { 0x1BD1, "category_backoff_limit" },
    { 0x1BD2, "category_groups" },
    { 0x1BD3, "category_groups_axis" },
    { 0x1BD4, "category_name" },
    { 0x1BD5, "category_response_name" },
    { 0x1BD6, "cause_is_explosive" },
    { 0x1BD7, "cause_is_grenade" },
    { 0x1BD8, "cautious_approach_till_close" },
    { 0x1BD9, "cave_dialogue_cormack_attack" },
    { 0x1BDA, "cave_dialogue_cormack_contact" },
    { 0x1BDB, "cave_dialogue_cormack_drop_em" },
    { 0x1BDC, "cave_dialogue_cormack_dropping" },
    { 0x1BDD, "cave_dialogue_cormack_push" },
    { 0x1BDE, "cave_dialogue_ilona_down" },
    { 0x1BDF, "cave_dialogue_ilona_exit" },
    { 0x1BE0, "cave_dialogue_ilona_left" },
    { 0x1BE1, "cave_drill_fx" },
    { 0x1BE2, "cave_drill_pounding_fx" },
    { 0x1BE3, "cave_drill_rock_impact_fx" },
    { 0x1BE4, "cave_drills" },
    { 0x1BE5, "cave_drills_inside" },
    { 0x1BE6, "cave_drop_guys" },
    { 0x1BE7, "cave_ender_notify" },
    { 0x1BE8, "cave_entry" },
    { 0x1BE9, "cave_entry_animnode" },
    { 0x1BEA, "cave_entry_bunker_battle" },
    { 0x1BEB, "cave_entry_dialogue" },
    { 0x1BEC, "cave_entry_goliath_attack" },
    { 0x1BED, "cave_entry_goliath_behavior" },
    { 0x1BEE, "cave_entry_goliath_movement" },
    { 0x1BEF, "cave_entry_goliath_show" },
    { 0x1BF0, "cave_entry_goliath_spawn" },
    { 0x1BF1, "cave_entry_goliaths" },
    { 0x1BF2, "cave_entry_player" },
    { 0x1BF3, "cave_entry_scene" },
    { 0x1BF4, "cave_entry_sentinel" },
    { 0x1BF5, "cave_entry_slide_exploders" },
    { 0x1BF6, "cave_entry_surface_cleanup" },
    { 0x1BF7, "cave_entry_tank_missile" },
    { 0x1BF8, "cave_entry_walker_tank" },
    { 0x1BF9, "cave_falling_debris_fx" },
    { 0x1BFA, "cave_in" },
    { 0x1BFB, "cave_intro_anim_moment" },
    { 0x1BFC, "cave_npc_boost_assist" },
    { 0x1BFD, "cave_npc_boost_assist_land" },
    { 0x1BFE, "cave_shake_effects" },
    { 0x1BFF, "cave_start_teleport" },
    { 0x1C00, "cave_temperature" },
    { 0x1C01, "cave_wall_temp_show" },
    { 0x1C02, "cave_water_origin" },
    { 0x1C03, "cb_usedkillstreak" },
    { 0x1C04, "cbdr_missile_think" },
    { 0x1C05, "cc_kva_alerted_walla" },
    { 0x1C06, "cc_technical_turret_fire" },
    { 0x1C07, "ccfire" },
    { 0x1C08, "cd_living_room_blinds" },
    { 0x1C09, "cdrn_auto_unlink" },
    { 0x1C0A, "cdrn_intance_init" },
    { 0x1C0B, "cdrn_servo_oneshot_pch_func" },
    { 0x1C0C, "cdrn_wheel_speed_modifier_callback_linear" },
    { 0x1C0D, "ceiling_fan" },
    { 0x1C0E, "cell_prisoners_trig" },
    { 0x1C0F, "center" },
    { 0x1C10, "center_node" },
    { 0x1C11, "center_screen_line" },
    { 0x1C12, "center_screen_lines" },
    { 0x1C13, "center_screen_text" },
    { 0x1C14, "center_universe" },
    { 0x1C15, "centeraimpoint" },
    { 0x1C16, "centerlinethread" },
    { 0x1C17, "centerorbitalview" },
    { 0x1C18, "centerpodspawnview" },
    { 0x1C19, "cfxprintln" },
    { 0x1C1A, "cfxprintlnend" },
    { 0x1C1B, "cfxprintlnstart" },
    { 0x1C1C, "cg_car_light_shadowstate_on" },
    { 0x1C1D, "cg_car_light_shadowstate_reset" },
    { 0x1C1E, "cg_civ_conversation_gag1" },
    { 0x1C1F, "cg_gate_anim_notetrack_load_stall" },
    { 0x1C20, "cg_helipad_red_fx_lights" },
    { 0x1C21, "cg_kill_entity_on_flag" },
    { 0x1C22, "cg_kill_entity_on_transition" },
    { 0x1C23, "cg_never_delete_setup" },
    { 0x1C24, "cg_noterack_delay_count" },
    { 0x1C25, "cg_open_close_school_entrance_doors" },
    { 0x1C26, "cg_school_entrance_doors_init" },
    { 0x1C27, "cg_sentinel_fx_light" },
    { 0x1C28, "cg_setup_civ_fence_special" },
    { 0x1C29, "cg_setup_civs_baseball" },
    { 0x1C2A, "cg_setup_civs_fence" },
    { 0x1C2B, "cg_setup_civs_foodtruck" },
    { 0x1C2C, "cg_setup_civs_infosign" },
    { 0x1C2D, "cg_setup_hospital_bodies" },
    { 0x1C2E, "cg_setup_refugee_stage_audience" },
    { 0x1C2F, "cg_setup_refugee_stage_speaker" },
    { 0x1C30, "cg_setup_school_entrance_doors_startpoints" },
    { 0x1C31, "cg_setup_social_groups" },
    { 0x1C32, "cg_spawn_perf_monitor" },
    { 0x1C33, "cg_spawn_perf_monitor_setup" },
    { 0x1C34, "cg_spraypaint_gag" },
    { 0x1C35, "cg_spraypaint_runner" },
    { 0x1C36, "cg_subway_turnstyle_open" },
    { 0x1C37, "cg_swap_tank_treads_mat" },
    { 0x1C38, "cg_tff_set_up_transient_meshes" },
    { 0x1C39, "cg_tff_transition_canaloverlook_to_riverwalk" },
    { 0x1C3A, "cg_tff_transition_droneswarmone_blocker" },
    { 0x1C3B, "cg_tff_transition_droneswarmone_to_mall" },
    { 0x1C3C, "cg_tff_transition_eastview_blocker" },
    { 0x1C3D, "cg_tff_transition_eastview_to_fob" },
    { 0x1C3E, "cg_tff_transition_fob_to_droneswarmone" },
    { 0x1C3F, "cg_tff_transition_fob_to_truckpush" },
    { 0x1C40, "cg_tff_transition_mall_to_shinkhole" },
    { 0x1C41, "cg_tff_transition_shinkhole_to_subway" },
    { 0x1C42, "cg_tff_transition_shopping_to_canaloverlook" },
    { 0x1C43, "cg_tff_transition_subway_to_shoppingdistrict" },
    { 0x1C44, "cg_trigger_enter_finale_silo_neutral" },
    { 0x1C45, "cg_trigger_enter_finale_silo_yellow" },
    { 0x1C46, "cg_visibility_proxy_office_interior" },
    { 0x1C47, "ch_assists" },
    { 0x1C48, "ch_bulletdamagecommon" },
    { 0x1C49, "ch_cyl_zoff_far" },
    { 0x1C4A, "ch_cyl_zoff_near" },
    { 0x1C4B, "ch_emp_goliath_think" },
    { 0x1C4C, "ch_getprogress" },
    { 0x1C4D, "ch_getstate" },
    { 0x1C4E, "ch_gettarget" },
    { 0x1C4F, "ch_hardpoints" },
    { 0x1C50, "ch_kills" },
    { 0x1C51, "ch_roundplayed" },
    { 0x1C52, "ch_roundwin" },
    { 0x1C53, "ch_setprogress" },
    { 0x1C54, "ch_setstate" },
    { 0x1C55, "ch_streak_kill" },
    { 0x1C56, "ch_vehicle_killed" },
    { 0x1C57, "ch_vehicle_kills" },
    { 0x1C58, "chaingun" },
    { 0x1C59, "chair_actor_07" },
    { 0x1C5A, "chair_actor_08" },
    { 0x1C5B, "chair_animate" },
    { 0x1C5C, "challenge_parentchallenge" },
    { 0x1C5D, "challenge_point_award" },
    { 0x1C5E, "challenge_point_award_on_damage" },
    { 0x1C5F, "challenge_rewardval" },
    { 0x1C60, "challenge_targetval" },
    { 0x1C61, "challengedata" },
    { 0x1C62, "challengeinfo" },
    { 0x1C63, "challengescompleted" },
    { 0x1C64, "challengesplashnotify" },
    { 0x1C65, "champion" },
    { 0x1C66, "chancetospawndog" },
    { 0x1C67, "chancetospawnpickup" },
    { 0x1C68, "change_camera" },
    { 0x1C69, "change_color_node_quick" },
    { 0x1C6A, "change_color_node_quick_player_close_check" },
    { 0x1C6B, "change_debug_text_hud_color" },
    { 0x1C6C, "change_fall_tollerance" },
    { 0x1C6D, "change_fov_back_to_65" },
    { 0x1C6E, "change_lane" },
    { 0x1C6F, "change_lane_too_close" },
    { 0x1C70, "change_music_to_standoff" },
    { 0x1C71, "change_optimal_flight_distance" },
    { 0x1C72, "change_player_health_packets" },
    { 0x1C73, "change_spawn_chance_highway_path_player_side" },
    { 0x1C74, "change_spawn_dist_highway_path_player_side" },
    { 0x1C75, "change_state" },
    { 0x1C76, "change_threat_detection_style" },
    { 0x1C77, "change_to_original_models" },
    { 0x1C78, "change_to_run_after_time" },
    { 0x1C79, "change_to_run_now" },
    { 0x1C7A, "change_to_tactics_models" },
    { 0x1C7B, "change_weapons" },
    { 0x1C7C, "change_weapons_listener" },
    { 0x1C7D, "changeaiming" },
    { 0x1C7E, "changecrateweight" },
    { 0x1C7F, "changed_team" },
    { 0x1C80, "changelightcolorto" },
    { 0x1C81, "changelightcolortoworkerthread" },
    { 0x1C82, "changestanceforfuntime" },
    { 0x1C83, "changestepoutpos" },
    { 0x1C84, "changethreatstyle" },
    { 0x1C85, "changeweapons" },
    { 0x1C86, "changingcoverpos" },
    { 0x1C87, "changingweapon" },
    { 0x1C88, "char_dialog_add_and_go" },
    { 0x1C89, "character_hat_index" },
    { 0x1C8A, "character_head_index" },
    { 0x1C8B, "character_index_cache" },
    { 0x1C8C, "characterid_count" },
    { 0x1C8D, "characterid_is_talking_currently" },
    { 0x1C8E, "characters" },
    { 0x1C8F, "charge" },
    { 0x1C90, "charge_blink" },
    { 0x1C91, "charge_indicator_hud" },
    { 0x1C92, "chargebattery" },
    { 0x1C93, "charged_shot_reticle" },
    { 0x1C94, "charged_shot_reticle_corners" },
    { 0x1C95, "charged_shot_rumble_ent" },
    { 0x1C96, "charged_shot_soundent" },
    { 0x1C97, "chase_cam_ent" },
    { 0x1C98, "chase_cam_last_num" },
    { 0x1C99, "chase_cam_target" },
    { 0x1C9A, "chase_cleanup_after_player_crash" },
    { 0x1C9B, "chase_heli_fire" },
    { 0x1C9C, "chase_timer_cancel" },
    { 0x1C9D, "chase_timer_countdown" },
    { 0x1C9E, "chase_van" },
    { 0x1C9F, "chase_van_rabbiting_anim" },
    { 0x1CA0, "chase_van_set_close" },
    { 0x1CA1, "chase_van_set_far" },
    { 0x1CA2, "chase_van_set_medium" },
    { 0x1CA3, "chasecam" },
    { 0x1CA4, "chasecam_onent" },
    { 0x1CA5, "chatinitialized" },
    { 0x1CA6, "chatqueue" },
    { 0x1CA7, "chatterdisabled" },
    { 0x1CA8, "cheap_flashlight_hide" },
    { 0x1CA9, "cheap_flashlight_init" },
    { 0x1CAA, "cheap_flashlight_setup" },
    { 0x1CAB, "cheap_flashlight_show" },
    { 0x1CAC, "cheap_vehicles_have_shields" },
    { 0x1CAD, "cheapmagicbullet" },
    { 0x1CAE, "cheatammoifnecessary" },
    { 0x1CAF, "check_allies_in_volume" },
    { 0x1CB0, "check_animation" },
    { 0x1CB1, "check_campaign_completion" },
    { 0x1CB2, "check_class_time" },
    { 0x1CB3, "check_clearroof_early" },
    { 0x1CB4, "check_createfx_limit" },
    { 0x1CB5, "check_death_flag" },
    { 0x1CB6, "check_delete" },
    { 0x1CB7, "check_drone_callback" },
    { 0x1CB8, "check_enemies_for_alert" },
    { 0x1CB9, "check_exploder_platform" },
    { 0x1CBA, "check_failed_spawn_groups" },
    { 0x1CBB, "check_fire_and_forget" },
    { 0x1CBC, "check_flag_for_stat_tracking" },
    { 0x1CBD, "check_flight_distances" },
    { 0x1CBE, "check_for_door" },
    { 0x1CBF, "check_for_npc_weapon_cloak_status_update" },
    { 0x1CC0, "check_force_color" },
    { 0x1CC1, "check_grenade" },
    { 0x1CC2, "check_grenade_dmg" },
    { 0x1CC3, "check_group_at_goal" },
    { 0x1CC4, "check_group_facing_forward" },
    { 0x1CC5, "check_health" },
    { 0x1CC6, "check_hint_condition" },
    { 0x1CC7, "check_if_enemies_marked" },
    { 0x1CC8, "check_if_hurt" },
    { 0x1CC9, "check_if_intersecting_any_script_car" },
    { 0x1CCA, "check_if_multiple_ents_inside" },
    { 0x1CCB, "check_intel_achievements" },
    { 0x1CCC, "check_is_climbing" },
    { 0x1CCD, "check_item_found" },
    { 0x1CCE, "check_kill_damage" },
    { 0x1CCF, "check_kill_traversal" },
    { 0x1CD0, "check_lab_achievement" },
    { 0x1CD1, "check_limit_type" },
    { 0x1CD2, "check_look_both_ways_achievement" },
    { 0x1CD3, "check_los" },
    { 0x1CD4, "check_man_overboard" },
    { 0x1CD5, "check_melee_interaction_active" },
    { 0x1CD6, "check_missile_ammo" },
    { 0x1CD7, "check_missing_animation" },
    { 0x1CD8, "check_move_me_to_maintain_ratio" },
    { 0x1CD9, "check_on_target_process" },
    { 0x1CDA, "check_other_haslevelveteranachievement" },
    { 0x1CDB, "check_player_bunker_position" },
    { 0x1CDC, "check_player_deck_position_1" },
    { 0x1CDD, "check_player_deck_position_2" },
    { 0x1CDE, "check_player_gender" },
    { 0x1CDF, "check_player_in_sniper_zone" },
    { 0x1CE0, "check_player_in_stop_enemy_callout_vo_volume" },
    { 0x1CE1, "check_player_pickedup_sniper" },
    { 0x1CE2, "check_potential_falling_death" },
    { 0x1CE3, "check_restricted_airspace_achievement" },
    { 0x1CE4, "check_script_char_group_ratio" },
    { 0x1CE5, "check_seoul_achievements" },
    { 0x1CE6, "check_sound_tag_dupe" },
    { 0x1CE7, "check_sound_tag_dupe_reset" },
    { 0x1CE8, "check_spawn_group_isspawner" },
    { 0x1CE9, "check_time" },
    { 0x1CEA, "check_to_activate" },
    { 0x1CEB, "check_trigger_flagset" },
    { 0x1CEC, "check_unloadgroup" },
    { 0x1CED, "check_vo_type" },
    { 0x1CEE, "check_wait_on_cg_notetracks" },
    { 0x1CEF, "check_zkey_press" },
    { 0x1CF0, "checkadvanceonenemyconditions" },
    { 0x1CF1, "checkallowspectating" },
    { 0x1CF2, "checkapproachconditions" },
    { 0x1CF3, "checkapproachpreconditions" },
    { 0x1CF4, "checkarrivalenterpositions" },
    { 0x1CF5, "checkbuddyspawn" },
    { 0x1CF6, "checkcamposition" },
    { 0x1CF7, "checkchanged" },
    { 0x1CF8, "checkcombatstate" },
    { 0x1CF9, "checkcoverenterpos" },
    { 0x1CFA, "checkdynamicspawns" },
    { 0x1CFB, "checked" },
    { 0x1CFC, "checkendcombat" },
    { 0x1CFD, "checkexpiretime" },
    { 0x1CFE, "checkforbestweapon" },
    { 0x1CFF, "checkforcebleedout" },
    { 0x1D00, "checkforceragdoll" },
    { 0x1D01, "checkforcrashing" },
    { 0x1D02, "checkforexplosivegoal" },
    { 0x1D03, "checkforexplosivegoalexplosive" },
    { 0x1D04, "checkforpersonalbests" },
    { 0x1D05, "checkforreinforcements" },
    { 0x1D06, "checkforunpause" },
    { 0x1D07, "checkgameendchallenges" },
    { 0x1D08, "checkgamemodemastery" },
    { 0x1D09, "checkgrenadethrowdist" },
    { 0x1D0A, "checkhalftime" },
    { 0x1D0B, "checkhalftimescore" },
    { 0x1D0C, "checkhigherrankkillevents" },
    { 0x1D0D, "checkhighjumpevents" },
    { 0x1D0E, "checkhit" },
    { 0x1D0F, "checkhitsthismag" },
    { 0x1D10, "checking_for_flag" },
    { 0x1D11, "checkkeyobject" },
    { 0x1D12, "checknodeexitpos" },
    { 0x1D13, "checknodestart" },
    { 0x1D14, "checkorbitallaserusage" },
    { 0x1D15, "checkpitchvisibility" },
    { 0x1D16, "checkplayerscorelimitsoon" },
    { 0x1D17, "checkpracticeroundlockout" },
    { 0x1D18, "checkroundswitch" },
    { 0x1D19, "checkroundwin" },
    { 0x1D1A, "checkscorelimit" },
    { 0x1D1B, "checkstreakingevents" },
    { 0x1D1C, "checkstreakreward" },
    { 0x1D1D, "checktargetisinfrontofplayer" },
    { 0x1D1E, "checktargetisinvision" },
    { 0x1D1F, "checkteamscorelimitsoon" },
    { 0x1D20, "checktimelimit" },
    { 0x1D21, "checktoturnoffemp" },
    { 0x1D22, "checktransitionconditions" },
    { 0x1D23, "checktransitionpreconditions" },
    { 0x1D24, "checkvandalismmedal" },
    { 0x1D25, "checkvehicleturretuserstatus" },
    { 0x1D26, "checkwarbirdtargetlos" },
    { 0x1D27, "checkweapchange" },
    { 0x1D28, "checkweaponspecifickill" },
    { 0x1D29, "chemdamagethink" },
    { 0x1D2A, "chemical_rack" },
    { 0x1D2B, "chemical_rackgotosarray" },
    { 0x1D2C, "chemical_rackpausetime" },
    { 0x1D2D, "chemical_racksactive" },
    { 0x1D2E, "cherry_picker" },
    { 0x1D2F, "cherry_picker_damage_alarm" },
    { 0x1D30, "cherry_picker_hud" },
    { 0x1D31, "cherry_picker_hud_bar" },
    { 0x1D32, "cherry_picker_hud_drone" },
    { 0x1D33, "cherry_picker_hud_drone2" },
    { 0x1D34, "cherry_picker_hud_emp" },
    { 0x1D35, "cherry_picker_target_add" },
    { 0x1D36, "cherry_picker_target_remove" },
    { 0x1D37, "cherry_picker_turret_gameplay" },
    { 0x1D38, "cherry_turret" },
    { 0x1D39, "cherry_turret_hud" },
    { 0x1D3A, "chevron" },
    { 0x1D3B, "chevron_right" },
    { 0x1D3C, "childchecktime" },
    { 0x1D3D, "children" },
    { 0x1D3E, "choose_crash_path" },
    { 0x1D3F, "choose_from_weighted_array" },
    { 0x1D40, "choose_vol" },
    { 0x1D41, "chooseanimfromset" },
    { 0x1D42, "chooseattackidle" },
    { 0x1D43, "choosefirstinfected" },
    { 0x1D44, "chooseidlepointreactanimation" },
    { 0x1D45, "choosepose" },
    { 0x1D46, "chooseposefunc" },
    { 0x1D47, "choosesmashnode" },
    { 0x1D48, "chopper" },
    { 0x1D49, "chopper_01_away_by" },
    { 0x1D4A, "chopper_01_by_in" },
    { 0x1D4B, "chopper_01_close_lp" },
    { 0x1D4C, "chopper_01_dist_lp" },
    { 0x1D4D, "chopper_01_wind_up" },
    { 0x1D4E, "chopper_02_away_by" },
    { 0x1D4F, "chopper_02_by_in" },
    { 0x1D50, "chopper_02_close_lp" },
    { 0x1D51, "chopper_02_dist_lp" },
    { 0x1D52, "chopper_02_wind_up" },
    { 0x1D53, "chopper_air_support_activate" },
    { 0x1D54, "chopper_final_explo" },
    { 0x1D55, "chopper_fx" },
    { 0x1D56, "chopper_pilot_death_anim" },
    { 0x1D57, "chopper_shoot_down" },
    { 0x1D58, "chopper_shoot_down_internal" },
    { 0x1D59, "chopper_shoot_straight" },
    { 0x1D5A, "chopper_sniper_shot" },
    { 0x1D5B, "chopper_turret_off" },
    { 0x1D5C, "chopper_turret_on" },
    { 0x1D5D, "chopperattackarrow" },
    { 0x1D5E, "choppersniped" },
    { 0x1D5F, "chopperturretfunc" },
    { 0x1D60, "chopperturretofffunc" },
    { 0x1D61, "chopperturretonfunc" },
    { 0x1D62, "chosen" },
    { 0x1D63, "chosentemplates" },
    { 0x1D64, "chromo_anim2" },
    { 0x1D65, "chromo_offset" },
    { 0x1D66, "chyron" },
    { 0x1D67, "chyron_sound" },
    { 0x1D68, "cig_hide" },
    { 0x1D69, "cig_show" },
    { 0x1D6A, "cig_throwing" },
    { 0x1D6B, "cigar" },
    { 0x1D6C, "cigarette_light" },
    { 0x1D6D, "cine_fire_debris_stumble" },
    { 0x1D6E, "cine_holelight" },
    { 0x1D6F, "cine_left_light" },
    { 0x1D70, "cine_sub_fire_rim" },
    { 0x1D71, "cine_sub_fog" },
    { 0x1D72, "cine_sub_right_irons" },
    { 0x1D73, "cine_sub_will_all_mulitlight" },
    { 0x1D74, "cinematic_rocket_guys" },
    { 0x1D75, "circling" },
    { 0x1D76, "circuit_breaker" },
    { 0x1D77, "city_ambient_fx" },
    { 0x1D78, "civ_ah" },
    { 0x1D79, "civ_armshots" },
    { 0x1D7A, "civ_boat_spawn" },
    { 0x1D7B, "civ_chestshots" },
    { 0x1D7C, "civ_conversation_gag1" },
    { 0x1D7D, "civ_damage_check" },
    { 0x1D7E, "civ_domestic_truck_spawn" },
    { 0x1D7F, "civ_gate_node" },
    { 0x1D80, "civ_headshots" },
    { 0x1D81, "civ_kills" },
    { 0x1D82, "civ_legshots" },
    { 0x1D83, "civ_panic_door_run_in" },
    { 0x1D84, "civ_run_nodes" },
    { 0x1D85, "civ_victims" },
    { 0x1D86, "civ1" },
    { 0x1D87, "civ2" },
    { 0x1D88, "civ3" },
    { 0x1D89, "civ4" },
    { 0x1D8A, "civ5" },
    { 0x1D8B, "civ6" },
    { 0x1D8C, "civ7" },
    { 0x1D8D, "civ8" },
    { 0x1D8E, "civilain_flee_to_goal" },
    { 0x1D8F, "civilian_actor_ai_player_reaction" },
    { 0x1D90, "civilian_actor_behavior_manager" },
    { 0x1D91, "civilian_actor_drone_player_reaction" },
    { 0x1D92, "civilian_actor_play_idle" },
    { 0x1D93, "civilian_actor_play_reaction" },
    { 0x1D94, "civilian_african_male_b" },
    { 0x1D95, "civilian_african_male_c" },
    { 0x1D96, "civilian_african_male_d" },
    { 0x1D97, "civilian_alert_behavior" },
    { 0x1D98, "civilian_alert_behavior_hangar" },
    { 0x1D99, "civilian_alert_sound" },
    { 0x1D9A, "civilian_alert_sound_setup" },
    { 0x1D9B, "civilian_alert_watcher" },
    { 0x1D9C, "civilian_anim_setup" },
    { 0x1D9D, "civilian_anims" },
    { 0x1D9E, "civilian_attach_props" },
    { 0x1D9F, "civilian_below" },
    { 0x1DA0, "civilian_body_and_head_setup" },
    { 0x1DA1, "civilian_check_if_player_blocking" },
    { 0x1DA2, "civilian_clean_up" },
    { 0x1DA3, "civilian_cleanup" },
    { 0x1DA4, "civilian_combathunchedmoveturn" },
    { 0x1DA5, "civilian_combatmoveturn" },
    { 0x1DA6, "civilian_compact_car_constructor" },
    { 0x1DA7, "civilian_compact_car_init" },
    { 0x1DA8, "civilian_detach_props" },
    { 0x1DA9, "civilian_driveway_scene" },
    { 0x1DAA, "civilian_drone_repair_think" },
    { 0x1DAB, "civilian_drone_run_override" },
    { 0x1DAC, "civilian_drone_runner_collision" },
    { 0x1DAD, "civilian_drone_runners_think" },
    { 0x1DAE, "civilian_drone_scan_anim_struct" },
    { 0x1DAF, "civilian_drone_scan_female" },
    { 0x1DB0, "civilian_drone_scan_male" },
    { 0x1DB1, "civilian_drone_scan_scene" },
    { 0x1DB2, "civilian_drone_scan_vo" },
    { 0x1DB3, "civilian_drone_setup" },
    { 0x1DB4, "civilian_drone_stationary_think" },
    { 0x1DB5, "civilian_garage" },
    { 0x1DB6, "civilian_garage_1" },
    { 0x1DB7, "civilian_garage_2" },
    { 0x1DB8, "civilian_garage_spawner_setup" },
    { 0x1DB9, "civilian_garage_vo" },
    { 0x1DBA, "civilian_get_out_of_car_setup" },
    { 0x1DBB, "civilian_get_random_idle" },
    { 0x1DBC, "civilian_get_random_reaction" },
    { 0x1DBD, "civilian_get_random_run" },
    { 0x1DBE, "civilian_get_random_walk" },
    { 0x1DBF, "civilian_group" },
    { 0x1DC0, "civilian_guesthouse" },
    { 0x1DC1, "civilian_guesthouse_1" },
    { 0x1DC2, "civilian_guesthouse_2" },
    { 0x1DC3, "civilian_guesthouse_3" },
    { 0x1DC4, "civilian_guesthouse_spawner_setup" },
    { 0x1DC5, "civilian_guesthouse_vo" },
    { 0x1DC6, "civilian_guesthouse_walkin" },
    { 0x1DC7, "civilian_guesthouse_walkin_spawner_setup" },
    { 0x1DC8, "civilian_guesthouse_walkin_vo" },
    { 0x1DC9, "civilian_head_and_body_setup" },
    { 0x1DCA, "civilian_head_and_body_swap" },
    { 0x1DCB, "civilian_in_car_count" },
    { 0x1DCC, "civilian_in_car_get_out" },
    { 0x1DCD, "civilian_in_running_car" },
    { 0x1DCE, "civilian_in_running_car_setup" },
    { 0x1DCF, "civilian_init" },
    { 0x1DD0, "civilian_init_props" },
    { 0x1DD1, "civilian_jet_flyby" },
    { 0x1DD2, "civilian_killed" },
    { 0x1DD3, "civilian_left" },
    { 0x1DD4, "civilian_loop_setup" },
    { 0x1DD5, "civilian_loop_vo_trigger" },
    { 0x1DD6, "civilian_lost" },
    { 0x1DD7, "civilian_lost_guard" },
    { 0x1DD8, "civilian_lost_guard_setup" },
    { 0x1DD9, "civilian_lost_setup" },
    { 0x1DDA, "civilian_noncombatmoveturn" },
    { 0x1DDB, "civilian_panic_distance_check" },
    { 0x1DDC, "civilian_pool_1" },
    { 0x1DDD, "civilian_pool_2" },
    { 0x1DDE, "civilian_pool_3" },
    { 0x1DDF, "civilian_pool_spawner_setup" },
    { 0x1DE0, "civilian_pool_vo" },
    { 0x1DE1, "civilian_poolhouse_1" },
    { 0x1DE2, "civilian_poolhouse_2" },
    { 0x1DE3, "civilian_poolhouse_3" },
    { 0x1DE4, "civilian_poolhouse_vo" },
    { 0x1DE5, "civilian_right" },
    { 0x1DE6, "civilian_right_side" },
    { 0x1DE7, "civilian_right_side_1" },
    { 0x1DE8, "civilian_right_side_2" },
    { 0x1DE9, "civilian_right_side_3" },
    { 0x1DEA, "civilian_right_side_setup" },
    { 0x1DEB, "civilian_right_side_vo" },
    { 0x1DEC, "civilian_roundabout_vo_1" },
    { 0x1DED, "civilian_roundabout_vo_2" },
    { 0x1DEE, "civilian_roundabout_vo_3" },
    { 0x1DEF, "civilian_setup" },
    { 0x1DF0, "civilian_setup_esc_nodes" },
    { 0x1DF1, "civilian_setupanimations" },
    { 0x1DF2, "civilian_sonic_aoe_thread" },
    { 0x1DF3, "civilian_spawn_single" },
    { 0x1DF4, "civilian_stealth_detect" },
    { 0x1DF5, "civilian_urban_female_a" },
    { 0x1DF6, "civilian_urban_female_b" },
    { 0x1DF7, "civilian_urban_female_c" },
    { 0x1DF8, "civilian_urban_male_b" },
    { 0x1DF9, "civilian_urban_male_c" },
    { 0x1DFA, "civilian_urban_male_d" },
    { 0x1DFB, "civilian_urban_male_e" },
    { 0x1DFC, "civilian_wait_for_reaction" },
    { 0x1DFD, "civilian_walk_animation" },
    { 0x1DFE, "civilian_walker_behavior_manager" },
    { 0x1DFF, "civilian_walker_idle_when_blocked" },
    { 0x1E00, "civilian_walker_phone" },
    { 0x1E01, "civilian_walker_phone_spawner_setup" },
    { 0x1E02, "civilian_walker_play_reaction" },
    { 0x1E03, "civilian_walker_play_walk" },
    { 0x1E04, "civilian_walker_setup" },
    { 0x1E05, "civilian_walker_setup_esc_nodes" },
    { 0x1E06, "civilian_walker_update_current_goal_and_animate_to" },
    { 0x1E07, "civilian_walker_wait_for_walk_signal" },
    { 0x1E08, "civilian_warning_given" },
    { 0x1E09, "civilian_warning_vo" },
    { 0x1E0A, "civilian_watch_player_when_close" },
    { 0x1E0B, "civilian1" },
    { 0x1E0C, "civilian2" },
    { 0x1E0D, "civiliananims" },
    { 0x1E0E, "civilianendinganimations" },
    { 0x1E0F, "civilianflashedarray" },
    { 0x1E10, "civilianjetflyby" },
    { 0x1E11, "civilianjetflyby_timer" },
    { 0x1E12, "civilianmarketanimations" },
    { 0x1E13, "civilianprops" },
    { 0x1E14, "civilians" },
    { 0x1E15, "civilians_below" },
    { 0x1E16, "civilians_flank_alley_react" },
    { 0x1E17, "civilians_left" },
    { 0x1E18, "civilians_right" },
    { 0x1E19, "civkillwhennearplayer" },
    { 0x1E1A, "civscrambleanimations" },
    { 0x1E1B, "civsniperdamagemonitor" },
    { 0x1E1C, "claim_a_node" },
    { 0x1E1D, "claimed" },
    { 0x1E1E, "claimed_drone" },
    { 0x1E1F, "claimed_node" },
    { 0x1E20, "claimed_walker_turret_target" },
    { 0x1E21, "claimplayer" },
    { 0x1E22, "claimteam" },
    { 0x1E23, "claimtrigger" },
    { 0x1E24, "clampedhealth" },
    { 0x1E25, "clamplookangle" },
    { 0x1E26, "clamppositiontolowerbounds" },
    { 0x1E27, "clampreleasefx" },
    { 0x1E28, "clamptobyte" },
    { 0x1E29, "clamptoshort" },
    { 0x1E2A, "clampweaponweightvalue" },
    { 0x1E2B, "clampyaworbitoffset" },
    { 0x1E2C, "clan_profile_update" },
    { 0x1E2D, "clanmemberownerids" },
    { 0x1E2E, "class" },
    { 0x1E2F, "class_num" },
    { 0x1E30, "class_override" },
    { 0x1E31, "classabilityready" },
    { 0x1E32, "classabilitytime" },
    { 0x1E33, "classcallback" },
    { 0x1E34, "classdmgmod" },
    { 0x1E35, "classgrenades" },
    { 0x1E36, "classmap" },
    { 0x1E37, "classmaxhealth" },
    { 0x1E38, "classold" },
    { 0x1E39, "classpickcount" },
    { 0x1E3A, "classsettings" },
    { 0x1E3B, "classswitchwait" },
    { 0x1E3C, "classswitchwaiting" },
    { 0x1E3D, "classtablename" },
    { 0x1E3E, "classtablenum" },
    { 0x1E3F, "classtime" },
    { 0x1E40, "classtweaks" },
    { 0x1E41, "classweaponswait" },
    { 0x1E42, "claymore_pickup_think_global" },
    { 0x1E43, "claymorearray" },
    { 0x1E44, "claymoredetectiondot" },
    { 0x1E45, "claymoredetectiongraceperiod" },
    { 0x1E46, "claymoredetectionmindist" },
    { 0x1E47, "claymoredetonateradius" },
    { 0x1E48, "claymoredetonation" },
    { 0x1E49, "claymoremakesentient" },
    { 0x1E4A, "claymores" },
    { 0x1E4B, "claymoresentientfunc" },
    { 0x1E4C, "clean_kill_vo" },
    { 0x1E4D, "clean_kill_vo_setup" },
    { 0x1E4E, "clean_up_ai" },
    { 0x1E4F, "clean_up_ai_single" },
    { 0x1E50, "clean_up_car" },
    { 0x1E51, "clean_up_hud_entity" },
    { 0x1E52, "clean_up_intro_pilots" },
    { 0x1E53, "clean_up_on_parent_death" },
    { 0x1E54, "clean_up_shadow_tag" },
    { 0x1E55, "clean_up_suv_drivers" },
    { 0x1E56, "clean_up_target_pos_ent" },
    { 0x1E57, "clean_up_traffic_drivers" },
    { 0x1E58, "clean_up_vehicle" },
    { 0x1E59, "clean_up_vehicle_free_path" },
    { 0x1E5A, "clean_up_vehicle_seoul" },
    { 0x1E5B, "clean_up_vehicle_type" },
    { 0x1E5C, "clean_up_vehicles_all" },
    { 0x1E5D, "cleanarray" },
    { 0x1E5E, "cleanout_unneeded_ents_for_createfx" },
    { 0x1E5F, "cleanup" },
    { 0x1E60, "cleanup_ai_logging_road" },
    { 0x1E61, "cleanup_ai_on_trigger" },
    { 0x1E62, "cleanup_ai_think" },
    { 0x1E63, "cleanup_ai_with_script_noteworthy" },
    { 0x1E64, "cleanup_atlas_on_death" },
    { 0x1E65, "cleanup_bobbing" },
    { 0x1E66, "cleanup_courtyard_enemies" },
    { 0x1E67, "cleanup_drone_tags" },
    { 0x1E68, "cleanup_enemies" },
    { 0x1E69, "cleanup_enemy_ai_seoul" },
    { 0x1E6A, "cleanup_ents" },
    { 0x1E6B, "cleanup_ents_removing_bullet_shield" },
    { 0x1E6C, "cleanup_explosion_ents" },
    { 0x1E6D, "cleanup_extra_ai" },
    { 0x1E6E, "cleanup_foam_corridor_enemies" },
    { 0x1E6F, "cleanup_fob_guys" },
    { 0x1E70, "cleanup_hovertank_combat" },
    { 0x1E71, "cleanup_in_aisle3" },
    { 0x1E72, "cleanup_land_assist" },
    { 0x1E73, "cleanup_mech_traversal_elements" },
    { 0x1E74, "cleanup_microwave_on_exit" },
    { 0x1E75, "cleanup_missile" },
    { 0x1E76, "cleanup_on_death" },
    { 0x1E77, "cleanup_on_flag" },
    { 0x1E78, "cleanup_on_goal" },
    { 0x1E79, "cleanup_oncoming_suv" },
    { 0x1E7A, "cleanup_overlay" },
    { 0x1E7B, "cleanup_primer" },
    { 0x1E7C, "cleanup_primer_reload" },
    { 0x1E7D, "cleanup_road_flares" },
    { 0x1E7E, "cleanup_school_cars" },
    { 0x1E7F, "cleanup_snake" },
    { 0x1E80, "cleanup_snake_cloud" },
    { 0x1E81, "cleanup_snake_cloud_on_flag" },
    { 0x1E82, "cleanup_snipers_zone" },
    { 0x1E83, "cleanup_specific_spawns" },
    { 0x1E84, "cleanup_squad_drone" },
    { 0x1E85, "cleanup_sticky" },
    { 0x1E86, "cleanup_sticky_on_death" },
    { 0x1E87, "cleanup_tower_enemies" },
    { 0x1E88, "cleanup_vista" },
    { 0x1E89, "cleanupbuddyspawn" },
    { 0x1E8A, "cleanupcarepackage" },
    { 0x1E8B, "cleanuplasertargetingdevice" },
    { 0x1E8C, "cleanupnodefields" },
    { 0x1E8D, "cleanupondeath" },
    { 0x1E8E, "cleanupospents" },
    { 0x1E8F, "cleanuprockettargeticon" },
    { 0x1E90, "cleanupvars" },
    { 0x1E91, "cleanupweaponsonground" },
    { 0x1E92, "clear_additive_helmet_anim" },
    { 0x1E93, "clear_ai_detection_on_death" },
    { 0x1E94, "clear_alerted_info" },
    { 0x1E95, "clear_all_color_orders" },
    { 0x1E96, "clear_all_loopers" },
    { 0x1E97, "clear_anim_on_death" },
    { 0x1E98, "clear_animation" },
    { 0x1E99, "clear_anims" },
    { 0x1E9A, "clear_anims_on_death" },
    { 0x1E9B, "clear_archetype" },
    { 0x1E9C, "clear_blast_walk_anims" },
    { 0x1E9D, "clear_bot_camping_on_bot_death" },
    { 0x1E9E, "clear_bot_camping_on_reset" },
    { 0x1E9F, "clear_bot_on_bot_death" },
    { 0x1EA0, "clear_bot_on_reset" },
    { 0x1EA1, "clear_breaching_variable" },
    { 0x1EA2, "clear_bulletshield_on_alert" },
    { 0x1EA3, "clear_camper_data" },
    { 0x1EA4, "clear_cars_around_pos" },
    { 0x1EA5, "clear_color_order" },
    { 0x1EA6, "clear_color_order_from_team" },
    { 0x1EA7, "clear_colors" },
    { 0x1EA8, "clear_custom_animset" },
    { 0x1EA9, "clear_custom_gameskill_func" },
    { 0x1EAA, "clear_custom_patrol_anim_set" },
    { 0x1EAB, "clear_deathanim" },
    { 0x1EAC, "clear_defend" },
    { 0x1EAD, "clear_defend_or_goal_if_necessary" },
    { 0x1EAE, "clear_doctor_head" },
    { 0x1EAF, "clear_dodge_positions" },
    { 0x1EB0, "clear_door_effect" },
    { 0x1EB1, "clear_drone_cloud" },
    { 0x1EB2, "clear_dvar" },
    { 0x1EB3, "clear_enemy_outline_on_death" },
    { 0x1EB4, "clear_enemy_passthrough" },
    { 0x1EB5, "clear_entity_selection" },
    { 0x1EB6, "clear_event_on_prob" },
    { 0x1EB7, "clear_exception" },
    { 0x1EB8, "clear_force_color" },
    { 0x1EB9, "clear_fx_hudelements" },
    { 0x1EBA, "clear_generic_idle_anim" },
    { 0x1EBB, "clear_generic_run_anim" },
    { 0x1EBC, "clear_guy_fx" },
    { 0x1EBD, "clear_hint_button" },
    { 0x1EBE, "clear_hints" },
    { 0x1EBF, "clear_hud_on_notify" },
    { 0x1EC0, "clear_ignore_all_on_group" },
    { 0x1EC1, "clear_land_assist" },
    { 0x1EC2, "clear_light_set_for_player" },
    { 0x1EC3, "clear_max_momentum_delayed" },
    { 0x1EC4, "clear_maxed_momentum" },
    { 0x1EC5, "clear_momentum" },
    { 0x1EC6, "clear_npc_anim" },
    { 0x1EC7, "clear_npc_anims" },
    { 0x1EC8, "clear_on_action_success" },
    { 0x1EC9, "clear_overdrive_battery" },
    { 0x1ECA, "clear_path_weights" },
    { 0x1ECB, "clear_player_anim" },
    { 0x1ECC, "clear_player_attacked_by_dog_on_death" },
    { 0x1ECD, "clear_pluggable_move_loop_override" },
    { 0x1ECE, "clear_president_anims" },
    { 0x1ECF, "clear_promotion_order" },
    { 0x1ED0, "clear_refugee_camp_walk_anims" },
    { 0x1ED1, "clear_run_anim" },
    { 0x1ED2, "clear_script_goal_on" },
    { 0x1ED3, "clear_script_goal_on_gas_end" },
    { 0x1ED4, "clear_script_model_anim" },
    { 0x1ED5, "clear_set_goal" },
    { 0x1ED6, "clear_settable_fx" },
    { 0x1ED7, "clear_stencil_on_death" },
    { 0x1ED8, "clear_talking_currently_when_done" },
    { 0x1ED9, "clear_target_zone_update" },
    { 0x1EDA, "clear_team_colors" },
    { 0x1EDB, "clear_tool_hud" },
    { 0x1EDC, "clear_unresolved_collision_count_next_frame" },
    { 0x1EDD, "clear_urgent_walk_anims" },
    { 0x1EDE, "clear_vehicle_anim" },
    { 0x1EDF, "clearafterfade" },
    { 0x1EE0, "clearalertoutline" },
    { 0x1EE1, "clearalertstencilstate" },
    { 0x1EE2, "clearall" },
    { 0x1EE3, "clearammo" },
    { 0x1EE4, "clearbattlebuddy" },
    { 0x1EE5, "clearbuddymessage" },
    { 0x1EE6, "clearcarrier" },
    { 0x1EE7, "clearcopycatloadout" },
    { 0x1EE8, "cleardodgeanims" },
    { 0x1EE9, "cleared" },
    { 0x1EEA, "clearempondeath" },
    { 0x1EEB, "clearfaceanimonanimdone" },
    { 0x1EEC, "clearfirefightdata" },
    { 0x1EED, "clearfirefightshotsoninterval" },
    { 0x1EEE, "clearfxondeath" },
    { 0x1EEF, "clearhudtimer" },
    { 0x1EF0, "clearidshortly" },
    { 0x1EF1, "clearisspeaking" },
    { 0x1EF2, "clearkillcamstate" },
    { 0x1EF3, "clearkillstreaks" },
    { 0x1EF4, "clearlookatthread" },
    { 0x1EF5, "clearlowermessage" },
    { 0x1EF6, "clearlowermessages" },
    { 0x1EF7, "clearmovementparameters" },
    { 0x1EF8, "clearondeath" },
    { 0x1EF9, "clearonvictimdisconnect" },
    { 0x1EFA, "clearplayertargetlist" },
    { 0x1EFB, "clearpracticeroundlockoutdata" },
    { 0x1EFC, "clearprevioustispawnpoint" },
    { 0x1EFD, "clearprogress" },
    { 0x1EFE, "clearragdolldeath" },
    { 0x1EFF, "clearrideintro" },
    { 0x1F00, "clearrideintroonteamchange" },
    { 0x1F01, "clearsightposnear" },
    { 0x1F02, "clearspawnpointdistancedata" },
    { 0x1F03, "clearspawnpointsightdata" },
    { 0x1F04, "clearstencil" },
    { 0x1F05, "clearstencilstate" },
    { 0x1F06, "clearstencilstateondeath" },
    { 0x1F07, "clearsurvivaltime" },
    { 0x1F08, "clearteamspawnpointdistancedata" },
    { 0x1F09, "clearteamspawnpointsightdata" },
    { 0x1F0A, "cleartextmarker" },
    { 0x1F0B, "clearthreatbias" },
    { 0x1F0C, "clearunderwateraudiozone" },
    { 0x1F0D, "clearusingremote" },
    { 0x1F0E, "clearwatervarsonspawn" },
    { 0x1F0F, "clientid" },
    { 0x1F10, "clientmatchdataid" },
    { 0x1F11, "clienttracespawnclass" },
    { 0x1F12, "clienttweakables" },
    { 0x1F13, "cliff_rappel" },
    { 0x1F14, "cliff_rappel_dialogue" },
    { 0x1F15, "cliff_rappel_dialogue_nag" },
    { 0x1F16, "cliff_rappel_landing" },
    { 0x1F17, "cliff_rappel_lerpsun" },
    { 0x1F18, "cliff_rappel_lighting_init" },
    { 0x1F19, "cliff_rappel_lighting_setup" },
    { 0x1F1A, "cliff_rappel_logic" },
    { 0x1F1B, "cliff_rappel_moment" },
    { 0x1F1C, "cliff_rappel_shadow_tweaks" },
    { 0x1F1D, "climb_fence_joker_01" },
    { 0x1F1E, "climb_fence_joker_02" },
    { 0x1F1F, "climb_fence_joker_03" },
    { 0x1F20, "climb_fence_joker_04" },
    { 0x1F21, "climb_fence_joker_05" },
    { 0x1F22, "climb_fence_joker_06" },
    { 0x1F23, "climb_fence_joker_07" },
    { 0x1F24, "climb_fence_joker_08" },
    { 0x1F25, "climb_fence_joker_09" },
    { 0x1F26, "climb_fence_joker_10" },
    { 0x1F27, "climb_fence_torres_01" },
    { 0x1F28, "climb_fence_torres_02" },
    { 0x1F29, "climb_fence_torres_03" },
    { 0x1F2A, "climb_fence_torres_04" },
    { 0x1F2B, "climb_fence_torres_05" },
    { 0x1F2C, "climb_fence_torres_06" },
    { 0x1F2D, "climb_fence_torres_07" },
    { 0x1F2E, "climb_fence_torres_08" },
    { 0x1F2F, "climb_fence_torres_09" },
    { 0x1F30, "climb_fence_torres_10" },
    { 0x1F31, "climb_hint" },
    { 0x1F32, "climb_scene_anim_boat_getout" },
    { 0x1F33, "climb_scene_cleanup" },
    { 0x1F34, "climb_scene_colors_careful_on_arrival" },
    { 0x1F35, "climb_scene_crane_allow_input" },
    { 0x1F36, "climb_scene_crane_dismount_to_wall" },
    { 0x1F37, "climb_scene_crane_glass_break" },
    { 0x1F38, "climb_scene_crane_grab_rumble" },
    { 0x1F39, "climb_scene_crane_grab_shake" },
    { 0x1F3A, "climb_scene_crane_mount" },
    { 0x1F3B, "climb_scene_crane_move" },
    { 0x1F3C, "climb_scene_crane_move_rumble" },
    { 0x1F3D, "climb_scene_crane_move_shake" },
    { 0x1F3E, "climb_scene_fail_fall" },
    { 0x1F3F, "climb_scene_fail_on_ground_notify" },
    { 0x1F40, "climb_scene_finale" },
    { 0x1F41, "climb_scene_finale_setup_anim_ents" },
    { 0x1F42, "climb_scene_finale_setup_people_ents" },
    { 0x1F43, "climb_scene_finale_setup_player_ents" },
    { 0x1F44, "climb_scene_finale_setup_vehicle_ents" },
    { 0x1F45, "climb_scene_first_climb" },
    { 0x1F46, "climb_scene_first_on_foot_warbird_turret" },
    { 0x1F47, "climb_scene_force_dismount" },
    { 0x1F48, "climb_scene_grapple_hint_handler" },
    { 0x1F49, "climb_scene_handle_crane_climb" },
    { 0x1F4A, "climb_scene_handle_crane_climb_movement_input" },
    { 0x1F4B, "climb_scene_handle_finale_walker_civilian_vingette" },
    { 0x1F4C, "climb_scene_handle_walker" },
    { 0x1F4D, "climb_scene_handle_walker_reaction" },
    { 0x1F4E, "climb_scene_ilona_simple_climbing" },
    { 0x1F4F, "climb_scene_master_handler" },
    { 0x1F50, "climb_scene_move_crate_on_path" },
    { 0x1F51, "climb_scene_moving_crates" },
    { 0x1F52, "climb_scene_on_foot" },
    { 0x1F53, "climb_scene_on_foot_crate_death_area" },
    { 0x1F54, "climb_scene_on_foot_ilana_past_crate" },
    { 0x1F55, "climb_scene_on_foot_setup" },
    { 0x1F56, "climb_scene_on_foot_warbird_arrival" },
    { 0x1F57, "climb_scene_preprocess_crate_path" },
    { 0x1F58, "climb_scene_rotate_crate_on_path" },
    { 0x1F59, "climb_scene_second_climb" },
    { 0x1F5A, "climb_scene_second_climb_ilona_no_push" },
    { 0x1F5B, "climb_scene_set_colors_careful_on_arrival_setting" },
    { 0x1F5C, "climb_scene_setup" },
    { 0x1F5D, "climb_scene_setup_droneswarm" },
    { 0x1F5E, "climb_scene_setup_zipliners" },
    { 0x1F5F, "climb_scene_skybridge" },
    { 0x1F60, "climb_scene_skybridge_break_glass" },
    { 0x1F61, "climb_scene_skybridge_teleport_ilona" },
    { 0x1F62, "climb_scene_start_action" },
    { 0x1F63, "climb_scene_start_crane" },
    { 0x1F64, "climb_scene_warbird_setup_rotar_death_trigger" },
    { 0x1F65, "climb_scne_finale_fade_out" },
    { 0x1F66, "climb_scne_finale_hide_body" },
    { 0x1F67, "climb_trigger" },
    { 0x1F68, "climb_wall_nag_dialogue" },
    { 0x1F69, "climb_warbird" },
    { 0x1F6A, "climbing_animation_back_to_side_idle" },
    { 0x1F6B, "climbing_animation_dismount" },
    { 0x1F6C, "climbing_animation_idle_loop" },
    { 0x1F6D, "climbing_animation_idle_to_side_idle" },
    { 0x1F6E, "climbing_animation_side_idle_to_back" },
    { 0x1F6F, "climbing_animation_side_idle_to_idle" },
    { 0x1F70, "climbing_animation_stop_idle" },
    { 0x1F71, "climbing_animation_traverse_move" },
    { 0x1F72, "climbing_crane_allow_input" },
    { 0x1F73, "climbing_crates" },
    { 0x1F74, "climbing_give_player_weapon" },
    { 0x1F75, "climbing_head_sway" },
    { 0x1F76, "climbing_helper_dir_is_blocked" },
    { 0x1F77, "climbing_helper_player_combat_requested" },
    { 0x1F78, "climbing_helper_player_dismount_requested" },
    { 0x1F79, "climbing_helper_player_exit_combat_mode_requested" },
    { 0x1F7A, "climbing_helper_player_in_combat_mode" },
    { 0x1F7B, "climbing_helper_player_input_1_allowed" },
    { 0x1F7C, "climbing_helper_player_input_2_allowed" },
    { 0x1F7D, "climbing_helper_player_jump_requested" },
    { 0x1F7E, "climbing_helper_player_jumping" },
    { 0x1F7F, "climbing_helper_player_mag_moving" },
    { 0x1F80, "climbing_helper_player_moving" },
    { 0x1F81, "climbing_hint_display" },
    { 0x1F82, "climbing_ilona_teleported" },
    { 0x1F83, "climbing_motion_dismount" },
    { 0x1F84, "climbing_motion_player_combat_mode" },
    { 0x1F85, "climbing_motion_player_jump_to_mag" },
    { 0x1F86, "climbing_motion_player_jumping" },
    { 0x1F87, "climbing_motion_player_looking" },
    { 0x1F88, "climbing_motion_player_mag_to_jump" },
    { 0x1F89, "climbing_motion_player_moving_on_magnetic_surface" },
    { 0x1F8A, "climbing_motion_start_player_jump" },
    { 0x1F8B, "climbing_motion_start_player_jump_to_mag" },
    { 0x1F8C, "climbing_motion_start_player_mag_move" },
    { 0x1F8D, "climbing_motion_start_player_mag_to_jump" },
    { 0x1F8E, "climbing_motion_start_player_shooting" },
    { 0x1F8F, "climbing_motion_stop_player_combat_mode" },
    { 0x1F90, "climbing_motion_stop_player_combat_mode_quick" },
    { 0x1F91, "climbing_player_controller" },
    { 0x1F92, "climbing_player_dismounting" },
    { 0x1F93, "climbing_player_mount" },
    { 0x1F94, "climbing_scene_on_foot_no_friendly_damage_in_death_area" },
    { 0x1F95, "climbing_update_available_moving_options" },
    { 0x1F96, "clip" },
    { 0x1F97, "clip_missle_damage_think" },
    { 0x1F98, "clipammol" },
    { 0x1F99, "clipammor" },
    { 0x1F9A, "cloak" },
    { 0x1F9B, "cloak_again" },
    { 0x1F9C, "cloak_battery_hud" },
    { 0x1F9D, "cloak_battery_level" },
    { 0x1F9E, "cloak_device_hit_by_electro_magnetic_pulse" },
    { 0x1F9F, "cloak_disabled" },
    { 0x1FA0, "cloak_enemy_attack_behavior" },
    { 0x1FA1, "cloak_enemy_attack_behavior_mech" },
    { 0x1FA2, "cloak_enemy_default_setup" },
    { 0x1FA3, "cloak_enemy_fast_attack_behavior" },
    { 0x1FA4, "cloak_enemy_investigative_attack_behavior" },
    { 0x1FA5, "cloak_enemy_normal_behavior" },
    { 0x1FA6, "cloak_enemy_normal_behavior_mech" },
    { 0x1FA7, "cloak_enemy_reset_behavior" },
    { 0x1FA8, "cloak_enemy_reset_behavior_mech" },
    { 0x1FA9, "cloak_enemy_state_hidden" },
    { 0x1FAA, "cloak_enemy_state_spotted" },
    { 0x1FAB, "cloak_enemy_warning1_behavior" },
    { 0x1FAC, "cloak_enemy_warning1_behavior_mech" },
    { 0x1FAD, "cloak_enemy_warning2_behavior" },
    { 0x1FAE, "cloak_hud" },
    { 0x1FAF, "cloak_new" },
    { 0x1FB0, "cloak_npc_weapon_instantaneous" },
    { 0x1FB1, "cloak_off" },
    { 0x1FB2, "cloak_off_rope" },
    { 0x1FB3, "cloak_off_server_room" },
    { 0x1FB4, "cloak_on" },
    { 0x1FB5, "cloak_overlay" },
    { 0x1FB6, "cloak_stencil_on" },
    { 0x1FB7, "cloak_vm_weapon_blend" },
    { 0x1FB8, "cloak_vm_weapon_instantaneous" },
    { 0x1FB9, "cloak_warbird" },
    { 0x1FBA, "cloakactivateddialog" },
    { 0x1FBB, "cloakcooldown" },
    { 0x1FBC, "cloakdeactivateddialog" },
    { 0x1FBD, "cloaked_model" },
    { 0x1FBE, "cloaked_stealth_disable_battery_hud" },
    { 0x1FBF, "cloaked_stealth_disable_lab_hud_cinematic" },
    { 0x1FC0, "cloaked_stealth_enable_battery_hud" },
    { 0x1FC1, "cloaked_stealth_enable_lab_hud_cinematic" },
    { 0x1FC2, "cloaked_stealth_player_setup" },
    { 0x1FC3, "cloakedmodel" },
    { 0x1FC4, "cloaking_visual_effect_in_progress" },
    { 0x1FC5, "cloakingtransition" },
    { 0x1FC6, "cloakreadydialog" },
    { 0x1FC7, "cloakstate" },
    { 0x1FC8, "cloakwarbirdexit" },
    { 0x1FC9, "cloakweapon" },
    { 0x1FCA, "cloneloadout" },
    { 0x1FCB, "close" },
    { 0x1FCC, "close_ads_window_on_unlink" },
    { 0x1FCD, "close_all_doors" },
    { 0x1FCE, "close_elevator_doors" },
    { 0x1FCF, "close_enemy_check_on_mt_exit" },
    { 0x1FD0, "close_inner_doors" },
    { 0x1FD1, "close_interior_door" },
    { 0x1FD2, "close_me_when_exopush_over" },
    { 0x1FD3, "close_outer_doors" },
    { 0x1FD4, "close_pos" },
    { 0x1FD5, "close_silo_doors" },
    { 0x1FD6, "closeclassmenu" },
    { 0x1FD7, "closed" },
    { 0x1FD8, "closed_angles" },
    { 0x1FD9, "closeendinggates" },
    { 0x1FDA, "closeendinggatestransition" },
    { 0x1FDB, "closeenoughaimdegrees" },
    { 0x1FDC, "closeflightsound" },
    { 0x1FDD, "closeomamenuondeath" },
    { 0x1FDE, "closer_to_goal_vol" },
    { 0x1FDF, "closerfunc" },
    { 0x1FE0, "closest_drone" },
    { 0x1FE1, "closestai" },
    { 0x1FE2, "cloud_fx" },
    { 0x1FE3, "cloud_queen" },
    { 0x1FE4, "cloud_queen_fly" },
    { 0x1FE5, "cloudfasteffectchange" },
    { 0x1FE6, "cloudfastheavy" },
    { 0x1FE7, "cloudfastinit" },
    { 0x1FE8, "cloudfastlight" },
    { 0x1FE9, "cloudfastmedium" },
    { 0x1FEA, "cloudfastnone" },
    { 0x1FEB, "cloudfastplayer" },
    { 0x1FEC, "cloudpushplayer" },
    { 0x1FED, "cloudrandomizer" },
    { 0x1FEE, "clouds" },
    { 0x1FEF, "clouds_create" },
    { 0x1FF0, "cloudsunflicker" },
    { 0x1FF1, "cloudsunreset" },
    { 0x1FF2, "clusterdeployed" },
    { 0x1FF3, "clusterhellfire" },
    { 0x1FF4, "clustermissile" },
    { 0x1FF5, "clusterspiral" },
    { 0x1FF6, "clut_manage" },
    { 0x1FF7, "clut_manage_school" },
    { 0x1FF8, "clut_previous" },
    { 0x1FF9, "clut_rotate" },
    { 0x1FFA, "clut_trigger_manage" },
    { 0x1FFB, "clut_underwater" },
    { 0x1FFC, "cobra_missile_models" },
    { 0x1FFD, "cobra_weapon_tags" },
    { 0x1FFE, "cobrapilot_difficulty" },
    { 0x1FFF, "cobraweapon" },
    { 0x2000, "codecallback_givekillstreak" },
    { 0x2001, "codescripted" },
    { 0x2002, "cohesion_factor" },
    { 0x2003, "coi_bone" },
    { 0x2004, "coi_ent" },
    { 0x2005, "coi_pos" },
    { 0x2006, "cointoss" },
    { 0x2007, "cointossweighted" },
    { 0x2008, "col" },
    { 0x2009, "col_base" },
    { 0x200A, "col_body" },
    { 0x200B, "col_brush" },
    { 0x200C, "col_gun" },
    { 0x200D, "col_head" },
    { 0x200E, "col_leg_l" },
    { 0x200F, "col_leg_r" },
    { 0x2010, "col_lines" },
    { 0x2011, "col_moving_volumes" },
    { 0x2012, "col_t" },
    { 0x2013, "col_volumes" },
    { 0x2014, "cold_breath" },
    { 0x2015, "cold_burn_lighting_fog" },
    { 0x2016, "coll" },
    { 0x2017, "collapse_animate_lamps" },
    { 0x2018, "collapse_cleanup" },
    { 0x2019, "collapse_cop" },
    { 0x201A, "collapse_fov" },
    { 0x201B, "collapse_friendly_think" },
    { 0x201C, "collapse_player_disable_exo_and_weapons" },
    { 0x201D, "collapse_player_dynamic_speed" },
    { 0x201E, "collapse_player_look_at_tower" },
    { 0x201F, "collapse_scene_ents" },
    { 0x2020, "collapse_scene_ents_long" },
    { 0x2021, "collapse_shellshock" },
    { 0x2022, "collapse_stop_sign_think" },
    { 0x2023, "collapsing_buttress_01" },
    { 0x2024, "collapsing_buttress_02" },
    { 0x2025, "collapsing_buttress_03" },
    { 0x2026, "collapsing_buttress_missile" },
    { 0x2027, "collapsing_buttress_missile_flyby" },
    { 0x2028, "collect_func" },
    { 0x2029, "collectcount" },
    { 0x202A, "collectobjects" },
    { 0x202B, "collectpickup" },
    { 0x202C, "collectpickupfunc" },
    { 0x202D, "collectpickupmodel" },
    { 0x202E, "collision" },
    { 0x202F, "collision_brush_post_explosion" },
    { 0x2030, "collision_brush_pre_explosion" },
    { 0x2031, "collision_prop" },
    { 0x2032, "collision_watcher" },
    { 0x2033, "color_activate_post_burk_rally" },
    { 0x2034, "color_debug" },
    { 0x2035, "color_doesnt_care_about_classname" },
    { 0x2036, "color_doesnt_care_about_heroes" },
    { 0x2037, "color_from_index" },
    { 0x2038, "color_group_enter_lab_trigger" },
    { 0x2039, "color_node" },
    { 0x203A, "color_node_anim_at_node" },
    { 0x203B, "color_node_anim_at_node_animate" },
    { 0x203C, "color_node_arrival_notifies" },
    { 0x203D, "color_node_type_function" },
    { 0x203E, "color_ordered_node_assignment" },
    { 0x203F, "color_priority" },
    { 0x2040, "color_spawners_setup" },
    { 0x2041, "color_system" },
    { 0x2042, "color_teams" },
    { 0x2043, "color_user" },
    { 0x2044, "color0" },
    { 0x2045, "color01" },
    { 0x2046, "color1" },
    { 0x2047, "colorblind" },
    { 0x2048, "colorchecklist" },
    { 0x2049, "colorcode_is_used_in_map" },
    { 0x204A, "colordebug" },
    { 0x204B, "colorindex" },
    { 0x204C, "colorislegit" },
    { 0x204D, "colorlist" },
    { 0x204E, "colornode_clear_promotion_order" },
    { 0x204F, "colornode_func" },
    { 0x2050, "colornode_replace_on_death" },
    { 0x2051, "colornode_set_empty_promotion_order" },
    { 0x2052, "colornode_set_promotion_order" },
    { 0x2053, "colornode_set_respawn_point" },
    { 0x2054, "colornode_setgoal_func" },
    { 0x2055, "colornode_spawn_reinforcement" },
    { 0x2056, "colornode_stop_replace_on_death_group" },
    { 0x2057, "colornodes_debug_array" },
    { 0x2058, "colors" },
    { 0x2059, "colors_player_can_take_nodes" },
    { 0x205A, "cols" },
    { 0x205B, "colvol" },
    { 0x205C, "combat_canal_01" },
    { 0x205D, "combat_cave_cleanup" },
    { 0x205E, "combat_cave_dialogue" },
    { 0x205F, "combat_cave_exit" },
    { 0x2060, "combat_cave_to_lake_follow_dot" },
    { 0x2061, "combat_clearfacialanim" },
    { 0x2062, "combat_courtyard_general_01_think" },
    { 0x2063, "combat_courtyard_jammer" },
    { 0x2064, "combat_courtyard_jammer_complete" },
    { 0x2065, "combat_courtyard_jammer_ladder_left" },
    { 0x2066, "combat_courtyard_jammer_ladder_right" },
    { 0x2067, "combat_courtyard_mech" },
    { 0x2068, "combat_courtyard_path_general" },
    { 0x2069, "combat_courtyard_path_jammer_building" },
    { 0x206A, "combat_courtyard_path_left_00" },
    { 0x206B, "combat_courtyard_path_left_00_think" },
    { 0x206C, "combat_courtyard_path_left_01" },
    { 0x206D, "combat_courtyard_path_left_01_think" },
    { 0x206E, "combat_courtyard_path_left_02" },
    { 0x206F, "combat_courtyard_path_left_02_think" },
    { 0x2070, "combat_courtyard_path_left_03" },
    { 0x2071, "combat_courtyard_path_left_03_think" },
    { 0x2072, "combat_courtyard_path_middle_01" },
    { 0x2073, "combat_courtyard_path_middle_01_think" },
    { 0x2074, "combat_courtyard_path_middle_02" },
    { 0x2075, "combat_courtyard_path_middle_02_think" },
    { 0x2076, "combat_courtyard_path_middle_03" },
    { 0x2077, "combat_courtyard_path_middle_03_think" },
    { 0x2078, "combat_courtyard_path_right_01" },
    { 0x2079, "combat_courtyard_path_right_01_think" },
    { 0x207A, "combat_courtyard_path_right_02" },
    { 0x207B, "combat_courtyard_path_right_02_think" },
    { 0x207C, "combat_courtyard_path_right_03" },
    { 0x207D, "combat_courtyard_path_right_03_think" },
    { 0x207E, "combat_enemy_tank" },
    { 0x207F, "combat_enemy_trans_heli_wave_01" },
    { 0x2080, "combat_flyin_bridge" },
    { 0x2081, "combat_foam_corridor" },
    { 0x2082, "combat_forest_patrols_start" },
    { 0x2083, "combat_gaz_bridge" },
    { 0x2084, "combat_hangar" },
    { 0x2085, "combat_lobby" },
    { 0x2086, "combat_logging_road_end" },
    { 0x2087, "combat_player_in_m_turret" },
    { 0x2088, "combat_playfacialanim" },
    { 0x2089, "combat_post_breach_patrol" },
    { 0x208A, "combat_research_building" },
    { 0x208B, "combat_research_building_bridge" },
    { 0x208C, "combat_research_left_01" },
    { 0x208D, "combat_research_platform_01" },
    { 0x208E, "combat_research_pool_room" },
    { 0x208F, "combat_research_pool_walkway_01" },
    { 0x2090, "combat_research_right_01" },
    { 0x2091, "combat_silo" },
    { 0x2092, "combat_silo_boost" },
    { 0x2093, "combat_silo_complete" },
    { 0x2094, "combat_silo_mech" },
    { 0x2095, "combat_silo_seeker_ai" },
    { 0x2096, "combat_spawn_research_right_flank_02" },
    { 0x2097, "combat_state" },
    { 0x2098, "combat_street_blown_building" },
    { 0x2099, "combat_street_initial" },
    { 0x209A, "combat_street_mid_checkpoint_1" },
    { 0x209B, "combat_street_mid_checkpoint_2" },
    { 0x209C, "combat_street_seeker_ai" },
    { 0x209D, "combat_street_wave_01" },
    { 0x209E, "combat_street_wave_02" },
    { 0x209F, "combat_street_wave_03" },
    { 0x20A0, "combat_street_wave_04" },
    { 0x20A1, "combat_street_wave_rear" },
    { 0x20A2, "combat_tank_courtyard" },
    { 0x20A3, "combat_tank_courtyard_gate_1_guys_think" },
    { 0x20A4, "combat_tank_field_flee_guys_think" },
    { 0x20A5, "combat_tank_road" },
    { 0x20A6, "combat_zip_rooftop" },
    { 0x20A7, "combatbehavior" },
    { 0x20A8, "combatbuttonbuffer" },
    { 0x20A9, "combatcrouchanims" },
    { 0x20AA, "combatendtime" },
    { 0x20AB, "combathigh" },
    { 0x20AC, "combatidle" },
    { 0x20AD, "combatidlepreventoverlappingplayer" },
    { 0x20AE, "combatmemorytimeconst" },
    { 0x20AF, "combatmemorytimerand" },
    { 0x20B0, "combatrecordtie" },
    { 0x20B1, "combatrecordwin" },
    { 0x20B2, "combatreminderdialogue" },
    { 0x20B3, "combatstandanims" },
    { 0x20B4, "combatstate" },
    { 0x20B5, "combattime" },
    { 0x20B6, "comebackcustomkillstreakfunc" },
    { 0x20B7, "comebackcustomospfunc" },
    { 0x20B8, "comebackevent" },
    { 0x20B9, "command_goal" },
    { 0x20BA, "command_used" },
    { 0x20BB, "commander_dialog" },
    { 0x20BC, "commander_speaking" },
    { 0x20BD, "commanding_bot" },
    { 0x20BE, "commit_exo_awards_stage_and_progress" },
    { 0x20BF, "commit_exo_awards_upgrade_points_custom" },
    { 0x20C0, "commit_exo_awards_upon_mission_success" },
    { 0x20C1, "common_canyon_funcs" },
    { 0x20C2, "commonstarttime" },
    { 0x20C3, "compare_killnow_score" },
    { 0x20C4, "compare_player_pass_dot" },
    { 0x20C5, "compare_script_index" },
    { 0x20C6, "compare_time_before_attack" },
    { 0x20C7, "compare_time_before_move" },
    { 0x20C8, "compare_time_since_birth" },
    { 0x20C9, "compareorbitangle" },
    { 0x20CA, "comparescreenpos" },
    { 0x20CB, "comparesizesfx" },
    { 0x20CC, "comparezoneindexes" },
    { 0x20CD, "compass_offsets" },
    { 0x20CE, "compass_text" },
    { 0x20CF, "compass_update_text" },
    { 0x20D0, "compassicons" },
    { 0x20D1, "complete_me" },
    { 0x20D2, "completed_delay" },
    { 0x20D3, "completedanims" },
    { 0x20D4, "completednodes" },
    { 0x20D5, "component_cache" },
    { 0x20D6, "component_weights" },
    { 0x20D7, "compute_best_gun_target" },
    { 0x20D8, "compute_fireweapon_direction" },
    { 0x20D9, "compute_spread" },
    { 0x20DA, "compute_target_lead_origin" },
    { 0x20DB, "compute_threat" },
    { 0x20DC, "computer_door_entry_sfx_notetrack" },
    { 0x20DD, "concealed_kill_tutorial_display" },
    { 0x20DE, "concealed_tutorial_display_hint" },
    { 0x20DF, "concussionendtime" },
    { 0x20E0, "condition_callback" },
    { 0x20E1, "condition_to_moving" },
    { 0x20E2, "condition_to_start_moving" },
    { 0x20E3, "condition_to_state_cruzin" },
    { 0x20E4, "condition_to_state_state_honking" },
    { 0x20E5, "condition_to_stop_moving" },
    { 0x20E6, "cone_length" },
    { 0x20E7, "conf_camper_camp_tags" },
    { 0x20E8, "conf_camping_tag" },
    { 0x20E9, "conf_fx" },
    { 0x20EA, "conf_static" },
    { 0x20EB, "confcenteratriumflashcharge" },
    { 0x20EC, "confcenterbegin" },
    { 0x20ED, "confcenterbossexplode" },
    { 0x20EE, "confcentercombatdialogue" },
    { 0x20EF, "confcenterexplosion" },
    { 0x20F0, "confcenterfailalarmsoundeddialogue" },
    { 0x20F1, "confcenterfailburkekilleddialogue" },
    { 0x20F2, "confcenterfailhadeskilledearlydialogue" },
    { 0x20F3, "confcenterfailinvalidtargetdialogue" },
    { 0x20F4, "confcenterfailtimeoutdialogue" },
    { 0x20F5, "confcenterfailtimerexpiredialogue" },
    { 0x20F6, "confcenterflaginit" },
    { 0x20F7, "confcentergatecharge" },
    { 0x20F8, "confcenterglobalsetup" },
    { 0x20F9, "confcenterglobalvars" },
    { 0x20FA, "confcenterintrodialogue" },
    { 0x20FB, "confcenterkilldialogue" },
    { 0x20FC, "confcenterlightglowfx" },
    { 0x20FD, "confcenterobjectivesetup" },
    { 0x20FE, "confcenteroutrodialogue" },
    { 0x20FF, "confcenterpoolallywaterdrip" },
    { 0x2100, "confcenterpoolsplash" },
    { 0x2101, "confcenterprecache" },
    { 0x2102, "confcenterresidualsmoke" },
    { 0x2103, "confcentersetcompletedobjflags" },
    { 0x2104, "confcenterstartpoints" },
    { 0x2105, "confcentersupportadialogue" },
    { 0x2106, "confcentersupportbdialogue" },
    { 0x2107, "confcentersupportcdialogue" },
    { 0x2108, "confcentertotalcombat" },
    { 0x2109, "confcentervehiclesvulnerable" },
    { 0x210A, "conference_center_explo" },
    { 0x210B, "conference_center_explo_zone" },
    { 0x210C, "conference_center_fire" },
    { 0x210D, "conferenceroomanimations" },
    { 0x210E, "confhades" },
    { 0x210F, "config" },
    { 0x2110, "config_system" },
    { 0x2111, "confrontation_flashbang" },
    { 0x2112, "confrontation_fx_cleanup" },
    { 0x2113, "confrontation_guys" },
    { 0x2114, "confrontation_handle_player_clip" },
    { 0x2115, "confrontation_holo" },
    { 0x2116, "confrontation_hologram_fadeout" },
    { 0x2117, "confrontation_hudoutline_animate" },
    { 0x2118, "confrontation_hudoutline_cleanup" },
    { 0x2119, "confrontation_hudoutline_setup" },
    { 0x211A, "confrontation_irons_gun_shot" },
    { 0x211B, "confrontation_rig" },
    { 0x211C, "confrontation_scene_button_clean_up" },
    { 0x211D, "confrontation_scene_cleanup_confrontation" },
    { 0x211E, "confrontation_scene_cleanup_hologram" },
    { 0x211F, "confrontation_scene_cleaup" },
    { 0x2120, "confrontation_scene_escape" },
    { 0x2121, "confrontation_scene_escape_guard_dies" },
    { 0x2122, "confrontation_scene_escape_player_rise" },
    { 0x2123, "confrontation_scene_escape_qte_fail" },
    { 0x2124, "confrontation_scene_escape_qte_kick" },
    { 0x2125, "confrontation_scene_escape_qte_kick_kill" },
    { 0x2126, "confrontation_scene_escape_qte_raise_gun" },
    { 0x2127, "confrontation_scene_escape_qte_shoot" },
    { 0x2128, "confrontation_scene_flashbang_explode" },
    { 0x2129, "confrontation_scene_gun_swap" },
    { 0x212A, "confrontation_scene_hologram" },
    { 0x212B, "confrontation_scene_irons_lockdown" },
    { 0x212C, "confrontation_scene_irons_no_gun" },
    { 0x212D, "confrontation_scene_master_handler" },
    { 0x212E, "confrontation_scene_open_flashbang_door" },
    { 0x212F, "confrontation_scene_player_rumble_heavy" },
    { 0x2130, "confrontation_scene_player_rumble_light" },
    { 0x2131, "confrontation_scene_qte_kick_slomo_start" },
    { 0x2132, "confrontation_scene_qte_kick_slomo_stop" },
    { 0x2133, "confrontation_scene_qte_shoot_slomo_start" },
    { 0x2134, "confrontation_scene_qte_shoot_slomo_stop" },
    { 0x2135, "confrontation_scene_setup" },
    { 0x2136, "confrontation_static_start" },
    { 0x2137, "confrontation_tech_blood" },
    { 0x2138, "confroombodyscan" },
    { 0x2139, "confroombreachbodyguarddeath" },
    { 0x213A, "confroombreachhadesspeech" },
    { 0x213B, "confroomexplosiondronereaction" },
    { 0x213C, "confroomexplosivetrap" },
    { 0x213D, "confroomflashbang" },
    { 0x213E, "confroomhadessweep" },
    { 0x213F, "confroomragdoll" },
    { 0x2140, "confroomrecovery" },
    { 0x2141, "confroomreminderdialogue" },
    { 0x2142, "confroomsetup" },
    { 0x2143, "confroomstandingidles" },
    { 0x2144, "connect_node" },
    { 0x2145, "connect_nodes" },
    { 0x2146, "connect_paths" },
    { 0x2147, "connectandspawninstinctdogpack" },
    { 0x2148, "connected" },
    { 0x2149, "connectedmenus" },
    { 0x214A, "connectedpostgame" },
    { 0x214B, "connectingplayers" },
    { 0x214C, "connectnewagent" },
    { 0x214D, "connectpaths_ents_by_targetname" },
    { 0x214E, "connectpathsfunction" },
    { 0x214F, "connecttime" },
    { 0x2150, "connecttraverses" },
    { 0x2151, "considerchangingtarget" },
    { 0x2152, "considerthrowgrenade" },
    { 0x2153, "console" },
    { 0x2154, "console_guy" },
    { 0x2155, "consoleguy" },
    { 0x2156, "consolidated_inputs" },
    { 0x2157, "const_cosine_bunched_angle" },
    { 0x2158, "const_cosine_stick_angle" },
    { 0x2159, "constant_quake" },
    { 0x215A, "constrain_vector_to_cone" },
    { 0x215B, "constraingametype" },
    { 0x215C, "construct_vision_ents" },
    { 0x215D, "construct_vision_set" },
    { 0x215E, "construction_heli_shoot" },
    { 0x215F, "contact_watcher" },
    { 0x2160, "container_death_anims" },
    { 0x2161, "contents" },
    { 0x2162, "context_overrides" },
    { 0x2163, "continue_when_player_near_entity" },
    { 0x2164, "continuedrivenmovement" },
    { 0x2165, "continuemovement" },
    { 0x2166, "continuereinforcements" },
    { 0x2167, "control_foam_room_door02_clip" },
    { 0x2168, "control_goliath_usability" },
    { 0x2169, "control_mech_attacks" },
    { 0x216A, "control_mob_fire" },
    { 0x216B, "control_mob_turret" },
    { 0x216C, "control_room" },
    { 0x216D, "control_room_anims" },
    { 0x216E, "control_room_buzzer_started" },
    { 0x216F, "control_room_door_open_lt" },
    { 0x2170, "control_room_door_open_rt" },
    { 0x2171, "control_room_exit" },
    { 0x2172, "control_room_explosion" },
    { 0x2173, "control_room_foley_notetracks" },
    { 0x2174, "control_room_interior_vfx_on" },
    { 0x2175, "control_room_run" },
    { 0x2176, "control_room_run_approach" },
    { 0x2177, "control_room_run_joker" },
    { 0x2178, "control_room_run_player" },
    { 0x2179, "control_room_scene" },
    { 0x217A, "control_room_scene_actors" },
    { 0x217B, "control_room_scene_exit" },
    { 0x217C, "control_room_scene_player" },
    { 0x217D, "control_room_screens" },
    { 0x217E, "control_turret_after_delay" },
    { 0x217F, "controlcheck" },
    { 0x2180, "controllable_cloud_queen" },
    { 0x2181, "controllable_drone_activated" },
    { 0x2182, "controllable_drone_allowed_vols" },
    { 0x2183, "controllable_drone_hud" },
    { 0x2184, "controllable_drone_spawners" },
    { 0x2185, "controllable_drone_swarm_init" },
    { 0x2186, "controllable_drone_swarm_target" },
    { 0x2187, "controllable_drones" },
    { 0x2188, "controllable_fly_think" },
    { 0x2189, "controllable_hud_target_shader" },
    { 0x218A, "controlled_dog" },
    { 0x218B, "controlled_orbitalsupport_turret" },
    { 0x218C, "controller_rumble_heavy" },
    { 0x218D, "controller_rumble_heavy_long" },
    { 0x218E, "controller_rumble_heavy0" },
    { 0x218F, "controller_rumble_heavy1" },
    { 0x2190, "controller_rumble_heavy2" },
    { 0x2191, "controller_rumble_heavy3" },
    { 0x2192, "controller_rumble_light" },
    { 0x2193, "controller_rumble_light_long" },
    { 0x2194, "controller_rumble_light0" },
    { 0x2195, "controller_rumble_light1" },
    { 0x2196, "controller_rumble_light2" },
    { 0x2197, "controller_rumble_light3" },
    { 0x2198, "controlling_dog" },
    { 0x2199, "controllingorbitallaser" },
    { 0x219A, "controllingwarbird" },
    { 0x219B, "controlsfrozen" },
    { 0x219C, "conversation_index" },
    { 0x219D, "conversation_response" },
    { 0x219E, "conversation_start" },
    { 0x219F, "conversation_stop" },
    { 0x21A0, "convert_8bit_color" },
    { 0x21A1, "convert_drones_near_player" },
    { 0x21A2, "convert_guy_to_drone" },
    { 0x21A3, "convert_to_time_string" },
    { 0x21A4, "convertfogtech" },
    { 0x21A5, "convertlegacyfog" },
    { 0x21A6, "convertmillisecondstodecisecondsandclamptoshort" },
    { 0x21A7, "convertoneshot" },
    { 0x21A8, "convertoneshotfx" },
    { 0x21A9, "converts" },
    { 0x21AA, "convoactive" },
    { 0x21AB, "convogate" },
    { 0x21AC, "convos" },
    { 0x21AD, "convoy_barrier" },
    { 0x21AE, "convoy_barrier_setup" },
    { 0x21AF, "convoy_crash_emitters" },
    { 0x21B0, "convoy_truck_explosion" },
    { 0x21B1, "convoydetonateambushinteract" },
    { 0x21B2, "cool_down_duration" },
    { 0x21B3, "cooldownstate" },
    { 0x21B4, "cooldowntime" },
    { 0x21B5, "cooldownwaittime" },
    { 0x21B6, "cooling_tower" },
    { 0x21B7, "cooling_tower_collapse" },
    { 0x21B8, "cooling_tower_collapse_visibility" },
    { 0x21B9, "coop_breached_from_same_door_in_a_muliti_door_room" },
    { 0x21BA, "coop_icon_blinkcrement" },
    { 0x21BB, "coop_icon_blinktime" },
    { 0x21BC, "coop_icon_color_blink" },
    { 0x21BD, "coop_icon_color_damage" },
    { 0x21BE, "coop_icon_color_downed" },
    { 0x21BF, "coop_icon_color_dying" },
    { 0x21C0, "coop_icon_color_normal" },
    { 0x21C1, "coop_icon_color_shoot" },
    { 0x21C2, "coop_icon_state" },
    { 0x21C3, "coop_player_in_special_ops_survival" },
    { 0x21C4, "coop_player_touching_valid_door_volume" },
    { 0x21C5, "coop_revive_nag_hud_refreshtime" },
    { 0x21C6, "coop_with_one_player_downed" },
    { 0x21C7, "coopkillstreaksplashnotify" },
    { 0x21C8, "cooplinker" },
    { 0x21C9, "coopoffensive" },
    { 0x21CA, "coopturret" },
    { 0x21CB, "cop_car_lights_on" },
    { 0x21CC, "cop_car_lights_on_barricade" },
    { 0x21CD, "copgroup" },
    { 0x21CE, "copier" },
    { 0x21CF, "copilot_intro" },
    { 0x21D0, "copy_angles_of_selected_ents" },
    { 0x21D1, "copy_animation_to_cloak_models" },
    { 0x21D2, "copy_animation_to_model" },
    { 0x21D3, "copy_attachments" },
    { 0x21D4, "copy_bar" },
    { 0x21D5, "copy_cat" },
    { 0x21D6, "copy_ents" },
    { 0x21D7, "copy_names" },
    { 0x21D8, "copy_script_model" },
    { 0x21D9, "copycatloadout" },
    { 0x21DA, "copystructarrayvalues" },
    { 0x21DB, "core_snipers_drone_spawners" },
    { 0x21DC, "coredamagetrig" },
    { 0x21DD, "coredeathtrig" },
    { 0x21DE, "coreshellshock" },
    { 0x21DF, "cormack" },
    { 0x21E0, "cormack_anim_rate_change" },
    { 0x21E1, "cormack_anim_scene_fob_meet" },
    { 0x21E2, "cormack_boost_jump" },
    { 0x21E3, "cormack_bridge_intro" },
    { 0x21E4, "cormack_dilate_pupils" },
    { 0x21E5, "cormack_dodge_drones" },
    { 0x21E6, "cormack_exfil_approach" },
    { 0x21E7, "cormack_firing_listener" },
    { 0x21E8, "cormack_flare" },
    { 0x21E9, "cormack_flare_notetrack_handler_flare" },
    { 0x21EA, "cormack_flare_notetrack_handler_ice" },
    { 0x21EB, "cormack_fov_end" },
    { 0x21EC, "cormack_fov_start" },
    { 0x21ED, "cormack_grapple_kill_rope" },
    { 0x21EE, "cormack_grapple_to_vtol" },
    { 0x21EF, "cormack_hall_handler" },
    { 0x21F0, "cormack_hand_on_ilana" },
    { 0x21F1, "cormack_helmet_close" },
    { 0x21F2, "cormack_helmet_open" },
    { 0x21F3, "cormack_ilana_cleanup" },
    { 0x21F4, "cormack_ilana_infil" },
    { 0x21F5, "cormack_intel_foley" },
    { 0x21F6, "cormack_intro" },
    { 0x21F7, "cormack_jetpack_switch" },
    { 0x21F8, "cormack_lake_callout_cargo" },
    { 0x21F9, "cormack_lake_callout_cover" },
    { 0x21FA, "cormack_lake_callout_coverme" },
    { 0x21FB, "cormack_lake_callout_downhere" },
    { 0x21FC, "cormack_lake_callout_goliath" },
    { 0x21FD, "cormack_lake_callout_pin" },
    { 0x21FE, "cormack_lake_callout_rpg" },
    { 0x21FF, "cormack_lake_callout_stop" },
    { 0x2200, "cormack_landing_pad_combat" },
    { 0x2201, "cormack_light_handler" },
    { 0x2202, "cormack_missile" },
    { 0x2203, "cormack_missile_fx" },
    { 0x2204, "cormack_narrow_cave_search" },
    { 0x2205, "cormack_narrow_cave_start" },
    { 0x2206, "cormack_narrowcave_breach_grab_axe" },
    { 0x2207, "cormack_narrowcave_breach_ledge" },
    { 0x2208, "cormack_narrowcave_breach_surface" },
    { 0x2209, "cormack_narrowcave_breach_turn" },
    { 0x220A, "cormack_narrowcave_search_enter" },
    { 0x220B, "cormack_narrowcave_search_exit" },
    { 0x220C, "cormack_narrowcave_search_traverse_sec1" },
    { 0x220D, "cormack_outro" },
    { 0x220E, "cormack_perarts_jump_explosions" },
    { 0x220F, "cormack_pick" },
    { 0x2210, "cormack_pickup_stinger" },
    { 0x2211, "cormack_pod_exit_impact" },
    { 0x2212, "cormack_post_breach_move" },
    { 0x2213, "cormack_rappel" },
    { 0x2214, "cormack_reached" },
    { 0x2215, "cormack_server_room_se" },
    { 0x2216, "cormack_shoot_missile" },
    { 0x2217, "cormack_shoots_bridge_guy" },
    { 0x2218, "cormack_smash_monitor_01" },
    { 0x2219, "cormack_smash_monitor_02" },
    { 0x221A, "cormack_stealth_takedown_guard_sounds" },
    { 0x221B, "cormack_stealth_takedown_guy_waits" },
    { 0x221C, "cormack_stealth_takedown_rope_waits" },
    { 0x221D, "cormack_turkey_shoot" },
    { 0x221E, "cormack_wait" },
    { 0x221F, "corner_clearfacialanim" },
    { 0x2220, "corner_playaimfacialanim" },
    { 0x2221, "corner_playcornerfacialanim" },
    { 0x2222, "corner_think" },
    { 0x2223, "corneraiming" },
    { 0x2224, "cornerdeathreleasegrenade" },
    { 0x2225, "cornerdirection" },
    { 0x2226, "cornerline_height" },
    { 0x2227, "cornermode" },
    { 0x2228, "cornerreload" },
    { 0x2229, "cornerrightgrenadedeath" },
    { 0x222A, "corners" },
    { 0x222B, "cornersights" },
    { 0x222C, "corpse" },
    { 0x222D, "corpse_array" },
    { 0x222E, "corpse_array_time" },
    { 0x222F, "corpse_behavior_doesnt_require_player_sight" },
    { 0x2230, "corpse_cleanup" },
    { 0x2231, "corpse_entity" },
    { 0x2232, "corpse_height" },
    { 0x2233, "corpse_seen_by" },
    { 0x2234, "corpse_trigger_think" },
    { 0x2235, "cosine" },
    { 0x2236, "costume" },
    { 0x2237, "costume_changed" },
    { 0x2238, "costumecat2idx" },
    { 0x2239, "costumecategories" },
    { 0x223A, "costumelogged" },
    { 0x223B, "couldntseeenemypos" },
    { 0x223C, "count_bullet" },
    { 0x223D, "count_rocket" },
    { 0x223E, "count_swarm" },
    { 0x223F, "countdown_missile_launch" },
    { 0x2240, "counted" },
    { 0x2241, "counter" },
    { 0x2242, "countplayers" },
    { 0x2243, "countryid" },
    { 0x2244, "countryids" },
    { 0x2245, "courtyard" },
    { 0x2246, "courtyard_ally_mcd_safeguard" },
    { 0x2247, "courtyard_ally_mcd_safeguard_init" },
    { 0x2248, "courtyard_ambient_bullet_impact" },
    { 0x2249, "courtyard_ambient_bullet_impacts" },
    { 0x224A, "courtyard_ambient_explosions" },
    { 0x224B, "courtyard_burke_defend_squad" },
    { 0x224C, "courtyard_burke_enter_hangar_logic" },
    { 0x224D, "courtyard_burke_rally" },
    { 0x224E, "courtyard_cormack_enter_hangar_logic" },
    { 0x224F, "courtyard_defend_start" },
    { 0x2250, "courtyard_door_hack_complete_dialogue" },
    { 0x2251, "courtyard_door_hack_start_dialogue" },
    { 0x2252, "courtyard_doormen_enemy_think" },
    { 0x2253, "courtyard_end_jammer" },
    { 0x2254, "courtyard_enemy_initial_think" },
    { 0x2255, "courtyard_enemy_sniper_fodder_count" },
    { 0x2256, "courtyard_enemy_sniper_fodder_damage_function" },
    { 0x2257, "courtyard_enemy_sniper_fodder_think" },
    { 0x2258, "courtyard_enemy_sniper_fodder_track" },
    { 0x2259, "courtyard_enemy_think" },
    { 0x225A, "courtyard_entry_dialogue" },
    { 0x225B, "courtyard_gate_take_damage" },
    { 0x225C, "courtyard_gate_think" },
    { 0x225D, "courtyard_gates_think" },
    { 0x225E, "courtyard_glowing_ladders" },
    { 0x225F, "courtyard_goal_volume" },
    { 0x2260, "courtyard_goal_volume_trigger_b_think" },
    { 0x2261, "courtyard_goal_volume_trigger_think" },
    { 0x2262, "courtyard_hangar_door_close" },
    { 0x2263, "courtyard_hangar_door_close_rpg" },
    { 0x2264, "courtyard_hangar_door_hack" },
    { 0x2265, "courtyard_hangar_door_logic" },
    { 0x2266, "courtyard_hangar_door_open" },
    { 0x2267, "courtyard_hangar_mech_01_spawned" },
    { 0x2268, "courtyard_intro_magic_bullets" },
    { 0x2269, "courtyard_jammer" },
    { 0x226A, "courtyard_jammer_complete_dialogue" },
    { 0x226B, "courtyard_jammer_ladder_enemy_think" },
    { 0x226C, "courtyard_jammer_logic" },
    { 0x226D, "courtyard_jammer_plant_dof" },
    { 0x226E, "courtyard_jammer_plant_nag_dialogue" },
    { 0x226F, "courtyard_jammer_rumbles" },
    { 0x2270, "courtyard_jammer_scene" },
    { 0x2271, "courtyard_logic" },
    { 0x2272, "courtyard_mech_01" },
    { 0x2273, "courtyard_mech_02" },
    { 0x2274, "courtyard_mech_03" },
    { 0x2275, "courtyard_mech_04" },
    { 0x2276, "courtyard_mech_start_dialogue" },
    { 0x2277, "courtyard_mi17_spawn_01" },
    { 0x2278, "courtyard_mi17_spawn_02" },
    { 0x2279, "courtyard_mobile_cover_guys" },
    { 0x227A, "courtyard_rappel_preview" },
    { 0x227B, "courtyard_rappel_preview_guys" },
    { 0x227C, "courtyard_rappel_preview_think" },
    { 0x227D, "courtyard_rappel_preview_vehicles" },
    { 0x227E, "courtyard_rpg_drop" },
    { 0x227F, "courtyard_scrambler_rotate" },
    { 0x2280, "courtyard_scripted_props_staged_wakeup" },
    { 0x2281, "courtyard_scripted_props_think" },
    { 0x2282, "courtyard_squad_defend_nag_dialogue" },
    { 0x2283, "courtyard_start_dish" },
    { 0x2284, "courtyard_sun_off" },
    { 0x2285, "courtyard_traversal_hangar" },
    { 0x2286, "courtyard_traversal_initial" },
    { 0x2287, "courtyard_traversal_jammer" },
    { 0x2288, "courtyard_traversal_tank" },
    { 0x2289, "courtyard_vrap01" },
    { 0x228A, "courtyard_vrap02" },
    { 0x228B, "courtyard_vrap03" },
    { 0x228C, "courtyard_vrap04" },
    { 0x228D, "courtyard_vrap05" },
    { 0x228E, "courtyardguardcheckgatedialogue" },
    { 0x228F, "courtyardreminderdialogue" },
    { 0x2290, "courtyardspecialdetection" },
    { 0x2291, "cover_clearfacialanim" },
    { 0x2292, "cover_drone_disable" },
    { 0x2293, "cover_drone_disabled" },
    { 0x2294, "cover_drone_enable" },
    { 0x2295, "cover_drone_wheels" },
    { 0x2296, "cover_fire_missile_repulsor" },
    { 0x2297, "cover_nodes_first" },
    { 0x2298, "cover_nodes_last" },
    { 0x2299, "cover_playfacialanim" },
    { 0x229A, "cover_wall_think" },
    { 0x229B, "cover_warnings_disabled" },
    { 0x229C, "coverapproachlastminutecheck" },
    { 0x229D, "covercrouch" },
    { 0x229E, "covercrouchfail" },
    { 0x229F, "covercrouchgrenade" },
    { 0x22A0, "covercrouchlean_aimmode" },
    { 0x22A1, "covercrouchleanpitch" },
    { 0x22A2, "coverenterpos" },
    { 0x22A3, "coverexit" },
    { 0x22A4, "coverexitangles" },
    { 0x22A5, "coverexitdist" },
    { 0x22A6, "coverexitpos" },
    { 0x22A7, "coverexitpostdist" },
    { 0x22A8, "coverleft45" },
    { 0x22A9, "coverleft90" },
    { 0x22AA, "coverleftgrenade" },
    { 0x22AB, "covermode" },
    { 0x22AC, "covermulti_choosehidestate" },
    { 0x22AD, "covermulti_dotransition" },
    { 0x22AE, "covermulti_enterstate" },
    { 0x22AF, "covermulti_exitstate" },
    { 0x22B0, "covermulti_getanimtransition" },
    { 0x22B1, "covermulti_getbestvaliddir" },
    { 0x22B2, "covermulti_getnonrandomvaliddir" },
    { 0x22B3, "covermulti_getrandomvaliddir" },
    { 0x22B4, "covermulti_getstatefromdir" },
    { 0x22B5, "covermulti_isvaliddir" },
    { 0x22B6, "covermulti_setdir" },
    { 0x22B7, "covermulti_setstate" },
    { 0x22B8, "covermulti_setstateinternal" },
    { 0x22B9, "covermulti_think" },
    { 0x22BA, "covernode" },
    { 0x22BB, "coverpoint" },
    { 0x22BC, "coverposestablishedtime" },
    { 0x22BD, "coverprint" },
    { 0x22BE, "coverreload" },
    { 0x22BF, "coverright45" },
    { 0x22C0, "coverright90" },
    { 0x22C1, "coverrightgrenade" },
    { 0x22C2, "coversetupanim" },
    { 0x22C3, "coverstand" },
    { 0x22C4, "coverstandfail" },
    { 0x22C5, "coverstandgrenade" },
    { 0x22C6, "covertest" },
    { 0x22C7, "covertrans" },
    { 0x22C8, "covertransangles" },
    { 0x22C9, "covertransdist" },
    { 0x22CA, "covertranspredist" },
    { 0x22CB, "covertype" },
    { 0x22CC, "cower_cleanup_civs_on_goal" },
    { 0x22CD, "cpm" },
    { 0x22CE, "cpu_transmission" },
    { 0x22CF, "cqb_aim" },
    { 0x22D0, "cqb_clearfacialanim" },
    { 0x22D1, "cqb_dof_off" },
    { 0x22D2, "cqb_dof_on" },
    { 0x22D3, "cqb_investigate_behavior" },
    { 0x22D4, "cqb_mode" },
    { 0x22D5, "cqb_playfacialanim" },
    { 0x22D6, "cqb_point_of_interest" },
    { 0x22D7, "cqb_reloadinternal" },
    { 0x22D8, "cqb_target" },
    { 0x22D9, "cqb_test" },
    { 0x22DA, "cqb_walk" },
    { 0x22DB, "cqb_wide_poi_track" },
    { 0x22DC, "cqb_wide_target_track" },
    { 0x22DD, "cqbenabled" },
    { 0x22DE, "cqbpointsofinterest" },
    { 0x22DF, "cqbtracking" },
    { 0x22E0, "cqbwalking" },
    { 0x22E1, "cracked_floor_function" },
    { 0x22E2, "cracked_windshield_swap" },
    { 0x22E3, "crane_animated_down" },
    { 0x22E4, "crane_animated_up" },
    { 0x22E5, "crane_cable" },
    { 0x22E6, "crane_cable_down" },
    { 0x22E7, "crane_cable_up" },
    { 0x22E8, "crane_check_for_stop_command" },
    { 0x22E9, "crane_claw_crate_grab" },
    { 0x22EA, "crane_claw_crate_release" },
    { 0x22EB, "crane_claw_drop_start" },
    { 0x22EC, "crane_claw_drop_stop" },
    { 0x22ED, "crane_claw_mvmnt_start" },
    { 0x22EE, "crane_claw_mvmnt_stop" },
    { 0x22EF, "crane_claw_rise_start" },
    { 0x22F0, "crane_claw_rise_stop" },
    { 0x22F1, "crane_force_stop_command" },
    { 0x22F2, "crane_mach_mvmnt_start" },
    { 0x22F3, "crane_mach_mvmnt_stop" },
    { 0x22F4, "cranechemcollision" },
    { 0x22F5, "cranechemcollisiontotal" },
    { 0x22F6, "cranecollision" },
    { 0x22F7, "cranecollisiontotal" },
    { 0x22F8, "cranes" },
    { 0x22F9, "cranesparks" },
    { 0x22FA, "cranethink" },
    { 0x22FB, "crash" },
    { 0x22FC, "crash_blackout" },
    { 0x22FD, "crash_derailed_check" },
    { 0x22FE, "crash_detour_check" },
    { 0x22FF, "crash_dof_presets" },
    { 0x2300, "crash_event" },
    { 0x2301, "crash_fire_light" },
    { 0x2302, "crash_gideon_rescue_cormack" },
    { 0x2303, "crash_gideon_rescue_gideon" },
    { 0x2304, "crash_gideon_rescue_ilona" },
    { 0x2305, "crash_gideon_rescue2_cormack" },
    { 0x2306, "crash_gideon_rescue2_gideon" },
    { 0x2307, "crash_gideon_rescue2_ilona" },
    { 0x2308, "crash_introscreen" },
    { 0x2309, "crash_is_fatal" },
    { 0x230A, "crash_lighting_crash_site" },
    { 0x230B, "crash_lighting_crash_site_dof" },
    { 0x230C, "crash_lighting_drone_hall" },
    { 0x230D, "crash_lighting_engine_lighting" },
    { 0x230E, "crash_lighting_entry" },
    { 0x230F, "crash_lighting_entry_dof" },
    { 0x2310, "crash_lighting_entry_dof_scripted" },
    { 0x2311, "crash_lighting_goliath_dof" },
    { 0x2312, "crash_lighting_ice_caves_01" },
    { 0x2313, "crash_lighting_ice_caves_01_flare" },
    { 0x2314, "crash_lighting_ice_caves_02" },
    { 0x2315, "crash_lighting_lake_cinema" },
    { 0x2316, "crash_lighting_overlook" },
    { 0x2317, "crash_lighting_plane_fire" },
    { 0x2318, "crash_lighting_post_goliath_fall" },
    { 0x2319, "crash_lighting_skyjack_setup" },
    { 0x231A, "crash_lighting_underground_lake" },
    { 0x231B, "crash_logic" },
    { 0x231C, "crash_mechs" },
    { 0x231D, "crash_node" },
    { 0x231E, "crash_open_gate" },
    { 0x231F, "crash_open_left_gate" },
    { 0x2320, "crash_open_right_gate" },
    { 0x2321, "crash_overlay" },
    { 0x2322, "crash_overlook_sunflare" },
    { 0x2323, "crash_overlook_trigger" },
    { 0x2324, "crash_overlook_trigger_sunflare" },
    { 0x2325, "crash_path_check" },
    { 0x2326, "crash_plane_crash_ilona" },
    { 0x2327, "crash_precache" },
    { 0x2328, "crash_rumble" },
    { 0x2329, "crash_set_level_lighting_values" },
    { 0x232A, "crash_site_a10_gun_dive_1" },
    { 0x232B, "crash_site_a10_missile_dive_1" },
    { 0x232C, "crash_site_ally_drones" },
    { 0x232D, "crash_site_animnode" },
    { 0x232E, "crash_site_background_enemies" },
    { 0x232F, "crash_site_battle_chatter_chooser" },
    { 0x2330, "crash_site_battle_chatter_manager" },
    { 0x2331, "crash_site_battle_chatter_north" },
    { 0x2332, "crash_site_battle_chatter_south" },
    { 0x2333, "crash_site_bg_battle_chatter_north" },
    { 0x2334, "crash_site_bg_battle_chatter_south" },
    { 0x2335, "crash_site_bg_warbird_1" },
    { 0x2336, "crash_site_bg_warbird_2" },
    { 0x2337, "crash_site_bg_warbird_3" },
    { 0x2338, "crash_site_bg_warbirds" },
    { 0x2339, "crash_site_bunker_allies" },
    { 0x233A, "crash_site_bunker_sentinels" },
    { 0x233B, "crash_site_chutes" },
    { 0x233C, "crash_site_combat_manager" },
    { 0x233D, "crash_site_cormack" },
    { 0x233E, "crash_site_dead_razorback_guys" },
    { 0x233F, "crash_site_dialogue" },
    { 0x2340, "crash_site_drone" },
    { 0x2341, "crash_site_drones" },
    { 0x2342, "crash_site_drop_pod_enemies" },
    { 0x2343, "crash_site_drop_pod_manager" },
    { 0x2344, "crash_site_ilana" },
    { 0x2345, "crash_site_intro_killer" },
    { 0x2346, "crash_site_intro_killer2" },
    { 0x2347, "crash_site_jump_node_usage_scale" },
    { 0x2348, "crash_site_kill_counter" },
    { 0x2349, "crash_site_plane" },
    { 0x234A, "crash_site_plane_allies" },
    { 0x234B, "crash_site_player" },
    { 0x234C, "crash_site_player_gun" },
    { 0x234D, "crash_site_random_bg_explosion" },
    { 0x234E, "crash_site_random_playspace_explosion" },
    { 0x234F, "crash_site_razorback_allies" },
    { 0x2350, "crash_site_runway" },
    { 0x2351, "crash_speed" },
    { 0x2352, "crash_speed_ips" },
    { 0x2353, "crash_speed_mph" },
    { 0x2354, "crash_squad_take_cover" },
    { 0x2355, "crash_starts" },
    { 0x2356, "crash_struct" },
    { 0x2357, "crash_time" },
    { 0x2358, "crash_wakeup" },
    { 0x2359, "crashed" },
    { 0x235A, "crashed_pod_rotation" },
    { 0x235B, "crashedc17_missile_org" },
    { 0x235C, "crashfx" },
    { 0x235D, "crashing" },
    { 0x235E, "crashing_plane" },
    { 0x235F, "crashplane" },
    { 0x2360, "crashpos" },
    { 0x2361, "crate" },
    { 0x2362, "crate_calculate_on_path_grid" },
    { 0x2363, "crate_can_use" },
    { 0x2364, "crate_can_use_always" },
    { 0x2365, "crate_count" },
    { 0x2366, "crate_get_bot_target" },
    { 0x2367, "crate_get_nearest_valid_nodes" },
    { 0x2368, "crate_has_landed" },
    { 0x2369, "crate_in_range" },
    { 0x236A, "crate_is_on_path_grid" },
    { 0x236B, "crate_landed_and_on_path_grid" },
    { 0x236C, "crate_low_ammo_check" },
    { 0x236D, "crate_monitor_position" },
    { 0x236E, "crate_move_start" },
    { 0x236F, "crate_path_start" },
    { 0x2370, "crate_picked_up" },
    { 0x2371, "crate_should_claim" },
    { 0x2372, "crate_wait_use" },
    { 0x2373, "crateallcapturethinkhorde" },
    { 0x2374, "cratedetectstopphysics" },
    { 0x2375, "cratehandledamagecallback" },
    { 0x2376, "crateimpactcleanup" },
    { 0x2377, "cratemaxval" },
    { 0x2378, "cratemodelplayerupdater" },
    { 0x2379, "cratemodelteamupdater" },
    { 0x237A, "cratenonownerusetime" },
    { 0x237B, "crateothercapturethink" },
    { 0x237C, "crateownercapturethink" },
    { 0x237D, "crateownerdoubletapthink" },
    { 0x237E, "crateownerusetime" },
    { 0x237F, "cratesetupforuse" },
    { 0x2380, "cratesetuphintstrings" },
    { 0x2381, "crateteammodelupdater" },
    { 0x2382, "cratetrapsetupkillcam" },
    { 0x2383, "cratetype" },
    { 0x2384, "cratetypeisexcluded" },
    { 0x2385, "cratetypes" },
    { 0x2386, "crateusejuggernautupdater" },
    { 0x2387, "crateusepostjuggernautupdater" },
    { 0x2388, "crateuseteamupdater" },
    { 0x2389, "crawl_fx" },
    { 0x238A, "crawl_fx_rate" },
    { 0x238B, "crawl_target_and_init_flags" },
    { 0x238C, "crawl_through_targets_to_init_flags" },
    { 0x238D, "crawled" },
    { 0x238E, "crawlingpain" },
    { 0x238F, "crawlingpainanimoverridefunc" },
    { 0x2390, "crawlingpaintransanim" },
    { 0x2391, "crawlingpistol" },
    { 0x2392, "crch_exp_npc_cloak_buttons" },
    { 0x2393, "crch_lft_npc_cloak_buttons" },
    { 0x2394, "crch_rt_npc_cloak_buttons" },
    { 0x2395, "creaky_board" },
    { 0x2396, "create_active_zone" },
    { 0x2397, "create_ads_hint_string" },
    { 0x2398, "create_anim_ent_for_my_position" },
    { 0x2399, "create_anim_scene" },
    { 0x239A, "create_animation_list" },
    { 0x239B, "create_array_of_intel_items" },
    { 0x239C, "create_array_of_origins_from_table" },
    { 0x239D, "create_badplace" },
    { 0x239E, "create_black_screen" },
    { 0x239F, "create_blend" },
    { 0x23A0, "create_bot_badplaces" },
    { 0x23A1, "create_chyron_text" },
    { 0x23A2, "create_client_overlay" },
    { 0x23A3, "create_client_overlay_custom_size" },
    { 0x23A4, "create_client_overlay_fullscreen" },
    { 0x23A5, "create_clientside_water_ents" },
    { 0x23A6, "create_common_envelop_arrays" },
    { 0x23A7, "create_confrontation_static_overlay" },
    { 0x23A8, "create_conversation_arrays" },
    { 0x23A9, "create_debug_text_hud" },
    { 0x23AA, "create_default_vision_set_fog" },
    { 0x23AB, "create_dof_preset" },
    { 0x23AC, "create_dof_viewmodel_preset" },
    { 0x23AD, "create_drone_kamikazes" },
    { 0x23AE, "create_dvar" },
    { 0x23AF, "create_dynamicambience" },
    { 0x23B0, "create_exo_temperature_hud" },
    { 0x23B1, "create_exploders_fromlist" },
    { 0x23B2, "create_flags_and_return_tokens" },
    { 0x23B3, "create_flickerlight_motion_preset" },
    { 0x23B4, "create_flickerlight_preset" },
    { 0x23B5, "create_foam_matrix" },
    { 0x23B6, "create_fog" },
    { 0x23B7, "create_fresh_friendly_icon" },
    { 0x23B8, "create_fx_ent_setup" },
    { 0x23B9, "create_fx_menu" },
    { 0x23BA, "create_fxlighting_object" },
    { 0x23BB, "create_gamemessage_text" },
    { 0x23BC, "create_hud_drone_overlay" },
    { 0x23BD, "create_hud_drone_target" },
    { 0x23BE, "create_hud_laser_crosshair" },
    { 0x23BF, "create_hud_nvg_overlay" },
    { 0x23C0, "create_hud_sonar_overlay" },
    { 0x23C1, "create_hud_static_overlay" },
    { 0x23C2, "create_hud_threat_overlay" },
    { 0x23C3, "create_interval_sound" },
    { 0x23C4, "create_level_envelop_arrays" },
    { 0x23C5, "create_level_misc_arrays" },
    { 0x23C6, "create_light_object" },
    { 0x23C7, "create_light_set" },
    { 0x23C8, "create_lock" },
    { 0x23C9, "create_looper" },
    { 0x23CA, "create_loopsound" },
    { 0x23CB, "create_mantle" },
    { 0x23CC, "create_mg_team" },
    { 0x23CD, "create_missileattractor_on_player_chopper" },
    { 0x23CE, "create_new_spawner_pool" },
    { 0x23CF, "create_nvg_overlay" },
    { 0x23D0, "create_overlay_element" },
    { 0x23D1, "create_path" },
    { 0x23D2, "create_pivot" },
    { 0x23D3, "create_pulselight_preset" },
    { 0x23D4, "create_pulsing_text" },
    { 0x23D5, "create_random_animation" },
    { 0x23D6, "create_reflection_object" },
    { 0x23D7, "create_reflection_objects" },
    { 0x23D8, "create_slowmo_breaches_from_entities" },
    { 0x23D9, "create_start" },
    { 0x23DA, "create_strip" },
    { 0x23DB, "create_sunflare_setting" },
    { 0x23DC, "create_trigger_hint_string" },
    { 0x23DD, "create_triggerfx" },
    { 0x23DE, "create_vehicle_from_spawngroup_and_gopath" },
    { 0x23DF, "create_vision_set_fog" },
    { 0x23E0, "create_vision_set_vision" },
    { 0x23E1, "create_warning_elem" },
    { 0x23E2, "createairdropcrate" },
    { 0x23E3, "createart_transient_thread" },
    { 0x23E4, "createassaultuav" },
    { 0x23E5, "createbar" },
    { 0x23E6, "createbombsquadmodel" },
    { 0x23E7, "createcapzone" },
    { 0x23E8, "createcarriedobject" },
    { 0x23E9, "createcarryobject" },
    { 0x23EA, "createchatevent" },
    { 0x23EB, "createchatphrase" },
    { 0x23EC, "createclientbar" },
    { 0x23ED, "createclientfontstring" },
    { 0x23EE, "createclientfontstring_func" },
    { 0x23EF, "createclienticon" },
    { 0x23F0, "createclientprogressbar" },
    { 0x23F1, "createclienttimer" },
    { 0x23F2, "createcollision" },
    { 0x23F3, "createdefaultbobsettings" },
    { 0x23F4, "createdefaultsmallbobsettings" },
    { 0x23F5, "createdogenemy" },
    { 0x23F6, "createdot" },
    { 0x23F7, "createdot_radius" },
    { 0x23F8, "createdroneenemy" },
    { 0x23F9, "createdynamicambience" },
    { 0x23FA, "createechoalias" },
    { 0x23FB, "createeffect" },
    { 0x23FC, "createempclientbar" },
    { 0x23FD, "createenemy" },
    { 0x23FE, "createexploder" },
    { 0x23FF, "createexploderex" },
    { 0x2400, "createexplosivedrone" },
    { 0x2401, "createfontstring" },
    { 0x2402, "createfx" },
    { 0x2403, "createfx_adjust_array" },
    { 0x2404, "createfx_autosave" },
    { 0x2405, "createfx_centerprint" },
    { 0x2406, "createfx_centerprint_thread" },
    { 0x2407, "createfx_common" },
    { 0x2408, "createfx_draw_enabled" },
    { 0x2409, "createfx_enabled" },
    { 0x240A, "createfx_filter_types" },
    { 0x240B, "createfx_help_active" },
    { 0x240C, "createfx_help_keys" },
    { 0x240D, "createfx_inputlocked" },
    { 0x240E, "createfx_last_movement_timer" },
    { 0x240F, "createfx_loopcounter" },
    { 0x2410, "createfx_menu_list_active" },
    { 0x2411, "createfx_offset" },
    { 0x2412, "createfx_only_triggers" },
    { 0x2413, "createfx_print3d" },
    { 0x2414, "createfx_selecting" },
    { 0x2415, "createfxbyfxid" },
    { 0x2416, "createfxcursor" },
    { 0x2417, "createfxent" },
    { 0x2418, "createfxent_redo" },
    { 0x2419, "createfxent_undo" },
    { 0x241A, "createfxexploders" },
    { 0x241B, "createfxlogic" },
    { 0x241C, "createfxmasks" },
    { 0x241D, "creategastrackingoverlay" },
    { 0x241E, "createhordecrates" },
    { 0x241F, "createhumanoidenemy" },
    { 0x2420, "createicon" },
    { 0x2421, "createicon_hudelem" },
    { 0x2422, "createintervalsound" },
    { 0x2423, "createjuggernautoverlay" },
    { 0x2424, "createkillcamentity" },
    { 0x2425, "createlasertagarray" },
    { 0x2426, "createline" },
    { 0x2427, "createlineconstantly" },
    { 0x2428, "createloopeffect" },
    { 0x2429, "createloopsound" },
    { 0x242A, "createmissileoverlay" },
    { 0x242B, "createmission" },
    { 0x242C, "createmovingbadplace" },
    { 0x242D, "createnewexploder" },
    { 0x242E, "createoneshoteffect" },
    { 0x242F, "createorbitaltimer" },
    { 0x2430, "createoverlay" },
    { 0x2431, "createplaceable" },
    { 0x2432, "createplayerdroppod" },
    { 0x2433, "createplayersegmentstats" },
    { 0x2434, "createplayervariables" },
    { 0x2435, "createprimaryprogressbar" },
    { 0x2436, "createprimaryprogressbartext" },
    { 0x2437, "createprisonturrettrackingoverlay" },
    { 0x2438, "createreactiveent" },
    { 0x2439, "createreconuav" },
    { 0x243A, "createrpgrepulsors" },
    { 0x243B, "createsentryforplayer" },
    { 0x243C, "createserverbar" },
    { 0x243D, "createserverfontstring" },
    { 0x243E, "createservericon" },
    { 0x243F, "createservertimer" },
    { 0x2440, "createsniperimpulse" },
    { 0x2441, "createsquad" },
    { 0x2442, "createteamflag" },
    { 0x2443, "createteamobjpoint" },
    { 0x2444, "createteamprogressbar" },
    { 0x2445, "createteamprogressbartext" },
    { 0x2446, "createthreaticon" },
    { 0x2447, "createtimer" },
    { 0x2448, "createtrackingdrone" },
    { 0x2449, "createturret" },
    { 0x244A, "createturretforplayer" },
    { 0x244B, "createuseent" },
    { 0x244C, "createuseobject" },
    { 0x244D, "credits_active" },
    { 0x244E, "credits_alpha" },
    { 0x244F, "credits_data1" },
    { 0x2450, "credits_data2" },
    { 0x2451, "credits_display_think" },
    { 0x2452, "credits_end" },
    { 0x2453, "credits_spacing" },
    { 0x2454, "credits_speed" },
    { 0x2455, "credits_start" },
    { 0x2456, "crevasse_area_2_special" },
    { 0x2457, "crevasse_combat_wave_1" },
    { 0x2458, "crevasse_impact_ground" },
    { 0x2459, "crevasse_impact_wall" },
    { 0x245A, "crevasse_initial_group" },
    { 0x245B, "crevasse_ledge_adjustment" },
    { 0x245C, "crevasse_player_fall_down" },
    { 0x245D, "crevasse_player_get_up" },
    { 0x245E, "crevasse_player_impact_ground" },
    { 0x245F, "crevasse_player_impact_ground_throttled" },
    { 0x2460, "crevasse_player_impact_wall" },
    { 0x2461, "crevasse_player_slide_end" },
    { 0x2462, "crevasse_player_slide_hands" },
    { 0x2463, "crevasse_slide_end" },
    { 0x2464, "crevasse_slide_hands" },
    { 0x2465, "crevasse_upper" },
    { 0x2466, "crevasse_upper_cancelled" },
    { 0x2467, "crevasse_wave_1_cleaup" },
    { 0x2468, "crevasse_wave_1_drop" },
    { 0x2469, "crevasse_wave_1_left" },
    { 0x246A, "crevasse_wave_1_left_special" },
    { 0x246B, "crevasse_wave_1_mid" },
    { 0x246C, "crevasse_wave_1_right" },
    { 0x246D, "crevasse_wave_2" },
    { 0x246E, "crevasse_wave_3" },
    { 0x246F, "crib_debug" },
    { 0x2470, "critical_factor" },
    { 0x2471, "criticalfactors_awayfromenemies" },
    { 0x2472, "criticalfactors_domination" },
    { 0x2473, "criticalfactors_freeforall" },
    { 0x2474, "criticalfactors_global" },
    { 0x2475, "criticalfactors_safeguard" },
    { 0x2476, "criticalfactors_searchandrescue" },
    { 0x2477, "criticalresult" },
    { 0x2478, "cross2d" },
    { 0x2479, "crossbowstickevent" },
    { 0x247A, "crossing_into_alley" },
    { 0x247B, "crossproduct" },
    { 0x247C, "crouch_button_reset" },
    { 0x247D, "crouch_speed_scalar" },
    { 0x247E, "crouch_until_door_open" },
    { 0x247F, "crouch_until_path_to_door" },
    { 0x2480, "crouch_visible_from" },
    { 0x2481, "crouch_watcher" },
    { 0x2482, "crouchingisok" },
    { 0x2483, "crouchmovementsetspeed" },
    { 0x2484, "crouchrun_begin" },
    { 0x2485, "crouchrun_combatanim" },
    { 0x2486, "crouchrun_runnormal" },
    { 0x2487, "crouchrun_runoverride" },
    { 0x2488, "crouchruntocrouch" },
    { 0x2489, "crouchruntoprone" },
    { 0x248A, "crouchruntopronerun" },
    { 0x248B, "crouchruntopronewalk" },
    { 0x248C, "crouchruntostand" },
    { 0x248D, "crouchstatelistener" },
    { 0x248E, "crouchstop_begin" },
    { 0x248F, "crouchtocrouchrun" },
    { 0x2490, "crouchtocrouchwalk" },
    { 0x2491, "crouchtoprone" },
    { 0x2492, "crouchtopronerun" },
    { 0x2493, "crouchtopronewalk" },
    { 0x2494, "crouchtostand" },
    { 0x2495, "crouchtostandrun" },
    { 0x2496, "crouchtostandwalk" },
    { 0x2497, "crouchwalk_begin" },
    { 0x2498, "crouchwalktocrouch" },
    { 0x2499, "crouchwalktostand" },
    { 0x249A, "crumble_hoodoo_fx" },
    { 0x249B, "crvplrhitground" },
    { 0x249C, "cs_intro_bg_plane_breach" },
    { 0x249D, "cs_intro_cormack_jetpack_off" },
    { 0x249E, "cs_intro_cormack_land" },
    { 0x249F, "cs_intro_cormack_ready_gun" },
    { 0x24A0, "cs_intro_cormack_remove_jetpack" },
    { 0x24A1, "cs_intro_ilona_hand_over_gun" },
    { 0x24A2, "cs_intro_plane_jumper_boost" },
    { 0x24A3, "cs_intro_plane_jumper_drop_to_ground" },
    { 0x24A4, "cs_intro_plane_jumper_land" },
    { 0x24A5, "cs_intro_player_remove_jetpack" },
    { 0x24A6, "csv_include" },
    { 0x24A7, "csv_lines" },
    { 0x24A8, "ct_enemies" },
    { 0x24A9, "ct_enemies_final_runaway_faceplayer" },
    { 0x24AA, "ct_enemies_runaway_faceplayer" },
    { 0x24AB, "ctf" },
    { 0x24AC, "ctf_bot_attacker_limit_for_team" },
    { 0x24AD, "ctf_bot_defender_limit_for_team" },
    { 0x24AE, "ctf_loadouts" },
    { 0x24AF, "ctf_second_zones" },
    { 0x24B0, "cuc_rotation_offset" },
    { 0x24B1, "cuc_scale" },
    { 0x24B2, "cuc_translation" },
    { 0x24B3, "cue_cash" },
    { 0x24B4, "cuff" },
    { 0x24B5, "cull_distance_triggers" },
    { 0x24B6, "cull_spawners_from_killspawner" },
    { 0x24B7, "cull_spawners_leaving_one_set" },
    { 0x24B8, "cur" },
    { 0x24B9, "cur_camoffset_ratio" },
    { 0x24BA, "cur_defend_angle_override" },
    { 0x24BB, "cur_defend_node" },
    { 0x24BC, "cur_defend_point_override" },
    { 0x24BD, "cur_defend_stance" },
    { 0x24BE, "cur_local_angles" },
    { 0x24BF, "cur_node" },
    { 0x24C0, "cur_point" },
    { 0x24C1, "cur_tank_target" },
    { 0x24C2, "curautosave" },
    { 0x24C3, "curclass" },
    { 0x24C4, "curdefvalue" },
    { 0x24C5, "curevent" },
    { 0x24C6, "curmeleetarget" },
    { 0x24C7, "curobjid" },
    { 0x24C8, "curorigin" },
    { 0x24C9, "curprogress" },
    { 0x24CA, "curr" },
    { 0x24CB, "curr_ambi_submix" },
    { 0x24CC, "curr_cue_name" },
    { 0x24CD, "curr_dist" },
    { 0x24CE, "curr_intensity" },
    { 0x24CF, "curr_io" },
    { 0x24D0, "curr_music_submix" },
    { 0x24D1, "curr_preset" },
    { 0x24D2, "curr_state" },
    { 0x24D3, "curr_time" },
    { 0x24D4, "current_aim_offset" },
    { 0x24D5, "current_air_space" },
    { 0x24D6, "current_anim" },
    { 0x24D7, "current_anim_data_scene" },
    { 0x24D8, "current_anim_vm" },
    { 0x24D9, "current_betrayal_boat_vision_fog" },
    { 0x24DA, "current_cam_target" },
    { 0x24DB, "current_cinematic" },
    { 0x24DC, "current_color_order" },
    { 0x24DD, "current_dir" },
    { 0x24DE, "current_elevation" },
    { 0x24DF, "current_enemy" },
    { 0x24E0, "current_ent" },
    { 0x24E1, "current_event" },
    { 0x24E2, "current_exo_guys_alive" },
    { 0x24E3, "current_fallbackers" },
    { 0x24E4, "current_filters" },
    { 0x24E5, "current_flag" },
    { 0x24E6, "current_follow_path" },
    { 0x24E7, "current_fov" },
    { 0x24E8, "current_gen_hangar_door_open" },
    { 0x24E9, "current_global_hint" },
    { 0x24EA, "current_goal_offset" },
    { 0x24EB, "current_goal_position" },
    { 0x24EC, "current_hint" },
    { 0x24ED, "current_hit_count" },
    { 0x24EE, "current_landing_fx" },
    { 0x24EF, "current_median_speed" },
    { 0x24F0, "current_mode_hud" },
    { 0x24F1, "current_objective" },
    { 0x24F2, "current_occlusion" },
    { 0x24F3, "current_pitch" },
    { 0x24F4, "current_point_was_authored" },
    { 0x24F5, "current_pos" },
    { 0x24F6, "current_preset_name" },
    { 0x24F7, "current_projectile" },
    { 0x24F8, "current_reverb" },
    { 0x24F9, "current_speed" },
    { 0x24FA, "current_stance_func" },
    { 0x24FB, "current_start" },
    { 0x24FC, "current_sunflare_setting" },
    { 0x24FD, "current_target" },
    { 0x24FE, "current_target_aim_begin_time_ms" },
    { 0x24FF, "current_traverse_anime" },
    { 0x2500, "current_turret_target" },
    { 0x2501, "current_velocity" },
    { 0x2502, "current_vo" },
    { 0x2503, "current_warbird_weapon" },
    { 0x2504, "current_weapon" },
    { 0x2505, "current_wheel_pos" },
    { 0x2506, "current_yaw" },
    { 0x2507, "current_zone" },
    { 0x2508, "currentactivevehiclecount" },
    { 0x2509, "currentaliveenemycount" },
    { 0x250A, "currentammopickupcount" },
    { 0x250B, "currentcaralarms" },
    { 0x250C, "currentcolorcode" },
    { 0x250D, "currentcolorforced" },
    { 0x250E, "currentcovernode" },
    { 0x250F, "currentdefendloc" },
    { 0x2510, "currentdialogimportance" },
    { 0x2511, "currentdialognotifystring" },
    { 0x2512, "currentdialogsound" },
    { 0x2513, "currentdodgeanim" },
    { 0x2514, "currentenemycount" },
    { 0x2515, "currentfirefightshots" },
    { 0x2516, "currenthealth" },
    { 0x2517, "currentkillstreakindex" },
    { 0x2518, "currentkillstreaks" },
    { 0x2519, "currentleaderdialoggroup" },
    { 0x251A, "currently_anim_reaching" },
    { 0x251B, "currently_burst_firing" },
    { 0x251C, "currently_handling_player_damage" },
    { 0x251D, "currentnode" },
    { 0x251E, "currentpickupcount" },
    { 0x251F, "currentpointtotal" },
    { 0x2520, "currentroundnumber" },
    { 0x2521, "currentscore" },
    { 0x2522, "currentselectedclass" },
    { 0x2523, "currentsessiontime" },
    { 0x2524, "currentshotguncovernode" },
    { 0x2525, "currentstate" },
    { 0x2526, "currenttarget" },
    { 0x2527, "currentteamintelname" },
    { 0x2528, "currenttime" },
    { 0x2529, "currenttracecount" },
    { 0x252A, "currenttrackingyaw" },
    { 0x252B, "currenttrackingyawspeed" },
    { 0x252C, "currentvelocity" },
    { 0x252D, "currentweapon" },
    { 0x252E, "currentweaponatspawn" },
    { 0x252F, "custom_aim_animscript" },
    { 0x2530, "custom_aim_notetracks" },
    { 0x2531, "custom_anim_wait" },
    { 0x2532, "custom_animation" },
    { 0x2533, "custom_animscript" },
    { 0x2534, "custom_battlechatter" },
    { 0x2535, "custom_battlechatter_init_valid_phrases" },
    { 0x2536, "custom_battlechatter_internal" },
    { 0x2537, "custom_battlechatter_validate_phrase" },
    { 0x2538, "custom_callback" },
    { 0x2539, "custom_careful_radius" },
    { 0x253A, "custom_crawl_sound" },
    { 0x253B, "custom_crawling_death_array" },
    { 0x253C, "custom_death_script" },
    { 0x253D, "custom_deathsound" },
    { 0x253E, "custom_dismount_hint_return_when_dismounted" },
    { 0x253F, "custom_distance_along_path_think" },
    { 0x2540, "custom_dof_trace" },
    { 0x2541, "custom_dust_kickup" },
    { 0x2542, "custom_followpath_parameter_func" },
    { 0x2543, "custom_friendly_fire_message" },
    { 0x2544, "custom_friendly_fire_shader" },
    { 0x2545, "custom_gameskill_func" },
    { 0x2546, "custom_giveloadout" },
    { 0x2547, "custom_health_think" },
    { 0x2548, "custom_idle_trans_function" },
    { 0x2549, "custom_landing" },
    { 0x254A, "custom_laser_function" },
    { 0x254B, "custom_linkto_slide" },
    { 0x254C, "custom_no_game_setupfunc" },
    { 0x254D, "custom_player_attacker" },
    { 0x254E, "custom_radius_damage_for_exploders" },
    { 0x254F, "custom_regen_think" },
    { 0x2550, "customanim" },
    { 0x2551, "customarrivalfunc" },
    { 0x2552, "customautosavecheck" },
    { 0x2553, "custombadplacethread" },
    { 0x2554, "custombcs_validphrases" },
    { 0x2555, "custombreathingtime" },
    { 0x2556, "customchatevent" },
    { 0x2557, "customchatphrase" },
    { 0x2558, "customclasspickcount" },
    { 0x2559, "customcratefunc" },
    { 0x255A, "customfunc" },
    { 0x255B, "customhealth" },
    { 0x255C, "customidleanimset" },
    { 0x255D, "customidleanimweights" },
    { 0x255E, "customidlesound" },
    { 0x255F, "customidletransitionfunc" },
    { 0x2560, "customkillstreakcratemodules" },
    { 0x2561, "custommaxhealth" },
    { 0x2562, "custommoveanimset" },
    { 0x2563, "custommovetransition" },
    { 0x2564, "custommovetransitionfunc" },
    { 0x2565, "customnotetrackfx" },
    { 0x2566, "customreactanime" },
    { 0x2567, "customrunningreacttobullets" },
    { 0x2568, "customunloadfunc" },
    { 0x2569, "cut" },
    { 0x256A, "cutoff_distance_current" },
    { 0x256B, "cutoff_distance_goal" },
    { 0x256C, "cutoff_falloff_current" },
    { 0x256D, "cutoff_falloff_goal" },
    { 0x256E, "cutter" },
    { 0x256F, "cvrdrn_paired_anim_explo" },
    { 0x2570, "cvrdrn_paired_anim_start" },
    { 0x2571, "cycle_charging_hud" },
    { 0x2572, "cycle_offhand_grenade" },
    { 0x2573, "dam_destroyed" },
    { 0x2574, "dam_enemies" },
    { 0x2575, "dam_explode" },
    { 0x2576, "dam_objective" },
    { 0x2577, "dam_targ" },
    { 0x2578, "dam_target_death" },
    { 0x2579, "damage_accumulation_clip" },
    { 0x257A, "damage_allowed" },
    { 0x257B, "damage_change_goal" },
    { 0x257C, "damage_feedback_setup" },
    { 0x257D, "damage_functions" },
    { 0x257E, "damage_fx" },
    { 0x257F, "damage_hint_bullet_only" },
    { 0x2580, "damage_hints" },
    { 0x2581, "damage_hints_cleanup" },
    { 0x2582, "damage_info" },
    { 0x2583, "damage_is_explosive" },
    { 0x2584, "damage_is_valid_for_friendlyfire_warning" },
    { 0x2585, "damage_mirror" },
    { 0x2586, "damage_multiplier_mod" },
    { 0x2587, "damage_not" },
    { 0x2588, "damage_part_area" },
    { 0x2589, "damage_scale" },
    { 0x258A, "damage_sound_time" },
    { 0x258B, "damage_type" },
    { 0x258C, "damageattacker" },
    { 0x258D, "damagecallback" },
    { 0x258E, "damagecenter" },
    { 0x258F, "damaged" },
    { 0x2590, "damaged_fire" },
    { 0x2591, "damaged_parts" },
    { 0x2592, "damaged_planter" },
    { 0x2593, "damaged_turbine_1" },
    { 0x2594, "damaged_turbine_2" },
    { 0x2595, "damagedealttoofast" },
    { 0x2596, "damagedlensviewmodel" },
    { 0x2597, "damagedone" },
    { 0x2598, "damagedownertome" },
    { 0x2599, "damagedplayers" },
    { 0x259A, "damageent" },
    { 0x259B, "damagefade" },
    { 0x259C, "damagefeedback" },
    { 0x259D, "damagefeedback_took_damage" },
    { 0x259E, "damagefeedbackhud" },
    { 0x259F, "damagefeedbacksnd" },
    { 0x25A0, "damagefeedbacktimer" },
    { 0x25A1, "damageinfo" },
    { 0x25A2, "damageinfocolorindex" },
    { 0x25A3, "damageinfovictim" },
    { 0x25A4, "damageisfromplayer" },
    { 0x25A5, "damagelocationisany" },
    { 0x25A6, "damagemodel" },
    { 0x25A7, "damageorigin" },
    { 0x25A8, "damageowner" },
    { 0x25A9, "damagepoint" },
    { 0x25AA, "damageradius" },
    { 0x25AB, "damagereceivedtoofast" },
    { 0x25AC, "damageringsarray" },
    { 0x25AD, "damageshellshockandrumble" },
    { 0x25AE, "damageshieldcounter" },
    { 0x25AF, "damageshieldpain" },
    { 0x25B0, "damagethendestroyriotshield" },
    { 0x25B1, "damagetracking" },
    { 0x25B2, "damb" },
    { 0x25B3, "damb_animal_sfx_offset" },
    { 0x25B4, "damb_enable" },
    { 0x25B5, "damb_init" },
    { 0x25B6, "damb_link_to_damb" },
    { 0x25B7, "damb_make_linked_damb" },
    { 0x25B8, "damb_manual_trigger" },
    { 0x25B9, "damb_pause_damb" },
    { 0x25BA, "damb_prob_mix_damb_presets" },
    { 0x25BB, "damb_set_max_entities" },
    { 0x25BC, "damb_set_oneshot_callback_for_component" },
    { 0x25BD, "damb_set_oneshot_callback_for_dynamic_ambience" },
    { 0x25BE, "damb_start_preset" },
    { 0x25BF, "damb_start_preset_at_point" },
    { 0x25C0, "damb_start_preset_on_entity" },
    { 0x25C1, "damb_stop" },
    { 0x25C2, "damb_stop_preset" },
    { 0x25C3, "damb_stop_preset_at_point" },
    { 0x25C4, "damb_stop_zone" },
    { 0x25C5, "damb_unpause_damb" },
    { 0x25C6, "damb_use_string_table" },
    { 0x25C7, "damb_zone_start_preset" },
    { 0x25C8, "damb_zone_stop_preset" },
    { 0x25C9, "damb1_name" },
    { 0x25CA, "damb2_name" },
    { 0x25CB, "dambinfostruct" },
    { 0x25CC, "dambx_create_damb_event" },
    { 0x25CD, "dambx_fade_out_playing_loop" },
    { 0x25CE, "dambx_fade_out_playing_sound" },
    { 0x25CF, "dambx_get_component_data" },
    { 0x25D0, "dambx_get_component_from_string_table" },
    { 0x25D1, "dambx_get_component_from_string_table_internal" },
    { 0x25D2, "dambx_get_component_preset" },
    { 0x25D3, "dambx_get_damb_preset" },
    { 0x25D4, "dambx_get_list_value_from_string_table" },
    { 0x25D5, "dambx_get_loop_def_from_string_table" },
    { 0x25D6, "dambx_get_loop_def_from_string_table_internal" },
    { 0x25D7, "dambx_get_loop_preset" },
    { 0x25D8, "dambx_get_preset_from_string_table" },
    { 0x25D9, "dambx_get_preset_from_stringtable_internal" },
    { 0x25DA, "dambx_get_two_value_float_array" },
    { 0x25DB, "dambx_make_first_wait" },
    { 0x25DC, "dambx_monitor_damb_point_distance" },
    { 0x25DD, "dambx_monitor_single_loops_on_ent" },
    { 0x25DE, "dambx_perform_loop_event" },
    { 0x25DF, "dambx_perform_oneshot_event" },
    { 0x25E0, "dambx_perform_play_event" },
    { 0x25E1, "dambx_pick_random_alias" },
    { 0x25E2, "dambx_pick_random_component" },
    { 0x25E3, "dambx_play" },
    { 0x25E4, "dambx_play_component_loops" },
    { 0x25E5, "dambx_start_linked_dambs" },
    { 0x25E6, "dambx_start_preset" },
    { 0x25E7, "dambx_stop_preset" },
    { 0x25E8, "dambx_trigger_linked_damb" },
    { 0x25E9, "dambx_update" },
    { 0x25EA, "dambx_update_serially" },
    { 0x25EB, "dambx_wait_till_sound_done_and_remove_handle" },
    { 0x25EC, "dangerforwardpush" },
    { 0x25ED, "dangermaxradius" },
    { 0x25EE, "dangerminradius" },
    { 0x25EF, "dangerovalscale" },
    { 0x25F0, "dangersprinttime" },
    { 0x25F1, "dangerzone_enemy_seek_player" },
    { 0x25F2, "dangle" },
    { 0x25F3, "darkscreenoverlay" },
    { 0x25F4, "dash" },
    { 0x25F5, "data" },
    { 0x25F6, "data_index" },
    { 0x25F7, "dazed_sky_bridge_explosions" },
    { 0x25F8, "dc_old_moveplaybackrate" },
    { 0x25F9, "dds" },
    { 0x25FA, "dds_ai_init" },
    { 0x25FB, "dds_characterid" },
    { 0x25FC, "dds_clear_all_queued_events" },
    { 0x25FD, "dds_clear_all_queued_events_axis" },
    { 0x25FE, "dds_clear_old_expired_events" },
    { 0x25FF, "dds_clear_old_expired_events_axis" },
    { 0x2600, "dds_disable" },
    { 0x2601, "dds_dmg_attacker" },
    { 0x2602, "dds_enable" },
    { 0x2603, "dds_event_activate" },
    { 0x2604, "dds_event_activate_play" },
    { 0x2605, "dds_exclude_this_ai" },
    { 0x2606, "dds_find_infantry_threat" },
    { 0x2607, "dds_find_threats" },
    { 0x2608, "dds_get_ai_id" },
    { 0x2609, "dds_get_alias_from_event" },
    { 0x260A, "dds_get_alias_from_name" },
    { 0x260B, "dds_get_non_ai_threats" },
    { 0x260C, "dds_getclock_position" },
    { 0x260D, "dds_init" },
    { 0x260E, "dds_killstreak_timer" },
    { 0x260F, "dds_main_process" },
    { 0x2610, "dds_main_process_axis" },
    { 0x2611, "dds_multikill_tracker" },
    { 0x2612, "dds_notify" },
    { 0x2613, "dds_notify_casualty" },
    { 0x2614, "dds_notify_grenade" },
    { 0x2615, "dds_notify_mod" },
    { 0x2616, "dds_notify_reload" },
    { 0x2617, "dds_notify_response" },
    { 0x2618, "dds_notify_threat" },
    { 0x2619, "dds_notify_threat_unique" },
    { 0x261A, "dds_process_active_events" },
    { 0x261B, "dds_process_active_events_axis" },
    { 0x261C, "dds_reinforcement_think" },
    { 0x261D, "dds_send_team_notify_on_disable" },
    { 0x261E, "dds_set_player_character_name" },
    { 0x261F, "dds_sort_ent_damage" },
    { 0x2620, "dds_sort_ent_dist" },
    { 0x2621, "dds_sort_ent_duration" },
    { 0x2622, "dds_threat_dir_stored" },
    { 0x2623, "dds_threat_guy" },
    { 0x2624, "dds_threat_mypos" },
    { 0x2625, "dds_watch_damage" },
    { 0x2626, "dds_watch_grenade_flee" },
    { 0x2627, "dds_watch_player_health" },
    { 0x2628, "deactivate" },
    { 0x2629, "deactivate_betrayal_exo_abilities" },
    { 0x262A, "deactivate_clientside_exploder" },
    { 0x262B, "deactivate_exo_ping" },
    { 0x262C, "deactivate_heater" },
    { 0x262D, "deactivate_index" },
    { 0x262E, "deactivate_reverb" },
    { 0x262F, "deactivate_targets" },
    { 0x2630, "deactivateagent" },
    { 0x2631, "deactivateagentdelayed" },
    { 0x2632, "deactivatedlaserfx" },
    { 0x2633, "dead_demo_team" },
    { 0x2634, "dead_guy_for_moors" },
    { 0x2635, "dead_mech_enemy" },
    { 0x2636, "dead_razorback_spawn" },
    { 0x2637, "dead_stinger_guy" },
    { 0x2638, "deaddriver" },
    { 0x2639, "deadquote_recently_used" },
    { 0x263A, "death_achievements" },
    { 0x263B, "death_achievements_rappel" },
    { 0x263C, "death_cleanup" },
    { 0x263D, "death_counter" },
    { 0x263E, "death_crash_nearby_player" },
    { 0x263F, "death_delayed_ragdoll" },
    { 0x2640, "death_firesound" },
    { 0x2641, "death_flop_dir" },
    { 0x2642, "death_fx_on_self" },
    { 0x2643, "death_invulnerable_activated" },
    { 0x2644, "death_model_override" },
    { 0x2645, "death_no_ragdoll" },
    { 0x2646, "death_out_of_control" },
    { 0x2647, "death_pit" },
    { 0x2648, "death_plummet" },
    { 0x2649, "death_rocket_out_of_control" },
    { 0x264A, "death_spining" },
    { 0x264B, "death_spiral" },
    { 0x264C, "death_state" },
    { 0x264D, "death_throw" },
    { 0x264E, "death_waiter" },
    { 0x264F, "death_watch" },
    { 0x2650, "death_watcher" },
    { 0x2651, "deathanim" },
    { 0x2652, "deathanimscript" },
    { 0x2653, "deathchain_goalvolume" },
    { 0x2654, "deathchainainotify" },
    { 0x2655, "deathchainspawnerlogic" },
    { 0x2656, "deathcleanup" },
    { 0x2657, "deathdamage_max" },
    { 0x2658, "deathdamage_min" },
    { 0x2659, "deatheffect" },
    { 0x265A, "deathflags" },
    { 0x265B, "deathfunc_rocket" },
    { 0x265C, "deathfunc_vol" },
    { 0x265D, "deathfunc_vrap" },
    { 0x265E, "deathfuncs" },
    { 0x265F, "deathfunction" },
    { 0x2660, "deathfunctions" },
    { 0x2661, "deathfx_ent" },
    { 0x2662, "deathoverridecallback" },
    { 0x2663, "deathposition" },
    { 0x2664, "deathrolloff" },
    { 0x2665, "deathrollon" },
    { 0x2666, "deathscript" },
    { 0x2667, "deathsdoor" },
    { 0x2668, "deathsdoor_enabled" },
    { 0x2669, "deathsoundsandfx" },
    { 0x266A, "deathspawner" },
    { 0x266B, "deathspawnerents" },
    { 0x266C, "deathspawnerpreview" },
    { 0x266D, "deathspin" },
    { 0x266E, "deathstring" },
    { 0x266F, "deathstring_passed" },
    { 0x2670, "deathtime" },
    { 0x2671, "debgugprintdestructiblelist" },
    { 0x2672, "debris" },
    { 0x2673, "debug" },
    { 0x2674, "debug_ai_count" },
    { 0x2675, "debug_all" },
    { 0x2676, "debug_anim_time" },
    { 0x2677, "debug_animsoundtag" },
    { 0x2678, "debug_animsoundtagselected" },
    { 0x2679, "debug_arrival" },
    { 0x267A, "debug_arrivals_on_actor" },
    { 0x267B, "debug_axis" },
    { 0x267C, "debug_bike_line" },
    { 0x267D, "debug_canal_breach_start" },
    { 0x267E, "debug_canal_start" },
    { 0x267F, "debug_character_count" },
    { 0x2680, "debug_check_allies_spawned" },
    { 0x2681, "debug_circle" },
    { 0x2682, "debug_circle_drawlines" },
    { 0x2683, "debug_color" },
    { 0x2684, "debug_color_friendlies" },
    { 0x2685, "debug_color_huds" },
    { 0x2686, "debug_colornodes" },
    { 0x2687, "debug_controls" },
    { 0x2688, "debug_corner" },
    { 0x2689, "debug_door_kick_start" },
    { 0x268A, "debug_draw" },
    { 0x268B, "debug_draw_aim" },
    { 0x268C, "debug_draw_anim_path" },
    { 0x268D, "debug_draw_arrow" },
    { 0x268E, "debug_draw_living_ai" },
    { 0x268F, "debug_draw_obstacles" },
    { 0x2690, "debug_draw_path" },
    { 0x2691, "debug_dumplightshadowstates" },
    { 0x2692, "debug_elements" },
    { 0x2693, "debug_enemy_jets_die" },
    { 0x2694, "debug_enemypos" },
    { 0x2695, "debug_enemyposproc" },
    { 0x2696, "debug_enemyposreplay" },
    { 0x2697, "debug_flashlight_basement_switch" },
    { 0x2698, "debug_fly" },
    { 0x2699, "debug_foam_tag" },
    { 0x269A, "debug_foot_passing" },
    { 0x269B, "debug_free_path" },
    { 0x269C, "debug_friendly_death" },
    { 0x269D, "debug_friendlyfire" },
    { 0x269E, "debug_fxlighting" },
    { 0x269F, "debug_fxlighting_buttons" },
    { 0x26A0, "debug_graph" },
    { 0x26A1, "debug_graph_draw" },
    { 0x26A2, "debug_graph_init" },
    { 0x26A3, "debug_graph_init_key" },
    { 0x26A4, "debug_grapplep" },
    { 0x26A5, "debug_hero_pathing" },
    { 0x26A6, "debug_hud_elem" },
    { 0x26A7, "debug_hudinfo_landassist" },
    { 0x26A8, "debug_id" },
    { 0x26A9, "debug_irons_chase" },
    { 0x26AA, "debug_line" },
    { 0x26AB, "debug_lobby_start" },
    { 0x26AC, "debug_message" },
    { 0x26AD, "debug_message_ai" },
    { 0x26AE, "debug_message_clear" },
    { 0x26AF, "debug_monitor_for_all_cloaked_stealth_enemies" },
    { 0x26B0, "debug_nuke" },
    { 0x26B1, "debug_out_of_bounds_areas" },
    { 0x26B2, "debug_pathing" },
    { 0x26B3, "debug_player_fall" },
    { 0x26B4, "debug_player_in_post_clip" },
    { 0x26B5, "debug_print_guys_in_volume" },
    { 0x26B6, "debug_radiusdamage_circle" },
    { 0x26B7, "debug_reflection" },
    { 0x26B8, "debug_reflection_buttons" },
    { 0x26B9, "debug_roof_start" },
    { 0x26BA, "debug_seoul_canal_begin_combat" },
    { 0x26BB, "debug_seoul_canal_fight_to_weapon_platform" },
    { 0x26BC, "debug_seoul_canal_start" },
    { 0x26BD, "debug_seoul_finale_scene_start" },
    { 0x26BE, "debug_seoul_shopping_district_flee_swarm" },
    { 0x26BF, "debug_seoul_shopping_district_start" },
    { 0x26C0, "debug_seoul_sinkhole_start" },
    { 0x26C1, "debug_seoul_subway_start" },
    { 0x26C2, "debug_show_org" },
    { 0x26C3, "debug_show_origin" },
    { 0x26C4, "debug_show_pos" },
    { 0x26C5, "debug_show_pos_once" },
    { 0x26C6, "debug_show_vec" },
    { 0x26C7, "debug_show_walker_tank_health" },
    { 0x26C8, "debug_silo_approach_clut" },
    { 0x26C9, "debug_silo_approach_start" },
    { 0x26CA, "debug_silo_door_kick_clut" },
    { 0x26CB, "debug_silo_exhaust_entrance_clut" },
    { 0x26CC, "debug_silo_exhaust_entrance_start" },
    { 0x26CD, "debug_silo_floor_03_clut" },
    { 0x26CE, "debug_silo_floor_03_start" },
    { 0x26CF, "debug_skip_button_press" },
    { 0x26D0, "debug_sky_bridge_start" },
    { 0x26D1, "debug_snake_points" },
    { 0x26D2, "debug_start_alleyway" },
    { 0x26D3, "debug_start_big_cave" },
    { 0x26D4, "debug_start_bike_ride_in" },
    { 0x26D5, "debug_start_cave_entry" },
    { 0x26D6, "debug_start_cave_hallway" },
    { 0x26D7, "debug_start_cliff_rappel" },
    { 0x26D8, "debug_start_combat_cave" },
    { 0x26D9, "debug_start_common" },
    { 0x26DA, "debug_start_courtyard" },
    { 0x26DB, "debug_start_courtyard_jammer" },
    { 0x26DC, "debug_start_crash" },
    { 0x26DD, "debug_start_crash_site" },
    { 0x26DE, "debug_start_demo_with_itiot" },
    { 0x26DF, "debug_start_drive_in" },
    { 0x26E0, "debug_start_equip_player" },
    { 0x26E1, "debug_start_exfil" },
    { 0x26E2, "debug_start_exit_drive" },
    { 0x26E3, "debug_start_exit_drive_end" },
    { 0x26E4, "debug_start_exopush" },
    { 0x26E5, "debug_start_facility_breach" },
    { 0x26E6, "debug_start_foam_room" },
    { 0x26E7, "debug_start_forest_start" },
    { 0x26E8, "debug_start_forest_takedown" },
    { 0x26E9, "debug_start_hospital" },
    { 0x26EA, "debug_start_hospital_capture" },
    { 0x26EB, "debug_start_ice_bridge" },
    { 0x26EC, "debug_start_intro" },
    { 0x26ED, "debug_start_intro_skip" },
    { 0x26EE, "debug_start_lake" },
    { 0x26EF, "debug_start_lake_cinema" },
    { 0x26F0, "debug_start_logging_road" },
    { 0x26F1, "debug_start_mech_march" },
    { 0x26F2, "debug_start_narrow_cave" },
    { 0x26F3, "debug_start_nightclub" },
    { 0x26F4, "debug_start_overlook" },
    { 0x26F5, "debug_start_research_facility_bridge" },
    { 0x26F6, "debug_start_school_basement" },
    { 0x26F7, "debug_start_school_before_fall" },
    { 0x26F8, "debug_start_school_begin" },
    { 0x26F9, "debug_start_school_interior" },
    { 0x26FA, "debug_start_school_wall_grab" },
    { 0x26FB, "debug_start_sentinel_reveal" },
    { 0x26FC, "debug_start_server_room" },
    { 0x26FD, "debug_start_server_room_promo" },
    { 0x26FE, "debug_start_skyjack" },
    { 0x26FF, "debug_start_tank_ascent" },
    { 0x2700, "debug_start_tank_board" },
    { 0x2701, "debug_start_tank_field" },
    { 0x2702, "debug_start_tank_field_left_fork" },
    { 0x2703, "debug_start_tank_field_right_fork" },
    { 0x2704, "debug_start_tank_hangar" },
    { 0x2705, "debug_start_tank_road" },
    { 0x2706, "debug_start_vtol_takedown" },
    { 0x2707, "debug_state" },
    { 0x2708, "debug_stealth" },
    { 0x2709, "debug_stealth_type" },
    { 0x270A, "debug_stopenemypos" },
    { 0x270B, "debug_tag" },
    { 0x270C, "debug_tag_camera" },
    { 0x270D, "debug_tag_internal" },
    { 0x270E, "debug_tags" },
    { 0x270F, "debug_test_next_mission" },
    { 0x2710, "debug_text" },
    { 0x2711, "debug_text_hud" },
    { 0x2712, "debug_timer" },
    { 0x2713, "debug_toggle" },
    { 0x2714, "debug_track" },
    { 0x2715, "debug_turrets" },
    { 0x2716, "debug_vehicle_node" },
    { 0x2717, "debug_vehicles" },
    { 0x2718, "debug_watch_dynamicevent_start_now" },
    { 0x2719, "debug_will_exo_breach" },
    { 0x271A, "debug_will_room_start" },
    { 0x271B, "debug_x4walker" },
    { 0x271C, "debugburstprint" },
    { 0x271D, "debugchains" },
    { 0x271E, "debugcircle" },
    { 0x271F, "debugcolorfriendlies" },
    { 0x2720, "debugcriticaldata" },
    { 0x2721, "debugdvars" },
    { 0x2722, "debugging_on" },
    { 0x2723, "debuggoalpos" },
    { 0x2724, "debugheight" },
    { 0x2725, "debughelper" },
    { 0x2726, "debugjump" },
    { 0x2727, "debugleft" },
    { 0x2728, "debugline" },
    { 0x2729, "debugmisstime" },
    { 0x272A, "debugmisstimeoff" },
    { 0x272B, "debugorigin" },
    { 0x272C, "debugplayerteleport" },
    { 0x272D, "debugpos" },
    { 0x272E, "debugposinternal" },
    { 0x272F, "debugpossize" },
    { 0x2730, "debugprint" },
    { 0x2731, "debugprint3dcontinuous" },
    { 0x2732, "debugscoredata" },
    { 0x2733, "debugskip_intro" },
    { 0x2734, "debugspawners" },
    { 0x2735, "debugstart_middle_takedown" },
    { 0x2736, "debugstart_post_middle_takedown" },
    { 0x2737, "debugthreat" },
    { 0x2738, "debugthreatcalc" },
    { 0x2739, "debugtimeout" },
    { 0x273A, "debugvar" },
    { 0x273B, "debugwavecount" },
    { 0x273C, "decel" },
    { 0x273D, "decide_to_change_lane" },
    { 0x273E, "decide_to_dodge" },
    { 0x273F, "decidenumcrawls" },
    { 0x2740, "decidenumshotsforburst" },
    { 0x2741, "decidenumshotsforfull" },
    { 0x2742, "decidewhatandhowtoshoot" },
    { 0x2743, "deck" },
    { 0x2744, "deck_dialog_rail_gun_secure" },
    { 0x2745, "deck_dialogue" },
    { 0x2746, "deck_drones" },
    { 0x2747, "deck_enemies_cleared" },
    { 0x2748, "deck_jammer_rumbles" },
    { 0x2749, "deck_jammers" },
    { 0x274A, "deck_navy_guys" },
    { 0x274B, "deck_reinforcement_ally_think" },
    { 0x274C, "deck_reinforcement_modify_accuracy" },
    { 0x274D, "decloak_intro_helicopter" },
    { 0x274E, "decloak_wait_1" },
    { 0x274F, "decloak_wait_2" },
    { 0x2750, "decloak_wait_3" },
    { 0x2751, "decloaking_model" },
    { 0x2752, "decon_finish" },
    { 0x2753, "decon_guy_walk_away" },
    { 0x2754, "decon_guy_walk_to" },
    { 0x2755, "decon_reverse_blocking" },
    { 0x2756, "decoy_hint_hud" },
    { 0x2757, "decreasegunlevelevent" },
    { 0x2758, "decrement_claimed_refcount" },
    { 0x2759, "decrement_firing_count_if_died_while_firing" },
    { 0x275A, "decrement_help_list_offset" },
    { 0x275B, "decrement_list_offset" },
    { 0x275C, "decrement_ref_count" },
    { 0x275D, "decrementalivecount" },
    { 0x275E, "decrementbulletsinclip" },
    { 0x275F, "decremented" },
    { 0x2760, "decrementfauxvehiclecount" },
    { 0x2761, "deep_array_call" },
    { 0x2762, "deep_array_thread" },
    { 0x2763, "deep_water_weapon" },
    { 0x2764, "deer_leaves_fx" },
    { 0x2765, "deer_sequence" },
    { 0x2766, "def" },
    { 0x2767, "def_asset_type" },
    { 0x2768, "def_fadein_time" },
    { 0x2769, "def_fadeout_time" },
    { 0x276A, "def_fire" },
    { 0x276B, "def_for_cuc_note" },
    { 0x276C, "def_input_name" },
    { 0x276D, "def_neon" },
    { 0x276E, "def_output_name" },
    { 0x276F, "def_output_scalar" },
    { 0x2770, "def_player_mode" },
    { 0x2771, "def_priority" },
    { 0x2772, "def_pulse" },
    { 0x2773, "def_smooth_down" },
    { 0x2774, "def_smooth_up" },
    { 0x2775, "def_sound_offset" },
    { 0x2776, "def_state_min_retrigger_time" },
    { 0x2777, "default_ball_origin" },
    { 0x2778, "default_class_chosen" },
    { 0x2779, "default_door_node_flashbang_frequency" },
    { 0x277A, "default_drop_pitch" },
    { 0x277B, "default_footsteps" },
    { 0x277C, "default_gametype_think" },
    { 0x277D, "default_goal_origins" },
    { 0x277E, "default_goalheight" },
    { 0x277F, "default_goalradius" },
    { 0x2780, "default_health" },
    { 0x2781, "default_hud" },
    { 0x2782, "default_loadout_if_notset" },
    { 0x2783, "default_ondeadevent" },
    { 0x2784, "default_onhalftime" },
    { 0x2785, "default_ononeleftevent" },
    { 0x2786, "default_ontimelimit" },
    { 0x2787, "default_player_dist" },
    { 0x2788, "default_reverb" },
    { 0x2789, "default_run_speed" },
    { 0x278A, "default_start" },
    { 0x278B, "default_start_override" },
    { 0x278C, "default_style" },
    { 0x278D, "default_sun_light" },
    { 0x278E, "default_target_vec" },
    { 0x278F, "default_unresolved_collision_handler" },
    { 0x2790, "default_vid_log_vol" },
    { 0x2791, "default_weapon" },
    { 0x2792, "defaultclass" },
    { 0x2793, "defaultdroppitch" },
    { 0x2794, "defaultdropyaw" },
    { 0x2795, "defaultexception" },
    { 0x2796, "defaultfxlightinglookup" },
    { 0x2797, "defaultidlestateoverride" },
    { 0x2798, "defaultmodel" },
    { 0x2799, "defaultmodellightinglookup" },
    { 0x279A, "defaultonmode" },
    { 0x279B, "defaults" },
    { 0x279C, "defaultstand" },
    { 0x279D, "defaultsundir" },
    { 0x279E, "defaultsunlight" },
    { 0x279F, "defaultturnthreshold" },
    { 0x27A0, "defaultvalue" },
    { 0x27A1, "defaultweapon" },
    { 0x27A2, "defend_entrance_index" },
    { 0x27A3, "defend_flag" },
    { 0x27A4, "defend_get_ally_bots_at_zone_for_stance" },
    { 0x27A5, "defend_objective_radius" },
    { 0x27A6, "defend_planted_bomb_update" },
    { 0x27A7, "defend_valid_center" },
    { 0x27A8, "defend_zone" },
    { 0x27A9, "defendedplayerevent" },
    { 0x27AA, "defender_damage_func" },
    { 0x27AB, "defender_set_script_pathstyle" },
    { 0x27AC, "defender_update" },
    { 0x27AD, "defendobjectiveevent" },
    { 0x27AE, "defense_cautious_approach" },
    { 0x27AF, "defense_death_monitor" },
    { 0x27B0, "defense_force_next_node_goal" },
    { 0x27B1, "defense_get_initial_entrances" },
    { 0x27B2, "defense_investigate_specific_point" },
    { 0x27B3, "defense_override_entrances" },
    { 0x27B4, "defense_score_flags" },
    { 0x27B5, "defense_watch_entrances_at_goal" },
    { 0x27B6, "defenseless_tank_impact" },
    { 0x27B7, "define_loadout" },
    { 0x27B8, "defrate" },
    { 0x27B9, "defsmooth" },
    { 0x27BA, "defuseendtime" },
    { 0x27BB, "defuser_bad_path_counter" },
    { 0x27BC, "defuser_wait_for_death" },
    { 0x27BD, "defusethink" },
    { 0x27BE, "defusetime" },
    { 0x27BF, "delay" },
    { 0x27C0, "delay_drone_kamikaze_player" },
    { 0x27C1, "delay_from_any_hint_s" },
    { 0x27C2, "delay_from_kill_s" },
    { 0x27C3, "delay_from_same_hint_s" },
    { 0x27C4, "delay_linkto_anim" },
    { 0x27C5, "delay_oncoming_bypass_kill" },
    { 0x27C6, "delay_retreat" },
    { 0x27C7, "delay_script_call" },
    { 0x27C8, "delay_script_call_proc" },
    { 0x27C9, "delay_scripting_if_stealth_broken" },
    { 0x27CA, "delay_set_fall_damage" },
    { 0x27CB, "delay_show_bones" },
    { 0x27CC, "delaycall" },
    { 0x27CD, "delaycall_proc" },
    { 0x27CE, "delaychildthread" },
    { 0x27CF, "delaychildthread_proc" },
    { 0x27D0, "delaycleanupdroppod" },
    { 0x27D1, "delaycontrol" },
    { 0x27D2, "delaydelete" },
    { 0x27D3, "delaydeleteprompt" },
    { 0x27D4, "delaydestroy" },
    { 0x27D5, "delayed_cut" },
    { 0x27D6, "delayed_delete" },
    { 0x27D7, "delayed_delete_light" },
    { 0x27D8, "delayed_earthquake" },
    { 0x27D9, "delayed_exploded_guy_deletion" },
    { 0x27DA, "delayed_luinotifyserver" },
    { 0x27DB, "delayed_player_seek_think" },
    { 0x27DC, "delayed_takeweapon" },
    { 0x27DD, "delayedbadplace" },
    { 0x27DE, "delayeddialogue" },
    { 0x27DF, "delayedexception" },
    { 0x27E0, "delayedleaderdialog" },
    { 0x27E1, "delayedleaderdialogbothteams" },
    { 0x27E2, "delayedlocktargetent" },
    { 0x27E3, "delayedlocktargettag" },
    { 0x27E4, "delayedplayergoal" },
    { 0x27E5, "delayer" },
    { 0x27E6, "delayfade" },
    { 0x27E7, "delayinc" },
    { 0x27E8, "delayminetime" },
    { 0x27E9, "delayplayfx" },
    { 0x27EA, "delayresetdeployedjuggernaut" },
    { 0x27EB, "delaysetweapon" },
    { 0x27EC, "delaystandardmelee" },
    { 0x27ED, "delaystartragdoll" },
    { 0x27EE, "delaythread" },
    { 0x27EF, "delaythread_nuke" },
    { 0x27F0, "delaythread_proc" },
    { 0x27F1, "deletable_magic_bullet_shield" },
    { 0x27F2, "deletable_turret" },
    { 0x27F3, "delete_after_wait" },
    { 0x27F4, "delete_ai" },
    { 0x27F5, "delete_ai_on_flag" },
    { 0x27F6, "delete_ai_on_goal" },
    { 0x27F7, "delete_ai_on_path_end" },
    { 0x27F8, "delete_all_grenades" },
    { 0x27F9, "delete_all_mines" },
    { 0x27FA, "delete_ambient" },
    { 0x27FB, "delete_at_goal" },
    { 0x27FC, "delete_at_path_end" },
    { 0x27FD, "delete_atlas_intercept" },
    { 0x27FE, "delete_atlas_intercepts" },
    { 0x27FF, "delete_atlas_van_driver" },
    { 0x2800, "delete_auto" },
    { 0x2801, "delete_bot_badplaces" },
    { 0x2802, "delete_breach" },
    { 0x2803, "delete_civilian_at_trigger" },
    { 0x2804, "delete_cloak_cover" },
    { 0x2805, "delete_collapse_ent" },
    { 0x2806, "delete_corpses_around_vehicle" },
    { 0x2807, "delete_debug_text_hud" },
    { 0x2808, "delete_destructibles_in_volumes" },
    { 0x2809, "delete_drone" },
    { 0x280A, "delete_enemy_on_flag" },
    { 0x280B, "delete_ents_by_targetname" },
    { 0x280C, "delete_exploder" },
    { 0x280D, "delete_exploder_proc" },
    { 0x280E, "delete_exploders_in_volumes" },
    { 0x280F, "delete_guy_on_trigger_stealth" },
    { 0x2810, "delete_guys_in_heli_when_vo_complete" },
    { 0x2811, "delete_hangar_allies_on_goal" },
    { 0x2812, "delete_heartrate_hud" },
    { 0x2813, "delete_highway_player_side" },
    { 0x2814, "delete_interactives_in_volumes" },
    { 0x2815, "delete_lane_cars" },
    { 0x2816, "delete_laser_on_death" },
    { 0x2817, "delete_links_then_self" },
    { 0x2818, "delete_me" },
    { 0x2819, "delete_me_in" },
    { 0x281A, "delete_me_on_flag" },
    { 0x281B, "delete_me_on_goal" },
    { 0x281C, "delete_me_on_goal_special" },
    { 0x281D, "delete_me_on_notify" },
    { 0x281E, "delete_mobile_cover" },
    { 0x281F, "delete_nearest_car_door_vehicle_collision" },
    { 0x2820, "delete_notify" },
    { 0x2821, "delete_ok" },
    { 0x2822, "delete_on_complete" },
    { 0x2823, "delete_on_crash" },
    { 0x2824, "delete_on_death" },
    { 0x2825, "delete_on_death_wait_sound" },
    { 0x2826, "delete_on_goal" },
    { 0x2827, "delete_on_not_defined" },
    { 0x2828, "delete_on_notify" },
    { 0x2829, "delete_on_path_end" },
    { 0x282A, "delete_on_player_unlink" },
    { 0x282B, "delete_on_removed" },
    { 0x282C, "delete_path_end" },
    { 0x282D, "delete_pod_crash_floor" },
    { 0x282E, "delete_pressed" },
    { 0x282F, "delete_primer" },
    { 0x2830, "delete_roadsurface_bridge" },
    { 0x2831, "delete_rooftop_los_blockers" },
    { 0x2832, "delete_selection" },
    { 0x2833, "delete_self_on_death_of" },
    { 0x2834, "delete_spawners" },
    { 0x2835, "delete_specific_navy_ships" },
    { 0x2836, "delete_start" },
    { 0x2837, "delete_subtitle_in" },
    { 0x2838, "delete_this_on_death" },
    { 0x2839, "delete_tower_debris" },
    { 0x283A, "delete_traffic_group" },
    { 0x283B, "delete_traffic_path" },
    { 0x283C, "delete_turret_on_death" },
    { 0x283D, "delete_veh" },
    { 0x283E, "delete_vehicle_at_trigger" },
    { 0x283F, "delete_vehicle_outof_view" },
    { 0x2840, "delete_vehicle_traffic_roundabout_straightways" },
    { 0x2841, "delete_vm_underwater_org" },
    { 0x2842, "delete_weapon_on_notify" },
    { 0x2843, "delete_wills_room_clip" },
    { 0x2844, "deleteaftertime" },
    { 0x2845, "deleteboat" },
    { 0x2846, "deletec4andclaymoresondisconnect" },
    { 0x2847, "deletecrate" },
    { 0x2848, "deletedebughudelem" },
    { 0x2849, "deletedefined" },
    { 0x284A, "deletedelay" },
    { 0x284B, "deletedestructiblekillcament" },
    { 0x284C, "deleteduringreflectionprobegeneration" },
    { 0x284D, "deleteent" },
    { 0x284E, "deleteequipment" },
    { 0x284F, "deleteexplosiontag" },
    { 0x2850, "deleteexplosivedrone" },
    { 0x2851, "deletegoliathpod" },
    { 0x2852, "deleteifnotused" },
    { 0x2853, "deletelasertagarray" },
    { 0x2854, "deletemapremotemissileclip" },
    { 0x2855, "deleteme" },
    { 0x2856, "deletemineonteamswitch" },
    { 0x2857, "deleteobjectwhendone" },
    { 0x2858, "deleteobjpoint" },
    { 0x2859, "deleteondeath" },
    { 0x285A, "deleteonownerdeath" },
    { 0x285B, "deleteonreviveordeathordisconnect" },
    { 0x285C, "deletepickupafterawhile" },
    { 0x285D, "deleteplacedentity" },
    { 0x285E, "deleteplayerdroppod" },
    { 0x285F, "deleteplayerdroppodvfx" },
    { 0x2860, "deletepodtrophyfx" },
    { 0x2861, "deletepodtrophyfxondeath" },
    { 0x2862, "deletepodtrophyfxondisconnect" },
    { 0x2863, "deletepodtrophyfxonteamchange" },
    { 0x2864, "deleteportableradar" },
    { 0x2865, "deleterotationents" },
    { 0x2866, "deletescrambler" },
    { 0x2867, "deleteshieldonplayerdeathordisconnect" },
    { 0x2868, "deleteshieldontriggerdeath" },
    { 0x2869, "deleteshieldontriggerpickup" },
    { 0x286A, "deleteshortly" },
    { 0x286B, "deletesquad" },
    { 0x286C, "deletestruct_ref" },
    { 0x286D, "deletestructarray" },
    { 0x286E, "deletestructarray_ref" },
    { 0x286F, "deleteti" },
    { 0x2870, "deletetrackingdrone" },
    { 0x2871, "deletetransrevmeshes" },
    { 0x2872, "deleteuseent" },
    { 0x2873, "deleteuseobject" },
    { 0x2874, "deletewalkingcivilians" },
    { 0x2875, "deleteweaponmodels" },
    { 0x2876, "delicate_flower" },
    { 0x2877, "deliverytrucksetup" },
    { 0x2878, "delta" },
    { 0x2879, "demo_feed_lines" },
    { 0x287A, "demo_skip_forward" },
    { 0x287B, "depleted" },
    { 0x287C, "deploy_check_player_in_elevator_think" },
    { 0x287D, "deploy_delay" },
    { 0x287E, "deploy_scene_ents" },
    { 0x287F, "deploy_scene_handcuff_ents" },
    { 0x2880, "deploy_sequence" },
    { 0x2881, "deploy_trophy" },
    { 0x2882, "deploy_vo" },
    { 0x2883, "deployable_cover" },
    { 0x2884, "deployable_cover_ai" },
    { 0x2885, "deployable_cover_anims" },
    { 0x2886, "deployable_cover_cleanup" },
    { 0x2887, "deployable_cover_focus_goal" },
    { 0x2888, "deployable_cover_kill" },
    { 0x2889, "deployable_cover_model" },
    { 0x288A, "deployable_cover_think" },
    { 0x288B, "deployable_cover_watch_death" },
    { 0x288C, "deployablecover" },
    { 0x288D, "deployablecoverinuse" },
    { 0x288E, "deployedscrambler" },
    { 0x288F, "deployflares" },
    { 0x2890, "deprecated__audio_msg_handler" },
    { 0x2891, "deprecated_aud_delay_play_2d_sound" },
    { 0x2892, "deprecated_aud_delay_play_2d_sound_internal" },
    { 0x2893, "deprecated_aud_delay_play_linked_sound" },
    { 0x2894, "deprecated_aud_delay_play_linked_sound_internal" },
    { 0x2895, "deprecated_aud_delete_on_sounddone" },
    { 0x2896, "deprecated_aud_fade_sound_in" },
    { 0x2897, "deprecated_aud_handle_flickering_light" },
    { 0x2898, "deprecated_aud_map" },
    { 0x2899, "deprecated_aud_map_range" },
    { 0x289A, "deprecated_aud_map2" },
    { 0x289B, "deprecated_aud_play_2d_sound" },
    { 0x289C, "deprecated_aud_play_conversation" },
    { 0x289D, "deprecated_aud_play_linked_sound" },
    { 0x289E, "deprecated_aud_play_sound_at" },
    { 0x289F, "deprecated_aud_play_sound_at_internal" },
    { 0x28A0, "deprecated_aud_register_msg_handler" },
    { 0x28A1, "deprecated_aud_send_msg" },
    { 0x28A2, "deprecated_aud_set_filter" },
    { 0x28A3, "deprecated_aud_set_occlusion" },
    { 0x28A4, "deprecated_audio_message" },
    { 0x28A5, "deprecated_audx_dispatch_msg" },
    { 0x28A6, "deprecated_audx_monitor_linked_entity_health" },
    { 0x28A7, "deprecated_audx_play_linked_sound_internal" },
    { 0x28A8, "deprecated_delete_sound_entity" },
    { 0x28A9, "deprecated_play_2d_sound_internal" },
    { 0x28AA, "depth_allow_crouch" },
    { 0x28AB, "depth_allow_prone" },
    { 0x28AC, "depth_allow_stand" },
    { 0x28AD, "derailed" },
    { 0x28AE, "desc_col" },
    { 0x28AF, "describe_start" },
    { 0x28B0, "description" },
    { 0x28B1, "deselect_all_ents" },
    { 0x28B2, "deselect_entity" },
    { 0x28B3, "desired_anim_pose" },
    { 0x28B4, "desired_range" },
    { 0x28B5, "desired_speed" },
    { 0x28B6, "desiredtimeofdeath" },
    { 0x28B7, "desk_animate" },
    { 0x28B8, "despawn_dist_sq" },
    { 0x28B9, "despawn_if_not_in_view" },
    { 0x28BA, "dest" },
    { 0x28BB, "dest_cover" },
    { 0x28BC, "destination2" },
    { 0x28BD, "destinations" },
    { 0x28BE, "destroy_aim_hud" },
    { 0x28BF, "destroy_all_frogger_vehicles_lane" },
    { 0x28C0, "destroy_cine_helicopter" },
    { 0x28C1, "destroy_drones_in_wave" },
    { 0x28C2, "destroy_drones_when_nuked" },
    { 0x28C3, "destroy_hint_on_friendlyfire" },
    { 0x28C4, "destroy_hud_elem_landassist" },
    { 0x28C5, "destroy_mobile_turret" },
    { 0x28C6, "destroy_office_snipe_glass" },
    { 0x28C7, "destroy_on_flag" },
    { 0x28C8, "destroy_radar_hud_elem_early" },
    { 0x28C9, "destroy_screen_pac" },
    { 0x28CA, "destroy_self_when_nuked" },
    { 0x28CB, "destroy_sentinel_drone_hud" },
    { 0x28CC, "destroy_the_window_exit" },
    { 0x28CD, "destroy_tracking_drone_in_water" },
    { 0x28CE, "destroy_truck_01" },
    { 0x28CF, "destroy_turret_when_player_leaves" },
    { 0x28D0, "destroy_walker_tank" },
    { 0x28D1, "destroy_warbird" },
    { 0x28D2, "destroy_warning_elem" },
    { 0x28D3, "destroy_warning_elem_when_hit_again" },
    { 0x28D4, "destroy_warning_elem_when_mission_failed" },
    { 0x28D5, "destroy_windshield" },
    { 0x28D6, "destroyactivedrones" },
    { 0x28D7, "destroyactiveequipmentvehicles" },
    { 0x28D8, "destroyactivehelis" },
    { 0x28D9, "destroyactivelittlebirds" },
    { 0x28DA, "destroyactiveorbitallasers" },
    { 0x28DB, "destroyactiverockets" },
    { 0x28DC, "destroyactivestreakvehicles" },
    { 0x28DD, "destroyactiveturrets" },
    { 0x28DE, "destroyactiveuavs" },
    { 0x28DF, "destroyactiveugvs" },
    { 0x28E0, "destroyactivevehicles" },
    { 0x28E1, "destroyatriumfighttimer" },
    { 0x28E2, "destroydroppedgun" },
    { 0x28E3, "destroyed" },
    { 0x28E4, "destroyedcount" },
    { 0x28E5, "destroyedcounttimeout" },
    { 0x28E6, "destroyedvo" },
    { 0x28E7, "destroyefx" },
    { 0x28E8, "destroyelem" },
    { 0x28E9, "destroyempobjectsinradius" },
    { 0x28EA, "destroyentityheadiconondeath" },
    { 0x28EB, "destroyheadiconsondeath" },
    { 0x28EC, "destroyhudelem" },
    { 0x28ED, "destroyiconsondeath" },
    { 0x28EE, "destroymarkettimer" },
    { 0x28EF, "destroyonownerdisconnect" },
    { 0x28F0, "destroyonreviveentdeath" },
    { 0x28F1, "destroyplayerdroppod" },
    { 0x28F2, "destroyplayericons" },
    { 0x28F3, "destroysetupambushtimer" },
    { 0x28F4, "destroyslowly" },
    { 0x28F5, "destructable_destroyed" },
    { 0x28F6, "destructable_destruct" },
    { 0x28F7, "destructable_think" },
    { 0x28F8, "destructible" },
    { 0x28F9, "destructible_anim" },
    { 0x28FA, "destructible_animation_think" },
    { 0x28FB, "destructible_anims" },
    { 0x28FC, "destructible_attachmodel" },
    { 0x28FD, "destructible_badplace_radius_multiplier" },
    { 0x28FE, "destructible_boxtruck_think" },
    { 0x28FF, "destructible_builddot_damage" },
    { 0x2900, "destructible_builddot_ontick" },
    { 0x2901, "destructible_builddot_startloop" },
    { 0x2902, "destructible_builddot_wait" },
    { 0x2903, "destructible_car_alarm" },
    { 0x2904, "destructible_cleans_up_more" },
    { 0x2905, "destructible_create" },
    { 0x2906, "destructible_createdot_predefined" },
    { 0x2907, "destructible_createdot_radius" },
    { 0x2908, "destructible_damage_threshold" },
    { 0x2909, "destructible_death" },
    { 0x290A, "destructible_disable_explosion" },
    { 0x290B, "destructible_dots" },
    { 0x290C, "destructible_explode" },
    { 0x290D, "destructible_explosion_radius_multiplier" },
    { 0x290E, "destructible_force_explosion" },
    { 0x290F, "destructible_function" },
    { 0x2910, "destructible_functions" },
    { 0x2911, "destructible_fx" },
    { 0x2912, "destructible_fx_kill_state_wait" },
    { 0x2913, "destructible_fx_spawn_immediate" },
    { 0x2914, "destructible_fx_spawn_think" },
    { 0x2915, "destructible_fx_spawnimmediate" },
    { 0x2916, "destructible_fx_think" },
    { 0x2917, "destructible_get_my_breakable_light" },
    { 0x2918, "destructible_getinfoindex" },
    { 0x2919, "destructible_gettype" },
    { 0x291A, "destructible_handles_collision_brushes" },
    { 0x291B, "destructible_health_drain_amount_multiplier" },
    { 0x291C, "destructible_healthdrain" },
    { 0x291D, "destructible_info" },
    { 0x291E, "destructible_lights_out" },
    { 0x291F, "destructible_loopfx" },
    { 0x2920, "destructible_loopsound" },
    { 0x2921, "destructible_model" },
    { 0x2922, "destructible_notify" },
    { 0x2923, "destructible_part" },
    { 0x2924, "destructible_parts" },
    { 0x2925, "destructible_physics" },
    { 0x2926, "destructible_protection_func" },
    { 0x2927, "destructible_setdot_ontick" },
    { 0x2928, "destructible_setdot_ontickfunc" },
    { 0x2929, "destructible_sound" },
    { 0x292A, "destructible_sound_think" },
    { 0x292B, "destructible_splash_damage" },
    { 0x292C, "destructible_splash_damage_scaler" },
    { 0x292D, "destructible_splash_rotatation" },
    { 0x292E, "destructible_spotlight" },
    { 0x292F, "destructible_spotlight_think" },
    { 0x2930, "destructible_state" },
    { 0x2931, "destructible_think" },
    { 0x2932, "destructible_trailer_collision_destroy_when_player_close" },
    { 0x2933, "destructible_trailer_collision_think" },
    { 0x2934, "destructible_transient" },
    { 0x2935, "destructible_update_part" },
    { 0x2936, "destructiblecoverwatcher" },
    { 0x2937, "destructibleframequeue" },
    { 0x2938, "destructibleinfo" },
    { 0x2939, "destructibles" },
    { 0x293A, "destructiblespawnedents" },
    { 0x293B, "destructiblespawnedentslimit" },
    { 0x293C, "det_blood_impact_burst01" },
    { 0x293D, "det_blood_impact_burst02" },
    { 0x293E, "det_blood_impact_burst03" },
    { 0x293F, "det_bones_bike_end_fx" },
    { 0x2940, "det_brick_pull_fx" },
    { 0x2941, "det_camp_lookat_trigger_think" },
    { 0x2942, "det_catch_guy_01_ball_drop" },
    { 0x2943, "det_catch_guy_01_pt_02" },
    { 0x2944, "det_catch_guy_01_pt_03" },
    { 0x2945, "det_catch_guy_01_pt_04" },
    { 0x2946, "det_catch_guy_01_pt_05" },
    { 0x2947, "det_catch_guy_02_pt_02" },
    { 0x2948, "det_catch_guy_02_pt_03" },
    { 0x2949, "det_catch_guy_02_pt_04" },
    { 0x294A, "det_catch_guy_02_pt_05" },
    { 0x294B, "det_debris_falling" },
    { 0x294C, "det_doc_cap_doc" },
    { 0x294D, "det_doc_cap_gdn" },
    { 0x294E, "det_doc_cap_jkr" },
    { 0x294F, "det_doc_picked_up" },
    { 0x2950, "det_doc_roll_over" },
    { 0x2951, "det_end_chopper_approach" },
    { 0x2952, "det_end_chopper_crash_start" },
    { 0x2953, "det_end_chopper_tumble" },
    { 0x2954, "det_end_chopper_tumble_2" },
    { 0x2955, "det_end_gate_close" },
    { 0x2956, "det_fall_through_ceiling" },
    { 0x2957, "det_gl_end_logo" },
    { 0x2958, "det_helicopter_explo" },
    { 0x2959, "det_helicopter_shot" },
    { 0x295A, "det_helmet_smash_fx" },
    { 0x295B, "det_hospital_gate_close" },
    { 0x295C, "det_hoverbike_mount_burke" },
    { 0x295D, "det_hoverbike_shutdown_burke" },
    { 0x295E, "det_hoverbike_startup_burke" },
    { 0x295F, "det_intro_gdn" },
    { 0x2960, "det_intro_gideon_foley_pt1" },
    { 0x2961, "det_intro_gideon_foley_pt2" },
    { 0x2962, "det_intro_gideon_foley_pt3" },
    { 0x2963, "det_joker_bike_end_fx" },
    { 0x2964, "det_knife_pull" },
    { 0x2965, "det_knife_stab_fx" },
    { 0x2966, "det_knx_thatsclassifiedmate" },
    { 0x2967, "det_mech_scanner_fx" },
    { 0x2968, "det_scanner_fx" },
    { 0x2969, "det_scanner_fx_bg" },
    { 0x296A, "det_school_fall_plr" },
    { 0x296B, "det_sent_meet_brk" },
    { 0x296C, "det_sent_meet_jkr" },
    { 0x296D, "det_sent_meet_knx" },
    { 0x296E, "det_shelf_papers_fx" },
    { 0x296F, "det_start_doctor_breathing" },
    { 0x2970, "det_stop_doctor_breathing" },
    { 0x2971, "det_vignette" },
    { 0x2972, "det_water_crash_jeep_1" },
    { 0x2973, "det_water_crash_jeep_2" },
    { 0x2974, "detach_attachments_from_weapon_model" },
    { 0x2975, "detach_cig" },
    { 0x2976, "detach_getoutrigs" },
    { 0x2977, "detach_housing" },
    { 0x2978, "detach_idle_clip" },
    { 0x2979, "detach_models_with_substr" },
    { 0x297A, "detach_motion_blur_disable" },
    { 0x297B, "detach_motion_blur_enable" },
    { 0x297C, "detach_phone" },
    { 0x297D, "detachall_on_death" },
    { 0x297E, "detachallweaponmodels" },
    { 0x297F, "detachflag" },
    { 0x2980, "detachgrenadeonscriptchange" },
    { 0x2981, "detachifattached" },
    { 0x2982, "detachprops" },
    { 0x2983, "detachusemodels" },
    { 0x2984, "detachweapon" },
    { 0x2985, "detcord_logic" },
    { 0x2986, "detect_being_pushed" },
    { 0x2987, "detect_cargo_ship_damage" },
    { 0x2988, "detect_cargo_ship_death" },
    { 0x2989, "detect_distsqrd" },
    { 0x298A, "detect_dropping" },
    { 0x298B, "detect_enemies" },
    { 0x298C, "detect_player_death" },
    { 0x298D, "detect_range" },
    { 0x298E, "detect_turret_death" },
    { 0x298F, "detect_when_player_is_in_volume" },
    { 0x2990, "detectedexploit" },
    { 0x2991, "detectexplosives" },
    { 0x2992, "detectfriendlyfireonentity" },
    { 0x2993, "detectid" },
    { 0x2994, "detection_grenade_duration" },
    { 0x2995, "detection_grenade_duration_bonus" },
    { 0x2996, "detection_grenade_hud_effect" },
    { 0x2997, "detection_grenade_range" },
    { 0x2998, "detection_grenade_sweep_time" },
    { 0x2999, "detection_grenade_think" },
    { 0x299A, "detection_highlight_hud_effect" },
    { 0x299B, "detection_highlight_hud_effect_apply" },
    { 0x299C, "detection_highlight_hud_effect_off" },
    { 0x299D, "detection_highlight_hud_effect_old" },
    { 0x299E, "detection_highlight_hud_effect_on" },
    { 0x299F, "detection_highlight_hud_effect_remove" },
    { 0x29A0, "detection_level" },
    { 0x29A1, "detectiongrenadethink" },
    { 0x29A2, "detectiongrenadewatch" },
    { 0x29A3, "determine_projectile_position" },
    { 0x29A4, "determine_sticky_position" },
    { 0x29A5, "determinecqbanim" },
    { 0x29A6, "determineexposedapproachtype" },
    { 0x29A7, "determineheatcoverexittype" },
    { 0x29A8, "determinenodeapproachtype" },
    { 0x29A9, "determinenodeexittype" },
    { 0x29AA, "determinenonnodeexittype" },
    { 0x29AB, "determinestate" },
    { 0x29AC, "determineweaponnameandattachments" },
    { 0x29AD, "detonate_foam_grenade" },
    { 0x29AE, "detonate_foam_nag_dialogue" },
    { 0x29AF, "detonate_hovertank_aa_projectile_on_death" },
    { 0x29B0, "detonateondeath" },
    { 0x29B1, "detonateonuse" },
    { 0x29B2, "detonateradius" },
    { 0x29B3, "detonatetrap" },
    { 0x29B4, "detour_flag" },
    { 0x29B5, "detoured" },
    { 0x29B6, "detouringpath" },
    { 0x29B7, "detpackstunradius" },
    { 0x29B8, "detroit_cg_precache_models" },
    { 0x29B9, "detroit_drive_in_fov" },
    { 0x29BA, "detroit_kva_bauerdoyoureadme" },
    { 0x29BB, "detroit_laser" },
    { 0x29BC, "detroit_locations" },
    { 0x29BD, "detroit_music_preset_constructor" },
    { 0x29BE, "detroit_spring_cam_lerp_speed" },
    { 0x29BF, "detroit_spring_cam_release_speed" },
    { 0x29C0, "detroitcustomkillstreakfunc" },
    { 0x29C1, "detroitpaladinoverrides" },
    { 0x29C2, "detroitstrikeheightoverrides" },
    { 0x29C3, "detroittramobjids" },
    { 0x29C4, "df_baghdad_combat_pre_load" },
    { 0x29C5, "df_baghdad_dnabomb_pre_load" },
    { 0x29C6, "df_baghdad_dof_presets" },
    { 0x29C7, "df_baghdad_global_spawnfunctions" },
    { 0x29C8, "df_baghdad_intro_pre_load" },
    { 0x29C9, "df_baghdad_lighting" },
    { 0x29CA, "df_baghdad_lighting_captured" },
    { 0x29CB, "df_baghdad_lighting_dna_bomb_01" },
    { 0x29CC, "df_baghdad_lighting_dna_bomb_02" },
    { 0x29CD, "df_baghdad_lighting_dna_bomb_03" },
    { 0x29CE, "df_baghdad_lighting_drones" },
    { 0x29CF, "df_baghdad_lighting_preload" },
    { 0x29D0, "df_baghdad_post_tower_autosaves" },
    { 0x29D1, "df_baghdad_post_tower_pre_load" },
    { 0x29D2, "df_baghdad_pre_load" },
    { 0x29D3, "df_baghdad_precache" },
    { 0x29D4, "df_baghdad_retrun_player_rig" },
    { 0x29D5, "df_baghdad_set_level_lighting_values" },
    { 0x29D6, "df_baghdad_snipers_pre_load" },
    { 0x29D7, "df_baghdad_starts" },
    { 0x29D8, "df_cheap_rpgs" },
    { 0x29D9, "df_enable_boostjump" },
    { 0x29DA, "df_fly_dof_presets" },
    { 0x29DB, "df_fly_lighting" },
    { 0x29DC, "df_fly_lighting_canyon" },
    { 0x29DD, "df_fly_lighting_canyon_finale" },
    { 0x29DE, "df_fly_lighting_end_pod" },
    { 0x29DF, "df_fly_pre_load" },
    { 0x29E0, "df_fly_precache" },
    { 0x29E1, "df_fly_set_level_lighting_values" },
    { 0x29E2, "df_fly_starts" },
    { 0x29E3, "df_global_accuracy" },
    { 0x29E4, "df_objectives" },
    { 0x29E5, "df_player_rig_name" },
    { 0x29E6, "dialog" },
    { 0x29E7, "dialog_collapse" },
    { 0x29E8, "dialog_complain_cold" },
    { 0x29E9, "dialog_hotel_top_floor_nk_alerted" },
    { 0x29EA, "dialog_mech_clear_queued" },
    { 0x29EB, "dialog_meltdown" },
    { 0x29EC, "dialog_monitor_drones_down" },
    { 0x29ED, "dialog_nags_heli" },
    { 0x29EE, "dialog_noise_stinger" },
    { 0x29EF, "dialogcounter" },
    { 0x29F0, "dialogdangerzone" },
    { 0x29F1, "dialogtable" },
    { 0x29F2, "dialogue" },
    { 0x29F3, "dialogue_approaching_drop_point" },
    { 0x29F4, "dialogue_ast_ahead" },
    { 0x29F5, "dialogue_boat_destroyed" },
    { 0x29F6, "dialogue_breach_ahead" },
    { 0x29F7, "dialogue_breach_complete" },
    { 0x29F8, "dialogue_building_jump" },
    { 0x29F9, "dialogue_canal_start" },
    { 0x29FA, "dialogue_carry_scene_01" },
    { 0x29FB, "dialogue_carry_scene_02" },
    { 0x29FC, "dialogue_chase_irons" },
    { 0x29FD, "dialogue_control_room_attack" },
    { 0x29FE, "dialogue_doctor_trolley" },
    { 0x29FF, "dialogue_drone_swarm_intro" },
    { 0x2A00, "dialogue_drone_turret_sequence" },
    { 0x2A01, "dialogue_droppod_intro" },
    { 0x2A02, "dialogue_droppod_intro_prelaunch" },
    { 0x2A03, "dialogue_droppod_prelaunch" },
    { 0x2A04, "dialogue_execute" },
    { 0x2A05, "dialogue_exhaust_hatch" },
    { 0x2A06, "dialogue_exit_trench" },
    { 0x2A07, "dialogue_gd" },
    { 0x2A08, "dialogue_gd_lift" },
    { 0x2A09, "dialogue_gid_rocket_reminder" },
    { 0x2A0A, "dialogue_gid_swarm_reminder" },
    { 0x2A0B, "dialogue_guardroom_door" },
    { 0x2A0C, "dialogue_hatch_position" },
    { 0x2A0D, "dialogue_head_to_exhaust_vent" },
    { 0x2A0E, "dialogue_hotel_exit" },
    { 0x2A0F, "dialogue_hotel_mid_floor_contact" },
    { 0x2A10, "dialogue_hotel_mid_floor_fight_over" },
    { 0x2A11, "dialogue_hotel_mid_floor_glass_gag" },
    { 0x2A12, "dialogue_hotel_missile_dodge" },
    { 0x2A13, "dialogue_hotel_pod_exit_begin" },
    { 0x2A14, "dialogue_hotel_top_floor_landassist" },
    { 0x2A15, "dialogue_hotel_top_floor_landing" },
    { 0x2A16, "dialogue_hotel_top_floor_nk_soldier_spotted" },
    { 0x2A17, "dialogue_huds" },
    { 0x2A18, "dialogue_into_exhaust_hatch" },
    { 0x2A19, "dialogue_intro" },
    { 0x2A1A, "dialogue_intro_black" },
    { 0x2A1B, "dialogue_introdrive" },
    { 0x2A1C, "dialogue_irons_ending" },
    { 0x2A1D, "dialogue_keep_moving" },
    { 0x2A1E, "dialogue_mb1" },
    { 0x2A1F, "dialogue_mb1_bootup" },
    { 0x2A20, "dialogue_mb1_intro" },
    { 0x2A21, "dialogue_mb1_jumpdown" },
    { 0x2A22, "dialogue_mb2" },
    { 0x2A23, "dialogue_mb2_gatesmash" },
    { 0x2A24, "dialogue_mb2_gid_il_convo" },
    { 0x2A25, "dialogue_mech" },
    { 0x2A26, "dialogue_mech_everytime" },
    { 0x2A27, "dialogue_missile_damage" },
    { 0x2A28, "dialogue_missile_launch" },
    { 0x2A29, "dialogue_more_boats" },
    { 0x2A2A, "dialogue_nag_loop" },
    { 0x2A2B, "dialogue_nag_player" },
    { 0x2A2C, "dialogue_overpass" },
    { 0x2A2D, "dialogue_pa_launch_coundown" },
    { 0x2A2E, "dialogue_pa_security_breach" },
    { 0x2A2F, "dialogue_performing_arts_entrance" },
    { 0x2A30, "dialogue_primary_ignitionin" },
    { 0x2A31, "dialogue_queue" },
    { 0x2A32, "dialogue_queue_global" },
    { 0x2A33, "dialogue_queue_single" },
    { 0x2A34, "dialogue_random_last_line" },
    { 0x2A35, "dialogue_random_line" },
    { 0x2A36, "dialogue_ready_to_drop" },
    { 0x2A37, "dialogue_reminder" },
    { 0x2A38, "dialogue_s1elevator_outside" },
    { 0x2A39, "dialogue_s2_elevator_open" },
    { 0x2A3A, "dialogue_s2_walk" },
    { 0x2A3B, "dialogue_s2elevator_outside" },
    { 0x2A3C, "dialogue_s3_head_doctor" },
    { 0x2A3D, "dialogue_s3_observation" },
    { 0x2A3E, "dialogue_s3escape_guard" },
    { 0x2A3F, "dialogue_s3escape_hall" },
    { 0x2A40, "dialogue_silo_contact" },
    { 0x2A41, "dialogue_trench_demo_team" },
    { 0x2A42, "dialogue_truck_push_sequence" },
    { 0x2A43, "dialogue_uv_bake_awcmon" },
    { 0x2A44, "dialogue_wallsmash_nag" },
    { 0x2A45, "dialogue_water_clear" },
    { 0x2A46, "dialogue_will_revael" },
    { 0x2A47, "dialoguelevelintro" },
    { 0x2A48, "dialoguenotetrack" },
    { 0x2A49, "didpastmeleefail" },
    { 0x2A4A, "didpastpursuitfail" },
    { 0x2A4B, "didshufflemove" },
    { 0x2A4C, "didsomethingotherthanshooting" },
    { 0x2A4D, "didstatusnotify" },
    { 0x2A4E, "didtie" },
    { 0x2A4F, "didturretexplosion" },
    { 0x2A50, "die" },
    { 0x2A51, "dieaftertime" },
    { 0x2A52, "died_being_tracked" },
    { 0x2A53, "died_of_headshot" },
    { 0x2A54, "diehardmode" },
    { 0x2A55, "differentiate_motion" },
    { 0x2A56, "differentiated_acceleration" },
    { 0x2A57, "differentiated_jerk" },
    { 0x2A58, "differentiated_last_acceleration" },
    { 0x2A59, "differentiated_last_origin" },
    { 0x2A5A, "differentiated_last_update" },
    { 0x2A5B, "differentiated_last_velocity" },
    { 0x2A5C, "differentiated_speed" },
    { 0x2A5D, "differentiated_velocity" },
    { 0x2A5E, "difficulty" },
    { 0x2A5F, "difficultysettings" },
    { 0x2A60, "difficultysettings_frac_data_points" },
    { 0x2A61, "difficultystring" },
    { 0x2A62, "difficultytype" },
    { 0x2A63, "digitaldistort" },
    { 0x2A64, "digitmodels" },
    { 0x2A65, "dimensionsx" },
    { 0x2A66, "dimensionsy" },
    { 0x2A67, "dir" },
    { 0x2A68, "diraimlimit" },
    { 0x2A69, "directhackduration" },
    { 0x2A6A, "directhacked" },
    { 0x2A6B, "directhackendtime" },
    { 0x2A6C, "direction" },
    { 0x2A6D, "dirt_on_screen_from_position" },
    { 0x2A6E, "dirt_splatter_simple" },
    { 0x2A6F, "dirteffect" },
    { 0x2A70, "dirty" },
    { 0x2A71, "disable_achievement_harder_they_fall" },
    { 0x2A72, "disable_achievement_harder_they_fall_guy" },
    { 0x2A73, "disable_ai_color" },
    { 0x2A74, "disable_ai_swim" },
    { 0x2A75, "disable_aim_assist_on_script_model" },
    { 0x2A76, "disable_alert" },
    { 0x2A77, "disable_all_fixed_scanners" },
    { 0x2A78, "disable_all_turrets" },
    { 0x2A79, "disable_arrivals" },
    { 0x2A7A, "disable_awareness" },
    { 0x2A7B, "disable_awareness_limited" },
    { 0x2A7C, "disable_badplace_for_red_guys" },
    { 0x2A7D, "disable_blindfire" },
    { 0x2A7E, "disable_blood_pool" },
    { 0x2A7F, "disable_bokeh" },
    { 0x2A80, "disable_boost_dash" },
    { 0x2A81, "disable_boost_hud" },
    { 0x2A82, "disable_boost_jump" },
    { 0x2A83, "disable_breathing_sound" },
    { 0x2A84, "disable_bulletwhizbyreaction" },
    { 0x2A85, "disable_careful" },
    { 0x2A86, "disable_cloak_system" },
    { 0x2A87, "disable_cormack_obj" },
    { 0x2A88, "disable_cover_drone" },
    { 0x2A89, "disable_cover_drone_on_mobile_turret_mount" },
    { 0x2A8A, "disable_cqb_points_of_interest" },
    { 0x2A8B, "disable_cqb_squad" },
    { 0x2A8C, "disable_cqbwalk" },
    { 0x2A8D, "disable_damagefeedback_hud" },
    { 0x2A8E, "disable_damagefeedback_snd" },
    { 0x2A8F, "disable_danger_react" },
    { 0x2A90, "disable_default_exo_powers" },
    { 0x2A91, "disable_destructible_bad_places" },
    { 0x2A92, "disable_dive_whizby_react" },
    { 0x2A93, "disable_dof_car_door_throw" },
    { 0x2A94, "disable_dog_control" },
    { 0x2A95, "disable_dog_kinect" },
    { 0x2A96, "disable_dog_sneak" },
    { 0x2A97, "disable_dog_sniff" },
    { 0x2A98, "disable_dog_walk" },
    { 0x2A99, "disable_dontevershoot" },
    { 0x2A9A, "disable_dynamic_run_speed" },
    { 0x2A9B, "disable_enable_exit_flags" },
    { 0x2A9C, "disable_exits" },
    { 0x2A9D, "disable_exo_during_land_assist" },
    { 0x2A9E, "disable_exo_for_highway" },
    { 0x2A9F, "disable_exo_melee" },
    { 0x2AA0, "disable_explosion" },
    { 0x2AA1, "disable_fall_damage" },
    { 0x2AA2, "disable_features_entering_cinema" },
    { 0x2AA3, "disable_firing" },
    { 0x2AA4, "disable_force_sprint" },
    { 0x2AA5, "disable_free_running" },
    { 0x2AA6, "disable_gideon_jog_when_turning" },
    { 0x2AA7, "disable_grenade_range_triggers" },
    { 0x2AA8, "disable_grenades" },
    { 0x2AA9, "disable_gun_recall" },
    { 0x2AAA, "disable_heat_behavior" },
    { 0x2AAB, "disable_high_jump" },
    { 0x2AAC, "disable_highway_path_player_side" },
    { 0x2AAD, "disable_ignorerandombulletdamage_drone" },
    { 0x2AAE, "disable_interactive_tv_use_triggers" },
    { 0x2AAF, "disable_ir_in_nightvision" },
    { 0x2AB0, "disable_long_death" },
    { 0x2AB1, "disable_me_when_exopush_finished" },
    { 0x2AB2, "disable_mech_chaingun" },
    { 0x2AB3, "disable_mech_rocket" },
    { 0x2AB4, "disable_mech_swarm" },
    { 0x2AB5, "disable_mech_threat_ping" },
    { 0x2AB6, "disable_meele_for_breach" },
    { 0x2AB7, "disable_melee" },
    { 0x2AB8, "disable_middle_civs" },
    { 0x2AB9, "disable_middle_civs_now" },
    { 0x2ABA, "disable_militia_behavior" },
    { 0x2ABB, "disable_mobile_turret_if_not_destroyed" },
    { 0x2ABC, "disable_motion_blur" },
    { 0x2ABD, "disable_mount_point" },
    { 0x2ABE, "disable_my_thermal" },
    { 0x2ABF, "disable_oneshotfx_with_noteworthy" },
    { 0x2AC0, "disable_outerspacelighting_interior" },
    { 0x2AC1, "disable_pain" },
    { 0x2AC2, "disable_physical_dof" },
    { 0x2AC3, "disable_pitbull_use" },
    { 0x2AC4, "disable_player_controls" },
    { 0x2AC5, "disable_player_swim" },
    { 0x2AC6, "disable_player_swimming" },
    { 0x2AC7, "disable_player_underwater_walk" },
    { 0x2AC8, "disable_pod_door_clip" },
    { 0x2AC9, "disable_rappel_trigger_monitor" },
    { 0x2ACA, "disable_readystand" },
    { 0x2ACB, "disable_replace_on_death" },
    { 0x2ACC, "disable_same_side_blocking" },
    { 0x2ACD, "disable_shield_ability" },
    { 0x2ACE, "disable_sniper_glint" },
    { 0x2ACF, "disable_sonar_when_not_allowed" },
    { 0x2AD0, "disable_sonic_aoe" },
    { 0x2AD1, "disable_sprint" },
    { 0x2AD2, "disable_ssao_over_time" },
    { 0x2AD3, "disable_static_mobile_cover" },
    { 0x2AD4, "disable_stealth_debug_hud" },
    { 0x2AD5, "disable_stealth_for_ai" },
    { 0x2AD6, "disable_stealth_smart_stance" },
    { 0x2AD7, "disable_stealth_system" },
    { 0x2AD8, "disable_stencil" },
    { 0x2AD9, "disable_surprise" },
    { 0x2ADA, "disable_swim" },
    { 0x2ADB, "disable_swim_or_underwater_walk" },
    { 0x2ADC, "disable_tactical_goals" },
    { 0x2ADD, "disable_target_tracking" },
    { 0x2ADE, "disable_teamflashbangimmunity" },
    { 0x2ADF, "disable_threat_atlas_van_driver" },
    { 0x2AE0, "disable_threat_grenade_response" },
    { 0x2AE1, "disable_threat_ping" },
    { 0x2AE2, "disable_tracking" },
    { 0x2AE3, "disable_trigger" },
    { 0x2AE4, "disable_trigger_helper" },
    { 0x2AE5, "disable_trigger_while_player_animating" },
    { 0x2AE6, "disable_trigger_with_noteworthy" },
    { 0x2AE7, "disable_trigger_with_targetname" },
    { 0x2AE8, "disable_turbine_elevator_trigger" },
    { 0x2AE9, "disable_turnanims" },
    { 0x2AEA, "disable_turret_missiles" },
    { 0x2AEB, "disable_vol" },
    { 0x2AEC, "disable_weapon_pickup_wrapper" },
    { 0x2AED, "disable_weapons_in_canal_view_room" },
    { 0x2AEE, "disableaicombatreactions" },
    { 0x2AEF, "disablealliescolor" },
    { 0x2AF0, "disableallstreaks" },
    { 0x2AF1, "disableapproach" },
    { 0x2AF2, "disablearrivals" },
    { 0x2AF3, "disableawareness" },
    { 0x2AF4, "disablebadplace" },
    { 0x2AF5, "disablebattlechatter" },
    { 0x2AF6, "disablebulletwhizbyreaction" },
    { 0x2AF7, "disableclientspawntraces" },
    { 0x2AF8, "disablecloudscount" },
    { 0x2AF9, "disablecloudsexploder" },
    { 0x2AFA, "disablecorpsealert" },
    { 0x2AFB, "disablecoverarrivalsonly" },
    { 0x2AFC, "disabled" },
    { 0x2AFD, "disabled_exo" },
    { 0x2AFE, "disabled_use_for" },
    { 0x2AFF, "disabledamagecallback" },
    { 0x2B00, "disabledamagecallbackinternal" },
    { 0x2B01, "disabledamagefeedbacksnd" },
    { 0x2B02, "disabledamageshieldpain" },
    { 0x2B03, "disabledefaultfacialanims" },
    { 0x2B04, "disabledoffhandweapons" },
    { 0x2B05, "disabledoorbehavior" },
    { 0x2B06, "disabledronefiringafterkill" },
    { 0x2B07, "disabledronefiringatstart" },
    { 0x2B08, "disabledronefiringduringcrash" },
    { 0x2B09, "disabledusability" },
    { 0x2B0A, "disabledweapon" },
    { 0x2B0B, "disabledweaponswitch" },
    { 0x2B0C, "disableenemyalert" },
    { 0x2B0D, "disableexits" },
    { 0x2B0E, "disableexo" },
    { 0x2B0F, "disablefacialfilleranims" },
    { 0x2B10, "disableforfeit" },
    { 0x2B11, "disablefriendlyfirereaction" },
    { 0x2B12, "disablegeardrop" },
    { 0x2B13, "disablegloballyusablebytype" },
    { 0x2B14, "disablegrenadetracking" },
    { 0x2B15, "disablekillstreakactionslots" },
    { 0x2B16, "disablekillstreaks" },
    { 0x2B17, "disablelongdeath" },
    { 0x2B18, "disablelongdeath_saved" },
    { 0x2B19, "disablelongpain" },
    { 0x2B1A, "disablemeleeonroof" },
    { 0x2B1B, "disablemonitorflash" },
    { 0x2B1C, "disablemovementtracker" },
    { 0x2B1D, "disableobject" },
    { 0x2B1E, "disableorbitalthermal" },
    { 0x2B1F, "disablepain" },
    { 0x2B20, "disableplayercommands" },
    { 0x2B21, "disableplayeruseent" },
    { 0x2B22, "disableranking" },
    { 0x2B23, "disablereactionanims" },
    { 0x2B24, "disableregen" },
    { 0x2B25, "disablereload" },
    { 0x2B26, "disablesonicaoe" },
    { 0x2B27, "disablespawning" },
    { 0x2B28, "disablestealthonhadesdeath" },
    { 0x2B29, "disablestencil" },
    { 0x2B2A, "disablestrangeondeath" },
    { 0x2B2B, "disablevariablescopehudondeath" },
    { 0x2B2C, "disablevehiclescripts" },
    { 0x2B2D, "disableweaponstats" },
    { 0x2B2E, "disassociate_guy_from_vehicle" },
    { 0x2B2F, "discardtime" },
    { 0x2B30, "disconnect_fake_pitbull" },
    { 0x2B31, "disconnect_node" },
    { 0x2B32, "disconnect_nodes" },
    { 0x2B33, "disconnect_paths" },
    { 0x2B34, "disconnect_paths_whenstopped" },
    { 0x2B35, "disconnected" },
    { 0x2B36, "disconnectgatepaths" },
    { 0x2B37, "disconnectpaths_ents_by_targetname" },
    { 0x2B38, "disconnectpathsfunction" },
    { 0x2B39, "disconnecttraverses" },
    { 0x2B3A, "discrete_waittill" },
    { 0x2B3B, "dismount_console" },
    { 0x2B3C, "dismount_player_pitbull" },
    { 0x2B3D, "dismount_timer" },
    { 0x2B3E, "disomount_hint" },
    { 0x2B3F, "dispatchnotify" },
    { 0x2B40, "display_animsound" },
    { 0x2B41, "display_ar_box" },
    { 0x2B42, "display_ar_line" },
    { 0x2B43, "display_ar_text" },
    { 0x2B44, "display_array" },
    { 0x2B45, "display_current_translation" },
    { 0x2B46, "display_exit_hint" },
    { 0x2B47, "display_fx_add_options" },
    { 0x2B48, "display_fx_info" },
    { 0x2B49, "display_hint" },
    { 0x2B4A, "display_hint_button" },
    { 0x2B4B, "display_hint_stick" },
    { 0x2B4C, "display_hint_stick_timeout" },
    { 0x2B4D, "display_hint_stick_timeout_mintime" },
    { 0x2B4E, "display_hint_timeout" },
    { 0x2B4F, "display_hint_timeout_mintime" },
    { 0x2B50, "display_hint_timeout_override_old" },
    { 0x2B51, "display_hint_until_zip_activated" },
    { 0x2B52, "display_no_target" },
    { 0x2B53, "display_no_target_hint" },
    { 0x2B54, "display_screen_effect" },
    { 0x2B55, "display_starts" },
    { 0x2B56, "display_starts_pressed" },
    { 0x2B57, "display_takedown_world_prompt_on_enemy" },
    { 0x2B58, "display_update" },
    { 0x2B59, "displayalertcountdowntimer" },
    { 0x2B5A, "displayboothholo" },
    { 0x2B5B, "displaybuddyspawnsuccessful" },
    { 0x2B5C, "displaybuddystatusmessage" },
    { 0x2B5D, "displayclientstring" },
    { 0x2B5E, "displayed_hints" },
    { 0x2B5F, "displaygameend" },
    { 0x2B60, "displayhealth" },
    { 0x2B61, "displayincomingairdropmessage" },
    { 0x2B62, "displayingdamagehints" },
    { 0x2B63, "displaykillstreakpoints" },
    { 0x2B64, "displayroundend" },
    { 0x2B65, "displayroundswitch" },
    { 0x2B66, "displayruleofthirds" },
    { 0x2B67, "displays" },
    { 0x2B68, "displayscanresults" },
    { 0x2B69, "displaysonicaoecontextualhints" },
    { 0x2B6A, "displaythreat" },
    { 0x2B6B, "dist" },
    { 0x2B6C, "dist_from_center" },
    { 0x2B6D, "dist_prop" },
    { 0x2B6E, "dist_ratio_hitguy" },
    { 0x2B6F, "dist_to_next_node" },
    { 0x2B70, "dist2yards" },
//  { 0x2B71, "" },
    { 0x2B72, "distance_2d_squared" },
    { 0x2B73, "distance_check_loop" },
    { 0x2B74, "distance_from_player" },
    { 0x2B75, "distance_on_path" },
    { 0x2B76, "distance_to_goalvol_sq" },
    { 0x2B77, "distance_to_last_stage" },
    { 0x2B78, "distance2d_to_player" },
    { 0x2B79, "distance2dandheightcheck" },
    { 0x2B7A, "distanceonpath" },
    { 0x2B7B, "distances" },
    { 0x2B7C, "distmax" },
    { 0x2B7D, "distmin" },
    { 0x2B7E, "distmoved" },
    { 0x2B7F, "distonpathsegment" },
    { 0x2B80, "distortionfxtoggle" },
    { 0x2B81, "distsq" },
    { 0x2B82, "distsumsquared" },
    { 0x2B83, "dive_boat_params" },
    { 0x2B84, "dive_fx" },
    { 0x2B85, "dive_warning" },
    { 0x2B86, "diveboat" },
    { 0x2B87, "diveboat_anims_initialized" },
    { 0x2B88, "diveboat_attack_button_pressed" },
    { 0x2B89, "diveboat_audio" },
    { 0x2B8A, "diveboat_condition_callback_to_state_dragging" },
    { 0x2B8B, "diveboat_condition_callback_to_state_ending" },
    { 0x2B8C, "diveboat_condition_callback_to_state_idle" },
    { 0x2B8D, "diveboat_condition_callback_to_state_jumping" },
    { 0x2B8E, "diveboat_condition_callback_to_state_throttling" },
    { 0x2B8F, "diveboat_constructor" },
    { 0x2B90, "diveboat_ending" },
    { 0x2B91, "diveboat_init" },
    { 0x2B92, "diveboat_throttle" },
    { 0x2B93, "diveboat_weapon_ammo_count" },
    { 0x2B94, "diveboat_weapon_attacked" },
    { 0x2B95, "diveboat_weapon_auto_targetting" },
    { 0x2B96, "diveboat_weapon_fire_notify" },
    { 0x2B97, "diveboat_weapon_fire_system" },
    { 0x2B98, "diveboat_weapon_firing" },
    { 0x2B99, "diveboat_weapon_gauge_level" },
    { 0x2B9A, "diveboat_weapon_reloading_system" },
    { 0x2B9B, "diveboat_weapon_target" },
    { 0x2B9C, "diveboat_weapon_targetting_system" },
    { 0x2B9D, "divide_nodes_into_groups" },
    { 0x2B9E, "dmg_screen_all" },
    { 0x2B9F, "dmg_screen_left" },
    { 0x2BA0, "dmg_screen_right" },
    { 0x2BA1, "dna_bomb_cool_fill_01" },
    { 0x2BA2, "dna_bomb_cool_fill_02" },
    { 0x2BA3, "dna_bomb_cool_fill_03" },
    { 0x2BA4, "dna_bomb_drone_handler" },
    { 0x2BA5, "dna_bomb_fire_01" },
    { 0x2BA6, "dna_bomb_fire_02" },
    { 0x2BA7, "dna_bomb_fire_03" },
    { 0x2BA8, "dna_bomb_warm_fill_01" },
    { 0x2BA9, "dna_bomb_warm_fill_02" },
    { 0x2BAA, "dna_bomb_warm_fill_03" },
    { 0x2BAB, "dnablackout" },
    { 0x2BAC, "dnablackout_moveplayers_off_roof" },
    { 0x2BAD, "dnadronebreakprisonglass" },
    { 0x2BAE, "dnadroneexplode" },
    { 0x2BAF, "dnadronelocs" },
    { 0x2BB0, "dnadronereachedgoal" },
    { 0x2BB1, "dnadrones" },
    { 0x2BB2, "dnadronesexplode" },
    { 0x2BB3, "dnaexplosionscreenshake" },
    { 0x2BB4, "do_abort" },
    { 0x2BB5, "do_bumps" },
    { 0x2BB6, "do_car_alarm" },
    { 0x2BB7, "do_continuous_rumble" },
    { 0x2BB8, "do_crash" },
    { 0x2BB9, "do_creak" },
    { 0x2BBA, "do_custom_fall_damage" },
    { 0x2BBB, "do_diveboat_threads" },
    { 0x2BBC, "do_earthquake" },
    { 0x2BBD, "do_exhaust_fx" },
    { 0x2BBE, "do_exo_repulsor" },
    { 0x2BBF, "do_fly_screen" },
    { 0x2BC0, "do_funcs" },
    { 0x2BC1, "do_hoodoo_voodoo" },
    { 0x2BC2, "do_in_order" },
    { 0x2BC3, "do_inside_bombshake" },
    { 0x2BC4, "do_into_idle_anim" },
    { 0x2BC5, "do_multiple_treads" },
    { 0x2BC6, "do_no_game_start" },
    { 0x2BC7, "do_no_game_start_teleport" },
    { 0x2BC8, "do_not_react_to_whistle" },
    { 0x2BC9, "do_nothing" },
    { 0x2BCA, "do_pathbased_avoidance" },
    { 0x2BCB, "do_player_cloak_update_threads" },
    { 0x2BCC, "do_player_explode_react" },
    { 0x2BCD, "do_random_dynamic_attachment" },
    { 0x2BCE, "do_reposition_zipline_compensation" },
    { 0x2BCF, "do_rev" },
    { 0x2BD0, "do_rotate_zipline_compensation" },
    { 0x2BD1, "do_rumble" },
    { 0x2BD2, "do_scanner_death" },
    { 0x2BD3, "do_scanner_fx" },
    { 0x2BD4, "do_scanner_sounds" },
    { 0x2BD5, "do_shaft_gameplay" },
    { 0x2BD6, "do_shaft_gameplay_setup" },
    { 0x2BD7, "do_shake" },
    { 0x2BD8, "do_single_tread" },
    { 0x2BD9, "do_tuning" },
    { 0x2BDA, "do_vehicle_scanner_tuning" },
    { 0x2BDB, "do_wait" },
    { 0x2BDC, "do_wait_any" },
    { 0x2BDD, "do_wait_endons_array" },
    { 0x2BDE, "do_wait_thread" },
    { 0x2BDF, "doadsblur" },
    { 0x2BE0, "doaim" },
    { 0x2BE1, "doaim_idle_think" },
    { 0x2BE2, "doairstrike" },
    { 0x2BE3, "doautospawn" },
    { 0x2BE4, "dobomberstrike" },
    { 0x2BE5, "dobuilddot_damage" },
    { 0x2BE6, "dobuilddot_wait" },
    { 0x2BE7, "doc_capture_bagspawn" },
    { 0x2BE8, "doc_capture_headswap" },
    { 0x2BE9, "doc_fire" },
    { 0x2BEA, "doc_punched" },
    { 0x2BEB, "dock_debris" },
    { 0x2BEC, "dock_debris_blocker" },
    { 0x2BED, "dock_mech" },
    { 0x2BEE, "doclamping" },
    { 0x2BEF, "doclamping_middle" },
    { 0x2BF0, "doclampingrelease" },
    { 0x2BF1, "doctor" },
    { 0x2BF2, "doctor_blood_swap" },
    { 0x2BF3, "doctor_capture_bag_capture_anim" },
    { 0x2BF4, "doctor_capture_bones_breach_functionality" },
    { 0x2BF5, "doctor_capture_bookshelf1" },
    { 0x2BF6, "doctor_capture_bookshelf2" },
    { 0x2BF7, "doctor_capture_breach_door_prompt" },
    { 0x2BF8, "doctor_capture_burke_alternate_point_anim" },
    { 0x2BF9, "doctor_capture_burke_doctorroom_idle" },
    { 0x2BFA, "doctor_capture_burke_enter_doctor_room" },
    { 0x2BFB, "doctor_capture_burke_shooting" },
    { 0x2BFC, "doctor_capture_burke_takedown_finish" },
    { 0x2BFD, "doctor_capture_check_takedown" },
    { 0x2BFE, "doctor_capture_destroy_this_glass" },
    { 0x2BFF, "doctor_capture_dialogue" },
    { 0x2C00, "doctor_capture_did_burke_kill_me_1" },
    { 0x2C01, "doctor_capture_did_burke_kill_me_2" },
    { 0x2C02, "doctor_capture_doctor_breach" },
    { 0x2C03, "doctor_capture_doctor_carry" },
    { 0x2C04, "doctor_capture_doctor_head_swap_function" },
    { 0x2C05, "doctor_capture_doctor_takedown_xprompt" },
    { 0x2C06, "doctor_capture_door_breach_anim" },
    { 0x2C07, "doctor_capture_draw_use_hint" },
    { 0x2C08, "doctor_capture_draw_use_hint_melee" },
    { 0x2C09, "doctor_capture_firstguy_breach" },
    { 0x2C0A, "doctor_capture_forthguy_breach" },
    { 0x2C0B, "doctor_capture_guy_3_kill_player" },
    { 0x2C0C, "doctor_capture_guy1_health_check_killfunction" },
    { 0x2C0D, "doctor_capture_guy3_health_check_killfunction" },
    { 0x2C0E, "doctor_capture_hospital_breach_autosave" },
    { 0x2C0F, "doctor_capture_inner_fight" },
    { 0x2C10, "doctor_capture_lerp_wait_function" },
    { 0x2C11, "doctor_capture_new_breach_doctor_takedown" },
    { 0x2C12, "doctor_capture_player_breach" },
    { 0x2C13, "doctor_capture_player_capture_thread" },
    { 0x2C14, "doctor_capture_player_killed" },
    { 0x2C15, "doctor_capture_player_melee_and_hit" },
    { 0x2C16, "doctor_capture_set_new_objective_outside_breach" },
    { 0x2C17, "doctor_capture_shoot_the_player" },
    { 0x2C18, "doctor_capture_stop_spawning_school_trains" },
    { 0x2C19, "doctor_capture_success_trigger" },
    { 0x2C1A, "doctor_capture_thirdguy_breach" },
    { 0x2C1B, "doctor_capture_thirdguy_notify_when_dead" },
    { 0x2C1C, "doctor_capture_use_hint_blinks_melee" },
    { 0x2C1D, "doctor_capture_xprompt" },
    { 0x2C1E, "doctor_carry_wait_breach" },
    { 0x2C1F, "doctor_hangar_waits" },
    { 0x2C20, "doctor_kva_reveal" },
    { 0x2C21, "doctor_pad_watcher" },
    { 0x2C22, "docustomanim" },
    { 0x2C23, "docustomidle" },
    { 0x2C24, "dodeathfromarray" },
    { 0x2C25, "dodge_behavior" },
    { 0x2C26, "dodge_hint_breakout" },
    { 0x2C27, "dodge_player_shots" },
    { 0x2C28, "dodge_position" },
    { 0x2C29, "dodgeleftanim" },
    { 0x2C2A, "dodgeleftanimoffset" },
    { 0x2C2B, "dodgeloadout" },
    { 0x2C2C, "dodgemoveloopoverride" },
    { 0x2C2D, "dodgerightanim" },
    { 0x2C2E, "dodgerightanimoffset" },
    { 0x2C2F, "dodging" },
    { 0x2C30, "dodoorgrenadethrow" },
    { 0x2C31, "dodot_delayfunc" },
    { 0x2C32, "dodot_fadeinblackout" },
    { 0x2C33, "dodot_fadeoutblackout" },
    { 0x2C34, "dodot_fadeoutblackoutanddestroy" },
    { 0x2C35, "dodot_poisonblackout" },
    { 0x2C36, "dodot_poisondamage" },
    { 0x2C37, "dodrivenidle" },
    { 0x2C38, "does_player_have_smaw" },
    { 0x2C39, "does_weapon_exist" },
    { 0x2C3A, "doexposedcalloutresponse" },
    { 0x2C3B, "doextendedkill" },
    { 0x2C3C, "dof" },
    { 0x2C3D, "dof_apply_to_results" },
    { 0x2C3E, "dof_autopsy_door_seq" },
    { 0x2C3F, "dof_blend_interior_ads" },
    { 0x2C40, "dof_blend_interior_ads_element" },
    { 0x2C41, "dof_blend_interior_ads_scalar" },
    { 0x2C42, "dof_blend_interior_generic" },
    { 0x2C43, "dof_calc_results" },
    { 0x2C44, "dof_car_explosion" },
    { 0x2C45, "dof_disable_ads" },
    { 0x2C46, "dof_disable_script" },
    { 0x2C47, "dof_enable_ads" },
    { 0x2C48, "dof_enable_exterior" },
    { 0x2C49, "dof_enable_interior" },
    { 0x2C4A, "dof_enable_script" },
    { 0x2C4B, "dof_enable_start" },
    { 0x2C4C, "dof_end_escape" },
    { 0x2C4D, "dof_escape_gun_seq" },
    { 0x2C4E, "dof_far_blur" },
    { 0x2C4F, "dof_far_end" },
    { 0x2C50, "dof_far_start" },
    { 0x2C51, "dof_fob_autofocus_disable" },
    { 0x2C52, "dof_fob_autofocus_enable" },
    { 0x2C53, "dof_fob_moment_start" },
    { 0x2C54, "dof_heli_crash" },
    { 0x2C55, "dof_heli_flight_seq" },
    { 0x2C56, "dof_incinerator_seq" },
    { 0x2C57, "dof_init" },
    { 0x2C58, "dof_intro" },
    { 0x2C59, "dof_intro_pre" },
    { 0x2C5A, "dof_introdrive_seq" },
    { 0x2C5B, "dof_irons_meet" },
    { 0x2C5C, "dof_manticore_hangar" },
    { 0x2C5D, "dof_mech_door" },
    { 0x2C5E, "dof_mech_gate_crash" },
    { 0x2C5F, "dof_mech_jump_getup" },
    { 0x2C60, "dof_mech_suit_entrance" },
    { 0x2C61, "dof_near_blur" },
    { 0x2C62, "dof_near_end" },
    { 0x2C63, "dof_near_start" },
    { 0x2C64, "dof_outro" },
    { 0x2C65, "dof_presets" },
    { 0x2C66, "dof_process_ads" },
    { 0x2C67, "dof_process_physical_ads" },
    { 0x2C68, "dof_ref_ent" },
    { 0x2C69, "dof_s2_walk" },
    { 0x2C6A, "dof_s3_interrogation" },
    { 0x2C6B, "dof_set_base" },
    { 0x2C6C, "dof_set_focus" },
    { 0x2C6D, "dof_set_generic" },
    { 0x2C6E, "dof_spidertank_moment_off" },
    { 0x2C6F, "dof_spidertank_moment_on" },
    { 0x2C70, "dof_subway_cinematic" },
    { 0x2C71, "dof_subway_cinematic_optimized" },
    { 0x2C72, "dof_sys_hacking" },
    { 0x2C73, "dof_time" },
    { 0x2C74, "dof_triggers" },
    { 0x2C75, "dof_tuner" },
    { 0x2C76, "dof_update" },
    { 0x2C77, "dof_uv_flash" },
    { 0x2C78, "dof_viewmodel_presets" },
    { 0x2C79, "dofacialdialogue" },
    { 0x2C7A, "dofdefault" },
    { 0x2C7B, "dofinalkillcam" },
    { 0x2C7C, "dofinalkillcamfx" },
    { 0x2C7D, "dofiring" },
    { 0x2C7E, "dofiringeffects" },
    { 0x2C7F, "dofriendlyfirereaction" },
    { 0x2C80, "dofunderwater" },
    { 0x2C81, "dog_addlean" },
    { 0x2C82, "dog_alt_melee_func" },
    { 0x2C83, "dog_animation_foundcorpse" },
    { 0x2C84, "dog_animation_generic" },
    { 0x2C85, "dog_animation_howl" },
    { 0x2C86, "dog_animation_sawcorpse" },
    { 0x2C87, "dog_animation_wakeup_fast" },
    { 0x2C88, "dog_animation_wakeup_slow" },
    { 0x2C89, "dog_anims_initialized" },
    { 0x2C8A, "dog_anims_toload" },
    { 0x2C8B, "dog_attack_alt_func" },
    { 0x2C8C, "dog_attack_damage_tracking" },
    { 0x2C8D, "dog_attack_dir" },
    { 0x2C8E, "dog_attack_enemies" },
    { 0x2C8F, "dog_attacking_me" },
    { 0x2C90, "dog_bark" },
    { 0x2C91, "dog_cant_kill_in_one_hit" },
    { 0x2C92, "dog_command_attack" },
    { 0x2C93, "dog_command_cancel" },
    { 0x2C94, "dog_command_flush" },
    { 0x2C95, "dog_command_goto" },
    { 0x2C96, "dog_death_hud" },
    { 0x2C97, "dog_death_quote" },
    { 0x2C98, "dog_death_type" },
    { 0x2C99, "dog_deathquote" },
    { 0x2C9A, "dog_delayed_allow_damage" },
    { 0x2C9B, "dog_delayed_unlink" },
    { 0x2C9C, "dog_downed_player" },
    { 0x2C9D, "dog_enemy_laststand_check" },
    { 0x2C9E, "dog_flush_functions" },
    { 0x2C9F, "dog_follow_path_func" },
    { 0x2CA0, "dog_get_within_range" },
    { 0x2CA1, "dog_got_hit" },
    { 0x2CA2, "dog_handle_traverse_notetracks" },
    { 0x2CA3, "dog_health" },
    { 0x2CA4, "dog_hint" },
    { 0x2CA5, "dog_hint_fade" },
    { 0x2CA6, "dog_hits_before_kill" },
    { 0x2CA7, "dog_jump_down" },
    { 0x2CA8, "dog_jump_up" },
    { 0x2CA9, "dog_link" },
    { 0x2CAA, "dog_long_jump" },
    { 0x2CAB, "dog_lower_camera" },
    { 0x2CAC, "dog_marker" },
    { 0x2CAD, "dog_melee_death" },
    { 0x2CAE, "dog_melee_index" },
    { 0x2CAF, "dog_melee_timing_array" },
    { 0x2CB0, "dog_monitor_goal_ent" },
    { 0x2CB1, "dog_neck_snapped" },
    { 0x2CB2, "dog_pant" },
    { 0x2CB3, "dog_pant_think" },
    { 0x2CB4, "dog_player_kill" },
    { 0x2CB5, "dog_presstime" },
    { 0x2CB6, "dog_raise_camera" },
    { 0x2CB7, "dog_swap_enemy" },
    { 0x2CB8, "dog_traverse_cleanup_on_end" },
    { 0x2CB9, "dog_traverse_kill" },
    { 0x2CBA, "dog_vs_player_anim_rate" },
    { 0x2CBB, "dog_waitfor_attack_or_bail" },
    { 0x2CBC, "dog_wall_and_window_hop" },
    { 0x2CBD, "dogallowplayerpairedanim" },
    { 0x2CBE, "dogarrivalanim" },
    { 0x2CBF, "dogasdamage" },
    { 0x2CC0, "dogattackaidist" },
    { 0x2CC1, "dogattackallowtime" },
    { 0x2CC2, "dogattackplayerdist" },
    { 0x2CC3, "dogdamagedradiussq" },
    { 0x2CC4, "dogfight_engaged_target" },
    { 0x2CC5, "dogfight_finale_knoxdeath_gideon" },
    { 0x2CC6, "dogfight_finale_knoxdeath_ilona" },
    { 0x2CC7, "dogfight_finale_knoxdeath_knox" },
    { 0x2CC8, "dogfight_irons_speech_bink" },
    { 0x2CC9, "dogfight_time" },
    { 0x2CCA, "dogfight_vo" },
    { 0x2CCB, "dogfight_vtol_ride_enter_ilona" },
    { 0x2CCC, "dogfight_vtol_ride_enter_knox" },
    { 0x2CCD, "doghintelem" },
    { 0x2CCE, "doginited" },
    { 0x2CCF, "doglastknowngoodpos" },
    { 0x2CD0, "doglastknowngoodposcustom" },
    { 0x2CD1, "doglookpose" },
    { 0x2CD2, "dogmelee" },
    { 0x2CD3, "dogmeleeearly" },
    { 0x2CD4, "dogmeleeplayercounter" },
    { 0x2CD5, "dognextidletwitchtime" },
    { 0x2CD6, "dogrenadethrow" },
    { 0x2CD7, "dogs" },
    { 0x2CD8, "dogs_dont_instant_kill" },
    { 0x2CD9, "dogsalive" },
    { 0x2CDA, "dogsinitialized" },
    { 0x2CDB, "dogstartmovedist" },
    { 0x2CDC, "dogstop_getnode" },
    { 0x2CDD, "dogstoppingdistsq" },
    { 0x2CDE, "dogtags" },
    { 0x2CDF, "dogtraverseanims" },
    { 0x2CE0, "dogturnadjust" },
    { 0x2CE1, "dogturnrate" },
    { 0x2CE2, "dohitreaction" },
    { 0x2CE3, "doimmediateragdolldeath" },
    { 0x2CE4, "doingadditivepain" },
    { 0x2CE5, "doingfinalkillcamfx" },
    { 0x2CE6, "doinglongdeath" },
    { 0x2CE7, "doingreacquirestep" },
    { 0x2CE8, "doingsplash" },
    { 0x2CE9, "dolastminuteexposedapproach" },
    { 0x2CEA, "dolastminuteexposedapproachwrapper" },
    { 0x2CEB, "dolookatidle" },
    { 0x2CEC, "dom" },
    { 0x2CED, "dom_b_move" },
    { 0x2CEE, "dom_flag_data" },
    { 0x2CEF, "domcaptureevent" },
    { 0x2CF0, "domcapturetime" },
    { 0x2CF1, "dome" },
    { 0x2CF2, "domeleedamage" },
    { 0x2CF3, "domeleevsai" },
    { 0x2CF4, "domeleevsai_simple" },
    { 0x2CF5, "domeleevsai_simple_animcustom" },
    { 0x2CF6, "domeleevsai_simple_animcustom_cleanup" },
    { 0x2CF7, "domeleevsdog" },
    { 0x2CF8, "domflags" },
    { 0x2CF9, "domino_hoodoos" },
    { 0x2CFA, "domissioncallback" },
    { 0x2CFB, "domneutralizeevent" },
    { 0x2CFC, "dompointa" },
    { 0x2CFD, "dompointb" },
    { 0x2CFE, "dompointc" },
    { 0x2CFF, "dompointnumber" },
    { 0x2D00, "domroundstarttime" },
    { 0x2D01, "done_flushing" },
    { 0x2D02, "doninebang" },
    { 0x2D03, "donodeexitanimation" },
    { 0x2D04, "dononattackcoverbehavior" },
    { 0x2D05, "donotetracks" },
    { 0x2D06, "donotetracksforever" },
    { 0x2D07, "donotetracksforeverintercept" },
    { 0x2D08, "donotetracksforeverproc" },
    { 0x2D09, "donotetracksforpopup" },
    { 0x2D0A, "donotetracksfortime" },
    { 0x2D0B, "donotetracksfortimeendnotify" },
    { 0x2D0C, "donotetracksfortimeintercept" },
    { 0x2D0D, "donotetracksfortimeout" },
    { 0x2D0E, "donotetracksfortimeproc" },
    { 0x2D0F, "donotetracksintercept" },
    { 0x2D10, "donotetrackspostcallback" },
    { 0x2D11, "donotetrackspostcallbackwithendon" },
    { 0x2D12, "donotetrackswithendon" },
    { 0x2D13, "donotetrackswithtimeout" },
    { 0x2D14, "donothingfunc" },
    { 0x2D15, "donottrackgamesplayed" },
    { 0x2D16, "dont_allow_ammo_cache" },
    { 0x2D17, "dont_animate_basement_door_on_death" },
    { 0x2D18, "dont_animate_on_kva_death" },
    { 0x2D19, "dont_auto_balance" },
    { 0x2D1A, "dont_auto_ride" },
    { 0x2D1B, "dont_break_anim" },
    { 0x2D1C, "dont_clear_vehicle_anim" },
    { 0x2D1D, "dont_delete_grenades_on_next_spawn" },
    { 0x2D1E, "dont_delete_mines_on_next_spawn" },
    { 0x2D1F, "dont_finish_death" },
    { 0x2D20, "dont_give_or_take_weapon" },
    { 0x2D21, "dont_plant_until_time" },
    { 0x2D22, "dont_shoot_warning_vo" },
    { 0x2D23, "dont_shoot_warning_vo_player_thread" },
    { 0x2D24, "dont_shoot_warning_vo_setup" },
    { 0x2D25, "dont_spawn_over_obstacles" },
    { 0x2D26, "dont_tread_on_me" },
    { 0x2D27, "dont_unlink_after_breach" },
    { 0x2D28, "dont_unlink_ragdoll" },
    { 0x2D29, "dontallowexplode" },
    { 0x2D2A, "dontattackme" },
    { 0x2D2B, "dontchangemoveplaybackrate" },
    { 0x2D2C, "dontchangepushplayer" },
    { 0x2D2D, "dontcolormove" },
    { 0x2D2E, "dontcrouchtime" },
    { 0x2D2F, "dontdisconnectpaths" },
    { 0x2D30, "dontdonotetracks" },
    { 0x2D31, "dontdrawoncompass" },
    { 0x2D32, "dontdropweapon" },
    { 0x2D33, "dontevershoot" },
    { 0x2D34, "dontfreeme" },
    { 0x2D35, "dontgetonpath" },
    { 0x2D36, "dontgiveuponsuppressionyet" },
    { 0x2D37, "dontmelee" },
    { 0x2D38, "dontshoot" },
    { 0x2D39, "dontshootstraight" },
    { 0x2D3A, "dontshootwhilemoving" },
    { 0x2D3B, "dontunloadondeath" },
    { 0x2D3C, "dontunloadonend" },
    { 0x2D3D, "dontwaitforpathend" },
    { 0x2D3E, "donuke" },
    { 0x2D3F, "door" },
    { 0x2D40, "door_breach" },
    { 0x2D41, "door_clip" },
    { 0x2D42, "door_close" },
    { 0x2D43, "door_connectpaths" },
    { 0x2D44, "door_fall_over" },
    { 0x2D45, "door_init" },
    { 0x2D46, "door_irons_reveal_open" },
    { 0x2D47, "door_kick_smoke" },
    { 0x2D48, "door_lower" },
    { 0x2D49, "door_model" },
    { 0x2D4A, "door_num" },
    { 0x2D4B, "door_open" },
    { 0x2D4C, "door_open_blue" },
    { 0x2D4D, "door_open_bounce" },
    { 0x2D4E, "door_open_bounce_face" },
    { 0x2D4F, "door_punch_flinches" },
    { 0x2D50, "door_raise" },
    { 0x2D51, "door_setup" },
    { 0x2D52, "door_shield_think" },
    { 0x2D53, "door_state_health" },
    { 0x2D54, "door_tag" },
    { 0x2D55, "door_takedown" },
    { 0x2D56, "door_takedown_door" },
    { 0x2D57, "door_thrown" },
    { 0x2D58, "door_volume" },
    { 0x2D59, "door_volume_array" },
    { 0x2D5A, "door2courtyard_open" },
    { 0x2D5B, "doorangle" },
    { 0x2D5C, "doorclose" },
    { 0x2D5D, "doorent" },
    { 0x2D5E, "doorenter" },
    { 0x2D5F, "doorenter_enable_cqbwalk" },
    { 0x2D60, "doorenter_trygrenade" },
    { 0x2D61, "doorenterexitcheck" },
    { 0x2D62, "doorexit" },
    { 0x2D63, "doorexit_disable_cqbwalk" },
    { 0x2D64, "doorflashchance" },
    { 0x2D65, "doorfragchance" },
    { 0x2D66, "doornum" },
    { 0x2D67, "dooropen" },
    { 0x2D68, "doors" },
    { 0x2D69, "doors_intialize" },
    { 0x2D6A, "doorshield_ripoff" },
    { 0x2D6B, "doorshield_throw" },
    { 0x2D6C, "doortype" },
    { 0x2D6D, "dopain" },
    { 0x2D6E, "dopainfromarray" },
    { 0x2D6F, "dopickyautosavechecks" },
    { 0x2D70, "dopplerize_suv_drive_up" },
    { 0x2D71, "dopplerize_train" },
    { 0x2D72, "doprematch" },
    { 0x2D73, "doproximityalarm" },
    { 0x2D74, "doquickmessage" },
    { 0x2D75, "doreload" },
    { 0x2D76, "doreloadanim" },
    { 0x2D77, "dosharpturn" },
    { 0x2D78, "doshoot" },
    { 0x2D79, "doshoottuned" },
    { 0x2D7A, "doslide" },
    { 0x2D7B, "dosound" },
    { 0x2D7C, "dosounddistant" },
    { 0x2D7D, "dospecialidle" },
    { 0x2D7E, "dostandardkill" },
    { 0x2D7F, "dot" },
    { 0x2D80, "dot_group" },
    { 0x2D81, "dothreatcalloutresponse" },
    { 0x2D82, "dotlimitmax" },
    { 0x2D83, "dotlimitmin" },
    { 0x2D84, "dotlimittagfwd" },
    { 0x2D85, "dotraverse" },
    { 0x2D86, "dotraversegravity" },
    { 0x2D87, "doturn" },
    { 0x2D88, "doturnnotetracks" },
    { 0x2D89, "doturretdeatheffects" },
    { 0x2D8A, "dotypelimit" },
    { 0x2D8B, "double_grenades_allowed" },
    { 0x2D8C, "dovariablelengthtraverse" },
    { 0x2D8D, "dowalkanim" },
    { 0x2D8E, "dowalkanimoverride" },
    { 0x2D8F, "down_arrow" },
    { 0x2D90, "down_part2_proc_ran" },
    { 0x2D91, "down_pos" },
    { 0x2D92, "downtown_ambient_guys" },
    { 0x2D93, "dpad_icon_col" },
    { 0x2D94, "drag_amount" },
    { 0x2D95, "drag_fade_in" },
    { 0x2D96, "drag_fade_out" },
    { 0x2D97, "drag_player_from_current_position" },
    { 0x2D98, "drag_player_from_start_to_end" },
    { 0x2D99, "drag_player_internal" },
    { 0x2D9A, "drag_player_until_time_or_pos" },
    { 0x2D9B, "drag_scene_begin" },
    { 0x2D9C, "dragging" },
    { 0x2D9D, "dragtaguntildeath" },
    { 0x2D9E, "draw_arrow" },
    { 0x2D9F, "draw_arrow_time" },
    { 0x2DA0, "draw_axis" },
    { 0x2DA1, "draw_circle_for_time" },
    { 0x2DA2, "draw_circle_lines_for_time" },
    { 0x2DA3, "draw_circle_lines_until_notify" },
    { 0x2DA4, "draw_circle_until_notify" },
    { 0x2DA5, "draw_code_move_info" },
    { 0x2DA6, "draw_col_vol" },
    { 0x2DA7, "draw_color_friendlies" },
    { 0x2DA8, "draw_colored_nodes" },
    { 0x2DA9, "draw_colornodes" },
    { 0x2DAA, "draw_cross" },
    { 0x2DAB, "draw_crosshair" },
    { 0x2DAC, "draw_debug" },
    { 0x2DAD, "draw_debug_sphere" },
    { 0x2DAE, "draw_distance" },
    { 0x2DAF, "draw_distance_line" },
    { 0x2DB0, "draw_dot_for_ent" },
    { 0x2DB1, "draw_dot_for_guy" },
    { 0x2DB2, "draw_effects_list" },
    { 0x2DB3, "draw_entity_bounds" },
    { 0x2DB4, "draw_final_line" },
    { 0x2DB5, "draw_help_list" },
    { 0x2DB6, "draw_line" },
    { 0x2DB7, "draw_line_for_time" },
    { 0x2DB8, "draw_line_from_ent_for_time" },
    { 0x2DB9, "draw_line_from_ent_to_ent_for_time" },
    { 0x2DBA, "draw_line_from_ent_to_ent_until_notify" },
    { 0x2DBB, "draw_line_from_ent_to_vec_for_time" },
    { 0x2DBC, "draw_line_from_self_to_origin" },
    { 0x2DBD, "draw_line_to_ent_for_time" },
    { 0x2DBE, "draw_line_until_notify" },
    { 0x2DBF, "draw_missile_target_line" },
    { 0x2DC0, "draw_point" },
    { 0x2DC1, "draw_radial_button" },
    { 0x2DC2, "draw_radial_buttons" },
    { 0x2DC3, "draw_scanner_cone" },
    { 0x2DC4, "draw_scanner_cone_loop" },
    { 0x2DC5, "draw_spawn_until_notify" },
    { 0x2DC6, "draw_tactics_lines" },
    { 0x2DC7, "draw_text_hud" },
    { 0x2DC8, "draw_text_hud_objective" },
    { 0x2DC9, "draw_text_hud_tool" },
    { 0x2DCA, "draw_trail" },
    { 0x2DCB, "draw_trigger" },
    { 0x2DCC, "draw_vehicle_node_triggered" },
    { 0x2DCD, "draw_volume" },
    { 0x2DCE, "drawapproachvec" },
    { 0x2DCF, "drawarrow" },
    { 0x2DD0, "drawarrowforever" },
    { 0x2DD1, "drawbcdirections" },
    { 0x2DD2, "drawbcobject" },
    { 0x2DD3, "drawchopperattackarrow" },
    { 0x2DD4, "drawenttag" },
    { 0x2DD5, "drawforwardforever" },
    { 0x2DD6, "drawfriend" },
    { 0x2DD7, "drawing_warzone_hud" },
    { 0x2DD8, "drawline" },
    { 0x2DD9, "drawminimapbounds" },
    { 0x2DDA, "drawn" },
    { 0x2DDB, "drawnode" },
    { 0x2DDC, "drawoffset" },
    { 0x2DDD, "draworgforever" },
    { 0x2DDE, "draworiginforever" },
    { 0x2DDF, "drawplayerlookatdebug" },
    { 0x2DE0, "drawplayerviewforever" },
    { 0x2DE1, "drawsniperdebug" },
    { 0x2DE2, "drawsphere" },
    { 0x2DE3, "drawspine" },
    { 0x2DE4, "drawstring" },
    { 0x2DE5, "drawstringtime" },
    { 0x2DE6, "drawtag" },
    { 0x2DE7, "drawtagforever" },
    { 0x2DE8, "drawtagtrails" },
    { 0x2DE9, "drawusers" },
    { 0x2DEA, "drawvec" },
    { 0x2DEB, "drill_damage_fx" },
    { 0x2DEC, "drill_dust_fx" },
    { 0x2DED, "drilling_animation" },
    { 0x2DEE, "drive" },
    { 0x2DEF, "drive_anim_add_idle" },
    { 0x2DF0, "drive_anim_centering" },
    { 0x2DF1, "drive_anim_jump_to_time" },
    { 0x2DF2, "drive_anim_name" },
    { 0x2DF3, "drive_cam_accel" },
    { 0x2DF4, "drive_cam_anim_accel" },
    { 0x2DF5, "drive_cam_anim_name" },
    { 0x2DF6, "drive_cam_centering" },
    { 0x2DF7, "drive_cam_vel" },
    { 0x2DF8, "drive_cam_yaw_sign" },
    { 0x2DF9, "drive_cover" },
    { 0x2DFA, "drive_crash_suv" },
    { 0x2DFB, "drive_free_path_func" },
    { 0x2DFC, "drive_in_dialogue" },
    { 0x2DFD, "drive_in_done" },
    { 0x2DFE, "drive_in_mech_checkpoint_dialogue" },
    { 0x2DFF, "drive_speed" },
    { 0x2E00, "drive_yaw_sign" },
    { 0x2E01, "drivenanimupdate" },
    { 0x2E02, "drivenmovemode" },
    { 0x2E03, "driver" },
    { 0x2E04, "driver_idle_speed" },
    { 0x2E05, "driver_shooting" },
    { 0x2E06, "driverdead" },
    { 0x2E07, "driveway_car" },
    { 0x2E08, "driveway_car_1" },
    { 0x2E09, "driveway_car_1_civilian_setup" },
    { 0x2E0A, "driveway_car_2" },
    { 0x2E0B, "driveway_car_2_civilian_setup" },
    { 0x2E0C, "driveway_car_cleanup" },
    { 0x2E0D, "driveway_car_cleanup_fx" },
    { 0x2E0E, "driveway_civilian_cleanup" },
    { 0x2E0F, "driveway_guard_anim" },
    { 0x2E10, "driveway_guard_left" },
    { 0x2E11, "driveway_guard_right" },
    { 0x2E12, "driveway_guard_setup" },
    { 0x2E13, "driveway_guard_watch_for_alert" },
    { 0x2E14, "driveway_monster_clip" },
    { 0x2E15, "driving_hovertank" },
    { 0x2E16, "driving_section_save" },
    { 0x2E17, "drivingvehicle" },
    { 0x2E18, "drivingvehicleandturret" },
    { 0x2E19, "drone" },
    { 0x2E1A, "drone_abort_monitor" },
    { 0x2E1B, "drone_abort_path" },
    { 0x2E1C, "drone_active_thread" },
    { 0x2E1D, "drone_air_spaces" },
    { 0x2E1E, "drone_alert_sight" },
    { 0x2E1F, "drone_alert_sight_can_see" },
    { 0x2E20, "drone_alert_sight_check" },
    { 0x2E21, "drone_anims" },
    { 0x2E22, "drone_archetype_custom_idle_base" },
    { 0x2E23, "drone_archetype_custom_idles" },
    { 0x2E24, "drone_archetype_idle_internal" },
    { 0x2E25, "drone_array_handling" },
    { 0x2E26, "drone_attack_nodes" },
    { 0x2E27, "drone_bullet" },
    { 0x2E28, "drone_cam_timer" },
    { 0x2E29, "drone_car_exploders" },
    { 0x2E2A, "drone_cinematic" },
    { 0x2E2B, "drone_civ_02_flee" },
    { 0x2E2C, "drone_claim_node" },
    { 0x2E2D, "drone_cloak_off" },
    { 0x2E2E, "drone_closest" },
    { 0x2E2F, "drone_cloud_controllable" },
    { 0x2E30, "drone_cloud_formation_circle" },
    { 0x2E31, "drone_cloud_formation_circle_player" },
    { 0x2E32, "drone_combat" },
    { 0x2E33, "drone_control" },
    { 0x2E34, "drone_control_pad" },
    { 0x2E35, "drone_control_pad_end" },
    { 0x2E36, "drone_corpse_monitor" },
    { 0x2E37, "drone_damage_monitor" },
    { 0x2E38, "drone_dead" },
    { 0x2E39, "drone_death_handler" },
    { 0x2E3A, "drone_death_thread" },
    { 0x2E3B, "drone_deathspin" },
    { 0x2E3C, "drone_deer_spot_light" },
    { 0x2E3D, "drone_delete_at_goal" },
    { 0x2E3E, "drone_delete_on_unload" },
    { 0x2E3F, "drone_detect" },
    { 0x2E40, "drone_dialog" },
    { 0x2E41, "drone_die_random" },
    { 0x2E42, "drone_drop_real_weapon_on_death" },
    { 0x2E43, "drone_emp_crash_movement" },
    { 0x2E44, "drone_enabled_animation" },
    { 0x2E45, "drone_exit" },
    { 0x2E46, "drone_explo" },
    { 0x2E47, "drone_explode" },
    { 0x2E48, "drone_female_02_flee" },
    { 0x2E49, "drone_fight" },
    { 0x2E4A, "drone_find_ground" },
    { 0x2E4B, "drone_fire_at_ent_cleanup" },
    { 0x2E4C, "drone_fire_at_turret" },
    { 0x2E4D, "drone_fire_queue" },
    { 0x2E4E, "drone_fire_randomly" },
    { 0x2E4F, "drone_fire_timing" },
    { 0x2E50, "drone_firing" },
    { 0x2E51, "drone_fly_away" },
    { 0x2E52, "drone_flyin_vm" },
    { 0x2E53, "drone_fx" },
    { 0x2E54, "drone_get_final_target_node" },
    { 0x2E55, "drone_get_goal_loc_with_arrival" },
    { 0x2E56, "drone_getlerpfraction" },
    { 0x2E57, "drone_give_soul" },
    { 0x2E58, "drone_guy_down_dialogue" },
    { 0x2E59, "drone_holo_on" },
    { 0x2E5A, "drone_hud_targets" },
    { 0x2E5B, "drone_idle" },
    { 0x2E5C, "drone_idle_custom" },
    { 0x2E5D, "drone_idle_override" },
    { 0x2E5E, "drone_incoming_vo" },
    { 0x2E5F, "drone_incoming_vo_setup" },
    { 0x2E60, "drone_init" },
    { 0x2E61, "drone_init_path" },
    { 0x2E62, "drone_intro" },
    { 0x2E63, "drone_intro_anim_length" },
    { 0x2E64, "drone_intro_conf_flythrough_actors" },
    { 0x2E65, "drone_intro_conf_room_scene" },
    { 0x2E66, "drone_intro_execution_gun_flash" },
    { 0x2E67, "drone_intro_fov_shift" },
    { 0x2E68, "drone_intro_fov_shift_off" },
    { 0x2E69, "drone_intro_fov_shift_on" },
    { 0x2E6A, "drone_intro_kva_front_setup" },
    { 0x2E6B, "drone_intro_nig_mil_setup" },
    { 0x2E6C, "drone_investigate" },
    { 0x2E6D, "drone_investigate_cleanup" },
    { 0x2E6E, "drone_investigate_find_spots" },
    { 0x2E6F, "drone_investigate_initiate" },
    { 0x2E70, "drone_investigate_monitor" },
    { 0x2E71, "drone_investigate_scan" },
    { 0x2E72, "drone_investigate_scan_tag_think" },
    { 0x2E73, "drone_investigate_spot" },
    { 0x2E74, "drone_investigate_thread" },
    { 0x2E75, "drone_investigate_trigger" },
    { 0x2E76, "drone_investigate_triggers_main" },
    { 0x2E77, "drone_investigate_try_location" },
    { 0x2E78, "drone_investigate_visit_player_from" },
    { 0x2E79, "drone_investigate_yaw" },
    { 0x2E7A, "drone_investigates" },
    { 0x2E7B, "drone_investigating_has_happened_once" },
    { 0x2E7C, "drone_is_target" },
    { 0x2E7D, "drone_kamikaze_hit_player" },
    { 0x2E7E, "drone_kamikaze_player" },
    { 0x2E7F, "drone_kamikaze_player_evil_style" },
    { 0x2E80, "drone_lerp_to_position" },
    { 0x2E81, "drone_lighting" },
    { 0x2E82, "drone_locked_heli_target" },
    { 0x2E83, "drone_locked_special_target" },
    { 0x2E84, "drone_locked_targets" },
    { 0x2E85, "drone_lockon_icons" },
    { 0x2E86, "drone_lockon_missile_fire" },
    { 0x2E87, "drone_look_ahead_point" },
    { 0x2E88, "drone_look_at_entity" },
    { 0x2E89, "drone_lookahead_value" },
    { 0x2E8A, "drone_lookat_ent" },
    { 0x2E8B, "drone_loop_custom" },
    { 0x2E8C, "drone_loop_override" },
    { 0x2E8D, "drone_magic_bullets" },
    { 0x2E8E, "drone_missile_init" },
    { 0x2E8F, "drone_missile_loop" },
    { 0x2E90, "drone_missile_make" },
    { 0x2E91, "drone_mode_population" },
    { 0x2E92, "drone_monitor_damage_shield" },
    { 0x2E93, "drone_monitor_player_aim" },
    { 0x2E94, "drone_move" },
    { 0x2E95, "drone_move_callback" },
    { 0x2E96, "drone_move_time" },
    { 0x2E97, "drone_move_z" },
    { 0x2E98, "drone_moveto_ent" },
    { 0x2E99, "drone_node_claimed_by_other" },
    { 0x2E9A, "drone_panic_delete" },
    { 0x2E9B, "drone_panic_spawn" },
    { 0x2E9C, "drone_parm" },
    { 0x2E9D, "drone_paths" },
    { 0x2E9E, "drone_play_looping_anim" },
    { 0x2E9F, "drone_play_scripted_anim" },
    { 0x2EA0, "drone_play_weapon_sound" },
    { 0x2EA1, "drone_pod" },
    { 0x2EA2, "drone_random_vocalizations" },
    { 0x2EA3, "drone_range_target_manage_hit" },
    { 0x2EA4, "drone_really_hit" },
    { 0x2EA5, "drone_relocating" },
    { 0x2EA6, "drone_respawn" },
    { 0x2EA7, "drone_return_home" },
    { 0x2EA8, "drone_run_number" },
    { 0x2EA9, "drone_run_speed" },
    { 0x2EAA, "drone_scan" },
    { 0x2EAB, "drone_scan_civilian_setup" },
    { 0x2EAC, "drone_search_light_fx" },
    { 0x2EAD, "drone_secure_zone" },
    { 0x2EAE, "drone_security_bays_open" },
    { 0x2EAF, "drone_security_prepare_attack" },
    { 0x2EB0, "drone_security_prepare_attack_relay" },
    { 0x2EB1, "drone_security_prepare_patrol" },
    { 0x2EB2, "drone_security_scan_tag_audio" },
    { 0x2EB3, "drone_security_scan_tag_cleanup" },
    { 0x2EB4, "drone_security_thrust_fx" },
    { 0x2EB5, "drone_security_thrust_fx_cleanup" },
    { 0x2EB6, "drone_set_archetype_idle" },
    { 0x2EB7, "drone_set_mode" },
    { 0x2EB8, "drone_setup_before_emp" },
    { 0x2EB9, "drone_shoot" },
    { 0x2EBA, "drone_shoot_at_ent" },
    { 0x2EBB, "drone_shoot_down" },
    { 0x2EBC, "drone_shoot_fx" },
    { 0x2EBD, "drone_spawn" },
    { 0x2EBE, "drone_spawn_and_drive" },
    { 0x2EBF, "drone_spawn_func" },
    { 0x2EC0, "drone_spawn_single_struct" },
    { 0x2EC1, "drone_spawner_get_height" },
    { 0x2EC2, "drone_spawners" },
    { 0x2EC3, "drone_spin_monitor" },
    { 0x2EC4, "drone_spot_light" },
    { 0x2EC5, "drone_start_player_input" },
    { 0x2EC6, "drone_stealth_display_seed_always" },
    { 0x2EC7, "drone_stopthrustereffects" },
    { 0x2EC8, "drone_street_allies" },
    { 0x2EC9, "drone_street_fight_enemy_func" },
    { 0x2ECA, "drone_street_lights" },
    { 0x2ECB, "drone_swarm_init" },
    { 0x2ECC, "drone_swarm_kamikaze_attack_player" },
    { 0x2ECD, "drone_swarm_kamikaze_explode" },
    { 0x2ECE, "drone_swarm_kamikaze_seek_player" },
    { 0x2ECF, "drone_swarm_kamikaze_set_attack_vars" },
    { 0x2ED0, "drone_swarm_kamikaze_set_goal" },
    { 0x2ED1, "drone_swarm_move_change_path_on_trigger" },
    { 0x2ED2, "drone_swarm_queen" },
    { 0x2ED3, "drone_swarm_queens" },
    { 0x2ED4, "drone_swarm_start_kamikaze_attack" },
    { 0x2ED5, "drone_tactical_picker_data" },
    { 0x2ED6, "drone_target" },
    { 0x2ED7, "drone_target_center" },
    { 0x2ED8, "drone_targets" },
    { 0x2ED9, "drone_test_point" },
    { 0x2EDA, "drone_test_points" },
    { 0x2EDB, "drone_test_tag" },
    { 0x2EDC, "drone_thermal_draw_disable" },
    { 0x2EDD, "drone_threat_data" },
    { 0x2EDE, "drone_thrusterfx" },
    { 0x2EDF, "drone_thrusterfx_bottom_threaded" },
    { 0x2EE0, "drone_thrusterfx_side_threaded" },
    { 0x2EE1, "drone_thrusterfxexplosive" },
    { 0x2EE2, "drone_thrusterplayer" },
    { 0x2EE3, "drone_thrusterplayerconnected" },
    { 0x2EE4, "drone_track_player" },
    { 0x2EE5, "drone_travel_time" },
    { 0x2EE6, "drone_turn" },
    { 0x2EE7, "drone_turret_fake_death_awesome" },
    { 0x2EE8, "drone_validate_node" },
    { 0x2EE9, "drone_validate_path_to" },
    { 0x2EEA, "drone_view_shake" },
    { 0x2EEB, "drone_vs_turret_monitor_damage" },
    { 0x2EEC, "drone_wait_for_attack" },
    { 0x2EED, "drone_wait_for_death" },
    { 0x2EEE, "drone_wait_move" },
    { 0x2EEF, "drone_waittill_goal" },
    { 0x2EF0, "drone_walker_pos" },
    { 0x2EF1, "drone_warning_given" },
    { 0x2EF2, "drone_warning_vo" },
    { 0x2EF3, "drone_was_hit" },
    { 0x2EF4, "droneaddtogloballist" },
    { 0x2EF5, "droneangularvelocity" },
    { 0x2EF6, "droneanim" },
    { 0x2EF7, "dronebombsquadmesh" },
    { 0x2EF8, "dronebounceheight" },
    { 0x2EF9, "dronecallbackthread" },
    { 0x2EFA, "dronecleanup" },
    { 0x2EFB, "dronecloakactivated" },
    { 0x2EFC, "dronecloakcooldown" },
    { 0x2EFD, "dronecloakdeactivateddialog" },
    { 0x2EFE, "dronecloakingtransition" },
    { 0x2EFF, "dronecloakready" },
    { 0x2F00, "dronecloakwaitforexit" },
    { 0x2F01, "dronecontrolobjdisplay" },
    { 0x2F02, "dronecontrolpadscreentouch" },
    { 0x2F03, "dronecrate_hud" },
    { 0x2F04, "dronedeploystance" },
    { 0x2F05, "dronedraftplants" },
    { 0x2F06, "droneexplosionfx" },
    { 0x2F07, "dronefailed" },
    { 0x2F08, "dronefireatscriptedtarget" },
    { 0x2F09, "droneflyinshooting" },
    { 0x2F0A, "dronegetspawnpoint" },
    { 0x2F0B, "dronehealth" },
    { 0x2F0C, "dronehoverdirection" },
    { 0x2F0D, "dronehud" },
    { 0x2F0E, "dronehudfx" },
    { 0x2F0F, "droneinitcloakomnvars" },
    { 0x2F10, "droneiscloaked" },
    { 0x2F11, "dronekills" },
    { 0x2F12, "dronelightset" },
    { 0x2F13, "dronemesh" },
    { 0x2F14, "dronemonitordamagewhilecloaking" },
    { 0x2F15, "dronepath" },
    { 0x2F16, "dronerangeleaderboard" },
    { 0x2F17, "droneremovefromgloballist" },
    { 0x2F18, "dronerunoffset" },
    { 0x2F19, "drones" },
    { 0x2F1A, "drones_attack_walker_turret" },
    { 0x2F1B, "drones_can_see_enemy_test" },
    { 0x2F1C, "drones_have_shot_at_player" },
    { 0x2F1D, "drones_logging_road" },
    { 0x2F1E, "drones_lost_player_time" },
    { 0x2F1F, "drones_s2_dead" },
    { 0x2F20, "drones_s2_end" },
    { 0x2F21, "drones_sent_vo" },
    { 0x2F22, "drones_stealth_detect" },
    { 0x2F23, "drones_targets_sets_to_default" },
    { 0x2F24, "drones_vs_car_shield" },
    { 0x2F25, "dronesatgoal" },
    { 0x2F26, "dronesattackspeedmultiplier" },
    { 0x2F27, "dronesetupcloaking" },
    { 0x2F28, "dronespawn" },
    { 0x2F29, "dronespawn_bodyonly" },
    { 0x2F2A, "dronespawner_init" },
    { 0x2F2B, "dronespawnerexits" },
    { 0x2F2C, "dronespawners" },
    { 0x2F2D, "dronespawnertemplate" },
    { 0x2F2E, "dronesthermalteamselect" },
    { 0x2F2F, "dronestruct" },
    { 0x2F30, "droneswarmaudio" },
    { 0x2F31, "dronetag" },
    { 0x2F32, "dronetarget" },
    { 0x2F33, "dronetargetmove" },
    { 0x2F34, "droneturret" },
    { 0x2F35, "dronetype" },
    { 0x2F36, "droneusetrigger" },
    { 0x2F37, "droneverticalvelocity" },
    { 0x2F38, "droneviewmodel" },
    { 0x2F39, "droneviewstatic" },
    { 0x2F3A, "dronevignette" },
    { 0x2F3B, "dronevisionset" },
    { 0x2F3C, "droneweapon" },
    { 0x2F3D, "drop_bots" },
    { 0x2F3E, "drop_down" },
    { 0x2F3F, "drop_fx_count" },
    { 0x2F40, "drop_fx_thread" },
    { 0x2F41, "drop_gear" },
    { 0x2F42, "drop_health_timeout_thread" },
    { 0x2F43, "drop_health_trigger_think" },
    { 0x2F44, "drop_locator" },
    { 0x2F45, "drop_off_walker_bird" },
    { 0x2F46, "drop_perch_ally" },
    { 0x2F47, "drop_pod" },
    { 0x2F48, "drop_pod_bad_places" },
    { 0x2F49, "drop_pod_bad_spawn_overlay" },
    { 0x2F4A, "drop_pod_chooser" },
    { 0x2F4B, "drop_pod_chromatic_abberation" },
    { 0x2F4C, "drop_pod_clip" },
    { 0x2F4D, "drop_pod_dome" },
    { 0x2F4E, "drop_pod_dome_ground" },
    { 0x2F4F, "drop_pod_door_close" },
    { 0x2F50, "drop_pod_door_spark" },
    { 0x2F51, "drop_pod_effect" },
    { 0x2F52, "drop_pod_enemy_model" },
    { 0x2F53, "drop_pod_fall" },
    { 0x2F54, "drop_pod_falling_debris" },
    { 0x2F55, "drop_pod_fx_start" },
    { 0x2F56, "drop_pod_ground_impact" },
    { 0x2F57, "drop_pod_handledeath" },
    { 0x2F58, "drop_pod_screen_bootup" },
    { 0x2F59, "drop_pod_screen_chrome_abber" },
    { 0x2F5A, "drop_pod_screen_glitch_warning" },
    { 0x2F5B, "drop_pod_screen_off" },
    { 0x2F5C, "drop_pod_screen_off_damage" },
    { 0x2F5D, "drop_pod_screen_on" },
    { 0x2F5E, "drop_pod_screen_on_warning" },
    { 0x2F5F, "drop_pod_screen_shake" },
    { 0x2F60, "drop_pod_screen_shake_large" },
    { 0x2F61, "drop_pod_thrusters" },
    { 0x2F62, "drop_pod_volume_array" },
    { 0x2F63, "drop_pods" },
    { 0x2F64, "drop_point_to_ground" },
    { 0x2F65, "drop_selection_to_ground" },
    { 0x2F66, "drop_started_status" },
    { 0x2F67, "drop_thresholds" },
    { 0x2F68, "drop_to_ground" },
    { 0x2F69, "drop_turret" },
    { 0x2F6A, "dropaiweapon" },
    { 0x2F6B, "dropallaiweapons" },
    { 0x2F6C, "dropanim" },
    { 0x2F6D, "dropclipmodel" },
    { 0x2F6E, "dropgrenade" },
    { 0x2F6F, "droplocationindex" },
    { 0x2F70, "dropoff_goal_ang" },
    { 0x2F71, "dropoff_height" },
    { 0x2F72, "dropped" },
    { 0x2F73, "droppeddeathweapon" },
    { 0x2F74, "droppedweaponent" },
    { 0x2F75, "droppingtoground" },
    { 0x2F76, "droppod_cleanupondisconnect" },
    { 0x2F77, "droppod_cleanuponteamchange" },
    { 0x2F78, "droppod_final_impact" },
    { 0x2F79, "droppod_first_building_impact" },
    { 0x2F7A, "droppod_harness_left_1" },
    { 0x2F7B, "droppod_harness_left_2" },
    { 0x2F7C, "droppod_harness_right_1" },
    { 0x2F7D, "droppod_harness_right_2" },
    { 0x2F7E, "droppod_intro_blimp_explode" },
    { 0x2F7F, "droppod_intro_blimp_missile" },
    { 0x2F80, "droppod_intro_missile_hit_pod" },
    { 0x2F81, "droppod_intro_radio_duck" },
    { 0x2F82, "droppod_lt_spinout" },
    { 0x2F83, "droppod_main" },
    { 0x2F84, "droppod_main_pod_jets" },
    { 0x2F85, "droppod_phase_2b_begin" },
    { 0x2F86, "droppod_rt_spinout" },
    { 0x2F87, "droppodbadspawndeathfx" },
    { 0x2F88, "droppodbaseunfold" },
    { 0x2F89, "droppodforcerespawn" },
    { 0x2F8A, "droppodspikeimpacts" },
    { 0x2F8B, "droppodtrophykill" },
    { 0x2F8C, "droppodtrophysystem" },
    { 0x2F8D, "droppoint" },
    { 0x2F8E, "droppostoground" },
    { 0x2F8F, "dropscavengerfordeath" },
    { 0x2F90, "dropshieldinplace" },
    { 0x2F91, "dropsite" },
    { 0x2F92, "dropsitetrace" },
    { 0x2F93, "droptime" },
    { 0x2F94, "droptimeout" },
    { 0x2F95, "dropturret" },
    { 0x2F96, "dropturretproc" },
    { 0x2F97, "droptype" },
    { 0x2F98, "dropweaponfordeath" },
    { 0x2F99, "dropweaponfordeathhorde" },
    { 0x2F9A, "dropweaponwrapper" },
    { 0x2F9B, "drowning_damage" },
    { 0x2F9C, "drowning_deadquote" },
    { 0x2F9D, "drowning_warning" },
    { 0x2F9E, "drs_ahead_test" },
    { 0x2F9F, "dry_fire" },
    { 0x2FA0, "dryerfan" },
    { 0x2FA1, "dryerfanrotatevelocity" },
    { 0x2FA2, "drylevel" },
    { 0x2FA3, "drymachine" },
    { 0x2FA4, "dshk_death_anim" },
    { 0x2FA5, "dshk_player_anims" },
    { 0x2FA6, "dshk_shelleject_fx" },
    { 0x2FA7, "dshk_shells" },
    { 0x2FA8, "dshk_turret_disable" },
    { 0x2FA9, "dshk_turret_init" },
    { 0x2FAA, "dshk_turrets" },
    { 0x2FAB, "dshk_viewmodel" },
    { 0x2FAC, "dsp_bus" },
    { 0x2FAD, "dsp_buses" },
    { 0x2FAE, "dt" },
    { 0x2FAF, "dual_firing" },
    { 0x2FB0, "duck_alias_" },
    { 0x2FB1, "duck_amount" },
    { 0x2FB2, "duck_dist_threshold_" },
    { 0x2FB3, "duck_env_name" },
    { 0x2FB4, "duck_moving_truck_drive" },
    { 0x2FB5, "duck_once" },
    { 0x2FB6, "duck_starts" },
    { 0x2FB7, "duck_stops" },
    { 0x2FB8, "duck_time" },
    { 0x2FB9, "ducked_instances" },
    { 0x2FBA, "duckidle" },
    { 0x2FBB, "duckidleoccurrence" },
    { 0x2FBC, "duckin" },
    { 0x2FBD, "ducking" },
    { 0x2FBE, "duckout" },
    { 0x2FBF, "dummy_model" },
    { 0x2FC0, "dummy_mover" },
    { 0x2FC1, "dummy_player" },
    { 0x2FC2, "dummy_to_vehicle" },
    { 0x2FC3, "dummyspeed" },
    { 0x2FC4, "dummytarget" },
    { 0x2FC5, "dump_missing_anims" },
    { 0x2FC6, "dumpit" },
    { 0x2FC7, "dumpsettings" },
    { 0x2FC8, "dupe_hud" },
    { 0x2FC9, "dupe_style_hud" },
    { 0x2FCA, "dust_car_stop" },
    { 0x2FCB, "dust_falling_control_room" },
    { 0x2FCC, "dust_settle_squad_intro" },
    { 0x2FCD, "dvar" },
    { 0x2FCE, "dvarfloatvalue" },
    { 0x2FCF, "dvarintvalue" },
    { 0x2FD0, "g_dx" },
    { 0x2FD1, "dying" },
    { 0x2FD2, "dyingcrawl" },
    { 0x2FD3, "dyingcrawlaiming" },
    { 0x2FD4, "dyingcrawlbackaim" },
    { 0x2FD5, "dyingcrawlbloodsmear" },
    { 0x2FD6, "dyn_flickerlight" },
    { 0x2FD7, "dyn_motion_flickerlight" },
    { 0x2FD8, "dyn_sniff" },
    { 0x2FD9, "dyn_sniff_disable" },
    { 0x2FDA, "dyn_sniff_enable" },
    { 0x2FDB, "dynamic_boost_jump" },
    { 0x2FDC, "dynamic_dof" },
    { 0x2FDD, "dynamic_ents" },
    { 0x2FDE, "dynamic_event_happened" },
    { 0x2FDF, "dynamic_pathing_main" },
    { 0x2FE0, "dynamic_run_ahead_test" },
    { 0x2FE1, "dynamic_run_set" },
    { 0x2FE2, "dynamic_run_speed_dialogue" },
    { 0x2FE3, "dynamic_run_speed_proc" },
    { 0x2FE4, "dynamic_run_speed_stopped" },
    { 0x2FE5, "dynamicdistortion" },
    { 0x2FE6, "dynamicevent" },
    { 0x2FE7, "dynamicevent_init" },
    { 0x2FE8, "dynamicevent_init_sound" },
    { 0x2FE9, "dynamiceventcount" },
    { 0x2FEA, "dynamiceventendfunc" },
    { 0x2FEB, "dynamiceventstartfunc" },
    { 0x2FEC, "dynamiceventstatus" },
    { 0x2FED, "dynamiceventstype" },
    { 0x2FEE, "dynamichangarspawns" },
    { 0x2FEF, "dynamicpathblock" },
    { 0x2FF0, "dynamicpathrampswitch" },
    { 0x2FF1, "dynamicspawns" },
    { 0x2FF2, "dynamicturnscaling" },
    { 0x2FF3, "e" },
    { 0x2FF4, "e3_demo_clear_alarm" },
    { 0x2FF5, "e3_demo_clear_basement_footsteps" },
    { 0x2FF6, "e3_demo_fade_in" },
    { 0x2FF7, "e3_demo_fade_out" },
    { 0x2FF8, "e3_drone_swarm_strafe" },
    { 0x2FF9, "e3_end_logo" },
    { 0x2FFA, "e3_enemies" },
    { 0x2FFB, "e3_first_fight_in_building" },
    { 0x2FFC, "e3_handle_bus_top_enemies" },
    { 0x2FFD, "e3_handle_threat_detection" },
    { 0x2FFE, "e3_handle_threat_shooting" },
    { 0x2FFF, "e3_jump_down" },
    { 0x3000, "e3_presentation" },
    { 0x3001, "eaniment" },
    { 0x3002, "early_approach_guy" },
    { 0x3003, "early_level" },
    { 0x3004, "early_voices_around_corner" },
    { 0x3005, "early_weapon_enabled" },
    { 0x3006, "earlydetonate" },
    { 0x3007, "earned" },
    { 0x3008, "earned_dialog_col" },
    { 0x3009, "earned_hint_col" },
    { 0x300A, "earnedkillstreakevent" },
    { 0x300B, "earnedstreaklevel" },
    { 0x300C, "earnkillstreak" },
    { 0x300D, "earth_angles" },
    { 0x300E, "earth_tag" },
    { 0x300F, "earthquake" },
    { 0x3010, "earthquake_notify_stop" },
    { 0x3011, "ebreachmodel" },
    { 0x3012, "edge" },
    { 0x3013, "edi_anims" },
    { 0x3014, "edoor" },
    { 0x3015, "ee_rpg_fire" },
    { 0x3016, "eexploderorigin" },
    { 0x3017, "effect" },
    { 0x3018, "effect_list_current_size" },
    { 0x3019, "effect_list_offset" },
    { 0x301A, "effect_list_offset_max" },
    { 0x301B, "effect_loopsound" },
    { 0x301C, "effect_soundalias" },
    { 0x301D, "effectonplayerview" },
    { 0x301E, "effectonplayerviewent" },
    { 0x301F, "einflictor" },
    { 0x3020, "either_player_looking_at" },
    { 0x3021, "ejected" },
    { 0x3022, "elbow_l_org" },
    { 0x3023, "elbow_r_org" },
    { 0x3024, "elec_hub_01" },
    { 0x3025, "elemtype" },
    { 0x3026, "elev_ride" },
    { 0x3027, "elevation_to_target" },
    { 0x3028, "elevator" },
    { 0x3029, "elevator_accel" },
    { 0x302A, "elevator_aggressive_call" },
    { 0x302B, "elevator_arrival_wind_gust_fx" },
    { 0x302C, "elevator_ascend_fx" },
    { 0x302D, "elevator_bottom_enemies_setup" },
    { 0x302E, "elevator_bottom_enemies_waits" },
    { 0x302F, "elevator_cage_steam_fx" },
    { 0x3030, "elevator_call" },
    { 0x3031, "elevator_callbutton_link_h" },
    { 0x3032, "elevator_callbutton_link_v" },
    { 0x3033, "elevator_callbuttons" },
    { 0x3034, "elevator_clamps_spark_fx" },
    { 0x3035, "elevator_debug" },
    { 0x3036, "elevator_decel" },
    { 0x3037, "elevator_descend_spark_fx" },
    { 0x3038, "elevator_fall_dof_tweaks" },
    { 0x3039, "elevator_floor_update" },
    { 0x303A, "elevator_fsm" },
    { 0x303B, "elevator_get_dvar" },
    { 0x303C, "elevator_get_dvar_int" },
    { 0x303D, "elevator_innerdoorspeed" },
    { 0x303E, "elevator_interrupt" },
    { 0x303F, "elevator_interrupted" },
    { 0x3040, "elevator_mechanism_steam_fx" },
    { 0x3041, "elevator_motion_detection" },
    { 0x3042, "elevator_move" },
    { 0x3043, "elevator_music" },
    { 0x3044, "elevator_outer_vent_lights_fx" },
    { 0x3045, "elevator_outterdoorspeed" },
    { 0x3046, "elevator_push" },
    { 0x3047, "elevator_rain_off_fx" },
    { 0x3048, "elevator_rain_on_fx" },
    { 0x3049, "elevator_rappel_rig" },
    { 0x304A, "elevator_return" },
    { 0x304B, "elevator_ride_s1s2" },
    { 0x304C, "elevator_ride_s2s3" },
    { 0x304D, "elevator_rm_dripping_water_fx" },
    { 0x304E, "elevator_rumble" },
    { 0x304F, "elevator_shaft_fake_light_rays" },
    { 0x3050, "elevator_sound_think" },
    { 0x3051, "elevator_speed" },
    { 0x3052, "elevator_steam_off_fx" },
    { 0x3053, "elevator_steam_on_fx" },
    { 0x3054, "elevator_think" },
    { 0x3055, "elevator_top_enemies_setup" },
    { 0x3056, "elevator_top_enemies_waits" },
    { 0x3057, "elevator_update_global_dvars" },
    { 0x3058, "elevator_waittime" },
    { 0x3059, "elevator_wall_steam_rise_fx" },
    { 0x305A, "elevators" },
    { 0x305B, "eliminateplayerevent" },
    { 0x305C, "eliminatetagevent" },
    { 0x305D, "elite" },
    { 0x305E, "elm" },
    { 0x305F, "em1_heat_meter" },
    { 0x3060, "em1_heat_meter_off" },
    { 0x3061, "emergency_break_videolog" },
    { 0x3062, "emergency_siren_blasts" },
    { 0x3063, "emitfalldamage" },
    { 0x3064, "emitter_origin" },
    { 0x3065, "emp" },
    { 0x3066, "emp_artifacts" },
    { 0x3067, "emp_crash" },
    { 0x3068, "emp_death_function" },
    { 0x3069, "emp_device_obj" },
    { 0x306A, "emp_gettimeoutfrommodules" },
    { 0x306B, "emp_grenade_detonate" },
    { 0x306C, "emp_grenade_think" },
    { 0x306D, "emp_hide_hud" },
    { 0x306E, "emp_hits" },
    { 0x306F, "emp_jamplayers" },
    { 0x3070, "emp_jamteam" },
    { 0x3071, "emp_mode" },
    { 0x3072, "emp_notify_on_target_hit" },
    { 0x3073, "emp_playertracker" },
    { 0x3074, "emp_prompt_breakout" },
    { 0x3075, "emp_snake" },
    { 0x3076, "emp_use" },
    { 0x3077, "emp_vulnerable_list" },
    { 0x3078, "emp_wait_till_contact_or_timeout" },
    { 0x3079, "emp_wave" },
    { 0x307A, "empanim" },
    { 0x307B, "empassistpoints" },
    { 0x307C, "empduration" },
    { 0x307D, "empedtank" },
    { 0x307E, "empedwarbird" },
    { 0x307F, "empeffect" },
    { 0x3080, "empeffects" },
    { 0x3081, "empendtime" },
    { 0x3082, "empequipmentdisabled" },
    { 0x3083, "empexodisabled" },
    { 0x3084, "empexplodewaiter" },
    { 0x3085, "empfx" },
    { 0x3086, "empgrenaded" },
    { 0x3087, "empgrenadedeathwaiter" },
    { 0x3088, "empgrenadeexplode" },
    { 0x3089, "empon" },
    { 0x308A, "empowner" },
    { 0x308B, "empplayer" },
    { 0x308C, "empplayerffadisconnect" },
    { 0x308D, "emprumbleloop" },
    { 0x308E, "empscrambleid" },
    { 0x308F, "empstreaksdisabled" },
    { 0x3090, "emptimeremaining" },
    { 0x3091, "empty_func" },
    { 0x3092, "empty_init_func" },
    { 0x3093, "empty_kill_func" },
    { 0x3094, "empty_spawner" },
    { 0x3095, "emptymech" },
    { 0x3096, "enable_achievement_harder_they_fall" },
    { 0x3097, "enable_achievement_harder_they_fall_guy" },
    { 0x3098, "enable_ai_after_time" },
    { 0x3099, "enable_ai_color" },
    { 0x309A, "enable_ai_color_dontmove" },
    { 0x309B, "enable_ai_on_goal" },
    { 0x309C, "enable_ai_shotgun_destructible_damage" },
    { 0x309D, "enable_ai_swim" },
    { 0x309E, "enable_aim_assist_on_script_model" },
    { 0x309F, "enable_all_fixed_scanners" },
    { 0x30A0, "enable_arrivals" },
    { 0x30A1, "enable_auto_mix" },
    { 0x30A2, "enable_awareness" },
    { 0x30A3, "enable_blood_pool" },
    { 0x30A4, "enable_boost_attack" },
    { 0x30A5, "enable_boost_dash" },
    { 0x30A6, "enable_boost_hud" },
    { 0x30A7, "enable_boost_jump" },
    { 0x30A8, "enable_bulletwhizbyreaction" },
    { 0x30A9, "enable_careful" },
    { 0x30AA, "enable_casualkiller" },
    { 0x30AB, "enable_check_health" },
    { 0x30AC, "enable_cormack_follow" },
    { 0x30AD, "enable_cormack_obj" },
    { 0x30AE, "enable_cqb_squad" },
    { 0x30AF, "enable_cqbwalk" },
    { 0x30B0, "enable_creepwalk" },
    { 0x30B1, "enable_damagefeedback_hud" },
    { 0x30B2, "enable_damagefeedback_snd" },
    { 0x30B3, "enable_danger_react" },
    { 0x30B4, "enable_dog_control" },
    { 0x30B5, "enable_dog_kinect" },
    { 0x30B6, "enable_dog_sneak" },
    { 0x30B7, "enable_dog_sniff" },
    { 0x30B8, "enable_dog_walk" },
    { 0x30B9, "enable_dontevershoot" },
    { 0x30BA, "enable_doorway_blocking" },
    { 0x30BB, "enable_dynamic_run_speed" },
    { 0x30BC, "enable_exits" },
    { 0x30BD, "enable_exo_melee" },
    { 0x30BE, "enable_exoclimb_combat" },
    { 0x30BF, "enable_fall_damage" },
    { 0x30C0, "enable_features_exiting_cinema" },
    { 0x30C1, "enable_firing" },
    { 0x30C2, "enable_flashlight_callback" },
    { 0x30C3, "enable_free_path_think" },
    { 0x30C4, "enable_free_running" },
    { 0x30C5, "enable_global_vehicle_spawn_functions" },
    { 0x30C6, "enable_grenade_range_triggers" },
    { 0x30C7, "enable_grenades" },
    { 0x30C8, "enable_heat_behavior" },
    { 0x30C9, "enable_high_jump" },
    { 0x30CA, "enable_highway_path_player_side" },
    { 0x30CB, "enable_ignorerandombulletdamage_drone" },
    { 0x30CC, "enable_ir_beacon" },
    { 0x30CD, "enable_jump_jet_pathing" },
    { 0x30CE, "enable_long_death" },
    { 0x30CF, "enable_mech_chaingun" },
    { 0x30D0, "enable_mech_rocket" },
    { 0x30D1, "enable_mech_swarm" },
    { 0x30D2, "enable_mech_threat_ping" },
    { 0x30D3, "enable_militia_behavior" },
    { 0x30D4, "enable_motion_blur" },
    { 0x30D5, "enable_motion_blur_cooling_tower_explosions" },
    { 0x30D6, "enable_motion_blur_rotation" },
    { 0x30D7, "enable_my_thermal" },
    { 0x30D8, "enable_pain" },
    { 0x30D9, "enable_pain_will_irons_during_shopping_fight" },
    { 0x30DA, "enable_passive_weapons" },
    { 0x30DB, "enable_physical_dof" },
    { 0x30DC, "enable_physical_dof_binoculars_autofocus_loop" },
    { 0x30DD, "enable_physical_dof_car_door_shield" },
    { 0x30DE, "enable_physical_dof_fob_autofocus_loop" },
    { 0x30DF, "enable_physical_dof_hip" },
    { 0x30E0, "enable_physical_dof_hip_fob" },
    { 0x30E1, "enable_physical_dof_interest_of_time" },
    { 0x30E2, "enable_pitbull_shooting" },
    { 0x30E3, "enable_player_control" },
    { 0x30E4, "enable_player_controls" },
    { 0x30E5, "enable_player_swim" },
    { 0x30E6, "enable_player_swimming" },
    { 0x30E7, "enable_player_underwater_walk" },
    { 0x30E8, "enable_pod_door_clip" },
    { 0x30E9, "enable_react_on_unload" },
    { 0x30EA, "enable_readystand" },
    { 0x30EB, "enable_rocket_death" },
    { 0x30EC, "enable_s1_motionset" },
    { 0x30ED, "enable_school_trains" },
    { 0x30EE, "enable_shield_ability" },
    { 0x30EF, "enable_sonic_aoe" },
    { 0x30F0, "enable_sprint" },
    { 0x30F1, "enable_ssao_over_time" },
    { 0x30F2, "enable_stealth_for_ai" },
    { 0x30F3, "enable_stealth_smart_stance" },
    { 0x30F4, "enable_stealth_system" },
    { 0x30F5, "enable_stencil" },
    { 0x30F6, "enable_surprise" },
    { 0x30F7, "enable_swim" },
    { 0x30F8, "enable_takedown_hint" },
    { 0x30F9, "enable_teamflashbangimmunity" },
    { 0x30FA, "enable_teamflashbangimmunity_proc" },
    { 0x30FB, "enable_threat_grenade_response" },
    { 0x30FC, "enable_threat_ping" },
    { 0x30FD, "enable_tracking" },
    { 0x30FE, "enable_trigger" },
    { 0x30FF, "enable_trigger_with_noteworthy" },
    { 0x3100, "enable_trigger_with_targetname" },
    { 0x3101, "enable_turnanims" },
    { 0x3102, "enable_vol" },
    { 0x3103, "enable_weapon_pickup_wrapper" },
    { 0x3104, "enable_weapon_pickup_wrapper_internal" },
    { 0x3105, "enablealliescolor" },
    { 0x3106, "enableallstreaks" },
    { 0x3107, "enableawareness" },
    { 0x3108, "enablebattlechatter" },
    { 0x3109, "enableboost" },
    { 0x310A, "enablecloudsexploder" },
    { 0x310B, "enablecqb" },
    { 0x310C, "enabled" },
    { 0x310D, "enableexo" },
    { 0x310E, "enableextendedkill" },
    { 0x310F, "enablegloballyusablebytype" },
    { 0x3110, "enablekillstreakactionslots" },
    { 0x3111, "enablelaststandweapons" },
    { 0x3112, "enablemdao" },
    { 0x3113, "enableobject" },
    { 0x3114, "enableorbitalthermal" },
    { 0x3115, "enableplayerweapons" },
    { 0x3116, "enableragdolldeath" },
    { 0x3117, "enablerocketdeath" },
    { 0x3118, "enablesonicaoe" },
    { 0x3119, "enablesprint" },
    { 0x311A, "enableteamintel" },
    { 0x311B, "end" },
    { 0x311C, "end_ambulance_anim_early" },
    { 0x311D, "end_angle" },
    { 0x311E, "end_anim_loop" },
    { 0x311F, "end_anim_name" },
    { 0x3120, "end_cables" },
    { 0x3121, "end_change_fov" },
    { 0x3122, "end_chopper" },
    { 0x3123, "end_color" },
    { 0x3124, "end_cqb" },
    { 0x3125, "end_crate" },
    { 0x3126, "end_crate_clip" },
    { 0x3127, "end_credits_with_next_press" },
    { 0x3128, "end_drag_dust" },
    { 0x3129, "end_drowning_damage" },
    { 0x312A, "end_exit_early" },
    { 0x312B, "end_exo_hover_on_notifies" },
    { 0x312C, "end_exo_push" },
    { 0x312D, "end_facial_on_death" },
    { 0x312E, "end_fade_to_black" },
    { 0x312F, "end_fardist" },
    { 0x3130, "end_first_fight_behavior_think" },
    { 0x3131, "end_follow_drone_on_emp" },
    { 0x3132, "end_hand_signal_to_caf" },
    { 0x3133, "end_hand_signal_to_hangar" },
    { 0x3134, "end_hdrcolorintensity" },
    { 0x3135, "end_hdrsuncolorintensity" },
    { 0x3136, "end_level" },
    { 0x3137, "end_logos" },
    { 0x3138, "end_mission_fade_audio_and_video" },
    { 0x3139, "end_mission_out_bounds" },
    { 0x313A, "end_neardist" },
    { 0x313B, "end_opacity" },
    { 0x313C, "end_pitch" },
    { 0x313D, "end_pos" },
    { 0x313E, "end_position" },
    { 0x313F, "end_ride_on_hovertank_done" },
    { 0x3140, "end_roof_ambient_aa_explosions" },
    { 0x3141, "end_roof_ambient_midair_runner_explosion_single" },
    { 0x3142, "end_script_corner" },
    { 0x3143, "end_skyfogintensity" },
    { 0x3144, "end_skyfogmaxangle" },
    { 0x3145, "end_skyfogminangle" },
    { 0x3146, "end_slide_delay" },
    { 0x3147, "end_slow_mo" },
    { 0x3148, "end_squad_cqb" },
    { 0x3149, "end_state_geo" },
    { 0x314A, "end_sunbeginfadeangle" },
    { 0x314B, "end_suncolor" },
    { 0x314C, "end_sundir" },
    { 0x314D, "end_sunendfadeangle" },
    { 0x314E, "end_sunfogscale" },
    { 0x314F, "end_the_exopush_even_if_never_pushed" },
    { 0x3150, "end_thread" },
    { 0x3151, "end_time" },
    { 0x3152, "end_turret_reservation" },
    { 0x3153, "end_vtol" },
    { 0x3154, "end_water_breach" },
    { 0x3155, "endaimidlethread" },
    { 0x3156, "endcolor" },
    { 0x3157, "endcustomevent" },
    { 0x3158, "enddronecontrol" },
    { 0x3159, "endedkillcamcleanup" },
    { 0x315A, "ender" },
    { 0x315B, "ender_cleanup" },
    { 0x315C, "endfaceenemyaimtracking" },
    { 0x315D, "endfireandanimidlethread" },
    { 0x315E, "endgame" },
    { 0x315F, "endgamedeath" },
    { 0x3160, "endgamehalftime" },
    { 0x3161, "endgameicon" },
    { 0x3162, "endgameontimelimit" },
    { 0x3163, "endgameovertime" },
    { 0x3164, "endgametimer" },
    { 0x3165, "endgastrackingoverlay" },
    { 0x3166, "endgastrackingoverlaydeath" },
    { 0x3167, "endidleatframeend" },
    { 0x3168, "ending" },
    { 0x3169, "ending_bones_bike_flyby" },
    { 0x316A, "ending_confculldist" },
    { 0x316B, "ending_fade_out" },
    { 0x316C, "ending_joker_bike_flyby" },
    { 0x316D, "ending_mech_lighting" },
    { 0x316E, "ending_on_off_think" },
    { 0x316F, "ending_player_bike_braking" },
    { 0x3170, "ending_slowmo_end" },
    { 0x3171, "ending_slowmo_start" },
    { 0x3172, "ending_viewmodelblur" },
    { 0x3173, "ending_viewmodelblur_reset" },
    { 0x3174, "ending2" },
    { 0x3175, "endingambushbreachexplosionfx" },
    { 0x3176, "endingambushdialogue" },
    { 0x3177, "endingambushvision" },
    { 0x3178, "endingautosavetacticalthread" },
    { 0x3179, "endingbegin" },
    { 0x317A, "endingburningsniper" },
    { 0x317B, "endingcivfleesetup" },
    { 0x317C, "endingcivilianflee" },
    { 0x317D, "endingcombatenemysetup" },
    { 0x317E, "endingcomplete" },
    { 0x317F, "endingcrashglaunchercorpse" },
    { 0x3180, "endingcrashtruckexplosionfx" },
    { 0x3181, "endingenemycrawlthread" },
    { 0x3182, "endingenemyfloatersteleport" },
    { 0x3183, "endingenemysetupsuperguy" },
    { 0x3184, "endingenemyshotgunnersteleport" },
    { 0x3185, "endingenemystumblethread" },
    { 0x3186, "endingenemytruckexitthread" },
    { 0x3187, "endingfailleavemissiondialogue" },
    { 0x3188, "endingfailtimerexpiredialogue" },
    { 0x3189, "endingfightdialogue" },
    { 0x318A, "endingfightkvadialogue" },
    { 0x318B, "endingfightprogressdialogue" },
    { 0x318C, "endingfightstart" },
    { 0x318D, "endingfinaleblooddrips" },
    { 0x318E, "endingfinalebloodremove" },
    { 0x318F, "endingfinalebloodsplat" },
    { 0x3190, "endingfirehydrantfx" },
    { 0x3191, "endingflaginit" },
    { 0x3192, "endinggetenemyspeaker" },
    { 0x3193, "endingglobalsetup" },
    { 0x3194, "endingglobalvars" },
    { 0x3195, "endinghades" },
    { 0x3196, "endinghadesconvoycrash" },
    { 0x3197, "endinghadesconvoycrashslomo" },
    { 0x3198, "endinghadesconvoyenter" },
    { 0x3199, "endinghadesconvoyfail" },
    { 0x319A, "endinghadesconvoyhitplayer" },
    { 0x319B, "endinghadesdialogue" },
    { 0x319C, "endinghadesvehiclereminderdialogue" },
    { 0x319D, "endinghadeswakesrumblelight" },
    { 0x319E, "endinghidebigfinaleents" },
    { 0x319F, "endinghideprecrashents" },
    { 0x31A0, "endingilanasetupambushdialogue" },
    { 0x31A1, "endingjumpdownreminderdialogue" },
    { 0x31A2, "endingobjectivesetup" },
    { 0x31A3, "endingplayercarpinnedfx" },
    { 0x31A4, "endingplayertoofardialogue" },
    { 0x31A5, "endingprecache" },
    { 0x31A6, "endingsetcompletedobjflags" },
    { 0x31A7, "endingsetupambushreminderdialogue" },
    { 0x31A8, "endingsetupcivilians" },
    { 0x31A9, "endingsetupvehicles" },
    { 0x31AA, "endingshopcrashfx" },
    { 0x31AB, "endingstartpoints" },
    { 0x31AC, "endingstorefrontdestroyedsetup" },
    { 0x31AD, "endingtruckclip" },
    { 0x31AE, "endingtruckfiredamagevol" },
    { 0x31AF, "endingvehicledamagefx" },
    { 0x31B0, "endingvehicledamageresidualfx" },
    { 0x31B1, "endintensity" },
    { 0x31B2, "endkillcamifnothingtoshow" },
    { 0x31B3, "endmgstreak" },
    { 0x31B4, "endmgstreakwhenleavemg" },
    { 0x31B5, "endmission_main_func" },
    { 0x31B6, "endofgamesummarylogger" },
    { 0x31B7, "endondeath" },
    { 0x31B8, "endonplayerspawn" },
    { 0x31B9, "endonremoveanimactive" },
    { 0x31BA, "endonstring" },
    { 0x31BB, "endpos" },
    { 0x31BC, "endprisontrackingoverlay" },
    { 0x31BD, "endradius" },
    { 0x31BE, "endrespawnnotify" },
    { 0x31BF, "endride" },
    { 0x31C0, "endrunningreacttobullets" },
    { 0x31C1, "endsceneondeath" },
    { 0x31C2, "endselectionohostmigration" },
    { 0x31C3, "endselectiononaction" },
    { 0x31C4, "endselectiononemp" },
    { 0x31C5, "endselectiononendgame" },
    { 0x31C6, "endsliding" },
    { 0x31C7, "endtime" },
    { 0x31C8, "enduavonlatejoiner" },
    { 0x31C9, "enemies" },
    { 0x31CA, "enemies_1_a_south" },
    { 0x31CB, "enemies_1_a2_south" },
    { 0x31CC, "enemies_below" },
    { 0x31CD, "enemies_in_tennis_court" },
    { 0x31CE, "enemies_left" },
    { 0x31CF, "enemies_move_away" },
    { 0x31D0, "enemies_right" },
    { 0x31D1, "enemies_tagged" },
    { 0x31D2, "enemies1" },
    { 0x31D3, "enemiesignoreplayerdrone" },
    { 0x31D4, "enemiesleft" },
    { 0x31D5, "enemy_alert_level_attack" },
    { 0x31D6, "enemy_alert_level_attack_wrapper" },
    { 0x31D7, "enemy_alert_level_change" },
    { 0x31D8, "enemy_alert_level_change_reponse" },
    { 0x31D9, "enemy_alert_level_default_pre_spotted_func" },
    { 0x31DA, "enemy_alert_level_forget" },
    { 0x31DB, "enemy_alert_level_logic" },
    { 0x31DC, "enemy_alert_level_normal" },
    { 0x31DD, "enemy_alert_level_normal_wrapper" },
    { 0x31DE, "enemy_alert_level_reset_wrapper" },
    { 0x31DF, "enemy_alert_level_set_pre_spotted_func" },
    { 0x31E0, "enemy_alert_level_waittime" },
    { 0x31E1, "enemy_alert_level_warning_wrapper" },
    { 0x31E2, "enemy_alert_level_warning1" },
    { 0x31E3, "enemy_alert_level_warning2" },
    { 0x31E4, "enemy_alert_vo" },
    { 0x31E5, "enemy_alert_vo_setup" },
    { 0x31E6, "enemy_animation_attack" },
    { 0x31E7, "enemy_animation_custom" },
    { 0x31E8, "enemy_animation_do_anim" },
    { 0x31E9, "enemy_animation_foundcorpse" },
    { 0x31EA, "enemy_animation_generic" },
    { 0x31EB, "enemy_animation_loop" },
    { 0x31EC, "enemy_animation_nothing" },
    { 0x31ED, "enemy_animation_post_anim" },
    { 0x31EE, "enemy_animation_pre_anim" },
    { 0x31EF, "enemy_animation_pre_anim_dog_special_first_condition" },
    { 0x31F0, "enemy_animation_sawcorpse" },
    { 0x31F1, "enemy_animation_wrapper" },
    { 0x31F2, "enemy_announce_alert" },
    { 0x31F3, "enemy_announce_attack" },
    { 0x31F4, "enemy_announce_corpse" },
    { 0x31F5, "enemy_announce_hmph" },
    { 0x31F6, "enemy_announce_huh" },
    { 0x31F7, "enemy_announce_snd" },
    { 0x31F8, "enemy_announce_snd_reset" },
    { 0x31F9, "enemy_announce_spotted" },
    { 0x31FA, "enemy_announce_spotted_acknowledge" },
    { 0x31FB, "enemy_announce_spotted_bring_group" },
    { 0x31FC, "enemy_announce_wtf" },
    { 0x31FD, "enemy_armshots" },
    { 0x31FE, "enemy_below" },
    { 0x31FF, "enemy_bullet" },
    { 0x3200, "enemy_callout_vo" },
    { 0x3201, "enemy_callout_vo_setup" },
    { 0x3202, "enemy_camp_assassin" },
    { 0x3203, "enemy_camp_assassin_goal" },
    { 0x3204, "enemy_camp_spots" },
    { 0x3205, "enemy_canal_drone_guards" },
    { 0x3206, "enemy_chestshots" },
    { 0x3207, "enemy_close_in_on_target" },
    { 0x3208, "enemy_combat_equip_microwave_grenades" },
    { 0x3209, "enemy_corpse_alert_level" },
    { 0x320A, "enemy_corpse_clear" },
    { 0x320B, "enemy_corpse_found" },
    { 0x320C, "enemy_corpse_found_behavior" },
    { 0x320D, "enemy_corpse_found_loop" },
    { 0x320E, "enemy_corpse_found_wrapper" },
    { 0x320F, "enemy_corpse_logic" },
    { 0x3210, "enemy_corpse_loop" },
    { 0x3211, "enemy_corpse_reset_behavior" },
    { 0x3212, "enemy_corpse_reset_wrapper" },
    { 0x3213, "enemy_corpse_saw_behavior" },
    { 0x3214, "enemy_corpse_saw_wrapper" },
    { 0x3215, "enemy_custom" },
    { 0x3216, "enemy_custom_corpse_behavior" },
    { 0x3217, "enemy_custom_fire_ok_time" },
    { 0x3218, "enemy_custom_state_behavior" },
    { 0x3219, "enemy_deck_guys" },
    { 0x321A, "enemy_default_anim_behavior" },
    { 0x321B, "enemy_default_corpse_anim_behavior" },
    { 0x321C, "enemy_default_corpse_behavior" },
    { 0x321D, "enemy_default_state_behavior" },
    { 0x321E, "enemy_default_threat_anim_behavior" },
    { 0x321F, "enemy_default_threat_behavior" },
    { 0x3220, "enemy_delete_at_goal" },
    { 0x3221, "enemy_dialog_col" },
    { 0x3222, "enemy_dog_init" },
    { 0x3223, "enemy_door_ambush_monitor_health" },
    { 0x3224, "enemy_doorkick" },
    { 0x3225, "enemy_drop_fx" },
    { 0x3226, "enemy_drop_traversal" },
    { 0x3227, "enemy_event_awareness" },
    { 0x3228, "enemy_event_awareness_notify" },
    { 0x3229, "enemy_event_category_awareness" },
    { 0x322A, "enemy_event_debug_print" },
    { 0x322B, "enemy_event_declare_to_team" },
    { 0x322C, "enemy_event_handle_clear" },
    { 0x322D, "enemy_event_listeners_init" },
    { 0x322E, "enemy_event_listeners_logic" },
    { 0x322F, "enemy_event_listeners_proc" },
    { 0x3230, "enemy_event_loop" },
    { 0x3231, "enemy_event_reaction_alert_upward" },
    { 0x3232, "enemy_event_reaction_explosion" },
    { 0x3233, "enemy_event_reaction_flashbang" },
    { 0x3234, "enemy_event_reaction_generic" },
    { 0x3235, "enemy_event_reaction_grapple_impact" },
    { 0x3236, "enemy_event_reaction_gunshot" },
    { 0x3237, "enemy_event_reaction_heard_scream" },
    { 0x3238, "enemy_event_reaction_investigate" },
    { 0x3239, "enemy_event_reaction_irons_generic" },
    { 0x323A, "enemy_event_reaction_nothing" },
    { 0x323B, "enemy_event_reaction_whistle" },
    { 0x323C, "enemy_event_reaction_whistle_relay" },
    { 0x323D, "enemy_event_reaction_witness_kill" },
    { 0x323E, "enemy_event_reaction_wrapper" },
    { 0x323F, "enemy_event_set_run_anim" },
    { 0x3240, "enemy_find_free_pathnode_closest" },
    { 0x3241, "enemy_find_free_pathnode_near" },
    { 0x3242, "enemy_find_original_goal" },
    { 0x3243, "enemy_flashlight_think_off" },
    { 0x3244, "enemy_flashlight_think_on" },
    { 0x3245, "enemy_flashlight_toggle_think" },
    { 0x3246, "enemy_found_corpse_loop" },
    { 0x3247, "enemy_free_vehicles" },
    { 0x3248, "enemy_get_nearby_pathnodes" },
    { 0x3249, "enemy_go_back" },
    { 0x324A, "enemy_go_back_clear_lastspot" },
    { 0x324B, "enemy_headshots" },
    { 0x324C, "enemy_heli_attacking" },
    { 0x324D, "enemy_heli_killed" },
    { 0x324E, "enemy_init" },
    { 0x324F, "enemy_investigate_position" },
    { 0x3250, "enemy_is_a_threat" },
    { 0x3251, "enemy_is_in_vehicle" },
    { 0x3252, "enemy_jet_shoot_think" },
    { 0x3253, "enemy_kills" },
    { 0x3254, "enemy_know_player_for_time" },
    { 0x3255, "enemy_left" },
    { 0x3256, "enemy_legshots" },
    { 0x3257, "enemy_locking_on_to_player" },
    { 0x3258, "enemy_lookaround_for_time" },
    { 0x3259, "enemy_missile_strike_exists" },
    { 0x325A, "enemy_model" },
    { 0x325B, "enemy_narrowcave_breach_axe_hit" },
    { 0x325C, "enemy_near_position" },
    { 0x325D, "enemy_objectives" },
    { 0x325E, "enemy_on_fire" },
    { 0x325F, "enemy_orbital_laser_exists" },
    { 0x3260, "enemy_paladin_exists" },
    { 0x3261, "enemy_prespotted_func_default" },
    { 0x3262, "enemy_promotion_thread" },
    { 0x3263, "enemy_react_and_displace_to" },
    { 0x3264, "enemy_reaction_state_alert" },
    { 0x3265, "enemy_reactto_and_lookaround" },
    { 0x3266, "enemy_reinforcements" },
    { 0x3267, "enemy_reinforcements_think" },
    { 0x3268, "enemy_respawn_lock_func" },
    { 0x3269, "enemy_respawn_vision_checker_thread" },
    { 0x326A, "enemy_return_to_normal_vo" },
    { 0x326B, "enemy_right" },
    { 0x326C, "enemy_run_away" },
    { 0x326D, "enemy_run_nodes" },
    { 0x326E, "enemy_runto_and_lookaround" },
    { 0x326F, "enemy_saw_corpse_logic" },
    { 0x3270, "enemy_server_room_se" },
    { 0x3271, "enemy_set_alert_level" },
    { 0x3272, "enemy_set_original_goal" },
    { 0x3273, "enemy_set_threat_anim_behavior" },
    { 0x3274, "enemy_set_threat_behavior" },
    { 0x3275, "enemy_setupanimations" },
    { 0x3276, "enemy_sight_trace" },
    { 0x3277, "enemy_sight_trace_passed" },
    { 0x3278, "enemy_sight_trace_process" },
    { 0x3279, "enemy_sight_trace_request" },
    { 0x327A, "enemy_startup_thread" },
    { 0x327B, "enemy_state_hidden" },
    { 0x327C, "enemy_state_spotted" },
    { 0x327D, "enemy_stop_current_behavior" },
    { 0x327E, "enemy_strafing_run_exists" },
    { 0x327F, "enemy_suv_explode" },
    { 0x3280, "enemy_suv_median" },
    { 0x3281, "enemy_tagged" },
    { 0x3282, "enemy_tank_ai_think" },
    { 0x3283, "enemy_tank_aim" },
    { 0x3284, "enemy_tank_damage_function" },
    { 0x3285, "enemy_tank_death_function" },
    { 0x3286, "enemy_target" },
    { 0x3287, "enemy_target_last_vis_time" },
    { 0x3288, "enemy_target_visible" },
    { 0x3289, "enemy_team_name" },
    { 0x328A, "enemy_threat_anim_defaults" },
    { 0x328B, "enemy_threat_logic" },
    { 0x328C, "enemy_threat_logic_dog" },
    { 0x328D, "enemy_threat_logic_dog_wait" },
    { 0x328E, "enemy_threat_logic_dog_wakeup_dist" },
    { 0x328F, "enemy_threat_loop" },
    { 0x3290, "enemy_threat_set_spotted" },
    { 0x3291, "enemy_units" },
    { 0x3292, "enemy_use_dialog_col" },
    { 0x3293, "enemy_vo_array_conversation_1" },
    { 0x3294, "enemy_vo_array_conversation_2" },
    { 0x3295, "enemy_vo_array_one_off" },
    { 0x3296, "enemy_vrap_damage_function" },
    { 0x3297, "enemy_walker" },
    { 0x3298, "enemy_walker_destroyed_dialogue" },
    { 0x3299, "enemy_walker_kill_player_if_too_close" },
    { 0x329A, "enemy_walker_reveal_dialogue" },
    { 0x329B, "enemy_walker_set_launcher_targets" },
    { 0x329C, "enemy_walker_silence" },
    { 0x329D, "enemy_walker_target_player_if_targeted" },
    { 0x329E, "enemy_warbird_deathspin_listener" },
    { 0x329F, "enemy_who_surprised_me" },
    { 0x32A0, "enemyagentthink" },
    { 0x32A1, "enemyambusheastopendoors" },
    { 0x32A2, "enemyambushsouthopendoors" },
    { 0x32A3, "enemyambushsouthshiftvol" },
    { 0x32A4, "enemyambushvehiclebadplace" },
    { 0x32A5, "enemyatriumflashbang" },
    { 0x32A6, "enemyboarderfxid" },
    { 0x32A7, "enemyclass" },
    { 0x32A8, "enemydirection" },
    { 0x32A9, "enemyendinganimations" },
    { 0x32AA, "enemyflagfxid" },
    { 0x32AB, "enemyfx" },
    { 0x32AC, "enemygroupcorpsedetection" },
    { 0x32AD, "enemyhitcounts" },
    { 0x32AE, "enemyisapproaching" },
    { 0x32AF, "enemyishiding" },
    { 0x32B0, "enemyisingeneraldirection" },
    { 0x32B1, "enemykills" },
    { 0x32B2, "enemylosmarker" },
    { 0x32B3, "enemymarker" },
    { 0x32B4, "enemymodel" },
    { 0x32B5, "enemynotify" },
    { 0x32B6, "enemyoutlinecolor" },
    { 0x32B7, "enemypatrolanimations" },
    { 0x32B8, "enemypatrolatriumthread" },
    { 0x32B9, "enemypatrolcourtyardthread" },
    { 0x32BA, "enemypatrolgatethread" },
    { 0x32BB, "enemypatrolparkingthread" },
    { 0x32BC, "enemypatrolpoolthread" },
    { 0x32BD, "enemypatrolrooftopthread" },
    { 0x32BE, "enemypatrolwalkwaythread" },
    { 0x32BF, "enemyreactanimations" },
    { 0x32C0, "enemyreinforcementsvehicleturretthread" },
    { 0x32C1, "enemyscrambleanimations" },
    { 0x32C2, "enemystruggler" },
    { 0x32C3, "enemytanks" },
    { 0x32C4, "enemytarget" },
    { 0x32C5, "enemyteam" },
    { 0x32C6, "enemytrigger" },
    { 0x32C7, "enemyturretfire" },
    { 0x32C8, "enemyturrettargetcar" },
    { 0x32C9, "enemyvehicleguyfallback" },
    { 0x32CA, "enemyvehicleturretthread" },
    { 0x32CB, "enemyvelocity" },
    { 0x32CC, "energydmgmod" },
    { 0x32CD, "energyturret" },
    { 0x32CE, "enforceexplosivedronelimit" },
    { 0x32CF, "engage_enemies" },
    { 0x32D0, "engage_enemy" },
    { 0x32D1, "engine_fxs" },
    { 0x32D2, "engine_rev_lo_os" },
    { 0x32D3, "ensurelaststandparamsvalidity" },
    { 0x32D4, "ent" },
    { 0x32D5, "ent_attacker" },
    { 0x32D6, "ent_draw_axis" },
    { 0x32D7, "ent_flag" },
    { 0x32D8, "ent_flag_assert" },
    { 0x32D9, "ent_flag_clear" },
    { 0x32DA, "ent_flag_clear_delayed" },
    { 0x32DB, "ent_flag_exist" },
    { 0x32DC, "ent_flag_init" },
    { 0x32DD, "ent_flag_set" },
    { 0x32DE, "ent_flag_set_delayed" },
    { 0x32DF, "ent_flag_wait" },
    { 0x32E0, "ent_flag_wait_either" },
    { 0x32E1, "ent_flag_wait_or_timeout" },
    { 0x32E2, "ent_flag_wait_vehicle_node" },
    { 0x32E3, "ent_flag_waitopen" },
    { 0x32E4, "ent_flag_waitopen_either" },
    { 0x32E5, "ent_flags_lock" },
    { 0x32E6, "ent_is_highlighted" },
    { 0x32E7, "ent_is_selected" },
    { 0x32E8, "ent_origin" },
    { 0x32E9, "ent_targets" },
    { 0x32EA, "ent_team" },
    { 0x32EB, "ent_threat" },
    { 0x32EC, "ent_wait_for_flag_or_time_elapses" },
    { 0x32ED, "ent_waits_for_trigger" },
    { 0x32EE, "enter_bridge" },
    { 0x32EF, "enter_firingrange" },
    { 0x32F0, "enter_forest" },
    { 0x32F1, "enter_hangar" },
    { 0x32F2, "enter_hotel_lobby" },
    { 0x32F3, "enter_lake_cave" },
    { 0x32F4, "enter_lost_player_mode_func" },
    { 0x32F5, "enter_message_deleted" },
    { 0x32F6, "enter_return_to_sweep_mode_func" },
    { 0x32F7, "enter_room_above_hangar" },
    { 0x32F8, "enter_server_room" },
    { 0x32F9, "enter_ship" },
    { 0x32FA, "enter_state_mag_to_jump_surface" },
    { 0x32FB, "enter_state_on_jump_surface" },
    { 0x32FC, "enter_state_on_mag_surface" },
    { 0x32FD, "enter_sweep_mode_func" },
    { 0x32FE, "enter_track_player_mode_func" },
    { 0x32FF, "enter_use_tags" },
    { 0x3300, "enter_vlobby" },
    { 0x3301, "enter_walker_rig" },
    { 0x3302, "enter_water_override" },
    { 0x3303, "enter_window_whoosh" },
    { 0x3304, "enteraistate" },
    { 0x3305, "entered_vehicle_notify" },
    { 0x3306, "enteringbombingarea" },
    { 0x3307, "enterpronewrapper" },
    { 0x3308, "enterpronewrapperproc" },
    { 0x3309, "enterstate" },
    { 0x330A, "entinfrontarc" },
    { 0x330B, "entisstucktoshield" },
    { 0x330C, "entities" },
    { 0x330D, "entities_are_selected" },
    { 0x330E, "entitiesinuse" },
    { 0x330F, "entity_has_been_called_out_timer" },
    { 0x3310, "entity_highlight_disable" },
    { 0x3311, "entity_highlight_enable" },
    { 0x3312, "entity_is_in_circle" },
    { 0x3313, "entity_number" },
    { 0x3314, "entity_path_disconnect_thread" },
    { 0x3315, "entity_ref_count" },
    { 0x3316, "entityheadicon" },
    { 0x3317, "entityheadiconoffset" },
    { 0x3318, "entityheadiconreferencefunc" },
    { 0x3319, "entityheadicons" },
    { 0x331A, "entityheadiconteam" },
    { 0x331B, "entnum" },
    { 0x331C, "entrance_alarm" },
    { 0x331D, "entrance_alarm_fast" },
    { 0x331E, "entrance_alarm_fast2" },
    { 0x331F, "entrance_indices" },
    { 0x3320, "entrance_origin_points" },
    { 0x3321, "entrance_points" },
    { 0x3322, "entrance_points_finished_caching" },
    { 0x3323, "entrance_room" },
    { 0x3324, "entrance_scanner_back_door_close" },
    { 0x3325, "entrance_scanner_back_door_open" },
    { 0x3326, "entrance_scanner_front_door_close" },
    { 0x3327, "entrance_scanner_front_door_open" },
    { 0x3328, "entrance_scanner_running" },
    { 0x3329, "entrance_to_enemy_zone" },
    { 0x332A, "entrance_visible_from" },
    { 0x332B, "entrance_vo_01" },
    { 0x332C, "entrance_vo_03" },
    { 0x332D, "entrance_watched_by_ally" },
    { 0x332E, "entrance_watched_by_player" },
    { 0x332F, "ents_mixed_in" },
    { 0x3330, "env" },
    { 0x3331, "env_array" },
    { 0x3332, "env_data" },
    { 0x3333, "env_effects_hostage_room" },
    { 0x3334, "env_function" },
    { 0x3335, "env_threat_to_vol" },
    { 0x3336, "envs" },
    { 0x3337, "eq_main_track" },
    { 0x3338, "eq_mix_track" },
    { 0x3339, "eq_table" },
    { 0x333A, "eq_touching" },
    { 0x333B, "eq_track" },
    { 0x333C, "eq_trigger_num" },
    { 0x333D, "equal_strings" },
    { 0x333E, "equip_microwave_grenade" },
    { 0x333F, "equip_new_door" },
    { 0x3340, "equip_player" },
    { 0x3341, "equip_player_smg" },
    { 0x3342, "equipment_enabled" },
    { 0x3343, "equipmentdeathvfx" },
    { 0x3344, "equipmentdeletevfx" },
    { 0x3345, "equipmentdisableuse" },
    { 0x3346, "equipmentempstunvfx" },
    { 0x3347, "equipmentenableuse" },
    { 0x3348, "equipmentextra" },
    { 0x3349, "equipmentmines" },
    { 0x334A, "equipmentwatchenabledisableuse" },
    { 0x334B, "equipmentwatchuse" },
    { 0x334C, "erasefinalkillcam" },
    { 0x334D, "error" },
    { 0x334E, "esc_node_locations" },
    { 0x334F, "escape_artist" },
    { 0x3350, "escape_artist_distance" },
    { 0x3351, "escape_artist_failure" },
    { 0x3352, "escape_artist_success" },
    { 0x3353, "escape_driver2" },
    { 0x3354, "escape_drone_door_open" },
    { 0x3355, "escape_fight_wave" },
    { 0x3356, "escape_fire_door_slam_shut" },
    { 0x3357, "escape_gas" },
    { 0x3358, "escape_guys1" },
    { 0x3359, "escape_guys2_a" },
    { 0x335A, "escape_guys2_b" },
    { 0x335B, "escape_guys3" },
    { 0x335C, "escape_guys3_a" },
    { 0x335D, "escape_guys3_b" },
    { 0x335E, "escape_hallway_steam" },
    { 0x335F, "escape_hospital_trains" },
    { 0x3360, "escape_node" },
    { 0x3361, "escape_pa" },
    { 0x3362, "escape_scene_clean_up_secret_room" },
    { 0x3363, "escape_scene_cleanup" },
    { 0x3364, "escape_scene_close_door_when_player_close" },
    { 0x3365, "escape_scene_close_elevator_doors" },
    { 0x3366, "escape_scene_close_elveator_door" },
    { 0x3367, "escape_scene_close_firedoor" },
    { 0x3368, "escape_scene_confrontation_room_guards" },
    { 0x3369, "escape_scene_guard_call_help" },
    { 0x336A, "escape_scene_guard_player_seek" },
    { 0x336B, "escape_scene_hallway_climb" },
    { 0x336C, "escape_scene_hallway_run" },
    { 0x336D, "escape_scene_manage_flood_spawn_fire_door" },
    { 0x336E, "escape_scene_manage_guard_accuracy" },
    { 0x336F, "escape_scene_manage_guards" },
    { 0x3370, "escape_scene_master_handler" },
    { 0x3371, "escape_scene_open_elevator_doors" },
    { 0x3372, "escape_scene_open_elveator_door" },
    { 0x3373, "escape_scene_open_firedoor" },
    { 0x3374, "escape_scene_remove_guards_on_complete" },
    { 0x3375, "escape_scene_rush_for_door" },
    { 0x3376, "escape_scene_sentinel_makes_contact" },
    { 0x3377, "escape_scene_setup" },
    { 0x3378, "escape_scene_setup_firedoor" },
    { 0x3379, "escape_scene_side_door_guards" },
    { 0x337A, "escape_scene_start_hallway_drop_door" },
    { 0x337B, "escape_scene_swarm_warning" },
    { 0x337C, "escape_scene_wait_for_player_past_drop_door" },
    { 0x337D, "escape_scene_wait_for_player_past_guard_doors" },
    { 0x337E, "escape_shoot_guard" },
    { 0x337F, "escape_sprinklers_off" },
    { 0x3380, "escape_sprinklers_on" },
    { 0x3381, "escape_take_down_guard" },
    { 0x3382, "escape_vehicle" },
    { 0x3383, "escape_vehicle2" },
    { 0x3384, "escapevehicle" },
    { 0x3385, "estate" },
    { 0x3386, "estimate_player_speed" },
    { 0x3387, "estimatedtimetillscorelimit" },
    { 0x3388, "etarget" },
    { 0x3389, "euler_lerp" },
    { 0x338A, "eulogy_cormack_approach" },
    { 0x338B, "eulogy_cormack_leave" },
    { 0x338C, "eulogy_cormack_touch" },
    { 0x338D, "eulogy_irons_leave" },
    { 0x338E, "eulogy_irons_stand" },
    { 0x338F, "eulogy_irons_touch" },
    { 0x3390, "eulogy_player_touch" },
    { 0x3391, "euro_siren_01" },
    { 0x3392, "euro_siren_setup" },
    { 0x3393, "evacuation_balcony_death" },
    { 0x3394, "evacuation_corpses" },
    { 0x3395, "evacuation_first_drones_dead" },
    { 0x3396, "evacuation_first_drones_think" },
    { 0x3397, "evacuation_kiosk_movie" },
    { 0x3398, "evacuation_scene_animate_actor" },
    { 0x3399, "evacuation_scene_determine_run_cycle" },
    { 0x339A, "evacuation_scene_index" },
    { 0x339B, "evacuation_scene_run_actor" },
    { 0x339C, "evacuation_scene_run_actor_and_die" },
    { 0x339D, "evacuation_scene_spawners" },
    { 0x339E, "evacuation_scene_think" },
    { 0x339F, "evacuation_scene_trigger_think" },
    { 0x33A0, "evacuation_setup" },
    { 0x33A1, "eval_max_range" },
    { 0x33A2, "eval_min_range" },
    { 0x33A3, "eval_too_close_range" },
    { 0x33A4, "evaluate_tactical_above_player" },
    { 0x33A5, "evaluate_tactical_in_front_of_enemy" },
    { 0x33A6, "evaluate_tactical_in_front_of_volume" },
    { 0x33A7, "evaluate_tactical_los" },
    { 0x33A8, "evaluate_tactical_range" },
    { 0x33A9, "evaluate_tactical_too_close" },
    { 0x33AA, "evaluate_threat_avoid_friendly_fire" },
    { 0x33AB, "evaluate_threat_los" },
    { 0x33AC, "evaluate_threat_player" },
    { 0x33AD, "evaluate_threat_range" },
    { 0x33AE, "evaluate_threat_valid_threat" },
    { 0x33AF, "evaluateattackevent" },
    { 0x33B0, "evaluatecombatevent" },
    { 0x33B1, "evaluatefiringevent" },
    { 0x33B2, "evaluatemeleeevent" },
    { 0x33B3, "evaluatemoveevent" },
    { 0x33B4, "evaluatereloadevent" },
    { 0x33B5, "evaluatesuppressionevent" },
    { 0x33B6, "evasive_addpoint" },
    { 0x33B7, "evasive_createmaneuvers" },
    { 0x33B8, "evasive_drawpoints" },
    { 0x33B9, "evasive_endmaneuvers" },
    { 0x33BA, "evasive_getallpoints" },
    { 0x33BB, "evasive_points" },
    { 0x33BC, "evasive_startmaneuvers" },
    { 0x33BD, "evasive_think" },
    { 0x33BE, "event" },
    { 0x33BF, "event_actor_animations" },
    { 0x33C0, "event_animated" },
    { 0x33C1, "event_aud" },
    { 0x33C2, "event_awareness_dialogue_wrapper" },
    { 0x33C3, "event_awareness_enders" },
    { 0x33C4, "event_awareness_main" },
    { 0x33C5, "event_awareness_waitclear_ai" },
    { 0x33C6, "event_awareness_waitclear_ai_proc" },
    { 0x33C7, "event_distance" },
    { 0x33C8, "event_ents" },
    { 0x33C9, "event_exit_player_knockback" },
    { 0x33CA, "event_fx" },
    { 0x33CB, "event_geo" },
    { 0x33CC, "event_killtriggers" },
    { 0x33CD, "event_mb1_climb_in_mech" },
    { 0x33CE, "event_mb1_climb_in_mech_gideon" },
    { 0x33CF, "event_mb1_jumpdown" },
    { 0x33D0, "event_mb1_weapons_come_online" },
    { 0x33D1, "event_mb2_gatesmash" },
    { 0x33D2, "event_mechsuit_swap" },
    { 0x33D3, "event_reset" },
    { 0x33D4, "event_start" },
    { 0x33D5, "event_type" },
    { 0x33D6, "eventaction" },
    { 0x33D7, "eventactionminwait" },
    { 0x33D8, "eventchance" },
    { 0x33D9, "eventduration" },
    { 0x33DA, "eventpriority" },
    { 0x33DB, "eventtype" },
    { 0x33DC, "eventtypeminwait" },
    { 0x33DD, "everusessecondaryweapon" },
    { 0x33DE, "every_other_one" },
    { 0x33DF, "evfromluminancenits" },
    { 0x33E0, "exceededmaxexplosivedrones" },
    { 0x33E1, "exceededmaxlittlebirds" },
    { 0x33E2, "exceededmaxtrackingdrones" },
    { 0x33E3, "exception" },
    { 0x33E4, "exception_exposed_mg42_portable" },
    { 0x33E5, "excludedai" },
    { 0x33E6, "excludedir" },
    { 0x33E7, "exclusive_fog_tech" },
    { 0x33E8, "exec_call" },
    { 0x33E9, "exec_call_noself" },
    { 0x33EA, "exec_func" },
    { 0x33EB, "exec_function" },
    { 0x33EC, "execute_ai" },
    { 0x33ED, "execute_ai_solo" },
    { 0x33EE, "execute_mode" },
    { 0x33EF, "execute_monitor" },
    { 0x33F0, "execute_primary_light_setkey_internal" },
    { 0x33F1, "execute_scriptable_primary_light" },
    { 0x33F2, "execute_target" },
    { 0x33F3, "executefunction" },
    { 0x33F4, "executer" },
    { 0x33F5, "executioner2standground" },
    { 0x33F6, "executionhostages" },
    { 0x33F7, "exfil" },
    { 0x33F8, "exfil_allies" },
    { 0x33F9, "exfil_animnode" },
    { 0x33FA, "exfil_arms" },
    { 0x33FB, "exfil_cormack" },
    { 0x33FC, "exfil_dialogue" },
    { 0x33FD, "exfil_dof" },
    { 0x33FE, "exfil_enemies" },
    { 0x33FF, "exfil_enemies_setup" },
    { 0x3400, "exfil_enemy_missile" },
    { 0x3401, "exfil_fail" },
    { 0x3402, "exfil_guys" },
    { 0x3403, "exfil_logic" },
    { 0x3404, "exfil_player" },
    { 0x3405, "exfil_player_jump" },
    { 0x3406, "exfil_player_jump_fail" },
    { 0x3407, "exfil_setup" },
    { 0x3408, "exfil_spotlights_fx" },
    { 0x3409, "exfil_vtol" },
    { 0x340A, "exfil_workers" },
    { 0x340B, "exhaust_corridor_timer" },
    { 0x340C, "exhaust_fx_name" },
    { 0x340D, "exhaust_hatch_break_gideon" },
    { 0x340E, "exhaust_hatch_break_player" },
    { 0x340F, "exhaust_hatch_land_gideon" },
    { 0x3410, "exhaust_hatch_land_player" },
    { 0x3411, "exhaust_hatch_open" },
    { 0x3412, "exhaust_shaft_land" },
    { 0x3413, "exhaust_shaft_land_gideon" },
    { 0x3414, "exists_global_spawn_function" },
    { 0x3415, "exit_anim" },
    { 0x3416, "exit_anim_vm" },
    { 0x3417, "exit_drive_dialogue" },
    { 0x3418, "exit_drive_ending_begin" },
    { 0x3419, "exit_drive_failed_dialogue" },
    { 0x341A, "exit_drive_gaz_physics" },
    { 0x341B, "exit_drive_jetbike_lighting" },
    { 0x341C, "exit_drive_jetbike_lights_ai" },
    { 0x341D, "exit_drive_jetbike_lights_player" },
    { 0x341E, "exit_drive_jump_save_attempt" },
    { 0x341F, "exit_drive_main" },
    { 0x3420, "exit_drive_objects_think" },
    { 0x3421, "exit_drive_player_jetbike_initial_lights" },
    { 0x3422, "exit_drive_prepare_dialogue" },
    { 0x3423, "exit_drive_prepare_dialogue_nag" },
    { 0x3424, "exit_drive_rpgs" },
    { 0x3425, "exit_drive_rpgs_flyby" },
    { 0x3426, "exit_drive_script_checkpoints" },
    { 0x3427, "exit_drive_starting_anims_ambient_danger" },
    { 0x3428, "exit_drive_starting_magic_bullets" },
    { 0x3429, "exit_drive_timeout_fail" },
    { 0x342A, "exit_enemy" },
    { 0x342B, "exit_hotel" },
    { 0x342C, "exit_hovertank_rumbles" },
    { 0x342D, "exit_mech_rocket_fire" },
    { 0x342E, "exit_return_to_sweep_mode_func" },
    { 0x342F, "exit_ride_burke_away" },
    { 0x3430, "exit_ride_burke_door_open" },
    { 0x3431, "exit_ride_burke_mount" },
    { 0x3432, "exit_ride_burke_start" },
    { 0x3433, "exit_ride_jetbike_mount_player" },
    { 0x3434, "exit_ride_joker_start" },
    { 0x3435, "exit_run_nodes_enemy" },
    { 0x3436, "exit_run_nodes1" },
    { 0x3437, "exit_run_nodes2" },
    { 0x3438, "exit_sweep_mode_func" },
    { 0x3439, "exit_train_by" },
    { 0x343A, "exit_train_by_train3_loop" },
    { 0x343B, "exit_train_by_train3_whoosh" },
    { 0x343C, "exit_truck_fire" },
    { 0x343D, "exit_water_override" },
    { 0x343E, "exitaistate" },
    { 0x343F, "exitdrive_buttress" },
    { 0x3440, "exitdrive_chopper_final" },
    { 0x3441, "exitdrive_chopper_final_gopath" },
    { 0x3442, "exitdrive_chopper_initial" },
    { 0x3443, "exitdrive_chopper_initial_gopath" },
    { 0x3444, "exitdrive_chopper_tracks_1" },
    { 0x3445, "exitdrive_chopper_tracks_1_gopath" },
    { 0x3446, "exitdrive_ending_anims_burke" },
    { 0x3447, "exitdrive_ending_anims_player" },
    { 0x3448, "exited_lobby" },
    { 0x3449, "exitpronewrapper" },
    { 0x344A, "exitpronewrapperproc" },
    { 0x344B, "exitstate" },
    { 0x344C, "exittag" },
    { 0x344D, "exitwarbirdcontrolstate" },
    { 0x344E, "exo_active" },
    { 0x344F, "exo_battery_ability_flags" },
    { 0x3450, "exo_cinema_disabled" },
    { 0x3451, "exo_climb_allow_player_input_1" },
    { 0x3452, "exo_climb_allow_player_input_2" },
    { 0x3453, "exo_climb_anim_offsets" },
    { 0x3454, "exo_climb_animated_dismount" },
    { 0x3455, "exo_climb_draw_weapon" },
    { 0x3456, "exo_climb_force_animated_dismount" },
    { 0x3457, "exo_climb_grab_rumble" },
    { 0x3458, "exo_climb_grab_shake" },
    { 0x3459, "exo_climb_ground_ref_ent" },
    { 0x345A, "exo_climb_jump_rumble" },
    { 0x345B, "exo_climb_jump_shake" },
    { 0x345C, "exo_climb_jump_trigs" },
    { 0x345D, "exo_climb_left_swing_pressed" },
    { 0x345E, "exo_climb_mag_rumble" },
    { 0x345F, "exo_climb_magnetic_trigs" },
    { 0x3460, "exo_climb_move_options" },
    { 0x3461, "exo_climb_overrides" },
    { 0x3462, "exo_climb_player_center" },
    { 0x3463, "exo_climb_pullup_start" },
    { 0x3464, "exo_climb_retest_jumps_triggers" },
    { 0x3465, "exo_climb_rig" },
    { 0x3466, "exo_climb_right_swing_pressed" },
    { 0x3467, "exo_climb_sliding" },
    { 0x3468, "exo_climb_start" },
    { 0x3469, "exo_climb_tech_01" },
    { 0x346A, "exo_climb_tech_02" },
    { 0x346B, "exo_climb_tech_03" },
    { 0x346C, "exo_climb_weapon" },
    { 0x346D, "exo_cloak_battery_dead" },
    { 0x346E, "exo_cloak_battery_low" },
    { 0x346F, "exo_cloak_battery_recharge" },
    { 0x3470, "exo_cloak_button_press" },
    { 0x3471, "exo_cloak_disable" },
    { 0x3472, "exo_cloak_enable" },
    { 0x3473, "exo_cloak_off_time" },
    { 0x3474, "exo_cloak_on" },
    { 0x3475, "exo_dodge_cooldown" },
    { 0x3476, "exo_dodge_stealth_watcher" },
    { 0x3477, "exo_dodge_think" },
    { 0x3478, "exo_door" },
    { 0x3479, "exo_door_break" },
    { 0x347A, "exo_door_dialogue" },
    { 0x347B, "exo_door_disable_melee" },
    { 0x347C, "exo_door_enable_weapons" },
    { 0x347D, "exo_door_footstep_01" },
    { 0x347E, "exo_door_footstep_02" },
    { 0x347F, "exo_door_footstep_03" },
    { 0x3480, "exo_door_footstep_04" },
    { 0x3481, "exo_door_init" },
    { 0x3482, "exo_door_kick" },
    { 0x3483, "exo_door_logic" },
    { 0x3484, "exo_door_punch_cleanup" },
    { 0x3485, "exo_door_smash" },
    { 0x3486, "exo_door_throw" },
    { 0x3487, "exo_door_tilt_camera_during_animation" },
    { 0x3488, "exo_drone_flby" },
    { 0x3489, "exo_flicker_lighting" },
    { 0x348A, "exo_guy_cleanup_think" },
    { 0x348B, "exo_health_le_active_vfx" },
    { 0x348C, "exo_health_le_inactive_vfx" },
    { 0x348D, "exo_health_on" },
    { 0x348E, "exo_health_rt_active_vfx" },
    { 0x348F, "exo_health_rt_inactive_vfx" },
    { 0x3490, "exo_hover_init" },
    { 0x3491, "exo_hover_on" },
    { 0x3492, "exo_hover_think" },
    { 0x3493, "exo_hover_update" },
    { 0x3494, "exo_jump_button_listener" },
    { 0x3495, "exo_jump_button_pressed" },
    { 0x3496, "exo_jump_end" },
    { 0x3497, "exo_jump_process" },
    { 0x3498, "exo_knife_clean_up_attractor" },
    { 0x3499, "exo_knife_delete" },
    { 0x349A, "exo_knife_emp_watch" },
    { 0x349B, "exo_knife_enable_detonate" },
    { 0x349C, "exo_knife_manually_detonate" },
    { 0x349D, "exo_knife_passed_target" },
    { 0x349E, "exo_knife_recall" },
    { 0x349F, "exo_knife_recall_watch" },
    { 0x34A0, "exo_knife_restock" },
    { 0x34A1, "exo_knife_stuck_watch" },
    { 0x34A2, "exo_knife_think" },
    { 0x34A3, "exo_knife_throw_watch" },
    { 0x34A4, "exo_knife_touch_watch" },
    { 0x34A5, "exo_lower_shield" },
    { 0x34A6, "exo_max" },
    { 0x34A7, "exo_move_speed_update" },
    { 0x34A8, "exo_mute_3p" },
    { 0x34A9, "exo_mute_init" },
    { 0x34AA, "exo_mute_think" },
    { 0x34AB, "exo_objective_use_prompt" },
    { 0x34AC, "exo_old_values" },
    { 0x34AD, "exo_overclock_vfx_le_active" },
    { 0x34AE, "exo_overclock_vfx_le_inactive" },
    { 0x34AF, "exo_overclock_vfx_ri_active" },
    { 0x34B0, "exo_overclock_vfx_ri_inactive" },
    { 0x34B1, "exo_ping_hud_effect" },
    { 0x34B2, "exo_ping_init" },
    { 0x34B3, "exo_ping_on" },
    { 0x34B4, "exo_ping_think" },
    { 0x34B5, "exo_ping_vfx_active" },
    { 0x34B6, "exo_ping_vfx_inactive" },
    { 0x34B7, "exo_power_cooldown" },
    { 0x34B8, "exo_punch_breach_debris" },
    { 0x34B9, "exo_punch_breach_debris_texture" },
    { 0x34BA, "exo_punch_breach_deep" },
    { 0x34BB, "exo_punch_breach_foley" },
    { 0x34BC, "exo_punch_breach_impact" },
    { 0x34BD, "exo_punch_breach_sweetener" },
    { 0x34BE, "exo_punch_outline_think" },
    { 0x34BF, "exo_push_begin_nag_loop" },
    { 0x34C0, "exo_push_combat_manager" },
    { 0x34C1, "exo_push_dialogue" },
    { 0x34C2, "exo_push_exit_enter_hospital_dialogue" },
    { 0x34C3, "exo_push_gourney" },
    { 0x34C4, "exo_push_hospital_callout" },
    { 0x34C5, "exo_push_over_default_values" },
    { 0x34C6, "exo_push_play_truck_idle_at_end_of_frame" },
    { 0x34C7, "exo_push_sparks01" },
    { 0x34C8, "exo_push_sparks01_quake" },
    { 0x34C9, "exo_push_sparks02" },
    { 0x34CA, "exo_push_sparks02_quake" },
    { 0x34CB, "exo_push_think_bones" },
    { 0x34CC, "exo_push_think_burke" },
    { 0x34CD, "exo_push_think_joker" },
    { 0x34CE, "exo_push_think_player_attached" },
    { 0x34CF, "exo_push_think_truck" },
    { 0x34D0, "exo_push_truck_handle_path_disconnect" },
    { 0x34D1, "exo_push_truck_handle_speed" },
    { 0x34D2, "exo_raise_shield" },
    { 0x34D3, "exo_reheat" },
    { 0x34D4, "exo_release_gideon_error_glow" },
    { 0x34D5, "exo_release_vm_error_glow" },
    { 0x34D6, "exo_repair_desk_unfold" },
    { 0x34D7, "exo_repair_movement" },
    { 0x34D8, "exo_repair_movement_stop" },
    { 0x34D9, "exo_repair_vm_lift_arm" },
    { 0x34DA, "exo_repair_vm_place_arm" },
    { 0x34DB, "exo_repair_vm_sit" },
    { 0x34DC, "exo_repair_vm_test_hand" },
    { 0x34DD, "exo_repair_weight_updates" },
    { 0x34DE, "exo_repulsor_activate_vfx" },
    { 0x34DF, "exo_repulsor_deactivate_vfx" },
    { 0x34E0, "exo_repulsor_impact" },
    { 0x34E1, "exo_repulsor_player_vfx_active" },
    { 0x34E2, "exo_repulsor_player_vfx_inactive" },
    { 0x34E3, "exo_repulsor_think" },
    { 0x34E4, "exo_rumble" },
    { 0x34E5, "exo_scaffolding_enemies" },
    { 0x34E6, "exo_scaffolding_enemy" },
    { 0x34E7, "exo_shield_is_active" },
    { 0x34E8, "exo_shield_is_on" },
    { 0x34E9, "exo_shield_on" },
    { 0x34EA, "exo_shield_think" },
    { 0x34EB, "exo_stim_activate" },
    { 0x34EC, "exo_stim_active" },
    { 0x34ED, "exo_stim_on" },
    { 0x34EE, "exo_stim_used" },
    { 0x34EF, "exo_super_vfx" },
    { 0x34F0, "exo_takedown" },
    { 0x34F1, "exo_takedown_death" },
    { 0x34F2, "exo_temp" },
    { 0x34F3, "exo_temp_breach" },
    { 0x34F4, "exo_temp_high_altitude" },
    { 0x34F5, "exo_temp_narrow_cave" },
    { 0x34F6, "exo_temp_outdoor" },
    { 0x34F7, "exo_temp_overlook_lake" },
    { 0x34F8, "exo_temperature_hud" },
    { 0x34F9, "exo_truck_push" },
    { 0x34FA, "exoabilitytracking" },
    { 0x34FB, "exoactivated" },
    { 0x34FC, "exobatteryabilities" },
    { 0x34FD, "exobatterylevel" },
    { 0x34FE, "exobatterymax" },
    { 0x34FF, "exoclimb_combat_enabled" },
    { 0x3500, "exocloak" },
    { 0x3501, "exocount" },
    { 0x3502, "exofailfx" },
    { 0x3503, "exohuditem" },
    { 0x3504, "exoknife_count" },
    { 0x3505, "exoknifekillevent" },
    { 0x3506, "exomostrecenttimedeciseconds" },
    { 0x3507, "exoparams" },
    { 0x3508, "exopush_distance_debug_ui" },
    { 0x3509, "exopush_end_fight" },
    { 0x350A, "exopush_end_flee" },
    { 0x350B, "exopush_stage_manager" },
    { 0x350C, "exopush_start" },
    { 0x350D, "exorepulsorinit" },
    { 0x350E, "exosetfuncs" },
    { 0x350F, "exoshieldweapon" },
    { 0x3510, "exospeedscalars" },
    { 0x3511, "exosurvivalmatches" },
    { 0x3512, "exoteambuffsetup" },
    { 0x3513, "exounsetfuncs" },
    { 0x3514, "expand_foam" },
    { 0x3515, "expand_goalradius" },
    { 0x3516, "expandmaxs" },
    { 0x3517, "expandmins" },
    { 0x3518, "expandspawnpointbounds" },
    { 0x3519, "expected_drones" },
    { 0x351A, "expiretime" },
    { 0x351B, "explo_ambientexp_dirt" },
    { 0x351C, "explo_ambientexp_fireball" },
    { 0x351D, "explo_debris_alias_" },
    { 0x351E, "explo_delay_chance_" },
    { 0x351F, "explo_shot_array_" },
    { 0x3520, "explo_tail_alias_" },
    { 0x3521, "explode_drone_on_impact" },
    { 0x3522, "explode_drones_at_tanker" },
    { 0x3523, "explode_on_ground_impact" },
    { 0x3524, "explode_tanker" },
    { 0x3525, "exploded" },
    { 0x3526, "exploder" },
    { 0x3527, "exploder_after_load" },
    { 0x3528, "exploder_before_load" },
    { 0x3529, "exploder_damage" },
    { 0x352A, "exploder_delay" },
    { 0x352B, "exploder_earthquake" },
    { 0x352C, "exploder_flag_wait" },
    { 0x352D, "exploder_load" },
    { 0x352E, "exploder_model_is_chunk" },
    { 0x352F, "exploder_model_is_damaged_model" },
    { 0x3530, "exploder_model_starts_hidden" },
    { 0x3531, "exploder_num_" },
    { 0x3532, "exploder_pigeon" },
    { 0x3533, "exploder_playsound" },
    { 0x3534, "exploder_rumble" },
    { 0x3535, "exploder_sound" },
    { 0x3536, "exploder_to_array" },
    { 0x3537, "exploderfunction" },
    { 0x3538, "exploderfx" },
    { 0x3539, "exploderindex" },
    { 0x353A, "exploders" },
    { 0x353B, "exploding" },
    { 0x353C, "exploding_barrel_death" },
    { 0x353D, "explosion_cart_kill_trigger" },
    { 0x353E, "explosion_death" },
    { 0x353F, "explosion_death_offset" },
    { 0x3540, "explosion_death_ragdollfraction" },
    { 0x3541, "explosion_player_rumbles" },
    { 0x3542, "explosion_pos" },
    { 0x3543, "explosion_scene_bridge" },
    { 0x3544, "explosion_scene_drone_large" },
    { 0x3545, "explosion_scene_drones" },
    { 0x3546, "explosion_scene_org" },
    { 0x3547, "explosion_screen_flash" },
    { 0x3548, "explosion_van" },
    { 0x3549, "explosionangleoffset" },
    { 0x354A, "explosionoffset" },
    { 0x354B, "explosions" },
    { 0x354C, "explosive_bulletshielded" },
    { 0x354D, "explosive_drone_owner" },
    { 0x354E, "explosivedamagemod" },
    { 0x354F, "explosivedamagemonitor" },
    { 0x3550, "explosivedrone" },
    { 0x3551, "explosivedrone_changeowner" },
    { 0x3552, "explosivedrone_enemy_lightfx" },
    { 0x3553, "explosivedrone_followtarget" },
    { 0x3554, "explosivedrone_friendly_lightfx" },
    { 0x3555, "explosivedrone_grenade_stunbegin" },
    { 0x3556, "explosivedrone_grenade_stunend" },
    { 0x3557, "explosivedrone_grenade_stunned" },
    { 0x3558, "explosivedrone_grenade_watchdisable" },
    { 0x3559, "explosivedrone_highlighttarget" },
    { 0x355A, "explosivedrone_leave" },
    { 0x355B, "explosivedrone_movetoplayer" },
    { 0x355C, "explosivedrone_stopmovement" },
    { 0x355D, "explosivedrone_stunbegin" },
    { 0x355E, "explosivedrone_stunend" },
    { 0x355F, "explosivedrone_stunned" },
    { 0x3560, "explosivedrone_watchdeath" },
    { 0x3561, "explosivedrone_watchdisable" },
    { 0x3562, "explosivedrone_watchforgoal" },
    { 0x3563, "explosivedrone_watchhostmigration" },
    { 0x3564, "explosivedrone_watchownerdeath" },
    { 0x3565, "explosivedrone_watchownerloss" },
    { 0x3566, "explosivedrone_watchroundend" },
    { 0x3567, "explosivedrone_watchtargetdisconnect" },
    { 0x3568, "explosivedrone_watchtimeout" },
    { 0x3569, "explosivedronearray" },
    { 0x356A, "explosivedronedebugposition" },
    { 0x356B, "explosivedronedebugpositionforward" },
    { 0x356C, "explosivedronedebugpositionheight" },
    { 0x356D, "explosivedronedeletetrigger" },
    { 0x356E, "explosivedronedestroyed" },
    { 0x356F, "explosivedroneexplode" },
    { 0x3570, "explosivedroneinit" },
    { 0x3571, "explosivedronelink" },
    { 0x3572, "explosivedronemaxperplayer" },
    { 0x3573, "explosivedroneproximitytrigger" },
    { 0x3574, "explosivedrones" },
    { 0x3575, "explosivedronesettings" },
    { 0x3576, "explosivedronetimeout" },
    { 0x3577, "explosivegelcountdowndetonation" },
    { 0x3578, "explosivegelsettings" },
    { 0x3579, "explosivegrenadedeath" },
    { 0x357A, "explosiveheaddeath" },
    { 0x357B, "explosiveimpulse" },
    { 0x357C, "explosiveinfo" },
    { 0x357D, "explosivekills" },
    { 0x357E, "explosiveplanttime" },
    { 0x357F, "explosiveragdolldeath" },
    { 0x3580, "explosivetimeout" },
    { 0x3581, "exponent" },
    { 0x3582, "export" },
    { 0x3583, "exposed_group_logic" },
    { 0x3584, "exposed_guard_warning_given" },
    { 0x3585, "exposed_guard_warning_vo" },
    { 0x3586, "exposed_vo_said" },
    { 0x3587, "exposedapproachconditioncheck" },
    { 0x3588, "exposedapproachwaittillclose" },
    { 0x3589, "exposedcombatcheckputawaypistol" },
    { 0x358A, "exposedcombatcheckreloadorusepistol" },
    { 0x358B, "exposedcombatcheckstance" },
    { 0x358C, "exposedcombatmainloop" },
    { 0x358D, "exposedcombatneedtoturn" },
    { 0x358E, "exposedcombatpositionadjust" },
    { 0x358F, "exposedcombatstopusingrpgcheck" },
    { 0x3590, "exposedreload" },
    { 0x3591, "exposedreloading" },
    { 0x3592, "exposedtransition" },
    { 0x3593, "exposedwait" },
    { 0x3594, "exposure_adjust_courtyard_room" },
    { 0x3595, "exposure_adjust_courtyard_room_volume" },
    { 0x3596, "extended_idle_anims" },
    { 0x3597, "extendedkill_sticktovictim" },
    { 0x3598, "exterior_street_kickoff" },
    { 0x3599, "extra_autosave_checks_failed" },
    { 0x359A, "extra_cloud_cover_end" },
    { 0x359B, "extra_cloud_cover_start" },
    { 0x359C, "extra_height" },
    { 0x359D, "extra_lookahead" },
    { 0x359E, "extra_slow_player" },
    { 0x359F, "extra_static" },
    { 0x35A0, "extra_vehicle_cleanup" },
    { 0x35A1, "extraction_chopper" },
    { 0x35A2, "extraction_chopper_collapse" },
    { 0x35A3, "extraction_chopper_move" },
    { 0x35A4, "extraction_chopper_spawn" },
    { 0x35A5, "extraction_nag_lines" },
    { 0x35A6, "extractionloc" },
    { 0x35A7, "extraenemiescombat" },
    { 0x35A8, "extrafiretime_max" },
    { 0x35A9, "extrafiretime_min" },
    { 0x35AA, "extraflare" },
    { 0x35AB, "extrahealthinit" },
    { 0x35AC, "extraspintime_max" },
    { 0x35AD, "extraspintime_min" },
    { 0x35AE, "eye_move_counter" },
    { 0x35AF, "eye_origin" },
    { 0x35B0, "eye_velocity" },
    { 0x35B1, "eyeheightlastframe" },
    { 0x35B2, "f_score" },
    { 0x35B3, "face_dof_mod" },
    { 0x35B4, "faceenemyaimtracking" },
    { 0x35B5, "faceenemyarrival" },
    { 0x35B6, "faceenemyatendofapproach" },
    { 0x35B7, "faceenemydelay" },
    { 0x35B8, "faceenemyimmediately" },
    { 0x35B9, "facelastnotifynum" },
    { 0x35BA, "facelight" },
    { 0x35BB, "faceresult" },
    { 0x35BC, "facewaitforresult" },
    { 0x35BD, "facewaiting" },
    { 0x35BE, "faceyaw" },
    { 0x35BF, "facial" },
    { 0x35C0, "facial_animation" },
    { 0x35C1, "facial_idle_monitor_thread" },
    { 0x35C2, "facialanimdone" },
    { 0x35C3, "facialanimidx" },
    { 0x35C4, "facialidlemonitor" },
    { 0x35C5, "facialidx" },
    { 0x35C6, "facialsounddone" },
    { 0x35C7, "facility_breach" },
    { 0x35C8, "facility_breach_charge" },
    { 0x35C9, "facility_breach_cleanup_player" },
    { 0x35CA, "facility_breach_crate" },
    { 0x35CB, "facility_breach_dialogue" },
    { 0x35CC, "facility_breach_get_burke_into_position" },
    { 0x35CD, "facility_breach_guys" },
    { 0x35CE, "facility_breach_logic" },
    { 0x35CF, "facility_breach_mute_device" },
    { 0x35D0, "facility_breach_nag_dialogue" },
    { 0x35D1, "facility_breach_rumbles" },
    { 0x35D2, "facility_breach_setup_player" },
    { 0x35D3, "facility_breach_spawn_bad_guys" },
    { 0x35D4, "facility_bridge_enemy_think" },
    { 0x35D5, "facing" },
    { 0x35D6, "facing_goal" },
    { 0x35D7, "fade" },
    { 0x35D8, "fade_from_black" },
    { 0x35D9, "fade_glow" },
    { 0x35DA, "fade_in" },
    { 0x35DB, "fade_in_crash_site" },
    { 0x35DC, "fade_in_inc" },
    { 0x35DD, "fade_in_intro_ambis" },
    { 0x35DE, "fade_in_scalar" },
    { 0x35DF, "fade_in_time" },
    { 0x35E0, "fade_name_random" },
    { 0x35E1, "fade_out" },
    { 0x35E2, "fade_out_level" },
    { 0x35E3, "fade_out_text" },
    { 0x35E4, "fade_out_time" },
    { 0x35E5, "fade_out_use_hint" },
    { 0x35E6, "fade_over_time" },
    { 0x35E7, "fade_time" },
    { 0x35E8, "fade_to_black" },
    { 0x35E9, "fade_to_white" },
    { 0x35EA, "fadeaway" },
    { 0x35EB, "fadedownstatic" },
    { 0x35EC, "fadefunc" },
    { 0x35ED, "fadein" },
    { 0x35EE, "fadein_time" },
    { 0x35EF, "fadeinblackout" },
    { 0x35F0, "fadeinoutgastrackingoverlay" },
    { 0x35F1, "fadeinoutprisontrackingoverlay" },
    { 0x35F2, "fadeoffset" },
    { 0x35F3, "fadeout_time" },
    { 0x35F4, "fadeoutblackout" },
    { 0x35F5, "fadeoverlay" },
    { 0x35F6, "fadetime" },
    { 0x35F7, "fadetoalpha" },
    { 0x35F8, "fadetoalphatime" },
    { 0x35F9, "fadeupstatic" },
    { 0x35FA, "fail_chase_van" },
    { 0x35FB, "fail_duration" },
    { 0x35FC, "fail_enable" },
    { 0x35FD, "fail_leaving_area" },
    { 0x35FE, "fail_missile_damage_think" },
    { 0x35FF, "fail_on_friendly_fire" },
    { 0x3600, "fail_on_kill_civilian" },
    { 0x3601, "fail_out_of_range" },
    { 0x3602, "fail_player_for_abandon" },
    { 0x3603, "fail_range" },
    { 0x3604, "fail_start_time" },
    { 0x3605, "fail_success_allowed" },
    { 0x3606, "fail_time" },
    { 0x3607, "fail_trigger_move_on_notify" },
    { 0x3608, "failallydeath" },
    { 0x3609, "failatriumfighttimerexpire" },
    { 0x360A, "failburkekilled" },
    { 0x360B, "faildetonateambushinteract" },
    { 0x360C, "failed_music_alias" },
    { 0x360D, "failed_spawnvehicles" },
    { 0x360E, "failed_to_avoid_buttress" },
    { 0x360F, "failed_to_keep_up" },
    { 0x3610, "failed_vo" },
    { 0x3611, "failed_vo_setup" },
    { 0x3612, "failhadesstabplayer" },
    { 0x3613, "failingmission" },
    { 0x3614, "failinvalidtarget" },
    { 0x3615, "failkillhadeslate" },
    { 0x3616, "failkillhadessoon" },
    { 0x3617, "faillevelalarm" },
    { 0x3618, "failonfriendlyfire" },
    { 0x3619, "failsetupambushleavemission" },
    { 0x361A, "failsetupambushtimerexpire" },
    { 0x361B, "failtargetescaped1" },
    { 0x361C, "failtargetescaped2" },
    { 0x361D, "failtargetescaped3" },
    { 0x361E, "failureeventemp" },
    { 0x361F, "failureeventmissileburst" },
    { 0x3620, "failureeventmissileburstgas" },
    { 0x3621, "failureeventmissileburstgasdamage" },
    { 0x3622, "failureeventmissileburstthink" },
    { 0x3623, "failureeventpistolsonly" },
    { 0x3624, "failureeventpistolsonlyjammedbar" },
    { 0x3625, "failureeventpistolsonlythink" },
    { 0x3626, "failureeventpistolsreenabled" },
    { 0x3627, "failureeventsentry" },
    { 0x3628, "failureeventsmoke" },
    { 0x3629, "failureeventsmokethink" },
    { 0x362A, "failureeventupdateweaponjammedbar" },
    { 0x362B, "failurepistolshandleremotereturn" },
    { 0x362C, "fake_anim_shoot" },
    { 0x362D, "fake_attachedguys" },
    { 0x362E, "fake_bullet_damage_sounds" },
    { 0x362F, "fake_cockpit_jitter" },
    { 0x3630, "fake_damage_indicator" },
    { 0x3631, "fake_death" },
    { 0x3632, "fake_death_bullet" },
    { 0x3633, "fake_death_bullet_fx" },
    { 0x3634, "fake_death_over_time" },
    { 0x3635, "fake_drone_death" },
    { 0x3636, "fake_drone_shooting" },
    { 0x3637, "fake_drone_shooting_internal" },
    { 0x3638, "fake_drop_pods" },
    { 0x3639, "fake_enemy_missile_spawn" },
    { 0x363A, "fake_gunfire_shooter" },
    { 0x363B, "fake_gunfire_shooter_ambulance" },
    { 0x363C, "fake_gunfire_shooter_exopush_back" },
    { 0x363D, "fake_gunfire_shooter_exopush_front" },
    { 0x363E, "fake_gunfire_shooter_exopush_mid" },
    { 0x363F, "fake_gunfire_sniper_moment" },
    { 0x3640, "fake_laser" },
    { 0x3641, "fake_linkto" },
    { 0x3642, "fake_linkto_internal" },
    { 0x3643, "fake_loot_dispensation_logic" },
    { 0x3644, "fake_missile_from_behind_player" },
    { 0x3645, "fake_missile_target" },
    { 0x3646, "fake_plane" },
    { 0x3647, "fake_rocket_explode_moment" },
    { 0x3648, "fake_rocket_fire_notify" },
    { 0x3649, "fake_scanning_fx_thread" },
    { 0x364A, "fake_spotlight" },
    { 0x364B, "fake_tread_fx_hostage_truck" },
    { 0x364C, "fake_unlink" },
    { 0x364D, "fake_usedpositions" },
    { 0x364E, "fake_vehicle_fake_collision" },
    { 0x364F, "fake_vehicle_model" },
    { 0x3650, "fakehealth" },
    { 0x3651, "fakespeed" },
    { 0x3652, "faketurret" },
    { 0x3653, "fall_cave_swell" },
    { 0x3654, "fall_fail" },
    { 0x3655, "fall_speed_status" },
    { 0x3656, "fallback" },
    { 0x3657, "fallback_ai" },
    { 0x3658, "fallback_ai_think" },
    { 0x3659, "fallback_ai_think_death" },
    { 0x365A, "fallback_coverprint" },
    { 0x365B, "fallback_death" },
    { 0x365C, "fallback_goal" },
    { 0x365D, "fallback_initiated" },
    { 0x365E, "fallback_print" },
    { 0x365F, "fallback_spawner_think" },
    { 0x3660, "fallback_think" },
    { 0x3661, "fallback_wait" },
    { 0x3662, "falling_bits_fx" },
    { 0x3663, "falling_death" },
    { 0x3664, "falling_dust_on_cable" },
    { 0x3665, "falling_guard" },
    { 0x3666, "falloff" },
    { 0x3667, "fallvelmultiplier" },
    { 0x3668, "fan_blade_rotate" },
    { 0x3669, "far_enough_from_leader" },
    { 0x366A, "far_explode" },
    { 0x366B, "farflightsound" },
    { 0x366C, "farspawns" },
    { 0x366D, "farther_to_goal_vol" },
    { 0x366E, "fartherfunc" },
    { 0x366F, "fast_destructible_explode" },
    { 0x3670, "fastburst" },
    { 0x3671, "fastburstcount" },
    { 0x3672, "fastburstfirenumshots" },
    { 0x3673, "fastburstmodtime" },
    { 0x3674, "fastcloud_rumble_ent" },
    { 0x3675, "fastcloudlevel" },
    { 0x3676, "fastcloudrumble" },
    { 0x3677, "fastcrouch" },
    { 0x3678, "fasteranimspeed" },
    { 0x3679, "fastesttime" },
    { 0x367A, "fasthealinit" },
    { 0x367B, "fasthealsettings" },
    { 0x367C, "fastlook" },
    { 0x367D, "fastropeoffset" },
    { 0x367E, "fastroperig" },
    { 0x367F, "fastroperiganimating" },
    { 0x3680, "faststand" },
    { 0x3681, "fastwalk" },
    { 0x3682, "fastzip_explosion_seq" },
    { 0x3683, "fastzip_hit_the_ground" },
    { 0x3684, "fastzip_land" },
    { 0x3685, "fastzip_launch" },
    { 0x3686, "fastzip_rappel" },
    { 0x3687, "fastzip_slide" },
    { 0x3688, "fastzip_slide_end" },
    { 0x3689, "fastzip_turret_fire" },
    { 0x368A, "fastzip_turret_pullout" },
    { 0x368B, "fastzip_turret_putaway" },
    { 0x368C, "fastzip_turret_switch_complete" },
    { 0x368D, "fastzip_turret_switch_to" },
    { 0x368E, "fastzip_turret_think" },
    { 0x368F, "fastzip_unload" },
    { 0x3690, "faux_spawn_stance" },
    { 0x3691, "fauxdead" },
    { 0x3692, "fauxvehiclecount" },
    { 0x3693, "fav_random_switch" },
    { 0x3694, "favor_blindfire" },
    { 0x3695, "favrandom" },
    { 0x3696, "faze_out" },
    { 0x3697, "faze_out_finish" },
    { 0x3698, "fbt_desireddistmax" },
    { 0x3699, "fbt_firstburst" },
    { 0x369A, "fbt_lastbursterid" },
    { 0x369B, "fbt_linebreakmax" },
    { 0x369C, "fbt_linebreakmin" },
    { 0x369D, "fbt_waitmax" },
    { 0x369E, "fbt_waitmin" },
    { 0x369F, "female_civilian_alert_sound" },
    { 0x36A0, "ffpoints" },
    { 0x36A1, "fieldgoalevent" },
    { 0x36A2, "fight_section_ambient_encounter" },
    { 0x36A3, "fight_section_boost_encounter" },
    { 0x36A4, "fight_section_crash_encounter" },
    { 0x36A5, "fight_section_escape_encounter" },
    { 0x36A6, "fight_section_pitbull_encounter" },
    { 0x36A7, "fight_section_police_encounter" },
    { 0x36A8, "fight_section_standoff_encounter" },
    { 0x36A9, "fight_section_tanker_encouter" },
    { 0x36AA, "fightdist" },
    { 0x36AB, "fighter_jet_crash_detection" },
    { 0x36AC, "fighter_jet_gun_hud" },
    { 0x36AD, "fighter_jet_handle_cockpit" },
    { 0x36AE, "fighter_jet_handle_cockpit_motion" },
    { 0x36AF, "fighter_jet_handle_throttle" },
    { 0x36B0, "fighter_jet_hud" },
    { 0x36B1, "fighter_jet_max_altitude" },
    { 0x36B2, "fighter_jet_set_shake" },
    { 0x36B3, "fighter_jet_sounds" },
    { 0x36B4, "fileprint_csv_start" },
    { 0x36B5, "fileprint_launcher" },
    { 0x36B6, "fileprint_launcher_end_file" },
    { 0x36B7, "fileprint_launcher_start_file" },
    { 0x36B8, "fileprint_map_entity_end" },
    { 0x36B9, "fileprint_map_entity_start" },
    { 0x36BA, "fileprint_map_header" },
    { 0x36BB, "fileprint_map_keypairprint" },
    { 0x36BC, "fileprint_map_start" },
    { 0x36BD, "fileprint_radiant_vec" },
    { 0x36BE, "fileprint_start" },
    { 0x36BF, "fileprintlauncher_linecount" },
    { 0x36C0, "fill" },
    { 0x36C1, "fill_new_traffic_entity_near_player" },
    { 0x36C2, "fill_pos_ent" },
    { 0x36C3, "filter_bypass" },
    { 0x36C4, "filter_enable" },
    { 0x36C5, "filter_lead_controller_init" },
    { 0x36C6, "filter_lead_controller_update" },
    { 0x36C7, "filter_nodes" },
    { 0x36C8, "filter1" },
    { 0x36C9, "filter2" },
    { 0x36CA, "filteraiarray" },
    { 0x36CB, "filters" },
    { 0x36CC, "fin_bldg_exp_audio" },
    { 0x36CD, "fin_bullet_trails" },
    { 0x36CE, "fin_ending_gideon_foley_1" },
    { 0x36CF, "fin_ending_gideon_foley_2" },
    { 0x36D0, "fin_ending_knife_drop" },
    { 0x36D1, "fin_ending_plr_foley_1" },
    { 0x36D2, "fin_ending_plr_foley_2" },
    { 0x36D3, "fin_ending_qte_stab" },
    { 0x36D4, "fin_ending_slo_mo_override" },
    { 0x36D5, "fin_ending1_1_gdn" },
    { 0x36D6, "fin_ending1_1_irs" },
    { 0x36D7, "fin_ending1_2_gdn" },
    { 0x36D8, "fin_ending2_1_irs" },
    { 0x36D9, "fin_ending2_2_gdn" },
    { 0x36DA, "fin_ending2_3combined_irs" },
    { 0x36DB, "fin_ending2_5_irs" },
    { 0x36DC, "fin_flyin_drop" },
    { 0x36DD, "fin_flyin_gideon_splash" },
    { 0x36DE, "fin_flyin_splash" },
    { 0x36DF, "fin_flyin_start" },
    { 0x36E0, "fin_gid_carry_pickup_1" },
    { 0x36E1, "fin_gid_carry_pickup_2" },
    { 0x36E2, "fin_gid_carry_plr_1" },
    { 0x36E3, "fin_gid_carry_plr_2" },
    { 0x36E4, "fin_gid_carry_plr_3" },
    { 0x36E5, "fin_gid_carry_plr_4" },
    { 0x36E6, "fin_gid_exit_water" },
    { 0x36E7, "fin_gid_plr_putdown" },
    { 0x36E8, "fin_glass_exp_audio" },
    { 0x36E9, "fin_irons_reveal_gun_away_exit" },
    { 0x36EA, "fin_irons_reveal_irons_points_gun" },
    { 0x36EB, "fin_irons_reveal_irons_quake" },
    { 0x36EC, "fin_irons_reveal_irons_start" },
    { 0x36ED, "fin_irons_reveal_irons_takes_gun" },
    { 0x36EE, "fin_irons_reveal_mash" },
    { 0x36EF, "fin_irons_reveal_mash_finish" },
    { 0x36F0, "fin_irons_reveal_mash_start" },
    { 0x36F1, "fin_irons_reveal_mash_try_stop" },
    { 0x36F2, "fin_irons_reveal_plr_stand" },
    { 0x36F3, "fin_irons_reveal_plr_start" },
    { 0x36F4, "fin_irons_reveal_scene_gid_exo_freeze" },
    { 0x36F5, "fin_irons_reveal_scene_gid_start" },
    { 0x36F6, "fin_irons_tackle" },
    { 0x36F7, "fin_irons_takedown_start" },
    { 0x36F8, "fin_lobby_gun_limp" },
    { 0x36F9, "fin_mech_exit_gideon" },
    { 0x36FA, "fin_midair_exp_audio" },
    { 0x36FB, "fin_mitchel_vo" },
    { 0x36FC, "fin_post_silo_gid_foley" },
    { 0x36FD, "fin_post_silo_switch_to_plr" },
    { 0x36FE, "fin_reveal_gid_drops_plr" },
    { 0x36FF, "fin_silo_fail_launch" },
    { 0x3700, "fin_silo_plr_picked_up" },
    { 0x3701, "fin_silo_success" },
    { 0x3702, "fin_skybridge_glass_explo" },
    { 0x3703, "fin_skybridge_slo_mo_start" },
    { 0x3704, "fin_skybridge_slo_mo_stop" },
    { 0x3705, "fin_skybridge_takedown_start" },
    { 0x3706, "fin_water_exp_audio" },
    { 0x3707, "final_animation_angles" },
    { 0x3708, "final_animation_origin" },
    { 0x3709, "final_approach" },
    { 0x370A, "final_bus" },
    { 0x370B, "final_chopper_lighting" },
    { 0x370C, "final_flag_wait" },
    { 0x370D, "final_loc" },
    { 0x370E, "final_player_rig" },
    { 0x370F, "final_pod_crash_fast" },
    { 0x3710, "final_scene_handle_melee_hint" },
    { 0x3711, "final_scripted_chopper" },
    { 0x3712, "final_takedown_abutton_hit" },
    { 0x3713, "final_takedown_gun_up" },
    { 0x3714, "final_takedown_xbutton_hit" },
    { 0x3715, "final_use_struct" },
    { 0x3716, "finalblackout" },
    { 0x3717, "finale_cineviewmodel_lighting" },
    { 0x3718, "finale_civ_04_cower" },
    { 0x3719, "finale_cloak_off" },
    { 0x371A, "finale_cormack_decloak" },
    { 0x371B, "finale_cormack_walk_1" },
    { 0x371C, "finale_cormack_walk_2" },
    { 0x371D, "finale_cormack_walk_3" },
    { 0x371E, "finale_crate_close" },
    { 0x371F, "finale_crate_open_1" },
    { 0x3720, "finale_ending_buttonmash_fail" },
    { 0x3721, "finale_ending_buttonmash_start" },
    { 0x3722, "finale_ending_qte1_success" },
    { 0x3723, "finale_ending_qte1_timeout" },
    { 0x3724, "finale_ending_qte2_success" },
    { 0x3725, "finale_ending_qte2_timeout" },
    { 0x3726, "finale_enemy_gaz" },
    { 0x3727, "finale_enemy_gaz_1" },
    { 0x3728, "finale_enemy_transports" },
    { 0x3729, "finale_eyes_custom_mats_on" },
    { 0x372A, "finale_gideon_jump" },
    { 0x372B, "finale_gideon_leave" },
    { 0x372C, "finale_gideon_radio" },
    { 0x372D, "finale_ilana_land" },
    { 0x372E, "finale_ilana_turn" },
    { 0x372F, "finale_intro_screen" },
    { 0x3730, "finale_jet" },
    { 0x3731, "finale_joker_jump" },
    { 0x3732, "finale_mwp_lighting_offset" },
    { 0x3733, "finale_part1_cineviewmodel_lighting" },
    { 0x3734, "finale_pod" },
    { 0x3735, "finale_qte_show_knife" },
    { 0x3736, "finale_section_ambientfx_aa_explosions" },
    { 0x3737, "finale_section_ambientfx_midair_explosions" },
    { 0x3738, "finale_section_ambientfx_windowglass_explosion" },
    { 0x3739, "finale_street_crowd" },
    { 0x373A, "finale_trigger_pulled" },
    { 0x373B, "finalizespawnpointchoice" },
    { 0x373C, "finalkill" },
    { 0x373D, "finalkillcam_attacker" },
    { 0x373E, "finalkillcam_attackernum" },
    { 0x373F, "finalkillcam_deathtimeoffset" },
    { 0x3740, "finalkillcam_delay" },
    { 0x3741, "finalkillcam_killcamentityindex" },
    { 0x3742, "finalkillcam_killcamentitystarttime" },
    { 0x3743, "finalkillcam_psoffsettime" },
    { 0x3744, "finalkillcam_smeansofdeath" },
    { 0x3745, "finalkillcam_sweapon" },
    { 0x3746, "finalkillcam_timegameended" },
    { 0x3747, "finalkillcam_timerecorded" },
    { 0x3748, "finalkillcam_type" },
    { 0x3749, "finalkillcam_usestarttime" },
    { 0x374A, "finalkillcam_victim" },
    { 0x374B, "finalkillcam_winner" },
    { 0x374C, "finalkillcammusic" },
    { 0x374D, "finalsurvivorevent" },
    { 0x374E, "finalsurvivoruav" },
    { 0x374F, "find_a_new_turret_spot" },
    { 0x3750, "find_adjacent_target" },
    { 0x3751, "find_ambush_node" },
    { 0x3752, "find_best_cam_path" },
    { 0x3753, "find_best_exit_anim" },
    { 0x3754, "find_best_target" },
    { 0x3755, "find_camp_node" },
    { 0x3756, "find_camp_node_worker" },
    { 0x3757, "find_closest_bombzone_to_player" },
    { 0x3758, "find_closest_car" },
    { 0x3759, "find_closest_heli_node_2d" },
    { 0x375A, "find_connected_turrets" },
    { 0x375B, "find_dds_category_by_name" },
    { 0x375C, "find_defend_node_bodyguard" },
    { 0x375D, "find_defend_node_capture" },
    { 0x375E, "find_defend_node_capture_zone" },
    { 0x375F, "find_defend_node_patrol" },
    { 0x3760, "find_defend_node_protect" },
    { 0x3761, "find_destructibles" },
    { 0x3762, "find_different_way_to_attack_last_seen_position" },
    { 0x3763, "find_drop_path" },
    { 0x3764, "find_good_ambush_spot" },
    { 0x3765, "find_landing_node_along_path" },
    { 0x3766, "find_new_chase_target" },
    { 0x3767, "find_node_neighbors" },
    { 0x3768, "find_non_squad_allies_by_distance" },
    { 0x3769, "find_npc_dive_boat_handler" },
    { 0x376A, "find_path_between_aerial_nodes" },
    { 0x376B, "find_tactical_override" },
    { 0x376C, "find_threat" },
    { 0x376D, "find_ticking_bomb" },
    { 0x376E, "find_unclaimed_node" },
    { 0x376F, "find_unique_offset" },
    { 0x3770, "find_unload_node" },
    { 0x3771, "find_zones" },
    { 0x3772, "findandplayanims" },
    { 0x3773, "findaveragepoint" },
    { 0x3774, "findaveragepointvec" },
    { 0x3775, "findbattlebuddy" },
    { 0x3776, "findbestspawnlocation" },
    { 0x3777, "findboxcenter" },
    { 0x3778, "findbuddypathnode" },
    { 0x3779, "findbuddyspawn" },
    { 0x377A, "findclosenode" },
    { 0x377B, "findclosestplayer" },
    { 0x377C, "findcqbpointsofinterest" },
    { 0x377D, "finddisplay" },
    { 0x377E, "findgoodsuppressspot" },
    { 0x377F, "findingcqbpointsofinterest" },
    { 0x3780, "findisfacing" },
    { 0x3781, "findlocation" },
    { 0x3782, "findnewtargetpos" },
    { 0x3783, "findpointnearowner" },
    { 0x3784, "findpositionnum" },
    { 0x3785, "findrandomlocationneartarget" },
    { 0x3786, "findsecondhighestspawnscore" },
    { 0x3787, "findshockvictims" },
    { 0x3788, "findsnipertargetnearactor" },
    { 0x3789, "findspawnlocationnearplayer" },
    { 0x378A, "finger_material_swap" },
    { 0x378B, "finish_bodies_room_burke" },
    { 0x378C, "finish_creating_entity" },
    { 0x378D, "finish_drag_player_internal" },
    { 0x378E, "finish_drag_player_internal_delayed" },
    { 0x378F, "finish_fly_in_sequence" },
    { 0x3790, "finish_mission_fade" },
    { 0x3791, "finishairstrikeusage" },
    { 0x3792, "finishcoverexitnotetracks" },
    { 0x3793, "finishdeathwaiter" },
    { 0x3794, "finished" },
    { 0x3795, "finished_spawning" },
    { 0x3796, "finishedreload" },
    { 0x3797, "finishnotetracks" },
    { 0x3798, "finishplayerdamagewrapper" },
    { 0x3799, "finishreconagentloadout" },
    { 0x379A, "finishtraversedrop" },
    { 0x379B, "fire" },
    { 0x379C, "fire_and_forget" },
    { 0x379D, "fire_archlight_rumbles" },
    { 0x379E, "fire_at_dead_time" },
    { 0x379F, "fire_at_ent" },
    { 0x37A0, "fire_at_target" },
    { 0x37A1, "fire_at_target_until_dead" },
    { 0x37A2, "fire_at_truck_01" },
    { 0x37A3, "fire_bullets_at_ent" },
    { 0x37A4, "fire_burst" },
    { 0x37A5, "fire_delay" },
    { 0x37A6, "fire_door_1_close" },
    { 0x37A7, "fire_door_1_open" },
    { 0x37A8, "fire_door_shield" },
    { 0x37A9, "fire_drone_swarm_at_walker" },
    { 0x37AA, "fire_drones_at_ent" },
    { 0x37AB, "fire_effect" },
    { 0x37AC, "fire_effects" },
    { 0x37AD, "fire_emp_wave" },
    { 0x37AE, "fire_ending_light" },
    { 0x37AF, "fire_fake_rocket_function" },
    { 0x37B0, "fire_first_tanker_missile" },
    { 0x37B1, "fire_flicker" },
    { 0x37B2, "fire_guns" },
    { 0x37B3, "fire_hint_display" },
    { 0x37B4, "fire_inside_02_manage" },
    { 0x37B5, "fire_light_on_dna_bomb_01" },
    { 0x37B6, "fire_light_on_dna_bomb_02" },
    { 0x37B7, "fire_loop_at_target_with_delay" },
    { 0x37B8, "fire_missile" },
    { 0x37B9, "fire_missiles" },
    { 0x37BA, "fire_missiles_at_drone_swarm" },
    { 0x37BB, "fire_missles_at_target_array" },
    { 0x37BC, "fire_missles_at_target_array_repeated" },
    { 0x37BD, "fire_notetrack_functions" },
    { 0x37BE, "fire_on_allies" },
    { 0x37BF, "fire_radius" },
    { 0x37C0, "fire_random_bomblet" },
    { 0x37C1, "fire_rate" },
    { 0x37C2, "fire_rocket_at" },
    { 0x37C3, "fire_rockets" },
    { 0x37C4, "fire_rope" },
    { 0x37C5, "fire_straight" },
    { 0x37C6, "fire_straight_bomblet" },
    { 0x37C7, "fire_targeted_bomblet" },
    { 0x37C8, "fireai" },
    { 0x37C9, "fireairocket" },
    { 0x37CA, "fireatposition" },
    { 0x37CB, "firebabymissile" },
    { 0x37CC, "firebigorbitalsupportgun" },
    { 0x37CD, "firebuddymediumorbitalsupportgun" },
    { 0x37CE, "firebuddythreatgrenades" },
    { 0x37CF, "firecontroller" },
    { 0x37D0, "firecontroller_minigun" },
    { 0x37D1, "firecontrollerfunc" },
    { 0x37D2, "firedirector" },
    { 0x37D3, "firedroppod" },
    { 0x37D4, "fireduration" },
    { 0x37D5, "fireempgrenades" },
    { 0x37D6, "fireinterval" },
    { 0x37D7, "firekamikazedrones" },
    { 0x37D8, "firelaserbeam" },
    { 0x37D9, "firelight_on_plane_01" },
    { 0x37DA, "firelight_volume" },
    { 0x37DB, "firelight_volume2" },
    { 0x37DC, "firemangarockets" },
    { 0x37DD, "firemediumorbitalsupportgun" },
    { 0x37DE, "firemediumorbitalsupportvolley" },
    { 0x37DF, "firemissile" },
    { 0x37E0, "fireorbitalmissile" },
    { 0x37E1, "firepod" },
    { 0x37E2, "firereadytime" },
    { 0x37E3, "firerocketorbitalsupportgun" },
    { 0x37E4, "firerocketswarm" },
    { 0x37E5, "fires_explosives" },
    { 0x37E6, "firesoundent" },
    { 0x37E7, "firestingerrumble" },
    { 0x37E8, "firetarget" },
    { 0x37E9, "fireteammembers" },
    { 0x37EA, "firethreatgrenades" },
    { 0x37EB, "firetime" },
    { 0x37EC, "fireuntiloutofammo" },
    { 0x37ED, "fireuntiloutofammo_waittillended" },
    { 0x37EE, "fireuntiloutofammointernal" },
    { 0x37EF, "firewarbirdrockets" },
    { 0x37F0, "firewarbirdthreatgrenades" },
    { 0x37F1, "firing_range_kill_glow" },
    { 0x37F2, "firing_range_round_1_glow" },
    { 0x37F3, "firing_range_round_2_glow" },
    { 0x37F4, "firing_range_round_3_glow" },
    { 0x37F5, "firing_range_setup_3dui_screens" },
    { 0x37F6, "firing_range_setup_booth_displays" },
    { 0x37F7, "firing_range_setup_env" },
    { 0x37F8, "firing_range_setup_env_vfx" },
    { 0x37F9, "firing_range_setup_floor_panels" },
    { 0x37FA, "firing_range_setup_max_range" },
    { 0x37FB, "firing_range_setup_min_range" },
    { 0x37FC, "firing_range_setup_target_logic" },
    { 0x37FD, "firing_range_setup_targets" },
    { 0x37FE, "firing_range_setup_triggers" },
    { 0x37FF, "firing_sound_ent" },
    { 0x3800, "firingdamagetrig" },
    { 0x3801, "firingdeathallowed" },
    { 0x3802, "firingguns" },
    { 0x3803, "firingmissiles" },
    { 0x3804, "firingrange" },
    { 0x3805, "firingrangecleanup" },
    { 0x3806, "firingweapons" },
    { 0x3807, "first_drop_pod_submix" },
    { 0x3808, "first_event" },
    { 0x3809, "first_event_max" },
    { 0x380A, "first_event_min" },
    { 0x380B, "first_floor_trigger_think" },
    { 0x380C, "first_frame" },
    { 0x380D, "first_frame_time" },
    { 0x380E, "first_guy_looking" },
    { 0x380F, "first_nightclub_room_setup" },
    { 0x3810, "first_oven" },
    { 0x3811, "first_point" },
    { 0x3812, "first_response" },
    { 0x3813, "first_touch" },
    { 0x3814, "firstbloodevent" },
    { 0x3815, "firstbreacher" },
    { 0x3816, "firstcapture" },
    { 0x3817, "firstcontact" },
    { 0x3818, "firstdroppod" },
    { 0x3819, "firstguy" },
    { 0x381A, "firsthalftimepassed" },
    { 0x381B, "firstinfectedevent" },
    { 0x381C, "firstinit" },
    { 0x381D, "firstkillstreakearned" },
    { 0x381E, "firstplacement" },
    { 0x381F, "firstspawn" },
    { 0x3820, "firsttimedamaged" },
    { 0x3821, "fish_a" },
    { 0x3822, "fish_animloop" },
    { 0x3823, "fish_b" },
    { 0x3824, "fishbubblesfx" },
    { 0x3825, "fix_dark_script_models" },
    { 0x3826, "fixakimbostring" },
    { 0x3827, "fixed_point_on_squished_sphere" },
    { 0x3828, "fixed_point_squished_sphere" },
    { 0x3829, "fixednodesaferadius_default" },
    { 0x382A, "fixednodewason" },
    { 0x382B, "fixlocalfocus" },
    { 0x382C, "flag" },
    { 0x382D, "flag_assert" },
    { 0x382E, "flag_carriers" },
    { 0x382F, "flag_clear" },
    { 0x3830, "flag_clear_delayed" },
    { 0x3831, "flag_construction_enable_pitbull_shooting" },
    { 0x3832, "flag_count" },
    { 0x3833, "flag_count_decrement" },
    { 0x3834, "flag_count_increment" },
    { 0x3835, "flag_count_set" },
    { 0x3836, "flag_distances" },
    { 0x3837, "flag_exist" },
    { 0x3838, "flag_hack" },
    { 0x3839, "flag_has_been_captured_before" },
    { 0x383A, "flag_has_never_been_captured" },
    { 0x383B, "flag_init" },
    { 0x383C, "flag_on_death" },
    { 0x383D, "flag_set" },
    { 0x383E, "flag_set_delayed" },
    { 0x383F, "flag_set_on_timeout" },
    { 0x3840, "flag_set_once_either_set" },
    { 0x3841, "flag_set_once_this_set" },
    { 0x3842, "flag_set_when_room_cleared" },
    { 0x3843, "flag_smash" },
    { 0x3844, "flag_struct" },
    { 0x3845, "flag_trigger_init" },
    { 0x3846, "flag_triggers_init" },
    { 0x3847, "flag_turret_for_use" },
    { 0x3848, "flag_wait" },
    { 0x3849, "flag_wait_all" },
    { 0x384A, "flag_wait_any" },
    { 0x384B, "flag_wait_any_or_timeout" },
    { 0x384C, "flag_wait_any_return" },
    { 0x384D, "flag_wait_bones" },
    { 0x384E, "flag_wait_both_or_timeout" },
    { 0x384F, "flag_wait_burke" },
    { 0x3850, "flag_wait_either" },
    { 0x3851, "flag_wait_either_return" },
    { 0x3852, "flag_wait_either_timeout" },
    { 0x3853, "flag_wait_joker" },
    { 0x3854, "flag_wait_or_timeout" },
    { 0x3855, "flag_waitopen" },
    { 0x3856, "flag_waitopen_both" },
    { 0x3857, "flag_waitopen_either" },
    { 0x3858, "flag_waitopen_either_return" },
    { 0x3859, "flag_waitopen_or_timeout" },
    { 0x385A, "flagawayvo" },
    { 0x385B, "flagbasefxid" },
    { 0x385C, "flagbasemodel" },
    { 0x385D, "flagcaptureevent" },
    { 0x385E, "flageffects" },
    { 0x385F, "flageffectsstop" },
    { 0x3860, "flagfx" },
    { 0x3861, "flagfxid" },
    { 0x3862, "flagged_for_use" },
    { 0x3863, "flaggroundfxid" },
    { 0x3864, "flagmodel" },
    { 0x3865, "flagmonitor" },
    { 0x3866, "flagpickupevent" },
    { 0x3867, "flagreturnevent" },
    { 0x3868, "flagreturntime" },
    { 0x3869, "flags" },
    { 0x386A, "flags_lock" },
    { 0x386B, "flagsetup" },
    { 0x386C, "flagstowedfxid" },
    { 0x386D, "flagwaitthread" },
    { 0x386E, "flagwaitthread_proc" },
    { 0x386F, "flak_explode" },
    { 0x3870, "flak_intro_sequence" },
    { 0x3871, "flak_nag_vo" },
    { 0x3872, "flak_pepper_player" },
    { 0x3873, "flak_scenario1" },
    { 0x3874, "flame_loop" },
    { 0x3875, "flame_loop2" },
    { 0x3876, "flank_alley_door_kick" },
    { 0x3877, "flank_alley_door_kick_civilian_react" },
    { 0x3878, "flank_alley_door_kick_doors_open" },
    { 0x3879, "flank_alley_goto" },
    { 0x387A, "flank_alley_spawn_group_b" },
    { 0x387B, "flank_alley_spawn_group_c" },
    { 0x387C, "flank_alley_spawn_group_d" },
    { 0x387D, "flank_alley_turret_fire" },
    { 0x387E, "flank_combat" },
    { 0x387F, "flank_gunner_damage_function" },
    { 0x3880, "flank_handle_player_bypass" },
    { 0x3881, "flank_magic_gren" },
    { 0x3882, "flank_make_gunner_vulerable" },
    { 0x3883, "flank_right_dialogue" },
    { 0x3884, "flank_technical_unload" },
    { 0x3885, "flank_wall_climb_force_check" },
    { 0x3886, "flank_wall_climb_force_dismount" },
    { 0x3887, "flap_animclose" },
    { 0x3888, "flap_animidleclose" },
    { 0x3889, "flap_animidleopen" },
    { 0x388A, "flap_animopen" },
    { 0x388B, "flaps" },
    { 0x388C, "flaps_top" },
    { 0x388D, "flare_cormack" },
    { 0x388E, "flare_duration" },
    { 0x388F, "flare_fx" },
    { 0x3890, "flare_model" },
    { 0x3891, "flare_warning" },
    { 0x3892, "flares_active" },
    { 0x3893, "flares_during_standoff" },
    { 0x3894, "flares_fire" },
    { 0x3895, "flares_fire_burst" },
    { 0x3896, "flares_get_vehicle_velocity" },
    { 0x3897, "flares_hint" },
    { 0x3898, "flares_redirect_missiles" },
    { 0x3899, "flares_think" },
    { 0x389A, "flaresdeployedyaw" },
    { 0x389B, "flarestarget" },
    { 0x389C, "flash_attack" },
    { 0x389D, "flash_fxs" },
    { 0x389E, "flash_mob1" },
    { 0x389F, "flash_mob2" },
    { 0x38A0, "flash_mob3" },
    { 0x38A1, "flash_signs" },
    { 0x38A2, "flashanimindex" },
    { 0x38A3, "flashbanganim" },
    { 0x38A4, "flashbangedloop" },
    { 0x38A5, "flashbanggettimeleftsec" },
    { 0x38A6, "flashbangimmunity" },
    { 0x38A7, "flashbangisactive" },
    { 0x38A8, "flashbangplayer" },
    { 0x38A9, "flashbangstart" },
    { 0x38AA, "flashbangstop" },
    { 0x38AB, "flashcount" },
    { 0x38AC, "flashduration" },
    { 0x38AD, "flashed" },
    { 0x38AE, "flashedkillevent" },
    { 0x38AF, "flashendtime" },
    { 0x38B0, "flashfrac" },
    { 0x38B1, "flashfx" },
    { 0x38B2, "flashing_welding" },
    { 0x38B3, "flashing_welding_death_handler" },
    { 0x38B4, "flashingteam" },
    { 0x38B5, "flashlight" },
    { 0x38B6, "flashlight_fx" },
    { 0x38B7, "flashlight_guy" },
    { 0x38B8, "flashlight_off_think" },
    { 0x38B9, "flashlight_on" },
    { 0x38BA, "flashlight_parm_offset" },
    { 0x38BB, "flashlight_parm_point_light" },
    { 0x38BC, "flashlight_parm_spotlight" },
    { 0x38BD, "flashlight_parm_type" },
    { 0x38BE, "flashlight_tag" },
    { 0x38BF, "flashmonitor" },
    { 0x38C0, "flashmonitorenablehealthshield" },
    { 0x38C1, "flashnearbyallies" },
    { 0x38C2, "flashrumbleduration" },
    { 0x38C3, "flashrumbleloop" },
    { 0x38C4, "flashthread" },
    { 0x38C5, "flashthrown" },
    { 0x38C6, "flat_angle" },
    { 0x38C7, "flat_origin" },
    { 0x38C8, "flavorburstlinedebug" },
    { 0x38C9, "flavorbursts" },
    { 0x38CA, "flavorbursts_off" },
    { 0x38CB, "flavorbursts_on" },
    { 0x38CC, "flavorburstsused" },
    { 0x38CD, "flavorburstvoices" },
    { 0x38CE, "flavorburstwouldrepeat" },
    { 0x38CF, "fleeingcivilian_roundaboutexit_lobby" },
    { 0x38D0, "fleethreshold" },
    { 0x38D1, "flicker_motion_presets" },
    { 0x38D2, "flicker_presets" },
    { 0x38D3, "flickering" },
    { 0x38D4, "flickering_light" },
    { 0x38D5, "flickering_tunnel_light" },
    { 0x38D6, "flickerlight" },
    { 0x38D7, "flickerlightintensity" },
    { 0x38D8, "flickerlights" },
    { 0x38D9, "flickerstaticoverlay" },
    { 0x38DA, "flickertransmeshes" },
    { 0x38DB, "flight_code_main" },
    { 0x38DC, "flight_code_start" },
    { 0x38DD, "flinch" },
    { 0x38DE, "flinching" },
    { 0x38DF, "flinchwhensuppressed" },
    { 0x38E0, "flip_spot_light" },
    { 0x38E1, "flipbook_model" },
    { 0x38E2, "float_lerp" },
    { 0x38E3, "floaters" },
    { 0x38E4, "flock" },
    { 0x38E5, "flock_drones" },
    { 0x38E6, "flock_goal_offset" },
    { 0x38E7, "flock_goal_position" },
    { 0x38E8, "flood_and_secure" },
    { 0x38E9, "flood_and_secure_spawn" },
    { 0x38EA, "flood_and_secure_spawn_goal" },
    { 0x38EB, "flood_and_secure_spawner" },
    { 0x38EC, "flood_and_secure_spawner_think" },
    { 0x38ED, "flood_spawn" },
    { 0x38EE, "flood_spawner_init" },
    { 0x38EF, "flood_spawner_scripted" },
    { 0x38F0, "flood_spawner_stop" },
    { 0x38F1, "flood_spawner_think" },
    { 0x38F2, "flood_trigger_think" },
    { 0x38F3, "floor_override" },
    { 0x38F4, "flushdialogonplayer" },
    { 0x38F5, "flushgroupdialog" },
    { 0x38F6, "flushgroupdialogonplayer" },
    { 0x38F7, "fly_away_be_free" },
    { 0x38F8, "fly_drone_activate" },
    { 0x38F9, "fly_drone_camera_start_1" },
    { 0x38FA, "fly_drone_camera_start_2" },
    { 0x38FB, "fly_drone_intro_dialogue" },
    { 0x38FC, "fly_drone_intro_kva_dialogue" },
    { 0x38FD, "fly_drone_nag" },
    { 0x38FE, "fly_drone_picture_live" },
    { 0x38FF, "fly_drone_rumbling" },
    { 0x3900, "fly_drone_transition_off" },
    { 0x3901, "fly_drone_transition_on" },
    { 0x3902, "fly_drone_ui_off" },
    { 0x3903, "fly_drone_ui_on" },
    { 0x3904, "fly_ending_mix" },
    { 0x3905, "fly_fade_in_intro" },
    { 0x3906, "fly_in_ambient_heli_squad" },
    { 0x3907, "fly_in_ambient_jets" },
    { 0x3908, "fly_in_ambient_street_jets" },
    { 0x3909, "fly_in_dialogue" },
    { 0x390A, "fly_in_dialogue_part2" },
    { 0x390B, "fly_in_hud" },
    { 0x390C, "fly_in_hud_overlay" },
    { 0x390D, "fly_in_primary_light_setup" },
    { 0x390E, "fly_in_rooftop_combat_dialogue" },
    { 0x390F, "fly_in_rumble" },
    { 0x3910, "fly_in_scene_part1" },
    { 0x3911, "fly_in_scene_part2" },
    { 0x3912, "fly_in_sequence" },
    { 0x3913, "fly_in_squad_uncloak" },
    { 0x3914, "fly_in_vfx_dopl_light_setup" },
    { 0x3915, "fly_think" },
    { 0x3916, "fly_think_autopilot" },
    { 0x3917, "fly_think_autopilot_player" },
    { 0x3918, "fly_think_formation" },
    { 0x3919, "fly_think_constrained" },
    { 0x391A, "fly_to_target" },
    { 0x391B, "flyby" },
    { 0x391C, "flyin" },
    { 0x391D, "flyin_handle_steady_rumble" },
    { 0x391E, "flyin_scene_handle_vehicle_destroyed_rumbles" },
    { 0x391F, "flyin_steady_rumble_intensity" },
    { 0x3920, "flyinanimations" },
    { 0x3921, "flying" },
    { 0x3922, "flying_attack_drone_damage_monitor" },
    { 0x3923, "flying_attack_drone_damage_update" },
    { 0x3924, "flying_attack_drone_death_monitor" },
    { 0x3925, "flying_attack_drone_goal_update" },
    { 0x3926, "flying_attack_drone_logic" },
    { 0x3927, "flying_attack_drone_move_think" },
    { 0x3928, "flying_attack_drone_move_think_old" },
    { 0x3929, "flying_attack_drone_stun_monitor" },
    { 0x392A, "flying_attack_drone_system_init" },
    { 0x392B, "flying_attack_drones" },
    { 0x392C, "flying_by" },
    { 0x392D, "flying_over" },
    { 0x392E, "flyingbuildingent" },
    { 0x392F, "flyingspeed" },
    { 0x3930, "flylp" },
    { 0x3931, "flynodeorgtracepassed" },
    { 0x3932, "flyvignette" },
    { 0x3933, "fndogmeleevictim" },
    { 0x3934, "fnoverlord" },
    { 0x3935, "foam_corridor_dialogue" },
    { 0x3936, "foam_corridor_enemy_think" },
    { 0x3937, "foam_corridor_nag_dialogue" },
    { 0x3938, "foam_grenade" },
    { 0x3939, "foam_plant_dof" },
    { 0x393A, "foam_planted_kill_enemies" },
    { 0x393B, "foam_room" },
    { 0x393C, "foam_room_clear_think" },
    { 0x393D, "foam_room_complete_dialogue" },
    { 0x393E, "foam_room_crmk_plant_these_frvs" },
    { 0x393F, "foam_room_dialogue" },
    { 0x3940, "foam_room_door_01_close" },
    { 0x3941, "foam_room_door_02_close" },
    { 0x3942, "foam_room_door_03_close" },
    { 0x3943, "foam_room_door_close" },
    { 0x3944, "foam_room_door_think" },
    { 0x3945, "foam_room_end_animation" },
    { 0x3946, "foam_room_logic" },
    { 0x3947, "foam_room_video_log" },
    { 0x3948, "foambombfoams" },
    { 0x3949, "fob_ambient_battle_chatter" },
    { 0x394A, "fob_block_player_in" },
    { 0x394B, "fob_blocking" },
    { 0x394C, "fob_dof" },
    { 0x394D, "fob_drop_pod_1" },
    { 0x394E, "fob_drop_pod_fake" },
    { 0x394F, "fob_fire_lighting" },
    { 0x3950, "fob_ignore_management" },
    { 0x3951, "fob_injured_guys" },
    { 0x3952, "fob_meetup_vo" },
    { 0x3953, "fob_out_of_bounds_fail" },
    { 0x3954, "fob_placed_unload" },
    { 0x3955, "fob_player_blocking" },
    { 0x3956, "fob_pod_anims" },
    { 0x3957, "fob_stand_idles" },
    { 0x3958, "fob_stand_twitches" },
    { 0x3959, "fob_street_dof" },
    { 0x395A, "fog_entrance_doors" },
    { 0x395B, "fog_set" },
    { 0x395C, "fog_set_changes" },
    { 0x395D, "fog_setup_shopping_restaraunt_interior_enter" },
    { 0x395E, "fog_setup_shopping_restaraunt_interior_exit" },
    { 0x395F, "fog_transition_ent" },
    { 0x3960, "fogcheck" },
    { 0x3961, "fogflash" },
    { 0x3962, "fogset" },
    { 0x3963, "follow_crash_path" },
    { 0x3964, "follow_dist" },
    { 0x3965, "follow_drone_turret_target" },
    { 0x3966, "follow_enemy_with_laser" },
    { 0x3967, "follow_ent" },
    { 0x3968, "follow_path" },
    { 0x3969, "follow_path_and_animate" },
    { 0x396A, "follow_path_animate_set_ent" },
    { 0x396B, "follow_path_animate_set_node" },
    { 0x396C, "follow_path_animate_set_struct" },
    { 0x396D, "follow_path_wait_for_player" },
    { 0x396E, "follow_tag" },
    { 0x396F, "follow_volume" },
    { 0x3970, "follow_volume_array" },
    { 0x3971, "follow_volume_designated_head_bottom" },
    { 0x3972, "follow_volume_designated_head_top" },
    { 0x3973, "follow_volume_maintain_count" },
    { 0x3974, "follow_volume_status" },
    { 0x3975, "follow_volume_target" },
    { 0x3976, "follow_volume_target_opposite" },
    { 0x3977, "follow_volume_think" },
    { 0x3978, "followspeed" },
    { 0x3979, "font_color" },
    { 0x397A, "font_size" },
    { 0x397B, "fontheight" },
    { 0x397C, "fontpulse" },
    { 0x397D, "fontpulseinit" },
    { 0x397E, "fontscaler" },
    { 0x397F, "foo_env_function" },
    { 0x3980, "foodtruck_drone_walk_away_left" },
    { 0x3981, "foodtruck_drone_walk_away_right" },
    { 0x3982, "footstep_environmental_elements" },
    { 0x3983, "force_alert_patrol" },
    { 0x3984, "force_alert_trigger_monitor" },
    { 0x3985, "force_alert_trigger_setup" },
    { 0x3986, "force_all_complete" },
    { 0x3987, "force_all_players_to_role" },
    { 0x3988, "force_animated_dismount" },
    { 0x3989, "force_bounce_on" },
    { 0x398A, "force_bounce_on_briefing_hanger" },
    { 0x398B, "force_bounce_on_briefing_hanger_02" },
    { 0x398C, "force_civilian_hunched_run" },
    { 0x398D, "force_civilian_stand_run" },
    { 0x398E, "force_color_driven_anim" },
    { 0x398F, "force_crawl_angle" },
    { 0x3990, "force_crawling_death" },
    { 0x3991, "force_crawling_death_proc" },
    { 0x3992, "force_exit_turbine_combat_complete" },
    { 0x3993, "force_explosion" },
    { 0x3994, "force_face_anim_to_play" },
    { 0x3995, "force_fake_laser_origin_link" },
    { 0x3996, "force_highlight" },
    { 0x3997, "force_kamikaze" },
    { 0x3998, "force_kill" },
    { 0x3999, "force_laser_on" },
    { 0x399A, "force_new_goal" },
    { 0x399B, "force_num_crawls" },
    { 0x399C, "force_patrol_anim_set" },
    { 0x399D, "force_patrol_anim_set_immediately_or_when_spawned" },
    { 0x399E, "force_play_land_assist_hint" },
    { 0x399F, "force_player_angles" },
    { 0x39A0, "force_run_speed_state" },
    { 0x39A1, "force_shadow_hotel" },
    { 0x39A2, "force_shadow_off_subcarback_firespot" },
    { 0x39A3, "force_shadow_on_subcarback_firespot" },
    { 0x39A4, "force_start_catchup" },
    { 0x39A5, "force_stop_sound" },
    { 0x39A6, "force_to_always_sidearm" },
    { 0x39A7, "force_uncloak_on_fire" },
    { 0x39A8, "force_vehicle_delete" },
    { 0x39A9, "forcealtmeleedeaths" },
    { 0x39AA, "forceattack" },
    { 0x39AB, "forceavatarrefresh" },
    { 0x39AC, "forcebuddyspawn" },
    { 0x39AD, "forceclassselection" },
    { 0x39AE, "forcecolor" },
    { 0x39AF, "forcecustomclassloc" },
    { 0x39B0, "forced_s1_motionset" },
    { 0x39B1, "forced_s1_motionset_overided" },
    { 0x39B2, "forced_slowmo_breach_lerpout" },
    { 0x39B3, "forced_slowmo_breach_slowdown" },
    { 0x39B4, "forced_start_catchup" },
    { 0x39B5, "forced_startingposition" },
    { 0x39B6, "forcedend" },
    { 0x39B7, "forcedgameskill" },
    { 0x39B8, "forcedisable" },
    { 0x39B9, "forcedisconnectuntil" },
    { 0x39BA, "forceend" },
    { 0x39BB, "forceenglish" },
    { 0x39BC, "forceexploding" },
    { 0x39BD, "forcefallthroughonropes" },
    { 0x39BE, "forcegoal" },
    { 0x39BF, "forcelaser" },
    { 0x39C0, "forcelongdeath" },
    { 0x39C1, "forceranking" },
    { 0x39C2, "forcerespawn" },
    { 0x39C3, "forcerespawn_time" },
    { 0x39C4, "forcerespawn_timer" },
    { 0x39C5, "forcesidearm" },
    { 0x39C6, "forcespawn" },
    { 0x39C7, "forcespawnangles" },
    { 0x39C8, "forcespawnorigin" },
    { 0x39C9, "forcespawnteam" },
    { 0x39CA, "forcestyle" },
    { 0x39CB, "forcesuppression" },
    { 0x39CC, "forcetarget" },
    { 0x39CD, "forcetonode" },
    { 0x39CE, "forceuseweapon" },
    { 0x39CF, "foreat_stealth_ambient_vehicle_drive_by" },
    { 0x39D0, "forest_ambient_enemy_se" },
    { 0x39D1, "forest_climb_wall_start" },
    { 0x39D2, "forest_mech_spawn" },
    { 0x39D3, "forest_start_logic" },
    { 0x39D4, "forest_stealth_gaz_think" },
    { 0x39D5, "forest_takedown" },
    { 0x39D6, "forest_takedown_01_rumbles" },
    { 0x39D7, "forest_takedown_02_ai_kill" },
    { 0x39D8, "forest_takedown_dof" },
    { 0x39D9, "forest_takedown_fx" },
    { 0x39DA, "forest_takedown_handle_gideon_weapon" },
    { 0x39DB, "forest_takedown_start_logic" },
    { 0x39DC, "forfeit_aborted" },
    { 0x39DD, "forfeitinprogress" },
    { 0x39DE, "forfeitwaitforabort" },
    { 0x39DF, "forget_time" },
    { 0x39E0, "forklift" },
    { 0x39E1, "forklift_audio_loop" },
    { 0x39E2, "forklift_crate_prop" },
    { 0x39E3, "forklift_door_prop" },
    { 0x39E4, "forklift_driver" },
    { 0x39E5, "forklift_fail_trigger_setup" },
    { 0x39E6, "forklift_org" },
    { 0x39E7, "forklift_setup" },
    { 0x39E8, "forklift_stop_watcher" },
    { 0x39E9, "form_patrol_group" },
    { 0x39EA, "formation_pos" },
    { 0x39EB, "formation_volumes" },
    { 0x39EC, "forward_direction" },
    { 0x39ED, "forward_punish_dist" },
    { 0x39EE, "forwardvec" },
    { 0x39EF, "found" },
    { 0x39F0, "found_corpse_wait" },
    { 0x39F1, "found_distsqrd" },
    { 0x39F2, "found_dog_distsqrd" },
    { 0x39F3, "found_toucher" },
    { 0x39F4, "fountaincivilians" },
    { 0x39F5, "fourplayevent" },
    { 0x39F6, "fov_face" },
    { 0x39F7, "fov_face_count" },
    { 0x39F8, "fov_inner" },
    { 0x39F9, "fov_lerp_to_50_blendtime" },
    { 0x39FA, "fov_original" },
    { 0x39FB, "fov_outer" },
    { 0x39FC, "fov_reset_previous" },
    { 0x39FD, "fov_screen" },
    { 0x39FE, "fov_screen_count" },
    { 0x39FF, "fov_set_to_35" },
    { 0x3A00, "fov_snap_to_55" },
    { 0x3A01, "fov_snipe" },
    { 0x3A02, "fovslidercheck" },
    { 0x3A03, "fparams" },
    { 0x3A04, "fps_controls" },
    { 0x3A05, "fr_start" },
    { 0x3A06, "frac" },
    { 0x3A07, "frame_rate_tune_shadows_heli_crash" },
    { 0x3A08, "frame_rate_tune_shadows_roof_top" },
    { 0x3A09, "frame_rate_tune_shadows_turn_to_right" },
    { 0x3A0A, "frame_rate_tune_shadows_up_over_cliff" },
    { 0x3A0B, "frame_selected" },
    { 0x3A0C, "frame_wait_building_jump" },
    { 0x3A0D, "framedelay" },
    { 0x3A0E, "framerollacceleration" },
    { 0x3A0F, "frames_visible" },
    { 0x3A10, "frameviewmodel" },
    { 0x3A11, "frameviewmodeloffset" },
    { 0x3A12, "frb_plant_rumbles" },
    { 0x3A13, "free_on_death" },
    { 0x3A14, "free_running" },
    { 0x3A15, "free_running_hidden_weapon" },
    { 0x3A16, "freedrive_dodge_static_early_distance" },
    { 0x3A17, "freedrive_playermatch_catchup_multiplier" },
    { 0x3A18, "freedrive_playermatch_catchup_ramp_end_dist" },
    { 0x3A19, "freedrive_playermatch_catchup_ramp_start_dist" },
    { 0x3A1A, "freedrive_playermatch_farahead_delete_dist" },
    { 0x3A1B, "freedrive_playermatch_farbehind_delete_dist" },
    { 0x3A1C, "freedrive_playermatch_matched_multiplier" },
    { 0x3A1D, "freedrive_playermatch_slowdown_multiplier" },
    { 0x3A1E, "freedrive_playermatch_slowdown_ramp_end_dist" },
    { 0x3A1F, "freedrive_playermatch_slowdown_ramp_start_dist" },
    { 0x3A20, "freedrive_progress_mod_default" },
    { 0x3A21, "freedrive_progress_mod_step" },
    { 0x3A22, "freedrive_stay_within_percent_of_edge" },
    { 0x3A23, "freedrive_vehicle_min_allowed_speed" },
    { 0x3A24, "freeentitysentient_func" },
    { 0x3A25, "freefall" },
    { 0x3A26, "freegameplayhudelems" },
    { 0x3A27, "freeplayer" },
    { 0x3A28, "freeplayers" },
    { 0x3A29, "freerun_backtrack_death_squad_spawners" },
    { 0x3A2A, "freerun_enemy_alert_notified" },
    { 0x3A2B, "freerun_fail_hunter" },
    { 0x3A2C, "freerun_walker_array" },
    { 0x3A2D, "freeze_anim_at_end" },
    { 0x3A2E, "freezeallplayers" },
    { 0x3A2F, "freezeatriumfighttimer" },
    { 0x3A30, "freezecontrolswrapper" },
    { 0x3A31, "freezecontrolswrapperwithdelay" },
    { 0x3A32, "freezemarkettimer" },
    { 0x3A33, "freezeplayerforroundend" },
    { 0x3A34, "freq" },
    { 0x3A35, "frequencysource" },
    { 0x3A36, "frequencytarget" },
    { 0x3A37, "friend_jets" },
    { 0x3A38, "friend_kill_points" },
    { 0x3A39, "friendlies_breach" },
    { 0x3A3A, "friendlies_shoot_while_breaching" },
    { 0x3A3B, "friendly_acc_hidden" },
    { 0x3A3C, "friendly_acc_spotted" },
    { 0x3A3D, "friendly_airstrike" },
    { 0x3A3E, "friendly_anim_ent" },
    { 0x3A3F, "friendly_animations" },
    { 0x3A40, "friendly_bias" },
    { 0x3A41, "friendly_breach" },
    { 0x3A42, "friendly_breach_thread" },
    { 0x3A43, "friendly_bubbles" },
    { 0x3A44, "friendly_bubbles_cleanup" },
    { 0x3A45, "friendly_bubbles_cleanup_on_death" },
    { 0x3A46, "friendly_bubbles_stop" },
    { 0x3A47, "friendly_can_teleport" },
    { 0x3A48, "friendly_color_hidden" },
    { 0x3A49, "friendly_color_spotted" },
    { 0x3A4A, "friendly_compute_score" },
    { 0x3A4B, "friendly_compute_stances_ai" },
    { 0x3A4C, "friendly_compute_stances_player" },
    { 0x3A4D, "friendly_custom_acc_behavior" },
    { 0x3A4E, "friendly_custom_color_behavior" },
    { 0x3A4F, "friendly_custom_state_behavior" },
    { 0x3A50, "friendly_default_acc_behavior" },
    { 0x3A51, "friendly_default_color_behavior" },
    { 0x3A52, "friendly_default_movespeed_scale" },
    { 0x3A53, "friendly_default_stance_handler_distances" },
    { 0x3A54, "friendly_default_state_behavior" },
    { 0x3A55, "friendly_fire_checkpoints" },
    { 0x3A56, "friendly_fire_fail_check" },
    { 0x3A57, "friendly_fire_think" },
    { 0x3A58, "friendly_get_stance" },
    { 0x3A59, "friendly_getangles_ai" },
    { 0x3A5A, "friendly_getangles_player" },
    { 0x3A5B, "friendly_getinshadow" },
    { 0x3A5C, "friendly_getstance_ai" },
    { 0x3A5D, "friendly_getstance_player" },
    { 0x3A5E, "friendly_getvelocity" },
    { 0x3A5F, "friendly_hud_destroy_on_mission_end" },
    { 0x3A60, "friendly_hud_icon_blink_on_damage" },
    { 0x3A61, "friendly_hud_icon_blink_on_fire" },
    { 0x3A62, "friendly_hud_icon_flash" },
    { 0x3A63, "friendly_hud_init" },
    { 0x3A64, "friendly_init" },
    { 0x3A65, "friendly_mg42" },
    { 0x3A66, "friendly_mg42_cleanup" },
    { 0x3A67, "friendly_mg42_death_notify" },
    { 0x3A68, "friendly_mg42_doneusingturret" },
    { 0x3A69, "friendly_mg42_endtrigger" },
    { 0x3A6A, "friendly_mg42_stop_use" },
    { 0x3A6B, "friendly_mg42_think" },
    { 0x3A6C, "friendly_mg42_useable" },
    { 0x3A6D, "friendly_mg42_wait_for_use" },
    { 0x3A6E, "friendly_mgturret" },
    { 0x3A6F, "friendly_nearby" },
    { 0x3A70, "friendly_pitbull" },
    { 0x3A71, "friendly_pitbull_aim" },
    { 0x3A72, "friendly_pitbull_fire" },
    { 0x3A73, "friendly_pitbull_headlights_off" },
    { 0x3A74, "friendly_pitbull_headlights_on" },
    { 0x3A75, "friendly_pitbull_shadow_chase_van" },
    { 0x3A76, "friendly_pitbull_shadow_player" },
    { 0x3A77, "friendly_pose" },
    { 0x3A78, "friendly_promotion_thread" },
    { 0x3A79, "friendly_respawn_lock_func" },
    { 0x3A7A, "friendly_respawn_vision_checker_thread" },
    { 0x3A7B, "friendly_set_movespeed_scale" },
    { 0x3A7C, "friendly_set_stance_handler_distances" },
    { 0x3A7D, "friendly_spawner" },
    { 0x3A7E, "friendly_spotted_getup_from_prone" },
    { 0x3A7F, "friendly_stance_handler" },
    { 0x3A80, "friendly_stance_handler_change_stance_down" },
    { 0x3A81, "friendly_stance_handler_change_stance_up" },
    { 0x3A82, "friendly_stance_handler_check_mightbeseen" },
    { 0x3A83, "friendly_stance_handler_resume_path" },
    { 0x3A84, "friendly_stance_handler_return_ai_sight" },
    { 0x3A85, "friendly_stance_handler_set_stance_up" },
    { 0x3A86, "friendly_stance_handler_stay_still" },
    { 0x3A87, "friendly_startup_thread" },
    { 0x3A88, "friendly_state_hidden" },
    { 0x3A89, "friendly_state_spotted" },
    { 0x3A8A, "friendly_thermal_reflector_effect" },
    { 0x3A8B, "friendly_visibility_logic" },
    { 0x3A8C, "friendly_wave" },
    { 0x3A8D, "friendly_wave_active" },
    { 0x3A8E, "friendly_wave_masterthread" },
    { 0x3A8F, "friendly_wave_trigger" },
    { 0x3A90, "friendlyboarderfxid" },
    { 0x3A91, "friendlychain" },
    { 0x3A92, "friendlychain_ondeath" },
    { 0x3A93, "friendlychain_ondeaththink" },
    { 0x3A94, "friendlychains" },
    { 0x3A95, "friendlydamage" },
    { 0x3A96, "friendlydeath_thread" },
    { 0x3A97, "friendlyenemyeffects" },
    { 0x3A98, "friendlyenemyeffectsstop" },
    { 0x3A99, "friendlyenemylinkedeffects" },
    { 0x3A9A, "friendlyfire_damage_modifier" },
    { 0x3A9B, "friendlyfire_destructible_attacker" },
    { 0x3A9C, "friendlyfire_enable_attacker_owner_check" },
    { 0x3A9D, "friendlyfire_shield" },
    { 0x3A9E, "friendlyfire_warning" },
    { 0x3A9F, "friendlyfire_warnings" },
    { 0x3AA0, "friendlyfire_warnings_disable" },
    { 0x3AA1, "friendlyfire_warnings_off" },
    { 0x3AA2, "friendlyfire_warnings_on" },
    { 0x3AA3, "friendlyfire_whizby_distances_valid" },
    { 0x3AA4, "friendlyfirecheck" },
    { 0x3AA5, "friendlyfiredisabled" },
    { 0x3AA6, "friendlyfiredisabledfordestructible" },
    { 0x3AA7, "friendlyfirekick" },
    { 0x3AA8, "friendlyflagfxid" },
    { 0x3AA9, "friendlyfx" },
    { 0x3AAA, "friendlyhudicon_currentmaterial" },
    { 0x3AAB, "friendlyhudicon_disable" },
    { 0x3AAC, "friendlyhudicon_downed" },
    { 0x3AAD, "friendlyhudicon_enable" },
    { 0x3AAE, "friendlyhudicon_hideall" },
    { 0x3AAF, "friendlyhudicon_normal" },
    { 0x3AB0, "friendlyhudicon_rotating" },
    { 0x3AB1, "friendlyhudicon_showall" },
    { 0x3AB2, "friendlyhudicon_update" },
    { 0x3AB3, "friendlyicon" },
    { 0x3AB4, "friendlylosmarker" },
    { 0x3AB5, "friendlymarker" },
    { 0x3AB6, "friendlymodel" },
    { 0x3AB7, "friendlynamedist" },
    { 0x3AB8, "friendlyspawnorg" },
    { 0x3AB9, "friendlyspawntrigger" },
    { 0x3ABA, "friendlyspawnwave" },
    { 0x3ABB, "friendlyspawnwave_triggerthink" },
    { 0x3ABC, "friendlytrigger" },
    { 0x3ABD, "friendlywave_thread" },
    { 0x3ABE, "friendlywaypoint" },
    { 0x3ABF, "friendname" },
    { 0x3AC0, "frogger_brake_vehicle_at_trigger" },
    { 0x3AC1, "frogger_bus_spawners" },
    { 0x3AC2, "frogger_combat" },
    { 0x3AC3, "frogger_handle_bypass_middle" },
    { 0x3AC4, "frogger_impact_damage_function" },
    { 0x3AC5, "frogger_middle_guys" },
    { 0x3AC6, "frogger_middle_kill_check" },
    { 0x3AC7, "frogger_release_vehicle_at_trigger" },
    { 0x3AC8, "frogger_slow_down_lane" },
    { 0x3AC9, "frogger_spawn_selection" },
    { 0x3ACA, "frogger_spawners" },
    { 0x3ACB, "frogger_squad_crossing" },
    { 0x3ACC, "frogger_squad_crossing_complete_check" },
    { 0x3ACD, "frogger_teleport_end" },
    { 0x3ACE, "frogger_teleport_end_check" },
    { 0x3ACF, "frogger_teleport_middle" },
    { 0x3AD0, "frogger_teleport_middle_check" },
    { 0x3AD1, "frogger_vehicle_by" },
    { 0x3AD2, "frogger_vehicle_hit_fail" },
    { 0x3AD3, "frogger_vehicle_hit_react" },
    { 0x3AD4, "frogger_vehicle_rumble" },
    { 0x3AD5, "frogger_vehicles" },
    { 0x3AD6, "front_gunfire_timer" },
    { 0x3AD7, "frontshieldmodel" },
    { 0x3AD8, "frontyard_drone_cleanup" },
    { 0x3AD9, "fruit_table_impact" },
    { 0x3ADA, "fstopbase" },
    { 0x3ADB, "fstopperunit" },
    { 0x3ADC, "fuel_refresh_time" },
    { 0x3ADD, "fuel_update_hud" },
    { 0x3ADE, "fueled_up_vo" },
    { 0x3ADF, "fullmodel" },
    { 0x3AE0, "fullsights" },
    { 0x3AE1, "fully_controllable_swarm" },
    { 0x3AE2, "func" },
    { 0x3AE3, "func_bot_get_closest_navigable_point" },
    { 0x3AE4, "func_create_loopsound" },
    { 0x3AE5, "func_destructible_crush_player" },
    { 0x3AE6, "func_get_level_fx" },
    { 0x3AE7, "func_get_nodes_on_path" },
    { 0x3AE8, "func_get_path_dist" },
    { 0x3AE9, "func_loopfxthread" },
    { 0x3AEA, "func_oneshotfxthread" },
    { 0x3AEB, "func_player_speed" },
    { 0x3AEC, "func_position_player" },
    { 0x3AED, "func_position_player_get" },
    { 0x3AEE, "func_process_fx_rotater" },
    { 0x3AEF, "func_updatefx" },
    { 0x3AF0, "function_stack" },
    { 0x3AF1, "function_stack_caller_waits_for_turn" },
    { 0x3AF2, "function_stack_clear" },
    { 0x3AF3, "function_stack_func_begun" },
    { 0x3AF4, "function_stack_proc" },
    { 0x3AF5, "function_stack_self_death" },
    { 0x3AF6, "function_stack_timeout" },
    { 0x3AF7, "function_stack_wait" },
    { 0x3AF8, "function_stack_wait_finish" },
    { 0x3AF9, "functional_tester_load_next_start" },
    { 0x3AFA, "funeral" },
    { 0x3AFB, "funeral_ambient_ai_soldiers" },
    { 0x3AFC, "funeral_anim_ambient" },
    { 0x3AFD, "funeral_anim_card" },
    { 0x3AFE, "funeral_anim_cormack" },
    { 0x3AFF, "funeral_anim_cormack_branch" },
    { 0x3B00, "funeral_anim_driver" },
    { 0x3B01, "funeral_anim_flag" },
    { 0x3B02, "funeral_anim_irons" },
    { 0x3B03, "funeral_anim_irons_wife" },
    { 0x3B04, "funeral_anim_player" },
    { 0x3B05, "funeral_cleanup" },
    { 0x3B06, "funeral_cormack" },
    { 0x3B07, "funeral_intro_black_screen" },
    { 0x3B08, "funeral_irons" },
    { 0x3B09, "funeral_irons_wife" },
    { 0x3B0A, "funeral_play_animated_card" },
    { 0x3B0B, "funeral_submix_handler" },
    { 0x3B0C, "furfx" },
    { 0x3B0D, "furniturepushsound" },
    { 0x3B0E, "fus_burke_ctrl_rm_shoulder_ram" },
    { 0x3B0F, "fus_gideon_bust_open_sec_door" },
    { 0x3B10, "fus_outro_burke_foley" },
    { 0x3B11, "fus_truck_flip_01" },
    { 0x3B12, "fus_truck_flip_02" },
    { 0x3B13, "fusion_door_explosion_swap" },
    { 0x3B14, "fusion_endlogo" },
    { 0x3B15, "fusion_fastzip_quake" },
    { 0x3B16, "fusion_fly_player_mist" },
    { 0x3B17, "fusion_intro_background" },
    { 0x3B18, "fusion_intro_dof" },
    { 0x3B19, "fusion_intro_hades_videolog_vo" },
    { 0x3B1A, "fusion_intro_screen" },
    { 0x3B1B, "fusion_intro_title_text" },
    { 0x3B1C, "fusion_locations" },
    { 0x3B1D, "fusion_silo_collapse_warbird" },
    { 0x3B1E, "fusion_zip_dof" },
    { 0x3B1F, "fwd_aug" },
    { 0x3B20, "fwd_dir" },
    { 0x3B21, "fx" },
    { 0x3B22, "fx_array" },
    { 0x3B23, "fx_autopsy_hatch_open" },
    { 0x3B24, "fx_body_dust_drag" },
    { 0x3B25, "fx_body_dust_mech" },
    { 0x3B26, "fx_bombshakes" },
    { 0x3B27, "fx_bombshakes_physics_jitter" },
    { 0x3B28, "fx_cam_view_test" },
    { 0x3B29, "fx_clamp_rotation" },
    { 0x3B2A, "fx_contrail_handler" },
    { 0x3B2B, "fx_current" },
    { 0x3B2C, "fx_data" },
    { 0x3B2D, "fx_elevator_descent_burke" },
    { 0x3B2E, "fx_emergency_lights" },
    { 0x3B2F, "fx_end_amb_fx" },
    { 0x3B30, "fx_engine_off" },
    { 0x3B31, "fx_engine_on" },
    { 0x3B32, "fx_ent" },
    { 0x3B33, "fx_escape_takedown_foot_stomp" },
    { 0x3B34, "fx_escape_takedown_wastebasket" },
    { 0x3B35, "fx_exo_climb_gloves_off" },
    { 0x3B36, "fx_exo_climb_lglove_disengage" },
    { 0x3B37, "fx_exo_climb_lglove_engage" },
    { 0x3B38, "fx_exo_climb_rglove_disengage" },
    { 0x3B39, "fx_exo_climb_rglove_engage" },
    { 0x3B3A, "fx_flare_to_sun_flare" },
    { 0x3B3B, "fx_footstep_dust_le" },
    { 0x3B3C, "fx_footstep_dust_mech_le" },
    { 0x3B3D, "fx_footstep_dust_mech_ri" },
    { 0x3B3E, "fx_footstep_dust_ri" },
    { 0x3B3F, "fx_footstep_dust_rocks_le" },
    { 0x3B40, "fx_footstep_dust_rocks_ri" },
    { 0x3B41, "fx_footstep_water_small_le" },
    { 0x3B42, "fx_footstep_water_small_ri" },
    { 0x3B43, "fx_get_ground_pos" },
    { 0x3B44, "fx_gideon_body_dust" },
    { 0x3B45, "fx_gideon_body_dust_inc" },
    { 0x3B46, "fx_goal_count" },
    { 0x3B47, "fx_guard_2" },
    { 0x3B48, "fx_heli_aa_explosion" },
    { 0x3B49, "fx_heli_crash_debris_dust" },
    { 0x3B4A, "fx_heli_crash_enter_mech_sparks" },
    { 0x3B4B, "fx_heli_crash_fist_dust_mech" },
    { 0x3B4C, "fx_heli_crash_godrays_off" },
    { 0x3B4D, "fx_heli_crash_godrays_on" },
    { 0x3B4E, "fx_heli_crash_hero_falling_dust" },
    { 0x3B4F, "fx_heli_crash_mech_sparks" },
    { 0x3B50, "fx_heli_flyby_dust" },
    { 0x3B51, "fx_heli_gideon_fire" },
    { 0x3B52, "fx_heli_manticore_dust" },
    { 0x3B53, "fx_heli_mech_punch" },
    { 0x3B54, "fx_heli_ride" },
    { 0x3B55, "fx_highlightedent" },
    { 0x3B56, "fx_id" },
    { 0x3B57, "fx_inc" },
    { 0x3B58, "fx_inc_cycle_fires" },
    { 0x3B59, "fx_inc_godrays" },
    { 0x3B5A, "fx_inc_near_miss" },
    { 0x3B5B, "fx_inc_oven_godrays_off" },
    { 0x3B5C, "fx_inc_oven_godrays_on" },
    { 0x3B5D, "fx_inc_pipe_explode" },
    { 0x3B5E, "fx_init" },
    { 0x3B5F, "fx_interrogation_arm_smash" },
    { 0x3B60, "fx_interrogation_irons_fire" },
    { 0x3B61, "fx_intro_ambient" },
    { 0x3B62, "fx_intro_body_dust" },
    { 0x3B63, "fx_intro_truck_dust" },
    { 0x3B64, "fx_knee_dust_mech_le" },
    { 0x3B65, "fx_knee_dust_mech_ri" },
    { 0x3B66, "fx_leaves" },
    { 0x3B67, "fx_mech_cockpit" },
    { 0x3B68, "fx_mech_cockpit_damage" },
    { 0x3B69, "fx_mech_cockpit_damage_stop" },
    { 0x3B6A, "fx_mech_door_lift_fx" },
    { 0x3B6B, "fx_mech_exit_land_dust" },
    { 0x3B6C, "fx_mech_exit_steam" },
    { 0x3B6D, "fx_mech_explode_amb_fx" },
    { 0x3B6E, "fx_mech_foot_sparks" },
    { 0x3B6F, "fx_mech_land_sparks" },
    { 0x3B70, "fx_mech_soft_land_dust" },
    { 0x3B71, "fx_moving_water_splatter" },
    { 0x3B72, "fx_moving_water_splatter_setup" },
    { 0x3B73, "fx_oceanfoam" },
    { 0x3B74, "fx_on" },
    { 0x3B75, "fx_origin" },
    { 0x3B76, "fx_paused" },
    { 0x3B77, "fx_pnematic_anchor" },
    { 0x3B78, "fx_props_security_cameras" },
    { 0x3B79, "fx_props_setup" },
    { 0x3B7A, "fx_react_group" },
    { 0x3B7B, "fx_rescue_body_slam_1" },
    { 0x3B7C, "fx_rescue_body_slam_2" },
    { 0x3B7D, "fx_rescue_guard_2_init" },
    { 0x3B7E, "fx_rescue_guard_fire" },
    { 0x3B7F, "fx_rescue_head_slam_1" },
    { 0x3B80, "fx_rescue_head_slam_2" },
    { 0x3B81, "fx_rotating" },
    { 0x3B82, "fx_spot_lens_flare_dir" },
    { 0x3B83, "fx_spot_lens_flare_tag" },
    { 0x3B84, "fx_stop_mech_door_lift_fx" },
    { 0x3B85, "fx_stop_pilot_lights" },
    { 0x3B86, "fx_sun_lens_flare" },
    { 0x3B87, "fx_tag" },
    { 0x3B88, "fx_tag0" },
    { 0x3B89, "fx_target_locked" },
    { 0x3B8A, "fx_target_none" },
    { 0x3B8B, "fx_time" },
    { 0x3B8C, "fx_type" },
    { 0x3B8D, "fx_uv_flash" },
    { 0x3B8E, "fx_volume_pause" },
    { 0x3B8F, "fx_volume_pause_noteworthy" },
    { 0x3B90, "fx_volume_pause_noteworthy_thread" },
    { 0x3B91, "fx_volume_restart" },
    { 0x3B92, "fx_volume_restart_noteworthy" },
    { 0x3B93, "fx_volume_restart_noteworthy_thread" },
    { 0x3B94, "fx_walk_heli_flyby" },
    { 0x3B95, "fx_waves" },
    { 0x3B96, "fx_zone_messages" },
    { 0x3B97, "fx_zone_watcher" },
    { 0x3B98, "fx_zone_watcher_all" },
    { 0x3B99, "fx_zone_watcher_both" },
    { 0x3B9A, "fx_zone_watcher_either" },
    { 0x3B9B, "fx_zone_watcher_either_off_killthread" },
    { 0x3B9C, "fx_zone_watcher_late" },
    { 0x3B9D, "fx_zone_watcher_waitopen" },
    { 0x3B9E, "fxangle" },
    { 0x3B9F, "fxblink" },
    { 0x3BA0, "fxcost" },
    { 0x3BA1, "fxdelay" },
    { 0x3BA2, "fxents" },
    { 0x3BA3, "fxexists" },
    { 0x3BA4, "fxfireloopmod" },
    { 0x3BA5, "fxhudelements" },
    { 0x3BA6, "fxid" },
    { 0x3BA7, "fxid_enemy_light" },
    { 0x3BA8, "fxid_engine_distort" },
    { 0x3BA9, "fxid_explode" },
    { 0x3BAA, "fxid_friendly_light" },
    { 0x3BAB, "fxid_laser_glow" },
    { 0x3BAC, "fxid_launch_thruster" },
    { 0x3BAD, "fxid_lethalexplode" },
    { 0x3BAE, "fxid_position_thruster" },
    { 0x3BAF, "fxid_sparks" },
    { 0x3BB0, "fxid_thruster_down" },
    { 0x3BB1, "fxid_thruster_up" },
    { 0x3BB2, "fxid_warning" },
    { 0x3BB3, "fxonly" },
    { 0x3BB4, "fxorigin" },
    { 0x3BB5, "fxreactionset" },
    { 0x3BB6, "fxshowtoteam" },
    { 0x3BB7, "fxstart" },
    { 0x3BB8, "fxstop" },
    { 0x3BB9, "fxtags_bigwar" },
    { 0x3BBA, "fxtags_space" },
    { 0x3BBB, "fxtags_streets" },
    { 0x3BBC, "fxtagside" },
    { 0x3BBD, "fxtime" },
    { 0x3BBE, "g" },
    { 0x3BBF, "g_bob_scale_get_func" },
    { 0x3BC0, "g_bob_scale_set_func" },
    { 0x3BC1, "g_score" },
    { 0x3BC2, "g_speed" },
    { 0x3BC3, "g_speed_get_func" },
    { 0x3BC4, "g_speed_set_func" },
    { 0x3BC5, "g_turret_vel_array" },
    { 0x3BC6, "g_visionblend" },
    { 0x3BC7, "g_visiondefault" },
    { 0x3BC8, "g_visionexit" },
    { 0x3BC9, "g_visionvols" },
    { 0x3BCA, "g_xwalk_pitched_hard" },
    { 0x3BCB, "g_xwalk_started_to_move" },
    { 0x3BCC, "g_xwalk_time_started_to_move" },
    { 0x3BCD, "g_xwalk_vel_que" },
    { 0x3BCE, "g_xwalk_was_stopped" },
    { 0x3BCF, "gain" },
    { 0x3BD0, "game_is_current_gen" },
    { 0x3BD1, "game_message_append" },
    { 0x3BD2, "game_message_display" },
    { 0x3BD3, "game_message_listen" },
    { 0x3BD4, "game_messages" },
    { 0x3BD5, "game_messages_process" },
    { 0x3BD6, "game_messages_shutdown" },
    { 0x3BD7, "game_messages_startup" },
    { 0x3BD8, "gameended" },
    { 0x3BD9, "gameendlistener" },
    { 0x3BDA, "gameendtime" },
    { 0x3BDB, "gameflag" },
    { 0x3BDC, "gameflagclear" },
    { 0x3BDD, "gameflaginit" },
    { 0x3BDE, "gameflagset" },
    { 0x3BDF, "gameflagwait" },
    { 0x3BE0, "gamehasstarted" },
    { 0x3BE1, "gamelobby_camera_curve_modify" },
    { 0x3BE2, "gamelobby_camera_curve_movex" },
    { 0x3BE3, "gamelobby_camera_curve_storedy" },
    { 0x3BE4, "gamelobby_camera_depth_scaler" },
    { 0x3BE5, "gamelobby_camera_offset" },
    { 0x3BE6, "gamelobby_camera_rotation_speed" },
    { 0x3BE7, "gamelobby_camera_targetoffset" },
    { 0x3BE8, "gamelobby_camerazoff_zoom" },
    { 0x3BE9, "gamelobby_camoffset_angle_ratio" },
    { 0x3BEA, "gamelobby_movespeed" },
    { 0x3BEB, "gamelobby_targetzoff_zoom" },
    { 0x3BEC, "gamelobbygroup_camera_offset" },
    { 0x3BED, "gamelobbygroup_camera_targetoffset" },
    { 0x3BEE, "gamelobbygroup_camerazoff_zoom" },
    { 0x3BEF, "gamelobbygroup_camoffset_angle_ratio" },
    { 0x3BF0, "gamelobbygroup_targetzoff_zoom" },
    { 0x3BF1, "gamemode_chosenclass" },
    { 0x3BF2, "gamemodefirstspawn" },
    { 0x3BF3, "gamemodemaydropweapon" },
    { 0x3BF4, "gamemodemodifyplayerdamage" },
    { 0x3BF5, "gamemodeonunderwater" },
    { 0x3BF6, "gameobject" },
    { 0x3BF7, "gameobject_fauxspawn" },
    { 0x3BF8, "gameobjecthudindex" },
    { 0x3BF9, "gameplay" },
    { 0x3BFA, "gameplay_setup" },
    { 0x3BFB, "gameshouldend" },
    { 0x3BFC, "gameskill" },
    { 0x3BFD, "gameskill_breath_func" },
    { 0x3BFE, "gameskill_change_monitor" },
    { 0x3BFF, "gametimer" },
    { 0x3C00, "gametweaks" },
    { 0x3C01, "gametypestarted" },
    { 0x3C02, "gamewinnerdialog" },
    { 0x3C03, "gangam_cinematic_warfare_manager" },
    { 0x3C04, "gangnam_autosave" },
    { 0x3C05, "gangnam_main" },
    { 0x3C06, "gangnam_objectives" },
    { 0x3C07, "gap" },
    { 0x3C08, "gap_jump_squib_occlusion" },
    { 0x3C09, "garage_anim_struct" },
    { 0x3C0A, "garage_balcony_door" },
    { 0x3C0B, "garage_balcony_enemy" },
    { 0x3C0C, "garage_balcony_spawner_setup" },
    { 0x3C0D, "garage_balcony_vo" },
    { 0x3C0E, "garage_door_shut_off" },
    { 0x3C0F, "garage_side_door" },
    { 0x3C10, "garagedooranimations" },
    { 0x3C11, "gas" },
    { 0x3C12, "gas_alarm_off_vo" },
    { 0x3C13, "gas_alarm_on_vo" },
    { 0x3C14, "gas_alarm_sfx_alias" },
    { 0x3C15, "gas_cloud_origin" },
    { 0x3C16, "gas_release" },
    { 0x3C17, "gas_tags" },
    { 0x3C18, "gas_warning_light_tags" },
    { 0x3C19, "gascloudstart" },
    { 0x3C1A, "gasedvisionset" },
    { 0x3C1B, "gaseffect" },
    { 0x3C1C, "gasfieldsoff" },
    { 0x3C1D, "gasfieldson" },
    { 0x3C1E, "gasfriendly" },
    { 0x3C1F, "gasmachine" },
    { 0x3C20, "gasmask" },
    { 0x3C21, "gasmask_breathing" },
    { 0x3C22, "gasmask_hud_elem" },
    { 0x3C23, "gasmask_hud_elem1" },
    { 0x3C24, "gasmask_off_npc" },
    { 0x3C25, "gasmask_off_player" },
    { 0x3C26, "gasmask_on_npc" },
    { 0x3C27, "gasmask_on_player" },
    { 0x3C28, "gasmissile" },
    { 0x3C29, "gasoverlay" },
    { 0x3C2A, "gasparticletime" },
    { 0x3C2B, "gasrange" },
    { 0x3C2C, "gastime" },
    { 0x3C2D, "gastrackingoverlay" },
    { 0x3C2E, "gasvisualsend" },
    { 0x3C2F, "gasvisualssetup" },
    { 0x3C30, "gasvisualsstart" },
    { 0x3C31, "gasvisualswarningstart" },
    { 0x3C32, "gate" },
    { 0x3C33, "gate_controlbox_broken_fx" },
    { 0x3C34, "gate_crash" },
    { 0x3C35, "gate_decon_opposite_side" },
    { 0x3C36, "gate_decon_opposite_side_guard" },
    { 0x3C37, "gate_decon_player_side" },
    { 0x3C38, "gate_decon_player_side_bones" },
    { 0x3C39, "gate_decon_player_side_burke" },
    { 0x3C3A, "gate_decon_player_side_cinematic_screens" },
    { 0x3C3B, "gate_decon_player_side_joker" },
    { 0x3C3C, "gate_earthquake" },
    { 0x3C3D, "gate_fx" },
    { 0x3C3E, "gate_inner" },
    { 0x3C3F, "gate_lightning" },
    { 0x3C40, "gate_lights_off" },
    { 0x3C41, "gate_lights_off_toggle_on" },
    { 0x3C42, "gate_lights_on" },
    { 0x3C43, "gate_model_spin" },
    { 0x3C44, "gate_open_rain_fall_fx" },
    { 0x3C45, "gate_origin_change" },
    { 0x3C46, "gate_pulse_on" },
    { 0x3C47, "gate_rumble" },
    { 0x3C48, "gate_spark_fx" },
    { 0x3C49, "gatebreach" },
    { 0x3C4A, "gatebreachallyreachandidle" },
    { 0x3C4B, "gatebreachandclear" },
    { 0x3C4C, "gatebreachanimations" },
    { 0x3C4D, "gatebreachdoorsexplode" },
    { 0x3C4E, "gatebreachkill1" },
    { 0x3C4F, "gatebreachkill2" },
    { 0x3C50, "gatebreachkillburke" },
    { 0x3C51, "gatebreachotherguysdie" },
    { 0x3C52, "gatebreachoutlineguard" },
    { 0x3C53, "gatebreachvictimapproach" },
    { 0x3C54, "gatebreachvictimdie" },
    { 0x3C55, "gatefxoff" },
    { 0x3C56, "gatefxon" },
    { 0x3C57, "gateguarddialogue" },
    { 0x3C58, "gateguardreminderdialogue" },
    { 0x3C59, "gateopen" },
    { 0x3C5A, "gates" },
    { 0x3C5B, "gather_delay" },
    { 0x3C5C, "gather_delay_proc" },
    { 0x3C5D, "gather_intel_trigger" },
    { 0x3C5E, "gatherclassweapons" },
    { 0x3C5F, "gaz" },
    { 0x3C60, "gaz_01_dist_by" },
    { 0x3C61, "gaz_02" },
    { 0x3C62, "gaz_02_dist_by" },
    { 0x3C63, "gaz_03" },
    { 0x3C64, "gaz_03_close_by" },
    { 0x3C65, "gaz_04_slow_by" },
    { 0x3C66, "gaz_05_slow_by" },
    { 0x3C67, "gaz_brake_lights" },
    { 0x3C68, "gaz_brake_lights_detail" },
    { 0x3C69, "gaz_condition_callback_drive_to_idle" },
    { 0x3C6A, "gaz_condition_callback_first_to_second" },
    { 0x3C6B, "gaz_condition_callback_idle_to_first" },
    { 0x3C6C, "gaz_condition_callback_off_to_idle" },
    { 0x3C6D, "gaz_condition_callback_second_to_first" },
    { 0x3C6E, "gaz_condition_callback_state_off" },
    { 0x3C6F, "gaz_condition_callback_to_off" },
    { 0x3C70, "gaz_condition_callback_to_state_wheels_bump" },
    { 0x3C71, "gaz_condition_callback_to_state_wheels_skid" },
    { 0x3C72, "gaz_damage_watcher" },
    { 0x3C73, "gaz_input_callback_about_to_stop" },
    { 0x3C74, "gaz_input_callback_zvelocity" },
    { 0x3C75, "gaz_intro_waits" },
    { 0x3C76, "gaz_splash_waits" },
    { 0x3C77, "gaz_store_shootout_drive" },
    { 0x3C78, "gaz_turret_guy_gettin_func" },
    { 0x3C79, "gaz_turret_guy_think" },
    { 0x3C7A, "gaz_under_heat" },
    { 0x3C7B, "gaz_water_crash_01" },
    { 0x3C7C, "gaz_water_crash_02" },
    { 0x3C7D, "gaz_water_crashed" },
    { 0x3C7E, "gaz2" },
    { 0x3C7F, "gd_player_lifts_gate" },
    { 0x3C80, "gelbombsquadmesh" },
    { 0x3C81, "gelexplosionfx" },
    { 0x3C82, "generate_fx_log" },
    { 0x3C83, "generatemaxweightedcratevalue" },
    { 0x3C84, "generatesquadname" },
    { 0x3C85, "generator" },
    { 0x3C86, "generator_fans" },
    { 0x3C87, "generatorhat" },
    { 0x3C88, "generic_clear" },
    { 0x3C89, "generic_combat" },
    { 0x3C8A, "generic_damage_think" },
    { 0x3C8B, "generic_dialogue_queue" },
    { 0x3C8C, "generic_double_strobe" },
    { 0x3C8D, "generic_enemy_vo_chatter" },
    { 0x3C8E, "generic_event_actor_animations" },
    { 0x3C8F, "generic_flicker" },
    { 0x3C90, "generic_flicker_msg_watcher" },
    { 0x3C91, "generic_flicker_pause" },
    { 0x3C92, "generic_flickering" },
    { 0x3C93, "generic_get_player_to_arms" },
    { 0x3C94, "generic_get_player_to_rig" },
    { 0x3C95, "generic_get_rig_to_player" },
    { 0x3C96, "generic_helmet_close" },
    { 0x3C97, "generic_helmet_open" },
    { 0x3C98, "generic_hint_vo" },
    { 0x3C99, "generic_human" },
    { 0x3C9A, "generic_human_anims" },
    { 0x3C9B, "generic_index" },
    { 0x3C9C, "generic_keep_moving" },
    { 0x3C9D, "generic_locations" },
    { 0x3C9E, "generic_no_shot_vo_lines" },
    { 0x3C9F, "generic_pulsing" },
    { 0x3CA0, "generic_remove_player_rig" },
    { 0x3CA1, "generic_spot" },
    { 0x3CA2, "generic_squadron_deploy" },
    { 0x3CA3, "generic_taking_the_shot_vo_lines" },
    { 0x3CA4, "generic_target_acquired_vo_lines" },
    { 0x3CA5, "generic_target_down_vo_lines" },
    { 0x3CA6, "generic_traffic_preset_instance_init_callback" },
    { 0x3CA7, "generic_voice_override" },
    { 0x3CA8, "genericchallenge" },
    { 0x3CA9, "genius_achievement" },
    { 0x3CAA, "geo_flicker" },
    { 0x3CAB, "geo_off" },
    { 0x3CAC, "geo_on" },
    { 0x3CAD, "get_accurate_target" },
    { 0x3CAE, "get_adjusted_anim_rate" },
    { 0x3CAF, "get_adjusted_script_car_origin" },
    { 0x3CB0, "get_aerial_offset" },
    { 0x3CB1, "get_ai_fastzip_pos" },
    { 0x3CB2, "get_ai_group_ai" },
    { 0x3CB3, "get_ai_group_count" },
    { 0x3CB4, "get_ai_group_sentient_count" },
    { 0x3CB5, "get_ai_number" },
    { 0x3CB6, "get_ai_touching_volume" },
    { 0x3CB7, "get_ai_within_radius" },
    { 0x3CB8, "get_aim_limits" },
    { 0x3CB9, "get_alias_from_stored" },
    { 0x3CBA, "get_all_connected_nodes" },
    { 0x3CBB, "get_all_ents_in_chain" },
    { 0x3CBC, "get_all_force_color_friendlies" },
    { 0x3CBD, "get_all_my_locations" },
    { 0x3CBE, "get_all_target_ents" },
    { 0x3CBF, "get_all_valid_rocket_targets" },
    { 0x3CC0, "get_allied_attackers_for_team" },
    { 0x3CC1, "get_allied_defenders_for_team" },
    { 0x3CC2, "get_ally_flags" },
    { 0x3CC3, "get_angle_from_center" },
    { 0x3CC4, "get_angle_from_speed" },
    { 0x3CC5, "get_angle_mod_from_horiz_speed" },
    { 0x3CC6, "get_angle_mod_from_yaw_diff" },
    { 0x3CC7, "get_anim_data" },
    { 0x3CC8, "get_anim_position" },
    { 0x3CC9, "get_array_of_closest" },
    { 0x3CCA, "get_array_of_farthest" },
    { 0x3CCB, "get_attacker" },
    { 0x3CCC, "get_available_breachfriendlies" },
    { 0x3CCD, "get_availablepositions" },
    { 0x3CCE, "get_average_in_que" },
    { 0x3CCF, "get_average_origin" },
    { 0x3CD0, "get_badcountryidstr" },
    { 0x3CD1, "get_ball_goal_protect_radius" },
    { 0x3CD2, "get_best_ai_match_for_highest_priority_node" },
    { 0x3CD3, "get_best_available_new_colored_node" },
    { 0x3CD4, "get_best_cardoor_struct" },
    { 0x3CD5, "get_best_jump_target" },
    { 0x3CD6, "get_best_lock_target" },
    { 0x3CD7, "get_best_locking_target" },
    { 0x3CD8, "get_best_weapons" },
    { 0x3CD9, "get_bestdrone" },
    { 0x3CDA, "get_better_destructible" },
    { 0x3CDB, "get_black_overlay" },
    { 0x3CDC, "get_blast_door_num" },
    { 0x3CDD, "get_blended_difficulty" },
    { 0x3CDE, "get_breach_groups" },
    { 0x3CDF, "get_breach_indices_from_ents" },
    { 0x3CE0, "get_breach_notify" },
    { 0x3CE1, "get_broken_state_tags" },
    { 0x3CE2, "get_burke_to_deadroom" },
    { 0x3CE3, "get_c_right_dist_2d" },
    { 0x3CE4, "get_cardoor_in_players_hands" },
    { 0x3CE5, "get_center_of_array" },
    { 0x3CE6, "get_challenge_weapon_class" },
    { 0x3CE7, "get_civilian" },
    { 0x3CE8, "get_civilian_ai" },
    { 0x3CE9, "get_civilian_car" },
    { 0x3CEA, "get_civilian_drone" },
    { 0x3CEB, "get_climb_triggers" },
    { 0x3CEC, "get_closest_ai" },
    { 0x3CED, "get_closest_ai_exclude" },
    { 0x3CEE, "get_closest_ai_flat" },
    { 0x3CEF, "get_closest_ai_to_origin" },
    { 0x3CF0, "get_closest_ally" },
    { 0x3CF1, "get_closest_axis" },
    { 0x3CF2, "get_closest_colored_friendly" },
    { 0x3CF3, "get_closest_colored_friendly_with_classname" },
    { 0x3CF4, "get_closest_exclude" },
    { 0x3CF5, "get_closest_flag" },
    { 0x3CF6, "get_closest_index" },
    { 0x3CF7, "get_closest_index_to_player_view" },
    { 0x3CF8, "get_closest_living" },
    { 0x3CF9, "get_closest_neighbors" },
    { 0x3CFA, "get_closest_node_in_front_of_given_car" },
    { 0x3CFB, "get_closest_on_glass_plane" },
    { 0x3CFC, "get_closest_player" },
    { 0x3CFD, "get_closest_player_healthy" },
    { 0x3CFE, "get_closest_point" },
    { 0x3CFF, "get_closest_point_from_segment_to_segment" },
    { 0x3D00, "get_closest_point_from_segment_to_segment_n" },
    { 0x3D01, "get_closest_point_on_segment" },
    { 0x3D02, "get_closest_scene" },
    { 0x3D03, "get_closest_tag" },
    { 0x3D04, "get_closest_to_player_view" },
    { 0x3D05, "get_closest_with_targetname" },
    { 0x3D06, "get_color_forced_ai" },
    { 0x3D07, "get_color_info_from_trigger" },
    { 0x3D08, "get_color_nodes_from_trigger" },
    { 0x3D09, "get_color_nodes_from_trigger_codes" },
    { 0x3D0A, "get_color_spawner" },
    { 0x3D0B, "get_color_to_promote_from_order" },
    { 0x3D0C, "get_color_volume_from_trigger" },
    { 0x3D0D, "get_color_volume_from_trigger_codes" },
    { 0x3D0E, "get_colorcoded_nodes" },
    { 0x3D0F, "get_colorcoded_volume" },
    { 0x3D10, "get_colorcodes" },
    { 0x3D11, "get_cormack_into_first_landassist" },
    { 0x3D12, "get_cormack_to_building_doorway" },
    { 0x3D13, "get_cormack_to_walker_scene" },
    { 0x3D14, "get_corpse_array" },
    { 0x3D15, "get_countdown_hud" },
    { 0x3D16, "get_country_prefix" },
    { 0x3D17, "get_crash_deflection_angle" },
    { 0x3D18, "get_crash_snd_alias" },
    { 0x3D19, "get_crashed_vehicle_index" },
    { 0x3D1A, "get_createfx_array" },
    { 0x3D1B, "get_createfx_types" },
    { 0x3D1C, "get_cumulative_weights" },
    { 0x3D1D, "get_curfloor" },
    { 0x3D1E, "get_current_shot" },
    { 0x3D1F, "get_current_weapon" },
    { 0x3D20, "get_current_weapon_name" },
    { 0x3D21, "get_custom_distance_on_path" },
    { 0x3D22, "get_damageable_grenade" },
    { 0x3D23, "get_damageable_grenade_pos" },
    { 0x3D24, "get_damageable_mine" },
    { 0x3D25, "get_damageable_player" },
    { 0x3D26, "get_damageable_player_pos" },
    { 0x3D27, "get_damageable_sentry" },
    { 0x3D28, "get_damb_component_stringtable" },
    { 0x3D29, "get_damb_loops_stringtable" },
    { 0x3D2A, "get_damb_stringtable" },
    { 0x3D2B, "get_datascene" },
    { 0x3D2C, "get_death_anim" },
    { 0x3D2D, "get_debug_element_color" },
    { 0x3D2E, "get_delay" },
    { 0x3D2F, "get_despawn_despawn_if_not_in_view" },
    { 0x3D30, "get_despawn_dist_sq" },
    { 0x3D31, "get_destroyed_count" },
    { 0x3D32, "get_destruct_parts" },
    { 0x3D33, "get_detection_distance_for_player_speed" },
    { 0x3D34, "get_diff_angles_from_facing" },
    { 0x3D35, "get_diff_angles_from_gun" },
    { 0x3D36, "get_diff_angles_from_tag_to_guy" },
    { 0x3D37, "get_different_favoriteenemy" },
    { 0x3D38, "get_different_player" },
    { 0x3D39, "get_differentiated_acceleration" },
    { 0x3D3A, "get_differentiated_jerk" },
    { 0x3D3B, "get_differentiated_speed" },
    { 0x3D3C, "get_differentiated_velocity" },
    { 0x3D3D, "get_direction" },
    { 0x3D3E, "get_direction_from_normalized_movement" },
    { 0x3D3F, "get_dist_to_end_in_miles" },
    { 0x3D40, "get_door" },
    { 0x3D41, "get_door_anime" },
    { 0x3D42, "get_door_model" },
    { 0x3D43, "get_door_volumes_from_breachgroup" },
    { 0x3D44, "get_dot" },
    { 0x3D45, "get_download_state_hud" },
    { 0x3D46, "get_drones_into_start_positions" },
    { 0x3D47, "get_drones_touching_volume" },
    { 0x3D48, "get_drones_with_targetname" },
    { 0x3D49, "get_dummy" },
    { 0x3D4A, "get_e3_costume" },
    { 0x3D4B, "get_edge_offset_bounds_at_progress" },
    { 0x3D4C, "get_enemy_flags" },
    { 0x3D4D, "get_enemy_team" },
    { 0x3D4E, "get_enemy_warbird" },
    { 0x3D4F, "get_ent" },
    { 0x3D50, "get_ent_by_target" },
    { 0x3D51, "get_ent_by_targetname" },
    { 0x3D52, "get_ent_closest_aerial_node" },
    { 0x3D53, "get_ents_by_noteworthy" },
    { 0x3D54, "get_ents_by_target" },
    { 0x3D55, "get_ents_by_targetname" },
    { 0x3D56, "get_escape_gas_dest_node" },
    { 0x3D57, "get_evacuation_scene_spawner" },
    { 0x3D58, "get_exo_ability_hud_omnvar_value" },
    { 0x3D59, "get_exo_battery_percent" },
    { 0x3D5A, "get_exo_cloak_weapon" },
    { 0x3D5B, "get_exo_shield_params" },
    { 0x3D5C, "get_exo_shield_weapon" },
    { 0x3D5D, "get_exploder_array" },
    { 0x3D5E, "get_exploder_array_proc" },
    { 0x3D5F, "get_exploder_ent" },
    { 0x3D60, "get_exploder_entarray" },
    { 0x3D61, "get_exploder_pos" },
    { 0x3D62, "get_extended_path" },
    { 0x3D63, "get_eye" },
    { 0x3D64, "get_eye_relative_dir" },
    { 0x3D65, "get_fall_damage_from_speed" },
    { 0x3D66, "get_farthest_car" },
    { 0x3D67, "get_farthest_ent" },
    { 0x3D68, "get_farthest_living" },
    { 0x3D69, "get_field_from_array" },
    { 0x3D6A, "get_first_storable_weapon" },
    { 0x3D6B, "get_flag_capture_radius" },
    { 0x3D6C, "get_flag_label" },
    { 0x3D6D, "get_flag_protect_radius" },
    { 0x3D6E, "get_flashed_anim" },
    { 0x3D6F, "get_flickerlight_motion_preset" },
    { 0x3D70, "get_flickerlight_preset" },
    { 0x3D71, "get_floor" },
    { 0x3D72, "get_floor_count_array" },
    { 0x3D73, "get_flush_volume" },
    { 0x3D74, "get_fog" },
    { 0x3D75, "get_fog_filename" },
    { 0x3D76, "get_follow_volume_array" },
    { 0x3D77, "get_force_color" },
    { 0x3D78, "get_force_color_guys" },
    { 0x3D79, "get_forward_movement" },
    { 0x3D7A, "get_forward_movement_grab" },
    { 0x3D7B, "get_fov_for_player" },
    { 0x3D7C, "get_from_entity" },
    { 0x3D7D, "get_from_entity_target" },
    { 0x3D7E, "get_from_spawnstruct" },
    { 0x3D7F, "get_from_spawnstruct_target" },
    { 0x3D80, "get_from_vehicle_node" },
    { 0x3D81, "get_front_sorted_threat_list" },
    { 0x3D82, "get_fx_chain" },
    { 0x3D83, "get_fx_count_for_speed" },
    { 0x3D84, "get_generic_anime" },
    { 0x3D85, "get_geo_group" },
    { 0x3D86, "get_goal_angles_ramped_given_viewdir" },
    { 0x3D87, "get_goal_pos_on_segment" },
    { 0x3D88, "get_group_connect_dist" },
    { 0x3D89, "get_grouped_doorvolumes" },
    { 0x3D8A, "get_gun_pitch_rate" },
    { 0x3D8B, "get_gun_yaw_rate" },
    { 0x3D8C, "get_guy_offset" },
    { 0x3D8D, "get_guy_or_backup_target_if_guy_died_or_dummy_target" },
    { 0x3D8E, "get_guys_in_vols_and_kill" },
    { 0x3D8F, "get_head_or_tail_variables" },
    { 0x3D90, "get_heart_rate_hud" },
    { 0x3D91, "get_helo_spotlight_bullet_origin" },
    { 0x3D92, "get_heroes" },
    { 0x3D93, "get_highest_dot" },
    { 0x3D94, "get_housing_children" },
    { 0x3D95, "get_housing_closedpos" },
    { 0x3D96, "get_housing_door_trigger" },
    { 0x3D97, "get_housing_inside_trigger" },
    { 0x3D98, "get_housing_leftdoor" },
    { 0x3D99, "get_housing_leftdoor_opened_pos" },
    { 0x3D9A, "get_housing_mainframe" },
    { 0x3D9B, "get_housing_models" },
    { 0x3D9C, "get_housing_musak_model" },
    { 0x3D9D, "get_housing_primarylight" },
    { 0x3D9E, "get_housing_rightdoor" },
    { 0x3D9F, "get_housing_rightdoor_opened_pos" },
    { 0x3DA0, "get_hovertank_shake_value" },
    { 0x3DA1, "get_human_player" },
    { 0x3DA2, "get_idle_anim" },
    { 0x3DA3, "get_ignoreme" },
    { 0x3DA4, "get_in_mobile_turret_guy" },
    { 0x3DA5, "get_in_moving_vehicle" },
    { 0x3DA6, "get_in_vehicle" },
    { 0x3DA7, "get_index_for_weapon_name" },
    { 0x3DA8, "get_index_from_array" },
    { 0x3DA9, "get_index_from_weapon" },
    { 0x3DAA, "get_initfloor" },
    { 0x3DAB, "get_interior_intensity" },
    { 0x3DAC, "get_jet_array" },
    { 0x3DAD, "get_landing_node" },
    { 0x3DAE, "get_laser_designated_trace" },
    { 0x3DAF, "get_last_ent_in_chain" },
    { 0x3DB0, "get_last_known_shoot_pos" },
    { 0x3DB1, "get_last_selected_ent" },
    { 0x3DB2, "get_launch_anim" },
    { 0x3DB3, "get_least_used_from_array" },
    { 0x3DB4, "get_least_used_index" },
    { 0x3DB5, "get_legal_drone_for_kamikaze" },
    { 0x3DB6, "get_leveltime" },
    { 0x3DB7, "get_limit" },
    { 0x3DB8, "get_limit_table" },
    { 0x3DB9, "get_linked_air_spaces" },
    { 0x3DBA, "get_linked_ent" },
    { 0x3DBB, "get_linked_ents" },
    { 0x3DBC, "get_linked_nodes" },
    { 0x3DBD, "get_linked_points" },
    { 0x3DBE, "get_linked_structs" },
    { 0x3DBF, "get_linked_vehicle_node" },
    { 0x3DC0, "get_linked_vehicle_nodes" },
    { 0x3DC1, "get_links" },
    { 0x3DC2, "get_littlebird_crash_location_override" },
    { 0x3DC3, "get_living_ai" },
    { 0x3DC4, "get_living_ai_array" },
    { 0x3DC5, "get_living_aispecies" },
    { 0x3DC6, "get_living_aispecies_array" },
    { 0x3DC7, "get_living_players_on_team" },
    { 0x3DC8, "get_load_trigger_classes" },
    { 0x3DC9, "get_load_trigger_funcs" },
    { 0x3DCA, "get_loadout" },
    { 0x3DCB, "get_locked_difficulty_step_val_global" },
    { 0x3DCC, "get_locked_difficulty_step_val_player" },
    { 0x3DCD, "get_locked_difficulty_val_global" },
    { 0x3DCE, "get_locked_difficulty_val_player" },
    { 0x3DCF, "get_lt_button_info" },
    { 0x3DD0, "get_manhandled" },
    { 0x3DD1, "get_max_cars" },
    { 0x3DD2, "get_max_charge_time" },
    { 0x3DD3, "get_max_destroyed_count" },
    { 0x3DD4, "get_max_num_defenders_wanted_per_flag" },
    { 0x3DD5, "get_mech_chaingun_state" },
    { 0x3DD6, "get_mech_rocket_state" },
    { 0x3DD7, "get_mech_state" },
    { 0x3DD8, "get_mech_swarm_state" },
    { 0x3DD9, "get_minutes_and_seconds" },
    { 0x3DDA, "get_missile_target_offset" },
    { 0x3DDB, "get_mobile_cover_base_from_ent" },
    { 0x3DDC, "get_mode_for_weapon_name" },
    { 0x3DDD, "get_multiplier" },
    { 0x3DDE, "get_my_free_path_node" },
    { 0x3DDF, "get_my_vehicleride" },
    { 0x3DE0, "get_name" },
    { 0x3DE1, "get_name_for_nationality" },
    { 0x3DE2, "get_nearest" },
    { 0x3DE3, "get_nearest_capzone_team" },
    { 0x3DE4, "get_nearest_common" },
    { 0x3DE5, "get_nearest_not_plr" },
    { 0x3DE6, "get_neighbor_node" },
    { 0x3DE7, "get_neighbor_node_of_target" },
    { 0x3DE8, "get_next_air_space" },
    { 0x3DE9, "get_next_allow_melee_time" },
    { 0x3DEA, "get_next_grid_position" },
    { 0x3DEB, "get_node" },
    { 0x3DEC, "get_node_at_radius_distance" },
    { 0x3DED, "get_node_funcs_based_on_target" },
    { 0x3DEE, "get_non_mech_enemies" },
    { 0x3DEF, "get_normalized_point_in_volume" },
    { 0x3DF0, "get_notetrack_movement" },
    { 0x3DF1, "get_noteworthy_ent" },
    { 0x3DF2, "get_nozzle_opening_from_speed" },
    { 0x3DF3, "get_npc_center_offset" },
    { 0x3DF4, "get_num_allies_capturing_flag" },
    { 0x3DF5, "get_num_allies_getting_tag" },
    { 0x3DF6, "get_num_ally_flags" },
    { 0x3DF7, "get_num_card_tags" },
    { 0x3DF8, "get_num_visible_card_tags" },
    { 0x3DF9, "get_nums_from_origins" },
    { 0x3DFA, "get_obj_event" },
    { 0x3DFB, "get_obj_origin" },
    { 0x3DFC, "get_obstacle_dodge_amount" },
    { 0x3DFD, "get_oldtown_doc_civ_vol" },
    { 0x3DFE, "get_on_console_nag_lines" },
    { 0x3DFF, "get_opposite_volume" },
    { 0x3E00, "get_option" },
    { 0x3E01, "get_optional_overlay" },
    { 0x3E02, "get_order_responder" },
    { 0x3E03, "get_origin_and_dir_on_glass_plane" },
    { 0x3E04, "get_other_flag" },
    { 0x3E05, "get_other_player" },
    { 0x3E06, "get_out_anim" },
    { 0x3E07, "get_out_override" },
    { 0x3E08, "get_out_time" },
    { 0x3E09, "get_outer_closedpos" },
    { 0x3E0A, "get_outer_doorset" },
    { 0x3E0B, "get_outer_doorsets" },
    { 0x3E0C, "get_outer_leftdoor" },
    { 0x3E0D, "get_outer_leftdoor_openedpos" },
    { 0x3E0E, "get_outer_rightdoor" },
    { 0x3E0F, "get_outer_rightdoor_openedpos" },
    { 0x3E10, "get_outside_range" },
    { 0x3E11, "get_overlay" },
    { 0x3E12, "get_override_flag_targets" },
    { 0x3E13, "get_override_zone_targets" },
    { 0x3E14, "get_pacifist" },
    { 0x3E15, "get_part_fx_cost_for_action_state" },
    { 0x3E16, "get_passengers" },
    { 0x3E17, "get_path_getfunc" },
    { 0x3E18, "get_path_segment_array" },
    { 0x3E19, "get_pdrone_crash_location_override" },
    { 0x3E1A, "get_perlin_noise_position" },
    { 0x3E1B, "get_photo_copier" },
    { 0x3E1C, "get_phraseinvalidstr" },
    { 0x3E1D, "get_pitbull_anim_node" },
    { 0x3E1E, "get_pitbull_shake_value" },
    { 0x3E1F, "get_plane_gun_angles" },
    { 0x3E20, "get_plane_gun_origin" },
    { 0x3E21, "get_player_anim_node" },
    { 0x3E22, "get_player_feet_from_view" },
    { 0x3E23, "get_player_from_self" },
    { 0x3E24, "get_player_gameskill" },
    { 0x3E25, "get_player_grenade_button" },
    { 0x3E26, "get_player_local_yaw" },
    { 0x3E27, "get_player_point_target" },
    { 0x3E28, "get_player_speed" },
    { 0x3E29, "get_player_test_points" },
    { 0x3E2A, "get_player_touching" },
    { 0x3E2B, "get_player_velocity" },
    { 0x3E2C, "get_player_view_controller" },
    { 0x3E2D, "get_player_volume" },
    { 0x3E2E, "get_players_by_role" },
    { 0x3E2F, "get_players_defending_flag" },
    { 0x3E30, "get_players_defending_zone" },
    { 0x3E31, "get_players_healthy" },
    { 0x3E32, "get_players_watching" },
    { 0x3E33, "get_pool_spawners_from_structarray" },
    { 0x3E34, "get_portable_mg_spot" },
    { 0x3E35, "get_pos_at_given_distance_on_lane" },
    { 0x3E36, "get_position_from_spline" },
    { 0x3E37, "get_post_landing_dir" },
    { 0x3E38, "get_precached_anim" },
    { 0x3E39, "get_precached_animtree" },
    { 0x3E3A, "get_print3d_text" },
    { 0x3E3B, "get_progress" },
    { 0x3E3C, "get_progression_between_points" },
    { 0x3E3D, "get_pulselight_preset" },
    { 0x3E3E, "get_pulsing_hud" },
    { 0x3E3F, "get_radius_of_array" },
    { 0x3E40, "get_random_air_space" },
    { 0x3E41, "get_random_character" },
    { 0x3E42, "get_random_outside_target" },
    { 0x3E43, "get_random_point_in_air_space" },
    { 0x3E44, "get_random_point_in_bounds" },
    { 0x3E45, "get_random_point_in_volume" },
    { 0x3E46, "get_random_point_nearby_in_volume" },
    { 0x3E47, "get_random_point_radius_in_volume" },
    { 0x3E48, "get_random_strings_and_alphabatize" },
    { 0x3E49, "get_random_weapon" },
    { 0x3E4A, "get_rank_xp_and_prestige_for_bot" },
    { 0x3E4B, "get_reactive_sound_ent" },
    { 0x3E4C, "get_ready_to_use_turret" },
    { 0x3E4D, "get_relative_direction" },
    { 0x3E4E, "get_requested_jump_direction" },
    { 0x3E4F, "get_requested_move_direction" },
    { 0x3E50, "get_responder_given_category" },
    { 0x3E51, "get_reverb_stringtable" },
    { 0x3E52, "get_right_stick_angle" },
    { 0x3E53, "get_room_volume_from_slomo_breach_number" },
    { 0x3E54, "get_round_end_time" },
    { 0x3E55, "get_rt_button_info" },
    { 0x3E56, "get_rumble_ent" },
    { 0x3E57, "get_script_linkto_targets" },
    { 0x3E58, "get_script_palette" },
    { 0x3E59, "get_segment_max_progress_at_offset" },
    { 0x3E5A, "get_selected_move_vector" },
    { 0x3E5B, "get_selected_option" },
    { 0x3E5C, "get_self_ent" },
    { 0x3E5D, "get_shoot_pos_with_offset" },
    { 0x3E5E, "get_shot_by_drone_swarm" },
    { 0x3E5F, "get_shuffle_to_corner_start_anim" },
    { 0x3E60, "get_single_living_ent" },
    { 0x3E61, "get_skill_from_index" },
    { 0x3E62, "get_smart_grenade_timer" },
    { 0x3E63, "get_smoke_pair" },
    { 0x3E64, "get_spawn_chance" },
    { 0x3E65, "get_spawn_weapon_name" },
    { 0x3E66, "get_spawner_from_pool" },
    { 0x3E67, "get_specific_flag_by_label" },
    { 0x3E68, "get_specific_flag_by_letter" },
    { 0x3E69, "get_specific_zone" },
    { 0x3E6A, "get_spin_snd_alias" },
    { 0x3E6B, "get_squad_out_of_pitbull" },
    { 0x3E6C, "get_stage_nodes" },
    { 0x3E6D, "get_standard_glow_text" },
    { 0x3E6E, "get_start_dvars" },
    { 0x3E6F, "get_start_spawn_centers" },
    { 0x3E70, "get_starting_offset_from_org" },
    { 0x3E71, "get_stick_dir_in_world_coor" },
    { 0x3E72, "get_stop_credits_button" },
    { 0x3E73, "get_stop_watch" },
    { 0x3E74, "get_storable_current_weapon" },
    { 0x3E75, "get_storable_current_weapon_primary" },
    { 0x3E76, "get_storable_weapons_list_all" },
    { 0x3E77, "get_storable_weapons_list_primaries" },
    { 0x3E78, "get_string_for_starts" },
    { 0x3E79, "get_stringtable_mapname" },
    { 0x3E7A, "get_strip_color" },
    { 0x3E7B, "get_strip_settings" },
    { 0x3E7C, "get_stun_thread_for_ai" },
    { 0x3E7D, "get_sun_direction" },
    { 0x3E7E, "get_suppress_point" },
    { 0x3E7F, "get_surface_override_function" },
    { 0x3E80, "get_surface_types" },
    { 0x3E81, "get_table_name" },
    { 0x3E82, "get_tactical_goal_pos" },
    { 0x3E83, "get_tag_index_from_tag_name" },
    { 0x3E84, "get_talker_func" },
    { 0x3E85, "get_tank_health_percent" },
    { 0x3E86, "get_target_air_space" },
    { 0x3E87, "get_target_ent" },
    { 0x3E88, "get_target_ents" },
    { 0x3E89, "get_target_from_avatar" },
    { 0x3E8A, "get_target_nodes" },
    { 0x3E8B, "get_target_score" },
    { 0x3E8C, "get_target_structs" },
    { 0x3E8D, "get_team" },
    { 0x3E8E, "get_team_or_script_team" },
    { 0x3E8F, "get_team_substr" },
    { 0x3E90, "get_teleport_delta" },
    { 0x3E91, "get_teleport_optimized_breachfriendly" },
    { 0x3E92, "get_template_level" },
    { 0x3E93, "get_threat_detectables" },
    { 0x3E94, "get_title_credit" },
    { 0x3E95, "get_to_cherry_picker" },
    { 0x3E96, "get_to_roof_nag" },
    { 0x3E97, "get_tool_hudelem" },
    { 0x3E98, "get_total_distance2d_on_path" },
    { 0x3E99, "get_trace_types" },
    { 0x3E9A, "get_traffic_model" },
    { 0x3E9B, "get_traffic_weight" },
    { 0x3E9C, "get_trajectory_time_given_x" },
    { 0x3E9D, "get_trajectory_v_given_x" },
    { 0x3E9E, "get_trajectory_x_given_time" },
    { 0x3E9F, "get_traverse_disconnect_brush" },
    { 0x3EA0, "get_treadfx" },
    { 0x3EA1, "get_trigger_flag" },
    { 0x3EA2, "get_trigger_location_qualifier" },
    { 0x3EA3, "get_trigger_targs" },
    { 0x3EA4, "get_trophy_ammo" },
    { 0x3EA5, "get_turbine_shake_value" },
    { 0x3EA6, "get_turret_iteration_helper" },
    { 0x3EA7, "get_turret_setup_anim" },
    { 0x3EA8, "get_turrets" },
    { 0x3EA9, "get_uncliip_zipline_waittime" },
    { 0x3EAA, "get_underwater_walk_speed_scale_ai" },
    { 0x3EAB, "get_underwater_walk_speed_scale_default" },
    { 0x3EAC, "get_unload_group" },
    { 0x3EAD, "get_unused_crash_locations" },
    { 0x3EAE, "get_use_key" },
    { 0x3EAF, "get_valid_vols" },
    { 0x3EB0, "get_vehicle" },
    { 0x3EB1, "get_vehicle_ai_riders" },
    { 0x3EB2, "get_vehicle_ai_spawners" },
    { 0x3EB3, "get_vehicle_anim" },
    { 0x3EB4, "get_vehicle_array" },
    { 0x3EB5, "get_vehicle_effect" },
    { 0x3EB6, "get_vehicle_player_anim" },
    { 0x3EB7, "get_vehicle_pos_from_spline" },
    { 0x3EB8, "get_vehiclenode_any_dynamic" },
    { 0x3EB9, "get_vehicles_to_point_at_same_time" },
    { 0x3EBA, "get_vehnode_by_targetname" },
    { 0x3EBB, "get_vehnodes_by_targetname" },
    { 0x3EBC, "get_visible_nodes_array" },
    { 0x3EBD, "get_vision_set_fog" },
    { 0x3EBE, "get_walk_anim" },
    { 0x3EBF, "get_warbird_crash_location_override" },
    { 0x3EC0, "get_wash_effect" },
    { 0x3EC1, "get_wash_fx" },
    { 0x3EC2, "get_water_weapon" },
    { 0x3EC3, "get_weapon_fire_pos" },
    { 0x3EC4, "get_weapon_from_index" },
    { 0x3EC5, "get_weapon_model" },
    { 0x3EC6, "get_weapon_with_most_kills" },
    { 0x3EC7, "get_wheel_velocity" },
    { 0x3EC8, "get_white_overlay" },
    { 0x3EC9, "get_will_into_first_landassist" },
    { 0x3ECA, "get_will_to_building_doorway" },
    { 0x3ECB, "get_will_to_fob_anim_scene" },
    { 0x3ECC, "get_will_to_walker_scene" },
    { 0x3ECD, "get_within_range" },
    { 0x3ECE, "get_world_pitch_yaw_between_vectors" },
    { 0x3ECF, "get_world_relative_offset" },
    { 0x3ED0, "get_x_button" },
    { 0x3ED1, "get_yaw_offset_if_vm_model" },
    { 0x3ED2, "get_zone_dir" },
    { 0x3ED3, "get_zone_origins" },
    { 0x3ED4, "get_zone_origins_auto" },
    { 0x3ED5, "get_zone_stringtable" },
    { 0x3ED6, "getachievement" },
    { 0x3ED7, "getactiveagentsoftype" },
    { 0x3ED8, "getactiveplayerlist" },
    { 0x3ED9, "getadditionalbomberplanestarts" },
    { 0x3EDA, "getaerialkillstreakarray" },
    { 0x3EDB, "getagentdamagescalar" },
    { 0x3EDC, "getaiarraytouchingvolume" },
    { 0x3EDD, "getaicountincrease" },
    { 0x3EDE, "getaicurrentweapon" },
    { 0x3EDF, "getaicurrentweaponslot" },
    { 0x3EE0, "getaimpitchtoshootentorpos" },
    { 0x3EE1, "getaimyawtopoint" },
    { 0x3EE2, "getaimyawtoshootentorpos" },
    { 0x3EE3, "getaiprimaryweapon" },
    { 0x3EE4, "getairstrikedanger" },
    { 0x3EE5, "getaisecondaryweapon" },
    { 0x3EE6, "getaisidearmweapon" },
    { 0x3EE7, "getaliastypefromsoundalias" },
    { 0x3EE8, "getallactiveparts" },
    { 0x3EE9, "getallstreakmodulescost" },
    { 0x3EEA, "getallweapons" },
    { 0x3EEB, "getallyassisttime" },
    { 0x3EEC, "getalternatemeleedeathanim" },
    { 0x3EED, "getambushshootpos" },
    { 0x3EEE, "getammoforturretweapontype" },
    { 0x3EEF, "getangleindex" },
    { 0x3EF0, "getangleindexfromselfyaw" },
    { 0x3EF1, "getangleindices" },
    { 0x3EF2, "getangles_func" },
    { 0x3EF3, "getanim" },
    { 0x3EF4, "getanim_from_animname" },
    { 0x3EF5, "getanim_generic" },
    { 0x3EF6, "getanim_vm" },
    { 0x3EF7, "getanim_vm_index" },
    { 0x3EF8, "getanimatemodel" },
    { 0x3EF9, "getanimdata" },
    { 0x3EFA, "getanimendpos" },
    { 0x3EFB, "getanimscalefactors" },
    { 0x3EFC, "getanimtimeremainingseconds" },
    { 0x3EFD, "getanimtimeseconds" },
    { 0x3EFE, "getapproachent" },
    { 0x3EFF, "getapproachpoint" },
    { 0x3F00, "getappropanim" },
    { 0x3F01, "getarrayelementsincone" },
    { 0x3F02, "getarrivalnode" },
    { 0x3F03, "getarrivalprestartpos" },
    { 0x3F04, "getarrivalstartpos" },
    { 0x3F05, "getaspectratio" },
    { 0x3F06, "getassaultvehiclec4radius" },
    { 0x3F07, "getattachmentlistbasenames" },
    { 0x3F08, "getattachmentlistuniqenames" },
    { 0x3F09, "getattachmenttype" },
    { 0x3F0A, "getattackpoint" },
    { 0x3F0B, "getaverageorigin" },
    { 0x3F0C, "getaverageplayerorigin" },
    { 0x3F0D, "getbackdeathanim" },
    { 0x3F0E, "getbasefromlootversion" },
    { 0x3F0F, "getbaseweaponname" },
    { 0x3F10, "getbeameffect" },
    { 0x3F11, "getbeament" },
    { 0x3F12, "getbestcovermode" },
    { 0x3F13, "getbestcovernodeifavailable" },
    { 0x3F14, "getbestenemy" },
    { 0x3F15, "getbestspawnpoint" },
    { 0x3F16, "getbeststepoutpos" },
    { 0x3F17, "getbetterplayer" },
    { 0x3F18, "getbetterteam" },
    { 0x3F19, "getboredofthisnodetime" },
    { 0x3F1A, "getbuddyspawnangles" },
    { 0x3F1B, "getbumpallowancebasedondifficulty" },
    { 0x3F1C, "getburstdelaytime" },
    { 0x3F1D, "getburster" },
    { 0x3F1E, "getburstsize" },
    { 0x3F1F, "getcameraent" },
    { 0x3F20, "getcamoindex" },
    { 0x3F21, "getcamostring" },
    { 0x3F22, "getcannedresponse" },
    { 0x3F23, "getcapxpscale" },
    { 0x3F24, "getcarepackagestreakforreinforcementoftype" },
    { 0x3F25, "getcarrierweaponcurrent" },
    { 0x3F26, "getcentroiddistance" },
    { 0x3F27, "getchain" },
    { 0x3F28, "getchains" },
    { 0x3F29, "getchallengefilter" },
    { 0x3F2A, "getchallengestatus" },
    { 0x3F2B, "getchallengetable" },
    { 0x3F2C, "getchar" },
    { 0x3F2D, "getclaimednode" },
    { 0x3F2E, "getclaimteam" },
    { 0x3F2F, "getclasschoice" },
    { 0x3F30, "getclassindex" },
    { 0x3F31, "getclosest" },
    { 0x3F32, "getclosest_in_front" },
    { 0x3F33, "getclosestauto" },
    { 0x3F34, "getclosestdrone" },
    { 0x3F35, "getclosestflat" },
    { 0x3F36, "getclosestfriendlyspeaker" },
    { 0x3F37, "getclosestfx" },
    { 0x3F38, "getclosests_flickering_model" },
    { 0x3F39, "getcollision" },
    { 0x3F3A, "getcompasstext" },
    { 0x3F3B, "getcornermode" },
    { 0x3F3C, "getcorrectcoverangles" },
    { 0x3F3D, "getcovermultipretendtype" },
    { 0x3F3E, "getcratetypefordroptype" },
    { 0x3F3F, "getcrouchdeathanim" },
    { 0x3F40, "getcrouchpainanim" },
    { 0x3F41, "getcrouchrunanim" },
    { 0x3F42, "getcurrentdifficultysetting" },
    { 0x3F43, "getcurrentforwardmovementanimation" },
    { 0x3F44, "getcurrentfraction" },
    { 0x3F45, "getcurrentweaponslotname" },
    { 0x3F46, "getdamageableents" },
    { 0x3F47, "getdamagedirection" },
    { 0x3F48, "getdamagelocation" },
    { 0x3F49, "getdamageshieldpainanim" },
    { 0x3F4A, "getdamagetype" },
    { 0x3F4B, "getdeathanim" },
    { 0x3F4C, "getdeathspawnpoint" },
    { 0x3F4D, "getdefaultcostume" },
    { 0x3F4E, "getdefaultidlestate" },
    { 0x3F4F, "getdefaultoverdrivespeedscale" },
    { 0x3F50, "getdegreeselevation" },
    { 0x3F51, "getdescription" },
    { 0x3F52, "getdesireddrivenmovemode" },
    { 0x3F53, "getdesiredgrenadetimervalue" },
    { 0x3F54, "getdesiredidlepose" },
    { 0x3F55, "getdialogai" },
    { 0x3F56, "getdifficulty" },
    { 0x3F57, "getdirectedenergydeathanim" },
    { 0x3F58, "getdirectioncompass" },
    { 0x3F59, "getdirectionfacingangle" },
    { 0x3F5A, "getdirectionfacingclock" },
    { 0x3F5B, "getdirectionfacingclockgivenangle" },
    { 0x3F5C, "getdirectionfacingflank" },
    { 0x3F5D, "getdistanceyards" },
    { 0x3F5E, "getdistanceyardsnormalized" },
    { 0x3F5F, "getdogdeathanim" },
    { 0x3F60, "getdogflashedanim" },
    { 0x3F61, "getdogmoveanim" },
    { 0x3F62, "getdognexttwitchtime" },
    { 0x3F63, "getdogpainanim" },
    { 0x3F64, "getdogstopanim" },
    { 0x3F65, "getdogstopanimbase" },
    { 0x3F66, "getdogstopanimlook" },
    { 0x3F67, "getdogstoptransitionanim" },
    { 0x3F68, "getdogturnanim" },
    { 0x3F69, "getdomroundtimepassed" },
    { 0x3F6A, "getdoorside" },
    { 0x3F6B, "getdronelerpfraction" },
    { 0x3F6C, "getdroneperlinovertime" },
    { 0x3F6D, "getdronespawnpoint" },
    { 0x3F6E, "getdroptypefromstreakname" },
    { 0x3F6F, "getdudefromarray" },
    { 0x3F70, "getdudesfromarray" },
    { 0x3F71, "getdvarfloatdefault" },
    { 0x3F72, "getdvarintdefault" },
    { 0x3F73, "getdvarvec" },
    { 0x3F74, "getdynamiceventhighestscore" },
    { 0x3F75, "getdynamiceventstarttime" },
    { 0x3F76, "getdynamiceventtimelimit" },
    { 0x3F77, "getearliestclaimplayer" },
    { 0x3F78, "getempdamageents" },
    { 0x3F79, "getemptyloadout" },
    { 0x3F7A, "getemptyperks" },
    { 0x3F7B, "getenemyeyepos" },
    { 0x3F7C, "getenemysightpos" },
    { 0x3F7D, "getenemytarget" },
    { 0x3F7E, "getenemytargets" },
    { 0x3F7F, "getenemyteam" },
    { 0x3F80, "getent_or_struct" },
    { 0x3F81, "getent_or_struct_or_node" },
    { 0x3F82, "getentarraywithflag" },
    { 0x3F83, "getentitytargetlocationwithspread" },
    { 0x3F84, "getentorstruct" },
    { 0x3F85, "getentorstructarray" },
    { 0x3F86, "getentsbyfxid" },
    { 0x3F87, "getentwithflag" },
    { 0x3F88, "geteventstate" },
    { 0x3F89, "getexitnode" },
    { 0x3F8A, "getexitsplittime" },
    { 0x3F8B, "getexploderdelaydefault" },
    { 0x3F8C, "getexploders" },
    { 0x3F8D, "geteyeyawtoorigin" },
    { 0x3F8E, "getfadetime" },
    { 0x3F8F, "getfarthest" },
    { 0x3F90, "getfastburstdelaytime" },
    { 0x3F91, "getfinaldroplocation" },
    { 0x3F92, "getfireeffect" },
    { 0x3F93, "getfirelightshoweffect" },
    { 0x3F94, "getfirstprimaryweapon" },
    { 0x3F95, "getfirstzone" },
    { 0x3F96, "getflagteam" },
    { 0x3F97, "getflavorburstaliases" },
    { 0x3F98, "getflavorburstid" },
    { 0x3F99, "getflightdistance" },
    { 0x3F9A, "getflightpath" },
    { 0x3F9B, "getfloatproperty" },
    { 0x3F9C, "getfocusfromcontroller" },
    { 0x3F9D, "getfollowmovemode" },
    { 0x3F9E, "getformattedvalue" },
    { 0x3F9F, "getfraggrenadecount" },
    { 0x3FA0, "getfreeagent" },
    { 0x3FA1, "getfriendlylosmarker" },
    { 0x3FA2, "getfriendlymarker" },
    { 0x3FA3, "getfriendlyspawnstart" },
    { 0x3FA4, "getfriendlyspawntrigger" },
    { 0x3FA5, "getfrontarcclockdirection" },
    { 0x3FA6, "getfx" },
    { 0x3FA7, "getfxarraybyid" },
    { 0x3FA8, "getgametypenumlives" },
    { 0x3FA9, "getgamewinner" },
    { 0x3FAA, "getgenericanim" },
    { 0x3FAB, "getgrenadedropvelocity" },
    { 0x3FAC, "getgrenadegraceperiodtimeleft" },
    { 0x3FAD, "getgrenadeithrew" },
    { 0x3FAE, "getgrenademodel" },
    { 0x3FAF, "getgrenadethrowoffset" },
    { 0x3FB0, "getgrenadetimertime" },
    { 0x3FB1, "getgroundent" },
    { 0x3FB2, "getgroundslamcrushdamage" },
    { 0x3FB3, "getgroundslamhitlateralvimpart" },
    { 0x3FB4, "getgroundslamhitverticalvimpart" },
    { 0x3FB5, "getgroundslammaxdamage" },
    { 0x3FB6, "getgroundslammaxheight" },
    { 0x3FB7, "getgroundslammaxradius" },
    { 0x3FB8, "getgroundslammindamage" },
    { 0x3FB9, "getgroundslamminheight" },
    { 0x3FBA, "getgroundslamminradius" },
    { 0x3FBB, "getgroundslamragdolldirscale" },
    { 0x3FBC, "getgunpitchtoshootentorpos" },
    { 0x3FBD, "getgunyawtoshootentorpos" },
    { 0x3FBE, "gethalftime" },
    { 0x3FBF, "gethardcorecostume" },
    { 0x3FC0, "gethardenedaward" },
    { 0x3FC1, "gethelianchor" },
    { 0x3FC2, "gethelipilotmeshoffset" },
    { 0x3FC3, "gethelipilottraceoffset" },
    { 0x3FC4, "gethighestdot" },
    { 0x3FC5, "gethighestpriorityevent" },
    { 0x3FC6, "gethighestprogressedplayers" },
    { 0x3FC7, "gethighestscoringplayer" },
    { 0x3FC8, "gethighestscoringplayersarray" },
    { 0x3FC9, "gethitlocheight" },
    { 0x3FCA, "gethitloctag" },
    { 0x3FCB, "gethostilelosmarker" },
    { 0x3FCC, "gethostilemarker" },
    { 0x3FCD, "gethostplayer" },
    { 0x3FCE, "geticonshader" },
    { 0x3FCF, "geticontypeforreinforcementoftype" },
    { 0x3FD0, "getin" },
    { 0x3FD1, "getin_enteredvehicletrack" },
    { 0x3FD2, "getin_idle_func" },
    { 0x3FD3, "getinchesinfeet" },
    { 0x3FD4, "getindex" },
    { 0x3FD5, "getinorgs" },
    { 0x3FD6, "getinshadow_func" },
    { 0x3FD7, "getintervalsounddelaymaxdefault" },
    { 0x3FD8, "getintervalsounddelaymindefault" },
    { 0x3FD9, "getintproperty" },
    { 0x3FDA, "getitemweaponname" },
    { 0x3FDB, "getjointeampermissions" },
    { 0x3FDC, "getkeepweapons" },
    { 0x3FDD, "getkillcamentity" },
    { 0x3FDE, "getkillstreakalliesdialog" },
    { 0x3FDF, "getkillstreakallteamstreak" },
    { 0x3FE0, "getkillstreakcount" },
    { 0x3FE1, "getkillstreakcrateicon" },
    { 0x3FE2, "getkillstreakdescription" },
    { 0x3FE3, "getkillstreakdialog" },
    { 0x3FE4, "getkillstreakdpadicon" },
    { 0x3FE5, "getkillstreakearneddialog" },
    { 0x3FE6, "getkillstreakearnedhint" },
    { 0x3FE7, "getkillstreakenemydialog" },
    { 0x3FE8, "getkillstreakenemyusedialog" },
    { 0x3FE9, "getkillstreakfromchallenge" },
    { 0x3FEA, "getkillstreakhint" },
    { 0x3FEB, "getkillstreakicon" },
    { 0x3FEC, "getkillstreakindex" },
    { 0x3FED, "getkillstreakinformenemy" },
    { 0x3FEE, "getkillstreakkills" },
    { 0x3FEF, "getkillstreakmodules" },
    { 0x3FF0, "getkillstreakname" },
    { 0x3FF1, "getkillstreakoverheadicon" },
    { 0x3FF2, "getkillstreakreference" },
    { 0x3FF3, "getkillstreakrownum" },
    { 0x3FF4, "getkillstreakscore" },
    { 0x3FF5, "getkillstreaksound" },
    { 0x3FF6, "getkillstreakunearnedicon" },
    { 0x3FF7, "getkillstreakweapon" },
    { 0x3FF8, "getlabel" },
    { 0x3FF9, "getlaserradius" },
    { 0x3FFA, "getlastlivingplayer" },
    { 0x3FFB, "getlastweapon" },
    { 0x3FFC, "getlerpfraction" },
    { 0x3FFD, "getlevelcompleted" },
    { 0x3FFE, "getlevelindex" },
    { 0x3FFF, "getlevelname" },
    { 0x4000, "getlevelskill" },
    { 0x4001, "getlevelveteranaward" },
    { 0x4002, "getlightshowbeameffect" },
    { 0x4003, "getlinkedvehiclenodes" },
    { 0x4004, "getlinks_array" },
    { 0x4005, "getlistofgoodspawnpoints" },
    { 0x4006, "getlivingplayers" },
    { 0x4007, "getloadout" },
    { 0x4008, "getlocation" },
    { 0x4009, "getloccalloutalias" },
    { 0x400A, "getlookattarget" },
    { 0x400B, "getlookpitch" },
    { 0x400C, "getlookyaw" },
    { 0x400D, "getloopeffectdelaydefault" },
    { 0x400E, "getlosingplayers" },
    { 0x400F, "getlowermessage" },
    { 0x4010, "getlowestavailableclientid" },
    { 0x4011, "getlowestpartdistance" },
    { 0x4012, "getlowestskill" },
    { 0x4013, "getmapname" },
    { 0x4014, "getmarksmanunlockattachment" },
    { 0x4015, "getmatchrulesspecialclass" },
    { 0x4016, "getmatchstarttimeutc" },
    { 0x4017, "getmaxaliveenemycount" },
    { 0x4018, "getmaxdirectionsandexcludedirfromapproachtype" },
    { 0x4019, "getmaxdogcount" },
    { 0x401A, "getmaxdronecount" },
    { 0x401B, "getmaxenemycount" },
    { 0x401C, "getmaxpickupsperround" },
    { 0x401D, "getmaxrounds" },
    { 0x401E, "getmaxstreakcost" },
    { 0x401F, "getmeleeanimstate" },
    { 0x4020, "getmidangle" },
    { 0x4021, "getminioncount" },
    { 0x4022, "getminutespassed" },
    { 0x4023, "getmissiondvarstring" },
    { 0x4024, "getmodel" },
    { 0x4025, "getmodifiedrotationangle" },
    { 0x4026, "getmodifier" },
    { 0x4027, "getmodulelineemp" },
    { 0x4028, "getmodulesforcrate" },
    { 0x4029, "getmostkilled" },
    { 0x402A, "getmostkilledby" },
    { 0x402B, "getmoveanim" },
    { 0x402C, "getmoveplaybackrate" },
    { 0x402D, "getmovestate" },
    { 0x402E, "getname" },
    { 0x402F, "getnamedally" },
    { 0x4030, "getnames" },
    { 0x4031, "getnearestflagpoint" },
    { 0x4032, "getnearestflagteam" },
    { 0x4033, "getnearestpathnode" },
    { 0x4034, "getnearestspawns" },
    { 0x4035, "getnearestzonepoint" },
    { 0x4036, "getnetquantizedangle" },
    { 0x4037, "getnewenemyreactionanim" },
    { 0x4038, "getnextflashanim" },
    { 0x4039, "getnextfootdown" },
    { 0x403A, "getnextgun" },
    { 0x403B, "getnextlandingtime" },
    { 0x403C, "getnextlevelindex" },
    { 0x403D, "getnextlifeid" },
    { 0x403E, "getnextnode" },
    { 0x403F, "getnextobjid" },
    { 0x4040, "getnextplayerinownerqueue" },
    { 0x4041, "getnextrelevantdialog" },
    { 0x4042, "getnextroundnumber" },
    { 0x4043, "getnextzone" },
    { 0x4044, "getnextzonefromqueue" },
    { 0x4045, "getnodearrayfunction" },
    { 0x4046, "getnodedirection" },
    { 0x4047, "getnodeforward" },
    { 0x4048, "getnodeforwardangles" },
    { 0x4049, "getnodeforwardyaw" },
    { 0x404A, "getnodefunction" },
    { 0x404B, "getnodeoffset" },
    { 0x404C, "getnodeorigin" },
    { 0x404D, "getnodetype" },
    { 0x404E, "getnodeyawtoenemy" },
    { 0x404F, "getnodeyawtoorigin" },
    { 0x4050, "getnormalanimtime" },
    { 0x4051, "getnormaldirectionvec" },
    { 0x4052, "getnumactiveagents" },
    { 0x4053, "getnumbraggingrights" },
    { 0x4054, "getnumownedactiveagents" },
    { 0x4055, "getnumownedactiveagentsbytype" },
    { 0x4056, "getnumplayers" },
    { 0x4057, "getnumtouchingexceptteam" },
    { 0x4058, "getobjectivehinttext" },
    { 0x4059, "getobjectivescoretext" },
    { 0x405A, "getobjectivetext" },
    { 0x405B, "getobjpointbyindex" },
    { 0x405C, "getobjpointbyname" },
    { 0x405D, "getoffvehiclefunc" },
    { 0x405E, "getoldslam" },
    { 0x405F, "getoneshoteffectdelaydefault" },
    { 0x4060, "getonpath" },
    { 0x4061, "getorbitallaserzheight" },
    { 0x4062, "getorientedmeleevictimtargetyaw" },
    { 0x4063, "getosptaginfo" },
    { 0x4064, "getotherriotshieldname" },
    { 0x4065, "getotherteam" },
    { 0x4066, "getout" },
    { 0x4067, "getout_combat" },
    { 0x4068, "getout_delete" },
    { 0x4069, "getout_rigspawn" },
    { 0x406A, "getout_secondary" },
    { 0x406B, "getout_secondary_tag" },
    { 0x406C, "getout_timed_anim" },
    { 0x406D, "getoutloopsnd" },
    { 0x406E, "getoutrig_abort" },
    { 0x406F, "getoutrig_abort_while_deploying" },
    { 0x4070, "getoutrig_disable_abort_notify_after_riders_out" },
    { 0x4071, "getoutrig_model" },
    { 0x4072, "getoutrig_model_idle" },
    { 0x4073, "getoutsnd" },
    { 0x4074, "getoutstance" },
    { 0x4075, "getowneddomflags" },
    { 0x4076, "getownerteam" },
    { 0x4077, "getpainanim" },
    { 0x4078, "getparent" },
    { 0x4079, "getpartandstateindex" },
    { 0x407A, "getpatharray" },
    { 0x407B, "getperkcrateicon" },
    { 0x407C, "getperkforcrate" },
    { 0x407D, "getperlinovertime" },
    { 0x407E, "getpermutation" },
    { 0x407F, "getpersstat" },
    { 0x4080, "getpitchtoenemy" },
    { 0x4081, "getpitchtoorgfromorg" },
    { 0x4082, "getpitchtoshootentorpos" },
    { 0x4083, "getpitchtospot" },
    { 0x4084, "getplaneflyheight" },
    { 0x4085, "getplant" },
    { 0x4086, "getplayerclaymores" },
    { 0x4087, "getplayerdamagescale" },
    { 0x4088, "getplayereyeheight" },
    { 0x4089, "getplayerforguid" },
    { 0x408A, "getplayerfromclientnum" },
    { 0x408B, "getplayerhelispeed" },
    { 0x408C, "getplayersonteam" },
    { 0x408D, "getplayerstat" },
    { 0x408E, "getplayerstattime" },
    { 0x408F, "getplayertraceheight" },
    { 0x4090, "getplayerweaponhorde" },
    { 0x4091, "getpotentiallivingplayers" },
    { 0x4092, "getpracticeroundclass" },
    { 0x4093, "getpracticeroundcostume" },
    { 0x4094, "getpredictedaimyawtoshootentorpos" },
    { 0x4095, "getpredictedpathmidpoint" },
    { 0x4096, "getpredictedyawtoenemy" },
    { 0x4097, "getprefereddompoints" },
    { 0x4098, "getpreferredweapon" },
    { 0x4099, "getprestigelevel" },
    { 0x409A, "getpronedeathanim" },
    { 0x409B, "getpronepainanim" },
    { 0x409C, "getproperty" },
    { 0x409D, "getqacalloutalias" },
    { 0x409E, "getquadrant" },
    { 0x409F, "getqueueevents" },
    { 0x40A0, "getradialanglefroment" },
    { 0x40A1, "getrandomanimentry" },
    { 0x40A2, "getrandomcovermode" },
    { 0x40A3, "getrandomcratetype" },
    { 0x40A4, "getrandomintfromseed" },
    { 0x40A5, "getrandomspectatorspawnpoint" },
    { 0x40A6, "getrandomunblockedanim" },
    { 0x40A7, "getrank" },
    { 0x40A8, "getrankforxp" },
    { 0x40A9, "getrankfromname" },
    { 0x40AA, "getrankinfofull" },
    { 0x40AB, "getrankinfolevel" },
    { 0x40AC, "getrankinfomaxxp" },
    { 0x40AD, "getrankinfominxp" },
    { 0x40AE, "getrankinfoxpamt" },
    { 0x40AF, "getrankxp" },
    { 0x40B0, "getratio" },
    { 0x40B1, "getredeemedxp" },
    { 0x40B2, "getrelativeangles" },
    { 0x40B3, "getrelativeteam" },
    { 0x40B4, "getremainingburstdelaytime" },
    { 0x40B5, "getremotename" },
    { 0x40B6, "getresponder" },
    { 0x40B7, "getroundaccuracy" },
    { 0x40B8, "getroundintermissiontimer" },
    { 0x40B9, "getroundswon" },
    { 0x40BA, "getrownumber" },
    { 0x40BB, "getrunanim" },
    { 0x40BC, "getrunningforwarddeathanim" },
    { 0x40BD, "getrunningforwardpainanim" },
    { 0x40BE, "getsafeanimmovedeltapercentage" },
    { 0x40BF, "getscoreinfovalue" },
    { 0x40C0, "getscorelimit" },
    { 0x40C1, "getscoreperminute" },
    { 0x40C2, "getscoreremaining" },
    { 0x40C3, "getsecondaryperkforcrate" },
    { 0x40C4, "getsecondaryperkhintfromperkref" },
    { 0x40C5, "getsecondspassed" },
    { 0x40C6, "getshootfrompos" },
    { 0x40C7, "getshootpospitch" },
    { 0x40C8, "getsingleairstrikedanger" },
    { 0x40C9, "getslotnumber" },
    { 0x40CA, "getsmokegrenadecount" },
    { 0x40CB, "getsmoothrandomvector" },
    { 0x40CC, "getsniperburstdelaytime" },
    { 0x40CD, "getsolevelcompleted" },
    { 0x40CE, "getspawninwateroffset" },
    { 0x40CF, "getspawnorigin" },
    { 0x40D0, "getspawnpoint" },
    { 0x40D1, "getspawnpoint_awayfromenemies" },
    { 0x40D2, "getspawnpoint_domination" },
    { 0x40D3, "getspawnpoint_freeforall" },
    { 0x40D4, "getspawnpoint_hardpoint" },
    { 0x40D5, "getspawnpoint_nearteam" },
    { 0x40D6, "getspawnpoint_random" },
    { 0x40D7, "getspawnpoint_safeguard" },
    { 0x40D8, "getspawnpoint_searchandrescue" },
    { 0x40D9, "getspawnpoint_startspawn" },
    { 0x40DA, "getspawnpoint_twar" },
    { 0x40DB, "getspawnpointarray" },
    { 0x40DC, "getspawnteam" },
    { 0x40DD, "getspeakers" },
    { 0x40DE, "getspherebounds" },
    { 0x40DF, "getsplittimes" },
    { 0x40E0, "getsplittimesside" },
    { 0x40E1, "getsprintanim" },
    { 0x40E2, "getsquadteam" },
    { 0x40E3, "getstairstransitionanim" },
    { 0x40E4, "getstance_func" },
    { 0x40E5, "getstancecenter" },
    { 0x40E6, "getstanddeathanim" },
    { 0x40E7, "getstandpainanim" },
    { 0x40E8, "getstandpistoldeathanim" },
    { 0x40E9, "getstandpistolpainanim" },
    { 0x40EA, "getstartpositionabove" },
    { 0x40EB, "getstat_easy" },
    { 0x40EC, "getstat_hardened" },
    { 0x40ED, "getstat_intel" },
    { 0x40EE, "getstat_progression" },
    { 0x40EF, "getstat_regular" },
    { 0x40F0, "getstat_veteran" },
    { 0x40F1, "getstingertargetposfunc" },
    { 0x40F2, "getstopanimstate" },
    { 0x40F3, "getstopdata" },
    { 0x40F4, "getstreakcost" },
    { 0x40F5, "getstreakforcrate" },
    { 0x40F6, "getstreakmodulebasekillstreak" },
    { 0x40F7, "getstreakmodulecost" },
    { 0x40F8, "getstrongbulletdamagedeathanim" },
    { 0x40F9, "getstruct" },
    { 0x40FA, "getstruct_delete" },
    { 0x40FB, "getstructarray" },
    { 0x40FC, "getstructarray_delete" },
    { 0x40FD, "getsupportbarsize" },
    { 0x40FE, "getswimanim" },
    { 0x40FF, "gettagangles_c" },
    { 0x4100, "gettagforpos" },
    { 0x4101, "gettagorigin_rotatecompensation" },
    { 0x4102, "gettakennodes" },
    { 0x4103, "gettargetangleoffset" },
    { 0x4104, "gettargetentpos" },
    { 0x4105, "gettargetlist" },
    { 0x4106, "gettargettingai" },
    { 0x4107, "gettargettriggerhit" },
    { 0x4108, "getteambalance" },
    { 0x4109, "getteamcolor" },
    { 0x410A, "getteamcratemodel" },
    { 0x410B, "getteamdeploymodel" },
    { 0x410C, "getteamdompoints" },
    { 0x410D, "getteameliminatedstring" },
    { 0x410E, "getteamflagcarrymodel" },
    { 0x410F, "getteamflagcount" },
    { 0x4110, "getteamflagfx" },
    { 0x4111, "getteamflagicon" },
    { 0x4112, "getteamflagmodel" },
    { 0x4113, "getteamforfeitedstring" },
    { 0x4114, "getteamheadicon" },
    { 0x4115, "getteamhudicon" },
    { 0x4116, "getteamicon" },
    { 0x4117, "getteamindex" },
    { 0x4118, "getteammatesoutofcombat" },
    { 0x4119, "getteamname" },
    { 0x411A, "getteamshortname" },
    { 0x411B, "getteamsize" },
    { 0x411C, "getteamspawnmusic" },
    { 0x411D, "getteamspawnpoints" },
    { 0x411E, "getteamvoiceprefix" },
    { 0x411F, "getteamwinmusic" },
    { 0x4120, "getthing" },
    { 0x4121, "getthingarray" },
    { 0x4122, "getthreatinfantrycallouttype" },
    { 0x4123, "getthreatsovertime" },
    { 0x4124, "getthreatstyle" },
    { 0x4125, "gettierfromtable" },
    { 0x4126, "gettimeallowancebasedondifficulty" },
    { 0x4127, "gettimedeciseconds" },
    { 0x4128, "gettimeinterval" },
    { 0x4129, "gettimelimit" },
    { 0x412A, "gettimepassed" },
    { 0x412B, "gettimepasseddeciseconds" },
    { 0x412C, "gettimepasseddecisecondsincludingrounds" },
    { 0x412D, "gettimepassedincludingrounds" },
    { 0x412E, "gettimepassedpercentage" },
    { 0x412F, "gettimeremaining" },
    { 0x4130, "gettimeremainingincludingrounds" },
    { 0x4131, "gettimesincedompointcapture" },
    { 0x4132, "gettimetoreinforcementfortypems" },
    { 0x4133, "gettotalpercentcompletesp" },
    { 0x4134, "gettotalscore" },
    { 0x4135, "gettotalxp" },
//  { 0x4136, "" },
//  { 0x4137, "" },
    { 0x4138, "gettranssplittime" },
    { 0x4139, "gettruenodeangles" },
    { 0x413A, "getturnanim" },
    { 0x413B, "getturnanimstate" },
    { 0x413C, "gettweakabledvar" },
    { 0x413D, "gettweakabledvarvalue" },
    { 0x413E, "gettweakablelastvalue" },
    { 0x413F, "gettweakablevalue" },
    { 0x4140, "getuniqueflagnameindex" },
    { 0x4141, "getuniqueid" },
    { 0x4142, "getuniquestreakpromptid" },
    { 0x4143, "getunownedflagneareststart" },
    { 0x4144, "getunpausedtimepassed" },
    { 0x4145, "getupdatedattackpos" },
    { 0x4146, "getupdateteams" },
    { 0x4147, "getupifprone" },
    { 0x4148, "getvalidlocation" },
    { 0x4149, "getvalidpointtopointmovelocation" },
    { 0x414A, "getvalidspawnpathnodenearplayer" },
    { 0x414B, "getvalidspawns" },
    { 0x414C, "getvalidtargetssorted" },
    { 0x414D, "getvalueinrange" },
    { 0x414E, "getvectorarrayaverage" },
    { 0x414F, "getvectorrightangle" },
    { 0x4150, "getvehiclearray" },
    { 0x4151, "getvehiclenodepreviousforstartpath" },
    { 0x4152, "getvehiclespawner" },
    { 0x4153, "getvehiclespawnerarray" },
    { 0x4154, "getvelocity_func" },
    { 0x4155, "getviewmodelrotation" },
    { 0x4156, "getviewmodelstrafeoffset" },
    { 0x4157, "getwaitingbattlebuddy" },
    { 0x4158, "getwalkanim" },
    { 0x4159, "getwarmupeffect" },
    { 0x415A, "getwarmuplightshoweffect" },
    { 0x415B, "getwatcheddvar" },
    { 0x415C, "getwaterline" },
    { 0x415D, "getweaponattachmentarrayfromstats" },
    { 0x415E, "getweaponattachmentfromchallenge" },
    { 0x415F, "getweaponattachmentfromstats" },
    { 0x4160, "getweaponattachmentsbasenames" },
    { 0x4161, "getweaponbasedgrenadecount" },
    { 0x4162, "getweaponbasedsmokegrenadecount" },
    { 0x4163, "getweaponchoice" },
    { 0x4164, "getweaponclass" },
    { 0x4165, "getweaponforpos" },
    { 0x4166, "getweaponfromchallenge" },
    { 0x4167, "getweaponfxheight" },
    { 0x4168, "getweaponheaviestvalue" },
    { 0x4169, "getweaponnametokens" },
    { 0x416A, "getweaponweight" },
    { 0x416B, "getweightedchanceroll" },
    { 0x416C, "getwinningteam" },
    { 0x416D, "getxpscale" },
    { 0x416E, "getyaw" },
    { 0x416F, "getyaw2d" },
    { 0x4170, "getyawangles" },
    { 0x4171, "getyawfromorigin" },
    { 0x4172, "getyawtoenemy" },
    { 0x4173, "getyawtoorigin" },
    { 0x4174, "getyawtospot" },
    { 0x4175, "getyawtotag" },
    { 0x4176, "getzonearray" },
    { 0x4177, "gg_boost_begin" },
    { 0x4178, "gg_boost_end" },
    { 0x4179, "gg_bridge_shake_left" },
    { 0x417A, "gg_bridge_shake_right" },
    { 0x417B, "gg_bridge_snap_explosion" },
    { 0x417C, "gg_brk_boost_begin" },
    { 0x417D, "gg_brk_boost_end" },
    { 0x417E, "gg_bus_explode_death" },
    { 0x417F, "gg_drone_cable_explosions" },
    { 0x4180, "gg_drone_explosions" },
    { 0x4181, "gg_player_hit_windshield" },
    { 0x4182, "gg_slomo_end" },
    { 0x4183, "gg_slomo_start" },
    { 0x4184, "gg_start_bridge_collapse" },
    { 0x4185, "gg_start_bus_sliding" },
    { 0x4186, "gheight" },
    { 0x4187, "ghetto_tag_create" },
    { 0x4188, "ghillie_leaves" },
    { 0x4189, "gid_dragged_away" },
    { 0x418A, "gid_fall_down" },
    { 0x418B, "gid_hand_on_knox" },
    { 0x418C, "gid_kneel_down" },
    { 0x418D, "gid_release_plr_mech_suit" },
    { 0x418E, "gid_stand_and_drag" },
    { 0x418F, "gideon" },
    { 0x4190, "gideon_anim_set_manager" },
    { 0x4191, "gideon_arm_scan" },
    { 0x4192, "gideon_boost_jump" },
    { 0x4193, "gideon_bubble_trail" },
    { 0x4194, "gideon_bubble_trail_cg" },
    { 0x4195, "gideon_bubble_trails" },
    { 0x4196, "gideon_can_exit_range" },
    { 0x4197, "gideon_canal_bottom" },
    { 0x4198, "gideon_cannot_exit_range" },
    { 0x4199, "gideon_change_mask" },
    { 0x419A, "gideon_change_outfit" },
    { 0x419B, "gideon_door_mech_kick" },
    { 0x419C, "gideon_exfil_boost" },
    { 0x419D, "gideon_exfil_foley1" },
    { 0x419E, "gideon_exfil_foley2" },
    { 0x419F, "gideon_exfil_foley3" },
    { 0x41A0, "gideon_exfil_foley4" },
    { 0x41A1, "gideon_goto_canal_breach" },
    { 0x41A2, "gideon_gun_prep" },
    { 0x41A3, "gideon_helo_release" },
    { 0x41A4, "gideon_jump_to_heli" },
    { 0x41A5, "gideon_keep_up_fail_trigger" },
    { 0x41A6, "gideon_knife_takedown_unmute_foley" },
    { 0x41A7, "gideon_look_off" },
    { 0x41A8, "gideon_mech_footstep_splashes" },
    { 0x41A9, "gideon_mech_light" },
    { 0x41AA, "gideon_mech_water_drips" },
    { 0x41AB, "gideon_outfit_manager" },
    { 0x41AC, "gideon_play_scripted_anim_when_reaching_goal" },
    { 0x41AD, "gideon_pod" },
    { 0x41AE, "gideon_slide_dust" },
    { 0x41AF, "gideon_swim_stroke_up" },
    { 0x41B0, "gideon_turntable_demo" },
    { 0x41B1, "gideon_walking_down_stairs" },
    { 0x41B2, "gideon_wall_cloak_on" },
    { 0x41B3, "gideon_water_splash" },
    { 0x41B4, "gideon_water_splash_cg" },
    { 0x41B5, "give_boost_jump" },
    { 0x41B6, "give_capture_credit" },
    { 0x41B7, "give_diveboat_weapons" },
    { 0x41B8, "give_door_shield_weapon" },
    { 0x41B9, "give_enemy_boost" },
    { 0x41BA, "give_exo_cloak" },
    { 0x41BB, "give_exo_health" },
    { 0x41BC, "give_exo_hover" },
    { 0x41BD, "give_exo_mute" },
    { 0x41BE, "give_exo_overclock" },
    { 0x41BF, "give_exo_ping" },
    { 0x41C0, "give_exo_repulsor" },
    { 0x41C1, "give_exo_shield" },
    { 0x41C2, "give_expensive_flashlight" },
    { 0x41C3, "give_hovertank_weapons" },
    { 0x41C4, "give_infinite_ammo" },
    { 0x41C5, "give_laser" },
    { 0x41C6, "give_laser_sights" },
    { 0x41C7, "give_loadout" },
    { 0x41C8, "give_night_vision" },
    { 0x41C9, "give_overdrive_battery" },
    { 0x41CA, "give_player_challenge_frag" },
    { 0x41CB, "give_player_challenge_headshot" },
    { 0x41CC, "give_player_challenge_kill" },
    { 0x41CD, "give_player_exo" },
    { 0x41CE, "give_player_flashlight" },
    { 0x41CF, "give_player_gun" },
    { 0x41D0, "give_player_just_hands" },
    { 0x41D1, "give_player_more_ammo" },
    { 0x41D2, "give_player_pdrone" },
    { 0x41D3, "give_player_smart_grenade_launcher" },
    { 0x41D4, "give_player_variable_grenade" },
    { 0x41D5, "give_point" },
    { 0x41D6, "give_regular_grenades" },
    { 0x41D7, "give_water_weapon" },
    { 0x41D8, "give_weapon_knife" },
    { 0x41D9, "giveability" },
    { 0x41DA, "giveachievement_wrapper" },
    { 0x41DB, "giveadrenaline" },
    { 0x41DC, "giveadrenalinedirect" },
    { 0x41DD, "giveandapplyloadout" },
    { 0x41DE, "giveaward" },
    { 0x41DF, "givebackcarepackage" },
    { 0x41E0, "giveblindeyeafterspawn" },
    { 0x41E1, "givecontrolback" },
    { 0x41E2, "givedefaultperks" },
    { 0x41E3, "giveflagcapturexp" },
    { 0x41E4, "giveflagneutralizexp" },
    { 0x41E5, "givegearformapsplayed" },
    { 0x41E6, "givegearformaxarmorproficiency" },
    { 0x41E7, "givegearformaxweaponproficiency" },
    { 0x41E8, "givegearforwavescompleted" },
    { 0x41E9, "givehordekillstreak" },
    { 0x41EA, "givejuggernaut" },
    { 0x41EB, "givekillstreak" },
    { 0x41EC, "givekillstreakweapon" },
    { 0x41ED, "givelastonteamwarning" },
    { 0x41EE, "giveloadout" },
    { 0x41EF, "givematchbonus" },
    { 0x41F0, "givenextgun" },
    { 0x41F1, "giveobject" },
    { 0x41F2, "giveoffhand" },
    { 0x41F3, "giveonemanarmyclass" },
    { 0x41F4, "giveownedkillstreakitem" },
    { 0x41F5, "giveperk" },
    { 0x41F6, "giveplaceable" },
    { 0x41F7, "giveplayerchallengekillpoint" },
    { 0x41F8, "giveplayerconroldelayed" },
    { 0x41F9, "giveplayerscore" },
    { 0x41FA, "givepointsfordamage" },
    { 0x41FB, "givepointsforevent" },
    { 0x41FC, "giverankxp" },
    { 0x41FD, "giverankxpafterwait" },
    { 0x41FE, "givereinforcementoftype" },
    { 0x41FF, "givescoreloss" },
    { 0x4200, "giveselectedkillstreakitem" },
    { 0x4201, "givesentry" },
    { 0x4202, "givesuperexo" },
    { 0x4203, "givesuperhealth" },
    { 0x4204, "givesuperpunch" },
    { 0x4205, "givesuperrepulse" },
    { 0x4206, "givesuperspeed" },
    { 0x4207, "givesuperstomp" },
    { 0x4208, "giveteamammorefill" },
    { 0x4209, "giveteamscoreforobjective" },
    { 0x420A, "giveteamscoreforobjectiveendofframe" },
    { 0x420B, "giveuponsuppressiontime" },
    { 0x420C, "giveuptime" },
    { 0x420D, "givexp" },
    { 0x420E, "givezonecapturexp" },
    { 0x420F, "glass_break" },
    { 0x4210, "glass_break_think" },
    { 0x4211, "glass_broken" },
    { 0x4212, "glass_door_01_exterior_lighting" },
    { 0x4213, "glass_door_01_interior_lighting" },
    { 0x4214, "glass_door_02_exterior_lighting" },
    { 0x4215, "glass_door_02_interior_lighting" },
    { 0x4216, "glass_door_03_exterior_lighting" },
    { 0x4217, "glass_door_03_interior_lighting" },
    { 0x4218, "glass_door_04_exterior_lighting" },
    { 0x4219, "glass_door_04_interior_lighting" },
    { 0x421A, "glass_id" },
    { 0x421B, "glauncher_icon" },
    { 0x421C, "glauncher_icon_fade_in" },
    { 0x421D, "glauncher_icon_fade_out" },
    { 0x421E, "glauncher_icon_trig" },
    { 0x421F, "glaunchericonthink" },
    { 0x4220, "glint_behavior" },
    { 0x4221, "global_callbacks" },
    { 0x4222, "global_damage_func" },
    { 0x4223, "global_damage_func_ads" },
    { 0x4224, "global_data" },
    { 0x4225, "global_dialogue_function_stack" },
    { 0x4226, "global_dialogue_internal" },
    { 0x4227, "global_dialogue_internal_play_dialogue" },
    { 0x4228, "global_dialogue_internal_play_radio" },
    { 0x4229, "global_empty_callback" },
    { 0x422A, "global_fx" },
    { 0x422B, "global_kill_func" },
    { 0x422C, "global_mix" },
    { 0x422D, "global_spawn_functions" },
    { 0x422E, "global_tables" },
    { 0x422F, "globalinstantmessagehandler" },
    { 0x4230, "globalthink" },
    { 0x4231, "globalusableents" },
    { 0x4232, "gloveon" },
    { 0x4233, "glow" },
    { 0x4234, "glow_model" },
    { 0x4235, "glowcolor_mult" },
    { 0x4236, "glowstickenemyuselistener" },
    { 0x4237, "glowsticksetupandwaitfordeath" },
    { 0x4238, "glowstickteamupdater" },
    { 0x4239, "glowstickuselistener" },
    { 0x423A, "go_path_by_targetname" },
    { 0x423B, "go_path_by_targetname_reverse" },
    { 0x423C, "go_to_boosters_off_and_first_frame" },
    { 0x423D, "go_to_hide" },
    { 0x423E, "go_to_node" },
    { 0x423F, "go_to_node_arrays" },
    { 0x4240, "go_to_node_set_goal_ent" },
    { 0x4241, "go_to_node_set_goal_node" },
    { 0x4242, "go_to_node_set_goal_pos" },
    { 0x4243, "go_to_node_using_funcs" },
    { 0x4244, "go_to_node_wait_for_player" },
    { 0x4245, "go_to_origin" },
    { 0x4246, "go_to_struct" },
    { 0x4247, "go_to_vol" },
    { 0x4248, "goal_and_interupt" },
    { 0x4249, "goal_mover" },
    { 0x424A, "goal_node" },
    { 0x424B, "goal_pos" },
    { 0x424C, "goal_position" },
    { 0x424D, "goal_radius" },
    { 0x424E, "goal_type" },
    { 0x424F, "goalpos_within_volume" },
    { 0x4250, "goals" },
    { 0x4251, "goalvolume" },
    { 0x4252, "goalvolumes" },
    { 0x4253, "goback_startfunc" },
    { 0x4254, "godmode" },
    { 0x4255, "godoff" },
    { 0x4256, "godon" },
    { 0x4257, "going_for_knife" },
    { 0x4258, "goingtoproneaim" },
    { 0x4259, "golaith_exit_distance_dot" },
    { 0x425A, "golfcourse_treadfx_override" },
    { 0x425B, "goliath" },
    { 0x425C, "goliath_bad_landing_volumes" },
    { 0x425D, "goliath_dialog" },
    { 0x425E, "goliath_disable_threat" },
    { 0x425F, "goliath_distance" },
    { 0x4260, "goliath_entry_ice" },
    { 0x4261, "goliath_explode_logic_timer" },
    { 0x4262, "goliath_fail" },
    { 0x4263, "goliath_handle_death" },
    { 0x4264, "goliath_land" },
    { 0x4265, "goliath_pass" },
    { 0x4266, "goliath_player_rumbles" },
    { 0x4267, "goliath_rocket_logic" },
    { 0x4268, "goliathandcarepackagevalid" },
    { 0x4269, "goliathandgoliathvalid" },
    { 0x426A, "goliathandplatformvalid" },
    { 0x426B, "goliathattachflag" },
    { 0x426C, "goliathbadlandingcheck" },
    { 0x426D, "goliathbootupsequence" },
    { 0x426E, "goliathdropbomb" },
    { 0x426F, "goliathdropflag" },
    { 0x4270, "goliaththink" },
    { 0x4271, "gondola_movement_loops" },
    { 0x4272, "gondolaanimation" },
    { 0x4273, "gonevo" },
    { 0x4274, "goodaccuracy" },
    { 0x4275, "goodenemy" },
    { 0x4276, "goodshootpos" },
    { 0x4277, "gopath" },
    { 0x4278, "gotinfectedevent" },
    { 0x4279, "goto_current_colorindex" },
    { 0x427A, "goto_goal" },
    { 0x427B, "goto_node" },
    { 0x427C, "goto_node_and_delete" },
    { 0x427D, "goto_squad_node" },
    { 0x427E, "gotocover" },
    { 0x427F, "gotonextspawn" },
    { 0x4280, "gotonextstartspawn" },
    { 0x4281, "gotonode" },
    { 0x4282, "gotonodeanddelete" },
    { 0x4283, "gotonodeandwait" },
    { 0x4284, "gotoprevspawn" },
    { 0x4285, "gotoprevstartspawn" },
    { 0x4286, "gototogoal" },
    { 0x4287, "gotovolume" },
    { 0x4288, "gotpullbacknotify" },
    { 0x4289, "gourney_stop" },
    { 0x428A, "gov_anims_ajani" },
    { 0x428B, "gov_anims_joker" },
    { 0x428C, "gov_bldg_driveup" },
    { 0x428D, "gov_building_ai_timed_shooting" },
    { 0x428E, "gov_building_ally_goto" },
    { 0x428F, "gov_building_delete_soft_clip" },
    { 0x4290, "gov_building_exo_climb_burke_anims" },
    { 0x4291, "gov_building_exo_climb_burke_climb" },
    { 0x4292, "gov_building_exo_climb_goto" },
    { 0x4293, "gov_building_exo_climb_in_position" },
    { 0x4294, "gov_building_exo_climb_position_counter" },
    { 0x4295, "gov_building_exo_climb_vo" },
    { 0x4296, "gov_building_explode_advance_guys" },
    { 0x4297, "gov_building_firefight_anim_explode" },
    { 0x4298, "gov_building_firefight_anim_wounded" },
    { 0x4299, "gov_building_firefight_change_pos" },
    { 0x429A, "gov_building_firefight_driveup" },
    { 0x429B, "gov_building_firefight_driveup_explode" },
    { 0x429C, "gov_building_firefight_front_soldiers" },
    { 0x429D, "gov_building_firefight_init_shooting" },
    { 0x429E, "gov_building_firefight_kva" },
    { 0x429F, "gov_building_firefight_removal" },
    { 0x42A0, "gov_building_firefight_roadblock" },
    { 0x42A1, "gov_building_firefight_setup" },
    { 0x42A2, "gov_building_firefight_turret_settings" },
    { 0x42A3, "gov_building_gren_guy" },
    { 0x42A4, "gov_building_mil_devstart_setup" },
    { 0x42A5, "gov_building_mute_device" },
    { 0x42A6, "gov_building_rear_removal" },
    { 0x42A7, "gov_fail_on_death" },
    { 0x42A8, "gov_firefight_detect_breach" },
    { 0x42A9, "gov_firefight_enemy_reload_anims" },
    { 0x42AA, "gov_hostage_approach" },
    { 0x42AB, "gov_hostage_approach_redirect" },
    { 0x42AC, "gov_hostage_breach_actor_anims_and_idle" },
    { 0x42AD, "gov_hostage_breach_actor_anims_straight_to_idle" },
    { 0x42AE, "gov_hostage_breach_anim_idler" },
    { 0x42AF, "gov_hostage_breach_anim_setup" },
    { 0x42B0, "gov_hostage_breach_fail_miss_trigger" },
    { 0x42B1, "gov_hostage_breach_fail_trigger" },
    { 0x42B2, "gov_hostage_breach_give_radio" },
    { 0x42B3, "gov_hostage_breach_in_pos" },
    { 0x42B4, "gov_hostage_breach_marker_setup" },
    { 0x42B5, "gov_hostage_breach_post_anim_setup" },
    { 0x42B6, "gov_hostage_breach_setup" },
    { 0x42B7, "gov_hostage_h_breach_doors" },
    { 0x42B8, "gov_hostage_player_scan" },
    { 0x42B9, "gov_kva_soldiers" },
    { 0x42BA, "gov_post_h_breach_joker_actions" },
    { 0x42BB, "gov_rear_setup" },
    { 0x42BC, "gov_rear_squad_roundabout_goto" },
    { 0x42BD, "gov_road_block_patrol_route" },
    { 0x42BE, "gov_roof_breach_anim_chunks" },
    { 0x42BF, "gov_roof_breach_anim_setup" },
    { 0x42C0, "gov_roof_breach_elim_guy" },
    { 0x42C1, "gov_roof_breach_elim_setting_off" },
    { 0x42C2, "gov_roof_breach_elim_setting_on" },
    { 0x42C3, "gov_roof_breach_enable_player_invul" },
    { 0x42C4, "gov_roof_breach_end_slomo" },
    { 0x42C5, "gov_roof_breach_enemy_react_anims" },
    { 0x42C6, "gov_roof_breach_kill_assignment" },
    { 0x42C7, "gov_roof_breach_marker_setup" },
    { 0x42C8, "gov_roof_breach_multi_kill" },
    { 0x42C9, "gov_roof_breach_prep_squad_anims" },
    { 0x42CA, "gov_roof_breach_roof_destruction" },
    { 0x42CB, "gov_roof_breach_sequence" },
    { 0x42CC, "gov_roof_breach_start_slowmo" },
    { 0x42CD, "gov_roof_breach_success_monitor" },
    { 0x42CE, "gov_roof_breach_to_hbreach_vo" },
    { 0x42CF, "gov_soldiers_front" },
    { 0x42D0, "gov_soldiers_veh" },
    { 0x42D1, "gov_tram_bridge_ally_goto" },
    { 0x42D2, "gov_transition_clean_up" },
    { 0x42D3, "gov_veh_spawners" },
    { 0x42D4, "goverment_building_exoclimb_listen" },
    { 0x42D5, "government_building" },
    { 0x42D6, "government_building_interior_dialogue" },
    { 0x42D7, "government_building_mag_exo_dialogue" },
    { 0x42D8, "government_building_mag_exo_dialogue_nag" },
    { 0x42D9, "government_building_rail_walk_dialogue" },
    { 0x42DA, "government_building_reveal_dialogue" },
    { 0x42DB, "government_building_roof_breach_dialogue" },
    { 0x42DC, "government_building_roof_breach_dialogue_nag" },
    { 0x42DD, "gp_hint_text" },
    { 0x42DE, "grab_doctor_loop" },
    { 0x42DF, "grab_hand" },
    { 0x42E0, "grab_lighting" },
    { 0x42E1, "grab_n_stab_body_fall_with_lfe" },
    { 0x42E2, "grab_n_stab_brick_impact_with_lfe_glass" },
    { 0x42E3, "grab_n_stab_brick_snap" },
    { 0x42E4, "grab_n_stab_foley1_grabs_vox1" },
    { 0x42E5, "grab_n_stab_foley2" },
    { 0x42E6, "grab_n_stab_kick_impact_vox2" },
    { 0x42E7, "grab_n_stab_knife1" },
    { 0x42E8, "grab_n_stab_knife2" },
    { 0x42E9, "grab_n_stab_knife3" },
    { 0x42EA, "grab_n_stab_knife4" },
    { 0x42EB, "grab_n_stab_knife5" },
    { 0x42EC, "grab_n_stab_vox3" },
    { 0x42ED, "grab_players_classes" },
    { 0x42EE, "grab_stinger" },
    { 0x42EF, "gracedisance" },
    { 0x42F0, "graceperiod" },
    { 0x42F1, "gradius" },
    { 0x42F2, "gradually_return_player_speed" },
    { 0x42F3, "grand_fianle_paper_blowing" },
    { 0x42F4, "grand_finale_ambientfx_atlas_logo" },
    { 0x42F5, "grand_finale_building_explosion_smk" },
    { 0x42F6, "grand_finale_building_window_explosion_roofhang" },
    { 0x42F7, "grand_finale_fire_pool_fx" },
    { 0x42F8, "grand_finale_fx" },
    { 0x42F9, "grand_finale_iron_head_skin_override" },
    { 0x42FA, "grand_finale_rooftop_explode" },
    { 0x42FB, "graph_position" },
    { 0x42FC, "graphs" },
    { 0x42FD, "grapple" },
    { 0x42FE, "grapple_abort" },
    { 0x42FF, "grapple_abort_monitor" },
    { 0x4300, "grapple_abort_trace_passed" },
    { 0x4301, "grapple_add_void_point" },
    { 0x4302, "grapple_after_land_anim" },
    { 0x4303, "grapple_ai_alive" },
    { 0x4304, "grapple_ai_death_play" },
    { 0x4305, "grapple_ai_prep_for_kill" },
    { 0x4306, "grapple_allies" },
    { 0x4307, "grapple_allies_movement" },
    { 0x4308, "grapple_anim_anim" },
    { 0x4309, "grapple_anim_length" },
    { 0x430A, "grapple_anim_lerp" },
    { 0x430B, "grapple_anim_tree" },
    { 0x430C, "grapple_animate" },
    { 0x430D, "grapple_attach_bolt" },
    { 0x430E, "grapple_autosave_grappling_check" },
    { 0x430F, "grapple_begin" },
    { 0x4310, "grapple_break_glass" },
    { 0x4311, "grapple_can_stand" },
    { 0x4312, "grapple_check_footing" },
    { 0x4313, "grapple_check_surface_type" },
    { 0x4314, "grapple_commit_reticles" },
    { 0x4315, "grapple_commit_status" },
    { 0x4316, "grapple_complete_player_move" },
    { 0x4317, "grapple_config" },
    { 0x4318, "grapple_death_handler_standard" },
    { 0x4319, "grapple_death_listener" },
    { 0x431A, "grapple_death_pull" },
    { 0x431B, "grapple_death_pull_event" },
    { 0x431C, "grapple_death_pull_event_sounds" },
    { 0x431D, "grapple_death_pull_rope_state" },
    { 0x431E, "grapple_death_pull_suffixes" },
    { 0x431F, "grapple_death_rig" },
    { 0x4320, "grapple_death_style" },
    { 0x4321, "grapple_death_styles" },
    { 0x4322, "grapple_death_valid_pull" },
    { 0x4323, "grapple_death_valid_pull_concealed" },
    { 0x4324, "grapple_death_valid_pull_concealed_obs" },
    { 0x4325, "grapple_death_valid_pull_obs" },
    { 0x4326, "grapple_death_valid_standard" },
    { 0x4327, "grapple_decelerate_move_to" },
    { 0x4328, "grapple_defaultscriptedbodymodel" },
    { 0x4329, "grapple_defaultviewhandsmodel" },
    { 0x432A, "grapple_delayed_hide" },
    { 0x432B, "grapple_delete_monitor" },
    { 0x432C, "grapple_disable_weapon" },
    { 0x432D, "grapple_disconnect" },
    { 0x432E, "grapple_dist_max_watcher" },
    { 0x432F, "grapple_enable_normal_mantle_hint" },
    { 0x4330, "grapple_enable_weapon" },
    { 0x4331, "grapple_enabled" },
    { 0x4332, "grapple_enabled_listener" },
    { 0x4333, "grapple_enabled_listener_flag" },
    { 0x4334, "grapple_end_anim" },
    { 0x4335, "grapple_end_ent" },
    { 0x4336, "grapple_end_events" },
    { 0x4337, "grapple_entity" },
    { 0x4338, "grapple_entity_style" },
    { 0x4339, "grapple_fire" },
    { 0x433A, "grapple_fire_finished" },
    { 0x433B, "grapple_fire_plr_sound_bagh" },
    { 0x433C, "grapple_fire_rope" },
    { 0x433D, "grapple_fire_rope_finish" },
    { 0x433E, "grapple_fire_rope_impact" },
    { 0x433F, "grapple_fire_rope_thread" },
    { 0x4340, "grapple_get_style" },
    { 0x4341, "grapple_give" },
    { 0x4342, "grapple_grappling_stealth_getinshadow" },
    { 0x4343, "grapple_grappling_stealth_getstance" },
    { 0x4344, "grapple_hint" },
    { 0x4345, "grapple_hint_display" },
    { 0x4346, "grapple_hint_hide_kill" },
    { 0x4347, "grapple_hint_hide_kill_pull" },
    { 0x4348, "grapple_hint_hide_tutorial" },
    { 0x4349, "grapple_hint_hide_unusable" },
    { 0x434A, "grapple_hints" },
    { 0x434B, "grapple_init" },
    { 0x434C, "grapple_init_anims_actors" },
    { 0x434D, "grapple_init_anims_player" },
    { 0x434E, "grapple_init_anims_props" },
    { 0x434F, "grapple_init_anims_weapon" },
    { 0x4350, "grapple_init_death_style" },
    { 0x4351, "grapple_init_death_styles" },
    { 0x4352, "grapple_init_magnets" },
    { 0x4353, "grapple_init_player" },
    { 0x4354, "grapple_initialized" },
    { 0x4355, "grapple_kill" },
    { 0x4356, "grapple_kill_count" },
    { 0x4357, "grapple_kills_increment" },
    { 0x4358, "grapple_land" },
    { 0x4359, "grapple_land_over" },
    { 0x435A, "grapple_landing_anim" },
    { 0x435B, "grapple_landing_landed" },
    { 0x435C, "grapple_landing_prep" },
    { 0x435D, "grapple_landing_sound" },
    { 0x435E, "grapple_landing_trans" },
    { 0x435F, "grapple_lerp_velocity_to_linked" },
    { 0x4360, "grapple_loop_viewmodel_anim" },
    { 0x4361, "grapple_magnet_actor_monitor" },
    { 0x4362, "grapple_magnet_evaluate" },
    { 0x4363, "grapple_magnet_origin" },
    { 0x4364, "grapple_magnet_register" },
    { 0x4365, "grapple_magnet_state" },
    { 0x4366, "grapple_magnet_state_basics" },
    { 0x4367, "grapple_magnet_trace_validate" },
    { 0x4368, "grapple_magnet_unregister" },
    { 0x4369, "grapple_magnet_unregister_on_death" },
    { 0x436A, "grapple_magnet_update" },
    { 0x436B, "grapple_magnet_validate_current" },
    { 0x436C, "grapple_magnet_validate_ground" },
    { 0x436D, "grapple_magnets" },
    { 0x436E, "grapple_magnets_dynamic" },
    { 0x436F, "grapple_main" },
    { 0x4370, "grapple_mantle_find_victim" },
    { 0x4371, "grapple_mantle_plr_sound_bagh" },
    { 0x4372, "grapple_mantle_victim" },
    { 0x4373, "grapple_mantle_victim_ignore_thread" },
    { 0x4374, "grapple_mantle_victim_rig_cleanup" },
    { 0x4375, "grapple_mech_no_save" },
    { 0x4376, "grapple_model_precache" },
    { 0x4377, "grapple_models_init_player" },
    { 0x4378, "grapple_motion_blur_disable" },
    { 0x4379, "grapple_motion_blur_enable" },
    { 0x437A, "grapple_move" },
    { 0x437B, "grapple_move_plr_sound_bagh" },
    { 0x437C, "grapple_move_time" },
    { 0x437D, "grapple_nags" },
    { 0x437E, "grapple_not_connected" },
    { 0x437F, "grapple_notify_ai_capsule" },
    { 0x4380, "grapple_notify_closest_ai" },
    { 0x4381, "grapple_notify_magnet" },
    { 0x4382, "grapple_notify_players_magnet_unregister" },
    { 0x4383, "grapple_origin" },
    { 0x4384, "grapple_precache" },
    { 0x4385, "grapple_projectile_listener" },
    { 0x4386, "grapple_pullout_l" },
    { 0x4387, "grapple_pullout_r" },
    { 0x4388, "grapple_quick_fire_listener" },
    { 0x4389, "grapple_quick_fire_switch_back" },
    { 0x438A, "grapple_quick_fire_wait_and_set" },
    { 0x438B, "grapple_ragdolled" },
    { 0x438C, "grapple_register_hint" },
    { 0x438D, "grapple_register_snd_messages" },
    { 0x438E, "grapple_rope_length_thread" },
    { 0x438F, "grapple_rope_pull_lerp" },
    { 0x4390, "grapple_rope_state" },
    { 0x4391, "grapple_set_grappling" },
    { 0x4392, "grapple_set_hint" },
    { 0x4393, "grapple_set_status" },
    { 0x4394, "grapple_setup_death_event_handlers" },
    { 0x4395, "grapple_setup_rope_attached" },
    { 0x4396, "grapple_setup_rope_attached_player" },
    { 0x4397, "grapple_setup_rope_fire" },
    { 0x4398, "grapple_shutdown" },
    { 0x4399, "grapple_shutdown_player" },
    { 0x439A, "grapple_snd_death" },
    { 0x439B, "grapple_snd_pain" },
    { 0x439C, "grapple_special" },
    { 0x439D, "grapple_special_hint" },
    { 0x439E, "grapple_special_indicator_offset" },
    { 0x439F, "grapple_special_land_hide_rope" },
    { 0x43A0, "grapple_special_landing_anims" },
    { 0x43A1, "grapple_special_no_abort" },
    { 0x43A2, "grapple_special_no_enable_exo" },
    { 0x43A3, "grapple_special_no_enable_weapon" },
    { 0x43A4, "grapple_stand_and_lock_stances" },
    { 0x43A5, "grapple_start" },
    { 0x43A6, "grapple_start_listener" },
    { 0x43A7, "grapple_status_text_show" },
    { 0x43A8, "grapple_surface_type" },
    { 0x43A9, "grapple_switch" },
    { 0x43AA, "grapple_sync_attach_rotation" },
    { 0x43AB, "grapple_take" },
    { 0x43AC, "grapple_take_weapon" },
    { 0x43AD, "grapple_target_ent" },
    { 0x43AE, "grapple_text_compare" },
    { 0x43AF, "grapple_to_position" },
    { 0x43B0, "grapple_trace_parms" },
    { 0x43B1, "grapple_trace_validate" },
    { 0x43B2, "grapple_trace_validate_mantle" },
    { 0x43B3, "grapple_travel" },
    { 0x43B4, "grapple_travel_time" },
    { 0x43B5, "grapple_traverse" },
    { 0x43B6, "grapple_traverse_cleanup" },
    { 0x43B7, "grapple_traverse_configs" },
    { 0x43B8, "grapple_traverse_init" },
    { 0x43B9, "grapple_unlock_stances" },
    { 0x43BA, "grapple_update_preview" },
    { 0x43BB, "grapple_update_preview_position" },
    { 0x43BC, "grapple_valid_magnet_angle" },
    { 0x43BD, "grapple_validate_magnets" },
    { 0x43BE, "grapple_velocity_monitor" },
    { 0x43BF, "grapple_victim_landanim" },
    { 0x43C0, "grapple_view_model_hands_hide_show" },
    { 0x43C1, "grapple_vo" },
    { 0x43C2, "grapple_void_points" },
    { 0x43C3, "grapple_wait_for_ads_timeout" },
    { 0x43C4, "grapple_weapon_anim" },
    { 0x43C5, "grapple_weapon_listener" },
    { 0x43C6, "grapple_with_weapon_infinite_ammo" },
    { 0x43C7, "grapple_with_weapon_start" },
    { 0x43C8, "grapple_with_weapon_travel" },
    { 0x43C9, "grapple_with_weapon_turnrates" },
    { 0x43CA, "grappled" },
    { 0x43CB, "gravity_arc" },
    { 0x43CC, "gravity_drop" },
    { 0x43CD, "gravity_point" },
    { 0x43CE, "grd_player_grab" },
    { 0x43CF, "grd_trunk_close" },
    { 0x43D0, "gre_cafe_intro_pt1_ilona" },
    { 0x43D1, "gre_cafe_intro_pt2_ilona" },
    { 0x43D2, "gre_hades_death_outro_hades" },
    { 0x43D3, "gre_hades_death_outro_ilona" },
    { 0x43D4, "greece_locations" },
    { 0x43D5, "green" },
    { 0x43D6, "greenband_drones" },
    { 0x43D7, "greenbandcustomospfunc" },
    { 0x43D8, "greencrazylightloop" },
    { 0x43D9, "greensmokeloop" },
    { 0x43DA, "grenade_1" },
    { 0x43DB, "grenade_2" },
    { 0x43DC, "grenade_3" },
    { 0x43DD, "grenade_ambush" },
    { 0x43DE, "grenade_array" },
    { 0x43DF, "grenade_cache" },
    { 0x43E0, "grenade_cache_index" },
    { 0x43E1, "grenade_cycle_next" },
    { 0x43E2, "grenade_death_hint" },
    { 0x43E3, "grenade_death_indicator_hud" },
    { 0x43E4, "grenade_dirt_on_screen" },
    { 0x43E5, "grenade_display_time_remaining" },
    { 0x43E6, "grenade_earthquake" },
    { 0x43E7, "grenade_id" },
    { 0x43E8, "grenade_indicator_fx" },
    { 0x43E9, "grenade_launcher_vo" },
    { 0x43EA, "grenade_range_container" },
    { 0x43EB, "grenade_range_drone_death_detect" },
    { 0x43EC, "grenade_range_drone_think" },
    { 0x43ED, "grenade_range_enemy_think" },
    { 0x43EE, "grenade_range_use_triggers" },
    { 0x43EF, "grenade_target_lifetime" },
    { 0x43F0, "grenade_target_movement_manager" },
    { 0x43F1, "grenade_target_reset_manager" },
    { 0x43F2, "grenade_tracking" },
    { 0x43F3, "grenade_ui_off" },
    { 0x43F4, "grenade_ui_on" },
    { 0x43F5, "grenadeammo_prebreach" },
    { 0x43F6, "grenadeawarenessold" },
    { 0x43F7, "grenadecleanup" },
    { 0x43F8, "grenadecooldownelapsed" },
    { 0x43F9, "grenadecowerfunction" },
    { 0x43FA, "grenadecyclehint" },
    { 0x43FB, "grenadedest" },
    { 0x43FC, "grenadeexplosionfx" },
    { 0x43FD, "grenadegraceperiod" },
    { 0x43FE, "grenadehidden" },
    { 0x43FF, "grenadelandednearplayer" },
    { 0x4400, "grenadeline" },
    { 0x4401, "grenadeorigin" },
    { 0x4402, "grenadeproximitytracking" },
    { 0x4403, "grenaderangeleaderboard" },
    { 0x4404, "grenades" },
    { 0x4405, "grenadeshielded" },
    { 0x4406, "grenadetargetkills" },
    { 0x4407, "grenadethrowanims" },
    { 0x4408, "grenadethrowoffsets" },
    { 0x4409, "grenadethrowpose" },
    { 0x440A, "grenadetimers" },
    { 0x440B, "grenadetracking" },
    { 0x440C, "grey_out_player" },
    { 0x440D, "ground_origin" },
    { 0x440E, "ground_pos" },
    { 0x440F, "ground_ref" },
    { 0x4410, "ground_ref_ent" },
    { 0x4411, "ground_target" },
    { 0x4412, "ground_zero_alias_" },
    { 0x4413, "ground_zero_dist_threshold_" },
    { 0x4414, "groundpos" },
    { 0x4415, "groundslamcrushdeathfunction" },
    { 0x4416, "groundtoairevent" },
    { 0x4417, "group" },
    { 0x4418, "group_add_to_global_list" },
    { 0x4419, "group_center" },
    { 0x441A, "group_check_deaths" },
    { 0x441B, "group_create" },
    { 0x441C, "group_fastwalk_off" },
    { 0x441D, "group_fastwalk_on" },
    { 0x441E, "group_flag_clear" },
    { 0x441F, "group_flag_init" },
    { 0x4420, "group_flag_set" },
    { 0x4421, "group_free_combat" },
    { 0x4422, "group_get_ai_in_group" },
    { 0x4423, "group_get_flagname" },
    { 0x4424, "group_get_flagname_from_group" },
    { 0x4425, "group_initialize_formation" },
    { 0x4426, "group_left_corner" },
    { 0x4427, "group_light" },
    { 0x4428, "group_lock_angles" },
    { 0x4429, "group_map" },
    { 0x442A, "group_move" },
    { 0x442B, "group_move_mode" },
    { 0x442C, "group_patrol_wakeup" },
    { 0x442D, "group_resort_on_deaths" },
    { 0x442E, "group_return_ai_with_flag_set" },
    { 0x442F, "group_return_groups_with_flag_set" },
    { 0x4430, "group_run" },
    { 0x4431, "group_sort_by_closest_match" },
    { 0x4432, "group_sprint_off" },
    { 0x4433, "group_sprint_on" },
    { 0x4434, "group_under_construction" },
    { 0x4435, "group_unlock_angles" },
    { 0x4436, "group_wait_group_spawned" },
    { 0x4437, "group_wait_seek_player" },
    { 0x4438, "groupdevider" },
    { 0x4439, "groupedanim_pos" },
    { 0x443A, "groupname" },
    { 0x443B, "groups" },
    { 0x443C, "groupwarp" },
    { 0x443D, "growling" },
    { 0x443E, "gs" },
    { 0x443F, "guard_house_exit_door_clip" },
    { 0x4440, "guard_house_exit_light_02" },
    { 0x4441, "guard_house_light_exit_light" },
    { 0x4442, "guard_oppression_event_ents" },
    { 0x4443, "guard_the_gate" },
    { 0x4444, "guarddustdrag" },
    { 0x4445, "guardhouse_door" },
    { 0x4446, "guardhouse_door_waits" },
    { 0x4447, "guardhouse_grapple_timer" },
    { 0x4448, "guardian" },
    { 0x4449, "guards_at_market_checkpoint_array" },
    { 0x444A, "guest_house_vo" },
    { 0x444B, "guesthouse_enemies" },
    { 0x444C, "guesthouse_spawner_setup" },
    { 0x444D, "guid" },
    { 0x444E, "guide" },
    { 0x444F, "guide_anim_scene_fob_meet" },
    { 0x4450, "guidgen" },
    { 0x4451, "gun" },
    { 0x4452, "gun_animation" },
    { 0x4453, "gun_curgun" },
    { 0x4454, "gun_flashlight" },
    { 0x4455, "gun_flashlight_off" },
    { 0x4456, "gun_guns" },
    { 0x4457, "gun_hint" },
    { 0x4458, "gun_leave_behind" },
    { 0x4459, "gun_loadout" },
    { 0x445A, "gun_lock_sounds" },
    { 0x445B, "gun_on_ground" },
    { 0x445C, "gun_pickup_left" },
    { 0x445D, "gun_pickup_right" },
    { 0x445E, "gun_recall" },
    { 0x445F, "gun_remove" },
    { 0x4460, "gun_sound" },
    { 0x4461, "gun_state" },
    { 0x4462, "gun_struct" },
    { 0x4463, "gun_targ" },
    { 0x4464, "gun_threat" },
    { 0x4465, "gun_up_for_reload" },
    { 0x4466, "gun_vector" },
    { 0x4467, "gunfireloopfx" },
    { 0x4468, "gunfireloopfxthread" },
    { 0x4469, "gunfireloopfxvec" },
    { 0x446A, "gunfireloopfxvecthread" },
    { 0x446B, "gungameclass" },
    { 0x446C, "gungamegunindex" },
    { 0x446D, "gungameprevgunindex" },
    { 0x446E, "gunhand" },
    { 0x446F, "gunlist" },
    { 0x4470, "gunner" },
    { 0x4471, "gunner_pain_init" },
    { 0x4472, "gunner_pain_reset" },
    { 0x4473, "gunner_think" },
    { 0x4474, "gunner_turning_anims" },
    { 0x4475, "gunnerweapon" },
    { 0x4476, "guns_complete_cooldown_time" },
    { 0x4477, "guns_fire_time" },
    { 0x4478, "guns_last_fire_time" },
    { 0x4479, "guns_max_fire_time" },
    { 0x447A, "guy_1" },
    { 0x447B, "guy_1_takedown_01_dialogue" },
    { 0x447C, "guy_2" },
    { 0x447D, "guy_approach_mobile_turret" },
    { 0x447E, "guy_basement_flashlight_monitor" },
    { 0x447F, "guy_becomes_real_ai" },
    { 0x4480, "guy_blowup" },
    { 0x4481, "guy_can_jump" },
    { 0x4482, "guy_cig_manager" },
    { 0x4483, "guy_cleanup_vehiclevars" },
    { 0x4484, "guy_death" },
    { 0x4485, "guy_death_inside_warbird" },
    { 0x4486, "guy_deathhandle" },
    { 0x4487, "guy_deathimate_me" },
    { 0x4488, "guy_disassociate_internal" },
    { 0x4489, "guy_distance_checker" },
    { 0x448A, "guy_duck" },
    { 0x448B, "guy_duck_idle" },
    { 0x448C, "guy_duck_once" },
    { 0x448D, "guy_duck_once_check" },
    { 0x448E, "guy_duck_out" },
    { 0x448F, "guy_enter" },
    { 0x4490, "guy_enter_vehicle" },
    { 0x4491, "guy_exit_missile_explode_room" },
    { 0x4492, "guy_facing_player_intro" },
    { 0x4493, "guy_flashlight_basement_switch" },
    { 0x4494, "guy_get_in_mobile_turret" },
    { 0x4495, "guy_gets_on_turret" },
    { 0x4496, "guy_goes_directly_to_turret" },
    { 0x4497, "guy_handle" },
    { 0x4498, "guy_idle" },
    { 0x4499, "guy_idle_alert" },
    { 0x449A, "guy_idle_alert_check" },
    { 0x449B, "guy_idle_alert_to_casual" },
    { 0x449C, "guy_idle_alert_to_casual_check" },
    { 0x449D, "guy_jump_landing_puff" },
    { 0x449E, "guy_jump_to_breach_stackup_cormack" },
    { 0x449F, "guy_jump_to_breach_stackup_jackson" },
    { 0x44A0, "guy_jump_to_breach_stackup_will" },
    { 0x44A1, "guy_man_turret" },
    { 0x44A2, "guy_outside_school" },
    { 0x44A3, "guy_patrol_takedown_02" },
    { 0x44A4, "guy_patrol_takedown_02_alert_check" },
    { 0x44A5, "guy_pre_unload" },
    { 0x44A6, "guy_pre_unload_check" },
    { 0x44A7, "guy_reaction" },
    { 0x44A8, "guy_resets_goalpos" },
    { 0x44A9, "guy_runtovehicle" },
    { 0x44AA, "guy_runtovehicle_load" },
    { 0x44AB, "guy_runtovehicle_loaded" },
    { 0x44AC, "guy_should_man_turret" },
    { 0x44AD, "guy_spawns_and_gets_in_vehicle" },
    { 0x44AE, "guy_stand_attack" },
    { 0x44AF, "guy_stand_down" },
    { 0x44B0, "guy_toss_grenade" },
    { 0x44B1, "guy_tracking_player" },
    { 0x44B2, "guy_turn_hardleft" },
    { 0x44B3, "guy_turn_hardright" },
    { 0x44B4, "guy_turn_left" },
    { 0x44B5, "guy_turn_left_check" },
    { 0x44B6, "guy_turn_right" },
    { 0x44B7, "guy_turn_right_check" },
    { 0x44B8, "guy_turret_fire" },
    { 0x44B9, "guy_turret_turnleft" },
    { 0x44BA, "guy_turret_turnright" },
    { 0x44BB, "guy_unlink_on_death" },
    { 0x44BC, "guy_unload" },
    { 0x44BD, "guy_unload_custom" },
    { 0x44BE, "guy_unload_que" },
    { 0x44BF, "guy_unload_watcher" },
    { 0x44C0, "guy_vehicle_anim_simple" },
    { 0x44C1, "guy_vehicle_death" },
    { 0x44C2, "guy_weave" },
    { 0x44C3, "guy_weave_check" },
    { 0x44C4, "guy1_reach_wait" },
    { 0x44C5, "guy1_sentinel_kva_reveal" },
    { 0x44C6, "guy2_reach_wait" },
    { 0x44C7, "guy2_sentinel_kva_reveal" },
    { 0x44C8, "guy3_sentinel_kva_reveal" },
    { 0x44C9, "guyextrabloodnotetrack" },
    { 0x44CA, "guyragdollnotetrack" },
    { 0x44CB, "guys" },
    { 0x44CC, "guys_down_elevator" },
    { 0x44CD, "guys_to_die_before_next_health_drop" },
    { 0x44CE, "guys_to_wait" },
    { 0x44CF, "guytruckbloodnotetrack" },
    { 0x44D0, "h_breach_blockers_delete" },
    { 0x44D1, "h_breach_bullet_decals" },
    { 0x44D2, "h_breach_bullet_spawn_decal" },
    { 0x44D3, "h_breach_doors" },
    { 0x44D4, "h_breach_exo_kick" },
    { 0x44D5, "h_breach_hostile_elim" },
    { 0x44D6, "h_breach_multi_sync_kill_player_god" },
    { 0x44D7, "h_breach_multi_sync_kill_shooter" },
    { 0x44D8, "h_breach_multi_sync_kills" },
    { 0x44D9, "h_breach_multi_sync_kills_timeout" },
    { 0x44DA, "h_breach_timer" },
    { 0x44DB, "hack_destroy_heli_at_end_progression" },
    { 0x44DC, "hack_device" },
    { 0x44DD, "hack_device_setup" },
    { 0x44DE, "hack_fake_loop_because_you_cant_play_looping_vm_anims" },
    { 0x44DF, "hack_fix_lagos_flank_alley_camera_pop" },
    { 0x44E0, "hack_lighttweaks_enable" },
    { 0x44E1, "hack_security_begin" },
    { 0x44E2, "hack_security_main" },
    { 0x44E3, "hack_security_start" },
    { 0x44E4, "hack_security_vo" },
    { 0x44E5, "hack_start" },
    { 0x44E6, "hackagentangles" },
    { 0x44E7, "hackenablevisiontweaks" },
    { 0x44E8, "hacky_get_delta_xrot" },
    { 0x44E9, "hacky_get_delta_yrot" },
    { 0x44EA, "hades_end_mx" },
    { 0x44EB, "hades_explosion_slowmo_end" },
    { 0x44EC, "hades_explosion_slowmo_start" },
    { 0x44ED, "hades_is_dead" },
    { 0x44EE, "hades_rigged_walla" },
    { 0x44EF, "hades_throat_slash" },
    { 0x44F0, "hadesbodyscanfx" },
    { 0x44F1, "hadesreminderdialogue" },
    { 0x44F2, "hadesscriptedanimdeath" },
    { 0x44F3, "hadesspeechdialogue" },
    { 0x44F4, "hadesstabbedtakeoutfx" },
    { 0x44F5, "hadesthroatslashfx" },
    { 0x44F6, "hadesvehiclebadplace" },
    { 0x44F7, "hadtitan" },
    { 0x44F8, "half_size" },
    { 0x44F9, "halftime_switch_sides" },
    { 0x44FA, "halftimeonscorelimit" },
    { 0x44FB, "halftimeroundenddelay" },
    { 0x44FC, "halftimetype" },
    { 0x44FD, "halfwaydist" },
    { 0x44FE, "hall_exploders" },
    { 0x44FF, "hall_troop_scare_moment" },
    { 0x4500, "hallway_light_scare" },
    { 0x4501, "hand_flashlight" },
    { 0x4502, "hand_flashlight_handle_alert" },
    { 0x4503, "hand_flashlight_handle_effects" },
    { 0x4504, "hand_flashlight_handle_node_pause" },
    { 0x4505, "hand_flashlight_off" },
    { 0x4506, "hand_flashlight_on" },
    { 0x4507, "hand_flashlight_remove" },
    { 0x4508, "hand_flashlight_should_hide" },
    { 0x4509, "hand_flashlight_watch_for_drop" },
    { 0x450A, "hand_signal_after_hangar" },
    { 0x450B, "hand_signal_to_cafeteria" },
    { 0x450C, "hand_signal_to_hangar" },
    { 0x450D, "handcuff_break_fx" },
    { 0x450E, "handle_aa_guns" },
    { 0x450F, "handle_active_snipers" },
    { 0x4510, "handle_actor_enter_scanner" },
    { 0x4511, "handle_ads" },
    { 0x4512, "handle_aggro" },
    { 0x4513, "handle_alley_traversal" },
    { 0x4514, "handle_allow_death_for_walker_tank" },
    { 0x4515, "handle_ally_keep_up_with_player" },
    { 0x4516, "handle_ally_movement" },
    { 0x4517, "handle_ally_threat_during_execution_scene" },
    { 0x4518, "handle_ambient_cleanup_vehicles" },
    { 0x4519, "handle_ambient_drone" },
    { 0x451A, "handle_atlas_intercepts" },
    { 0x451B, "handle_atmospheric_transition" },
    { 0x451C, "handle_attached_guys" },
    { 0x451D, "handle_attack_drone_flyby_magnets" },
    { 0x451E, "handle_audio" },
    { 0x451F, "handle_bombing_runs" },
    { 0x4520, "handle_boost_dodge_training" },
    { 0x4521, "handle_boost_jump" },
    { 0x4522, "handle_boost_jump_npc_note" },
    { 0x4523, "handle_boost_jump_training" },
    { 0x4524, "handle_boost_slam_training" },
    { 0x4525, "handle_brake_lights" },
    { 0x4526, "handle_bridge_collapse" },
    { 0x4527, "handle_briefing" },
    { 0x4528, "handle_busses" },
    { 0x4529, "handle_button_prompts_on_pod" },
    { 0x452A, "handle_canal_intro_retreating" },
    { 0x452B, "handle_canyon_destructible" },
    { 0x452C, "handle_canyon_destructible_clips" },
    { 0x452D, "handle_canyon_turret_clips" },
    { 0x452E, "handle_capture" },
    { 0x452F, "handle_captured_anims" },
    { 0x4530, "handle_car_door_shield_damage" },
    { 0x4531, "handle_car_door_throw_hint" },
    { 0x4532, "handle_cardoor_outline_off" },
    { 0x4533, "handle_cardoor_outline_on" },
    { 0x4534, "handle_cargo_shut" },
    { 0x4535, "handle_chase_cam_toggle" },
    { 0x4536, "handle_chase_van" },
    { 0x4537, "handle_climb_scene_music" },
    { 0x4538, "handle_cloak_models_animation" },
    { 0x4539, "handle_cloaking" },
    { 0x453A, "handle_clouds" },
    { 0x453B, "handle_combat_runners" },
    { 0x453C, "handle_contact_collisions" },
    { 0x453D, "handle_controllable_cloud_queen_pathing" },
    { 0x453E, "handle_cormack" },
    { 0x453F, "handle_crashing" },
    { 0x4540, "handle_dam_targets" },
    { 0x4541, "handle_death" },
    { 0x4542, "handle_debris_visibility" },
    { 0x4543, "handle_decoy_tutorial" },
    { 0x4544, "handle_decoy_tutorial_hint_display" },
    { 0x4545, "handle_deployable_cover" },
    { 0x4546, "handle_destruct_parts" },
    { 0x4547, "handle_destructible_frame_queue" },
    { 0x4548, "handle_detached_guys_check" },
    { 0x4549, "handle_detection" },
    { 0x454A, "handle_detection_death" },
    { 0x454B, "handle_detection_spawners" },
    { 0x454C, "handle_detonator" },
    { 0x454D, "handle_disabling_sonic_blast" },
    { 0x454E, "handle_dismount" },
    { 0x454F, "handle_display_of_drones_number" },
    { 0x4550, "handle_diveboat_collisions" },
    { 0x4551, "handle_doctor" },
    { 0x4552, "handle_dogbite_notetrack" },
    { 0x4553, "handle_driving_music" },
    { 0x4554, "handle_driving_section" },
    { 0x4555, "handle_drone_cloud_vehicle_attack" },
    { 0x4556, "handle_drone_group" },
    { 0x4557, "handle_drone_on_turret" },
    { 0x4558, "handle_drone_opening" },
    { 0x4559, "handle_drone_smoke" },
    { 0x455A, "handle_drone_street_health_hack" },
    { 0x455B, "handle_drone_swarm_retreating" },
    { 0x455C, "handle_drone_swarm_shoot_at_player" },
    { 0x455D, "handle_drone_swarm_skipping" },
    { 0x455E, "handle_drone_target_selection" },
    { 0x455F, "handle_drone_target_selection_internal" },
    { 0x4560, "handle_drone_targetting_overlays" },
    { 0x4561, "handle_drone_teasers" },
    { 0x4562, "handle_drone_turret_target_movement" },
    { 0x4563, "handle_drone_turret_targeting" },
    { 0x4564, "handle_drones_attacking_walker" },
    { 0x4565, "handle_drones_vs_car_shield" },
    { 0x4566, "handle_drop_pod_screen_start" },
    { 0x4567, "handle_dropped_gun_angles" },
    { 0x4568, "handle_dying_player_brake_hint" },
    { 0x4569, "handle_dynamicevent" },
    { 0x456A, "handle_early_approach" },
    { 0x456B, "handle_earth_disc" },
    { 0x456C, "handle_emp_countdown" },
    { 0x456D, "handle_emp_kamikaze_drones" },
    { 0x456E, "handle_enemy_ambush_smoke_laser_sd" },
    { 0x456F, "handle_enemy_highlighting_in_binocs" },
    { 0x4570, "handle_enemy_when_player_is_in_cqb" },
    { 0x4571, "handle_evacuation_scene_triggers" },
    { 0x4572, "handle_evasive_controls" },
    { 0x4573, "handle_event_geo_off" },
    { 0x4574, "handle_event_geo_on" },
    { 0x4575, "handle_exocloak" },
    { 0x4576, "handle_failstate_primary_ignition_rumbles" },
    { 0x4577, "handle_fight_section" },
    { 0x4578, "handle_finale_objectives" },
    { 0x4579, "handle_flak" },
    { 0x457A, "handle_flak_cannons" },
    { 0x457B, "handle_foam_behavior" },
    { 0x457C, "handle_foam_detonator" },
    { 0x457D, "handle_fob" },
    { 0x457E, "handle_fob_runners" },
    { 0x457F, "handle_fob_runners_second_wave" },
    { 0x4580, "handle_force_land_assist" },
    { 0x4581, "handle_formation_nags" },
    { 0x4582, "handle_friendly_fob_razorback" },
    { 0x4583, "handle_friendly_pitbull" },
    { 0x4584, "handle_friendly_pitbull_shooting" },
    { 0x4585, "handle_fuel_refill" },
    { 0x4586, "handle_fuel_usage" },
    { 0x4587, "handle_fusion_portal_groups_on" },
    { 0x4588, "handle_fusion_portal_groups_toggle" },
    { 0x4589, "handle_gaz" },
    { 0x458A, "handle_gaz2" },
    { 0x458B, "handle_glass_collisions" },
    { 0x458C, "handle_glass_pathing" },
    { 0x458D, "handle_goliath_drop_pod_removal" },
    { 0x458E, "handle_goliath_drop_pod_timeout" },
    { 0x458F, "handle_grapple" },
    { 0x4590, "handle_guage_textures_intro_drive" },
    { 0x4591, "handle_guage_textures_intro_drive_newbike" },
    { 0x4592, "handle_gun_hint" },
    { 0x4593, "handle_gunner_death" },
    { 0x4594, "handle_gunner_pain" },
    { 0x4595, "handle_hack_security" },
    { 0x4596, "handle_hatch_takedown_notetracks" },
    { 0x4597, "handle_hide_droppod_building" },
    { 0x4598, "handle_hints" },
    { 0x4599, "handle_hotel_enemy_fallback" },
    { 0x459A, "handle_hotel_entrance" },
    { 0x459B, "handle_hotel_zipline_break_glass" },
    { 0x459C, "handle_hover_hud" },
    { 0x459D, "handle_hovertank_collisions" },
    { 0x459E, "handle_hovertank_death" },
    { 0x459F, "handle_hud_outline_binocs" },
    { 0x45A0, "handle_infil" },
    { 0x45A1, "handle_intro" },
    { 0x45A2, "handle_intro_clip" },
    { 0x45A3, "handle_irons" },
    { 0x45A4, "handle_irons_estate_animated_trees" },
    { 0x45A5, "handle_jet_boost" },
    { 0x45A6, "handle_jet_brake" },
    { 0x45A7, "handle_kamikaze_drone_visibility" },
    { 0x45A8, "handle_knuckles_turret" },
    { 0x45A9, "handle_lab_portal_scripting" },
    { 0x45AA, "handle_land_assist" },
    { 0x45AB, "handle_land_assist_safe_descent_training" },
    { 0x45AC, "handle_land_assist_training" },
    { 0x45AD, "handle_land_assist_training_hover" },
    { 0x45AE, "handle_level_exfil" },
    { 0x45AF, "handle_lift_worker_01" },
    { 0x45B0, "handle_lift_worker_02" },
    { 0x45B1, "handle_linked_ents" },
    { 0x45B2, "handle_littlebird_audio" },
    { 0x45B3, "handle_lobby_ambient_troops" },
    { 0x45B4, "handle_marking_guy" },
    { 0x45B5, "handle_microwaved_ai" },
    { 0x45B6, "handle_missile_hint" },
    { 0x45B7, "handle_missile_jet" },
    { 0x45B8, "handle_mob_turret" },
    { 0x45B9, "handle_movement_speed_in_final_building" },
    { 0x45BA, "handle_moving_platform_invalid" },
    { 0x45BB, "handle_moving_platform_touch" },
    { 0x45BC, "handle_moving_platforms" },
    { 0x45BD, "handle_name_identifiers_exit_drive" },
    { 0x45BE, "handle_name_identifiers_intro_drive" },
    { 0x45BF, "handle_npc_boost_jump_notetracks" },
    { 0x45C0, "handle_npc_crowds" },
    { 0x45C1, "handle_npc_death" },
    { 0x45C2, "handle_npcs_paths" },
    { 0x45C3, "handle_objective_marker" },
    { 0x45C4, "handle_objective_marker_movable" },
    { 0x45C5, "handle_objective_marker_skyjack" },
    { 0x45C6, "handle_objectives" },
    { 0x45C7, "handle_off_mission_pac" },
    { 0x45C8, "handle_outline_on_grenade_launcher" },
    { 0x45C9, "handle_pac_ally_movement" },
    { 0x45CA, "handle_pac_combat" },
    { 0x45CB, "handle_pac_entrance_fight" },
    { 0x45CC, "handle_pac_interior" },
    { 0x45CD, "handle_pac_laser_on_vols" },
    { 0x45CE, "handle_pac_retreating" },
    { 0x45CF, "handle_pac_retreating2" },
    { 0x45D0, "handle_pac_snipers" },
    { 0x45D1, "handle_pac_zipline_intos" },
    { 0x45D2, "handle_parked_police_car_radios" },
    { 0x45D3, "handle_path_blocking_fob" },
    { 0x45D4, "handle_pathing_on_glass" },
    { 0x45D5, "handle_pathing_post_event" },
    { 0x45D6, "handle_pathing_pre_event" },
    { 0x45D7, "handle_pdrone_audio" },
    { 0x45D8, "handle_performing_art_center_video_log" },
    { 0x45D9, "handle_pitbull_audio" },
    { 0x45DA, "handle_player" },
    { 0x45DB, "handle_player_abandoned_mission" },
    { 0x45DC, "handle_player_boost_jump" },
    { 0x45DD, "handle_player_breath" },
    { 0x45DE, "handle_player_cardoor_health" },
    { 0x45DF, "handle_player_cardoor_health_switch_weapon" },
    { 0x45E0, "handle_player_close_to_aircraft_rumbles" },
    { 0x45E1, "handle_player_during_tutorial" },
    { 0x45E2, "handle_player_ending_aerial_view" },
    { 0x45E3, "handle_player_exo_punch" },
    { 0x45E4, "handle_player_fov_indroppod" },
    { 0x45E5, "handle_player_jump_off_roof" },
    { 0x45E6, "handle_player_on_left_street" },
    { 0x45E7, "handle_player_pitbull" },
    { 0x45E8, "handle_player_pitbull_autosave_checks" },
    { 0x45E9, "handle_player_pitbull_damage" },
    { 0x45EA, "handle_player_pitbull_driving" },
    { 0x45EB, "handle_player_pitbull_hud" },
    { 0x45EC, "handle_player_pitbull_turret" },
    { 0x45ED, "handle_player_skipped_turret" },
    { 0x45EE, "handle_player_skipping_setups" },
    { 0x45EF, "handle_player_slide_rumbles" },
    { 0x45F0, "handle_player_starting_aerial_view" },
    { 0x45F1, "handle_player_wall_climb_rumbles" },
    { 0x45F2, "handle_pod_crash_building1" },
    { 0x45F3, "handle_pod_door_deform" },
    { 0x45F4, "handle_pod_screen_bootup" },
    { 0x45F5, "handle_pod_screen_off" },
    { 0x45F6, "handle_pod_screen_show" },
    { 0x45F7, "handle_pod_swap" },
    { 0x45F8, "handle_portal_group" },
    { 0x45F9, "handle_portal_scripting_vista" },
    { 0x45FA, "handle_prone_and_crouch_bugs" },
    { 0x45FB, "handle_queen" },
    { 0x45FC, "handle_recon" },
    { 0x45FD, "handle_reentry_fx" },
    { 0x45FE, "handle_remove_overlay" },
    { 0x45FF, "handle_rotors" },
    { 0x4600, "handle_rumble_and_screenshake" },
    { 0x4601, "handle_runner_spawner" },
    { 0x4602, "handle_sanfran_portal_groups_on" },
    { 0x4603, "handle_sd_dynamicevent" },
    { 0x4604, "handle_security_center" },
    { 0x4605, "handle_security_drone_hit" },
    { 0x4606, "handle_selected_ents" },
    { 0x4607, "handle_sfb_portal_groups_toggle" },
    { 0x4608, "handle_shopping_district_retreating" },
    { 0x4609, "handle_sinkhole_enemy_setup" },
    { 0x460A, "handle_sinkhole_video_log" },
    { 0x460B, "handle_smoke" },
    { 0x460C, "handle_snake_firing" },
    { 0x460D, "handle_sniper_exos" },
    { 0x460E, "handle_sniper_turrets" },
    { 0x460F, "handle_sonar_hint" },
    { 0x4610, "handle_sonic_when_in_subway" },
    { 0x4611, "handle_space_sky" },
    { 0x4612, "handle_spotlight_fx" },
    { 0x4613, "handle_spotlight_switch" },
    { 0x4614, "handle_starts" },
    { 0x4615, "handle_starts_endons" },
    { 0x4616, "handle_stealth_display_tutorial" },
    { 0x4617, "handle_stepover_scene_clip" },
    { 0x4618, "handle_stinger_objective" },
    { 0x4619, "handle_stop_hotel_music_flag" },
    { 0x461A, "handle_sun_spotlight" },
    { 0x461B, "handle_swarm_scene" },
    { 0x461C, "handle_tank_death" },
    { 0x461D, "handle_tank_obj" },
    { 0x461E, "handle_tanker_missiles" },
    { 0x461F, "handle_teleport" },
    { 0x4620, "handle_testers_skipping_pac_combat" },
    { 0x4621, "handle_threat_paint_death" },
    { 0x4622, "handle_traffic_collisions" },
    { 0x4623, "handle_train_bridge" },
    { 0x4624, "handle_triggers_off" },
    { 0x4625, "handle_triggers_on" },
    { 0x4626, "handle_turret_gunner_sonic_blast" },
    { 0x4627, "handle_turret_hud_target_text" },
    { 0x4628, "handle_turret_shootloop" },
    { 0x4629, "handle_turret_specific_saves" },
    { 0x462A, "handle_turret1_spawns" },
    { 0x462B, "handle_turret2_spawns" },
    { 0x462C, "handle_turret3_spawns" },
    { 0x462D, "handle_turrets" },
    { 0x462E, "handle_unarmed_viewbob" },
    { 0x462F, "handle_unresolved_collision" },
    { 0x4630, "handle_vehicle_ai" },
    { 0x4631, "handle_vehicle_death" },
    { 0x4632, "handle_vehicle_dof" },
    { 0x4633, "handle_vista_crashing_pods" },
    { 0x4634, "handle_vista_jets" },
    { 0x4635, "handle_vista_landing_pods" },
    { 0x4636, "handle_vista_missile_outrun" },
    { 0x4637, "handle_vista_pods" },
    { 0x4638, "handle_vista_tanks" },
    { 0x4639, "handle_vista_vehicles" },
    { 0x463A, "handle_volume_assign" },
    { 0x463B, "handle_wakeup_sphere_global" },
    { 0x463C, "handle_walker_tank_death" },
    { 0x463D, "handle_walker_tank_firing" },
    { 0x463E, "handle_walker_tank_shooting_himself" },
    { 0x463F, "handle_weapon_pickups" },
    { 0x4640, "handle_weapon_switch" },
    { 0x4641, "handle_weaponhud_visibility" },
    { 0x4642, "handle_wep_drone_dropoff" },
    { 0x4643, "handle_whistle_hint" },
    { 0x4644, "handle_will_irons_movement" },
    { 0x4645, "handleagentuse" },
    { 0x4646, "handleapdamage" },
    { 0x4647, "handleattachmentdamage" },
    { 0x4648, "handleattachmentdeath" },
    { 0x4649, "handlebackcrawlnotetracks" },
    { 0x464A, "handlebuoydings" },
    { 0x464B, "handlecleanupputaway" },
    { 0x464C, "handleclouds" },
    { 0x464D, "handlecloudsaerialjoin" },
    { 0x464E, "handlecloudsaerialleave" },
    { 0x464F, "handlecoopjoining" },
    { 0x4650, "handlecoopshooting" },
    { 0x4651, "handledamage" },
    { 0x4652, "handledamagefeedbacksound" },
    { 0x4653, "handledeath" },
    { 0x4654, "handledeathdamage" },
    { 0x4655, "handledogfootstepnotetracks" },
    { 0x4656, "handledogsoundnotetracks" },
    { 0x4657, "handledogturnnotetracks" },
    { 0x4658, "handledropclip" },
    { 0x4659, "handleemp" },
    { 0x465A, "handleempdamage" },
    { 0x465B, "handleendwater" },
    { 0x465C, "handleflarestimer" },
    { 0x465D, "handlefootstepnotetracks" },
    { 0x465E, "handlefriendlyfiredeath" },
    { 0x465F, "handlegrenadedamage" },
    { 0x4660, "handlehostmigration" },
    { 0x4661, "handleincomingstinger" },
    { 0x4662, "handlelockedtarget" },
    { 0x4663, "handlemeleebiteattacknotetracks" },
    { 0x4664, "handlemeleedamage" },
    { 0x4665, "handlemeleefinishattacknotetracks" },
    { 0x4666, "handlemissiledamage" },
    { 0x4667, "handlemovingwater" },
    { 0x4668, "handlenormaldeath" },
    { 0x4669, "handlenotetrack" },
    { 0x466A, "handlepickup" },
    { 0x466B, "handleplayerknockdownnotetracks" },
    { 0x466C, "handleprisonturretlights" },
    { 0x466D, "handleprompt" },
    { 0x466E, "handlepropattachments" },
    { 0x466F, "handleputaway" },
    { 0x4670, "handler" },
    { 0x4671, "handler_parm1" },
    { 0x4672, "handler_parm2" },
    { 0x4673, "handler_parm3" },
    { 0x4674, "handlerdronedetonate" },
    { 0x4675, "handlerdronethink" },
    { 0x4676, "handleriotshieldshockplant" },
    { 0x4677, "handlerocketlauncherammoondeath" },
    { 0x4678, "handles" },
    { 0x4679, "handlesafehouseoutroblur" },
    { 0x467A, "handlescavengerbagpickup" },
    { 0x467B, "handlesidetosidenotetracks" },
    { 0x467C, "handlestartaim" },
    { 0x467D, "handlestartaipart" },
    { 0x467E, "handlesuicidedeath" },
    { 0x467F, "handleteamchangedeath" },
    { 0x4680, "handletraversealignment" },
    { 0x4681, "handletraversedeathnotetrack" },
    { 0x4682, "handletraversedrop" },
    { 0x4683, "handletraversenotetracks" },
    { 0x4684, "handletraversenotetracksgravity" },
    { 0x4685, "handletraversenotetrackslandassist" },
    { 0x4686, "handletriggerhintinputtypetext" },
    { 0x4687, "handletsunamiwarningsounds" },
    { 0x4688, "handleturretonplayerdone" },
    { 0x4689, "handleturretsoundent" },
    { 0x468A, "handleuse" },
    { 0x468B, "handlevxnotetrack" },
    { 0x468C, "handlewatertriggermovement" },
    { 0x468D, "handleworlddeath" },
    { 0x468E, "handplant_target" },
    { 0x468F, "handprint_fx_test" },
    { 0x4690, "handprint_on" },
    { 0x4691, "handprint_on_fx" },
    { 0x4692, "hands_animation" },
    { 0x4693, "handshake_lighting" },
    { 0x4694, "handsignal" },
    { 0x4695, "hangar" },
    { 0x4696, "hangar_ambient_worker_setup" },
    { 0x4697, "hangar_ambient_worker_setup_anim" },
    { 0x4698, "hangar_car_door_light" },
    { 0x4699, "hangar_car_door_light_audio" },
    { 0x469A, "hangar_cargo_crate" },
    { 0x469B, "hangar_combat" },
    { 0x469C, "hangar_combat_reinforcements" },
    { 0x469D, "hangar_dialogue" },
    { 0x469E, "hangar_door" },
    { 0x469F, "hangar_doors_open" },
    { 0x46A0, "hangar_drones" },
    { 0x46A1, "hangar_enemies" },
    { 0x46A2, "hangar_enemy_think" },
    { 0x46A3, "hangar_ents" },
    { 0x46A4, "hangar_exit_door" },
    { 0x46A5, "hangar_explo_and_debris_01" },
    { 0x46A6, "hangar_explo_and_debris_02" },
    { 0x46A7, "hangar_fx" },
    { 0x46A8, "hangar_heli_wait_for_death" },
    { 0x46A9, "hangar_heli_wait_for_unload" },
    { 0x46AA, "hangar_jet_flyby" },
    { 0x46AB, "hangar_lift" },
    { 0x46AC, "hangar_lights_on" },
    { 0x46AD, "hangar_mech_01" },
    { 0x46AE, "hangar_pa" },
    { 0x46AF, "hangar_transport_01_away" },
    { 0x46B0, "hangar_transport_flying_01_away" },
    { 0x46B1, "hangar_transport_flying_02_away" },
    { 0x46B2, "hangar_vials" },
    { 0x46B3, "hangar_visor_bink" },
    { 0x46B4, "hanger_bad_path" },
    { 0x46B5, "hanger_ent_init" },
    { 0x46B6, "hanger_ent_reset" },
    { 0x46B7, "hanger_event" },
    { 0x46B8, "hanger_event_connect_nodes" },
    { 0x46B9, "hanger_event_connect_nodes_drone" },
    { 0x46BA, "hanger_event_connect_nodes_floor" },
    { 0x46BB, "hanger_event_disconnect_nodes" },
    { 0x46BC, "hanger_event_disconnect_nodes_drone" },
    { 0x46BD, "hanger_event_disconnect_nodes_floor" },
    { 0x46BE, "hanger_event_idle_anims" },
    { 0x46BF, "hanger_floor_init" },
    { 0x46C0, "hanger_floor_run" },
    { 0x46C1, "hanger_mech_think" },
    { 0x46C2, "hanger_reinforcements_think" },
    { 0x46C3, "hanger_warbird_clip_think" },
    { 0x46C4, "hanger_warbird_think" },
    { 0x46C5, "hanging_bodies" },
    { 0x46C6, "hardcorecostumetablename" },
    { 0x46C7, "hardcoremode" },
    { 0x46C8, "hardened" },
    { 0x46C9, "hardenedaward" },
    { 0x46CA, "hardpointmainloop" },
    { 0x46CB, "hardpointtweaks" },
    { 0x46CC, "hardpointtype" },
    { 0x46CD, "harmonic_breach_complete_dialogue" },
    { 0x46CE, "harmonic_breach_confirmation_dialogue" },
    { 0x46CF, "harmonic_breach_correction_dialogue" },
    { 0x46D0, "harmonic_breach_flash_off" },
    { 0x46D1, "harmonic_breach_nag_dialogue" },
    { 0x46D2, "harmonic_breach_nag_timer" },
    { 0x46D3, "harmonic_breach_prep_dialogue" },
    { 0x46D4, "harmonic_breach_prep_dialogue_nag" },
    { 0x46D5, "harmonic_breach_secure_pm" },
    { 0x46D6, "harmonic_breach_shoot_now_dialogue" },
    { 0x46D7, "harmonic_breach_start_dialogue" },
    { 0x46D8, "harmonic_breach_timer_warning_dialogue" },
    { 0x46D9, "harmonic_breach_turn_on" },
    { 0x46DA, "harness" },
    { 0x46DB, "harpoon_launch_effects" },
    { 0x46DC, "harriers" },
    { 0x46DD, "has_balanced_personality" },
    { 0x46DE, "has_ball" },
    { 0x46DF, "has_been_alerted" },
    { 0x46E0, "has_been_captured" },
    { 0x46E1, "has_bracket" },
    { 0x46E2, "has_char_group" },
    { 0x46E3, "has_chemicals" },
    { 0x46E4, "has_cold_breath" },
    { 0x46E5, "has_color" },
    { 0x46E6, "has_delta" },
    { 0x46E7, "has_entered_attack_behavior" },
    { 0x46E8, "has_expensive_flashlight" },
    { 0x46E9, "has_fake_pistol" },
    { 0x46EA, "has_flares" },
    { 0x46EB, "has_forced_target_changed" },
    { 0x46EC, "has_frontarmor" },
    { 0x46ED, "has_grenades_to_throw" },
    { 0x46EE, "has_idle_played" },
    { 0x46EF, "has_kicked_door" },
    { 0x46F0, "has_loadout" },
    { 0x46F1, "has_los" },
    { 0x46F2, "has_move_played" },
    { 0x46F3, "has_no_ir" },
    { 0x46F4, "has_override_flag_targets" },
    { 0x46F5, "has_override_zone_targets" },
    { 0x46F6, "has_paint_pro" },
    { 0x46F7, "has_passive_breacher" },
    { 0x46F8, "has_riders" },
    { 0x46F9, "has_roll_played" },
    { 0x46FA, "has_semtex_on_it" },
    { 0x46FB, "has_shotgun" },
    { 0x46FC, "has_special_breach_anim" },
    { 0x46FD, "has_started_thinking" },
    { 0x46FE, "has_target_volume" },
    { 0x46FF, "has_thermal_fx" },
    { 0x4700, "has_thrown_door_timeout" },
    { 0x4701, "has_trackrounds" },
    { 0x4702, "has_trophy_ammo" },
    { 0x4703, "has_unmatching_deathmodel_rig" },
    { 0x4704, "has_used_ads_or_timeout" },
    { 0x4705, "has_used_boost" },
    { 0x4706, "has_used_boost_dodge" },
    { 0x4707, "has_used_boost_recently" },
    { 0x4708, "has_used_boost_slam" },
    { 0x4709, "has_used_emp" },
    { 0x470A, "has_used_land_assist" },
    { 0x470B, "has_used_lt" },
    { 0x470C, "has_used_lt_rt" },
    { 0x470D, "has_used_rt" },
    { 0x470E, "has_used_smart_or_timeout" },
    { 0x470F, "has_veh_collision" },
    { 0x4710, "hasachievement" },
    { 0x4711, "hasagentsquadmember" },
    { 0x4712, "hasai" },
    { 0x4713, "hasaiassaultdrone" },
    { 0x4714, "hasaioption" },
    { 0x4715, "hasanim" },
    { 0x4716, "hasarhud" },
    { 0x4717, "hasassistpoints" },
    { 0x4718, "hasattachedprops" },
    { 0x4719, "hasattachedweapons" },
    { 0x471A, "hasaudiocheck" },
    { 0x471B, "hasbadplace" },
    { 0x471C, "hasbattlebuddy" },
    { 0x471D, "hasbeencalledout" },
    { 0x471E, "hasbeenhit" },
    { 0x471F, "hasbots" },
    { 0x4720, "hasclip" },
    { 0x4721, "hascloak" },
    { 0x4722, "hascoopsentry" },
    { 0x4723, "hasdied" },
    { 0x4724, "hasdodged" },
    { 0x4725, "hasdoneanycombat" },
    { 0x4726, "hasdonecombat" },
    { 0x4727, "hasdoor" },
    { 0x4728, "hasempgrenade" },
    { 0x4729, "hasenemysightpos" },
    { 0x472A, "hasextraammo" },
    { 0x472B, "hasflashbangs" },
    { 0x472C, "hashelicopterdustkickup" },
    { 0x472D, "hashelicopterturret" },
    { 0x472E, "hasincreasedtime" },
    { 0x472F, "hasknife" },
    { 0x4730, "hasleftcam" },
    { 0x4731, "haslevelveteranaward" },
    { 0x4732, "haslightarmor" },
    { 0x4733, "haslongpunch" },
    { 0x4734, "hasmaniac" },
    { 0x4735, "hasmat_kva_move_in" },
    { 0x4736, "hasmg" },
    { 0x4737, "hasmissionhardenedaward" },
    { 0x4738, "hasmovementtypechanged" },
    { 0x4739, "hasoverrideanimchanged" },
    { 0x473A, "haspaintgrenade" },
    { 0x473B, "hasperksprintfire" },
    { 0x473C, "hasreachedfinalpos" },
    { 0x473D, "hasriotshield" },
    { 0x473E, "hasriotshieldequipped" },
    { 0x473F, "hasrockets" },
    { 0x4740, "hasscavengedammothislife" },
    { 0x4741, "hasselfrevive" },
    { 0x4742, "hasspawned" },
    { 0x4743, "hasstarted" },
    { 0x4744, "hasstun" },
    { 0x4745, "hassuppressableenemy" },
    { 0x4746, "hastag" },
    { 0x4747, "hastitan45" },
    { 0x4748, "hastouchedstick" },
    { 0x4749, "hastrophy" },
    { 0x474A, "hasturret" },
    { 0x474B, "hasweaponstate" },
    { 0x474C, "hatch" },
    { 0x474D, "hatch_button_gameplay" },
    { 0x474E, "hatch_dof" },
    { 0x474F, "hatch_door_lightgrid_off" },
    { 0x4750, "hatch_door_middle" },
    { 0x4751, "hatch_door_push_fog_out" },
    { 0x4752, "hatch_door_veil" },
    { 0x4753, "hatch_door_vision" },
    { 0x4754, "hatch_land_blur" },
    { 0x4755, "hatch_lighting" },
    { 0x4756, "hatch_open_se_update_rumble_intensity" },
    { 0x4757, "hatch_takedown_bad_guy_punched" },
    { 0x4758, "hatch_takedown_cormack_door" },
    { 0x4759, "hatch_takedown_cormack_punch" },
    { 0x475A, "hatmodel" },
    { 0x475B, "have_flashlight" },
    { 0x475C, "havegonetocover" },
    { 0x475D, "havenothingtoshoot" },
    { 0x475E, "haventramboedwithintime" },
    { 0x475F, "havoc" },
    { 0x4760, "havoc_missile_launch" },
    { 0x4761, "hb_gun_away" },
    { 0x4762, "hb_highlight_disable" },
    { 0x4763, "hb_highlight_enable" },
    { 0x4764, "hb_joker_catch" },
    { 0x4765, "hb_joker_start" },
    { 0x4766, "hb_joker_step_back" },
    { 0x4767, "hb_lock_targets" },
    { 0x4768, "hb_player_plant" },
    { 0x4769, "hb_player_start" },
    { 0x476A, "hb_sensor_flash_off" },
    { 0x476B, "hb_sensor_flash_on" },
    { 0x476C, "hb_shots_fired" },
    { 0x476D, "hb_target_tagged" },
    { 0x476E, "hb_target_untagged" },
    { 0x476F, "hbra3_signature" },
    { 0x4770, "hbra3_signature_off" },
    { 0x4771, "hdrcolorintensity" },
    { 0x4772, "hdroverride" },
    { 0x4773, "hdrsuncolorintensity" },
    { 0x4774, "header" },
    { 0x4775, "headiconheight" },
    { 0x4776, "heading" },
    { 0x4777, "heading_your_way_dialogue" },
    { 0x4778, "headingsize" },
    { 0x4779, "headless_shadow_tweak" },
    { 0x477A, "headmodel" },
    { 0x477B, "headshotevent" },
    { 0x477C, "healer" },
    { 0x477D, "health_based_rumble" },
    { 0x477E, "health_drain" },
    { 0x477F, "health_monitor" },
    { 0x4780, "health_scale" },
    { 0x4781, "health_track" },
    { 0x4782, "health0" },
    { 0x4783, "healthbuffer" },
    { 0x4784, "healthcustom" },
    { 0x4785, "healthdrain" },
    { 0x4786, "healthoverlay" },
    { 0x4787, "healthoverlay_drips" },
    { 0x4788, "healthoverlay_remove" },
    { 0x4789, "healthoverlaycg" },
    { 0x478A, "healthoverlaycutoff" },
    { 0x478B, "healthregendisabled" },
    { 0x478C, "healthregenerated" },
    { 0x478D, "healthregeneration" },
    { 0x478E, "healthregenerationstreak" },
    { 0x478F, "healthregenlevel" },
    { 0x4790, "heard_alarm_reaction_behavior" },
    { 0x4791, "heartbeat" },
    { 0x4792, "heat" },
    { 0x4793, "heat_level" },
    { 0x4794, "heat_reload_anim" },
    { 0x4795, "heatlevel" },
    { 0x4796, "heavy_lifter" },
    { 0x4797, "heavy_wind" },
    { 0x4798, "heavyexodata" },
    { 0x4799, "heavyresistance" },
    { 0x479A, "height_warning" },
    { 0x479B, "heightfogbaseheight" },
    { 0x479C, "heightfogenabled" },
    { 0x479D, "heightfoghalfplanedistance" },
    { 0x479E, "heightforhighcallout" },
    { 0x479F, "heightmax" },
    { 0x47A0, "heli" },
    { 0x47A1, "heli_action_status" },
    { 0x47A2, "heli_addrecentdamage" },
    { 0x47A3, "heli_attract_range" },
    { 0x47A4, "heli_attract_strength" },
    { 0x47A5, "heli_can_see_target" },
    { 0x47A6, "heli_circling_think" },
    { 0x47A7, "heli_collision" },
    { 0x47A8, "heli_crash" },
    { 0x47A9, "heli_crash_indirect_zoff" },
    { 0x47AA, "heli_crash_lead" },
    { 0x47AB, "heli_crash_nodes" },
    { 0x47AC, "heli_custom_fireuntiloutofammo" },
    { 0x47AD, "heli_custom_reload" },
    { 0x47AE, "heli_damage_monitor" },
    { 0x47AF, "heli_damage_update" },
    { 0x47B0, "heli_death_monitor" },
    { 0x47B1, "heli_default_missiles_off" },
    { 0x47B2, "heli_default_missiles_on" },
    { 0x47B3, "heli_default_target_cleanup" },
    { 0x47B4, "heli_default_target_setup" },
    { 0x47B5, "heli_delete_on_pathend" },
    { 0x47B6, "heli_empgrenaded" },
    { 0x47B7, "heli_existance" },
    { 0x47B8, "heli_explode" },
    { 0x47B9, "heli_fight" },
    { 0x47BA, "heli_fire_missiles" },
    { 0x47BB, "heli_firelink" },
    { 0x47BC, "heli_flares_monitor" },
    { 0x47BD, "heli_fly_simple_path" },
    { 0x47BE, "heli_fly_vfx_dopl_fill_light_setup" },
    { 0x47BF, "heli_get_node_origin" },
    { 0x47C0, "heli_get_shooters" },
    { 0x47C1, "heli_get_target" },
    { 0x47C2, "heli_get_target_ai_only" },
    { 0x47C3, "heli_get_target_player_only" },
    { 0x47C4, "heli_gideon_fire" },
    { 0x47C5, "heli_goal_think" },
    { 0x47C6, "heli_has_player_target" },
    { 0x47C7, "heli_has_target" },
    { 0x47C8, "heli_hold_position" },
    { 0x47C9, "heli_lastattacker" },
    { 0x47CA, "heli_leave" },
    { 0x47CB, "heli_leave_nodes" },
    { 0x47CC, "heli_leave_on_changeteams" },
    { 0x47CD, "heli_leave_on_disconnect" },
    { 0x47CE, "heli_leave_on_gameended" },
    { 0x47CF, "heli_leave_on_timeout" },
    { 0x47D0, "heli_looking_at_target" },
    { 0x47D1, "heli_maxhealth" },
    { 0x47D2, "heli_missiles_think" },
    { 0x47D3, "heli_modifydamage" },
    { 0x47D4, "heli_monitoremp" },
    { 0x47D5, "heli_pick_fly_node" },
    { 0x47D6, "heli_pick_node_furthest_from_center" },
    { 0x47D7, "heli_probe_override" },
    { 0x47D8, "heli_reset" },
    { 0x47D9, "heli_secondary_explosions" },
    { 0x47DA, "heli_shoot_allies" },
    { 0x47DB, "heli_shoot_enemies" },
    { 0x47DC, "heli_shoot_enemy_trace_then_fire" },
    { 0x47DD, "heli_shoot_think" },
    { 0x47DE, "heli_sound" },
    { 0x47DF, "heli_spin" },
    { 0x47E0, "heli_spotlight_aim" },
    { 0x47E1, "heli_spotlight_aim_ents_cleanup" },
    { 0x47E2, "heli_spotlight_cleanup" },
    { 0x47E3, "heli_spotlight_create_default_targets" },
    { 0x47E4, "heli_spotlight_destroy_default_targets" },
    { 0x47E5, "heli_spotlight_exposure_change" },
    { 0x47E6, "heli_spotlight_off" },
    { 0x47E7, "heli_spotlight_on" },
    { 0x47E8, "heli_spotlight_random_targets_off" },
    { 0x47E9, "heli_spotlight_random_targets_on" },
    { 0x47EA, "heli_spotlight_think" },
    { 0x47EB, "heli_squad_01" },
    { 0x47EC, "heli_squad_02" },
    { 0x47ED, "heli_squad_03" },
    { 0x47EE, "heli_squad_05" },
    { 0x47EF, "heli_squad_06" },
    { 0x47F0, "heli_squad_07" },
    { 0x47F1, "heli_squad_08" },
    { 0x47F2, "heli_squad_09" },
    { 0x47F3, "heli_squad_11" },
    { 0x47F4, "heli_start_shooting" },
    { 0x47F5, "heli_staticdamage" },
    { 0x47F6, "heli_strafe" },
    { 0x47F7, "heli_targeting_delay" },
    { 0x47F8, "heli_toggle_shoot" },
    { 0x47F9, "heli_tower_death" },
    { 0x47FA, "heli_tower_death2" },
    { 0x47FB, "heli_turret_death_think" },
    { 0x47FC, "heli_type" },
    { 0x47FD, "heli_wait_for_unload" },
    { 0x47FE, "heli_wait_node" },
    { 0x47FF, "helianchor" },
    { 0x4800, "helicopter_crash" },
    { 0x4801, "helicopter_crash_directed" },
    { 0x4802, "helicopter_crash_flavor" },
    { 0x4803, "helicopter_crash_locations" },
    { 0x4804, "helicopter_crash_move" },
    { 0x4805, "helicopter_crash_path" },
    { 0x4806, "helicopter_crash_rotate" },
    { 0x4807, "helicopter_crash_zigzag" },
    { 0x4808, "helicopter_drone_attack" },
    { 0x4809, "helicopter_firelinkfunk" },
    { 0x480A, "helicopter_flyby" },
    { 0x480B, "helicopter_in_air_explosion" },
    { 0x480C, "helicopter_landing" },
    { 0x480D, "helicopter_list" },
    { 0x480E, "helicopter_predator_target_shader" },
    { 0x480F, "helicopter_slide_spark" },
    { 0x4810, "helicopter_view_intro" },
    { 0x4811, "heliheightoverride" },
    { 0x4812, "heliride_rockets_and_slowmo" },
    { 0x4813, "helis" },
    { 0x4814, "helispawning" },
    { 0x4815, "helitype" },
    { 0x4816, "helmet_close" },
    { 0x4817, "helmet_open" },
    { 0x4818, "helmet_swap" },
    { 0x4819, "helmet_swap_wait_function" },
    { 0x481A, "helmet_tag" },
    { 0x481B, "helmet_tag2" },
    { 0x481C, "helmetlaunch" },
    { 0x481D, "helmetpop" },
    { 0x481E, "helmetsidemodel" },
    { 0x481F, "helo" },
    { 0x4820, "helo_coming_back_dialogue" },
    { 0x4821, "helo_sniper_bullet_impacts" },
    { 0x4822, "helo_sniper_threaten_player" },
    { 0x4823, "helo_spotlight" },
    { 0x4824, "helo_spotlight_climbing_moment" },
    { 0x4825, "helo_spotlight_forest_think" },
    { 0x4826, "helo_spotlight_handle_intro_rumbles" },
    { 0x4827, "helo_spotlight_init" },
    { 0x4828, "helo_spotlight_kill_player_unless_notify" },
    { 0x4829, "helo_spotlight_light_motion" },
    { 0x482A, "helo_spotlight_logging_road" },
    { 0x482B, "helo_spotlight_logging_road_break_off" },
    { 0x482C, "helo_spotlight_movement" },
    { 0x482D, "helo_spotlight_point_of_interest_tracking" },
    { 0x482E, "helo_spotlight_search_for_player" },
    { 0x482F, "helo_spotlight_shoot_location" },
    { 0x4830, "helo_spotlight_shoot_struct" },
    { 0x4831, "helo_spotlight_shoot_trigger_think" },
    { 0x4832, "helo_spotlight_think" },
    { 0x4833, "helo_wall_climb" },
    { 0x4834, "help_list_offset" },
    { 0x4835, "help_list_offset_max" },
    { 0x4836, "help_navigation_buttons" },
    { 0x4837, "hero_list" },
    { 0x4838, "hero_stats" },
    { 0x4839, "heroes" },
    { 0x483A, "heroes_post_zip" },
    { 0x483B, "hidden" },
    { 0x483C, "hidden_for_capture" },
    { 0x483D, "hidden_kva" },
    { 0x483E, "hide_all_chars" },
    { 0x483F, "hide_avatar" },
    { 0x4840, "hide_avatar_akimbo_weapon" },
    { 0x4841, "hide_avatar_primary_weapon" },
    { 0x4842, "hide_avatar_secondary_weapon" },
    { 0x4843, "hide_avatar_weapons" },
    { 0x4844, "hide_avatars" },
    { 0x4845, "hide_brushes" },
    { 0x4846, "hide_chase_scene" },
    { 0x4847, "hide_crash_traffic" },
    { 0x4848, "hide_damaged_parts" },
    { 0x4849, "hide_display_hint" },
    { 0x484A, "hide_entity" },
    { 0x484B, "hide_ents_by_targetname" },
    { 0x484C, "hide_exploder_models" },
    { 0x484D, "hide_exploder_models_proc" },
    { 0x484E, "hide_fallen_bridge" },
    { 0x484F, "hide_for_capture" },
    { 0x4850, "hide_friendname_until_flag_or_notify" },
    { 0x4851, "hide_fusion_street_lights_off" },
    { 0x4852, "hide_geo" },
    { 0x4853, "hide_grenade_hints" },
    { 0x4854, "hide_hint" },
    { 0x4855, "hide_intact_bridge" },
    { 0x4856, "hide_mech_glass_static_overlay" },
    { 0x4857, "hide_mech_screen" },
    { 0x4858, "hide_mountains" },
    { 0x4859, "hide_navy_boats" },
    { 0x485A, "hide_non_owner_avatars" },
    { 0x485B, "hide_notsolid" },
    { 0x485C, "hide_objective_during_fly_in" },
    { 0x485D, "hide_on_models" },
    { 0x485E, "hide_plant_vista_intro" },
    { 0x485F, "hide_plant_vista_via_trigger" },
    { 0x4860, "hide_player_hud" },
    { 0x4861, "hide_radio" },
    { 0x4862, "hide_reveal_screen_reflections" },
    { 0x4863, "hide_turret" },
    { 0x4864, "hide_water" },
    { 0x4865, "hide_x4walker_melee_hint" },
    { 0x4866, "hide1_shelf_delete" },
    { 0x4867, "hide2_shelf_delete" },
    { 0x4868, "hideall" },
    { 0x4869, "hideapart" },
    { 0x486A, "hideattachmentswhilecloaked" },
    { 0x486B, "hidebar" },
    { 0x486C, "hideboatshadows" },
    { 0x486D, "hidecarryiconongameend" },
    { 0x486E, "hideelem" },
    { 0x486F, "hidefirehud" },
    { 0x4870, "hidefireshowaimidle" },
    { 0x4871, "hidefromplayer" },
    { 0x4872, "hidefromplayers" },
    { 0x4873, "hidegeo" },
    { 0x4874, "hideheadicons" },
    { 0x4875, "hidehudelementongameend" },
    { 0x4876, "hideidle" },
    { 0x4877, "hidemodels" },
    { 0x4878, "hideondeath" },
    { 0x4879, "hideoverlays" },
    { 0x487A, "hidepartatdepth" },
    { 0x487B, "hideplacedmodel" },
    { 0x487C, "hidepodfx" },
    { 0x487D, "hidestate" },
    { 0x487E, "hidetransitionmeshes" },
    { 0x487F, "hidetransitionmeshes_cg" },
    { 0x4880, "hideworldiconongameend" },
    { 0x4881, "hideyawoffset" },
    { 0x4882, "high_beam_oncoming" },
    { 0x4883, "high_beaming" },
    { 0x4884, "high_jump_enable" },
    { 0x4885, "high_jump_enabled" },
    { 0x4886, "high_jump_host_migration" },
    { 0x4887, "high_jump_on_player_spawn" },
    { 0x4888, "high_priority_for" },
    { 0x4889, "high_priority_hint" },
    { 0x488A, "higher_priority_expiration_time_s" },
    { 0x488B, "highestwins" },
    { 0x488C, "highlight" },
    { 0x488D, "highlight_custom" },
    { 0x488E, "highlight_effect" },
    { 0x488F, "highlight_forced" },
    { 0x4890, "highlight_on" },
    { 0x4891, "highlight_when_weapon_fired" },
    { 0x4892, "highlightairdrop" },
    { 0x4893, "highlightlastenemies" },
    { 0x4894, "highway_frogger_dialogue" },
    { 0x4895, "highway_frogger_end_nag" },
    { 0x4896, "highway_frogger_middle_ai_check" },
    { 0x4897, "highway_frogger_middle_nag" },
    { 0x4898, "highway_ledge_jump_go_dialogue" },
    { 0x4899, "highway_ledge_jump_prep_dialogue" },
    { 0x489A, "highway_traffic_final_takedown_hold_on" },
    { 0x489B, "highway_traffic_first_suvs" },
    { 0x489C, "highway_traffic_helo_callout" },
    { 0x489D, "highway_traffic_jump_2_dialogue" },
    { 0x489E, "highway_traffic_jump_3_dialogue" },
    { 0x489F, "highway_traffic_jump_4_dialogue" },
    { 0x48A0, "highway_traffic_jump_5_dialogue" },
    { 0x48A1, "highway_traffic_middle_takedown_dialogue" },
    { 0x48A2, "highway_traffic_takedown_dialogue" },
    { 0x48A3, "highway_traffic_traverse_dialogue" },
    { 0x48A4, "highway_veteran_helo_reduction" },
    { 0x48A5, "hijackerevent" },
    { 0x48A6, "hill_slide" },
    { 0x48A7, "hill_sunflare" },
    { 0x48A8, "hillslide_dust_fx" },
    { 0x48A9, "himar_print_ammo" },
    { 0x48AA, "himar_printer_equipped" },
    { 0x48AB, "himar_printing_ammo_full_check" },
    { 0x48AC, "hinge" },
    { 0x48AD, "hint" },
    { 0x48AE, "hint_abandon_warning_off" },
    { 0x48AF, "hint_allow_hide_time" },
    { 0x48B0, "hint_ar_optics_deactivate_off" },
    { 0x48B1, "hint_breakfunc" },
    { 0x48B2, "hint_button" },
    { 0x48B3, "hint_button_clear" },
    { 0x48B4, "hint_button_clear_fus" },
    { 0x48B5, "hint_button_create" },
    { 0x48B6, "hint_button_create_flashing" },
    { 0x48B7, "hint_button_flash" },
    { 0x48B8, "hint_button_locations" },
    { 0x48B9, "hint_button_melee" },
    { 0x48BA, "hint_button_melee_location" },
    { 0x48BB, "hint_button_position" },
    { 0x48BC, "hint_button_string_lookup" },
    { 0x48BD, "hint_button_string_lookup_fus" },
    { 0x48BE, "hint_button_tag" },
    { 0x48BF, "hint_button_trigger" },
    { 0x48C0, "hint_buttons" },
    { 0x48C1, "hint_concealed_kill_one" },
    { 0x48C2, "hint_cover_mouth_off" },
    { 0x48C3, "hint_create" },
    { 0x48C4, "hint_decoy_exposed_group_off" },
    { 0x48C5, "hint_decoy_off" },
    { 0x48C6, "hint_delete" },
    { 0x48C7, "hint_duration_s" },
    { 0x48C8, "hint_fade" },
    { 0x48C9, "hint_fade_instant" },
    { 0x48CA, "hint_fontscale" },
    { 0x48CB, "hint_grapple_off" },
    { 0x48CC, "hint_hoverbike" },
    { 0x48CD, "hint_instant" },
    { 0x48CE, "hint_knockout_off" },
    { 0x48CF, "hint_list" },
    { 0x48D0, "hint_mark_and_execute_off" },
    { 0x48D1, "hint_mash_button" },
    { 0x48D2, "hint_mech_grab" },
    { 0x48D3, "hint_mech_start" },
    { 0x48D4, "hint_mt_controls" },
    { 0x48D5, "hint_neverbreak" },
    { 0x48D6, "hint_nofadein" },
    { 0x48D7, "hint_position_internal" },
    { 0x48D8, "hint_prone_off" },
    { 0x48D9, "hint_pull_back" },
    { 0x48DA, "hint_push_forward" },
    { 0x48DB, "hint_quick" },
    { 0x48DC, "hint_quickfade" },
    { 0x48DD, "hint_rappel_off" },
    { 0x48DE, "hint_stealth_detection_off" },
    { 0x48DF, "hint_stick_get_updated" },
    { 0x48E0, "hint_stick_update" },
    { 0x48E1, "hint_string_disable_exo_climb" },
    { 0x48E2, "hint_string_disable_exo_door" },
    { 0x48E3, "hint_string_disable_mute_charge" },
    { 0x48E4, "hint_string_disable_place_sensor" },
    { 0x48E5, "hint_tagging_off" },
    { 0x48E6, "hint_text_exo_shield" },
    { 0x48E7, "hint_timeout" },
    { 0x48E8, "hint_triggers" },
    { 0x48E9, "hint_uncover_mouth_off" },
    { 0x48EA, "hint_update_config_change" },
    { 0x48EB, "hint_weap" },
    { 0x48EC, "hint_weap_swarm_hold" },
    { 0x48ED, "hint_weap_swarm_release" },
    { 0x48EE, "hint_with_background" },
    { 0x48EF, "hintatriumviewoff" },
    { 0x48F0, "hintbackground" },
    { 0x48F1, "hintcamerascanoff" },
    { 0x48F2, "hintcamerazoomoff" },
    { 0x48F3, "hintcaralarmoff" },
    { 0x48F4, "hintcourtyardoverwatchoff" },
    { 0x48F5, "hintdetonateambushoff" },
    { 0x48F6, "hintdisplayhandler" },
    { 0x48F7, "hintdisplayhandlersetup" },
    { 0x48F8, "hintdisplayhandlerupdate" },
    { 0x48F9, "hintdisplaymintimehandler" },
    { 0x48FA, "hintdronemoveoff" },
    { 0x48FB, "hintdroneshootoff" },
    { 0x48FC, "hintdroneusetriggeroff" },
    { 0x48FD, "hintdronezoomoff" },
    { 0x48FE, "hintdropturret" },
    { 0x48FF, "hintelem" },
    { 0x4900, "hintelement" },
    { 0x4901, "hintenter" },
    { 0x4902, "hintgrabgunoff" },
    { 0x4903, "hinthadeszoomoff" },
    { 0x4904, "hintleavingareaoff" },
    { 0x4905, "hintlookattruckoff" },
    { 0x4906, "hintmessage" },
    { 0x4907, "hintmutebreachoff" },
    { 0x4908, "hintpickup" },
    { 0x4909, "hintplayerstaboff" },
    { 0x490A, "hintprint" },
    { 0x490B, "hintprintwait" },
    { 0x490C, "hintripoff" },
    { 0x490D, "hintsafehouseexitsonicoff" },
    { 0x490E, "hintscrambleadvanceoff" },
    { 0x490F, "hintscramblesuppress1off" },
    { 0x4910, "hintscramblesuppress2off" },
    { 0x4911, "hintsniperdronemove" },
    { 0x4912, "hintsniperdroneshoot" },
    { 0x4913, "hintsupportalliesoff" },
    { 0x4914, "history" },
    { 0x4915, "history_count" },
    { 0x4916, "history_index" },
    { 0x4917, "hit_bullet_armor" },
    { 0x4918, "hit_enemy_walker_nag" },
    { 0x4919, "hit_ground_pos" },
    { 0x491A, "hit_kva_bus" },
    { 0x491B, "hit_off" },
    { 0x491C, "hit_surface" },
    { 0x491D, "hit_type" },
    { 0x491E, "hit_water" },
    { 0x491F, "hitloc" },
    { 0x4920, "hitlocdebug" },
    { 0x4921, "hitlocinited" },
    { 0x4922, "hitroundlimit" },
    { 0x4923, "hits" },
    { 0x4924, "hits_left" },
    { 0x4925, "hitscorelimit" },
    { 0x4926, "hitsthismag" },
    { 0x4927, "hittankagain" },
    { 0x4928, "hitwinlimit" },
    { 0x4929, "hms_greece_jump_across_164" },
    { 0x492A, "hms_greece_jump_across_192" },
    { 0x492B, "hms_greece_jump_down_96" },
    { 0x492C, "hms_greece_jump_over_32_across_320" },
    { 0x492D, "hms_greece_jump_over_32_across_352" },
    { 0x492E, "hms_greece_jump_over_32_across_400" },
    { 0x492F, "hms_greece_jump_over_32_down_192" },
    { 0x4930, "hms_greece_jump_over_36_down_128" },
    { 0x4931, "hms_greece_jump_over_36_down_164" },
    { 0x4932, "hms_greece_jump_over_36_down_180" },
    { 0x4933, "hms_greece_jump_over_36_down_208" },
    { 0x4934, "hms_greece_jump_over_40_down_88" },
    { 0x4935, "hms_greece_window_dive" },
    { 0x4936, "hms_greece_window_over_40" },
    { 0x4937, "hold_count" },
    { 0x4938, "hold_count_check" },
    { 0x4939, "hold_frames" },
    { 0x493A, "hold_indefintely" },
    { 0x493B, "holdingbreath" },
    { 0x493C, "holdingleavebutton" },
    { 0x493D, "hologram_guys" },
    { 0x493E, "hologram_rand_level" },
    { 0x493F, "holt" },
    { 0x4940, "homing_delay_max" },
    { 0x4941, "homing_delay_min" },
    { 0x4942, "honking" },
    { 0x4943, "horde_collect_count" },
    { 0x4944, "horde_defend_killcount" },
    { 0x4945, "horde_defuse_count" },
    { 0x4946, "horde_drone_flying_fx" },
    { 0x4947, "horde_drops" },
    { 0x4948, "horde_perks" },
    { 0x4949, "horde_type" },
    { 0x494A, "hordeabilityregenbar" },
    { 0x494B, "hordeaddcompaniondrone" },
    { 0x494C, "hordeaddexoshield" },
    { 0x494D, "hordeaddexplosivedeath" },
    { 0x494E, "hordeaddgeneraltuningvalues" },
    { 0x494F, "hordeaddnavigationabilities" },
    { 0x4950, "hordeaddtoxicgas" },
    { 0x4951, "hordeaddtoxicgascleanup" },
    { 0x4952, "hordeaddtoxicgasthink" },
    { 0x4953, "hordeallowallboost" },
    { 0x4954, "hordeammofull" },
    { 0x4955, "hordeapplyaimodifiers" },
    { 0x4956, "hordeapplyaimodifiersdiceroll" },
    { 0x4957, "hordearmor" },
    { 0x4958, "hordearmories" },
    { 0x4959, "hordearmoryemptimeout" },
    { 0x495A, "hordeattachminigunbarrel" },
    { 0x495B, "hordeautoassign" },
    { 0x495C, "hordebatterylevel" },
    { 0x495D, "hordebombs" },
    { 0x495E, "hordecheckobjectivefailure" },
    { 0x495F, "hordeclassendtime" },
    { 0x4960, "hordeclassic" },
    { 0x4961, "hordeclassrunfirstspawn" },
    { 0x4962, "hordeclassstarttime" },
    { 0x4963, "hordeclassturret" },
    { 0x4964, "hordeclassweapons" },
    { 0x4965, "hordecollectcancel" },
    { 0x4966, "hordecollected" },
    { 0x4967, "hordecollectlocs" },
    { 0x4968, "hordecratethink" },
    { 0x4969, "hordecreatedrone" },
    { 0x496A, "hordedamagescale" },
    { 0x496B, "hordedefendcancel" },
    { 0x496C, "hordedefendenemyoutline" },
    { 0x496D, "hordedefendlocs" },
    { 0x496E, "hordedefusecancel" },
    { 0x496F, "hordedefused" },
    { 0x4970, "hordedefuselocs" },
    { 0x4971, "hordedefuseobjects" },
    { 0x4972, "hordedefuseonbeginuse" },
    { 0x4973, "hordedefuseonenduse" },
    { 0x4974, "hordedialog" },
    { 0x4975, "hordedialoginit" },
    { 0x4976, "hordedifficultylevel" },
    { 0x4977, "hordedisablearmories" },
    { 0x4978, "hordednaexplosion" },
    { 0x4979, "hordedoginwater" },
    { 0x497A, "hordedogtype" },
    { 0x497B, "hordedome" },
    { 0x497C, "hordedrone" },
    { 0x497D, "hordedrone_handledamage" },
    { 0x497E, "hordedrone_watchdeath" },
    { 0x497F, "hordedronedestroyed" },
    { 0x4980, "hordedronemodel" },
    { 0x4981, "hordedroneshoot" },
    { 0x4982, "hordedronespawns" },
    { 0x4983, "hordedroneturret_handledamagecallback" },
    { 0x4984, "hordedroneturret_setupdamagecallback" },
    { 0x4985, "hordedronetype" },
    { 0x4986, "hordedroplocations" },
    { 0x4987, "hordedroplocationtrace" },
    { 0x4988, "hordeempduration" },
    { 0x4989, "hordeenableweapons" },
    { 0x498A, "hordeendgame" },
    { 0x498B, "hordeenemykilled" },
    { 0x498C, "hordeexobattery" },
    { 0x498D, "hordefadeinblackout" },
    { 0x498E, "hordefadeoutblackout" },
    { 0x498F, "hordegetattachmentstring" },
    { 0x4990, "hordegetclosesthealthyenemy" },
    { 0x4991, "hordegetclosesthealthyplayer" },
    { 0x4992, "hordegetdronespawn" },
    { 0x4993, "hordegetenemyloadout" },
    { 0x4994, "hordegetmapindex" },
    { 0x4995, "hordegetoutsideposition" },
    { 0x4996, "hordegetstartingroundnum" },
    { 0x4997, "hordegetweaponupgrades" },
    { 0x4998, "hordegiveability" },
    { 0x4999, "hordegiveclassweapons" },
    { 0x499A, "hordegivekillstreak" },
    { 0x499B, "hordegiveperk" },
    { 0x499C, "hordegivescorestreakupgrade" },
    { 0x499D, "hordeheadshots" },
    { 0x499E, "hordehideroundstats" },
    { 0x499F, "hordeicon" },
    { 0x49A0, "hordeinitdefuseobjects" },
    { 0x49A1, "hordeintelcancel" },
    { 0x49A2, "hordeintermissionclearcountdown" },
    { 0x49A3, "hordeintermissionfinalcountdown" },
    { 0x49A4, "hordeisarmoryupgrade" },
    { 0x49A5, "hordeishardcore" },
    { 0x49A6, "hordekillstreakmodules" },
    { 0x49A7, "hordeleaderdialogallplayers" },
    { 0x49A8, "hordelevelflip" },
    { 0x49A9, "hordeloadouts" },
    { 0x49AA, "hordeloadwaveweapons" },
    { 0x49AB, "hordemodedodgers" },
    { 0x49AC, "hordemodeelites" },
    { 0x49AD, "hordemodegrunts" },
    { 0x49AE, "hordemodespecials" },
    { 0x49AF, "hordemonitorclassability" },
    { 0x49B0, "hordemonitordoubletap" },
    { 0x49B1, "hordemonitorplayersready" },
    { 0x49B2, "hordenumroundscompleted" },
    { 0x49B3, "hordeobjectiveindex" },
    { 0x49B4, "hordeobjectiveorder" },
    { 0x49B5, "hordeobjectivesuccess" },
    { 0x49B6, "hordeonusedefuseobject" },
    { 0x49B7, "hordeplayerdefusing" },
    { 0x49B8, "hordepreviousfailureevent" },
    { 0x49B9, "horderandomizeaimodifiertypes" },
    { 0x49BA, "horderemoveksicon" },
    { 0x49BB, "horderesetarmory" },
    { 0x49BC, "hordereturnrandomaitypes" },
    { 0x49BD, "horderoundintermission" },
    { 0x49BE, "horderoundstats" },
    { 0x49BF, "hordescore" },
    { 0x49C0, "hordescorestreaksplash" },
    { 0x49C1, "hordesentryarray" },
    { 0x49C2, "hordesentryinit" },
    { 0x49C3, "hordesentryspawns" },
    { 0x49C4, "hordesetcharactermodel" },
    { 0x49C5, "hordesetprevioushighestwave" },
    { 0x49C6, "hordesetupdogstate" },
    { 0x49C7, "hordesetzombiemodel" },
    { 0x49C8, "hordeshouldupgradefail" },
    { 0x49C9, "hordespawndroneturret" },
    { 0x49CA, "hordespawnenemyturret" },
    { 0x49CB, "hordestartinground" },
    { 0x49CC, "hordestartzombieoutro" },
    { 0x49CD, "hordetriggeroff" },
    { 0x49CE, "hordetriggeron" },
    { 0x49CF, "hordeturret_handledamagecallback" },
    { 0x49D0, "hordeturret_handledeath" },
    { 0x49D1, "hordeturret_setactive" },
    { 0x49D2, "hordeturret_setinactive" },
    { 0x49D3, "hordeturret_setupdamagecallback" },
    { 0x49D4, "hordeturretpicktarget" },
    { 0x49D5, "hordeturretshoot" },
    { 0x49D6, "hordeupdatemapperformance" },
    { 0x49D7, "hordeupdateroundstats" },
    { 0x49D8, "hordeupdatescore" },
    { 0x49D9, "hordeuseddroplocations" },
    { 0x49DA, "hordevolaststand" },
    { 0x49DB, "hordevomissionfail" },
    { 0x49DC, "hordevoroundstart" },
    { 0x49DD, "hordewaitforturretdeath" },
    { 0x49DE, "hordewaveadjust" },
    { 0x49DF, "hordewaveweapons" },
    { 0x49E0, "hordeweaponlevel" },
    { 0x49E1, "hordeweaponsjammed" },
    { 0x49E2, "hordezombiechasesounds" },
    { 0x49E3, "hordezombiedeathsounds" },
    { 0x49E4, "hordezombiepainsounds" },
    { 0x49E5, "hordezombieplaypainsound" },
    { 0x49E6, "hordezombiesounds" },
    { 0x49E7, "horiz_speed_calc" },
    { 0x49E8, "horizontal_cone_range" },
    { 0x49E9, "horizontaloffsetlook" },
    { 0x49EA, "horizontaloffsetstrafe" },
    { 0x49EB, "horror_burk_opens_bodies_room_door" },
    { 0x49EC, "horror_burk_opens_bodies_room_door_mus" },
    { 0x49ED, "horror_burk_opens_bodies_room_door_sfx" },
    { 0x49EE, "horror_burke_gets_up_after_tile" },
    { 0x49EF, "horror_fluorescent_break" },
    { 0x49F0, "horror_ghost_runs_by_door" },
    { 0x49F1, "horz" },
    { 0x49F2, "hospital_barrel_swap_physics" },
    { 0x49F3, "hospital_breach_dof" },
    { 0x49F4, "hospital_breach_gun_away" },
    { 0x49F5, "hospital_breach_prep_dialogue" },
    { 0x49F6, "hospital_breach_punch" },
    { 0x49F7, "hospital_capture_dialogue" },
    { 0x49F8, "hospital_desk_door_open" },
    { 0x49F9, "hospital_dialogue" },
    { 0x49FA, "hospital_entry_dialogue" },
    { 0x49FB, "hospital_escape_door_function" },
    { 0x49FC, "hospital_flashbang1" },
    { 0x49FD, "hospital_flashbang2" },
    { 0x49FE, "hospital_flashbang3" },
    { 0x49FF, "hospital_flicker_lights" },
    { 0x4A00, "hospital_kva_cleanup" },
    { 0x4A01, "hospital_main" },
    { 0x4A02, "hospital_post_breach_01" },
    { 0x4A03, "hospital_post_breach_02" },
    { 0x4A04, "hospital_post_breach_03" },
    { 0x4A05, "hospital_post_breach_04" },
    { 0x4A06, "hospital_post_breach_05" },
    { 0x4A07, "hospital_slowmo_start" },
    { 0x4A08, "hospital_stairs_autosave" },
    { 0x4A09, "hospitalroofguys" },
    { 0x4A0A, "hostage_1" },
    { 0x4A0B, "hostage_drowned_bubble_trails" },
    { 0x4A0C, "hostage_health_regen" },
    { 0x4A0D, "hostage_mission_fail" },
    { 0x4A0E, "hostage_rescued_bubble_trails" },
    { 0x4A0F, "hostage_truck" },
    { 0x4A10, "hostage_truck_anim_single_break_when_timeout_or_fail" },
    { 0x4A11, "hostage_truck_failure" },
    { 0x4A12, "hostage_truck_freeway_by" },
    { 0x4A13, "hostage_truck_fwy_notetrack_setup" },
    { 0x4A14, "hostage_truck_gameover" },
    { 0x4A15, "hostage_truck_oncoming" },
    { 0x4A16, "hostage_truck_scripted_descent" },
    { 0x4A17, "hostage_truck_slomo_end" },
    { 0x4A18, "hostage_truck_slomo_end_notetrack" },
    { 0x4A19, "hostage_truck_slomo_end_pt2" },
    { 0x4A1A, "hostage_truck_slomo_start" },
    { 0x4A1B, "hostage_truck_slomo_start_pt1" },
    { 0x4A1C, "hostage_truck_slomo_start_pt2" },
    { 0x4A1D, "hostage_truck_slomo_start_pt3" },
    { 0x4A1E, "hostage_truck_slomo_start_pt4" },
    { 0x4A1F, "hostage_truck_swimming_drowning_monitor" },
    { 0x4A20, "hostage_truck_viewmodel_swap" },
    { 0x4A21, "hostagebeatup" },
    { 0x4A22, "hostageclearmarklocktext" },
    { 0x4A23, "hostagecorner" },
    { 0x4A24, "hostagedeathdetection" },
    { 0x4A25, "hostageexecution" },
    { 0x4A26, "hostageexecutiondeath" },
    { 0x4A27, "hostageexecutionseq" },
    { 0x4A28, "hostageexecutionseqvfx" },
    { 0x4A29, "hostagelocktargetstext" },
    { 0x4A2A, "hostagemanhandle" },
    { 0x4A2B, "hostagemarktargetstext" },
    { 0x4A2C, "hostagepm" },
    { 0x4A2D, "hostages" },
    { 0x4A2E, "hostforcedend" },
    { 0x4A2F, "hostidledout" },
    { 0x4A30, "hostile_pose" },
    { 0x4A31, "hostilemodel" },
    { 0x4A32, "hostilesspawned" },
    { 0x4A33, "hostmigrationcontrolsfrozen" },
    { 0x4A34, "hostmigrationname" },
    { 0x4A35, "hostmigrationreturnedplayercount" },
    { 0x4A36, "hostmigrationtimer" },
    { 0x4A37, "hostmigrationtimerthink" },
    { 0x4A38, "hostmigrationtimerthink_internal" },
    { 0x4A39, "hostmigrationwait" },
    { 0x4A3A, "hostmigrationwaitforplayers" },
    { 0x4A3B, "hostname" },
    { 0x4A3C, "hostpital_breach_start" },
    { 0x4A3D, "hotel_civ_04_death" },
    { 0x4A3E, "hotel_crowd_panic_trigger" },
    { 0x4A3F, "hotel_crowd_panic_walla" },
    { 0x4A40, "hotel_crowd_panic_walla_chkpt" },
    { 0x4A41, "hotel_female_01_hallway" },
    { 0x4A42, "hotel_glass_footstep_think" },
    { 0x4A43, "hotel_lobby_fire_lighting" },
    { 0x4A44, "hotel_razorback_approach" },
    { 0x4A45, "hotel_razorback_fly_by" },
    { 0x4A46, "hotel_wake_think" },
    { 0x4A47, "hotel_windows_explode" },
    { 0x4A48, "hover_hint_breakout" },
    { 0x4A49, "hover_tank_immobilize" },
    { 0x4A4A, "hover_tank_immobilize_rockets" },
    { 0x4A4B, "hover_tank_startup_sequence" },
    { 0x4A4C, "hoverbike_exit_prompt" },
    { 0x4A4D, "hoverbike_meet_up_mech1" },
    { 0x4A4E, "hoverbike_ride_in_autorumble" },
    { 0x4A4F, "hoverbike_rumble" },
    { 0x4A50, "hoverbike_smk_push_garage" },
    { 0x4A51, "hoverbounceconeangle" },
    { 0x4A52, "hoverlp" },
    { 0x4A53, "hoverscreen_chromo_anim" },
    { 0x4A54, "hoverscreen_chromo_anim_turnoff" },
    { 0x4A55, "hoverscreen_chromo_anim2" },
    { 0x4A56, "hoverscreen_damage_fx" },
    { 0x4A57, "hoverscreen_hit" },
    { 0x4A58, "hoverscreen_restore" },
    { 0x4A59, "hoverscreen_reveal" },
    { 0x4A5A, "hoverscreen_turnoff" },
    { 0x4A5B, "hoverscreen_turnoff_movie" },
    { 0x4A5C, "hoverscreen_turnon_movie" },
    { 0x4A5D, "hoverspeed" },
    { 0x4A5E, "hovertank" },
    { 0x4A5F, "hovertank_aimed_enemy_ai_weapon_hint" },
    { 0x4A60, "hovertank_aimed_enemy_vehicle_weapon_hint" },
    { 0x4A61, "hovertank_aimed_enemy_weapon_hint" },
    { 0x4A62, "hovertank_antiair_fire" },
    { 0x4A63, "hovertank_antiair_recoil" },
    { 0x4A64, "hovertank_ascent_final_enemies" },
    { 0x4A65, "hovertank_audio" },
    { 0x4A66, "hovertank_barrel_turn" },
    { 0x4A67, "hovertank_cannon_fire" },
    { 0x4A68, "hovertank_cannon_hint_off" },
    { 0x4A69, "hovertank_cannon_reload_hint" },
    { 0x4A6A, "hovertank_checkpoint_logic" },
    { 0x4A6B, "hovertank_combat_cleanup" },
    { 0x4A6C, "hovertank_combat_clearing_choppers_1" },
    { 0x4A6D, "hovertank_combat_clearing_choppers_3" },
    { 0x4A6E, "hovertank_combat_global_enemy_think" },
    { 0x4A6F, "hovertank_combat_road_log_scene" },
    { 0x4A70, "hovertank_constructor" },
    { 0x4A71, "hovertank_control_panel" },
    { 0x4A72, "hovertank_defend_combat" },
    { 0x4A73, "hovertank_defend_setup" },
    { 0x4A74, "hovertank_destroy_hint_data" },
    { 0x4A75, "hovertank_emp_hint_off" },
    { 0x4A76, "hovertank_enemy_outline" },
    { 0x4A77, "hovertank_enemy_outline_ai" },
    { 0x4A78, "hovertank_enemy_outline_offset" },
    { 0x4A79, "hovertank_enemy_outline_vehicle" },
    { 0x4A7A, "hovertank_enter" },
    { 0x4A7B, "hovertank_exterior_model" },
    { 0x4A7C, "hovertank_fx" },
    { 0x4A7D, "hovertank_hint_ai_in_sights" },
    { 0x4A7E, "hovertank_hint_enemy_kill_tracking" },
    { 0x4A7F, "hovertank_hint_reset_flag" },
    { 0x4A80, "hovertank_hint_stop" },
    { 0x4A81, "hovertank_hint_vehicle_in_sights" },
    { 0x4A82, "hovertank_hud_data_fontscale" },
    { 0x4A83, "hovertank_hud_init" },
    { 0x4A84, "hovertank_hud_misc_fontscale" },
    { 0x4A85, "hovertank_hud_mode_fontscale" },
    { 0x4A86, "hovertank_hud_weapon_fontscale" },
    { 0x4A87, "hovertank_init" },
    { 0x4A88, "hovertank_missile_hint_off" },
    { 0x4A89, "hovertank_missile_small_slow" },
    { 0x4A8A, "hovertank_missile_small_start" },
    { 0x4A8B, "hovertank_missile_small_stop" },
    { 0x4A8C, "hovertank_monitor_status" },
    { 0x4A8D, "hovertank_physics" },
    { 0x4A8E, "hovertank_player" },
    { 0x4A8F, "hovertank_projectile_callback" },
    { 0x4A90, "hovertank_ride" },
    { 0x4A91, "hovertank_ride_anims" },
    { 0x4A92, "hovertank_rumble" },
    { 0x4A93, "hovertank_rumble_stop" },
    { 0x4A94, "hovertank_setup_hint_data" },
    { 0x4A95, "hovertank_swap_model" },
    { 0x4A96, "hovertank_switch_to_cannon" },
    { 0x4A97, "hovertank_switch_to_emp" },
    { 0x4A98, "hovertank_switch_to_missile" },
    { 0x4A99, "hovertank_trophy_system" },
    { 0x4A9A, "hovertank_turrent_light" },
    { 0x4A9B, "hovertank_turrent_reflection" },
    { 0x4A9C, "hovertank_turret" },
    { 0x4A9D, "hovertank_weapon" },
    { 0x4A9E, "hovertank_weapon_hint" },
    { 0x4A9F, "hovertank_weapon_hint_data" },
    { 0x4AA0, "hoverweapon" },
    { 0x4AA1, "hp" },
    { 0x4AA2, "hp_pause_for_dynamic_event" },
    { 0x4AA3, "hpcapteam" },
    { 0x4AA4, "hpcaptureloop" },
    { 0x4AA5, "hpstarttime" },
    { 0x4AA6, "hpupdateuserate" },
    { 0x4AA7, "ht_cannon_reload" },
    { 0x4AA8, "ht_condition_callback_to_state_destruct" },
    { 0x4AA9, "ht_condition_callback_to_state_idle" },
    { 0x4AAA, "ht_condition_callback_to_state_moving" },
    { 0x4AAB, "ht_condition_callback_to_state_off" },
    { 0x4AAC, "ht_turret_condition_callback_to_state_destruct" },
    { 0x4AAD, "ht_turret_condition_callback_to_state_off" },
    { 0x4AAE, "ht_turret_condition_callback_to_state_rotating" },
    { 0x4AAF, "ht_turret_condition_callback_to_state_stationary" },
    { 0x4AB0, "hud" },
    { 0x4AB1, "hud_allies" },
    { 0x4AB2, "hud_alpha" },
    { 0x4AB3, "hud_blink_current_weapon_name" },
    { 0x4AB4, "hud_damagefeedback" },
    { 0x4AB5, "hud_damagefeedback_headshot" },
    { 0x4AB6, "hud_debug_add" },
    { 0x4AB7, "hud_debug_add_display" },
    { 0x4AB8, "hud_debug_add_frac" },
    { 0x4AB9, "hud_debug_add_message" },
    { 0x4ABA, "hud_debug_add_num" },
    { 0x4ABB, "hud_debug_add_second_string" },
    { 0x4ABC, "hud_debug_add_string" },
    { 0x4ABD, "hud_debug_clear" },
    { 0x4ABE, "hud_destroy" },
    { 0x4ABF, "hud_elem" },
    { 0x4AC0, "hud_elem_update_distance" },
    { 0x4AC1, "hud_end" },
    { 0x4AC2, "hud_execute" },
    { 0x4AC3, "hud_init" },
    { 0x4AC4, "hud_malfunction" },
    { 0x4AC5, "hud_mantle" },
    { 0x4AC6, "hud_mark" },
    { 0x4AC7, "hud_missile_target" },
    { 0x4AC8, "hud_off" },
    { 0x4AC9, "hud_offset" },
    { 0x4ACA, "hud_on" },
    { 0x4ACB, "hud_outlineenable" },
    { 0x4ACC, "hud_params" },
    { 0x4ACD, "hud_precache" },
    { 0x4ACE, "hud_scubamask" },
    { 0x4ACF, "hud_scubamask_model" },
    { 0x4AD0, "hud_set_invisible" },
    { 0x4AD1, "hud_set_visible" },
    { 0x4AD2, "hud_start" },
    { 0x4AD3, "hud_target_think" },
    { 0x4AD4, "hud_targets" },
    { 0x4AD5, "hud_text" },
    { 0x4AD6, "hud_update_fire_text" },
    { 0x4AD7, "hud_value" },
    { 0x4AD8, "hud_warning" },
    { 0x4AD9, "hud_watch_for_boost_active" },
    { 0x4ADA, "hudalerttimer" },
    { 0x4ADB, "huddata" },
    { 0x4ADC, "huddebugnum" },
    { 0x4ADD, "huddownspace" },
    { 0x4ADE, "hudelem_count" },
    { 0x4ADF, "hudelem_destroy" },
    { 0x4AE0, "hudelem_lagos_heart_rate" },
    { 0x4AE1, "hudelem_lagos_heart_rate_bpm" },
    { 0x4AE2, "hudelem_lagos_heart_rate_bpmvar" },
    { 0x4AE3, "hudelem_x" },
    { 0x4AE4, "hudelem_y" },
    { 0x4AE5, "hudelements" },
    { 0x4AE6, "hudelems" },
    { 0x4AE7, "hudgo" },
    { 0x4AE8, "hudinit" },
    { 0x4AE9, "huditem" },
    { 0x4AEA, "hudleftspace" },
    { 0x4AEB, "hudmsgshare" },
    { 0x4AEC, "hudnum" },
    { 0x4AED, "hudoutline_blink" },
    { 0x4AEE, "hudoutline_conf_intensity" },
    { 0x4AEF, "hudoutline_dvars_reset" },
    { 0x4AF0, "hudoutline_dvars_set" },
    { 0x4AF1, "hudoutline_spawner_all" },
    { 0x4AF2, "hudoutline_spawner_think" },
    { 0x4AF3, "hudoutline_think" },
    { 0x4AF4, "hudoutline_toggle_all" },
    { 0x4AF5, "hudoutline_toggle_target" },
    { 0x4AF6, "hudoutline_wait_death" },
    { 0x4AF7, "hudoutlinedvars" },
    { 0x4AF8, "hudoutlineenabledbysonarvision" },
    { 0x4AF9, "huds" },
    { 0x4AFA, "hudsetpoint_func" },
    { 0x4AFB, "hudtimerindex" },
    { 0x4AFC, "hudtweaks" },
    { 0x4AFD, "human_anims" },
    { 0x4AFE, "human_traverse" },
    { 0x4AFF, "human_traverse_kill" },
    { 0x4B00, "humans" },
    { 0x4B01, "humvee_antenna_animates" },
    { 0x4B02, "humvee_antenna_animates_until_death" },
    { 0x4B03, "humvee_org" },
    { 0x4B04, "humvee_turret_init" },
    { 0x4B05, "hunt_human" },
    { 0x4B06, "hunted_style_door_open" },
    { 0x4B07, "hunterkiller" },
    { 0x4B08, "hurtagain" },
    { 0x4B09, "hurtplayersthink" },
    { 0x4B0A, "i_am_hit_engage" },
    { 0x4B0B, "i_have_seen_the_player" },
    { 0x4B0C, "ialliesatgate" },
    { 0x4B0D, "ic_underwater_visionset_change" },
    { 0x4B0E, "ice_axe" },
    { 0x4B0F, "ice_axe_delete_special" },
    { 0x4B10, "ice_bridge_goons" },
    { 0x4B11, "ice_bridge_kill_fall" },
    { 0x4B12, "ice_caves_02_sets" },
    { 0x4B13, "ice_caves_02_trigger" },
    { 0x4B14, "ice_caves_03_sets" },
    { 0x4B15, "ice_caves_03_trigger" },
    { 0x4B16, "ice_lake_chopper" },
    { 0x4B17, "ice_lake_cinema_heli" },
    { 0x4B18, "ice_lake_clear" },
    { 0x4B19, "ice_lake_kill" },
    { 0x4B1A, "ice_lake_wakeup" },
    { 0x4B1B, "ice_lake_wakeup_noreaction" },
    { 0x4B1C, "ice_lake_wakeup_play_reaction" },
    { 0x4B1D, "ice_lake_wakeup_reaction" },
    { 0x4B1E, "ice_lake_wave_0" },
    { 0x4B1F, "ice_lake_wave_0_amb" },
    { 0x4B20, "ice_lake_wave_0_crate" },
    { 0x4B21, "ice_lake_wave_0_patrol" },
    { 0x4B22, "ice_lake_wave_1" },
    { 0x4B23, "ice_lake_wave_2" },
    { 0x4B24, "ice_lake_wave_3" },
    { 0x4B25, "ice_overlook_sets" },
    { 0x4B26, "icon_always_show" },
    { 0x4B27, "icon_col" },
    { 0x4B28, "icon_trigger_setup" },
    { 0x4B29, "iconatbaseblue" },
    { 0x4B2A, "iconatbasered" },
    { 0x4B2B, "iconawayblue" },
    { 0x4B2C, "iconawayred" },
    { 0x4B2D, "iconbluespectator" },
    { 0x4B2E, "iconcapture2d" },
    { 0x4B2F, "iconcapture3d" },
    { 0x4B30, "iconcaptureflag2d" },
    { 0x4B31, "iconcaptureflag3d" },
    { 0x4B32, "iconcontested2d" },
    { 0x4B33, "iconcontested3d" },
    { 0x4B34, "iconcontestedspectator" },
    { 0x4B35, "icondefend2d" },
    { 0x4B36, "icondefend3d" },
    { 0x4B37, "icondefendflag2d" },
    { 0x4B38, "icondefendflag3d" },
    { 0x4B39, "icondroppedblue" },
    { 0x4B3A, "icondroppedred" },
    { 0x4B3B, "iconelem" },
    { 0x4B3C, "iconelem2" },
    { 0x4B3D, "iconelem3" },
    { 0x4B3E, "iconents" },
    { 0x4B3F, "iconescort2d" },
    { 0x4B40, "iconescort3d" },
    { 0x4B41, "iconkill2d" },
    { 0x4B42, "iconkill3d" },
    { 0x4B43, "iconmissingblue" },
    { 0x4B44, "iconmissingred" },
    { 0x4B45, "iconname" },
    { 0x4B46, "iconneutral2d" },
    { 0x4B47, "iconneutral3d" },
    { 0x4B48, "iconneutralspectator" },
    { 0x4B49, "iconoverlay" },
    { 0x4B4A, "iconredspectator" },
    { 0x4B4B, "iconreturnflag2d" },
    { 0x4B4C, "iconreturnflag3d" },
    { 0x4B4D, "icons" },
    { 0x4B4E, "iconwaitforflag2d" },
    { 0x4B4F, "iconwaitforflag3d" },
    { 0x4B50, "id" },
    { 0x4B51, "idamage" },
    { 0x4B52, "identify_and_play_anim" },
    { 0x4B53, "idflags" },
    { 0x4B54, "idflags_no_armor" },
    { 0x4B55, "idflags_no_knockback" },
    { 0x4B56, "idflags_no_protection" },
    { 0x4B57, "idflags_no_team_protection" },
    { 0x4B58, "idflags_passthru" },
    { 0x4B59, "idflags_penetration" },
    { 0x4B5A, "idflags_radius" },
    { 0x4B5B, "idflags_shield_explosive_impact" },
    { 0x4B5C, "idflags_shield_explosive_impact_huge" },
    { 0x4B5D, "idflags_shield_explosive_splash" },
    { 0x4B5E, "idflags_stun" },
    { 0x4B5F, "idflagstime" },
    { 0x4B60, "idle" },
    { 0x4B61, "idle_alert" },
    { 0x4B62, "idle_alert_to_casual" },
    { 0x4B63, "idle_anim" },
    { 0x4B64, "idle_anim_update" },
    { 0x4B65, "idle_animation_list_func" },
    { 0x4B66, "idle_animations" },
    { 0x4B67, "idle_animstop" },
    { 0x4B68, "idle_ent" },
    { 0x4B69, "idle_hardleft" },
    { 0x4B6A, "idle_hardright" },
    { 0x4B6B, "idle_look_down_limit_mag" },
    { 0x4B6C, "idle_look_sideways_limit_mag" },
    { 0x4B6D, "idle_look_up_limit_mag" },
    { 0x4B6E, "idle_lp" },
    { 0x4B6F, "idle_main" },
    { 0x4B70, "idle_on_reach" },
    { 0x4B71, "idle_org" },
    { 0x4B72, "idle_proc" },
    { 0x4B73, "idle_proc_func" },
    { 0x4B74, "idle_reach_node" },
    { 0x4B75, "idle_scene_ents" },
    { 0x4B76, "idleanim" },
    { 0x4B77, "idleanimtype" },
    { 0x4B78, "idledown" },
    { 0x4B79, "idleface" },
    { 0x4B7A, "idlelookattargets" },
    { 0x4B7B, "idleoccurrence" },
    { 0x4B7C, "idlepoint" },
    { 0x4B7D, "idlepointreached" },
    { 0x4B7E, "idleset" },
    { 0x4B7F, "idlesound" },
    { 0x4B80, "idlesound_waitfordoneordeath" },
    { 0x4B81, "idlesoundorigin" },
    { 0x4B82, "idletargetmover" },
    { 0x4B83, "idletargetmoverexplosive" },
    { 0x4B84, "idlethread" },
    { 0x4B85, "idletrackloop" },
    { 0x4B86, "idleup" },
    { 0x4B87, "idlewait" },
    { 0x4B88, "idlewaitabit" },
    { 0x4B89, "idlingatcover" },
    { 0x4B8A, "ie_briefing_start_cormack" },
    { 0x4B8B, "ie_briefing_start_cormack_2" },
    { 0x4B8C, "ie_briefing_start_ilona" },
    { 0x4B8D, "ie_car_ride" },
    { 0x4B8E, "ie_hangar_irons" },
    { 0x4B8F, "ie_hangar_kva" },
    { 0x4B90, "ie_intro_cormack" },
    { 0x4B91, "ie_poolhouse_civilian_vignettes" },
    { 0x4B92, "ie_west_civilian_vignettes" },
    { 0x4B93, "ie_west_deterrent_drones" },
    { 0x4B94, "ie_west_drones" },
    { 0x4B95, "ie_west_enemies" },
    { 0x4B96, "ie_west_spawner_setup" },
    { 0x4B97, "iexplodernum" },
    { 0x4B98, "if_array_choose_random_target" },
    { 0x4B99, "if_the_boat_is_a_rockin_dont_come_a_knockin" },
    { 0x4B9A, "iflashfuse" },
    { 0x4B9B, "ignite_tanker_spurt" },
    { 0x4B9C, "ignore_all_until_path_end" },
    { 0x4B9D, "ignore_badplace" },
    { 0x4B9E, "ignore_death_fx" },
    { 0x4B9F, "ignore_everything" },
    { 0x4BA0, "ignore_fade_notetrack" },
    { 0x4BA1, "ignore_friendlies" },
    { 0x4BA2, "ignore_me_till_goal" },
    { 0x4BA3, "ignore_me_timer" },
    { 0x4BA4, "ignore_me_timer_prev_value" },
    { 0x4BA5, "ignore_player_intro" },
    { 0x4BA6, "ignore_suppression_trigger_ai_think" },
    { 0x4BA7, "ignore_suppression_trigger_think" },
    { 0x4BA8, "ignore_target" },
    { 0x4BA9, "ignore_triggers" },
    { 0x4BAA, "ignore_until_goal_reached" },
    { 0x4BAB, "ignore_until_timeout" },
    { 0x4BAC, "ignore_until_unloaded" },
    { 0x4BAD, "ignoreallenemies" },
    { 0x4BAE, "ignorecollision" },
    { 0x4BAF, "ignored_by_attack_heli" },
    { 0x4BB0, "ignoreeachother" },
    { 0x4BB1, "ignoregrenadesafetime" },
    { 0x4BB2, "ignoreme_for_x" },
    { 0x4BB3, "ignoreorigin" },
    { 0x4BB4, "ignorepathchange" },
    { 0x4BB5, "ignorerandombulletdamage_drone_proc" },
    { 0x4BB6, "ignoreregendelay" },
    { 0x4BB7, "ignoresightpos" },
    { 0x4BB8, "ignoresonicaoe" },
    { 0x4BB9, "ignorewash" },
    { 0x4BBA, "ignreall" },
    { 0x4BBB, "ilana" },
    { 0x4BBC, "ilana_break_wall" },
    { 0x4BBD, "ilana_dock_advance_count" },
    { 0x4BBE, "ilana_glass_impact" },
    { 0x4BBF, "ilana_hall_handler" },
    { 0x4BC0, "ilana_keeps_up" },
    { 0x4BC1, "ilana_lake_callout_cargo" },
    { 0x4BC2, "ilana_lake_callout_cave" },
    { 0x4BC3, "ilana_lake_callout_goliath" },
    { 0x4BC4, "ilana_lake_callout_left" },
    { 0x4BC5, "ilana_lake_callout_right" },
    { 0x4BC6, "ilana_lake_callout_shot" },
    { 0x4BC7, "ilana_narrow_cave_search" },
    { 0x4BC8, "ilana_narrow_cave_start" },
    { 0x4BC9, "ilana_pick_up_gun" },
    { 0x4BCA, "ilana_swimming_bubbles" },
    { 0x4BCB, "ilana_turkey_shoot" },
    { 0x4BCC, "ilana_vo_org" },
    { 0x4BCD, "ilana_water_impact" },
    { 0x4BCE, "ilanaalleybehavior" },
    { 0x4BCF, "ilanaalleytransbehavior" },
    { 0x4BD0, "ilanaanims" },
    { 0x4BD1, "ilanaendingambush" },
    { 0x4BD2, "ilanaendinganimations" },
    { 0x4BD3, "ilanaendingfight" },
    { 0x4BD4, "ilanaendinghades" },
    { 0x4BD5, "ilanaendingmovement" },
    { 0x4BD6, "ilanahitcarfx" },
    { 0x4BD7, "ilanahitwallfx" },
    { 0x4BD8, "ilanaleapfrogadjustgoal" },
    { 0x4BD9, "ilanaleapfroggetgoal" },
    { 0x4BDA, "ilanamovetruck" },
    { 0x4BDB, "ilanasafehouseanimations" },
    { 0x4BDC, "ilanascrambleanimations" },
    { 0x4BDD, "ilanascrambledrones" },
    { 0x4BDE, "ilanascramblefinale" },
    { 0x4BDF, "ilanascramblefinalemoveandsuppress" },
    { 0x4BE0, "ilanascramblehotel" },
    { 0x4BE1, "ilanascrambleinit" },
    { 0x4BE2, "ilanascrambleintro" },
    { 0x4BE3, "ilanascramblemovement" },
    { 0x4BE4, "ilanascrambleopenstartdoor" },
    { 0x4BE5, "ilanasetupmovetruck" },
    { 0x4BE6, "ilanasmokescreen" },
    { 0x4BE7, "ilanastabbedfx" },
    { 0x4BE8, "ilanastabbedtakeoutfx" },
    { 0x4BE9, "ilanasuppresspos" },
    { 0x4BEA, "ilanathroatslashfx" },
    { 0x4BEB, "ilanatogglesnipersuppression" },
    { 0x4BEC, "ilanaturn2exit" },
    { 0x4BED, "iln_dragged_away" },
    { 0x4BEE, "iln_flip_over" },
    { 0x4BEF, "iln_get_up" },
    { 0x4BF0, "iln_kneel_down" },
    { 0x4BF1, "iln_sprint_to_knox" },
    { 0x4BF2, "ilona" },
    { 0x4BF3, "ilona_can_turn" },
    { 0x4BF4, "ilona_cannot_turn" },
    { 0x4BF5, "ilona_generic_update_vo" },
    { 0x4BF6, "image" },
    { 0x4BF7, "immune_sonic_blast" },
    { 0x4BF8, "impact_info" },
    { 0x4BF9, "important_dialogue" },
    { 0x4BFA, "important_dialogue_queue" },
    { 0x4BFB, "impulse_wave" },
    { 0x4BFC, "in_basement" },
    { 0x4BFD, "in_combat_mode" },
    { 0x4BFE, "in_combat_zone" },
    { 0x4BFF, "in_deathsdoor" },
    { 0x4C00, "in_firingrange" },
    { 0x4C01, "in_goal" },
    { 0x4C02, "in_melee" },
    { 0x4C03, "in_position_building_jump" },
    { 0x4C04, "in_position_vo" },
    { 0x4C05, "in_river" },
    { 0x4C06, "in_scanner_cone" },
    { 0x4C07, "in_school" },
    { 0x4C08, "in_sights_hud" },
    { 0x4C09, "in_sights_timestamp" },
    { 0x4C0A, "in_spawnspectator" },
    { 0x4C0B, "in_state_callback" },
    { 0x4C0C, "in_turret" },
    { 0x4C0D, "in_use" },
    { 0x4C0E, "inactive" },
    { 0x4C0F, "inactive_objective" },
    { 0x4C10, "inc" },
    { 0x4C11, "inc4death" },
    { 0x4C12, "incin_amb" },
    { 0x4C13, "incin_burst" },
    { 0x4C14, "incin_burst2" },
    { 0x4C15, "incin_close" },
    { 0x4C16, "incineration_escape_logic" },
    { 0x4C17, "incinerator_ally_push" },
    { 0x4C18, "incinerator_ally_push_stop" },
    { 0x4C19, "incinerator_cart_push" },
    { 0x4C1A, "incinerator_crawl" },
    { 0x4C1B, "incinerator_dialogue" },
    { 0x4C1C, "incinerator_dialogue_2" },
    { 0x4C1D, "incinerator_intro" },
    { 0x4C1E, "incinerator_player_blur" },
    { 0x4C1F, "incinerator_player_damage" },
    { 0x4C20, "incinerator_player_end_anim_and_cleanup" },
    { 0x4C21, "incinerator_player_wobble" },
    { 0x4C22, "incinerator_push_action" },
    { 0x4C23, "incinerator_rumble_hold" },
    { 0x4C24, "incinerator_stance" },
    { 0x4C25, "include" },
    { 0x4C26, "include_in_idle" },
    { 0x4C27, "incoming_alias_" },
    { 0x4C28, "incomingmissile" },
    { 0x4C29, "incomingmissilesound" },
    { 0x4C2A, "incomming_missiles" },
    { 0x4C2B, "incpersstat" },
    { 0x4C2C, "incplayerstat" },
    { 0x4C2D, "incranimaimweight" },
    { 0x4C2E, "incrankxp" },
    { 0x4C2F, "increase_actor_base_accuracy_by_player_distance" },
    { 0x4C30, "increase_difficulty" },
    { 0x4C31, "increasegunlevelevent" },
    { 0x4C32, "increment_claimed_refcount" },
    { 0x4C33, "increment_help_list_offset" },
    { 0x4C34, "increment_hit" },
    { 0x4C35, "increment_kill" },
    { 0x4C36, "increment_list_offset" },
    { 0x4C37, "increment_ref_count" },
    { 0x4C38, "increment_take_cover_warnings_on_death" },
    { 0x4C39, "incrementalivecount" },
    { 0x4C3A, "incrementattachmentstat" },
    { 0x4C3B, "incrementcombatrecordstat" },
    { 0x4C3C, "incrementfauxvehiclecount" },
    { 0x4C3D, "incrementweaponstat" },
    { 0x4C3E, "index_col" },
    { 0x4C3F, "index_is_selected" },
    { 0x4C40, "indicate_start" },
    { 0x4C41, "indicatoroffset" },
    { 0x4C42, "indoor_think" },
    { 0x4C43, "indoorcqbtogglecheck" },
    { 0x4C44, "infect_allowsuicide" },
    { 0x4C45, "infect_choosingfirstinfected" },
    { 0x4C46, "infect_chosefirstinfected" },
    { 0x4C47, "infect_countdowninprogress" },
    { 0x4C48, "infect_isbeingchosen" },
    { 0x4C49, "infect_loadouts" },
    { 0x4C4A, "infect_players" },
    { 0x4C4B, "infect_teamscores" },
    { 0x4C4C, "infectautoassign" },
    { 0x4C4D, "infected_knife_name" },
    { 0x4C4E, "infectedclass" },
    { 0x4C4F, "infectedrejoined" },
    { 0x4C50, "infectedsurvivorevent" },
    { 0x4C51, "infil_allies" },
    { 0x4C52, "infil_begin" },
    { 0x4C53, "infil_main" },
    { 0x4C54, "infil_start" },
    { 0x4C55, "infil_vo" },
    { 0x4C56, "infiltratorburke" },
    { 0x4C57, "infinalstand" },
    { 0x4C58, "infiniteloop" },
    { 0x4C59, "info" },
    { 0x4C5A, "information_center" },
    { 0x4C5B, "information_center_combat" },
    { 0x4C5C, "information_center_dialogue" },
    { 0x4C5D, "information_center_enemies_charge" },
    { 0x4C5E, "informattacking" },
    { 0x4C5F, "informincoming" },
    { 0x4C60, "informkillfirm" },
    { 0x4C61, "informreloading" },
    { 0x4C62, "informsuppressed" },
    { 0x4C63, "informto" },
    { 0x4C64, "inframes" },
    { 0x4C65, "infront" },
    { 0x4C66, "infront_dist_max" },
    { 0x4C67, "infront_dist_min" },
    { 0x4C68, "ingame_movies" },
    { 0x4C69, "ingas" },
    { 0x4C6A, "ingraceperiod" },
    { 0x4C6B, "ingrenadegraceperiod" },
    { 0x4C6C, "init_active" },
    { 0x4C6D, "init_ai_swim" },
    { 0x4C6E, "init_ai_swim_animsets" },
    { 0x4C6F, "init_aibattlechatter" },
    { 0x4C70, "init_ambient_explosion_arrays" },
    { 0x4C71, "init_amimset_mech_transition" },
    { 0x4C72, "init_and_run" },
    { 0x4C73, "init_anim_sets" },
    { 0x4C74, "init_animatedmodels" },
    { 0x4C75, "init_animatedmodels_dump" },
    { 0x4C76, "init_animset_ambush" },
    { 0x4C77, "init_animset_combat" },
    { 0x4C78, "init_animset_complete_custom_crouch" },
    { 0x4C79, "init_animset_complete_custom_stand" },
    { 0x4C7A, "init_animset_cover_left" },
    { 0x4C7B, "init_animset_cover_multi" },
    { 0x4C7C, "init_animset_cover_prone" },
    { 0x4C7D, "init_animset_cover_right" },
    { 0x4C7E, "init_animset_cover_wall" },
    { 0x4C7F, "init_animset_cqb_move" },
    { 0x4C80, "init_animset_cqb_stand" },
    { 0x4C81, "init_animset_custom_crouch" },
    { 0x4C82, "init_animset_custom_stand" },
    { 0x4C83, "init_animset_death" },
    { 0x4C84, "init_animset_default_crouch" },
    { 0x4C85, "init_animset_default_move" },
    { 0x4C86, "init_animset_default_prone" },
    { 0x4C87, "init_animset_default_stand" },
    { 0x4C88, "init_animset_flashed" },
    { 0x4C89, "init_animset_heat_reload" },
    { 0x4C8A, "init_animset_heat_run_move" },
    { 0x4C8B, "init_animset_heat_stand" },
    { 0x4C8C, "init_animset_idle" },
    { 0x4C8D, "init_animset_mech_addpain" },
    { 0x4C8E, "init_animset_mech_cqb_move" },
    { 0x4C8F, "init_animset_mech_death" },
    { 0x4C90, "init_animset_mech_default_stand" },
    { 0x4C91, "init_animset_mech_flashed" },
    { 0x4C92, "init_animset_mech_grapple_tappy" },
    { 0x4C93, "init_animset_mech_grenade_animations" },
    { 0x4C94, "init_animset_mech_pain" },
    { 0x4C95, "init_animset_mech_player_grapple_tappy" },
    { 0x4C96, "init_animset_mech_rope_grapple_tappy" },
    { 0x4C97, "init_animset_mech_run_move" },
    { 0x4C98, "init_animset_mech_shoot_moving" },
    { 0x4C99, "init_animset_mech_stop" },
    { 0x4C9A, "init_animset_mech_walk_move" },
    { 0x4C9B, "init_animset_melee" },
    { 0x4C9C, "init_animset_pain" },
    { 0x4C9D, "init_animset_pistol_move" },
    { 0x4C9E, "init_animset_pistol_stand" },
    { 0x4C9F, "init_animset_reactions" },
    { 0x4CA0, "init_animset_rpg_crouch" },
    { 0x4CA1, "init_animset_rpg_stand" },
    { 0x4CA2, "init_animset_run_move" },
    { 0x4CA3, "init_animset_run_n_gun" },
    { 0x4CA4, "init_animset_shotgun_crouch" },
    { 0x4CA5, "init_animset_shotgun_stand" },
    { 0x4CA6, "init_animset_smg_ambush" },
    { 0x4CA7, "init_animset_smg_crouch" },
    { 0x4CA8, "init_animset_smg_crouch_run" },
    { 0x4CA9, "init_animset_smg_move" },
    { 0x4CAA, "init_animset_smg_stand" },
    { 0x4CAB, "init_animset_unstable_run_move" },
    { 0x4CAC, "init_animset_unstable_stand" },
    { 0x4CAD, "init_animset_unstable_walk_move" },
    { 0x4CAE, "init_animset_walk_move" },
    { 0x4CAF, "init_animsounds" },
    { 0x4CB0, "init_animsounds_for_animname" },
    { 0x4CB1, "init_antenna" },
    { 0x4CB2, "init_assembly_line" },
    { 0x4CB3, "init_audio" },
    { 0x4CB4, "init_audio_flags" },
    { 0x4CB5, "init_battlechatter" },
    { 0x4CB6, "init_bells" },
    { 0x4CB7, "init_blimps" },
    { 0x4CB8, "init_bobbing_boats" },
    { 0x4CB9, "init_boost_land_arrays" },
    { 0x4CBA, "init_bot_attachmenttable" },
    { 0x4CBB, "init_bot_camotable" },
    { 0x4CBC, "init_bot_reticletable" },
    { 0x4CBD, "init_bot_weap_statstable" },
    { 0x4CBE, "init_card_tags" },
    { 0x4CBF, "init_casualkiller_archetype" },
    { 0x4CC0, "init_ceiling_fans" },
    { 0x4CC1, "init_class_motion" },
    { 0x4CC2, "init_class_table" },
    { 0x4CC3, "init_cloak_view_model_anims" },
    { 0x4CC4, "init_cloaked_stealth_detection_range" },
    { 0x4CC5, "init_cloaked_stealth_settings" },
    { 0x4CC6, "init_cloaked_stealth_visibility_range_v1" },
    { 0x4CC7, "init_color_grouping" },
    { 0x4CC8, "init_colors" },
    { 0x4CC9, "init_computed_detection_distance_setting" },
    { 0x4CCA, "init_creepwalk_archetype" },
    { 0x4CCB, "init_crosshair" },
    { 0x4CCC, "init_damage_feedback" },
    { 0x4CCD, "init_dds_active_events" },
    { 0x4CCE, "init_dds_categories" },
    { 0x4CCF, "init_dds_categories_axis" },
    { 0x4CD0, "init_dds_category_groups" },
    { 0x4CD1, "init_dds_category_groups_axis" },
    { 0x4CD2, "init_dds_countryids" },
    { 0x4CD3, "init_dds_flags" },
    { 0x4CD4, "init_destroyed_count" },
    { 0x4CD5, "init_destructible_frame_queue" },
    { 0x4CD6, "init_detection_distance_setting" },
    { 0x4CD7, "init_detection_distance_setting_for_shadow" },
    { 0x4CD8, "init_dialogue_flags" },
    { 0x4CD9, "init_displays" },
    { 0x4CDA, "init_diveboat_weapon" },
    { 0x4CDB, "init_diveboat_weapon_gauge" },
    { 0x4CDC, "init_dog_anims" },
    { 0x4CDD, "init_dog_control" },
    { 0x4CDE, "init_door_shield" },
    { 0x4CDF, "init_drone_motion" },
    { 0x4CE0, "init_drone_motion_old" },
    { 0x4CE1, "init_dshk_player" },
    { 0x4CE2, "init_dshk_turret_processing" },
    { 0x4CE3, "init_elevator" },
    { 0x4CE4, "init_exoclimb_hud" },
    { 0x4CE5, "init_exposed_turn_animations" },
    { 0x4CE6, "init_facility_breach" },
    { 0x4CE7, "init_facility_breach_anims" },
    { 0x4CE8, "init_facility_breach_model_anims" },
    { 0x4CE9, "init_facility_breach_npc_anims" },
    { 0x4CEA, "init_facility_breach_view_model_anims" },
    { 0x4CEB, "init_fans" },
    { 0x4CEC, "init_firingrange" },
    { 0x4CED, "init_flags" },
    { 0x4CEE, "init_flags_shopping_district" },
    { 0x4CEF, "init_flavorbursts" },
    { 0x4CF0, "init_fog_transition" },
    { 0x4CF1, "init_globals" },
    { 0x4CF2, "init_grenade_animations" },
    { 0x4CF3, "init_grenade_hints" },
    { 0x4CF4, "init_ground_slam" },
    { 0x4CF5, "init_health" },
    { 0x4CF6, "init_height" },
    { 0x4CF7, "init_helicopters" },
    { 0x4CF8, "init_hovertank" },
    { 0x4CF9, "init_hovertank_weapons" },
    { 0x4CFA, "init_hud" },
    { 0x4CFB, "init_huds" },
    { 0x4CFC, "init_impact_system_arrays" },
    { 0x4CFD, "init_jet_crash_points" },
    { 0x4CFE, "init_juggernaut_animsets" },
    { 0x4CFF, "init_land_assist_player_rig" },
    { 0x4D00, "init_level_arrays" },
    { 0x4D01, "init_level_flags" },
    { 0x4D02, "init_level_lighting_flags" },
    { 0x4D03, "init_level_players" },
    { 0x4D04, "init_level_variables" },
    { 0x4D05, "init_light_def" },
    { 0x4D06, "init_lighting_flags" },
    { 0x4D07, "init_linked_air_spaces" },
    { 0x4D08, "init_linked_ents" },
    { 0x4D09, "init_lit_model" },
    { 0x4D0A, "init_littlebird_landing" },
    { 0x4D0B, "init_littlebird_landing_thread" },
    { 0x4D0C, "init_loadout" },
    { 0x4D0D, "init_local" },
    { 0x4D0E, "init_local_simple" },
    { 0x4D0F, "init_locked_list" },
    { 0x4D10, "init_mech_actions" },
    { 0x4D11, "init_mech_animsets" },
    { 0x4D12, "init_mech_turn_animations" },
    { 0x4D13, "init_menu" },
    { 0x4D14, "init_mgturretsettings" },
    { 0x4D15, "init_microwave_grenade" },
    { 0x4D16, "init_mobile_cover_drone" },
    { 0x4D17, "init_momentum" },
    { 0x4D18, "init_move_transition_arrays" },
    { 0x4D19, "init_moving_turn_animations" },
    { 0x4D1A, "init_multiteamdata" },
    { 0x4D1B, "init_new_tank_group" },
    { 0x4D1C, "init_note_targets" },
    { 0x4D1D, "init_notetracks" },
    { 0x4D1E, "init_notetracks_for_animname" },
    { 0x4D1F, "init_overtime_momentum" },
    { 0x4D20, "init_path_constants" },
    { 0x4D21, "init_path_traversal" },
    { 0x4D22, "init_pcap_vo" },
    { 0x4D23, "init_pcap_vo_bigm" },
    { 0x4D24, "init_pcap_vo_freeway_jump_gideon" },
    { 0x4D25, "init_pcap_vo_hostage_breach" },
    { 0x4D26, "init_pcap_vo_hostage_scene" },
    { 0x4D27, "init_pcap_vo_intro" },
    { 0x4D28, "init_pcap_vo_intro_briefing" },
    { 0x4D29, "init_pcap_vo_outro" },
    { 0x4D2A, "init_pcap_vo_truck_takedown" },
    { 0x4D2B, "init_pcap_vo_video_log" },
    { 0x4D2C, "init_personality_camper" },
    { 0x4D2D, "init_personality_default" },
    { 0x4D2E, "init_player" },
    { 0x4D2F, "init_player_cloak_overlay" },
    { 0x4D30, "init_player_cloak_state" },
    { 0x4D31, "init_player_gameobjects" },
    { 0x4D32, "init_player_swim" },
    { 0x4D33, "init_plr_vo" },
    { 0x4D34, "init_reset_ai" },
    { 0x4D35, "init_reverb" },
    { 0x4D36, "init_riotshield" },
    { 0x4D37, "init_riotshield_ai" },
    { 0x4D38, "init_riotshield_ai_anims" },
    { 0x4D39, "init_riotshield_animsets" },
    { 0x4D3A, "init_s1_animset_combat" },
    { 0x4D3B, "init_s1_animset_cover_left" },
    { 0x4D3C, "init_s1_animset_cover_right" },
    { 0x4D3D, "init_s1_animset_cover_wall" },
    { 0x4D3E, "init_s1_animset_cqb_stand" },
    { 0x4D3F, "init_s1_animset_death" },
    { 0x4D40, "init_s1_animset_default_crouch" },
    { 0x4D41, "init_s1_animset_default_move" },
    { 0x4D42, "init_s1_animset_default_stand" },
    { 0x4D43, "init_s1_animset_idle" },
    { 0x4D44, "init_s1_animset_melee" },
    { 0x4D45, "init_s1_animset_pain" },
    { 0x4D46, "init_s1_animset_run_move" },
    { 0x4D47, "init_s1_animset_run_n_gun" },
    { 0x4D48, "init_s1_animset_smg_crouch" },
    { 0x4D49, "init_s1_animset_walk_move" },
    { 0x4D4A, "init_s1_coverstand_turn_animations" },
    { 0x4D4B, "init_s1_exposed_turn_animations" },
    { 0x4D4C, "init_s1_moving_turn_animations" },
    { 0x4D4D, "init_scanner_yaw" },
    { 0x4D4E, "init_screeneffect_vars" },
    { 0x4D4F, "init_script_friendnames" },
    { 0x4D50, "init_script_triggers" },
    { 0x4D51, "init_scriptable_primary_lights" },
    { 0x4D52, "init_scripted_light" },
    { 0x4D53, "init_self_fog_transition" },
    { 0x4D54, "init_self_visionset" },
    { 0x4D55, "init_selfiebooth" },
    { 0x4D56, "init_smart_grenade" },
    { 0x4D57, "init_smvals" },
    { 0x4D58, "init_snd_flags" },
    { 0x4D59, "init_snipers_drones" },
    { 0x4D5A, "init_spawns" },
    { 0x4D5B, "init_squadbattlechatter" },
    { 0x4D5C, "init_squadmanager" },
    { 0x4D5D, "init_state_callback" },
    { 0x4D5E, "init_state_list" },
    { 0x4D5F, "init_stats" },
    { 0x4D60, "init_swim_anim_deltas" },
    { 0x4D61, "init_swim_anims" },
    { 0x4D62, "init_take_cover_warnings" },
    { 0x4D63, "init_tank" },
    { 0x4D64, "init_target_points" },
    { 0x4D65, "init_template_table" },
    { 0x4D66, "init_thruster" },
    { 0x4D67, "init_time" },
    { 0x4D68, "init_tool_hud" },
    { 0x4D69, "init_traffic" },
    { 0x4D6A, "init_trigger_flags" },
    { 0x4D6B, "init_turbines" },
    { 0x4D6C, "init_uncloaked_detection_distance_setting" },
    { 0x4D6D, "init_uncloaked_detection_distance_setting_for_shadow" },
    { 0x4D6E, "init_variable_grenade" },
    { 0x4D6F, "init_vehicle_free_path" },
    { 0x4D70, "init_vehicles" },
    { 0x4D71, "init_vision_set" },
    { 0x4D72, "init_visionset_progress_trigger" },
    { 0x4D73, "init_vo_flags" },
    { 0x4D74, "init_water" },
    { 0x4D75, "init_whizby" },
    { 0x4D76, "init_wind_if_uninitialized" },
    { 0x4D77, "init_zone_drones" },
    { 0x4D78, "init2" },
    { 0x4D79, "initactivisioncredits" },
    { 0x4D7A, "initadvancetoenemy" },
    { 0x4D7B, "initagentlevelvariables" },
    { 0x4D7C, "initagentscriptvariables" },
    { 0x4D7D, "initalerttime" },
    { 0x4D7E, "initalleys" },
    { 0x4D7F, "initalleysart" },
    { 0x4D80, "initalleysend" },
    { 0x4D81, "initalleysstart" },
    { 0x4D82, "initalleystransition" },
    { 0x4D83, "initalleystransitionstart" },
    { 0x4D84, "initallysquad" },
    { 0x4D85, "initanimset" },
    { 0x4D86, "initanimtree" },
    { 0x4D87, "initarmories" },
    { 0x4D88, "initawards" },
    { 0x4D89, "initbattlechatter" },
    { 0x4D8A, "initbeginconfcentercombat" },
    { 0x4D8B, "initbeginconfcenterkill" },
    { 0x4D8C, "initbeginconfcenteroutro" },
    { 0x4D8D, "initbeginconfcentersupporta" },
    { 0x4D8E, "initbeginconfcentersupportb" },
    { 0x4D8F, "initbeginconfcentersupportc" },
    { 0x4D90, "initbotlevelvariables" },
    { 0x4D91, "initbotmapextents" },
    { 0x4D92, "initbufferedstats" },
    { 0x4D93, "initcharacterface" },
    { 0x4D94, "initcivilianprops" },
    { 0x4D95, "initclientdvars" },
    { 0x4D96, "initclientdvarssplitscreenspecific" },
    { 0x4D97, "initconfcentercombat" },
    { 0x4D98, "initconfcenterintro" },
    { 0x4D99, "initconfcenterkill" },
    { 0x4D9A, "initconfcenteroutro" },
    { 0x4D9B, "initconfcenterstart" },
    { 0x4D9C, "initconfcenterstealthsettings" },
    { 0x4D9D, "initconfcentersupporta" },
    { 0x4D9E, "initconfcentersupportb" },
    { 0x4D9F, "initconfcentersupportc" },
    { 0x4DA0, "initcontact" },
    { 0x4DA1, "initcovercrouchnode" },
    { 0x4DA2, "initcoverstandnode" },
    { 0x4DA3, "initcredits" },
    { 0x4DA4, "initdeaths" },
    { 0x4DA5, "initdefuseobject" },
    { 0x4DA6, "initdeveloperdvars" },
    { 0x4DA7, "initdistortionfx" },
    { 0x4DA8, "initdoganimations" },
    { 0x4DA9, "initdogarchetype" },
    { 0x4DAA, "initdogarchetype_death" },
    { 0x4DAB, "initdogarchetype_move" },
    { 0x4DAC, "initdogarchetype_reaction" },
    { 0x4DAD, "initdogarchetype_stop" },
    { 0x4DAE, "initdogtraverseanims" },
    { 0x4DAF, "initdot" },
    { 0x4DB0, "initdroneflyinturnrate" },
    { 0x4DB1, "initdroneturnrate" },
    { 0x4DB2, "inited" },
    { 0x4DB3, "initedentityheadicons" },
    { 0x4DB4, "initendingambush" },
    { 0x4DB5, "initendingambushinteractlighting" },
    { 0x4DB6, "initendingfight" },
    { 0x4DB7, "initendinghades" },
    { 0x4DB8, "initendinghadesfight" },
    { 0x4DB9, "initfacialanims" },
    { 0x4DBA, "initfanprops" },
    { 0x4DBB, "initfinalkillcam" },
    { 0x4DBC, "initfx" },
    { 0x4DBD, "initgameflags" },
    { 0x4DBE, "initglobals" },
    { 0x4DBF, "initgrenades" },
    { 0x4DC0, "initgrenadethrowanims" },
    { 0x4DC1, "inithandsignals" },
    { 0x4DC2, "inithordesettings" },
    { 0x4DC3, "initial_ally_wave" },
    { 0x4DC4, "initial_bomb_location" },
    { 0x4DC5, "initial_bomb_location_nearest_node" },
    { 0x4DC6, "initial_bomb_pickup_time" },
    { 0x4DC7, "initial_combat" },
    { 0x4DC8, "initial_deck_guys_invuln" },
    { 0x4DC9, "initial_enemies_wave1" },
    { 0x4DCA, "initial_enemy_target" },
    { 0x4DCB, "initial_hangar_guys_invuln" },
    { 0x4DCC, "initial_hangar_setup" },
    { 0x4DCD, "initial_pickup_wait_time" },
    { 0x4DCE, "initial_spawn_time" },
    { 0x4DCF, "initial_state" },
    { 0x4DD0, "initial_state_name_pair" },
    { 0x4DD1, "initial_state_spec" },
    { 0x4DD2, "initialdmscoreupdate" },
    { 0x4DD3, "initialhealth" },
    { 0x4DD4, "initialize" },
    { 0x4DD5, "initialize_character_group" },
    { 0x4DD6, "initialize_colors" },
    { 0x4DD7, "initialize_intel" },
    { 0x4DD8, "initialize_sd_role" },
    { 0x4DD9, "initialize_stealth_debug_hud" },
    { 0x4DDA, "initializeallyarray" },
    { 0x4DDB, "initialized_civilian_animations" },
    { 0x4DDC, "initialized_gameobject_vars" },
    { 0x4DDD, "initializematchrules" },
    { 0x4DDE, "initializeoribtalmode" },
    { 0x4DDF, "initializesniperdronedata" },
    { 0x4DE0, "initializetagpathvariables" },
    { 0x4DE1, "initialzonedelay" },
    { 0x4DE2, "initiate_exo_push_on_player_advance" },
    { 0x4DE3, "initiate_exo_push_on_sniperguys_dead" },
    { 0x4DE4, "initiated" },
    { 0x4DE5, "initiw6credits" },
    { 0x4DE6, "initiw6credits_s1" },
    { 0x4DE7, "initkillstreakdata" },
    { 0x4DE8, "initlaser" },
    { 0x4DE9, "initlaserents" },
    { 0x4DEA, "initlaserfx" },
    { 0x4DEB, "initlasersound" },
    { 0x4DEC, "initlevelface" },
    { 0x4DED, "initlevelflags" },
    { 0x4DEE, "initmechsplittimes" },
    { 0x4DEF, "initmissiondata" },
    { 0x4DF0, "initmovestartstoptransitions" },
    { 0x4DF1, "initmultiobjectives" },
    { 0x4DF2, "initnotifymessage" },
    { 0x4DF3, "initorbitlowerbounds" },
    { 0x4DF4, "initpainfx" },
    { 0x4DF5, "initperkdvars" },
    { 0x4DF6, "initpersstat" },
    { 0x4DF7, "initpickups" },
    { 0x4DF8, "initplayer" },
    { 0x4DF9, "initplayerclass" },
    { 0x4DFA, "initplayerforharmonicbreach" },
    { 0x4DFB, "initplayerkillstreaks" },
    { 0x4DFC, "initplayerscriptvariables" },
    { 0x4DFD, "initplayerstat" },
    { 0x4DFE, "initplayerstats" },
    { 0x4DFF, "initposemovementfunctions" },
    { 0x4E00, "initridekillstreak" },
    { 0x4E01, "initridekillstreak_internal" },
    { 0x4E02, "initrunngun" },
    { 0x4E03, "inits1soldiersplittimes" },
    { 0x4E04, "initsafehouseclear" },
    { 0x4E05, "initsafehouseclearstart" },
    { 0x4E06, "initsafehouseexosuitup" },
    { 0x4E07, "initsafehouseexosuitupfadeout" },
    { 0x4E08, "initsafehousefollow" },
    { 0x4E09, "initsafehouseintro" },
    { 0x4E0A, "initsafehousekill" },
    { 0x4E0B, "initsafehouseoutro" },
    { 0x4E0C, "initsafehouseoutrostart" },
    { 0x4E0D, "initsafehousetakedownkill" },
    { 0x4E0E, "initsafehousetransition" },
    { 0x4E0F, "initsafehousetransitionstart" },
    { 0x4E10, "initsafehousexslice" },
    { 0x4E11, "initscanvariables" },
    { 0x4E12, "initscoreboard" },
    { 0x4E13, "initscoredata" },
    { 0x4E14, "initsniperscrambledrones" },
    { 0x4E15, "initsniperscramblefinale" },
    { 0x4E16, "initsniperscramblefinalelighting" },
    { 0x4E17, "initsniperscramblehotel" },
    { 0x4E18, "initsniperscrambleintro" },
    { 0x4E19, "initsniperscramblestarthotel" },
    { 0x4E1A, "initsniperscramblesuppressionfeedback" },
    { 0x4E1B, "initsoldierentrance" },
    { 0x4E1C, "initsoldierexit" },
    { 0x4E1D, "initsoldiersplittimes" },
    { 0x4E1E, "initsoliders1entrance" },
    { 0x4E1F, "initsoliders1exit" },
    { 0x4E20, "initsonicaoe" },
    { 0x4E21, "initspawn" },
    { 0x4E22, "initspawnpointvalues" },
    { 0x4E23, "initspawns" },
    { 0x4E24, "initstart" },
    { 0x4E25, "initstataward" },
    { 0x4E26, "initstate" },
    { 0x4E27, "initstingerusage" },
    { 0x4E28, "inittabletoverlay" },
    { 0x4E29, "inittakedownkill" },
    { 0x4E2A, "initteamspawnelements" },
    { 0x4E2B, "initthinkpatrolenemy" },
    { 0x4E2C, "inittransdistandanglesforarchetype" },
    { 0x4E2D, "inittriggermultiplevisionlightset" },
    { 0x4E2E, "inittweaks" },
    { 0x4E2F, "initweapon" },
    { 0x4E30, "initwindowtraverse" },
    { 0x4E31, "initzombies" },
    { 0x4E32, "injured_by_base" },
    { 0x4E33, "injured_by_main_exit_door" },
    { 0x4E34, "injured_guy_dialogue" },
    { 0x4E35, "injured_guy_vo" },
    { 0x4E36, "injured_player_blur" },
    { 0x4E37, "injured_player_wobble" },
    { 0x4E38, "injured_soldier_loop" },
    { 0x4E39, "inlaststand" },
    { 0x4E3A, "inliveplayerkillstreak" },
    { 0x4E3B, "innercone" },
    { 0x4E3C, "inovertime" },
    { 0x4E3D, "inplayerportableradar" },
    { 0x4E3E, "inplayerscrambler" },
    { 0x4E3F, "inplayersmokescreen" },
    { 0x4E40, "inprogress" },
    { 0x4E41, "input_bool" },
    { 0x4E42, "input_callback_acceleration_g" },
    { 0x4E43, "input_callback_degrees_from_upright" },
    { 0x4E44, "input_callback_distance" },
    { 0x4E45, "input_callback_distance2d" },
    { 0x4E46, "input_callback_doppler" },
    { 0x4E47, "input_callback_doppler_exaggerated" },
    { 0x4E48, "input_callback_doppler_subtle" },
    { 0x4E49, "input_callback_jerk_gps" },
    { 0x4E4A, "input_callback_jetbike_anti_slip" },
    { 0x4E4B, "input_callback_jetbike_drag" },
    { 0x4E4C, "input_callback_jetbike_thrust" },
    { 0x4E4D, "input_callback_jetbike_total_repulsor" },
    { 0x4E4E, "input_callback_pitch" },
    { 0x4E4F, "input_callback_pitch_roll_max" },
    { 0x4E50, "input_callback_player_jetbike_height" },
    { 0x4E51, "input_callback_relative_speed" },
    { 0x4E52, "input_callback_speed" },
    { 0x4E53, "input_callback_speed_mph" },
    { 0x4E54, "input_callback_throttle" },
    { 0x4E55, "input_callback_yaw" },
    { 0x4E56, "input_cdrn_ball_joint_pitch_rate" },
    { 0x4E57, "input_cdrn_ball_joint_rate" },
    { 0x4E58, "input_cdrn_ball_joint_roll_rate" },
    { 0x4E59, "input_cdrn_in_use" },
    { 0x4E5A, "input_cdrn_speed" },
    { 0x4E5B, "input_cdrn_stuck_amount" },
    { 0x4E5C, "input_cdrn_throttle" },
    { 0x4E5D, "input_cdrn_wheel_speed" },
    { 0x4E5E, "input_cdrn_wheel_speed_left" },
    { 0x4E5F, "input_cdrn_wheel_speed_right" },
    { 0x4E60, "input_delta_time" },
    { 0x4E61, "input_diveboat_drag" },
    { 0x4E62, "input_diveboat_drag_with_mph" },
    { 0x4E63, "input_diveboat_throttle" },
    { 0x4E64, "input_hint" },
    { 0x4E65, "input_hint_use" },
    { 0x4E66, "input_hovertank_anti_slip" },
    { 0x4E67, "input_hovertank_anti_slip_direction" },
    { 0x4E68, "input_hovertank_anti_slip_magnitude" },
    { 0x4E69, "input_hovertank_auto_yaw" },
    { 0x4E6A, "input_hovertank_auto_yaw_direction" },
    { 0x4E6B, "input_hovertank_auto_yaw_magnitude" },
    { 0x4E6C, "input_hovertank_repulsor_back_left" },
    { 0x4E6D, "input_hovertank_repulsor_back_right" },
    { 0x4E6E, "input_hovertank_repulsor_front_left" },
    { 0x4E6F, "input_hovertank_repulsor_front_right" },
    { 0x4E70, "input_hovertank_repulsors" },
    { 0x4E71, "input_hovertank_throttle" },
    { 0x4E72, "input_hovertank_throttle_direction" },
    { 0x4E73, "input_hovertank_throttle_magnitude" },
    { 0x4E74, "input_hovertank_turret_pch" },
    { 0x4E75, "input_hovertank_turret_yaw" },
    { 0x4E76, "input_hovertank_uprighting" },
    { 0x4E77, "input_modifiers" },
    { 0x4E78, "input_name" },
    { 0x4E79, "input_player_pdrone_look" },
    { 0x4E7A, "input_reactive_radius" },
    { 0x4E7B, "input_scalar_actual" },
    { 0x4E7C, "input_scalar_target" },
    { 0x4E7D, "input_start_time" },
    { 0x4E7E, "input_type" },
    { 0x4E7F, "inseq" },
    { 0x4E80, "insert_effect" },
    { 0x4E81, "insert_to_lane" },
    { 0x4E82, "inshallowwater" },
    { 0x4E83, "instance_init_callback" },
    { 0x4E84, "instance_name" },
    { 0x4E85, "instances" },
    { 0x4E86, "instantkillplayersincloud" },
    { 0x4E87, "instantly_promote_nearest_friendly" },
    { 0x4E88, "instantly_promote_nearest_friendly_with_classname" },
    { 0x4E89, "instantly_set_color_from_array" },
    { 0x4E8A, "instantly_set_color_from_array_with_classname" },
    { 0x4E8B, "instigators" },
    { 0x4E8C, "instinctcustomospfunc" },
    { 0x4E8D, "instinctdogs" },
    { 0x4E8E, "instinctdogspawnpoints" },
    { 0x4E8F, "insyncmeleewithtarget" },
    { 0x4E90, "int_clamp" },
    { 0x4E91, "intel_begin" },
    { 0x4E92, "intel_counter" },
    { 0x4E93, "intel_feedback" },
    { 0x4E94, "intel_items" },
    { 0x4E95, "intel_main" },
    { 0x4E96, "intel_player_rig" },
    { 0x4E97, "intel_start" },
    { 0x4E98, "intel_think" },
    { 0x4E99, "intel_upload_text" },
    { 0x4E9A, "intelminigun" },
    { 0x4E9B, "intensity" },
    { 0x4E9C, "intensityhdr" },
    { 0x4E9D, "inter_salvo_delay" },
    { 0x4E9E, "interactive_landanim" },
    { 0x4E9F, "interactive_number" },
    { 0x4EA0, "interactive_takeoffanim" },
    { 0x4EA1, "interactive_tv" },
    { 0x4EA2, "interactive_type" },
    { 0x4EA3, "interactive_warnings" },
    { 0x4EA4, "interactivekeypairs" },
    { 0x4EA5, "interactives" },
    { 0x4EA6, "interactteam" },
    { 0x4EA7, "interceptionevent" },
    { 0x4EA8, "interceptnotetracksforweaponswitch" },
    { 0x4EA9, "interior" },
    { 0x4EAA, "interior_allies" },
    { 0x4EAB, "interior_dialogue" },
    { 0x4EAC, "interior_dof_blend" },
    { 0x4EAD, "interior_door" },
    { 0x4EAE, "interior_door1_done" },
    { 0x4EAF, "interior_fallback_think" },
    { 0x4EB0, "interior_gameplay" },
    { 0x4EB1, "interior_init_level_flags" },
    { 0x4EB2, "interior_light" },
    { 0x4EB3, "interior_light_bounce" },
    { 0x4EB4, "interior_light_red" },
    { 0x4EB5, "interior_light_red_ending" },
    { 0x4EB6, "interior_npc_anims" },
    { 0x4EB7, "interior_player_anims" },
    { 0x4EB8, "interior_prepare_dialogue" },
    { 0x4EB9, "interior_setup_anims" },
    { 0x4EBA, "interior_shake_1" },
    { 0x4EBB, "interior_sun" },
    { 0x4EBC, "interiordnadrones" },
    { 0x4EBD, "interp_with_clamp" },
    { 0x4EBE, "interruptdeath" },
    { 0x4EBF, "inthickwater" },
    { 0x4EC0, "into_the_forest_dialogue" },
    { 0x4EC1, "intransit" },
    { 0x4EC2, "intro_actors" },
    { 0x4EC3, "intro_aerial_fire_fx" },
    { 0x4EC4, "intro_allies" },
    { 0x4EC5, "intro_allies_killed_by_mig" },
    { 0x4EC6, "intro_ally_boost_fx" },
    { 0x4EC7, "intro_ally_heli" },
    { 0x4EC8, "intro_ally_tank" },
    { 0x4EC9, "intro_ally1" },
    { 0x4ECA, "intro_ally2" },
    { 0x4ECB, "intro_ally3" },
    { 0x4ECC, "intro_amb_building_meteor_impacts" },
    { 0x4ECD, "intro_amb_canal_water_impacts" },
    { 0x4ECE, "intro_amb_dirt_impacts" },
    { 0x4ECF, "intro_ambient_aa_explosion_far" },
    { 0x4ED0, "intro_ambient_cleanup" },
    { 0x4ED1, "intro_ambient_missiles" },
    { 0x4ED2, "intro_anim" },
    { 0x4ED3, "intro_anim_struct" },
    { 0x4ED4, "intro_anim_vm" },
    { 0x4ED5, "intro_anims" },
    { 0x4ED6, "intro_apt_vf_debris" },
    { 0x4ED7, "intro_ar_anchor_anim" },
    { 0x4ED8, "intro_ar_anim_shg" },
    { 0x4ED9, "intro_ar_load_screen" },
    { 0x4EDA, "intro_ar_loadtext" },
    { 0x4EDB, "intro_ar_path_anim" },
    { 0x4EDC, "intro_ar_scale_ssao" },
    { 0x4EDD, "intro_ar_sethud" },
    { 0x4EDE, "intro_armap_moment" },
    { 0x4EDF, "intro_arms" },
    { 0x4EE0, "intro_bad_guy_4" },
    { 0x4EE1, "intro_bad_guy_5" },
    { 0x4EE2, "intro_bad_guy_6" },
    { 0x4EE3, "intro_bag_guy_start" },
    { 0x4EE4, "intro_bag_guy_table" },
    { 0x4EE5, "intro_bag_guy_walk_away" },
    { 0x4EE6, "intro_beach_briefing_anims" },
    { 0x4EE7, "intro_beach_invasion" },
    { 0x4EE8, "intro_begin" },
    { 0x4EE9, "intro_bink" },
    { 0x4EEA, "intro_birds" },
    { 0x4EEB, "intro_blimp_explode" },
    { 0x4EEC, "intro_blimp_explode2" },
    { 0x4EED, "intro_blimp_explode3" },
    { 0x4EEE, "intro_blimp_explode4" },
    { 0x4EEF, "intro_blimp_explode5" },
    { 0x4EF0, "intro_blimp_missile" },
    { 0x4EF1, "intro_blimp_missile_trail_delete" },
    { 0x4EF2, "intro_bobbing_boats" },
    { 0x4EF3, "intro_bottom_droppod" },
    { 0x4EF4, "intro_camera_blur" },
    { 0x4EF5, "intro_cave_rumble" },
    { 0x4EF6, "intro_cave_rumble_cleanup" },
    { 0x4EF7, "intro_city_ambient_fx" },
    { 0x4EF8, "intro_cloud" },
    { 0x4EF9, "intro_combat_tank" },
    { 0x4EFA, "intro_dialog" },
    { 0x4EFB, "intro_dialogue" },
    { 0x4EFC, "intro_dof" },
    { 0x4EFD, "intro_dof_physically_based" },
    { 0x4EFE, "intro_drive_hint" },
    { 0x4EFF, "intro_drive_jetbike_lights" },
    { 0x4F00, "intro_drive_jetbike_lights_friendlies" },
    { 0x4F01, "intro_drive_jetbike_lights_player" },
    { 0x4F02, "intro_drive_jetbike_lights_red" },
    { 0x4F03, "intro_drive_scripted_bike_bones" },
    { 0x4F04, "intro_drive_scripted_bike_bones_gestures" },
    { 0x4F05, "intro_drive_scripted_bike_burke" },
    { 0x4F06, "intro_drive_scripted_bike_burke_gestures" },
    { 0x4F07, "intro_drive_scripted_bike_joker" },
    { 0x4F08, "intro_drive_scripted_bike_joker_gestures" },
    { 0x4F09, "intro_drive_start_scripted_bike" },
    { 0x4F0A, "intro_drone" },
    { 0x4F0B, "intro_drone_tablet_touch_fx" },
    { 0x4F0C, "intro_drop_pod_se_phase_2b_start" },
    { 0x4F0D, "intro_drop_pod_se_start" },
    { 0x4F0E, "intro_drop_pod_vm_motionline" },
    { 0x4F0F, "intro_droppod_blimp_detach01" },
    { 0x4F10, "intro_droppod_blimp_detach02" },
    { 0x4F11, "intro_droppod_thrusters" },
    { 0x4F12, "intro_droppod_thrusters_stop" },
    { 0x4F13, "intro_droppod_velocity_streaks" },
    { 0x4F14, "intro_enable_weapons" },
    { 0x4F15, "intro_end_anim" },
    { 0x4F16, "intro_flak_explosion_fx" },
    { 0x4F17, "intro_flight_missiles_fire" },
    { 0x4F18, "intro_flight_start" },
    { 0x4F19, "intro_fly_drone_idle" },
    { 0x4F1A, "intro_fly_in_animated" },
    { 0x4F1B, "intro_fly_in_animated_part2" },
    { 0x4F1C, "intro_fly_in_missile_hit_warbird" },
    { 0x4F1D, "intro_fly_in_missile_hit_warbird_rotorsmoke" },
    { 0x4F1E, "intro_fly_in_missile_hit_warbird_rotorsmoke_stop" },
    { 0x4F1F, "intro_fly_in_missile_hit_warbird_tower" },
    { 0x4F20, "intro_fly_in_part2_vo" },
    { 0x4F21, "intro_fly_in_post_crash_vo" },
    { 0x4F22, "intro_fly_in_vo" },
    { 0x4F23, "intro_flyin" },
    { 0x4F24, "intro_flyin_ambient_aa_explosions" },
    { 0x4F25, "intro_flyin_ambient_explosion_midair_runner_single" },
    { 0x4F26, "intro_flyin_ambient_window_glass_explosions" },
    { 0x4F27, "intro_gideon" },
    { 0x4F28, "intro_give_player_driving" },
    { 0x4F29, "intro_ground_explosion_fx" },
    { 0x4F2A, "intro_hades_video_length" },
    { 0x4F2B, "intro_heli" },
    { 0x4F2C, "intro_heli_carry_walkers" },
    { 0x4F2D, "intro_heli_movies" },
    { 0x4F2E, "intro_helipad_lights" },
    { 0x4F2F, "intro_helis" },
    { 0x4F30, "intro_helis_background" },
    { 0x4F31, "intro_hostage_executed" },
    { 0x4F32, "intro_hostage_leader" },
    { 0x4F33, "intro_hostage_leader_2" },
    { 0x4F34, "intro_hostage_leader_3" },
    { 0x4F35, "intro_infil_gideon_fx" },
    { 0x4F36, "intro_infil_gideon_pod_dmg" },
    { 0x4F37, "intro_infil_gideon_pod_fx" },
    { 0x4F38, "intro_infil_knox_fx" },
    { 0x4F39, "intro_infil_knox_pod_fx" },
    { 0x4F3A, "intro_infil_pergola_fx" },
    { 0x4F3B, "intro_infil_player_pod_fx" },
    { 0x4F3C, "intro_lerp_sun" },
    { 0x4F3D, "intro_lighting" },
    { 0x4F3E, "intro_lines" },
    { 0x4F3F, "intro_logic" },
    { 0x4F40, "intro_main" },
    { 0x4F41, "intro_mid_flak_explosion_fx" },
    { 0x4F42, "intro_missile_hit" },
    { 0x4F43, "intro_missile_hit_pod" },
    { 0x4F44, "intro_missile_trail" },
    { 0x4F45, "intro_missile_trail_delete" },
    { 0x4F46, "intro_movie" },
    { 0x4F47, "intro_moving_ships" },
    { 0x4F48, "intro_near_flak_explosion_fx" },
    { 0x4F49, "intro_node" },
    { 0x4F4A, "intro_offse" },
    { 0x4F4B, "intro_offset" },
    { 0x4F4C, "intro_play_ar_anim" },
    { 0x4F4D, "intro_player" },
    { 0x4F4E, "intro_player_rumble" },
    { 0x4F4F, "intro_pod_audio" },
    { 0x4F50, "intro_pod_door_flyout" },
    { 0x4F51, "intro_pod_drop" },
    { 0x4F52, "intro_pod_emergency_door_close" },
    { 0x4F53, "intro_pod_engine_fx" },
    { 0x4F54, "intro_pod_exit_building1" },
    { 0x4F55, "intro_pod_hit_apartment" },
    { 0x4F56, "intro_pod_hit_building_2" },
    { 0x4F57, "intro_pod_hit_building1" },
    { 0x4F58, "intro_pod_hit_building1_flr1" },
    { 0x4F59, "intro_pod_hit_building1_flr2" },
    { 0x4F5A, "intro_pod_hit_building1_flr3" },
    { 0x4F5B, "intro_post_load" },
    { 0x4F5C, "intro_prime_minister" },
    { 0x4F5D, "intro_prime_minister_2" },
    { 0x4F5E, "intro_quad_whoooshes" },
    { 0x4F5F, "intro_rack_focus_cargo_dof" },
    { 0x4F60, "intro_rack_focus_dof" },
    { 0x4F61, "intro_radio_chatter" },
    { 0x4F62, "intro_rain_splat_onlens" },
    { 0x4F63, "intro_reg_vehicles" },
    { 0x4F64, "intro_running_guy" },
    { 0x4F65, "intro_scene" },
    { 0x4F66, "intro_scene_done" },
    { 0x4F67, "intro_screen" },
    { 0x4F68, "intro_screen_create" },
    { 0x4F69, "intro_screen_custom_func" },
    { 0x4F6A, "intro_screen_custom_timing" },
    { 0x4F6B, "intro_shadows" },
    { 0x4F6C, "intro_shake_cam" },
    { 0x4F6D, "intro_ship_icons" },
    { 0x4F6E, "intro_shoot_hint" },
    { 0x4F6F, "intro_sinkhole_explo" },
    { 0x4F70, "intro_skyjack_black" },
    { 0x4F71, "intro_skyjack_fade_in" },
    { 0x4F72, "intro_space" },
    { 0x4F73, "intro_spotlight_setup" },
    { 0x4F74, "intro_start" },
    { 0x4F75, "intro_sun_flare_position" },
    { 0x4F76, "intro_tablet_touch_fx" },
    { 0x4F77, "intro_title_text" },
    { 0x4F78, "intro_title_text_end" },
    { 0x4F79, "intro_title_text_start" },
    { 0x4F7A, "intro_traffic_lanes" },
    { 0x4F7B, "intro_view_traffic" },
    { 0x4F7C, "intro_vo" },
    { 0x4F7D, "intro_warbird_camshake" },
    { 0x4F7E, "intro_warbird_engine_wash_fx" },
    { 0x4F7F, "intro_warbird_rotor_rainstreak" },
    { 0x4F80, "intro_warbird_rotorwash_fly" },
    { 0x4F81, "intro_warbird_rotorwash_ground" },
    { 0x4F82, "intro_warbird_wash_fx" },
    { 0x4F83, "intro_warbird_wash_handler" },
    { 0x4F84, "intro_warbird_wash_trace" },
    { 0x4F85, "intro_warbird_wind_debris" },
    { 0x4F86, "intro_zodiac_wake_fx" },
    { 0x4F87, "intro_zoom_in_out_fleet" },
    { 0x4F88, "introdrive_truck_throw_guard" },
    { 0x4F89, "introscreen" },
    { 0x4F8A, "introscreen_complete_delay" },
    { 0x4F8B, "introscreen_corner_line" },
    { 0x4F8C, "introscreen_fade_in" },
    { 0x4F8D, "introscreen_feed_lines" },
    { 0x4F8E, "introscreen_generic_black_fade_in" },
    { 0x4F8F, "introscreen_generic_fade_in" },
    { 0x4F90, "introscreen_generic_fade_out" },
    { 0x4F91, "introscreen2" },
    { 0x4F92, "introwave1" },
    { 0x4F93, "inuseby" },
    { 0x4F94, "invalidparentoverridecallback" },
    { 0x4F95, "inventory" },
    { 0x4F96, "inventory_array" },
    { 0x4F97, "inventory_create" },
    { 0x4F98, "inventory_destroy" },
    { 0x4F99, "inventory_hide" },
    { 0x4F9A, "inventory_show" },
    { 0x4F9B, "inventroy_update" },
    { 0x4F9C, "invert_controls_prompt" },
    { 0x4F9D, "investigate" },
    { 0x4F9E, "investigate_someone_using_bomb_update" },
    { 0x4F9F, "investigate_spot_return_to" },
    { 0x4FA0, "investigatenodes" },
    { 0x4FA1, "investigating" },
    { 0x4FA2, "investigating_last_known_position" },
    { 0x4FA3, "invirtuallobby" },
    { 0x4FA4, "invul" },
    { 0x4FA5, "invulnerable" },
    { 0x4FA6, "invulnerabletime" },
    { 0x4FA7, "invultime_onshield" },
    { 0x4FA8, "invultime_postshield" },
    { 0x4FA9, "invultime_preshield" },
    { 0x4FAA, "inwater" },
    { 0x4FAB, "inwaterwake" },
    { 0x4FAC, "iprintlnsubtitles" },
    { 0x4FAD, "irons" },
    { 0x4FAE, "irons_chase_door_close" },
    { 0x4FAF, "irons_chase_logic" },
    { 0x4FB0, "irons_estate_animated_trees" },
    { 0x4FB1, "irons_estate_animated_trees_setup" },
    { 0x4FB2, "irons_estate_briefing_setup" },
    { 0x4FB3, "irons_estate_call_notify" },
    { 0x4FB4, "irons_estate_car_setup" },
    { 0x4FB5, "irons_estate_close_awareness_check" },
    { 0x4FB6, "irons_estate_collect_corpse_override" },
    { 0x4FB7, "irons_estate_custom_pre_spotted" },
    { 0x4FB8, "irons_estate_custom_state_behavior" },
    { 0x4FB9, "irons_estate_elevator_dof" },
    { 0x4FBA, "irons_estate_enemy_attack_behavior" },
    { 0x4FBB, "irons_estate_enemy_close_in_on_target" },
    { 0x4FBC, "irons_estate_enemy_go_back" },
    { 0x4FBD, "irons_estate_enemy_investigate_position" },
    { 0x4FBE, "irons_estate_enemy_normal_behavior" },
    { 0x4FBF, "irons_estate_enemy_state_hidden" },
    { 0x4FC0, "irons_estate_enemy_state_spotted" },
    { 0x4FC1, "irons_estate_enemy_warning1_behavior" },
    { 0x4FC2, "irons_estate_enemy_warning2_behavior" },
    { 0x4FC3, "irons_estate_exfil_setup" },
    { 0x4FC4, "irons_estate_global_flags" },
    { 0x4FC5, "irons_estate_hanger_setup" },
    { 0x4FC6, "irons_estate_intel_debug_checkpoint" },
    { 0x4FC7, "irons_estate_intro_reveal_setup" },
    { 0x4FC8, "irons_estate_intro_reveal_setup_debug_checkpoint" },
    { 0x4FC9, "irons_estate_jump_monitor" },
    { 0x4FCA, "irons_estate_objectives" },
    { 0x4FCB, "irons_estate_outside_vision_setup" },
    { 0x4FCC, "irons_estate_patrol_resume_move_start_func" },
    { 0x4FCD, "irons_estate_penthouse_cormack_setup" },
    { 0x4FCE, "irons_estate_penthouse_setup" },
    { 0x4FCF, "irons_estate_plane_setup" },
    { 0x4FD0, "irons_estate_precache" },
    { 0x4FD1, "irons_estate_recon_setup" },
    { 0x4FD2, "irons_estate_security_center_debug_checkpoint" },
    { 0x4FD3, "irons_estate_security_center_exit_setup" },
    { 0x4FD4, "irons_estate_security_center_setup" },
    { 0x4FD5, "irons_estate_starts" },
    { 0x4FD6, "irons_estate_stealth_achievement" },
    { 0x4FD7, "irons_estate_stealth_ai_status_monitor" },
    { 0x4FD8, "irons_estate_stealth_ai_status_thread" },
    { 0x4FD9, "irons_estate_stealth_anims" },
    { 0x4FDA, "irons_estate_stealth_custom" },
    { 0x4FDB, "irons_estate_stealth_disable" },
    { 0x4FDC, "irons_estate_stealth_enable" },
    { 0x4FDD, "irons_estate_stealth_settings_normal" },
    { 0x4FDE, "irons_estate_stealth_setup" },
    { 0x4FDF, "irons_estate_threat_search" },
    { 0x4FE0, "irons_estate_trigger_saves" },
    { 0x4FE1, "irons_estate_tutorial_setup" },
    { 0x4FE2, "irons_estate_underwater_setup" },
    { 0x4FE3, "irons_estate_vehicle_damaged_watcher" },
    { 0x4FE4, "irons_estate_vehicle_guy_stealth_setup" },
    { 0x4FE5, "irons_estate_vehicle_open_door_anim" },
    { 0x4FE6, "irons_estate_vehicle_passenger_death_watcher" },
    { 0x4FE7, "irons_estate_vehicle_passenger_go_back" },
    { 0x4FE8, "irons_estate_vehicle_passenger_normal" },
    { 0x4FE9, "irons_estate_vignette" },
    { 0x4FEA, "irons_estate_waterfall_cave_setup" },
    { 0x4FEB, "irons_estate_waterfall_debug_checkpoint" },
    { 0x4FEC, "irons_estate_waterfall_setup" },
    { 0x4FED, "irons_estate_whistle" },
    { 0x4FEE, "irons_exo_hack" },
    { 0x4FEF, "irons_hangar_waits" },
    { 0x4FF0, "irons_keypad_door_open" },
    { 0x4FF1, "irons_knows_music" },
    { 0x4FF2, "irons_reveal_exit_door_open" },
    { 0x4FF3, "irons_reveal_mash_loop_stopped" },
    { 0x4FF4, "irons_reveal_mash_state" },
    { 0x4FF5, "irons_reveal_scene" },
    { 0x4FF6, "irons_rooftop" },
    { 0x4FF7, "is_1_near_2" },
    { 0x4FF8, "is_abort_missile" },
    { 0x4FF9, "is_after_start" },
    { 0x4FFA, "is_ai" },
    { 0x4FFB, "is_aim_assist_enabled_on_script_model" },
    { 0x4FFC, "is_angles" },
    { 0x4FFD, "is_anim_based_death" },
    { 0x4FFE, "is_autopilot" },
    { 0x4FFF, "is_being_tracked" },
    { 0x5000, "is_blockage" },
    { 0x5001, "is_boid_in_vols" },
    { 0x5002, "is_breach_anim_loop_setup" },
    { 0x5003, "is_breach_anim_single_setup" },
    { 0x5004, "is_breaking" },
    { 0x5005, "is_bullet_damage" },
    { 0x5006, "is_cao_agent" },
    { 0x5007, "is_command_bound" },
    { 0x5008, "is_controlling_uav" },
    { 0x5009, "is_coop" },
    { 0x500A, "is_coop_online" },
    { 0x500B, "is_corpse" },
    { 0x500C, "is_createfx_type" },
    { 0x500D, "is_current_weapon_shield" },
    { 0x500E, "is_damagefeedback_hud_enabled" },
    { 0x500F, "is_damagefeedback_snd_enabled" },
    { 0x5010, "is_dds_enabled" },
    { 0x5011, "is_dead_sentient" },
    { 0x5012, "is_deathsdoor_audio_enabled" },
    { 0x5013, "is_default_start" },
    { 0x5014, "is_demo" },
    { 0x5015, "is_doing_scripted_anim" },
    { 0x5016, "is_driving_pdrone" },
    { 0x5017, "is_drone" },
    { 0x5018, "is_drone_turret_target" },
    { 0x5019, "is_drowning" },
    { 0x501A, "is_dummy" },
    { 0x501B, "is_enabled" },
    { 0x501C, "is_enemy_target" },
    { 0x501D, "is_entering_goliath" },
    { 0x501E, "is_exo_ability_weapon" },
    { 0x501F, "is_exo_climbing" },
    { 0x5020, "is_exoclimb_combat" },
    { 0x5021, "is_exoclimb_cover" },
    { 0x5022, "is_exoclimb_jumped" },
    { 0x5023, "is_exoclimb_mag_moved" },
    { 0x5024, "is_filter_lead_controller" },
    { 0x5025, "is_first_drop" },
    { 0x5026, "is_first_frame" },
    { 0x5027, "is_first_start" },
    { 0x5028, "is_float_equal" },
    { 0x5029, "is_free_running" },
    { 0x502A, "is_friendlyfire_event" },
    { 0x502B, "is_from_animsound" },
    { 0x502C, "is_gen4" },
    { 0x502D, "is_goal_blocked" },
    { 0x502E, "is_godmode" },
    { 0x502F, "is_greece" },
    { 0x5030, "is_ground_enemy" },
    { 0x5031, "is_group_a_larger_than_group_b" },
    { 0x5032, "is_guy_follow_status_blocked" },
    { 0x5033, "is_hero" },
    { 0x5034, "is_hidden_from_heli" },
    { 0x5035, "is_holding" },
    { 0x5036, "is_hovertank_weapon" },
    { 0x5037, "is_hyena" },
    { 0x5038, "is_in_array" },
    { 0x5039, "is_in_callable_location" },
    { 0x503A, "is_in_force_vol" },
    { 0x503B, "is_in_lockon_bounds" },
    { 0x503C, "is_in_thermal_vision" },
    { 0x503D, "is_indoor_map" },
    { 0x503E, "is_inside_radius_of_closest_point_of_segment" },
    { 0x503F, "is_inside_valid_location_trigger" },
    { 0x5040, "is_invulnerable_from_ai" },
    { 0x5041, "is_jumping" },
    { 0x5042, "is_land_assist_activated" },
    { 0x5043, "is_lane_start_node" },
    { 0x5044, "is_later_in_alphabet" },
    { 0x5045, "is_lethal_equipment" },
    { 0x5046, "is_light_entity" },
    { 0x5047, "is_linked" },
    { 0x5048, "is_linked_to_pod" },
    { 0x5049, "is_linked_to_ship" },
    { 0x504A, "is_locked" },
    { 0x504B, "is_looping" },
    { 0x504C, "is_lowered" },
    { 0x504D, "is_maxed_momentum" },
    { 0x504E, "is_minion" },
    { 0x504F, "is_mobile_cover" },
    { 0x5050, "is_moving" },
    { 0x5051, "is_neighboring_lane_clear" },
    { 0x5052, "is_new_weapon" },
    { 0x5053, "is_no_game_start" },
    { 0x5054, "is_node_script_origin" },
    { 0x5055, "is_node_script_struct" },
    { 0x5056, "is_objective" },
    { 0x5057, "is_occupied" },
    { 0x5058, "is_on_target" },
    { 0x5059, "is_overrode" },
    { 0x505A, "is_pair_a_closer_than_pair_b" },
    { 0x505B, "is_pdrone" },
    { 0x505C, "is_phrase_in_history" },
    { 0x505D, "is_player_cloaked" },
    { 0x505E, "is_player_controlled" },
    { 0x505F, "is_player_down" },
    { 0x5060, "is_player_down_and_out" },
    { 0x5061, "is_player_gamepad_enabled" },
    { 0x5062, "is_player_in_rocket_blast" },
    { 0x5063, "is_player_looking_at" },
    { 0x5064, "is_player_near_burke" },
    { 0x5065, "is_player_near_burke_or_flag" },
    { 0x5066, "is_player_touching_median_trigger" },
    { 0x5067, "is_player_underwater" },
    { 0x5068, "is_player_using_laser" },
    { 0x5069, "is_playing" },
    { 0x506A, "is_playing_scripted_anim" },
    { 0x506B, "is_position_in_group" },
    { 0x506C, "is_precalculated_entrance" },
    { 0x506D, "is_prepping" },
    { 0x506E, "is_protecting_flag" },
    { 0x506F, "is_pyramid_spawner" },
    { 0x5070, "is_reacting" },
    { 0x5071, "is_real_vehicle" },
    { 0x5072, "is_really_throwing_grenade" },
    { 0x5073, "is_really_throwing_grenade_rising_edge_time" },
    { 0x5074, "is_rider" },
    { 0x5075, "is_roomtype_valid" },
    { 0x5076, "is_score_a_greater_than_b" },
    { 0x5077, "is_scraping" },
    { 0x5078, "is_script_vehicle_selfremove" },
    { 0x5079, "is_shield_up_state" },
    { 0x507A, "is_shoot_button_pressed" },
    { 0x507B, "is_shotgun_damage" },
    { 0x507C, "is_shown_to_player" },
    { 0x507D, "is_so" },
    { 0x507E, "is_sonar_vision_allowed" },
    { 0x507F, "is_sonar_vision_on" },
    { 0x5080, "is_specialop" },
    { 0x5081, "is_speed_target_just_reached" },
    { 0x5082, "is_stopping" },
    { 0x5083, "is_string_a_number" },
    { 0x5084, "is_survival" },
    { 0x5085, "is_swimming" },
    { 0x5086, "is_switching" },
    { 0x5087, "is_the_player" },
    { 0x5088, "is_traffic_ent" },
    { 0x5089, "is_transition" },
    { 0x508A, "is_transition_to_both" },
    { 0x508B, "is_transition_to_left" },
    { 0x508C, "is_transition_to_no" },
    { 0x508D, "is_transition_to_right" },
    { 0x508E, "is_trigger_once" },
    { 0x508F, "is_true" },
    { 0x5090, "is_turret" },
    { 0x5091, "is_turret_accelerating" },
    { 0x5092, "is_turret_rotating" },
    { 0x5093, "is_unstorable_weapon" },
    { 0x5094, "is_using_boost" },
    { 0x5095, "is_using_model_memory_sharing" },
    { 0x5096, "is_using_zipline" },
    { 0x5097, "is_valid_clientside_exploder_name" },
    { 0x5098, "is_valid_damagetype" },
    { 0x5099, "is_valid_non_human_paint_target" },
    { 0x509A, "is_valid_target" },
    { 0x509B, "is_vector" },
    { 0x509C, "is_viable_lock_target" },
    { 0x509D, "is_walkdist_override" },
    { 0x509E, "is_walking" },
    { 0x509F, "is_weak_melee_weapon" },
    { 0x50A0, "is_xslice" },
    { 0x50A1, "is360" },
    { 0x50A2, "isabovewaterline" },
    { 0x50A3, "isactive" },
    { 0x50A4, "isactivekillstreakwaterrestricted" },
    { 0x50A5, "isadestructable" },
    { 0x50A6, "isads" },
    { 0x50A7, "isadsenabled" },
    { 0x50A8, "isagent" },
    { 0x50A9, "isaifunc" },
    { 0x50AA, "isaigameparticipant" },
    { 0x50AB, "isairdenied" },
    { 0x50AC, "isairdropmarker" },
    { 0x50AD, "isairplane" },
    { 0x50AE, "isaiteamparticipant" },
    { 0x50AF, "isalerted" },
    { 0x50B0, "isalliedcountryid" },
    { 0x50B1, "isalliesline" },
    { 0x50B2, "isallteamstreak" },
    { 0x50B3, "isaltmodeweapon" },
    { 0x50B4, "isanimblocked" },
    { 0x50B5, "isanimdeltaingoal" },
    { 0x50B6, "isanimloop" },
    { 0x50B7, "isanimloop_animname" },
    { 0x50B8, "isarena" },
    { 0x50B9, "isatbrinkofdeath" },
    { 0x50BA, "isattachment" },
    { 0x50BB, "isattachmentsniperscopedefault" },
    { 0x50BC, "isattachmentsniperscopedefaulttokenized" },
    { 0x50BD, "isattachmentunlocked" },
    { 0x50BE, "isattackervalid" },
    { 0x50BF, "isattackerwithindist" },
    { 0x50C0, "isattacking" },
    { 0x50C1, "isaugmentedgamemode" },
    { 0x50C2, "isbackstabevent" },
    { 0x50C3, "isbadequipment" },
    { 0x50C4, "isbeinggrappled" },
    { 0x50C5, "isbombcarrier" },
    { 0x50C6, "isbombsiteweapon" },
    { 0x50C7, "isboostingabovetriggerradius" },
    { 0x50C8, "isbreaching" },
    { 0x50C9, "isbuffequippedonweapon" },
    { 0x50CA, "isbulletdamage" },
    { 0x50CB, "isbulletweapon" },
    { 0x50CC, "isbuoy" },
    { 0x50CD, "isbuzzkillevent" },
    { 0x50CE, "iscacprimaryweapon" },
    { 0x50CF, "iscacsecondaryweapon" },
    { 0x50D0, "iscallouttypeconcat" },
    { 0x50D1, "iscallouttypeqa" },
    { 0x50D2, "iscallouttypereport" },
    { 0x50D3, "iscamounlocked" },
    { 0x50D4, "iscapturingcrate" },
    { 0x50D5, "iscaralive" },
    { 0x50D6, "iscarepackageinposteventgeo" },
    { 0x50D7, "iscarrying" },
    { 0x50D8, "iscarryingturrethead" },
    { 0x50D9, "iscarrykillstreak" },
    { 0x50DA, "ischallengeunlocked" },
    { 0x50DB, "ischangingweapon" },
    { 0x50DC, "ischeap" },
    { 0x50DD, "ischeapshieldenabled" },
    { 0x50DE, "iscivflashed" },
    { 0x50DF, "iscivilianflashed" },
    { 0x50E0, "iscombatpathnode" },
    { 0x50E1, "iscombatscriptnode" },
    { 0x50E2, "iscontested" },
    { 0x50E3, "iscontrollingdrone" },
    { 0x50E4, "iscontrollingwarbird" },
    { 0x50E5, "iscooked" },
    { 0x50E6, "iscqbwalking" },
    { 0x50E7, "iscqbwalkingorfacingenemy" },
    { 0x50E8, "iscrashing" },
    { 0x50E9, "iscrawldeltaallowed" },
    { 0x50EA, "iscrawling" },
    { 0x50EB, "iscustomanimating" },
    { 0x50EC, "isdefusing" },
    { 0x50ED, "isdeltaallowed" },
    { 0x50EE, "isdeserteagle" },
    { 0x50EF, "isdestructible" },
    { 0x50F0, "isdestructibleweapon" },
    { 0x50F1, "isdoingpain" },
    { 0x50F2, "isdoingsplash" },
    { 0x50F3, "isdoingtraversal" },
    { 0x50F4, "isdronevehiclealive" },
    { 0x50F5, "isdropping" },
    { 0x50F6, "isemped" },
    { 0x50F7, "isempedbykillstreak" },
    { 0x50F8, "isempgrenaded" },
    { 0x50F9, "isenemy" },
    { 0x50FA, "isenemyvisiblefromexposed" },
    { 0x50FB, "isenvironmentweapon" },
    { 0x50FC, "isevent1highpriority" },
    { 0x50FD, "isexcluded" },
    { 0x50FE, "isexoxmg" },
    { 0x50FF, "isexplosivedangeroustoplayer" },
    { 0x5100, "isexposed" },
    { 0x5101, "isfastheal" },
    { 0x5102, "isfiltered" },
    { 0x5103, "isfirstround" },
    { 0x5104, "isflashbanged" },
    { 0x5105, "isflashed" },
    { 0x5106, "isflashing" },
    { 0x5107, "isfloat" },
    { 0x5108, "isflyingkillstreak" },
    { 0x5109, "isfmjdamage" },
    { 0x510A, "isforward" },
    { 0x510B, "isfriendlyfire" },
    { 0x510C, "isfriendlyteam" },
    { 0x510D, "isfriendlytosentry" },
    { 0x510E, "isgamemodeclass" },
    { 0x510F, "isgameparticipant" },
    { 0x5110, "isgimme" },
    { 0x5111, "isgrenade" },
    { 0x5112, "isgroundfoam" },
    { 0x5113, "ishardwrireprotected" },
    { 0x5114, "isheadshot" },
    { 0x5115, "ishelicopter" },
    { 0x5116, "ishidden" },
    { 0x5117, "ishighestscoringplayer" },
    { 0x5118, "isholdinggrenade" },
    { 0x5119, "ishome" },
    { 0x511A, "ishorde" },
    { 0x511B, "ishordedrone" },
    { 0x511C, "ishordeenemysentry" },
    { 0x511D, "isinarray" },
    { 0x511E, "isinbound" },
    { 0x511F, "isinbound_single" },
    { 0x5120, "isinboundingspere" },
    { 0x5121, "isincombat" },
    { 0x5122, "isincontact" },
    { 0x5123, "isindoor" },
    { 0x5124, "isingas" },
    { 0x5125, "isinitialinfected" },
    { 0x5126, "isinkillcam" },
    { 0x5127, "isinrange" },
    { 0x5128, "isinremotetransition" },
    { 0x5129, "isinset" },
    { 0x512A, "isinsonicstun" },
    { 0x512B, "isinturret" },
    { 0x512C, "isinunlocktable" },
    { 0x512D, "isinventoryweapon" },
    { 0x512E, "isjuggernaut" },
    { 0x512F, "isjuggernautdef" },
    { 0x5130, "isjuggernautgl" },
    { 0x5131, "isjuggernautmaniac" },
    { 0x5132, "isjuggernautrecon" },
    { 0x5133, "isjuggmodejuggernaut" },
    { 0x5134, "isjuiced" },
    { 0x5135, "iskillstreakaffectedbyemp" },
    { 0x5136, "iskillstreakaffectedbyjammer" },
    { 0x5137, "iskillstreakchallenge" },
    { 0x5138, "iskillstreakdenied" },
    { 0x5139, "iskillstreaktimerrunning" },
    { 0x513A, "iskillstreakweapon" },
    { 0x513B, "islagostraversesetting" },
    { 0x513C, "islastnode" },
    { 0x513D, "islastplayeralive" },
    { 0x513E, "islastround" },
    { 0x513F, "isleaderboard" },
    { 0x5140, "isleaderboardentry" },
    { 0x5141, "isleaderboardscreen" },
    { 0x5142, "isleaderboardscreenrow" },
    { 0x5143, "isleaving" },
    { 0x5144, "islightflickering" },
    { 0x5145, "islightflickerpaused" },
    { 0x5146, "islockedonto" },
    { 0x5147, "islongrangeai" },
    { 0x5148, "islongshot" },
    { 0x5149, "islookingatorigin" },
    { 0x514A, "islootweapon" },
    { 0x514B, "islowthrowsafe" },
    { 0x514C, "ismahem" },
    { 0x514D, "ismeleemod" },
    { 0x514E, "ismembersaying" },
    { 0x514F, "ismetalsurface" },
    { 0x5150, "ismlgmatch" },
    { 0x5151, "ismlgprivatematch" },
    { 0x5152, "ismlgsplitscreen" },
    { 0x5153, "ismlgsystemlink" },
    { 0x5154, "ismoving" },
    { 0x5155, "isneargrenade" },
    { 0x5156, "isnewattacker" },
    { 0x5157, "isnodecover3d" },
    { 0x5158, "isnodecoverleft" },
    { 0x5159, "isnodecovermulticorner" },
    { 0x515A, "isnodecoverorconceal" },
    { 0x515B, "isnodecoverright" },
    { 0x515C, "isnuked" },
    { 0x515D, "isobjectivebased" },
    { 0x515E, "isobjectiveround" },
    { 0x515F, "isoffhandweapon" },
    { 0x5160, "isoffhandweaponenabled" },
    { 0x5161, "isofficer" },
    { 0x5162, "isonemanarmymenu" },
    { 0x5163, "isoneshotkill" },
    { 0x5164, "isonhumanteam" },
    { 0x5165, "isonhumanteamorspectator" },
    { 0x5166, "isorbitalcam" },
    { 0x5167, "isorigintouchingvol" },
    { 0x5168, "isoutofbounds" },
    { 0x5169, "isovertimetext" },
    { 0x516A, "ispainted" },
    { 0x516B, "ispartiallysuppressedwrapper" },
    { 0x516C, "ispathclear" },
    { 0x516D, "ispathdataavailable" },
    { 0x516E, "ispeekoutposclear" },
    { 0x516F, "isperformingmaneuver" },
    { 0x5170, "isplaced" },
    { 0x5171, "isplanting" },
    { 0x5172, "isplayer" },
    { 0x5173, "isplayerffaenemy" },
    { 0x5174, "isplayerincombat" },
    { 0x5175, "isplayerinlaststand" },
    { 0x5176, "isplayernearlocation" },
    { 0x5177, "isplayeronenemyteam" },
    { 0x5178, "isplayeroutsideofanybombsite" },
    { 0x5179, "isplayertimer" },
    { 0x517A, "isplayerweapon" },
    { 0x517B, "ispodrocket" },
    { 0x517C, "ispointascoredhigherthanb" },
    { 0x517D, "ispointblank" },
    { 0x517E, "ispossessed" },
    { 0x517F, "ispregameplaylevel" },
    { 0x5180, "ispresident" },
    { 0x5181, "isprimary" },
    { 0x5182, "isprimaryweapon" },
    { 0x5183, "isprotectedbyriotshield" },
    { 0x5184, "isrambo" },
    { 0x5185, "israndom" },
    { 0x5186, "isreallyalive" },
    { 0x5187, "isregisteredevent" },
    { 0x5188, "isrelativeteam" },
    { 0x5189, "isreloading" },
    { 0x518A, "isreserved" },
    { 0x518B, "isresetting" },
    { 0x518C, "isresuce" },
    { 0x518D, "isreviving" },
    { 0x518E, "isridekillstreak" },
    { 0x518F, "isriotshield" },
    { 0x5190, "isrocketcorpse" },
    { 0x5191, "isroundbased" },
    { 0x5192, "isrpd" },
    { 0x5193, "isrunningarmorycommand" },
    { 0x5194, "isrunningweapongive" },
    { 0x5195, "issac3" },
    { 0x5196, "issafetospawnon" },
    { 0x5197, "isscoreboosting" },
    { 0x5198, "isseeking" },
    { 0x5199, "issentry" },
    { 0x519A, "issentrygun" },
    { 0x519B, "issetup" },
    { 0x519C, "isshocked" },
    { 0x519D, "isshooting" },
    { 0x519E, "isshootingrockets" },
    { 0x519F, "isshotdelayed" },
    { 0x51A0, "isshotgun" },
    { 0x51A1, "isshotgunai" },
    { 0x51A2, "isshown" },
    { 0x51A3, "isshuttingdown" },
    { 0x51A4, "issidearm" },
    { 0x51A5, "issiliding" },
    { 0x51A6, "issingleshot" },
    { 0x51A7, "issliding" },
    { 0x51A8, "issniper" },
    { 0x51A9, "issniperrifle" },
    { 0x51AA, "issoringevent" },
    { 0x51AB, "issp" },
    { 0x51AC, "issp_towerdefense" },
    { 0x51AD, "isspaceai" },
    { 0x51AE, "isspawningonbattlebuddy" },
    { 0x51AF, "isspeakerinrange" },
    { 0x51B0, "isspeaking" },
    { 0x51B1, "isspeakingfailsafe" },
    { 0x51B2, "isspectator" },
    { 0x51B3, "issquad" },
    { 0x51B4, "isstack" },
    { 0x51B5, "isstanceallowedwrapper" },
    { 0x51B6, "isstationary" },
    { 0x51B7, "isstrstart" },
    { 0x51B8, "isstuck" },
    { 0x51B9, "isstucktofriendly" },
    { 0x51BA, "issue_color_order_to_ai" },
    { 0x51BB, "issue_color_orders" },
    { 0x51BC, "issue_color_orders_generic" },
    { 0x51BD, "issue_leave_node_order_to_ai_and_get_ai" },
    { 0x51BE, "issuffix" },
    { 0x51BF, "issupportstreak" },
    { 0x51C0, "issuppressedwrapper" },
    { 0x51C1, "isswimming" },
    { 0x51C2, "isswitchingteams" },
    { 0x51C3, "issystemhacked" },
    { 0x51C4, "istactical" },
    { 0x51C5, "istakingdamage" },
    { 0x51C6, "istank" },
    { 0x51C7, "istatechange" },
    { 0x51C8, "isteam" },
    { 0x51C9, "isteaminlaststand" },
    { 0x51CA, "isteamintelcomplete" },
    { 0x51CB, "isteamparticipant" },
    { 0x51CC, "isteamsaying" },
    { 0x51CD, "isteamspeaking" },
    { 0x51CE, "isteamswitchbalanced" },
    { 0x51CF, "isthinkfast" },
    { 0x51D0, "isthinkfastweapon" },
    { 0x51D1, "isthreatenedbyenemy" },
    { 0x51D2, "isthrowbackevent" },
    { 0x51D3, "istimelimitedchallenge" },
    { 0x51D4, "istouchingbadtrigger" },
    { 0x51D5, "istouchingwater" },
    { 0x51D6, "istrap" },
    { 0x51D7, "istraversing" },
    { 0x51D8, "istryingtousekillstreakslot" },
    { 0x51D9, "isturretenergyweapon" },
    { 0x51DA, "isundefined" },
    { 0x51DB, "isunstableground" },
    { 0x51DC, "isup" },
    { 0x51DD, "isurgentwalk" },
    { 0x51DE, "isusabilityenabled" },
    { 0x51DF, "isused" },
    { 0x51E0, "isusingremote" },
    { 0x51E1, "isusingsamevoice" },
    { 0x51E2, "isvalidattachment" },
    { 0x51E3, "isvalidbattlebuddy" },
    { 0x51E4, "isvalidcamo" },
    { 0x51E5, "isvalidclass" },
    { 0x51E6, "isvaliddamagecause" },
    { 0x51E7, "isvalidequipment" },
    { 0x51E8, "isvalidevent" },
    { 0x51E9, "isvalidffatarget" },
    { 0x51EA, "isvalidfoamspace" },
    { 0x51EB, "isvalidkillstreak" },
    { 0x51EC, "isvalidlastweapon" },
    { 0x51ED, "isvalidmovespeedscaleweapon" },
    { 0x51EE, "isvalidnonshieldweapon" },
    { 0x51EF, "isvalidoffhand" },
    { 0x51F0, "isvalidprimary" },
    { 0x51F1, "isvalidreticle" },
    { 0x51F2, "isvalidsecondary" },
    { 0x51F3, "isvalidsoundcause" },
    { 0x51F4, "isvalidspawn" },
    { 0x51F5, "isvalidstreakplayer" },
    { 0x51F6, "isvalidteamtarget" },
    { 0x51F7, "isvalidtispawnposition" },
    { 0x51F8, "isvalidunderwaterweapon" },
    { 0x51F9, "isvalidweapon" },
    { 0x51FA, "isvehicle" },
    { 0x51FB, "isvehiclealive" },
    { 0x51FC, "isvehicleattached" },
    { 0x51FD, "isvehiclekilltrigger" },
    { 0x51FE, "iswading" },
    { 0x51FF, "iswarbird" },
    { 0x5200, "iswatersurface" },
    { 0x5201, "isweaponallowedingrenadegraceperiod" },
    { 0x5202, "isweaponchallenge" },
    { 0x5203, "isweaponclasschallenge" },
    { 0x5204, "isweaponenabled" },
    { 0x5205, "isweaponinitialized" },
    { 0x5206, "isweaponswitchenabled" },
    { 0x5207, "iswinner" },
    { 0x5208, "iswithinattackheight" },
    { 0x5209, "itemremoveammofromaltmodes" },
    { 0x520A, "itiot_dialogue" },
    { 0x520B, "itiot_fade_in" },
    { 0x520C, "itiot_fade_out" },
    { 0x520D, "itiot_logic" },
    { 0x520E, "jackson" },
    { 0x520F, "jackson_dodge_drones" },
    { 0x5210, "jackson_intro" },
    { 0x5211, "jammer_1_defenders_logic" },
    { 0x5212, "jammer_1_nag_lines" },
    { 0x5213, "jammer_2_nag_lines" },
    { 0x5214, "jammer_3_drones" },
    { 0x5215, "jammer_3_navy_drone_combat" },
    { 0x5216, "jammer_3_navy_drone_drones_setup" },
    { 0x5217, "jammer_3_navy_drone_guy_setup" },
    { 0x5218, "jammer_3_navy_guys" },
    { 0x5219, "jammer_3_remove_from_array_when_dead" },
    { 0x521A, "jammer_3_shrike_flyby" },
    { 0x521B, "jammer_enemies_hint" },
    { 0x521C, "jammer_enemies_spawn" },
    { 0x521D, "jammer_enemy_1_think" },
    { 0x521E, "jammer_enemy_2_think" },
    { 0x521F, "jammer_guards" },
    { 0x5220, "jammer_objective" },
    { 0x5221, "jammer_plant" },
    { 0x5222, "jammer_think" },
    { 0x5223, "javelin_dof" },
    { 0x5224, "jeeprideplayerarms" },
    { 0x5225, "jeeprideplayerlinktag" },
    { 0x5226, "jet_badplace" },
    { 0x5227, "jet_boom" },
    { 0x5228, "jet_crash_move" },
    { 0x5229, "jet_crash_path" },
    { 0x522A, "jet_crash_points" },
    { 0x522B, "jet_engine_fx" },
    { 0x522C, "jet_fire_guns" },
    { 0x522D, "jet_flash_fx_blink" },
    { 0x522E, "jet_flash_fx_green" },
    { 0x522F, "jet_flash_fx_red" },
    { 0x5230, "jet_flight_time" },
    { 0x5231, "jet_fly_vec" },
    { 0x5232, "jet_flyby" },
    { 0x5233, "jet_flyto" },
    { 0x5234, "jet_init" },
    { 0x5235, "jet_launch_missile" },
    { 0x5236, "jet_moment" },
    { 0x5237, "jet_parts" },
    { 0x5238, "jet_planesound" },
    { 0x5239, "jet_reset" },
    { 0x523A, "jet_shake" },
    { 0x523B, "jet_shakes" },
    { 0x523C, "jet_shoot_gun" },
    { 0x523D, "jet_shoot_missile_cbdr" },
    { 0x523E, "jet_spawn_loop" },
    { 0x523F, "jet_timer" },
    { 0x5240, "jet_wait_boom" },
    { 0x5241, "jet_wait_fire_missile" },
    { 0x5242, "jet_wait_start_firing" },
    { 0x5243, "jet_wait_stop_firing" },
    { 0x5244, "jetbike" },
    { 0x5245, "jetbike_allow_player_use" },
    { 0x5246, "jetbike_allow_player_use_detroit" },
    { 0x5247, "jetbike_allow_player_use_internal" },
    { 0x5248, "jetbike_anims_initialized" },
    { 0x5249, "jetbike_audio" },
    { 0x524A, "jetbike_blend_out_fake_speed" },
    { 0x524B, "jetbike_collision_hit_func" },
    { 0x524C, "jetbike_condition_callback_to_state_destruct" },
    { 0x524D, "jetbike_condition_callback_to_state_distant" },
    { 0x524E, "jetbike_condition_callback_to_state_flyby" },
    { 0x524F, "jetbike_condition_callback_to_state_flying" },
    { 0x5250, "jetbike_condition_callback_to_state_flyover" },
    { 0x5251, "jetbike_condition_callback_to_state_hover" },
    { 0x5252, "jetbike_condition_callback_to_state_off" },
    { 0x5253, "jetbike_condition_callback_to_state_starting" },
    { 0x5254, "jetbike_constructor" },
    { 0x5255, "jetbike_dismount_red_light" },
    { 0x5256, "jetbike_dismount_riding_player" },
    { 0x5257, "jetbike_exit_pre_mount_lighting" },
    { 0x5258, "jetbike_exitdrive_bones" },
    { 0x5259, "jetbike_exitdrive_burke" },
    { 0x525A, "jetbike_exitdrive_door" },
    { 0x525B, "jetbike_exitdrive_fov_changes" },
    { 0x525C, "jetbike_exitdrive_joker_and_doctor" },
    { 0x525D, "jetbike_exitdrive_player" },
    { 0x525E, "jetbike_handle_fake_speed" },
    { 0x525F, "jetbike_handle_viewmodel_anims" },
    { 0x5260, "jetbike_hit_cliff" },
    { 0x5261, "jetbike_hit_landing" },
    { 0x5262, "jetbike_hit_ramp" },
    { 0x5263, "jetbike_intro" },
    { 0x5264, "jetbike_intro_hover_npc_bikes" },
    { 0x5265, "jetbike_intro_hover_player_bike" },
    { 0x5266, "jetbike_is_trailing" },
    { 0x5267, "jetbike_landing_finished" },
    { 0x5268, "jetbike_npc_load" },
    { 0x5269, "jetbike_obj" },
    { 0x526A, "jetbike_physics" },
    { 0x526B, "jetbike_player_think" },
    { 0x526C, "jetbike_set_viewmodel_state" },
    { 0x526D, "jetbike_snd_messages" },
    { 0x526E, "jetbike_soft_landing" },
    { 0x526F, "jetbike_speedometer_off" },
    { 0x5270, "jetbike_speedometer_on" },
    { 0x5271, "jetbike_speedometer_on_thread" },
    { 0x5272, "jetbike_speedometer_think" },
    { 0x5273, "jetbike_start_hovering" },
    { 0x5274, "jetbike_start_hovering_now" },
    { 0x5275, "jetbike_stop_hovering" },
    { 0x5276, "jetbike_stop_hovering_now" },
    { 0x5277, "jetbike_stop_player_think" },
    { 0x5278, "jetbike_stop_player_use" },
    { 0x5279, "jetbike_thrust_fx" },
    { 0x527A, "jetbike_thrust_fx_internal" },
    { 0x527B, "jetbike_too_slow" },
    { 0x527C, "jetbike_tread_fx" },
    { 0x527D, "jetbikes_arrive_at_school" },
    { 0x527E, "jethud" },
    { 0x527F, "jetpack_fly_input_monitor" },
    { 0x5280, "jetpack_fly_play_anims" },
    { 0x5281, "jetpack_fly_setup" },
    { 0x5282, "jets" },
    { 0x5283, "jkuline" },
    { 0x5284, "jkupoint" },
    { 0x5285, "jkuprint" },
    { 0x5286, "jkuprint3dattached" },
    { 0x5287, "joined" },
    { 0x5288, "joinedvo" },
    { 0x5289, "joining_team" },
    { 0x528A, "jointext" },
    { 0x528B, "joker" },
    { 0x528C, "joker_advance_hospital" },
    { 0x528D, "joker_bike" },
    { 0x528E, "joker_bike_idle_wait" },
    { 0x528F, "joker_bones_bike_start" },
    { 0x5290, "joker_dismount" },
    { 0x5291, "joker_fence" },
    { 0x5292, "joker_gate_jtbk_land" },
    { 0x5293, "joker_gate_jtbk_lift" },
    { 0x5294, "joker_onbike" },
    { 0x5295, "joker_red_arm_light_checkpoint" },
    { 0x5296, "joker_sentinel_kva_reveal" },
    { 0x5297, "jugg" },
    { 0x5298, "juggernatudefmod" },
    { 0x5299, "juggernaut" },
    { 0x529A, "juggernaut_hunt_immediately_behavior" },
    { 0x529B, "juggernaut_initialized" },
    { 0x529C, "juggernaut_next_alert_time" },
    { 0x529D, "juggernaut_sound_when_player_close" },
    { 0x529E, "juggernautallies" },
    { 0x529F, "juggernautattachments" },
    { 0x52A0, "juggernautaxis" },
    { 0x52A1, "juggernautmod" },
    { 0x52A2, "juggernautmodifydamage" },
    { 0x52A3, "juggernautoverlay" },
    { 0x52A4, "juggernautsounds" },
    { 0x52A5, "juggernautsuicide" },
    { 0x52A6, "juggernautweak" },
    { 0x52A7, "juggmovespeedscaler" },
    { 0x52A8, "juggremoveongameended" },
    { 0x52A9, "juggremover" },
    { 0x52AA, "juggsettings" },
    { 0x52AB, "juggtype" },
    { 0x52AC, "juicedicon" },
    { 0x52AD, "juicedtimer" },
    { 0x52AE, "jump_across_112_over_32" },
    { 0x52AF, "jump_anim_with_gravity" },
    { 0x52B0, "jump_animstring" },
    { 0x52B1, "jump_complete" },
    { 0x52B2, "jump_direction_is_valid" },
    { 0x52B3, "jump_down_now" },
    { 0x52B4, "jump_down_when_in_view" },
    { 0x52B5, "jump_down_when_in_view_cormack" },
    { 0x52B6, "jump_reach_status" },
    { 0x52B7, "jump_scene_think" },
    { 0x52B8, "jump_sound" },
    { 0x52B9, "jump_state" },
    { 0x52BA, "jump_target" },
    { 0x52BB, "jump_through_window_human" },
    { 0x52BC, "jump_to_mag_direction_is_valid" },
    { 0x52BD, "jump_training_hint" },
    { 0x52BE, "jump_training_vo_think" },
    { 0x52BF, "jump_type_select" },
    { 0x52C0, "jumpbuttonbuffer" },
    { 0x52C1, "jumpdown_130_human" },
    { 0x52C2, "jumpdown_224" },
    { 0x52C3, "jumper_clip_1" },
    { 0x52C4, "jumper_clip_2" },
    { 0x52C5, "jumping_rig" },
    { 0x52C6, "jumping_take_down" },
    { 0x52C7, "jumpintowater" },
    { 0x52C8, "jumpstatelistener" },
    { 0x52C9, "justconvertedoneshot" },
    { 0x52CA, "justswitchedtokillstreakweapon" },
    { 0x52CB, "kamikaze" },
    { 0x52CC, "kamikaze_drone_explo" },
    { 0x52CD, "kamikaze_drone_get_target_origin" },
    { 0x52CE, "kamikaze_new_style" },
    { 0x52CF, "kamikaze_shooter" },
    { 0x52D0, "kb_locked" },
    { 0x52D1, "kc_randomspawntext" },
    { 0x52D2, "kc_teamspawntext" },
    { 0x52D3, "keep_active_distance_text" },
    { 0x52D4, "keep_filling_clip_ammo" },
    { 0x52D5, "keep_gunner_oriented_with_turret" },
    { 0x52D6, "keep_primary" },
    { 0x52D7, "keep_stair_override" },
    { 0x52D8, "keep_up_with_burke" },
    { 0x52D9, "keepcarryweapon" },
    { 0x52DA, "keepemptimeremaining" },
    { 0x52DB, "keepiconpositioned" },
    { 0x52DC, "keepnukeemptimeremaining" },
    { 0x52DD, "keeppositioned" },
    { 0x52DE, "keepprogress" },
    { 0x52DF, "keeppursuingtargetradiussq" },
    { 0x52E0, "keeptryingtomelee" },
    { 0x52E1, "keepweapons" },
    { 0x52E2, "key_hint_print" },
    { 0x52E3, "keycard" },
    { 0x52E4, "keyobject" },
    { 0x52E5, "kick_door" },
    { 0x52E6, "kick_in_duration" },
    { 0x52E7, "kick_off_snipers_dead1_specific" },
    { 0x52E8, "kick_off_snipers_dead2_specific" },
    { 0x52E9, "kick_off_snipers_dead3_specific" },
    { 0x52EA, "kick_out_duration" },
    { 0x52EB, "kick_player_timeout" },
    { 0x52EC, "kickifdontspawn" },
    { 0x52ED, "kickoff_modify" },
    { 0x52EE, "kickoff_notify" },
    { 0x52EF, "kickoff_sniper_combat" },
    { 0x52F0, "kickwait" },
    { 0x52F1, "kid" },
    { 0x52F2, "kill_after_timeout" },
    { 0x52F3, "kill_all_env_fx" },
    { 0x52F4, "kill_all_inside_guys_now" },
    { 0x52F5, "kill_all_players_trigger" },
    { 0x52F6, "kill_all_streetfighters" },
    { 0x52F7, "kill_and_delete" },
    { 0x52F8, "kill_badplace" },
    { 0x52F9, "kill_before_water" },
    { 0x52FA, "kill_bridge_copcar_light" },
    { 0x52FB, "kill_bridge_fog" },
    { 0x52FC, "kill_clipping_enemy" },
    { 0x52FD, "kill_color_replacements" },
    { 0x52FE, "kill_controllable_drone_swarm" },
    { 0x52FF, "kill_counts" },
    { 0x5300, "kill_damage" },
    { 0x5301, "kill_death_anim_thread" },
    { 0x5302, "kill_death_anim_thread_picked" },
    { 0x5303, "kill_deathflag" },
    { 0x5304, "kill_deathflag_proc" },
    { 0x5305, "kill_enemies" },
    { 0x5306, "kill_exploder" },
    { 0x5307, "kill_exterior_vfx" },
    { 0x5308, "kill_flashlight_fx" },
    { 0x5309, "kill_flicker_when_damaged" },
    { 0x530A, "kill_fog_on_hill" },
    { 0x530B, "kill_fx" },
    { 0x530C, "kill_fx_attached_to_chain" },
    { 0x530D, "kill_fx_by_view_think" },
    { 0x530E, "kill_fx_on_chain" },
    { 0x530F, "kill_fx_thread" },
    { 0x5310, "kill_fx_with_handle" },
    { 0x5311, "kill_fx_with_handle_on_death" },
    { 0x5312, "kill_fx_with_handle_on_death_internal" },
    { 0x5313, "kill_gideon_bubble_trail" },
    { 0x5314, "kill_gideon_bubble_trail_cg" },
    { 0x5315, "kill_goals" },
    { 0x5316, "kill_heli_logic" },
    { 0x5317, "kill_intro_vfx" },
    { 0x5318, "kill_jolt" },
    { 0x5319, "kill_kamikaze_drones" },
    { 0x531A, "kill_kva_on_rope" },
    { 0x531B, "kill_last_sniper_guys" },
    { 0x531C, "kill_lights" },
    { 0x531D, "kill_local_units" },
    { 0x531E, "kill_looping_drone_camera_sounds" },
    { 0x531F, "kill_me" },
    { 0x5320, "kill_me_if_player_escapes" },
    { 0x5321, "kill_me_in_x_seconds" },
    { 0x5322, "kill_me_on_flag" },
    { 0x5323, "kill_me_on_notify" },
    { 0x5324, "kill_me_on_sentrev_cleanup" },
    { 0x5325, "kill_me_on_truck_pushover" },
    { 0x5326, "kill_no_react" },
    { 0x5327, "kill_npc_on_impact" },
    { 0x5328, "kill_objects" },
    { 0x5329, "kill_off_inside_guy" },
    { 0x532A, "kill_on_animend" },
    { 0x532B, "kill_on_damage" },
    { 0x532C, "kill_on_fastzip_jump" },
    { 0x532D, "kill_on_trigger" },
    { 0x532E, "kill_oneshot" },
    { 0x532F, "kill_path_on_death" },
    { 0x5330, "kill_player_if_move_ahead" },
    { 0x5331, "kill_player_under_log_execution" },
    { 0x5332, "kill_player_under_log_test" },
    { 0x5333, "kill_riders" },
    { 0x5334, "kill_s_flicker_jb" },
    { 0x5335, "kill_s_flicker_sh" },
    { 0x5336, "kill_spawner" },
    { 0x5337, "kill_spawnernum" },
    { 0x5338, "kill_spotlight" },
    { 0x5339, "kill_streak" },
    { 0x533A, "kill_target" },
    { 0x533B, "kill_trigger" },
    { 0x533C, "kill_trigger_array" },
    { 0x533D, "kill_vehicle_spawner" },
    { 0x533E, "kill_vol" },
    { 0x533F, "kill_when_player_close" },
    { 0x5340, "kill_when_player_not_looking" },
    { 0x5341, "kill_when_player_reaches_overhang" },
    { 0x5342, "kill_with_delay" },
    { 0x5343, "kill_wrapper" },
    { 0x5344, "killable_kamikazes" },
    { 0x5345, "killafterdodgeevent" },
    { 0x5346, "killagent" },
    { 0x5347, "killallallies" },
    { 0x5348, "killcam" },
    { 0x5349, "killcamcleanup" },
    { 0x534A, "killcament" },
    { 0x534B, "killcamentnum" },
    { 0x534C, "killcamlength" },
    { 0x534D, "killcamoffset" },
    { 0x534E, "killcamstartedtimedeciseconds" },
    { 0x534F, "killcamstarttime" },
    { 0x5350, "killcamtime" },
    { 0x5351, "killcamvalid" },
    { 0x5352, "killchemrackvfx" },
    { 0x5353, "killconfirmedevent" },
    { 0x5354, "killcount" },
    { 0x5355, "killdeathanimating" },
    { 0x5356, "killdeniedevent" },
    { 0x5357, "killdog" },
    { 0x5358, "killedaxis" },
    { 0x5359, "killedballcarrierevent" },
    { 0x535A, "killedbestenemyplayer" },
    { 0x535B, "killedby" },
    { 0x535C, "killedinuse" },
    { 0x535D, "killedplayer" },
    { 0x535E, "killedplayerevent" },
    { 0x535F, "killedplayers" },
    { 0x5360, "killedplayerscurrent" },
    { 0x5361, "killedself" },
    { 0x5362, "killentity" },
    { 0x5363, "killer_tracker" },
    { 0x5364, "killfishbubblesfx" },
    { 0x5365, "killflagcarrierevent" },
    { 0x5366, "killfloodspawnersonflag" },
    { 0x5367, "killfxontag_safe" },
    { 0x5368, "killidleanim" },
    { 0x5369, "killing_will_down" },
    { 0x536A, "killlights" },
    { 0x536B, "killmutefx" },
    { 0x536C, "killnowscore" },
    { 0x536D, "killobjectsunderwater" },
    { 0x536E, "killonbadpath" },
    { 0x536F, "killoverclockfx" },
    { 0x5370, "killpingfx" },
    { 0x5371, "killplayer" },
    { 0x5372, "killplayersincloud" },
    { 0x5373, "killplayersusingremotestreaks" },
    { 0x5374, "killrepulsorfx" },
    { 0x5375, "killsasinfected" },
    { 0x5376, "killself" },
    { 0x5377, "killshouldaddtokillstreak" },
    { 0x5378, "killsomecivilians" },
    { 0x5379, "killspawn_groups" },
    { 0x537A, "killspawner" },
    { 0x537B, "killssinceammodrop" },
    { 0x537C, "killssinceinteldrop" },
    { 0x537D, "killsthislife" },
    { 0x537E, "killstimfx" },
    { 0x537F, "killstreak_botcanuse" },
    { 0x5380, "killstreak_botfunc" },
    { 0x5381, "killstreak_botparm" },
    { 0x5382, "killstreak_duration" },
    { 0x5383, "killstreak_gimme_slot" },
    { 0x5384, "killstreak_global_bp_exists_for" },
    { 0x5385, "killstreak_info" },
    { 0x5386, "killstreak_inuse" },
    { 0x5387, "killstreak_laser_fxmode" },
    { 0x5388, "killstreak_slot_1" },
    { 0x5389, "killstreak_slot_2" },
    { 0x538A, "killstreak_slot_3" },
    { 0x538B, "killstreak_slot_4" },
    { 0x538C, "killstreak_stacking_start_slot" },
    { 0x538D, "killstreak_string_table" },
    { 0x538E, "killstreak_tank_groups" },
    { 0x538F, "killstreak_tanks" },
    { 0x5390, "killstreak_team" },
    { 0x5391, "killstreak1" },
    { 0x5392, "killstreak2" },
    { 0x5393, "killstreak3" },
    { 0x5394, "killstreak4" },
    { 0x5395, "killstreakcounter" },
    { 0x5396, "killstreakcratethink" },
    { 0x5397, "killstreakearned" },
    { 0x5398, "killstreakfuncs" },
    { 0x5399, "killstreakhit" },
    { 0x539A, "killstreakindexweapon" },
    { 0x539B, "killstreakjoinevent" },
    { 0x539C, "killstreakmines" },
    { 0x539D, "killstreakmodules" },
    { 0x539E, "killstreakrewards" },
    { 0x539F, "killstreakrounddelay" },
    { 0x53A0, "killstreaks" },
    { 0x53A1, "killstreaks_array" },
    { 0x53A2, "killstreakscaler" },
    { 0x53A3, "killstreaksdisabled" },
    { 0x53A4, "killstreaksetupfuncs" },
    { 0x53A5, "killstreakspawnshield" },
    { 0x53A6, "killstreaksplashnotify" },
    { 0x53A7, "killstreaktagevent" },
    { 0x53A8, "killstreaktype" },
    { 0x53A9, "killstreakusepressed" },
    { 0x53AA, "killstreakusewaiter" },
    { 0x53AB, "killstreakweildweapons" },
    { 0x53AC, "killstreakwieldweapons" },
    { 0x53AD, "killteaminlaststand" },
    { 0x53AE, "killtimer" },
    { 0x53AF, "killtrigger" },
    { 0x53B0, "killwarbirds" },
    { 0x53B1, "killwhilecapture" },
    { 0x53B2, "killwithballevent" },
    { 0x53B3, "killwithflagevent" },
    { 0x53B4, "killwrapper" },
    { 0x53B5, "killz" },
    { 0x53B6, "knee_l_org" },
    { 0x53B7, "knife" },
    { 0x53B8, "knife_attached" },
    { 0x53B9, "knife_guy_cleanup" },
    { 0x53BA, "knife_guy_stabs_player" },
    { 0x53BB, "knifedetach" },
    { 0x53BC, "knifeequip" },
    { 0x53BD, "knock_down_player_coop" },
    { 0x53BE, "knock_player_off_wall" },
    { 0x53BF, "knocked_to_oncoming_rumble" },
    { 0x53C0, "knockoutofads" },
    { 0x53C1, "knox" },
    { 0x53C2, "knox_arm_jerk" },
    { 0x53C3, "knox_death_scene" },
    { 0x53C4, "knox_death_start" },
    { 0x53C5, "knox_go_limp" },
    { 0x53C6, "knox_hand_grab" },
    { 0x53C7, "knox_move_to_breach_door" },
    { 0x53C8, "knox_pda" },
    { 0x53C9, "knox_pod" },
    { 0x53CA, "knox_post_breach_move" },
    { 0x53CB, "knox_rumble" },
    { 0x53CC, "knox_server_room_se" },
    { 0x53CD, "knox_server_room_se_peek" },
    { 0x53CE, "knuckledusters" },
    { 0x53CF, "knuckles_bloodsplosion" },
    { 0x53D0, "knuckles_left_fellout" },
    { 0x53D1, "knuckles_reenable_grapple" },
    { 0x53D2, "knuckles_right_fellout" },
    { 0x53D3, "knuckles_watch_dude_damage" },
    { 0x53D4, "ks_module_added_points_column" },
    { 0x53D5, "ks_module_killstreak_ref_column" },
    { 0x53D6, "ks_module_ref_column" },
    { 0x53D7, "ks_module_slot_column" },
    { 0x53D8, "ks_module_support_column" },
    { 0x53D9, "ks_modules_table" },
    { 0x53DA, "kt_time" },
    { 0x53DB, "kva" },
    { 0x53DC, "kva_1_dead" },
    { 0x53DD, "kva_2_dead" },
    { 0x53DE, "kva_ambush_last_group_reveal" },
    { 0x53DF, "kva_ar" },
    { 0x53E0, "kva_basement_guy" },
    { 0x53E1, "kva_basement_idle_start" },
    { 0x53E2, "kva_bathroom" },
    { 0x53E3, "kva_crawling" },
    { 0x53E4, "kva_dead_count" },
    { 0x53E5, "kva_death_impact_post" },
    { 0x53E6, "kva_fake_death_checker" },
    { 0x53E7, "kva_fake_death_checker_bloodfx" },
    { 0x53E8, "kva_gets_shot" },
    { 0x53E9, "kva_guard_beatup" },
    { 0x53EA, "kva_guard_corner" },
    { 0x53EB, "kva_guy1_footsteps" },
    { 0x53EC, "kva_guy1_gets_shot" },
    { 0x53ED, "kva_guy2_footsteps" },
    { 0x53EE, "kva_guy2_gets_shot" },
    { 0x53EF, "kva_guy3_footsteps" },
    { 0x53F0, "kva_guy3_gets_shot" },
    { 0x53F1, "kva_heavy" },
    { 0x53F2, "kva_hit_glass_impact" },
    { 0x53F3, "kva_hostage_beatup" },
    { 0x53F4, "kva_hostage_execution_array" },
    { 0x53F5, "kva_hostage_leader" },
    { 0x53F6, "kva_hostage_minister" },
    { 0x53F7, "kva_hostage_victim" },
    { 0x53F8, "kva_knife_takedown" },
    { 0x53F9, "kva_knife_takedown_scene_begin" },
    { 0x53FA, "kva_last_heavy" },
    { 0x53FB, "kva_opening_vo" },
    { 0x53FC, "kva_pickup_flip_and_skid" },
    { 0x53FD, "kva_pickup_hit_bus" },
    { 0x53FE, "kva_pickup_hit_divider_01" },
    { 0x53FF, "kva_pickup_hit_divider_03" },
    { 0x5400, "kva_pickup_hit_windshield" },
    { 0x5401, "kva_pickup_wheel_skid_ram" },
    { 0x5402, "kva_pm_guard" },
    { 0x5403, "kva_retreat_drone_think" },
    { 0x5404, "kva_retreat_drones_animated" },
    { 0x5405, "kva_sentinel_atlas_reveal_moment" },
    { 0x5406, "kva_shooter_s1" },
    { 0x5407, "kva_shooter_s2" },
    { 0x5408, "kva_show_timer" },
    { 0x5409, "kva_spot_player_durring_fall" },
    { 0x540A, "kva_truck" },
    { 0x540B, "kva1_sentinel_kva_reveal" },
    { 0x540C, "kva2_sentinel_kva_reveal" },
    { 0x540D, "kva3_sentinel_kva_reveal" },
    { 0x540E, "kvafollowtarget" },
    { 0x540F, "kvaguardanimations" },
    { 0x5410, "kvasafehouseguardarray" },
    { 0x5411, "kvashotgunners" },
    { 0x5412, "l" },
    { 0x5413, "lab" },
    { 0x5414, "lab_alarms" },
    { 0x5415, "lab_brk_illtakedriver" },
    { 0x5416, "lab_camera_light" },
    { 0x5417, "lab_climb_lighting" },
    { 0x5418, "lab_climb_rim_lighting_off" },
    { 0x5419, "lab_doorway_dyn_path" },
    { 0x541A, "lab_e3_end_logo" },
    { 0x541B, "lab_exfil_detonate_anims" },
    { 0x541C, "lab_exfil_missile_strike" },
    { 0x541D, "lab_exfil_wrist_panel" },
    { 0x541E, "lab_intro_screen" },
    { 0x541F, "lab_locations" },
    { 0x5420, "lab_mute_gun_holster" },
    { 0x5421, "lab_root_climb_dof" },
    { 0x5422, "lab_root_climb_vision" },
    { 0x5423, "lab_script_exit_volume" },
    { 0x5424, "lab_script_volume" },
    { 0x5425, "lab_tank_exit_crmk_land" },
    { 0x5426, "lab_tank_exit_crmk_stand" },
    { 0x5427, "lab_tank_exit_crmk_walk" },
    { 0x5428, "lab_tank_exit_gid_at_hatch" },
    { 0x5429, "lab_tank_exit_gid_stairs" },
    { 0x542A, "lab_tank_exit_gid_stand" },
    { 0x542B, "lab_tank_exit_gid_walk" },
    { 0x542C, "lab_tank_exit_knx_at_hatch" },
    { 0x542D, "lab_tank_exit_knx_land" },
    { 0x542E, "lab_tank_exit_knx_stairs" },
    { 0x542F, "lab_tank_exit_knx_stand" },
    { 0x5430, "lab_tank_exit_plr_at_hatch" },
    { 0x5431, "lab_tank_exit_plr_land" },
    { 0x5432, "lab_tank_exit_plr_stairs" },
    { 0x5433, "lab_tank_exit_plr_stand" },
    { 0x5434, "lab_vehicle_callback" },
    { 0x5435, "lab2_mp" },
    { 0x5436, "lab2customairstrike" },
    { 0x5437, "lab2customlaserstreakfunc" },
    { 0x5438, "laboratory" },
    { 0x5439, "laboratory_cqb" },
    { 0x543A, "laboratory_elevator_to_hall" },
    { 0x543B, "laboratory_start_idle" },
    { 0x543C, "laboratory_traversal" },
    { 0x543D, "labpaladinoverrides" },
    { 0x543E, "labtemptuner1" },
    { 0x543F, "labtemptuner2" },
    { 0x5440, "labtemptuner3" },
    { 0x5441, "lag_ajani_brief_equip" },
    { 0x5442, "lag_ajani_brief_start" },
    { 0x5443, "lag_alley_gideon_shoulder_charge" },
    { 0x5444, "lag_brk_nocleanshot_done" },
    { 0x5445, "lag_brk_onme_done" },
    { 0x5446, "lag_brk_stayclose_done" },
    { 0x5447, "lag_brk_takeoutsuv_done" },
    { 0x5448, "lag_freeway_jump_gideon" },
    { 0x5449, "lag_gid_brief_equip" },
    { 0x544A, "lag_gid_brief_start" },
    { 0x544B, "lag_gl_end_logo" },
    { 0x544C, "lag_gov_wallpullup_exit" },
    { 0x544D, "lag_gov_wallpullup_exit_foot" },
    { 0x544E, "lag_hostage_hades" },
    { 0x544F, "lag_hostage_pm" },
    { 0x5450, "lag_intro_brief_ajn" },
    { 0x5451, "lag_intro_brief_gdn" },
    { 0x5452, "lag_intro_brief_jkr" },
    { 0x5453, "lag_intro_vo_overlap_mix" },
    { 0x5454, "lag_joke_brief_approach_plr" },
    { 0x5455, "lag_joke_brief_equip_1" },
    { 0x5456, "lag_joke_brief_equip_2" },
    { 0x5457, "lag_joke_brief_equip_3" },
    { 0x5458, "lag_joke_brief_radio" },
    { 0x5459, "lag_joke_brief_wpn_check" },
    { 0x545A, "lag_mid_qte_foley_01a" },
    { 0x545B, "lag_mid_qte_foley_01b" },
    { 0x545C, "lag_mid_qte_foley_02" },
    { 0x545D, "lag_mid_qte_impact" },
    { 0x545E, "lag_mid_qte_mtl_chunk" },
    { 0x545F, "lag_mid_qte_truck_01" },
    { 0x5460, "lag_mid_qte_truck_02" },
    { 0x5461, "lag_mid_qte_truck_bounce" },
    { 0x5462, "lag_mid_qte_truck_skids" },
    { 0x5463, "lag_npc_exo_climb_foley" },
    { 0x5464, "lag_pm_rescue_pt1_gdn" },
    { 0x5465, "lag_pm_rescue_pt2_ajn" },
    { 0x5466, "lag_pm_rescue_pt2_gdn" },
    { 0x5467, "lag_pm_rescue_pt2_pm" },
    { 0x5468, "lag_shore_rescue_ajani" },
    { 0x5469, "lag_shore_rescue_burke" },
    { 0x546A, "lag_shore_rescue_joker" },
    { 0x546B, "lag_video_log_irs" },
    { 0x546C, "lagos_custom_laser" },
    { 0x546D, "lagos_irons_speech_bink" },
    { 0x546E, "lagos_locations" },
    { 0x546F, "lagos_player_swimming_pt1" },
    { 0x5470, "lagos_player_swimming_pt2" },
    { 0x5471, "lagos_player_swimming_truck_anims" },
    { 0x5472, "lagos_shore_pcap_start" },
    { 0x5473, "lagos_swimming_drowning_start" },
    { 0x5474, "lagos_swimming_into_stroke" },
    { 0x5475, "lagos_swimming_stroke" },
    { 0x5476, "lagos_technical_turret_fire" },
    { 0x5477, "lagos_title_screen" },
    { 0x5478, "lagoshack" },
    { 0x5479, "lake_autosave" },
    { 0x547A, "lake_callouts" },
    { 0x547B, "lake_chopper" },
    { 0x547C, "lake_cinema_cormack" },
    { 0x547D, "lake_cinema_enemies" },
    { 0x547E, "lake_cinema_gideon" },
    { 0x547F, "lake_cinema_ilona" },
    { 0x5480, "lake_cinema_player" },
    { 0x5481, "lake_dialogue" },
    { 0x5482, "lake_dialogue_start" },
    { 0x5483, "lake_drown" },
    { 0x5484, "lake_events" },
    { 0x5485, "lake_exit" },
    { 0x5486, "lake_fall_in" },
    { 0x5487, "lake_handle_vol_movement" },
    { 0x5488, "lake_reinforcements_1" },
    { 0x5489, "lake_reinforcements_2" },
    { 0x548A, "lake_reinforcements_final" },
    { 0x548B, "lake_scene_anim_node" },
    { 0x548C, "lake_scene_fail_timeout" },
    { 0x548D, "lake_upper_deck" },
    { 0x548E, "lake_vol_movement" },
    { 0x548F, "lake_warbird_approaches" },
    { 0x5490, "land_assist" },
    { 0x5491, "land_assist_activated" },
    { 0x5492, "land_assist_available_startime" },
    { 0x5493, "land_assist_current_vol" },
    { 0x5494, "land_assist_effect" },
    { 0x5495, "land_assist_hint_breakout" },
    { 0x5496, "land_assist_hint_force_breakout" },
    { 0x5497, "land_assist_hint_safe_descent_breakout" },
    { 0x5498, "land_assist_init" },
    { 0x5499, "land_assist_light" },
    { 0x549A, "land_assist_rig" },
    { 0x549B, "land_assist_thrusters" },
    { 0x549C, "land_assist_thrusters_with_land" },
    { 0x549D, "land_assist_vol" },
    { 0x549E, "land_entity" },
    { 0x549F, "land_magnet" },
    { 0x54A0, "land_pod_badly" },
    { 0x54A1, "land_pod_cleanly" },
    { 0x54A2, "land_point" },
    { 0x54A3, "land_tag" },
    { 0x54A4, "landanimbody" },
    { 0x54A5, "landanimhands" },
    { 0x54A6, "landassist_fx_counter" },
    { 0x54A7, "landassist_jump_cormack_jump" },
    { 0x54A8, "landassist_jump_cormack_powerup" },
    { 0x54A9, "landassist_jump_cormack_run" },
    { 0x54AA, "landassist_jump_cormack_walkback" },
    { 0x54AB, "landassist_jump_will_jump" },
    { 0x54AC, "landassist_jump_will_powerup" },
    { 0x54AD, "landassist_jump_will_run" },
    { 0x54AE, "landassist_jump_will_walkback" },
    { 0x54AF, "landhiderope" },
    { 0x54B0, "landing_dust_team" },
    { 0x54B1, "landing_gear_up" },
    { 0x54B2, "landing_pad_drones" },
    { 0x54B3, "landing_pad_lift_upper_static_setup" },
    { 0x54B4, "landing_pad_lights_off" },
    { 0x54B5, "landing_pad_lights_on" },
    { 0x54B6, "lane" },
    { 0x54B7, "lane_change_behavior" },
    { 0x54B8, "lane_processed" },
    { 0x54B9, "lane_start_node" },
    { 0x54BA, "lanterns" },
    { 0x54BB, "laptopinfo" },
    { 0x54BC, "large_propane_tank_think" },
    { 0x54BD, "largeprojectiledamage" },
    { 0x54BE, "largesparkdistance" },
    { 0x54BF, "laser_aim_pos" },
    { 0x54C0, "laser_artillery" },
    { 0x54C1, "laser_attacktargets" },
    { 0x54C2, "laser_coredamage_activated" },
    { 0x54C3, "laser_coredamage_deactivated" },
    { 0x54C4, "laser_designate_target" },
    { 0x54C5, "laser_designate_target_kinect" },
    { 0x54C6, "laser_designator_disable_list" },
    { 0x54C7, "laser_fireontarget" },
    { 0x54C8, "laser_follower" },
    { 0x54C9, "laser_fx" },
    { 0x54CA, "laser_handledamage" },
    { 0x54CB, "laser_handlefakedeath" },
    { 0x54CC, "laser_handlemovebottom" },
    { 0x54CD, "laser_handlemovetop" },
    { 0x54CE, "laser_handleownerdisconnect" },
    { 0x54CF, "laser_initfxents" },
    { 0x54D0, "laser_initmoveorgs" },
    { 0x54D1, "laser_initoffswitch" },
    { 0x54D2, "laser_initsentry" },
    { 0x54D3, "laser_offswitch_onbeginuse" },
    { 0x54D4, "laser_offswitch_oncantuse" },
    { 0x54D5, "laser_offswitch_onenduse" },
    { 0x54D6, "laser_offswitch_onuseplantobject" },
    { 0x54D7, "laser_on" },
    { 0x54D8, "laser_setactive" },
    { 0x54D9, "laser_setinactive" },
    { 0x54DA, "laser_setowner" },
    { 0x54DB, "laser_setplaced" },
    { 0x54DC, "laser_setplacesentry" },
    { 0x54DD, "laser_tag" },
    { 0x54DE, "laser_tag_array" },
    { 0x54DF, "laser_targeting_device" },
    { 0x54E0, "laser_targets" },
    { 0x54E1, "laser_triggers" },
    { 0x54E2, "laser_usableoffswitch_off" },
    { 0x54E3, "laser_usableoffswitch_on" },
    { 0x54E4, "laser_watchdisabled" },
    { 0x54E5, "laser_watchlightbeam" },
    { 0x54E6, "laser2_mp" },
    { 0x54E7, "laser2customairstrike" },
    { 0x54E8, "laser2customkillstreakfunc" },
    { 0x54E9, "laser2customorbitallaserfunc" },
    { 0x54EA, "laser2customospfunc" },
    { 0x54EB, "laserallowed" },
    { 0x54EC, "lasercooldownafterhit" },
    { 0x54ED, "lasercoretrigids" },
    { 0x54EE, "lasercorevisualsblocked" },
    { 0x54EF, "laserdodamge" },
    { 0x54F0, "laserdophysics" },
    { 0x54F1, "laserent" },
    { 0x54F2, "laserforceon" },
    { 0x54F3, "laserforwardangles" },
    { 0x54F4, "laserfxactive" },
    { 0x54F5, "laserlightfill" },
    { 0x54F6, "laseroff_func" },
    { 0x54F7, "laseroffswitch_isvisible" },
    { 0x54F8, "laseron" },
    { 0x54F9, "laseron_func" },
    { 0x54FA, "laseroriginoffset" },
    { 0x54FB, "laserpilotquake" },
    { 0x54FC, "lasersight_think" },
    { 0x54FD, "lasersurfacequake" },
    { 0x54FE, "lasertag" },
    { 0x54FF, "laserweapon" },
    { 0x5500, "lassetgoalpos" },
    { 0x5501, "last_aim_priority" },
    { 0x5502, "last_aim_time_ms" },
    { 0x5503, "last_aim_type" },
    { 0x5504, "last_alert_time" },
    { 0x5505, "last_anim_time" },
    { 0x5506, "last_anim_time_check" },
    { 0x5507, "last_atk_bomber_death_time" },
    { 0x5508, "last_avatar_position" },
    { 0x5509, "last_balcony_death" },
    { 0x550A, "last_big_acceleration_msec" },
    { 0x550B, "last_bomb_location" },
    { 0x550C, "last_bump_time" },
    { 0x550D, "last_burke_external_dialogue" },
    { 0x550E, "last_cable" },
    { 0x550F, "last_camera_helper" },
    { 0x5510, "last_car_exit_index" },
    { 0x5511, "last_collision_time" },
    { 0x5512, "last_damage_attacker" },
    { 0x5513, "last_damage_direction_vec" },
    { 0x5514, "last_damage_point" },
    { 0x5515, "last_damage_pos" },
    { 0x5516, "last_displayed_ent" },
    { 0x5517, "last_dmg_player" },
    { 0x5518, "last_dmg_type" },
    { 0x5519, "last_downed_time" },
    { 0x551A, "last_drone_attacking_sound" },
    { 0x551B, "last_drone_investigating_sound" },
    { 0x551C, "last_drone_lens_sound" },
    { 0x551D, "last_drone_passive_sound" },
    { 0x551E, "last_enemy_chatter_vo" },
    { 0x551F, "last_enemy_notification" },
    { 0x5520, "last_enemy_sight_time" },
    { 0x5521, "last_enemy_sighting_position" },
    { 0x5522, "last_ent" },
    { 0x5523, "last_exo_movement_time" },
    { 0x5524, "last_facing" },
    { 0x5525, "last_fire_time" },
    { 0x5526, "last_flare_time" },
    { 0x5527, "last_flyby_time" },
    { 0x5528, "last_gear_change_time" },
    { 0x5529, "last_generic_hint_said" },
    { 0x552A, "last_global_badplace_time" },
    { 0x552B, "last_grenade_throw_time" },
    { 0x552C, "last_guy_in_group" },
    { 0x552D, "last_hint_time_any_ms" },
    { 0x552E, "last_hint_times_ms" },
    { 0x552F, "last_hit_callout_time" },
    { 0x5530, "last_hovertank_weapon_anim" },
    { 0x5531, "last_hovertank_weapon_anim_complete_time" },
    { 0x5532, "last_infected_hiding_loc" },
    { 0x5533, "last_infected_hiding_time" },
    { 0x5534, "last_investigation_time" },
    { 0x5535, "last_kill_times_ms" },
    { 0x5536, "last_known_enemy_pos" },
    { 0x5537, "last_known_enemy_reason" },
    { 0x5538, "last_known_position_claimed" },
    { 0x5539, "last_known_position_monitor" },
    { 0x553A, "last_losing_flag_react" },
    { 0x553B, "last_melee_ti_check" },
    { 0x553C, "last_missile_fired_at_player" },
    { 0x553D, "last_missile_side" },
    { 0x553E, "last_mission_sound_time" },
    { 0x553F, "last_modelfunc" },
    { 0x5540, "last_motion_time" },
    { 0x5541, "last_pass_throw_check" },
    { 0x5542, "last_patrol_goal" },
    { 0x5543, "last_picked_time" },
    { 0x5544, "last_pitch_aim" },
    { 0x5545, "last_pitch_noise" },
    { 0x5546, "last_player_damage" },
    { 0x5547, "last_pos" },
    { 0x5548, "last_punish_time" },
    { 0x5549, "last_queue_time" },
    { 0x554A, "last_repair_weights" },
    { 0x554B, "last_revive_fail_time" },
    { 0x554C, "last_rocket_time" },
    { 0x554D, "last_rockets_time" },
    { 0x554E, "last_run_time" },
    { 0x554F, "last_saw_player" },
    { 0x5550, "last_saw_player_time" },
    { 0x5551, "last_score" },
    { 0x5552, "last_selected_entity_has_changed" },
    { 0x5553, "last_sentry" },
    { 0x5554, "last_set_goalent" },
    { 0x5555, "last_set_goalnode" },
    { 0x5556, "last_set_goalpos" },
    { 0x5557, "last_skid_time" },
    { 0x5558, "last_song" },
    { 0x5559, "last_spawned_vehicle" },
    { 0x555A, "last_spot" },
    { 0x555B, "last_state" },
    { 0x555C, "last_strips" },
    { 0x555D, "last_target" },
    { 0x555E, "last_team_gunshot_announce" },
    { 0x555F, "last_teleport_time" },
    { 0x5560, "last_threat_debug" },
    { 0x5561, "last_time" },
    { 0x5562, "last_time_jumped_for_tag" },
    { 0x5563, "last_time_secured" },
    { 0x5564, "last_timeout" },
    { 0x5565, "last_traffic_hit_pos" },
    { 0x5566, "last_traffic_hit_time" },
    { 0x5567, "last_trophy_time" },
    { 0x5568, "last_turret_missile_time" },
    { 0x5569, "last_warning_line" },
    { 0x556A, "last_wheel_pos" },
    { 0x556B, "last_yaw_aim" },
    { 0x556C, "last_yaw_noise" },
    { 0x556D, "last_z" },
    { 0x556E, "lastadvancetoenemyattacker" },
    { 0x556F, "lastadvancetoenemydest" },
    { 0x5570, "lastadvancetoenemysrc" },
    { 0x5571, "lastadvancetoenemytime" },
    { 0x5572, "lastapproachaborttime" },
    { 0x5573, "lastattackedshieldplayer" },
    { 0x5574, "lastattackedshieldtime" },
    { 0x5575, "lastautosavetime" },
    { 0x5576, "lastavatarpositionent" },
    { 0x5577, "lastbadpathgoal" },
    { 0x5578, "lastbadpathmovestate" },
    { 0x5579, "lastbadpathtime" },
    { 0x557A, "lastbadpathultimategoal" },
    { 0x557B, "lastcaptureteam" },
    { 0x557C, "lastcaralarmtime" },
    { 0x557D, "lastcarexplosiondamagelocation" },
    { 0x557E, "lastcarexplosionlocation" },
    { 0x557F, "lastcarexplosionrange" },
    { 0x5580, "lastcarexplosiontime" },
    { 0x5581, "lastcarrier" },
    { 0x5582, "lastcarrierscored" },
    { 0x5583, "lastcarrierteam" },
    { 0x5584, "lastclaimteam" },
    { 0x5585, "lastclaimtime" },
    { 0x5586, "lastclass" },
    { 0x5587, "lastcolorforced" },
    { 0x5588, "lastconcussedtime" },
    { 0x5589, "lastcontact" },
    { 0x558A, "lastcoopstreaktime" },
    { 0x558B, "lastdamageat" },
    { 0x558C, "lastdamagedtime" },
    { 0x558D, "lastdamagefromenemytargettime" },
    { 0x558E, "lastdamagewasfromenemy" },
    { 0x558F, "lastdeathicon" },
    { 0x5590, "lastdeathpos" },
    { 0x5591, "lastdialogtime" },
    { 0x5592, "lastdirection" },
    { 0x5593, "lastdogmeleeplayertime" },
    { 0x5594, "lastdoground" },
    { 0x5595, "lastdroppableweapon" },
    { 0x5596, "lastencountertime" },
    { 0x5597, "lastenemypos" },
    { 0x5598, "lastenemysightposold" },
    { 0x5599, "lastenemysightposselforigin" },
    { 0x559A, "lastenemysighttime" },
    { 0x559B, "lastenemytime" },
    { 0x559C, "lastequippedweapon" },
    { 0x559D, "lastexplodingbarrel" },
    { 0x559E, "lastflashedtime" },
    { 0x559F, "lastfraggrenadetoplayerstart" },
    { 0x55A0, "lastfriendlytrigger" },
    { 0x55A1, "lastgrenadelandednearplayertime" },
    { 0x55A2, "lastgrenadesuicidetime" },
    { 0x55A3, "lastgrenadetime" },
    { 0x55A4, "lastgroundtype" },
    { 0x55A5, "lastgrowlplayedtime" },
    { 0x55A6, "lastguntimevo" },
    { 0x55A7, "lasthit" },
    { 0x55A8, "lasthittime" },
    { 0x55A9, "lasthostmigrationstate" },
    { 0x55AA, "lasthoveroffset" },
    { 0x55AB, "lastindex" },
    { 0x55AC, "lastinflictor" },
    { 0x55AD, "lastkilldogtime" },
    { 0x55AE, "lastkilledby" },
    { 0x55AF, "lastkilledplayer" },
    { 0x55B0, "lastkillstreak" },
    { 0x55B1, "lastkillstreakmodules" },
    { 0x55B2, "lastkillstreaks" },
    { 0x55B3, "lastkilltime" },
    { 0x55B4, "lastknownposition" },
    { 0x55B5, "lastlethalweapon" },
    { 0x55B6, "lastlethalweaponammoclip" },
    { 0x55B7, "lastleveluptime" },
    { 0x55B8, "lastlighttime" },
    { 0x55B9, "lastmansd" },
    { 0x55BA, "lastmeleefailedmypos" },
    { 0x55BB, "lastmeleefailedpos" },
    { 0x55BC, "lastmissedenemy" },
    { 0x55BD, "lastnamesaid" },
    { 0x55BE, "lastnamesaidtime" },
    { 0x55BF, "lastnamesaidtimeout" },
    { 0x55C0, "lastnearestnode" },
    { 0x55C1, "lastnodelookingattrace" },
    { 0x55C2, "lastnonshieldweapon" },
    { 0x55C3, "lastnonuseweapon" },
    { 0x55C4, "lastpaintime" },
    { 0x55C5, "lastpantplayedtime" },
    { 0x55C6, "lastperks" },
    { 0x55C7, "lastplayerangles" },
    { 0x55C8, "lastplayernamecalltime" },
    { 0x55C9, "lastplayersighted" },
    { 0x55CA, "lastprimaryweaponswaptime" },
    { 0x55CB, "lastpursuitfailedmypos" },
    { 0x55CC, "lastpursuitfailedpos" },
    { 0x55CD, "lastpursuitfailedtime" },
    { 0x55CE, "lastrambotime" },
    { 0x55CF, "lastreacttime" },
    { 0x55D0, "lastrecoiloffset" },
    { 0x55D1, "lastreloadstarttime" },
    { 0x55D2, "lastrunningreactanim" },
    { 0x55D3, "lastsavetime" },
    { 0x55D4, "lastshoottime" },
    { 0x55D5, "lastshotby" },
    { 0x55D6, "lastshotfiredtime" },
    { 0x55D7, "lastshottime" },
    { 0x55D8, "lastsightposwatch" },
    { 0x55D9, "lastslowprocessframe" },
    { 0x55DA, "lastspawnpoint" },
    { 0x55DB, "lastspawnteam" },
    { 0x55DC, "lastspawntime" },
    { 0x55DD, "lastsprintendtime" },
    { 0x55DE, "laststand_enabled" },
    { 0x55DF, "laststand_kill_will_down_func" },
    { 0x55E0, "laststand_player_func" },
    { 0x55E1, "laststand_type" },
    { 0x55E2, "laststandallowsuicide" },
    { 0x55E3, "laststandammowacher" },
    { 0x55E4, "laststandbleedout" },
    { 0x55E5, "laststandexoabilitymonitor" },
    { 0x55E6, "laststandkeepoverlay" },
    { 0x55E7, "laststandkeepoverlayhorde" },
    { 0x55E8, "laststandmonitorabandonment" },
    { 0x55E9, "laststandparams" },
    { 0x55EA, "laststandrespawnplayer" },
    { 0x55EB, "laststandrespawnplayerhorde" },
    { 0x55EC, "laststandrevivehorde" },
    { 0x55ED, "laststandselfrevive" },
    { 0x55EE, "laststandstarttime" },
    { 0x55EF, "laststandtimer" },
    { 0x55F0, "laststandtimerhorde" },
    { 0x55F1, "laststandupdatereviveiconcolorhorde" },
    { 0x55F2, "laststandusetime" },
    { 0x55F3, "laststandwaittilldeath" },
    { 0x55F4, "laststandwaittilldeathhorde" },
    { 0x55F5, "laststandwaittillliferecived" },
    { 0x55F6, "laststate" },
    { 0x55F7, "laststatechangetime" },
    { 0x55F8, "laststatus" },
    { 0x55F9, "laststatustime" },
    { 0x55FA, "laststoppedtime" },
    { 0x55FB, "lastsuppressiontime" },
    { 0x55FC, "lastsurfacetype" },
    { 0x55FD, "lasttacticalweapon" },
    { 0x55FE, "lasttacticalweaponammoclip" },
    { 0x55FF, "lastteamspeaktime" },
    { 0x5600, "lastteamthreatcallout" },
    { 0x5601, "lastteamthreatcallouttime" },
    { 0x5602, "lasttime" },
    { 0x5603, "lasttimedamaged" },
    { 0x5604, "lasttododamage" },
    { 0x5605, "lasttwoenemies" },
    { 0x5606, "lastupdatetime" },
    { 0x5607, "lastusedweapon" },
    { 0x5608, "lastuserate" },
    { 0x5609, "lastvalue" },
    { 0x560A, "lastvisionsetthermal" },
    { 0x560B, "lastwave" },
    { 0x560C, "lastweapon" },
    { 0x560D, "launch_car_with_missiles" },
    { 0x560E, "launch_drone_missile_special" },
    { 0x560F, "launch_drone_missiles" },
    { 0x5610, "launch_intro_building_descend_fob_loops" },
    { 0x5611, "launch_intro_loops" },
    { 0x5612, "launch_intro_point_source_dambs" },
    { 0x5613, "launch_intro_ride_loops" },
    { 0x5614, "launch_line_emitters" },
    { 0x5615, "launch_loops" },
    { 0x5616, "launch_mall_offices_loops" },
    { 0x5617, "launch_middle_loops" },
    { 0x5618, "launch_missile" },
    { 0x5619, "launch_office_loops" },
    { 0x561A, "launch_org" },
    { 0x561B, "launch_outro_loops" },
    { 0x561C, "launch_riverwalk_loops" },
    { 0x561D, "launch_school_interior_loops" },
    { 0x561E, "launch_school_interior_point_source_dambs" },
    { 0x561F, "launch_school_street_loops" },
    { 0x5620, "launch_school_street_point_source_dambs" },
    { 0x5621, "launch_sinkhole_subway_loops" },
    { 0x5622, "launch_threads" },
    { 0x5623, "launch_truck_puch_trans_loops" },
    { 0x5624, "launcher_index" },
    { 0x5625, "launcher_out_of_ammo_obj" },
    { 0x5626, "launcher_out_of_ammo_obj_clear" },
    { 0x5627, "launcher_out_of_ammo_think" },
    { 0x5628, "launcher_write_clipboard" },
    { 0x5629, "launchers_disable_threat_grenade_response" },
    { 0x562A, "launchers_enable_threat_grenade_response" },
    { 0x562B, "launchers_rotate_down" },
    { 0x562C, "launchers_rotate_up" },
    { 0x562D, "launchexplosivegel" },
    { 0x562E, "launchshield" },
    { 0x562F, "launchtridrone" },
    { 0x5630, "launchuav" },
    { 0x5631, "layer" },
    { 0x5632, "lbs_condition_callback_to_state_deathspin" },
    { 0x5633, "lbs_condition_callback_to_state_destruct" },
    { 0x5634, "lbs_condition_callback_to_state_distant" },
    { 0x5635, "lbs_condition_callback_to_state_flyby" },
    { 0x5636, "lbs_condition_callback_to_state_flying" },
    { 0x5637, "lbs_condition_callback_to_state_flyover" },
    { 0x5638, "lbs_condition_callback_to_state_hover" },
    { 0x5639, "lbs_condition_callback_to_state_off" },
    { 0x563A, "lead_origin" },
    { 0x563B, "lead_pos" },
    { 0x563C, "lead_snake" },
    { 0x563D, "lead_time" },
    { 0x563E, "leaderboard_compare_scores" },
    { 0x563F, "leaderboard_defaults" },
    { 0x5640, "leaderboard_make" },
    { 0x5641, "leaderboard_precache" },
    { 0x5642, "leaderboard_record" },
    { 0x5643, "leaderboard_score_to_digits" },
    { 0x5644, "leaderboard_screen" },
    { 0x5645, "leaderboard_screen_make" },
    { 0x5646, "leaderboard_screen_update" },
    { 0x5647, "leaderboard_sort_scores" },
    { 0x5648, "leaderdialog" },
    { 0x5649, "leaderdialog_islockedout" },
    { 0x564A, "leaderdialog_lockoutcleardelayed" },
    { 0x564B, "leaderdialog_trylockout" },
    { 0x564C, "leaderdialogactive" },
    { 0x564D, "leaderdialogbothteams" },
    { 0x564E, "leaderdialoggroup" },
    { 0x564F, "leaderdialoggroups" },
    { 0x5650, "leaderdialoglocalsound" },
    { 0x5651, "leaderdialoglocqueue" },
    { 0x5652, "leaderdialogonplayer" },
    { 0x5653, "leaderdialogonplayer_func" },
    { 0x5654, "leaderdialogonplayer_internal" },
    { 0x5655, "leaderdialogonplayers" },
    { 0x5656, "leaderdialogqueue" },
    { 0x5657, "leaderdialogwait" },
    { 0x5658, "leadersound" },
    { 0x5659, "leadersoundgroup" },
    { 0x565A, "leaking" },
    { 0x565B, "leanaim" },
    { 0x565C, "leanasitturns" },
    { 0x565D, "leashcoversearchradius" },
    { 0x565E, "leashcoversearchradiusmin" },
    { 0x565F, "leashheightoffset" },
    { 0x5660, "leashplayerdistancetether" },
    { 0x5661, "leashsearchoffset" },
    { 0x5662, "leave_gun_and_run_to_new_spot" },
    { 0x5663, "leave_path_for_free_path" },
    { 0x5664, "leavecoverandshoot" },
    { 0x5665, "leaveorbitalstrikeearly" },
    { 0x5666, "leaveremotekillstreaks" },
    { 0x5667, "leaving_gov_building" },
    { 0x5668, "leaving_gov_building_post_vo" },
    { 0x5669, "leaving_mission_area_while_in_trig" },
    { 0x566A, "leaving_team" },
    { 0x566B, "left_alias" },
    { 0x566C, "left_arrow" },
    { 0x566D, "left_big_loop_start" },
    { 0x566E, "left_big_pivot" },
    { 0x566F, "left_brakelight_tag" },
    { 0x5670, "left_canyon1" },
    { 0x5671, "left_color_node" },
    { 0x5672, "left_door_anim" },
    { 0x5673, "left_ent" },
    { 0x5674, "left_headlight_tag" },
    { 0x5675, "left_loop_start" },
    { 0x5676, "left_mount_trigger_function" },
    { 0x5677, "left_pivot" },
    { 0x5678, "left_post" },
    { 0x5679, "left_swing_pressed" },
    { 0x567A, "left_swing_released" },
    { 0x567B, "left_swipe_monitor" },
    { 0x567C, "left_tap_monitor" },
//  { 0x567D, "" },
//  { 0x567E, "" },
    { 0x567F, "lens_left" },
    { 0x5680, "lens_right" },
    { 0x5681, "lensviewmodel" },
    { 0x5682, "lerp" },
    { 0x5683, "lerp_angles_function" },
    { 0x5684, "lerp_anim_weight_on_actor_over_time" },
    { 0x5685, "lerp_drone_to_position" },
    { 0x5686, "lerp_fov_overtime" },
    { 0x5687, "lerp_fov_wait" },
    { 0x5688, "lerp_fovscale_overtime" },
    { 0x5689, "lerp_in_turn_rate" },
    { 0x568A, "lerp_intensity" },
    { 0x568B, "lerp_light_fov_range" },
    { 0x568C, "lerp_linktoblend" },
    { 0x568D, "lerp_move_speed_scale" },
    { 0x568E, "lerp_origin_function" },
    { 0x568F, "lerp_out_drop_pitch" },
    { 0x5690, "lerp_player_view_to_position" },
    { 0x5691, "lerp_player_view_to_position_absolute" },
    { 0x5692, "lerp_player_view_to_position_oldstyle" },
    { 0x5693, "lerp_player_view_to_tag" },
    { 0x5694, "lerp_player_view_to_tag_and_hit_geo" },
    { 0x5695, "lerp_player_view_to_tag_internal" },
    { 0x5696, "lerp_player_view_to_tag_oldstyle" },
    { 0x5697, "lerp_player_view_to_tag_oldstyle_internal" },
    { 0x5698, "lerp_pupil_over_time" },
    { 0x5699, "lerp_saveddvar" },
    { 0x569A, "lerp_saveddvar_cg_ng" },
    { 0x569B, "lerp_spot_briefing" },
    { 0x569C, "lerp_spot_color" },
    { 0x569D, "lerp_spot_intensity" },
    { 0x569E, "lerp_spot_intensity_array" },
    { 0x569F, "lerp_spot_radius" },
    { 0x56A0, "lerp_sun" },
    { 0x56A1, "lerp_sun_01" },
    { 0x56A2, "lerp_sun_02" },
    { 0x56A3, "lerp_sun_cargo_ship" },
    { 0x56A4, "lerp_sunsamplesizenear_overtime" },
    { 0x56A5, "lerp_time_function_wallpull" },
    { 0x56A6, "lerp_time_in" },
    { 0x56A7, "lerp_time_out" },
    { 0x56A8, "lerp_to_position" },
    { 0x56A9, "lerp_to_target" },
    { 0x56AA, "lerp_towards_desiredangle" },
    { 0x56AB, "lerp_viewmodel_dof" },
    { 0x56AC, "lerp_weight" },
    { 0x56AD, "lerp_wind" },
    { 0x56AE, "lerpfov_saved" },
    { 0x56AF, "lerpfov_saved_thread" },
    { 0x56B0, "lerpfraction" },
    { 0x56B1, "lerpplayerlook" },
    { 0x56B2, "lerpscreenblurup" },
    { 0x56B3, "lettertonumber" },
    { 0x56B4, "level_audio_reverb_function" },
    { 0x56B5, "level_audio_zones_function" },
    { 0x56B6, "level_bounds" },
    { 0x56B7, "level_bounds_fail" },
    { 0x56B8, "level_bounds_nag" },
    { 0x56B9, "level_bounds_nag_vo" },
    { 0x56BA, "level_complete" },
    { 0x56BB, "level_diveboat_to_vm_model" },
    { 0x56BC, "level_drone_abort_monitor" },
    { 0x56BD, "level_end_save" },
    { 0x56BE, "level_fade_time" },
    { 0x56BF, "level_has_start_points" },
    { 0x56C0, "level_intro_cinematic" },
    { 0x56C1, "level_jetbike_to_vm_model" },
    { 0x56C2, "level_progress" },
    { 0x56C3, "level_progress_alley1combat" },
    { 0x56C4, "level_progress_exodoor" },
    { 0x56C5, "level_progress_fail" },
    { 0x56C6, "level_progress_flankcombat" },
    { 0x56C7, "level_progress_froggercombat" },
    { 0x56C8, "level_progress_froggercomplete" },
    { 0x56C9, "level_progress_govexit" },
    { 0x56CA, "level_progress_monorail" },
    { 0x56CB, "level_progress_nag" },
    { 0x56CC, "level_progress_oncomingcombat" },
    { 0x56CD, "level_progress_roundaboutcombat" },
    { 0x56CE, "level_specific_bot_targets" },
    { 0x56CF, "level_specific_dof" },
    { 0x56D0, "level_start_fade_in" },
    { 0x56D1, "level_stinger_lock_target" },
    { 0x56D2, "level_stinger_missile_targets" },
    { 0x56D3, "level_trigger_should_abort" },
    { 0x56D4, "level_trigger_should_abort_melee" },
    { 0x56D5, "level_trigger_should_abort_ranged" },
    { 0x56D6, "levelflag" },
    { 0x56D7, "levelflagclear" },
    { 0x56D8, "levelflaginit" },
    { 0x56D9, "levelflags" },
    { 0x56DA, "levelflagset" },
    { 0x56DB, "levelflagwait" },
    { 0x56DC, "levelflagwaitopen" },
    { 0x56DD, "levelglobalsetup" },
    { 0x56DE, "levelglobalvars" },
    { 0x56DF, "levelhasvehicles" },
    { 0x56E0, "levelintroscreen" },
    { 0x56E1, "levelprecacheassets" },
    { 0x56E2, "levels" },
    { 0x56E3, "levelstartpoints" },
    { 0x56E4, "lfelp" },
    { 0x56E5, "lgt_alarm_pulsing" },
    { 0x56E6, "lgt_change_intensity_over_time" },
    { 0x56E7, "lgt_emergency_screens" },
    { 0x56E8, "lgt_escape_door_alarm" },
    { 0x56E9, "lgt_heli_escape" },
    { 0x56EA, "lgt_incinerator_seq" },
    { 0x56EB, "lgt_init" },
    { 0x56EC, "lgt_manticore_bay" },
    { 0x56ED, "lgt_mech2_door" },
    { 0x56EE, "lgt_morgue" },
    { 0x56EF, "lgt_s2_walk" },
    { 0x56F0, "lgt_start_fire" },
    { 0x56F1, "lgt_sys_hacking" },
    { 0x56F2, "lgt_test_chamber" },
    { 0x56F3, "lgt_uv_flash" },
    { 0x56F4, "lifeid" },
    { 0x56F5, "lifespan" },
    { 0x56F6, "lifetimer" },
    { 0x56F7, "lift_worker_01_waits" },
    { 0x56F8, "lift_worker_02_waits" },
    { 0x56F9, "lifter" },
    { 0x56FA, "lifts" },
    { 0x56FB, "light_cine_fire" },
    { 0x56FC, "light_debug_dvar_init" },
    { 0x56FD, "light_ending_cinematic" },
    { 0x56FE, "light_ending_cinematic_dof" },
    { 0x56FF, "light_fx_name" },
    { 0x5700, "light_get_dof_preset" },
    { 0x5701, "light_get_dof_viewmodel_preset" },
    { 0x5702, "light_init" },
    { 0x5703, "light_message" },
    { 0x5704, "light_message_init" },
    { 0x5705, "light_number" },
    { 0x5706, "light_object_set_intensity" },
    { 0x5707, "light_register_message" },
    { 0x5708, "light_set" },
    { 0x5709, "light_set_override_for_player" },
    { 0x570A, "light_setup_common_dof_presets" },
    { 0x570B, "light_setup_common_dof_viewmodel_presets" },
    { 0x570C, "light_setup_common_flickerlight_presets" },
    { 0x570D, "light_setup_global_dvars" },
    { 0x570E, "light_setup_pulse_presets" },
    { 0x570F, "light_strip_checkpoint" },
    { 0x5710, "light_tag" },
    { 0x5711, "lightarmorhp" },
    { 0x5712, "lightbox_hideents" },
    { 0x5713, "lightent" },
    { 0x5714, "lightents" },
    { 0x5715, "lightfxfunc" },
    { 0x5716, "lightgridlightdemote" },
    { 0x5717, "lightgridsupersamplecount" },
    { 0x5718, "lighting_begin_preload" },
    { 0x5719, "lighting_confrontation_auto_dof" },
    { 0x571A, "lighting_fx_lens_subway_interior" },
    { 0x571B, "lighting_irons_dof" },
    { 0x571C, "lighting_note" },
    { 0x571D, "lighting_origin" },
    { 0x571E, "lighting_setup_off_zip" },
    { 0x571F, "lighting_setup_reactor_door" },
    { 0x5720, "lighting_setup_reactor_door_volume" },
    { 0x5721, "lighting_setup_turbine_elevator" },
    { 0x5722, "lighting_setup_turbine_elevator_volume" },
    { 0x5723, "lighting_subway_breach" },
    { 0x5724, "lighting_target_dof" },
    { 0x5725, "lighting_target_dof_ender" },
    { 0x5726, "lighting_vehicle_takedown_01" },
    { 0x5727, "lighting_vehicle_takedown_01_lerp" },
    { 0x5728, "lighting_vehicle_takedown_01_on" },
    { 0x5729, "lighting_will_reveal" },
    { 0x572A, "lightingnote" },
    { 0x572B, "lightingstate" },
    { 0x572C, "lightintensityflicker" },
    { 0x572D, "lightmap" },
    { 0x572E, "lightmapsamplescale" },
    { 0x572F, "lightmapscale" },
    { 0x5730, "lightmapshadow" },
    { 0x5731, "lightning" },
    { 0x5732, "lightning_bolt_fx" },
    { 0x5733, "lightning_call" },
    { 0x5734, "lightning_call_gate" },
    { 0x5735, "lightning_call_single" },
    { 0x5736, "lightning_call_traversal" },
    { 0x5737, "lightning_flash" },
    { 0x5738, "lightning_gag" },
    { 0x5739, "lightning_normal" },
    { 0x573A, "lightning_strike" },
    { 0x573B, "lightning_strike_hangar_start" },
    { 0x573C, "lightningexploder" },
    { 0x573D, "lightningexploderindex" },
    { 0x573E, "lightningflash" },
    { 0x573F, "lightningthink" },
    { 0x5740, "lightrigs" },
    { 0x5741, "lights" },
    { 0x5742, "lights_delayfxforframe" },
    { 0x5743, "lights_off" },
    { 0x5744, "lights_off_internal" },
    { 0x5745, "lights_on" },
    { 0x5746, "lights_on_blue" },
    { 0x5747, "lights_on_blue_02" },
    { 0x5748, "lights_on_internal" },
    { 0x5749, "lights_on_neutral" },
    { 0x574A, "lights_on_orange" },
    { 0x574B, "lights_on_orange_02" },
    { 0x574C, "lightset" },
    { 0x574D, "lightset_betrayal" },
    { 0x574E, "lightset_betrayal_grungy" },
    { 0x574F, "lightset_betrayal_grungy_int" },
    { 0x5750, "lightset_betrayal_grungy_out" },
    { 0x5751, "lightset_betrayal_interior" },
    { 0x5752, "lightset_betrayal_mall" },
    { 0x5753, "lightset_betrayal_race" },
    { 0x5754, "lightset_betrayal_river_int" },
    { 0x5755, "lightset_betrayal_river_out" },
    { 0x5756, "lightset_betrayal_subway" },
    { 0x5757, "lightset_current" },
    { 0x5758, "lightset_previous" },
    { 0x5759, "lightset_seoul_shopping" },
    { 0x575A, "lightset_triggers" },
    { 0x575B, "lightson" },
    { 0x575C, "lighttarget" },
    { 0x575D, "lighttargetname" },
    { 0x575E, "lightweightscalar" },
    { 0x575F, "ligting_note" },
    { 0x5760, "limit_player_view" },
    { 0x5761, "limitdecimalplaces" },
    { 0x5762, "limp_footsteps" },
//  { 0x5763, "" },
    { 0x5764, "line_claimed" },
    { 0x5765, "line_interect_sphere" },
    { 0x5766, "line_segment_end_point" },
    { 0x5767, "linear_encounter_script" },
    { 0x5768, "linear_interpolate" },
    { 0x5769, "linear_map" },
    { 0x576A, "linear_map_clamp" },
    { 0x576B, "linearlerp" },
    { 0x576C, "lineartogamma_srgb" },
    { 0x576D, "linedraw" },
    { 0x576E, "linelist" },
    { 0x576F, "lineofsight" },
    { 0x5770, "linerar_lerp" },
    { 0x5771, "lines" },
    { 0x5772, "linesize" },
    { 0x5773, "linethread" },
    { 0x5774, "linetime" },
    { 0x5775, "linetime_proc" },
    { 0x5776, "lingering_grnd_smoke_attached" },
    { 0x5777, "lingering_ground_smk" },
    { 0x5778, "link" },
    { 0x5779, "link_offset" },
    { 0x577A, "link_player_and_play_idle" },
    { 0x577B, "link_player_and_start_driving_anims" },
    { 0x577C, "link_player_to_mob_turret" },
    { 0x577D, "link_tag" },
    { 0x577E, "link_to_sittag" },
    { 0x577F, "link_trigger" },
    { 0x5780, "link_with_stored_offsets" },
    { 0x5781, "linkcollisiontoturret" },
    { 0x5782, "linkdistance" },
    { 0x5783, "linked" },
    { 0x5784, "linked_entity" },
    { 0x5785, "linked_ents" },
    { 0x5786, "linked_light_ents" },
    { 0x5787, "linked_lights" },
    { 0x5788, "linked_magnet" },
    { 0x5789, "linked_models" },
    { 0x578A, "linked_player" },
    { 0x578B, "linked_prefab_ents" },
    { 0x578C, "linked_rocket" },
    { 0x578D, "linked_things" },
    { 0x578E, "linked_to_cover" },
    { 0x578F, "linkedtotag" },
    { 0x5790, "linkgeototurret" },
    { 0x5791, "linkparent" },
    { 0x5792, "linkparent_ent" },
    { 0x5793, "linkparent_tag" },
    { 0x5794, "linkpet" },
    { 0x5795, "linkplayerorbitalship" },
    { 0x5796, "linkplayerpod" },
    { 0x5797, "links" },
    { 0x5798, "linkto_with_world_offset" },
    { 0x5799, "linkto_with_world_offset_internal" },
    { 0x579A, "linktoblend" },
    { 0x579B, "linktoent" },
    { 0x579C, "listen_for" },
    { 0x579D, "listen_for_cancel" },
    { 0x579E, "listen_for_dog_commands" },
    { 0x579F, "listen_for_dog_kinect_commands" },
    { 0x57A0, "listenforcoverapproach" },
    { 0x57A1, "listenforexomoveevent" },
    { 0x57A2, "listening_org" },
    { 0x57A3, "lit_models" },
    { 0x57A4, "lite" },
    { 0x57A5, "lite_settings" },
    { 0x57A6, "liteintensity" },
    { 0x57A7, "little_bird_landing_init" },
    { 0x57A8, "littlebird_deathspin" },
    { 0x57A9, "littlebird_emp_crash_movement" },
    { 0x57AA, "littlebird_emp_damage_function" },
    { 0x57AB, "littlebird_emp_death" },
    { 0x57AC, "littlebird_gideon" },
    { 0x57AD, "littlebird_hanger_flyby" },
    { 0x57AE, "littlebird_landing" },
    { 0x57AF, "littlebird_lands_and_unloads" },
    { 0x57B0, "littlebird_player" },
    { 0x57B1, "littlebird_rpg_rider_think" },
    { 0x57B2, "littlebird_sentinel_constructor" },
    { 0x57B3, "littlebird_turrets_think" },
    { 0x57B4, "littlebirde_getout_unlinks" },
    { 0x57B5, "littlebirds" },
    { 0x57B6, "livescount" },
    { 0x57B7, "living_ai_prethink" },
    { 0x57B8, "living_gate" },
    { 0x57B9, "living_room_clear" },
    { 0x57BA, "load" },
    { 0x57BB, "load_actor_anims" },
    { 0x57BC, "load_ai" },
    { 0x57BD, "load_ai_goddriver" },
    { 0x57BE, "load_anims" },
    { 0x57BF, "load_costume_indices" },
    { 0x57C0, "load_friendlies" },
    { 0x57C1, "load_fx" },
    { 0x57C2, "load_generic_human_anims" },
    { 0x57C3, "load_mech" },
    { 0x57C4, "load_middle_transient" },
    { 0x57C5, "load_missile_area_transient" },
    { 0x57C6, "load_model_anims" },
    { 0x57C7, "load_outro_transient" },
    { 0x57C8, "load_pitbull_animations" },
    { 0x57C9, "load_player_anims" },
    { 0x57CA, "load_precache" },
    { 0x57CB, "load_prop_anims" },
    { 0x57CC, "load_script_model_anims" },
    { 0x57CD, "load_scripted_anims" },
    { 0x57CE, "load_side" },
    { 0x57CF, "load_vehicle_anims" },
    { 0x57D0, "load_vehicles_anims" },
    { 0x57D1, "loadeffects" },
    { 0x57D2, "loadfromstructfn" },
    { 0x57D3, "loadout" },
    { 0x57D4, "loadout_changed" },
    { 0x57D5, "loadout_complete" },
    { 0x57D6, "loadoutallperks" },
    { 0x57D7, "loadoutcomplete" },
    { 0x57D8, "loadoutequipment" },
    { 0x57D9, "loadoutkillstreakmodules" },
    { 0x57DA, "loadoutoffhand" },
    { 0x57DB, "loadoutperks" },
    { 0x57DC, "loadoutprimary" },
    { 0x57DD, "loadoutprimarycamo" },
    { 0x57DE, "loadoutprimaryreticle" },
    { 0x57DF, "loadoutsecondary" },
    { 0x57E0, "loadoutsecondarycamo" },
    { 0x57E1, "loadoutsecondaryreticle" },
    { 0x57E2, "loadouttrackvariablegrenades" },
    { 0x57E3, "loadoutvalidforcopycat" },
    { 0x57E4, "loadoutvalues" },
    { 0x57E5, "loadoutwildcards" },
    { 0x57E6, "lobby_ambient_aa_explosions" },
    { 0x57E7, "lobby_ambient_explosion_midair_runner_single" },
    { 0x57E8, "lobby_protect" },
    { 0x57E9, "lobby_update_group_new" },
    { 0x57EA, "loc_end" },
    { 0x57EB, "loc_start" },
    { 0x57EC, "local_init" },
    { 0x57ED, "localrot" },
    { 0x57EE, "locamote" },
    { 0x57EF, "locamote_prev" },
    { 0x57F0, "locateenemypositions" },
    { 0x57F1, "location" },
    { 0x57F2, "location_add_last_callout_time" },
    { 0x57F3, "location_array" },
    { 0x57F4, "location_called_out_ever" },
    { 0x57F5, "location_called_out_recently" },
    { 0x57F6, "location_dupes_thread" },
    { 0x57F7, "location_get_last_callout_time" },
    { 0x57F8, "locationaliases" },
    { 0x57F9, "locationlastcallouttimes" },
    { 0x57FA, "locations_to_investigate" },
    { 0x57FB, "lock" },
    { 0x57FC, "lock_exists" },
    { 0x57FD, "lock_on_hud" },
    { 0x57FE, "lock_on_stage" },
    { 0x57FF, "lock_on_target" },
    { 0x5800, "lock_on_to_player" },
    { 0x5801, "lock_on_warning" },
    { 0x5802, "lock_spawner_for_awhile" },
    { 0x5803, "lock_target" },
    { 0x5804, "lock_targets" },
    { 0x5805, "lockaction" },
    { 0x5806, "locked" },
    { 0x5807, "locked_feedback" },
    { 0x5808, "locked_guns_hud" },
    { 0x5809, "locked_target_think" },
    { 0x580A, "locked_targets" },
    { 0x580B, "lockedlist" },
    { 0x580C, "lockedstingertarget" },
    { 0x580D, "lockedtarget" },
    { 0x580E, "locking_feedback" },
    { 0x580F, "locking_target" },
    { 0x5810, "locking_target_still_valid" },
    { 0x5811, "locking_time" },
    { 0x5812, "lockon_behavior" },
    { 0x5813, "lockon_fov" },
    { 0x5814, "lockon_time" },
    { 0x5815, "locksighttest" },
    { 0x5816, "locktargets" },
    { 0x5817, "loddistscale" },
    { 0x5818, "lodistscale" },
    { 0x5819, "log_pile_collapse" },
    { 0x581A, "log_pile_scripted_think" },
    { 0x581B, "logassists" },
    { 0x581C, "logbreadcrumbdata" },
    { 0x581D, "logbreadcrumbdatasp" },
    { 0x581E, "logclasschoice" },
    { 0x581F, "logcompletedchallenge" },
    { 0x5820, "logdynamiceventstarttime" },
    { 0x5821, "logexostats" },
    { 0x5822, "logfinalstats" },
    { 0x5823, "logfirefightshotshits" },
    { 0x5824, "loggameevent" },
    { 0x5825, "logging_road" },
    { 0x5826, "logging_road_end_drop_logic" },
    { 0x5827, "logging_road_gaz_headlight_moment" },
    { 0x5828, "logging_road_logic" },
    { 0x5829, "logging_road_loud_combat" },
    { 0x582A, "logging_road_loud_combat_end" },
    { 0x582B, "logging_road_loud_combat_enemy_think" },
    { 0x582C, "logging_road_loud_combat_field" },
    { 0x582D, "logging_road_loud_combat_mech_march" },
    { 0x582E, "logging_road_loud_combat_trench" },
    { 0x582F, "logging_road_mud_tracks" },
    { 0x5830, "logging_road_mud_tracks_2" },
    { 0x5831, "logging_road_post_vrap" },
    { 0x5832, "logging_road_seeker_save" },
    { 0x5833, "logic" },
    { 0x5834, "loginitialstats" },
    { 0x5835, "logkillevent" },
    { 0x5836, "logkillsconfirmed" },
    { 0x5837, "logkillsdenied" },
    { 0x5838, "logkillstreakevent" },
    { 0x5839, "logloadout" },
    { 0x583A, "logmultikill" },
    { 0x583B, "logplayerandkilleradsandfov" },
    { 0x583C, "logplayerandkillerexomovedata" },
    { 0x583D, "logplayerandkillershieldcloakhoveractive" },
    { 0x583E, "logplayerandkillerstanceandmotionstate" },
    { 0x583F, "logplayerconsoleidandonwifiinmatchdata" },
    { 0x5840, "logplayercostume" },
    { 0x5841, "logplayerdata" },
    { 0x5842, "logplayerdeath" },
    { 0x5843, "logplayerlife" },
    { 0x5844, "logplayerping" },
    { 0x5845, "logplayerstats" },
    { 0x5846, "logplayerxp" },
    { 0x5847, "logprintplayerdeath" },
    { 0x5848, "logspecialassists" },
    { 0x5849, "logweaponstat" },
    { 0x584A, "logxpgains" },
    { 0x584B, "longdeathstarting" },
    { 0x584C, "longregentime" },
    { 0x584D, "longshotevent" },
    { 0x584E, "look_at_damage_trigger" },
    { 0x584F, "look_at_position" },
    { 0x5850, "look_control_on" },
    { 0x5851, "lookahead_path" },
    { 0x5852, "lookahead_value" },
    { 0x5853, "lookangle" },
    { 0x5854, "lookat_roundabout_rappel_trigger" },
    { 0x5855, "lookat_roundabout_tanker_explode_trigger" },
    { 0x5856, "lookat_triggers" },
    { 0x5857, "lookatent" },
    { 0x5858, "lookatidleupdate" },
    { 0x5859, "lookattarget" },
    { 0x585A, "lookbothways" },
    { 0x585B, "lookfast" },
    { 0x585C, "lookforbettercover" },
    { 0x585D, "lookforenemy" },
    { 0x585E, "lookline" },
    { 0x585F, "looklp" },
    { 0x5860, "lookupanim" },
    { 0x5861, "lookupanimarray" },
    { 0x5862, "lookupcameraconstraints" },
    { 0x5863, "lookupdeathquote" },
    { 0x5864, "lookupdoganim" },
    { 0x5865, "lookuptransitionanim" },
    { 0x5866, "loop_cache" },
    { 0x5867, "loop_data" },
    { 0x5868, "loop_duck_scalar" },
    { 0x5869, "loop_ent" },
    { 0x586A, "loop_entity_ref_count" },
    { 0x586B, "loop_fade_time" },
    { 0x586C, "loop_friendly_thermal_reflector_effect" },
    { 0x586D, "loop_fx_on_vehicle_tag" },
    { 0x586E, "loop_fx_sound" },
    { 0x586F, "loop_fx_sound_interval" },
    { 0x5870, "loop_fx_sound_interval_with_angles" },
    { 0x5871, "loop_fx_sound_with_angles" },
    { 0x5872, "loop_handle_index" },
    { 0x5873, "loop_list" },
    { 0x5874, "loop_sound_delete" },
    { 0x5875, "loop_under_construction" },
    { 0x5876, "loop_wait_building_jump" },
    { 0x5877, "loopanims" },
    { 0x5878, "looper" },
    { 0x5879, "loopfx" },
    { 0x587A, "loopfx_ontag" },
    { 0x587B, "loopfxchangedelay" },
    { 0x587C, "loopfxchangeid" },
    { 0x587D, "loopfxchangeorg" },
    { 0x587E, "loopfxdeletion" },
    { 0x587F, "loopfxstop" },
    { 0x5880, "loopfxthread" },
    { 0x5881, "loophide" },
    { 0x5882, "loopidlesound" },
    { 0x5883, "looping_airplanes" },
    { 0x5884, "looping_civilian_path_foodwalkers" },
    { 0x5885, "looping_heli_array" },
    { 0x5886, "looping_helis_currently_moving" },
    { 0x5887, "looping_tank_spawner" },
    { 0x5888, "loopingidleanimation" },
    { 0x5889, "loopingsoundstopnotifies" },
    { 0x588A, "loopmovesound" },
    { 0x588B, "loopreflectoreffect" },
    { 0x588C, "loops" },
    { 0x588D, "loopsound" },
    { 0x588E, "loopsound_ent" },
    { 0x588F, "loopsoundthread" },
    { 0x5890, "loopstingerlockedfeedback" },
    { 0x5891, "loopstingerlockingfeedback" },
    { 0x5892, "lootplaytimevalidated" },
    { 0x5893, "los" },
    { 0x5894, "losendtime" },
    { 0x5895, "losing_connection_multipler" },
    { 0x5896, "lost_civilian_anim_struct" },
    { 0x5897, "lost_civilian_door" },
    { 0x5898, "lost_civilian_guard_watch_for_alert" },
    { 0x5899, "low_ammo" },
    { 0x589A, "low_wall_human" },
    { 0x589B, "lower_accuracy_by_percent" },
    { 0x589C, "lower_elevator_door" },
    { 0x589D, "lower_shield" },
    { 0x589E, "lower_stairwell_door" },
    { 0x589F, "lowering_door_slide_hint" },
    { 0x58A0, "lowering_door_think" },
    { 0x58A1, "lowermessage" },
    { 0x58A2, "lowermessagefont" },
    { 0x58A3, "lowermessages" },
    { 0x58A4, "lowermessagethink" },
    { 0x58A5, "lowertextfontsize" },
    { 0x58A6, "lowertexty" },
    { 0x58A7, "lowertextyalign" },
    { 0x58A8, "lowertimer" },
    { 0x58A9, "lowestwins" },
    { 0x58AA, "lowestwithhalfplayedtime" },
    { 0x58AB, "lowstandisok" },
    { 0x58AC, "lrgvolmin" },
    { 0x58AD, "lsr_rocket_count" },
    { 0x58AE, "lsr_rocket_think" },
    { 0x58AF, "lsr_target_ent" },
    { 0x58B0, "lsr_target_monitor_and_cleanup" },
    { 0x58B1, "lt_harness_breakout" },
    { 0x58B2, "lt_root_climb_key_intensity_init" },
    { 0x58B3, "lt_root_climb_key_shadow_res" },
    { 0x58B4, "lt_root_climb_rim_intensity_init" },
    { 0x58B5, "lt_rt_harness_breakout" },
    { 0x58B6, "ltindices" },
    { 0x58B7, "ltorigin" },
    { 0x58B8, "lunging_take_down" },
    { 0x58B9, "lvl_visionset" },
    { 0x58BA, "m_angledelta" },
    { 0x58BB, "m_anim" },
    { 0x58BC, "m_delta" },
    { 0x58BD, "m_turnanim" },
    { 0x58BE, "m_turret_1_dead_dialogue" },
    { 0x58BF, "m_worldstartpos" },
    { 0x58C0, "m990_hit" },
    { 0x58C1, "machinesparkarray" },
    { 0x58C2, "maddox" },
    { 0x58C3, "mag_glove_get_direction_from_normalized_movement" },
    { 0x58C4, "mag_glove_get_requested_move_direction" },
    { 0x58C5, "mag_glove_orient_to_surface" },
    { 0x58C6, "mag_glove_player_controller" },
    { 0x58C7, "mag_glove_player_mount" },
    { 0x58C8, "mag_glove_precache" },
    { 0x58C9, "mag_hit" },
    { 0x58CA, "mag_mount_link_player" },
    { 0x58CB, "mag_mount_unlink_player" },
    { 0x58CC, "mag_move_dir" },
    { 0x58CD, "mag_rest" },
    { 0x58CE, "mag_to_jump_direction_is_valid" },
    { 0x58CF, "mag_wall_gov_setup" },
    { 0x58D0, "mag_windup_l" },
    { 0x58D1, "mag_windup_r" },
    { 0x58D2, "magic_bullet_death_detection" },
    { 0x58D3, "magic_bullet_kill" },
    { 0x58D4, "magic_bullet_shield" },
    { 0x58D5, "magic_bullet_strafe" },
    { 0x58D6, "magic_distance" },
    { 0x58D7, "magic_emp_grenade" },
    { 0x58D8, "magic_grenades_thrown" },
    { 0x58D9, "magic_smoke_grenade" },
    { 0x58DA, "magic_threat_grenade" },
    { 0x58DB, "magicreloadwhenreachenemy" },
    { 0x58DC, "maglev_by_school_sweetener_num" },
    { 0x58DD, "magnet" },
    { 0x58DE, "magnet_factor" },
    { 0x58DF, "magnet_radius" },
    { 0x58E0, "magnetic_hands_direction_is_valid" },
    { 0x58E1, "magnetoptions" },
    { 0x58E2, "main_anim_idle_vm" },
    { 0x58E3, "main_anims" },
    { 0x58E4, "main_anims_vm" },
    { 0x58E5, "main_autopsy" },
    { 0x58E6, "main_autopsy_halls" },
    { 0x58E7, "main_battle_to_heli" },
    { 0x58E8, "main_camp_spot" },
    { 0x58E9, "main_driver" },
    { 0x58EA, "main_end_escape" },
    { 0x58EB, "main_gatedoor" },
    { 0x58EC, "main_gd" },
    { 0x58ED, "main_heliride" },
    { 0x58EE, "main_incinerator" },
    { 0x58EF, "main_introdrive" },
    { 0x58F0, "main_mb1" },
    { 0x58F1, "main_mb1_intro" },
    { 0x58F2, "main_mb1_jump" },
    { 0x58F3, "main_mb1_mech" },
    { 0x58F4, "main_mb2" },
    { 0x58F5, "main_mb2_gatesmash" },
    { 0x58F6, "main_missle_lighting_floor3" },
    { 0x58F7, "main_missle_lighting_silotop" },
    { 0x58F8, "main_model" },
    { 0x58F9, "main_passenger" },
    { 0x58FA, "main_pod_jets" },
    { 0x58FB, "main_run_to_heli" },
    { 0x58FC, "main_s1elevator" },
    { 0x58FD, "main_s2elevator" },
    { 0x58FE, "main_s2walk" },
    { 0x58FF, "main_s3escape" },
    { 0x5900, "main_s3interrogate" },
    { 0x5901, "main_s3trolley" },
    { 0x5902, "main_test_chamber" },
    { 0x5903, "main_thread" },
    { 0x5904, "main2" },
    { 0x5905, "maingun_fx" },
    { 0x5906, "maingun_fx_override" },
    { 0x5907, "mainloopstart" },
    { 0x5908, "maintain_position" },
    { 0x5909, "maintain_position_around_queen" },
    { 0x590A, "make_all_boats_visible" },
    { 0x590B, "make_ally_jet" },
    { 0x590C, "make_array" },
    { 0x590D, "make_boidcloud" },
    { 0x590E, "make_boidcloud_from_spawned_models" },
    { 0x590F, "make_bridge_big" },
    { 0x5910, "make_bridge_normal" },
    { 0x5911, "make_camera_look_at_talker" },
    { 0x5912, "make_crate_boidcloud" },
    { 0x5913, "make_deaddrone" },
    { 0x5914, "make_discrete_trigger" },
    { 0x5915, "make_drone_crate" },
    { 0x5916, "make_drone_crate_group" },
    { 0x5917, "make_drone_fully_controllable" },
    { 0x5918, "make_drone_turret_target" },
    { 0x5919, "make_drone_turret_target_2" },
    { 0x591A, "make_drop_missile" },
    { 0x591B, "make_droppods" },
    { 0x591C, "make_emp_vulnerable" },
    { 0x591D, "make_empty_breach" },
    { 0x591E, "make_enemy_jet" },
    { 0x591F, "make_enemy_jet_special" },
    { 0x5920, "make_entity_sentient_mp" },
    { 0x5921, "make_exploder_truck" },
    { 0x5922, "make_gate_close_down" },
    { 0x5923, "make_hero" },
    { 0x5924, "make_invulnerable_while_idle" },
    { 0x5925, "make_me_alert" },
    { 0x5926, "make_missile_ammo_hud" },
    { 0x5927, "make_mobile_turret_unusable" },
    { 0x5928, "make_mobile_turret_usable" },
    { 0x5929, "make_modile_turret_invincible" },
    { 0x592A, "make_no_fly_zone" },
    { 0x592B, "make_non_sentient" },
    { 0x592C, "make_queen_invulnerable" },
    { 0x592D, "make_react_explosion" },
    { 0x592E, "make_reentry_strobe" },
    { 0x592F, "make_remaining_player_a_little_stronger" },
    { 0x5930, "make_seat_cormack" },
    { 0x5931, "make_seat_npc" },
    { 0x5932, "make_seat_rack" },
    { 0x5933, "make_shooter_car" },
    { 0x5934, "make_smart_floor_effect" },
    { 0x5935, "make_squirly_path" },
    { 0x5936, "make_tracking_grenade" },
    { 0x5937, "make_vehicl_invicible" },
    { 0x5938, "make_walker" },
    { 0x5939, "make_walker_invulnerable" },
    { 0x593A, "make_walker_tank_invulnerable_for_time" },
    { 0x593B, "makeavailableforbcs" },
    { 0x593C, "makeenemyusable" },
    { 0x593D, "makeentitysentient_func" },
    { 0x593E, "makeexplosivetargetablebyai" },
    { 0x593F, "makegloballyunusablebytype" },
    { 0x5940, "makegloballyusablebytype" },
    { 0x5941, "makehelitype" },
    { 0x5942, "makeinvul" },
    { 0x5943, "makeletterstonumbers" },
    { 0x5944, "makemobileturretunusable" },
    { 0x5945, "makesolid" },
    { 0x5946, "makesureturnworks" },
    { 0x5947, "makesureweaponchanges" },
    { 0x5948, "maketeamusable" },
    { 0x5949, "male_civilian_alert_sound" },
    { 0x594A, "man_overboard" },
    { 0x594B, "man_overboard_helper" },
    { 0x594C, "manage_aim_cursor" },
    { 0x594D, "manage_burke_bike_behavior" },
    { 0x594E, "manage_day_night" },
    { 0x594F, "manage_deck_combat" },
    { 0x5950, "manage_dof" },
    { 0x5951, "manage_force_shadow_lights" },
    { 0x5952, "manage_health_rumble" },
    { 0x5953, "manage_highlight" },
    { 0x5954, "manage_highlight_end" },
    { 0x5955, "manage_laser_beams" },
    { 0x5956, "manage_player_exo" },
    { 0x5957, "manage_player_exo_toggling" },
    { 0x5958, "manage_player_using_mobile_turret" },
    { 0x5959, "manage_staircase_lights" },
    { 0x595A, "manage_turn" },
    { 0x595B, "manage_walker_health" },
    { 0x595C, "manage_windshield_states" },
    { 0x595D, "manga_rocket_explosion" },
    { 0x595E, "manga_rocket_trail" },
    { 0x595F, "mangarocketparentupdate" },
    { 0x5960, "mangarocketupdate" },
    { 0x5961, "manhandled" },
    { 0x5962, "manhandled_spawners" },
    { 0x5963, "manhandler" },
    { 0x5964, "manhandler_hold" },
    { 0x5965, "manhandler_think" },
    { 0x5966, "manhole_lighting" },
    { 0x5967, "manhole_move_start" },
    { 0x5968, "manhole_move_start_foley" },
    { 0x5969, "manhuntintroscreen" },
    { 0x596A, "manipulate_createfx_ents" },
    { 0x596B, "mantle_over_low_wall_38_human" },
    { 0x596C, "mantle_over_low_wall_40_human" },
    { 0x596D, "mantling" },
    { 0x596E, "manual_cannon_reload" },
    { 0x596F, "manual_linkto" },
    { 0x5970, "manual_tag_linkto" },
    { 0x5971, "manual_target" },
    { 0x5972, "manual_think" },
    { 0x5973, "manualdropthink" },
    { 0x5974, "manuallydetonateall" },
    { 0x5975, "manuallydetonated_removeundefined" },
    { 0x5976, "manuallydetonatedarray" },
    { 0x5977, "manuallydetonatefunc" },
    { 0x5978, "manuallyjoiningkillstreak" },
    { 0x5979, "manuallyjoinwarbird" },
    { 0x597A, "manualtarget" },
    { 0x597B, "map_border_hud_updater" },
    { 0x597C, "map_border_trig_array" },
    { 0x597D, "map_extents" },
    { 0x597E, "map_height" },
    { 0x597F, "map_is_early_in_the_game" },
    { 0x5980, "map_sun_flare_position" },
    { 0x5981, "map_width" },
    { 0x5982, "map_without_loadout" },
    { 0x5983, "mapcenter" },
    { 0x5984, "mapcustombotkillstreakfunc" },
    { 0x5985, "mapcustomkillstreakfunc" },
    { 0x5986, "mapkillstreak" },
    { 0x5987, "mapkillstreakautodropindex" },
    { 0x5988, "mapkillstreakdamagefeedbacksound" },
    { 0x5989, "mapkillstreakevent" },
    { 0x598A, "mapkillstreakpickupstring" },
    { 0x598B, "maprange" },
    { 0x598C, "maps" },
    { 0x598D, "mapsize" },
    { 0x598E, "mapstreaksdisabled" },
    { 0x598F, "marine_3" },
    { 0x5990, "mark_adjacent_script_cars" },
    { 0x5991, "mark_and_execute_off" },
    { 0x5992, "mark_and_execute_on" },
    { 0x5993, "mark_and_execute_vo_controller" },
    { 0x5994, "mark_enemies" },
    { 0x5995, "mark_enemy" },
    { 0x5996, "mark_enemy_model" },
    { 0x5997, "mark_friendly_model" },
    { 0x5998, "mark_fx" },
    { 0x5999, "mark_guy_fx" },
    { 0x599A, "mark_monitor" },
    { 0x599B, "mark_nodes_near_spawnnodes_and_startnodes" },
    { 0x599C, "mark_stats_checkpoint" },
    { 0x599D, "mark_stencil" },
    { 0x599E, "mark_swarm_target" },
    { 0x599F, "markallies" },
    { 0x59A0, "markalliesenemytarget" },
    { 0x59A1, "markallytargets" },
    { 0x59A2, "markatriumenemiesatwarning" },
    { 0x59A3, "markdistance" },
    { 0x59A4, "markdronetargetally" },
    { 0x59A5, "markdronetargetenemy" },
    { 0x59A6, "markdronetargetvehicle" },
    { 0x59A7, "marked" },
    { 0x59A8, "marked_enemy" },
    { 0x59A9, "marked_enemy_death_cleanup" },
    { 0x59AA, "marked_enemy_marker" },
    { 0x59AB, "markedplayerarray" },
    { 0x59AC, "markedplayers" },
    { 0x59AD, "markedturretarray" },
    { 0x59AE, "markenemyposinvisible" },
    { 0x59AF, "market_kill_volume" },
    { 0x59B0, "market_walla_cleanup" },
    { 0x59B1, "market_walla_init" },
    { 0x59B2, "marketcamiszoomed" },
    { 0x59B3, "marketdecoywalk" },
    { 0x59B4, "marketenemyinit" },
    { 0x59B5, "marketguybadplace" },
    { 0x59B6, "markethost" },
    { 0x59B7, "marketkvaambusherdrawgun" },
    { 0x59B8, "marketkvaambusherstopidle" },
    { 0x59B9, "marketkvafollowtargetalerted" },
    { 0x59BA, "marketkvafollowtargetalertmonitor" },
    { 0x59BB, "marketkvafollowtargetbuttoncapture" },
    { 0x59BC, "marketkvafollowtargetbuttonhint" },
    { 0x59BD, "marketkvafollowtargetdrawgun" },
    { 0x59BE, "marketkvafollowtargetgate" },
    { 0x59BF, "marketkvafollowtargetkill" },
    { 0x59C0, "marketkvafollowtargetmeleecheck" },
    { 0x59C1, "marketkvafollowtargetnecksnaprumble" },
    { 0x59C2, "marketkvafollowtargetstopidle" },
    { 0x59C3, "marketkvafollowtargettimer" },
    { 0x59C4, "marketkvafollowtargetwalk1" },
    { 0x59C5, "marketkvafollowtargetwalk2" },
    { 0x59C6, "marketmovekvafollowtarget" },
    { 0x59C7, "marketscanautohighlight" },
    { 0x59C8, "marketscancomplete" },
    { 0x59C9, "markettimewindow" },
    { 0x59CA, "marketvendor" },
    { 0x59CB, "markparkingcars" },
    { 0x59CC, "markplayerasrockettarget" },
    { 0x59CD, "markplayertarget" },
    { 0x59CE, "mash_x" },
    { 0x59CF, "mask" },
    { 0x59D0, "mask_destructibles_in_volumes" },
    { 0x59D1, "mask_exploders_in_volume" },
    { 0x59D2, "mask_interactives_in_volumes" },
    { 0x59D3, "masked_exploder" },
    { 0x59D4, "massnodeinitfunctions" },
    { 0x59D5, "master" },
    { 0x59D6, "master_volume" },
    { 0x59D7, "masterychallengeprocess" },
    { 0x59D8, "match_angles_pos" },
    { 0x59D9, "match_player_floor_percent" },
    { 0x59DA, "match_player_speed" },
    { 0x59DB, "match_speed_to_jet" },
    { 0x59DC, "matchbonus" },
    { 0x59DD, "matchdata" },
    { 0x59DE, "matchforfeittimer" },
    { 0x59DF, "matchforfeittimer_internal" },
    { 0x59E0, "matchmakinggame" },
    { 0x59E1, "matchoutcomenotify" },
    { 0x59E2, "matchrules_allowcustomclasses" },
    { 0x59E3, "matchrules_damagemultiplier" },
    { 0x59E4, "matchrules_numinitialinfected" },
    { 0x59E5, "matchrules_randomize" },
    { 0x59E6, "matchrules_showjuggradaricon" },
    { 0x59E7, "matchrules_switchteamdisabled" },
    { 0x59E8, "matchrules_vampirism" },
    { 0x59E9, "matchstarted" },
    { 0x59EA, "matchstarttimer" },
    { 0x59EB, "matchstarttimer_internal" },
    { 0x59EC, "matchstarttimerskip" },
    { 0x59ED, "matchstarttimerwaitforplayers" },
    { 0x59EE, "matchzonestotriggers" },
    { 0x59EF, "material" },
    { 0x59F0, "materiallayering_ng" },
    { 0x59F1, "matrix33" },
    { 0x59F2, "maverick_counter" },
    { 0x59F3, "max" },
    { 0x59F4, "max_accel" },
    { 0x59F5, "max_active_events" },
    { 0x59F6, "max_bob_period" },
    { 0x59F7, "max_calls_per_frame" },
    { 0x59F8, "max_count" },
    { 0x59F9, "max_delay" },
    { 0x59FA, "max_delta" },
    { 0x59FB, "max_delta_angle" },
    { 0x59FC, "max_drones" },
    { 0x59FD, "max_dx" },
    { 0x59FE, "max_dx_period" },
    { 0x59FF, "max_dy" },
    { 0x5A00, "max_dy_period" },
    { 0x5A01, "max_entities" },
    { 0x5A02, "max_exo_guysalive" },
    { 0x5A03, "max_fake_health" },
    { 0x5A04, "max_fire_time" },
    { 0x5A05, "max_float" },
    { 0x5A06, "max_health" },
    { 0x5A07, "max_health_amplify_object" },
    { 0x5A08, "max_hit_count" },
    { 0x5A09, "max_pitch" },
    { 0x5A0A, "max_pitch_period" },
    { 0x5A0B, "max_pitch_time" },
    { 0x5A0C, "max_points" },
    { 0x5A0D, "max_pt" },
    { 0x5A0E, "max_punishments" },
    { 0x5A0F, "max_radius" },
    { 0x5A10, "max_range" },
    { 0x5A11, "max_roll" },
    { 0x5A12, "max_roll_period" },
    { 0x5A13, "max_sink" },
    { 0x5A14, "max_sniper_burst_delay_time" },
    { 0x5A15, "max_speed" },
    { 0x5A16, "max_start_angle" },
    { 0x5A17, "max_trav_time" },
    { 0x5A18, "max_voices" },
    { 0x5A19, "max_warnings" },
    { 0x5A1A, "max_yaw" },
    { 0x5A1B, "max_yaw_period" },
    { 0x5A1C, "maxalivedogcount" },
    { 0x5A1D, "maxalivedronecount" },
    { 0x5A1E, "maxaliveenemycount" },
    { 0x5A1F, "maxallowedteamkills" },
    { 0x5A20, "maxalpha" },
    { 0x5A21, "maxammopickupsperround" },
    { 0x5A22, "maxanglecheckpitchdelta" },
    { 0x5A23, "maxanglecheckyawdelta" },
    { 0x5A24, "maxburstdelay" },
    { 0x5A25, "maxburstfireinterval" },
    { 0x5A26, "maxclients" },
    { 0x5A27, "maxdamage" },
    { 0x5A28, "maxdamageamount" },
    { 0x5A29, "maxdelay" },
    { 0x5A2A, "maxdestructions" },
    { 0x5A2B, "maxdetpackdamage" },
    { 0x5A2C, "maxdirections" },
    { 0x5A2D, "maxdist" },
    { 0x5A2E, "maxdistancecallout" },
    { 0x5A2F, "maxdistancethreshold" },
    { 0x5A30, "maxdogcount" },
    { 0x5A31, "maxdronecount" },
    { 0x5A32, "maxenemycount" },
    { 0x5A33, "maxentries" },
    { 0x5A34, "maxevents" },
    { 0x5A35, "maxflashedseconds" },
    { 0x5A36, "maxfontscale" },
    { 0x5A37, "maxfriendlies" },
    { 0x5A38, "maxhealthoverlay" },
    { 0x5A39, "maxkillstreaks" },
    { 0x5A3A, "maxlaserrange" },
    { 0x5A3B, "maxlightarmorhp" },
    { 0x5A3C, "maxlightstopsperframe" },
    { 0x5A3D, "maxlives" },
    { 0x5A3E, "maxloadouts" },
    { 0x5A3F, "maxlogclients" },
    { 0x5A40, "maxmove" },
    { 0x5A41, "maxnodes" },
    { 0x5A42, "maxnumawardsperplayer" },
    { 0x5A43, "maxnumchallengesperplayer" },
    { 0x5A44, "maxopacity" },
    { 0x5A45, "maxorbitangle" },
    { 0x5A46, "maxorbitdist" },
    { 0x5A47, "maxperplayerexplosives" },
    { 0x5A48, "maxpickupsperround" },
    { 0x5A49, "maxpitch" },
    { 0x5A4A, "maxplayercount" },
    { 0x5A4B, "maxpoint" },
    { 0x5A4C, "maxradius" },
    { 0x5A4D, "maxrank" },
    { 0x5A4E, "maxrounds" },
    { 0x5A4F, "maxrunngunangle" },
    { 0x5A50, "maxscore" },
    { 0x5A51, "maxspeakers" },
    { 0x5A52, "maxtracecount" },
    { 0x5A53, "maxtracesperframe" },
    { 0x5A54, "maxtrackingrange" },
    { 0x5A55, "maxturn" },
    { 0x5A56, "maxvehiclesallowed" },
    { 0x5A57, "may_change_cover_warning_alpha" },
    { 0x5A58, "maydolaststand" },
    { 0x5A59, "maydolaststandhorde" },
    { 0x5A5A, "maydoupwardsdeath" },
    { 0x5A5B, "maydropweapon" },
    { 0x5A5C, "mayonlydie" },
    { 0x5A5D, "mayprocesschallenges" },
    { 0x5A5E, "mayshootwhilemoving" },
    { 0x5A5F, "mayspawn" },
    { 0x5A60, "maythrowdoublegrenade" },
    { 0x5A61, "mb_off" },
    { 0x5A62, "mb_on" },
    { 0x5A63, "mb_run_to_goal" },
    { 0x5A64, "mb_setup" },
    { 0x5A65, "mb_surprise" },
    { 0x5A66, "mb_tackle" },
    { 0x5A67, "mb2_lift" },
    { 0x5A68, "mb2_lift_enemydeath" },
    { 0x5A69, "mb2_lift_steam" },
    { 0x5A6A, "mb2_max_enemies" },
    { 0x5A6B, "mblur_cam_enable" },
    { 0x5A6C, "mblur_cam_enable_trigger" },
    { 0x5A6D, "mblur_disable" },
    { 0x5A6E, "mblur_disable_trigger" },
    { 0x5A6F, "mblur_enable" },
    { 0x5A70, "mblur_enable_trigger" },
    { 0x5A71, "mblur_intro_fly_in_disable" },
    { 0x5A72, "mblur_intro_fly_in_enable" },
    { 0x5A73, "mblur_off" },
    { 0x5A74, "mblur_on" },
    { 0x5A75, "mblur_rotation_on" },
    { 0x5A76, "mccqueue" },
    { 0x5A77, "mech" },
    { 0x5A78, "mech_action_shoot" },
    { 0x5A79, "mech_action_smash" },
    { 0x5A7A, "mech_action_smash_projectile" },
    { 0x5A7B, "mech_amb" },
    { 0x5A7C, "mech_badplace_behavior" },
    { 0x5A7D, "mech_behavior_init" },
    { 0x5A7E, "mech_bullet_ricochet" },
    { 0x5A7F, "mech_capture_player" },
    { 0x5A80, "mech_convoy_dialogue" },
    { 0x5A81, "mech_corral_alt" },
    { 0x5A82, "mech_crush" },
    { 0x5A83, "mech_damage_end_support" },
    { 0x5A84, "mech_death_function" },
    { 0x5A85, "mech_death_save" },
    { 0x5A86, "mech_death_throw" },
    { 0x5A87, "mech_death_update_objective" },
    { 0x5A88, "mech_do_melee" },
    { 0x5A89, "mech_emp_function" },
    { 0x5A8A, "mech_emp_loop" },
    { 0x5A8B, "mech_enable" },
    { 0x5A8C, "mech_enable_switch_exhaust_version" },
    { 0x5A8D, "mech_entry_action" },
    { 0x5A8E, "mech_error_timeout" },
    { 0x5A8F, "mech_exit_fade_out" },
    { 0x5A90, "mech_exit_gate_lighting" },
    { 0x5A91, "mech_fire_missile" },
    { 0x5A92, "mech_fire_missile_first" },
    { 0x5A93, "mech_fire_rockets" },
    { 0x5A94, "mech_fire_rockets_for_anim" },
    { 0x5A95, "mech_fire_rockets_special" },
    { 0x5A96, "mech_fs_walk_slow" },
    { 0x5A97, "mech_fx" },
    { 0x5A98, "mech_generic_attacking_behavior" },
    { 0x5A99, "mech_generic_human" },
    { 0x5A9A, "mech_get_closest_node" },
    { 0x5A9B, "mech_glass_damage_think" },
    { 0x5A9C, "mech_grapple_init" },
    { 0x5A9D, "mech_grapple_kill_success" },
    { 0x5A9E, "mech_grapple_player_success_loop" },
    { 0x5A9F, "mech_grapple_pull_guy_to_player" },
    { 0x5AA0, "mech_grapple_reset_dof" },
    { 0x5AA1, "mech_grapple_setup_function" },
    { 0x5AA2, "mech_grapple_spawn_mech_guy" },
    { 0x5AA3, "mech_grapple_spawn_mech_parts" },
    { 0x5AA4, "mech_grapple_start_slowmo" },
    { 0x5AA5, "mech_grapple_start_speedup" },
    { 0x5AA6, "mech_grapple_stop_slowmo" },
    { 0x5AA7, "mech_grapple_tappy_fail" },
    { 0x5AA8, "mech_grapple_tappy_monitor_button_presses" },
    { 0x5AA9, "mech_grapple_tappy_pressed" },
    { 0x5AAA, "mech_grapple_tappy_success" },
    { 0x5AAB, "mech_handle_grapple_tappy" },
    { 0x5AAC, "mech_handle_grapple_tappy_sound" },
    { 0x5AAD, "mech_hit_vfx" },
    { 0x5AAE, "mech_hunt_alter_turnrates" },
    { 0x5AAF, "mech_hunt_immediately_behavior" },
    { 0x5AB0, "mech_hunt_stealth_behavior" },
    { 0x5AB1, "mech_incoming_damage_modifiers" },
    { 0x5AB2, "mech_incoming_damage_modifiers_baghdad" },
    { 0x5AB3, "mech_incoming_damage_target_player" },
    { 0x5AB4, "mech_init" },
    { 0x5AB5, "mech_initialized" },
    { 0x5AB6, "mech_intro_gate_lighting" },
    { 0x5AB7, "mech_intro_land_dust" },
    { 0x5AB8, "mech_is_hunting" },
    { 0x5AB9, "mech_is_shooting_rockets" },
    { 0x5ABA, "mech_linkplayerview_rocket" },
    { 0x5ABB, "mech_long_distance_damage" },
    { 0x5ABC, "mech_lower_rocket_pod" },
    { 0x5ABD, "mech_lower_turnrates" },
    { 0x5ABE, "mech_march_follower_enemy_think" },
    { 0x5ABF, "mech_march_footstep_rumbles" },
    { 0x5AC0, "mech_march_logic" },
    { 0x5AC1, "mech_march_runner_enemy_think" },
    { 0x5AC2, "mech_max_health" },
    { 0x5AC3, "mech_melee_behavior" },
    { 0x5AC4, "mech_melee_endscript" },
    { 0x5AC5, "mech_melee_is_valid" },
    { 0x5AC6, "mech_melee_trace_passed" },
    { 0x5AC7, "mech_metal_rattle" },
    { 0x5AC8, "mech_minigun_loop" },
    { 0x5AC9, "mech_movement" },
    { 0x5ACA, "mech_obj_loop" },
    { 0x5ACB, "mech_obj_move" },
    { 0x5ACC, "mech_objective_nag" },
    { 0x5ACD, "mech_pain_adder" },
    { 0x5ACE, "mech_pain_loop" },
    { 0x5ACF, "mech_pilot" },
    { 0x5AD0, "mech_player_anims" },
    { 0x5AD1, "mech_precise_target_position" },
    { 0x5AD2, "mech_raise_rocket_pod" },
    { 0x5AD3, "mech_random_missile_attractor_cleanup" },
    { 0x5AD4, "mech_random_missile_attractors" },
    { 0x5AD5, "mech_rocket_clear" },
    { 0x5AD6, "mech_rocket_deploy_projectile_think" },
    { 0x5AD7, "mech_rocket_fire_timeout" },
    { 0x5AD8, "mech_rocket_launcher_behavior" },
    { 0x5AD9, "mech_rocket_projectile_think" },
    { 0x5ADA, "mech_scan" },
    { 0x5ADB, "mech_script_model_anims" },
    { 0x5ADC, "mech_script_models" },
    { 0x5ADD, "mech_set_goal_node" },
    { 0x5ADE, "mech_setup" },
    { 0x5ADF, "mech_setup_grapple_tappy" },
    { 0x5AE0, "mech_setup_player_for_forced_walk_scene" },
    { 0x5AE1, "mech_setup_player_for_gameplay" },
    { 0x5AE2, "mech_setup_player_for_scene" },
    { 0x5AE3, "mech_slate_quick" },
    { 0x5AE4, "mech_spawn_player_rig" },
    { 0x5AE5, "mech_spawn_warbird" },
    { 0x5AE6, "mech_splode_sound" },
    { 0x5AE7, "mech_start_badplace_behavior" },
    { 0x5AE8, "mech_start_generic_attacking" },
    { 0x5AE9, "mech_start_grapple_tappy" },
    { 0x5AEA, "mech_start_hunting" },
    { 0x5AEB, "mech_start_reduced_nonplayer_damage" },
    { 0x5AEC, "mech_start_rockets" },
    { 0x5AED, "mech_start_target_attacker" },
    { 0x5AEE, "mech_steps" },
    { 0x5AEF, "mech_stop_badplace_behavior" },
    { 0x5AF0, "mech_stop_boost_slam_sp_dmg" },
    { 0x5AF1, "mech_stop_generic_attacking" },
    { 0x5AF2, "mech_stop_hunting" },
    { 0x5AF3, "mech_stop_reduced_nonplayer_damage" },
    { 0x5AF4, "mech_stop_rockets" },
    { 0x5AF5, "mech_stop_target_attacker" },
    { 0x5AF6, "mech_swarm_line_of_sight_lock_duration" },
    { 0x5AF7, "mech_swarm_number_of_rockets_per_target" },
    { 0x5AF8, "mech_swarm_rocket_dud_max_count" },
    { 0x5AF9, "mech_swarm_rocket_dud_min_count" },
    { 0x5AFA, "mech_swarm_rocket_max_targets" },
    { 0x5AFB, "mech_swarm_skip_line_of_sight_obstruction_test" },
    { 0x5AFC, "mech_swarm_two_stage_swarm_homing_distance" },
    { 0x5AFD, "mech_swarm_two_stage_swarm_homing_strength" },
    { 0x5AFE, "mech_swarm_use_two_stage_swarm" },
    { 0x5AFF, "mech_target_attacker" },
    { 0x5B00, "mech_threat_paint_delay" },
    { 0x5B01, "mech_turn_loop" },
    { 0x5B02, "mech_unlinkplayerview_rocket" },
    { 0x5B03, "mech_using_this_node" },
    { 0x5B04, "mech_vehicle_anims" },
    { 0x5B05, "mech_vfx_loop" },
    { 0x5B06, "mech_victim_death_func" },
    { 0x5B07, "mech_wait_for_drop" },
    { 0x5B08, "mech_wall_smash" },
    { 0x5B09, "mech_wall_smash_3d" },
    { 0x5B0A, "mech_warehouse_door_smash" },
    { 0x5B0B, "mech_weapon_offline" },
    { 0x5B0C, "mech1" },
    { 0x5B0D, "mech1_animdrop" },
    { 0x5B0E, "mech1_death_move_monsters" },
    { 0x5B0F, "mech1_dropfx" },
    { 0x5B10, "mech1_dropsound" },
    { 0x5B11, "mech1_focal_change" },
    { 0x5B12, "mech1_forceangle" },
    { 0x5B13, "mech1_logic" },
    { 0x5B14, "mech2" },
    { 0x5B15, "mech3_logic" },
    { 0x5B16, "mech4_death_move_monsters" },
    { 0x5B17, "mech4_logic" },
    { 0x5B18, "mechanism_center_lights_event_fx" },
    { 0x5B19, "mechbird_handlecloak" },
    { 0x5B1A, "mechdata" },
    { 0x5B1B, "mechdata_left_bones" },
    { 0x5B1C, "mechdata_right_bones" },
    { 0x5B1D, "mechhealth" },
    { 0x5B1E, "mechmissileattractors" },
    { 0x5B1F, "mechmissilerepulsors" },
    { 0x5B20, "mechpainbuildup" },
    { 0x5B21, "mechrocketdebug" },
    { 0x5B22, "mechs_attacking_me" },
    { 0x5B23, "mechs_focal_change" },
    { 0x5B24, "mechs_living" },
    { 0x5B25, "mechs_motorpool_animation" },
    { 0x5B26, "mechs_upclose" },
    { 0x5B27, "mechuistate" },
    { 0x5B28, "median_crash" },
    { 0x5B29, "median_cross" },
    { 0x5B2A, "medium_orbitalsupport_ammo" },
    { 0x5B2B, "medvolmin" },
    { 0x5B2C, "meet_cormack_cormack" },
    { 0x5B2D, "meet_cormack_kill_org" },
    { 0x5B2E, "meet_cormack_pt2_begin" },
    { 0x5B2F, "meet_cormack_pt2_enemies" },
    { 0x5B30, "meet_cormack_pt2_main" },
    { 0x5B31, "meet_cormack_pt2_start" },
    { 0x5B32, "meet_cormack_pt2_vo" },
    { 0x5B33, "melee" },
    { 0x5B34, "melee_able_timer" },
    { 0x5B35, "melee_acquiremutex" },
    { 0x5B36, "melee_aivsai_animcustominterruptionmonitor" },
    { 0x5B37, "melee_aivsai_chooseaction" },
    { 0x5B38, "melee_aivsai_execute" },
    { 0x5B39, "melee_aivsai_exposed_chooseanimationandposition" },
    { 0x5B3A, "melee_aivsai_exposed_chooseanimationandposition_behind" },
    { 0x5B3B, "melee_aivsai_exposed_chooseanimationandposition_buildexposedlist" },
    { 0x5B3C, "melee_aivsai_exposed_chooseanimationandposition_flip" },
    { 0x5B3D, "melee_aivsai_exposed_chooseanimationandposition_wrestle" },
    { 0x5B3E, "melee_aivsai_getinposition" },
    { 0x5B3F, "melee_aivsai_getinposition_finalize" },
    { 0x5B40, "melee_aivsai_getinposition_issuccessful" },
    { 0x5B41, "melee_aivsai_getinposition_updateandvalidatetarget" },
    { 0x5B42, "melee_aivsai_main" },
    { 0x5B43, "melee_aivsai_schedulenotetracklink" },
    { 0x5B44, "melee_aivsai_specialcover_canexecute" },
    { 0x5B45, "melee_aivsai_specialcover_chooseanimationandposition" },
    { 0x5B46, "melee_aivsai_targetlink" },
    { 0x5B47, "melee_chooseaction" },
    { 0x5B48, "melee_clearfacialanim" },
    { 0x5B49, "melee_damage_trigger" },
    { 0x5B4A, "melee_deathhandler_delayed" },
    { 0x5B4B, "melee_deathhandler_regular" },
    { 0x5B4C, "melee_decide_winner" },
    { 0x5B4D, "melee_disableinterruptions" },
    { 0x5B4E, "melee_dogcleanup" },
    { 0x5B4F, "melee_droppedweaponmonitorthread" },
    { 0x5B50, "melee_droppedweaponrestore" },
    { 0x5B51, "melee_endscript" },
    { 0x5B52, "melee_endscript_checkdeath" },
    { 0x5B53, "melee_endscript_checkpositionandmovement" },
    { 0x5B54, "melee_endscript_checkstatechanges" },
    { 0x5B55, "melee_endscript_checkweapon" },
    { 0x5B56, "melee_enemy" },
    { 0x5B57, "melee_enemy_new_node_time" },
    { 0x5B58, "melee_enemy_node" },
    { 0x5B59, "melee_handlenotetracks" },
    { 0x5B5A, "melee_handlenotetracks_death" },
    { 0x5B5B, "melee_handlenotetracks_shoulddieafterunsync" },
    { 0x5B5C, "melee_handlenotetracks_unsync" },
    { 0x5B5D, "melee_hint_displayed" },
    { 0x5B5E, "melee_init" },
    { 0x5B5F, "melee_isvalid" },
    { 0x5B60, "melee_mainloop" },
    { 0x5B61, "melee_needsweaponswap" },
    { 0x5B62, "melee_partnerendedmeleemonitorthread" },
    { 0x5B63, "melee_partnerendedmeleemonitorthread_shouldanimsurvive" },
    { 0x5B64, "melee_playchargesound" },
    { 0x5B65, "melee_playfacialanim" },
    { 0x5B66, "melee_pressed" },
    { 0x5B67, "melee_releasemutex" },
    { 0x5B68, "melee_resetaction" },
    { 0x5B69, "melee_self_at_same_node_time" },
    { 0x5B6A, "melee_self_new_node_time" },
    { 0x5B6B, "melee_self_node" },
    { 0x5B6C, "melee_standard_checktimeconstraints" },
    { 0x5B6D, "melee_standard_chooseaction" },
    { 0x5B6E, "melee_standard_delaystandardcharge" },
    { 0x5B6F, "melee_standard_getinposition" },
    { 0x5B70, "melee_standard_main" },
    { 0x5B71, "melee_standard_playattackloop" },
    { 0x5B72, "melee_standard_resetgiveuptime" },
    { 0x5B73, "melee_standard_updateandvalidatetarget" },
    { 0x5B74, "melee_startmovement" },
    { 0x5B75, "melee_stealthcheck" },
    { 0x5B76, "melee_stopmovement" },
    { 0x5B77, "melee_threat" },
    { 0x5B78, "melee_tryexecuting" },
    { 0x5B79, "melee_unlink" },
    { 0x5B7A, "melee_unlinkinternal" },
    { 0x5B7B, "melee_updateandvalidatestartpos" },
    { 0x5B7C, "meleealwayswin" },
    { 0x5B7D, "meleeattackcheck_whilemoving" },
    { 0x5B7E, "meleebiteattackplayer" },
    { 0x5B7F, "meleechargedistsq" },
    { 0x5B80, "meleecoverchargegraceendtime" },
    { 0x5B81, "meleecoverchargemintime" },
    { 0x5B82, "meleed" },
    { 0x5B83, "meleedamage" },
    { 0x5B84, "meleefailed" },
    { 0x5B85, "meleeforcedexposedflip" },
    { 0x5B86, "meleeforcedexposedwrestle" },
    { 0x5B87, "meleegetattackercardinaldirection" },
    { 0x5B88, "meleeingplayer" },
    { 0x5B89, "meleekilltarget" },
    { 0x5B8A, "meleeplayerwhilemoving" },
    { 0x5B8B, "meleeradiussq" },
    { 0x5B8C, "meleeseq" },
    { 0x5B8D, "meleestate" },
    { 0x5B8E, "meleestruggle_istraverse" },
    { 0x5B8F, "meleestrugglevsai" },
    { 0x5B90, "meleestrugglevsai_interrupted_animcustom" },
    { 0x5B91, "meleestrugglevsai_interrupted_animcustom_cleanup" },
    { 0x5B92, "meleestrugglevsai_interruptedcheck" },
    { 0x5B93, "meleestrugglevsai_traverse" },
    { 0x5B94, "meleestrugglevsdog" },
    { 0x5B95, "meleestrugglevsdog_collision" },
    { 0x5B96, "meleestrugglevsdog_end" },
    { 0x5B97, "meleestrugglevsdog_interruptedcheck" },
    { 0x5B98, "meleestrugglevsdog_justdie" },
    { 0x5B99, "meleestrugglevsdog_traverse" },
    { 0x5B9A, "memberaddfuncs" },
    { 0x5B9B, "memberaddstrings" },
    { 0x5B9C, "membercombatwaiter" },
    { 0x5B9D, "membercount" },
    { 0x5B9E, "memberdeathwaiter" },
    { 0x5B9F, "memberhastimedout" },
    { 0x5BA0, "memberid" },
    { 0x5BA1, "memberremovefuncs" },
    { 0x5BA2, "memberremovestrings" },
    { 0x5BA3, "members" },
    { 0x5BA4, "membertimeout" },
    { 0x5BA5, "menu" },
    { 0x5BA6, "menu_add_options" },
    { 0x5BA7, "menu_change_selected_fx" },
    { 0x5BA8, "menu_create" },
    { 0x5BA9, "menu_create_select" },
    { 0x5BAA, "menu_fx_creation" },
    { 0x5BAB, "menu_fx_option_set" },
    { 0x5BAC, "menu_none" },
    { 0x5BAD, "menu_select_by_name" },
    { 0x5BAE, "menuclass" },
    { 0x5BAF, "menugiveclass" },
    { 0x5BB0, "menunone" },
    { 0x5BB1, "menus" },
    { 0x5BB2, "menuspectator" },
    { 0x5BB3, "merge_lane" },
    { 0x5BB4, "merida" },
    { 0x5BB5, "message_handlers" },
    { 0x5BB6, "messages" },
    { 0x5BB7, "metal_detector" },
    { 0x5BB8, "metal_detector_dmg_monitor" },
    { 0x5BB9, "metal_detector_touch_monitor" },
    { 0x5BBA, "metal_detector_weapons" },
    { 0x5BBB, "methodsinit" },
    { 0x5BBC, "mg_animmg" },
    { 0x5BBD, "mg_gunner_death_notify" },
    { 0x5BBE, "mg_gunner_team" },
    { 0x5BBF, "mg42" },
    { 0x5BC0, "mg42_enabled" },
    { 0x5BC1, "mg42_firing" },
    { 0x5BC2, "mg42_gunner_manual_think" },
    { 0x5BC3, "mg42_gunner_think" },
    { 0x5BC4, "mg42_hide_distance" },
    { 0x5BC5, "mg42_setdifficulty" },
    { 0x5BC6, "mg42_suppressionfire" },
    { 0x5BC7, "mg42_target_drones" },
    { 0x5BC8, "mg42_think" },
    { 0x5BC9, "mg42_trigger" },
    { 0x5BCA, "mg42badplace_maxtime" },
    { 0x5BCB, "mg42badplace_mintime" },
    { 0x5BCC, "mg42pain" },
    { 0x5BCD, "mginit" },
    { 0x5BCE, "mgkill" },
    { 0x5BCF, "mgoff" },
    { 0x5BD0, "mgon" },
    { 0x5BD1, "mgteam_take_turns_firing" },
    { 0x5BD2, "mgturret" },
    { 0x5BD3, "mgturret_auto" },
    { 0x5BD4, "mgturretleft" },
    { 0x5BD5, "mgturretright" },
    { 0x5BD6, "mgturretsettings" },
    { 0x5BD7, "mgun_left" },
    { 0x5BD8, "mgun_right" },
    { 0x5BD9, "mhunt_cafe_cam_enter_front" },
    { 0x5BDA, "mhunt_cafe_cam_exit_front" },
    { 0x5BDB, "mhunt_cafe_cam_scan_fail" },
    { 0x5BDC, "mhunt_cafe_cam_scan_get" },
    { 0x5BDD, "mhunt_cafe_cam_scan_start" },
    { 0x5BDE, "mhunt_cafe_cam_scan_stop" },
    { 0x5BDF, "mhunt_cafe_cam_scan_target" },
    { 0x5BE0, "mhunt_cafe_cam_switch" },
    { 0x5BE1, "mhunt_cafe_cam_zoom_in" },
    { 0x5BE2, "mhunt_cafe_cam_zoom_out" },
    { 0x5BE3, "mhunt_cafe_cam1_switch" },
    { 0x5BE4, "mhunt_cafe_cam2_switch" },
    { 0x5BE5, "mhunt_cafe_cam3_switch" },
    { 0x5BE6, "mhunt_cafe_cam4_switch" },
    { 0x5BE7, "mhunt_cc_assault_veh_01_approach" },
    { 0x5BE8, "mhunt_cc_assault_veh_02_approach" },
    { 0x5BE9, "mhunt_cc_assault_veh_03_approach" },
    { 0x5BEA, "mhunt_cc_hades_veh_escape" },
    { 0x5BEB, "mhunt_cc_parked_car_expl" },
    { 0x5BEC, "mhunt_level_end" },
    { 0x5BED, "mhunt_melee_keycard_tkdwn" },
    { 0x5BEE, "mhunt_safehouse_cc_expl_distant" },
    { 0x5BEF, "mhunt_snpr_blood_impact_splat" },
    { 0x5BF0, "mhunt_snpr_dest_cafe_wall" },
    { 0x5BF1, "mhunt_snpr_tower_collapse" },
    { 0x5BF2, "mhunt_tv_broadcast" },
    { 0x5BF3, "mhunt_tv_dest_expl" },
    { 0x5BF4, "mi17_condition_callback_to_fly" },
    { 0x5BF5, "mi17_condition_callback_to_flyby" },
    { 0x5BF6, "mi17_condition_callback_to_hover" },
    { 0x5BF7, "mi17_input_callback_about_to_unload" },
    { 0x5BF8, "mi17_input_callback_facing" },
    { 0x5BF9, "microdrone_get_best_target" },
    { 0x5BFA, "microdrone_get_target_offset" },
    { 0x5BFB, "microdrone_get_target_pos" },
    { 0x5BFC, "microdrone_think" },
    { 0x5BFD, "microdronelauncher_cleanup" },
    { 0x5BFE, "microwave_claim_safe_node" },
    { 0x5BFF, "microwave_grenade_ai_flee_pulse" },
    { 0x5C00, "microwave_grenade_explode_wait" },
    { 0x5C01, "microwave_set_safe_goal" },
    { 0x5C02, "microwaved" },
    { 0x5C03, "microwaveded_ai" },
    { 0x5C04, "mid_dude" },
    { 0x5C05, "mid_dude_dead" },
    { 0x5C06, "mid_gunfire_timer" },
    { 0x5C07, "midair_exp_audio" },
    { 0x5C08, "midair_exp_glass" },
    { 0x5C09, "middle_civ_manager" },
    { 0x5C0A, "middle_takedown_gun_up" },
    { 0x5C0B, "middle_takedown_tread_fx" },
    { 0x5C0C, "midpoint" },
    { 0x5C0D, "midspawns" },
    { 0x5C0E, "mig29_afterburners_node_wait" },
    { 0x5C0F, "mig29_fire" },
    { 0x5C10, "mig29_fire_missiles" },
    { 0x5C11, "mig29_gun_dives" },
    { 0x5C12, "mig29_missile_dives" },
    { 0x5C13, "mig29_missile_set_target" },
    { 0x5C14, "mig29_wait_fire_missile" },
    { 0x5C15, "mig29_wait_start_firing" },
    { 0x5C16, "mig29_wait_stop_firing" },
    { 0x5C17, "military_drone_guards_patrol_think" },
    { 0x5C18, "military_drone_guards_stationary_think" },
    { 0x5C19, "military_drone_runners_think" },
    { 0x5C1A, "military_drone_stationary_think" },
    { 0x5C1B, "mimic_player_move" },
    { 0x5C1C, "min" },
    { 0x5C1D, "min_alert_level_duration" },
    { 0x5C1E, "min_bob_period" },
    { 0x5C1F, "min_delay" },
    { 0x5C20, "min_delta" },
    { 0x5C21, "min_delta_angle" },
    { 0x5C22, "min_drone_swarm_size" },
    { 0x5C23, "min_dx_period" },
    { 0x5C24, "min_dy_period" },
    { 0x5C25, "min_fire_time" },
    { 0x5C26, "min_flyingby_wait" },
    { 0x5C27, "min_flyingover_wait" },
    { 0x5C28, "min_heavy" },
    { 0x5C29, "min_light" },
    { 0x5C2A, "min_num_bots_assaulting_first_flag" },
    { 0x5C2B, "min_pitch" },
    { 0x5C2C, "min_pitch_period" },
    { 0x5C2D, "min_pitch_time" },
    { 0x5C2E, "min_pt" },
    { 0x5C2F, "min_radius" },
    { 0x5C30, "min_range" },
    { 0x5C31, "min_retrigger_time" },
    { 0x5C32, "min_roll_period" },
    { 0x5C33, "min_sniper_burst_delay_time" },
    { 0x5C34, "min_speed" },
    { 0x5C35, "min_speed_ips" },
    { 0x5C36, "min_start_angle" },
    { 0x5C37, "min_trav_time" },
    { 0x5C38, "min_unload_frac_to_flop" },
    { 0x5C39, "min_weap_clean2" },
    { 0x5C3A, "min_yaw_period" },
    { 0x5C3B, "minburstdelay" },
    { 0x5C3C, "minburstfireinterval" },
    { 0x5C3D, "mindamage" },
    { 0x5C3E, "mindamageamount" },
    { 0x5C3F, "mindelay" },
    { 0x5C40, "mindetpackdamage" },
    { 0x5C41, "mindistancecallout" },
    { 0x5C42, "mindistsquared" },
    { 0x5C43, "mindot" },
    { 0x5C44, "mine_beacon" },
    { 0x5C45, "mine_explode" },
    { 0x5C46, "mine_launch" },
    { 0x5C47, "mine_spin" },
    { 0x5C48, "minebeacon" },
    { 0x5C49, "minebeaconteamupdater" },
    { 0x5C4A, "minebounce" },
    { 0x5C4B, "minechangeowner" },
    { 0x5C4C, "minecountdown" },
    { 0x5C4D, "minedamagedebug" },
    { 0x5C4E, "minedamagehalfheight" },
    { 0x5C4F, "minedamageheightpassed" },
    { 0x5C50, "minedamagemax" },
    { 0x5C51, "minedamagemin" },
    { 0x5C52, "minedamagemonitor" },
    { 0x5C53, "minedamageradius" },
    { 0x5C54, "minedeletetrigger" },
    { 0x5C55, "minedetectiongraceperiod" },
    { 0x5C56, "minedetectionheight" },
    { 0x5C57, "minedetectionradius" },
    { 0x5C58, "mineexplode" },
    { 0x5C59, "mineproximitytrigger" },
    { 0x5C5A, "mines" },
    { 0x5C5B, "mineselfdestruct" },
    { 0x5C5C, "mineselfdestructtime" },
    { 0x5C5D, "minestunbegin" },
    { 0x5C5E, "minestunend" },
    { 0x5C5F, "minethrown" },
    { 0x5C60, "minewatchownerchangeteams" },
    { 0x5C61, "minewatchownerdisconnect" },
    { 0x5C62, "minexposedgrenadedist" },
    { 0x5C63, "mini_chute_hide" },
    { 0x5C64, "mini_chutes" },
    { 0x5C65, "mini_plane_controls" },
    { 0x5C66, "mini_version" },
    { 0x5C67, "minigun_ai_target_cleanup" },
    { 0x5C68, "minigun_cleanup_func" },
    { 0x5C69, "minigun_fire" },
    { 0x5C6A, "minigun_ignoreme" },
    { 0x5C6B, "minigun_spindown" },
    { 0x5C6C, "minigun_spindown_sound" },
    { 0x5C6D, "minigun_spinup" },
    { 0x5C6E, "minigunsspinning" },
    { 0x5C6F, "minigunweapon" },
    { 0x5C70, "minimap_image" },
    { 0x5C71, "minimapcornertargetname" },
    { 0x5C72, "minimapheight" },
    { 0x5C73, "minimapicon" },
    { 0x5C74, "minimaporigin" },
    { 0x5C75, "minimapplayer" },
    { 0x5C76, "minimum_in_sights_needed" },
    { 0x5C77, "minindoortime" },
    { 0x5C78, "minion_ai" },
    { 0x5C79, "minion_count_hud" },
    { 0x5C7A, "minion_damage" },
    { 0x5C7B, "minion_max_hud" },
    { 0x5C7C, "minion_spawn_timer_hud" },
    { 0x5C7D, "minionstreak" },
    { 0x5C7E, "minlfevolumethreshold" },
    { 0x5C7F, "minoffsetfromowner" },
    { 0x5C80, "minorbitdist" },
    { 0x5C81, "minpitch" },
    { 0x5C82, "minpoint" },
    { 0x5C83, "minpointmodpos" },
    { 0x5C84, "minradius" },
    { 0x5C85, "minrate" },
    { 0x5C86, "mintimethreshold" },
    { 0x5C87, "miss_player" },
    { 0x5C88, "missile_abort_if_owner_destroyed" },
    { 0x5C89, "missile_array" },
    { 0x5C8A, "missile_auto_reload" },
    { 0x5C8B, "missile_damage_think" },
    { 0x5C8C, "missile_deathwait" },
    { 0x5C8D, "missile_defense_precache" },
    { 0x5C8E, "missile_delayed_trail" },
    { 0x5C8F, "missile_delete" },
    { 0x5C90, "missile_door_close" },
    { 0x5C91, "missile_door_open" },
    { 0x5C92, "missile_earthquake" },
    { 0x5C93, "missile_fire_audio" },
    { 0x5C94, "missile_fire_audio_end" },
    { 0x5C95, "missile_fly" },
    { 0x5C96, "missile_handle_threat_grenade" },
    { 0x5C97, "missile_hint" },
    { 0x5C98, "missile_hit_warbird_b" },
    { 0x5C99, "missile_idx" },
    { 0x5C9A, "missile_large_thrusters_off" },
    { 0x5C9B, "missile_lock_sounds" },
    { 0x5C9C, "missile_miss_player" },
    { 0x5C9D, "missile_model" },
    { 0x5C9E, "missile_object" },
    { 0x5C9F, "missile_org" },
    { 0x5CA0, "missile_reload_system" },
    { 0x5CA1, "missile_settargetandflightmode" },
    { 0x5CA2, "missile_small_thrusters_off" },
    { 0x5CA3, "missile_start_offset" },
    { 0x5CA4, "missile_starts" },
    { 0x5CA5, "missile_stopped" },
    { 0x5CA6, "missile_strike_gas_clouds" },
    { 0x5CA7, "missile_stuff" },
    { 0x5CA8, "missile_target" },
    { 0x5CA9, "missile_target_icons" },
    { 0x5CAA, "missile_target_onscreen_guys_first" },
    { 0x5CAB, "missile_targetting" },
    { 0x5CAC, "missile_test" },
    { 0x5CAD, "missile_tracking_hud" },
    { 0x5CAE, "missile_turret_think" },
    { 0x5CAF, "missile_turrets_on" },
    { 0x5CB0, "missileammo" },
    { 0x5CB1, "missileattractor" },
    { 0x5CB2, "missileboostused" },
    { 0x5CB3, "missilechem" },
    { 0x5CB4, "missiledooropen" },
    { 0x5CB5, "missileexplosion" },
    { 0x5CB6, "missileeyes" },
    { 0x5CB7, "missileeyesgo" },
    { 0x5CB8, "missileeyesinit" },
    { 0x5CB9, "missilefx" },
    { 0x5CBA, "missilelaunchnexttag" },
    { 0x5CBB, "missilelosetarget" },
    { 0x5CBC, "missilemodel" },
    { 0x5CBD, "missileparticles" },
    { 0x5CBE, "missileplayexplodeeffectforplayer" },
    { 0x5CBF, "missiles" },
    { 0x5CC0, "missiles_loaded_count" },
    { 0x5CC1, "missiles_strike_building" },
    { 0x5CC2, "missiles_strike_explo" },
    { 0x5CC3, "missilespawn" },
    { 0x5CC4, "missilestrikegastime" },
    { 0x5CC5, "missilestrikeondeath" },
    { 0x5CC6, "missiletag" },
    { 0x5CC7, "missiletags" },
    { 0x5CC8, "missiletags_left" },
    { 0x5CC9, "missiletags_right" },
    { 0x5CCA, "missiletagsready" },
    { 0x5CCB, "missilewatchproximity" },
    { 0x5CCC, "missing_animation_parameters" },
    { 0x5CCD, "missing_animations" },
    { 0x5CCE, "mission_fail_func" },
    { 0x5CCF, "mission_fail_on_civilian_death" },
    { 0x5CD0, "mission_fail_on_dead" },
    { 0x5CD1, "mission_fail_warning" },
    { 0x5CD2, "mission_fail_warning_exitdrive" },
    { 0x5CD3, "mission_out_of_bounds_fail" },
    { 0x5CD4, "mission_recon" },
    { 0x5CD5, "mission_timer" },
    { 0x5CD6, "mission_timer_event" },
    { 0x5CD7, "mission_timer_hud_creator" },
    { 0x5CD8, "mission_warn_out_of_bounds_fail" },
    { 0x5CD9, "missioncallbacks" },
    { 0x5CDA, "missionfail" },
    { 0x5CDB, "missionfailed" },
    { 0x5CDC, "missionfailedwrapper" },
    { 0x5CDD, "missionsettings" },
    { 0x5CDE, "missle_lighting" },
    { 0x5CDF, "missle_starts" },
    { 0x5CE0, "misstime" },
    { 0x5CE1, "misstimeconstant" },
    { 0x5CE2, "misstimedebounce" },
    { 0x5CE3, "misstimedistancefactor" },
    { 0x5CE4, "mitchell_over_here_dialogue" },
    { 0x5CE5, "mix" },
    { 0x5CE6, "mix_bypass" },
    { 0x5CE7, "mix_down" },
    { 0x5CE8, "mix_enable" },
    { 0x5CE9, "mix_up" },
    { 0x5CEA, "mix1" },
    { 0x5CEB, "mix1_name" },
    { 0x5CEC, "mix2" },
    { 0x5CED, "mix2_name" },
    { 0x5CEE, "mm_add_dynamic_volmod_submix" },
    { 0x5CEF, "mm_add_submix" },
    { 0x5CF0, "mm_blend_submix" },
    { 0x5CF1, "mm_blend_zone_mix" },
    { 0x5CF2, "mm_clear_solo_volmods" },
    { 0x5CF3, "mm_clear_submix" },
    { 0x5CF4, "mm_clear_submixes" },
    { 0x5CF5, "mm_clear_volmod_mute_mix" },
    { 0x5CF6, "mm_clear_zone_mix" },
    { 0x5CF7, "mm_init" },
    { 0x5CF8, "mm_make_submix_sticky" },
    { 0x5CF9, "mm_make_submix_unsticky" },
    { 0x5CFA, "mm_mute_volmods" },
    { 0x5CFB, "mm_scale_submix" },
    { 0x5CFC, "mm_solo_volmods" },
    { 0x5CFD, "mm_start_preset" },
    { 0x5CFE, "mm_start_zone_preset" },
    { 0x5CFF, "mmx_start_zone_preset" },
    { 0x5D00, "mob_audio_setup" },
    { 0x5D01, "mob_camera_static" },
    { 0x5D02, "mob_dismount_console" },
    { 0x5D03, "mob_drone" },
    { 0x5D04, "mob_enter_player_clip" },
    { 0x5D05, "mob_entrance_defenders_logic" },
    { 0x5D06, "mob_fire" },
    { 0x5D07, "mob_fire_linger_smoke" },
    { 0x5D08, "mob_lat_move" },
    { 0x5D09, "mob_pitch_anim" },
    { 0x5D0A, "mob_pitch_sign" },
    { 0x5D0B, "mob_turret_left" },
    { 0x5D0C, "mob_turret_move" },
    { 0x5D0D, "mob_turret_right" },
    { 0x5D0E, "mob_turret_targets" },
    { 0x5D0F, "mob_vert_move" },
    { 0x5D10, "mob_xform" },
    { 0x5D11, "mob_yaw_anim" },
    { 0x5D12, "mob_yaw_sign" },
    { 0x5D13, "mobile_cover_anim" },
    { 0x5D14, "mobile_cover_badplace" },
    { 0x5D15, "mobile_cover_courtyard_start" },
    { 0x5D16, "mobile_cover_drone_hint_think" },
    { 0x5D17, "mobile_cover_drone_trigger_think" },
    { 0x5D18, "mobile_cover_drones_cg" },
    { 0x5D19, "mobile_cover_dummy_player_think" },
    { 0x5D1A, "mobile_cover_explosion" },
    { 0x5D1B, "mobile_cover_impulse" },
    { 0x5D1C, "mobile_cover_link_think" },
    { 0x5D1D, "mobile_cover_link_think_angle_controller" },
    { 0x5D1E, "mobile_cover_sound_loop" },
    { 0x5D1F, "mobile_cover_sound_think" },
    { 0x5D20, "mobile_cover_vehicle_controller" },
    { 0x5D21, "mobile_turret" },
    { 0x5D22, "mobile_turret_burning" },
    { 0x5D23, "mobile_turret_burning_limit_controls" },
    { 0x5D24, "mobile_turret_dropoff" },
    { 0x5D25, "mobile_turret_gopath" },
    { 0x5D26, "mobile_turret_health_1" },
    { 0x5D27, "mobile_turret_health_2" },
    { 0x5D28, "mobile_turret_health_3" },
    { 0x5D29, "mobile_turret_health_4" },
    { 0x5D2A, "mobile_turret_health_think" },
    { 0x5D2B, "mobile_turret_hint_button" },
    { 0x5D2C, "mobile_turret_hint_button_clear" },
    { 0x5D2D, "mobile_turret_landing" },
    { 0x5D2E, "mobile_turret_missile" },
    { 0x5D2F, "mobile_turret_rocket_target" },
    { 0x5D30, "mobile_turret_tutorial_hints" },
    { 0x5D31, "moblie_turrets_intro" },
    { 0x5D32, "mode" },
    { 0x5D33, "mode_button_released" },
    { 0x5D34, "model_anims" },
    { 0x5D35, "model_dummy_death" },
    { 0x5D36, "model_flicker" },
    { 0x5D37, "model_flicker_preset" },
    { 0x5D38, "model_init" },
    { 0x5D39, "model_speed_to_mph" },
    { 0x5D3A, "modelbase" },
    { 0x5D3B, "modelbombsquad" },
    { 0x5D3C, "modeldestroyed" },
    { 0x5D3D, "modeldummy" },
    { 0x5D3E, "modeldummyon" },
    { 0x5D3F, "modelents" },
    { 0x5D40, "modelplacement" },
    { 0x5D41, "modelplacementfailed" },
    { 0x5D42, "models" },
    { 0x5D43, "modelscale" },
    { 0x5D44, "modifier" },
    { 0x5D45, "modifiercompanionaitypes" },
    { 0x5D46, "modifierexplosiveaitypes" },
    { 0x5D47, "modifiershieldaitypes" },
    { 0x5D48, "modifiertoxicaitypes" },
    { 0x5D49, "modify_moveplaybackrate_together" },
    { 0x5D4A, "modify_player_speed" },
    { 0x5D4B, "modify_rate" },
    { 0x5D4C, "modifydamage" },
    { 0x5D4D, "modifydamagefunc" },
    { 0x5D4E, "modifyplayerdamage" },
    { 0x5D4F, "modifyplayerdamagehorde" },
    { 0x5D50, "mods_override" },
    { 0x5D51, "module1idx" },
    { 0x5D52, "module2idx" },
    { 0x5D53, "module3idx" },
    { 0x5D54, "modulehide" },
    { 0x5D55, "modulepickup" },
    { 0x5D56, "moduleroll" },
    { 0x5D57, "modules" },
    { 0x5D58, "moduletrap" },
    { 0x5D59, "momentum" },
    { 0x5D5A, "momentum_multiplier_max" },
    { 0x5D5B, "monitor" },
    { 0x5D5C, "monitor_2d_reverb_volume" },
    { 0x5D5D, "monitor_aerial_danger" },
    { 0x5D5E, "monitor_ai_detection" },
    { 0x5D5F, "monitor_airbrake" },
    { 0x5D60, "monitor_alert" },
    { 0x5D61, "monitor_alerted" },
    { 0x5D62, "monitor_aud_median" },
    { 0x5D63, "monitor_ball" },
    { 0x5D64, "monitor_base_damage" },
    { 0x5D65, "monitor_boost_dodging" },
    { 0x5D66, "monitor_boost_slamming" },
    { 0x5D67, "monitor_bullet_damage" },
    { 0x5D68, "monitor_cac_set_weapon" },
    { 0x5D69, "monitor_callbutton" },
    { 0x5D6A, "monitor_cao_set_cao_focus" },
    { 0x5D6B, "monitor_cao_set_costume_preview" },
    { 0x5D6C, "monitor_car_door_shield_damage" },
    { 0x5D6D, "monitor_cautious_approach_dangerous_locations" },
    { 0x5D6E, "monitor_cautious_approach_early_out" },
    { 0x5D6F, "monitor_change_security_drone_gotos" },
    { 0x5D70, "monitor_charge_time" },
    { 0x5D71, "monitor_cherry_picker_cancel" },
    { 0x5D72, "monitor_cherry_picker_height" },
    { 0x5D73, "monitor_cherry_picker_stick_movement" },
    { 0x5D74, "monitor_clans" },
    { 0x5D75, "monitor_class_select_or_weapon_change" },
    { 0x5D76, "monitor_clear_cardoor_buttons" },
    { 0x5D77, "monitor_color_blind_toggle" },
    { 0x5D78, "monitor_controllable_drone_cloud_health" },
    { 0x5D79, "monitor_create_a_class" },
    { 0x5D7A, "monitor_create_an_operator" },
    { 0x5D7B, "monitor_cycle_direction" },
    { 0x5D7C, "monitor_death_and_reinforce" },
    { 0x5D7D, "monitor_death_stop_sounds" },
    { 0x5D7E, "monitor_debug_addfakemembers" },
    { 0x5D7F, "monitor_defend_player" },
    { 0x5D80, "monitor_dist_from_earth" },
    { 0x5D81, "monitor_door_broken" },
    { 0x5D82, "monitor_door_impact" },
    { 0x5D83, "monitor_door_punch" },
    { 0x5D84, "monitor_door_react" },
    { 0x5D85, "monitor_door_state" },
    { 0x5D86, "monitor_drone_cloud_health" },
    { 0x5D87, "monitor_drone_cloud_members" },
    { 0x5D88, "monitor_drone_death" },
    { 0x5D89, "monitor_drone_depletion" },
    { 0x5D8A, "monitor_drone_hit_or_timeout" },
    { 0x5D8B, "monitor_drone_missile_death" },
    { 0x5D8C, "monitor_drone_number" },
    { 0x5D8D, "monitor_drone_stick_deflection" },
    { 0x5D8E, "monitor_drone_street_enemy_count" },
    { 0x5D8F, "monitor_drone_swearm_boundaries" },
    { 0x5D90, "monitor_drones_hit_ground" },
    { 0x5D91, "monitor_droppod_destruction" },
    { 0x5D92, "monitor_enemy_dangerous_killstreak" },
    { 0x5D93, "monitor_enemy_jet_health" },
    { 0x5D94, "monitor_equip_interrupt" },
    { 0x5D95, "monitor_escape_artist" },
    { 0x5D96, "monitor_ever_used_boost" },
    { 0x5D97, "monitor_execution_scene_civs" },
    { 0x5D98, "monitor_execution_scene_soldiers" },
    { 0x5D99, "monitor_exo_survival_veteran" },
    { 0x5D9A, "monitor_exocrossbow_launch" },
    { 0x5D9B, "monitor_exoping_battery_charge" },
    { 0x5D9C, "monitor_fail_triggers" },
    { 0x5D9D, "monitor_failed_switchback" },
    { 0x5D9E, "monitor_fixed_scanner" },
    { 0x5D9F, "monitor_fixed_scanner_explode" },
    { 0x5DA0, "monitor_flag_ownership" },
    { 0x5DA1, "monitor_flag_status" },
    { 0x5DA2, "monitor_flashlight_burke" },
    { 0x5DA3, "monitor_flashlight_death" },
    { 0x5DA4, "monitor_flashlight_owner_death" },
    { 0x5DA5, "monitor_fuorescent_light_dist" },
    { 0x5DA6, "monitor_genius_achievement" },
    { 0x5DA7, "monitor_gideon_talk" },
    { 0x5DA8, "monitor_grenade_count" },
    { 0x5DA9, "monitor_grenade_fire" },
    { 0x5DAA, "monitor_grenades" },
    { 0x5DAB, "monitor_interaction_rumbles" },
    { 0x5DAC, "monitor_interaction_toggle_player_has_door" },
    { 0x5DAD, "monitor_irons_talk" },
    { 0x5DAE, "monitor_jetbike_wheelman" },
    { 0x5DAF, "monitor_jump_training_end" },
    { 0x5DB0, "monitor_knuckles_vacate" },
    { 0x5DB1, "monitor_land_assist_think" },
    { 0x5DB2, "monitor_last_weapon" },
    { 0x5DB3, "monitor_lazer_on_vol" },
    { 0x5DB4, "monitor_left_swing_released" },
    { 0x5DB5, "monitor_life" },
    { 0x5DB6, "monitor_lockon" },
    { 0x5DB7, "monitor_lsr_missile_launch" },
    { 0x5DB8, "monitor_member_class_changes" },
    { 0x5DB9, "monitor_member_focus_change" },
    { 0x5DBA, "monitor_member_timeouts" },
    { 0x5DBB, "monitor_microdrone_launch" },
    { 0x5DBC, "monitor_microwave_grenades" },
    { 0x5DBD, "monitor_missile_death" },
    { 0x5DBE, "monitor_missile_distance" },
    { 0x5DBF, "monitor_missile_fire_done" },
    { 0x5DC0, "monitor_missile_firing" },
    { 0x5DC1, "monitor_missile_indication" },
    { 0x5DC2, "monitor_missile_input" },
    { 0x5DC3, "monitor_missile_snd_ent" },
    { 0x5DC4, "monitor_missile_target" },
    { 0x5DC5, "monitor_mobile_turret_health" },
    { 0x5DC6, "monitor_mobile_turret_missiles" },
    { 0x5DC7, "monitor_move_btn_fr_vl" },
    { 0x5DC8, "monitor_mute_battery_charge" },
    { 0x5DC9, "monitor_my_health" },
    { 0x5DCA, "monitor_na45_use" },
    { 0x5DCB, "monitor_node_visible" },
    { 0x5DCC, "monitor_num_activated_drones" },
    { 0x5DCD, "monitor_num_drones_in_swarm" },
    { 0x5DCE, "monitor_offhand_cycle" },
    { 0x5DCF, "monitor_oldtown_doc_civs" },
    { 0x5DD0, "monitor_on_ground" },
    { 0x5DD1, "monitor_out_of_bounds_areas" },
    { 0x5DD2, "monitor_overclock_battery_charge" },
    { 0x5DD3, "monitor_pa_dist" },
    { 0x5DD4, "monitor_pass_throw" },
    { 0x5DD5, "monitor_pause_spawning" },
    { 0x5DD6, "monitor_pilot_shoot" },
    { 0x5DD7, "monitor_pitbull_recent_accel" },
    { 0x5DD8, "monitor_place_foam_bomb" },
    { 0x5DD9, "monitor_plane_speed" },
    { 0x5DDA, "monitor_player_boost" },
    { 0x5DDB, "monitor_player_damage" },
    { 0x5DDC, "monitor_player_damage_for_cloak" },
    { 0x5DDD, "monitor_player_death" },
    { 0x5DDE, "monitor_player_fire_for_cloak" },
    { 0x5DDF, "monitor_player_grapple" },
    { 0x5DE0, "monitor_player_grappled_knuckes" },
    { 0x5DE1, "monitor_player_health_in_turret" },
    { 0x5DE2, "monitor_player_input" },
    { 0x5DE3, "monitor_player_leaving_squad_hotel" },
    { 0x5DE4, "monitor_player_light_off" },
    { 0x5DE5, "monitor_player_melee" },
    { 0x5DE6, "monitor_player_on_heli" },
    { 0x5DE7, "monitor_player_pushed" },
    { 0x5DE8, "monitor_player_pushed_while_linked" },
    { 0x5DE9, "monitor_player_removed" },
    { 0x5DEA, "monitor_player_rip_off_roof" },
    { 0x5DEB, "monitor_player_rpg_drop" },
    { 0x5DEC, "monitor_player_shooting" },
    { 0x5DED, "monitor_player_speed_for_cloak" },
    { 0x5DEE, "monitor_player_sprinting_past_ambush" },
    { 0x5DEF, "monitor_player_unresolved" },
    { 0x5DF0, "monitor_player_weapon_for_cloak" },
    { 0x5DF1, "monitor_player_wheelman" },
    { 0x5DF2, "monitor_pod_landing_for_debris" },
    { 0x5DF3, "monitor_reach_thread_death" },
    { 0x5DF4, "monitor_right_swing_released" },
    { 0x5DF5, "monitor_right_trigger_interaction_l" },
    { 0x5DF6, "monitor_right_trigger_interaction_l_ps3" },
    { 0x5DF7, "monitor_right_trigger_interaction_r" },
    { 0x5DF8, "monitor_roof_use_trigger" },
    { 0x5DF9, "monitor_rpg_drop" },
    { 0x5DFA, "monitor_script_model_damage" },
    { 0x5DFB, "monitor_security_drone_death" },
    { 0x5DFC, "monitor_seeker_pos" },
    { 0x5DFD, "monitor_server_room_se" },
    { 0x5DFE, "monitor_setup_group" },
    { 0x5DFF, "monitor_shield_stolen" },
    { 0x5E00, "monitor_shield_switchout" },
    { 0x5E01, "monitor_shield_timeout" },
    { 0x5E02, "monitor_sideshooter" },
    { 0x5E03, "monitor_smoke_grenades" },
    { 0x5E04, "monitor_snake_gameplay_failure" },
    { 0x5E05, "monitor_snipers_stragglers" },
    { 0x5E06, "monitor_speech_action" },
    { 0x5E07, "monitor_stealth_flags" },
    { 0x5E08, "monitor_tactics_mode" },
    { 0x5E09, "monitor_tank_health" },
    { 0x5E0A, "monitor_temperature" },
    { 0x5E0B, "monitor_throw_door" },
    { 0x5E0C, "monitor_tram" },
    { 0x5E0D, "monitor_turn_light_off" },
    { 0x5E0E, "monitor_turret_2_death" },
    { 0x5E0F, "monitor_turret_damage" },
    { 0x5E10, "monitor_turret_death_spawn_dmg" },
    { 0x5E11, "monitor_turret_exit" },
    { 0x5E12, "monitor_turret_rotation_rate" },
    { 0x5E13, "monitor_turret_shoot" },
    { 0x5E14, "monitor_unauthorized_shield" },
    { 0x5E15, "monitor_vehicle_mount" },
    { 0x5E16, "monitor_vehicle_speed" },
    { 0x5E17, "monitor_vision_use" },
    { 0x5E18, "monitor_vl_mode_change" },
    { 0x5E19, "monitor_walker_death_stop_sounds" },
    { 0x5E1A, "monitor_weapon_ammo_count" },
    { 0x5E1B, "monitor_weapon_remove" },
    { 0x5E1C, "monitor_weapon_switch" },
    { 0x5E1D, "monitor_wheel_movements" },
    { 0x5E1E, "monitor_wheelman" },
    { 0x5E1F, "monitor_x4_vm_swap" },
    { 0x5E20, "monitor_zone_control" },
    { 0x5E21, "monitoradstime" },
    { 0x5E22, "monitoraiwarbirddeathortimeout" },
    { 0x5E23, "monitoraiwarbirdswitch" },
    { 0x5E24, "monitorallydeath" },
    { 0x5E25, "monitorallyenemy" },
    { 0x5E26, "monitorallystrugglefailure" },
    { 0x5E27, "monitorallywalkwaykillvictim" },
    { 0x5E28, "monitoramplifierdamage" },
    { 0x5E29, "monitoratriumenemieskilled" },
    { 0x5E2A, "monitoratriumfighttimer" },
    { 0x5E2B, "monitorbackbutton" },
    { 0x5E2C, "monitorbaddogai" },
    { 0x5E2D, "monitorbadhumanoidai" },
    { 0x5E2E, "monitorblastshieldsurvival" },
    { 0x5E2F, "monitorbombuse" },
    { 0x5E30, "monitorboostjumpdistance" },
    { 0x5E31, "monitorbuddydisconnect" },
    { 0x5E32, "monitorbuddywarbirddeathortimeout" },
    { 0x5E33, "monitorconcussion" },
    { 0x5E34, "monitorconfroomenemies" },
    { 0x5E35, "monitorconfroomwindows" },
    { 0x5E36, "monitorconnectedduringstreak" },
    { 0x5E37, "monitorconvoyvehicle3" },
    { 0x5E38, "monitorconvoyvehicle3damage" },
    { 0x5E39, "monitorcourtyardallytargetdeath" },
    { 0x5E3A, "monitorcourtyardallytargets" },
    { 0x5E3B, "monitorcourtyardplayertargets" },
    { 0x5E3C, "monitordamage" },
    { 0x5E3D, "monitordamagewhilecloaking" },
    { 0x5E3E, "monitordeaddrones" },
    { 0x5E3F, "monitordeath" },
    { 0x5E40, "monitordefenddeaths" },
    { 0x5E41, "monitordestructiblewalls" },
    { 0x5E42, "monitordetonateambushbuttonpress" },
    { 0x5E43, "monitordetonateambushfail" },
    { 0x5E44, "monitordetonateambushinteract" },
    { 0x5E45, "monitordetonateambushsuccess" },
    { 0x5E46, "monitordisconnect" },
    { 0x5E47, "monitordistance" },
    { 0x5E48, "monitordome" },
    { 0x5E49, "monitordot" },
    { 0x5E4A, "monitordownpressed" },
    { 0x5E4B, "monitordownreleased" },
    { 0x5E4C, "monitordrop" },
    { 0x5E4D, "monitordropinternal" },
    { 0x5E4E, "monitored_tag_origins" },
    { 0x5E4F, "monitorempgrenade" },
    { 0x5E50, "monitorenddronecontrol" },
    { 0x5E51, "monitorendingenemies" },
    { 0x5E52, "monitorendingilanaentrancemantle" },
    { 0x5E53, "monitorendingplayerentrancemantle" },
    { 0x5E54, "monitorenemycrawlplayerdist" },
    { 0x5E55, "monitorexecutionerdamage" },
    { 0x5E56, "monitorexecutionerdeath" },
    { 0x5E57, "monitorexecutionertrigger" },
    { 0x5E58, "monitorfalldistance" },
    { 0x5E59, "monitorfinalesafevol" },
    { 0x5E5A, "monitorfinalstandsurvival" },
    { 0x5E5B, "monitorflash" },
    { 0x5E5C, "monitorflashbang" },
    { 0x5E5D, "monitorfollowtargetescape" },
    { 0x5E5E, "monitorforceshotgunspawn" },
    { 0x5E5F, "monitorfx" },
    { 0x5E60, "monitorgameended" },
    { 0x5E61, "monitorgrabgunbuttonpress" },
    { 0x5E62, "monitorgroundslam" },
    { 0x5E63, "monitorgroundslamhitplayer" },
    { 0x5E64, "monitorhadesalert" },
    { 0x5E65, "monitorhadesdeath" },
    { 0x5E66, "monitorhadesstabbuttonpress" },
    { 0x5E67, "monitorhadesstabfail" },
    { 0x5E68, "monitorhadesstabsuccess" },
    { 0x5E69, "monitorhadesvehiclehint" },
    { 0x5E6A, "monitorhadesvehicleinteract" },
    { 0x5E6B, "monitorheaddestroy" },
    { 0x5E6C, "monitorhitpercent" },
    { 0x5E6D, "monitorholdbreath" },
    { 0x5E6E, "monitorhotelilanaleapfrog" },
    { 0x5E6F, "monitorhotelplayerleapfrog" },
    { 0x5E70, "monitorisenemyvalidtarget" },
    { 0x5E71, "monitorkilledkillstreak" },
    { 0x5E72, "monitorkills" },
    { 0x5E73, "monitorkillstreakprogress" },
    { 0x5E74, "monitorkvatargetinalley" },
    { 0x5E75, "monitorlaseroff" },
    { 0x5E76, "monitorlastweapon" },
    { 0x5E77, "monitorleaveareawarning" },
    { 0x5E78, "monitorlevelalarm" },
    { 0x5E79, "monitorlivetime" },
    { 0x5E7A, "monitorlookatent" },
    { 0x5E7B, "monitormagcycle" },
    { 0x5E7C, "monitormantle" },
    { 0x5E7D, "monitormantlevols" },
    { 0x5E7E, "monitormarkedplayertarget" },
    { 0x5E7F, "monitormarkingthread" },
    { 0x5E80, "monitormatchchallenges" },
    { 0x5E81, "monitorminetriggering" },
    { 0x5E82, "monitormisc" },
    { 0x5E83, "monitormisccallback" },
    { 0x5E84, "monitormovetruckinteract" },
    { 0x5E85, "monitormutebombdeath" },
    { 0x5E86, "monitormutebombplayers" },
    { 0x5E87, "monitoronlydrones" },
    { 0x5E88, "monitororbitalstrikedeath" },
    { 0x5E89, "monitororbitalstrikesafearea" },
    { 0x5E8A, "monitororbitalstriketimeout" },
    { 0x5E8B, "monitororbitalstrikeweapon" },
    { 0x5E8C, "monitorparkingcaralarm" },
    { 0x5E8D, "monitorparkingcarexplode" },
    { 0x5E8E, "monitorparkingcars" },
    { 0x5E8F, "monitorparkingguards" },
    { 0x5E90, "monitorparkingguardsdead" },
    { 0x5E91, "monitorparkinginvestigatorsdead" },
    { 0x5E92, "monitorparkinginvestigatorsneargoal" },
    { 0x5E93, "monitorparkingkillvictim" },
    { 0x5E94, "monitorphysicschairs" },
    { 0x5E95, "monitorplaceambushinteract" },
    { 0x5E96, "monitorplacebreachhint" },
    { 0x5E97, "monitorplayeractivity" },
    { 0x5E98, "monitorplayerapproachfishtank" },
    { 0x5E99, "monitorplayerdeath" },
    { 0x5E9A, "monitorplayerdisconnect" },
    { 0x5E9B, "monitorplayerfirerpgattower" },
    { 0x5E9C, "monitorplayergameended" },
    { 0x5E9D, "monitorplayergrabgun" },
    { 0x5E9E, "monitorplayerleftlowerpassage" },
    { 0x5E9F, "monitorplayerlookat" },
    { 0x5EA0, "monitorplayerlookatgateguards" },
    { 0x5EA1, "monitorplayerlookingatatrium" },
    { 0x5EA2, "monitorplayermatchchallenges" },
    { 0x5EA3, "monitorplayerpickupglauncher" },
    { 0x5EA4, "monitorplayersegments" },
    { 0x5EA5, "monitorplayershootfirstatrium" },
    { 0x5EA6, "monitorplayersignalatriumbreach" },
    { 0x5EA7, "monitorplayerspawns" },
    { 0x5EA8, "monitorplayerswitchteams" },
    { 0x5EA9, "monitorplayerteamchange" },
    { 0x5EAA, "monitorpointnotifylua" },
    { 0x5EAB, "monitorpoolguard" },
    { 0x5EAC, "monitorpoolkillvictim" },
    { 0x5EAD, "monitorpoolkillvictimalert" },
    { 0x5EAE, "monitorpoolkillvictimdeath" },
    { 0x5EAF, "monitorportableradaruse" },
    { 0x5EB0, "monitorprisonkillstreakownership" },
    { 0x5EB1, "monitorprocesschallenge" },
    { 0x5EB2, "monitorpronetime" },
    { 0x5EB3, "monitorrefractionkillstreakownership" },
    { 0x5EB4, "monitorrestaurantglassfrenzyvol" },
    { 0x5EB5, "monitorriotsuppressionsystem" },
    { 0x5EB6, "monitorroundend" },
    { 0x5EB7, "monitors" },
    { 0x5EB8, "monitorscavengerpickup" },
    { 0x5EB9, "monitorscopechange" },
    { 0x5EBA, "monitorscrambleruse" },
    { 0x5EBB, "monitorsemtex" },
    { 0x5EBC, "monitorsemtexstick" },
    { 0x5EBD, "monitorsetupambushtimer" },
    { 0x5EBE, "monitorshotsfired" },
    { 0x5EBF, "monitorsinglesprintdistance" },
    { 0x5EC0, "monitorslidesafevol" },
    { 0x5EC1, "monitorsmartgrenade" },
    { 0x5EC2, "monitorsniperdronetriplekill" },
    { 0x5EC3, "monitorsnipertowersuppressiondamage" },
    { 0x5EC4, "monitorspawndurringstreak" },
    { 0x5EC5, "monitorspikedestroy" },
    { 0x5EC6, "monitorsprintdistance" },
    { 0x5EC7, "monitorsprinttime" },
    { 0x5EC8, "monitorstartdronecontrol" },
    { 0x5EC9, "monitorstreakreward" },
    { 0x5ECA, "monitorstreaks" },
    { 0x5ECB, "monitorstuck" },
    { 0x5ECC, "monitorsupersafevol" },
    { 0x5ECD, "monitorsupportdropprogress" },
    { 0x5ECE, "monitorsurvivaltime" },
    { 0x5ECF, "monitortagcollector" },
    { 0x5ED0, "monitortagnoteworthyevent" },
    { 0x5ED1, "monitorthirdpersonmodel" },
    { 0x5ED2, "monitorthreathighlight" },
    { 0x5ED3, "monitorthreathighlightnotification" },
    { 0x5ED4, "monitortime" },
    { 0x5ED5, "monitortiuse" },
    { 0x5ED6, "monitortrackswitching" },
    { 0x5ED7, "monitoruavsafearea" },
    { 0x5ED8, "monitorupgrades" },
    { 0x5ED9, "monitoruppressed" },
    { 0x5EDA, "monitorupreleased" },
    { 0x5EDB, "monitorwalkwaykillvictim" },
    { 0x5EDC, "monitorwarbirdsafearea" },
    { 0x5EDD, "monitorweaponselection" },
    { 0x5EDE, "monitorweaponswap" },
    { 0x5EDF, "monitory_health_battery_charge" },
    { 0x5EE0, "monitorzoomonburke" },
    { 0x5EE1, "monitorzoomonhades1" },
    { 0x5EE2, "monitorzoomonhades2" },
    { 0x5EE3, "monsters_can_jump" },
    { 0x5EE4, "most_threatening_car" },
    { 0x5EE5, "mothership_fly" },
    { 0x5EE6, "mothership_fly2" },
    { 0x5EE7, "mothership_fly3" },
    { 0x5EE8, "mothership_fly4" },
    { 0x5EE9, "mothership_fly5" },
    { 0x5EEA, "motion_blur_fall" },
    { 0x5EEB, "motion_blur_intro" },
    { 0x5EEC, "motion_blur_rotation_enable" },
    { 0x5EED, "motion_blur_sink_hole_zipline" },
    { 0x5EEE, "motion_light" },
    { 0x5EEF, "motion_light_timeout" },
    { 0x5EF0, "motion_manage" },
    { 0x5EF1, "motion_trigger" },
    { 0x5EF2, "mount_bike_dof" },
    { 0x5EF3, "mount_hint" },
    { 0x5EF4, "mount_hovertank" },
    { 0x5EF5, "mount_org" },
    { 0x5EF6, "mount_pitbull" },
    { 0x5EF7, "mount_player_pitbull" },
    { 0x5EF8, "mount_pos" },
    { 0x5EF9, "mount_snowmobile" },
    { 0x5EFA, "mountains_manager" },
    { 0x5EFB, "move" },
    { 0x5EFC, "move_again_noflag" },
    { 0x5EFD, "move_all_fx" },
    { 0x5EFE, "move_allies_to_upper" },
    { 0x5EFF, "move_bones_and_joker_up" },
    { 0x5F00, "move_bots_from_team_to_team" },
    { 0x5F01, "move_burke_outside_office" },
    { 0x5F02, "move_check" },
    { 0x5F03, "move_checkstairstransition" },
    { 0x5F04, "move_child_beams" },
    { 0x5F05, "move_door_to_position" },
    { 0x5F06, "move_drone_target_along_path" },
    { 0x5F07, "move_earth_with_pod" },
    { 0x5F08, "move_earth2_with_pod" },
    { 0x5F09, "move_effects_ent_here" },
    { 0x5F0A, "move_ent" },
    { 0x5F0B, "move_fails" },
    { 0x5F0C, "move_fly_drone_check" },
    { 0x5F0D, "move_forward_if_safe" },
    { 0x5F0E, "move_free_run" },
    { 0x5F0F, "move_god_rays_rocket_fail" },
    { 0x5F10, "move_guy" },
    { 0x5F11, "move_hovertank_to_start" },
    { 0x5F12, "move_initial_enemies" },
    { 0x5F13, "move_into_place_right" },
    { 0x5F14, "move_lift" },
    { 0x5F15, "move_lights_here" },
    { 0x5F16, "move_lo_lp" },
    { 0x5F17, "move_mech_origins" },
    { 0x5F18, "move_noncombat_anim" },
    { 0x5F19, "move_origin" },
    { 0x5F1A, "move_outside_circle" },
    { 0x5F1B, "move_overwatch_heli_to_slope" },
    { 0x5F1C, "move_pivot_process" },
    { 0x5F1D, "move_player_to_ent_by_targetname" },
    { 0x5F1E, "move_player_to_start" },
    { 0x5F1F, "move_player_view_at_ledge" },
    { 0x5F20, "move_riders_here" },
    { 0x5F21, "move_right_scaffolding_guy" },
    { 0x5F22, "move_scale" },
    { 0x5F23, "move_selection_to_cursor" },
    { 0x5F24, "move_squad_and_walkers" },
    { 0x5F25, "move_squad_into_ship" },
    { 0x5F26, "move_squad_member_to_ent" },
    { 0x5F27, "move_squad_member_to_ent_by_targetname" },
    { 0x5F28, "move_squad_to_bridge" },
    { 0x5F29, "move_sunflare_back" },
    { 0x5F2A, "move_sunflare_back_startpoints" },
    { 0x5F2B, "move_swimming_player_with_current" },
    { 0x5F2C, "move_target_for_squirly_effect" },
    { 0x5F2D, "move_target_pos_to_new_turrets_visibility" },
    { 0x5F2E, "move_team_towards_hospital" },
    { 0x5F2F, "move_to_cave_combat" },
    { 0x5F30, "move_to_correct_node" },
    { 0x5F31, "move_to_death_spot" },
    { 0x5F32, "move_to_dest" },
    { 0x5F33, "move_to_hangar" },
    { 0x5F34, "move_to_run_pos" },
    { 0x5F35, "move_tour_door_shadow_caulk" },
    { 0x5F36, "move_transition_arrays" },
    { 0x5F37, "move_truck_junk_here" },
    { 0x5F38, "move_turrets_here" },
    { 0x5F39, "move_universe_to_new_pod" },
    { 0x5F3A, "move_use_object" },
    { 0x5F3B, "move_use_turret" },
    { 0x5F3C, "move_wave" },
    { 0x5F3D, "move_wave_random" },
    { 0x5F3E, "move_when_enemy_hides" },
    { 0x5F3F, "move_with_rate" },
    { 0x5F40, "moveanimset" },
    { 0x5F41, "moveanimtype" },
    { 0x5F42, "movebackforth" },
    { 0x5F43, "moveboat" },
    { 0x5F44, "movebuildingdeathtriggers" },
    { 0x5F45, "movecovertocover" },
    { 0x5F46, "movecovertocover_checkendpose" },
    { 0x5F47, "movecovertocover_checkstartpose" },
    { 0x5F48, "movecovertocoverfinish" },
    { 0x5F49, "movecqb" },
    { 0x5F4A, "movedoorsidetoside" },
    { 0x5F4B, "movedrecently" },
    { 0x5F4C, "movefloorpaneldown" },
    { 0x5F4D, "movefloorpanelup" },
    { 0x5F4E, "moveflyingbuilding" },
    { 0x5F4F, "movegates" },
    { 0x5F50, "moveinit" },
    { 0x5F51, "movelogic" },
    { 0x5F52, "moveloopcleanupfunc" },
    { 0x5F53, "moveloopoverridefunc" },
    { 0x5F54, "movemainloop" },
    { 0x5F55, "movemainloopinternal" },
    { 0x5F56, "movemainloopprocess" },
    { 0x5F57, "movemainloopprocessoverridefunc" },
    { 0x5F58, "movement" },
    { 0x5F59, "movement_acceleration_loop" },
    { 0x5F5A, "movement_rumble" },
    { 0x5F5B, "movement_velocity_loop" },
    { 0x5F5C, "movementtracker" },
    { 0x5F5D, "movementtype" },
    { 0x5F5E, "moveorbitalsupporttodestination" },
    { 0x5F5F, "moveorgs" },
    { 0x5F60, "moveorigin" },
    { 0x5F61, "moveoverridesound" },
    { 0x5F62, "moveplaybackrate" },
    { 0x5F63, "moveplaybackrate_orig" },
    { 0x5F64, "moveplayereyetocam" },
    { 0x5F65, "mover" },
    { 0x5F66, "mover_debug_text" },
    { 0x5F67, "mover_delete" },
    { 0x5F68, "mover_reset_angles" },
    { 0x5F69, "mover_reset_origin" },
    { 0x5F6A, "mover_suicide" },
    { 0x5F6B, "moveratemultiplier" },
    { 0x5F6C, "movers" },
    { 0x5F6D, "moverun" },
    { 0x5F6E, "movescale" },
    { 0x5F6F, "movesound_waitfordoneordeath" },
    { 0x5F70, "movesoundorigin" },
    { 0x5F71, "movespeed" },
    { 0x5F72, "movespeed_get_func" },
    { 0x5F73, "movespeed_multiplier" },
    { 0x5F74, "movespeed_ramp_over_time" },
    { 0x5F75, "movespeed_scale" },
    { 0x5F76, "movespeed_set_func" },
    { 0x5F77, "movespeedscale" },
    { 0x5F78, "movespeedscaler" },
    { 0x5F79, "movestand_moveoverride" },
    { 0x5F7A, "movestartbattlechatter" },
    { 0x5F7B, "movestate" },
    { 0x5F7C, "movestopper" },
    { 0x5F7D, "moveswim" },
    { 0x5F7E, "moveswim_combat" },
    { 0x5F7F, "moveswim_combat_enter" },
    { 0x5F80, "moveswim_combat_exit" },
    { 0x5F81, "moveswim_combat_forward_enter" },
    { 0x5F82, "moveswim_combat_forward_exit" },
    { 0x5F83, "moveswim_combat_move_set" },
    { 0x5F84, "moveswim_combat_strafe_enter" },
    { 0x5F85, "moveswim_combat_strafe_exit" },
    { 0x5F86, "moveswim_noncombat" },
    { 0x5F87, "moveswim_noncombat_enter" },
    { 0x5F88, "moveswim_noncombat_exit" },
    { 0x5F89, "moveswim_noncombat_twitchupdate" },
    { 0x5F8A, "moveswim_set" },
    { 0x5F8B, "moveswim_track_combat" },
    { 0x5F8C, "movetargets" },
    { 0x5F8D, "movetargettodest" },
    { 0x5F8E, "moveto_floor" },
    { 0x5F8F, "movetocovernearplayer" },
    { 0x5F90, "movetonearbycover" },
    { 0x5F91, "movetonodeovertime" },
    { 0x5F92, "movetracker" },
    { 0x5F93, "movetrackers" },
    { 0x5F94, "movetransitionrate" },
    { 0x5F95, "movetransitionrate_orig" },
    { 0x5F96, "movetrig" },
    { 0x5F97, "movetruckfirefx" },
    { 0x5F98, "movetrucktiresmokefx" },
    { 0x5F99, "movewalk" },
    { 0x5F9A, "movezoneaftertime" },
    { 0x5F9B, "moving" },
    { 0x5F9C, "moving_buoys" },
    { 0x5F9D, "moving_note_targets" },
    { 0x5F9E, "moving_obstacles" },
    { 0x5F9F, "moving_platform" },
    { 0x5FA0, "moving_platform_empty_func" },
    { 0x5FA1, "moving_unload" },
    { 0x5FA2, "moving_water_flag" },
    { 0x5FA3, "moving_water_init" },
    { 0x5FA4, "movingplatformdeathfunc" },
    { 0x5FA5, "movingplatformtouchvalid" },
    { 0x5FA6, "movingstate" },
    { 0x5FA7, "movingtruckidle" },
    { 0x5FA8, "mp_comeback" },
    { 0x5FA9, "mp_createfx" },
    { 0x5FAA, "mp_dam" },
    { 0x5FAB, "mp_detroit" },
    { 0x5FAC, "mp_exo_cloak_activate" },
    { 0x5FAD, "mp_exo_cloak_deactivate" },
    { 0x5FAE, "mp_exo_health_activate" },
    { 0x5FAF, "mp_exo_health_deactivate" },
    { 0x5FB0, "mp_exo_mute_activate" },
    { 0x5FB1, "mp_exo_mute_deactivate" },
    { 0x5FB2, "mp_exo_overclock_activate" },
    { 0x5FB3, "mp_exo_overclock_deactivate" },
    { 0x5FB4, "mp_exo_ping_activate" },
    { 0x5FB5, "mp_exo_ping_deactivate" },
    { 0x5FB6, "mp_exo_repulsor_activate" },
    { 0x5FB7, "mp_exo_repulsor_deactivate" },
    { 0x5FB8, "mp_exo_repulsor_repel" },
    { 0x5FB9, "mp_exo_shield_activate" },
    { 0x5FBA, "mp_exo_shield_deactivate" },
    { 0x5FBB, "mp_greenband" },
    { 0x5FBC, "mp_instinct" },
    { 0x5FBD, "mp_instinct_owner" },
    { 0x5FBE, "mp_ks_goliath_death_explosion" },
    { 0x5FBF, "mp_ks_goliath_pod_burst" },
    { 0x5FC0, "mp_ks_goliath_self_destruct" },
    { 0x5FC1, "mp_levity" },
    { 0x5FC2, "mp_prison" },
    { 0x5FC3, "mp_prison_inuse" },
    { 0x5FC4, "mp_prison_killstreak" },
    { 0x5FC5, "mp_prison_killstreak_duration" },
    { 0x5FC6, "mp_recovery" },
    { 0x5FC7, "mp_recovery_killstreak" },
    { 0x5FC8, "mp_refraction" },
    { 0x5FC9, "mp_refraction_inuse" },
    { 0x5FCA, "mp_refraction_killstreak_duration" },
    { 0x5FCB, "mp_refraction_owner" },
    { 0x5FCC, "mp_regular_exo_hover" },
    { 0x5FCD, "mp_solar" },
    { 0x5FCE, "mp_suppressed_exo_hover" },
    { 0x5FCF, "mp_terrace" },
    { 0x5FD0, "mp_torqued" },
    { 0x5FD1, "mp_venus" },
    { 0x5FD2, "mp_wpn_exo_knife_player_impact" },
    { 0x5FD3, "mph_to_model_speed" },
    { 0x5FD4, "mph_to_ups" },
    { 0x5FD5, "mre_loop" },
    { 0x5FD6, "ms_until_ready_to_fire" },
    { 0x5FD7, "mt_getteamheadicon" },
    { 0x5FD8, "mt_getteamicon" },
    { 0x5FD9, "mt_getteamname" },
    { 0x5FDA, "mt_use_tags" },
    { 0x5FDB, "mtdm_updateteamplacement" },
    { 0x5FDC, "multi_drone_handle_anim" },
    { 0x5FDD, "multi_sync_kill_shooter" },
    { 0x5FDE, "multi_sync_kills" },
    { 0x5FDF, "multibomb" },
    { 0x5FE0, "multikill_count" },
    { 0x5FE1, "multikill_monitor" },
    { 0x5FE2, "multikillevent" },
    { 0x5FE3, "multikillonebulletevent" },
    { 0x5FE4, "multiple_dialogue_queue" },
    { 0x5FE5, "multiple_objectives" },
    { 0x5FE6, "multiple_routes" },
    { 0x5FE7, "multiply_by_leftstick" },
    { 0x5FE8, "multiply_by_throttle" },
    { 0x5FE9, "multiteambased" },
    { 0x5FEA, "murder_player_seek" },
    { 0x5FEB, "mus_alley_combat" },
    { 0x5FEC, "mus_auto_submixer" },
    { 0x5FED, "mus_auto_submixer_thread" },
    { 0x5FEE, "mus_exit_subway" },
    { 0x5FEF, "mus_get_combat_count" },
    { 0x5FF0, "mus_get_playing_cue_preset" },
    { 0x5FF1, "mus_init" },
    { 0x5FF2, "mus_is_playing" },
    { 0x5FF3, "mus_lag_brk_takeoutsuv_done" },
    { 0x5FF4, "mus_play" },
    { 0x5FF5, "mus_stop" },
    { 0x5FF6, "mus_submixer" },
    { 0x5FF7, "mus_submixer_thread" },
    { 0x5FF8, "music" },
    { 0x5FF9, "music_crossfade" },
    { 0x5FFA, "music_handler" },
    { 0x5FFB, "music_loop" },
    { 0x5FFC, "music_loop_internal" },
    { 0x5FFD, "music_loop_internal_stop_with_fade_then_call" },
    { 0x5FFE, "music_loop_stealth" },
    { 0x5FFF, "music_loop_stealth_pause" },
    { 0x6000, "music_play" },
    { 0x6001, "music_play_internal_stop_with_fade_then_call" },
    { 0x6002, "music_stop" },
    { 0x6003, "musiccontroller" },
    { 0x6004, "musiclength" },
    { 0x6005, "musicplaywrapper" },
    { 0x6006, "must_wait_for_full_charge" },
    { 0x6007, "mustmaintainclaim" },
    { 0x6008, "musx_cash_cue" },
    { 0x6009, "musx_construct_cue" },
    { 0x600A, "musx_get_auto_mix" },
    { 0x600B, "musx_get_cashed_cue" },
    { 0x600C, "musx_monitor_game_vars" },
    { 0x600D, "musx_start_cue" },
    { 0x600E, "musx_stop_all_music" },
    { 0x600F, "mute_breach_explosion" },
    { 0x6010, "mute_charge" },
    { 0x6011, "mute_charge_01_rumbles" },
    { 0x6012, "mute_device_active" },
    { 0x6013, "mute_device_enter" },
    { 0x6014, "mute_device_exit" },
    { 0x6015, "mute_device_filter" },
    { 0x6016, "mute_device_in_bubble" },
    { 0x6017, "mute_device_mix_enable" },
    { 0x6018, "mute_device_plant_fx" },
    { 0x6019, "mute_device_start" },
    { 0x601A, "mute_event_distances" },
    { 0x601B, "mute_fx" },
    { 0x601C, "mute_fx_on" },
    { 0x601D, "mute_intro_ambis" },
    { 0x601E, "mute_on" },
    { 0x601F, "mutebombinit" },
    { 0x6020, "muzzleflashoverride" },
    { 0x6021, "mw_claimed" },
    { 0x6022, "mw_grenade" },
    { 0x6023, "mw_old_animname" },
    { 0x6024, "mw_old_badplace_awareness" },
    { 0x6025, "mw_old_goalradius" },
    { 0x6026, "mwp_bombplant_reflection_probe_lightgrid_tweaks" },
    { 0x6027, "mwp_cine_lighhting_fx" },
    { 0x6028, "mwp_cine_lighhting_radspot" },
    { 0x6029, "mwp_cine_optimize_left_big_key_all" },
    { 0x602A, "mwp_cine_optimize_weaplat_rim_all" },
    { 0x602B, "mwp_cine_optimize_will_key_left_post_firerim" },
    { 0x602C, "mwp_cine_optimize_will_key_left_pre_firerim" },
    { 0x602D, "mwp_explosion_lightset_vig" },
    { 0x602E, "mwp_lighting_origin_offset_reset" },
    { 0x602F, "my_current_node_delays" },
    { 0x6030, "my_debug_name" },
    { 0x6031, "my_orgs" },
    { 0x6032, "my_vol" },
    { 0x6033, "mygrenadecooldownelapsed" },
    { 0x6034, "mysetbacks" },
    { 0x6035, "nag_lines_if_player_skips_charges" },
    { 0x6036, "nag_player_get_door" },
    { 0x6037, "nag_player_land_assist" },
    { 0x6038, "nag_player_to_shoot_target" },
    { 0x6039, "nag_until_flag" },
    { 0x603A, "name_col" },
    { 0x603B, "name_complete" },
    { 0x603C, "name_drift" },
    { 0x603D, "name1" },
    { 0x603E, "name2" },
    { 0x603F, "name3" },
    { 0x6040, "named_magic_bullet_strafe" },
    { 0x6041, "namedist_old" },
    { 0x6042, "nameindex" },
    { 0x6043, "namemodelmap" },
    { 0x6044, "nameplatematerial" },
    { 0x6045, "names" },
    { 0x6046, "namesaidrecently" },
    { 0x6047, "nametagmodel" },
    { 0x6048, "narrow_animnode" },
    { 0x6049, "narrow_cave_axe_throw" },
    { 0x604A, "narrow_cave_cave_in" },
    { 0x604B, "narrow_cave_cormack" },
    { 0x604C, "narrow_cave_cormack_cave_in_dialogue" },
    { 0x604D, "narrow_cave_cormack_radio" },
    { 0x604E, "narrow_cave_cormack_teleport_monitor" },
    { 0x604F, "narrow_cave_dialogue" },
    { 0x6050, "narrow_cave_drop_pod" },
    { 0x6051, "narrow_cave_enemies" },
    { 0x6052, "narrow_cave_follow_dot" },
    { 0x6053, "narrow_cave_ilana" },
    { 0x6054, "narrow_cave_ilana_teleport_monitor" },
    { 0x6055, "narrow_cave_ilona_thermals" },
    { 0x6056, "narrow_cave_jump_out_fail" },
    { 0x6057, "narrow_cave_player" },
    { 0x6058, "narrow_cave_player_allows" },
    { 0x6059, "narrow_cave_radio_response" },
    { 0x605A, "narrow_cave_swap_axe" },
    { 0x605B, "narrow_in_camera_play" },
    { 0x605C, "narrowcave_player_breach_weapon_enable" },
    { 0x605D, "narrowcave_sec1_traverse_sec2" },
    { 0x605E, "narrowcave_sec2_enter" },
    { 0x605F, "narrowcave_sec2_exit" },
    { 0x6060, "narrowcave_sec2_traverse_floodroom" },
    { 0x6061, "narrowcave_traverse_sec1" },
    { 0x6062, "nationalityokformoveorder" },
    { 0x6063, "nationalityokformoveordernoncombat" },
    { 0x6064, "nationalityusescallsigns" },
    { 0x6065, "nationalityusessurnames" },
    { 0x6066, "navy_drone_drones_damage_func" },
    { 0x6067, "navy_drone_guys_damage_func" },
    { 0x6068, "navy_vo" },
    { 0x6069, "nc_underwater_visionset_change" },
    { 0x606A, "nearby_shot_alert" },
    { 0x606B, "nearbyplayers" },
    { 0x606C, "neardeathkillevent" },
    { 0x606D, "neardistance" },
    { 0x606E, "nearest_node" },
    { 0x606F, "nearest_node_for_camping" },
    { 0x6070, "nearest_nodes" },
    { 0x6071, "nearest_points" },
    { 0x6072, "nearestnode" },
    { 0x6073, "nearestzone" },
    { 0x6074, "nearflagpoint" },
    { 0x6075, "nearspawns" },
    { 0x6076, "neck_org" },
    { 0x6077, "necksnapped" },
    { 0x6078, "need_to_reload" },
    { 0x6079, "needlocalmemberid" },
    { 0x607A, "needrecalculategoodshootpos" },
    { 0x607B, "needrecalculatesuppressspot" },
    { 0x607C, "needs_to_decrement_launcher_count" },
    { 0x607D, "needsbattlebuddy" },
    { 0x607E, "needsbuttontorespawn" },
    { 0x607F, "needsprecaching" },
    { 0x6080, "needsscopeoverride" },
    { 0x6081, "needstorechamber" },
    { 0x6082, "needsupportvo" },
    { 0x6083, "needtochangecovermode" },
    { 0x6084, "needtodecelforarrival" },
    { 0x6085, "needtopresent" },
    { 0x6086, "needtoreload" },
    { 0x6087, "needtoturn" },
    { 0x6088, "negativewrap" },
    { 0x6089, "negotiation_hall_to_lab" },
    { 0x608A, "neighbor_left" },
    { 0x608B, "neighbor_right" },
    { 0x608C, "neighborhood_radius" },
    { 0x608D, "neighbors" },
    { 0x608E, "neutralize_bio_weapons_complete" },
    { 0x608F, "never_saw_it_coming" },
    { 0x6090, "neverdelete" },
    { 0x6091, "neverenablecqb" },
    { 0x6092, "neverforcesnipermissenemy" },
    { 0x6093, "neverlean" },
    { 0x6094, "neversprintforvariation" },
    { 0x6095, "neverstopmonitoringflash" },
    { 0x6096, "new" },
    { 0x6097, "new_category_axis" },
    { 0x6098, "new_cormack_bridge_anim" },
    { 0x6099, "new_force_color_being_set" },
    { 0x609A, "new_goal_time" },
    { 0x609B, "new_golaith_anim" },
    { 0x609C, "new_goliath_moment" },
    { 0x609D, "new_ilana_bridge_anim" },
    { 0x609E, "new_kva_basement_1" },
    { 0x609F, "new_kva_window_ambush" },
    { 0x60A0, "new_lite_settings" },
    { 0x60A1, "new_player_bridge_anim" },
    { 0x60A2, "new_position" },
    { 0x60A3, "new_pull_earthquake" },
    { 0x60A4, "new_reso_anim" },
    { 0x60A5, "new_stage_heli_spawn" },
    { 0x60A6, "new_tool_hud" },
    { 0x60A7, "new_tool_hudelem" },
    { 0x60A8, "newenemyreactionanim" },
    { 0x60A9, "newenemysurprisedreaction" },
    { 0x60AA, "newfallback_overmind" },
    { 0x60AB, "newhandleboostbegin" },
    { 0x60AC, "newhandleboostend" },
    { 0x60AD, "newhandlespawngroundimpact" },
    { 0x60AE, "newhandletraversenotetracks" },
    { 0x60AF, "newhandletraversenotetracks_landassist" },
    { 0x60B0, "newmode" },
    { 0x60B1, "newmodel" },
    { 0x60B2, "newradialbutton" },
    { 0x60B3, "newradialbuttongroup" },
    { 0x60B4, "next" },
    { 0x60B5, "next_button" },
    { 0x60B6, "next_chain_move" },
    { 0x60B7, "next_flag_hide_time" },
    { 0x60B8, "next_goal_time" },
    { 0x60B9, "next_health_drop_time" },
    { 0x60BA, "next_node" },
    { 0x60BB, "next_obj_pos" },
    { 0x60BC, "next_pr_dialog_time" },
    { 0x60BD, "next_reactive_time" },
    { 0x60BE, "next_strat_level_check" },
    { 0x60BF, "next_time_check_tags" },
    { 0x60C0, "next_time_hunt_carrier" },
    { 0x60C1, "nextallowedlooktime" },
    { 0x60C2, "nextallowedsuppresstime" },
    { 0x60C3, "nextcornergrenadedeathtime" },
    { 0x60C4, "nextcrawlingpaintime" },
    { 0x60C5, "nextcrawlingpaintimefromlegdamage" },
    { 0x60C6, "nextdoorgrenadetime" },
    { 0x60C7, "nextgiveuponenemytime" },
    { 0x60C8, "nextgrenadedrop" },
    { 0x60C9, "nextgrenadetrytime" },
    { 0x60CA, "nextlightning" },
    { 0x60CB, "nextmeleechargesound" },
    { 0x60CC, "nextmeleechargetarget" },
    { 0x60CD, "nextmeleechargetime" },
    { 0x60CE, "nextmeleechecktarget" },
    { 0x60CF, "nextmeleechecktime" },
    { 0x60D0, "nextmeleestandardchargetarget" },
    { 0x60D1, "nextmeleestandardchargetime" },
    { 0x60D2, "nextmissiletag" },
    { 0x60D3, "nextmission" },
    { 0x60D4, "nextmission_exit_time" },
    { 0x60D5, "nextnodes" },
    { 0x60D6, "nextpeekoutattempttime" },
    { 0x60D7, "nextsaytime" },
    { 0x60D8, "nextsaytimes" },
    { 0x60D9, "nextslot" },
    { 0x60DA, "nextstandinghitdying" },
    { 0x60DB, "nexttracer" },
    { 0x60DC, "nexttypesaytimes" },
    { 0x60DD, "nextusetime" },
    { 0x60DE, "nigerian_bullhorn" },
    { 0x60DF, "nightvision_check" },
    { 0x60E0, "nightvision_dlight" },
    { 0x60E1, "nightvision_dlight_effect" },
    { 0x60E2, "nightvision_effectsoff" },
    { 0x60E3, "nightvision_enabled" },
    { 0x60E4, "nightvision_off" },
    { 0x60E5, "nightvision_on" },
    { 0x60E6, "nightvision_reflector_effect" },
    { 0x60E7, "nightvision_started" },
    { 0x60E8, "nightvision_toggle" },
    { 0x60E9, "ninebangexplodewaiter" },
    { 0x60EA, "ninebanghandler" },
    { 0x60EB, "no_ai" },
    { 0x60EC, "no_anim_rotors" },
    { 0x60ED, "no_attractor" },
    { 0x60EE, "no_below_vo" },
    { 0x60EF, "no_bg" },
    { 0x60F0, "no_bobbing" },
    { 0x60F1, "no_breath_hud" },
    { 0x60F2, "no_civilian_friendly_fire_until_seen" },
    { 0x60F3, "no_crash_handling" },
    { 0x60F4, "no_crouch_or_prone_think_for_player" },
    { 0x60F5, "no_destructible_animation" },
    { 0x60F6, "no_fly_zone" },
    { 0x60F7, "no_friendly_fire_penalty" },
    { 0x60F8, "no_friendly_fire_splash_damage" },
    { 0x60F9, "no_gametype_update" },
    { 0x60FA, "no_grenades" },
    { 0x60FB, "no_gun" },
    { 0x60FC, "no_interp" },
    { 0x60FD, "no_interrupt" },
    { 0x60FE, "no_line" },
    { 0x60FF, "no_long_death" },
    { 0x6100, "no_magic_bullet" },
    { 0x6101, "no_more_outlines" },
    { 0x6102, "no_moving_platfrom_death" },
    { 0x6103, "no_moving_platfrom_unlink" },
    { 0x6104, "no_pain_sound" },
    { 0x6105, "no_path" },
    { 0x6106, "no_pistol_switch" },
    { 0x6107, "no_prone" },
    { 0x6108, "no_prone_for_player" },
    { 0x6109, "no_prone_in_vol" },
    { 0x610A, "no_rider_death" },
    { 0x610B, "no_slowmo" },
    { 0x610C, "no_stopanimscripted" },
    { 0x610D, "no_target_local_spotlight_angles" },
    { 0x610E, "no_threat_return_node" },
    { 0x610F, "no_tracking_grenades_active" },
    { 0x6110, "no_treads" },
    { 0x6111, "no_vehicle_getoutanim" },
    { 0x6112, "no_vehicle_ragdoll" },
    { 0x6113, "no_wait_building_jump" },
    { 0x6114, "no_wakeup_physics_sphere" },
    { 0x6115, "noabort" },
    { 0x6116, "noairdropkills" },
    { 0x6117, "noalarm" },
    { 0x6118, "noautosaveammocheck" },
    { 0x6119, "nobob" },
    { 0x611A, "nobuddyspawns" },
    { 0x611B, "noclosemechrun" },
    { 0x611C, "nocorpsedelete" },
    { 0x611D, "nocratetimeout" },
    { 0x611E, "node_ambushing_from" },
    { 0x611F, "node_closest_to_defend_center" },
    { 0x6120, "node_has_radius" },
    { 0x6121, "node_is_aerial" },
    { 0x6122, "node_is_exposed" },
    { 0x6123, "node_is_on_path_from_labels" },
    { 0x6124, "node_is_valid__to_convert_to_aerial_pathnode" },
    { 0x6125, "node_search" },
    { 0x6126, "node_trigger_process" },
    { 0x6127, "node_wait" },
    { 0x6128, "node_wait_triggered" },
    { 0x6129, "node_within_use_radius_of_crate" },
    { 0x612A, "node0_has_neighbor_connected_to_node1" },
    { 0x612B, "nodeath" },
    { 0x612C, "nodeathsound" },
    { 0x612D, "nodecanhitground" },
    { 0x612E, "nodechecked" },
    { 0x612F, "nodefindremotemissleent" },
    { 0x6130, "nodegetremotemissileorgfromabove" },
    { 0x6131, "nodegetremotemissileorigin" },
    { 0x6132, "nodegetremotemissleentorg" },
    { 0x6133, "nodehasremotemissiledataset" },
    { 0x6134, "nodeispathnode" },
    { 0x6135, "nodeisremotemissilefromabove" },
    { 0x6136, "nodes" },
    { 0x6137, "nodes_array" },
    { 0x6138, "nodeschecked" },
    { 0x6139, "nodestocheck" },
    { 0x613A, "nodetestfirefromabove" },
    { 0x613B, "nodroneweaponsound" },
    { 0x613C, "nodrop" },
    { 0x613D, "noenableexo" },
    { 0x613E, "noenableweapon" },
    { 0x613F, "nofallanim" },
    { 0x6140, "nofirstframemelee" },
    { 0x6141, "nofour" },
    { 0x6142, "nofriendlyhudicon" },
    { 0x6143, "nogun" },
    { 0x6144, "nogunshoot" },
    { 0x6145, "noisy_turret_clear_default_angles" },
    { 0x6146, "noisy_turret_set_default_angles" },
    { 0x6147, "noisy_turret_think" },
    { 0x6148, "nomeleechargedelay" },
    { 0x6149, "nomeleedeathorient" },
    { 0x614A, "non_glow_model" },
    { 0x614B, "non_player_contact_watcher" },
    { 0x614C, "non_player_damage" },
    { 0x614D, "non_vehicle_guys_a" },
    { 0x614E, "nonanimatedpositions" },
    { 0x614F, "nonhumantypes" },
    { 0x6150, "nonkillstreakagent" },
    { 0x6151, "nonplayerimpvolreduction" },
    { 0x6152, "noonespawnedyet" },
    { 0x6153, "nooverlappinguv" },
    { 0x6154, "nopickuptime" },
    { 0x6155, "noplayerinvul" },
    { 0x6156, "noragdoll" },
    { 0x6157, "noragdollents" },
    { 0x6158, "noreload" },
    { 0x6159, "normal_friendly_fire_penalty" },
    { 0x615A, "normal_stencil" },
    { 0x615B, "normalfogscale" },
    { 0x615C, "normalfogscale_start" },
    { 0x615D, "normalize_script_friendname" },
    { 0x615E, "normalizecompassdirection" },
    { 0x615F, "normalizeplayersegment" },
    { 0x6160, "norunngun" },
    { 0x6161, "norunreload" },
    { 0x6162, "noruntwitch" },
    { 0x6163, "noself_array_call" },
    { 0x6164, "noself_delaycall" },
    { 0x6165, "noself_delaycall_proc" },
    { 0x6166, "noself_func" },
    { 0x6167, "nospawn" },
    { 0x6168, "notanksquish" },
    { 0x6169, "notargethudelem" },
    { 0x616A, "notargethudelem_pulse" },
    { 0x616B, "note" },
    { 0x616C, "note_group" },
    { 0x616D, "note_track_start_fx_on_tag" },
    { 0x616E, "note_track_start_sound" },
    { 0x616F, "note_track_stop_efx_on_tag" },
    { 0x6170, "note_track_swap_to_efx" },
    { 0x6171, "note_track_trace_to_efx" },
    { 0x6172, "noteleport" },
    { 0x6173, "notes" },
    { 0x6174, "notetrack" },
    { 0x6175, "notetrack_aud_countdown_start" },
    { 0x6176, "notetrack_aud_shoot_missile_start" },
    { 0x6177, "notetrack_break_bar" },
    { 0x6178, "notetrack_close_elevator_doors" },
    { 0x6179, "notetrack_drag_cover_dont_pickup" },
    { 0x617A, "notetrack_drag_cover_pickup" },
    { 0x617B, "notetrack_fade_to_white_fail" },
    { 0x617C, "notetrack_final_fail_slowmo" },
    { 0x617D, "notetrack_final_part5_success_slomo" },
    { 0x617E, "notetrack_fov_end" },
    { 0x617F, "notetrack_gideon_start" },
    { 0x6180, "notetrack_gov_rescue_handcuffs" },
    { 0x6181, "notetrack_gov_wall_climb_intro_left_plant" },
    { 0x6182, "notetrack_gov_wall_climb_intro_left_start" },
    { 0x6183, "notetrack_gov_wall_climb_intro_right_plant" },
    { 0x6184, "notetrack_gov_wall_climb_intro_right_start" },
    { 0x6185, "notetrack_h_breach_small" },
    { 0x6186, "notetrack_highway_bus_land_from_ledge" },
    { 0x6187, "notetrack_highway_final_td_mirror_snap_and_drag" },
    { 0x6188, "notetrack_highway_final_td_suv_collision" },
    { 0x6189, "notetrack_highway_final_td_truck_rail_impact" },
    { 0x618A, "notetrack_highway_final_td_truck_water_impact" },
    { 0x618B, "notetrack_highway_jump_land" },
    { 0x618C, "notetrack_irons_reveal_lerp_fov_out" },
    { 0x618D, "notetrack_mech_exit_fov_change" },
    { 0x618E, "notetrack_middle_takedown_grab_side" },
    { 0x618F, "notetrack_middle_takedown_jump_to_bus" },
    { 0x6190, "notetrack_middle_takedown_jump_to_truck" },
    { 0x6191, "notetrack_middle_takedown_land_on_bus" },
    { 0x6192, "notetrack_middle_takedown_land_on_truck" },
    { 0x6193, "notetrack_middle_takedown_punch_window" },
    { 0x6194, "notetrack_middle_takedown_truck_swipe" },
    { 0x6195, "notetrack_missile_stopped_vm_fade_out" },
    { 0x6196, "notetrack_pickup02_fade_in" },
    { 0x6197, "notetrack_pickup02_fade_out" },
    { 0x6198, "notetrack_player_blast_react" },
    { 0x6199, "notetrack_player_control" },
    { 0x619A, "notetrack_playsound" },
    { 0x619B, "notetrack_rocket_launch_start" },
    { 0x619C, "notetrack_roof_breach_land" },
    { 0x619D, "notetrack_roof_breach_large" },
    { 0x619E, "notetrack_roof_breach_medium" },
    { 0x619F, "notetrack_roof_breach_small" },
    { 0x61A0, "notetrack_rumble_heavy" },
    { 0x61A1, "notetrack_rumble_intense" },
    { 0x61A2, "notetrack_rumble_light" },
    { 0x61A3, "notetrack_rumble_moderate" },
    { 0x61A4, "notetrack_rumble_moderate_on_gideon" },
    { 0x61A5, "notetrack_run01_fade_in" },
    { 0x61A6, "notetrack_run01_fade_out" },
    { 0x61A7, "notetrack_run02_fade_in" },
    { 0x61A8, "notetrack_run02_fade_out" },
    { 0x61A9, "notetrack_run03_fade_in" },
    { 0x61AA, "notetrack_run03_fade_out" },
    { 0x61AB, "notetrack_run04_fade_in" },
    { 0x61AC, "notetrack_run04_fade_out" },
    { 0x61AD, "notetrack_setup" },
    { 0x61AE, "notetrack_setup_middle" },
    { 0x61AF, "notetrack_setup_outro" },
    { 0x61B0, "notetrack_show_takedown_knife" },
    { 0x61B1, "notetrack_swap_roof_brush" },
    { 0x61B2, "notetrack_takedown_start_window" },
    { 0x61B3, "notetrack_unlink" },
    { 0x61B4, "notetrack_unlink_and_start_ragdoll" },
    { 0x61B5, "notetrack_vfx_blast" },
    { 0x61B6, "notetrack_vfx_ignition" },
    { 0x61B7, "notetrack_vm_exo_magnet_end" },
    { 0x61B8, "notetrack_vm_exo_magnet_start" },
    { 0x61B9, "notetrack_vo_exo_climb" },
    { 0x61BA, "notetrack_wait" },
    { 0x61BB, "notetrackalertnessaiming" },
    { 0x61BC, "notetrackalertnessalert" },
    { 0x61BD, "notetrackalertnesscasual" },
    { 0x61BE, "notetrackbodyfall" },
    { 0x61BF, "notetrackcodemove" },
    { 0x61C0, "notetrackdelete" },
    { 0x61C1, "notetrackdetachshield" },
    { 0x61C2, "notetrackdropclip" },
    { 0x61C3, "notetrackfaceenemy" },
    { 0x61C4, "notetrackfire" },
    { 0x61C5, "notetrackfirespray" },
    { 0x61C6, "notetrackfootscrape" },
    { 0x61C7, "notetrackfootstep" },
    { 0x61C8, "notetrackgatebash" },
    { 0x61C9, "notetrackgravity" },
    { 0x61CA, "notetrackgundrop" },
    { 0x61CB, "notetrackgunhand" },
    { 0x61CC, "notetrackguntoback" },
    { 0x61CD, "notetrackguntochest" },
    { 0x61CE, "notetrackhide" },
    { 0x61CF, "notetrackland" },
    { 0x61D0, "notetracklaser" },
    { 0x61D1, "notetrackloadshell" },
    { 0x61D2, "notetrackmeleeattackeft" },
    { 0x61D3, "notetrackmovementrun" },
    { 0x61D4, "notetrackmovementstop" },
    { 0x61D5, "notetrackmovementwalk" },
    { 0x61D6, "notetrackpain" },
    { 0x61D7, "notetrackpistolpickup" },
    { 0x61D8, "notetrackpistolputaway" },
    { 0x61D9, "notetrackpistolrechamber" },
    { 0x61DA, "notetrackposeback" },
    { 0x61DB, "notetrackposecrawl" },
    { 0x61DC, "notetrackposecrouch" },
    { 0x61DD, "notetrackposeprone" },
    { 0x61DE, "notetrackposestand" },
    { 0x61DF, "notetrackrefillclip" },
    { 0x61E0, "notetrackrocketlauncherammoattach" },
    { 0x61E1, "notetrackrocketlauncherammodelete" },
    { 0x61E2, "notetracks" },
    { 0x61E3, "notetracks_bridge_collapse" },
    { 0x61E4, "notetracks_burke_collapse" },
    { 0x61E5, "notetracks_burke_pitbull_intro" },
    { 0x61E6, "notetracks_bus_jump" },
    { 0x61E7, "notetracks_hostage_truck_takedown" },
    { 0x61E8, "notetracks_player_pitbull_crash" },
    { 0x61E9, "notetracks_player_pitbull_intro" },
    { 0x61EA, "notetracks_player_rig_collapse" },
    { 0x61EB, "notetracks_playerrig_truck_middle_takedown" },
    { 0x61EC, "notetracks_traffic_start_vm" },
    { 0x61ED, "notetracks_truck_middle_takedown_kva_truck" },
    { 0x61EE, "notetracks_truck_middle_takedown_pt4" },
    { 0x61EF, "notetrackshoot" },
    { 0x61F0, "notetrackshow" },
    { 0x61F1, "notetrackspacejet" },
    { 0x61F2, "notetrackspacejet_proc" },
    { 0x61F3, "notetrackstartragdoll" },
    { 0x61F4, "notetrackstopanim" },
    { 0x61F5, "notfirsttime" },
    { 0x61F6, "notfirsttimedogs" },
    { 0x61F7, "nothing_for_now" },
    { 0x61F8, "notify_assault_drone_on_player_command" },
    { 0x61F9, "notify_bike_hover" },
    { 0x61FA, "notify_delay" },
    { 0x61FB, "notify_delay_endon" },
    { 0x61FC, "notify_delay_param" },
    { 0x61FD, "notify_disable" },
    { 0x61FE, "notify_doors_close" },
    { 0x61FF, "notify_doors_open" },
    { 0x6200, "notify_drones_all_dead" },
    { 0x6201, "notify_enable" },
    { 0x6202, "notify_enemy_bots_bomb_used" },
    { 0x6203, "notify_enemy_team_bomb_used" },
    { 0x6204, "notify_facial_anim_end" },
    { 0x6205, "notify_fire_rocket_0" },
    { 0x6206, "notify_fire_rocket_1" },
    { 0x6207, "notify_fire_rocket_2" },
    { 0x6208, "notify_fire_rocket_3" },
    { 0x6209, "notify_fire_rocket_4" },
    { 0x620A, "notify_fire_rocket_5" },
    { 0x620B, "notify_fire_rocket_6" },
    { 0x620C, "notify_guy_mounted" },
    { 0x620D, "notify_kill_aim_anim" },
    { 0x620E, "notify_mech_swap" },
    { 0x620F, "notify_method" },
    { 0x6210, "notify_moving_platform_invalid" },
    { 0x6211, "notify_on_damage" },
    { 0x6212, "notify_on_death" },
    { 0x6213, "notify_on_end" },
    { 0x6214, "notify_on_flag" },
    { 0x6215, "notify_on_trigger" },
    { 0x6216, "notify_on_trigger_with_name" },
    { 0x6217, "notify_on_use_trigger" },
    { 0x6218, "notify_on_whizby" },
    { 0x6219, "notify_qte_prompt_and_slowmo" },
    { 0x621A, "notify_recon_drone_on_player_command" },
    { 0x621B, "notify_relay" },
    { 0x621C, "notify_spotted_player" },
    { 0x621D, "notify_spotted_player_alleyway" },
    { 0x621E, "notify_valve_on_death" },
    { 0x621F, "notify_warbird_when_killed" },
    { 0x6220, "notify_when_tag_picked_up_or_unavailable" },
    { 0x6221, "notify_wrapper" },
    { 0x6222, "notifyaftertime" },
    { 0x6223, "notifyconnecting" },
    { 0x6224, "notifycoopover" },
    { 0x6225, "notifydamage" },
    { 0x6226, "notifydamageafterframe" },
    { 0x6227, "notifydamagenotdone" },
    { 0x6228, "notifydeath" },
    { 0x6229, "notifygrenadepickup" },
    { 0x622A, "notifyicon" },
    { 0x622B, "notifymessage" },
    { 0x622C, "notifyonanimend" },
    { 0x622D, "notifyonplayerkill" },
    { 0x622E, "notifyonplayermovingsniperdrone" },
    { 0x622F, "notifyonstartaim" },
    { 0x6230, "notifyoverlay" },
    { 0x6231, "notifyroundover" },
    { 0x6232, "notifystartaim" },
    { 0x6233, "notifystopshootingaftertime" },
    { 0x6234, "notifystring" },
    { 0x6235, "notifytext" },
    { 0x6236, "notifytext2" },
    { 0x6237, "notifytitle" },
    { 0x6238, "notifytracker" },
    { 0x6239, "notrack_final_part5_body_swap" },
    { 0x623A, "notsolid_ents_by_targetname" },
    { 0x623B, "notti" },
    { 0x623C, "noturnanims" },
    { 0x623D, "notusableforjoiningplayers" },
    { 0x623E, "nounignore" },
    { 0x623F, "nousebar" },
    { 0x6240, "nox_generic_hints" },
    { 0x6241, "nox_generic_hints_internal" },
    { 0x6242, "npc_anims" },
    { 0x6243, "npc_cloak_buttons" },
    { 0x6244, "npc_cloak_enable" },
    { 0x6245, "npc_heli_shot" },
    { 0x6246, "npc_maxlrgvelocity" },
    { 0x6247, "npc_maxmedvelocity" },
    { 0x6248, "npc_maxsmlvelocity" },
    { 0x6249, "npc_maxvelocity" },
    { 0x624A, "npc_minvelocitythreshold" },
    { 0x624B, "npc_numvelocityranges" },
    { 0x624C, "npc_pitbull_shot" },
    { 0x624D, "npc_shoots_pool_enemy" },
    { 0x624E, "npcdelete" },
    { 0x624F, "npcid" },
    { 0x6250, "npcidtracker" },
    { 0x6251, "nt_helicrash_slowend" },
    { 0x6252, "nt_helicrash_slowstart" },
    { 0x6253, "nt_incinerator_player_pipe_grab" },
    { 0x6254, "nt_incinerator_player_saved" },
    { 0x6255, "nt_s1_elevator_end" },
    { 0x6256, "nt_s1_elevator_push_fall" },
    { 0x6257, "nt_s1_truck_dismount_guards" },
    { 0x6258, "nt_s2walk_anims_start" },
    { 0x6259, "nt_trolley_doctor_start" },
    { 0x625A, "nt_trolley_door_01" },
    { 0x625B, "nt_trolley_door_02" },
    { 0x625C, "nt_trolley_gate" },
    { 0x625D, "nt_trolley_guard_start" },
    { 0x625E, "nt_trolley_player_start" },
    { 0x625F, "nt_trolley_zip_start" },
    { 0x6260, "nt_warbird_anims_start" },
    { 0x6261, "nt_warbird_mech_link" },
    { 0x6262, "nuke" },
    { 0x6263, "nuke_clockobject" },
    { 0x6264, "nuke_empjam" },
    { 0x6265, "nuke_empteamtracker" },
    { 0x6266, "nuke_soundobject" },
    { 0x6267, "nukeaftermatheffect" },
    { 0x6268, "nuked" },
    { 0x6269, "nukedeath" },
    { 0x626A, "nukedetonated" },
    { 0x626B, "nukeearthquake" },
    { 0x626C, "nukeeffect" },
    { 0x626D, "nukeeffects" },
    { 0x626E, "nukeemptimeout" },
    { 0x626F, "nukeemptimeremaining" },
    { 0x6270, "nukeincoming" },
    { 0x6271, "nukeinfo" },
    { 0x6272, "nukeslowmo" },
    { 0x6273, "nukesoundexplosion" },
    { 0x6274, "nukesoundincoming" },
    { 0x6275, "nuketimer" },
    { 0x6276, "nukevision" },
    { 0x6277, "nukevisioninprogress" },
    { 0x6278, "nukevisionset" },
    { 0x6279, "null_func" },
    { 0x627A, "num" },
    { 0x627B, "num_active_tracking_grenades" },
    { 0x627C, "num_bridge_drones_destroyed" },
    { 0x627D, "num_drones_killed" },
    { 0x627E, "num_in_formation" },
    { 0x627F, "num_lives" },
    { 0x6280, "num_lobby_idles" },
    { 0x6281, "num_missile_attractors" },
    { 0x6282, "num_missile_repulsors" },
    { 0x6283, "num_move_wait_skips" },
    { 0x6284, "num_node_connections_to_group" },
    { 0x6285, "num_objectives_visable" },
    { 0x6286, "num_pipe_fx" },
    { 0x6287, "num_points" },
    { 0x6288, "num_shots" },
    { 0x6289, "num_zones" },
    { 0x628A, "numactive" },
    { 0x628B, "numagents" },
    { 0x628C, "numareas" },
    { 0x628D, "number_of_hp_zones_pre_teleport" },
    { 0x628E, "numberofdronestokill" },
    { 0x628F, "numberofimportantpeopletalking" },
    { 0x6290, "numberofpossiblespawnchoices" },
    { 0x6291, "numcaps" },
    { 0x6292, "numcardtags" },
    { 0x6293, "numcharges" },
    { 0x6294, "numcrawls" },
    { 0x6295, "numcrtaescaptured" },
    { 0x6296, "numdeathsuntilcornergrenadedeath" },
    { 0x6297, "numdeathsuntilcrawlingpain" },
    { 0x6298, "numdroneswaitingtospawn" },
    { 0x6299, "numdropcrates" },
    { 0x629A, "numenemyvoices" },
    { 0x629B, "numequipmentkillsintel" },
    { 0x629C, "numextraflares" },
    { 0x629D, "numflares" },
    { 0x629E, "numfriendlyvoices" },
    { 0x629F, "numgametypereservedobjectives" },
    { 0x62A0, "numgrenadesinprogresstowardsplayer" },
    { 0x62A1, "numheadshotsintel" },
    { 0x62A2, "numkills" },
    { 0x62A3, "numkillstreakkillsintel" },
    { 0x62A4, "nummeleekillsintel" },
    { 0x62A5, "numnearbyplayers" },
    { 0x62A6, "numnearbyprisonturrets" },
    { 0x62A7, "numofreloadmalfunctions" },
    { 0x62A8, "numplayerswaitingtoenterkillcam" },
    { 0x62A9, "numplayerswaitingtospawn" },
    { 0x62AA, "numrevives" },
    { 0x62AB, "numspeakers" },
    { 0x62AC, "numtouching" },
    { 0x62AD, "numtraces" },
    { 0x62AE, "obj" },
    { 0x62AF, "obj_array" },
    { 0x62B0, "obj_base" },
    { 0x62B1, "obj_battle_to_exfil" },
    { 0x62B2, "obj_bio_weapons" },
    { 0x62B3, "obj_bridge" },
    { 0x62B4, "obj_bridge_start" },
    { 0x62B5, "obj_console" },
    { 0x62B6, "obj_defend_squad" },
    { 0x62B7, "obj_destroy_vtol" },
    { 0x62B8, "obj_disable_courtyard_scrambler" },
    { 0x62B9, "obj_ent" },
    { 0x62BA, "obj_enter_atlas_silo" },
    { 0x62BB, "obj_enter_mobile_turret" },
    { 0x62BC, "obj_escape" },
    { 0x62BD, "obj_escape_the_helo" },
    { 0x62BE, "obj_exists" },
    { 0x62BF, "obj_funeral" },
    { 0x62C0, "obj_get_gun" },
    { 0x62C1, "obj_get_in_org" },
    { 0x62C2, "obj_goto_razorback" },
    { 0x62C3, "obj_infiltrate_facility" },
    { 0x62C4, "obj_init" },
    { 0x62C5, "obj_irons" },
    { 0x62C6, "obj_lake_sniper_rifle" },
    { 0x62C7, "obj_laser" },
    { 0x62C8, "obj_locate_atlas_tank" },
    { 0x62C9, "obj_locate_chopper" },
    { 0x62CA, "obj_meet_cormack" },
    { 0x62CB, "obj_neutralize_bio_weapons" },
    { 0x62CC, "obj_origin" },
    { 0x62CD, "obj_overlook" },
    { 0x62CE, "obj_plant_charges" },
    { 0x62CF, "obj_recover_cargo" },
    { 0x62D0, "obj_rescue_1" },
    { 0x62D1, "obj_rescue_2" },
    { 0x62D2, "obj_secure_deck" },
    { 0x62D3, "obj_shut_down_reactor" },
    { 0x62D4, "obj_stop_missile_launch" },
    { 0x62D5, "obj_tag" },
    { 0x62D6, "obj_underwater" },
    { 0x62D7, "obj_use_drone" },
    { 0x62D8, "obj_use_mobile_cover" },
    { 0x62D9, "obj_use_smaw" },
    { 0x62DA, "obj3d_origins" },
    { 0x62DB, "objcollect" },
    { 0x62DC, "objdefend" },
    { 0x62DD, "objdefuse" },
    { 0x62DE, "object" },
    { 0x62DF, "object_control" },
    { 0x62E0, "object_init_reset" },
    { 0x62E1, "object_reset" },
    { 0x62E2, "objectgroupcost" },
    { 0x62E3, "objective_01_on_cardoor" },
    { 0x62E4, "objective_01_on_cormack" },
    { 0x62E5, "objective_01_on_turret" },
    { 0x62E6, "objective_01_on_will" },
    { 0x62E7, "objective_breach" },
    { 0x62E8, "objective_clearadditionalpositions" },
    { 0x62E9, "objective_complete" },
    { 0x62EA, "objective_event_init" },
    { 0x62EB, "objective_flag_init" },
    { 0x62EC, "objective_init" },
    { 0x62ED, "objective_is_active" },
    { 0x62EE, "objective_is_inactive" },
    { 0x62EF, "objective_manager" },
    { 0x62F0, "objective_radius" },
    { 0x62F1, "objective_recon" },
    { 0x62F2, "objective_state_tracker" },
    { 0x62F3, "objective_string_precache" },
    { 0x62F4, "objective_trigger_path_objective_updates" },
    { 0x62F5, "objectivebased" },
    { 0x62F6, "objectivedeathdetection" },
    { 0x62F7, "objectivefailureevents" },
    { 0x62F8, "objectivehintcapturezone" },
    { 0x62F9, "objectivehintdefendhq" },
    { 0x62FA, "objectivehintpreparezone" },
    { 0x62FB, "objectiveindex" },
    { 0x62FC, "objectiveisallowed" },
    { 0x62FD, "objectiveonvisuals" },
    { 0x62FE, "objectivepointsmod" },
    { 0x62FF, "objectives" },
    { 0x6300, "objectivescaler" },
    { 0x6301, "objid" },
    { 0x6302, "objidallies" },
    { 0x6303, "objidaxis" },
    { 0x6304, "objidenemy" },
    { 0x6305, "objidfriendly" },
    { 0x6306, "objidmlgspectator" },
    { 0x6307, "objidpingenemy" },
    { 0x6308, "objidpingfriendly" },
    { 0x6309, "objids" },
    { 0x630A, "objidstart" },
    { 0x630B, "objintel" },
    { 0x630C, "objintercepthades" },
    { 0x630D, "objmarkerplayertarget" },
    { 0x630E, "objmarkervehicle" },
    { 0x630F, "objoutlinevehicle" },
    { 0x6310, "objpingdelay" },
    { 0x6311, "objpoint_alpha_default" },
    { 0x6312, "objpointnames" },
    { 0x6313, "objpoints" },
    { 0x6314, "objpointscale" },
    { 0x6315, "objpointsize" },
    { 0x6316, "objscrambledrones" },
    { 0x6317, "objscramblefollowilana" },
    { 0x6318, "objscramblegapjump" },
    { 0x6319, "objscramblejumpdown" },
    { 0x631A, "objscramblekillsniper" },
    { 0x631B, "objscramblemovetruck" },
    { 0x631C, "objscrambleplayerrunfirst" },
    { 0x631D, "objscramblepoolcafe" },
    { 0x631E, "objscramblerpg" },
    { 0x631F, "objscramblesnipertower" },
    { 0x6320, "objscramblesuppress" },
    { 0x6321, "objscramblesuppressdisplay" },
    { 0x6322, "objscramblewoundedsoldier" },
    { 0x6323, "objsetupdefault" },
    { 0x6324, "objsetupentity" },
    { 0x6325, "objtransitiontoalleys" },
    { 0x6326, "observation_room_scientist_anims" },
    { 0x6327, "observation_room_scientist_death" },
    { 0x6328, "observation_room_scientist_setup" },
    { 0x6329, "observer" },
    { 0x632A, "obstacles" },
    { 0x632B, "occ" },
    { 0x632C, "occluder" },
    { 0x632D, "occlusion" },
    { 0x632E, "occlusion_bypass" },
    { 0x632F, "occlusion_enable" },
    { 0x6330, "occlusion1" },
    { 0x6331, "occlusion2" },
    { 0x6332, "occumulate_player_use_presses" },
    { 0x6333, "occumulator" },
    { 0x6334, "occumulator_base" },
    { 0x6335, "occumulator_scale" },
    { 0x6336, "ocean" },
    { 0x6337, "ocean_pieces" },
    { 0x6338, "oceanmover_init" },
    { 0x6339, "oceanobjectmover_init" },
    { 0x633A, "oceanobjectmover_set_goal" },
    { 0x633B, "oceansinamplitude" },
    { 0x633C, "oceansinmovement" },
    { 0x633D, "oceansinperiod" },
    { 0x633E, "off_threshold" },
    { 0x633F, "offhand_switchout" },
    { 0x6340, "offhandclass" },
    { 0x6341, "offhandextra" },
    { 0x6342, "office_2guys_ambush" },
    { 0x6343, "office_atrium_dialogue" },
    { 0x6344, "office_civ" },
    { 0x6345, "office_dialogue" },
    { 0x6346, "office_glass" },
    { 0x6347, "office_guard" },
    { 0x6348, "office_hallway_door_close" },
    { 0x6349, "office_hallway_door_open" },
    { 0x634A, "office_interior_dialogue" },
    { 0x634B, "office_reunion_dialogue" },
    { 0x634C, "office_roof_door_close" },
    { 0x634D, "office_roof_door_open" },
    { 0x634E, "office_scene_cleanup" },
    { 0x634F, "office_scene_gideon_down_double_stairs" },
    { 0x6350, "office_scene_gideon_enter_secret_room" },
    { 0x6351, "office_scene_gideon_to_roof" },
    { 0x6352, "office_scene_gideon_to_stairs" },
    { 0x6353, "office_scene_intro_pcap" },
    { 0x6354, "office_scene_master_handler" },
    { 0x6355, "office_scene_move_to_secret_room" },
    { 0x6356, "office_scene_open_swipe_door" },
    { 0x6357, "office_scene_player_actions_manager" },
    { 0x6358, "office_scene_player_give_just_hands" },
    { 0x6359, "office_scene_player_handle_move_speed" },
    { 0x635A, "office_scene_player_movement_manager" },
    { 0x635B, "office_scene_player_signed_distance_to_plane" },
    { 0x635C, "office_scene_pre_setup" },
    { 0x635D, "office_scene_scripted_dodge_gideon_civ_wait_for_gideon_in_range" },
    { 0x635E, "office_scene_scripted_dodge_gideon_civilian" },
    { 0x635F, "office_scene_scripted_handle_landing_heli" },
    { 0x6360, "office_scene_scripted_player_blocker_move_with_gideon" },
    { 0x6361, "office_scene_setup" },
    { 0x6362, "office_scene_silence_heli" },
    { 0x6363, "office_scene_vignette_atlas_walker_manager" },
    { 0x6364, "office_scene_vignette_boat_loop_handler" },
    { 0x6365, "office_scene_vignette_boats" },
    { 0x6366, "office_scene_vignette_drones" },
    { 0x6367, "office_scene_vignette_handle_atlas_ai" },
    { 0x6368, "office_scene_vignette_handle_drones" },
    { 0x6369, "office_scene_vignette_helicopters" },
    { 0x636A, "office_scene_vignette_send_boat_through_path" },
    { 0x636B, "office_scene_vignette_set_atlas_walker_urgent_walk_anims" },
    { 0x636C, "office_scene_vignette_setup" },
    { 0x636D, "office_scene_vignette_setup_civilians" },
    { 0x636E, "office_scene_vignette_spawn_personal_guard_hallway" },
    { 0x636F, "office_skylights_breakable" },
    { 0x6370, "office_support_after_ambush" },
    { 0x6371, "officercount" },
    { 0x6372, "officerid" },
    { 0x6373, "officers" },
    { 0x6374, "officerwaiter" },
    { 0x6375, "offmodel" },
    { 0x6376, "offset" },
    { 0x6377, "offset_debug" },
    { 0x6378, "offset_position_from_drone" },
    { 0x6379, "offset_position_from_tag" },
    { 0x637A, "offset_tag" },
    { 0x637B, "offset_thread" },
    { 0x637C, "offset3d" },
    { 0x637D, "offsetdir" },
    { 0x637E, "offsetdist" },
    { 0x637F, "offsetone" },
    { 0x6380, "offsetrange" },
    { 0x6381, "offsettoorigin" },
    { 0x6382, "offsetzero" },
    { 0x6383, "offswitch" },
    { 0x6384, "og" },
    { 0x6385, "og_health" },
    { 0x6386, "og_heli_spawn" },
    { 0x6387, "og_newenemyreactiondistsq" },
    { 0x6388, "og_position" },
    { 0x6389, "og_spawn" },
    { 0x638A, "oil_tanker_bridge_explosion" },
    { 0x638B, "oil_tanker_bridge_fire" },
    { 0x638C, "oil_tanker_crash_fx" },
    { 0x638D, "oil_tanker_explosion_fx" },
    { 0x638E, "old_acc" },
    { 0x638F, "old_accuracy" },
    { 0x6390, "old_ai_target" },
    { 0x6391, "old_angles" },
    { 0x6392, "old_animname" },
    { 0x6393, "old_attributes" },
    { 0x6394, "old_base" },
    { 0x6395, "old_baseaccuracy" },
    { 0x6396, "old_bp_awareness" },
    { 0x6397, "old_contents" },
    { 0x6398, "old_controls" },
    { 0x6399, "old_crash_loc" },
    { 0x639A, "old_disablearrivals" },
    { 0x639B, "old_dof_physical_enable" },
    { 0x639C, "old_fixednode" },
    { 0x639D, "old_fixednodesaferadius" },
    { 0x639E, "old_forcecolor" },
    { 0x639F, "old_fovcosine" },
    { 0x63A0, "old_goalradius" },
    { 0x63A1, "old_gravity" },
    { 0x63A2, "old_health" },
    { 0x63A3, "old_health_long_regen_delay" },
    { 0x63A4, "old_health_regen_delay" },
    { 0x63A5, "old_ignoreme" },
    { 0x63A6, "old_interval" },
    { 0x63A7, "old_introscreen_default" },
    { 0x63A8, "old_locations" },
    { 0x63A9, "old_locations_mp" },
    { 0x63AA, "old_maxsightdistsqrd" },
    { 0x63AB, "old_movementtype" },
    { 0x63AC, "old_moveplaybackrate" },
    { 0x63AD, "old_name" },
    { 0x63AE, "old_origin" },
    { 0x63AF, "old_path" },
    { 0x63B0, "old_pathlookaheaddist" },
    { 0x63B1, "old_pathrandompercent" },
    { 0x63B2, "old_position" },
    { 0x63B3, "old_stealth_numbers" },
    { 0x63B4, "old_threat_bias_group" },
    { 0x63B5, "old_threatbias" },
    { 0x63B6, "old_threatbiasgroupname" },
    { 0x63B7, "old_turnrate" },
    { 0x63B8, "old_viewbobamplitudeducked" },
    { 0x63B9, "old_viewbobamplitudesprinting" },
    { 0x63BA, "old_viewbobamplitudestanding" },
    { 0x63BB, "old_vl_focus" },
    { 0x63BC, "old_walkdist" },
    { 0x63BD, "old_walkdistfacingmotion" },
    { 0x63BE, "old_weapon" },
    { 0x63BF, "old_z" },
    { 0x63C0, "oldacc" },
    { 0x63C1, "oldanimname" },
    { 0x63C2, "oldbase" },
    { 0x63C3, "oldcombatmode" },
    { 0x63C4, "oldcontents" },
    { 0x63C5, "oldconvergencetime" },
    { 0x63C6, "olddontattackme" },
    { 0x63C7, "oldfightdist" },
    { 0x63C8, "oldfixednode" },
    { 0x63C9, "oldgoalradius" },
    { 0x63CA, "oldgrenade" },
    { 0x63CB, "oldgrenadeammo" },
    { 0x63CC, "oldgrenadeawareness" },
    { 0x63CD, "oldgrenadereturnthrow" },
    { 0x63CE, "oldgrenadeweapon" },
    { 0x63CF, "oldgrenawareness" },
    { 0x63D0, "oldhandler" },
    { 0x63D1, "oldheadicon" },
    { 0x63D2, "oldheadiconteam" },
    { 0x63D3, "oldignoreme" },
    { 0x63D4, "oldmaxdist" },
    { 0x63D5, "oldmaxsight" },
    { 0x63D6, "oldmode" },
    { 0x63D7, "oldmoveplaybackrate" },
    { 0x63D8, "oldnotifymessage" },
    { 0x63D9, "oldorigin" },
    { 0x63DA, "oldpathenemyfightdist" },
    { 0x63DB, "oldpathenemylookahead" },
    { 0x63DC, "oldradius" },
    { 0x63DD, "oldrotx" },
    { 0x63DE, "oldroty" },
    { 0x63DF, "oldscriptforcecolor" },
    { 0x63E0, "oldstance" },
    { 0x63E1, "oldstyle" },
    { 0x63E2, "oldtown_ceiling_fans" },
    { 0x63E3, "oldtown_chasers" },
    { 0x63E4, "oldtown_civs" },
    { 0x63E5, "oldtown_dock" },
    { 0x63E6, "oldtown_dock_anim_jumper" },
    { 0x63E7, "oldtown_dock_anim_jumper_setup" },
    { 0x63E8, "oldtown_dock_backtrack_death_squad_spawners" },
    { 0x63E9, "oldtown_dock_backtrack_fail_send_in_flyers" },
    { 0x63EA, "oldtown_dock_civ_setup" },
    { 0x63EB, "oldtown_dock_cleanup" },
    { 0x63EC, "oldtown_dock_combat_cleanup" },
    { 0x63ED, "oldtown_dock_enemies" },
    { 0x63EE, "oldtown_dock_enemy_mech_death_alert" },
    { 0x63EF, "oldtown_dock_enemy_moveup" },
    { 0x63F0, "oldtown_dock_enemy_retreat" },
    { 0x63F1, "oldtown_dock_enemy_setup" },
    { 0x63F2, "oldtown_dock_fail_avoid_player_got_in_boat" },
    { 0x63F3, "oldtown_dock_fail_enemies" },
    { 0x63F4, "oldtown_dock_fail_enemy_hunt" },
    { 0x63F5, "oldtown_dock_fail_init" },
    { 0x63F6, "oldtown_dock_fail_start" },
    { 0x63F7, "oldtown_dock_failstate_backtrack" },
    { 0x63F8, "oldtown_dock_failstate_backtrack_deathsquad" },
    { 0x63F9, "oldtown_dock_ilana_advance" },
    { 0x63FA, "oldtown_dock_ilana_advance_think" },
    { 0x63FB, "oldtown_dock_littlebird_rooftop_goal" },
    { 0x63FC, "oldtown_dock_littlebird_rooftop_vig" },
    { 0x63FD, "oldtown_dock_master_handler" },
    { 0x63FE, "oldtown_dock_mech_damage_function" },
    { 0x63FF, "oldtown_dock_mech_death_event" },
    { 0x6400, "oldtown_dock_mech_entrance" },
    { 0x6401, "oldtown_dock_mech_goal" },
    { 0x6402, "oldtown_dock_mech_rockets" },
    { 0x6403, "oldtown_dock_post_boat_cleanup" },
    { 0x6404, "oldtown_enemy_array" },
    { 0x6405, "oldtown_freerun" },
    { 0x6406, "oldtown_freerun_cg_perf_maintain" },
    { 0x6407, "oldtown_freerun_civ_badplace_pathing" },
    { 0x6408, "oldtown_freerun_civ_ender" },
    { 0x6409, "oldtown_freerun_civ_init" },
    { 0x640A, "oldtown_freerun_civ_setup" },
    { 0x640B, "oldtown_freerun_civ_walker_maintainer" },
    { 0x640C, "oldtown_freerun_civ_walker_panic" },
    { 0x640D, "oldtown_freerun_civ_walker_panic_retreat" },
    { 0x640E, "oldtown_freerun_civ_walker_removal" },
    { 0x640F, "oldtown_freerun_civ_walker_setup" },
    { 0x6410, "oldtown_freerun_doorkick_enemy" },
    { 0x6411, "oldtown_freerun_doorkick_enemy_setup" },
    { 0x6412, "oldtown_freerun_doorkick_player" },
    { 0x6413, "oldtown_freerun_doorkick_player_removal" },
    { 0x6414, "oldtown_freerun_enemy_chase_player" },
    { 0x6415, "oldtown_freerun_enemy_chaser_cleaner" },
    { 0x6416, "oldtown_freerun_enemy_chk_player_pos" },
    { 0x6417, "oldtown_freerun_enemy_cleanup_maintain" },
    { 0x6418, "oldtown_freerun_enemy_dresser_kick" },
    { 0x6419, "oldtown_freerun_enemy_dresser_kick_setup" },
    { 0x641A, "oldtown_freerun_enemy_fragging" },
    { 0x641B, "oldtown_freerun_enemy_goal_assign" },
    { 0x641C, "oldtown_freerun_enemy_monitor_player_pos" },
    { 0x641D, "oldtown_freerun_enemy_removal" },
    { 0x641E, "oldtown_freerun_enemy_removal_offscreen" },
    { 0x641F, "oldtown_freerun_enemy_secondgoal" },
    { 0x6420, "oldtown_freerun_enemy_spawner_alert" },
    { 0x6421, "oldtown_freerun_enemy_spawner_func" },
    { 0x6422, "oldtown_freerun_enemy_spawner_init" },
    { 0x6423, "oldtown_freerun_enemy_vo_setup" },
    { 0x6424, "oldtown_freerun_failstate_backtrack" },
    { 0x6425, "oldtown_freerun_failstate_backtrack_deathsquad" },
    { 0x6426, "oldtown_freerun_failstate_monitor" },
    { 0x6427, "oldtown_freerun_ilana_awareness" },
    { 0x6428, "oldtown_freerun_ilona_ignore_pain_handler" },
    { 0x6429, "oldtown_freerun_mech_hunting" },
    { 0x642A, "oldtown_freerun_mech_persist" },
    { 0x642B, "oldtown_freerun_scripted_object_setup" },
    { 0x642C, "oldtown_freerun_security_checkpoint_guards_hold_fire" },
    { 0x642D, "oldtown_freerun_vis_jumper" },
    { 0x642E, "oldtown_freerun_vis_jumper2" },
    { 0x642F, "oldtown_freerun_warbird_pass" },
    { 0x6430, "oldtown_pa" },
    { 0x6431, "oldtown_scene_master_handler" },
    { 0x6432, "oldwalkdist" },
    { 0x6433, "omaclasschanged" },
    { 0x6434, "omausebar" },
    { 0x6435, "on_agent_dog_killed" },
    { 0x6436, "on_agent_generic_damaged" },
    { 0x6437, "on_agent_player_damaged" },
    { 0x6438, "on_agent_player_killed" },
    { 0x6439, "on_agent_squadmate_killed" },
    { 0x643A, "on_alert_chase_player" },
    { 0x643B, "on_alert_go_volume" },
    { 0x643C, "on_alert_notify_level" },
    { 0x643D, "on_bot_killed" },
    { 0x643E, "on_damaged_finished" },
    { 0x643F, "on_humanoid_agent_killed_common" },
    { 0x6440, "on_minion_killed" },
    { 0x6441, "on_path_from" },
    { 0x6442, "on_path_grid" },
    { 0x6443, "on_radar_hud" },
    { 0x6444, "on_shield_down" },
    { 0x6445, "on_shield_up" },
    { 0x6446, "on_the_way_to_jammer_2" },
    { 0x6447, "on_threshold" },
    { 0x6448, "onagentkilled" },
    { 0x6449, "onagentspawned" },
    { 0x644A, "onaiconnect" },
    { 0x644B, "onairstrikedeath" },
    { 0x644C, "onassaultdronedeath" },
    { 0x644D, "onatv" },
    { 0x644E, "onback" },
    { 0x644F, "onbattlebuddymenuselection" },
    { 0x6450, "onbegincarrying" },
    { 0x6451, "onbeginuse" },
    { 0x6452, "onbeginuse_elevator" },
    { 0x6453, "onbody" },
    { 0x6454, "oncancel" },
    { 0x6455, "oncanceldelegate" },
    { 0x6456, "oncantuse" },
    { 0x6457, "oncarried" },
    { 0x6458, "oncarrieddelegate" },
    { 0x6459, "oncarrierdeath" },
    { 0x645A, "oncoming_alley_truck" },
    { 0x645B, "oncoming_bypass_kill" },
    { 0x645C, "oncoming_pitbull_speed" },
    { 0x645D, "oncoming_scene_pitbull_speed_monitor" },
    { 0x645E, "onconnectprompt" },
    { 0x645F, "oncontested" },
    { 0x6460, "oncreatedelegate" },
    { 0x6461, "ondamage" },
    { 0x6462, "ondeactivedelegate" },
    { 0x6463, "ondeadevent" },
    { 0x6464, "ondeath" },
    { 0x6465, "ondeathdelegate" },
    { 0x6466, "ondeathdot_buildfunc" },
    { 0x6467, "ondeathdot_poisondamageplayer" },
    { 0x6468, "ondeathfunc" },
    { 0x6469, "ondeathti" },
    { 0x646A, "ondisconnect" },
    { 0x646B, "ondogkilled" },
    { 0x646C, "ondrop" },
    { 0x646D, "ondropflaghudstatus" },
    { 0x646E, "one_ammo" },
    { 0x646F, "one_frac" },
    { 0x6470, "one_handed_ammo_tracking" },
    { 0x6471, "one_handed_drop_handling" },
    { 0x6472, "one_handed_exododge_handling" },
    { 0x6473, "one_handed_get_base_weapon" },
    { 0x6474, "one_handed_grenade_handling" },
    { 0x6475, "one_handed_help" },
    { 0x6476, "one_handed_help_aggro" },
    { 0x6477, "one_handed_help_flash" },
    { 0x6478, "one_handed_help_flash_ally_tracker" },
    { 0x6479, "one_handed_help_gen" },
    { 0x647A, "one_handed_help_gun" },
    { 0x647B, "one_handed_help_try" },
    { 0x647C, "one_handed_help_vo_setup" },
    { 0x647D, "one_handed_mantle_handling" },
    { 0x647E, "one_handed_melee_take_weapon" },
    { 0x647F, "one_handed_modify_threatbias" },
    { 0x6480, "one_handed_pickup_handling" },
    { 0x6481, "one_handed_swap_tracking" },
    { 0x6482, "one_handed_switch_to_melee" },
    { 0x6483, "one_handed_weapon_check_swap" },
    { 0x6484, "one_shot" },
    { 0x6485, "one_time" },
    { 0x6486, "one_vo" },
    { 0x6487, "one_weap" },
    { 0x6488, "onelefttime" },
    { 0x6489, "onemanarmyweaponchangetracker" },
    { 0x648A, "onendgame" },
    { 0x648B, "onenduse" },
    { 0x648C, "onenter" },
    { 0x648D, "onenteranimstate" },
    { 0x648E, "onenterdot_buildfunc" },
    { 0x648F, "onenterdot_player" },
    { 0x6490, "onenterdot_poisondamagecount" },
    { 0x6491, "onenterdot_poisondamageoverlay" },
    { 0x6492, "onenterdot_poisondamageplayer" },
    { 0x6493, "onenterfunc" },
    { 0x6494, "oneshot_data" },
    { 0x6495, "oneshot_duck_vals" },
    { 0x6496, "oneshot_handle_index" },
    { 0x6497, "oneshot_list" },
    { 0x6498, "oneshot_overrides" },
    { 0x6499, "oneshot_poly_mode" },
    { 0x649A, "oneshot_under_construction" },
    { 0x649B, "oneshot_update_mode" },
    { 0x649C, "oneshotfx" },
    { 0x649D, "oneshotfxthread" },
    { 0x649E, "oneshotkillevent" },
    { 0x649F, "oneshots" },
    { 0x64A0, "oneshotsoundonmovingent" },
    { 0x64A1, "oneshotsoundonstationaryent" },
    { 0x64A2, "onexit" },
    { 0x64A3, "onexitdot_buildfunc" },
    { 0x64A4, "onexitdot_player" },
    { 0x64A5, "onexitdot_poisondamageplayer" },
    { 0x64A6, "onexitfunc" },
    { 0x64A7, "onexplosivedronedeath" },
    { 0x64A8, "onexplosiveplayerconnect" },
    { 0x64A9, "onfinalsurvivor" },
    { 0x64AA, "onflashbanged" },
    { 0x64AB, "onfoot_start_alley_setup" },
    { 0x64AC, "onforfeit" },
    { 0x64AD, "onfreeplayerconnect" },
    { 0x64AE, "ongameended" },
    { 0x64AF, "onhalftime" },
    { 0x64B0, "onjoinedspectators" },
    { 0x64B1, "onjoinedteam" },
    { 0x64B2, "onkillstreakdisowned" },
    { 0x64B3, "onkillstreakkilled" },
    { 0x64B4, "onlastalive" },
    { 0x64B5, "onlinegame" },
    { 0x64B6, "only_allowable_tactical_goals" },
    { 0x64B7, "onlydronesremaining" },
    { 0x64B8, "onlyroundoverride" },
    { 0x64B9, "onmodel" },
    { 0x64BA, "onmovingplatformcollision" },
    { 0x64BB, "onnopoisonside" },
    { 0x64BC, "onnormaldeath" },
    { 0x64BD, "ononeleftevent" },
    { 0x64BE, "onorbitalsupportplayerconnect" },
    { 0x64BF, "onpickup" },
    { 0x64C0, "onpickupfailed" },
    { 0x64C1, "onpickupflaghudstatus" },
    { 0x64C2, "onplaced" },
    { 0x64C3, "onplaceddelegate" },
    { 0x64C4, "onplayer" },
    { 0x64C5, "onplayerconnect" },
    { 0x64C6, "onplayerconnectaudioinit" },
    { 0x64C7, "onplayerconnectduringstreak" },
    { 0x64C8, "onplayerconnected" },
    { 0x64C9, "onplayerconnectfucntions" },
    { 0x64CA, "onplayerconnectfunctions" },
    { 0x64CB, "onplayerconnecthintstring" },
    { 0x64CC, "onplayerconnecthorde" },
    { 0x64CD, "onplayerconnecthunterkiller" },
    { 0x64CE, "onplayerconnecting" },
    { 0x64CF, "onplayerdeath" },
    { 0x64D0, "onplayerkilled" },
    { 0x64D1, "onplayerlaststand" },
    { 0x64D2, "onplayerscore" },
    { 0x64D3, "onplayerspawned" },
    { 0x64D4, "onplayerspawnedduringstreak" },
    { 0x64D5, "onplayerspawnedhintstring" },
    { 0x64D6, "onplayerspawnedhunterkiller" },
    { 0x64D7, "onprecachegametype" },
    { 0x64D8, "onprisonplayerconnect" },
    { 0x64D9, "onprisonplayerdisconnect" },
    { 0x64DA, "onrecondronedeath" },
    { 0x64DB, "onrecoveryplayerconnect" },
    { 0x64DC, "onrecoveryplayerdisconnect" },
    { 0x64DD, "onreset" },
    { 0x64DE, "onresetflaghudstatus" },
    { 0x64DF, "onrespawndelay" },
    { 0x64E0, "onrotatingvehicleturret" },
    { 0x64E1, "onroundswitch" },
    { 0x64E2, "onsamesideofdoor" },
    { 0x64E3, "onscorelimit" },
    { 0x64E4, "onsnowmobile" },
    { 0x64E5, "onspawnfinished" },
    { 0x64E6, "onspawnplayer" },
    { 0x64E7, "onspawnspectator" },
    { 0x64E8, "onspectatingclient" },
    { 0x64E9, "onstartgametype" },
    { 0x64EA, "onsuicidedeath" },
    { 0x64EB, "onsurvivorseliminated" },
    { 0x64EC, "onteamselection" },
    { 0x64ED, "ontimelimit" },
    { 0x64EE, "ontrackingdronedeath" },
    { 0x64EF, "ontrackingplayerconnect" },
    { 0x64F0, "onturretdeath" },
    { 0x64F1, "onuncontested" },
    { 0x64F2, "onunderwater" },
    { 0x64F3, "onunoccupied" },
    { 0x64F4, "onupdateuserate" },
    { 0x64F5, "onuse" },
    { 0x64F6, "onuse_elevator" },
    { 0x64F7, "onusedefuseobject" },
    { 0x64F8, "onuseplantobject" },
    { 0x64F9, "onuseupdate" },
    { 0x64FA, "onweapondamage" },
    { 0x64FB, "onxpevent" },
    { 0x64FC, "onzonecapture" },
    { 0x64FD, "onzonecontested" },
    { 0x64FE, "onzoneuncontested" },
    { 0x64FF, "onzoneunoccupied" },
    { 0x6500, "open" },
    { 0x6501, "open_all_doors" },
    { 0x6502, "open_angles" },
    { 0x6503, "open_big_door" },
    { 0x6504, "open_car_door" },
    { 0x6505, "open_car_doors" },
    { 0x6506, "open_door" },
    { 0x6507, "open_door_anim" },
    { 0x6508, "open_doors_for_unload" },
    { 0x6509, "open_double_doors_by_name" },
    { 0x650A, "open_double_hatch_by_name" },
    { 0x650B, "open_double_sliding_doors_toggle" },
    { 0x650C, "open_elevator_doors" },
    { 0x650D, "open_firedoor_for_guards" },
    { 0x650E, "open_hangar_doors" },
    { 0x650F, "open_hatch_breakout" },
    { 0x6510, "open_inner_doors" },
    { 0x6511, "open_left_door" },
    { 0x6512, "open_org" },
    { 0x6513, "open_outer_doors" },
    { 0x6514, "open_position" },
    { 0x6515, "open_right_door" },
    { 0x6516, "open_server_room_door" },
    { 0x6517, "open_single_door_by_name" },
    { 0x6518, "open_sliding_door_toggle" },
    { 0x6519, "open_time" },
    { 0x651A, "open_up_fov" },
    { 0x651B, "open_velocity" },
    { 0x651C, "open_window" },
    { 0x651D, "opendoor" },
    { 0x651E, "opendynamicbuildingplatformpath" },
    { 0x651F, "opened_org" },
    { 0x6520, "opening_movie_function" },
    { 0x6521, "opening_prop_deletes" },
    { 0x6522, "opening_run" },
    { 0x6523, "opening_start" },
    { 0x6524, "opening_start_fov_changes" },
    { 0x6525, "opening_warbird" },
    { 0x6526, "openingsplashscreen" },
    { 0x6527, "openrestaurantdoor" },
    { 0x6528, "operating_base_ambientfx_aa_explosion" },
    { 0x6529, "operating_base_ambientfx_ground_dirt_explosion" },
    { 0x652A, "operating_base_ambientfx_ground_fireball_explosion" },
    { 0x652B, "operating_base_ambientfx_midair_explosion" },
    { 0x652C, "operating_base_ambientfx_window_glass_explosion" },
    { 0x652D, "opfor_ah" },
    { 0x652E, "opfor_ah_start_front" },
    { 0x652F, "opfor_ammo_drop_mod" },
    { 0x6530, "opfor_bh" },
    { 0x6531, "opfor_death_mod" },
    { 0x6532, "opfor_dialog_col" },
    { 0x6533, "opfor_help_aggro" },
    { 0x6534, "opfor_help_aggro_cleanup" },
    { 0x6535, "opfor_interrogation" },
    { 0x6536, "opfor_kill_guard" },
    { 0x6537, "opfor_retreat" },
    { 0x6538, "opp_trig" },
    { 0x6539, "oppressed_civ01" },
    { 0x653A, "oppressed_civ02" },
    { 0x653B, "oppressed_civs" },
    { 0x653C, "oppression_starter" },
    { 0x653D, "opticsthermal_blur" },
    { 0x653E, "opticsthermal_blur_off" },
    { 0x653F, "opticsthermal_think" },
    { 0x6540, "opticsthermalenabled" },
    { 0x6541, "optimized_process_trigger" },
    { 0x6542, "optimizedvehicletriggerprocess" },
    { 0x6543, "optional_responder_name" },
    { 0x6544, "optionalnumber" },
    { 0x6545, "optionalstepeffectfunction" },
    { 0x6546, "optionalstepeffects" },
    { 0x6547, "optionalstepeffectsmallfunction" },
    { 0x6548, "optionalstepeffectssmall" },
    { 0x6549, "options" },
    { 0x654A, "orbit" },
    { 0x654B, "orbital_endpoint" },
    { 0x654C, "orbital_forward" },
    { 0x654D, "orbital_laser_allies" },
    { 0x654E, "orbital_laser_axis" },
    { 0x654F, "orbital_lasers" },
    { 0x6550, "orbital_location" },
    { 0x6551, "orbital_ships" },
    { 0x6552, "orbital_util_capsule_traces" },
    { 0x6553, "orbital_util_capsule_traces_frame" },
    { 0x6554, "orbital_util_covered_volumes" },
    { 0x6555, "orbital_util_last_trace" },
    { 0x6556, "orbital_util_remote_traces" },
    { 0x6557, "orbital_util_remote_traces_frame" },
    { 0x6558, "orbital_viewangles" },
    { 0x6559, "orbitalanimate" },
    { 0x655A, "orbitaldropmarkers" },
    { 0x655B, "orbitallaseroverridefunc" },
    { 0x655C, "orbitallaseroverrides" },
    { 0x655D, "orbitalphysicswaiter" },
    { 0x655E, "orbitalstrikchargeupspeedup" },
    { 0x655F, "orbitalstrikebeginchargeup" },
    { 0x6560, "orbitalstrikechargeupcomplete" },
    { 0x6561, "orbitalstrikecleanup" },
    { 0x6562, "orbitalstriketimer" },
    { 0x6563, "orbitalsupport_big_turret" },
    { 0x6564, "orbitalsupport_buddy" },
    { 0x6565, "orbitalsupport_buddy_chatter_timer" },
    { 0x6566, "orbitalsupport_buddy_turret" },
    { 0x6567, "orbitalsupport_chatter_timer" },
    { 0x6568, "orbitalsupport_endtime" },
    { 0x6569, "orbitalsupport_hold_time" },
    { 0x656A, "orbitalsupport_onlookers" },
    { 0x656B, "orbitalsupport_planemodel" },
    { 0x656C, "orbitalsupport_player" },
    { 0x656D, "orbitalsupport_spawn" },
    { 0x656E, "orbitalsupport_speed" },
    { 0x656F, "orbitalsupport_targetent" },
    { 0x6570, "orbitalsupport_use_duration" },
    { 0x6571, "orbitalsupportexit" },
    { 0x6572, "orbitalsupportinuse" },
    { 0x6573, "orbitalsupportoverridefunc" },
    { 0x6574, "orbitalsupportoverrides" },
    { 0x6575, "orbitalthermalmode" },
    { 0x6576, "orbitaltype" },
    { 0x6577, "orbitangle" },
    { 0x6578, "orbitlowerbounds" },
    { 0x6579, "orderaction" },
    { 0x657A, "orderdisplace" },
    { 0x657B, "ordermove" },
    { 0x657C, "orderonqueueddialog" },
    { 0x657D, "orderto" },
    { 0x657E, "org" },
    { 0x657F, "org_angles" },
    { 0x6580, "org_origin" },
    { 0x6581, "org_player_highway_ledge" },
    { 0x6582, "org_pos" },
    { 0x6583, "org_spawner" },
    { 0x6584, "orghealth" },
    { 0x6585, "orient_facing" },
    { 0x6586, "orientmeleevictim" },
    { 0x6587, "orienttonormal" },
    { 0x6588, "orig_alpha" },
    { 0x6589, "orig_angles" },
    { 0x658A, "orig_flashbangimmunity" },
    { 0x658B, "orig_origin" },
    { 0x658C, "origacceleration" },
    { 0x658D, "origairacceleration" },
    { 0x658E, "origfov" },
    { 0x658F, "origgravity" },
    { 0x6590, "origin_ent" },
    { 0x6591, "origin_friendly_pitbull_headlight" },
    { 0x6592, "origin_offset" },
    { 0x6593, "origin_pitbull_headlight" },
    { 0x6594, "origin_prev" },
    { 0x6595, "origin_within_volume" },
    { 0x6596, "origin2" },
    { 0x6597, "original_ang" },
    { 0x6598, "original_angles" },
    { 0x6599, "original_intensityhdr" },
    { 0x659A, "original_model" },
    { 0x659B, "original_org" },
    { 0x659C, "original_orientation" },
    { 0x659D, "original_origin" },
    { 0x659E, "original_position" },
    { 0x659F, "original_r_znear" },
    { 0x65A0, "originalowner" },
    { 0x65A1, "originalpos" },
    { 0x65A2, "originalrot" },
    { 0x65A3, "originaltarget" },
    { 0x65A4, "originheightoffset" },
    { 0x65A5, "origins" },
    { 0x65A6, "origins_pasrsed" },
    { 0x65A7, "oscillate_speed" },
    { 0x65A8, "osp_buddy_exit" },
    { 0x65A9, "osplightset" },
    { 0x65AA, "osprig" },
    { 0x65AB, "ospvisionset" },
    { 0x65AC, "ot" },
    { 0x65AD, "other_col_point" },
    { 0x65AE, "otherbombzones" },
    { 0x65AF, "otherstringent" },
    { 0x65B0, "otherteam" },
    { 0x65B1, "othertrophy" },
    { 0x65B2, "outcomenotify" },
    { 0x65B3, "outcomeoverlay" },
    { 0x65B4, "outdoor_motion_dlight" },
    { 0x65B5, "outdoor_motion_dlight_timeout" },
    { 0x65B6, "outdoor_motion_light" },
    { 0x65B7, "outdoor_only_maxs" },
    { 0x65B8, "outdoor_only_mins" },
    { 0x65B9, "outdoor_think" },
    { 0x65BA, "outer_space_lighting" },
    { 0x65BB, "outercone" },
    { 0x65BC, "outerspace_intro_new" },
    { 0x65BD, "outerspacelighting" },
    { 0x65BE, "outerspacelighting_checkpoint" },
    { 0x65BF, "outerspawns" },
    { 0x65C0, "outfit_initial" },
    { 0x65C1, "outframes" },
    { 0x65C2, "outlinecolor" },
    { 0x65C3, "outlined" },
    { 0x65C4, "output_name" },
    { 0x65C5, "output_states_to_file" },
    { 0x65C6, "output_type" },
    { 0x65C7, "outro" },
    { 0x65C8, "outro_drone_tablet_touch_fx" },
    { 0x65C9, "outro_horde_cleanup" },
    { 0x65CA, "outro_newscast" },
    { 0x65CB, "outro_tablet_touch_fx" },
    { 0x65CC, "outro_vm_arm_blood_init" },
    { 0x65CD, "outro_vm_body_drag_dust" },
    { 0x65CE, "outside" },
    { 0x65CF, "outside_group_1" },
    { 0x65D0, "outside_group_start_fighting" },
    { 0x65D1, "outside_zones" },
    { 0x65D2, "over_drive_is_active" },
    { 0x65D3, "overclock_fx_l" },
    { 0x65D4, "overclock_fx_r" },
    { 0x65D5, "overclock_on" },
    { 0x65D6, "overdrive_cooldown" },
    { 0x65D7, "overdrive_cooldown_internal" },
    { 0x65D8, "overdrive_disable" },
    { 0x65D9, "overdrive_effects_start" },
    { 0x65DA, "overdrive_effects_stop" },
    { 0x65DB, "overdrive_enable" },
    { 0x65DC, "overdrive_force_cooldown" },
    { 0x65DD, "overdrive_force_start" },
    { 0x65DE, "overdrive_force_stop" },
    { 0x65DF, "overdrive_heatup" },
    { 0x65E0, "overdrive_heatup_internal" },
    { 0x65E1, "overdrive_initialize_params" },
    { 0x65E2, "overdrive_is_enabled" },
    { 0x65E3, "overdrive_is_on" },
    { 0x65E4, "overdrive_manage_fov" },
    { 0x65E5, "overdrive_off" },
    { 0x65E6, "overdrive_on" },
    { 0x65E7, "overdrive_reset" },
    { 0x65E8, "overdrive_start" },
    { 0x65E9, "overdrive_think" },
    { 0x65EA, "overdrive_updatebar" },
    { 0x65EB, "overexposed_effect" },
    { 0x65EC, "overflow_vols" },
    { 0x65ED, "overhead_icon_col" },
    { 0x65EE, "overhead_icon_col_plus1" },
    { 0x65EF, "overhead_icon_col_plus2" },
    { 0x65F0, "overhead_icon_col_plus3" },
    { 0x65F1, "overheated" },
    { 0x65F2, "overheattime" },
    { 0x65F3, "overlay" },
    { 0x65F4, "overlayoffsety" },
    { 0x65F5, "overlaysonar" },
    { 0x65F6, "overlaystatic" },
    { 0x65F7, "overlaystatic2" },
    { 0x65F8, "overlaythreat" },
    { 0x65F9, "overlook_anim" },
    { 0x65FA, "overlook_autosave" },
    { 0x65FB, "overlook_continue" },
    { 0x65FC, "overlook_dialogue_1" },
    { 0x65FD, "overlook_dialogue_2" },
    { 0x65FE, "overlook_drone" },
    { 0x65FF, "overlook_fall" },
    { 0x6600, "overlook_force_stand" },
    { 0x6601, "overlook_grab_save" },
    { 0x6602, "overlook_grab_save_individual" },
    { 0x6603, "overlook_kill_player" },
    { 0x6604, "overlook_land" },
    { 0x6605, "overlook_override_anim" },
    { 0x6606, "overlook_recover" },
    { 0x6607, "overlook_slide_fx" },
    { 0x6608, "overlook_smoke_vista" },
    { 0x6609, "overlook_start_combat" },
    { 0x660A, "overlook_to_lake_teleport" },
    { 0x660B, "overlook_wind" },
    { 0x660C, "override_anim" },
    { 0x660D, "override_anim_org" },
    { 0x660E, "override_anim_time" },
    { 0x660F, "override_breath_values" },
    { 0x6610, "override_class_function" },
    { 0x6611, "override_crawl_death_anims" },
    { 0x6612, "override_dds_categories" },
    { 0x6613, "override_dds_category" },
    { 0x6614, "override_dds_category_allteams" },
    { 0x6615, "override_dds_category_axis" },
    { 0x6616, "override_deadquote" },
    { 0x6617, "override_drone_platform_death" },
    { 0x6618, "override_event_distances_for_mute_volume" },
    { 0x6619, "override_footstep_notetrack_scripts" },
    { 0x661A, "override_footsteps" },
    { 0x661B, "override_kamikaze_range" },
    { 0x661C, "override_max_wave_delay" },
    { 0x661D, "override_max_wave_spawns" },
    { 0x661E, "override_member_loadout_for_practice_round" },
    { 0x661F, "override_min_wave_delay" },
    { 0x6620, "override_mount_anim" },
    { 0x6621, "override_rig" },
    { 0x6622, "override_stealth_distances" },
    { 0x6623, "override_target" },
    { 0x6624, "override_view_angle_unclamp_time" },
    { 0x6625, "override_water_footsteps" },
    { 0x6626, "overridealerttimedelay" },
    { 0x6627, "overrider" },
    { 0x6628, "overrides" },
    { 0x6629, "overridewatchdvars" },
    { 0x662A, "overshoot_next_node" },
    { 0x662B, "overtimescorewinoverride" },
    { 0x662C, "overwatch_heli" },
    { 0x662D, "ownedtheentiregame" },
    { 0x662E, "ownedtheentireround" },
    { 0x662F, "owner_team" },
    { 0x6630, "ownerdamagedradiussq" },
    { 0x6631, "ownerid" },
    { 0x6632, "ownerlist" },
    { 0x6633, "ownerprevpos" },
    { 0x6634, "ownerradiussq" },
    { 0x6635, "ownersattacker" },
    { 0x6636, "ownerstringent" },
    { 0x6637, "ownerteam" },
    { 0x6638, "ownertrigger" },
    { 0x6639, "ownervehicle" },
    { 0x663A, "p_hits" },
    { 0x663B, "pa_airlock" },
    { 0x663C, "pa_codered" },
    { 0x663D, "pa_emergency" },
    { 0x663E, "pa_emergency_turbine" },
    { 0x663F, "pa_system_filler_after_joker" },
    { 0x6640, "pac_attack_when_alert" },
    { 0x6641, "pac_enemy_group" },
    { 0x6642, "pac_enemy_stats" },
    { 0x6643, "packageholdtimer" },
    { 0x6644, "packagesingletapped" },
    { 0x6645, "padding" },
    { 0x6646, "pain_protection" },
    { 0x6647, "pain_protection_check" },
    { 0x6648, "pain_resistance" },
    { 0x6649, "pain_setflaggedanimknob" },
    { 0x664A, "pain_setflaggedanimknoballrestart" },
    { 0x664B, "pain_setflaggedanimknobrestart" },
    { 0x664C, "pain_test" },
    { 0x664D, "painai" },
    { 0x664E, "painanimlength" },
    { 0x664F, "paindamageincrement" },
    { 0x6650, "paindamageincrementback" },
    { 0x6651, "paindamagemin" },
    { 0x6652, "paindamagestart" },
    { 0x6653, "paindamagetime" },
    { 0x6654, "paindeathnotify" },
    { 0x6655, "painfunction" },
    { 0x6656, "painmanagement" },
    { 0x6657, "painonstairs" },
    { 0x6658, "painpitchdifftolerance" },
    { 0x6659, "paint_grenade_detonate" },
    { 0x665A, "painted" },
    { 0x665B, "painted_tracked" },
    { 0x665C, "paintime" },
    { 0x665D, "paintoutline" },
    { 0x665E, "painyawdiffclosedistsq" },
    { 0x665F, "painyawdiffclosetolerance" },
    { 0x6660, "painyawdifffartolerance" },
    { 0x6661, "pairbattlebuddy" },
    { 0x6662, "palm_anims" },
    { 0x6663, "palm_style_door_open" },
    { 0x6664, "panaramic_screen_fx" },
    { 0x6665, "panel_off" },
    { 0x6666, "panel_on" },
    { 0x6667, "panel_smashed" },
    { 0x6668, "panel_state" },
    { 0x6669, "panic_walla" },
    { 0x666A, "panic_walla_oneshots" },
    { 0x666B, "panned_quad_1_front" },
    { 0x666C, "panned_quad_1_rear" },
    { 0x666D, "panned_quad_2_front" },
    { 0x666E, "panned_quad_2_rear" },
    { 0x666F, "panned_quad_3_front" },
    { 0x6670, "panned_quad_3_rear" },
    { 0x6671, "panoramicfx" },
    { 0x6672, "panzer_delay" },
    { 0x6673, "panzer_ent" },
    { 0x6674, "panzer_ent_offset" },
    { 0x6675, "panzer_node" },
    { 0x6676, "panzer_pos" },
    { 0x6677, "panzer_target" },
    { 0x6678, "parachute_death_monitor" },
    { 0x6679, "parachute_function" },
    { 0x667A, "parachute_movement" },
    { 0x667B, "parachute_notetrack_logic" },
    { 0x667C, "parachute_unload" },
    { 0x667D, "param_map_defaults" },
    { 0x667E, "param_maps" },
    { 0x667F, "param1" },
    { 0x6680, "params" },
    { 0x6681, "params_default" },
    { 0x6682, "parent" },
    { 0x6683, "parent_ent" },
    { 0x6684, "parentcrate" },
    { 0x6685, "parentorigin" },
    { 0x6686, "parking_lot_clear" },
    { 0x6687, "parking_lot_runners" },
    { 0x6688, "parkingalarmcar" },
    { 0x6689, "parkingburkejumpdown" },
    { 0x668A, "parkingguardsreminderdialogue" },
    { 0x668B, "parkinginvestigatorsdialogue" },
    { 0x668C, "parkingreminderdialogue" },
    { 0x668D, "parkingstairskilldialogue" },
    { 0x668E, "parm1" },
    { 0x668F, "parm2" },
    { 0x6690, "parm3" },
    { 0x6691, "parm4" },
    { 0x6692, "parms" },
    { 0x6693, "parse_underwater_triggers" },
    { 0x6694, "parsed" },
    { 0x6695, "parselocationaliases" },
    { 0x6696, "part" },
    { 0x6697, "part_b_mechanism_light_glow_fx" },
    { 0x6698, "part_b_mechanism_light_pulse_fx" },
    { 0x6699, "partciledrylocation" },
    { 0x669A, "participants" },
    { 0x669B, "participation" },
    { 0x669C, "participation_point_cap" },
    { 0x669D, "participation_point_flattenovertime" },
    { 0x669E, "particlespawn" },
    { 0x669F, "particlespawnoriginoffset" },
    { 0x66A0, "particlespray" },
    { 0x66A1, "particlespraymultiplenode" },
    { 0x66A2, "partner" },
    { 0x66A3, "partnerspawning" },
    { 0x66A4, "parts" },
    { 0x66A5, "party_members" },
    { 0x66A6, "partymembers_cb" },
    { 0x66A7, "pass_dot" },
    { 0x66A8, "pass_hovertank_damage_to_player" },
    { 0x66A9, "pass_icon" },
    { 0x66AA, "pass_line_of_sight" },
    { 0x66AB, "pass_mech_melee_damage_to_player" },
    { 0x66AC, "pass_or_throw_active" },
    { 0x66AD, "pass_origin" },
    { 0x66AE, "pass_tappy" },
    { 0x66AF, "pass_target" },
    { 0x66B0, "passenger_2_turret_anim" },
    { 0x66B1, "passenger_2_turret_func" },
    { 0x66B2, "passenger_idle" },
    { 0x66B3, "passenger_shooting" },
    { 0x66B4, "passenger2turret_anime" },
    { 0x66B5, "passkillpickupevent" },
    { 0x66B6, "passoja_death_wait_function" },
    { 0x66B7, "passplayer" },
    { 0x66B8, "passtime" },
    { 0x66B9, "paste_ents" },
    { 0x66BA, "path" },
    { 0x66BB, "path_accel_time" },
    { 0x66BC, "path_chosen" },
    { 0x66BD, "path_deccel_time" },
    { 0x66BE, "path_detour" },
    { 0x66BF, "path_detour_get_detourpath" },
    { 0x66C0, "path_detour_script_origin" },
    { 0x66C1, "path_gate_open" },
    { 0x66C2, "path_gate_wait_till_open" },
    { 0x66C3, "path_gobbler" },
    { 0x66C4, "path_heli" },
    { 0x66C5, "path_idealtime" },
    { 0x66C6, "path_maxspeed" },
    { 0x66C7, "path_mindeccelspeed" },
    { 0x66C8, "path_minspeed" },
    { 0x66C9, "path_nodes" },
    { 0x66CA, "path_solids" },
    { 0x66CB, "path_timeout" },
    { 0x66CC, "path_to_node_at_current_speed" },
    { 0x66CD, "path_to_this_node" },
    { 0x66CE, "path_weight" },
    { 0x66CF, "pathaccel" },
    { 0x66D0, "pathaccelmode" },
    { 0x66D1, "pathchange_candoturnanim" },
    { 0x66D2, "pathchange_cleanupturnanim" },
    { 0x66D3, "pathchange_doturnanim" },
    { 0x66D4, "pathchange_getturnanim" },
    { 0x66D5, "pathchangecheckoverridefunc" },
    { 0x66D6, "pathchangelistener" },
    { 0x66D7, "pathdataavailable" },
    { 0x66D8, "pathdeccel" },
    { 0x66D9, "pathidx" },
    { 0x66DA, "pathinfo_curstartpitch" },
    { 0x66DB, "pathinfo_end_loc" },
    { 0x66DC, "pathinfo_endaim" },
    { 0x66DD, "pathinfo_endpitch" },
    { 0x66DE, "pathinfo_endyaw" },
    { 0x66DF, "pathinfo_len" },
    { 0x66E0, "pathinfo_mode" },
    { 0x66E1, "pathinfo_start_loc" },
    { 0x66E2, "pathinfo_startaim" },
    { 0x66E3, "pathinfo_startpitch" },
    { 0x66E4, "pathinfo_startyaw" },
    { 0x66E5, "pathinfo_t" },
    { 0x66E6, "pathinfo_totalt" },
    { 0x66E7, "pathinfo_velocity" },
    { 0x66E8, "pathing_done" },
    { 0x66E9, "pathmaxrotx" },
    { 0x66EA, "pathmaxrotz" },
    { 0x66EB, "pathrandompercent_reset" },
    { 0x66EC, "pathrandompercent_set" },
    { 0x66ED, "pathrandompercent_zero" },
    { 0x66EE, "pathspeed" },
    { 0x66EF, "pathstartdecceldist" },
    { 0x66F0, "pathtgtspeed" },
    { 0x66F1, "pathturnanimblendtime" },
    { 0x66F2, "pathturnanimoverridefunc" },
    { 0x66F3, "patio_civ_01_cower" },
    { 0x66F4, "patio_civ_03_scream" },
    { 0x66F5, "patio_doors" },
    { 0x66F6, "patio_flashbang" },
    { 0x66F7, "patio_intro_civ_death" },
    { 0x66F8, "patio_male_01_mumble" },
    { 0x66F9, "patrol" },
    { 0x66FA, "patrol_01" },
    { 0x66FB, "patrol_01_unload_spawn_func" },
    { 0x66FC, "patrol_02_unload_spawn_func" },
    { 0x66FD, "patrol_03_idle_think" },
    { 0x66FE, "patrol_03_unload_spawn_func" },
    { 0x66FF, "patrol_04_unload_spawn_func" },
    { 0x6700, "patrol_anim_set" },
    { 0x6701, "patrol_anim_sets" },
    { 0x6702, "patrol_anim_turn180" },
    { 0x6703, "patrol_anims" },
    { 0x6704, "patrol_claimed" },
    { 0x6705, "patrol_creepwalk_unload_spawn_func" },
    { 0x6706, "patrol_do_start_transition_anim" },
    { 0x6707, "patrol_do_stop_transition_anim" },
    { 0x6708, "patrol_end_idle" },
    { 0x6709, "patrol_goal_pos" },
    { 0x670A, "patrol_idle_anim" },
    { 0x670B, "patrol_master" },
    { 0x670C, "patrol_no_stop_transition" },
    { 0x670D, "patrol_pet" },
    { 0x670E, "patrol_post_breach_think" },
    { 0x670F, "patrol_resume_move_start_func" },
    { 0x6710, "patrol_script_animation" },
    { 0x6711, "patrol_scriptedanim" },
    { 0x6712, "patrol_scriptedanims" },
    { 0x6713, "patrol_start" },
    { 0x6714, "patrol_stop" },
    { 0x6715, "patrol_walk_anim" },
    { 0x6716, "patrol_walk_twitch" },
    { 0x6717, "patroller" },
    { 0x6718, "pause_bigmoment_vfx" },
    { 0x6719, "pause_flickerlight" },
    { 0x671A, "pause_oneshot" },
    { 0x671B, "paused" },
    { 0x671C, "pauseeffect" },
    { 0x671D, "pauseexploder" },
    { 0x671E, "pauseexploders" },
    { 0x671F, "pausefxid" },
    { 0x6720, "pausemax" },
    { 0x6721, "pausemin" },
    { 0x6722, "pauseracksystem" },
    { 0x6723, "pausetime" },
    { 0x6724, "pausetimer" },
    { 0x6725, "pausewarbirdenginefxforplayer" },
    { 0x6726, "pausing_bot_connect_monitor" },
    { 0x6727, "pay_machine" },
    { 0x6728, "pbull_callback_crash" },
    { 0x6729, "pbull_callback_from_gas_off_to_rev_hi" },
    { 0x672A, "pbull_callback_from_gas_off_to_rev_low" },
    { 0x672B, "pbull_callback_from_gas_off_to_rev_med" },
    { 0x672C, "pbull_callback_from_reverse_to_reverse_gas_off" },
    { 0x672D, "pbull_callback_from_stopped_to_reverse" },
    { 0x672E, "pbull_callback_gas_off" },
    { 0x672F, "pbull_callback_to_brakes_med" },
    { 0x6730, "pbull_crash_watch" },
    { 0x6731, "pbull_init" },
    { 0x6732, "pbull_is_downshifting" },
    { 0x6733, "pbull_is_reversed" },
    { 0x6734, "pbull_is_revving" },
    { 0x6735, "pbull_is_upshifting" },
    { 0x6736, "pbull_play_reverse_beeps" },
    { 0x6737, "pbull_shift_watch" },
    { 0x6738, "pc_hint_text" },
    { 0x6739, "pc_pitbull_crash" },
    { 0x673A, "pc_pitbull_spawn" },
    { 0x673B, "pc_veh" },
    { 0x673C, "pc_watchstreakuse" },
    { 0x673D, "pcap_drone_opening" },
    { 0x673E, "pcap_pm_rescue" },
    { 0x673F, "pcap_shore_outro" },
    { 0x6740, "pcap_squad_briefing" },
    { 0x6741, "pcap_vo_fus_control_room_burke" },
    { 0x6742, "pcap_vo_fus_control_room_joker" },
    { 0x6743, "pcap_vo_fus_intro_burke" },
    { 0x6744, "pcap_vo_fus_intro_panama_burke" },
    { 0x6745, "pcap_vo_lab_chopper_evac_enter_burke" },
    { 0x6746, "pcap_vo_lab_chopper_evac_enter_cormack" },
    { 0x6747, "pcap_vo_lab_cliff_jump_burke" },
    { 0x6748, "pcap_vo_lab_cliff_rappel_meetup_burke" },
    { 0x6749, "pcap_vo_lab_cliff_rappel_meetup_cormack" },
    { 0x674A, "pcap_vo_lab_cliff_rappel_meetup_knox" },
    { 0x674B, "pcap_vo_lab_intro_guy1" },
    { 0x674C, "pcap_vo_lab_serverroom_burke" },
    { 0x674D, "pcap_vo_lab_serverroom_cormack" },
    { 0x674E, "pcap_vo_lab_serverroom_knox" },
    { 0x674F, "pcap_vo_lab_serverroom_promo_cormack" },
    { 0x6750, "pcap_vo_lab_serverroom_promo_knox" },
    { 0x6751, "pcap_vo_lab_wallclimb_player_hero_01" },
    { 0x6752, "pcap_vo_sanfran_boost_down_burke" },
    { 0x6753, "pcap_vo_sanfran_intro_burke" },
    { 0x6754, "pcap_vo_sanfran_pitbull_crash_burke" },
    { 0x6755, "pcap_vo_sf_b_boosters_cormack" },
    { 0x6756, "pcap_vo_sf_b_bridge_init" },
    { 0x6757, "pcap_vo_sf_b_intro_cormack" },
    { 0x6758, "pcap_vo_sf_b_intro_gideon" },
    { 0x6759, "pd_get_laser_designated_trace" },
    { 0x675A, "pd_laser_designate_target" },
    { 0x675B, "pd_laser_targeting_device" },
    { 0x675C, "pd_monitorlaseroff" },
    { 0x675D, "pd_shouldforcedisablelaser" },
    { 0x675E, "pdrone" },
    { 0x675F, "pdrone_activate" },
    { 0x6760, "pdrone_ai" },
    { 0x6761, "pdrone_ai_deploy" },
    { 0x6762, "pdrone_atlas_init" },
    { 0x6763, "pdrone_can_move_to_point" },
    { 0x6764, "pdrone_can_see_owner_from_point" },
    { 0x6765, "pdrone_can_teleport_to_point" },
    { 0x6766, "pdrone_condition_callback_to_state_deathspin" },
    { 0x6767, "pdrone_condition_callback_to_state_destruct" },
    { 0x6768, "pdrone_condition_callback_to_state_distant" },
    { 0x6769, "pdrone_condition_callback_to_state_flyby" },
    { 0x676A, "pdrone_condition_callback_to_state_flying" },
    { 0x676B, "pdrone_condition_callback_to_state_flyover" },
    { 0x676C, "pdrone_condition_callback_to_state_hover" },
    { 0x676D, "pdrone_condition_callback_to_state_off" },
    { 0x676E, "pdrone_could_be_friendly_fire" },
    { 0x676F, "pdrone_crash_land" },
    { 0x6770, "pdrone_cycle_fire_sound" },
    { 0x6771, "pdrone_damage_function" },
    { 0x6772, "pdrone_deactivate_think" },
    { 0x6773, "pdrone_death_explode" },
    { 0x6774, "pdrone_deploy" },
    { 0x6775, "pdrone_deploy_check" },
    { 0x6776, "pdrone_deploy_hint" },
    { 0x6777, "pdrone_emp_death" },
    { 0x6778, "pdrone_fire_at_enemy" },
    { 0x6779, "pdrone_fire_finished" },
    { 0x677A, "pdrone_fire_request" },
    { 0x677B, "pdrone_fire_weapon" },
    { 0x677C, "pdrone_flying_fx" },
    { 0x677D, "pdrone_get_nodes_in_radius" },
    { 0x677E, "pdrone_gunshot_teammate" },
    { 0x677F, "pdrone_handle_death" },
    { 0x6780, "pdrone_launch" },
    { 0x6781, "pdrone_launched" },
    { 0x6782, "pdrone_marked_state" },
    { 0x6783, "pdrone_monitor_death" },
    { 0x6784, "pdrone_movement_follow" },
    { 0x6785, "pdrone_movement_follow_buddy" },
    { 0x6786, "pdrone_movement_go_to_point" },
    { 0x6787, "pdrone_notify_explosion" },
    { 0x6788, "pdrone_orient_to_closest_ai_target" },
    { 0x6789, "pdrone_orient_to_closest_ent_target" },
    { 0x678A, "pdrone_orient_to_closest_target" },
    { 0x678B, "pdrone_parms" },
    { 0x678C, "pdrone_player_add_ent_target" },
    { 0x678D, "pdrone_player_add_vehicle_target" },
    { 0x678E, "pdrone_player_callback_look" },
    { 0x678F, "pdrone_player_collision_monitor" },
    { 0x6790, "pdrone_player_condition_callback_to_state_flying" },
    { 0x6791, "pdrone_player_condition_callback_to_state_hover" },
    { 0x6792, "pdrone_player_condition_callback_to_state_idle" },
    { 0x6793, "pdrone_player_condition_callback_to_state_looking" },
    { 0x6794, "pdrone_player_death" },
    { 0x6795, "pdrone_player_enter" },
    { 0x6796, "pdrone_player_exit" },
    { 0x6797, "pdrone_player_force_exit" },
    { 0x6798, "pdrone_player_get_current_fov" },
    { 0x6799, "pdrone_player_init" },
    { 0x679A, "pdrone_player_is_driving" },
    { 0x679B, "pdrone_player_loop" },
    { 0x679C, "pdrone_player_spawn" },
    { 0x679D, "pdrone_player_use" },
    { 0x679E, "pdrone_return" },
    { 0x679F, "pdrone_return_pathing" },
    { 0x67A0, "pdrone_security_condition_callback_to_state_deathspin" },
    { 0x67A1, "pdrone_security_condition_callback_to_state_destruct" },
    { 0x67A2, "pdrone_security_condition_callback_to_state_distant" },
    { 0x67A3, "pdrone_security_condition_callback_to_state_flyby" },
    { 0x67A4, "pdrone_security_condition_callback_to_state_flying" },
    { 0x67A5, "pdrone_security_condition_callback_to_state_flyover" },
    { 0x67A6, "pdrone_security_condition_callback_to_state_hover" },
    { 0x67A7, "pdrone_security_condition_callback_to_state_off" },
    { 0x67A8, "pdrone_security_speed_modifier_callback_linear" },
    { 0x67A9, "pdrone_security_speed_modifier_callback_perlin_noise" },
    { 0x67AA, "pdrone_security_speed_modifier_callback_smoother" },
    { 0x67AB, "pdrone_should_hold_fire" },
    { 0x67AC, "pdrone_speed_modifier_callback_linear" },
    { 0x67AD, "pdrone_speed_modifier_callback_perlin_noise" },
    { 0x67AE, "pdrone_speed_modifier_callback_smoother" },
    { 0x67AF, "pdrone_swarm_condition_callback_to_state_distant" },
    { 0x67B0, "pdrone_swarm_condition_callback_to_state_flying" },
    { 0x67B1, "pdrone_swarm_condition_callback_to_state_hover" },
    { 0x67B2, "pdrone_targeting" },
    { 0x67B3, "pdrone_update_threat_sensor" },
    { 0x67B4, "pdroneactive" },
    { 0x67B5, "pdronereturning" },
    { 0x67B6, "peekout" },
    { 0x67B7, "penalty_timer" },
    { 0x67B8, "pendingreinforcementavailable" },
    { 0x67B9, "penthouse_begin" },
    { 0x67BA, "penthouse_main" },
    { 0x67BB, "penthouse_objective" },
    { 0x67BC, "penthouse_reinforcements_01_guy_01_vo" },
    { 0x67BD, "penthouse_reinforcements_01_guy_02_vo" },
    { 0x67BE, "penthouse_reinforcements_02_guy_01_vo" },
    { 0x67BF, "penthouse_reinforcements_02_guy_02_vo" },
    { 0x67C0, "penthouse_start" },
    { 0x67C1, "penthouse_vo" },
    { 0x67C2, "percent" },
    { 0x67C3, "percentchance" },
    { 0x67C4, "perch_runner" },
    { 0x67C5, "perch_spot_wave" },
    { 0x67C6, "perelementswap" },
    { 0x67C7, "perferred_crash_location" },
    { 0x67C8, "perforing_color_driven_anim" },
    { 0x67C9, "perk_deleteondeath" },
    { 0x67CA, "perkfuncs" },
    { 0x67CB, "perkicon" },
    { 0x67CC, "perkname" },
    { 0x67CD, "perkoutlined" },
    { 0x67CE, "perksetfuncs" },
    { 0x67CF, "perksperkname" },
    { 0x67D0, "perksperkpower" },
    { 0x67D1, "perksuseslot" },
    { 0x67D2, "perkunsetfuncs" },
    { 0x67D3, "perkusedeathtracker" },
    { 0x67D4, "perlin_flickering_light" },
    { 0x67D5, "permanentcustommovetransition" },
    { 0x67D6, "persist" },
    { 0x67D7, "persistentdatainfo" },
    { 0x67D8, "persistentdebugline" },
    { 0x67D9, "personalcoldbreath" },
    { 0x67DA, "personalcoldbreathspawner" },
    { 0x67DB, "personalcoldbreathstop" },
    { 0x67DC, "personality" },
    { 0x67DD, "personality_init_function" },
    { 0x67DE, "personality_update_function" },
    { 0x67DF, "personalitymanuallyset" },
    { 0x67E0, "personalradar" },
    { 0x67E1, "personalsighttime" },
    { 0x67E2, "personalusebar" },
    { 0x67E3, "pet_debug_positions" },
    { 0x67E4, "pet_patrol" },
    { 0x67E5, "pet_patrol_create_positions" },
    { 0x67E6, "pet_patrol_get_available_origin" },
    { 0x67E7, "pet_patrol_handle_move_state" },
    { 0x67E8, "pet_patrol_handle_movespeed" },
    { 0x67E9, "pet_patrol_init_positions" },
    { 0x67EA, "phone" },
    { 0x67EB, "phone_conversation" },
    { 0x67EC, "photo_copier" },
    { 0x67ED, "photo_copier_copy_bar_goes" },
    { 0x67EE, "photo_copier_init" },
    { 0x67EF, "photo_copier_light_on" },
    { 0x67F0, "photo_copier_no_light" },
    { 0x67F1, "photo_copier_stop" },
    { 0x67F2, "photo_light_flicker" },
    { 0x67F3, "phrase" },
    { 0x67F4, "physical_output" },
    { 0x67F5, "physics_bodies_off" },
    { 0x67F6, "physics_bodies_on" },
    { 0x67F7, "physics_crash" },
    { 0x67F8, "physics_gravity_vector" },
    { 0x67F9, "physics_impact_watch" },
    { 0x67FA, "physics_launch" },
    { 0x67FB, "physics_launch_with_impulse" },
    { 0x67FC, "physics_object_create" },
    { 0x67FD, "physics_object_remove" },
    { 0x67FE, "physics_pulse_on" },
    { 0x67FF, "physicsjolt_proximity" },
    { 0x6800, "physicssphereforce" },
    { 0x6801, "physicssphereradius" },
    { 0x6802, "physicswaiter" },
    { 0x6803, "pianodamagethink" },
    { 0x6804, "pianothink" },
    { 0x6805, "pick_best_gear" },
    { 0x6806, "pick_player_location_vol" },
    { 0x6807, "pick_target_nag_dialogue" },
    { 0x6808, "pickedupweaponfrom" },
    { 0x6809, "pickinstinctdogspawnpoint" },
    { 0x680A, "picknewtarget" },
    { 0x680B, "pickup_allowed" },
    { 0x680C, "pickup_goal_ang" },
    { 0x680D, "pickup_gun" },
    { 0x680E, "pickup_message_deleted" },
    { 0x680F, "pickup_stinger" },
    { 0x6810, "pickupbounce" },
    { 0x6811, "pickupent" },
    { 0x6812, "pickupobjectdelay" },
    { 0x6813, "pickupstartflashing" },
    { 0x6814, "pickuptimeout" },
    { 0x6815, "pickuptimer" },
    { 0x6816, "pickuptrigger" },
    { 0x6817, "pieces" },
    { 0x6818, "pigeons_camera_view_zone3000" },
    { 0x6819, "pigeons_flock_takeoff" },
    { 0x681A, "pigeons_flyoff_alley1" },
    { 0x681B, "pigeons_ledges_react_roundabout" },
    { 0x681C, "pigeons_rail_react_intro" },
    { 0x681D, "pilot" },
    { 0x681E, "pilot_intro" },
    { 0x681F, "ping_fx" },
    { 0x6820, "pingstate" },
    { 0x6821, "pipe" },
    { 0x6822, "pipe_calc_ballistic" },
    { 0x6823, "pipe_calc_nofx" },
    { 0x6824, "pipe_calc_splash" },
    { 0x6825, "pipe_damage" },
    { 0x6826, "pipe_fx_array" },
    { 0x6827, "pipe_logic" },
    { 0x6828, "pipe_wait_loop" },
    { 0x6829, "pipefx" },
    { 0x682A, "pipes_init" },
    { 0x682B, "pipesdamage" },
    { 0x682C, "pipesetup" },
    { 0x682D, "pistolshoot" },
    { 0x682E, "pitbull_atlas_impact" },
    { 0x682F, "pitbull_atlas_impact_initial" },
    { 0x6830, "pitbull_back_to_speed" },
    { 0x6831, "pitbull_crash_impact_fx" },
    { 0x6832, "pitbull_crash_jump_start" },
    { 0x6833, "pitbull_crash_sound_design" },
    { 0x6834, "pitbull_crash_swap_to_real_model" },
    { 0x6835, "pitbull_crashed_dof" },
    { 0x6836, "pitbull_drive_dof" },
    { 0x6837, "pitbull_flipped_failsafe" },
    { 0x6838, "pitbull_headlights_off" },
    { 0x6839, "pitbull_headlights_on" },
    { 0x683A, "pitbull_hide_part" },
    { 0x683B, "pitbull_impact_blur" },
    { 0x683C, "pitbull_impact_blur_long" },
    { 0x683D, "pitbull_impact_fx" },
    { 0x683E, "pitbull_intro_animation" },
    { 0x683F, "pitbull_intro_control_rumble" },
    { 0x6840, "pitbull_intro_foley_ui" },
    { 0x6841, "pitbull_land_upside_down" },
    { 0x6842, "pitbull_play_lui_cinematic" },
    { 0x6843, "pitbull_roof_impact" },
    { 0x6844, "pitbull_rumble" },
    { 0x6845, "pitbull_rumble_stop" },
    { 0x6846, "pitbull_second_impact" },
    { 0x6847, "pitbull_show_part" },
    { 0x6848, "pitbull_start_flip" },
    { 0x6849, "pitbull_turret_aim" },
    { 0x684A, "pitbull_turret_fire" },
    { 0x684B, "pitbull_turret_set_target" },
    { 0x684C, "pitbull_turret_targeting" },
    { 0x684D, "pitbull_update_hud_brightness" },
    { 0x684E, "pitbull_update_lui_charge" },
    { 0x684F, "pitbull_vehicle_collision_rumble" },
    { 0x6850, "pitbulldestroyedanimation" },
    { 0x6851, "pitch" },
    { 0x6852, "pitch_map_name" },
    { 0x6853, "pitch_rate" },
    { 0x6854, "pitch_time" },
    { 0x6855, "pitching_hard" },
    { 0x6856, "pitching_hard_start_time" },
    { 0x6857, "pivot" },
    { 0x6858, "place" },
    { 0x6859, "place_foam_bomb" },
    { 0x685A, "place_weapon_on" },
    { 0x685B, "placeableconfigs" },
    { 0x685C, "placedsfx" },
    { 0x685D, "placeiedrumblelight" },
    { 0x685E, "placement" },
    { 0x685F, "placementheighttolerance" },
    { 0x6860, "placementlinkentity" },
    { 0x6861, "placementoffsetz" },
    { 0x6862, "placementok" },
    { 0x6863, "placementorigin" },
    { 0x6864, "placementradius" },
    { 0x6865, "placestring" },
    { 0x6866, "placeweaponon" },
    { 0x6867, "placingitemstreakname" },
    { 0x6868, "placingsentry" },
    { 0x6869, "plagueevent" },
    { 0x686A, "plane" },
    { 0x686B, "plane_bomb_cluster" },
    { 0x686C, "plane_bomb_node" },
    { 0x686D, "plane_chase_cam" },
    { 0x686E, "plane_expl_gloves" },
    { 0x686F, "plane_health_monitor" },
    { 0x6870, "plane_health_regen" },
    { 0x6871, "plane_in_formation" },
    { 0x6872, "plane_init" },
    { 0x6873, "plane_intialized" },
    { 0x6874, "plane_sound_node" },
    { 0x6875, "plane_sound_players" },
    { 0x6876, "plane_spots" },
    { 0x6877, "plane_test" },
    { 0x6878, "planeanimatepath" },
    { 0x6879, "planemodel" },
    { 0x687A, "planeplayeffects" },
    { 0x687B, "planes" },
    { 0x687C, "planning_fail" },
    { 0x687D, "plant_emp" },
    { 0x687E, "plant_emp_setup" },
    { 0x687F, "plant_emp_trigger" },
    { 0x6880, "plant_foam_nag_dialogue" },
    { 0x6881, "plant_tracker_begin" },
    { 0x6882, "plant_tracker_debug_checkpoint" },
    { 0x6883, "plant_tracker_light_model_swap" },
    { 0x6884, "plant_tracker_main" },
    { 0x6885, "plant_tracker_objective" },
    { 0x6886, "plant_tracker_rumbles" },
    { 0x6887, "plant_tracker_start" },
    { 0x6888, "plant_tracker_vo" },
    { 0x6889, "plant_tracker_waits" },
    { 0x688A, "planttime" },
    { 0x688B, "platform_door_think" },
    { 0x688C, "platformmatches" },
    { 0x688D, "play_2d_reverb_alarm_sound" },
    { 0x688E, "play_aim_anim" },
    { 0x688F, "play_ally_callout_vo" },
    { 0x6890, "play_ally_warning_vo" },
    { 0x6891, "play_and_store_fx_on_tag" },
    { 0x6892, "play_anim_and_delete" },
    { 0x6893, "play_anim_on_trigger" },
    { 0x6894, "play_announcment_over_pa" },
    { 0x6895, "play_arm_room_dialog" },
    { 0x6896, "play_arm_room_dialog_nag" },
    { 0x6897, "play_back_thruster_light_rz" },
    { 0x6898, "play_backout_sound_breath" },
    { 0x6899, "play_backout_sound_heartbeat" },
    { 0x689A, "play_base_radio_dialog1" },
    { 0x689B, "play_base_soldier_group_dialog" },
    { 0x689C, "play_bike_gesture" },
    { 0x689D, "play_blood_fx_when_shot" },
    { 0x689E, "play_blood_pool" },
    { 0x689F, "play_boost_sound" },
    { 0x68A0, "play_boosters_off_anim" },
    { 0x68A1, "play_bridge_lb_sentinel_flyby" },
    { 0x68A2, "play_building_jump_1_scene" },
    { 0x68A3, "play_camera_shake_tour_ride" },
    { 0x68A4, "play_canopy_bink" },
    { 0x68A5, "play_canopy_closed_bink" },
    { 0x68A6, "play_centroid_switch_floor3" },
    { 0x68A7, "play_centroid_switch_top" },
    { 0x68A8, "play_character_microwave_sparks" },
    { 0x68A9, "play_charged_shot_fx" },
    { 0x68AA, "play_chyron_video" },
    { 0x68AB, "play_cinematic" },
    { 0x68AC, "play_civilian_dialog" },
    { 0x68AD, "play_cliff_rappel_animation" },
    { 0x68AE, "play_combat_state" },
    { 0x68AF, "play_courtyard_hangar_door_rpg" },
    { 0x68B0, "play_credits" },
    { 0x68B1, "play_death_explosion_fx" },
    { 0x68B2, "play_deploy_scene_handcuff_ents" },
    { 0x68B3, "play_detpack_plant_sound" },
    { 0x68B4, "play_dialog" },
    { 0x68B5, "play_dialog_boost" },
    { 0x68B6, "play_dialog_boost_block_chatter" },
    { 0x68B7, "play_dialog_boost_block_mission" },
    { 0x68B8, "play_dialog_boost_block_nag" },
    { 0x68B9, "play_dialog_bridge" },
    { 0x68BA, "play_dialog_bridge_block_crash" },
    { 0x68BB, "play_dialog_bridge_block_crawl" },
    { 0x68BC, "play_dialog_confrontation_block_go" },
    { 0x68BD, "play_dialog_confrontation_block_leave" },
    { 0x68BE, "play_dialog_confrontation_block_mrx" },
    { 0x68BF, "play_dialog_intro" },
    { 0x68C0, "play_dialog_intro_block_cargo" },
    { 0x68C1, "play_dialog_intro_block_fleet" },
    { 0x68C2, "play_dialog_oncoming" },
    { 0x68C3, "play_dialog_oncoming_block_converging" },
    { 0x68C4, "play_dialog_oncoming_block_knocked" },
    { 0x68C5, "play_dialog_street" },
    { 0x68C6, "play_dialog_street_block_assist" },
    { 0x68C7, "play_dialog_street_block_boost_incoming" },
    { 0x68C8, "play_dialog_street_block_boosters" },
    { 0x68C9, "play_dialog_street_block_cover" },
    { 0x68CA, "play_dialog_street_block_foot" },
    { 0x68CB, "play_dialog_street_block_friendlies" },
    { 0x68CC, "play_dialog_street_block_helo" },
    { 0x68CD, "play_dialog_street_block_hurry" },
    { 0x68CE, "play_dialog_street_block_pitbull" },
    { 0x68CF, "play_dialog_street_block_sitrep" },
    { 0x68D0, "play_dialog_street_block_van_stop" },
    { 0x68D1, "play_dialog_tunnel" },
    { 0x68D2, "play_dialog_tunnel_block_bus" },
    { 0x68D3, "play_dialog_tunnel_block_chase" },
    { 0x68D4, "play_dialog_tunnel_block_construction" },
    { 0x68D5, "play_dialog_tunnel_block_tanker" },
    { 0x68D6, "play_dialog_tunnel_block_update" },
    { 0x68D7, "play_dialog_van" },
    { 0x68D8, "play_dialog_van_arrest" },
    { 0x68D9, "play_dialog_van_check" },
    { 0x68DA, "play_dialog_van_collapse" },
    { 0x68DB, "play_dialog_van_deploy" },
    { 0x68DC, "play_dialogue" },
    { 0x68DD, "play_dialogue_boat" },
    { 0x68DE, "play_dialogue_boat_block_close" },
    { 0x68DF, "play_dialogue_boat_block_dive" },
    { 0x68E0, "play_dialogue_boat_block_grapple" },
    { 0x68E1, "play_dialogue_boat_block_intro" },
    { 0x68E2, "play_dialogue_boat_block_missiles" },
    { 0x68E3, "play_dialogue_boat_block_ramp" },
    { 0x68E4, "play_dialogue_climb" },
    { 0x68E5, "play_dialogue_climb_block_boatexit" },
    { 0x68E6, "play_dialogue_climb_block_bridge" },
    { 0x68E7, "play_dialogue_climb_block_careful" },
    { 0x68E8, "play_dialogue_climb_block_climb" },
    { 0x68E9, "play_dialogue_climb_block_contact" },
    { 0x68EA, "play_dialogue_climb_block_containers" },
    { 0x68EB, "play_dialogue_climb_block_crane" },
    { 0x68EC, "play_dialogue_climb_block_cross" },
    { 0x68ED, "play_dialogue_climb_block_drop" },
    { 0x68EE, "play_dialogue_climb_block_grapple1" },
    { 0x68EF, "play_dialogue_climb_block_grapple2" },
    { 0x68F0, "play_dialogue_climb_block_grapple3" },
    { 0x68F1, "play_dialogue_climb_block_ledge" },
    { 0x68F2, "play_dialogue_climb_block_tower" },
    { 0x68F3, "play_dialogue_climb_block_way" },
    { 0x68F4, "play_dialogue_climb_crane_nag" },
    { 0x68F5, "play_dialogue_climb_grapple_nag" },
    { 0x68F6, "play_dialogue_confrontation" },
    { 0x68F7, "play_dialogue_crane_block_go" },
    { 0x68F8, "play_dialogue_crane_block_jump" },
    { 0x68F9, "play_dialogue_crane_block_slide" },
    { 0x68FA, "play_dialogue_crane_block_start" },
    { 0x68FB, "play_dialogue_docks" },
    { 0x68FC, "play_dialogue_docks_backtrack" },
    { 0x68FD, "play_dialogue_docks_block_boat" },
    { 0x68FE, "play_dialogue_docks_block_boatnag" },
    { 0x68FF, "play_dialogue_docks_block_intro" },
    { 0x6900, "play_dialogue_escape" },
    { 0x6901, "play_dialogue_escape_block_announce" },
    { 0x6902, "play_dialogue_escape_block_climb" },
    { 0x6903, "play_dialogue_escape_block_deadend" },
    { 0x6904, "play_dialogue_escape_block_guarddoor" },
    { 0x6905, "play_dialogue_escape_block_intros" },
    { 0x6906, "play_dialogue_escape_block_swarm" },
    { 0x6907, "play_dialogue_office" },
    { 0x6908, "play_dialogue_office_block_baghdad" },
    { 0x6909, "play_dialogue_office_block_congrats" },
    { 0x690A, "play_dialogue_office_block_door" },
    { 0x690B, "play_dialogue_office_block_guard" },
    { 0x690C, "play_dialogue_office_block_kva" },
    { 0x690D, "play_dialogue_oldtown" },
    { 0x690E, "play_dialogue_oldtown_block_contact" },
    { 0x690F, "play_dialogue_oldtown_block_naglines" },
    { 0x6910, "play_dialogue_oldtown_player_spotted" },
    { 0x6911, "play_dialogue_roof" },
    { 0x6912, "play_dialogue_roof_block_alert" },
    { 0x6913, "play_dialogue_roof_block_away" },
    { 0x6914, "play_dialogue_roof_block_fall" },
    { 0x6915, "play_dialogue_roof_block_gates" },
    { 0x6916, "play_dialogue_roof_block_jump" },
    { 0x6917, "play_dialogue_roof_block_run" },
    { 0x6918, "play_dialogue_sewer" },
    { 0x6919, "play_dialogue_sewer_block_announcement" },
    { 0x691A, "play_dialogue_sewer_block_checkpoint" },
    { 0x691B, "play_dialogue_sewer_block_guards" },
    { 0x691C, "play_dialogue_swim" },
    { 0x691D, "play_dialogue_swim_block_cough" },
    { 0x691E, "play_dialogue_swim_block_sewer" },
    { 0x691F, "play_dilaogue_docks_block_ast" },
    { 0x6920, "play_doctor_pip" },
    { 0x6921, "play_drone_range_dialog1" },
    { 0x6922, "play_drone_range_dialog2" },
    { 0x6923, "play_drone_range_dialog3" },
    { 0x6924, "play_dust" },
    { 0x6925, "play_earthquake_rumble" },
    { 0x6926, "play_earthquake_rumble_for_all_players" },
    { 0x6927, "play_emp_audio" },
    { 0x6928, "play_emp_nag_lines" },
    { 0x6929, "play_emp_reboot_bik" },
    { 0x692A, "play_entire_interactive_pod_exit" },
    { 0x692B, "play_environment_microwave_sparks" },
    { 0x692C, "play_event_music" },
    { 0x692D, "play_exo_hover_vfx" },
    { 0x692E, "play_exo_repair_movement_sound" },
    { 0x692F, "play_exo_room_dialog1" },
    { 0x6930, "play_exo_room_dialog1_nag" },
    { 0x6931, "play_exo_room_dialog2" },
    { 0x6932, "play_exo_room_techs_dialog1" },
    { 0x6933, "play_exo_room_techs_dialog2" },
    { 0x6934, "play_explosion_sound_drone_success" },
    { 0x6935, "play_falling_snow" },
    { 0x6936, "play_finale_low_burn" },
    { 0x6937, "play_finale_silo_blue" },
    { 0x6938, "play_finale_silo_center" },
    { 0x6939, "play_finale_silo_end_cine" },
    { 0x693A, "play_finale_silo_neutral" },
    { 0x693B, "play_finale_silo_orange" },
    { 0x693C, "play_finale_silo_orange_approach" },
    { 0x693D, "play_finale_silo_round_tunnel" },
    { 0x693E, "play_finale_silo_yellow" },
    { 0x693F, "play_flickering_bridge_light" },
    { 0x6940, "play_flickering_fire_light" },
    { 0x6941, "play_flickering_hanger_light" },
    { 0x6942, "play_flickering_info_hallway_light" },
    { 0x6943, "play_flickering_info_light" },
    { 0x6944, "play_flickering_interior_light" },
    { 0x6945, "play_flickering_light_school_01" },
    { 0x6946, "play_flickering_light_school_03" },
    { 0x6947, "play_flickerlight_motion_preset" },
    { 0x6948, "play_flickerlight_preset" },
    { 0x6949, "play_front_thruster_light_rz" },
    { 0x694A, "play_fullscreen_blood_splatter" },
    { 0x694B, "play_fullscreen_dirt" },
    { 0x694C, "play_fullscreen_mist" },
    { 0x694D, "play_funeral_dialog" },
    { 0x694E, "play_fx_attached_to_actor" },
    { 0x694F, "play_fx_attached_to_chain" },
    { 0x6950, "play_fx_on_actor" },
    { 0x6951, "play_fx_on_chain" },
    { 0x6952, "play_fx_with_handle" },
    { 0x6953, "play_fxlighting_fx" },
    { 0x6954, "play_garage_bike_dismount" },
    { 0x6955, "play_goliath_death_fx" },
    { 0x6956, "play_grapple_anim" },
    { 0x6957, "play_grenade_range_dialog1" },
    { 0x6958, "play_grenade_range_dialog2" },
    { 0x6959, "play_grenade_range_dialog3" },
    { 0x695A, "play_grenade_range_dialog4" },
    { 0x695B, "play_grenade_range_dialog5" },
    { 0x695C, "play_hit_reaction" },
    { 0x695D, "play_hostage_vehicle_pip" },
    { 0x695E, "play_hotel_exit_adaptive_music" },
    { 0x695F, "play_idle_anim" },
    { 0x6960, "play_idle_back_thruster_rz" },
    { 0x6961, "play_idle_front_thruster_rz" },
    { 0x6962, "play_idle_tread_front_rz" },
    { 0x6963, "play_ilana_vo" },
    { 0x6964, "play_insufficient_lethal_energy_sfx" },
    { 0x6965, "play_insufficient_tactical_energy_sfx" },
    { 0x6966, "play_interior_dialogue" },
    { 0x6967, "play_interval_sound" },
    { 0x6968, "play_irons_bink" },
    { 0x6969, "play_irons_pip" },
    { 0x696A, "play_jammer_1_anim" },
    { 0x696B, "play_jammer_2_anim" },
    { 0x696C, "play_jump_out_anim" },
    { 0x696D, "play_jump_out_of_heli_rumble" },
    { 0x696E, "play_lab_reactor_pip" },
    { 0x696F, "play_lensflare_subway_int_off" },
    { 0x6970, "play_lensflare_subway_int_on" },
    { 0x6971, "play_loop_sound_on_destructible" },
    { 0x6972, "play_loop_sound_on_entity" },
    { 0x6973, "play_loop_sound_on_tag" },
    { 0x6974, "play_loop_until_drop_distance" },
    { 0x6975, "play_loop_until_message" },
    { 0x6976, "play_looping_beep_on_player" },
    { 0x6977, "play_loopsound_in_space" },
    { 0x6978, "play_maglev_train_path" },
    { 0x6979, "play_microwave_physics" },
    { 0x697A, "play_microwave_sparkfx" },
    { 0x697B, "play_missile_whoosh_thread" },
    { 0x697C, "play_mode" },
    { 0x697D, "play_monitor_cinematic" },
    { 0x697E, "play_mwp_sinkhole_forceshadows" },
    { 0x697F, "play_new_and_kill_old_fx_l" },
    { 0x6980, "play_new_and_kill_old_fx_r" },
    { 0x6981, "play_new_idle" },
    { 0x6982, "play_out_of_bounds_vo" },
    { 0x6983, "play_pa_dialog_reset" },
    { 0x6984, "play_pa_exo_dialog1" },
    { 0x6985, "play_pa_exo_dialog2" },
    { 0x6986, "play_pa_street_dialog1" },
    { 0x6987, "play_pain_sound" },
    { 0x6988, "play_persistent_fx_on_screen" },
    { 0x6989, "play_pitbull_add_idle" },
    { 0x698A, "play_pitbull_anim" },
    { 0x698B, "play_pitbull_camera_anim" },
    { 0x698C, "play_pitbull_camera_speed_anim" },
    { 0x698D, "play_pitbull_gear_shift_anim" },
    { 0x698E, "play_pitbull_speed_anim" },
    { 0x698F, "play_pitbull_steer_anim" },
    { 0x6990, "play_pm_rescue_walla" },
    { 0x6991, "play_pulse_light" },
    { 0x6992, "play_pulse_preset" },
    { 0x6993, "play_railgun_fx" },
    { 0x6994, "play_rappel_pip" },
    { 0x6995, "play_reactive_fx" },
    { 0x6996, "play_ready_room_dialog1" },
    { 0x6997, "play_ready_room_dialog2" },
    { 0x6998, "play_ready_room_dialog3" },
    { 0x6999, "play_ready_room_dialog4" },
    { 0x699A, "play_ready_room_elevator_nag" },
    { 0x699B, "play_ready_up_anim" },
    { 0x699C, "play_regular_back_thruster_rz" },
    { 0x699D, "play_regular_front_thruster_rz" },
    { 0x699E, "play_regular_tail_thruster_rz" },
    { 0x699F, "play_regular_tread_back_rz" },
    { 0x69A0, "play_regular_tread_front_rz" },
    { 0x69A1, "play_reload_buzz" },
    { 0x69A2, "play_reload_malfunction" },
    { 0x69A3, "play_reload_malfunction_on_next_reload" },
    { 0x69A4, "play_rest_anim" },
    { 0x69A5, "play_rumble_arm_repair" },
    { 0x69A6, "play_rumble_elevator" },
    { 0x69A7, "play_rumble_funeral_gun_salute" },
    { 0x69A8, "play_rumble_jeep_ride" },
    { 0x69A9, "play_rumble_on_entity" },
    { 0x69AA, "play_rumble_training_s1_mute_breach" },
    { 0x69AB, "play_rumble_training_s1_president_load_fail" },
    { 0x69AC, "play_rumble_training_s1_reload_malfunction" },
    { 0x69AD, "play_rumble_training_s2_president_load" },
    { 0x69AE, "play_rumble_walker_tank" },
    { 0x69AF, "play_s_flicker_fluo_jump2_shadow_on" },
    { 0x69B0, "play_s_flicker_jb1" },
    { 0x69B1, "play_s_flicker_jb2" },
    { 0x69B2, "play_s_flicker_sh" },
    { 0x69B3, "play_seoul_videolog" },
    { 0x69B4, "play_shooting_range_dialog_friendlies" },
    { 0x69B5, "play_shooting_range_dialog_overdrive" },
    { 0x69B6, "play_shooting_range_dialog1" },
    { 0x69B7, "play_shooting_range_dialog1_nag" },
    { 0x69B8, "play_shooting_range_dialog2" },
    { 0x69B9, "play_shooting_range_dialog2_nag" },
    { 0x69BA, "play_shooting_range_dialog3" },
    { 0x69BB, "play_shooting_range_dialog4" },
    { 0x69BC, "play_shooting_range_dialogue_sequence" },
    { 0x69BD, "play_soul_intro_movie" },
    { 0x69BE, "play_sound" },
    { 0x69BF, "play_sound_in_space" },
    { 0x69C0, "play_sound_in_space_with_angles" },
    { 0x69C1, "play_sound_on_entity" },
    { 0x69C2, "play_sound_on_tag" },
    { 0x69C3, "play_sound_on_tag_endon_death" },
    { 0x69C4, "play_sound_stop_on_notify" },
    { 0x69C5, "play_squad_gesture" },
    { 0x69C6, "play_tennis_court_vo" },
    { 0x69C7, "play_throw_anim" },
    { 0x69C8, "play_thruster_amount_given_tag" },
    { 0x69C9, "play_thruster_rotation" },
    { 0x69CA, "play_tour_start_dialog1" },
    { 0x69CB, "play_tower_debris_fx" },
    { 0x69CC, "play_tracking_grenade_impacts" },
    { 0x69CD, "play_training_s1_flag_vo_training_s1_joker_prophet_approaching" },
    { 0x69CE, "play_training_s1_gideon_jeep_nag" },
    { 0x69CF, "play_training_s1_joker_clear_room" },
    { 0x69D0, "play_training_s1_joker_close_kitchen" },
    { 0x69D1, "play_training_s1_joker_dammit" },
    { 0x69D2, "play_training_s1_joker_dont_engage" },
    { 0x69D3, "play_training_s1_joker_drop_em" },
    { 0x69D4, "play_training_s1_joker_everyone_knows" },
    { 0x69D5, "play_training_s1_joker_go_go" },
    { 0x69D6, "play_training_s1_joker_good_kill" },
    { 0x69D7, "play_training_s1_joker_hit_em" },
    { 0x69D8, "play_training_s1_joker_hit_em_mitchell" },
    { 0x69D9, "play_training_s1_joker_mr_president" },
    { 0x69DA, "play_training_s1_joker_mute_charge" },
    { 0x69DB, "play_training_s1_joker_mute_charge_nag" },
    { 0x69DC, "play_training_s1_joker_ok_move" },
    { 0x69DD, "play_training_s1_joker_on_you" },
    { 0x69DE, "play_training_s1_joker_our_ride" },
    { 0x69DF, "play_training_s1_joker_patrol_approaching" },
    { 0x69E0, "play_training_s1_joker_pools_clear" },
    { 0x69E1, "play_training_s1_joker_pools_clear_stealth" },
    { 0x69E2, "play_training_s1_joker_poppin_smoke" },
    { 0x69E3, "play_training_s1_joker_ride_nag" },
    { 0x69E4, "play_training_s1_joker_spotted_us" },
    { 0x69E5, "play_training_s1_joker_stack_up" },
    { 0x69E6, "play_training_s1_joker_take_out" },
    { 0x69E7, "play_training_s1_joker_take_out_nag" },
    { 0x69E8, "play_training_s1_joker_threat_grenade" },
    { 0x69E9, "play_training_s1_joker_two_terrace" },
    { 0x69EA, "play_training_s1_joker_were_clear" },
    { 0x69EB, "play_training_s1_kva_what" },
    { 0x69EC, "play_training_s1_prophet_tracking_potus" },
    { 0x69ED, "play_training_s1_reload_malfunctions" },
    { 0x69EE, "play_training_s1_rivers_clear" },
    { 0x69EF, "play_training_s1_rivers_contact_below" },
    { 0x69F0, "play_training_s1_rivers_got_another" },
    { 0x69F1, "play_training_s1_rivers_got_drones" },
    { 0x69F2, "play_training_s1_rivers_hostiles_road" },
    { 0x69F3, "play_training_s1_rivers_multiple_hostiles" },
    { 0x69F4, "play_training_s1_rivers_pools_clear" },
    { 0x69F5, "play_training_s1_rivers_room_clear" },
    { 0x69F6, "play_training_s1_shit_clear" },
    { 0x69F7, "play_training_s1_wrong_grenade" },
    { 0x69F8, "play_training_s2_gideon_clear_move" },
    { 0x69F9, "play_training_s2_gideon_dont_let_up" },
    { 0x69FA, "play_training_s2_gideon_drone_down" },
    { 0x69FB, "play_training_s2_gideon_go_go" },
    { 0x69FC, "play_training_s2_gideon_hit_door_nag" },
    { 0x69FD, "play_training_s2_gideon_media_room" },
    { 0x69FE, "play_training_s2_gideon_mitchell_assault_drone" },
    { 0x69FF, "play_training_s2_gideon_mitchell_assault_drone_nag" },
    { 0x6A00, "play_training_s2_gideon_mitchell_secure_nag" },
    { 0x6A01, "play_training_s2_gideon_mitchell_sweep" },
    { 0x6A02, "play_training_s2_gideon_mr_president" },
    { 0x6A03, "play_training_s2_gideon_my_lead" },
    { 0x6A04, "play_training_s2_gideon_our_exfil" },
    { 0x6A05, "play_training_s2_gideon_package_secure" },
    { 0x6A06, "play_training_s2_gideon_president_inside" },
    { 0x6A07, "play_training_s2_gideon_prophet_approaching" },
    { 0x6A08, "play_training_s2_gideon_smart_grenades" },
    { 0x6A09, "play_training_s2_gideon_the_warbird" },
    { 0x6A0A, "play_training_s2_gideon_use_overdrive" },
    { 0x6A0B, "play_training_s2_gideon_use_your_shield" },
    { 0x6A0C, "play_training_s2_joker_clear" },
    { 0x6A0D, "play_training_s2_joker_contact" },
    { 0x6A0E, "play_training_s2_joker_drones" },
    { 0x6A0F, "play_training_s2_joker_entering_kitchen" },
    { 0x6A10, "play_training_s2_joker_front_entrance" },
    { 0x6A11, "play_training_s2_joker_here_they" },
    { 0x6A12, "play_training_s2_joker_living_room" },
    { 0x6A13, "play_training_s2_prophet_large_qrf" },
    { 0x6A14, "play_training_vo_prophet_exfil_approach" },
    { 0x6A15, "play_trigger_flashlight_off" },
    { 0x6A16, "play_van_videolog_pip" },
    { 0x6A17, "play_vb_cardoor_anim" },
    { 0x6A18, "play_video_log_climb_block_intro" },
    { 0x6A19, "play_videolog" },
    { 0x6A1A, "play_vision_light_fog_normal" },
    { 0x6A1B, "play_vrap_sounds" },
    { 0x6A1C, "play_warbird_carrying_walker" },
    { 0x6A1D, "play_warbird_mobile_turret_dropoff" },
    { 0x6A1E, "play_window_sound" },
    { 0x6A1F, "playafterburner" },
    { 0x6A20, "playaispawneffect" },
    { 0x6A21, "playalarmloop" },
    { 0x6A22, "playanim" },
    { 0x6A23, "playanimfortime" },
    { 0x6A24, "playanimnatratefortime" },
    { 0x6A25, "playanimnatrateuntilnotetrack" },
    { 0x6A26, "playanimnfortime" },
    { 0x6A27, "playanimnuntilnotetrack" },
    { 0x6A28, "playanimuntilnotetrack" },
    { 0x6A29, "playaudioturretmoveup" },
    { 0x6A2A, "playbark" },
    { 0x6A2B, "playbattlechatter" },
    { 0x6A2C, "playbeameffects" },
    { 0x6A2D, "playblendtransition" },
    { 0x6A2E, "playblendtransitionstandrun" },
    { 0x6A2F, "playbombfx" },
    { 0x6A30, "playbubbleeffect" },
    { 0x6A31, "playbuoylights" },
    { 0x6A32, "playc4effects" },
    { 0x6A33, "playclaymoreeffects" },
    { 0x6A34, "playcloakoverheatdialog" },
    { 0x6A35, "playcontrail" },
    { 0x6A36, "playcranespawnvfx" },
    { 0x6A37, "playcredits" },
    { 0x6A38, "playcustomevent" },
    { 0x6A39, "playdamagesound" },
    { 0x6A3A, "playdeathanim" },
    { 0x6A3B, "playdeathfx" },
    { 0x6A3C, "playdeathsound" },
    { 0x6A3D, "playdialog" },
    { 0x6A3E, "playedstartingmusic" },
    { 0x6A3F, "playeffectongroundent" },
    { 0x6A40, "playengineeffects" },
    { 0x6A41, "playentrysounddelayed" },
    { 0x6A42, "player_abandon_squad_distance_think" },
    { 0x6A43, "player_abandoned_mission_fail" },
    { 0x6A44, "player_abandoned_mission_warning" },
    { 0x6A45, "player_abandoned_mission_warning_vo_setup" },
    { 0x6A46, "player_abandoning_mission_vo" },
    { 0x6A47, "player_accuracy_think" },
    { 0x6A48, "player_add_dshk_turret" },
    { 0x6A49, "player_ads_disable_manager" },
    { 0x6A4A, "player_ads_think" },
    { 0x6A4B, "player_ads_time" },
    { 0x6A4C, "player_aim_debug" },
    { 0x6A4D, "player_airbraked" },
    { 0x6A4E, "player_alerted_mission_fail" },
    { 0x6A4F, "player_alerted_mission_fail_convoy" },
    { 0x6A50, "player_alerted_mission_fail_meter" },
    { 0x6A51, "player_allow_damage" },
    { 0x6A52, "player_and_hatch_doors" },
    { 0x6A53, "player_and_squad" },
    { 0x6A54, "player_angles_at_last_hovertank_fire" },
    { 0x6A55, "player_animated_sequence_cleanup" },
    { 0x6A56, "player_animated_sequence_restrictions" },
    { 0x6A57, "player_animations" },
    { 0x6A58, "player_anims" },
    { 0x6A59, "player_anims_toload" },
    { 0x6A5A, "player_apply_mission_failed_wrapper_on_death_for_duration" },
    { 0x6A5B, "player_assault_snipers" },
    { 0x6A5C, "player_assisted_jump" },
    { 0x6A5D, "player_attack_nodes_update" },
    { 0x6A5E, "player_attack_think" },
    { 0x6A5F, "player_attacked" },
    { 0x6A60, "player_attacker" },
    { 0x6A61, "player_attacker_accuracy" },
    { 0x6A62, "player_basement_objective_mover" },
    { 0x6A63, "player_bike" },
    { 0x6A64, "player_bike_lower" },
    { 0x6A65, "player_bike_obj" },
    { 0x6A66, "player_bike_shutoff" },
    { 0x6A67, "player_bike_to_ai_model" },
    { 0x6A68, "player_bike_to_vm_model" },
    { 0x6A69, "player_bike_wing_flaps" },
    { 0x6A6A, "player_bike_wing_flaps_left" },
    { 0x6A6B, "player_bikenew" },
    { 0x6A6C, "player_blocking_shot" },
    { 0x6A6D, "player_blocking_shot_vo_lines" },
    { 0x6A6E, "player_blur_ads" },
    { 0x6A6F, "player_blur_monitor_ads" },
    { 0x6A70, "player_blur_monitor_non_ads" },
    { 0x6A71, "player_blur_non_ads" },
    { 0x6A72, "player_blur_reset" },
    { 0x6A73, "player_blur_think" },
    { 0x6A74, "player_boat" },
    { 0x6A75, "player_boat_dive" },
    { 0x6A76, "player_boat_gas" },
    { 0x6A77, "player_bob_scale_set" },
    { 0x6A78, "player_boost_hint" },
    { 0x6A79, "player_boost_time" },
    { 0x6A7A, "player_boosting" },
    { 0x6A7B, "player_braking" },
    { 0x6A7C, "player_breach" },
    { 0x6A7D, "player_breaks_stealth_during_tutorial" },
    { 0x6A7E, "player_breath_amount" },
    { 0x6A7F, "player_breath_amount_fill_rate" },
    { 0x6A80, "player_breath_amount_use_rate" },
    { 0x6A81, "player_breath_elem" },
    { 0x6A82, "player_breath_fulltime" },
    { 0x6A83, "player_breath_hud" },
    { 0x6A84, "player_broke_stealth" },
    { 0x6A85, "player_broke_stealth_once" },
    { 0x6A86, "player_bubbles_fx" },
    { 0x6A87, "player_bus" },
    { 0x6A88, "player_bus_anim_single_break_when_timeout_or_fail" },
    { 0x6A89, "player_bus_slomo_end_notetrack" },
    { 0x6A8A, "player_bus_slomo_end_pt2" },
    { 0x6A8B, "player_bus_slomo_start_pt1" },
    { 0x6A8C, "player_bus_slomo_start_pt2" },
    { 0x6A8D, "player_bus_slomo_start_pt3" },
    { 0x6A8E, "player_bus_slomo_start_pt4" },
    { 0x6A8F, "player_bus_slomo_start_pt5" },
    { 0x6A90, "player_bus_start" },
    { 0x6A91, "player_camera_shake" },
    { 0x6A92, "player_camera_shake_land" },
    { 0x6A93, "player_can_be_shot" },
    { 0x6A94, "player_can_see" },
    { 0x6A95, "player_can_see_ai" },
    { 0x6A96, "player_can_see_ai_bones" },
    { 0x6A97, "player_can_see_ai_through_foliage" },
    { 0x6A98, "player_can_see_civ" },
    { 0x6A99, "player_can_see_corpse" },
    { 0x6A9A, "player_can_see_point" },
    { 0x6A9B, "player_can_see_vehicle" },
    { 0x6A9C, "player_can_stop_swimming" },
    { 0x6A9D, "player_canal_drop" },
    { 0x6A9E, "player_cant_be_shot" },
    { 0x6A9F, "player_carried_skybridge" },
    { 0x6AA0, "player_catch_up_on_boost" },
    { 0x6AA1, "player_character_name" },
    { 0x6AA2, "player_charged_shot" },
    { 0x6AA3, "player_chase_progress_mod" },
    { 0x6AA4, "player_chase_speed_control" },
    { 0x6AA5, "player_check_distance_to_ceiling" },
    { 0x6AA6, "player_check_distance_to_ground" },
    { 0x6AA7, "player_chooses_manual_control" },
    { 0x6AA8, "player_cleanup_charge_indicator" },
    { 0x6AA9, "player_cleanup_reticle" },
    { 0x6AAA, "player_cleanup_rumble" },
    { 0x6AAB, "player_cleanup_sound" },
    { 0x6AAC, "player_cleanupongameended" },
    { 0x6AAD, "player_cleanuponteamchange" },
    { 0x6AAE, "player_clear_pass_target" },
    { 0x6AAF, "player_climb_wall" },
    { 0x6AB0, "player_climb_wall_head_sway" },
    { 0x6AB1, "player_clip" },
    { 0x6AB2, "player_clip_pod_door" },
    { 0x6AB3, "player_cloak_on" },
    { 0x6AB4, "player_close_disable_ignore_check" },
    { 0x6AB5, "player_close_to_fail_dist" },
    { 0x6AB6, "player_color_node" },
    { 0x6AB7, "player_color_pulse" },
    { 0x6AB8, "player_command_for_exit" },
    { 0x6AB9, "player_control_on" },
    { 0x6ABA, "player_covertrigger" },
    { 0x6ABB, "player_covertype" },
    { 0x6ABC, "player_cqb_off" },
    { 0x6ABD, "player_cqb_on" },
    { 0x6ABE, "player_crash" },
    { 0x6ABF, "player_damage" },
    { 0x6AC0, "player_damage_atlas_flag_set" },
    { 0x6AC1, "player_damage_check" },
    { 0x6AC2, "player_damaged_car_watcher" },
    { 0x6AC3, "player_death" },
    { 0x6AC4, "player_death_detection" },
    { 0x6AC5, "player_defend_snipers" },
    { 0x6AC6, "player_delete_ball_goal_fx" },
    { 0x6AC7, "player_did_most_damage" },
    { 0x6AC8, "player_died_recently" },
    { 0x6AC9, "player_died_recently_degrades" },
    { 0x6ACA, "player_died_water" },
    { 0x6ACB, "player_dismount" },
    { 0x6ACC, "player_dismount_link_player_end_of_frame" },
    { 0x6ACD, "player_dismount_newbike" },
    { 0x6ACE, "player_dismount_vehicle" },
    { 0x6ACF, "player_dist_limit" },
    { 0x6AD0, "player_dist_to_speaker" },
    { 0x6AD1, "player_distsqrd" },
    { 0x6AD2, "player_do_camera_shake" },
    { 0x6AD3, "player_do_charge_indicator" },
    { 0x6AD4, "player_do_reticle" },
    { 0x6AD5, "player_do_rumble" },
    { 0x6AD6, "player_do_sound" },
    { 0x6AD7, "player_does_not_see_spawner" },
    { 0x6AD8, "player_dof_aperture" },
    { 0x6AD9, "player_dof_distance" },
    { 0x6ADA, "player_dof_max_distance" },
    { 0x6ADB, "player_dolasercoredamage" },
    { 0x6ADC, "player_doorkick" },
    { 0x6ADD, "player_downed_death_buffer_time" },
    { 0x6ADE, "player_driver" },
    { 0x6ADF, "player_drone_control" },
    { 0x6AE0, "player_drone_manager" },
    { 0x6AE1, "player_drop_pod_se_door_kick" },
    { 0x6AE2, "player_drown_end_vm_transition" },
    { 0x6AE3, "player_drowning_damage_thread" },
    { 0x6AE4, "player_drowning_start" },
    { 0x6AE5, "player_dynamic_dof" },
    { 0x6AE6, "player_enable_highlight" },
    { 0x6AE7, "player_enter_round_trigger" },
    { 0x6AE8, "player_enter_turret" },
    { 0x6AE9, "player_enter_walker" },
    { 0x6AEA, "player_enter_walker_anim" },
    { 0x6AEB, "player_entering_server_room" },
    { 0x6AEC, "player_enters_mobile_turret_dialogue" },
    { 0x6AED, "player_escape" },
    { 0x6AEE, "player_exhaust_corridor" },
    { 0x6AEF, "player_exhaust_corridor_rumbles" },
    { 0x6AF0, "player_exit_breach_fail" },
    { 0x6AF1, "player_exit_turret" },
    { 0x6AF2, "player_exit_walker" },
    { 0x6AF3, "player_exit_walker_anim" },
    { 0x6AF4, "player_exiting" },
    { 0x6AF5, "player_exo_activate" },
    { 0x6AF6, "player_exo_activate_single_internal" },
    { 0x6AF7, "player_exo_add_array" },
    { 0x6AF8, "player_exo_add_single" },
    { 0x6AF9, "player_exo_cloak_on" },
    { 0x6AFA, "player_exo_cloak_on_wallclimb" },
    { 0x6AFB, "player_exo_deactivate" },
    { 0x6AFC, "player_exo_deactivate_single_internal" },
    { 0x6AFD, "player_exo_disable" },
    { 0x6AFE, "player_exo_enable" },
    { 0x6AFF, "player_exo_get_owned_array" },
    { 0x6B00, "player_exo_get_unowned_array" },
    { 0x6B01, "player_exo_init" },
    { 0x6B02, "player_exo_is_active" },
    { 0x6B03, "player_exo_is_active_single" },
    { 0x6B04, "player_exo_is_active_single_internal" },
    { 0x6B05, "player_exo_jump_hint" },
    { 0x6B06, "player_exo_jump_hint_off" },
    { 0x6B07, "player_exo_jump_release_hint_off" },
    { 0x6B08, "player_exo_monitor" },
    { 0x6B09, "player_exo_power_on" },
    { 0x6B0A, "player_exo_remove_array" },
    { 0x6B0B, "player_exo_remove_single" },
    { 0x6B0C, "player_exo_set_owned_array" },
    { 0x6B0D, "player_exoclimb_mag_moved" },
    { 0x6B0E, "player_exoclimb_moved" },
    { 0x6B0F, "player_failed_drop" },
    { 0x6B10, "player_fall_lighting" },
    { 0x6B11, "player_fall_zone_swap" },
    { 0x6B12, "player_falling_kill_logic" },
    { 0x6B13, "player_falling_to_death" },
    { 0x6B14, "player_fastzip" },
    { 0x6B15, "player_fastzip_land" },
    { 0x6B16, "player_fired_missiles" },
    { 0x6B17, "player_follow_volume_think" },
    { 0x6B18, "player_forest_takedown" },
    { 0x6B19, "player_forest_takedown_bad_guy_left_vox" },
    { 0x6B1A, "player_forest_takedown_bad_guy_right_vox" },
    { 0x6B1B, "player_fov_54" },
    { 0x6B1C, "player_fov_65" },
    { 0x6B1D, "player_fov_controller" },
    { 0x6B1E, "player_free_aim" },
    { 0x6B1F, "player_friendly_hud_destroy" },
    { 0x6B20, "player_friendlyfire_addreactionevent" },
    { 0x6B21, "player_friendlyfire_waiter" },
    { 0x6B22, "player_friendlyfire_waiter_damage" },
    { 0x6B23, "player_gasping_breath" },
    { 0x6B24, "player_getout" },
    { 0x6B25, "player_getout_sound" },
    { 0x6B26, "player_getout_sound_end" },
    { 0x6B27, "player_getout_sound_loop" },
    { 0x6B28, "player_gets_weapons_back" },
    { 0x6B29, "player_getvelocity_pc" },
    { 0x6B2A, "player_giveachievement_wrapper" },
    { 0x6B2B, "player_grace_period" },
    { 0x6B2C, "player_grapple_check" },
    { 0x6B2D, "player_grapple_hint" },
    { 0x6B2E, "player_grapple_into_vehicle" },
    { 0x6B2F, "player_grappled" },
    { 0x6B30, "player_grenade_check" },
    { 0x6B31, "player_grenade_check_dieout" },
    { 0x6B32, "player_gun_lock_target_origin" },
    { 0x6B33, "player_guns_cooldown_can_shoot" },
    { 0x6B34, "player_guns_cooldown_get_heat" },
    { 0x6B35, "player_guns_cooldown_shoot_notify" },
    { 0x6B36, "player_guns_cooldown_think" },
    { 0x6B37, "player_hand_plant_lf_wallclimb" },
    { 0x6B38, "player_hand_plant_rt_wallclimb" },
    { 0x6B39, "player_handle_charged_shot" },
    { 0x6B3A, "player_handleturrethints" },
    { 0x6B3B, "player_handleturretpickup" },
    { 0x6B3C, "player_handleturretrippable" },
    { 0x6B3D, "player_handplant" },
    { 0x6B3E, "player_handplant_standalone" },
    { 0x6B3F, "player_hands_idle_start" },
    { 0x6B40, "player_hands_idle_stop" },
    { 0x6B41, "player_hangar_waits" },
    { 0x6B42, "player_has_caught_up" },
    { 0x6B43, "player_has_jumped" },
    { 0x6B44, "player_has_printing_himar" },
    { 0x6B45, "player_has_returned_to_road" },
    { 0x6B46, "player_has_returned_to_squad" },
    { 0x6B47, "player_has_thermal" },
    { 0x6B48, "player_has_weapon" },
    { 0x6B49, "player_health_check" },
    { 0x6B4A, "player_health_current" },
    { 0x6B4B, "player_health_packets" },
    { 0x6B4C, "player_heartbeat" },
    { 0x6B4D, "player_helo_release" },
    { 0x6B4E, "player_hover_height" },
    { 0x6B4F, "player_idle" },
    { 0x6B50, "player_ied_footsteps_left" },
    { 0x6B51, "player_ied_footsteps_right" },
    { 0x6B52, "player_in_deep_water" },
    { 0x6B53, "player_in_disable_sniper_volume" },
    { 0x6B54, "player_in_mt" },
    { 0x6B55, "player_in_oncoming" },
    { 0x6B56, "player_init" },
    { 0x6B57, "player_init_charge_indicator" },
    { 0x6B58, "player_init_reticle" },
    { 0x6B59, "player_init_rumble" },
    { 0x6B5A, "player_init_sound" },
    { 0x6B5B, "player_input_control_hint_off" },
    { 0x6B5C, "player_input_ending_aim_button_off" },
    { 0x6B5D, "player_input_ending_shoot_button_off" },
    { 0x6B5E, "player_input_rappel_hint_off" },
    { 0x6B5F, "player_input_shaft_buttons_off" },
    { 0x6B60, "player_input_slide_under_door" },
    { 0x6B61, "player_input_sprint" },
    { 0x6B62, "player_intel_display_object" },
    { 0x6B63, "player_intel_display_object_array" },
    { 0x6B64, "player_intel_display_objects" },
    { 0x6B65, "player_intel_mode_disable" },
    { 0x6B66, "player_intel_mode_think" },
    { 0x6B67, "player_is_aiming_with_rocket" },
    { 0x6B68, "player_is_behind_me" },
    { 0x6B69, "player_is_driving" },
    { 0x6B6A, "player_is_good_missile_target" },
    { 0x6B6B, "player_is_in_scanner_cone" },
    { 0x6B6C, "player_is_near_live_grenade" },
    { 0x6B6D, "player_is_pushing_rumble" },
    { 0x6B6E, "player_is_rappelling" },
    { 0x6B6F, "player_is_shooting" },
    { 0x6B70, "player_is_skipping_setups" },
    { 0x6B71, "player_is_valid_target" },
    { 0x6B72, "player_isusingkillstreak" },
    { 0x6B73, "player_jammer_movie" },
    { 0x6B74, "player_jetpack" },
    { 0x6B75, "player_joined_update_pass_target_hudoutline" },
    { 0x6B76, "player_jump_into_mob_nag_lines" },
    { 0x6B77, "player_jumped_out_vol" },
    { 0x6B78, "player_kill_function" },
    { 0x6B79, "player_kill_trigger" },
    { 0x6B7A, "player_killed" },
    { 0x6B7B, "player_knife" },
    { 0x6B7C, "player_knockdown" },
    { 0x6B7D, "player_knockout_wakeup" },
    { 0x6B7E, "player_knockout_white" },
    { 0x6B7F, "player_land_on_hood" },
    { 0x6B80, "player_land_on_wing" },
    { 0x6B81, "player_lasercoreeffect" },
    { 0x6B82, "player_leave_cafeteria_nag_lines" },
    { 0x6B83, "player_leave_round_trigger" },
    { 0x6B84, "player_leaves_humvee" },
    { 0x6B85, "player_leaving_bodyroom_gag" },
    { 0x6B86, "player_left_road_hint" },
    { 0x6B87, "player_left_squad_hint" },
    { 0x6B88, "player_link_to" },
    { 0x6B89, "player_link_to_cover" },
    { 0x6B8A, "player_linked" },
    { 0x6B8B, "player_linkto_drone_missile" },
    { 0x6B8C, "player_locked_on" },
    { 0x6B8D, "player_look_limit_controller" },
    { 0x6B8E, "player_looking_at" },
    { 0x6B8F, "player_looking_at_object" },
    { 0x6B90, "player_looking_at_relative" },
    { 0x6B91, "player_looking_in_direction_2d" },
    { 0x6B92, "player_los_check" },
    { 0x6B93, "player_loses_speedscale" },
    { 0x6B94, "player_mag_glove_activate_wallclimb" },
    { 0x6B95, "player_mag_glove_lglove_disengage" },
    { 0x6B96, "player_mag_glove_off" },
    { 0x6B97, "player_mag_glove_rglove_disengage" },
    { 0x6B98, "player_mech_melee_modifier" },
    { 0x6B99, "player_mech_melee_modifier_damage_function" },
    { 0x6B9A, "player_missile_firing_logic" },
    { 0x6B9B, "player_mission_failed_handler" },
    { 0x6B9C, "player_mobile_turret_explo" },
    { 0x6B9D, "player_mobile_turret_warning" },
    { 0x6B9E, "player_mode" },
    { 0x6B9F, "player_mount_vehicle" },
    { 0x6BA0, "player_move_mod" },
    { 0x6BA1, "player_moved_forward" },
    { 0x6BA2, "player_movement_tweaks" },
    { 0x6BA3, "player_movement_weapons_setup" },
    { 0x6BA4, "player_moves" },
    { 0x6BA5, "player_movespeed_calc_loop" },
    { 0x6BA6, "player_nades" },
    { 0x6BA7, "player_name_called_recently" },
    { 0x6BA8, "player_near_logging_road_end_log" },
    { 0x6BA9, "player_no_pickup_time" },
    { 0x6BAA, "player_on_disconnect" },
    { 0x6BAB, "player_on_rotors" },
    { 0x6BAC, "player_onbike" },
    { 0x6BAD, "player_one_already_breached" },
    { 0x6BAE, "player_out_of_bounds_count" },
    { 0x6BAF, "player_out_of_bounds_mission_fail" },
    { 0x6BB0, "player_out_of_bounds_warning" },
    { 0x6BB1, "player_out_of_bounds_warning_vo" },
    { 0x6BB2, "player_pbull_honk" },
    { 0x6BB3, "player_pc_velocity" },
    { 0x6BB4, "player_perarts_jump_explosions" },
    { 0x6BB5, "player_picked_team" },
    { 0x6BB6, "player_pitbull" },
    { 0x6BB7, "player_pitbull_init" },
    { 0x6BB8, "player_pitbull_physics_wake_up" },
    { 0x6BB9, "player_pitbull_woosh_sounds" },
    { 0x6BBA, "player_place_ied_foley" },
    { 0x6BBB, "player_plant_frb" },
    { 0x6BBC, "player_pod" },
    { 0x6BBD, "player_popped_flares" },
    { 0x6BBE, "player_pos" },
    { 0x6BBF, "player_post_crash" },
    { 0x6BC0, "player_presinkhole_debris" },
    { 0x6BC1, "player_presinkhole_jump_pipeburst" },
    { 0x6BC2, "player_process_dshk_turrets" },
    { 0x6BC3, "player_projectile_think" },
    { 0x6BC4, "player_proximity_rumble" },
    { 0x6BC5, "player_proxy" },
    { 0x6BC6, "player_proxy_org" },
    { 0x6BC7, "player_proxy_took_damage" },
    { 0x6BC8, "player_push_impulse" },
    { 0x6BC9, "player_pushed_kill" },
    { 0x6BCA, "player_radio_emitter" },
    { 0x6BCB, "player_radio_emitter_overlap" },
    { 0x6BCC, "player_radio_squelch_out_queued" },
    { 0x6BCD, "player_rappel" },
    { 0x6BCE, "player_rappel_camera_sway" },
    { 0x6BCF, "player_rappel_control" },
    { 0x6BD0, "player_rappel_rope_swap" },
    { 0x6BD1, "player_rappel_rumbles" },
    { 0x6BD2, "player_reached_stealth_finish_line" },
    { 0x6BD3, "player_reached_window" },
    { 0x6BD4, "player_reaches_shack" },
    { 0x6BD5, "player_ready_capture" },
    { 0x6BD6, "player_recovered_stealth" },
    { 0x6BD7, "player_recovers_from_red_flashing" },
    { 0x6BD8, "player_regen_restore" },
    { 0x6BD9, "player_regen_scale" },
    { 0x6BDA, "player_remove_dshk_turret" },
    { 0x6BDB, "player_repulsor" },
    { 0x6BDC, "player_resetlasercorevalues" },
    { 0x6BDD, "player_restore_reticle" },
    { 0x6BDE, "player_revived_or_dead" },
    { 0x6BDF, "player_rides_humvee_offset_dismount" },
    { 0x6BE0, "player_rides_in_humvee" },
    { 0x6BE1, "player_rides_in_humvee_offset" },
    { 0x6BE2, "player_rides_shotgun_in_humvee" },
    { 0x6BE3, "player_rig" },
    { 0x6BE4, "player_rig_heli" },
    { 0x6BE5, "player_rig_highway_ledge" },
    { 0x6BE6, "player_rig_lighting_org" },
    { 0x6BE7, "player_rig_lighting_org_willroom" },
    { 0x6BE8, "player_rig_spawn_function" },
    { 0x6BE9, "player_rocket" },
    { 0x6BEA, "player_rope" },
    { 0x6BEB, "player_rope_long" },
    { 0x6BEC, "player_run_progress_trigger_think" },
    { 0x6BED, "player_run_rumble" },
    { 0x6BEE, "player_rushes_ahead" },
    { 0x6BEF, "player_safe" },
    { 0x6BF0, "player_saw_kill" },
    { 0x6BF1, "player_school_disable_values" },
    { 0x6BF2, "player_school_flashlight" },
    { 0x6BF3, "player_screen_flash" },
    { 0x6BF4, "player_scuba" },
    { 0x6BF5, "player_scuba_breathe_sound" },
    { 0x6BF6, "player_scuba_bubbles" },
    { 0x6BF7, "player_scuba_mask" },
    { 0x6BF8, "player_scuba_mask_disable" },
    { 0x6BF9, "player_seek" },
    { 0x6BFA, "player_seek_disable" },
    { 0x6BFB, "player_seek_enable" },
    { 0x6BFC, "player_sees_my_scope" },
    { 0x6BFD, "player_sees_spawner" },
    { 0x6BFE, "player_sentinel_kva_reveal" },
    { 0x6BFF, "player_sentry_timeout" },
    { 0x6C00, "player_server_room_se_end" },
    { 0x6C01, "player_set_all_reticle_colors" },
    { 0x6C02, "player_set_in_water" },
    { 0x6C03, "player_set_pass_target" },
    { 0x6C04, "player_set_swimming" },
    { 0x6C05, "player_setupanimations" },
    { 0x6C06, "player_shadow_monitor" },
    { 0x6C07, "player_shimmy_1" },
    { 0x6C08, "player_shimmy_2" },
    { 0x6C09, "player_shimmy_3" },
    { 0x6C0A, "player_shimmy_4" },
    { 0x6C0B, "player_shimmy_intro" },
    { 0x6C0C, "player_shooting_at" },
    { 0x6C0D, "player_shooting_logic" },
    { 0x6C0E, "player_shot_guns" },
    { 0x6C0F, "player_shouldclearturretpickuphints" },
    { 0x6C10, "player_shoulddisableremoteenter" },
    { 0x6C11, "player_show_missile_reticle" },
    { 0x6C12, "player_show_turret_hud" },
    { 0x6C13, "player_skipping_setup" },
    { 0x6C14, "player_slows_down" },
    { 0x6C15, "player_soft_land_alt" },
    { 0x6C16, "player_speed" },
    { 0x6C17, "player_speed_control" },
    { 0x6C18, "player_speed_control_rocket_blast" },
    { 0x6C19, "player_speed_control_underwater" },
    { 0x6C1A, "player_speed_default" },
    { 0x6C1B, "player_speed_hud" },
    { 0x6C1C, "player_speed_manager" },
    { 0x6C1D, "player_speed_percent" },
    { 0x6C1E, "player_speed_proc" },
    { 0x6C1F, "player_speed_set" },
    { 0x6C20, "player_spotlight" },
    { 0x6C21, "player_stance_monitor" },
    { 0x6C22, "player_started_vtol_grapple_monitor" },
    { 0x6C23, "player_starts_battle" },
    { 0x6C24, "player_state" },
    { 0x6C25, "player_stealth_audio" },
    { 0x6C26, "player_stealth_cloak_think" },
    { 0x6C27, "player_swim_hint" },
    { 0x6C28, "player_swimming_moving_water" },
    { 0x6C29, "player_tank" },
    { 0x6C2A, "player_target" },
    { 0x6C2B, "player_targeting_think" },
    { 0x6C2C, "player_test_points" },
    { 0x6C2D, "player_throwgrenade_timer" },
    { 0x6C2E, "player_too_far_hint" },
    { 0x6C2F, "player_touched_arr" },
    { 0x6C30, "player_touched_car_watcher" },
    { 0x6C31, "player_touching_post_clip" },
    { 0x6C32, "player_training_s1_joker_threat_grenade_nag" },
    { 0x6C33, "player_truck" },
    { 0x6C34, "player_ugv_health" },
    { 0x6C35, "player_ugv_health_hurtagain" },
    { 0x6C36, "player_ugv_health_max_health" },
    { 0x6C37, "player_under_logging_road_end_log" },
    { 0x6C38, "player_underwater_breath" },
    { 0x6C39, "player_underwater_end" },
    { 0x6C3A, "player_underwater_shock" },
    { 0x6C3B, "player_underwater_start" },
    { 0x6C3C, "player_unlink_from_cover" },
    { 0x6C3D, "player_unlink_from_drone_missile" },
    { 0x6C3E, "player_unlink_on_death" },
    { 0x6C3F, "player_unlink_on_sprint" },
    { 0x6C40, "player_unlock" },
    { 0x6C41, "player_unresolved_collision_watch" },
    { 0x6C42, "player_update_pass_target" },
    { 0x6C43, "player_update_pass_target_hudoutline" },
    { 0x6C44, "player_update_slow_aim" },
    { 0x6C45, "player_upkeep" },
    { 0x6C46, "player_use_dshk_with_viewmodel" },
    { 0x6C47, "player_used_exoclimb_combat" },
    { 0x6C48, "player_used_exoclimb_cover" },
    { 0x6C49, "player_used_grapple" },
    { 0x6C4A, "player_used_grenade_recently" },
    { 0x6C4B, "player_using_missile" },
    { 0x6C4C, "player_velocity_display" },
    { 0x6C4D, "player_view" },
    { 0x6C4E, "player_viewhand_model" },
    { 0x6C4F, "player_visible_duration" },
    { 0x6C50, "player_wait_and_unlink" },
    { 0x6C51, "player_walk" },
    { 0x6C52, "player_walk_end" },
    { 0x6C53, "player_warbird_flyout" },
    { 0x6C54, "player_warbird_spawn" },
    { 0x6C55, "player_watchdeath" },
    { 0x6C56, "player_watchexitlasercore" },
    { 0x6C57, "player_weapons" },
    { 0x6C58, "player2" },
    { 0x6C59, "playeractivatedairsupport" },
    { 0x6C5A, "playeraddnotifycommands" },
    { 0x6C5B, "playeraffectedarray" },
    { 0x6C5C, "playerallowalternatemelee" },
    { 0x6C5D, "playerallowboostjump" },
    { 0x6C5E, "playerallowdodge" },
    { 0x6C5F, "playerallowhighjump" },
    { 0x6C60, "playerallowhighjumpdrop" },
    { 0x6C61, "playerallowpowerslide" },
    { 0x6C62, "playerallowweaponpickup" },
    { 0x6C63, "playeranims" },
    { 0x6C64, "playerassist" },
    { 0x6C65, "playerattachpoint" },
    { 0x6C66, "playerboostjumpprecaching" },
    { 0x6C67, "playerbreathingsound" },
    { 0x6C68, "playercanuselaser" },
    { 0x6C69, "playercanuseturret" },
    { 0x6C6A, "playercapturelpm" },
    { 0x6C6B, "playercardplayer" },
    { 0x6C6C, "playercardsplashnotify" },
    { 0x6C6D, "playerchangemode" },
    { 0x6C6E, "playercleanupbarrel" },
    { 0x6C6F, "playercleanupondeath" },
    { 0x6C70, "playercleanuponother" },
    { 0x6C71, "playercleanupthermalvisioncommands" },
    { 0x6C72, "playerclearorbitalsupportonteamchange" },
    { 0x6C73, "playerclearrippableturretinfo" },
    { 0x6C74, "playerclearwarbirdonteamchange" },
    { 0x6C75, "playercloakactivated" },
    { 0x6C76, "playercloakcooldown" },
    { 0x6C77, "playercloakready" },
    { 0x6C78, "playercloakwaitforexit" },
    { 0x6C79, "playerclockdirection" },
    { 0x6C7A, "playercommonreconvehiclesetup" },
    { 0x6C7B, "playercontrolled" },
    { 0x6C7C, "playercontrolorbitalstrike" },
    { 0x6C7D, "playercontrolwarbirdsetup" },
    { 0x6C7E, "playercostume" },
    { 0x6C7F, "playerdamaged" },
    { 0x6C80, "playerdamagerumble" },
    { 0x6C81, "playerdelaycontrol" },
    { 0x6C82, "playerdelayrumble" },
    { 0x6C83, "playerdelaystartsparkseffect" },
    { 0x6C84, "playerdeleteexhaustfxonvehicledeath" },
    { 0x6C85, "playerdestroyglassbelow" },
    { 0x6C86, "playerdied" },
    { 0x6C87, "playerdisableabilitytypes" },
    { 0x6C88, "playerdisabledwait" },
    { 0x6C89, "playerdisablestreakstatic" },
    { 0x6C8A, "playerdisableunderwater" },
    { 0x6C8B, "playerdisplayjoinrequest" },
    { 0x6C8C, "playerdoginit" },
    { 0x6C8D, "playerdohunterkillerbehavior" },
    { 0x6C8E, "playerdone_anim_laststand" },
    { 0x6C8F, "playerdone_anim_neck_snap" },
    { 0x6C90, "playerdone_anim_saved" },
    { 0x6C91, "playerdoridekillstreak" },
    { 0x6C92, "playerdoublegrenadetime" },
    { 0x6C93, "playerdrone" },
    { 0x6C94, "playerdrone_anim_knockdown" },
    { 0x6C95, "playerdrone_create" },
    { 0x6C96, "playerenablestreakstatic" },
    { 0x6C97, "playerenableunderwater" },
    { 0x6C98, "playerendinganimations" },
    { 0x6C99, "playerenterarea" },
    { 0x6C9A, "playerentersoftlanding" },
    { 0x6C9B, "playerfakeshootempgrenadeattarget" },
    { 0x6C9C, "playerfakeshootpaintgrenadeattarget" },
    { 0x6C9D, "playerfakeshootpaintmissile" },
    { 0x6C9E, "playerfindaltnode" },
    { 0x6C9F, "playerfindnodeinfront" },
    { 0x6CA0, "playerfindnodeinfrontinternal" },
    { 0x6CA1, "playerfiresounds" },
    { 0x6CA2, "playerforclientid" },
    { 0x6CA3, "playerfxorg" },
    { 0x6CA4, "playergetclosestnode" },
    { 0x6CA5, "playergetclosestnodeinternal" },
    { 0x6CA6, "playergetkillstreaklastweapon" },
    { 0x6CA7, "playergetnearestnode" },
    { 0x6CA8, "playergetnodelookingat" },
    { 0x6CA9, "playergetorbitalstartpos" },
    { 0x6CAA, "playergetoutsidenode" },
    { 0x6CAB, "playergetrippableammo" },
    { 0x6CAC, "playergetturretendpoint" },
    { 0x6CAD, "playergetusetime" },
    { 0x6CAE, "playergivebackcarepackage" },
    { 0x6CAF, "playergiveturrethead" },
    { 0x6CB0, "playergrenadebasetime" },
    { 0x6CB1, "playergrenaderangetime" },
    { 0x6CB2, "playerhandlebarrel" },
    { 0x6CB3, "playerhandlebootupsequence" },
    { 0x6CB4, "playerhandleboundarystatic" },
    { 0x6CB5, "playerhandleboundarystaticradius" },
    { 0x6CB6, "playerhandledamage" },
    { 0x6CB7, "playerhandleexhaustfx" },
    { 0x6CB8, "playerhandlejoining" },
    { 0x6CB9, "playerhandlekillvehicle" },
    { 0x6CBA, "playerhandleradarping" },
    { 0x6CBB, "playerhasammo" },
    { 0x6CBC, "playerhasrippableturretinfo" },
    { 0x6CBD, "playerhastouchedstick" },
    { 0x6CBE, "playerhasturretheadweapon" },
    { 0x6CBF, "playerhbreachwristequipment" },
    { 0x6CC0, "playerhealth_regularregendelay" },
    { 0x6CC1, "playerhealthregen" },
    { 0x6CC2, "playerhealthregeninit" },
    { 0x6CC3, "playerhideturretoverlay" },
    { 0x6CC4, "playerhudelements" },
    { 0x6CC5, "playerhudoutlineshunterkiller" },
    { 0x6CC6, "playerhurtcheck" },
    { 0x6CC7, "playeridlereminderdialogue" },
    { 0x6CC8, "playerimmunetofire" },
    { 0x6CC9, "playerinit" },
    { 0x6CCA, "playerinorbital" },
    { 0x6CCB, "playerinside" },
    { 0x6CCC, "playerinteractdronecontrol" },
    { 0x6CCD, "playerinvul" },
    { 0x6CCE, "playerinwater" },
    { 0x6CCF, "playerisclose" },
    { 0x6CD0, "playerisinfront" },
    { 0x6CD1, "playerisonleft" },
    { 0x6CD2, "playerisrocketswarmreloading" },
    { 0x6CD3, "playerisrocketswarmtargetlocked" },
    { 0x6CD4, "playerkilled" },
    { 0x6CD5, "playerkilled_internal" },
    { 0x6CD6, "playerkillheavyexo" },
    { 0x6CD7, "playerlaunchcarepackage" },
    { 0x6CD8, "playerlaunchdroppod" },
    { 0x6CD9, "playerleashbehavior" },
    { 0x6CDA, "playerleashdisable" },
    { 0x6CDB, "playerleavearea" },
    { 0x6CDC, "playerleavesoftlanding" },
    { 0x6CDD, "playerlinktodeltablend" },
    { 0x6CDE, "playerlinktodeltadelayed" },
    { 0x6CDF, "playermech_badplace" },
    { 0x6CE0, "playermech_chaingun_watcher" },
    { 0x6CE1, "playermech_damage_manager" },
    { 0x6CE2, "playermech_damage_parts" },
    { 0x6CE3, "playermech_disable_badplace" },
    { 0x6CE4, "playermech_dodamage" },
    { 0x6CE5, "playermech_enable_badplace" },
    { 0x6CE6, "playermech_end" },
    { 0x6CE7, "playermech_fx_init" },
    { 0x6CE8, "playermech_health_restore" },
    { 0x6CE9, "playermech_init" },
    { 0x6CEA, "playermech_init_dmg_screens" },
    { 0x6CEB, "playermech_init_vo" },
    { 0x6CEC, "playermech_invalid_gun_callback" },
    { 0x6CED, "playermech_invalid_rocket_callback" },
    { 0x6CEE, "playermech_invalid_swarm_callback" },
    { 0x6CEF, "playermech_invalid_weapon_instance" },
    { 0x6CF0, "playermech_invalid_weapon_watcher" },
    { 0x6CF1, "playermech_is_damage_allowed" },
    { 0x6CF2, "playermech_link_viewmodel_part" },
    { 0x6CF3, "playermech_mech_regen" },
    { 0x6CF4, "playermech_monitor_rocket_recharge" },
    { 0x6CF5, "playermech_monitor_swarm_recharge" },
    { 0x6CF6, "playermech_monitor_update_recharge" },
    { 0x6CF7, "playermech_physics_push" },
    { 0x6CF8, "playermech_physics_push_finale" },
    { 0x6CF9, "playermech_physics_push_off" },
    { 0x6CFA, "playermech_physics_push_on" },
    { 0x6CFB, "playermech_player_hit_fx" },
    { 0x6CFC, "playermech_restore_player_data" },
    { 0x6CFD, "playermech_rocket_targeting_allowed" },
    { 0x6CFE, "playermech_rockets_and_swarm_watcher" },
    { 0x6CFF, "playermech_rockets_wait_rocket" },
    { 0x6D00, "playermech_rockets_wait_swarm" },
    { 0x6D01, "playermech_save_player_data" },
    { 0x6D02, "playermech_start" },
    { 0x6D03, "playermech_state_manager" },
    { 0x6D04, "playermech_threat_paint" },
    { 0x6D05, "playermech_threat_paint_loop" },
    { 0x6D06, "playermech_threat_paint_ping_loop" },
    { 0x6D07, "playermech_ui_chaingun_feedback" },
    { 0x6D08, "playermech_ui_rocket_feedback" },
    { 0x6D09, "playermech_ui_state_enter" },
    { 0x6D0A, "playermech_ui_state_leave" },
    { 0x6D0B, "playermech_ui_state_reset" },
    { 0x6D0C, "playermech_ui_swarm_feedback" },
    { 0x6D0D, "playermech_ui_turn_off_threat_count" },
    { 0x6D0E, "playermech_ui_update_lui" },
    { 0x6D0F, "playermech_ui_update_threat_compass_values" },
    { 0x6D10, "playermech_ui_weapon_feedback" },
    { 0x6D11, "playermech_watch_emp_grenade" },
    { 0x6D12, "playermodelforweapon" },
    { 0x6D13, "playermoduleshaverippedturret" },
    { 0x6D14, "playermonitordeath" },
    { 0x6D15, "playermonitorfordronedelivery" },
    { 0x6D16, "playermonitormarkedtarget" },
    { 0x6D17, "playermonitorrocketturretfire" },
    { 0x6D18, "playermonitorwarbirdpossession" },
    { 0x6D19, "playermonitorweaponswitch" },
    { 0x6D1A, "playermovetruck" },
    { 0x6D1B, "playermovingdrone" },
    { 0x6D1C, "playernameids" },
    { 0x6D1D, "playernode" },
    { 0x6D1E, "playeronspawnprompt" },
    { 0x6D1F, "playerpainbreathingsound" },
    { 0x6D20, "playerpiggyback" },
    { 0x6D21, "playerplayattachmentdialog" },
    { 0x6D22, "playerplayinvalidpositioneffect" },
    { 0x6D23, "playerplaytargetfx" },
    { 0x6D24, "playerplaythrustersound" },
    { 0x6D25, "playerplayvaporizefx" },
    { 0x6D26, "playerprekilled" },
    { 0x6D27, "playerprocesstaggedassist" },
    { 0x6D28, "playerquickkill" },
    { 0x6D29, "playerrecordrippableammo" },
    { 0x6D2A, "playerremotecoopturret" },
    { 0x6D2B, "playerremotekillstreakhidehud" },
    { 0x6D2C, "playerremotekillstreakshowhud" },
    { 0x6D2D, "playerremovenotifycommands" },
    { 0x6D2E, "playerreset" },
    { 0x6D2F, "playerresetaftercoopstreak" },
    { 0x6D30, "playerresetaftercoopstreakinternal" },
    { 0x6D31, "playerresetafterwarbird" },
    { 0x6D32, "playerresetomnvars" },
    { 0x6D33, "playerresetospomnvars" },
    { 0x6D34, "playerresetwarbirdomnvars" },
    { 0x6D35, "playerrestoreangles" },
    { 0x6D36, "playerrocketsandswarmwatcher" },
    { 0x6D37, "playerrubberbandmovespeedscale" },
    { 0x6D38, "players_ready" },
    { 0x6D39, "players_waiting_to_join" },
    { 0x6D3A, "players_within_distance" },
    { 0x6D3B, "playersafehouseanimations" },
    { 0x6D3C, "playersaveangles" },
    { 0x6D3D, "playerscore" },
    { 0x6D3E, "playerscores" },
    { 0x6D3F, "playerscrambleanimations" },
    { 0x6D40, "playerscramblefinale" },
    { 0x6D41, "playerseeker" },
    { 0x6D42, "playerseesme" },
    { 0x6D43, "playerseesmetime" },
    { 0x6D44, "playersetavailableweaponshud" },
    { 0x6D45, "playersetcamera" },
    { 0x6D46, "playersethudempscrambled" },
    { 0x6D47, "playersethudempscrambledoff" },
    { 0x6D48, "playersetjuggexomodel" },
    { 0x6D49, "playersetupcoopstreak" },
    { 0x6D4A, "playersetupcoopstreakinternal" },
    { 0x6D4B, "playersetupjuggernautexo" },
    { 0x6D4C, "playersetuprecordedturrethead" },
    { 0x6D4D, "playersetupstreakprompt" },
    { 0x6D4E, "playersetupturretenergybar" },
    { 0x6D4F, "playersetupuavpaintoutline" },
    { 0x6D50, "playershouldshowhud" },
    { 0x6D51, "playershowfullstatic" },
    { 0x6D52, "playershowjuggernauthud" },
    { 0x6D53, "playershowstreakstaticfordamage" },
    { 0x6D54, "playershowstreakstaticforrange" },
    { 0x6D55, "playershowturretoverlay" },
    { 0x6D56, "playerslookingforsafespawn" },
    { 0x6D57, "playersnowfootsteps" },
    { 0x6D58, "playersnowfootstepscrash" },
    { 0x6D59, "playerspawned" },
    { 0x6D5A, "playerspawnpos" },
    { 0x6D5B, "playerspeed" },
    { 0x6D5C, "playerspread" },
    { 0x6D5D, "playerspeedscale" },
    { 0x6D5E, "playerstartoutofboundsstatic" },
    { 0x6D5F, "playerstartpromptforstreaksupport" },
    { 0x6D60, "playerstartusingassaultvehicle" },
    { 0x6D61, "playerstartweaponname" },
    { 0x6D62, "playerstatictonormal" },
    { 0x6D63, "playerstatus" },
    { 0x6D64, "playerstealthkill" },
    { 0x6D65, "playerstoppromptforstreaksupport" },
    { 0x6D66, "playerswitchtobigturret" },
    { 0x6D67, "playerswitchtomediumturret" },
    { 0x6D68, "playerswitchtorocketturret" },
    { 0x6D69, "playerswitchtoturret" },
    { 0x6D6A, "playertakestreaksupportinput" },
    { 0x6D6B, "playertargets" },
    { 0x6D6C, "playerteam" },
    { 0x6D6D, "playertouchingtrigger" },
    { 0x6D6E, "playertouchtriggerthink" },
    { 0x6D6F, "playertrackturretammo" },
    { 0x6D70, "playertriggered" },
    { 0x6D71, "playertweaks" },
    { 0x6D72, "playerunderwater" },
    { 0x6D73, "playerunlimitedammothread" },
    { 0x6D74, "playerupdateflagstatus" },
    { 0x6D75, "playerupdateflagstatusonjointeam" },
    { 0x6D76, "playervehicle" },
    { 0x6D77, "playerview_checkinterrupted" },
    { 0x6D78, "playerview_endsequence" },
    { 0x6D79, "playerview_knockdownanim" },
    { 0x6D7A, "playerview_knockdownlate" },
    { 0x6D7B, "playerview_playknockdownanim" },
    { 0x6D7C, "playerview_playknockdownanimlimited" },
    { 0x6D7D, "playerview_playmissanim" },
    { 0x6D7E, "playerview_show" },
    { 0x6D7F, "playerview_spawn" },
    { 0x6D80, "playerview_startsequence" },
    { 0x6D81, "playerview_unlinkplayeranddelete" },
    { 0x6D82, "playerwaitreset" },
    { 0x6D83, "playerwaittillgoliathactivated" },
    { 0x6D84, "playerwaittillridekillstreakblack" },
    { 0x6D85, "playerwaittillridekillstreakcomplete" },
    { 0x6D86, "playerwaittillweaponswitchover" },
    { 0x6D87, "playerwasnearby" },
    { 0x6D88, "playerwatch_unresolved_collision" },
    { 0x6D89, "playerwatch_unresolved_collision_count" },
    { 0x6D8A, "playerwatchemp" },
    { 0x6D8B, "playerwatchflagstatus" },
    { 0x6D8C, "playerwatchforearlyexit" },
    { 0x6D8D, "playerwatchnoobtubeuse" },
    { 0x6D8E, "playerwatchrocketuse" },
    { 0x6D8F, "playerwaterclearwait" },
    { 0x6D90, "playerweapon" },
    { 0x6D91, "playerweather" },
    { 0x6D92, "playerwithinfov2d" },
    { 0x6D93, "playerwristmodelanim" },
    { 0x6D94, "playexplodedeathanim" },
    { 0x6D95, "playface_waitfornotify" },
    { 0x6D96, "playface_waitfortime" },
    { 0x6D97, "playfacethread" },
    { 0x6D98, "playfacialanim" },
    { 0x6D99, "playfakecontrail" },
    { 0x6D9A, "playfireeffects" },
    { 0x6D9B, "playflavorburstline" },
    { 0x6D9C, "playfootstep" },
    { 0x6D9D, "playfootstepeffect" },
    { 0x6D9E, "playfootstepeffectsmall" },
    { 0x6D9F, "playfootstepoverride" },
    { 0x6DA0, "playfx_fordrop" },
    { 0x6DA1, "playfxent" },
    { 0x6DA2, "playfxontag_functionhack" },
    { 0x6DA3, "playfxontag_safe" },
    { 0x6DA4, "playfxturretmoveup" },
    { 0x6DA5, "playgrowl" },
    { 0x6DA6, "playheatfx" },
    { 0x6DA7, "playidle" },
    { 0x6DA8, "playidleanim" },
    { 0x6DA9, "playidleanimation" },
    { 0x6DAA, "playidleface" },
    { 0x6DAB, "playidlesound" },
    { 0x6DAC, "playinformevent" },
    { 0x6DAD, "playing_hit_reaction" },
    { 0x6DAE, "playing_lab_cinematic" },
    { 0x6DAF, "playing_new_enemy_reaction_anim" },
    { 0x6DB0, "playing_pain_sound" },
    { 0x6DB1, "playing_presets" },
    { 0x6DB2, "playing_view_model_cloak_toggle_anim" },
    { 0x6DB3, "playingdeathanim" },
    { 0x6DB4, "playingloopfiresounds" },
    { 0x6DB5, "playingmovementanim" },
    { 0x6DB6, "playinteriorsound" },
    { 0x6DB7, "playjetfx" },
    { 0x6DB8, "playlasercontainmentstart" },
    { 0x6DB9, "playlasercontainmentswap" },
    { 0x6DBA, "playlasercoreevent" },
    { 0x6DBB, "playlaserendingeffect" },
    { 0x6DBC, "playlingereffects" },
    { 0x6DBD, "playlocalsoundwrapper" },
    { 0x6DBE, "playlookanimation" },
    { 0x6DBF, "playloopedfxontag" },
    { 0x6DC0, "playloopedfxontag_originupdate" },
    { 0x6DC1, "playloopingsoundonorigin" },
    { 0x6DC2, "playloopsoundtoplayers" },
    { 0x6DC3, "playmoveanim" },
    { 0x6DC4, "playmoveanimknob" },
    { 0x6DC5, "playmovementsparks" },
    { 0x6DC6, "playmovesound" },
    { 0x6DC7, "playoceanfoam" },
    { 0x6DC8, "playorangegoo" },
    { 0x6DC9, "playorderevent" },
    { 0x6DCA, "playorstopfx_fordrop" },
    { 0x6DCB, "playpainanim" },
    { 0x6DCC, "playpanting" },
    { 0x6DCD, "playphrase" },
    { 0x6DCE, "playpropanim" },
    { 0x6DCF, "playreactionevent" },
    { 0x6DD0, "playresponseevent" },
    { 0x6DD1, "playrocketreloadsound" },
    { 0x6DD2, "playrocketswarmreloadsound" },
    { 0x6DD3, "playsmokefx" },
    { 0x6DD4, "playsound_and_light" },
    { 0x6DD5, "playsound_float" },
    { 0x6DD6, "playsound_loop_on_ent" },
    { 0x6DD7, "playsound_victim" },
    { 0x6DD8, "playsoundatpoint" },
    { 0x6DD9, "playsoundinspace" },
    { 0x6DDA, "playsoundonplayers" },
    { 0x6DDB, "playsoundtoallplayers" },
    { 0x6DDC, "playspace_explosion" },
    { 0x6DDD, "playspace_org" },
    { 0x6DDE, "playspinnerfx" },
    { 0x6DDF, "playtankexhaust" },
    { 0x6DE0, "playthreatevent" },
    { 0x6DE1, "playthrustereffects" },
    { 0x6DE2, "playtickingsound" },
    { 0x6DE3, "playtrailfx" },
    { 0x6DE4, "playtransitionanimation" },
    { 0x6DE5, "playtransitionanimationfunc" },
    { 0x6DE6, "playtransitionanimationthread_withoutwaitsetstates" },
    { 0x6DE7, "playtransitionstandwalk" },
    { 0x6DE8, "playwarbirdenginefx" },
    { 0x6DE9, "playwarmupeffects" },
    { 0x6DEA, "playwarmupsounds" },
    { 0x6DEB, "playwaves" },
    { 0x6DEC, "plodding_footsteps" },
    { 0x6DED, "plodding_footsteps_ends" },
    { 0x6DEE, "plot_points" },
    { 0x6DEF, "plr_dragged_away" },
    { 0x6DF0, "plr_exo_door_kick" },
    { 0x6DF1, "plr_fall_over" },
    { 0x6DF2, "pluggable_move_loop_override_function" },
    { 0x6DF3, "plugins" },
    { 0x6DF4, "plyr_forest_takedown_gun_wrestle" },
    { 0x6DF5, "plyr_forest_takedown_punch" },
    { 0x6DF6, "plyr_forest_takedown_tree_slam" },
    { 0x6DF7, "pm_clipvelocity" },
    { 0x6DF8, "pm_permuterestrictiveclipplanes" },
    { 0x6DF9, "pm_projectvelocity" },
    { 0x6DFA, "pm_rescue_foley" },
    { 0x6DFB, "pm_slidemove" },
    { 0x6DFC, "pm_stepslidemove" },
    { 0x6DFD, "pmap_under_construction" },
    { 0x6DFE, "pmc_alljuggernauts" },
    { 0x6DFF, "pmc_match" },
    { 0x6E00, "pod_cormack_custom_mats_landing_on" },
    { 0x6E01, "pod_cormack_custom_mats_on" },
    { 0x6E02, "pod_door_button_prompt" },
    { 0x6E03, "pod_enemies" },
    { 0x6E04, "pod_engine_fx" },
    { 0x6E05, "pod_flyin" },
    { 0x6E06, "pod_fx_create" },
    { 0x6E07, "pod_get_up" },
    { 0x6E08, "pod_get_up_corrected" },
    { 0x6E09, "pod_goes_flying" },
    { 0x6E0A, "pod_intro_mix" },
    { 0x6E0B, "pod_light_intro" },
    { 0x6E0C, "pod_light_intro_pre" },
    { 0x6E0D, "pod_light_strobe" },
    { 0x6E0E, "pod_phase1a_start" },
    { 0x6E0F, "pod_rumble" },
    { 0x6E10, "pod_screen" },
    { 0x6E11, "pod_scripted_lights" },
    { 0x6E12, "pod_shake_play" },
    { 0x6E13, "podrocket" },
    { 0x6E14, "podsetuptrophyfx" },
    { 0x6E15, "podsquad" },
    { 0x6E16, "point" },
    { 0x6E17, "point_in_angle_of_crosshairs" },
    { 0x6E18, "point_in_fov" },
    { 0x6E19, "point_inside" },
    { 0x6E1A, "point_is_in_screen_circle" },
    { 0x6E1B, "point_source_dambs" },
    { 0x6E1C, "point_tag" },
    { 0x6E1D, "point_tag2" },
    { 0x6E1E, "point_to_ambush" },
    { 0x6E1F, "point1" },
    { 0x6E20, "point2" },
    { 0x6E21, "pointblankevent" },
    { 0x6E22, "pointevents" },
    { 0x6E23, "pointinfov" },
    { 0x6E24, "pointisinairstrikearea" },
    { 0x6E25, "pointnotifylua" },
    { 0x6E26, "poison" },
    { 0x6E27, "police_drone_play_all_fx" },
    { 0x6E28, "police_drone_play_anim" },
    { 0x6E29, "police_drone_play_fx" },
    { 0x6E2A, "poll_for_found" },
    { 0x6E2B, "pollallowedstancesthread" },
    { 0x6E2C, "pool" },
    { 0x6E2D, "pool_building_enemy_think" },
    { 0x6E2E, "pool_building_walkway_01_enemy_think" },
    { 0x6E2F, "pool_civ_01_cower" },
    { 0x6E30, "pool_civ_01_cower_setup" },
    { 0x6E31, "pool_civ_wounded_woman" },
    { 0x6E32, "pool_female_wounded" },
    { 0x6E33, "pool_male_01_cower" },
    { 0x6E34, "pool_walla_scream" },
    { 0x6E35, "poolalliesadvance" },
    { 0x6E36, "poolhouse_drones" },
    { 0x6E37, "poolhouse_enemies" },
    { 0x6E38, "poolhouse_prop_cleanup" },
    { 0x6E39, "poolhouse_spawner_setup" },
    { 0x6E3A, "poolindex" },
    { 0x6E3B, "poolkillanimations" },
    { 0x6E3C, "poolyard_guard_wander_setup" },
    { 0x6E3D, "poolyard_guard_wander_watch_for_alert" },
    { 0x6E3E, "pop_cormack_into_exfil_anim_to_match_player" },
    { 0x6E3F, "pop_flares_when_fired_on" },
    { 0x6E40, "pop_up" },
    { 0x6E41, "pop_up_and_hide_speed" },
    { 0x6E42, "popinpopout" },
    { 0x6E43, "populate_ai_civilians" },
    { 0x6E44, "populate_drone_civilians" },
    { 0x6E45, "populatedronecivilians" },
    { 0x6E46, "popupandshoot" },
    { 0x6E47, "portable_mg_behavior" },
    { 0x6E48, "portable_mg_gun_tag" },
    { 0x6E49, "portable_mg_spot" },
    { 0x6E4A, "portable_radar" },
    { 0x6E4B, "portableradararray" },
    { 0x6E4C, "portableradarbeepsounds" },
    { 0x6E4D, "portableradardamagelistener" },
    { 0x6E4E, "portableradarproximitytracker" },
    { 0x6E4F, "portableradarsetup" },
    { 0x6E50, "portableradaruselistener" },
    { 0x6E51, "portableradarwatchowner" },
    { 0x6E52, "portal_group_off" },
    { 0x6E53, "portal_group_on" },
    { 0x6E54, "pos" },
    { 0x6E55, "pos_angle" },
    { 0x6E56, "pos_array" },
    { 0x6E57, "pose" },
    { 0x6E58, "position_ally_for_bomb_plant" },
    { 0x6E59, "position_elevators" },
    { 0x6E5A, "position_error" },
    { 0x6E5B, "position_for_movement" },
    { 0x6E5C, "position_in_circle" },
    { 0x6E5D, "position_in_spear" },
    { 0x6E5E, "position_smoothing" },
    { 0x6E5F, "positionptm" },
    { 0x6E60, "positivewrap" },
    { 0x6E61, "possesswarbird" },
    { 0x6E62, "possible" },
    { 0x6E63, "possible_targets" },
    { 0x6E64, "possiblethreatcallouts" },
    { 0x6E65, "post" },
    { 0x6E66, "post_car_ride_cormack" },
    { 0x6E67, "post_car_ride_player" },
    { 0x6E68, "post_collapse_vfx_on_crash_site" },
    { 0x6E69, "post_credits_still_image" },
    { 0x6E6A, "post_entity_creation_function" },
    { 0x6E6B, "post_event_geo" },
    { 0x6E6C, "post_event_hp_zones" },
    { 0x6E6D, "post_event_nodes" },
    { 0x6E6E, "post_event_pathing_blockers" },
    { 0x6E6F, "post_explosion_alarms" },
    { 0x6E70, "post_fire_function" },
    { 0x6E71, "post_h_breach_ajani_start" },
    { 0x6E72, "post_h_breach_burke_start" },
    { 0x6E73, "post_h_breach_joker_start" },
    { 0x6E74, "post_intro_loop_anim" },
    { 0x6E75, "post_intro_loop_anim_vm" },
    { 0x6E76, "post_load" },
    { 0x6E77, "post_load_funcs" },
    { 0x6E78, "post_load_precache" },
    { 0x6E79, "post_main_loop_anim" },
    { 0x6E7A, "post_main_loop_anim_vm" },
    { 0x6E7B, "post_middle_takedown_highway_path_player_side" },
    { 0x6E7C, "post_middle_takedown_traffic_done" },
    { 0x6E7D, "post_pod_intro_stuff" },
    { 0x6E7E, "post_reactor_alarm" },
    { 0x6E7F, "post_refuel" },
    { 0x6E80, "post_tower_axis_logic" },
    { 0x6E81, "post_tower_inits_precache" },
    { 0x6E82, "post_win_camshake" },
    { 0x6E83, "post_win_disable_rumbles" },
    { 0x6E84, "postdeathkillevent" },
    { 0x6E85, "postdna_mech_attack" },
    { 0x6E86, "postgamenotifies" },
    { 0x6E87, "postgamepromotion" },
    { 0x6E88, "postpainfunc" },
    { 0x6E89, "postroundtime" },
    { 0x6E8A, "postscriptfunc" },
    { 0x6E8B, "postspawn_rpg_vehicle" },
    { 0x6E8C, "potentialscantargets" },
    { 0x6E8D, "potentialtarget" },
    { 0x6E8E, "potentialtargetanimations" },
    { 0x6E8F, "pov_mode" },
    { 0x6E90, "power_outage_audio" },
    { 0x6E91, "practiceloadout" },
    { 0x6E92, "practiceround" },
    { 0x6E93, "practiceroundassistevent" },
    { 0x6E94, "practiceroundclasstablename" },
    { 0x6E95, "practiceroundcostumetablename" },
    { 0x6E96, "practicerounddialogplayed" },
    { 0x6E97, "practicerounddialogvalid" },
    { 0x6E98, "practiceroundgame" },
    { 0x6E99, "practiceroundkillevent" },
    { 0x6E9A, "pre_bomb_plant_lighting" },
    { 0x6E9B, "pre_bridge_collapse_helo_idle" },
    { 0x6E9C, "pre_bridge_collapse_scene" },
    { 0x6E9D, "pre_event_hp_zones" },
    { 0x6E9E, "pre_event_nodes" },
    { 0x6E9F, "pre_event_pathing_blockers" },
    { 0x6EA0, "pre_fire_function" },
    { 0x6EA1, "pre_guesthouse_vo" },
    { 0x6EA2, "pre_h_breach_ajani_start" },
    { 0x6EA3, "pre_h_breach_burke_start" },
    { 0x6EA4, "pre_h_breach_joker_start" },
    { 0x6EA5, "pre_hack_security_check" },
    { 0x6EA6, "pre_hangar_hall_explosion" },
    { 0x6EA7, "pre_load" },
    { 0x6EA8, "pre_lobby_framedelay" },
    { 0x6EA9, "pre_lobby_update" },
    { 0x6EAA, "pre_reactor_alarms" },
    { 0x6EAB, "pre_spotted_func" },
    { 0x6EAC, "pre_unload" },
    { 0x6EAD, "pre_unload_idle" },
    { 0x6EAE, "prebreachcurrentweapon" },
    { 0x6EAF, "precache_big_cave" },
    { 0x6EB0, "precache_boost_fx_npc" },
    { 0x6EB1, "precache_boost_fx_player" },
    { 0x6EB2, "precache_cave_entry" },
    { 0x6EB3, "precache_cave_hallway" },
    { 0x6EB4, "precache_code" },
    { 0x6EB5, "precache_combat_cave" },
    { 0x6EB6, "precache_crash_site" },
    { 0x6EB7, "precache_destructible" },
    { 0x6EB8, "precache_destructibles" },
    { 0x6EB9, "precache_exo_temperature" },
    { 0x6EBA, "precache_for_hovertank" },
    { 0x6EBB, "precache_fx" },
    { 0x6EBC, "precache_ice_bridge" },
    { 0x6EBD, "precache_icons" },
    { 0x6EBE, "precache_lake" },
    { 0x6EBF, "precache_lake_cinema" },
    { 0x6EC0, "precache_lui_event_strings" },
    { 0x6EC1, "precache_lui_hovertank_screens" },
    { 0x6EC2, "precache_main" },
    { 0x6EC3, "precache_microwave_anims" },
    { 0x6EC4, "precache_microwave_grenade_fx" },
    { 0x6EC5, "precache_narrow_cave" },
    { 0x6EC6, "precache_overlook" },
    { 0x6EC7, "precache_player_land_assist" },
    { 0x6EC8, "precache_presets" },
    { 0x6EC9, "precache_scanner_turret" },
    { 0x6ECA, "precache_script" },
    { 0x6ECB, "precache_script_models" },
    { 0x6ECC, "precache_scripts" },
    { 0x6ECD, "precache_skyjack" },
    { 0x6ECE, "precache_stuff" },
    { 0x6ECF, "precache_var_grenade_fx" },
    { 0x6ED0, "precache_vtol_takedown" },
    { 0x6ED1, "precacheanims" },
    { 0x6ED2, "precacheassets" },
    { 0x6ED3, "precacheassets_and_initflags" },
    { 0x6ED4, "precachecivilian" },
    { 0x6ED5, "precacheciviliananims" },
    { 0x6ED6, "precachedooranimations" },
    { 0x6ED7, "precacheflags" },
    { 0x6ED8, "precachefx" },
    { 0x6ED9, "precacheharmonicbreach" },
    { 0x6EDA, "precacheharmonicbreachanimations" },
    { 0x6EDB, "precacheharmonicbreachfx" },
    { 0x6EDC, "precacheharmonicbreachitems" },
    { 0x6EDD, "precacheharmonicbreachplayerrig" },
    { 0x6EDE, "precachemodelarray" },
    { 0x6EDF, "precacheorbital" },
    { 0x6EE0, "precachepropmodels" },
    { 0x6EE1, "precachescriptmodelanimations" },
    { 0x6EE2, "precachescriptmodelanims" },
    { 0x6EE3, "precachesecuritycamera" },
    { 0x6EE4, "precachesetup" },
    { 0x6EE5, "precachevehicleanimations" },
    { 0x6EE6, "precisepositioning" },
    { 0x6EE7, "predamageshieldignoreme" },
    { 0x6EE8, "preending_confculldist" },
    { 0x6EE9, "preferalliesbydistance" },
    { 0x6EEA, "preferbyteambase" },
    { 0x6EEB, "preferdompoints" },
    { 0x6EEC, "preferhardpointpoints" },
    { 0x6EED, "preferplayeranchors" },
    { 0x6EEE, "preferred_crash_location" },
    { 0x6EEF, "preferred_crash_style" },
    { 0x6EF0, "preferred_death_anim" },
    { 0x6EF1, "preferredoffsetfromowner" },
    { 0x6EF2, "preferredtarget" },
    { 0x6EF3, "prefers_drones" },
    { 0x6EF4, "prefertwarzone" },
    { 0x6EF5, "preflight_vo" },
    { 0x6EF6, "prekillcamnotify" },
    { 0x6EF7, "prekilledfunc" },
    { 0x6EF8, "preload" },
    { 0x6EF9, "preloadweapons" },
    { 0x6EFA, "prelobby_camera_ratio" },
    { 0x6EFB, "prelobby_camerazoff" },
    { 0x6EFC, "prelobby_camerazoff_zoom" },
    { 0x6EFD, "prelobby_fardist" },
    { 0x6EFE, "prelobby_movespeed" },
    { 0x6EFF, "prelobby_neardist" },
    { 0x6F00, "prelobby_ratio_zoom" },
    { 0x6F01, "prelobby_targetzoff" },
    { 0x6F02, "prelobby_targetzoff_zoom" },
    { 0x6F03, "prelobbyzoom" },
    { 0x6F04, "prematch_done_time" },
    { 0x6F05, "prematch_over" },
    { 0x6F06, "prematchperiod" },
    { 0x6F07, "prematchperiodend" },
    { 0x6F08, "prematurecornergrenadedeath" },
    { 0x6F09, "prep_bobbing" },
    { 0x6F0A, "prep_cinematic" },
    { 0x6F0B, "prep_ending" },
    { 0x6F0C, "prep_for_controls" },
    { 0x6F0D, "prep_user_for_drone" },
    { 0x6F0E, "prep_user_for_dronecrate" },
    { 0x6F0F, "prepare_blast_doors" },
    { 0x6F10, "prepare_dialog" },
    { 0x6F11, "prepare_dialogue" },
    { 0x6F12, "prepare_option_for_change" },
    { 0x6F13, "prepare_show_threat" },
    { 0x6F14, "prepare_to_be_shot" },
    { 0x6F15, "prepare_to_teleport" },
    { 0x6F16, "prepareattackplayer" },
    { 0x6F17, "prepared" },
    { 0x6F18, "prepareforclasschange" },
    { 0x6F19, "preplaced_guys_function" },
    { 0x6F1A, "preplacedpostscriptfunc" },
    { 0x6F1B, "prereqs" },
    { 0x6F1C, "preset_cache" },
    { 0x6F1D, "preset_constructors" },
    { 0x6F1E, "preset_name" },
    { 0x6F1F, "presets" },
    { 0x6F20, "president" },
    { 0x6F21, "presseddown" },
    { 0x6F22, "pressedup" },
    { 0x6F23, "presses" },
    { 0x6F24, "pressure_explosion" },
    { 0x6F25, "pressure_explosion_damage" },
    { 0x6F26, "pressure_explosion_lead_up" },
    { 0x6F27, "pressure_explosion_leadup_1" },
    { 0x6F28, "pressure_explosion_leadup_2" },
    { 0x6F29, "pressure_explosion_leadup_3" },
    { 0x6F2A, "pressure_explosion_leadup_4" },
    { 0x6F2B, "pressure_explosion_leadup_5" },
    { 0x6F2C, "pressure_explosion_leadup_6" },
    { 0x6F2D, "pressure_explosion_leadup_7" },
    { 0x6F2E, "pretend_to_be_dead" },
    { 0x6F2F, "pretending_to_be_dead" },
    { 0x6F30, "prev" },
    { 0x6F31, "prev_accel_oneshot_time" },
    { 0x6F32, "prev_attached_path" },
    { 0x6F33, "prev_attachedpath" },
    { 0x6F34, "prev_cue_name" },
    { 0x6F35, "prev_defend_node" },
    { 0x6F36, "prev_dist" },
    { 0x6F37, "prev_dp" },
    { 0x6F38, "prev_dv" },
    { 0x6F39, "prev_dx" },
    { 0x6F3A, "prev_eyel_diff" },
    { 0x6F3B, "prev_eyer_diff" },
    { 0x6F3C, "prev_height" },
    { 0x6F3D, "prev_impacttime" },
    { 0x6F3E, "prev_node" },
    { 0x6F3F, "prev_pitch" },
    { 0x6F40, "prev_rate" },
    { 0x6F41, "prev_role" },
    { 0x6F42, "prev_speed" },
    { 0x6F43, "prev_state" },
    { 0x6F44, "prev_throttle" },
    { 0x6F45, "prev_time" },
    { 0x6F46, "prev_turret_state" },
    { 0x6F47, "prev_velo" },
    { 0x6F48, "prev_yards" },
    { 0x6F49, "prev_zv" },
    { 0x6F4A, "prevattack" },
    { 0x6F4B, "prevenemy" },
    { 0x6F4C, "prevent_friendly_from_shooting_during_stealth" },
    { 0x6F4D, "prevent_look_until_notify" },
    { 0x6F4E, "prevent_tracking_drone_in_water" },
    { 0x6F4F, "preventpainforashorttime" },
    { 0x6F50, "prevframevelocity" },
    { 0x6F51, "previewcostume" },
    { 0x6F52, "previewgearcategory" },
    { 0x6F53, "previewgearid" },
    { 0x6F54, "previous_bump_zvel" },
    { 0x6F55, "previous_button" },
    { 0x6F56, "previous_intensityhdr" },
    { 0x6F57, "previous_position" },
    { 0x6F58, "previous_turret_target" },
    { 0x6F59, "previous_weapon" },
    { 0x6F5A, "previous_yaw" },
    { 0x6F5B, "previousadrenaline" },
    { 0x6F5C, "previousadrenalinesupport" },
    { 0x6F5D, "previousclasstime" },
    { 0x6F5E, "previousgoalnode" },
    { 0x6F5F, "previousintensityhdr" },
    { 0x6F60, "previously_played_fx_joint_l" },
    { 0x6F61, "previously_played_fx_joint_r" },
    { 0x6F62, "previously_played_fx_name_l" },
    { 0x6F63, "previously_played_fx_name_r" },
    { 0x6F64, "previouspitchdelta" },
    { 0x6F65, "previousprimary" },
    { 0x6F66, "previoustrackedplayer" },
    { 0x6F67, "prevleanfracpitch" },
    { 0x6F68, "prevleanfracyaw" },
    { 0x6F69, "prevlethalvarclass" },
    { 0x6F6A, "prevlethalvartype" },
    { 0x6F6B, "prevmovearchetype" },
    { 0x6F6C, "prevmovemode" },
    { 0x6F6D, "prevmovestate" },
    { 0x6F6E, "prevnameplatematerial" },
    { 0x6F6F, "prevownerteam" },
    { 0x6F70, "prevputguninhandtime" },
    { 0x6F71, "prevsnowmobiledeath" },
    { 0x6F72, "prevsnowmobiledeathtime" },
    { 0x6F73, "prevstairsstate" },
    { 0x6F74, "prevstance" },
    { 0x6F75, "prevtacticalvarclass" },
    { 0x6F76, "prevtacticalvartype" },
    { 0x6F77, "prevturnrate" },
    { 0x6F78, "prevzoneindex" },
    { 0x6F79, "price" },
    { 0x6F7A, "price_breach_ent" },
    { 0x6F7B, "price_breach_ent_movesto_player" },
    { 0x6F7C, "price_breach_ent_rotatesto_player" },
    { 0x6F7D, "primary_light" },
    { 0x6F7E, "primary_weapon_array" },
    { 0x6F7F, "primaryattachment" },
    { 0x6F80, "primarygrenade" },
    { 0x6F81, "primaryname" },
    { 0x6F82, "primaryprogressbarfontsize" },
    { 0x6F83, "primaryprogressbarheight" },
    { 0x6F84, "primaryprogressbartextx" },
    { 0x6F85, "primaryprogressbartexty" },
    { 0x6F86, "primaryprogressbarwidth" },
    { 0x6F87, "primaryprogressbarx" },
    { 0x6F88, "primaryprogressbary" },
    { 0x6F89, "primarytarget" },
    { 0x6F8A, "primarytorestore" },
    { 0x6F8B, "primaryturretanim" },
    { 0x6F8C, "primaryweaponent" },
    { 0x6F8D, "primaryweapons" },
    { 0x6F8E, "primaryweaponsammo" },
    { 0x6F8F, "primer" },
    { 0x6F90, "print_altitude" },
    { 0x6F91, "print_csv_asset" },
    { 0x6F92, "print_debug_text_hud" },
    { 0x6F93, "print_debug_text_string_hud" },
    { 0x6F94, "print_distance_on_ent" },
    { 0x6F95, "print_fx_options" },
    { 0x6F96, "print_org" },
    { 0x6F97, "print_roll" },
    { 0x6F98, "print_speed" },
    { 0x6F99, "print_state" },
    { 0x6F9A, "print_throttle" },
    { 0x6F9B, "print_tilt" },
    { 0x6F9C, "print_vehicle_info" },
    { 0x6F9D, "print_yaw" },
    { 0x6F9E, "print3d_over_target" },
    { 0x6F9F, "print3d_time" },
    { 0x6FA0, "print3ddraw" },
    { 0x6FA1, "print3dfortime" },
    { 0x6FA2, "print3drise" },
    { 0x6FA3, "print3dthread" },
    { 0x6FA4, "print3dtime" },
    { 0x6FA5, "print3duntilnotify" },
    { 0x6FA6, "printabovehead" },
    { 0x6FA7, "printandsoundoneveryone" },
    { 0x6FA8, "printandsoundonplayer" },
    { 0x6FA9, "printandsoundonteam" },
    { 0x6FAA, "printboldonteam" },
    { 0x6FAB, "printboldonteamarg" },
    { 0x6FAC, "printdisplaceinfo" },
    { 0x6FAD, "printer" },
    { 0x6FAE, "printerdebugger" },
    { 0x6FAF, "printhealthtoscreen" },
    { 0x6FB0, "printlnscreenandconsole" },
    { 0x6FB1, "printonplayers" },
    { 0x6FB2, "printonteam" },
    { 0x6FB3, "printonteamarg" },
    { 0x6FB4, "printorigin3duntilnotify" },
    { 0x6FB5, "printshoot" },
    { 0x6FB6, "printshootproc" },
    { 0x6FB7, "printyaws" },
    { 0x6FB8, "printyawtoenemy" },
    { 0x6FB9, "prioritize_colorcoded_nodes" },
    { 0x6FBA, "prioritize_watch_nodes_toward_enemies" },
    { 0x6FBB, "priority" },
    { 0x6FBC, "priority_sort" },
    { 0x6FBD, "priority_vols" },
    { 0x6FBE, "prison_turret_active" },
    { 0x6FBF, "prison_turret_alarm_sfx" },
    { 0x6FC0, "prison_turret_burn_sfx" },
    { 0x6FC1, "prison_turret_laser_glow" },
    { 0x6FC2, "prison_turret_warning_light_enemy" },
    { 0x6FC3, "prison_turret_warning_light_friendly" },
    { 0x6FC4, "prison_turrets" },
    { 0x6FC5, "prison_turrets_alive" },
    { 0x6FC6, "prisoncustomkillstreakfunc" },
    { 0x6FC7, "prisoner_6_shadow_and_loop" },
    { 0x6FC8, "prisoner_randomizer" },
    { 0x6FC9, "prisonpaladinoverrides" },
    { 0x6FCA, "prisonturretportableradar" },
    { 0x6FCB, "prisonturrettimer" },
    { 0x6FCC, "prisonturrettrackingoverlay" },
    { 0x6FCD, "privatematch" },
    { 0x6FCE, "pro_cave_get_up" },
    { 0x6FCF, "pro_cave_grabbing_gun" },
    { 0x6FD0, "pro_cave_help_ilona" },
    { 0x6FD1, "pro_cave_helped_up" },
    { 0x6FD2, "pro_cave_ilona_pick_up_gun" },
    { 0x6FD3, "pro_cave_pick_up_gun" },
    { 0x6FD4, "pro_cave_roll_over" },
    { 0x6FD5, "pro_cave_stowing_gun" },
    { 0x6FD6, "pro_hall_follow_dot" },
    { 0x6FD7, "prob_scale" },
    { 0x6FD8, "probability" },
    { 0x6FD9, "probedistancemethod" },
    { 0x6FDA, "process" },
    { 0x6FDB, "process_animation" },
    { 0x6FDC, "process_blend" },
    { 0x6FDD, "process_button_held_and_clicked" },
    { 0x6FDE, "process_buttonmash" },
    { 0x6FDF, "process_buttonmash_finale_scene" },
    { 0x6FE0, "process_buttonmash_handle_fail" },
    { 0x6FE1, "process_buttonmash_handle_hint" },
    { 0x6FE2, "process_color_order_to_ai" },
    { 0x6FE3, "process_cover_node" },
    { 0x6FE4, "process_cover_node_with_last_in_mind_allies" },
    { 0x6FE5, "process_cover_node_with_last_in_mind_axis" },
    { 0x6FE6, "process_deathflags" },
    { 0x6FE7, "process_flight_path" },
    { 0x6FE8, "process_fov" },
    { 0x6FE9, "process_fx_rotater" },
    { 0x6FEA, "process_melee_notetracks" },
    { 0x6FEB, "process_moving_platform_death" },
    { 0x6FEC, "process_path_node" },
    { 0x6FED, "process_reticle_multikill" },
    { 0x6FEE, "process_screen_shake" },
    { 0x6FEF, "process_stab_finale_scene" },
    { 0x6FF0, "process_traffic_leader_pending_due_to_lane_split" },
    { 0x6FF1, "processassistevent" },
    { 0x6FF2, "processattachments" },
    { 0x6FF3, "processchallenge" },
    { 0x6FF4, "processdamagetaken" },
    { 0x6FF5, "processed" },
    { 0x6FF6, "processed_trigger" },
    { 0x6FF7, "processing_emp_death_function" },
    { 0x6FF8, "processingkilledchallenges" },
    { 0x6FF9, "processlobbydata" },
    { 0x6FFA, "processlobbyscoreboards" },
    { 0x6FFB, "processviaitemstatsprogress" },
    { 0x6FFC, "processviaitemstatsstate" },
    { 0x6FFD, "progress" },
    { 0x6FFE, "progress_bar" },
    { 0x6FFF, "progress_dif" },
    { 0x7000, "progress_maps" },
    { 0x7001, "progress_node" },
    { 0x7002, "progress_path_create" },
    { 0x7003, "progress_path_get_my_node_from_org" },
    { 0x7004, "progress_path_move_to_correct_node" },
    { 0x7005, "progress_trigger_callbacks" },
    { 0x7006, "progressioncombat" },
    { 0x7007, "progressionkillhades" },
    { 0x7008, "progressionoutro" },
    { 0x7009, "progressionsupportphase1" },
    { 0x700A, "progressionsupportphase2" },
    { 0x700B, "progressionsupportphase3" },
    { 0x700C, "project_into_plane" },
    { 0x700D, "project_perpendicular" },
    { 0x700E, "projectile" },
    { 0x700F, "projectile_alive" },
    { 0x7010, "projectileexplode" },
    { 0x7011, "projectilesstopped" },
    { 0x7012, "projector" },
    { 0x7013, "promote_nearest_friendly" },
    { 0x7014, "promote_nearest_friendly_with_classname" },
    { 0x7015, "promotionsplashnotify" },
    { 0x7016, "prompt_show_hide" },
    { 0x7017, "promptforstreaksupport" },
    { 0x7018, "promptid" },
    { 0x7019, "prone_anim_override" },
    { 0x701A, "prone_hint_trigger" },
    { 0x701B, "prone_rate_override" },
    { 0x701C, "prone_transitionto" },
    { 0x701D, "prone_visible_from" },
    { 0x701E, "proneaiming" },
    { 0x701F, "pronecombatmainloop" },
    { 0x7020, "pronecrawl" },
    { 0x7021, "pronecrawltoprone" },
    { 0x7022, "pronelegsstraighttree" },
    { 0x7023, "pronereload" },
    { 0x7024, "pronerun_begin" },
    { 0x7025, "pronestill" },
    { 0x7026, "pronestop_begin" },
    { 0x7027, "pronetime" },
    { 0x7028, "proneto" },
    { 0x7029, "pronetocrouch" },
    { 0x702A, "pronetocrouchrun" },
    { 0x702B, "pronetocrouchwalk" },
    { 0x702C, "pronetopronemove" },
    { 0x702D, "pronetopronerun" },
    { 0x702E, "pronetostand" },
    { 0x702F, "pronetostandrun" },
    { 0x7030, "pronetostandwalk" },
    { 0x7031, "pronewalk_begin" },
    { 0x7032, "prop_anims" },
    { 0x7033, "prop_cig_throw" },
    { 0x7034, "prop_delete" },
    { 0x7035, "prop_delete_cig" },
    { 0x7036, "prop_notetrack_exist" },
    { 0x7037, "prop_notetracks" },
    { 0x7038, "prop10_drones" },
    { 0x7039, "prop30" },
    { 0x703A, "propanims" },
    { 0x703B, "propsendinganimations" },
    { 0x703C, "protect_radius" },
    { 0x703D, "protect_watch_allies" },
    { 0x703E, "proxbar" },
    { 0x703F, "proxbartext" },
    { 0x7040, "proxtriggerlos" },
    { 0x7041, "proxtriggerthink" },
    { 0x7042, "proxy" },
    { 0x7043, "proxy_alarm_on" },
    { 0x7044, "prv_cac" },
    { 0x7045, "prv_cac_weapon" },
    { 0x7046, "prv_vl_cao_focus" },
    { 0x7047, "ps_item" },
    { 0x7048, "pull_fence_dust" },
    { 0x7049, "pulse" },
    { 0x704A, "pulse_button_timeout" },
    { 0x704B, "pulse_compass_text" },
    { 0x704C, "pulse_fx" },
    { 0x704D, "pulse_presets" },
    { 0x704E, "pulse_think" },
    { 0x704F, "pulseorbitalsupportreloadtext" },
    { 0x7050, "punch_door" },
    { 0x7051, "punish_view_level" },
    { 0x7052, "punishment" },
    { 0x7053, "punishment_anim" },
    { 0x7054, "punishment_check" },
    { 0x7055, "punishment_level" },
    { 0x7056, "punishment_push" },
    { 0x7057, "punishment_recovery" },
    { 0x7058, "pursue_player" },
    { 0x7059, "push_dude_into_shelves" },
    { 0x705A, "push_item_on_que" },
    { 0x705B, "push_right_after_flag" },
    { 0x705C, "pushmode" },
    { 0x705D, "pushpoint" },
    { 0x705E, "put_bridge_in_proper_place" },
    { 0x705F, "put_cardoor_on_will" },
    { 0x7060, "put_roadsurface_in_proper_place" },
    { 0x7061, "put_toy_in_volume" },
    { 0x7062, "putgunaway" },
    { 0x7063, "putgunbackinhandonkillanimscript" },
    { 0x7064, "putguninhand" },
    { 0x7065, "putweaponbackinrighthand" },
    { 0x7066, "pv_maxlrgvelocity" },
    { 0x7067, "pv_maxmedvelocity" },
    { 0x7068, "pv_maxsmlvelocity" },
    { 0x7069, "pv_maxvelocity" },
    { 0x706A, "pv_minvelocitythreshold" },
    { 0x706B, "pv_numvelocityranges" },
    { 0x706C, "pyramid_death_report" },
    { 0x706D, "pyramid_spawn" },
    { 0x706E, "pyramid_spawner_reports_death" },
    { 0x706F, "q" },
    { 0x7070, "qafinished" },
    { 0x7071, "qsetgoalpos" },
    { 0x7072, "qte_fail_off" },
    { 0x7073, "qte_grab_hold_off" },
    { 0x7074, "qte_middle_dodge_off" },
    { 0x7075, "qte_middle_jump_off" },
    { 0x7076, "qte_middle_pull_kva_off" },
    { 0x7077, "qte_middle_pull_windshield_off" },
    { 0x7078, "qte_middle_shoot_off" },
    { 0x7079, "qte_pry_open_off" },
    { 0x707A, "qte_shoot_kva_off" },
    { 0x707B, "qte_success_off" },
    { 0x707C, "qte_swim_off" },
    { 0x707D, "quad_enable" },
    { 0x707E, "quadrant_display" },
    { 0x707F, "quadrantanimweights" },
    { 0x7080, "qualityspotshadow" },
    { 0x7081, "quarter_up_position" },
    { 0x7082, "queen" },
    { 0x7083, "queen_change_path" },
    { 0x7084, "queen_count" },
    { 0x7085, "queen_curl" },
    { 0x7086, "queen_data_accel" },
    { 0x7087, "queen_data_decel" },
    { 0x7088, "queen_data_desired_speed" },
    { 0x7089, "queen_data_follow_radii" },
    { 0x708A, "queen_deadzone" },
    { 0x708B, "queen_drone_fly" },
    { 0x708C, "queen_drone_form_hemisphere" },
    { 0x708D, "queen_drone_gopath" },
    { 0x708E, "queen_factor" },
    { 0x708F, "queen_follow_anim" },
    { 0x7090, "queen_relative_speed" },
    { 0x7091, "querymemberanimstate" },
    { 0x7092, "querymemberstate" },
    { 0x7093, "queueadd" },
    { 0x7094, "queueanim" },
    { 0x7095, "queuecreate" },
    { 0x7096, "queued_anim_threads" },
    { 0x7097, "queueremovefirst" },
    { 0x7098, "queues" },
    { 0x7099, "quick_cursor" },
    { 0x709A, "quick_death" },
    { 0x709B, "quick_pulse" },
    { 0x709C, "quick_transition_flash" },
    { 0x709D, "quickcommands" },
    { 0x709E, "quickgunlevelevent" },
    { 0x709F, "quickmessagetoall" },
    { 0x70A0, "quickresponses" },
    { 0x70A1, "quicksort" },
    { 0x70A2, "quicksort_compare" },
    { 0x70A3, "quicksort_flag_compare" },
    { 0x70A4, "quicksortmid" },
    { 0x70A5, "quickstatements" },
    { 0x70A6, "r" },
    { 0x70A7, "r_hudoutlineenable" },
    { 0x70A8, "r_hudoutlinehaloblurradius" },
    { 0x70A9, "r_hudoutlinehalolumscale" },
    { 0x70AA, "r_hudoutlinepostmode" },
    { 0x70AB, "radar_dish_rotate" },
    { 0x70AC, "radarmover" },
    { 0x70AD, "radial_angle_to_vector" },
    { 0x70AE, "radial_button_current_group" },
    { 0x70AF, "radial_button_definitions" },
    { 0x70B0, "radial_button_group" },
    { 0x70B1, "radial_button_group_info" },
    { 0x70B2, "radial_button_previous_group" },
    { 0x70B3, "radial_init" },
    { 0x70B4, "radiant_pos" },
    { 0x70B5, "radiation_totalpercent" },
    { 0x70B6, "radii" },
    { 0x70B7, "radio_add" },
    { 0x70B8, "radio_chatter" },
    { 0x70B9, "radio_dialog_add_and_go" },
    { 0x70BA, "radio_dialogue" },
    { 0x70BB, "radio_dialogue_clear_stack" },
    { 0x70BC, "radio_dialogue_interupt" },
    { 0x70BD, "radio_dialogue_nag_loop" },
    { 0x70BE, "radio_dialogue_overlap" },
    { 0x70BF, "radio_dialogue_overlap_stop" },
    { 0x70C0, "radio_dialogue_play" },
    { 0x70C1, "radio_dialogue_queue" },
    { 0x70C2, "radio_dialogue_queue_global" },
    { 0x70C3, "radio_dialogue_queue_single" },
    { 0x70C4, "radio_dialogue_remove_from_stack" },
    { 0x70C5, "radio_dialogue_safe" },
    { 0x70C6, "radio_dialogue_stop" },
    { 0x70C7, "radio_queue_thread" },
    { 0x70C8, "radio_run_guy" },
    { 0x70C9, "radio_try_squelch_out" },
    { 0x70CA, "radio_walkby_guy_vo" },
    { 0x70CB, "radiometricunithdr" },
    { 0x70CC, "radiometricunitshdr" },
    { 0x70CD, "radiosity" },
    { 0x70CE, "radiosityhdr" },
    { 0x70CF, "radiosityscale" },
    { 0x70D0, "radiosityscale_ng" },
    { 0x70D1, "radiosityscalehdr" },
    { 0x70D2, "radius_pos" },
    { 0x70D3, "radiusartilleryshellshock" },
    { 0x70D4, "radiussq" },
    { 0x70D5, "ragdoll_corpses" },
    { 0x70D6, "ragdoll_directionscale" },
    { 0x70D7, "ragdoll_fall_anim" },
    { 0x70D8, "ragdoll_getout_death" },
    { 0x70D9, "ragdoll_immediate" },
    { 0x70DA, "ragdoll_start_vel" },
    { 0x70DB, "ragdolldeath" },
    { 0x70DC, "ragdollonfirefx" },
    { 0x70DD, "ragdolltime" },
    { 0x70DE, "rail_gun_done" },
    { 0x70DF, "rail_gun_start" },
    { 0x70E0, "rail_gun_warbird_damage_function" },
    { 0x70E1, "railgun_ambient_air" },
    { 0x70E2, "railgun_cargo_ship_missiles" },
    { 0x70E3, "railgun_charge" },
    { 0x70E4, "railgun_damage_timer" },
    { 0x70E5, "railgun_enemies" },
    { 0x70E6, "railgun_hud_update" },
    { 0x70E7, "railgun_minigun_1" },
    { 0x70E8, "railgun_minigun_fire" },
    { 0x70E9, "railgun_missile_impact" },
    { 0x70EA, "railgun_ready" },
    { 0x70EB, "railgun_track_damage" },
    { 0x70EC, "railgun_track_damage_static" },
    { 0x70ED, "railgun_warbird_think" },
    { 0x70EE, "railing_dangerzone_think" },
    { 0x70EF, "rain" },
    { 0x70F0, "rain_attach_player_drizzle" },
    { 0x70F1, "rain_attach_player_heavy" },
    { 0x70F2, "rain_attach_player_heavy_speedy" },
    { 0x70F3, "rain_attach_player_medium" },
    { 0x70F4, "rain_elevator_fx" },
    { 0x70F5, "raineffectchange" },
    { 0x70F6, "rainhard" },
    { 0x70F7, "raininit" },
    { 0x70F8, "rainlevel" },
    { 0x70F9, "rainlevelrandomwait" },
    { 0x70FA, "rainlevelwait" },
    { 0x70FB, "rainlight" },
    { 0x70FC, "rainmedium" },
    { 0x70FD, "rainnone" },
    { 0x70FE, "raise_blast_doors" },
    { 0x70FF, "raise_shield" },
    { 0x7100, "rake_with_bullets" },
    { 0x7101, "rambo" },
    { 0x7102, "ramboaccuracymult" },
    { 0x7103, "ramboaim" },
    { 0x7104, "ramboaiminternal" },
    { 0x7105, "ramboanims" },
    { 0x7106, "rambochance" },
    { 0x7107, "ramp_down_motion_blur" },
    { 0x7108, "ramp_up_motion_blur" },
    { 0x7109, "rand_pos_or_neg" },
    { 0x710A, "rand_second_accel_thresh" },
    { 0x710B, "random" },
    { 0x710C, "random_bloody_death" },
    { 0x710D, "random_damage" },
    { 0x710E, "random_dog_barks" },
    { 0x710F, "random_drag_amount" },
    { 0x7110, "random_dynamic_attachment" },
    { 0x7111, "random_factor" },
    { 0x7112, "random_killer_update" },
    { 0x7113, "random_killspawner" },
    { 0x7114, "random_move_rate_blend" },
    { 0x7115, "random_spawn" },
    { 0x7116, "random_spread" },
    { 0x7117, "random_vector" },
    { 0x7118, "random_weight" },
    { 0x7119, "random_weight_sorted" },
    { 0x711A, "randomaditionaltime" },
    { 0x711B, "randomanimoftwo" },
    { 0x711C, "randomfasteranimspeed" },
    { 0x711D, "randomgrenaderange" },
    { 0x711E, "randomidleanimation" },
    { 0x711F, "randomidleanims" },
    { 0x7120, "randomintrange_limit" },
    { 0x7121, "randominttable" },
    { 0x7122, "randominttablesize" },
    { 0x7123, "randomize_flock_positions" },
    { 0x7124, "randomize_name_list" },
    { 0x7125, "randomize_turret_spread" },
    { 0x7126, "randomizeidleset" },
    { 0x7127, "randomoccurrance" },
    { 0x7128, "randompathstoptime" },
    { 0x7129, "randomspawnscore" },
    { 0x712A, "randomvector" },
    { 0x712B, "randomvectorincone" },
    { 0x712C, "randomvectorrange" },
    { 0x712D, "randomzonespawn" },
    { 0x712E, "range" },
    { 0x712F, "range_name" },
    { 0x7130, "range_slop" },
    { 0x7131, "rangeinmeters" },
    { 0x7132, "ranges" },
    { 0x7133, "rank_for_items" },
    { 0x7134, "rankedmatch" },
    { 0x7135, "rankedmatchupdates" },
    { 0x7136, "rankingenabled" },
    { 0x7137, "ranktable" },
    { 0x7138, "rankupsplashnotify" },
    { 0x7139, "rankxp" },
    { 0x713A, "rappel_animation_rumbles" },
    { 0x713B, "rappel_control_hint" },
    { 0x713C, "rappel_kill_achievement" },
    { 0x713D, "rappel_rumbles" },
    { 0x713E, "rappel_vo_callouts" },
    { 0x713F, "rappeller" },
    { 0x7140, "rateofchange" },
    { 0x7141, "raven_player_can_see_ai" },
    { 0x7142, "raw_weight" },
    { 0x7143, "razor_cormack_hand_on_crate" },
    { 0x7144, "razor_cormack_reaches_crate" },
    { 0x7145, "razor_cormack_stowing_gun" },
    { 0x7146, "razor_crate_move" },
    { 0x7147, "razor_player_hand_off_crate" },
    { 0x7148, "razor_player_hand_on_crate" },
    { 0x7149, "razor_rb_hatch_close" },
    { 0x714A, "razor_rb_lifting_off" },
    { 0x714B, "razor_rb_missile_hit" },
    { 0x714C, "razor_rb_missile_launch" },
    { 0x714D, "razor_surface_override_function" },
    { 0x714E, "razorback" },
    { 0x714F, "razorback_cargo" },
    { 0x7150, "razorback_cargo_player" },
    { 0x7151, "razorback_cormack" },
    { 0x7152, "razorback_dialogue" },
    { 0x7153, "razorback_explosion" },
    { 0x7154, "razorback_fire_start" },
    { 0x7155, "razorback_fire_stop" },
    { 0x7156, "razorback_fly_in" },
    { 0x7157, "razorback_gun_enable" },
    { 0x7158, "razorback_ilana" },
    { 0x7159, "razorback_land" },
    { 0x715A, "razorback_lighting" },
    { 0x715B, "razorback_mech" },
    { 0x715C, "razorback_mech_behavior" },
    { 0x715D, "razorback_mech_missiles" },
    { 0x715E, "razorback_mech_shoot" },
    { 0x715F, "razorback_org" },
    { 0x7160, "razorback_razorback" },
    { 0x7161, "razorback_rumble" },
    { 0x7162, "razorback_spotlight" },
    { 0x7163, "razorback_spotlight_init" },
    { 0x7164, "razorback_trigger_handler" },
    { 0x7165, "rb_blast_marks" },
    { 0x7166, "rb_flee_goal_pick" },
    { 0x7167, "re_enable_combat" },
    { 0x7168, "re_target" },
    { 0x7169, "reach_aborted" },
    { 0x716A, "reach_death_notify" },
    { 0x716B, "reach_goal_pos" },
    { 0x716C, "reach_with_arrivals_begin" },
    { 0x716D, "reach_with_planting" },
    { 0x716E, "reach_with_planting_and_arrivals" },
    { 0x716F, "reach_with_standard_adjustments_begin" },
    { 0x7170, "reach_with_standard_adjustments_end" },
    { 0x7171, "reached_node" },
    { 0x7172, "reachers" },
    { 0x7173, "reachidle" },
    { 0x7174, "reacquire_state" },
    { 0x7175, "reacquire_without_facing" },
    { 0x7176, "reacquirewhennecessary" },
    { 0x7177, "react_anim" },
    { 0x7178, "reactingtobullet" },
    { 0x7179, "reaction" },
    { 0x717A, "reaction_ai" },
    { 0x717B, "reaction_explosions" },
    { 0x717C, "reaction_pickup_event" },
    { 0x717D, "reaction_pickup_player_proximity" },
    { 0x717E, "reaction_pickup_queue_explosion" },
    { 0x717F, "reaction_proc" },
    { 0x7180, "reaction_sleep" },
    { 0x7181, "reaction_sleep_wait_wakeup" },
    { 0x7182, "reaction_sleep_wait_wakeup_dist" },
    { 0x7183, "reaction_wait" },
    { 0x7184, "reactionanim" },
    { 0x7185, "reactioncasualty" },
    { 0x7186, "reactionfriendlyfire" },
    { 0x7187, "reactionscheckloop" },
    { 0x7188, "reactiontakingfire" },
    { 0x7189, "reactiontaunt" },
    { 0x718A, "reactive_fx_ents" },
    { 0x718B, "reactive_fx_thread" },
    { 0x718C, "reactive_sound_ents" },
    { 0x718D, "reactive_thread" },
    { 0x718E, "reactor_alarm" },
    { 0x718F, "reactor_bot_drive_self_start" },
    { 0x7190, "reactor_bot_drive_self_stop" },
    { 0x7191, "reactor_bot_drive_shelf_start" },
    { 0x7192, "reactor_bot_drive_shelf_stop" },
    { 0x7193, "reactor_bot_elevator_open" },
    { 0x7194, "reactor_bot_elevator_start_lp" },
    { 0x7195, "reactor_bot_elevator_stop_lp" },
    { 0x7196, "reactor_bot_final_elevator_start" },
    { 0x7197, "reactor_bot_final_elevator_stop" },
    { 0x7198, "reactor_bot_initial_elevator_start" },
    { 0x7199, "reactor_bot_initial_elevator_stop" },
    { 0x719A, "reactor_bot_shelf_drop" },
    { 0x719B, "reactor_bot_shelf_pickup" },
    { 0x719C, "reactor_bot_turn_self" },
    { 0x719D, "reactor_bot_turn_shelf" },
    { 0x719E, "reactor_catwalk_spawner_trigger_think" },
    { 0x719F, "reactor_entrance_rally" },
    { 0x71A0, "reactor_entrance_rally_anim" },
    { 0x71A1, "reactor_light_rays" },
    { 0x71A2, "reactor_reveal_lighting" },
    { 0x71A3, "reactor_robots_badplace_think" },
    { 0x71A4, "reactor_robots_shelf_think" },
    { 0x71A5, "reactor_room" },
    { 0x71A6, "reactor_room_allies_run_from_crate" },
    { 0x71A7, "reactor_room_catwalk_combat" },
    { 0x71A8, "reactor_room_catwalk_death" },
    { 0x71A9, "reactor_room_combat" },
    { 0x71AA, "reactor_room_combat_mid_checkpoint" },
    { 0x71AB, "reactor_room_combat_seek_player" },
    { 0x71AC, "reactor_room_crane" },
    { 0x71AD, "reactor_room_crane_adjust_housing" },
    { 0x71AE, "reactor_room_crane_grab_crate" },
    { 0x71AF, "reactor_room_crane_light" },
    { 0x71B0, "reactor_room_crane_murderplayer_think" },
    { 0x71B1, "reactor_room_crane_rotate_to_angle" },
    { 0x71B2, "reactor_room_crane_think" },
    { 0x71B3, "reactor_room_crate_think" },
    { 0x71B4, "reactor_room_crate_tracking" },
    { 0x71B5, "reactor_room_drone_cleanup" },
    { 0x71B6, "reactor_room_drones" },
    { 0x71B7, "reactor_room_get_best_crate" },
    { 0x71B8, "reactor_room_link_cables" },
    { 0x71B9, "reactor_room_microwave_grenade_equip" },
    { 0x71BA, "reactor_room_redshirt_cleanup" },
    { 0x71BB, "reactor_room_redshirts" },
    { 0x71BC, "reactor_room_reveal_ally_vo_close_check" },
    { 0x71BD, "reactor_room_reveal_door" },
    { 0x71BE, "reactor_room_reveal_enemies_think" },
    { 0x71BF, "reactor_room_reveal_scene" },
    { 0x71C0, "reactor_room_reveal_scene_ally_think" },
    { 0x71C1, "reactor_room_reveal_scene_approach" },
    { 0x71C2, "reactor_room_reveal_scene_guys_ready" },
    { 0x71C3, "reactor_room_reveal_squibs" },
    { 0x71C4, "reactor_room_robot_emp_death" },
    { 0x71C5, "reactor_room_robot_grid_ally_safeguard" },
    { 0x71C6, "reactor_room_robot_monitor_death" },
    { 0x71C7, "reactor_room_robot_scripted_think" },
    { 0x71C8, "reactor_room_robot_think" },
    { 0x71C9, "reactor_room_robots" },
    { 0x71CA, "reactor_room_robots_lift_adjust_bars" },
    { 0x71CB, "reactor_room_sonic_hint_use_check" },
    { 0x71CC, "reactto" },
    { 0x71CD, "reacttobulletchance" },
    { 0x71CE, "reacttobulletsinterruptcheck" },
    { 0x71CF, "readncolumns" },
    { 0x71D0, "readtriple" },
    { 0x71D1, "ready" },
    { 0x71D2, "ready_for_reveal" },
    { 0x71D3, "ready_knuckles_delete" },
    { 0x71D4, "ready_room_assault_rifle" },
    { 0x71D5, "ready_room_elevator_right" },
    { 0x71D6, "ready_room_gideon" },
    { 0x71D7, "ready_room_player" },
    { 0x71D8, "ready_room_sniper_rifle" },
    { 0x71D9, "ready_room_things" },
    { 0x71DA, "readyanimarray" },
    { 0x71DB, "readyanimweights" },
    { 0x71DC, "readyforatriumbreach" },
    { 0x71DD, "readyplayer" },
    { 0x71DE, "readystand_anims_inited" },
    { 0x71DF, "readytobemanhandled" },
    { 0x71E0, "readytobreach" },
    { 0x71E1, "readytodie" },
    { 0x71E2, "readytomanhandle" },
    { 0x71E3, "readytomeleetarget" },
    { 0x71E4, "readytoreturntocover" },
    { 0x71E5, "real_target" },
    { 0x71E6, "realorigin" },
    { 0x71E7, "realtext" },
    { 0x71E8, "rear_dist" },
    { 0x71E9, "reassign_ctf_team_spawns" },
    { 0x71EA, "rebuild_friendly_icon" },
    { 0x71EB, "rec_bathroom_guy" },
    { 0x71EC, "rec_chair_kva_gets_shot" },
    { 0x71ED, "rec_drive_lookat_trigger_think" },
    { 0x71EE, "rec_drone_scanner" },
    { 0x71EF, "rec_exo_arm_repair_attempt_01_npc" },
    { 0x71F0, "rec_exo_arm_repair_attempt_02_npc" },
    { 0x71F1, "rec_exo_arm_repair_attempt_03_npc" },
    { 0x71F2, "rec_exo_arm_repair_attempt_exit_npc" },
    { 0x71F3, "rec_funeral_21_gun_salute" },
    { 0x71F4, "rec_funeral_part_1_cormack" },
    { 0x71F5, "rec_funeral_part_2_cormack" },
    { 0x71F6, "rec_funeral_part_2_irons" },
    { 0x71F7, "rec_guy_doubledoor_breach_start" },
    { 0x71F8, "rec_jeep_adr_gdn" },
    { 0x71F9, "rec_jeep_ride_pt1" },
    { 0x71FA, "rec_jeep_ride_pt2" },
    { 0x71FB, "rec_jeep_ride_pt3" },
    { 0x71FC, "rec_kva_with_president_gets_shot" },
    { 0x71FD, "rec_littlebird_formation_spawn" },
    { 0x71FE, "rec_mute_breach_slo_mo1" },
    { 0x71FF, "rec_mute01_chair_kva_killed" },
    { 0x7200, "rec_mute01_joker_breach" },
    { 0x7201, "rec_mute01_joker_kick" },
    { 0x7202, "rec_mute01_joker_run" },
    { 0x7203, "rec_mute01_joker_start" },
    { 0x7204, "rec_mute01_joker_turn" },
    { 0x7205, "rec_mute01_kva_hits_wall" },
    { 0x7206, "rec_mute01_kva_kicked" },
    { 0x7207, "rec_mute01_kva_with_gun_killed" },
    { 0x7208, "rec_mute01_potus_free" },
    { 0x7209, "rec_player_drone_end" },
    { 0x720A, "rec_player_drone_start" },
    { 0x720B, "rec_player_exo_breach_start" },
    { 0x720C, "rec_plr_kills_president" },
    { 0x720D, "rec_readyroom_elevator_left_close" },
    { 0x720E, "rec_readyroom_elevator_left_hatch_back" },
    { 0x720F, "rec_readyroom_elevator_left_hatch_front" },
    { 0x7210, "rec_readyroom_elevator_left_open" },
    { 0x7211, "rec_readyroom_elevator_left_open2" },
    { 0x7212, "rec_readyroom_elevator_left_up" },
    { 0x7213, "rec_readyroom_elevator_right_close" },
    { 0x7214, "rec_readyroom_elevator_right_open" },
    { 0x7215, "rec_readyroom_elevator_right_open2" },
    { 0x7216, "rec_readyroom_elevator_right_up" },
    { 0x7217, "rec_readyroom_gideon_pushes_button" },
    { 0x7218, "rec_s1_drones_attack" },
    { 0x7219, "rec_s1_drones_fly_by" },
    { 0x721A, "rec_s1_drones_wait_for_attack" },
    { 0x721B, "rec_s1_president_killed" },
    { 0x721C, "rec_s2_breach_gun_holster" },
    { 0x721D, "rec_s2_breach_slo_mo" },
    { 0x721E, "rec_s2_door_guy_ambush" },
    { 0x721F, "rec_s2_drones_attack" },
    { 0x7220, "rec_s2_exfil_car_plr_hand" },
    { 0x7221, "rec_s2_exfil_car_plr_help_potus" },
    { 0x7222, "rec_s2_exfil_car_plr_start" },
    { 0x7223, "rec_s2_exfil_potus_enter_car" },
    { 0x7224, "rec_s2_exfil_potus_start" },
    { 0x7225, "rec_sim_reveal_gideon" },
    { 0x7226, "rec_sim_reveal_irons" },
    { 0x7227, "rec_sim_start_joker" },
    { 0x7228, "rec_slomo_audio_handler" },
    { 0x7229, "rec_slomo_kill_bad_guy" },
    { 0x722A, "rec_star_trek_door_close" },
    { 0x722B, "rec_star_trek_door_open" },
    { 0x722C, "rec_t2_warbird_decloak" },
    { 0x722D, "rec_t2_warbird_door_open" },
    { 0x722E, "rec_t2_warbird_land" },
    { 0x722F, "rec_t2_warbird_start" },
    { 0x7230, "rec_threat01_joker_kick" },
    { 0x7231, "rec_threat01_joker_start" },
    { 0x7232, "rec_tour_end_jeep_gate_plr_close" },
    { 0x7233, "rec_tour_end_jeep_gate_plr_open" },
    { 0x7234, "rec_tour_escort_jeep_start" },
    { 0x7235, "rec_tour_hangar_background" },
    { 0x7236, "rec_tour_npc_jeep_exit_gate_close" },
    { 0x7237, "rec_tour_npc_jeep_exit_gate_open" },
    { 0x7238, "rec_tour_ride_driver_gear_shift" },
    { 0x7239, "rec_tour_ride_gid_exits_jeep" },
    { 0x723A, "rec_tour_ride_gid_hand_on_door" },
    { 0x723B, "rec_tour_ride_irons_gestures" },
    { 0x723C, "rec_tour_ride_irons_turns_to_plr" },
    { 0x723D, "rec_tour_ride_irons_waves" },
    { 0x723E, "rec_tour_ride_plr_door" },
    { 0x723F, "rec_tour_ride_plr_exits_jeep" },
    { 0x7240, "rec_tour_ride_veh_leftdoor_close" },
    { 0x7241, "rec_tour_ride_veh_leftdoor_open" },
    { 0x7242, "rec_tour_ride_veh_rightdoor_close" },
    { 0x7243, "rec_tour_ride_veh_rightdoor_open" },
    { 0x7244, "rec_tour_titan_1_start" },
    { 0x7245, "rec_tour_titan_2_walk_anim_start" },
    { 0x7246, "rec_tour_titan_gate_plr_open" },
    { 0x7247, "rec_tour_vehicle_1_start" },
    { 0x7248, "rec_tour_vtol_takeoff_spawn" },
    { 0x7249, "rec_train1_end" },
    { 0x724A, "rec_train1_exfil_car_start" },
    { 0x724B, "rec_train1_stealth_car_spawn" },
    { 0x724C, "rec_train1_stealth_car_stop" },
    { 0x724D, "rec_train2_ambush_car_1" },
    { 0x724E, "rec_train2_ambush_car_2" },
    { 0x724F, "rec_train2_exfil_car_end" },
    { 0x7250, "rec_train2_exfil_car_start" },
    { 0x7251, "rec_training01_lodge_stealth_exit_end" },
    { 0x7252, "rec_training01_lodge_stealth_exit_start" },
    { 0x7253, "rec_training01_lodge_stealth_open" },
    { 0x7254, "rec_training1_jeep_arrive" },
    { 0x7255, "rec_training1_jeep_enter" },
    { 0x7256, "rec_training1_jeep_irons_door_close" },
    { 0x7257, "rec_training1_jeep_irons_door_open" },
    { 0x7258, "rec_training1_jeep_player_door_close" },
    { 0x7259, "rec_welcometoatlas_gideon" },
    { 0x725A, "rec_welcometoatlas_irons" },
    { 0x725B, "recall" },
    { 0x725C, "recentdamageamount" },
    { 0x725D, "recentkillcount" },
    { 0x725E, "recently_loaded_listener" },
    { 0x725F, "recentlysawenemy" },
    { 0x7260, "rechamber" },
    { 0x7261, "recharge" },
    { 0x7262, "recipeclassapplyjuggernaut" },
    { 0x7263, "reclaimedreservedobjectives" },
    { 0x7264, "recoildirection" },
    { 0x7265, "recoilscale" },
    { 0x7266, "recon_allies" },
    { 0x7267, "recon_anim_struct" },
    { 0x7268, "recon_begin" },
    { 0x7269, "recon_checkpoint_lasttime" },
    { 0x726A, "recon_log_loadout" },
    { 0x726B, "recon_log_spawnpoint_info" },
    { 0x726C, "recon_main" },
    { 0x726D, "recon_objective_lasttime" },
    { 0x726E, "recon_player" },
    { 0x726F, "recon_player_downed" },
    { 0x7270, "recon_set_spawnpoint" },
    { 0x7271, "recon_start" },
    { 0x7272, "recon_vo" },
    { 0x7273, "reconhandledeath" },
    { 0x7274, "reconhandletimeout" },
    { 0x7275, "reconhandletimeoutwarning" },
    { 0x7276, "reconhudremove" },
    { 0x7277, "reconhudsetup" },
    { 0x7278, "reconlogplayerinfo" },
    { 0x7279, "reconnect_fake_pitbull" },
    { 0x727A, "reconplayerexit" },
    { 0x727B, "reconsetinactivity" },
    { 0x727C, "reconspawnturret" },
    { 0x727D, "reconuav_stinger_target_pos" },
    { 0x727E, "record_bread_crumbs_for_ambush" },
    { 0x727F, "record_enemy_notification" },
    { 0x7280, "record_enemy_sightings" },
    { 0x7281, "record_grenade_rising_edges" },
    { 0x7282, "record_grenade_throw_times" },
    { 0x7283, "record_last_player_damage" },
    { 0x7284, "record_sighting" },
    { 0x7285, "record_stealth_event" },
    { 0x7286, "recordfinalkillcam" },
    { 0x7287, "recordsegemtdata" },
    { 0x7288, "recordtogglescopestates" },
    { 0x7289, "recordvalidationinfraction" },
    { 0x728A, "recover" },
    { 0x728B, "recover_cargo" },
    { 0x728C, "recover_from_careful_disable" },
    { 0x728D, "recover_interval" },
    { 0x728E, "recovery_breach_cleanup_player" },
    { 0x728F, "recovery_breach_setup_player" },
    { 0x7290, "recovery_dynamic_event" },
    { 0x7291, "recovery_locations" },
    { 0x7292, "recovery_thermal_manager" },
    { 0x7293, "recoverycustomospfunc" },
    { 0x7294, "recoveryeventcustomospfunc" },
    { 0x7295, "recursed" },
    { 0x7296, "red" },
    { 0x7297, "red_burn_lighting_fog" },
    { 0x7298, "red_hoodoo_fx" },
    { 0x7299, "red_hoodoo1" },
    { 0x729A, "red_hoodoos" },
    { 0x729B, "red_light_strobe_courtyard" },
    { 0x729C, "red_point" },
    { 0x729D, "redfill" },
    { 0x729E, "redfill2" },
    { 0x729F, "redo" },
    { 0x72A0, "redshirt_death_vo" },
    { 0x72A1, "reduce_damage_while_holding_cardoor" },
    { 0x72A2, "reduce_player_movement_videolog" },
    { 0x72A3, "reduced_nonplayer_damage" },
    { 0x72A4, "reducegiptponkillanimscript" },
    { 0x72A5, "reducetakecoverwarnings" },
    { 0x72A6, "reenable_grapple" },
    { 0x72A7, "ref" },
    { 0x72A8, "ref_col" },
    { 0x72A9, "reference" },
    { 0x72AA, "refill_starting_weapons" },
    { 0x72AB, "refillammo" },
    { 0x72AC, "refillammohorde" },
    { 0x72AD, "refillbattery" },
    { 0x72AE, "refillclip" },
    { 0x72AF, "refillsinglecountammo" },
    { 0x72B0, "reflection_pod_guys" },
    { 0x72B1, "reflection_pod_guys_landing" },
    { 0x72B2, "reflection_pod_guys2" },
    { 0x72B3, "reflectionprobebuttons" },
    { 0x72B4, "reflectionprobenmlluminance" },
    { 0x72B5, "refraction_turrets" },
    { 0x72B6, "refraction_turrets_alive" },
    { 0x72B7, "refraction_turrets_moved_down" },
    { 0x72B8, "refractioncustomkillstreakfunc" },
    { 0x72B9, "refractioncustomospfunc" },
    { 0x72BA, "refractionturrettimer" },
    { 0x72BB, "refractionvulcancustomfunc" },
    { 0x72BC, "refresh_core_snipers_enemies" },
    { 0x72BD, "refresh_existing_bots" },
    { 0x72BE, "refresh_reactive_fx_ents" },
    { 0x72BF, "refuel_timings" },
    { 0x72C0, "refuel_vo" },
    { 0x72C1, "refugee_butress_down" },
    { 0x72C2, "refugee_butress_down_time" },
    { 0x72C3, "refugee_camp_ai" },
    { 0x72C4, "refugee_camp_autopilot_engaged" },
    { 0x72C5, "refugee_camp_civ_convo_01" },
    { 0x72C6, "refugee_camp_cleanup" },
    { 0x72C7, "refugee_camp_dialogue" },
    { 0x72C8, "refugee_camp_intro_dialogue" },
    { 0x72C9, "refugee_camp_main" },
    { 0x72CA, "refugee_camp_security_checkpoint_dialogue" },
    { 0x72CB, "refugee_debug" },
    { 0x72CC, "refugee_walk" },
    { 0x72CD, "regen_cooldown" },
    { 0x72CE, "regen_front_armor" },
    { 0x72CF, "regenhealthmod" },
    { 0x72D0, "regenrate" },
    { 0x72D1, "regenspeed" },
    { 0x72D2, "register_ai_anims" },
    { 0x72D3, "register_archetype" },
    { 0x72D4, "register_boost_dodge" },
    { 0x72D5, "register_boost_jump" },
    { 0x72D6, "register_boost_slam" },
    { 0x72D7, "register_common_mp_snd_messages" },
    { 0x72D8, "register_common_snd_messages" },
    { 0x72D9, "register_death" },
    { 0x72DA, "register_difficulty" },
    { 0x72DB, "register_fx" },
    { 0x72DC, "register_kill" },
    { 0x72DD, "register_level_name" },
    { 0x72DE, "register_moving_collision_on_nodes" },
    { 0x72DF, "register_new_weapon" },
    { 0x72E0, "register_notetracks" },
    { 0x72E1, "register_player_anims" },
    { 0x72E2, "register_pluggable_move_loop_override" },
    { 0x72E3, "register_radio_squelches" },
    { 0x72E4, "register_shot_hit" },
    { 0x72E5, "register_snd_messages" },
    { 0x72E6, "register_sp_perks" },
    { 0x72E7, "register_target_lock_change_func" },
    { 0x72E8, "register_trigger_callbacks" },
    { 0x72E9, "register_vehicle_anims" },
    { 0x72EA, "registerarchetype" },
    { 0x72EB, "registerdvars" },
    { 0x72EC, "registerhalftimedvar" },
    { 0x72ED, "registeringshothit" },
    { 0x72EE, "registerlaststandparameter" },
    { 0x72EF, "registermissioncallback" },
    { 0x72F0, "registernotetracks" },
    { 0x72F1, "registernumlivesdvar" },
    { 0x72F2, "registernumteamsdvar" },
    { 0x72F3, "registerroundlimitdvar" },
    { 0x72F4, "registerroundswitchdvar" },
    { 0x72F5, "registerscorelimitdvar" },
    { 0x72F6, "registertimelimitdvar" },
    { 0x72F7, "registertweakable" },
    { 0x72F8, "registerwatchdvar" },
    { 0x72F9, "registerwatchdvarfloat" },
    { 0x72FA, "registerwatchdvarint" },
    { 0x72FB, "registerwinlimitdvar" },
    { 0x72FC, "registerxpeventinfo" },
    { 0x72FD, "regular_exo_hover_vfx" },
    { 0x72FE, "regular_plane_controls" },
    { 0x72FF, "reincrement_count_if_deleted" },
    { 0x7300, "reinforce_on_death" },
    { 0x7301, "reinforcement_endtime" },
    { 0x7302, "reinforcementcratekillstreakthink" },
    { 0x7303, "reinforcementcratespecialtythink" },
    { 0x7304, "reinitializematchrulesonmigration" },
    { 0x7305, "reinitializescorelimitonmigration" },
    { 0x7306, "reinitializethermal" },
    { 0x7307, "relativepoint" },
    { 0x7308, "release_hint_off" },
    { 0x7309, "release_player_view_to_rig_anim" },
    { 0x730A, "release_x_breakout" },
    { 0x730B, "releasegas" },
    { 0x730C, "releasemeetingcivilians" },
    { 0x730D, "releasestring" },
    { 0x730E, "reload_ammo" },
    { 0x730F, "reload_checker_hack" },
    { 0x7310, "reload_disable_safe" },
    { 0x7311, "reload_enable" },
    { 0x7312, "reload_launchers" },
    { 0x7313, "reload_malfunction_disable_on_grenade_throw" },
    { 0x7314, "reloading" },
    { 0x7315, "reloading_big_orbitalsupport_gun" },
    { 0x7316, "reloading_buddy_medium_orbitalsupport_gun" },
    { 0x7317, "reloading_medium_orbitalsupport_gun" },
    { 0x7318, "reloading_rocket_orbitalsupport_gun" },
    { 0x7319, "reloadrocket" },
    { 0x731A, "reloadrocketswarm" },
    { 0x731B, "reloadtracking" },
    { 0x731C, "remainingrocketshots" },
    { 0x731D, "reminder_boost_jump_drone_street" },
    { 0x731E, "remote_missile_height_override" },
    { 0x731F, "remote_vehicle_setup" },
    { 0x7320, "remotecontrolled" },
    { 0x7321, "remoteent" },
    { 0x7322, "remotemissile_actionslot" },
    { 0x7323, "remotemissile_fx" },
    { 0x7324, "remotemissileenttracetooriginpassedwrapper" },
    { 0x7325, "remotemissileinprogress" },
    { 0x7326, "remoteridetransition" },
    { 0x7327, "remoteturretlist" },
    { 0x7328, "remove_ai_from_colors" },
    { 0x7329, "remove_all_actors_that_are_squelched" },
    { 0x732A, "remove_all_actors_with_same_characterid" },
    { 0x732B, "remove_all_intel" },
    { 0x732C, "remove_and_insert_at_traffic_tail" },
    { 0x732D, "remove_and_insert_before_leader" },
    { 0x732E, "remove_and_insert_behind_leader" },
    { 0x732F, "remove_avatar" },
    { 0x7330, "remove_bad_locked_targets" },
    { 0x7331, "remove_boost_jump" },
    { 0x7332, "remove_camera_view_angles" },
    { 0x7333, "remove_cardoor_from_npc" },
    { 0x7334, "remove_cheap_flashlight" },
    { 0x7335, "remove_cockpit_from_view" },
    { 0x7336, "remove_color_from_array" },
    { 0x7337, "remove_corpse_loop_while_stealth_broken" },
    { 0x7338, "remove_crawled" },
    { 0x7339, "remove_damage_function" },
    { 0x733A, "remove_damagefeedback" },
    { 0x733B, "remove_dead_bodies_from_cone" },
    { 0x733C, "remove_dead_from_array" },
    { 0x733D, "remove_deathfx_entity_delay" },
    { 0x733E, "remove_display_name" },
    { 0x733F, "remove_diveboat_weapons" },
    { 0x7340, "remove_drone_mode" },
    { 0x7341, "remove_drone_turret_drones" },
    { 0x7342, "remove_dropped_guns_near_explosives" },
    { 0x7343, "remove_dupes" },
    { 0x7344, "remove_ends_from_path" },
    { 0x7345, "remove_exo_temperature_hud" },
    { 0x7346, "remove_extra_autosave_check" },
    { 0x7347, "remove_fighter_jet_hud" },
    { 0x7348, "remove_flashlight_on_goal" },
    { 0x7349, "remove_flashlight_upon_combat" },
    { 0x734A, "remove_friendly_fire_damage_modifier" },
    { 0x734B, "remove_from_animloop" },
    { 0x734C, "remove_from_array_when_dead" },
    { 0x734D, "remove_from_arrays" },
    { 0x734E, "remove_from_bot_damage_targets" },
    { 0x734F, "remove_from_bot_use_targets" },
    { 0x7350, "remove_from_flock" },
    { 0x7351, "remove_from_idle_array_on_death" },
    { 0x7352, "remove_from_tactics_array_on_delete" },
    { 0x7353, "remove_from_tactics_array_on_pickup" },
    { 0x7354, "remove_from_target_array_on_death" },
    { 0x7355, "remove_from_targets_on_death" },
    { 0x7356, "remove_from_traffic_lane" },
    { 0x7357, "remove_fxlighting_object" },
    { 0x7358, "remove_global_spawn_function" },
    { 0x7359, "remove_grapple" },
    { 0x735A, "remove_h_breach_hostages" },
    { 0x735B, "remove_heroes_from_array" },
    { 0x735C, "remove_hint" },
    { 0x735D, "remove_hovertank_weapons" },
    { 0x735E, "remove_hud" },
    { 0x735F, "remove_hud_drone_target" },
    { 0x7360, "remove_hud_outline_binocs" },
    { 0x7361, "remove_intact_bridge" },
    { 0x7362, "remove_intel_item" },
    { 0x7363, "remove_invalid_locks" },
    { 0x7364, "remove_level_first_frame" },
    { 0x7365, "remove_light_from_face" },
    { 0x7366, "remove_lock_target" },
    { 0x7367, "remove_magic_bullet_shield_from_guy_on_unload_or_death" },
    { 0x7368, "remove_monitored_tags" },
    { 0x7369, "remove_moving_obstacle" },
    { 0x736A, "remove_moving_obstacle_on_death" },
    { 0x736B, "remove_name" },
    { 0x736C, "remove_nocolor_from_array" },
    { 0x736D, "remove_nodes_with_users_from_array" },
    { 0x736E, "remove_non_riders_from_array" },
    { 0x736F, "remove_noteworthy_from_array" },
    { 0x7370, "remove_object_from_tactics_system" },
    { 0x7371, "remove_on_spawner_delete" },
    { 0x7372, "remove_option" },
    { 0x7373, "remove_outline_on_death" },
    { 0x7374, "remove_passenger_from_player_pitbull" },
    { 0x7375, "remove_patrol_anim_set" },
    { 0x7376, "remove_pre_penthouse_trees" },
    { 0x7377, "remove_reflection_objects" },
    { 0x7378, "remove_replace_on_death" },
    { 0x7379, "remove_script_car" },
    { 0x737A, "remove_script_friendnames_from_list" },
    { 0x737B, "remove_selected_option" },
    { 0x737C, "remove_slowmo_breacher" },
    { 0x737D, "remove_spawn_function" },
    { 0x737E, "remove_sticky" },
    { 0x737F, "remove_sticky_on_explosion" },
    { 0x7380, "remove_sticky_on_respawn" },
    { 0x7381, "remove_target" },
    { 0x7382, "remove_target_on_timeout" },
    { 0x7383, "remove_tracking_on_disconnect" },
    { 0x7384, "remove_turret_on_mount" },
    { 0x7385, "remove_unarmed_when_pickup_new_wep" },
    { 0x7386, "remove_user_from_drone" },
    { 0x7387, "remove_user_from_dronecrate" },
    { 0x7388, "remove_vehicle_from_tactics_array_on_death" },
    { 0x7389, "remove_vehicle_spawned_thisframe" },
    { 0x738A, "remove_vol_index" },
    { 0x738B, "remove_when_out_of_range" },
    { 0x738C, "remove_without_classname" },
    { 0x738D, "remove_without_model" },
    { 0x738E, "remove_zipline_on_death" },
    { 0x738F, "removeactivecounteruav" },
    { 0x7390, "removeactivespawner" },
    { 0x7391, "removeactiveuav" },
    { 0x7392, "removeallfromlivescount" },
    { 0x7393, "removebombcarrierclass" },
    { 0x7394, "removebombzone" },
    { 0x7395, "removeburiedlightgrid" },
    { 0x7396, "removechild" },
    { 0x7397, "removecoopturretbuddy" },
    { 0x7398, "removecoopturretbuddyondisconnect" },
    { 0x7399, "removed" },
    { 0x739A, "removedestroyedchildren" },
    { 0x739B, "removedisconnectedplayerfromplacement" },
    { 0x739C, "removedronevisionandlightsetpermap" },
    { 0x739D, "removeemp" },
    { 0x739E, "removeentityheadicon" },
    { 0x739F, "removeexplosivedrone" },
    { 0x73A0, "removeflagcarrierclass" },
    { 0x73A1, "removefromalivecount" },
    { 0x73A2, "removefrombattlebuddywaitlist" },
    { 0x73A3, "removefromcarepackagedronelistondeath" },
    { 0x73A4, "removefromcharactersarray" },
    { 0x73A5, "removefromexplosivedronelistondeath" },
    { 0x73A6, "removefromhelilist" },
    { 0x73A7, "removefromlittlebirdlistondeath" },
    { 0x73A8, "removefromlivescount" },
    { 0x73A9, "removefromparticipantsarray" },
    { 0x73AA, "removefromsquad" },
    { 0x73AB, "removefromsystem" },
    { 0x73AC, "removefromteamcount" },
    { 0x73AD, "removefromtotalspawned" },
    { 0x73AE, "removefromtrackingdronelistondeath" },
    { 0x73AF, "removefromturretlist" },
    { 0x73B0, "removefxentwithentity" },
    { 0x73B1, "removegroupedtridrone" },
    { 0x73B2, "removeharmonicbreachhostages" },
    { 0x73B3, "removekillcamentity" },
    { 0x73B4, "removekillstreakicons" },
    { 0x73B5, "removelastelement" },
    { 0x73B6, "removelightarmorondeath" },
    { 0x73B7, "removelightarmoronmatchend" },
    { 0x73B8, "removelowermessage" },
    { 0x73B9, "removenotetrack" },
    { 0x73BA, "removeofficerfromsquad" },
    { 0x73BB, "removeonnextairdrop" },
    { 0x73BC, "removeorbitalsupportbuddy" },
    { 0x73BD, "removeorbitalsupportbuddyonchangeteams" },
    { 0x73BE, "removeorbitalsupportbuddyoncommand" },
    { 0x73BF, "removeorbitalsupportbuddyondisconnect" },
    { 0x73C0, "removeorbitalsupportbuddyonspectate" },
    { 0x73C1, "removeorbitalsupportplayer" },
    { 0x73C2, "removeorbitalsupportplayeraftertime" },
    { 0x73C3, "removeorbitalsupportplayeronchangeteams" },
    { 0x73C4, "removeorbitalsupportplayeroncommand" },
    { 0x73C5, "removeorbitalsupportplayeroncrash" },
    { 0x73C6, "removeorbitalsupportplayerondisconnect" },
    { 0x73C7, "removeorbitalsupportplayerongamecleanup" },
    { 0x73C8, "removeorbitalsupportplayeronspectate" },
    { 0x73C9, "removeospvisionandlightsetpermap" },
    { 0x73CA, "removeoverlaydeath" },
    { 0x73CB, "removeperkhud" },
    { 0x73CC, "removeperks" },
    { 0x73CD, "removepickup" },
    { 0x73CE, "removeplanefromlist" },
    { 0x73CF, "removeplayerondisconnect" },
    { 0x73D0, "removeplayertarget" },
    { 0x73D1, "removepod" },
    { 0x73D2, "removerack" },
    { 0x73D3, "removerevnmeshes" },
    { 0x73D4, "removesafetyhealth" },
    { 0x73D5, "removeselffrom_squadlastseenenemypos" },
    { 0x73D6, "removesolarreflectorlevelwatch" },
    { 0x73D7, "removesolarreflectorplayer" },
    { 0x73D8, "removesolarreflectorplayeraftertime" },
    { 0x73D9, "removesolarreflectorplayeroncommand" },
    { 0x73DA, "removesolarreflectorplayerwatch" },
    { 0x73DB, "removespawnmessageshortly" },
    { 0x73DC, "removespeaker" },
    { 0x73DD, "removestreaksupportprompt" },
    { 0x73DE, "removethreatevents" },
    { 0x73DF, "removethreaticon" },
    { 0x73E0, "removetrackingdrone" },
    { 0x73E1, "removetransitionmeshes" },
    { 0x73E2, "removetruckguardoutline" },
    { 0x73E3, "removeuavmodel" },
    { 0x73E4, "removeundefined" },
    { 0x73E5, "removevulcanvisionandlightsetpermap" },
    { 0x73E6, "removewarbirdbuddy" },
    { 0x73E7, "removewarbirdbuddyoncommand" },
    { 0x73E8, "removewarbirdvisionsetpermap" },
    { 0x73E9, "removeweapons" },
    { 0x73EA, "rempveoverlaydeath" },
    { 0x73EB, "render_alerted_info" },
    { 0x73EC, "render_detect_ranges" },
    { 0x73ED, "render_detect_ranges_for_entity" },
    { 0x73EE, "render_ranges_for_a_corpse" },
    { 0x73EF, "render_ranges_for_the_corpses" },
    { 0x73F0, "render_vision_cone" },
    { 0x73F1, "render_vision_cone_for_entity" },
    { 0x73F2, "repair_desk_align_needle" },
    { 0x73F3, "repair_desk_grab_needle" },
    { 0x73F4, "repair_desk_harness_close" },
    { 0x73F5, "repair_desk_harness_release" },
    { 0x73F6, "repair_desk_push_needle" },
    { 0x73F7, "repair_desk_remove_needle" },
    { 0x73F8, "repair_guy_01" },
    { 0x73F9, "repair_guy_02" },
    { 0x73FA, "repair_weights" },
    { 0x73FB, "repeat_hint_until_comply" },
    { 0x73FC, "repeat_hint_until_comply_oldstyle" },
    { 0x73FD, "repeatoneshotprisonalarm" },
    { 0x73FE, "repel_player_missile" },
    { 0x73FF, "replace_on_death" },
    { 0x7400, "replenishloadout" },
    { 0x7401, "report_trigger" },
    { 0x7402, "reportalias" },
    { 0x7403, "repulsor_fx" },
    { 0x7404, "repulsoractive" },
    { 0x7405, "repulsornumber" },
    { 0x7406, "requestreacttobullet" },
    { 0x7407, "required_aiming_time_s" },
    { 0x7408, "requiredexitstance" },
    { 0x7409, "requiredmapaspectratio" },
    { 0x740A, "requireonground" },
    { 0x740B, "requires_player_los" },
    { 0x740C, "requireslos" },
    { 0x740D, "rescue_guard_fire" },
    { 0x740E, "rescuedplayers" },
    { 0x740F, "resdhirt1" },
    { 0x7410, "research_building_combat_complete" },
    { 0x7411, "research_building_enemy_think" },
    { 0x7412, "research_facility_bridge_logic" },
    { 0x7413, "research_facility_combat_dialogue" },
    { 0x7414, "research_facility_interior_dialogue" },
    { 0x7415, "research_left_01_enemy_think" },
    { 0x7416, "research_left_lower_01_enemy_think" },
    { 0x7417, "research_platform_enemy_think" },
    { 0x7418, "research_right_01_enemy_think" },
    { 0x7419, "research_right_lower_01_enemy_think" },
    { 0x741A, "reselect_entitites" },
    { 0x741B, "reserve_turret" },
    { 0x741C, "reset_accuracy" },
    { 0x741D, "reset_ai_from_drone" },
    { 0x741E, "reset_angles" },
    { 0x741F, "reset_animname" },
    { 0x7420, "reset_axis_of_selected_ents" },
    { 0x7421, "reset_bot_settings_for_a_few_frames" },
    { 0x7422, "reset_button_buffers" },
    { 0x7423, "reset_cmds" },
    { 0x7424, "reset_copier" },
    { 0x7425, "reset_damage_info_when_healed" },
    { 0x7426, "reset_dds_categories" },
    { 0x7427, "reset_event_type" },
    { 0x7428, "reset_forced_target_if_no_line_of_sight" },
    { 0x7429, "reset_friendly_fire_when_player_lands" },
    { 0x742A, "reset_fx_hud_colors" },
    { 0x742B, "reset_goalvolume" },
    { 0x742C, "reset_group_advance_to_enemy_timer" },
    { 0x742D, "reset_health" },
    { 0x742E, "reset_highway_path_player_side" },
    { 0x742F, "reset_maxsightdistsqrd" },
    { 0x7430, "reset_origin" },
    { 0x7431, "reset_player_health" },
    { 0x7432, "reset_player_stats_on_exit" },
    { 0x7433, "reset_shot_on_reload" },
    { 0x7434, "reset_thread_sent" },
    { 0x7435, "reset_threatbias" },
    { 0x7436, "reset_threatbiasgroup" },
    { 0x7437, "reset_time" },
    { 0x7438, "reset_turret" },
    { 0x7439, "reset_unresolved_collision_handler" },
    { 0x743A, "reset_visionset_on_disconnect" },
    { 0x743B, "reset_visionset_on_spawn" },
    { 0x743C, "reset_visionset_on_team_change" },
    { 0x743D, "reset_walkdist" },
    { 0x743E, "reset_zone_owners" },
    { 0x743F, "resetaccuracyandpause" },
    { 0x7440, "resetadrenaline" },
    { 0x7441, "resetanimmode" },
    { 0x7442, "resetattackerlist" },
    { 0x7443, "resetbrinkofdeathkillstreakshortly" },
    { 0x7444, "resetc4explodethisframe" },
    { 0x7445, "resetcliponabort" },
    { 0x7446, "resetfastheal" },
    { 0x7447, "resetgates" },
    { 0x7448, "resetgiveuponenemytime" },
    { 0x7449, "resetgoalradius" },
    { 0x744A, "resetinterval" },
    { 0x744B, "resetlookforbettercovertime" },
    { 0x744C, "resetmissdebouncetime" },
    { 0x744D, "resetmisstime" },
    { 0x744E, "resetnextsaytimes" },
    { 0x744F, "resetnotify" },
    { 0x7450, "resetoncancel" },
    { 0x7451, "resetondeath" },
    { 0x7452, "resetplayeronteamchange" },
    { 0x7453, "resetplayervariables" },
    { 0x7454, "resetreinforcements" },
    { 0x7455, "resetrespondtodeathtime" },
    { 0x7456, "resetrotategateconstant" },
    { 0x7457, "resetrotategates" },
    { 0x7458, "resetseekoutenemytime" },
    { 0x7459, "resetskill" },
    { 0x745A, "resetsniperaim" },
    { 0x745B, "resetstate" },
    { 0x745C, "resetstingerlocking" },
    { 0x745D, "resetstingerlockingondeath" },
    { 0x745E, "resettags" },
    { 0x745F, "resetuidvarsonconnect" },
    { 0x7460, "resetuidvarsondeath" },
    { 0x7461, "resetuidvarsonspawn" },
    { 0x7462, "resetuidvarsonspectate" },
    { 0x7463, "resetusability" },
    { 0x7464, "resetvirtuallobbypresentable" },
    { 0x7465, "resetvulnerabletimers" },
    { 0x7466, "resetweapon" },
    { 0x7467, "reso_bridge_distantce_dot" },
    { 0x7468, "resolvebraggingrights" },
    { 0x7469, "resonance_light" },
    { 0x746A, "respawn_asspectator" },
    { 0x746B, "respawn_death_spawn" },
    { 0x746C, "respawn_enemies_force_vision_check" },
    { 0x746D, "respawn_friendlies_force_vision_check" },
    { 0x746E, "respawn_mode" },
    { 0x746F, "respawn_on_death" },
    { 0x7470, "respawn_reinforcements_without_vision_check" },
    { 0x7471, "respawn_spawner" },
    { 0x7472, "respawn_spawner_org" },
    { 0x7473, "respawn_watcher" },
    { 0x7474, "respawn_with_launcher" },
    { 0x7475, "respawneliminatedplayers" },
    { 0x7476, "respawnplayer" },
    { 0x7477, "respawntimerstarttime" },
    { 0x7478, "respond_to_threat_grenade" },
    { 0x7479, "responder" },
    { 0x747A, "responderclockdirection" },
    { 0x747B, "respondto" },
    { 0x747C, "respondtodeadteammate" },
    { 0x747D, "respondtodeathtime" },
    { 0x747E, "response_distance_min" },
    { 0x747F, "response_wait" },
    { 0x7480, "response_wait_axis" },
    { 0x7481, "responseevent_failsafe" },
    { 0x7482, "responsegeneric" },
    { 0x7483, "responsetakingfire" },
    { 0x7484, "responsethreatcallout" },
    { 0x7485, "responsethreatexposed" },
    { 0x7486, "restart_exterior_vfx" },
    { 0x7487, "restart_fx_looper" },
    { 0x7488, "restart_oneshots" },
    { 0x7489, "restart_selected_exploders" },
    { 0x748A, "restarteffect" },
    { 0x748B, "restartexploder" },
    { 0x748C, "restartfxid" },
    { 0x748D, "restartmoveloop" },
    { 0x748E, "restartwarbirdenginefxforplayer" },
    { 0x748F, "restaurant_civ_03_cower" },
    { 0x7490, "restaurant_door_civ_killed" },
    { 0x7491, "restaurant_doors_open" },
    { 0x7492, "restaurant_fish_tank_destruct" },
    { 0x7493, "restaurant_water" },
    { 0x7494, "restaurant_wet_floor_think" },
    { 0x7495, "restore_after_deathsdoor" },
    { 0x7496, "restore_default_exo_powers" },
    { 0x7497, "restore_footstep_notetrack_scripts" },
    { 0x7498, "restore_footsteps" },
    { 0x7499, "restore_idle" },
    { 0x749A, "restore_ignore_setting" },
    { 0x749B, "restore_moveplaybackrate" },
    { 0x749C, "restore_movetransitionrate" },
    { 0x749D, "restore_players_weapons" },
    { 0x749E, "restore_prebreach_weapons" },
    { 0x749F, "restore_reload" },
    { 0x74A0, "restore_thrusters_all" },
    { 0x74A1, "restore_vehicle_speed" },
    { 0x74A2, "restore_water_footsteps" },
    { 0x74A3, "restoreangles" },
    { 0x74A4, "restoredata" },
    { 0x74A5, "restoredefaultpitch" },
    { 0x74A6, "restoredefaults" },
    { 0x74A7, "restoredefaultturnrate" },
    { 0x74A8, "restoreheadicon" },
    { 0x74A9, "restoreperk" },
    { 0x74AA, "restoreperks" },
    { 0x74AB, "restorepitch" },
    { 0x74AC, "restoreplayeractions" },
    { 0x74AD, "restoreplayercontrols" },
    { 0x74AE, "restoreplayerweaponstatepersistent" },
    { 0x74AF, "restorevision" },
    { 0x74B0, "restoreweapon" },
    { 0x74B1, "restoreweaponclipammo" },
    { 0x74B2, "restoreweapons" },
    { 0x74B3, "restoreweaponstockammo" },
    { 0x74B4, "restrict_movement_while_releasing_the_pm" },
    { 0x74B5, "restrict_player_view_to_rig_anim" },
    { 0x74B6, "restricted_airspace" },
    { 0x74B7, "resume_driving_from_dodge" },
    { 0x74B8, "resume_vehicle_traffic_roundabout_straightways" },
    { 0x74B9, "resumetimer" },
    { 0x74BA, "retarget_lighting" },
    { 0x74BB, "retarget_model_init" },
    { 0x74BC, "reticle_hide" },
    { 0x74BD, "reticle_origin" },
    { 0x74BE, "reticle_show" },
    { 0x74BF, "retract_rope" },
    { 0x74C0, "retreat_from_vol_to_vol" },
    { 0x74C1, "retreat_function" },
    { 0x74C2, "retreat_group" },
    { 0x74C3, "retreat_path" },
    { 0x74C4, "retreat_proc" },
    { 0x74C5, "retreat_vols" },
    { 0x74C6, "retreat_volume" },
    { 0x74C7, "retreat_volume_and_set_flag" },
    { 0x74C8, "retreat_watcher" },
    { 0x74C9, "retreating_kva" },
    { 0x74CA, "return_after_offhand" },
    { 0x74CB, "return_allies_after_videolog_plays" },
    { 0x74CC, "return_boost_dash" },
    { 0x74CD, "return_fall_tollerance" },
    { 0x74CE, "return_false" },
    { 0x74CF, "return_fire_rocket" },
    { 0x74D0, "return_full_mobility" },
    { 0x74D1, "return_hud" },
    { 0x74D2, "return_notify_on_event" },
    { 0x74D3, "return_player_movement_videolog" },
    { 0x74D4, "return_stealth_distances" },
    { 0x74D5, "return_tag" },
    { 0x74D6, "return_threat_bias_from_agro" },
    { 0x74D7, "return_to_normal" },
    { 0x74D8, "return_to_position" },
    { 0x74D9, "returnaftertime" },
    { 0x74DA, "returnfilterednoteworthyarray" },
    { 0x74DB, "returnflag" },
    { 0x74DC, "returnhome" },
    { 0x74DD, "returns" },
    { 0x74DE, "returntocover" },
    { 0x74DF, "returntrue" },
    { 0x74E0, "reuse_avatar" },
    { 0x74E1, "rev" },
    { 0x74E2, "rev_main_anims" },
    { 0x74E3, "rev_main_anims_vm" },
    { 0x74E4, "reveal_explosion" },
    { 0x74E5, "reveal_scene" },
    { 0x74E6, "reveal_scene_start" },
    { 0x74E7, "revengeevent" },
    { 0x74E8, "revengeunlockevent" },
    { 0x74E9, "reverb" },
    { 0x74EA, "reverb_alarm_volume" },
    { 0x74EB, "reverb_alarm_volume_update_rate" },
    { 0x74EC, "reverb_bypass" },
    { 0x74ED, "reverb_enable" },
    { 0x74EE, "reverb_settings" },
    { 0x74EF, "reverb_track" },
    { 0x74F0, "reverb1" },
    { 0x74F1, "reverb2" },
    { 0x74F2, "reverse_cloak" },
    { 0x74F3, "reverse_mag_glove_crane_move" },
    { 0x74F4, "reverse_node" },
    { 0x74F5, "reverse_street_train_function" },
    { 0x74F6, "reversegravity" },
    { 0x74F7, "revertvisionsetforplayer" },
    { 0x74F8, "revive_player" },
    { 0x74F9, "revive_watch_for_finished" },
    { 0x74FA, "revived" },
    { 0x74FB, "revivesetup" },
    { 0x74FC, "revivetagevent" },
    { 0x74FD, "revivetriggerthink" },
    { 0x74FE, "revivetriggerthinkhorde" },
    { 0x74FF, "rh_exit_door" },
    { 0x7500, "rh_loader_movement" },
    { 0x7501, "ride_hovertank_ai" },
    { 0x7502, "ride_in_mech" },
    { 0x7503, "rider_anims" },
    { 0x7504, "rider_death_detection" },
    { 0x7505, "rider_func" },
    { 0x7506, "rider_think_loop" },
    { 0x7507, "riders" },
    { 0x7508, "riders_no_damage" },
    { 0x7509, "riders_unloadable" },
    { 0x750A, "ridevisionset" },
    { 0x750B, "ridingvehicle" },
    { 0x750C, "rifle_butt" },
    { 0x750D, "rifleshoot" },
    { 0x750E, "rifleshootobjectiveambush" },
    { 0x750F, "rifleshootobjectivenormal" },
    { 0x7510, "rifleshootobjectivesuppress" },
    { 0x7511, "rig" },
    { 0x7512, "riggetgravity" },
    { 0x7513, "riggetvelocity" },
    { 0x7514, "right_alias" },
    { 0x7515, "right_arrow" },
    { 0x7516, "right_big_loop_start" },
    { 0x7517, "right_big_pivot" },
    { 0x7518, "right_brakelight_tag" },
    { 0x7519, "right_dir" },
    { 0x751A, "right_door_anim" },
    { 0x751B, "right_ent" },
    { 0x751C, "right_headlight_tag" },
    { 0x751D, "right_left_punish_dist" },
    { 0x751E, "right_loop_start" },
    { 0x751F, "right_pivot" },
    { 0x7520, "right_post" },
    { 0x7521, "right_swing_pressed" },
    { 0x7522, "right_swing_released" },
    { 0x7523, "right_swipe_monitor" },
    { 0x7524, "right_tap_monitor" },
    { 0x7525, "rightstickrotateavatar" },
    { 0x7526, "rigprocessvelocity" },
    { 0x7527, "rigsetgravity" },
    { 0x7528, "rigsetvelocity" },
    { 0x7529, "ring" },
    { 0x752A, "riot_shield_collision" },
    { 0x752B, "riot_shield_names" },
    { 0x752C, "riotshield_approach_conditions" },
    { 0x752D, "riotshield_approach_type" },
    { 0x752E, "riotshield_bullet_hit_shield" },
    { 0x752F, "riotshield_bullet_hit_shield_clear" },
    { 0x7530, "riotshield_charge" },
    { 0x7531, "riotshield_choose_pose" },
    { 0x7532, "riotshield_clear" },
    { 0x7533, "riotshield_death" },
    { 0x7534, "riotshield_endmovetransition" },
    { 0x7535, "riotshield_fastwalk_off" },
    { 0x7536, "riotshield_fastwalk_on" },
    { 0x7537, "riotshield_flashbang" },
    { 0x7538, "riotshield_flee" },
    { 0x7539, "riotshield_flee_and_drop_shield" },
    { 0x753A, "riotshield_grenadecower" },
    { 0x753B, "riotshield_init_flee" },
    { 0x753C, "riotshield_initialized" },
    { 0x753D, "riotshield_lock_orientation" },
    { 0x753E, "riotshield_melee_aivsai" },
    { 0x753F, "riotshield_melee_standard" },
    { 0x7540, "riotshield_pain" },
    { 0x7541, "riotshield_sprint_off" },
    { 0x7542, "riotshield_sprint_on" },
    { 0x7543, "riotshield_startcombat" },
    { 0x7544, "riotshield_startmovetransition" },
    { 0x7545, "riotshield_turn_into_regular_ai" },
    { 0x7546, "riotshield_unlock_orientation" },
    { 0x7547, "riotshield_watch_for_change_weapon" },
    { 0x7548, "riotshield_watch_for_exo_shield_pullback" },
    { 0x7549, "riotshield_watch_for_exo_shield_release" },
    { 0x754A, "riotshield_watch_for_ladder_early_exit" },
    { 0x754B, "riotshield_watch_for_start_change_weapon" },
    { 0x754C, "riotshieldcleanup" },
    { 0x754D, "riotshieldcollisionentity" },
    { 0x754E, "riotshielddistancetest" },
    { 0x754F, "riotshieldentity" },
    { 0x7550, "riotshieldkillevent" },
    { 0x7551, "riotshieldmod" },
    { 0x7552, "riotshieldretrievetrigger" },
    { 0x7553, "riotshieldtakeweapon" },
    { 0x7554, "riotshieldxpbullets" },
    { 0x7555, "rippable" },
    { 0x7556, "ripples_on_body" },
    { 0x7557, "ris_is_muted" },
    { 0x7558, "ris_max_off_time" },
    { 0x7559, "ris_max_on_time" },
    { 0x755A, "ris_mute_time" },
    { 0x755B, "ris_off_time" },
    { 0x755C, "river_drilling_animation" },
    { 0x755D, "river_drills" },
    { 0x755E, "river_entry_splash_fx" },
    { 0x755F, "river_room_combat_dialouge" },
    { 0x7560, "river_slow_movement_ai_think" },
    { 0x7561, "riverbounce_hideents" },
    { 0x7562, "road_battle_setup" },
    { 0x7563, "road_width" },
    { 0x7564, "roaming_light" },
    { 0x7565, "robot" },
    { 0x7566, "rock_mob" },
    { 0x7567, "rock_the_boat" },
    { 0x7568, "rocket_ai" },
    { 0x7569, "rocket_cine_dof" },
    { 0x756A, "rocket_cleanupondeath" },
    { 0x756B, "rocket_destroyed_for_achievement" },
    { 0x756C, "rocket_fail_lighting" },
    { 0x756D, "rocket_fail_smoke" },
    { 0x756E, "rocket_fire_rumbles" },
    { 0x756F, "rocket_jump_human" },
    { 0x7570, "rocket_jump_human_railing" },
    { 0x7571, "rocket_kill_watcher" },
    { 0x7572, "rocket_success_dof_debugging" },
    { 0x7573, "rocket_success_lighting_pre_cine" },
    { 0x7574, "rocket_success_pt2_gideon_in_frame" },
    { 0x7575, "rocket_success_pt2_lighting_debugging" },
    { 0x7576, "rocket_swarm" },
    { 0x7577, "rocket_swarm_create_and_manage_attractor" },
    { 0x7578, "rocket_swarm_death_thread" },
    { 0x7579, "rocket_swarm_end_position" },
    { 0x757A, "rocket_swarm_fired_rumbles" },
    { 0x757B, "rocket_swarm_get_height_offset" },
    { 0x757C, "rocket_swarm_iterate_next_node" },
    { 0x757D, "rocket_swarm_linear_think" },
    { 0x757E, "rocket_swarm_path_node_think" },
    { 0x757F, "rocket_swarm_path_think" },
    { 0x7580, "rocket_swarm_random_course_change" },
    { 0x7581, "rocket_swarm_should_path" },
    { 0x7582, "rocket_swarm_start_position" },
    { 0x7583, "rocket_swarm_straight_rocket" },
    { 0x7584, "rocket_swarm_target_course_change" },
    { 0x7585, "rocket_target_think" },
    { 0x7586, "rocket_targets" },
    { 0x7587, "rocket_think" },
    { 0x7588, "rocket_two_stage_swarm_think" },
    { 0x7589, "rocketammo" },
    { 0x758A, "rocketattachment" },
    { 0x758B, "rocketclip" },
    { 0x758C, "rocketdestroyaftertime" },
    { 0x758D, "rocketlauncherammo" },
    { 0x758E, "rocketpodup" },
    { 0x758F, "rocketpositionupdate" },
    { 0x7590, "rocketreloadsound" },
    { 0x7591, "rockets" },
    { 0x7592, "rockettargetent" },
    { 0x7593, "rocketturret" },
    { 0x7594, "rocketvisible" },
    { 0x7595, "rocking" },
    { 0x7596, "rocks" },
    { 0x7597, "role" },
    { 0x7598, "roll" },
    { 0x7599, "roll_ent" },
    { 0x759A, "rolling_lp" },
    { 0x759B, "rollingdeath" },
    { 0x759C, "roof_breach_anticipation_fx" },
    { 0x759D, "roof_breach_burke_plant" },
    { 0x759E, "roof_breach_chunks_bursts" },
    { 0x759F, "roof_breach_device_area_mark" },
    { 0x75A0, "roof_breach_device_explosion" },
    { 0x75A1, "roof_breach_device_plant_dust" },
    { 0x75A2, "roof_breach_device_plant_mini_charges" },
    { 0x75A3, "roof_breach_device_radial_sml_explosions" },
    { 0x75A4, "roof_breach_fx" },
    { 0x75A5, "roof_breach_laser_detonate" },
    { 0x75A6, "roof_logic" },
    { 0x75A7, "roof_scene_enter_water_cleanup" },
    { 0x75A8, "roof_scene_grass_close_window_blast_doors" },
    { 0x75A9, "roof_scene_grass_death_squad_handler" },
    { 0x75AA, "roof_scene_grass_deploy_guards" },
    { 0x75AB, "roof_scene_grass_guard_cleanup" },
    { 0x75AC, "roof_scene_grass_handle_guard_doors" },
    { 0x75AD, "roof_scene_grass_monitor_guard_clear" },
    { 0x75AE, "roof_scene_grass_section" },
    { 0x75AF, "roof_scene_grass_section_failstates" },
    { 0x75B0, "roof_scene_grass_setup_blast_door_clip" },
    { 0x75B1, "roof_scene_guards" },
    { 0x75B2, "roof_scene_hide_rig" },
    { 0x75B3, "roof_scene_industrial_death_squad_handler" },
    { 0x75B4, "roof_scene_industrial_drone_swarm_launch_manager" },
    { 0x75B5, "roof_scene_industrial_launch_drone_swarm" },
    { 0x75B6, "roof_scene_industrial_open_hatch" },
    { 0x75B7, "roof_scene_industrial_section" },
    { 0x75B8, "roof_scene_industrial_section_failstates" },
    { 0x75B9, "roof_scene_industrial_set_up_swarm" },
    { 0x75BA, "roof_scene_master_handler" },
    { 0x75BB, "roof_scene_scripted_elevator_shaft_close" },
    { 0x75BC, "roof_scene_scripted_ilona_fire_at_swarm" },
    { 0x75BD, "roof_scene_scripted_ilona_fire_at_swarm_behavior_clear" },
    { 0x75BE, "roof_scene_set_up" },
    { 0x75BF, "roof_scene_setup_failstates" },
    { 0x75C0, "roof_scene_slide" },
    { 0x75C1, "roof_scene_slide_ilana_anim_to_swim" },
    { 0x75C2, "roof_scene_slide_raise_gates" },
    { 0x75C3, "roof_scene_slide_remove_glass_blocker" },
    { 0x75C4, "roof_scene_slide_slomo_start" },
    { 0x75C5, "roof_scene_slide_slomo_stop" },
    { 0x75C6, "roof_scene_slide_wait_for_player_jumped" },
    { 0x75C7, "roof_scene_vignette_civilians" },
    { 0x75C8, "roof_scene_vignettes" },
    { 0x75C9, "roof_trigger" },
    { 0x75CA, "roof_use_trigger" },
    { 0x75CB, "rooftop_ambient_dust" },
    { 0x75CC, "rooftop_anim_length" },
    { 0x75CD, "rooftop_bombshakes" },
    { 0x75CE, "rooftop_enemy_counter" },
    { 0x75CF, "rooftop_enemy_think" },
    { 0x75D0, "rooftop_enemy_think_left" },
    { 0x75D1, "rooftop_enemy_think_right" },
    { 0x75D2, "rooftop_glass_explode" },
    { 0x75D3, "rooftop_slide" },
    { 0x75D4, "rooftop_slo_mo_override" },
    { 0x75D5, "rooftop_strafe" },
    { 0x75D6, "rooftop_strafe_start" },
    { 0x75D7, "rooftopreminderdialogue" },
    { 0x75D8, "rooftopwatchparkingguards" },
    { 0x75D9, "room_has_multiple_doors" },
    { 0x75DA, "room_volume" },
    { 0x75DB, "roomtype" },
    { 0x75DC, "root_anim" },
    { 0x75DD, "rope" },
    { 0x75DE, "rope_end_rappel" },
    { 0x75DF, "rope_knox" },
    { 0x75E0, "rope_link" },
    { 0x75E1, "rope_model" },
    { 0x75E2, "rope_setupanimation" },
    { 0x75E3, "rope_started" },
    { 0x75E4, "ropesound" },
    { 0x75E5, "rot_bot" },
    { 0x75E6, "rot_top" },
    { 0x75E7, "rotate" },
    { 0x75E8, "rotate_axis_angle" },
    { 0x75E9, "rotate_camera_to_internal" },
    { 0x75EA, "rotate_camera_to_match_ent" },
    { 0x75EB, "rotate_camera_to_offset_angles" },
    { 0x75EC, "rotate_camera_to_see_ent" },
    { 0x75ED, "rotate_ent_towards_center" },
    { 0x75EE, "rotate_missile_targets" },
    { 0x75EF, "rotate_over_time" },
    { 0x75F0, "rotate_player_to_facing_angles" },
    { 0x75F1, "rotate_roll_link" },
    { 0x75F2, "rotate_space_debris" },
    { 0x75F3, "rotate_the_universe" },
    { 0x75F4, "rotate_to_goal" },
    { 0x75F5, "rotate_until_no_diff" },
    { 0x75F6, "rotateavatartagcamera" },
    { 0x75F7, "rotatedirection" },
    { 0x75F8, "rotatedryerfan" },
    { 0x75F9, "rotategatebounce" },
    { 0x75FA, "rotategates" },
    { 0x75FB, "rotategatesconstant" },
    { 0x75FC, "rotatehelispawn" },
    { 0x75FD, "rotatemeshes" },
    { 0x75FE, "rotateorbitalshippivots" },
    { 0x75FF, "rotateorbitalships" },
    { 0x7600, "rotateplane" },
    { 0x7601, "rotateradar" },
    { 0x7602, "rotatetargets" },
    { 0x7603, "rotatethink" },
    { 0x7604, "rotatetime" },
    { 0x7605, "rotatetoangle" },
    { 0x7606, "rotateuavrig" },
    { 0x7607, "rotating_gate_constant" },
    { 0x7608, "rotating_gates" },
    { 0x7609, "rotatinglinkarray" },
    { 0x760A, "rotation_is_occuring" },
    { 0x760B, "rotation_offset" },
    { 0x760C, "rotation_parent" },
    { 0x760D, "rotation_total" },
    { 0x760E, "rotor_anim" },
    { 0x760F, "round_float" },
    { 0x7610, "round_millisec_on_sec" },
    { 0x7611, "round_target_unit_per_second" },
    { 0x7612, "roundabout_bicycle_riders" },
    { 0x7613, "roundabout_center_vehicle_nodes" },
    { 0x7614, "roundabout_center_vehicle_nodes_cg" },
    { 0x7615, "roundabout_center_vehicles" },
    { 0x7616, "roundabout_center_vehicles_cg" },
    { 0x7617, "roundabout_center_vehicles_moving" },
    { 0x7618, "roundabout_center_vehicles_tank_explo" },
    { 0x7619, "roundabout_civilian_flee_path_and_run_select" },
    { 0x761A, "roundabout_combat" },
    { 0x761B, "roundabout_combat_dialogue" },
    { 0x761C, "roundabout_combat_initial" },
    { 0x761D, "roundabout_combat_start_slow_motion" },
    { 0x761E, "roundabout_combat_started" },
    { 0x761F, "roundabout_combat_tanker_explode" },
    { 0x7620, "roundabout_combat_tanker_explode_veh_cg" },
    { 0x7621, "roundabout_combat_tanker_fire_damage" },
    { 0x7622, "roundabout_exited" },
    { 0x7623, "roundabout_flee_goals" },
    { 0x7624, "roundabout_general_mayhem" },
    { 0x7625, "roundabout_lobby_couch" },
    { 0x7626, "roundabout_lobby_couch_front" },
    { 0x7627, "roundabout_lobby_elevator" },
    { 0x7628, "roundabout_lobby_elevator_exiting_react_1" },
    { 0x7629, "roundabout_lobby_elevator_exiting_react_2" },
    { 0x762A, "roundabout_lobby_elevator_waiting_react_1" },
    { 0x762B, "roundabout_lobby_elevator_waiting_react_2" },
    { 0x762C, "roundabout_lobby_phone" },
    { 0x762D, "roundabout_lobby_phone_front" },
    { 0x762E, "roundabout_lobby_phone2" },
    { 0x762F, "roundabout_lobby_reacts_into_walk" },
    { 0x7630, "roundabout_lobby_security_desk" },
    { 0x7631, "roundabout_lobby_security_desk_front" },
    { 0x7632, "roundabout_lobby_vehicles" },
    { 0x7633, "roundabout_lobby_vehicles_cg" },
    { 0x7634, "roundabout_lobby_walkingtalk" },
    { 0x7635, "roundabout_magic_microwave_grenade" },
    { 0x7636, "roundabout_panic_walla" },
    { 0x7637, "roundabout_ropes" },
    { 0x7638, "roundabout_rpg_car_damage_function" },
    { 0x7639, "roundabout_rpg_fire" },
    { 0x763A, "roundabout_rush_goal" },
    { 0x763B, "roundabout_setup" },
    { 0x763C, "roundabout_setup_center_vehicle_nodes" },
    { 0x763D, "roundabout_setup_center_vehicle_nodes_cg" },
    { 0x763E, "roundabout_setup_center_vehicles" },
    { 0x763F, "roundabout_setup_center_vehicles_cg" },
    { 0x7640, "roundabout_street_car_hood_hit" },
    { 0x7641, "roundabout_street_car_hood_hit_driver" },
    { 0x7642, "roundabout_street_drop_bikes" },
    { 0x7643, "roundabout_swap_vehicle_for_model" },
    { 0x7644, "roundabout_tanker_damage" },
    { 0x7645, "roundabout_tanker_enemy_settings" },
    { 0x7646, "roundabout_tanker_enemy_settings_other" },
    { 0x7647, "roundabout_tanker_explosion" },
    { 0x7648, "roundabout_tanker_lookat" },
    { 0x7649, "roundabout_tanker_magic_rpg" },
    { 0x764A, "roundabout_traffic" },
    { 0x764B, "roundabout_walla_flag_explosion" },
    { 0x764C, "roundactive" },
    { 0x764D, "roundbegin" },
    { 0x764E, "rounddecimalplaces" },
    { 0x764F, "roundend" },
    { 0x7650, "roundenddelay" },
    { 0x7651, "roundenddof" },
    { 0x7652, "roundendwait" },
    { 0x7653, "roundheadshots" },
    { 0x7654, "roundkills" },
    { 0x7655, "roundnumber" },
    { 0x7656, "roundsplayed" },
    { 0x7657, "roundswitch" },
    { 0x7658, "roundswitchdvar" },
    { 0x7659, "roundswitchmax" },
    { 0x765A, "roundswitchmin" },
    { 0x765B, "roundup" },
    { 0x765C, "roundupgradepoints" },
    { 0x765D, "roundwinnerdialog" },
    { 0x765E, "rows" },
    { 0x765F, "rpg_at_heli" },
    { 0x7660, "rpg_at_squad_01" },
    { 0x7661, "rpg_explosion" },
    { 0x7662, "rpg_guys" },
    { 0x7663, "rpg_juke" },
    { 0x7664, "rpg_shoot" },
    { 0x7665, "rpg_shoot_dist" },
    { 0x7666, "rpgdeath" },
    { 0x7667, "rpgdestroywall" },
    { 0x7668, "rpgplayerrepulsor" },
    { 0x7669, "rpgplayerrepulsor_create" },
    { 0x766A, "rpgplayerrepulsor_getnummisses" },
    { 0x766B, "rpgshoot" },
    { 0x766C, "rs_angle" },
    { 0x766D, "rspns_cat_name" },
    { 0x766E, "rspns_cat_name_alt" },
    { 0x766F, "rt_harness_breakout" },
    { 0x7670, "rubberband_settings" },
    { 0x7671, "rules" },
    { 0x7672, "rumble" },
    { 0x7673, "rumble_base_entity" },
    { 0x7674, "rumble_basetime" },
    { 0x7675, "rumble_cam_shake" },
    { 0x7676, "rumble_duration" },
    { 0x7677, "rumble_ent" },
    { 0x7678, "rumble_entity" },
    { 0x7679, "rumble_flydrone_animation" },
    { 0x767A, "rumble_flydrone_control" },
    { 0x767B, "rumble_frogger_vehicles" },
    { 0x767C, "rumble_heavy" },
    { 0x767D, "rumble_heavy_1" },
    { 0x767E, "rumble_heavy_2" },
    { 0x767F, "rumble_heavy_3" },
    { 0x7680, "rumble_killer" },
    { 0x7681, "rumble_large" },
    { 0x7682, "rumble_light" },
    { 0x7683, "rumble_light_1" },
    { 0x7684, "rumble_light_2" },
    { 0x7685, "rumble_light_3" },
    { 0x7686, "rumble_loop" },
    { 0x7687, "rumble_medium" },
    { 0x7688, "rumble_middle_takedown_throw_guy" },
    { 0x7689, "rumble_notetracks" },
    { 0x768A, "rumble_radius" },
    { 0x768B, "rumble_ramp_off" },
    { 0x768C, "rumble_ramp_on" },
    { 0x768D, "rumble_ramp_to" },
    { 0x768E, "rumble_randomaditionaltime" },
    { 0x768F, "rumble_roundabout_rpg_car_hit" },
    { 0x7690, "rumble_roundabout_tanker" },
    { 0x7691, "rumble_scale" },
    { 0x7692, "rumble_set_ent_rumble_intensity_for_time" },
    { 0x7693, "rumble_small" },
    { 0x7694, "rumble_thread" },
    { 0x7695, "rumble_till_out_of_range" },
    { 0x7696, "rumbleatriumbreach" },
    { 0x7697, "rumblemonitor" },
    { 0x7698, "rumbleon" },
    { 0x7699, "rumbleplayerdistantexplosion" },
    { 0x769A, "rumbleplayerheavy" },
    { 0x769B, "rumbleplayerlight" },
    { 0x769C, "rumblesniperdronefire" },
    { 0x769D, "rumblesniperdronenearexplosion" },
    { 0x769E, "rumblesniperdronetakenout" },
    { 0x769F, "rumbletrigger" },
    { 0x76A0, "rumbling" },
    { 0x76A1, "run_accuracy" },
    { 0x76A2, "run_assembly_line" },
    { 0x76A3, "run_ball" },
    { 0x76A4, "run_call_after_wait_array" },
    { 0x76A5, "run_clearfacialanim" },
    { 0x76A6, "run_dog_command" },
    { 0x76A7, "run_fan" },
    { 0x76A8, "run_func_after_wait_array" },
    { 0x76A9, "run_nodes1" },
    { 0x76AA, "run_noself_call_after_wait_array" },
    { 0x76AB, "run_override_weights" },
    { 0x76AC, "run_overrideanim" },
    { 0x76AD, "run_overrideanim_hasstairanimarray" },
    { 0x76AE, "run_overridebulletreact" },
    { 0x76AF, "run_overridesound" },
    { 0x76B0, "run_playfacialanim" },
    { 0x76B1, "run_post_function" },
    { 0x76B2, "run_selfiebooth" },
    { 0x76B3, "run_spawn_functions" },
    { 0x76B4, "run_speed" },
    { 0x76B5, "run_speed_state" },
    { 0x76B6, "run_thread_on_noteworthy" },
    { 0x76B7, "run_thread_on_notify" },
    { 0x76B8, "run_thread_on_targetname" },
    { 0x76B9, "run_to_heli_heli_landing" },
    { 0x76BA, "run_to_heli_manticore_scene" },
    { 0x76BB, "run_to_new_spot_and_setup_gun" },
    { 0x76BC, "run_traffic" },
    { 0x76BD, "run_train" },
    { 0x76BE, "run_train_shaker" },
    { 0x76BF, "run_train_with_shaking" },
    { 0x76C0, "run_tram_killstreak" },
    { 0x76C1, "runanim" },
    { 0x76C2, "runaway_drone_think" },
    { 0x76C3, "runaway_guy_delete" },
    { 0x76C4, "runbeam" },
    { 0x76C5, "runbeamupdate" },
    { 0x76C6, "runcombat" },
    { 0x76C7, "rundecidewhatandhowtoshoot" },
    { 0x76C8, "rundroplocations" },
    { 0x76C9, "runhordecollect" },
    { 0x76CA, "runhordedefend" },
    { 0x76CB, "runhordedefuse" },
    { 0x76CC, "runhordeintel" },
    { 0x76CD, "runhordemode" },
    { 0x76CE, "runhordeobjective" },
    { 0x76CF, "runhordezombies" },
    { 0x76D0, "runingturnrate" },
    { 0x76D1, "runloopcount" },
    { 0x76D2, "runloopisnearbeginning" },
    { 0x76D3, "runngun" },
    { 0x76D4, "runngun_backward" },
    { 0x76D5, "runngunincrement" },
    { 0x76D6, "runnguntransitionpoint" },
    { 0x76D7, "runngunweight" },
    { 0x76D8, "running_car" },
    { 0x76D9, "running_handle_hud_outline_binocs" },
    { 0x76DA, "running_intance_accumulator" },
    { 0x76DB, "running_to_goal" },
    { 0x76DC, "running_up_the_stairs_fail" },
    { 0x76DD, "runningaimblendtime" },
    { 0x76DE, "runningaimlimits" },
    { 0x76DF, "runningmechblendtime" },
    { 0x76E0, "runningreacttobullets" },
    { 0x76E1, "runningtovehicle" },
    { 0x76E2, "runnormalround" },
    { 0x76E3, "runonshootbehaviorend" },
    { 0x76E4, "runpos" },
    { 0x76E5, "runroundspawning" },
    { 0x76E6, "runshootwhilemoving" },
    { 0x76E7, "runtovehicleoverride" },
    { 0x76E8, "runzombieround" },
    { 0x76E9, "rushed" },
    { 0x76EA, "rvb_apply_reverb" },
    { 0x76EB, "rvb_deactive_reverb" },
    { 0x76EC, "rvb_get_applied_reverb" },
    { 0x76ED, "rvb_init" },
    { 0x76EE, "rvb_set_dry_level" },
    { 0x76EF, "rvb_set_wet_level" },
    { 0x76F0, "rvb_start_preset" },
    { 0x76F1, "rvb_use_string_table" },
    { 0x76F2, "rvbx_apply_inital_reverb" },
    { 0x76F3, "rvbx_create" },
    { 0x76F4, "rvbx_get_preset_from_string_table" },
    { 0x76F5, "rvbx_get_reverb_preset" },
    { 0x76F6, "rvbx_get_reverb_preset_from_stringtable_internal" },
    { 0x76F7, "rvbx_store_current_reverb_track" },
    { 0x76F8, "s_flicker_catwalk_alarm" },
    { 0x76F9, "s1_deleted_prisoners_anims" },
    { 0x76FA, "s1_drive_and_elevator_scene" },
    { 0x76FB, "s1_elevator_boundary_function" },
    { 0x76FC, "s1_motionset_avaliable" },
    { 0x76FD, "s1_popping_smoke" },
    { 0x76FE, "s1_truck_unload_main_allies_anims" },
    { 0x76FF, "s1_truck_unload_main_guards_anims" },
    { 0x7700, "s2_elevator_door_close" },
    { 0x7701, "s2_elevator_door_open" },
    { 0x7702, "s2_elevator_door_open_top" },
    { 0x7703, "s2_elevator_ride_down" },
    { 0x7704, "s2_prison_amb" },
    { 0x7705, "s2_walk_execution_pa" },
    { 0x7706, "s2_walk_footsteps" },
    { 0x7707, "s2_walk_vo_execution" },
    { 0x7708, "s2elevator_fade_transition" },
    { 0x7709, "s2elevator_trolley_intro_scene" },
    { 0x770A, "s2walk_ambient_character_cleanup" },
    { 0x770B, "s2walk_cage_door_open" },
    { 0x770C, "s2walk_dynamic_speed_adjuster" },
    { 0x770D, "s2walk_guard_cages_vo_notetrack" },
    { 0x770E, "s2walk_guard_end_cleanup" },
    { 0x770F, "s2walk_guard_gate_vo_notetrack" },
    { 0x7710, "s2walk_player_push" },
    { 0x7711, "s3_body_movement" },
    { 0x7712, "s3_break_glass" },
    { 0x7713, "s3_controlroom_attack_vo_notetrack" },
    { 0x7714, "s3_controlroom_exit_vo_notetrack1" },
    { 0x7715, "s3_controlroom_exit_vo_notetrack2" },
    { 0x7716, "s3_controlroom_exit_vo_notetrack3" },
    { 0x7717, "s3_controlroom_exit_vo_notetrack4" },
    { 0x7718, "s3_controlroom_exit_vo_notetrack5" },
    { 0x7719, "s3_controlroom_exit_vo_notetrack6" },
    { 0x771A, "s3_controlroom_exit_vo_notetrack7" },
    { 0x771B, "s3_controlroom_vo_notetrack1" },
    { 0x771C, "s3_controlroom_vo_notetrack2" },
    { 0x771D, "s3_controlroom_vo_notetrack3" },
    { 0x771E, "s3_controlroom_vo_notetrack4" },
    { 0x771F, "s3_controlroom_vo_notetrack5" },
    { 0x7720, "s3_controlroom_vo_notetrack6" },
    { 0x7721, "s3_enter_security_room" },
    { 0x7722, "s3_escape_ally_gun_help_anim" },
    { 0x7723, "s3_escape_console_gun_action" },
    { 0x7724, "s3_escape_console_monitor" },
    { 0x7725, "s3_escape_controlroom_door_notetrack" },
    { 0x7726, "s3_escape_controlroom_exit_door_notetrack" },
    { 0x7727, "s3_escape_controlroom_exit_door_swipe_sfx_notetrack" },
    { 0x7728, "s3_escape_deathwatcher" },
    { 0x7729, "s3_escape_door_notetrack" },
    { 0x772A, "s3_escape_elevator_movement" },
    { 0x772B, "s3_escape_elevator_start" },
    { 0x772C, "s3_escape_guard_function" },
    { 0x772D, "s3_escape_guards_enter" },
    { 0x772E, "s3_escape_gun_action" },
    { 0x772F, "s3_escape_hack_action" },
    { 0x7730, "s3_escape_hack_action_switcher" },
    { 0x7731, "s3_escape_outer_door" },
    { 0x7732, "s3_escape_player_exo_and_gun_anim" },
    { 0x7733, "s3_escape_player_gun" },
    { 0x7734, "s3_escape_sliding_door_player" },
    { 0x7735, "s3_fade_over_time" },
    { 0x7736, "s3_get_gun_vo_notetrack1" },
    { 0x7737, "s3_get_gun_vo_notetrack2" },
    { 0x7738, "s3_get_gun_vo_notetrack3" },
    { 0x7739, "s3_guard_takedown_vo_notetrack" },
    { 0x773A, "s3_interrogate_doctor_scene" },
    { 0x773B, "s3_splitup_event" },
    { 0x773C, "s3_toggle_rig" },
    { 0x773D, "s3escape_console_cinematic_watcher" },
    { 0x773E, "s3escape_console_pause_checkpoint" },
    { 0x773F, "s3escape_console_setup" },
    { 0x7740, "s3escape_doctor_kill" },
    { 0x7741, "s3escape_doctor_killbox_prompt" },
    { 0x7742, "s3escape_doctor_scene" },
    { 0x7743, "s3escape_fade_to_black" },
    { 0x7744, "s3escape_gideon_gun_anim" },
    { 0x7745, "s3escape_intro_scene" },
    { 0x7746, "sabbomb" },
    { 0x7747, "safe_activate_trigger_with_targetname" },
    { 0x7748, "safe_str" },
    { 0x7749, "safe_to_spawn_vehciles" },
    { 0x774A, "safe_vehicle_delete" },
    { 0x774B, "safe_volume" },
    { 0x774C, "safefromgas" },
    { 0x774D, "safehouse_backyard_damb" },
    { 0x774E, "safehouse_balcony_siren" },
    { 0x774F, "safehouse_escape_music" },
    { 0x7750, "safehouse_exo_trans_fade_in" },
    { 0x7751, "safehouse_exo_trans_fade_out" },
    { 0x7752, "safehouse_int_trigger_think" },
    { 0x7753, "safehouse_sonic_destruct" },
    { 0x7754, "safehousebackyardalertmonitoroff" },
    { 0x7755, "safehousebackyardalertmonitoron" },
    { 0x7756, "safehousebackyarddamagetriggers" },
    { 0x7757, "safehousebackyarddamagetriggerstoggle" },
    { 0x7758, "safehousebackyarddamagetriggerwaits" },
    { 0x7759, "safehousebagdropreminder" },
    { 0x775A, "safehousebagdroprumblelight" },
    { 0x775B, "safehousebeginentrance" },
    { 0x775C, "safehousebeginexit" },
    { 0x775D, "safehousechangeclothes" },
    { 0x775E, "safehouseclearfirstfloordialogue" },
    { 0x775F, "safehouseclearsecondfloordialogue" },
    { 0x7760, "safehousecourtyarddistraction" },
    { 0x7761, "safehousecourtyarddistractioninterrupt" },
    { 0x7762, "safehousecourtyardsightwatch" },
    { 0x7763, "safehousecourtyardtakedownilonafail" },
    { 0x7764, "safehousecourtyardtakedownknifenpc" },
    { 0x7765, "safehousecourtyardtakedownprops" },
    { 0x7766, "safehousedoorinit" },
    { 0x7767, "safehousedoorplayerblocker" },
    { 0x7768, "safehousedoorsetlocked" },
    { 0x7769, "safehousedoorunlockednotetrack" },
    { 0x776A, "safehouseenddronecontrolsetup" },
    { 0x776B, "safehouseenemiesignoreplayer" },
    { 0x776C, "safehouseenemyinit" },
    { 0x776D, "safehouseexit2floor" },
    { 0x776E, "safehouseexit2floorviewmodel" },
    { 0x776F, "safehouseexitautosaves" },
    { 0x7770, "safehouseexitdeadbodysetupcouchguard" },
    { 0x7771, "safehouseexitdeadbodysetuppacingguard" },
    { 0x7772, "safehouseexitplayerjumpwatcher" },
    { 0x7773, "safehouseexitplayerleaps" },
    { 0x7774, "safehouseexittogglegates" },
    { 0x7775, "safehousefailcoverblown" },
    { 0x7776, "safehousefailkvaalerted" },
    { 0x7777, "safehousefailtargetescaped" },
    { 0x7778, "safehouseflaginit" },
    { 0x7779, "safehousefollowplayernotifies" },
    { 0x777A, "safehousefollowreminder1" },
    { 0x777B, "safehousefollowreminder2" },
    { 0x777C, "safehousefollowreminder3" },
    { 0x777D, "safehouseforceopensafehousedoor" },
    { 0x777E, "safehousefrontdoorreminder" },
    { 0x777F, "safehousegatebashfx" },
    { 0x7780, "safehouseglobalsetup" },
    { 0x7781, "safehouseglobalvars" },
    { 0x7782, "safehouseguardalertwatch" },
    { 0x7783, "safehouseguardsightwatch" },
    { 0x7784, "safehouseguardtriggerwatch" },
    { 0x7785, "safehouseilanabagdropwait" },
    { 0x7786, "safehouseilanacheckdeckweapon" },
    { 0x7787, "safehouseilanaclearsafehouse" },
    { 0x7788, "safehouseilanaexitstairs" },
    { 0x7789, "safehouseilanaopendooridle" },
    { 0x778A, "safehouseilanaopensafehousedoor" },
    { 0x778B, "safehouseilanaplanningguardsearlykill" },
    { 0x778C, "safehouseilanasafehouseexit" },
    { 0x778D, "safehouseilanasetupteamkill" },
    { 0x778E, "safehouseilanasonicexocheck" },
    { 0x778F, "safehouseilanastairway" },
    { 0x7790, "safehouseilanatransition" },
    { 0x7791, "safehouseilanaweaponshot" },
    { 0x7792, "safehousekilldialogue" },
    { 0x7793, "safehousekillreminder" },
    { 0x7794, "safehousekvafollowtargetdeath" },
    { 0x7795, "safehousemonitorbagdrophint" },
    { 0x7796, "safehousemonitorbagdropinteract" },
    { 0x7797, "safehouseobjectivesetup" },
    { 0x7798, "safehouseoutrodialogue" },
    { 0x7799, "safehousepacingguard" },
    { 0x779A, "safehousepacingguardalertmonitor" },
    { 0x779B, "safehousepacingguardconversationmonitor" },
    { 0x779C, "safehousepacingguarddeath" },
    { 0x779D, "safehousepacingguardtriggerwatch" },
    { 0x779E, "safehousepatrolleralertwatch" },
    { 0x779F, "safehouseplanningguard" },
    { 0x77A0, "safehouseplanningguarddeathcheck" },
    { 0x77A1, "safehouseplanningguardfailendnotetrack" },
    { 0x77A2, "safehouseplanningguardfailwatch" },
    { 0x77A3, "safehouseplanningguards" },
    { 0x77A4, "safehouseplanningguardsdialog" },
    { 0x77A5, "safehouseplanningguardsweapons" },
    { 0x77A6, "safehouseplayermovespeedscale1stfloor" },
    { 0x77A7, "safehouseplayermovespeedscale2ndfloor" },
    { 0x77A8, "safehouseprecache" },
    { 0x77A9, "safehouseremoveplayerblocker" },
    { 0x77AA, "safehouseremovethreatgrenade" },
    { 0x77AB, "safehousesecondfloorilonacouchkill" },
    { 0x77AC, "safehousesecondfloorreminder" },
    { 0x77AD, "safehousesetcompletedobjflags" },
    { 0x77AE, "safehousesetupsniperdroneilana" },
    { 0x77AF, "safehousesleepingguard" },
    { 0x77B0, "safehousesleepingguardanimcheck" },
    { 0x77B1, "safehousesleepingguarddeath" },
    { 0x77B2, "safehousesniperdronecloaking" },
    { 0x77B3, "safehousesniperdronelaunch" },
    { 0x77B4, "safehousesonicdustfx" },
    { 0x77B5, "safehousespawnbackalleykva" },
    { 0x77B6, "safehousespawnbackalleyrooftopkva" },
    { 0x77B7, "safehousespawnwindowshooters" },
    { 0x77B8, "safehousestartpoints" },
    { 0x77B9, "safehousestartpointsfinal" },
    { 0x77BA, "safehousetakedownreturnplayercontrol" },
    { 0x77BB, "safehousetoggleexitflagtriggers" },
    { 0x77BC, "safehousetransitiondialogue" },
    { 0x77BD, "safehousetranstoalleygatesetup" },
    { 0x77BE, "safehousetvdestructible" },
    { 0x77BF, "safehousevideochatmovie" },
    { 0x77C0, "safehousewindowshootermonitor" },
    { 0x77C1, "safehousewindowshootermovetarget" },
    { 0x77C2, "safehousewindowshooterthink" },
    { 0x77C3, "safehousewindowshutterdestroy" },
    { 0x77C4, "safelyplayanimatrateuntilnotetrack" },
    { 0x77C5, "safelyplayanimnatrateuntilnotetrack" },
    { 0x77C6, "safelyplayanimnuntilnotetrack" },
    { 0x77C7, "safelyplayanimuntilnotetrack" },
    { 0x77C8, "safemod" },
    { 0x77C9, "safeorigin" },
    { 0x77CA, "safetyteleport_actor" },
    { 0x77CB, "safetyteleport_allies" },
    { 0x77CC, "saint" },
    { 0x77CD, "salvo_ammo" },
    { 0x77CE, "salvo_cooldown_max" },
    { 0x77CF, "salvo_cooldown_min" },
    { 0x77D0, "salvo_idx" },
    { 0x77D1, "salvo0" },
    { 0x77D2, "salvo1" },
    { 0x77D3, "sam_acquiretarget" },
    { 0x77D4, "sam_attacktargets" },
    { 0x77D5, "sam_fireontarget" },
    { 0x77D6, "sam_watchcrashing" },
    { 0x77D7, "sam_watchlaser" },
    { 0x77D8, "sam_watchleaving" },
    { 0x77D9, "sam_watchlineofsight" },
    { 0x77DA, "samb" },
    { 0x77DB, "samb1_name" },
    { 0x77DC, "samb2_name" },
    { 0x77DD, "same_color_code_as_last_time" },
    { 0x77DE, "same_mech_chaingun_last_state" },
    { 0x77DF, "same_mech_rocket_last_state" },
    { 0x77E0, "same_mech_swarm_last_state" },
    { 0x77E1, "sameshotdamage" },
    { 0x77E2, "sammissilegroup" },
    { 0x77E3, "sammissilegroups" },
    { 0x77E4, "samtargetent" },
    { 0x77E5, "samturret" },
    { 0x77E6, "sanfran_b_bridge_clut" },
    { 0x77E7, "sanfran_b_dark_lightset" },
    { 0x77E8, "sanfran_b_darker_lightset" },
    { 0x77E9, "sanfran_b_dim" },
    { 0x77EA, "sanfran_b_exterior_clut" },
    { 0x77EB, "sanfran_b_exterior_clut_fast" },
    { 0x77EC, "sanfran_b_fire" },
    { 0x77ED, "sanfran_b_hangar_lightset" },
    { 0x77EE, "sanfran_b_info_top_lightset" },
    { 0x77EF, "sanfran_b_interior_blue_clut" },
    { 0x77F0, "sanfran_b_interior_clut" },
    { 0x77F1, "sanfran_b_lightset" },
    { 0x77F2, "sanfran_b_locations" },
    { 0x77F3, "sanfran_intro_screen" },
    { 0x77F4, "sanfran_locations" },
    { 0x77F5, "sarray_clear" },
    { 0x77F6, "sarray_copy" },
    { 0x77F7, "sarray_create_func_obj" },
    { 0x77F8, "sarray_get" },
    { 0x77F9, "sarray_length" },
    { 0x77FA, "sarray_pop" },
    { 0x77FB, "sarray_push" },
    { 0x77FC, "sarray_set" },
    { 0x77FD, "sarray_sort_by_handler" },
    { 0x77FE, "sarray_spawn" },
    { 0x77FF, "save" },
    { 0x7800, "save_exhaust_hatch" },
    { 0x7801, "save_flank_info" },
    { 0x7802, "save_friendlies" },
    { 0x7803, "save_game_big_jump" },
    { 0x7804, "save_game_drone_swarm_street_begin" },
    { 0x7805, "save_game_start_building_fob" },
    { 0x7806, "save_game_when_dead" },
    { 0x7807, "save_ignore_setting" },
    { 0x7808, "save_intel_for_all_players" },
    { 0x7809, "save_redo_buffer" },
    { 0x780A, "save_turret_sharing_info" },
    { 0x780B, "save_undo_buffer" },
    { 0x780C, "savecommit_aftergrenade" },
    { 0x780D, "saved" },
    { 0x780E, "saved_actionslotdata" },
    { 0x780F, "saved_bg_viewbobmax" },
    { 0x7810, "saved_hud_damagefeedback" },
    { 0x7811, "saved_lastweapon" },
    { 0x7812, "saved_targetname" },
    { 0x7813, "savedata" },
    { 0x7814, "savedcompassfadetime" },
    { 0x7815, "savedefaultturnrate" },
    { 0x7816, "savednotify" },
    { 0x7817, "savedorigin" },
    { 0x7818, "savedposition" },
    { 0x7819, "saveheadicon" },
    { 0x781A, "savehere" },
    { 0x781B, "saveplayerweaponstatepersistent" },
    { 0x781C, "savetostructfn" },
    { 0x781D, "saw_mgturretlink" },
    { 0x781E, "sawcorpse" },
    { 0x781F, "sawenemymove" },
    { 0x7820, "saydamaged" },
    { 0x7821, "saygenericdialogue" },
    { 0x7822, "saying_vo" },
    { 0x7823, "saylocalsound" },
    { 0x7824, "saylocalsounddelayed" },
    { 0x7825, "sayspecificdialogue" },
    { 0x7826, "sbadplacename" },
    { 0x7827, "scaffolding_update_my_volume_think" },
    { 0x7828, "scalar_actual" },
    { 0x7829, "scalar_target" },
    { 0x782A, "scale" },
    { 0x782B, "scale_3d_hint_button" },
    { 0x782C, "scale_3d_hud_elem" },
    { 0x782D, "scale_flame_sound_logic2" },
    { 0x782E, "scale_missile_reticle_with_dist" },
    { 0x782F, "scale_vehicle_speed" },
    { 0x7830, "scaler" },
    { 0x7831, "scalesoundsonexit" },
    { 0x7832, "scalestickinput" },
    { 0x7833, "scalevelocity" },
    { 0x7834, "scan_space_with_noise" },
    { 0x7835, "scancamerafoundpotentialtarget" },
    { 0x7836, "scancamerainitvariables" },
    { 0x7837, "scancameraswitching" },
    { 0x7838, "scancameratargetdialogue" },
    { 0x7839, "scancounter" },
    { 0x783A, "scanfadeintro" },
    { 0x783B, "scanfadeoutro" },
    { 0x783C, "scanforrocketenemies" },
    { 0x783D, "scaninitremindermonitor" },
    { 0x783E, "scanlinemeshes" },
    { 0x783F, "scanner_beam" },
    { 0x7840, "scanner_cone_inside_ents" },
    { 0x7841, "scanner_forward" },
    { 0x7842, "scanner_front_door_close" },
    { 0x7843, "scanner_front_door_open" },
    { 0x7844, "scanner_local_velocity" },
    { 0x7845, "scanner_local_yaw" },
    { 0x7846, "scanner_mode" },
    { 0x7847, "scanner_monitor_emp_damage" },
    { 0x7848, "scanner_offset_from_vehicle_facing" },
    { 0x7849, "scanner_origin" },
    { 0x784A, "scanner_pa_vo" },
    { 0x784B, "scanner_pause_timer" },
    { 0x784C, "scanner_rear_door_close" },
    { 0x784D, "scanner_return" },
    { 0x784E, "scanner_rumble" },
    { 0x784F, "scanner_sweep_direction" },
    { 0x7850, "scanner_tilt" },
    { 0x7851, "scanner_yaw" },
    { 0x7852, "scanning" },
    { 0x7853, "scanprogress" },
    { 0x7854, "scantag" },
    { 0x7855, "scantagaudio" },
    { 0x7856, "scantakestoolongmonitor" },
    { 0x7857, "scantime" },
    { 0x7858, "scavenger_altmode" },
    { 0x7859, "scavenger_secondary" },
    { 0x785A, "scene_control_room_ai" },
    { 0x785B, "scene_control_room_fade_up" },
    { 0x785C, "scene_enemy_walk_setup_loops" },
    { 0x785D, "scene_intro_walk" },
    { 0x785E, "scene_models" },
    { 0x785F, "scene_origin" },
    { 0x7860, "scene_s1_in_elevator" },
    { 0x7861, "scene_walk" },
    { 0x7862, "schedule_remove_avatar" },
    { 0x7863, "school_animated_fences" },
    { 0x7864, "school_begin_onbike" },
    { 0x7865, "school_bodies_room_no_crouching" },
    { 0x7866, "school_burke_external" },
    { 0x7867, "school_deadroom_dialogue" },
    { 0x7868, "school_dialogue" },
    { 0x7869, "school_drone_spawn" },
    { 0x786A, "school_enter_dialogue" },
    { 0x786B, "school_exterior_cleaning_crew_dialogue" },
    { 0x786C, "school_exterior_dialogue" },
    { 0x786D, "school_fall" },
    { 0x786E, "school_fall_frame_hide" },
    { 0x786F, "school_fall_into_basement" },
    { 0x7870, "school_fall_rumble" },
    { 0x7871, "school_fall_slowmo_lerp" },
    { 0x7872, "school_funtions_to_load" },
    { 0x7873, "school_jeep_light_tgl" },
    { 0x7874, "school_kva_basement_dialogue" },
    { 0x7875, "school_kva_basement_rats_dialogue" },
    { 0x7876, "school_kva_fall_notice_guy" },
    { 0x7877, "school_kva_spot_guy" },
    { 0x7878, "school_light_burst_dialogue" },
    { 0x7879, "school_lightning_strike" },
    { 0x787A, "school_main" },
    { 0x787B, "school_objective" },
    { 0x787C, "school_shimmy_dialogue" },
    { 0x787D, "school_stairs_dialogue" },
    { 0x787E, "school_thisway_dialogue" },
    { 0x787F, "school_upthestairs" },
    { 0x7880, "school_wall_grab_rumble" },
    { 0x7881, "schoolfall_start" },
    { 0x7882, "science_room" },
    { 0x7883, "scn_cap_mech_door_closes" },
    { 0x7884, "scn_cap_mech_door_grab" },
    { 0x7885, "scn_truck_sounds" },
    { 0x7886, "score_and_sort_current_spawns" },
    { 0x7887, "score_col" },
    { 0x7888, "score_factor" },
    { 0x7889, "score_fx" },
    { 0x788A, "score_handler" },
    { 0x788B, "score_keeper" },
    { 0x788C, "score_manager_detect_damage" },
    { 0x788D, "score_manager_detect_enemy_death" },
    { 0x788E, "score_manager_detect_timeout" },
    { 0x788F, "score_manager_force_stop" },
    { 0x7890, "score_manager_increase_score" },
    { 0x7891, "score_manager_init" },
    { 0x7892, "score_manager_print_current_score" },
    { 0x7893, "score_manager_print_final_score" },
    { 0x7894, "score_manager_waittill_timeout_or_maxscore" },
    { 0x7895, "scoreatlifestart" },
    { 0x7896, "scorefactors_awayfromenemies" },
    { 0x7897, "scorefactors_domination" },
    { 0x7898, "scorefactors_freeforall" },
    { 0x7899, "scorefactors_hardpoint" },
    { 0x789A, "scorefactors_nearteam" },
    { 0x789B, "scorefactors_safeguard" },
    { 0x789C, "scorefactors_searchandrescue" },
    { 0x789D, "scorefactors_twar" },
    { 0x789E, "scorelimitoverride" },
    { 0x789F, "scorepercentagecutoff" },
    { 0x78A0, "scoreperplayer" },
    { 0x78A1, "scorespawns_awayfromenemies" },
    { 0x78A2, "scorespawns_domination" },
    { 0x78A3, "scorespawns_freeforall" },
    { 0x78A4, "scorespawns_hardpoint" },
    { 0x78A5, "scorespawns_nearteam" },
    { 0x78A6, "scorespawns_safeguard" },
    { 0x78A7, "scorespawns_searchandrescue" },
    { 0x78A8, "scorespawns_twar" },
    { 0x78A9, "scr_anim" },
    { 0x78AA, "scr_anim_viewmodel" },
    { 0x78AB, "scr_anim_vm" },
    { 0x78AC, "scr_anim_vm_index" },
    { 0x78AD, "scr_animsound" },
    { 0x78AE, "scr_animtree" },
    { 0x78AF, "scr_face" },
    { 0x78B0, "scr_goaltime" },
    { 0x78B1, "scr_look" },
    { 0x78B2, "scr_model" },
    { 0x78B3, "scr_notetrack" },
    { 0x78B4, "scr_prim_lght" },
    { 0x78B5, "scr_prim_light" },
    { 0x78B6, "scr_radio" },
    { 0x78B7, "scr_sound" },
    { 0x78B8, "scr_stub" },
    { 0x78B9, "scr_text" },
    { 0x78BA, "scr_viewanim" },
    { 0x78BB, "scramble_amb_siren_loop" },
    { 0x78BC, "scramble_siren_01" },
    { 0x78BD, "scramble_siren_setup" },
    { 0x78BE, "scrambleatlasrpg" },
    { 0x78BF, "scramblecivdrones" },
    { 0x78C0, "scramblecivfinale" },
    { 0x78C1, "scramblecivhotel" },
    { 0x78C2, "scramblecivhothall" },
    { 0x78C3, "scrambleciviliancower" },
    { 0x78C4, "scramblecivilianflee" },
    { 0x78C5, "scramblecivpatio" },
    { 0x78C6, "scramblecivpool" },
    { 0x78C7, "scramblecivrestaurant" },
    { 0x78C8, "scramblecivrestaurantdooropener" },
    { 0x78C9, "scramblecivsetup" },
    { 0x78CA, "scrambled" },
    { 0x78CB, "scrambledestroycafewall" },
    { 0x78CC, "scrambledronesfightreminderdialogue" },
    { 0x78CD, "scrambledronesplayerrestaurantreminderdialogue" },
    { 0x78CE, "scrambleeventcurrent" },
    { 0x78CF, "scrambleevents" },
    { 0x78D0, "scramblefailplayerleftilanadialogue" },
    { 0x78D1, "scramblefinalealldronesdeaddialogue" },
    { 0x78D2, "scramblefinaleallies" },
    { 0x78D3, "scramblefinalecar" },
    { 0x78D4, "scramblefinaleextrawoundedally" },
    { 0x78D5, "scramblefinalefirstwoundedally" },
    { 0x78D6, "scramblefinaleplayermovetruckreminderdialogue" },
    { 0x78D7, "scramblefinaleplayeruserpgreminderdialogue" },
    { 0x78D8, "scramblefinalesuppresssniperdialogue" },
    { 0x78D9, "scramblefiredamagemonitor" },
    { 0x78DA, "scramblegapjumpslomo" },
    { 0x78DB, "scramblehideplayergapjump" },
    { 0x78DC, "scramblehotelilanafirstdialogue" },
    { 0x78DD, "scramblehotelilanahitdialogue" },
    { 0x78DE, "scramblehoteljumpdownreminderdialogue" },
    { 0x78DF, "scramblehotelleapfrogcompletedialogue" },
    { 0x78E0, "scramblehotelplayerfirstdialogue" },
    { 0x78E1, "scramblehotelplayerrunreminderdialogue" },
    { 0x78E2, "scramblehotelsuppressorrunreminderdialogue" },
    { 0x78E3, "scramblehotelsuppresssniperreminderdialogue" },
    { 0x78E4, "scramblehothallciv" },
    { 0x78E5, "scrambleid" },
    { 0x78E6, "scrambleilanagapjump" },
    { 0x78E7, "scrambleintrogapjumpreminderdialogue" },
    { 0x78E8, "scrambleintrothroughdoorreminderdialogue" },
    { 0x78E9, "scramblejumprumbleheavy" },
    { 0x78EA, "scramblejumprumblelight" },
    { 0x78EB, "scramblemodifyplayerviewkick" },
    { 0x78EC, "scramblemonitormovetruckhint" },
    { 0x78ED, "scrambleplayercafejump" },
    { 0x78EE, "scrambleplayerfishtankstumble" },
    { 0x78EF, "scrambleplayergapjump" },
    { 0x78F0, "scrambleplayerhoteljump" },
    { 0x78F1, "scrambleplayerjumpwatcher" },
    { 0x78F2, "scrambleplayerleaps" },
    { 0x78F3, "scrambler_light" },
    { 0x78F4, "scrambler_light_off" },
    { 0x78F5, "scramblerbeepsounds" },
    { 0x78F6, "scramblerdamagelistener" },
    { 0x78F7, "scramblerestaurantcivexit" },
    { 0x78F8, "scramblerestaurantdoorsopen" },
    { 0x78F9, "scramblerestaurantexitclip" },
    { 0x78FA, "scramblerproximitytracker" },
    { 0x78FB, "scramblers" },
    { 0x78FC, "scramblersetup" },
    { 0x78FD, "scrambleruselistener" },
    { 0x78FE, "scramblerwatchowner" },
    { 0x78FF, "scramblesetupexittruck" },
    { 0x7900, "scramblesniperkillplayerfailmsg" },
    { 0x7901, "scramblesniperragdoll" },
    { 0x7902, "scramblesnipertowerdestruction" },
    { 0x7903, "scramblesnipertowerdestructionshake" },
    { 0x7904, "scramblespawndronesa" },
    { 0x7905, "scramblespawndronesb" },
    { 0x7906, "scramblestartdoorinit" },
    { 0x7907, "scramblestartdoorshots" },
    { 0x7908, "scrambletruckfiredamagevol" },
    { 0x7909, "scrambletruckpushrumbleheavy" },
    { 0x790A, "scramblevehicleexplodeondeath" },
    { 0x790B, "scramblevisitorcentergateopen" },
    { 0x790C, "scramproxyactive" },
    { 0x790D, "scramproxyperk" },
    { 0x790E, "scrape_pos" },
    { 0x790F, "scrape_sounds" },
    { 0x7910, "scrapeenabled" },
    { 0x7911, "scrapefadeouttime" },
    { 0x7912, "scrapeseperationtime" },
    { 0x7913, "scrapeupdaterate" },
    { 0x7914, "screen" },
    { 0x7915, "screen_detailed_alpha" },
    { 0x7916, "screen_effect_base" },
    { 0x7917, "screen_effect_fade" },
    { 0x7918, "screen_effect_on_open_bottom" },
    { 0x7919, "screen_effect_on_open_side" },
    { 0x791A, "screen_effect_sides" },
    { 0x791B, "screen_fade" },
    { 0x791C, "screen_fade_in" },
    { 0x791D, "screen_fade_out" },
    { 0x791E, "screen_flicker" },
    { 0x791F, "screen_flicker_full" },
    { 0x7920, "screen_flicker_full_solo" },
    { 0x7921, "screenangle" },
    { 0x7922, "screeneffect" },
    { 0x7923, "screennamemap" },
    { 0x7924, "screenpos" },
    { 0x7925, "screenshakefade" },
    { 0x7926, "script_accel" },
    { 0x7927, "script_accel_fraction" },
    { 0x7928, "script_accumulate" },
    { 0x7929, "script_accuracy" },
    { 0x792A, "script_ai_invulnerable" },
    { 0x792B, "script_aigroup" },
    { 0x792C, "script_airresistance" },
    { 0x792D, "script_airspeed" },
    { 0x792E, "script_allow_driver_death" },
    { 0x792F, "script_allow_rider_death" },
    { 0x7930, "script_allow_rider_deaths" },
    { 0x7931, "script_allowdeath" },
    { 0x7932, "script_ammo_alt_clip" },
    { 0x7933, "script_ammo_alt_extra" },
    { 0x7934, "script_ammo_clip" },
    { 0x7935, "script_ammo_extra" },
    { 0x7936, "script_ammo_max" },
    { 0x7937, "script_angles" },
    { 0x7938, "script_anglevehicle" },
    { 0x7939, "script_animation" },
    { 0x793A, "script_animname" },
    { 0x793B, "script_area" },
    { 0x793C, "script_assaultnode" },
    { 0x793D, "script_attackai" },
    { 0x793E, "script_attackeraccuracy" },
    { 0x793F, "script_attackmetype" },
    { 0x7940, "script_attackpattern" },
    { 0x7941, "script_attackspeed" },
    { 0x7942, "script_audio_blend_mode" },
    { 0x7943, "script_audio_enter_func" },
    { 0x7944, "script_audio_enter_msg" },
    { 0x7945, "script_audio_exit_func" },
    { 0x7946, "script_audio_exit_msg" },
    { 0x7947, "script_audio_point_func" },
    { 0x7948, "script_audio_progress_func" },
    { 0x7949, "script_audio_progress_map" },
    { 0x794A, "script_audio_progress_msg" },
    { 0x794B, "script_audio_update_rate" },
    { 0x794C, "script_audio_zones" },
    { 0x794D, "script_autosave" },
    { 0x794E, "script_autosavename" },
    { 0x794F, "script_autotarget" },
    { 0x7950, "script_avoidplayer" },
    { 0x7951, "script_avoidvehicles" },
    { 0x7952, "script_axial" },
    { 0x7953, "script_badplace" },
    { 0x7954, "script_balcony" },
    { 0x7955, "script_baseoffire" },
    { 0x7956, "script_battlechatter" },
    { 0x7957, "script_battleplan" },
    { 0x7958, "script_bcdialog" },
    { 0x7959, "script_bctrigger" },
    { 0x795A, "script_bg_offset" },
    { 0x795B, "script_bombmode_dual" },
    { 0x795C, "script_bombmode_original" },
    { 0x795D, "script_bombmode_single" },
    { 0x795E, "script_brake" },
    { 0x795F, "script_breach_id" },
    { 0x7960, "script_breachgroup" },
    { 0x7961, "script_bulletshield" },
    { 0x7962, "script_burst" },
    { 0x7963, "script_burst_max" },
    { 0x7964, "script_burst_min" },
    { 0x7965, "script_button" },
    { 0x7966, "script_car_on_left" },
    { 0x7967, "script_car_on_right" },
    { 0x7968, "script_careful" },
    { 0x7969, "script_cars" },
    { 0x796A, "script_chance" },
    { 0x796B, "script_char_group" },
    { 0x796C, "script_char_index" },
    { 0x796D, "script_chatgroup" },
    { 0x796E, "script_cheap" },
    { 0x796F, "script_cleartargetyaw" },
    { 0x7970, "script_cobratarget" },
    { 0x7971, "script_color_allies" },
    { 0x7972, "script_color_axis" },
    { 0x7973, "script_color_delay_override" },
    { 0x7974, "script_colorlast" },
    { 0x7975, "script_combatbehavior" },
    { 0x7976, "script_combatmode" },
    { 0x7977, "script_count" },
    { 0x7978, "script_count_max" },
    { 0x7979, "script_count_min" },
    { 0x797A, "script_crashtype" },
    { 0x797B, "script_crashtypeoverride" },
    { 0x797C, "script_damage" },
    { 0x797D, "script_danger_react" },
    { 0x797E, "script_death" },
    { 0x797F, "script_death_max" },
    { 0x7980, "script_death_min" },
    { 0x7981, "script_deathchain" },
    { 0x7982, "script_deathflag" },
    { 0x7983, "script_deathflag_longdeath" },
    { 0x7984, "script_deathroll" },
    { 0x7985, "script_deathtime" },
    { 0x7986, "script_decel" },
    { 0x7987, "script_decel_fraction" },
    { 0x7988, "script_delay_max" },
    { 0x7989, "script_delay_min" },
    { 0x798A, "script_delay_post" },
    { 0x798B, "script_delay_spawn" },
    { 0x798C, "script_delayed_playerseek" },
    { 0x798D, "script_delete" },
    { 0x798E, "script_deleteai" },
    { 0x798F, "script_dest_cover_chunkfx" },
    { 0x7990, "script_dest_cover_chunkhealth" },
    { 0x7991, "script_dest_cover_chunksnd" },
    { 0x7992, "script_dest_cover_dmg_dist" },
    { 0x7993, "script_dest_cover_dmg_model" },
    { 0x7994, "script_dest_cover_numchunks" },
    { 0x7995, "script_destruct_collision" },
    { 0x7996, "script_destructable_area" },
    { 0x7997, "script_destructible_tree_think" },
    { 0x7998, "script_diequietly" },
    { 0x7999, "script_difficulty" },
    { 0x799A, "script_disablevehicleaudio" },
    { 0x799B, "script_disconnectpaths" },
    { 0x799C, "script_displaceable" },
    { 0x799D, "script_dof_far_blur" },
    { 0x799E, "script_dof_far_end" },
    { 0x799F, "script_dof_far_start" },
    { 0x79A0, "script_dof_near_blur" },
    { 0x79A1, "script_dof_near_end" },
    { 0x79A2, "script_dof_near_start" },
    { 0x79A3, "script_dont_link_turret" },
    { 0x79A4, "script_dontpeek" },
    { 0x79A5, "script_dontshootwhilemoving" },
    { 0x79A6, "script_dontunloadonend" },
    { 0x79A7, "script_dot" },
    { 0x79A8, "script_drone" },
    { 0x79A9, "script_drone_override" },
    { 0x79AA, "script_drone_repeat_count" },
    { 0x79AB, "script_dronelag" },
    { 0x79AC, "script_drones_max" },
    { 0x79AD, "script_drones_min" },
    { 0x79AE, "script_dronestartmove" },
    { 0x79AF, "script_duration" },
    { 0x79B0, "script_earthquake" },
    { 0x79B1, "script_emptyspawner" },
    { 0x79B2, "script_end_flag_clear" },
    { 0x79B3, "script_ender" },
    { 0x79B4, "script_engage" },
    { 0x79B5, "script_engagedelay" },
    { 0x79B6, "script_ent_flag_clear" },
    { 0x79B7, "script_ent_flag_set" },
    { 0x79B8, "script_ent_flag_wait" },
    { 0x79B9, "script_explode" },
    { 0x79BA, "script_exploder" },
    { 0x79BB, "script_exploder_delay" },
    { 0x79BC, "script_exploder_group" },
    { 0x79BD, "script_explosive_bullet_shield" },
    { 0x79BE, "script_faceangles" },
    { 0x79BF, "script_faceenemydist" },
    { 0x79C0, "script_facing" },
    { 0x79C1, "script_fallback" },
    { 0x79C2, "script_fallback_group" },
    { 0x79C3, "script_falldirection" },
    { 0x79C4, "script_favoriteenemy" },
    { 0x79C5, "script_fightdist" },
    { 0x79C6, "script_firefx" },
    { 0x79C7, "script_firefxdelay" },
    { 0x79C8, "script_firefxsound" },
    { 0x79C9, "script_firefxtimeout" },
    { 0x79CA, "script_firelink" },
    { 0x79CB, "script_fireondrones" },
    { 0x79CC, "script_fixednode" },
    { 0x79CD, "script_fixedposition" },
    { 0x79CE, "script_flag" },
    { 0x79CF, "script_flag_clear" },
    { 0x79D0, "script_flag_delay" },
    { 0x79D1, "script_flag_false" },
    { 0x79D2, "script_flag_flase" },
    { 0x79D3, "script_flag_set" },
    { 0x79D4, "script_flag_true" },
    { 0x79D5, "script_flag_wait" },
    { 0x79D6, "script_flagwait" },
    { 0x79D7, "script_flakaicount" },
    { 0x79D8, "script_flanker" },
    { 0x79D9, "script_flashbangs" },
    { 0x79DA, "script_flowrate" },
    { 0x79DB, "script_fogset_end" },
    { 0x79DC, "script_fogset_start" },
    { 0x79DD, "script_followmax" },
    { 0x79DE, "script_followmin" },
    { 0x79DF, "script_followmode" },
    { 0x79E0, "script_force_count" },
    { 0x79E1, "script_forcecolor" },
    { 0x79E2, "script_forcefire_delay" },
    { 0x79E3, "script_forcefire_duration" },
    { 0x79E4, "script_forcegoal" },
    { 0x79E5, "script_forcegrenade" },
    { 0x79E6, "script_forcespawn" },
    { 0x79E7, "script_forceyaw" },
    { 0x79E8, "script_friendly_fire_disable" },
    { 0x79E9, "script_friendname" },
    { 0x79EA, "script_friendnames" },
    { 0x79EB, "script_fxcommand" },
    { 0x79EC, "script_fxid" },
    { 0x79ED, "script_fxstart" },
    { 0x79EE, "script_fxstop" },
    { 0x79EF, "script_gameobjectname" },
    { 0x79F0, "script_gametype_atdm" },
    { 0x79F1, "script_gametype_ctf" },
    { 0x79F2, "script_gametype_dm" },
    { 0x79F3, "script_gametype_hq" },
    { 0x79F4, "script_gametype_koth" },
    { 0x79F5, "script_gametype_sd" },
    { 0x79F6, "script_gametype_tdm" },
    { 0x79F7, "script_gatetrigger" },
    { 0x79F8, "script_ghettotag" },
    { 0x79F9, "script_goal_radius" },
    { 0x79FA, "script_goal_type" },
    { 0x79FB, "script_goal_yaw" },
    { 0x79FC, "script_goalheight" },
    { 0x79FD, "script_goalpitch" },
    { 0x79FE, "script_goalvolume" },
    { 0x79FF, "script_goalyaw" },
    { 0x7A00, "script_god_mode" },
    { 0x7A01, "script_godmode" },
    { 0x7A02, "script_grenades" },
    { 0x7A03, "script_grenadeshield" },
    { 0x7A04, "script_grenadespeed" },
    { 0x7A05, "script_group" },
    { 0x7A06, "script_growl" },
    { 0x7A07, "script_health" },
    { 0x7A08, "script_helimove" },
    { 0x7A09, "script_hidden" },
    { 0x7A0A, "script_hint" },
    { 0x7A0B, "script_hoverwait" },
    { 0x7A0C, "script_idleanim" },
    { 0x7A0D, "script_idlereach" },
    { 0x7A0E, "script_ignore_suppression" },
    { 0x7A0F, "script_ignoreall" },
    { 0x7A10, "script_ignoreme" },
    { 0x7A11, "script_immunetoflash" },
    { 0x7A12, "script_increment" },
    { 0x7A13, "script_index" },
    { 0x7A14, "script_intensity_max" },
    { 0x7A15, "script_intensity_min" },
    { 0x7A16, "script_keepdriver" },
    { 0x7A17, "script_kill_vehicle_spawner" },
    { 0x7A18, "script_killspawner" },
    { 0x7A19, "script_killspawner_group" },
    { 0x7A1A, "script_land" },
    { 0x7A1B, "script_landmark" },
    { 0x7A1C, "script_laser" },
    { 0x7A1D, "script_light" },
    { 0x7A1E, "script_light_startnotify" },
    { 0x7A1F, "script_light_stopnotify" },
    { 0x7A20, "script_linikto" },
    { 0x7A21, "script_linkto" },
    { 0x7A22, "script_location" },
    { 0x7A23, "script_longdeath" },
    { 0x7A24, "script_looping" },
    { 0x7A25, "script_manualtarget" },
    { 0x7A26, "script_mapsize_08" },
    { 0x7A27, "script_mapsize_16" },
    { 0x7A28, "script_mapsize_32" },
    { 0x7A29, "script_mapsize_64" },
    { 0x7A2A, "script_max_left_angle" },
    { 0x7A2B, "script_max_right_angle" },
    { 0x7A2C, "script_maxdist" },
    { 0x7A2D, "script_maxspawn" },
    { 0x7A2E, "script_mg_angle" },
    { 0x7A2F, "script_mg42" },
    { 0x7A30, "script_mg42auto" },
    { 0x7A31, "script_mgturret" },
    { 0x7A32, "script_mgturretauto" },
    { 0x7A33, "script_minspec_hooks_level" },
    { 0x7A34, "script_minspec_level" },
    { 0x7A35, "script_missiles" },
    { 0x7A36, "script_model_anims" },
    { 0x7A37, "script_modelname" },
    { 0x7A38, "script_models" },
    { 0x7A39, "script_mortargroup" },
    { 0x7A3A, "script_moveoverride" },
    { 0x7A3B, "script_moveplaybackrate" },
    { 0x7A3C, "script_mover" },
    { 0x7A3D, "script_mover_add_animation" },
    { 0x7A3E, "script_mover_add_hintstring" },
    { 0x7A3F, "script_mover_add_parameters" },
    { 0x7A40, "script_mover_agent_spawn_watch" },
    { 0x7A41, "script_mover_allow_usable" },
    { 0x7A42, "script_mover_animate" },
    { 0x7A43, "script_mover_animations" },
    { 0x7A44, "script_mover_apply_move_parameters" },
    { 0x7A45, "script_mover_classnames" },
    { 0x7A46, "script_mover_connect_watch" },
    { 0x7A47, "script_mover_connectpaths" },
    { 0x7A48, "script_mover_defaults" },
    { 0x7A49, "script_mover_delay" },
    { 0x7A4A, "script_mover_delete" },
    { 0x7A4B, "script_mover_disconnectpaths" },
    { 0x7A4C, "script_mover_func_on_notify" },
    { 0x7A4D, "script_mover_handle_notetracks" },
    { 0x7A4E, "script_mover_hide" },
    { 0x7A4F, "script_mover_hintstrings" },
    { 0x7A50, "script_mover_init" },
    { 0x7A51, "script_mover_init_move_parameters" },
    { 0x7A52, "script_mover_is_animated" },
    { 0x7A53, "script_mover_is_dynamic_path" },
    { 0x7A54, "script_mover_is_script_mover" },
    { 0x7A55, "script_mover_levelnotify" },
    { 0x7A56, "script_mover_move_to_named_goal" },
    { 0x7A57, "script_mover_move_to_target" },
    { 0x7A58, "script_mover_named_goals" },
    { 0x7A59, "script_mover_notify" },
    { 0x7A5A, "script_mover_notsolid" },
    { 0x7A5B, "script_mover_parameters" },
    { 0x7A5C, "script_mover_parse_ent" },
    { 0x7A5D, "script_mover_parse_move_parameters" },
    { 0x7A5E, "script_mover_parse_range" },
    { 0x7A5F, "script_mover_parse_targets" },
    { 0x7A60, "script_mover_play_animation" },
    { 0x7A61, "script_mover_reset" },
    { 0x7A62, "script_mover_reset_init" },
    { 0x7A63, "script_mover_save_default_move_parameters" },
    { 0x7A64, "script_mover_set_defaults" },
    { 0x7A65, "script_mover_set_param" },
    { 0x7A66, "script_mover_set_usable" },
    { 0x7A67, "script_mover_show" },
    { 0x7A68, "script_mover_solid" },
    { 0x7A69, "script_mover_start" },
    { 0x7A6A, "script_mover_trigger" },
    { 0x7A6B, "script_mover_trigger_off" },
    { 0x7A6C, "script_mover_trigger_on" },
    { 0x7A6D, "script_mover_update_paths" },
    { 0x7A6E, "script_mover_use_trigger" },
    { 0x7A6F, "script_mover_watch_for_reset" },
    { 0x7A70, "script_mp_style_helicopter" },
    { 0x7A71, "script_multiplier" },
    { 0x7A72, "script_namenumber" },
    { 0x7A73, "script_nobark" },
    { 0x7A74, "script_nobloodpool" },
    { 0x7A75, "script_node_pausetime" },
    { 0x7A76, "script_nodestate" },
    { 0x7A77, "script_nodrop" },
    { 0x7A78, "script_noflip" },
    { 0x7A79, "script_nofriendlywave" },
    { 0x7A7A, "script_nohealth" },
    { 0x7A7B, "script_nomg" },
    { 0x7A7C, "script_nostairs" },
    { 0x7A7D, "script_nosurprise" },
    { 0x7A7E, "script_noteworthy2" },
    { 0x7A7F, "script_notify" },
    { 0x7A80, "script_noturnanim" },
    { 0x7A81, "script_notworthy" },
    { 0x7A82, "script_nowall" },
    { 0x7A83, "script_objective" },
    { 0x7A84, "script_objective_active" },
    { 0x7A85, "script_objective_inactive" },
    { 0x7A86, "script_objectname" },
    { 0x7A87, "script_offradius" },
    { 0x7A88, "script_offtime" },
    { 0x7A89, "script_old_forcecolor" },
    { 0x7A8A, "script_oneway" },
    { 0x7A8B, "script_onlyidle" },
    { 0x7A8C, "script_origin_other" },
    { 0x7A8D, "script_origin_roof" },
    { 0x7A8E, "script_origin_target_array" },
    { 0x7A8F, "script_pacifist" },
    { 0x7A90, "script_painter_maxdist" },
    { 0x7A91, "script_painter_treeorient" },
    { 0x7A92, "script_paintergroup" },
    { 0x7A93, "script_parameters" },
    { 0x7A94, "script_params" },
    { 0x7A95, "script_pathtype" },
    { 0x7A96, "script_patroller" },
    { 0x7A97, "script_percent" },
    { 0x7A98, "script_personality" },
    { 0x7A99, "script_pet" },
    { 0x7A9A, "script_physics" },
    { 0x7A9B, "script_physicsjolt" },
    { 0x7A9C, "script_pilottalk" },
    { 0x7A9D, "script_plane" },
    { 0x7A9E, "script_playerconeradius" },
    { 0x7A9F, "script_playerseek" },
    { 0x7AA0, "script_prefab_exploder" },
    { 0x7AA1, "script_presound" },
    { 0x7AA2, "script_print_fx" },
    { 0x7AA3, "script_probe_heli_closed" },
    { 0x7AA4, "script_probe_heli_default" },
    { 0x7AA5, "script_probe_heli_open" },
    { 0x7AA6, "script_probe_heli_reset" },
    { 0x7AA7, "script_probe_pitbull_default" },
    { 0x7AA8, "script_probe_pitbull_tunnel_exterior" },
    { 0x7AA9, "script_probe_pitbull_tunnel_exterior_no_trigger" },
    { 0x7AAA, "script_probe_pitbull_tunnel_interior" },
    { 0x7AAB, "script_qualityspotshadow" },
    { 0x7AAC, "script_radius" },
    { 0x7AAD, "script_random_killspawner" },
    { 0x7AAE, "script_randomspawn" },
    { 0x7AAF, "script_readystand" },
    { 0x7AB0, "script_repeat" },
    { 0x7AB1, "script_requires_player" },
    { 0x7AB2, "script_reuse" },
    { 0x7AB3, "script_reuse_max" },
    { 0x7AB4, "script_reuse_min" },
    { 0x7AB5, "script_rumble" },
    { 0x7AB6, "script_savedata" },
    { 0x7AB7, "script_savetrigger_timer" },
    { 0x7AB8, "script_screen_fxid" },
    { 0x7AB9, "script_seekgoal" },
    { 0x7ABA, "script_self_remove" },
    { 0x7ABB, "script_selfremove" },
    { 0x7ABC, "script_shotcount" },
    { 0x7ABD, "script_side" },
    { 0x7ABE, "script_sightrange" },
    { 0x7ABF, "script_skilloverride" },
    { 0x7AC0, "script_slowmo_breach" },
    { 0x7AC1, "script_slowmo_breach_doortype" },
    { 0x7AC2, "script_slowmo_breach_spawners" },
    { 0x7AC3, "script_smokegroup" },
    { 0x7AC4, "script_sound" },
    { 0x7AC5, "script_soundalias" },
    { 0x7AC6, "script_spawn_here" },
    { 0x7AC7, "script_spawn_once" },
    { 0x7AC8, "script_spawn_pool" },
    { 0x7AC9, "script_spawngroup" },
    { 0x7ACA, "script_spawnsubgroup" },
    { 0x7ACB, "script_specialops" },
    { 0x7ACC, "script_specialopsname" },
    { 0x7ACD, "script_speed" },
    { 0x7ACE, "script_spotlight" },
    { 0x7ACF, "script_spotlimit" },
    { 0x7AD0, "script_squad" },
    { 0x7AD1, "script_squadname" },
    { 0x7AD2, "script_stack" },
    { 0x7AD3, "script_stance" },
    { 0x7AD4, "script_start" },
    { 0x7AD5, "script_startinghealth" },
    { 0x7AD6, "script_startingposition" },
    { 0x7AD7, "script_startname" },
    { 0x7AD8, "script_startrunning" },
    { 0x7AD9, "script_state_compare" },
    { 0x7ADA, "script_stay_drone" },
    { 0x7ADB, "script_stealth" },
    { 0x7ADC, "script_stealth_dontseek" },
    { 0x7ADD, "script_stealth_function" },
    { 0x7ADE, "script_stealthgroup" },
    { 0x7ADF, "script_stopnode" },
    { 0x7AE0, "script_stoptoshoot" },
    { 0x7AE1, "script_sunenable" },
    { 0x7AE2, "script_sunsamplesizenear" },
    { 0x7AE3, "script_sunshadowscale" },
    { 0x7AE4, "script_suppression" },
    { 0x7AE5, "script_surfacetype" },
    { 0x7AE6, "script_tankgroup" },
    { 0x7AE7, "script_targetoffset_z" },
    { 0x7AE8, "script_targettype" },
    { 0x7AE9, "script_team" },
    { 0x7AEA, "script_tess_distance" },
    { 0x7AEB, "script_tess_falloff" },
    { 0x7AEC, "script_threatbias" },
    { 0x7AED, "script_threatbiasgroup" },
    { 0x7AEE, "script_threshold" },
    { 0x7AEF, "script_timeout" },
    { 0x7AF0, "script_timer" },
    { 0x7AF1, "script_to_state" },
    { 0x7AF2, "script_trace" },
    { 0x7AF3, "script_transient" },
    { 0x7AF4, "script_transmission" },
    { 0x7AF5, "script_trigger_group" },
    { 0x7AF6, "script_triggered_playerseek" },
    { 0x7AF7, "script_triggername" },
    { 0x7AF8, "script_turningdir" },
    { 0x7AF9, "script_turret" },
    { 0x7AFA, "script_turret_ambush" },
    { 0x7AFB, "script_turret_reuse_max" },
    { 0x7AFC, "script_turret_reuse_min" },
    { 0x7AFD, "script_turret_share" },
    { 0x7AFE, "script_turretmg" },
    { 0x7AFF, "script_type" },
    { 0x7B00, "script_unload" },
    { 0x7B01, "script_unloaddelay" },
    { 0x7B02, "script_unloadmgguy" },
    { 0x7B03, "script_unloadtype" },
    { 0x7B04, "script_usemg42" },
    { 0x7B05, "script_usenormals" },
    { 0x7B06, "script_vehicle_lights_off" },
    { 0x7B07, "script_vehicle_lights_on" },
    { 0x7B08, "script_vehicle_move_to_node" },
    { 0x7B09, "script_vehicle_seflremove" },
    { 0x7B0A, "script_vehicle_selfremove" },
    { 0x7B0B, "script_vehicleaianim" },
    { 0x7B0C, "script_vehiclecargo" },
    { 0x7B0D, "script_vehicledetour" },
    { 0x7B0E, "script_vehicledetourgroup" },
    { 0x7B0F, "script_vehicledetourtype" },
    { 0x7B10, "script_vehiclegroup" },
    { 0x7B11, "script_vehiclegroupdelete" },
    { 0x7B12, "script_vehiclenodegroup" },
    { 0x7B13, "script_vehicleride" },
    { 0x7B14, "script_vehiclespawngroup" },
    { 0x7B15, "script_vehiclestartmove" },
    { 0x7B16, "script_vehicletriggergroup" },
    { 0x7B17, "script_vehiclewalk" },
    { 0x7B18, "script_visionset_end" },
    { 0x7B19, "script_visionset_start" },
    { 0x7B1A, "script_wait" },
    { 0x7B1B, "script_wait_add" },
    { 0x7B1C, "script_wait_max" },
    { 0x7B1D, "script_wait_min" },
    { 0x7B1E, "script_wheeldirection" },
    { 0x7B1F, "script_wingman" },
    { 0x7B20, "script_wtf" },
    { 0x7B21, "script_yawspeed" },
    { 0x7B22, "scriptabilities" },
    { 0x7B23, "scriptable_pillars_light_retarget" },
    { 0x7B24, "scriptable_primary_light_centerofinterest" },
    { 0x7B25, "scriptable_primary_light_override" },
    { 0x7B26, "scriptable_primary_light_setstate" },
    { 0x7B27, "scriptable_primary_light_setstate_color" },
    { 0x7B28, "scriptable_primary_light_setstate_cone" },
    { 0x7B29, "scriptable_primary_light_setstate_dir" },
    { 0x7B2A, "scriptable_primary_light_setstate_intensity" },
    { 0x7B2B, "scriptable_primary_light_setstate_pos" },
    { 0x7B2C, "scriptable_primary_light_setstate_radius" },
    { 0x7B2D, "scriptable_primary_light_think" },
    { 0x7B2E, "scriptdetour_persist" },
    { 0x7B2F, "scripted_dialogue" },
    { 0x7B30, "scripted_elems" },
    { 0x7B31, "scripted_fx_on_struct" },
    { 0x7B32, "scripted_line_delay" },
    { 0x7B33, "scripted_node" },
    { 0x7B34, "scripted_path_style" },
    { 0x7B35, "scripted_screen_flicker_loop" },
    { 0x7B36, "scripted_spawn" },
    { 0x7B37, "scripted_spin_fan_blades" },
    { 0x7B38, "scriptedarrivalententity" },
    { 0x7B39, "scripteddialoguebuffertime" },
    { 0x7B3A, "scripteddialoguestarttime" },
    { 0x7B3B, "scriptflag" },
    { 0x7B3C, "scriptmodel" },
    { 0x7B3D, "scriptmodelplayanimwithnotify" },
    { 0x7B3E, "scriptmodelplayanimwithnotify_notetracks" },
    { 0x7B3F, "scriptperks" },
    { 0x7B40, "scriptstarttime" },
    { 0x7B41, "scripttargets" },
    { 0x7B42, "scrub_guy" },
    { 0x7B43, "scuba_assisted" },
    { 0x7B44, "scuba_fx_cleanup" },
    { 0x7B45, "scuba_org" },
    { 0x7B46, "scubamask_distortion" },
    { 0x7B47, "sd_1st_int_window_goal" },
    { 0x7B48, "sd_anim_generic_reach_and_play" },
    { 0x7B49, "sd_anim_reach_and_play_loop" },
    { 0x7B4A, "sd_autosave_check" },
    { 0x7B4B, "sd_bomb_just_planted" },
    { 0x7B4C, "sd_bombs" },
    { 0x7B4D, "sd_bombzones" },
    { 0x7B4E, "sd_drone_kamikaze" },
    { 0x7B4F, "sd_drone_patrol_think" },
    { 0x7B50, "sd_endgame" },
    { 0x7B51, "sd_flee_drone_swarm" },
    { 0x7B52, "sd_force_patrol1_anim_set" },
    { 0x7B53, "sd_glass_projection_setup" },
    { 0x7B54, "sd_glass_projection_think" },
    { 0x7B55, "sd_handle_glass_smash" },
    { 0x7B56, "sd_intersection_chopper" },
    { 0x7B57, "sd_intersection2_smoke_and_spawn" },
    { 0x7B58, "sd_intersection3_smoke_laser_spawn" },
    { 0x7B59, "sd_loadout" },
    { 0x7B5A, "sd_onbombtimerend" },
    { 0x7B5B, "sd_panel_impact" },
    { 0x7B5C, "sd_path_check1" },
    { 0x7B5D, "sd_patrol1_command" },
    { 0x7B5E, "sd_patrol1_player_close_check" },
    { 0x7B5F, "sd_press_use" },
    { 0x7B60, "sd_shop_logo_control" },
    { 0x7B61, "sd_smoke_laser_ambush" },
    { 0x7B62, "sd_snake_crash_into_player" },
    { 0x7B63, "sd_spawn_and_retreat_goals" },
    { 0x7B64, "sd_spawn_crossfire_2nd_floor_enemies" },
    { 0x7B65, "sd_spawn_turret_truck" },
    { 0x7B66, "sd_spawn_zipline_group1" },
    { 0x7B67, "sd_spawn_zipline_group2" },
    { 0x7B68, "sd_street_combat" },
    { 0x7B69, "sd_switch_axis_colors" },
    { 0x7B6A, "sd_triggers" },
    { 0x7B6B, "sd_upstairs_enemies_spawn" },
    { 0x7B6C, "sd_vo_inside_restaurant" },
    { 0x7B6D, "sd_zipline_enemy_think" },
    { 0x7B6E, "sdbomb" },
    { 0x7B6F, "sdbombmodel" },
    { 0x7B70, "sdrone_weapon_fire_sound_next" },
    { 0x7B71, "sdrone_weapon_fire_sounds" },
    { 0x7B72, "se_balcony_finale" },
    { 0x7B73, "se_balcony_finale_balcony" },
    { 0x7B74, "se_balcony_finale_irons" },
    { 0x7B75, "se_balcony_finale_player" },
    { 0x7B76, "se_balcony_finale_player_speed" },
    { 0x7B77, "se_balcony_part1_up_to_tackle" },
    { 0x7B78, "se_balcony_reveal_head_sway" },
    { 0x7B79, "se_breach_guards" },
    { 0x7B7A, "se_breach_patrol_guy_01" },
    { 0x7B7B, "se_breach_patrol_guy_02" },
    { 0x7B7C, "se_bridge_takedown" },
    { 0x7B7D, "se_burke_cover_tree_wave" },
    { 0x7B7E, "se_burke_dive_over_log" },
    { 0x7B7F, "se_burke_forest_wall_climb" },
    { 0x7B80, "se_burke_hill_slide" },
    { 0x7B81, "se_burke_river_cross" },
    { 0x7B82, "se_burke_river_over_log" },
    { 0x7B83, "se_burke_river_to_wall" },
    { 0x7B84, "se_burke_stumble_knee" },
    { 0x7B85, "se_burke_stumble_run" },
    { 0x7B86, "se_burke_takedown_01" },
    { 0x7B87, "se_burke_tree_cover_01" },
    { 0x7B88, "se_burke_tree_stump" },
    { 0x7B89, "se_burke_tree_to_wall" },
    { 0x7B8A, "se_canal_breach" },
    { 0x7B8B, "se_check_player_too_far_from_burke" },
    { 0x7B8C, "se_cormack_meet" },
    { 0x7B8D, "se_cormack_meet_init" },
    { 0x7B8E, "se_door_kick" },
    { 0x7B8F, "se_exfil" },
    { 0x7B90, "se_exfil_fx" },
    { 0x7B91, "se_exfil_razorback" },
    { 0x7B92, "se_exhaust_hatch" },
    { 0x7B93, "se_exhaust_hatch_player" },
    { 0x7B94, "se_exhaust_land" },
    { 0x7B95, "se_facility_breach" },
    { 0x7B96, "se_foam_corridor" },
    { 0x7B97, "se_foam_corridor_approach" },
    { 0x7B98, "se_foam_corridor_bomb" },
    { 0x7B99, "se_foam_corridor_grenade" },
    { 0x7B9A, "se_foam_corridor_guy_4" },
    { 0x7B9B, "se_foam_room" },
    { 0x7B9C, "se_foam_room_bomb" },
    { 0x7B9D, "se_foam_room_player" },
    { 0x7B9E, "se_forest_takedown_01" },
    { 0x7B9F, "se_forest_takedown_01_distance_think" },
    { 0x7BA0, "se_forest_takedown_01_fail_conditions" },
    { 0x7BA1, "se_hovertank_exit" },
    { 0x7BA2, "se_hovertank_exit_cormack_shadow" },
    { 0x7BA3, "se_hovertank_exit_cover_fire" },
    { 0x7BA4, "se_hovertank_exit_cover_fire_cleanup" },
    { 0x7BA5, "se_hovertank_mount" },
    { 0x7BA6, "se_hovertank_reveal" },
    { 0x7BA7, "se_hovertank_reveal_actor" },
    { 0x7BA8, "se_hovertank_reveal_lift_think" },
    { 0x7BA9, "se_intro" },
    { 0x7BAA, "se_intro_ambient_jets" },
    { 0x7BAB, "se_intro_ambient_warbirds" },
    { 0x7BAC, "se_intro_burke_react" },
    { 0x7BAD, "se_intro_flyin_gideon" },
    { 0x7BAE, "se_intro_missiles" },
    { 0x7BAF, "se_intro_shack" },
    { 0x7BB0, "se_irons_chase" },
    { 0x7BB1, "se_irons_elevator_doors" },
    { 0x7BB2, "se_irons_end_helo" },
    { 0x7BB3, "se_irons_react_to_gunfire" },
    { 0x7BB4, "se_irons_reveal" },
    { 0x7BB5, "se_irons_reveal_exo" },
    { 0x7BB6, "se_irons_reveal_handle_button_prompts_on_arm" },
    { 0x7BB7, "se_irons_reveal_handle_material_swap" },
    { 0x7BB8, "se_irons_reveal_head_jolt" },
    { 0x7BB9, "se_irons_reveal_head_sway" },
    { 0x7BBA, "se_irons_reveal_monitor_button_on_arm" },
    { 0x7BBB, "se_irons_reveal_pt2_gideon" },
    { 0x7BBC, "se_knox_courtyard_hangar_door_hack_open" },
    { 0x7BBD, "se_kva_basement_2" },
    { 0x7BBE, "se_kva_basement_2_idle" },
    { 0x7BBF, "se_link_player_to_rig" },
    { 0x7BC0, "se_mech_exit" },
    { 0x7BC1, "se_mech_march" },
    { 0x7BC2, "se_missile_load" },
    { 0x7BC3, "se_player_exfil_out_of_bounds_check" },
    { 0x7BC4, "se_player_hill_slide" },
    { 0x7BC5, "se_player_rig_move_to_irons" },
    { 0x7BC6, "se_search_drone_backup" },
    { 0x7BC7, "se_search_drone_deer" },
    { 0x7BC8, "se_search_drone_spotted_player" },
    { 0x7BC9, "se_search_drone_vehicle" },
    { 0x7BCA, "se_search_drones_01" },
    { 0x7BCB, "se_server_room_entrance" },
    { 0x7BCC, "se_server_room_player_close" },
    { 0x7BCD, "se_server_room_player_kills_guy" },
    { 0x7BCE, "se_server_room_player_misses" },
    { 0x7BCF, "se_slow_player_if_too_far_ahead" },
    { 0x7BD0, "se_vehicle_mute_charge" },
    { 0x7BD1, "se_vehicle_takedown_01" },
    { 0x7BD2, "se_vehicle_takedown_dummyfunc" },
    { 0x7BD3, "se_vehicle_takedown_fail_condition_guy" },
    { 0x7BD4, "se_vehicle_takedown_fail_conditions" },
    { 0x7BD5, "se_vehicle_takedown_stealth_alert_check" },
    { 0x7BD6, "se_wall_climb_roots" },
    { 0x7BD7, "se_will_reveal" },
    { 0x7BD8, "se_will_reveal_irons" },
    { 0x7BD9, "search_drone_alert_monitor" },
    { 0x7BDA, "search_drone_alerted_dialogue" },
    { 0x7BDB, "search_drone_behavior" },
    { 0x7BDC, "search_drone_damage_detection" },
    { 0x7BDD, "search_drone_random_turns" },
    { 0x7BDE, "search_drone_spotted_player" },
    { 0x7BDF, "search_drone_warning_dialogue" },
    { 0x7BE0, "search_drones_count" },
    { 0x7BE1, "search_string" },
    { 0x7BE2, "seattag" },
    { 0x7BE3, "sec_door_breach_anim" },
    { 0x7BE4, "sec_godray" },
    { 0x7BE5, "sec_room_attach_to_elevator" },
    { 0x7BE6, "sec_room_elevator_open" },
    { 0x7BE7, "sec_room_move_to_elevator" },
    { 0x7BE8, "sec_trig1" },
    { 0x7BE9, "sec_trig2" },
    { 0x7BEA, "sec_trig3" },
    { 0x7BEB, "sec_trig4" },
    { 0x7BEC, "second_floor_snipers" },
    { 0x7BED, "second_floor_trigger_think" },
    { 0x7BEE, "second_line_of_fire" },
    { 0x7BEF, "second_nightclub_room_setup" },
    { 0x7BF0, "second_room_nightclub_setup" },
    { 0x7BF1, "secondaryattachment" },
    { 0x7BF2, "secondaryattachment3" },
    { 0x7BF3, "secondarygrenade" },
    { 0x7BF4, "secondaryname" },
    { 0x7BF5, "secondaryreinforcementhinttext" },
    { 0x7BF6, "secondarytarget" },
    { 0x7BF7, "secondaryweaponent" },
    { 0x7BF8, "secondguys_total" },
    { 0x7BF9, "secondguysalive" },
    { 0x7BFA, "secondline_alive_check" },
    { 0x7BFB, "secondline_flee_check" },
    { 0x7BFC, "secondowner" },
    { 0x7BFD, "secsoffiringbeforereload" },
    { 0x7BFE, "secsoffiringbeforereloaddefault" },
    { 0x7BFF, "section_1_civilians" },
    { 0x7C00, "securehardpointevent" },
    { 0x7C01, "securestarted" },
    { 0x7C02, "security_building_entrance" },
    { 0x7C03, "security_camera_dialogue" },
    { 0x7C04, "security_center_anim_struct" },
    { 0x7C05, "security_center_begin" },
    { 0x7C06, "security_center_bink" },
    { 0x7C07, "security_center_bink_off" },
    { 0x7C08, "security_center_drones_turn_on" },
    { 0x7C09, "security_center_drones_turn_on_internal" },
    { 0x7C0A, "security_center_drones_turn_on_setup" },
    { 0x7C0B, "security_center_exit" },
    { 0x7C0C, "security_center_fan_blades" },
    { 0x7C0D, "security_center_fan_blades_internal" },
    { 0x7C0E, "security_center_guard_exposed_vo_said" },
    { 0x7C0F, "security_center_guard_left_tagged" },
    { 0x7C10, "security_center_guard_right_tagged" },
    { 0x7C11, "security_center_guard_spawner_setup" },
    { 0x7C12, "security_center_hatch_trigger" },
    { 0x7C13, "security_center_lights" },
    { 0x7C14, "security_center_main" },
    { 0x7C15, "security_center_main_screen_bink" },
    { 0x7C16, "security_center_player_rig_and_hatch_door_setup" },
    { 0x7C17, "security_center_rooftop_drone" },
    { 0x7C18, "security_center_rooftop_obj" },
    { 0x7C19, "security_center_script_brushmodels" },
    { 0x7C1A, "security_center_server_lights" },
    { 0x7C1B, "security_center_start" },
    { 0x7C1C, "security_center_vo" },
    { 0x7C1D, "security_check_1_dialogue" },
    { 0x7C1E, "security_checkpoint_trigger_play_beep" },
    { 0x7C1F, "security_checkpoint_trigger_think" },
    { 0x7C20, "security_doors_approach" },
    { 0x7C21, "security_drone_attack" },
    { 0x7C22, "security_drone_hit_react" },
    { 0x7C23, "security_drone_sparks" },
    { 0x7C24, "security_drones" },
    { 0x7C25, "security_elevator_approach" },
    { 0x7C26, "security_elevator_descent" },
    { 0x7C27, "security_elevator_descent_ai" },
    { 0x7C28, "security_elevator_descent_player" },
    { 0x7C29, "security_elevator_open" },
    { 0x7C2A, "security_elevator_open_anim" },
    { 0x7C2B, "security_elevator_prompt" },
    { 0x7C2C, "security_room" },
    { 0x7C2D, "security_triggers" },
    { 0x7C2E, "securitycameraadsmonitor" },
    { 0x7C2F, "securitycameraclearalltargets" },
    { 0x7C30, "securitycameraclearscannedtarget" },
    { 0x7C31, "securitycameradisable" },
    { 0x7C32, "securitycameraenable" },
    { 0x7C33, "securitycamerafovcheck" },
    { 0x7C34, "securitycamerahud" },
    { 0x7C35, "securitycameramarktargets" },
    { 0x7C36, "securitycameraminimapangles" },
    { 0x7C37, "securitycamerapotentialsignalmatch" },
    { 0x7C38, "securitycamerareturndistancetotarget" },
    { 0x7C39, "securitycamerascanhud" },
    { 0x7C3A, "securitycamerascantrace" },
    { 0x7C3B, "securitycameraswitching" },
    { 0x7C3C, "securitycameratargetfrequency" },
    { 0x7C3D, "securitycameratransitionblur" },
    { 0x7C3E, "securitycameraviewlink" },
    { 0x7C3F, "securitycamerazoomincontrols" },
    { 0x7C40, "securitycamerazoominstructions" },
    { 0x7C41, "securitycamerazoommodifier" },
    { 0x7C42, "securitycamerazoomoutcontrols" },
    { 0x7C43, "see_enemy_dot" },
    { 0x7C44, "see_enemy_dot_close" },
    { 0x7C45, "see_frames" },
    { 0x7C46, "seeing" },
    { 0x7C47, "seek_player_on_detection" },
    { 0x7C48, "seek_player_on_fail" },
    { 0x7C49, "seek_player_on_trigger" },
    { 0x7C4A, "seeker_clear" },
    { 0x7C4B, "seeker_dialogue" },
    { 0x7C4C, "seeker_think" },
    { 0x7C4D, "seeking_path" },
    { 0x7C4E, "seekoutenemytime" },
    { 0x7C4F, "seekplayercheck" },
    { 0x7C50, "seen_attacker" },
    { 0x7C51, "seen_audio_ent" },
    { 0x7C52, "segments" },
    { 0x7C53, "select_all_exploders_of_currently_selected" },
    { 0x7C54, "select_by_name" },
    { 0x7C55, "select_by_name_list" },
    { 0x7C56, "select_by_substring" },
    { 0x7C57, "select_entity" },
    { 0x7C58, "select_index_array" },
    { 0x7C59, "select_last_entity" },
    { 0x7C5A, "select_target_think" },
    { 0x7C5B, "selectairstrikelocation" },
    { 0x7C5C, "selectbestspawnpoint" },
    { 0x7C5D, "selected" },
    { 0x7C5E, "selected_ent_buttons" },
    { 0x7C5F, "selected_fx" },
    { 0x7C60, "selected_fx_ents" },
    { 0x7C61, "selected_fx_option_index" },
    { 0x7C62, "selectedclass" },
    { 0x7C63, "selectedmove_forward" },
    { 0x7C64, "selectedmove_right" },
    { 0x7C65, "selectedmove_up" },
    { 0x7C66, "selectedrotate_pitch" },
    { 0x7C67, "selectedrotate_roll" },
    { 0x7C68, "selectedrotate_yaw" },
    { 0x7C69, "selectinglocation" },
    { 0x7C6A, "selectonemanarmyclass" },
    { 0x7C6B, "self_delete" },
    { 0x7C6C, "self_destruct_goliath" },
    { 0x7C6D, "self_func" },
    { 0x7C6E, "self_to_target_local_angles" },
    { 0x7C6F, "self_tracking_functions" },
    { 0x7C70, "selfdeathicons" },
    { 0x7C71, "selfdeletedelay" },
    { 0x7C72, "selfiebooth" },
    { 0x7C73, "selfrevivethinkloop" },
    { 0x7C74, "semifirenumshots" },
    { 0x7C75, "semtex_sticky_handle" },
    { 0x7C76, "semtexstickevent" },
    { 0x7C77, "send_activate_zone_msg" },
    { 0x7C78, "send_ai_to_colorvolume" },
    { 0x7C79, "send_cormack" },
    { 0x7C7A, "send_deactivate_zone_msg" },
    { 0x7C7B, "send_heli_through_path" },
    { 0x7C7C, "send_notify" },
    { 0x7C7D, "send_swarm_to_chopper" },
    { 0x7C7E, "send_will_wait" },
    { 0x7C7F, "sendagentweaponnotify" },
    { 0x7C80, "sendallenemiesintriggertogoalvol" },
    { 0x7C81, "sendupdateddmscores" },
    { 0x7C82, "sendupdatedteamscores" },
    { 0x7C83, "sensoroutlined" },
    { 0x7C84, "sent_chopper" },
    { 0x7C85, "sent_guy_1_decloak" },
    { 0x7C86, "sent_guy_1_footsteps" },
    { 0x7C87, "sent_guy_1_footsteps_part2" },
    { 0x7C88, "sent_guy_1_footsteps_part3" },
    { 0x7C89, "sent_guy_2_decloak" },
    { 0x7C8A, "sent_guy_2_footsteps" },
    { 0x7C8B, "sent_guy_3_decloak" },
    { 0x7C8C, "sent_guy_3_footsteps" },
    { 0x7C8D, "sent_guy1_cloak" },
    { 0x7C8E, "sent_guy1_mask_down" },
    { 0x7C8F, "sent_guy1_mask_up" },
    { 0x7C90, "sentinel_guy1" },
    { 0x7C91, "sentinel_kva_fov_function" },
    { 0x7C92, "sentinel_op1" },
    { 0x7C93, "sentinel_op2" },
    { 0x7C94, "sentinel_op4" },
    { 0x7C95, "sentinel_reveal_dialogue_continue" },
    { 0x7C96, "sentinel_reveal_final_vo" },
    { 0x7C97, "sentinel_reveal_guy1_decloak" },
    { 0x7C98, "sentinel_reveal_guy2_decloak" },
    { 0x7C99, "sentinel_reveal_guy3_decloak" },
    { 0x7C9A, "sentinel_reveal_lighting" },
    { 0x7C9B, "sentinel_reveal_lighting_origins" },
    { 0x7C9C, "sentinel_reveal_moment_dialogue" },
    { 0x7C9D, "sentinel_reveal_slowmo_start" },
    { 0x7C9E, "sentinel_reveal_slowmo_stop" },
    { 0x7C9F, "sentinel_team_vo" },
    { 0x7CA0, "sentintel_reveal_dialogue" },
    { 0x7CA1, "sentintel_reveal_door_dialogue" },
    { 0x7CA2, "sentry_attacktargets" },
    { 0x7CA3, "sentry_beepsounds" },
    { 0x7CA4, "sentry_burstfirestart" },
    { 0x7CA5, "sentry_burstfirestop" },
    { 0x7CA6, "sentry_directhacked" },
    { 0x7CA7, "sentry_fire" },
    { 0x7CA8, "sentry_handledamage" },
    { 0x7CA9, "sentry_handledeath" },
    { 0x7CAA, "sentry_handleownerdisconnect" },
    { 0x7CAB, "sentry_handleuse" },
    { 0x7CAC, "sentry_heatmonitor" },
    { 0x7CAD, "sentry_initsentry" },
    { 0x7CAE, "sentry_lasermark" },
    { 0x7CAF, "sentry_makenotsolid" },
    { 0x7CB0, "sentry_makesolid" },
    { 0x7CB1, "sentry_oncarrierchangedteam" },
    { 0x7CB2, "sentry_oncarrierdeath" },
    { 0x7CB3, "sentry_oncarrierdisconnect" },
    { 0x7CB4, "sentry_ongameended" },
    { 0x7CB5, "sentry_place_delay" },
    { 0x7CB6, "sentry_setactive" },
    { 0x7CB7, "sentry_setcancelled" },
    { 0x7CB8, "sentry_setcarried" },
    { 0x7CB9, "sentry_setinactive" },
    { 0x7CBA, "sentry_setowner" },
    { 0x7CBB, "sentry_setplaced" },
    { 0x7CBC, "sentry_spindown" },
    { 0x7CBD, "sentry_spinup" },
    { 0x7CBE, "sentry_stopattackingtargets" },
    { 0x7CBF, "sentry_targetlocksound" },
    { 0x7CC0, "sentry_timeout" },
    { 0x7CC1, "sentry_watchdisabled" },
    { 0x7CC2, "sentrygun" },
    { 0x7CC3, "sentrymodeoff" },
    { 0x7CC4, "sentrymodeon" },
    { 0x7CC5, "sentrysettings" },
    { 0x7CC6, "sentrytype" },
    { 0x7CC7, "seo_ambient_ground_explosions" },
    { 0x7CC8, "seo_atlas_meet_cormack" },
    { 0x7CC9, "seo_atlas_meet_gideon" },
    { 0x7CCA, "seo_atlas_meet_will" },
    { 0x7CCB, "seo_big_car_explo" },
    { 0x7CCC, "seo_binocs_equip" },
    { 0x7CCD, "seo_canal_dynamic_bombs" },
    { 0x7CCE, "seo_canal_heli_attacked" },
    { 0x7CCF, "seo_canal_razorback" },
    { 0x7CD0, "seo_dirt_explosions" },
    { 0x7CD1, "seo_drone_missile" },
    { 0x7CD2, "seo_drone_missile_impact" },
    { 0x7CD3, "seo_droppod1_cormack" },
    { 0x7CD4, "seo_droppod1_will" },
    { 0x7CD5, "seo_droppod2_alt_will" },
    { 0x7CD6, "seo_droppod2_cormack" },
    { 0x7CD7, "seo_droppod3_exit" },
    { 0x7CD8, "seo_droppod3_intro_cormack" },
    { 0x7CD9, "seo_finale_cormack_assist_player" },
    { 0x7CDA, "seo_finale_cormack_crouch" },
    { 0x7CDB, "seo_finale_cormack_enter_scene" },
    { 0x7CDC, "seo_finale_cormack_grab_metal" },
    { 0x7CDD, "seo_finale_cormack_pull_player" },
    { 0x7CDE, "seo_finale_cormack_rescue" },
    { 0x7CDF, "seo_finale_cormack_walk_to_player" },
    { 0x7CE0, "seo_finale_player_arm_slice" },
    { 0x7CE1, "seo_finale_player_bounces" },
    { 0x7CE2, "seo_finale_player_dragged_away" },
    { 0x7CE3, "seo_finale_player_falls" },
    { 0x7CE4, "seo_finale_player_grab_hatch" },
    { 0x7CE5, "seo_finale_player_hatch_react" },
    { 0x7CE6, "seo_finale_player_jump_onto_platform" },
    { 0x7CE7, "seo_finale_player_lands" },
    { 0x7CE8, "seo_finale_player_leg_down" },
    { 0x7CE9, "seo_finale_player_leg_up" },
    { 0x7CEA, "seo_finale_player_retrieve_bomb" },
    { 0x7CEB, "seo_finale_player_two_handed_hatch_pull" },
    { 0x7CEC, "seo_finale_rumble_heavy" },
    { 0x7CED, "seo_finale_rumble_light" },
    { 0x7CEE, "seo_finale_start" },
    { 0x7CEF, "seo_finale_will_bomb_accept" },
    { 0x7CF0, "seo_finale_will_bomb_arm" },
    { 0x7CF1, "seo_finale_will_bomb_hatch_trap" },
    { 0x7CF2, "seo_finale_will_bomb_turn" },
    { 0x7CF3, "seo_finale_will_first_attempt_to_free" },
    { 0x7CF4, "seo_finale_will_grab_hatch" },
    { 0x7CF5, "seo_finale_will_grabs_player" },
    { 0x7CF6, "seo_finale_will_jump_onto_platform" },
    { 0x7CF7, "seo_finale_will_open_hatch" },
    { 0x7CF8, "seo_finale_will_place_bomb" },
    { 0x7CF9, "seo_finale_will_pushes_player" },
    { 0x7CFA, "seo_finale_will_second_attempt" },
    { 0x7CFB, "seo_finale_will_start" },
    { 0x7CFC, "seo_finale_will_struggle" },
    { 0x7CFD, "seo_finale_wp_belly_explo" },
    { 0x7CFE, "seo_finale_wp_big_explo" },
    { 0x7CFF, "seo_finale_wp_hatch_close" },
    { 0x7D00, "seo_finale_wp_init_explo" },
    { 0x7D01, "seo_finale_wp_landing_gears_up" },
    { 0x7D02, "seo_finale_wp_lift_off" },
    { 0x7D03, "seo_finale_wp_prepare_to_lift_off" },
    { 0x7D04, "seo_finale_wp_take_off" },
    { 0x7D05, "seo_finale_wp_wing_explo" },
    { 0x7D06, "seo_fireball_explosions" },
    { 0x7D07, "seo_fob_fake_jet_flyby" },
    { 0x7D08, "seo_fob_initial_razorback" },
    { 0x7D09, "seo_fob_pod_descend" },
    { 0x7D0A, "seo_fob_pod_door_land" },
    { 0x7D0B, "seo_fob_pod_door_open" },
    { 0x7D0C, "seo_fob_pod_flaps" },
    { 0x7D0D, "seo_fob_pod_land" },
    { 0x7D0E, "seo_fob_razorback_01" },
    { 0x7D0F, "seo_fob_razorback_02" },
    { 0x7D10, "seo_fob_tank_01" },
    { 0x7D11, "seo_fob_tank_02" },
    { 0x7D12, "seo_fob_tank_03" },
    { 0x7D13, "seo_fob_tank_procedural" },
    { 0x7D14, "seo_get_vip_away_cg" },
    { 0x7D15, "seo_gideon_meet_atlast_start" },
    { 0x7D16, "seo_hotel_ent_wp_takeoff" },
    { 0x7D17, "seo_intro_patrol_drones" },
    { 0x7D18, "seo_mall_sizeup_crmk_powerup" },
    { 0x7D19, "seo_mall_sizeup_crmk_runjump" },
    { 0x7D1A, "seo_mall_sizeup_crmk_turn" },
    { 0x7D1B, "seo_mall_sizeup_crmk_walk" },
    { 0x7D1C, "seo_mall_sizeup_will_powerup" },
    { 0x7D1D, "seo_mall_sizeup_will_runjump" },
    { 0x7D1E, "seo_mall_sizeup_will_walk" },
    { 0x7D1F, "seo_mall_sizeup_will_wpn_sling" },
    { 0x7D20, "seo_meet_atlas_civ_scriptmodel_cg" },
    { 0x7D21, "seo_meet_atlas_slowmo_end" },
    { 0x7D22, "seo_meet_atlas_slowmo_start" },
    { 0x7D23, "seo_outro_falling_debris" },
    { 0x7D24, "seo_outro_pause_env_fx" },
    { 0x7D25, "seo_outro_rolling_smk" },
    { 0x7D26, "seo_outro_thick_smk_vm" },
    { 0x7D27, "seo_outro_tire_fire" },
    { 0x7D28, "seo_outro_wp_belly_explo_1" },
    { 0x7D29, "seo_outro_wp_belly_explo_2" },
    { 0x7D2A, "seo_outro_wp_belly_explo_2_end" },
    { 0x7D2B, "seo_outro_wp_env_fx_start" },
    { 0x7D2C, "seo_outro_wp_explo_sequence_start" },
    { 0x7D2D, "seo_outro_wp_init_explo" },
    { 0x7D2E, "seo_outro_wp_tail_explo" },
    { 0x7D2F, "seo_outro_wp_tail_explo_shockwave" },
    { 0x7D30, "seo_outro_wp_tail_explo_shockwave_ground" },
    { 0x7D31, "seo_outro_wp_take_off_start" },
    { 0x7D32, "seo_outro_wp_wing_fall_off" },
    { 0x7D33, "seo_outro_wp_wp_powerup" },
    { 0x7D34, "seo_per_arts_jump_explo_3" },
    { 0x7D35, "seo_pod_break_loose_and_fall" },
    { 0x7D36, "seo_pod_cormack_exit" },
    { 0x7D37, "seo_pod_cormack_land" },
    { 0x7D38, "seo_pod_cormack_pivot" },
    { 0x7D39, "seo_pod_cormack_reach_hatch" },
    { 0x7D3A, "seo_pod_cormack_walk_2" },
    { 0x7D3B, "seo_pod_enter_cormack_fs" },
    { 0x7D3C, "seo_pod_enter_cormack_lt_pull" },
    { 0x7D3D, "seo_pod_enter_cormack_lt_reach" },
    { 0x7D3E, "seo_pod_enter_cormack_rt_pull" },
    { 0x7D3F, "seo_pod_enter_cormack_rt_reach" },
    { 0x7D40, "seo_pod_enter_jack_fs" },
    { 0x7D41, "seo_pod_enter_jack_lt_pull" },
    { 0x7D42, "seo_pod_enter_jack_lt_reach" },
    { 0x7D43, "seo_pod_enter_jack_rt_pull" },
    { 0x7D44, "seo_pod_enter_jack_rt_reach" },
    { 0x7D45, "seo_pod_enter_player_fs" },
    { 0x7D46, "seo_pod_enter_player_lt_hand" },
    { 0x7D47, "seo_pod_enter_player_lt_pull" },
    { 0x7D48, "seo_pod_enter_player_lt_reach" },
    { 0x7D49, "seo_pod_enter_player_rt_hand" },
    { 0x7D4A, "seo_pod_enter_player_rt_pull" },
    { 0x7D4B, "seo_pod_enter_player_rt_reach" },
    { 0x7D4C, "seo_pod_enter_start" },
    { 0x7D4D, "seo_pod_enter_will_fs" },
    { 0x7D4E, "seo_pod_enter_will_lt_pull" },
    { 0x7D4F, "seo_pod_enter_will_lt_reach" },
    { 0x7D50, "seo_pod_enter_will_rt_pull" },
    { 0x7D51, "seo_pod_enter_will_rt_reach" },
    { 0x7D52, "seo_pod_ext_player_land" },
    { 0x7D53, "seo_pod_ext_player_turn" },
    { 0x7D54, "seo_pod_int_player_exit" },
    { 0x7D55, "seo_pod_int_player_kick_attempt" },
    { 0x7D56, "seo_pod_int_player_kick_open_hatch" },
    { 0x7D57, "seo_pod_int_player_lean_in_door" },
    { 0x7D58, "seo_pod_int_player_move_to_hatch" },
    { 0x7D59, "seo_pod_int_player_move_to_hatch_left" },
    { 0x7D5A, "seo_pod_int_player_move_to_hatch_right" },
    { 0x7D5B, "seo_pod_int_player_reach_hatch" },
    { 0x7D5C, "seo_pod_int_player_unbuckle" },
    { 0x7D5D, "seo_pod_int_player_unbuckle_left" },
    { 0x7D5E, "seo_pod_int_player_unbuckle_right" },
    { 0x7D5F, "seo_pod_launch_cam_shake" },
    { 0x7D60, "seo_pod_new_guy_exit" },
    { 0x7D61, "seo_pod_new_guy_gets_up" },
    { 0x7D62, "seo_pod_new_guy_land" },
    { 0x7D63, "seo_pod_overhead_screen_start" },
    { 0x7D64, "seo_pod_phase3_door_pop" },
    { 0x7D65, "seo_pod_phase3_screen_boot" },
    { 0x7D66, "seo_pod_phase3_screen_down" },
    { 0x7D67, "seo_pod_phase3_screen_up" },
    { 0x7D68, "seo_pod_phase3_seat_arm_down" },
    { 0x7D69, "seo_pod_phase3_seat_arm_up" },
    { 0x7D6A, "seo_pod_phase3_turn_lever" },
    { 0x7D6B, "seo_pod_phase3_vm_seat_arm_up" },
    { 0x7D6C, "seo_pod_will_land" },
    { 0x7D6D, "seo_pod_will_walk_1" },
    { 0x7D6E, "seo_pod_will_walk_2" },
    { 0x7D6F, "seo_single_drones_flyby" },
    { 0x7D70, "seo_sinkhole_wp_flyby" },
    { 0x7D71, "seo_smoke_grenade_ambush" },
    { 0x7D72, "seo_start_drone_submix" },
    { 0x7D73, "seo_stop_intro_patrol_drones" },
    { 0x7D74, "seo_stop_single_drones_flyby" },
    { 0x7D75, "seo_swarm_die" },
    { 0x7D76, "seo_swarm_emp_wave" },
    { 0x7D77, "seo_truck_explo" },
    { 0x7D78, "seo_video_log_start" },
    { 0x7D79, "seo_vista_amb_explos" },
    { 0x7D7A, "seo_vista_bombing_run" },
    { 0x7D7B, "seo_will_car_door_explo" },
    { 0x7D7C, "seo_will_death_hatch_open_wait_cycle" },
    { 0x7D7D, "seo_will_death_plant_charge_part1" },
    { 0x7D7E, "seo_will_death_plant_charge_part2" },
    { 0x7D7F, "seo_zipline_harpoon_fire" },
    { 0x7D80, "seo_zipline_harpoon_impact" },
    { 0x7D81, "seo_zipline_rappel_begin" },
    { 0x7D82, "seo_zipline_rappel_land" },
    { 0x7D83, "seo_zipline_retract_rope" },
    { 0x7D84, "seoul_building_jump_sequence" },
    { 0x7D85, "seoul_cg_precache_models" },
    { 0x7D86, "seoul_color_think" },
    { 0x7D87, "seoul_cover_art" },
    { 0x7D88, "seoul_drone_swarm_intro" },
    { 0x7D89, "seoul_encounter_01" },
    { 0x7D8A, "seoul_finale_cinematic_lighting" },
    { 0x7D8B, "seoul_fob" },
    { 0x7D8C, "seoul_foley_override_handler" },
    { 0x7D8D, "seoul_hotel_entrance" },
    { 0x7D8E, "seoul_land_assist" },
    { 0x7D8F, "seoul_locations" },
    { 0x7D90, "seoul_missile_evade" },
    { 0x7D91, "seoul_start" },
    { 0x7D92, "seoul_start_from_pod" },
    { 0x7D93, "seoul_truck_push" },
    { 0x7D94, "seoul_zipline_scripted" },
    { 0x7D95, "seoul_zipline_scripted_custom" },
    { 0x7D96, "separation_factor" },
    { 0x7D97, "serial_playback_lock" },
    { 0x7D98, "server_culled_sounds" },
    { 0x7D99, "server_lights" },
    { 0x7D9A, "server_lights_setup" },
    { 0x7D9B, "server_room_approach_dialogue" },
    { 0x7D9C, "server_room_dialogue" },
    { 0x7D9D, "server_room_fire_knox_gun" },
    { 0x7D9E, "server_room_guy_killed_by_knox" },
    { 0x7D9F, "server_room_lasers" },
    { 0x7DA0, "server_room_logic" },
    { 0x7DA1, "server_room_nag_dialogue" },
    { 0x7DA2, "server_room_promo_logic" },
    { 0x7DA3, "server_room_se_end" },
    { 0x7DA4, "server_unit_01" },
    { 0x7DA5, "server_unit_02" },
    { 0x7DA6, "sessioncostume" },
    { 0x7DA7, "set" },
    { 0x7DA8, "set_accuracy" },
    { 0x7DA9, "set_accuracy_based_on_situation" },
    { 0x7DAA, "set_agent_health" },
    { 0x7DAB, "set_agent_team" },
    { 0x7DAC, "set_agent_values" },
    { 0x7DAD, "set_ai_anims" },
    { 0x7DAE, "set_ai_bcvoice" },
    { 0x7DAF, "set_ai_number" },
    { 0x7DB0, "set_aim_and_turn_limits" },
    { 0x7DB1, "set_all_exceptions" },
    { 0x7DB2, "set_allowdeath" },
    { 0x7DB3, "set_ambient" },
    { 0x7DB4, "set_ambush_sidestep_anims" },
    { 0x7DB5, "set_anglemod_move_vector" },
    { 0x7DB6, "set_anim_array" },
    { 0x7DB7, "set_anim_array_aiming" },
    { 0x7DB8, "set_anim_playback_rate" },
    { 0x7DB9, "set_animarray_add_smg_turn_aims_stand" },
    { 0x7DBA, "set_animarray_add_turn_aims_crouch" },
    { 0x7DBB, "set_animarray_add_turn_aims_stand" },
    { 0x7DBC, "set_animarray_burst_and_semi_fire_crouch" },
    { 0x7DBD, "set_animarray_burst_and_semi_fire_stand" },
    { 0x7DBE, "set_animarray_crouch_aim" },
    { 0x7DBF, "set_animarray_crouching" },
    { 0x7DC0, "set_animarray_crouching_left" },
    { 0x7DC1, "set_animarray_crouching_right" },
    { 0x7DC2, "set_animarray_crouching_turns" },
    { 0x7DC3, "set_animarray_custom_burst_and_semi_fire_crouch" },
    { 0x7DC4, "set_animarray_custom_burst_and_semi_fire_stand" },
    { 0x7DC5, "set_animarray_mech_burst_and_semi_fire_stand" },
    { 0x7DC6, "set_animarray_mech_burst_and_semi_fire_walk" },
    { 0x7DC7, "set_animarray_mech_standing_turns" },
    { 0x7DC8, "set_animarray_prone" },
    { 0x7DC9, "set_animarray_smg_standing_turns" },
    { 0x7DCA, "set_animarray_stance_change" },
    { 0x7DCB, "set_animarray_stance_change_smg" },
    { 0x7DCC, "set_animarray_standing" },
    { 0x7DCD, "set_animarray_standing_left" },
    { 0x7DCE, "set_animarray_standing_right" },
    { 0x7DCF, "set_animarray_standing_turns" },
    { 0x7DD0, "set_animarray_standing_turns_pistol" },
    { 0x7DD1, "set_animname" },
    { 0x7DD2, "set_archetype" },
    { 0x7DD3, "set_array" },
    { 0x7DD4, "set_attached_models" },
    { 0x7DD5, "set_avatar_dof" },
    { 0x7DD6, "set_baghdad_standard_dof" },
    { 0x7DD7, "set_baseaccuracy" },
    { 0x7DD8, "set_basic_animated_model" },
    { 0x7DD9, "set_battlechatter" },
    { 0x7DDA, "set_battlechatter_variable" },
    { 0x7DDB, "set_blast_walk_anims" },
    { 0x7DDC, "set_blur" },
    { 0x7DDD, "set_boost_lighting" },
    { 0x7DDE, "set_brakes" },
    { 0x7DDF, "set_breaching_variable" },
    { 0x7DE0, "set_bridge_lighting" },
    { 0x7DE1, "set_cam_shake" },
    { 0x7DE2, "set_cam_shake_drop" },
    { 0x7DE3, "set_canyon_dof" },
    { 0x7DE4, "set_cargo_ship_drone_view_lighting" },
    { 0x7DE5, "set_cloak_material_for_npc_weapon" },
    { 0x7DE6, "set_cloak_material_for_vm_weapon" },
    { 0x7DE7, "set_cloak_on_model" },
    { 0x7DE8, "set_cloak_parameter" },
    { 0x7DE9, "set_color_goal_node" },
    { 0x7DEA, "set_combat_stand_animset" },
    { 0x7DEB, "set_completed_flags" },
    { 0x7DEC, "set_completed_objective_flags" },
    { 0x7DED, "set_console_status" },
    { 0x7DEE, "set_contested_zone" },
    { 0x7DEF, "set_contested_zone_wait" },
    { 0x7DF0, "set_corner_anim_array" },
    { 0x7DF1, "set_corpse_detection_ranges_for_cloak_system" },
    { 0x7DF2, "set_count" },
    { 0x7DF3, "set_counts" },
    { 0x7DF4, "set_crouching_animarray_aiming" },
    { 0x7DF5, "set_crouching_turns" },
    { 0x7DF6, "set_custom_gameskill_func" },
    { 0x7DF7, "set_custom_move_start_transition" },
    { 0x7DF8, "set_custom_patrol_anim_set" },
    { 0x7DF9, "set_custom_run_anim" },
    { 0x7DFA, "set_damb_component_stringtable" },
    { 0x7DFB, "set_damb_loops_stringtable" },
    { 0x7DFC, "set_damb_stringtable" },
    { 0x7DFD, "set_deadquote" },
    { 0x7DFE, "set_death_icon" },
    { 0x7DFF, "set_death_model" },
    { 0x7E00, "set_deathanim" },
    { 0x7E01, "set_deathsdoor" },
    { 0x7E02, "set_default_aim_limits" },
    { 0x7E03, "set_default_breath_values" },
    { 0x7E04, "set_default_hud_parameters" },
    { 0x7E05, "set_default_pathenemy_settings" },
    { 0x7E06, "set_default_start" },
    { 0x7E07, "set_default_swimmer_aim_limits" },
    { 0x7E08, "set_delays" },
    { 0x7E09, "set_demigod_while" },
    { 0x7E0A, "set_df_objective_active" },
    { 0x7E0B, "set_df_objective_active_spiderturrets" },
    { 0x7E0C, "set_difficulty_from_locked_settings" },
    { 0x7E0D, "set_disable_friendlyfire_value_delayed" },
    { 0x7E0E, "set_display_name" },
    { 0x7E0F, "set_dog_walk_anim" },
    { 0x7E10, "set_door_charge_anim_normal" },
    { 0x7E11, "set_door_charge_anim_special" },
    { 0x7E12, "set_early_level" },
    { 0x7E13, "set_empty_promotion_order" },
    { 0x7E14, "set_entflag_on_notify" },
    { 0x7E15, "set_event_distance" },
    { 0x7E16, "set_exception" },
    { 0x7E17, "set_exo_ability_hud_omnvar" },
    { 0x7E18, "set_exo_temperature_over_time" },
    { 0x7E19, "set_external_temperature_over_time" },
    { 0x7E1A, "set_favoriteenemy" },
    { 0x7E1B, "set_firing" },
    { 0x7E1C, "set_firing_disabled" },
    { 0x7E1D, "set_fixednode_false" },
    { 0x7E1E, "set_fixednode_true" },
    { 0x7E1F, "set_flag_in_trigger" },
    { 0x7E20, "set_flag_on_burke_wave_to_ambulance" },
    { 0x7E21, "set_flag_on_dead" },
    { 0x7E22, "set_flag_on_dead_or_dying" },
    { 0x7E23, "set_flag_on_death" },
    { 0x7E24, "set_flag_on_func_wait_proc" },
    { 0x7E25, "set_flag_on_spawned" },
    { 0x7E26, "set_flag_on_spawned_ai_proc" },
    { 0x7E27, "set_flag_on_targetname_trigger" },
    { 0x7E28, "set_flag_on_trigger" },
    { 0x7E29, "set_flag_rappel_player_input_start" },
    { 0x7E2A, "set_flag_rappel_player_input_stop" },
    { 0x7E2B, "set_flag_when_in_volume" },
    { 0x7E2C, "set_flavorbursts" },
    { 0x7E2D, "set_flavorbursts_team_state" },
    { 0x7E2E, "set_fog" },
    { 0x7E2F, "set_fog_progress" },
    { 0x7E30, "set_fog_to_ent_values" },
    { 0x7E31, "set_fog_to_ent_values_dfog" },
    { 0x7E32, "set_force_color" },
    { 0x7E33, "set_force_color_spawner" },
    { 0x7E34, "set_force_cover" },
    { 0x7E35, "set_force_script_models_highway_path_player_side" },
    { 0x7E36, "set_force_sprint" },
    { 0x7E37, "set_forced_target" },
    { 0x7E38, "set_forcedgoal" },
    { 0x7E39, "set_forcegoal" },
    { 0x7E3A, "set_forward_and_up_vectors" },
    { 0x7E3B, "set_friendlyfire_warnings" },
    { 0x7E3C, "set_fx_hudelement" },
    { 0x7E3D, "set_generic_deathanim" },
    { 0x7E3E, "set_generic_idle_anim" },
    { 0x7E3F, "set_generic_run_anim" },
    { 0x7E40, "set_generic_run_anim_array" },
    { 0x7E41, "set_goal_ent" },
    { 0x7E42, "set_goal_entity" },
    { 0x7E43, "set_goal_from_settings" },
    { 0x7E44, "set_goal_height_from_settings" },
    { 0x7E45, "set_goal_node" },
    { 0x7E46, "set_goal_node_targetname" },
    { 0x7E47, "set_goal_pos" },
    { 0x7E48, "set_goal_radius" },
    { 0x7E49, "set_goal_volume" },
    { 0x7E4A, "set_goalradius" },
    { 0x7E4B, "set_goalvolume" },
    { 0x7E4C, "set_grenadeammo" },
    { 0x7E4D, "set_grid_color_dark" },
    { 0x7E4E, "set_group_advance_to_enemy_parameters" },
    { 0x7E4F, "set_guy_on_fire" },
    { 0x7E50, "set_health" },
    { 0x7E51, "set_helmet_closed" },
    { 0x7E52, "set_helmet_open" },
    { 0x7E53, "set_hemi_ao" },
    { 0x7E54, "set_high_priority_target_for_bot" },
    { 0x7E55, "set_hudoutline" },
    { 0x7E56, "set_idle_anim" },
    { 0x7E57, "set_ignoreall" },
    { 0x7E58, "set_ignoreme" },
    { 0x7E59, "set_ignoresonicaoe" },
    { 0x7E5A, "set_ignoresuppression" },
    { 0x7E5B, "set_initial_rush_goal" },
    { 0x7E5C, "set_intensities" },
    { 0x7E5D, "set_intro_lighting" },
    { 0x7E5E, "set_irons_tour_ride_reflection" },
    { 0x7E5F, "set_itiot_flags" },
    { 0x7E60, "set_landing_target_fx" },
    { 0x7E61, "set_laser_ambush_stats" },
    { 0x7E62, "set_level_lighting_values" },
    { 0x7E63, "set_level_player_rumble_ent_intensity" },
    { 0x7E64, "set_level_player_rumble_ent_intensity_for_time" },
    { 0x7E65, "set_light_set_for_player" },
    { 0x7E66, "set_lighting_values" },
    { 0x7E67, "set_lookat_from_dest" },
    { 0x7E68, "set_lookat_point" },
    { 0x7E69, "set_main_vol_and_retreat_vol" },
    { 0x7E6A, "set_manual_target" },
    { 0x7E6B, "set_maxed_momentum" },
    { 0x7E6C, "set_maxsightdistsqrd" },
    { 0x7E6D, "set_mech_chaingun_last_state" },
    { 0x7E6E, "set_mech_chaingun_state" },
    { 0x7E6F, "set_mech_rocket_last_state" },
    { 0x7E70, "set_mech_rocket_state" },
    { 0x7E71, "set_mech_state" },
    { 0x7E72, "set_mech_swarm_last_state" },
    { 0x7E73, "set_mech_swarm_state" },
    { 0x7E74, "set_mech_weapon_state" },
    { 0x7E75, "set_melee_early" },
    { 0x7E76, "set_melee_timer" },
    { 0x7E77, "set_mission_failed_override" },
    { 0x7E78, "set_momentum" },
    { 0x7E79, "set_momentum_multiplier" },
    { 0x7E7A, "set_move_animset" },
    { 0x7E7B, "set_moveplaybackrate" },
    { 0x7E7C, "set_movetransitionrate" },
    { 0x7E7D, "set_new_bomber" },
    { 0x7E7E, "set_normal_time_if_gun_fired" },
    { 0x7E7F, "set_npc_anims" },
    { 0x7E80, "set_obj_markers_current" },
    { 0x7E81, "set_objective_active" },
    { 0x7E82, "set_objective_inactive" },
    { 0x7E83, "set_off_exploders" },
    { 0x7E84, "set_oncoming_lighting" },
    { 0x7E85, "set_operator_temperature_over_time" },
    { 0x7E86, "set_optimal_flight_dist" },
    { 0x7E87, "set_option_index" },
    { 0x7E88, "set_org" },
    { 0x7E89, "set_origin_and_angles" },
    { 0x7E8A, "set_origin_per_time" },
    { 0x7E8B, "set_pacifist" },
    { 0x7E8C, "set_painted_trackrounds" },
    { 0x7E8D, "set_patrol_anim_set" },
    { 0x7E8E, "set_patrol_run_anim_array" },
    { 0x7E8F, "set_pitbull_anim" },
    { 0x7E90, "set_pitbull_anim_node" },
    { 0x7E91, "set_pivot_pos" },
    { 0x7E92, "set_player_attacker_accuracy" },
    { 0x7E93, "set_player_detection_distance_for_speed" },
    { 0x7E94, "set_player_link_angles_tag_relative" },
    { 0x7E95, "set_player_rig_spawn_function" },
    { 0x7E96, "set_player_speed_hud" },
    { 0x7E97, "set_player_start" },
    { 0x7E98, "set_player_viewhand_model" },
    { 0x7E99, "set_pos" },
    { 0x7E9A, "set_post_slide_blend_time" },
    { 0x7E9B, "set_president_anims" },
    { 0x7E9C, "set_promotion_order" },
    { 0x7E9D, "set_pull_weight" },
    { 0x7E9E, "set_random_flock_goal_position" },
    { 0x7E9F, "set_rank_xp_and_prestige_for_bot" },
    { 0x7EA0, "set_reactive_motion_values" },
    { 0x7EA1, "set_refugee_camp_walk_anims" },
    { 0x7EA2, "set_reverb_stringtable" },
    { 0x7EA3, "set_room_to_breached" },
    { 0x7EA4, "set_rumble_intensity" },
    { 0x7EA5, "set_run_anim" },
    { 0x7EA6, "set_run_anim_array" },
    { 0x7EA7, "set_s1_animarray_add_turn_aims_crouch" },
    { 0x7EA8, "set_s1_animarray_add_turn_aims_stand" },
    { 0x7EA9, "set_s1_animarray_burst_and_semi_fire_crouch" },
    { 0x7EAA, "set_s1_animarray_burst_and_semi_fire_stand" },
    { 0x7EAB, "set_s1_animarray_crouch_aim" },
    { 0x7EAC, "set_s1_animarray_crouching_turns" },
    { 0x7EAD, "set_s1_animarray_stance_change" },
    { 0x7EAE, "set_s1_animarray_stance_change_smg" },
    { 0x7EAF, "set_s1_animarray_standing_turns" },
    { 0x7EB0, "set_scripted_pathing_style" },
    { 0x7EB1, "set_security_center_tv" },
    { 0x7EB2, "set_security_lights" },
    { 0x7EB3, "set_seoul_fall_height" },
    { 0x7EB4, "set_smdvars" },
    { 0x7EB5, "set_snipers_section_clear" },
    { 0x7EB6, "set_spawncount" },
    { 0x7EB7, "set_spot_color" },
    { 0x7EB8, "set_spot_intensity" },
    { 0x7EB9, "set_stage" },
    { 0x7EBA, "set_standing_animarray_aiming" },
    { 0x7EBB, "set_standing_cover_turns" },
    { 0x7EBC, "set_standing_turns" },
    { 0x7EBD, "set_start_pos" },
    { 0x7EBE, "set_start_transients" },
    { 0x7EBF, "set_stat_dvars" },
    { 0x7EC0, "set_stream_origin_for_intro" },
    { 0x7EC1, "set_street_lighting" },
    { 0x7EC2, "set_stringtable_mapname" },
    { 0x7EC3, "set_sun_flare" },
    { 0x7EC4, "set_sun_flare_position" },
    { 0x7EC5, "set_sun_shadow_params" },
    { 0x7EC6, "set_swimming_animarray_aiming" },
    { 0x7EC7, "set_swimming_turns" },
    { 0x7EC8, "set_talker_until_msg" },
    { 0x7EC9, "set_talking_currently" },
    { 0x7ECA, "set_target_player_or_will" },
    { 0x7ECB, "set_target_tracking_disabled" },
    { 0x7ECC, "set_team_bcvoice" },
    { 0x7ECD, "set_team_pacifist" },
    { 0x7ECE, "set_temp_hud_text" },
    { 0x7ECF, "set_this_flag_when_im_dead" },
    { 0x7ED0, "set_threat_grenade_response" },
    { 0x7ED1, "set_threatbias" },
    { 0x7ED2, "set_threatbiasgroup" },
    { 0x7ED3, "set_threshold" },
    { 0x7ED4, "set_time_between_attacks" },
    { 0x7ED5, "set_tool_hudelem" },
    { 0x7ED6, "set_traffic_change_speedup" },
    { 0x7ED7, "set_trigger_flag_permissions" },
    { 0x7ED8, "set_trophy_ammo" },
    { 0x7ED9, "set_tunnel_lighting" },
    { 0x7EDA, "set_tunnel_lighting_1" },
    { 0x7EDB, "set_tunnel_lighting_2" },
    { 0x7EDC, "set_turret_death_anim" },
    { 0x7EDD, "set_turret_team" },
    { 0x7EDE, "set_tv_screen_broken" },
    { 0x7EDF, "set_tv_screen_unbroken" },
    { 0x7EE0, "set_umbra_values" },
    { 0x7EE1, "set_unstorable_weapon" },
    { 0x7EE2, "set_up_ambient_battle" },
    { 0x7EE3, "set_up_auto_non_ai_turret" },
    { 0x7EE4, "set_up_bus_crash_anims" },
    { 0x7EE5, "set_up_exo_temperature" },
    { 0x7EE6, "set_up_median_crash_anims" },
    { 0x7EE7, "set_up_pitbull_crash_anims" },
    { 0x7EE8, "set_up_pitbull_escape_anims" },
    { 0x7EE9, "set_up_player_gundown" },
    { 0x7EEA, "set_up_player_s1" },
    { 0x7EEB, "set_up_player_s2" },
    { 0x7EEC, "set_up_police_battle" },
    { 0x7EED, "set_up_president" },
    { 0x7EEE, "set_up_president_s2" },
    { 0x7EEF, "set_up_tank_exit_anims" },
    { 0x7EF0, "set_up_target" },
    { 0x7EF1, "set_urgent_walk_anims" },
    { 0x7EF2, "set_van_lighting" },
    { 0x7EF3, "set_variable_grenades_with_no_switch" },
    { 0x7EF4, "set_vehicle_anims" },
    { 0x7EF5, "set_vehicle_anims_slow" },
    { 0x7EF6, "set_vehicle_anims_turret" },
    { 0x7EF7, "set_vehicle_effect" },
    { 0x7EF8, "set_vehicle_goal_position" },
    { 0x7EF9, "set_vehicle_speed" },
    { 0x7EFA, "set_vision_set" },
    { 0x7EFB, "set_vision_set_player" },
    { 0x7EFC, "set_visionset_for_watching_players" },
    { 0x7EFD, "set_wait_then_clear_skipbloodpool" },
    { 0x7EFE, "set_waits" },
    { 0x7EFF, "set_walkdist" },
    { 0x7F00, "set_weapon_data" },
    { 0x7F01, "set_when_time_flag_balcony_tackle_fake_okay" },
    { 0x7F02, "set_when_time_flag_balcony_tackle_okay" },
    { 0x7F03, "set_when_time_flag_balcony_tackle_too_late" },
    { 0x7F04, "set_whizby_radius" },
    { 0x7F05, "set_whizby_spread" },
    { 0x7F06, "set_wind" },
    { 0x7F07, "set_x" },
    { 0x7F08, "set_y" },
    { 0x7F09, "set_z" },
    { 0x7F0A, "set_zero_speed" },
    { 0x7F0B, "set_zone_stringtable" },
    { 0x7F0C, "set2dicon" },
    { 0x7F0D, "set3dicon" },
    { 0x7F0E, "set3duseicon" },
    { 0x7F0F, "setactivegrenadetimer" },
    { 0x7F10, "setadrenaline" },
    { 0x7F11, "setadrenalinesupport" },
    { 0x7F12, "setaimingparams" },
    { 0x7F13, "setairdropcratecollision" },
    { 0x7F14, "setalertoutline" },
    { 0x7F15, "setalertstencilstate" },
    { 0x7F16, "setalertstencilstate_axis" },
    { 0x7F17, "setalleystransitionculldist" },
    { 0x7F18, "setallvehiclefx" },
    { 0x7F19, "setaltsceneobj" },
    { 0x7F1A, "setalwaysusepistol" },
    { 0x7F1B, "setanimaimweight" },
    { 0x7F1C, "setanimrestart_once" },
    { 0x7F1D, "setanims" },
    { 0x7F1E, "setanims_coverleft_stand" },
    { 0x7F1F, "setanims_coverright_stand" },
    { 0x7F20, "setanims_coverup_stand" },
    { 0x7F21, "setanims_slow" },
    { 0x7F22, "setanims_turret" },
    { 0x7F23, "setanimtree" },
    { 0x7F24, "setattackingteam" },
    { 0x7F25, "setautospot" },
    { 0x7F26, "setbackenemygunlevelevent" },
    { 0x7F27, "setbackfirstplayergunlevelevent" },
    { 0x7F28, "setbacklevel" },
    { 0x7F29, "setblackbox" },
    { 0x7F2A, "setblastshield" },
    { 0x7F2B, "setboostdash" },
    { 0x7F2C, "setcanuse" },
    { 0x7F2D, "setcarepackage" },
    { 0x7F2E, "setcarrier" },
    { 0x7F2F, "setcarriervisible" },
    { 0x7F30, "setcarryicon" },
    { 0x7F31, "setcarryingsentry" },
    { 0x7F32, "setcarryingturret" },
    { 0x7F33, "setcinematiccamerastyle" },
    { 0x7F34, "setclaimteam" },
    { 0x7F35, "setclass" },
    { 0x7F36, "setcombatrecordstat" },
    { 0x7F37, "setcombatrecordstatifgreater" },
    { 0x7F38, "setcombatstandmoveanimweights" },
    { 0x7F39, "setcommonrulesfrommatchrulesdata" },
    { 0x7F3A, "setcontestedicons" },
    { 0x7F3B, "setcopycatloadout" },
    { 0x7F3C, "setcrawlingpaintransanim" },
    { 0x7F3D, "setcrouchmovement" },
    { 0x7F3E, "setcurrentgroup" },
    { 0x7F3F, "setdeepwaterweapon" },
    { 0x7F40, "setdefaultactionslot" },
    { 0x7F41, "setdefaultcallbacks" },
    { 0x7F42, "setdefaultcorneranimmode" },
    { 0x7F43, "setdefaultcostumeifneeded" },
    { 0x7F44, "setdefaultdof" },
    { 0x7F45, "setdefaulthudoutlinedvars" },
    { 0x7F46, "setdefaulthudoutlinestyle" },
    { 0x7F47, "setdefaultpostfx" },
    { 0x7F48, "setdefaultwallanimmode" },
    { 0x7F49, "setdelaymine" },
    { 0x7F4A, "setdeployedjuggernaut" },
    { 0x7F4B, "setdifficulty" },
    { 0x7F4C, "setdistanceonparts" },
    { 0x7F4D, "setdodgeanims" },
    { 0x7F4E, "setdof" },
    { 0x7F4F, "setdot_height" },
    { 0x7F50, "setdot_ontick" },
    { 0x7F51, "setdot_origin" },
    { 0x7F52, "setdot_radius" },
    { 0x7F53, "setdoubleload" },
    { 0x7F54, "setdrivenanim" },
    { 0x7F55, "setdronehealth" },
    { 0x7F56, "setdronevisionandlightsetpermap" },
    { 0x7F57, "setdropped" },
    { 0x7F58, "setdvar_cg_ng" },
    { 0x7F59, "setdynamiceventstartpercent" },
    { 0x7F5A, "setempimmune" },
    { 0x7F5B, "setemptydvar" },
    { 0x7F5C, "setendgame" },
    { 0x7F5D, "setenemydetection" },
    { 0x7F5E, "setenemydifficultysettings" },
    { 0x7F5F, "setentitydamagecallback" },
    { 0x7F60, "setentityheadicon" },
    { 0x7F61, "setexomelee" },
    { 0x7F62, "setexoslam" },
    { 0x7F63, "setexoslide" },
    { 0x7F64, "setexplosivegelteamheadicon" },
    { 0x7F65, "setextrascore0" },
    { 0x7F66, "setextrascore1" },
    { 0x7F67, "setfinalstand" },
    { 0x7F68, "setfireloopmod" },
    { 0x7F69, "setfirstinfected" },
    { 0x7F6A, "setflagaftertime" },
    { 0x7F6B, "setflashbangimmunity" },
    { 0x7F6C, "setflashfrac" },
    { 0x7F6D, "setfogsliders" },
    { 0x7F6E, "setfootstepeffect" },
    { 0x7F6F, "setfootstepeffectsmall" },
    { 0x7F70, "setfovscale" },
    { 0x7F71, "setfreefall" },
    { 0x7F72, "setfriendlydetection" },
    { 0x7F73, "setfriendlyspawn" },
    { 0x7F74, "setgameobjecthudindex" },
    { 0x7F75, "setghilliemodels" },
    { 0x7F76, "setglobalaimsettings" },
    { 0x7F77, "setglobaldifficulty" },
    { 0x7F78, "setgoalpos" },
    { 0x7F79, "setgoalradius" },
    { 0x7F7A, "setgrenadetimer" },
    { 0x7F7B, "setgroup_down" },
    { 0x7F7C, "setgroup_up" },
    { 0x7F7D, "setguns" },
    { 0x7F7E, "setharmonicbreachhudoutlinestyle" },
    { 0x7F7F, "sethasdonecombat" },
    { 0x7F80, "setheadicon" },
    { 0x7F81, "setheadicon_multiple" },
    { 0x7F82, "setheadmodel" },
    { 0x7F83, "setheight" },
    { 0x7F84, "sethighjump" },
    { 0x7F85, "sethudnumbursts" },
    { 0x7F86, "sethudtimer" },
    { 0x7F87, "seticonshader" },
    { 0x7F88, "seticonsize" },
    { 0x7F89, "setidleface" },
    { 0x7F8A, "setidlefacedelayed" },
    { 0x7F8B, "setinfectedmodels" },
    { 0x7F8C, "setinfectedmsg" },
    { 0x7F8D, "setinflictorstat" },
    { 0x7F8E, "setinitialtonormalinfected" },
    { 0x7F8F, "setintelmode" },
    { 0x7F90, "setinterval" },
    { 0x7F91, "setjuiced" },
    { 0x7F92, "setjumpincrease" },
    { 0x7F93, "setkeyobject" },
    { 0x7F94, "setkillcamentity" },
    { 0x7F95, "setkillcamerastyle" },
    { 0x7F96, "setkillstreaks" },
    { 0x7F97, "setlastcallouttype" },
    { 0x7F98, "setlaststoppedtime" },
    { 0x7F99, "setlevelcompleted" },
    { 0x7F9A, "setlightarmor" },
    { 0x7F9B, "setlightarmorhp" },
    { 0x7F9C, "setlightingstate" },
    { 0x7F9D, "setlightweight" },
    { 0x7F9E, "setlocaljammer" },
    { 0x7F9F, "setlowermessage" },
    { 0x7FA0, "setmapcenterfordev" },
    { 0x7FA1, "setmapkillstreaktimer" },
    { 0x7FA2, "setmarksman" },
    { 0x7FA3, "setmeleeattackdist" },
    { 0x7FA4, "setmenu" },
    { 0x7FA5, "setmineteamheadicon" },
    { 0x7FA6, "setmissilespecialclipmaskdelayed" },
    { 0x7FA7, "setmisstime" },
    { 0x7FA8, "setmlgicons" },
    { 0x7FA9, "setmodel_warbird" },
    { 0x7FAA, "setmodelfromarray" },
    { 0x7FAB, "setmodelremoteturret" },
    { 0x7FAC, "setmodelturretbaseonly" },
    { 0x7FAD, "setmodelturretplacementfailed" },
    { 0x7FAE, "setmodelturretplacementgood" },
    { 0x7FAF, "setmodelvisibility" },
    { 0x7FB0, "setmoveanim" },
    { 0x7FB1, "setmovenonforwardanims" },
    { 0x7FB2, "setmovespeedincrease" },
    { 0x7FB3, "setmpinstinctplayer" },
    { 0x7FB4, "setnameandrank_andaddtosquad" },
    { 0x7FB5, "setneutralicons" },
    { 0x7FB6, "setnewplayerchain" },
    { 0x7FB7, "setnextdogattackallowtime" },
    { 0x7FB8, "setnextplayergrenadetime" },
    { 0x7FB9, "setnotetrackeffect" },
    { 0x7FBA, "setnotetracksound" },
    { 0x7FBB, "setnpcid" },
    { 0x7FBC, "setobjatrium" },
    { 0x7FBD, "setobjectivehinttext" },
    { 0x7FBE, "setobjectivescoretext" },
    { 0x7FBF, "setobjectivetext" },
    { 0x7FC0, "setobjectivetextcolors" },
    { 0x7FC1, "setobjfollowtarget" },
    { 0x7FC2, "setobjinfilsafehouse" },
    { 0x7FC3, "setobjintercepthades" },
    { 0x7FC4, "setobjmarketscan" },
    { 0x7FC5, "setobjsniperdronesupport" },
    { 0x7FC6, "setoceansinvalueshightide" },
    { 0x7FC7, "setoceansinvalueslowtide" },
    { 0x7FC8, "setoldslam" },
    { 0x7FC9, "setonemanarmy" },
    { 0x7FCA, "setorbitallaserforteam" },
    { 0x7FCB, "setorbitalsupportbuddy" },
    { 0x7FCC, "setorbitalsupportplayer" },
    { 0x7FCD, "setorbitalview" },
    { 0x7FCE, "setoriginbyname" },
    { 0x7FCF, "setospvisionandlightsetpermap" },
    { 0x7FD0, "setoverdrive" },
    { 0x7FD1, "setoverkillpro" },
    { 0x7FD2, "setoverridewatchdvar" },
    { 0x7FD3, "setovertimelimitdvar" },
    { 0x7FD4, "setownerteam" },
    { 0x7FD5, "setpainted" },
    { 0x7FD6, "setparent" },
    { 0x7FD7, "setpastpursuitfailed" },
    { 0x7FD8, "setpersonalbestifgreater" },
    { 0x7FD9, "setpersonalbestiflower" },
    { 0x7FDA, "setpersonaluav" },
    { 0x7FDB, "setpersstat" },
    { 0x7FDC, "setpickedup" },
    { 0x7FDD, "setplayer_anims" },
    { 0x7FDE, "setplayerbcnameid" },
    { 0x7FDF, "setplayerheadicon" },
    { 0x7FE0, "setplayerheadicon_large" },
    { 0x7FE1, "setplayermodels" },
    { 0x7FE2, "setplayerscoreboardinfo" },
    { 0x7FE3, "setplayerstance" },
    { 0x7FE4, "setplayerstat" },
    { 0x7FE5, "setplayerstatifgreater" },
    { 0x7FE6, "setplayerstatiflower" },
    { 0x7FE7, "setplayertocamera" },
    { 0x7FE8, "setpoint" },
    { 0x7FE9, "setpointbar" },
    { 0x7FEA, "setpose" },
    { 0x7FEB, "setposemovement" },
    { 0x7FEC, "setposemovementfnarray" },
    { 0x7FED, "setposition" },
    { 0x7FEE, "setposture" },
    { 0x7FEF, "setprimaryspawnweapon" },
    { 0x7FF0, "setprisonturretplayer" },
    { 0x7FF1, "setragdolldeath" },
    { 0x7FF2, "setrambogrenadeoffsets" },
    { 0x7FF3, "setrandomorbitalsupportstartposition" },
    { 0x7FF4, "setrearview" },
    { 0x7FF5, "setrecoilscale" },
    { 0x7FF6, "setrefillgrenades" },
    { 0x7FF7, "setrefractionturretplayer" },
    { 0x7FF8, "setregenspeed" },
    { 0x7FF9, "setripoffturrethead" },
    { 0x7FFA, "setsaboteur" },
    { 0x7FFB, "setsafehouseextdrawdist" },
    { 0x7FFC, "setsafehouseintdrawdist" },
    { 0x7FFD, "setsaveddvar_cg_ng" },
    { 0x7FFE, "setselfunusuable" },
    { 0x7FFF, "setselfusable" },
    { 0x8000, "setshallowwaterweapon" },
    { 0x8001, "setsharpfocus" },
    { 0x8002, "setshield" },
    { 0x8003, "setshootenttoenemy" },
    { 0x8004, "setshootstyle" },
    { 0x8005, "setshootstyleforsuppression" },
    { 0x8006, "setshootstyleforvisibleenemy" },
    { 0x8007, "setshootwhilemoving" },
    { 0x8008, "setshowgrenades" },
    { 0x8009, "setsize" },
    { 0x800A, "setskill" },
    { 0x800B, "setsniperaccuracy" },
    { 0x800C, "setsolarreflectorplayer" },
    { 0x800D, "setsonicblast" },
    { 0x800E, "setsoundstate" },
    { 0x800F, "setspawnpoint" },
    { 0x8010, "setspawnvariables" },
    { 0x8011, "setspecialloadout" },
    { 0x8012, "setspecialloadouts" },
    { 0x8013, "setspectatepermissions" },
    { 0x8014, "setspectator" },
    { 0x8015, "setsteadyaimpro" },
    { 0x8016, "setsteelnerves" },
    { 0x8017, "setstencilstate" },
    { 0x8018, "setstim" },
    { 0x8019, "setstoppingpower" },
    { 0x801A, "setstunresistance" },
    { 0x801B, "setsurvivaltime" },
    { 0x801C, "settacticalinsertion" },
    { 0x801D, "settargetandshader" },
    { 0x801E, "settargetangularacceleration" },
    { 0x801F, "settargetentity_smoothtracking" },
    { 0x8020, "settargetoutline" },
    { 0x8021, "setteam" },
    { 0x8022, "setteamheadicon" },
    { 0x8023, "setteamheadicon_large" },
    { 0x8024, "setteamicons" },
    { 0x8025, "setteammodels" },
    { 0x8026, "setteamradarwrapper" },
    { 0x8027, "setteamusetext" },
    { 0x8028, "setteamusetime" },
    { 0x8029, "setthermal" },
    { 0x802A, "setthermaldof" },
    { 0x802B, "setthirdpersondof" },
    { 0x802C, "settimeofnextsound" },
    { 0x802D, "settimeromnvar" },
    { 0x802E, "settings" },
    { 0x802F, "settoneverdelete" },
    { 0x8030, "settridroneteamheadicon" },
    { 0x8031, "setturretfireondrones" },
    { 0x8032, "setturretusable" },
    { 0x8033, "settweakablelastvalue" },
    { 0x8034, "settweakablevalue" },
    { 0x8035, "setuav" },
    { 0x8036, "setuioptionsmenu" },
    { 0x8037, "setunderwateraudiozone" },
    { 0x8038, "setunstableground" },
    { 0x8039, "setup" },
    { 0x803A, "setup_a10_waits" },
    { 0x803B, "setup_additive_aim" },
    { 0x803C, "setup_ai" },
    { 0x803D, "setup_ai_eq_triggers" },
    { 0x803E, "setup_ai_for_bus_sequence" },
    { 0x803F, "setup_aianimthreads" },
    { 0x8040, "setup_alley_anims" },
    { 0x8041, "setup_alley_escape_breach" },
    { 0x8042, "setup_alley_wall_climb_foley" },
    { 0x8043, "setup_allies" },
    { 0x8044, "setup_ally_squad" },
    { 0x8045, "setup_ally_squad_member" },
    { 0x8046, "setup_alpha_squad" },
    { 0x8047, "setup_ambient_walker_tank" },
    { 0x8048, "setup_and_fire_missles_at_guys_repeated" },
    { 0x8049, "setup_anim_array" },
    { 0x804A, "setup_anim_receivers" },
    { 0x804B, "setup_animated_guy" },
    { 0x804C, "setup_atlas_drone" },
    { 0x804D, "setup_audio" },
    { 0x804E, "setup_audio_dnabomb" },
    { 0x804F, "setup_audio_zone_bridge_intact" },
    { 0x8050, "setup_audio_zone_tunnel" },
    { 0x8051, "setup_bigmoment_notetracks" },
    { 0x8052, "setup_bones" },
    { 0x8053, "setup_bot_ball" },
    { 0x8054, "setup_bot_conf" },
    { 0x8055, "setup_bot_ctf" },
    { 0x8056, "setup_bot_dom" },
    { 0x8057, "setup_bot_gun" },
    { 0x8058, "setup_bot_hp" },
    { 0x8059, "setup_bot_infect" },
    { 0x805A, "setup_bot_sd" },
    { 0x805B, "setup_bot_twar" },
    { 0x805C, "setup_bot_war" },
    { 0x805D, "setup_boulder_audio" },
    { 0x805E, "setup_boulder_data" },
    { 0x805F, "setup_breach_marker" },
    { 0x8060, "setup_bridge_explosion_anim_sequence" },
    { 0x8061, "setup_bridge_explosion_anim_sequence_bridge" },
    { 0x8062, "setup_bridge_explosion_anim_sequence_humans" },
    { 0x8063, "setup_bridge_explosion_anim_sequence_vehicles" },
    { 0x8064, "setup_bridge_explosion_trigger" },
    { 0x8065, "setup_briefing_anims" },
    { 0x8066, "setup_buddy_drone_deploy_anims" },
    { 0x8067, "setup_building_traverse_and_vista" },
    { 0x8068, "setup_burke" },
    { 0x8069, "setup_burke_aim_anims" },
    { 0x806A, "setup_burke_river_cross_notetracks" },
    { 0x806B, "setup_button_notifies" },
    { 0x806C, "setup_callbacks" },
    { 0x806D, "setup_camparams" },
    { 0x806E, "setup_canyon" },
    { 0x806F, "setup_canyon_dam" },
    { 0x8070, "setup_canyon_dam_old_controls" },
    { 0x8071, "setup_canyon_exit" },
    { 0x8072, "setup_canyon_old_controls" },
    { 0x8073, "setup_canyon2" },
    { 0x8074, "setup_canyon2_old_controls" },
    { 0x8075, "setup_canyon3" },
    { 0x8076, "setup_canyon3_old_controls" },
    { 0x8077, "setup_capture" },
    { 0x8078, "setup_car_passing_lights" },
    { 0x8079, "setup_car_ride_moment" },
    { 0x807A, "setup_cave_entry_loading_razorback" },
    { 0x807B, "setup_cg_start_points" },
    { 0x807C, "setup_charged_shot" },
    { 0x807D, "setup_cherry_picker_turret" },
    { 0x807E, "setup_chopper_crash_anims" },
    { 0x807F, "setup_choppers" },
    { 0x8080, "setup_civ_animations" },
    { 0x8081, "setup_civ_fence_special" },
    { 0x8082, "setup_civs" },
    { 0x8083, "setup_civs_baseball" },
    { 0x8084, "setup_civs_fence" },
    { 0x8085, "setup_civs_foodtruck" },
    { 0x8086, "setup_civs_infosign" },
    { 0x8087, "setup_civs_talking" },
    { 0x8088, "setup_civs_walkers" },
    { 0x8089, "setup_cleanup_vehicle" },
    { 0x808A, "setup_climb_anims" },
    { 0x808B, "setup_climb_anims_parse_anim_offsets" },
    { 0x808C, "setup_climb_model" },
    { 0x808D, "setup_climb_special_arrays" },
    { 0x808E, "setup_clip" },
    { 0x808F, "setup_clip_pickups" },
    { 0x8090, "setup_cloak_cover" },
    { 0x8091, "setup_combat" },
    { 0x8092, "setup_common" },
    { 0x8093, "setup_complete_missile_not_prefab" },
    { 0x8094, "setup_complete_missile_prefab" },
    { 0x8095, "setup_control_room_door_explosion_light" },
    { 0x8096, "setup_control_room_player_start" },
    { 0x8097, "setup_control_room_scene_dof" },
    { 0x8098, "setup_control_room_screen_light" },
    { 0x8099, "setup_cormack_meetup_scene_notetracks" },
    { 0x809A, "setup_corpses" },
    { 0x809B, "setup_cover_crouch" },
    { 0x809C, "setup_cover_nodes_street" },
    { 0x809D, "setup_cover_prone" },
    { 0x809E, "setup_cover_stand" },
    { 0x809F, "setup_crash_events" },
    { 0x80A0, "setup_crash_flicker_presets" },
    { 0x80A1, "setup_crash_light_motions" },
    { 0x80A2, "setup_crash_site_intro_anims" },
    { 0x80A3, "setup_crevasse_fall_and_recover" },
    { 0x80A4, "setup_crouching_anim_array" },
    { 0x80A5, "setup_day_lighting_volume" },
    { 0x80A6, "setup_deck_deploy_warbird" },
    { 0x80A7, "setup_decon_gate_anims" },
    { 0x80A8, "setup_deer_notetracks" },
    { 0x80A9, "setup_default_level_vars" },
    { 0x80AA, "setup_destructible_dots" },
    { 0x80AB, "setup_destructibles" },
    { 0x80AC, "setup_destructibles_thread" },
    { 0x80AD, "setup_det_intro_catch_anims" },
    { 0x80AE, "setup_dialogue" },
    { 0x80AF, "setup_dnabomb" },
    { 0x80B0, "setup_dnabomb_anims" },
    { 0x80B1, "setup_dof_default_interior" },
    { 0x80B2, "setup_dof_default_interior_volume" },
    { 0x80B3, "setup_dof_door_breach" },
    { 0x80B4, "setup_dof_drone" },
    { 0x80B5, "setup_dof_enter_turret" },
    { 0x80B6, "setup_dof_exit_turret" },
    { 0x80B7, "setup_dof_funeral" },
    { 0x80B8, "setup_dof_funeral_cg" },
    { 0x80B9, "setup_dof_government_breach" },
    { 0x80BA, "setup_dof_government_climb" },
    { 0x80BB, "setup_dof_government_overlook" },
    { 0x80BC, "setup_dof_hostage_release" },
    { 0x80BD, "setup_dof_intro" },
    { 0x80BE, "setup_dof_mini_atrium" },
    { 0x80BF, "setup_dof_mini_atrium_volume" },
    { 0x80C0, "setup_dof_presets" },
    { 0x80C1, "setup_dof_roundabout_tanker_explosion" },
    { 0x80C2, "setup_dof_safehousefollow" },
    { 0x80C3, "setup_dof_safehouseintro" },
    { 0x80C4, "setup_dof_security" },
    { 0x80C5, "setup_dof_security_volume" },
    { 0x80C6, "setup_dof_server_room" },
    { 0x80C7, "setup_dof_shoreline" },
    { 0x80C8, "setup_dof_takedownkill" },
    { 0x80C9, "setup_dof_tour_ride" },
    { 0x80CA, "setup_dof_training_2_drone" },
    { 0x80CB, "setup_dof_van_takedown" },
    { 0x80CC, "setup_dof_viewmodel_presets" },
    { 0x80CD, "setup_dont_leave_failure" },
    { 0x80CE, "setup_dont_leave_hint" },
    { 0x80CF, "setup_dont_leave_squad" },
    { 0x80D0, "setup_dont_leave_squad_hint" },
    { 0x80D1, "setup_door_anim" },
    { 0x80D2, "setup_door_anim_leader" },
    { 0x80D3, "setup_doorshield_anims" },
    { 0x80D4, "setup_drive_shadows" },
    { 0x80D5, "setup_drone_intro_anims" },
    { 0x80D6, "setup_drone_mode" },
    { 0x80D7, "setup_drone_street_fight" },
    { 0x80D8, "setup_drone_swarm_crates" },
    { 0x80D9, "setup_droppod_intro_anims" },
    { 0x80DA, "setup_dynamic_detour" },
    { 0x80DB, "setup_elevator_security_light" },
    { 0x80DC, "setup_end_gate" },
    { 0x80DD, "setup_end_scene" },
    { 0x80DE, "setup_ending_anims" },
    { 0x80DF, "setup_entrance_gate_anims" },
    { 0x80E0, "setup_evacuation_scene" },
    { 0x80E1, "setup_exfil_anims" },
    { 0x80E2, "setup_exit_ride_anims" },
    { 0x80E3, "setup_exitdrive_control_hints" },
    { 0x80E4, "setup_exitdrive_encounters" },
    { 0x80E5, "setup_exitdrive_ending_anims" },
    { 0x80E6, "setup_exitdrive_starting_anims" },
    { 0x80E7, "setup_exo_arm_moment_lighting" },
    { 0x80E8, "setup_exo_climb_audio" },
    { 0x80E9, "setup_exo_door_kick_anims" },
    { 0x80EA, "setup_exo_room_lighting_volume" },
    { 0x80EB, "setup_eye_highlights" },
    { 0x80EC, "setup_eye_highlights_02" },
    { 0x80ED, "setup_eye_highlights_gideon" },
    { 0x80EE, "setup_fall_cloth_floey" },
    { 0x80EF, "setup_fastzip_anims" },
    { 0x80F0, "setup_fastzip_unload" },
    { 0x80F1, "setup_fence_climb_anims" },
    { 0x80F2, "setup_final_chopper" },
    { 0x80F3, "setup_final_lighting" },
    { 0x80F4, "setup_final_straightaway_bus_jump" },
    { 0x80F5, "setup_final_straightaway_buttresses" },
    { 0x80F6, "setup_final_straightaway_missiles" },
    { 0x80F7, "setup_finale_anims" },
    { 0x80F8, "setup_firelight_explosion_hangar" },
    { 0x80F9, "setup_firing_range_stall_lighting_volume" },
    { 0x80FA, "setup_first_fight_left_guy" },
    { 0x80FB, "setup_first_fight_right_guy1" },
    { 0x80FC, "setup_first_fight_right_guy2" },
    { 0x80FD, "setup_flag_exploders" },
    { 0x80FE, "setup_flank_wall_climb_lighting" },
    { 0x80FF, "setup_flank_wall_climb_lighting_complete" },
    { 0x8100, "setup_flickerlight_motion_presets" },
    { 0x8101, "setup_flickerlight_presets" },
    { 0x8102, "setup_flickerlight_presets2" },
    { 0x8103, "setup_flipbook_models" },
    { 0x8104, "setup_fob_blocker_guy_loop" },
    { 0x8105, "setup_fog_tweak" },
    { 0x8106, "setup_food_line_and_guards" },
    { 0x8107, "setup_footstep_fx" },
    { 0x8108, "setup_free_drive_path" },
    { 0x8109, "setup_free_run_cover_crouch_anims" },
    { 0x810A, "setup_free_run_move_anims" },
    { 0x810B, "setup_free_run_transition_anims" },
    { 0x810C, "setup_funeral" },
    { 0x810D, "setup_funeral_ambi_fade" },
    { 0x810E, "setup_fusion_finale_arm_fx" },
    { 0x810F, "setup_fusion_finale_arm_rimlight" },
    { 0x8110, "setup_fusion_finale_helicopter_light" },
    { 0x8111, "setup_fusion_finale_light_flicker" },
    { 0x8112, "setup_fusion_finale_light_rim" },
    { 0x8113, "setup_fusion_finale_light_rim_fov" },
    { 0x8114, "setup_fusion_finale_lightgrid" },
    { 0x8115, "setup_fusion_light_model_flicker" },
    { 0x8116, "setup_fusion_light_model_flicker2" },
    { 0x8117, "setup_fusion_light_model_flicker3" },
    { 0x8118, "setup_fx" },
    { 0x8119, "setup_fx_chain" },
    { 0x811A, "setup_gag_stage_littlebird_load" },
    { 0x811B, "setup_gag_stage_littlebird_unload" },
    { 0x811C, "setup_galaxy_hatch" },
    { 0x811D, "setup_gameplay" },
    { 0x811E, "setup_gangnam_station_intersection" },
    { 0x811F, "setup_gate_crash" },
    { 0x8120, "setup_generic_allies" },
    { 0x8121, "setup_generic_no_shot_vo" },
    { 0x8122, "setup_generic_taking_the_shot_vo" },
    { 0x8123, "setup_generic_target_acquired_vo" },
    { 0x8124, "setup_generic_target_down_vo" },
    { 0x8125, "setup_gideon" },
    { 0x8126, "setup_gideon_climb_notetracks" },
    { 0x8127, "setup_gideon_intro_foley" },
    { 0x8128, "setup_goliath_bridge_anims" },
    { 0x8129, "setup_government_climb_sunlerp" },
    { 0x812A, "setup_government_rpg_explosion_dof" },
    { 0x812B, "setup_government_rpg_explosion_lighting" },
    { 0x812C, "setup_groundnode_detour" },
    { 0x812D, "setup_guy_for_animation" },
    { 0x812E, "setup_guy_for_droppod" },
    { 0x812F, "setup_hangar_door_open_sequence" },
    { 0x8130, "setup_hangar_interior_walls" },
    { 0x8131, "setup_hangar_notetracks" },
    { 0x8132, "setup_hangar_shadow_shell" },
    { 0x8133, "setup_harmonic_breach_anims" },
    { 0x8134, "setup_hazmant_suit_room" },
    { 0x8135, "setup_hazmat_intro_allies" },
    { 0x8136, "setup_helicopter_blades_damage" },
    { 0x8137, "setup_help_keys" },
    { 0x8138, "setup_hemiao_enable" },
    { 0x8139, "setup_hero" },
    { 0x813A, "setup_hints" },
    { 0x813B, "setup_hospital" },
    { 0x813C, "setup_hospital_bodies" },
    { 0x813D, "setup_hospital_notetracks" },
    { 0x813E, "setup_hospital_post_breach_anims" },
    { 0x813F, "setup_hospital_transition" },
    { 0x8140, "setup_hostage_key_fov_tune" },
    { 0x8141, "setup_hotel_exo_punch_breach_anims" },
    { 0x8142, "setup_hoverbike_meet_up_notetracks" },
    { 0x8143, "setup_hovertank" },
    { 0x8144, "setup_hovertank_combat" },
    { 0x8145, "setup_hud_elem" },
    { 0x8146, "setup_hud_lighting" },
    { 0x8147, "setup_ignore_suppression_triggers" },
    { 0x8148, "setup_ilona_lighting" },
    { 0x8149, "setup_individual_exploder" },
    { 0x814A, "setup_injured_soldiers" },
    { 0x814B, "setup_intel_cormack" },
    { 0x814C, "setup_intel_main" },
    { 0x814D, "setup_intel_player" },
    { 0x814E, "setup_intro" },
    { 0x814F, "setup_intro_canyon" },
    { 0x8150, "setup_intro_canyon_old_controls" },
    { 0x8151, "setup_intro_old_controls" },
    { 0x8152, "setup_investigate_location" },
    { 0x8153, "setup_jet_waits" },
    { 0x8154, "setup_jetbike_checkpoint_anims" },
    { 0x8155, "setup_jetbike_motorpool_anims" },
    { 0x8156, "setup_joker" },
    { 0x8157, "setup_kill_drone_trig" },
    { 0x8158, "setup_kill_drone_trig_proc" },
    { 0x8159, "setup_knockdown_sequence" },
    { 0x815A, "setup_lab_entrance_light" },
    { 0x815B, "setup_lab_script_exit_volume" },
    { 0x815C, "setup_lab_script_volume" },
    { 0x815D, "setup_lagos_intro_alley_transition_volume" },
    { 0x815E, "setup_lagos_intro_alley_volume" },
    { 0x815F, "setup_lagos_intro_interiors_post_exo_volume" },
    { 0x8160, "setup_lagos_intro_interiors_volume" },
    { 0x8161, "setup_lake_anims" },
    { 0x8162, "setup_land_assist_jump_anims" },
    { 0x8163, "setup_lane_information" },
    { 0x8164, "setup_last_movement_timer" },
    { 0x8165, "setup_level_lighting_values" },
    { 0x8166, "setup_level_rumble_ent" },
    { 0x8167, "setup_level_transient_zone_variable" },
    { 0x8168, "setup_levelvars" },
    { 0x8169, "setup_lightgrid_lighting_drone" },
    { 0x816A, "setup_lighting" },
    { 0x816B, "setup_lighting_alley" },
    { 0x816C, "setup_lighting_alley_interiors" },
    { 0x816D, "setup_lighting_alley_interiors_volume" },
    { 0x816E, "setup_lighting_alley_volume" },
    { 0x816F, "setup_lighting_alley1_start" },
    { 0x8170, "setup_lighting_alley2_start" },
    { 0x8171, "setup_lighting_ambush" },
    { 0x8172, "setup_lighting_basement_start" },
    { 0x8173, "setup_lighting_boat_crash" },
    { 0x8174, "setup_lighting_boat_start" },
    { 0x8175, "setup_lighting_canal_area" },
    { 0x8176, "setup_lighting_canal_area_volume" },
    { 0x8177, "setup_lighting_chase_buildings" },
    { 0x8178, "setup_lighting_chase_buildings_volume" },
    { 0x8179, "setup_lighting_chase_start" },
    { 0x817A, "setup_lighting_chase_start_volume" },
    { 0x817B, "setup_lighting_chase_tunnel" },
    { 0x817C, "setup_lighting_chase_tunnel_transition" },
    { 0x817D, "setup_lighting_chase_tunnel_transition_volume" },
    { 0x817E, "setup_lighting_chase_tunnel_volume" },
    { 0x817F, "setup_lighting_climb_start" },
    { 0x8180, "setup_lighting_confrontation_start" },
    { 0x8181, "setup_lighting_control_room_start" },
    { 0x8182, "setup_lighting_courtyard_start" },
    { 0x8183, "setup_lighting_day" },
    { 0x8184, "setup_lighting_door_breach" },
    { 0x8185, "setup_lighting_drone" },
    { 0x8186, "setup_lighting_drone_attack" },
    { 0x8187, "setup_lighting_elevator_ride" },
    { 0x8188, "setup_lighting_escape_start" },
    { 0x8189, "setup_lighting_exo_hangar" },
    { 0x818A, "setup_lighting_exo_hangar_doorway" },
    { 0x818B, "setup_lighting_exo_hangar_doorway_volume" },
    { 0x818C, "setup_lighting_exo_hangar_volume" },
    { 0x818D, "setup_lighting_exo_room" },
    { 0x818E, "setup_lighting_finale_start" },
    { 0x818F, "setup_lighting_firing_doorway_volume" },
    { 0x8190, "setup_lighting_firing_range" },
    { 0x8191, "setup_lighting_firing_range_doorway" },
    { 0x8192, "setup_lighting_firing_range_entrance" },
    { 0x8193, "setup_lighting_firing_range_entrance_volume" },
    { 0x8194, "setup_lighting_firing_range_exit" },
    { 0x8195, "setup_lighting_firing_range_exit_volume" },
    { 0x8196, "setup_lighting_firing_range_gallery" },
    { 0x8197, "setup_lighting_firing_range_lights_moment" },
    { 0x8198, "setup_lighting_firing_range_stall" },
    { 0x8199, "setup_lighting_firing_range_stall_01_volume" },
    { 0x819A, "setup_lighting_firing_range_stall_02_volume" },
    { 0x819B, "setup_lighting_firing_range_stall_03_volume" },
    { 0x819C, "setup_lighting_firing_range_stall_04_volume" },
    { 0x819D, "setup_lighting_firing_range_stall_05_volume" },
    { 0x819E, "setup_lighting_firing_range_stall_06_volume" },
    { 0x819F, "setup_lighting_firing_range_stall_07_volume" },
    { 0x81A0, "setup_lighting_firing_range_stall_08_volume" },
    { 0x81A1, "setup_lighting_firing_range_stall_exposure" },
    { 0x81A2, "setup_lighting_firing_range_volume" },
    { 0x81A3, "setup_lighting_flank_start" },
    { 0x81A4, "setup_lighting_fly_drone" },
    { 0x81A5, "setup_lighting_fly_drone_off" },
    { 0x81A6, "setup_lighting_fly_drone_off_night" },
    { 0x81A7, "setup_lighting_fly_drone_off_turbine" },
    { 0x81A8, "setup_lighting_fly_drone_turbine" },
    { 0x81A9, "setup_lighting_frogger_start" },
    { 0x81AA, "setup_lighting_funeral_sequence" },
    { 0x81AB, "setup_lighting_funeral_start" },
    { 0x81AC, "setup_lighting_fx_during_mini_games" },
    { 0x81AD, "setup_lighting_generic_volume" },
    { 0x81AE, "setup_lighting_government" },
    { 0x81AF, "setup_lighting_government_breach" },
    { 0x81B0, "setup_lighting_government_ext" },
    { 0x81B1, "setup_lighting_government_ext_volume" },
    { 0x81B2, "setup_lighting_government_hostage" },
    { 0x81B3, "setup_lighting_government_hostage_volume" },
    { 0x81B4, "setup_lighting_government_overlook" },
    { 0x81B5, "setup_lighting_government_overlook_door" },
    { 0x81B6, "setup_lighting_government_overlook_volume" },
    { 0x81B7, "setup_lighting_government_start" },
    { 0x81B8, "setup_lighting_government_volume" },
    { 0x81B9, "setup_lighting_hangar_demos" },
    { 0x81BA, "setup_lighting_hangar_doors" },
    { 0x81BB, "setup_lighting_harmonic_breach" },
    { 0x81BC, "setup_lighting_harmonic_breach_dof" },
    { 0x81BD, "setup_lighting_harmonic_breach_hud" },
    { 0x81BE, "setup_lighting_hostage_release" },
    { 0x81BF, "setup_lighting_house_interior" },
    { 0x81C0, "setup_lighting_house_interior_transition" },
    { 0x81C1, "setup_lighting_house_interior_transition_volume" },
    { 0x81C2, "setup_lighting_house_interior_volume" },
    { 0x81C3, "setup_lighting_initial_rpgs" },
    { 0x81C4, "setup_lighting_intro_drone" },
    { 0x81C5, "setup_lighting_intro_start" },
    { 0x81C6, "setup_lighting_lab_interior" },
    { 0x81C7, "setup_lighting_lab_interior_volume" },
    { 0x81C8, "setup_lighting_lab_start" },
    { 0x81C9, "setup_lighting_lab_warehouse" },
    { 0x81CA, "setup_lighting_lab_warehouse_volume" },
    { 0x81CB, "setup_lighting_lagos_generic" },
    { 0x81CC, "setup_lighting_lagos_intro_alley" },
    { 0x81CD, "setup_lighting_lagos_intro_alley_transition" },
    { 0x81CE, "setup_lighting_lagos_intro_interiors" },
    { 0x81CF, "setup_lighting_lagos_intro_post_exo_interiors" },
    { 0x81D0, "setup_lighting_lagos_sunflare_volume" },
    { 0x81D1, "setup_lighting_lobby" },
    { 0x81D2, "setup_lighting_lobby_volume" },
    { 0x81D3, "setup_lighting_marketplace" },
    { 0x81D4, "setup_lighting_marketplace_interiors" },
    { 0x81D5, "setup_lighting_marketplace_interiors_volume" },
    { 0x81D6, "setup_lighting_marketplace_volume" },
    { 0x81D7, "setup_lighting_middle_takedown_start" },
    { 0x81D8, "setup_lighting_night" },
    { 0x81D9, "setup_lighting_night_pool" },
    { 0x81DA, "setup_lighting_office_start" },
    { 0x81DB, "setup_lighting_old_town_start" },
    { 0x81DC, "setup_lighting_oncoming_start" },
    { 0x81DD, "setup_lighting_outro" },
    { 0x81DE, "setup_lighting_outro_start" },
    { 0x81DF, "setup_lighting_outro_volume" },
    { 0x81E0, "setup_lighting_override_exo_wallclimb" },
    { 0x81E1, "setup_lighting_pantry_interior" },
    { 0x81E2, "setup_lighting_pantry_interior_volume" },
    { 0x81E3, "setup_lighting_post_h_breach_start" },
    { 0x81E4, "setup_lighting_post_middle_takedown_start" },
    { 0x81E5, "setup_lighting_pre_h_breach_start" },
    { 0x81E6, "setup_lighting_rail_start" },
    { 0x81E7, "setup_lighting_railwalk" },
    { 0x81E8, "setup_lighting_railwalk_volume" },
    { 0x81E9, "setup_lighting_reactor_exit_start" },
    { 0x81EA, "setup_lighting_reactor_start" },
    { 0x81EB, "setup_lighting_ready_room_elevators" },
    { 0x81EC, "setup_lighting_rec_yard" },
    { 0x81ED, "setup_lighting_rec_yard_transition" },
    { 0x81EE, "setup_lighting_rec_yard_transition_volume" },
    { 0x81EF, "setup_lighting_rec_yard_volume" },
    { 0x81F0, "setup_lighting_roof_start" },
    { 0x81F1, "setup_lighting_roundabout" },
    { 0x81F2, "setup_lighting_roundabout_start" },
    { 0x81F3, "setup_lighting_roundabout_transition" },
    { 0x81F4, "setup_lighting_roundabout_transition_volume" },
    { 0x81F5, "setup_lighting_roundabout_volume" },
    { 0x81F6, "setup_lighting_security_start" },
    { 0x81F7, "setup_lighting_sewer_start" },
    { 0x81F8, "setup_lighting_shoreline" },
    { 0x81F9, "setup_lighting_shoreline_start" },
    { 0x81FA, "setup_lighting_sunflare" },
    { 0x81FB, "setup_lighting_suv_takedown" },
    { 0x81FC, "setup_lighting_swim_start" },
    { 0x81FD, "setup_lighting_tanker_aftermath" },
    { 0x81FE, "setup_lighting_tanker_aftermath_cleanup" },
    { 0x81FF, "setup_lighting_tanker_aftermath_volume" },
    { 0x8200, "setup_lighting_tour_augmented_reality_start" },
    { 0x8201, "setup_lighting_tour_end_start" },
    { 0x8202, "setup_lighting_tour_exo_begin_start" },
    { 0x8203, "setup_lighting_tour_exo_exit_start" },
    { 0x8204, "setup_lighting_tour_firing_range_start" },
    { 0x8205, "setup_lighting_tour_ride_begin_start" },
    { 0x8206, "setup_lighting_traffic_crossing" },
    { 0x8207, "setup_lighting_traffic_crossing_volume" },
    { 0x8208, "setup_lighting_training_2_begin_start" },
    { 0x8209, "setup_lighting_training_2_end_start" },
    { 0x820A, "setup_lighting_training_2_golf_course_start" },
    { 0x820B, "setup_lighting_training_2_lodge_begin_start" },
    { 0x820C, "setup_lighting_training_2_lodge_breach_start" },
    { 0x820D, "setup_lighting_training_2_lodge_exit_start" },
    { 0x820E, "setup_lighting_training_2_transition" },
    { 0x820F, "setup_lighting_training_2_transition_volume" },
    { 0x8210, "setup_lighting_training_begin_start" },
    { 0x8211, "setup_lighting_training_end_character_sequence" },
    { 0x8212, "setup_lighting_training_end_start" },
    { 0x8213, "setup_lighting_training_golf_course_start" },
    { 0x8214, "setup_lighting_training_lodge_begin_start" },
    { 0x8215, "setup_lighting_training_lodge_breach_start" },
    { 0x8216, "setup_lighting_training_lodge_exit_start" },
    { 0x8217, "setup_lighting_turbine_start" },
    { 0x8218, "setup_lighting_underwater" },
    { 0x8219, "setup_lighting_underwater_lights" },
    { 0x821A, "setup_lighting_underwater_start" },
    { 0x821B, "setup_lighting_underwater_sunlerp" },
    { 0x821C, "setup_lighting_underwater_volume" },
    { 0x821D, "setup_lighting_van_takedown" },
    { 0x821E, "setup_lighting_van_takedown_start" },
    { 0x821F, "setup_lighting_weapons_platform_area" },
    { 0x8220, "setup_lighting_weapons_platform_area_volume" },
    { 0x8221, "setup_lightning_transition" },
    { 0x8222, "setup_lights_pre_elevator" },
    { 0x8223, "setup_lower_atmosphere_fall" },
    { 0x8224, "setup_m_turret" },
    { 0x8225, "setup_mag_glove_anims" },
    { 0x8226, "setup_main_missile" },
    { 0x8227, "setup_mall_sizeup_anims" },
    { 0x8228, "setup_mech_for_drop" },
    { 0x8229, "setup_mech_grapple_kill_anims" },
    { 0x822A, "setup_mechs" },
    { 0x822B, "setup_meet_cormack_pt2_objective" },
    { 0x822C, "setup_mg_turrets" },
    { 0x822D, "setup_middle_notetracks" },
    { 0x822E, "setup_mig29_waits" },
    { 0x822F, "setup_miniguns" },
    { 0x8230, "setup_missile_launchers" },
    { 0x8231, "setup_mob_turret" },
    { 0x8232, "setup_mob_turret_targets" },
    { 0x8233, "setup_mobile_turret" },
    { 0x8234, "setup_mobile_turret_gameplay" },
    { 0x8235, "setup_motion_blur_chase_start" },
    { 0x8236, "setup_motion_blur_oncoming" },
    { 0x8237, "setup_motorpool" },
    { 0x8238, "setup_move_chase_van" },
    { 0x8239, "setup_move_friendly_pitbull" },
    { 0x823A, "setup_move_player_pitbull" },
    { 0x823B, "setup_names" },
    { 0x823C, "setup_narrow_cave_anims" },
    { 0x823D, "setup_new_eq_settings" },
    { 0x823E, "setup_night_lighting_pool_volume" },
    { 0x823F, "setup_night_lighting_volume" },
    { 0x8240, "setup_nightclub_notetracks" },
    { 0x8241, "setup_nothing" },
    { 0x8242, "setup_npc_cloak_button_anims" },
    { 0x8243, "setup_npc_paths" },
    { 0x8244, "setup_npc_pod_landings" },
    { 0x8245, "setup_objective_flags" },
    { 0x8246, "setup_objectives" },
    { 0x8247, "setup_openning_vista" },
    { 0x8248, "setup_orange_room_enter" },
    { 0x8249, "setup_orange_room_enter_volume" },
    { 0x824A, "setup_orange_room_exit" },
    { 0x824B, "setup_orange_room_exit_volume" },
    { 0x824C, "setup_orbital_entry" },
    { 0x824D, "setup_outerspacelighting_interior" },
    { 0x824E, "setup_outro" },
    { 0x824F, "setup_outro_notetracks" },
    { 0x8250, "setup_park_rpg_barrage" },
    { 0x8251, "setup_pdrone_animations" },
    { 0x8252, "setup_pdrone_type" },
    { 0x8253, "setup_personal_drone" },
    { 0x8254, "setup_personalities" },
    { 0x8255, "setup_physical_dof_fob" },
    { 0x8256, "setup_pitbull_vfx_lights" },
    { 0x8257, "setup_player" },
    { 0x8258, "setup_player_blocking_shot_vo" },
    { 0x8259, "setup_player_driving_anims" },
    { 0x825A, "setup_player_fall" },
    { 0x825B, "setup_player_fall_fog" },
    { 0x825C, "setup_player_for_animated_sequence" },
    { 0x825D, "setup_player_for_gameplay" },
    { 0x825E, "setup_player_for_scene" },
    { 0x825F, "setup_player_pitbull" },
    { 0x8260, "setup_player_pod" },
    { 0x8261, "setup_player_pod_b" },
    { 0x8262, "setup_player_pod_exit" },
    { 0x8263, "setup_player_takedown_notetracks" },
    { 0x8264, "setup_pm_rescue_anims" },
    { 0x8265, "setup_pod_eject_anims" },
    { 0x8266, "setup_pod_exit_anims" },
    { 0x8267, "setup_poison_gas_death" },
    { 0x8268, "setup_portal_scripting" },
    { 0x8269, "setup_post_refuel" },
    { 0x826A, "setup_post_refuel_old_controls" },
    { 0x826B, "setup_post_tower" },
    { 0x826C, "setup_precache" },
    { 0x826D, "setup_queen_drone" },
    { 0x826E, "setup_rappel_marker" },
    { 0x826F, "setup_reentry" },
    { 0x8270, "setup_refugee_camp_soldiers" },
    { 0x8271, "setup_refugee_camp_soldiers_group_1" },
    { 0x8272, "setup_refugee_stage_audience" },
    { 0x8273, "setup_refugee_stage_speaker" },
    { 0x8274, "setup_regroup_obj" },
    { 0x8275, "setup_reminder_volumes" },
    { 0x8276, "setup_repair_hangar_lighting" },
    { 0x8277, "setup_rider_anims" },
    { 0x8278, "setup_rocket_pieces" },
    { 0x8279, "setup_roof_breach_anims" },
    { 0x827A, "setup_roundabout_point_source_dambs" },
    { 0x827B, "setup_roundabout_rpg_fire_emitters" },
    { 0x827C, "setup_roundabout_tanker_proxy_fire_emitters" },
    { 0x827D, "setup_run_n_gun" },
    { 0x827E, "setup_s2_ally_squad_member" },
    { 0x827F, "setup_safe_vols_near_cardoors" },
    { 0x8280, "setup_school" },
    { 0x8281, "setup_school_bodies" },
    { 0x8282, "setup_school_notetracks" },
    { 0x8283, "setup_school_shimmy_anims" },
    { 0x8284, "setup_school_stealth" },
    { 0x8285, "setup_script_gatetrigger" },
    { 0x8286, "setup_scriptable_primary_light" },
    { 0x8287, "setup_se" },
    { 0x8288, "setup_sentinel_reveal_anims" },
    { 0x8289, "setup_seoul_building_jump_sequence_lighting" },
    { 0x828A, "setup_seoul_canal_start_lighting" },
    { 0x828B, "setup_seoul_drone_swarm_intro_lighting" },
    { 0x828C, "setup_seoul_fob_lighting" },
    { 0x828D, "setup_seoul_hotel_entrance_lighting" },
    { 0x828E, "setup_seoul_hotel_lighting" },
    { 0x828F, "setup_seoul_intro_lighting" },
    { 0x8290, "setup_seoul_jump_lighting" },
    { 0x8291, "setup_seoul_shopping_district_start_lighting" },
    { 0x8292, "setup_seoul_sinkhole_start_lighting" },
    { 0x8293, "setup_seoul_space_entry_lighting" },
    { 0x8294, "setup_seoul_subway_start_lighting" },
    { 0x8295, "setup_server_room_door_open_lighting" },
    { 0x8296, "setup_server_room_lighting" },
    { 0x8297, "setup_server_room_scene_notetracks" },
    { 0x8298, "setup_shg_fx" },
    { 0x8299, "setup_shuffle_anim_array" },
    { 0x829A, "setup_side_missile" },
    { 0x829B, "setup_side_missile_prefab" },
    { 0x829C, "setup_skyjack_anims" },
    { 0x829D, "setup_skyjack_mag_glove_anims" },
    { 0x829E, "setup_smart_grenade_pickups" },
    { 0x829F, "setup_smash_nodes" },
    { 0x82A0, "setup_sniper_debug_hud_elem" },
    { 0x82A1, "setup_sniper_spawns" },
    { 0x82A2, "setup_snipers" },
    { 0x82A3, "setup_social_groups" },
    { 0x82A4, "setup_space_transport" },
    { 0x82A5, "setup_spawn_functions" },
    { 0x82A6, "setup_spawners" },
    { 0x82A7, "setup_squad_for_gameplay" },
    { 0x82A8, "setup_squad_for_scene" },
    { 0x82A9, "setup_squad_member_for_gameplay" },
    { 0x82AA, "setup_squad_member_for_scene" },
    { 0x82AB, "setup_standing_anim_array" },
    { 0x82AC, "setup_start_points" },
    { 0x82AD, "setup_start_points_for_transients" },
    { 0x82AE, "setup_start_transients" },
    { 0x82AF, "setup_start_vehicle_on_path" },
    { 0x82B0, "setup_street_reunion_spawners" },
    { 0x82B1, "setup_subsurface_scatter" },
    { 0x82B2, "setup_sunlight_off" },
    { 0x82B3, "setup_sunlight_off_volume" },
    { 0x82B4, "setup_tank" },
    { 0x82B5, "setup_tank_battle" },
    { 0x82B6, "setup_tanker_crash_notetrack" },
    { 0x82B7, "setup_team" },
    { 0x82B8, "setup_tff_cleanups" },
    { 0x82B9, "setup_tff_transitions" },
    { 0x82BA, "setup_threat_bias_groups" },
    { 0x82BB, "setup_threat_grenade_pickups" },
    { 0x82BC, "setup_threatbias_combat" },
    { 0x82BD, "setup_tour" },
    { 0x82BE, "setup_tour_hangar_doors_lighting" },
    { 0x82BF, "setup_tour_hangar_opening" },
    { 0x82C0, "setup_tour_ride_skin_spec_fix" },
    { 0x82C1, "setup_tracks_1" },
    { 0x82C2, "setup_tracks_2" },
    { 0x82C3, "setup_traffic_group" },
    { 0x82C4, "setup_traffic_path" },
    { 0x82C5, "setup_traffic_path_with_options" },
    { 0x82C6, "setup_traffic_spawner" },
    { 0x82C7, "setup_training_01_end_ambi_swap" },
    { 0x82C8, "setup_training_01_end_compound_ambi_emitter" },
    { 0x82C9, "setup_training_02_breach_smartglass" },
    { 0x82CA, "setup_training_2_breach" },
    { 0x82CB, "setup_training_2_drone" },
    { 0x82CC, "setup_training_2_heli_dof" },
    { 0x82CD, "setup_training_2_heli_lighting" },
    { 0x82CE, "setup_training_2_start_area_lighting" },
    { 0x82CF, "setup_training_2_suv_dof" },
    { 0x82D0, "setup_training_2_suv_fires" },
    { 0x82D1, "setup_training_sequence_1" },
    { 0x82D2, "setup_training_sequence_2" },
    { 0x82D3, "setup_training_start_area_dof" },
    { 0x82D4, "setup_training_start_area_lighting" },
    { 0x82D5, "setup_transient_transitions" },
    { 0x82D6, "setup_triggers" },
    { 0x82D7, "setup_triggers_street_battle" },
    { 0x82D8, "setup_turbine_room_outerspace_lighting" },
    { 0x82D9, "setup_turbine_room_pulsing_lights" },
    { 0x82DA, "setup_turret_anims" },
    { 0x82DB, "setup_underwater_dof" },
    { 0x82DC, "setup_vehicle_for_damage" },
    { 0x82DD, "setup_vehicle_spawners" },
    { 0x82DE, "setup_vehicles" },
    { 0x82DF, "setup_vehicles_for_middle_takedown" },
    { 0x82E0, "setup_vehicles_for_takedown" },
    { 0x82E1, "setup_vfx_lighting" },
    { 0x82E2, "setup_vfx_sunflare" },
    { 0x82E3, "setup_vignette" },
    { 0x82E4, "setup_vo" },
    { 0x82E5, "setup_vols" },
    { 0x82E6, "setup_wake_volumes" },
    { 0x82E7, "setup_wall_climb_foley" },
    { 0x82E8, "setup_wall_pull_anims" },
    { 0x82E9, "setup_wallpull" },
    { 0x82EA, "setup_warbird" },
    { 0x82EB, "setup_warbird_grapple_kill_anims" },
    { 0x82EC, "setup_water_crash" },
    { 0x82ED, "setup_window_explosion_wait" },
    { 0x82EE, "setup_worldhands_anims" },
    { 0x82EF, "setup_zipline_gun" },
    { 0x82F0, "setupaiforanimsequence" },
    { 0x82F1, "setupaiforendinganim" },
    { 0x82F2, "setupaim" },
    { 0x82F3, "setupaitargetmarkingvariables" },
    { 0x82F4, "setupalleysvo" },
    { 0x82F5, "setupamplifierdamagemonitor" },
    { 0x82F6, "setupapproachnode" },
    { 0x82F7, "setupbetrayalportalscripting" },
    { 0x82F8, "setupbigfinaleguys" },
    { 0x82F9, "setupbombsquad" },
    { 0x82FA, "setupbotsformapkillstreak" },
    { 0x82FB, "setupcallbacks" },
    { 0x82FC, "setupcarepackagedrone" },
    { 0x82FD, "setupcloaking" },
    { 0x82FE, "setupcommonassaultdroneproperties" },
    { 0x82FF, "setupconfcentervo" },
    { 0x8300, "setupconvoycrashedvehicles" },
    { 0x8301, "setupcoopturret" },
    { 0x8302, "setupcqbpointsofinterest" },
    { 0x8303, "setupcranechem" },
    { 0x8304, "setupdamagecallback" },
    { 0x8305, "setupdamagecallbackinternal" },
    { 0x8306, "setupdamageflags" },
    { 0x8307, "setupdebughudelem" },
    { 0x8308, "setupdestructiblekillcaments" },
    { 0x8309, "setupdialogue" },
    { 0x830A, "setupdogstate" },
    { 0x830B, "setupdynamicevent" },
    { 0x830C, "setupenemygoalvolumesettings" },
    { 0x830D, "setupexploders" },
    { 0x830E, "setupexposedcombatloop" },
    { 0x830F, "setupfinalebarrier" },
    { 0x8310, "setupflightsounds" },
    { 0x8311, "setupfog" },
    { 0x8312, "setupforrandomspawn" },
    { 0x8313, "setupgaragedoor" },
    { 0x8314, "setupgates" },
    { 0x8315, "setuphadescrashedvehicle" },
    { 0x8316, "setupheavyresistancemodel" },
    { 0x8317, "setupholograms" },
    { 0x8318, "setupkillcament" },
    { 0x8319, "setupkillstreakdevgui" },
    { 0x831A, "setupledgefx" },
    { 0x831B, "setuplongpunch" },
    { 0x831C, "setupmaniac" },
    { 0x831D, "setupmeetingcivilians" },
    { 0x831E, "setupminimap" },
    { 0x831F, "setupmovement" },
    { 0x8320, "setupnearbyspawns" },
    { 0x8321, "setupoceanfoam" },
    { 0x8322, "setuporbitalstrike" },
    { 0x8323, "setupparkinginvestigators" },
    { 0x8324, "setupplayercommands" },
    { 0x8325, "setupplayerdeath" },
    { 0x8326, "setupplayerhud" },
    { 0x8327, "setupplayerinventory" },
    { 0x8328, "setupplayersduringstreak" },
    { 0x8329, "setupplayertargets" },
    { 0x832A, "setuppoolallytargets" },
    { 0x832B, "setuppoolkillvictim" },
    { 0x832C, "setupprisonturrets" },
    { 0x832D, "setupproneaim" },
    { 0x832E, "setupradar" },
    { 0x832F, "setuprandomtable" },
    { 0x8330, "setupriotsuppresionsystem" },
    { 0x8331, "setuprippablemodel" },
    { 0x8332, "setuprobotarmnotetracks" },
    { 0x8333, "setuprockets" },
    { 0x8334, "setuprocketswarm" },
    { 0x8335, "setupsavedactionslots" },
    { 0x8336, "setupshotgunkva" },
    { 0x8337, "setupsniperdebughudelem" },
    { 0x8338, "setupsuperexo" },
    { 0x8339, "setuptrophy" },
    { 0x833A, "setupuniqueanims" },
    { 0x833B, "setupvalidtargetsbyarray" },
    { 0x833C, "setupvalidtargetsbyname" },
    { 0x833D, "setupvehicleanims" },
    { 0x833E, "setupvfxgroup" },
    { 0x833F, "setupwarbirdhud" },
    { 0x8340, "setupwarbirdkillstreak" },
    { 0x8341, "setupwaves" },
    { 0x8342, "setupzones" },
    { 0x8343, "setusablebyteam" },
    { 0x8344, "setusehinttext" },
    { 0x8345, "setusetext" },
    { 0x8346, "setusetime" },
    { 0x8347, "setusingremote" },
    { 0x8348, "setvehgoalpos_wrap" },
    { 0x8349, "setvehgoalposauto" },
    { 0x834A, "setvehiclefx" },
    { 0x834B, "setvirtuallobbypresentable" },
    { 0x834C, "setvisibleteam" },
    { 0x834D, "setvulcanvisionandlightsetpermap" },
    { 0x834E, "setwaitingicons" },
    { 0x834F, "setwarbirdvisionsetpermap" },
    { 0x8350, "setweaponstat" },
    { 0x8351, "setweaponusagevariables" },
    { 0x8352, "setwidth" },
    { 0x8353, "setxenonranks" },
    { 0x8354, "severed_arm_anim" },
    { 0x8355, "sewer_exit_monitor_player_weapon_fire" },
    { 0x8356, "sewer_scene_backtrack_fail_send_in_flyers" },
    { 0x8357, "sewer_scene_backtrack_failure" },
    { 0x8358, "sewer_scene_checkpoint_fail_conditions" },
    { 0x8359, "sewer_scene_checkpoint_failed_player_jumped_down" },
    { 0x835A, "sewer_scene_checkpoint_failed_player_shot" },
    { 0x835B, "sewer_scene_checkpoint_failed_player_stayed_behind" },
    { 0x835C, "sewer_scene_checkpoint_failed_player_too_close" },
    { 0x835D, "sewer_scene_checkpoint_failed_player_went_back" },
    { 0x835E, "sewer_scene_checkpoint_guard_wakeup" },
    { 0x835F, "sewer_scene_checkpoint_handle_guard_wakeup" },
    { 0x8360, "sewer_scene_checkpoint_player_killvol_handling" },
    { 0x8361, "sewer_scene_chkpt_fail_extra_hunters" },
    { 0x8362, "sewer_scene_chkpt_fail_extra_hunters_setup" },
    { 0x8363, "sewer_scene_chkpt_fail_warbird" },
    { 0x8364, "sewer_scene_cleanup" },
    { 0x8365, "sewer_scene_dialogue_manager" },
    { 0x8366, "sewer_scene_drone_oppresion_fly" },
    { 0x8367, "sewer_scene_drone_surprise_ilona" },
    { 0x8368, "sewer_scene_drone_vehicle_setup" },
    { 0x8369, "sewer_scene_guards_alerted_wake_up_scene" },
    { 0x836A, "sewer_scene_handle_opression_event" },
    { 0x836B, "sewer_scene_ilona_movement_manager" },
    { 0x836C, "sewer_scene_manhole_backtrack_failure" },
    { 0x836D, "sewer_scene_manhole_interaction" },
    { 0x836E, "sewer_scene_manhole_spawn_swim_swarm" },
    { 0x836F, "sewer_scene_market_atlas_oppression_setup" },
    { 0x8370, "sewer_scene_market_bystander_oppression_setup" },
    { 0x8371, "sewer_scene_market_section" },
    { 0x8372, "sewer_scene_market_section_handle_ilona_move" },
    { 0x8373, "sewer_scene_market_vig_civ_init" },
    { 0x8374, "sewer_scene_master_handler" },
    { 0x8375, "sewer_scene_oppresion_guys" },
    { 0x8376, "sewer_scene_oppression_civ01" },
    { 0x8377, "sewer_scene_oppression_civ02" },
    { 0x8378, "sewer_scene_oppression_guard" },
    { 0x8379, "sewer_scene_scripted_objects" },
    { 0x837A, "sewer_scene_setup" },
    { 0x837B, "sewer_scene_setup_manholde_vignette_civs" },
    { 0x837C, "sewer_scene_spawn_guards_at_market_checkpoint" },
    { 0x837D, "sewer_scene_store_oppresion_guy" },
    { 0x837E, "sewer_scene_swim_cleanup" },
    { 0x837F, "sewer_scene_teleport_ilona_to_sewer_exit" },
    { 0x8380, "sewer_scene_vignette_actor_flee" },
    { 0x8381, "sewer_scene_vignette_bystander_react" },
    { 0x8382, "sf_b_bridge_burk" },
    { 0x8383, "sf_b_bridge_cormack" },
    { 0x8384, "sf_b_bridge_maddox" },
    { 0x8385, "sf_b_videolog" },
    { 0x8386, "sfa_generic_traffic_constructor" },
    { 0x8387, "sfb_end_logo" },
    { 0x8388, "sfb_intro_burke_foley" },
    { 0x8389, "sfb_intro_car_explode" },
    { 0x838A, "shack_explode" },
    { 0x838B, "shack_roof_damage_fx" },
    { 0x838C, "shader" },
    { 0x838D, "shader_height" },
    { 0x838E, "shader_width" },
    { 0x838F, "shadow_bar2_enter" },
    { 0x8390, "shadow_bar2_exit" },
    { 0x8391, "shadow_card" },
    { 0x8392, "shadow_destroyed_trigger_think" },
    { 0x8393, "shadow_godray_window_large_dim_think" },
    { 0x8394, "shadow_godray_window_large_think" },
    { 0x8395, "shadow_pos" },
    { 0x8396, "shadow_shopping_walkway_enter" },
    { 0x8397, "shadow_shopping_walkway_exit" },
    { 0x8398, "shadow_shopping_walkway_pre_enter" },
    { 0x8399, "shadow_tag" },
    { 0x839A, "shadow_tag_01" },
    { 0x839B, "shadow_tag_02" },
    { 0x839C, "shadow_tag_03" },
    { 0x839D, "shadow_tag_05" },
    { 0x839E, "shadow_tag_06" },
    { 0x839F, "shadow_tag_07" },
    { 0x83A0, "shadow_tag_08" },
    { 0x83A1, "shadow_tag_09" },
    { 0x83A2, "shadow_tag_11" },
    { 0x83A3, "shaft_descent_end" },
    { 0x83A4, "shaft_descent_speed_update" },
    { 0x83A5, "shaft_descent_start" },
    { 0x83A6, "shaft_descent_state_change" },
    { 0x83A7, "shake_dist_threshold_" },
    { 0x83A8, "shake_duration" },
    { 0x83A9, "shake_durration_" },
    { 0x83AA, "shake_envelope_" },
    { 0x83AB, "shake_in_progress" },
    { 0x83AC, "shallow_water_weapon" },
    { 0x83AD, "shared_portable_turrets" },
    { 0x83AE, "shared_turrets" },
    { 0x83AF, "sharedevent" },
    { 0x83B0, "shark_functions" },
    { 0x83B1, "shelf" },
    { 0x83B2, "shell_fx" },
    { 0x83B3, "shell_sound" },
    { 0x83B4, "shell_sound_enabled" },
    { 0x83B5, "shellshock_audio_disabled" },
    { 0x83B6, "shellshock_time" },
    { 0x83B7, "shellshocked" },
    { 0x83B8, "shellshockondamage" },
    { 0x83B9, "shg_exploder_tendrils" },
    { 0x83BA, "shg_spawn_tendrils" },
    { 0x83BB, "shieldbroken" },
    { 0x83BC, "shieldbulletblockcount" },
    { 0x83BD, "shieldbulletblocklimit" },
    { 0x83BE, "shieldbulletblocktime" },
    { 0x83BF, "shieldbullethits" },
    { 0x83C0, "shielddamage" },
    { 0x83C1, "shieldmodelvariant" },
    { 0x83C2, "shift_car" },
    { 0x83C3, "ship" },
    { 0x83C4, "ship_explosion_rumble" },
    { 0x83C5, "ship_explosion_screenblur" },
    { 0x83C6, "ship_pos_wait_delay" },
    { 0x83C7, "shit_blocked_upstairs" },
    { 0x83C8, "shitloc" },
    { 0x83C9, "shock_distance" },
    { 0x83CA, "shock_ondeath" },
    { 0x83CB, "shocking_target" },
    { 0x83CC, "shockthink" },
    { 0x83CD, "shockwave_begin" },
    { 0x83CE, "shoot_at_ambulance" },
    { 0x83CF, "shoot_at_chopper" },
    { 0x83D0, "shoot_at_sentinel_agents" },
    { 0x83D1, "shoot_at_spots" },
    { 0x83D2, "shoot_at_these_targets" },
    { 0x83D3, "shoot_charge_bar" },
    { 0x83D4, "shoot_drone_at_ally" },
    { 0x83D5, "shoot_dude_through_window" },
    { 0x83D6, "shoot_enemy_until_he_hides_then_shoot_wall" },
    { 0x83D7, "shoot_mg42_script_targets" },
    { 0x83D8, "shoot_out_exo_windows_scaffolding_think" },
    { 0x83D9, "shoot_out_windows" },
    { 0x83DA, "shoot_player_if_facing" },
    { 0x83DB, "shoot_point_array" },
    { 0x83DC, "shoot_sam_missile" },
    { 0x83DD, "shoot_sam_missiles" },
    { 0x83DE, "shoot_tag" },
    { 0x83DF, "shoot_target_till_dead" },
    { 0x83E0, "shoot_while_driving_thread" },
    { 0x83E1, "shoot_while_moving_thread" },
    { 0x83E2, "shoot_while_ziplining" },
    { 0x83E3, "shootanimtime" },
    { 0x83E4, "shootastold" },
    { 0x83E5, "shootatshootentorpos" },
    { 0x83E6, "shootblankthread" },
    { 0x83E7, "shootcineturrets" },
    { 0x83E8, "shootdowncarepackage" },
    { 0x83E9, "shootenemy" },
    { 0x83EA, "shootenemytarget_bullets" },
    { 0x83EB, "shootenemytarget_bullets_debugline" },
    { 0x83EC, "shootenemywrapper" },
    { 0x83ED, "shootenemywrapper_func" },
    { 0x83EE, "shootenemywrapper_normal" },
    { 0x83EF, "shootenemywrapper_shootnotify" },
    { 0x83F0, "shootent" },
    { 0x83F1, "shootentvelocity" },
    { 0x83F2, "shootguy" },
    { 0x83F3, "shootguytargetmustdie" },
    { 0x83F4, "shooting_head_sway" },
    { 0x83F5, "shooting_range_enemy_shot" },
    { 0x83F6, "shooting_range_enemy_spawn" },
    { 0x83F7, "shooting_range_floor_panels_off" },
    { 0x83F8, "shooting_range_floor_panels_on" },
    { 0x83F9, "shooting_range_friendly_shot" },
    { 0x83FA, "shooting_range_friendly_spawn" },
    { 0x83FB, "shooting_range_overdrive_watcher" },
    { 0x83FC, "shooting_range_panels_down" },
    { 0x83FD, "shooting_range_panels_up" },
    { 0x83FE, "shooting_range_ramp_down_lighting" },
    { 0x83FF, "shooting_range_ramp_up_lighting" },
    { 0x8400, "shooting_range_target_despawn" },
    { 0x8401, "shooting_range_transition1" },
    { 0x8402, "shooting_range_transition2" },
    { 0x8403, "shooting_range_transition3" },
    { 0x8404, "shootingrangeleaderboard" },
    { 0x8405, "shootkva" },
    { 0x8406, "shootkva_enemyindexer" },
    { 0x8407, "shootnotetrack" },
    { 0x8408, "shootobjective" },
    { 0x8409, "shootpos" },
    { 0x840A, "shootposoutsidelegalyawrange" },
    { 0x840B, "shootposoverride" },
    { 0x840C, "shootposwrapper" },
    { 0x840D, "shootposwrapper_func" },
    { 0x840E, "shootrateoverride" },
    { 0x840F, "shootstyle" },
    { 0x8410, "shootuntilneedtoturn" },
    { 0x8411, "shootuntilshootbehaviorchange" },
    { 0x8412, "shootuntilshootbehaviorchange_corner" },
    { 0x8413, "shootuntilshootbehaviorchange_coverwall" },
    { 0x8414, "shootuntilshootbehaviorchangefortime" },
    { 0x8415, "shootwhilemoving" },
    { 0x8416, "shootwhileturning" },
    { 0x8417, "shoping_district_ambientfx_aa_explosion" },
    { 0x8418, "shoping_district_ambientfx_midair_explosion" },
    { 0x8419, "shoping_district_ambientfx_windowglass_explosion" },
    { 0x841A, "shopping_district_glass_hit_after_smashed" },
    { 0x841B, "shopping_district_glass_smashed" },
    { 0x841C, "shopping_district_main" },
    { 0x841D, "shopping_district_objectives" },
    { 0x841E, "shopping_district_panel_smashed" },
    { 0x841F, "shopping_district_panel_swing" },
    { 0x8420, "shopping_district_turret_truck" },
    { 0x8421, "shore_ajani_run_in" },
    { 0x8422, "shore_ajani_walks_away" },
    { 0x8423, "shore_ending" },
    { 0x8424, "shore_gideon_grab_plr" },
    { 0x8425, "shore_gideon_moneys_worth" },
    { 0x8426, "shore_gideon_nudge" },
    { 0x8427, "shore_gideon_pickup_wpn" },
    { 0x8428, "shore_gideon_slap_plr" },
    { 0x8429, "shore_gideon_stand" },
    { 0x842A, "shore_gideon_turn" },
    { 0x842B, "shore_joker_helps_with_hostage" },
    { 0x842C, "shore_joker_nudges_hostage" },
    { 0x842D, "shore_joker_run_in" },
    { 0x842E, "shore_pcap" },
    { 0x842F, "shore_pcap_notetrack_setup" },
    { 0x8430, "shore_plr_grab_wpn" },
    { 0x8431, "shore_plr_slapped" },
    { 0x8432, "shore_plr_tries_to_get_up" },
    { 0x8433, "shortencolor" },
    { 0x8434, "shot_at_player" },
    { 0x8435, "shot_delay" },
    { 0x8436, "shot_endangers_any_player" },
    { 0x8437, "shot_endangers_player" },
    { 0x8438, "shotcount" },
    { 0x8439, "shotfired" },
    { 0x843A, "shotfiredphysicssphere" },
    { 0x843B, "shotgunabortdefendgoalonflag" },
    { 0x843C, "shotgunfirerate" },
    { 0x843D, "shotgunpumpsound" },
    { 0x843E, "shotgunswitchfinish" },
    { 0x843F, "shotgunswitchstandruninternal" },
    { 0x8440, "shots_fired" },
    { 0x8441, "shots_fired_recorder" },
    { 0x8442, "shots_hit" },
    { 0x8443, "shotsafterplayerbecomesinvul" },
    { 0x8444, "shotsatzerospeed" },
    { 0x8445, "shotsfired" },
    { 0x8446, "shotshit" },
    { 0x8447, "should_abort" },
    { 0x8448, "should_be_vehicle" },
    { 0x8449, "should_break_boost_jump_hint" },
    { 0x844A, "should_break_crouch_hint" },
    { 0x844B, "should_break_disable_nvg_print" },
    { 0x844C, "should_break_dont_leave" },
    { 0x844D, "should_break_dont_leave_squad" },
    { 0x844E, "should_break_end_jump_hint" },
    { 0x844F, "should_break_leave_mission_hint" },
    { 0x8450, "should_break_move_hint" },
    { 0x8451, "should_break_on_throw" },
    { 0x8452, "should_break_recover_hint" },
    { 0x8453, "should_break_recover_hint_command" },
    { 0x8454, "should_break_recover_hint_movement" },
    { 0x8455, "should_break_release_mt_missiles" },
    { 0x8456, "should_break_swim_hint" },
    { 0x8457, "should_break_tappy_hint" },
    { 0x8458, "should_break_threat_hint" },
    { 0x8459, "should_break_use_mt_fire" },
    { 0x845A, "should_break_use_mt_missiles" },
    { 0x845B, "should_delay_flag_decision" },
    { 0x845C, "should_display_melee_hint" },
    { 0x845D, "should_do_car_alarm" },
    { 0x845E, "should_end_align_hint" },
    { 0x845F, "should_end_fastzip_fire_hint" },
    { 0x8460, "should_end_fastzip_hint" },
    { 0x8461, "should_end_laser_hint" },
    { 0x8462, "should_end_pdrone_fail_hint" },
    { 0x8463, "should_end_pdrone_hint" },
    { 0x8464, "should_end_sonar_hint" },
    { 0x8465, "should_give_orghealth" },
    { 0x8466, "should_growl" },
    { 0x8467, "should_hide_bullet_immunity_hint" },
    { 0x8468, "should_hide_melee_hint" },
    { 0x8469, "should_hide_missiles_hint" },
    { 0x846A, "should_hide_turret_hint" },
    { 0x846B, "should_pause_yaw_anim" },
    { 0x846C, "should_play_animations" },
    { 0x846D, "should_record_final_score_cam" },
    { 0x846E, "should_register_kills_for_vehicle_occupants" },
    { 0x846F, "should_reverse_controls" },
    { 0x8470, "should_select_new_ambush_point" },
    { 0x8471, "should_show_cover_warning" },
    { 0x8472, "should_show_hud_element" },
    { 0x8473, "should_show_prompt" },
    { 0x8474, "should_squelch" },
    { 0x8475, "should_start_cautious_approach_default" },
    { 0x8476, "should_start_cautious_approach_dom" },
    { 0x8477, "should_start_cautious_approach_hp" },
    { 0x8478, "should_start_cautious_approach_sd" },
    { 0x8479, "should_stop_seeking_weapon" },
    { 0x847A, "should_take_selfie" },
    { 0x847B, "should_topoff_breach_weapon" },
    { 0x847C, "shouldaffectclaymore" },
    { 0x847D, "shouldattackidle" },
    { 0x847E, "shouldattemptstumblingpain" },
    { 0x847F, "shouldaveragetotal" },
    { 0x8480, "shouldbeajerk" },
    { 0x8481, "shouldbreaknvghintprint" },
    { 0x8482, "shouldchangestanceforfun" },
    { 0x8483, "shouldconserveammotime" },
    { 0x8484, "shouldcoveridle" },
    { 0x8485, "shouldcqb" },
    { 0x8486, "shoulddamagerocket" },
    { 0x8487, "shoulddoarrivals" },
    { 0x8488, "shoulddodirectedenergydeath" },
    { 0x8489, "shoulddoextendedkill" },
    { 0x848A, "shoulddorunningforwarddeath" },
    { 0x848B, "shoulddosemiforvariety" },
    { 0x848C, "shoulddosharpturns" },
    { 0x848D, "shoulddostrongbulletdamage" },
    { 0x848E, "shoulddostrongmeleedamage" },
    { 0x848F, "shoulddroprocketlauncher" },
    { 0x8490, "shouldfacenodedir" },
    { 0x8491, "shouldfade" },
    { 0x8492, "shouldfireattarget" },
    { 0x8493, "shouldfirewhilechangingpose" },
    { 0x8494, "shouldforcedisablelaser" },
    { 0x8495, "shouldforcesnipermissshot" },
    { 0x8496, "shouldhelpadvancingteammate" },
    { 0x8497, "shouldkeepcrawling" },
    { 0x8498, "shouldlean" },
    { 0x8499, "shouldloopdamagefeedback" },
    { 0x849A, "shouldnt_spawn_because_of_script_difficulty" },
    { 0x849B, "shouldpingobject" },
    { 0x849C, "shouldplayhitreaction" },
//  { 0x849D, "" },
    { 0x849E, "shouldplaysplash" },
    { 0x849F, "shouldpreventearlyuse" },
    { 0x84A0, "shouldresetgiveuponsuppressiontimer" },
    { 0x84A1, "shouldreturntocover" },
    { 0x84A2, "shouldrunserversideeffects" },
    { 0x84A3, "shouldshootenemyent" },
    { 0x84A4, "shouldshowcompassduetoradar" },
    { 0x84A5, "shouldsighttracewait" },
    { 0x84A6, "shouldsniff" },
    { 0x84A7, "shouldsortscoresinascendingorder" },
    { 0x84A8, "shouldspawnbots" },
    { 0x84A9, "shouldspawntags" },
    { 0x84AA, "shouldsplash" },
    { 0x84AB, "shouldsprint" },
    { 0x84AC, "shouldsprintforvariation" },
    { 0x84AD, "shouldstayalive" },
    { 0x84AE, "shouldstopambushing" },
    { 0x84AF, "shouldstopproximityalarm" },
    { 0x84B0, "shouldsuppress" },
    { 0x84B1, "shouldswapshotgun" },
    { 0x84B2, "shouldswitchweaponafterraiseanimation" },
    { 0x84B3, "shouldswitchweaponpostkillstreak" },
    { 0x84B4, "shouldupdateluadisplay" },
    { 0x84B5, "shoulduseteamstartspawn" },
    { 0x84B6, "shouldwaitincombatidle" },
    { 0x84B7, "shouldweaponfeedback" },
    { 0x84B8, "show_attached_clone_model" },
    { 0x84B9, "show_avatar" },
    { 0x84BA, "show_avatars" },
    { 0x84BB, "show_bad_path" },
    { 0x84BC, "show_blurry_rotors" },
    { 0x84BD, "show_brake_hint" },
    { 0x84BE, "show_city_vista" },
    { 0x84BF, "show_cloaked_warbird" },
    { 0x84C0, "show_crash_traffic" },
    { 0x84C1, "show_decloaking_warbird" },
    { 0x84C2, "show_detailed_cloak_enemy_state" },
    { 0x84C3, "show_down_arrow" },
    { 0x84C4, "show_entity" },
    { 0x84C5, "show_ents_by_targetname" },
    { 0x84C6, "show_exec_title_credits" },
    { 0x84C7, "show_exo_cloak_hint" },
    { 0x84C8, "show_exploder_models" },
    { 0x84C9, "show_exploder_models_proc" },
    { 0x84CA, "show_fail_range_hint_1" },
    { 0x84CB, "show_fail_range_hint_2" },
    { 0x84CC, "show_fallen_bridge" },
    { 0x84CD, "show_far_bridge" },
    { 0x84CE, "show_finale_jet" },
    { 0x84CF, "show_glowy_handles" },
    { 0x84D0, "show_grenade_hint" },
    { 0x84D1, "show_help" },
    { 0x84D2, "show_hidden_rail" },
    { 0x84D3, "show_hide_plant_vista" },
    { 0x84D4, "show_hide_plant_vista_intro" },
    { 0x84D5, "show_hint" },
    { 0x84D6, "show_hologram" },
    { 0x84D7, "show_hologram_reveal" },
    { 0x84D8, "show_icon" },
    { 0x84D9, "show_land_assist_help" },
    { 0x84DA, "show_left_arrow" },
    { 0x84DB, "show_me_now" },
    { 0x84DC, "show_mech_screen" },
    { 0x84DD, "show_middle_civs_now" },
    { 0x84DE, "show_navy_boats" },
    { 0x84DF, "show_non_owner_avatars" },
    { 0x84E0, "show_normal_handles" },
    { 0x84E1, "show_plant_vista_intro" },
    { 0x84E2, "show_plant_vista_via_trigger" },
    { 0x84E3, "show_player_hud" },
    { 0x84E4, "show_primer_fx" },
    { 0x84E5, "show_reverse_tutorial" },
    { 0x84E6, "show_reverse_tutorial_check" },
    { 0x84E7, "show_right_arrow" },
    { 0x84E8, "show_shg_title_credits" },
    { 0x84E9, "show_solid" },
    { 0x84EA, "show_static_rotors" },
    { 0x84EB, "show_stuck_fanfare" },
    { 0x84EC, "show_subtitles" },
    { 0x84ED, "show_throw_hint_close_to_turret" },
    { 0x84EE, "show_turret" },
    { 0x84EF, "show_up_arrow" },
    { 0x84F0, "show_uplink" },
    { 0x84F1, "show_video_on_driverside" },
    { 0x84F2, "show_water_final" },
    { 0x84F3, "show_water_intro" },
    { 0x84F4, "show_weaponhud" },
    { 0x84F5, "showaerialmarker" },
    { 0x84F6, "showakimbodelayed" },
    { 0x84F7, "showammocount" },
    { 0x84F8, "showapart" },
    { 0x84F9, "showattachmentsaftercloak" },
    { 0x84FA, "showblockedhud" },
    { 0x84FB, "showboatshadows" },
    { 0x84FC, "showclaimed" },
    { 0x84FD, "showdebugline" },
    { 0x84FE, "showdebugproc" },
    { 0x84FF, "showdebugradius" },
    { 0x8500, "showdebugtoggle" },
    { 0x8501, "showdebugtrace" },
    { 0x8502, "showdroppodbadspawnoverlay" },
    { 0x8503, "showdroppodfx" },
    { 0x8504, "showelem" },
    { 0x8505, "showentnotetrack" },
    { 0x8506, "showfirehideaimidle" },
    { 0x8507, "showfriendicon" },
    { 0x8508, "showfxtoteam" },
    { 0x8509, "showgascloud" },
    { 0x850A, "showgenericmenuonmatchstart" },
    { 0x850B, "showgeo" },
    { 0x850C, "showheadicon" },
    { 0x850D, "showhint" },
    { 0x850E, "showhintprint_struct" },
    { 0x850F, "showing_damage" },
    { 0x8510, "showingfinalkillcam" },
    { 0x8511, "showintermissiontimer" },
    { 0x8512, "showlastenemysightpos" },
    { 0x8513, "showline" },
    { 0x8514, "showlines" },
    { 0x8515, "showlist" },
    { 0x8516, "showloadoutmenu" },
    { 0x8517, "showmainmenuforteam" },
    { 0x8518, "showmodels" },
    { 0x8519, "shownextroundmessage" },
    { 0x851A, "showninfected" },
    { 0x851B, "shownotifymessage" },
    { 0x851C, "showorbitalstrikehud" },
    { 0x851D, "showoverlaystoplayer" },
    { 0x851E, "showplacedmodel" },
    { 0x851F, "showplayericons" },
    { 0x8520, "showpoddroppingfxtoplayer" },
    { 0x8521, "showpodgroundfxtoplayer" },
    { 0x8522, "showprimarydelayed" },
    { 0x8523, "showreticletoenemies" },
    { 0x8524, "showroundmeshmesh" },
    { 0x8525, "showsetbacksplash" },
    { 0x8526, "showspawnnotifies" },
    { 0x8527, "showstart" },
    { 0x8528, "showstate" },
    { 0x8529, "showstatic" },
    { 0x852A, "showteamsplashhorde" },
    { 0x852B, "showthreat" },
    { 0x852C, "showthreathintagainifplayerisbeingdumb" },
    { 0x852D, "showthreatmarker" },
    { 0x852E, "showtimer" },
    { 0x852F, "showtoteam" },
    { 0x8530, "showtransition" },
    { 0x8531, "showtransition_cg" },
    { 0x8532, "showtransitionrev" },
    { 0x8533, "shrike_contact" },
    { 0x8534, "shrike_flyby" },
    { 0x8535, "shrike_flyby_03" },
    { 0x8536, "shrike_flyby_pair_01" },
    { 0x8537, "shrike_flyby_pair_02" },
    { 0x8538, "shrike_flyby_pair_04" },
    { 0x8539, "shrike_hanger_flyby" },
    { 0x853A, "shrike_railgun_flyby_01" },
    { 0x853B, "shrike_railgun_flyby_02" },
    { 0x853C, "shrike_railgun_flyby_03" },
    { 0x853D, "shrike_takeoff" },
    { 0x853E, "shrike_takeoff_cg" },
    { 0x853F, "shufflekillstreaksdown" },
    { 0x8540, "shufflekillstreaksup" },
    { 0x8541, "shufflemove" },
    { 0x8542, "shufflemoveinterrupted" },
    { 0x8543, "shufflenode" },
    { 0x8544, "shufflezones" },
    { 0x8545, "shutdown_battlechatter" },
    { 0x8546, "shutdown_fx_enemy" },
    { 0x8547, "shutdown_fx_friendly" },
    { 0x8548, "shutdown_squadbattlechatter" },
    { 0x8549, "shutdowncontact" },
    { 0x854A, "shutdownround" },
    { 0x854B, "shutoffallplayersexobuffs" },
    { 0x854C, "shutoffamplifyobjectvfx" },
    { 0x854D, "shutoffexobuffs" },
    { 0x854E, "shutofffx" },
    { 0x854F, "shutoffhealth" },
    { 0x8550, "shutoffplayerhudoutline" },
    { 0x8551, "shutoffslam" },
    { 0x8552, "shutoffspeed" },
    { 0x8553, "shutterwanderleft" },
    { 0x8554, "shutterwanderright" },
    { 0x8555, "side_arm_array" },
    { 0x8556, "side_b_visionset_reset" },
    { 0x8557, "sidearm" },
    { 0x8558, "sideisleftright" },
    { 0x8559, "sidesteprate" },
    { 0x855A, "sidewinder_explode_impact" },
    { 0x855B, "sidewinder_missile" },
    { 0x855C, "sight_check" },
    { 0x855D, "sight_distsqrd" },
    { 0x855E, "sight_ignore" },
    { 0x855F, "sight_lost_time" },
    { 0x8560, "sighting_think" },
    { 0x8561, "sightpos" },
    { 0x8562, "sightposleft" },
    { 0x8563, "sightpostime" },
    { 0x8564, "sighttime" },
    { 0x8565, "sighttracepoint" },
    { 0x8566, "sigmoid" },
    { 0x8567, "sign" },
    { 0x8568, "sign_explosion_flash_damage" },
    { 0x8569, "sign_flash_damage" },
    { 0x856A, "signal_turn_guy" },
    { 0x856B, "signed_distance_to_plane" },
    { 0x856C, "silentplant" },
    { 0x856D, "silo_approach_logic" },
    { 0x856E, "silo_autosaves" },
    { 0x856F, "silo_autosaves_safety" },
    { 0x8570, "silo_catwalk_clip" },
    { 0x8571, "silo_catwalks" },
    { 0x8572, "silo_catwalks_open" },
    { 0x8573, "silo_collapse_plr_stunned" },
    { 0x8574, "silo_door_kick" },
    { 0x8575, "silo_door_kick_logic" },
    { 0x8576, "silo_exhaust_entrance_logic" },
    { 0x8577, "silo_floor_03_logic" },
    { 0x8578, "silo_lobby_logic" },
    { 0x8579, "silo_p1" },
    { 0x857A, "silo_rocket_blowup" },
    { 0x857B, "silo_sky_bridge_logic" },
    { 0x857C, "simcurrentgendynamicexpossure" },
    { 0x857D, "simple_and_lazy_flank_check" },
    { 0x857E, "simple_anim_at_struct" },
    { 0x857F, "simple_drone_health" },
    { 0x8580, "simple_player_rumble_heavy" },
    { 0x8581, "simple_player_rumble_light" },
    { 0x8582, "simple_player_rumble_medium" },
    { 0x8583, "single_ally_heli" },
    { 0x8584, "single_heli_tower" },
    { 0x8585, "single_loop_handle_index" },
    { 0x8586, "single_loops" },
    { 0x8587, "single_zone_spawns" },
    { 0x8588, "singleanimation" },
    { 0x8589, "singlebreacher" },
    { 0x858A, "sinkhole_ambientfx_aa_explosions" },
    { 0x858B, "sinkhole_ambientfx_midair_explosions" },
    { 0x858C, "sinkhole_ambientfx_windowglass_explosions" },
    { 0x858D, "sinkhole_civ_vicitim_group" },
    { 0x858E, "sinkhole_crashed_truck_rotation" },
    { 0x858F, "sinkhole_drone_intro" },
    { 0x8590, "sinkhole_drones" },
    { 0x8591, "sinkhole_drones_attack_civilians" },
    { 0x8592, "sinkhole_drones_group2" },
    { 0x8593, "sinkhole_drones_group4_spawn" },
    { 0x8594, "sinkhole_drones_start" },
    { 0x8595, "sinkhole_fracture" },
    { 0x8596, "sinkhole_jets" },
    { 0x8597, "sinkhole_make_piece_break" },
    { 0x8598, "sinkhole_make_piece_break_and_sink" },
    { 0x8599, "sinkhole_make_piece_fall" },
    { 0x859A, "sinkhole_section" },
    { 0x859B, "sinkhole_smoke_ambush_enemy_think" },
    { 0x859C, "sinkhole_smoke_ambush_event" },
    { 0x859D, "sinkhole_smoke_grenade_loop" },
    { 0x859E, "sinkhole_spawn_attack_drones" },
    { 0x859F, "sinkhole_subway_vo_think" },
    { 0x85A0, "sinkhole_threat_hint" },
    { 0x85A1, "sinkhole_truck_explode" },
    { 0x85A2, "sinkhole_truck_fall" },
    { 0x85A3, "sinkhole_truck_fall_badly" },
    { 0x85A4, "sinkhole_weapon_platform" },
    { 0x85A5, "sinkhole_weapons_platform_scene" },
    { 0x85A6, "siren_distant" },
    { 0x85A7, "sirentag" },
    { 0x85A8, "sittag" },
    { 0x85A9, "sittag_offset" },
    { 0x85AA, "sittag_on_turret" },
    { 0x85AB, "skip_breach" },
    { 0x85AC, "skip_foam_corridor" },
    { 0x85AD, "skip_helicopter_death_logic" },
    { 0x85AE, "skip_juggernaut_intro_sound" },
    { 0x85AF, "skip_moves" },
    { 0x85B0, "skip_pilot_kill_count" },
    { 0x85B1, "skip_start_transition" },
    { 0x85B2, "skipanimbaseddeath" },
    { 0x85B3, "skipbloodpool" },
    { 0x85B4, "skipdeathanim" },
    { 0x85B5, "skipendingidle" },
    { 0x85B6, "skiplivesxpscalar" },
    { 0x85B7, "skipmodelswapdeath" },
    { 0x85B8, "skipoceanspawns" },
    { 0x85B9, "skippedkillcam" },
    { 0x85BA, "skippointdisplayxp" },
    { 0x85BB, "skiprocketemp" },
    { 0x85BC, "skipssuccess" },
    { 0x85BD, "skipstartmove" },
    { 0x85BE, "skr_distant_pull_up_and_scan" },
    { 0x85BF, "sky_booms" },
    { 0x85C0, "sky_bridge_dof" },
    { 0x85C1, "sky_nodes" },
    { 0x85C2, "skybox_manager" },
    { 0x85C3, "skybridge" },
    { 0x85C4, "skybridge_ambient_aa_explosions" },
    { 0x85C5, "skybridge_ambient_explosions" },
    { 0x85C6, "skycolor" },
    { 0x85C7, "skyfogintensity" },
    { 0x85C8, "skyfogmaxangle" },
    { 0x85C9, "skyfogminangle" },
    { 0x85CA, "skyintensityscaleev" },
    { 0x85CB, "skyj_intro_black" },
    { 0x85CC, "skyj_part_1" },
    { 0x85CD, "skyj_part_2" },
    { 0x85CE, "skyj_part_3" },
    { 0x85CF, "skyj_part_4" },
    { 0x85D0, "skyjack_animnode" },
    { 0x85D1, "skyjack_atlas_jet_fx" },
    { 0x85D2, "skyjack_charge_activate" },
    { 0x85D3, "skyjack_charge_fx" },
    { 0x85D4, "skyjack_charge_impact" },
    { 0x85D5, "skyjack_charge_laser_guide" },
    { 0x85D6, "skyjack_charge_laser_turn" },
    { 0x85D7, "skyjack_charge_legs" },
    { 0x85D8, "skyjack_charge_opens" },
    { 0x85D9, "skyjack_charges" },
    { 0x85DA, "skyjack_charges_nag_vo" },
    { 0x85DB, "skyjack_cormack" },
    { 0x85DC, "skyjack_cormack_impact_plane" },
    { 0x85DD, "skyjack_cormack_jetpack_boost" },
    { 0x85DE, "skyjack_cormack_jetpack_off" },
    { 0x85DF, "skyjack_cormack_jetpack_on" },
    { 0x85E0, "skyjack_cormack_land_on_plane" },
    { 0x85E1, "skyjack_cormack_left_knee" },
    { 0x85E2, "skyjack_cormack_mag_hand_left" },
    { 0x85E3, "skyjack_cormack_mag_hand_right" },
    { 0x85E4, "skyjack_cormack_push_off_plane" },
    { 0x85E5, "skyjack_cormack_right_knee" },
    { 0x85E6, "skyjack_dialogue" },
    { 0x85E7, "skyjack_drone_chutes" },
    { 0x85E8, "skyjack_drone_fx" },
    { 0x85E9, "skyjack_drone_jets_off" },
    { 0x85EA, "skyjack_drone_jets_on" },
    { 0x85EB, "skyjack_drone_pod" },
    { 0x85EC, "skyjack_expl_start" },
    { 0x85ED, "skyjack_gloveoff" },
    { 0x85EE, "skyjack_gloveon" },
    { 0x85EF, "skyjack_objective" },
    { 0x85F0, "skyjack_plane" },
    { 0x85F1, "skyjack_plane_contrails" },
    { 0x85F2, "skyjack_plane_cut" },
    { 0x85F3, "skyjack_plane_debris" },
    { 0x85F4, "skyjack_plane_explosion" },
    { 0x85F5, "skyjack_player" },
    { 0x85F6, "skyjack_player_activate_charge" },
    { 0x85F7, "skyjack_player_charge_planted" },
    { 0x85F8, "skyjack_player_fall" },
    { 0x85F9, "skyjack_player_hand_on_charge" },
    { 0x85FA, "skyjack_player_impact_plane" },
    { 0x85FB, "skyjack_player_open_charge" },
    { 0x85FC, "skyjack_player_push_off_plane" },
    { 0x85FD, "skyjack_player_set_charge" },
    { 0x85FE, "skyjack_player_wrist" },
    { 0x85FF, "skyjack_wing_explosion" },
    { 0x8600, "skylight" },
    { 0x8601, "skylighthdr" },
    { 0x8602, "slam_hint_breakout" },
    { 0x8603, "slam_ragdoll_vel" },
    { 0x8604, "slate_fin_gideon_bar_break" },
    { 0x8605, "slate_fin_gideon_hatch_grab" },
    { 0x8606, "slate_fin_gideon_hatch_open" },
    { 0x8607, "slate_fin_gideon_hatch_push" },
    { 0x8608, "slate_fin_piston_l_break" },
    { 0x8609, "slate_fin_piston_r_break" },
    { 0x860A, "slate_fin_vm_bar_break" },
    { 0x860B, "slate_fin_vm_hatch_grab" },
    { 0x860C, "slate_fin_vm_hatch_pull" },
    { 0x860D, "slate_fin_vm_hatch_pull_loop" },
    { 0x860E, "slate_fin_vm_pull_relax" },
    { 0x860F, "slate_finale_gideon_hatch_pull_1" },
    { 0x8610, "slate_finale_gideon_hatch_pull_2" },
    { 0x8611, "slate_finale_gideon_hatch_pull_3" },
    { 0x8612, "slate_finale_gideon_hatch_regrip_1" },
    { 0x8613, "slate_finale_gideon_hatch_regrip_2" },
    { 0x8614, "slate_finale_gideon_hatch_regrip_3" },
    { 0x8615, "slate_gideon_wave_hand_plant" },
    { 0x8616, "slate_gideon_wave_hand_raise" },
    { 0x8617, "slate_gideon_wave_hand_regrip" },
    { 0x8618, "sleepingguardcustombloodspray" },
    { 0x8619, "slide_across_car_dog" },
    { 0x861A, "slide_across_car_human" },
    { 0x861B, "slide_dampening" },
    { 0x861C, "slide_gate_destroyed" },
    { 0x861D, "slide_gate_left" },
    { 0x861E, "slide_gate_right" },
    { 0x861F, "slidefortime" },
    { 0x8620, "slidemodel" },
    { 0x8621, "slidetriggerplayerthink" },
    { 0x8622, "sliding_door" },
    { 0x8623, "sliding_door_state" },
    { 0x8624, "slomo_breach_vision_change" },
    { 0x8625, "slomo_difficulty_dvars" },
    { 0x8626, "slomo_sound_scale_setup" },
    { 0x8627, "slomobasevision" },
    { 0x8628, "slomobreachduration" },
    { 0x8629, "slomobreachplayerspeed" },
    { 0x862A, "sloppy_kill_vo" },
    { 0x862B, "slot" },
    { 0x862C, "slow_allies_while_videolog_plays" },
    { 0x862D, "slow_plane_controls" },
    { 0x862E, "slow_player_inside" },
    { 0x862F, "slow_player_scaler" },
    { 0x8630, "slow_trig" },
    { 0x8631, "slowmo" },
    { 0x8632, "slowmo_begins" },
    { 0x8633, "slowmo_breach_damage_trigger_think" },
    { 0x8634, "slowmo_breach_disable_stancemod" },
    { 0x8635, "slowmo_breach_init" },
    { 0x8636, "slowmo_breach_start_delay" },
    { 0x8637, "slowmo_breach_think" },
    { 0x8638, "slowmo_end" },
    { 0x8639, "slowmo_in_wait_function" },
    { 0x863A, "slowmo_lerp_in" },
    { 0x863B, "slowmo_lerp_out" },
    { 0x863C, "slowmo_player_cleanup" },
    { 0x863D, "slowmo_setlerptime_in" },
    { 0x863E, "slowmo_setlerptime_out" },
    { 0x863F, "slowmo_setspeed_norm" },
    { 0x8640, "slowmo_setspeed_slow" },
    { 0x8641, "slowmo_speed" },
    { 0x8642, "slowmo_start" },
    { 0x8643, "slowmo_system_defaults" },
    { 0x8644, "slowmo_system_init" },
    { 0x8645, "slowmo_viewhands" },
    { 0x8646, "slowmodelay" },
    { 0x8647, "slowmodelta" },
    { 0x8648, "slowmospeed" },
    { 0x8649, "slowmostop" },
    { 0x864A, "slowmotiontowerdestruction" },
    { 0x864B, "sm_get_current_ambience_name" },
    { 0x864C, "sm_get_current_music_name" },
    { 0x864D, "sm_init" },
    { 0x864E, "sm_mix_ambience" },
    { 0x864F, "sm_start_music" },
    { 0x8650, "sm_start_preset" },
    { 0x8651, "sm_stop_ambience" },
    { 0x8652, "sm_stop_ambient_alias" },
    { 0x8653, "sm_stop_music" },
    { 0x8654, "sm_stop_music_alias" },
    { 0x8655, "smallesthole" },
    { 0x8656, "smallestoccluder" },
    { 0x8657, "smart_dialogue" },
    { 0x8658, "smart_dialogue_generic" },
    { 0x8659, "smart_drone_think" },
    { 0x865A, "smart_grenade_detonate" },
    { 0x865B, "smart_grenade_target_expire" },
    { 0x865C, "smart_grenade_target_flip" },
    { 0x865D, "smart_grenade_target_flip_down" },
    { 0x865E, "smart_grenade_target_hit" },
    { 0x865F, "smart_grenade_target_move" },
    { 0x8660, "smart_grenade_target_move_back" },
    { 0x8661, "smart_grenade_target_shot" },
    { 0x8662, "smart_grenade_training" },
    { 0x8663, "smart_hint" },
    { 0x8664, "smart_hint_breakout" },
    { 0x8665, "smart_hint_think" },
    { 0x8666, "smart_radio_dialogue" },
    { 0x8667, "smart_radio_dialogue_interrupt" },
    { 0x8668, "smart_radio_dialogue_mb" },
    { 0x8669, "smart_radio_dialogue_overlap" },
    { 0x866A, "smartlasersystem" },
    { 0x866B, "smartstance" },
    { 0x866C, "smash_obj" },
    { 0x866D, "smash_spot" },
    { 0x866E, "smash_surface_float" },
    { 0x866F, "smash_throw" },
    { 0x8670, "smash_throw_2" },
    { 0x8671, "smash_throw_active" },
    { 0x8672, "smash_throw_solo" },
    { 0x8673, "smashed" },
    { 0x8674, "smaw_laser_think" },
    { 0x8675, "smaw_location" },
    { 0x8676, "smeansofdeath" },
    { 0x8677, "smoke_ambush_enemies" },
    { 0x8678, "smoke_clear_basement_bones" },
    { 0x8679, "smoke_detect" },
    { 0x867A, "smoke_exhale" },
    { 0x867B, "smoke_grenade_death" },
    { 0x867C, "smoke_puff" },
    { 0x867D, "smoke_thrown" },
    { 0x867E, "smokegrenades" },
    { 0x867F, "smokepillar1" },
    { 0x8680, "smokepillar2" },
    { 0x8681, "smokepillar3" },
    { 0x8682, "smokescreenemitterfx" },
    { 0x8683, "smokethrown" },
    { 0x8684, "smoking_civ" },
    { 0x8685, "smoking_civ_panic" },
    { 0x8686, "smooth_down" },
    { 0x8687, "smooth_limit" },
    { 0x8688, "smooth_player_link" },
    { 0x8689, "smooth_target_position" },
    { 0x868A, "smooth_target_velocity" },
    { 0x868B, "smooth_up" },
    { 0x868C, "smooth_veh_play" },
    { 0x868D, "smooth_vehicle_animation_play" },
    { 0x868E, "smooth_vehicle_animation_wait" },
    { 0x868F, "smoothed_input" },
    { 0x8690, "smoothness" },
    { 0x8691, "smx_clear_struct" },
    { 0x8692, "smx_create_struct" },
    { 0x8693, "smx_set_values_for_struct" },
    { 0x8694, "snake_cheap_death" },
    { 0x8695, "snake_choose_next_point" },
    { 0x8696, "snake_cloud" },
    { 0x8697, "snake_cloud_get_target_boids" },
    { 0x8698, "snake_cloud_goto_points" },
    { 0x8699, "snake_cloud_pester_helicopter" },
    { 0x869A, "snake_cloud_resume_dynamic_control" },
    { 0x869B, "snake_cloud_set_boid_settings" },
    { 0x869C, "snake_cloud_stop_dynamic_control" },
    { 0x869D, "snake_cloud_teleport_to_point" },
    { 0x869E, "snake_crash_into_player" },
    { 0x869F, "snake_crash_into_player_after_timeout" },
    { 0x86A0, "snake_dyanamic_control" },
    { 0x86A1, "snake_fight_before_turret" },
    { 0x86A2, "snake_fight_walker_tank" },
    { 0x86A3, "snake_follow_player" },
    { 0x86A4, "snake_gameplay_for_turret" },
    { 0x86A5, "snake_goal_origin" },
    { 0x86A6, "snake_kamikaze_control" },
    { 0x86A7, "snake_pester_helicopter" },
    { 0x86A8, "snake_pick_intro_path" },
    { 0x86A9, "snake_points" },
    { 0x86AA, "snake_points_center" },
    { 0x86AB, "snake_set_boid_settings" },
    { 0x86AC, "snake_set_points" },
    { 0x86AD, "snake_shoot_allies" },
    { 0x86AE, "snake_shoot_ambient" },
    { 0x86AF, "snake_speed_override" },
    { 0x86B0, "snake_strafe_player_gets_cardoor" },
    { 0x86B1, "snake_swarm_attack_vehicle" },
    { 0x86B2, "snake_swarm_speed_scale" },
    { 0x86B3, "snakeisinfrontofplayer" },
    { 0x86B4, "snakes" },
    { 0x86B5, "snakes_attacking_turret" },
    { 0x86B6, "snap_lock_turret_onto_target" },
    { 0x86B7, "snap2normal" },
    { 0x86B8, "snap90deg" },
    { 0x86B9, "snd_advanced_flyby_system" },
    { 0x86BA, "snd_air_vehicle_smart_flyby" },
    { 0x86BB, "snd_ambient_explosion" },
    { 0x86BC, "snd_clear_filter" },
    { 0x86BD, "snd_cloak_init" },
    { 0x86BE, "snd_common_init" },
    { 0x86BF, "snd_cover_drone_constructor" },
    { 0x86C0, "snd_debug_init" },
    { 0x86C1, "snd_debug_timer" },
    { 0x86C2, "snd_debug_value_add" },
    { 0x86C3, "snd_debug_value_delete" },
    { 0x86C4, "snd_debug_value_update" },
    { 0x86C5, "snd_disable_occlusion" },
    { 0x86C6, "snd_disable_occlusion_threaded" },
    { 0x86C7, "snd_disable_soundcontextoverride" },
    { 0x86C8, "snd_disable_vehicle_system" },
    { 0x86C9, "snd_disable_zone_filters" },
    { 0x86CA, "snd_disable_zone_occlusion_and_filtering" },
    { 0x86CB, "snd_dpad_functions" },
    { 0x86CC, "snd_enable_occlusion" },
    { 0x86CD, "snd_enable_soundcontextoverride" },
    { 0x86CE, "snd_enable_zone_filters" },
    { 0x86CF, "snd_enable_zone_occlusion_and_filtering" },
    { 0x86D0, "snd_end_01" },
    { 0x86D1, "snd_enemies_can_see_player" },
    { 0x86D2, "snd_ent" },
    { 0x86D3, "snd_ents" },
    { 0x86D4, "snd_fade_and_stop_sound" },
    { 0x86D5, "snd_fade_in_filter" },
    { 0x86D6, "snd_fade_out_filter" },
    { 0x86D7, "snd_filters_init" },
    { 0x86D8, "snd_final_music_think" },
    { 0x86D9, "snd_flash_white" },
    { 0x86DA, "snd_foley_init" },
    { 0x86DB, "snd_gaz_dshk_constructor" },
    { 0x86DC, "snd_get_current_filter_lerp" },
    { 0x86DD, "snd_get_current_filter_name" },
    { 0x86DE, "snd_get_current_occlusion_name" },
    { 0x86DF, "snd_get_current_timescale_preset_name" },
    { 0x86E0, "snd_get_dsp_buses" },
    { 0x86E1, "snd_get_dsp_filename" },
    { 0x86E2, "snd_get_filter_preset" },
    { 0x86E3, "snd_get_num_enemies_aware" },
    { 0x86E4, "snd_get_occlusion_preset" },
    { 0x86E5, "snd_get_secs" },
    { 0x86E6, "snd_get_soundtable_name" },
    { 0x86E7, "snd_get_tagarg" },
    { 0x86E8, "snd_get_throttler" },
    { 0x86E9, "snd_get_timescale_preset" },
    { 0x86EA, "snd_get_zone_filters_enabled" },
    { 0x86EB, "snd_guid" },
    { 0x86EC, "snd_hud_init" },
    { 0x86ED, "snd_impact" },
    { 0x86EE, "snd_init" },
    { 0x86EF, "snd_init_cover_drone" },
    { 0x86F0, "snd_init_current_filters" },
    { 0x86F1, "snd_init_current_occlusion" },
    { 0x86F2, "snd_init_done" },
    { 0x86F3, "snd_init_gaz" },
    { 0x86F4, "snd_init_mi17" },
    { 0x86F5, "snd_init_x4_walker_wheels" },
    { 0x86F6, "snd_init_x4_walker_wheels_turret" },
    { 0x86F7, "snd_init_x4_walker_wheels_turret_closed" },
    { 0x86F8, "snd_instance" },
    { 0x86F9, "snd_is_dsp_bus" },
    { 0x86FA, "snd_is_first_frame" },
    { 0x86FB, "snd_is_loop" },
    { 0x86FC, "snd_is_one_shot" },
    { 0x86FD, "snd_is_valid_surface" },
    { 0x86FE, "snd_load_dsp_buses" },
    { 0x86FF, "snd_load_filter_presets" },
    { 0x8700, "snd_load_occlusion_presets" },
    { 0x8701, "snd_load_timescale_presets" },
    { 0x8702, "snd_map" },
    { 0x8703, "snd_mech_add_rocketpack_lower" },
    { 0x8704, "snd_mech_add_rocketpack_raise" },
    { 0x8705, "snd_mech_emp_restart" },
    { 0x8706, "snd_message" },
    { 0x8707, "snd_message_init" },
    { 0x8708, "snd_mi17_constructor" },
    { 0x8709, "snd_monitor_about_to_stop" },
    { 0x870A, "snd_monitor_about_to_unload" },
    { 0x870B, "snd_monitor_new_path" },
    { 0x870C, "snd_mp_mix_init" },
    { 0x870D, "snd_mp_mix_post_event" },
    { 0x870E, "snd_mp_player_join" },
    { 0x870F, "snd_music_handler" },
    { 0x8710, "snd_music_message" },
    { 0x8711, "snd_mute_device" },
    { 0x8712, "snd_new_guid" },
    { 0x8713, "snd_notify_within_radius" },
    { 0x8714, "snd_parse_preset_header" },
    { 0x8715, "snd_parse_soundtables" },
    { 0x8716, "snd_pcap_add_notetrack_mapping" },
    { 0x8717, "snd_pcap_play_radio_vo" },
    { 0x8718, "snd_pcap_play_radio_vo_30fps" },
    { 0x8719, "snd_pcap_play_radio_vo_60fps" },
    { 0x871A, "snd_pcap_play_vo" },
    { 0x871B, "snd_pcap_play_vo_20fps" },
    { 0x871C, "snd_pcap_play_vo_30fps" },
    { 0x871D, "snd_pdrone_atlas_constructor" },
    { 0x871E, "snd_pdrone_atlas_large_constructor" },
    { 0x871F, "snd_pdrone_constructor" },
    { 0x8720, "snd_pdrone_player_constructor" },
    { 0x8721, "snd_pdrone_security_constructor" },
    { 0x8722, "snd_pdrone_swarm_constructor" },
    { 0x8723, "snd_pitbull_constructor" },
    { 0x8724, "snd_play" },
    { 0x8725, "snd_play_2d" },
    { 0x8726, "snd_play_2d_sound" },
    { 0x8727, "snd_play_amb_loop" },
    { 0x8728, "snd_play_at" },
    { 0x8729, "snd_play_delayed_2d" },
    { 0x872A, "snd_play_delayed_at" },
    { 0x872B, "snd_play_delayed_linked" },
    { 0x872C, "snd_play_delayed_linked_nocull" },
    { 0x872D, "snd_play_delayed_loop_2d" },
    { 0x872E, "snd_play_delayed_loop_at" },
    { 0x872F, "snd_play_delayed_loop_linked" },
    { 0x8730, "snd_play_in_space" },
    { 0x8731, "snd_play_in_space_delayed" },
    { 0x8732, "snd_play_linked" },
    { 0x8733, "snd_play_linked_firingrange" },
    { 0x8734, "snd_play_linked_loop" },
    { 0x8735, "snd_play_linked_notify_ent" },
    { 0x8736, "snd_play_linked_notify_on_ent" },
    { 0x8737, "snd_play_linked_notify_on_ent_thread" },
    { 0x8738, "snd_play_loop" },
    { 0x8739, "snd_play_loop_2d" },
    { 0x873A, "snd_play_loop_at" },
    { 0x873B, "snd_play_loop_in_space" },
    { 0x873C, "snd_play_loop_linked" },
    { 0x873D, "snd_play_on_notetrack" },
    { 0x873E, "snd_play_on_notetrack_timer" },
    { 0x873F, "snd_play_set_cleanup_msg" },
    { 0x8740, "snd_play_team_splash" },
    { 0x8741, "snd_play_vehicle_collision" },
    { 0x8742, "snd_player_drone_deploy" },
    { 0x8743, "snd_player_drone_enter_drone_pov" },
    { 0x8744, "snd_player_drone_wrist_panel" },
    { 0x8745, "snd_println" },
    { 0x8746, "snd_printlnbold" },
    { 0x8747, "snd_register_message" },
    { 0x8748, "snd_register_vehicle" },
    { 0x8749, "snd_scalevo_flame_logic" },
    { 0x874A, "snd_script_timer" },
    { 0x874B, "snd_set_current_filter_name" },
    { 0x874C, "snd_set_current_occlusion_name" },
    { 0x874D, "snd_set_current_timescale_preset_name" },
    { 0x874E, "snd_set_filter" },
    { 0x874F, "snd_set_filter_lerp" },
    { 0x8750, "snd_set_filter_threaded" },
    { 0x8751, "snd_set_occlusion" },
    { 0x8752, "snd_set_occlusion_threaded" },
    { 0x8753, "snd_set_soundtable_name" },
    { 0x8754, "snd_set_timescale" },
    { 0x8755, "snd_set_timescale_all" },
    { 0x8756, "snd_set_timescale_all_threaded" },
    { 0x8757, "snd_set_timescale_array_to_value" },
    { 0x8758, "snd_set_timescale_array_to_value_threaded" },
    { 0x8759, "snd_set_timescale_threaded" },
    { 0x875A, "snd_slate" },
    { 0x875B, "snd_sniper_drone_constructor" },
    { 0x875C, "snd_start_approachdna" },
    { 0x875D, "snd_start_barracks" },
    { 0x875E, "snd_start_canyon" },
    { 0x875F, "snd_start_canyon_dam" },
    { 0x8760, "snd_start_canyon_exit" },
    { 0x8761, "snd_start_canyon_intro" },
    { 0x8762, "snd_start_canyon2" },
    { 0x8763, "snd_start_canyon3" },
    { 0x8764, "snd_start_dnabomb" },
    { 0x8765, "snd_start_gaz" },
    { 0x8766, "snd_start_intro" },
    { 0x8767, "snd_start_mi17" },
    { 0x8768, "snd_start_post_tower" },
    { 0x8769, "snd_start_snipers" },
    { 0x876A, "snd_start_tank" },
    { 0x876B, "snd_start_vehicle" },
    { 0x876C, "snd_start_x4_walker_wheels" },
    { 0x876D, "snd_start_x4_walker_wheels_turret" },
    { 0x876E, "snd_start_x4_walker_wheels_turret_closed" },
    { 0x876F, "snd_stop_cover_drone" },
    { 0x8770, "snd_stop_gaz" },
    { 0x8771, "snd_stop_mi17" },
    { 0x8772, "snd_stop_sound" },
    { 0x8773, "snd_stop_vehicle" },
    { 0x8774, "snd_throttle_wait" },
    { 0x8775, "snd_throttler_reset" },
    { 0x8776, "snd_timescale_init" },
    { 0x8777, "snd_trench_fire_off" },
    { 0x8778, "snd_veh_play_loops" },
    { 0x8779, "snd_vehicle_mp" },
    { 0x877A, "snd_wait_for_enemies_aware" },
    { 0x877B, "snd_wait_for_enemies_see_player" },
    { 0x877C, "snd_waittill_within_radius" },
    { 0x877D, "snd_x4walker_wheels_constructor" },
    { 0x877E, "snd_x4walker_wheels_turret_constructor" },
    { 0x877F, "snd_zone_handler" },
    { 0x8780, "sndx_advanced_flyby_cleanup" },
    { 0x8781, "sndx_advanced_flyby_construct_alias" },
    { 0x8782, "sndx_advanced_flyby_deathspin" },
    { 0x8783, "sndx_advanced_flyby_destruct" },
    { 0x8784, "sndx_advanced_flyby_dist_check" },
    { 0x8785, "sndx_advanced_flyby_playsound" },
    { 0x8786, "sndx_advanced_flyby_retrigger_wait" },
    { 0x8787, "sndx_advanced_flyby_spawn_sound" },
    { 0x8788, "sndx_air_vehicle_smart_flyby_deathspin" },
    { 0x8789, "sndx_air_vehicle_smart_flyby_sounddone" },
    { 0x878A, "sndx_ambient_explosion_args_validation" },
    { 0x878B, "sndx_ambient_explosion_internal" },
    { 0x878C, "sndx_boost_land_get_impact_size" },
    { 0x878D, "sndx_boost_land_get_impact_vol" },
    { 0x878E, "sndx_debug_value_add" },
    { 0x878F, "sndx_debug_value_destroy" },
    { 0x8790, "sndx_debug_value_reorder" },
    { 0x8791, "sndx_dpad_function_watch" },
    { 0x8792, "sndx_fade_and_stop_sound" },
    { 0x8793, "sndx_fade_in_filter_lerp" },
    { 0x8794, "sndx_fade_out_filter_lerp" },
    { 0x8795, "sndx_get_dsp_filter_setting" },
    { 0x8796, "sndx_mute_device_bubble_fx" },
    { 0x8797, "sndx_mute_device_bubble_off_fx" },
    { 0x8798, "sndx_mute_device_debug_timer" },
    { 0x8799, "sndx_mute_device_delay_notify" },
    { 0x879A, "sndx_mute_device_kill" },
    { 0x879B, "sndx_mute_device_stop" },
    { 0x879C, "sndx_mute_device_stopper" },
    { 0x879D, "sndx_mute_device_wait_to_play" },
    { 0x879E, "sndx_notify_within_radius" },
    { 0x879F, "sndx_pcap_find_anime_and_animname" },
    { 0x87A0, "sndx_pcap_play_radio_vo_thread" },
    { 0x87A1, "sndx_pcap_play_vo_fade_delete" },
    { 0x87A2, "sndx_pcap_play_vo_monitor_stopnotify" },
    { 0x87A3, "sndx_pcap_play_vo_thread" },
    { 0x87A4, "sndx_pcap_wait" },
    { 0x87A5, "sndx_play_2d_sound" },
    { 0x87A6, "sndx_play_alias" },
    { 0x87A7, "sndx_play_alias_fade_delete" },
    { 0x87A8, "sndx_play_alias_monitor_linkdeath" },
    { 0x87A9, "sndx_play_alias_monitor_sounddone" },
    { 0x87AA, "sndx_play_alias_monitor_stopnotify" },
    { 0x87AB, "sndx_play_alias_thread" },
    { 0x87AC, "sndx_play_in_space_delayed_internal" },
    { 0x87AD, "sndx_play_in_space_internal" },
    { 0x87AE, "sndx_play_linked_internal" },
    { 0x87AF, "sndx_play_linked_loop_internal" },
    { 0x87B0, "sndx_play_loop_in_space_internal" },
    { 0x87B1, "sndx_play_on_notetrack_internal" },
    { 0x87B2, "sndx_play_vehicle_collision_internal" },
    { 0x87B3, "sndx_vehicle_collision_args_setup" },
    { 0x87B4, "sndx_vehicle_collision_dpad_down" },
    { 0x87B5, "sndx_vehicle_collision_dpad_left" },
    { 0x87B6, "sndx_vehicle_collision_dpad_right" },
    { 0x87B7, "sndx_vehicle_collision_dpad_up" },
    { 0x87B8, "sndx_vehicle_collision_get_impact_size" },
    { 0x87B9, "sndx_vehicle_collision_get_impact_vol" },
    { 0x87BA, "sndx_vehicle_collision_print_impact" },
    { 0x87BB, "sndx_vehicle_collision_print_stats" },
    { 0x87BC, "sndx_vehicle_collision_scrape" },
    { 0x87BD, "sndx_vehicle_collision_scrape_timer" },
    { 0x87BE, "sndx_vehicle_collision_stop_scrapes" },
    { 0x87BF, "sndxt_fastzip_fire" },
    { 0x87C0, "sneaky_reload" },
    { 0x87C1, "sniped" },
    { 0x87C2, "sniper" },
    { 0x87C3, "sniper_combat_setup" },
    { 0x87C4, "sniper_drone_callback_look" },
    { 0x87C5, "sniper_drone_condition_callback_to_state_flying" },
    { 0x87C6, "sniper_drone_condition_callback_to_state_hover" },
    { 0x87C7, "sniper_drone_condition_callback_to_state_idle" },
    { 0x87C8, "sniper_drone_condition_callback_to_state_looking" },
    { 0x87C9, "sniper_drone_dmg_fire" },
    { 0x87CA, "sniper_drone_dry_fire" },
    { 0x87CB, "sniper_drone_init" },
    { 0x87CC, "sniper_dvar" },
    { 0x87CD, "sniper_finale" },
    { 0x87CE, "sniper_fx_base" },
    { 0x87CF, "sniper_glint_behavior" },
    { 0x87D0, "sniper_interior_trigger_think" },
    { 0x87D1, "sniper_kva_dead_body" },
    { 0x87D2, "sniper_marked_cars" },
    { 0x87D3, "sniper_objectives" },
    { 0x87D4, "sniper_reinforce" },
    { 0x87D5, "sniper_rifle_objective_logic" },
    { 0x87D6, "sniper_scramble_data" },
    { 0x87D7, "sniper_suppression_hit_alert" },
    { 0x87D8, "sniper_target_location" },
    { 0x87D9, "sniper_turret1" },
    { 0x87DA, "sniper_turret2" },
    { 0x87DB, "sniper_turret3" },
    { 0x87DC, "sniper_zoom_hint_hud" },
    { 0x87DD, "sniperalltargets" },
    { 0x87DE, "sniperbloodsprayexitwoundtrace" },
    { 0x87DF, "snipercafewallburstfx" },
    { 0x87E0, "sniperdashburstfx1" },
    { 0x87E1, "sniperdashburstfx2" },
    { 0x87E2, "sniperdashburstfx3" },
    { 0x87E3, "sniperdashburstfx4" },
    { 0x87E4, "sniperdashburstfx5" },
    { 0x87E5, "sniperdashburstfx6" },
    { 0x87E6, "sniperdeath" },
    { 0x87E7, "sniperdeathinternal" },
    { 0x87E8, "sniperdestroyglass" },
    { 0x87E9, "sniperdoorhitfx1" },
    { 0x87EA, "sniperdoorhitfx2" },
    { 0x87EB, "sniperdronebadfire" },
    { 0x87EC, "sniperdronecloak" },
    { 0x87ED, "sniperdronedata" },
    { 0x87EE, "sniperdronedeathshowstatic" },
    { 0x87EF, "sniperdronedeathwatch" },
    { 0x87F0, "sniperdronedryfire" },
    { 0x87F1, "sniperdronedryfiremsg" },
    { 0x87F2, "sniperdroneflyin" },
    { 0x87F3, "sniperdroneflyintogglezoomnotetrack" },
    { 0x87F4, "sniperdronelaunchanims" },
    { 0x87F5, "sniperdronelensdamaged" },
    { 0x87F6, "sniperdronelink" },
    { 0x87F7, "sniperdronemissilewarnmsg" },
    { 0x87F8, "sniperdroneoverlays" },
    { 0x87F9, "sniperdroneprep" },
    { 0x87FA, "sniperdustwatcher" },
    { 0x87FB, "snipergettargetpos" },
    { 0x87FC, "snipergroup" },
    { 0x87FD, "sniperhitcount" },
    { 0x87FE, "sniperhoteltargetilanafirst" },
    { 0x87FF, "sniperhoteltargetplayerfirst" },
    { 0x8800, "sniperintro" },
    { 0x8801, "sniperissuppressed" },
    { 0x8802, "snipernearshotshake" },
    { 0x8803, "sniperpos" },
    { 0x8804, "snipers_defenders" },
    { 0x8805, "snipers_drone_spawners" },
    { 0x8806, "snipers_drones" },
    { 0x8807, "sniperscramblebegin" },
    { 0x8808, "sniperscrambledronesdialogue" },
    { 0x8809, "sniperscrambleexittruckanimations" },
    { 0x880A, "sniperscramblefinaledialogue" },
    { 0x880B, "sniperscramblefishanimations" },
    { 0x880C, "sniperscrambleflaginit" },
    { 0x880D, "sniperscramblegameskillmultiplier" },
    { 0x880E, "sniperscrambleglobalsetup" },
    { 0x880F, "sniperscrambleglobalvars" },
    { 0x8810, "sniperscramblegondolaanimations" },
    { 0x8811, "sniperscramblehoteldialogue" },
    { 0x8812, "sniperscrambleinit" },
    { 0x8813, "sniperscrambleintrodialogue" },
    { 0x8814, "sniperscrambleintrodooranimations" },
    { 0x8815, "sniperscrambleobjectivesetup" },
    { 0x8816, "sniperscrambleprecache" },
    { 0x8817, "sniperscrambleragdollkill" },
    { 0x8818, "sniperscramblesetcompletedobjflags" },
    { 0x8819, "sniperscramblestartpoints" },
    { 0x881A, "sniperscramblewindmilldestructionanimations" },
    { 0x881B, "snipersettargetent" },
    { 0x881C, "snipersetupglass" },
    { 0x881D, "snipershoot" },
    { 0x881E, "snipershootcafejump" },
    { 0x881F, "snipershootcafewall" },
    { 0x8820, "snipershootfirstcivilian" },
    { 0x8821, "snipershootgapjump" },
    { 0x8822, "snipershoothoteljump" },
    { 0x8823, "snipershoothothall" },
    { 0x8824, "snipershootilana" },
    { 0x8825, "snipershootintrodoor" },
    { 0x8826, "snipershootnearhotelciv" },
    { 0x8827, "snipershootrestaurantfishtank" },
    { 0x8828, "snipershootstingerpot" },
    { 0x8829, "snipershootwoundedsoldier" },
    { 0x882A, "snipershot" },
    { 0x882B, "snipershot_multi" },
    { 0x882C, "snipershotcount" },
    { 0x882D, "snipershotphysicsimpulse" },
    { 0x882E, "snipertargetent" },
    { 0x882F, "snipertargetgettagpos" },
    { 0x8830, "snipertowerexplosionfx" },
    { 0x8831, "snipertowerresidualfx" },
    { 0x8832, "snipervisibletargets" },
    { 0x8833, "snowmobile_collide_death" },
    { 0x8834, "snowmobile_death_launchslide" },
    { 0x8835, "snowmobile_decide_shoot" },
    { 0x8836, "snowmobile_decide_shoot_internal" },
    { 0x8837, "snowmobile_do_event" },
    { 0x8838, "snowmobile_get_death_anim" },
    { 0x8839, "snowmobile_getoff" },
    { 0x883A, "snowmobile_geton" },
    { 0x883B, "snowmobile_handle_events" },
    { 0x883C, "snowmobile_loop_driver" },
    { 0x883D, "snowmobile_loop_driver_shooting" },
    { 0x883E, "snowmobile_loop_passenger" },
    { 0x883F, "snowmobile_loop_passenger_shooting" },
    { 0x8840, "snowmobile_mount_anims" },
    { 0x8841, "snowmobile_normal_death" },
    { 0x8842, "snowmobile_reload" },
    { 0x8843, "snowmobile_reload_internal" },
    { 0x8844, "snowmobile_setanim_common" },
    { 0x8845, "snowmobile_setanim_driver" },
    { 0x8846, "snowmobile_setanim_passenger" },
    { 0x8847, "snowmobile_shoot" },
    { 0x8848, "snowmobile_start_shooting" },
    { 0x8849, "snowmobile_stop_shooting" },
    { 0x884A, "snowmobile_trackshootentorpos_driver" },
    { 0x884B, "snowmobile_trackshootentorpos_passenger" },
    { 0x884C, "snowmobile_waitfor_end" },
    { 0x884D, "snowmobile_waitfor_start_aim" },
    { 0x884E, "snowmobile_waitfor_start_lean" },
    { 0x884F, "snowmobileshootbehavior" },
    { 0x8850, "so_can_player_see_dog" },
    { 0x8851, "so_dog_death_quote" },
    { 0x8852, "so_msg_handler" },
    { 0x8853, "soda_array" },
    { 0x8854, "soda_can_drop" },
    { 0x8855, "soda_can_eject" },
    { 0x8856, "soda_count" },
    { 0x8857, "soda_slot" },
    { 0x8858, "soften_player_damage" },
    { 0x8859, "softlanding" },
    { 0x885A, "softlandingtriggers" },
    { 0x885B, "softlandingwaiter" },
    { 0x885C, "softsighttest" },
    { 0x885D, "solar_fire_fx" },
    { 0x885E, "solar_killstreak_duration" },
    { 0x885F, "solar_reflector_cam_tag" },
    { 0x8860, "solar_reflector_player" },
    { 0x8861, "solar_reflector_sfx" },
    { 0x8862, "solar_reflector_target_sfx" },
    { 0x8863, "solarcustomkillstreakfunc" },
    { 0x8864, "solarimmunefire" },
    { 0x8865, "solarpaladinoverrides" },
    { 0x8866, "solarrelectortimer" },
    { 0x8867, "soldiers_go_through_tunnel" },
    { 0x8868, "solid" },
    { 0x8869, "solid_ents_by_targetname" },
    { 0x886A, "solidify_on_player_decon" },
    { 0x886B, "solo_fires" },
    { 0x886C, "solo_firing" },
    { 0x886D, "solo_player_in_coop_gameskill_settings" },
    { 0x886E, "solo_player_in_special_ops" },
    { 0x886F, "some_wheels_slipping" },
    { 0x8870, "sonar_hint" },
    { 0x8871, "sonar_hint_2" },
    { 0x8872, "sonar_off" },
    { 0x8873, "sonar_on" },
    { 0x8874, "sonar_reset_dvars" },
    { 0x8875, "sonar_save_and_set_dvars" },
    { 0x8876, "sonar_vision" },
    { 0x8877, "sonar_vision_off" },
    { 0x8878, "sonar_vision_on" },
    { 0x8879, "sonarvisionsaveddvars" },
    { 0x887A, "sonic_aoe_thread" },
    { 0x887B, "sonic_blast" },
    { 0x887C, "sonic_blast_aftershock" },
    { 0x887D, "sonic_blast_done" },
    { 0x887E, "sonic_blast_started" },
    { 0x887F, "sonic_destruct" },
    { 0x8880, "sonic_stop_scripted_anim" },
    { 0x8881, "sonicaoeactive" },
    { 0x8882, "sonicaoeready" },
    { 0x8883, "sonics_hint" },
    { 0x8884, "sonics_use_hint" },
    { 0x8885, "sonics_use_monitor" },
    { 0x8886, "sort_breachers" },
    { 0x8887, "sort_buttons_by_angle" },
    { 0x8888, "sort_by_startingpos" },
    { 0x8889, "sort_destructible_frame_queue" },
    { 0x888A, "sort_drone_attacks" },
    { 0x888B, "sort_drone_moves" },
    { 0x888C, "sort_reactive_ents" },
    { 0x888D, "sortbydistanceauto" },
    { 0x888E, "sortdroplocations" },
    { 0x888F, "sortinstinctdogspawnpoints" },
    { 0x8890, "sortlowermessages" },
    { 0x8891, "sortnodetransitionangles" },
    { 0x8892, "sortplayersandgivepowers" },
    { 0x8893, "sound" },
    { 0x8894, "sound_col" },
    { 0x8895, "sound_csv_include" },
    { 0x8896, "sound_effect" },
    { 0x8897, "sound_effect_play" },
    { 0x8898, "sound_explode" },
    { 0x8899, "sound_launch" },
    { 0x889A, "sound_lock" },
    { 0x889B, "sound_offset" },
    { 0x889C, "sound_org" },
    { 0x889D, "sound_played" },
    { 0x889E, "sound_prefix" },
    { 0x889F, "sound_reset_time" },
    { 0x88A0, "sound_suffix" },
    { 0x88A1, "sound_tag" },
    { 0x88A2, "sound_tag_dupe" },
    { 0x88A3, "soundaliases" },
    { 0x88A4, "sounddone" },
    { 0x88A5, "soundents" },
    { 0x88A6, "soundfx" },
    { 0x88A7, "soundfxdelete" },
    { 0x88A8, "soundonly" },
    { 0x88A9, "soundstate" },
    { 0x88AA, "soundtable" },
    { 0x88AB, "soundwatcher" },
    { 0x88AC, "sp_stat_tracking_func" },
    { 0x88AD, "space_arrival_turnrate_delay" },
    { 0x88AE, "space_getdefaultturnrate" },
    { 0x88AF, "space_getorientturnrate" },
    { 0x88B0, "spacing" },
    { 0x88B1, "spam_group_hudelems" },
    { 0x88B2, "spam_model_current_group" },
    { 0x88B3, "spamdelay" },
    { 0x88B4, "sparkgreenloop" },
    { 0x88B5, "sparks" },
    { 0x88B6, "sparks1" },
    { 0x88B7, "spawn" },
    { 0x88B8, "spawn_a_backline_guy" },
    { 0x88B9, "spawn_a_guy" },
    { 0x88BA, "spawn_a_school_train" },
    { 0x88BB, "spawn_a_second_line_guy" },
    { 0x88BC, "spawn_agent_player" },
    { 0x88BD, "spawn_ai" },
    { 0x88BE, "spawn_ai_flashlight" },
    { 0x88BF, "spawn_ai_from_targetname" },
    { 0x88C0, "spawn_ai_from_targetname_single" },
    { 0x88C1, "spawn_allies" },
    { 0x88C2, "spawn_allies_for_swarm_turret_segment" },
    { 0x88C3, "spawn_ally" },
    { 0x88C4, "spawn_ally_at_struct" },
    { 0x88C5, "spawn_ally_ground_vehicles" },
    { 0x88C6, "spawn_ally_walker_02" },
    { 0x88C7, "spawn_ambient_warbird" },
    { 0x88C8, "spawn_an_avatar" },
    { 0x88C9, "spawn_and_handle_looping_helicopters" },
    { 0x88CA, "spawn_angles" },
    { 0x88CB, "spawn_anim_model" },
    { 0x88CC, "spawn_array" },
    { 0x88CD, "spawn_atlas_intercept" },
    { 0x88CE, "spawn_attack_drone" },
    { 0x88CF, "spawn_back_left_scaffold_guys" },
    { 0x88D0, "spawn_bikes" },
    { 0x88D1, "spawn_bot_latent" },
    { 0x88D2, "spawn_bots" },
    { 0x88D3, "spawn_burke_common" },
    { 0x88D4, "spawn_button_released" },
    { 0x88D5, "spawn_cargo_crater" },
    { 0x88D6, "spawn_cbdr_missile" },
    { 0x88D7, "spawn_chance_override" },
    { 0x88D8, "spawn_civ_loop" },
    { 0x88D9, "spawn_controllable_drone_cloud" },
    { 0x88DA, "spawn_core_snipers_guys" },
    { 0x88DB, "spawn_cormack_common" },
    { 0x88DC, "spawn_correct_player_rig" },
    { 0x88DD, "spawn_crashing_pods" },
    { 0x88DE, "spawn_doctor" },
    { 0x88DF, "spawn_dog" },
    { 0x88E0, "spawn_driving_police_car" },
    { 0x88E1, "spawn_drone_physics" },
    { 0x88E2, "spawn_drone_street_allies_and_reinforce" },
    { 0x88E3, "spawn_drone_street_ally" },
    { 0x88E4, "spawn_ending_pcap_warbird" },
    { 0x88E5, "spawn_enemy_array_at_structs" },
    { 0x88E6, "spawn_enemy_group" },
    { 0x88E7, "spawn_enemy_jets" },
    { 0x88E8, "spawn_exfil_enemies" },
    { 0x88E9, "spawn_exit_jetbike" },
    { 0x88EA, "spawn_exp_tendril" },
    { 0x88EB, "spawn_failed" },
    { 0x88EC, "spawn_few_nightclub_guys" },
    { 0x88ED, "spawn_flag_projector" },
    { 0x88EE, "spawn_fly_in_missile" },
    { 0x88EF, "spawn_fly_in_missile_00" },
    { 0x88F0, "spawn_fly_in_missile_01" },
    { 0x88F1, "spawn_fly_in_missile_02" },
    { 0x88F2, "spawn_fly_in_missile_03" },
    { 0x88F3, "spawn_fly_in_missile_04" },
    { 0x88F4, "spawn_fly_in_missile_05" },
    { 0x88F5, "spawn_fly_in_missile_06" },
    { 0x88F6, "spawn_friendlies" },
    { 0x88F7, "spawn_func_respawn_on_death" },
    { 0x88F8, "spawn_funcs" },
    { 0x88F9, "spawn_function" },
    { 0x88FA, "spawn_functions" },
    { 0x88FB, "spawn_fx" },
    { 0x88FC, "spawn_gideon" },
    { 0x88FD, "spawn_gideon_mech" },
    { 0x88FE, "spawn_grenade" },
    { 0x88FF, "spawn_grenade_bag" },
    { 0x8900, "spawn_group" },
    { 0x8901, "spawn_groups" },
    { 0x8902, "spawn_guy_and_firstframe" },
    { 0x8903, "spawn_guy_loopers" },
    { 0x8904, "spawn_guys_until_death_or_no_count" },
    { 0x8905, "spawn_hidden_reinforcement" },
    { 0x8906, "spawn_hospital_roof_guys" },
    { 0x8907, "spawn_initial_forces_tanks" },
    { 0x8908, "spawn_initial_forces_warbirds" },
    { 0x8909, "spawn_intro_heroes" },
    { 0x890A, "spawn_intro_pilots" },
    { 0x890B, "spawn_knox_common" },
    { 0x890C, "spawn_kva_downstairs" },
    { 0x890D, "spawn_last_two_guys" },
    { 0x890E, "spawn_left_building_scaffolding_guy" },
    { 0x890F, "spawn_left_hospital_train" },
    { 0x8910, "spawn_looping_ambient_vehicle_single" },
    { 0x8911, "spawn_looping_ambient_vehicles" },
    { 0x8912, "spawn_looping_jets" },
    { 0x8913, "spawn_looping_street_jets" },
    { 0x8914, "spawn_mech_baghdad" },
    { 0x8915, "spawn_mech_rig" },
    { 0x8916, "spawn_metrics_death_count" },
    { 0x8917, "spawn_metrics_death_watcher" },
    { 0x8918, "spawn_metrics_init" },
    { 0x8919, "spawn_metrics_init_for_noteworthy" },
    { 0x891A, "spawn_metrics_number_alive" },
    { 0x891B, "spawn_metrics_number_died" },
    { 0x891C, "spawn_metrics_number_spawned" },
    { 0x891D, "spawn_metrics_spawn_count" },
    { 0x891E, "spawn_metrics_spawn_func" },
    { 0x891F, "spawn_metrics_waittill_count_reaches" },
    { 0x8920, "spawn_metrics_waittill_deaths_reach" },
    { 0x8921, "spawn_model_from_struct" },
    { 0x8922, "spawn_more_allies" },
    { 0x8923, "spawn_name" },
    { 0x8924, "spawn_new_ally" },
    { 0x8925, "spawn_new_traffic_entity_at_node" },
    { 0x8926, "spawn_new_traffic_entity_at_node_override" },
    { 0x8927, "spawn_new_traffic_model" },
    { 0x8928, "spawn_new_traffic_vehicle" },
    { 0x8929, "spawn_next_zone" },
    { 0x892A, "spawn_npc_and_use_scripted_zipline" },
    { 0x892B, "spawn_parked_police_car" },
    { 0x892C, "spawn_patroller_guide_floor2" },
    { 0x892D, "spawn_pdrone" },
    { 0x892E, "spawn_placed_alleyway_guys" },
    { 0x892F, "spawn_player_anim_rig" },
    { 0x8930, "spawn_player_checkpoint" },
    { 0x8931, "spawn_player_drone_think" },
    { 0x8932, "spawn_player_prisoner_hands" },
    { 0x8933, "spawn_player_rig" },
    { 0x8934, "spawn_player_rig_for_carshield" },
    { 0x8935, "spawn_police_drone" },
    { 0x8936, "spawn_police_drone_with_anim" },
    { 0x8937, "spawn_pool_copy_function" },
    { 0x8938, "spawn_pool_enabled" },
    { 0x8939, "spawn_preplaced_guys" },
    { 0x893A, "spawn_president" },
    { 0x893B, "spawn_president_s2" },
    { 0x893C, "spawn_prethink" },
    { 0x893D, "spawn_queen_drone_and_drive" },
    { 0x893E, "spawn_reinforcement" },
    { 0x893F, "spawn_reverse_school_train" },
    { 0x8940, "spawn_reverse_street_train" },
    { 0x8941, "spawn_right_hospital_train" },
    { 0x8942, "spawn_route_full_with_traffic_at" },
    { 0x8943, "spawn_scaffolding_to_floor_right" },
    { 0x8944, "spawn_script_model_turret" },
    { 0x8945, "spawn_script_noteworthy" },
    { 0x8946, "spawn_security_drones" },
    { 0x8947, "spawn_setcharacter" },
    { 0x8948, "spawn_single_vehicle_for_lane" },
    { 0x8949, "spawn_snake" },
    { 0x894A, "spawn_snake_cloud" },
    { 0x894B, "spawn_snake_no_drones" },
    { 0x894C, "spawn_snake_queen" },
    { 0x894D, "spawn_sniper_guy" },
    { 0x894E, "spawn_soda" },
    { 0x894F, "spawn_squad" },
    { 0x8950, "spawn_squad_member" },
    { 0x8951, "spawn_street_train" },
    { 0x8952, "spawn_struct_array" },
    { 0x8953, "spawn_tag_origin" },
    { 0x8954, "spawn_tag_origin_monitor" },
    { 0x8955, "spawn_takedown_01_guys" },
    { 0x8956, "spawn_tank_column" },
    { 0x8957, "spawn_targetname" },
    { 0x8958, "spawn_targetname_at_struct_targetname" },
    { 0x8959, "spawn_team_allies" },
    { 0x895A, "spawn_team_axis" },
    { 0x895B, "spawn_team_neutral" },
    { 0x895C, "spawn_team_team3" },
    { 0x895D, "spawn_tendril" },
    { 0x895E, "spawn_the_rest" },
    { 0x895F, "spawn_think" },
    { 0x8960, "spawn_think_action" },
    { 0x8961, "spawn_think_game_skill_related" },
    { 0x8962, "spawn_think_script_inits" },
    { 0x8963, "spawn_third_floor_guy_for_assistance" },
    { 0x8964, "spawn_time" },
    { 0x8965, "spawn_traffic_helicopter" },
    { 0x8966, "spawn_trains_track1" },
    { 0x8967, "spawn_trains_track2" },
    { 0x8968, "spawn_tram_turret" },
    { 0x8969, "spawn_transport_flying_01" },
    { 0x896A, "spawn_transport_flying_02" },
    { 0x896B, "spawn_turbine_enemies_tidal_wave" },
    { 0x896C, "spawn_turret_model" },
    { 0x896D, "spawn_unload_group" },
    { 0x896E, "spawn_veh" },
    { 0x896F, "spawn_vehicle" },
    { 0x8970, "spawn_vehicle_and_attach_to_free_path" },
    { 0x8971, "spawn_vehicle_and_gopath" },
    { 0x8972, "spawn_vehicle_from_targetname" },
    { 0x8973, "spawn_vehicle_from_targetname_and_drive" },
    { 0x8974, "spawn_vehicle_from_targetname_and_setup_jump_targets" },
    { 0x8975, "spawn_vehicle_lane" },
    { 0x8976, "spawn_vehicles_from_targetname" },
    { 0x8977, "spawn_vehicles_from_targetname_and_drive" },
    { 0x8978, "spawn_vehicles_from_targetname_newstyle" },
    { 0x8979, "spawn_version" },
    { 0x897A, "spawn_vista_vehicle" },
    { 0x897B, "spawn_walker_mobile_turret_deploy" },
    { 0x897C, "spawn_warbird_spotlight_gag" },
    { 0x897D, "spawn_warbird_turret" },
    { 0x897E, "spawn_was_good" },
    { 0x897F, "spawn_wave_stagger" },
    { 0x8980, "spawn_wave_upkeep_and_block" },
    { 0x8981, "spawn_wave_upkeep_and_flag" },
    { 0x8982, "spawn_wave1b" },
    { 0x8983, "spawn_zipline_turret" },
    { 0x8984, "spawnaddwalker" },
    { 0x8985, "spawnaddwalkers" },
    { 0x8986, "spawnairstrikeplane" },
    { 0x8987, "spawnallyinfiltrators" },
    { 0x8988, "spawnandinitnamedally" },
    { 0x8989, "spawnangle" },
    { 0x898A, "spawnanglemax" },
    { 0x898B, "spawnanglemin" },
    { 0x898C, "spawnattachment" },
    { 0x898D, "spawnattachmenteffect" },
    { 0x898E, "spawnbreachhostiles" },
    { 0x898F, "spawncivilians" },
    { 0x8990, "spawncivilians_flank_alley" },
    { 0x8991, "spawncivilians_roundabout" },
    { 0x8992, "spawnclient" },
    { 0x8993, "spawnclusterchildren" },
    { 0x8994, "spawnconfcenterai" },
    { 0x8995, "spawncopter" },
    { 0x8996, "spawncrane" },
    { 0x8997, "spawndecoycivilians" },
    { 0x8998, "spawndogtags" },
    { 0x8999, "spawned_avatar" },
    { 0x899A, "spawned_bike_rider" },
    { 0x899B, "spawned_boats" },
    { 0x899C, "spawned_count" },
    { 0x899D, "spawned_kamikaze_drones" },
    { 0x899E, "spawned_turret" },
    { 0x899F, "spawnedfoamglobs" },
    { 0x89A0, "spawnedkillcamcleanup" },
    { 0x89A1, "spawnedwarbirds" },
    { 0x89A2, "spawneffectonplayerview" },
    { 0x89A3, "spawnendingenemies" },
    { 0x89A4, "spawnendingenemies01" },
    { 0x89A5, "spawnendingenemies01flood" },
    { 0x89A6, "spawnendingenemies02" },
    { 0x89A7, "spawnendingenemies02flood" },
    { 0x89A8, "spawnendingenemies03" },
    { 0x89A9, "spawnendingenemies04" },
    { 0x89AA, "spawnendingenemies04flood" },
    { 0x89AB, "spawnendingenemies05" },
    { 0x89AC, "spawnendingenemies06" },
    { 0x89AD, "spawnendingheli" },
    { 0x89AE, "spawnendingshotguna" },
    { 0x89AF, "spawnendingshotgunb" },
    { 0x89B0, "spawnendofgame" },
    { 0x89B1, "spawnenemiesambusherseast" },
    { 0x89B2, "spawnenemiesambusherssouth" },
    { 0x89B3, "spawnenemiesextra" },
    { 0x89B4, "spawnenemiespatrollersa" },
    { 0x89B5, "spawnenemiespatrollersb" },
    { 0x89B6, "spawnenemiespatrollersc" },
    { 0x89B7, "spawnenemyambushvehicle" },
    { 0x89B8, "spawnenemyreinforcementsvehicles" },
    { 0x89B9, "spawnenemystruggle" },
    { 0x89BA, "spawner_deathflag" },
    { 0x89BB, "spawner_dronespawn" },
    { 0x89BC, "spawner_fallbackers" },
    { 0x89BD, "spawner_force_laser_on" },
    { 0x89BE, "spawner_id" },
    { 0x89BF, "spawner_name" },
    { 0x89C0, "spawner_number" },
    { 0x89C1, "spawner_pool" },
    { 0x89C2, "spawner_swap_ai_to_drone" },
    { 0x89C3, "spawner_swap_drone_to_ai" },
    { 0x89C4, "spawner_vision_checker" },
    { 0x89C5, "spawnercallbackthread" },
    { 0x89C6, "spawnercount" },
    { 0x89C7, "spawners" },
    { 0x89C8, "spawnerwave" },
    { 0x89C9, "spawnfemalecivilians" },
    { 0x89CA, "spawnfemalecivilians_roundabout" },
    { 0x89CB, "spawnfire" },
    { 0x89CC, "spawnfunc_ally" },
    { 0x89CD, "spawnfunc_mb" },
    { 0x89CE, "spawnfunc_mb_civilians" },
    { 0x89CF, "spawnfunc_mb_drone" },
    { 0x89D0, "spawnfunc_mb_enemies" },
    { 0x89D1, "spawnfunc_mb1_tower" },
    { 0x89D2, "spawnfunc_mb1_vrap" },
    { 0x89D3, "spawnfunc_mb2_final" },
    { 0x89D4, "spawnfunc_mb2_mech" },
    { 0x89D5, "spawnfunc_mb2_vrap" },
    { 0x89D6, "spawnfunc_mech_crush" },
    { 0x89D7, "spawnfxshowtoteam" },
    { 0x89D8, "spawnglow" },
    { 0x89D9, "spawnglowmodel" },
    { 0x89DA, "spawnhadesescapevehicle" },
    { 0x89DB, "spawnhangardoors" },
    { 0x89DC, "spawnheight" },
    { 0x89DD, "spawnhostile" },
    { 0x89DE, "spawninfo" },
    { 0x89DF, "spawningafterremotedeath" },
    { 0x89E0, "spawningclientthisframereset" },
    { 0x89E1, "spawninstinctdogs" },
    { 0x89E2, "spawnintelpickup" },
    { 0x89E3, "spawnintermission" },
    { 0x89E4, "spawnkvafollowtarget" },
    { 0x89E5, "spawnkvasafehouseguards" },
    { 0x89E6, "spawnlinkedfxshowtoteam" },
    { 0x89E7, "spawnlogicteam" },
    { 0x89E8, "spawnlogictraceheight" },
    { 0x89E9, "spawnlogictracehieght" },
    { 0x89EA, "spawnmalecivilians" },
    { 0x89EB, "spawnmalecivilians_roundabout" },
    { 0x89EC, "spawnmalecivilianswithface" },
    { 0x89ED, "spawnmaxs" },
    { 0x89EE, "spawnmgturret" },
    { 0x89EF, "spawnmine" },
    { 0x89F0, "spawnmins" },
    { 0x89F1, "spawnorbitalsupportturret" },
    { 0x89F2, "spawnorigin" },
    { 0x89F3, "spawnperk" },
    { 0x89F4, "spawnpickup" },
    { 0x89F5, "spawnplayer" },
    { 0x89F6, "spawnplayerinorbital" },
    { 0x89F7, "spawnpoint" },
    { 0x89F8, "spawnpointarray" },
    { 0x89F9, "spawnpointdistanceupdate" },
    { 0x89FA, "spawnpointinit" },
    { 0x89FB, "spawnpoints" },
    { 0x89FC, "spawnpointsightupdate" },
    { 0x89FD, "spawnpointupdate" },
    { 0x89FE, "spawnposttakedowncivilians" },
    { 0x89FF, "spawnpotentialtargets" },
    { 0x8A00, "spawnradius" },
    { 0x8A01, "spawnrestaurantfishswimming" },
    { 0x8A02, "spawnriotshieldcollision" },
    { 0x8A03, "spawnriotshieldcover" },
    { 0x8A04, "spawnsafehousepatroller" },
    { 0x8A05, "spawnscore" },
    { 0x8A06, "spawnsetup" },
    { 0x8A07, "spawnshieldlights" },
    { 0x8A08, "spawnspectator" },
    { 0x8A09, "spawnsquadfunc" },
    { 0x8A0A, "spawntarget" },
    { 0x8A0B, "spawntempcivilians" },
    { 0x8A0C, "spawntimedecisecondsfrommatchstart" },
    { 0x8A0D, "spawntracelocation" },
    { 0x8A0E, "spawnwalkingcivilians" },
    { 0x8A0F, "spawnwalkingcivilians_roundabout" },
    { 0x8A10, "spawnwavestoptrigger" },
    { 0x8A11, "spawnwaypointfriendlies" },
    { 0x8A12, "speaker_distance" },
    { 0x8A13, "speakers" },
    { 0x8A14, "special" },
    { 0x8A15, "special_array_remove" },
    { 0x8A16, "special_autosavecondition" },
    { 0x8A17, "special_death_anim" },
    { 0x8A18, "special_death_hint" },
    { 0x8A19, "special_death_proc" },
    { 0x8A1A, "special_flyby_jet" },
    { 0x8A1B, "special_gulag_adjustment" },
    { 0x8A1C, "special_kva" },
    { 0x8A1D, "special_loopingidleanimation" },
    { 0x8A1E, "special_weapon_dof_funcs" },
    { 0x8A1F, "specialaicount" },
    { 0x8A20, "specialaistats" },
    { 0x8A21, "specialaitypes" },
    { 0x8A22, "specialcheck" },
    { 0x8A23, "specialcleanupfunc" },
    { 0x8A24, "specialdamage" },
    { 0x8A25, "specialdeath" },
    { 0x8A26, "specialdeathfunc" },
    { 0x8A27, "specialflashedfunc" },
    { 0x8A28, "specialgametypescript" },
    { 0x8A29, "specialidleanim" },
    { 0x8A2A, "specialidleloop" },
    { 0x8A2B, "specialmelee_standard" },
    { 0x8A2C, "specialmeleechooseaction" },
    { 0x8A2D, "specialpain" },
    { 0x8A2E, "specialpainblocker" },
    { 0x8A2F, "specialreloadanimfunc" },
    { 0x8A30, "specialshootbehavior" },
    { 0x8A31, "specialstruct" },
    { 0x8A32, "specialty_blackbox_bonus" },
    { 0x8A33, "specialty_blastshield_bonus" },
    { 0x8A34, "specialty_c4_death_icon" },
    { 0x8A35, "specialty_compassping_revenge_icon" },
    { 0x8A36, "specialty_finalstand_icon" },
    { 0x8A37, "specialty_juiced_icon" },
    { 0x8A38, "specialty_paint_time" },
    { 0x8A39, "specialty_unwrapper_care_bonus" },
    { 0x8A3A, "species" },
    { 0x8A3B, "specific_combat" },
    { 0x8A3C, "specific_warbird_deathflag" },
    { 0x8A3D, "specific_warbird_deathflag1" },
    { 0x8A3E, "specific_warbird_deathflag2" },
    { 0x8A3F, "specific_warbird_deathflag3" },
    { 0x8A40, "specops" },
    { 0x8A41, "specops_dmg" },
    { 0x8A42, "specops_reward_gameskill" },
    { 0x8A43, "specops_think" },
    { 0x8A44, "spectateoverride" },
    { 0x8A45, "spectating_actively" },
    { 0x8A46, "spectatorviewloadout" },
    { 0x8A47, "specular_default" },
    { 0x8A48, "speechcommands" },
    { 0x8A49, "speed_calc" },
    { 0x8A4A, "speed_control_pathnodes" },
    { 0x8A4B, "speed_control_pathnodes_dist" },
    { 0x8A4C, "speed_display" },
    { 0x8A4D, "speed_norm" },
    { 0x8A4E, "speed_of_sound_" },
    { 0x8A4F, "speed_scale" },
    { 0x8A50, "speed_slow" },
    { 0x8A51, "speed_to_anim_rate" },
    { 0x8A52, "speed_up_building_jump_anim" },
    { 0x8A53, "speed_up_gideon_when_u_cant_see_him" },
    { 0x8A54, "speed_up_missile_load" },
    { 0x8A55, "spider_tank_deaths" },
    { 0x8A56, "spikelist" },
    { 0x8A57, "spikelistindex" },
    { 0x8A58, "spinalarmsstart" },
    { 0x8A59, "spinalarmsstop" },
    { 0x8A5A, "spinnerarray" },
    { 0x8A5B, "spinsoundshortly" },
    { 0x8A5C, "spinthelasers" },
    { 0x8A5D, "spinuptime" },
    { 0x8A5E, "splash_pos_for_speed" },
    { 0x8A5F, "splashattachmentname" },
    { 0x8A60, "splashing_water" },
    { 0x8A61, "splashname" },
    { 0x8A62, "splashnotify" },
    { 0x8A63, "splashnotifydelayed" },
    { 0x8A64, "splashnotifyurgent" },
    { 0x8A65, "splashqueue" },
    { 0x8A66, "splashref" },
    { 0x8A67, "splashusedname" },
    { 0x8A68, "splashweakenedname" },
    { 0x8A69, "spline_accel" },
    { 0x8A6A, "spline_decel" },
    { 0x8A6B, "spline_fast_decel" },
    { 0x8A6C, "spline_speed" },
    { 0x8A6D, "split_lane" },
    { 0x8A6E, "split_lane_extra_handling" },
    { 0x8A6F, "split_rocket" },
    { 0x8A70, "split_rocket_hellfire" },
    { 0x8A71, "split_rocket_spiral" },
    { 0x8A72, "splitarrivalsleft" },
    { 0x8A73, "splitarrivalsright" },
    { 0x8A74, "splitexitsleft" },
    { 0x8A75, "splitexitsright" },
    { 0x8A76, "splitscreen" },
    { 0x8A77, "spot" },
    { 0x8A78, "spot_exhaust_fail_angles" },
    { 0x8A79, "spot_exhaust_fail_orig" },
    { 0x8A7A, "spot_main" },
    { 0x8A7B, "spot_tag" },
    { 0x8A7C, "spot_tag2" },
    { 0x8A7D, "spot_tag3" },
    { 0x8A7E, "spot_tag4" },
    { 0x8A7F, "spotlight" },
    { 0x8A80, "spotlight_aim_ents" },
    { 0x8A81, "spotlight_fizzles_out" },
    { 0x8A82, "spotlight_light_motion" },
    { 0x8A83, "spotlight_owner" },
    { 0x8A84, "spotlight_tag" },
    { 0x8A85, "spotlight_tag_origin_cleanup" },
    { 0x8A86, "spotlight_target" },
    { 0x8A87, "spotlight_think" },
    { 0x8A88, "spotlights" },
    { 0x8A89, "spotlimit" },
    { 0x8A8A, "spottarget" },
    { 0x8A8B, "spotted_an_enemy" },
    { 0x8A8C, "spotted_enemy" },
    { 0x8A8D, "spotted_list" },
    { 0x8A8E, "spottedorigin" },
    { 0x8A8F, "spottedstance" },
    { 0x8A90, "spottedvisibledistance" },
    { 0x8A91, "spotter" },
    { 0x8A92, "spotterangles" },
    { 0x8A93, "spotterfov" },
    { 0x8A94, "spotterviewpoint" },
    { 0x8A95, "spraycans" },
    { 0x8A96, "sprayerdrip" },
    { 0x8A97, "sprayerdriparray" },
    { 0x8A98, "spraymachine" },
    { 0x8A99, "spraymachinedrips" },
    { 0x8A9A, "spraypaint_chaser" },
    { 0x8A9B, "spraypaint_gag" },
    { 0x8A9C, "spraypaint_runner" },
    { 0x8A9D, "spraysheetstate" },
    { 0x8A9E, "spread_width" },
    { 0x8A9F, "sprimaryweapon" },
    { 0x8AA0, "sprinkler_origin" },
    { 0x8AA1, "sprinkler_sound_proximity_toggle" },
    { 0x8AA2, "sprint" },
    { 0x8AA3, "sprint_hint_reminder" },
    { 0x8AA4, "sprint_speed" },
    { 0x8AA5, "sprintdistthissprint" },
    { 0x8AA6, "sprintslidekillevent" },
    { 0x8AA7, "sprinttracking" },
    { 0x8AA8, "spupdatetotal" },
    { 0x8AA9, "spwan_vehicle_loopers" },
    { 0x8AAA, "squad" },
    { 0x8AAB, "squad_becomes_aware_after_intro" },
    { 0x8AAC, "squad_careful_all_start" },
    { 0x8AAD, "squad_careful_all_stop" },
    { 0x8AAE, "squad_exo_door_goto" },
    { 0x8AAF, "squad_gestures_burke" },
    { 0x8AB0, "squad_gestures_idle_count" },
    { 0x8AB1, "squad_gestures_joker" },
    { 0x8AB2, "squad_gestures_wait_count" },
    { 0x8AB3, "squad_heli_zip" },
    { 0x8AB4, "squad_ignore_all_start" },
    { 0x8AB5, "squad_ignore_all_stop" },
    { 0x8AB6, "squad_intro_anim_ajani" },
    { 0x8AB7, "squad_intro_anim_burke" },
    { 0x8AB8, "squad_intro_anim_joker" },
    { 0x8AB9, "squad_intro_fov_shift_off" },
    { 0x8ABA, "squad_intro_fov_shift_on" },
    { 0x8ABB, "squad_intro_walkway_goto" },
    { 0x8ABC, "squad_move_interior" },
    { 0x8ABD, "squad_move_out_dialogue" },
    { 0x8ABE, "squad_opening" },
    { 0x8ABF, "squad_opening_names" },
    { 0x8AC0, "squad_opening_warbird" },
    { 0x8AC1, "squadcanburst" },
    { 0x8AC2, "squadchange" },
    { 0x8AC3, "squadcreatefuncs" },
    { 0x8AC4, "squadcreatestrings" },
    { 0x8AC5, "squadflavorbursttransmissions" },
    { 0x8AC6, "squadhasofficer" },
    { 0x8AC7, "squadid" },
    { 0x8AC8, "squadindex" },
    { 0x8AC9, "squadinitialized" },
    { 0x8ACA, "squadlist" },
    { 0x8ACB, "squadmate_agent_think" },
    { 0x8ACC, "squadnum" },
    { 0x8ACD, "squadofficerwaiter" },
    { 0x8ACE, "squadrand" },
    { 0x8ACF, "squads" },
    { 0x8AD0, "squadstates" },
    { 0x8AD1, "squadthreatwaiter" },
    { 0x8AD2, "squadtracker" },
    { 0x8AD3, "squadupdatefuncs" },
    { 0x8AD4, "squadupdatestrings" },
    { 0x8AD5, "sr_ally_near_tag" },
    { 0x8AD6, "sr_camp_tag" },
    { 0x8AD7, "sr_pick_up_tag" },
    { 0x8AD8, "sr_respawn" },
    { 0x8AD9, "ssao_set_target_over_time_internal" },
    { 0x8ADA, "sscr_goaltime" },
    { 0x8ADB, "st_driving" },
    { 0x8ADC, "stable_unlink" },
    { 0x8ADD, "stabs" },
    { 0x8ADE, "stack" },
    { 0x8ADF, "stack_make" },
    { 0x8AE0, "stack_peek" },
    { 0x8AE1, "stack_pop" },
    { 0x8AE2, "stack_push" },
    { 0x8AE3, "stage_guy" },
    { 0x8AE4, "stage1_ambush" },
    { 0x8AE5, "stage2_ambush" },
    { 0x8AE6, "stagger_env_fx" },
    { 0x8AE7, "stair_state_loop" },
    { 0x8AE8, "stair_wait" },
    { 0x8AE9, "stairwell_doors" },
    { 0x8AEA, "stalactite_fall" },
    { 0x8AEB, "stalemate" },
    { 0x8AEC, "stance" },
    { 0x8AED, "stance_carry" },
    { 0x8AEE, "stance_carry_icon_disable" },
    { 0x8AEF, "stance_carry_icon_enable" },
    { 0x8AF0, "stance_change" },
    { 0x8AF1, "stance_change_time" },
    { 0x8AF2, "stance_handler" },
    { 0x8AF3, "stance_num" },
    { 0x8AF4, "stance_up" },
    { 0x8AF5, "stancecrouchmovement" },
    { 0x8AF6, "stancerecoiladjuster" },
    { 0x8AF7, "stancestatelistener" },
    { 0x8AF8, "stand_to_run_overrideanim" },
    { 0x8AF9, "stand_up_if_necessary" },
    { 0x8AFA, "standard_plane_controls" },
    { 0x8AFB, "standard_siren_01" },
    { 0x8AFC, "standard_siren_setup" },
    { 0x8AFD, "standard_text_list" },
    { 0x8AFE, "standardmaxhealth" },
    { 0x8AFF, "standattack" },
    { 0x8B00, "standdown" },
    { 0x8B01, "standidle" },
    { 0x8B02, "standifmakesenemyvisible" },
    { 0x8B03, "standing" },
    { 0x8B04, "standing_actor_01" },
    { 0x8B05, "standingaimblendtime" },
    { 0x8B06, "standingaimlimits" },
    { 0x8B07, "standingmechblendtime" },
    { 0x8B08, "standingturnrate" },
    { 0x8B09, "standrun_begin" },
    { 0x8B0A, "standrun_checkchangeweapon" },
    { 0x8B0B, "standrun_checkreload" },
    { 0x8B0C, "standrun_combatnormal" },
    { 0x8B0D, "standrun_noncombatnormal" },
    { 0x8B0E, "standrun_reloadinternal" },
    { 0x8B0F, "standruntocrouch" },
    { 0x8B10, "standruntostand" },
    { 0x8B11, "standstop_begin" },
    { 0x8B12, "standtocrouch" },
    { 0x8B13, "standtoprone" },
    { 0x8B14, "standtopronerun" },
    { 0x8B15, "standtopronewalk" },
    { 0x8B16, "standwalk_begin" },
    { 0x8B17, "standwalktocrouch" },
    { 0x8B18, "standwalktostand" },
    { 0x8B19, "star" },
    { 0x8B1A, "start" },
    { 0x8B1B, "start_after_crash_traffic" },
    { 0x8B1C, "start_airlock_anim_notetracks" },
    { 0x8B1D, "start_alarm_post_reactor" },
    { 0x8B1E, "start_alias_data" },
    { 0x8B1F, "start_alley1" },
    { 0x8B20, "start_alley2" },
    { 0x8B21, "start_alleys_checkpoint" },
    { 0x8B22, "start_alleys_combat_music" },
    { 0x8B23, "start_alleys_music" },
    { 0x8B24, "start_alleys_transition_checkpoint" },
    { 0x8B25, "start_alleyway" },
    { 0x8B26, "start_ambient_event" },
    { 0x8B27, "start_ambient_jet" },
    { 0x8B28, "start_ambient_pair_kick" },
    { 0x8B29, "start_ams" },
    { 0x8B2A, "start_ams_thread" },
    { 0x8B2B, "start_angle" },
    { 0x8B2C, "start_angles" },
    { 0x8B2D, "start_anim" },
    { 0x8B2E, "start_arrays" },
    { 0x8B2F, "start_atrium_breach_music" },
    { 0x8B30, "start_atrium_fight" },
    { 0x8B31, "start_attack_heli" },
    { 0x8B32, "start_autopsy" },
    { 0x8B33, "start_autopsy_alarm" },
    { 0x8B34, "start_autopsy_halls" },
    { 0x8B35, "start_avalanche" },
    { 0x8B36, "start_battle_to_heli" },
    { 0x8B37, "start_bedroom" },
    { 0x8B38, "start_big_cave" },
    { 0x8B39, "start_billboard_ads" },
    { 0x8B3A, "start_blocking_police" },
    { 0x8B3B, "start_boat" },
    { 0x8B3C, "start_boatcrash" },
    { 0x8B3D, "start_boatjump" },
    { 0x8B3E, "start_boatmall" },
    { 0x8B3F, "start_boatwarbird" },
    { 0x8B40, "start_bobbing" },
    { 0x8B41, "start_bobbing_single" },
    { 0x8B42, "start_boost" },
    { 0x8B43, "start_bridge" },
    { 0x8B44, "start_bridge_after_loop" },
    { 0x8B45, "start_bridge_capture" },
    { 0x8B46, "start_bridge_end_foley" },
    { 0x8B47, "start_bridge_heli" },
    { 0x8B48, "start_bridge_helis" },
    { 0x8B49, "start_bridge_overwatch_heli" },
    { 0x8B4A, "start_briefing" },
    { 0x8B4B, "start_burke_ambush_slomo" },
    { 0x8B4C, "start_burke_boost_kick" },
    { 0x8B4D, "start_burke_elevator_slide" },
    { 0x8B4E, "start_burke_foley" },
    { 0x8B4F, "start_bus_moving_before_anim_ends" },
    { 0x8B50, "start_cafe_cam_mvmnt_loops" },
    { 0x8B51, "start_camera_static" },
    { 0x8B52, "start_canal" },
    { 0x8B53, "start_cao_anims" },
    { 0x8B54, "start_car_alarm" },
    { 0x8B55, "start_cave_entry" },
    { 0x8B56, "start_cave_hallway" },
    { 0x8B57, "start_cc_open_combat" },
    { 0x8B58, "start_circling_heli" },
    { 0x8B59, "start_civilian_group" },
    { 0x8B5A, "start_civilian_loop_anims" },
    { 0x8B5B, "start_cliff_rappel" },
    { 0x8B5C, "start_climb" },
    { 0x8B5D, "start_climbcrates" },
    { 0x8B5E, "start_climbroof" },
    { 0x8B5F, "start_climbskybridge" },
    { 0x8B60, "start_color" },
    { 0x8B61, "start_combat_cave" },
    { 0x8B62, "start_conf_center_combat_checkpoint" },
    { 0x8B63, "start_conf_center_intro_checkpoint" },
    { 0x8B64, "start_conf_center_kill_checkpoint" },
    { 0x8B65, "start_conf_center_outro_checkpoint" },
    { 0x8B66, "start_conf_center_support1_checkpoint" },
    { 0x8B67, "start_conf_center_support2_checkpoint" },
    { 0x8B68, "start_conf_center_support3_checkpoint" },
    { 0x8B69, "start_confrontation" },
    { 0x8B6A, "start_confrontation_qte" },
    { 0x8B6B, "start_construction_heli" },
    { 0x8B6C, "start_control_room" },
    { 0x8B6D, "start_control_room_alarms" },
    { 0x8B6E, "start_control_room_entrance" },
    { 0x8B6F, "start_control_room_exit" },
    { 0x8B70, "start_control_room_explo" },
    { 0x8B71, "start_cooling_tower" },
    { 0x8B72, "start_courtyard" },
    { 0x8B73, "start_courtyard_alarms" },
    { 0x8B74, "start_courtyard_jammer" },
    { 0x8B75, "start_cqb_when_near" },
    { 0x8B76, "start_crash" },
    { 0x8B77, "start_crash_bus" },
    { 0x8B78, "start_crash_site" },
    { 0x8B79, "start_crash_suvs" },
    { 0x8B7A, "start_dead_guy_foley" },
    { 0x8B7B, "start_deck" },
    { 0x8B7C, "start_demo_with_itiot" },
    { 0x8B7D, "start_description" },
    { 0x8B7E, "start_det_catch_guy_01" },
    { 0x8B7F, "start_det_catch_guy_02" },
    { 0x8B80, "start_dialogue_threads" },
    { 0x8B81, "start_display_cleanup" },
    { 0x8B82, "start_dist" },
    { 0x8B83, "start_docks" },
    { 0x8B84, "start_door_kick" },
    { 0x8B85, "start_drive_in" },
    { 0x8B86, "start_drone_barrage_submix" },
    { 0x8B87, "start_drone_death_static" },
    { 0x8B88, "start_drone_deploy_anim" },
    { 0x8B89, "start_drone_spawns" },
    { 0x8B8A, "start_elevator_zone_audio" },
    { 0x8B8B, "start_end_escape" },
    { 0x8B8C, "start_end_takedown_highway_path_player_side" },
    { 0x8B8D, "start_end_takedown_traffic_done" },
    { 0x8B8E, "start_ending_ambush_checkpoint" },
    { 0x8B8F, "start_ending_fight_checkpoint" },
    { 0x8B90, "start_ending_hades_checkpoint" },
    { 0x8B91, "start_enemy_callout_vo" },
    { 0x8B92, "start_ent_count" },
    { 0x8B93, "start_ents" },
    { 0x8B94, "start_escape" },
    { 0x8B95, "start_exfil" },
    { 0x8B96, "start_exit_drive" },
    { 0x8B97, "start_exo_mute" },
    { 0x8B98, "start_exo_ping" },
    { 0x8B99, "start_exo_sonic_attack_fail" },
    { 0x8B9A, "start_exopush" },
    { 0x8B9B, "start_facility_breach" },
    { 0x8B9C, "start_fardist" },
    { 0x8B9D, "start_finale_fight_music" },
    { 0x8B9E, "start_finale_h2h_music" },
    { 0x8B9F, "start_finale_suv_damage" },
    { 0x8BA0, "start_finale_transition_music" },
    { 0x8BA1, "start_fire_steam_loops" },
    { 0x8BA2, "start_fire_suppression_group" },
    { 0x8BA3, "start_firing" },
    { 0x8BA4, "start_fixed_scanner_audio" },
    { 0x8BA5, "start_flank" },
    { 0x8BA6, "start_flank_alley" },
    { 0x8BA7, "start_fly" },
    { 0x8BA8, "start_flying_attack_drone" },
    { 0x8BA9, "start_flying_attack_drones" },
    { 0x8BAA, "start_foam_room" },
    { 0x8BAB, "start_forest" },
    { 0x8BAC, "start_forest_takedown" },
    { 0x8BAD, "start_freeway_music" },
    { 0x8BAE, "start_frogger" },
    { 0x8BAF, "start_functions" },
    { 0x8BB0, "start_funeral" },
    { 0x8BB1, "start_fuorescent_light_hum" },
    { 0x8BB2, "start_fx_by_view" },
    { 0x8BB3, "start_fx_by_view_failsafe" },
    { 0x8BB4, "start_gate_breach_music" },
    { 0x8BB5, "start_gatedoor" },
    { 0x8BB6, "start_gaz_02_retreat" },
    { 0x8BB7, "start_gaz_03_retreat" },
    { 0x8BB8, "start_glow" },
    { 0x8BB9, "start_government_building" },
    { 0x8BBA, "start_government_courtyard" },
    { 0x8BBB, "start_grapple" },
    { 0x8BBC, "start_hack_security" },
    { 0x8BBD, "start_hades_breach" },
    { 0x8BBE, "start_hades_breach_door" },
    { 0x8BBF, "start_hades_breach_guard" },
    { 0x8BC0, "start_hades_breach_npc" },
    { 0x8BC1, "start_hades_breach_npc1" },
    { 0x8BC2, "start_hades_breach_npc2" },
    { 0x8BC3, "start_hades_double_stinger" },
    { 0x8BC4, "start_hades_flashbang" },
    { 0x8BC5, "start_hades_kill_interact_fail" },
    { 0x8BC6, "start_hades_suv_extraction" },
    { 0x8BC7, "start_hades_transition" },
    { 0x8BC8, "start_halls_to_autopsy" },
    { 0x8BC9, "start_hangar" },
    { 0x8BCA, "start_hdrcolorintensity" },
    { 0x8BCB, "start_hdrsuncolorintensity" },
    { 0x8BCC, "start_heli_custom_aim" },
    { 0x8BCD, "start_heliride" },
    { 0x8BCE, "start_hologram_audio" },
    { 0x8BCF, "start_hospital" },
    { 0x8BD0, "start_hospital_capture_animation" },
    { 0x8BD1, "start_ice_bridge" },
    { 0x8BD2, "start_idle_shooting" },
    { 0x8BD3, "start_ied_convoy_ambush_expl" },
    { 0x8BD4, "start_ied_convoy_slomo_end" },
    { 0x8BD5, "start_incinerator" },
    { 0x8BD6, "start_infil" },
    { 0x8BD7, "start_information_center" },
    { 0x8BD8, "start_intel" },
    { 0x8BD9, "start_interior" },
    { 0x8BDA, "start_interior_alarms" },
    { 0x8BDB, "start_intro" },
    { 0x8BDC, "start_intro_ambience" },
    { 0x8BDD, "start_intro_drive" },
    { 0x8BDE, "start_intro_drone" },
    { 0x8BDF, "start_intro_fly_in" },
    { 0x8BE0, "start_intro_fly_in_part2" },
    { 0x8BE1, "start_intro_npc_foley" },
    { 0x8BE2, "start_intro_skip" },
    { 0x8BE3, "start_intro_squad" },
    { 0x8BE4, "start_introdrive" },
    { 0x8BE5, "start_irons_chase" },
    { 0x8BE6, "start_jerk_driver" },
    { 0x8BE7, "start_jerk_driver_car" },
    { 0x8BE8, "start_jump_grapple" },
    { 0x8BE9, "start_kdrone_launch" },
    { 0x8BEA, "start_kdrone_loop" },
    { 0x8BEB, "start_knocked_to_oncoming" },
    { 0x8BEC, "start_kva_assault_music" },
    { 0x8BED, "start_kva_follow_music" },
    { 0x8BEE, "start_lab" },
    { 0x8BEF, "start_lab_alarms" },
    { 0x8BF0, "start_lake" },
    { 0x8BF1, "start_lake_cinema" },
    { 0x8BF2, "start_list_menu" },
    { 0x8BF3, "start_list_settext" },
    { 0x8BF4, "start_loading_bay_alarms" },
    { 0x8BF5, "start_lobby" },
    { 0x8BF6, "start_lobby_anims" },
    { 0x8BF7, "start_logging_road" },
    { 0x8BF8, "start_look" },
    { 0x8BF9, "start_looping_intro_alarm_sounds" },
    { 0x8BFA, "start_looping_outro_alarm_sounds" },
    { 0x8BFB, "start_mb1" },
    { 0x8BFC, "start_mb1_intro" },
    { 0x8BFD, "start_mb1_jump" },
    { 0x8BFE, "start_mb1_mech" },
    { 0x8BFF, "start_mb2" },
    { 0x8C00, "start_mb2_gatesmash" },
    { 0x8C01, "start_mech" },
    { 0x8C02, "start_mech_march" },
    { 0x8C03, "start_meet_cormack_pt2" },
    { 0x8C04, "start_menu" },
    { 0x8C05, "start_menu_update" },
    { 0x8C06, "start_middle_takedown" },
    { 0x8C07, "start_middle_takedown_highway_path_player_side" },
    { 0x8C08, "start_mocap_ar" },
    { 0x8C09, "start_monitor_escape_artist" },
    { 0x8C0A, "start_monitor_microwave_grenades" },
    { 0x8C0B, "start_movie_capture" },
    { 0x8C0C, "start_moving" },
    { 0x8C0D, "start_moving_with_bob" },
    { 0x8C0E, "start_narrow_cave" },
    { 0x8C0F, "start_neardist" },
    { 0x8C10, "start_nogame" },
    { 0x8C11, "start_notetrack_wait" },
    { 0x8C12, "start_off_running" },
    { 0x8C13, "start_office" },
    { 0x8C14, "start_oldtown" },
    { 0x8C15, "start_oncoming" },
    { 0x8C16, "start_oncoming_alley" },
    { 0x8C17, "start_oncoming_downhill" },
    { 0x8C18, "start_one_handed_gunplay" },
    { 0x8C19, "start_opacity" },
    { 0x8C1A, "start_origin" },
    { 0x8C1B, "start_outro" },
    { 0x8C1C, "start_outside_alarm" },
    { 0x8C1D, "start_overlay" },
    { 0x8C1E, "start_overlook" },
    { 0x8C1F, "start_pa_airlockclosing" },
    { 0x8C20, "start_pa_codered" },
    { 0x8C21, "start_pa_emergency_exit" },
    { 0x8C22, "start_pa_emergency_turbine" },
    { 0x8C23, "start_parked_police_car_radio" },
    { 0x8C24, "start_penthouse" },
    { 0x8C25, "start_pitbull" },
    { 0x8C26, "start_pitbull_skirmish" },
    { 0x8C27, "start_pitch" },
    { 0x8C28, "start_plant_tracker" },
    { 0x8C29, "start_player_diveboat_ride" },
    { 0x8C2A, "start_player_elevator_jump" },
    { 0x8C2B, "start_player_elevator_slide" },
    { 0x8C2C, "start_player_office_scene_walk_sway" },
    { 0x8C2D, "start_player_pdrone_audio" },
    { 0x8C2E, "start_player_walk_sway" },
    { 0x8C2F, "start_pod_sequence" },
    { 0x8C30, "start_point" },
    { 0x8C31, "start_point_check" },
    { 0x8C32, "start_point_grapple" },
    { 0x8C33, "start_point_intro" },
    { 0x8C34, "start_point_is_after" },
    { 0x8C35, "start_point_is_before" },
    { 0x8C36, "start_point_is_between" },
    { 0x8C37, "start_point_scripted" },
    { 0x8C38, "start_point_source_dambs" },
    { 0x8C39, "start_police" },
    { 0x8C3A, "start_police_standoff" },
    { 0x8C3B, "start_pos" },
    { 0x8C3C, "start_position" },
    { 0x8C3D, "start_post_courtyard_ext_alarms" },
    { 0x8C3E, "start_post_courtyard_ext_alarms_2" },
    { 0x8C3F, "start_post_courtyard_interior_alarms" },
    { 0x8C40, "start_post_h_breach" },
    { 0x8C41, "start_post_middle_takedown" },
    { 0x8C42, "start_pre_h_breach" },
    { 0x8C43, "start_pre_loading_bay" },
    { 0x8C44, "start_pre_reactor_alarms" },
    { 0x8C45, "start_prelobby_anims" },
    { 0x8C46, "start_railgun_hud" },
    { 0x8C47, "start_reactor" },
    { 0x8C48, "start_reactor_airlock_open" },
    { 0x8C49, "start_reactor_burke_attack" },
    { 0x8C4A, "start_reactor_exit" },
    { 0x8C4B, "start_reactor_zone_audio" },
    { 0x8C4C, "start_recon" },
    { 0x8C4D, "start_refugee_camp" },
    { 0x8C4E, "start_repulsor" },
    { 0x8C4F, "start_research_facility_bridge" },
    { 0x8C50, "start_reverse_hint" },
    { 0x8C51, "start_roof" },
    { 0x8C52, "start_rooftop_combat" },
    { 0x8C53, "start_rough_tide" },
    { 0x8C54, "start_roundabout" },
    { 0x8C55, "start_run_to_heli" },
    { 0x8C56, "start_s1_elevator" },
    { 0x8C57, "start_s1elevator" },
    { 0x8C58, "start_s2_elevator" },
    { 0x8C59, "start_s2_walk" },
    { 0x8C5A, "start_s2elevator" },
    { 0x8C5B, "start_s2walk" },
    { 0x8C5C, "start_s3escape" },
    { 0x8C5D, "start_s3interrogate" },
    { 0x8C5E, "start_s3trolley" },
    { 0x8C5F, "start_safehouse_clear_checkpoint" },
    { 0x8C60, "start_safehouse_exit_checkpoint" },
    { 0x8C61, "start_safehouse_exo_trans_music" },
    { 0x8C62, "start_safehouse_follow_checkpoint" },
    { 0x8C63, "start_safehouse_guard_03_music" },
    { 0x8C64, "start_safehouse_intro_checkpoint" },
    { 0x8C65, "start_safehouse_stairs_music" },
    { 0x8C66, "start_safehouse_stealth_music" },
    { 0x8C67, "start_safehouse_transition_checkpoint" },
    { 0x8C68, "start_safehouse_xslice_checkpoint" },
    { 0x8C69, "start_school" },
    { 0x8C6A, "start_school_basement" },
    { 0x8C6B, "start_school_before_fall" },
    { 0x8C6C, "start_school_interior" },
    { 0x8C6D, "start_school_wall_grab" },
    { 0x8C6E, "start_search_drone_behavior_when_pdrone_follower_spawned" },
    { 0x8C6F, "start_security_center" },
    { 0x8C70, "start_security_room" },
    { 0x8C71, "start_seeker_audio" },
    { 0x8C72, "start_sentinel_reveal" },
    { 0x8C73, "start_seoul_building_jump_sequence" },
    { 0x8C74, "start_seoul_canal_combat_pt2" },
    { 0x8C75, "start_seoul_canal_combat_start" },
    { 0x8C76, "start_seoul_canal_intro" },
    { 0x8C77, "start_seoul_cover_art" },
    { 0x8C78, "start_seoul_drone_swarm_intro" },
    { 0x8C79, "start_seoul_e3_presentation" },
    { 0x8C7A, "start_seoul_enemy_encounter_01" },
    { 0x8C7B, "start_seoul_finale_scene_start" },
    { 0x8C7C, "start_seoul_first_land_assist" },
    { 0x8C7D, "start_seoul_forward_operating_base" },
    { 0x8C7E, "start_seoul_hotel_entrance" },
    { 0x8C7F, "start_seoul_intro" },
    { 0x8C80, "start_seoul_missle_evade_sequence" },
    { 0x8C81, "start_seoul_shopping_district_flee_swarm" },
    { 0x8C82, "start_seoul_shopping_district_start" },
    { 0x8C83, "start_seoul_sinkhole_start" },
    { 0x8C84, "start_seoul_subway_start" },
    { 0x8C85, "start_seoul_truck_push" },
    { 0x8C86, "start_server_room" },
    { 0x8C87, "start_sewer" },
    { 0x8C88, "start_shooting_rail" },
    { 0x8C89, "start_shore_pcap" },
    { 0x8C8A, "start_silo_approach" },
    { 0x8C8B, "start_silo_exhaust_entrance" },
    { 0x8C8C, "start_silo_floor_03" },
    { 0x8C8D, "start_sky_bridge" },
    { 0x8C8E, "start_skyfogintensity" },
    { 0x8C8F, "start_skyfogmaxangle" },
    { 0x8C90, "start_skyfogminangle" },
    { 0x8C91, "start_slow_mo" },
    { 0x8C92, "start_smoke_pillar_black_large_fast_fx" },
    { 0x8C93, "start_smoke_pillar_black_large_slow_fx" },
    { 0x8C94, "start_smoke_pillar_gray_large_fast_fx" },
    { 0x8C95, "start_sniper_drone" },
    { 0x8C96, "start_sniper_drone_audio" },
    { 0x8C97, "start_sniper_drone_death" },
    { 0x8C98, "start_sniper_drone_deploy" },
    { 0x8C99, "start_sniper_drone_loops" },
    { 0x8C9A, "start_sniper_drone_zoom" },
    { 0x8C9B, "start_sniper_scramble_drones_checkpoint" },
    { 0x8C9C, "start_sniper_scramble_finale_checkpoint" },
    { 0x8C9D, "start_sniper_scramble_hotel_checkpoint" },
    { 0x8C9E, "start_sniper_scramble_intro_checkpoint" },
    { 0x8C9F, "start_sniper_scramble_music" },
    { 0x8CA0, "start_sonic_attack_mix" },
    { 0x8CA1, "start_spawn_allies" },
    { 0x8CA2, "start_spawn_axis" },
    { 0x8CA3, "start_spawn_prefix" },
    { 0x8CA4, "start_spawns_near_attackers" },
    { 0x8CA5, "start_squad_member_at_start" },
    { 0x8CA6, "start_stage_dialog" },
    { 0x8CA7, "start_stealth_music" },
    { 0x8CA8, "start_street" },
    { 0x8CA9, "start_street_heli" },
    { 0x8CAA, "start_struct" },
    { 0x8CAB, "start_sunbeginfadeangle" },
    { 0x8CAC, "start_suncolor" },
    { 0x8CAD, "start_sundir" },
    { 0x8CAE, "start_sunendfadeangle" },
    { 0x8CAF, "start_sunfogscale" },
    { 0x8CB0, "start_swarm_drones_context" },
    { 0x8CB1, "start_sweep_mode_func" },
    { 0x8CB2, "start_swim" },
    { 0x8CB3, "start_tank_board" },
    { 0x8CB4, "start_tank_field" },
    { 0x8CB5, "start_tank_hangar" },
    { 0x8CB6, "start_tank_road" },
    { 0x8CB7, "start_tanker_explosion" },
    { 0x8CB8, "start_tanker_fire" },
    { 0x8CB9, "start_tanker_on_ramp_traffic" },
    { 0x8CBA, "start_teleport" },
    { 0x8CBB, "start_tennis_court_alert" },
    { 0x8CBC, "start_test_chamber" },
    { 0x8CBD, "start_thread" },
    { 0x8CBE, "start_threat_grenade_mixer" },
    { 0x8CBF, "start_time" },
    { 0x8CC0, "start_tour_augmented_reality" },
    { 0x8CC1, "start_tour_end" },
    { 0x8CC2, "start_tour_exo" },
    { 0x8CC3, "start_tour_exo_exit" },
    { 0x8CC4, "start_tour_firing_range" },
    { 0x8CC5, "start_tour_ride" },
    { 0x8CC6, "start_tower_bells" },
    { 0x8CC7, "start_track_irons" },
    { 0x8CC8, "start_traffic_frogger" },
    { 0x8CC9, "start_traffic_lane" },
    { 0x8CCA, "start_traffic_traverse" },
    { 0x8CCB, "start_training_01" },
    { 0x8CCC, "start_training_01_end" },
    { 0x8CCD, "start_training_01_golf_course" },
    { 0x8CCE, "start_training_01_lodge" },
    { 0x8CCF, "start_training_01_lodge_breach" },
    { 0x8CD0, "start_training_01_lodge_exit" },
    { 0x8CD1, "start_training_02" },
    { 0x8CD2, "start_training_02_end" },
    { 0x8CD3, "start_training_02_golf_course" },
    { 0x8CD4, "start_training_02_lodge" },
    { 0x8CD5, "start_training_02_lodge_breach" },
    { 0x8CD6, "start_training_02_lodge_exit" },
    { 0x8CD7, "start_trans_to_alleys_panic" },
    { 0x8CD8, "start_transients" },
    { 0x8CD9, "start_traverse" },
    { 0x8CDA, "start_trolley" },
    { 0x8CDB, "start_tunnel" },
    { 0x8CDC, "start_turbine_door_breach" },
    { 0x8CDD, "start_turbine_door_impt" },
    { 0x8CDE, "start_turbine_elevator" },
    { 0x8CDF, "start_turbine_elevator_alarm" },
    { 0x8CE0, "start_turbine_loop" },
    { 0x8CE1, "start_turbine_room" },
    { 0x8CE2, "start_van" },
    { 0x8CE3, "start_van_takedown" },
    { 0x8CE4, "start_van_takedown_underwater" },
    { 0x8CE5, "start_veh_moving_truck" },
    { 0x8CE6, "start_vehicle_traffic" },
    { 0x8CE7, "start_vehicle_traffic_highway_traverse" },
    { 0x8CE8, "start_vehicle_traffic_highway_traverse_player_side" },
    { 0x8CE9, "start_vehicle_traffic_roundabout_straightways" },
    { 0x8CEA, "start_videochat_screen_turn_off" },
    { 0x8CEB, "start_videochat_screen_turn_on" },
    { 0x8CEC, "start_vtol_crash" },
    { 0x8CED, "start_vtol_takedown" },
    { 0x8CEE, "start_wasp_death_explo" },
    { 0x8CEF, "start_wasp_flicker" },
    { 0x8CF0, "start_wasp_missile_warning" },
    { 0x8CF1, "start_water_breach" },
    { 0x8CF2, "start_wave_mist_fx" },
    { 0x8CF3, "start_will_room" },
    { 0x8CF4, "start_x" },
    { 0x8CF5, "startadrenaline" },
    { 0x8CF6, "startaiming" },
    { 0x8CF7, "startalleysdialoguethreads" },
    { 0x8CF8, "startamplifyobjectvfx" },
    { 0x8CF9, "startangles" },
    { 0x8CFA, "startcanisterfx" },
    { 0x8CFB, "startclientspawnpointtraces" },
    { 0x8CFC, "startcloakingbinksequence" },
    { 0x8CFD, "startcloakingbinksequence_debug" },
    { 0x8CFE, "startcombat" },
    { 0x8CFF, "startconfcenterdialoguethreads" },
    { 0x8D00, "startcoverapproach" },
    { 0x8D01, "startdialoguethreads" },
    { 0x8D02, "startdist" },
    { 0x8D03, "startdnadronelights" },
    { 0x8D04, "startdot_group" },
    { 0x8D05, "startdot_player" },
    { 0x8D06, "startdrivenmovement" },
    { 0x8D07, "startdronecontrol" },
    { 0x8D08, "startdyingcrawlbackaimsoon" },
    { 0x8D09, "started_bank" },
    { 0x8D0A, "started_moving" },
    { 0x8D0B, "started_to_grapple_to_vtol_but_aborted_watcher" },
    { 0x8D0C, "startexorecoverykillstreak" },
    { 0x8D0D, "startexplosivedrone" },
    { 0x8D0E, "startexteriordnadrones" },
    { 0x8D0F, "startextrahealth" },
    { 0x8D10, "startfastheal" },
    { 0x8D11, "startfireandaimidlethread" },
    { 0x8D12, "startflashing" },
    { 0x8D13, "startgame" },
    { 0x8D14, "startgrenadelightfx" },
    { 0x8D15, "startharmonicbreach" },
    { 0x8D16, "startheavylifterfx" },
    { 0x8D17, "startheligroundfx" },
    { 0x8D18, "starthighlightingplayer" },
    { 0x8D19, "starthighlightingplayerexplosive" },
    { 0x8D1A, "startidletransitionanim" },
    { 0x8D1B, "starting_bridge_collapse" },
    { 0x8D1C, "starting_fire_01" },
    { 0x8D1D, "starting_origin" },
    { 0x8D1E, "starting_side_fx" },
    { 0x8D1F, "starting_speed" },
    { 0x8D20, "startingorigin" },
    { 0x8D21, "startinteriordnadrones" },
    { 0x8D22, "startlaserlights" },
    { 0x8D23, "startlasersounds" },
    { 0x8D24, "startmanhandling" },
    { 0x8D25, "startmonitoringflash" },
    { 0x8D26, "startmove" },
    { 0x8D27, "startmove_updateangle" },
    { 0x8D28, "startmovetransition" },
    { 0x8D29, "startmovetransitionanim" },
    { 0x8D2A, "startmutebomb" },
    { 0x8D2B, "startnoncombat" },
    { 0x8D2C, "startnotelisten" },
    { 0x8D2D, "startorigin" },
    { 0x8D2E, "startospbuddyexitcommand" },
    { 0x8D2F, "startpath_with_currentnode_update" },
    { 0x8D30, "startpoint1" },
    { 0x8D31, "startpoint2" },
    { 0x8D32, "startpos" },
    { 0x8D33, "startposoffset" },
    { 0x8D34, "startriotshielddeploy" },
    { 0x8D35, "startriotsuppressionsystem" },
    { 0x8D36, "startround" },
    { 0x8D37, "startspawnpoints" },
    { 0x8D38, "startspectatemode" },
    { 0x8D39, "startstreaksupportprompt" },
    { 0x8D3A, "startthreadstorunwhilemoving" },
    { 0x8D3B, "starttime" },
    { 0x8D3C, "starttimepassed" },
    { 0x8D3D, "starttotargetcornerangles" },
    { 0x8D3E, "starttrackingdrone" },
    { 0x8D3F, "startturntoangle" },
    { 0x8D40, "startusingreconvehicle" },
    { 0x8D41, "startusingremoteturret" },
    { 0x8D42, "startwarbirdbuddyexitcommand" },
    { 0x8D43, "startwave" },
    { 0x8D44, "startyaw" },
    { 0x8D45, "stat_notify" },
    { 0x8D46, "stat_notify_func" },
    { 0x8D47, "stat_notify_register_func" },
    { 0x8D48, "stat_track_damage_func" },
    { 0x8D49, "stat_track_kill_func" },
    { 0x8D4A, "statadd" },
    { 0x8D4B, "stataddbuffered" },
    { 0x8D4C, "stataddbufferedwithmax" },
    { 0x8D4D, "stataddchild" },
    { 0x8D4E, "stataddchildbuffered" },
    { 0x8D4F, "stataddchildbufferedwithmax" },
    { 0x8D50, "state" },
    { 0x8D51, "state_chaingun_pump" },
    { 0x8D52, "state_change" },
    { 0x8D53, "state_data" },
    { 0x8D54, "state_group_list" },
    { 0x8D55, "state_groups" },
    { 0x8D56, "state_last" },
    { 0x8D57, "state_loop" },
    { 0x8D58, "state_main_pump" },
    { 0x8D59, "state_num" },
    { 0x8D5A, "state_print_priority" },
    { 0x8D5B, "state_rocket_pump" },
    { 0x8D5C, "state_swarm_pump" },
    { 0x8D5D, "state_timer" },
    { 0x8D5E, "state_under_construction" },
    { 0x8D5F, "statefns" },
    { 0x8D60, "statements" },
    { 0x8D61, "states" },
    { 0x8D62, "statget" },
    { 0x8D63, "statgetbuffered" },
    { 0x8D64, "statgetchild" },
    { 0x8D65, "statgetchildbuffered" },
    { 0x8D66, "static" },
    { 0x8D67, "static_length" },
    { 0x8D68, "static_origin" },
    { 0x8D69, "static_overlay" },
    { 0x8D6A, "static_sight_blocker" },
    { 0x8D6B, "static_sphere_center" },
    { 0x8D6C, "static_sphere_radius" },
    { 0x8D6D, "staticlevel" },
    { 0x8D6E, "staticlevelwaittime" },
    { 0x8D6F, "stationary" },
    { 0x8D70, "stationary_anim_pose" },
    { 0x8D71, "stats" },
    { 0x8D72, "statset" },
    { 0x8D73, "statsetbuffered" },
    { 0x8D74, "statsetchild" },
    { 0x8D75, "statsetchildbuffered" },
    { 0x8D76, "status" },
    { 0x8D77, "statusdialog" },
    { 0x8D78, "statvaluechanged" },
    { 0x8D79, "stay_low_nags" },
    { 0x8D7A, "stay_on_mission" },
    { 0x8D7B, "stayontag" },
    { 0x8D7C, "stealth_accuracy_friendly_main" },
    { 0x8D7D, "stealth_accuracy_state_custom" },
    { 0x8D7E, "stealth_accuracy_state_default" },
    { 0x8D7F, "stealth_ai_clear_custom_idle_and_react" },
    { 0x8D80, "stealth_ai_clear_custom_react" },
    { 0x8D81, "stealth_ai_event_dist_custom" },
    { 0x8D82, "stealth_ai_event_dist_default" },
    { 0x8D83, "stealth_ai_idle_and_react" },
    { 0x8D84, "stealth_ai_idle_and_react_custom" },
    { 0x8D85, "stealth_ai_reach_and_arrive_idle_and_react" },
    { 0x8D86, "stealth_ai_reach_and_arrive_idle_and_react_proc" },
    { 0x8D87, "stealth_ai_reach_idle_and_react" },
    { 0x8D88, "stealth_ai_reach_idle_and_react_proc" },
    { 0x8D89, "stealth_ai_react" },
    { 0x8D8A, "stealth_alert_level_duration" },
    { 0x8D8B, "stealth_alerted_drone_monitor" },
    { 0x8D8C, "stealth_anim" },
    { 0x8D8D, "stealth_anim_custom_animmode" },
    { 0x8D8E, "stealth_basic_states_custom" },
    { 0x8D8F, "stealth_basic_states_default" },
    { 0x8D90, "stealth_behavior_enemy_main" },
    { 0x8D91, "stealth_behavior_friendly_main" },
    { 0x8D92, "stealth_behavior_system_init" },
    { 0x8D93, "stealth_behavior_system_main" },
    { 0x8D94, "stealth_broken_dialogue" },
    { 0x8D95, "stealth_can_be_seen" },
    { 0x8D96, "stealth_color_friendly_main" },
    { 0x8D97, "stealth_color_state_custom" },
    { 0x8D98, "stealth_color_state_default" },
    { 0x8D99, "stealth_corpse_behavior_custom" },
    { 0x8D9A, "stealth_corpse_behavior_default" },
    { 0x8D9B, "stealth_corpse_collect_func" },
    { 0x8D9C, "stealth_corpse_default_collect_func" },
    { 0x8D9D, "stealth_corpse_default_distances" },
    { 0x8D9E, "stealth_corpse_default_forget_time" },
    { 0x8D9F, "stealth_corpse_default_reset_time" },
    { 0x8DA0, "stealth_corpse_enemy_main" },
    { 0x8DA1, "stealth_corpse_forget_time_custom" },
    { 0x8DA2, "stealth_corpse_forget_time_default" },
    { 0x8DA3, "stealth_corpse_ranges_custom" },
    { 0x8DA4, "stealth_corpse_ranges_default" },
    { 0x8DA5, "stealth_corpse_reset_collect_func" },
    { 0x8DA6, "stealth_corpse_reset_time_custom" },
    { 0x8DA7, "stealth_corpse_reset_time_default" },
    { 0x8DA8, "stealth_corpse_set_collect_func" },
    { 0x8DA9, "stealth_corpse_set_distances" },
    { 0x8DAA, "stealth_corpse_set_forget_time" },
    { 0x8DAB, "stealth_corpse_set_reset_time" },
    { 0x8DAC, "stealth_corpse_system_init" },
    { 0x8DAD, "stealth_corpse_system_main" },
    { 0x8DAE, "stealth_debug_print" },
    { 0x8DAF, "stealth_default" },
    { 0x8DB0, "stealth_default_func" },
    { 0x8DB1, "stealth_delete_at_goal" },
    { 0x8DB2, "stealth_detect_ranges_default" },
    { 0x8DB3, "stealth_detect_ranges_set" },
    { 0x8DB4, "stealth_disable_seek_player_on_spotted" },
    { 0x8DB5, "stealth_disabled" },
    { 0x8DB6, "stealth_display" },
    { 0x8DB7, "stealth_display_active" },
    { 0x8DB8, "stealth_display_count" },
    { 0x8DB9, "stealth_display_hint" },
    { 0x8DBA, "stealth_display_max" },
    { 0x8DBB, "stealth_display_off" },
    { 0x8DBC, "stealth_display_on" },
    { 0x8DBD, "stealth_display_seed" },
    { 0x8DBE, "stealth_display_seed_angle" },
    { 0x8DBF, "stealth_display_thread" },
    { 0x8DC0, "stealth_display_tutorial" },
    { 0x8DC1, "stealth_display_tutorial_spawner_setup" },
    { 0x8DC2, "stealth_enable_seek_player_on_spotted" },
    { 0x8DC3, "stealth_enemy_debug_monitor" },
    { 0x8DC4, "stealth_enemy_endon_alert" },
    { 0x8DC5, "stealth_enemy_minimal_debug_monitor" },
    { 0x8DC6, "stealth_enemy_waittill_alert" },
    { 0x8DC7, "stealth_event_anim_defaults" },
    { 0x8DC8, "stealth_event_defaults" },
    { 0x8DC9, "stealth_event_enemy_main" },
    { 0x8DCA, "stealth_event_handler" },
    { 0x8DCB, "stealth_event_listener_defaults" },
    { 0x8DCC, "stealth_event_mod" },
    { 0x8DCD, "stealth_event_mod_all" },
    { 0x8DCE, "stealth_event_validate" },
    { 0x8DCF, "stealth_fail_fast" },
    { 0x8DD0, "stealth_first_alert_new_patrol_path" },
    { 0x8DD1, "stealth_flag_debug_print" },
    { 0x8DD2, "stealth_friendly_movespeed_scale_default" },
    { 0x8DD3, "stealth_friendly_movespeed_scale_set" },
    { 0x8DD4, "stealth_friendly_stance_handler_distances_default" },
    { 0x8DD5, "stealth_friendly_stance_handler_distances_set" },
    { 0x8DD6, "stealth_get_group" },
    { 0x8DD7, "stealth_get_group_corpse_flag" },
    { 0x8DD8, "stealth_get_group_spotted_flag" },
    { 0x8DD9, "stealth_group_corpse_flag" },
    { 0x8DDA, "stealth_group_corpse_flag_wait" },
    { 0x8DDB, "stealth_group_corpse_flag_waitopen" },
    { 0x8DDC, "stealth_group_return_ai_with_corpse_flag" },
    { 0x8DDD, "stealth_group_return_ai_with_event_flag" },
    { 0x8DDE, "stealth_group_return_ai_with_spotted_flag" },
    { 0x8DDF, "stealth_group_return_groups_with_corpse_flag" },
    { 0x8DE0, "stealth_group_return_groups_with_event_flag" },
    { 0x8DE1, "stealth_group_return_groups_with_spotted_flag" },
    { 0x8DE2, "stealth_group_spotted_flag" },
    { 0x8DE3, "stealth_group_spotted_flag_wait" },
    { 0x8DE4, "stealth_group_spotted_flag_waitopen" },
    { 0x8DE5, "stealth_guy_think" },
    { 0x8DE6, "stealth_guy_think_on_flag" },
    { 0x8DE7, "stealth_insure_enabled" },
    { 0x8DE8, "stealth_is_everything_normal" },
    { 0x8DE9, "stealth_last_alert" },
    { 0x8DEA, "stealth_music_control_p1" },
    { 0x8DEB, "stealth_music_control_p2" },
    { 0x8DEC, "stealth_plugin_accuracy" },
    { 0x8DED, "stealth_plugin_aicolor" },
    { 0x8DEE, "stealth_plugin_basic" },
    { 0x8DEF, "stealth_plugin_corpse" },
    { 0x8DF0, "stealth_plugin_event_all" },
    { 0x8DF1, "stealth_plugin_event_custom" },
    { 0x8DF2, "stealth_plugin_event_explosion" },
    { 0x8DF3, "stealth_plugin_event_flashbang" },
    { 0x8DF4, "stealth_plugin_event_heard_scream" },
    { 0x8DF5, "stealth_plugin_event_main" },
    { 0x8DF6, "stealth_plugin_smart_stance" },
    { 0x8DF7, "stealth_plugin_threat" },
    { 0x8DF8, "stealth_pre_spotted_function_custom" },
    { 0x8DF9, "stealth_pre_spotted_function_default" },
    { 0x8DFA, "stealth_reset_awareness" },
    { 0x8DFB, "stealth_set_default_stealth_function" },
    { 0x8DFC, "stealth_set_group" },
    { 0x8DFD, "stealth_set_group_default" },
    { 0x8DFE, "stealth_set_group_proc" },
    { 0x8DFF, "stealth_set_idle_anim" },
    { 0x8E00, "stealth_set_run_anim" },
    { 0x8E01, "stealth_shadow_ai_in_volume" },
    { 0x8E02, "stealth_shadow_volumes" },
    { 0x8E03, "stealth_smartstance_friendly_main" },
    { 0x8E04, "stealth_spawn_function" },
    { 0x8E05, "stealth_spotted_drone_death_monitor" },
    { 0x8E06, "stealth_spotted_drone_monitor" },
    { 0x8E07, "stealth_spotted_drones" },
    { 0x8E08, "stealth_threat_behavior_custom" },
    { 0x8E09, "stealth_threat_behavior_default" },
    { 0x8E0A, "stealth_threat_behavior_default_no_warnings" },
    { 0x8E0B, "stealth_threat_behavior_replace" },
    { 0x8E0C, "stealth_threat_enemy_main" },
    { 0x8E0D, "stealth_vis_threat" },
    { 0x8E0E, "stealth_visibility_enemy_main" },
    { 0x8E0F, "stealth_visibility_friendly_main" },
    { 0x8E10, "stealth_visibility_system_main" },
    { 0x8E11, "stealthairstrike_earthquake" },
    { 0x8E12, "stealthbomber_killcam" },
    { 0x8E13, "stealthkillvictim" },
    { 0x8E14, "stealthnewenemyreactanim" },
    { 0x8E15, "steam_burst_function" },
    { 0x8E16, "steam_burst_valve_started" },
    { 0x8E17, "steam_elevator_fx" },
    { 0x8E18, "steam_spray_custom_function" },
    { 0x8E19, "steam_vent_burst_fx" },
    { 0x8E1A, "stecil_when_in_view" },
    { 0x8E1B, "steering" },
    { 0x8E1C, "steering_enable" },
    { 0x8E1D, "steering_hack" },
    { 0x8E1E, "steering_maxdelta" },
    { 0x8E1F, "steering_maxroll" },
    { 0x8E20, "stencil_when_cardoor_in_range" },
    { 0x8E21, "stepout" },
    { 0x8E22, "stepoutandhidespeed" },
    { 0x8E23, "stepoutandshootenemy" },
    { 0x8E24, "stepoutyaw" },
    { 0x8E25, "stepup_112" },
    { 0x8E26, "stepup_112_over_32" },
    { 0x8E27, "stick_to_shadows" },
    { 0x8E28, "stickexplosivegel" },
    { 0x8E29, "stickhorizontalinputlength" },
    { 0x8E2A, "stickinputindeadzone" },
    { 0x8E2B, "sticky_fx" },
    { 0x8E2C, "sticky_threat" },
    { 0x8E2D, "sticky_timer" },
    { 0x8E2E, "stickyhandlemovers" },
    { 0x8E2F, "stickymovingplatformdetonate" },
    { 0x8E30, "still_pressing_use" },
    { 0x8E31, "still_pressing_use_button" },
    { 0x8E32, "stillvalidstingerlock" },
    { 0x8E33, "stim_fx_l" },
    { 0x8E34, "stim_fx_r" },
    { 0x8E35, "stinger_add_hit" },
    { 0x8E36, "stinger_delayed_lock" },
    { 0x8E37, "stinger_fire" },
    { 0x8E38, "stinger_ignore" },
    { 0x8E39, "stinger_no_ai" },
    { 0x8E3A, "stinger_override_tags" },
    { 0x8E3B, "stinger_targets" },
    { 0x8E3C, "stinger_track_ent_cleanup" },
    { 0x8E3D, "stinger_vo" },
    { 0x8E3E, "stinger_weapon" },
    { 0x8E3F, "stingerdebugdraw" },
    { 0x8E40, "stingerfxid" },
    { 0x8E41, "stingerlockonentsfunc" },
    { 0x8E42, "stingerlockstarttime" },
    { 0x8E43, "stingerlostsightlinetime" },
    { 0x8E44, "stingerm7_get_target_ignore" },
    { 0x8E45, "stingerm7_get_target_offset" },
    { 0x8E46, "stingerm7_get_target_pos" },
    { 0x8E47, "stingerm7_get_target_tag" },
    { 0x8E48, "stingerm7_info" },
    { 0x8E49, "stingerm7_lock_los" },
    { 0x8E4A, "stingerm7_lock_range" },
    { 0x8E4B, "stingerm7_monitor_fire" },
    { 0x8E4C, "stingerm7_shoot_tower" },
    { 0x8E4D, "stingerm7_targeting" },
    { 0x8E4E, "stingerm7_targeting_contains" },
    { 0x8E4F, "stingerm7_targeting_remove_dead" },
    { 0x8E50, "stingerm7_think" },
    { 0x8E51, "stingerpronestatemonitor" },
    { 0x8E52, "stingerproximitydetonate" },
    { 0x8E53, "stingerstage" },
    { 0x8E54, "stingertarget" },
    { 0x8E55, "stingerusageloop" },
    { 0x8E56, "stingeruseentered" },
    { 0x8E57, "stock_think" },
    { 0x8E58, "stockammo" },
    { 0x8E59, "stop_aiming_for_reload" },
    { 0x8E5A, "stop_alias_data" },
    { 0x8E5B, "stop_all_replace_on_death" },
    { 0x8E5C, "stop_all_rumble_on_time" },
    { 0x8E5D, "stop_alleys_emergency_audio" },
    { 0x8E5E, "stop_ambient_flare_fx" },
    { 0x8E5F, "stop_ams" },
    { 0x8E60, "stop_animating_player_rig_on_flag" },
    { 0x8E61, "stop_animating_when_exopush_over" },
    { 0x8E62, "stop_animating_when_kva2_dead" },
    { 0x8E63, "stop_atrium_fight" },
    { 0x8E64, "stop_audio_intro_fly_drone_idle" },
    { 0x8E65, "stop_back_thruster_light_rz" },
    { 0x8E66, "stop_blend" },
    { 0x8E67, "stop_bobbing" },
    { 0x8E68, "stop_burke_ambush_slomo" },
    { 0x8E69, "stop_cafe_market_damb" },
    { 0x8E6A, "stop_camshake" },
    { 0x8E6B, "stop_car_alarm" },
    { 0x8E6C, "stop_civilian_conversation" },
    { 0x8E6D, "stop_constant_quake" },
    { 0x8E6E, "stop_crane_audio" },
    { 0x8E6F, "stop_current_animations" },
    { 0x8E70, "stop_diveboat_threads" },
    { 0x8E71, "stop_drone_death_static" },
    { 0x8E72, "stop_dynamic_run_speed" },
    { 0x8E73, "stop_dynamic_run_speed_wait" },
    { 0x8E74, "stop_ent_count" },
    { 0x8E75, "stop_ents" },
    { 0x8E76, "stop_exo_mute" },
    { 0x8E77, "stop_exo_ping" },
    { 0x8E78, "stop_exploder" },
    { 0x8E79, "stop_exploder_proc" },
    { 0x8E7A, "stop_fall_foley_audio" },
    { 0x8E7B, "stop_falling_debris_by_player" },
    { 0x8E7C, "stop_finale_fight_music" },
    { 0x8E7D, "stop_finale_h2h_music" },
    { 0x8E7E, "stop_firing" },
    { 0x8E7F, "stop_firing_for_death_anim" },
    { 0x8E80, "stop_flickering_fire_light" },
    { 0x8E81, "stop_flickering_hanger_light" },
    { 0x8E82, "stop_flickering_info_hallway_light" },
    { 0x8E83, "stop_flickering_info_light" },
    { 0x8E84, "stop_flickering_interior_light" },
    { 0x8E85, "stop_flickerlight" },
    { 0x8E86, "stop_fly" },
    { 0x8E87, "stop_front_thruster_light_rz" },
    { 0x8E88, "stop_fx_looper" },
    { 0x8E89, "stop_fx_on_death" },
    { 0x8E8A, "stop_generic_enemy_vo_chatter" },
    { 0x8E8B, "stop_generic_vo_chatter" },
    { 0x8E8C, "stop_hades_suv_extraction" },
    { 0x8E8D, "stop_handling_moving_platforms" },
    { 0x8E8E, "stop_hint" },
    { 0x8E8F, "stop_hint_mission_fail" },
    { 0x8E90, "stop_hovering_on_player_death" },
    { 0x8E91, "stop_hovering_on_unload" },
    { 0x8E92, "stop_idle_back_thruster_rz" },
    { 0x8E93, "stop_idle_front_thruster_rz" },
    { 0x8E94, "stop_idle_tread_front_rz" },
    { 0x8E95, "stop_ied_convoy_ambush_expl" },
    { 0x8E96, "stop_jammer_movie" },
    { 0x8E97, "stop_jetbike_handle_viewmodel_anims" },
    { 0x8E98, "stop_load" },
    { 0x8E99, "stop_look" },
    { 0x8E9A, "stop_loop_and_react" },
    { 0x8E9B, "stop_loop_sound_on_entity" },
    { 0x8E9C, "stop_looping_beep_on_player" },
    { 0x8E9D, "stop_loopsound" },
    { 0x8E9E, "stop_magic_bullet_shield" },
    { 0x8E9F, "stop_mg_behavior_if_flanked" },
    { 0x8EA0, "stop_monitor_cinematic" },
    { 0x8EA1, "stop_moving" },
    { 0x8EA2, "stop_notify" },
    { 0x8EA3, "stop_notify_string" },
    { 0x8EA4, "stop_player_climbing" },
    { 0x8EA5, "stop_player_mag_gloves" },
    { 0x8EA6, "stop_player_pushed_kill" },
    { 0x8EA7, "stop_player_scuba" },
    { 0x8EA8, "stop_player_underwater_breath" },
    { 0x8EA9, "stop_playerwatch_unresolved_collision" },
    { 0x8EAA, "stop_post_courtyard_ext_alarms_2" },
    { 0x8EAB, "stop_pulse_light" },
    { 0x8EAC, "stop_railgun_hud" },
    { 0x8EAD, "stop_reflector_effect" },
    { 0x8EAE, "stop_regular_back_thruster_rz" },
    { 0x8EAF, "stop_regular_front_thruster_rz" },
    { 0x8EB0, "stop_regular_tail_thruster_rz" },
    { 0x8EB1, "stop_regular_tread_back_rz" },
    { 0x8EB2, "stop_regular_tread_front_rz" },
    { 0x8EB3, "stop_replace_on_death" },
    { 0x8EB4, "stop_repulsor" },
    { 0x8EB5, "stop_reviving" },
    { 0x8EB6, "stop_rumble_on_notify" },
    { 0x8EB7, "stop_scramble_emergency_audio" },
    { 0x8EB8, "stop_scriptable_primary_light" },
    { 0x8EB9, "stop_scripted_move_and_attack" },
    { 0x8EBA, "stop_seeker_audio" },
    { 0x8EBB, "stop_shooting_ambulance_timer" },
    { 0x8EBC, "stop_shooting_timer" },
    { 0x8EBD, "stop_slow_mo" },
    { 0x8EBE, "stop_smoke_pillar_black_large_fast_fx" },
    { 0x8EBF, "stop_smoke_pillar_black_large_slow_fx" },
    { 0x8EC0, "stop_smoke_pillar_gray_large_fast_fx" },
    { 0x8EC1, "stop_sniper_drone" },
    { 0x8EC2, "stop_sniper_drone_zoom" },
    { 0x8EC3, "stop_sound" },
    { 0x8EC4, "stop_sparks" },
    { 0x8EC5, "stop_speaking" },
    { 0x8EC6, "stop_swarm_drones_context" },
    { 0x8EC7, "stop_the_fighting" },
    { 0x8EC8, "stop_trans_to_alleys_panic" },
    { 0x8EC9, "stop_turbine_elevator" },
    { 0x8ECA, "stop_turret_on_gunner_death" },
    { 0x8ECB, "stop_using_crate" },
    { 0x8ECC, "stop_vehicle_traffic_roundabout_straightways" },
    { 0x8ECD, "stop_videolog" },
    { 0x8ECE, "stop_vo_on_entity" },
    { 0x8ECF, "stop_vo_on_radio" },
    { 0x8ED0, "stop_wakefx" },
    { 0x8ED1, "stop_walk_and_clear_dialogue" },
    { 0x8ED2, "stop_wasp_missile_warning" },
    { 0x8ED3, "stop_water_warning" },
    { 0x8ED4, "stop_wave_mist_fx" },
    { 0x8ED5, "stop_zip_idle_anim" },
    { 0x8ED6, "stopadrenaline" },
    { 0x8ED7, "stopaiming" },
    { 0x8ED8, "stopbeameffects" },
    { 0x8ED9, "stopcontrail" },
    { 0x8EDA, "stopcranesound" },
    { 0x8EDB, "stopdamagefunc" },
    { 0x8EDC, "stopdnadronelights" },
    { 0x8EDD, "stopeffectonplayerview" },
    { 0x8EDE, "stopextrahealth" },
    { 0x8EDF, "stopfireeffects" },
    { 0x8EE0, "stopflashing" },
    { 0x8EE1, "stopfx_fordrop" },
    { 0x8EE2, "stopfxonattachment" },
    { 0x8EE3, "stopfxonnotify" },
    { 0x8EE4, "stopfxontag_functionhack" },
    { 0x8EE5, "stopfxontagdelay" },
    { 0x8EE6, "stopglow" },
    { 0x8EE7, "stopheligroundfx" },
    { 0x8EE8, "stophighlightingplayer" },
    { 0x8EE9, "stophighlightingplayerexplosive" },
    { 0x8EEA, "stopidlesound" },
    { 0x8EEB, "stoplasercontainmentend" },
    { 0x8EEC, "stoplasercontainmentswap" },
    { 0x8EED, "stoplasercoreevent" },
    { 0x8EEE, "stoplaserlights" },
    { 0x8EEF, "stoplasersounds" },
    { 0x8EF0, "stoplocationselection" },
    { 0x8EF1, "stoplookatidle" },
    { 0x8EF2, "stopmissileboostsounds" },
    { 0x8EF3, "stopmonitordamage" },
    { 0x8EF4, "stopmonitoringflash" },
    { 0x8EF5, "stopmovementsparks" },
    { 0x8EF6, "stopmovesound" },
    { 0x8EF7, "stoponback" },
    { 0x8EF8, "stopped" },
    { 0x8EF9, "stoppromptforstreaksupport" },
    { 0x8EFA, "stoprunngun" },
    { 0x8EFB, "stopscriptedanimations" },
    { 0x8EFC, "stopshortly" },
    { 0x8EFD, "stopshotgunpumpaftertime" },
    { 0x8EFE, "stopsounds_on_death" },
    { 0x8EFF, "stopthreateventtype" },
    { 0x8F00, "stoptickingsound" },
    { 0x8F01, "stopturret" },
    { 0x8F02, "stopusingremoteturret" },
    { 0x8F03, "stopusingturretwhennodelost" },
    { 0x8F04, "stopwarbirdenginefx" },
    { 0x8F05, "stopwarmupeffects" },
    { 0x8F06, "stopwarmupsounds" },
    { 0x8F07, "stopwatch" },
    { 0x8F08, "storage_vo" },
    { 0x8F09, "store_offsets_for_link" },
    { 0x8F0A, "store_players_weapons" },
    { 0x8F0B, "store_speed" },
    { 0x8F0C, "storecameratargets" },
    { 0x8F0D, "stored_clipsize" },
    { 0x8F0E, "stored_ents" },
    { 0x8F0F, "stored_stock" },
    { 0x8F10, "stored_variable_grenade" },
    { 0x8F11, "stored_variable_grenade_ui_type" },
    { 0x8F12, "stored_weapon" },
    { 0x8F13, "stored_weapons" },
    { 0x8F14, "storedangley" },
    { 0x8F15, "storedrightsticky" },
    { 0x8F16, "storependingreinforcement" },
    { 0x8F17, "str" },
    { 0x8F18, "strafeblendtimes" },
    { 0x8F19, "strafing_run_airstrike" },
    { 0x8F1A, "straighten_ship" },
    { 0x8F1B, "strain_accel_last_trigger" },
    { 0x8F1C, "strain_accel_time_since_trigger" },
    { 0x8F1D, "strategy_level" },
    { 0x8F1E, "streak_trams" },
    { 0x8F1F, "streakcustomization" },
    { 0x8F20, "streakname" },
    { 0x8F21, "streaknotifytracker" },
    { 0x8F22, "streakplayer" },
    { 0x8F23, "streakref" },
    { 0x8F24, "streakselectdowntracker" },
    { 0x8F25, "streakselectuptracker" },
    { 0x8F26, "streaksuppordisabledcount" },
    { 0x8F27, "streaksupportqueueallies" },
    { 0x8F28, "streaksupportqueueaxis" },
    { 0x8F29, "stream" },
    { 0x8F2A, "streamclassweapons" },
    { 0x8F2B, "streamprimaryweapons" },
    { 0x8F2C, "streamweapons" },
    { 0x8F2D, "street_battle_dialogue" },
    { 0x8F2E, "street_civilian_clean_up" },
    { 0x8F2F, "street_cleanup" },
    { 0x8F30, "street_enemy_blown_building_think" },
    { 0x8F31, "street_enemy_building_east_think" },
    { 0x8F32, "street_enemy_building_west_think" },
    { 0x8F33, "street_enemy_movement" },
    { 0x8F34, "street_enemy_tank_battle_think" },
    { 0x8F35, "street_enemy_tank_damaged_think" },
    { 0x8F36, "street_enemy_think" },
    { 0x8F37, "street_fight_after_snipe" },
    { 0x8F38, "street_fighter_check_function" },
    { 0x8F39, "street_fighters_gone_yet" },
    { 0x8F3A, "street_hanging_pipes_anim" },
    { 0x8F3B, "street_mechs" },
    { 0x8F3C, "street_mobile_cover_guys" },
    { 0x8F3D, "street_set_volume_from_pair" },
    { 0x8F3E, "street_train_function" },
    { 0x8F3F, "street_update_my_volume_think" },
    { 0x8F40, "street_volume_manager" },
    { 0x8F41, "street_wall_1_explode" },
    { 0x8F42, "street1_ingame" },
    { 0x8F43, "street1_teleportplayer" },
    { 0x8F44, "streetfighters_notify" },
    { 0x8F45, "streetmechs" },
    { 0x8F46, "streets_dialogue_manager" },
    { 0x8F47, "streets_main" },
    { 0x8F48, "strikegastrackingoverlay" },
    { 0x8F49, "strikerocketstoredangles" },
    { 0x8F4A, "strikerocketstoredposition" },
    { 0x8F4B, "strikespawnpoint" },
    { 0x8F4C, "strikewhitefade" },
    { 0x8F4D, "string" },
    { 0x8F4E, "string_explosive_bullet_shield" },
    { 0x8F4F, "string_find" },
    { 0x8F50, "string_is_single_digit_integer" },
    { 0x8F51, "string_starts_with" },
    { 0x8F52, "strings" },
    { 0x8F53, "stringtables" },
    { 0x8F54, "stringtofloat" },
    { 0x8F55, "strip_prefix" },
    { 0x8F56, "strip_suffix" },
    { 0x8F57, "strips" },
    { 0x8F58, "strips_disabled" },
    { 0x8F59, "strobelight" },
    { 0x8F5A, "struct" },
    { 0x8F5B, "struct_array_index" },
    { 0x8F5C, "struct_arrayspawn" },
    { 0x8F5D, "struct_class_init" },
    { 0x8F5E, "struct_class_names" },
    { 0x8F5F, "structarray_add" },
    { 0x8F60, "structarray_remove" },
    { 0x8F61, "structarray_remove_index" },
    { 0x8F62, "structarray_remove_undefined" },
    { 0x8F63, "structarray_shuffle" },
    { 0x8F64, "structarray_swap" },
    { 0x8F65, "structarray_swaptolast" },
    { 0x8F66, "stuckenemyentity" },
    { 0x8F67, "stuckmesh" },
    { 0x8F68, "stumbleonfirefx" },
    { 0x8F69, "stumblingpain" },
    { 0x8F6A, "stumblingpainanimseq" },
    { 0x8F6B, "stumblingpainnotetrackhandler" },
    { 0x8F6C, "stun_drone" },
    { 0x8F6D, "stun_duration" },
    { 0x8F6E, "stunned" },
    { 0x8F6F, "stunnedanimnumber" },
    { 0x8F70, "stunnedtime" },
    { 0x8F71, "stunscaler" },
    { 0x8F72, "style" },
    { 0x8F73, "stylized_center_text" },
    { 0x8F74, "stylized_fadeout" },
    { 0x8F75, "stylized_line" },
    { 0x8F76, "sub_line" },
    { 0x8F77, "subclass" },
    { 0x8F78, "subclass_elite" },
    { 0x8F79, "subclass_juggernaut" },
    { 0x8F7A, "subclass_mech" },
    { 0x8F7B, "subclass_regular" },
    { 0x8F7C, "subclass_riotshield" },
    { 0x8F7D, "subclass_spawn_functions" },
    { 0x8F7E, "subtitle_entry_num" },
    { 0x8F7F, "subtitles" },
    { 0x8F80, "subway_atlas_ceiling_breach" },
    { 0x8F81, "subway_atlas_cleanup" },
    { 0x8F82, "subway_atlas_post_scene" },
    { 0x8F83, "subway_auto_doors_init" },
    { 0x8F84, "subway_bomb_shake" },
    { 0x8F85, "subway_bombshakes" },
    { 0x8F86, "subway_civ_speaking_groups_setup" },
    { 0x8F87, "subway_civ_speaking_groups_setup_cg" },
    { 0x8F88, "subway_civilian_attach_props" },
    { 0x8F89, "subway_civilian_detach_props" },
    { 0x8F8A, "subway_civilian_init_props" },
    { 0x8F8B, "subway_civilians" },
    { 0x8F8C, "subway_close_all_doors" },
    { 0x8F8D, "subway_doors_closing" },
    { 0x8F8E, "subway_doors_opening" },
    { 0x8F8F, "subway_enter_spawn_civilians" },
    { 0x8F90, "subway_execution_scene" },
    { 0x8F91, "subway_execution_scene_cg" },
    { 0x8F92, "subway_exit_delete_civilians" },
    { 0x8F93, "subway_exit_lights" },
    { 0x8F94, "subway_gate_atlas_meetup_close" },
    { 0x8F95, "subway_gate_triggered" },
    { 0x8F96, "subway_handle_open_gate" },
    { 0x8F97, "subway_handle_player_weapon_in_scene" },
    { 0x8F98, "subway_meet_atlas_fov_shift_off" },
    { 0x8F99, "subway_meet_atlas_fov_shift_on" },
    { 0x8F9A, "subway_meet_atlas_show_hole_geo" },
    { 0x8F9B, "subway_open_all_cg_doors" },
    { 0x8F9C, "subway_open_all_doors" },
    { 0x8F9D, "subway_open_door" },
    { 0x8F9E, "subway_pa_message" },
    { 0x8F9F, "subway_roof_breach_end_slomo" },
    { 0x8FA0, "subway_roof_breach_start_slowmo" },
    { 0x8FA1, "subway_rotating_automatic_doors" },
    { 0x8FA2, "subway_section" },
    { 0x8FA3, "subway_setup_civilians" },
    { 0x8FA4, "subway_setup_civilians_cg" },
    { 0x8FA5, "subway_setup_dead_civilians_cg" },
    { 0x8FA6, "success" },
    { 0x8FA7, "successdetonateambushinteract" },
    { 0x8FA8, "successsetupambushtimer" },
    { 0x8FA9, "suicides" },
    { 0x8FAA, "suit" },
    { 0x8FAB, "sulfur_door_fx" },
    { 0x8FAC, "sulfursmokefx" },
    { 0x8FAD, "sun_flare" },
    { 0x8FAE, "sun_flare_funeral" },
    { 0x8FAF, "sun_flare_position" },
    { 0x8FB0, "sun_light_fade" },
    { 0x8FB1, "sun_light_reset" },
    { 0x8FB2, "sun_shad_cooling_tower_area" },
    { 0x8FB3, "sun_shad_cooling_tower_start" },
    { 0x8FB4, "sun_shad_exposure_control_room" },
    { 0x8FB5, "sun_shad_vision_fly_in" },
    { 0x8FB6, "sun_shadow_trigger" },
    { 0x8FB7, "sunbeginfadeangle" },
    { 0x8FB8, "sunbeginfadeangle_start" },
    { 0x8FB9, "sunblue" },
    { 0x8FBA, "sunblue_start" },
    { 0x8FBB, "sunbouncehdr" },
    { 0x8FBC, "sundark_call" },
    { 0x8FBD, "sundark_manage" },
    { 0x8FBE, "sundark_touched" },
    { 0x8FBF, "sundark_volume" },
    { 0x8FC0, "sundir" },
    { 0x8FC1, "sundir_start" },
    { 0x8FC2, "sunenable" },
    { 0x8FC3, "sunendfadeangle" },
    { 0x8FC4, "sunendfadeangle_start" },
    { 0x8FC5, "sunendfageangle" },
    { 0x8FC6, "sunflare" },
    { 0x8FC7, "sunflare_changes" },
    { 0x8FC8, "sunflare_settings" },
    { 0x8FC9, "sunflareswap" },
    { 0x8FCA, "sunfog_enabled" },
    { 0x8FCB, "sunfogenabled" },
    { 0x8FCC, "sungreen" },
    { 0x8FCD, "sungreen_start" },
    { 0x8FCE, "sunisprimary" },
    { 0x8FCF, "sunisprimarylight" },
    { 0x8FD0, "sunlighthdr" },
    { 0x8FD1, "sunradiosity" },
    { 0x8FD2, "sunradiosityhdr" },
    { 0x8FD3, "sunred" },
    { 0x8FD4, "sunred_start" },
    { 0x8FD5, "sunsamplesizenear" },
    { 0x8FD6, "sunshadowscale" },
    { 0x8FD7, "superexosettings" },
    { 0x8FD8, "superstarchallenge" },
    { 0x8FD9, "support_01_checkpoint" },
    { 0x8FDA, "supportbarsize" },
    { 0x8FDB, "supportbuddyspawn" },
    { 0x8FDC, "supportintel" },
    { 0x8FDD, "suppresionfire" },
    { 0x8FDE, "suppressed" },
    { 0x8FDF, "suppressed_exo_hover_vfx" },
    { 0x8FE0, "suppressedbehavior" },
    { 0x8FE1, "suppressedtime" },
    { 0x8FE2, "suppressingenemy" },
    { 0x8FE3, "suppressingfiretracking" },
    { 0x8FE4, "suppression_time" },
    { 0x8FE5, "suppressionstart" },
    { 0x8FE6, "suppressionthreshold" },
    { 0x8FE7, "suppressionwait_old" },
    { 0x8FE8, "suppresstimeout" },
    { 0x8FE9, "suppresswaiter" },
    { 0x8FEA, "surface" },
    { 0x8FEB, "surface_state" },
    { 0x8FEC, "surfaces" },
    { 0x8FED, "surprise_ambush_kva_team" },
    { 0x8FEE, "surprise_attack" },
    { 0x8FEF, "surprise_enemy" },
    { 0x8FF0, "surveillance_post_anims" },
    { 0x8FF1, "survivalistchallenge" },
    { 0x8FF2, "survivalstarttime" },
    { 0x8FF3, "survive" },
    { 0x8FF4, "surviveanimallowed" },
    { 0x8FF5, "surviveanimname" },
    { 0x8FF6, "survivorevent" },
    { 0x8FF7, "suspend_drive_anims" },
    { 0x8FF8, "suspend_driveanims" },
    { 0x8FF9, "suspend_sd_role" },
    { 0x8FFA, "suspensemusic" },
    { 0x8FFB, "swap" },
    { 0x8FFC, "swap_ai_to_drone" },
    { 0x8FFD, "swap_bike_to_static" },
    { 0x8FFE, "swap_brigde_anim_to_real" },
    { 0x8FFF, "swap_brigde_anim_to_real_far" },
    { 0x9000, "swap_cockpit_model" },
    { 0x9001, "swap_drone_to_ai" },
    { 0x9002, "swap_drones_attack_player" },
    { 0x9003, "swap_head_model" },
    { 0x9004, "swap_num" },
    { 0x9005, "swap_to_climbing_weapon" },
    { 0x9006, "swap_to_real_weapon" },
    { 0x9007, "swap_tree" },
    { 0x9008, "swap_world_model" },
    { 0x9009, "swapanim" },
    { 0x900A, "swapfogandfx" },
    { 0x900B, "swapfx" },
    { 0x900C, "swaptolastweapon" },
    { 0x900D, "swapwalldelayed" },
    { 0x900E, "swarm" },
    { 0x900F, "swarm_dot_override" },
    { 0x9010, "swarm_drone_hud_change" },
    { 0x9011, "swarm_drone_hud_off" },
    { 0x9012, "swarm_drone_hud_on" },
    { 0x9013, "swarm_last_player_pos" },
    { 0x9014, "swarm_los_body_behind_cover" },
    { 0x9015, "swarm_los_lock_duration_endtime" },
    { 0x9016, "swarm_los_overhead_blocked" },
    { 0x9017, "swarm_repulsor_body" },
    { 0x9018, "swarm_repulsor_foot" },
    { 0x9019, "swarm_repulsor_head" },
    { 0x901A, "swarm_scantime_override" },
    { 0x901B, "swarm_shoot_random_drone_at_ent" },
    { 0x901C, "swarm_spawned" },
    { 0x901D, "swarm_target_list" },
    { 0x901E, "sweapon" },
    { 0x901F, "sweep_range" },
    { 0x9020, "swim" },
    { 0x9021, "swim_anim_drown" },
    { 0x9022, "swim_anim_idle_loop" },
    { 0x9023, "swim_anim_loop" },
    { 0x9024, "swim_anim_loop_into" },
    { 0x9025, "swim_anim_offscreen" },
    { 0x9026, "swim_approachnode" },
    { 0x9027, "swim_approachpos" },
    { 0x9028, "swim_arms_model" },
    { 0x9029, "swim_begin" },
    { 0x902A, "swim_bounds_fail" },
    { 0x902B, "swim_cancelcurrentapproach" },
    { 0x902C, "swim_choosestart" },
    { 0x902D, "swim_cleanupturnanim" },
    { 0x902E, "swim_clearleananims" },
    { 0x902F, "swim_coverarrival_main" },
    { 0x9030, "swim_determineapproachanim" },
    { 0x9031, "swim_determineapproachanim3d" },
    { 0x9032, "swim_dofinalarrival" },
    { 0x9033, "swim_doposarrival" },
    { 0x9034, "swim_dostrafe" },
    { 0x9035, "swim_end" },
    { 0x9036, "swim_end_hide_viewarms" },
    { 0x9037, "swim_getangleindex" },
    { 0x9038, "swim_getanimstartpos" },
    { 0x9039, "swim_getapproachtype" },
    { 0x903A, "swim_getmaxanimdist" },
    { 0x903B, "swim_getstrafeblendtime" },
    { 0x903C, "swim_handlestartcoveraim" },
    { 0x903D, "swim_isapproachablenode" },
    { 0x903E, "swim_maymovefrompointtopoint" },
    { 0x903F, "swim_movebegin" },
    { 0x9040, "swim_moveend" },
    { 0x9041, "swim_null" },
    { 0x9042, "swim_path_targetname" },
    { 0x9043, "swim_pathchange_getturnanim" },
    { 0x9044, "swim_restartapproachlistener" },
    { 0x9045, "swim_scene_boat_sink" },
    { 0x9046, "swim_scene_boat_sink_bob" },
    { 0x9047, "swim_scene_boats" },
    { 0x9048, "swim_scene_chase_littlebird_patrol" },
    { 0x9049, "swim_scene_cleanup" },
    { 0x904A, "swim_scene_climb_out_water" },
    { 0x904B, "swim_scene_dock_destroy" },
    { 0x904C, "swim_scene_dock_guard_goal" },
    { 0x904D, "swim_scene_dock_guard_removal" },
    { 0x904E, "swim_scene_dock_guards" },
    { 0x904F, "swim_scene_handle_current" },
    { 0x9050, "swim_scene_handle_player_containment" },
    { 0x9051, "swim_scene_ilana_swim_on_path_behavior" },
    { 0x9052, "swim_scene_master_handler" },
    { 0x9053, "swim_scene_pre_setup" },
    { 0x9054, "swim_scene_scripted_destroyed_dock_hide" },
    { 0x9055, "swim_scene_setup" },
    { 0x9056, "swim_scene_swarm_kamikaze_attack" },
    { 0x9057, "swim_scene_swarm_movement" },
    { 0x9058, "swim_scene_swarm_setup" },
    { 0x9059, "swim_scene_warbird_fire_at_target_for_duration" },
    { 0x905A, "swim_setleananims" },
    { 0x905B, "swim_setstrafeaimset" },
    { 0x905C, "swim_setstrafeaimweights" },
    { 0x905D, "swim_setstrafeweights" },
    { 0x905E, "swim_setupapproach" },
    { 0x905F, "swim_shoulddonodeexit" },
    { 0x9060, "swim_startcoveraim" },
    { 0x9061, "swim_time_fail" },
    { 0x9062, "swim_track_forward_enter" },
    { 0x9063, "swim_track_forward_exit" },
    { 0x9064, "swim_track_set" },
    { 0x9065, "swim_track_strafe_enter" },
    { 0x9066, "swim_track_strafe_exit" },
    { 0x9067, "swim_updateleananim" },
    { 0x9068, "swim_updatestrafeaimanim" },
    { 0x9069, "swim_updatestrafeanim" },
    { 0x906A, "swim_waitforapproachpos" },
    { 0x906B, "swim_warbird" },
    { 0x906C, "swimming" },
    { 0x906D, "swimming_arms" },
    { 0x906E, "swimming_depth" },
    { 0x906F, "swimming_gravity_vel" },
    { 0x9070, "switch_back_to_player_weapon" },
    { 0x9071, "switch_node_now" },
    { 0x9072, "switch_path" },
    { 0x9073, "switch_rpg_weapon" },
    { 0x9074, "switch_to_last_weapon" },
    { 0x9075, "switch_to_melee" },
    { 0x9076, "switch_to_previous_weapon" },
    { 0x9077, "switchedweapons" },
    { 0x9078, "switching_teams" },
    { 0x9079, "switchtocloaked" },
    { 0x907A, "switchtolastweapon" },
    { 0x907B, "switchtosidearm" },
    { 0x907C, "switchtovisible" },
    { 0x907D, "switchweaponafterraiseanimation" },
    { 0x907E, "sync_anim_times_with_carrier" },
    { 0x907F, "sync_entity_damage" },
    { 0x9080, "sync_transients_after_time" },
    { 0x9081, "syncedmeleetarget2" },
    { 0x9082, "syncnotetrackent" },
    { 0x9083, "syncxpstat" },
    { 0x9084, "system_default_detect_ranges" },
    { 0x9085, "system_default_event_distances" },
    { 0x9086, "system_event_change" },
    { 0x9087, "system_handle_clipbrush" },
    { 0x9088, "system_init" },
    { 0x9089, "system_init_shadows" },
    { 0x908A, "system_message_loop" },
    { 0x908B, "system_save_processes" },
    { 0x908C, "system_set_detect_ranges" },
    { 0x908D, "system_set_event_distances" },
    { 0x908E, "system_state_check_no_enemy" },
    { 0x908F, "system_state_spotted" },
//  { 0x9090, "system_state_spotted_clear" },
    { 0x9091, "t" },
//  { 0x9092, "" },
//  { 0x9093, "" },
    { 0x9094, "table_combine" },
    { 0x9095, "table_getequipment" },
    { 0x9096, "table_getequipmentextra" },
    { 0x9097, "table_getkillstreak" },
    { 0x9098, "table_getkillstreakmodule" },
    { 0x9099, "table_getoffhand" },
    { 0x909A, "table_getoffhandextra" },
    { 0x909B, "table_getperk" },
    { 0x909C, "table_getteamperk" },
    { 0x909D, "table_getweapon" },
    { 0x909E, "table_getweaponattachment" },
    { 0x909F, "table_getweaponbuff" },
    { 0x90A0, "table_getweaponcamo" },
    { 0x90A1, "table_getweaponreticle" },
    { 0x90A2, "table_getwildcard" },
    { 0x90A3, "table_origins" },
    { 0x90A4, "table_pulldown" },
    { 0x90A5, "table_pulldown_distance_check" },
    { 0x90A6, "tablelookupweaponoffsets" },
    { 0x90A7, "tackle_handle_hint_display" },
    { 0x90A8, "tactical_goals" },
    { 0x90A9, "tactical_location" },
    { 0x90AA, "tactical_move_to_goal_pos" },
    { 0x90AB, "tactical_picker_enabled" },
    { 0x90AC, "tactics_model" },
    { 0x90AD, "tactics_objectives" },
    { 0x90AE, "tactics_objects" },
    { 0x90AF, "tactics_tools" },
    { 0x90B0, "tactics_type" },
    { 0x90B1, "tag_array" },
    { 0x90B2, "tag_bar_end_early" },
    { 0x90B3, "tag_current" },
    { 0x90B4, "tag_driver" },
    { 0x90B5, "tag_enemy" },
    { 0x90B6, "tag_ent" },
    { 0x90B7, "tag_getting" },
    { 0x90B8, "tag_idx" },
    { 0x90B9, "tag_left_foot" },
    { 0x90BA, "tag_left_hand" },
    { 0x90BB, "tag_monitor" },
    { 0x90BC, "tag_name" },
    { 0x90BD, "tag_offset" },
    { 0x90BE, "tag_outline_enemy" },
    { 0x90BF, "tag_player_view" },
    { 0x90C0, "tag_progress_bar" },
    { 0x90C1, "tag_project" },
    { 0x90C2, "tag_project_player" },
    { 0x90C3, "tag_right_foot" },
    { 0x90C4, "tag_right_hand" },
    { 0x90C5, "tag_scan_update" },
    { 0x90C6, "tag_screen_load" },
    { 0x90C7, "tag_screen_off" },
    { 0x90C8, "tag_screen_on" },
    { 0x90C9, "tag_shutdown_hp_threshold_array" },
    { 0x90CA, "tag_shutdown_order_array" },
    { 0x90CB, "tag_sound" },
    { 0x90CC, "tag_stowed_hip" },
    { 0x90CD, "tag_targ" },
    { 0x90CE, "tag_threat_detection" },
    { 0x90CF, "tag_trace_pulse" },
    { 0x90D0, "tag_trace_sound" },
    { 0x90D1, "tag_trace_state" },
    { 0x90D2, "tag_trace_track" },
    { 0x90D3, "tag_trace_update" },
    { 0x90D4, "tag_update_enemy_in_sights" },
    { 0x90D5, "tag_watcher" },
    { 0x90D6, "tag1" },
    { 0x90D7, "tag2" },
    { 0x90D8, "tagavailable" },
    { 0x90D9, "tagcollectorevent" },
    { 0x90DA, "tagcollectortotal" },
    { 0x90DB, "tagged" },
    { 0x90DC, "tagged_enemy_death_cleanup" },
    { 0x90DD, "tagged_enemy_update" },
    { 0x90DE, "tagged_status_hide" },
    { 0x90DF, "tagged_status_show" },
    { 0x90E0, "tagged_status_update" },
    { 0x90E1, "tagging" },
    { 0x90E2, "tagging_color" },
    { 0x90E3, "tagging_create_hud" },
    { 0x90E4, "tagging_create_hud_crosshair" },
    { 0x90E5, "tagging_enemy_list" },
    { 0x90E6, "tagging_highlight_hud_effect_apply" },
    { 0x90E7, "tagging_highlight_hud_effect_remove" },
    { 0x90E8, "tagging_hud_show_all" },
    { 0x90E9, "tagging_hud_show_minimal" },
    { 0x90EA, "tagging_hud_show_none" },
    { 0x90EB, "tagging_hud_shutdown" },
    { 0x90EC, "tagging_init_player" },
    { 0x90ED, "tagging_mode_begin" },
    { 0x90EE, "tagging_mode_end" },
    { 0x90EF, "tagging_mode_watcher" },
    { 0x90F0, "tagging_set_binocs_enabled" },
    { 0x90F1, "tagging_set_enabled" },
    { 0x90F2, "tagging_set_forced_mode" },
    { 0x90F3, "tagging_set_hint" },
    { 0x90F4, "tagging_set_hud_outline_style" },
    { 0x90F5, "tagging_set_marking_enabled" },
    { 0x90F6, "tagging_shutdown_player" },
    { 0x90F7, "tagging_sight_trace_passed" },
    { 0x90F8, "tagging_sight_trace_queue" },
    { 0x90F9, "tagging_sight_traced_queued" },
    { 0x90FA, "tagging_think" },
    { 0x90FB, "tagging_zoom_monitor" },
    { 0x90FC, "tagging_zoom_sound" },
    { 0x90FD, "tagging_zoom_transition" },
    { 0x90FE, "tagmarkedby" },
    { 0x90FF, "tags" },
    { 0x9100, "tags_seen" },
    { 0x9101, "tags_seen_by_owner" },
    { 0x9102, "tagtarget" },
    { 0x9103, "tagteamupdater" },
    { 0x9104, "take_car_door_shields" },
    { 0x9105, "take_color_node" },
    { 0x9106, "take_color_node_until_death" },
    { 0x9107, "take_cover_warning" },
    { 0x9108, "take_cover_warning_loop" },
    { 0x9109, "take_cover_warnings_enabled" },
    { 0x910A, "take_every_grenade_now" },
    { 0x910B, "take_exo_cloak" },
    { 0x910C, "take_exo_health" },
    { 0x910D, "take_exo_hover" },
    { 0x910E, "take_exo_mute" },
    { 0x910F, "take_exo_overclock" },
    { 0x9110, "take_exo_ping" },
    { 0x9111, "take_exo_repulsor" },
    { 0x9112, "take_exo_shield" },
    { 0x9113, "take_knife_when_done" },
    { 0x9114, "take_prebreach_weapons" },
    { 0x9115, "take_selfie" },
    { 0x9116, "take_water_weapon" },
    { 0x9117, "take_weapon_delayed" },
    { 0x9118, "takeandkillevent" },
    { 0x9119, "takedown_01_complete" },
    { 0x911A, "takedown_01_complete_dialogue" },
    { 0x911B, "takedown_01_dialogue" },
    { 0x911C, "takedown_button" },
    { 0x911D, "takedown_door" },
    { 0x911E, "takedown_hint_off" },
    { 0x911F, "takedown_qte" },
    { 0x9120, "takedown_qte_middle" },
    { 0x9121, "takedown_truck_lights_off" },
    { 0x9122, "takedown_trunk" },
    { 0x9123, "takedown_underwater_portion" },
    { 0x9124, "takedownenemy1" },
    { 0x9125, "takekillstreakweaponifnodupe" },
    { 0x9126, "takekillstreakweapons" },
    { 0x9127, "takeobject" },
    { 0x9128, "takeoffhand" },
    { 0x9129, "takeover_warbird_turret_buddy" },
    { 0x912A, "takeuseweapon" },
    { 0x912B, "talk_for_time" },
    { 0x912C, "talker" },
    { 0x912D, "talker_is_talking_currently" },
    { 0x912E, "talker_origin" },
    { 0x912F, "tangent" },
    { 0x9130, "tank" },
    { 0x9131, "tank_ascent" },
    { 0x9132, "tank_ascent_dialogue" },
    { 0x9133, "tank_ascent_logic" },
    { 0x9134, "tank_attack" },
    { 0x9135, "tank_battle_rpg_enemy_think" },
    { 0x9136, "tank_board" },
    { 0x9137, "tank_board_dialogue" },
    { 0x9138, "tank_board_enter" },
    { 0x9139, "tank_board_enter_top_lights" },
    { 0x913A, "tank_board_logic" },
    { 0x913B, "tank_checkpoint_engine" },
    { 0x913C, "tank_clearing_dialogue" },
    { 0x913D, "tank_clearing2_littlebird" },
    { 0x913E, "tank_clearing3_littlebird" },
    { 0x913F, "tank_combat_littlebird_damage_function" },
    { 0x9140, "tank_combat_littlebird_think" },
    { 0x9141, "tank_combat_vehicle_damage_feedback" },
    { 0x9142, "tank_combat_vrap" },
    { 0x9143, "tank_combat_vrap_deactivate_on_unload" },
    { 0x9144, "tank_combat_warbird_damage_function" },
    { 0x9145, "tank_combat_warbird_kill_is_crew_killed" },
    { 0x9146, "tank_combat_warbird_liftoff_think" },
    { 0x9147, "tank_combat_warbird_orient_to_open_fire" },
    { 0x9148, "tank_combat_warbird_think" },
    { 0x9149, "tank_count" },
    { 0x914A, "tank_courtyard_dialogue" },
    { 0x914B, "tank_courtyard_gate_dialogue" },
    { 0x914C, "tank_damage_detection" },
    { 0x914D, "tank_disabled" },
    { 0x914E, "tank_end" },
    { 0x914F, "tank_exfil_charges_going_off" },
    { 0x9150, "tank_exfil_detonate" },
    { 0x9151, "tank_exit" },
    { 0x9152, "tank_exit_dialogue" },
    { 0x9153, "tank_exit_dof_reset" },
    { 0x9154, "tank_field" },
    { 0x9155, "tank_field_choppers_dialogue" },
    { 0x9156, "tank_field_dialogue" },
    { 0x9157, "tank_field_lft_frk" },
    { 0x9158, "tank_field_logic" },
    { 0x9159, "tank_field_nightvision" },
    { 0x915A, "tank_field_rgt_frk" },
    { 0x915B, "tank_field_vraps_dialogue" },
    { 0x915C, "tank_fire_missile" },
    { 0x915D, "tank_hangar" },
    { 0x915E, "tank_hangar_dialogue" },
    { 0x915F, "tank_hangar_door_close" },
    { 0x9160, "tank_hangar_door_open" },
    { 0x9161, "tank_hangar_logic" },
    { 0x9162, "tank_hangar_pas_dialogue" },
    { 0x9163, "tank_hide_icon" },
    { 0x9164, "tank_idle" },
    { 0x9165, "tank_missile_react" },
    { 0x9166, "tank_missile_set_target" },
    { 0x9167, "tank_no_target_time" },
    { 0x9168, "tank_queue" },
    { 0x9169, "tank_reloading_dialogue" },
    { 0x916A, "tank_reveal_lighting" },
    { 0x916B, "tank_reveal_models" },
    { 0x916C, "tank_reveal_models_start_point" },
    { 0x916D, "tank_road" },
    { 0x916E, "tank_road_dialogue" },
    { 0x916F, "tank_road_enemy_tank_dialogue" },
    { 0x9170, "tank_road_enemy_think" },
    { 0x9171, "tank_road_littlebird" },
    { 0x9172, "tank_road_logic" },
    { 0x9173, "tank_road_tank_killed_dialogue" },
    { 0x9174, "tank_run" },
    { 0x9175, "tank_screens_boot_up" },
    { 0x9176, "tank_section_vehicles_spawned" },
    { 0x9177, "tank_shack_destruct" },
    { 0x9178, "tank_shoot_generic" },
    { 0x9179, "tank_shoot_time" },
    { 0x917A, "tank_show_icon" },
    { 0x917B, "tank_status_dialogue" },
    { 0x917C, "tank_systems_dialogue" },
    { 0x917D, "tank_trail" },
    { 0x917E, "tank_turrent_reflection" },
    { 0x917F, "tank_wait_flag_time" },
    { 0x9180, "tanker_crash" },
    { 0x9181, "tanker_drone_flood" },
    { 0x9182, "tanker_exploded" },
    { 0x9183, "tanker_fire_hurt_trigger" },
    { 0x9184, "tanker_fireball" },
    { 0x9185, "tanker_mountain_crash" },
    { 0x9186, "tanker_mountain_crash2" },
    { 0x9187, "tanker_roll_explosion" },
    { 0x9188, "tanker_skid_impacts" },
    { 0x9189, "tankgetout" },
    { 0x918A, "tankkilled" },
    { 0x918B, "tanks" },
    { 0x918C, "tanksquish" },
    { 0x918D, "tanksquish_damage_check" },
    { 0x918E, "tanktrail" },
    { 0x918F, "tappackagethink" },
    { 0x9190, "targent" },
    { 0x9191, "target_air_space" },
    { 0x9192, "target_array" },
    { 0x9193, "target_blink_out" },
    { 0x9194, "target_center_off" },
    { 0x9195, "target_confirm" },
    { 0x9196, "target_cycleshader" },
    { 0x9197, "target_drone_damager" },
    { 0x9198, "target_enhancer_think" },
    { 0x9199, "target_ent" },
    { 0x919A, "target_ent_cleanup" },
    { 0x919B, "target_entity" },
    { 0x919C, "target_fov" },
    { 0x919D, "target_from_avatar" },
    { 0x919E, "target_handle_death" },
    { 0x919F, "target_handle_stop" },
    { 0x91A0, "target_handler" },
    { 0x91A1, "target_is_in_front" },
    { 0x91A2, "target_lifetime" },
    { 0x91A3, "target_list" },
    { 0x91A4, "target_lock_change_func" },
    { 0x91A5, "target_lock_targets" },
    { 0x91A6, "target_logic" },
    { 0x91A7, "target_marked" },
    { 0x91A8, "target_min_range" },
    { 0x91A9, "target_move_dist" },
    { 0x91AA, "target_name" },
    { 0x91AB, "target_org" },
    { 0x91AC, "target_position" },
    { 0x91AD, "target_radius" },
    { 0x91AE, "target_reset" },
    { 0x91AF, "target_score" },
    { 0x91B0, "target_setsafe" },
    { 0x91B1, "target_setshadersafe" },
    { 0x91B2, "target_spawn_in" },
    { 0x91B3, "target_spawn_out" },
    { 0x91B4, "target_stencil" },
    { 0x91B5, "target_still_valid" },
    { 0x91B6, "target_swarm" },
    { 0x91B7, "target_track" },
    { 0x91B8, "target_units_per_second" },
    { 0x91B9, "target_valid_targets" },
    { 0x91BA, "targetangularacceleration" },
    { 0x91BB, "targetattacker" },
    { 0x91BC, "targetavatar" },
    { 0x91BD, "targetdefault" },
    { 0x91BE, "targetdest" },
    { 0x91BF, "targetdot" },
    { 0x91C0, "targetedent" },
    { 0x91C1, "targetenemy" },
    { 0x91C2, "targetent" },
    { 0x91C3, "targetentpos" },
    { 0x91C4, "targetgetdist" },
    { 0x91C5, "targeting_delay" },
    { 0x91C6, "targeting_hud_destroy" },
    { 0x91C7, "targeting_hud_init" },
    { 0x91C8, "targeting_hud_think" },
    { 0x91C9, "targetinsafevolume" },
    { 0x91CA, "targetisclose" },
    { 0x91CB, "targetisinfront" },
    { 0x91CC, "targetlist" },
    { 0x91CD, "targetmarked" },
    { 0x91CE, "targetmonitor" },
    { 0x91CF, "targetplaydeath" },
    { 0x91D0, "targetplayer" },
    { 0x91D1, "targetpos" },
    { 0x91D2, "targets" },
    { 0x91D3, "targets_and_uses_turret" },
    { 0x91D4, "targetspreadshooting" },
    { 0x91D5, "targetzoff" },
    { 0x91D6, "tc_ai_clip_blocker" },
    { 0x91D7, "tc_door_to_stairs_closer" },
    { 0x91D8, "tc_manticore_ally_traverse" },
    { 0x91D9, "tc_setup_door" },
    { 0x91DA, "tc_side_door_movement" },
    { 0x91DB, "tc_uv_rumble" },
    { 0x91DC, "tcah_doors" },
    { 0x91DD, "tcah_node" },
    { 0x91DE, "team_move_hospital" },
    { 0x91DF, "team_specific_spawn_functions" },
    { 0x91E0, "team1" },
    { 0x91E1, "team2" },
    { 0x91E2, "teambalance" },
    { 0x91E3, "teambase" },
    { 0x91E4, "teambased" },
    { 0x91E5, "teamchangedthisframe" },
    { 0x91E6, "teamcount" },
    { 0x91E7, "teamemped" },
    { 0x91E8, "teamflags" },
    { 0x91E9, "teamflashbangimmune" },
    { 0x91EA, "teamflashbangimmunity" },
    { 0x91EB, "teamkilldelay" },
    { 0x91EC, "teamkillsthisround" },
    { 0x91ED, "teamlimit" },
    { 0x91EE, "teamlist" },
    { 0x91EF, "teamname" },
    { 0x91F0, "teamnamelist" },
    { 0x91F1, "teamnukeemped" },
    { 0x91F2, "teamoutcomenotify" },
    { 0x91F3, "teamplayercardsplash" },
    { 0x91F4, "teamprogressbarfontsize" },
    { 0x91F5, "teamprogressbarheight" },
    { 0x91F6, "teamprogressbartexty" },
    { 0x91F7, "teamprogressbarwidth" },
    { 0x91F8, "teamprogressbary" },
    { 0x91F9, "teams" },
    { 0x91FA, "teamspawnpoints" },
    { 0x91FB, "teamsplash" },
    { 0x91FC, "teamswap" },
    { 0x91FD, "teamthreatcalloutlimittimeout" },
    { 0x91FE, "teamtweaks" },
    { 0x91FF, "teamusetexts" },
    { 0x9200, "teamusetimes" },
    { 0x9201, "technical_pain" },
    { 0x9202, "tele_orgs" },
    { 0x9203, "telefrag_behavior" },
    { 0x9204, "teleport_add_delta" },
    { 0x9205, "teleport_add_delta_targets" },
    { 0x9206, "teleport_ahead" },
    { 0x9207, "teleport_ai" },
    { 0x9208, "teleport_ai_rooftop" },
    { 0x9209, "teleport_allowed" },
    { 0x920A, "teleport_bones_and_joker" },
    { 0x920B, "teleport_building_jump" },
    { 0x920C, "teleport_burke_to_alley" },
    { 0x920D, "teleport_change_targetname" },
    { 0x920E, "teleport_closest_zone" },
    { 0x920F, "teleport_delta_this_frame" },
    { 0x9210, "teleport_dom_finished_initializing" },
    { 0x9211, "teleport_dom_post_bot_cleanup" },
    { 0x9212, "teleport_ent" },
    { 0x9213, "teleport_filter_spawn_point" },
    { 0x9214, "teleport_gamemode_disable_teleport" },
    { 0x9215, "teleport_gamemode_func" },
    { 0x9216, "teleport_get_active_nodes" },
    { 0x9217, "teleport_get_active_pathnode_zones" },
    { 0x9218, "teleport_get_care_packages" },
    { 0x9219, "teleport_get_deployable_boxes" },
    { 0x921A, "teleport_get_matching_dom_flag" },
    { 0x921B, "teleport_get_safe_node_near" },
    { 0x921C, "teleport_include_killsteaks" },
    { 0x921D, "teleport_include_killstreaks" },
    { 0x921E, "teleport_include_players" },
    { 0x921F, "teleport_init" },
    { 0x9220, "teleport_init_spawn_info" },
    { 0x9221, "teleport_is_valid_zone" },
    { 0x9222, "teleport_minimaps" },
    { 0x9223, "teleport_nodes_in_zone" },
    { 0x9224, "teleport_notify_death" },
    { 0x9225, "teleport_onstartgameball" },
    { 0x9226, "teleport_onstartgameconf" },
    { 0x9227, "teleport_onstartgamectf" },
    { 0x9228, "teleport_onstartgamedom" },
    { 0x9229, "teleport_onstartgamehorde" },
    { 0x922A, "teleport_onstartgamehp" },
    { 0x922B, "teleport_onstartgametype" },
    { 0x922C, "teleport_onteleportball" },
    { 0x922D, "teleport_onteleportconf" },
    { 0x922E, "teleport_onteleportctf" },
    { 0x922F, "teleport_onteleportdom" },
    { 0x9230, "teleport_onteleporthp" },
    { 0x9231, "teleport_origin_use_nodes" },
    { 0x9232, "teleport_origin_use_offset" },
    { 0x9233, "teleport_origins" },
    { 0x9234, "teleport_parse_zone_targets" },
    { 0x9235, "teleport_pathnode_zones" },
    { 0x9236, "teleport_place_on_ground" },
    { 0x9237, "teleport_player" },
    { 0x9238, "teleport_players" },
    { 0x9239, "teleport_post_funcs" },
    { 0x923A, "teleport_pre_funcs" },
    { 0x923B, "teleport_pre_onstartgamesd" },
    { 0x923C, "teleport_pre_onstartgamesd_and_sr" },
    { 0x923D, "teleport_pre_onstartgamesr" },
    { 0x923E, "teleport_restore_targetname" },
    { 0x923F, "teleport_self_add_delta" },
    { 0x9240, "teleport_self_add_delta_targets" },
    { 0x9241, "teleport_set_current_zone" },
    { 0x9242, "teleport_set_minimap_for_zone" },
    { 0x9243, "teleport_set_post_func" },
    { 0x9244, "teleport_set_pre_func" },
    { 0x9245, "teleport_spawn_info" },
    { 0x9246, "teleport_to_ent_tag" },
    { 0x9247, "teleport_to_nodes" },
    { 0x9248, "teleport_to_offset" },
    { 0x9249, "teleport_to_scriptstruct" },
    { 0x924A, "teleport_to_struct" },
    { 0x924B, "teleport_to_zone" },
    { 0x924C, "teleport_to_zone_agents" },
    { 0x924D, "teleport_to_zone_character" },
    { 0x924E, "teleport_to_zone_killstreaks" },
    { 0x924F, "teleport_to_zone_players" },
    { 0x9250, "teleport_validate_success" },
    { 0x9251, "teleport_zone" },
    { 0x9252, "teleport_zone_current" },
    { 0x9253, "teleport_zones" },
    { 0x9254, "teleported_to_path_section" },
    { 0x9255, "teleportgetactivenodesfunc" },
    { 0x9256, "teleportgetactivepathnodezonesfunc" },
    { 0x9257, "teleportthread" },
    { 0x9258, "teleportthreadex" },
    { 0x9259, "television" },
    { 0x925A, "temp_bink_stuff" },
    { 0x925B, "temp_clip_delete" },
    { 0x925C, "temp_cloak_gauge" },
    { 0x925D, "temp_dialogue" },
    { 0x925E, "temp_dialogue_fade" },
    { 0x925F, "temp_diveboat_weapon_gauge" },
    { 0x9260, "temp_dog_bark" },
    { 0x9261, "temp_dog_sfx" },
    { 0x9262, "temp_exoclimb_hud" },
    { 0x9263, "temp_exoclimb_hud_check_array" },
    { 0x9264, "temp_exoclimb_hud_hide" },
    { 0x9265, "temp_exoclimb_hud_init" },
    { 0x9266, "temp_exoclimb_hud_precache" },
    { 0x9267, "temp_exoclimb_hud_thread" },
    { 0x9268, "temp_friendly_squad_casual_walk" },
    { 0x9269, "temp_handle_fob_anim_scene" },
    { 0x926A, "temp_noise" },
    { 0x926B, "temp_subtitle" },
    { 0x926C, "temp_tag" },
    { 0x926D, "temp_think" },
    { 0x926E, "temperature_deep_caves" },
    { 0x926F, "temperature_high_alt" },
    { 0x9270, "temperature_high_alt_wind" },
    { 0x9271, "temperature_indoor" },
    { 0x9272, "temperature_outdoor" },
    { 0x9273, "temperature_water" },
    { 0x9274, "template_level" },
    { 0x9275, "template_script" },
    { 0x9276, "template_so_level" },
    { 0x9277, "templates" },
    { 0x9278, "temporary_disable_pain" },
    { 0x9279, "temporary_sentinel_reveal_timing" },
    { 0x927A, "temptarget" },
    { 0x927B, "tennis_court" },
    { 0x927C, "tennis_court_alert_vo" },
    { 0x927D, "tennis_court_ball_cleanup" },
    { 0x927E, "tennis_court_ball_launcher" },
    { 0x927F, "tennis_court_ball_launcher_logic" },
    { 0x9280, "tennis_court_computer_line_done" },
    { 0x9281, "tennis_court_computer_talking" },
    { 0x9282, "tennis_court_floor" },
    { 0x9283, "tennis_court_lights_dimmed" },
    { 0x9284, "tennis_court_lights_intial" },
    { 0x9285, "tennis_court_lights_on" },
    { 0x9286, "tennis_court_nags" },
    { 0x9287, "tennis_court_origin" },
    { 0x9288, "tennis_court_player_brackets" },
    { 0x9289, "tennis_court_player_brackets_internal" },
    { 0x928A, "tennis_court_trigger" },
    { 0x928B, "tent_scene_civilians_01" },
    { 0x928C, "tent_scene_civilians_02" },
    { 0x928D, "ter_op" },
    { 0x928E, "terminal_hum_01" },
    { 0x928F, "terminal_hum_02" },
    { 0x9290, "terrace_turret_fx" },
    { 0x9291, "terracecustomkillstreakfunc" },
    { 0x9292, "terracecustomospfunc" },
    { 0x9293, "tess" },
    { 0x9294, "tess_init" },
    { 0x9295, "tess_set_goal" },
    { 0x9296, "tess_update" },
    { 0x9297, "test" },
    { 0x9298, "test_chamber_body_pushes" },
    { 0x9299, "test_chamber_exit_door" },
    { 0x929A, "test_chamber_exit_door_notetrack" },
    { 0x929B, "test_chamber_stairs_up_door" },
    { 0x929C, "test_chamber_stairs_up_door_notetrack" },
    { 0x929D, "test_chamber_stairs_up_door_swipe_sfx_notetrack" },
    { 0x929E, "test_col_points_in_segment" },
    { 0x929F, "test_lines" },
    { 0x92A0, "test_look_b" },
    { 0x92A1, "test_look_c" },
    { 0x92A2, "test_pathing" },
    { 0x92A3, "test_sun_flare" },
    { 0x92A4, "test_tag" },
    { 0x92A5, "test_trace" },
    { 0x92A6, "test_trace_tag" },
    { 0x92A7, "test_zipline" },
    { 0x92A8, "testfx" },
    { 0x92A9, "testmenu" },
    { 0x92AA, "testshock" },
    { 0x92AB, "text" },
    { 0x92AC, "text_glow_adjust" },
    { 0x92AD, "text_incoming" },
    { 0x92AE, "text_incoming_x" },
    { 0x92AF, "text_incoming_y" },
    { 0x92B0, "text_list" },
    { 0x92B1, "text_x" },
    { 0x92B2, "text_y" },
    { 0x92B3, "text2label" },
    { 0x92B4, "textalpha" },
    { 0x92B5, "textglowcolor" },
    { 0x92B6, "textid" },
    { 0x92B7, "textisstring" },
    { 0x92B8, "textlabel" },
    { 0x92B9, "textoffline" },
    { 0x92BA, "textscale" },
    { 0x92BB, "textstring" },
    { 0x92BC, "tff_ally_check" },
    { 0x92BD, "tff_blocker_caves" },
    { 0x92BE, "tff_blocker_incinerator" },
    { 0x92BF, "tff_blocker_incinerator_to_helipad" },
    { 0x92C0, "tff_blockers" },
    { 0x92C1, "tff_cleanup_canal_boats" },
    { 0x92C2, "tff_cleanup_tour_ride_ambient_vehicles" },
    { 0x92C3, "tff_cleanup_vehicle" },
    { 0x92C4, "tff_get_zone_cleanup_notify" },
    { 0x92C5, "tff_get_zone_unload_notify" },
    { 0x92C6, "tff_setup_blocker_hangar_backtrack" },
    { 0x92C7, "tff_setup_blocker_hangar_load" },
    { 0x92C8, "tff_setup_blockers" },
    { 0x92C9, "tff_setup_start_points" },
    { 0x92CA, "tff_setup_transitions" },
    { 0x92CB, "tff_setups" },
    { 0x92CC, "tff_spawn_vehicles_conf_center" },
    { 0x92CD, "tff_start_points" },
    { 0x92CE, "tff_sync" },
    { 0x92CF, "tff_sync_notetrack" },
    { 0x92D0, "tff_sync_setup" },
    { 0x92D1, "tff_trans_ally_check_active" },
    { 0x92D2, "tff_trans_ally_check_count" },
    { 0x92D3, "tff_trans_ally_check_touching" },
    { 0x92D4, "tff_trans_atlas_building_to_old_town" },
    { 0x92D5, "tff_trans_autopsy_halls_to_autopsy" },
    { 0x92D6, "tff_trans_briefing_to_cliffs" },
    { 0x92D7, "tff_trans_canals_to_finale" },
    { 0x92D8, "tff_trans_caves_to_lake" },
    { 0x92D9, "tff_trans_cliffs_to_lower" },
    { 0x92DA, "tff_trans_escape_to_test_chamber" },
    { 0x92DB, "tff_trans_incinerator_to_helipad" },
    { 0x92DC, "tff_trans_intro_drive_to_s2walk" },
    { 0x92DD, "tff_trans_intro_to_middle" },
    { 0x92DE, "tff_trans_load_autopsy_halls" },
    { 0x92DF, "tff_trans_load_bigm" },
    { 0x92E0, "tff_trans_load_escape" },
    { 0x92E1, "tff_trans_lower_to_upper" },
    { 0x92E2, "tff_trans_middle_to_outro" },
    { 0x92E3, "tff_trans_middle_to_outro_ally_check" },
    { 0x92E4, "tff_trans_middle_to_outro_ally_touching" },
    { 0x92E5, "tff_trans_old_town_to_canals" },
    { 0x92E6, "tff_trans_s2walk_to_interrogate" },
    { 0x92E7, "tff_trans_site_to_caves" },
    { 0x92E8, "tff_trans_tour_augmented_reality_to_training" },
    { 0x92E9, "tff_trans_tour_exo_to_tour_firing_range" },
    { 0x92EA, "tff_trans_tour_firing_range_to_tour_augmented_reality" },
    { 0x92EB, "tff_trans_tour_ride_to_tour_exo" },
    { 0x92EC, "tff_trans_training_to_tour_ride" },
    { 0x92ED, "tff_trans_unload_interrogate" },
    { 0x92EE, "tff_trans_unload_test_chamber" },
    { 0x92EF, "tff_trans_upper_to_lower_cliffs" },
    { 0x92F0, "tff_transitions" },
    { 0x92F1, "tff_vehicles" },
    { 0x92F2, "tgt_camoffset_ratio" },
    { 0x92F3, "tgt_values" },
    { 0x92F4, "tgtdangle" },
    { 0x92F5, "tgtdelta" },
    { 0x92F6, "theres_the_convoy_vo" },
    { 0x92F7, "thermal_effectsoff" },
    { 0x92F8, "thermal_effectson" },
    { 0x92F9, "thermal_tracker" },
    { 0x92FA, "thermal_with_nvg" },
    { 0x92FB, "thermaldrawenabledrone" },
    { 0x92FC, "thermaloff_vianotify" },
    { 0x92FD, "thermalvision" },
    { 0x92FE, "thermite_grenade_1_fx" },
    { 0x92FF, "thermite_grenade_2_fx" },
    { 0x9300, "thermite_grenade_3_fx" },
    { 0x9301, "thermite_servers_explosion" },
    { 0x9302, "thin_out_navy_guys" },
    { 0x9303, "thin_the_herd" },
    { 0x9304, "thing" },
    { 0x9305, "think" },
    { 0x9306, "think_player_blast_walk_anims" },
    { 0x9307, "thinkallyinfiltrator" },
    { 0x9308, "thinkambushenemy" },
    { 0x9309, "thinkfastevent" },
    { 0x930A, "thinkmeetingcivilian" },
    { 0x930B, "thinkpatrolenemy" },
    { 0x930C, "thread_delay_s" },
    { 0x930D, "threaded_anim_roundabout_rappel" },
    { 0x930E, "threadedsetweaponstatbyname" },
    { 0x930F, "threads" },
    { 0x9310, "threat" },
    { 0x9311, "threat_attack" },
    { 0x9312, "threat_bias_canal_think" },
    { 0x9313, "threat_bias_remove_delay" },
    { 0x9314, "threat_bias_silo_think" },
    { 0x9315, "threat_detection_style" },
    { 0x9316, "threat_grenade_response_is_on" },
    { 0x9317, "threat_init" },
    { 0x9318, "threat_level" },
    { 0x9319, "threat_list" },
    { 0x931A, "threat_paint_highlight_hud_effect" },
    { 0x931B, "threat_paint_hud_effect" },
    { 0x931C, "threat_scan" },
    { 0x931D, "threat_stance" },
    { 0x931E, "threat_visible_time" },
    { 0x931F, "threatbiasgroupname" },
    { 0x9320, "threatcallouts" },
    { 0x9321, "threatcallouttracking" },
    { 0x9322, "threatdog" },
    { 0x9323, "threatent" },
    { 0x9324, "threatinfantry" },
    { 0x9325, "threatinfantry_docalloutlocation" },
    { 0x9326, "threatinfantryexposed" },
    { 0x9327, "threatinfantryrpg" },
    { 0x9328, "threatisviable" },
    { 0x9329, "threatnotificationoverlayflash" },
    { 0x932A, "threats" },
    { 0x932B, "threatsightdelay" },
    { 0x932C, "threattype" },
    { 0x932D, "threatwasalreadycalledout" },
    { 0x932E, "threecaptime" },
    { 0x932F, "threw_ninebang" },
    { 0x9330, "threwback" },
    { 0x9331, "throttle_input" },
    { 0x9332, "throwbackkillevent" },
    { 0x9333, "throwdownweapon" },
    { 0x9334, "throwgrenadeatplayerasap" },
    { 0x9335, "throwgrenadeatplayerasap_combat_utility" },
    { 0x9336, "throwgun" },
    { 0x9337, "throwinggrenade" },
    { 0x9338, "thrown_semtex_grenades" },
    { 0x9339, "thrusters_angle_current" },
    { 0x933A, "thrusters_angle_goal" },
    { 0x933B, "thrusters_fx_amount" },
    { 0x933C, "thunder" },
    { 0x933D, "ti_spawn" },
    { 0x933E, "tickingobject" },
    { 0x933F, "ticks" },
    { 0x9340, "tidal_wave_notetracks" },
    { 0x9341, "tigger_hurt_rotor" },
    { 0x9342, "tilt_boat" },
    { 0x9343, "time_accel" },
    { 0x9344, "time_and_distance_of_closest_approach" },
    { 0x9345, "time_array" },
    { 0x9346, "time_before_attack" },
    { 0x9347, "time_before_move" },
    { 0x9348, "time_between_attacks" },
    { 0x9349, "time_breaking" },
    { 0x934A, "time_constant" },
    { 0x934B, "time_display_array" },
    { 0x934C, "time_last_turret_accel" },
    { 0x934D, "time_of_hovertank_fire" },
    { 0x934E, "time_passed" },
    { 0x934F, "time_pitching_hard" },
    { 0x9350, "time_remaining" },
    { 0x9351, "time_spent_hiding" },
    { 0x9352, "time_turret_accel_started" },
    { 0x9353, "time_turret_accelerating" },
    { 0x9354, "time_turret_rotating" },
    { 0x9355, "time_turret_started_rotating" },
    { 0x9356, "timebetweenshots" },
    { 0x9357, "timebomb" },
    { 0x9358, "timebombparticle" },
    { 0x9359, "timed_charges_vo" },
    { 0x935A, "timed_out" },
    { 0x935B, "timednotify" },
    { 0x935C, "timehack" },
    { 0x935D, "timelimitclock" },
    { 0x935E, "timelimitclock_intermission" },
    { 0x935F, "timelimitoverride" },
    { 0x9360, "timelimitthread" },
    { 0x9361, "timeoflastdamage" },
    { 0x9362, "timeofmaincqbupdate" },
    { 0x9363, "timeofnextsound" },
    { 0x9364, "timeout" },
    { 0x9365, "timeout_and_flag" },
    { 0x9366, "timeout_reset" },
    { 0x9367, "timeoutent" },
    { 0x9368, "timeoutstarted" },
    { 0x9369, "timepaused" },
    { 0x936A, "timepercentagecutoff" },
    { 0x936B, "timeplayed" },
    { 0x936C, "timer" },
    { 0x936D, "timer_cancel" },
    { 0x936E, "timer_fail" },
    { 0x936F, "timer_number" },
    { 0x9370, "timer_run" },
    { 0x9371, "timername" },
    { 0x9372, "timeromnvars" },
    { 0x9373, "timerpausetime" },
    { 0x9374, "timerstopped" },
    { 0x9375, "timerstoppedforgamemode" },
    { 0x9376, "timescale" },
    { 0x9377, "timestartedtowait" },
    { 0x9378, "timetoadd" },
    { 0x9379, "timetodelete" },
    { 0x937A, "timeuntilroundend" },
    { 0x937B, "timeuntilspawn" },
    { 0x937C, "timeuntilwavespawn" },
    { 0x937D, "timing_offset_finale_cine_lighting" },
    { 0x937E, "tireskidprobability" },
    { 0x937F, "tispawndelay" },
    { 0x9380, "tispawnposition" },
    { 0x9381, "titan_camera_shake" },
    { 0x9382, "titan_death" },
    { 0x9383, "titan_engine" },
    { 0x9384, "titan_enter" },
    { 0x9385, "titan_fire_wait" },
    { 0x9386, "titan_footstep_front_left" },
    { 0x9387, "titan_footstep_front_right" },
    { 0x9388, "titan_footstep_rear_left" },
    { 0x9389, "titan_footstep_rear_right" },
    { 0x938A, "titan_gate_tread_fx" },
    { 0x938B, "titan_impact_fx_fl" },
    { 0x938C, "titan_impact_fx_fr" },
    { 0x938D, "titan_impact_fx_rl" },
    { 0x938E, "titan_impact_fx_rr" },
    { 0x938F, "titan_init" },
    { 0x9390, "titan_missile" },
    { 0x9391, "titan_take_damage_from_smaw" },
    { 0x9392, "titan_tank_tread" },
    { 0x9393, "titan_walker_explo" },
    { 0x9394, "titan_walker_explosions" },
    { 0x9395, "titan_walker_weapon_fire" },
    { 0x9396, "title" },
    { 0x9397, "title_line" },
    { 0x9398, "titleisstring" },
    { 0x9399, "titlelabel" },
    { 0x939A, "titlemap" },
    { 0x939B, "titletext" },
    { 0x939C, "tivalidationcheck" },
    { 0x939D, "tmodel" },
    { 0x939E, "tmp_subtitle" },
    { 0x939F, "to_ball_pitch_idle" },
    { 0x93A0, "to_ball_pitch_moving" },
    { 0x93A1, "to_ball_pitch_start_move" },
    { 0x93A2, "to_ball_pitch_stop_move" },
    { 0x93A3, "to_ball_roll_idle" },
    { 0x93A4, "to_ball_roll_moving" },
    { 0x93A5, "to_ball_roll_start_move" },
    { 0x93A6, "to_ball_roll_stop_move" },
    { 0x93A7, "to_refugee_camp" },
    { 0x93A8, "to_school1" },
    { 0x93A9, "to_school2" },
    { 0x93AA, "to_school3" },
    { 0x93AB, "to_second_land_assist_idles" },
    { 0x93AC, "to_second_land_assist_idles_cormack" },
    { 0x93AD, "to_vehicle_off" },
    { 0x93AE, "to_vehicle_on" },
    { 0x93AF, "to_vehicle_shutdown" },
    { 0x93B0, "to_vehicle_startup" },
    { 0x93B1, "to_wheel_left_idle" },
    { 0x93B2, "to_wheel_left_moving" },
    { 0x93B3, "to_wheel_left_start_move" },
    { 0x93B4, "to_wheel_left_stop_move" },
    { 0x93B5, "to_wheel_right_idle" },
    { 0x93B6, "to_wheel_right_moving" },
    { 0x93B7, "to_wheel_right_start_move" },
    { 0x93B8, "to_wheel_right_stop_move" },
    { 0x93B9, "toggle" },
    { 0x93BA, "toggle_all_boats_off" },
    { 0x93BB, "toggle_all_boats_on" },
    { 0x93BC, "toggle_all_boats_on_trigger" },
    { 0x93BD, "toggle_axismode" },
    { 0x93BE, "toggle_battle_chatter" },
    { 0x93BF, "toggle_boat_visibility" },
    { 0x93C0, "toggle_boat_visibility_group" },
    { 0x93C1, "toggle_chase_cam" },
    { 0x93C2, "toggle_createfx_drawing" },
    { 0x93C3, "toggle_entity_selection" },
    { 0x93C4, "toggle_exo_ping" },
    { 0x93C5, "toggle_fov" },
    { 0x93C6, "toggle_grenade_range_settings" },
    { 0x93C7, "toggle_has_trackrounds" },
    { 0x93C8, "toggle_hide" },
    { 0x93C9, "toggle_hide_guy" },
    { 0x93CA, "toggle_lighting_spot01_lightning" },
    { 0x93CB, "toggle_lighting_spot01_on" },
    { 0x93CC, "toggle_lighting_spot01_on_checkpoint" },
    { 0x93CD, "toggle_localrot" },
    { 0x93CE, "toggle_mount_mag_trigger_off" },
    { 0x93CF, "toggle_mount_mag_trigger_on" },
    { 0x93D0, "toggle_off_real_mob" },
    { 0x93D1, "toggle_on_real_mob" },
    { 0x93D2, "toggle_register_kills_for_vehicle_occupants" },
    { 0x93D3, "toggle_school_exterior_light_off" },
    { 0x93D4, "toggle_school_exterior_light_on" },
    { 0x93D5, "toggle_snap2normal" },
    { 0x93D6, "toggle_snap90deg" },
    { 0x93D7, "toggle_tactical_picker" },
    { 0x93D8, "togglebreachslomo" },
    { 0x93D9, "tolerance" },
    { 0x93DA, "tonemapkey_call" },
    { 0x93DB, "tonemapkey_call_control_room" },
    { 0x93DC, "tonemapkey_control_room_volume" },
    { 0x93DD, "tonemapkey_cooling_towers_volume" },
    { 0x93DE, "too_close_distance" },
    { 0x93DF, "too_close_to_leader" },
    { 0x93E0, "toogle_burke_fall_light" },
    { 0x93E1, "tookweaponfrom" },
    { 0x93E2, "tool_hud" },
    { 0x93E3, "tool_hud_visible" },
    { 0x93E4, "tool_hudelems" },
    { 0x93E5, "top_guy_spawn" },
    { 0x93E6, "top_level_kva_guys" },
    { 0x93E7, "torch" },
    { 0x93E8, "torresblood" },
    { 0x93E9, "toss_security_drone" },
    { 0x93EA, "tostr" },
    { 0x93EB, "tostring" },
    { 0x93EC, "total" },
    { 0x93ED, "total_dist" },
    { 0x93EE, "total_time" },
    { 0x93EF, "totalallweaponvariants" },
    { 0x93F0, "totalchemcanhealth" },
    { 0x93F1, "totaldamage" },
    { 0x93F2, "totalfriends" },
    { 0x93F3, "totalheavyclasstime" },
    { 0x93F4, "totallifetime" },
    { 0x93F5, "totallightclasstime" },
    { 0x93F6, "totally_fake_drone_death" },
    { 0x93F7, "totalplayers" },
    { 0x93F8, "totalpossiblescore" },
    { 0x93F9, "totalscore" },
    { 0x93FA, "totalspawned" },
    { 0x93FB, "totalspecialistclasstime" },
    { 0x93FC, "totaltime" },
    { 0x93FD, "touchdownevent" },
    { 0x93FE, "touched" },
    { 0x93FF, "touched_trigger_runs_func" },
    { 0x9400, "touching_border" },
    { 0x9401, "touching_trigger_ent" },
    { 0x9402, "touchingbadtrigger" },
    { 0x9403, "touchingplatformvalid" },
    { 0x9404, "touchingplayers" },
    { 0x9405, "touchingwatertriggers" },
    { 0x9406, "touchlist" },
    { 0x9407, "touchtest" },
    { 0x9408, "touchtriggers" },
    { 0x9409, "tour_ambient_00" },
    { 0x940A, "tour_ambient_01" },
    { 0x940B, "tour_ambient_02" },
    { 0x940C, "tour_ambient_choppers" },
    { 0x940D, "tour_ambient_drone_lifetime" },
    { 0x940E, "tour_ambient_people" },
    { 0x940F, "tour_augmented_reality" },
    { 0x9410, "tour_base_ambient_vehicle_01" },
    { 0x9411, "tour_base_ambient_vehicle_02" },
    { 0x9412, "tour_boost_jumper_lifetime" },
    { 0x9413, "tour_boost_jumpers_initial" },
    { 0x9414, "tour_boost_jumpers_overhead" },
    { 0x9415, "tour_brave_warrior_01" },
    { 0x9416, "tour_brave_warrior_03" },
    { 0x9417, "tour_cleanup_01" },
    { 0x9418, "tour_doors" },
    { 0x9419, "tour_drone_control" },
    { 0x941A, "tour_drone_interact_clear" },
    { 0x941B, "tour_drone_range_interact_manager" },
    { 0x941C, "tour_drone_range_target_lifetime" },
    { 0x941D, "tour_drone_range_targets" },
    { 0x941E, "tour_drone_range_timer" },
    { 0x941F, "tour_drone_range_use_triggers" },
    { 0x9420, "tour_drones_advanced_warfare" },
    { 0x9421, "tour_drones_fly_by" },
    { 0x9422, "tour_end" },
    { 0x9423, "tour_end_gate" },
    { 0x9424, "tour_exo_arm_repair_test_seq" },
    { 0x9425, "tour_exo_arm_repair_test_seq_internal" },
    { 0x9426, "tour_exo_begin" },
    { 0x9427, "tour_exo_boost" },
    { 0x9428, "tour_exo_boost_lifetime_ccw" },
    { 0x9429, "tour_exo_boost_lifetime_cw" },
    { 0x942A, "tour_exo_climb" },
    { 0x942B, "tour_exo_demo_gideon" },
    { 0x942C, "tour_exo_exit" },
    { 0x942D, "tour_exo_observe" },
    { 0x942E, "tour_exo_push" },
    { 0x942F, "tour_exo_push_motion_tracker" },
    { 0x9430, "tour_exo_repair_desk" },
    { 0x9431, "tour_exo_repair_player" },
    { 0x9432, "tour_exo_repair_tech_1" },
    { 0x9433, "tour_exo_repair_tech_1_branch" },
    { 0x9434, "tour_exo_repair_tech_2" },
    { 0x9435, "tour_exo_shield" },
    { 0x9436, "tour_exo_shield_model_swap" },
    { 0x9437, "tour_exo_shield_turret" },
    { 0x9438, "tour_exo_spar" },
    { 0x9439, "tour_fans" },
    { 0x943A, "tour_firing_range" },
    { 0x943B, "tour_giant_doors" },
    { 0x943C, "tour_gideon_movement_manager_exo_spar" },
    { 0x943D, "tour_glass_door_01" },
    { 0x943E, "tour_glass_door_02" },
    { 0x943F, "tour_glass_door_03" },
    { 0x9440, "tour_glass_door_04" },
    { 0x9441, "tour_glass_door_04_lighting" },
    { 0x9442, "tour_glass_door_05" },
    { 0x9443, "tour_grenade_range_drone_lifetime" },
    { 0x9444, "tour_grenade_range_drone_lifetime_minigame" },
    { 0x9445, "tour_grenade_range_drone_lifetime_tutorial" },
    { 0x9446, "tour_grenade_range_drone_spawn_with_spawner" },
    { 0x9447, "tour_grenade_range_gideon" },
    { 0x9448, "tour_grenade_range_interact_manager" },
    { 0x9449, "tour_grenade_range_minigame_drone_spawn_with_spawner" },
    { 0x944A, "tour_grenade_range_minigame_sequence" },
    { 0x944B, "tour_grenade_range_refills_highlight" },
    { 0x944C, "tour_grenade_range_score_feedback" },
    { 0x944D, "tour_grenade_range_score_manager" },
    { 0x944E, "tour_grenade_range_score_reset" },
    { 0x944F, "tour_grenade_range_screen_info_update" },
    { 0x9450, "tour_grenade_range_screen_toggle" },
    { 0x9451, "tour_grenade_range_tutorial_drone_spawn_with_spawner" },
    { 0x9452, "tour_grenade_range_use_triggers" },
    { 0x9453, "tour_hangar_ambient_people" },
    { 0x9454, "tour_hangar_door_01" },
    { 0x9455, "tour_hangar_drone_lifetime" },
    { 0x9456, "tour_hangar_drones" },
    { 0x9457, "tour_jeep_startup" },
    { 0x9458, "tour_jeep_tread" },
    { 0x9459, "tour_jets" },
    { 0x945A, "tour_lander_01" },
    { 0x945B, "tour_littlebird_ambient" },
    { 0x945C, "tour_littlebird_lander" },
    { 0x945D, "tour_military_ambient_people" },
    { 0x945E, "tour_range_door_01" },
    { 0x945F, "tour_range_door_02" },
    { 0x9460, "tour_ready_room_techs" },
    { 0x9461, "tour_ride" },
    { 0x9462, "tour_ride_begin" },
    { 0x9463, "tour_ride_gideon" },
    { 0x9464, "tour_ride_look_anims" },
    { 0x9465, "tour_ride_passengers" },
    { 0x9466, "tour_ride_player" },
    { 0x9467, "tour_shooting_range" },
    { 0x9468, "tour_shooting_range_gideon" },
    { 0x9469, "tour_shooting_range_ilona" },
    { 0x946A, "tour_shooting_range_interact_manager" },
    { 0x946B, "tour_shooting_range_screen_info_update_handler" },
    { 0x946C, "tour_shooting_range_screen_toggle" },
    { 0x946D, "tour_shooting_range_sequence" },
    { 0x946E, "tour_shooting_range_use_triggers" },
    { 0x946F, "tour_solid_door_01" },
    { 0x9470, "tour_solid_door_02" },
    { 0x9471, "tour_spawn_vtol" },
    { 0x9472, "tour_titan_01" },
    { 0x9473, "tour_titan_02" },
    { 0x9474, "tour_variable_grenade_auto_fill" },
    { 0x9475, "tour_variable_grenade_initial_acquisition" },
    { 0x9476, "tour_variable_grenade_refill_manager" },
    { 0x9477, "tour_windsock" },
    { 0x9478, "tour_yellow_door_01" },
    { 0x9479, "tour_yellow_door_02" },
    { 0x947A, "tour_yellow_door_03" },
    { 0x947B, "tower_collapse_dialog" },
    { 0x947C, "tower_collapse_knockback_disable_sonar" },
    { 0x947D, "tower_collapse_player_knockback" },
    { 0x947E, "tower_collapse_player_stumble" },
    { 0x947F, "tower_collapse_prep" },
    { 0x9480, "tower_collapse_start" },
    { 0x9481, "tower_combat_wave3" },
    { 0x9482, "tower_combat_wave4" },
    { 0x9483, "tower_vo" },
    { 0x9484, "toy_chicken_common" },
    { 0x9485, "toy_model" },
    { 0x9486, "tprintln" },
    { 0x9487, "trace" },
    { 0x9488, "trace_distance" },
    { 0x9489, "trace_end_position" },
    { 0x948A, "trace_fx" },
    { 0x948B, "trace_part_for_efx" },
    { 0x948C, "trace_part_for_efx_cancel" },
    { 0x948D, "trace_to_enemy" },
    { 0x948E, "trace2d" },
    { 0x948F, "tracecollisionwarn" },
    { 0x9490, "tracedonerecently" },
    { 0x9491, "tracefx" },
    { 0x9492, "tracefx_on_tag" },
    { 0x9493, "tracelocation" },
    { 0x9494, "traceshow" },
    { 0x9495, "tracestart" },
    { 0x9496, "tracevalidation" },
    { 0x9497, "track" },
    { 0x9498, "track_bone_origins" },
    { 0x9499, "track_bridge_drone_deaths" },
    { 0x949A, "track_concussion_grenade" },
    { 0x949B, "track_damage_info" },
    { 0x949C, "track_end" },
    { 0x949D, "track_entered_vehicle" },
    { 0x949E, "track_health_damage_function" },
    { 0x949F, "track_inner" },
    { 0x94A0, "track_irons_begin" },
    { 0x94A1, "track_irons_main" },
    { 0x94A2, "track_irons_start" },
    { 0x94A3, "track_kills_over_time" },
    { 0x94A4, "track_loud_enough_achievement" },
    { 0x94A5, "track_outer" },
    { 0x94A6, "track_player" },
    { 0x94A7, "track_player_height" },
    { 0x94A8, "track_player_movement" },
    { 0x94A9, "track_player_velocity" },
    { 0x94AA, "track_reinforcement_location" },
    { 0x94AB, "track_semtex_grenade" },
    { 0x94AC, "track_smaw" },
    { 0x94AD, "track_start" },
    { 0x94AE, "trackailifespawn" },
    { 0x94AF, "trackattackerleaderboarddeathstats" },
    { 0x94B0, "trackcarepackages" },
    { 0x94B1, "trackcarrier" },
    { 0x94B2, "tracked" },
    { 0x94B3, "tracked_ent" },
    { 0x94B4, "tracked_ents" },
    { 0x94B5, "trackedbyplayer" },
    { 0x94B6, "trackedplayer" },
    { 0x94B7, "trackent" },
    { 0x94B8, "trackfreeplayedtime" },
    { 0x94B9, "trackgrenades" },
    { 0x94BA, "trackhostmigrationend" },
    { 0x94BB, "tracking" },
    { 0x94BC, "tracking_device" },
    { 0x94BD, "tracking_device_waits" },
    { 0x94BE, "tracking_grenade_beep" },
    { 0x94BF, "tracking_grenade_detonate" },
    { 0x94C0, "tracking_grenade_dud" },
    { 0x94C1, "tracking_grenade_get_target" },
    { 0x94C2, "tracking_grenade_handle_autosave" },
    { 0x94C3, "tracking_grenade_handle_damage" },
    { 0x94C4, "tracking_grenade_hover" },
    { 0x94C5, "tracking_grenade_jump" },
    { 0x94C6, "tracking_grenade_pickup" },
    { 0x94C7, "tracking_grenade_scare_enemies" },
    { 0x94C8, "tracking_grenade_strike" },
    { 0x94C9, "tracking_grenade_think" },
    { 0x94CA, "tracking_grenade_thrust_effect" },
    { 0x94CB, "tracking_init" },
    { 0x94CC, "trackingdrone" },
    { 0x94CD, "trackingdrone_changeowner" },
    { 0x94CE, "trackingdrone_enemy_lightfx" },
    { 0x94CF, "trackingdrone_followtarget" },
    { 0x94D0, "trackingdrone_friendly_lightfx" },
    { 0x94D1, "trackingdrone_highlighttarget" },
    { 0x94D2, "trackingdrone_leave" },
    { 0x94D3, "trackingdrone_lightfx" },
    { 0x94D4, "trackingdrone_movetoplayer" },
    { 0x94D5, "trackingdrone_stopmovement" },
    { 0x94D6, "trackingdrone_stunbegin" },
    { 0x94D7, "trackingdrone_stunend" },
    { 0x94D8, "trackingdrone_stunned" },
    { 0x94D9, "trackingdrone_watchdeath" },
    { 0x94DA, "trackingdrone_watchdisable" },
    { 0x94DB, "trackingdrone_watchforgoal" },
    { 0x94DC, "trackingdrone_watchhostmigration" },
    { 0x94DD, "trackingdrone_watchownerdeath" },
    { 0x94DE, "trackingdrone_watchownerloss" },
    { 0x94DF, "trackingdrone_watchroundend" },
    { 0x94E0, "trackingdrone_watchtargetdisconnect" },
    { 0x94E1, "trackingdrone_watchtimeout" },
    { 0x94E2, "trackingdronearray" },
    { 0x94E3, "trackingdronedebugposition" },
    { 0x94E4, "trackingdronedebugpositionforward" },
    { 0x94E5, "trackingdronedebugpositionheight" },
    { 0x94E6, "trackingdronedestroyed" },
    { 0x94E7, "trackingdroneexplode" },
    { 0x94E8, "trackingdroneinit" },
    { 0x94E9, "trackingdronemaxperplayer" },
    { 0x94EA, "trackingdrones" },
    { 0x94EB, "trackingdronesettings" },
    { 0x94EC, "trackingdronestartangles" },
    { 0x94ED, "trackingdronestartposition" },
    { 0x94EE, "trackingdronetimeout" },
    { 0x94EF, "trackingweapondeaths" },
    { 0x94F0, "trackingweaponheadshots" },
    { 0x94F1, "trackingweaponhipfirekills" },
    { 0x94F2, "trackingweaponhits" },
    { 0x94F3, "trackingweaponkills" },
    { 0x94F4, "trackingweaponname" },
    { 0x94F5, "trackingweaponshots" },
    { 0x94F6, "trackingweaponusetime" },
    { 0x94F7, "trackintelkills" },
    { 0x94F8, "trackkillordelete" },
    { 0x94F9, "tracklaststandchanges" },
    { 0x94FA, "trackleaderboarddeathstats" },
    { 0x94FB, "trackloop" },
    { 0x94FC, "trackloop_anglesfornoshootpos" },
    { 0x94FD, "trackloop_clampangles" },
    { 0x94FE, "trackloop_cqbshootpos" },
    { 0x94FF, "trackloop_getdesiredangles" },
    { 0x9500, "trackloop_setanimweights" },
    { 0x9501, "trackmissiles" },
    { 0x9502, "tracknoneditfx" },
    { 0x9503, "trackobject" },
    { 0x9504, "trackplayedtime" },
    { 0x9505, "trackriotshield" },
    { 0x9506, "trackrocket" },
    { 0x9507, "trackrounds" },
    { 0x9508, "trackrounds_death" },
    { 0x9509, "trackrounds_mark_till_death" },
    { 0x950A, "trackrounds_think" },
    { 0x950B, "trackshootentorpos" },
    { 0x950C, "trackstate" },
    { 0x950D, "trackteamchanges" },
    { 0x950E, "traffic_anim_bus_1" },
    { 0x950F, "traffic_burke_jump_bus_2" },
    { 0x9510, "traffic_burke_jump_bus_3" },
    { 0x9511, "traffic_burke_jump_bus_4" },
    { 0x9512, "traffic_burke_jump_bus_5" },
    { 0x9513, "traffic_burke_jump_settings" },
    { 0x9514, "traffic_burke_miss_failsafe" },
    { 0x9515, "traffic_burke_recover_failed_jump" },
    { 0x9516, "traffic_bus_3_flag_check" },
    { 0x9517, "traffic_bus_start_check_old" },
    { 0x9518, "traffic_camera_shake_after_middle_td" },
    { 0x9519, "traffic_camera_shake_before_middle_td" },
    { 0x951A, "traffic_cars" },
    { 0x951B, "traffic_cars_scriptmodel_only_count" },
    { 0x951C, "traffic_change_lane" },
    { 0x951D, "traffic_change_lane_speed" },
    { 0x951E, "traffic_collision_fx_func" },
    { 0x951F, "traffic_collision_hit_func" },
    { 0x9520, "traffic_crashed_vehicles" },
    { 0x9521, "traffic_damage_part_watcher" },
    { 0x9522, "traffic_drive_vehicle" },
    { 0x9523, "traffic_follower" },
    { 0x9524, "traffic_force_script_models_only" },
    { 0x9525, "traffic_fx_init" },
    { 0x9526, "traffic_handle_messages" },
    { 0x9527, "traffic_head_veh" },
    { 0x9528, "traffic_helicopter" },
    { 0x9529, "traffic_helicopter_magic_bullet_fire" },
    { 0x952A, "traffic_init" },
    { 0x952B, "traffic_lanes" },
    { 0x952C, "traffic_leader" },
    { 0x952D, "traffic_leader_pending" },
    { 0x952E, "traffic_leader_pending_check" },
    { 0x952F, "traffic_ledge_burke_loop_wait" },
    { 0x9530, "traffic_ledge_jump_trigger_use" },
    { 0x9531, "traffic_link_luggage" },
    { 0x9532, "traffic_locked" },
    { 0x9533, "traffic_manager" },
    { 0x9534, "traffic_old_speed" },
    { 0x9535, "traffic_path_all_cars_helper" },
    { 0x9536, "traffic_path_all_cars_set_command_single_lane" },
    { 0x9537, "traffic_path_all_cars_set_force_stop" },
    { 0x9538, "traffic_path_all_cars_set_script_brush" },
    { 0x9539, "traffic_path_head_car_random_stops" },
    { 0x953A, "traffic_path_head_car_set_force_script_model" },
    { 0x953B, "traffic_path_head_car_set_force_stop" },
    { 0x953C, "traffic_path_head_car_traffic_jam" },
    { 0x953D, "traffic_path_head_car_traffic_jam_end_thread" },
    { 0x953E, "traffic_path_remove_cars_at_node" },
    { 0x953F, "traffic_path_set_cars_at_node_ai_path_blocker" },
    { 0x9540, "traffic_player_hostage_truck_jump_passed" },
    { 0x9541, "traffic_pre_merge_follower" },
    { 0x9542, "traffic_rooftop_traverse" },
    { 0x9543, "traffic_set_traffic_tuning" },
    { 0x9544, "traffic_set_traffic_tuning_lagos_highway" },
    { 0x9545, "traffic_spawn_mode" },
    { 0x9546, "traffic_spawner" },
    { 0x9547, "traffic_spawners" },
    { 0x9548, "traffic_speed" },
    { 0x9549, "traffic_speed_override" },
    { 0x954A, "traffic_speed_status" },
    { 0x954B, "traffic_speed_status_prev" },
    { 0x954C, "traffic_start_camera_shake" },
    { 0x954D, "traffic_stop_waittime" },
    { 0x954E, "traffic_suv_group_a" },
    { 0x954F, "traffic_suv_group_b" },
    { 0x9550, "traffic_suv_group_c" },
    { 0x9551, "traffic_suv_group_d" },
    { 0x9552, "traffic_suv_group_e" },
    { 0x9553, "traffic_suv_takedown" },
    { 0x9554, "traffic_tail" },
    { 0x9555, "traffic_takedown" },
    { 0x9556, "traffic_traverse_fail_check" },
    { 0x9557, "traffic_traverse_fence_rip" },
    { 0x9558, "traffic_traverse_final_takedown_burke_start" },
    { 0x9559, "traffic_traverse_final_takedown_start_player_input" },
    { 0x955A, "traffic_traverse_final_takedown_start_player_validation" },
    { 0x955B, "traffic_traverse_final_takedown_truck_start" },
    { 0x955C, "traffic_traverse_ledge_player_input" },
    { 0x955D, "traffic_traverse_ledge_player_validation" },
    { 0x955E, "traffic_traverse_start" },
    { 0x955F, "traffic_traverse_start_player_input" },
    { 0x9560, "traffic_traverse_start_player_validation" },
    { 0x9561, "traffic_tune_extreme_near_car_dist" },
    { 0x9562, "traffic_tune_extreme_near_car_dist_sq" },
    { 0x9563, "traffic_tune_fill_spawn_dist_between_cars" },
    { 0x9564, "traffic_tune_fill_spawn_dist_between_cars_sq" },
    { 0x9565, "traffic_tune_follow_speed_scale" },
    { 0x9566, "traffic_tune_lane_change_angle" },
    { 0x9567, "traffic_tune_lane_change_cosangle" },
    { 0x9568, "traffic_tune_min_follow_dist" },
    { 0x9569, "traffic_tune_min_follow_dist_sq" },
    { 0x956A, "traffic_tune_min_speedup_dist" },
    { 0x956B, "traffic_tune_min_speedup_dist_sq" },
    { 0x956C, "traffic_tune_min_stop_dist" },
    { 0x956D, "traffic_tune_min_stop_dist_sq" },
    { 0x956E, "traffic_tune_no_spawn" },
    { 0x956F, "traffic_tune_single_spawn_dist_between_cars" },
    { 0x9570, "traffic_tune_single_spawn_dist_between_cars_sq" },
    { 0x9571, "traffic_tune_speedup_speed_scale" },
    { 0x9572, "traffic_tune_start_spawn_rand_chance" },
    { 0x9573, "traffic_type_swap" },
    { 0x9574, "traffic_vehicle_lights_off" },
    { 0x9575, "traffic_vehicle_lights_on" },
    { 0x9576, "traffic_vehicle_start_check" },
    { 0x9577, "trailing_jets_move_up_on_airbrake" },
    { 0x9578, "train_bridge_light_on" },
    { 0x9579, "train_gopath" },
    { 0x957A, "train_lighting" },
    { 0x957B, "train_radiosity" },
    { 0x957C, "train_rumble" },
    { 0x957D, "train_scare" },
    { 0x957E, "train_spotlight_lerp" },
    { 0x957F, "training_01_end_driver_gear_shift" },
    { 0x9580, "training_01_end_driver_seat_movement" },
    { 0x9581, "training_01_end_gideon_enter_jeep" },
    { 0x9582, "training_01_end_gideon_grabs_arm" },
    { 0x9583, "training_01_end_gideon_gun_away" },
    { 0x9584, "training_01_end_gideon_helps_up_plr" },
    { 0x9585, "training_01_end_gideon_idles" },
    { 0x9586, "training_01_end_gideon_mask" },
    { 0x9587, "training_01_end_gideon_pulls_gun" },
    { 0x9588, "training_01_end_gideon_punch" },
    { 0x9589, "training_01_end_gideon_shoots_potus" },
    { 0x958A, "training_01_end_gideon_to_player" },
    { 0x958B, "training_01_end_gideon_walk" },
    { 0x958C, "training_01_end_gideon_walks_away" },
    { 0x958D, "training_01_end_irons_enter_jeep" },
    { 0x958E, "training_01_end_irons_exit_jeep" },
    { 0x958F, "training_01_end_irons_hand_on_shoulder" },
    { 0x9590, "training_01_end_irons_walk_away" },
    { 0x9591, "training_01_end_player_arm_malfunction" },
    { 0x9592, "training_01_end_player_arm_up" },
    { 0x9593, "training_01_end_player_enters_jeep" },
    { 0x9594, "training_01_end_player_helped_up" },
    { 0x9595, "training_01_end_player_moves_to_seat" },
    { 0x9596, "training_01_end_player_punched" },
    { 0x9597, "training_01_end_player_sits" },
    { 0x9598, "training_01_end_potus_gets_up" },
    { 0x9599, "training_01_end_potus_shot" },
    { 0x959A, "training_01_end_potus_threatened" },
    { 0x959B, "training_2_begin" },
    { 0x959C, "training_2_end" },
    { 0x959D, "training_2_golf_course" },
    { 0x959E, "training_2_irons_ending" },
    { 0x959F, "training_2_lodge_begin" },
    { 0x95A0, "training_2_lodge_breach" },
    { 0x95A1, "training_2_lodge_exit" },
    { 0x95A2, "training_begin" },
    { 0x95A3, "training_door_cover_cloak_think" },
    { 0x95A4, "training_end" },
    { 0x95A5, "training_escape_gideon_punch" },
    { 0x95A6, "training_escape_vehicle_1_fx" },
    { 0x95A7, "training_escape_vehicle_2_fx" },
    { 0x95A8, "training_golf_course" },
    { 0x95A9, "training_lodge_begin" },
    { 0x95AA, "training_lodge_breach" },
    { 0x95AB, "training_lodge_exit" },
    { 0x95AC, "training_prone_hint_monitor" },
    { 0x95AD, "training_prone_hint_text" },
    { 0x95AE, "training_reset_stealth_settings" },
    { 0x95AF, "training_s1_alert" },
    { 0x95B0, "training_s1_alert_check" },
    { 0x95B1, "training_s1_alert_drones" },
    { 0x95B2, "training_s1_allies_advance" },
    { 0x95B3, "training_s1_allies_setup" },
    { 0x95B4, "training_s1_ambush_vehicles_think" },
    { 0x95B5, "training_s1_anim_gun_examine" },
    { 0x95B6, "training_s1_bathroom_breach_door" },
    { 0x95B7, "training_s1_bathroom_door_breach_anim" },
    { 0x95B8, "training_s1_bathroom_enemy_dialog" },
    { 0x95B9, "training_s1_bathroom_enemy_flag_death" },
    { 0x95BA, "training_s1_bathroom_enemy_monitor_death" },
    { 0x95BB, "training_s1_bathroom_enemy_think" },
    { 0x95BC, "training_s1_bathroom_force_death" },
    { 0x95BD, "training_s1_bedroom_spawners_think" },
    { 0x95BE, "training_s1_breach_encounter" },
    { 0x95BF, "training_s1_breach_enemy_death_check" },
    { 0x95C0, "training_s1_breach_enemy_monitor_death" },
    { 0x95C1, "training_s1_breach_enemy_stop_death_check" },
    { 0x95C2, "training_s1_breach_enemy_think" },
    { 0x95C3, "training_s1_breach_gun_up" },
    { 0x95C4, "training_s1_breach_kva_think" },
    { 0x95C5, "training_s1_breach_save" },
    { 0x95C6, "training_s1_breach_slomo_end" },
    { 0x95C7, "training_s1_breach_slowmo_start" },
    { 0x95C8, "training_s1_breack_tv_screen" },
    { 0x95C9, "training_s1_check_snipers" },
    { 0x95CA, "training_s1_cleanup" },
    { 0x95CB, "training_s1_clear_bedrooms" },
    { 0x95CC, "training_s1_door_breach_anim" },
    { 0x95CD, "training_s1_door_cover" },
    { 0x95CE, "training_s1_drone_ambush_scene" },
    { 0x95CF, "training_s1_drone_attack" },
    { 0x95D0, "training_s1_drone_attack_think" },
    { 0x95D1, "training_s1_drone_blinds_destroy_think" },
    { 0x95D2, "training_s1_drone_search" },
    { 0x95D3, "training_s1_end_breach_logic" },
    { 0x95D4, "training_s1_end_fov_end" },
    { 0x95D5, "training_s1_end_fov_start" },
    { 0x95D6, "training_s1_ending" },
    { 0x95D7, "training_s1_enemies_ambush_think" },
    { 0x95D8, "training_s1_enemies_living_room_think" },
    { 0x95D9, "training_s1_escape_vehicle" },
    { 0x95DA, "training_s1_escape_vehicle_driver" },
    { 0x95DB, "training_s1_escape_vehicle_think" },
    { 0x95DC, "training_s1_exo_breach_monitor_enemy_group_death" },
    { 0x95DD, "training_s1_flash_death_check" },
    { 0x95DE, "training_s1_flash_door" },
    { 0x95DF, "training_s1_flash_enemies_think" },
    { 0x95E0, "training_s1_flash_monitor" },
    { 0x95E1, "training_s1_golf_course_alert" },
    { 0x95E2, "training_s1_golf_course_custom_stealth" },
    { 0x95E3, "training_s1_golf_course_encounter" },
    { 0x95E4, "training_s1_golf_course_encounter_track_deaths" },
    { 0x95E5, "training_s1_golf_course_vehicles" },
    { 0x95E6, "training_s1_guard_house_doors" },
    { 0x95E7, "training_s1_handle_tour_cart" },
    { 0x95E8, "training_s1_head_shot1" },
    { 0x95E9, "training_s1_head_shot2" },
    { 0x95EA, "training_s1_hide_from_patrols" },
    { 0x95EB, "training_s1_intro_gun_up" },
    { 0x95EC, "training_s1_joker_move" },
    { 0x95ED, "training_s1_joker_mute_breach_start" },
    { 0x95EE, "training_s1_kill_surprise_enemy" },
    { 0x95EF, "training_s1_kill_threat_enemies" },
    { 0x95F0, "training_s1_kva_ambush1_think" },
    { 0x95F1, "training_s1_kva_ambush2_think" },
    { 0x95F2, "training_s1_kva_dead" },
    { 0x95F3, "training_s1_kva_shot" },
    { 0x95F4, "training_s1_living_room_check" },
    { 0x95F5, "training_s1_living_room_scene" },
    { 0x95F6, "training_s1_living_room_scene_joker_open_door" },
    { 0x95F7, "training_s1_living_room_timer" },
    { 0x95F8, "training_s1_livingroom_ambush" },
    { 0x95F9, "training_s1_monitor_surprise_enemy_death" },
    { 0x95FA, "training_s1_opening" },
    { 0x95FB, "training_s1_opening_guy_think" },
    { 0x95FC, "training_s1_patio_door_breach" },
    { 0x95FD, "training_s1_patio_door_breach_monitor" },
    { 0x95FE, "training_s1_patio_door_clip" },
    { 0x95FF, "training_s1_patio_doors" },
    { 0x9600, "training_s1_patio_enemies" },
    { 0x9601, "training_s1_patio_enemies_alert" },
    { 0x9602, "training_s1_patio_enemies_alert_check" },
    { 0x9603, "training_s1_patio_enemies_clear" },
    { 0x9604, "training_s1_patio_enemies_think" },
    { 0x9605, "training_s1_patio_joker_loc_check" },
    { 0x9606, "training_s1_patio_spawn_reinforcements" },
    { 0x9607, "training_s1_player_breach" },
    { 0x9608, "training_s1_pool_house_doors" },
    { 0x9609, "training_s1_popping_smoke" },
    { 0x960A, "training_s1_prep_breach_room" },
    { 0x960B, "training_s1_prepare_to_breach" },
    { 0x960C, "training_s1_president_blood" },
    { 0x960D, "training_s1_president_breach_monitor_death" },
    { 0x960E, "training_s1_president_breach_setup" },
    { 0x960F, "training_s1_president_dead" },
    { 0x9610, "training_s1_president_setup" },
    { 0x9611, "training_s1_president_shot" },
    { 0x9612, "training_s1_refill_threat_grenades" },
    { 0x9613, "training_s1_remove_player_weapons" },
    { 0x9614, "training_s1_runner_enemy_found_corpse" },
    { 0x9615, "training_s1_runner_enemy_think" },
    { 0x9616, "training_s1_runner_enemy_think_cleanup" },
    { 0x9617, "training_s1_search_drones_cleanup" },
    { 0x9618, "training_s1_search_drones_damage_check" },
    { 0x9619, "training_s1_search_drones_death_check" },
    { 0x961A, "training_s1_search_drones_play_ainm" },
    { 0x961B, "training_s1_set_sqaud_cqb_disable" },
    { 0x961C, "training_s1_set_sqaud_cqb_enable" },
    { 0x961D, "training_s1_set_squad_active_and_target" },
    { 0x961E, "training_s1_set_squad_passive_and_ignore" },
    { 0x961F, "training_s1_set_up_search_drones" },
    { 0x9620, "training_s1_setup_breach_marker" },
    { 0x9621, "training_s1_setup_cart" },
    { 0x9622, "training_s1_setup_driver" },
    { 0x9623, "training_s1_setup_gideon" },
    { 0x9624, "training_s1_setup_irons" },
    { 0x9625, "training_s1_setup_president" },
    { 0x9626, "training_s1_shoot_monitor" },
    { 0x9627, "training_s1_show_threat_text" },
    { 0x9628, "training_s1_show_threat_text_ender" },
    { 0x9629, "training_s1_sniper_enemies_think" },
    { 0x962A, "training_s1_snipers" },
    { 0x962B, "training_s1_squad_allow_run" },
    { 0x962C, "training_s1_start_stealth_watch" },
    { 0x962D, "training_s1_starting_enemies" },
    { 0x962E, "training_s1_starting_enemies_alerted" },
    { 0x962F, "training_s1_starting_enemies_charge" },
    { 0x9630, "training_s1_starting_enemies_think" },
    { 0x9631, "training_s1_startpoint_guy_think" },
    { 0x9632, "training_s1_surprise_enemy_alert" },
    { 0x9633, "training_s1_surprise_enemy_go" },
    { 0x9634, "training_s1_surprise_enemy_think" },
    { 0x9635, "training_s1_terrace_enemies_think" },
    { 0x9636, "training_s1_terrace_vehicles" },
    { 0x9637, "training_s1_terrace_vehicles_cleanup" },
    { 0x9638, "training_s1_terrace_vehicles_riders_cleanup" },
    { 0x9639, "training_s1_terrace_vehicles_riders_think" },
    { 0x963A, "training_s1_terrace_vehicles_think" },
    { 0x963B, "training_s1_threat_death_check" },
    { 0x963C, "training_s1_threat_door" },
    { 0x963D, "training_s1_threat_enemies" },
    { 0x963E, "training_s1_threat_enemies_react" },
    { 0x963F, "training_s1_tour_jeep_board_fail" },
    { 0x9640, "training_s1_tour_jeep_board_warn" },
    { 0x9641, "training_s1_unload1_think" },
    { 0x9642, "training_s1_windy_trees" },
    { 0x9643, "training_s1_windy_trees_think" },
    { 0x9644, "training_s2_allies_setup" },
    { 0x9645, "training_s2_ambush_vehicles_think" },
    { 0x9646, "training_s2_bedroom_1_door_scene" },
    { 0x9647, "training_s2_bedroom_2_scene" },
    { 0x9648, "training_s2_breach_encounter" },
    { 0x9649, "training_s2_breach_enemies_monitor" },
    { 0x964A, "training_s2_breach_enemy_death_check" },
    { 0x964B, "training_s2_breach_enemy_monitor_death" },
    { 0x964C, "training_s2_breach_enemy_stop_death_check" },
    { 0x964D, "training_s2_breach_enemy_think" },
    { 0x964E, "training_s2_breach_kva_think" },
    { 0x964F, "training_s2_breach_president_setup" },
    { 0x9650, "training_s2_breach_slowmo_start" },
    { 0x9651, "training_s2_door_breach_anim" },
    { 0x9652, "training_s2_drone_ambush_attack" },
    { 0x9653, "training_s2_drone_ambush_attack_think" },
    { 0x9654, "training_s2_drone_attack" },
    { 0x9655, "training_s2_drone_attack_death" },
    { 0x9656, "training_s2_drone_attack_think" },
    { 0x9657, "training_s2_drone_attack_vehicles_think" },
    { 0x9658, "training_s2_drone_blinds_destroy_think" },
    { 0x9659, "training_s2_drone_damaged" },
    { 0x965A, "training_s2_drone_end_think" },
    { 0x965B, "training_s2_drone_manager" },
    { 0x965C, "training_s2_ending" },
    { 0x965D, "training_s2_enemies_ambush_think" },
    { 0x965E, "training_s2_enemies_hall_think" },
    { 0x965F, "training_s2_enemies_living_room_think" },
    { 0x9660, "training_s2_enemies_patio_think" },
    { 0x9661, "training_s2_enemies_patrol_think" },
    { 0x9662, "training_s2_enemies_patrol_think_alerted" },
    { 0x9663, "training_s2_enemies_start_think" },
    { 0x9664, "training_s2_enemies_start_think_alerted" },
    { 0x9665, "training_s2_enemies_start2_think" },
    { 0x9666, "training_s2_enemies_start2_think_alerted" },
    { 0x9667, "training_s2_enemy_notify" },
    { 0x9668, "training_s2_escape_vehicle" },
    { 0x9669, "training_s2_exo_breach_knife" },
    { 0x966A, "training_s2_flash_monitor" },
    { 0x966B, "training_s2_gideon_mitchell_over_nag" },
    { 0x966C, "training_s2_golf_course_hide" },
    { 0x966D, "training_s2_golf_course_vehicles" },
    { 0x966E, "training_s2_guard_house_doors" },
    { 0x966F, "training_s2_helicopter_gideon" },
    { 0x9670, "training_s2_helicopter_irons" },
    { 0x9671, "training_s2_helicopter_player" },
    { 0x9672, "training_s2_kill_threat_enemies" },
    { 0x9673, "training_s2_kva_ambush1_think" },
    { 0x9674, "training_s2_kva_dead" },
    { 0x9675, "training_s2_kva_shot" },
    { 0x9676, "training_s2_living_room_check" },
    { 0x9677, "training_s2_living_room_scene" },
    { 0x9678, "training_s2_living_room_timer" },
    { 0x9679, "training_s2_open_bedroom_door_2" },
    { 0x967A, "training_s2_open_patio_door" },
    { 0x967B, "training_s2_opening" },
    { 0x967C, "training_s2_opening_guy_think" },
    { 0x967D, "training_s2_patio_combat" },
    { 0x967E, "training_s2_patio_doors" },
    { 0x967F, "training_s2_patio_enemies_alert_check" },
    { 0x9680, "training_s2_patio_enemies_alert_think" },
    { 0x9681, "training_s2_patio_enemies_damaged" },
    { 0x9682, "training_s2_player_breach" },
    { 0x9683, "training_s2_player_drone" },
    { 0x9684, "training_s2_player_drone_control" },
    { 0x9685, "training_s2_player_drone_delete" },
    { 0x9686, "training_s2_player_sniper" },
    { 0x9687, "training_s2_prep_breach_room" },
    { 0x9688, "training_s2_president_breach_monitor_death" },
    { 0x9689, "training_s2_president_breach_ready" },
    { 0x968A, "training_s2_president_dead" },
    { 0x968B, "training_s2_president_setup" },
    { 0x968C, "training_s2_president_shot" },
    { 0x968D, "training_s2_scriptables_reset" },
    { 0x968E, "training_s2_set_squad_active_and_target" },
    { 0x968F, "training_s2_set_squad_passive_and_ignore" },
    { 0x9690, "training_s2_setup_president" },
    { 0x9691, "training_s2_shield_tutorial" },
    { 0x9692, "training_s2_show_drone_text" },
    { 0x9693, "training_s2_spawn_search_vehicle" },
    { 0x9694, "training_s2_squad_allow_run" },
    { 0x9695, "training_s2_start_set_up_player" },
    { 0x9696, "training_s2_start_squad_attack" },
    { 0x9697, "training_s2_starting_enemies" },
    { 0x9698, "training_s2_starting_enemy_charge" },
    { 0x9699, "training_s2_startpoint_guy_think" },
    { 0x969A, "training_s2_threat_death_check" },
    { 0x969B, "training_s2_threat_door" },
    { 0x969C, "training_s2_unload_drone_attack_think" },
    { 0x969D, "training_s2_unload1_think" },
    { 0x969E, "training_s2_wait_for_bedrooms_dead" },
    { 0x969F, "training_s2_wait_for_hallway_dead" },
    { 0x96A0, "training_s2_wait_for_living_room_dead" },
    { 0x96A1, "training_s2_wait_for_suprise_dead" },
    { 0x96A2, "training_set_up_player" },
    { 0x96A3, "training_stealth_spotted" },
    { 0x96A4, "training_surprise_enemy_move_to_patio" },
    { 0x96A5, "training_surprise_enemy_think" },
    { 0x96A6, "training_unlock_doors" },
    { 0x96A7, "trajectory_kill" },
    { 0x96A8, "tram_animate" },
    { 0x96A9, "tram_hide_icon" },
    { 0x96AA, "tram_init" },
    { 0x96AB, "tram_killstreak_cancel_watch" },
    { 0x96AC, "tram_killstreak_exit_watch" },
    { 0x96AD, "tram_killstreak_init" },
    { 0x96AE, "tram_killstreak_match_ended" },
    { 0x96AF, "tram_killstreak_move" },
    { 0x96B0, "tram_killstreak_team_change_watch" },
    { 0x96B1, "tram_move" },
    { 0x96B2, "tram_node_notify" },
    { 0x96B3, "tram_reset" },
    { 0x96B4, "tram_set_forward" },
    { 0x96B5, "tram_set_reverse" },
    { 0x96B6, "tram_show_icon" },
    { 0x96B7, "tram_spline_debug" },
    { 0x96B8, "tram_spline_leave" },
    { 0x96B9, "tram_spline_move" },
    { 0x96BA, "tram_spline_stay_in_playspace" },
    { 0x96BB, "tram_spline_vehicle_spawn" },
    { 0x96BC, "tram_start_player_control" },
    { 0x96BD, "tram_stinger_target_pos" },
    { 0x96BE, "tram_stop_player_control" },
    { 0x96BF, "tram_update_player_spline_control" },
    { 0x96C0, "tram_update_shooting_location" },
    { 0x96C1, "tramby_id" },
    { 0x96C2, "tramlockonentsforteam" },
    { 0x96C3, "tramondeath" },
    { 0x96C4, "trams" },
    { 0x96C5, "trans_alleys_corner" },
    { 0x96C6, "trans_alleys_corner_shot" },
    { 0x96C7, "trans_alleys_end_alley_trigger" },
    { 0x96C8, "trans_alleys_end_corner_trigger" },
    { 0x96C9, "trans_alleys_end_scripted_enemy_gunshots" },
    { 0x96CA, "trans_alleys_female_scream" },
    { 0x96CB, "trans_alleys_scripted_female_scream" },
    { 0x96CC, "trans_civ_01_flee_kva" },
    { 0x96CD, "trans_civ_03_flee_kva" },
    { 0x96CE, "trans_time" },
    { 0x96CF, "trans2alleysbackdoorciv" },
    { 0x96D0, "trans2alleysbegin" },
    { 0x96D1, "trans2alleysbridgecivilians" },
    { 0x96D2, "trans2alleyscafecivilians" },
    { 0x96D3, "trans2alleyscivcafe" },
    { 0x96D4, "trans2alleyscivdying" },
    { 0x96D5, "trans2alleyscivilians" },
    { 0x96D6, "trans2alleysciviliansvskva" },
    { 0x96D7, "trans2alleyscivrunner" },
    { 0x96D8, "trans2alleyscivvictim" },
    { 0x96D9, "trans2alleyscivwindowpeek" },
    { 0x96DA, "trans2alleyscombat" },
    { 0x96DB, "trans2alleysdoorpeek" },
    { 0x96DC, "trans2alleysdoorrunin" },
    { 0x96DD, "trans2alleysexecutioner" },
    { 0x96DE, "trans2alleysilanagatebash" },
    { 0x96DF, "trans2alleysmagicdisappearingworldevent" },
    { 0x96E0, "trans2alleysobjectivesetup" },
    { 0x96E1, "trans2alleyssitsmoke" },
    { 0x96E2, "trans2alleysslowplayer" },
    { 0x96E3, "trans2alleysstandupcivcafe" },
    { 0x96E4, "trans2alleystunnelrunners" },
    { 0x96E5, "trans2alleysunblockplayer" },
    { 0x96E6, "transfer_grenade_ownership" },
    { 0x96E7, "transfer_primer_to_corpse" },
    { 0x96E8, "transformpoint" },
    { 0x96E9, "transformpointbyentity" },
    { 0x96EA, "transient_add_gatetrans_entry" },
    { 0x96EB, "transient_cleanup" },
    { 0x96EC, "transient_hide_intro_vista_buildings" },
    { 0x96ED, "transient_init" },
    { 0x96EE, "transient_intro_to_middle" },
    { 0x96EF, "transient_intro_to_middle_begin" },
    { 0x96F0, "transient_load" },
    { 0x96F1, "transient_middle_add_hospital_interior_begin" },
    { 0x96F2, "transient_middle_add_nighclub_interior_begin" },
    { 0x96F3, "transient_middle_add_school_interior_begin" },
    { 0x96F4, "transient_middle_remove_hospital_interior_begin" },
    { 0x96F5, "transient_middle_remove_nightclub_interior_begin" },
    { 0x96F6, "transient_middle_remove_school_interior_begin" },
    { 0x96F7, "transient_notetracks_bigm" },
    { 0x96F8, "transient_notetracks_intro" },
    { 0x96F9, "transient_notetracks_outro" },
    { 0x96FA, "transient_switch" },
    { 0x96FB, "transient_transition_alley_to_outro" },
    { 0x96FC, "transient_transition_intro_to_middle" },
    { 0x96FD, "transient_transition_load_alley" },
    { 0x96FE, "transient_transition_middle_to_outro" },
    { 0x96FF, "transient_transition_unload_lobby" },
    { 0x9700, "transient_transition_unload_middle" },
    { 0x9701, "transient_transitions" },
    { 0x9702, "transient_unload" },
    { 0x9703, "transient_unloadall_and_load" },
    { 0x9704, "transient_zone" },
    { 0x9705, "transindex" },
    { 0x9706, "transition_has_inverse" },
    { 0x9707, "transition_off" },
    { 0x9708, "transition_on" },
    { 0x9709, "transition_to_hovertank_fov" },
    { 0x970A, "transition_unload_then_load_safely" },
    { 0x970B, "transitionfadein" },
    { 0x970C, "transitionfadeout" },
    { 0x970D, "transitioning" },
    { 0x970E, "transitionmeshes" },
    { 0x970F, "transitionmeshesrev" },
    { 0x9710, "transitionpulsefxin" },
    { 0x9711, "transitionreset" },
    { 0x9712, "transitions" },
    { 0x9713, "transitionslidein" },
    { 0x9714, "transitionslideout" },
    { 0x9715, "transitiontime" },
    { 0x9716, "transitionto" },
    { 0x9717, "transitiontocombat" },
    { 0x9718, "transitiontoidle" },
    { 0x9719, "transitiontostance" },
    { 0x971A, "transitionzoomin" },
    { 0x971B, "transitionzoomout" },
    { 0x971C, "translate_local" },
    { 0x971D, "translate_local_on_ent" },
    { 0x971E, "translateenttosliders" },
    { 0x971F, "trap_createbombsquadmodel" },
    { 0x9720, "trapkillcament" },
    { 0x9721, "travel_time" },
    { 0x9722, "travel_view_fx" },
    { 0x9723, "traverse_height" },
    { 0x9724, "traverse_height_delta" },
    { 0x9725, "traverse_start_damn_no_clear_shot" },
    { 0x9726, "traverse_start_fuck_it" },
    { 0x9727, "traverse_start_i_see_it" },
    { 0x9728, "traverse_start_jump_end_prompt" },
    { 0x9729, "traverse_start_jump_end_slowmo" },
    { 0x972A, "traverse_start_jump_player_looking" },
    { 0x972B, "traverse_start_jump_start_prompt" },
    { 0x972C, "traverse_start_jump_start_slowmo" },
    { 0x972D, "traverse_start_you_should_have_eyes" },
    { 0x972E, "traverseanim" },
    { 0x972F, "traverseanimroot" },
    { 0x9730, "traversedata" },
    { 0x9731, "traversedeath" },
    { 0x9732, "traversedeathanim" },
    { 0x9733, "traversedeathindex" },
    { 0x9734, "traverseendnode" },
    { 0x9735, "traversefall" },
    { 0x9736, "traverseheight" },
    { 0x9737, "traverseinfo" },
    { 0x9738, "traversestartnode" },
    { 0x9739, "traversestartz" },
    { 0x973A, "traversethink" },
    { 0x973B, "tread" },
    { 0x973C, "tread_override_thread" },
    { 0x973D, "tread_wait" },
    { 0x973E, "treadfx_ai_boats_taxi" },
    { 0x973F, "treadfx_ai_boats_taxi_vista" },
    { 0x9740, "treadfx_ai_boats_yacht" },
    { 0x9741, "treadfx_ai_boats_yacht_vista" },
    { 0x9742, "treadfx_freq_scale" },
    { 0x9743, "treadfx_maxheight" },
    { 0x9744, "treadfx_of_logging_road" },
    { 0x9745, "treadfx_override" },
    { 0x9746, "tree_head_impact" },
    { 0x9747, "tree_roots_lighting" },
    { 0x9748, "tricklebridgecivilians" },
    { 0x9749, "tridroneammo" },
    { 0x974A, "tridroneammoinit" },
    { 0x974B, "tridronedeployed" },
    { 0x974C, "tridronesettings" },
    { 0x974D, "trig" },
    { 0x974E, "trigarraywait" },
    { 0x974F, "trigarraywait2" },
    { 0x9750, "trigger_alarm_on_street_combat_started" },
    { 0x9751, "trigger_autosave" },
    { 0x9752, "trigger_autosave_immediate" },
    { 0x9753, "trigger_autosave_stealth" },
    { 0x9754, "trigger_autosave_tactical" },
    { 0x9755, "trigger_battlechatter" },
    { 0x9756, "trigger_bomb_shake" },
    { 0x9757, "trigger_bridge_small" },
    { 0x9758, "trigger_bus_traverse_5_flag_in" },
    { 0x9759, "trigger_bus_traverse_5_looking" },
    { 0x975A, "trigger_bus_traverse_5_threaded" },
    { 0x975B, "trigger_canal_p1" },
    { 0x975C, "trigger_canal_p2" },
    { 0x975D, "trigger_cansee" },
    { 0x975E, "trigger_chopper_spotlight_follow" },
    { 0x975F, "trigger_chopper_spotlight_straight" },
    { 0x9760, "trigger_control_room_gas_leak" },
    { 0x9761, "trigger_courtyard_point_sounds" },
    { 0x9762, "trigger_createart_transient" },
    { 0x9763, "trigger_damage_player_flag_set" },
    { 0x9764, "trigger_darkness" },
    { 0x9765, "trigger_delete_link_chain" },
    { 0x9766, "trigger_delete_on_touch" },
    { 0x9767, "trigger_delete_target_chain" },
    { 0x9768, "trigger_door" },
    { 0x9769, "trigger_dooropen" },
    { 0x976A, "trigger_ending" },
    { 0x976B, "trigger_ending2" },
    { 0x976C, "trigger_enemy_respawn" },
    { 0x976D, "trigger_enemy_stop_respawn" },
    { 0x976E, "trigger_enter_canal" },
    { 0x976F, "trigger_enter_finale_low_burn" },
    { 0x9770, "trigger_enter_finale_silo_blue" },
    { 0x9771, "trigger_enter_finale_silo_center" },
    { 0x9772, "trigger_enter_finale_silo_orange" },
    { 0x9773, "trigger_enter_finale_silo_orange_approach" },
    { 0x9774, "trigger_enter_finale_silo_round_tunnel" },
    { 0x9775, "trigger_enter_hotel" },
    { 0x9776, "trigger_enter_hotel_lobby" },
    { 0x9777, "trigger_enter_hotel_lrg" },
    { 0x9778, "trigger_enter_jb1_s_flicker" },
    { 0x9779, "trigger_enter_jb2_s_flicker" },
    { 0x977A, "trigger_enter_lensflare_subway_int_off" },
    { 0x977B, "trigger_enter_lensflare_subway_int_on" },
    { 0x977C, "trigger_enter_sinkhole" },
    { 0x977D, "trigger_enter_sinkhole_s_flicker" },
    { 0x977E, "trigger_enter_subway" },
    { 0x977F, "trigger_enter_vision_light_fog_normal" },
    { 0x9780, "trigger_exit_hotel" },
    { 0x9781, "trigger_exit_tunnel" },
    { 0x9782, "trigger_exterior_fog" },
    { 0x9783, "trigger_fall_to_hotel_lobby" },
    { 0x9784, "trigger_fallingwatervolume_think" },
    { 0x9785, "trigger_flag_clear" },
    { 0x9786, "trigger_flag_on_cleared" },
    { 0x9787, "trigger_flag_set" },
    { 0x9788, "trigger_flag_set_coop" },
    { 0x9789, "trigger_flag_set_player" },
    { 0x978A, "trigger_flag_set_specialops" },
    { 0x978B, "trigger_flag_set_specialops_clear" },
    { 0x978C, "trigger_flag_set_touching" },
    { 0x978D, "trigger_flags" },
    { 0x978E, "trigger_flashlight_off" },
    { 0x978F, "trigger_fob_dof_autofocus_disable" },
    { 0x9790, "trigger_fob_dof_autofocus_enable" },
    { 0x9791, "trigger_fob_dof_moment" },
    { 0x9792, "trigger_fog" },
    { 0x9793, "trigger_force_shadow_off_subcarback_firespot" },
    { 0x9794, "trigger_force_shadow_on_subcarback_firespot" },
    { 0x9795, "trigger_friendly_respawn" },
    { 0x9796, "trigger_friendly_stop_respawn" },
    { 0x9797, "trigger_func" },
    { 0x9798, "trigger_function_keys" },
    { 0x9799, "trigger_functions" },
    { 0x979A, "trigger_glass_break" },
    { 0x979B, "trigger_group" },
    { 0x979C, "trigger_group_remove" },
    { 0x979D, "trigger_handle_jump_mount" },
    { 0x979E, "trigger_handle_mag_mount" },
    { 0x979F, "trigger_hint" },
    { 0x97A0, "trigger_hint_func" },
    { 0x97A1, "trigger_hint_string" },
    { 0x97A2, "trigger_hotel_fall" },
    { 0x97A3, "trigger_ignore" },
    { 0x97A4, "trigger_interior_fog" },
    { 0x97A5, "trigger_issues_orders" },
    { 0x97A6, "trigger_kill_jb_s_flicker" },
    { 0x97A7, "trigger_kill_player" },
    { 0x97A8, "trigger_kill_sh_s_flicker" },
    { 0x97A9, "trigger_lookat" },
    { 0x97AA, "trigger_lookat_think" },
    { 0x97AB, "trigger_looking" },
    { 0x97AC, "trigger_multiple_audio_blend" },
    { 0x97AD, "trigger_multiple_audio_get_target_ent_origin" },
    { 0x97AE, "trigger_multiple_audio_get_target_ent_target" },
    { 0x97AF, "trigger_multiple_audio_get_target_ent_target_ent" },
    { 0x97B0, "trigger_multiple_audio_get_target_ent_target_ent_origin" },
    { 0x97B1, "trigger_multiple_audio_get_zone_from" },
    { 0x97B2, "trigger_multiple_audio_get_zone_to" },
    { 0x97B3, "trigger_multiple_audio_progress" },
    { 0x97B4, "trigger_multiple_audio_progress_point" },
    { 0x97B5, "trigger_multiple_audio_register_callback" },
    { 0x97B6, "trigger_multiple_audio_trigger" },
    { 0x97B7, "trigger_multiple_compass" },
    { 0x97B8, "trigger_multiple_depthoffield" },
    { 0x97B9, "trigger_multiple_fx_trigger_off_think" },
    { 0x97BA, "trigger_multiple_fx_trigger_on_think" },
    { 0x97BB, "trigger_multiple_fx_volume" },
    { 0x97BC, "trigger_multiple_fx_watersheeting" },
    { 0x97BD, "trigger_multiple_sunflare" },
    { 0x97BE, "trigger_multiple_tessellationcutoff" },
    { 0x97BF, "trigger_multiple_visionset" },
    { 0x97C0, "trigger_mwp_sinkhole_forceshadows" },
    { 0x97C1, "trigger_no_crouch_or_prone" },
    { 0x97C2, "trigger_no_prone" },
    { 0x97C3, "trigger_nobloodpool" },
    { 0x97C4, "trigger_off" },
    { 0x97C5, "trigger_off_proc" },
    { 0x97C6, "trigger_on" },
    { 0x97C7, "trigger_on_proc" },
    { 0x97C8, "trigger_origin" },
    { 0x97C9, "trigger_pacifist" },
    { 0x97CA, "trigger_physics" },
    { 0x97CB, "trigger_playerseek" },
    { 0x97CC, "trigger_pool_spawners" },
    { 0x97CD, "trigger_process" },
    { 0x97CE, "trigger_process_optimized" },
    { 0x97CF, "trigger_process_set" },
    { 0x97D0, "trigger_radio" },
    { 0x97D1, "trigger_reinforcement_get_reinforcement_spawner" },
    { 0x97D2, "trigger_reinforcement_spawn_guys" },
    { 0x97D3, "trigger_requires_player" },
    { 0x97D4, "trigger_runs_function_on_touch" },
    { 0x97D5, "trigger_s_flicker_fluo_jump2_shadow_on" },
    { 0x97D6, "trigger_science_room" },
    { 0x97D7, "trigger_script_flag_false" },
    { 0x97D8, "trigger_script_flag_true" },
    { 0x97D9, "trigger_seoul_art_center_atrium" },
    { 0x97DA, "trigger_seoul_building_jump" },
    { 0x97DB, "trigger_seoul_exterior" },
    { 0x97DC, "trigger_seoul_finale_cinematic_lighting" },
    { 0x97DD, "trigger_seoul_hotel_hallway_cg" },
    { 0x97DE, "trigger_seoul_shopping" },
    { 0x97DF, "trigger_seoul_streets_02" },
    { 0x97E0, "trigger_seoul_streets_02_xx" },
    { 0x97E1, "trigger_seoul_vista" },
    { 0x97E2, "trigger_set_and_clear_flag_think" },
    { 0x97E3, "trigger_setup" },
    { 0x97E4, "trigger_setup_bar2_enter" },
    { 0x97E5, "trigger_setup_bar2_exit" },
    { 0x97E6, "trigger_setup_shopping_restaraunt_interior_enter" },
    { 0x97E7, "trigger_setup_shopping_restaraunt_interior_exit" },
    { 0x97E8, "trigger_setup_shopping_walkway_enter" },
    { 0x97E9, "trigger_setup_shopping_walkway_exit" },
    { 0x97EA, "trigger_setup_shopping_walkway_pre_enter" },
    { 0x97EB, "trigger_silo_centroid_switch_floor3" },
    { 0x97EC, "trigger_silo_centroid_switch_top" },
    { 0x97ED, "trigger_silo_p1" },
    { 0x97EE, "trigger_slide" },
    { 0x97EF, "trigger_spawn" },
    { 0x97F0, "trigger_spawn_and_set_flag_think" },
    { 0x97F1, "trigger_spawner" },
    { 0x97F2, "trigger_spawner_reinforcement" },
    { 0x97F3, "trigger_spawner_spawns_guys" },
    { 0x97F4, "trigger_spawngroup" },
    { 0x97F5, "trigger_sprinklervolume_setup" },
    { 0x97F6, "trigger_sprinklervolume_think" },
    { 0x97F7, "trigger_stats" },
    { 0x97F8, "trigger_store_drive_sequence" },
    { 0x97F9, "trigger_string" },
    { 0x97FA, "trigger_sun_off" },
    { 0x97FB, "trigger_sun_on" },
    { 0x97FC, "trigger_throw_grenade_at_player" },
    { 0x97FD, "trigger_to_flag" },
    { 0x97FE, "trigger_to_notify" },
    { 0x97FF, "trigger_turns_off" },
    { 0x9800, "trigger_unlock" },
    { 0x9801, "trigger_unlock_death" },
    { 0x9802, "trigger_vehicle_getin_spawn" },
    { 0x9803, "trigger_vehicle_spawn" },
    { 0x9804, "trigger_vehicle_spline_spawn" },
    { 0x9805, "trigger_wait" },
    { 0x9806, "trigger_wait_targetname" },
    { 0x9807, "trigger_wakevolume_think" },
    { 0x9808, "triggeractivate" },
    { 0x9809, "triggered_time" },
    { 0x980A, "triggerhintstring" },
    { 0x980B, "triggerhurtlower" },
    { 0x980C, "triggerhurtupper" },
    { 0x980D, "triggerkillvehiclesbuilding" },
    { 0x980E, "triggerkillvehiclesbuildingoffset" },
    { 0x980F, "triggerkillvehiclesheli" },
    { 0x9810, "triggerkillvehicleshelioffset" },
    { 0x9811, "triggerlowerorigin" },
    { 0x9812, "triggermultiplevisionlightsetinternal" },
    { 0x9813, "triggersenable" },
    { 0x9814, "triggertouchthink" },
    { 0x9815, "triggertype" },
    { 0x9816, "triggerunlocked" },
    { 0x9817, "triggerupperorigin" },
    { 0x9818, "trigorigin" },
    { 0x9819, "trigs" },
    { 0x981A, "trigunderwater" },
    { 0x981B, "trigwait" },
    { 0x981C, "triplekillcount" },
    { 0x981D, "trolley_doors_function" },
    { 0x981E, "troop_cache" },
    { 0x981F, "troop_cache_update_next" },
    { 0x9820, "trophies" },
    { 0x9821, "trophy_ammo_counter" },
    { 0x9822, "trophy_cost" },
    { 0x9823, "trophy_count" },
    { 0x9824, "trophy_reload" },
    { 0x9825, "trophy_reload_bar" },
    { 0x9826, "trophy_system" },
    { 0x9827, "trophy_system_backup" },
    { 0x9828, "trophy_system_explosion" },
    { 0x9829, "trophy0" },
    { 0x982A, "trophy60" },
    { 0x982B, "trophy80" },
    { 0x982C, "trophyactive" },
    { 0x982D, "trophyaddlaser" },
    { 0x982E, "trophyammo" },
    { 0x982F, "trophyammomax" },
    { 0x9830, "trophyangleoffset" },
    { 0x9831, "trophyarray" },
    { 0x9832, "trophybreak" },
    { 0x9833, "trophychangeowner" },
    { 0x9834, "trophydamage" },
    { 0x9835, "trophydisconnectwaiter" },
    { 0x9836, "trophyfx_enemy" },
    { 0x9837, "trophyfx_friendly" },
    { 0x9838, "trophyfx_ground_enemy" },
    { 0x9839, "trophyfx_ground_friendly" },
    { 0x983A, "trophyhandlelaser" },
    { 0x983B, "trophymovestunent" },
    { 0x983C, "trophyplayerspawnwaiter" },
    { 0x983D, "trophyremainingammo" },
    { 0x983E, "trophysetmindot" },
    { 0x983F, "trophystunbegin" },
    { 0x9840, "trophystunend" },
    { 0x9841, "trophytags" },
    { 0x9842, "trophyupdatelaser" },
    { 0x9843, "trophyuselistener" },
    { 0x9844, "trophywithinmindot" },
    { 0x9845, "truck" },
    { 0x9846, "truck_cargo_door_open" },
    { 0x9847, "truck_distance_to_end" },
    { 0x9848, "truck_dodge_qte" },
    { 0x9849, "truck_dust_trail" },
    { 0x984A, "truck_headlights_on" },
    { 0x984B, "truck_headon_collision" },
    { 0x984C, "truck_jump_slowmo" },
    { 0x984D, "truck_latch_open_trail" },
    { 0x984E, "truck_latch_rumble" },
    { 0x984F, "truck_middle_dodge_slowmo_end" },
    { 0x9850, "truck_middle_jump_slowmo_end" },
    { 0x9851, "truck_middle_jump2_slowmo_end" },
    { 0x9852, "truck_middle_punch_slowmo_end" },
    { 0x9853, "truck_middle_takedown_failure" },
    { 0x9854, "truck_middle_takedown_gameover" },
    { 0x9855, "truck_middle_takedown_middle_player_free_aim" },
    { 0x9856, "truck_middle_takedown_player_dodge_check" },
    { 0x9857, "truck_middle_takedown_player_jump" },
    { 0x9858, "truck_middle_takedown_player_jump2" },
    { 0x9859, "truck_middle_takedown_player_pull_windshield" },
    { 0x985A, "truck_middle_takedown_player_shot_enemy_check" },
    { 0x985B, "truck_middle_takedown_player_shot_timer" },
    { 0x985C, "truck_middle_takedown_set_normal_time_if_gun_fired" },
    { 0x985D, "truck_org_cords" },
    { 0x985E, "truck_punch_slowmo" },
    { 0x985F, "truck_rail_impact" },
    { 0x9860, "truck_rearview_mirror_snap" },
    { 0x9861, "truck_swap" },
    { 0x9862, "truck_swim_latch_open_player_validation" },
    { 0x9863, "truck_takedown" },
    { 0x9864, "truck_takedown_burke" },
    { 0x9865, "truck_takedown_player_fall" },
    { 0x9866, "truck_takedown_player_hold_check" },
    { 0x9867, "truck_takedown_player_hold_fail" },
    { 0x9868, "truck_takedown_player_pry_open" },
    { 0x9869, "truck_takedown_player_shot_enemy_check" },
    { 0x986A, "truck_takedown_radio" },
    { 0x986B, "truck_to_bus_slowmo" },
    { 0x986C, "truck_to_s1elevator_scene" },
    { 0x986D, "truck_treadfx_skid" },
    { 0x986E, "truck_treadfx_turn" },
    { 0x986F, "truck_treadfx_wheels" },
    { 0x9870, "truck_turret_flank_alley" },
    { 0x9871, "truck_turret_flank_alley_drive_away" },
    { 0x9872, "truck_turret_listener" },
    { 0x9873, "truck_water_impact" },
    { 0x9874, "truck_whipeout_anim_begin" },
    { 0x9875, "truckaudio" },
    { 0x9876, "truckblood" },
    { 0x9877, "truckbodystashanimations" },
    { 0x9878, "truckbrakelights" },
    { 0x9879, "truckdrivein" },
    { 0x987A, "truckjunk" },
    { 0x987B, "truckjunk_dyn" },
    { 0x987C, "truckmovetruck" },
    { 0x987D, "truckstartwalknotetrack" },
    { 0x987E, "truckstashweaponswap" },
    { 0x987F, "truecount" },
    { 0x9880, "truncate_time_ms" },
    { 0x9881, "try_balcony_death" },
    { 0x9882, "try_clear_hide_goal" },
    { 0x9883, "try_forever_spawn" },
    { 0x9884, "try_place_global_badplace" },
    { 0x9885, "try_raise_shield" },
    { 0x9886, "try_respawn_death" },
    { 0x9887, "try_to_autosave_now" },
    { 0x9888, "try_to_dogfight" },
    { 0x9889, "try_to_draw_line_to_node" },
    { 0x988A, "try_to_lock_on" },
    { 0x988B, "try_use_exo_mute" },
    { 0x988C, "tryadddeathanim" },
    { 0x988D, "tryaddfiringdeathanim" },
    { 0x988E, "tryautosave" },
    { 0x988F, "trycornerrightgrenadedeath" },
    { 0x9890, "trydive" },
    { 0x9891, "trydodgewithanim" },
    { 0x9892, "tryexposedreacquire" },
    { 0x9893, "tryexposedthrowgrenade" },
    { 0x9894, "trygivehordeweapon" },
    { 0x9895, "trygrenade" },
    { 0x9896, "trygrenadeposproc" },
    { 0x9897, "trygrenadethrow" },
    { 0x9898, "tryingtouseks" },
    { 0x9899, "trymelee" },
    { 0x989A, "tryorderto" },
    { 0x989B, "tryreload" },
    { 0x989C, "tryrunningtoenemy" },
    { 0x989D, "trythrowinggrenade" },
    { 0x989E, "trythrowinggrenadestayhidden" },
    { 0x989F, "trytogetoutofdangeroussituation" },
    { 0x98A0, "trytorepelmissile" },
    { 0x98A1, "tryuseadrenaline" },
    { 0x98A2, "tryuseairstrike" },
    { 0x98A3, "tryuseassaultdrone" },
    { 0x98A4, "tryuseautosentry" },
    { 0x98A5, "tryusedefaultorbitalcarepackage" },
    { 0x98A6, "tryusedog" },
    { 0x98A7, "tryuseexplosivedrone" },
    { 0x98A8, "tryuseexplosivegel" },
    { 0x98A9, "tryuseextrahealth" },
    { 0x98AA, "tryusefastheal" },
    { 0x98AB, "tryuseheavyexosuit" },
    { 0x98AC, "tryusekillstreak" },
    { 0x98AD, "tryusemissilestrike" },
    { 0x98AE, "tryusempinstinct" },
    { 0x98AF, "tryusemplaser" },
    { 0x98B0, "tryusempprison" },
    { 0x98B1, "tryusemprecovery" },
    { 0x98B2, "tryusemprefraction" },
    { 0x98B3, "tryusemutebomb" },
    { 0x98B4, "tryusenuke" },
    { 0x98B5, "tryuseorbitalcarepackage" },
    { 0x98B6, "tryuseorbitaljuggernautexosuit" },
    { 0x98B7, "tryuseorbitalstrike" },
    { 0x98B8, "tryuseorbitalsupport" },
    { 0x98B9, "tryuserecondrone" },
    { 0x98BA, "tryusereconsquadmate" },
    { 0x98BB, "tryusereinforcementcommon" },
    { 0x98BC, "tryusereinforcementpractice" },
    { 0x98BD, "tryusereinforcementrare" },
    { 0x98BE, "tryusereinforcementuncommon" },
    { 0x98BF, "tryuseremotemgsentryturret" },
    { 0x98C0, "tryuseremotemgturret" },
    { 0x98C1, "tryuseremoteturret" },
    { 0x98C2, "tryuserepulsor" },
    { 0x98C3, "tryuserippedturret" },
    { 0x98C4, "tryuserippedturretinternal" },
    { 0x98C5, "tryusesam" },
    { 0x98C6, "tryusesolarreflector" },
    { 0x98C7, "tryusesquadmate" },
    { 0x98C8, "tryusestrafingrunairstrike" },
    { 0x98C9, "tryuseteamammorefill" },
    { 0x98CA, "tryusetrackingdrone" },
    { 0x98CB, "tryusetridrone" },
    { 0x98CC, "tryuseuav" },
    { 0x98CD, "tryusewarbird" },
    { 0x98CE, "tryusingsidearm" },
    { 0x98CF, "tsunami_alarm" },
    { 0x98D0, "tsunami_vo_ext" },
    { 0x98D1, "tsunami_vo_int" },
    { 0x98D2, "tunnel_runner_walla" },
    { 0x98D3, "tunnel_sequence_dof" },
    { 0x98D4, "turbine_combat_mid_checkpoint_1" },
    { 0x98D5, "turbine_enemy_elevator_removal" },
    { 0x98D6, "turbine_explo" },
    { 0x98D7, "turbine_fan_think" },
    { 0x98D8, "turbine_pre_explo" },
    { 0x98D9, "turbine_room" },
    { 0x98DA, "turbine_room_atmosphere" },
    { 0x98DB, "turbine_room_combat" },
    { 0x98DC, "turbine_room_combat_initial" },
    { 0x98DD, "turbine_room_combat_seek_player" },
    { 0x98DE, "turbine_room_elevator" },
    { 0x98DF, "turbine_room_elevator_ascent_time" },
    { 0x98E0, "turbine_room_elevator_button" },
    { 0x98E1, "turbine_room_elevator_button_pressed_anim" },
    { 0x98E2, "turbine_room_elevator_think" },
    { 0x98E3, "turbine_room_enemy_think" },
    { 0x98E4, "turbine_room_entrance_steam" },
    { 0x98E5, "turbine_room_explosion" },
    { 0x98E6, "turbine_room_explosion_flying_blades" },
    { 0x98E7, "turbine_room_explosion_launch_blade" },
    { 0x98E8, "turbine_room_goal_volume" },
    { 0x98E9, "turbine_room_goal_volume_trigger_think" },
    { 0x98EA, "turbine_room_pre_explosion" },
    { 0x98EB, "turbine_room_squibs" },
    { 0x98EC, "turbine_room_steam_player" },
    { 0x98ED, "turbine_room_turbines" },
    { 0x98EE, "turbine_spin" },
    { 0x98EF, "turkey_anim_nag" },
    { 0x98F0, "turkey_boost_assist" },
    { 0x98F1, "turkey_boost_logic" },
    { 0x98F2, "turkey_complain" },
    { 0x98F3, "turkey_drone" },
    { 0x98F4, "turkey_drone_logic" },
    { 0x98F5, "turkey_enemy_anim" },
    { 0x98F6, "turkey_enemy_anim_loop" },
    { 0x98F7, "turkey_listen" },
    { 0x98F8, "turkey_patrol_logic" },
    { 0x98F9, "turkey_shoot" },
    { 0x98FA, "turkey_shoot_anim" },
    { 0x98FB, "turkey_shoot_dialog" },
    { 0x98FC, "turkey_shoot_drone" },
    { 0x98FD, "turkey_shoot_enemies" },
    { 0x98FE, "turkey_shoot_enemy_dialog" },
    { 0x98FF, "turkey_shoot_open_fire" },
    { 0x9900, "turkey_shoot_patrol" },
    { 0x9901, "turkey_timer" },
    { 0x9902, "turn_180_move_start_func" },
    { 0x9903, "turn_left" },
    { 0x9904, "turn_off_car_alarm" },
    { 0x9905, "turn_off_exploders" },
    { 0x9906, "turn_off_flares" },
    { 0x9907, "turn_off_gold_light" },
    { 0x9908, "turn_off_highlight" },
    { 0x9909, "turn_off_jammer_triggers" },
    { 0x990A, "turn_off_jeep_light" },
    { 0x990B, "turn_off_light" },
    { 0x990C, "turn_off_light_bright" },
    { 0x990D, "turn_off_lighting_fx_post_mini_games" },
    { 0x990E, "turn_off_the_cloak_effect" },
    { 0x990F, "turn_off_the_cloak_effect_when_able" },
    { 0x9910, "turn_off_top_tank_lights" },
    { 0x9911, "turn_on_cheap_flashlight" },
    { 0x9912, "turn_on_helmet_light" },
    { 0x9913, "turn_on_helmet_light_bright" },
    { 0x9914, "turn_on_highlight" },
    { 0x9915, "turn_on_lab_lights" },
    { 0x9916, "turn_on_lab_lights_scriptable" },
    { 0x9917, "turn_on_laser" },
    { 0x9918, "turn_on_laser_group_and_scan" },
    { 0x9919, "turn_on_the_cloak_effect" },
    { 0x991A, "turn_on_the_cloak_effect_wallclimb" },
    { 0x991B, "turn_on_the_cloak_effect_when_able" },
    { 0x991C, "turn_on_weapon_light" },
    { 0x991D, "turn_right" },
    { 0x991E, "turn_self_into_level_notify" },
    { 0x991F, "turn_signal_off" },
    { 0x9920, "turn_signal_on" },
    { 0x9921, "turn_thermal_off" },
    { 0x9922, "turn_thermal_on" },
    { 0x9923, "turn_trig_active_on_flag" },
    { 0x9924, "turn_unloading_drones_to_ai" },
    { 0x9925, "turnanim" },
    { 0x9926, "turnbackon" },
    { 0x9927, "turningaimingoff" },
    { 0x9928, "turningaimingon" },
    { 0x9929, "turnlastresort" },
    { 0x992A, "turnoff" },
    { 0x992B, "turnoffvariablescopehud" },
    { 0x992C, "turnonandhideorbitalhud" },
    { 0x992D, "turnondangerlights" },
    { 0x992E, "turnondangerlightsexplosive" },
    { 0x992F, "turnonplayerhudoutline" },
    { 0x9930, "turnonsuperfx" },
    { 0x9931, "turnonvariablescopehud" },
    { 0x9932, "turnthreshold" },
    { 0x9933, "turntime" },
    { 0x9934, "turntoangle" },
    { 0x9935, "turntofacerelativeyaw" },
    { 0x9936, "turntomatchnode" },
    { 0x9937, "turntomatchnodedirection" },
    { 0x9938, "turret" },
    { 0x9939, "turret_ai" },
    { 0x993A, "turret_aim_restore" },
    { 0x993B, "turret_aim_straight" },
    { 0x993C, "turret_aiming_near_target" },
    { 0x993D, "turret_animate" },
    { 0x993E, "turret_animfirstframe" },
    { 0x993F, "turret_blinky_light" },
    { 0x9940, "turret_can_see_target" },
    { 0x9941, "turret_choose_targets" },
    { 0x9942, "turret_cleanup" },
    { 0x9943, "turret_cleanup_on_unload" },
    { 0x9944, "turret_clearpickuphints" },
    { 0x9945, "turret_coolmonitor" },
    { 0x9946, "turret_createantiintrusionkillcament" },
    { 0x9947, "turret_damage_max" },
    { 0x9948, "turret_damage_min" },
    { 0x9949, "turret_damage_range" },
    { 0x994A, "turret_dead_vo" },
    { 0x994B, "turret_deathsounds" },
    { 0x994C, "turret_default_fire" },
    { 0x994D, "turret_deleteme" },
    { 0x994E, "turret_emp_ready" },
    { 0x994F, "turret_exploding_debug" },
    { 0x9950, "turret_find_user" },
    { 0x9951, "turret_fire_tag" },
    { 0x9952, "turret_firerocket" },
    { 0x9953, "turret_firerockets" },
    { 0x9954, "turret_function" },
    { 0x9955, "turret_gameend" },
    { 0x9956, "turret_get_angle_to_target" },
    { 0x9957, "turret_gunner_custom_anim" },
    { 0x9958, "turret_handledeath" },
    { 0x9959, "turret_handlelaser" },
    { 0x995A, "turret_handleownerdisconnect" },
    { 0x995B, "turret_handlepickup" },
    { 0x995C, "turret_handlepitch" },
    { 0x995D, "turret_handleuse" },
    { 0x995E, "turret_heatmonitor" },
    { 0x995F, "turret_hordeshootdrone" },
    { 0x9960, "turret_hud_clear" },
    { 0x9961, "turret_hud_elem_fadeout" },
    { 0x9962, "turret_hud_elem_init" },
    { 0x9963, "turret_hud_elem_init_nofade" },
    { 0x9964, "turret_hud_init" },
    { 0x9965, "turret_incrementdamagefade" },
    { 0x9966, "turret_is_mine" },
    { 0x9967, "turret_isstunned" },
    { 0x9968, "turret_minigun_fire" },
    { 0x9969, "turret_minigun_target_track" },
    { 0x996A, "turret_models" },
    { 0x996B, "turret_modifydamage" },
    { 0x996C, "turret_monitoruse" },
    { 0x996D, "turret_movedown" },
    { 0x996E, "turret_movement_sound" },
    { 0x996F, "turret_movement2_sound" },
    { 0x9970, "turret_movement3_sound" },
    { 0x9971, "turret_moveup" },
    { 0x9972, "turret_oncarrierchangedteam" },
    { 0x9973, "turret_oncarrierdeath" },
    { 0x9974, "turret_oncarrierdisconnect" },
    { 0x9975, "turret_ongameended" },
    { 0x9976, "turret_overheat_bar" },
    { 0x9977, "turret_player_init" },
    { 0x9978, "turret_playerthread" },
    { 0x9979, "turret_quickdeath" },
    { 0x997A, "turret_recenter" },
    { 0x997B, "turret_rotate_accel" },
    { 0x997C, "turret_rotate_timeout" },
    { 0x997D, "turret_set_default_on_mode" },
    { 0x997E, "turret_setactive" },
    { 0x997F, "turret_setcancelled" },
    { 0x9980, "turret_setcarried" },
    { 0x9981, "turret_setinactive" },
    { 0x9982, "turret_setpickuphints" },
    { 0x9983, "turret_setplaced" },
    { 0x9984, "turret_setup" },
    { 0x9985, "turret_shell_fx" },
    { 0x9986, "turret_shell_sound" },
    { 0x9987, "turret_shoot_missile" },
    { 0x9988, "turret_shoot_vtols" },
    { 0x9989, "turret_shotmonitor" },
    { 0x998A, "turret_startshooting" },
    { 0x998B, "turret_stoprockets" },
    { 0x998C, "turret_stopshooting" },
    { 0x998D, "turret_target_override" },
    { 0x998E, "turret_target_updater" },
    { 0x998F, "turret_target_validate" },
    { 0x9990, "turret_targeting" },
    { 0x9991, "turret_think" },
    { 0x9992, "turret_timeout" },
    { 0x9993, "turret_to_missile_index" },
    { 0x9994, "turret_track_rotatedirection" },
    { 0x9995, "turret_turnleft" },
    { 0x9996, "turret_update_rotatedirection" },
    { 0x9997, "turret_use_time" },
    { 0x9998, "turret_user_moves" },
    { 0x9999, "turret_watchdisabled" },
    { 0x999A, "turret_watchemp" },
    { 0x999B, "turret1spawns" },
    { 0x999C, "turret2passenger_anime" },
    { 0x999D, "turret2spawns" },
    { 0x999E, "turret3spawns" },
    { 0x999F, "turretaccmaxs" },
    { 0x99A0, "turretaccmins" },
    { 0x99A1, "turretdeathanim" },
    { 0x99A2, "turretdeathanimroot" },
    { 0x99A3, "turretdeathdetacher" },
    { 0x99A4, "turretdeletesoundents" },
    { 0x99A5, "turretdetacher" },
    { 0x99A6, "turretdoaimanims" },
    { 0x99A7, "turretdoshoot" },
    { 0x99A8, "turretdoshootanims" },
    { 0x99A9, "turretfiretimer" },
    { 0x99AA, "turretflashbangedanim" },
    { 0x99AB, "turretinfo" },
    { 0x99AC, "turretinit" },
    { 0x99AD, "turretmodel" },
    { 0x99AE, "turretonvistarg" },
    { 0x99AF, "turretonvistarg_failed" },
    { 0x99B0, "turretpainanims" },
    { 0x99B1, "turretpitch" },
    { 0x99B2, "turretreloadanim" },
    { 0x99B3, "turrets" },
    { 0x99B4, "turretsettings" },
    { 0x99B5, "turretshoot" },
    { 0x99B6, "turretshootblank" },
    { 0x99B7, "turretspawnsoundents" },
    { 0x99B8, "turretspecialanims" },
    { 0x99B9, "turretspecialanimsroot" },
    { 0x99BA, "turretstate" },
    { 0x99BB, "turrettimer" },
    { 0x99BC, "turrettrackingoverlay" },
    { 0x99BD, "turrettype" },
    { 0x99BE, "tutorial_anim_struct" },
    { 0x99BF, "tutorial_enemy_1" },
    { 0x99C0, "tutorial_enemy_2" },
    { 0x99C1, "tutorial_enemy_3" },
    { 0x99C2, "tutorial_guards_vo" },
    { 0x99C3, "tutorial_vo" },
    { 0x99C4, "tv_broadcast_lp" },
    { 0x99C5, "tv_changes_color" },
    { 0x99C6, "tv_changes_intensity" },
    { 0x99C7, "tv_damage" },
    { 0x99C8, "tv_dest_lp" },
    { 0x99C9, "tv_destroyed" },
    { 0x99CA, "tv_lite_array" },
    { 0x99CB, "tv_logic" },
    { 0x99CC, "tv_movie" },
    { 0x99CD, "tv_movie2" },
    { 0x99CE, "tv_off" },
    { 0x99CF, "twar_dist" },
    { 0x99D0, "twar_spawn_dist" },
    { 0x99D1, "twar_spawn_dot" },
    { 0x99D2, "twar_team_momentum" },
    { 0x99D3, "twar_team_multiplier" },
    { 0x99D4, "twar_use_obj" },
    { 0x99D5, "twar_zone" },
    { 0x99D6, "twar_zones" },
    { 0x99D7, "tweak_enemy_hp" },
    { 0x99D8, "tweakablesinitialized" },
    { 0x99D9, "tweakart" },
    { 0x99DA, "tweakfile" },
    { 0x99DB, "tweaklightset" },
    { 0x99DC, "two_mech_hunt" },
    { 0x99DD, "two_stage_spawner_think" },
    { 0x99DE, "typeid" },
    { 0x99DF, "typelimited" },
    { 0x99E0, "uav_paint_effect" },
    { 0x99E1, "uavmodels" },
    { 0x99E2, "uavondeath" },
    { 0x99E3, "uavrig" },
    { 0x99E4, "uavtracker" },
    { 0x99E5, "uavtype" },
    { 0x99E6, "ugvmarkedarrays" },
    { 0x99E7, "ugvs" },
    { 0x99E8, "ui_action_slot_force_active_off" },
    { 0x99E9, "ui_action_slot_force_active_on" },
    { 0x99EA, "ui_action_slot_force_active_one_time" },
    { 0x99EB, "ui_dog_grenade_logic" },
    { 0x99EC, "uiparent" },
    { 0x99ED, "umbra" },
    { 0x99EE, "umbra_accuracy_tweaks" },
    { 0x99EF, "umbra_accuracy_tweaks_tank_field" },
    { 0x99F0, "umbra_override_tunnel" },
    { 0x99F1, "umbra_tweak_1024" },
    { 0x99F2, "umbra_tweak_128" },
    { 0x99F3, "unarmed" },
    { 0x99F4, "unblockarea" },
    { 0x99F5, "unblockentsinarea" },
    { 0x99F6, "uncloak_ambient_warbird" },
    { 0x99F7, "uncloak_model" },
    { 0x99F8, "uncloak_warbird" },
    { 0x99F9, "under_water_set" },
    { 0x99FA, "underground_pipe_explosion_pickup_truck_vfx" },
    { 0x99FB, "underground_pipe_explosion_utility_truck_vfx" },
    { 0x99FC, "underwater" },
    { 0x99FD, "underwater_ambient_fx" },
    { 0x99FE, "underwater_blood" },
    { 0x99FF, "underwater_boat_visionset_change" },
    { 0x9A00, "underwater_bullets" },
    { 0x9A01, "underwater_bullets_4100" },
    { 0x9A02, "underwater_bullets_4200" },
    { 0x9A03, "underwater_bullets_4300" },
    { 0x9A04, "underwater_bullets_500" },
    { 0x9A05, "underwater_bullets_530" },
    { 0x9A06, "underwater_bullets_540" },
    { 0x9A07, "underwater_bullets_vm" },
    { 0x9A08, "underwater_cloudy" },
    { 0x9A09, "underwater_hud_enable" },
    { 0x9A0A, "underwater_lightset" },
    { 0x9A0B, "underwater_mech_footsteps" },
    { 0x9A0C, "underwater_objective_hack" },
    { 0x9A0D, "underwater_reflection" },
    { 0x9A0E, "underwater_rescue" },
    { 0x9A0F, "underwater_sequence" },
    { 0x9A10, "underwater_sound_ent" },
    { 0x9A11, "underwater_sunrays" },
    { 0x9A12, "underwater_triggers" },
    { 0x9A13, "underwater_visionset_callback" },
    { 0x9A14, "underwater_visionset_change" },
    { 0x9A15, "underwater_visionset_change_cleanup" },
    { 0x9A16, "underwater_walk" },
    { 0x9A17, "underwaterbubbles" },
    { 0x9A18, "underwatercloudy" },
    { 0x9A19, "underwatermotiontype" },
    { 0x9A1A, "underwatertriggers" },
    { 0x9A1B, "undo" },
    { 0x9A1C, "unearned_icon_col" },
    { 0x9A1D, "unflash_flag" },
    { 0x9A1E, "unfreezecontrolsdelay" },
    { 0x9A1F, "unhide_me_on_flag" },
    { 0x9A20, "unignore_everything" },
    { 0x9A21, "unique_id" },
    { 0x9A22, "units2yards" },
    { 0x9A23, "unlimit_player_view" },
    { 0x9A24, "unlimited_ammo" },
    { 0x9A25, "unlimited_mech_ammo" },
    { 0x9A26, "unlink_failsafe" },
    { 0x9A27, "unlink_failsafe_running" },
    { 0x9A28, "unlink_from_zip" },
    { 0x9A29, "unlink_player_from_drone" },
    { 0x9A2A, "unlink_player_from_mob_turret" },
    { 0x9A2B, "unlink_trigger" },
    { 0x9A2C, "unlinkanddelete" },
    { 0x9A2D, "unlinknextframe" },
    { 0x9A2E, "unlinkplayer" },
    { 0x9A2F, "unlinkto_with_world_offset" },
    { 0x9A30, "unlit_model" },
    { 0x9A31, "unlit_models" },
    { 0x9A32, "unload_anim_height" },
    { 0x9A33, "unload_delay" },
    { 0x9A34, "unload_group" },
    { 0x9A35, "unload_groups" },
    { 0x9A36, "unload_intro_cinematic_assets" },
    { 0x9A37, "unload_load_transients" },
    { 0x9A38, "unload_model" },
    { 0x9A39, "unload_model_unload_anim" },
    { 0x9A3A, "unload_node" },
    { 0x9A3B, "unload_ondeath" },
    { 0x9A3C, "unloadque" },
    { 0x9A3D, "unlock" },
    { 0x9A3E, "unlock_frogger_traffic_spawner" },
    { 0x9A3F, "unlock_on_death" },
    { 0x9A40, "unlock_thread" },
    { 0x9A41, "unlock_traffic_spawner" },
    { 0x9A42, "unlock_wait" },
    { 0x9A43, "unmake_hero" },
    { 0x9A44, "unmark_enemy" },
    { 0x9A45, "unmark_guy" },
    { 0x9A46, "unmark_guy_fx" },
    { 0x9A47, "unmark_stencil" },
    { 0x9A48, "unmark_swarm_target" },
    { 0x9A49, "unmarkallies" },
    { 0x9A4A, "unmarkandremoveoutline" },
    { 0x9A4B, "unmarkdronetarget" },
    { 0x9A4C, "unmatched_death_rig_light_waits_for_lights_off" },
    { 0x9A4D, "unmute_wasp_oneshots" },
    { 0x9A4E, "unpause_flickerlight" },
    { 0x9A4F, "unregister_moving_collision_on_nodes" },
    { 0x9A50, "unresolved_collision_count" },
    { 0x9A51, "unresolved_collision_damage" },
    { 0x9A52, "unresolved_collision_func" },
    { 0x9A53, "unresolved_collision_kill" },
    { 0x9A54, "unresolved_collision_nearest_node" },
    { 0x9A55, "unresolved_collision_nodes" },
    { 0x9A56, "unresolved_collision_notify_min" },
    { 0x9A57, "unresolved_collision_owner_damage" },
    { 0x9A58, "unresolved_collision_void" },
    { 0x9A59, "unset_forcegoal" },
    { 0x9A5A, "unsetautospot" },
    { 0x9A5B, "unsetblackbox" },
    { 0x9A5C, "unsetblastshield" },
    { 0x9A5D, "unsetboostdash" },
    { 0x9A5E, "unsetcarepackage" },
    { 0x9A5F, "unsetcrouchmovement" },
    { 0x9A60, "unsetdelaymine" },
    { 0x9A61, "unsetdoubleload" },
    { 0x9A62, "unsetempimmune" },
    { 0x9A63, "unsetendgame" },
    { 0x9A64, "unsetenemydetection" },
    { 0x9A65, "unsetexomelee" },
    { 0x9A66, "unsetexoslam" },
    { 0x9A67, "unsetexoslide" },
    { 0x9A68, "unsetfinalstand" },
    { 0x9A69, "unsetfootstepeffect" },
    { 0x9A6A, "unsetfootstepeffectsmall" },
    { 0x9A6B, "unsetfreefall" },
    { 0x9A6C, "unsetfriendlydetection" },
    { 0x9A6D, "unsetfriendlyspawn" },
    { 0x9A6E, "unsethighjump" },
    { 0x9A6F, "unsetintelmode" },
    { 0x9A70, "unsetjuiced" },
    { 0x9A71, "unsetjuicedondeath" },
    { 0x9A72, "unsetjuicedonride" },
    { 0x9A73, "unsetjumpincrease" },
    { 0x9A74, "unsetlightarmor" },
    { 0x9A75, "unsetlightweight" },
    { 0x9A76, "unsetlocaljammer" },
    { 0x9A77, "unsetmarksman" },
    { 0x9A78, "unsetmovespeedincrease" },
    { 0x9A79, "unsetonemanarmy" },
    { 0x9A7A, "unsetoverdrive" },
    { 0x9A7B, "unsetoverkillpro" },
    { 0x9A7C, "unsetpainted" },
    { 0x9A7D, "unsetpersonaluav" },
    { 0x9A7E, "unsetrearview" },
    { 0x9A7F, "unsetrefractionturretplayer" },
    { 0x9A80, "unsetregenspeed" },
    { 0x9A81, "unsetsaboteur" },
    { 0x9A82, "unsetsharpfocus" },
    { 0x9A83, "unsetshield" },
    { 0x9A84, "unsetshowgrenades" },
    { 0x9A85, "unsetsiege" },
    { 0x9A86, "unsetsonicblast" },
    { 0x9A87, "unsetsteadyaimpro" },
    { 0x9A88, "unsetsteelnerves" },
    { 0x9A89, "unsetstim" },
    { 0x9A8A, "unsetstoppingpower" },
    { 0x9A8B, "unsetstunresistance" },
    { 0x9A8C, "unsetthermal" },
    { 0x9A8D, "unsetuav" },
    { 0x9A8E, "unstoppable_friendly_fire_shield" },
    { 0x9A8F, "unstorable_weapons" },
    { 0x9A90, "unsynchappened" },
    { 0x9A91, "up_arrow" },
    { 0x9A92, "up_position" },
    { 0x9A93, "update_actor_damage" },
    { 0x9A94, "update_aim_offset" },
    { 0x9A95, "update_aiming" },
    { 0x9A96, "update_anim_weight" },
    { 0x9A97, "update_avatars" },
    { 0x9A98, "update_battery_ability_icons" },
    { 0x9A99, "update_battlechatter_hud" },
    { 0x9A9A, "update_bcs_locations" },
    { 0x9A9B, "update_boid_settings" },
    { 0x9A9C, "update_bumper_think" },
    { 0x9A9D, "update_button_buffers" },
    { 0x9A9E, "update_calculations" },
    { 0x9A9F, "update_camera_angles_on_path" },
    { 0x9AA0, "update_camera_on_path" },
    { 0x9AA1, "update_camera_params_ratio" },
    { 0x9AA2, "update_camera_position_on_path" },
    { 0x9AA3, "update_cave_drill_anim" },
    { 0x9AA4, "update_cave_drill_anim_inside" },
    { 0x9AA5, "update_deathflag" },
    { 0x9AA6, "update_debug_element_data" },
    { 0x9AA7, "update_debug_friendlycolor" },
    { 0x9AA8, "update_debug_friendlycolor_on_death" },
    { 0x9AA9, "update_dismount" },
    { 0x9AAA, "update_dodge" },
    { 0x9AAB, "update_drone_attacks" },
    { 0x9AAC, "update_drone_moves" },
    { 0x9AAD, "update_drone_tactical_movement" },
    { 0x9AAE, "update_dummy_target_position" },
    { 0x9AAF, "update_em1_heat_omnvar" },
    { 0x9AB0, "update_enemy_target_pos_while_running" },
    { 0x9AB1, "update_exo_battery_hud" },
    { 0x9AB2, "update_exo_shield_icon" },
    { 0x9AB3, "update_flag_outline" },
    { 0x9AB4, "update_flock" },
    { 0x9AB5, "update_flock_goal_positions" },
    { 0x9AB6, "update_flying_attack_drone_goal_pos" },
    { 0x9AB7, "update_func" },
    { 0x9AB8, "update_gamer_profile" },
    { 0x9AB9, "update_grenade_dodger" },
    { 0x9ABA, "update_health_bar" },
    { 0x9ABB, "update_hud_text" },
    { 0x9ABC, "update_local_class" },
    { 0x9ABD, "update_lua_hud" },
    { 0x9ABE, "update_max_players_from_team_agents" },
    { 0x9ABF, "update_minion_hud_outlines" },
    { 0x9AC0, "update_missile_hud" },
    { 0x9AC1, "update_move_anim_type" },
    { 0x9AC2, "update_move_front_bias" },
    { 0x9AC3, "update_moving_collision_on_node" },
    { 0x9AC4, "update_moving_object_volume" },
    { 0x9AC5, "update_nozzle_opening" },
    { 0x9AC6, "update_outlines" },
    { 0x9AC7, "update_overdrive_icon" },
    { 0x9AC8, "update_path_speed" },
    { 0x9AC9, "update_personality_camper" },
    { 0x9ACA, "update_personality_default" },
    { 0x9ACB, "update_player_attacker_accuracy" },
    { 0x9ACC, "update_player_damage" },
    { 0x9ACD, "update_rate" },
    { 0x9ACE, "update_reloading_progress_bar" },
    { 0x9ACF, "update_river_drill_anim" },
    { 0x9AD0, "update_rumble_intensity" },
    { 0x9AD1, "update_scanner_direction_in_track_player_mode" },
    { 0x9AD2, "update_scanner_yaw_in_sweep_mode" },
    { 0x9AD3, "update_scanner_yaw_returning_to_sweep_mode" },
    { 0x9AD4, "update_selected_entities" },
    { 0x9AD5, "update_sonic_aoe_icon" },
    { 0x9AD6, "update_stealth_debug_hud" },
    { 0x9AD7, "update_steering" },
    { 0x9AD8, "update_sun_flare_position" },
    { 0x9AD9, "update_tactical" },
    { 0x9ADA, "update_tactical_picker" },
    { 0x9ADB, "update_target_hud" },
    { 0x9ADC, "update_target_time" },
    { 0x9ADD, "update_thruster_angle" },
    { 0x9ADE, "update_thrusters" },
    { 0x9ADF, "update_time" },
    { 0x9AE0, "update_trigger_based_on_flags" },
    { 0x9AE1, "update_trigger_pos" },
    { 0x9AE2, "update_trophy_reload_progress_bar" },
    { 0x9AE3, "update_ui_timers" },
    { 0x9AE4, "update_vehicle_status" },
    { 0x9AE5, "update_vfx_tags" },
    { 0x9AE6, "update_weapon_tag_visibility" },
    { 0x9AE7, "updateachievements" },
    { 0x9AE8, "updateaerialkillstreakmarker" },
    { 0x9AE9, "updateall" },
    { 0x9AEA, "updatealldifficulty" },
    { 0x9AEB, "updateammo" },
    { 0x9AEC, "updateangle" },
    { 0x9AED, "updateanimpose" },
    { 0x9AEE, "updateattachedweaponmodels" },
    { 0x9AEF, "updatebar" },
    { 0x9AF0, "updatebarscale" },
    { 0x9AF1, "updatebodyroll" },
    { 0x9AF2, "updatebufferedstats" },
    { 0x9AF3, "updatecapsperminute" },
    { 0x9AF4, "updatecaptues" },
    { 0x9AF5, "updatecarryobjectorigin" },
    { 0x9AF6, "updatechallenges" },
    { 0x9AF7, "updatechatter" },
    { 0x9AF8, "updatecheckforceragdoll" },
    { 0x9AF9, "updatechildren" },
    { 0x9AFA, "updatecombat" },
    { 0x9AFB, "updatecombatrecord" },
    { 0x9AFC, "updatecombatrecordcommondata" },
    { 0x9AFD, "updatecombatrecordforplayer" },
    { 0x9AFE, "updatecombatrecordforplayergamemodes" },
    { 0x9AFF, "updatecombatrecordforplayertrends" },
    { 0x9B00, "updatecompassicon" },
    { 0x9B01, "updatecompassicons" },
    { 0x9B02, "updatecontact" },
    { 0x9B03, "updatecpm" },
    { 0x9B04, "updatedamagefeedback" },
    { 0x9B05, "updatedamagefeedbackhud" },
    { 0x9B06, "updatedamagefeedbacksnd" },
    { 0x9B07, "updateddmscores" },
    { 0x9B08, "updatedeathiconsenabled" },
    { 0x9B09, "updatedefends" },
    { 0x9B0A, "updatedomscores" },
    { 0x9B0B, "updatedronesattackspeedmultiplier" },
    { 0x9B0C, "updateendreasontext" },
    { 0x9B0D, "updateenemy" },
    { 0x9B0E, "updateenemyuse" },
    { 0x9B0F, "updateentityheadicon" },
    { 0x9B10, "updateentityheadiconorigin" },
    { 0x9B11, "updateflyinscopeoverlay" },
    { 0x9B12, "updatefreeplayedtime" },
    { 0x9B13, "updatefreeplayertimes" },
    { 0x9B14, "updatefriendicons" },
    { 0x9B15, "updatefriendiconsettings" },
    { 0x9B16, "updatefrontandbackshields" },
    { 0x9B17, "updategameevents" },
    { 0x9B18, "updategameobjecthudindex" },
    { 0x9B19, "updategameskill" },
    { 0x9B1A, "updategametypedvars" },
    { 0x9B1B, "updategiveuponsuppressiontimer" },
    { 0x9B1C, "updateheadiconorigin" },
    { 0x9B1D, "updateheading" },
    { 0x9B1E, "updatehordesettings" },
    { 0x9B1F, "updatehorizontalvelocity" },
    { 0x9B20, "updatehoveridle" },
    { 0x9B21, "updatehoverspeed" },
    { 0x9B22, "updateidle" },
    { 0x9B23, "updateisincombattimer" },
    { 0x9B24, "updatekillstreaks" },
    { 0x9B25, "updatelaserstatus" },
    { 0x9B26, "updatelerppos" },
    { 0x9B27, "updateloadouts" },
    { 0x9B28, "updatelossstats" },
    { 0x9B29, "updatelowermessage" },
    { 0x9B2A, "updatemagshots" },
    { 0x9B2B, "updatemainmenu" },
    { 0x9B2C, "updatematchbonusscores" },
    { 0x9B2D, "updatemelee" },
    { 0x9B2E, "updatememberstates" },
    { 0x9B2F, "updateminimapsetting" },
    { 0x9B30, "updateminions" },
    { 0x9B31, "updatemlgobjectives" },
    { 0x9B32, "updatemove" },
    { 0x9B33, "updatemoveanimweights" },
    { 0x9B34, "updatemovemode" },
    { 0x9B35, "updatemovespeedscale" },
    { 0x9B36, "updatemovestate" },
    { 0x9B37, "updatenamedally" },
    { 0x9B38, "updateobjectivehintmessage" },
    { 0x9B39, "updateobjectivehintmessages" },
    { 0x9B3A, "updateobjectivetext" },
    { 0x9B3B, "updateobjectiveui" },
    { 0x9B3C, "updateorigin" },
    { 0x9B3D, "updateoutlines" },
    { 0x9B3E, "updatepaintoutline" },
    { 0x9B3F, "updatepersratio" },
    { 0x9B40, "updatepersratiobuffered" },
    { 0x9B41, "updateplacement" },
    { 0x9B42, "updateplayedtime" },
    { 0x9B43, "updateplayerradarblocked" },
    { 0x9B44, "updateplayersuavstatus" },
    { 0x9B45, "updateplayertimes" },
    { 0x9B46, "updateprogressbar" },
    { 0x9B47, "updatepronethread" },
    { 0x9B48, "updatepronewrapper" },
    { 0x9B49, "updateproxbar" },
    { 0x9B4A, "updaterank" },
    { 0x9B4B, "updaterankannouncehud" },
    { 0x9B4C, "updaterate" },
    { 0x9B4D, "updaterecentkills" },
    { 0x9B4E, "updaterecoiloffset" },
    { 0x9B4F, "updatereflectionprobe" },
    { 0x9B50, "updaterespawnsplash" },
    { 0x9B51, "updatereturns" },
    { 0x9B52, "updateriotshieldattachfornewweapon" },
    { 0x9B53, "updateroundswon" },
    { 0x9B54, "updaterumble" },
    { 0x9B55, "updaterunweightsonce" },
    { 0x9B56, "updatesavedlastweapon" },
    { 0x9B57, "updatescanbar" },
    { 0x9B58, "updatescopeglintwarning" },
    { 0x9B59, "updatescopeoverlay" },
    { 0x9B5A, "updatescopeoverlayalpha" },
    { 0x9B5B, "updatescoreboardctf" },
    { 0x9B5C, "updatescoreboarddom" },
    { 0x9B5D, "updatescorestatsffa" },
    { 0x9B5E, "updateselectedbutton" },
    { 0x9B5F, "updatesentryplacement" },
    { 0x9B60, "updateserversettings" },
    { 0x9B61, "updatesessionstate" },
    { 0x9B62, "updateshootinglocation" },
    { 0x9B63, "updatesnipershooting" },
    { 0x9B64, "updatesnipersuppression" },
    { 0x9B65, "updatesnipertargetentitylocation" },
    { 0x9B66, "updatesnipertargeting" },
    { 0x9B67, "updatesnipertargetlocation" },
    { 0x9B68, "updatespectatedloadout" },
    { 0x9B69, "updatespectatedloadoutweapon" },
    { 0x9B6A, "updatespectatesettings" },
    { 0x9B6B, "updatesppercent" },
    { 0x9B6C, "updatesquadlist" },
    { 0x9B6D, "updatestairsstate" },
    { 0x9B6E, "updatestate" },
    { 0x9B6F, "updatestates" },
    { 0x9B70, "updatestreakcount" },
    { 0x9B71, "updatestreakslots" },
    { 0x9B72, "updatesunshadowcenter" },
    { 0x9B73, "updatesuppressionduration" },
    { 0x9B74, "updatesuppressionfeedback" },
    { 0x9B75, "updatetargetangularacceleration" },
    { 0x9B76, "updatetargetdetails" },
    { 0x9B77, "updateteambalance" },
    { 0x9B78, "updateteambalancedvar" },
    { 0x9B79, "updateteampaintoutline" },
    { 0x9B7A, "updateteamplacement" },
    { 0x9B7B, "updateteamradarblocked" },
    { 0x9B7C, "updateteamscore" },
    { 0x9B7D, "updateteamscores" },
    { 0x9B7E, "updateteamtime" },
    { 0x9B7F, "updateteamuavstatus" },
    { 0x9B80, "updateteamuavtype" },
    { 0x9B81, "updatetiestats" },
    { 0x9B82, "updatetimer" },
    { 0x9B83, "updatetimeromnvars" },
    { 0x9B84, "updatetimerpausedness" },
    { 0x9B85, "updatetispawnposition" },
    { 0x9B86, "updatetraceentity" },
    { 0x9B87, "updatetrigger" },
    { 0x9B88, "updatetriggerposition" },
    { 0x9B89, "updateturretplacement" },
    { 0x9B8A, "updateuavmodelvisibility" },
    { 0x9B8B, "updateuiflagomnvars" },
    { 0x9B8C, "updateuiprogress" },
    { 0x9B8D, "updateuiscorelimit" },
    { 0x9B8E, "updateusablebyteam" },
    { 0x9B8F, "updateuserate" },
    { 0x9B90, "updateuserate_internal" },
    { 0x9B91, "updatevelocity" },
    { 0x9B92, "updateverticalvelocity" },
    { 0x9B93, "updateviewmodelacceleration" },
    { 0x9B94, "updateviewmodellookoffset" },
    { 0x9B95, "updateviewmodelpitchoffset" },
    { 0x9B96, "updateviewmodelvisibility" },
    { 0x9B97, "updatevisibilityaccordingtoradar" },
    { 0x9B98, "updatevisualmarker" },
    { 0x9B99, "updatevisuals" },
    { 0x9B9A, "updatewaiter" },
    { 0x9B9B, "updatewatcheddvars" },
    { 0x9B9C, "updateweaponbufferedstats" },
    { 0x9B9D, "updateweaponusagestats" },
    { 0x9B9E, "updatewinlossstats" },
    { 0x9B9F, "updatewinstats" },
    { 0x9BA0, "updateworldicon" },
    { 0x9BA1, "updateworldicons" },
    { 0x9BA2, "updatinglootweapon" },
    { 0x9BA3, "upgrade_chal_complete_messages" },
    { 0x9BA4, "upgrade_chal_goal" },
    { 0x9BA5, "upgrade_chal_index" },
    { 0x9BA6, "upgrade_chal_points_trackers" },
    { 0x9BA7, "upgrade_chal_stat_map" },
    { 0x9BA8, "upgrade_challenge_complete" },
    { 0x9BA9, "upgrade_challenge_complete_for_intel" },
    { 0x9BAA, "upgrade_change_monitor" },
    { 0x9BAB, "upgrade_give_perk" },
    { 0x9BAC, "upgrade_init_perks_player" },
    { 0x9BAD, "upgrade_init_perks_players" },
    { 0x9BAE, "upgrade_init_perks_tables" },
    { 0x9BAF, "upgrade_init_player" },
    { 0x9BB0, "upgrade_init_tables" },
    { 0x9BB1, "upgrade_is_purchased" },
    { 0x9BB2, "upgrade_notify_stat" },
    { 0x9BB3, "upgrade_perk_active" },
    { 0x9BB4, "upgrade_perk_active_code" },
    { 0x9BB5, "upgrade_perk_code" },
    { 0x9BB6, "upgrade_perk_code_2" },
    { 0x9BB7, "upgrade_perk_dvar" },
    { 0x9BB8, "upgrade_perk_dvar_2" },
    { 0x9BB9, "upgrade_perk_dvar_newval" },
    { 0x9BBA, "upgrade_perk_dvar_newval_2" },
    { 0x9BBB, "upgrade_perk_dvar_origval" },
    { 0x9BBC, "upgrade_perk_dvar_origval_2" },
    { 0x9BBD, "upgrade_perk_script_code" },
    { 0x9BBE, "upgrade_ref" },
    { 0x9BBF, "upgrade_ref_index" },
    { 0x9BC0, "upgrade_take_perk" },
    { 0x9BC1, "upload_hold" },
    { 0x9BC2, "uploadglobalstatcounters" },
    { 0x9BC3, "ups_to_mph" },
    { 0x9BC4, "upsspeed" },
    { 0x9BC5, "upvec" },
    { 0x9BC6, "usable_turret_trigger" },
    { 0x9BC7, "usableent" },
    { 0x9BC8, "use_a_turret" },
    { 0x9BC9, "use_animstate" },
    { 0x9BCA, "use_big_goal_until_goal_is_safe" },
    { 0x9BCB, "use_boost_jump_dialogue" },
    { 0x9BCC, "use_box" },
    { 0x9BCD, "use_button_stopped_notify" },
    { 0x9BCE, "use_container_death" },
    { 0x9BCF, "use_crate" },
    { 0x9BD0, "use_eq_settings" },
    { 0x9BD1, "use_exo_shield_check" },
    { 0x9BD2, "use_hint" },
    { 0x9BD3, "use_hint_active" },
    { 0x9BD4, "use_hint_blinks" },
    { 0x9BD5, "use_hovertank_chromatic_aberration" },
    { 0x9BD6, "use_level_audio_zones" },
    { 0x9BD7, "use_lookahead" },
    { 0x9BD8, "use_m_turret_dialogue" },
    { 0x9BD9, "use_mobile_cover_dialogue" },
    { 0x9BDA, "use_old_battlechatter" },
    { 0x9BDB, "use_old_dog_attack" },
    { 0x9BDC, "use_pressed" },
    { 0x9BDD, "use_randomized_personality" },
    { 0x9BDE, "use_reverb_settings" },
    { 0x9BDF, "use_string_table_presets" },
    { 0x9BE0, "use_the_turret" },
    { 0x9BE1, "use_time" },
    { 0x9BE2, "use_toggle" },
    { 0x9BE3, "use_trigger" },
    { 0x9BE4, "use_triggers" },
    { 0x9BE5, "use_turn_signal" },
    { 0x9BE6, "use_two_stage_swarm" },
    { 0x9BE7, "use_use_trigger" },
    { 0x9BE8, "usebreachapproach" },
    { 0x9BE9, "usebuttonrepressed" },
    { 0x9BEA, "useclip" },
    { 0x9BEB, "usecovernodeifpossible" },
    { 0x9BEC, "used" },
    { 0x9BED, "used_an_mg42" },
    { 0x9BEE, "used_credits" },
    { 0x9BEF, "used_credits_data1" },
    { 0x9BF0, "used_credits_data2" },
    { 0x9BF1, "usedids" },
    { 0x9BF2, "usedkillstreak" },
    { 0x9BF3, "usednodes" },
    { 0x9BF4, "usedog" },
    { 0x9BF5, "usedpositions" },
    { 0x9BF6, "useent" },
    { 0x9BF7, "usefacialanims" },
    { 0x9BF8, "usegoliathupdater" },
    { 0x9BF9, "usehardpoint" },
    { 0x9BFA, "useholdthink" },
    { 0x9BFB, "useholdthinkcleanuponplayerdeath" },
    { 0x9BFC, "useholdthinkloop" },
    { 0x9BFD, "useholdthinkplayerreset" },
    { 0x9BFE, "uselaststandparams" },
    { 0x9BFF, "usemuzzleforaim" },
    { 0x9C00, "usemuzzlesideoffset" },
    { 0x9C01, "useobj" },
    { 0x9C02, "useobject" },
    { 0x9C03, "useobjectproxthink" },
    { 0x9C04, "useobjectusethink" },
    { 0x9C05, "usepostjuggernautupdater" },
    { 0x9C06, "user_controlled_plane" },
    { 0x9C07, "user_data" },
    { 0x9C08, "userate" },
    { 0x9C09, "usereadystand" },
    { 0x9C0A, "useselfplacedturret" },
    { 0x9C0B, "usesquadmate" },
    { 0x9C0C, "usestartspawns" },
    { 0x9C0D, "usestationaryturret" },
    { 0x9C0E, "useteam" },
    { 0x9C0F, "usetest" },
    { 0x9C10, "usetext" },
    { 0x9C11, "usetime" },
    { 0x9C12, "usetrig" },
    { 0x9C13, "useuav" },
    { 0x9C14, "useweapon" },
    { 0x9C15, "useweaponinfo" },
    { 0x9C16, "using_a_turret" },
    { 0x9C17, "using_ammo_cache" },
    { 0x9C18, "using_entity" },
    { 0x9C19, "using_hdr_fog" },
    { 0x9C1A, "using_illegal_breach_weapon" },
    { 0x9C1B, "using_oneshots_or_loops" },
    { 0x9C1C, "using_overrides" },
    { 0x9C1D, "using_remote_tank" },
    { 0x9C1E, "using_remote_turret" },
    { 0x9C1F, "using_remote_turret_when_died" },
    { 0x9C20, "using_string_tables" },
    { 0x9C21, "using_uav" },
    { 0x9C22, "using_variable_grenade" },
    { 0x9C23, "usingantiairweapon" },
    { 0x9C24, "usingautomaticweapon" },
    { 0x9C25, "usingboltactionweapon" },
    { 0x9C26, "usingmg" },
    { 0x9C27, "usingnvfx" },
    { 0x9C28, "usingonlinedataoffline" },
    { 0x9C29, "usingpistol" },
    { 0x9C2A, "usingplayergrenadetimer" },
    { 0x9C2B, "usingprimary" },
    { 0x9C2C, "usingremote" },
    { 0x9C2D, "usingriflelikeweapon" },
    { 0x9C2E, "usingrocketlauncher" },
    { 0x9C2F, "usingsecondary" },
    { 0x9C30, "usingsemiautoweapon" },
    { 0x9C31, "usingshotgun" },
    { 0x9C32, "usingsidearm" },
    { 0x9C33, "usingsmg" },
    { 0x9C34, "usingturret" },
    { 0x9C35, "util_evaluateknownenemylocation" },
    { 0x9C36, "util_ignorecurrentsightpos" },
    { 0x9C37, "util_physicspush_watcher" },
    { 0x9C38, "uts19shock" },
    { 0x9C39, "utsshockqueuedtime" },
    { 0x9C3A, "v" },
    { 0x9C3B, "valid" },
    { 0x9C3C, "valid_ball_pickup_weapon" },
    { 0x9C3D, "valid_tp_node" },
    { 0x9C3E, "validate_drone_test_points" },
    { 0x9C3F, "validate_max_value" },
    { 0x9C40, "validate_min_value" },
    { 0x9C41, "validate_target_pos" },
    { 0x9C42, "validate_tp_orgs" },
    { 0x9C43, "validateaccuratetouching" },
    { 0x9C44, "validateflightlocationanddirection" },
    { 0x9C45, "validateopenconditions" },
    { 0x9C46, "validateperk" },
    { 0x9C47, "validateusestreak" },
    { 0x9C48, "validator" },
    { 0x9C49, "validcostume" },
    { 0x9C4A, "validplayers" },
    { 0x9C4B, "value" },
    { 0x9C4C, "value_hudelem" },
    { 0x9C4D, "value_last" },
    { 0x9C4E, "valueiswithin" },
    { 0x9C4F, "values" },
    { 0x9C50, "valve_stop_animating" },
    { 0x9C51, "van_cuts_off_player" },
    { 0x9C52, "van_knockback_blur" },
    { 0x9C53, "van_open_bridge_collapse_dof" },
    { 0x9C54, "van_scene_axis" },
    { 0x9C55, "var1" },
    { 0x9C56, "var2" },
    { 0x9C57, "variable_grenade" },
    { 0x9C58, "variable_grenade_type_switch" },
    { 0x9C59, "variable_grenade_ui_enabled" },
    { 0x9C5A, "variable_grenade_ui_type" },
    { 0x9C5B, "variable_scope_shadow_center" },
    { 0x9C5C, "variable_scope_weapons" },
    { 0x9C5D, "variance" },
    { 0x9C5E, "variant_limit" },
    { 0x9C5F, "vb_anim_org" },
    { 0x9C60, "vdir" },
    { 0x9C61, "vec" },
    { 0x9C62, "vec_acceleration" },
    { 0x9C63, "vec_velocity" },
    { 0x9C64, "vec2dot" },
    { 0x9C65, "vec3_mult_matrix33" },
    { 0x9C66, "vecscale" },
    { 0x9C67, "vector" },
    { 0x9C68, "vector_clamp" },
    { 0x9C69, "vector2d" },
    { 0x9C6A, "vectors_are_equal_2d" },
    { 0x9C6B, "vegnette" },
    { 0x9C6C, "veh" },
    { 0x9C6D, "veh_aliases" },
    { 0x9C6E, "veh_debug_monitor_3d" },
    { 0x9C6F, "veh_debug_monitor_3d_callback" },
    { 0x9C70, "veh_ent" },
    { 0x9C71, "veh_mix_ents" },
    { 0x9C72, "veh_moving_truck_chkpt" },
    { 0x9C73, "veh_moving_truck_support_01_chkpt" },
    { 0x9C74, "vehhelicoptercontrolsaltitude" },
    { 0x9C75, "vehhelicoptercontrolsystem" },
    { 0x9C76, "vehicle" },
    { 0x9C77, "vehicle_ai_event" },
    { 0x9C78, "vehicle_ai_settings" },
    { 0x9C79, "vehicle_aianimcheck" },
    { 0x9C7A, "vehicle_aianims" },
    { 0x9C7B, "vehicle_aianimthread" },
    { 0x9C7C, "vehicle_aim_turret_at_angle" },
    { 0x9C7D, "vehicle_allows_driver_death" },
    { 0x9C7E, "vehicle_allows_rider_death" },
    { 0x9C7F, "vehicle_anim_array" },
    { 0x9C80, "vehicle_animate" },
    { 0x9C81, "vehicle_animpos_get_tag_angles" },
    { 0x9C82, "vehicle_animpos_get_tag_origin" },
    { 0x9C83, "vehicle_anims" },
    { 0x9C84, "vehicle_anims_toload" },
    { 0x9C85, "vehicle_attachedmodels" },
    { 0x9C86, "vehicle_attacker" },
    { 0x9C87, "vehicle_badplace" },
    { 0x9C88, "vehicle_becomes_crashable" },
    { 0x9C89, "vehicle_blocked_check" },
    { 0x9C8A, "vehicle_bulletshield" },
    { 0x9C8B, "vehicle_chase_target" },
    { 0x9C8C, "vehicle_collision_enabled" },
    { 0x9C8D, "vehicle_controlling" },
    { 0x9C8E, "vehicle_crash_detection" },
    { 0x9C8F, "vehicle_crash_now" },
    { 0x9C90, "vehicle_crash_on_death" },
    { 0x9C91, "vehicle_crash_when_blocked" },
    { 0x9C92, "vehicle_crash_when_driver_dies" },
    { 0x9C93, "vehicle_crashing_now" },
    { 0x9C94, "vehicle_crashpaths" },
    { 0x9C95, "vehicle_crazy_steering" },
    { 0x9C96, "vehicle_crazy_steering_frogger" },
    { 0x9C97, "vehicle_crazy_steering_frogger_fail_check" },
    { 0x9C98, "vehicle_csv_export" },
    { 0x9C99, "vehicle_death" },
    { 0x9C9A, "vehicle_death_add" },
    { 0x9C9B, "vehicle_death_add_remove_carcass" },
    { 0x9C9C, "vehicle_death_anim" },
    { 0x9C9D, "vehicle_death_badplace" },
    { 0x9C9E, "vehicle_death_earthquake" },
    { 0x9C9F, "vehicle_death_fx" },
    { 0x9CA0, "vehicle_death_fx_override" },
    { 0x9CA1, "vehicle_death_jolt" },
    { 0x9CA2, "vehicle_death_radiusdamage" },
    { 0x9CA3, "vehicle_death_thread" },
    { 0x9CA4, "vehicle_death_watcher" },
    { 0x9CA5, "vehicle_deathflag" },
    { 0x9CA6, "vehicle_deathmodel" },
    { 0x9CA7, "vehicle_deathmodel_delay" },
    { 0x9CA8, "vehicle_deathswitch" },
    { 0x9CA9, "vehicle_deckdust" },
    { 0x9CAA, "vehicle_deletegroup" },
    { 0x9CAB, "vehicle_detachfrompath" },
    { 0x9CAC, "vehicle_detect_crash" },
    { 0x9CAD, "vehicle_detourpaths" },
    { 0x9CAE, "vehicle_do_crash" },
    { 0x9CAF, "vehicle_draw_thermal" },
    { 0x9CB0, "vehicle_driveidle" },
    { 0x9CB1, "vehicle_driveidle_animrate" },
    { 0x9CB2, "vehicle_driveidle_normal_speed" },
    { 0x9CB3, "vehicle_driveidle_r" },
    { 0x9CB4, "vehicle_driver" },
    { 0x9CB5, "vehicle_drives_free_path" },
    { 0x9CB6, "vehicle_duck_once" },
    { 0x9CB7, "vehicle_dynamicpath" },
    { 0x9CB8, "vehicle_easy_crash_die" },
    { 0x9CB9, "vehicle_exhaust" },
    { 0x9CBA, "vehicle_explosions_for_drone_swarm" },
    { 0x9CBB, "vehicle_finish_death" },
    { 0x9CBC, "vehicle_fired_from" },
    { 0x9CBD, "vehicle_firing" },
    { 0x9CBE, "vehicle_free_path" },
    { 0x9CBF, "vehicle_frontarmor" },
    { 0x9CC0, "vehicle_gatetrigger" },
    { 0x9CC1, "vehicle_get_crash_struct" },
    { 0x9CC2, "vehicle_get_driver" },
    { 0x9CC3, "vehicle_get_path_array" },
    { 0x9CC4, "vehicle_get_riders" },
    { 0x9CC5, "vehicle_get_riders_by_group" },
    { 0x9CC6, "vehicle_getanimstart" },
    { 0x9CC7, "vehicle_getcurrentnode_a" },
    { 0x9CC8, "vehicle_getinanim" },
    { 0x9CC9, "vehicle_getinanim_clear" },
    { 0x9CCA, "vehicle_getinsound" },
    { 0x9CCB, "vehicle_getinsoundtag" },
    { 0x9CCC, "vehicle_getinstart" },
    { 0x9CCD, "vehicle_getoutanim" },
    { 0x9CCE, "vehicle_getoutanim_clear" },
    { 0x9CCF, "vehicle_getoutsound" },
    { 0x9CD0, "vehicle_getoutsoundtag" },
    { 0x9CD1, "vehicle_getspeed_a" },
    { 0x9CD2, "vehicle_go_to_end_and_delete" },
    { 0x9CD3, "vehicle_grenadeshield" },
    { 0x9CD4, "vehicle_handle_debugfly" },
    { 0x9CD5, "vehicle_handleunloadevent" },
    { 0x9CD6, "vehicle_has_rocket_death" },
    { 0x9CD7, "vehicle_hasavailablespots" },
    { 0x9CD8, "vehicle_hasmainturret" },
    { 0x9CD9, "vehicle_hasname" },
    { 0x9CDA, "vehicle_heli_default_path_speeds" },
    { 0x9CDB, "vehicle_hide_list" },
    { 0x9CDC, "vehicle_idle" },
    { 0x9CDD, "vehicle_idle_override" },
    { 0x9CDE, "vehicle_idleanim" },
    { 0x9CDF, "vehicle_idling" },
    { 0x9CE0, "vehicle_impact_rumble" },
    { 0x9CE1, "vehicle_in_front_of_node" },
    { 0x9CE2, "vehicle_init" },
    { 0x9CE3, "vehicle_is_crashing" },
    { 0x9CE4, "vehicle_isstationary" },
    { 0x9CE5, "vehicle_keeps_going_after_driver_dies" },
    { 0x9CE6, "vehicle_kill" },
    { 0x9CE7, "vehicle_kill_badplace_forever" },
    { 0x9CE8, "vehicle_kill_common" },
    { 0x9CE9, "vehicle_kill_rumble_forever" },
    { 0x9CEA, "vehicle_kill_treads_forever" },
    { 0x9CEB, "vehicle_kill_triggers" },
    { 0x9CEC, "vehicle_killspawn_groups" },
    { 0x9CED, "vehicle_land" },
    { 0x9CEE, "vehicle_land_beneath_node" },
    { 0x9CEF, "vehicle_landvehicle" },
    { 0x9CF0, "vehicle_levelstuff" },
    { 0x9CF1, "vehicle_life" },
    { 0x9CF2, "vehicle_life_range_high" },
    { 0x9CF3, "vehicle_life_range_low" },
    { 0x9CF4, "vehicle_liftoff" },
    { 0x9CF5, "vehicle_liftoffvehicle" },
    { 0x9CF6, "vehicle_lights" },
    { 0x9CF7, "vehicle_lights_group" },
    { 0x9CF8, "vehicle_lights_group_override" },
    { 0x9CF9, "vehicle_lights_off" },
    { 0x9CFA, "vehicle_lights_on" },
    { 0x9CFB, "vehicle_link" },
    { 0x9CFC, "vehicle_linked_entities_think" },
    { 0x9CFD, "vehicle_load_ai" },
    { 0x9CFE, "vehicle_load_ai_single" },
    { 0x9CFF, "vehicle_loaded_if_full" },
    { 0x9D00, "vehicle_loaded_notify_size" },
    { 0x9D01, "vehicle_luxurysedan" },
    { 0x9D02, "vehicle_mainturrets" },
    { 0x9D03, "vehicle_matchspeed" },
    { 0x9D04, "vehicle_mgturret" },
    { 0x9D05, "vehicle_missile_launcher" },
    { 0x9D06, "vehicle_missile_launcher_count" },
    { 0x9D07, "vehicle_mute_charge_cleanup" },
    { 0x9D08, "vehicle_mute_charge_failed" },
    { 0x9D09, "vehicle_nodrivers" },
    { 0x9D0A, "vehicle_notsolid" },
    { 0x9D0B, "vehicle_oscillate_location" },
    { 0x9D0C, "vehicle_passenger_2_turret" },
    { 0x9D0D, "vehicle_path_name" },
    { 0x9D0E, "vehicle_pathdetach" },
    { 0x9D0F, "vehicle_paths" },
    { 0x9D10, "vehicle_paths_helicopter" },
    { 0x9D11, "vehicle_paths_non_heli" },
    { 0x9D12, "vehicle_pos" },
    { 0x9D13, "vehicle_position" },
    { 0x9D14, "vehicle_processtriggers" },
    { 0x9D15, "vehicle_reload" },
    { 0x9D16, "vehicle_resume_named" },
    { 0x9D17, "vehicle_resumepath" },
    { 0x9D18, "vehicle_resumepathvehicle" },
    { 0x9D19, "vehicle_ride" },
    { 0x9D1A, "vehicle_rideai" },
    { 0x9D1B, "vehicle_rider_death_detection" },
    { 0x9D1C, "vehicle_rider_death_func" },
    { 0x9D1D, "vehicle_ridespawners" },
    { 0x9D1E, "vehicle_rubberband" },
    { 0x9D1F, "vehicle_rubberband_set_desired_range" },
    { 0x9D20, "vehicle_rubberband_set_fail_range" },
    { 0x9D21, "vehicle_rubberband_set_min_speed" },
    { 0x9D22, "vehicle_rubberband_stop" },
    { 0x9D23, "vehicle_rubberband_think" },
    { 0x9D24, "vehicle_rumble" },
    { 0x9D25, "vehicle_rumble_override" },
    { 0x9D26, "vehicle_rumble_unique" },
    { 0x9D27, "vehicle_script_forcecolor_riders" },
    { 0x9D28, "vehicle_selfremove" },
    { 0x9D29, "vehicle_set_fake_speed" },
    { 0x9D2A, "vehicle_set_firing_disabled" },
    { 0x9D2B, "vehicle_set_forced_target" },
    { 0x9D2C, "vehicle_set_health" },
    { 0x9D2D, "vehicle_set_target_tracking_disabled" },
    { 0x9D2E, "vehicle_set_threat_grenade_response" },
    { 0x9D2F, "vehicle_setteam" },
    { 0x9D30, "vehicle_setup_levelvars" },
    { 0x9D31, "vehicle_shoot_shock" },
    { 0x9D32, "vehicle_should_do_rocket_death" },
    { 0x9D33, "vehicle_should_regenerate" },
    { 0x9D34, "vehicle_should_unload" },
    { 0x9D35, "vehicle_sights_radius" },
    { 0x9D36, "vehicle_single_light_off" },
    { 0x9D37, "vehicle_single_light_on" },
    { 0x9D38, "vehicle_single_tread_list" },
    { 0x9D39, "vehicle_spawn" },
    { 0x9D3A, "vehicle_spawn_functions_enable" },
    { 0x9D3B, "vehicle_spawn_think" },
    { 0x9D3C, "vehicle_spawned_thisframe" },
    { 0x9D3D, "vehicle_spawner" },
    { 0x9D3E, "vehicle_spawner_deathflag" },
    { 0x9D3F, "vehicle_splash_water" },
    { 0x9D40, "vehicle_standattack" },
    { 0x9D41, "vehicle_startmovegroup" },
    { 0x9D42, "vehicle_startnodes" },
    { 0x9D43, "vehicle_stays_alive" },
    { 0x9D44, "vehicle_stop_named" },
    { 0x9D45, "vehicle_switch_paths" },
    { 0x9D46, "vehicle_takedown_01_complete" },
    { 0x9D47, "vehicle_takedown_01_dialogue" },
    { 0x9D48, "vehicle_takedown_01_dof" },
    { 0x9D49, "vehicle_takedown_01_nag_dialogue" },
    { 0x9D4A, "vehicle_takedown_rumbles" },
    { 0x9D4B, "vehicle_targeting" },
    { 0x9D4C, "vehicle_targets" },
    { 0x9D4D, "vehicle_team" },
    { 0x9D4E, "vehicle_to_crash_struct" },
    { 0x9D4F, "vehicle_to_crash_struct_dir" },
    { 0x9D50, "vehicle_to_dummy" },
    { 0x9D51, "vehicle_to_swap" },
    { 0x9D52, "vehicle_treads" },
    { 0x9D53, "vehicle_treads_script_model" },
    { 0x9D54, "vehicle_turn_left" },
    { 0x9D55, "vehicle_turn_right" },
    { 0x9D56, "vehicle_turret_default_ai" },
    { 0x9D57, "vehicle_turret_fire" },
    { 0x9D58, "vehicle_turret_requiresrider" },
    { 0x9D59, "vehicle_turret_scan_off" },
    { 0x9D5A, "vehicle_turret_scan_on" },
    { 0x9D5B, "vehicle_turret_settings_shoot" },
    { 0x9D5C, "vehicle_turret_settings_target" },
    { 0x9D5D, "vehicle_types" },
    { 0x9D5E, "vehicle_under_construction" },
    { 0x9D5F, "vehicle_unload" },
    { 0x9D60, "vehicle_unload_how_at_end" },
    { 0x9D61, "vehicle_unloadgroups" },
    { 0x9D62, "vehicle_unloadwhenattacked" },
    { 0x9D63, "vehicle_wait_for_crash" },
    { 0x9D64, "vehicle_weave" },
    { 0x9D65, "vehicle_wheels_backward" },
    { 0x9D66, "vehicle_wheels_forward" },
    { 0x9D67, "vehicle_would_exceed_limit" },
    { 0x9D68, "vehicleendinganimations" },
    { 0x9D69, "vehicleexplodeondeath" },
    { 0x9D6A, "vehiclefireanim" },
    { 0x9D6B, "vehiclefireanim_settle" },
    { 0x9D6C, "vehicleid" },
    { 0x9D6D, "vehicleinfo" },
    { 0x9D6E, "vehicleinitthread" },
    { 0x9D6F, "vehicleiscloaked" },
    { 0x9D70, "vehiclekilled" },
    { 0x9D71, "vehiclemodifyflarevector" },
    { 0x9D72, "vehicles" },
    { 0x9D73, "vehicles_anims" },
    { 0x9D74, "vehiclespawncallbackthread" },
    { 0x9D75, "vehicletouchinganytrigger" },
    { 0x9D76, "vehname" },
    { 0x9D77, "vel" },
    { 0x9D78, "velocity_calc" },
    { 0x9D79, "velocity_scripted" },
    { 0x9D7A, "velocity_smoothing" },
    { 0x9D7B, "vending_machine" },
    { 0x9D7C, "vending_machine_damage_monitor" },
    { 0x9D7D, "venuscustomospfunc" },
    { 0x9D7E, "verify_effects_assignment" },
    { 0x9D7F, "verify_effects_assignment_print" },
    { 0x9D80, "verify_jump_mount_points" },
    { 0x9D81, "verify_mag_mount_points" },
    { 0x9D82, "verifydedicatedconfiguration" },
    { 0x9D83, "vert" },
    { 0x9D84, "vertexlit" },
    { 0x9D85, "vertical_cone_range" },
    { 0x9D86, "verticaloffsetlook" },
    { 0x9D87, "verticaloffsetstrafe" },
    { 0x9D88, "very_first_tank" },
    { 0x9D89, "very_first_tank_close" },
    { 0x9D8A, "veteran_achievement" },
    { 0x9D8B, "vfx_arm_piece_fall" },
    { 0x9D8C, "vfx_balcony_break_through" },
    { 0x9D8D, "vfx_bridge_chunk_f_piece5_fall" },
    { 0x9D8E, "vfx_bridge_crack_start" },
    { 0x9D8F, "vfx_bridge_fog_on" },
    { 0x9D90, "vfx_bridge_seagulls_on" },
    { 0x9D91, "vfx_bridge_shake_left" },
    { 0x9D92, "vfx_bridge_shake_right" },
    { 0x9D93, "vfx_bridge_snap" },
    { 0x9D94, "vfx_bridge_traffic_intro" },
    { 0x9D95, "vfx_burst_left_close" },
    { 0x9D96, "vfx_burst_right_close" },
    { 0x9D97, "vfx_bus_slide_spark" },
    { 0x9D98, "vfx_cable_break" },
    { 0x9D99, "vfx_cable_spark_hero" },
    { 0x9D9A, "vfx_car_radial_damage" },
    { 0x9D9B, "vfx_catwalk_lowering" },
    { 0x9D9C, "vfx_control_room_explo" },
    { 0x9D9D, "vfx_copcar_left_hitspark1" },
    { 0x9D9E, "vfx_copcar01_hitspark1" },
    { 0x9D9F, "vfx_copcar02_hitspark" },
    { 0x9DA0, "vfx_cutter_ignite" },
    { 0x9DA1, "vfx_cutter_spark" },
    { 0x9DA2, "vfx_dam_burst" },
    { 0x9DA3, "vfx_dam_setup" },
    { 0x9DA4, "vfx_dna_bomb_chain_explosion" },
    { 0x9DA5, "vfx_dna_bomb_drone_activate" },
    { 0x9DA6, "vfx_dna_bomb_drone_explode" },
    { 0x9DA7, "vfx_dna_bomb_drone_setup" },
    { 0x9DA8, "vfx_dna_bomb_drone_swarm_setup" },
    { 0x9DA9, "vfx_dna_bomb_flyby_papers" },
    { 0x9DAA, "vfx_dna_bomb_humvee_lights" },
    { 0x9DAB, "vfx_dna_bomb_mech_reveal" },
    { 0x9DAC, "vfx_drone_explo" },
    { 0x9DAD, "vfx_drone_explo_regularfx" },
    { 0x9DAE, "vfx_drone_fan_start" },
    { 0x9DAF, "vfx_drone_large_fan_start" },
    { 0x9DB0, "vfx_explosion_rumble_dust" },
    { 0x9DB1, "vfx_falling_debris_start" },
    { 0x9DB2, "vfx_foam_room" },
    { 0x9DB3, "vfx_gate_crash_open" },
    { 0x9DB4, "vfx_gideon_land_roof" },
    { 0x9DB5, "vfx_gideon_mech_rolls_over" },
    { 0x9DB6, "vfx_gideon_mech_sparks" },
    { 0x9DB7, "vfx_gushing_smk" },
    { 0x9DB8, "vfx_guy04_shot_blood" },
    { 0x9DB9, "vfx_handle_disintegrating_jet" },
    { 0x9DBA, "vfx_heli_drop_off_intro_on" },
    { 0x9DBB, "vfx_htank_disengage_grnd_smk" },
    { 0x9DBC, "vfx_htank_exhaust_electricity_powerup" },
    { 0x9DBD, "vfx_htank_exhaust_smk_burst" },
    { 0x9DBE, "vfx_htank_explosion" },
    { 0x9DBF, "vfx_htank_fake_treadfx_regular" },
    { 0x9DC0, "vfx_htank_fake_treadfx_strong" },
    { 0x9DC1, "vfx_htank_reveal" },
    { 0x9DC2, "vfx_htank_thruster_light_flicker" },
    { 0x9DC3, "vfx_htank_thruster_light_flicker_off" },
    { 0x9DC4, "vfx_htank_thruster_regular" },
    { 0x9DC5, "vfx_htank_thruster_start" },
    { 0x9DC6, "vfx_ilana_land_roof" },
    { 0x9DC7, "vfx_irons_fail_fall" },
    { 0x9DC8, "vfx_irons_fall_death" },
    { 0x9DC9, "vfx_irons_reveal_scene" },
    { 0x9DCA, "vfx_irons_tackle" },
    { 0x9DCB, "vfx_joker_land_roof" },
    { 0x9DCC, "vfx_landing_dust_npc" },
    { 0x9DCD, "vfx_mech_grapple_fx" },
    { 0x9DCE, "vfx_mech_grapple_strain_fx" },
    { 0x9DCF, "vfx_missile_docking_end" },
    { 0x9DD0, "vfx_missile_loading" },
    { 0x9DD1, "vfx_open_vent" },
    { 0x9DD2, "vfx_pitbull_atlas_impact" },
    { 0x9DD3, "vfx_pitbull_crash_jump_start" },
    { 0x9DD4, "vfx_pitbull_mud_spray" },
    { 0x9DD5, "vfx_pitbull_roof_impact" },
    { 0x9DD6, "vfx_pitbull_slide_sparks_start" },
    { 0x9DD7, "vfx_pitbull_slide_sparks_stop" },
    { 0x9DD8, "vfx_player_hit_windshield" },
    { 0x9DD9, "vfx_player_rolling_pebbles" },
    { 0x9DDA, "vfx_push_over_ledge" },
    { 0x9DDB, "vfx_raindrop" },
    { 0x9DDC, "vfx_razorback_jets_off" },
    { 0x9DDD, "vfx_razorback_jets_on" },
    { 0x9DDE, "vfx_rb_thruster_back_off" },
    { 0x9DDF, "vfx_rb_thruster_back_on" },
    { 0x9DE0, "vfx_rb_thruster_front_light_off" },
    { 0x9DE1, "vfx_rb_thruster_front_light_on" },
    { 0x9DE2, "vfx_rb_thruster_front_off" },
    { 0x9DE3, "vfx_rb_thruster_front_on" },
    { 0x9DE4, "vfx_reactivate_radius_damage" },
    { 0x9DE5, "vfx_red_lights_on" },
    { 0x9DE6, "vfx_shore_outro_start" },
    { 0x9DE7, "vfx_silo_corridor_lowering" },
    { 0x9DE8, "vfx_start_boost_fx" },
    { 0x9DE9, "vfx_stop_boost_fx" },
    { 0x9DEA, "vfx_sunflare" },
    { 0x9DEB, "vfx_van_back_door_open" },
    { 0x9DEC, "vfx_van_explosion_start" },
    { 0x9DED, "vfx_van_passenger_door_open" },
    { 0x9DEE, "vfx_vm_arm_sever" },
    { 0x9DEF, "vfx_vm_arm_stab" },
    { 0x9DF0, "vfx_vm_exit_pod_start" },
    { 0x9DF1, "vfx_vm_land_crane_edge" },
    { 0x9DF2, "vfx_vm_land_roof" },
    { 0x9DF3, "vfx_vm_land_roof_hands" },
    { 0x9DF4, "vfx_vm_mech_dmg_sparks" },
    { 0x9DF5, "vfx_vm_mech_dmg_stop" },
    { 0x9DF6, "vfx_vm_mech_sparks" },
    { 0x9DF7, "vfx_vm_mech_stop_effects" },
    { 0x9DF8, "vfx_vtol_grapple" },
    { 0x9DF9, "vfx_warbird_dust_roof" },
    { 0x9DFA, "vfx_zipgun_fire" },
    { 0x9DFB, "vfxholoedge" },
    { 0x9DFC, "vfxtargetspawn" },
    { 0x9DFD, "vfxtargetspawnout" },
    { 0x9DFE, "victim" },
    { 0x9DFF, "victimonground" },
    { 0x9E00, "victimpoolkill" },
    { 0x9E01, "victimteam" },
    { 0x9E02, "video_cab_count" },
    { 0x9E03, "video_chrome_ab" },
    { 0x9E04, "video_idle" },
    { 0x9E05, "video_warn_count" },
    { 0x9E06, "videochatpostscreenhide" },
    { 0x9E07, "view_clamping_unlock" },
    { 0x9E08, "view_goal_pos" },
    { 0x9E09, "view_org" },
    { 0x9E0A, "view_path_setup" },
    { 0x9E0B, "view_paths" },
    { 0x9E0C, "view_tag" },
    { 0x9E0D, "viewfx" },
    { 0x9E0E, "viewhands" },
    { 0x9E0F, "viewmodel_blend" },
    { 0x9E10, "viewmodel_dof_end" },
    { 0x9E11, "viewmodel_dof_start" },
    { 0x9E12, "viewmodel_hidden" },
    { 0x9E13, "viewmodel_swim_animations" },
    { 0x9E14, "viewmodel_swim_animations_loop" },
    { 0x9E15, "viewmodel_swim_handle_notetracks" },
    { 0x9E16, "viewmodelanimupdate" },
    { 0x9E17, "viewtag" },
    { 0x9E18, "vig_ally_injured_cpr" },
    { 0x9E19, "vig_ally_injured_drag" },
    { 0x9E1A, "vig_bike_rider_cyclist" },
    { 0x9E1B, "vig_bike_rider_init" },
    { 0x9E1C, "vig_bike_rider_maintainer" },
    { 0x9E1D, "vig_bike_rider_nav" },
    { 0x9E1E, "vig_bike_rider_removal" },
    { 0x9E1F, "vig_bike_rider_scooter" },
    { 0x9E20, "vig_bike_rider_set_speed" },
    { 0x9E21, "vig_civ_fail_on_damage" },
    { 0x9E22, "vig_civ_model_randomizer" },
    { 0x9E23, "vig_civ_removal" },
    { 0x9E24, "vig_civ_streetarray" },
    { 0x9E25, "vig_civ_traffic_balcony_setup" },
    { 0x9E26, "vig_civ_traffic_init" },
    { 0x9E27, "vig_civ_traffic_spawn_idle_drones" },
    { 0x9E28, "vig_civ_traffic_spawn_walker_drones" },
    { 0x9E29, "vig_civ_traffic_street_setup" },
    { 0x9E2A, "vig_civ_traffic_walker_setup" },
    { 0x9E2B, "vig_civ_walker_maintainer" },
    { 0x9E2C, "vig_civ_walker_removal" },
    { 0x9E2D, "vig_intro_civ_populate" },
    { 0x9E2E, "vig_mil_balc_setup" },
    { 0x9E2F, "vig_tram_setup" },
    { 0x9E30, "vig_tram_setup_car" },
    { 0x9E31, "vig_tram_setup_car_fx" },
    { 0x9E32, "vig_tram_setup_car_shaker" },
    { 0x9E33, "vig_tram_setup_intro" },
    { 0x9E34, "vig_tram_setup_movement" },
    { 0x9E35, "vig_vehicle_fail_on_death" },
    { 0x9E36, "vig_vehicle_removal" },
    { 0x9E37, "vig_vehicle_traffic_init" },
    { 0x9E38, "vig_vehicle_traffic_jammer" },
    { 0x9E39, "vig_vehicle_traffic_removal" },
    { 0x9E3A, "vig_vehicle_traffic_scripted_left" },
    { 0x9E3B, "vig_vehicle_traffic_scripted_right" },
    { 0x9E3C, "vig_vehicle_traffic_straight_mover_movement" },
    { 0x9E3D, "vig_vehicle_traffic_turn_mover_movement" },
    { 0x9E3E, "vig_walker_streetarray" },
    { 0x9E3F, "vign_ai_check_for_death" },
    { 0x9E40, "vignette_actor_delete" },
    { 0x9E41, "vignette_actor_ignore_everything" },
    { 0x9E42, "vignette_actor_kill" },
    { 0x9E43, "vignette_actor_spawn" },
    { 0x9E44, "vignette_actor_spawn_func" },
    { 0x9E45, "vignette_drone_spawn" },
    { 0x9E46, "vignette_register" },
    { 0x9E47, "vignette_register_wait" },
    { 0x9E48, "vignette_vehicle_delete" },
    { 0x9E49, "vignette_vehicle_spawn" },
    { 0x9E4A, "vinette_overlay" },
    { 0x9E4B, "vip1" },
    { 0x9E4C, "virtual_lobby_set_class" },
    { 0x9E4D, "virtuallobbyactive" },
    { 0x9E4E, "virus1_preset_constructor" },
    { 0x9E4F, "visibility_distance" },
    { 0x9E50, "visibility_range_version" },
    { 0x9E51, "visible" },
    { 0x9E52, "visibleteam" },
    { 0x9E53, "vision_cheat_enabled" },
    { 0x9E54, "vision_default" },
    { 0x9E55, "vision_enter_canal" },
    { 0x9E56, "vision_seoul_art_center_atrium" },
    { 0x9E57, "vision_seoul_building_jump" },
    { 0x9E58, "vision_seoul_exterior" },
    { 0x9E59, "vision_seoul_hotel_hallway_cg" },
    { 0x9E5A, "vision_seoul_hotel_interior" },
    { 0x9E5B, "vision_seoul_hotel_interior_lrg" },
    { 0x9E5C, "vision_seoul_shopping" },
    { 0x9E5D, "vision_seoul_sinkhole" },
    { 0x9E5E, "vision_seoul_streets_02" },
    { 0x9E5F, "vision_seoul_streets_02_xx" },
    { 0x9E60, "vision_seoul_subway_interior" },
    { 0x9E61, "vision_seoul_vista" },
    { 0x9E62, "vision_set" },
    { 0x9E63, "vision_set_changes" },
    { 0x9E64, "vision_set_fog" },
    { 0x9E65, "vision_set_fog_changes" },
    { 0x9E66, "vision_set_fog_progress" },
    { 0x9E67, "vision_set_override" },
    { 0x9E68, "vision_set_sanfran" },
    { 0x9E69, "vision_set_transition_ent" },
    { 0x9E6A, "vision_set_vision" },
    { 0x9E6B, "vision_spidertank_moment_off" },
    { 0x9E6C, "vision_spidertank_moment_on" },
    { 0x9E6D, "vision_zone_manager" },
    { 0x9E6E, "vision_zone_watcher" },
    { 0x9E6F, "vision_zone_watcherb" },
    { 0x9E70, "visionset_betrayal_swim_tube" },
    { 0x9E71, "visionset_default" },
    { 0x9E72, "visionset_diff" },
    { 0x9E73, "visionset_underwater" },
    { 0x9E74, "visionthermaldefault" },
    { 0x9E75, "visited" },
    { 0x9E76, "visitfxent" },
    { 0x9E77, "visithideallmarkers" },
    { 0x9E78, "visiting_player_from_node" },
    { 0x9E79, "visitorcentergatebashfx" },
    { 0x9E7A, "visitorhideall" },
    { 0x9E7B, "visitorrelink" },
    { 0x9E7C, "visitorretriggerfx" },
    { 0x9E7D, "visitorshowtoplayer" },
    { 0x9E7E, "visitorupdatelosmarker" },
    { 0x9E7F, "visitorupdatemarkerpos" },
    { 0x9E80, "vista_ambientfx_aa_explosion" },
    { 0x9E81, "vista_ambientfx_double_layer_missile_hit" },
    { 0x9E82, "vista_ambientfx_double_layer_missile_hit_loop" },
    { 0x9E83, "vista_ambientfx_midair_explosion" },
    { 0x9E84, "vista_ent" },
    { 0x9E85, "vista_ents" },
    { 0x9E86, "vista_jet_array" },
    { 0x9E87, "vista_jets_reflection_override" },
    { 0x9E88, "vista_pigeons_alley1_market" },
    { 0x9E89, "vista_police_drones" },
    { 0x9E8A, "vista_police_group_drones" },
    { 0x9E8B, "vista_rockets" },
    { 0x9E8C, "vista_rockets_first_impact" },
    { 0x9E8D, "vista_rockets_pod_door_view_01" },
    { 0x9E8E, "vista_rockets_pod_door_view_02" },
    { 0x9E8F, "vista_warbird_fx" },
    { 0x9E90, "vistime" },
    { 0x9E91, "visual_origin" },
    { 0x9E92, "visualgroundoffset" },
    { 0x9E93, "visuals" },
    { 0x9E94, "vl_avatar_costume" },
    { 0x9E95, "vl_avatar_loadout" },
    { 0x9E96, "vl_cao_focus" },
    { 0x9E97, "vl_clanprofile_focus" },
    { 0x9E98, "vl_dof_based_on_focus" },
    { 0x9E99, "vl_focus" },
    { 0x9E9A, "vl_give_weapons" },
    { 0x9E9B, "vl_ground_setup" },
    { 0x9E9C, "vl_handle_mode_change" },
    { 0x9E9D, "vl_init" },
    { 0x9E9E, "vl_lighting_setup" },
    { 0x9E9F, "vl_local_focus" },
    { 0x9EA0, "vl_main" },
    { 0x9EA1, "vl_onspawnplayer" },
    { 0x9EA2, "vlavatars" },
    { 0x9EA3, "vlcamera" },
    { 0x9EA4, "vlength" },
    { 0x9EA5, "vlobby_dof_based_on_focus" },
    { 0x9EA6, "vlobby_handle_mode_change" },
    { 0x9EA7, "vlobby_lighting_setup" },
    { 0x9EA8, "vlobby_player" },
    { 0x9EA9, "vlobby_vegnette" },
    { 0x9EAA, "vm" },
    { 0x9EAB, "vm_aud_air_vehicle_flyby" },
    { 0x9EAC, "vm_boat_crash_se_fx_start" },
    { 0x9EAD, "vm_boat_crash_se_whiteout" },
    { 0x9EAE, "vm_boat_emerge_fx" },
    { 0x9EAF, "vm_boat_submerge_fx" },
    { 0x9EB0, "vm_boat_wake" },
    { 0x9EB1, "vm_crash_transition" },
    { 0x9EB2, "vm_damaged_model" },
    { 0x9EB3, "vm_disablethrottleupdate" },
    { 0x9EB4, "vm_enablethrottleupdate" },
    { 0x9EB5, "vm_fx_loc" },
    { 0x9EB6, "vm_glass_impact" },
    { 0x9EB7, "vm_ground_vehicle_start" },
    { 0x9EB8, "vm_hand_sparks" },
    { 0x9EB9, "vm_init" },
    { 0x9EBA, "vm_is_proxy" },
    { 0x9EBB, "vm_launch_from" },
    { 0x9EBC, "vm_launch_to" },
    { 0x9EBD, "vm_linkto_new_entity" },
    { 0x9EBE, "vm_normal" },
    { 0x9EBF, "vm_normal_model" },
    { 0x9EC0, "vm_register_custom_callback" },
    { 0x9EC1, "vm_set_range" },
    { 0x9EC2, "vm_set_speed_callback" },
    { 0x9EC3, "vm_set_start_stop_callback" },
    { 0x9EC4, "vm_set_throttle_callback" },
    { 0x9EC5, "vm_soda_model" },
    { 0x9EC6, "vm_soda_start_angle" },
    { 0x9EC7, "vm_soda_start_pos" },
    { 0x9EC8, "vm_soda_stop_angle" },
    { 0x9EC9, "vm_soda_stop_pos" },
    { 0x9ECA, "vm_start_preset" },
    { 0x9ECB, "vm_stop" },
    { 0x9ECC, "vm_stop_preset_instance" },
    { 0x9ECD, "vm_water_impact" },
    { 0x9ECE, "vm2_get_instance_name" },
    { 0x9ECF, "vm2_get_vehicle_instance_count" },
    { 0x9ED0, "vm2_get_vehicle_snd_instance" },
    { 0x9ED1, "vm2x_delete_vehicle_sound_ents" },
    { 0x9ED2, "vm2x_fade_sound_obj" },
    { 0x9ED3, "vm2x_fadeout_vehicle" },
    { 0x9ED4, "vm2x_init_param_io_struct" },
    { 0x9ED5, "vm2x_remove_preset" },
    { 0x9ED6, "vmknifeblockfx" },
    { 0x9ED7, "vmlandingimpact" },
    { 0x9ED8, "vmodelbarrel" },
    { 0x9ED9, "vmodelouter" },
    { 0x9EDA, "vmstabbedfacefx" },
    { 0x9EDB, "vmx_aud_ent_fade_in" },
    { 0x9EDC, "vmx_aud_ent_fade_out" },
    { 0x9EDD, "vmx_callback" },
    { 0x9EDE, "vmx_cleanup_ents" },
    { 0x9EDF, "vmx_do_start_stop_callback" },
    { 0x9EE0, "vmx_get_altitude" },
    { 0x9EE1, "vmx_get_need_to_duck" },
    { 0x9EE2, "vmx_get_roll" },
    { 0x9EE3, "vmx_get_speed" },
    { 0x9EE4, "vmx_get_start_sound_playing" },
    { 0x9EE5, "vmx_get_stop_sound_playing" },
    { 0x9EE6, "vmx_get_throttle" },
    { 0x9EE7, "vmx_get_tilt" },
    { 0x9EE8, "vmx_get_yaw" },
    { 0x9EE9, "vmx_ground_speed_watch" },
    { 0x9EEA, "vmx_ground_vehicle_monitor_death" },
    { 0x9EEB, "vmx_init_oneshot_ents" },
    { 0x9EEC, "vmx_monitor_explosion" },
    { 0x9EED, "vmx_monitor_start_ent" },
    { 0x9EEE, "vmx_monitor_stop_ent" },
    { 0x9EEF, "vmx_play_start_sound" },
    { 0x9EF0, "vmx_play_stop_sound" },
    { 0x9EF1, "vmx_scale_start_sound_pitch" },
    { 0x9EF2, "vmx_scale_start_sound_volume" },
    { 0x9EF3, "vmx_scale_stop_sound_pitch" },
    { 0x9EF4, "vmx_scale_stop_sound_volume" },
    { 0x9EF5, "vmx_stop_start_ent" },
    { 0x9EF6, "vmx_stop_stop_ent" },
    { 0x9EF7, "vmx_update_sound" },
    { 0x9EF8, "vmx_vehicle_engine" },
    { 0x9EF9, "vmx_waittill_deathspin" },
    { 0x9EFA, "vmx_waittill_sounddone" },
    { 0x9EFB, "vnum" },
    { 0x9EFC, "vo" },
    { 0x9EFD, "vo_canal" },
    { 0x9EFE, "vo_canal_e3" },
    { 0x9EFF, "vo_canal_finale" },
    { 0x9F00, "vo_canal_plant_explosives" },
    { 0x9F01, "vo_canal_razorback" },
    { 0x9F02, "vo_chatter_death" },
    { 0x9F03, "vo_cutoff_subway_vo_early_check" },
    { 0x9F04, "vo_duck_active" },
    { 0x9F05, "vo_elevator_descent_nag" },
    { 0x9F06, "vo_fob_meetup" },
    { 0x9F07, "vo_fus_silo_collapse_burke" },
    { 0x9F08, "vo_interior_control_room" },
    { 0x9F09, "vo_interior_control_room_explosion" },
    { 0x9F0A, "vo_interior_control_room_nag" },
    { 0x9F0B, "vo_interior_lab" },
    { 0x9F0C, "vo_interior_reactor" },
    { 0x9F0D, "vo_interior_security_room" },
    { 0x9F0E, "vo_interior_turbine_elevator" },
    { 0x9F0F, "vo_interior_turbine_elevator_nag" },
    { 0x9F10, "vo_interior_turbine_room" },
    { 0x9F11, "vo_jump_training" },
    { 0x9F12, "vo_meet_atlas_dialogue" },
    { 0x9F13, "vo_nag_get_warbirds" },
    { 0x9F14, "vo_nk_first_contact" },
    { 0x9F15, "vo_post_building_jump" },
    { 0x9F16, "vo_priority" },
    { 0x9F17, "vo_push_through_hotel" },
    { 0x9F18, "vo_sd_demo_team_call" },
    { 0x9F19, "vo_sd_drone_swarm_dialogue" },
    { 0x9F1A, "vo_shopping_district" },
    { 0x9F1B, "vo_sinkhole" },
    { 0x9F1C, "vo_subway" },
    { 0x9F1D, "vo_subway_car" },
    { 0x9F1E, "vo_subway_civ_convo1" },
    { 0x9F1F, "vo_subway_civ_convo2" },
    { 0x9F20, "vo_subway_civ_convo3" },
    { 0x9F21, "vo_subway_civ_convo4" },
    { 0x9F22, "vo_subway_pa_announcements" },
    { 0x9F23, "vo_subway_threat_grenade_moment" },
    { 0x9F24, "vo_test" },
    { 0x9F25, "vo_tower_debris_radio_chatter" },
    { 0x9F26, "vo_turbine_room_clear" },
    { 0x9F27, "vo_zipliners_hotel" },
    { 0x9F28, "vodestroyed" },
    { 0x9F29, "voice" },
    { 0x9F2A, "voice_count" },
    { 0x9F2B, "voice_is_british_based" },
    { 0x9F2C, "voicecanburst" },
    { 0x9F2D, "void" },
    { 0x9F2E, "vol" },
    { 0x9F2F, "vol_auto_disable" },
    { 0x9F30, "vol_map_name" },
    { 0x9F31, "volcanostarteruption" },
    { 0x9F32, "vols" },
    { 0x9F33, "volume" },
    { 0x9F34, "volume_array" },
    { 0x9F35, "volume_fallingwaterfx" },
    { 0x9F36, "volume_map_name" },
    { 0x9F37, "volume_wakefx" },
    { 0x9F38, "volumes_targetname" },
    { 0x9F39, "vooffline" },
    { 0x9F3A, "vopower" },
    { 0x9F3B, "vpoint" },
    { 0x9F3C, "vrap_explode" },
    { 0x9F3D, "vrap_mute_obj" },
    { 0x9F3E, "vrap_mute_trig" },
    { 0x9F3F, "vrap_sonic_blast_immunity_toggle" },
    { 0x9F40, "vrap_spawn" },
    { 0x9F41, "vrap_takedown_lights_off" },
    { 0x9F42, "vrap_takedown_lights_on" },
    { 0x9F43, "vrapcount" },
    { 0x9F44, "vrs1_condition_to_adaptive" },
    { 0x9F45, "vrs1_condition_to_mix1" },
    { 0x9F46, "vrs1_condition_to_mix2" },
    { 0x9F47, "vrs1_enter_adaptive" },
    { 0x9F48, "vrs1_enter_mix1" },
    { 0x9F49, "vrs1_enter_mix2" },
    { 0x9F4A, "vrs1_instance_init" },
    { 0x9F4B, "vtclassname" },
    { 0x9F4C, "vteam" },
    { 0x9F4D, "vtmodel" },
    { 0x9F4E, "vtol" },
    { 0x9F4F, "vtol_animnode" },
    { 0x9F50, "vtol_battle_redux" },
    { 0x9F51, "vtol_damage_monitor" },
    { 0x9F52, "vtol_death_if_pilot_shot" },
    { 0x9F53, "vtol_delayed_stinger_ignore" },
    { 0x9F54, "vtol_exhaust" },
    { 0x9F55, "vtol_fight" },
    { 0x9F56, "vtol_fire_late_rpgs" },
    { 0x9F57, "vtol_flyin" },
    { 0x9F58, "vtol_flyover" },
    { 0x9F59, "vtol_fx_land" },
    { 0x9F5A, "vtol_lights" },
    { 0x9F5B, "vtol_obj_marker_monitor" },
    { 0x9F5C, "vtol_player_fired" },
    { 0x9F5D, "vtol_reset_player_orientations" },
    { 0x9F5E, "vtol_rocket_death" },
    { 0x9F5F, "vtol_sequence" },
    { 0x9F60, "vtol_takedown_cargo_and_cables" },
    { 0x9F61, "vtol_takedown_chopper" },
    { 0x9F62, "vtol_takedown_cormack" },
    { 0x9F63, "vtol_takedown_cormack_stinger" },
    { 0x9F64, "vtol_takedown_dialogue" },
    { 0x9F65, "vtol_takedown_failure" },
    { 0x9F66, "vtol_takedown_gideon" },
    { 0x9F67, "vtol_takedown_gideon_slide_fx" },
    { 0x9F68, "vtol_takedown_gun_pickup" },
    { 0x9F69, "vtol_takedown_hide_check" },
    { 0x9F6A, "vtol_takedown_ilona" },
    { 0x9F6B, "vtol_takedown_player_grabs_cargo" },
    { 0x9F6C, "vtol_takedown_shoot_monitor" },
    { 0x9F6D, "vtol_takedown_terrain" },
    { 0x9F6E, "vtol_takedown_vtol" },
    { 0x9F6F, "vtol_takedown_vtol_slide_fx" },
    { 0x9F70, "vtolfx" },
    { 0x9F71, "vtoverride" },
    { 0x9F72, "vttype" },
    { 0x9F73, "vulcanlightset" },
    { 0x9F74, "vulcanvisionset" },
    { 0x9F75, "wading_adjust_angles" },
    { 0x9F76, "wading_footsteps" },
    { 0x9F77, "wading_footsteps_ends" },
    { 0x9F78, "wait_and_delete" },
    { 0x9F79, "wait_and_fire" },
    { 0x9F7A, "wait_any_func_array" },
    { 0x9F7B, "wait_current_zone_finish" },
    { 0x9F7C, "wait_endon" },
    { 0x9F7D, "wait_for_all_deck_warbirds_to_unload" },
    { 0x9F7E, "wait_for_an_unlocked_trigger" },
    { 0x9F7F, "wait_for_anim" },
    { 0x9F80, "wait_for_anim_start" },
    { 0x9F81, "wait_for_any_trigger_hit" },
    { 0x9F82, "wait_for_breach_or_deletion" },
    { 0x9F83, "wait_for_buffer_time_to_pass" },
    { 0x9F84, "wait_for_cleanup" },
    { 0x9F85, "wait_for_considerable_left_stick_interact" },
    { 0x9F86, "wait_for_crash_at_end" },
    { 0x9F87, "wait_for_damage" },
    { 0x9F88, "wait_for_death" },
    { 0x9F89, "wait_for_drone_finished" },
    { 0x9F8A, "wait_for_drone_message_or_death" },
    { 0x9F8B, "wait_for_either_trigger" },
    { 0x9F8C, "wait_for_exit_message" },
    { 0x9F8D, "wait_for_exocloak_cancel" },
    { 0x9F8E, "wait_for_exocloak_pressed" },
    { 0x9F8F, "wait_for_false" },
    { 0x9F90, "wait_for_false2" },
    { 0x9F91, "wait_for_false3" },
    { 0x9F92, "wait_for_false4" },
    { 0x9F93, "wait_for_false5" },
    { 0x9F94, "wait_for_false6" },
    { 0x9F95, "wait_for_flag_or_player_command" },
    { 0x9F96, "wait_for_flag_or_player_command_aux" },
    { 0x9F97, "wait_for_flag_or_time_elapses" },
    { 0x9F98, "wait_for_flag_or_timeout" },
    { 0x9F99, "wait_for_formation" },
    { 0x9F9A, "wait_for_formation_break" },
    { 0x9F9B, "wait_for_game_end" },
    { 0x9F9C, "wait_for_guy_to_die_or_get_in_position" },
    { 0x9F9D, "wait_for_hit_reaction" },
    { 0x9F9E, "wait_for_interrupted" },
    { 0x9F9F, "wait_for_laser_end" },
    { 0x9FA0, "wait_for_level_notify_or_timeout" },
    { 0x9FA1, "wait_for_mech_distance" },
    { 0x9FA2, "wait_for_missile" },
    { 0x9FA3, "wait_for_mission_fail" },
    { 0x9FA4, "wait_for_mob_turret_targets_to_be_destroyed" },
    { 0x9FA5, "wait_for_no_trigger_and_ai_group" },
    { 0x9FA6, "wait_for_no_trigger_and_ai_single" },
    { 0x9FA7, "wait_for_no_trigger_just_ai_group" },
    { 0x9FA8, "wait_for_no_trigger_just_ai_single" },
    { 0x9FA9, "wait_for_not_using_remote" },
    { 0x9FAA, "wait_for_notify_or_timeout" },
    { 0x9FAB, "wait_for_number_enemies_alive" },
    { 0x9FAC, "wait_for_pickup" },
    { 0x9FAD, "wait_for_player_death" },
    { 0x9FAE, "wait_for_player_release" },
    { 0x9FAF, "wait_for_player_switch_to_turret" },
    { 0x9FB0, "wait_for_player_to_complete_reloading" },
    { 0x9FB1, "wait_for_primary_weapon_pickup" },
    { 0x9FB2, "wait_for_script_noteworthy_trigger" },
    { 0x9FB3, "wait_for_sounddone_det_gdn_mitchellonme" },
    { 0x9FB4, "wait_for_sounddone_or_death" },
    { 0x9FB5, "wait_for_stick_press" },
    { 0x9FB6, "wait_for_success_press" },
    { 0x9FB7, "wait_for_targetname_trigger" },
    { 0x9FB8, "wait_for_threat_grenade" },
    { 0x9FB9, "wait_for_thrown_grenade" },
    { 0x9FBA, "wait_for_trigger" },
    { 0x9FBB, "wait_for_trigger_and_ai_group" },
    { 0x9FBC, "wait_for_trigger_and_ai_single" },
    { 0x9FBD, "wait_for_trigger_just_ai_group" },
    { 0x9FBE, "wait_for_trigger_just_ai_single" },
    { 0x9FBF, "wait_for_trigger_or_timeout" },
    { 0x9FC0, "wait_for_trigger_set_flag" },
    { 0x9FC1, "wait_for_trigger_think" },
    { 0x9FC2, "wait_for_trigger_with_group_not_touching" },
    { 0x9FC3, "wait_for_trigger_with_group_touching" },
    { 0x9FC4, "wait_for_true" },
    { 0x9FC5, "wait_for_true2" },
    { 0x9FC6, "wait_for_true3" },
    { 0x9FC7, "wait_for_true4" },
    { 0x9FC8, "wait_for_true5" },
    { 0x9FC9, "wait_for_turn_signal_off" },
    { 0x9FCA, "wait_for_turret_reset" },
    { 0x9FCB, "wait_for_vehicle_dismount" },
    { 0x9FCC, "wait_for_vehicle_mount" },
    { 0x9FCD, "wait_for_walker_to_be_hit_by_smaw" },
    { 0x9FCE, "wait_for_warbird_fire_target_done" },
    { 0x9FCF, "wait_heli_uncloak" },
    { 0x9FD0, "wait_in_current_air_space" },
    { 0x9FD1, "wait_kill_me" },
    { 0x9FD2, "wait_load_costume" },
    { 0x9FD3, "wait_load_costume_show" },
    { 0x9FD4, "wait_load_costume_timeout" },
    { 0x9FD5, "wait_ref_count" },
    { 0x9FD6, "wait_resume_path" },
    { 0x9FD7, "wait_spreader_allotment" },
    { 0x9FD8, "wait_spreaders" },
    { 0x9FD9, "wait_start_firingrange" },
    { 0x9FDA, "wait_then_movetogoalvol" },
    { 0x9FDB, "wait_til_node_wait_triggered" },
    { 0x9FDC, "wait_til_pdrone_launched" },
    { 0x9FDD, "wait_till_agent_funcs_defined" },
    { 0x9FDE, "wait_till_death_try_respawn_death" },
    { 0x9FDF, "wait_till_every_thing_stealth_normal_for" },
    { 0x9FE0, "wait_till_on_ship" },
    { 0x9FE1, "wait_till_should_stop_drawing" },
    { 0x9FE2, "wait_till_snakes_nearby" },
    { 0x9FE3, "wait_time" },
    { 0x9FE4, "wait_to_clean_car" },
    { 0x9FE5, "wait_to_decloak_helicopter" },
    { 0x9FE6, "wait_to_destroy_nvg_overlay" },
    { 0x9FE7, "wait_to_fire_rope" },
    { 0x9FE8, "wait_to_give_boost_to_player" },
    { 0x9FE9, "wait_to_go" },
    { 0x9FEA, "wait_to_kill_aim_cursor" },
    { 0x9FEB, "wait_to_kill_path" },
    { 0x9FEC, "wait_to_remove_target" },
    { 0x9FED, "wait_to_stop_firing" },
    { 0x9FEE, "wait_until_an_enemy_is_in_safe_area" },
    { 0x9FEF, "wait_until_anim_finishes" },
    { 0x9FF0, "wait_until_both_swings_pressed" },
    { 0x9FF1, "wait_until_done_speaking" },
    { 0x9FF2, "wait_until_left_swing_pressed" },
    { 0x9FF3, "wait_until_new_target" },
    { 0x9FF4, "wait_until_next_left_swing" },
    { 0x9FF5, "wait_until_next_right_swing" },
    { 0x9FF6, "wait_until_path_safe" },
    { 0x9FF7, "wait_until_right_swing_pressed" },
    { 0x9FF8, "wait_until_unloaded" },
    { 0x9FF9, "wait_until_vision_check_satisfied_or_disabled" },
    { 0x9FFA, "waitabit" },
    { 0x9FFB, "waitaftershot" },
    { 0x9FFC, "waitanddelete" },
    { 0x9FFD, "waitanddetonate" },
    { 0x9FFE, "waitandprocessplayerkilledcallback" },
    { 0x9FFF, "waitandspawnclient" },
    { 0xA000, "waitattachflag" },
    { 0xA001, "waitattachmentcooldown" },
    { 0xA002, "waitcarryobjects" },
    { 0xA003, "waitcopycatkillcambutton" },
    { 0xA004, "waitdelay" },
    { 0xA005, "waitdelayminetime" },
    { 0xA006, "waitdisableshadows" },
    { 0xA007, "waitforairstrikecancel" },
    { 0xA008, "waitforbadpath" },
    { 0xA009, "waitforbadpathhorde" },
    { 0xA00A, "waitforbark" },
    { 0xA00B, "waitforblockedwhilestopping" },
    { 0xA00C, "waitforbuddyspawntimer" },
    { 0xA00D, "waitforc4detonation" },
    { 0xA00E, "waitforchangeteam" },
    { 0xA00F, "waitforclassselect" },
    { 0xA010, "waitforcleanup" },
    { 0xA011, "waitfordeath" },
    { 0xA012, "waitfordrivenchange" },
    { 0xA013, "waitforfacesound" },
    { 0xA014, "waitforfacialanim" },
    { 0xA015, "waitforfollowspeed" },
    { 0xA016, "waitforgasdamage" },
    { 0xA017, "waitforhoodoodamage" },
    { 0xA018, "waitforhoodooflag" },
    { 0xA019, "waitforkillstreakweaponchange" },
    { 0xA01A, "waitforkillstreakweaponswitchinvalid" },
    { 0xA01B, "waitforkillstreakweaponswitchstarted" },
    { 0xA01C, "waitforlaserdeath" },
    { 0xA01D, "waitforpathgoalpos" },
    { 0xA01E, "waitforpathset" },
    { 0xA01F, "waitforpathsetwhilestopping" },
    { 0xA020, "waitforplayerbulletwhizby" },
    { 0xA021, "waitforplayerrespawnchoice" },
    { 0xA022, "waitforplayers" },
    { 0xA023, "waitforragdoll" },
    { 0xA024, "waitforratechange" },
    { 0xA025, "waitforreaderdelete" },
    { 0xA026, "waitforreinforcementoftype" },
    { 0xA027, "waitforrocketdeath" },
    { 0xA028, "waitforrocketimpact" },
    { 0xA029, "waitforrunwalkchange" },
    { 0xA02A, "waitforrunwalkslopechange" },
    { 0xA02B, "waitforscramblejump" },
    { 0xA02C, "waitforsharpturn" },
    { 0xA02D, "waitforsharpturnduringsharpturn" },
    { 0xA02E, "waitforsharpturnwhilestopping" },
    { 0xA02F, "waitforspawnfinished" },
    { 0xA030, "waitforstancechange" },
    { 0xA031, "waitforstatechange" },
    { 0xA032, "waitforstop" },
    { 0xA033, "waitforstopearly" },
    { 0xA034, "waitfortimeornotifies" },
    { 0xA035, "waitfortimeornotify" },
    { 0xA036, "waitfortimeout" },
    { 0xA037, "waitforwalkerdelete" },
    { 0xA038, "waitillairstrikeoverbombingarea" },
    { 0xA039, "waitillcanspawnclient" },
    { 0xA03A, "waiting_for_queue" },
    { 0xA03B, "waiting_mechs" },
    { 0xA03C, "waiting_on_left_swing" },
    { 0xA03D, "waiting_on_right_swing" },
    { 0xA03E, "waitingforgate" },
    { 0xA03F, "waitingforplayers" },
    { 0xA040, "waitingforspawnduringstreak" },
    { 0xA041, "waitingtodeactivate" },
    { 0xA042, "waitingtodie" },
    { 0xA043, "waitingtoselectclass" },
    { 0xA044, "waitingtospawn" },
    { 0xA045, "waitingtospawnamortize" },
    { 0xA046, "waitingtospawndrone" },
    { 0xA047, "waitloadoutdone" },
    { 0xA048, "waitlongdurationwithgameendtimeupdate" },
    { 0xA049, "waitlongdurationwithhostmigrationpause" },
    { 0xA04A, "waitplayerstuckoncarepackagereturn" },
    { 0xA04B, "waitrequirevisibility" },
    { 0xA04C, "waitrespawnbutton" },
    { 0xA04D, "waitrestoreperks" },
    { 0xA04E, "waitsetstates" },
    { 0xA04F, "waitsetstatic" },
    { 0xA050, "waitsetstop" },
    { 0xA051, "waitsetthermal" },
    { 0xA052, "waitskipkillcambutton" },
    { 0xA053, "waitsmoketime" },
    { 0xA054, "waitspawnrandombutton" },
    { 0xA055, "waitspread_code" },
    { 0xA056, "waitspread_insert" },
    { 0xA057, "waitsuppresstimeout" },
    { 0xA058, "waittakekillstreakweapon" },
    { 0xA059, "waitteamspawnbutton" },
    { 0xA05A, "waitthenflashhudtimer" },
    { 0xA05B, "waittill_abort_func_ends" },
    { 0xA05C, "waittill_aerial_pathnodes_calculated" },
    { 0xA05D, "waittill_aigroupcleared" },
    { 0xA05E, "waittill_aigroupcount" },
    { 0xA05F, "waittill_aigroupcount_or_flag" },
    { 0xA060, "waittill_any" },
    { 0xA061, "waittill_any_ents" },
    { 0xA062, "waittill_any_in_array_or_timeout" },
    { 0xA063, "waittill_any_in_array_or_timeout_no_endon_death" },
    { 0xA064, "waittill_any_in_array_return" },
    { 0xA065, "waittill_any_in_array_return_no_endon_death" },
    { 0xA066, "waittill_any_or_timeout" },
    { 0xA067, "waittill_any_return" },
    { 0xA068, "waittill_any_return_no_endon_death" },
    { 0xA069, "waittill_any_return_parms" },
    { 0xA06A, "waittill_any_timeout" },
    { 0xA06B, "waittill_any_timeout_no_endon_death" },
    { 0xA06C, "waittill_any_timeout_pause_on_death_and_prematch" },
    { 0xA06D, "waittill_any_trigger" },
    { 0xA06E, "waittill_attack_and_launch_drones" },
    { 0xA06F, "waittill_combat" },
    { 0xA070, "waittill_combat_wait" },
    { 0xA071, "waittill_copier_copies" },
    { 0xA072, "waittill_crate_activated" },
    { 0xA073, "waittill_dash_button_pressed" },
    { 0xA074, "waittill_dash_button_released" },
    { 0xA075, "waittill_dead" },
    { 0xA076, "waittill_dead_or_dying" },
    { 0xA077, "waittill_dead_or_dying_thread" },
    { 0xA078, "waittill_dead_thread" },
    { 0xA079, "waittill_dead_timeout" },
    { 0xA07A, "waittill_death" },
    { 0xA07B, "waittill_dmg_timeout" },
    { 0xA07C, "waittill_drones_dead" },
    { 0xA07D, "waittill_dropoff_height" },
    { 0xA07E, "waittill_either" },
    { 0xA07F, "waittill_either_differnt_senders" },
    { 0xA080, "waittill_either_function" },
    { 0xA081, "waittill_either_function_internal" },
    { 0xA082, "waittill_enemy_group_size_is" },
    { 0xA083, "waittill_entity_activate_looking_at" },
    { 0xA084, "waittill_entity_in_range" },
    { 0xA085, "waittill_entity_in_range_or_timeout" },
    { 0xA086, "waittill_entity_out_of_range" },
    { 0xA087, "waittill_finish_moving" },
    { 0xA088, "waittill_func_ends" },
    { 0xA089, "waittill_glass_break" },
    { 0xA08A, "waittill_grenade_damage" },
    { 0xA08B, "waittill_has_reached_hill_idle" },
    { 0xA08C, "waittill_in_range" },
    { 0xA08D, "waittill_land_assist_ended" },
    { 0xA08E, "waittill_marker_passed" },
    { 0xA08F, "waittill_match_or_timeout" },
    { 0xA090, "waittill_msg" },
    { 0xA091, "waittill_multiple" },
    { 0xA092, "waittill_multiple_ents" },
    { 0xA093, "waittill_notetrack_or_damage" },
    { 0xA094, "waittill_notify_func" },
    { 0xA095, "waittill_notify_func_ent" },
    { 0xA096, "waittill_notify_or_flag" },
    { 0xA097, "waittill_notify_or_timeout" },
    { 0xA098, "waittill_notify_or_timeout_hostmigration_pause" },
    { 0xA099, "waittill_notify_or_timeout_return" },
    { 0xA09A, "waittill_nt" },
    { 0xA09B, "waittill_objective_event" },
    { 0xA09C, "waittill_objective_event_notrigger" },
    { 0xA09D, "waittill_objective_event_proc" },
    { 0xA09E, "waittill_or_timeout" },
    { 0xA09F, "waittill_player_exo_climbing" },
    { 0xA0A0, "waittill_player_fall" },
    { 0xA0A1, "waittill_player_hits_a" },
    { 0xA0A2, "waittill_player_in_range" },
    { 0xA0A3, "waittill_player_lookat" },
    { 0xA0A4, "waittill_player_lookat_for_time" },
    { 0xA0A5, "waittill_player_not_exo_climbing" },
    { 0xA0A6, "waittill_player_presses_triggers" },
    { 0xA0A7, "waittill_player_tries_to_advance" },
    { 0xA0A8, "waittill_player_uses_land_assist" },
    { 0xA0A9, "waittill_player_uses_land_assist_or_is_a_jerk" },
    { 0xA0AA, "waittill_player_uses_truck_latch" },
    { 0xA0AB, "waittill_pushed_by" },
    { 0xA0AC, "waittill_s2_drone_ambush_done" },
    { 0xA0AD, "waittill_shot_then_die" },
    { 0xA0AE, "waittill_spawn_waterfall_fight" },
    { 0xA0AF, "waittill_stable" },
    { 0xA0B0, "waittill_string" },
    { 0xA0B1, "waittill_string_no_endon_death" },
    { 0xA0B2, "waittill_string_parms" },
    { 0xA0B3, "waittill_tag_calculated_on_path_grid" },
    { 0xA0B4, "waittill_targetname_volume_dead_then_set_flag" },
    { 0xA0B5, "waittill_till_timeout_or_boost" },
    { 0xA0B6, "waittill_time_or_msg" },
    { 0xA0B7, "waittill_touching_entity" },
    { 0xA0B8, "waittill_trigger_activate_looking_at" },
    { 0xA0B9, "waittill_trigger_with_name" },
    { 0xA0BA, "waittill_triggered_current" },
    { 0xA0BB, "waittill_true_goal" },
    { 0xA0BC, "waittill_turret_is_released" },
    { 0xA0BD, "waittill_vehicles_dead" },
    { 0xA0BE, "waittill_volume_dead" },
    { 0xA0BF, "waittill_volume_dead_or_dying" },
    { 0xA0C0, "waittill_volume_dead_then_set_flag" },
    { 0xA0C1, "waittill_weapon_placed" },
    { 0xA0C2, "waittill_weaponhud_canshow" },
    { 0xA0C3, "waittillaiarraydeadoralerted" },
    { 0xA0C4, "waittillaiarrayneargoal" },
    { 0xA0C5, "waittillaineargoal" },
    { 0xA0C6, "waittillattachmentdone" },
    { 0xA0C7, "waittillbcsdone" },
    { 0xA0C8, "waittillbuddyjoinedairstrike" },
    { 0xA0C9, "waittillbuddyjoinedstreak" },
    { 0xA0CA, "waittilldeadoralertedthread" },
    { 0xA0CB, "waittilldeathorempty" },
    { 0xA0CC, "waittilldeathorleavesquad" },
    { 0xA0CD, "waittilldeathorpaindeath" },
    { 0xA0CE, "waittilldeletedordeath" },
    { 0xA0CF, "waittillenabled" },
    { 0xA0D0, "waittillenemiesreducedto" },
    { 0xA0D1, "waittillfinalkillcamdone" },
    { 0xA0D2, "waittillfiremissile" },
    { 0xA0D3, "waittillgrenadedrops" },
    { 0xA0D4, "waittillhostmigrationdone" },
    { 0xA0D5, "waittillhostmigrationstarts" },
    { 0xA0D6, "waittillkillcamover" },
    { 0xA0D7, "waittillleftplayspace" },
    { 0xA0D8, "waittillneargoal" },
    { 0xA0D9, "waittilloverplayspace" },
    { 0xA0DA, "waittillplayercanbebuddy" },
    { 0xA0DB, "waittillplayerfireortime" },
    { 0xA0DC, "waittillplayerishitagain" },
    { 0xA0DD, "waittillplayeristouchinganytrigger" },
    { 0xA0DE, "waittillplayerlookatescapevehicle" },
    { 0xA0DF, "waittillplayerlookattarget" },
    { 0xA0E0, "waittillplayerlookattargetintrigger" },
    { 0xA0E1, "waittillplayersignalatriumbreach" },
    { 0xA0E2, "waittillpromptactivated" },
    { 0xA0E3, "waittillpromptcomplete" },
    { 0xA0E4, "waittillrecoveredhealth" },
    { 0xA0E5, "waittillreloadfinished" },
    { 0xA0E6, "waittillremoteturretleavereturn" },
    { 0xA0E7, "waittillremoteturretusedreturn" },
    { 0xA0E8, "waittillrestartordistance" },
    { 0xA0E9, "waittillrocketdeath" },
    { 0xA0EA, "waittillrocketsexploded" },
    { 0xA0EB, "waittillslowprocessallowed" },
    { 0xA0EC, "waittillthread" },
    { 0xA0ED, "waittillthread_proc" },
    { 0xA0EE, "waittillturretfired" },
    { 0xA0EF, "waittillturretstuncomplete" },
    { 0xA0F0, "waittillunmarkplayerasrockettarget" },
    { 0xA0F1, "waittimeifplayerishit" },
    { 0xA0F2, "waittimeoruntilturretstatechange" },
    { 0xA0F3, "waittimerforspawn" },
    { 0xA0F4, "waituntil_stop_time_or_posreached" },
    { 0xA0F5, "waituntilmatchstart" },
    { 0xA0F6, "waituntilmovereturnnode" },
    { 0xA0F7, "waituntilnotetrack" },
    { 0xA0F8, "waituntilwaverelease" },
    { 0xA0F9, "wake_me_up_if_still_alive" },
    { 0xA0FA, "wake_nearby_drones" },
    { 0xA0FB, "wakeup_physics_sphere_on_ent" },
    { 0xA0FC, "walk_accuracy" },
    { 0xA0FD, "walk_node" },
    { 0xA0FE, "walk_override_weights" },
    { 0xA0FF, "walk_overrideanim" },
    { 0xA100, "walk_speed" },
    { 0xA101, "walk_to_school" },
    { 0xA102, "walkdist_force_walk" },
    { 0xA103, "walkdist_reset" },
    { 0xA104, "walkdist_zero" },
    { 0xA105, "walker" },
    { 0xA106, "walker_ammo_crate_nag" },
    { 0xA107, "walker_anims" },
    { 0xA108, "walker_badplace" },
    { 0xA109, "walker_damage_fx" },
    { 0xA10A, "walker_death_courtyard_kva_cleanup" },
    { 0xA10B, "walker_death_courtyard_kva_cleanup_cg" },
    { 0xA10C, "walker_drone_fight" },
    { 0xA10D, "walker_dying_fx" },
    { 0xA10E, "walker_esc_node_locations" },
    { 0xA10F, "walker_explode" },
    { 0xA110, "walker_for_swarm" },
    { 0xA111, "walker_guy_death" },
    { 0xA112, "walker_jet_flyby" },
    { 0xA113, "walker_missile_barrage" },
    { 0xA114, "walker_mobile_turret_dropoff" },
    { 0xA115, "walker_play_death_anim" },
    { 0xA116, "walker_step_over" },
    { 0xA117, "walker_tank" },
    { 0xA118, "walker_tank_death_vo" },
    { 0xA119, "walker_tank_dialgue" },
    { 0xA11A, "walker_tank_footstep_left" },
    { 0xA11B, "walker_tank_footstep_left_rear" },
    { 0xA11C, "walker_tank_footstep_right" },
    { 0xA11D, "walker_tank_footstep_right_rear" },
    { 0xA11E, "walker_tank_fx" },
    { 0xA11F, "walker_tank_handle_target" },
    { 0xA120, "walker_tank_missile_fire" },
    { 0xA121, "walker_tank_reload_ok" },
    { 0xA122, "walker_tank_success_vo" },
    { 0xA123, "walker_tank_turret_fire_at_player" },
    { 0xA124, "walker_tank_turret_fire_at_player_clear" },
    { 0xA125, "walker_tank_turret_fire_at_player_think" },
    { 0xA126, "walker_tank_turret_think" },
    { 0xA127, "walker_track_pos" },
    { 0xA128, "walker_trophy_system" },
    { 0xA129, "walker_trophy_system_dialogue" },
    { 0xA12A, "walker2" },
    { 0xA12B, "walker2_logic" },
    { 0xA12C, "walkernode" },
    { 0xA12D, "walkers" },
    { 0xA12E, "walkertank" },
    { 0xA12F, "walking_awareness" },
    { 0xA130, "walking_civilian_react" },
    { 0xA131, "walkingaimblendtime" },
    { 0xA132, "walkingaimlimits" },
    { 0xA133, "walkingmechblendtime" },
    { 0xA134, "walkingturnrate" },
    { 0xA135, "walkwayguarddialogue" },
    { 0xA136, "walkwayguardstoptalking" },
    { 0xA137, "walkwayplayerkilldialogue" },
    { 0xA138, "walkwaystruggleanimations" },
    { 0xA139, "wall_canal_breach" },
    { 0xA13A, "wall_climb_cloak_activate" },
    { 0xA13B, "wall_climb_dust_fx" },
    { 0xA13C, "wall_climb_force_dismount" },
    { 0xA13D, "wall_climb_last_jump" },
    { 0xA13E, "wall_explosion_01" },
    { 0xA13F, "wall_hop_human" },
    { 0xA140, "wall_notetrack_listener" },
    { 0xA141, "wall_pull_animation" },
    { 0xA142, "wall_pull_animation_begin" },
    { 0xA143, "wall_pull_animation_dialogue" },
    { 0xA144, "wall_pull_slowmo" },
    { 0xA145, "wall_pullup_burke_anim_start" },
    { 0xA146, "walla_bridge_runners" },
    { 0xA147, "wallclimb_roots" },
    { 0xA148, "wants_to_fire" },
    { 0xA149, "wantsafespawn" },
    { 0xA14A, "wantsbattlebuddy" },
    { 0xA14B, "wantshotgun" },
    { 0xA14C, "wantstogrowlattarget" },
    { 0xA14D, "wanttoattacktargetbutcant" },
    { 0xA14E, "warbird" },
    { 0xA14F, "warbird_a" },
    { 0xA150, "warbird_anims" },
    { 0xA151, "warbird_audio" },
    { 0xA152, "warbird_b_crash_tower" },
    { 0xA153, "warbird_buddy_exit" },
    { 0xA154, "warbird_carrying_walker" },
    { 0xA155, "warbird_circling_perimeter" },
    { 0xA156, "warbird_crash_site" },
    { 0xA157, "warbird_crush_player" },
    { 0xA158, "warbird_death_function" },
    { 0xA159, "warbird_deathspin" },
    { 0xA15A, "warbird_dropoff_01" },
    { 0xA15B, "warbird_dropoff_02" },
    { 0xA15C, "warbird_dropoff_03" },
    { 0xA15D, "warbird_dropoff_04" },
    { 0xA15E, "warbird_dropping_mobile_tuerret_camshake" },
    { 0xA15F, "warbird_emp_crash_movement" },
    { 0xA160, "warbird_emp_damage_function" },
    { 0xA161, "warbird_emp_death" },
    { 0xA162, "warbird_falling_rocks_loop" },
    { 0xA163, "warbird_fire" },
    { 0xA164, "warbird_fire_init" },
    { 0xA165, "warbird_fire_init_monitor" },
    { 0xA166, "warbird_fire_monitor" },
    { 0xA167, "warbird_flyover_shootdown" },
    { 0xA168, "warbird_get_passengers" },
    { 0xA169, "warbird_ground_fire_init" },
    { 0xA16A, "warbird_ground_fire_no_enemy_init" },
    { 0xA16B, "warbird_handle_unload" },
    { 0xA16C, "warbird_hanger_dropoff" },
    { 0xA16D, "warbird_health" },
    { 0xA16E, "warbird_heavy_fire" },
    { 0xA16F, "warbird_heavy_fire_monitor" },
    { 0xA170, "warbird_heavy_shooting_think" },
    { 0xA171, "warbird_hide_blury_rotors" },
    { 0xA172, "warbird_hoverdust" },
    { 0xA173, "warbird_ignore_until_unloaded" },
    { 0xA174, "warbird_intro_lighting" },
    { 0xA175, "warbird_land_fov_change" },
    { 0xA176, "warbird_mobile_turret_dropoff" },
    { 0xA177, "warbird_recover_fail" },
    { 0xA178, "warbird_shooting_think" },
    { 0xA179, "warbird_start_shooting" },
    { 0xA17A, "warbird_strafe_01" },
    { 0xA17B, "warbird_strafe_run" },
    { 0xA17C, "warbird_toggle_turret_off_after_deploy" },
    { 0xA17D, "warbird_turret_off_after_deploy" },
    { 0xA17E, "warbird_unload_listener" },
    { 0xA17F, "warbird_wait_for_fire_target_done" },
    { 0xA180, "warbird_wait_for_unload" },
    { 0xA181, "warbird_wait_until_unloaded" },
    { 0xA182, "warbirdaiattack" },
    { 0xA183, "warbirdairocketreload" },
    { 0xA184, "warbirdbuddyturret" },
    { 0xA185, "warbirdcleanup" },
    { 0xA186, "warbirdfire" },
    { 0xA187, "warbirdflightpathnodes" },
    { 0xA188, "warbirdinit" },
    { 0xA189, "warbirdinuse" },
    { 0xA18A, "warbirdkilled" },
    { 0xA18B, "warbirdlightfx" },
    { 0xA18C, "warbirdlightset" },
    { 0xA18D, "warbirdlookatenemy" },
    { 0xA18E, "warbirdmakevehiclesolidcapsule" },
    { 0xA18F, "warbirdmovetoattackpoint" },
    { 0xA190, "warbirdondeath" },
    { 0xA191, "warbirdoverheatbarcolormonitor" },
    { 0xA192, "warbirdrocketdamageindicator" },
    { 0xA193, "warbirdrockethudupdate" },
    { 0xA194, "warbirdrocketreloadsound" },
    { 0xA195, "warbirdsetting" },
    { 0xA196, "warbirdturret" },
    { 0xA197, "warbirdvisionset" },
    { 0xA198, "warehouse_car_shots" },
    { 0xA199, "warehouse_chase_vehicle_02" },
    { 0xA19A, "warehouse_chase_vehicle_03" },
    { 0xA19B, "warehouse_chase_vehicle_04" },
    { 0xA19C, "warehouse_one_shots_glass" },
    { 0xA19D, "warehouse_one_shots_rock" },
    { 0xA19E, "waribird_intro_vfx" },
    { 0xA19F, "warn_facial_dialogue_too_many" },
    { 0xA1A0, "warn_facial_dialogue_unspoken" },
    { 0xA1A1, "warning" },
    { 0xA1A2, "warning_box_functions" },
    { 0xA1A3, "warning_fade" },
    { 0xA1A4, "warning_lines" },
    { 0xA1A5, "warning_pulse" },
    { 0xA1A6, "warning_sign_hide_fx" },
    { 0xA1A7, "warning_sign_show_fx" },
    { 0xA1A8, "warning_time" },
    { 0xA1A9, "warning_update_text" },
    { 0xA1AA, "warningelement" },
    { 0xA1AB, "warningradiussq" },
    { 0xA1AC, "warningzheight" },
    { 0xA1AD, "warp_allies" },
    { 0xA1AE, "warp_allies_forward_sinkhole" },
    { 0xA1AF, "warp_to_start" },
    { 0xA1B0, "was_ever_visible" },
    { 0xA1B1, "was_headshot" },
    { 0xA1B2, "was_in_exposed_group" },
    { 0xA1B3, "was_on" },
    { 0xA1B4, "was_walking" },
    { 0xA1B5, "wasaliveatmatchstart" },
    { 0xA1B6, "wasallowingpain" },
    { 0xA1B7, "waschained" },
    { 0xA1B8, "wascontested" },
    { 0xA1B9, "wascooked" },
    { 0xA1BA, "wasdamaged" },
    { 0xA1BB, "wasdamagedbyexplosive" },
    { 0xA1BC, "wasdamagedfrombulletpenetration" },
    { 0xA1BD, "waselminatedbyenemy" },
    { 0xA1BE, "wasemp" },
    { 0xA1BF, "wasfacingmotion" },
    { 0xA1C0, "wasflashbangimmune" },
    { 0xA1C1, "waslastround" },
    { 0xA1C2, "wasleftunoccupied" },
    { 0xA1C3, "wasonlyround" },
    { 0xA1C4, "wasp_cloak_off" },
    { 0xA1C5, "wasp_cloak_on" },
    { 0xA1C6, "waspreviouslyincover" },
    { 0xA1C7, "wasrecall" },
    { 0xA1C8, "wasswitchingteamsforonplayerkilled" },
    { 0xA1C9, "wasti" },
    { 0xA1CA, "wasunderwater" },
    { 0xA1CB, "waswinning" },
    { 0xA1CC, "watch_ally_alert" },
    { 0xA1CD, "watch_ball_pickup_and_loss" },
    { 0xA1CE, "watch_bloodplosion" },
    { 0xA1CF, "watch_bot_died_during_crate" },
    { 0xA1D0, "watch_bot_died_during_revive" },
    { 0xA1D1, "watch_death_endon" },
    { 0xA1D2, "watch_distance_on_tutorial_spawner" },
    { 0xA1D3, "watch_follow_objective" },
    { 0xA1D4, "watch_for_alert" },
    { 0xA1D5, "watch_for_death" },
    { 0xA1D6, "watch_for_deaths" },
    { 0xA1D7, "watch_for_joined_team" },
    { 0xA1D8, "watch_for_player_to_reach_overlook" },
    { 0xA1D9, "watch_for_tutorial_enemy_death" },
    { 0xA1DA, "watch_for_underwater" },
    { 0xA1DB, "watch_goal_aborted" },
    { 0xA1DC, "watch_hide_pack_notetracks" },
    { 0xA1DD, "watch_jump_flag" },
    { 0xA1DE, "watch_jumper" },
    { 0xA1DF, "watch_mech_firing" },
    { 0xA1E0, "watch_node_chance" },
    { 0xA1E1, "watch_nodes" },
    { 0xA1E2, "watch_nodes_aborted" },
    { 0xA1E3, "watch_nodes_stop" },
    { 0xA1E4, "watch_out_of_ammo" },
    { 0xA1E5, "watch_player_braking" },
    { 0xA1E6, "watch_player_grapple" },
    { 0xA1E7, "watch_player_shot_me" },
    { 0xA1E8, "watch_players_connecting" },
    { 0xA1E9, "watch_rider_death" },
    { 0xA1EA, "watch_show_pack_notetracks" },
    { 0xA1EB, "watch_stinger_nags" },
    { 0xA1EC, "watch_tag_destination" },
    { 0xA1ED, "watch_tappy_progress" },
    { 0xA1EE, "watch_to_delete" },
    { 0xA1EF, "watch_tower_nags" },
    { 0xA1F0, "watch_turn_off_mbs" },
    { 0xA1F1, "watch_turret_hit_heli" },
    { 0xA1F2, "watchadrenalineusage" },
    { 0xA1F3, "watchagentspawn" },
    { 0xA1F4, "watchaienterwater" },
    { 0xA1F5, "watchallplayerdeath" },
    { 0xA1F6, "watchattackstate" },
    { 0xA1F7, "watchattackstatefunc" },
    { 0xA1F8, "watchbackbuttonpress" },
    { 0xA1F9, "watchbarking" },
    { 0xA1FA, "watchc4" },
    { 0xA1FB, "watchc4altdetonate" },
    { 0xA1FC, "watchc4altdetonation" },
    { 0xA1FD, "watchc4detonation" },
    { 0xA1FE, "watchc4stuck" },
    { 0xA1FF, "watchc4usage" },
    { 0xA200, "watchcarryobjects" },
    { 0xA201, "watchclaymores" },
    { 0xA202, "watchconnectedplayfx" },
    { 0xA203, "watchconnectedplayfxexplosive" },
    { 0xA204, "watchcranenotetrack" },
    { 0xA205, "watchdamagechemical" },
    { 0xA206, "watchdeath" },
    { 0xA207, "watchdeployedriotshielddamage" },
    { 0xA208, "watchdeployedriotshieldents" },
    { 0xA209, "watchdistortdisconnectdeath" },
    { 0xA20A, "watchdrop" },
    { 0xA20B, "watchdvars" },
    { 0xA20C, "watchenemyvelocity" },
    { 0xA20D, "watchenterandexit" },
    { 0xA20E, "watchenterandexitinput" },
    { 0xA20F, "watchexplosivedroneusage" },
    { 0xA210, "watchexplosivegelaltdetonate" },
    { 0xA211, "watchexplosivegelusage" },
    { 0xA212, "watchextrahealthusage" },
    { 0xA213, "watchfasthealusage" },
    { 0xA214, "watchfavoriteenemydeath" },
    { 0xA215, "watchforclasschange" },
    { 0xA216, "watchforclustersplit" },
    { 0xA217, "watchfordeath" },
    { 0xA218, "watchforextramissilefire" },
    { 0xA219, "watchforhostmigrationsetround" },
    { 0xA21A, "watchforincomingfire" },
    { 0xA21B, "watchforjoin" },
    { 0xA21C, "watchforlasermovement" },
    { 0xA21D, "watchforleavegame" },
    { 0xA21E, "watchforneedtoturnortimeout" },
    { 0xA21F, "watchforpickup" },
    { 0xA220, "watchforrandomspawnbutton" },
    { 0xA221, "watchforstick" },
    { 0xA222, "watchforteamchange" },
    { 0xA223, "watchforthrowbacks" },
    { 0xA224, "watchgoalchanged" },
    { 0xA225, "watchgrenadegraceperiod" },
    { 0xA226, "watchgrenadetowardsplayer" },
    { 0xA227, "watchgrenadetowardsplayerinternal" },
    { 0xA228, "watchgrenadetowardsplayertimeout" },
    { 0xA229, "watchgrenadeusage" },
    { 0xA22A, "watchhasdonecombat" },
    { 0xA22B, "watchhitbymissile" },
    { 0xA22C, "watchhostmigration" },
    { 0xA22D, "watchjoinedteamplayfx" },
    { 0xA22E, "watchjoinedteamplayfxexplosive" },
    { 0xA22F, "watchmanualdetonationbydoubletap" },
    { 0xA230, "watchmanualdetonationbyemptythrow" },
    { 0xA231, "watchmanuallydetonatedfordoubletap" },
    { 0xA232, "watchmanuallydetonatedusage" },
    { 0xA233, "watchmgfireuncloak" },
    { 0xA234, "watchmineusage" },
    { 0xA235, "watchminimap" },
    { 0xA236, "watchmissileproximity" },
    { 0xA237, "watchmissileusage" },
    { 0xA238, "watchmutebombusage" },
    { 0xA239, "watchoffhandcancel" },
    { 0xA23A, "watchownerdamage" },
    { 0xA23B, "watchownerdeath" },
    { 0xA23C, "watchownermessageondeath" },
    { 0xA23D, "watchownerteamchange" },
    { 0xA23E, "watchpainteddeath" },
    { 0xA23F, "watchpaintgrenade" },
    { 0xA240, "watchpickup" },
    { 0xA241, "watchplayerconnected" },
    { 0xA242, "watchplayerdeathdisconnect" },
    { 0xA243, "watchplayerdeathdisconnectexplosive" },
    { 0xA244, "watchplayerenterlasercore" },
    { 0xA245, "watchplayerenterwater" },
    { 0xA246, "watchrangerusage" },
    { 0xA247, "watchreloading" },
    { 0xA248, "watchriotshielddeploy" },
    { 0xA249, "watchriotshieldpickup" },
    { 0xA24A, "watchriotshieldstuckentitydeath" },
    { 0xA24B, "watchriotshielduse" },
    { 0xA24C, "watchrobotarmnotetrack" },
    { 0xA24D, "watchselectbuttonpress" },
    { 0xA24E, "watchsentryusage" },
    { 0xA24F, "watchshootentvelocity" },
    { 0xA250, "watchshotgunswitchnotetracks" },
    { 0xA251, "watchslide" },
    { 0xA252, "watchsmokeexplode" },
    { 0xA253, "watchstartweaponchange" },
    { 0xA254, "watchstingerusage" },
    { 0xA255, "watchstoppingpowerkill" },
    { 0xA256, "watchsuppression" },
    { 0xA257, "watchtrackingdroneusage" },
    { 0xA258, "watchtridroneusage" },
    { 0xA259, "watchtrophyusage" },
    { 0xA25A, "watchweaponchange" },
    { 0xA25B, "watchweaponreload" },
    { 0xA25C, "watchweaponusage" },
    { 0xA25D, "water" },
    { 0xA25E, "water_allow_jump" },
    { 0xA25F, "water_allow_prone" },
    { 0xA260, "water_allow_sprint" },
    { 0xA261, "water_barrell_splash_screen_fx" },
    { 0xA262, "water_bubbles_transition_player_view" },
    { 0xA263, "water_bubbles_truck_door" },
    { 0xA264, "water_crash_jeep_1" },
    { 0xA265, "water_crash_jeep_2" },
    { 0xA266, "water_current" },
    { 0xA267, "water_default_vision_set_enabled" },
    { 0xA268, "water_depth" },
    { 0xA269, "water_depth_below" },
    { 0xA26A, "water_depth_state" },
    { 0xA26B, "water_exp_audio" },
    { 0xA26C, "water_explosions" },
    { 0xA26D, "water_explosions_far" },
    { 0xA26E, "water_explosions_near" },
    { 0xA26F, "water_foley_type" },
    { 0xA270, "water_ground_ref_ent" },
    { 0xA271, "water_impacts" },
    { 0xA272, "water_last_weapon" },
    { 0xA273, "water_lastemerge" },
    { 0xA274, "water_level_z" },
    { 0xA275, "water_rising_01" },
    { 0xA276, "water_rising_02" },
    { 0xA277, "water_rising_03" },
    { 0xA278, "water_set_control_options" },
    { 0xA279, "water_set_depth" },
    { 0xA27A, "water_sheeting" },
    { 0xA27B, "water_sheeting_think" },
    { 0xA27C, "water_splash" },
    { 0xA27D, "water_splash_function" },
    { 0xA27E, "water_splash_info" },
    { 0xA27F, "water_splash_reset_function" },
    { 0xA280, "water_step" },
    { 0xA281, "water_touching" },
    { 0xA282, "water_trigger_current" },
    { 0xA283, "water_trigger_register" },
    { 0xA284, "water_triggers" },
    { 0xA285, "water_vision_set_enabled" },
    { 0xA286, "water_wading_move_speed" },
    { 0xA287, "water_wading_move_speed_target" },
    { 0xA288, "water_wading_waterdepthtype" },
    { 0xA289, "water_wading_wobble" },
    { 0xA28A, "water_wading_wobble_target" },
    { 0xA28B, "water_wake_speed" },
    { 0xA28C, "water_warning" },
    { 0xA28D, "waterbadtrigger" },
    { 0xA28E, "waterdeletez" },
    { 0xA28F, "waterfall_save" },
    { 0xA290, "waterfx" },
    { 0xA291, "waterline_ents" },
    { 0xA292, "waterline_offset" },
    { 0xA293, "waterthink" },
    { 0xA294, "waterthink_rampspeed" },
    { 0xA295, "wave_1_5_ally_move" },
    { 0xA296, "wave_1_5_retreat" },
    { 0xA297, "wave_1_ally_move" },
    { 0xA298, "wave_1_enemy_logic" },
    { 0xA299, "wave_1_logic" },
    { 0xA29A, "wave_1_zippers" },
    { 0xA29B, "wave_2_special_start" },
    { 0xA29C, "wave_3_ally_move_left" },
    { 0xA29D, "wave_3_ally_move_right" },
    { 0xA29E, "wave_3_retreat" },
    { 0xA29F, "wave_3_retreat_vol" },
    { 0xA2A0, "wave_3_zippers" },
    { 0xA2A1, "wave1" },
    { 0xA2A2, "wavedelay" },
    { 0xA2A3, "wavefirstspawn" },
    { 0xA2A4, "waveplayerspawnindex" },
    { 0xA2A5, "waves" },
    { 0xA2A6, "wavespawnindex" },
    { 0xA2A7, "wavespawntimer" },
    { 0xA2A8, "waypoint" },
    { 0xA2A9, "weap_has_thermal" },
    { 0xA2AA, "weap_is_em1" },
    { 0xA2AB, "weap_is_hbra3" },
    { 0xA2AC, "weap_is_himar" },
    { 0xA2AD, "weapon_ammo" },
    { 0xA2AE, "weapon_ammo_bar" },
    { 0xA2AF, "weapon_ammo_bar_color" },
    { 0xA2B0, "weapon_ammo_bar_reload" },
    { 0xA2B1, "weapon_ammo_bar_value" },
    { 0xA2B2, "weapon_ammo_count" },
    { 0xA2B3, "weapon_ammo_max" },
    { 0xA2B4, "weapon_col" },
    { 0xA2B5, "weapon_cooldown_active" },
    { 0xA2B6, "weapon_cooldown_time" },
    { 0xA2B7, "weapon_drop_cleanup" },
    { 0xA2B8, "weapon_fire" },
    { 0xA2B9, "weapon_fire_notify" },
    { 0xA2BA, "weapon_fire_sound" },
    { 0xA2BB, "weapon_input_cooldown_active" },
    { 0xA2BC, "weapon_list_debug" },
    { 0xA2BD, "weapon_name" },
    { 0xA2BE, "weapon_names" },
    { 0xA2BF, "weapon_notify_loop" },
    { 0xA2C0, "weapon_out" },
    { 0xA2C1, "weapon_pickups_disable" },
    { 0xA2C2, "weapon_platform_fire_1" },
    { 0xA2C3, "weapon_platform_fire_2" },
    { 0xA2C4, "weapon_platform_fire_3" },
    { 0xA2C5, "weapon_platform_rigged" },
    { 0xA2C6, "weapon_pump_action_shotgun" },
    { 0xA2C7, "weapon_ready_to_fire" },
    { 0xA2C8, "weapon_reload" },
    { 0xA2C9, "weapon_reload_time" },
    { 0xA2CA, "weaponattachments" },
    { 0xA2CB, "weaponcamoorder" },
    { 0xA2CC, "weaponclass" },
    { 0xA2CD, "weapondamagetracepassed" },
    { 0xA2CE, "weapondmgmod" },
    { 0xA2CF, "weapondropfunction" },
    { 0xA2D0, "weaponfire" },
    { 0xA2D1, "weaponisriotshield" },
    { 0xA2D2, "weaponisshockplantriotshield" },
    { 0xA2D3, "weaponlinker" },
    { 0xA2D4, "weaponlist" },
    { 0xA2D5, "weaponlistenforstopfire" },
    { 0xA2D6, "weaponname" },
    { 0xA2D7, "weaponnamefull" },
    { 0xA2D8, "weaponplf_flyby_dustfx_sinkhole" },
    { 0xA2D9, "weaponpos" },
    { 0xA2DA, "weaponposdropping" },
    { 0xA2DB, "weaponproficiency" },
    { 0xA2DC, "weaponrefs" },
    { 0xA2DD, "weapons" },
    { 0xA2DE, "weapons_with_ir" },
    { 0xA2DF, "weaponsetup" },
    { 0xA2E0, "weaponslot" },
    { 0xA2E1, "weaponsound" },
    { 0xA2E2, "weaponspeed" },
    { 0xA2E3, "weaponstate" },
    { 0xA2E4, "weaponstorestore" },
    { 0xA2E5, "weapontag01" },
    { 0xA2E6, "weapontag02" },
    { 0xA2E7, "weapontag03" },
    { 0xA2E8, "weapontag04" },
    { 0xA2E9, "weapontweaks" },
    { 0xA2EA, "weapontype" },
    { 0xA2EB, "weaponusagename" },
    { 0xA2EC, "weaponusagestarttime" },
    { 0xA2ED, "weather_report" },
    { 0xA2EE, "weave" },
    { 0xA2EF, "welder" },
    { 0xA2F0, "went_thither" },
    { 0xA2F1, "went_thither_time" },
    { 0xA2F2, "wetlevel" },
    { 0xA2F3, "wheel_for_hostage_car" },
    { 0xA2F4, "wheel_speed_modifier" },
    { 0xA2F5, "wheeldir" },
    { 0xA2F6, "wheeldirectionchange" },
    { 0xA2F7, "wheelman_success" },
    { 0xA2F8, "wheels_bump_impact" },
    { 0xA2F9, "when_am_i_near_player" },
    { 0xA2FA, "whisper" },
    { 0xA2FB, "whistle" },
    { 0xA2FC, "whistle_count" },
    { 0xA2FD, "whistle_hint_used" },
    { 0xA2FE, "whistle_no_relay" },
    { 0xA2FF, "whistle_tutorial_enemy" },
    { 0xA300, "white_hoodoo_fx" },
    { 0xA301, "white_hoodoos" },
    { 0xA302, "white_out" },
    { 0xA303, "white_overlay" },
    { 0xA304, "whiz" },
    { 0xA305, "whiz_init" },
    { 0xA306, "whiz_set_offset" },
    { 0xA307, "whiz_set_preset" },
    { 0xA308, "whiz_set_probabilities" },
    { 0xA309, "whiz_set_radii" },
    { 0xA30A, "whiz_set_spreads" },
    { 0xA30B, "whiz_use_string_table" },
    { 0xA30C, "whizby_settings" },
    { 0xA30D, "whizbyenemy" },
    { 0xA30E, "whizx_get_mix_preset_from_stringtable_internal" },
    { 0xA30F, "whizx_get_stringtable_preset" },
    { 0xA310, "widebeam" },
    { 0xA311, "widen_player_view" },
    { 0xA312, "wildcards" },
    { 0xA313, "wildcardsowned" },
    { 0xA314, "will_be_manhandled" },
    { 0xA315, "will_boid_clip_camera" },
    { 0xA316, "will_doorshield_debris" },
    { 0xA317, "will_doorshield_foley" },
    { 0xA318, "will_doorshield_grabs" },
    { 0xA319, "will_doorshield_rip" },
    { 0xA31A, "will_doorshield_tension" },
    { 0xA31B, "will_irons" },
    { 0xA31C, "will_irons_intro" },
    { 0xA31D, "will_perarts_jump_explosions" },
    { 0xA31E, "will_reveal_fov_default" },
    { 0xA31F, "will_room_door_exit" },
    { 0xA320, "will_room_logic" },
    { 0xA321, "will_room_speech_end" },
    { 0xA322, "winbycaptures" },
    { 0xA323, "wind" },
    { 0xA324, "wind_dir" },
    { 0xA325, "wind_gate_open" },
    { 0xA326, "wind_gust" },
    { 0xA327, "wind_lp" },
    { 0xA328, "wind_over_trees" },
    { 0xA329, "wind_warning" },
    { 0xA32A, "windcontroller" },
    { 0xA32B, "windmill_sniper_shot" },
    { 0xA32C, "windmill_sniper_shot_multi" },
    { 0xA32D, "windmill_sniper_shot_whizby" },
    { 0xA32E, "window_destroy" },
    { 0xA32F, "window_down_height" },
    { 0xA330, "window_explosion_wait_think" },
    { 0xA331, "window_guy" },
    { 0xA332, "window_hint" },
    { 0xA333, "window_position" },
    { 0xA334, "windowgapjumpglassshatter" },
    { 0xA335, "windowhoteljumpglassshatter" },
    { 0xA336, "wingman" },
    { 0xA337, "wingman_getgoalpos" },
    { 0xA338, "wingman_think" },
    { 0xA339, "winner" },
    { 0xA33A, "wipeout" },
    { 0xA33B, "wirewander" },
    { 0xA33C, "within_angle" },
    { 0xA33D, "within_attack_range" },
    { 0xA33E, "within_fov" },
    { 0xA33F, "within_fov_2d" },
    { 0xA340, "within_fov_of_players" },
    { 0xA341, "within_player_fov" },
    { 0xA342, "witness_kill_valid" },
    { 0xA343, "wood_debris" },
    { 0xA344, "worker_spawn_func" },
    { 0xA345, "world_body" },
    { 0xA346, "world_x" },
    { 0xA347, "worldicons" },
    { 0xA348, "worldtolocalcoords" },
    { 0xA349, "worlduseicons" },
    { 0xA34A, "worthydamageratio" },
    { 0xA34B, "woundedsoldierdeath" },
    { 0xA34C, "wpn_deam160_aud_charges" },
    { 0xA34D, "wpn_deam160_charge" },
    { 0xA34E, "wpn_deam160_charge_dots_increase" },
    { 0xA34F, "wpn_deam160_full_charge" },
    { 0xA350, "wpn_deam160_init" },
    { 0xA351, "wpn_deam160_is_chargeable" },
    { 0xA352, "wpn_deam160_play_charge_loop_sfx" },
    { 0xA353, "wpn_deam160_shot" },
    { 0xA354, "wpn_deam160_watch_weapon_change" },
    { 0xA355, "write_entity" },
    { 0xA356, "write_log" },
    { 0xA357, "writebufferedstats" },
    { 0xA358, "writesegmentdata" },
    { 0xA359, "x_on_closest_cardoor" },
    { 0xA35A, "x4_walker_controls_hints_shown" },
    { 0xA35B, "x4_walker_fire_missile" },
    { 0xA35C, "x4_walker_hud_missile_launched" },
    { 0xA35D, "x4_walker_hud_target_aquired" },
    { 0xA35E, "x4walker_player_invulnerability" },
    { 0xA35F, "x4walker_spawn_player_rig" },
    { 0xA360, "x4walker_wheels_fusion_turret" },
    { 0xA361, "x4walker_wheels_seoul_turret" },
    { 0xA362, "x4ww_condition_callback_to_state_breaking" },
    { 0xA363, "x4ww_condition_callback_to_state_destruct" },
    { 0xA364, "x4ww_condition_callback_to_state_enter_vehicle" },
    { 0xA365, "x4ww_condition_callback_to_state_exit_vehicle" },
    { 0xA366, "x4ww_condition_callback_to_state_idle" },
    { 0xA367, "x4ww_condition_callback_to_state_moving" },
    { 0xA368, "x4ww_condition_callback_to_state_off" },
    { 0xA369, "x4ww_condition_callback_to_state_shutoff" },
    { 0xA36A, "x4ww_condition_callback_to_state_start_move" },
    { 0xA36B, "x4ww_condition_callback_to_state_startup" },
    { 0xA36C, "x4ww_condition_callback_to_state_stopped" },
    { 0xA36D, "x4ww_condition_callback_to_state_turret_elevate" },
    { 0xA36E, "x4ww_condition_callback_to_state_turret_rotate" },
    { 0xA36F, "x4ww_condition_callback_to_state_turret_rotate_accel" },
    { 0xA370, "x4ww_condition_callback_to_state_turret_rotate_decel" },
    { 0xA371, "x4ww_condition_callback_to_state_turret_stopped" },
    { 0xA372, "x4ww_condition_callback_to_state_wheels_bump_impact" },
    { 0xA373, "x4ww_condition_callback_to_state_wheels_neutral" },
    { 0xA374, "x4ww_input_callback_gun_pitch_rate" },
    { 0xA375, "x4ww_input_callback_gun_yaw_rate" },
    { 0xA376, "x4ww_input_callback_player_driver" },
    { 0xA377, "x4ww_input_callback_wheel_zvelocity" },
    { 0xA378, "x4ww_input_callback_wheel_zvelocity_front_left" },
    { 0xA379, "x4ww_input_callback_wheel_zvelocity_front_right" },
    { 0xA37A, "x4ww_input_callback_wheel_zvelocity_rear_left" },
    { 0xA37B, "x4ww_input_callback_wheel_zvelocity_rear_right" },
    { 0xA37C, "x4wwt_condition_callback_to_state_breaking" },
    { 0xA37D, "x4wwt_condition_callback_to_state_destruct" },
    { 0xA37E, "x4wwt_condition_callback_to_state_enter_vehicle" },
    { 0xA37F, "x4wwt_condition_callback_to_state_exit_vehicle" },
    { 0xA380, "x4wwt_condition_callback_to_state_idle" },
    { 0xA381, "x4wwt_condition_callback_to_state_moving" },
    { 0xA382, "x4wwt_condition_callback_to_state_off" },
    { 0xA383, "x4wwt_condition_callback_to_state_shutoff" },
    { 0xA384, "x4wwt_condition_callback_to_state_start_move" },
    { 0xA385, "x4wwt_condition_callback_to_state_startup" },
    { 0xA386, "x4wwt_condition_callback_to_state_stopped" },
    { 0xA387, "x4wwt_condition_callback_to_state_turret_elevate" },
    { 0xA388, "x4wwt_condition_callback_to_state_turret_rotate" },
    { 0xA389, "x4wwt_condition_callback_to_state_turret_rotate_accel" },
    { 0xA38A, "x4wwt_condition_callback_to_state_turret_rotate_decel" },
    { 0xA38B, "x4wwt_condition_callback_to_state_turret_stopped" },
    { 0xA38C, "x4wwt_condition_callback_to_state_wheels_bump_impact" },
    { 0xA38D, "x4wwt_condition_callback_to_state_wheels_neutral" },
    { 0xA38E, "x4wwt_input_callback_gun_pitch_rate" },
    { 0xA38F, "x4wwt_input_callback_gun_yaw_rate" },
    { 0xA390, "x4wwt_input_callback_player_driver" },
    { 0xA391, "x4wwt_input_callback_wheel_zvelocity" },
    { 0xA392, "x4wwt_input_callback_wheel_zvelocity_front_left" },
    { 0xA393, "x4wwt_input_callback_wheel_zvelocity_front_right" },
    { 0xA394, "x4wwt_input_callback_wheel_zvelocity_rear_left" },
    { 0xA395, "x4wwt_input_callback_wheel_zvelocity_rear_right" },
    { 0xA396, "xoffset" },
    { 0xA397, "xp_ai_func" },
    { 0xA398, "xp_enable" },
    { 0xA399, "xp_give_func" },
    { 0xA39A, "xpadding" },
    { 0xA39B, "xpatlifestart" },
    { 0xA39C, "xpeventinfo" },
    { 0xA39D, "xppointspopup" },
    { 0xA39E, "xppopup" },
    { 0xA39F, "xprompt_on_brick" },
    { 0xA3A0, "xpscalar" },
    { 0xA3A1, "xpscale" },
    { 0xA3A2, "xpupdatetotal" },
    { 0xA3A3, "xraywall_on" },
    { 0xA3A4, "xraywall_static" },
    { 0xA3A5, "xslicefade" },
    { 0xA3A6, "xslicestartdialogue" },
    { 0xA3A7, "xuid2ownerid" },
    { 0xA3A8, "xy" },
    { 0xA3A9, "yards2dist" },
    { 0xA3AA, "yards2units" },
    { 0xA3AB, "yaw" },
    { 0xA3AC, "yaw_per_sec_calc" },
    { 0xA3AD, "yaw_rate" },
    { 0xA3AE, "yaw_scale" },
    { 0xA3AF, "yaw_tilt_to_direction_vector" },
    { 0xA3B0, "yawdiff" },
    { 0xA3B1, "yoffset" },
    { 0xA3B2, "youre_dead_functon" },
    { 0xA3B3, "youre_spoted_functon" },
    { 0xA3B4, "ypadding" },
    { 0xA3B5, "zap_local_drones" },
    { 0xA3B6, "zip" },
    { 0xA3B7, "zip_debris_anim" },
    { 0xA3B8, "zip_rooftop_dialogue" },
    { 0xA3B9, "zip_team_two_deployed_dialogue" },
    { 0xA3BA, "zipline_animname" },
    { 0xA3BB, "zipline_end_org" },
    { 0xA3BC, "zipline_gun_model" },
    { 0xA3BD, "zipline_gunner_tag" },
    { 0xA3BE, "zipline_guy_laser_think" },
    { 0xA3BF, "zipline_guy_shoot_think" },
    { 0xA3C0, "zipline_land_anims" },
    { 0xA3C1, "zippers_spawner" },
    { 0xA3C2, "zoffset" },
    { 0xA3C3, "zombiedialog" },
    { 0xA3C4, "zombieextractiongates" },
    { 0xA3C5, "zombiegivemaxammo" },
    { 0xA3C6, "zombieincreasewavecount" },
    { 0xA3C7, "zombiemovinggates" },
    { 0xA3C8, "zombiepreloadweapons" },
    { 0xA3C9, "zombierotatinggates" },
    { 0xA3CA, "zombiescompleted" },
    { 0xA3CB, "zombiesdead" },
    { 0xA3CC, "zombiesdestroykillstreaks" },
    { 0xA3CD, "zombiesdisablearmories" },
    { 0xA3CE, "zombiesetspeedscale" },
    { 0xA3CF, "zombiesmusic" },
    { 0xA3D0, "zombiesstarted" },
    { 0xA3D1, "zombiewavesequence" },
    { 0xA3D2, "zombieweaponpickup" },
    { 0xA3D3, "zombieweapons" },
    { 0xA3D4, "zone" },
    { 0xA3D5, "zone_boarder_effect" },
    { 0xA3D6, "zone_boarder_effect_stop" },
    { 0xA3D7, "zone_bounds" },
    { 0xA3D8, "zone_filters_enabled" },
    { 0xA3D9, "zone_flag_effect" },
    { 0xA3DA, "zone_flag_effect_stop" },
    { 0xA3DB, "zone_from_name" },
    { 0xA3DC, "zone_get_node_nearest_2d_bounds" },
    { 0xA3DD, "zone_handler" },
    { 0xA3DE, "zone_handler_snipers" },
    { 0xA3DF, "zone_height" },
    { 0xA3E0, "zone_mgr" },
    { 0xA3E1, "zone_radius" },
    { 0xA3E2, "zone_set_neutral" },
    { 0xA3E3, "zone_set_team" },
    { 0xA3E4, "zone_set_waiting" },
    { 0xA3E5, "zone_to_name" },
    { 0xA3E6, "zonecount" },
    { 0xA3E7, "zonedestroyedbytimer" },
    { 0xA3E8, "zonedestroyedinenemystr" },
    { 0xA3E9, "zoneduration" },
    { 0xA3EA, "zonemix" },
    { 0xA3EB, "zonemovetime" },
    { 0xA3EC, "zonerevealtime" },
    { 0xA3ED, "zones" },
    { 0xA3EE, "zonespawninginstr" },
    { 0xA3EF, "zonespawnqueue" },
    { 0xA3F0, "zoom" },
    { 0xA3F1, "zoom_to_radial_menu" },
    { 0xA3F2, "zoomin" },
    { 0xA3F3, "zoominsound" },
    { 0xA3F4, "zoomout" },
    { 0xA3F5, "zoomslam" },
    { 0xA3F6, "character/character_atlas_ar" },
    { 0xA3F7, "character/character_atlas_arctic_ar" },
    { 0xA3F8, "character/character_atlas_arctic_smg" },
    { 0xA3F9, "character/character_atlas_bodyguard_smg" },
    { 0xA3FA, "character/character_atlas_elete" },
    { 0xA3FB, "character/character_atlas_mech_pilot" },
    { 0xA3FC, "character/character_atlas_noexo" },
    { 0xA3FD, "character/character_atlas_pmc_estate_smg" },
    { 0xA3FE, "character/character_atlas_security_ar" },
    { 0xA3FF, "character/character_atlas_smg" },
    { 0xA400, "character/character_atlas_smg_lowlod" },
    { 0xA401, "character/character_casual_irons" },
    { 0xA402, "character/character_casual_irons_bet_holo" },
    { 0xA403, "character/character_civ_afr_dark_female_casual" },
    { 0xA404, "character/character_civ_afr_dark_female_dress" },
    { 0xA405, "character/character_civ_afr_dark_male_casual" },
    { 0xA406, "character/character_civ_afr_dark_male_dress" },
    { 0xA407, "character/character_civ_afr_drk_female_cas" },
    { 0xA408, "character/character_civ_afr_lgt_female_cas" },
    { 0xA409, "character/character_civ_afr_light_fem_drs_sml" },
    { 0xA40A, "character/character_civ_afr_light_female_casual" },
    { 0xA40B, "character/character_civ_afr_light_female_dress" },
    { 0xA40C, "character/character_civ_afr_light_male_casual" },
    { 0xA40D, "character/character_civ_afr_light_male_dress" },
    { 0xA40E, "character/character_civ_afr_male_cas_grk" },
    { 0xA40F, "character/character_civ_afr_male_drs_grk" },
    { 0xA410, "character/character_civ_african_male_b" },
    { 0xA411, "character/character_civ_african_male_c" },
    { 0xA412, "character/character_civ_african_male_d" },
    { 0xA413, "character/character_civ_asi_male_casual" },
    { 0xA414, "character/character_civ_asi_male_dress" },
    { 0xA415, "character/character_civ_cau_fem_drs_sml" },
    { 0xA416, "character/character_civ_cau_female_casual" },
    { 0xA417, "character/character_civ_cau_female_dress" },
    { 0xA418, "character/character_civ_cau_male_casual" },
    { 0xA419, "character/character_civ_cau_male_casual_ball1" },
    { 0xA41A, "character/character_civ_cau_male_casual_ball2" },
    { 0xA41B, "character/character_civ_cau_male_casual_grk" },
    { 0xA41C, "character/character_civ_cau_male_dress" },
    { 0xA41D, "character/character_civ_cau_male_dress_grk" },
    { 0xA41E, "character/character_civ_mde_female_casual" },
    { 0xA41F, "character/character_civ_mde_female_dress" },
    { 0xA420, "character/character_civ_mde_male_casual" },
    { 0xA421, "character/character_civ_mde_male_dress" },
    { 0xA422, "character/character_civ_pris_afr_dark_male_lite" },
    { 0xA423, "character/character_civ_pris_cau_male_lite" },
    { 0xA424, "character/character_civ_pris_mde_male_lite" },
    { 0xA425, "character/character_civ_rec_funeral_female_a" },
    { 0xA426, "character/character_civ_rec_funeral_female_b" },
    { 0xA427, "character/character_civ_rec_funeral_female_c" },
    { 0xA428, "character/character_civ_rec_funeral_female_d" },
    { 0xA429, "character/character_civ_rec_funeral_female_wife" },
    { 0xA42A, "character/character_civ_rec_funeral_male" },
    { 0xA42B, "character/character_civ_rec_funeral_male_afr" },
    { 0xA42C, "character/character_civ_rec_funeral_male_afr_a" },
    { 0xA42D, "character/character_civ_rec_funeral_male_afr_b" },
    { 0xA42E, "character/character_civ_rec_funeral_male_afr_c" },
    { 0xA42F, "character/character_civ_rec_funeral_male_afr_d" },
    { 0xA430, "character/character_civ_rec_funeral_male_asi_a" },
    { 0xA431, "character/character_civ_rec_funeral_male_cau_a" },
    { 0xA432, "character/character_civ_rec_funeral_male_cau_b" },
    { 0xA433, "character/character_civ_rec_funeral_male_cau_c" },
    { 0xA434, "character/character_civ_rec_funeral_male_cau_d" },
    { 0xA435, "character/character_civ_rec_funeral_male_cau_e" },
    { 0xA436, "character/character_civ_rec_funeral_male_cau_f" },
    { 0xA437, "character/character_civ_s1_female_a" },
    { 0xA438, "character/character_civ_s1_female_b" },
    { 0xA439, "character/character_civ_s1_female_c" },
    { 0xA43A, "character/character_civ_s1_female_d" },
    { 0xA43B, "character/character_civ_s1_female_dead_a" },
    { 0xA43C, "character/character_civ_s1_female_dead_b" },
    { 0xA43D, "character/character_civ_s1_female_e" },
    { 0xA43E, "character/character_civ_s1_female_f" },
    { 0xA43F, "character/character_civ_s1_female_g" },
    { 0xA440, "character/character_civ_s1_male_a" },
    { 0xA441, "character/character_civ_s1_male_b" },
    { 0xA442, "character/character_civ_s1_male_c" },
    { 0xA443, "character/character_civ_s1_male_d" },
    { 0xA444, "character/character_civ_s1_male_dead_a" },
    { 0xA445, "character/character_civ_s1_male_dead_b" },
    { 0xA446, "character/character_civ_s1_male_dead_c" },
    { 0xA447, "character/character_civ_s1_male_e" },
    { 0xA448, "character/character_civ_s1_male_hostage_lag" },
    { 0xA449, "character/character_civ_s1_worker_a" },
    { 0xA44A, "character/character_civ_s1_worker_b" },
    { 0xA44B, "character/character_civ_s1_worker_hardhat" },
    { 0xA44C, "character/character_civ_scientist_s1_a" },
    { 0xA44D, "character/character_civ_scientist_s1_b" },
    { 0xA44E, "character/character_civ_scientist_s1_c" },
    { 0xA44F, "character/character_civ_scientist_s1_d" },
    { 0xA450, "character/character_civ_scientist_s1_e" },
    { 0xA451, "character/character_civ_scientist_s1_f" },
    { 0xA452, "character/character_civ_seoul_female" },
    { 0xA453, "character/character_civ_seoul_male_a" },
    { 0xA454, "character/character_civ_seoul_male_b" },
    { 0xA455, "character/character_civ_seoul_male_c" },
    { 0xA456, "character/character_civ_seoul_male_d" },
    { 0xA457, "character/character_civ_seoul_male_e" },
    { 0xA458, "character/character_civ_seoul_male_principle" },
    { 0xA459, "character/character_civilian_africa_male_a" },
    { 0xA45A, "character/character_civilian_africa_male_b" },
    { 0xA45B, "character/character_civilian_africa_male_c" },
    { 0xA45C, "character/character_civilian_india_female_a" },
    { 0xA45D, "character/character_civilian_india_female_b" },
    { 0xA45E, "character/character_civilian_india_male_a" },
    { 0xA45F, "character/character_civilian_india_male_b" },
    { 0xA460, "character/character_civilian_india_male_c" },
    { 0xA461, "character/character_civilian_india_male_d" },
    { 0xA462, "character/character_civilian_prisoner_female_a" },
    { 0xA463, "character/character_civilian_prisoner_female_b" },
    { 0xA464, "character/character_civilian_slum_male_aa" },
    { 0xA465, "character/character_civilian_slum_male_aa_wht" },
    { 0xA466, "character/character_civilian_slum_male_ab" },
    { 0xA467, "character/character_civilian_slum_male_ab_wht" },
    { 0xA468, "character/character_civilian_slum_male_ba" },
    { 0xA469, "character/character_civilian_slum_male_ba_wht" },
    { 0xA46A, "character/character_civilian_slum_male_bb" },
    { 0xA46B, "character/character_civilian_slum_male_bb_wht" },
    { 0xA46C, "character/character_civilian_worker_a" },
    { 0xA46D, "character/character_civilian_worker_b" },
    { 0xA46E, "character/character_civilian_worker_c" },
    { 0xA46F, "character/character_coop_cloaked_static" },
    { 0xA470, "character/character_doctor" },
    { 0xA471, "character/character_doctor_cpt" },
    { 0xA472, "character/character_doctor_mwi" },
    { 0xA473, "character/character_doctor_mwi_holo" },
    { 0xA474, "character/character_doctor_pas" },
    { 0xA475, "character/character_dprk_ar" },
    { 0xA476, "character/character_dprk_shotgun" },
    { 0xA477, "character/character_dprk_smg" },
    { 0xA478, "character/character_hero_burke_b_atlas" },
    { 0xA479, "character/character_hero_burke_b_pmc" },
    { 0xA47A, "character/character_hero_burke_sentinel" },
    { 0xA47B, "character/character_hero_burke_sentinel_cloak" },
    { 0xA47C, "character/character_hero_carter_pmc" },
    { 0xA47D, "character/character_hero_cormack_captured" },
    { 0xA47E, "character/character_hero_cormack_cloak" },
    { 0xA47F, "character/character_hero_cormack_marine" },
    { 0xA480, "character/character_hero_cormack_marine_damaged" },
    { 0xA481, "character/character_hero_cormack_marine_dress" },
    { 0xA482, "character/character_hero_cormack_marine_seointro" },
    { 0xA483, "character/character_hero_cormack_sentinel" },
    { 0xA484, "character/character_hero_cormack_sentinel_arctic" },
    { 0xA485, "character/character_hero_cormack_sentinel_udt_b" },
    { 0xA486, "character/character_hero_cormack_sentinel_udtgr" },
    { 0xA487, "character/character_hero_gideon_atlas" },
    { 0xA488, "character/character_hero_gideon_atlas_arctic" },
    { 0xA489, "character/character_hero_gideon_atlas_pmc" },
    { 0xA48A, "character/character_hero_gideon_atlas_pmc_mask" },
    { 0xA48B, "character/character_hero_gideon_captured" },
    { 0xA48C, "character/character_hero_gideon_pmc" },
    { 0xA48D, "character/character_hero_gideon_sentinel_cloak" },
    { 0xA48E, "character/character_hero_gideon_sentinel_finale" },
    { 0xA48F, "character/character_hero_gideon_sentinel_jetpack" },
    { 0xA490, "character/character_hero_gideon_sentinel_pilot" },
    { 0xA491, "character/character_hero_ilana_atlas_pmc" },
    { 0xA492, "character/character_hero_ilana_captured" },
    { 0xA493, "character/character_hero_ilana_sentinel_arctic" },
    { 0xA494, "character/character_hero_ilana_sentinel_pilot" },
    { 0xA495, "character/character_hero_ilana_sentinel_udt_b" },
    { 0xA496, "character/character_hero_ilana_sentinel_udtgr" },
    { 0xA497, "character/character_hero_ilana_tourist" },
    { 0xA498, "character/character_hero_irons" },
    { 0xA499, "character/character_hero_joker_atlas" },
    { 0xA49A, "character/character_hero_joker_atlas_pmc" },
    { 0xA49B, "character/character_hero_knox_sentinel" },
    { 0xA49C, "character/character_hero_knox_sentinel_cloak" },
    { 0xA49D, "character/character_hero_knox_sentinel_det_cloak" },
    { 0xA49E, "character/character_hero_knox_sentinel_jetpack" },
    { 0xA49F, "character/character_hero_knox_sentinel_pilot" },
    { 0xA4A0, "character/character_hero_knox_sentinel_udt" },
    { 0xA4A1, "character/character_hero_knox_sentinel_udtgr" },
    { 0xA4A2, "character/character_hero_parker_atlas" },
    { 0xA4A3, "character/character_hero_will_marine" },
    { 0xA4A4, "character/character_hero_will_marine_seointro" },
    { 0xA4A5, "character/character_ie_doctor" },
    { 0xA4A6, "character/character_kva_ar" },
    { 0xA4A7, "character/character_kva_civ_a" },
    { 0xA4A8, "character/character_kva_civ_b" },
    { 0xA4A9, "character/character_kva_civ_c" },
    { 0xA4AA, "character/character_kva_hazmat" },
    { 0xA4AB, "character/character_kva_hazmat_nohat" },
    { 0xA4AC, "character/character_kva_leader_hades" },
    { 0xA4AD, "character/character_kva_lmg" },
    { 0xA4AE, "character/character_kva_shotgun" },
    { 0xA4AF, "character/character_kva_smg" },
    { 0xA4B0, "character/character_mech" },
    { 0xA4B1, "character/character_mech_long_lod" },
    { 0xA4B2, "character/character_mech_long_lod_baghdad" },
    { 0xA4B3, "character/character_mech_scaled" },
    { 0xA4B4, "character/character_navy_sf_assault_a" },
    { 0xA4B5, "character/character_navy_sf_assault_b" },
    { 0xA4B6, "character/character_navy_sf_assault_c" },
    { 0xA4B7, "character/character_nigerian_army" },
    { 0xA4B8, "character/character_nigerian_general" },
    { 0xA4B9, "character/character_nigerian_prime_minister" },
    { 0xA4BA, "character/character_pmc_ar" },
    { 0xA4BB, "character/character_pmc_ar_lowlod" },
    { 0xA4BC, "character/character_pmc_cap_ar" },
    { 0xA4BD, "character/character_pmc_noexo" },
    { 0xA4BE, "character/character_pmc_noexo_rec_driver" },
    { 0xA4BF, "character/character_pmc_smg" },
    { 0xA4C0, "character/character_pmc_smg_asi" },
    { 0xA4C1, "character/character_potus" },
    { 0xA4C2, "character/character_sentinel" },
    { 0xA4C3, "character/character_sentinel_arctic_ar" },
    { 0xA4C4, "character/character_sentinel_cloak" },
    { 0xA4C5, "character/character_sentinel_ie" },
    { 0xA4C6, "character/character_sentinel_ie_land" },
    { 0xA4C7, "character/character_sentinel_soldier_cloaked" },
    { 0xA4C8, "character/character_sf_police_a" },
    { 0xA4C9, "character/character_sf_police_b" },
    { 0xA4CA, "character/character_sf_police_c" },
    { 0xA4CB, "character/character_sp_doberman_dog" },
    { 0xA4CC, "character/character_sp_usmc_at4" },
    { 0xA4CD, "character/character_sp_usmc_james" },
    { 0xA4CE, "character/character_sp_usmc_ryan" },
    { 0xA4CF, "character/character_sp_usmc_sami" },
    { 0xA4D0, "character/character_sp_usmc_sami_goggles" },
    { 0xA4D1, "character/character_sp_usmc_zach" },
    { 0xA4D2, "character/character_sp_usmc_zach_goggles" },
    { 0xA4D3, "character/character_us_marine_ar" },
    { 0xA4D4, "character/character_us_marine_ar_lowlod" },
    { 0xA4D5, "character/character_us_marine_dress" },
    { 0xA4D6, "character/character_us_marine_dress_a" },
    { 0xA4D7, "character/character_us_marine_dress_b" },
    { 0xA4D8, "character/character_us_marine_dress_c" },
    { 0xA4D9, "character/character_us_marine_dress_d" },
    { 0xA4DA, "character/character_us_marine_dress_e" },
    { 0xA4DB, "character/character_us_marine_dress_f" },
    { 0xA4DC, "character/character_us_marine_dress_lowlod" },
    { 0xA4DD, "character/character_us_marine_seofob_ar" },
    { 0xA4DE, "character/character_us_marine_shotgun_lowlod" },
    { 0xA4DF, "character/character_us_marine_smg" },
    { 0xA4E0, "character/character_us_marine_smg_lowlod" },
    { 0xA4E1, "character/character_us_marine_smg_seo" },
    { 0xA4E2, "character/character_us_marine_smg_seointro" },
    { 0xA4E3, "character/mp_character_cloak_test" },
    { 0xA4E4, "character/mp_character_sentinel" },
    { 0xA4E5, "codescripts/character" },
    { 0xA4E6, "common_scripts/_artcommon" },
    { 0xA4E7, "common_scripts/_bcs_location_trigs" },
    { 0xA4E8, "common_scripts/_createfx" },
    { 0xA4E9, "common_scripts/_createfxmenu" },
    { 0xA4EA, "common_scripts/_destructible" },
    { 0xA4EB, "common_scripts/_dynamic_world" },
    { 0xA4EC, "common_scripts/_elevator" },
    { 0xA4ED, "common_scripts/_exploder" },
    { 0xA4EE, "common_scripts/_fx" },
    { 0xA4EF, "common_scripts/_pipes" },
    { 0xA4F0, "common_scripts/utility" },
    { 0xA4F1, "destructible_scripts/computer_01_destp" },
    { 0xA4F2, "destructible_scripts/container_plastic_72x56x48_01_destp" },
    { 0xA4F3, "destructible_scripts/container_plastic_beige_med_01_destp" },
    { 0xA4F4, "destructible_scripts/greece_spinning_displays" },
    { 0xA4F5, "destructible_scripts/powerbox_112x64_01_green_destp" },
    { 0xA4F6, "destructible_scripts/security_camera_scanner_destp" },
    { 0xA4F7, "destructible_scripts/toy_chicken" },
    { 0xA4F8, "destructible_scripts/toy_chicken_common" },
    { 0xA4F9, "destructible_scripts/toy_electricbox4" },
    { 0xA4FA, "destructible_scripts/toy_generator" },
    { 0xA4FB, "destructible_scripts/toy_generator_on" },
    { 0xA4FC, "destructible_scripts/toy_locker_double" },
    { 0xA4FD, "destructible_scripts/vehicle_civ_domestic_sedan_01_glass" },
    { 0xA4FE, "destructible_scripts/vehicle_civ_domestic_sedan_police_destpv" },
    { 0xA4FF, "destructible_scripts/vehicle_civ_domestic_sedan_taxi_glass" },
    { 0xA500, "destructible_scripts/vehicle_civ_smartcar_destpv" },
    { 0xA501, "destructible_scripts/vehicle_luxurysedan" },
    { 0xA502, "destructible_scripts/vehicle_luxurysedan_2008" },
    { 0xA503, "destructible_scripts/vehicle_pickup" },
    { 0xA504, "destructible_scripts/vehicle_suv_atlas_destpv" },
    { 0xA505, "destructible_scripts/wall_firebox_destp" },
    { 0xA506, "maps/_anim" },
    { 0xA507, "maps/_animatedmodels" },
    { 0xA508, "maps/_ar_view" },
    { 0xA509, "maps/_art" },
    { 0xA50A, "maps/_autosave" },
    { 0xA50B, "maps/_bobbing_boats" },
    { 0xA50C, "maps/_breach" },
    { 0xA50D, "maps/_car_door_shield" },
    { 0xA50E, "maps/_cg_encounter_perf_monitor" },
    { 0xA50F, "maps/_chargeable_weapon" },
    { 0xA510, "maps/_cloak" },
    { 0xA511, "maps/_cloak_enemy_behavior" },
    { 0xA512, "maps/_colors" },
    { 0xA513, "maps/_compass" },
    { 0xA514, "maps/_controlled_orbiting_drone" },
    { 0xA515, "maps/_controlled_sniperdrone" },
    { 0xA516, "maps/_coop" },
    { 0xA517, "maps/_createfx" },
    { 0xA518, "maps/_credits" },
    { 0xA519, "maps/_credits_autogen" },
    { 0xA51A, "maps/_damagefeedback" },
    { 0xA51B, "maps/_dds" },
    { 0xA51C, "maps/_debug" },
    { 0xA51D, "maps/_deployablecoverai" },
    { 0xA51E, "maps/_detonategrenades" },
    { 0xA51F, "maps/_dog_control" },
    { 0xA520, "maps/_dog_kinect" },
    { 0xA521, "maps/_drone" },
    { 0xA522, "maps/_drone_ai" },
    { 0xA523, "maps/_drone_base" },
    { 0xA524, "maps/_drone_civilian" },
    { 0xA525, "maps/_dshk_player" },
    { 0xA526, "maps/_endmission" },
    { 0xA527, "maps/_exo_climb" },
    { 0xA528, "maps/_exo_punch_door" },
    { 0xA529, "maps/_exo_shield_sp" },
    { 0xA52A, "maps/_flashlight_cheap" },
    { 0xA52B, "maps/_foam_bomb" },
    { 0xA52C, "maps/_friendlyfire" },
    { 0xA52D, "maps/_gameskill" },
    { 0xA52E, "maps/_global_fx" },
    { 0xA52F, "maps/_global_fx_code" },
    { 0xA530, "maps/_grapple" },
    { 0xA531, "maps/_grapple_anim" },
    { 0xA532, "maps/_grapple_traverse" },
    { 0xA533, "maps/_hand_signals" },
    { 0xA534, "maps/_helicopter_ai" },
    { 0xA535, "maps/_helicopter_globals" },
    { 0xA536, "maps/_high_speed_clouds" },
    { 0xA537, "maps/_hms_ai_utility" },
    { 0xA538, "maps/_hms_door_interact" },
    { 0xA539, "maps/_hms_greece_civilian" },
    { 0xA53A, "maps/_hms_utility" },
    { 0xA53B, "maps/_hud" },
    { 0xA53C, "maps/_hud_util" },
    { 0xA53D, "maps/_idle" },
    { 0xA53E, "maps/_idle_phone" },
    { 0xA53F, "maps/_idle_smoke" },
    { 0xA540, "maps/_intelligence" },
    { 0xA541, "maps/_introscreen" },
    { 0xA542, "maps/_inventory" },
    { 0xA543, "maps/_juggernaut" },
    { 0xA544, "maps/_lighting" },
    { 0xA545, "maps/_lights" },
    { 0xA546, "maps/_load" },
    { 0xA547, "maps/_loadout" },
    { 0xA548, "maps/_loadout_code" },
    { 0xA549, "maps/_mark_and_execute" },
    { 0xA54A, "maps/_mech" },
    { 0xA54B, "maps/_mech_aud" },
    { 0xA54C, "maps/_mech_grapple" },
    { 0xA54D, "maps/_mg_penetration" },
    { 0xA54E, "maps/_mgturret" },
    { 0xA54F, "maps/_mgturret_auto_nonai" },
    { 0xA550, "maps/_microdronelauncher" },
    { 0xA551, "maps/_microwave_grenade" },
    { 0xA552, "maps/_mocap_ar" },
    { 0xA553, "maps/_names" },
    { 0xA554, "maps/_nightvision" },
    { 0xA555, "maps/_patrol" },
    { 0xA556, "maps/_patrol_anims" },
    { 0xA557, "maps/_patrol_anims_active" },
    { 0xA558, "maps/_patrol_anims_casualkiller" },
    { 0xA559, "maps/_patrol_anims_creepwalk" },
    { 0xA55A, "maps/_patrol_anims_patroljog" },
    { 0xA55B, "maps/_patrol_cold_anims" },
    { 0xA55C, "maps/_patrol_extended" },
    { 0xA55D, "maps/_player_boost_dash" },
    { 0xA55E, "maps/_player_boost_jump_anims" },
    { 0xA55F, "maps/_player_boost_jump_aud" },
    { 0xA560, "maps/_player_death" },
    { 0xA561, "maps/_player_exo" },
    { 0xA562, "maps/_player_fastzip" },
    { 0xA563, "maps/_player_high_jump" },
    { 0xA564, "maps/_player_land_assist" },
    { 0xA565, "maps/_player_stats" },
    { 0xA566, "maps/_playermech_code" },
    { 0xA567, "maps/_pmove" },
    { 0xA568, "maps/_president" },
    { 0xA569, "maps/_props" },
    { 0xA56A, "maps/_rambo" },
    { 0xA56B, "maps/_riotshield" },
    { 0xA56C, "maps/_sarray" },
    { 0xA56D, "maps/_shg_anim" },
    { 0xA56E, "maps/_shg_debug" },
    { 0xA56F, "maps/_shg_design_tools" },
    { 0xA570, "maps/_shg_fx" },
    { 0xA571, "maps/_shg_utility" },
    { 0xA572, "maps/_slowmo_breach" },
    { 0xA573, "maps/_sniper_glint" },
    { 0xA574, "maps/_sniper_setup_ai" },
    { 0xA575, "maps/_sonicaoe" },
    { 0xA576, "maps/_sp_matchdata" },
    { 0xA577, "maps/_spawner" },
    { 0xA578, "maps/_stealth" },
    { 0xA579, "maps/_stealth_accuracy_friendly" },
    { 0xA57A, "maps/_stealth_animation_funcs" },
    { 0xA57B, "maps/_stealth_anims" },
    { 0xA57C, "maps/_stealth_behavior_enemy" },
    { 0xA57D, "maps/_stealth_behavior_friendly" },
    { 0xA57E, "maps/_stealth_behavior_system" },
    { 0xA57F, "maps/_stealth_color_friendly" },
    { 0xA580, "maps/_stealth_corpse_enemy" },
    { 0xA581, "maps/_stealth_corpse_system" },
    { 0xA582, "maps/_stealth_debug" },
    { 0xA583, "maps/_stealth_display" },
    { 0xA584, "maps/_stealth_event_enemy" },
    { 0xA585, "maps/_stealth_shared_utilities" },
    { 0xA586, "maps/_stealth_smartstance_friendly" },
    { 0xA587, "maps/_stealth_threat_enemy" },
    { 0xA588, "maps/_stealth_utility" },
    { 0xA589, "maps/_stealth_visibility_enemy" },
    { 0xA58A, "maps/_stealth_visibility_friendly" },
    { 0xA58B, "maps/_stealth_visibility_system" },
    { 0xA58C, "maps/_stingerm7" },
    { 0xA58D, "maps/_stingerm7_greece" },
    { 0xA58E, "maps/_swim_ai" },
    { 0xA58F, "maps/_swim_ai_common" },
    { 0xA590, "maps/_swim_player" },
    { 0xA591, "maps/_tagging" },
    { 0xA592, "maps/_target_lock" },
    { 0xA593, "maps/_treadfx" },
    { 0xA594, "maps/_trigger" },
    { 0xA595, "maps/_underwater" },
    { 0xA596, "maps/_upgrade_challenge" },
    { 0xA597, "maps/_upgrade_perks" },
    { 0xA598, "maps/_upgrade_system" },
    { 0xA599, "maps/_urgent_walk" },
    { 0xA59A, "maps/_utility" },
    { 0xA59B, "maps/_utility_code" },
    { 0xA59C, "maps/_utility_dogs" },
    { 0xA59D, "maps/_variable_grenade" },
    { 0xA59E, "maps/_vehicle" },
    { 0xA59F, "maps/_vehicle_aianim" },
    { 0xA5A0, "maps/_vehicle_code" },
    { 0xA5A1, "maps/_vehicle_free_drive" },
    { 0xA5A2, "maps/_vehicle_missile" },
    { 0xA5A3, "maps/_vehicle_shg" },
    { 0xA5A4, "maps/_vehicle_traffic" },
    { 0xA5A5, "maps/_vignette_util" },
    { 0xA5A6, "maps/_warzone_tactics" },
    { 0xA5A7, "maps/_water" },
    { 0xA5A8, "maps/_weapon_pdrone" },
    { 0xA5A9, "maps/_weather" },
    { 0xA5AA, "maps/betrayal_fx" },
    { 0xA5AB, "maps/betrayal_precache" },
    { 0xA5AC, "maps/captured_fx" },
    { 0xA5AD, "maps/captured_precache" },
    { 0xA5AE, "maps/crash_fx" },
    { 0xA5AF, "maps/crash_precache" },
    { 0xA5B0, "maps/credits_s1_fx" },
    { 0xA5B1, "maps/credits_s1_precache" },
    { 0xA5B2, "maps/detroit_fx" },
    { 0xA5B3, "maps/detroit_precache" },
    { 0xA5B4, "maps/df_baghdad_fx" },
    { 0xA5B5, "maps/df_baghdad_precache" },
    { 0xA5B6, "maps/df_fly_fx" },
    { 0xA5B7, "maps/df_fly_precache" },
    { 0xA5B8, "maps/finale_fx" },
    { 0xA5B9, "maps/finale_precache" },
    { 0xA5BA, "maps/fusion_fx" },
    { 0xA5BB, "maps/fusion_precache" },
    { 0xA5BC, "maps/greece_conf_center_fx" },
    { 0xA5BD, "maps/greece_ending_fx" },
    { 0xA5BE, "maps/greece_fx" },
    { 0xA5BF, "maps/greece_precache" },
    { 0xA5C0, "maps/greece_safehouse_fx" },
    { 0xA5C1, "maps/greece_sniper_scramble_fx" },
    { 0xA5C2, "maps/irons_estate_fx" },
    { 0xA5C3, "maps/irons_estate_precache" },
    { 0xA5C4, "maps/lab_fx" },
    { 0xA5C5, "maps/lab_precache" },
    { 0xA5C6, "maps/lagos_fx" },
    { 0xA5C7, "maps/lagos_precache" },
    { 0xA5C8, "maps/recovery_fx" },
    { 0xA5C9, "maps/recovery_precache" },
    { 0xA5CA, "maps/sanfran_b_fx" },
    { 0xA5CB, "maps/sanfran_b_precache" },
    { 0xA5CC, "maps/sanfran_fx" },
    { 0xA5CD, "maps/sanfran_precache" },
    { 0xA5CE, "maps/seoul_fx" },
    { 0xA5CF, "maps/seoul_precache" },
    { 0xA5D0, "mptype/mptype_cloak_test" },
    { 0xA5D1, "soundscripts/_ambient" },
    { 0xA5D2, "soundscripts/_audio" },
    { 0xA5D3, "soundscripts/_audio_dynamic_ambi" },
    { 0xA5D4, "soundscripts/_audio_mix_manager" },
    { 0xA5D5, "soundscripts/_audio_music" },
    { 0xA5D6, "soundscripts/_audio_presets_music" },
    { 0xA5D7, "soundscripts/_audio_presets_vehicles" },
    { 0xA5D8, "soundscripts/_audio_reverb" },
    { 0xA5D9, "soundscripts/_audio_stream_manager" },
    { 0xA5DA, "soundscripts/_audio_vehicle_manager" },
    { 0xA5DB, "soundscripts/_audio_vehicles" },
    { 0xA5DC, "soundscripts/_audio_whizby" },
    { 0xA5DD, "soundscripts/_audio_zone_manager" },
    { 0xA5DE, "soundscripts/_snd" },
    { 0xA5DF, "soundscripts/_snd_common" },
    { 0xA5E0, "soundscripts/_snd_debug_bayless" },
    { 0xA5E1, "soundscripts/_snd_debug_bina" },
    { 0xA5E2, "soundscripts/_snd_debug_blondin" },
    { 0xA5E3, "soundscripts/_snd_debug_caisley" },
    { 0xA5E4, "soundscripts/_snd_debug_gavazza" },
    { 0xA5E5, "soundscripts/_snd_debug_kilborn" },
    { 0xA5E6, "soundscripts/_snd_debug_loperfido" },
    { 0xA5E7, "soundscripts/_snd_debug_mcsweeney" },
    { 0xA5E8, "soundscripts/_snd_debug_mika" },
    { 0xA5E9, "soundscripts/_snd_debug_naas" },
    { 0xA5EA, "soundscripts/_snd_debug_nuniyants" },
    { 0xA5EB, "soundscripts/_snd_debug_swenson" },
    { 0xA5EC, "soundscripts/_snd_debug_veca" },
    { 0xA5ED, "soundscripts/_snd_filters" },
    { 0xA5EE, "soundscripts/_snd_foley" },
    { 0xA5EF, "soundscripts/_snd_hud" },
    { 0xA5F0, "soundscripts/_snd_pcap" },
    { 0xA5F1, "soundscripts/_snd_playsound" },
    { 0xA5F2, "soundscripts/_snd_timescale" },
    { 0xA5F3, "soundscripts/so_aud" },
    { 0xA5F4, "vehicle_scripts/_atlas_jet" },
    { 0xA5F5, "vehicle_scripts/_atlas_piranha" },
    { 0xA5F6, "vehicle_scripts/_atlas_suv" },
    { 0xA5F7, "vehicle_scripts/_atlas_van" },
    { 0xA5F8, "vehicle_scripts/_attack_drone" },
    { 0xA5F9, "vehicle_scripts/_attack_drone_aud" },
    { 0xA5FA, "vehicle_scripts/_attack_drone_common" },
    { 0xA5FB, "vehicle_scripts/_attack_drone_controllable" },
    { 0xA5FC, "vehicle_scripts/_attack_drone_individual" },
    { 0xA5FD, "vehicle_scripts/_attack_drone_kamikaze" },
    { 0xA5FE, "vehicle_scripts/_attack_drone_queen" },
    { 0xA5FF, "vehicle_scripts/_attack_heli" },
    { 0xA600, "vehicle_scripts/_chinese_brave_warrior" },
    { 0xA601, "vehicle_scripts/_civ_boat" },
    { 0xA602, "vehicle_scripts/_civ_boxtruck_ai" },
    { 0xA603, "vehicle_scripts/_civ_domestic_bus" },
    { 0xA604, "vehicle_scripts/_civ_domestic_economy_ai" },
    { 0xA605, "vehicle_scripts/_civ_domestic_minivan" },
    { 0xA606, "vehicle_scripts/_civ_domestic_sedan_01" },
    { 0xA607, "vehicle_scripts/_civ_domestic_sedan_police" },
    { 0xA608, "vehicle_scripts/_civ_domestic_sedan_taxi_01" },
    { 0xA609, "vehicle_scripts/_civ_domestic_sportscar_01" },
    { 0xA60A, "vehicle_scripts/_civ_domestic_suv" },
    { 0xA60B, "vehicle_scripts/_civ_domestic_truck" },
    { 0xA60C, "vehicle_scripts/_civ_full_size_pickup_01_ai" },
    { 0xA60D, "vehicle_scripts/_civ_full_size_technical" },
    { 0xA60E, "vehicle_scripts/_civ_pickup_truck_01" },
    { 0xA60F, "vehicle_scripts/_civ_smartcar" },
    { 0xA610, "vehicle_scripts/_civ_workvan" },
    { 0xA611, "vehicle_scripts/_cover_drone" },
    { 0xA612, "vehicle_scripts/_cover_drone_aud" },
    { 0xA613, "vehicle_scripts/_diveboat" },
    { 0xA614, "vehicle_scripts/_diveboat_aud" },
    { 0xA615, "vehicle_scripts/_empty" },
    { 0xA616, "vehicle_scripts/_ft101_tank" },
    { 0xA617, "vehicle_scripts/_gaz" },
    { 0xA618, "vehicle_scripts/_gaz_dshk" },
    { 0xA619, "vehicle_scripts/_gaz_dshk_aud" },
    { 0xA61A, "vehicle_scripts/_generic_script_model_lagos" },
    { 0xA61B, "vehicle_scripts/_havoc_missile_scripted" },
    { 0xA61C, "vehicle_scripts/_hovertank" },
    { 0xA61D, "vehicle_scripts/_hovertank_aud" },
    { 0xA61E, "vehicle_scripts/_ind_semi_truck_fuel_tanker" },
    { 0xA61F, "vehicle_scripts/_jetbike" },
    { 0xA620, "vehicle_scripts/_jetbike_aud" },
    { 0xA621, "vehicle_scripts/_littlebird" },
    { 0xA622, "vehicle_scripts/_littlebird_aud" },
    { 0xA623, "vehicle_scripts/_littlebird_landing" },
    { 0xA624, "vehicle_scripts/_littlebird_player" },
    { 0xA625, "vehicle_scripts/_mi17" },
    { 0xA626, "vehicle_scripts/_mi17_aud" },
    { 0xA627, "vehicle_scripts/_mi17_noai" },
    { 0xA628, "vehicle_scripts/_mig29" },
    { 0xA629, "vehicle_scripts/_mig29_controllable" },
    { 0xA62A, "vehicle_scripts/_mil_cargo_truck" },
    { 0xA62B, "vehicle_scripts/_pdrone" },
    { 0xA62C, "vehicle_scripts/_pdrone_aud" },
    { 0xA62D, "vehicle_scripts/_pdrone_player" },
    { 0xA62E, "vehicle_scripts/_pdrone_player_aud" },
    { 0xA62F, "vehicle_scripts/_pdrone_security" },
    { 0xA630, "vehicle_scripts/_pdrone_security_aud" },
    { 0xA631, "vehicle_scripts/_pdrone_tactical_picker" },
    { 0xA632, "vehicle_scripts/_pdrone_threat_sensor" },
    { 0xA633, "vehicle_scripts/_pitbull" },
    { 0xA634, "vehicle_scripts/_pitbull_aud" },
    { 0xA635, "vehicle_scripts/_razorback" },
    { 0xA636, "vehicle_scripts/_razorback_fx" },
    { 0xA637, "vehicle_scripts/_s19" },
    { 0xA638, "vehicle_scripts/_sentinel_survey_drone_hud" },
    { 0xA639, "vehicle_scripts/_shrike" },
    { 0xA63A, "vehicle_scripts/_sidewinder_scripted" },
    { 0xA63B, "vehicle_scripts/_slamraam" },
    { 0xA63C, "vehicle_scripts/_sniper_drone" },
    { 0xA63D, "vehicle_scripts/_sniper_drone_aud" },
    { 0xA63E, "vehicle_scripts/_uk_delivery_truck" },
    { 0xA63F, "vehicle_scripts/_vehicle_missile_launcher_ai" },
    { 0xA640, "vehicle_scripts/_vehicle_multiweapon_util" },
    { 0xA641, "vehicle_scripts/_vehicle_turret_ai" },
    { 0xA642, "vehicle_scripts/_vrap" },
    { 0xA643, "vehicle_scripts/_walker_tank" },
    { 0xA644, "vehicle_scripts/_x4walker_wheels" },
    { 0xA645, "vehicle_scripts/_x4walker_wheels_aud" },
    { 0xA646, "vehicle_scripts/_x4walker_wheels_turret" },
    { 0xA647, "vehicle_scripts/_x4walker_wheels_turret_aud" },
    { 0xA648, "vehicle_scripts/_x4walker_wheels_turret_closed" },
    { 0xA649, "vehicle_scripts/_x4walker_wheels_turret_closed_aud" },
    { 0xA64A, "vehicle_scripts/_xh9_warbird" },
    { 0xA64B, "xmodelalias/alias_africa_civilian_male_heads" },
    { 0xA64C, "xmodelalias/alias_atlas_bodyguard_heads" },
    { 0xA64D, "xmodelalias/alias_civ_afr_dark_male_bodies_casual" },
    { 0xA64E, "xmodelalias/alias_civ_afr_dark_male_bodies_dress" },
    { 0xA64F, "xmodelalias/alias_civ_afr_dark_male_heads" },
    { 0xA650, "xmodelalias/alias_civ_afr_drk_female_bodies_cas" },
    { 0xA651, "xmodelalias/alias_civ_afr_drk_female_bodies_drs" },
    { 0xA652, "xmodelalias/alias_civ_afr_drk_female_heads" },
    { 0xA653, "xmodelalias/alias_civ_afr_lgt_fem_bod_drs_sml" },
    { 0xA654, "xmodelalias/alias_civ_afr_lgt_female_bodies_cas" },
    { 0xA655, "xmodelalias/alias_civ_afr_lgt_female_bodies_drs" },
    { 0xA656, "xmodelalias/alias_civ_afr_lgt_female_heads" },
    { 0xA657, "xmodelalias/alias_civ_afr_light_male_bodies_casual" },
    { 0xA658, "xmodelalias/alias_civ_afr_light_male_bodies_dress" },
    { 0xA659, "xmodelalias/alias_civ_afr_light_male_heads" },
    { 0xA65A, "xmodelalias/alias_civ_asi_male_bodies_casual" },
    { 0xA65B, "xmodelalias/alias_civ_asi_male_bodies_dress" },
    { 0xA65C, "xmodelalias/alias_civ_asi_male_heads" },
    { 0xA65D, "xmodelalias/alias_civ_asi_male_heads_cpt" },
    { 0xA65E, "xmodelalias/alias_civ_cau_fem_bod_drs_sml" },
    { 0xA65F, "xmodelalias/alias_civ_cau_fem_heads_sml" },
    { 0xA660, "xmodelalias/alias_civ_cau_female_bodies_cas" },
    { 0xA661, "xmodelalias/alias_civ_cau_female_bodies_drs" },
    { 0xA662, "xmodelalias/alias_civ_cau_female_heads" },
    { 0xA663, "xmodelalias/alias_civ_cau_male_bodies_casual" },
    { 0xA664, "xmodelalias/alias_civ_cau_male_bodies_dress" },
    { 0xA665, "xmodelalias/alias_civ_cau_male_heads" },
    { 0xA666, "xmodelalias/alias_civ_cau_male_heads_hazmat_nohat" },
    { 0xA667, "xmodelalias/alias_civ_mde_female_bodies_cas" },
    { 0xA668, "xmodelalias/alias_civ_mde_female_bodies_drs" },
    { 0xA669, "xmodelalias/alias_civ_mde_female_heads" },
    { 0xA66A, "xmodelalias/alias_civ_mde_male_bodies_casual" },
    { 0xA66B, "xmodelalias/alias_civ_mde_male_bodies_dress" },
    { 0xA66C, "xmodelalias/alias_civ_mde_male_heads" },
    { 0xA66D, "xmodelalias/alias_civ_pris_afr_dark_male_bodies" },
    { 0xA66E, "xmodelalias/alias_civ_pris_cau_male_bodies" },
    { 0xA66F, "xmodelalias/alias_civ_pris_mde_male_bodies" },
    { 0xA670, "xmodelalias/alias_civ_rec_funeral_male_body" },
    { 0xA671, "xmodelalias/alias_civ_rec_funeral_male_body_afr" },
    { 0xA672, "xmodelalias/alias_civ_rec_funeral_male_heads" },
    { 0xA673, "xmodelalias/alias_civ_rec_funeral_male_heads_afr" },
    { 0xA674, "xmodelalias/alias_civ_urban_dead_body_a" },
    { 0xA675, "xmodelalias/alias_civ_urban_dead_body_b" },
    { 0xA676, "xmodelalias/alias_civ_urban_dead_body_c" },
    { 0xA677, "xmodelalias/alias_civ_urban_male_heads_afr_light" },
    { 0xA678, "xmodelalias/alias_civ_worker_hardhat_s1_heads" },
    { 0xA679, "xmodelalias/alias_civilian_heads_prisoner_female" },
    { 0xA67A, "xmodelalias/alias_civilian_slum_heads" },
    { 0xA67B, "xmodelalias/alias_civilian_slum_heads_wht" },
    { 0xA67C, "xmodelalias/alias_civilian_worker_heads" },
    { 0xA67D, "xmodelalias/alias_cloak_test" },
    { 0xA67E, "xmodelalias/alias_coop_cloaked_static_heads" },
    { 0xA67F, "xmodelalias/alias_enemy_atlas_arctic_heads" },
    { 0xA680, "xmodelalias/alias_enemy_atlas_elite_heads" },
    { 0xA681, "xmodelalias/alias_enemy_atlas_heads" },
    { 0xA682, "xmodelalias/alias_greece_civilian_heads_males_a" },
    { 0xA683, "xmodelalias/alias_greece_civilian_heads_males_b" },
    { 0xA684, "xmodelalias/alias_kva_heads" },
    { 0xA685, "xmodelalias/alias_mp_sentinel_heads" },
    { 0xA686, "xmodelalias/alias_nigerian_army_bodies" },
    { 0xA687, "xmodelalias/alias_nigerian_army_heads" },
    { 0xA688, "xmodelalias/alias_pmc_casual_heads" },
    { 0xA689, "xmodelalias/alias_pmc_casual_heads_asi" },
    { 0xA68A, "xmodelalias/alias_pmc_helmet_heads" },
    { 0xA68B, "xmodelalias/alias_sentinel_arctic_bodies" },
    { 0xA68C, "xmodelalias/alias_sentinel_arctic_heads" },
    { 0xA68D, "xmodelalias/alias_sentinel_bodies" },
    { 0xA68E, "xmodelalias/alias_sentinel_heads" },
    { 0xA68F, "xmodelalias/alias_sentinel_udt_heads" },
    { 0xA690, "xmodelalias/alias_seoul_civilian_body_females" },
    { 0xA691, "xmodelalias/alias_seoul_civilian_body_males_a" },
    { 0xA692, "xmodelalias/alias_seoul_civilian_body_males_b" },
    { 0xA693, "xmodelalias/alias_seoul_civilian_body_males_c" },
    { 0xA694, "xmodelalias/alias_seoul_civilian_body_males_d" },
    { 0xA695, "xmodelalias/alias_seoul_civilian_head_females" },
    { 0xA696, "xmodelalias/alias_seoul_civilian_head_males_a" },
    { 0xA697, "xmodelalias/alias_seoul_civilian_head_males_b" },
    { 0xA698, "xmodelalias/alias_seoul_civilian_head_males_c" },
    { 0xA699, "xmodelalias/alias_seoul_civilian_head_males_d" },
    { 0xA69A, "xmodelalias/alias_us_marine_dress_bodies" },
    { 0xA69B, "xmodelalias/alias_us_marine_dress_heads" },
    { 0xA69C, "xmodelalias/alias_us_marine_heads" },
    { 0xA69D, "maps/animated_models/foliage_tree_grey_oak_lg_a" },
    { 0xA69E, "maps/createart/betrayal_art" },
    { 0xA69F, "maps/createart/betrayal_fog" },
    { 0xA6A0, "maps/createart/betrayal_fog_hdr" },
    { 0xA6A1, "maps/createart/captured_art" },
    { 0xA6A2, "maps/createart/captured_fog" },
    { 0xA6A3, "maps/createart/captured_fog_hdr" },
    { 0xA6A4, "maps/createart/crash_art" },
    { 0xA6A5, "maps/createart/crash_fog" },
    { 0xA6A6, "maps/createart/crash_fog_hdr" },
    { 0xA6A7, "maps/createart/credits_s1_art" },
    { 0xA6A8, "maps/createart/credits_s1_fog" },
    { 0xA6A9, "maps/createart/credits_s1_fog_hdr" },
    { 0xA6AA, "maps/createart/detroit_art" },
    { 0xA6AB, "maps/createart/detroit_fog" },
    { 0xA6AC, "maps/createart/detroit_fog_hdr" },
    { 0xA6AD, "maps/createart/df_baghdad_art" },
    { 0xA6AE, "maps/createart/df_baghdad_fog" },
    { 0xA6AF, "maps/createart/df_baghdad_fog_hdr" },
    { 0xA6B0, "maps/createart/df_fly_art" },
    { 0xA6B1, "maps/createart/df_fly_fog" },
    { 0xA6B2, "maps/createart/df_fly_fog_hdr" },
    { 0xA6B3, "maps/createart/finale_art" },
    { 0xA6B4, "maps/createart/finale_fog" },
    { 0xA6B5, "maps/createart/finale_fog_hdr" },
    { 0xA6B6, "maps/createart/fusion_art" },
    { 0xA6B7, "maps/createart/fusion_fog" },
    { 0xA6B8, "maps/createart/fusion_fog_hdr" },
    { 0xA6B9, "maps/createart/greece_art" },
    { 0xA6BA, "maps/createart/greece_fog" },
    { 0xA6BB, "maps/createart/greece_fog_hdr" },
    { 0xA6BC, "maps/createart/irons_estate_art" },
    { 0xA6BD, "maps/createart/irons_estate_fog" },
    { 0xA6BE, "maps/createart/irons_estate_fog_hdr" },
    { 0xA6BF, "maps/createart/lab_art" },
    { 0xA6C0, "maps/createart/lab_fog" },
    { 0xA6C1, "maps/createart/lab_fog_hdr" },
    { 0xA6C2, "maps/createart/lagos_art" },
    { 0xA6C3, "maps/createart/lagos_fog" },
    { 0xA6C4, "maps/createart/lagos_fog_hdr" },
    { 0xA6C5, "maps/createart/mp_comeback_art" },
    { 0xA6C6, "maps/createart/mp_comeback_fog" },
    { 0xA6C7, "maps/createart/mp_comeback_fog_hdr" },
    { 0xA6C8, "maps/createart/mp_detroit_art" },
    { 0xA6C9, "maps/createart/mp_detroit_fog" },
    { 0xA6CA, "maps/createart/mp_detroit_fog_hdr" },
    { 0xA6CB, "maps/createart/mp_greenband_art" },
    { 0xA6CC, "maps/createart/mp_greenband_fog" },
    { 0xA6CD, "maps/createart/mp_greenband_fog_hdr" },
    { 0xA6CE, "maps/createart/mp_instinct_art" },
    { 0xA6CF, "maps/createart/mp_instinct_fog" },
    { 0xA6D0, "maps/createart/mp_instinct_fog_hdr" },
    { 0xA6D1, "maps/createart/mp_lab2_art" },
    { 0xA6D2, "maps/createart/mp_lab2_fog" },
    { 0xA6D3, "maps/createart/mp_lab2_fog_hdr" },
    { 0xA6D4, "maps/createart/mp_laser2_art" },
    { 0xA6D5, "maps/createart/mp_laser2_fog" },
    { 0xA6D6, "maps/createart/mp_laser2_fog_hdr" },
    { 0xA6D7, "maps/createart/mp_levity_art" },
    { 0xA6D8, "maps/createart/mp_levity_fog" },
    { 0xA6D9, "maps/createart/mp_levity_fog_hdr" },
    { 0xA6DA, "maps/createart/mp_prison_art" },
    { 0xA6DB, "maps/createart/mp_prison_fog" },
    { 0xA6DC, "maps/createart/mp_prison_fog_hdr" },
    { 0xA6DD, "maps/createart/mp_prison_z_art" },
    { 0xA6DE, "maps/createart/mp_prison_z_fog" },
    { 0xA6DF, "maps/createart/mp_prison_z_fog_hdr" },
    { 0xA6E0, "maps/createart/mp_recovery_art" },
    { 0xA6E1, "maps/createart/mp_recovery_fog" },
    { 0xA6E2, "maps/createart/mp_recovery_fog_hdr" },
    { 0xA6E3, "maps/createart/mp_refraction_art" },
    { 0xA6E4, "maps/createart/mp_refraction_fog" },
    { 0xA6E5, "maps/createart/mp_refraction_fog_hdr" },
    { 0xA6E6, "maps/createart/mp_solar_art" },
    { 0xA6E7, "maps/createart/mp_solar_fog" },
    { 0xA6E8, "maps/createart/mp_solar_fog_hdr" },
    { 0xA6E9, "maps/createart/mp_terrace_art" },
    { 0xA6EA, "maps/createart/mp_terrace_fog" },
    { 0xA6EB, "maps/createart/mp_terrace_fog_hdr" },
    { 0xA6EC, "maps/createart/mp_venus_art" },
    { 0xA6ED, "maps/createart/mp_venus_fog" },
    { 0xA6EE, "maps/createart/mp_venus_fog_hdr" },
    { 0xA6EF, "maps/createart/mp_vlobby_room_art" },
    { 0xA6F0, "maps/createart/mp_vlobby_room_fog" },
    { 0xA6F1, "maps/createart/mp_vlobby_room_fog_hdr" },
    { 0xA6F2, "maps/createart/recovery_art" },
    { 0xA6F3, "maps/createart/recovery_fog" },
    { 0xA6F4, "maps/createart/recovery_fog_hdr" },
    { 0xA6F5, "maps/createart/sanfran_art" },
    { 0xA6F6, "maps/createart/sanfran_b_art" },
    { 0xA6F7, "maps/createart/sanfran_b_fog" },
    { 0xA6F8, "maps/createart/sanfran_b_fog_hdr" },
    { 0xA6F9, "maps/createart/sanfran_fog" },
    { 0xA6FA, "maps/createart/sanfran_fog_hdr" },
    { 0xA6FB, "maps/createart/seoul_art" },
    { 0xA6FC, "maps/createart/seoul_fog" },
    { 0xA6FD, "maps/createart/seoul_fog_hdr" },
    { 0xA6FE, "maps/createfx/betrayal_fx" },
    { 0xA6FF, "maps/createfx/captured_fx" },
    { 0xA700, "maps/createfx/captured_sound" },
    { 0xA701, "maps/createfx/crash_fx" },
    { 0xA702, "maps/createfx/credits_s1_fx" },
    { 0xA703, "maps/createfx/detroit_fx" },
    { 0xA704, "maps/createfx/df_baghdad_fx" },
    { 0xA705, "maps/createfx/df_fly_fx" },
    { 0xA706, "maps/createfx/finale_fx" },
    { 0xA707, "maps/createfx/fusion_fx" },
    { 0xA708, "maps/createfx/greece_fx" },
    { 0xA709, "maps/createfx/irons_estate_fx" },
    { 0xA70A, "maps/createfx/lab_fx" },
    { 0xA70B, "maps/createfx/lagos_fx" },
    { 0xA70C, "maps/createfx/mp_comeback_fx" },
    { 0xA70D, "maps/createfx/mp_detroit_fx" },
    { 0xA70E, "maps/createfx/mp_greenband_fx" },
    { 0xA70F, "maps/createfx/mp_instinct_fx" },
    { 0xA710, "maps/createfx/mp_lab2_fx" },
    { 0xA711, "maps/createfx/mp_laser2_fx" },
    { 0xA712, "maps/createfx/mp_levity_fx" },
    { 0xA713, "maps/createfx/mp_prison_fx" },
    { 0xA714, "maps/createfx/mp_prison_z_fx" },
    { 0xA715, "maps/createfx/mp_recovery_fx" },
    { 0xA716, "maps/createfx/mp_refraction_fx" },
    { 0xA717, "maps/createfx/mp_solar_fx" },
    { 0xA718, "maps/createfx/mp_terrace_fx" },
    { 0xA719, "maps/createfx/mp_venus_fx" },
    { 0xA71A, "maps/createfx/mp_vlobby_room_fx" },
    { 0xA71B, "maps/createfx/recovery_fx" },
    { 0xA71C, "maps/createfx/sanfran_b_fx" },
    { 0xA71D, "maps/createfx/sanfran_fx" },
    { 0xA71E, "maps/createfx/seoul_fx" },
    { 0xA71F, "maps/mp/_adrenaline" },
    { 0xA720, "maps/mp/_aerial_pathnodes" },
    { 0xA721, "maps/mp/_animatedmodels" },
    { 0xA722, "maps/mp/_areas" },
    { 0xA723, "maps/mp/_art" },
    { 0xA724, "maps/mp/_audio" },
    { 0xA725, "maps/mp/_awards" },
    { 0xA726, "maps/mp/_braggingrights" },
    { 0xA727, "maps/mp/_compass" },
    { 0xA728, "maps/mp/_createfx" },
    { 0xA729, "maps/mp/_crib" },
    { 0xA72A, "maps/mp/_destructables" },
    { 0xA72B, "maps/mp/_dynamic_events" },
    { 0xA72C, "maps/mp/_empgrenade" },
    { 0xA72D, "maps/mp/_entityheadicons" },
    { 0xA72E, "maps/mp/_events" },
    { 0xA72F, "maps/mp/_exo_battery" },
    { 0xA730, "maps/mp/_exo_cloak" },
    { 0xA731, "maps/mp/_exo_hover" },
    { 0xA732, "maps/mp/_exo_mute" },
    { 0xA733, "maps/mp/_exo_ping" },
    { 0xA734, "maps/mp/_exo_repulsor" },
    { 0xA735, "maps/mp/_exo_shield" },
    { 0xA736, "maps/mp/_exo_suit" },
    { 0xA737, "maps/mp/_exocrossbow" },
    { 0xA738, "maps/mp/_exoknife" },
    { 0xA739, "maps/mp/_explosive_drone" },
    { 0xA73A, "maps/mp/_explosive_gel" },
    { 0xA73B, "maps/mp/_extrahealth" },
    { 0xA73C, "maps/mp/_fastheal" },
    { 0xA73D, "maps/mp/_flashgrenades" },
    { 0xA73E, "maps/mp/_fx" },
    { 0xA73F, "maps/mp/_global_fx" },
    { 0xA740, "maps/mp/_global_fx_code" },
    { 0xA741, "maps/mp/_lasersight" },
    { 0xA742, "maps/mp/_load" },
    { 0xA743, "maps/mp/_lsrmissileguidance" },
    { 0xA744, "maps/mp/_matchdata" },
    { 0xA745, "maps/mp/_menus" },
    { 0xA746, "maps/mp/_microdronelauncher" },
    { 0xA747, "maps/mp/_movers" },
    { 0xA748, "maps/mp/_mp_lights" },
    { 0xA749, "maps/mp/_mutebomb" },
    { 0xA74A, "maps/mp/_na45" },
    { 0xA74B, "maps/mp/_opticsthermal" },
    { 0xA74C, "maps/mp/_reinforcements" },
    { 0xA74D, "maps/mp/_riotshield" },
    { 0xA74E, "maps/mp/_scoreboard" },
    { 0xA74F, "maps/mp/_shutter" },
    { 0xA750, "maps/mp/_snd_common_mp" },
    { 0xA751, "maps/mp/_stinger" },
    { 0xA752, "maps/mp/_stingerm7" },
    { 0xA753, "maps/mp/_stock" },
    { 0xA754, "maps/mp/_target_enhancer" },
    { 0xA755, "maps/mp/_teleport" },
    { 0xA756, "maps/mp/_threatdetection" },
    { 0xA757, "maps/mp/_tracking_drone" },
    { 0xA758, "maps/mp/_trackrounds" },
    { 0xA759, "maps/mp/_tridrone" },
    { 0xA75A, "maps/mp/_utility" },
    { 0xA75B, "maps/mp/_vl_base" },
    { 0xA75C, "maps/mp/_vl_camera" },
    { 0xA75D, "maps/mp/_vl_firingrange" },
    { 0xA75E, "maps/mp/_vl_selfiebooth" },
    { 0xA75F, "maps/mp/_water" },
    { 0xA760, "maps/mp/_zipline" },
    { 0xA761, "maps/mp/mp_comeback_fx" },
    { 0xA762, "maps/mp/mp_comeback_precache" },
    { 0xA763, "maps/mp/mp_detroit_fx" },
    { 0xA764, "maps/mp/mp_detroit_precache" },
    { 0xA765, "maps/mp/mp_greenband_fx" },
    { 0xA766, "maps/mp/mp_greenband_precache" },
    { 0xA767, "maps/mp/mp_instinct_fx" },
    { 0xA768, "maps/mp/mp_instinct_precache" },
    { 0xA769, "maps/mp/mp_lab2_fx" },
    { 0xA76A, "maps/mp/mp_lab2_precache" },
    { 0xA76B, "maps/mp/mp_laser2_fx" },
    { 0xA76C, "maps/mp/mp_laser2_precache" },
    { 0xA76D, "maps/mp/mp_levity_fx" },
    { 0xA76E, "maps/mp/mp_levity_precache" },
    { 0xA76F, "maps/mp/mp_prison_fx" },
    { 0xA770, "maps/mp/mp_prison_precache" },
    { 0xA771, "maps/mp/mp_prison_z_fx" },
    { 0xA772, "maps/mp/mp_prison_z_precache" },
    { 0xA773, "maps/mp/mp_recovery_fx" },
    { 0xA774, "maps/mp/mp_recovery_precache" },
    { 0xA775, "maps/mp/mp_refraction_fx" },
    { 0xA776, "maps/mp/mp_refraction_precache" },
    { 0xA777, "maps/mp/mp_solar_fx" },
    { 0xA778, "maps/mp/mp_solar_precache" },
    { 0xA779, "maps/mp/mp_terrace_fx" },
    { 0xA77A, "maps/mp/mp_terrace_precache" },
    { 0xA77B, "maps/mp/mp_venus_fx" },
    { 0xA77C, "maps/mp/mp_venus_precache" },
    { 0xA77D, "maps/mp/mp_vlobby_room_fx" },
    { 0xA77E, "maps/mp/mp_vlobby_room_precache" },
    { 0xA77F, "maps/mp/gametypes/_battlebuddy" },
    { 0xA780, "maps/mp/gametypes/_battlechatter_mp" },
    { 0xA781, "maps/mp/gametypes/_class" },
    { 0xA782, "maps/mp/gametypes/_clientids" },
    { 0xA783, "maps/mp/gametypes/_damage" },
    { 0xA784, "maps/mp/gametypes/_damagefeedback" },
    { 0xA785, "maps/mp/gametypes/_deathicons" },
    { 0xA786, "maps/mp/gametypes/_dev" },
    { 0xA787, "maps/mp/gametypes/_equipment" },
    { 0xA788, "maps/mp/gametypes/_friendicons" },
    { 0xA789, "maps/mp/gametypes/_gamelogic" },
    { 0xA78A, "maps/mp/gametypes/_gameobjects" },
    { 0xA78B, "maps/mp/gametypes/_gamescore" },
    { 0xA78C, "maps/mp/gametypes/_globalentities" },
    { 0xA78D, "maps/mp/gametypes/_globallogic" },
    { 0xA78E, "maps/mp/gametypes/_hardpoints" },
    { 0xA78F, "maps/mp/gametypes/_healthoverlay" },
    { 0xA790, "maps/mp/gametypes/_high_jump_mp" },
    { 0xA791, "maps/mp/gametypes/_horde_armory" },
    { 0xA792, "maps/mp/gametypes/_horde_crates" },
    { 0xA793, "maps/mp/gametypes/_horde_dialog" },
    { 0xA794, "maps/mp/gametypes/_horde_drones" },
    { 0xA795, "maps/mp/gametypes/_horde_laststand" },
    { 0xA796, "maps/mp/gametypes/_horde_sentry" },
    { 0xA797, "maps/mp/gametypes/_horde_smart_grenade" },
    { 0xA798, "maps/mp/gametypes/_horde_util" },
    { 0xA799, "maps/mp/gametypes/_horde_zombies" },
    { 0xA79A, "maps/mp/gametypes/_hostmigration" },
    { 0xA79B, "maps/mp/gametypes/_hud" },
    { 0xA79C, "maps/mp/gametypes/_hud_message" },
    { 0xA79D, "maps/mp/gametypes/_hud_util" },
    { 0xA79E, "maps/mp/gametypes/_killcam" },
    { 0xA79F, "maps/mp/gametypes/_menus" },
    { 0xA7A0, "maps/mp/gametypes/_missions" },
    { 0xA7A1, "maps/mp/gametypes/_music_and_dialog" },
    { 0xA7A2, "maps/mp/gametypes/_objpoints" },
    { 0xA7A3, "maps/mp/gametypes/_orbital" },
    { 0xA7A4, "maps/mp/gametypes/_persistence" },
    { 0xA7A5, "maps/mp/gametypes/_player_boost_jump_mp" },
    { 0xA7A6, "maps/mp/gametypes/_playercards" },
    { 0xA7A7, "maps/mp/gametypes/_playerlogic" },
    { 0xA7A8, "maps/mp/gametypes/_portable_radar" },
    { 0xA7A9, "maps/mp/gametypes/_quickmessages" },
    { 0xA7AA, "maps/mp/gametypes/_rank" },
    { 0xA7AB, "maps/mp/gametypes/_scrambler" },
    { 0xA7AC, "maps/mp/gametypes/_serversettings" },
    { 0xA7AD, "maps/mp/gametypes/_shellshock" },
    { 0xA7AE, "maps/mp/gametypes/_spawnfactor" },
    { 0xA7AF, "maps/mp/gametypes/_spawnlogic" },
    { 0xA7B0, "maps/mp/gametypes/_spawnscoring" },
    { 0xA7B1, "maps/mp/gametypes/_spectating" },
    { 0xA7B2, "maps/mp/gametypes/_teams" },
    { 0xA7B3, "maps/mp/gametypes/_tweakables" },
    { 0xA7B4, "maps/mp/gametypes/_weapons" },
    { 0xA7B5, "maps/mp/killstreaks/_aerial_utility" },
    { 0xA7B6, "maps/mp/killstreaks/_agent_killstreak" },
    { 0xA7B7, "maps/mp/killstreaks/_airdrop" },
    { 0xA7B8, "maps/mp/killstreaks/_airstrike" },
    { 0xA7B9, "maps/mp/killstreaks/_assaultdrone_ai" },
    { 0xA7BA, "maps/mp/killstreaks/_autosentry" },
    { 0xA7BB, "maps/mp/killstreaks/_coop_util" },
    { 0xA7BC, "maps/mp/killstreaks/_dog_killstreak" },
    { 0xA7BD, "maps/mp/killstreaks/_drone_assault" },
    { 0xA7BE, "maps/mp/killstreaks/_drone_carepackage" },
    { 0xA7BF, "maps/mp/killstreaks/_drone_common" },
    { 0xA7C0, "maps/mp/killstreaks/_drone_recon" },
    { 0xA7C1, "maps/mp/killstreaks/_emp" },
    { 0xA7C2, "maps/mp/killstreaks/_juggernaut" },
    { 0xA7C3, "maps/mp/killstreaks/_killstreaks" },
    { 0xA7C4, "maps/mp/killstreaks/_killstreaks_init" },
    { 0xA7C5, "maps/mp/killstreaks/_marking_util" },
    { 0xA7C6, "maps/mp/killstreaks/_missile_strike" },
    { 0xA7C7, "maps/mp/killstreaks/_nuke" },
    { 0xA7C8, "maps/mp/killstreaks/_orbital_carepackage" },
    { 0xA7C9, "maps/mp/killstreaks/_orbital_strike" },
    { 0xA7CA, "maps/mp/killstreaks/_orbital_util" },
    { 0xA7CB, "maps/mp/killstreaks/_orbitalsupport" },
    { 0xA7CC, "maps/mp/killstreaks/_placeable" },
    { 0xA7CD, "maps/mp/killstreaks/_remoteturret" },
    { 0xA7CE, "maps/mp/killstreaks/_rippedturret" },
    { 0xA7CF, "maps/mp/killstreaks/_teamammorefill" },
    { 0xA7D0, "maps/mp/killstreaks/_uav" },
    { 0xA7D1, "maps/mp/killstreaks/_warbird" },
    { 0xA7D2, "maps/mp/killstreaks/streak_mp_comeback" },
    { 0xA7D3, "maps/mp/killstreaks/streak_mp_detroit" },
    { 0xA7D4, "maps/mp/killstreaks/streak_mp_instinct" },
    { 0xA7D5, "maps/mp/killstreaks/streak_mp_laser2" },
    { 0xA7D6, "maps/mp/killstreaks/streak_mp_prison" },
    { 0xA7D7, "maps/mp/killstreaks/streak_mp_recovery" },
    { 0xA7D8, "maps/mp/killstreaks/streak_mp_refraction" },
    { 0xA7D9, "maps/mp/killstreaks/streak_mp_solar" },
    { 0xA7DA, "maps/mp/killstreaks/streak_mp_terrace" },
    { 0xA7DB, "maps/mp/perks/_perkfunctions" },
    { 0xA7DC, "maps/mp/perks/_perks" },
}};

} // namespace xsk::gsc::s1_pc
